

CREATE TABLE `branch_incharges` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `branch_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `FK_branch_incharge_branches` (`branch_id`),
  KEY `FK_branch_incharge_users` (`user_id`),
  CONSTRAINT `FK_branch_incharge_branches` FOREIGN KEY (`branch_id`) REFERENCES `branches` (`id`),
  CONSTRAINT `FK_branch_incharge_users` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;

INSERT INTO branch_incharges VALUES('1','3','90');
INSERT INTO branch_incharges VALUES('2','6','93');
INSERT INTO branch_incharges VALUES('3','4','94');
INSERT INTO branch_incharges VALUES('4','5','95');
INSERT INTO branch_incharges VALUES('5','8','96');
INSERT INTO branch_incharges VALUES('6','9','97');
INSERT INTO branch_incharges VALUES('7','7','98');
INSERT INTO branch_incharges VALUES('8','12','99');
INSERT INTO branch_incharges VALUES('9','13','100');



CREATE TABLE `branches` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone_no` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO branches VALUES('3','test','03440156181','test','2020-07-06 04:00:16','2020-07-06 04:00:16');
INSERT INTO branches VALUES('4','PWD','03115006051','FREINDS CORPORATION PWD','2020-07-26 22:00:19','2020-07-26 22:00:19');
INSERT INTO branches VALUES('5','FCI','03465166132','BEWAL PLAZA BLUE AREA ISB','2020-07-27 17:29:18','2020-07-27 17:29:18');
INSERT INTO branches VALUES('6','BHARIA PHASE 7','03113110013','RABI CENTRE PHASE 7 B.TOWN RWP','2020-07-27 17:31:17','2020-07-27 17:31:17');
INSERT INTO branches VALUES('7','SADDAR','03005548081','MALL ROAD SADDAR RWP','2020-07-27 17:33:16','2020-07-27 17:33:16');
INSERT INTO branches VALUES('8','FHHS','03225566006','SHAMSABAD  MURREE ROAD RWP','2020-07-27 17:34:09','2020-07-27 17:34:09');
INSERT INTO branches VALUES('9','FCP','03455104405','GULNOOR MARKET MURREE ROAD RWP','2020-07-27 17:34:58','2020-07-27 17:34:58');
INSERT INTO branches VALUES('10','SERVICE CENTRE','0518445463','PLOT NO 81F ST NO 6 SEC I/10-3 ISB','2020-07-27 19:34:56','2020-07-27 19:34:56');
INSERT INTO branches VALUES('11','friends pwd','03115006051','friends corporation pwd','2020-09-16 22:35:04','2020-09-16 22:35:04');
INSERT INTO branches VALUES('12','Fhs godown','03135978937','Friends corporation fhs godown','2020-09-17 02:17:53','2020-09-17 02:17:53');
INSERT INTO branches VALUES('13','Fcp Godown','03315420488','Near gul noor market murree road rawalpindi','2020-09-17 22:26:50','2020-09-17 22:26:50');



CREATE TABLE `companies` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone_no` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ptcl_no` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` bigint(20) unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `companies_created_by_foreign` (`created_by`),
  CONSTRAINT `companies_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=99 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO companies VALUES('51','philips','03001234567','philips@gmail.com','0511234567','143 Cumberland View Drive',null,'2020-07-25 19:56:38','2020-07-25 19:56:38',null);
INSERT INTO companies VALUES('52','HAIER','0','WWW.HAIER.COM','042111142137','LAHORE',null,'2020-07-27 19:40:50','2020-07-27 19:40:50',null);
INSERT INTO companies VALUES('53','OREINT','0','www.orient.com','042111635635','LAHORE',null,'2020-07-27 19:41:21','2020-07-27 19:41:21',null);
INSERT INTO companies VALUES('54','dawlance','0','www.dawlance.com','0211111117359','karachi',null,'2020-07-27 19:41:56','2020-07-27 19:41:56',null);
INSERT INTO companies VALUES('55','kenwood','0','www.kenwood.com','021111764111','karachi',null,'2020-07-27 19:42:26','2020-07-27 19:42:26',null);
INSERT INTO companies VALUES('56','waves','0','www.waves.com','080090000','LAHORE',null,'2020-07-27 19:43:26','2020-07-27 19:43:26',null);
INSERT INTO companies VALUES('57','superasia','0','www.superasia.com','03111123345','gujranwala',null,'2020-07-27 19:45:11','2020-07-27 19:45:11',null);
INSERT INTO companies VALUES('58','LG','0','www.lg.com','0514927027','RAWALPINDI',null,'2020-07-27 20:17:39','2020-07-27 20:17:39',null);
INSERT INTO companies VALUES('59','SAMSUNG','0','WWW.SAMSUNG.COM','03335698285','CHANDNI CHOWK RWP',null,'2020-07-27 20:18:37','2020-07-27 20:18:37',null);
INSERT INTO companies VALUES('60','SIGNATURE','0','WWW.SIGNATURE.COM','0518445463','ISLAMABAD',null,'2020-07-27 20:19:25','2020-07-27 20:19:25',null);
INSERT INTO companies VALUES('61','PEL','0','WWW.PEL.COM','042111102103','LAHORE',null,'2020-07-27 20:20:09','2020-07-27 20:20:09',null);
INSERT INTO companies VALUES('62','FIVESTAR','0','WWW.FIVESTAR.COM','03335715871','GUJRANWALA',null,'2020-07-27 20:21:13','2020-07-27 20:21:13',null);
INSERT INTO companies VALUES('63','CORONA','0','WWW.CORONA.COM','03335715871','LAHORE',null,'2020-07-27 20:21:54','2020-07-27 20:21:54',null);
INSERT INTO companies VALUES('64','SONY','0','WWW.SONY.COM','0512806055','ISLAMABAD',null,'2020-07-27 20:25:43','2020-07-27 20:25:43',null);
INSERT INTO companies VALUES('65','GREE','042111111397','WWW.GREE.COM','0514419450','CHANDNI CHOWK RWP',null,'2020-07-28 17:34:25','2020-07-28 17:34:25',null);
INSERT INTO companies VALUES('66','TCL','042111222825','WWW.TCL.COM','000000000','LAHORE',null,'2020-08-06 15:16:26','2020-08-06 15:16:26',null);
INSERT INTO companies VALUES('67','CARAVELL','0','WWW.CARAVELL.COM','0','LAHORE',null,'2020-08-06 20:45:25','2020-08-06 20:45:25',null);
INSERT INTO companies VALUES('68','SHARP','0','WWW.SHARP.COM','0','LHR',null,'2020-08-08 15:53:37','2020-08-08 15:53:37',null);
INSERT INTO companies VALUES('69','MIDEA','03329048674','MIDEA@GMAIL.COM','0','HO#1326 ST#04 BLOCK C O9 NPF ISB',null,'2020-08-23 02:51:22','2020-08-23 02:51:22',null);
INSERT INTO companies VALUES('70','MULTYNET','03329048674','MULTYNET@GMAIL.COM','0','HO#1326 ST#04 BLOCK C O9 NPF ISB',null,'2020-08-28 01:13:37','2020-08-28 01:13:37',null);
INSERT INTO companies VALUES('71','DAIKIN','03332270737','DAIKIN @GMAIL.COM','0','FLAT#81 ST#06 I -10/3 ISB',null,'2020-09-11 21:07:38','2020-09-11 21:07:38',null);
INSERT INTO companies VALUES('72','ECOSTAR','03332270737','ECOSTAR@GMAIL.COM','0','FLAT#81 ST#06 I -10/3 ISB',null,'2020-09-15 22:42:33','2020-09-15 22:42:33',null);
INSERT INTO companies VALUES('73','CANNON','03332270737','CANNON@GMAIL.COM','0','FLAT#81 ST#06 I -10/3 ISB',null,'2020-09-18 20:44:12','2020-09-18 20:44:12',null);
INSERT INTO companies VALUES('74','FICHER','03332270737','FICHER@GMAIL.COM','0','FLAT#81 ST#06 I -10/3 ISB',null,'2020-09-23 19:48:57','2020-09-23 19:48:57',null);
INSERT INTO companies VALUES('75','MAX','03332270737','MAX#GMAIL.COM','0','FLAT#81 ST#06 I -10/3 ISB',null,'2020-09-23 20:40:08','2020-09-23 20:40:08',null);
INSERT INTO companies VALUES('76','XTREEM','03332270737','XTREEM@GMAIL.COM','0','FLAT#81 ST#06 I -10/3 ISB',null,'2020-09-27 01:32:57','2020-09-27 01:32:57',null);
INSERT INTO companies VALUES('77','TASLA','03005171468','TASLA#GMAIL.COM','0','FLAT NO 5 BLOCK 15/E ST NO 19 SEC G/10-2 ISB',null,'2020-09-29 00:32:49','2020-09-29 00:32:49',null);
INSERT INTO companies VALUES('78','WELCOME','03332270737','WELCOM@GMAIL.COM','0','h no 29 national park road army officers colony',null,'2020-10-02 01:21:40','2020-10-02 01:21:40',null);
INSERT INTO companies VALUES('79','HITACHI','03005171468','HITACHI@GMAIL.COM','0','cb166 lane no 1 tulsa road sherzaman colony rwp',null,'2020-10-08 00:46:02','2020-10-08 00:46:02',null);
INSERT INTO companies VALUES('80','BOSCH','03332270737','BOSCH@GMAIL.COM','0','H NO 2A UPPER PORTION ST NO 64 SEC F/8-4 ISB',null,'2020-10-08 01:02:43','2020-10-08 01:02:43',null);
INSERT INTO companies VALUES('81','CORONA','03009556522','CORONA@GMAIL.COM','0','H NO 2A  OPP ABPARA MARKET SEC G/6-1-4 ISB',null,'2020-10-08 20:21:06','2020-10-08 20:21:06',null);
INSERT INTO companies VALUES('82','SIEMENS','03332270737','SIEMENS@GMAIL.COM','0','H NO 2A  OPP ABPARA MARKET SEC G/6-1-4 ISB',null,'2020-10-08 20:53:57','2020-10-08 20:53:57',null);
INSERT INTO companies VALUES('83','TEKA','03009556522','TEKA @GMAIL.COM','0','cb166 lane no 1 tulsa road sherzaman colony rwp',null,'2020-10-10 20:56:42','2020-10-10 20:56:42',null);
INSERT INTO companies VALUES('84','HOMAGE','03009556522','HOMAGE@GMAIL.COM','0','cb166 lane no 1 tulsa road sherzaman colony rwp',null,'2020-10-13 20:01:56','2020-10-13 20:01:56',null);
INSERT INTO companies VALUES('85','MITSUBISHI','03009556522','MITSUBISHI@GMAIL.COM','0','h no 29 national park road army officers colony',null,'2020-10-14 23:34:39','2020-10-14 23:34:39',null);
INSERT INTO companies VALUES('86','ARISTAN','03332270737','ARISTAN#GMAIL.COM','0','h no 29 national park road army officers colony',null,'2020-10-15 02:41:48','2020-10-15 02:41:48',null);
INSERT INTO companies VALUES('87','MAX','03008557478','MAX#GMAIL.COM','0','h no 29 national park road army officers colony',null,'2020-10-15 20:38:10','2020-10-15 20:38:10',null);
INSERT INTO companies VALUES('88','MAX','03005171468','MAX#GMAIL.COM','0','FLAT NO 5 BLOCK 15/E ST NO 19 SEC G/10-2 ISB',null,'2020-10-15 20:39:25','2020-10-15 20:39:25',null);
INSERT INTO companies VALUES('89','NAS GAS','03332270737','NAS GAS @GMAIL.COM','0','H NO 2A  OPP ABPARA MARKET SEC G/6-1-4 ISB',null,'2020-10-29 01:01:46','2020-10-29 01:01:46',null);
INSERT INTO companies VALUES('90','PANASONIC','03009564000','PANASONIC @GMAIL.COM','0','H NO 2A UPPER PORTION ST NO 64 SEC F/8-4 ISB',null,'2020-11-03 01:48:07','2020-11-03 01:48:07',null);
INSERT INTO companies VALUES('91','GABBA NASTIONAL','03009556522','GABA NASTIONAL@GMAIL.COM','0','cb166 lane no 1 tulsa road sherzaman colony rwp',null,'2020-11-22 00:25:49','2020-11-22 00:25:49',null);
INSERT INTO companies VALUES('92','LG','03332270737','LG@GMAIL.COM','0','H NO 934/A MUSLIM TOWN KHURRAM COLONY RWP',null,'2020-11-30 20:15:23','2020-11-30 20:15:23',null);
INSERT INTO companies VALUES('93','MIDAS','03005171468','MIDAS@GMAIL.COM','0','H NO 79 ST NO 16 SEC I/8-2 ISB',null,'2020-12-31 00:06:37','2020-12-31 00:06:37',null);
INSERT INTO companies VALUES('94','GENERALTEC','03005171468','GENERALTEC@GMAIL.COM','0','H NO 79 ST NO 16 SEC I/8-2 ISB',null,'2021-04-14 12:17:03','2021-04-14 12:17:03',null);
INSERT INTO companies VALUES('95','CHANGHONG','03005171468','CHANGHONG@GMAIL.COM','0','plot no 81 f st no 6 sec i/10-3 isb',null,'2021-04-20 12:49:22','2021-04-20 12:49:22',null);
INSERT INTO companies VALUES('96','HACWEL','03325532355','HACWEL@GMAIL.COM','0','plot no 81 f st no 6 sec i/10-3 isb',null,'2021-04-22 11:51:46','2021-04-22 11:51:46',null);
INSERT INTO companies VALUES('97','PEL','03325532355','PEL@GMAIL.COM','0','plot no 81 f st no 6 sec i/10-3 isb',null,'2021-05-28 14:12:57','2021-05-28 14:12:57',null);
INSERT INTO companies VALUES('98','TECHNOGAS','03135978937','TECHNOGAS@GMAILCOM','0','FRIENDS CORPORATION BULE AREA ISB',null,'2021-06-14 19:06:38','2021-06-14 19:06:38',null);



CREATE TABLE `complaint_remarks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `complaint_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `remarks` longtext DEFAULT NULL,
  `created_by` bigint(20) unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_complaint_remarks_complaints` (`complaint_id`),
  KEY `FK_complaint_remarks_users` (`created_by`),
  CONSTRAINT `FK_complaint_remarks_complaints` FOREIGN KEY (`complaint_id`) REFERENCES `complaints` (`id`),
  CONSTRAINT `FK_complaint_remarks_users` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11307 DEFAULT CHARSET=latin1;

INSERT INTO complaint_remarks VALUES('1','347','complain#c8/166(17-aug-20)','73','2020-08-17 18:52:44','2020-08-17 18:52:44');
INSERT INTO complaint_remarks VALUES('2','319','complain#pkri200816107573(16-aug-20)','73','2020-08-17 18:56:59','2020-08-17 18:56:59');
INSERT INTO complaint_remarks VALUES('3','135','complain#192017219(17-aug-20)','73','2020-08-17 19:21:04','2020-08-17 19:21:04');
INSERT INTO complaint_remarks VALUES('4','309','ye number still powerd off jara. .','73','2020-08-17 19:37:10','2020-08-17 19:37:10');
INSERT INTO complaint_remarks VALUES('5','1','This is a test remark','73','2020-08-17 21:10:22','2020-08-17 21:10:22');
INSERT INTO complaint_remarks VALUES('6','367','testing remarks 2','73','2020-08-17 21:35:53','2020-08-17 21:35:53');
INSERT INTO complaint_remarks VALUES('7','367','testing remarks 3','73','2020-08-17 21:36:16','2020-08-17 21:36:16');
INSERT INTO complaint_remarks VALUES('8','367','0335114173 remarks 3','73','2020-08-17 21:36:39','2020-08-17 21:36:39');
INSERT INTO complaint_remarks VALUES('9','367','complete','73','2020-08-17 21:37:11','2020-08-17 21:37:11');
INSERT INTO complaint_remarks VALUES('10','1','pls up date','74','2020-08-17 23:37:43','2020-08-17 23:37:43');
INSERT INTO complaint_remarks VALUES('11','112','re open','74','2020-08-17 23:54:17','2020-08-17 23:54:17');
INSERT INTO complaint_remarks VALUES('12','46','VISIT HOGYA HA... GAIN ISSUE AGYA COMPLAIN FRWRD TO COMPANY WITH NEW TASK','73','2020-08-18 01:43:36','2020-08-18 01:43:36');
INSERT INTO complaint_remarks VALUES('13','235','VISIT HOGYA HA... UNIT SERVICE CENTRE LIFT HOGA','73','2020-08-18 02:56:46','2020-08-18 02:56:46');
INSERT INTO complaint_remarks VALUES('14','305','TECHNICIAN HARIS ON ROUTE. .','73','2020-08-18 03:03:49','2020-08-18 03:03:49');
INSERT INTO complaint_remarks VALUES('15','362','wrong complain frwrd . .','73','2020-08-18 17:57:46','2020-08-18 17:57:46');
INSERT INTO complaint_remarks VALUES('16','223','complain#1707931(18-aug-20)

again complain launch karwa di ha','73','2020-08-18 18:12:10','2020-08-18 18:12:10');
INSERT INTO complaint_remarks VALUES('17','387','complain#1031304','73','2020-08-18 18:19:24','2020-08-18 18:19:24');
INSERT INTO complaint_remarks VALUES('18','385','complain#1031307','73','2020-08-18 18:22:18','2020-08-18 18:22:18');
INSERT INTO complaint_remarks VALUES('19','381','complain#1031310','73','2020-08-18 18:27:32','2020-08-18 18:27:32');
INSERT INTO complaint_remarks VALUES('20','369','complain#1031312','73','2020-08-18 18:29:37','2020-08-18 18:29:37');
INSERT INTO complaint_remarks VALUES('21','368','complain#1031313','73','2020-08-18 18:31:09','2020-08-18 18:31:09');
INSERT INTO complaint_remarks VALUES('22','261','complain#1029291(13-aug-20)','73','2020-08-18 18:36:05','2020-08-18 18:36:05');
INSERT INTO complaint_remarks VALUES('23','369','dawlance fridge complain#1707960','73','2020-08-18 18:39:33','2020-08-18 18:39:33');
INSERT INTO complaint_remarks VALUES('24','261','lahore mein reminder de dia ha. .','73','2020-08-18 18:40:42','2020-08-18 18:40:42');
INSERT INTO complaint_remarks VALUES('25','391','complain#PKRI200817109487(17-8-20)','73','2020-08-18 18:44:42','2020-08-18 18:44:42');
INSERT INTO complaint_remarks VALUES('26','391','COSTUMER NE KHUD NOTE KARWA DI THI COMPLAIN','73','2020-08-18 18:45:02','2020-08-18 18:45:02');
INSERT INTO complaint_remarks VALUES('27','361','complain#PKRI200818101165','73','2020-08-18 18:47:59','2020-08-18 18:47:59');
INSERT INTO complaint_remarks VALUES('28','364','complain#PKRI200818101220','73','2020-08-18 18:50:52','2020-08-18 18:50:52');
INSERT INTO complaint_remarks VALUES('29','372','complain#PKRI200818101283','73','2020-08-18 18:53:53','2020-08-18 18:53:53');
INSERT INTO complaint_remarks VALUES('30','376','complain#PKRI200818101451','73','2020-08-18 18:57:30','2020-08-18 18:57:30');
INSERT INTO complaint_remarks VALUES('31','358','COMPLAIN#12829','73','2020-08-18 19:00:29','2020-08-18 19:00:29');
INSERT INTO complaint_remarks VALUES('32','392','COMPLAIN@12830','73','2020-08-18 19:02:34','2020-08-18 19:02:34');
INSERT INTO complaint_remarks VALUES('33','358','COMPLAIN#12829','73','2020-08-18 19:02:37','2020-08-18 19:02:37');
INSERT INTO complaint_remarks VALUES('34','377','COMPLAIN#12832','73','2020-08-18 19:04:47','2020-08-18 19:04:47');
INSERT INTO complaint_remarks VALUES('35','359','COMPLAIN#H18/004','73','2020-08-18 19:07:25','2020-08-18 19:07:25');
INSERT INTO complaint_remarks VALUES('36','224','COMPLAIN#192017287(18-AUG-20)','73','2020-08-18 19:26:57','2020-08-18 19:26:57');
INSERT INTO complaint_remarks VALUES('37','224','REMIND B KARWA DIA HA. .','73','2020-08-18 19:27:59','2020-08-18 19:27:59');
INSERT INTO complaint_remarks VALUES('38','236','COMPLAIN#192017289(18-AUG-20)','73','2020-08-18 19:31:12','2020-08-18 19:31:12');
INSERT INTO complaint_remarks VALUES('39','374','COMPLAIN#072013881','73','2020-08-18 19:33:21','2020-08-18 19:33:21');
INSERT INTO complaint_remarks VALUES('40','290','BT HOGAE HA. . VISIT HOAJE GA','73','2020-08-18 21:18:51','2020-08-18 21:18:51');
INSERT INTO complaint_remarks VALUES('41','431','FRWRD TO KHURRAM 5STAR','73','2020-08-19 03:40:31','2020-08-19 03:40:31');
INSERT INTO complaint_remarks VALUES('42','405','frwrd to kashif tcl','73','2020-08-19 18:06:54','2020-08-19 18:06:54');
INSERT INTO complaint_remarks VALUES('43','400','frwrd to naeem kenwood','73','2020-08-19 18:11:01','2020-08-19 18:11:01');
INSERT INTO complaint_remarks VALUES('44','439','complain#1696887','73','2020-08-19 18:19:25','2020-08-19 18:19:25');
INSERT INTO complaint_remarks VALUES('45','423','complain#1709319','73','2020-08-19 18:20:16','2020-08-19 18:20:16');
INSERT INTO complaint_remarks VALUES('46','438','complain#32113','73','2020-08-19 18:28:03','2020-08-19 18:28:03');
INSERT INTO complaint_remarks VALUES('47','424','complain#32114','73','2020-08-19 18:28:07','2020-08-19 18:28:07');
INSERT INTO complaint_remarks VALUES('48','436','complain#32115','73','2020-08-19 18:28:12','2020-08-19 18:28:12');
INSERT INTO complaint_remarks VALUES('49','418','complain#2008013340','73','2020-08-19 18:40:53','2020-08-19 18:40:53');
INSERT INTO complaint_remarks VALUES('50','402','complain#2008013341','73','2020-08-19 18:41:00','2020-08-19 18:41:00');
INSERT INTO complaint_remarks VALUES('51','411','complain#012871','73','2020-08-19 18:47:05','2020-08-19 18:47:05');
INSERT INTO complaint_remarks VALUES('52','399','COMPLAIN#192016793(6-8-20)','73','2020-08-19 20:51:16','2020-08-19 20:51:16');
INSERT INTO complaint_remarks VALUES('53','417','COMPLAIN#192017349','73','2020-08-19 20:51:22','2020-08-19 20:51:22');
INSERT INTO complaint_remarks VALUES('54','389','03000301019(OTHER NUMBER','73','2020-08-19 21:49:35','2020-08-19 21:49:35');
INSERT INTO complaint_remarks VALUES('55','244','AGAIN ISSUE AGYA HA,, ADIL KO REMIND KARWA DIA HA','73','2020-08-19 22:43:29','2020-08-19 22:43:29');
INSERT INTO complaint_remarks VALUES('56','444','OTHER#03015035007','73','2020-08-19 23:58:44','2020-08-19 23:58:44');
INSERT INTO complaint_remarks VALUES('57','460','COSTUMER KI LED DAMAGED THI... SERVICE CENTRE KA NUMBER PROVIDE KR DIA','73','2020-08-20 01:05:18','2020-08-20 01:05:18');
INSERT INTO complaint_remarks VALUES('58','455','FRWRD TO MUBASHIR VARIOLINE','73','2020-08-20 01:08:00','2020-08-20 01:08:00');
INSERT INTO complaint_remarks VALUES('59','466','COMPLAIN#1032677','73','2020-08-20 01:52:32','2020-08-20 01:52:32');
INSERT INTO complaint_remarks VALUES('60','444','COMPLAIN#1032682','73','2020-08-20 01:52:36','2020-08-20 01:52:36');
INSERT INTO complaint_remarks VALUES('61','464','COMPLAIN#PKRI200819112618','73','2020-08-20 02:37:52','2020-08-20 02:37:52');
INSERT INTO complaint_remarks VALUES('62','469','COMPLAIN#85117','73','2020-08-20 02:59:39','2020-08-20 02:59:39');
INSERT INTO complaint_remarks VALUES('63','470','C/O SADDIQ SB...
FRWRD TO SAJID TCL','73','2020-08-20 03:08:11','2020-08-20 03:08:11');
INSERT INTO complaint_remarks VALUES('64','470','COSTUMER STILL CALL ATTEND NAI KRRY. . MSG KIA HWA HA','73','2020-08-20 03:09:06','2020-08-20 03:09:06');
INSERT INTO complaint_remarks VALUES('65','471','FRWRD TO ASIF GILL. . (19-8-20)','73','2020-08-20 03:11:18','2020-08-20 03:11:18');
INSERT INTO complaint_remarks VALUES('66','471','FRWRD TO ASIF GILL. . (18-8-20)

ENTRE NEXT DAY HOI HA.. FRWRD 18 KO E HOGAE THI','73','2020-08-20 03:11:51','2020-08-20 03:11:51');
INSERT INTO complaint_remarks VALUES('67','473','COMPLAIN#1032698','73','2020-08-20 03:24:41','2020-08-20 03:24:41');
INSERT INTO complaint_remarks VALUES('68','435','COMPLAIN#PKRI200819101333','73','2020-08-20 03:25:16','2020-08-20 03:25:16');
INSERT INTO complaint_remarks VALUES('69','433','COMPLAIN#PKRI200819101386','73','2020-08-20 03:25:51','2020-08-20 03:25:51');
INSERT INTO complaint_remarks VALUES('70','432','COMPLAIN#PKRI200819101456','73','2020-08-20 03:27:15','2020-08-20 03:27:15');
INSERT INTO complaint_remarks VALUES('71','430','COMPLAIN#PKRI200819101536','73','2020-08-20 03:30:25','2020-08-20 03:30:25');
INSERT INTO complaint_remarks VALUES('72','429','COMPLAIN#PKRI200819101589','73','2020-08-20 03:31:12','2020-08-20 03:31:12');
INSERT INTO complaint_remarks VALUES('73','427','COMPLAIN#PKRI200819101855','73','2020-08-20 03:31:55','2020-08-20 03:31:55');
INSERT INTO complaint_remarks VALUES('74','404','COMPLAIN#PKRI200818105397(COSTUMER NE KHUD COMPLAIN COMPANY MEIN NOTE KARWAI HOI HA','73','2020-08-20 03:40:22','2020-08-20 03:40:22');
INSERT INTO complaint_remarks VALUES('75','406','COMPLAIN#PKRI200819102121','73','2020-08-20 03:41:12','2020-08-20 03:41:12');
INSERT INTO complaint_remarks VALUES('76','403','COMPLAIN#PKRI200819102278','73','2020-08-20 03:42:14','2020-08-20 03:42:14');
INSERT INTO complaint_remarks VALUES('77','419','COMPLAIN#PKRI200819102447','73','2020-08-20 03:42:56','2020-08-20 03:42:56');
INSERT INTO complaint_remarks VALUES('78','407','COMPLAIN#PKRI200819102540','73','2020-08-20 03:43:25','2020-08-20 03:43:25');
INSERT INTO complaint_remarks VALUES('79','398','COMPLAIN#PKRI200819102608','73','2020-08-20 03:44:04','2020-08-20 03:44:04');
INSERT INTO complaint_remarks VALUES('80','408','COMPLAIN#PKRI200819102728','73','2020-08-20 03:44:34','2020-08-20 03:44:34');
INSERT INTO complaint_remarks VALUES('81','415','COMPLAIN#PKRI200819102906','73','2020-08-20 03:44:58','2020-08-20 03:44:58');
INSERT INTO complaint_remarks VALUES('82','461','complain#1032778','73','2020-08-20 18:28:15','2020-08-20 18:28:15');
INSERT INTO complaint_remarks VALUES('83','449','complain#H20/001','73','2020-08-20 18:30:56','2020-08-20 18:30:56');
INSERT INTO complaint_remarks VALUES('84','453','COMPLAIN#PKRI200820100868','73','2020-08-20 18:45:49','2020-08-20 18:45:49');
INSERT INTO complaint_remarks VALUES('85','447','COMPLAIN#PKRI200819113751(19-AUG-20)
FRWRD TO ASIF GILL','73','2020-08-20 18:45:54','2020-08-20 18:45:54');
INSERT INTO complaint_remarks VALUES('86','450','COMPLAIN#PKRI200820100942','73','2020-08-20 18:45:59','2020-08-20 18:45:59');
INSERT INTO complaint_remarks VALUES('87','457','COMPLAIN#PKRI200820100987','73','2020-08-20 18:46:03','2020-08-20 18:46:03');
INSERT INTO complaint_remarks VALUES('88','463','COMPLAIN#202008014551','73','2020-08-20 18:53:29','2020-08-20 18:53:29');
INSERT INTO complaint_remarks VALUES('89','458','C/O SADDIQ SB
COMPLAIN#192017385','73','2020-08-20 19:15:30','2020-08-20 19:15:30');
INSERT INTO complaint_remarks VALUES('90','462','COMPLAIN#192017386','73','2020-08-20 19:15:35','2020-08-20 19:15:35');
INSERT INTO complaint_remarks VALUES('91','459','COMPLAIN#192017387','73','2020-08-20 19:15:39','2020-08-20 19:15:39');
INSERT INTO complaint_remarks VALUES('92','180','UNIT SERVICE CENTRE AYA HWA HA','73','2020-08-20 19:16:00','2020-08-20 19:16:00');
INSERT INTO complaint_remarks VALUES('93','456','MODEL=80J5413WGT','73','2020-08-20 19:22:42','2020-08-20 19:22:42');
INSERT INTO complaint_remarks VALUES('94','235','YAMEEN=03009757970 IN KI TRF VISIT KARWAEN. .','73','2020-08-20 19:34:10','2020-08-20 19:34:10');
INSERT INTO complaint_remarks VALUES('95','235','ASIF SB KA NUMBER B DE DIA HA. .','73','2020-08-20 19:51:48','2020-08-20 19:51:48');
INSERT INTO complaint_remarks VALUES('96','241','EK DFA VISIT HOGYA HA. .','73','2020-08-20 20:39:09','2020-08-20 20:39:09');
INSERT INTO complaint_remarks VALUES('97','442','complaint ff naeem kenwood','74','2020-08-20 21:40:46','2020-08-20 21:40:46');
INSERT INTO complaint_remarks VALUES('98','9','COMPLAINT CLOSED','74','2020-08-20 22:49:26','2020-08-20 22:49:26');
INSERT INTO complaint_remarks VALUES('99','25','NOT ATTEND CALL','74','2020-08-20 22:59:51','2020-08-20 22:59:51');
INSERT INTO complaint_remarks VALUES('100','25','COMPLAINT CLOSED','74','2020-08-20 23:01:46','2020-08-20 23:01:46');
INSERT INTO complaint_remarks VALUES('101','13','NOT ATTEND CALL','74','2020-08-20 23:13:56','2020-08-20 23:13:56');
INSERT INTO complaint_remarks VALUES('102','29','COMPLAINT CLOSED','74','2020-08-20 23:15:13','2020-08-20 23:15:13');
INSERT INTO complaint_remarks VALUES('103','26','COMPLAINT RESOLVED','74','2020-08-20 23:21:02','2020-08-20 23:21:02');
INSERT INTO complaint_remarks VALUES('104','33','COMPLAINT CUSTOMER NA LOCAL TECHNICIAN SA RESOLVED KARWA LI SO COMPLAINT CLOSED','74','2020-08-20 23:25:25','2020-08-20 23:25:25');
INSERT INTO complaint_remarks VALUES('105','45','NOT ATTEND CALL','74','2020-08-20 23:28:10','2020-08-20 23:28:10');
INSERT INTO complaint_remarks VALUES('106','11','COMPLAINT CLOSED','74','2020-08-20 23:44:16','2020-08-20 23:44:16');
INSERT INTO complaint_remarks VALUES('107','3','COMPLAINT RESOLVED','74','2020-08-21 00:02:48','2020-08-21 00:02:48');
INSERT INTO complaint_remarks VALUES('108','499','FRWRD TO NUMAWAR CANON
COMPLAIN#1421','73','2020-08-21 00:03:10','2020-08-21 00:03:10');
INSERT INTO complaint_remarks VALUES('109','495','COMPLAIN#RWP1650','73','2020-08-21 00:09:14','2020-08-21 00:09:14');
INSERT INTO complaint_remarks VALUES('110','5','NO STILL BUSY','74','2020-08-21 00:10:10','2020-08-21 00:10:10');
INSERT INTO complaint_remarks VALUES('111','16','COMPLAINT RESOLVED','74','2020-08-21 00:17:30','2020-08-21 00:17:30');
INSERT INTO complaint_remarks VALUES('112','17','NOT ATTEND CALL','74','2020-08-21 00:33:13','2020-08-21 00:33:13');
INSERT INTO complaint_remarks VALUES('113','20','COMPLAINT PA VISIT HO GAYA HAIN PANAL REPLACE HONA HAIN UNIT LHR JANA HAIN CUSTOMER AJ YHA KAL UNIT S/C LIFT KAR DAY GAY','74','2020-08-21 00:36:56','2020-08-21 00:36:56');
INSERT INTO complaint_remarks VALUES('114','27','COMPLAINT RESOLVED','74','2020-08-21 00:39:27','2020-08-21 00:39:27');
INSERT INTO complaint_remarks VALUES('115','28','NOT ATTEND CALL','74','2020-08-21 00:42:43','2020-08-21 00:42:43');
INSERT INTO complaint_remarks VALUES('116','31','NOT ATTEND CALL','74','2020-08-21 00:48:59','2020-08-21 00:48:59');
INSERT INTO complaint_remarks VALUES('117','32','NOT ATTEND CALL','74','2020-08-21 00:50:15','2020-08-21 00:50:15');
INSERT INTO complaint_remarks VALUES('118','32','COMPLAINT RESOLVED','74','2020-08-21 00:50:55','2020-08-21 00:50:55');
INSERT INTO complaint_remarks VALUES('119','23','NOT ATTEND CALL','74','2020-08-21 00:53:32','2020-08-21 00:53:32');
INSERT INTO complaint_remarks VALUES('120','38','NO VISIT AJ COMPANY MAIN AGAIN VISIT K LIYA REMINDER DA DIA HAIN','74','2020-08-21 01:03:31','2020-08-21 01:03:31');
INSERT INTO complaint_remarks VALUES('121','36','CUSTOMER NA KHUD COMPLAINT CLOSED KARWAI HAIN','74','2020-08-21 01:05:48','2020-08-21 01:05:48');
INSERT INTO complaint_remarks VALUES('122','39','COMPLAINT RESOLVED','74','2020-08-21 01:08:07','2020-08-21 01:08:07');
INSERT INTO complaint_remarks VALUES('123','40','NOT ATTEND CALL','74','2020-08-21 01:09:33','2020-08-21 01:09:33');
INSERT INTO complaint_remarks VALUES('124','41','COMPLAINT RESOLVED','74','2020-08-21 01:10:37','2020-08-21 01:10:37');
INSERT INTO complaint_remarks VALUES('125','45','2 UNIT KI COMPLAINT THI AIK UNIT OK HO GAYA HAIN CUSTOMER OUT CITY JA RAHI HAIN ONE MONTH K LIYA ABI CUSTOMER NA COMPLAINT KHUD SA CLOSED KARWA DI','74','2020-08-21 01:16:19','2020-08-21 01:16:19');
INSERT INTO complaint_remarks VALUES('126','42','ABI TAQ KOI VISIT NAI HOA ASIF GILL KO COMPLAINT # FF KAR DIA HAIN','74','2020-08-21 01:19:03','2020-08-21 01:19:03');
INSERT INTO complaint_remarks VALUES('127','48','COMPLAINT RESOLVED','74','2020-08-21 01:24:13','2020-08-21 01:24:13');
INSERT INTO complaint_remarks VALUES('128','47','UNIT ASLAM SAB  S/C LA K GAY HAIN  WORKING IN  PROCESS','74','2020-08-21 01:24:59','2020-08-21 01:24:59');
INSERT INTO complaint_remarks VALUES('129','49','COMPLAINT RESOLVED','74','2020-08-21 01:26:23','2020-08-21 01:26:23');
INSERT INTO complaint_remarks VALUES('130','50','NOT ATTEND CALL','74','2020-08-21 01:30:31','2020-08-21 01:30:31');
INSERT INTO complaint_remarks VALUES('131','51','NOT ATTEND CALL','74','2020-08-21 01:34:47','2020-08-21 01:34:47');
INSERT INTO complaint_remarks VALUES('132','53','GASS KA P RASHER TAAZ KAR K AAY HAIN  CUSTOMER CALL ATTEND NAI KAR RAHAY','74','2020-08-21 01:44:16','2020-08-21 01:44:16');
INSERT INTO complaint_remarks VALUES('133','54','NOT ATTEND CALL','74','2020-08-21 01:46:31','2020-08-21 01:46:31');
INSERT INTO complaint_remarks VALUES('134','54','COMPLAINT RESOLVED','74','2020-08-21 01:47:04','2020-08-21 01:47:04');
INSERT INTO complaint_remarks VALUES('135','57','COMPLAINT RESOLVED','74','2020-08-21 01:51:37','2020-08-21 01:51:37');
INSERT INTO complaint_remarks VALUES('136','55','COMPLAINT RESOLVED','74','2020-08-21 01:53:25','2020-08-21 01:53:25');
INSERT INTO complaint_remarks VALUES('137','58','COMPLAINT RESOLVED','74','2020-08-21 01:55:17','2020-08-21 01:55:17');
INSERT INTO complaint_remarks VALUES('138','59','COMPLAINT RESOLVED','74','2020-08-21 01:56:31','2020-08-21 01:56:31');
INSERT INTO complaint_remarks VALUES('139','507','COMPLAIN#12927','73','2020-08-21 01:58:45','2020-08-21 01:58:45');
INSERT INTO complaint_remarks VALUES('140','63','COMPLAINT CLOSED','74','2020-08-21 02:02:52','2020-08-21 02:02:52');
INSERT INTO complaint_remarks VALUES('141','64','COMPLAINT RESOLVED','74','2020-08-21 02:04:36','2020-08-21 02:04:36');
INSERT INTO complaint_remarks VALUES('142','65','COMPLAINT RESOLVED','74','2020-08-21 02:06:15','2020-08-21 02:06:15');
INSERT INTO complaint_remarks VALUES('143','66','COMPLAINT RESOLVED','74','2020-08-21 02:07:10','2020-08-21 02:07:10');
INSERT INTO complaint_remarks VALUES('144','71','COMPLAINT PA VISIT HOA GAYA HAIN PANAL REPLACE HONA HAIN LHR SA CUSTMER MONDAY KO S/C PINDI S/C LA K AAY GAY','74','2020-08-21 02:11:32','2020-08-21 02:11:32');
INSERT INTO complaint_remarks VALUES('145','72','NOT ATTEND CALL','74','2020-08-21 02:17:15','2020-08-21 02:17:15');
INSERT INTO complaint_remarks VALUES('146','74','CUSTOMER NA LOCAL TECHNICIAN SA COMPLAINT RESOLVED KARWAI COMPLAINT RESOLVED','74','2020-08-21 02:19:25','2020-08-21 02:19:25');
INSERT INTO complaint_remarks VALUES('147','75','COMPLAINT RESOLVED','74','2020-08-21 02:23:06','2020-08-21 02:23:06');
INSERT INTO complaint_remarks VALUES('148','76','COMPLAINT RESOLVED','74','2020-08-21 02:25:44','2020-08-21 02:25:44');
INSERT INTO complaint_remarks VALUES('149','477','COMPLAIN#192017412','73','2020-08-21 02:26:27','2020-08-21 02:26:27');
INSERT INTO complaint_remarks VALUES('150','77','COMPLAINT RESOLVED','74','2020-08-21 02:26:59','2020-08-21 02:26:59');
INSERT INTO complaint_remarks VALUES('151','78','COMPLAINT RESOLVED','74','2020-08-21 02:30:38','2020-08-21 02:30:38');
INSERT INTO complaint_remarks VALUES('152','502','COMPLAIN#12929','73','2020-08-21 02:35:50','2020-08-21 02:35:50');
INSERT INTO complaint_remarks VALUES('153','508','COMPLAIN#1711419','73','2020-08-21 02:39:09','2020-08-21 02:39:09');
INSERT INTO complaint_remarks VALUES('154','506','COMPLAIN#1711421','73','2020-08-21 02:40:55','2020-08-21 02:40:55');
INSERT INTO complaint_remarks VALUES('155','492','COMPLAIN#1711425','73','2020-08-21 02:42:59','2020-08-21 02:42:59');
INSERT INTO complaint_remarks VALUES('156','79','JIN DIN VISIT THA US DIN CUSTOMER GHR PA AVAIL NAI THAY CUSTOMER SIDER SA DELAY COMPLAINT.
AJ AGAIN COMPLAINT REOPEN KARWAI HAIN','74','2020-08-21 02:46:22','2020-08-21 02:46:22');
INSERT INTO complaint_remarks VALUES('157','82','COMPLAINT RESOLVED','74','2020-08-21 02:48:18','2020-08-21 02:48:18');
INSERT INTO complaint_remarks VALUES('158','42','RELAUNCH#PKRI200820112360','73','2020-08-21 02:52:03','2020-08-21 02:52:03');
INSERT INTO complaint_remarks VALUES('159','509','COMPLAIN#PKRI200820112404','73','2020-08-21 02:52:08','2020-08-21 02:52:08');
INSERT INTO complaint_remarks VALUES('160','480','COMPLAIN#PKRI200820112450','73','2020-08-21 02:54:07','2020-08-21 02:54:07');
INSERT INTO complaint_remarks VALUES('161','86','COMPLAINT RESOLVED','74','2020-08-21 02:54:39','2020-08-21 02:54:39');
INSERT INTO complaint_remarks VALUES('162','84','COMPLAINT RESOLVED','74','2020-08-21 02:55:28','2020-08-21 02:55:28');
INSERT INTO complaint_remarks VALUES('163','485','COMPLAIN#PKRI200820112510','73','2020-08-21 02:56:34','2020-08-21 02:56:34');
INSERT INTO complaint_remarks VALUES('164','504','COMPLAIN#PKRI200820112546','73','2020-08-21 02:59:01','2020-08-21 02:59:01');
INSERT INTO complaint_remarks VALUES('165','496','COMPLAIN#PKRI200820112626','73','2020-08-21 03:05:25','2020-08-21 03:05:25');
INSERT INTO complaint_remarks VALUES('166','87','LIGHT KI WAJA SA COMPLAINT PENDING HO RAHI HAIN ANWAR SAB KO REMINDER DA DIA HAIN SATURDAY KO COMPLAINT ATTEND HO JAY GEI CUSTOMER KO B INFORMEWD KAR DIA','74','2020-08-21 03:06:09','2020-08-21 03:06:09');
INSERT INTO complaint_remarks VALUES('167','79','RELAUNCH#PKRI200820112663','73','2020-08-21 03:08:22','2020-08-21 03:08:22');
INSERT INTO complaint_remarks VALUES('168','488','visit to day customer ko informed  kar dia','74','2020-08-21 19:56:48','2020-08-21 19:56:48');
INSERT INTO complaint_remarks VALUES('169','13','COMPLAINT RESOLVED','74','2020-08-21 20:08:56','2020-08-21 20:08:56');
INSERT INTO complaint_remarks VALUES('170','496','COMPLAINT RESOLVED','74','2020-08-21 22:34:01','2020-08-21 22:34:01');
INSERT INTO complaint_remarks VALUES('171','91','COMPLAINT RESOLVED','74','2020-08-21 22:38:21','2020-08-21 22:38:21');
INSERT INTO complaint_remarks VALUES('172','90','COMPLAINT RESOLVED','74','2020-08-21 23:52:28','2020-08-21 23:52:28');
INSERT INTO complaint_remarks VALUES('173','100','COMPLAINT RESOLVED','74','2020-08-21 23:55:33','2020-08-21 23:55:33');
INSERT INTO complaint_remarks VALUES('174','102','COMPLAINT RESOLVED','74','2020-08-21 23:57:53','2020-08-21 23:57:53');
INSERT INTO complaint_remarks VALUES('175','101','NO VISIT MOSHIN SAB KO COMPLAINT # WHATSAPP KAR DIA HAIN','74','2020-08-22 00:00:04','2020-08-22 00:00:04');
INSERT INTO complaint_remarks VALUES('176','101','ORIENT GROPU MAIN B REMINDER DIA','74','2020-08-22 00:01:39','2020-08-22 00:01:39');
INSERT INTO complaint_remarks VALUES('177','103','NOT ATTEND CALL','74','2020-08-22 00:06:43','2020-08-22 00:06:43');
INSERT INTO complaint_remarks VALUES('178','108','COMPLAINT PA VISIT HO GAY HAIN FREEZER S/C WORKING IN PROCESS HAIN','74','2020-08-22 00:22:54','2020-08-22 00:22:54');
INSERT INTO complaint_remarks VALUES('179','470','VISIT  TO DAY CUSTOMER KO INFORMED KAR DIA','74','2020-08-22 00:37:19','2020-08-22 00:37:19');
INSERT INTO complaint_remarks VALUES('180','387','MOSHIN SAB KO VIIST K LIYA REMINDER DA DIA HAIN','74','2020-08-22 00:43:22','2020-08-22 00:43:22');
INSERT INTO complaint_remarks VALUES('181','110','COMPLAINT RESOLVED','74','2020-08-22 00:44:36','2020-08-22 00:44:36');
INSERT INTO complaint_remarks VALUES('182','111','COMPLAINT RESOLVED','74','2020-08-22 00:46:21','2020-08-22 00:46:21');
INSERT INTO complaint_remarks VALUES('183','114','COMPLAINT RESOLVED','74','2020-08-22 00:47:47','2020-08-22 00:47:47');
INSERT INTO complaint_remarks VALUES('184','98','COMPLAINT RESOLVED','74','2020-08-22 00:49:50','2020-08-22 00:49:50');
INSERT INTO complaint_remarks VALUES('185','97','COMPLAINT RESOLVED','74','2020-08-22 00:51:46','2020-08-22 00:51:46');
INSERT INTO complaint_remarks VALUES('186','194','BACK LIGHT ISSUE  MONDAY TAQ KA READY HO JAY GA','74','2020-08-22 00:56:50','2020-08-22 00:56:50');
INSERT INTO complaint_remarks VALUES('187','96','NOT ATTEND CALL','74','2020-08-22 00:58:58','2020-08-22 00:58:58');
INSERT INTO complaint_remarks VALUES('188','115','COMPLAINT RESOLVED','74','2020-08-22 01:00:19','2020-08-22 01:00:19');
INSERT INTO complaint_remarks VALUES('189','118','NOT ATTEND CALL','74','2020-08-22 01:06:31','2020-08-22 01:06:31');
INSERT INTO complaint_remarks VALUES('190','119','COMPLAINT RESOLVED','74','2020-08-22 01:32:33','2020-08-22 01:32:33');
INSERT INTO complaint_remarks VALUES('191','122','COMPLAINT RESOLVED','74','2020-08-22 01:35:40','2020-08-22 01:35:40');
INSERT INTO complaint_remarks VALUES('192','126','COMPLAINT RESOLVED','74','2020-08-22 01:37:17','2020-08-22 01:37:17');
INSERT INTO complaint_remarks VALUES('193','127','NO NOT RESPONDING','74','2020-08-22 01:41:05','2020-08-22 01:41:05');
INSERT INTO complaint_remarks VALUES('194','128','NOT ATTEND CALL','74','2020-08-22 01:42:38','2020-08-22 01:42:38');
INSERT INTO complaint_remarks VALUES('195','132','COMPLAINT PA AIK BAR VISIT HO GAY HAIN ISSUE RESOLVED NAI HOA AJ AGAIN COMPLIANT  FF KARWA DI HAIN','74','2020-08-22 02:27:38','2020-08-22 02:27:38');
INSERT INTO complaint_remarks VALUES('196','133','COMPLAINT RESOLVED','74','2020-08-22 02:31:51','2020-08-22 02:31:51');
INSERT INTO complaint_remarks VALUES('197','5','customer sa aj bat hoi hain tuesday ka time dia hain visit k liya tahseen sab ko reminder da diya hain','74','2020-08-22 20:13:49','2020-08-22 20:13:49');
INSERT INTO complaint_remarks VALUES('198','17','not attend call','74','2020-08-22 20:16:51','2020-08-22 20:16:51');
INSERT INTO complaint_remarks VALUES('199','273','CUSTOMER NOT ATTEND CALL','74','2020-08-22 20:19:33','2020-08-22 20:19:33');
INSERT INTO complaint_remarks VALUES('200','23','COOLING KA ISSUE B HAIN & LOCK KA B ISSUE HAIN AGAIN COMPLINT REOPEN KARWA DI','74','2020-08-22 20:22:38','2020-08-22 20:22:38');
INSERT INTO complaint_remarks VALUES('201','272','COMPLAINT RESOLVED','74','2020-08-22 20:28:32','2020-08-22 20:28:32');
INSERT INTO complaint_remarks VALUES('202','271','COMPLAINT RESOLVED','74','2020-08-22 20:30:15','2020-08-22 20:30:15');
INSERT INTO complaint_remarks VALUES('203','270','COMPLAINT RESOLVED','74','2020-08-22 20:32:35','2020-08-22 20:32:35');
INSERT INTO complaint_remarks VALUES('204','267','COMPLAINT PA IAK VISIT HO GAY HAIN BUT ISSUE RESOLVED NAI HOA UNIT COOLING NAI KAR RAHA','74','2020-08-22 20:47:44','2020-08-22 20:47:44');
INSERT INTO complaint_remarks VALUES('205','28','NOT ATTEND CALL','74','2020-08-22 20:54:21','2020-08-22 20:54:21');
INSERT INTO complaint_remarks VALUES('206','266','NOT ATTEND CALL','74','2020-08-22 20:54:51','2020-08-22 20:54:51');
INSERT INTO complaint_remarks VALUES('207','265','PANAL ISSUE THA CUSTOMER KO COMPANY NA EXP BATA DIA HAIN 45000 KA CUSTOMER NA EXP KI WAJA SA COMPLAINT KHUD SA CLOSED KARWA DI','74','2020-08-22 20:59:20','2020-08-22 20:59:20');
INSERT INTO complaint_remarks VALUES('208','263','NOT ATTEND CALL','74','2020-08-22 21:02:24','2020-08-22 21:02:24');
INSERT INTO complaint_remarks VALUES('209','262','COMPLAINT RESOLVED','74','2020-08-22 21:03:46','2020-08-22 21:03:46');
INSERT INTO complaint_remarks VALUES('210','261','w/m ready ho gei hain aj dilver karwa Ray hain mo shin sab','74','2020-08-22 21:10:22','2020-08-22 21:10:22');
INSERT INTO complaint_remarks VALUES('211','309','customer sa again  aj bat hoi hain other no dia hain  0341-1154884 kindly ic no pa contect kar k again visit arrange karway','74','2020-08-22 21:20:36','2020-08-22 21:20:36');
INSERT INTO complaint_remarks VALUES('212','20','customer side sa yha complaint delay hain customer na khud la k jani hain led','74','2020-08-22 21:24:26','2020-08-22 21:24:26');
INSERT INTO complaint_remarks VALUES('213','260','complaint resolved','74','2020-08-22 21:25:43','2020-08-22 21:25:43');
INSERT INTO complaint_remarks VALUES('214','277','not attend call','74','2020-08-22 21:30:21','2020-08-22 21:30:21');
INSERT INTO complaint_remarks VALUES('215','417','not attend call','74','2020-08-22 21:35:22','2020-08-22 21:35:22');
INSERT INTO complaint_remarks VALUES('216','274','no visit anwar caravel ko reminder da dioa hain','74','2020-08-22 21:38:45','2020-08-22 21:38:45');
INSERT INTO complaint_remarks VALUES('217','274','compressor ka issue tha aj compressor change kar day gay customer ko b informed kar dia','74','2020-08-22 21:42:27','2020-08-22 21:42:27');
INSERT INTO complaint_remarks VALUES('218','417','customer na ghr pa visit nai karwaya hain behira branch pa drop kar ka gay hain monday ko comapny walay branch pa visit karay gay','74','2020-08-22 21:56:02','2020-08-22 21:56:02');
INSERT INTO complaint_remarks VALUES('219','259','not attend call','74','2020-08-22 22:01:27','2020-08-22 22:01:27');
INSERT INTO complaint_remarks VALUES('220','258','customer na ref ki replacement karwa li thi so complaint closed','74','2020-08-22 22:02:46','2020-08-22 22:02:46');
INSERT INTO complaint_remarks VALUES('221','256','not attend call','74','2020-08-22 22:05:08','2020-08-22 22:05:08');
INSERT INTO complaint_remarks VALUES('222','255','complaint resolved','74','2020-08-22 22:06:04','2020-08-22 22:06:04');
INSERT INTO complaint_remarks VALUES('223','254','customer ki technician sa bat hoi hain temperature  ki  setting adjust krany ko bola hain monday ko again call karni followup k liya','74','2020-08-22 22:09:40','2020-08-22 22:09:40');
INSERT INTO complaint_remarks VALUES('224','253','not attend call','74','2020-08-22 22:11:28','2020-08-22 22:11:28');
INSERT INTO complaint_remarks VALUES('225','252','complaint resolved','74','2020-08-22 22:13:16','2020-08-22 22:13:16');
INSERT INTO complaint_remarks VALUES('226','251','not attend call','74','2020-08-22 22:15:08','2020-08-22 22:15:08');
INSERT INTO complaint_remarks VALUES('227','251','complaint resolved','74','2020-08-22 22:15:52','2020-08-22 22:15:52');
INSERT INTO complaint_remarks VALUES('228','250','complaint resolved','74','2020-08-22 22:18:09','2020-08-22 22:18:09');
INSERT INTO complaint_remarks VALUES('229','248','not attend call','74','2020-08-22 22:23:01','2020-08-22 22:23:01');
INSERT INTO complaint_remarks VALUES('230','247','complaint resolved','74','2020-08-22 22:24:01','2020-08-22 22:24:01');
INSERT INTO complaint_remarks VALUES('231','246','complaint resolved','74','2020-08-22 22:25:42','2020-08-22 22:25:42');
INSERT INTO complaint_remarks VALUES('232','245','NOT ATTEND CALL','74','2020-08-22 22:28:54','2020-08-22 22:28:54');
INSERT INTO complaint_remarks VALUES('233','243','COMPLAINT RESOLVED','74','2020-08-22 22:30:06','2020-08-22 22:30:06');
INSERT INTO complaint_remarks VALUES('234','242','NOT ATTEND CALL','74','2020-08-22 22:33:45','2020-08-22 22:33:45');
INSERT INTO complaint_remarks VALUES('235','241','NOT ATTEND CALL','74','2020-08-22 22:39:40','2020-08-22 22:39:40');
INSERT INTO complaint_remarks VALUES('236','241','COMPLAINT RESOLVED','74','2020-08-22 22:42:23','2020-08-22 22:42:23');
INSERT INTO complaint_remarks VALUES('237','240','COMPLAINT RESOLVED','74','2020-08-22 22:44:18','2020-08-22 22:44:18');
INSERT INTO complaint_remarks VALUES('238','239','COMPLAINT RESOLVED','74','2020-08-22 22:45:53','2020-08-22 22:45:53');
INSERT INTO complaint_remarks VALUES('239','238','COMPLAINT RESOLVED','74','2020-08-22 22:47:37','2020-08-22 22:47:37');
INSERT INTO complaint_remarks VALUES('240','237','2 UNIT HAIN DONO UNIT K OUT DOOR MAIN ISSUE AARHA HAIN  COMPLAINT AGAIN REOPEND KARWA DI HAIN','74','2020-08-22 22:51:56','2020-08-22 22:51:56');
INSERT INTO complaint_remarks VALUES('241','236','COMPLAINT CLOSED','74','2020-08-22 22:56:37','2020-08-22 22:56:37');
INSERT INTO complaint_remarks VALUES('242','235','ASIF SAB KO INFORMED KAR DIA HAIN K AIK VISIT ARRANGE KARWAY','74','2020-08-22 23:10:09','2020-08-22 23:10:09');
INSERT INTO complaint_remarks VALUES('243','234','NOT ATTEND CALL','74','2020-08-22 23:12:46','2020-08-22 23:12:46');
INSERT INTO complaint_remarks VALUES('244','232','COMPLAINT RESOLVED','74','2020-08-22 23:16:54','2020-08-22 23:16:54');
INSERT INTO complaint_remarks VALUES('245','242','CUSTOMER NA SET REPLACE KARWA LIYA HAIN COMPLAINT CLOSED','74','2020-08-22 23:22:04','2020-08-22 23:22:04');
INSERT INTO complaint_remarks VALUES('246','230','COMPLAINT RESOLVED','74','2020-08-22 23:25:16','2020-08-22 23:25:16');
INSERT INTO complaint_remarks VALUES('247','227','NOT ATTEND CALL','74','2020-08-22 23:33:17','2020-08-22 23:33:17');
INSERT INTO complaint_remarks VALUES('248','226','COMPLAINT RESOLVED','74','2020-08-22 23:34:30','2020-08-22 23:34:30');
INSERT INTO complaint_remarks VALUES('249','227','COMPLAINT RESOLVED','74','2020-08-22 23:38:18','2020-08-22 23:38:18');
INSERT INTO complaint_remarks VALUES('250','224','COMPLAINT RESOLVED','74','2020-08-22 23:39:32','2020-08-22 23:39:32');
INSERT INTO complaint_remarks VALUES('251','223','NOT ATTEND CALL','74','2020-08-22 23:41:30','2020-08-22 23:41:30');
INSERT INTO complaint_remarks VALUES('252','222','COMPLAINT RESOLVED','74','2020-08-22 23:42:34','2020-08-22 23:42:34');
INSERT INTO complaint_remarks VALUES('253','221','COMPLAINT RESOLVED','74','2020-08-22 23:49:08','2020-08-22 23:49:08');
INSERT INTO complaint_remarks VALUES('254','219','COMPLAINT RESOLVED','74','2020-08-22 23:50:54','2020-08-22 23:50:54');
INSERT INTO complaint_remarks VALUES('255','218','COMPLAINT RESOLVED','74','2020-08-22 23:52:35','2020-08-22 23:52:35');
INSERT INTO complaint_remarks VALUES('256','217','COMPLAINT RESOLVED','74','2020-08-22 23:54:24','2020-08-22 23:54:24');
INSERT INTO complaint_remarks VALUES('257','280','COMPLAINT CLOSED','74','2020-08-22 23:56:43','2020-08-22 23:56:43');
INSERT INTO complaint_remarks VALUES('258','216','NOT ATTEND CALL','74','2020-08-22 23:57:47','2020-08-22 23:57:47');
INSERT INTO complaint_remarks VALUES('259','282','COMPLAINT CLOSED','74','2020-08-22 23:58:42','2020-08-22 23:58:42');
INSERT INTO complaint_remarks VALUES('260','281','COMPLAINT CLOSED','74','2020-08-23 00:00:33','2020-08-23 00:00:33');
INSERT INTO complaint_remarks VALUES('261','211','COMPLAINT PA VISIT HO GAY HAIN REF S/C LIFT HONA HAIN CUSTOMER KI TA QUEER SAB SA B BAT HO RAHI HAIN','74','2020-08-23 00:04:01','2020-08-23 00:04:01');
INSERT INTO complaint_remarks VALUES('262','296','COMPLAINT RESOLVED','74','2020-08-23 00:05:08','2020-08-23 00:05:08');
INSERT INTO complaint_remarks VALUES('263','328','2BARA LAUNCH KARWA DI HA COMPLAIN','73','2020-08-23 00:10:25','2020-08-23 00:10:25');
INSERT INTO complaint_remarks VALUES('264','294','COMPLAINT RESOLVED','74','2020-08-23 00:12:06','2020-08-23 00:12:06');
INSERT INTO complaint_remarks VALUES('265','328','RELAUNCH#PKRI200822108538','73','2020-08-23 00:12:16','2020-08-23 00:12:16');
INSERT INTO complaint_remarks VALUES('266','447','RELAUNCH#PKRI200822104306','73','2020-08-23 00:12:59','2020-08-23 00:12:59');
INSERT INTO complaint_remarks VALUES('267','210','CUSTOMER ABI AVIL NAI HAIN HAIN KHUD SA COMPLAINT CLOSED KARWA DIA HAIN TECHNICIAN KA NO B CUSTOMER K PASS AVAIL HAIN  CLOSED COMPLAINT','74','2020-08-23 00:14:38','2020-08-23 00:14:38');
INSERT INTO complaint_remarks VALUES('268','208','COMPLAINT RESOLVED','74','2020-08-23 00:16:12','2020-08-23 00:16:12');
INSERT INTO complaint_remarks VALUES('269','299','COMPLAINT PA VISIT B HO GAY HAIN CHILLER S/C SA READY HO K WAPISE CUSTOMER K PASS CHALA GAYA HAIN BUT ABI B TEMPERATURE MAINTAIN NAI HO RAHA  CUSTOMER KA COMPANY SA CONTACT HAIN MONDAY KO AGAIN CALL KARNI HAIN','74','2020-08-23 00:20:55','2020-08-23 00:20:55');
INSERT INTO complaint_remarks VALUES('270','298','COMPLAINT RESOLVED','74','2020-08-23 00:22:17','2020-08-23 00:22:17');
INSERT INTO complaint_remarks VALUES('271','207','COMPLAINT RESOLVED','74','2020-08-23 00:23:49','2020-08-23 00:23:49');
INSERT INTO complaint_remarks VALUES('272','205','NOT  ATTEND  CALL','74','2020-08-23 00:32:14','2020-08-23 00:32:14');
INSERT INTO complaint_remarks VALUES('273','204','COMPLAINT RESOLVED','74','2020-08-23 00:34:33','2020-08-23 00:34:33');
INSERT INTO complaint_remarks VALUES('274','301','NOT ATTEND CALL','74','2020-08-23 00:35:53','2020-08-23 00:35:53');
INSERT INTO complaint_remarks VALUES('275','203','CUSTOMER SIDE SA DELAY COMPLAINT','74','2020-08-23 00:52:29','2020-08-23 00:52:29');
INSERT INTO complaint_remarks VALUES('276','305','COMPLAINT RESOLVED','74','2020-08-23 00:54:21','2020-08-23 00:54:21');
INSERT INTO complaint_remarks VALUES('277','159','TECHNICIAN BATA K AAY HAIN K IC MODEL MAIN DOOR LIGHT NAI HOTI COMPLAINT CLOSED','74','2020-08-23 01:04:49','2020-08-23 01:04:49');
INSERT INTO complaint_remarks VALUES('278','160','NOT ATTEND CALL','74','2020-08-23 01:10:21','2020-08-23 01:10:21');
INSERT INTO complaint_remarks VALUES('279','17','CUSTOMER STILLCALL ATTEND NAI KAR RAHAY HAIN SMS FF KAR DIA HAIN','74','2020-08-23 01:13:07','2020-08-23 01:13:07');
INSERT INTO complaint_remarks VALUES('280','28','CUSTOMER  STILL NOT ATTEND CALL SMS FF KAR DIA HAIN','74','2020-08-23 01:21:35','2020-08-23 01:21:35');
INSERT INTO complaint_remarks VALUES('281','31','JIS DIN VISIT TH US TIME CUSTOMER GHR PA AVAIL NAI THY AGAIN COMPLAINT REOPEND KARWA DI HAIN COMPANY MAIN','74','2020-08-23 01:24:16','2020-08-23 01:24:16');
INSERT INTO complaint_remarks VALUES('282','38','JHANZAIB TECHNICIAN IC COMPLAINT KO ATTEND KARAY GAY 0311-5072099','74','2020-08-23 01:39:22','2020-08-23 01:39:22');
INSERT INTO complaint_remarks VALUES('283','40','COMPLAINT PA AIK VISIT HO GAY HAIN ISSUE RESOLVED NAI HOA NAEEM KENWOOD KO AGAIN VISIT KI REQUEST FF KARWA DI','74','2020-08-23 01:41:31','2020-08-23 01:41:31');
INSERT INTO complaint_remarks VALUES('284','42','COMPLAINT RESOLVED','74','2020-08-23 01:43:24','2020-08-23 01:43:24');
INSERT INTO complaint_remarks VALUES('285','50','no visit naeem kenwood ko reminder da dia','74','2020-08-23 02:03:49','2020-08-23 02:03:49');
INSERT INTO complaint_remarks VALUES('286','51','NOT ATTEND CALL CUSTOMER KO SMS FF KAR DIA HAIN','74','2020-08-23 02:06:41','2020-08-23 02:06:41');
INSERT INTO complaint_remarks VALUES('287','53','COMPLAINT RESOLVED','74','2020-08-23 02:08:59','2020-08-23 02:08:59');
INSERT INTO complaint_remarks VALUES('288','72','NOT ATTEND CAll','74','2020-08-23 02:15:06','2020-08-23 02:15:06');
INSERT INTO complaint_remarks VALUES('289','72','not attend call customer ko sms b ff kar dia','74','2020-08-23 02:17:11','2020-08-23 02:17:11');
INSERT INTO complaint_remarks VALUES('290','79','customer ko technician ki call aagei hain visit k liya','74','2020-08-23 02:18:42','2020-08-23 02:18:42');
INSERT INTO complaint_remarks VALUES('291','88','no visit haier company main reminder  da dia visit k liya','74','2020-08-23 02:26:33','2020-08-23 02:26:33');
INSERT INTO complaint_remarks VALUES('292','89','complaint pa visit ho gaya hain customer abi cheek kar rahay hain monday ko confirm karna hain','74','2020-08-23 02:31:01','2020-08-23 02:31:01');
INSERT INTO complaint_remarks VALUES('293','95','complaint resolved','74','2020-08-23 02:34:25','2020-08-23 02:34:25');
INSERT INTO complaint_remarks VALUES('294','92','s/c reminder da dia hain kal visit ho jay ga customer ko b informed kar dia','74','2020-08-23 02:38:52','2020-08-23 02:38:52');
INSERT INTO complaint_remarks VALUES('295','96','complaint resolved','74','2020-08-23 02:40:50','2020-08-23 02:40:50');
INSERT INTO complaint_remarks VALUES('296','99','call attend kar k bt ki ni','74','2020-08-23 02:44:16','2020-08-23 02:44:16');
INSERT INTO complaint_remarks VALUES('297','332','COMPLAIN COMPLETED. .','73','2020-08-23 21:22:42','2020-08-23 21:22:42');
INSERT INTO complaint_remarks VALUES('298','330','COMPLAIN COMPLETED','73','2020-08-23 21:24:05','2020-08-23 21:24:05');
INSERT INTO complaint_remarks VALUES('299','326','PHONE KIA GYA THA TECHNICIAN SIDE SE ..  LEKIN COSTUMER OUT OF CITY THY','73','2020-08-23 21:26:46','2020-08-23 21:26:46');
INSERT INTO complaint_remarks VALUES('300','326','DAWLANCE KA NUMBER SMS KR DIA HA','73','2020-08-23 21:28:41','2020-08-23 21:28:41');
INSERT INTO complaint_remarks VALUES('301','324','COMPLAIN COMPLETED','73','2020-08-23 21:30:42','2020-08-23 21:30:42');
INSERT INTO complaint_remarks VALUES('302','321','ATTEND HOI V HA COMPLAIN... IN K ROOM KA SIZE BARA HA JIS KI WJA SE COOLING NAHIN KRRA','73','2020-08-23 21:33:44','2020-08-23 21:33:44');
INSERT INTO complaint_remarks VALUES('303','321','LEKIN COSTUMER SATISFY NAHIN HORHY','73','2020-08-23 21:34:05','2020-08-23 21:34:05');
INSERT INTO complaint_remarks VALUES('304','320','IS MODEL MEIN LIGHT FLICKER KRTI REHTI HA','73','2020-08-23 21:35:58','2020-08-23 21:35:58');
INSERT INTO complaint_remarks VALUES('305','320','COMPLETED','73','2020-08-23 21:36:10','2020-08-23 21:36:10');
INSERT INTO complaint_remarks VALUES('306','319','COMPLAIN RESOLVED','73','2020-08-23 21:36:40','2020-08-23 21:36:40');
INSERT INTO complaint_remarks VALUES('307','319','COSTUMER CALL ATTEND NAI KRRY. . ASIF GILL SE CONFIRM KR K COMPLAIN COMPLETE','73','2020-08-23 21:37:11','2020-08-23 21:37:11');
INSERT INTO complaint_remarks VALUES('308','315','COSTUMER CALL ATTEND NAI KRRY. .','73','2020-08-23 21:39:28','2020-08-23 21:39:28');
INSERT INTO complaint_remarks VALUES('309','310','COMPLAIN COMPLETE','73','2020-08-23 21:45:11','2020-08-23 21:45:11');
INSERT INTO complaint_remarks VALUES('310','306','COMPLAIN COMPLETE','73','2020-08-23 21:46:58','2020-08-23 21:46:58');
INSERT INTO complaint_remarks VALUES('311','301','COMPLAIN COMPLETED','73','2020-08-23 21:49:29','2020-08-23 21:49:29');
INSERT INTO complaint_remarks VALUES('312','293','COSTUMER STILL CALL ATTEND NAI KRRY','73','2020-08-23 21:52:31','2020-08-23 21:52:31');
INSERT INTO complaint_remarks VALUES('313','120','COSTUMER KO CALL KI JARAI THI TECHNICIAN KI TRF SE LEKIN STILL CALL ATTEND NAI HORAI THI. . BT HOGAE HA BEST COOL REMINDER B DE DIA HA','73','2020-08-23 21:58:45','2020-08-23 21:58:45');
INSERT INTO complaint_remarks VALUES('314','285','COSTUMER NE ABI COMPLAIN CLOSED KARWA DI HA. .','73','2020-08-23 22:06:59','2020-08-23 22:06:59');
INSERT INTO complaint_remarks VALUES('315','285','DOBARA INFORM KR DEIN GY TO COMPLAIN LAUNCH KR DEIN GY','73','2020-08-23 22:07:34','2020-08-23 22:07:34');
INSERT INTO complaint_remarks VALUES('316','347','RESOLVED','73','2020-08-24 00:02:13','2020-08-24 00:02:13');
INSERT INTO complaint_remarks VALUES('317','344','COSTUMER NOT ATTEND THE CALL','73','2020-08-24 00:04:01','2020-08-24 00:04:01');
INSERT INTO complaint_remarks VALUES('318','343','THIS COSTUMER ALSO STILL NOT ATTEND THE CALL','73','2020-08-24 00:05:03','2020-08-24 00:05:03');
INSERT INTO complaint_remarks VALUES('319','343','COMPLAIN COMPLETED','73','2020-08-24 00:06:01','2020-08-24 00:06:01');
INSERT INTO complaint_remarks VALUES('320','215','COMPLAIN COMPLETED','73','2020-08-24 00:56:21','2020-08-24 00:56:21');
INSERT INTO complaint_remarks VALUES('321','214','UNIT SERVICE CENTRE COSTUMER NE DROP KR DIA HA. . TCL','73','2020-08-24 00:59:28','2020-08-24 00:59:28');
INSERT INTO complaint_remarks VALUES('322','200','COMPLAIN COMPLETED','73','2020-08-24 01:00:11','2020-08-24 01:00:11');
INSERT INTO complaint_remarks VALUES('323','197','COMPLAIN COMPLETED. .','73','2020-08-24 01:52:13','2020-08-24 01:52:13');
INSERT INTO complaint_remarks VALUES('324','192','COMPLAIN COMPLETED','73','2020-08-24 01:53:56','2020-08-24 01:53:56');
INSERT INTO complaint_remarks VALUES('325','188','COSTUMER NOT ATTENDING THE CALL','73','2020-08-24 02:05:28','2020-08-24 02:05:28');
INSERT INTO complaint_remarks VALUES('326','187','COSTUMER NE DISPENCER REPLACE KARWA LIA','73','2020-08-24 02:07:30','2020-08-24 02:07:30');
INSERT INTO complaint_remarks VALUES('327','186','COSTUMER KO CALL KI GAE THI , COSTUMER OUT STATION CHLY GY THY, DOBARA LAUNCH KAREIN GY COMPLAIN','73','2020-08-24 02:11:41','2020-08-24 02:11:41');
INSERT INTO complaint_remarks VALUES('328','181','VISIT HOGYA HA... LEKIN 2BARA ISSUE AGYA HA','73','2020-08-24 02:16:04','2020-08-24 02:16:04');
INSERT INTO complaint_remarks VALUES('329','181','REMIND TO KHURRAM 5STAR','73','2020-08-24 02:16:16','2020-08-24 02:16:16');
INSERT INTO complaint_remarks VALUES('330','582','COMPLAIN#PKRI200824102887','73','2020-08-24 20:00:51','2020-08-24 20:00:51');
INSERT INTO complaint_remarks VALUES('331','581','COMPLAIN#1035288','73','2020-08-24 20:08:11','2020-08-24 20:08:11');
INSERT INTO complaint_remarks VALUES('332','459','VISIT HO chuka ha ... ref mein issue nahin ha door open hny mein time leta ha','73','2020-08-24 21:30:49','2020-08-24 21:30:49');
INSERT INTO complaint_remarks VALUES('333','566','COMPRESSOR ISSUE, REF TO SERVICE CENTRE','73','2020-08-24 22:37:46','2020-08-24 22:37:46');
INSERT INTO complaint_remarks VALUES('334','481','COSTUMER SIDE SE CALL ATTEND NAHIN HTI','73','2020-08-25 00:44:03','2020-08-25 00:44:03');
INSERT INTO complaint_remarks VALUES('335','481','PENDING','73','2020-08-25 00:44:13','2020-08-25 00:44:13');
INSERT INTO complaint_remarks VALUES('336','569','COSTUMER CHARGES PAY NAHIN KRRY','73','2020-08-25 00:51:17','2020-08-25 00:51:17');
INSERT INTO complaint_remarks VALUES('337','439','THERMOSTATE SETTING KI LEKIN ISSUE SOLVED NAI HWA. .','73','2020-08-25 01:27:19','2020-08-25 01:27:19');
INSERT INTO complaint_remarks VALUES('338','392','complaint resolved','74','2020-08-25 18:36:17','2020-08-25 18:36:17');
INSERT INTO complaint_remarks VALUES('339','391','COMPLAINT RESOLVED','74','2020-08-25 18:38:21','2020-08-25 18:38:21');
INSERT INTO complaint_remarks VALUES('340','387','NOT ATTEND CALL CUSTOMER KO SAM FF KAR DIA HAIN','74','2020-08-25 18:41:06','2020-08-25 18:41:06');
INSERT INTO complaint_remarks VALUES('341','381','COMPLAINT RESOLVED','74','2020-08-25 18:43:46','2020-08-25 18:43:46');
INSERT INTO complaint_remarks VALUES('342','267','RELAUNCH#PKRI200825101006','73','2020-08-25 18:49:40','2020-08-25 18:49:40');
INSERT INTO complaint_remarks VALUES('343','376','COMPLAINT RESOLVED','74','2020-08-25 18:50:19','2020-08-25 18:50:19');
INSERT INTO complaint_remarks VALUES('344','377','NOT ATTEND CALL CUSTOMER KO SMS FF KAR DIAY','74','2020-08-25 18:52:49','2020-08-25 18:52:49');
INSERT INTO complaint_remarks VALUES('345','374','COMPLAINT CLOSED','74','2020-08-25 18:55:31','2020-08-25 18:55:31');
INSERT INTO complaint_remarks VALUES('346','372','NOT ATTEND CALL CUSTOMER KO  SMS FF KAR DIA','74','2020-08-25 18:58:28','2020-08-25 18:58:28');
INSERT INTO complaint_remarks VALUES('347','364','COMPLAINT RESOLVED','74','2020-08-25 19:04:43','2020-08-25 19:04:43');
INSERT INTO complaint_remarks VALUES('348','368','COMPLAINT RESOLVED','74','2020-08-25 19:06:25','2020-08-25 19:06:25');
INSERT INTO complaint_remarks VALUES('349','369','DAWLANCE KI COMPLAINT RESOLVED HO GEI BUT ORIENT KI COMPLAINT CUSTOMER NA KHUD RESOLVED KARWAI HAIN COMPANY K TECHNICIAN NA VISIT NAI KIYA COMPLAINT CLOSED','74','2020-08-25 19:11:13','2020-08-25 19:11:13');
INSERT INTO complaint_remarks VALUES('350','359','COMPLAINT CLOSED','74','2020-08-25 19:15:00','2020-08-25 19:15:00');
INSERT INTO complaint_remarks VALUES('351','378','VISIT TO DAY CUSTOMER KO B INFORMED KAR DIA','74','2020-08-25 19:20:19','2020-08-25 19:20:19');
INSERT INTO complaint_remarks VALUES('352','361','COMPLAINT PA 2 BAR VISIT HO GAYA HAIN BUT ISSUE RESOLVED NAI HO AASIF GILL KO CASE FF KAR DIA','74','2020-08-25 19:21:15','2020-08-25 19:21:15');
INSERT INTO complaint_remarks VALUES('353','358','COMPLAINT RESOLVED','74','2020-08-25 19:24:36','2020-08-25 19:24:36');
INSERT INTO complaint_remarks VALUES('354','355','COMPLAINT PA AIK VISIT HO GAY HAIN AGAIN ISSUR AAGAY HAIN COMPLAINT AJ AGAIN REOPENED KARWAI HAIN','74','2020-08-25 19:27:32','2020-08-25 19:27:32');
INSERT INTO complaint_remarks VALUES('355','356','COMPLAINT PA VISIT HAO HAIN BUT SETTING KA ISSUE RESOLVED NAI HOA  TCL MAIN AGAIN VISIT K LIYA REMINDER DA DIA','74','2020-08-25 19:29:16','2020-08-25 19:29:16');
INSERT INTO complaint_remarks VALUES('356','354','COMPLAINT PA VISIT HO GAYA ATTEND B HO GEI COMPLAINT AB OUTDOOR MAIN SOUND AARHI HAIN AGAIN COMPLAINT REOPENED KARWA DI','74','2020-08-25 19:33:18','2020-08-25 19:33:18');
INSERT INTO complaint_remarks VALUES('357','349','COMPLAINT RESOLVED','74','2020-08-25 19:36:41','2020-08-25 19:36:41');
INSERT INTO complaint_remarks VALUES('358','348','COMPLAINT RESOLVED','74','2020-08-25 19:38:48','2020-08-25 19:38:48');
INSERT INTO complaint_remarks VALUES('359','353','NOT ATTEND CALL SMS FF KAR DIA CUSTOMER KO','74','2020-08-25 19:39:28','2020-08-25 19:39:28');
INSERT INTO complaint_remarks VALUES('360','344','CUSTOMER ABI OUT OFF CIOTY GAY HAO HAIN JAB WAPISE AAY GAY TU AGAIN NEW COMPLINT FF KARWAY GEI MADAM NA ABI COMPLINT CLOSED KARWA DIA','74','2020-08-25 19:42:10','2020-08-25 19:42:10');
INSERT INTO complaint_remarks VALUES('361','340','COMPANY NA LIGHT DEMAND KI HOI HAIN  LIGHT KI WAJA SA PENDING HAIN COMPLAINT CUSTOMER KO B INFORMED KAR DIA','74','2020-08-25 19:45:06','2020-08-25 19:45:06');
INSERT INTO complaint_remarks VALUES('362','339','COMPLAINT RESOLVED','74','2020-08-25 19:47:12','2020-08-25 19:47:12');
INSERT INTO complaint_remarks VALUES('363','339','COMPLAINT CLOSED','74','2020-08-25 19:47:28','2020-08-25 19:47:28');
INSERT INTO complaint_remarks VALUES('364','372','EARTH KA ISSUE RESOLVED HO GAY HAIN FOOT DEMAGE HAIN PARTS KI WAJA PENDING COMPLAINT ASIF GILL KO REMINDER DA DIA','74','2020-08-25 19:53:16','2020-08-25 19:53:16');
INSERT INTO complaint_remarks VALUES('365','342','COMPLAINT RESOLVED','74','2020-08-25 19:54:01','2020-08-25 19:54:01');
INSERT INTO complaint_remarks VALUES('366','341','COMPLAINT RESOLVED','74','2020-08-25 19:54:41','2020-08-25 19:54:41');
INSERT INTO complaint_remarks VALUES('367','337','DABAL COMPLAINT ENTER CLOSED COMPLAINT','74','2020-08-25 20:08:04','2020-08-25 20:08:04');
INSERT INTO complaint_remarks VALUES('368','337','HASSAN ABDAL MAIN UMER SAB IC CASE KO DEAL KAR RAHAY HAIN .
GASS KA ISSUE HAIN REF TO S/C BUT CUSTOMER S/C LA K JANAY PA AGREE NAI','74','2020-08-25 20:10:30','2020-08-25 20:10:30');
INSERT INTO complaint_remarks VALUES('369','564','KAL COMPLAINT PA VISIT BUT CUSTOMER GHR PA AVAIL NAI THAY AJ AGAIN COMPNAY MAIN VISIT K LIAY REMINDER DA DIA HAIN','74','2020-08-25 20:14:18','2020-08-25 20:14:18');
INSERT INTO complaint_remarks VALUES('370','338','COMPLAINT RESOLVED','74','2020-08-25 20:19:29','2020-08-25 20:19:29');
INSERT INTO complaint_remarks VALUES('371','338','COMPLAINT CLOSED','74','2020-08-25 20:19:39','2020-08-25 20:19:39');
INSERT INTO complaint_remarks VALUES('372','335','2 UNIT HO KI COMPLAINT THI 24HNI JIS MAIN GASS KA ISSUE THA WO RESOLVED HO GEI HAIN AIK UNIT KI COMPLAINT RESOLVED 2ND UNIT JIS MAIN CARD KA ISSUE WO AJ NEW COMPLIANT FF KARWA DI','74','2020-08-25 20:26:26','2020-08-25 20:26:26');
INSERT INTO complaint_remarks VALUES('373','335','COMPLAINT RESOLVED','74','2020-08-25 20:30:31','2020-08-25 20:30:31');
INSERT INTO complaint_remarks VALUES('374','564','COMPLAINT REOPEND KARWAI HAIN AJ AGAIN CUSTOMER KO B INFORMED KAR DIA','74','2020-08-25 20:47:43','2020-08-25 20:47:43');
INSERT INTO complaint_remarks VALUES('375','606','CUSTOMER ABI OFFICE MAIN 4 BAJA TAQ UP DATE KARAY GAY','74','2020-08-25 20:49:43','2020-08-25 20:49:43');
INSERT INTO complaint_remarks VALUES('376','328','KAL VISIT HO GAY HAIN REF S/C COMPANY WALAY LA K JAY GAY  HAIER S/C REMINDER DA DIA','74','2020-08-25 20:52:22','2020-08-25 20:52:22');
INSERT INTO complaint_remarks VALUES('377','326','CUSTOMER GHR PA AVAIL NAI THY CUSTOMER K PASS TECHNICIAN K NO HAIN CUSTOMER KHUD CALL KARAY GAY TECHNICION KO JB WO CALL KARAY GAY','74','2020-08-25 20:56:58','2020-08-25 20:56:58');
INSERT INTO complaint_remarks VALUES('378','321','COMPLAINT ATTEND HOI BUT CUSTOMER SATISFAIDE NAI HO RAHAY ASIF GILL KO INFORMED KIYA AJ','74','2020-08-25 21:00:32','2020-08-25 21:00:32');
INSERT INTO complaint_remarks VALUES('379','315','COMPLAINT RESOLVED','74','2020-08-25 21:05:43','2020-08-25 21:05:43');
INSERT INTO complaint_remarks VALUES('380','299','ANWAR SAB KO AGAIN REMINDER DA DIA AJ K VISIT K LIYA','74','2020-08-25 21:28:31','2020-08-25 21:28:31');
INSERT INTO complaint_remarks VALUES('381','317','UNIT MAIN KOI ISSUE NAI CUSTOMER K GHR K BILL ZAIDHA AAY IC WAJA SA SATISFIED NAI ELECTRICITY CHEEKED KAWANAY KA BOL K AAY HAIN COMPANY WALAY COMPLIANT RESOLVED','74','2020-08-25 21:30:12','2020-08-25 21:30:12');
INSERT INTO complaint_remarks VALUES('382','415','RELAUNCH#PKRI200825105445','73','2020-08-25 21:32:42','2020-08-25 21:32:42');
INSERT INTO complaint_remarks VALUES('383','17','CUSTOMER KI SIDE SA COMPLAINT DELAY THI AJ AGAIN COMPLAINT REOPEND KAEWA DIA OTHER# B FF KAR DIA COMPMAN/0333-5443288','74','2020-08-25 21:38:00','2020-08-25 21:38:00');
INSERT INTO complaint_remarks VALUES('384','20','NOT ATTEND CALL','74','2020-08-25 21:45:22','2020-08-25 21:45:22');
INSERT INTO complaint_remarks VALUES('385','20','SMS FF KAR DIA','74','2020-08-25 21:45:36','2020-08-25 21:45:36');
INSERT INTO complaint_remarks VALUES('386','23','NOT ATTEND CALL','74','2020-08-25 21:47:06','2020-08-25 21:47:06');
INSERT INTO complaint_remarks VALUES('387','293','WAQAR KENWOOD AGAIN COMPLAINT FF KAR DI','74','2020-08-25 22:25:21','2020-08-25 22:25:21');
INSERT INTO complaint_remarks VALUES('388','289','COMPLINT PA VISIT HO GAY HAIN  DOOR KA PARTS DEMAND KIYA HOA HAIN NAEEM KENWOOD KO STATUS UP DATE K LIYA','74','2020-08-25 22:34:30','2020-08-25 22:34:30');
INSERT INTO complaint_remarks VALUES('389','286','NOT ATTEND CALL CUSTOMER KO SMS FF KAR DIA','74','2020-08-25 22:38:05','2020-08-25 22:38:05');
INSERT INTO complaint_remarks VALUES('390','284','STATUS K LIYA MOHSIN SAB KO WHATS APP KAR DIA','74','2020-08-25 22:51:06','2020-08-25 22:51:06');
INSERT INTO complaint_remarks VALUES('391','398','COMPLAINT RESOLVED','74','2020-08-25 22:52:33','2020-08-25 22:52:33');
INSERT INTO complaint_remarks VALUES('392','387','COMPLAINT CLOSED','74','2020-08-25 22:53:56','2020-08-25 22:53:56');
INSERT INTO complaint_remarks VALUES('393','283','COMPANY KA VISIT HO GAYA HAIN  FLOOR STANDIN S/C JAY GEI B.COOL KI SIDE SA DELAY  REMINDER DA DIA HAIN','74','2020-08-25 22:57:54','2020-08-25 22:57:54');
INSERT INTO complaint_remarks VALUES('394','592','COMPLAINT CLOSED','74','2020-08-25 23:10:04','2020-08-25 23:10:04');
INSERT INTO complaint_remarks VALUES('395','277','COMPLAINT RESOLVED','74','2020-08-25 23:17:36','2020-08-25 23:17:36');
INSERT INTO complaint_remarks VALUES('396','279','COMPLAINT RESOLVED','74','2020-08-25 23:25:14','2020-08-25 23:25:14');
INSERT INTO complaint_remarks VALUES('397','5','CUSTOMER KO AJ B TECHNICIAN KO  CALL KI  BUT CUSTOMER NA CALL ATTEND NAI KI','74','2020-08-25 23:27:08','2020-08-25 23:27:08');
INSERT INTO complaint_remarks VALUES('398','274','NOT ATTEND CALL','74','2020-08-25 23:28:53','2020-08-25 23:28:53');
INSERT INTO complaint_remarks VALUES('399','267','NOT PICK UP CALL SMS FF KAR DIA','74','2020-08-25 23:29:55','2020-08-25 23:29:55');
INSERT INTO complaint_remarks VALUES('400','263','NOT ATTEND CALL CUSTOMER KO SMS FF KAR DIA','74','2020-08-25 23:33:59','2020-08-25 23:33:59');
INSERT INTO complaint_remarks VALUES('401','399','COMPLAINT RESOLVED','74','2020-08-26 00:03:10','2020-08-26 00:03:10');
INSERT INTO complaint_remarks VALUES('402','378','CUSTOMER KI COMPLAINT PA VISIT HO GAYA HAIN CUSTOMER NA VISIT CHARGES PAY NAI KIYA HOA 2 SAL KI WARRANTY GALSS PA NOTE HOAI V','74','2020-08-26 00:08:16','2020-08-26 00:08:16');
INSERT INTO complaint_remarks VALUES('403','400','COMPLAINT PA VISIT HO GAYA HAIN W/M S/C LIFT HONI HAIN','74','2020-08-26 00:20:54','2020-08-26 00:20:54');
INSERT INTO complaint_remarks VALUES('404','274','SMS FF KAR DIA','74','2020-08-26 00:23:06','2020-08-26 00:23:06');
INSERT INTO complaint_remarks VALUES('405','403','COMPAINT PA AIK VISIT HO GAYA HAIN BUT ISSUE RESOLVED NAI HOA AJ AGIN COMPLINT REOPEN KARWAI HAIN','74','2020-08-26 01:10:21','2020-08-26 01:10:21');
INSERT INTO complaint_remarks VALUES('406','408','KAL COMPLINT PA VISIT THA BUT CUSTOMER OUT OFF CITY GAEI HOI HAIN WAPISE AA K AGAIN COMPLIANT FF KARWAI GEI ABI CLOSED KARWA DI COMPLAINT','74','2020-08-26 01:30:55','2020-08-26 01:30:55');
INSERT INTO complaint_remarks VALUES('407','407','COMPLAINT RESOLVED','74','2020-08-26 01:33:21','2020-08-26 01:33:21');
INSERT INTO complaint_remarks VALUES('408','406','COMPLAINT RESOLVED','74','2020-08-26 01:34:40','2020-08-26 01:34:40');
INSERT INTO complaint_remarks VALUES('409','411','COMPLAINT P[A VISIT HO GAY HAIN CUSTOMER NA KHUD S/C LA K JANA HAIN','74','2020-08-26 01:38:24','2020-08-26 01:38:24');
INSERT INTO complaint_remarks VALUES('410','405','1 & HALF HOUR MAIN VISIT HO RAHA KHURRAM TECHNICIAN ROUT PA HI HAIN','74','2020-08-26 01:46:31','2020-08-26 01:46:31');
INSERT INTO complaint_remarks VALUES('411','459','COMPLAINT PA VISIT HO GAY HAIN PART DEMAND KIYA HOA HAIN','74','2020-08-26 02:28:40','2020-08-26 02:28:40');
INSERT INTO complaint_remarks VALUES('412','88','CUSTOMER SA BAT HO GEI HAIN WO PARTS REPLACE NAI KARWANA CAHA RAHI','74','2020-08-26 03:04:03','2020-08-26 03:04:03');
INSERT INTO complaint_remarks VALUES('413','628','compressor aj delver ho jay ga','74','2020-08-26 20:39:29','2020-08-26 20:39:29');
INSERT INTO complaint_remarks VALUES('414','439','again complaint pa visit ho gaya hain kal visit customer aik 2 din taq cheek kar k up date karay gay','74','2020-08-26 20:45:07','2020-08-26 20:45:07');
INSERT INTO complaint_remarks VALUES('415','438','COMPLAINT RESOLVED','74','2020-08-26 20:52:52','2020-08-26 20:52:52');
INSERT INTO complaint_remarks VALUES('416','436','SHAHNAWAZ SAB IC COMPLAINT ATTEND KAR RAHAY HAIN','74','2020-08-26 21:03:08','2020-08-26 21:03:08');
INSERT INTO complaint_remarks VALUES('417','435','COMPLAINT RESOLVED','74','2020-08-26 21:07:23','2020-08-26 21:07:23');
INSERT INTO complaint_remarks VALUES('418','433','NOT ATTEND CALL SMS FF KAR DIA','74','2020-08-26 21:10:17','2020-08-26 21:10:17');
INSERT INTO complaint_remarks VALUES('419','432','NOPT ATTEND CALL SMS FF KAR DIA','74','2020-08-26 21:17:46','2020-08-26 21:17:46');
INSERT INTO complaint_remarks VALUES('420','431','CUSTOMER KI  KHURRAM SAB SA BAT KARWA DI HAIN  VISIT TO DAY','74','2020-08-26 21:22:45','2020-08-26 21:22:45');
INSERT INTO complaint_remarks VALUES('421','430','CUSTOMER NA TECHNICIAN KO FRIDAY KA TIME DIA VISIT K LIYA','74','2020-08-26 21:26:35','2020-08-26 21:26:35');
INSERT INTO complaint_remarks VALUES('422','429','NOT ATTEND  CALL SMS FF KAR DIA','74','2020-08-26 21:34:28','2020-08-26 21:34:28');
INSERT INTO complaint_remarks VALUES('423','427','COMPLAINT RESOLVED','74','2020-08-26 21:36:19','2020-08-26 21:36:19');
INSERT INTO complaint_remarks VALUES('424','424','COMPLAINT RESOLVED','74','2020-08-26 21:47:45','2020-08-26 21:47:45');
INSERT INTO complaint_remarks VALUES('425','423','ISB S/C SA STATUS KI UP DATE LAYNI','74','2020-08-26 22:03:48','2020-08-26 22:03:48');
INSERT INTO complaint_remarks VALUES('426','447','CUSTOMER REPLACEMENT KI DEMAND KAR RAHAY HAIN','74','2020-08-26 22:45:06','2020-08-26 22:45:06');
INSERT INTO complaint_remarks VALUES('427','444','COMPLAINT RESOLVED','74','2020-08-26 22:47:40','2020-08-26 22:47:40');
INSERT INTO complaint_remarks VALUES('428','449','COMPLAINT RESOLVED','74','2020-08-26 22:49:52','2020-08-26 22:49:52');
INSERT INTO complaint_remarks VALUES('429','432','complaint resolved','74','2020-08-26 22:59:36','2020-08-26 22:59:36');
INSERT INTO complaint_remarks VALUES('430','450','COMPLAINT PA VISIT HO GAYA HAIN PARTS DEMAND KIYA HOA HAIN','74','2020-08-26 23:01:09','2020-08-26 23:01:09');
INSERT INTO complaint_remarks VALUES('431','453','IC COMPLAINT PA KAL VSIT HO GA CUSTOMER KO B INFORMED KAR DIA','74','2020-08-26 23:03:25','2020-08-26 23:03:25');
INSERT INTO complaint_remarks VALUES('432','666','COMPLAIN#1032779','73','2020-08-26 23:03:41','2020-08-26 23:03:41');
INSERT INTO complaint_remarks VALUES('433','666','YE COMPLAIN COMPANY MEIN B FRWRD HOI HA OR BEST COOL B. . INVOICE ANAY K BD ENTRE KI COMPLAIN','73','2020-08-26 23:04:17','2020-08-26 23:04:17');
INSERT INTO complaint_remarks VALUES('434','420','JIS DN COMPLAINT PA VSIT THA US DIN CUSTOMER GHR PA AVAIL NAI THY CUSTOMER K PASS TECHNICIAN KA NO HAIN WO KHUD MONDAY KO CALL KAR K INFORMED KARAY GAY VISIT K LIYA','74','2020-08-26 23:06:56','2020-08-26 23:06:56');
INSERT INTO complaint_remarks VALUES('435','419','COMPLAINT RESOLVED','74','2020-08-26 23:08:21','2020-08-26 23:08:21');
INSERT INTO complaint_remarks VALUES('436','455','COMPLAINT RESOLVED','74','2020-08-26 23:09:34','2020-08-26 23:09:34');
INSERT INTO complaint_remarks VALUES('437','418','COMPLAINT RESOLVED','74','2020-08-26 23:11:29','2020-08-26 23:11:29');
INSERT INTO complaint_remarks VALUES('438','417','BRANCH PA VISIT HO GAYA HAIN HOT TYP DEMAND KI HOI HAIN','74','2020-08-26 23:22:04','2020-08-26 23:22:04');
INSERT INTO complaint_remarks VALUES('439','405','COMPLAINT RESOLVED FILTER CLEAR KIYAHAIN','74','2020-08-26 23:32:14','2020-08-26 23:32:14');
INSERT INTO complaint_remarks VALUES('440','457','COMPLAINT RESOLVED','74','2020-08-26 23:35:57','2020-08-26 23:35:57');
INSERT INTO complaint_remarks VALUES('441','458','COMPLAINT PA AIK BAR VISIT HO GAYA HAIN AGAIN COMPLAINT REOPEN HO GEI','74','2020-08-26 23:47:15','2020-08-26 23:47:15');
INSERT INTO complaint_remarks VALUES('442','88','saddiq sab ki approval sa w/m magwai hain','74','2020-08-27 00:07:32','2020-08-27 00:07:32');
INSERT INTO complaint_remarks VALUES('443','411','hood aj hi customer s/c drop kar k aay hain','74','2020-08-27 00:13:31','2020-08-27 00:13:31');
INSERT INTO complaint_remarks VALUES('444','461','shabaz technician ic complaint ko attend kar rahay hain parts demand kiya hoa hain customer ko b informed kar dia hain parts main time lagay ga','74','2020-08-27 00:24:14','2020-08-27 00:24:14');
INSERT INTO complaint_remarks VALUES('445','464','complaint resolved','74','2020-08-27 00:27:08','2020-08-27 00:27:08');
INSERT INTO complaint_remarks VALUES('446','463','customer ko same day main visit k liya call kar rahay thy  but customer ka #p/off ja raha tha again complaint ff karwa di & customer ko b informed kar dia','74','2020-08-27 00:36:24','2020-08-27 00:36:24');
INSERT INTO complaint_remarks VALUES('447','462','complaint resolved','74','2020-08-27 00:38:38','2020-08-27 00:38:38');
INSERT INTO complaint_remarks VALUES('448','572','SADDIQ SAB KI APPROVAL SA REF WAPISE MAGWAYA HAIN','74','2020-08-27 00:54:38','2020-08-27 00:54:38');
INSERT INTO complaint_remarks VALUES('449','466','COMPLAINT PA AIK VISIT HO GAY HAIN BUT ISSUE RESOLVED NAI HOA AGAIN COMPLAINT KI REQUEST FF KARWA DI','74','2020-08-27 01:08:41','2020-08-27 01:08:41');
INSERT INTO complaint_remarks VALUES('450','385','NOT ATTEND CALL','74','2020-08-27 01:34:32','2020-08-27 01:34:32');
INSERT INTO complaint_remarks VALUES('451','377','COMPLAINT RESOLVED','74','2020-08-27 01:36:31','2020-08-27 01:36:31');
INSERT INTO complaint_remarks VALUES('452','50','NO VISIT AJ B WAQAR SAB KO REMINDER DA DIA HAIN VISIT K LIYA','74','2020-08-27 01:46:08','2020-08-27 01:46:08');
INSERT INTO complaint_remarks VALUES('453','51','CUSTOMER STILL NOT ATTEND MY CALL','74','2020-08-27 01:48:32','2020-08-27 01:48:32');
INSERT INTO complaint_remarks VALUES('454','72','NOT ATTEND CALL','74','2020-08-27 01:50:09','2020-08-27 01:50:09');
INSERT INTO complaint_remarks VALUES('455','79','NO VISIT TECHNICIAN NA CUSTOMER SA BT KI BUT LATE HONAY PA VISIT HNI HOA AGAN REMINDER','74','2020-08-27 01:58:46','2020-08-27 01:58:46');
INSERT INTO complaint_remarks VALUES('456','664','VISIT TO DAY','74','2020-08-27 19:45:43','2020-08-27 19:45:43');
INSERT INTO complaint_remarks VALUES('457','472','COMPLAINT RESOLVED','74','2020-08-27 20:02:48','2020-08-27 20:02:48');
INSERT INTO complaint_remarks VALUES('458','471','COMPLAINT RESOLVED','74','2020-08-27 20:04:59','2020-08-27 20:04:59');
INSERT INTO complaint_remarks VALUES('459','477','COMPLAINT RESOLVED','74','2020-08-27 20:54:29','2020-08-27 20:54:29');
INSERT INTO complaint_remarks VALUES('460','676','DABAL COMPLAINT ENTER CLOSED','74','2020-08-27 21:48:01','2020-08-27 21:48:01');
INSERT INTO complaint_remarks VALUES('461','147','CUSTOMER NA KHUD TCL IMRAN SAB K S/C MAIN LA K JANI HAIN  CUSTOMER KO IMRAN SAB K NO B FF KAR DIA HAIN','74','2020-08-27 22:04:33','2020-08-27 22:04:33');
INSERT INTO complaint_remarks VALUES('462','235','GASS LEAKAGE ISSUE CUSTOMER KHUD S/C LA K JANA HAIN','74','2020-08-27 23:01:11','2020-08-27 23:01:11');
INSERT INTO complaint_remarks VALUES('463','691','DABAL ENTER CLOSED','74','2020-08-28 00:45:55','2020-08-28 00:45:55');
INSERT INTO complaint_remarks VALUES('464','142','complaint pa aik visit ho gay hain issue resolved nai hoa customer ko anwar caravell k no provide kar dia','74','2020-08-28 20:35:43','2020-08-28 20:35:43');
INSERT INTO complaint_remarks VALUES('465','181','KHURRAM 5 STAR KO AGAIN REMINDER DA DIA HAIN VISIT K LIYA','74','2020-08-28 21:41:50','2020-08-28 21:41:50');
INSERT INTO complaint_remarks VALUES('466','72','FOLLOWUP K LIYA CUSTOMER STILL NOT PICK UP CALL MAZHAR FCP KO INFORMED KAR K COMPLAINT CLOSED KAR DI AJ','74','2020-08-28 21:48:56','2020-08-28 21:48:56');
INSERT INTO complaint_remarks VALUES('467','274','MONDAY KO COMPLAINT ATTEND HO JAY GEI  CUSTOMER KO B INFORMED KAR D IA','74','2020-08-29 01:11:37','2020-08-29 01:11:37');
INSERT INTO complaint_remarks VALUES('468','582','complaint resolved','74','2020-08-31 20:42:00','2020-08-31 20:42:00');
INSERT INTO complaint_remarks VALUES('469','581','COMPLAINT RESOLVED','74','2020-08-31 20:44:16','2020-08-31 20:44:16');
INSERT INTO complaint_remarks VALUES('470','579','VISIT NAI HOA ADIL BHAI KO TASK# FF KAR DIA','74','2020-08-31 20:54:45','2020-08-31 20:54:45');
INSERT INTO complaint_remarks VALUES('471','577','COMPLAINT PA AIK VISIT HO GAY HAIN ISSUE RESOLVED NAI HOA AGAIN REMINDER','74','2020-08-31 20:57:46','2020-08-31 20:57:46');
INSERT INTO complaint_remarks VALUES('472','575','COMPLAINT PA VISIT HO GAY HAIN KUCH ISSUE RESOLVED NAI HOAY AJ CUSTOMER NA KHUD COMPLAINT CLOSED KARWA DI','74','2020-08-31 21:08:38','2020-08-31 21:08:38');
INSERT INTO complaint_remarks VALUES('473','588','COMPLAINT RESOLVED','74','2020-08-31 21:10:59','2020-08-31 21:10:59');
INSERT INTO complaint_remarks VALUES('474','589','VISIT TO DAY','74','2020-08-31 21:13:45','2020-08-31 21:13:45');
INSERT INTO complaint_remarks VALUES('475','587','COMPLAINT RESOLVED','74','2020-08-31 21:24:09','2020-08-31 21:24:09');
INSERT INTO complaint_remarks VALUES('476','583','CUSTOMER NA W/M REPLACE KARWA K HAIER LA LI','74','2020-08-31 21:26:12','2020-08-31 21:26:12');
INSERT INTO complaint_remarks VALUES('477','578','COMPLAINT RESOLVED','74','2020-08-31 21:27:17','2020-08-31 21:27:17');
INSERT INTO complaint_remarks VALUES('478','571','COMPLAINT RESOLVED','74','2020-08-31 21:31:08','2020-08-31 21:31:08');
INSERT INTO complaint_remarks VALUES('479','570','COMPLAINT RESOLVED','74','2020-08-31 21:36:16','2020-08-31 21:36:16');
INSERT INTO complaint_remarks VALUES('480','568','NO VISIT WAQAR KO REMINDER DA DIA','74','2020-08-31 21:42:01','2020-08-31 21:42:01');
INSERT INTO complaint_remarks VALUES('481','567','VISIT HO GAY HAIN PARTS DEMAND KIYA WA','74','2020-08-31 21:43:38','2020-08-31 21:43:38');
INSERT INTO complaint_remarks VALUES('482','564','COMPLAINT PA VISIT HO GAYA HAIN  REF CUSTOMER NA KHUD S/C LA K JANA HAIN','74','2020-08-31 21:46:09','2020-08-31 21:46:09');
INSERT INTO complaint_remarks VALUES('483','562','CUSTOMER NA COMPLAINT LOKAL TECHNICIAN SA RESOLVED KARWA LI','74','2020-08-31 21:51:39','2020-08-31 21:51:39');
INSERT INTO complaint_remarks VALUES('484','591','COMPLAINT RESOLVED','74','2020-08-31 22:00:40','2020-08-31 22:00:40');
INSERT INTO complaint_remarks VALUES('485','555','CUSTOMER NA GEYSER REPLACE KARWA LIYA COMPLAINT CLOSED','74','2020-08-31 22:04:19','2020-08-31 22:04:19');
INSERT INTO complaint_remarks VALUES('486','553','COMPLAINT RESOLVED','74','2020-08-31 22:09:54','2020-08-31 22:09:54');
INSERT INTO complaint_remarks VALUES('487','552','COMPLAINT RESOLVED','74','2020-08-31 22:11:46','2020-08-31 22:11:46');
INSERT INTO complaint_remarks VALUES('488','550','COMPLAINT RESOLVED','74','2020-08-31 22:13:27','2020-08-31 22:13:27');
INSERT INTO complaint_remarks VALUES('489','549','COMPLAINT RESOLVED','74','2020-08-31 22:15:12','2020-08-31 22:15:12');
INSERT INTO complaint_remarks VALUES('490','544','COMPLAINT PA IAK VISIT HO GAYA AGAIN ISSUE AGAY HAI N AGAIN COMPLAINT REOPEND KARWA DI  AJ','74','2020-08-31 22:20:47','2020-08-31 22:20:47');
INSERT INTO complaint_remarks VALUES('491','542','COMPLAINT RESOLVED','74','2020-08-31 22:24:00','2020-08-31 22:24:00');
INSERT INTO complaint_remarks VALUES('492','539','COMPANY MODEL NAI HAIN  AGAIN COMPLAINT FF B.COOL','74','2020-08-31 22:37:22','2020-08-31 22:37:22');
INSERT INTO complaint_remarks VALUES('493','538','COMPLAINT RESOLVED','74','2020-08-31 22:41:26','2020-08-31 22:41:26');
INSERT INTO complaint_remarks VALUES('494','536','COMPLAINT RESOLVED','74','2020-08-31 22:44:35','2020-08-31 22:44:35');
INSERT INTO complaint_remarks VALUES('495','533','AIK VISIT HO GAY HAIN ISSUE RESOLVED NAI HOA COMPANY MAIN AGAIN VISIT K LIYA REMINDER DA DIA','74','2020-08-31 22:49:45','2020-08-31 22:49:45');
INSERT INTO complaint_remarks VALUES('496','535','COMPLAINT RESOLVED','74','2020-08-31 22:50:47','2020-08-31 22:50:47');
INSERT INTO complaint_remarks VALUES('497','534','COMPLAINT RESOLVED','74','2020-08-31 22:51:51','2020-08-31 22:51:51');
INSERT INTO complaint_remarks VALUES('498','527','VISIT TO DAY','74','2020-08-31 22:54:43','2020-08-31 22:54:43');
INSERT INTO complaint_remarks VALUES('499','525','COMPLAINT RESOLVED','74','2020-08-31 22:56:10','2020-08-31 22:56:10');
INSERT INTO complaint_remarks VALUES('500','524','COMPLAINT RESOLVED','74','2020-08-31 22:58:05','2020-08-31 22:58:05');
INSERT INTO complaint_remarks VALUES('501','523','COMPLAINT RESOLVED','74','2020-08-31 23:00:19','2020-08-31 23:00:19');
INSERT INTO complaint_remarks VALUES('502','521','COMPLAINT RESOLVED','74','2020-08-31 23:02:49','2020-08-31 23:02:49');
INSERT INTO complaint_remarks VALUES('503','519','COMPLAINT RESOLVED','74','2020-08-31 23:04:30','2020-08-31 23:04:30');
INSERT INTO complaint_remarks VALUES('504','594','COMPLAINT RESOLVED','74','2020-08-31 23:14:07','2020-08-31 23:14:07');
INSERT INTO complaint_remarks VALUES('505','593','COMPLAINT RESOLVED','74','2020-08-31 23:15:54','2020-08-31 23:15:54');
INSERT INTO complaint_remarks VALUES('506','517','COMPLAINT RESOLVED','74','2020-08-31 23:18:31','2020-08-31 23:18:31');
INSERT INTO complaint_remarks VALUES('507','514','COMPLAINT RESOLVED','74','2020-08-31 23:20:59','2020-08-31 23:20:59');
INSERT INTO complaint_remarks VALUES('508','509','COMPLAINT RESOLVED','74','2020-08-31 23:28:31','2020-08-31 23:28:31');
INSERT INTO complaint_remarks VALUES('509','508','COMPLAINT RESOLVED','74','2020-08-31 23:30:13','2020-08-31 23:30:13');
INSERT INTO complaint_remarks VALUES('510','507','2 BAR VISIT HO GAYA HAIN AJ AGAIN VISIT HAIN','74','2020-08-31 23:34:28','2020-08-31 23:34:28');
INSERT INTO complaint_remarks VALUES('511','499','AIK VIST HO GAY HAIN CUSTOMER  WATER COOLER PUSHER PUMP PA USE KAR RA HAY HAIN','74','2020-09-01 00:00:16','2020-09-01 00:00:16');
INSERT INTO complaint_remarks VALUES('512','504','COMPLAINT RESOLVED','74','2020-09-01 00:03:02','2020-09-01 00:03:02');
INSERT INTO complaint_remarks VALUES('513','502','COMPLAINT RESOLVED','74','2020-09-01 00:06:11','2020-09-01 00:06:11');
INSERT INTO complaint_remarks VALUES('514','506','COMPLAINT RESOLVED','74','2020-09-01 00:07:41','2020-09-01 00:07:41');
INSERT INTO complaint_remarks VALUES('515','485','COMPLAINT RESOLVED','74','2020-09-01 00:34:40','2020-09-01 00:34:40');
INSERT INTO complaint_remarks VALUES('516','463','CUSTOMER KI SIDE SA CALL PICK NAI HOI HAIN AGAIN REOPEND KARWAI COMPLAINT','74','2020-09-01 00:46:54','2020-09-01 00:46:54');
INSERT INTO complaint_remarks VALUES('517','619','RELAUNCH#PKRI200831110024','73','2020-09-01 00:57:44','2020-09-01 00:57:44');
INSERT INTO complaint_remarks VALUES('518','423','COMPLAINT PA AIK VISIT HO DOOR PROB HAIN  OVER COOLING HO RAHI ADNAN SAB SA BAT HOI HAIN MARI TECHNICIAN SA UP DATE LA K UP DATE KARTAY','74','2020-09-01 01:17:46','2020-09-01 01:17:46');
INSERT INTO complaint_remarks VALUES('519','572','CUSTOMER KO REF REPLACE KAR DIA HAIN COMPLAINT RESOLVED','74','2020-09-01 01:19:14','2020-09-01 01:19:14');
INSERT INTO complaint_remarks VALUES('520','604','ALI SAB NA YHA COMPLAINT SARGODHA FF KARWAI HAIN AJ CUSTOMER KO B INFORMED KAR DIA','74','2020-09-01 01:37:38','2020-09-01 01:37:38');
INSERT INTO complaint_remarks VALUES('521','748','YE COSTUMER STILL CALL ATTEND NAI KRRY. . KHURRAM SB NE COMPLAIN FRWRD KI ADDRESS K STH TO FRWRD KARWA DI HA COMPLAIN','73','2020-09-01 02:00:10','2020-09-01 02:00:10');
INSERT INTO complaint_remarks VALUES('522','633','complaint pa aik visit hoa hain customer na technician ko proper w/m cheekd karnay nai di again complaint reopend karwa k taqeer sab ko complaint# ff kar dia hain','74','2020-09-01 02:09:54','2020-09-01 02:09:54');
INSERT INTO complaint_remarks VALUES('523','610','complaint resolved','74','2020-09-01 02:13:33','2020-09-01 02:13:33');
INSERT INTO complaint_remarks VALUES('524','609','complaint resolved','74','2020-09-01 02:15:54','2020-09-01 02:15:54');
INSERT INTO complaint_remarks VALUES('525','607','NOT ATTEND CALL','74','2020-09-01 02:17:48','2020-09-01 02:17:48');
INSERT INTO complaint_remarks VALUES('526','604','COMPLAINT RESOLVED','74','2020-09-01 02:18:49','2020-09-01 02:18:49');
INSERT INTO complaint_remarks VALUES('527','604','SORRY WRONG FOLLOWUP','74','2020-09-01 02:19:18','2020-09-01 02:19:18');
INSERT INTO complaint_remarks VALUES('528','602','COMPLAINT PA VISIT HO GAYA HAIN REF S/C LIFT HONA','74','2020-09-01 02:31:41','2020-09-01 02:31:41');
INSERT INTO complaint_remarks VALUES('529','601','COMPLAINT RESOLVED','74','2020-09-01 02:34:09','2020-09-01 02:34:09');
INSERT INTO complaint_remarks VALUES('530','599','NOT ATTEND CALL','74','2020-09-01 02:38:21','2020-09-01 02:38:21');
INSERT INTO complaint_remarks VALUES('531','584','NOT ATTEND CALL CUSTOMER KO SMS KAR DIA','74','2020-09-01 02:42:40','2020-09-01 02:42:40');
INSERT INTO complaint_remarks VALUES('532','563','NOT ATTEND CALL CUSTOMER KO SMS KAR DIA HAIN','74','2020-09-01 02:46:58','2020-09-01 02:46:58');
INSERT INTO complaint_remarks VALUES('533','546','CUSTOMER NOT ATTEND CALL SMS FF KAR DIAYA','74','2020-09-01 02:51:43','2020-09-01 02:51:43');
INSERT INTO complaint_remarks VALUES('534','546','CUSTOMER NOT ATTEND CALL SMS FF KAR DIAYA','74','2020-09-01 02:51:44','2020-09-01 02:51:44');
INSERT INTO complaint_remarks VALUES('535','527','CUTOMER KO TCL TECHNICIAN K VISIT MEG AAGAY HAIN','74','2020-09-01 02:55:06','2020-09-01 02:55:06');
INSERT INTO complaint_remarks VALUES('536','17','complaint resolved','74','2020-09-01 19:13:56','2020-09-01 19:13:56');
INSERT INTO complaint_remarks VALUES('537','28','CUSTOMER STILL NOT ATTEND CALL SO COMPLAINT CLOSED','74','2020-09-01 19:18:00','2020-09-01 19:18:00');
INSERT INTO complaint_remarks VALUES('538','51','CUSTOMER STILL CALL ATTEND NAI KAR RAHAY COMPANY SA CONFIRM KAR K COMPLAINT CLOSED KAR DI AJ COMPANY MAIN B COMPLAINT CANCELLED HAIN','74','2020-09-01 19:41:34','2020-09-01 19:41:34');
INSERT INTO complaint_remarks VALUES('539','79','COMPLAINT CUSTOMER KI SIDE SA DELAY HOI HAIN SO COMPLAINT CLOSED  AJ NEW COMPLAINT FF KAEWAI','74','2020-09-01 19:50:38','2020-09-01 19:50:38');
INSERT INTO complaint_remarks VALUES('540','88','CUSTOMER SA BAI BAT HOI HAIN WO AJ REPLACE KARWA RAHAY HAIN','74','2020-09-01 19:53:39','2020-09-01 19:53:39');
INSERT INTO complaint_remarks VALUES('541','89','COMPLAINT RESOLVED','74','2020-09-01 19:55:02','2020-09-01 19:55:02');
INSERT INTO complaint_remarks VALUES('542','40','COMPLAINT RESOLVED','74','2020-09-01 20:04:04','2020-09-01 20:04:04');
INSERT INTO complaint_remarks VALUES('543','92','2ND TIME TECHNICIAN NA VISIT KARNA THA BUT CUSTOMER GHR PA AVAIL NAI THY SO COMPLAINT CLOSED','74','2020-09-01 20:17:27','2020-09-01 20:17:27');
INSERT INTO complaint_remarks VALUES('544','71','COMPLAINT CUSTOMER KI SIDE SA DELAY HAIN CUSTOMER NA ABI TAQ LED S/C NAI BAJWAI','74','2020-09-01 20:23:22','2020-09-01 20:23:22');
INSERT INTO complaint_remarks VALUES('545','99','COMPLAINT CLOSED','74','2020-09-01 20:26:33','2020-09-01 20:26:33');
INSERT INTO complaint_remarks VALUES('546','623','NOT ATTEND CALL','74','2020-09-01 20:46:10','2020-09-01 20:46:10');
INSERT INTO complaint_remarks VALUES('547','622','COMPLAINT RESOLVED','74','2020-09-01 20:48:51','2020-09-01 20:48:51');
INSERT INTO complaint_remarks VALUES('548','621','COMPLAINT PA VISIT HO GAYA HAIN CENSER KIT CHANGE HO GEI','74','2020-09-01 20:51:44','2020-09-01 20:51:44');
INSERT INTO complaint_remarks VALUES('549','619','CUSTOMER  KO EXP BATA DIA HAIN 6000 KA BUT CUSTOMER PAYMENT PA AGREE NAI HO RAHAY','74','2020-09-01 20:55:20','2020-09-01 20:55:20');
INSERT INTO complaint_remarks VALUES('550','618','NOT ATTEND CALL','74','2020-09-01 20:57:01','2020-09-01 20:57:01');
INSERT INTO complaint_remarks VALUES('551','617','CUSTOMER TECHNICIAN SA CONTACT MAIN HAIN BARISH KI WAJA SA COMPLAINT P[A VISIT DELAY HAIN','74','2020-09-01 20:58:45','2020-09-01 20:58:45');
INSERT INTO complaint_remarks VALUES('552','103','NOT ATTEND CALL','74','2020-09-01 21:00:35','2020-09-01 21:00:35');
INSERT INTO complaint_remarks VALUES('553','152','COMPLAINT RESOLVED','74','2020-09-01 21:02:53','2020-09-01 21:02:53');
INSERT INTO complaint_remarks VALUES('554','234','PCB DEFECTIVE HA. . COSTUMER KHUD SERVICE CENTRE DROP KAREIM GY','73','2020-09-01 21:03:18','2020-09-01 21:03:18');
INSERT INTO complaint_remarks VALUES('555','149','COMPLAINT RESOLVED','74','2020-09-01 21:06:21','2020-09-01 21:06:21');
INSERT INTO complaint_remarks VALUES('556','146','COMPLAINT RESOLVED','74','2020-09-01 21:09:43','2020-09-01 21:09:43');
INSERT INTO complaint_remarks VALUES('557','147','CUSTOMER NMA KHUD S/C LA K JANI CUSTOMER K TCL K SATH CONTACT PA HAIN CUSTOMER NA KHUD COMPLAINT CLOSED KARWA DI','74','2020-09-01 21:12:05','2020-09-01 21:12:05');
INSERT INTO complaint_remarks VALUES('558','145','COMPLAINT RESOLVED','74','2020-09-01 21:13:10','2020-09-01 21:13:10');
INSERT INTO complaint_remarks VALUES('559','164','COMPLAINT RESOLVED','74','2020-09-01 21:16:45','2020-09-01 21:16:45');
INSERT INTO complaint_remarks VALUES('560','171','COMPLAINT RESOLVED','74','2020-09-01 21:17:46','2020-09-01 21:17:46');
INSERT INTO complaint_remarks VALUES('561','172','COMPLAINT RESOLVED','74','2020-09-01 21:19:52','2020-09-01 21:19:52');
INSERT INTO complaint_remarks VALUES('562','175','COMPLAINT RESOLVED','74','2020-09-01 21:21:07','2020-09-01 21:21:07');
INSERT INTO complaint_remarks VALUES('563','177','COMPLAINT RESOLVED','74','2020-09-01 21:24:49','2020-09-01 21:24:49');
INSERT INTO complaint_remarks VALUES('564','178','COMPLAINT RESOLVED','74','2020-09-01 21:25:51','2020-09-01 21:25:51');
INSERT INTO complaint_remarks VALUES('565','179','COMPLAINT RESOLVED','74','2020-09-01 21:26:44','2020-09-01 21:26:44');
INSERT INTO complaint_remarks VALUES('566','181','VISIT TO DAY','74','2020-09-01 21:30:50','2020-09-01 21:30:50');
INSERT INTO complaint_remarks VALUES('567','188','CUSTOMER K REF MAIN KOI ISSUE NI HAIN VISIT KARWA DIA HAIN CUSTOMER  BOL RAHAY HAIN REF OLD DA DIA HAIN','74','2020-09-01 21:46:08','2020-09-01 21:46:08');
INSERT INTO complaint_remarks VALUES('568','131','CUSTOMER NA NEW A/C LAGWA LIYA HAIN CUSTOMER KO EXP INFORMED KAR DIA (0321-6313444) CLOSED COMPLAINT','74','2020-09-01 22:21:26','2020-09-01 22:21:26');
INSERT INTO complaint_remarks VALUES('569','631','COMPLAINT RESOLVED','74','2020-09-01 22:27:48','2020-09-01 22:27:48');
INSERT INTO complaint_remarks VALUES('570','630','COMPLAINT RESOLVED','74','2020-09-01 22:29:00','2020-09-01 22:29:00');
INSERT INTO complaint_remarks VALUES('571','626','COMPLAINT RESOLVED','74','2020-09-01 22:30:31','2020-09-01 22:30:31');
INSERT INTO complaint_remarks VALUES('572','623','COMPLAINT RESOLVED','74','2020-09-01 22:33:36','2020-09-01 22:33:36');
INSERT INTO complaint_remarks VALUES('573','624','MUWAR SAB KO AGAIN COMPLAINT FF KAR DI HAIN VISIT K LIYA','74','2020-09-01 22:39:03','2020-09-01 22:39:03');
INSERT INTO complaint_remarks VALUES('574','768','COSTUMER NE COMPLAIN CANCEL KARWA DI...','73','2020-09-01 22:40:43','2020-09-01 22:40:43');
INSERT INTO complaint_remarks VALUES('575','677','LG SA CONFIRM KAR K CUSTOMER KO CALL KI KAL TAQ CARD LAG JAY GA','74','2020-09-01 22:41:55','2020-09-01 22:41:55');
INSERT INTO complaint_remarks VALUES('576','632','COMPLAINT RESOLVED','74','2020-09-01 23:19:22','2020-09-01 23:19:22');
INSERT INTO complaint_remarks VALUES('577','618','CUSTOMER KO EXP BATA DIA HAIN AB JAB CUSTOMER BATAY GAY TAB COMPLAINT ATTEND HO GEI','74','2020-09-01 23:21:00','2020-09-01 23:21:00');
INSERT INTO complaint_remarks VALUES('578','616','COMPLAINT PA VISIT HO GAY HAIN  HAIER COMPANY WALAY 15 DAYS BAD AGAIN VISIT KARAY GAY  ABI COMPLAINT CLOSED KARWA DI','74','2020-09-01 23:24:58','2020-09-01 23:24:58');
INSERT INTO complaint_remarks VALUES('579','614','CUSTOMER NOT PICK UP CALL','74','2020-09-01 23:28:31','2020-09-01 23:28:31');
INSERT INTO complaint_remarks VALUES('580','613','COMPLAINT RESOLVED','74','2020-09-01 23:29:49','2020-09-01 23:29:49');
INSERT INTO complaint_remarks VALUES('581','612','JIS DIN VISIT THA TECHNICIAN KA US DIN CUSTOMER GHR PA AVAIL NAI THY R ABI B CUSTOMER OUT OFF CITY CHALAY GAY   CUSTOMER NA ABI COMPLINT CLOSED KARWA DI','74','2020-09-01 23:32:55','2020-09-01 23:32:55');
INSERT INTO complaint_remarks VALUES('582','615','CARD REPAIR HO K AAGAY HAIN COMPANY WALAUY INSTALL KARNAY JA RAHAY HAIN','74','2020-09-01 23:40:39','2020-09-01 23:40:39');
INSERT INTO complaint_remarks VALUES('583','607','COMPLAINT RESOLVED','74','2020-09-01 23:42:41','2020-09-01 23:42:41');
INSERT INTO complaint_remarks VALUES('584','602','CUSTOMER NA KHUD S/C LIFT KARWANA HAIN REF HAIER K TAQUEER SAB K NO  B PROVIDE KAR DIA HAIN','74','2020-09-01 23:49:48','2020-09-01 23:49:48');
INSERT INTO complaint_remarks VALUES('585','599','COMPANY SIDE SA VISIT HO GAY HAIN INSTALLER KA FALUT HAIN CUSTOMER NA  KHUD INSTALL KARWAY','74','2020-09-01 23:53:30','2020-09-01 23:53:30');
INSERT INTO complaint_remarks VALUES('586','568','VISIT TO DAY','74','2020-09-01 23:57:15','2020-09-01 23:57:15');
INSERT INTO complaint_remarks VALUES('587','563','COMPLAINT RESOLVED','74','2020-09-02 00:13:04','2020-09-02 00:13:04');
INSERT INTO complaint_remarks VALUES('588','560','NOT ATTEND CALL','74','2020-09-02 00:18:50','2020-09-02 00:18:50');
INSERT INTO complaint_remarks VALUES('589','559','COMPLAINT PA AIK VISIT HO GAY HAIN BUT SOUND ISSUE ABI B AARHA HAIN AGAIN COMPLIANT REOPEND KARWA DI','74','2020-09-02 00:22:26','2020-09-02 00:22:26');
INSERT INTO complaint_remarks VALUES('590','633','KAL VISIT HO GAY HAIN COMPLAINT PA CUSTOMER AIK 2 DIN BAD CHEEK KAR K INFORMED KARAY GAY','74','2020-09-02 00:47:27','2020-09-02 00:47:27');
INSERT INTO complaint_remarks VALUES('591','228','DABAL COMPLAINT ENTER','74','2020-09-02 00:57:54','2020-09-02 00:57:54');
INSERT INTO complaint_remarks VALUES('592','245','COMPLAINT PA VISTI HO GAYHA HAIN CUSTOMER KO S/C KA NO B PROVIDE KAR DIA','74','2020-09-02 01:09:02','2020-09-02 01:09:02');
INSERT INTO complaint_remarks VALUES('593','127','CUSTOMER NO STILL NOT RESPONDING','74','2020-09-02 01:12:10','2020-09-02 01:12:10');
INSERT INTO complaint_remarks VALUES('594','135','COMPLAINT RESOLVED','74','2020-09-02 01:13:26','2020-09-02 01:13:26');
INSERT INTO complaint_remarks VALUES('595','541','COMPLAINT PA VISIT NAI HOA AGAIN REMINDER DA DIA','74','2020-09-02 01:14:28','2020-09-02 01:14:28');
INSERT INTO complaint_remarks VALUES('596','645','COMPLINT CUSTOMER NA LOCAL TECHNICIAN SA ATTEND KARWA LI','74','2020-09-02 01:48:12','2020-09-02 01:48:12');
INSERT INTO complaint_remarks VALUES('597','643','SYSTEM REPAIRABLE NAI HAIN','74','2020-09-02 01:55:00','2020-09-02 01:55:00');
INSERT INTO complaint_remarks VALUES('598','656','KAL TCL K SAJID SATTI COMPLAINT ATTEND KARAY GAY','74','2020-09-02 02:37:50','2020-09-02 02:37:50');
INSERT INTO complaint_remarks VALUES('599','650','COMPLAINT RESOLVED','74','2020-09-02 19:40:07','2020-09-02 19:40:07');
INSERT INTO complaint_remarks VALUES('600','644','NO VISIT MOSHIN KO REMINDER DA DIA VISIT K LIYA','74','2020-09-02 19:43:55','2020-09-02 19:43:55');
INSERT INTO complaint_remarks VALUES('601','649','NOT ATTEND CALL','74','2020-09-02 19:45:16','2020-09-02 19:45:16');
INSERT INTO complaint_remarks VALUES('602','642','COMPLAINT RESOLVED','74','2020-09-02 19:47:28','2020-09-02 19:47:28');
INSERT INTO complaint_remarks VALUES('603','641','NOT ATTEND CALL','74','2020-09-02 19:48:56','2020-09-02 19:48:56');
INSERT INTO complaint_remarks VALUES('604','639','NOT ATTEND CALL','74','2020-09-02 19:53:03','2020-09-02 19:53:03');
INSERT INTO complaint_remarks VALUES('605','633','COMPLAINT RESOLVED','74','2020-09-02 19:55:23','2020-09-02 19:55:23');
INSERT INTO complaint_remarks VALUES('606','621','COMPLAINT RESOLVED','74','2020-09-02 19:58:43','2020-09-02 19:58:43');
INSERT INTO complaint_remarks VALUES('607','606','COMPLAINT RESOLVED','74','2020-09-02 20:10:44','2020-09-02 20:10:44');
INSERT INTO complaint_remarks VALUES('608','602','REF S/C MAIN WORKING IN PROCESS','74','2020-09-02 20:16:12','2020-09-02 20:16:12');
INSERT INTO complaint_remarks VALUES('609','599','VISIT TO DAY','74','2020-09-02 20:18:38','2020-09-02 20:18:38');
INSERT INTO complaint_remarks VALUES('610','568','COMPLAINT RESOLVED','74','2020-09-02 20:27:35','2020-09-02 20:27:35');
INSERT INTO complaint_remarks VALUES('611','567','PARTS AAGAY HAIN CUSTOMER KO COMPANY SIDE SA CALL AAGEI HAIN AJ PARTS INSTALL HO JAY GA','74','2020-09-02 20:30:22','2020-09-02 20:30:22');
INSERT INTO complaint_remarks VALUES('612','560','COMPLAINT RESOLVED','74','2020-09-02 20:32:35','2020-09-02 20:32:35');
INSERT INTO complaint_remarks VALUES('613','614','CUSTOMER STILL NOT PICK UP CALL','74','2020-09-02 20:34:47','2020-09-02 20:34:47');
INSERT INTO complaint_remarks VALUES('614','558','YHA COMPLAINT PINDI S/C FF HOI HAIN S/C MAIN REMINDER DA DIA HAIN','74','2020-09-02 20:42:20','2020-09-02 20:42:20');
INSERT INTO complaint_remarks VALUES('615','641','COMPLAINT RESOLVED','74','2020-09-02 20:46:45','2020-09-02 20:46:45');
INSERT INTO complaint_remarks VALUES('616','652','VISIT TO DAY CUSATOMER KO INFORMED KAR DI HAIN JAWAD SB KO B REMINDER DA DIA','74','2020-09-02 20:52:35','2020-09-02 20:52:35');
INSERT INTO complaint_remarks VALUES('617','654','NOT ATTEND CALL','74','2020-09-02 21:03:54','2020-09-02 21:03:54');
INSERT INTO complaint_remarks VALUES('618','557','COMPLAINT RESOLVED','74','2020-09-02 21:04:51','2020-09-02 21:04:51');
INSERT INTO complaint_remarks VALUES('619','546','COMPLAINT RESOLVED','74','2020-09-02 21:07:15','2020-09-02 21:07:15');
INSERT INTO complaint_remarks VALUES('620','544','COMPLAINT CLOSED','74','2020-09-02 21:10:51','2020-09-02 21:10:51');
INSERT INTO complaint_remarks VALUES('621','654','VISIT TO DAY CUSTOMER KI TECHNICIAN SA BAT HO GEI HAIN','74','2020-09-02 21:13:03','2020-09-02 21:13:03');
INSERT INTO complaint_remarks VALUES('622','533','AJ AGAIN NEW COMPLAINT FF KARWAI','74','2020-09-02 21:28:17','2020-09-02 21:28:17');
INSERT INTO complaint_remarks VALUES('623','656','2  BAJAY K BAD VISIT HO GA AJ','74','2020-09-02 21:29:20','2020-09-02 21:29:20');
INSERT INTO complaint_remarks VALUES('624','531','COMPLAINT RESOLVED','74','2020-09-02 21:31:46','2020-09-02 21:31:46');
INSERT INTO complaint_remarks VALUES('625','527','COMPLAINT RESOLVED','74','2020-09-02 21:33:33','2020-09-02 21:33:33');
INSERT INTO complaint_remarks VALUES('626','520','COMPLAINT RESOLVED','74','2020-09-02 21:35:22','2020-09-02 21:35:22');
INSERT INTO complaint_remarks VALUES('627','513','CUSTOMER KA REF ABI OK CHAL RAHA HAIN COMPLAINT CLOSED KARWA DI CUSTOMER NA KHUD SA','74','2020-09-02 21:38:10','2020-09-02 21:38:10');
INSERT INTO complaint_remarks VALUES('628','657','COMPLAINT RESOLVED','74','2020-09-02 21:42:21','2020-09-02 21:42:21');
INSERT INTO complaint_remarks VALUES('629','511','COMPLAINT RESOLVED','74','2020-09-02 21:44:14','2020-09-02 21:44:14');
INSERT INTO complaint_remarks VALUES('630','507','PARTS KI WAJA SA YHA COMPLAINT KAL TAQ PARTS AAJAY GA ATTEND HO JAY GEI','74','2020-09-02 21:53:25','2020-09-02 21:53:25');
INSERT INTO complaint_remarks VALUES('631','495','ADIL BHAI KO WHATSAPP KIYA CONFIRM K LIYA','74','2020-09-02 21:57:17','2020-09-02 21:57:17');
INSERT INTO complaint_remarks VALUES('632','492','COMPLAINT PA AIK VISIT HO GAYA HAIN THARMO STATE CHNANGE KIYA BUT ISSUE RESOLVED NAI HOA AJ AGAIN COMPLAINT REOPEND KARWAI','74','2020-09-02 22:01:51','2020-09-02 22:01:51');
INSERT INTO complaint_remarks VALUES('633','480','COMPLAINT RESOLVED','74','2020-09-02 22:02:16','2020-09-02 22:02:16');
INSERT INTO complaint_remarks VALUES('634','469','COMPLAINT RESOLVED','74','2020-09-02 22:29:15','2020-09-02 22:29:15');
INSERT INTO complaint_remarks VALUES('635','663','COMPLAINT RESOLVED','74','2020-09-02 22:32:11','2020-09-02 22:32:11');
INSERT INTO complaint_remarks VALUES('636','660','NO VISIT CREE S/C MAIN REMINDER DA DIA','74','2020-09-02 22:34:04','2020-09-02 22:34:04');
INSERT INTO complaint_remarks VALUES('637','659','NOT ATTEND CALL','74','2020-09-02 22:46:17','2020-09-02 22:46:17');
INSERT INTO complaint_remarks VALUES('638','470','PARTS DEMAND KIYA HOA HAIN PARTS KI WAJA SA DELAY COMPLAINT CUSTOMER KO INFORMED KAR RAHAY HAIN BUT CALL ATTEND NAI KAR RAHAY','74','2020-09-02 22:47:40','2020-09-02 22:47:40');
INSERT INTO complaint_remarks VALUES('639','665','VISIT TO DAY CUSTOMER KI KHURRAM BHAI SA BAT B HO GEI HAIN','74','2020-09-02 22:54:05','2020-09-02 22:54:05');
INSERT INTO complaint_remarks VALUES('640','664','5 BAR IC COMPLAINT PA VISIT KARWA DIA HAIN BUT CUSTOMER SATISFIED NAI HO RAHAY JAB K ISSUE B CUSTOMER KI SIDE SA HAIN UN K GHR KMAIN GASS KA PARSER BOATH TAAZ HAIN','74','2020-09-02 23:04:25','2020-09-02 23:04:25');
INSERT INTO complaint_remarks VALUES('641','659','NOT ATTEND CALL','74','2020-09-02 23:06:35','2020-09-02 23:06:35');
INSERT INTO complaint_remarks VALUES('642','466','NO VISIT AGAIN REMINDER','74','2020-09-02 23:09:11','2020-09-02 23:09:11');
INSERT INTO complaint_remarks VALUES('643','466','COMPLAINT RESOLVED CUSTOMER NA KHUD CALL KAR K INFORMED KIYA','74','2020-09-02 23:10:21','2020-09-02 23:10:21');
INSERT INTO complaint_remarks VALUES('644','463','CELL# KA ISSUE THA  PINDI S/C MAIN REMINDER DA DIA HAIN AGIN VISIT K LIYA','74','2020-09-02 23:25:27','2020-09-02 23:25:27');
INSERT INTO complaint_remarks VALUES('645','459','DOOR DEMAND KIYA HAIN  HAIN ONE WEEK LAGAY GAY','74','2020-09-02 23:31:44','2020-09-02 23:31:44');
INSERT INTO complaint_remarks VALUES('646','458','VISIT TO DAY CUSTOMER KO B INFORMED KAR DIA','74','2020-09-02 23:42:04','2020-09-02 23:42:04');
INSERT INTO complaint_remarks VALUES('647','453','OUT DOOR S/C LIFT HONA HAIN  TAQUEER SAB KO INFORMED KAR DIA','74','2020-09-02 23:46:27','2020-09-02 23:46:27');
INSERT INTO complaint_remarks VALUES('648','450','COMPLAINT RESOLVED','74','2020-09-02 23:51:09','2020-09-02 23:51:09');
INSERT INTO complaint_remarks VALUES('649','667','COMPLAINT RESOLVED','74','2020-09-02 23:52:57','2020-09-02 23:52:57');
INSERT INTO complaint_remarks VALUES('650','668','COMPLAINT RESOLVED','74','2020-09-02 23:54:50','2020-09-02 23:54:50');
INSERT INTO complaint_remarks VALUES('651','439','REF OVER COOLING KAR RAHAY HAIN AGAIN NEW COMPLAINT FF KARWAI AJ','74','2020-09-03 00:06:21','2020-09-03 00:06:21');
INSERT INTO complaint_remarks VALUES('652','669','VISIT HO GAY COMPLAINT PA CUSTOMER SATISFAIDE NAI HAIN COMPLAINT PA AGAIN  COMPLAINT REQUEST FF KARWA DI','74','2020-09-03 00:09:19','2020-09-03 00:09:19');
INSERT INTO complaint_remarks VALUES('653','436','no visit company again reminder da dia','74','2020-09-03 00:24:06','2020-09-03 00:24:06');
INSERT INTO complaint_remarks VALUES('654','430','complaint pa visit hoa hain but customer satisfied nai hain again visit ki request ff karwa di taquree sab ko','74','2020-09-03 00:33:11','2020-09-03 00:33:11');
INSERT INTO complaint_remarks VALUES('655','429','COMPLAINT RESOLVED','74','2020-09-03 00:36:32','2020-09-03 00:36:32');
INSERT INTO complaint_remarks VALUES('656','423','NOT ATTEND CALL','74','2020-09-03 00:42:36','2020-09-03 00:42:36');
INSERT INTO complaint_remarks VALUES('657','420','COMPLAINT PA VISIT HO GAY HAIN AGAIN ISSUE AAGAY HAIN NEW COMPLIANT REQUEST FF KARWAY','74','2020-09-03 00:54:28','2020-09-03 00:54:28');
INSERT INTO complaint_remarks VALUES('658','604','CUSTOMER KI TECHNICIAN SA BAT HO GEI HAIN AJ VISIT KAR LAY GAY','74','2020-09-03 01:45:17','2020-09-03 01:45:17');
INSERT INTO complaint_remarks VALUES('659','235','REF S/C SA READY HO K FCP NAVE ED SAB K PASS SHOWROOM PA HAIN','74','2020-09-03 01:48:10','2020-09-03 01:48:10');
INSERT INTO complaint_remarks VALUES('660','810','COSTUMER STILL NUMBER BZY KRY THY... MSG B KR DIA HA OR BR BR CALL B KRRY LEKIN STILL RESPONSE NAI MIL RA','73','2020-09-03 02:11:58','2020-09-03 02:11:58');
INSERT INTO complaint_remarks VALUES('661','810','COMPLAIN LAUNCH KARWA DI HA','73','2020-09-03 02:12:10','2020-09-03 02:12:10');
INSERT INTO complaint_remarks VALUES('662','417','TYP DISPATCH HO GAY HAIN FRIDAY TAQ COMPLINT ATTEND HO JAY GEI','74','2020-09-03 02:32:12','2020-09-03 02:32:12');
INSERT INTO complaint_remarks VALUES('663','415','PARTS LAG DIA HAIN CUSTOMER CHEEKED KAR K INFORMED KARAY GAY SATURDAY KO AGAIN CALL','74','2020-09-03 02:35:32','2020-09-03 02:35:32');
INSERT INTO complaint_remarks VALUES('664','88','W/M  CUSTOMER NA AJ REPLACE KAR WA LI HAIN','74','2020-09-03 02:37:25','2020-09-03 02:37:25');
INSERT INTO complaint_remarks VALUES('665','411','MOTER KI WAJA SA COMPLAINT PENDING JA RAHI HAIN MOTER DEMAND KI HOI HAIN','74','2020-09-03 02:40:34','2020-09-03 02:40:34');
INSERT INTO complaint_remarks VALUES('666','433','CUSTOMER STILL NOT ATTEND MY CALL','74','2020-09-03 02:41:42','2020-09-03 02:41:42');
INSERT INTO complaint_remarks VALUES('667','404','NOT PICK UP CALL','74','2020-09-03 02:42:24','2020-09-03 02:42:24');
INSERT INTO complaint_remarks VALUES('668','385','COMPLAINT RESOLVED','74','2020-09-03 02:45:11','2020-09-03 02:45:11');
INSERT INTO complaint_remarks VALUES('669','372','CUSTOMER KO ABIT TAQ FOOT PARTS NAI REVIVED HOA AGAIN REMINDER','74','2020-09-03 02:48:37','2020-09-03 02:48:37');
INSERT INTO complaint_remarks VALUES('670','361','COMPLAINT PA AGAIN VISIT B HOA BUT ISSUE RESOLVED NAI HOA AGAIN COMPANY MAIN REMINDER DA DIA','74','2020-09-03 02:52:11','2020-09-03 02:52:11');
INSERT INTO complaint_remarks VALUES('671','356','SET MAIN KOI ISSUE NAI HAIN SET OK HAIN TIMEING KA ISSUE AARHA HAIN CUSTOMER KO IMRAN TCL KA NO PROVIDE KAR DIA HAIN','74','2020-09-03 02:57:47','2020-09-03 02:57:47');
INSERT INTO complaint_remarks VALUES('672','671','complaint resolved','74','2020-09-03 20:47:27','2020-09-03 20:47:27');
INSERT INTO complaint_remarks VALUES('673','665','COMPLAINT RESOLVED','74','2020-09-03 20:51:16','2020-09-03 20:51:16');
INSERT INTO complaint_remarks VALUES('674','662','COMPLAINT RESOLVED','74','2020-09-03 20:53:15','2020-09-03 20:53:15');
INSERT INTO complaint_remarks VALUES('675','660','COMPLAINT RESOLVED','74','2020-09-03 20:59:01','2020-09-03 20:59:01');
INSERT INTO complaint_remarks VALUES('676','656','COMPLAINT PA VISIT HO GAY HAIN CUSTOMER KAL TAQ CHEEKED KAR K INFORMED KARAY GAY','74','2020-09-03 21:03:02','2020-09-03 21:03:02');
INSERT INTO complaint_remarks VALUES('677','654','COMPLAINT RESOLVED','74','2020-09-03 21:05:46','2020-09-03 21:05:46');
INSERT INTO complaint_remarks VALUES('678','659','CUSTOMER STILL CALL ATTEND NAI KARA RAHAY HAIER S/C SA CONFIRM KIYA STATUS WO BOL RAHAY K CUSTOMER KI ORIENT KI COMPLAINT HAIN HAIER KI NAI CO COMPLAINT CLOSED','74','2020-09-03 21:10:44','2020-09-03 21:10:44');
INSERT INTO complaint_remarks VALUES('679','652','KAL COMPLINT PA VISIT HO GAYA HAIN THERMOSTAT KA ISSUE AJ REPLACE KARAY GAY','74','2020-09-03 21:13:22','2020-09-03 21:13:22');
INSERT INTO complaint_remarks VALUES('680','649','CUSTOMER KI COMPLAINT ABI IN PROCESS HI HAIN CUSTOMER K GHR ABI ELECTRICITY KA KAM HONA HAIN CUSTOMER KHUD CALL KARAY GAY AGAIN VISIT K LIYA','74','2020-09-03 21:29:30','2020-09-03 21:29:30');
INSERT INTO complaint_remarks VALUES('681','372','FOOT KI AJ NEW COMPLAINT FF KARWA DI HAIN  TAQUREE SAB KO','74','2020-09-03 21:31:37','2020-09-03 21:31:37');
INSERT INTO complaint_remarks VALUES('682','361','AJ AGAIN NEW COMPLAINT FF KAR K TAQUEER SAB KO WHATSAPP KAR DIAY','74','2020-09-03 21:33:26','2020-09-03 21:33:26');
INSERT INTO complaint_remarks VALUES('683','639','COMPANY WA;AY AJ 3 BAJAY UNIT PICK KARAY GAY','74','2020-09-03 21:54:10','2020-09-03 21:54:10');
INSERT INTO complaint_remarks VALUES('684','680','COMPLAINT PA VISIT HO GAY HAIN PARTS DEMAND KIYA HOA HAIN','74','2020-09-03 21:57:10','2020-09-03 21:57:10');
INSERT INTO complaint_remarks VALUES('685','644','NO VISIT','74','2020-09-03 22:08:42','2020-09-03 22:08:42');
INSERT INTO complaint_remarks VALUES('686','20','CUSTOMER SET S/C MAIN DA AAY HAIN LHR JANI HAIN','74','2020-09-03 22:18:56','2020-09-03 22:18:56');
INSERT INTO complaint_remarks VALUES('687','31','CUSTOMER STILL CALL ATTEND NAI KAR RAHAY PINDI S/C SA STATUS CONFIRM KAR K COMPLAINT CLOSED KI DISPLAY ISSUE RESOLVED HOA','74','2020-09-03 22:29:02','2020-09-03 22:29:02');
INSERT INTO complaint_remarks VALUES('688','38','COMPLAINT PA VISIT HO GAYA HAIN RING PARTS DEMAND KIYA HOA HAIN','74','2020-09-03 22:31:40','2020-09-03 22:31:40');
INSERT INTO complaint_remarks VALUES('689','87','ANWAR SAB KO REMINDER DA DIA HAIN  AJ LIGHT LAG JAY GEI','74','2020-09-03 22:47:21','2020-09-03 22:47:21');
INSERT INTO complaint_remarks VALUES('690','88','COMPLAINT RESOLVED REPLACE HO GEI HAIN  W/M','74','2020-09-03 22:49:09','2020-09-03 22:49:09');
INSERT INTO complaint_remarks VALUES('691','101','COMPLAINT RESOLVED','74','2020-09-03 22:52:51','2020-09-03 22:52:51');
INSERT INTO complaint_remarks VALUES('692','108','WO RKING IN PROCESS  SATURDAY KO CONFIRM  HO GA','74','2020-09-03 23:03:24','2020-09-03 23:03:24');
INSERT INTO complaint_remarks VALUES('693','118','COMPLAINT RESOLVED','74','2020-09-03 23:08:05','2020-09-03 23:08:05');
INSERT INTO complaint_remarks VALUES('694','128','COMPLAINT RESOLVED','74','2020-09-03 23:14:16','2020-09-03 23:14:16');
INSERT INTO complaint_remarks VALUES('695','132','COMPLAINT RESOLVED','74','2020-09-03 23:17:16','2020-09-03 23:17:16');
INSERT INTO complaint_remarks VALUES('696','684','COMPLAINT RESOLVED','74','2020-09-03 23:24:42','2020-09-03 23:24:42');
INSERT INTO complaint_remarks VALUES('697','683','COMPANY SA VISIT NAI KARWAYACUSTOMER NA LOCAL TECHNICIAN SA COMPLAINT ATTEND KARWA LI COMPLAINT CLOSED','74','2020-09-03 23:27:45','2020-09-03 23:27:45');
INSERT INTO complaint_remarks VALUES('698','685','COMPLAINT RESOLVED','74','2020-09-03 23:29:27','2020-09-03 23:29:27');
INSERT INTO complaint_remarks VALUES('699','143','COMPLAINT KHUD HI RESOLVED HO GEI VISIT CANCELLED COM PLAINT CLOSED','74','2020-09-03 23:31:45','2020-09-03 23:31:45');
INSERT INTO complaint_remarks VALUES('700','151','COMPLAINT PA VISIT HO GAYA HAIN  ERROR KA CUSTOMER KAL TAQ CONFIRM KARAY GAY','74','2020-09-03 23:42:37','2020-09-03 23:42:37');
INSERT INTO complaint_remarks VALUES('701','153','NO VISIT  COMPANY REMINDER','74','2020-09-03 23:52:20','2020-09-03 23:52:20');
INSERT INTO complaint_remarks VALUES('702','170','NOT ATTEND CALL','74','2020-09-03 23:53:21','2020-09-03 23:53:21');
INSERT INTO complaint_remarks VALUES('703','423','ASLAM SAB KO COMPLAINT FF KAR DI HAIN','74','2020-09-04 00:04:47','2020-09-04 00:04:47');
INSERT INTO complaint_remarks VALUES('704','216','YHA COMPLAIN T MUREE K S/C  MAIN FF HOI HAIN COMPRESSOR MURTEE S/C MAIN HAIN UN # PA REMINDER DA DIA HAIN SATURDAY KO CONFIRM HO GA','74','2020-09-04 00:15:08','2020-09-04 00:15:08');
INSERT INTO complaint_remarks VALUES('705','810','RELAUNCH#2062000536','73','2020-09-04 00:18:51','2020-09-04 00:18:51');
INSERT INTO complaint_remarks VALUES('706','688','COMPLAINT RESOLVED','74','2020-09-04 00:26:06','2020-09-04 00:26:06');
INSERT INTO complaint_remarks VALUES('707','216','ARSHAD MUREE WALO KO COMPLAINT WHATS APP KAR DI','74','2020-09-04 00:39:37','2020-09-04 00:39:37');
INSERT INTO complaint_remarks VALUES('708','188','REF MAIN KOI ISSUE NAI HAIN FREEZER PA SCREECH HAIN CUSTOMER KO BATA DIYA K YHA ISUUE AP K SHOWROOM WALAY RESOLVED KAEAY GAY COMPLAINT CLOSED','74','2020-09-04 00:49:10','2020-09-04 00:49:10');
INSERT INTO complaint_remarks VALUES('709','690','COMPLAINT RESOLVED','74','2020-09-04 00:50:47','2020-09-04 00:50:47');
INSERT INTO complaint_remarks VALUES('710','190','COMPLAINT RESOLVED','74','2020-09-04 00:53:08','2020-09-04 00:53:08');
INSERT INTO complaint_remarks VALUES('711','211','COMPLAINT RESOLVED','74','2020-09-04 00:59:44','2020-09-04 00:59:44');
INSERT INTO complaint_remarks VALUES('712','214','COMPLAINT RESOLVED','74','2020-09-04 01:01:40','2020-09-04 01:01:40');
INSERT INTO complaint_remarks VALUES('713','223','COMPLAINT RESOLVED','74','2020-09-04 01:06:58','2020-09-04 01:06:58');
INSERT INTO complaint_remarks VALUES('714','234','NOT ATTEND CALL','74','2020-09-04 01:10:17','2020-09-04 01:10:17');
INSERT INTO complaint_remarks VALUES('715','274','COMPLAINT RESOLVED','74','2020-09-04 01:22:23','2020-09-04 01:22:23');
INSERT INTO complaint_remarks VALUES('716','229','ABI TAQ KOI VISIT NAI HO AMOSHIN SAB KO REMINDER  DA DIA HAIN','74','2020-09-04 01:26:16','2020-09-04 01:26:16');
INSERT INTO complaint_remarks VALUES('717','237','KOI VISIT NI HOA MOSHIN KO REMINDER DA DIA HAIN','74','2020-09-04 01:27:27','2020-09-04 01:27:27');
INSERT INTO complaint_remarks VALUES('718','253','COMPLAINT RESOLVED','74','2020-09-04 01:34:33','2020-09-04 01:34:33');
INSERT INTO complaint_remarks VALUES('719','254','IC COMPLAINT PA AZHAR RAMZAN SAB ABDUL REHMAN K VISIT KARWA RAHAY HAIN','74','2020-09-04 01:35:29','2020-09-04 01:35:29');
INSERT INTO complaint_remarks VALUES('720','693','COMPANY SA CALL AII HAIN IQBAL SAB KO SET REF TO S/C ASLAM SIR NA LA K JANI HAIN','74','2020-09-04 01:36:37','2020-09-04 01:36:37');
INSERT INTO complaint_remarks VALUES('721','259','CUSTOMER STILL CALL ATTEND NAI KAR RAHAY S/C SA STATUS CONFIRM KAR K COMPLAINT CLOSED KI HAIN','74','2020-09-04 01:43:47','2020-09-04 01:43:47');
INSERT INTO complaint_remarks VALUES('722','256','COMPLAINT RESOLVED','74','2020-09-04 01:45:16','2020-09-04 01:45:16');
INSERT INTO complaint_remarks VALUES('723','664','CUSTOMER KO INFORMED KAR DIA HAIN K AGR C/R MAIN REGULATOR  LAGWANAY PA AGREE HAIN TU PAY KAR DAY  1500 EXP  BATA DIA','74','2020-09-04 01:53:23','2020-09-04 01:53:23');
INSERT INTO complaint_remarks VALUES('724','263','COMPLAINT RESOLVED','74','2020-09-04 02:01:59','2020-09-04 02:01:59');
INSERT INTO complaint_remarks VALUES('725','694','COMPLAINT RESOLVED','74','2020-09-04 02:03:34','2020-09-04 02:03:34');
INSERT INTO complaint_remarks VALUES('726','235','COMPLAINT RESOLVED','74','2020-09-04 02:06:58','2020-09-04 02:06:58');
INSERT INTO complaint_remarks VALUES('727','355','JAWAD KO REMINDER DA DIA HAIN AGAIN VISIT K LIYA','74','2020-09-04 02:17:46','2020-09-04 02:17:46');
INSERT INTO complaint_remarks VALUES('728','267','ASLAM SAB KO YHA COMPLAINT FF KAR DI','74','2020-09-04 02:50:40','2020-09-04 02:50:40');
INSERT INTO complaint_remarks VALUES('729','699','COMPLAINT RESOLVED','74','2020-09-04 21:15:53','2020-09-04 21:15:53');
INSERT INTO complaint_remarks VALUES('730','696','VISIT TO DAY','74','2020-09-04 21:20:49','2020-09-04 21:20:49');
INSERT INTO complaint_remarks VALUES('731','423','VIDEO B ASLAM & KHURRAM SIR KO FF KAR DI HAIN','74','2020-09-05 00:02:40','2020-09-05 00:02:40');
INSERT INTO complaint_remarks VALUES('732','710','complaint pa aik vist ho gay hain gass kit change karni hain','74','2020-09-05 01:52:34','2020-09-05 01:52:34');
INSERT INTO complaint_remarks VALUES('733','510','customer na ref replace kar k lg ka la liya','74','2020-09-05 01:54:25','2020-09-05 01:54:25');
INSERT INTO complaint_remarks VALUES('734','709','complaint closed','74','2020-09-05 01:55:57','2020-09-05 01:55:57');
INSERT INTO complaint_remarks VALUES('735','701','not attend call','74','2020-09-05 02:03:37','2020-09-05 02:03:37');
INSERT INTO complaint_remarks VALUES('736','700','complaint resolved','74','2020-09-05 02:05:13','2020-09-05 02:05:13');
INSERT INTO complaint_remarks VALUES('737','50','tahir technician 03325472776  ic complaint pa  visit kar rahay','74','2020-09-05 02:13:16','2020-09-05 02:13:16');
INSERT INTO complaint_remarks VALUES('738','326','customer abi taq wapise nai aay aj khud customer na complaint closed karwa di','74','2020-09-05 02:16:51','2020-09-05 02:16:51');
INSERT INTO complaint_remarks VALUES('739','656','MONDAY KO AGAIN VISIT K LIYA SAJID SATTI KO REMINDER DA DIA','74','2020-09-05 03:03:42','2020-09-05 03:03:42');
INSERT INTO complaint_remarks VALUES('740','23','IC REF KI PIC SHOWROOM SA KAL MAWANI','74','2020-09-05 03:05:11','2020-09-05 03:05:11');
INSERT INTO complaint_remarks VALUES('741','137','COMPLAINT RESOLVED','74','2020-09-05 03:06:42','2020-09-05 03:06:42');
INSERT INTO complaint_remarks VALUES('742','137','COMPLAINT CLOSED','74','2020-09-05 03:06:53','2020-09-05 03:06:53');
INSERT INTO complaint_remarks VALUES('743','404','NO VISIT AGAIN COMPLAINT VIST AGAIN REMINDER','74','2020-09-05 03:15:20','2020-09-05 03:15:20');
INSERT INTO complaint_remarks VALUES('744','715','COMPLAINT RESOLVED','74','2020-09-05 03:17:42','2020-09-05 03:17:42');
INSERT INTO complaint_remarks VALUES('745','752','COMPLAINT RESOLVED','74','2020-09-05 03:19:10','2020-09-05 03:19:10');
INSERT INTO complaint_remarks VALUES('746','711','NOT ATTEND CALL','74','2020-09-05 20:11:50','2020-09-05 20:11:50');
INSERT INTO complaint_remarks VALUES('747','710','DOOR GAS KIT DEMAND KI HOI HAIN  DISPATCH HO HEI HIAN MONDAY TAQ RECIVED HO JAY GEI','74','2020-09-05 20:16:52','2020-09-05 20:16:52');
INSERT INTO complaint_remarks VALUES('748','853','COMPLAINT RESOLVED','74','2020-09-05 20:22:24','2020-09-05 20:22:24');
INSERT INTO complaint_remarks VALUES('749','704','IST VISIT SAME DAY MAIN HI HO GAY THA BUT ISSUE RESOLVED NAI HO AGAIN COMPLINT REOPEND KARWA DI','74','2020-09-05 20:25:19','2020-09-05 20:25:19');
INSERT INTO complaint_remarks VALUES('750','652','THERMOSTAT ABI CHANGE NIA KIYA JAWAD SAB KI REMINDER DA DIA HAIN','74','2020-09-05 20:25:46','2020-09-05 20:25:46');
INSERT INTO complaint_remarks VALUES('751','842','COMPANY MEIN FRWRD KARWA RY. .
COMPLAIN#192017790','73','2020-09-05 20:29:25','2020-09-05 20:29:25');
INSERT INTO complaint_remarks VALUES('752','404','AGAIN CUSTOMER KO TECHNIC AIL GUIDE KIYA GAYA THA','74','2020-09-05 20:34:15','2020-09-05 20:34:15');
INSERT INTO complaint_remarks VALUES('753','615','COMPLAINT RESOLVED','74','2020-09-05 20:39:33','2020-09-05 20:39:33');
INSERT INTO complaint_remarks VALUES('754','321','COMPLAINT PA KOI VISIT NAI HAO RAHA AGAIN COMPLAINT REOPENED KARWA DI','74','2020-09-05 20:46:36','2020-09-05 20:46:36');
INSERT INTO complaint_remarks VALUES('755','701','COMPLAINT RESOLVED','74','2020-09-05 20:49:39','2020-09-05 20:49:39');
INSERT INTO complaint_remarks VALUES('756','874','CUSTOMER K ISSUE RESOLVED NAI HOA AGAIN COMAPLINT PA VISIT ARRANGE KARWAY','74','2020-09-05 21:27:53','2020-09-05 21:27:53');
INSERT INTO complaint_remarks VALUES('757','884','CUSTOMER VISIT SA SATISFIED NAI HAIN KINDLY AGAIN VISIT ARRANGE KARWAY  & FROUNT RABBER REQUIRED BY CUSTOMER','74','2020-09-05 22:58:56','2020-09-05 22:58:56');
INSERT INTO complaint_remarks VALUES('758','799','complaint pa visit ho gaya hain but issue resolved nai hao raha','74','2020-09-05 23:40:33','2020-09-05 23:40:33');
INSERT INTO complaint_remarks VALUES('759','799','yawar sab ko invoice ff kar di hain','74','2020-09-05 23:41:15','2020-09-05 23:41:15');
INSERT INTO complaint_remarks VALUES('760','23','IC REF MAIN LOCK NAI LAGA HOA CUSTOMER KO LOCK REQUIRED HAIN BUT IC MODEL MAIN LOCK NI BILAL FCP KO INFORMED KAR K COMPLINT CLOSED KAR DI','74','2020-09-06 00:28:11','2020-09-06 00:28:11');
INSERT INTO complaint_remarks VALUES('761','20','CUSTOMER NOT ATTEND CALL','74','2020-09-06 00:31:38','2020-09-06 00:31:38');
INSERT INTO complaint_remarks VALUES('762','38','ABI PARTS NI REVIVED HOAY','74','2020-09-06 00:33:30','2020-09-06 00:33:30');
INSERT INTO complaint_remarks VALUES('763','50','COMPLAINT RESOLVED','74','2020-09-06 01:00:51','2020-09-06 01:00:51');
INSERT INTO complaint_remarks VALUES('764','71','MONDAY KO LA KAAY GAY','74','2020-09-06 01:03:36','2020-09-06 01:03:36');
INSERT INTO complaint_remarks VALUES('765','87','AJ 5 BAJY TAQ LIGHT LAG JAY GEI','74','2020-09-06 01:06:40','2020-09-06 01:06:40');
INSERT INTO complaint_remarks VALUES('766','104','CUSTOMER STILL NOT PICK UP  CALL','74','2020-09-06 01:12:15','2020-09-06 01:12:15');
INSERT INTO complaint_remarks VALUES('767','104','CUSTOMER STILL NOT PICK UP CALL','74','2020-09-06 01:18:26','2020-09-06 01:18:26');
INSERT INTO complaint_remarks VALUES('768','108','REF S/C MAIN READAY HAIN S/C WALAY CUSTOMER KO CALL KAR RAHY HAIN','74','2020-09-06 01:25:55','2020-09-06 01:25:55');
INSERT INTO complaint_remarks VALUES('769','117','SET MAIN LINE AARHI HAIN CUSTOMER S/C KHUD CHOR K AAY HAIN','74','2020-09-06 01:30:15','2020-09-06 01:30:15');
INSERT INTO complaint_remarks VALUES('770','117','YHA COMPLAINT TCL WALO NA NADEEM AV KO FF KI HAIN SET LHR S/C CHALA GAY HAIN PANAL LHR SA LAG K AAY GA','74','2020-09-06 01:34:04','2020-09-06 01:34:04');
INSERT INTO complaint_remarks VALUES('771','127','COMPLAINTR PA VISIT HO GAY HAIN REF TO S/C  BUT CUSTOMER S/C LA K AANY PA AGREE NAI','74','2020-09-06 01:39:29','2020-09-06 01:39:29');
INSERT INTO complaint_remarks VALUES('772','138','2ND #PA CUSTOMER CALL ATTEND NI KAR RAHAY','74','2020-09-06 01:47:48','2020-09-06 01:47:48');
INSERT INTO complaint_remarks VALUES('773','138','BUT COMPANY SA STATUS LIYA TU COMPLAINT COM PLATE HO K CLOSED HAIN','74','2020-09-06 01:48:28','2020-09-06 01:48:28');
INSERT INTO complaint_remarks VALUES('774','136','CUSTOMER DONO # PA CALL ATTOCK NI KAR RAHAY HAIN','74','2020-09-06 01:52:11','2020-09-06 01:52:11');
INSERT INTO complaint_remarks VALUES('775','141','NOT ATTEND CALL CUSTOMER','74','2020-09-06 01:58:51','2020-09-06 01:58:51');
INSERT INTO complaint_remarks VALUES('776','141','OUT DOOR LEAKAGE ISSUE REF KO S/C UNIT READY HO K CUSTOMER K PASS WAPISE GAYA','74','2020-09-06 01:59:54','2020-09-06 01:59:54');
INSERT INTO complaint_remarks VALUES('777','141','COMPLAINT RESOLVED','74','2020-09-06 02:00:22','2020-09-06 02:00:22');
INSERT INTO complaint_remarks VALUES('778','142','COMPLAINT RESOLVED','74','2020-09-06 02:02:24','2020-09-06 02:02:24');
INSERT INTO complaint_remarks VALUES('779','180','COMPLAINT RESOLVED','74','2020-09-06 02:21:24','2020-09-06 02:21:24');
INSERT INTO complaint_remarks VALUES('780','181','COMPLAINT RESOLVED','74','2020-09-06 02:23:10','2020-09-06 02:23:10');
INSERT INTO complaint_remarks VALUES('781','196','BOARD DEMAND','74','2020-09-06 02:24:58','2020-09-06 02:24:58');
INSERT INTO complaint_remarks VALUES('782','229','COMPANY NA CALL PA ISSUE POOCHA CUSTOMER SA UNIT S/C LA K AANAY KO BOLA K GASS KA ISSUE HAIN','74','2020-09-06 02:30:00','2020-09-06 02:30:00');
INSERT INTO complaint_remarks VALUES('783','229','AHMED SAB KO AJ AGAIN COMPLAINT REOPEN KA BOLA HAIN MONDAY KO AGAIN VISIT','74','2020-09-06 02:30:50','2020-09-06 02:30:50');
INSERT INTO complaint_remarks VALUES('784','234','W/M ABI KUCH DAIR PHALAY S/C LA  GAYH HAIN','74','2020-09-06 02:38:50','2020-09-06 02:38:50');
INSERT INTO complaint_remarks VALUES('785','747','TIME  DECIDE KRNY K LYE CALL KRRY ..  LEKIN COSTUMER CALL ATTEND NAI KRRAI','73','2020-09-06 20:59:08','2020-09-06 20:59:08');
INSERT INTO complaint_remarks VALUES('786','5','COSTUMER KO TIME DECIDE KRNY K LYE CALL KRRY LEKIN COSTUMER STILL CALL ATTEND NAI KRRY','73','2020-09-06 21:00:04','2020-09-06 21:00:04');
INSERT INTO complaint_remarks VALUES('787','747','SORRY WRONG COMMENT. .','73','2020-09-06 21:00:43','2020-09-06 21:00:43');
INSERT INTO complaint_remarks VALUES('788','747','COIL KA ISSUE HA. . MARKET MEIN AVAILABLE NAHIN HA, ABDUL REHMAN KO KAHA HA ARRANGED KAREIN','73','2020-09-06 21:01:12','2020-09-06 21:01:12');
INSERT INTO complaint_remarks VALUES('789','20','UNIT IS IN SERVICE CENTRE','73','2020-09-06 21:07:01','2020-09-06 21:07:01');
INSERT INTO complaint_remarks VALUES('790','87','KAL LATE HOGY THY... AAJ LG JAE GI LIGHT TECHNICIAN K PASS E HA','73','2020-09-06 21:16:47','2020-09-06 21:16:47');
INSERT INTO complaint_remarks VALUES('791','103','NAEEM KENWOOD KO REMINDER DE DIA HA','73','2020-09-06 21:22:10','2020-09-06 21:22:10');
INSERT INTO complaint_remarks VALUES('792','136','STILL 2NO numbers pe call attend nai krry','73','2020-09-06 21:28:40','2020-09-06 21:28:40');
INSERT INTO complaint_remarks VALUES('793','108','unit ok ha... khannapull service centre ne pick krwa k deliverd karwana (051-4473080)','73','2020-09-06 21:32:17','2020-09-06 21:32:17');
INSERT INTO complaint_remarks VALUES('794','151','mohsin ko reminder de dia ha... board on demand ha','73','2020-09-06 21:45:03','2020-09-06 21:45:03');
INSERT INTO complaint_remarks VALUES('795','108','unit ok ha... khannapull service centre ne pick krwa k deliverd karwana (051-4473080)','73','2020-09-06 21:46:53','2020-09-06 21:46:53');
INSERT INTO complaint_remarks VALUES('796','248','today we call again... and costumer not attend call','73','2020-09-06 22:00:14','2020-09-06 22:00:14');
INSERT INTO complaint_remarks VALUES('797','254','costumer ne fridge saaf kia ha.. ek din chk kr k btaen gy','73','2020-09-06 22:03:21','2020-09-06 22:03:21');
INSERT INTO complaint_remarks VALUES('798','261','costumer ne call attend nahin ki','73','2020-09-06 22:04:29','2020-09-06 22:04:29');
INSERT INTO complaint_remarks VALUES('799','266','STILL NOT ATTEND CALL','73','2020-09-06 22:12:38','2020-09-06 22:12:38');
INSERT INTO complaint_remarks VALUES('800','267','COSTUMER NOT ATTEND THE CALL','73','2020-09-06 22:15:25','2020-09-06 22:15:25');
INSERT INTO complaint_remarks VALUES('801','273','ISSUE SOLVED HOGYA HA. . AGAIN ISSUE AGYA HA','73','2020-09-06 22:19:19','2020-09-06 22:19:19');
INSERT INTO complaint_remarks VALUES('802','284','COSTUMER KO CALL KRRY LEKIN WO ATTEND NAI KRRY','73','2020-09-06 22:23:13','2020-09-06 22:23:13');
INSERT INTO complaint_remarks VALUES('803','286','COSTUMER STILL NOT ATTEND THE CALL','73','2020-09-06 22:24:59','2020-09-06 22:24:59');
INSERT INTO complaint_remarks VALUES('804','289','NAEEM KENWOOD KO REMINDER DE DIA HA','73','2020-09-06 22:30:59','2020-09-06 22:30:59');
INSERT INTO complaint_remarks VALUES('805','290','COSTUMER NE COMPLAIN CAMCEL KARWA DI THI... KEH RY THY 2BARA INFORM KR DEIN GY','73','2020-09-06 22:31:58','2020-09-06 22:31:58');
INSERT INTO complaint_remarks VALUES('806','290','TECHNICIAN NE VISIT B KIA THA...','73','2020-09-06 22:32:12','2020-09-06 22:32:12');
INSERT INTO complaint_remarks VALUES('807','293','WAQAR KENWOOD KO AAJ 2BARA REMINDER DE DIA HA','73','2020-09-06 22:39:16','2020-09-06 22:39:16');
INSERT INTO complaint_remarks VALUES('808','283','ABI THIK CHL RAI HA... MOSAM THIK HNY K BD TAHIR SB S/C BIJHWA DEIN GY','73','2020-09-06 22:53:38','2020-09-06 22:53:38');
INSERT INTO complaint_remarks VALUES('809','293','YE SERVICE CENTRE LIFT HNA HA... COSTUMER KO NUMBER DEE K LYE CALL KRRY LEKIN WO CALL ATTEND NAI KRRY','73','2020-09-06 23:28:56','2020-09-06 23:28:56');
INSERT INTO complaint_remarks VALUES('810','299','COSTUMER NE CALL ATTEND NAHIN KI','73','2020-09-06 23:30:34','2020-09-06 23:30:34');
INSERT INTO complaint_remarks VALUES('811','333','COSTUMER NOT ATTENDING CALL','73','2020-09-06 23:35:34','2020-09-06 23:35:34');
INSERT INTO complaint_remarks VALUES('812','340','RESOLVED','73','2020-09-06 23:37:02','2020-09-06 23:37:02');
INSERT INTO complaint_remarks VALUES('813','352','UNIT IS IN SERVICE CENTRE','73','2020-09-06 23:37:59','2020-09-06 23:37:59');
INSERT INTO complaint_remarks VALUES('814','353','STILL CALL ATTEND NAI KRY','73','2020-09-06 23:39:43','2020-09-06 23:39:43');
INSERT INTO complaint_remarks VALUES('815','355','COSTUMER CALL ATTEND NAI KRRY','73','2020-09-06 23:45:38','2020-09-06 23:45:38');
INSERT INTO complaint_remarks VALUES('816','356','AAJ AGAIN NUMBER FRWRD KARWA DIA HA','73','2020-09-06 23:48:18','2020-09-06 23:48:18');
INSERT INTO complaint_remarks VALUES('817','361','COSTUMER NE CALL ATTEND NAHIN KI','73','2020-09-06 23:49:36','2020-09-06 23:49:36');
INSERT INTO complaint_remarks VALUES('818','361','KAL INFORM KAREIN GY','73','2020-09-06 23:51:37','2020-09-06 23:51:37');
INSERT INTO complaint_remarks VALUES('819','355','NO VISIT','73','2020-09-06 23:54:51','2020-09-06 23:54:51');
INSERT INTO complaint_remarks VALUES('820','372','costumer ne cancel karwa di ha complain','73','2020-09-07 00:16:26','2020-09-07 00:16:26');
INSERT INTO complaint_remarks VALUES('821','403','costumer call attend nai krry','73','2020-09-07 00:20:03','2020-09-07 00:20:03');
INSERT INTO complaint_remarks VALUES('822','415','behtr ha. . inform kr dein gy costumer','73','2020-09-07 00:22:43','2020-09-07 00:22:43');
INSERT INTO complaint_remarks VALUES('823','420','costumer still call attend nai krry','73','2020-09-07 00:33:48','2020-09-07 00:33:48');
INSERT INTO complaint_remarks VALUES('824','422','machine service centre mein ha','73','2020-09-07 00:36:55','2020-09-07 00:36:55');
INSERT INTO complaint_remarks VALUES('825','433','COSTUMER NOT ATTEND THE CALL','73','2020-09-07 01:52:21','2020-09-07 01:52:21');
INSERT INTO complaint_remarks VALUES('826','436','COSTUMER NOT ATTEND THE CALL','73','2020-09-07 01:54:40','2020-09-07 01:54:40');
INSERT INTO complaint_remarks VALUES('827','447','COSTUMER NOT ATTEND THE CALL','73','2020-09-07 02:19:25','2020-09-07 02:19:25');
INSERT INTO complaint_remarks VALUES('828','453','COSTUMER NOT ATTEND THE CALL','73','2020-09-07 02:21:42','2020-09-07 02:21:42');
INSERT INTO complaint_remarks VALUES('829','750','KHURRAM SB KO REMINDER DE DIA HA. . NOB KA ISSUE AGYA HA','73','2020-09-07 19:49:38','2020-09-07 19:49:38');
INSERT INTO complaint_remarks VALUES('830','711','khalid sab sa confirm kiya customer call attend nai kar rahjay abi bat ka rahay khalid sab customer  sa','74','2020-09-07 19:57:13','2020-09-07 19:57:13');
INSERT INTO complaint_remarks VALUES('831','899','COMPLAINT RESOLVED','74','2020-09-07 20:03:23','2020-09-07 20:03:23');
INSERT INTO complaint_remarks VALUES('832','903','complaint pa visit ho gay hain but iSSUE RESOLVED NIA HOA','74','2020-09-07 20:04:39','2020-09-07 20:04:39');
INSERT INTO complaint_remarks VALUES('833','87','COMPLAINT RESOLVED','74','2020-09-07 20:06:22','2020-09-07 20:06:22');
INSERT INTO complaint_remarks VALUES('834','103','NAEEM SAB SA BAT HOI HAIN VISIT TO DAY','74','2020-09-07 20:18:27','2020-09-07 20:18:27');
INSERT INTO complaint_remarks VALUES('835','704','COMPLAINT ATTEND HO GEI HAIN W/M AJ COMPANY WALAY LIFT KARAY GAY','74','2020-09-07 20:20:48','2020-09-07 20:20:48');
INSERT INTO complaint_remarks VALUES('836','680','CUSTOMER SA BAT HO GEI HAIN AJ VISIT HAIN AGAIN IC COMPLAINT PA','74','2020-09-07 20:29:58','2020-09-07 20:29:58');
INSERT INTO complaint_remarks VALUES('837','679','CUTOMER NOT ATTEND MY CALL','74','2020-09-07 20:33:54','2020-09-07 20:33:54');
INSERT INTO complaint_remarks VALUES('838','669','TULSA ROAD BARANCH K TAMOOR SAB NA YHA REF S/C LIFT KARWANA HAIN  AJ REMINDER4 DA DIA HAIN','74','2020-09-07 20:40:41','2020-09-07 20:40:41');
INSERT INTO complaint_remarks VALUES('839','669','5178404 TAMOOR BRANCH','74','2020-09-07 20:40:59','2020-09-07 20:40:59');
INSERT INTO complaint_remarks VALUES('840','669','CUSTOMER KO INFORMED KARDIA','74','2020-09-07 20:42:07','2020-09-07 20:42:07');
INSERT INTO complaint_remarks VALUES('841','656','COMPLAINT RESOLVED','74','2020-09-07 20:43:58','2020-09-07 20:43:58');
INSERT INTO complaint_remarks VALUES('842','108','COMPLAINT RESOLVED','74','2020-09-07 21:11:07','2020-09-07 21:11:07');
INSERT INTO complaint_remarks VALUES('843','717','COMPLAINT RESOLVED','74','2020-09-07 21:13:05','2020-09-07 21:13:05');
INSERT INTO complaint_remarks VALUES('844','541','GASS KIT DEMAND KI HOI HAIN JAWAD SAB NA','74','2020-09-07 21:29:33','2020-09-07 21:29:33');
INSERT INTO complaint_remarks VALUES('845','649','CUSTOMER SIDE SA COMPLAINT DELAY HAIN AJ AGAIN CUSTOMER KO CALL KI FOLLOWUP K LIYA CLOSED KARWA DI CUSTOMER NA KHUD SA COMPLAINT','74','2020-09-07 21:32:07','2020-09-07 21:32:07');
INSERT INTO complaint_remarks VALUES('846','718','GEYASE READY HAIN S/C SA PICK KAR LAY CUSTOMER KO B INFORMED KAR DIA K AJ PICK KAR LAY','74','2020-09-07 21:37:34','2020-09-07 21:37:34');
INSERT INTO complaint_remarks VALUES('847','723','COMPLAINT RESOLVED','74','2020-09-07 22:10:45','2020-09-07 22:10:45');
INSERT INTO complaint_remarks VALUES('848','720','COMPLAINT RESOLVED','74','2020-09-07 22:12:19','2020-09-07 22:12:19');
INSERT INTO complaint_remarks VALUES('849','463','COMPLAINT RESOLVED','74','2020-09-07 23:25:14','2020-09-07 23:25:14');
INSERT INTO complaint_remarks VALUES('850','735','NOT ATTEND CALL','74','2020-09-07 23:33:09','2020-09-07 23:33:09');
INSERT INTO complaint_remarks VALUES('851','733','COMPLAINT RESOLVED','74','2020-09-07 23:35:05','2020-09-07 23:35:05');
INSERT INTO complaint_remarks VALUES('852','750','C/RMAIN AGAIN ISSUE AGAY HAI VISIT K LIYA COMPLAINT FF KI COMPANY MAIN BUT SOHAIL SAB NA CALL KAR K BO,A HAIN K SADDIQ SAB KI APPROVAL SA RANGE CHANGE KARWA DAY FHSS MAIN ADIL BHAI KO B INFORMED KAR DIA','74','2020-09-08 01:20:47','2020-09-08 01:20:47');
INSERT INTO complaint_remarks VALUES('853','746','COMPLAINT RESOLVED','74','2020-09-08 01:45:36','2020-09-08 01:45:36');
INSERT INTO complaint_remarks VALUES('854','710','IS WEEK PARTS ANAY HAIN. . GAS KIT ON DEMAND','73','2020-09-08 02:03:37','2020-09-08 02:03:37');
INSERT INTO complaint_remarks VALUES('855','492','RELAUNCH#1718421','73','2020-09-08 02:21:03','2020-09-08 02:21:03');
INSERT INTO complaint_remarks VALUES('856','644','Ahmed sab ko again visit k liy areminder da dia hainaslam sab ko b complaint ff kar dia','74','2020-09-08 03:12:08','2020-09-08 03:12:08');
INSERT INTO complaint_remarks VALUES('857','750','range change ho gei hain adil fhss ka pass hain customer sa b bat ho gei hain koi issue nai so complaint resolved','74','2020-09-08 19:56:17','2020-09-08 19:56:17');
INSERT INTO complaint_remarks VALUES('858','753','COMPLAINT RESOLVED','74','2020-09-08 19:59:33','2020-09-08 19:59:33');
INSERT INTO complaint_remarks VALUES('859','5','YHA CUSTOMER STILL CALL ATTEND NAI KAR RAHI NA HI VANDER KO SA CONTACT HO RAHA  ABI COMPLAINT CLOSED KAR RAHAY HAIN IKHLAQ SAB KO B REMINDER DA DIA','74','2020-09-08 20:13:51','2020-09-08 20:13:51');
INSERT INTO complaint_remarks VALUES('860','422','AJ DILVER HO JAY GEI LG SA CONFIRM KAR LIYA CUSTOMER ABI HAMARI CALL NAI PICK KAR RAHI','74','2020-09-08 20:22:23','2020-09-08 20:22:23');
INSERT INTO complaint_remarks VALUES('861','761','COMPLAINT RESOLVED','74','2020-09-08 20:37:32','2020-09-08 20:37:32');
INSERT INTO complaint_remarks VALUES('862','760','COMPLAINT RESOLVED','74','2020-09-08 20:39:09','2020-09-08 20:39:09');
INSERT INTO complaint_remarks VALUES('863','756','COMPLAINT RESOLVED','74','2020-09-08 20:43:32','2020-09-08 20:43:32');
INSERT INTO complaint_remarks VALUES('864','755','VISIT HO GAYA HAIN DOOR AJ LAG JAY GA','74','2020-09-08 20:47:02','2020-09-08 20:47:02');
INSERT INTO complaint_remarks VALUES('865','757','NOT ATTEND CALL','74','2020-09-08 20:49:02','2020-09-08 20:49:02');
INSERT INTO complaint_remarks VALUES('866','749','MOSHIN KO COMPLAINT # WHATSAPP KAR DIA HAIN VISIT TO DAY','74','2020-09-08 20:53:13','2020-09-08 20:53:13');
INSERT INTO complaint_remarks VALUES('867','748','NOT ATTEND CALL','74','2020-09-08 20:57:01','2020-09-08 20:57:01');
INSERT INTO complaint_remarks VALUES('868','748','NOT ATTEND CALL','74','2020-09-08 21:06:59','2020-09-08 21:06:59');
INSERT INTO complaint_remarks VALUES('869','965','COMPLAINT MAIN AGAIN SAME ISSUE AAGAY HAIN KINDLY AGAIN VISIT KARWAY','74','2020-09-08 21:15:24','2020-09-08 21:15:24');
INSERT INTO complaint_remarks VALUES('870','765','COMPLAINT RESOLVED','74','2020-09-08 21:38:31','2020-09-08 21:38:31');
INSERT INTO complaint_remarks VALUES('871','764','COMPLAINT RESOLVED','74','2020-09-08 21:39:56','2020-09-08 21:39:56');
INSERT INTO complaint_remarks VALUES('872','925','MEHRAN TECHNICIAB AJ VISIT KAR RAHYA IC COMPLAINT PA  0317-9998683','74','2020-09-08 22:04:05','2020-09-08 22:04:05');
INSERT INTO complaint_remarks VALUES('873','770','COMPLAINT RESOLVED','74','2020-09-08 22:34:07','2020-09-08 22:34:07');
INSERT INTO complaint_remarks VALUES('874','769','KHURRAM SIR SA B CONFIRM KIYA WO BOL RAHAY HAIN STAND BUKIL THEEK HAIN & FLAM MAIN B KOI ISSUE NAI','74','2020-09-08 22:42:33','2020-09-08 22:42:33');
INSERT INTO complaint_remarks VALUES('875','103','COMPLAINT RESOLVED','74','2020-09-08 23:13:02','2020-09-08 23:13:02');
INSERT INTO complaint_remarks VALUES('876','104','CUSTOMER KO TECHNICIAN KI CALL AAI THI BUT CUSTOMER GHR PA AVAIL NAI THY AJ AGAIN COMPLAINT REOPENS KARWA DI COMPLAINT HAIN','74','2020-09-08 23:29:49','2020-09-08 23:29:49');
INSERT INTO complaint_remarks VALUES('877','136','COMPLAINT PA VISIT HOGAY HAIN  GASS REFIL HONI HAIN REF TO S/C CUSTOMER NA KHUD S/C LA K AAN HAIN','74','2020-09-08 23:50:49','2020-09-08 23:50:49');
INSERT INTO complaint_remarks VALUES('878','138','COMPLAINT RESOLVED','74','2020-09-08 23:52:21','2020-09-08 23:52:21');
INSERT INTO complaint_remarks VALUES('879','151','PCB KIT DEMAND KIYA HO AY HAIN','74','2020-09-08 23:56:35','2020-09-08 23:56:35');
INSERT INTO complaint_remarks VALUES('880','237','PCB KIT DEMAND KI HOI HAIN PARTS KI WAJA SA DELAY COMPLAINT','74','2020-09-09 00:00:06','2020-09-09 00:00:06');
INSERT INTO complaint_remarks VALUES('881','810','NOT ATTEND CALL','74','2020-09-09 00:05:26','2020-09-09 00:05:26');
INSERT INTO complaint_remarks VALUES('882','811','COMPLAINT RESOLVED','74','2020-09-09 00:12:40','2020-09-09 00:12:40');
INSERT INTO complaint_remarks VALUES('883','811','JIS DIN VISIT HOA US DIN KOI SOUND ISSUE NAI AAYA','74','2020-09-09 00:13:08','2020-09-09 00:13:08');
INSERT INTO complaint_remarks VALUES('884','861','COMPLAINT RESOLVED','74','2020-09-09 00:32:31','2020-09-09 00:32:31');
INSERT INTO complaint_remarks VALUES('885','850','COMPLAINT RESOLVED','74','2020-09-09 00:34:52','2020-09-09 00:34:52');
INSERT INTO complaint_remarks VALUES('886','714','COMPLAINT PA VISIT HO GAYA HAIN COMPLAINT CLOSED','74','2020-09-09 00:39:06','2020-09-09 00:39:06');
INSERT INTO complaint_remarks VALUES('887','284','PCB KIT DEMAND KIYA HOI 2ND VISIT B HO GAY HAIN','74','2020-09-09 00:49:03','2020-09-09 00:49:03');
INSERT INTO complaint_remarks VALUES('888','267','NEW AGAIN COMPLAINT  PKRI-200908110317','74','2020-09-09 00:56:03','2020-09-09 00:56:03');
INSERT INTO complaint_remarks VALUES('889','777','ASIF GILL KO INFORMED KAR DIA HAIN UNIT REF TO S/C   KAL S/C WALAY LIFT KAR LAY GAY','74','2020-09-09 01:17:48','2020-09-09 01:17:48');
INSERT INTO complaint_remarks VALUES('890','776','DOOR DAMAGE HAIN NAVE ED FCP K KNOWLEDGE MAIN B HAIN DOOR CHANGE HONA HAIN','74','2020-09-09 01:23:42','2020-09-09 01:23:42');
INSERT INTO complaint_remarks VALUES('891','778','CUSTOMER KO ABI CALL KI BUSY HAIN CALL BACK KARAY GAY','74','2020-09-09 01:25:46','2020-09-09 01:25:46');
INSERT INTO complaint_remarks VALUES('892','775','NOT ATTEND CALL','74','2020-09-09 01:29:11','2020-09-09 01:29:11');
INSERT INTO complaint_remarks VALUES('893','739','COMPLAINT RESOLVED','74','2020-09-09 01:34:08','2020-09-09 01:34:08');
INSERT INTO complaint_remarks VALUES('894','458','HARIS TECHNICIAN NA VISIT KIYA HAIN CUSTOMER N WARRANTY CARD NAI THA CUSTOMER K PASS ABI CUSTOMER KO CALL KI WO BOL RAHAY K COMPLAINT PA VISIT NAI HOA HAIN AJ COMPLAINT AGAIN REOPEN KARWA DI','74','2020-09-09 02:05:01','2020-09-09 02:05:01');
INSERT INTO complaint_remarks VALUES('895','862','KHURRAM BAHI KI CUSTOMER SA BAT HO RAHI HAIN CUSTOMER KO KHURRAM BAHI NA EXP BATA DIA HAIN 14000& 8000','74','2020-09-09 02:07:26','2020-09-09 02:07:26');
INSERT INTO complaint_remarks VALUES('896','860','COMPLAINT RESOLVED','74','2020-09-09 02:10:02','2020-09-09 02:10:02');
INSERT INTO complaint_remarks VALUES('897','957','COMPANY MEIN FRWRD KARWA RY. .','73','2020-09-09 02:14:48','2020-09-09 02:14:48');
INSERT INTO complaint_remarks VALUES('898','778','CUSTOMER KI SIDE SA YHA COMPLAINT CLOSED HO I HAIN COMPLAINT PA VISIT HO GAY HAIN VEGETABLE BOX MAIN COLLING NAI HO RAHI THI','74','2020-09-09 02:17:50','2020-09-09 02:17:50');
INSERT INTO complaint_remarks VALUES('899','229','parts demand kiya hain','74','2020-09-09 02:34:00','2020-09-09 02:34:00');
INSERT INTO complaint_remarks VALUES('900','722','COSTUMER CALL ATTEND NAI KRRY. . USMAN SB NE KAHA HA K UAN NUMBER PE LAUNCH KARWA DEIN. . SEERIAL NUMBER K LYE CALL KRRY LEKIN COSTUMER CALL ATTEND NAI KRRY','73','2020-09-09 02:48:59','2020-09-09 02:48:59');
INSERT INTO complaint_remarks VALUES('901','957','COMPLAIN#PKRI200908112683','73','2020-09-09 02:55:50','2020-09-09 02:55:50');
INSERT INTO complaint_remarks VALUES('902','261','ahmed sab sa followup liya hain w/m dilver ho gei hain customer still call attend nai kar rahy  complaint closed','74','2020-09-09 03:09:33','2020-09-09 03:09:33');
INSERT INTO complaint_remarks VALUES('903','266','NOT ATTEND CALL','74','2020-09-09 03:13:27','2020-09-09 03:13:27');
INSERT INTO complaint_remarks VALUES('904','436','KOI B VISIT NAI HOA COMPLAINT PA','74','2020-09-09 03:22:13','2020-09-09 03:22:13');
INSERT INTO complaint_remarks VALUES('905','473','W/D S/C MAIN HAIN ABI TAQ WAPISE NAI AAY','74','2020-09-09 03:27:17','2020-09-09 03:27:17');
INSERT INTO complaint_remarks VALUES('906','687','COMPLAINT RESOLVED','74','2020-09-09 03:35:21','2020-09-09 03:35:21');
INSERT INTO complaint_remarks VALUES('907','735','COMPLAINT RESOLVED','74','2020-09-09 03:37:44','2020-09-09 03:37:44');
INSERT INTO complaint_remarks VALUES('908','749','ABI TAQ IC COMPLAINT PA KI VISIT NAI HO A','74','2020-09-09 03:40:13','2020-09-09 03:40:13');
INSERT INTO complaint_remarks VALUES('909','963','CUSTOMER KO TECHNICIAN  KI CALL AAGEI HAIN AJ VISIT HO JAY GA','74','2020-09-09 19:53:19','2020-09-09 19:53:19');
INSERT INTO complaint_remarks VALUES('910','904','COMPLAINT RESOLVED','74','2020-09-09 19:54:47','2020-09-09 19:54:47');
INSERT INTO complaint_remarks VALUES('911','784','COMPLAINT RESOLVED','74','2020-09-09 19:59:38','2020-09-09 19:59:38');
INSERT INTO complaint_remarks VALUES('912','919','CUSTOMER KO VISIT CHARGES GUIDE KAR DIYA HAIN 6000 AMNA MADAM 12 BAJAY TAQ CONFIRM KARY GEI','74','2020-09-09 20:02:47','2020-09-09 20:02:47');
INSERT INTO complaint_remarks VALUES('913','913','NOT ATTEND CALL','74','2020-09-09 20:06:54','2020-09-09 20:06:54');
INSERT INTO complaint_remarks VALUES('914','909','COMPLAINT RESOLVED','74','2020-09-09 20:08:40','2020-09-09 20:08:40');
INSERT INTO complaint_remarks VALUES('915','909','COMPLAINT RESOLVED','74','2020-09-09 20:09:54','2020-09-09 20:09:54');
INSERT INTO complaint_remarks VALUES('916','903','AGAIN VISIT K LIYA NAEEM SAB KO REMI9NDER B  DA DIA CUSTOMER R TECHNICIAN KI  CALL PA BAT B KARWA DI TECHNICIAN AJ TRY K LA JA RAHAY HAIN','74','2020-09-09 20:21:59','2020-09-09 20:21:59');
INSERT INTO complaint_remarks VALUES('917','776','ASIF GILL KO REMINDER B DA DIYA COMPLAINT WHATSAPP B KAR DIA','74','2020-09-09 20:23:14','2020-09-09 20:23:14');
INSERT INTO complaint_remarks VALUES('918','906','COMPLAINT PA VISIT HO GAY HAIN SET S/C LA K GAY HAIN WORKING IN PROCESS','74','2020-09-09 20:25:10','2020-09-09 20:25:10');
INSERT INTO complaint_remarks VALUES('919','584','COMPLAIN RESOLVED . . CONFIRMED BY COSTUMER','73','2020-09-09 20:25:27','2020-09-09 20:25:27');
INSERT INTO complaint_remarks VALUES('920','775','COMPLAINT PA VISIT HO GAY HAIN SET S/C LA K GAY HAIN','74','2020-09-09 20:26:13','2020-09-09 20:26:13');
INSERT INTO complaint_remarks VALUES('921','786','COMPLAINT PA AIK VISIT HO GAY HAIN BUT ISSUE RESOLVED NAI HOA NAEEM KENWOOD KO AGAIN REMINDER DA DIA','74','2020-09-09 20:29:19','2020-09-09 20:29:19');
INSERT INTO complaint_remarks VALUES('922','897','COMPLAINT RESOLVED','74','2020-09-09 20:29:34','2020-09-09 20:29:34');
INSERT INTO complaint_remarks VALUES('923','892','NO VISIT','74','2020-09-09 20:31:13','2020-09-09 20:31:13');
INSERT INTO complaint_remarks VALUES('924','891','COMPLAINT RESOLVED','74','2020-09-09 20:36:02','2020-09-09 20:36:02');
INSERT INTO complaint_remarks VALUES('925','787','COMPLAINT RESOLVED','74','2020-09-09 20:38:51','2020-09-09 20:38:51');
INSERT INTO complaint_remarks VALUES('926','652','AJ YHA COMPLAINT ATTEND HO JAY GEI JAWAD KI CUSTOMER SA B BAT KARWA DI','74','2020-09-09 20:49:32','2020-09-09 20:49:32');
INSERT INTO complaint_remarks VALUES('927','925','NOT ATTEND CALL','74','2020-09-09 20:51:35','2020-09-09 20:51:35');
INSERT INTO complaint_remarks VALUES('928','624','COMPLAINT RESOLVED','74','2020-09-09 20:53:14','2020-09-09 20:53:14');
INSERT INTO complaint_remarks VALUES('929','889','NO VISIT','74','2020-09-09 20:53:46','2020-09-09 20:53:46');
INSERT INTO complaint_remarks VALUES('930','888','NOT ATTEND CALL','74','2020-09-09 21:02:16','2020-09-09 21:02:16');
INSERT INTO complaint_remarks VALUES('931','788','VISIT HO GAY HAIN W/M S/C MAIN MAIN HAIN','74','2020-09-09 21:11:54','2020-09-09 21:11:54');
INSERT INTO complaint_remarks VALUES('932','793','complaint resolved','74','2020-09-09 21:28:14','2020-09-09 21:28:14');
INSERT INTO complaint_remarks VALUES('933','710','parts dispatch ho gay hain AIK 2 DIN TAQ S/C KO RECIVED HO JAY GAY','74','2020-09-09 21:29:25','2020-09-09 21:29:25');
INSERT INTO complaint_remarks VALUES('934','423','NOT ATTEND CALL','74','2020-09-09 21:40:02','2020-09-09 21:40:02');
INSERT INTO complaint_remarks VALUES('935','843','COMPLAINT RESOLVED','74','2020-09-09 22:16:33','2020-09-09 22:16:33');
INSERT INTO complaint_remarks VALUES('936','840','COMPLAINT PA VISIT HO GAYA HAIN NE W PART LAGAY GA CUSTOMER KI SIDE SA DELAY HAIN COMPLAINT CUSTOMER NA ABI APNI COMPANY APPROVAL LAYNI HAIN','74','2020-09-09 22:24:19','2020-09-09 22:24:19');
INSERT INTO complaint_remarks VALUES('937','838','COMPLAINT RESOLVED','74','2020-09-09 22:28:57','2020-09-09 22:28:57');
INSERT INTO complaint_remarks VALUES('938','834','COMPLAINT RESOLVED','74','2020-09-09 22:29:55','2020-09-09 22:29:55');
INSERT INTO complaint_remarks VALUES('939','833','COMPLAINT RESOLVED','74','2020-09-09 22:30:51','2020-09-09 22:30:51');
INSERT INTO complaint_remarks VALUES('940','831','NOT ATTEND CALL','74','2020-09-09 22:34:49','2020-09-09 22:34:49');
INSERT INTO complaint_remarks VALUES('941','823','COMPLAINT RESOLVED','74','2020-09-09 22:39:15','2020-09-09 22:39:15');
INSERT INTO complaint_remarks VALUES('942','827','COMPANY KI CUSTOMER SA BAT HO GEI HAIN LED KA PARTS REQUIRED KIYA HOA HAIN','74','2020-09-09 22:40:44','2020-09-09 22:40:44');
INSERT INTO complaint_remarks VALUES('943','824','COMPLAINT RESOLVED','74','2020-09-09 22:42:56','2020-09-09 22:42:56');
INSERT INTO complaint_remarks VALUES('944','851','COMPLAINT RESOLVED','74','2020-09-09 22:50:33','2020-09-09 22:50:33');
INSERT INTO complaint_remarks VALUES('945','819','LED 2 DIN PHALY S/C LA K GAY HAIN','74','2020-09-09 22:52:21','2020-09-09 22:52:21');
INSERT INTO complaint_remarks VALUES('946','817','COMPLAINT RESOLVED','74','2020-09-09 22:55:27','2020-09-09 22:55:27');
INSERT INTO complaint_remarks VALUES('947','856','COMPLAINT RESOLVED','74','2020-09-09 22:58:21','2020-09-09 22:58:21');
INSERT INTO complaint_remarks VALUES('948','791','COMPLAINT RESOLVED','74','2020-09-09 23:01:59','2020-09-09 23:01:59');
INSERT INTO complaint_remarks VALUES('949','795','COMPLAINT RESOLVED','74','2020-09-09 23:04:36','2020-09-09 23:04:36');
INSERT INTO complaint_remarks VALUES('950','799','ABI TAQ RANGE CHANGE NAI HOI KAMRAN SAB KO AJ AGAIN REMINDER DIA HAIN','74','2020-09-09 23:05:49','2020-09-09 23:05:49');
INSERT INTO complaint_remarks VALUES('951','809','COMPLAINT RESOLVED','74','2020-09-09 23:09:12','2020-09-09 23:09:12');
INSERT INTO complaint_remarks VALUES('952','808','COMPLAINT RESOLVED','74','2020-09-09 23:11:58','2020-09-09 23:11:58');
INSERT INTO complaint_remarks VALUES('953','727','COMPLAINT RESOLVED','74','2020-09-09 23:15:52','2020-09-09 23:15:52');
INSERT INTO complaint_remarks VALUES('954','725','COMPLAINT RESOLVED','74','2020-09-09 23:17:54','2020-09-09 23:17:54');
INSERT INTO complaint_remarks VALUES('955','804','COMPLAINT RESOLVED','74','2020-09-09 23:19:56','2020-09-09 23:19:56');
INSERT INTO complaint_remarks VALUES('956','783','CUSTOMER ABI  OUT OFF CITY HAIN WAPISE AAK COMPLAINT NEW LAUNCH KARWAY GAY ABI COMPLAINT CLOSED KARWA DI','74','2020-09-09 23:30:03','2020-09-09 23:30:03');
INSERT INTO complaint_remarks VALUES('957','742','COMPLAINT RESOLVED','74','2020-09-09 23:31:48','2020-09-09 23:31:48');
INSERT INTO complaint_remarks VALUES('958','704','S/C WORKING IN PROCESS','74','2020-09-09 23:38:14','2020-09-09 23:38:14');
INSERT INTO complaint_remarks VALUES('959','639','COMPLAINT RESOLVED','74','2020-09-09 23:39:32','2020-09-09 23:39:32');
INSERT INTO complaint_remarks VALUES('960','669','REF S/C LIFT HONA HAIN ABI CUSTOMER KISIDE SA DELAY HAIN COMPLAINT','74','2020-09-09 23:43:53','2020-09-09 23:43:53');
INSERT INTO complaint_remarks VALUES('961','883','W/D S/C LA K GAY HAIN COMPANY WALAY','74','2020-09-09 23:45:45','2020-09-09 23:45:45');
INSERT INTO complaint_remarks VALUES('962','619','COMPLAINT RESOLVED','74','2020-09-10 00:11:43','2020-09-10 00:11:43');
INSERT INTO complaint_remarks VALUES('963','815','COMPLAINT RESOLVED','74','2020-09-10 00:45:06','2020-09-10 00:45:06');
INSERT INTO complaint_remarks VALUES('964','803','COMPLAINT RESOLVED','74','2020-09-10 01:02:04','2020-09-10 01:02:04');
INSERT INTO complaint_remarks VALUES('965','792','COMPLAINT RESOLVED','74','2020-09-10 01:07:37','2020-09-10 01:07:37');
INSERT INTO complaint_remarks VALUES('966','533','W/D S/C MAIN HAIN','74','2020-09-10 01:09:17','2020-09-10 01:09:17');
INSERT INTO complaint_remarks VALUES('967','779','complaint resolved','74','2020-09-10 01:45:07','2020-09-10 01:45:07');
INSERT INTO complaint_remarks VALUES('968','859','not attend call','74','2020-09-10 02:05:15','2020-09-10 02:05:15');
INSERT INTO complaint_remarks VALUES('969','854','complaint rtesolved','74','2020-09-10 02:09:17','2020-09-10 02:09:17');
INSERT INTO complaint_remarks VALUES('970','127','customer ki irshad sab sa bat ho gei hain customer ka issue hain k summer season main clooing ka issue aata waisay nai irshad sab na warranty di hain k next season main koi issue aay ga tu ap ko warranty claim main complaint resolved kar k day gay abi complaint closed','74','2020-09-10 02:18:32','2020-09-10 02:18:32');
INSERT INTO complaint_remarks VALUES('971','541','parts dispatch ho gay hain 1 yha 2 din main s/c walo ko recived ho gei','74','2020-09-10 02:21:56','2020-09-10 02:21:56');
INSERT INTO complaint_remarks VALUES('972','507','complaint resolved','74','2020-09-10 02:23:34','2020-09-10 02:23:34');
INSERT INTO complaint_remarks VALUES('973','254','abi taq customer ka issue resolved nai hoa','74','2020-09-10 02:30:24','2020-09-10 02:30:24');
INSERT INTO complaint_remarks VALUES('974','267','aj again reminder dai hain company','74','2020-09-10 02:43:45','2020-09-10 02:43:45');
INSERT INTO complaint_remarks VALUES('975','321','complaint pa again koi visit b nai hoa','74','2020-09-10 02:44:10','2020-09-10 02:44:10');
INSERT INTO complaint_remarks VALUES('976','328','abi taq ni la k gay company walay','74','2020-09-10 02:57:48','2020-09-10 02:57:48');
INSERT INTO complaint_remarks VALUES('977','361','not attend call','74','2020-09-10 03:02:04','2020-09-10 03:02:04');
INSERT INTO complaint_remarks VALUES('978','403','customer not satisfied','74','2020-09-10 03:06:58','2020-09-10 03:06:58');
INSERT INTO complaint_remarks VALUES('979','911','COMPLAINT RESOLVED','74','2020-09-10 19:58:56','2020-09-10 19:58:56');
INSERT INTO complaint_remarks VALUES('980','964','TODAY VISIT. .','73','2020-09-10 20:08:45','2020-09-10 20:08:45');
INSERT INTO complaint_remarks VALUES('981','1007','COMPLAINT RESOLVED','74','2020-09-10 20:15:09','2020-09-10 20:15:09');
INSERT INTO complaint_remarks VALUES('982','903','KAL AGAIN COMPLAINT PA VISIT HO AHAIN TAY B LAGA DI BUT CUSTOMER ABI B SATISFIED NAI HO RAHAY NAEEM KENWOOD KO INFORMED KAR DIA HAIN','74','2020-09-10 20:23:45','2020-09-10 20:23:45');
INSERT INTO complaint_remarks VALUES('983','925','COMPLAINT RESOLVED','74','2020-09-10 20:26:06','2020-09-10 20:26:06');
INSERT INTO complaint_remarks VALUES('984','749','NO VIST AGAIN COMPANT REMINDER','74','2020-09-10 20:27:59','2020-09-10 20:27:59');
INSERT INTO complaint_remarks VALUES('985','952','COMPLAINT RESOLVED','74','2020-09-10 20:28:51','2020-09-10 20:28:51');
INSERT INTO complaint_remarks VALUES('986','950','NOT ATTEND CALL','74','2020-09-10 20:34:12','2020-09-10 20:34:12');
INSERT INTO complaint_remarks VALUES('987','920','DOOR ADJUSTMENT KI HAIN COMPLAINT RESOLVED','74','2020-09-10 20:39:41','2020-09-10 20:39:41');
INSERT INTO complaint_remarks VALUES('988','947','COMPLAINT RESOLVED','74','2020-09-10 20:48:52','2020-09-10 20:48:52');
INSERT INTO complaint_remarks VALUES('989','948','COMPLAINT RESOLVED','74','2020-09-10 20:50:32','2020-09-10 20:50:32');
INSERT INTO complaint_remarks VALUES('990','946','COMPLAINT RESOLVED','74','2020-09-10 20:51:48','2020-09-10 20:51:48');
INSERT INTO complaint_remarks VALUES('991','945','COMPLAINT RESOLVED','74','2020-09-10 20:54:04','2020-09-10 20:54:04');
INSERT INTO complaint_remarks VALUES('992','921','COMPLAINT RESOLVED','74','2020-09-10 20:58:14','2020-09-10 20:58:14');
INSERT INTO complaint_remarks VALUES('993','940','COMPLAINT PA VISIT HO GAY HAIN PATS DEMAND KIYA HOA HAIN','74','2020-09-10 21:02:41','2020-09-10 21:02:41');
INSERT INTO complaint_remarks VALUES('994','827','PARTS ABI TAQ NAI AAY','74','2020-09-10 21:12:00','2020-09-10 21:12:00');
INSERT INTO complaint_remarks VALUES('995','922','COMPLAINT PA VISIT HO GAY HAIN HAIN CUSTOMER SATISFAIDE NAI HAIN VSIT SA ASIF GILL KO GROUP MAIN REMINDER DA DIA HAIN','74','2020-09-10 21:44:14','2020-09-10 21:44:14');
INSERT INTO complaint_remarks VALUES('996','828','COMPLAINT RESOLVED','74','2020-09-10 21:46:11','2020-09-10 21:46:11');
INSERT INTO complaint_remarks VALUES('997','821','JIN CUSTOMER NA COMPLAINT KARWAI THI WO YHA OFFICE CHOR K CHALY GAY HAIN CUSTOMER NA OYHER NO DIA HAIN 0300-2045696 IC NO PA CALL KI CUSTOMER BOL RAHAY HAIN K HAMARI KOI COMPLAINT NAI HAIN R NA HI OFFICE KA ADD HAIN','74','2020-09-10 21:57:31','2020-09-10 21:57:31');
INSERT INTO complaint_remarks VALUES('998','821','HASSAN SAB KO B INFORMED KAR DIA HAIN SO COMPLAINT CLOSED','74','2020-09-10 21:58:00','2020-09-10 21:58:00');
INSERT INTO complaint_remarks VALUES('999','953','CUSTOMER NA COMPLAINT CANCELLED KARWA DIA COS TALI EXP KI WAJA SA COMPLAINT CLOSED','74','2020-09-10 22:01:31','2020-09-10 22:01:31');
INSERT INTO complaint_remarks VALUES('1000','950','COMPLAINT RESOLVED','74','2020-09-10 22:03:20','2020-09-10 22:03:20');
INSERT INTO complaint_remarks VALUES('1001','943','COMPLAINT RESOLVED','74','2020-09-10 22:05:57','2020-09-10 22:05:57');
INSERT INTO complaint_remarks VALUES('1002','943','MONOGRAM AAK LAGA JAY GAY LIGHT& DOOR K ISSUE RESOLVED HO GAYA','74','2020-09-10 22:06:50','2020-09-10 22:06:50');
INSERT INTO complaint_remarks VALUES('1003','939','COMPLAINT RESOLVED','74','2020-09-10 22:09:57','2020-09-10 22:09:57');
INSERT INTO complaint_remarks VALUES('1004','430','NO VISIT AGAIN COMPANY REMINDER DA DI AHAIN','74','2020-09-10 22:25:58','2020-09-10 22:25:58');
INSERT INTO complaint_remarks VALUES('1005','433','COMPLAINT RESOLVED','74','2020-09-10 22:28:05','2020-09-10 22:28:05');
INSERT INTO complaint_remarks VALUES('1006','447','COMPLAINT PA VISIT HO GAY HAIN DOOR MAIN ABI B SOUND AARHI HAIN','74','2020-09-10 22:35:34','2020-09-10 22:35:34');
INSERT INTO complaint_remarks VALUES('1007','567','COMPLAINT RESOLVED','74','2020-09-10 22:43:51','2020-09-10 22:43:51');
INSERT INTO complaint_remarks VALUES('1008','602','REF S/C MAIN CUSTOMER KO ABI TAQ KOI UP DATE NAI DI','74','2020-09-10 22:56:04','2020-09-10 22:56:04');
INSERT INTO complaint_remarks VALUES('1009','704','NOT ATTEND CALL','74','2020-09-10 23:10:44','2020-09-10 23:10:44');
INSERT INTO complaint_remarks VALUES('1010','614','NOT ATTEND CALL','74','2020-09-10 23:18:26','2020-09-10 23:18:26');
INSERT INTO complaint_remarks VALUES('1011','831','COMPLAINT RESOLVED','74','2020-09-10 23:27:39','2020-09-10 23:27:39');
INSERT INTO complaint_remarks VALUES('1012','826','NOT ATTEND  CALL','74','2020-09-10 23:31:12','2020-09-10 23:31:12');
INSERT INTO complaint_remarks VALUES('1013','738','NOT ATTEND CALL','74','2020-09-10 23:37:07','2020-09-10 23:37:07');
INSERT INTO complaint_remarks VALUES('1014','776','ASIF GILL KO AJ B STATUS K LIYA REMINDER DIAY AHAIN','74','2020-09-10 23:50:07','2020-09-10 23:50:07');
INSERT INTO complaint_remarks VALUES('1015','777','ASIF GILL KO REMINDER DA DIA','74','2020-09-11 00:13:31','2020-09-11 00:13:31');
INSERT INTO complaint_remarks VALUES('1016','885','CUSTOMER K PASS WARRANTY CARD AVAIL NAI HAIN WARRANTY CARD APPLAY KIYA HOA HAIN COMPANY WITH OUT WARRANTY CARD COMPLAINT ATTEND NAI KAR RAHI','74','2020-09-11 00:15:12','2020-09-11 00:15:12');
INSERT INTO complaint_remarks VALUES('1017','885','CUSTOMER SA AJ BAT HOI HAIN BATA K SHOWROOM WALO NA 10 SA 15 DIN KA TIME DIA HAIN','74','2020-09-11 00:15:54','2020-09-11 00:15:54');
INSERT INTO complaint_remarks VALUES('1018','961','VITS TO DAY','74','2020-09-11 00:17:39','2020-09-11 00:17:39');
INSERT INTO complaint_remarks VALUES('1019','930','COMPLAINT RESOLVED','74','2020-09-11 00:23:57','2020-09-11 00:23:57');
INSERT INTO complaint_remarks VALUES('1020','971','COMPLAINT PA VISIT HO GAYA HAIN REF AJ COMPANY SIDE SA LIFT HONA HAIN','74','2020-09-11 00:37:59','2020-09-11 00:37:59');
INSERT INTO complaint_remarks VALUES('1021','473','DANT ISSUE HAIN WORKING IN PROCESS.
2 DIN MAIN OK HO K SHOWROOM AAJAY GA','74','2020-09-11 00:47:56','2020-09-11 00:47:56');
INSERT INTO complaint_remarks VALUES('1022','957','NOT ATTEND CALL','74','2020-09-11 00:51:30','2020-09-11 00:51:30');
INSERT INTO complaint_remarks VALUES('1023','959','COMPLAINT RESOLVED','74','2020-09-11 00:56:24','2020-09-11 00:56:24');
INSERT INTO complaint_remarks VALUES('1024','976','COMPLAINT RESOLVED','74','2020-09-11 01:03:02','2020-09-11 01:03:02');
INSERT INTO complaint_remarks VALUES('1025','978','COMPLAINT RESOLVED','74','2020-09-11 01:06:36','2020-09-11 01:06:36');
INSERT INTO complaint_remarks VALUES('1026','982','COMPLAINT RESOLVED','74','2020-09-11 01:07:41','2020-09-11 01:07:41');
INSERT INTO complaint_remarks VALUES('1027','417','CUSTOMER CALL ATTEND NAI KAR RAHAY','74','2020-09-11 01:22:07','2020-09-11 01:22:07');
INSERT INTO complaint_remarks VALUES('1028','417','COMPLAINT RESOLVED','74','2020-09-11 01:23:28','2020-09-11 01:23:28');
INSERT INTO complaint_remarks VALUES('1029','458','S/C SA CONFIRM KIYA HAIN VISIT TO DAY  AGAIN','74','2020-09-11 01:24:45','2020-09-11 01:24:45');
INSERT INTO complaint_remarks VALUES('1030','652','IRSHAD SAB AJ YHA COMPLAINT ATTEND KARWA DAY GAY','74','2020-09-11 01:35:24','2020-09-11 01:35:24');
INSERT INTO complaint_remarks VALUES('1031','810','NOT ATTEND CALL','74','2020-09-11 01:40:17','2020-09-11 01:40:17');
INSERT INTO complaint_remarks VALUES('1032','996','VISIT TO DAY','74','2020-09-11 01:52:40','2020-09-11 01:52:40');
INSERT INTO complaint_remarks VALUES('1033','975','COMPLAINT RESOLVED','74','2020-09-11 01:57:38','2020-09-11 01:57:38');
INSERT INTO complaint_remarks VALUES('1034','987','COMPLAINT P AVISIT HO GAY HAIN COMPLAINT CLOSED','74','2020-09-11 02:12:47','2020-09-11 02:12:47');
INSERT INTO complaint_remarks VALUES('1035','973','COMPLAINT RESOLVED','74','2020-09-11 02:18:53','2020-09-11 02:18:53');
INSERT INTO complaint_remarks VALUES('1036','983','COMPLAINT PA VISIT HO GAY HAIN BUNNER MAIN ISSUE HAIN BUT CUSTOMER INTERESTED NAI HAIN BUNNER REPLACE KARNAY KARWANAY MAIN REPLACEMENT JI DEMAND KAR RAHAY HAIN','74','2020-09-11 02:40:31','2020-09-11 02:40:31');
INSERT INTO complaint_remarks VALUES('1037','983','AZAM CORONA NA RANGE REPLACE KI APPROVAL DA DI HAIN ASLAM SIR KO INVOICE B SHER KAR DI & NAVEED FCP KO INFORMED KAR DIA HAIN','74','2020-09-11 02:42:23','2020-09-11 02:42:23');
INSERT INTO complaint_remarks VALUES('1038','1016','CUSTOMER NA MONDAY KO VISIT KA TIME DIAY HAIN','74','2020-09-11 21:10:58','2020-09-11 21:10:58');
INSERT INTO complaint_remarks VALUES('1039','299','TEMPARACHER KA MASLA THA VISORT HUAI THA LAKEN ISSUE SOLVED NAI HUAI','73','2020-09-12 00:20:04','2020-09-12 00:20:04');
INSERT INTO complaint_remarks VALUES('1040','1053','UNIT MAIN 2 TIME REFIL HOI HAIN BUT ISSUE RESOLVED NAI HO RAHA HAIER GROPU MAIN MEG FF KAR DIA HAIN','74','2020-09-12 00:52:07','2020-09-12 00:52:07');
INSERT INTO complaint_remarks VALUES('1041','845','khurram bhai  kal ic complanit pa visit karay gay','74','2020-09-12 01:20:36','2020-09-12 01:20:36');
INSERT INTO complaint_remarks VALUES('1042','840','monday ko company sa approval milay gei','74','2020-09-12 01:22:37','2020-09-12 01:22:37');
INSERT INTO complaint_remarks VALUES('1043','839','not attend call','74','2020-09-12 01:26:15','2020-09-12 01:26:15');
INSERT INTO complaint_remarks VALUES('1044','859','CUSTOMER SIDE SA CALL ATTEND NI HOI IC WAJA SA COMPLAINT PENDING','74','2020-09-12 02:15:24','2020-09-12 02:15:24');
INSERT INTO complaint_remarks VALUES('1045','859','AJ BAT KI MONDAY KA TIME DIA VISIT K LIYA','74','2020-09-12 02:15:51','2020-09-12 02:15:51');
INSERT INTO complaint_remarks VALUES('1046','866','COSTUMER KO VISIT K LYE CALL KI THI. . LEKIN COSTUMER NE TIME 8 BJY KA DIA THA, AAJ DOBARA TECHNICIAN CALL KAREIN GY','73','2020-09-12 19:32:58','2020-09-12 19:32:58');
INSERT INTO complaint_remarks VALUES('1047','1034','SCREEN DAMAGED HA. . COSTUMER NE VISIT NAI KARWAYA CHARGES KI WJA SE, OR KEH RY HAIN DAMAGED PRODUCT KO REPLACE KR K DO','73','2020-09-12 20:08:01','2020-09-12 20:08:01');
INSERT INTO complaint_remarks VALUES('1048','1014','not attend my call','74','2020-09-12 21:29:54','2020-09-12 21:29:54');
INSERT INTO complaint_remarks VALUES('1049','1013','exp ki waja sa customer na complaint khud sa cancel karwa di so complaint closed','74','2020-09-12 21:31:57','2020-09-12 21:31:57');
INSERT INTO complaint_remarks VALUES('1050','1012','COMPLAINT PA VISIT HO GAYA HAIN REF KAL S/C LA K GAY HAIN','74','2020-09-12 21:34:14','2020-09-12 21:34:14');
INSERT INTO complaint_remarks VALUES('1051','1008','VISIT TO DAY','74','2020-09-12 21:37:15','2020-09-12 21:37:15');
INSERT INTO complaint_remarks VALUES('1052','1004','COMPLAINT RESOLVED','74','2020-09-12 21:38:14','2020-09-12 21:38:14');
INSERT INTO complaint_remarks VALUES('1053','1003','COMPLAINT RESOLVED','74','2020-09-12 21:53:28','2020-09-12 21:53:28');
INSERT INTO complaint_remarks VALUES('1054','1001','COMPLAINT RESOLVED','74','2020-09-12 21:54:31','2020-09-12 21:54:31');
INSERT INTO complaint_remarks VALUES('1055','999','COMPLAINT PA VISIT HO GAY HAIN COMPRESSOR ISSUE HAIN REF TO S/C','74','2020-09-12 21:57:38','2020-09-12 21:57:38');
INSERT INTO complaint_remarks VALUES('1056','997','COMPLAINT RESOLVED','74','2020-09-12 21:58:57','2020-09-12 21:58:57');
INSERT INTO complaint_remarks VALUES('1057','995','COMPLAINT RESOLVED','74','2020-09-12 22:00:10','2020-09-12 22:00:10');
INSERT INTO complaint_remarks VALUES('1058','994','CUSTOMER KO ABI CONFIRM NAI 4 BAJY TAQ AGAIN CALL KARNI','74','2020-09-12 22:05:12','2020-09-12 22:05:12');
INSERT INTO complaint_remarks VALUES('1059','993','COMPLAINT RESOLVED','74','2020-09-12 22:08:39','2020-09-12 22:08:39');
INSERT INTO complaint_remarks VALUES('1060','992','COMPLAINT PA VISIT HO GAYA HAIN COMPLAINT RESOLVED','74','2020-09-12 22:10:41','2020-09-12 22:10:41');
INSERT INTO complaint_remarks VALUES('1061','991','COMPLAINT RESOLVED','74','2020-09-12 22:12:51','2020-09-12 22:12:51');
INSERT INTO complaint_remarks VALUES('1062','879','COMPLAINT RESOLVED','74','2020-09-12 22:13:43','2020-09-12 22:13:43');
INSERT INTO complaint_remarks VALUES('1063','878','complaint resolved(bhai k ghr ki complaint thi','74','2020-09-12 22:18:25','2020-09-12 22:18:25');
INSERT INTO complaint_remarks VALUES('1064','877','complaint resolved','74','2020-09-12 22:20:13','2020-09-12 22:20:13');
INSERT INTO complaint_remarks VALUES('1065','990','COMPLAINT SMART  ZOON K S/C MAIN HAIN YHA COMPLAINT','74','2020-09-12 22:23:43','2020-09-12 22:23:43');
INSERT INTO complaint_remarks VALUES('1066','990','PARTS DEMAND KIYA HOAN HAIN  MONDAY KO YHA COMPLAINT RESOLVED HO JAY GEI .
INFORMED BY CUSTOMER','74','2020-09-12 22:24:25','2020-09-12 22:24:25');
INSERT INTO complaint_remarks VALUES('1067','873','COMPLAINT RESOLVED','74','2020-09-12 22:29:31','2020-09-12 22:29:31');
INSERT INTO complaint_remarks VALUES('1068','871','COMPLAINT RESOLVED','74','2020-09-12 22:33:01','2020-09-12 22:33:01');
INSERT INTO complaint_remarks VALUES('1069','983','RANGE REPLACE HO GEI HAIN BUT IC MAIN B ISSUE AARHA','74','2020-09-12 22:41:37','2020-09-12 22:41:37');
INSERT INTO complaint_remarks VALUES('1070','980','NOT ATTEND CALL','74','2020-09-12 22:50:58','2020-09-12 22:50:58');
INSERT INTO complaint_remarks VALUES('1071','977','COMPLAINT RESOLVED','74','2020-09-12 22:52:31','2020-09-12 22:52:31');
INSERT INTO complaint_remarks VALUES('1072','881','NAEEM SAB KO REMINDER Da dia','74','2020-09-12 22:56:33','2020-09-12 22:56:33');
INSERT INTO complaint_remarks VALUES('1073','971','company walay drop kar gayh hain .
4 bajay again call kar  k feed back layna','74','2020-09-12 23:00:36','2020-09-12 23:00:36');
INSERT INTO complaint_remarks VALUES('1074','957','INTERNAL LEAKAGE HA UNIT. . SERVICE CENTRE LIFT HOGA OUT OF WARRANTY HA,COSTUMER AGREE NAHIIN PAYMENT K LYE... HAIER MEIN CANCEL HOI V COMPLAIN','73','2020-09-12 23:01:43','2020-09-12 23:01:43');
INSERT INTO complaint_remarks VALUES('1075','964','visit ho gaya hain card ka issue hain customer abi out off city hain monday ko confirm karay gay','74','2020-09-12 23:53:13','2020-09-12 23:53:13');
INSERT INTO complaint_remarks VALUES('1076','1072','COSTUMER SE BT HOI HA. . KEH RY HAIN ME NE VISIT NAI KARWA OR NA E YE MACHINE RKHNI HA, JIB RAN KO INFORM KR DIA HA, WO AB INFORM KRTY TO NEXT PROCEDURE KRTY','73','2020-09-12 23:54:39','2020-09-12 23:54:39');
INSERT INTO complaint_remarks VALUES('1077','958','complaint resolved','74','2020-09-12 23:59:04','2020-09-12 23:59:04');
INSERT INTO complaint_remarks VALUES('1078','940','parts ki waja sa delay complaint','74','2020-09-13 00:01:03','2020-09-13 00:01:03');
INSERT INTO complaint_remarks VALUES('1079','866','complaint pa visit ho gaya hain geyase s/c la k jana hain customer na','74','2020-09-13 00:04:50','2020-09-13 00:04:50');
INSERT INTO complaint_remarks VALUES('1080','929','not attend call','74','2020-09-13 00:19:05','2020-09-13 00:19:05');
INSERT INTO complaint_remarks VALUES('1081','889','customer ko visit k confirm nai hain call back karay gay','74','2020-09-13 01:13:31','2020-09-13 01:13:31');
INSERT INTO complaint_remarks VALUES('1082','888','complaint resolved again koi issue aay ga tu informed karay gay','74','2020-09-13 01:16:35','2020-09-13 01:16:35');
INSERT INTO complaint_remarks VALUES('1083','887','customer sa bat ho gei hain WAQAR KO B REMINDER DA DIYA HAIN MONDAY KO VISIT HAIN','74','2020-09-13 01:45:02','2020-09-13 01:45:02');
INSERT INTO complaint_remarks VALUES('1084','892','NO VISIT MONDAY TCL MAIN REMINDER DANA HAIN','74','2020-09-13 01:56:38','2020-09-13 01:56:38');
INSERT INTO complaint_remarks VALUES('1085','1057','RELAUNCH#PKRI200914104171','73','2020-09-14 20:48:45','2020-09-14 20:48:45');
INSERT INTO complaint_remarks VALUES('1086','983','CORONA MAIN AGAIN REMINDER DA DIA HAIN AJ','74','2020-09-14 20:59:23','2020-09-14 20:59:23');
INSERT INTO complaint_remarks VALUES('1087','928','COMPLAINT RESOLVED (GRN ASLAM SIR NA DA DIAW/M KI)','74','2020-09-14 21:02:55','2020-09-14 21:02:55');
INSERT INTO complaint_remarks VALUES('1088','926','COMPLAINT RESOLVED(ASLAM SAB NA GRN  KAR DIA W/M KI)','74','2020-09-14 21:05:53','2020-09-14 21:05:53');
INSERT INTO complaint_remarks VALUES('1089','922','AJ AGAIN CUSTOMER SA BAT HOI HAIN AGAIN VISIT HOA HAIN TECHNICIAN KO BOL K AAY HAIN K MOST RISER KI WAJA SA ISSUE AARHA HAIN MOSAM SAHI HO GA TU ISSUE RESOLVED HO JAY GA','74','2020-09-14 21:11:00','2020-09-14 21:11:00');
INSERT INTO complaint_remarks VALUES('1090','284','ALI SAB KO AJ AGAIN REMINDER DA DIA','74','2020-09-14 21:22:53','2020-09-14 21:22:53');
INSERT INTO complaint_remarks VALUES('1091','931','COMPLAINT RESOLVED','74','2020-09-14 21:24:44','2020-09-14 21:24:44');
INSERT INTO complaint_remarks VALUES('1092','929','COMPLAINT RESOLVED','74','2020-09-14 21:26:41','2020-09-14 21:26:41');
INSERT INTO complaint_remarks VALUES('1093','1067','D.O.P-10-APR-2018','74','2020-09-14 21:29:10','2020-09-14 21:29:10');
INSERT INTO complaint_remarks VALUES('1094','927','COMPLAINT RESOLVED (ASLAM SAB NA GRN KAR DI HAIN W/M KI','74','2020-09-14 21:30:22','2020-09-14 21:30:22');
INSERT INTO complaint_remarks VALUES('1095','924','S/C WORKING IN PROCESS','74','2020-09-14 21:32:29','2020-09-14 21:32:29');
INSERT INTO complaint_remarks VALUES('1096','917','NOT ATTEND CALL','74','2020-09-14 21:40:48','2020-09-14 21:40:48');
INSERT INTO complaint_remarks VALUES('1097','1055','COMPLAINT PA VISITR HO GAY HAIN CUSTOMER KO CALL PA GAID  KIYA COMPLAINT RESOLVED AGAIN ISSUE AAAY GA TU CONFIRM KARAY GAY','74','2020-09-14 21:48:14','2020-09-14 21:48:14');
INSERT INTO complaint_remarks VALUES('1098','913','0333-5731330 FAROOQ SAB CUSTOMER CALL ATTEND NAI KAR RAHAY THY IC WAJA SA DELAY COMPLAINT','74','2020-09-14 21:52:44','2020-09-14 21:52:44');
INSERT INTO complaint_remarks VALUES('1099','913','AJ FAROOQ SAB KA NO PROVIDE KAR K COMPLINT AGAIN REOPEND KARWAI','74','2020-09-14 21:53:32','2020-09-14 21:53:32');
INSERT INTO complaint_remarks VALUES('1100','1053','SENIOUR TECHNICIAN VISIT TO DAY ASIF GILL KO AGAIN REMINDER DA DIA HAIN ISSUE RESOLVED KARWANAY K LIYA','74','2020-09-14 22:03:05','2020-09-14 22:03:05');
INSERT INTO complaint_remarks VALUES('1101','1047','COMPLAINT RESOLVED','74','2020-09-14 22:06:24','2020-09-14 22:06:24');
INSERT INTO complaint_remarks VALUES('1102','266','STILL CALL ATTEND NAI KRRY','74','2020-09-14 22:23:34','2020-09-14 22:23:34');
INSERT INTO complaint_remarks VALUES('1103','617','costumer ne khud unit service centre le kr jana ha . .','74','2020-09-14 22:50:53','2020-09-14 22:50:53');
INSERT INTO complaint_remarks VALUES('1104','644','manufacturing fault. . ye unit ki manufacturing e aisi ha. . fins thori der bd uper chly jaty hain','74','2020-09-14 22:53:20','2020-09-14 22:53:20');
INSERT INTO complaint_remarks VALUES('1105','748','costumer still not attend the call','74','2020-09-14 22:56:34','2020-09-14 22:56:34');
INSERT INTO complaint_remarks VALUES('1106','863','card on demand','74','2020-09-14 23:13:28','2020-09-14 23:13:28');
INSERT INTO complaint_remarks VALUES('1107','876','complain resolved','74','2020-09-14 23:15:25','2020-09-14 23:15:25');
INSERT INTO complaint_remarks VALUES('1108','960','complain closed','74','2020-09-14 23:19:56','2020-09-14 23:19:56');
INSERT INTO complaint_remarks VALUES('1109','1031','complain resolved','74','2020-09-14 23:24:22','2020-09-14 23:24:22');
INSERT INTO complaint_remarks VALUES('1110','153','AGAIN VISIT HO GAY HAIN CARD DEMAND HAIN','73','2020-09-14 23:50:47','2020-09-14 23:50:47');
INSERT INTO complaint_remarks VALUES('1111','299','COMPRESSOR REPLACE KIYA HAIN TEMPERATURE MAINTAIN NI HO RAHA','73','2020-09-14 23:55:02','2020-09-14 23:55:02');
INSERT INTO complaint_remarks VALUES('1112','436','KOI VISI NAI HO AABI TAQ','73','2020-09-15 00:08:27','2020-09-15 00:08:27');
INSERT INTO complaint_remarks VALUES('1113','819','ABI TAQ S/C NA SET NAI AAY','74','2020-09-15 00:30:32','2020-09-15 00:30:32');
INSERT INTO complaint_remarks VALUES('1114','938','COMPLAINT PA VISIT HO GAY AHAIN TECHNICIAN BOL K AAY HAIN K MOSUM KI WAJA SA ISSUE AARHA HAIN KUCH DIN TAQ SAHI HO JAY GEI','74','2020-09-15 00:51:42','2020-09-15 00:51:42');
INSERT INTO complaint_remarks VALUES('1115','867','COMPLAINT RESOLVED','74','2020-09-15 01:21:19','2020-09-15 01:21:19');
INSERT INTO complaint_remarks VALUES('1116','866','CUSTOMER GEYSER S/C CHOR K AAY HAIN WORKING IN PROCESS','74','2020-09-15 01:25:41','2020-09-15 01:25:41');
INSERT INTO complaint_remarks VALUES('1117','865','S/C SA READY HO K DELVER HOA HAIN CUSTOMER KAL TAQ CONFIRM KARAY GAY','74','2020-09-15 01:28:49','2020-09-15 01:28:49');
INSERT INTO complaint_remarks VALUES('1118','825','CUSTOMER NA LOKAL TECHNICIAN SA COMPLAINT RESOLVED KARWA LI COMPLAINT CLOSED','74','2020-09-15 01:44:43','2020-09-15 01:44:43');
INSERT INTO complaint_remarks VALUES('1119','669','NOT ATTEND CALL','74','2020-09-15 02:18:40','2020-09-15 02:18:40');
INSERT INTO complaint_remarks VALUES('1120','669','CUSTOMER STILL CALL ATTEND NAI KAR RAHAY S/C SA STAUS CONFIRM KAR K COMPLAINT CLOSED KI','74','2020-09-15 02:21:02','2020-09-15 02:21:02');
INSERT INTO complaint_remarks VALUES('1121','786','NO AGAIN VISIT AGAIN REMINDER','74','2020-09-15 02:30:32','2020-09-15 02:30:32');
INSERT INTO complaint_remarks VALUES('1122','1060','tank aagay hain sajid sab ka pass hain khurram bhai ko informed kar dia hain','74','2020-09-15 19:45:46','2020-09-15 19:45:46');
INSERT INTO complaint_remarks VALUES('1123','117','WORKING IN PROCESS','92','2020-09-15 19:50:04','2020-09-15 19:50:04');
INSERT INTO complaint_remarks VALUES('1124','273','WORKING THE PROCESS','92','2020-09-15 20:16:59','2020-09-15 20:16:59');
INSERT INTO complaint_remarks VALUES('1125','286','CUSTOMER NA COMPLAINT LOCAL TECHNICIAN SA RESOLVED','74','2020-09-15 20:27:13','2020-09-15 20:27:13');
INSERT INTO complaint_remarks VALUES('1126','1088','ISB S/C MAIN REMINDER DA DIA HAIN AJ VISIT HO JATA S/C WALO NA# GHULTH NOTE KIYA HOA THA','74','2020-09-15 20:39:15','2020-09-15 20:39:15');
INSERT INTO complaint_remarks VALUES('1127','1087','CUSTOMER KO TECHNICIAN KI CALL AAGREI HAIN VISIT K LIYA VISIT TO DAY','74','2020-09-15 20:54:17','2020-09-15 20:54:17');
INSERT INTO complaint_remarks VALUES('1128','819','SET COMPANY S/C SA REDAY HO K WAPISE IMRAN SAB KA PASS AGEI COMPLAINT RESOLVED','74','2020-09-15 21:00:05','2020-09-15 21:00:05');
INSERT INTO complaint_remarks VALUES('1129','1086','tahir sab sa confirm kiya hain  aj yha issue resolve dho jay gei','74','2020-09-15 21:14:01','2020-09-15 21:14:01');
INSERT INTO complaint_remarks VALUES('1130','1085','CUSTOMER KO COMPANY SIDE SA CALL AGEI HAIN VISIT TO DAY','74','2020-09-15 21:40:39','2020-09-15 21:40:39');
INSERT INTO complaint_remarks VALUES('1131','1159','PTCL CALL','92','2020-09-15 23:51:25','2020-09-15 23:51:25');
INSERT INTO complaint_remarks VALUES('1132','1099','COMPLAINT PA KAL SHAM VISIT HO GAY HAIN CUSTOMER AJ CHEEKED KAR K KAL UP DATE KARAY GAY BAT HO GEI HAIN CUSTOMER SA','74','2020-09-15 23:54:57','2020-09-15 23:54:57');
INSERT INTO complaint_remarks VALUES('1133','971','complaint resolved','74','2020-09-16 00:08:32','2020-09-16 00:08:32');
INSERT INTO complaint_remarks VALUES('1134','964','ABI TAQ PARTS NAI AAY  PARTS KI WAJA SA DELAY COMPLAINT','74','2020-09-16 00:15:52','2020-09-16 00:15:52');
INSERT INTO complaint_remarks VALUES('1135','940','PARTS KI WAJA SA DELAY COMPLAINT','74','2020-09-16 00:20:34','2020-09-16 00:20:34');
INSERT INTO complaint_remarks VALUES('1136','933','REF S/C MAIN HAIN','74','2020-09-16 00:22:44','2020-09-16 00:22:44');
INSERT INTO complaint_remarks VALUES('1137','1078','TECHNICIAN ON ROUT JHLEM S/C YHA COMPLAINT ATTEND  KARWA RAHAY','74','2020-09-16 00:34:18','2020-09-16 00:34:18');
INSERT INTO complaint_remarks VALUES('1138','1078','COMPLAINT PA VISIT HO GAYA HAIN COMPRESSOR KA ISSUE HAIN CUSTOMER S/C LA K JAY GAY S/C','74','2020-09-16 00:34:58','2020-09-16 00:34:58');
INSERT INTO complaint_remarks VALUES('1139','1131','COMPLAINT RESOLVED','92','2020-09-16 00:38:04','2020-09-16 00:38:04');
INSERT INTO complaint_remarks VALUES('1140','20','unit ok ha. . kal tk despatch hojae ga','73','2020-09-16 01:45:05','2020-09-16 01:45:05');
INSERT INTO complaint_remarks VALUES('1141','104','new launch karwa di ha complain..','73','2020-09-16 01:48:50','2020-09-16 01:48:50');
INSERT INTO complaint_remarks VALUES('1142','196','relaunch complain','73','2020-09-16 01:52:12','2020-09-16 01:52:12');
INSERT INTO complaint_remarks VALUES('1143','1143','VISIT K LIYA CUSTOMER SA B BAT HO GEI HAIN # MOHSIN KO B REMINDER DA DIA','74','2020-09-16 01:53:43','2020-09-16 01:53:43');
INSERT INTO complaint_remarks VALUES('1144','248','remind karwa dia','73','2020-09-16 01:56:24','2020-09-16 01:56:24');
INSERT INTO complaint_remarks VALUES('1145','356','led mein koi fault nahin ha','73','2020-09-16 01:57:11','2020-09-16 01:57:11');
INSERT INTO complaint_remarks VALUES('1146','802','led replaced by dealer','73','2020-09-16 02:02:01','2020-09-16 02:02:01');
INSERT INTO complaint_remarks VALUES('1147','814','unit service centre lift hogi','73','2020-09-16 02:02:35','2020-09-16 02:02:35');
INSERT INTO complaint_remarks VALUES('1148','859','reminder de dia','73','2020-09-16 02:03:43','2020-09-16 02:03:43');
INSERT INTO complaint_remarks VALUES('1149','869','unit lifted to service centre','73','2020-09-16 02:04:11','2020-09-16 02:04:11');
INSERT INTO complaint_remarks VALUES('1150','892','remind karwa dia','73','2020-09-16 02:07:28','2020-09-16 02:07:28');
INSERT INTO complaint_remarks VALUES('1151','1069','complain resolved','73','2020-09-16 02:09:37','2020-09-16 02:09:37');
INSERT INTO complaint_remarks VALUES('1152','820','CUSTOMER STILL NOT ATTEND MY CALL','74','2020-09-16 02:16:34','2020-09-16 02:16:34');
INSERT INTO complaint_remarks VALUES('1153','1143','again remind in whattsapp group','73','2020-09-16 19:28:07','2020-09-16 19:28:07');
INSERT INTO complaint_remarks VALUES('1154','293','yha customer still call attend nai kar rahay na hamari  unit s/c la k aana hain  customer side sa delay complaint','74','2020-09-16 20:19:40','2020-09-16 20:19:40');
INSERT INTO complaint_remarks VALUES('1155','293','aj again customer sa bat hoi hain  wo payment pa agree ho gay hain waqar kenwood ko reminder da dia hain','74','2020-09-16 20:36:29','2020-09-16 20:36:29');
INSERT INTO complaint_remarks VALUES('1156','400','complaint resolved','74','2020-09-16 20:43:03','2020-09-16 20:43:03');
INSERT INTO complaint_remarks VALUES('1157','788','complaint resolved','74','2020-09-16 20:50:16','2020-09-16 20:50:16');
INSERT INTO complaint_remarks VALUES('1158','679','CUSTOMER STILL NOT ATTEND MY CALL NAEEM KENWOOD SA CONFIRM KIYA .
COMPLAINT PA VISIT HO GAY HAIN THERMOSTAT ADJUST KIYA ISSUE RESOLVED','74','2020-09-16 20:54:47','2020-09-16 20:54:47');
INSERT INTO complaint_remarks VALUES('1159','1057','COMPLAINT RESOLVED','74','2020-09-16 21:02:18','2020-09-16 21:02:18');
INSERT INTO complaint_remarks VALUES('1160','1060','CUSTOMER GEYSER FHSS BRANCH B DROP KAR K AAY HAIN','74','2020-09-16 21:05:36','2020-09-16 21:05:36');
INSERT INTO complaint_remarks VALUES('1161','1060','KHURRAM BHAI KO REMINDER DA DIA HAIN','74','2020-09-16 21:09:37','2020-09-16 21:09:37');
INSERT INTO complaint_remarks VALUES('1162','786','SPINNER MOTOR & WATER SEEL REPLACE HOI COMPLAINT RESOLVED','74','2020-09-16 21:15:24','2020-09-16 21:15:24');
INSERT INTO complaint_remarks VALUES('1163','840','AJ B CUSTOMER SA BAT HOI HAIN AJ APPROVAL MAIL JAY GEI  TU INFORMED KARY GAY','74','2020-09-16 21:21:40','2020-09-16 21:21:40');
INSERT INTO complaint_remarks VALUES('1164','1026','COMPLAINT RESOLVED','74','2020-09-16 21:23:26','2020-09-16 21:23:26');
INSERT INTO complaint_remarks VALUES('1165','820','CUSTOMER STILL CALL ATTEND  NAI KAR RAHAY HAIN  NAEEM KENWOOD SA STATUS CONFIRM KIYA .
COMPLAINT PA VISIT HO GAY HAIN COMPLAINT RESOLVED','74','2020-09-16 21:26:47','2020-09-16 21:26:47');
INSERT INTO complaint_remarks VALUES('1166','1030','NOT ATTEND CALL','74','2020-09-16 21:38:17','2020-09-16 21:38:17');
INSERT INTO complaint_remarks VALUES('1167','254','CUSTOMER CALL ATTEND NAI KAR RAHAY COMPLAINT CLOSED','74','2020-09-16 21:42:49','2020-09-16 21:42:49');
INSERT INTO complaint_remarks VALUES('1168','999','COMPLAINT RESOLVED','73','2020-09-17 00:00:50','2020-09-17 00:00:50');
INSERT INTO complaint_remarks VALUES('1169','979','W/M S/C MAIN READY HAIN AJ 4 BAJAY DILVER HO JAY GEI CUSTOMER KO B INFORMED KAR DIA HAIN BILL KOI NAI HAIN 6000 LG S/C WALO NA RENTED KARNA HAIN','73','2020-09-17 00:18:59','2020-09-17 00:18:59');
INSERT INTO complaint_remarks VALUES('1170','1152','VISIT TO DAY INFORMED BY CUSTOMER','74','2020-09-17 20:58:55','2020-09-17 20:58:55');
INSERT INTO complaint_remarks VALUES('1171','1164','COMPLAINT RESOLVED','74','2020-09-17 21:04:57','2020-09-17 21:04:57');
INSERT INTO complaint_remarks VALUES('1172','1147','COMPLAINT PA VISIT HO GAY HAIN  FREEZER KA PART DEMAND KIYA HOA HAIN NEXT WEEK  KA TIME DIA CUSTOMER KO','74','2020-09-17 21:07:39','2020-09-17 21:07:39');
INSERT INTO complaint_remarks VALUES('1173','47','UNIT S/C MAIM READY HAIN ASLAM SIR NA PICK KARWANA HAIN','74','2020-09-17 21:13:06','2020-09-17 21:13:06');
INSERT INTO complaint_remarks VALUES('1174','1137','BAT HO GEI CUSTOMER SA KAL UN K CELL KI BATTERY DADED HO GEI THI','74','2020-09-17 21:16:42','2020-09-17 21:16:42');
INSERT INTO complaint_remarks VALUES('1175','1199','COMPLAINT#PKRI-200917107295','74','2020-09-17 23:23:10','2020-09-17 23:23:10');
INSERT INTO complaint_remarks VALUES('1176','1198','COMPLAINT#PKRI 200917107316','74','2020-09-17 23:24:28','2020-09-17 23:24:28');
INSERT INTO complaint_remarks VALUES('1177','1188','COMPLAINT#PKRI-200917107369','74','2020-09-17 23:27:05','2020-09-17 23:27:05');
INSERT INTO complaint_remarks VALUES('1178','1209','COMPLAINT CLOSED','74','2020-09-17 23:55:38','2020-09-17 23:55:38');
INSERT INTO complaint_remarks VALUES('1179','1182','COMPLAINT#PKRI-200917108232','74','2020-09-18 00:04:50','2020-09-18 00:04:50');
INSERT INTO complaint_remarks VALUES('1180','1181','COMPLAINT#47793','74','2020-09-18 00:30:17','2020-09-18 00:30:17');
INSERT INTO complaint_remarks VALUES('1181','1107','ASSAN SIR SAY BAT HUAI THI UNO NAY KHA THA SIR SAY BAT KAR K CONTACT KARUN GA LAKEN CONTACT NAI KEYA','92','2020-09-18 01:16:15','2020-09-18 01:16:15');
INSERT INTO complaint_remarks VALUES('1182','1161','COMPLAINT PA VISIT HO GAYA HAIN','74','2020-09-18 01:16:28','2020-09-18 01:16:28');
INSERT INTO complaint_remarks VALUES('1183','1078','REFRIGERATOR SERVICE CENTER BAJH DEYA HAY MONDAY KO THEAK HO GA','92','2020-09-18 01:20:18','2020-09-18 01:20:18');
INSERT INTO complaint_remarks VALUES('1184','1080','COMPLAINT RESOLVED','92','2020-09-18 01:23:24','2020-09-18 01:23:24');
INSERT INTO complaint_remarks VALUES('1185','1060','NOT ATTEND CALL','92','2020-09-18 01:36:21','2020-09-18 01:36:21');
INSERT INTO complaint_remarks VALUES('1186','1038','REPLACE KARWA DAYN','92','2020-09-18 01:55:14','2020-09-18 01:55:14');
INSERT INTO complaint_remarks VALUES('1187','1008','COMPLAINT RESOLVED','92','2020-09-18 02:01:46','2020-09-18 02:01:46');
INSERT INTO complaint_remarks VALUES('1188','994','COMPLAINT NOT RESOLVED','92','2020-09-18 02:04:57','2020-09-18 02:04:57');
INSERT INTO complaint_remarks VALUES('1189','980','NOT ATTEND CALL','92','2020-09-18 02:10:26','2020-09-18 02:10:26');
INSERT INTO complaint_remarks VALUES('1190','935','COMPLAINT NOT RESOLVED','92','2020-09-18 02:19:39','2020-09-18 02:19:39');
INSERT INTO complaint_remarks VALUES('1191','883','SERVICE WALAY AY THAY THEAK KAR GAY HAY MANAY CHECK NAI KIYA CHECK KAR K BATA HUN','92','2020-09-18 02:26:28','2020-09-18 02:26:28');
INSERT INTO complaint_remarks VALUES('1192','492','NOT ATTEND CALL','92','2020-09-18 02:31:47','2020-09-18 02:31:47');
INSERT INTO complaint_remarks VALUES('1193','599','COMPLAINT RESOLVED','92','2020-09-18 02:37:00','2020-09-18 02:37:00');
INSERT INTO complaint_remarks VALUES('1194','710','CALL NOT ATTEND','92','2020-09-18 02:45:27','2020-09-18 02:45:27');
INSERT INTO complaint_remarks VALUES('1195','1096','NOT ATTEND CALL','92','2020-09-18 02:59:33','2020-09-18 02:59:33');
INSERT INTO complaint_remarks VALUES('1196','1045','COMPLAINT RESOLVED','74','2020-09-18 20:58:05','2020-09-18 20:58:05');
INSERT INTO complaint_remarks VALUES('1197','1202','COMPLAINT#R.W.P-14781','74','2020-09-18 20:58:36','2020-09-18 20:58:36');
INSERT INTO complaint_remarks VALUES('1198','1200','COMPLAINT# R.W.P-14782','74','2020-09-18 20:59:59','2020-09-18 20:59:59');
INSERT INTO complaint_remarks VALUES('1199','1043','COMPLAINT RESOLVED','74','2020-09-18 21:04:18','2020-09-18 21:04:18');
INSERT INTO complaint_remarks VALUES('1200','1038','COMPLAINT PA VISIT HO GAY HAIN RANGE PA DENT HAIN CUSTOMER RANGE REPLACE KARNAY KI DEMAND KAR RAHAY HAIN','74','2020-09-18 21:16:14','2020-09-18 21:16:14');
INSERT INTO complaint_remarks VALUES('1201','1035','NO VISIT  COMPANY REMINDER','74','2020-09-18 21:37:10','2020-09-18 21:37:10');
INSERT INTO complaint_remarks VALUES('1202','1228','COMPLAINT#14787','74','2020-09-18 21:56:58','2020-09-18 21:56:58');
INSERT INTO complaint_remarks VALUES('1203','1229','COMPLAINT#14788','74','2020-09-18 21:57:23','2020-09-18 21:57:23');
INSERT INTO complaint_remarks VALUES('1204','1110','NOT ATTEND CALL','74','2020-09-18 22:06:12','2020-09-18 22:06:12');
INSERT INTO complaint_remarks VALUES('1205','1111','COMPLAINT RESOLVED','74','2020-09-18 22:06:59','2020-09-18 22:06:59');
INSERT INTO complaint_remarks VALUES('1206','1112','COMPLAINT PA VISIT HO GAY HAIN CUSTOMER CHEEKED KAR K MONDAY KO UP DATE KARAY GAY','74','2020-09-18 22:10:14','2020-09-18 22:10:14');
INSERT INTO complaint_remarks VALUES('1207','1115','COMPLAINT RESOLVED','74','2020-09-18 22:11:02','2020-09-18 22:11:02');
INSERT INTO complaint_remarks VALUES('1208','1061','COMPLAINT RESOLVED','74','2020-09-18 22:13:09','2020-09-18 22:13:09');
INSERT INTO complaint_remarks VALUES('1209','1105','COMPLAINT RESOLVED','74','2020-09-18 22:19:41','2020-09-18 22:19:41');
INSERT INTO complaint_remarks VALUES('1210','1040','LHR WALO NA CUSTOMER SA JUST CALLPA BAT KI HAIN','74','2020-09-18 22:20:26','2020-09-18 22:20:26');
INSERT INTO complaint_remarks VALUES('1211','1040','VISIT NAI HOA .
CUSTOMER KO LHR S/C KA ADD DANA HAIN','74','2020-09-18 22:21:15','2020-09-18 22:21:15');
INSERT INTO complaint_remarks VALUES('1212','1122','COMPLAINT RESOLVED','74','2020-09-18 22:23:55','2020-09-18 22:23:55');
INSERT INTO complaint_remarks VALUES('1213','1034','COMPLAINT PA VISIT HO GAY HAIN SCREEN DAMAGE HAIN YASIER SAB KO INFORMED KAR DIA','74','2020-09-18 22:29:10','2020-09-18 22:29:10');
INSERT INTO complaint_remarks VALUES('1214','1120','COMPLAINT RESOLVED','74','2020-09-18 22:32:41','2020-09-18 22:32:41');
INSERT INTO complaint_remarks VALUES('1215','1162','CUSTOMER NA REF EXCHANGE KARWA LIYA COMPLAINT CLOSED','74','2020-09-18 23:05:46','2020-09-18 23:05:46');
INSERT INTO complaint_remarks VALUES('1216','1163','COMPLAINT RESOLVED','74','2020-09-18 23:10:38','2020-09-18 23:10:38');
INSERT INTO complaint_remarks VALUES('1217','1155','CUSTOMER NA VISIT K LIYA SATURDAY KA TIME DIA HAIN','74','2020-09-18 23:14:42','2020-09-18 23:14:42');
INSERT INTO complaint_remarks VALUES('1218','1153','UNIT S/C LA KGAY HAIN 3  DIN PHALAY','74','2020-09-18 23:15:50','2020-09-18 23:15:50');
INSERT INTO complaint_remarks VALUES('1219','1153','S/C WORKING IN PROCESS','74','2020-09-18 23:16:34','2020-09-18 23:16:34');
INSERT INTO complaint_remarks VALUES('1220','1145','COMPLAINT RESOLVED','74','2020-09-18 23:18:56','2020-09-18 23:18:56');
INSERT INTO complaint_remarks VALUES('1221','1143','NOT ATTEND CALL','74','2020-09-18 23:22:11','2020-09-18 23:22:11');
INSERT INTO complaint_remarks VALUES('1222','1136','COMPLAINT RESOLVED','74','2020-09-18 23:29:41','2020-09-18 23:29:41');
INSERT INTO complaint_remarks VALUES('1223','1139','COMPLAINT PA VISIT HO GAY HAIN  PCB CARD LA K GAY HAIN S/C','74','2020-09-18 23:39:58','2020-09-18 23:39:58');
INSERT INTO complaint_remarks VALUES('1224','1135','COMPLAINT PA AIK VIIST HO GAY HAIN PARTS LAGNA HAIN KAL KA TIME DA K GAY HAIN  CUSTOMER KO','74','2020-09-18 23:41:25','2020-09-18 23:41:25');
INSERT INTO complaint_remarks VALUES('1225','1134','COMPLAINT PA VISIT HO GAY HAIN COMPLAINT CLOSED','74','2020-09-18 23:43:34','2020-09-18 23:43:34');
INSERT INTO complaint_remarks VALUES('1226','1132','COMPLAINT RESOLVED','74','2020-09-18 23:44:55','2020-09-18 23:44:55');
INSERT INTO complaint_remarks VALUES('1227','1130','NOT ATTEND CALL','74','2020-09-18 23:52:22','2020-09-18 23:52:22');
INSERT INTO complaint_remarks VALUES('1228','1128','COMPLAINT RESOLVED','74','2020-09-18 23:53:59','2020-09-18 23:53:59');
INSERT INTO complaint_remarks VALUES('1229','1127','CUSTOMER KO ISSUE KHUD SA RESOLVED HO GAYA NO VISIT COMPLAINT RESOLVED','74','2020-09-18 23:55:41','2020-09-18 23:55:41');
INSERT INTO complaint_remarks VALUES('1230','1126','NOT ATTEND CALL','74','2020-09-18 23:57:30','2020-09-18 23:57:30');
INSERT INTO complaint_remarks VALUES('1231','1124','THERMOSTAT ADJUST KIYA COMPLAINT RESOLVED','74','2020-09-19 00:08:56','2020-09-19 00:08:56');
INSERT INTO complaint_remarks VALUES('1232','1124','033-5311296','74','2020-09-19 00:09:22','2020-09-19 00:09:22');
INSERT INTO complaint_remarks VALUES('1233','1125','BULB DEMAND .
NEXT WEEK TAQ AAY GA','74','2020-09-19 00:14:19','2020-09-19 00:14:19');
INSERT INTO complaint_remarks VALUES('1234','1123','COMPLAINT  RESOLVED','74','2020-09-19 00:16:04','2020-09-19 00:16:04');
INSERT INTO complaint_remarks VALUES('1235','1121','COMPANY SIDE SA VISIT K LIYA CALL AAI THI BUT SET MAIN ABI KOI ISSUE NAI AAY CUSTOMER KAL TAQ CONFIRM KARAY GAY','74','2020-09-19 00:18:48','2020-09-19 00:18:48');
INSERT INTO complaint_remarks VALUES('1236','1119','COMPLAINT RESOLVED','74','2020-09-19 00:20:06','2020-09-19 00:20:06');
INSERT INTO complaint_remarks VALUES('1237','1118','COMPLAINT RESOLVED','74','2020-09-19 00:21:31','2020-09-19 00:21:31');
INSERT INTO complaint_remarks VALUES('1238','1110','COMPLAINT RESOLVED','74','2020-09-19 00:23:54','2020-09-19 00:23:54');
INSERT INTO complaint_remarks VALUES('1239','1108','CUSTOMER NA TECHNICIAN KI CALL ATTEND NAI KI .
ADNAN TECHNICIAN KO AJ AGAIN MEG PA REMINDER DIA HAIN KAL VISIT HO GA CUSTOMER KO INFORMED KAR DAI ADNAN TECHNICIAN KA NO B PROVIDE KAR DIA','74','2020-09-19 00:49:45','2020-09-19 00:49:45');
INSERT INTO complaint_remarks VALUES('1240','1218','COMPLAINT#1048826','74','2020-09-19 01:56:40','2020-09-19 01:56:40');
INSERT INTO complaint_remarks VALUES('1241','1220','COMPLAINT#1048327','74','2020-09-19 01:57:47','2020-09-19 01:57:47');
INSERT INTO complaint_remarks VALUES('1242','777','UNIT S/C SA OK HO K KAL DELVER HOA UNIT MAIN KOI ISSUE NAI HAIN','74','2020-09-19 02:16:58','2020-09-19 02:16:58');
INSERT INTO complaint_remarks VALUES('1243','777','CUSTOMER K GHR CANCELLED PIPPING HOI V INSTALLER FAULT HAIN  NAVEED SAB KO B INFORMED KAR DIA','74','2020-09-19 02:17:57','2020-09-19 02:17:57');
INSERT INTO complaint_remarks VALUES('1244','1126','AIK VISIT HO GAY BUT ISSUE RESOLVED NI HOA AGAIN COMPLAINT REOPENED','74','2020-09-19 02:47:20','2020-09-19 02:47:20');
INSERT INTO complaint_remarks VALUES('1245','1183','COMPLAINT#FF KEN WOOD UN #','74','2020-09-19 19:18:10','2020-09-19 19:18:10');
INSERT INTO complaint_remarks VALUES('1246','814','CUSTOMER KA ISSUE RESOLVED  HO GAY HAIN COMPLAINT CLOSED','74','2020-09-19 19:48:47','2020-09-19 19:48:47');
INSERT INTO complaint_remarks VALUES('1247','884','USMAN MRM K PASS PARTS AAGAY HAIN .CUSTOMER SA BAT HOI HAIN USMAN SAB KI WO ABI PESHWAR HAIN WAPISE AA K USMAN SAB SA CONTACT KARAY GAY','74','2020-09-19 20:53:43','2020-09-19 20:53:43');
INSERT INTO complaint_remarks VALUES('1248','1071','COMPLAINT RESOLVED','92','2020-09-19 21:21:13','2020-09-19 21:21:13');
INSERT INTO complaint_remarks VALUES('1249','1041','ABI VISOT KARNAY AY HAY','92','2020-09-19 21:35:07','2020-09-19 21:35:07');
INSERT INTO complaint_remarks VALUES('1250','1038','COMPLAINT RESOLVED','92','2020-09-19 21:37:01','2020-09-19 21:37:01');
INSERT INTO complaint_remarks VALUES('1251','151','NOT ATTEND CALL','92','2020-09-19 22:10:35','2020-09-19 22:10:35');
INSERT INTO complaint_remarks VALUES('1252','938','COMPLAINT COMPLETED','92','2020-09-21 20:07:34','2020-09-21 20:07:34');
INSERT INTO complaint_remarks VALUES('1253','1234','NOT VISOT COMPLAINT','92','2020-09-21 20:39:37','2020-09-21 20:39:37');
INSERT INTO complaint_remarks VALUES('1254','1212','NOT VISOT','92','2020-09-21 21:48:22','2020-09-21 21:48:22');
INSERT INTO complaint_remarks VALUES('1255','1208','CUSTOMAR  KARAHA HAY AJ KA BOLA HAY VISOT K LEAY','92','2020-09-21 21:57:03','2020-09-21 21:57:03');
INSERT INTO complaint_remarks VALUES('1256','1178','NOT ATTEND CALL','92','2020-09-21 22:27:28','2020-09-21 22:27:28');
INSERT INTO complaint_remarks VALUES('1257','1176','NOT ATTEND CALL','92','2020-09-21 22:32:47','2020-09-21 22:32:47');
INSERT INTO complaint_remarks VALUES('1258','1170','COMPLAINT PAR VISOT NAI HUA','92','2020-09-21 22:53:20','2020-09-21 22:53:20');
INSERT INTO complaint_remarks VALUES('1259','1167','NOT ATTEND CALL','92','2020-09-21 23:14:26','2020-09-21 23:14:26');
INSERT INTO complaint_remarks VALUES('1260','1158','NOT ATTEND CALL','92','2020-09-21 23:26:02','2020-09-21 23:26:02');
INSERT INTO complaint_remarks VALUES('1261','1108','COMPLAINT RESOLVED','74','2020-09-21 23:34:31','2020-09-21 23:34:31');
INSERT INTO complaint_remarks VALUES('1262','1088','NOT ATTEND CALL','92','2020-09-22 01:13:04','2020-09-22 01:13:04');
INSERT INTO complaint_remarks VALUES('1263','810','NOT ATTEND CALL','92','2020-09-22 01:37:49','2020-09-22 01:37:49');
INSERT INTO complaint_remarks VALUES('1264','104','NOT ATTEND CALL','92','2020-09-22 01:46:49','2020-09-22 01:46:49');
INSERT INTO complaint_remarks VALUES('1265','1234','MOHSIN SAB SA CONFOSTOMER KO B INFORMED KAR DIA','74','2020-09-22 01:49:22','2020-09-22 01:49:22');
INSERT INTO complaint_remarks VALUES('1266','248','VISIOT K LEAY AY THAY 2DIN PALAY KUCH DIN BAD AP KO CONTACT KARAY GAY','92','2020-09-22 01:53:27','2020-09-22 01:53:27');
INSERT INTO complaint_remarks VALUES('1267','1167','CUSTOMER CALL ATTEND NAI KAR RAHY THY TECHNICIAN KI IC WAJA SA COMPLAINT PENDING KAL VISIT H JAY GA TAHIR TECHNICIAN KO B INFORMED KAR DIA.0332-5472776','74','2020-09-22 02:09:05','2020-09-22 02:09:05');
INSERT INTO complaint_remarks VALUES('1268','1130','NOT ATTEND CALL','92','2020-09-22 02:21:14','2020-09-22 02:21:14');
INSERT INTO complaint_remarks VALUES('1269','1235','NOT ATTEND CALL','92','2020-09-22 02:31:22','2020-09-22 02:31:22');
INSERT INTO complaint_remarks VALUES('1270','1237','ISSUE NOT RESOLVED','92','2020-09-22 02:48:57','2020-09-22 02:48:57');
INSERT INTO complaint_remarks VALUES('1271','1281','NOT ATTEND CALL','92','2020-09-22 18:56:00','2020-09-22 18:56:00');
INSERT INTO complaint_remarks VALUES('1272','1277','AJ 12 BAJAY K BAD VISOT HO GA','92','2020-09-22 18:59:39','2020-09-22 18:59:39');
INSERT INTO complaint_remarks VALUES('1273','1246','NOT VISOT TO COMPLAINT','92','2020-09-22 19:11:49','2020-09-22 19:11:49');
INSERT INTO complaint_remarks VALUES('1274','1245','NOT ATTEND CALL','92','2020-09-22 19:14:31','2020-09-22 19:14:31');
INSERT INTO complaint_remarks VALUES('1275','1233','NOT ATTEND CALL','92','2020-09-22 19:33:31','2020-09-22 19:33:31');
INSERT INTO complaint_remarks VALUES('1276','1239','NO VISIT','74','2020-09-22 19:38:33','2020-09-22 19:38:33');
INSERT INTO complaint_remarks VALUES('1277','1148','COMPLAINT RESOLVED','74','2020-09-22 20:21:01','2020-09-22 20:21:01');
INSERT INTO complaint_remarks VALUES('1278','1146','COMPLAINT RESOLVED','74','2020-09-22 20:25:50','2020-09-22 20:25:50');
INSERT INTO complaint_remarks VALUES('1279','1212','AHMED BEHIRA YHA COMPLAINT ATTEND KARAY GAY','74','2020-09-22 20:30:19','2020-09-22 20:30:19');
INSERT INTO complaint_remarks VALUES('1280','1139','KAL AGAIN VISIT HOA HAIN PART LA K GAY HAIN','74','2020-09-22 20:31:03','2020-09-22 20:31:03');
INSERT INTO complaint_remarks VALUES('1281','1281','COMPLAINT PA VISIT HO GAY HAIN TYB ADJUSTMENT  HOI BUT ISSUE RESOLVED NAI HOA AGAIN VISIT KI REQUEST FF KARWA DI','74','2020-09-22 20:37:44','2020-09-22 20:37:44');
INSERT INTO complaint_remarks VALUES('1282','1177','NOT VISOT TO COMPLAINT','92','2020-09-22 21:04:43','2020-09-22 21:04:43');
INSERT INTO complaint_remarks VALUES('1283','903','KHURRAM SAB KI BAT HOI HAIN SHOWROOM PA VISIT KARWA RAHAY HAIN','74','2020-09-22 21:06:37','2020-09-22 21:06:37');
INSERT INTO complaint_remarks VALUES('1284','1230','0300-9551589','74','2020-09-22 21:14:49','2020-09-22 21:14:49');
INSERT INTO complaint_remarks VALUES('1285','1169','VISOT HO GAYA HAY CUSTOMAR KAL TAK INFOAM KARAY GAY','92','2020-09-22 21:19:15','2020-09-22 21:19:15');
INSERT INTO complaint_remarks VALUES('1286','1158','NOT VISOT TO COMPLAINT','92','2020-09-22 21:45:56','2020-09-22 21:45:56');
INSERT INTO complaint_remarks VALUES('1287','1153','NOT ATTEND CALL','92','2020-09-22 21:56:04','2020-09-22 21:56:04');
INSERT INTO complaint_remarks VALUES('1288','1230','VISIT TO DAY','74','2020-09-22 22:13:21','2020-09-22 22:13:21');
INSERT INTO complaint_remarks VALUES('1289','1278','AJ VISOT HO GA','92','2020-09-22 22:16:02','2020-09-22 22:16:02');
INSERT INTO complaint_remarks VALUES('1290','1099','1 HOURS K BAD CALL KAREAY GA','92','2020-09-22 22:23:33','2020-09-22 22:23:33');
INSERT INTO complaint_remarks VALUES('1291','1276','NOT ATTEND CALL','92','2020-09-22 22:33:26','2020-09-22 22:33:26');
INSERT INTO complaint_remarks VALUES('1292','885','AJ VISOT HO GA','92','2020-09-22 23:16:09','2020-09-22 23:16:09');
INSERT INTO complaint_remarks VALUES('1293','1153','UNIT S/C MAIN HAIN WORKING IN PROCESS','74','2020-09-22 23:26:42','2020-09-22 23:26:42');
INSERT INTO complaint_remarks VALUES('1294','1267','COMPLAINT RESOLVED','74','2020-09-22 23:45:44','2020-09-22 23:45:44');
INSERT INTO complaint_remarks VALUES('1295','1223','VISIT TO DAY CUSTOMER KO B INFORMED KAR DIA HAIN','74','2020-09-23 00:11:51','2020-09-23 00:11:51');
INSERT INTO complaint_remarks VALUES('1296','1282','AJ VISOT HOGA','92','2020-09-23 00:13:50','2020-09-23 00:13:50');
INSERT INTO complaint_remarks VALUES('1297','1262','VISIT TO DAY','74','2020-09-23 01:06:31','2020-09-23 01:06:31');
INSERT INTO complaint_remarks VALUES('1298','1088','COSTAMOR OUT OF CITY HAY','92','2020-09-23 01:19:15','2020-09-23 01:19:15');
INSERT INTO complaint_remarks VALUES('1299','1262','AJ 7 PM BAJAY VISOT HO GA','92','2020-09-23 01:21:25','2020-09-23 01:21:25');
INSERT INTO complaint_remarks VALUES('1300','885','WARRANTY CARD APPLAY KAR DIA HAIN REF #05-09-20-1 10-TO 15 DAY LAGAY GAY .','74','2020-09-23 01:25:01','2020-09-23 01:25:01');
INSERT INTO complaint_remarks VALUES('1301','1246','VISIT TO DAY INFORMED BY CUSTOMER','74','2020-09-23 01:34:56','2020-09-23 01:34:56');
INSERT INTO complaint_remarks VALUES('1302','1291','KAL VISOT HO JAY GA','92','2020-09-23 01:59:11','2020-09-23 01:59:11');
INSERT INTO complaint_remarks VALUES('1303','1290','KAL VISOT HO JAY GA','92','2020-09-23 02:01:49','2020-09-23 02:01:49');
INSERT INTO complaint_remarks VALUES('1304','1258','LG MAIN VISIT K LIYA REMINDER DA DIA  CUSTOMER KO B INFORMED KAR DIA','74','2020-09-23 02:11:39','2020-09-23 02:11:39');
INSERT INTO complaint_remarks VALUES('1305','1035','NOT VISOT TO COMPLAINT','92','2020-09-23 02:28:18','2020-09-23 02:28:18');
INSERT INTO complaint_remarks VALUES('1306','577','REMINDER DA DIA HAIN','74','2020-09-23 03:12:51','2020-09-23 03:12:51');
INSERT INTO complaint_remarks VALUES('1307','1073','NOT ATTEND CALL','92','2020-09-23 19:43:52','2020-09-23 19:43:52');
INSERT INTO complaint_remarks VALUES('1308','1310','AJ VISOT HO GA','92','2020-09-23 20:14:02','2020-09-23 20:14:02');
INSERT INTO complaint_remarks VALUES('1309','1264','ISSUE PHER SAY ARAHA HAY','92','2020-09-23 20:46:21','2020-09-23 20:46:21');
INSERT INTO complaint_remarks VALUES('1310','1259','NOT ATTEND CALL','92','2020-09-23 20:52:15','2020-09-23 20:52:15');
INSERT INTO complaint_remarks VALUES('1311','1242','NOT ATTEND CALL','92','2020-09-23 21:05:51','2020-09-23 21:05:51');
INSERT INTO complaint_remarks VALUES('1312','1232','NOT VISOT TO COMPLAINT','92','2020-09-23 21:23:13','2020-09-23 21:23:13');
INSERT INTO complaint_remarks VALUES('1313','1230','NOT ATTEND CALL','92','2020-09-23 21:26:55','2020-09-23 21:26:55');
INSERT INTO complaint_remarks VALUES('1314','117','confirm kr k inform karein gy.','73','2020-09-23 22:50:39','2020-09-23 22:50:39');
INSERT INTO complaint_remarks VALUES('1315','229','ye service centre le kr jany k lye agree nahin ha. . ref to service centre','73','2020-09-23 22:54:39','2020-09-23 22:54:39');
INSERT INTO complaint_remarks VALUES('1316','234','ye call attend nai krry','73','2020-09-23 22:57:37','2020-09-23 22:57:37');
INSERT INTO complaint_remarks VALUES('1317','458','costumer not attending the call','73','2020-09-23 23:15:00','2020-09-23 23:15:00');
INSERT INTO complaint_remarks VALUES('1318','459','costumer ko call chli gae ha service centre se, visit aaj 2bara karein gy','73','2020-09-23 23:16:45','2020-09-23 23:16:45');
INSERT INTO complaint_remarks VALUES('1319','652','still not resolved complaint, pending','73','2020-09-23 23:22:37','2020-09-23 23:22:37');
INSERT INTO complaint_remarks VALUES('1320','710','still not resolved complaint, pending','73','2020-09-23 23:26:16','2020-09-23 23:26:16');
INSERT INTO complaint_remarks VALUES('1321','810','costumer confirm kr k inform karein gy','73','2020-09-23 23:29:09','2020-09-23 23:29:09');
INSERT INTO complaint_remarks VALUES('1322','913','costumer ne fridge replace karwa k kenwood le lia ha','73','2020-09-23 23:33:48','2020-09-23 23:33:48');
INSERT INTO complaint_remarks VALUES('1323','237','CARD AVAIL HAIN EXP 16500 HAIN CUSTOMER KO INFORMED KAR DIYA HAIN BUT CUSTOMER NA ABI TAQ KOI APPROVAL NAI DI ZAHID SAB KO B INFORMED KAR DIA COMPLAINT OUT OFF WARRANTY HAIN','74','2020-09-23 23:35:53','2020-09-23 23:35:53');
INSERT INTO complaint_remarks VALUES('1324','964','costumer ne call attend nahin ki..','73','2020-09-23 23:36:50','2020-09-23 23:36:50');
INSERT INTO complaint_remarks VALUES('1325','1070','costumer not attend the call','73','2020-09-23 23:38:12','2020-09-23 23:38:12');
INSERT INTO complaint_remarks VALUES('1326','1099','call attend nai krry.','73','2020-09-23 23:39:45','2020-09-23 23:39:45');
INSERT INTO complaint_remarks VALUES('1327','1125','costumer ne call attend nahin ki. .','73','2020-09-23 23:41:12','2020-09-23 23:41:12');
INSERT INTO complaint_remarks VALUES('1328','361','new complaint#pkri200923108894','73','2020-09-24 00:15:19','2020-09-24 00:15:19');
INSERT INTO complaint_remarks VALUES('1329','404','costumer not attend the call','73','2020-09-24 00:26:15','2020-09-24 00:26:15');
INSERT INTO complaint_remarks VALUES('1330','1290','AJ VISOT HUA THA LAKEN ISSUE RESOLVED NAI HUA KAL DUBARA VISOT KARAY GAY','92','2020-09-24 00:28:41','2020-09-24 00:28:41');
INSERT INTO complaint_remarks VALUES('1331','430','costumer bzy hain. . bd mein call back karein gy','73','2020-09-24 00:28:49','2020-09-24 00:28:49');
INSERT INTO complaint_remarks VALUES('1332','453','costumer not attend call','73','2020-09-24 00:38:40','2020-09-24 00:38:40');
INSERT INTO complaint_remarks VALUES('1333','738','not attend the call','73','2020-09-24 00:43:49','2020-09-24 00:43:49');
INSERT INTO complaint_remarks VALUES('1334','1307','costumer ko inform kr dia ha, k unit service centre bijhwa dein','73','2020-09-24 00:53:53','2020-09-24 00:53:53');
INSERT INTO complaint_remarks VALUES('1335','1195','NOT ATTEND CALL','92','2020-09-24 01:09:23','2020-09-24 01:09:23');
INSERT INTO complaint_remarks VALUES('1336','1072','costumer ne unit replaced karwa lia ha','73','2020-09-24 01:31:21','2020-09-24 01:31:21');
INSERT INTO complaint_remarks VALUES('1337','1078','company mein part demand kia hwa ha... layer ka masla ha','73','2020-09-24 01:33:46','2020-09-24 01:33:46');
INSERT INTO complaint_remarks VALUES('1338','1126','not attend the call','73','2020-09-24 01:39:54','2020-09-24 01:39:54');
INSERT INTO complaint_remarks VALUES('1339','1245','not attend the call','73','2020-09-24 01:42:00','2020-09-24 01:42:00');
INSERT INTO complaint_remarks VALUES('1340','237','costumer agree nahin ha payment k lye. . payment bta di ha out of warranty','73','2020-09-24 01:52:10','2020-09-24 01:52:10');
INSERT INTO complaint_remarks VALUES('1341','237','costumer ko details or policy bta di ha, keh ry hain zahid sb se bt krun ga phir infrm krun ga','73','2020-09-24 01:53:17','2020-09-24 01:53:17');
INSERT INTO complaint_remarks VALUES('1342','289','NAEEM KENWWOD SA BAT HO GEI HAIN WO SUBHA W/M LIFT KARWA RAHAY HAIN','74','2020-09-24 02:08:33','2020-09-24 02:08:33');
INSERT INTO complaint_remarks VALUES('1343','299','temperature issue. .','73','2020-09-24 02:20:36','2020-09-24 02:20:36');
INSERT INTO complaint_remarks VALUES('1344','1073','costumer not attending call','73','2020-09-24 02:24:01','2020-09-24 02:24:01');
INSERT INTO complaint_remarks VALUES('1345','664','costumer not attending call','73','2020-09-24 02:32:01','2020-09-24 02:32:01');
INSERT INTO complaint_remarks VALUES('1346','1193','COMPLAINT RESOLVED','74','2020-09-24 02:48:18','2020-09-24 02:48:18');
INSERT INTO complaint_remarks VALUES('1347','1195','KHURRAM BHAI KO REMINDER DA DIA HAI','74','2020-09-24 03:22:53','2020-09-24 03:22:53');
INSERT INTO complaint_remarks VALUES('1348','1189','NO VISIT COMPANY REMINDER','74','2020-09-24 03:24:47','2020-09-24 03:24:47');
INSERT INTO complaint_remarks VALUES('1349','1186','NOT ATTEND CALL','74','2020-09-24 03:26:40','2020-09-24 03:26:40');
INSERT INTO complaint_remarks VALUES('1350','1186','WAQAR  SAB REMINDER KO DA DIAY HAIN KAL YHA COMPLAINT ATTEND HO JAY GEI','74','2020-09-24 03:38:09','2020-09-24 03:38:09');
INSERT INTO complaint_remarks VALUES('1351','1239','AJ VISOT HO GA','92','2020-09-24 19:52:28','2020-09-24 19:52:28');
INSERT INTO complaint_remarks VALUES('1352','1232','NO STILL P/OFF','74','2020-09-24 20:15:51','2020-09-24 20:15:51');
INSERT INTO complaint_remarks VALUES('1353','1073','BABER CARAVEL KO REMINDER DA DIA','74','2020-09-24 20:21:48','2020-09-24 20:21:48');
INSERT INTO complaint_remarks VALUES('1354','1169','CASTOMAR OUT OF CITY HAY','92','2020-09-24 20:47:13','2020-09-24 20:47:13');
INSERT INTO complaint_remarks VALUES('1355','1230','COMPLAINT RESOLVED','74','2020-09-24 20:52:08','2020-09-24 20:52:08');
INSERT INTO complaint_remarks VALUES('1356','1126','ISSUE NOT RESOLVED','92','2020-09-24 21:00:07','2020-09-24 21:00:07');
INSERT INTO complaint_remarks VALUES('1357','1073','CUSTOMER KI BABAR SAB SA BAT HO GEI HAIN CALL PA GUIDE KAR DIA HAIN .CUSTOMER SATISFAIDE HAIN AGAIN KOI ISSUE AAT HAIN TU CUSTOMER DIRECT BABER SAB KO CAL KAR LAY GAY COMPLAINT RESOLVED','74','2020-09-24 21:01:51','2020-09-24 21:01:51');
INSERT INTO complaint_remarks VALUES('1358','919','NOT ATTEND CALL','92','2020-09-24 21:13:13','2020-09-24 21:13:13');
INSERT INTO complaint_remarks VALUES('1359','994','NOT ATTEND CALL','92','2020-09-24 21:18:17','2020-09-24 21:18:17');
INSERT INTO complaint_remarks VALUES('1360','284','WORKING IN PROCESS','92','2020-09-24 21:26:07','2020-09-24 21:26:07');
INSERT INTO complaint_remarks VALUES('1361','289','TO MOROW VISOT HO GA','92','2020-09-24 21:28:46','2020-09-24 21:28:46');
INSERT INTO complaint_remarks VALUES('1362','299','NOT ATTEND CALL','92','2020-09-24 21:32:17','2020-09-24 21:32:17');
INSERT INTO complaint_remarks VALUES('1363','1322','COMPLAINT PA VISIT HO GAYA HAIN PANAL MAIN LINE HAIN CUSTOMER PANAL REPLACEMENT PA AGREE NI','74','2020-09-24 21:32:36','2020-09-24 21:32:36');
INSERT INTO complaint_remarks VALUES('1364','321','TO VISOT TO COMPLAINT','92','2020-09-24 21:34:53','2020-09-24 21:34:53');
INSERT INTO complaint_remarks VALUES('1365','618','NOT ATTEND CALL','92','2020-09-24 21:38:01','2020-09-24 21:38:01');
INSERT INTO complaint_remarks VALUES('1366','458','VISOT TO MORROW','92','2020-09-24 21:48:01','2020-09-24 21:48:01');
INSERT INTO complaint_remarks VALUES('1367','1195','VISOT HO GAYA HAY THARMOSTSTE KI WAJA SAY COMPLAINT NOT RESOLVED','92','2020-09-24 21:52:10','2020-09-24 21:52:10');
INSERT INTO complaint_remarks VALUES('1368','1294','NOT VISIT MOHSIN KO REMINDER DA DIA','74','2020-09-24 22:04:24','2020-09-24 22:04:24');
INSERT INTO complaint_remarks VALUES('1369','1181','VISIT HO GAY HAIN UNIT S/C LIFT HONA HAIN','74','2020-09-24 22:27:34','2020-09-24 22:27:34');
INSERT INTO complaint_remarks VALUES('1370','1276','REPLACE KARWANA HAY AJ SHAM KO','92','2020-09-24 22:50:21','2020-09-24 22:50:21');
INSERT INTO complaint_remarks VALUES('1371','1183','COMPLAINT PA VISIT HO GAY HAIN AJ UNIT S/C LA K GAY HAIN COMPANY WALAY','74','2020-09-24 22:53:24','2020-09-24 22:53:24');
INSERT INTO complaint_remarks VALUES('1372','919','COMPLAINT RESOLVED','92','2020-09-24 23:06:40','2020-09-24 23:06:40');
INSERT INTO complaint_remarks VALUES('1373','906','COMPLAINT RESOLVED','92','2020-09-24 23:12:49','2020-09-24 23:12:49');
INSERT INTO complaint_remarks VALUES('1374','1234','COMPLAINT RESOLVED','92','2020-09-24 23:23:21','2020-09-24 23:23:21');
INSERT INTO complaint_remarks VALUES('1375','117','CUSTOMER KA SET LHR SA WAPISE AAGAY HAIN CUSTOMER KI SIS KI COMPLAINT HAIN 
0318-1575909.
CALL ATTEND NAI KAR RAHI COMPANY SA CONFIRM KAR K COMPLAINT CLOSED KI','74','2020-09-24 23:26:47','2020-09-24 23:26:47');
INSERT INTO complaint_remarks VALUES('1376','1257','COMPLAINT RESOLVED','92','2020-09-24 23:41:13','2020-09-24 23:41:13');
INSERT INTO complaint_remarks VALUES('1377','1212','10 MINT BAD CALL KARAY','92','2020-09-24 23:50:10','2020-09-24 23:50:10');
INSERT INTO complaint_remarks VALUES('1378','1135','COMPLAINT RESOLVED','74','2020-09-24 23:52:12','2020-09-24 23:52:12');
INSERT INTO complaint_remarks VALUES('1379','234','COMPLAINT RESOLVED','74','2020-09-24 23:54:22','2020-09-24 23:54:22');
INSERT INTO complaint_remarks VALUES('1380','1259','COMPLAINT RESOLVED','92','2020-09-24 23:55:07','2020-09-24 23:55:07');
INSERT INTO complaint_remarks VALUES('1381','748','COMPLAINT RESOLVED','92','2020-09-25 00:03:29','2020-09-25 00:03:29');
INSERT INTO complaint_remarks VALUES('1382','1283','YHA 2 SET SONY S/C MAIN LIFT ASLAM SAB NA KARWANY HAIN','74','2020-09-25 00:09:04','2020-09-25 00:09:04');
INSERT INTO complaint_remarks VALUES('1383','1169','COMPLAINT RESOLVED','92','2020-09-25 00:20:56','2020-09-25 00:20:56');
INSERT INTO complaint_remarks VALUES('1384','980','COMPLAINT RESOLVED','92','2020-09-25 00:22:31','2020-09-25 00:22:31');
INSERT INTO complaint_remarks VALUES('1385','924','MAIN BOAD FULTY HAIN DEMAND KIYA HOA HAIN NEXT MAIN AAY GA','74','2020-09-25 00:23:17','2020-09-25 00:23:17');
INSERT INTO complaint_remarks VALUES('1386','936','UNIT S/C  MAIN HAIN LD PART DEMAND KIYA HO HAIN WORKING IN PROCESS','74','2020-09-25 00:28:24','2020-09-25 00:28:24');
INSERT INTO complaint_remarks VALUES('1387','1244','COMPLAINT RESOLVED','74','2020-09-25 00:30:45','2020-09-25 00:30:45');
INSERT INTO complaint_remarks VALUES('1388','1241','COMPLAINT RESOLVED','74','2020-09-25 00:32:30','2020-09-25 00:32:30');
INSERT INTO complaint_remarks VALUES('1389','1240','COMPLAINT RESOLVED','74','2020-09-25 00:37:58','2020-09-25 00:37:58');
INSERT INTO complaint_remarks VALUES('1390','1016','NOT ATTEND CALL','92','2020-09-25 00:50:04','2020-09-25 00:50:04');
INSERT INTO complaint_remarks VALUES('1391','1172','COMPLAINT RESOLVED','92','2020-09-25 00:53:47','2020-09-25 00:53:47');
INSERT INTO complaint_remarks VALUES('1392','1125','NOT ATTEND CALL','92','2020-09-25 00:58:55','2020-09-25 00:58:55');
INSERT INTO complaint_remarks VALUES('1393','564','COMPLAINT RESOLVED','92','2020-09-25 01:01:41','2020-09-25 01:01:41');
INSERT INTO complaint_remarks VALUES('1394','1212','COMPLAINT RESOLVED','92','2020-09-25 01:13:51','2020-09-25 01:13:51');
INSERT INTO complaint_remarks VALUES('1395','1188','COMPLAINT CLOSED','74','2020-09-25 01:30:17','2020-09-25 01:30:17');
INSERT INTO complaint_remarks VALUES('1396','1298','COMPLAINT#PK092420200073','74','2020-09-25 01:41:16','2020-09-25 01:41:16');
INSERT INTO complaint_remarks VALUES('1397','1350','D.O.P-06-OCT-2018','74','2020-09-25 01:43:45','2020-09-25 01:43:45');
INSERT INTO complaint_remarks VALUES('1398','1350','COMPLAINT#PK092420200075','74','2020-09-25 01:50:22','2020-09-25 01:50:22');
INSERT INTO complaint_remarks VALUES('1399','1186','COMPLAINT RESOLVED','74','2020-09-25 02:44:48','2020-09-25 02:44:48');
INSERT INTO complaint_remarks VALUES('1400','1210','COMPLAINT PA VISIT HO GAY GAIN .
REF S/C MAIN WORKING IN PROCESS','74','2020-09-25 20:52:50','2020-09-25 20:52:50');
INSERT INTO complaint_remarks VALUES('1401','1158','CUSTOMER CALL ATTEND NI KAR RAHY THY AJ AGAIN CALL KI  . TECHNICIAN NA B VISIT K LIYA CALL KI BUT OFFICE AJ BAND HAIN KAL KA TIE DIA HAIN TECHNICIAN KO','74','2020-09-25 21:17:24','2020-09-25 21:17:24');
INSERT INTO complaint_remarks VALUES('1402','1107','KAL COMPLAINT PA AGAIN VISIT HOA HAIN .
ABI CUSTOMER SA BAT B HO GEI HAIN CHEEKD KAR K WHATSAPP B UPDATE KARAY GEI','74','2020-09-25 21:25:16','2020-09-25 21:25:16');
INSERT INTO complaint_remarks VALUES('1403','1228','COMPLAINT RESOLVED','74','2020-09-25 21:40:27','2020-09-25 21:40:27');
INSERT INTO complaint_remarks VALUES('1404','1229','COMPLAINT PA VISIT HO GAYA HAIN W/D REF TO S/C','74','2020-09-25 21:41:38','2020-09-25 21:41:38');
INSERT INTO complaint_remarks VALUES('1405','248','CUSTOMER KA SET SLOW CHAL RAHA THA .
TCL K SAJID SATTI SAB NA CARD REPLACE KARNAY K LIYA CALL KI .
TU CUSTOMER NA MANA KAR DIA K HUM NA SET RESET KIYA HAIN ABI LED SAHI CHAL RAHI HAIN KOI ISSUE HO K GA TU BATA DAY DAY KABEER FCI KO B INFORMED KAR DIA','74','2020-09-25 21:51:45','2020-09-25 21:51:45');
INSERT INTO complaint_remarks VALUES('1406','248','COMPLAINT CLOSED','74','2020-09-25 21:59:40','2020-09-25 21:59:40');
INSERT INTO complaint_remarks VALUES('1407','1095','YA COMPLAINT CUSTOMER KI SIDE SA DELAY HAIN MODEL PIC SHER KARNI HAIN AJ AGAIN  CUSTOMER KO CALL KAR K REMINDER DIA HAIN','74','2020-09-26 01:01:49','2020-09-26 01:01:49');
INSERT INTO complaint_remarks VALUES('1408','458','aj irshad sab ko again reminder diya hain','74','2020-09-26 20:23:24','2020-09-26 20:23:24');
INSERT INTO complaint_remarks VALUES('1409','1365','AZHAR PWD','74','2020-09-26 20:50:08','2020-09-26 20:50:08');
INSERT INTO complaint_remarks VALUES('1410','885','CUSTOMER SA TECHNICIAN KI BAT HO GEI HAIN AJ VISIT HAIN IC COMPLAINT PA','74','2020-09-26 21:27:33','2020-09-26 21:27:33');
INSERT INTO complaint_remarks VALUES('1411','1332','NOT ATTEND CALL','92','2020-09-26 22:25:08','2020-09-26 22:25:08');
INSERT INTO complaint_remarks VALUES('1412','940','REF KA PART AAGAY HAIN KAL WAQAR TECHNICIAN YHA COMPLAINT ATTEND KAAY GAY 0306-5199849. PINDI S/C YHA COMPLINT ATTEND KARAY GAY','74','2020-09-26 22:26:07','2020-09-26 22:26:07');
INSERT INTO complaint_remarks VALUES('1413','1331','AJ VISOT HO GA','92','2020-09-26 22:28:06','2020-09-26 22:28:06');
INSERT INTO complaint_remarks VALUES('1414','1328','COMPLAINT RESOLVED','92','2020-09-26 22:29:57','2020-09-26 22:29:57');
INSERT INTO complaint_remarks VALUES('1415','1325','COMPLAINT RESOLVED','92','2020-09-26 22:39:49','2020-09-26 22:39:49');
INSERT INTO complaint_remarks VALUES('1416','1324','COMPLAINT RESOLVED','92','2020-09-26 22:42:33','2020-09-26 22:42:33');
INSERT INTO complaint_remarks VALUES('1417','1323','COMPLAINT RESOLVED','92','2020-09-26 22:45:09','2020-09-26 22:45:09');
INSERT INTO complaint_remarks VALUES('1418','1314','VISOT TO DAY','92','2020-09-26 22:59:18','2020-09-26 22:59:18');
INSERT INTO complaint_remarks VALUES('1419','1310','COMPLAINT RESOLVED','92','2020-09-26 23:02:15','2020-09-26 23:02:15');
INSERT INTO complaint_remarks VALUES('1420','1359','03455461546','74','2020-09-26 23:04:25','2020-09-26 23:04:25');
INSERT INTO complaint_remarks VALUES('1421','1308','NOT ATTEND CALL','92','2020-09-26 23:07:49','2020-09-26 23:07:49');
INSERT INTO complaint_remarks VALUES('1422','1308','VISOT TO DAY','92','2020-09-26 23:22:02','2020-09-26 23:22:02');
INSERT INTO complaint_remarks VALUES('1423','1302','COMPLAINT RESOLVED','92','2020-09-26 23:24:04','2020-09-26 23:24:04');
INSERT INTO complaint_remarks VALUES('1424','1290','COMPLAINT RESOLVED','92','2020-09-26 23:31:12','2020-09-26 23:31:12');
INSERT INTO complaint_remarks VALUES('1425','664','YAWAR SAB KI APORAL SA C/ R REPLACE HO RAHI HAIN SAIF  SAB KO INFORMED KAR DIA','74','2020-09-26 23:38:27','2020-09-26 23:38:27');
INSERT INTO complaint_remarks VALUES('1426','1176','COMPLAINT RESOLVED','92','2020-09-26 23:55:15','2020-09-26 23:55:15');
INSERT INTO complaint_remarks VALUES('1427','1158','COMPLAINT RESOLVED','92','2020-09-27 00:01:42','2020-09-27 00:01:42');
INSERT INTO complaint_remarks VALUES('1428','1151','COMPLAINT RESOLVED','92','2020-09-27 00:06:40','2020-09-27 00:06:40');
INSERT INTO complaint_remarks VALUES('1429','1125','COMPLAINT RESOLVED','92','2020-09-27 00:12:24','2020-09-27 00:12:24');
INSERT INTO complaint_remarks VALUES('1430','1107','NOT ATTEND CALL','92','2020-09-27 00:16:29','2020-09-27 00:16:29');
INSERT INTO complaint_remarks VALUES('1431','1319','COMPLAINT RESOLVED','92','2020-09-27 00:20:57','2020-09-27 00:20:57');
INSERT INTO complaint_remarks VALUES('1432','1016','COMPLAINT RESOLVED','92','2020-09-27 00:42:07','2020-09-27 00:42:07');
INSERT INTO complaint_remarks VALUES('1433','1012','COMPLAINT RESOLVED','92','2020-09-27 00:44:44','2020-09-27 00:44:44');
INSERT INTO complaint_remarks VALUES('1434','994','COMPLAINT RESOLVED','92','2020-09-27 00:47:20','2020-09-27 00:47:20');
INSERT INTO complaint_remarks VALUES('1435','289','CUSTOMER NA S/C W/M LIFT KARWNAY SA MANA KAR DIA GHR PA AGAIN VISIT KARWANY KA BOLA HAIN MONDAY KO AGAIN VISIT','74','2020-09-27 01:09:37','2020-09-27 01:09:37');
INSERT INTO complaint_remarks VALUES('1436','299','NOT ATTEND CALL','92','2020-09-27 01:17:08','2020-09-27 01:17:08');
INSERT INTO complaint_remarks VALUES('1437','1099','COMPLAINT RESOLVED','92','2020-09-27 01:19:32','2020-09-27 01:19:32');
INSERT INTO complaint_remarks VALUES('1438','293','CUSTOMER PAYMENT NAI PAY KAR RAHAY NA UN  K PASS WARRANTY CARD HAIN R NA HI WO ADVANCE PAYMENT PA AGRR HO RAHY HAIN 15000 COMPLAINT CLOSED','74','2020-09-27 01:23:10','2020-09-27 01:23:10');
INSERT INTO complaint_remarks VALUES('1439','869','COMPLAINT RESOLVED','92','2020-09-27 01:32:36','2020-09-27 01:32:36');
INSERT INTO complaint_remarks VALUES('1440','806','PART KI WAJA SAY COMPLAINT NOT RESOLVED','92','2020-09-27 01:37:04','2020-09-27 01:37:04');
INSERT INTO complaint_remarks VALUES('1441','839','COMPLAINT RESOLVED','92','2020-09-27 01:39:33','2020-09-27 01:39:33');
INSERT INTO complaint_remarks VALUES('1442','866','COMPLAINT RESOLVED','92','2020-09-27 01:44:56','2020-09-27 01:44:56');
INSERT INTO complaint_remarks VALUES('1443','865','COMPLAINT RESOLVED','92','2020-09-27 01:49:11','2020-09-27 01:49:11');
INSERT INTO complaint_remarks VALUES('1444','810','COMPLAINT RESOLVED','92','2020-09-27 01:51:33','2020-09-27 01:51:33');
INSERT INTO complaint_remarks VALUES('1445','447','COMPLAINT RESOLVED','92','2020-09-27 02:11:46','2020-09-27 02:11:46');
INSERT INTO complaint_remarks VALUES('1446','1339','NOT ATTEND CALL','92','2020-09-27 02:54:11','2020-09-27 02:54:11');
INSERT INTO complaint_remarks VALUES('1447','1337','NOT ATTEND CALL','92','2020-09-27 02:56:50','2020-09-27 02:56:50');
INSERT INTO complaint_remarks VALUES('1448','299','CUSTOMER STILL CALL ATTEND NAI KAR RAHY HAIN WHATS APP KAR DIA HAIN','74','2020-09-27 03:01:43','2020-09-27 03:01:43');
INSERT INTO complaint_remarks VALUES('1449','284','COSTUMER PAYMENT NAHIN KRRY, PAYMENT INFORM KR DI HA','73','2020-09-27 20:04:55','2020-09-27 20:04:55');
INSERT INTO complaint_remarks VALUES('1450','1356','COMPLAINT RESOLVED','92','2020-09-27 20:30:47','2020-09-27 20:30:47');
INSERT INTO complaint_remarks VALUES('1451','1354','WORKING IN PROCESS','92','2020-09-27 20:35:44','2020-09-27 20:35:44');
INSERT INTO complaint_remarks VALUES('1452','1352','COMPLAINT RESOLVED','92','2020-09-27 20:38:01','2020-09-27 20:38:01');
INSERT INTO complaint_remarks VALUES('1453','1345','COMPLAINT RESOLVED','92','2020-09-27 21:12:55','2020-09-27 21:12:55');
INSERT INTO complaint_remarks VALUES('1454','1343','COMPLAINT RESOLVED','92','2020-09-27 21:15:45','2020-09-27 21:15:45');
INSERT INTO complaint_remarks VALUES('1455','47','UNIT RETURNED TO COMPANY','73','2020-09-28 00:44:44','2020-09-28 00:44:44');
INSERT INTO complaint_remarks VALUES('1456','1357','COMPLAINT RESOLVED','92','2020-09-28 00:50:13','2020-09-28 00:50:13');
INSERT INTO complaint_remarks VALUES('1457','1355','COMPLAINT RESOLVED','92','2020-09-28 00:52:20','2020-09-28 00:52:20');
INSERT INTO complaint_remarks VALUES('1458','1351','COMPLAINT RESOLVED','92','2020-09-28 00:55:42','2020-09-28 00:55:42');
INSERT INTO complaint_remarks VALUES('1459','1350','VISOT HO GAYA HAY TV SERVICE SENTER LAY KAR JANA HAY MONDAY KO','92','2020-09-28 01:00:11','2020-09-28 01:00:11');
INSERT INTO complaint_remarks VALUES('1460','1349','NOT ATTEND CALL','92','2020-09-28 01:02:16','2020-09-28 01:02:16');
INSERT INTO complaint_remarks VALUES('1461','1347','COMPLAINT RESOLVED','92','2020-09-28 01:03:57','2020-09-28 01:03:57');
INSERT INTO complaint_remarks VALUES('1462','1393','MURTAZA BUTT KO REMIND KARWAYA HA K SERIAL NUMBER K STH DOBARA COMPLAIN ENTRE KAREIN','73','2020-09-28 01:06:00','2020-09-28 01:06:00');
INSERT INTO complaint_remarks VALUES('1463','1339','COMPLAINT RESOLVED','92','2020-09-28 01:06:19','2020-09-28 01:06:19');
INSERT INTO complaint_remarks VALUES('1464','1338','NOT ATTEND CALL','92','2020-09-28 01:09:40','2020-09-28 01:09:40');
INSERT INTO complaint_remarks VALUES('1465','1337','COMPLAINT RESOLVED','92','2020-09-28 01:11:20','2020-09-28 01:11:20');
INSERT INTO complaint_remarks VALUES('1466','1334','NOT ATTEND CALL','92','2020-09-28 01:13:47','2020-09-28 01:13:47');
INSERT INTO complaint_remarks VALUES('1467','1332','COMPLAINT RESOLVED','92','2020-09-28 01:14:29','2020-09-28 01:14:29');
INSERT INTO complaint_remarks VALUES('1468','1314','COMPLAINT RESOLVED','92','2020-09-28 01:23:08','2020-09-28 01:23:08');
INSERT INTO complaint_remarks VALUES('1469','1308','COMPLAINT RESOLVED','92','2020-09-28 01:26:15','2020-09-28 01:26:15');
INSERT INTO complaint_remarks VALUES('1470','1299','NOT ATTEND CALL','92','2020-09-28 01:36:38','2020-09-28 01:36:38');
INSERT INTO complaint_remarks VALUES('1471','1281','SERVICE CENTER LAY KAR JANA HAY JAB TIME MILAY GA LAY JAOUN GA','92','2020-09-28 01:41:20','2020-09-28 01:41:20');
INSERT INTO complaint_remarks VALUES('1472','361','VISOT HO GAYA HAY SERVICE LEFT HUA HAY','92','2020-09-28 02:16:43','2020-09-28 02:16:43');
INSERT INTO complaint_remarks VALUES('1473','430','COSTUMER CALL ATTEND NAI KRTY. . MSG KR DIA HA UPDATE K LYE','73','2020-09-28 02:22:01','2020-09-28 02:22:01');
INSERT INTO complaint_remarks VALUES('1474','453','NOT ATTEND CALL MESSAGE KAR DEYA HAY','92','2020-09-28 02:26:24','2020-09-28 02:26:24');
INSERT INTO complaint_remarks VALUES('1475','738','COMPLAINT RESOLVED','92','2020-09-28 02:29:12','2020-09-28 02:29:12');
INSERT INTO complaint_remarks VALUES('1476','776','CALL ATTEND NAI KRRY. . MSG KR DIA HA UPDATE K LYE','73','2020-09-28 02:36:59','2020-09-28 02:36:59');
INSERT INTO complaint_remarks VALUES('1477','777','CALL ATTEND NAI KRRY. . MSG KR DIA HA UPDATE K LYE','73','2020-09-28 02:37:14','2020-09-28 02:37:14');
INSERT INTO complaint_remarks VALUES('1478','1078','COMPLAINT RESOLVED','92','2020-09-28 02:39:01','2020-09-28 02:39:01');
INSERT INTO complaint_remarks VALUES('1479','1153','LEFT TO SERVICE CENTER','92','2020-09-28 02:42:57','2020-09-28 02:42:57');
INSERT INTO complaint_remarks VALUES('1480','1338','NOT ATTEND CALL','92','2020-09-28 02:52:23','2020-09-28 02:52:23');
INSERT INTO complaint_remarks VALUES('1481','1362','UNIT SERVICE CENTER','92','2020-09-28 02:55:27','2020-09-28 02:55:27');
INSERT INTO complaint_remarks VALUES('1482','1177','COMPLAINT RESOLVED','92','2020-09-28 02:59:48','2020-09-28 02:59:48');
INSERT INTO complaint_remarks VALUES('1483','1331','NOT ATTEND CALL','92','2020-09-28 03:02:37','2020-09-28 03:02:37');
INSERT INTO complaint_remarks VALUES('1484','1402','COMPLAINT#15086','74','2020-09-28 19:41:07','2020-09-28 19:41:07');
INSERT INTO complaint_remarks VALUES('1485','284','MOHSIN & ALI KO REMINDER DA DIYA AJ VISIT K LIYA','74','2020-09-28 20:00:50','2020-09-28 20:00:50');
INSERT INTO complaint_remarks VALUES('1486','1331','COMPLAINT RESOLVED','74','2020-09-28 20:47:32','2020-09-28 20:47:32');
INSERT INTO complaint_remarks VALUES('1487','229','NOT ATTEND CALL','92','2020-09-28 21:14:56','2020-09-28 21:14:56');
INSERT INTO complaint_remarks VALUES('1488','237','VISOT HUA THA CARD KA ISSUE HAY','92','2020-09-28 21:18:20','2020-09-28 21:18:20');
INSERT INTO complaint_remarks VALUES('1489','461','PART KI WAJA SAY COMPLAINT NOT RESOLVED','92','2020-09-28 21:28:44','2020-09-28 21:28:44');
INSERT INTO complaint_remarks VALUES('1490','680','NOT ATTEND CALL','92','2020-09-28 21:38:24','2020-09-28 21:38:24');
INSERT INTO complaint_remarks VALUES('1491','749','NOT VISOT TO 
 COMPLAINT','92','2020-09-28 21:42:11','2020-09-28 21:42:11');
INSERT INTO complaint_remarks VALUES('1492','1210','LEFT TO SERVICE CENTER','92','2020-09-28 21:45:20','2020-09-28 21:45:20');
INSERT INTO complaint_remarks VALUES('1493','1294','NOT VISOT  TO COMPLAINT','92','2020-09-28 21:53:44','2020-09-28 21:53:44');
INSERT INTO complaint_remarks VALUES('1494','1307','NOT ATTEND CALL','92','2020-09-28 21:56:03','2020-09-28 21:56:03');
INSERT INTO complaint_remarks VALUES('1495','458','NOT ATTEND CALL','92','2020-09-28 22:28:28','2020-09-28 22:28:28');
INSERT INTO complaint_remarks VALUES('1496','459','COMPLAINT RESOLVED','92','2020-09-28 22:32:39','2020-09-28 22:32:39');
INSERT INTO complaint_remarks VALUES('1497','710','COMPLAINT RESOLVED','92','2020-09-28 22:40:26','2020-09-28 22:40:26');
INSERT INTO complaint_remarks VALUES('1498','964','COMPLAINT RESOLVED','92','2020-09-28 22:42:38','2020-09-28 22:42:38');
INSERT INTO complaint_remarks VALUES('1499','1070','COMPLAINT RESOLVED','92','2020-09-28 22:46:31','2020-09-28 22:46:31');
INSERT INTO complaint_remarks VALUES('1500','1281','LEFT TO SERVICE CENTER','92','2020-09-28 22:50:15','2020-09-28 22:50:15');
INSERT INTO complaint_remarks VALUES('1501','1280','KHALID SAB KO VISIT K LIYA REMINDER DA DIA HAIN','74','2020-09-28 22:51:48','2020-09-28 22:51:48');
INSERT INTO complaint_remarks VALUES('1502','1299','COMPLAINT RESOLVED','92','2020-09-28 22:52:10','2020-09-28 22:52:10');
INSERT INTO complaint_remarks VALUES('1503','439','NOT VISOT TO COMPLAINT','92','2020-09-28 23:16:19','2020-09-28 23:16:19');
INSERT INTO complaint_remarks VALUES('1504','806','PART ISSUE NOT RESOLVED','92','2020-09-28 23:20:30','2020-09-28 23:20:30');
INSERT INTO complaint_remarks VALUES('1505','940','PART KI WAJA SAY COMPLAINT DELAY HAY','92','2020-09-28 23:22:43','2020-09-28 23:22:43');
INSERT INTO complaint_remarks VALUES('1506','664','YHA RANGE CHANGE HO GEI HAIN FCP SHOWROOM PA HAIN ANEEQ & ASLAM SAB KO REMINDER DA DIA','74','2020-09-28 23:23:56','2020-09-28 23:23:56');
INSERT INTO complaint_remarks VALUES('1507','1093','COMPLAINT RESOLVED','92','2020-09-28 23:24:29','2020-09-28 23:24:29');
INSERT INTO complaint_remarks VALUES('1508','1378','VISOT HO GAYA HAY PART ISSUE HAY','92','2020-09-28 23:30:06','2020-09-28 23:30:06');
INSERT INTO complaint_remarks VALUES('1509','1386','AJ VISOT HO GA','92','2020-09-28 23:32:51','2020-09-28 23:32:51');
INSERT INTO complaint_remarks VALUES('1510','664','COMPLAINT RESOLVED','74','2020-09-28 23:40:38','2020-09-28 23:40:38');
INSERT INTO complaint_remarks VALUES('1511','1405','KAL VISOT HO GA','92','2020-09-28 23:40:55','2020-09-28 23:40:55');
INSERT INTO complaint_remarks VALUES('1512','470','NOT ATTEND CALL','92','2020-09-28 23:46:59','2020-09-28 23:46:59');
INSERT INTO complaint_remarks VALUES('1513','1189','NOT VISOT TO COMPLAINT','92','2020-09-28 23:49:28','2020-09-28 23:49:28');
INSERT INTO complaint_remarks VALUES('1514','1261','NOT ATTEND CALL','92','2020-09-28 23:51:34','2020-09-28 23:51:34');
INSERT INTO complaint_remarks VALUES('1515','1271','NOT ATTEND CALL','92','2020-09-28 23:55:49','2020-09-28 23:55:49');
INSERT INTO complaint_remarks VALUES('1516','1298','COMPLAINT NOT RESOLVED','92','2020-09-29 00:00:18','2020-09-29 00:00:18');
INSERT INTO complaint_remarks VALUES('1517','1334','ISSUE NOT RESOLVED','92','2020-09-29 00:20:48','2020-09-29 00:20:48');
INSERT INTO complaint_remarks VALUES('1518','1313','4 BAJY TAQ VISIT HO JAY GAY  CUSTOMER KO INFORMED KAR DAY GAY','74','2020-09-29 00:24:17','2020-09-29 00:24:17');
INSERT INTO complaint_remarks VALUES('1519','1359','VISOT HO GAYA HAY LAKEN ISSUE NOT RESOLVED','92','2020-09-29 00:29:19','2020-09-29 00:29:19');
INSERT INTO complaint_remarks VALUES('1520','1369','AJ SHAAM KO VISOT HO GA','92','2020-09-29 00:31:30','2020-09-29 00:31:30');
INSERT INTO complaint_remarks VALUES('1521','411','NOT ATTEND CALL','92','2020-09-29 00:44:24','2020-09-29 00:44:24');
INSERT INTO complaint_remarks VALUES('1522','1354','COMPLAINT PA VISIT HO GAY HAIN CRAD KA ISSUE HAIN CARD DEMAND KIYA HAIN','74','2020-09-29 01:22:26','2020-09-29 01:22:26');
INSERT INTO complaint_remarks VALUES('1523','862','NOT VISOT TO COMPLAINT','92','2020-09-29 01:38:30','2020-09-29 01:38:30');
INSERT INTO complaint_remarks VALUES('1524','935','NOT VISOT TO COMPLAINT','92','2020-09-29 01:42:31','2020-09-29 01:42:31');
INSERT INTO complaint_remarks VALUES('1525','1195','NOT VISOT TO COMPLAINT','92','2020-09-29 01:44:37','2020-09-29 01:44:37');
INSERT INTO complaint_remarks VALUES('1526','1377','NOT ATTEND CALL','92','2020-09-29 02:00:43','2020-09-29 02:00:43');
INSERT INTO complaint_remarks VALUES('1527','411','COSTAMOR KO SEND KAR DEYA HAY','92','2020-09-29 02:30:12','2020-09-29 02:30:12');
INSERT INTO complaint_remarks VALUES('1528','289','COMPLAINT RESOLVED','92','2020-09-29 02:36:54','2020-09-29 02:36:54');
INSERT INTO complaint_remarks VALUES('1529','840','VISOT HO GAYA HAY CARD  ISSUE NAI HUA','92','2020-09-29 02:43:05','2020-09-29 02:43:05');
INSERT INTO complaint_remarks VALUES('1530','881','COMPANI WALAY LAY KAR GAY HAY','92','2020-09-29 02:49:11','2020-09-29 02:49:11');
INSERT INTO complaint_remarks VALUES('1531','1086','LIFT  IN SERVICE CENTER','92','2020-09-29 02:53:24','2020-09-29 02:53:24');
INSERT INTO complaint_remarks VALUES('1532','1394','NOT VISOT TO COMPLAINT','92','2020-09-29 19:32:06','2020-09-29 19:32:06');
INSERT INTO complaint_remarks VALUES('1533','284','COMPLAINT RESOLVED .
PAYMENT KHUD CUSTOMER NA PAY KI','74','2020-09-29 19:42:17','2020-09-29 19:42:17');
INSERT INTO complaint_remarks VALUES('1534','1318','NOT ATTEND CALL','92','2020-09-29 19:52:27','2020-09-29 19:52:27');
INSERT INTO complaint_remarks VALUES('1535','237','ALI SAB KO INFROMED KAR DIA HAIN CARD CHEEK KAR K INFORMED KAR RAHAY HAIN CUSTOMER KO 16500 CARD KI PRICE BATA DI HAIN','74','2020-09-29 20:02:21','2020-09-29 20:02:21');
INSERT INTO complaint_remarks VALUES('1536','1379','COMPLAINT RESOLVED','92','2020-09-29 20:08:25','2020-09-29 20:08:25');
INSERT INTO complaint_remarks VALUES('1537','1401','COMPLAINT RESOLVED','92','2020-09-29 20:11:15','2020-09-29 20:11:15');
INSERT INTO complaint_remarks VALUES('1538','1390','COMPLAINT RESOLVED','92','2020-09-29 20:13:55','2020-09-29 20:13:55');
INSERT INTO complaint_remarks VALUES('1539','1387','COMPLAINT RESOLVED','92','2020-09-29 20:17:13','2020-09-29 20:17:13');
INSERT INTO complaint_remarks VALUES('1540','1376','COMPLAINT RESOLVED','92','2020-09-29 20:29:24','2020-09-29 20:29:24');
INSERT INTO complaint_remarks VALUES('1541','1362','COMPLAINT RESOLVED','92','2020-09-29 21:00:05','2020-09-29 21:00:05');
INSERT INTO complaint_remarks VALUES('1542','321','COMPLAINT RESOLVED','92','2020-09-29 21:14:02','2020-09-29 21:14:02');
INSERT INTO complaint_remarks VALUES('1543','1317','CUSTOMER AJ GHR PA AVAIL NAI HAIN KAL KA TIME DIA HAIN','74','2020-09-29 21:14:47','2020-09-29 21:14:47');
INSERT INTO complaint_remarks VALUES('1544','885','NOT ATTEND CALL','92','2020-09-29 21:18:41','2020-09-29 21:18:41');
INSERT INTO complaint_remarks VALUES('1545','430','NOT ATTEND CALL','92','2020-09-29 22:09:06','2020-09-29 22:09:06');
INSERT INTO complaint_remarks VALUES('1546','453','UNIT KA ISSUE HAY COMPLAIN WALAY UNIT UTAR KAR NAI GAY UNIT','92','2020-09-29 22:13:32','2020-09-29 22:13:32');
INSERT INTO complaint_remarks VALUES('1547','1372','AJ VISOT HO GA','92','2020-09-29 22:30:56','2020-09-29 22:30:56');
INSERT INTO complaint_remarks VALUES('1548','1338','COMPLAINT COMPLETED','92','2020-09-29 23:00:06','2020-09-29 23:00:06');
INSERT INTO complaint_remarks VALUES('1549','1372','NOT VISOT TO COMPLAINT','92','2020-09-29 23:41:37','2020-09-29 23:41:37');
INSERT INTO complaint_remarks VALUES('1550','1369','VISOT HO GAYA HAY KAL TAK CONFARM KAR K CONTACT KARAY GAY','92','2020-09-30 00:27:42','2020-09-30 00:27:42');
INSERT INTO complaint_remarks VALUES('1551','1386','COMPLAINT RESOLVED','92','2020-09-30 00:32:15','2020-09-30 00:32:15');
INSERT INTO complaint_remarks VALUES('1552','1313','COMPLAINT RESOLVED','92','2020-09-30 00:38:06','2020-09-30 00:38:06');
INSERT INTO complaint_remarks VALUES('1553','1261','COMPLAINT RESOLVED','92','2020-09-30 00:42:38','2020-09-30 00:42:38');
INSERT INTO complaint_remarks VALUES('1554','1107','COMPLAINT RESOLVED','92','2020-09-30 00:55:13','2020-09-30 00:55:13');
INSERT INTO complaint_remarks VALUES('1555','1107','COMPLAINT RESOLVED','92','2020-09-30 00:58:55','2020-09-30 00:58:55');
INSERT INTO complaint_remarks VALUES('1556','1264','NOT ATTEND CALL','92','2020-09-30 01:35:20','2020-09-30 01:35:20');
INSERT INTO complaint_remarks VALUES('1557','776','NOT VISOT TO COMPLAINT','92','2020-09-30 01:37:54','2020-09-30 01:37:54');
INSERT INTO complaint_remarks VALUES('1558','1318','COMPLAINT RESOLVED','92','2020-09-30 02:19:40','2020-09-30 02:19:40');
INSERT INTO complaint_remarks VALUES('1559','940','FAHEEM SAB SA BAT HO GEI HAIN PATRS SATURDAY KO LAG JAY GA','74','2020-09-30 03:01:22','2020-09-30 03:01:22');
INSERT INTO complaint_remarks VALUES('1560','1416','VISOT HO GAYA HAY BORD KA ISSUE HAY','92','2020-09-30 19:33:14','2020-09-30 19:33:14');
INSERT INTO complaint_remarks VALUES('1561','1413','NOT ATTEND CALL','92','2020-09-30 19:39:37','2020-09-30 19:39:37');
INSERT INTO complaint_remarks VALUES('1562','1411','NOT ATTEND CALL','92','2020-09-30 19:46:06','2020-09-30 19:46:06');
INSERT INTO complaint_remarks VALUES('1563','1399','NOT ATTEND CALL','92','2020-09-30 20:37:25','2020-09-30 20:37:25');
INSERT INTO complaint_remarks VALUES('1564','1397','NOT ATTEND CALL','92','2020-09-30 21:11:50','2020-09-30 21:11:50');
INSERT INTO complaint_remarks VALUES('1565','1407','NOT ATTEND CALL','92','2020-09-30 21:21:37','2020-09-30 21:21:37');
INSERT INTO complaint_remarks VALUES('1566','1420','VISOT HO GAYA HAY LAKEN COMPLAINT NOT RESOLVED','92','2020-09-30 21:27:05','2020-09-30 21:27:05');
INSERT INTO complaint_remarks VALUES('1567','1404','COMPLAINT RESOLVED','92','2020-09-30 21:35:41','2020-09-30 21:35:41');
INSERT INTO complaint_remarks VALUES('1568','1384','COMPLAINT RESOLVED','92','2020-09-30 21:47:59','2020-09-30 21:47:59');
INSERT INTO complaint_remarks VALUES('1569','1383','COMPLAINT RESOLVED','92','2020-09-30 21:51:14','2020-09-30 21:51:14');
INSERT INTO complaint_remarks VALUES('1570','1435','AJ  6 BAJAY VISOT HO GA','92','2020-09-30 22:16:54','2020-09-30 22:16:54');
INSERT INTO complaint_remarks VALUES('1571','1348','VISOT K LEAY CALL KI THI COSTAMOR KO LAKEN CALL PICK NAI KI IS LEAY COMPLAINT NOT RESOLVED','92','2020-09-30 22:24:26','2020-09-30 22:24:26');
INSERT INTO complaint_remarks VALUES('1572','1076','COMPLAINT RESOLVED','92','2020-09-30 22:37:04','2020-09-30 22:37:04');
INSERT INTO complaint_remarks VALUES('1573','885','COMPLAINT RESOLVED','92','2020-09-30 22:48:33','2020-09-30 22:48:33');
INSERT INTO complaint_remarks VALUES('1574','732','COMPLAINT RESOLVED','92','2020-09-30 22:58:34','2020-09-30 22:58:34');
INSERT INTO complaint_remarks VALUES('1575','1385','COMPLAINT RESOLVED','92','2020-09-30 23:01:09','2020-09-30 23:01:09');
INSERT INTO complaint_remarks VALUES('1576','1414','NOT ATTEND CALL','92','2020-09-30 23:06:14','2020-09-30 23:06:14');
INSERT INTO complaint_remarks VALUES('1577','1405','VISOT HO GAYA THA REPLACE KARNA HAY   OVEN 1 WEEK LAG JAY GA','92','2020-09-30 23:11:37','2020-09-30 23:11:37');
INSERT INTO complaint_remarks VALUES('1578','1040','NOT ATTEND CALL','92','2020-09-30 23:15:13','2020-09-30 23:15:13');
INSERT INTO complaint_remarks VALUES('1579','755','COMPLAINT RESOLVED','92','2020-09-30 23:31:07','2020-09-30 23:31:07');
INSERT INTO complaint_remarks VALUES('1580','361','NOT ATTEND CALL','92','2020-09-30 23:34:08','2020-09-30 23:34:08');
INSERT INTO complaint_remarks VALUES('1581','1397','COMPLAINT RESOLVED','92','2020-09-30 23:36:00','2020-09-30 23:36:00');
INSERT INTO complaint_remarks VALUES('1582','1183','COMPLAINT RESOLVED','74','2020-09-30 23:39:05','2020-09-30 23:39:05');
INSERT INTO complaint_remarks VALUES('1583','1420','WORKING IN PROCESS','92','2020-09-30 23:50:04','2020-09-30 23:50:04');
INSERT INTO complaint_remarks VALUES('1584','453','NOT PICK UP CALL','74','2020-10-01 00:28:21','2020-10-01 00:28:21');
INSERT INTO complaint_remarks VALUES('1585','411','COMPLAINT RESOLVED','92','2020-10-01 00:36:26','2020-10-01 00:36:26');
INSERT INTO complaint_remarks VALUES('1586','361','COMPLAINT RESOLVED','92','2020-10-01 00:42:03','2020-10-01 00:42:03');
INSERT INTO complaint_remarks VALUES('1587','237','COMPLAINT RESOLVED','92','2020-10-01 00:53:17','2020-10-01 00:53:17');
INSERT INTO complaint_remarks VALUES('1588','1445','COMPLAINT#192018420','74','2020-10-01 01:41:51','2020-10-01 01:41:51');
INSERT INTO complaint_remarks VALUES('1589','1465','23-DEC-2017','74','2020-10-01 02:28:35','2020-10-01 02:28:35');
INSERT INTO complaint_remarks VALUES('1590','1242','SERVICE CENTER SAY MICROWAVE OVEN THEAK HO KAR GHAR LEFT HO GAYA HAY','92','2020-10-01 19:25:47','2020-10-01 19:25:47');
INSERT INTO complaint_remarks VALUES('1591','1456','COMPLAINT RESOLVED','92','2020-10-01 19:47:45','2020-10-01 19:47:45');
INSERT INTO complaint_remarks VALUES('1592','1414','COMPLAINT RESOLVED','92','2020-10-01 19:51:16','2020-10-01 19:51:16');
INSERT INTO complaint_remarks VALUES('1593','1399','COMPLAINT RESOLVED','92','2020-10-01 19:54:57','2020-10-01 19:54:57');
INSERT INTO complaint_remarks VALUES('1594','1460','COMPLAINT RESOLVED','92','2020-10-01 20:00:15','2020-10-01 20:00:15');
INSERT INTO complaint_remarks VALUES('1595','1348','AJ VISOT HO GA','92','2020-10-01 20:05:56','2020-10-01 20:05:56');
INSERT INTO complaint_remarks VALUES('1596','1413','COMPLAINT RESOLVED','92','2020-10-01 20:13:06','2020-10-01 20:13:06');
INSERT INTO complaint_remarks VALUES('1597','1411','AJ VISOT HO GA','92','2020-10-01 20:16:27','2020-10-01 20:16:27');
INSERT INTO complaint_remarks VALUES('1598','1409','COMPLAINT RESOLVED','92','2020-10-01 20:17:53','2020-10-01 20:17:53');
INSERT INTO complaint_remarks VALUES('1599','1408','NOT ATTEND CALL','92','2020-10-01 20:20:36','2020-10-01 20:20:36');
INSERT INTO complaint_remarks VALUES('1600','1468','COMPLAINT#1744133','74','2020-10-01 20:34:24','2020-10-01 20:34:24');
INSERT INTO complaint_remarks VALUES('1601','1199','COMPLAINT RESOLVED','92','2020-10-01 20:35:24','2020-10-01 20:35:24');
INSERT INTO complaint_remarks VALUES('1602','1466','COMPLAINT#1054180','74','2020-10-01 20:39:49','2020-10-01 20:39:49');
INSERT INTO complaint_remarks VALUES('1603','1372','PART ISSUE HAY COMPLAINT NOT RESOLVED','92','2020-10-01 20:45:06','2020-10-01 20:45:06');
INSERT INTO complaint_remarks VALUES('1604','1431','VISOT HO GAYA HAY COMPARASER ISSUE HAY','92','2020-10-01 20:48:19','2020-10-01 20:48:19');
INSERT INTO complaint_remarks VALUES('1605','404','AJ COMPLAINT CUSTOMER NA KHUD SA CLOSED KARWA DI','74','2020-10-01 20:59:34','2020-10-01 20:59:34');
INSERT INTO complaint_remarks VALUES('1606','1276','COMPLAINT RESOLVED','92','2020-10-01 20:59:58','2020-10-01 20:59:58');
INSERT INTO complaint_remarks VALUES('1607','439','NEW COMPLAINT RELAUNCH KARWA DIA HAIN  SATURDAY KO AGAIN VISIT HO GA','74','2020-10-01 21:10:18','2020-10-01 21:10:18');
INSERT INTO complaint_remarks VALUES('1608','1452','AJ 3 BAJAY VISOT HO GA','92','2020-10-01 21:15:19','2020-10-01 21:15:19');
INSERT INTO complaint_remarks VALUES('1609','1210','COMPLAINT RESOLVED','92','2020-10-01 21:34:21','2020-10-01 21:34:21');
INSERT INTO complaint_remarks VALUES('1610','1422','COMPLAINT RESOLVED','74','2020-10-02 00:25:08','2020-10-02 00:25:08');
INSERT INTO complaint_remarks VALUES('1611','840','COMPLAINT RESOLVED','92','2020-10-02 01:14:12','2020-10-02 01:14:12');
INSERT INTO complaint_remarks VALUES('1612','453','UNIT S/C KAL LA K GAY HAIN','74','2020-10-02 22:08:53','2020-10-02 22:08:53');
INSERT INTO complaint_remarks VALUES('1613','1126','NOT ATTEND CALL','74','2020-10-02 22:12:52','2020-10-02 22:12:52');
INSERT INTO complaint_remarks VALUES('1614','1153','UNIT ABI S/C MAIN HI HAIN COMPANY SIDE SA CUSTOMER KO CALL AAGEI HAIN KAL LIFT KARAWY GAY','74','2020-10-02 22:15:17','2020-10-02 22:15:17');
INSERT INTO complaint_remarks VALUES('1615','1449','LG MAIN REMINDER DA DIA HAIN KAL VISIT HO GA CUSTOMER CALL ATTEND NAI KAR RAHAY KHURRAM SADAR KO B INFORMED KAR DIA','74','2020-10-03 01:03:48','2020-10-03 01:03:48');
INSERT INTO complaint_remarks VALUES('1616','1361','COMPLAINT PA VISIT HO GAY HAIN PARTS S/C LA K GAY HOAY HAIN WORKING IN PROCESS','74','2020-10-03 01:17:05','2020-10-03 01:17:05');
INSERT INTO complaint_remarks VALUES('1617','1463','KHURRAM BHAI KO REMINDER DA DIA HAIN VISIT HO  GA','74','2020-10-03 02:35:52','2020-10-03 02:35:52');
INSERT INTO complaint_remarks VALUES('1618','1490','VISOT HO GAYA HAY LAKEN MONDAY KO PHER SAY VISOT KARAY GAY','92','2020-10-03 19:35:07','2020-10-03 19:35:07');
INSERT INTO complaint_remarks VALUES('1619','1455','COMPLAINT RESOLVED','92','2020-10-03 19:44:17','2020-10-03 19:44:17');
INSERT INTO complaint_remarks VALUES('1620','1454','VISOT HO GAYA HAY REPLACE KA BOLA HAY ALACTION NAY','92','2020-10-03 19:49:37','2020-10-03 19:49:37');
INSERT INTO complaint_remarks VALUES('1621','1462','COMPLAINT RESOLVED','92','2020-10-03 20:06:21','2020-10-03 20:06:21');
INSERT INTO complaint_remarks VALUES('1622','1464','d.o.p:23-dec-2017','73','2020-10-05 00:51:48','2020-10-05 00:51:48');
INSERT INTO complaint_remarks VALUES('1623','1499','NOT ATTEND CALL','92','2020-10-05 21:26:02','2020-10-05 21:26:02');
INSERT INTO complaint_remarks VALUES('1624','1497','COMPLAINT RESOLVED','92','2020-10-05 21:30:57','2020-10-05 21:30:57');
INSERT INTO complaint_remarks VALUES('1625','1495','VISOT HO GAYA HAY REMOTE ISSUE HAY','92','2020-10-05 21:35:04','2020-10-05 21:35:04');
INSERT INTO complaint_remarks VALUES('1626','1494','NOT ATTEND CALL','92','2020-10-05 21:38:17','2020-10-05 21:38:17');
INSERT INTO complaint_remarks VALUES('1627','1493','COMPLAINT RESOLVED','92','2020-10-05 21:39:54','2020-10-05 21:39:54');
INSERT INTO complaint_remarks VALUES('1628','1489','NOT ATTEND CALL','92','2020-10-05 21:46:32','2020-10-05 21:46:32');
INSERT INTO complaint_remarks VALUES('1629','1486','AJ VISOT HO JAY GA','92','2020-10-05 21:53:39','2020-10-05 21:53:39');
INSERT INTO complaint_remarks VALUES('1630','1494','COMPLAINT RESOLVED','92','2020-10-05 23:04:46','2020-10-05 23:04:46');
INSERT INTO complaint_remarks VALUES('1631','1490','COMPLAINT RESOLVED','92','2020-10-05 23:08:42','2020-10-05 23:08:42');
INSERT INTO complaint_remarks VALUES('1632','1489','VISOT HO GAYA HAY COMPLAINT NOT RESOLVED','92','2020-10-05 23:11:40','2020-10-05 23:11:40');
INSERT INTO complaint_remarks VALUES('1633','1484','COMPLAINT RESOLVED','92','2020-10-05 23:18:17','2020-10-05 23:18:17');
INSERT INTO complaint_remarks VALUES('1634','1480','COMPLAINT RESOLVED','92','2020-10-05 23:21:27','2020-10-05 23:21:27');
INSERT INTO complaint_remarks VALUES('1635','1479','VISOT HO GAYA THA SERVICE CENTER LAY KAR JANA HAY','92','2020-10-05 23:24:22','2020-10-05 23:24:22');
INSERT INTO complaint_remarks VALUES('1636','1477','COMPLAINT RESOLVED','92','2020-10-05 23:25:54','2020-10-05 23:25:54');
INSERT INTO complaint_remarks VALUES('1637','1539','COMPLAINT#PKRI-201005107587','74','2020-10-05 23:28:04','2020-10-05 23:28:04');
INSERT INTO complaint_remarks VALUES('1638','1476','COMPLAINT RESOLVED','92','2020-10-05 23:29:01','2020-10-05 23:29:01');
INSERT INTO complaint_remarks VALUES('1639','1473','COMPLAINT RESOLVED','92','2020-10-05 23:33:21','2020-10-05 23:33:21');
INSERT INTO complaint_remarks VALUES('1640','1472','COMPLAINT RESOLVED','92','2020-10-05 23:36:49','2020-10-05 23:36:49');
INSERT INTO complaint_remarks VALUES('1641','1502','COMPLAINT#49927','74','2020-10-05 23:38:57','2020-10-05 23:38:57');
INSERT INTO complaint_remarks VALUES('1642','1469','LEFT TO SERVICE CENTER','92','2020-10-05 23:43:19','2020-10-05 23:43:19');
INSERT INTO complaint_remarks VALUES('1643','1463','COMPLAINT RESOLVED','92','2020-10-05 23:47:14','2020-10-05 23:47:14');
INSERT INTO complaint_remarks VALUES('1644','1501','COMPLAINT#9721','74','2020-10-05 23:54:25','2020-10-05 23:54:25');
INSERT INTO complaint_remarks VALUES('1645','1546','OTHER#03335591345','74','2020-10-06 00:00:17','2020-10-06 00:00:17');
INSERT INTO complaint_remarks VALUES('1646','1439','COMPLAINT RESOLVED','92','2020-10-06 00:28:39','2020-10-06 00:28:39');
INSERT INTO complaint_remarks VALUES('1647','1448','COMPLAINT RESOLVED','92','2020-10-06 00:49:50','2020-10-06 00:49:50');
INSERT INTO complaint_remarks VALUES('1648','1515','COMPLAINT#3001','74','2020-10-06 00:55:59','2020-10-06 00:55:59');
INSERT INTO complaint_remarks VALUES('1649','1416','AJ SHAMM KO VISOT HO GA','92','2020-10-06 01:00:38','2020-10-06 01:00:38');
INSERT INTO complaint_remarks VALUES('1650','1411','COMPLAINT RESOLVED','92','2020-10-06 01:02:14','2020-10-06 01:02:14');
INSERT INTO complaint_remarks VALUES('1651','1529','COMPLAINT FF KHURRAM 5 STAR','74','2020-10-06 01:03:29','2020-10-06 01:03:29');
INSERT INTO complaint_remarks VALUES('1652','1408','COMPLAINT RESOLVED','92','2020-10-06 01:04:04','2020-10-06 01:04:04');
INSERT INTO complaint_remarks VALUES('1653','1405','COMPLAINT RESOLVED','92','2020-10-06 01:06:30','2020-10-06 01:06:30');
INSERT INTO complaint_remarks VALUES('1654','1431','LEFT TO SERVICE CENTER','92','2020-10-06 01:11:16','2020-10-06 01:11:16');
INSERT INTO complaint_remarks VALUES('1655','1416','COMPLAINT PA VISIT HO GAY HAIN BOARD DEMAND KIYA HOA HAIN','74','2020-10-06 01:13:17','2020-10-06 01:13:17');
INSERT INTO complaint_remarks VALUES('1656','1527','AJ VISOT HO GA','92','2020-10-06 01:17:07','2020-10-06 01:17:07');
INSERT INTO complaint_remarks VALUES('1657','1531','LEFT IN SERVICE CENTER','92','2020-10-06 01:20:45','2020-10-06 01:20:45');
INSERT INTO complaint_remarks VALUES('1658','1416','AJ MAIN BOAD LAG JAY GA','74','2020-10-06 01:27:10','2020-10-06 01:27:10');
INSERT INTO complaint_remarks VALUES('1659','1532','COMPLAINT RESOLVED','92','2020-10-06 01:33:51','2020-10-06 01:33:51');
INSERT INTO complaint_remarks VALUES('1660','1425','COMPLAINT RESOLVED','92','2020-10-06 01:36:04','2020-10-06 01:36:04');
INSERT INTO complaint_remarks VALUES('1661','1499','COMPLAINT RESOLVED','92','2020-10-06 01:40:34','2020-10-06 01:40:34');
INSERT INTO complaint_remarks VALUES('1662','1498','COMPLAINT RESOLVED','92','2020-10-06 01:42:53','2020-10-06 01:42:53');
INSERT INTO complaint_remarks VALUES('1663','1369','COMPLAINT RESOLVED','92','2020-10-06 02:13:34','2020-10-06 02:13:34');
INSERT INTO complaint_remarks VALUES('1664','1368','OUT OFF CITY HAY CASTOMAR','92','2020-10-06 02:17:58','2020-10-06 02:17:58');
INSERT INTO complaint_remarks VALUES('1665','1452','COMPLAINT RESOLVED','92','2020-10-06 02:22:49','2020-10-06 02:22:49');
INSERT INTO complaint_remarks VALUES('1666','1552','COMPLAINT RESOLVED','92','2020-10-06 19:37:21','2020-10-06 19:37:21');
INSERT INTO complaint_remarks VALUES('1667','1550','LEFT TO SERVICE CENTER','92','2020-10-06 19:40:17','2020-10-06 19:40:17');
INSERT INTO complaint_remarks VALUES('1668','1541','NOT ATTEND CALL','92','2020-10-06 19:52:54','2020-10-06 19:52:54');
INSERT INTO complaint_remarks VALUES('1669','1540','CALL AYE THI PLATE ISSUE HAY PLATE ABI AVILABLE NAI HAY JAB AY GE TO LAGA DAY GAY','92','2020-10-06 19:57:17','2020-10-06 19:57:17');
INSERT INTO complaint_remarks VALUES('1670','1527','COMPLAINT RESOLVED','92','2020-10-06 19:59:44','2020-10-06 19:59:44');
INSERT INTO complaint_remarks VALUES('1671','1519','COMPLAINT RESOLVED','92','2020-10-06 20:08:30','2020-10-06 20:08:30');
INSERT INTO complaint_remarks VALUES('1672','1514','ISSUE NOT RESOLVED','92','2020-10-06 20:13:39','2020-10-06 20:13:39');
INSERT INTO complaint_remarks VALUES('1673','1504','COMPLAINT RESOLVED','92','2020-10-06 20:27:33','2020-10-06 20:27:33');
INSERT INTO complaint_remarks VALUES('1674','1537','VISIT TO DAY CUSTOMER KO INFORMED KAR DIA HAIN','74','2020-10-06 20:34:54','2020-10-06 20:34:54');
INSERT INTO complaint_remarks VALUES('1675','1485','NOT ATTEND CALL','92','2020-10-06 20:35:30','2020-10-06 20:35:30');
INSERT INTO complaint_remarks VALUES('1676','1482','NOT ATTEND CALL','92','2020-10-06 20:37:56','2020-10-06 20:37:56');
INSERT INTO complaint_remarks VALUES('1677','1454','COMPLAINT RESOLVED','92','2020-10-06 20:41:40','2020-10-06 20:41:40');
INSERT INTO complaint_remarks VALUES('1678','1445','VISOT TO DAY','92','2020-10-06 21:01:03','2020-10-06 21:01:03');
INSERT INTO complaint_remarks VALUES('1679','1416','COMPLAINT RESOLVED','74','2020-10-06 21:05:48','2020-10-06 21:05:48');
INSERT INTO complaint_remarks VALUES('1680','1350','LEFT IN SERVICE CENTER','92','2020-10-06 21:19:26','2020-10-06 21:19:26');
INSERT INTO complaint_remarks VALUES('1681','439','CUSTOMER NA ABI COMPLAINT KHUD SA CLOSED KARWA DI  HAIN REF ABI SAHI COOLING KAR RAHAY HAIN  COMPLAINT RESOLVE','74','2020-10-06 21:35:39','2020-10-06 21:35:39');
INSERT INTO complaint_remarks VALUES('1682','1348','VISOT TO DAY','92','2020-10-06 21:47:12','2020-10-06 21:47:12');
INSERT INTO complaint_remarks VALUES('1683','1271','COMPLAINT RESOLVED','92','2020-10-06 21:58:21','2020-10-06 21:58:21');
INSERT INTO complaint_remarks VALUES('1684','1264','COMPLAINT RESOLVED','92','2020-10-06 22:00:22','2020-10-06 22:00:22');
INSERT INTO complaint_remarks VALUES('1685','558','COMPLAINT RESOLVED','92','2020-10-06 22:05:38','2020-10-06 22:05:38');
INSERT INTO complaint_remarks VALUES('1686','680','PART ISSUE HAY','92','2020-10-06 22:12:59','2020-10-06 22:12:59');
INSERT INTO complaint_remarks VALUES('1687','749','LEFT TO SERVICE CENTER','92','2020-10-06 22:21:11','2020-10-06 22:21:11');
INSERT INTO complaint_remarks VALUES('1688','1518','COMPLAINT RESOLVED','92','2020-10-06 22:47:21','2020-10-06 22:47:21');
INSERT INTO complaint_remarks VALUES('1689','1486','LEFT TO SERVICE CENTER','92','2020-10-06 22:49:56','2020-10-06 22:49:56');
INSERT INTO complaint_remarks VALUES('1690','1485','COMPLAINT RESOLVED','92','2020-10-06 22:51:56','2020-10-06 22:51:56');
INSERT INTO complaint_remarks VALUES('1691','461','WIFI KA ISSUE HAIN CUSTOMER NA KHUD S/C LA K JANAI THI PAR ABI TAQ NAI LA GAY AJ CUSTOMER SA AGAIN BAT HOI HAIN WO BOL RAHAY ABI CLOSED KAR DAY MAIN KHUD S/C LA JAO GA SET IMRAN FCP KO B INFORMED KAR DIA','74','2020-10-07 00:10:42','2020-10-07 00:10:42');
INSERT INTO complaint_remarks VALUES('1692','1569','TECHNICIAN ROUT PA HAIN CUTOMER CALL ATTEND NI KAR RAHAY BILA FCP KO INFORMED KAR DIA','74','2020-10-07 01:35:05','2020-10-07 01:35:05');
INSERT INTO complaint_remarks VALUES('1693','1528','TANK LEAKAGE HAIN KHURRAM BHAI CHEEKED KAR RAHAY HAIN','74','2020-10-07 02:54:51','2020-10-07 02:54:51');
INSERT INTO complaint_remarks VALUES('1694','1610','DABAL COMPLAINT ENTER','74','2020-10-07 20:55:24','2020-10-07 20:55:24');
INSERT INTO complaint_remarks VALUES('1695','1609','CLOSED','74','2020-10-07 20:56:43','2020-10-07 20:56:43');
INSERT INTO complaint_remarks VALUES('1696','1608','CLOSED','74','2020-10-07 20:58:04','2020-10-07 20:58:04');
INSERT INTO complaint_remarks VALUES('1697','1546','NOT ATTEND CALL','92','2020-10-07 20:59:03','2020-10-07 20:59:03');
INSERT INTO complaint_remarks VALUES('1698','1607','CLOSED','74','2020-10-07 20:59:07','2020-10-07 20:59:07');
INSERT INTO complaint_remarks VALUES('1699','1541','AJ VISOT HO GA','92','2020-10-07 21:00:40','2020-10-07 21:00:40');
INSERT INTO complaint_remarks VALUES('1700','1606','CLOSED','74','2020-10-07 21:00:54','2020-10-07 21:00:54');
INSERT INTO complaint_remarks VALUES('1701','1495','VISOT HO GAYA HAY COMPANI WALAY BOL RAHAY HAY K REMOTE   NAI HAY JAB HO GA TO LAGA DAY GAY','92','2020-10-07 21:17:44','2020-10-07 21:17:44');
INSERT INTO complaint_remarks VALUES('1702','777','COMPLAINT RESOLVED','92','2020-10-07 21:38:13','2020-10-07 21:38:13');
INSERT INTO complaint_remarks VALUES('1703','1559','COMPLAINT RESOLVED','92','2020-10-07 21:49:39','2020-10-07 21:49:39');
INSERT INTO complaint_remarks VALUES('1704','1520','AJ VISOT HO GA','92','2020-10-07 22:00:20','2020-10-07 22:00:20');
INSERT INTO complaint_remarks VALUES('1705','1153','COMPLAINT RESOLVED','92','2020-10-07 22:10:25','2020-10-07 22:10:25');
INSERT INTO complaint_remarks VALUES('1706','1040','NOT ATTEND CALL','92','2020-10-07 22:13:30','2020-10-07 22:13:30');
INSERT INTO complaint_remarks VALUES('1707','1431','KAL TAK AY JAY GA SERVICE CENTER SAY','92','2020-10-07 22:16:33','2020-10-07 22:16:33');
INSERT INTO complaint_remarks VALUES('1708','1359','COMPLAINT RESOLVED','92','2020-10-07 22:29:28','2020-10-07 22:29:28');
INSERT INTO complaint_remarks VALUES('1709','1354','COMPLAINT RESOLVED','92','2020-10-07 22:32:01','2020-10-07 22:32:01');
INSERT INTO complaint_remarks VALUES('1710','1322','COMPLAINT RESOLVED','92','2020-10-07 22:41:30','2020-10-07 22:41:30');
INSERT INTO complaint_remarks VALUES('1711','1126','COMPLAINT RESOLVED','92','2020-10-07 22:59:37','2020-10-07 22:59:37');
INSERT INTO complaint_remarks VALUES('1712','990','COMPLAINT RESOLVED','92','2020-10-07 23:07:53','2020-10-07 23:07:53');
INSERT INTO complaint_remarks VALUES('1713','1548','KHURRAM BHAI KO REMINDER DA DIA HAIN KAL VISIT HO GA   WAQAS FCP KO B INFORMED KAR DIA  CUSTOMER NA SATURDAY KA TIME DIA HAIN','74','2020-10-07 23:08:44','2020-10-07 23:08:44');
INSERT INTO complaint_remarks VALUES('1714','1563','COMPLAINT RESOLVED','92','2020-10-07 23:33:12','2020-10-07 23:33:12');
INSERT INTO complaint_remarks VALUES('1715','1560','COMPLAINT RESOLVED','74','2020-10-07 23:41:34','2020-10-07 23:41:34');
INSERT INTO complaint_remarks VALUES('1716','1521','COMPLAINT RESOLVED','92','2020-10-08 00:12:30','2020-10-08 00:12:30');
INSERT INTO complaint_remarks VALUES('1717','1590','TECHNICIAN ON ROUT PA','74','2020-10-08 02:21:56','2020-10-08 02:21:56');
INSERT INTO complaint_remarks VALUES('1718','1564','COMPLAINT RESOLVED','92','2020-10-08 19:35:13','2020-10-08 19:35:13');
INSERT INTO complaint_remarks VALUES('1719','1565','COMPLAINT RESOLVED','92','2020-10-08 19:40:18','2020-10-08 19:40:18');
INSERT INTO complaint_remarks VALUES('1720','1561','COMPLAINT RESOLVED','92','2020-10-08 19:43:30','2020-10-08 19:43:30');
INSERT INTO complaint_remarks VALUES('1721','1558','COMPLAINT RESOLVED','92','2020-10-08 19:46:30','2020-10-08 19:46:30');
INSERT INTO complaint_remarks VALUES('1722','1554','COMPLAINT RESOLVED','92','2020-10-08 19:49:08','2020-10-08 19:49:08');
INSERT INTO complaint_remarks VALUES('1723','1591','COMPLAINT RESOLVED','92','2020-10-08 20:11:53','2020-10-08 20:11:53');
INSERT INTO complaint_remarks VALUES('1724','1372','PCB KIT DEMAND KI HOI HAIN CUSTOMER KO B INFORMED KAR DI AHIN','74','2020-10-08 20:41:45','2020-10-08 20:41:45');
INSERT INTO complaint_remarks VALUES('1725','1541','COMPLAINT RESOLVED','92','2020-10-08 20:53:54','2020-10-08 20:53:54');
INSERT INTO complaint_remarks VALUES('1726','1595','COMPLAINT RESOLVED','92','2020-10-08 21:15:00','2020-10-08 21:15:00');
INSERT INTO complaint_remarks VALUES('1727','1587','COMPLAINT RESOLVED','92','2020-10-08 21:18:49','2020-10-08 21:18:49');
INSERT INTO complaint_remarks VALUES('1728','1469','PANEL ISSUE HAY SERVICE CENTER LAHORE','92','2020-10-08 21:35:32','2020-10-08 21:35:32');
INSERT INTO complaint_remarks VALUES('1729','1546','COMPLAINT RESOLVED','92','2020-10-08 22:24:40','2020-10-08 22:24:40');
INSERT INTO complaint_remarks VALUES('1730','1516','COMPLAINT RESOLVED','74','2020-10-08 22:49:50','2020-10-08 22:49:50');
INSERT INTO complaint_remarks VALUES('1731','693','ASLAAM SIR S/C LA K GAY HAIN','74','2020-10-08 22:59:48','2020-10-08 22:59:48');
INSERT INTO complaint_remarks VALUES('1732','1501','W/M S/C WORKING IN PROCESS','74','2020-10-08 23:00:55','2020-10-08 23:00:55');
INSERT INTO complaint_remarks VALUES('1733','1617','COMPLAINT PA VISIT HO GAYA HAIN SCREEN PA BLACK DOT AARHAY HAIN SET S/C LIFT H GA','74','2020-10-10 01:57:56','2020-10-10 01:57:56');
INSERT INTO complaint_remarks VALUES('1734','1495','KAL VISIT HOA HAIN PARTS ADJUST NAI HAO  AGAIN VISIT KA BOL KA GAY HAIN','74','2020-10-10 19:53:02','2020-10-10 19:53:02');
INSERT INTO complaint_remarks VALUES('1735','1624','COMPANY MAIN REMINDER DA DIA','74','2020-10-10 20:49:34','2020-10-10 20:49:34');
INSERT INTO complaint_remarks VALUES('1736','1645','NOT ATTEND CALL','92','2020-10-10 20:50:46','2020-10-10 20:50:46');
INSERT INTO complaint_remarks VALUES('1737','1643','COMPLAINT RESOLVED','92','2020-10-10 20:52:42','2020-10-10 20:52:42');
INSERT INTO complaint_remarks VALUES('1738','1636','COMPLAINT RESOLVED','92','2020-10-10 20:54:56','2020-10-10 20:54:56');
INSERT INTO complaint_remarks VALUES('1739','1635','NOT ATTEND CALL','92','2020-10-10 20:58:03','2020-10-10 20:58:03');
INSERT INTO complaint_remarks VALUES('1740','1632','COMPLAINT RESOLVED','92','2020-10-10 21:02:43','2020-10-10 21:02:43');
INSERT INTO complaint_remarks VALUES('1741','1627','NOT ATTEND CALL','92','2020-10-10 21:06:16','2020-10-10 21:06:16');
INSERT INTO complaint_remarks VALUES('1742','1621','REPLACE HO GE AJ KA TIME DEYA HAY','92','2020-10-10 21:11:44','2020-10-10 21:11:44');
INSERT INTO complaint_remarks VALUES('1743','1618','COMPLAINT RESOLVED','92','2020-10-10 21:13:25','2020-10-10 21:13:25');
INSERT INTO complaint_remarks VALUES('1744','1576','COMPRESSOR  LG S/C KO DA DIA HAIN','74','2020-10-10 21:17:43','2020-10-10 21:17:43');
INSERT INTO complaint_remarks VALUES('1745','1611','COMPLAINT RESOLVED','92','2020-10-10 21:17:57','2020-10-10 21:17:57');
INSERT INTO complaint_remarks VALUES('1746','1605','COMPLAINT RESOLVED','92','2020-10-10 21:20:30','2020-10-10 21:20:30');
INSERT INTO complaint_remarks VALUES('1747','1604','COMPLAINT RESOLVED','92','2020-10-10 21:23:48','2020-10-10 21:23:48');
INSERT INTO complaint_remarks VALUES('1748','1489','YHA COMPLAINT CUSTOMER NA LOCAL TECHNICIAN SA THEEK KARWA DI COMPLAINT CLOSED','74','2020-10-10 21:25:30','2020-10-10 21:25:30');
INSERT INTO complaint_remarks VALUES('1749','1602','COMPLAINT IN PROCESS','92','2020-10-10 21:27:26','2020-10-10 21:27:26');
INSERT INTO complaint_remarks VALUES('1750','1557','COMPLAINT AGAIN REOPENED KARWA DI','74','2020-10-10 21:27:26','2020-10-10 21:27:26');
INSERT INTO complaint_remarks VALUES('1751','1600','COMPLAINT RESOLVED','92','2020-10-10 21:29:51','2020-10-10 21:29:51');
INSERT INTO complaint_remarks VALUES('1752','1599','COMPLAINT RESOLVED','92','2020-10-10 21:36:11','2020-10-10 21:36:11');
INSERT INTO complaint_remarks VALUES('1753','1598','COMPLAINT RESOLVED','92','2020-10-10 21:38:15','2020-10-10 21:38:15');
INSERT INTO complaint_remarks VALUES('1754','1596','COMPLAINT RESOLVED','92','2020-10-10 21:40:07','2020-10-10 21:40:07');
INSERT INTO complaint_remarks VALUES('1755','1593','AJ VISOT HO GA','92','2020-10-10 21:46:09','2020-10-10 21:46:09');
INSERT INTO complaint_remarks VALUES('1756','1589','VISOT  HO GAY HAY  IN PROCESS COMPLAINT','92','2020-10-10 22:00:05','2020-10-10 22:00:05');
INSERT INTO complaint_remarks VALUES('1757','1584','MONDAY KO VISOT HO GA','92','2020-10-10 22:09:21','2020-10-10 22:09:21');
INSERT INTO complaint_remarks VALUES('1758','1578','NOT ATTEND CALL','92','2020-10-10 22:12:42','2020-10-10 22:12:42');
INSERT INTO complaint_remarks VALUES('1759','1640','COMPLAINT RESOLVED','92','2020-10-10 22:29:38','2020-10-10 22:29:38');
INSERT INTO complaint_remarks VALUES('1760','1641','B.COOL K NO CUSTOMER KO PROVIDE KAR DIA','74','2020-10-10 23:07:32','2020-10-10 23:07:32');
INSERT INTO complaint_remarks VALUES('1761','1653','COMPLAINT RESOLVED','92','2020-10-10 23:15:51','2020-10-10 23:15:51');
INSERT INTO complaint_remarks VALUES('1762','1633','COMPLAINT RESOLVED','74','2020-10-10 23:26:13','2020-10-10 23:26:13');
INSERT INTO complaint_remarks VALUES('1763','1621','CUSTOMER KI COMPLAINT PA VISIT HO GAY HAIN BUT ISSUE RESOLVED NAI HOA CUSTOMER W/M REPLACE KARWANA CHAHTI HAIN','74','2020-10-10 23:54:50','2020-10-10 23:54:50');
INSERT INTO complaint_remarks VALUES('1764','1631','NO MISTAKE KI WAJA SA COMPLAINT DELAY HOI V ABI COMPANY MAIN CORRECT KARWAY NO','74','2020-10-12 19:43:28','2020-10-12 19:43:28');
INSERT INTO complaint_remarks VALUES('1765','1695','COMPLAINT#PKRI-201012102056','74','2020-10-12 19:47:07','2020-10-12 19:47:07');
INSERT INTO complaint_remarks VALUES('1766','1696','COMPLAINT#PKRI-201012102089','74','2020-10-12 19:48:19','2020-10-12 19:48:19');
INSERT INTO complaint_remarks VALUES('1767','1700','DABAL COMPLIANT ENTER','74','2020-10-12 19:55:49','2020-10-12 19:55:49');
INSERT INTO complaint_remarks VALUES('1768','1553','NOT VISOT TO COMPLAINT','92','2020-10-12 20:05:40','2020-10-12 20:05:40');
INSERT INTO complaint_remarks VALUES('1769','1550','CALL AYE THI SERVICE CENTER SAY WATER DISPENSER OK LAY GAY TWO DAYS TAK LAY JAOUN GA','92','2020-10-12 20:15:11','2020-10-12 20:15:11');
INSERT INTO complaint_remarks VALUES('1770','1531','COMPLAINT RESOLVED','92','2020-10-12 20:20:45','2020-10-12 20:20:45');
INSERT INTO complaint_remarks VALUES('1771','1482','NOT ATTEND CALL','92','2020-10-12 20:39:54','2020-10-12 20:39:54');
INSERT INTO complaint_remarks VALUES('1772','1348','COMPLAINT RESOLVED','92','2020-10-12 20:52:35','2020-10-12 20:52:35');
INSERT INTO complaint_remarks VALUES('1773','1671','COMPLAINT RESOLVED','92','2020-10-12 21:34:35','2020-10-12 21:34:35');
INSERT INTO complaint_remarks VALUES('1774','1660','NOT ATTEND CALL','92','2020-10-12 21:37:57','2020-10-12 21:37:57');
INSERT INTO complaint_remarks VALUES('1775','1655','NOT ATTEND CALL','92','2020-10-12 21:40:33','2020-10-12 21:40:33');
INSERT INTO complaint_remarks VALUES('1776','1652','COMPLAINT RESOLVED','92','2020-10-12 21:43:04','2020-10-12 21:43:04');
INSERT INTO complaint_remarks VALUES('1777','1655','NOT ATTEND CALL','92','2020-10-12 22:08:24','2020-10-12 22:08:24');
INSERT INTO complaint_remarks VALUES('1778','1651','LEFT TO SERVICE CENTER','92','2020-10-12 22:15:53','2020-10-12 22:15:53');
INSERT INTO complaint_remarks VALUES('1779','1650','NOT ATTEND CALL','92','2020-10-12 22:18:14','2020-10-12 22:18:14');
INSERT INTO complaint_remarks VALUES('1780','1635','COMPLAINT RESOLVED','92','2020-10-12 22:37:20','2020-10-12 22:37:20');
INSERT INTO complaint_remarks VALUES('1781','1625','NOT VISOT TO COMPLAINT','92','2020-10-12 23:33:30','2020-10-12 23:33:30');
INSERT INTO complaint_remarks VALUES('1782','1522','COMPLAINT PA VISIT HO GAYA THERMOSTAT KI WAJA SA DELAY COMPLAINT KHURRAM BHHAI KO WHATSAPP REMINDER DA DIA','74','2020-10-12 23:38:02','2020-10-12 23:38:02');
INSERT INTO complaint_remarks VALUES('1783','1522','THERMOSTAT AAGAY HAIN KAL COMPLAINT ATTEND HO JAY GEI CUSTOMER KO B INFORMED KAR DIA','74','2020-10-12 23:47:01','2020-10-12 23:47:01');
INSERT INTO complaint_remarks VALUES('1784','1682','VISIT TO DAY TAHIR RAMZAN KO REMINDER DA DIA HAIN','74','2020-10-13 01:08:40','2020-10-13 01:08:40');
INSERT INTO complaint_remarks VALUES('1785','1689','COMPLAINT RESOLVED','92','2020-10-13 19:27:26','2020-10-13 19:27:26');
INSERT INTO complaint_remarks VALUES('1786','1684','VISIT HUA HAY ISSUE NOT RESOLVED','92','2020-10-13 19:33:04','2020-10-13 19:33:04');
INSERT INTO complaint_remarks VALUES('1787','1550','COMPLAINT RESOLVED','92','2020-10-13 19:39:25','2020-10-13 19:39:25');
INSERT INTO complaint_remarks VALUES('1788','1548','NOT VISIT TO COMPLAINT','92','2020-10-13 19:42:33','2020-10-13 19:42:33');
INSERT INTO complaint_remarks VALUES('1789','1431','COMPLAINT RESOLVED','92','2020-10-13 19:50:55','2020-10-13 19:50:55');
INSERT INTO complaint_remarks VALUES('1790','1368','NOT ATTEND CALL','92','2020-10-13 19:55:11','2020-10-13 19:55:11');
INSERT INTO complaint_remarks VALUES('1791','1350','COMPLAINT RESOLVED','92','2020-10-13 19:56:29','2020-10-13 19:56:29');
INSERT INTO complaint_remarks VALUES('1792','1678','COMPLAINT RESOLVED','92','2020-10-13 21:13:53','2020-10-13 21:13:53');
INSERT INTO complaint_remarks VALUES('1793','1674','COMPLAINT RESOLVED','92','2020-10-13 21:16:13','2020-10-13 21:16:13');
INSERT INTO complaint_remarks VALUES('1794','1673','COMPLAINT RESOLVED','92','2020-10-13 21:18:50','2020-10-13 21:18:50');
INSERT INTO complaint_remarks VALUES('1795','1663','NOT ATTEND CALL','92','2020-10-13 21:23:26','2020-10-13 21:23:26');
INSERT INTO complaint_remarks VALUES('1796','1660','COMPLAINT RESOLVED','92','2020-10-13 21:24:45','2020-10-13 21:24:45');
INSERT INTO complaint_remarks VALUES('1797','1655','COMPLAINT RESOLVED','92','2020-10-13 21:29:54','2020-10-13 21:29:54');
INSERT INTO complaint_remarks VALUES('1798','1654','AJ VISIT HO GA','92','2020-10-13 21:32:53','2020-10-13 21:32:53');
INSERT INTO complaint_remarks VALUES('1799','1575','NOT ATTEND CALL','92','2020-10-13 22:59:09','2020-10-13 22:59:09');
INSERT INTO complaint_remarks VALUES('1800','1690','COMPLAINT RESOLVED','92','2020-10-14 00:08:49','2020-10-14 00:08:49');
INSERT INTO complaint_remarks VALUES('1801','1687','TRACTION KI  CALL AYE THI SERVICE CENTER SAY CUSTOMER SERVICE CENTER JANAY NAI CHATTY COMPLAINT CLOSED','92','2020-10-14 00:21:27','2020-10-14 00:21:27');
INSERT INTO complaint_remarks VALUES('1802','1670','COMPLAINT RESOLVED','92','2020-10-14 00:44:31','2020-10-14 00:44:31');
INSERT INTO complaint_remarks VALUES('1803','1593','COMPLAINT RESOLVED','92','2020-10-14 00:45:01','2020-10-14 00:45:01');
INSERT INTO complaint_remarks VALUES('1804','1585','COMPLAINT RESOLVED','92','2020-10-14 00:57:44','2020-10-14 00:57:44');
INSERT INTO complaint_remarks VALUES('1805','1584','COMPLAINT RESOLVED','92','2020-10-14 01:04:35','2020-10-14 01:04:35');
INSERT INTO complaint_remarks VALUES('1806','1578','COMPLAINT RESOLVED','92','2020-10-14 01:13:14','2020-10-14 01:13:14');
INSERT INTO complaint_remarks VALUES('1807','1575','COMPLAINT RESOLVED','92','2020-10-14 01:15:26','2020-10-14 01:15:26');
INSERT INTO complaint_remarks VALUES('1808','1479','W/D SHAHMSHABAD BAJWA DAY ASLAM SIR NA COMPANY S/C MOVE KRWANA','74','2020-10-14 01:19:36','2020-10-14 01:19:36');
INSERT INTO complaint_remarks VALUES('1809','1570','NOT VISIT TO COMPLAINT','92','2020-10-14 01:25:09','2020-10-14 01:25:09');
INSERT INTO complaint_remarks VALUES('1810','1570','NAEEM KENWOOD KO REMINDER DA DIA','74','2020-10-14 01:47:41','2020-10-14 01:47:41');
INSERT INTO complaint_remarks VALUES('1811','1579','COMPLAINT RESOLVED','74','2020-10-14 02:54:06','2020-10-14 02:54:06');
INSERT INTO complaint_remarks VALUES('1812','1692','NOT ATTEND CALL','92','2020-10-14 19:55:03','2020-10-14 19:55:03');
INSERT INTO complaint_remarks VALUES('1813','1688','VISIT HO GAYA HAY COMPOSER ISSUE','92','2020-10-14 19:57:36','2020-10-14 19:57:36');
INSERT INTO complaint_remarks VALUES('1814','1686','COMPLAINT RESOLVED','92','2020-10-14 19:59:41','2020-10-14 19:59:41');
INSERT INTO complaint_remarks VALUES('1815','1705','VISIT TO DAY','74','2020-10-14 20:02:48','2020-10-14 20:02:48');
INSERT INTO complaint_remarks VALUES('1816','1680','NOT ATTEND CALL','92','2020-10-14 20:09:11','2020-10-14 20:09:11');
INSERT INTO complaint_remarks VALUES('1817','1663','NOT VISIT TO COMPLAINT','92','2020-10-14 20:13:55','2020-10-14 20:13:55');
INSERT INTO complaint_remarks VALUES('1818','1602','COMPLAINT RESOLVED','92','2020-10-14 20:21:30','2020-10-14 20:21:30');
INSERT INTO complaint_remarks VALUES('1819','1566','NOT ATTEND CALL','92','2020-10-14 20:27:04','2020-10-14 20:27:04');
INSERT INTO complaint_remarks VALUES('1820','1522','COMPLAINT RESOLVED','92','2020-10-14 20:30:56','2020-10-14 20:30:56');
INSERT INTO complaint_remarks VALUES('1821','1495','AJ VISIT HO GA','92','2020-10-14 20:39:16','2020-10-14 20:39:16');
INSERT INTO complaint_remarks VALUES('1822','1469','COMPLAINT RESOLVED','92','2020-10-14 20:45:53','2020-10-14 20:45:53');
INSERT INTO complaint_remarks VALUES('1823','1685','MISS AREEBA NA WRONG SELECT KAR DIA','74','2020-10-14 20:54:29','2020-10-14 20:54:29');
INSERT INTO complaint_remarks VALUES('1824','1372','NOT ATTEND CALL','92','2020-10-14 20:57:05','2020-10-14 20:57:05');
INSERT INTO complaint_remarks VALUES('1825','1368','COMPLAINT RESOLVED','92','2020-10-14 20:58:23','2020-10-14 20:58:23');
INSERT INTO complaint_remarks VALUES('1826','473','COMPLAINT RESOLVED','74','2020-10-14 21:08:03','2020-10-14 21:08:03');
INSERT INTO complaint_remarks VALUES('1827','495','SHARP K A/C KI REPLACEMENT HO GEI  CLOSED COMPLAINT','74','2020-10-14 21:11:02','2020-10-14 21:11:02');
INSERT INTO complaint_remarks VALUES('1828','1402','COMPLAINT RESOLVED','74','2020-10-14 21:35:44','2020-10-14 21:35:44');
INSERT INTO complaint_remarks VALUES('1829','1616','COMPLAINT RESOLVED','92','2020-10-14 21:38:56','2020-10-14 21:38:56');
INSERT INTO complaint_remarks VALUES('1830','1612','COMPLAINT RESOLVED','92','2020-10-14 21:42:03','2020-10-14 21:42:03');
INSERT INTO complaint_remarks VALUES('1831','1710','COMPLAINT PA VISIT HO GAYA HAIN SET S/C LIFTHO GA AJ','74','2020-10-14 22:24:47','2020-10-14 22:24:47');
INSERT INTO complaint_remarks VALUES('1832','1744','COMPLAINT#50125','74','2020-10-14 22:27:41','2020-10-14 22:27:41');
INSERT INTO complaint_remarks VALUES('1833','1624','PART ISSUE','92','2020-10-14 22:39:26','2020-10-14 22:39:26');
INSERT INTO complaint_remarks VALUES('1834','1040','COMPLAINT COMPLETED','92','2020-10-14 22:47:53','2020-10-14 22:47:53');
INSERT INTO complaint_remarks VALUES('1835','889','NOT VISIT TO COMPLAINT','92','2020-10-14 22:56:46','2020-10-14 22:56:46');
INSERT INTO complaint_remarks VALUES('1836','1621','COMPLAINT RESOLVED','92','2020-10-14 23:24:01','2020-10-14 23:24:01');
INSERT INTO complaint_remarks VALUES('1837','1625','CUSTOMER SA BAT HOGEI HAIN TAHSEEN SAB KO REMINDER DA DIA HAIN','74','2020-10-15 01:29:22','2020-10-15 01:29:22');
INSERT INTO complaint_remarks VALUES('1838','1764','CLOSED','74','2020-10-15 02:16:13','2020-10-15 02:16:13');
INSERT INTO complaint_remarks VALUES('1839','1758','COMPLAINT#-J14/016','74','2020-10-15 03:10:54','2020-10-15 03:10:54');
INSERT INTO complaint_remarks VALUES('1840','1728','COMPLAINT RESOLVED','92','2020-10-15 19:43:19','2020-10-15 19:43:19');
INSERT INTO complaint_remarks VALUES('1841','1727','COMPLAINT RESOLVED','92','2020-10-15 19:47:15','2020-10-15 19:47:15');
INSERT INTO complaint_remarks VALUES('1842','1726','COMPLAINT RESOLVED','92','2020-10-15 19:49:18','2020-10-15 19:49:18');
INSERT INTO complaint_remarks VALUES('1843','1722','COMPLAINT RESOLVED','92','2020-10-15 19:52:09','2020-10-15 19:52:09');
INSERT INTO complaint_remarks VALUES('1844','1715','NOT VISIT TO COMPLAINT','92','2020-10-15 19:57:54','2020-10-15 19:57:54');
INSERT INTO complaint_remarks VALUES('1845','1713','LEFT IN SERVICE CENTER','92','2020-10-15 20:13:43','2020-10-15 20:13:43');
INSERT INTO complaint_remarks VALUES('1846','1709','FILTER ISSUE','92','2020-10-15 20:19:56','2020-10-15 20:19:56');
INSERT INTO complaint_remarks VALUES('1847','1701','COMPLAINT RESOLVED','92','2020-10-15 20:36:15','2020-10-15 20:36:15');
INSERT INTO complaint_remarks VALUES('1848','1699','COMPLAINT RESOLVED','92','2020-10-15 20:38:06','2020-10-15 20:38:06');
INSERT INTO complaint_remarks VALUES('1849','1698','COMPLAINT RESOLVED','92','2020-10-15 20:40:38','2020-10-15 20:40:38');
INSERT INTO complaint_remarks VALUES('1850','1733','CUSTOMER NAY CANCEL KARWADE HAY COMPLAINT ABI ES MAY KOI ISSUE NAI AR AHA COMPLAINT RESOLVED','92','2020-10-15 21:11:07','2020-10-15 21:11:07');
INSERT INTO complaint_remarks VALUES('1851','1651','COMPLAINT RESOLVED','92','2020-10-15 21:18:33','2020-10-15 21:18:33');
INSERT INTO complaint_remarks VALUES('1852','1650','COMPLAINT RESOLVED','92','2020-10-15 21:22:28','2020-10-15 21:22:28');
INSERT INTO complaint_remarks VALUES('1853','1649','COMPLAINT RESOLVED','92','2020-10-15 21:25:25','2020-10-15 21:25:25');
INSERT INTO complaint_remarks VALUES('1854','1648','COMPLAINT RESOLVED','92','2020-10-15 21:27:27','2020-10-15 21:27:27');
INSERT INTO complaint_remarks VALUES('1855','1654','COMPLAINT RESOLVED','92','2020-10-15 21:32:51','2020-10-15 21:32:51');
INSERT INTO complaint_remarks VALUES('1856','1645','COMPLAINT RESOLVED','92','2020-10-15 21:35:30','2020-10-15 21:35:30');
INSERT INTO complaint_remarks VALUES('1857','1631','COMPLAINT RESOLVED','92','2020-10-15 21:45:17','2020-10-15 21:45:17');
INSERT INTO complaint_remarks VALUES('1858','1627','COMPLAINT RESOLVED','92','2020-10-15 21:48:14','2020-10-15 21:48:14');
INSERT INTO complaint_remarks VALUES('1859','1566','COMPLAINT RESOLVED','92','2020-10-15 22:22:10','2020-10-15 22:22:10');
INSERT INTO complaint_remarks VALUES('1860','917','2 VISIT HO GAY HAIN CUSTOMER KO BOLA HAIN REGULATOR LAGAY GA','74','2020-10-15 22:47:42','2020-10-15 22:47:42');
INSERT INTO complaint_remarks VALUES('1861','1757','COMPLAINT FF MEH WISH TCL','74','2020-10-15 22:50:54','2020-10-15 22:50:54');
INSERT INTO complaint_remarks VALUES('1862','1739','VISIT TO DAY','92','2020-10-15 23:27:36','2020-10-15 23:27:36');
INSERT INTO complaint_remarks VALUES('1863','1495','NOT ATTEND CALL','92','2020-10-15 23:31:14','2020-10-15 23:31:14');
INSERT INTO complaint_remarks VALUES('1864','1775','COMPLAINT#PKRI-201015107014','74','2020-10-15 23:48:05','2020-10-15 23:48:05');
INSERT INTO complaint_remarks VALUES('1865','1740','COMPLAINT RESOLVED','92','2020-10-16 00:06:47','2020-10-16 00:06:47');
INSERT INTO complaint_remarks VALUES('1866','1703','VISIT KLIYUA NAEEM KENWOOD KO REMINDER DA DIA','74','2020-10-16 01:38:49','2020-10-16 01:38:49');
INSERT INTO complaint_remarks VALUES('1867','1349','CLOSED COMPLAINT','74','2020-10-16 01:59:33','2020-10-16 01:59:33');
INSERT INTO complaint_remarks VALUES('1868','1349','CLOSED COMPLAINT','74','2020-10-16 02:04:27','2020-10-16 02:04:27');
INSERT INTO complaint_remarks VALUES('1869','1283','WRONG VENDORS  SELECT HO GAY','74','2020-10-16 22:00:50','2020-10-16 22:00:50');
INSERT INTO complaint_remarks VALUES('1870','1755','customer ko kal k visit k liy informed kar dia','74','2020-10-16 23:31:38','2020-10-16 23:31:38');
INSERT INTO complaint_remarks VALUES('1871','1783','COMPLAINT RESOLVED','92','2020-10-17 19:44:47','2020-10-17 19:44:47');
INSERT INTO complaint_remarks VALUES('1872','1788','KHUD  HI RESOLVED KAR LE THI COMPLAINT RESOLVED','92','2020-10-17 19:49:22','2020-10-17 19:49:22');
INSERT INTO complaint_remarks VALUES('1873','1771','COMPLAINT RESOLVED','92','2020-10-17 19:53:18','2020-10-17 19:53:18');
INSERT INTO complaint_remarks VALUES('1874','1766','NOT ATTEND CALL','92','2020-10-17 20:01:50','2020-10-17 20:01:50');
INSERT INTO complaint_remarks VALUES('1875','1765','NOT ATTEND CALL','92','2020-10-17 20:03:52','2020-10-17 20:03:52');
INSERT INTO complaint_remarks VALUES('1876','1739','NOT ATTEND CALL','92','2020-10-17 20:13:17','2020-10-17 20:13:17');
INSERT INTO complaint_remarks VALUES('1877','1739','AJ VISIT HO JAY GA','92','2020-10-17 20:18:26','2020-10-17 20:18:26');
INSERT INTO complaint_remarks VALUES('1878','1753','COMPLAINT RESOLVED','92','2020-10-17 20:24:36','2020-10-17 20:24:36');
INSERT INTO complaint_remarks VALUES('1879','1738','AJ VISIT HO JAY GA','92','2020-10-17 20:34:30','2020-10-17 20:34:30');
INSERT INTO complaint_remarks VALUES('1880','1729','COMPLAINT RESOLVED','92','2020-10-17 20:36:44','2020-10-17 20:36:44');
INSERT INTO complaint_remarks VALUES('1881','1720','COMPLAINT RESOLVED','92','2020-10-17 20:41:34','2020-10-17 20:41:34');
INSERT INTO complaint_remarks VALUES('1882','1715','NOT ATTEND CALL','92','2020-10-17 20:47:18','2020-10-17 20:47:18');
INSERT INTO complaint_remarks VALUES('1883','1781','COMPLAINT RESOLVED','92','2020-10-17 21:34:11','2020-10-17 21:34:11');
INSERT INTO complaint_remarks VALUES('1884','1779','COMPLAINT RESOLVED','92','2020-10-17 21:36:43','2020-10-17 21:36:43');
INSERT INTO complaint_remarks VALUES('1885','1656','VISIT HO GAY HAY CUSTOMER GHAR PAR NAI THAY','92','2020-10-17 22:15:12','2020-10-17 22:15:12');
INSERT INTO complaint_remarks VALUES('1886','1769','PART ISSUE HAY COMPLAINT PENDING','92','2020-10-17 22:29:32','2020-10-17 22:29:32');
INSERT INTO complaint_remarks VALUES('1887','1803','COMPLAINT#192018646','74','2020-10-18 00:02:40','2020-10-18 00:02:40');
INSERT INTO complaint_remarks VALUES('1888','1801','COMPLAINT#72014821','74','2020-10-18 00:04:38','2020-10-18 00:04:38');
INSERT INTO complaint_remarks VALUES('1889','1799','COMPLAINT#072014822','74','2020-10-18 00:06:42','2020-10-18 00:06:42');
INSERT INTO complaint_remarks VALUES('1890','1708','FLOOR STANDING & SPLIT A/C DONO PA VISIT HO GAY HAIN .
SPLIT A/C CHOK HAIN  YHA OUT DOOR AL SAB CHANGE KAR K DA RAHAY HAIN.
FLOOR STANDING KA PCB CARD DEMAND KAR DIA HAIN','74','2020-10-18 00:48:49','2020-10-18 00:48:49');
INSERT INTO complaint_remarks VALUES('1891','1708','QUEETA KA BILAL SAB YHA COMPLINT ATTEND KARWA RAHAY HAIN 0300-3877656','74','2020-10-18 00:49:21','2020-10-18 00:49:21');
INSERT INTO complaint_remarks VALUES('1892','1715','KASHIF TCL KO REMINDER DA DI VISIT K LIYA','74','2020-10-18 01:37:05','2020-10-18 01:37:05');
INSERT INTO complaint_remarks VALUES('1893','1802','COMPLAINT#15638','74','2020-10-18 02:20:40','2020-10-18 02:20:40');
INSERT INTO complaint_remarks VALUES('1894','1782','NOT ATTEND CALL','92','2020-10-19 19:52:40','2020-10-19 19:52:40');
INSERT INTO complaint_remarks VALUES('1895','1839','COMPLAINT#15652','74','2020-10-19 20:08:35','2020-10-19 20:08:35');
INSERT INTO complaint_remarks VALUES('1896','935','COMPLAINT RESOLVED','74','2020-10-19 20:48:54','2020-10-19 20:48:54');
INSERT INTO complaint_remarks VALUES('1897','862','COMPLAINT CLOSED','74','2020-10-19 20:53:10','2020-10-19 20:53:10');
INSERT INTO complaint_remarks VALUES('1898','749','COMPLAINT RESOLVED','74','2020-10-19 20:59:39','2020-10-19 20:59:39');
INSERT INTO complaint_remarks VALUES('1899','806','COMPLAINT RESOLVED','74','2020-10-19 21:06:23','2020-10-19 21:06:23');
INSERT INTO complaint_remarks VALUES('1900','1766','COMPLAINT RESOLVED','92','2020-10-19 21:09:27','2020-10-19 21:09:27');
INSERT INTO complaint_remarks VALUES('1901','1765','VISIT HO GAYA HAY ISSUE NOT RESOLVED','92','2020-10-19 21:12:01','2020-10-19 21:12:01');
INSERT INTO complaint_remarks VALUES('1902','1755','COMPLAINT RESOLVED','92','2020-10-19 21:13:22','2020-10-19 21:13:22');
INSERT INTO complaint_remarks VALUES('1903','1739','PART ISSUE COMPLAINT PENDING','92','2020-10-19 21:15:59','2020-10-19 21:15:59');
INSERT INTO complaint_remarks VALUES('1904','1738','COMPLAINT RESOLVED','92','2020-10-19 21:17:53','2020-10-19 21:17:53');
INSERT INTO complaint_remarks VALUES('1905','1715','NOT ATTEND CALL','92','2020-10-19 21:20:47','2020-10-19 21:20:47');
INSERT INTO complaint_remarks VALUES('1906','1712','NOT ATTEND CALL','92','2020-10-19 21:32:44','2020-10-19 21:32:44');
INSERT INTO complaint_remarks VALUES('1907','1703','NOT VISIT TO COMPLAINT','92','2020-10-19 21:38:53','2020-10-19 21:38:53');
INSERT INTO complaint_remarks VALUES('1908','1664','LEFT IN SERVICE CENTER','92','2020-10-19 21:47:47','2020-10-19 21:47:47');
INSERT INTO complaint_remarks VALUES('1909','1634','NOT VISIT TO COMPLAINT','92','2020-10-19 21:50:17','2020-10-19 21:50:17');
INSERT INTO complaint_remarks VALUES('1910','1393','COMPLAINT FF USMAN MRM','74','2020-10-19 22:05:42','2020-10-19 22:05:42');
INSERT INTO complaint_remarks VALUES('1911','1846','COMPLAINT#1754845','74','2020-10-19 22:13:07','2020-10-19 22:13:07');
INSERT INTO complaint_remarks VALUES('1912','1540','NOT ATTEND CALL','92','2020-10-19 22:19:42','2020-10-19 22:19:42');
INSERT INTO complaint_remarks VALUES('1913','1514','COMPLAINT RESOLVED','92','2020-10-19 22:24:04','2020-10-19 22:24:04');
INSERT INTO complaint_remarks VALUES('1914','1495','COMPLAINT RESOLVED','92','2020-10-19 22:26:09','2020-10-19 22:26:09');
INSERT INTO complaint_remarks VALUES('1915','1695','COMPLAINT RESOLVED','74','2020-10-19 23:29:30','2020-10-19 23:29:30');
INSERT INTO complaint_remarks VALUES('1916','1703','KAL VISIT HO GA','74','2020-10-19 23:37:42','2020-10-19 23:37:42');
INSERT INTO complaint_remarks VALUES('1917','1706','NOT ATTEND CALL','92','2020-10-20 00:32:19','2020-10-20 00:32:19');
INSERT INTO complaint_remarks VALUES('1918','1684','KAL VISIT HO JAY GA','92','2020-10-20 00:59:42','2020-10-20 00:59:42');
INSERT INTO complaint_remarks VALUES('1919','1656','NOT ATTEND CALL','92','2020-10-20 01:16:03','2020-10-20 01:16:03');
INSERT INTO complaint_remarks VALUES('1920','1656','CUSTOMER SATURDAY SUNDAY K ELWHA GHR PA AVAIL NI HOTY IC LIY CUSTOMER KO KHALID SAB K NO PROVIDE KAR DIA K WO KHUD SA CONTACT KAR LAY','74','2020-10-20 01:46:22','2020-10-20 01:46:22');
INSERT INTO complaint_remarks VALUES('1921','1834','AJ VISIT HO GA','92','2020-10-20 19:47:56','2020-10-20 19:47:56');
INSERT INTO complaint_remarks VALUES('1922','1832','COMPLAINT RESOLVED','92','2020-10-20 19:53:29','2020-10-20 19:53:29');
INSERT INTO complaint_remarks VALUES('1923','1830','KAL VISIT HO GA','92','2020-10-20 19:57:25','2020-10-20 19:57:25');
INSERT INTO complaint_remarks VALUES('1924','1825','NOT ATTEND CALL','92','2020-10-20 20:02:11','2020-10-20 20:02:11');
INSERT INTO complaint_remarks VALUES('1925','1820','COMPLAINT RESOLVED','92','2020-10-20 20:03:59','2020-10-20 20:03:59');
INSERT INTO complaint_remarks VALUES('1926','1845','03126651888','74','2020-10-20 20:06:29','2020-10-20 20:06:29');
INSERT INTO complaint_remarks VALUES('1927','1819','NOT ATTEND CALL','92','2020-10-20 20:08:29','2020-10-20 20:08:29');
INSERT INTO complaint_remarks VALUES('1928','1818','COMPLAINT RESOLVED','92','2020-10-20 20:10:17','2020-10-20 20:10:17');
INSERT INTO complaint_remarks VALUES('1929','1816','COMPLAINT RESOLVED','92','2020-10-20 20:18:50','2020-10-20 20:18:50');
INSERT INTO complaint_remarks VALUES('1930','1815','NOT ATTEND CALL','92','2020-10-20 20:21:41','2020-10-20 20:21:41');
INSERT INTO complaint_remarks VALUES('1931','1814','COMPLAINT RESOLVED','92','2020-10-20 20:23:21','2020-10-20 20:23:21');
INSERT INTO complaint_remarks VALUES('1932','1813','COMPLAINT RESOLVED','92','2020-10-20 20:30:24','2020-10-20 20:30:24');
INSERT INTO complaint_remarks VALUES('1933','1804','COMPLAINT RESOLVED','92','2020-10-20 20:46:51','2020-10-20 20:46:51');
INSERT INTO complaint_remarks VALUES('1934','1815','COMPLAINT RESOLVED','74','2020-10-20 20:54:46','2020-10-20 20:54:46');
INSERT INTO complaint_remarks VALUES('1935','1794','KAL VISIT HO GA','92','2020-10-20 21:19:33','2020-10-20 21:19:33');
INSERT INTO complaint_remarks VALUES('1936','1834','COMPLAINT RESOLVED','92','2020-10-20 21:38:32','2020-10-20 21:38:32');
INSERT INTO complaint_remarks VALUES('1937','1845','WORKING IN PROCESS','92','2020-10-20 21:49:02','2020-10-20 21:49:02');
INSERT INTO complaint_remarks VALUES('1938','1857','COMPLAINT RESOLVED','92','2020-10-20 21:50:31','2020-10-20 21:50:31');
INSERT INTO complaint_remarks VALUES('1939','1710','PART DEMAND KIYA HO HAIN','74','2020-10-20 21:54:57','2020-10-20 21:54:57');
INSERT INTO complaint_remarks VALUES('1940','1798','NOT ATTEND CALL','92','2020-10-20 21:55:08','2020-10-20 21:55:08');
INSERT INTO complaint_remarks VALUES('1941','1710','15-20 DAYS TAQ AAY GA','74','2020-10-20 21:55:12','2020-10-20 21:55:12');
INSERT INTO complaint_remarks VALUES('1942','1710','CUSTOMER KO INFORMED KAR DIA','74','2020-10-20 21:55:28','2020-10-20 21:55:28');
INSERT INTO complaint_remarks VALUES('1943','1782','COMPLAINT RESOLVED','92','2020-10-20 21:58:41','2020-10-20 21:58:41');
INSERT INTO complaint_remarks VALUES('1944','1529','COMPLAINT RESOLVED','74','2020-10-20 22:07:24','2020-10-20 22:07:24');
INSERT INTO complaint_remarks VALUES('1945','1688','0312-2447570 OTHER #','74','2020-10-20 23:05:44','2020-10-20 23:05:44');
INSERT INTO complaint_remarks VALUES('1946','1374','COMPLAINT RESOLVED','74','2020-10-21 00:16:21','2020-10-21 00:16:21');
INSERT INTO complaint_remarks VALUES('1947','1642','COMPLAINT RESOLVED','74','2020-10-21 00:17:56','2020-10-21 00:17:56');
INSERT INTO complaint_remarks VALUES('1948','881','COMPLAINT RESOLVED','74','2020-10-21 00:18:56','2020-10-21 00:18:56');
INSERT INTO complaint_remarks VALUES('1949','1825','COMPLAINT RESOLVED','92','2020-10-21 00:46:25','2020-10-21 00:46:25');
INSERT INTO complaint_remarks VALUES('1950','818','NOUMAN SAB KI CUSTOMER SA BAT HO GEI HAIN SET CUSTOMER S/C LA K JA RAHAY HAIN','74','2020-10-21 01:19:04','2020-10-21 01:19:04');
INSERT INTO complaint_remarks VALUES('1951','1881','CLOSED','74','2020-10-21 02:09:55','2020-10-21 02:09:55');
INSERT INTO complaint_remarks VALUES('1952','1863','COMPLAINT#1061644','74','2020-10-21 02:19:48','2020-10-21 02:19:48');
INSERT INTO complaint_remarks VALUES('1953','1864','COMPLAINT#1061645','74','2020-10-21 02:22:20','2020-10-21 02:22:20');
INSERT INTO complaint_remarks VALUES('1954','1859','COMPLAINT RESOLVED','92','2020-10-21 19:38:37','2020-10-21 19:38:37');
INSERT INTO complaint_remarks VALUES('1955','1810','COMPLAINT RESOLVED','92','2020-10-21 19:41:08','2020-10-21 19:41:08');
INSERT INTO complaint_remarks VALUES('1956','1860','COMPLAINT RESOLVED','92','2020-10-21 20:09:25','2020-10-21 20:09:25');
INSERT INTO complaint_remarks VALUES('1957','1852','VISIT HO GAYA HAY AJ LIFT HO GA','92','2020-10-21 20:17:31','2020-10-21 20:17:31');
INSERT INTO complaint_remarks VALUES('1958','1850','COMPLAINT RESOLVED','92','2020-10-21 20:19:18','2020-10-21 20:19:18');
INSERT INTO complaint_remarks VALUES('1959','1837','NOT ATTEND CALL','92','2020-10-21 21:26:16','2020-10-21 21:26:16');
INSERT INTO complaint_remarks VALUES('1960','1829','REPLACE HO GAYA HAY COMPLAINT RESOLVED','92','2020-10-21 21:43:53','2020-10-21 21:43:53');
INSERT INTO complaint_remarks VALUES('1961','1808','COMPLAINT RESOLVED','92','2020-10-21 21:53:53','2020-10-21 21:53:53');
INSERT INTO complaint_remarks VALUES('1962','1809','COMPLAINT RESOLVED','92','2020-10-21 21:56:59','2020-10-21 21:56:59');
INSERT INTO complaint_remarks VALUES('1963','1817','NOT ATTEND CALL','92','2020-10-21 22:04:04','2020-10-21 22:04:04');
INSERT INTO complaint_remarks VALUES('1964','1798','VISIT TO DAY','74','2020-10-21 23:17:56','2020-10-21 23:17:56');
INSERT INTO complaint_remarks VALUES('1965','1805','BACK LIGHT ISSUE THA EXP 10-000 SET READY','74','2020-10-21 23:46:29','2020-10-21 23:46:29');
INSERT INTO complaint_remarks VALUES('1966','1892','COMPLAINT#1061960','74','2020-10-22 00:12:30','2020-10-22 00:12:30');
INSERT INTO complaint_remarks VALUES('1967','1891','COMPLAINT#1061962','74','2020-10-22 00:14:54','2020-10-22 00:14:54');
INSERT INTO complaint_remarks VALUES('1968','1787','NOT VISIT TO COMPLAINT','92','2020-10-22 00:20:42','2020-10-22 00:20:42');
INSERT INTO complaint_remarks VALUES('1969','1890','COMPLAINT#PKRI-201021109580.
COMPLAINT#PKRI-201021109575','74','2020-10-22 00:25:16','2020-10-22 00:25:16');
INSERT INTO complaint_remarks VALUES('1970','1872','COMPLAINT RESOLVED','92','2020-10-22 00:51:24','2020-10-22 00:51:24');
INSERT INTO complaint_remarks VALUES('1971','1897','COMPLAINT#192018695','74','2020-10-22 00:59:30','2020-10-22 00:59:30');
INSERT INTO complaint_remarks VALUES('1972','1871','COMPLAINT RESOLVED','92','2020-10-22 01:27:59','2020-10-22 01:27:59');
INSERT INTO complaint_remarks VALUES('1973','1900','COMPLAINT#1987','74','2020-10-22 01:33:20','2020-10-22 01:33:20');
INSERT INTO complaint_remarks VALUES('1974','1899','COMPLAINT#1988','74','2020-10-22 01:34:09','2020-10-22 01:34:09');
INSERT INTO complaint_remarks VALUES('1975','1898','COMPLAINT#1989','74','2020-10-22 01:34:51','2020-10-22 01:34:51');
INSERT INTO complaint_remarks VALUES('1976','1896','FF TO KHURRAM 5 STAR','74','2020-10-22 01:38:21','2020-10-22 01:38:21');
INSERT INTO complaint_remarks VALUES('1977','1856','COMPLAINT RESOLVED','92','2020-10-22 01:39:08','2020-10-22 01:39:08');
INSERT INTO complaint_remarks VALUES('1978','1895','COMPLAINT#1062009','74','2020-10-22 01:48:17','2020-10-22 01:48:17');
INSERT INTO complaint_remarks VALUES('1979','1902','COMPLAINT#1991','74','2020-10-22 01:54:33','2020-10-22 01:54:33');
INSERT INTO complaint_remarks VALUES('1980','1634','BILAL CORONA KO VISIT K LIYA AJ AGAIN REMINDER DA DI','74','2020-10-23 23:16:55','2020-10-23 23:16:55');
INSERT INTO complaint_remarks VALUES('1981','1906','COMPLAINT #072014914','74','2020-10-24 20:54:12','2020-10-24 20:54:12');
INSERT INTO complaint_remarks VALUES('1982','1835','VENDORS KI JAGA COMPANY SELECT  KAR DI THI NEW COMPLIANT BANA DI','74','2020-10-24 21:21:41','2020-10-24 21:21:41');
INSERT INTO complaint_remarks VALUES('1983','1181','COMPLAINT RESOLVED S/C SA OK HO KA AAYA','74','2020-10-24 22:05:43','2020-10-24 22:05:43');
INSERT INTO complaint_remarks VALUES('1984','1846','COMPLAINT CLOSED','74','2020-10-24 22:36:01','2020-10-24 22:36:01');
INSERT INTO complaint_remarks VALUES('1985','1891','COMPLAINT RESOLVED','74','2020-10-24 22:44:50','2020-10-24 22:44:50');
INSERT INTO complaint_remarks VALUES('1986','1892','COMPLAINT RESOLVED','74','2020-10-24 22:47:43','2020-10-24 22:47:43');
INSERT INTO complaint_remarks VALUES('1987','1895','AIK VISIT HO GAYA HAIN AGIAN VISIT K LIYA AGAIN AAY GAY','74','2020-10-24 22:51:49','2020-10-24 22:51:49');
INSERT INTO complaint_remarks VALUES('1988','1896','CAP DEMAND KIYA WA','74','2020-10-24 22:53:48','2020-10-24 22:53:48');
INSERT INTO complaint_remarks VALUES('1989','1876','24-APRIL-2019','74','2020-10-24 23:44:51','2020-10-24 23:44:51');
INSERT INTO complaint_remarks VALUES('1990','1876','COMPLIANT PA VISIT HO GAY HAIN UNIT S/C CUSTOMER MOVE KARWA RAHAY HAIN','74','2020-10-24 23:46:06','2020-10-24 23:46:06');
INSERT INTO complaint_remarks VALUES('1991','1696','COMPLAINT CLOSED','74','2020-10-25 00:17:14','2020-10-25 00:17:14');
INSERT INTO complaint_remarks VALUES('1992','1501','COMPLAINT RESOLVED','74','2020-10-25 01:03:28','2020-10-25 01:03:28');
INSERT INTO complaint_remarks VALUES('1993','1515','COMPLAINT RESOLVED','74','2020-10-25 01:06:39','2020-10-25 01:06:39');
INSERT INTO complaint_remarks VALUES('1994','1757','NO VISIT MONDAY KO COMPANY SA STATUS LAYNA','74','2020-10-25 01:10:55','2020-10-25 01:10:55');
INSERT INTO complaint_remarks VALUES('1995','1758','COMPLAINT RESOLVED','74','2020-10-25 01:14:56','2020-10-25 01:14:56');
INSERT INTO complaint_remarks VALUES('1996','1759','W/D MOVE S/C WORKING IN PROCESS','74','2020-10-25 01:17:58','2020-10-25 01:17:58');
INSERT INTO complaint_remarks VALUES('1997','1799','COMPLAINT RESOLVED','74','2020-10-25 01:21:42','2020-10-25 01:21:42');
INSERT INTO complaint_remarks VALUES('1998','1760','COMPLAINT RESOLVED','74','2020-10-25 01:26:50','2020-10-25 01:26:50');
INSERT INTO complaint_remarks VALUES('1999','1801','COMPLAINT RESOLVED','74','2020-10-25 01:40:48','2020-10-25 01:40:48');
INSERT INTO complaint_remarks VALUES('2000','1762','NO VISIT KHALID SAB KO REMINDER DA DIA','74','2020-10-25 01:45:14','2020-10-25 01:45:14');
INSERT INTO complaint_remarks VALUES('2001','1468','COMPLAINT CLOSED','74','2020-10-25 01:59:23','2020-10-25 01:59:23');
INSERT INTO complaint_remarks VALUES('2002','1475','COMPLAINT RESOLVED','74','2020-10-25 02:00:18','2020-10-25 02:00:18');
INSERT INTO complaint_remarks VALUES('2003','1932','COMPLAINT RESOLVED','74','2020-10-26 20:01:33','2020-10-26 20:01:33');
INSERT INTO complaint_remarks VALUES('2004','1915','NOT ATTEND CALL','92','2020-10-26 20:14:51','2020-10-26 20:14:51');
INSERT INTO complaint_remarks VALUES('2005','1904','imran technician aji ic complaint pa visit kar rahay hain.
03339624153','74','2020-10-26 20:49:36','2020-10-26 20:49:36');
INSERT INTO complaint_remarks VALUES('2006','1904','visit to day','74','2020-10-26 20:51:30','2020-10-26 20:51:30');
INSERT INTO complaint_remarks VALUES('2007','1907','NOT ATTEND CALL','92','2020-10-26 21:37:17','2020-10-26 21:37:17');
INSERT INTO complaint_remarks VALUES('2008','1923','COMPLAINT RESOLVED','92','2020-10-26 21:45:31','2020-10-26 21:45:31');
INSERT INTO complaint_remarks VALUES('2009','1917','COMPLAINT RESOLVED','92','2020-10-26 21:51:36','2020-10-26 21:51:36');
INSERT INTO complaint_remarks VALUES('2010','1915','COMPLAINT RESOLVED','92','2020-10-26 21:53:37','2020-10-26 21:53:37');
INSERT INTO complaint_remarks VALUES('2011','1909','COMPLAINT RESOLVED','92','2020-10-26 21:56:16','2020-10-26 21:56:16');
INSERT INTO complaint_remarks VALUES('2012','1893','COMPLAINT RESOLVED','92','2020-10-26 22:09:33','2020-10-26 22:09:33');
INSERT INTO complaint_remarks VALUES('2013','1845','COMPLAINT RESOLVED','92','2020-10-26 23:25:06','2020-10-26 23:25:06');
INSERT INTO complaint_remarks VALUES('2014','1954','COMPLAINT#1063455','74','2020-10-27 00:59:47','2020-10-27 00:59:47');
INSERT INTO complaint_remarks VALUES('2015','1946','VISIT TO DAY','92','2020-10-27 18:24:21','2020-10-27 18:24:21');
INSERT INTO complaint_remarks VALUES('2016','1873','VISIT TO DAY','92','2020-10-27 18:31:26','2020-10-27 18:31:26');
INSERT INTO complaint_remarks VALUES('2017','1889','COMPLAINT RESOLVED','92','2020-10-27 18:39:05','2020-10-27 18:39:05');
INSERT INTO complaint_remarks VALUES('2018','1970','COMPLAINT RESOLVED','92','2020-10-27 18:49:10','2020-10-27 18:49:10');
INSERT INTO complaint_remarks VALUES('2019','1961','SATURDAY KO VISIT HO GA','92','2020-10-27 19:12:08','2020-10-27 19:12:08');
INSERT INTO complaint_remarks VALUES('2020','1869','COMPLAINT RESOLVED','92','2020-10-27 19:17:01','2020-10-27 19:17:01');
INSERT INTO complaint_remarks VALUES('2021','1819','COMPLAINT RESOLVED','92','2020-10-27 19:19:26','2020-10-27 19:19:26');
INSERT INTO complaint_remarks VALUES('2022','1875','COMPLAINT PA VISIT HO GAY HAIN CUSTOMER NA KHUD S/C LA  JANA HAIN TANKI 3-4 DIN TAQ AARHI HAIN DEMAND KI HOI HAI','74','2020-10-27 19:23:58','2020-10-27 19:23:58');
INSERT INTO complaint_remarks VALUES('2023','1830','VISIT TO DAY','92','2020-10-27 19:25:30','2020-10-27 19:25:30');
INSERT INTO complaint_remarks VALUES('2024','1798','NOT ATTEND CALL','92','2020-10-27 19:29:05','2020-10-27 19:29:05');
INSERT INTO complaint_remarks VALUES('2025','1794','LEFT IN SERVICE CENTER','92','2020-10-27 19:31:26','2020-10-27 19:31:26');
INSERT INTO complaint_remarks VALUES('2026','1968','LIFT IN SERVICE CENTER','92','2020-10-27 19:36:03','2020-10-27 19:36:03');
INSERT INTO complaint_remarks VALUES('2027','1965','COMPLAINT RESOLVED','92','2020-10-27 19:43:48','2020-10-27 19:43:48');
INSERT INTO complaint_remarks VALUES('2028','1960','COMPLAINT RESOLVED','92','2020-10-27 19:48:14','2020-10-27 19:48:14');
INSERT INTO complaint_remarks VALUES('2029','1986','COMPLAINT RESOLVED','92','2020-10-27 19:55:37','2020-10-27 19:55:37');
INSERT INTO complaint_remarks VALUES('2030','1958','COMPLAINT RESOLVED','92','2020-10-27 20:08:14','2020-10-27 20:08:14');
INSERT INTO complaint_remarks VALUES('2031','1942','VISIT TO DAY','92','2020-10-27 20:23:48','2020-10-27 20:23:48');
INSERT INTO complaint_remarks VALUES('2032','1684','COMPLAINT RESOLVED','92','2020-10-27 20:30:50','2020-10-27 20:30:50');
INSERT INTO complaint_remarks VALUES('2033','1624','COMPLAINT RESOLVED','92','2020-10-27 20:34:01','2020-10-27 20:34:01');
INSERT INTO complaint_remarks VALUES('2034','1948','YHA COMPLAINT SZ QASIER KO FF KI HAIN PIC & MODEL QASIER KO WHATSAPP KAR DIA','74','2020-10-27 22:52:12','2020-10-27 22:52:12');
INSERT INTO complaint_remarks VALUES('2035','1769','COMPLAINT RESOLVED','92','2020-10-27 23:27:00','2020-10-27 23:27:00');
INSERT INTO complaint_remarks VALUES('2036','2017','COMPLAINT FF ASIF ARIOSTO','74','2020-10-28 01:28:25','2020-10-28 01:28:25');
INSERT INTO complaint_remarks VALUES('2037','1995','COMPLAINT RESOLVED','92','2020-10-28 18:24:13','2020-10-28 18:24:13');
INSERT INTO complaint_remarks VALUES('2038','1977','COMPLAINT RESOLVED','92','2020-10-28 18:29:30','2020-10-28 18:29:30');
INSERT INTO complaint_remarks VALUES('2039','1975','COMPLAINT RESOLVED','92','2020-10-28 18:32:50','2020-10-28 18:32:50');
INSERT INTO complaint_remarks VALUES('2040','1962','COMPLAINT RESOLVED','92','2020-10-28 18:37:09','2020-10-28 18:37:09');
INSERT INTO complaint_remarks VALUES('2041','1973','PART ISSUE HAY AJ PHER VISIT HO GA','92','2020-10-28 18:43:53','2020-10-28 18:43:53');
INSERT INTO complaint_remarks VALUES('2042','1882','COMPLAINT RESOLVED','92','2020-10-28 18:54:34','2020-10-28 18:54:34');
INSERT INTO complaint_remarks VALUES('2043','1877','NOT ATTEND CALL','92','2020-10-28 19:11:36','2020-10-28 19:11:36');
INSERT INTO complaint_remarks VALUES('2044','2007','COMPLAINT RESOLVED','74','2020-10-28 19:16:01','2020-10-28 19:16:01');
INSERT INTO complaint_remarks VALUES('2045','1868','COMPLAINT RESOLVED','92','2020-10-28 19:20:50','2020-10-28 19:20:50');
INSERT INTO complaint_remarks VALUES('2046','1853','COMPLAINT RESOLVED','92','2020-10-28 19:24:52','2020-10-28 19:24:52');
INSERT INTO complaint_remarks VALUES('2047','1953','VISIT TO DAY
03179998682 USMAN','74','2020-10-28 19:36:00','2020-10-28 19:36:00');
INSERT INTO complaint_remarks VALUES('2048','1836','NOT ATTEND CALL','92','2020-10-28 19:37:20','2020-10-28 19:37:20');
INSERT INTO complaint_remarks VALUES('2049','1953','03336484848','74','2020-10-28 19:45:50','2020-10-28 19:45:50');
INSERT INTO complaint_remarks VALUES('2050','1953','USMAN TECHNICIAN KO MOAZZAM K NO PROVIDE KAR DIA','74','2020-10-28 19:54:54','2020-10-28 19:54:54');
INSERT INTO complaint_remarks VALUES('2051','2037','COMPLAINT#PKRI-201028109045','74','2020-10-28 23:07:38','2020-10-28 23:07:38');
INSERT INTO complaint_remarks VALUES('2052','1987','KAL VISIT HO GA','74','2020-10-29 00:23:13','2020-10-29 00:23:13');
INSERT INTO complaint_remarks VALUES('2053','1987','CUSTOMER KO INFORMED KAR DIA','74','2020-10-29 01:03:10','2020-10-29 01:03:10');
INSERT INTO complaint_remarks VALUES('2054','1900','COMPLIANT CLOSED','74','2020-10-29 01:40:31','2020-10-29 01:40:31');
INSERT INTO complaint_remarks VALUES('2055','1899','COMPLAINT RESOLVED','74','2020-10-29 01:41:32','2020-10-29 01:41:32');
INSERT INTO complaint_remarks VALUES('2056','1898','COMPLAINT CLOSED','74','2020-10-29 01:42:26','2020-10-29 01:42:26');
INSERT INTO complaint_remarks VALUES('2057','273','CUSTOMER STILL CALL ATTEND NAI KAR RAHY COMPANY SA STATUS LA K COMPLAINT CLOSED KI','74','2020-10-29 19:10:48','2020-10-29 19:10:48');
INSERT INTO complaint_remarks VALUES('2058','499','COMPLAINT RESOLVED','74','2020-10-29 19:12:07','2020-10-29 19:12:07');
INSERT INTO complaint_remarks VALUES('2059','680','MU RSLEEN SAB KO AJ AGAIN REMINDER DIA HAIN','74','2020-10-29 19:27:13','2020-10-29 19:27:13');
INSERT INTO complaint_remarks VALUES('2060','1875','AJ B KHURRAM BHIA KO REMINDER DIA HAIN  YAWAR SAB KO B WHATS APP KIY AHAIN','74','2020-10-29 20:32:07','2020-10-29 20:32:07');
INSERT INTO complaint_remarks VALUES('2061','889','MUNAWAR SIR KO AGAIN REMINDER DA DIA','74','2020-10-29 21:25:36','2020-10-29 21:25:36');
INSERT INTO complaint_remarks VALUES('2062','1811','COMPANY AGAIN VISIT K LIYA REMINDER DA DI','74','2020-10-29 21:45:32','2020-10-29 21:45:32');
INSERT INTO complaint_remarks VALUES('2063','680','CUSTOMER KO MURSLEEN SAB K NO MEG KAR DIA HAIN CUSTOMER NA SET KHUD S/C LA K JANA HAIN','74','2020-10-29 21:50:57','2020-10-29 21:50:57');
INSERT INTO complaint_remarks VALUES('2064','2005','COMPLAINT RESOLVED','92','2020-10-29 23:26:57','2020-10-29 23:26:57');
INSERT INTO complaint_remarks VALUES('2065','2015','COMPLAINT RESOLVED','92','2020-10-29 23:29:33','2020-10-29 23:29:33');
INSERT INTO complaint_remarks VALUES('2066','2004','COMPLAINT RESOLVED','92','2020-10-29 23:31:57','2020-10-29 23:31:57');
INSERT INTO complaint_remarks VALUES('2067','2057','COMPLAINT#16018','74','2020-10-29 23:47:10','2020-10-29 23:47:10');
INSERT INTO complaint_remarks VALUES('2068','2058','COMPLIANT#16019','74','2020-10-29 23:47:39','2020-10-29 23:47:39');
INSERT INTO complaint_remarks VALUES('2069','1568','28-OCT-2019','74','2020-10-30 02:16:08','2020-10-30 02:16:08');
INSERT INTO complaint_remarks VALUES('2070','2029','COMPLAINT RESOLVED','92','2020-10-31 18:29:05','2020-10-31 18:29:05');
INSERT INTO complaint_remarks VALUES('2071','2033','ISSUE NOT RESOLVED','92','2020-10-31 18:39:57','2020-10-31 18:39:57');
INSERT INTO complaint_remarks VALUES('2072','2027','COMPLAINT RESOLVED','92','2020-10-31 18:56:28','2020-10-31 18:56:28');
INSERT INTO complaint_remarks VALUES('2073','2026','COMPLAINT RESOLVED','92','2020-10-31 18:59:02','2020-10-31 18:59:02');
INSERT INTO complaint_remarks VALUES('2074','2035','VISIT TO DAYBAT HO GEI HAIN TECHNICIAN KI CUSTOMER SA','74','2020-10-31 18:59:16','2020-10-31 18:59:16');
INSERT INTO complaint_remarks VALUES('2075','2023','COMPLAINT RESOLVED','92','2020-10-31 19:03:44','2020-10-31 19:03:44');
INSERT INTO complaint_remarks VALUES('2076','2021','COMPLAINT RESOLVED','92','2020-10-31 19:08:55','2020-10-31 19:08:55');
INSERT INTO complaint_remarks VALUES('2077','2016','COMPLAINT RESOLVED','92','2020-10-31 19:11:24','2020-10-31 19:11:24');
INSERT INTO complaint_remarks VALUES('2078','2035','VISIT TO DAY','92','2020-10-31 19:22:42','2020-10-31 19:22:42');
INSERT INTO complaint_remarks VALUES('2079','2014','COMPLAINT RESOLVED','92','2020-10-31 19:25:12','2020-10-31 19:25:12');
INSERT INTO complaint_remarks VALUES('2080','1739','COMPLAINT RESOLVED','92','2020-10-31 19:42:41','2020-10-31 19:42:41');
INSERT INTO complaint_remarks VALUES('2081','2048','COMPLAINT RESOLVED','74','2020-10-31 19:59:09','2020-10-31 19:59:09');
INSERT INTO complaint_remarks VALUES('2082','1987','SERVICE HONE THI CUSTOMER BOL RAY HAY K HUM APNY TACKNATION SAY SERVICE KARA LAY GAY','92','2020-10-31 20:06:24','2020-10-31 20:06:24');
INSERT INTO complaint_remarks VALUES('2083','1987','COMPLAINT RESOLVED','92','2020-10-31 20:07:08','2020-10-31 20:07:08');
INSERT INTO complaint_remarks VALUES('2084','1933','COMPLAINT RESOLVED','92','2020-10-31 20:10:12','2020-10-31 20:10:12');
INSERT INTO complaint_remarks VALUES('2085','1880','VISIT TO DAY','92','2020-10-31 20:16:00','2020-10-31 20:16:00');
INSERT INTO complaint_remarks VALUES('2086','1830','COMPLAINT RESOLVED','92','2020-10-31 20:17:40','2020-10-31 20:17:40');
INSERT INTO complaint_remarks VALUES('2087','1589','COMPLAINT RESOLVED','92','2020-10-31 20:19:55','2020-10-31 20:19:55');
INSERT INTO complaint_remarks VALUES('2088','1973','COMPLAINT RESOLVED','92','2020-10-31 20:29:29','2020-10-31 20:29:29');
INSERT INTO complaint_remarks VALUES('2089','1946','COMPLAINT IN PROCESS','92','2020-10-31 20:34:35','2020-10-31 20:34:35');
INSERT INTO complaint_remarks VALUES('2090','1714','NOT ATTEND CALL','92','2020-10-31 20:38:35','2020-10-31 20:38:35');
INSERT INTO complaint_remarks VALUES('2091','1706','COMPLAINT RESOLVED','92','2020-10-31 20:45:57','2020-10-31 20:45:57');
INSERT INTO complaint_remarks VALUES('2092','2034','VISIT TO DAY','92','2020-10-31 21:01:54','2020-10-31 21:01:54');
INSERT INTO complaint_remarks VALUES('2093','2033','COMPLAINT PA AIK VISIT HO GAYA HAIN  AGAIN COMPLAINT REOPENED KARWA DI','74','2020-10-31 21:07:15','2020-10-31 21:07:15');
INSERT INTO complaint_remarks VALUES('2094','1570','COMPLAINT RESOLVED','92','2020-10-31 21:10:24','2020-10-31 21:10:24');
INSERT INTO complaint_remarks VALUES('2095','1540','VISIT TO DAY','92','2020-10-31 21:17:37','2020-10-31 21:17:37');
INSERT INTO complaint_remarks VALUES('2096','1787','COMPLAINT RESOLVED','92','2020-10-31 21:29:48','2020-10-31 21:29:48');
INSERT INTO complaint_remarks VALUES('2097','2059','LIFT IN SERVICE CENTER','92','2020-11-02 19:49:04','2020-11-02 19:49:04');
INSERT INTO complaint_remarks VALUES('2098','2054','COMPLAINT RESOLVED','92','2020-11-02 19:50:40','2020-11-02 19:50:40');
INSERT INTO complaint_remarks VALUES('2099','2053','COMPLAINT RESOLVED','92','2020-11-02 19:52:53','2020-11-02 19:52:53');
INSERT INTO complaint_remarks VALUES('2100','2052','COMPLAINT RESOLVED','92','2020-11-02 19:56:25','2020-11-02 19:56:25');
INSERT INTO complaint_remarks VALUES('2101','1961','COMPLAINT RESOLVED','92','2020-11-02 20:05:50','2020-11-02 20:05:50');
INSERT INTO complaint_remarks VALUES('2102','1956','NOT ATTEND CALL','92','2020-11-02 20:12:09','2020-11-02 20:12:09');
INSERT INTO complaint_remarks VALUES('2103','1942','COMPLAINT RESOLVED','92','2020-11-02 20:42:18','2020-11-02 20:42:18');
INSERT INTO complaint_remarks VALUES('2104','776','ADNA SIR SHAM TAQ REF S/C LIFT KARWA RAHAY HAIN DOOR + BODY DAMAGE .
CUSTOMER KO B INFORMED KAR DIA','74','2020-11-02 21:51:49','2020-11-02 21:51:49');
INSERT INTO complaint_remarks VALUES('2105','2078','COMPLAINT RESOLVED','92','2020-11-03 01:00:27','2020-11-03 01:00:27');
INSERT INTO complaint_remarks VALUES('2106','1880','WAQAS SUPER WISER KO REMINDER DA DIA','74','2020-11-03 01:26:31','2020-11-03 01:26:31');
INSERT INTO complaint_remarks VALUES('2107','2050','COMPLAINT RESOLVED','92','2020-11-03 01:29:38','2020-11-03 01:29:38');
INSERT INTO complaint_remarks VALUES('2108','2088','COMPLAINT RESOLVED','92','2020-11-03 01:34:55','2020-11-03 01:34:55');
INSERT INTO complaint_remarks VALUES('2109','2087','COMPLAINT RESOLVED','92','2020-11-03 01:39:03','2020-11-03 01:39:03');
INSERT INTO complaint_remarks VALUES('2110','2035','CUSTOMER NAY REPLACE KARWA LEYA HAY','92','2020-11-03 01:41:25','2020-11-03 01:41:25');
INSERT INTO complaint_remarks VALUES('2111','2035','COMPLAINT RESOLVED','92','2020-11-03 01:41:43','2020-11-03 01:41:43');
INSERT INTO complaint_remarks VALUES('2112','2082','COMPLAINT RESOLVED','92','2020-11-03 01:46:43','2020-11-03 01:46:43');
INSERT INTO complaint_remarks VALUES('2113','2028','REPLACE KAR WANA HAY  CUSTOMER BOL RAHY  HAY','92','2020-11-03 02:08:10','2020-11-03 02:08:10');
INSERT INTO complaint_remarks VALUES('2114','2091','COMPLAINT#16081','74','2020-11-03 19:31:52','2020-11-03 19:31:52');
INSERT INTO complaint_remarks VALUES('2115','2096','COMPLAINT#014187','74','2020-11-03 19:38:01','2020-11-03 19:38:01');
INSERT INTO complaint_remarks VALUES('2116','1875','CUSTOMER KO INFORMED KAR DAI HAIN GEYSER FHHS GO DOWN MAIN LA K AAY','74','2020-11-03 19:48:55','2020-11-03 19:48:55');
INSERT INTO complaint_remarks VALUES('2117','458','COMPANY SA STATUS CONFIRM KAR K AJ COMPLAINT CLOSED KI','74','2020-11-03 20:16:57','2020-11-03 20:16:57');
INSERT INTO complaint_remarks VALUES('2118','680','CUSTOMER SIDE SA COMPLAINT DELAY HAIN CUSTOMER S/C LA K JANAY PA AGREE NAI  CLOSED COMPLIANT','74','2020-11-03 20:20:48','2020-11-03 20:20:48');
INSERT INTO complaint_remarks VALUES('2119','827','IC MODEL KA PANAL AVAIL NAI HAIN.CUSTOMER KO B INFORMED KAR DIA HAIN K LOCAL MARKET MAIN PANAL CHEEK KAR LAY','74','2020-11-03 21:43:37','2020-11-03 21:43:37');
INSERT INTO complaint_remarks VALUES('2120','2138','COM NO PK11103202000','92','2020-11-03 22:08:57','2020-11-03 22:08:57');
INSERT INTO complaint_remarks VALUES('2121','2143','COMPLAINT#301065251','74','2020-11-03 23:09:59','2020-11-03 23:09:59');
INSERT INTO complaint_remarks VALUES('2122','2097','COMPLAINT#30106525','74','2020-11-03 23:14:27','2020-11-03 23:14:27');
INSERT INTO complaint_remarks VALUES('2123','2076','COMPLAINT RESOLVED','92','2020-11-03 23:16:34','2020-11-03 23:16:34');
INSERT INTO complaint_remarks VALUES('2124','889','COMPLAINT RESOLVED','74','2020-11-03 23:30:55','2020-11-03 23:30:55');
INSERT INTO complaint_remarks VALUES('2125','2131','COMPLAINT RESOLVED','92','2020-11-03 23:42:11','2020-11-03 23:42:11');
INSERT INTO complaint_remarks VALUES('2126','2126','COMPLAINT RESOLVED','92','2020-11-03 23:51:41','2020-11-03 23:51:41');
INSERT INTO complaint_remarks VALUES('2127','1944','COMPLAINT RESOLVED','92','2020-11-03 23:54:16','2020-11-03 23:54:16');
INSERT INTO complaint_remarks VALUES('2128','903','COMPLAINT RESOLVED','74','2020-11-04 00:07:25','2020-11-04 00:07:25');
INSERT INTO complaint_remarks VALUES('2129','917','COMPLAINT RESOLVED','74','2020-11-04 00:10:23','2020-11-04 00:10:23');
INSERT INTO complaint_remarks VALUES('2130','933','REF LG S/C MAIN WORKING IN PROCESS HAIN','74','2020-11-04 00:18:29','2020-11-04 00:18:29');
INSERT INTO complaint_remarks VALUES('2131','940','COMPLAINT RESOLVED','74','2020-11-04 00:20:30','2020-11-04 00:20:30');
INSERT INTO complaint_remarks VALUES('2132','2012','NOT ATTEND CALL','92','2020-11-04 00:39:19','2020-11-04 00:39:19');
INSERT INTO complaint_remarks VALUES('2133','1996','NOT ATTEND CALL','92','2020-11-04 00:55:41','2020-11-04 00:55:41');
INSERT INTO complaint_remarks VALUES('2134','2006','YHA COMPLAINT PTCL CALL PA AAI','74','2020-11-04 01:00:05','2020-11-04 01:00:05');
INSERT INTO complaint_remarks VALUES('2135','1035','CUSTOMER STILL NOT PICK UP CALL MEG B KAR DIA HAIN JOB CLOSED','74','2020-11-04 01:30:13','2020-11-04 01:30:13');
INSERT INTO complaint_remarks VALUES('2136','1117','UNIT READY HO K S/C MAIN HI HAIN CUSTOMER ABI GHR PPA AVAIL NI AIK 2 DIN TAQ WAPISE AA K CALL KARAY GAY','74','2020-11-04 01:44:37','2020-11-04 01:44:37');
INSERT INTO complaint_remarks VALUES('2137','1138','NOT PICK UP CALL','74','2020-11-04 01:46:41','2020-11-04 01:46:41');
INSERT INTO complaint_remarks VALUES('2138','2034','KHURRAM BHI KO OTHER # SHER KAR DIA','74','2020-11-04 01:55:46','2020-11-04 01:55:46');
INSERT INTO complaint_remarks VALUES('2139','1189','COMPLAINT AGAIN ENTER KARWAI','74','2020-11-04 02:14:22','2020-11-04 02:14:22');
INSERT INTO complaint_remarks VALUES('2140','1761','COMPLAINT RESOLVED','74','2020-11-04 02:56:54','2020-11-04 02:56:54');
INSERT INTO complaint_remarks VALUES('2141','2101','COMPLAINT RESOLVED','92','2020-11-04 19:41:41','2020-11-04 19:41:41');
INSERT INTO complaint_remarks VALUES('2142','1894','COMPLAINT RESOLVED','92','2020-11-04 19:50:13','2020-11-04 19:50:13');
INSERT INTO complaint_remarks VALUES('2143','693','YHA LED ASLAM SIR NA COMPANY KO RETURNED KAR DI HAIN  COMPLAINT CLOSED','74','2020-11-04 20:18:00','2020-11-04 20:18:00');
INSERT INTO complaint_remarks VALUES('2144','2120','COMPLAINT RESOLVED','74','2020-11-04 20:41:12','2020-11-04 20:41:12');
INSERT INTO complaint_remarks VALUES('2145','1905','COMPLAINT RESOLVED','74','2020-11-04 20:43:12','2020-11-04 20:43:12');
INSERT INTO complaint_remarks VALUES('2146','776','REF HAIER S/C MAIN WORKING IN PROCESS HAIN','74','2020-11-04 20:51:49','2020-11-04 20:51:49');
INSERT INTO complaint_remarks VALUES('2147','1294','COMPLAINT RESOLVED','74','2020-11-04 21:15:53','2020-11-04 21:15:53');
INSERT INTO complaint_remarks VALUES('2148','1294','VISIT HO GAY THA FILTER KI SERVICES K THI  COMPLAINT RESOLVED','74','2020-11-04 21:16:24','2020-11-04 21:16:24');
INSERT INTO complaint_remarks VALUES('2149','1198','COMPLAINT RESOLVED','74','2020-11-04 21:38:36','2020-11-04 21:38:36');
INSERT INTO complaint_remarks VALUES('2150','1742','PANEL DEMAND-15 LGA JAY GAY','74','2020-11-04 21:47:04','2020-11-04 21:47:04');
INSERT INTO complaint_remarks VALUES('2151','1953','GASS KIT KA ISSUE THA KAL TAQ GASS KIT ARRANGE HO JAY GEI ATTEND HO JAY GEI COMPLAINT CUSTOMER KO B INFORMED KAR DIA','74','2020-11-04 22:02:49','2020-11-04 22:02:49');
INSERT INTO complaint_remarks VALUES('2152','2086','COMPLAINT RESOLVED','92','2020-11-04 22:46:41','2020-11-04 22:46:41');
INSERT INTO complaint_remarks VALUES('2153','2042','03335121990','74','2020-11-05 00:55:35','2020-11-05 00:55:35');
INSERT INTO complaint_remarks VALUES('2154','2068','KNEWOOD REMINDER DA DIA','74','2020-11-05 00:57:38','2020-11-05 00:57:38');
INSERT INTO complaint_remarks VALUES('2155','2137','ALI SONARI KO COMPLAINT #WHATSAPP KAR DIA','74','2020-11-05 01:27:14','2020-11-05 01:27:14');
INSERT INTO complaint_remarks VALUES('2156','2146','ALI SONARI KO COMPLAINT # WHATSAPP KAR DIA','74','2020-11-05 01:27:51','2020-11-05 01:27:51');
INSERT INTO complaint_remarks VALUES('2157','2042','KAL VISIT 4 BAJY TAQ HO GA CUSTOMER KO B INFORMED KAR DIA','74','2020-11-05 01:43:20','2020-11-05 01:43:20');
INSERT INTO complaint_remarks VALUES('2158','2081','COMPLAINT RESOLVED','92','2020-11-05 01:48:48','2020-11-05 01:48:48');
INSERT INTO complaint_remarks VALUES('2159','2170','COMPLAINT#PKRI201104110144','74','2020-11-05 01:53:53','2020-11-05 01:53:53');
INSERT INTO complaint_remarks VALUES('2160','2040','COMPLAINT RESOLVED','92','2020-11-05 02:07:30','2020-11-05 02:07:30');
INSERT INTO complaint_remarks VALUES('2161','2165','COMPLAINT#50543','74','2020-11-05 02:08:39','2020-11-05 02:08:39');
INSERT INTO complaint_remarks VALUES('2162','2161','COMPLAINT#1065622','74','2020-11-05 02:17:55','2020-11-05 02:17:55');
INSERT INTO complaint_remarks VALUES('2163','2049','COMPLAINT RESOLVED','74','2020-11-05 19:36:56','2020-11-05 19:36:56');
INSERT INTO complaint_remarks VALUES('2164','2041','VISIT TO DAY KHURRAM BHAI KO REMINDER DAY CUSTOMER KO INFORMED KAR DIA','74','2020-11-05 19:51:55','2020-11-05 19:51:55');
INSERT INTO complaint_remarks VALUES('2165','2044','VISIT TO DAY CUSTOMER KO INFORMED KAR DIA HAIN','74','2020-11-05 19:54:25','2020-11-05 19:54:25');
INSERT INTO complaint_remarks VALUES('2166','2034','COMPLAINT RESOLVED','74','2020-11-05 19:57:09','2020-11-05 19:57:09');
INSERT INTO complaint_remarks VALUES('2167','2033','COMPLAINT RESOLVED 2 BAR VISIT HO GAY HAIN','74','2020-11-05 20:02:41','2020-11-05 20:02:41');
INSERT INTO complaint_remarks VALUES('2168','2104','COMPLAINT RESOLVED','74','2020-11-05 20:09:16','2020-11-05 20:09:16');
INSERT INTO complaint_remarks VALUES('2169','2032','COMPLAINT RESOLVED','74','2020-11-05 20:11:10','2020-11-05 20:11:10');
INSERT INTO complaint_remarks VALUES('2170','1548','COMPLAINT RESOLVED','74','2020-11-05 21:05:52','2020-11-05 21:05:52');
INSERT INTO complaint_remarks VALUES('2171','1938','COMPLAINT RESOLVED','74','2020-11-05 21:34:28','2020-11-05 21:34:28');
INSERT INTO complaint_remarks VALUES('2172','1953','COMPLAINT RESOLVED','74','2020-11-05 21:37:53','2020-11-05 21:37:53');
INSERT INTO complaint_remarks VALUES('2173','1086','HAMMAD SAB KO FOLLOWUP K LIYA CALL KI HAIN UNHAY YAAD NAI AARHA COMPANY SA STATUS LA K COMPLIANT CLOSED KI','74','2020-11-05 21:40:14','2020-11-05 21:40:14');
INSERT INTO complaint_remarks VALUES('2174','2152','PCB DEMAND KI HUAI HAY COMPLAINT IN PROCESS','92','2020-11-05 21:55:04','2020-11-05 21:55:04');
INSERT INTO complaint_remarks VALUES('2175','2151','COMPLAINT RESOLVED','92','2020-11-05 21:56:58','2020-11-05 21:56:58');
INSERT INTO complaint_remarks VALUES('2176','1999','COMPLIANT RESOLVED','74','2020-11-05 22:09:52','2020-11-05 22:09:52');
INSERT INTO complaint_remarks VALUES('2177','1704','COMPLAINT RESOLVED','74','2020-11-05 22:12:03','2020-11-05 22:12:03');
INSERT INTO complaint_remarks VALUES('2178','1375','YHA DABAL COMPLAINT ENTER HOI V HAIN NEW TASK#1890','74','2020-11-05 22:24:26','2020-11-05 22:24:26');
INSERT INTO complaint_remarks VALUES('2179','1997','COMPLAINT RESOLVED','74','2020-11-05 22:26:50','2020-11-05 22:26:50');
INSERT INTO complaint_remarks VALUES('2180','2148','LIFT IN SERVICE CENTER','92','2020-11-05 22:33:44','2020-11-05 22:33:44');
INSERT INTO complaint_remarks VALUES('2181','2142','NOT ATTEND CALL','92','2020-11-05 22:37:22','2020-11-05 22:37:22');
INSERT INTO complaint_remarks VALUES('2182','2134','COMPLAINT RESOLVED','92','2020-11-05 22:39:17','2020-11-05 22:39:17');
INSERT INTO complaint_remarks VALUES('2183','2028','COMPLAINT PA VISIT HO GAY HAIN REF MAIN KOI ISSUE NAI HAIN JUST AIK LIGHT C SOUND AARHI THI US PA COMPANY WALO NA REF TO S/C KIYA THA BUT CUSTOMER ABI S/C LA K  NAI JANAY DA RHAY ABI UNHO NA COMPLIANT CLOSED KARWA DI','74','2020-11-05 22:40:57','2020-11-05 22:40:57');
INSERT INTO complaint_remarks VALUES('2184','2059','WORKING IN PROCESS','74','2020-11-05 22:43:58','2020-11-05 22:43:58');
INSERT INTO complaint_remarks VALUES('2185','2142','COMPLAINT RESOLVED','74','2020-11-05 22:45:32','2020-11-05 22:45:32');
INSERT INTO complaint_remarks VALUES('2186','2141','COMPLAINT RESOLVED','92','2020-11-05 22:47:13','2020-11-05 22:47:13');
INSERT INTO complaint_remarks VALUES('2187','2125','COMPLAINT RESOLVED','92','2020-11-05 22:49:23','2020-11-05 22:49:23');
INSERT INTO complaint_remarks VALUES('2188','1713','UNIT OK HAIN SHAM TAQ CUSTOMER K GHR POONCH JAY GA','74','2020-11-05 23:17:53','2020-11-05 23:17:53');
INSERT INTO complaint_remarks VALUES('2189','2111','SATURDAY KO YHA COMPLAINT ATTEND','74','2020-11-05 23:29:53','2020-11-05 23:29:53');
INSERT INTO complaint_remarks VALUES('2190','2115','VISIT TO DAY','92','2020-11-05 23:31:00','2020-11-05 23:31:00');
INSERT INTO complaint_remarks VALUES('2191','2094','COMPLAINT RESOLVED','92','2020-11-05 23:34:55','2020-11-05 23:34:55');
INSERT INTO complaint_remarks VALUES('2192','1880','COMPLAINT RESOLVED','92','2020-11-05 23:42:32','2020-11-05 23:42:32');
INSERT INTO complaint_remarks VALUES('2193','1170','REF S/C MAIN HAIN','74','2020-11-05 23:50:31','2020-11-05 23:50:31');
INSERT INTO complaint_remarks VALUES('2194','1553','VISIT TO DAY','92','2020-11-05 23:51:36','2020-11-05 23:51:36');
INSERT INTO complaint_remarks VALUES('2195','2079','NOT ATTEND CALL','92','2020-11-06 00:26:49','2020-11-06 00:26:49');
INSERT INTO complaint_remarks VALUES('2196','1943','COMPLAINT RESOLVED','92','2020-11-06 00:28:30','2020-11-06 00:28:30');
INSERT INTO complaint_remarks VALUES('2197','2182','4 BAJAY VISIT HO GA','92','2020-11-06 00:43:00','2020-11-06 00:43:00');
INSERT INTO complaint_remarks VALUES('2198','2177','COMPLAINT RESOLVED','92','2020-11-06 00:44:34','2020-11-06 00:44:34');
INSERT INTO complaint_remarks VALUES('2199','1877','COMPLAINT RESOLVED','92','2020-11-06 01:01:03','2020-11-06 01:01:03');
INSERT INTO complaint_remarks VALUES('2200','1996','COMPLAINT RESOLVED','92','2020-11-06 01:34:54','2020-11-06 01:34:54');
INSERT INTO complaint_remarks VALUES('2201','2000','COMPLAINT RESOLVED','92','2020-11-06 01:43:53','2020-11-06 01:43:53');
INSERT INTO complaint_remarks VALUES('2202','2012','WARANTI CARD ISSUE','92','2020-11-06 01:48:41','2020-11-06 01:48:41');
INSERT INTO complaint_remarks VALUES('2203','2172','COMPLAINT RESOLVED','92','2020-11-06 01:58:33','2020-11-06 01:58:33');
INSERT INTO complaint_remarks VALUES('2204','1888','CUSTOMER NAY KHUD COMPLAINT RESOLVED KARWA LE THI COMPLAINT CLOSED','92','2020-11-06 02:22:49','2020-11-06 02:22:49');
INSERT INTO complaint_remarks VALUES('2205','2067','COMPLAINT RESOLVED','92','2020-11-06 02:45:50','2020-11-06 02:45:50');
INSERT INTO complaint_remarks VALUES('2206','2181','COMPLAINT#072015098','74','2020-11-06 20:35:23','2020-11-06 20:35:23');
INSERT INTO complaint_remarks VALUES('2207','2123','ASIF GILL KO  COMPLAIT & VIDEO SHER KAR DI HAIN','74','2020-11-06 20:59:23','2020-11-06 20:59:23');
INSERT INTO complaint_remarks VALUES('2208','2042','VISIT TO DAY','74','2020-11-06 21:57:02','2020-11-06 21:57:02');
INSERT INTO complaint_remarks VALUES('2209','2159','COMPLAINT#2297','74','2020-11-06 23:34:11','2020-11-06 23:34:11');
INSERT INTO complaint_remarks VALUES('2210','2044','COMPLAINT RESOLVED','74','2020-11-06 23:37:48','2020-11-06 23:37:48');
INSERT INTO complaint_remarks VALUES('2211','2178','COMPLAINT#PK110600053','74','2020-11-07 01:24:04','2020-11-07 01:24:04');
INSERT INTO complaint_remarks VALUES('2212','1372','ORIENT GROUP MAIN COMPLAINT# FF KAR DIA AJ','74','2020-11-07 01:33:48','2020-11-07 01:33:48');
INSERT INTO complaint_remarks VALUES('2213','2199','COMPLAINT RESOLVED','92','2020-11-07 20:45:19','2020-11-07 20:45:19');
INSERT INTO complaint_remarks VALUES('2214','2184','PART ISSUE COMPLAINT IN PROCESS','92','2020-11-07 22:31:55','2020-11-07 22:31:55');
INSERT INTO complaint_remarks VALUES('2215','2211','COMPLAINT RESOLVED','92','2020-11-07 22:39:16','2020-11-07 22:39:16');
INSERT INTO complaint_remarks VALUES('2216','864','PART ON DEMAND','73','2020-11-08 21:14:41','2020-11-08 21:14:41');
INSERT INTO complaint_remarks VALUES('2217','2187','COMPLAINT RESOLVED','92','2020-11-08 21:17:22','2020-11-08 21:17:22');
INSERT INTO complaint_remarks VALUES('2218','1189','NOT ATTEND THE CALL','73','2020-11-08 21:18:17','2020-11-08 21:18:17');
INSERT INTO complaint_remarks VALUES('2219','1482','STILL NOT ATTEND THE CALL','73','2020-11-08 21:23:08','2020-11-08 21:23:08');
INSERT INTO complaint_remarks VALUES('2220','1520','NOT ATTEND THE CALL','73','2020-11-08 21:24:25','2020-11-08 21:24:25');
INSERT INTO complaint_remarks VALUES('2221','1540','TRAY ON DEMAND NOT AVAILABLE','73','2020-11-08 21:26:36','2020-11-08 21:26:36');
INSERT INTO complaint_remarks VALUES('2222','1601','NOT ATTEND THE CALL','73','2020-11-08 21:30:34','2020-11-08 21:30:34');
INSERT INTO complaint_remarks VALUES('2223','1625','COMPLAIN WAS NOT ATTENDED. .','73','2020-11-08 21:32:29','2020-11-08 21:32:29');
INSERT INTO complaint_remarks VALUES('2224','1634','COSTUMER NOT ATTEND THE CALL','73','2020-11-08 21:33:49','2020-11-08 21:33:49');
INSERT INTO complaint_remarks VALUES('2225','1663','COMPLAIN STILL NOT ATTENDED','73','2020-11-08 21:40:02','2020-11-08 21:40:02');
INSERT INTO complaint_remarks VALUES('2226','2221','COMPLAINT RESOLVED','92','2020-11-08 21:48:38','2020-11-08 21:48:38');
INSERT INTO complaint_remarks VALUES('2227','1688','UNIT IS IN SERVICE CENTRE','73','2020-11-08 21:48:40','2020-11-08 21:48:40');
INSERT INTO complaint_remarks VALUES('2228','2150','NOT ATTEND CALL','92','2020-11-08 21:53:41','2020-11-08 21:53:41');
INSERT INTO complaint_remarks VALUES('2229','1703','NOT ATTEND THE CALL','73','2020-11-08 21:54:04','2020-11-08 21:54:04');
INSERT INTO complaint_remarks VALUES('2230','2148','COMPLAINT RESOLVED','92','2020-11-08 21:56:30','2020-11-08 21:56:30');
INSERT INTO complaint_remarks VALUES('2231','1712','STILL NOT ATTEND THE CALL','73','2020-11-08 21:58:05','2020-11-08 21:58:05');
INSERT INTO complaint_remarks VALUES('2232','2205','COMPLAINT RESOLVED','92','2020-11-08 21:58:56','2020-11-08 21:58:56');
INSERT INTO complaint_remarks VALUES('2233','1765','IN SERVICE CENTRE LAHORE','73','2020-11-08 22:02:50','2020-11-08 22:02:50');
INSERT INTO complaint_remarks VALUES('2234','2202','COMPLAINT RESOLVED','92','2020-11-08 22:04:25','2020-11-08 22:04:25');
INSERT INTO complaint_remarks VALUES('2235','1794','UNIT IS IN SERVICE CENTRE','73','2020-11-08 22:05:26','2020-11-08 22:05:26');
INSERT INTO complaint_remarks VALUES('2236','2198','COMPLAINT RESOLVED','92','2020-11-08 22:07:35','2020-11-08 22:07:35');
INSERT INTO complaint_remarks VALUES('2237','1828','STILL NO VISIT','73','2020-11-08 22:10:51','2020-11-08 22:10:51');
INSERT INTO complaint_remarks VALUES('2238','2196','COMPLAINT RESOLVED','92','2020-11-08 22:12:12','2020-11-08 22:12:12');
INSERT INTO complaint_remarks VALUES('2239','1841','NOT ATTEND THE CALL','73','2020-11-08 22:14:18','2020-11-08 22:14:18');
INSERT INTO complaint_remarks VALUES('2240','2191','VISIT TO DAY','92','2020-11-08 22:15:37','2020-11-08 22:15:37');
INSERT INTO complaint_remarks VALUES('2241','2190','COMPLAINT RESOLVED','92','2020-11-08 22:17:47','2020-11-08 22:17:47');
INSERT INTO complaint_remarks VALUES('2242','1870','NOT ATTENDED COMPLAINT... 1ST VISIT HAVE BEEN DONE BUT ISSUE STILL NOT RESOLVED','73','2020-11-08 22:18:44','2020-11-08 22:18:44');
INSERT INTO complaint_remarks VALUES('2243','2186','COMPLAINT RESOLVED','92','2020-11-08 22:21:11','2020-11-08 22:21:11');
INSERT INTO complaint_remarks VALUES('2244','2185','COMPLAINT RESOLVED','92','2020-11-08 22:23:08','2020-11-08 22:23:08');
INSERT INTO complaint_remarks VALUES('2245','2189','COMPLAINT RESOLVED','92','2020-11-08 22:24:03','2020-11-08 22:24:03');
INSERT INTO complaint_remarks VALUES('2246','2182','COMPLAINT RESOLVED','92','2020-11-08 22:27:18','2020-11-08 22:27:18');
INSERT INTO complaint_remarks VALUES('2247','1920','NOT ATTEND THE CALL','73','2020-11-08 22:36:18','2020-11-08 22:36:18');
INSERT INTO complaint_remarks VALUES('2248','1921','NOT ATTEND THE CALL','73','2020-11-08 22:38:30','2020-11-08 22:38:30');
INSERT INTO complaint_remarks VALUES('2249','2180','COMPLAINT RESOLVED','92','2020-11-08 22:44:19','2020-11-08 22:44:19');
INSERT INTO complaint_remarks VALUES('2250','2176','NOT ATTEND CALL','92','2020-11-08 22:48:16','2020-11-08 22:48:16');
INSERT INTO complaint_remarks VALUES('2251','2175','COMPLAINT RESOLVED','92','2020-11-08 22:49:45','2020-11-08 22:49:45');
INSERT INTO complaint_remarks VALUES('2252','2168','NOT VISIT TO COMPLAINT','92','2020-11-08 22:51:54','2020-11-08 22:51:54');
INSERT INTO complaint_remarks VALUES('2253','1946','NOT ATTEND THE CALL','73','2020-11-08 22:57:10','2020-11-08 22:57:10');
INSERT INTO complaint_remarks VALUES('2254','2162','COMPLAINT RESOLVED','92','2020-11-08 22:58:14','2020-11-08 22:58:14');
INSERT INTO complaint_remarks VALUES('2255','2158','COMPLAINT RESOLVED','92','2020-11-08 23:00:02','2020-11-08 23:00:02');
INSERT INTO complaint_remarks VALUES('2256','2156','COMPLAINT RESOLVED','92','2020-11-08 23:01:48','2020-11-08 23:01:48');
INSERT INTO complaint_remarks VALUES('2257','2144','COMPLAINT RESOLVED','92','2020-11-08 23:08:15','2020-11-08 23:08:15');
INSERT INTO complaint_remarks VALUES('2258','2006','COSTUMER NOT ATTENDING CALL','73','2020-11-08 23:09:32','2020-11-08 23:09:32');
INSERT INTO complaint_remarks VALUES('2259','2068','COSTUMER SIDE SE PENDING HA. . COSTUMER RELATIVE KI DEATH HOGAE HA , MACHINE SERVICE CENTRE LIFT KARWANI HA','73','2020-11-08 23:14:44','2020-11-08 23:14:44');
INSERT INTO complaint_remarks VALUES('2260','2068','COSTUMER NE KHUD SERVICE CENTRE LIFT KARWANI MACHINE','73','2020-11-08 23:15:19','2020-11-08 23:15:19');
INSERT INTO complaint_remarks VALUES('2261','2128','NOT ATTEND CALL','92','2020-11-08 23:15:38','2020-11-08 23:15:38');
INSERT INTO complaint_remarks VALUES('2262','2122','COMPLAINT RESOLVED','92','2020-11-08 23:19:22','2020-11-08 23:19:22');
INSERT INTO complaint_remarks VALUES('2263','2117','COMPLAINT RESOLVED','92','2020-11-08 23:23:42','2020-11-08 23:23:42');
INSERT INTO complaint_remarks VALUES('2264','2115','ISSUE NOT RESOLVED','92','2020-11-08 23:27:05','2020-11-08 23:27:05');
INSERT INTO complaint_remarks VALUES('2265','2106','COMPLAINT RESOLVED','92','2020-11-08 23:33:57','2020-11-08 23:33:57');
INSERT INTO complaint_remarks VALUES('2266','2093','COMPLAINT RESOLVED','92','2020-11-08 23:37:00','2020-11-08 23:37:00');
INSERT INTO complaint_remarks VALUES('2267','2077','COMPLAINT RESOLVED','92','2020-11-08 23:47:28','2020-11-08 23:47:28');
INSERT INTO complaint_remarks VALUES('2268','2072','KAL VISIT HO JAY GA','92','2020-11-08 23:56:09','2020-11-08 23:56:09');
INSERT INTO complaint_remarks VALUES('2269','2070','COMPLAINT RESOLVED','92','2020-11-08 23:58:44','2020-11-08 23:58:44');
INSERT INTO complaint_remarks VALUES('2270','2019','COMPLAINT RESOLVED','92','2020-11-09 00:14:31','2020-11-09 00:14:31');
INSERT INTO complaint_remarks VALUES('2271','2020','COMPLAINT RESOLVED','92','2020-11-09 00:15:32','2020-11-09 00:15:32');
INSERT INTO complaint_remarks VALUES('2272','2225','VISIT TO DAY','74','2020-11-09 20:52:46','2020-11-09 20:52:46');
INSERT INTO complaint_remarks VALUES('2273','2248','COMPLAINT RESOLVED','92','2020-11-09 20:55:42','2020-11-09 20:55:42');
INSERT INTO complaint_remarks VALUES('2274','2247','COMPLAINT RESOLVED','92','2020-11-09 20:57:03','2020-11-09 20:57:03');
INSERT INTO complaint_remarks VALUES('2275','2246','COMPLAINT RESOLVED','92','2020-11-09 20:58:12','2020-11-09 20:58:12');
INSERT INTO complaint_remarks VALUES('2276','2243','COMPLAINT RESOLVED','92','2020-11-09 21:01:15','2020-11-09 21:01:15');
INSERT INTO complaint_remarks VALUES('2277','2245','COMPLAINT RESOLVED','92','2020-11-09 21:02:14','2020-11-09 21:02:14');
INSERT INTO complaint_remarks VALUES('2278','2244','COMPLAINT RESOLVED','92','2020-11-09 21:03:26','2020-11-09 21:03:26');
INSERT INTO complaint_remarks VALUES('2279','1189','CUSTOMER NA UNIT KHUD S/C MOVE KARWANA HAIN CUSTOMER SIDE SAV DELAY','74','2020-11-09 21:42:03','2020-11-09 21:42:03');
INSERT INTO complaint_remarks VALUES('2280','2042','COMPLAINT RESOLVED','74','2020-11-09 21:47:46','2020-11-09 21:47:46');
INSERT INTO complaint_remarks VALUES('2281','2166','PIPE LEAKAGE KA ISSUE HAIN KHURRAM BHAI NA YAWAR SAB KO PIC SHER KAR DI HAIN WO UP DATE KARTAY CUSTOMER CALL ATTEND NI KAR RAHAY','74','2020-11-10 00:49:51','2020-11-10 00:49:51');
INSERT INTO complaint_remarks VALUES('2282','2167','PIPE LEAKAGE KA ISSUE HAIN KHURRAM BHAI NA YAWAR SAB KO PIC SHER KAR DI HAIN WO UP DATE KARTAY CUSTOMER CALL ATTEND NI KAR RAHAY','74','2020-11-10 00:50:18','2020-11-10 00:50:18');
INSERT INTO complaint_remarks VALUES('2283','2207','CUSTOMER KO MUBASHIR TECHNICIAN KO CALL KAR K 2000 EXP BATA DIA','74','2020-11-10 02:11:42','2020-11-10 02:11:42');
INSERT INTO complaint_remarks VALUES('2284','2230','COMPLAINT RESOLVED','92','2020-11-10 02:40:10','2020-11-10 02:40:10');
INSERT INTO complaint_remarks VALUES('2285','2220','VISIT HO GAYA HAY CUSTOMER SATURDAY KO W/M S/C MOVE KARWAY GAY','92','2020-11-10 19:57:27','2020-11-10 19:57:27');
INSERT INTO complaint_remarks VALUES('2286','2128','COMPLAINT RESOLVED','74','2020-11-10 20:44:02','2020-11-10 20:44:02');
INSERT INTO complaint_remarks VALUES('2287','2249','VISIT HO GAYA HAY TV S/C LAY KAR JANI HAY CUSTOMER NAY','92','2020-11-10 20:57:17','2020-11-10 20:57:17');
INSERT INTO complaint_remarks VALUES('2288','2227','COMPLAINT RESOLVED','92','2020-11-10 20:59:32','2020-11-10 20:59:32');
INSERT INTO complaint_remarks VALUES('2289','1992','MISS AREEBA NA INVOICE WHATSAPP NAI KI THI KHURRAM BHAI KO IC WAJA SA DELAY','74','2020-11-10 21:02:08','2020-11-10 21:02:08');
INSERT INTO complaint_remarks VALUES('2290','2132','SATURDAY KO STET S/C LA K GAY COMPAQNY WALAY','74','2020-11-10 21:04:09','2020-11-10 21:04:09');
INSERT INTO complaint_remarks VALUES('2291','2219','NOT ATTEND CALL','92','2020-11-10 21:04:26','2020-11-10 21:04:26');
INSERT INTO complaint_remarks VALUES('2292','2222','AJ AGAIN COMPLAINT FF KI HAIN','74','2020-11-10 21:25:16','2020-11-10 21:25:16');
INSERT INTO complaint_remarks VALUES('2293','2130','COMPLAINT RESOLVED','74','2020-11-10 21:34:56','2020-11-10 21:34:56');
INSERT INTO complaint_remarks VALUES('2294','2257','VISIT TO DAY','74','2020-11-10 21:49:04','2020-11-10 21:49:04');
INSERT INTO complaint_remarks VALUES('2295','2140','COMPLAINT RESOLVED','74','2020-11-10 21:53:28','2020-11-10 21:53:28');
INSERT INTO complaint_remarks VALUES('2296','2123','TAQEER SAB IC COMPLAINT KO LOOK AFTER KAR RAHAY HAIN','74','2020-11-10 22:08:46','2020-11-10 22:08:46');
INSERT INTO complaint_remarks VALUES('2297','2279','QUEETA KA BILAL SAB YHA COMPLINT ATTEND KARWA RAHAY HAIN 0300-3877656','74','2020-11-10 22:18:28','2020-11-10 22:18:28');
INSERT INTO complaint_remarks VALUES('2298','2279','SANSER BILAL SAB KA PASS KARACHI SA AGAY HAIN KAL YHA ISSUE RESOLVED HO JAY GA CUSTOMER KO B INFORMED KAR DIA','74','2020-11-10 22:19:16','2020-11-10 22:19:16');
INSERT INTO complaint_remarks VALUES('2299','1189','CUSTOMER KI SIDE SA DELAY HAIN CLOSED .','74','2020-11-10 22:26:01','2020-11-10 22:26:01');
INSERT INTO complaint_remarks VALUES('2300','1195','COMPLAINT RESOLVED','74','2020-11-10 22:28:58','2020-11-10 22:28:58');
INSERT INTO complaint_remarks VALUES('2301','1220','BILAL SAB SA  CONFIRM KAR K COMPLAINT CLOSED KI','74','2020-11-10 22:42:02','2020-11-10 22:42:02');
INSERT INTO complaint_remarks VALUES('2302','1200','COMPLAINT CLOSED HAMMAD SAB KO YAAD NAI','74','2020-11-10 22:42:54','2020-11-10 22:42:54');
INSERT INTO complaint_remarks VALUES('2303','1182','OUT DOOR S/C MAIN IN PROCESS HAIN COMPANY WALY INDOOR MAGWAQ RAHAY HAIN KAL EHSAN SB MOVE KARWAY GAY','74','2020-11-10 22:45:40','2020-11-10 22:45:40');
INSERT INTO complaint_remarks VALUES('2304','1229','NAEEM KENWOOD KO COMPLAINT # FF KAR DIA','74','2020-11-10 22:59:59','2020-11-10 22:59:59');
INSERT INTO complaint_remarks VALUES('2305','1372','AJ AGAIN ALI SAB KO REMINDER DIA','74','2020-11-10 23:03:01','2020-11-10 23:03:01');
INSERT INTO complaint_remarks VALUES('2306','2266','COMPLAINT PA VISIT HO GAY HAIN TECHNICIAN CARD REPLACE KA BOL K AA Y HAIN GROUP MAIN REMINDER DA DIA HAIN  K JAILDE CARD CHANGE KARWAY','74','2020-11-10 23:19:35','2020-11-10 23:19:35');
INSERT INTO complaint_remarks VALUES('2307','1378','SADAR KHURRAM K GHR KI COMPLAINT THI OUT OFF WARRANTY . COMPRESSOR PROB THI  BEST COOL BAJWA DIA  YHA SA COMPLAINT CLOSED','74','2020-11-10 23:31:07','2020-11-10 23:31:07');
INSERT INTO complaint_remarks VALUES('2308','1794','YHA FREEZER REPLACE KAR RAHAY HAIN COMPANY WALAY HEAD OFFICE SA GRN KA W8 KAR RAHAY HAIN WITH IN WEEK ISSUE RESOLVED HO JAY GA CUSTOMER KO B INFORMED KAR DIA','74','2020-11-10 23:38:41','2020-11-10 23:38:41');
INSERT INTO complaint_remarks VALUES('2309','2170','ASLAM SAB K KNOWLADGE MAIN KAR K YHA COMPLAINT CLOSED KI YHA COMPANY S/C S READY HO K AAI HAIN W/M','74','2020-11-11 00:04:10','2020-11-11 00:04:10');
INSERT INTO complaint_remarks VALUES('2310','1539','AZEEM SB SA CONFIRM KAR K COMPLAINT CLOSED KI','74','2020-11-11 00:06:56','2020-11-11 00:06:56');
INSERT INTO complaint_remarks VALUES('2311','2068','COMPLAINT RESOLVED','74','2020-11-11 00:32:21','2020-11-11 00:32:21');
INSERT INTO complaint_remarks VALUES('2312','2118','YHA REFVV REPLACE HO GAY THA IN MADAM NA KAFI MISBEHAVE KIYA NAVEED SAB SA B PAYMENT B LA K GEI HAIN &RENT B LA K GEI HAIN. REF ASLAM SAB GREE K S/C LA K GAY HAIN','74','2020-11-11 00:46:04','2020-11-11 00:46:04');
INSERT INTO complaint_remarks VALUES('2313','2266','AGAIN REMINDER DA DIA','74','2020-11-11 20:09:56','2020-11-11 20:09:56');
INSERT INTO complaint_remarks VALUES('2314','2207','VISIT TO DAY','74','2020-11-11 20:29:05','2020-11-11 20:29:05');
INSERT INTO complaint_remarks VALUES('2315','2152','HAIER GROUP MAIN PCB CARD KA REMINDER DA DIA','74','2020-11-11 20:44:34','2020-11-11 20:44:34');
INSERT INTO complaint_remarks VALUES('2316','2150','COMPLAINT PAR VISIT HO GAYA HAY SARF BOX MISSING HAY HAIER SERVICE  WALOUN KO REMINDER DAY DEYA HAY','92','2020-11-11 20:53:57','2020-11-11 20:53:57');
INSERT INTO complaint_remarks VALUES('2317','1870','COMPLAINT RESOLVED CUSTOMER K BABA SA BAT HOI THI','74','2020-11-11 20:54:03','2020-11-11 20:54:03');
INSERT INTO complaint_remarks VALUES('2318','2146','PART ISSUE HAY COMPLAINT IN PROCESS','92','2020-11-11 20:56:51','2020-11-11 20:56:51');
INSERT INTO complaint_remarks VALUES('2319','1500','COMPLAINT RESOLVED','92','2020-11-11 20:59:31','2020-11-11 20:59:31');
INSERT INTO complaint_remarks VALUES('2320','1724','COMPLAINT RESOLVED','74','2020-11-11 21:11:10','2020-11-11 21:11:10');
INSERT INTO complaint_remarks VALUES('2321','2265','3 BAJAY VISIT HO GA','92','2020-11-11 21:25:19','2020-11-11 21:25:19');
INSERT INTO complaint_remarks VALUES('2322','2264','COMPLAINT RESOLVED','92','2020-11-11 21:26:44','2020-11-11 21:26:44');
INSERT INTO complaint_remarks VALUES('2323','2262','VISIT TO DAY','92','2020-11-11 21:35:14','2020-11-11 21:35:14');
INSERT INTO complaint_remarks VALUES('2324','2297','COMPLAINT#176711180','74','2020-11-11 21:36:29','2020-11-11 21:36:29');
INSERT INTO complaint_remarks VALUES('2325','2267','COMPLAINT#1767182','74','2020-11-11 21:38:44','2020-11-11 21:38:44');
INSERT INTO complaint_remarks VALUES('2326','2298','COMPLAINT# 5062','74','2020-11-11 21:46:55','2020-11-11 21:46:55');
INSERT INTO complaint_remarks VALUES('2327','1946','PART ISSUE COMPLAINT IN PROCESS','92','2020-11-11 21:50:39','2020-11-11 21:50:39');
INSERT INTO complaint_remarks VALUES('2328','2157','NOT ATTEND CALL','92','2020-11-11 22:00:57','2020-11-11 22:00:57');
INSERT INTO complaint_remarks VALUES('2329','2268','AJ VISIT HO GA','92','2020-11-11 22:04:58','2020-11-11 22:04:58');
INSERT INTO complaint_remarks VALUES('2330','2277','LEFT IN SERVICE CENTER','92','2020-11-11 22:06:32','2020-11-11 22:06:32');
INSERT INTO complaint_remarks VALUES('2331','2287','COMPLAINT RESOLVED','92','2020-11-11 22:07:55','2020-11-11 22:07:55');
INSERT INTO complaint_remarks VALUES('2332','1703','COMPLAINT RESOLVED','92','2020-11-11 22:15:11','2020-11-11 22:15:11');
INSERT INTO complaint_remarks VALUES('2333','2096','COMPLAINT RESOLVED','74','2020-11-11 22:22:14','2020-11-11 22:22:14');
INSERT INTO complaint_remarks VALUES('2334','1948','QASIER KO INFORMED KAR DIA VISIT K LIYA','74','2020-11-11 22:28:57','2020-11-11 22:28:57');
INSERT INTO complaint_remarks VALUES('2335','2157','COMPLAINT RESOLVED','74','2020-11-11 22:39:49','2020-11-11 22:39:49');
INSERT INTO complaint_remarks VALUES('2336','2252','WAR ANTE CARD ISSUE','92','2020-11-11 22:39:55','2020-11-11 22:39:55');
INSERT INTO complaint_remarks VALUES('2337','2072','COMPLAINT RESOLVED','92','2020-11-11 23:09:50','2020-11-11 23:09:50');
INSERT INTO complaint_remarks VALUES('2338','2006','CUSTOMER NAY KHUD APNI COMPLAINT RESOLVED KARWA LE HAY','92','2020-11-11 23:16:18','2020-11-11 23:16:18');
INSERT INTO complaint_remarks VALUES('2339','2006','COMPLAINT RESOLVED','92','2020-11-11 23:16:36','2020-11-11 23:16:36');
INSERT INTO complaint_remarks VALUES('2340','1950','COMPLAINT RESOLVED','92','2020-11-11 23:35:29','2020-11-11 23:35:29');
INSERT INTO complaint_remarks VALUES('2341','1920','COMPLAINT RESOLVED','92','2020-11-11 23:37:43','2020-11-11 23:37:43');
INSERT INTO complaint_remarks VALUES('2342','1921','COMPLAINT RESOLVED','92','2020-11-11 23:39:27','2020-11-11 23:39:27');
INSERT INTO complaint_remarks VALUES('2343','1852','COMPLAINT RESOLVED','92','2020-11-12 00:09:10','2020-11-12 00:09:10');
INSERT INTO complaint_remarks VALUES('2344','1721','COMPLAINT RESOLVED','92','2020-11-12 00:16:10','2020-11-12 00:16:10');
INSERT INTO complaint_remarks VALUES('2345','1712','COMPLAINT RESOLVED','92','2020-11-12 00:17:33','2020-11-12 00:17:33');
INSERT INTO complaint_remarks VALUES('2346','1634','COMPLAINT RESOLVED','92','2020-11-12 00:24:48','2020-11-12 00:24:48');
INSERT INTO complaint_remarks VALUES('2347','1601','COMPLAINT RESOLVED','92','2020-11-12 00:27:28','2020-11-12 00:27:28');
INSERT INTO complaint_remarks VALUES('2348','2265','COMPLAINT RESOLVED','92','2020-11-12 01:20:51','2020-11-12 01:20:51');
INSERT INTO complaint_remarks VALUES('2349','2289','COMPLAINT RESOLVED','92','2020-11-12 01:24:51','2020-11-12 01:24:51');
INSERT INTO complaint_remarks VALUES('2350','2176','COMPLAINT RESOLVED','92','2020-11-12 01:32:07','2020-11-12 01:32:07');
INSERT INTO complaint_remarks VALUES('2351','2296','COMPLAINT#10259','74','2020-11-12 01:51:19','2020-11-12 01:51:19');
INSERT INTO complaint_remarks VALUES('2352','2299','COMPLAINT#106974','74','2020-11-12 02:22:07','2020-11-12 02:22:07');
INSERT INTO complaint_remarks VALUES('2353','1896','KHURRAM SAB NA PIC K LIYA REMINDER D DIYA','74','2020-11-12 02:50:00','2020-11-12 02:50:00');
INSERT INTO complaint_remarks VALUES('2354','1994','CUSTOMER KO INFORMED KAR DIA K GEYSER S/C LA AAY TANK AAGAY HAIN','74','2020-11-12 02:58:57','2020-11-12 02:58:57');
INSERT INTO complaint_remarks VALUES('2355','2212','CUSTOMER KO INFORMED KAQR DIA HAIN GEYSER READY HO GAY HAIN PICK KARWA LAY','74','2020-11-12 03:03:08','2020-11-12 03:03:08');
INSERT INTO complaint_remarks VALUES('2356','2217','COMPLAINT RESOLVED','92','2020-11-12 03:03:26','2020-11-12 03:03:26');
INSERT INTO complaint_remarks VALUES('2357','1202','4 W/M S/C SA OK HO K AAGEI HAIN BAKI W/M K VISIT K LIYA NAEEM KENWOOD KO INFORMED KAR DIA','74','2020-11-12 20:13:01','2020-11-12 20:13:01');
INSERT INTO complaint_remarks VALUES('2358','2321','COMPLAINT#2401','74','2020-11-12 20:33:41','2020-11-12 20:33:41');
INSERT INTO complaint_remarks VALUES('2359','2266','CUSTOMER KI COMPANY SA BAT HO GEI HAIN CARD REPLACE K LIYA CUSTOMER KO AGRE KAR LIYA HAIN  CARD DEMAND KAR DIA HAIN','74','2020-11-12 20:54:47','2020-11-12 20:54:47');
INSERT INTO complaint_remarks VALUES('2360','2295','COMPLAINT RESOLVED','92','2020-11-12 22:06:29','2020-11-12 22:06:29');
INSERT INTO complaint_remarks VALUES('2361','2292','LEFT IN SERVICE CENTER','92','2020-11-12 22:09:06','2020-11-12 22:09:06');
INSERT INTO complaint_remarks VALUES('2362','2268','COMPLAINT RESOLVED','92','2020-11-12 22:10:52','2020-11-12 22:10:52');
INSERT INTO complaint_remarks VALUES('2363','2258','COMPLAINT RESOLVED','92','2020-11-12 22:12:46','2020-11-12 22:12:46');
INSERT INTO complaint_remarks VALUES('2364','2255','COMPLAINT RESOLVED','92','2020-11-12 22:15:27','2020-11-12 22:15:27');
INSERT INTO complaint_remarks VALUES('2365','2253','COMPLAINT RESOLVED','92','2020-11-12 22:18:13','2020-11-12 22:18:13');
INSERT INTO complaint_remarks VALUES('2366','2240','COMPLAINT RESOLVED','92','2020-11-12 22:19:56','2020-11-12 22:19:56');
INSERT INTO complaint_remarks VALUES('2367','2219','COMPLAINT RESOLVED','92','2020-11-12 22:23:20','2020-11-12 22:23:20');
INSERT INTO complaint_remarks VALUES('2368','2184','NOT ATTEND CALL','92','2020-11-12 22:26:39','2020-11-12 22:26:39');
INSERT INTO complaint_remarks VALUES('2369','2283','COMPLAINT RESOLVED','92','2020-11-12 22:32:05','2020-11-12 22:32:05');
INSERT INTO complaint_remarks VALUES('2370','2286','COMPLAINT RESOLVED','92','2020-11-12 22:35:00','2020-11-12 22:35:00');
INSERT INTO complaint_remarks VALUES('2371','2280','COMPLAINT RESOLVED','92','2020-11-12 22:37:48','2020-11-12 22:37:48');
INSERT INTO complaint_remarks VALUES('2372','2079','COMPLAINT RESOLVED','92','2020-11-12 22:45:39','2020-11-12 22:45:39');
INSERT INTO complaint_remarks VALUES('2373','2308','COMPLAINT PA VISIT HO GAYA HAIN DONO TANK LEAK HAIN GUJRAWALA TANK KI DEMAND KARWA DI KHURRAM BHAI NA VIDEO B SHER KI','74','2020-11-12 22:47:52','2020-11-12 22:47:52');
INSERT INTO complaint_remarks VALUES('2374','2215','LEFT IN SERVICE CENTER','92','2020-11-12 22:48:16','2020-11-12 22:48:16');
INSERT INTO complaint_remarks VALUES('2375','2235','NOT ATTEND CALL','92','2020-11-12 22:51:40','2020-11-12 22:51:40');
INSERT INTO complaint_remarks VALUES('2376','2232','COMPLAINT RESOLVED','92','2020-11-12 22:54:20','2020-11-12 22:54:20');
INSERT INTO complaint_remarks VALUES('2377','2233','COMPLAINT RESOLVED','92','2020-11-12 22:56:12','2020-11-12 22:56:12');
INSERT INTO complaint_remarks VALUES('2378','1482','COMPLAINT RESOLVED','92','2020-11-12 23:45:37','2020-11-12 23:45:37');
INSERT INTO complaint_remarks VALUES('2379','1520','COMPLAINT RESOLVED','92','2020-11-12 23:49:38','2020-11-12 23:49:38');
INSERT INTO complaint_remarks VALUES('2380','2207','COMPLAINT RESOLVED','92','2020-11-12 23:52:53','2020-11-12 23:52:53');
INSERT INTO complaint_remarks VALUES('2381','2132','COMPLAINT RESOLVED','92','2020-11-13 00:02:45','2020-11-13 00:02:45');
INSERT INTO complaint_remarks VALUES('2382','2257','COMPLAINT RESOLVED','92','2020-11-13 00:09:15','2020-11-13 00:09:15');
INSERT INTO complaint_remarks VALUES('2383','2132','SET S/C AMAIN READY HAIN CUSTOMER KO CALL KAR RAHAY HAIN COMPANY WALAY','74','2020-11-13 00:09:30','2020-11-13 00:09:30');
INSERT INTO complaint_remarks VALUES('2384','2179','COMPLAINT RESOLVED','74','2020-11-13 00:14:08','2020-11-13 00:14:08');
INSERT INTO complaint_remarks VALUES('2385','1841','S/C JANA THA CUSTOMER KI TARAF SAY DELAY COMPLAINT RESOLVED','92','2020-11-13 00:29:18','2020-11-13 00:29:18');
INSERT INTO complaint_remarks VALUES('2386','2184','W/M S/C IN PROCESS','74','2020-11-13 00:50:24','2020-11-13 00:50:24');
INSERT INTO complaint_remarks VALUES('2387','2332','COMPLAINT#16278','74','2020-11-13 20:33:43','2020-11-13 20:33:43');
INSERT INTO complaint_remarks VALUES('2388','2344','VISIT TO DAY','74','2020-11-13 21:13:11','2020-11-13 21:13:11');
INSERT INTO complaint_remarks VALUES('2389','2333','LG WALAY AJ REF LIFT KARWA RAHAY HAIN','74','2020-11-13 21:32:48','2020-11-13 21:32:48');
INSERT INTO complaint_remarks VALUES('2390','2290','CUSTOMER NA KHUD S/C MOVE KARWANA HAIN LG S/C NA APNA ADD B BATA DIA CUSTOMER KO HAMARI B BAT HO GEI HAIN CUSTOMER SA','74','2020-11-14 01:38:53','2020-11-14 01:38:53');
INSERT INTO complaint_remarks VALUES('2391','2263','VISIT HO GAYA HAIN SENSOR KA PROB HAIN ABDUL REHMAN KAL JA K YHA COMPLIANT RESOLVED KARAY GAY CUSTOMER KO B INFORMED KAR DIA','74','2020-11-14 01:50:45','2020-11-14 01:50:45');
INSERT INTO complaint_remarks VALUES('2392','2316','YHA FREEZER I 10/3 S/C MAIN AGAY HAIN','74','2020-11-14 02:43:56','2020-11-14 02:43:56');
INSERT INTO complaint_remarks VALUES('2393','2318','COMPLAINT RESOLVED','92','2020-11-14 19:38:11','2020-11-14 19:38:11');
INSERT INTO complaint_remarks VALUES('2394','2326','COMPLAINT RESOLVED','92','2020-11-14 19:51:00','2020-11-14 19:51:00');
INSERT INTO complaint_remarks VALUES('2395','2328','COMPLAINT RESOLVED','92','2020-11-14 19:53:01','2020-11-14 19:53:01');
INSERT INTO complaint_remarks VALUES('2396','2352','COMPLAINT RESOLVED','74','2020-11-14 19:54:21','2020-11-14 19:54:21');
INSERT INTO complaint_remarks VALUES('2397','2338','COMPLAINT RESOLVED','92','2020-11-14 19:54:48','2020-11-14 19:54:48');
INSERT INTO complaint_remarks VALUES('2398','2256','COMPLAINT PA AIK VISIT HO GAYA HAIN AGAIN ISSUE AARHA HAIN WAQAR SAB KO AGAIN VISIT KA REMNDER DA DIA HAIN','74','2020-11-14 19:57:00','2020-11-14 19:57:00');
INSERT INTO complaint_remarks VALUES('2399','2313','NOT ATTEND CALL','92','2020-11-14 20:00:50','2020-11-14 20:00:50');
INSERT INTO complaint_remarks VALUES('2400','2320','COMPLAINT RESOLVED','92','2020-11-14 20:03:05','2020-11-14 20:03:05');
INSERT INTO complaint_remarks VALUES('2401','2166','COMPLAINT RESOLVED','92','2020-11-14 20:06:24','2020-11-14 20:06:24');
INSERT INTO complaint_remarks VALUES('2402','2167','COMPLAINT RESOLVED','92','2020-11-14 20:07:14','2020-11-14 20:07:14');
INSERT INTO complaint_remarks VALUES('2403','1968','COMPLAINT RESOLVED','92','2020-11-14 20:18:55','2020-11-14 20:18:55');
INSERT INTO complaint_remarks VALUES('2404','2313','COMPLAINT RESOLVED','74','2020-11-14 20:21:43','2020-11-14 20:21:43');
INSERT INTO complaint_remarks VALUES('2405','2317','WASEEM TECHNICIAN AJ YHA UNIT GARI BAJ K MOVE KARWA RAHAY HAIN TARIQ FCI KO B INFORMED KAR DIA','74','2020-11-14 20:37:18','2020-11-14 20:37:18');
INSERT INTO complaint_remarks VALUES('2406','2059','OTHER NO 03335137161','92','2020-11-14 20:41:40','2020-11-14 20:41:40');
INSERT INTO complaint_remarks VALUES('2407','1372','NOT ATTEND CALL','92','2020-11-14 20:49:36','2020-11-14 20:49:36');
INSERT INTO complaint_remarks VALUES('2408','2191','NOT ATTEND CALL','92','2020-11-14 20:57:12','2020-11-14 20:57:12');
INSERT INTO complaint_remarks VALUES('2409','2314','COMPLAINT RESOLVED','92','2020-11-14 21:00:30','2020-11-14 21:00:30');
INSERT INTO complaint_remarks VALUES('2410','2309','COMPLAINT RESOLVED','92','2020-11-14 21:04:31','2020-11-14 21:04:31');
INSERT INTO complaint_remarks VALUES('2411','2306','VISIT TO DAY','92','2020-11-14 21:10:53','2020-11-14 21:10:53');
INSERT INTO complaint_remarks VALUES('2412','2279','FLOOR STANDING KI COMPLAINT PA SENSOR LAGA DI THA ISSUE RESOLVED HO GAYA HAIN ALI FCI KO B INFORMED KAR K COMPLAINT CLOSED KI','74','2020-11-14 21:11:42','2020-11-14 21:11:42');
INSERT INTO complaint_remarks VALUES('2413','1372','COMPLAINT RESOLVED','74','2020-11-14 21:13:22','2020-11-14 21:13:22');
INSERT INTO complaint_remarks VALUES('2414','2277','COMPLAINT RESOLVED','92','2020-11-14 21:14:39','2020-11-14 21:14:39');
INSERT INTO complaint_remarks VALUES('2415','2282','COMPLAINT RESOLVED','92','2020-11-14 21:16:47','2020-11-14 21:16:47');
INSERT INTO complaint_remarks VALUES('2416','1956','VISIT TO DAY','74','2020-11-14 21:19:18','2020-11-14 21:19:18');
INSERT INTO complaint_remarks VALUES('2417','2218','LIFT IN SERVICE CENTER','92','2020-11-14 21:22:01','2020-11-14 21:22:01');
INSERT INTO complaint_remarks VALUES('2418','2254','CUSTOMER K GHAR LIGHT ISSUE THA MONDAY KO VISIT HO GA','92','2020-11-14 21:27:59','2020-11-14 21:27:59');
INSERT INTO complaint_remarks VALUES('2419','2301','CARD ISSUE COMPLAINT INPROCESS','92','2020-11-14 21:31:12','2020-11-14 21:31:12');
INSERT INTO complaint_remarks VALUES('2420','2307','PART ISSUE COMPLAINT INPROCESS','92','2020-11-14 21:33:11','2020-11-14 21:33:11');
INSERT INTO complaint_remarks VALUES('2421','2291','COMPLAINT RESOLVED
PANAL REPLACE KARWA K DIA YASIER SAB NA PAYMENT FRIENDS NA PAY KI','74','2020-11-14 21:37:52','2020-11-14 21:37:52');
INSERT INTO complaint_remarks VALUES('2422','2212','AJ CUSTOMER GEYSER PICK KAR LAY GAY S/C SAY','92','2020-11-14 21:48:32','2020-11-14 21:48:32');
INSERT INTO complaint_remarks VALUES('2423','2341','NOT ATTEND CALL','92','2020-11-14 22:11:47','2020-11-14 22:11:47');
INSERT INTO complaint_remarks VALUES('2424','2184','PARTS DEMAND','74','2020-11-14 22:12:52','2020-11-14 22:12:52');
INSERT INTO complaint_remarks VALUES('2425','2339','COMPLAINT RESOLVED','92','2020-11-14 22:13:24','2020-11-14 22:13:24');
INSERT INTO complaint_remarks VALUES('2426','2337','COMPLAINT RESOLVED','92','2020-11-14 22:15:21','2020-11-14 22:15:21');
INSERT INTO complaint_remarks VALUES('2427','2347','COMPLAINT RESOLVED','92','2020-11-14 22:17:16','2020-11-14 22:17:16');
INSERT INTO complaint_remarks VALUES('2428','2350','CUSTOMER KO KHURRAM 5 STAR K NO PROVIDE KAR DIA','74','2020-11-14 22:17:28','2020-11-14 22:17:28');
INSERT INTO complaint_remarks VALUES('2429','2362','COMPLAINT#1067391','74','2020-11-14 22:33:45','2020-11-14 22:33:45');
INSERT INTO complaint_remarks VALUES('2430','2293','NOT ATTEND CALL','92','2020-11-14 22:46:23','2020-11-14 22:46:23');
INSERT INTO complaint_remarks VALUES('2431','2340','COMPLAINT RESOLVED','92','2020-11-14 23:04:11','2020-11-14 23:04:11');
INSERT INTO complaint_remarks VALUES('2432','2344','COMPLAINT RESOLVED','92','2020-11-14 23:08:35','2020-11-14 23:08:35');
INSERT INTO complaint_remarks VALUES('2433','2137','COMPLAINT RESOLVED','74','2020-11-14 23:08:59','2020-11-14 23:08:59');
INSERT INTO complaint_remarks VALUES('2434','2341','COMPLAINT RESOLVED','92','2020-11-14 23:18:43','2020-11-14 23:18:43');
INSERT INTO complaint_remarks VALUES('2435','2374','KHALID SAB KO WHAT APP KAR DI HAIN COMPLAINT','74','2020-11-15 00:53:30','2020-11-15 00:53:30');
INSERT INTO complaint_remarks VALUES('2436','2168','COMPLAINT RESOLVED','92','2020-11-15 00:55:17','2020-11-15 00:55:17');
INSERT INTO complaint_remarks VALUES('2437','1394','ISUUE RESOLVED A/C INSTALL COMPANY NA KIY HAIN','74','2020-11-15 01:46:48','2020-11-15 01:46:48');
INSERT INTO complaint_remarks VALUES('2438','2216','KHURRAM SAB K PASS OTHER NO SA COMPLAINT AAI HOI THI DIRECT RESOLVED HO GEI HAIN COMPLAINT','74','2020-11-15 01:54:20','2020-11-15 01:54:20');
INSERT INTO complaint_remarks VALUES('2439','2215','COMPLAINT RESOLVED','74','2020-11-15 01:57:34','2020-11-15 01:57:34');
INSERT INTO complaint_remarks VALUES('2440','1557','COMPLAINT RESOLVED','74','2020-11-15 02:05:36','2020-11-15 02:05:36');
INSERT INTO complaint_remarks VALUES('2441','2212','COMPLAINT RESOLVED','74','2020-11-15 02:43:57','2020-11-15 02:43:57');
INSERT INTO complaint_remarks VALUES('2442','2324','COMPLAINT RESOLVED','92','2020-11-15 19:32:15','2020-11-15 19:32:15');
INSERT INTO complaint_remarks VALUES('2443','2324','COMPLAINT COMPLETED','92','2020-11-15 19:32:57','2020-11-15 19:32:57');
INSERT INTO complaint_remarks VALUES('2444','2376','VISIT TO DAY','92','2020-11-17 19:43:05','2020-11-17 19:43:05');
INSERT INTO complaint_remarks VALUES('2445','2353','MOHSIN SAB KO REMINDER DA DIA HAIN VISIT K LIYA','74','2020-11-17 19:59:51','2020-11-17 19:59:51');
INSERT INTO complaint_remarks VALUES('2446','2383','SHER ALI 0333-5685300 AJ ATTEND HO JAY GEI COMPLAINT CUSTOMER KO B SMS KAR DIA','74','2020-11-17 20:02:37','2020-11-17 20:02:37');
INSERT INTO complaint_remarks VALUES('2447','2369','COMPLAINT RESOLVED','92','2020-11-17 20:02:57','2020-11-17 20:02:57');
INSERT INTO complaint_remarks VALUES('2448','2292','NOT ATTEND CALL','92','2020-11-17 20:08:20','2020-11-17 20:08:20');
INSERT INTO complaint_remarks VALUES('2449','2358','OTHER NO 03355161504','92','2020-11-17 20:33:56','2020-11-17 20:33:56');
INSERT INTO complaint_remarks VALUES('2450','2235','VISIT HO GAYA THA ISSUE NOT RESOLVED CUSTOMER REPLACE KARWANA CHATAY HAY','92','2020-11-17 20:42:13','2020-11-17 20:42:13');
INSERT INTO complaint_remarks VALUES('2451','2260','COMPLAINT RESOLVED','92','2020-11-17 20:49:00','2020-11-17 20:49:00');
INSERT INTO complaint_remarks VALUES('2452','2256','LIFT IN SERVICE CENTER','92','2020-11-17 20:52:32','2020-11-17 20:52:32');
INSERT INTO complaint_remarks VALUES('2453','2281','W/M S/C WORKING IN PROCESS HAIN','74','2020-11-17 20:55:37','2020-11-17 20:55:37');
INSERT INTO complaint_remarks VALUES('2454','2254','MONDAY KO VISIT HONA THA NAI HUA','92','2020-11-17 20:57:37','2020-11-17 20:57:37');
INSERT INTO complaint_remarks VALUES('2455','2252','COMPLAINT RESOLVED','92','2020-11-17 20:58:25','2020-11-17 20:58:25');
INSERT INTO complaint_remarks VALUES('2456','2281','KAL DIVER HO GEI W/M CUSTOMER KO INFORMED KAR DIA','74','2020-11-17 20:59:22','2020-11-17 20:59:22');
INSERT INTO complaint_remarks VALUES('2457','2249','AJ CUSTOMER TV S/C LAY KAR JARAHAY HAY','92','2020-11-17 21:01:16','2020-11-17 21:01:16');
INSERT INTO complaint_remarks VALUES('2458','2281','KAMRAN SIR KO INFORMED KAR DIA','74','2020-11-17 21:01:39','2020-11-17 21:01:39');
INSERT INTO complaint_remarks VALUES('2459','2242','COMPLAINT RESOLVED','92','2020-11-17 21:02:33','2020-11-17 21:02:33');
INSERT INTO complaint_remarks VALUES('2460','2191','CUSTOMER CONFORM KAR K CALL BACK KARAY GAY COMPLAINT RESOLVED HUAI K NAI','92','2020-11-17 21:05:49','2020-11-17 21:05:49');
INSERT INTO complaint_remarks VALUES('2461','2191','VISIT TO DAY','92','2020-11-17 21:34:51','2020-11-17 21:34:51');
INSERT INTO complaint_remarks VALUES('2462','2115','NOT ATTEND CALL','92','2020-11-17 21:40:04','2020-11-17 21:40:04');
INSERT INTO complaint_remarks VALUES('2463','2152','COMPLAINT RESOLVED','92','2020-11-17 21:45:58','2020-11-17 21:45:58');
INSERT INTO complaint_remarks VALUES('2464','2387','CUSTOMER KO SAJID TCL KA NO PROVIDE KAR DIA HAIN AJ ATTEND HO JAY GEI COMPLAINT','74','2020-11-17 21:47:15','2020-11-17 21:47:15');
INSERT INTO complaint_remarks VALUES('2465','2123','COMPLAINT RESOLVED','92','2020-11-17 21:49:23','2020-11-17 21:49:23');
INSERT INTO complaint_remarks VALUES('2466','2368','COMPLAINT RESOLVED 
TOTAL EXP 1400 .
3 WIR CHANGE KI 300 KI + 500 VISIT CHARGES
COMPLAINT RESOLVED','74','2020-11-17 21:59:16','2020-11-17 21:59:16');
INSERT INTO complaint_remarks VALUES('2467','2373','VISIT TO DAY','92','2020-11-17 22:00:12','2020-11-17 22:00:12');
INSERT INTO complaint_remarks VALUES('2468','2303','COMPLAINT RESOLVED','92','2020-11-17 22:04:40','2020-11-17 22:04:40');
INSERT INTO complaint_remarks VALUES('2469','2346','NOT ATTEND CALL','92','2020-11-17 22:16:31','2020-11-17 22:16:31');
INSERT INTO complaint_remarks VALUES('2470','1540','NOT ATTEND CALL','92','2020-11-17 22:23:30','2020-11-17 22:23:30');
INSERT INTO complaint_remarks VALUES('2471','2355','CUSTOMER KO AHMED TCL KA NO FF KAR DIA HAIN','74','2020-11-17 22:34:31','2020-11-17 22:34:31');
INSERT INTO complaint_remarks VALUES('2472','2336','W/M S/C SA SERVICES HO K KAL HI DILVER HOI HAIN AJ AGAIN CUSTOMER KI COMPLINT AAGEI HAIN K ISSUE RESOLVED NAI HOA LG S/C MAIN AGAIN VISIT K LIAY REMINDER DA DIA','74','2020-11-17 22:47:50','2020-11-17 22:47:50');
INSERT INTO complaint_remarks VALUES('2473','2377','LG S/C WALAY I 10/3 SA COMPRESSOR LA K GAYA HAIN AJ','74','2020-11-18 00:41:45','2020-11-18 00:41:45');
INSERT INTO complaint_remarks VALUES('2474','2384','COMPLAINT#1770194','74','2020-11-18 01:28:40','2020-11-18 01:28:40');
INSERT INTO complaint_remarks VALUES('2475','2385','COMPLAINT#1770196','74','2020-11-18 01:29:11','2020-11-18 01:29:11');
INSERT INTO complaint_remarks VALUES('2476','2388','COMPLAINT#1067927','74','2020-11-18 01:39:27','2020-11-18 01:39:27');
INSERT INTO complaint_remarks VALUES('2477','2284','NOT ATTEND CALL','74','2020-11-18 01:51:25','2020-11-18 01:51:25');
INSERT INTO complaint_remarks VALUES('2478','2254','COMPLAINT PA VISIT HO GAY HAIN SET S/C MOVE HO GA','74','2020-11-18 02:19:30','2020-11-18 02:19:30');
INSERT INTO complaint_remarks VALUES('2479','2383','COMPLAINT RESOLVED','92','2020-11-18 19:50:35','2020-11-18 19:50:35');
INSERT INTO complaint_remarks VALUES('2480','2373','NOT VISIT TO COMPLAINT','92','2020-11-18 19:55:34','2020-11-18 19:55:34');
INSERT INTO complaint_remarks VALUES('2481','2330','VISIT TO DAY CUSTOMER KO B INFORMED KAR DIA','74','2020-11-18 20:12:58','2020-11-18 20:12:58');
INSERT INTO complaint_remarks VALUES('2482','2284','CUSTOMER KA  ON HAIN KHURRAM BHAI KO INFORMED KAR DIA HAIN','74','2020-11-18 20:29:17','2020-11-18 20:29:17');
INSERT INTO complaint_remarks VALUES('2483','2301','AHMED TCL KO WHATS APP PA REMINDER DIA','74','2020-11-18 20:38:36','2020-11-18 20:38:36');
INSERT INTO complaint_remarks VALUES('2484','2300','NOT ATTEND CALL','74','2020-11-18 20:40:59','2020-11-18 20:40:59');
INSERT INTO complaint_remarks VALUES('2485','2294','NOT ATTEND CALL','74','2020-11-18 20:53:26','2020-11-18 20:53:26');
INSERT INTO complaint_remarks VALUES('2486','2294','COMPLAINT RESOLVED','74','2020-11-18 20:54:39','2020-11-18 20:54:39');
INSERT INTO complaint_remarks VALUES('2487','2293','COMPLAINT RESOLVED','74','2020-11-18 20:56:49','2020-11-18 20:56:49');
INSERT INTO complaint_remarks VALUES('2488','2292','VISIT TO HO GAYA HAIN CUSTOMER NA W/M S/C LA K JANI HAIN .
CUSTOMER SIDE SA DELAY COMPLIANT 
ABI CLOSED KARWA DI COMPLAINT','74','2020-11-18 21:00:05','2020-11-18 21:00:05');
INSERT INTO complaint_remarks VALUES('2489','2262','COMPLAINT RESOLVED','74','2020-11-18 21:21:54','2020-11-18 21:21:54');
INSERT INTO complaint_remarks VALUES('2490','2254','SAJID SATTI SAB KO KAL VIDEO B SHER KAR DI THI  AGAIN VISIT K LIYA
VISIT TO DAY','74','2020-11-18 21:30:18','2020-11-18 21:30:18');
INSERT INTO complaint_remarks VALUES('2491','2353','CUSTOMER UNIT KHUD S/C MOVE KARWA RAHAY HAIN ADD & MOHSIN SAB K NO WHATS APP KAR DI HAIN ORIENT S/C KA','74','2020-11-18 21:43:48','2020-11-18 21:43:48');
INSERT INTO complaint_remarks VALUES('2492','2249','CUSTOMER SET KAL HI S/C MAIN DA K AAY HAIN SATURDAY KA TIME DIA HAIN CUSTOMER KO','74','2020-11-18 21:46:21','2020-11-18 21:46:21');
INSERT INTO complaint_remarks VALUES('2493','2251','KHURRAM 5 STAR KO VISIT K LIYA REMINDER DA DIA','74','2020-11-18 21:49:29','2020-11-18 21:49:29');
INSERT INTO complaint_remarks VALUES('2494','2381','VISIT TO DAY INFORMED BY CUSTOMER','74','2020-11-18 23:09:02','2020-11-18 23:09:02');
INSERT INTO complaint_remarks VALUES('2495','2010','REF I 10/3  SA READY HO K DILVER HO GAYA HAIN','74','2020-11-19 00:07:54','2020-11-19 00:07:54');
INSERT INTO complaint_remarks VALUES('2496','2308','KHURRAM  BHAI KO TANK K REMINDER DA DIA','74','2020-11-19 00:24:46','2020-11-19 00:24:46');
INSERT INTO complaint_remarks VALUES('2497','2366','COMPLAINT RESOLVED','92','2020-11-19 01:25:39','2020-11-19 01:25:39');
INSERT INTO complaint_remarks VALUES('2498','2372','NOT ATTEND CALL','92','2020-11-19 01:32:40','2020-11-19 01:32:40');
INSERT INTO complaint_remarks VALUES('2499','2357','MUNAWAR SAB KO REMINDER DA DIA HAIN','74','2020-11-19 01:35:51','2020-11-19 01:35:51');
INSERT INTO complaint_remarks VALUES('2500','2354','COMPLAINT PA VISIT HO GAYA HAIN 2 BAR WIFI BOARD K PROB HAIN CUSTOMER BOARD REPLACE NAI KARNAY DA RAHAY WAQAS PWD KO INFORMED KAR DIA','74','2020-11-19 02:44:06','2020-11-19 02:44:06');
INSERT INTO complaint_remarks VALUES('2501','2413','COMPLAINT PA VISIT HO GAY HAIN SHAM KO AGAIN FOLLOWUP LAYNA HAIN','74','2020-11-19 20:12:54','2020-11-19 20:12:54');
INSERT INTO complaint_remarks VALUES('2502','1182','EHSAN SAB NO INDOOR ABI TAQ S/C NAI MOVE KRWAYA WHATSAPP PA B REMINDER DA DIYA','74','2020-11-19 21:38:14','2020-11-19 21:38:14');
INSERT INTO complaint_remarks VALUES('2503','2389','IST VISIT TCL COMPANY KA HOA THA. KASHIF TCL NA INSTALLATION KA FAULT BATAYA THA .
UNIT INSTALL B. COOL NA KIYA THA . AGAIN VISIT B. COOL KA HOA&GASS REFILL KI 
COMPLAINT RESOLVED','74','2020-11-19 21:59:49','2020-11-19 21:59:49');
INSERT INTO complaint_remarks VALUES('2504','1663','COMPLIANT RESOLVED','74','2020-11-19 22:03:08','2020-11-19 22:03:08');
INSERT INTO complaint_remarks VALUES('2505','1540','COMPANY MAIN VEGETABLE BOX NOT AVAIL AB COMPANY  NA CUSTOMER KO INFO REND KAR DIA  COMPLAINT CLOSED','74','2020-11-19 22:09:53','2020-11-19 22:09:53');
INSERT INTO complaint_remarks VALUES('2506','1757','IQBAL SIR KO ABI YAAD NAI AARHA IC COMPLAINT KA ABI SIR NA KHUD SA COMPLINT CLOSED KARWA DI HAIN','74','2020-11-19 22:17:55','2020-11-19 22:17:55');
INSERT INTO complaint_remarks VALUES('2507','2267','COMPLAINT RESOLVED','74','2020-11-19 22:21:45','2020-11-19 22:21:45');
INSERT INTO complaint_remarks VALUES('2508','1765','COMPLAINT RESOLVED','74','2020-11-19 22:28:14','2020-11-19 22:28:14');
INSERT INTO complaint_remarks VALUES('2509','2428','CUSTOMER NAY COMPLAINT CANCEL  KARWA DE HAY','92','2020-11-19 22:32:34','2020-11-19 22:32:34');
INSERT INTO complaint_remarks VALUES('2510','2384','COMPLAINT RESOLVED','74','2020-11-19 22:32:59','2020-11-19 22:32:59');
INSERT INTO complaint_remarks VALUES('2511','2343','COMPLAINT RESOLVED','92','2020-11-19 22:35:23','2020-11-19 22:35:23');
INSERT INTO complaint_remarks VALUES('2512','1828','COMPLAINT PA VISIT HO GAY HAIN.
PANAL MAIN ISSUE HAIN . SET LHR S/C MOVE HO GA .CUSTOMER KO INFORMED B KAR DIA R LHR S/C KA NO B PROVIDE KAR DIA','74','2020-11-19 22:38:18','2020-11-19 22:38:18');
INSERT INTO complaint_remarks VALUES('2513','2297','COMPLAINT RESOLVED','74','2020-11-19 22:38:42','2020-11-19 22:38:42');
INSERT INTO complaint_remarks VALUES('2514','2118','NOT ATTEND CALL','92','2020-11-19 22:40:22','2020-11-19 22:40:22');
INSERT INTO complaint_remarks VALUES('2515','1951','COMPLAINT RESOLVED','74','2020-11-19 22:43:45','2020-11-19 22:43:45');
INSERT INTO complaint_remarks VALUES('2516','1479','COMPLAINT RESOLVED','92','2020-11-19 22:52:37','2020-11-19 22:52:37');
INSERT INTO complaint_remarks VALUES('2517','2332','COMPLAINT RESOLVED','74','2020-11-19 22:57:52','2020-11-19 22:57:52');
INSERT INTO complaint_remarks VALUES('2518','2118','RETURN HO GAYA THA','92','2020-11-19 23:02:07','2020-11-19 23:02:07');
INSERT INTO complaint_remarks VALUES('2519','1744','VISIT HO GAYA HAY PICK LAY KAR GAY HAY','92','2020-11-19 23:23:22','2020-11-19 23:23:22');
INSERT INTO complaint_remarks VALUES('2520','1876','PARTS DEMAND KIYA HOA HAIN CUSTOMER HAMARY LOOB MAIN HAIN UNIT S/C MAIN HAIN','74','2020-11-19 23:37:24','2020-11-19 23:37:24');
INSERT INTO complaint_remarks VALUES('2521','1946','PARTS DEMAND HOA HAIN','74','2020-11-19 23:39:53','2020-11-19 23:39:53');
INSERT INTO complaint_remarks VALUES('2522','2310','COMPLAINT RESOLVED','74','2020-11-20 01:40:08','2020-11-20 01:40:08');
INSERT INTO complaint_remarks VALUES('2523','2308','GEYSER ABI B CUSTOMER K GHR  HAIN ABI','74','2020-11-20 01:45:28','2020-11-20 01:45:28');
INSERT INTO complaint_remarks VALUES('2524','2306','COMPLAINT RESOLVED','74','2020-11-20 01:48:15','2020-11-20 01:48:15');
INSERT INTO complaint_remarks VALUES('2525','1625','COMPLAINT RESOLVED','74','2020-11-20 01:50:50','2020-11-20 01:50:50');
INSERT INTO complaint_remarks VALUES('2526','1229','COMPLAINT RESOLVED','74','2020-11-20 01:53:39','2020-11-20 01:53:39');
INSERT INTO complaint_remarks VALUES('2527','1508','COMPLAINT RESOLVED','74','2020-11-20 01:57:01','2020-11-20 01:57:01');
INSERT INTO complaint_remarks VALUES('2528','1664','COMPLAINT RESOLVED','74','2020-11-20 02:00:03','2020-11-20 02:00:03');
INSERT INTO complaint_remarks VALUES('2529','1866','COMPLAINT RESOLVED','74','2020-11-20 02:04:44','2020-11-20 02:04:44');
INSERT INTO complaint_remarks VALUES('2530','1688','COMPLAINT PA VISIT HO GAYA HAIN COMPLAINT RESOLVED','74','2020-11-20 02:13:59','2020-11-20 02:13:59');
INSERT INTO complaint_remarks VALUES('2531','1802','W/D S/C WORKING IN PROCESS','74','2020-11-20 02:23:16','2020-11-20 02:23:16');
INSERT INTO complaint_remarks VALUES('2532','1956','MUNAWAR SAB KO WHATSAPP PA REMINDER DA DIA HAIN VISIT K LIYA','74','2020-11-20 02:23:56','2020-11-20 02:23:56');
INSERT INTO complaint_remarks VALUES('2533','2300','NO VISIT KHURRAM 5 STAR KO REMINDER DA DIA','74','2020-11-20 02:36:19','2020-11-20 02:36:19');
INSERT INTO complaint_remarks VALUES('2534','1983','ASLAM SIR NA GEYSER RETUREND KARWA DIA .
BADAL SIR SA CONFIRM KAR K COMPLAINT CLOSED KI PAYMENT CUSTOMER KO BADAL SAB WAPISE KARAY GAY','74','2020-11-20 02:47:01','2020-11-20 02:47:01');
INSERT INTO complaint_remarks VALUES('2535','2284','NO VISIT','74','2020-11-20 02:55:41','2020-11-20 02:55:41');
INSERT INTO complaint_remarks VALUES('2536','2308','YAWAR SAB KO B WHATSAPP REMINDER DIA HAIN  TANK  K LIYA','74','2020-11-20 03:04:17','2020-11-20 03:04:17');
INSERT INTO complaint_remarks VALUES('2537','2284','YAWAR SAB KO B WHATSAPP PA INFORMED KAR DIA','74','2020-11-20 03:04:56','2020-11-20 03:04:56');
INSERT INTO complaint_remarks VALUES('2538','2427','KAL VISIT HO GAYA THA DARAM DAMAGE HAY VIDEO OR PICTURE SERVICE CENTER WALAY BANA KAR LAY GAY HAY','92','2020-11-21 20:12:30','2020-11-21 20:12:30');
INSERT INTO complaint_remarks VALUES('2539','2453','LG S/C MAIN VISIT K LIYA REMINDER DA DIA','74','2020-11-21 20:23:29','2020-11-21 20:23:29');
INSERT INTO complaint_remarks VALUES('2540','2481','OTHER# 03315956801','92','2020-11-21 21:15:33','2020-11-21 21:15:33');
INSERT INTO complaint_remarks VALUES('2541','2443','CUSTOMER KA OTHER# B.COOL KO FF KAR DIA','74','2020-11-21 21:23:22','2020-11-21 21:23:22');
INSERT INTO complaint_remarks VALUES('2542','2358','COMPLAINT RESOLVED','74','2020-11-21 21:24:24','2020-11-21 21:24:24');
INSERT INTO complaint_remarks VALUES('2543','2458','KHURRAM BHAI KO VISIT K LIYA REMINDER DA DIA','74','2020-11-21 21:44:50','2020-11-21 21:44:50');
INSERT INTO complaint_remarks VALUES('2544','2357','NO VIIST','74','2020-11-21 21:45:00','2020-11-21 21:45:00');
INSERT INTO complaint_remarks VALUES('2545','2353','COMPLAINT RESOLVED','74','2020-11-21 21:50:08','2020-11-21 21:50:08');
INSERT INTO complaint_remarks VALUES('2546','2365','ASLAM SAB KO WHATS-APP PA COMPLIANT FF KAR DI WITH COMPLAINT #','74','2020-11-21 21:55:21','2020-11-21 21:55:21');
INSERT INTO complaint_remarks VALUES('2547','2357','ASLAM SIR KO COMPLAINT WHATS APP KAR DI HAIN .
WITH COMPLAINT #','74','2020-11-21 21:58:55','2020-11-21 21:58:55');
INSERT INTO complaint_remarks VALUES('2548','2350','COMPLAINT RESOLVED','74','2020-11-21 22:03:08','2020-11-21 22:03:08');
INSERT INTO complaint_remarks VALUES('2549','2349','COMPLAINT RESOLVED','74','2020-11-21 22:06:32','2020-11-21 22:06:32');
INSERT INTO complaint_remarks VALUES('2550','2346','CUSTOMER STILL NOT ATTEND CALL','74','2020-11-21 22:10:35','2020-11-21 22:10:35');
INSERT INTO complaint_remarks VALUES('2551','2400','VISIT TO DAY CUSTOMER  KO INFORMED KAR DIA','74','2020-11-21 22:14:01','2020-11-21 22:14:01');
INSERT INTO complaint_remarks VALUES('2552','2400','VISIT TO DAY CUSTOMER KO INFORMED KAR DIA','74','2020-11-21 22:20:57','2020-11-21 22:20:57');
INSERT INTO complaint_remarks VALUES('2553','2317','UNIT S/C SA READY HO K CUSTOMER K PASS BAJA TARIQ SAB NA COMPLAINT RESOLVED','74','2020-11-21 22:24:45','2020-11-21 22:24:45');
INSERT INTO complaint_remarks VALUES('2554','2300','VISIT K LIYA KHURRAM BHAI KO REMINDER DA DIA 
ELEMENT K ISSUE','74','2020-11-21 22:36:56','2020-11-21 22:36:56');
INSERT INTO complaint_remarks VALUES('2555','2483','CUSTOMER NAY APNAY TACNETION SAY COMPLAINT RESOLVED KARWA LE HAY','92','2020-11-22 19:39:28','2020-11-22 19:39:28');
INSERT INTO complaint_remarks VALUES('2556','2397','COMPLAINT RESOLVED','92','2020-11-22 20:30:50','2020-11-22 20:30:50');
INSERT INTO complaint_remarks VALUES('2557','2403','VISIT HO GAYA THA PART ISSUE HAY','92','2020-11-23 00:24:47','2020-11-23 00:24:47');
INSERT INTO complaint_remarks VALUES('2558','2406','COMPLAINT RESOLVED','92','2020-11-23 00:26:58','2020-11-23 00:26:58');
INSERT INTO complaint_remarks VALUES('2559','2409','COMPLAINT RESOLVED','92','2020-11-23 00:28:35','2020-11-23 00:28:35');
INSERT INTO complaint_remarks VALUES('2560','2410','COMPLAINT RESOLVED','92','2020-11-23 00:30:18','2020-11-23 00:30:18');
INSERT INTO complaint_remarks VALUES('2561','2413','COMPLAINT RESOLVED','92','2020-11-23 00:32:46','2020-11-23 00:32:46');
INSERT INTO complaint_remarks VALUES('2562','2423','COMPLAINT RESOLVED','92','2020-11-23 00:34:46','2020-11-23 00:34:46');
INSERT INTO complaint_remarks VALUES('2563','2429','COMPLAIN T RESOLVED','92','2020-11-23 00:36:42','2020-11-23 00:36:42');
INSERT INTO complaint_remarks VALUES('2564','2435','COMPLAINT RESOLVED','92','2020-11-23 00:38:31','2020-11-23 00:38:31');
INSERT INTO complaint_remarks VALUES('2565','2436','COMPLAINT RESOLVED','92','2020-11-23 00:40:21','2020-11-23 00:40:21');
INSERT INTO complaint_remarks VALUES('2566','2440','COMPLAINT RESOLVED','92','2020-11-23 00:42:01','2020-11-23 00:42:01');
INSERT INTO complaint_remarks VALUES('2567','2450','COMPLAINT IN PROCESS PART ISSUE','92','2020-11-23 01:05:07','2020-11-23 01:05:07');
INSERT INTO complaint_remarks VALUES('2568','2376','CUSTOMER NA LOCAL TECHNICIAN SA COMPLAINT RESOLVED KARWA LI COMPLAINT RESOLVED','74','2020-11-23 21:03:05','2020-11-23 21:03:05');
INSERT INTO complaint_remarks VALUES('2569','2505','COMPLIANT#1069920','74','2020-11-23 21:03:26','2020-11-23 21:03:26');
INSERT INTO complaint_remarks VALUES('2570','2504','COMPLAINT#1069921','74','2020-11-23 21:04:16','2020-11-23 21:04:16');
INSERT INTO complaint_remarks VALUES('2571','2521','COMPLAINT#1069922','74','2020-11-23 21:06:04','2020-11-23 21:06:04');
INSERT INTO complaint_remarks VALUES('2572','2373','COMPLAINT RESOLVED','74','2020-11-23 21:13:53','2020-11-23 21:13:53');
INSERT INTO complaint_remarks VALUES('2573','2372','COMPLAINTPA VISIT HO GAYA HAIN AJ MOVE KARWAY GAY S/C W/M','74','2020-11-23 21:22:29','2020-11-23 21:22:29');
INSERT INTO complaint_remarks VALUES('2574','2412','COMPLAINT PA VISIT HO GAY HAIN BUT ISSUE RESOLVED NAI HO RAHA CANNON MAIN REMINDER DA DIA HAIN.
KAL AGAIN VISIT HO GA','74','2020-11-23 22:25:24','2020-11-23 22:25:24');
INSERT INTO complaint_remarks VALUES('2575','2487','KAL ATTEND HO GEI INFORMED KAR DIA CUSTOMER KO','74','2020-11-23 23:23:02','2020-11-23 23:23:02');
INSERT INTO complaint_remarks VALUES('2576','2499','CUSTOMER NA WRONG COMPLAINT ENTER KARWAI SUPER AISA KI COMPLIANT NI 5 STAR GEYSER KI COMPLAINT HAIN','74','2020-11-23 23:53:57','2020-11-23 23:53:57');
INSERT INTO complaint_remarks VALUES('2577','2542','COMPLAINT RESOLVED','92','2020-11-24 00:04:54','2020-11-24 00:04:54');
INSERT INTO complaint_remarks VALUES('2578','2492','COMPLAINT RESOLVED','92','2020-11-24 01:49:35','2020-11-24 01:49:35');
INSERT INTO complaint_remarks VALUES('2579','2491','COMPLAINT RESOLVED','92','2020-11-24 01:52:46','2020-11-24 01:52:46');
INSERT INTO complaint_remarks VALUES('2580','2489','COMPLAINT RESOLVED','92','2020-11-24 01:54:45','2020-11-24 01:54:45');
INSERT INTO complaint_remarks VALUES('2581','2486','COMPLAINT RESOLVED','92','2020-11-24 01:57:27','2020-11-24 01:57:27');
INSERT INTO complaint_remarks VALUES('2582','2484','COMPLAINT RESOLVED','92','2020-11-24 01:59:20','2020-11-24 01:59:20');
INSERT INTO complaint_remarks VALUES('2583','2479','COMPLAINT RESOLVED','92','2020-11-24 02:03:02','2020-11-24 02:03:02');
INSERT INTO complaint_remarks VALUES('2584','2477','COMPLAINT RESOLVED','92','2020-11-24 02:07:30','2020-11-24 02:07:30');
INSERT INTO complaint_remarks VALUES('2585','2469','COMPLAINT RESOLVED','92','2020-11-24 02:09:44','2020-11-24 02:09:44');
INSERT INTO complaint_remarks VALUES('2586','2467','NOT ATTEND CALL','92','2020-11-24 02:14:33','2020-11-24 02:14:33');
INSERT INTO complaint_remarks VALUES('2587','2466','COMPLAINT RESOLVED','92','2020-11-24 02:16:13','2020-11-24 02:16:13');
INSERT INTO complaint_remarks VALUES('2588','2386','CUSTOMER OUT OFF CITY HAY KAL TAK CONFORM KAR K INFORM KARAY GAY','92','2020-11-24 02:21:30','2020-11-24 02:21:30');
INSERT INTO complaint_remarks VALUES('2589','2550','COMPLAINT#072015324','74','2020-11-24 02:26:04','2020-11-24 02:26:04');
INSERT INTO complaint_remarks VALUES('2590','2467','COMPLAINT RESOLVED','92','2020-11-24 02:34:26','2020-11-24 02:34:26');
INSERT INTO complaint_remarks VALUES('2591','2372','CUSTOMER NA W/M KHUD S/C LA K JANI HAIN CUSTOMER SIDE SA DELAY COMPLAINT','74','2020-11-24 19:29:34','2020-11-24 19:29:34');
INSERT INTO complaint_remarks VALUES('2592','2191','COMPLAINT RESOLVED','74','2020-11-24 19:41:41','2020-11-24 19:41:41');
INSERT INTO complaint_remarks VALUES('2593','2487','VISIT TO DAY','74','2020-11-24 19:48:21','2020-11-24 19:48:21');
INSERT INTO complaint_remarks VALUES('2594','2284','COMPLAINT RESOLVED KHURRAM BAHI SA CONFIRM KAR K COMPLAINT CLOSED','74','2020-11-24 19:48:44','2020-11-24 19:48:44');
INSERT INTO complaint_remarks VALUES('2595','2370','COMPLAINT RESOLVED','74','2020-11-24 19:58:40','2020-11-24 19:58:40');
INSERT INTO complaint_remarks VALUES('2596','2307','COMPLAINT RESOLVED','74','2020-11-24 20:35:23','2020-11-24 20:35:23');
INSERT INTO complaint_remarks VALUES('2597','2503','NOT ATTEND CALL','92','2020-11-24 20:39:04','2020-11-24 20:39:04');
INSERT INTO complaint_remarks VALUES('2598','2509','VISIT TO DAY','92','2020-11-24 20:40:25','2020-11-24 20:40:25');
INSERT INTO complaint_remarks VALUES('2599','2115','COMPLAINT RESOLVED','92','2020-11-24 20:43:12','2020-11-24 20:43:12');
INSERT INTO complaint_remarks VALUES('2600','2496','CUSTOMER EXTER CHARGE DANAY PA AGREE HAIN ASIF GILL KO REMINDER DA DIA','74','2020-11-24 20:46:35','2020-11-24 20:46:35');
INSERT INTO complaint_remarks VALUES('2601','2301','COMPLAINT RESOLVED','74','2020-11-24 20:47:01','2020-11-24 20:47:01');
INSERT INTO complaint_remarks VALUES('2602','1828','COMPLAINT CUSTOMER KI SIDE SA DELAY HAIN IMRAN TCL KA NO PROVIDE KAR DIA HAIN CUSTOMER KO','74','2020-11-24 20:54:11','2020-11-24 20:54:11');
INSERT INTO complaint_remarks VALUES('2603','2254','COMPLAINT RESOLVED','74','2020-11-24 20:59:28','2020-11-24 20:59:28');
INSERT INTO complaint_remarks VALUES('2604','2393','COMPANY NA CUSTOMER KO CALL PA GUIDE KAR DIA
COMPLAINT RESOLVED','74','2020-11-24 21:09:00','2020-11-24 21:09:00');
INSERT INTO complaint_remarks VALUES('2605','2522','COMPLAINT RESOLVED','92','2020-11-24 21:09:45','2020-11-24 21:09:45');
INSERT INTO complaint_remarks VALUES('2606','2520','COMPLAINT RESOLVED','92','2020-11-24 21:11:58','2020-11-24 21:11:58');
INSERT INTO complaint_remarks VALUES('2607','2490','COMPLAINT LOCAL TECHNICIAN SA OK KARWA LIYA COMPLAINT CLOSED','74','2020-11-24 21:13:54','2020-11-24 21:13:54');
INSERT INTO complaint_remarks VALUES('2608','2396','COMPLAINT RESOLVED','92','2020-11-24 21:15:18','2020-11-24 21:15:18');
INSERT INTO complaint_remarks VALUES('2609','2497','MUN-WAR TECHNICIAN AJ YHA COMPLAINT ATTEND KARAY GAY 03415266815','74','2020-11-24 21:25:48','2020-11-24 21:25:48');
INSERT INTO complaint_remarks VALUES('2610','2439','COMPLAINT PA VISIT HO GAY HAIN REF TO S/C CUSTOMER NA MOVE KARWANA','74','2020-11-24 21:57:35','2020-11-24 21:57:35');
INSERT INTO complaint_remarks VALUES('2611','2430','COMPLAINT RESOLVED','74','2020-11-24 21:58:33','2020-11-24 21:58:33');
INSERT INTO complaint_remarks VALUES('2612','2355','AHMED SAB KO STATUS K LIYA COMPLAINT','74','2020-11-24 22:10:05','2020-11-24 22:10:05');
INSERT INTO complaint_remarks VALUES('2613','2400','FHHS SHOWROOM MAIN VISIT ARRANGE KARWAY COMPANY KO INFORMED KAR DIA','74','2020-11-24 22:36:45','2020-11-24 22:36:45');
INSERT INTO complaint_remarks VALUES('2614','2357','VISIT TO DAY','74','2020-11-24 22:48:03','2020-11-24 22:48:03');
INSERT INTO complaint_remarks VALUES('2615','1890','BUT PWD SA  CONFIRM KAR KA COMPLAINT CLOSED KI MORYAZA SAB NA YHA REF SALE B KAR DIA','74','2020-11-24 23:27:38','2020-11-24 23:27:38');
INSERT INTO complaint_remarks VALUES('2616','2138','ALSAM SIR NA AJ PICK KAR LIYA FHHS SHOWROOM SA. IMRAN TCL K S/C MOVE KI','74','2020-11-25 00:10:09','2020-11-25 00:10:09');
INSERT INTO complaint_remarks VALUES('2617','2533','IS KI INVOICE HAY HAMARAY PASS','92','2020-11-25 00:32:41','2020-11-25 00:32:41');
INSERT INTO complaint_remarks VALUES('2618','2355','UNIT DAMAGE HAIN PANAL KI PRICE 35000 CUSTOMER KO INFORMED KAR DI HAIN','74','2020-11-25 01:38:56','2020-11-25 01:38:56');
INSERT INTO complaint_remarks VALUES('2619','2537','VISIT H OGAYA HAIN 600 VISIT CHARGE CUSTOMER NA PAY KAR DIYA COMPRESSOR OUT OFF WARRANTY HAIN CUSTOMER KO EXP BATA DIA HAIN','74','2020-11-25 02:30:15','2020-11-25 02:30:15');
INSERT INTO complaint_remarks VALUES('2620','2308','TANK AAGY HAIN FHHS GODOWN MAIN CUSTOMER CALL NAI AATEND KAR RAAY HAIN.','74','2020-11-25 02:49:21','2020-11-25 02:49:21');
INSERT INTO complaint_remarks VALUES('2621','2570','CUSTOMER NAY KHUD HI  W/M THEAK KAR LE HAY','92','2020-11-25 20:00:23','2020-11-25 20:00:23');
INSERT INTO complaint_remarks VALUES('2622','2402','NOT ATTEND CALL','92','2020-11-25 20:08:00','2020-11-25 20:08:00');
INSERT INTO complaint_remarks VALUES('2623','2561','VISIT KI INFORMASTION K LIYA CUSTOMER KO CANNON KA NO PROVIDE KAR DIA','74','2020-11-25 20:11:22','2020-11-25 20:11:22');
INSERT INTO complaint_remarks VALUES('2624','2501','COMPLAINT RESOLVED','92','2020-11-25 20:17:19','2020-11-25 20:17:19');
INSERT INTO complaint_remarks VALUES('2625','2460','COMPLAINT RESOLVED','92','2020-11-25 20:24:20','2020-11-25 20:24:20');
INSERT INTO complaint_remarks VALUES('2626','2519','NOT ATTEND CALL','92','2020-11-25 20:28:45','2020-11-25 20:28:45');
INSERT INTO complaint_remarks VALUES('2627','2414','COMPLAINT RESOLVED','92','2020-11-25 20:45:00','2020-11-25 20:45:00');
INSERT INTO complaint_remarks VALUES('2628','2425','COMPLAINT RESOLVED','92','2020-11-25 20:47:33','2020-11-25 20:47:33');
INSERT INTO complaint_remarks VALUES('2629','2451','VISIT HO GAYA THA CUSTOMER NAY COMPLAINT CANCLE KARWA DE COMPLAINT RESOLVED','92','2020-11-25 20:51:09','2020-11-25 20:51:09');
INSERT INTO complaint_remarks VALUES('2630','2426','COMPLAINT RESOLVED','92','2020-11-25 21:19:16','2020-11-25 21:19:16');
INSERT INTO complaint_remarks VALUES('2631','2138','YHA SET DAMAGE HAIN ASLAM SIR NA SADDIQ SAB KO B INFORMED KAR DIA .
SET ASLAM SIR I 10 LA K AAY HAIN','74','2020-11-25 21:56:48','2020-11-25 21:56:48');
INSERT INTO complaint_remarks VALUES('2632','2402','CUSTOMER K AIK UNIT PA VISIT HO GAY HAIN . 2ND UNIT MAIN B ISSUE AAGYA HAIN CUSTOMER NA OTHER NO SA DIRECT HAIER MAIN COMPLAINT FF KARWAI HOI HAIN','74','2020-11-25 22:14:00','2020-11-25 22:14:00');
INSERT INTO complaint_remarks VALUES('2633','2519','COMPLAINT PA VISIT HO GAYA HAIN GAT KIT KA ISSUE RESOLVED KIYA BUT CUSTOMER SATISFIED NAI HO RAHA .
ASIF SAB KO COMPLAINT # FF KAR DIA HAIN','74','2020-11-25 22:24:05','2020-11-25 22:24:05');
INSERT INTO complaint_remarks VALUES('2634','2432','COMPLAINT RESOLVED','74','2020-11-25 22:33:56','2020-11-25 22:33:56');
INSERT INTO complaint_remarks VALUES('2635','2434','VISIT TO DAY','92','2020-11-25 23:13:31','2020-11-25 23:13:31');
INSERT INTO complaint_remarks VALUES('2636','2531','CUSTOMER GEYSER SHOWROOM PA DROP KAR K GAY HAIN MUNAWAR SIR &TARIQ SIR KO COMPLAINT FF KAR DI','74','2020-11-25 23:59:47','2020-11-25 23:59:47');
INSERT INTO complaint_remarks VALUES('2637','2308','CUSTOMER KO INFORMED KAR DIA 
PLAMBER KO EXP 5000 INFORMED KAR DIA','74','2020-11-26 01:32:03','2020-11-26 01:32:03');
INSERT INTO complaint_remarks VALUES('2638','2445','COMPLAINT RESOLVED','92','2020-11-26 19:49:02','2020-11-26 19:49:02');
INSERT INTO complaint_remarks VALUES('2639','2439','ABI TAK CUSTOMER NAY GEYSER S/C NAI MOVE KARWAYA CUSTOMER KI TARAF SAY COMPLAINT PANDIND HAY','92','2020-11-26 19:53:49','2020-11-26 19:53:49');
INSERT INTO complaint_remarks VALUES('2640','2431','COMPLAINT RESOLVED','92','2020-11-26 19:57:38','2020-11-26 19:57:38');
INSERT INTO complaint_remarks VALUES('2641','2422','CUSTOMER OUT OF CITY HAY JAB WAPAS AY GAY TO COMPLAINT KARWAY GAY COMPLAINT RESOLVED','92','2020-11-26 20:00:23','2020-11-26 20:00:23');
INSERT INTO complaint_remarks VALUES('2642','2437','COMPLAINT PA VISIT HO GAY HAIN MAIN BOARD DEMAND KIYA HOA HAIN LHR MAIN','74','2020-11-26 20:02:53','2020-11-26 20:02:53');
INSERT INTO complaint_remarks VALUES('2643','2420','NOT ATTEND CALL','92','2020-11-26 20:02:57','2020-11-26 20:02:57');
INSERT INTO complaint_remarks VALUES('2644','2439','CUSTOMER NA COMPLAINT CLOSED KARWA DI APNAY TECHNICIAN SA COMPLAINT RESOLVED KARWAY GAY','74','2020-11-26 20:05:32','2020-11-26 20:05:32');
INSERT INTO complaint_remarks VALUES('2645','2418','COMPLAINT RESOLVED','92','2020-11-26 20:06:26','2020-11-26 20:06:26');
INSERT INTO complaint_remarks VALUES('2646','2415','COMPLAINT RESOLVED','92','2020-11-26 20:08:38','2020-11-26 20:08:38');
INSERT INTO complaint_remarks VALUES('2647','2412','NOT ATTEND CALL','92','2020-11-26 20:20:30','2020-11-26 20:20:30');
INSERT INTO complaint_remarks VALUES('2648','2407','LIFT IN SERVICE CENTER','92','2020-11-26 20:28:22','2020-11-26 20:28:22');
INSERT INTO complaint_remarks VALUES('2649','2401','COMPLAINT RESOLVED','92','2020-11-26 20:31:39','2020-11-26 20:31:39');
INSERT INTO complaint_remarks VALUES('2650','2346','COMPLAINT RESOLVED','92','2020-11-26 20:36:32','2020-11-26 20:36:32');
INSERT INTO complaint_remarks VALUES('2651','2300','VISIT TO DAY','92','2020-11-26 20:47:05','2020-11-26 20:47:05');
INSERT INTO complaint_remarks VALUES('2652','2251','COMPLAINT RESOLVED','92','2020-11-26 21:04:08','2020-11-26 21:04:08');
INSERT INTO complaint_remarks VALUES('2653','2249','COMPLAINT RESOLVED','92','2020-11-26 21:06:45','2020-11-26 21:06:45');
INSERT INTO complaint_remarks VALUES('2654','2235','NOT ATTEND CALL','92','2020-11-26 21:10:49','2020-11-26 21:10:49');
INSERT INTO complaint_remarks VALUES('2655','2218','COMPLAINT RESOLVED','92','2020-11-26 21:12:39','2020-11-26 21:12:39');
INSERT INTO complaint_remarks VALUES('2656','2184','COMPLAINT RESOLVED','92','2020-11-26 21:17:10','2020-11-26 21:17:10');
INSERT INTO complaint_remarks VALUES('2657','2496','AJ ATTEND HO JAY GEI COMPLAINT','74','2020-11-26 21:32:48','2020-11-26 21:32:48');
INSERT INTO complaint_remarks VALUES('2658','2059','ASIF GILL KO UNIT INSTALLATION K LIYA NOUMAN SAB KA NO WHATS APP KAR DIA','74','2020-11-26 21:40:17','2020-11-26 21:40:17');
INSERT INTO complaint_remarks VALUES('2659','2605','ASIF GILL KO COMPLAINT NO SHER KAR DIA URGENT VISIT K LYA','74','2020-11-26 21:40:50','2020-11-26 21:40:50');
INSERT INTO complaint_remarks VALUES('2660','2524','SAJID SAB NA COMPLAINT PA VISIT KARWA DIA HAIN PANAL MAIN ISSUE HAIN SET LHR S/C MOVE HONA HAIN . BUT CUSTOMER K PASS PARKING NAI HAIN BADAL SAB KO INFORMED KIYA HAIN','74','2020-11-26 22:08:42','2020-11-26 22:08:42');
INSERT INTO complaint_remarks VALUES('2661','2524','CELL PHONE CALL','74','2020-11-26 22:39:55','2020-11-26 22:39:55');
INSERT INTO complaint_remarks VALUES('2662','2590','VISIT HO GAY HAIN GASS PRESSER KA PROB HAIN 
CUSTOMER  RESPLACEMENT KI DEMAND KAR RAHAY HAIN','74','2020-11-26 22:55:46','2020-11-26 22:55:46');
INSERT INTO complaint_remarks VALUES('2663','2458','COMPLAINT RESOLVED','74','2020-11-27 01:37:34','2020-11-27 01:37:34');
INSERT INTO complaint_remarks VALUES('2664','2457','OTHER #03137766847 COMPLAINT RESOLVED','74','2020-11-27 01:40:17','2020-11-27 01:40:17');
INSERT INTO complaint_remarks VALUES('2665','2455','COMPLAINT RESOLVED','74','2020-11-27 01:50:58','2020-11-27 01:50:58');
INSERT INTO complaint_remarks VALUES('2666','2450','COMPLAINT PA IJAZ TECHNICIAN NA VISIT KIYA HAIN','74','2020-11-27 02:00:56','2020-11-27 02:00:56');
INSERT INTO complaint_remarks VALUES('2667','2407','OTHER NO 0514447067','92','2020-11-27 02:52:36','2020-11-27 02:52:36');
INSERT INTO complaint_remarks VALUES('2668','2580','LG WALO NA KAL KA TIME DIA HAIN VISIT K LIYA','74','2020-11-27 20:41:08','2020-11-27 20:41:08');
INSERT INTO complaint_remarks VALUES('2669','2633','COMPLAINT#1775009','74','2020-11-27 21:00:31','2020-11-27 21:00:31');
INSERT INTO complaint_remarks VALUES('2670','2464','NO VISIT KHURRAM BHAI KO REMINDER DA DIA','74','2020-11-27 21:02:31','2020-11-27 21:02:31');
INSERT INTO complaint_remarks VALUES('2671','2462','COMPLAINT RESOLVED','74','2020-11-27 21:07:15','2020-11-27 21:07:15');
INSERT INTO complaint_remarks VALUES('2672','2456','COMPLAINT RESOLVED','74','2020-11-27 21:08:03','2020-11-27 21:08:03');
INSERT INTO complaint_remarks VALUES('2673','2592','VISIT TO DAY','74','2020-11-27 21:25:36','2020-11-27 21:25:36');
INSERT INTO complaint_remarks VALUES('2674','2449','COMPLAINT RESOLVED','74','2020-11-27 21:41:04','2020-11-27 21:41:04');
INSERT INTO complaint_remarks VALUES('2675','2434','NO VISIT ORIENT K GROUP MAIN REMIDER DA DIA HAIN','74','2020-11-27 21:45:47','2020-11-27 21:45:47');
INSERT INTO complaint_remarks VALUES('2676','2420','COMPLAINT CUSTOMER NA LOCAL TECHNICIAN SA RESOLVED KARWA LI','74','2020-11-27 21:47:33','2020-11-27 21:47:33');
INSERT INTO complaint_remarks VALUES('2677','2419','KHURRAM BHAI KO VISIT K LIYA REMINDER DA DI HAIN','74','2020-11-27 21:55:55','2020-11-27 21:55:55');
INSERT INTO complaint_remarks VALUES('2678','2468','COMPLAINT RESOLVED','74','2020-11-27 23:08:25','2020-11-27 23:08:25');
INSERT INTO complaint_remarks VALUES('2679','2412','COMPLAINT RESOLVED','74','2020-11-27 23:11:02','2020-11-27 23:11:02');
INSERT INTO complaint_remarks VALUES('2680','2407','CUSTOMER KI SIDE SA DELAY HAIN W/D S/C MOVE KARWANA HAIN CUSTOMER KO WAQAR SAB K NO PROVEDE KAR DIA','74','2020-11-27 23:15:30','2020-11-27 23:15:30');
INSERT INTO complaint_remarks VALUES('2681','2403','PARTS DEMAND KIYA HOA HAIN ABI TAQ NAI AAYA','74','2020-11-27 23:18:36','2020-11-27 23:18:36');
INSERT INTO complaint_remarks VALUES('2682','2450','SUPER WAISER
03095559750','74','2020-11-27 23:20:49','2020-11-27 23:20:49');
INSERT INTO complaint_remarks VALUES('2683','2503','AMEEN SUPER WISER KO COMPLINT KA REMINDER DA DIA 
0309-5559750','74','2020-11-27 23:22:42','2020-11-27 23:22:42');
INSERT INTO complaint_remarks VALUES('2684','2402','AIK UNIT OK HO GAYA HAIN .
2ND UNIT K LIYA AGAIN COMPANY MAIN REMINDER DA DIA','74','2020-11-27 23:26:34','2020-11-27 23:26:34');
INSERT INTO complaint_remarks VALUES('2685','2300','COMPLAINT RESOLVED','74','2020-11-27 23:29:15','2020-11-27 23:29:15');
INSERT INTO complaint_remarks VALUES('2686','2012','CUSTOMER K PASS WARRANTY CARD NAI HAIN IC WAJAY SA COMPANY NA COMPLIANT ATTEND NAI KI','74','2020-11-27 23:33:30','2020-11-27 23:33:30');
INSERT INTO complaint_remarks VALUES('2687','2308','TANG REPLACE KAR K COMPLAINT CLOSED KI','74','2020-11-27 23:59:35','2020-11-27 23:59:35');
INSERT INTO complaint_remarks VALUES('2688','2608','VISIT TO DAY','74','2020-11-28 00:02:06','2020-11-28 00:02:06');
INSERT INTO complaint_remarks VALUES('2689','2496','UNIT MAIN GASS REFIL KAR DI HAIN ABI TAQ KOI ISSUE NAI AAY .PAYMENT K LIYA CUSTOMER ASIF SA KHUD BAT KARAY GAY','74','2020-11-28 00:23:54','2020-11-28 00:23:54');
INSERT INTO complaint_remarks VALUES('2690','2608','COMPLAINT RESOLVED','74','2020-11-28 02:44:12','2020-11-28 02:44:12');
INSERT INTO complaint_remarks VALUES('2691','2631','VISIT TO DAY','74','2020-11-28 20:27:26','2020-11-28 20:27:26');
INSERT INTO complaint_remarks VALUES('2692','2474','CUSTOMER ABI OUT OFF CITY HAIN MONDAY KO AAY GAY  FIR CALL KARAY GAY','74','2020-11-28 20:31:12','2020-11-28 20:31:12');
INSERT INTO complaint_remarks VALUES('2693','2473','CUSTOMER OUT CITY HAIN','74','2020-11-28 20:31:42','2020-11-28 20:31:42');
INSERT INTO complaint_remarks VALUES('2694','2639','COMPLAINT PA VISIT HO GAYA HAIN AJ RASHID TECHNICIAN NA VISIT KIYA HAIN 03455102918.
OUT DOOR MAIN INTERNAL LEAKAGE PROB HAIN .
CUSTOMER REPLACEMENT KI DEMAND KAR RAHAY HAIN .
ASLAM SAB NA REPLACEMENT KI APPROVAL DA DI HAIN','74','2020-11-28 20:48:48','2020-11-28 20:48:48');
INSERT INTO complaint_remarks VALUES('2695','2480','COMPLAINT RESOLVED CUSTOMER NA DIRECT SHOWROOM SA REPLACE KARWA LIYA','74','2020-11-28 21:00:51','2020-11-28 21:00:51');
INSERT INTO complaint_remarks VALUES('2696','2256','CUSTOMER ABI OUT OFF CITY HAIN TUESDAY KA TIME DIA HAIN  CUSTOMER NA VISIT K LIYA','74','2020-11-28 21:07:13','2020-11-28 21:07:13');
INSERT INTO complaint_remarks VALUES('2697','1839','COMPLAINT RESOLVED','74','2020-11-28 21:16:18','2020-11-28 21:16:18');
INSERT INTO complaint_remarks VALUES('2698','1906','COMPLAINT RESOLVED','74','2020-11-28 21:18:37','2020-11-28 21:18:37');
INSERT INTO complaint_remarks VALUES('2699','2550','COMPLAINT RESOLVED','74','2020-11-28 21:40:09','2020-11-28 21:40:09');
INSERT INTO complaint_remarks VALUES('2700','2321','COMPLAINT RESOLVED','74','2020-11-28 21:50:03','2020-11-28 21:50:03');
INSERT INTO complaint_remarks VALUES('2701','2296','COMPLAINT RESOLVED','74','2020-11-28 21:50:58','2020-11-28 21:50:58');
INSERT INTO complaint_remarks VALUES('2702','2181','COMPLAINT RESOLVED','74','2020-11-28 21:51:59','2020-11-28 21:51:59');
INSERT INTO complaint_remarks VALUES('2703','2178','ASLAM SIR K HEAND OVER SET','74','2020-11-28 21:53:27','2020-11-28 21:53:27');
INSERT INTO complaint_remarks VALUES('2704','2161','COMPLAINT RESOLVED','74','2020-11-28 21:54:01','2020-11-28 21:54:01');
INSERT INTO complaint_remarks VALUES('2705','2160','WORKING IN PROCESS SONY S/C','74','2020-11-28 21:55:12','2020-11-28 21:55:12');
INSERT INTO complaint_remarks VALUES('2706','2159','COMPLAINT RESOLVED','74','2020-11-28 21:55:44','2020-11-28 21:55:44');
INSERT INTO complaint_remarks VALUES('2707','2143','NO VISIT COMPANY MAIN REMINDER DA DIA','74','2020-11-28 21:57:16','2020-11-28 21:57:16');
INSERT INTO complaint_remarks VALUES('2708','2037','ASLAM SIR LA K GAY  HAIN','74','2020-11-28 21:58:02','2020-11-28 21:58:02');
INSERT INTO complaint_remarks VALUES('2709','1954','COMPLAINT RESOLVED','74','2020-11-28 21:58:47','2020-11-28 21:58:47');
INSERT INTO complaint_remarks VALUES('2710','1864','COMPLAINT RESOLVED','74','2020-11-28 22:00:27','2020-11-28 22:00:27');
INSERT INTO complaint_remarks VALUES('2711','1863','COMPLAINT RESOLVED','74','2020-11-28 22:01:35','2020-11-28 22:01:35');
INSERT INTO complaint_remarks VALUES('2712','1775','COMPLAINT RESOLVED','74','2020-11-28 22:02:45','2020-11-28 22:02:45');
INSERT INTO complaint_remarks VALUES('2713','2628','AJ VISIT HO JAY GA','92','2020-11-28 22:03:37','2020-11-28 22:03:37');
INSERT INTO complaint_remarks VALUES('2714','1759','COMPLAINT RESOLVED','74','2020-11-28 22:05:09','2020-11-28 22:05:09');
INSERT INTO complaint_remarks VALUES('2715','2388','ASLAM SIR KO REMINDER DA DIA HAIN','74','2020-11-28 22:10:37','2020-11-28 22:10:37');
INSERT INTO complaint_remarks VALUES('2716','2603','COMPLAINT RESOLVED','92','2020-11-28 22:12:45','2020-11-28 22:12:45');
INSERT INTO complaint_remarks VALUES('2717','2604','COMPLAINT RESOLVED','92','2020-11-28 22:22:23','2020-11-28 22:22:23');
INSERT INTO complaint_remarks VALUES('2718','2602','COMPLAINT RESOLVED','92','2020-11-28 22:24:24','2020-11-28 22:24:24');
INSERT INTO complaint_remarks VALUES('2719','2600','VISIT TO DAY','92','2020-11-28 22:27:51','2020-11-28 22:27:51');
INSERT INTO complaint_remarks VALUES('2720','2596','NOT ATTEND CALL','92','2020-11-28 22:30:35','2020-11-28 22:30:35');
INSERT INTO complaint_remarks VALUES('2721','2588','COMPLAINT RESOLVED','92','2020-11-28 22:38:23','2020-11-28 22:38:23');
INSERT INTO complaint_remarks VALUES('2722','2580','VISIT TO DAY','74','2020-11-28 22:55:51','2020-11-28 22:55:51');
INSERT INTO complaint_remarks VALUES('2723','2584','COMPLAINT RESOLVED','92','2020-11-29 00:29:15','2020-11-29 00:29:15');
INSERT INTO complaint_remarks VALUES('2724','2583','NOT ATTEND CALL','92','2020-11-29 00:32:16','2020-11-29 00:32:16');
INSERT INTO complaint_remarks VALUES('2725','2582','COMPLAINT RESOLVED','92','2020-11-29 00:33:41','2020-11-29 00:33:41');
INSERT INTO complaint_remarks VALUES('2726','2628','COMPLAINT RESOLVED','92','2020-11-29 01:09:58','2020-11-29 01:09:58');
INSERT INTO complaint_remarks VALUES('2727','2500','VISIT HO GAY HAIN REF S/C WORKING IN PROCESS MONDAY KO UP DATAE','74','2020-11-29 01:49:29','2020-11-29 01:49:29');
INSERT INTO complaint_remarks VALUES('2728','2497','COMPLAINT RESOLVED','74','2020-11-29 01:50:24','2020-11-29 01:50:24');
INSERT INTO complaint_remarks VALUES('2729','2495','COMPLAINT RESOLVED','74','2020-11-29 01:53:23','2020-11-29 01:53:23');
INSERT INTO complaint_remarks VALUES('2730','2487','COMPLAINT RESOLVED','74','2020-11-29 01:58:09','2020-11-29 01:58:09');
INSERT INTO complaint_remarks VALUES('2731','2482','KAL VISIT KARAY  GAY KHURRAM BAHI','74','2020-11-29 02:07:16','2020-11-29 02:07:16');
INSERT INTO complaint_remarks VALUES('2732','2612','COMPLAINT RESOLVED','92','2020-11-29 22:16:22','2020-11-29 22:16:22');
INSERT INTO complaint_remarks VALUES('2733','2573','COMPLAINT RESOLVED','92','2020-11-29 22:22:47','2020-11-29 22:22:47');
INSERT INTO complaint_remarks VALUES('2734','2572','COMPLAINT RESOLVED','92','2020-11-29 22:23:49','2020-11-29 22:23:49');
INSERT INTO complaint_remarks VALUES('2735','2536','NOT ATTEND CALL','92','2020-11-29 22:28:47','2020-11-29 22:28:47');
INSERT INTO complaint_remarks VALUES('2736','2525','COMPLAINT RESOLVED','92','2020-11-29 22:34:36','2020-11-29 22:34:36');
INSERT INTO complaint_remarks VALUES('2737','2564','COMPLAINT RESOLVED','92','2020-11-29 22:39:35','2020-11-29 22:39:35');
INSERT INTO complaint_remarks VALUES('2738','2517','COMPLAINT RESOLVED','92','2020-11-29 22:41:15','2020-11-29 22:41:15');
INSERT INTO complaint_remarks VALUES('2739','2545','COMPLAINT RESOLVED','92','2020-11-29 22:43:07','2020-11-29 22:43:07');
INSERT INTO complaint_remarks VALUES('2740','2553','NOT ATTEND CALL','92','2020-11-29 22:46:10','2020-11-29 22:46:10');
INSERT INTO complaint_remarks VALUES('2741','2516','COMPLAINT RESOLVED','92','2020-11-29 22:49:24','2020-11-29 22:49:24');
INSERT INTO complaint_remarks VALUES('2742','2534','COMPLAINT RESOLVED','92','2020-11-29 22:50:55','2020-11-29 22:50:55');
INSERT INTO complaint_remarks VALUES('2743','2548','COMPLAINT RESOLVED','92','2020-11-29 22:52:51','2020-11-29 22:52:51');
INSERT INTO complaint_remarks VALUES('2744','2596','VISIT HO GAYA HAY ISSUE NOT RESOLVED','92','2020-11-29 22:55:32','2020-11-29 22:55:32');
INSERT INTO complaint_remarks VALUES('2745','2511','VISIT HO GAYA THA ISSUE NOT RESOLVED','92','2020-11-29 23:08:32','2020-11-29 23:08:32');
INSERT INTO complaint_remarks VALUES('2746','2532','COMPLAINT RESOLVED','92','2020-11-29 23:09:51','2020-11-29 23:09:51');
INSERT INTO complaint_remarks VALUES('2747','2551','NOT ATTEND CALL','92','2020-11-29 23:12:54','2020-11-29 23:12:54');
INSERT INTO complaint_remarks VALUES('2748','2560','COMPLAINT RESOLVED','92','2020-11-29 23:14:21','2020-11-29 23:14:21');
INSERT INTO complaint_remarks VALUES('2749','2562','COMPLAINT RESOLVED','92','2020-11-29 23:15:54','2020-11-29 23:15:54');
INSERT INTO complaint_remarks VALUES('2750','2600','COMPLAINT RESOLVED','92','2020-11-29 23:18:52','2020-11-29 23:18:52');
INSERT INTO complaint_remarks VALUES('2751','2510','COMPLAINT RESOLVED','92','2020-11-29 23:23:06','2020-11-29 23:23:06');
INSERT INTO complaint_remarks VALUES('2752','2538','VISIT TO DAY','92','2020-11-29 23:27:34','2020-11-29 23:27:34');
INSERT INTO complaint_remarks VALUES('2753','2659','IN PROCESS COMPLIANT
VISIT TO DAY','74','2020-11-30 20:27:50','2020-11-30 20:27:50');
INSERT INTO complaint_remarks VALUES('2754','2527','NOT ATTEND CALL','74','2020-11-30 20:54:26','2020-11-30 20:54:26');
INSERT INTO complaint_remarks VALUES('2755','2519','COMPLAINT RESOLVED','74','2020-11-30 20:57:20','2020-11-30 20:57:20');
INSERT INTO complaint_remarks VALUES('2756','2512','COMPLAINT PA VISIT HO GAYA HAIN GASS REFIL HONI HAIN CUSTOMER KI SIDE SA DELAY HAIN COMPLAINT CUSTOMER KO GREE S/C KA NO # COMPLINT # PROVIDE KAR DIA','74','2020-11-30 21:01:26','2020-11-30 21:01:26');
INSERT INTO complaint_remarks VALUES('2757','2509','COMPLAINT RESOLVED','74','2020-11-30 21:51:42','2020-11-30 21:51:42');
INSERT INTO complaint_remarks VALUES('2758','2506','VISIT TO DAY','74','2020-11-30 21:54:18','2020-11-30 21:54:18');
INSERT INTO complaint_remarks VALUES('2759','2538','COMPLAINT RESOLVED','74','2020-11-30 22:17:19','2020-11-30 22:17:19');
INSERT INTO complaint_remarks VALUES('2760','2638','COMPLAINT RESOLVED','74','2020-11-30 22:19:19','2020-11-30 22:19:19');
INSERT INTO complaint_remarks VALUES('2761','2556','VISIT TO DAY','74','2020-11-30 22:41:48','2020-11-30 22:41:48');
INSERT INTO complaint_remarks VALUES('2762','2503','COMPLAINT RESOLVED','74','2020-11-30 22:43:18','2020-11-30 22:43:18');
INSERT INTO complaint_remarks VALUES('2763','2535','COMPLAINT RESOLVED','74','2020-11-30 22:46:20','2020-11-30 22:46:20');
INSERT INTO complaint_remarks VALUES('2764','2537','COMPLAINT RESOLVED S/C SA COMPRESSOR CHANGE HOA','74','2020-11-30 22:47:47','2020-11-30 22:47:47');
INSERT INTO complaint_remarks VALUES('2765','2536','COMPLIANT RESOLVED','74','2020-11-30 22:49:36','2020-11-30 22:49:36');
INSERT INTO complaint_remarks VALUES('2766','2579','COMPLAINT RESOLVED','74','2020-11-30 22:52:29','2020-11-30 22:52:29');
INSERT INTO complaint_remarks VALUES('2767','2498','KAL DOOR SWITCH LAG JAY GA','74','2020-12-01 02:12:14','2020-12-01 02:12:14');
INSERT INTO complaint_remarks VALUES('2768','2679','CUSTOMER GHR SA VISIT KA CONFIRM KAR K CALL BACK KARAY GAY','74','2020-12-01 20:29:36','2020-12-01 20:29:36');
INSERT INTO complaint_remarks VALUES('2769','2659','COMPLAINT RESOLVED','74','2020-12-01 20:40:30','2020-12-01 20:40:30');
INSERT INTO complaint_remarks VALUES('2770','2657','VISIT TO DAY','74','2020-12-01 21:04:33','2020-12-01 21:04:33');
INSERT INTO complaint_remarks VALUES('2771','2709','COMPLAINT#1071574','74','2020-12-01 21:26:43','2020-12-01 21:26:43');
INSERT INTO complaint_remarks VALUES('2772','2707','COMPLAINT#1071576','74','2020-12-01 21:28:35','2020-12-01 21:28:35');
INSERT INTO complaint_remarks VALUES('2773','2699','COMPLAINT RESOLVED','74','2020-12-01 22:10:28','2020-12-01 22:10:28');
INSERT INTO complaint_remarks VALUES('2774','2561','COMPLAINT RESOLVED','74','2020-12-01 22:16:40','2020-12-01 22:16:40');
INSERT INTO complaint_remarks VALUES('2775','2553','COMPLAINT RESOLVED','74','2020-12-01 22:18:50','2020-12-01 22:18:50');
INSERT INTO complaint_remarks VALUES('2776','2551','COMPLAINT RESOLVED','74','2020-12-01 22:23:27','2020-12-01 22:23:27');
INSERT INTO complaint_remarks VALUES('2777','2546','COMPLAINT RESOLVED','74','2020-12-01 22:26:34','2020-12-01 22:26:34');
INSERT INTO complaint_remarks VALUES('2778','2693','COMPLAINT RESOLVED','74','2020-12-01 22:31:44','2020-12-01 22:31:44');
INSERT INTO complaint_remarks VALUES('2779','2586','COMPLAINT RESOLVED','74','2020-12-01 22:33:49','2020-12-01 22:33:49');
INSERT INTO complaint_remarks VALUES('2780','2419','COMPLAINT RESOLVED','74','2020-12-01 22:39:15','2020-12-01 22:39:15');
INSERT INTO complaint_remarks VALUES('2781','2606','NOT ATTEND CALL','74','2020-12-02 01:29:44','2020-12-02 01:29:44');
INSERT INTO complaint_remarks VALUES('2782','2482','COMPLAINT RESOLVED','74','2020-12-02 01:41:32','2020-12-02 01:41:32');
INSERT INTO complaint_remarks VALUES('2783','2650','CUSTOMER ABI AVAIL NAI HAIN FRIDAY KA TIME DIA HAIN VISIT  K LIYA','74','2020-12-02 21:14:21','2020-12-02 21:14:21');
INSERT INTO complaint_remarks VALUES('2784','2585','SET S/C WORKING IN PROCESS','74','2020-12-02 21:58:29','2020-12-02 21:58:29');
INSERT INTO complaint_remarks VALUES('2785','2585','PART DEMAND KIYA HOA','74','2020-12-02 21:59:28','2020-12-02 21:59:28');
INSERT INTO complaint_remarks VALUES('2786','2583','COMPLAINT RESOLVED OTHER#051-5158143','74','2020-12-02 22:04:32','2020-12-02 22:04:32');
INSERT INTO complaint_remarks VALUES('2787','2581','COMPLAINT RESOLVED','74','2020-12-02 22:05:46','2020-12-02 22:05:46');
INSERT INTO complaint_remarks VALUES('2788','2578','COMPLAINT RESOLVED','74','2020-12-02 22:07:46','2020-12-02 22:07:46');
INSERT INTO complaint_remarks VALUES('2789','2577','COMPLAINT RESOLVED','74','2020-12-02 22:09:58','2020-12-02 22:09:58');
INSERT INTO complaint_remarks VALUES('2790','2730','COMPLAINT#1071896','74','2020-12-02 22:13:05','2020-12-02 22:13:05');
INSERT INTO complaint_remarks VALUES('2791','2706','COMPLAINT#1071897','74','2020-12-02 22:14:47','2020-12-02 22:14:47');
INSERT INTO complaint_remarks VALUES('2792','2568','COMPLAINT RESOLVED','74','2020-12-02 22:19:14','2020-12-02 22:19:14');
INSERT INTO complaint_remarks VALUES('2793','2556','PARTS DEMAND','74','2020-12-02 22:22:31','2020-12-02 22:22:31');
INSERT INTO complaint_remarks VALUES('2794','2543','COMPLAINT RESOLVED','74','2020-12-02 22:27:08','2020-12-02 22:27:08');
INSERT INTO complaint_remarks VALUES('2795','2531','PWD SAMI SAB K NO WHATS APP KAR DIA MUNWAR SAB KO VISIT TO DAY','74','2020-12-02 22:46:42','2020-12-02 22:46:42');
INSERT INTO complaint_remarks VALUES('2796','1956','MUNWAR SAB KO AJ AGAIN CUSTOMER KA NO FF KAR DIA','74','2020-12-02 22:54:40','2020-12-02 22:54:40');
INSERT INTO complaint_remarks VALUES('2797','2527','COMPANY KA VISIT HO GAYA HAIN OUT DOOR MAIN GASS LEAKAGE PROB HAIN CUSTOMER NA JIN SA UNIT INSTALL KARWAYA UN SA HI GASS REFIL KARWAY GAY','74','2020-12-02 23:02:47','2020-12-02 23:02:47');
INSERT INTO complaint_remarks VALUES('2798','2527','CUSTOMER NA ABI KHUD COMPLAINT CLOSED KARWA DI','74','2020-12-02 23:04:18','2020-12-02 23:04:18');
INSERT INTO complaint_remarks VALUES('2799','2511','S/C INFORMED KAR DIA HAIN COMPLAINT REOPEND KARWA DI AJ KAL ATTEND HO GEI','74','2020-12-03 02:11:42','2020-12-03 02:11:42');
INSERT INTO complaint_remarks VALUES('2800','2576','COMPLAINT RESOLVED','74','2020-12-03 02:14:06','2020-12-03 02:14:06');
INSERT INTO complaint_remarks VALUES('2801','2549','CUSTOMER RESOLVED','74','2020-12-03 02:15:37','2020-12-03 02:15:37');
INSERT INTO complaint_remarks VALUES('2802','2601','CUSTOMER KI TECHNICIAN SA BAT CHAL RAHI HAIN ABI COMPLAINT WORKING IN PROCESS','74','2020-12-03 02:18:59','2020-12-03 02:18:59');
INSERT INTO complaint_remarks VALUES('2803','2717','VISIT TO DAY CUSTOMER KO INFORMED KAR DIA','74','2020-12-03 19:02:33','2020-12-03 19:02:33');
INSERT INTO complaint_remarks VALUES('2804','2725','COMPLAINT RESOLVED','92','2020-12-03 19:26:29','2020-12-03 19:26:29');
INSERT INTO complaint_remarks VALUES('2805','2720','PART ISSUE COMPLAINT IN PROCESS','92','2020-12-03 19:37:46','2020-12-03 19:37:46');
INSERT INTO complaint_remarks VALUES('2806','2718','NOT ATTEND CALL','92','2020-12-03 19:45:03','2020-12-03 19:45:03');
INSERT INTO complaint_remarks VALUES('2807','2715','COMPLAINT RESOLVED','92','2020-12-03 19:46:21','2020-12-03 19:46:21');
INSERT INTO complaint_remarks VALUES('2808','2605','COMPLAINT RESOLVED','92','2020-12-03 20:28:25','2020-12-03 20:28:25');
INSERT INTO complaint_remarks VALUES('2809','2605','COMPLAINT RESOLVED','92','2020-12-03 20:31:09','2020-12-03 20:31:09');
INSERT INTO complaint_remarks VALUES('2810','2402','NOT ATTEND CALL','92','2020-12-03 20:46:13','2020-12-03 20:46:13');
INSERT INTO complaint_remarks VALUES('2811','2403','COMPLAINT RESOLVED','92','2020-12-03 20:49:10','2020-12-03 20:49:10');
INSERT INTO complaint_remarks VALUES('2812','2615','COMPLAINT RESOLVED','92','2020-12-03 20:50:51','2020-12-03 20:50:51');
INSERT INTO complaint_remarks VALUES('2813','2629','COMPLAINT RESOLVED','92','2020-12-03 20:53:05','2020-12-03 20:53:05');
INSERT INTO complaint_remarks VALUES('2814','2635','VISIT TO DAY','92','2020-12-03 21:01:15','2020-12-03 21:01:15');
INSERT INTO complaint_remarks VALUES('2815','2661','COMPLAINT RESOLVED','92','2020-12-03 21:04:51','2020-12-03 21:04:51');
INSERT INTO complaint_remarks VALUES('2816','1794','CUSTOMER KO COMPANY NA FREEZER REPLACE KAR DIA COMPLAINT CLOSED','74','2020-12-03 21:43:54','2020-12-03 21:43:54');
INSERT INTO complaint_remarks VALUES('2817','2059','COMPLAINT RESOLVED','74','2020-12-03 21:46:57','2020-12-03 21:46:57');
INSERT INTO complaint_remarks VALUES('2818','2596','COMPLAINT RESOLVED','74','2020-12-03 21:51:23','2020-12-03 21:51:23');
INSERT INTO complaint_remarks VALUES('2819','2593','COMPLAINT RESOLVED','74','2020-12-03 21:53:45','2020-12-03 21:53:45');
INSERT INTO complaint_remarks VALUES('2820','2590','COMPLAINT RESOLVED','74','2020-12-03 21:55:23','2020-12-03 21:55:23');
INSERT INTO complaint_remarks VALUES('2821','2768','COMPLAINT RESOLVED','74','2020-12-03 22:27:25','2020-12-03 22:27:25');
INSERT INTO complaint_remarks VALUES('2822','2674','COMPLAINT RESOLVED','92','2020-12-03 23:51:20','2020-12-03 23:51:20');
INSERT INTO complaint_remarks VALUES('2823','2679','COMPLAINT RESOLVED','92','2020-12-04 00:01:40','2020-12-04 00:01:40');
INSERT INTO complaint_remarks VALUES('2824','2680','COMPLAINT RESOLVED','92','2020-12-04 00:03:33','2020-12-04 00:03:33');
INSERT INTO complaint_remarks VALUES('2825','2721','COMPLAINT RESOLVED','92','2020-12-04 00:12:59','2020-12-04 00:12:59');
INSERT INTO complaint_remarks VALUES('2826','2754','COMPLAINT RESOLVED','92','2020-12-04 00:21:19','2020-12-04 00:21:19');
INSERT INTO complaint_remarks VALUES('2827','2689','TECHNICIAN CUSTOMER K GHR PA HAIN','74','2020-12-04 19:46:54','2020-12-04 19:46:54');
INSERT INTO complaint_remarks VALUES('2828','2631','COMPLAINT RESOLVED','74','2020-12-04 20:20:23','2020-12-04 20:20:23');
INSERT INTO complaint_remarks VALUES('2829','2630','COMPLIANT RESOLVED','74','2020-12-04 20:21:29','2020-12-04 20:21:29');
INSERT INTO complaint_remarks VALUES('2830','2627','COMPLAINT RESOLVED','74','2020-12-04 20:24:07','2020-12-04 20:24:07');
INSERT INTO complaint_remarks VALUES('2831','2739','VISIT TO DAY','74','2020-12-04 20:49:53','2020-12-04 20:49:53');
INSERT INTO complaint_remarks VALUES('2832','2773','VISIT TO DAY','74','2020-12-04 21:37:09','2020-12-04 21:37:09');
INSERT INTO complaint_remarks VALUES('2833','2606','COMPLAINT PA VISIT HO GAYA HAIN GRAM PANION KARK AAY HAIN TECHNICIAN 
KHURRAM BHAI BOL RAHAY HAIN K IN K GEYSER KI LINE INTERNAL LEAKAGE HAIN','74','2020-12-04 23:44:54','2020-12-04 23:44:54');
INSERT INTO complaint_remarks VALUES('2834','2644','COMPLAINT RESOLVED','92','2020-12-05 19:19:29','2020-12-05 19:19:29');
INSERT INTO complaint_remarks VALUES('2835','2641','NOT ATTEND CALL','92','2020-12-05 19:21:37','2020-12-05 19:21:37');
INSERT INTO complaint_remarks VALUES('2836','2636','COMPLAINT RESOLVED','92','2020-12-05 19:23:59','2020-12-05 19:23:59');
INSERT INTO complaint_remarks VALUES('2837','2635','COMPLAINT RESOLVED','92','2020-12-05 19:27:04','2020-12-05 19:27:04');
INSERT INTO complaint_remarks VALUES('2838','2626','COMPLAINT RESOLVED','92','2020-12-05 19:28:32','2020-12-05 19:28:32');
INSERT INTO complaint_remarks VALUES('2839','2624','NOT ATTEND CALL','92','2020-12-05 19:31:44','2020-12-05 19:31:44');
INSERT INTO complaint_remarks VALUES('2840','2511','COMPLAINT RESOLVED','92','2020-12-05 19:56:17','2020-12-05 19:56:17');
INSERT INTO complaint_remarks VALUES('2841','2506','VISIT TO DAY','92','2020-12-05 20:03:05','2020-12-05 20:03:05');
INSERT INTO complaint_remarks VALUES('2842','2481','COMPLAINT RESOLVED','92','2020-12-05 20:06:04','2020-12-05 20:06:04');
INSERT INTO complaint_remarks VALUES('2843','2474','COMPLAINT RESOLVED','92','2020-12-05 20:07:53','2020-12-05 20:07:53');
INSERT INTO complaint_remarks VALUES('2844','2464','COMPLAINT RESOLVED','92','2020-12-05 20:09:31','2020-12-05 20:09:31');
INSERT INTO complaint_remarks VALUES('2845','2450','VISIT HO GAYA THA ISSUE AGAIN ARAHA HAY   COMPAINE KO REMINDER DAY DEYA HAY','92','2020-12-05 20:17:29','2020-12-05 20:17:29');
INSERT INTO complaint_remarks VALUES('2846','2437','COMPLAINT IN PROCESS BOARD DEMAND KEYA HAY','92','2020-12-05 20:19:52','2020-12-05 20:19:52');
INSERT INTO complaint_remarks VALUES('2847','2434','COMPLAINT RESOLVED','92','2020-12-05 20:21:14','2020-12-05 20:21:14');
INSERT INTO complaint_remarks VALUES('2848','2402','COMPLAINT RESOLVED','92','2020-12-05 20:23:39','2020-12-05 20:23:39');
INSERT INTO complaint_remarks VALUES('2849','2386','COMPLAINT RESOLVED','92','2020-12-05 20:35:04','2020-12-05 20:35:04');
INSERT INTO complaint_remarks VALUES('2850','2266','COMPLAINT RESOLVED','92','2020-12-05 20:39:33','2020-12-05 20:39:33');
INSERT INTO complaint_remarks VALUES('2851','2759','VISIT IN EVENING CUSTOMER KO B INFORMED KAR DIA','74','2020-12-05 20:44:17','2020-12-05 20:44:17');
INSERT INTO complaint_remarks VALUES('2852','2685','COMPLAINT RESOLVED','74','2020-12-05 20:48:50','2020-12-05 20:48:50');
INSERT INTO complaint_remarks VALUES('2853','2647','VISIT TO MONDAY','92','2020-12-05 20:49:04','2020-12-05 20:49:04');
INSERT INTO complaint_remarks VALUES('2854','2646','COMPLAINT RESOLVED','92','2020-12-05 20:50:34','2020-12-05 20:50:34');
INSERT INTO complaint_remarks VALUES('2855','2641','COMPLAINT RESOLVED','92','2020-12-05 20:59:09','2020-12-05 20:59:09');
INSERT INTO complaint_remarks VALUES('2856','2256','COMPLAINT RESOLVED','92','2020-12-05 21:03:54','2020-12-05 21:03:54');
INSERT INTO complaint_remarks VALUES('2857','2235','CUSTOMER SAY BAT HUAI HAY BOAL RAHAY HAY K MANAY TV MUREE ROAD CHOOR DE HAY OR WO MUJAY REPLASE KAR K DAY GAY','92','2020-12-05 21:08:14','2020-12-05 21:08:14');
INSERT INTO complaint_remarks VALUES('2858','2682','COMPLAINT RESOLVED','92','2020-12-05 21:23:11','2020-12-05 21:23:11');
INSERT INTO complaint_remarks VALUES('2859','2695','NOT ATTEND CALL','92','2020-12-05 21:27:52','2020-12-05 21:27:52');
INSERT INTO complaint_remarks VALUES('2860','2697','COMPLAINT RESOLVED','92','2020-12-05 21:29:07','2020-12-05 21:29:07');
INSERT INTO complaint_remarks VALUES('2861','2698','COMPLAINT RESOLVED','92','2020-12-05 21:32:43','2020-12-05 21:32:43');
INSERT INTO complaint_remarks VALUES('2862','2702','NOT ATTEND CALL','92','2020-12-05 21:34:14','2020-12-05 21:34:14');
INSERT INTO complaint_remarks VALUES('2863','2708','COMPLAINT RESOLVED','92','2020-12-05 21:35:34','2020-12-05 21:35:34');
INSERT INTO complaint_remarks VALUES('2864','2710','COMPLAINT RESOLVED','92','2020-12-05 21:37:36','2020-12-05 21:37:36');
INSERT INTO complaint_remarks VALUES('2865','2718','COMPLAINT RESOLVED','92','2020-12-05 21:41:35','2020-12-05 21:41:35');
INSERT INTO complaint_remarks VALUES('2866','2719','COMPLAINT RESOLVED','92','2020-12-05 21:43:22','2020-12-05 21:43:22');
INSERT INTO complaint_remarks VALUES('2867','2670','COMPLAINT RESOLVED','92','2020-12-05 21:49:36','2020-12-05 21:49:36');
INSERT INTO complaint_remarks VALUES('2868','2649','PCB DEMAND KEYA HAY COMPLAINT IN-PROCESS','92','2020-12-05 21:55:43','2020-12-05 21:55:43');
INSERT INTO complaint_remarks VALUES('2869','2735','COMPLAINT RESOLVED','92','2020-12-05 21:58:08','2020-12-05 21:58:08');
INSERT INTO complaint_remarks VALUES('2870','2737','COMPLAINT RESOLVED','92','2020-12-05 22:02:44','2020-12-05 22:02:44');
INSERT INTO complaint_remarks VALUES('2871','2792','COMPLAINT#1072616','74','2020-12-05 22:13:33','2020-12-05 22:13:33');
INSERT INTO complaint_remarks VALUES('2872','2673','COMPLAINT RESOLVED','92','2020-12-05 22:33:11','2020-12-05 22:33:11');
INSERT INTO complaint_remarks VALUES('2873','2687','COMPLAINT RESOLVED','92','2020-12-05 22:35:27','2020-12-05 22:35:27');
INSERT INTO complaint_remarks VALUES('2874','2712','NOT ATTEND CALL','92','2020-12-05 22:38:37','2020-12-05 22:38:37');
INSERT INTO complaint_remarks VALUES('2875','2713','COMPLAINT RESOLVED','92','2020-12-05 22:40:28','2020-12-05 22:40:28');
INSERT INTO complaint_remarks VALUES('2876','2667','COMPLAINT RESOLVED','92','2020-12-05 22:58:35','2020-12-05 22:58:35');
INSERT INTO complaint_remarks VALUES('2877','2657','COMPLAINT RESOLVED','92','2020-12-05 23:20:02','2020-12-05 23:20:02');
INSERT INTO complaint_remarks VALUES('2878','2692','COMPLAINT RESOLVED','92','2020-12-05 23:24:44','2020-12-05 23:24:44');
INSERT INTO complaint_remarks VALUES('2879','2786','COMPLAINT#RWP-16727','74','2020-12-06 01:03:37','2020-12-06 01:03:37');
INSERT INTO complaint_remarks VALUES('2880','1994','CUSTOMER ABI TAQ GEYSER NAI LA K AAY HAIN AJ COMPLINT CLOSED KAR RAHAY HAIN CUSTOMER KI SIDE SA DELAY COMPLAINT','74','2020-12-06 01:10:50','2020-12-06 01:10:50');
INSERT INTO complaint_remarks VALUES('2881','2761','LG KI AUTO KIT I 10/ SA L KA JAY  KHURRAM BHAI KO INFORMED KAR DIA','74','2020-12-06 01:17:29','2020-12-06 01:17:29');
INSERT INTO complaint_remarks VALUES('2882','1956','COMPLAINT RESOLVED','74','2020-12-06 01:20:40','2020-12-06 01:20:40');
INSERT INTO complaint_remarks VALUES('2883','2599','MUNWAR SAB KO HASSAN FHHS KA NO DA DIA HAIN','74','2020-12-06 01:29:00','2020-12-06 01:29:00');
INSERT INTO complaint_remarks VALUES('2884','2704','COMPLAINT PA VISIT HO GAY HAIN KAL GEYSER CUSTOMER KO LPG WALA DA DIA CUSTOMER GEYSER S/C LA K JAY GAY TAB JUT CHANGE HO GAY','74','2020-12-06 01:32:33','2020-12-06 01:32:33');
INSERT INTO complaint_remarks VALUES('2885','2714','MONDAY KO VISIT KARWAY GAY CUSTOMER KO INFORMED KAR DIA NO P/OOF THA CUSTOMER KA','74','2020-12-06 01:40:48','2020-12-06 01:40:48');
INSERT INTO complaint_remarks VALUES('2886','2790','COMPLAINT RESOLVED','92','2020-12-07 21:20:10','2020-12-07 21:20:10');
INSERT INTO complaint_remarks VALUES('2887','2788','COMPLAINT RESOLVED','92','2020-12-07 21:22:10','2020-12-07 21:22:10');
INSERT INTO complaint_remarks VALUES('2888','2785','COMPLAINT RESOLVED','92','2020-12-07 21:27:01','2020-12-07 21:27:01');
INSERT INTO complaint_remarks VALUES('2889','2783','SERVICE CENTER LAY KAR JANA HAY WATER DISPENSER CUSTOMER NAY 2 DIN TAK LAY KAR JAY GAY','92','2020-12-07 21:31:28','2020-12-07 21:31:28');
INSERT INTO complaint_remarks VALUES('2890','2695','COMPLAINT RESOLVED','92','2020-12-07 21:44:24','2020-12-07 21:44:24');
INSERT INTO complaint_remarks VALUES('2891','2780','COMPLAINT RESOLVED','92','2020-12-07 21:48:54','2020-12-07 21:48:54');
INSERT INTO complaint_remarks VALUES('2892','2702','COMPLAINT RESOLVED','92','2020-12-07 21:52:00','2020-12-07 21:52:00');
INSERT INTO complaint_remarks VALUES('2893','2720','COMPLAINT RESOLVED','92','2020-12-07 21:53:45','2020-12-07 21:53:45');
INSERT INTO complaint_remarks VALUES('2894','2743','PART ISSUE COMPLAINT IN-PROCESS','92','2020-12-07 21:57:33','2020-12-07 21:57:33');
INSERT INTO complaint_remarks VALUES('2895','2757','COMPLAINT RESOLVED','92','2020-12-07 21:58:49','2020-12-07 21:58:49');
INSERT INTO complaint_remarks VALUES('2896','2779','NOT ATTEND CALL','92','2020-12-07 22:00:59','2020-12-07 22:00:59');
INSERT INTO complaint_remarks VALUES('2897','2794','COMPLAINT RESOLVED','92','2020-12-07 22:03:03','2020-12-07 22:03:03');
INSERT INTO complaint_remarks VALUES('2898','2802','PART ISSUE COMPLAINT IN PROCESS','92','2020-12-07 22:05:34','2020-12-07 22:05:34');
INSERT INTO complaint_remarks VALUES('2899','2689','VISIT TO DAY','74','2020-12-07 23:04:31','2020-12-07 23:04:31');
INSERT INTO complaint_remarks VALUES('2900','2688','COMPLAINT RESOLVED','74','2020-12-07 23:05:53','2020-12-07 23:05:53');
INSERT INTO complaint_remarks VALUES('2901','2684','NAEEN KENWOOD WALAY IC KA INHAR CHANGE KARWAY GAY ASLAM SAB KI COMPANY MAIN BAT HO GEI HAIN','74','2020-12-07 23:08:03','2020-12-07 23:08:03');
INSERT INTO complaint_remarks VALUES('2902','2652','75X8000-H','74','2020-12-08 00:22:25','2020-12-08 00:22:25');
INSERT INTO complaint_remarks VALUES('2903','2655','65X75000H','74','2020-12-08 00:24:46','2020-12-08 00:24:46');
INSERT INTO complaint_remarks VALUES('2904','2681','COMPLAINT RESOLVED','92','2020-12-08 01:40:09','2020-12-08 01:40:09');
INSERT INTO complaint_remarks VALUES('2905','2691','NOT ATTEND CALL','92','2020-12-08 01:49:38','2020-12-08 01:49:38');
INSERT INTO complaint_remarks VALUES('2906','2807','COMPLAINT RESOLVED','92','2020-12-08 19:59:19','2020-12-08 19:59:19');
INSERT INTO complaint_remarks VALUES('2907','2803','COMPLAINT RESOLVED','92','2020-12-08 20:01:15','2020-12-08 20:01:15');
INSERT INTO complaint_remarks VALUES('2908','2816','COMPLAINT RESOLVED','92','2020-12-08 20:03:11','2020-12-08 20:03:11');
INSERT INTO complaint_remarks VALUES('2909','2796','COMPLAINT RESOLVED','92','2020-12-08 20:09:27','2020-12-08 20:09:27');
INSERT INTO complaint_remarks VALUES('2910','2793','COMPLAINT RESOLVED','92','2020-12-08 20:11:24','2020-12-08 20:11:24');
INSERT INTO complaint_remarks VALUES('2911','2779','COMPLAINT RESOLVED','92','2020-12-08 20:13:51','2020-12-08 20:13:51');
INSERT INTO complaint_remarks VALUES('2912','2775','COMPLAINT RESOLVED','92','2020-12-08 20:19:04','2020-12-08 20:19:04');
INSERT INTO complaint_remarks VALUES('2913','2771','set customer ko replace kar k da dia hain yha set sajid sab ka pass go down a
main hain sajid sab ko informed kar dia hain k sajid sab sa contact kar k set pick karwa lay','74','2020-12-08 20:58:58','2020-12-08 20:58:58');
INSERT INTO complaint_remarks VALUES('2914','2748','COMPLIANT RESOLVED','74','2020-12-08 21:09:49','2020-12-08 21:09:49');
INSERT INTO complaint_remarks VALUES('2915','2773','COMPLAINT RESOLVED','74','2020-12-08 21:14:05','2020-12-08 21:14:05');
INSERT INTO complaint_remarks VALUES('2916','2689','AIK VISIT HO GAY HAIN AGAIN VISIT K LIYA KHURRAM BHAI KO REMINDER DA DIA','74','2020-12-08 21:25:56','2020-12-08 21:25:56');
INSERT INTO complaint_remarks VALUES('2917','2712','COMPANY MAIN BAT HO GEI HAIN AJ GASS REFIL HO JAY GEI CUSTOMER B LOOP MAIN HAIN','74','2020-12-08 21:48:44','2020-12-08 21:48:44');
INSERT INTO complaint_remarks VALUES('2918','2701','NOT ATTEND CALL','74','2020-12-08 21:57:36','2020-12-08 21:57:36');
INSERT INTO complaint_remarks VALUES('2919','2694','CUSTOMER  KO SLAE MAN W/M KHUD SA REPLACE KAR K DI HAIN','74','2020-12-08 22:01:58','2020-12-08 22:01:58');
INSERT INTO complaint_remarks VALUES('2920','2701','COMPLAINT RESOLVED','74','2020-12-08 22:23:51','2020-12-08 22:23:51');
INSERT INTO complaint_remarks VALUES('2921','2714','MUNWAR SAB KO INFORMED KAR DIA VISIT KA LIYA  VISIT TO DAY','74','2020-12-08 22:40:34','2020-12-08 22:40:34');
INSERT INTO complaint_remarks VALUES('2922','2712','CUSTOMER KO CALL AGEI HAIN AJ GASS REFIL KAR DAY GAY','74','2020-12-08 22:46:29','2020-12-08 22:46:29');
INSERT INTO complaint_remarks VALUES('2923','2649','COMPLIANT RESOLVED','74','2020-12-08 22:57:44','2020-12-08 22:57:44');
INSERT INTO complaint_remarks VALUES('2924','2649','PC CARD LAGA DIA COMPANY NA KAL','74','2020-12-08 22:58:09','2020-12-08 22:58:09');
INSERT INTO complaint_remarks VALUES('2925','2707','COMPLAINT RESOLVED','74','2020-12-08 23:01:47','2020-12-08 23:01:47');
INSERT INTO complaint_remarks VALUES('2926','2647','ASIF GILL KO COMPLAINT # FF KAR DIA HAIN','74','2020-12-08 23:05:46','2020-12-08 23:05:46');
INSERT INTO complaint_remarks VALUES('2927','2709','COMPANY S/C WORKING IN PROCESS','74','2020-12-08 23:06:17','2020-12-08 23:06:17');
INSERT INTO complaint_remarks VALUES('2928','2639','COMPLAINT RESOLVED','74','2020-12-08 23:09:12','2020-12-08 23:09:12');
INSERT INTO complaint_remarks VALUES('2929','2633','COMPLAINT RESOLVED','74','2020-12-08 23:13:08','2020-12-08 23:13:08');
INSERT INTO complaint_remarks VALUES('2930','2505','COMPLAINT RESOLVED','74','2020-12-08 23:13:52','2020-12-08 23:13:52');
INSERT INTO complaint_remarks VALUES('2931','2504','COMPLAINT RESOLVED','74','2020-12-08 23:14:47','2020-12-08 23:14:47');
INSERT INTO complaint_remarks VALUES('2932','2091','COMPLAINT RESOLVED','74','2020-12-08 23:16:13','2020-12-08 23:16:13');
INSERT INTO complaint_remarks VALUES('2933','2058','COMPLAINT RESOLVED','74','2020-12-08 23:17:16','2020-12-08 23:17:16');
INSERT INTO complaint_remarks VALUES('2934','2057','COMPLAINT CLOSED','74','2020-12-08 23:19:06','2020-12-08 23:19:06');
INSERT INTO complaint_remarks VALUES('2935','1803','COMPLAINT RESOLVED','74','2020-12-08 23:20:47','2020-12-08 23:20:47');
INSERT INTO complaint_remarks VALUES('2936','2633','COMPLAINT RESOLVED','74','2020-12-08 23:24:30','2020-12-08 23:24:30');
INSERT INTO complaint_remarks VALUES('2937','1802','COMPLAINT RESOLVED','74','2020-12-08 23:25:26','2020-12-08 23:25:26');
INSERT INTO complaint_remarks VALUES('2938','1466','COMPLAINT RESOLVED','74','2020-12-08 23:26:37','2020-12-08 23:26:37');
INSERT INTO complaint_remarks VALUES('2939','1182','COMPLAINT RESOLVED','74','2020-12-08 23:27:41','2020-12-08 23:27:41');
INSERT INTO complaint_remarks VALUES('2940','2691','CUSTOMER STILL NOT ATTEND CALL','74','2020-12-08 23:59:04','2020-12-08 23:59:04');
INSERT INTO complaint_remarks VALUES('2941','2601','OLD MODEL HAIN CUTOMER K PASS FRIENDS KI INVOICE B NAI HAIN 
CUSTOMER K PASS INVOICE HO GEI TU JOB RESOLVED HO GEI','74','2020-12-09 00:55:00','2020-12-09 00:55:00');
INSERT INTO complaint_remarks VALUES('2942','1895','COMPLAINT RESOLVED','74','2020-12-09 00:57:12','2020-12-09 00:57:12');
INSERT INTO complaint_remarks VALUES('2943','1744','COMPLAINT RESOLVED','74','2020-12-09 01:34:21','2020-12-09 01:34:21');
INSERT INTO complaint_remarks VALUES('2944','2704','SAQIB SAB KO INFORMED KAR DIA','74','2020-12-09 02:11:22','2020-12-09 02:11:22');
INSERT INTO complaint_remarks VALUES('2945','2704','CUSTOMER KO CANNON  KA NO PROVIDE KAR DIA','74','2020-12-09 02:13:51','2020-12-09 02:13:51');
INSERT INTO complaint_remarks VALUES('2946','2782','COMPLAINT RESOLVED','74','2020-12-09 21:16:19','2020-12-09 21:16:19');
INSERT INTO complaint_remarks VALUES('2947','1896','YHA BUT PWD INFORMED KAR DIA HAIN K GEYSER 1-10/3 BAJWA DAY WAPISE GUJRAWALA JAY GAY KHURRAM BHAI KI YAWAR SAB SA BT HO GEI HAIN','74','2020-12-09 21:36:43','2020-12-09 21:36:43');
INSERT INTO complaint_remarks VALUES('2948','2874','COMPLAINT RESOLVED','92','2020-12-09 23:23:08','2020-12-09 23:23:08');
INSERT INTO complaint_remarks VALUES('2949','2787','VISIT TO DAY FAROOQ TECHNICIAN VISIT KARAY GAY
03315091054','74','2020-12-10 00:37:07','2020-12-10 00:37:07');
INSERT INTO complaint_remarks VALUES('2950','2761','YHA RANGE CUSTOMER KO REPLACE KAR DI','74','2020-12-10 00:50:29','2020-12-10 00:50:29');
INSERT INTO complaint_remarks VALUES('2951','2745','CUSTOMER KO ASIF SAB NA CALL PA HI GAIDE KIYA THA','74','2020-12-10 00:53:30','2020-12-10 00:53:30');
INSERT INTO complaint_remarks VALUES('2952','2743','COMPLAINT RESOLVED','74','2020-12-10 01:03:40','2020-12-10 01:03:40');
INSERT INTO complaint_remarks VALUES('2953','2829','HITON WARRANTY KA HOB KHURRAM BHAI ATTEND KARAY GAY','74','2020-12-10 01:18:51','2020-12-10 01:18:51');
INSERT INTO complaint_remarks VALUES('2954','2732','COMPLAINT RESOLVED','92','2020-12-10 02:19:48','2020-12-10 02:19:48');
INSERT INTO complaint_remarks VALUES('2955','2882','COMPLAINT CANCEL','92','2020-12-10 02:22:56','2020-12-10 02:22:56');
INSERT INTO complaint_remarks VALUES('2956','2585','MURSALEEN SAB YHA COMPLAINT ATTEND KAR RAHAY HAIN 03100865385 
2 DIN TAQ PART AAJY GA','74','2020-12-10 20:05:33','2020-12-10 20:05:33');
INSERT INTO complaint_remarks VALUES('2957','2763','NO VISIT','74','2020-12-10 20:07:05','2020-12-10 20:07:05');
INSERT INTO complaint_remarks VALUES('2958','2763','COMPANY REMINDER DA DI','74','2020-12-10 20:07:20','2020-12-10 20:07:20');
INSERT INTO complaint_remarks VALUES('2959','2102','COMPLAINT RESOLVED
COMPANY SA CONFIRM KAR K AJ COMPLAINT CLOSED KI','74','2020-12-10 20:17:05','2020-12-10 20:17:05');
INSERT INTO complaint_remarks VALUES('2960','2860','IRFAN SAB IC COMPLAINT PA VISIT KAR RAHAY HAIN','74','2020-12-10 20:27:40','2020-12-10 20:27:40');
INSERT INTO complaint_remarks VALUES('2961','2797','03000522122','74','2020-12-10 20:42:05','2020-12-10 20:42:05');
INSERT INTO complaint_remarks VALUES('2962','2759','COMPLAINT RESOLVED','74','2020-12-10 20:59:54','2020-12-10 20:59:54');
INSERT INTO complaint_remarks VALUES('2963','2758','VISIT TO DAY','74','2020-12-10 21:04:39','2020-12-10 21:04:39');
INSERT INTO complaint_remarks VALUES('2964','2643','CUSTOMER CALL ATTEND NI KAR RAHAY KHALID SAB KO REMINDER DA HAIN','74','2020-12-10 21:13:38','2020-12-10 21:13:38');
INSERT INTO complaint_remarks VALUES('2965','2756','CUSTOMER NA LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA LIYA','74','2020-12-10 21:15:14','2020-12-10 21:15:14');
INSERT INTO complaint_remarks VALUES('2966','2809','VISIT TO DAY','74','2020-12-10 21:37:08','2020-12-10 21:37:08');
INSERT INTO complaint_remarks VALUES('2967','2884','COMPLAINT PA VISIT HO GAYA HAIN PANAL MAIN ISSUE HAIN TECHNICIAN CUSTOMER KO REPLACE KARWANAY K BOL K AAY ASIF GILL KO INVOICE&COMPLAINT#FF KAR DIA','74','2020-12-11 00:13:29','2020-12-11 00:13:29');
INSERT INTO complaint_remarks VALUES('2968','2899','COMPLAINT CLOSED','74','2020-12-11 00:16:28','2020-12-11 00:16:28');
INSERT INTO complaint_remarks VALUES('2969','2898','COMPLAINT CLOSED','74','2020-12-11 00:20:28','2020-12-11 00:20:28');
INSERT INTO complaint_remarks VALUES('2970','2897','COMPLAINT CLOSED','74','2020-12-11 00:21:25','2020-12-11 00:21:25');
INSERT INTO complaint_remarks VALUES('2971','2859','AZHAR FCI KO REMINDER DA DIA','74','2020-12-11 00:30:13','2020-12-11 00:30:13');
INSERT INTO complaint_remarks VALUES('2972','2766','COMPLAINT RESOLVED','74','2020-12-11 01:03:01','2020-12-11 01:03:01');
INSERT INTO complaint_remarks VALUES('2973','2765','CUSTOMER R SUNDAY GHR PA AVAIL HO GAY','74','2020-12-11 01:05:18','2020-12-11 01:05:18');
INSERT INTO complaint_remarks VALUES('2974','2727','COMPLAINT RESOLVED','74','2020-12-11 01:06:51','2020-12-11 01:06:51');
INSERT INTO complaint_remarks VALUES('2975','2865','COMPLAINT RESOLVED','74','2020-12-11 01:18:38','2020-12-11 01:18:38');
INSERT INTO complaint_remarks VALUES('2976','2772','COMPLAINT RESOLVED','74','2020-12-11 01:51:56','2020-12-11 01:51:56');
INSERT INTO complaint_remarks VALUES('2977','1828','COSTUMER KI SIDE SE DELAY HA COMPLAIN. . COMPLAIN K LYE DOBARA COSTUMER CONTACT KAREIN GY, COSTUMER K PASS TIME NAHIN HA SET BIJHWANY K LYE','73','2020-12-12 20:10:52','2020-12-12 20:10:52');
INSERT INTO complaint_remarks VALUES('2978','1876','COSTUMER DIDN`T ATTEND THE CALL','73','2020-12-12 20:13:40','2020-12-12 20:13:40');
INSERT INTO complaint_remarks VALUES('2979','1946','COSTUMER DIDN`T ATTEND THE CALL','73','2020-12-12 20:15:53','2020-12-12 20:15:53');
INSERT INTO complaint_remarks VALUES('2980','2150','PARTS MISSING KI COMPLAINTS COMPANY ATTEND NAHIN KRTI... IN KA BOX MISSING HA','73','2020-12-12 20:21:20','2020-12-12 20:21:20');
INSERT INTO complaint_remarks VALUES('2981','2235','COSTUMER LED MURREE ROAD SHOWROOM PE CHOR AY HAIN... OR WO REPLACEMENT KI DEMAND B KR ay hain, qn k led 5 din se ziada nahin chli','73','2020-12-12 20:25:36','2020-12-12 20:25:36');
INSERT INTO complaint_remarks VALUES('2982','2357','no visit yet','73','2020-12-12 20:31:22','2020-12-12 20:31:22');
INSERT INTO complaint_remarks VALUES('2983','2783','CUSTOMER SIDE SA DELAY HAIN COMPLAINT CUSTOMER NA AJ KHUD COMPLAINT CLOSED KARWA DI','74','2020-12-12 20:33:30','2020-12-12 20:33:30');
INSERT INTO complaint_remarks VALUES('2984','2400','costumer didn`t attend the call','73','2020-12-12 20:35:54','2020-12-12 20:35:54');
INSERT INTO complaint_remarks VALUES('2985','2450','costumer didn`t attend the call','73','2020-12-12 20:38:10','2020-12-12 20:38:10');
INSERT INTO complaint_remarks VALUES('2986','2524','COSTUMER NOT ATTEND THE CALL','73','2020-12-12 20:43:17','2020-12-12 20:43:17');
INSERT INTO complaint_remarks VALUES('2987','2531','COSTUMER ABI GAON HAIN... 3 SE 4 DIN TK WAPIS AY GY','73','2020-12-12 20:45:59','2020-12-12 20:45:59');
INSERT INTO complaint_remarks VALUES('2988','2606','COSTUMER KO CALL KI HA KEH RY HAIN K MERI COMPLAIN NAI HA...','73','2020-12-12 20:52:34','2020-12-12 20:52:34');
INSERT INTO complaint_remarks VALUES('2989','2619','COSTUMER NOT ATTENDING CALL','73','2020-12-12 20:54:02','2020-12-12 20:54:02');
INSERT INTO complaint_remarks VALUES('2990','2624','COSTUMER STILL NOT ATTEND THE CALL','73','2020-12-12 20:55:56','2020-12-12 20:55:56');
INSERT INTO complaint_remarks VALUES('2991','2647','HAIER TEAM INSTALLATION SE INSTALLATION THIK NAHIN HOI... UNHO NE 2BARA VISIT KRNA HA','73','2020-12-12 21:00:20','2020-12-12 21:00:20');
INSERT INTO complaint_remarks VALUES('2992','2689','NO VISIT YET','73','2020-12-12 21:03:02','2020-12-12 21:03:02');
INSERT INTO complaint_remarks VALUES('2993','2691','COSTUMER PAYMENT DENE K LYE AGREE NAHIN HAIN.. WO KHUD SERVICE CENTRE JA K BT KAREIN GY','73','2020-12-12 21:08:19','2020-12-12 21:08:19');
INSERT INTO complaint_remarks VALUES('2994','2704','COSTUMER NE COMPLAIN BAHIR SE THIK KARWA LI HA...','73','2020-12-12 21:10:37','2020-12-12 21:10:37');
INSERT INTO complaint_remarks VALUES('2995','2734','COSTUMER NOT ATTENDING CALL','73','2020-12-12 21:20:50','2020-12-12 21:20:50');
INSERT INTO complaint_remarks VALUES('2996','2747','COMPLAIN PE VISIT HOGYA HA LEKIN ISSUE SOLVED NAHIN HWA','73','2020-12-12 21:23:13','2020-12-12 21:23:13');
INSERT INTO complaint_remarks VALUES('2997','2750','COSTUMER NOT ATTENDING CALL','73','2020-12-12 21:25:43','2020-12-12 21:25:43');
INSERT INTO complaint_remarks VALUES('2998','2758','COSTUMER NOT ATTENDING CALL','73','2020-12-12 21:27:34','2020-12-12 21:27:34');
INSERT INTO complaint_remarks VALUES('2999','2763','COSTUMER NOT ATTEND THE CALL...','73','2020-12-12 21:31:11','2020-12-12 21:31:11');
INSERT INTO complaint_remarks VALUES('3000','2778','COSTUMER NOT ATTENDING CALL','73','2020-12-12 21:39:30','2020-12-12 21:39:30');
INSERT INTO complaint_remarks VALUES('3001','2799','VISIT HOGYA HA LEKIN ISSUE SOLVED NAHIN HWA','73','2020-12-12 21:45:18','2020-12-12 21:45:18');
INSERT INTO complaint_remarks VALUES('3002','2804','COSTUMER K GHR PATIENT HA... UNHO NE COMPLAIN CLOSED KARWA DI HA... BD MEIN KHUD CALL KR K DOBARA NOTE KARWAEIN GI','73','2020-12-12 21:50:56','2020-12-12 21:50:56');
INSERT INTO complaint_remarks VALUES('3003','2812','COSTUMER NOT ATTEND THE CALL','73','2020-12-12 21:52:58','2020-12-12 21:52:58');
INSERT INTO complaint_remarks VALUES('3004','2819','SERVICE CENTRE LIFT HOGI','73','2020-12-12 21:56:10','2020-12-12 21:56:10');
INSERT INTO complaint_remarks VALUES('3005','2822','3 DIN OBSERVATION K BD COSTUMER RESPONSE KAREIN GY','73','2020-12-12 22:03:24','2020-12-12 22:03:24');
INSERT INTO complaint_remarks VALUES('3006','2825','VISIT HOGYA HA... GAS KA PRESSURE KM HNY KI WJA SE GEYSER NAHIN CHL RAHA, GEYSER THIK HA','73','2020-12-12 22:07:43','2020-12-12 22:07:43');
INSERT INTO complaint_remarks VALUES('3007','2825','LEKIN COSTUMER SATISFY NAHIN HORY...','73','2020-12-12 22:08:10','2020-12-12 22:08:10');
INSERT INTO complaint_remarks VALUES('3008','2826','COSTUMER NE KHUD THIK KARWA LIA','73','2020-12-12 22:11:04','2020-12-12 22:11:04');
INSERT INTO complaint_remarks VALUES('3009','2827','COSTUMER NOT ATTENDING CALL','73','2020-12-12 22:14:34','2020-12-12 22:14:34');
INSERT INTO complaint_remarks VALUES('3010','2828','COSTUMER NOT ATTENDING CALL','73','2020-12-12 22:15:37','2020-12-12 22:15:37');
INSERT INTO complaint_remarks VALUES('3011','2829','NO VISIT YET','73','2020-12-12 22:17:41','2020-12-12 22:17:41');
INSERT INTO complaint_remarks VALUES('3012','2831','COSTUMER NOT ATTENDING CALL','73','2020-12-12 22:22:58','2020-12-12 22:22:58');
INSERT INTO complaint_remarks VALUES('3013','2832','COSTUMER NOT ATTENDING CALL','73','2020-12-12 22:24:51','2020-12-12 22:24:51');
INSERT INTO complaint_remarks VALUES('3014','2837','VISIT HOGYA... TECHNICIAN THIK KR GY VISIT KR GY','73','2020-12-12 22:29:13','2020-12-12 22:29:13');
INSERT INTO complaint_remarks VALUES('3015','2840','COSTUMER STILL NOT ATTENDING CALL','73','2020-12-12 22:31:19','2020-12-12 22:31:19');
INSERT INTO complaint_remarks VALUES('3016','2841','TECHNICIAN KI BT HOGAE HA COSTUMER SE','73','2020-12-12 22:33:00','2020-12-12 22:33:00');
INSERT INTO complaint_remarks VALUES('3017','2845','COSTUMER NOT ATTENDING CALL','73','2020-12-12 22:37:44','2020-12-12 22:37:44');
INSERT INTO complaint_remarks VALUES('3018','2851','NO VISIT YET','73','2020-12-12 22:42:16','2020-12-12 22:42:16');
INSERT INTO complaint_remarks VALUES('3019','2855','NUMBER NOT RESPONDING','73','2020-12-12 22:43:17','2020-12-12 22:43:17');
INSERT INTO complaint_remarks VALUES('3020','2856','VISIT HOGYA HA... LEKIN PRESSURE KM HA COSTUMER NOT SATISFIED','73','2020-12-12 22:45:11','2020-12-12 22:45:11');
INSERT INTO complaint_remarks VALUES('3021','2858','COSTUMER NOT ATTENDING CALL','73','2020-12-12 22:48:42','2020-12-12 22:48:42');
INSERT INTO complaint_remarks VALUES('3022','2819','CUSTOMER NA KHUD S/C LA K JANI HAIN W/M','74','2020-12-14 20:04:00','2020-12-14 20:04:00');
INSERT INTO complaint_remarks VALUES('3023','2812','COMPLAINT RESOLVED','74','2020-12-14 20:06:03','2020-12-14 20:06:03');
INSERT INTO complaint_remarks VALUES('3024','2792','UNIT S/C WORKING IN PROCESS','74','2020-12-14 20:21:15','2020-12-14 20:21:15');
INSERT INTO complaint_remarks VALUES('3025','2799','PARTS AAGAY HAIN AJ LAG JAY GA USTOMER KO B INFORMED KAR DIA','74','2020-12-14 20:31:42','2020-12-14 20:31:42');
INSERT INTO complaint_remarks VALUES('3026','2778','SATURDAY EVENING KO VISIT KA TIME DIA','74','2020-12-14 20:41:55','2020-12-14 20:41:55');
INSERT INTO complaint_remarks VALUES('3027','2778','NAEEM KENWOOD KO B REMINDER DA DIA','74','2020-12-14 20:46:47','2020-12-14 20:46:47');
INSERT INTO complaint_remarks VALUES('3028','2854','VISIT TO DAY CUSTOMER KI ABDUL REHMAN SA BAT HO GEI HAIN','74','2020-12-14 22:12:25','2020-12-14 22:12:25');
INSERT INTO complaint_remarks VALUES('3029','2879','LG MAIN OVEN PICK KARNA K REMINDER DA DIA','74','2020-12-14 22:15:06','2020-12-14 22:15:06');
INSERT INTO complaint_remarks VALUES('3030','2951','COMPLAINT RESOLVED','92','2020-12-15 20:06:41','2020-12-15 20:06:41');
INSERT INTO complaint_remarks VALUES('3031','2948','COMPLAINT RESOLVED','92','2020-12-15 20:08:20','2020-12-15 20:08:20');
INSERT INTO complaint_remarks VALUES('3032','2947','COMPLAINT RESOLVED','92','2020-12-15 20:11:34','2020-12-15 20:11:34');
INSERT INTO complaint_remarks VALUES('3033','2946','COMPLAINT RESOLVED','92','2020-12-15 20:13:25','2020-12-15 20:13:25');
INSERT INTO complaint_remarks VALUES('3034','2942','THORI DAR TAK CALL BACK KARAY GAY','92','2020-12-15 20:16:38','2020-12-15 20:16:38');
INSERT INTO complaint_remarks VALUES('3035','2940','COMPLAINT RESOLVED','92','2020-12-15 20:17:49','2020-12-15 20:17:49');
INSERT INTO complaint_remarks VALUES('3036','2939','VISIT TO DAY WASEEM TECHNICIAN VISIT KARAY GAY AJ 0331-9146117','74','2020-12-15 20:19:55','2020-12-15 20:19:55');
INSERT INTO complaint_remarks VALUES('3037','2938','COMPLAINT RESOLVED','92','2020-12-15 20:20:28','2020-12-15 20:20:28');
INSERT INTO complaint_remarks VALUES('3038','2936','NOT ATTEND CALL','92','2020-12-15 20:25:00','2020-12-15 20:25:00');
INSERT INTO complaint_remarks VALUES('3039','2942','COMPLAINT RESOLVED','92','2020-12-15 20:25:48','2020-12-15 20:25:48');
INSERT INTO complaint_remarks VALUES('3040','2860','REF TO S/C CUSTOMER  AJ S/C LA K JAY GAY','74','2020-12-15 20:26:58','2020-12-15 20:26:58');
INSERT INTO complaint_remarks VALUES('3041','2935','COMPLAINT RESOLVED','92','2020-12-15 20:29:17','2020-12-15 20:29:17');
INSERT INTO complaint_remarks VALUES('3042','2934','COMPLAINT RESOLVED','92','2020-12-15 20:30:43','2020-12-15 20:30:43');
INSERT INTO complaint_remarks VALUES('3043','2931','COMPLAINT RESOLVED','92','2020-12-15 20:35:10','2020-12-15 20:35:10');
INSERT INTO complaint_remarks VALUES('3044','2867','COMPLAINT RESOLVED','74','2020-12-15 20:37:24','2020-12-15 20:37:24');
INSERT INTO complaint_remarks VALUES('3045','2896','COMPLAINT RESOLVED','74','2020-12-15 20:39:14','2020-12-15 20:39:14');
INSERT INTO complaint_remarks VALUES('3046','2357','AJ AGAIN TARIQ CANNON KO YHA COMPLIANT FF KAR DI','74','2020-12-15 20:43:27','2020-12-15 20:43:27');
INSERT INTO complaint_remarks VALUES('3047','2400','COMPLAINT RESOLVED','74','2020-12-15 20:46:13','2020-12-15 20:46:13');
INSERT INTO complaint_remarks VALUES('3048','2927','NOT ATTEND CALL','92','2020-12-15 20:48:38','2020-12-15 20:48:38');
INSERT INTO complaint_remarks VALUES('3049','2922','COMPLAINT RESOLVED','92','2020-12-15 20:49:58','2020-12-15 20:49:58');
INSERT INTO complaint_remarks VALUES('3050','2933','CUSTOMER KO LG S/C KA NO PROVIDE KAR DIA HAIN','74','2020-12-15 20:50:25','2020-12-15 20:50:25');
INSERT INTO complaint_remarks VALUES('3051','2920','NOT ATTEND CALL','92','2020-12-15 20:54:11','2020-12-15 20:54:11');
INSERT INTO complaint_remarks VALUES('3052','2917','VISIT TO DAY','92','2020-12-15 20:56:00','2020-12-15 20:56:00');
INSERT INTO complaint_remarks VALUES('3053','2915','COMPLAINT RESOLVED','92','2020-12-15 20:57:18','2020-12-15 20:57:18');
INSERT INTO complaint_remarks VALUES('3054','2914','COMPLAINT RESOLVED','92','2020-12-15 21:00:24','2020-12-15 21:00:24');
INSERT INTO complaint_remarks VALUES('3055','2912','COMPLAINT RESOLVED','92','2020-12-15 21:03:28','2020-12-15 21:03:28');
INSERT INTO complaint_remarks VALUES('3056','2911','NOT ATTEND CALL','92','2020-12-15 21:05:51','2020-12-15 21:05:51');
INSERT INTO complaint_remarks VALUES('3057','2910','LIFT IN SERVICE CENTER','92','2020-12-15 21:09:35','2020-12-15 21:09:35');
INSERT INTO complaint_remarks VALUES('3058','2981','COMPLAINT#74515','74','2020-12-15 21:20:33','2020-12-15 21:20:33');
INSERT INTO complaint_remarks VALUES('3059','2977','COMPLAINT#74516','74','2020-12-15 21:22:24','2020-12-15 21:22:24');
INSERT INTO complaint_remarks VALUES('3060','2962','COMPLAINT#1784136','74','2020-12-15 21:26:46','2020-12-15 21:26:46');
INSERT INTO complaint_remarks VALUES('3061','2908','VISIT TO DAY','92','2020-12-15 21:28:37','2020-12-15 21:28:37');
INSERT INTO complaint_remarks VALUES('3062','2901','COMPLAINT RESOLVED','92','2020-12-15 21:31:07','2020-12-15 21:31:07');
INSERT INTO complaint_remarks VALUES('3063','2895','COMPLAINT RESOLVED','92','2020-12-15 21:37:59','2020-12-15 21:37:59');
INSERT INTO complaint_remarks VALUES('3064','2892','COMPLAINT RESOLVED','92','2020-12-15 21:40:54','2020-12-15 21:40:54');
INSERT INTO complaint_remarks VALUES('3065','2888','COMPLAINT RESOLVED','92','2020-12-15 22:22:46','2020-12-15 22:22:46');
INSERT INTO complaint_remarks VALUES('3066','2891','NOT ATTEND CALL','92','2020-12-15 22:25:56','2020-12-15 22:25:56');
INSERT INTO complaint_remarks VALUES('3067','2884','COMPLAINT RESOLVED','92','2020-12-15 22:29:14','2020-12-15 22:29:14');
INSERT INTO complaint_remarks VALUES('3068','2883','COMPLAINT RESOLVED','92','2020-12-15 22:32:19','2020-12-15 22:32:19');
INSERT INTO complaint_remarks VALUES('3069','2875','COMPLAINT RESOLVED','92','2020-12-15 22:36:49','2020-12-15 22:36:49');
INSERT INTO complaint_remarks VALUES('3070','2870','COMPLAINT RESOLVED','92','2020-12-15 22:39:56','2020-12-15 22:39:56');
INSERT INTO complaint_remarks VALUES('3071','2869','NOT ATTEND CALL','92','2020-12-15 22:47:09','2020-12-15 22:47:09');
INSERT INTO complaint_remarks VALUES('3072','2869','COMPLAINT RESOLVED','92','2020-12-15 22:50:24','2020-12-15 22:50:24');
INSERT INTO complaint_remarks VALUES('3073','2863','VISIT HO GAYA HAY ISSUE NOT RESOLVED','92','2020-12-15 22:55:04','2020-12-15 22:55:04');
INSERT INTO complaint_remarks VALUES('3074','2862','COMPLAINT RESOLVED','92','2020-12-15 22:57:28','2020-12-15 22:57:28');
INSERT INTO complaint_remarks VALUES('3075','2921','03335499971','74','2020-12-15 23:10:45','2020-12-15 23:10:45');
INSERT INTO complaint_remarks VALUES('3076','2855','COMPLAINT RESOLVED','92','2020-12-15 23:12:21','2020-12-15 23:12:21');
INSERT INTO complaint_remarks VALUES('3077','2852','COMPLAINT RESOLVED','92','2020-12-15 23:14:47','2020-12-15 23:14:47');
INSERT INTO complaint_remarks VALUES('3078','2845','COMPLAINT RESOLVED','92','2020-12-15 23:28:01','2020-12-15 23:28:01');
INSERT INTO complaint_remarks VALUES('3079','2841','COMPLAINT RESOLVED','92','2020-12-15 23:35:40','2020-12-15 23:35:40');
INSERT INTO complaint_remarks VALUES('3080','2619','AIK VISIT KAR LIYA KHURRAM BAHI NA AGAIN VISIT K LIYA REMINDER DA DIYA','74','2020-12-16 01:27:29','2020-12-16 01:27:29');
INSERT INTO complaint_remarks VALUES('3081','3013','COMPLAINT RESOLVED','92','2020-12-16 20:00:42','2020-12-16 20:00:42');
INSERT INTO complaint_remarks VALUES('3082','2531','CUSTOMER ABI OUT OFF CITY HAIN WAPISE AA K AGAIN COMPLAINT ENTER KARWAY GAY ABI CANCEL KARWA DI COMPLAINT','74','2020-12-16 20:09:35','2020-12-16 20:09:35');
INSERT INTO complaint_remarks VALUES('3083','3014','COMPLAINT RESOLVED','92','2020-12-16 20:15:27','2020-12-16 20:15:27');
INSERT INTO complaint_remarks VALUES('3084','2880','GEYSER S/C MAIN HAIN','74','2020-12-16 20:16:26','2020-12-16 20:16:26');
INSERT INTO complaint_remarks VALUES('3085','3015','COMPLAINT RESOLVED','92','2020-12-16 20:16:51','2020-12-16 20:16:51');
INSERT INTO complaint_remarks VALUES('3086','2747','AIK VISIT HO GAY HAIN COMPLAINT RESOLVED','74','2020-12-16 20:16:52','2020-12-16 20:16:52');
INSERT INTO complaint_remarks VALUES('3087','2599','COMPLAINT RESOLVED','74','2020-12-16 20:22:42','2020-12-16 20:22:42');
INSERT INTO complaint_remarks VALUES('3088','2894','IRFAN TECHNICIAN AJ YHA COMPLAINT ATTEND KARAY GAY','74','2020-12-16 22:16:18','2020-12-16 22:16:18');
INSERT INTO complaint_remarks VALUES('3089','3033','GUJARAT CONTRACTOR YHA COMPLAINT ATTEND KARWAY GAY','74','2020-12-17 00:13:11','2020-12-17 00:13:11');
INSERT INTO complaint_remarks VALUES('3090','2864','4-BAJAY TAK INFORM KARAY GI','92','2020-12-17 00:22:20','2020-12-17 00:22:20');
INSERT INTO complaint_remarks VALUES('3091','3055','COMPLAINT RESOLVED','92','2020-12-17 22:58:46','2020-12-17 22:58:46');
INSERT INTO complaint_remarks VALUES('3092','3049','COMPLAINT#3124','74','2020-12-18 20:04:03','2020-12-18 20:04:03');
INSERT INTO complaint_remarks VALUES('3093','3047','COMPLAINT#3125','74','2020-12-18 20:05:22','2020-12-18 20:05:22');
INSERT INTO complaint_remarks VALUES('3094','3046','COMPLAINT#3126','74','2020-12-18 20:06:03','2020-12-18 20:06:03');
INSERT INTO complaint_remarks VALUES('3095','2993','COMPLAINT#072015728','74','2020-12-18 20:10:13','2020-12-18 20:10:13');
INSERT INTO complaint_remarks VALUES('3096','3050','COMPLAINT#1075229','74','2020-12-18 20:15:19','2020-12-18 20:15:19');
INSERT INTO complaint_remarks VALUES('3097','2910','NOT ATTEND CALL','74','2020-12-18 20:45:45','2020-12-18 20:45:45');
INSERT INTO complaint_remarks VALUES('3098','2909','NOT ATTEND CALL','74','2020-12-18 20:47:53','2020-12-18 20:47:53');
INSERT INTO complaint_remarks VALUES('3099','2908','COMPLAINT PA AIK VISIT HO  GAY THA AGAIN COMPLAINT PA ISSUE AGAY HAIN NEW COMPLAINT FF KARWA DIA','74','2020-12-18 20:54:15','2020-12-18 20:54:15');
INSERT INTO complaint_remarks VALUES('3100','2911','COMPLAINT RESOLVED','74','2020-12-18 20:59:00','2020-12-18 20:59:00');
INSERT INTO complaint_remarks VALUES('3101','2900','NOT ATTEND CALL','74','2020-12-18 21:03:59','2020-12-18 21:03:59');
INSERT INTO complaint_remarks VALUES('3102','2891','COMPLAINT RESOLVED','74','2020-12-18 21:07:13','2020-12-18 21:07:13');
INSERT INTO complaint_remarks VALUES('3103','2885','CUSTOMER NA COMPLAINT KHUD SA CANCEL KARWA DI COMPLAINT CLOSED','74','2020-12-18 21:22:14','2020-12-18 21:22:14');
INSERT INTO complaint_remarks VALUES('3104','2881','COMPLAINT RESOLVED','74','2020-12-18 21:23:38','2020-12-18 21:23:38');
INSERT INTO complaint_remarks VALUES('3105','3058','IN PROCESS COMPLAINT','74','2020-12-18 21:29:41','2020-12-18 21:29:41');
INSERT INTO complaint_remarks VALUES('3106','3017','VISIT TO DAY GUHLAM MUSTUFA TECHNICIAN GHR PA HAIN','74','2020-12-18 21:34:50','2020-12-18 21:34:50');
INSERT INTO complaint_remarks VALUES('3107','2877','NOT ATTEND CALL','74','2020-12-19 01:10:30','2020-12-19 01:10:30');
INSERT INTO complaint_remarks VALUES('3108','2910','STILL NOT ATTEND CALL','92','2020-12-19 20:06:35','2020-12-19 20:06:35');
INSERT INTO complaint_remarks VALUES('3109','2909','COMPLAINT RESOLVED','92','2020-12-19 20:08:00','2020-12-19 20:08:00');
INSERT INTO complaint_remarks VALUES('3110','2900','PEAKING ISSUE','92','2020-12-19 20:11:14','2020-12-19 20:11:14');
INSERT INTO complaint_remarks VALUES('3111','2880','COMPLAINT RESOLVED','92','2020-12-19 20:12:46','2020-12-19 20:12:46');
INSERT INTO complaint_remarks VALUES('3112','2910','COMPLAINT RESOLVED','92','2020-12-19 20:15:27','2020-12-19 20:15:27');
INSERT INTO complaint_remarks VALUES('3113','2864','COMPLAINT RESOLVED','92','2020-12-19 20:18:41','2020-12-19 20:18:41');
INSERT INTO complaint_remarks VALUES('3114','2863','COMPLAINT REOPEN','92','2020-12-19 20:41:51','2020-12-19 20:41:51');
INSERT INTO complaint_remarks VALUES('3115','2917','COMPLAINT RESOLVED','92','2020-12-19 20:44:04','2020-12-19 20:44:04');
INSERT INTO complaint_remarks VALUES('3116','2860','CUSTOMER K TARAF SAY DELAY HAY COMPLAINT','92','2020-12-19 20:47:42','2020-12-19 20:47:42');
INSERT INTO complaint_remarks VALUES('3117','2858','COMPLAINT RESOLVED','92','2020-12-19 20:49:27','2020-12-19 20:49:27');
INSERT INTO complaint_remarks VALUES('3118','3076','IN PROCESS COMPLAINT','74','2020-12-19 20:49:27','2020-12-19 20:49:27');
INSERT INTO complaint_remarks VALUES('3119','2822','COMPLAINT PA AIK VISIT HO GAYA GEYSER OK CHAL RAHA HAIN','74','2020-12-19 20:51:57','2020-12-19 20:51:57');
INSERT INTO complaint_remarks VALUES('3120','2856','COMPLAINT RESOLVED','92','2020-12-19 20:52:01','2020-12-19 20:52:01');
INSERT INTO complaint_remarks VALUES('3121','2851','COMPLAINT RESOLVED','92','2020-12-19 20:58:27','2020-12-19 20:58:27');
INSERT INTO complaint_remarks VALUES('3122','2849','NOT ATTEND CALL','92','2020-12-19 21:03:47','2020-12-19 21:03:47');
INSERT INTO complaint_remarks VALUES('3123','2840','COMPLAINT RESOLVED','92','2020-12-19 21:06:10','2020-12-19 21:06:10');
INSERT INTO complaint_remarks VALUES('3124','3088','COMPLAINT#15368','74','2020-12-19 21:07:29','2020-12-19 21:07:29');
INSERT INTO complaint_remarks VALUES('3125','2832','COMPLAINT RESOLVED','92','2020-12-19 21:08:36','2020-12-19 21:08:36');
INSERT INTO complaint_remarks VALUES('3126','2831','COMPLAINT RESOLVED','92','2020-12-19 21:10:54','2020-12-19 21:10:54');
INSERT INTO complaint_remarks VALUES('3127','2829','COMPLAINT RESOLVED','92','2020-12-19 21:12:43','2020-12-19 21:12:43');
INSERT INTO complaint_remarks VALUES('3128','2827','CUSTOMER OUT OFF CITY HAY COMPLAINT RESOLVED','92','2020-12-19 21:15:11','2020-12-19 21:15:11');
INSERT INTO complaint_remarks VALUES('3129','2819','CUSTOMER KI TARAF SAY DELAY HAY COMPLAINT','92','2020-12-19 21:17:59','2020-12-19 21:17:59');
INSERT INTO complaint_remarks VALUES('3130','2799','COMPLAINT RESOLVED','92','2020-12-19 21:21:21','2020-12-19 21:21:21');
INSERT INTO complaint_remarks VALUES('3131','2765','NOT ATTEND CALL','92','2020-12-19 21:53:06','2020-12-19 21:53:06');
INSERT INTO complaint_remarks VALUES('3132','2758','COMPLAINT RESOLVED','92','2020-12-19 22:06:43','2020-12-19 22:06:43');
INSERT INTO complaint_remarks VALUES('3133','2750','COMPLAINT RESOLVED','92','2020-12-19 22:09:32','2020-12-19 22:09:32');
INSERT INTO complaint_remarks VALUES('3134','2734','COMPLAINT RESOLVED','92','2020-12-19 22:14:25','2020-12-19 22:14:25');
INSERT INTO complaint_remarks VALUES('3135','3051','FF TO ANWER CARVELL','74','2020-12-19 22:16:06','2020-12-19 22:16:06');
INSERT INTO complaint_remarks VALUES('3136','2689','REPLACE HO GA GEYSER','92','2020-12-19 22:22:44','2020-12-19 22:22:44');
INSERT INTO complaint_remarks VALUES('3137','2624','COMPLAINT RESOLVED','92','2020-12-19 22:28:03','2020-12-19 22:28:03');
INSERT INTO complaint_remarks VALUES('3138','2921','VISIT HO GAYA HAY ISSUE NOT RESOLVED','92','2020-12-19 22:32:20','2020-12-19 22:32:20');
INSERT INTO complaint_remarks VALUES('3139','3068','CUSTOMER KO S/C KA NO PROVIDE KAR DIA','74','2020-12-19 22:40:55','2020-12-19 22:40:55');
INSERT INTO complaint_remarks VALUES('3140','2598','THORI DAR TAK CONFORM KAR K CALL BACK KARAY GAY','92','2020-12-19 22:51:25','2020-12-19 22:51:25');
INSERT INTO complaint_remarks VALUES('3141','2706','COMPLAINT RESOLVED','74','2020-12-19 23:40:06','2020-12-19 23:40:06');
INSERT INTO complaint_remarks VALUES('3142','2521','COMPLAINT RESOLVED','74','2020-12-19 23:41:09','2020-12-19 23:41:09');
INSERT INTO complaint_remarks VALUES('3143','3098','COMPLAINT RESOLVED','92','2020-12-20 00:21:16','2020-12-20 00:21:16');
INSERT INTO complaint_remarks VALUES('3144','3098','COMPLAINT RESOLVED','92','2020-12-20 00:22:01','2020-12-20 00:22:01');
INSERT INTO complaint_remarks VALUES('3145','3099','COMPLAINT RESOLVED','92','2020-12-20 00:22:44','2020-12-20 00:22:44');
INSERT INTO complaint_remarks VALUES('3146','2531','COMPLAINT RESOLVED','74','2020-12-20 01:45:22','2020-12-20 01:45:22');
INSERT INTO complaint_remarks VALUES('3147','3068','MUNWAR SAB KO REMINDER DA DI HAIN COMPANY SIDE SA DELAY','74','2020-12-20 02:12:25','2020-12-20 02:12:25');
INSERT INTO complaint_remarks VALUES('3148','3078','COMPLAINT RESOLVED','92','2020-12-21 01:19:22','2020-12-21 01:19:22');
INSERT INTO complaint_remarks VALUES('3149','2952','COMPLAINT RESOLVED','92','2020-12-21 01:25:44','2020-12-21 01:25:44');
INSERT INTO complaint_remarks VALUES('3150','2965','COMPLAINT RESOLVED','92','2020-12-21 01:27:26','2020-12-21 01:27:26');
INSERT INTO complaint_remarks VALUES('3151','2975','PART ISSUE COMPLAINT IN PROCESS','92','2020-12-21 01:30:16','2020-12-21 01:30:16');
INSERT INTO complaint_remarks VALUES('3152','2982','COMPLAINT RESOLVED','92','2020-12-21 01:31:29','2020-12-21 01:31:29');
INSERT INTO complaint_remarks VALUES('3153','2984','COMPLAINT RESOLVED','92','2020-12-21 01:33:10','2020-12-21 01:33:10');
INSERT INTO complaint_remarks VALUES('3154','2987','COMPLAINT RESOLVED','92','2020-12-21 01:35:53','2020-12-21 01:35:53');
INSERT INTO complaint_remarks VALUES('3155','2991','COMPLAINT RESOLVED','92','2020-12-21 01:38:03','2020-12-21 01:38:03');
INSERT INTO complaint_remarks VALUES('3156','3003','VISIT TO DAY','92','2020-12-21 01:43:03','2020-12-21 01:43:03');
INSERT INTO complaint_remarks VALUES('3157','3009','COMPLAINT RESOLVED','92','2020-12-21 01:44:28','2020-12-21 01:44:28');
INSERT INTO complaint_remarks VALUES('3158','3075','COMPLAINT RESOLVED','92','2020-12-21 01:51:30','2020-12-21 01:51:30');
INSERT INTO complaint_remarks VALUES('3159','3070','COMPLAINT RESOLVED','92','2020-12-21 01:56:21','2020-12-21 01:56:21');
INSERT INTO complaint_remarks VALUES('3160','3064','PART ISSUE COMPLAINT IN PROCESS','92','2020-12-21 02:01:01','2020-12-21 02:01:01');
INSERT INTO complaint_remarks VALUES('3161','3061','PART ISSUE COMPLAINT IN PROCESS','92','2020-12-21 02:02:34','2020-12-21 02:02:34');
INSERT INTO complaint_remarks VALUES('3162','3057','COMPLAINT RESOLVED','92','2020-12-21 02:04:33','2020-12-21 02:04:33');
INSERT INTO complaint_remarks VALUES('3163','3056','COMPLAINT RESOLVED','92','2020-12-21 02:06:37','2020-12-21 02:06:37');
INSERT INTO complaint_remarks VALUES('3164','3069','GAS ISSUE COMPLAINT IN PROCESS','92','2020-12-21 02:10:37','2020-12-21 02:10:37');
INSERT INTO complaint_remarks VALUES('3165','3048','NOT ATTEND CALL','92','2020-12-21 02:13:41','2020-12-21 02:13:41');
INSERT INTO complaint_remarks VALUES('3166','3045','COMPLAINT RESOLVED','92','2020-12-21 02:15:05','2020-12-21 02:15:05');
INSERT INTO complaint_remarks VALUES('3167','3044','VISIT TO DAY','92','2020-12-21 02:19:27','2020-12-21 02:19:27');
INSERT INTO complaint_remarks VALUES('3168','2949','CUSTOMER  GHR PA AVAIL NAI HAIN','74','2020-12-21 20:26:32','2020-12-21 20:26:32');
INSERT INTO complaint_remarks VALUES('3169','2955','COMPLIANT RESOLVED','74','2020-12-21 20:58:08','2020-12-21 20:58:08');
INSERT INTO complaint_remarks VALUES('3170','2944','COMPLAINT RESOLVED','74','2020-12-21 21:01:24','2020-12-21 21:01:24');
INSERT INTO complaint_remarks VALUES('3171','2957','COMPLAINT RESOLVED','74','2020-12-21 21:03:26','2020-12-21 21:03:26');
INSERT INTO complaint_remarks VALUES('3172','2939','COMPLAINT RESOLVED','74','2020-12-21 21:04:58','2020-12-21 21:04:58');
INSERT INTO complaint_remarks VALUES('3173','2936','COMPLAINT RESOLVED','74','2020-12-21 21:08:42','2020-12-21 21:08:42');
INSERT INTO complaint_remarks VALUES('3174','2932','COMPLAINT RESOLVED','74','2020-12-21 21:12:10','2020-12-21 21:12:10');
INSERT INTO complaint_remarks VALUES('3175','2928','COMPANY SIDE SA DELAY COMPLAINT AJ AGAIN COMPLAINT FF KAR DI HAIN COMPANY MAIN','74','2020-12-21 21:23:08','2020-12-21 21:23:08');
INSERT INTO complaint_remarks VALUES('3176','1445','COMPLAINT RESOLVED S/C SA READY HO K AAY HAIN','74','2020-12-21 21:32:21','2020-12-21 21:32:21');
INSERT INTO complaint_remarks VALUES('3177','2927','JAB B CUSTOMER KO CALL KAR RAHAY HAIN SAHI  SA BAT NAI KAR RAHAY  COMPLAINT CLOSED','74','2020-12-21 21:36:27','2020-12-21 21:36:27');
INSERT INTO complaint_remarks VALUES('3178','2960','COMPLAINT RESOLVED','74','2020-12-21 21:51:29','2020-12-21 21:51:29');
INSERT INTO complaint_remarks VALUES('3179','2894','COMPLAINT RESOLVED','74','2020-12-21 22:08:44','2020-12-21 22:08:44');
INSERT INTO complaint_remarks VALUES('3180','3053','VIIST TO DAY CUSTOMER KO USMAN SAB KA NO  B PROVIDE KAR DIA','74','2020-12-21 23:11:06','2020-12-21 23:11:06');
INSERT INTO complaint_remarks VALUES('3181','3093','AMEEN SAB KO INFORMED KAR DIA HAIN  HANIF TECHNICIAN ATTEND KARAY GAY COMPLAINT(0309-3334650)','74','2020-12-22 00:34:48','2020-12-22 00:34:48');
INSERT INTO complaint_remarks VALUES('3182','3118','IN PROCESS COMPLAINT','74','2020-12-22 00:37:02','2020-12-22 00:37:02');
INSERT INTO complaint_remarks VALUES('3183','3101','VISIT TO DAY FAROOQ TECHNICIAN ATTEND KARAY GAY','74','2020-12-22 02:28:41','2020-12-22 02:28:41');
INSERT INTO complaint_remarks VALUES('3184','2819','CUSTOMER KO S/C  ZAHEER K NO PROVIDE KAR DIA','74','2020-12-22 02:34:17','2020-12-22 02:34:17');
INSERT INTO complaint_remarks VALUES('3185','2976','COMPLAINT RESOLVED','92','2020-12-22 19:58:16','2020-12-22 19:58:16');
INSERT INTO complaint_remarks VALUES('3186','2975','NOT ATTEND CALL','92','2020-12-22 20:00:51','2020-12-22 20:00:51');
INSERT INTO complaint_remarks VALUES('3187','2972','COMPLAINT RESOLVED','92','2020-12-22 20:02:39','2020-12-22 20:02:39');
INSERT INTO complaint_remarks VALUES('3188','2971','ISSUE NOT RESOLVED','92','2020-12-22 20:07:23','2020-12-22 20:07:23');
INSERT INTO complaint_remarks VALUES('3189','2969','NOT VISIT TO COMPLAINT','92','2020-12-22 20:11:22','2020-12-22 20:11:22');
INSERT INTO complaint_remarks VALUES('3190','2968','VISIT TO DAY','92','2020-12-22 20:14:09','2020-12-22 20:14:09');
INSERT INTO complaint_remarks VALUES('3191','2961','NOT ATTEND CALL','92','2020-12-22 20:17:10','2020-12-22 20:17:10');
INSERT INTO complaint_remarks VALUES('3192','2983','COMPLAINT RESOLVED','74','2020-12-22 20:23:30','2020-12-22 20:23:30');
INSERT INTO complaint_remarks VALUES('3193','2983','COMPLAINT RESOLVED','92','2020-12-22 20:26:13','2020-12-22 20:26:13');
INSERT INTO complaint_remarks VALUES('3194','3093','SHAHZAD TECHNICIAN AJ YHA COMPLAINT ATTEND KARAY GAY','74','2020-12-22 20:36:11','2020-12-22 20:36:11');
INSERT INTO complaint_remarks VALUES('3195','2825','AGAIN ISSUE AARHA HAIN CANNON MAIN REMINDER DA DIA HAIN KAL VISIT HO GA','74','2020-12-22 21:00:02','2020-12-22 21:00:02');
INSERT INTO complaint_remarks VALUES('3196','2825','ZEESHAN KO B INFORMED KAR DIA','74','2020-12-22 21:00:17','2020-12-22 21:00:17');
INSERT INTO complaint_remarks VALUES('3197','2986','COMPLAINT RESOLVED','92','2020-12-22 21:28:48','2020-12-22 21:28:48');
INSERT INTO complaint_remarks VALUES('3198','3122','COMPLAINT RESOLVED','92','2020-12-22 21:36:01','2020-12-22 21:36:01');
INSERT INTO complaint_remarks VALUES('3199','3120','NOT ATTEND CALL','92','2020-12-22 21:37:47','2020-12-22 21:37:47');
INSERT INTO complaint_remarks VALUES('3200','3115','COMPLAINT RESOLVED','92','2020-12-22 21:40:32','2020-12-22 21:40:32');
INSERT INTO complaint_remarks VALUES('3201','3114','VISIT TO DAY','92','2020-12-22 21:43:24','2020-12-22 21:43:24');
INSERT INTO complaint_remarks VALUES('3202','3111','VISIT TO DAY','92','2020-12-22 21:45:50','2020-12-22 21:45:50');
INSERT INTO complaint_remarks VALUES('3203','3110','VISIT TO DAY','92','2020-12-22 21:54:44','2020-12-22 21:54:44');
INSERT INTO complaint_remarks VALUES('3204','3106','NOT ATTEND CALL','92','2020-12-22 21:58:58','2020-12-22 21:58:58');
INSERT INTO complaint_remarks VALUES('3205','3102','COMPLAINT RESOLVED','92','2020-12-22 22:02:18','2020-12-22 22:02:18');
INSERT INTO complaint_remarks VALUES('3206','3097','CUSTOMER UNIT REPLACE  KARNA CHATA HAY','92','2020-12-22 22:06:51','2020-12-22 22:06:51');
INSERT INTO complaint_remarks VALUES('3207','3054','NOT ATTEND CALL','92','2020-12-22 22:12:51','2020-12-22 22:12:51');
INSERT INTO complaint_remarks VALUES('3208','3042','COMPLAINT RESOLVED','92','2020-12-22 22:18:46','2020-12-22 22:18:46');
INSERT INTO complaint_remarks VALUES('3209','3034','COMPLAINT RESOLVED','92','2020-12-22 22:20:38','2020-12-22 22:20:38');
INSERT INTO complaint_remarks VALUES('3210','3031','COMPLAINT RESOLVED','92','2020-12-22 22:24:14','2020-12-22 22:24:14');
INSERT INTO complaint_remarks VALUES('3211','3028','COMPLAINT RESOLVED','92','2020-12-22 22:26:11','2020-12-22 22:26:11');
INSERT INTO complaint_remarks VALUES('3212','3022','COMPLAINT RESOLVED','92','2020-12-22 22:33:52','2020-12-22 22:33:52');
INSERT INTO complaint_remarks VALUES('3213','3030','VISIT TO DAY REMINDER DA DIA KHURRAM BHAI KO','74','2020-12-22 22:34:42','2020-12-22 22:34:42');
INSERT INTO complaint_remarks VALUES('3214','3018','COMPLAINT RESOLVED','92','2020-12-22 22:35:31','2020-12-22 22:35:31');
INSERT INTO complaint_remarks VALUES('3215','3006','COMPLAINT RESOLVED','92','2020-12-22 22:44:03','2020-12-22 22:44:03');
INSERT INTO complaint_remarks VALUES('3216','3095','VISIT TO DAY','74','2020-12-22 22:49:27','2020-12-22 22:49:27');
INSERT INTO complaint_remarks VALUES('3217','3033','NOT VISIT TO COMPLAINT','92','2020-12-22 22:51:21','2020-12-22 22:51:21');
INSERT INTO complaint_remarks VALUES('3218','3044','LEFT IN SERVICE CENTER','92','2020-12-22 22:55:59','2020-12-22 22:55:59');
INSERT INTO complaint_remarks VALUES('3219','3012','COMPLAINT RESOLVED','92','2020-12-22 23:05:18','2020-12-22 23:05:18');
INSERT INTO complaint_remarks VALUES('3220','3048','COMPLAINT RESOLVED','92','2020-12-22 23:09:32','2020-12-22 23:09:32');
INSERT INTO complaint_remarks VALUES('3221','3108','LIFT IN SERVICE CENTER','92','2020-12-22 23:11:38','2020-12-22 23:11:38');
INSERT INTO complaint_remarks VALUES('3222','3027','LIFT IN SERVICE CENTER','92','2020-12-22 23:15:45','2020-12-22 23:15:45');
INSERT INTO complaint_remarks VALUES('3223','3084','COMPLAINT RESOLVED','92','2020-12-22 23:17:14','2020-12-22 23:17:14');
INSERT INTO complaint_remarks VALUES('3224','2992','NOT ATTEND CALL','92','2020-12-22 23:31:45','2020-12-22 23:31:45');
INSERT INTO complaint_remarks VALUES('3225','3058','LIFT IN SERVICE CENTER','92','2020-12-22 23:35:23','2020-12-22 23:35:23');
INSERT INTO complaint_remarks VALUES('3226','2994','VISIT TO DAY','92','2020-12-23 00:14:44','2020-12-23 00:14:44');
INSERT INTO complaint_remarks VALUES('3227','3120','CUSTOMER KA ISSUE RESOLVED HO GAYA 2000 VISIT CHARGES
6000 GASS REFIL KI','74','2020-12-23 01:36:05','2020-12-23 01:36:05');
INSERT INTO complaint_remarks VALUES('3228','3146','COMPLAINT RESOLVED','92','2020-12-23 19:34:49','2020-12-23 19:34:49');
INSERT INTO complaint_remarks VALUES('3229','3142','COMPLAINT RESOLVED','92','2020-12-23 19:36:53','2020-12-23 19:36:53');
INSERT INTO complaint_remarks VALUES('3230','3138','COMPLAINT RESOLVED','92','2020-12-23 19:38:32','2020-12-23 19:38:32');
INSERT INTO complaint_remarks VALUES('3231','3011','VISIT HO GAY AHIAN AJ GASS REFIL KARNA AGAIN AANA HAIN TECHNICIAN NA','74','2020-12-23 19:59:59','2020-12-23 19:59:59');
INSERT INTO complaint_remarks VALUES('3232','3003','COMPLAINT RESOLVED','74','2020-12-23 20:02:05','2020-12-23 20:02:05');
INSERT INTO complaint_remarks VALUES('3233','3002','COMPLAINT RESOLVED','74','2020-12-23 20:03:59','2020-12-23 20:03:59');
INSERT INTO complaint_remarks VALUES('3234','3016','COMPLAINT RESOLVED','74','2020-12-23 20:05:35','2020-12-23 20:05:35');
INSERT INTO complaint_remarks VALUES('3235','3001','COMPLAINT RESOLVED','74','2020-12-23 20:06:53','2020-12-23 20:06:53');
INSERT INTO complaint_remarks VALUES('3236','3000','NOT ATTEND CALL','74','2020-12-23 20:10:58','2020-12-23 20:10:58');
INSERT INTO complaint_remarks VALUES('3237','2999','COMPLAINT RESOLVED','74','2020-12-23 20:13:50','2020-12-23 20:13:50');
INSERT INTO complaint_remarks VALUES('3238','3017','PARTS DEMAND KIYA HOA HAIN','74','2020-12-23 20:15:32','2020-12-23 20:15:32');
INSERT INTO complaint_remarks VALUES('3239','2997','COMPLAINT RESOLVED','74','2020-12-23 20:24:42','2020-12-23 20:24:42');
INSERT INTO complaint_remarks VALUES('3240','3082','COMPLAINT RESOLVED  SUMSUNG REF K LIYA UN NO CUSTOMER KO PROVIDE KAR DIA','74','2020-12-23 20:31:05','2020-12-23 20:31:05');
INSERT INTO complaint_remarks VALUES('3241','3108','WORKING IN PROCESS','74','2020-12-23 20:38:08','2020-12-23 20:38:08');
INSERT INTO complaint_remarks VALUES('3242','2994','VISIT TO DAY','74','2020-12-23 20:44:14','2020-12-23 20:44:14');
INSERT INTO complaint_remarks VALUES('3243','3107','NOT ATTEND CALL','74','2020-12-23 20:45:39','2020-12-23 20:45:39');
INSERT INTO complaint_remarks VALUES('3244','2992','COMPLAINT RESOLVED','74','2020-12-23 20:46:52','2020-12-23 20:46:52');
INSERT INTO complaint_remarks VALUES('3245','3159','VISIT TO DAY','74','2020-12-23 21:03:04','2020-12-23 21:03:04');
INSERT INTO complaint_remarks VALUES('3246','3175','MOHSIN SAB NA ON CALL COMPLAINT RESOLVED KARWAI ABI CUSTOMER AIK 2 DIN TAQ CHEEK KAR K UP DATE KARAY GAY','74','2020-12-23 21:21:13','2020-12-23 21:21:13');
INSERT INTO complaint_remarks VALUES('3247','2825','KASHIF TECHNICIAN AJ YHA COMPLAINT ATTEND KARAY GAY 03065332742','74','2020-12-23 21:23:41','2020-12-23 21:23:41');
INSERT INTO complaint_remarks VALUES('3248','3106','COMPLAINT RESOLVED','74','2020-12-23 21:26:29','2020-12-23 21:26:29');
INSERT INTO complaint_remarks VALUES('3249','2981','EHSAN SAB KO INFORMED KAR DIA K ASLAM SIR SA  BAT KAR LAY','74','2020-12-23 21:28:04','2020-12-23 21:28:04');
INSERT INTO complaint_remarks VALUES('3250','3019','OUT DOOR REPLACE KARWA DIA KASHIF TCL NA HI INSTALL KARWANA HAIN','74','2020-12-23 21:31:16','2020-12-23 21:31:16');
INSERT INTO complaint_remarks VALUES('3251','2971','NOT ATTEND CALL','74','2020-12-23 21:36:52','2020-12-23 21:36:52');
INSERT INTO complaint_remarks VALUES('3252','2968','0313-8266082  NOT ATTEND CALL','74','2020-12-23 21:42:52','2020-12-23 21:42:52');
INSERT INTO complaint_remarks VALUES('3253','2357','BALOOCH 0301-5235982 KAL SUBHA 9-30 BAJY VISIT KARAY GAY CUSTOMER KO B INFORMED KAR DIA','74','2020-12-23 23:06:23','2020-12-23 23:06:23');
INSERT INTO complaint_remarks VALUES('3254','3143','AZAHR SAB NA VISIT KAR LIYA UNIT MAIN KOI ISSUE NAI  
AZHAR SAB NA 2:58 MIN PA BATAYTA K COMPLAINT COMPANY FF KAR DAY','74','2020-12-24 00:11:02','2020-12-24 00:11:02');
INSERT INTO complaint_remarks VALUES('3255','3107','TECHNICIAN ON ROUT','74','2020-12-24 00:47:33','2020-12-24 00:47:33');
INSERT INTO complaint_remarks VALUES('3256','2825','VISIT TO DAY','74','2020-12-24 00:48:19','2020-12-24 00:48:19');
INSERT INTO complaint_remarks VALUES('3257','3130','VISIT TO DAY TECHNICIAN 03095559763','74','2020-12-24 01:47:46','2020-12-24 01:47:46');
INSERT INTO complaint_remarks VALUES('3258','3123','KAL VISIT HO GA','74','2020-12-24 01:57:28','2020-12-24 01:57:28');
INSERT INTO complaint_remarks VALUES('3259','3167','KHALID SIR GARI ARRANGE KARWA K UNIT PICK KARWA RAHAY','74','2020-12-24 01:57:59','2020-12-24 01:57:59');
INSERT INTO complaint_remarks VALUES('3260','3117','0THER 0341-5019864 KHURRAM BAHI KO CUSTOMER KA OTHER NO DA DIA GAIN','74','2020-12-24 02:32:54','2020-12-24 02:32:54');
INSERT INTO complaint_remarks VALUES('3261','3130','COMPLAINT RESOLVED','74','2020-12-24 19:32:51','2020-12-24 19:32:51');
INSERT INTO complaint_remarks VALUES('3262','3188','COMPLAINT RESOLVED','92','2020-12-24 19:36:01','2020-12-24 19:36:01');
INSERT INTO complaint_remarks VALUES('3263','3183','VISIT TO DAY','92','2020-12-24 19:39:23','2020-12-24 19:39:23');
INSERT INTO complaint_remarks VALUES('3264','3140','COMPLAINT RESOLVED','92','2020-12-24 19:44:46','2020-12-24 19:44:46');
INSERT INTO complaint_remarks VALUES('3265','3151','COMPLAINT RESOLVED','92','2020-12-24 19:46:40','2020-12-24 19:46:40');
INSERT INTO complaint_remarks VALUES('3266','3137','COMPLAINT RESOLVED','92','2020-12-24 19:48:25','2020-12-24 19:48:25');
INSERT INTO complaint_remarks VALUES('3267','3136','LIFT IN SERVICE CENTER','92','2020-12-24 19:50:40','2020-12-24 19:50:40');
INSERT INTO complaint_remarks VALUES('3268','3134','NOT ATTEND CALL','92','2020-12-24 19:52:13','2020-12-24 19:52:13');
INSERT INTO complaint_remarks VALUES('3269','3124','COMPLAINT RESOLVED','92','2020-12-24 19:57:07','2020-12-24 19:57:07');
INSERT INTO complaint_remarks VALUES('3270','3120','COMPLAINT RESOLVED','92','2020-12-24 19:58:42','2020-12-24 19:58:42');
INSERT INTO complaint_remarks VALUES('3271','3114','VISIT TO DAY','92','2020-12-24 20:02:39','2020-12-24 20:02:39');
INSERT INTO complaint_remarks VALUES('3272','3111','COMPLAINT RESOLVED','92','2020-12-24 20:04:27','2020-12-24 20:04:27');
INSERT INTO complaint_remarks VALUES('3273','3113','COMPLAINT RESOLVED','92','2020-12-24 20:07:57','2020-12-24 20:07:57');
INSERT INTO complaint_remarks VALUES('3274','3110','COMPLAINT RESOLVED','92','2020-12-24 20:09:26','2020-12-24 20:09:26');
INSERT INTO complaint_remarks VALUES('3275','3107','VISIT TO DAY','92','2020-12-24 20:17:03','2020-12-24 20:17:03');
INSERT INTO complaint_remarks VALUES('3276','3096','COMPLAINT RESOLVED','92','2020-12-24 20:22:56','2020-12-24 20:22:56');
INSERT INTO complaint_remarks VALUES('3277','3094','COMPLAINT RESOLVED','92','2020-12-24 20:25:02','2020-12-24 20:25:02');
INSERT INTO complaint_remarks VALUES('3278','3093','COMPLAINT RESOLVED','92','2020-12-24 20:26:53','2020-12-24 20:26:53');
INSERT INTO complaint_remarks VALUES('3279','3092','NOT ATTEND CALL','92','2020-12-24 20:29:15','2020-12-24 20:29:15');
INSERT INTO complaint_remarks VALUES('3280','3087','VISIT TO SATURDAY','92','2020-12-24 20:36:35','2020-12-24 20:36:35');
INSERT INTO complaint_remarks VALUES('3281','3044','CUSTOMER AJ UNIT S/C MOVE KARWA RAHAY HAIN VISIT HO GAY HIAN','74','2020-12-24 21:45:53','2020-12-24 21:45:53');
INSERT INTO complaint_remarks VALUES('3282','3043','COMPLAINT RESOLVED','74','2020-12-24 21:47:15','2020-12-24 21:47:15');
INSERT INTO complaint_remarks VALUES('3283','3039','COMPLAINT PA VISIT HO GAYA HAIN GASS PROB HAIN CUSTOMER NA KHUD S/C LA K JANA','74','2020-12-24 22:26:52','2020-12-24 22:26:52');
INSERT INTO complaint_remarks VALUES('3284','3039','CUSTOMER GASS K CHARGES PAY NI KA RAHAY','74','2020-12-24 22:30:02','2020-12-24 22:30:02');
INSERT INTO complaint_remarks VALUES('3285','3054','COMPLAINT RESOLVED','74','2020-12-24 22:31:47','2020-12-24 22:31:47');
INSERT INTO complaint_remarks VALUES('3286','3036','COMPLAINT RESOLVED','74','2020-12-24 22:33:15','2020-12-24 22:33:15');
INSERT INTO complaint_remarks VALUES('3287','3035','COMPLAINT RESOLVED','74','2020-12-24 22:34:51','2020-12-24 22:34:51');
INSERT INTO complaint_remarks VALUES('3288','3126','VISIT TO DAY','92','2020-12-24 22:35:24','2020-12-24 22:35:24');
INSERT INTO complaint_remarks VALUES('3289','3033','VISIT TO DAY','74','2020-12-24 22:36:21','2020-12-24 22:36:21');
INSERT INTO complaint_remarks VALUES('3290','3167','MAIN SANSER BOARD DEMAND KAR DIA HAIN MONDAY KO PARTS RECIVED HO JAY GA CUSTOMER KO B INFORMED KAR DIA','74','2020-12-24 22:36:54','2020-12-24 22:36:54');
INSERT INTO complaint_remarks VALUES('3291','3032','COMPLAINT RESOLVED','74','2020-12-24 22:38:01','2020-12-24 22:38:01');
INSERT INTO complaint_remarks VALUES('3292','3030','COMPLAINT RESOLVED','74','2020-12-24 22:39:26','2020-12-24 22:39:26');
INSERT INTO complaint_remarks VALUES('3293','3029','COMPLAINT RESOLVED','74','2020-12-24 22:41:05','2020-12-24 22:41:05');
INSERT INTO complaint_remarks VALUES('3294','3027','CUSTOMER NA KHUD S/C LA K JANI HAIN CUSTOMER SIDE SA DELAY','74','2020-12-24 22:45:25','2020-12-24 22:45:25');
INSERT INTO complaint_remarks VALUES('3295','3019','TECHNICIAN OUT LAGA RAHAY HAIN CUSTOMER K GHR PA H I HAIN','74','2020-12-24 22:55:38','2020-12-24 22:55:38');
INSERT INTO complaint_remarks VALUES('3296','3011','COMPLAINT RESOLVED','74','2020-12-24 22:57:49','2020-12-24 22:57:49');
INSERT INTO complaint_remarks VALUES('3297','3204','AGAIN REMINDER DIA HAIN','74','2020-12-24 23:22:37','2020-12-24 23:22:37');
INSERT INTO complaint_remarks VALUES('3298','3086','COMPLAINT RESOLVED','92','2020-12-25 00:07:30','2020-12-25 00:07:30');
INSERT INTO complaint_remarks VALUES('3299','3060','COMPLAINT RESOLVED','74','2020-12-25 00:10:24','2020-12-25 00:10:24');
INSERT INTO complaint_remarks VALUES('3300','3080','NOT ATTEND CALL','92','2020-12-25 00:10:40','2020-12-25 00:10:40');
INSERT INTO complaint_remarks VALUES('3301','2357','COMPLAINT RESOLVED','74','2020-12-25 00:33:19','2020-12-25 00:33:19');
INSERT INTO complaint_remarks VALUES('3302','3189','COMPLAINT RESOLVED','74','2020-12-25 00:40:28','2020-12-25 00:40:28');
INSERT INTO complaint_remarks VALUES('3303','3190','FAROOQ TECHNICIAN AJ YHA COMPLAINT ATTED KARAY GAY','74','2020-12-25 00:41:20','2020-12-25 00:41:20');
INSERT INTO complaint_remarks VALUES('3304','3190','CUSTOMER KO B INFORMED KAR DIA','74','2020-12-25 00:42:34','2020-12-25 00:42:34');
INSERT INTO complaint_remarks VALUES('3305','3228','USMAN SAB KO REMINDER DA DIA HAIN  KAL VISIT HO GA CUSTOMER KO B INFORMED KAR DIA','74','2020-12-25 01:06:37','2020-12-25 01:06:37');
INSERT INTO complaint_remarks VALUES('3306','3198','SHAH NWAZ  TECHNICIAN  IC COMPLAINT KO ATTEND KAR RAHAY HAIN CUSTOMER KO B IN FORMED KAR DIA','74','2020-12-25 01:25:11','2020-12-25 01:25:11');
INSERT INTO complaint_remarks VALUES('3307','3071','customer na complaint cancelled karwa di','74','2020-12-25 20:20:34','2020-12-25 20:20:34');
INSERT INTO complaint_remarks VALUES('3308','3069','COMPLAINT RESOLVED','74','2020-12-25 20:23:33','2020-12-25 20:23:33');
INSERT INTO complaint_remarks VALUES('3309','3068','COMPLAINT RESOLVED','74','2020-12-25 20:24:56','2020-12-25 20:24:56');
INSERT INTO complaint_remarks VALUES('3310','3067','COMPLAINT RESOLVED','74','2020-12-25 20:26:20','2020-12-25 20:26:20');
INSERT INTO complaint_remarks VALUES('3311','3064','COMPLAINT RESOLVED','74','2020-12-25 20:27:47','2020-12-25 20:27:47');
INSERT INTO complaint_remarks VALUES('3312','3175','COMPLAINT RESOLVED','74','2020-12-25 20:28:37','2020-12-25 20:28:37');
INSERT INTO complaint_remarks VALUES('3313','3063','COMPLAINT RESOLVED','74','2020-12-25 20:29:51','2020-12-25 20:29:51');
INSERT INTO complaint_remarks VALUES('3314','3061','COMPLAINT RESOLVED','74','2020-12-25 20:31:16','2020-12-25 20:31:16');
INSERT INTO complaint_remarks VALUES('3315','3059','VISIT TO DAY  W/D S/C WORKING IN PROCESS','74','2020-12-25 20:33:01','2020-12-25 20:33:01');
INSERT INTO complaint_remarks VALUES('3316','3204','COMPLAINT RESOLVED','74','2020-12-25 20:33:54','2020-12-25 20:33:54');
INSERT INTO complaint_remarks VALUES('3317','3058','REF S/C WORKING IN PROCESS','74','2020-12-25 20:35:19','2020-12-25 20:35:19');
INSERT INTO complaint_remarks VALUES('3318','3198','NO VISIT','74','2020-12-25 20:43:10','2020-12-25 20:43:10');
INSERT INTO complaint_remarks VALUES('3319','3225','farooq technician aj icv complaint ko attend kar rahy hain','74','2020-12-28 19:55:47','2020-12-28 19:55:47');
INSERT INTO complaint_remarks VALUES('3320','2900','CUSTOMER LED KHUD LHR LA AY HAIN .
LHR S/C K ADD K LIYA CUSTOMER KO IMRAN TCL KA NO PROVIDE KAR DIA','74','2020-12-28 20:08:15','2020-12-28 20:08:15');
INSERT INTO complaint_remarks VALUES('3321','3114','COMPLAINT RESOLVED','74','2020-12-28 20:11:40','2020-12-28 20:11:40');
INSERT INTO complaint_remarks VALUES('3322','3108','COMPLAINT RESOLVED','74','2020-12-28 20:14:24','2020-12-28 20:14:24');
INSERT INTO complaint_remarks VALUES('3323','3230','VISIT TO DAY','74','2020-12-28 20:21:28','2020-12-28 20:21:28');
INSERT INTO complaint_remarks VALUES('3324','3107','COMPLAINT PA VISIT HO GAYA HAIN BUT ISSUR RESOLVED NI HO RAHA MANSOOR SAB KO AGAIN VISIT KA REMINDER DA DIA','74','2020-12-28 20:26:51','2020-12-28 20:26:51');
INSERT INTO complaint_remarks VALUES('3325','3244','COMPLAINT RESOLVED','92','2020-12-28 20:33:15','2020-12-28 20:33:15');
INSERT INTO complaint_remarks VALUES('3326','3284','COMPLAINT#PKRI-201228103151','74','2020-12-28 20:39:10','2020-12-28 20:39:10');
INSERT INTO complaint_remarks VALUES('3327','3285','COMPLAINT#PKRI-201228103183','74','2020-12-28 20:40:46','2020-12-28 20:40:46');
INSERT INTO complaint_remarks VALUES('3328','3286','COMPLAINT#PKRI-201228103217','74','2020-12-28 20:42:27','2020-12-28 20:42:27');
INSERT INTO complaint_remarks VALUES('3329','3206','VISIT TO DAY CUSTOMER KO B INFORMED KAR DIA','74','2020-12-28 20:53:27','2020-12-28 20:53:27');
INSERT INTO complaint_remarks VALUES('3330','3237','VISIT TO DAY','92','2020-12-28 21:32:29','2020-12-28 21:32:29');
INSERT INTO complaint_remarks VALUES('3331','3235','NOT VISIT TO COMPLAINT','92','2020-12-28 21:39:50','2020-12-28 21:39:50');
INSERT INTO complaint_remarks VALUES('3332','3136','COMPLAINT RESOLVED','92','2020-12-28 21:55:52','2020-12-28 21:55:52');
INSERT INTO complaint_remarks VALUES('3333','2975','COMPLAINT RESOLVED','92','2020-12-28 21:57:46','2020-12-28 21:57:46');
INSERT INTO complaint_remarks VALUES('3334','3017','COMPLAINT RESOLVED','92','2020-12-28 21:59:38','2020-12-28 21:59:38');
INSERT INTO complaint_remarks VALUES('3335','3245','KHURRAM BHAI KO REMINDER DA DI HAIN','74','2020-12-28 21:59:45','2020-12-28 21:59:45');
INSERT INTO complaint_remarks VALUES('3336','3161','COMPLAINT RESOLVED','92','2020-12-28 22:01:02','2020-12-28 22:01:02');
INSERT INTO complaint_remarks VALUES('3337','3169','COMPLAINT RESOLVED','92','2020-12-28 22:03:27','2020-12-28 22:03:27');
INSERT INTO complaint_remarks VALUES('3338','3170','COMPLAINT RESOLVED','92','2020-12-28 22:05:14','2020-12-28 22:05:14');
INSERT INTO complaint_remarks VALUES('3339','3180','VISIT TO DAY','92','2020-12-28 22:08:46','2020-12-28 22:08:46');
INSERT INTO complaint_remarks VALUES('3340','3202','COMPLAINT RESOLVED','92','2020-12-28 22:14:33','2020-12-28 22:14:33');
INSERT INTO complaint_remarks VALUES('3341','3184','KHURRAM BHAI KOREMINDER DA DIA HAIN','74','2020-12-28 22:32:47','2020-12-28 22:32:47');
INSERT INTO complaint_remarks VALUES('3342','3249','YHA SET FCI SHOWROOM PA HAIN  ANEEQ KO INFORMED KAR DIA','74','2020-12-28 22:42:54','2020-12-28 22:42:54');
INSERT INTO complaint_remarks VALUES('3343','3243','AJ VISIT HO JAYA GA','74','2020-12-29 01:29:23','2020-12-29 01:29:23');
INSERT INTO complaint_remarks VALUES('3344','3215','CUSTOMER SA BAT HO RAHI HAIN','74','2020-12-29 02:16:09','2020-12-29 02:16:09');
INSERT INTO complaint_remarks VALUES('3345','3205','COMPLAINT RESOLVED BOARD REPLACE KIYA HAIN EXP26000','74','2020-12-29 02:25:10','2020-12-29 02:25:10');
INSERT INTO complaint_remarks VALUES('3346','3258','KAL ATTEND HO GEI','74','2020-12-29 02:26:26','2020-12-29 02:26:26');
INSERT INTO complaint_remarks VALUES('3347','3235','CUSTOMER KI SAJID TCL SA BAT KARWA DIA HAIN KAL ATTEND HO JAY GEI COMPLAINT','74','2020-12-29 02:31:41','2020-12-29 02:31:41');
INSERT INTO complaint_remarks VALUES('3348','3268','VISIT TO DAY','92','2020-12-29 19:39:42','2020-12-29 19:39:42');
INSERT INTO complaint_remarks VALUES('3349','3251','COMPLAINT RESOLVED','92','2020-12-29 19:47:24','2020-12-29 19:47:24');
INSERT INTO complaint_remarks VALUES('3350','3237','COMPLAINT RESOLVED','92','2020-12-29 19:53:41','2020-12-29 19:53:41');
INSERT INTO complaint_remarks VALUES('3351','3234','COMPLAINT RESOLVED','92','2020-12-29 19:58:10','2020-12-29 19:58:10');
INSERT INTO complaint_remarks VALUES('3352','3225','W/M SERVICES K LIYA S/C CUSTOMER NA KHUD MOVE KARWANI HAIN BUT CUSOMER NA ABI DELAY KAR DIA','74','2020-12-29 19:59:58','2020-12-29 19:59:58');
INSERT INTO complaint_remarks VALUES('3353','3242','COMPLAINT RESOLVED','92','2020-12-29 19:59:59','2020-12-29 19:59:59');
INSERT INTO complaint_remarks VALUES('3354','3232','NOT ATTEND CALL','92','2020-12-29 20:01:57','2020-12-29 20:01:57');
INSERT INTO complaint_remarks VALUES('3355','3261','COMPLAINT RESOLVED','74','2020-12-29 20:11:28','2020-12-29 20:11:28');
INSERT INTO complaint_remarks VALUES('3356','2792','COMPLAINT RESOLVED','74','2020-12-29 20:26:46','2020-12-29 20:26:46');
INSERT INTO complaint_remarks VALUES('3357','3088','COMPLAINT PA VISIT HO GAY HAIN W/M S/C MOVE HO KARNI ASLAM SIR NA DAMAGE HAIN','74','2020-12-29 20:28:11','2020-12-29 20:28:11');
INSERT INTO complaint_remarks VALUES('3358','2786','NO VISIT NAEEM KENWOOD KO INFORMED KAR DIA','74','2020-12-29 20:31:39','2020-12-29 20:31:39');
INSERT INTO complaint_remarks VALUES('3359','2730','COMPLAINT RESOLVED','74','2020-12-29 20:32:11','2020-12-29 20:32:11');
INSERT INTO complaint_remarks VALUES('3360','2388','COMPLAINT RESOLVED','74','2020-12-29 20:34:38','2020-12-29 20:34:38');
INSERT INTO complaint_remarks VALUES('3361','2362','COMPLAINT RESOLVED','74','2020-12-29 20:48:47','2020-12-29 20:48:47');
INSERT INTO complaint_remarks VALUES('3362','2017','COMPLAINT RESOLVED','74','2020-12-29 20:50:37','2020-12-29 20:50:37');
INSERT INTO complaint_remarks VALUES('3363','3051','COMPLAINT RESOLVED','74','2020-12-29 20:58:43','2020-12-29 20:58:43');
INSERT INTO complaint_remarks VALUES('3364','3050','COMPLAINT RESOLVED','74','2020-12-29 20:59:42','2020-12-29 20:59:42');
INSERT INTO complaint_remarks VALUES('3365','3049','COMPLAINT RESOLVED','74','2020-12-29 21:01:04','2020-12-29 21:01:04');
INSERT INTO complaint_remarks VALUES('3366','3047','COMPLAINT RESOLVED','74','2020-12-29 21:02:01','2020-12-29 21:02:01');
INSERT INTO complaint_remarks VALUES('3367','3046','COMPLAINT RESOLVED','74','2020-12-29 21:03:32','2020-12-29 21:03:32');
INSERT INTO complaint_remarks VALUES('3368','2962','COMPLAINT RESOLVED','74','2020-12-29 21:13:52','2020-12-29 21:13:52');
INSERT INTO complaint_remarks VALUES('3369','2993','COMPLAINT PA VISIT HO GAY HAIN BOARD S/C LA K GAY HAIN TECHNICIAN','74','2020-12-29 21:14:55','2020-12-29 21:14:55');
INSERT INTO complaint_remarks VALUES('3370','2299','VISIT HO GAY HAIN PC BOAD DEMAND','74','2020-12-29 21:15:33','2020-12-29 21:15:33');
INSERT INTO complaint_remarks VALUES('3371','2138','IC SET KI GRN ASLAM SAB KO DA DIA HAIN BILAL SIR NA','74','2020-12-29 21:16:22','2020-12-29 21:16:22');
INSERT INTO complaint_remarks VALUES('3372','3268','IN PROCESS COMPLAINT','74','2020-12-29 21:33:24','2020-12-29 21:33:24');
INSERT INTO complaint_remarks VALUES('3373','3163','COMPLIANT RESOLVED','74','2020-12-29 21:34:27','2020-12-29 21:34:27');
INSERT INTO complaint_remarks VALUES('3374','3162','COMPLAINT RESOLVED','74','2020-12-29 21:37:27','2020-12-29 21:37:27');
INSERT INTO complaint_remarks VALUES('3375','3245','VISISIT TO DAY 0334-8885133','74','2020-12-29 21:38:42','2020-12-29 21:38:42');
INSERT INTO complaint_remarks VALUES('3376','3159','COMPLAINT RESOLVED','74','2020-12-29 21:50:46','2020-12-29 21:50:46');
INSERT INTO complaint_remarks VALUES('3377','3158','COMPLAINT RESOLVED','74','2020-12-29 21:57:55','2020-12-29 21:57:55');
INSERT INTO complaint_remarks VALUES('3378','3240','IN PROCESS COMPLAINT','74','2020-12-29 22:01:31','2020-12-29 22:01:31');
INSERT INTO complaint_remarks VALUES('3379','3238','WORKING IN PROCESS  TECHNICIAN CUSTOME K GHR PA HAIN','74','2020-12-29 22:05:43','2020-12-29 22:05:43');
INSERT INTO complaint_remarks VALUES('3380','3236','NOT ATTEND CALL','74','2020-12-29 22:07:44','2020-12-29 22:07:44');
INSERT INTO complaint_remarks VALUES('3381','3173','COMPLAINT RESOLVED','74','2020-12-29 23:48:33','2020-12-29 23:48:33');
INSERT INTO complaint_remarks VALUES('3382','3317','COMPLAINT#202012009480','74','2020-12-30 02:03:46','2020-12-30 02:03:46');
INSERT INTO complaint_remarks VALUES('3383','3318','FF TO BEST COOL','74','2020-12-30 02:04:28','2020-12-30 02:04:28');
INSERT INTO complaint_remarks VALUES('3384','3301','COMPLAINT RESOLVED
1000 VISIT CHARGES','74','2020-12-30 02:45:07','2020-12-30 02:45:07');
INSERT INTO complaint_remarks VALUES('3385','3319','HEATER KI COMPLAIN ENTER NI HOTI S/C LIFT HO GEI','74','2020-12-30 02:50:18','2020-12-30 02:50:18');
INSERT INTO complaint_remarks VALUES('3386','3356','visit to day','74','2020-12-30 20:22:49','2020-12-30 20:22:49');
INSERT INTO complaint_remarks VALUES('3387','3197','COMPLAINT RESOLVED','74','2020-12-30 21:27:47','2020-12-30 21:27:47');
INSERT INTO complaint_remarks VALUES('3388','3196','COMPLAINT RESOLVED','74','2020-12-30 21:29:48','2020-12-30 21:29:48');
INSERT INTO complaint_remarks VALUES('3389','3193','COMPLAINT RESOLVED','74','2020-12-30 21:34:05','2020-12-30 21:34:05');
INSERT INTO complaint_remarks VALUES('3390','3192','COMPLAINT RESOLVED','74','2020-12-30 21:35:27','2020-12-30 21:35:27');
INSERT INTO complaint_remarks VALUES('3391','3187','COMPLAINT RESOLVED','74','2020-12-30 21:36:51','2020-12-30 21:36:51');
INSERT INTO complaint_remarks VALUES('3392','1902','YHA W/D 3 4 DIN PHALAY W/D S/C DA K AAY HAIN WORKING IN PROCESS','74','2020-12-30 21:39:25','2020-12-30 21:39:25');
INSERT INTO complaint_remarks VALUES('3393','3185','NOT ATTEND CALL','74','2020-12-30 21:40:18','2020-12-30 21:40:18');
INSERT INTO complaint_remarks VALUES('3394','3253','KASHIF TCL NA IC COMPLAINT PA VISIT KIYA HAIN BUT UNIT HEATING NAI KAR RAHA CUSTOMER VISIT SA SATISFAIDE NAI UNIT REPLACE KI DEMAND KAR RAHA HAIN','74','2020-12-30 21:41:56','2020-12-30 21:41:56');
INSERT INTO complaint_remarks VALUES('3395','3183','QASIER KO REMINDER DA DIA HAIN AJ ATTEND HO JAY GEI COMPLINT','74','2020-12-30 21:46:36','2020-12-30 21:46:36');
INSERT INTO complaint_remarks VALUES('3396','3183','COMPLAINT RESOLVED','74','2020-12-30 21:49:58','2020-12-30 21:49:58');
INSERT INTO complaint_remarks VALUES('3397','3200','COMPLAINT PA VISIT HO  GAY HAIN CUSTOMER BARA GEYSER LAYNA  CHAH RAHAY HAIN','74','2020-12-30 21:55:47','2020-12-30 21:55:47');
INSERT INTO complaint_remarks VALUES('3398','3200','JAVEED SAB JO B INFORMED KAR DIA COMPLIANT CLOSED','74','2020-12-30 22:03:43','2020-12-30 22:03:43');
INSERT INTO complaint_remarks VALUES('3399','3185','COMPLIANT RESOLVED','74','2020-12-30 22:05:21','2020-12-30 22:05:21');
INSERT INTO complaint_remarks VALUES('3400','3182','COMPLAINT PA VISIT HO GAY HAIN BUT ISSUE RESOLVED NAI HOA AGAIN COMPANY PA FF KARWA DI','74','2020-12-30 22:10:00','2020-12-30 22:10:00');
INSERT INTO complaint_remarks VALUES('3401','2165','COMPLAINT RESOLVED','74','2020-12-30 22:15:14','2020-12-30 22:15:14');
INSERT INTO complaint_remarks VALUES('3402','3198','COMPLAINT RESOLVED','74','2020-12-30 23:09:52','2020-12-30 23:09:52');
INSERT INTO complaint_remarks VALUES('3403','3180','COMPLAINT RESOLVED','92','2020-12-30 23:38:19','2020-12-30 23:38:19');
INSERT INTO complaint_remarks VALUES('3404','3181','NOT ATTEND CALL','92','2020-12-30 23:40:55','2020-12-30 23:40:55');
INSERT INTO complaint_remarks VALUES('3405','3059','CANNON MAIN AGIN VISIT K LIYA REMINDER B DA DIA R VIEDO B SHER KI HAIN','74','2020-12-30 23:50:17','2020-12-30 23:50:17');
INSERT INTO complaint_remarks VALUES('3406','3255','COMPLAINT RESOLVED','92','2020-12-30 23:52:48','2020-12-30 23:52:48');
INSERT INTO complaint_remarks VALUES('3407','3181','NOT ATTEND CALL','74','2020-12-30 23:55:00','2020-12-30 23:55:00');
INSERT INTO complaint_remarks VALUES('3408','3265','COMPLAINT RESOLVED','92','2020-12-30 23:55:29','2020-12-30 23:55:29');
INSERT INTO complaint_remarks VALUES('3409','3178','COMPLAINT RESOLVED','74','2020-12-30 23:56:44','2020-12-30 23:56:44');
INSERT INTO complaint_remarks VALUES('3410','3270','COMPLAINT RESOLVED','92','2020-12-30 23:58:45','2020-12-30 23:58:45');
INSERT INTO complaint_remarks VALUES('3411','3275','CUSTOMER OUT OFF CITY HAY JAB AY GAY TO COMPLAINT RESOLVED HO GE','92','2020-12-31 00:02:33','2020-12-31 00:02:33');
INSERT INTO complaint_remarks VALUES('3412','3321','FF TO ZAHID MIDAS','74','2020-12-31 00:04:42','2020-12-31 00:04:42');
INSERT INTO complaint_remarks VALUES('3413','3289','COMPLAINT RESOLVED','92','2020-12-31 00:05:03','2020-12-31 00:05:03');
INSERT INTO complaint_remarks VALUES('3414','3297','COMPLAINT RESOLVED','92','2020-12-31 00:06:56','2020-12-31 00:06:56');
INSERT INTO complaint_remarks VALUES('3415','3320','FF TO ZAHID MIDAS','74','2020-12-31 00:07:31','2020-12-31 00:07:31');
INSERT INTO complaint_remarks VALUES('3416','3208','COMPLAINT RESOLVED','74','2020-12-31 00:09:10','2020-12-31 00:09:10');
INSERT INTO complaint_remarks VALUES('3417','3306','COMPLAINT RESOLVED','92','2020-12-31 00:12:26','2020-12-31 00:12:26');
INSERT INTO complaint_remarks VALUES('3418','3176','COMPLAINT RESOLVED','74','2020-12-31 00:13:29','2020-12-31 00:13:29');
INSERT INTO complaint_remarks VALUES('3419','3174','COMPLAINT RESOLVED','74','2020-12-31 00:16:01','2020-12-31 00:16:01');
INSERT INTO complaint_remarks VALUES('3420','3209','COMPLAINT RESOLVED','74','2020-12-31 00:28:09','2020-12-31 00:28:09');
INSERT INTO complaint_remarks VALUES('3421','3168','COMPLAINT RESOLVED','74','2020-12-31 00:31:47','2020-12-31 00:31:47');
INSERT INTO complaint_remarks VALUES('3422','3155','ADNA TECHNICIAN IC COMPLAINT KO ATTEND KARAY GAY MOHSIN SAB KO AGAIN NO FF KAR DIA','74','2020-12-31 00:53:08','2020-12-31 00:53:08');
INSERT INTO complaint_remarks VALUES('3423','3210','COMPLAINT RESOLVED','74','2020-12-31 00:55:05','2020-12-31 00:55:05');
INSERT INTO complaint_remarks VALUES('3424','3211','NOT ATTEND CALL','74','2020-12-31 01:21:47','2020-12-31 01:21:47');
INSERT INTO complaint_remarks VALUES('3425','3152','VISIT HO GAYA HIAN BUT ISSUERESOLVED NAI HOA WAQAR KENWOOD KO REMINDER DA DIA','74','2020-12-31 01:23:38','2020-12-31 01:23:38');
INSERT INTO complaint_remarks VALUES('3426','3144','COMPLAINT PA VISIT HO GAYA HAIN CUSTOMER KA ISSUE JUST PANI LATE GARM KAR RAHA HAIN','74','2020-12-31 01:36:08','2020-12-31 01:36:08');
INSERT INTO complaint_remarks VALUES('3427','3134','COMPLAINT RESOLVED','74','2020-12-31 01:43:52','2020-12-31 01:43:52');
INSERT INTO complaint_remarks VALUES('3428','3131','KHURRAM BHAI KO REMINDER DA DIA','74','2020-12-31 02:04:26','2020-12-31 02:04:26');
INSERT INTO complaint_remarks VALUES('3429','2235','FRIENDS K NAAM PA COMPLAINT ENTER HAIN','74','2020-12-31 02:23:41','2020-12-31 02:23:41');
INSERT INTO complaint_remarks VALUES('3430','2235','LED REPLACEMENT KI APPROVAL AAGEI HAIN  KUCH DIN TAQ HO JAY GA ISSUE RESOLVED SHARAIZ SAB YHA COMPLAINT ATTEND KARWA RAHAY','74','2020-12-31 02:25:24','2020-12-31 02:25:24');
INSERT INTO complaint_remarks VALUES('3431','3152','600 CUSTOMER  VISIT CHARGES PAY NAI KAR RAH YA IC WAJY  COMPLIANT DELAY HAIN','74','2020-12-31 02:32:18','2020-12-31 02:32:18');
INSERT INTO complaint_remarks VALUES('3432','3365','SARFARAZ TECHNICIAN AJ IC COMPLAINT KO ATTEND KARAY GAY 
0309-5559755','74','2020-12-31 20:12:27','2020-12-31 20:12:27');
INSERT INTO complaint_remarks VALUES('3433','3216','COMPLAINT RESOLVED','74','2020-12-31 20:34:51','2020-12-31 20:34:51');
INSERT INTO complaint_remarks VALUES('3434','3214','COMPLAINT RESOLVED','74','2020-12-31 20:36:26','2020-12-31 20:36:26');
INSERT INTO complaint_remarks VALUES('3435','3219','COMPLAINT RESOLVED','74','2020-12-31 20:37:38','2020-12-31 20:37:38');
INSERT INTO complaint_remarks VALUES('3436','3213','COMPLAINT RESOLVED','74','2020-12-31 20:41:12','2020-12-31 20:41:12');
INSERT INTO complaint_remarks VALUES('3437','3356','TAYYAB TECHNICIAN 
0317-5886804','74','2020-12-31 20:47:43','2020-12-31 20:47:43');
INSERT INTO complaint_remarks VALUES('3438','3025','COMPLIANT RESOLVED','74','2020-12-31 20:52:46','2020-12-31 20:52:46');
INSERT INTO complaint_remarks VALUES('3439','3314','LIFT IN SERVICE CENTER','92','2020-12-31 20:53:20','2020-12-31 20:53:20');
INSERT INTO complaint_remarks VALUES('3440','3019','COMPLAINT RESOLVED OUT DOOR REPLACE KAR K DIA','74','2020-12-31 20:53:51','2020-12-31 20:53:51');
INSERT INTO complaint_remarks VALUES('3441','3313','LIFT IN SERVICE CENTER','92','2020-12-31 20:54:55','2020-12-31 20:54:55');
INSERT INTO complaint_remarks VALUES('3442','3027','CUSTOMER KI SIDE SA DELAY HAIN COMPLAINT ABI CUSTOMER NAI LA K JA RHAY','74','2020-12-31 20:55:49','2020-12-31 20:55:49');
INSERT INTO complaint_remarks VALUES('3443','3310','COMPLAINT RESOLVED','92','2020-12-31 20:56:00','2020-12-31 20:56:00');
INSERT INTO complaint_remarks VALUES('3444','3309','COMPLAINT RESOLVED','92','2020-12-31 20:57:31','2020-12-31 20:57:31');
INSERT INTO complaint_remarks VALUES('3445','3264','FAROOQ TECHNICIAN AJ YHA COMPLAINT ATTEND KAR RAHAY HAIN','74','2020-12-31 21:01:48','2020-12-31 21:01:48');
INSERT INTO complaint_remarks VALUES('3446','3264','FAROOQ TECHNICIAN AJ YHA COMPLAINT ATTEND KAR RAHAY HAIN','74','2020-12-31 21:02:05','2020-12-31 21:02:05');
INSERT INTO complaint_remarks VALUES('3447','3397','COMPLAINT CLOSED','74','2020-12-31 21:07:29','2020-12-31 21:07:29');
INSERT INTO complaint_remarks VALUES('3448','3033','COMPLAINT RESOLVED','74','2020-12-31 21:07:49','2020-12-31 21:07:49');
INSERT INTO complaint_remarks VALUES('3449','3397','COMPLAINT CLOSED','74','2020-12-31 21:11:04','2020-12-31 21:11:04');
INSERT INTO complaint_remarks VALUES('3450','3396','COMPLAINT CLOSED','74','2020-12-31 21:12:24','2020-12-31 21:12:24');
INSERT INTO complaint_remarks VALUES('3451','3395','COMPLAINT RESOLVED','74','2020-12-31 21:15:00','2020-12-31 21:15:00');
INSERT INTO complaint_remarks VALUES('3452','3299','COMPLAINT RESOLVED','92','2020-12-31 21:15:29','2020-12-31 21:15:29');
INSERT INTO complaint_remarks VALUES('3453','3295','COMPLAINT RESOLVED','92','2020-12-31 21:17:01','2020-12-31 21:17:01');
INSERT INTO complaint_remarks VALUES('3454','3322','COMPLAINT#




























COMPLAINT#PK123120200032








CO','74','2020-12-31 21:19:15','2020-12-31 21:19:15');
INSERT INTO complaint_remarks VALUES('3455','3298','NOT ATTEND CALL','92','2020-12-31 21:19:50','2020-12-31 21:19:50');
INSERT INTO complaint_remarks VALUES('3456','3291','COMPLAINT RESOLVED','92','2020-12-31 21:21:03','2020-12-31 21:21:03');
INSERT INTO complaint_remarks VALUES('3457','3283','COMPLAINT RESOLVED','92','2020-12-31 21:22:53','2020-12-31 21:22:53');
INSERT INTO complaint_remarks VALUES('3458','3282','VISIT TO DAY','92','2020-12-31 21:29:13','2020-12-31 21:29:13');
INSERT INTO complaint_remarks VALUES('3459','3280','COMPLAINT RESOLVED','92','2020-12-31 21:32:31','2020-12-31 21:32:31');
INSERT INTO complaint_remarks VALUES('3460','1828','COMPLAINT RESOLVED CUSTOMER KA ISSUE KHUD SA RESOLVED HO GAY','74','2020-12-31 21:33:16','2020-12-31 21:33:16');
INSERT INTO complaint_remarks VALUES('3461','3275','CUSTOMER NAY COMPLAINT CANCEL KAR WA DE HAY','92','2020-12-31 21:40:43','2020-12-31 21:40:43');
INSERT INTO complaint_remarks VALUES('3462','3274','COMPLAINT RESOLVED','92','2020-12-31 21:42:24','2020-12-31 21:42:24');
INSERT INTO complaint_remarks VALUES('3463','3271','COMPLAINT RESOLVED','92','2020-12-31 21:44:04','2020-12-31 21:44:04');
INSERT INTO complaint_remarks VALUES('3464','3269','COMPLAINT RESOLVED','92','2020-12-31 21:45:29','2020-12-31 21:45:29');
INSERT INTO complaint_remarks VALUES('3465','3267','COMPLAINT RESOLVED','92','2020-12-31 21:48:07','2020-12-31 21:48:07');
INSERT INTO complaint_remarks VALUES('3466','3266','LIFT IN SERVICE CENTER','92','2020-12-31 21:50:43','2020-12-31 21:50:43');
INSERT INTO complaint_remarks VALUES('3467','3263','COMPLAINT RESOLVED','92','2020-12-31 21:52:15','2020-12-31 21:52:15');
INSERT INTO complaint_remarks VALUES('3468','2355','CUSTOMER INTRESTED NAI HAIN NEW PANAL LAGWANAY PA CLOSED KARWA DI AJ COMPLAINT','74','2020-12-31 21:53:52','2020-12-31 21:53:52');
INSERT INTO complaint_remarks VALUES('3469','3254','COMPLAINT RESOLVED','92','2020-12-31 22:01:35','2020-12-31 22:01:35');
INSERT INTO complaint_remarks VALUES('3470','3238','COMPLAINT RESOLVED','92','2020-12-31 22:04:02','2020-12-31 22:04:02');
INSERT INTO complaint_remarks VALUES('3471','2437','COMPLAINT RESOLVED','74','2020-12-31 22:06:19','2020-12-31 22:06:19');
INSERT INTO complaint_remarks VALUES('3472','2524','COMPLAINT RESOLVED','74','2020-12-31 22:07:49','2020-12-31 22:07:49');
INSERT INTO complaint_remarks VALUES('3473','3235','2 DIN MAY COMPLAINT RESOLVED HO JAY GE','92','2020-12-31 22:11:48','2020-12-31 22:11:48');
INSERT INTO complaint_remarks VALUES('3474','3232','COMPLAINT RESOLVED','92','2020-12-31 22:13:10','2020-12-31 22:13:10');
INSERT INTO complaint_remarks VALUES('3475','3181','COMPLAINT RESOLVED','92','2020-12-31 22:15:49','2020-12-31 22:15:49');
INSERT INTO complaint_remarks VALUES('3476','2601','PARTS KI WAJA SA DELAY COMPLAINT CUSTOMER KA TECHNICIAN S CONTACT HO RAHA HAIN','74','2020-12-31 22:19:06','2020-12-31 22:19:06');
INSERT INTO complaint_remarks VALUES('3477','3127','COMPLAINT RESOLVED','92','2020-12-31 22:20:08','2020-12-31 22:20:08');
INSERT INTO complaint_remarks VALUES('3478','3327','COMPLAINT RESOLVED','92','2020-12-31 22:33:35','2020-12-31 22:33:35');
INSERT INTO complaint_remarks VALUES('3479','3333','VISIT TO DAY','92','2020-12-31 22:35:59','2020-12-31 22:35:59');
INSERT INTO complaint_remarks VALUES('3480','2849','AREEBA NA KASHIF TCL KO COMPLAINT FF KARWAI HOI THI AGAIN COMPLIANT FF KARWAI','74','2020-12-31 22:37:27','2020-12-31 22:37:27');
INSERT INTO complaint_remarks VALUES('3481','2900','LED LHR S/C MAIN IN PROCESS HAIN','74','2020-12-31 22:40:48','2020-12-31 22:40:48');
INSERT INTO complaint_remarks VALUES('3482','3092','COMPLAINT RESOLVED','92','2020-12-31 22:45:05','2020-12-31 22:45:05');
INSERT INTO complaint_remarks VALUES('3483','3080','NOT ATTEND CALL','92','2020-12-31 22:48:51','2020-12-31 22:48:51');
INSERT INTO complaint_remarks VALUES('3484','3347','KHURRAM  SIR KO COMPLAINT #  DA DIYA','74','2021-01-01 00:02:20','2021-01-01 00:02:20');
INSERT INTO complaint_remarks VALUES('3485','3235','NOT ATTEND CALL','74','2021-01-01 00:55:04','2021-01-01 00:55:04');
INSERT INTO complaint_remarks VALUES('3486','3230','COMPLAINT RESOLVED','74','2021-01-01 00:57:37','2021-01-01 00:57:37');
INSERT INTO complaint_remarks VALUES('3487','3227','COMPLAINT RESOLVED','74','2021-01-01 01:01:20','2021-01-01 01:01:20');
INSERT INTO complaint_remarks VALUES('3488','3223','WORKING IN PROCESS','74','2021-01-01 01:03:18','2021-01-01 01:03:18');
INSERT INTO complaint_remarks VALUES('3489','3220','SATURDAY KO VISIT','74','2021-01-01 01:13:46','2021-01-01 01:13:46');
INSERT INTO complaint_remarks VALUES('3490','3182','AGAIN VISIT K LIY COMPANY REMINDER  DA DIA','74','2021-01-01 01:22:01','2021-01-01 01:22:01');
INSERT INTO complaint_remarks VALUES('3491','3401','COMPLAINT RESOLVED 
500 CHARGES','74','2021-01-01 01:38:34','2021-01-01 01:38:34');
INSERT INTO complaint_remarks VALUES('3492','3155','COMPLIANT RESOLVED','74','2021-01-01 01:40:12','2021-01-01 01:40:12');
INSERT INTO complaint_remarks VALUES('3493','3240','NO VISIT COMPANY REMINDER','74','2021-01-01 20:27:57','2021-01-01 20:27:57');
INSERT INTO complaint_remarks VALUES('3494','3077','COMPLAINT ATTEND HO GEI HAIN JUST NOB LAGANI WO KHURRAM BHAI NA DEMAND KI HOI HAIN','74','2021-01-01 20:55:22','2021-01-01 20:55:22');
INSERT INTO complaint_remarks VALUES('3495','3077','SATURDAY K TAQ  NOB AA JAY GEI','74','2021-01-01 20:57:02','2021-01-01 20:57:02');
INSERT INTO complaint_remarks VALUES('3496','1876','COMPLAINT RESOLVED','74','2021-01-01 21:18:58','2021-01-01 21:18:58');
INSERT INTO complaint_remarks VALUES('3497','3368','KAL COMPLAINT ATTEND HO GEI CUSTOMER KO INFORMED KAR DIA','74','2021-01-01 21:47:14','2021-01-01 21:47:14');
INSERT INTO complaint_remarks VALUES('3498','3245','COMPLAINT RESOLVED','74','2021-01-01 21:58:07','2021-01-01 21:58:07');
INSERT INTO complaint_remarks VALUES('3499','2762','COMPLAINT RESOLVED','74','2021-01-02 01:18:47','2021-01-02 01:18:47');
INSERT INTO complaint_remarks VALUES('3500','2365','COMPLAINT RESOLVED','74','2021-01-02 01:20:33','2021-01-02 01:20:33');
INSERT INTO complaint_remarks VALUES('3501','2387','AGAIN COMPLAINT REOPEND KARWA DI HAIN COMPLAINT CLOSED','74','2021-01-02 01:38:03','2021-01-02 01:38:03');
INSERT INTO complaint_remarks VALUES('3502','2450','COMPLAINT RESOLVED','74','2021-01-02 01:39:53','2021-01-02 01:39:53');
INSERT INTO complaint_remarks VALUES('3503','3414','COMPRESSOR  PROB HAIN ASIF GILL KAL LIFT KARWAY GAY CUSTOMER KO INFORMED KAR DIA','74','2021-01-02 01:43:12','2021-01-02 01:43:12');
INSERT INTO complaint_remarks VALUES('3504','2500','SAMI SAB KO INFORMED KAR DIA HAIN','74','2021-01-02 01:48:40','2021-01-02 01:48:40');
INSERT INTO complaint_remarks VALUES('3505','2971','MONDAY KO  IRFAN SAB   VISIT KARAY','74','2021-01-02 01:53:27','2021-01-02 01:53:27');
INSERT INTO complaint_remarks VALUES('3506','2969','KHURRAM BHAI KO AGAIN REMINDER DA DIA','74','2021-01-02 01:58:49','2021-01-02 01:58:49');
INSERT INTO complaint_remarks VALUES('3507','2968','PART DEMAND KIYA HOA HAIN','74','2021-01-02 02:00:17','2021-01-02 02:00:17');
INSERT INTO complaint_remarks VALUES('3508','2647','NOT RESOLVED COMPLAINT KHURRAM SAB K KNOWLEDGE MAIN','74','2021-01-02 02:10:06','2021-01-02 02:10:06');
INSERT INTO complaint_remarks VALUES('3509','2928','COMPLAINT RESOLVD','74','2021-01-02 02:11:06','2021-01-02 02:11:06');
INSERT INTO complaint_remarks VALUES('3510','3268','NOT ATTEND COMPLAINT','74','2021-01-02 02:15:56','2021-01-02 02:15:56');
INSERT INTO complaint_remarks VALUES('3511','3419','COMPLAINT RESOLVED','92','2021-01-02 19:59:48','2021-01-02 19:59:48');
INSERT INTO complaint_remarks VALUES('3512','3390','COMPLAINT RESOLVED','92','2021-01-02 20:16:35','2021-01-02 20:16:35');
INSERT INTO complaint_remarks VALUES('3513','3386','COMPLAINT RESOLVED','92','2021-01-02 20:18:34','2021-01-02 20:18:34');
INSERT INTO complaint_remarks VALUES('3514','3385','COMPLAINT RESOLVED','92','2021-01-02 20:21:32','2021-01-02 20:21:32');
INSERT INTO complaint_remarks VALUES('3515','3286','COMPLAINT RESOLVED','74','2021-01-02 20:45:52','2021-01-02 20:45:52');
INSERT INTO complaint_remarks VALUES('3516','3223','COMPLAINT RESOLVED','74','2021-01-02 20:47:30','2021-01-02 20:47:30');
INSERT INTO complaint_remarks VALUES('3517','3264','ka visit ho ga customer  ko informed kar dia','74','2021-01-02 23:28:05','2021-01-02 23:28:05');
INSERT INTO complaint_remarks VALUES('3518','3128','SATURDAY  KA TIME SET HOA THA KHALID SAB KA CUSTOMER SA','74','2021-01-03 02:22:13','2021-01-03 02:22:13');
INSERT INTO complaint_remarks VALUES('3519','3418','NOT ATTEND CALL','92','2021-01-03 21:57:01','2021-01-03 21:57:01');
INSERT INTO complaint_remarks VALUES('3520','3418','COMPLAINT RESOLVED','92','2021-01-03 22:08:27','2021-01-03 22:08:27');
INSERT INTO complaint_remarks VALUES('3521','3333','COMPLAINT RESOLVED','92','2021-01-03 22:26:46','2021-01-03 22:26:46');
INSERT INTO complaint_remarks VALUES('3522','3342','NOT ATTEND CALL','92','2021-01-03 22:31:43','2021-01-03 22:31:43');
INSERT INTO complaint_remarks VALUES('3523','3343','COMPLAINT RESOLVED','92','2021-01-03 22:32:54','2021-01-03 22:32:54');
INSERT INTO complaint_remarks VALUES('3524','3349','COMPLAINT RESOLVED','92','2021-01-03 22:35:23','2021-01-03 22:35:23');
INSERT INTO complaint_remarks VALUES('3525','3417','COMPLAINT RESOLVED','92','2021-01-03 22:42:54','2021-01-03 22:42:54');
INSERT INTO complaint_remarks VALUES('3526','3359','COMPLAINT RESOLVED','92','2021-01-03 22:47:47','2021-01-03 22:47:47');
INSERT INTO complaint_remarks VALUES('3527','3362','COMPLAINT RESOLVED','92','2021-01-03 22:49:29','2021-01-03 22:49:29');
INSERT INTO complaint_remarks VALUES('3528','3363','NOT ATTEND CALL','92','2021-01-03 22:52:25','2021-01-03 22:52:25');
INSERT INTO complaint_remarks VALUES('3529','3376','LIFT IN SERVICE CENTER','92','2021-01-03 22:54:18','2021-01-03 22:54:18');
INSERT INTO complaint_remarks VALUES('3530','3403','COMPLAINT RESOLVED','92','2021-01-03 22:55:34','2021-01-03 22:55:34');
INSERT INTO complaint_remarks VALUES('3531','3407','NOT ATTEND CALL','92','2021-01-03 22:59:14','2021-01-03 22:59:14');
INSERT INTO complaint_remarks VALUES('3532','3408','VISIT TO DAY','92','2021-01-03 23:04:33','2021-01-03 23:04:33');
INSERT INTO complaint_remarks VALUES('3533','3410','COMPLAINT RESOLVED','92','2021-01-03 23:07:15','2021-01-03 23:07:15');
INSERT INTO complaint_remarks VALUES('3534','3411','NOT ATTEND CALL','92','2021-01-03 23:09:07','2021-01-03 23:09:07');
INSERT INTO complaint_remarks VALUES('3535','3277','COMPLAINT RESOLVED','92','2021-01-03 23:12:04','2021-01-03 23:12:04');
INSERT INTO complaint_remarks VALUES('3536','3352','NOT ATTEND CALL','92','2021-01-03 23:14:28','2021-01-03 23:14:28');
INSERT INTO complaint_remarks VALUES('3537','3384','COMPLAINT RESOLVED','92','2021-01-03 23:17:39','2021-01-03 23:17:39');
INSERT INTO complaint_remarks VALUES('3538','3262','NOT VISIT TO COMPLAINT','92','2021-01-03 23:21:51','2021-01-03 23:21:51');
INSERT INTO complaint_remarks VALUES('3539','3387','LEFT IN SERVICE CENTER','92','2021-01-04 20:16:16','2021-01-04 20:16:16');
INSERT INTO complaint_remarks VALUES('3540','3381','COMPLAINT RESOLVED','92','2021-01-04 20:17:40','2021-01-04 20:17:40');
INSERT INTO complaint_remarks VALUES('3541','3426','FRIDAY KO WASEEM TECHNICIAN NA  ATTEND KI BUT ISSUE RESOLVED NAI HOA AGAIN WASEEM SAB KO REMINDER DA DIA CUSTOMER SA BAT HO GEI HAIN KUCH DAIR TAQ VISIT HO JAY GA','74','2021-01-04 20:18:58','2021-01-04 20:18:58');
INSERT INTO complaint_remarks VALUES('3542','3426','03151595795','74','2021-01-04 20:21:42','2021-01-04 20:21:42');
INSERT INTO complaint_remarks VALUES('3543','3380','VISIT TO DAY','92','2021-01-04 20:29:19','2021-01-04 20:29:19');
INSERT INTO complaint_remarks VALUES('3544','3372','CARD ISSUE COMPLAINT IN PROCESS','92','2021-01-04 20:45:11','2021-01-04 20:45:11');
INSERT INTO complaint_remarks VALUES('3545','3324','COMPLAINT RESOLVED','92','2021-01-04 20:50:59','2021-01-04 20:50:59');
INSERT INTO complaint_remarks VALUES('3546','3326','LIFT IN SERVICE CENTER','92','2021-01-04 20:54:49','2021-01-04 20:54:49');
INSERT INTO complaint_remarks VALUES('3547','3330','COMPLAINT RESOLVED','92','2021-01-04 20:57:15','2021-01-04 20:57:15');
INSERT INTO complaint_remarks VALUES('3548','3282','COMPLAINT PA AIK VISIT HO GAYA HAIN BUST ISSUE RESOLVED NAI HOA CUSTOMER NA WEDNESDAY KA TIME DIA HAIN AGAIN VISIT K LIYA','74','2021-01-04 21:01:39','2021-01-04 21:01:39');
INSERT INTO complaint_remarks VALUES('3549','3334','VISIT TO DAY','92','2021-01-04 21:02:25','2021-01-04 21:02:25');
INSERT INTO complaint_remarks VALUES('3550','3340','COMPLAINT RESOLVED','92','2021-01-04 21:03:22','2021-01-04 21:03:22');
INSERT INTO complaint_remarks VALUES('3551','3342','LIFT IN SERVICE CENTER','92','2021-01-04 21:05:27','2021-01-04 21:05:27');
INSERT INTO complaint_remarks VALUES('3552','3346','COMPLAINT RESOLVED','92','2021-01-04 21:06:35','2021-01-04 21:06:35');
INSERT INTO complaint_remarks VALUES('3553','3272','AMANA MADAM KO AJ COMPLAINT FF KI ATTEND HO JAY GEI COMPLAINT','74','2021-01-04 21:12:26','2021-01-04 21:12:26');
INSERT INTO complaint_remarks VALUES('3554','3361','COMPLAINT RESOLVED','92','2021-01-04 21:13:18','2021-01-04 21:13:18');
INSERT INTO complaint_remarks VALUES('3555','3350','NOT ATTEND CALL','92','2021-01-04 21:15:28','2021-01-04 21:15:28');
INSERT INTO complaint_remarks VALUES('3556','3351','COMPLAINT RESOLVED','92','2021-01-04 21:16:43','2021-01-04 21:16:43');
INSERT INTO complaint_remarks VALUES('3557','3352','COMPLAINT RESOLVED','92','2021-01-04 21:18:45','2021-01-04 21:18:45');
INSERT INTO complaint_remarks VALUES('3558','3353','COMPLAINT RESOLVED','92','2021-01-04 21:21:59','2021-01-04 21:21:59');
INSERT INTO complaint_remarks VALUES('3559','3363','COMPLAINT RESOLVED','92','2021-01-04 22:12:24','2021-01-04 22:12:24');
INSERT INTO complaint_remarks VALUES('3560','3364','COMPLAINT RESOLVED','92','2021-01-04 22:14:54','2021-01-04 22:14:54');
INSERT INTO complaint_remarks VALUES('3561','3365','NOT ATTEND CALL','92','2021-01-04 22:16:44','2021-01-04 22:16:44');
INSERT INTO complaint_remarks VALUES('3562','3366','LIFT IN SERVICE CENTER','92','2021-01-04 22:19:31','2021-01-04 22:19:31');
INSERT INTO complaint_remarks VALUES('3563','3370','COMPLAINT RESOLVED','92','2021-01-04 22:29:38','2021-01-04 22:29:38');
INSERT INTO complaint_remarks VALUES('3564','3371','COMPLAINT RESOLVED','92','2021-01-04 22:34:26','2021-01-04 22:34:26');
INSERT INTO complaint_remarks VALUES('3565','3377','VISIT TO DAY','92','2021-01-04 22:45:56','2021-01-04 22:45:56');
INSERT INTO complaint_remarks VALUES('3566','3379','CHARGES KI WAJA SAY COMPLAINT IN PROCESS','92','2021-01-04 22:48:41','2021-01-04 22:48:41');
INSERT INTO complaint_remarks VALUES('3567','3420','COMPLAINT RESOLVED','74','2021-01-04 23:36:08','2021-01-04 23:36:08');
INSERT INTO complaint_remarks VALUES('3568','3278','VISIT TO DAY','92','2021-01-04 23:45:12','2021-01-04 23:45:12');
INSERT INTO complaint_remarks VALUES('3569','3495','DABAL COMPLAINT ENTER   HOI HAIN','74','2021-01-04 23:55:51','2021-01-04 23:55:51');
INSERT INTO complaint_remarks VALUES('3570','3406','NOT ATTEND CALL','92','2021-01-05 00:11:07','2021-01-05 00:11:07');
INSERT INTO complaint_remarks VALUES('3571','3268','COMPLAINT RESOLVED','92','2021-01-05 00:15:59','2021-01-05 00:15:59');
INSERT INTO complaint_remarks VALUES('3572','3467','FF TO ZAHID MIDAS','74','2021-01-05 00:23:20','2021-01-05 00:23:20');
INSERT INTO complaint_remarks VALUES('3573','3305','COMPLAINT RESOLVED','74','2021-01-05 01:07:30','2021-01-05 01:07:30');
INSERT INTO complaint_remarks VALUES('3574','3303','HAMMAD SAB NA CLOSED KHUD CLOSED KARWA DI ASLAM SAB KO INFORMED','74','2021-01-05 01:25:07','2021-01-05 01:25:07');
INSERT INTO complaint_remarks VALUES('3575','3303','DO COMPANY WALAY MAAG RAHAY','74','2021-01-05 01:25:29','2021-01-05 01:25:29');
INSERT INTO complaint_remarks VALUES('3576','3301','COMPLIANT RESOLVED','74','2021-01-05 01:27:00','2021-01-05 01:27:00');
INSERT INTO complaint_remarks VALUES('3577','3304','COMPLAINT RESOLVED','74','2021-01-05 01:39:53','2021-01-05 01:39:53');
INSERT INTO complaint_remarks VALUES('3578','3298','COMPLAINT RESOLVED','74','2021-01-05 01:41:39','2021-01-05 01:41:39');
INSERT INTO complaint_remarks VALUES('3579','3292','CUSTOMER NA NEW GEYSER LAGWA LIYA JIS MAIN COMPALINT THI US KO UN INSTALL KARWA DIA','74','2021-01-05 01:44:27','2021-01-05 01:44:27');
INSERT INTO complaint_remarks VALUES('3580','3152','COMPLAINT PA VISIT HO GAYA HAIN IN DOOR & OUT DOOR CHANGE MODEL HAIN KHURRAM SIR YHA  CASE DAKH RAHY','74','2021-01-05 01:51:15','2021-01-05 01:51:15');
INSERT INTO complaint_remarks VALUES('3581','3409','COMPRESSOR KA ISSUE CUSTOMER UNIT KHUD S/C MOVE KARWAY GAY','74','2021-01-05 01:58:00','2021-01-05 01:58:00');
INSERT INTO complaint_remarks VALUES('3582','3479','COMPLAINT PA VISIT HO GAYA HAIN UNIT CHOKE HAIN  REF TO COMPANY S/C .
ADI BHAI KO INVOICE BAJ DI HAIN UNIT UTRNAY K R AGAIN INSTALL KARNAY K CHARGES  BATNAY K LIYA','74','2021-01-05 02:05:42','2021-01-05 02:05:42');
INSERT INTO complaint_remarks VALUES('3583','3409','UNIT WORKING IN PROCESS S/C','74','2021-01-05 02:06:33','2021-01-05 02:06:33');
INSERT INTO complaint_remarks VALUES('3584','3312','COMPLAINT RESOLVED','74','2021-01-05 02:10:22','2021-01-05 02:10:22');
INSERT INTO complaint_remarks VALUES('3585','3440','COMPLAINT PA VISIT HO GAYA HAIN ROTISSERIE KIT  KHARAB HAIN
KHURRAM SIR KO INVOICE SHER KAR DI','74','2021-01-05 02:36:08','2021-01-05 02:36:08');
INSERT INTO complaint_remarks VALUES('3586','3329','KHURRAM BHAI KO AGAIN COMPLAINT FF KI HAIN','74','2021-01-05 02:43:35','2021-01-05 02:43:35');
INSERT INTO complaint_remarks VALUES('3587','3409','ASIF GILL KO DETAIL FF KAR DI','74','2021-01-05 02:44:21','2021-01-05 02:44:21');
INSERT INTO complaint_remarks VALUES('3588','3470','FF TO NAEEM KENWOOD','74','2021-01-05 02:57:08','2021-01-05 02:57:08');
INSERT INTO complaint_remarks VALUES('3589','3329','KAL VISIT HO GA  CUSTOMER KO INFORMED KAR DIA','74','2021-01-05 03:00:06','2021-01-05 03:00:06');
INSERT INTO complaint_remarks VALUES('3590','3459','complaint resolved','74','2021-01-05 20:11:32','2021-01-05 20:11:32');
INSERT INTO complaint_remarks VALUES('3591','3276','SAJID SATTI AJ YHA COMPLAINT ATTEND KARWAY GAY INFORMED KAR DIA CUSTOMER KO B','74','2021-01-05 20:16:34','2021-01-05 20:16:34');
INSERT INTO complaint_remarks VALUES('3592','3458','COMPLAINT RESOLVED','74','2021-01-05 20:17:17','2021-01-05 20:17:17');
INSERT INTO complaint_remarks VALUES('3593','3323','MOHSIN SAB KO COMPLAINT # FF KAR DIA 4 BAJAY COMPANY ON HOTI HAIN 4 BAJAY VISIT HO JAY GA','74','2021-01-05 20:48:13','2021-01-05 20:48:13');
INSERT INTO complaint_remarks VALUES('3594','3314','KAL SET S/ C  MOVE KARWAI CUSTOMER NA WORKING IN PROCESS','74','2021-01-05 20:51:13','2021-01-05 20:51:13');
INSERT INTO complaint_remarks VALUES('3595','3434','PART ISSUE COMPLAINT IN PROCESS','92','2021-01-05 20:54:03','2021-01-05 20:54:03');
INSERT INTO complaint_remarks VALUES('3596','3432','COMPLAINT RESOLVED','92','2021-01-05 21:00:18','2021-01-05 21:00:18');
INSERT INTO complaint_remarks VALUES('3597','3431','NOT VISIT TO COMPLAINT','92','2021-01-05 21:06:44','2021-01-05 21:06:44');
INSERT INTO complaint_remarks VALUES('3598','3423','ASLAM SAB KO CONFIRM KAR DIA HAIN  PICK KARNI LED','74','2021-01-05 21:12:36','2021-01-05 21:12:36');
INSERT INTO complaint_remarks VALUES('3599','3427','VISIT HO GAYA HAY GAS ISSUE','92','2021-01-05 21:13:10','2021-01-05 21:13:10');
INSERT INTO complaint_remarks VALUES('3600','3425','COMPLAINT RESOLVED','92','2021-01-05 21:17:11','2021-01-05 21:17:11');
INSERT INTO complaint_remarks VALUES('3601','3326','3 BJAY S/C AGIN CALL','74','2021-01-05 21:21:14','2021-01-05 21:21:14');
INSERT INTO complaint_remarks VALUES('3602','3313','CUSTOMER KO  GREE S/C KA NO PROVIDE KAR DIA  SMS KAR DIA HAIN CUSTOMER A KHUD S/C LA K JANA HAIN','74','2021-01-05 21:25:26','2021-01-05 21:25:26');
INSERT INTO complaint_remarks VALUES('3603','3514','VISIT K LIYA TECHNICIAN GAY THY BUT GEAT KEEPER NA EMTER NAI HONAY DIA AGAIN COMPLINT REOPN KARWA DI','74','2021-01-05 21:43:07','2021-01-05 21:43:07');
INSERT INTO complaint_remarks VALUES('3604','3182','COMPLAINT RESOLVED','92','2021-01-05 21:49:18','2021-01-05 21:49:18');
INSERT INTO complaint_remarks VALUES('3605','3377','COMPLAINT RESOLVED','74','2021-01-05 21:51:27','2021-01-05 21:51:27');
INSERT INTO complaint_remarks VALUES('3606','3058','COMPLAINT RESOLVED','74','2021-01-05 21:55:52','2021-01-05 21:55:52');
INSERT INTO complaint_remarks VALUES('3607','3380','COMPLAINT PA AIK VISIT HO GAYA HAIN AJ AGAIN VISIT K LIYA 
DIVER 03095559767
AJ YHA COMPLAINT PA VISIT HO JAY GA INFORMED BY CUSTOMER','74','2021-01-05 22:11:26','2021-01-05 22:11:26');
INSERT INTO complaint_remarks VALUES('3608','3391','COMPLAINT RESOLVED','92','2021-01-05 22:16:09','2021-01-05 22:16:09');
INSERT INTO complaint_remarks VALUES('3609','3398','VISIT TO DAY','92','2021-01-05 22:26:08','2021-01-05 22:26:08');
INSERT INTO complaint_remarks VALUES('3610','3406','COMPLAINT RESOLVED','92','2021-01-05 22:29:01','2021-01-05 22:29:01');
INSERT INTO complaint_remarks VALUES('3611','3407','COMPLAINT RESOLVED','92','2021-01-05 22:35:03','2021-01-05 22:35:03');
INSERT INTO complaint_remarks VALUES('3612','3408','COMPLAINT RESOLVED','92','2021-01-05 22:37:04','2021-01-05 22:37:04');
INSERT INTO complaint_remarks VALUES('3613','3411','COMPLAINT RESOLVED','92','2021-01-05 22:41:02','2021-01-05 22:41:02');
INSERT INTO complaint_remarks VALUES('3614','3415','VISIT TO DAY','92','2021-01-05 23:00:14','2021-01-05 23:00:14');
INSERT INTO complaint_remarks VALUES('3615','3416','COMPLAINT RESOLVED','92','2021-01-05 23:02:27','2021-01-05 23:02:27');
INSERT INTO complaint_remarks VALUES('3616','3365','COMPLAINT RESOLVED','92','2021-01-05 23:13:18','2021-01-05 23:13:18');
INSERT INTO complaint_remarks VALUES('3617','3368','COMPLAINT RESOLVED','92','2021-01-05 23:19:46','2021-01-05 23:19:46');
INSERT INTO complaint_remarks VALUES('3618','3376','NOT ATTEND CALL','92','2021-01-05 23:24:32','2021-01-05 23:24:32');
INSERT INTO complaint_remarks VALUES('3619','3342','4 BAJAY TAQ AGAIN CALL','74','2021-01-05 23:51:46','2021-01-05 23:51:46');
INSERT INTO complaint_remarks VALUES('3620','3335','COMPLAINT RESOLVED','74','2021-01-05 23:53:32','2021-01-05 23:53:32');
INSERT INTO complaint_remarks VALUES('3621','3334','COMPLAINT RESOLVED','74','2021-01-05 23:55:44','2021-01-05 23:55:44');
INSERT INTO complaint_remarks VALUES('3622','3332','COMPLAINT RESOLVED','74','2021-01-05 23:58:18','2021-01-05 23:58:18');
INSERT INTO complaint_remarks VALUES('3623','3329','NO VISIT KHURRAM BHI  KO AGAIN REMINDER','74','2021-01-06 00:27:36','2021-01-06 00:27:36');
INSERT INTO complaint_remarks VALUES('3624','3325','COMPLAINT RESOLVED','74','2021-01-06 00:29:20','2021-01-06 00:29:20');
INSERT INTO complaint_remarks VALUES('3625','3347','NOT ATTEND CALL','74','2021-01-06 00:57:18','2021-01-06 00:57:18');
INSERT INTO complaint_remarks VALUES('3626','3117','CUSTOMER NA CALL ATTEND KAR LI HAIN B.COOL INFORM WHATSAPP','74','2021-01-06 01:01:07','2021-01-06 01:01:07');
INSERT INTO complaint_remarks VALUES('3627','3479','RECEIVABLES VOL CONTACT NAI  THA IC WAJA SA LOCAL TECHNICIAN SA CUSTOMER NA ISSUE RESOLVED KARWA LIYA COMPLAINT CLOSED','74','2021-01-06 01:20:07','2021-01-06 01:20:07');
INSERT INTO complaint_remarks VALUES('3628','3272','HASEEB TECHNICIAN IC COMPLAINT PA VISIT KARAY GAY AJ','74','2021-01-06 01:42:21','2021-01-06 01:42:21');
INSERT INTO complaint_remarks VALUES('3629','3455','AHMED TCL KO FF HOI HAIN.
BACK LIGHT KA ISSUE HAIN CUSTOMER ON PAYMENT COMPLAINT  RESOLVED KARWAY GAY  2 SA 3 TAQ UNIT S/C KHUD MOVE KARWAY GAY CUSTOMER','74','2021-01-06 02:07:44','2021-01-06 02:07:44');
INSERT INTO complaint_remarks VALUES('3630','3453','COMPLAINT RESOLVED','74','2021-01-06 02:10:59','2021-01-06 02:10:59');
INSERT INTO complaint_remarks VALUES('3631','3276','MAIN BOARD KA ISSUE HAIN REF S/C CUSTOMER KHUD S/C MOVE KARWAY GAY','74','2021-01-06 02:20:17','2021-01-06 02:20:17');
INSERT INTO complaint_remarks VALUES('3632','3452','NUMAN SAB IC COMPLAINT KO ATTEND  KARNA JA RAHAY HAIN','74','2021-01-06 02:27:01','2021-01-06 02:27:01');
INSERT INTO complaint_remarks VALUES('3633','2709','COMPLAINT RESOLVED','74','2021-01-06 02:32:16','2021-01-06 02:32:16');
INSERT INTO complaint_remarks VALUES('3634','2097','COMPLAINT RESOLVED','74','2021-01-06 02:33:29','2021-01-06 02:33:29');
INSERT INTO complaint_remarks VALUES('3635','3450','COMPLAINT RESOLVED','74','2021-01-06 02:47:00','2021-01-06 02:47:00');
INSERT INTO complaint_remarks VALUES('3636','3449','COMPLIANT ATTEND HO GEI HAIN NOB KAL LAGAY GEI','74','2021-01-06 03:03:21','2021-01-06 03:03:21');
INSERT INTO complaint_remarks VALUES('3637','2529','CUSTOMER KO INFORMED KAR DIA HAIN  K REF TO S/C 
N P/OFF','74','2021-01-06 03:42:36','2021-01-06 03:42:36');
INSERT INTO complaint_remarks VALUES('3638','3505','TASK# 3308  SAME COMPLAINT  CLOSED','74','2021-01-06 04:36:42','2021-01-06 04:36:42');
INSERT INTO complaint_remarks VALUES('3639','3433','SAJID SATTI SAB YHA COMPLINT AJ 12-1 BAJAY TAQ ATTEND KARWA RAHYA HAIN','74','2021-01-06 19:45:43','2021-01-06 19:45:43');
INSERT INTO complaint_remarks VALUES('3640','3478','COMPANY SIDE SA YHA COMPLAINT ATTEND HO GEI HAIN CUSTOMER ABI CALL ATTEND NAI KAR RAHAY','74','2021-01-06 19:53:33','2021-01-06 19:53:33');
INSERT INTO complaint_remarks VALUES('3641','3476','COMPLAINT RESOLVED','74','2021-01-06 19:57:16','2021-01-06 19:57:16');
INSERT INTO complaint_remarks VALUES('3642','3475','INSTALLATION FULT THA 
AGAIN INSTALLATION KARWAI  COMPLAINT RESOLVED','74','2021-01-06 20:07:03','2021-01-06 20:07:03');
INSERT INTO complaint_remarks VALUES('3643','3473','COMPLAINT PA VISIT HO GAYA HAIN COMPRESSOR KA ISSUE HAIN REF TO S/C  WARRANTY CARD MISPLACE HO GAYA HAIN HASSAN SAB SA BT HO RAHI HAIN DUPLICATE  WARRANTY CARD K LIYA  APPLAY KAR DIA HASSAN NA','74','2021-01-06 20:24:25','2021-01-06 20:24:25');
INSERT INTO complaint_remarks VALUES('3644','3472','GAYER BOX JAAM THA  ISSUE RESOLVED','74','2021-01-06 20:26:08','2021-01-06 20:26:08');
INSERT INTO complaint_remarks VALUES('3645','3471','COMPLAINT RESOLVED 600 VISIT CHARGES PAY  KIYA','74','2021-01-06 20:31:15','2021-01-06 20:31:15');
INSERT INTO complaint_remarks VALUES('3646','3470','NAEEM SAB KAL IC COMPLAINT PA VISIT ARWAY GAY','74','2021-01-06 20:45:10','2021-01-06 20:45:10');
INSERT INTO complaint_remarks VALUES('3647','3468','COMPLAINT RESOLVED','74','2021-01-06 20:50:43','2021-01-06 20:50:43');
INSERT INTO complaint_remarks VALUES('3648','3466','CUSTOMER NA LOCAL TECHNICIAN SA COMPLAINT RESOLVED KARWA LIYA VISIT CAHRGES PAY NAI KAR RAHAY THY CUSTOMER COMPLAINT CLOSED','74','2021-01-06 20:57:40','2021-01-06 20:57:40');
INSERT INTO complaint_remarks VALUES('3649','3467','PARTS KI WAJA SA DELAY','74','2021-01-06 21:06:03','2021-01-06 21:06:03');
INSERT INTO complaint_remarks VALUES('3650','3474','CUSTOMER NA COMPANY KO PHALAY AIK A/C KA CHARGES CLEAR NAI KIYA MASOOR SAB NA AB I HOLD KARWI HOI COMPLIANT','74','2021-01-06 21:11:35','2021-01-06 21:11:35');
INSERT INTO complaint_remarks VALUES('3651','3465','COMPLAINT RESOLVED','74','2021-01-06 21:24:29','2021-01-06 21:24:29');
INSERT INTO complaint_remarks VALUES('3652','3465','COMPLAINT RESOLVED','74','2021-01-06 21:29:12','2021-01-06 21:29:12');
INSERT INTO complaint_remarks VALUES('3653','3464','VISIT TO DAY','74','2021-01-06 21:40:22','2021-01-06 21:40:22');
INSERT INTO complaint_remarks VALUES('3654','3462','CALL PA CUSTOMER KO GLIDE KIYA COMPLAINT RESOLVED','74','2021-01-06 22:02:27','2021-01-06 22:02:27');
INSERT INTO complaint_remarks VALUES('3655','3449','SHAM TAQ NOB LAGA DAY GAY','74','2021-01-06 22:27:57','2021-01-06 22:27:57');
INSERT INTO complaint_remarks VALUES('3656','3445','COMPLAINT RESOLVED','74','2021-01-06 22:46:40','2021-01-06 22:46:40');
INSERT INTO complaint_remarks VALUES('3657','3444','COMPLAINT RESOLVED','74','2021-01-06 22:48:00','2021-01-06 22:48:00');
INSERT INTO complaint_remarks VALUES('3658','3443','COMPANY SIDE SA COMPLIANT OK HAIN  CUSTOMER CALL ATTEND NAI KAR RAHAY','74','2021-01-06 23:02:32','2021-01-06 23:02:32');
INSERT INTO complaint_remarks VALUES('3659','3442','COMPLAINT RESOLVED','74','2021-01-06 23:04:52','2021-01-06 23:04:52');
INSERT INTO complaint_remarks VALUES('3660','3440','1-10 SA YHA MOTER LAYNI HAIN KHURRAM BAHI NA','74','2021-01-06 23:12:33','2021-01-06 23:12:33');
INSERT INTO complaint_remarks VALUES('3661','3440','AGAIN KHURRAM SIR KO REMINDER DA DIA','74','2021-01-06 23:13:48','2021-01-06 23:13:48');
INSERT INTO complaint_remarks VALUES('3662','3439','COMPLAINT RESOLVED','74','2021-01-06 23:15:16','2021-01-06 23:15:16');
INSERT INTO complaint_remarks VALUES('3663','3437','FILTER CLEAR  COMPLIANT RESOLVED','74','2021-01-06 23:21:34','2021-01-06 23:21:34');
INSERT INTO complaint_remarks VALUES('3664','3437','COMPLAINT RESOLVED','74','2021-01-06 23:22:10','2021-01-06 23:22:10');
INSERT INTO complaint_remarks VALUES('3665','1896','YHA WAPISE GUJRAWALA BOOK KARWA DIA COMPLAINT CLOSED','74','2021-01-06 23:48:35','2021-01-06 23:48:35');
INSERT INTO complaint_remarks VALUES('3666','3436','COMPLAINT RESOLVED','74','2021-01-07 00:23:20','2021-01-07 00:23:20');
INSERT INTO complaint_remarks VALUES('3667','3504','KHALID SAB KO REMINDER DA DIA','74','2021-01-07 01:02:12','2021-01-07 01:02:12');
INSERT INTO complaint_remarks VALUES('3668','3434','COMPLAINT ATTEND HO GEI HAIN BAISE SA DAMAGE HAIN W/M','74','2021-01-07 01:07:53','2021-01-07 01:07:53');
INSERT INTO complaint_remarks VALUES('3669','3433','COMPLAINT PA AJ VISIT THA BUT CUSTOMER KI SIDE SA DELAY HO VISIT','74','2021-01-07 01:10:18','2021-01-07 01:10:18');
INSERT INTO complaint_remarks VALUES('3670','3431','VISIT IN PROCESS TECHNICIAN CUSTOMER K GHR PA HAIN','74','2021-01-07 01:16:04','2021-01-07 01:16:04');
INSERT INTO complaint_remarks VALUES('3671','3427','COMPLAINT ATTEND HO GEI HAIN  GASS LEAKAGE K ISSUE INSTALLATION  FAULT BATA K GAY HAIN  COMPANY WALAY AZHAR SAB KO INFORMED KAR DIA AGIN VISIT K LIYA','74','2021-01-07 01:52:40','2021-01-07 01:52:40');
INSERT INTO complaint_remarks VALUES('3672','3426','REF TO S/C  CUSTOMER NA KHUD S/C LA K JAN HAIN MOHSIN SAB SA B CUSTOMER KI BAT KARWA DI','74','2021-01-07 02:11:26','2021-01-07 02:11:26');
INSERT INTO complaint_remarks VALUES('3673','3424','VENDOR NOT ATTEND MY CALL','74','2021-01-07 02:25:49','2021-01-07 02:25:49');
INSERT INTO complaint_remarks VALUES('3674','3415','KAL ATTEND HO GEI TAHIR SIR KO SALEEM SAB K NO AGAIN PROVIDE  KAR DIA','74','2021-01-07 02:40:03','2021-01-07 02:40:03');
INSERT INTO complaint_remarks VALUES('3675','3514','CUSTOMER KI COMPANY SA BAT KARWA DIA HAIN KAL IST TIME PA VISIT HO JAY GA','74','2021-01-07 03:01:12','2021-01-07 03:01:12');
INSERT INTO complaint_remarks VALUES('3676','3431','2500 SERVICES CHARGES COMPLIANT RESOLVED','74','2021-01-07 03:20:37','2021-01-07 03:20:37');
INSERT INTO complaint_remarks VALUES('3677','3431','COMPLAINT RESOLVED','74','2021-01-07 03:21:15','2021-01-07 03:21:15');
INSERT INTO complaint_remarks VALUES('3678','3424','AIK VISIT HO GAYA HAIN KAL AGAIN VISIT ARRANGE KARWATI SWITCH REPLACE','74','2021-01-07 03:29:29','2021-01-07 03:29:29');
INSERT INTO complaint_remarks VALUES('3679','3424','AGAIN INVOICE FF KAR DI','74','2021-01-07 03:34:30','2021-01-07 03:34:30');
INSERT INTO complaint_remarks VALUES('3680','3504','CUSTOMER NA KHUD S/C LA K AANA HAIN CUSTOMER SIDE SA PENDING','74','2021-01-07 20:46:37','2021-01-07 20:46:37');
INSERT INTO complaint_remarks VALUES('3681','3503','COMPLAINT RESOLVED','74','2021-01-07 20:55:56','2021-01-07 20:55:56');
INSERT INTO complaint_remarks VALUES('3682','3506','COMPLIANT RESOLVED','74','2021-01-07 21:08:53','2021-01-07 21:08:53');
INSERT INTO complaint_remarks VALUES('3683','3500','COMPLAINT RESOLVED','74','2021-01-07 21:12:07','2021-01-07 21:12:07');
INSERT INTO complaint_remarks VALUES('3684','3501','COMPLAINT RESOLVED','74','2021-01-07 21:13:08','2021-01-07 21:13:08');
INSERT INTO complaint_remarks VALUES('3685','3499','ISB FRANCHISES 03455088808 ADEEL SAB YHA COMPLAINT ATTEND KARWA RAHAY  AJ COMPLAINT HO JAY GEI WORKING IN PROCESS','74','2021-01-07 21:16:08','2021-01-07 21:16:08');
INSERT INTO complaint_remarks VALUES('3686','3497','VISIT TO DAY','74','2021-01-07 21:21:21','2021-01-07 21:21:21');
INSERT INTO complaint_remarks VALUES('3687','3502','VISIT TO DAY','74','2021-01-07 21:21:33','2021-01-07 21:21:33');
INSERT INTO complaint_remarks VALUES('3688','3496','COMPLAINT RESOLVED','74','2021-01-07 21:25:38','2021-01-07 21:25:38');
INSERT INTO complaint_remarks VALUES('3689','3492','HASSANABADAL YHA COMPLINT AJ ATTEND KARWA RAHI HAIN FF KI HOI HAIN COMPLAINT','74','2021-01-07 21:48:33','2021-01-07 21:48:33');
INSERT INTO complaint_remarks VALUES('3690','3493','W/D KA TYP KI ADJUSTMENT KI HAIN  COMPLAINT RESOLVED','74','2021-01-07 21:49:58','2021-01-07 21:49:58');
INSERT INTO complaint_remarks VALUES('3691','3491','MICRO SWITCH WARING  KA ISSUE THA COMPLIANT RESOLVED','74','2021-01-07 23:21:40','2021-01-07 23:21:40');
INSERT INTO complaint_remarks VALUES('3692','3489','AJ AGAIN VISIT HAIN LEAKAGEG KA PROB RESOLVED NMAI HO RAHA','74','2021-01-07 23:29:44','2021-01-07 23:29:44');
INSERT INTO complaint_remarks VALUES('3693','3488','COMPLAINT RESOLVED','74','2021-01-07 23:43:27','2021-01-07 23:43:27');
INSERT INTO complaint_remarks VALUES('3694','3487','BEAKER FAULTY THA
COMPLAINT RESOLVED','74','2021-01-07 23:50:11','2021-01-07 23:50:11');
INSERT INTO complaint_remarks VALUES('3695','3483','COMPLAINT RESOLVED','74','2021-01-08 00:01:47','2021-01-08 00:01:47');
INSERT INTO complaint_remarks VALUES('3696','3482','COMPLAINT RESOLVED','74','2021-01-08 00:33:35','2021-01-08 00:33:35');
INSERT INTO complaint_remarks VALUES('3697','3480','COMPLAINT RESOLVED','74','2021-01-08 00:40:47','2021-01-08 00:40:47');
INSERT INTO complaint_remarks VALUES('3698','3478','COMPLAINT RESOLVED','74','2021-01-08 00:42:08','2021-01-08 00:42:08');
INSERT INTO complaint_remarks VALUES('3699','3510','COMPLAINT PA VISIT HO GYA HAIN PC CARD KA ISUUE HAIN KAL COMPANY WALAY PICK KAR K S./C LA K AAY GAY','74','2021-01-08 00:58:25','2021-01-08 00:58:25');
INSERT INTO complaint_remarks VALUES('3700','3433','COMPLAINT RESOLVED SOFTWEAR  UP DATE KAR K DIA','74','2021-01-08 01:00:50','2021-01-08 01:00:50');
INSERT INTO complaint_remarks VALUES('3701','3474','NAVEED SAB  KO  INFORMED B KARDIA CASE & SHARP KA NO B PROVIDE KAR DIA','74','2021-01-08 01:02:20','2021-01-08 01:02:20');
INSERT INTO complaint_remarks VALUES('3702','3414','ASIF GILL KO  AGAIN REMINDER DA DIA CUSTOMER SA BAT KARNAY K LIYA','74','2021-01-08 01:23:52','2021-01-08 01:23:52');
INSERT INTO complaint_remarks VALUES('3703','3415','VISIT TO DAY','74','2021-01-08 01:35:23','2021-01-08 01:35:23');
INSERT INTO complaint_remarks VALUES('3704','3409','UNIT S/C SA OK  HO K WAPISE INSTALL B HO GAYA COMPLAINT RESOLVED','74','2021-01-08 01:47:21','2021-01-08 01:47:21');
INSERT INTO complaint_remarks VALUES('3705','3405','AD ELECTRONIC YHA COMPLAINT ATTEND KAR WAY GAY . CUSTOMER ISB MAIN HAIN NEXT WEEK S/C LA K JAY GAY','74','2021-01-08 02:01:47','2021-01-08 02:01:47');
INSERT INTO complaint_remarks VALUES('3706','3398','CUSTOMER KI SIDE SA DELAY COMPLAINT SATURDAY KO VISIT KA TIME DIA TECHNICIAN KO','74','2021-01-08 02:07:55','2021-01-08 02:07:55');
INSERT INTO complaint_remarks VALUES('3707','3394','TECHNICIAN  WORKING KAR RAHAY HAIN','74','2021-01-08 02:13:01','2021-01-08 02:13:01');
INSERT INTO complaint_remarks VALUES('3708','3389','COMPLAINT RESOLVED','74','2021-01-08 02:20:02','2021-01-08 02:20:02');
INSERT INTO complaint_remarks VALUES('3709','3387','COMPLAINT RESOLVED','74','2021-01-08 02:21:37','2021-01-08 02:21:37');
INSERT INTO complaint_remarks VALUES('3710','3376','COMPLAINT ATTEND  HO GEI CUSTOMER NA KHUD S/C LA K JANA HAIN ABI CLOSED KARWA DI K JAB TIME HO GA TAB LAK JAY GAY COMPLAINT CLOSED','74','2021-01-08 02:28:14','2021-01-08 02:28:14');
INSERT INTO complaint_remarks VALUES('3711','3529','COMPANY PARTS KI WAJA SA DELAY HAIN','74','2021-01-08 20:02:28','2021-01-08 20:02:28');
INSERT INTO complaint_remarks VALUES('3712','3415','CMPLAINT ATTEND HO GEI HAIN KAL DOOR SWITCH KA ISSUE HAIN AJ AGAIN VISIT','74','2021-01-08 20:11:20','2021-01-08 20:11:20');
INSERT INTO complaint_remarks VALUES('3713','3525','ASIF SAB KI CUSTOMER SA CALL PA BAT HO GEI THA WAIR CHANGE KARNY KI ADVICE DI','74','2021-01-08 20:16:25','2021-01-08 20:16:25');
INSERT INTO complaint_remarks VALUES('3714','3530','COMPLAINT RESOLVED','74','2021-01-08 20:24:44','2021-01-08 20:24:44');
INSERT INTO complaint_remarks VALUES('3715','3524','VISIT TO DAY TECHNICIAN ON ROUT','74','2021-01-08 20:32:16','2021-01-08 20:32:16');
INSERT INTO complaint_remarks VALUES('3716','3523','COMPLAINT RESOLVED','74','2021-01-08 20:37:01','2021-01-08 20:37:01');
INSERT INTO complaint_remarks VALUES('3717','3522','COMPLAINT RESOVED','74','2021-01-08 20:57:54','2021-01-08 20:57:54');
INSERT INTO complaint_remarks VALUES('3718','3521','COMPLAINT RESOLVED','74','2021-01-08 21:03:16','2021-01-08 21:03:16');
INSERT INTO complaint_remarks VALUES('3719','3520','COMPLINT ATTEND HO GEI HAIN SET S/C WORKING IN PROCESS','74','2021-01-08 21:12:45','2021-01-08 21:12:45');
INSERT INTO complaint_remarks VALUES('3720','3519','COMPLAINT PA 2 BAR VISIT HO GAY HAIN ISSUE RESOLVED NAI HO RHAH AGIN COMPLIANT REOPEN KARWAI','74','2021-01-08 21:28:41','2021-01-08 21:28:41');
INSERT INTO complaint_remarks VALUES('3721','3518','VISIT TO DAY','74','2021-01-08 21:34:29','2021-01-08 21:34:29');
INSERT INTO complaint_remarks VALUES('3722','3516','COMPANY SIDE SA ATTEND HO GEI HAIN COMPLAINT  CUSTOMER PENDING','74','2021-01-08 21:53:53','2021-01-08 21:53:53');
INSERT INTO complaint_remarks VALUES('3723','3510','UNIT NAMAZ K BAD PICK KARWAY GAY NAEEM SAB','74','2021-01-08 21:59:36','2021-01-08 21:59:36');
INSERT INTO complaint_remarks VALUES('3724','3516','COMPLIANT ATTEND HO GEI HAIN  REF TO  S/C CUSTOMER NA KHUD LA K JANA','74','2021-01-09 00:54:48','2021-01-09 00:54:48');
INSERT INTO complaint_remarks VALUES('3725','3515','COMPLIANT  RESOLVED','74','2021-01-09 01:02:44','2021-01-09 01:02:44');
INSERT INTO complaint_remarks VALUES('3726','3514','COMPLAINT PA VISIT HO GAYA HAIN W/COOLER CHOK HAIN  CUSTOMER REPLACEMENT KI DEMAND KAR RAHAY HAIN YASIAR SAB KO INFORMED KAR DIA','74','2021-01-09 01:06:53','2021-01-09 01:06:53');
INSERT INTO complaint_remarks VALUES('3727','3513','CUSTOMER KA ISSUE KHUD SA RESOLVED HO GAYA','74','2021-01-09 01:19:13','2021-01-09 01:19:13');
INSERT INTO complaint_remarks VALUES('3728','3555','MRS HAROON 051-5172262 MONDAY KA TIME DIA VISIT K LIYA','74','2021-01-09 20:30:12','2021-01-09 20:30:12');
INSERT INTO complaint_remarks VALUES('3729','3550','COMPLAINT RESOLVED','74','2021-01-09 20:51:12','2021-01-09 20:51:12');
INSERT INTO complaint_remarks VALUES('3730','3549','COMPLAINT ATTEND HO GEI HAIN  COMPRESSOR PROB HAIN REF TO S/C','74','2021-01-09 20:59:13','2021-01-09 20:59:13');
INSERT INTO complaint_remarks VALUES('3731','3548','COMPLAINT RESOLVED','74','2021-01-09 21:05:11','2021-01-09 21:05:11');
INSERT INTO complaint_remarks VALUES('3732','3415','AJ KA TIME DIA CUSTOMER','74','2021-01-09 21:12:21','2021-01-09 21:12:21');
INSERT INTO complaint_remarks VALUES('3733','3546','SHOOK &GEYER BOX OLD MODEL  HAIN LOCAL MARKET SA CHEEKED KARNAY KA BOLA HAIN','74','2021-01-09 21:13:52','2021-01-09 21:13:52');
INSERT INTO complaint_remarks VALUES('3734','3542','CUSTOMER NA CALL ATTEND NI KI  LG MAIN AGAIN CALL K LIYA INFORMED KAR DIA','74','2021-01-09 21:32:01','2021-01-09 21:32:01');
INSERT INTO complaint_remarks VALUES('3735','3570','PANEL FAULTY','74','2021-01-10 01:12:53','2021-01-10 01:12:53');
INSERT INTO complaint_remarks VALUES('3736','3570','PANAL DEMAND','74','2021-01-10 01:24:20','2021-01-10 01:24:20');
INSERT INTO complaint_remarks VALUES('3737','3547','COMPLAINT RESOLVED','74','2021-01-10 01:29:34','2021-01-10 01:29:34');
INSERT INTO complaint_remarks VALUES('3738','3543','COMPANY PENDING AMNA MADAM KO AGAIN REMINDER DA DIA','74','2021-01-10 01:37:33','2021-01-10 01:37:33');
INSERT INTO complaint_remarks VALUES('3739','3540','KAL ATTEND HO GEI','74','2021-01-10 01:47:16','2021-01-10 01:47:16');
INSERT INTO complaint_remarks VALUES('3740','3541','MUNWAR SAB KI CUSTOMER SA BT HO RAH HAIN','74','2021-01-10 01:56:31','2021-01-10 01:56:31');
INSERT INTO complaint_remarks VALUES('3741','3539','COMPLAINT ATTEND HO GEI HEAT TANK ISSUE','74','2021-01-10 02:14:22','2021-01-10 02:14:22');
INSERT INTO complaint_remarks VALUES('3742','3538','WATER LEAKAGE PROB
COMPLAINT ATTEND HO GEI HAIN CUSTOMER PENDING','74','2021-01-10 02:15:25','2021-01-10 02:15:25');
INSERT INTO complaint_remarks VALUES('3743','3536','COMPLAINT RESOLVED','74','2021-01-10 02:24:52','2021-01-10 02:24:52');
INSERT INTO complaint_remarks VALUES('3744','3538','COMPLAINT RESOLVED','74','2021-01-10 02:30:26','2021-01-10 02:30:26');
INSERT INTO complaint_remarks VALUES('3745','3538','COMPLAINT CLOSED','74','2021-01-10 02:30:59','2021-01-10 02:30:59');
INSERT INTO complaint_remarks VALUES('3746','3576','MONDAY KO VISIT HO GA','74','2021-01-10 02:34:10','2021-01-10 02:34:10');
INSERT INTO complaint_remarks VALUES('3747','3443','COMPLAINT RESOLVED','92','2021-01-10 22:22:37','2021-01-10 22:22:37');
INSERT INTO complaint_remarks VALUES('3748','3342','COMPLAINT RESOLVED','92','2021-01-10 22:26:30','2021-01-10 22:26:30');
INSERT INTO complaint_remarks VALUES('3749','3414','KAL SERVICE CENTER JAY GA UNIT','92','2021-01-10 22:44:11','2021-01-10 22:44:11');
INSERT INTO complaint_remarks VALUES('3750','2606','COMPLAINT RESOLVED','92','2021-01-10 23:15:47','2021-01-10 23:15:47');
INSERT INTO complaint_remarks VALUES('3751','2619','NOT ATTEND CALL','92','2021-01-10 23:18:58','2021-01-10 23:18:58');
INSERT INTO complaint_remarks VALUES('3752','2684','ABI TAK INHAR CHANGE NAI HUA','92','2021-01-10 23:21:28','2021-01-10 23:21:28');
INSERT INTO complaint_remarks VALUES('3753','3587','COMPLAINT RESOLVED','74','2021-01-11 20:28:51','2021-01-11 20:28:51');
INSERT INTO complaint_remarks VALUES('3754','3602','COMPLAINT IN PROCESS VISIT TO DAY','74','2021-01-11 20:33:31','2021-01-11 20:33:31');
INSERT INTO complaint_remarks VALUES('3755','2585','SHAHBAZ 03025456078','74','2021-01-11 20:48:39','2021-01-11 20:48:39');
INSERT INTO complaint_remarks VALUES('3756','3584','LIGHT NAI HAN ABI KUCH DAIR TAQ UPDATE KARAY GAY','74','2021-01-11 20:52:31','2021-01-11 20:52:31');
INSERT INTO complaint_remarks VALUES('3757','3583','CONTACT # NAI MIL RAHAY THA CUSTOMER KA AGAIN BAT HO GEI HAIN CUSTOMER SA WAQRA SAB KO B INFORMED KAR DIA','74','2021-01-11 21:00:27','2021-01-11 21:00:27');
INSERT INTO complaint_remarks VALUES('3758','3582','VISIT TO DAY','74','2021-01-11 21:16:56','2021-01-11 21:16:56');
INSERT INTO complaint_remarks VALUES('3759','3581','VENDOR PENDING','74','2021-01-11 21:18:18','2021-01-11 21:18:18');
INSERT INTO complaint_remarks VALUES('3760','3580','SAJID SATTI YHA COMPLAINT ATTEND KARWA  RAHAY HAIN','74','2021-01-11 21:25:31','2021-01-11 21:25:31');
INSERT INTO complaint_remarks VALUES('3761','3546','COMPLAINT CLOSED','74','2021-01-11 21:27:36','2021-01-11 21:27:36');
INSERT INTO complaint_remarks VALUES('3762','3579','COMPLAINT ATTEND HO GEI  SHOCKS KA TOSEEF SAB 03142437341 YHA COMPLAINT ATTEND KAR RAHAY HAIN','74','2021-01-11 21:43:55','2021-01-11 21:43:55');
INSERT INTO complaint_remarks VALUES('3763','3578','COMPLAINT RESOLVED','74','2021-01-11 21:51:07','2021-01-11 21:51:07');
INSERT INTO complaint_remarks VALUES('3764','3577','COMPLAINT PA AIK VISIT HO GAYA HAIN BUT ISSUE RESOLVED NAI HOA AGAIN  COMPLAINT RESOPEN KARWA DI','74','2021-01-11 22:08:35','2021-01-11 22:08:35');
INSERT INTO complaint_remarks VALUES('3765','3576','VISIT TO DAY','74','2021-01-11 22:09:22','2021-01-11 22:09:22');
INSERT INTO complaint_remarks VALUES('3766','3575','OLD MODEL PATS NOT AVAILABLE  CUSTOMER KO INFORMED KAR K COMPLAINT CLOSED KI','74','2021-01-11 22:16:37','2021-01-11 22:16:37');
INSERT INTO complaint_remarks VALUES('3767','3574','VISIT TO DAY ADNAN TECHNICIAN AJ YHA COMPLAINT ATTEND KAR RAHAY HAIN','74','2021-01-11 22:19:08','2021-01-11 22:19:08');
INSERT INTO complaint_remarks VALUES('3768','3573','COMPLAINT RESOLVED','74','2021-01-11 22:20:42','2021-01-11 22:20:42');
INSERT INTO complaint_remarks VALUES('3769','3559','HEAT PUMP DEMAND
3 WEEK','74','2021-01-11 22:29:46','2021-01-11 22:29:46');
INSERT INTO complaint_remarks VALUES('3770','3492','HASSAN ABDAL WALO NA COMPLAINT ATTEND KARWA K COMPLAINT PINDI S/C FF KAR DI COMPRESSOR KA ISSUE HAIN','74','2021-01-11 22:34:07','2021-01-11 22:34:07');
INSERT INTO complaint_remarks VALUES('3771','3568','GLASS DAMAGE  HAIN DEMAND KAR DI HAIN KHURRAM BAHI NA','74','2021-01-11 23:06:58','2021-01-11 23:06:58');
INSERT INTO complaint_remarks VALUES('3772','3567','VISITB TO DAY TECHNICIAN ON ROUT','74','2021-01-11 23:14:14','2021-01-11 23:14:14');
INSERT INTO complaint_remarks VALUES('3773','3596','AIK VISIT HO GAY HAIN ISSUE RESOLVE NAI HOA AGAIN COMPLAINT PA VISIT K LIYA AZHAR SAB KO INFORMED KAR DIA','74','2021-01-11 23:28:50','2021-01-11 23:28:50');
INSERT INTO complaint_remarks VALUES('3774','3566','COMPLAINT RESOLVED','74','2021-01-11 23:43:58','2021-01-11 23:43:58');
INSERT INTO complaint_remarks VALUES('3775','3565','COMPLAINT RESOLVED','74','2021-01-12 00:31:34','2021-01-12 00:31:34');
INSERT INTO complaint_remarks VALUES('3776','3563','NADEEM SAB YHA COMPLAINT ATTEND KARWA RAHYA HAIN S/C SATURDAY KO S/C MOVE KAR DIA CUSTOMER NA','74','2021-01-12 01:06:12','2021-01-12 01:06:12');
INSERT INTO complaint_remarks VALUES('3777','3562','COMPLAINT ATTEND HO GEI HAIN ICE MELTING  PROB S/C WALAO NA HEAD OFFICE MAIL FF KI HOI HAIN','74','2021-01-12 01:11:29','2021-01-12 01:11:29');
INSERT INTO complaint_remarks VALUES('3778','3562','HEAD OFFICE','74','2021-01-12 01:11:38','2021-01-12 01:11:38');
INSERT INTO complaint_remarks VALUES('3779','3557','IN PROCESS COMPLAINT','74','2021-01-12 01:16:42','2021-01-12 01:16:42');
INSERT INTO complaint_remarks VALUES('3780','3560','COMPLAINT RESOLVED','74','2021-01-12 01:28:26','2021-01-12 01:28:26');
INSERT INTO complaint_remarks VALUES('3781','3559','3 WEEK KA TIME DIA COMPANY NA','74','2021-01-12 01:33:40','2021-01-12 01:33:40');
INSERT INTO complaint_remarks VALUES('3782','3558','COMPLAINT RESOLVED','74','2021-01-12 01:48:50','2021-01-12 01:48:50');
INSERT INTO complaint_remarks VALUES('3783','3552','COMPLAINT ATTEND HO GEI HAIN REF TO S/C CUSTOMER KI SIDE SA DELAY COMPLAINT','74','2021-01-12 02:07:24','2021-01-12 02:07:24');
INSERT INTO complaint_remarks VALUES('3784','3549','COMPLAINT RESOLVED','74','2021-01-12 02:20:21','2021-01-12 02:20:21');
INSERT INTO complaint_remarks VALUES('3785','3606','VISIT TO DAY','74','2021-01-12 20:39:08','2021-01-12 20:39:08');
INSERT INTO complaint_remarks VALUES('3786','3605','VISIT TO DAY TECHNICIAN ON ROUT','74','2021-01-12 20:41:53','2021-01-12 20:41:53');
INSERT INTO complaint_remarks VALUES('3787','3604','KAL ATTEND HO GEI KHURRAM BAHI KO REMINDER DA DIA','74','2021-01-12 20:43:53','2021-01-12 20:43:53');
INSERT INTO complaint_remarks VALUES('3788','3603','COMPLAINT RESOLVED','74','2021-01-12 20:45:48','2021-01-12 20:45:48');
INSERT INTO complaint_remarks VALUES('3789','3549','COMPLAINT RESOLVED GASS REFIL KAR K DI','74','2021-01-12 20:50:09','2021-01-12 20:50:09');
INSERT INTO complaint_remarks VALUES('3790','3474','CUSTOMER NA LOCAL TECHNICIAN SA COMPLAINT RESOLVED ABI AC MAIN KOI ISSUE NAI AARHA','74','2021-01-12 21:14:11','2021-01-12 21:14:11');
INSERT INTO complaint_remarks VALUES('3791','3602','COMPLAINT KAL ATTEND HO GEI HAIN PARTS DEMAND KI','74','2021-01-12 21:14:20','2021-01-12 21:14:20');
INSERT INTO complaint_remarks VALUES('3792','3601','LG MAIN REMINDER DA DIA','74','2021-01-12 21:17:51','2021-01-12 21:17:51');
INSERT INTO complaint_remarks VALUES('3793','3600','TECHNICIAN ON ROOT VISIT TO DAY','74','2021-01-12 21:21:04','2021-01-12 21:21:04');
INSERT INTO complaint_remarks VALUES('3794','3597','COMPLAINT RESOLVED','74','2021-01-12 21:26:15','2021-01-12 21:26:15');
INSERT INTO complaint_remarks VALUES('3795','3596','AGAIN VISIT TO DAY','74','2021-01-12 21:27:45','2021-01-12 21:27:45');
INSERT INTO complaint_remarks VALUES('3796','3595','COMPLAINT RESOLVED AIR TIRED KA ISSUE THA','74','2021-01-12 21:36:25','2021-01-12 21:36:25');
INSERT INTO complaint_remarks VALUES('3797','3595','COMPLAINT RESOLVED','74','2021-01-12 21:37:06','2021-01-12 21:37:06');
INSERT INTO complaint_remarks VALUES('3798','3644','COM#1798627','92','2021-01-12 21:37:34','2021-01-12 21:37:34');
INSERT INTO complaint_remarks VALUES('3799','3594','VENDOR PENDING','74','2021-01-13 00:06:05','2021-01-13 00:06:05');
INSERT INTO complaint_remarks VALUES('3800','3593','COMPLAINT RESOLVED','74','2021-01-13 00:08:05','2021-01-13 00:08:05');
INSERT INTO complaint_remarks VALUES('3801','3594','AZAHR SAB KO REMINDER DA DIA','74','2021-01-13 00:10:50','2021-01-13 00:10:50');
INSERT INTO complaint_remarks VALUES('3802','3590','KHALID SAB AJ CUSTOMER KO CALL KAR RAHAY HAIN','74','2021-01-13 00:48:33','2021-01-13 00:48:33');
INSERT INTO complaint_remarks VALUES('3803','3589','VISIT TO DAY','74','2021-01-13 00:51:03','2021-01-13 00:51:03');
INSERT INTO complaint_remarks VALUES('3804','3583','COMPLAINT ATTEND HO GEI HAIN OIL CHOKING HAIN  REF TO S/C','74','2021-01-13 01:21:40','2021-01-13 01:21:40');
INSERT INTO complaint_remarks VALUES('3805','3582','COMPLAINT RESOLVED','74','2021-01-13 01:27:04','2021-01-13 01:27:04');
INSERT INTO complaint_remarks VALUES('3806','3519','2 BAR VISIT HO GAYA HAIN COMPRESSOR SOUND AARHI HAIN','74','2021-01-13 02:22:52','2021-01-13 02:22:52');
INSERT INTO complaint_remarks VALUES('3807','3516','S/C WORKING IN PROCESS','74','2021-01-13 02:59:32','2021-01-13 02:59:32');
INSERT INTO complaint_remarks VALUES('3808','3617','COMPLAINT RESOLVED','74','2021-01-13 20:18:34','2021-01-13 20:18:34');
INSERT INTO complaint_remarks VALUES('3809','1170','COMPLAINT FF TO ANEEQ','74','2021-01-13 20:19:10','2021-01-13 20:19:10');
INSERT INTO complaint_remarks VALUES('3810','3616','COMPLAINT RESOLVED','74','2021-01-13 20:29:44','2021-01-13 20:29:44');
INSERT INTO complaint_remarks VALUES('3811','3610','COMPLAINT RESOLVED','74','2021-01-13 20:33:15','2021-01-13 20:33:15');
INSERT INTO complaint_remarks VALUES('3812','3611','COMPLAINT  ATTEND HO GEI  HAIN MAIN BOARD DEMAND KIYA HAIN','74','2021-01-13 20:36:10','2021-01-13 20:36:10');
INSERT INTO complaint_remarks VALUES('3813','3618','CUSTOMER CALL ATTEND NAI KAR RAHAY TAHY KASHIF SIR NA MEG FF KAR DIA THA AJ AGAIN CALL KARAY GAY','74','2021-01-13 20:39:35','2021-01-13 20:39:35');
INSERT INTO complaint_remarks VALUES('3814','3614','ATTEND HO GEI HAIN PART AAGAY HAIN AJ COMPLETE HO JAY GEI COMPLAINT','74','2021-01-13 20:44:35','2021-01-13 20:44:35');
INSERT INTO complaint_remarks VALUES('3815','3605','COMPLAINT ATTEND HO GEI HAIN AJ GASS REFIL HO JAY GEI','74','2021-01-13 20:50:08','2021-01-13 20:50:08');
INSERT INTO complaint_remarks VALUES('3816','3579','SHOCKS AAGAY HAIN AJ ATTEND  HO JAY GEI COMPLAINT','74','2021-01-13 20:53:57','2021-01-13 20:53:57');
INSERT INTO complaint_remarks VALUES('3817','3508','COMPLAINT RESOLVED','74','2021-01-13 20:56:30','2021-01-13 20:56:30');
INSERT INTO complaint_remarks VALUES('3818','3615','COMPLAINT RESOLVED','74','2021-01-13 21:05:16','2021-01-13 21:05:16');
INSERT INTO complaint_remarks VALUES('3819','3499','COMPLAINT RESOLVED','74','2021-01-13 21:13:31','2021-01-13 21:13:31');
INSERT INTO complaint_remarks VALUES('3820','3612','AHMAD SAB IC COMPLAINT KO AJ CALL KARAY GAY','74','2021-01-13 21:24:18','2021-01-13 21:24:18');
INSERT INTO complaint_remarks VALUES('3821','3489','CUSTOMER KA ISSUE RESOLVED NAI HOA ASIF GILL KO INFORMED KAR DIA','74','2021-01-13 21:29:43','2021-01-13 21:29:43');
INSERT INTO complaint_remarks VALUES('3822','3609','VISIT TO DAY','74','2021-01-13 21:30:23','2021-01-13 21:30:23');
INSERT INTO complaint_remarks VALUES('3823','3608','IN PROCESS COMPLAINT','74','2021-01-13 21:51:28','2021-01-13 21:51:28');
INSERT INTO complaint_remarks VALUES('3824','3354','COMPLAINT FF TO ANEEQ','74','2021-01-13 21:53:47','2021-01-13 21:53:47');
INSERT INTO complaint_remarks VALUES('3825','3679','COMPLAINT NO 192120126','92','2021-01-13 22:04:24','2021-01-13 22:04:24');
INSERT INTO complaint_remarks VALUES('3826','3285','FF TO ANEEQ','74','2021-01-13 22:12:43','2021-01-13 22:12:43');
INSERT INTO complaint_remarks VALUES('3827','3606','HEATER FHSS MAIN AJ ATTEND KARAY GAY','74','2021-01-13 22:13:23','2021-01-13 22:13:23');
INSERT INTO complaint_remarks VALUES('3828','3600','CUSTOMER KO CALL PA GUIDE KAR DAI UNIT MAIN KOI ISSUE NAI WIFI KLIYA S/C WALO NA MAIL KAR DI','74','2021-01-13 22:25:55','2021-01-13 22:25:55');
INSERT INTO complaint_remarks VALUES('3829','3590','VISIT TO DAY','74','2021-01-13 23:30:47','2021-01-13 23:30:47');
INSERT INTO complaint_remarks VALUES('3830','3683','COMPLAINT CLOSED','74','2021-01-13 23:41:07','2021-01-13 23:41:07');
INSERT INTO complaint_remarks VALUES('3831','3682','COMPLAINT RESOLVED','74','2021-01-13 23:42:35','2021-01-13 23:42:35');
INSERT INTO complaint_remarks VALUES('3832','3690','COMPLAINT NO PKRI-210113106538','92','2021-01-13 23:49:06','2021-01-13 23:49:06');
INSERT INTO complaint_remarks VALUES('3833','3691','COMPLAINT NO PKRI-210113106567','92','2021-01-13 23:51:23','2021-01-13 23:51:23');
INSERT INTO complaint_remarks VALUES('3834','3681','COMPLAINT CLOSED','74','2021-01-13 23:56:34','2021-01-13 23:56:34');
INSERT INTO complaint_remarks VALUES('3835','3580','VISIT TO DAY','74','2021-01-13 23:59:18','2021-01-13 23:59:18');
INSERT INTO complaint_remarks VALUES('3836','3577','S/C WORKING IN PROCESS','74','2021-01-14 00:16:16','2021-01-14 00:16:16');
INSERT INTO complaint_remarks VALUES('3837','3574','OLD MODEL HAIN PARTS NOT AVAILABLE  COMPLIANT CLOSED','74','2021-01-14 00:18:36','2021-01-14 00:18:36');
INSERT INTO complaint_remarks VALUES('3838','3567','03005527704 SATURDAY KO ABID SAB YHA COMPLINT ATTEND KARAY GAY INFORMED BY CUSTOMER','74','2021-01-14 00:34:42','2021-01-14 00:34:42');
INSERT INTO complaint_remarks VALUES('3839','1897','PART AAGAY HAIN KAL LAG DAY GAY AAK','74','2021-01-14 00:53:51','2021-01-14 00:53:51');
INSERT INTO complaint_remarks VALUES('3840','3557','EXP 14000 CUSTOMER  NA APPROVAL DA DI HAIN','74','2021-01-14 00:55:22','2021-01-14 00:55:22');
INSERT INTO complaint_remarks VALUES('3841','3282','COMPLAINT RESOLVED','74','2021-01-14 00:57:04','2021-01-14 00:57:04');
INSERT INTO complaint_remarks VALUES('3842','1502','FF TO ANEEQ','74','2021-01-14 01:04:56','2021-01-14 01:04:56');
INSERT INTO complaint_remarks VALUES('3843','3667','KHURRAM BHAI CUSTOMER KA GHR PA HAIN WORKING IN PROCESS','74','2021-01-14 02:31:06','2021-01-14 02:31:06');
INSERT INTO complaint_remarks VALUES('3844','3628','KHALID SAB YHA COMPLAINT KAL ATTEND KARAY GAY INFORMED BY CUSTOMER','74','2021-01-14 02:39:05','2021-01-14 02:39:05');
INSERT INTO complaint_remarks VALUES('3845','3711','COMPLAINT NO PKRI-210114106552','92','2021-01-15 01:44:46','2021-01-15 01:44:46');
INSERT INTO complaint_remarks VALUES('3846','3711','COMPLAINT NO PKRI-210114106617','92','2021-01-15 01:48:17','2021-01-15 01:48:17');
INSERT INTO complaint_remarks VALUES('3847','3670','AIK VISIT HO GAYA HAIN BUT ISSUE NOT RESOLVED KAL AGAIN VISIT ADIL BAHI KO REMINDER DA DIA','74','2021-01-15 21:21:41','2021-01-15 21:21:41');
INSERT INTO complaint_remarks VALUES('3848','3589','NUMAN TECHNICIAN CUSTOMER K GHR PA HAIN','74','2021-01-15 21:28:53','2021-01-15 21:28:53');
INSERT INTO complaint_remarks VALUES('3849','3669','COMPLAINT COMPAN SIDE SA RESOLVED HO GEI CUSTOMER PENDING','74','2021-01-15 21:32:11','2021-01-15 21:32:11');
INSERT INTO complaint_remarks VALUES('3850','3668','COMPLAINT ATTEND HO GEI HAIN  UNIT LIF S/C 
S/C WALO NA LIFT KARNA','74','2021-01-15 21:38:22','2021-01-15 21:38:22');
INSERT INTO complaint_remarks VALUES('3851','3664','COMPLAINT RESOLVED','74','2021-01-15 23:51:39','2021-01-15 23:51:39');
INSERT INTO complaint_remarks VALUES('3852','3666','AGAIN VISIT TO DAY','74','2021-01-16 00:08:05','2021-01-16 00:08:05');
INSERT INTO complaint_remarks VALUES('3853','3663','COMPLAINT RESOLVED','74','2021-01-16 02:25:55','2021-01-16 02:25:55');
INSERT INTO complaint_remarks VALUES('3854','3744','03335190035  other #','74','2021-01-16 20:33:01','2021-01-16 20:33:01');
INSERT INTO complaint_remarks VALUES('3855','3489','COMPLAINT RESOLVED','92','2021-01-16 20:44:35','2021-01-16 20:44:35');
INSERT INTO complaint_remarks VALUES('3856','3579','VISIT TO DAY','92','2021-01-16 20:56:53','2021-01-16 20:56:53');
INSERT INTO complaint_remarks VALUES('3857','3605','COMPLAINT RESOLVED','92','2021-01-16 20:57:26','2021-01-16 20:57:26');
INSERT INTO complaint_remarks VALUES('3858','3713','GASS LEAKAGE KA PROB HAIN INSTALLER FULT HAIN  AZHAR SAB KO INFORMED KAR DIA','74','2021-01-16 21:05:33','2021-01-16 21:05:33');
INSERT INTO complaint_remarks VALUES('3859','3712','AFTAB  TECHNICIAN 03142437715','74','2021-01-16 21:08:26','2021-01-16 21:08:26');
INSERT INTO complaint_remarks VALUES('3860','3710','COMPLAINT RESOLVED','74','2021-01-16 21:15:19','2021-01-16 21:15:19');
INSERT INTO complaint_remarks VALUES('3861','3711','COMPANY COMPANY','74','2021-01-16 21:16:06','2021-01-16 21:16:06');
INSERT INTO complaint_remarks VALUES('3862','3709','COMPLAINT RESOLVED','74','2021-01-16 21:17:30','2021-01-16 21:17:30');
INSERT INTO complaint_remarks VALUES('3863','3708','NOT ATTEND CALL','74','2021-01-16 21:20:19','2021-01-16 21:20:19');
INSERT INTO complaint_remarks VALUES('3864','3707','COMPLAINT PA AIK VISIT HO GAYA HAIN AJ AGAIN VISIT HAIN','74','2021-01-16 21:22:04','2021-01-16 21:22:04');
INSERT INTO complaint_remarks VALUES('3865','3692','HAIER KI COMPLAINT NAI THI LG W/M KI OUT OF WARRANTY COMPLAINT THI  LG S/C KA NO CUSTOMER KO PROVIDE KAR DIA','74','2021-01-16 21:30:36','2021-01-16 21:30:36');
INSERT INTO complaint_remarks VALUES('3866','3695','COMPLAINT RESOLVED','74','2021-01-16 21:41:56','2021-01-16 21:41:56');
INSERT INTO complaint_remarks VALUES('3867','3693','COMPANY PENDING','74','2021-01-16 21:49:55','2021-01-16 21:49:55');
INSERT INTO complaint_remarks VALUES('3868','3691','PATS DEMAND KIYA HOA HIAN','74','2021-01-16 21:51:00','2021-01-16 21:51:00');
INSERT INTO complaint_remarks VALUES('3869','3688','COMPLAINT RESOLVED','74','2021-01-16 22:26:30','2021-01-16 22:26:30');
INSERT INTO complaint_remarks VALUES('3870','3685','REF REPLACE HO GAYA COMPLIANT CLOSED','74','2021-01-16 22:37:03','2021-01-16 22:37:03');
INSERT INTO complaint_remarks VALUES('3871','3676','COMPLAINT RESOLVED','74','2021-01-16 22:39:37','2021-01-16 22:39:37');
INSERT INTO complaint_remarks VALUES('3872','3675','NOT ATTEND CALL','74','2021-01-16 22:46:12','2021-01-16 22:46:12');
INSERT INTO complaint_remarks VALUES('3873','3703','COMPLAINT RESOLVED','74','2021-01-16 23:09:51','2021-01-16 23:09:51');
INSERT INTO complaint_remarks VALUES('3874','3703','CUSTOMER ABI OUT OFF CITY HAIN WAPISE AAK AGAIN COMPLIANT KARWAY GEI KHURRAM FCI KO B INFORMED KAR DIA
OTHER#03315432586','74','2021-01-16 23:14:57','2021-01-16 23:14:57');
INSERT INTO complaint_remarks VALUES('3875','1946','GILLER AGEI HAIN CUSTOMER KO NAEEM SAB KA NO PROVIDE KAR DIA','74','2021-01-16 23:39:51','2021-01-16 23:39:51');
INSERT INTO complaint_remarks VALUES('3876','2382','COMPLAINT RESOLVED','74','2021-01-16 23:41:19','2021-01-16 23:41:19');
INSERT INTO complaint_remarks VALUES('3877','3701','COMPLAINT ATTEND HO GEI HAIN PCB DEMAND','74','2021-01-16 23:44:13','2021-01-16 23:44:13');
INSERT INTO complaint_remarks VALUES('3878','2684','NOT ATTEND CALL','74','2021-01-16 23:44:34','2021-01-16 23:44:34');
INSERT INTO complaint_remarks VALUES('3879','3700','COMPLAINT PA VISIT HO GAYA HAN REF TO S/C','74','2021-01-16 23:46:52','2021-01-16 23:46:52');
INSERT INTO complaint_remarks VALUES('3880','3659','COMPLAINT RESOLVED','74','2021-01-16 23:47:39','2021-01-16 23:47:39');
INSERT INTO complaint_remarks VALUES('3881','3699','REF TO S/C','74','2021-01-16 23:49:00','2021-01-16 23:49:00');
INSERT INTO complaint_remarks VALUES('3882','3641','COMPLAINT RESOLVED','74','2021-01-16 23:52:12','2021-01-16 23:52:12');
INSERT INTO complaint_remarks VALUES('3883','3614','COMPLAINT RESOLVED','74','2021-01-16 23:55:16','2021-01-16 23:55:16');
INSERT INTO complaint_remarks VALUES('3884','3380','NOT VISIT TO COMPLAINT REMINDER DAY DEYA HAY COMPAINE MAY','92','2021-01-16 23:59:21','2021-01-16 23:59:21');
INSERT INTO complaint_remarks VALUES('3885','3697','IN PROCESS COMPLAINT
AYSHA 03319424068','74','2021-01-17 00:00:34','2021-01-17 00:00:34');
INSERT INTO complaint_remarks VALUES('3886','3696','COMPLAINT RESOLVED','74','2021-01-17 00:10:16','2021-01-17 00:10:16');
INSERT INTO complaint_remarks VALUES('3887','3510','COMPLAINT RESOLVED','74','2021-01-17 00:12:39','2021-01-17 00:12:39');
INSERT INTO complaint_remarks VALUES('3888','3044','UNIT S/C  SA READY HO K DILVER HOA CUSTOMER KO COMPLAINT RESOLVED','74','2021-01-17 00:20:36','2021-01-17 00:20:36');
INSERT INTO complaint_remarks VALUES('3889','3694','CUSTOMER SIDE SA DELAY','74','2021-01-17 00:21:17','2021-01-17 00:21:17');
INSERT INTO complaint_remarks VALUES('3890','3675','COMPLAINT RESOLVED','74','2021-01-17 00:24:58','2021-01-17 00:24:58');
INSERT INTO complaint_remarks VALUES('3891','3625','NOT ATTEND CALL','92','2021-01-17 00:25:23','2021-01-17 00:25:23');
INSERT INTO complaint_remarks VALUES('3892','3152','COMPLAINT RESOLVED','74','2021-01-17 00:26:10','2021-01-17 00:26:10');
INSERT INTO complaint_remarks VALUES('3893','3509','COMPLAINT RESOLVED','92','2021-01-17 00:29:38','2021-01-17 00:29:38');
INSERT INTO complaint_remarks VALUES('3894','3743','COMPLAINT RESOLVED','74','2021-01-17 00:29:48','2021-01-17 00:29:48');
INSERT INTO complaint_remarks VALUES('3895','3512','COMPLAINT RESOLVED','92','2021-01-17 00:31:42','2021-01-17 00:31:42');
INSERT INTO complaint_remarks VALUES('3896','3674','COMPLAINT RESOLVED','74','2021-01-17 00:31:54','2021-01-17 00:31:54');
INSERT INTO complaint_remarks VALUES('3897','3434','CUSTOMER KO W/M REPLACE KAR DI CUSTOMER KI W/M AZEEM SAB K PASS HAIN COMPLAINT CLOSED','74','2021-01-17 00:37:56','2021-01-17 00:37:56');
INSERT INTO complaint_remarks VALUES('3898','3672','COMPLAINT RESOLVED','74','2021-01-17 00:49:15','2021-01-17 00:49:15');
INSERT INTO complaint_remarks VALUES('3899','2778','COMPLAINT AGAIN REOPNE KARWA DI','74','2021-01-17 01:11:42','2021-01-17 01:11:42');
INSERT INTO complaint_remarks VALUES('3900','3669','AHMED SAB SA CONFIRM KAR K  COMPLAINT CLOSED KI CUSTOMER STILL NOT ATTEND CALL','74','2021-01-17 01:15:51','2021-01-17 01:15:51');
INSERT INTO complaint_remarks VALUES('3901','3673','COMPLAINT ATTEND HO GEI HAIN REF TO S/C','74','2021-01-17 01:18:01','2021-01-17 01:18:01');
INSERT INTO complaint_remarks VALUES('3902','2920','COMPLAINT RESOLVED','74','2021-01-17 01:59:02','2021-01-17 01:59:02');
INSERT INTO complaint_remarks VALUES('3903','3666','COMPLAINT RESOLVED','74','2021-01-17 02:00:43','2021-01-17 02:00:43');
INSERT INTO complaint_remarks VALUES('3904','3039','CUSTOMER ABI BUSY HAIN','74','2021-01-17 02:06:49','2021-01-17 02:06:49');
INSERT INTO complaint_remarks VALUES('3905','3660','COMPLAINT RESOLVED','74','2021-01-17 02:07:03','2021-01-17 02:07:03');
INSERT INTO complaint_remarks VALUES('3906','3657','COMPLAINT ATTEND HO GEI HAIN EXP BATA DIA CUSTOMER KO ABI CUSTOMER NA COMPLAINT CLOSED KARWA DI KHUD','74','2021-01-17 02:13:52','2021-01-17 02:13:52');
INSERT INTO complaint_remarks VALUES('3907','2729','COMPLAINT FF TO ANEEQ','74','2021-01-17 02:17:30','2021-01-17 02:17:30');
INSERT INTO complaint_remarks VALUES('3908','2039','FF TO ANEEQ','74','2021-01-17 02:20:11','2021-01-17 02:20:11');
INSERT INTO complaint_remarks VALUES('3909','3662','COMPLAINT PA AIK VISIT  HO GAYA HAIN BUT ISSUE RESOLVED NAI HOA AGAIN COMPLAINT KARWA DI','74','2021-01-17 02:29:00','2021-01-17 02:29:00');
INSERT INTO complaint_remarks VALUES('3910','1639','COMPLAINT FF TO ANEEQ','74','2021-01-17 02:32:52','2021-01-17 02:32:52');
INSERT INTO complaint_remarks VALUES('3911','3470','COMPLAINT RESOLVED','74','2021-01-17 02:41:06','2021-01-17 02:41:06');
INSERT INTO complaint_remarks VALUES('3912','2977','COMPLAINT RESOLVED','74','2021-01-17 02:45:05','2021-01-17 02:45:05');
INSERT INTO complaint_remarks VALUES('3913','3653','COMPLAINT CLOSED','74','2021-01-17 02:48:32','2021-01-17 02:48:32');
INSERT INTO complaint_remarks VALUES('3914','2786','YHA ANEEQ& ASLAM SAB KNOWLADE MAIN HAIN DAMAGE HAIN','74','2021-01-17 02:50:26','2021-01-17 02:50:26');
INSERT INTO complaint_remarks VALUES('3915','3649','COMPLAINT RESOLVED','74','2021-01-17 02:54:44','2021-01-17 02:54:44');
INSERT INTO complaint_remarks VALUES('3916','3729','COMPLAINT RESOLVED','92','2021-01-18 01:38:48','2021-01-18 01:38:48');
INSERT INTO complaint_remarks VALUES('3917','3728','COMPLAINT RESOLVED','92','2021-01-18 01:40:16','2021-01-18 01:40:16');
INSERT INTO complaint_remarks VALUES('3918','3723','COMPLAINT RESOLVED','92','2021-01-18 01:50:23','2021-01-18 01:50:23');
INSERT INTO complaint_remarks VALUES('3919','3720','PART ISSUE COMPLAINT IN PROCESS','92','2021-01-18 02:00:10','2021-01-18 02:00:10');
INSERT INTO complaint_remarks VALUES('3920','3719','NOT ATTEND CALL','92','2021-01-18 02:01:41','2021-01-18 02:01:41');
INSERT INTO complaint_remarks VALUES('3921','3717','NOT VISIT TO COMPLAINT','92','2021-01-18 02:04:37','2021-01-18 02:04:37');
INSERT INTO complaint_remarks VALUES('3922','3716','NOT ATTEND CALL','92','2021-01-18 02:06:38','2021-01-18 02:06:38');
INSERT INTO complaint_remarks VALUES('3923','3715','NOT ATTEND CALL','92','2021-01-18 02:08:42','2021-01-18 02:08:42');
INSERT INTO complaint_remarks VALUES('3924','3646','COMPLAINT RESOLVED','92','2021-01-18 02:11:20','2021-01-18 02:11:20');
INSERT INTO complaint_remarks VALUES('3925','3637','COMPLAINT RESOLVED','92','2021-01-18 02:20:01','2021-01-18 02:20:01');
INSERT INTO complaint_remarks VALUES('3926','3741','COMPLAINT ATTEND HO GEI HAIN CUSTOMER KI WALL PA SAAM HAIN','74','2021-01-18 20:36:31','2021-01-18 20:36:31');
INSERT INTO complaint_remarks VALUES('3927','3741','UNIT MAIN KOI ISSUE NI','74','2021-01-18 20:42:14','2021-01-18 20:42:14');
INSERT INTO complaint_remarks VALUES('3928','3715','COMPLAINT RESOLVED','74','2021-01-18 20:58:26','2021-01-18 20:58:26');
INSERT INTO complaint_remarks VALUES('3929','3625','AIK VISIT HO GAY HAIN AJ AGAIN VISIT','74','2021-01-18 21:00:14','2021-01-18 21:00:14');
INSERT INTO complaint_remarks VALUES('3930','3636','COMPLAINT RESOLVED','74','2021-01-18 21:01:14','2021-01-18 21:01:14');
INSERT INTO complaint_remarks VALUES('3931','3562','MAIL HEAD OFFICE FF HOI V HAIN','74','2021-01-18 21:09:53','2021-01-18 21:09:53');
INSERT INTO complaint_remarks VALUES('3932','3552','REF TO S/C','74','2021-01-18 21:17:00','2021-01-18 21:17:00');
INSERT INTO complaint_remarks VALUES('3933','3740','COMPLAINT ATTEND  HO GEI HAIN CARD KA ISSUE CARD DEMAND KAR DIA','74','2021-01-18 21:18:09','2021-01-18 21:18:09');
INSERT INTO complaint_remarks VALUES('3934','3519','COMPLAINT PA AGAIN VISIT HO GAYA HAIN CUSTOMER NA AJ COMPLINT CLOSED KHUD KARWA DI ABI KUCH TIME CHEEK KARAY GAY','74','2021-01-18 21:21:48','2021-01-18 21:21:48');
INSERT INTO complaint_remarks VALUES('3935','3680','REF TO S/C  ANEEQ KO INFORMED','74','2021-01-18 21:24:20','2021-01-18 21:24:20');
INSERT INTO complaint_remarks VALUES('3936','3680','COMPLAINT CLOSED','74','2021-01-18 21:26:22','2021-01-18 21:26:22');
INSERT INTO complaint_remarks VALUES('3937','3557','COMPLAINT RESOLVED','74','2021-01-18 21:28:52','2021-01-18 21:28:52');
INSERT INTO complaint_remarks VALUES('3938','3379','CUSTOMER KO EXP INFORMED KAR DIA HAIN BUT CUSTOMER ABI INTERESTED NAI HAIN ABI JOB CLOSED KARWA DI','74','2021-01-18 21:32:38','2021-01-18 21:32:38');
INSERT INTO complaint_remarks VALUES('3939','3380','VISIT TO DAY','74','2021-01-18 21:46:32','2021-01-18 21:46:32');
INSERT INTO complaint_remarks VALUES('3940','3314','COMPLAINT RESOLVED','74','2021-01-18 21:48:09','2021-01-18 21:48:09');
INSERT INTO complaint_remarks VALUES('3941','3313','COMPLAINT RESOLVED','74','2021-01-18 21:50:55','2021-01-18 21:50:55');
INSERT INTO complaint_remarks VALUES('3942','2691','COMPLAINT RESOLVED','74','2021-01-18 21:52:41','2021-01-18 21:52:41');
INSERT INTO complaint_remarks VALUES('3943','2993','WORKING IN PROCESS','74','2021-01-18 21:55:28','2021-01-18 21:55:28');
INSERT INTO complaint_remarks VALUES('3944','3738','COMPLAINT RESOLVED','74','2021-01-18 21:55:58','2021-01-18 21:55:58');
INSERT INTO complaint_remarks VALUES('3945','1897','S/C K PASS CARD AAGAY HAIN EXP 3000 APROVAL K LIYA BUT PWD KO INFORMED KAR DIA','74','2021-01-18 22:02:04','2021-01-18 22:02:04');
INSERT INTO complaint_remarks VALUES('3946','3734','COMPLAINT RESOLVED','74','2021-01-18 22:06:35','2021-01-18 22:06:35');
INSERT INTO complaint_remarks VALUES('3947','3427','COMPLAINT RESOLVED','74','2021-01-18 22:30:48','2021-01-18 22:30:48');
INSERT INTO complaint_remarks VALUES('3948','3717','COMPALINT ATTEND HO GEI HAIN PARTS DEMAND KIYA HAO HAIN','74','2021-01-18 23:55:36','2021-01-18 23:55:36');
INSERT INTO complaint_remarks VALUES('3949','2298','COMPLAINT FF TO ANEEQ','74','2021-01-19 00:03:46','2021-01-19 00:03:46');
INSERT INTO complaint_remarks VALUES('3950','2385','FF TO ANEEQ','74','2021-01-19 00:06:42','2021-01-19 00:06:42');
INSERT INTO complaint_remarks VALUES('3951','3793','RWP-17608','92','2021-01-19 00:09:34','2021-01-19 00:09:34');
INSERT INTO complaint_remarks VALUES('3952','2843','FF TO ANEEQ','74','2021-01-19 00:19:01','2021-01-19 00:19:01');
INSERT INTO complaint_remarks VALUES('3953','3326','S/C WORKING IN PROCESS USMAN SAB KO REMINDER DA DIA','74','2021-01-19 00:33:20','2021-01-19 00:33:20');
INSERT INTO complaint_remarks VALUES('3954','3632','COMPLAINT RESOLVED','74','2021-01-19 00:33:39','2021-01-19 00:33:39');
INSERT INTO complaint_remarks VALUES('3955','3635','COMPLAINT ATTEND HO GEI COMPRESSOR ISSUE HAIN REF TO S/C CUSTOMER KO PEL S/C KA NO PROVIDE KAR DIA','74','2021-01-19 00:37:12','2021-01-19 00:37:12');
INSERT INTO complaint_remarks VALUES('3956','3629','CUSTOMER AJ HI S/C LA K GAY HAIN','74','2021-01-19 00:40:42','2021-01-19 00:40:42');
INSERT INTO complaint_remarks VALUES('3957','3627','COMPLAINT RESOLVED','74','2021-01-19 00:41:47','2021-01-19 00:41:47');
INSERT INTO complaint_remarks VALUES('3958','3623','COMPLAINT RESOLVED','74','2021-01-19 00:45:14','2021-01-19 00:45:14');
INSERT INTO complaint_remarks VALUES('3959','3622','COMPLIANT ATTEND HO GEI HAIN REF TO S/C CUSTOMER KO NAEEM SAB KA NO PROVIDE KAR DIA','74','2021-01-19 00:49:50','2021-01-19 00:49:50');
INSERT INTO complaint_remarks VALUES('3960','3619','COMPLAINT RESOLVED','74','2021-01-19 00:57:23','2021-01-19 00:57:23');
INSERT INTO complaint_remarks VALUES('3961','1767','FF TO ANEEQ','74','2021-01-19 01:02:12','2021-01-19 01:02:12');
INSERT INTO complaint_remarks VALUES('3962','3612','AGAIN REMINDER DA DIA','74','2021-01-19 01:05:38','2021-01-19 01:05:38');
INSERT INTO complaint_remarks VALUES('3963','3655','COMPLAINT RESOLVED','92','2021-01-19 01:07:16','2021-01-19 01:07:16');
INSERT INTO complaint_remarks VALUES('3964','3654','VISIT TO DAY','92','2021-01-19 01:13:27','2021-01-19 01:13:27');
INSERT INTO complaint_remarks VALUES('3965','3626','VISIT TO DAY','74','2021-01-19 01:25:07','2021-01-19 01:25:07');
INSERT INTO complaint_remarks VALUES('3966','3609','CUSTOMER NA YHA HEATER   WAPISE KAR DIA COMPLAINT CLOSED','74','2021-01-19 01:27:17','2021-01-19 01:27:17');
INSERT INTO complaint_remarks VALUES('3967','3559','CUSTOMER KO B INFORMED KAR DIA','74','2021-01-19 01:30:38','2021-01-19 01:30:38');
INSERT INTO complaint_remarks VALUES('3968','3606','COMPLAINT RESOLVED','74','2021-01-19 01:50:10','2021-01-19 01:50:10');
INSERT INTO complaint_remarks VALUES('3969','3788','IN PROCESS COMPLINT WAQAS PED INFORMED KAR DIA','74','2021-01-19 01:51:35','2021-01-19 01:51:35');
INSERT INTO complaint_remarks VALUES('3970','3618','YHA CUSTOMER STILL CALL ATTEND NAI KAR RAHAY DONO NO SA NAVEED FHHS KO INFORMED KAR DIA','74','2021-01-19 01:54:05','2021-01-19 01:54:05');
INSERT INTO complaint_remarks VALUES('3971','3579','COMPLAINT RESOLVED','74','2021-01-19 02:33:07','2021-01-19 02:33:07');
INSERT INTO complaint_remarks VALUES('3972','3786','COMPLAINT ATTEND HO GEI HAIN SHOWROOM PA  GEYSER REF TO S/C SHAHZAD SAB INFORMED KAR DIA HAIN GEYSER GUL NOOR PA MOVE KARWA DAY','74','2021-01-19 02:35:36','2021-01-19 02:35:36');
INSERT INTO complaint_remarks VALUES('3973','3577','COMPLIANT RESOLVED','74','2021-01-19 02:40:56','2021-01-19 02:40:56');
INSERT INTO complaint_remarks VALUES('3974','3754','VISIT TO DAY','74','2021-01-19 03:11:14','2021-01-19 03:11:14');
INSERT INTO complaint_remarks VALUES('3975','2601','USMAN TECHNICIAN 03121771440','74','2021-01-19 19:41:25','2021-01-19 19:41:25');
INSERT INTO complaint_remarks VALUES('3976','3769','VISIT TO DAY','74','2021-01-19 19:42:29','2021-01-19 19:42:29');
INSERT INTO complaint_remarks VALUES('3977','3769','COMPLAINT RESOLVED','74','2021-01-19 19:48:33','2021-01-19 19:48:33');
INSERT INTO complaint_remarks VALUES('3978','2107','COMPLAINT RESOLVED','74','2021-01-19 19:49:18','2021-01-19 19:49:18');
INSERT INTO complaint_remarks VALUES('3979','2601','LHR SET DISPATCH KARWAY USMAN SAB NA WAHA SA SET READY HO K AAY GA14-JAN 2021','74','2021-01-19 19:52:27','2021-01-19 19:52:27');
INSERT INTO complaint_remarks VALUES('3980','3258','COMPLAINT RESOLVED','74','2021-01-19 19:55:41','2021-01-19 19:55:41');
INSERT INTO complaint_remarks VALUES('3981','2900','COMPLAINT RESOLVED','74','2021-01-19 19:58:16','2021-01-19 19:58:16');
INSERT INTO complaint_remarks VALUES('3982','2178','YHA SET 1-10/3 S/C MAIN DAMAGE HAIN  ISSUE NOT RESOLVED','74','2021-01-19 20:00:50','2021-01-19 20:00:50');
INSERT INTO complaint_remarks VALUES('3983','3746','COMPLAINT RESOLVED','74','2021-01-19 20:03:25','2021-01-19 20:03:25');
INSERT INTO complaint_remarks VALUES('3984','2945','COVID KI WAJA SA CUSTOMER NA COMPLAINT CLOSED KARWA DI THI AJ AGAIN COMPLINT FF KARWA DI INFORMED BY CUSTOMER','74','2021-01-19 20:28:05','2021-01-19 20:28:05');
INSERT INTO complaint_remarks VALUES('3985','2961','SET ABI OK CHAL RAHAY  HAIN  CUSTOMER K PASS SHAKEEL SAB KA NO HAIN KOI ISSUE AAY GA TU CALL KAR LAY K DIRECT COMPLAINT CLOSED','74','2021-01-19 20:38:51','2021-01-19 20:38:51');
INSERT INTO complaint_remarks VALUES('3986','2299','COMPLAINT RESOLVED','74','2021-01-19 20:45:38','2021-01-19 20:45:38');
INSERT INTO complaint_remarks VALUES('3987','3235','COMPLAINT RESOLVED','74','2021-01-19 20:46:40','2021-01-19 20:46:40');
INSERT INTO complaint_remarks VALUES('3988','3253','COMPLAINT RESOLVED','74','2021-01-19 20:51:42','2021-01-19 20:51:42');
INSERT INTO complaint_remarks VALUES('3989','3276','CUSTOMER KI SIDE SA DELAY HAIN COMPLINT CUSTOMER NA KHUD S/C MOVE KARWANI HAIN ABI CLOSED KARWA DI HAIN COMPLAINT','74','2021-01-19 20:57:25','2021-01-19 20:57:25');
INSERT INTO complaint_remarks VALUES('3990','3276','COMPLAINT RESOLVED','74','2021-01-19 20:58:22','2021-01-19 20:58:22');
INSERT INTO complaint_remarks VALUES('3991','3126','COMPLAINT RESOLVED','74','2021-01-19 21:00:53','2021-01-19 21:00:53');
INSERT INTO complaint_remarks VALUES('3992','2860','COMPLAINT RESOLVED','74','2021-01-19 21:17:38','2021-01-19 21:17:38');
INSERT INTO complaint_remarks VALUES('3993','3751','COMPLAINT RESOLVED','74','2021-01-19 21:18:27','2021-01-19 21:18:27');
INSERT INTO complaint_remarks VALUES('3994','2819','COM PAINT  RESOLVED S/C SA READY HO K GEI HAIN','74','2021-01-19 21:45:13','2021-01-19 21:45:13');
INSERT INTO complaint_remarks VALUES('3995','3278','COMPLAINT COMPANY SIDE SA CANCEL THI AGAIN COMPLAINT REPEN KARWA DI','74','2021-01-19 21:52:00','2021-01-19 21:52:00');
INSERT INTO complaint_remarks VALUES('3996','3405','0544292219 S/C AD  ELECTRIC . BACK LIGHT DEMAND  KI HOI HAIN','74','2021-01-19 21:58:53','2021-01-19 21:58:53');
INSERT INTO complaint_remarks VALUES('3997','3405','WORKING IN PROCESS','74','2021-01-19 21:59:06','2021-01-19 21:59:06');
INSERT INTO complaint_remarks VALUES('3998','3455','CUSTOMER KI SIDE SA DELAY HAIN COMPLAINT','74','2021-01-19 22:09:43','2021-01-19 22:09:43');
INSERT INTO complaint_remarks VALUES('3999','3455','ZEESHAN SAB KOM INFORMED KAR DIA HAIN CUSTOMER KA PASS AHMED SAB K NO HAIN DIRECT CONTACT KAR LAY GAY','74','2021-01-19 22:11:10','2021-01-19 22:11:10');
INSERT INTO complaint_remarks VALUES('4000','3455','COMPLAINT CLOSED','74','2021-01-19 22:16:08','2021-01-19 22:16:08');
INSERT INTO complaint_remarks VALUES('4001','3713','COMPLAINT RESOLVED','74','2021-01-20 00:18:10','2021-01-20 00:18:10');
INSERT INTO complaint_remarks VALUES('4002','3654','VISIT TO DAY','92','2021-01-20 00:21:08','2021-01-20 00:21:08');
INSERT INTO complaint_remarks VALUES('4003','3668','CUSTOMER NA A/C UTARWA DIA HAIN S/C WALO NA PICK KARANA','74','2021-01-20 00:32:36','2021-01-20 00:32:36');
INSERT INTO complaint_remarks VALUES('4004','2143','COMPLAINT RESOLVED','74','2021-01-20 00:35:29','2021-01-20 00:35:29');
INSERT INTO complaint_remarks VALUES('4005','3699','S/C WORKING IN PROCESS','74','2021-01-20 00:46:27','2021-01-20 00:46:27');
INSERT INTO complaint_remarks VALUES('4006','3626','GASS REFILE KAR DI','74','2021-01-20 01:33:48','2021-01-20 01:33:48');
INSERT INTO complaint_remarks VALUES('4007','3673','OUT DOOR REPLACE
COMPLAINT UNIT KASHIF TCL K S/C MOVE HONA','74','2021-01-20 01:37:55','2021-01-20 01:37:55');
INSERT INTO complaint_remarks VALUES('4008','3473','BILAL MANZOOR KO MOHSHIN SAB KA NO PROVIDE KAR DIA','74','2021-01-20 01:39:53','2021-01-20 01:39:53');
INSERT INTO complaint_remarks VALUES('4009','3640','NOT ATTEND CALL ORINT MAIN REMINDER DA DIA','74','2021-01-20 01:44:19','2021-01-20 01:44:19');
INSERT INTO complaint_remarks VALUES('4010','3097','UNIT REPLACE COMPLAINT CLOSED','74','2021-01-20 01:47:40','2021-01-20 01:47:40');
INSERT INTO complaint_remarks VALUES('4011','3372','PARTS  KI COMPLAINT DELAY HAIN','74','2021-01-20 01:54:00','2021-01-20 01:54:00');
INSERT INTO complaint_remarks VALUES('4012','3618','CUSTOMER STILL CALL ATTEND NAI KAR RAHY HAIN 
NAVEED FHHS K B INFORMED KAR DIA COMPLAINT CLOSED','74','2021-01-20 02:02:21','2021-01-20 02:02:21');
INSERT INTO complaint_remarks VALUES('4013','3626','COMPLAINT RESOLVED','74','2021-01-20 02:07:32','2021-01-20 02:07:32');
INSERT INTO complaint_remarks VALUES('4014','3360','COMPLAINT PA AIK VISIT HO GAYA SOUND ISSUE AARHA AGAIN COMPLAINT FF KARWA DI COMPLAINT CLOSED','74','2021-01-20 02:13:20','2021-01-20 02:13:20');
INSERT INTO complaint_remarks VALUES('4015','3740','PATRS AAY GAY HAI ASIF SIR SUB HA UP DATE KARAY GAY','74','2021-01-20 02:28:47','2021-01-20 02:28:47');
INSERT INTO complaint_remarks VALUES('4016','2235','COMPANY SIDE SA CUSTOMER KI LED REPLACE HOI HAIN COMPLAINT RESOLVEDD','74','2021-01-20 02:37:35','2021-01-20 02:37:35');
INSERT INTO complaint_remarks VALUES('4017','2585','COMPANY SIDE SA CUSTOMER KO LED REPLACE HOI HAIN COMPLAINT RESOLVED','74','2021-01-20 02:38:31','2021-01-20 02:38:31');
INSERT INTO complaint_remarks VALUES('4018','2968','COMPLAINT RESOLVED','74','2021-01-20 02:42:34','2021-01-20 02:42:34');
INSERT INTO complaint_remarks VALUES('4019','3787','COMPLAINT RESOLVED','74','2021-01-20 20:02:04','2021-01-20 20:02:04');
INSERT INTO complaint_remarks VALUES('4020','3802','CONTACT BILAL MANZOOR','74','2021-01-20 20:05:50','2021-01-20 20:05:50');
INSERT INTO complaint_remarks VALUES('4021','3785','GASS REFIL HO GEI HAIN  CUSTOMER K INSTALLER NA REFIL KI GASS COMPLAINT RESOLVED','74','2021-01-20 20:30:11','2021-01-20 20:30:11');
INSERT INTO complaint_remarks VALUES('4022','3785','COMPLAINT RESOVED','74','2021-01-20 20:31:15','2021-01-20 20:31:15');
INSERT INTO complaint_remarks VALUES('4023','3783','COMPLAINT RESOLVED','74','2021-01-20 20:35:15','2021-01-20 20:35:15');
INSERT INTO complaint_remarks VALUES('4024','2981','SET AHSAN SAB K PASS HAIN ASLAM SAB& ANEEQ KO BATA DIA HIAN  DAMAGE KA ABI KOI HAL NAI COMPLIANT CLOSED','74','2021-01-20 20:41:00','2021-01-20 20:41:00');
INSERT INTO complaint_remarks VALUES('4025','2978','COMPLAINT CLOSED','74','2021-01-20 20:44:36','2021-01-20 20:44:36');
INSERT INTO complaint_remarks VALUES('4026','3326','RAMEEZ SAB K S/C MAIN DISHWASHER READY HAIN DILVER KARWANA HAIN','74','2021-01-20 20:46:31','2021-01-20 20:46:31');
INSERT INTO complaint_remarks VALUES('4027','3677','COMPLAINT ATTEND HO GEI HAIN PATS KI WAJ SA DELAY','74','2021-01-20 21:13:39','2021-01-20 21:13:39');
INSERT INTO complaint_remarks VALUES('4028','3782','COMPLANT ATTEND HO GEI HAIN PATS KI WAJA SA DELAY','74','2021-01-20 21:15:25','2021-01-20 21:15:25');
INSERT INTO complaint_remarks VALUES('4029','3262','03335739918 CUSTOMER STILL CALL ATTEND NAI KAR RAHAY THY JIS KI WAJ SA S/C MAIN COMPLAINT CLOSED THI AJ AGAIN CALL KI OTHER # PA COMPLIANT FF
 KARWAI INFORMED BY CUSTOMER','74','2021-01-20 21:29:06','2021-01-20 21:29:06');
INSERT INTO complaint_remarks VALUES('4030','2037','ASLAM SIR NA GRN KAR K CLOSED KAR DI HAIN','74','2021-01-20 21:34:50','2021-01-20 21:34:50');
INSERT INTO complaint_remarks VALUES('4031','3766','COMPLAINT RESOLVED','74','2021-01-20 21:54:19','2021-01-20 21:54:19');
INSERT INTO complaint_remarks VALUES('4032','2825','COMPLAINT RESOLVED','74','2021-01-20 21:58:30','2021-01-20 21:58:30');
INSERT INTO complaint_remarks VALUES('4033','3779','COMPLAINT RESOLVED','74','2021-01-20 22:00:12','2021-01-20 22:00:12');
INSERT INTO complaint_remarks VALUES('4034','3000','CUSTOMER NA LOCAL  TECHNICIAN SA COMPLIANT RESOLVED HO GAYA HAIN','74','2021-01-20 22:03:17','2021-01-20 22:03:17');
INSERT INTO complaint_remarks VALUES('4035','3757','COMPLAINT RESOLVED','74','2021-01-20 22:09:18','2021-01-20 22:09:18');
INSERT INTO complaint_remarks VALUES('4036','3756','COMPLAINT RESOLVED','74','2021-01-20 22:09:52','2021-01-20 22:09:52');
INSERT INTO complaint_remarks VALUES('4037','3103','COMPLAINT RESOLVED','74','2021-01-20 22:11:43','2021-01-20 22:11:43');
INSERT INTO complaint_remarks VALUES('4038','3266','CUSTOMER NA A/C REPLACE KARWA LIYA  NAEEM AHMED SA UNIT ABI BADAL SAB K PASS HAIN ABI IC KI KOI COMPLAINT NAI KARWAI','74','2021-01-20 22:46:00','2021-01-20 22:46:00');
INSERT INTO complaint_remarks VALUES('4039','3266','COMPLAINT RESOLVED','74','2021-01-20 22:46:37','2021-01-20 22:46:37');
INSERT INTO complaint_remarks VALUES('4040','3350','COMPLAINT RESOLVED','74','2021-01-20 22:48:14','2021-01-20 22:48:14');
INSERT INTO complaint_remarks VALUES('4041','3211','CUSTOMER NA KHUD COMPLAINT RESOLVED KARWA LI COMPLAINT  RESOLVED','74','2021-01-20 22:58:51','2021-01-20 22:58:51');
INSERT INTO complaint_remarks VALUES('4042','3356','COMPLAINT RESOLVED','74','2021-01-20 23:39:46','2021-01-20 23:39:46');
INSERT INTO complaint_remarks VALUES('4043','3366','GEYSER S/C MAIN READY HAIN CUSTOMER KO PICK KARNAY K LIYA  INFORMED KA DIA','74','2021-01-21 00:28:53','2021-01-21 00:28:53');
INSERT INTO complaint_remarks VALUES('4044','2921','COMPLAINT RESOLVED','74','2021-01-21 00:34:25','2021-01-21 00:34:25');
INSERT INTO complaint_remarks VALUES('4045','3516','COMPLAINT RESOLVED','74','2021-01-21 00:44:24','2021-01-21 00:44:24');
INSERT INTO complaint_remarks VALUES('4046','3541','HEAT TANK KA ISSUE CUSTOMER FHHS SHOWROOM PA KAL BAJWA RAHAY HAIN','74','2021-01-21 01:35:17','2021-01-21 01:35:17');
INSERT INTO complaint_remarks VALUES('4047','3761','COMPLAINT ATTEND HO GEI HAIN TANK KA ISSUE REPLACE HO GA','74','2021-01-21 01:37:03','2021-01-21 01:37:03');
INSERT INTO complaint_remarks VALUES('4048','3735','COMPLAINT RESOLVED','74','2021-01-21 01:39:55','2021-01-21 01:39:55');
INSERT INTO complaint_remarks VALUES('4049','3622','CUSTOMER KI SIDE SA DELAY HAIN COMPLAINT CUSTOMER NA KHUD S/C LA  K JAR RAHY HAIN  RIZWAN SAB KO B INFORMED KAR DIA','74','2021-01-21 20:08:37','2021-01-21 20:08:37');
INSERT INTO complaint_remarks VALUES('4050','3749','COMPLAINT RESOLVED','74','2021-01-21 20:14:24','2021-01-21 20:14:24');
INSERT INTO complaint_remarks VALUES('4051','3654','OUT DOOR PCD CARD KA ISSUE WARRANTY NI','74','2021-01-21 20:32:02','2021-01-21 20:32:02');
INSERT INTO complaint_remarks VALUES('4052','3717','PARTS KI WAJA SA DELAY','74','2021-01-21 20:47:22','2021-01-21 20:47:22');
INSERT INTO complaint_remarks VALUES('4053','3733','051-5148357','74','2021-01-21 20:52:22','2021-01-21 20:52:22');
INSERT INTO complaint_remarks VALUES('4054','3733','COMPLAINT RESOLVED','74','2021-01-21 20:53:59','2021-01-21 20:53:59');
INSERT INTO complaint_remarks VALUES('4055','3039','COMPLAINT ATTEND HO GEI HAIN 600 VISIT CHARGES B CUSTOMER NA PAY KIYA GASS LEAKAGE KA ISSUE HAIN REF TO S/C  BUT CUSTOMER SIDE SA DELAY COMPLIANT','74','2021-01-21 20:55:56','2021-01-21 20:55:56');
INSERT INTO complaint_remarks VALUES('4056','3862','COMPLAINT CANCEL COMPLAINT RESOLVED','92','2021-01-21 21:15:29','2021-01-21 21:15:29');
INSERT INTO complaint_remarks VALUES('4057','3720','COMPLIANT RESOLVED','74','2021-01-21 21:21:02','2021-01-21 21:21:02');
INSERT INTO complaint_remarks VALUES('4058','3811','COMPLAINT RESOLVED','74','2021-01-21 21:36:23','2021-01-21 21:36:23');
INSERT INTO complaint_remarks VALUES('4059','3807','COMPLAINT RESOLVED','74','2021-01-21 21:38:08','2021-01-21 21:38:08');
INSERT INTO complaint_remarks VALUES('4060','3741','COMPLAINT RESOLVED','74','2021-01-21 22:01:50','2021-01-21 22:01:50');
INSERT INTO complaint_remarks VALUES('4061','3629','S/C WORKING IN PROCESS','74','2021-01-21 22:08:53','2021-01-21 22:08:53');
INSERT INTO complaint_remarks VALUES('4062','3719','CUSTOMER KO COMPANY SIDE SA VISIT K LIYA CALL KI  JA RAHI BUT CUSTOMER BUSY BOL K CALL BAND KAR DATAY AJ B CALL KI CUSTOMER NA AJ B YHA BOL K CALL END KAR DI  SAM SAB KO INFORMED KAR K COMPLIANT CLOSED KI','74','2021-01-21 22:13:49','2021-01-21 22:13:49');
INSERT INTO complaint_remarks VALUES('4063','3541','CUSTOMER  NA W/D FHHS SHOWROOM PA DROP KARWA DIA HAIN NEW COMPLAINT ADIL FHSS K NAAM PA NEW COMPLAINT ENTER KARWA DIA','74','2021-01-21 22:25:01','2021-01-21 22:25:01');
INSERT INTO complaint_remarks VALUES('4064','3770','COMPLAINT RESOLVED','74','2021-01-21 22:30:47','2021-01-21 22:30:47');
INSERT INTO complaint_remarks VALUES('4065','3726','CUSTOMER KA ISSUE KHUD HI RESOLVED HO GAYA NO VISIT COMPANY SIDE','74','2021-01-21 22:50:50','2021-01-21 22:50:50');
INSERT INTO complaint_remarks VALUES('4066','3612','CUSTOMER ABI GHR PA VAIL NAI HAIN AHMED SAB KA NO CUSTOMER KA PASS HAIN ABI COMPLINT CUSTOMER NA CLOSED KARWA DI','74','2021-01-21 23:00:39','2021-01-21 23:00:39');
INSERT INTO complaint_remarks VALUES('4067','3717','PARTS ONE WEEK TAQ AAJY GA','74','2021-01-21 23:02:10','2021-01-21 23:02:10');
INSERT INTO complaint_remarks VALUES('4068','3708','COMPLAINT RESOLVED','74','2021-01-21 23:45:21','2021-01-21 23:45:21');
INSERT INTO complaint_remarks VALUES('4069','3712','COMPLAINT RESOLVED','74','2021-01-21 23:46:38','2021-01-21 23:46:38');
INSERT INTO complaint_remarks VALUES('4070','3670','YHA I 10/3 SA BOACH S/C MOVE HOA HEAT PUMP ISSUE . EXP 37000','74','2021-01-21 23:55:40','2021-01-21 23:55:40');
INSERT INTO complaint_remarks VALUES('4071','2150','IC COMPLAINT KO SALE WALY LOOK AFTER KARAY GAY BILA MANZOOR KO INVOICE SHER KAR DI','74','2021-01-22 00:03:37','2021-01-22 00:03:37');
INSERT INTO complaint_remarks VALUES('4072','2150','IRFAN  SAB KO B INFORMED KAR DIA COMPLAINT CLOSED','74','2021-01-22 00:11:30','2021-01-22 00:11:30');
INSERT INTO complaint_remarks VALUES('4073','3764','COMPLAINT RESOLVED HO GEI HAIN CUSTOMER KA NO STILL P/OFF JA RAHAY S/C SA 
FOLLOWUP LA K COMPLAINT CLOSED KI','74','2021-01-22 00:15:38','2021-01-22 00:15:38');
INSERT INTO complaint_remarks VALUES('4074','3808','COMPLAINT RESOLVED','74','2021-01-22 00:21:05','2021-01-22 00:21:05');
INSERT INTO complaint_remarks VALUES('4075','3806','COMPLAINT RESOLVED','74','2021-01-22 00:23:08','2021-01-22 00:23:08');
INSERT INTO complaint_remarks VALUES('4076','3808','S/C WORKING IN PROCESS','74','2021-01-22 00:35:49','2021-01-22 00:35:49');
INSERT INTO complaint_remarks VALUES('4077','3800','COMPLAINT RESOLVED','74','2021-01-22 00:37:56','2021-01-22 00:37:56');
INSERT INTO complaint_remarks VALUES('4078','3380','COMPLAINT RESOLVED','74','2021-01-22 00:43:43','2021-01-22 00:43:43');
INSERT INTO complaint_remarks VALUES('4079','3414','COMPLAINT RESOLVED','74','2021-01-22 00:47:20','2021-01-22 00:47:20');
INSERT INTO complaint_remarks VALUES('4080','3240','TAQUEER SAB COMPLAINANT# WHATSAPP KAR DIA','74','2021-01-22 01:00:40','2021-01-22 01:00:40');
INSERT INTO complaint_remarks VALUES('4081','3221','TAQUEER SAB KO REMINDER DA DIA WHATSAPP PA','74','2021-01-22 01:03:46','2021-01-22 01:03:46');
INSERT INTO complaint_remarks VALUES('4082','3552','COMPLAINT RESOLVED','74','2021-01-22 01:12:31','2021-01-22 01:12:31');
INSERT INTO complaint_remarks VALUES('4083','3563','LHE S/C WORKING IN PROCESS  IN BY CUSTOMER','74','2021-01-22 01:49:53','2021-01-22 01:49:53');
INSERT INTO complaint_remarks VALUES('4084','3740','ISB K ADEEL SAB YHA COMPLAINT ATTEND KARWA RAHAY 0345508808','74','2021-01-22 01:59:09','2021-01-22 01:59:09');
INSERT INTO complaint_remarks VALUES('4085','3367','SET ON HO GAY HAIN LINE AARHI HAIN TEECOAN BOARD ARRANGE KAR RAHAY HAIN','74','2021-01-22 21:17:38','2021-01-22 21:17:38');
INSERT INTO complaint_remarks VALUES('4086','3740','ILYAS TECHNICIAN  NA YHA ISSUE  RESOLVED KAIYA','74','2021-01-22 23:38:01','2021-01-22 23:38:01');
INSERT INTO complaint_remarks VALUES('4087','3611','MAIN BOARD LAGAY HAIN KAL BUT ISSUE RESOLVED NAI HOA SAJID SAB KO INFORMED KAR DA HAIN SET S/C MOVE KARWAY GAY','74','2021-01-22 23:41:08','2021-01-22 23:41:08');
INSERT INTO complaint_remarks VALUES('4088','3732','COMPLAINT RESOLVED','74','2021-01-22 23:46:05','2021-01-22 23:46:05');
INSERT INTO complaint_remarks VALUES('4089','3716','OTHER#03125083707  CUSTOMER  OUT OFF CITY THAY AGAIN COMPLINT REOPEN KARWA DI','74','2021-01-22 23:55:18','2021-01-22 23:55:18');
INSERT INTO complaint_remarks VALUES('4090','3714','NOT ATTEND CALL','74','2021-01-22 23:59:05','2021-01-22 23:59:05');
INSERT INTO complaint_remarks VALUES('4091','3707','COMPANY SIDE SA ISSUE RESOLVED HAIN WAQAS PWD KO  B INFORMED KAR DIA','74','2021-01-22 23:59:49','2021-01-22 23:59:49');
INSERT INTO complaint_remarks VALUES('4092','3701','COMPANY SIDE SA COMPLAINT RESOLVED HAIN PCB KIT B CAHNGE KAR DI  WAIR KA PROB HAIN CUSTOMER KA APNAY INSTALLER FULT HAIN','74','2021-01-23 00:38:24','2021-01-23 00:38:24');
INSERT INTO complaint_remarks VALUES('4093','3828','COMPLAINT ATTEND HO GEI HAIN BUT SOUND ABI B AARHI ORIENT MAIN INFORMED KAR DIA','74','2021-01-23 00:52:33','2021-01-23 00:52:33');
INSERT INTO complaint_remarks VALUES('4094','3820','COMPLAINT RESOLVED','74','2021-01-23 01:17:50','2021-01-23 01:17:50');
INSERT INTO complaint_remarks VALUES('4095','3876','VISIT TO DAY  IRFAN','74','2021-01-23 20:45:39','2021-01-23 20:45:39');
INSERT INTO complaint_remarks VALUES('4096','3858','CUSTOMER STILL CALL ATTEND NAI KAR RAHAY S/C SA CONFIRM KAR K COMPLAINT CLOSED KI','74','2021-01-23 21:29:39','2021-01-23 21:29:39');
INSERT INTO complaint_remarks VALUES('4097','3857','VISIT TO DAY','74','2021-01-23 21:30:31','2021-01-23 21:30:31');
INSERT INTO complaint_remarks VALUES('4098','3739','PINDI GHAP MAIN CANNON KI SERVICES NAI HAIN CUSTOMER KO INFORMED KAR DIA HAIN K LOCAL TECHNICIAN SA COMPLAINT ATTEND KARW ALAY JAVEED FCP KO B BATA DIA COMPLAINT CLOSED','74','2021-01-23 21:44:03','2021-01-23 21:44:03');
INSERT INTO complaint_remarks VALUES('4099','3531','CANNON MAIN AGAIN REMINDER DA DIA','74','2021-01-23 21:49:37','2021-01-23 21:49:37');
INSERT INTO complaint_remarks VALUES('4100','3755','COMPLAINT ATTEND HO GEI HAIN  BUT ISSUE RESOLVED NAI HO A CANNON MAIN INFORMED KAR DI','74','2021-01-23 21:54:16','2021-01-23 21:54:16');
INSERT INTO complaint_remarks VALUES('4101','3502','COMPLIANT RESOLVED','74','2021-01-23 21:55:31','2021-01-23 21:55:31');
INSERT INTO complaint_remarks VALUES('4102','3611','YHA DABAL COMPLINT ENTER HOI V KHURRAM SADAR NA B COMPLINT FF KI HOI SAME','74','2021-01-23 22:25:03','2021-01-23 22:25:03');
INSERT INTO complaint_remarks VALUES('4103','3576','YHA DABAL COMPLINT ENTER HOI V KHURRAM SADAR NA B COMPLIANT FF KI HOI SAME TASK#	3611 WORKING IN PROCESS','74','2021-01-23 22:28:16','2021-01-23 22:28:16');
INSERT INTO complaint_remarks VALUES('4104','3755','VISIT TO MONDAY','92','2021-01-23 22:36:04','2021-01-23 22:36:04');
INSERT INTO complaint_remarks VALUES('4105','3525','COMPLAINT RESOLVED','74','2021-01-23 23:55:44','2021-01-23 23:55:44');
INSERT INTO complaint_remarks VALUES('4106','3398','PARTS PENDING','74','2021-01-24 00:03:07','2021-01-24 00:03:07');
INSERT INTO complaint_remarks VALUES('4107','3514','CUSTOMER KO WATER COOLER CHANGE KAR K DIYA MONDAY KO KHARB UNIT WAPISE AAY GA YASIER SAB ASLAM SAB K HANDOVER KAR DA GAY','74','2021-01-24 00:05:18','2021-01-24 00:05:18');
INSERT INTO complaint_remarks VALUES('4108','3041','NO VISIT CANNON MAIN REMINDER DA DIA','74','2021-01-24 00:16:15','2021-01-24 00:16:15');
INSERT INTO complaint_remarks VALUES('4109','2994','NOT ATTEND CALL','74','2021-01-24 00:25:16','2021-01-24 00:25:16');
INSERT INTO complaint_remarks VALUES('4110','3725','NOT ATTEND CALL','74','2021-01-24 00:27:43','2021-01-24 00:27:43');
INSERT INTO complaint_remarks VALUES('4111','3079','NOT ATTEND CALL','74','2021-01-24 00:31:59','2021-01-24 00:31:59');
INSERT INTO complaint_remarks VALUES('4112','3908','IN PROCESS COMPLAINT KARWA DI','74','2021-01-24 02:42:30','2021-01-24 02:42:30');
INSERT INTO complaint_remarks VALUES('4113','3079','COMPLAINT RESOLVED','92','2021-01-24 19:59:27','2021-01-24 19:59:27');
INSERT INTO complaint_remarks VALUES('4114','3907','03325069828','92','2021-01-24 20:43:04','2021-01-24 20:43:04');
INSERT INTO complaint_remarks VALUES('4115','3775','NOT VISIT TO COMPLAINT','92','2021-01-24 20:50:39','2021-01-24 20:50:39');
INSERT INTO complaint_remarks VALUES('4116','2276','COMPLAINT RESOLVED','92','2021-01-24 22:11:21','2021-01-24 22:11:21');
INSERT INTO complaint_remarks VALUES('4117','3878','COMPLAINT RESOLVED','74','2021-01-25 20:10:15','2021-01-25 20:10:15');
INSERT INTO complaint_remarks VALUES('4118','3778','VISIT TO DAY','92','2021-01-25 20:11:41','2021-01-25 20:11:41');
INSERT INTO complaint_remarks VALUES('4119','3841','COMPLAINT RESOLVED','74','2021-01-25 20:22:20','2021-01-25 20:22:20');
INSERT INTO complaint_remarks VALUES('4120','3872','COMPLAINT RESOLVED','74','2021-01-25 20:28:34','2021-01-25 20:28:34');
INSERT INTO complaint_remarks VALUES('4121','3888','NOT ATTEND CALL','74','2021-01-25 20:45:51','2021-01-25 20:45:51');
INSERT INTO complaint_remarks VALUES('4122','3888','COMPLAINT ATTEND HO GEI HAIN PCB BORD KA ISSUE HAIN REF TOO S/C SIKANDER SAB YHA COMPLAINT ATTEND KAR RAHAY HAIN','74','2021-01-25 20:48:53','2021-01-25 20:48:53');
INSERT INTO complaint_remarks VALUES('4123','3864','COMPLAINT RESOLVED','74','2021-01-25 20:51:11','2021-01-25 20:51:11');
INSERT INTO complaint_remarks VALUES('4124','3860','COMPLAINT ATTEND HO GEI HAIN UNIT AJ S/C LA K GAY COMPANY WALAY','74','2021-01-25 20:54:59','2021-01-25 20:54:59');
INSERT INTO complaint_remarks VALUES('4125','3852','COMPLAINT RESOLVED','74','2021-01-25 21:00:41','2021-01-25 21:00:41');
INSERT INTO complaint_remarks VALUES('4126','3886','COMPLAINT RESOLVED','74','2021-01-25 21:10:54','2021-01-25 21:10:54');
INSERT INTO complaint_remarks VALUES('4127','2684','PCB CARD REPLACE HO GA EXP 9000','74','2021-01-25 21:18:39','2021-01-25 21:18:39');
INSERT INTO complaint_remarks VALUES('4128','3885','COMPLAINT ATTEND HO GEI HAIN POWER SUPPLY BOARD DEMAND','74','2021-01-25 21:20:22','2021-01-25 21:20:22');
INSERT INTO complaint_remarks VALUES('4129','3851','COMPLAINT RESOLVED','74','2021-01-25 21:22:00','2021-01-25 21:22:00');
INSERT INTO complaint_remarks VALUES('4130','3883','COMPLAINT ATTEND HO GEI HAIN REF TO S/C CUSTOMER NA KHUD LA K JANA  HAIN','74','2021-01-25 21:29:21','2021-01-25 21:29:21');
INSERT INTO complaint_remarks VALUES('4131','3792','COMPLAINT ATTEND HO GEI HAIN CUSTOMER TECHNICIAN KO WARRANTY CARD SHER KAR RAHAY 
HAIN  DOOR KIT KI DEMAND KAR  DI HAIN','74','2021-01-25 21:38:22','2021-01-25 21:38:22');
INSERT INTO complaint_remarks VALUES('4132','3880','VISIT TO DAY','74','2021-01-25 21:41:05','2021-01-25 21:41:05');
INSERT INTO complaint_remarks VALUES('4133','3850','COMPLAINT RESOLVED','74','2021-01-25 21:42:04','2021-01-25 21:42:04');
INSERT INTO complaint_remarks VALUES('4134','3847','COMPLAINT ATTEND HO GEI HAIN REF S/C WORKING IN PROCESS','74','2021-01-25 22:06:05','2021-01-25 22:06:05');
INSERT INTO complaint_remarks VALUES('4135','3844','COMPLAINT RESOLVED','74','2021-01-25 22:08:10','2021-01-25 22:08:10');
INSERT INTO complaint_remarks VALUES('4136','3629','REF S/C SA READY HO K AAYA HAIN COMPLAINT RESOLVED','74','2021-01-25 22:11:48','2021-01-25 22:11:48');
INSERT INTO complaint_remarks VALUES('4137','3879','COMPLAINT ATTEND HO GEI THI BUT ISSUE RESOLVED NAI HOA CANNON MAIN AGAIN VISIT K LIYA REMIDER DA DIA','74','2021-01-25 22:12:00','2021-01-25 22:12:00');
INSERT INTO complaint_remarks VALUES('4138','3837','COMPLAINT RESOLVED','74','2021-01-25 22:19:21','2021-01-25 22:19:21');
INSERT INTO complaint_remarks VALUES('4139','3876','COMPLAINT ATTEND HO GEI HAIN PARTS DEMAND KIYA HAIN','74','2021-01-25 22:20:35','2021-01-25 22:20:35');
INSERT INTO complaint_remarks VALUES('4140','3833','COMPLAINT RESOLVED','74','2021-01-25 22:29:39','2021-01-25 22:29:39');
INSERT INTO complaint_remarks VALUES('4141','3892','VISIT TO DAY','74','2021-01-25 22:36:00','2021-01-25 22:36:00');
INSERT INTO complaint_remarks VALUES('4142','3583','CUSTOMER KO WAQAR SAB K NO PROVIDE KAR DIA  HAIN RENT K LIYA','74','2021-01-25 22:50:28','2021-01-25 22:50:28');
INSERT INTO complaint_remarks VALUES('4143','3088','S/C WORKING IN PROCESS','74','2021-01-25 23:18:48','2021-01-25 23:18:48');
INSERT INTO complaint_remarks VALUES('4144','3426','MISS SHEBA KO B INFORMED KAR DIA','74','2021-01-26 01:21:05','2021-01-26 01:21:05');
INSERT INTO complaint_remarks VALUES('4145','3908','COMPLAINT ATTEND HO GEI HAIN KAL SHAM TAQ MADAM CHEEK KAR K SHAM TAQ UPD ATE KARAY GEI','74','2021-01-26 20:04:01','2021-01-26 20:04:01');
INSERT INTO complaint_remarks VALUES('4146','3845','COMPLAINT RESOLVED','74','2021-01-26 20:09:30','2021-01-26 20:09:30');
INSERT INTO complaint_remarks VALUES('4147','3895','COMPLAINT RESOLVED','74','2021-01-26 20:11:09','2021-01-26 20:11:09');
INSERT INTO complaint_remarks VALUES('4148','3937','COMPLAINT NO 1805703','92','2021-01-26 20:20:53','2021-01-26 20:20:53');
INSERT INTO complaint_remarks VALUES('4149','3859','CUSTOMER NA SET REPLACE KAR K TCL K LA LIYA 
IMRAN SAB NA SALE B KAR DI COMPLAINT RESOLVED','74','2021-01-26 20:29:29','2021-01-26 20:29:29');
INSERT INTO complaint_remarks VALUES('4150','3802','COMPLAINT RESOLVED','74','2021-01-26 20:38:18','2021-01-26 20:38:18');
INSERT INTO complaint_remarks VALUES('4151','3938','YHA OVEN S/C MOVE HO GA','74','2021-01-26 20:39:00','2021-01-26 20:39:00');
INSERT INTO complaint_remarks VALUES('4152','3326','COMPLAINT RESOLVED S/C SA OK HO K AAY HAIN','74','2021-01-26 20:51:13','2021-01-26 20:51:13');
INSERT INTO complaint_remarks VALUES('4153','3905','VISIT TO DAY KASHIF TCL KO REMINDER DA DIA','74','2021-01-26 20:53:10','2021-01-26 20:53:10');
INSERT INTO complaint_remarks VALUES('4154','3902','COMPLAINT ATTEMD HO GEI REF TO S/C','74','2021-01-26 20:54:55','2021-01-26 20:54:55');
INSERT INTO complaint_remarks VALUES('4155','3901','COMPLAINT ATTEND HO GEI HAIN REF TO S/C','74','2021-01-26 20:55:20','2021-01-26 20:55:20');
INSERT INTO complaint_remarks VALUES('4156','3814','COMPLIANT RESOLVED','74','2021-01-26 20:56:47','2021-01-26 20:56:47');
INSERT INTO complaint_remarks VALUES('4157','3813','COMPLAINT RESOLVED','74','2021-01-26 21:00:41','2021-01-26 21:00:41');
INSERT INTO complaint_remarks VALUES('4158','3903','COMPLAINT ATTEND HO GEI HAIN PER SURE KA ISSUE THA','74','2021-01-26 21:03:38','2021-01-26 21:03:38');
INSERT INTO complaint_remarks VALUES('4159','3894','KAL K TIME DIA HAIN CUSTOMER KO','74','2021-01-26 21:09:46','2021-01-26 21:09:46');
INSERT INTO complaint_remarks VALUES('4160','3911','COMPLAINT RESOLVED','74','2021-01-26 21:20:54','2021-01-26 21:20:54');
INSERT INTO complaint_remarks VALUES('4161','3467','YHA SAB HETER OK HO GAY HAIN COMPLAINT RESOLVED','74','2021-01-26 21:24:35','2021-01-26 21:24:35');
INSERT INTO complaint_remarks VALUES('4162','3900','COMPLAINT RESOLVED','74','2021-01-26 21:26:06','2021-01-26 21:26:06');
INSERT INTO complaint_remarks VALUES('4163','3529','COMPLAINT RESOLVED','74','2021-01-26 21:30:40','2021-01-26 21:30:40');
INSERT INTO complaint_remarks VALUES('4164','3896','COMPLAINT RESOLVED','74','2021-01-26 21:38:45','2021-01-26 21:38:45');
INSERT INTO complaint_remarks VALUES('4165','3892','COMPLAINT RESOLVED','74','2021-01-26 21:46:40','2021-01-26 21:46:40');
INSERT INTO complaint_remarks VALUES('4166','3891','COMPLAINT RESOLVED','74','2021-01-26 22:00:29','2021-01-26 22:00:29');
INSERT INTO complaint_remarks VALUES('4167','2601','COMPLAINT ATTEND HO GEI HAIN AIK CHOTA SA PART HAIN WO LAGANA BS','74','2021-01-26 22:06:25','2021-01-26 22:06:25');
INSERT INTO complaint_remarks VALUES('4168','3890','COMPLAINT RESOLVED','74','2021-01-26 22:07:32','2021-01-26 22:07:32');
INSERT INTO complaint_remarks VALUES('4169','3778','VISIT TO DAY','74','2021-01-26 22:19:02','2021-01-26 22:19:02');
INSERT INTO complaint_remarks VALUES('4170','3405','BABA SAB 03455664485','74','2021-01-26 22:26:25','2021-01-26 22:26:25');
INSERT INTO complaint_remarks VALUES('4171','3405','CUSTOMER HAMRAY LOP MAIN HAIN','74','2021-01-26 22:31:47','2021-01-26 22:31:47');
INSERT INTO complaint_remarks VALUES('4172','3580','SET S/C MAIN READY HAIN CUSTOMER  KO INFORMED KAR DIA PICK KARNAY K LIYA','74','2021-01-26 22:35:02','2021-01-26 22:35:02');
INSERT INTO complaint_remarks VALUES('4173','3819','COMPLAINT RESOLVED','92','2021-01-26 22:44:35','2021-01-26 22:44:35');
INSERT INTO complaint_remarks VALUES('4174','3817','PART ISSUE R/F TO LAHORE SERVICE CENTER','92','2021-01-26 22:46:29','2021-01-26 22:46:29');
INSERT INTO complaint_remarks VALUES('4175','3817','AHMED SAB SA BAT HOI HAIN YHA CUSTOMER BOL RAHAY HAIN K  MAIN KHUD LHR S./C LA K JAO GA UNIT','74','2021-01-26 22:48:48','2021-01-26 22:48:48');
INSERT INTO complaint_remarks VALUES('4176','3907','COMPLAINT RESOLVED','74','2021-01-26 23:47:17','2021-01-26 23:47:17');
INSERT INTO complaint_remarks VALUES('4177','3880','COMPLAINT RESOLVED','74','2021-01-27 00:19:02','2021-01-27 00:19:02');
INSERT INTO complaint_remarks VALUES('4178','3875','NOT ATTEND CALL','74','2021-01-27 00:25:27','2021-01-27 00:25:27');
INSERT INTO complaint_remarks VALUES('4179','3873','BUSY CUSTOMER','74','2021-01-27 00:25:41','2021-01-27 00:25:41');
INSERT INTO complaint_remarks VALUES('4180','3873','COMPLAINT ATTEND HO GEI HAIN 2 BAR VISIT HO GAYA HAIN BUT CUSTOMER SATISFIED  NI HO RAHAY','74','2021-01-27 01:21:34','2021-01-27 01:21:34');
INSERT INTO complaint_remarks VALUES('4181','3873','FAISAL TECHNICIAN NA YHA COMPLAINT ATTEND KI 03142437784','74','2021-01-27 01:23:54','2021-01-27 01:23:54');
INSERT INTO complaint_remarks VALUES('4182','3873','ASLAM SIR KO CASE FF KAR DIA SAIF SAB KO B FAISAL TECHNICIAN KA NO FF KAR DIA','74','2021-01-27 01:39:51','2021-01-27 01:39:51');
INSERT INTO complaint_remarks VALUES('4183','3917','resolved','74','2021-01-27 20:52:40','2021-01-27 20:52:40');
INSERT INTO complaint_remarks VALUES('4184','3916','no visited...','74','2021-01-27 20:57:21','2021-01-27 20:57:21');
INSERT INTO complaint_remarks VALUES('4185','3915','resolved','73','2021-01-27 21:00:57','2021-01-27 21:00:57');
INSERT INTO complaint_remarks VALUES('4186','3914','unit is in service centre','73','2021-01-27 21:04:15','2021-01-27 21:04:15');
INSERT INTO complaint_remarks VALUES('4187','3913','inverter board on demand...','73','2021-01-27 21:11:39','2021-01-27 21:11:39');
INSERT INTO complaint_remarks VALUES('4188','3912','complain resolved','73','2021-01-27 21:13:45','2021-01-27 21:13:45');
INSERT INTO complaint_remarks VALUES('4189','3910','costumer bd mein thik karwaen gy... service centre le kr jana pry ga, jb le kr jana hoga to costumer inform kr dein gy..','73','2021-01-27 21:18:12','2021-01-27 21:18:12');
INSERT INTO complaint_remarks VALUES('4190','3909','resolved','73','2021-01-27 21:21:13','2021-01-27 21:21:13');
INSERT INTO complaint_remarks VALUES('4191','3908','costumer need guidance','73','2021-01-27 21:25:51','2021-01-27 21:25:51');
INSERT INTO complaint_remarks VALUES('4192','3908','inform mam amna to contact her','73','2021-01-27 21:30:44','2021-01-27 21:30:44');
INSERT INTO complaint_remarks VALUES('4193','3906','visited, but costumer wants to checked it properly and inform later','73','2021-01-27 21:38:22','2021-01-27 21:38:22');
INSERT INTO complaint_remarks VALUES('4194','2647','costumer not attend the call','73','2021-01-27 21:50:43','2021-01-27 21:50:43');
INSERT INTO complaint_remarks VALUES('4195','2689','costumer not attend call','73','2021-01-27 21:53:19','2021-01-27 21:53:19');
INSERT INTO complaint_remarks VALUES('4196','2763','costumer not attend call','73','2021-01-27 21:54:44','2021-01-27 21:54:44');
INSERT INTO complaint_remarks VALUES('4197','2765','resolved','73','2021-01-27 21:56:34','2021-01-27 21:56:34');
INSERT INTO complaint_remarks VALUES('4198','2890','call not attended by costumer','73','2021-01-27 22:00:02','2021-01-27 22:00:02');
INSERT INTO complaint_remarks VALUES('4199','2971','costumer ko irfan ays ka number send kr dia ha','73','2021-01-27 22:16:31','2021-01-27 22:16:31');
INSERT INTO complaint_remarks VALUES('4200','3107','proper heating function not completed','73','2021-01-27 22:59:21','2021-01-27 22:59:21');
INSERT INTO complaint_remarks VALUES('4201','3323','again reminder given to mohsin','73','2021-01-27 23:10:31','2021-01-27 23:10:31');
INSERT INTO complaint_remarks VALUES('4202','3144','costumer confirm kr k inform karein gy','73','2021-01-27 23:10:52','2021-01-27 23:10:52');
INSERT INTO complaint_remarks VALUES('4203','2763','call attend na krny ki wja se complain pending ha.. remind to mohsin','73','2021-01-27 23:13:22','2021-01-27 23:13:22');
INSERT INTO complaint_remarks VALUES('4204','3415','costumer confirm kr k inform kr dein gy','73','2021-01-27 23:47:32','2021-01-27 23:47:32');
INSERT INTO complaint_remarks VALUES('4205','3424','range mein koi issue nai ha ... range bilkul thik kam kr rai ha','73','2021-01-27 23:50:49','2021-01-27 23:50:49');
INSERT INTO complaint_remarks VALUES('4206','3424','colour fade ka issue ha... inform kr dia ha wo used hoga to colour wagera fade hongy','73','2021-01-27 23:51:30','2021-01-27 23:51:30');
INSERT INTO complaint_remarks VALUES('4207','3969','COMPLAINT NO RWP-17824','92','2021-01-27 23:52:50','2021-01-27 23:52:50');
INSERT INTO complaint_remarks VALUES('4208','3524','costumer number not responding','73','2021-01-27 23:57:04','2021-01-27 23:57:04');
INSERT INTO complaint_remarks VALUES('4209','3537','costumer not attend the call','73','2021-01-27 23:58:51','2021-01-27 23:58:51');
INSERT INTO complaint_remarks VALUES('4210','3543','number is powerd off','73','2021-01-28 00:00:16','2021-01-28 00:00:16');
INSERT INTO complaint_remarks VALUES('4211','3567','still not attended complain','73','2021-01-28 00:06:36','2021-01-28 00:06:36');
INSERT INTO complaint_remarks VALUES('4212','3572','costumer confirm kr k inform karein gy','74','2021-01-28 00:16:55','2021-01-28 00:16:55');
INSERT INTO complaint_remarks VALUES('4213','3640','costumer side se pending ha','74','2021-01-28 00:27:15','2021-01-28 00:27:15');
INSERT INTO complaint_remarks VALUES('4214','3697','owner`s not available at home','74','2021-01-28 00:30:42','2021-01-28 00:30:42');
INSERT INTO complaint_remarks VALUES('4215','3323','costumer ghr pe available nahin thy.. un ki trf se kaha gya tha k wapis ak inform kr dun ga','74','2021-01-28 23:14:25','2021-01-28 23:14:25');
INSERT INTO complaint_remarks VALUES('4216','3988','COMPLAINT CANCEL','92','2021-01-28 23:17:23','2021-01-28 23:17:23');
INSERT INTO complaint_remarks VALUES('4217','3883','CUSTOMER KAL S/C LA K JAY GEI GEYSER','74','2021-01-29 20:58:07','2021-01-29 20:58:07');
INSERT INTO complaint_remarks VALUES('4218','3879','COMPLAINT RESOLVED','74','2021-01-29 20:59:32','2021-01-29 20:59:32');
INSERT INTO complaint_remarks VALUES('4219','3876','COMPLAINT RESOLVED','74','2021-01-29 21:08:18','2021-01-29 21:08:18');
INSERT INTO complaint_remarks VALUES('4220','3875','COMPLAINT RESOLVED','74','2021-01-29 21:14:29','2021-01-29 21:14:29');
INSERT INTO complaint_remarks VALUES('4221','3860','COMPLAINT RESOLVED','74','2021-01-29 21:21:54','2021-01-29 21:21:54');
INSERT INTO complaint_remarks VALUES('4222','3857','NOT ATTEND CALL','74','2021-01-29 21:29:46','2021-01-29 21:29:46');
INSERT INTO complaint_remarks VALUES('4223','3849','COMPLAINT RESOLVED','74','2021-01-29 21:30:52','2021-01-29 21:30:52');
INSERT INTO complaint_remarks VALUES('4224','3847','COMPLAINT RESOLVED','74','2021-01-29 21:33:02','2021-01-29 21:33:02');
INSERT INTO complaint_remarks VALUES('4225','3885','COMPLAINT RESOLVED','74','2021-01-29 21:35:48','2021-01-29 21:35:48');
INSERT INTO complaint_remarks VALUES('4226','3843','COMPLAINT RESOLVED','74','2021-01-29 21:38:04','2021-01-29 21:38:04');
INSERT INTO complaint_remarks VALUES('4227','3838','NOT ATTEND CALL','74','2021-01-29 21:44:42','2021-01-29 21:44:42');
INSERT INTO complaint_remarks VALUES('4228','3834','COMPLAINT RESOLVED','74','2021-01-29 21:46:09','2021-01-29 21:46:09');
INSERT INTO complaint_remarks VALUES('4229','3821','APP RATE PROB  LEAKAGE  BUT CUSTOMER REPLACE KARWANY PA AGREE NAI MARI ABI BAT NAI HOI CUSTOMER SA CALL ATTEND NAI KAR RAHAY','74','2021-01-29 21:55:27','2021-01-29 21:55:27');
INSERT INTO complaint_remarks VALUES('4230','3889','COMPLAINT RESOLVED','74','2021-01-29 21:57:43','2021-01-29 21:57:43');
INSERT INTO complaint_remarks VALUES('4231','3908','CUSTOMER SATISFIED HO GEI HAIN COMPLAINT AJ CLOSED KARWA DI MADAM NA INFORMED BY SADDIQ SAB','74','2021-01-29 21:59:57','2021-01-29 21:59:57');
INSERT INTO complaint_remarks VALUES('4232','3817','CUSTOMER SA AJ BAT HO I HAIN WO ALI SAB K ANS KA W8 KAR RAHAY HAIN KHUD LA K JAY GAY','74','2021-01-29 22:03:49','2021-01-29 22:03:49');
INSERT INTO complaint_remarks VALUES('4233','3961','COMPLAINT ATTEND HO GEI HAIN OUT DOOR LIFT KARNA COMPANY NA AJ','74','2021-01-29 22:08:48','2021-01-29 22:08:48');
INSERT INTO complaint_remarks VALUES('4234','3960','TECHNICAIN CUSTOMER K GHR PA HI HAIN','74','2021-01-29 22:36:29','2021-01-29 22:36:29');
INSERT INTO complaint_remarks VALUES('4235','3812','NOT ATTEND CALL','74','2021-01-29 22:36:40','2021-01-29 22:36:40');
INSERT INTO complaint_remarks VALUES('4236','3959','KHURRAM BHI KO REMINDER DA DIA','74','2021-01-29 22:38:51','2021-01-29 22:38:51');
INSERT INTO complaint_remarks VALUES('4237','3955','COMPLIANT RESOLVED','74','2021-01-29 22:40:05','2021-01-29 22:40:05');
INSERT INTO complaint_remarks VALUES('4238','3805','BUSY CUSTOMER','74','2021-01-29 22:45:50','2021-01-29 22:45:50');
INSERT INTO complaint_remarks VALUES('4239','3954','NOT ATTEND CALL','74','2021-01-29 22:46:25','2021-01-29 22:46:25');
INSERT INTO complaint_remarks VALUES('4240','3951','NO VISIT','74','2021-01-29 22:48:44','2021-01-29 22:48:44');
INSERT INTO complaint_remarks VALUES('4241','3950','CANNON KO REMINDER DA DIA','74','2021-01-29 23:00:35','2021-01-29 23:00:35');
INSERT INTO complaint_remarks VALUES('4242','3798','NOT ATTEND CALL','74','2021-01-29 23:01:07','2021-01-29 23:01:07');
INSERT INTO complaint_remarks VALUES('4243','3946','COMPLAINT RESOLVED','74','2021-01-29 23:01:58','2021-01-29 23:01:58');
INSERT INTO complaint_remarks VALUES('4244','3945','COMPLAINT RESOLVED','74','2021-01-29 23:06:29','2021-01-29 23:06:29');
INSERT INTO complaint_remarks VALUES('4245','3792','NOT ATTEND CALL','74','2021-01-29 23:07:58','2021-01-29 23:07:58');
INSERT INTO complaint_remarks VALUES('4246','3942','COMPLAINT RESOLVED
 OTHER # PA CONFIRM KIYA','74','2021-01-29 23:10:07','2021-01-29 23:10:07');
INSERT INTO complaint_remarks VALUES('4247','3941','COMPLAINT RESOLVED','74','2021-01-29 23:12:19','2021-01-29 23:12:19');
INSERT INTO complaint_remarks VALUES('4248','3791','NOT ATTEND CALL','74','2021-01-29 23:14:34','2021-01-29 23:14:34');
INSERT INTO complaint_remarks VALUES('4249','3940','COMPLAINT RESOLVED','74','2021-01-29 23:16:34','2021-01-29 23:16:34');
INSERT INTO complaint_remarks VALUES('4250','3791','COMPLAINT ATTEND HOGEI HAIN CUSTOMER ABBOTTABAD K S/C W/D MOVE KARWAY GAY','74','2021-01-29 23:17:41','2021-01-29 23:17:41');
INSERT INTO complaint_remarks VALUES('4251','3939','COMPLAINT RESOLVED','74','2021-01-29 23:19:13','2021-01-29 23:19:13');
INSERT INTO complaint_remarks VALUES('4252','3786','COMPLAINT RESOLVED','74','2021-01-29 23:24:07','2021-01-29 23:24:07');
INSERT INTO complaint_remarks VALUES('4253','3935','COMPLAINT RESOLVED','74','2021-01-29 23:24:56','2021-01-29 23:24:56');
INSERT INTO complaint_remarks VALUES('4254','3932','OTHER#051-2806441 COMPLAINT RESOLVED','74','2021-01-29 23:30:55','2021-01-29 23:30:55');
INSERT INTO complaint_remarks VALUES('4255','3930','NOT ATTEND CALL','74','2021-01-29 23:34:58','2021-01-29 23:34:58');
INSERT INTO complaint_remarks VALUES('4256','3928','COMPLAINT RESOLVED','74','2021-01-29 23:36:21','2021-01-29 23:36:21');
INSERT INTO complaint_remarks VALUES('4257','3927','NO P/OFF','74','2021-01-29 23:44:14','2021-01-29 23:44:14');
INSERT INTO complaint_remarks VALUES('4258','3782','REFUSED  TO PAY CHARGES 
CUSTOMER NOT ATTEND CALL','74','2021-01-29 23:50:52','2021-01-29 23:50:52');
INSERT INTO complaint_remarks VALUES('4259','3924','NOT ATTEND CALL WHATS APP PA MEG  KAR DIA','74','2021-01-29 23:51:49','2021-01-29 23:51:49');
INSERT INTO complaint_remarks VALUES('4260','3923','COMPLAINT RESOLVED','74','2021-01-29 23:53:11','2021-01-29 23:53:11');
INSERT INTO complaint_remarks VALUES('4261','3922','COMPLAINT RESOLVED','74','2021-01-30 00:01:19','2021-01-30 00:01:19');
INSERT INTO complaint_remarks VALUES('4262','3931','AIK VISIT HO GAYA HAIN KAL AGAIN VISIT','74','2021-01-30 00:03:16','2021-01-30 00:03:16');
INSERT INTO complaint_remarks VALUES('4263','3777','COMPLAINT RESOLVED','74','2021-01-30 00:05:13','2021-01-30 00:05:13');
INSERT INTO complaint_remarks VALUES('4264','3930','COMPLAINT RESOLVED','74','2021-01-30 00:06:21','2021-01-30 00:06:21');
INSERT INTO complaint_remarks VALUES('4265','3921','COMPLAINT RESOLVED','74','2021-01-30 00:10:06','2021-01-30 00:10:06');
INSERT INTO complaint_remarks VALUES('4266','3920','COMPLAINT RESOLVED','74','2021-01-30 00:13:16','2021-01-30 00:13:16');
INSERT INTO complaint_remarks VALUES('4267','3916','COMPLAINT RESOLVED','74','2021-01-30 00:23:32','2021-01-30 00:23:32');
INSERT INTO complaint_remarks VALUES('4268','3914','WORKING IN PROCESS','74','2021-01-30 00:25:24','2021-01-30 00:25:24');
INSERT INTO complaint_remarks VALUES('4269','3775','KAL ATTEND HO GEI','74','2021-01-30 00:27:29','2021-01-30 00:27:29');
INSERT INTO complaint_remarks VALUES('4270','3913','INVETER BOAD CHANGE KIYA BUT ISSUE RESOLVED NAI HOA HAIER S/C MAIN AGAIN VISIT K LIYA REMINDER DA DIAYA','74','2021-01-30 00:31:40','2021-01-30 00:31:40');
INSERT INTO complaint_remarks VALUES('4271','3933','NO VISIIT','74','2021-01-30 00:41:20','2021-01-30 00:41:20');
INSERT INTO complaint_remarks VALUES('4272','3857','COMPLAINT RESOLVED HO GEI HAIN CUSTOMER NA JUST PICK KARNA HAIN SHOWROOM SA INFORMED KAR DIA HAIN & SHAHZAD SAB KO B COMPLAINT RESOLVED','74','2021-01-30 00:43:45','2021-01-30 00:43:45');
INSERT INTO complaint_remarks VALUES('4273','3905','KASHIF SAB KO  INFORMED KAR DIA  ATTEND KAR RAHAY  AJ','74','2021-01-30 00:47:08','2021-01-30 00:47:08');
INSERT INTO complaint_remarks VALUES('4274','3866','NOT ATTEND CALL','74','2021-01-30 00:51:16','2021-01-30 00:51:16');
INSERT INTO complaint_remarks VALUES('4275','3888','CUSTOMERABI OUT OFF CITY HAIN KARACHII MAIN','74','2021-01-30 01:03:25','2021-01-30 01:03:25');
INSERT INTO complaint_remarks VALUES('4276','4007','COMPLAINT #3645','74','2021-01-30 01:15:56','2021-01-30 01:15:56');
INSERT INTO complaint_remarks VALUES('4277','4006','COMPLAINT 3645','74','2021-01-30 01:16:45','2021-01-30 01:16:45');
INSERT INTO complaint_remarks VALUES('4278','3950','MONDAY KO AGAIN VISIT','74','2021-01-30 01:21:29','2021-01-30 01:21:29');
INSERT INTO complaint_remarks VALUES('4279','3956','OUT DOOR COMPLAINT MONDAY KO VISIT HO GA','74','2021-01-30 01:24:31','2021-01-30 01:24:31');
INSERT INTO complaint_remarks VALUES('4280','3865','COMPLAINT ATTEND HO GEI HAIN HEAT TANK CHANGE HO GA REF TO S/C  ADIL BHI KO INFORMED KAR DIA','74','2021-01-30 01:27:24','2021-01-30 01:27:24');
INSERT INTO complaint_remarks VALUES('4281','3839','COMPLIANT RESOLVED','74','2021-01-30 01:29:45','2021-01-30 01:29:45');
INSERT INTO complaint_remarks VALUES('4282','3828','COMPLAINT RESOLVED KOI ISSUE AAYA TU INFOMED KAR DAY GEI','74','2021-01-30 01:35:50','2021-01-30 01:35:50');
INSERT INTO complaint_remarks VALUES('4283','3805','COMPLAINT ATTEND HO GEI REF TO S/C CUSTOMER NA KHUD MOVE KARWANA','74','2021-01-30 01:39:36','2021-01-30 01:39:36');
INSERT INTO complaint_remarks VALUES('4284','3761','CUSTOMER  NA KHUD S/C LA K JANA HAIN INFORMED BY CUSTOMER','74','2021-01-30 01:44:27','2021-01-30 01:44:27');
INSERT INTO complaint_remarks VALUES('4285','3761','S/C KA NO B PROVIDE KAR DIA','74','2021-01-30 01:47:02','2021-01-30 01:47:02');
INSERT INTO complaint_remarks VALUES('4286','3778','COMPLAINT RESOLVED','74','2021-01-30 20:34:57','2021-01-30 20:34:57');
INSERT INTO complaint_remarks VALUES('4287','3981','COMPLAINT RESOLVED','74','2021-01-30 20:39:19','2021-01-30 20:39:19');
INSERT INTO complaint_remarks VALUES('4288','2404','2 3 DIN TAQ YAH COMPLAINT ATTEND HO JAY GEI','74','2021-01-30 20:41:40','2021-01-30 20:41:40');
INSERT INTO complaint_remarks VALUES('4289','3527','CUSTOMER KI SIDE SA DELAY HAIN  ABI PCB NAI BAJWAI CUSTOMER NA','74','2021-01-30 20:43:02','2021-01-30 20:43:02');
INSERT INTO complaint_remarks VALUES('4290','3979','KAL COMPLAINT ATTEND HO GEI HAIN CUSTOMER 1 2 DIN TAQ CHEEK KARAY GAY','74','2021-01-30 20:45:35','2021-01-30 20:45:35');
INSERT INTO complaint_remarks VALUES('4291','2601','ALI SONARI  NA PARTS BAJWANAY','74','2021-01-30 20:45:59','2021-01-30 20:45:59');
INSERT INTO complaint_remarks VALUES('4292','3978','COMPLAINT RESOLVED','74','2021-01-30 20:48:17','2021-01-30 20:48:17');
INSERT INTO complaint_remarks VALUES('4293','3803','COMPLAINT ATTEND HO GEI HAIN CUSTOMER KO REF OFF KARNAY KI ADVICE KI HAIN CUSTOMER NA ABI TAQ REF OFF NAI KIYA','74','2021-01-30 20:49:51','2021-01-30 20:49:51');
INSERT INTO complaint_remarks VALUES('4294','3323','VISIT TO DAY CUSTOMER ON ROUT HAIN','74','2021-01-30 20:55:37','2021-01-30 20:55:37');
INSERT INTO complaint_remarks VALUES('4295','3838','COMPLAINT RESOLVED','92','2021-01-30 20:56:02','2021-01-30 20:56:02');
INSERT INTO complaint_remarks VALUES('4296','3977','COMPLAINT RESOLVED','74','2021-01-30 21:00:19','2021-01-30 21:00:19');
INSERT INTO complaint_remarks VALUES('4297','3812','VISIT HO GAYA HAY ISSUE NOT RESOLVED COMPAINE MAY AGAIN REMINDER DA DEYA HAY VISIT TO MONDAY','92','2021-01-30 21:10:48','2021-01-30 21:10:48');
INSERT INTO complaint_remarks VALUES('4298','3975','COMPLAINT RESOLVED','74','2021-01-30 21:21:55','2021-01-30 21:21:55');
INSERT INTO complaint_remarks VALUES('4299','2601','MARIYAM TCL KO COMPLAINT DETAIL FF KAR DI','74','2021-01-30 21:28:08','2021-01-30 21:28:08');
INSERT INTO complaint_remarks VALUES('4300','3323','YHA CUSTOMER AJ B VISIT NAI KARWA RAHAY CUSTOMER KO  BATA DIA K S/C KHUD LA JAY KHURRAM SADAR KO B INFORMED KAR DIA','74','2021-01-30 21:29:26','2021-01-30 21:29:26');
INSERT INTO complaint_remarks VALUES('4301','3798','COMPLAINT RESOLVED','92','2021-01-30 21:29:45','2021-01-30 21:29:45');
INSERT INTO complaint_remarks VALUES('4302','3974','NOT ATTEND CALL','74','2021-01-30 21:30:22','2021-01-30 21:30:22');
INSERT INTO complaint_remarks VALUES('4303','3964','COMPLAINT ATTEND HO GEI HAIN UNIT KAL S/C WALY LA K GAY HAIN','74','2021-01-30 21:33:45','2021-01-30 21:33:45');
INSERT INTO complaint_remarks VALUES('4304','3963','COMPLAINT RESOLVED','74','2021-01-30 21:34:43','2021-01-30 21:34:43');
INSERT INTO complaint_remarks VALUES('4305','3322','YHA COMPLAINT PHALAY SAJID SATTI K PASS THI ABI AGAIN COMPLINT REOPEN KARWAI','74','2021-01-30 21:41:17','2021-01-30 21:41:17');
INSERT INTO complaint_remarks VALUES('4306','3962','JIS DIN VISIT THA US DIN CUSTOMER GHR AVAIL NAI THY AJ AGAIN SUPER AISA MAIN COMPLAINT OPEN KARWA DI WASEEM TECHNICIAN YHA COMPLIANT KAL ATTEND KARAY GAY 
03319146117','74','2021-01-30 21:53:37','2021-01-30 21:53:37');
INSERT INTO complaint_remarks VALUES('4307','3962','INFORMED BY CUSTOMER','74','2021-01-30 21:53:50','2021-01-30 21:53:50');
INSERT INTO complaint_remarks VALUES('4308','3405','COMPLAINT RESOLVED','74','2021-01-30 21:59:44','2021-01-30 21:59:44');
INSERT INTO complaint_remarks VALUES('4309','3405','COMPLAINT RESOLVED','74','2021-01-30 22:00:26','2021-01-30 22:00:26');
INSERT INTO complaint_remarks VALUES('4310','3961','S/C WORKING IN PROCESS','74','2021-01-30 22:01:03','2021-01-30 22:01:03');
INSERT INTO complaint_remarks VALUES('4311','3960','COMPLAINT RESOLVED','74','2021-01-30 22:02:35','2021-01-30 22:02:35');
INSERT INTO complaint_remarks VALUES('4312','3537','COMPLAINT CUSTOMER NA LOCAL TECHNICIAN SA RESOLVED KARWA LI COMPLAINT CLOSED','74','2021-01-30 22:07:37','2021-01-30 22:07:37');
INSERT INTO complaint_remarks VALUES('4313','3954','MOSHIN SAB SA CONFIRM KIYA AIK 2 DIN TAQ AAJY GA SET','74','2021-01-30 22:15:34','2021-01-30 22:15:34');
INSERT INTO complaint_remarks VALUES('4314','3563','MOSHIN SAB SA STATUS CONFIRM KIYA 2 3 DIN TAQ WAPISE AAJY GEI LED','74','2021-01-30 22:19:39','2021-01-30 22:19:39');
INSERT INTO complaint_remarks VALUES('4315','3611','MONDAY KA TIME DIA HAIN CUSTOMER NA LED PICK KARNAY GA BADAL SAB KO SAJID SAB KO B INFORMED KAR DIA','74','2021-01-30 22:20:52','2021-01-30 22:20:52');
INSERT INTO complaint_remarks VALUES('4316','3812','SHAKEEL SAB IC COMPLAIT KO KHUD ATTEND KARAY GAY AB','74','2021-01-30 22:36:14','2021-01-30 22:36:14');
INSERT INTO complaint_remarks VALUES('4317','3919','ADIL BHAI KO INVOICE SHER KAR DI MODEL CONFIRM KARNAY K LIYA','74','2021-01-30 22:38:49','2021-01-30 22:38:49');
INSERT INTO complaint_remarks VALUES('4318','3927','COMPLAINT RESOLVED','74','2021-01-30 22:51:19','2021-01-30 22:51:19');
INSERT INTO complaint_remarks VALUES('4319','3888','AL KAF 03465245407 PC CARD DEMAND KIYA','74','2021-01-30 22:55:39','2021-01-30 22:55:39');
INSERT INTO complaint_remarks VALUES('4320','2971','COMPLAINT ATTEND HO GEI HAIN  GASS REFIL KA ISSUE HAIN CUSTOMER NA KHUD S/C MOVE KARWANA HAIN WAQASA FCP KO B INFORMED KAR DIA IRFAN AYAS SAB K NO B FF KAR DIA','74','2021-01-30 23:45:30','2021-01-30 23:45:30');
INSERT INTO complaint_remarks VALUES('4321','3905','KASHIF TCL NA YHA COMPLAINT ATTEND KAR L H AI  BUT CUSTOMER SATISFIED NAI HO RAHAY  INSTILLATION TEAM KO FF KAR DIA','74','2021-01-31 00:13:33','2021-01-31 00:13:33');
INSERT INTO complaint_remarks VALUES('4322','3745','COMPLAINT ATTEND HO GEI HAIN SENSOR OK KIYA WORKING IN PROCESS','74','2021-01-31 00:35:56','2021-01-31 00:35:56');
INSERT INTO complaint_remarks VALUES('4323','3971','UNIT S/C SA REDAY HO K CUSTOMER K GHR GAYA COMPLAINT RESOLVED','74','2021-01-31 00:37:42','2021-01-31 00:37:42');
INSERT INTO complaint_remarks VALUES('4324','3974','COMPLAINT RESOLVED','74','2021-01-31 00:40:29','2021-01-31 00:40:29');
INSERT INTO complaint_remarks VALUES('4325','3107','FARHAN SAB KO INFORMED KAR DIA HAIN  CUSTOMER SA BAT KAR RAHAY HAIN','74','2021-01-31 01:25:49','2021-01-31 01:25:49');
INSERT INTO complaint_remarks VALUES('4326','3782','S/C MAIN INFORMED KAR DIAHAIN','74','2021-01-31 01:27:00','2021-01-31 01:27:00');
INSERT INTO complaint_remarks VALUES('4327','3077','YHA NOB KAL KHURRAM BHAI LAGA DAY GAY REMINDER DA DIA INFORMED BY CUSTOMER','74','2021-01-31 01:27:48','2021-01-31 01:27:48');
INSERT INTO complaint_remarks VALUES('4328','3914','TUESDAY KO S/C WALAY ESTIMATED DAY GAY INFORMED BY CUSTOMER','74','2021-01-31 01:58:54','2021-01-31 01:58:54');
INSERT INTO complaint_remarks VALUES('4329','3812','TECHNICIAN KI CUSTOMER SA BT HO GEI HAIN MONADY  KA TIME DIA','74','2021-01-31 02:12:07','2021-01-31 02:12:07');
INSERT INTO complaint_remarks VALUES('4330','2689','complaint resolved','92','2021-01-31 23:13:30','2021-01-31 23:13:30');
INSERT INTO complaint_remarks VALUES('4331','2890','COMPLAINT RESOLVED','92','2021-01-31 23:15:44','2021-01-31 23:15:44');
INSERT INTO complaint_remarks VALUES('4332','3144','NOT ATTEND CALL','92','2021-01-31 23:27:11','2021-01-31 23:27:11');
INSERT INTO complaint_remarks VALUES('4333','3347','NOT VISIT TO COMPLAINT REMINDER DA DEYA HAY SERVICE CENTER MAY','92','2021-01-31 23:32:08','2021-01-31 23:32:08');
INSERT INTO complaint_remarks VALUES('4334','4008','complaint resolved','74','2021-02-01 20:21:53','2021-02-01 20:21:53');
INSERT INTO complaint_remarks VALUES('4335','3913','LOUIS (03359961620 ) OLI CHOWKING BLOCK HAIN GHR PA HI S/C PROVIDE KAR RAHAY HAIN S/C WALAY AJ INFORMED BY CUSTOMER','74','2021-02-01 20:49:11','2021-02-01 20:49:11');
INSERT INTO complaint_remarks VALUES('4336','3611','MADAM KI BAT DIRECT TCL MAIN HO GEI HAIN  WAHA SA KOI RESPONSE NAI AAYA GA FIR INFORMED KARAY GEI 
INFORMED BY BADAL','74','2021-02-01 20:50:48','2021-02-01 20:50:48');
INSERT INTO complaint_remarks VALUES('4337','4004','VISIT TO DAY','74','2021-02-01 20:52:01','2021-02-01 20:52:01');
INSERT INTO complaint_remarks VALUES('4338','4003','COMPLAINT RESOLVED','74','2021-02-01 20:53:25','2021-02-01 20:53:25');
INSERT INTO complaint_remarks VALUES('4339','3913','TECHNICIAN CUSTOMER K GHR PA HAIN WORKNG IN PROCESS','74','2021-02-01 20:57:14','2021-02-01 20:57:14');
INSERT INTO complaint_remarks VALUES('4340','4002','VISIT TO DAY','74','2021-02-01 20:57:54','2021-02-01 20:57:54');
INSERT INTO complaint_remarks VALUES('4341','3993','COMPANY KA VISIT HO INSTALLER FULAT HAIN B.COOL KO INFORMED KAR DIA  GASS REFIL KARNAY K LIYA','74','2021-02-01 21:02:17','2021-02-01 21:02:17');
INSERT INTO complaint_remarks VALUES('4342','4000','UMER 03335284300','74','2021-02-01 21:11:29','2021-02-01 21:11:29');
INSERT INTO complaint_remarks VALUES('4343','4000','VISIT TO DAY  I GHANTY TAQ','74','2021-02-01 21:14:56','2021-02-01 21:14:56');
INSERT INTO complaint_remarks VALUES('4344','3999','COMPLAINT ATTEND HO GEI HAI PART DEMAND KIYA HIAN WEDNESDAY KO AGAIN VISIT','74','2021-02-01 21:16:33','2021-02-01 21:16:33');
INSERT INTO complaint_remarks VALUES('4345','3998','VISIT TO DAY','74','2021-02-01 21:19:19','2021-02-01 21:19:19');
INSERT INTO complaint_remarks VALUES('4346','3994','COMPLAINT ATTEND HO GEI HAIN PAR SURE ISSUE THA COMPLAINT RESOLVED','74','2021-02-01 21:22:47','2021-02-01 21:22:47');
INSERT INTO complaint_remarks VALUES('4347','3563','SET LHR SA WAPISE AAGAY HAIN S/C CHEEK KAR K CUSTOMER KO UP DATE KAR RAHAY HAIN MOSHIN SAB','74','2021-02-01 21:27:16','2021-02-01 21:27:16');
INSERT INTO complaint_remarks VALUES('4348','3989','COMPLAINT RESOLVED','74','2021-02-01 21:40:06','2021-02-01 21:40:06');
INSERT INTO complaint_remarks VALUES('4349','3991','COMPLAINT RESOLVED','74','2021-02-01 21:41:23','2021-02-01 21:41:23');
INSERT INTO complaint_remarks VALUES('4350','3987','COMPLAINT ATTEND HO GEI HAIN  VISIT CHARGES & SERVICES CHARGES KI WAJA SA DAELAY  INFORMED BY ZAHID SAB','74','2021-02-02 00:26:47','2021-02-02 00:26:47');
INSERT INTO complaint_remarks VALUES('4351','3924','PATS DEMAND KIYA HOA HAIN 2 DIN TAQ ATTEND HO JAY GEI','74','2021-02-02 00:51:24','2021-02-02 00:51:24');
INSERT INTO complaint_remarks VALUES('4352','3933','INVOICE WALAY NO PA CUSTOMER CALL ATTEND  NAI KAR RAHI THI ABI AGAIN BAT HO GEI HAIN KAL ATTEND HO JAY GEI COMPLAINT INFORMED BY CUSTOMER& ABU BAKAR','74','2021-02-02 01:21:15','2021-02-02 01:21:15');
INSERT INTO complaint_remarks VALUES('4353','3950','KAL VISIT HO GA INFORMED BY CUSTOMER','74','2021-02-02 02:51:47','2021-02-02 02:51:47');
INSERT INTO complaint_remarks VALUES('4354','4037','AZHAR SAB NA A/C REPLACE KARWA DIA CUSTOMER KO COMPLAINT CLOSED','74','2021-02-02 20:05:12','2021-02-02 20:05:12');
INSERT INTO complaint_remarks VALUES('4355','3563','COMPLAINT RESOLVED','74','2021-02-02 20:06:52','2021-02-02 20:06:52');
INSERT INTO complaint_remarks VALUES('4356','4011','PCB REPLACE KAR  K DI COMPLIANT RESOLVED','74','2021-02-02 20:29:33','2021-02-02 20:29:33');
INSERT INTO complaint_remarks VALUES('4357','4036','NO VISIT KKHURRAM BAHI KO REMINDER DA DIA','74','2021-02-02 20:34:29','2021-02-02 20:34:29');
INSERT INTO complaint_remarks VALUES('4358','4034','COMPLAINT ATTEND HO GEI HAIN GASS REFIL KARNAY AJ MOBILE VEN JAY GEI  INFORMED BY CUSTOMER','74','2021-02-02 20:40:53','2021-02-02 20:40:53');
INSERT INTO complaint_remarks VALUES('4359','4035','COMPLAINT ATTEND HO GEI HAIN COVER DEMAND KIYA HOA HAIN','74','2021-02-02 20:43:03','2021-02-02 20:43:03');
INSERT INTO complaint_remarks VALUES('4360','4033','COMPLAINT RESOLVED','74','2021-02-02 20:48:13','2021-02-02 20:48:13');
INSERT INTO complaint_remarks VALUES('4361','4029','COMPLAINT RESOLVED','74','2021-02-02 20:51:52','2021-02-02 20:51:52');
INSERT INTO complaint_remarks VALUES('4362','3962','COMPLAINT RESOLVED','92','2021-02-02 21:07:35','2021-02-02 21:07:35');
INSERT INTO complaint_remarks VALUES('4363','4027','COMPLAINT RESOLVED PALAMRING  WORKIN CUSTOMER SIDE SA PENDING  COMPLAINT CLOSED','74','2021-02-02 21:16:43','2021-02-02 21:16:43');
INSERT INTO complaint_remarks VALUES('4364','4026','COMPLAINT RESOLVED','74','2021-02-02 21:23:07','2021-02-02 21:23:07');
INSERT INTO complaint_remarks VALUES('4365','4023','COMPLAINT RESOLVED','74','2021-02-02 21:29:22','2021-02-02 21:29:22');
INSERT INTO complaint_remarks VALUES('4366','1897','BUT SIR SA UNIT KI PIC & WARRANTY CARD KI PIC MAWAI HAIN','74','2021-02-02 21:31:08','2021-02-02 21:31:08');
INSERT INTO complaint_remarks VALUES('4367','4020','COMPLAINT ATTEND HO GEI HAIN CUSTOMER NA PALAMRING  WORKING KARWNA HAIN  FIR COMPLAINT  RESOLVED HO GEI','74','2021-02-02 21:33:29','2021-02-02 21:33:29');
INSERT INTO complaint_remarks VALUES('4368','4041','VISIT TO DAY CUSTOMER KO S/C KA NO PROVIDE KAR DIA','74','2021-02-02 21:37:39','2021-02-02 21:37:39');
INSERT INTO complaint_remarks VALUES('4369','4019','COMPLAINT ATTEND HO GEI HAIN LOCK PART DEMAND KIYA HAIN','74','2021-02-02 21:39:39','2021-02-02 21:39:39');
INSERT INTO complaint_remarks VALUES('4370','4021','KHURRAM BAHI KO REMINDER DA DIA','74','2021-02-02 21:44:44','2021-02-02 21:44:44');
INSERT INTO complaint_remarks VALUES('4371','4021','VISIT TO DAY','74','2021-02-02 21:53:01','2021-02-02 21:53:01');
INSERT INTO complaint_remarks VALUES('4372','4018','COMPLAINT RESOLVED','74','2021-02-02 22:01:43','2021-02-02 22:01:43');
INSERT INTO complaint_remarks VALUES('4373','4017','NO VISIT  REMINDER KHURRAM BHAI','74','2021-02-02 22:04:07','2021-02-02 22:04:07');
INSERT INTO complaint_remarks VALUES('4374','4016','COMPLAINT ATTEND HO GEI HAIN  PART DEMAND','74','2021-02-02 22:10:15','2021-02-02 22:10:15');
INSERT INTO complaint_remarks VALUES('4375','3758','CUSTOMER OUT OFF CITY HAY COMPLAINT CANCEL','92','2021-02-02 22:46:58','2021-02-02 22:46:58');
INSERT INTO complaint_remarks VALUES('4376','4015','AHMED TCL NA COMPLIANT ATTEND KAR DI HAIN  SET LHR S/C MOVE HO GA BUT PWD KO INFORMED AR DIA SET & WARRANTY CARD KI COPY AHMEDT SAB KO FF KAR DAY','74','2021-02-02 23:16:29','2021-02-02 23:16:29');
INSERT INTO complaint_remarks VALUES('4377','4014','COMPLAINT RESOLVED','74','2021-02-02 23:17:29','2021-02-02 23:17:29');
INSERT INTO complaint_remarks VALUES('4378','4013','COMPLAINT RESOLVED','74','2021-02-02 23:19:51','2021-02-02 23:19:51');
INSERT INTO complaint_remarks VALUES('4379','4013','COMPLAINT RESOLVED','74','2021-02-02 23:20:25','2021-02-02 23:20:25');
INSERT INTO complaint_remarks VALUES('4380','4012','COMPLAINT RESOLVED','74','2021-02-02 23:22:20','2021-02-02 23:22:20');
INSERT INTO complaint_remarks VALUES('4381','3985','KASHIF TCL KO REMINDER DA DIA','74','2021-02-02 23:24:19','2021-02-02 23:24:19');
INSERT INTO complaint_remarks VALUES('4382','4004','COMPLAINT RESOLVED','74','2021-02-02 23:24:38','2021-02-02 23:24:38');
INSERT INTO complaint_remarks VALUES('4383','4000','COMPLAINT RESOLVED','74','2021-02-02 23:32:31','2021-02-02 23:32:31');
INSERT INTO complaint_remarks VALUES('4384','3951','THURSDAY KO VISIT HO GA CUSTOMER ABI GHR PA AVAIL NAI HAIN S/C INFORMED KAR DIA','74','2021-02-03 00:00:10','2021-02-03 00:00:10');
INSERT INTO complaint_remarks VALUES('4385','3950','VISIT TO DAY','74','2021-02-03 00:00:39','2021-02-03 00:00:39');
INSERT INTO complaint_remarks VALUES('4386','2971','IRFAN AYAS KO INVOICE SHER KAR DIA HAIN KAL VISIT ARRANGE KARWAY GAY','74','2021-02-03 02:24:24','2021-02-03 02:24:24');
INSERT INTO complaint_remarks VALUES('4387','3964','NOT ATTEND CALL','92','2021-02-03 20:24:34','2021-02-03 20:24:34');
INSERT INTO complaint_remarks VALUES('4388','4040','VISIT TO DAY','74','2021-02-03 20:26:53','2021-02-03 20:26:53');
INSERT INTO complaint_remarks VALUES('4389','4038','COMPLAINT RESOLVED','74','2021-02-03 20:29:02','2021-02-03 20:29:02');
INSERT INTO complaint_remarks VALUES('4390','3986','VISIT TO DAY INFORMED BY CUSTOMER','74','2021-02-03 21:30:05','2021-02-03 21:30:05');
INSERT INTO complaint_remarks VALUES('4391','4034','COMPLAINT ATTEND HO GEI HAIN CUSTOMER KAL SA CALL ATTEND NAI KAR RAHI S/C SA CONFIRM KAR K COMPLAINT CLOSED KI','74','2021-02-03 21:33:34','2021-02-03 21:33:34');
INSERT INTO complaint_remarks VALUES('4392','4034','COMPLAINT RESOLVED','74','2021-02-03 21:34:14','2021-02-03 21:34:14');
INSERT INTO complaint_remarks VALUES('4393','3372','COMPLAINT RESOLVED','74','2021-02-03 21:41:33','2021-02-03 21:41:33');
INSERT INTO complaint_remarks VALUES('4394','3964','COMPLAINT RESOLOVED','74','2021-02-03 22:02:25','2021-02-03 22:02:25');
INSERT INTO complaint_remarks VALUES('4395','3993','A/C B. COOL NA DIS MENTAL KAR DIA HAIN CUSTOMER S/C  MOVE KARWA RAHAY HAIN AJ','74','2021-02-03 22:10:18','2021-02-03 22:10:18');
INSERT INTO complaint_remarks VALUES('4396','3987','CUSTOMER VISIT CHARGES PAY KARNAY PA AGREE NAI HAIN COMPLAINT CLOSED KARWA DI INFORMED BY ZAHID SAB','74','2021-02-03 22:19:22','2021-02-03 22:19:22');
INSERT INTO complaint_remarks VALUES('4397','3524','COMPLAINT RESOLVED','92','2021-02-03 22:20:28','2021-02-03 22:20:28');
INSERT INTO complaint_remarks VALUES('4398','3473','W/CARD IN PROCESS . COMPRESSOR PROB  REF TO S/C','74','2021-02-03 22:32:40','2021-02-03 22:32:40');
INSERT INTO complaint_remarks VALUES('4399','3985','VISIT TO DAY','74','2021-02-03 23:49:30','2021-02-03 23:49:30');
INSERT INTO complaint_remarks VALUES('4400','3984','KAL YHA COMPLAINT ATTEND HO GEI INFORMED BY CUSTOMER','74','2021-02-04 00:03:57','2021-02-04 00:03:57');
INSERT INTO complaint_remarks VALUES('4401','3961','COMPLAINT RESOLVED','74','2021-02-04 00:05:36','2021-02-04 00:05:36');
INSERT INTO complaint_remarks VALUES('4402','3983','COMPLAINT RESOLVED','74','2021-02-04 00:11:10','2021-02-04 00:11:10');
INSERT INTO complaint_remarks VALUES('4403','3954','CUSTOMER KI SIDE SA DELAY COMPLINT CALL ATTEND NAI KAR RAHI THI AJ AGAIN COMPLAINT REOPNE KARWA DIA COMPLAINT','74','2021-02-04 00:14:27','2021-02-04 00:14:27');
INSERT INTO complaint_remarks VALUES('4404','3950','COMPLAINT RESOLVED','74','2021-02-04 00:21:21','2021-02-04 00:21:21');
INSERT INTO complaint_remarks VALUES('4405','3979','AGAIN COMPLAINT VISIT K LIYA REMINDER DA DIA','74','2021-02-04 00:24:17','2021-02-04 00:24:17');
INSERT INTO complaint_remarks VALUES('4406','3914','REF S/C SA READY HO K DILVER HOA COMPLAINT RESOLVED','74','2021-02-04 00:31:30','2021-02-04 00:31:30');
INSERT INTO complaint_remarks VALUES('4407','3914','COMPLAINT RESOLVED','74','2021-02-04 00:32:10','2021-02-04 00:32:10');
INSERT INTO complaint_remarks VALUES('4408','3947','PARTS KI WAJA SA SELAY COMPLIANT ATTEND HO GEI HAIN','74','2021-02-04 00:41:08','2021-02-04 00:41:08');
INSERT INTO complaint_remarks VALUES('4409','4105','COMPLAINT CLOSED','74','2021-02-04 00:46:14','2021-02-04 00:46:14');
INSERT INTO complaint_remarks VALUES('4410','3913','COMPLAINT RESOLVED','74','2021-02-04 01:04:49','2021-02-04 01:04:49');
INSERT INTO complaint_remarks VALUES('4411','3894','COMPLAINT RESOLVED','74','2021-02-04 01:09:22','2021-02-04 01:09:22');
INSERT INTO complaint_remarks VALUES('4412','2971','COMPLAINT RESOLVED','74','2021-02-04 11:57:47','2021-02-04 11:57:47');
INSERT INTO complaint_remarks VALUES('4413','4058','COMPLAINT RESOLVED','74','2021-02-04 12:45:36','2021-02-04 12:45:36');
INSERT INTO complaint_remarks VALUES('4414','4057','COMPLAINT RESOLVED','74','2021-02-04 12:46:59','2021-02-04 12:46:59');
INSERT INTO complaint_remarks VALUES('4415','4056','COMPLAINT PA VISI HO GAY HAIN PARTS DEMAND','74','2021-02-04 12:50:13','2021-02-04 12:50:13');
INSERT INTO complaint_remarks VALUES('4416','4055','COMPLAINT RESOLVED','74','2021-02-04 12:51:25','2021-02-04 12:51:25');
INSERT INTO complaint_remarks VALUES('4417','4052','VISIT TO DAY','74','2021-02-04 12:56:06','2021-02-04 12:56:06');
INSERT INTO complaint_remarks VALUES('4418','3979','AJ  VISIT HO GA AGAIN SENSOR TECHNICIAN LA K JA RAHAY HAIN','74','2021-02-04 12:57:13','2021-02-04 12:57:13');
INSERT INTO complaint_remarks VALUES('4419','3323','CUSTOMER KO AJ AGAIN MOHSIN SAB K NO PROVIDE KAR DIA KHUD S/C LA K JA RAHAY HAIN AJ','74','2021-02-04 13:00:51','2021-02-04 13:00:51');
INSERT INTO complaint_remarks VALUES('4420','3888','COMPLAINT RESOLVED','74','2021-02-04 13:01:24','2021-02-04 13:01:24');
INSERT INTO complaint_remarks VALUES('4421','4062','COMPLAINT RESOLVED','74','2021-02-04 13:04:22','2021-02-04 13:04:22');
INSERT INTO complaint_remarks VALUES('4422','3580','SET CUSTOMER NA PICK KARWA LIYA HAIN COMPLAINT RESOLVED','74','2021-02-04 13:11:44','2021-02-04 13:11:44');
INSERT INTO complaint_remarks VALUES('4423','4050','COMPLAINT RESOLVED','74','2021-02-04 13:24:12','2021-02-04 13:24:12');
INSERT INTO complaint_remarks VALUES('4424','4065','COMPLAINT RESOLVED','74','2021-02-04 13:26:30','2021-02-04 13:26:30');
INSERT INTO complaint_remarks VALUES('4425','4064','COMPLAINT ATTEND HO GEI HAIN MOTER KA ISSUE HAIN . CUSTOMER  AGREE NAI W/M S/C MOVE KARWANAY K LYA NAEEM SAB SA CASE DIS CAUSE KIYA','74','2021-02-04 13:40:03','2021-02-04 13:40:03');
INSERT INTO complaint_remarks VALUES('4426','3951','RASHID TECHNICIAN AJ YHA COMPLAINT ATTEND KAR RAHAY HAIN','74','2021-02-04 13:43:27','2021-02-04 13:43:27');
INSERT INTO complaint_remarks VALUES('4427','4094','COMPLAINT ATTEND HO GEI HAIN MOTHER BOARD KA ISSUE HAIN. REF TO S/C AZHAR SAN KO INFORMED KAR DIA','74','2021-02-04 13:47:01','2021-02-04 13:47:01');
INSERT INTO complaint_remarks VALUES('4428','4124','COMPLAINT ATTEND HO GEI HAIN REF SAMRT ZOON S/C MAIN CUSTOMER KO ESTIMATE BATA DIA HAINTOTAL EXP 25000
COMPRESSOR PRICE 17500.
GASS CHARGES 6500
REF ENTRAL WORKING 1000','74','2021-02-04 14:47:46','2021-02-04 14:47:46');
INSERT INTO complaint_remarks VALUES('4429','4124','CUSTOMER KO COMPRESSOR WARRANTY MAIN LAGWA K DA RAHAY HAIN IC KI PAYMENT FRIEND PAY KARAY GEI NAEEM SAB NA APPROVED KIYA  BAKI GASS CHARGES CUSTOMER KHUD PAY KARAY GAY INFORMED KAR DIA CUSTOMER KO','74','2021-02-04 14:49:12','2021-02-04 14:49:12');
INSERT INTO complaint_remarks VALUES('4430','4048','COMPLAINT RESOLVED','74','2021-02-04 14:59:26','2021-02-04 14:59:26');
INSERT INTO complaint_remarks VALUES('4431','4075','COMPLAINT RESOLVED','74','2021-02-04 15:20:38','2021-02-04 15:20:38');
INSERT INTO complaint_remarks VALUES('4432','4073','CUSTOMER NA TECHNICIAN KO KAL KA TIME DIA HAIN CUSTOMER AJ BUSY HAIN','74','2021-02-04 15:23:03','2021-02-04 15:23:03');
INSERT INTO complaint_remarks VALUES('4433','4040','AJ VISIT HO RAHA HAIN','74','2021-02-04 15:24:23','2021-02-04 15:24:23');
INSERT INTO complaint_remarks VALUES('4434','4043','OTHER #03025199600','74','2021-02-04 15:27:01','2021-02-04 15:27:01');
INSERT INTO complaint_remarks VALUES('4435','4043','KHURRAM BHI KO INFORMED KAR DIA','74','2021-02-04 15:28:49','2021-02-04 15:28:49');
INSERT INTO complaint_remarks VALUES('4436','3883','COMPLAINT RESOLVED','74','2021-02-04 16:38:37','2021-02-04 16:38:37');
INSERT INTO complaint_remarks VALUES('4437','4020','COMPLAINT RESOLVED','74','2021-02-04 16:40:56','2021-02-04 16:40:56');
INSERT INTO complaint_remarks VALUES('4438','3999','COMPLAINT RESOLVED','74','2021-02-04 17:02:56','2021-02-04 17:02:56');
INSERT INTO complaint_remarks VALUES('4439','3533','IC KA BOARD ADIL BHI K PASS HAIN SATURDAY KO IC KA VISIT HO JAY GA LG MAIN B INFORMED KAR DIA & ADIL BHI KO B','74','2021-02-04 17:41:48','2021-02-04 17:41:48');
INSERT INTO complaint_remarks VALUES('4440','3107','COMPLAINT RESOLVED','74','2021-02-04 17:56:57','2021-02-04 17:56:57');
INSERT INTO complaint_remarks VALUES('4441','4081','COMPLAINT ATTEND HO GEI HAIN ISSUE RESOLVED','74','2021-02-05 12:13:28','2021-02-05 12:13:28');
INSERT INTO complaint_remarks VALUES('4442','4079','COMPLAINT RESOLVED','74','2021-02-05 12:16:52','2021-02-05 12:16:52');
INSERT INTO complaint_remarks VALUES('4443','4077','COMPLAINT RESOLVED','74','2021-02-05 12:20:34','2021-02-05 12:20:34');
INSERT INTO complaint_remarks VALUES('4444','4080','COMPLAINT RESOLVED','74','2021-02-05 12:23:44','2021-02-05 12:23:44');
INSERT INTO complaint_remarks VALUES('4445','4073','COMPLAINT RESOLVED','74','2021-02-05 12:29:07','2021-02-05 12:29:07');
INSERT INTO complaint_remarks VALUES('4446','4076','COMPLAINT RESOLVED','74','2021-02-05 12:46:12','2021-02-05 12:46:12');
INSERT INTO complaint_remarks VALUES('4447','2598','COMPLAINT RESOLVED','74','2021-02-05 12:56:57','2021-02-05 12:56:57');
INSERT INTO complaint_remarks VALUES('4448','4063','COMPLAINT RESOLVED','74','2021-02-05 13:06:16','2021-02-05 13:06:16');
INSERT INTO complaint_remarks VALUES('4449','2763','CUSTOMER KI SIDE SA DELAY THI COMPLAINT AJ CUSTOMER NA CALL PICK KI HAIN ROPEN KARWA DI COMPLAINT','74','2021-02-05 13:07:21','2021-02-05 13:07:21');
INSERT INTO complaint_remarks VALUES('4450','4056','COMPLAINT ATTEND HO GEI HAIN BUT ISSUE RESOLVED NAI AGAIN REMINDER','74','2021-02-05 13:14:01','2021-02-05 13:14:01');
INSERT INTO complaint_remarks VALUES('4451','4052','COMPLAINT ATTEND HO GEI HAIN OUT OFF WARRANTY HAIN CUSTOMER KO 9000 EXP INFORMED KAR DIA BUT CUSTOMER NA BAI REFUSED KAR DIA COMPLAINT CLOSED','74','2021-02-05 13:17:26','2021-02-05 13:17:26');
INSERT INTO complaint_remarks VALUES('4452','4049','CUSTOMER KA ISSUE KHUD SA HI RESOLVED HO GAYA COMPLAINT CLOSED','74','2021-02-05 13:22:44','2021-02-05 13:22:44');
INSERT INTO complaint_remarks VALUES('4453','3998','03456679900 ABDUL WAHEED','74','2021-02-05 13:24:37','2021-02-05 13:24:37');
INSERT INTO complaint_remarks VALUES('4454','3998','COMPLAINT ATTEND H GEI HAIN CUSTOMER KI DIRECT ALI SAB SA BAT CHAI RAHI HAIN WARRANTY KA ISSUE HAIN','74','2021-02-05 13:27:35','2021-02-05 13:27:35');
INSERT INTO complaint_remarks VALUES('4455','4104','JEHLAM S/C 03419054154 M. HUSSAIN','74','2021-02-06 13:05:18','2021-02-06 13:05:18');
INSERT INTO complaint_remarks VALUES('4456','4104','COMPLAINT ATTEND HO GEI HAIN MOST RISER KA ISSUE HAIN S/C NA MIL FF KAR DI HAIN HEAD OFFICE  MONDAY KO UO DATE KARAY GAY 0544620250 S/C','74','2021-02-06 13:11:30','2021-02-06 13:11:30');
INSERT INTO complaint_remarks VALUES('4457','4104','CUSTOMER KI HAIER KI W/M KI COMPLAINT NAI HAIN  SIGNATURE KI W/M KI COMPLAINT HAIN HASSAN SAB KO INFORMED KAR DIA HAIN  SIGNATUR W/M KI INVOICE SHER KARAY','74','2021-02-06 13:15:55','2021-02-06 13:15:55');
INSERT INTO complaint_remarks VALUES('4458','4106','COMPLAINT RESOLVED','74','2021-02-06 13:19:36','2021-02-06 13:19:36');
INSERT INTO complaint_remarks VALUES('4459','4115','VISIT TO DAY','74','2021-02-06 13:28:49','2021-02-06 13:28:49');
INSERT INTO complaint_remarks VALUES('4460','4101','CUSTOMER KI HAIER KI W/M KI COMPLAINT NAI HAIN SIGNATURE KI W/M KI COMPLAINT HAIN HASSAN SAB KO INFORMED KAR DIA HAIN SIGNATUR W/M KI INVOICE SHER KARAY','74','2021-02-06 13:29:45','2021-02-06 13:29:45');
INSERT INTO complaint_remarks VALUES('4461','4137','JEHLAM S/C 03419054154 M. HUSSAIN','74','2021-02-06 13:32:32','2021-02-06 13:32:32');
INSERT INTO complaint_remarks VALUES('4462','4137','COMPLAINT ATTEND HO GEI HAIN MOST RISER KA ISSUE HAIN S/C NA MIL FF KAR DI HAIN HEAD OFFICE MONDAY KO UO DATE KARAY GAY 0544620250 S/C','74','2021-02-06 13:32:57','2021-02-06 13:32:57');
INSERT INTO complaint_remarks VALUES('4463','4100','COMPLAINT RESOLVED','74','2021-02-06 13:36:29','2021-02-06 13:36:29');
INSERT INTO complaint_remarks VALUES('4464','4098','COMPLAINT RESOLVED','74','2021-02-06 13:40:05','2021-02-06 13:40:05');
INSERT INTO complaint_remarks VALUES('4465','4096','COMPLAINT RESOLVED','74','2021-02-06 13:41:48','2021-02-06 13:41:48');
INSERT INTO complaint_remarks VALUES('4466','4095','COMPLAINT RESOLVED','74','2021-02-06 13:49:50','2021-02-06 13:49:50');
INSERT INTO complaint_remarks VALUES('4467','4092','CUSTOMER NA KHUD S/C MOVE LKRWANA OVEN','74','2021-02-06 13:55:06','2021-02-06 13:55:06');
INSERT INTO complaint_remarks VALUES('4468','4091','COMPLAINT RESOLVED','74','2021-02-06 13:58:09','2021-02-06 13:58:09');
INSERT INTO complaint_remarks VALUES('4469','4090','VISIT TO DAY','74','2021-02-06 14:04:29','2021-02-06 14:04:29');
INSERT INTO complaint_remarks VALUES('4470','4089','COMPLAINT RESOLVED','74','2021-02-06 14:09:06','2021-02-06 14:09:06');
INSERT INTO complaint_remarks VALUES('4471','4088','COMPLAINT RESOLVED','74','2021-02-06 14:19:36','2021-02-06 14:19:36');
INSERT INTO complaint_remarks VALUES('4472','4086','COMPLAINT RESOLVED','74','2021-02-06 14:23:10','2021-02-06 14:23:10');
INSERT INTO complaint_remarks VALUES('4473','4056','IC COMPLAINT PA AJ AGAIN VISIT HO RAHA HAIN','74','2021-02-06 14:34:16','2021-02-06 14:34:16');
INSERT INTO complaint_remarks VALUES('4474','4040','complaint attend ho gei hain ref to s/c customer monday tuesday taq move karwa day gay','74','2021-02-06 14:55:57','2021-02-06 14:55:57');
INSERT INTO complaint_remarks VALUES('4475','4016','PARTS K I WAJA SA DELAY COMPLAINT S/C INFORMED','74','2021-02-06 15:11:39','2021-02-06 15:11:39');
INSERT INTO complaint_remarks VALUES('4476','3984','NEW COMPLAINT 072116580','74','2021-02-06 15:59:53','2021-02-06 15:59:53');
INSERT INTO complaint_remarks VALUES('4477','3817','ALI SONARI SA BT CHAL RAHI CUSTOMER','74','2021-02-06 16:44:45','2021-02-06 16:44:45');
INSERT INTO complaint_remarks VALUES('4478','3817','CUSTOMER KO LHR S/C KI LOCASTION SHER KAR DI HAIN','74','2021-02-08 10:50:37','2021-02-08 10:50:37');
INSERT INTO complaint_remarks VALUES('4479','4128','COMPLAINT RESOLVED','74','2021-02-08 11:00:09','2021-02-08 11:00:09');
INSERT INTO complaint_remarks VALUES('4480','4184','COMPLAINT CANCEL','92','2021-02-08 11:38:42','2021-02-08 11:38:42');
INSERT INTO complaint_remarks VALUES('4481','4103','COMPLAINT ATTEND PANAL SPOT AARAHA  USMAN SAB MOVE KARWA RAHAY HAIN','74','2021-02-08 12:12:09','2021-02-08 12:12:09');
INSERT INTO complaint_remarks VALUES('4482','4107','COMPLAINT RESOLVED','74','2021-02-08 12:16:02','2021-02-08 12:16:02');
INSERT INTO complaint_remarks VALUES('4483','4109','COMPLAINT RESOLVED','74','2021-02-08 12:17:47','2021-02-08 12:17:47');
INSERT INTO complaint_remarks VALUES('4484','4110','COMPLAINT RESOLVED','74','2021-02-08 12:19:39','2021-02-08 12:19:39');
INSERT INTO complaint_remarks VALUES('4485','4111','NOT ATTEND CALL','74','2021-02-08 12:40:57','2021-02-08 12:40:57');
INSERT INTO complaint_remarks VALUES('4486','4114','COMPLAINT RESOLVED','74','2021-02-08 12:43:26','2021-02-08 12:43:26');
INSERT INTO complaint_remarks VALUES('4487','4116','COMPLAINT ATTEND HO GEI HAIN  KAL GASS REFIL KI BUT ISSUE RESOLVED NAI HOA AGAIN COMPLAINT REOPEND KARWA DICOMPLAINT COMPANY','74','2021-02-08 13:04:28','2021-02-08 13:04:28');
INSERT INTO complaint_remarks VALUES('4488','4115','COMPLAINT ATTEND HO GEI HAIN PARTS KI WAJA SA DELAY COMPLINT HASSAN ABDAL BRANCH ATTEND KAR RAHI YHA COMPLAINT','74','2021-02-08 13:06:06','2021-02-08 13:06:06');
INSERT INTO complaint_remarks VALUES('4489','4117','COMPLAINT RESOLVED','74','2021-02-08 13:13:12','2021-02-08 13:13:12');
INSERT INTO complaint_remarks VALUES('4490','4118','COMPLIANT RESOLVED','74','2021-02-08 13:15:45','2021-02-08 13:15:45');
INSERT INTO complaint_remarks VALUES('4491','4120','VISIT TO DAY CUSTOMER KO TECHNICIAN KI CALL AAGEI HAIN','74','2021-02-08 13:18:06','2021-02-08 13:18:06');
INSERT INTO complaint_remarks VALUES('4492','4123','YHA UNIT S/C MOVE KARWA RAHYA HAIN AZHAR SAB','74','2021-02-08 13:20:44','2021-02-08 13:20:44');
INSERT INTO complaint_remarks VALUES('4493','4124','NOT ATTEND CALL','74','2021-02-08 13:22:24','2021-02-08 13:22:24');
INSERT INTO complaint_remarks VALUES('4494','4126','VISIT TO DAY CUSTOMER KO TECHNICIAN KI CALL AAGEI','74','2021-02-08 13:24:15','2021-02-08 13:24:15');
INSERT INTO complaint_remarks VALUES('4495','4090','COMPLAINT ATTEND HO GEI HAIN PARTS DEMAND KIYA HAIN','74','2021-02-08 13:25:58','2021-02-08 13:25:58');
INSERT INTO complaint_remarks VALUES('4496','4056','COMPLAINT PA  AGAIN VISIT HO GAYA HAIN CUSTOMER BOL RAHAY HAIN COMPNAY WALAY REPLACE KA BOL K GAY HAIN UNIT','74','2021-02-08 13:29:51','2021-02-08 13:29:51');
INSERT INTO complaint_remarks VALUES('4497','4017','KHURRAM  BHAI KO AGIN CALL PA BOL DIA','74','2021-02-08 13:33:08','2021-02-08 13:33:08');
INSERT INTO complaint_remarks VALUES('4498','3993','UNIT S/C WORKING IN PROCESS','74','2021-02-08 13:35:37','2021-02-08 13:35:37');
INSERT INTO complaint_remarks VALUES('4499','3986','COMPLAINT RESOLVED','74','2021-02-08 13:40:47','2021-02-08 13:40:47');
INSERT INTO complaint_remarks VALUES('4500','3979','COMPLAINT PA  VISIT HO GAYA HAIN ISSUE RESOLVED HO GAYA 1 2 DIN CHEEK KAR K BATYA GAY','74','2021-02-08 14:17:29','2021-02-08 14:17:29');
INSERT INTO complaint_remarks VALUES('4501','4156','VISIT TO DAY','74','2021-02-08 14:22:43','2021-02-08 14:22:43');
INSERT INTO complaint_remarks VALUES('4502','3954','CUSTOMER K DOMO NO STILL P/OFF JAR AHAY HAIN ADIL FHHS KO INFORMED KAR DIA COMPLAINT CLOSED','74','2021-02-08 14:43:52','2021-02-08 14:43:52');
INSERT INTO complaint_remarks VALUES('4503','4159','COMPLAINT ATTEND HO GEI HAIN W/M KIBAISE DAMAGE HAIN','74','2021-02-08 17:24:18','2021-02-08 17:24:18');
INSERT INTO complaint_remarks VALUES('4504','4163','PCB  RESOLD KIYA THA IST VISIT PA 2500 JUST LABOUR CHARGES  CUSTOMER NA PAY KIYA THAY','74','2021-02-08 17:28:48','2021-02-08 17:28:48');
INSERT INTO complaint_remarks VALUES('4505','3812','DUST DISPATCHES HAIN SET LHR S/C   MOVE  HO GA','74','2021-02-08 17:57:02','2021-02-08 17:57:02');
INSERT INTO complaint_remarks VALUES('4506','4190','COMPLAINT NO 1086145
2nd COM NO 1086147','92','2021-02-09 11:00:46','2021-02-09 11:00:46');
INSERT INTO complaint_remarks VALUES('4507','4161','VISIT TO DAY','74','2021-02-09 11:00:53','2021-02-09 11:00:53');
INSERT INTO complaint_remarks VALUES('4508','4161','INFORMED BY CUSTOMER','74','2021-02-09 11:03:31','2021-02-09 11:03:31');
INSERT INTO complaint_remarks VALUES('4509','4145','COMPLAINT RESOLVED','74','2021-02-09 11:04:57','2021-02-09 11:04:57');
INSERT INTO complaint_remarks VALUES('4510','4160','VISIT TO DAY','74','2021-02-09 11:20:15','2021-02-09 11:20:15');
INSERT INTO complaint_remarks VALUES('4511','4160','INFORMED BY CUSTOMER','74','2021-02-09 11:22:52','2021-02-09 11:22:52');
INSERT INTO complaint_remarks VALUES('4512','4148','KHALID SAB KO REMINDER DA DA HAIN AJ CONTACT KAR RAHAY HAIN CUSTOMER SA','74','2021-02-09 11:25:43','2021-02-09 11:25:43');
INSERT INTO complaint_remarks VALUES('4513','4157','COMPLAINT ATTEND HO GEI HAIN BUT ISSUE RESOLVED NI HOA AGAIN REMINDER DA DIYA HAIN COMPANY MAIN  ROPEN KI MAIL FF KARWA DI','74','2021-02-09 11:46:33','2021-02-09 11:46:33');
INSERT INTO complaint_remarks VALUES('4514','4162','COMPLAINT RESOLVED','74','2021-02-09 11:48:14','2021-02-09 11:48:14');
INSERT INTO complaint_remarks VALUES('4515','4159','ASLAM SAB KO INFORMED KAR DIA','74','2021-02-09 11:49:37','2021-02-09 11:49:37');
INSERT INTO complaint_remarks VALUES('4516','4147','COMPLAINT RESOLVED','74','2021-02-09 11:52:34','2021-02-09 11:52:34');
INSERT INTO complaint_remarks VALUES('4517','4158','ABI TANK CHANGE NI HOA KHURRAM SIR KI KNOWLADGE HAIN','74','2021-02-09 11:55:42','2021-02-09 11:55:42');
INSERT INTO complaint_remarks VALUES('4518','4144','03065332742 KASHIF','74','2021-02-09 12:04:51','2021-02-09 12:04:51');
INSERT INTO complaint_remarks VALUES('4519','4154','INVOICE ADIL BHAI KO FF KAR DI HAIN','74','2021-02-09 12:11:58','2021-02-09 12:11:58');
INSERT INTO complaint_remarks VALUES('4520','4200','COMPLAINT ATTEND HO GEI HAIN MOSHIN SAB YHA UNIT AJ S/C MOVE KARWA RAHAY HAIN CUSTOMER KI MOSHIN SAB SA BAT HO GEI HAIN','74','2021-02-09 12:17:01','2021-02-09 12:17:01');
INSERT INTO complaint_remarks VALUES('4521','4144','VISIT TO DAY','74','2021-02-09 12:23:25','2021-02-09 12:23:25');
INSERT INTO complaint_remarks VALUES('4522','4141','COMPLAINT ATTEND HO GEI HAIN GEYSER LEAKAGE HAIN','74','2021-02-09 12:25:09','2021-02-09 12:25:09');
INSERT INTO complaint_remarks VALUES('4523','4148','CUSTOMER SA BAT HO GEI HAIN KHALD SAB KI KHUD S/C LAK JAY GAY PINDI MALIK ELECTRONIC S/CPA','74','2021-02-09 12:49:29','2021-02-09 12:49:29');
INSERT INTO complaint_remarks VALUES('4524','4136','COMPLAINT ATTEND HO GEI HAIN GASS LEAKAGE PROB HAIN  ADIL INSTALER KO INFORMED KAR DIA','74','2021-02-09 13:06:00','2021-02-09 13:06:00');
INSERT INTO complaint_remarks VALUES('4525','4135','COMPLAINT ATTEND HO GEI HAIN MOTER KA ISSUE HAIN MOTER RESPLCE KAR  RAHAY COMPANY WALAY AJ','74','2021-02-09 15:52:51','2021-02-09 15:52:51');
INSERT INTO complaint_remarks VALUES('4526','4120','COMPLAINT ATTEND HO GEI REF TO S/C CUSTOMER NA KHUD S/C MOVE KARWANA','74','2021-02-09 15:59:43','2021-02-09 15:59:43');
INSERT INTO complaint_remarks VALUES('4527','3951','COMPLAINT RESOLVED','74','2021-02-09 16:34:01','2021-02-09 16:34:01');
INSERT INTO complaint_remarks VALUES('4528','4180','COMPLAINT RESOLVED','74','2021-02-10 11:05:18','2021-02-10 11:05:18');
INSERT INTO complaint_remarks VALUES('4529','4217','CUSTOMER KA ISSUE KHUD SA RESOLVED HO GAYA HAIN COMPLAINT CLOSED','74','2021-02-10 11:10:58','2021-02-10 11:10:58');
INSERT INTO complaint_remarks VALUES('4530','4178','COMPLAINT RESOLVED','74','2021-02-10 11:11:52','2021-02-10 11:11:52');
INSERT INTO complaint_remarks VALUES('4531','4176','KAL VISIT THA BUT CUSTOMER GHR PA AVAIL NAI THY AJ KA TIME DIA HAIN CUSTOMER NA AJ ATTEND HO JAY GEI COMPLAINT','74','2021-02-10 11:17:28','2021-02-10 11:17:28');
INSERT INTO complaint_remarks VALUES('4532','4177','CUSTOMER KA ISSUR KHUD SA RESOLVED  HO GAY COMPLAINT ABI CLOSED KARWA DI','74','2021-02-10 11:20:12','2021-02-10 11:20:12');
INSERT INTO complaint_remarks VALUES('4533','4175','VISIT TO DAY','74','2021-02-10 11:23:05','2021-02-10 11:23:05');
INSERT INTO complaint_remarks VALUES('4534','4195','OTHER NO 03159102388 MR ILYAS','92','2021-02-10 11:23:26','2021-02-10 11:23:26');
INSERT INTO complaint_remarks VALUES('4535','4053','COMPLAINT ATTEND HO GEI HAIN  PANAL KI DEMAND K LIYA USMAN SAB KO PDF SHER KAR DIA','74','2021-02-10 11:45:37','2021-02-10 11:45:37');
INSERT INTO complaint_remarks VALUES('4536','4173','COMPLAINT RESOLVED','74','2021-02-10 11:55:56','2021-02-10 11:55:56');
INSERT INTO complaint_remarks VALUES('4537','4131','VISIT TO DAY','74','2021-02-10 12:03:28','2021-02-10 12:03:28');
INSERT INTO complaint_remarks VALUES('4538','4169','COMPLAINT RESOLVED GASS REFIL KI HAIN 4000','74','2021-02-10 12:04:56','2021-02-10 12:04:56');
INSERT INTO complaint_remarks VALUES('4539','4166','COMPLAINT RESOLVED','74','2021-02-10 12:18:04','2021-02-10 12:18:04');
INSERT INTO complaint_remarks VALUES('4540','4165','COMPLAINT RESOLVED','74','2021-02-10 12:25:17','2021-02-10 12:25:17');
INSERT INTO complaint_remarks VALUES('4541','4164','VISIT TO DAY','74','2021-02-10 12:28:28','2021-02-10 12:28:28');
INSERT INTO complaint_remarks VALUES('4542','4161','COMPLAINT RESOLVED','74','2021-02-10 12:33:57','2021-02-10 12:33:57');
INSERT INTO complaint_remarks VALUES('4543','4160','COMPLAINT RESOLVED','74','2021-02-10 12:37:20','2021-02-10 12:37:20');
INSERT INTO complaint_remarks VALUES('4544','4159','YHA W/M COMPANY S/C MAIN HAIN WORKING IN PROCESS','74','2021-02-10 12:38:29','2021-02-10 12:38:29');
INSERT INTO complaint_remarks VALUES('4545','4156','PARTS I 10/ 3 SA LA K JAY GAY','74','2021-02-10 12:41:48','2021-02-10 12:41:48');
INSERT INTO complaint_remarks VALUES('4546','4152','COMPLAINT RESOLVED','74','2021-02-10 12:45:48','2021-02-10 12:45:48');
INSERT INTO complaint_remarks VALUES('4547','4163','MADAM SA BAT HOI HAIN PCB CARD REPLACE HO GA EXP  MADAM NA LHR SA CONFIR KAR K BATANA HAIN','74','2021-02-10 12:47:49','2021-02-10 12:47:49');
INSERT INTO complaint_remarks VALUES('4548','4151','NOT ATTEND CALL','74','2021-02-10 13:01:19','2021-02-10 13:01:19');
INSERT INTO complaint_remarks VALUES('4549','4136','INSTALER NA GASS REFIL KAR DI HAIN COMPLAINT RESOLVED','74','2021-02-10 13:01:57','2021-02-10 13:01:57');
INSERT INTO complaint_remarks VALUES('4550','4144','CMPLAINT ATTEND HO GEI HAIN REF TO S/C BUT CUSTOMER GEYSER SHOWROOM PA DROP KAR K GAY HAIN','74','2021-02-10 13:15:04','2021-02-10 13:15:04');
INSERT INTO complaint_remarks VALUES('4551','4132','COMPANY NA COMPLAINT ATTEND KAR LI HAIN INSTALLER FULT HAIN CUSTOMER INSTALLER KA BILL FF KARAY GAY THEN INSTALLER KA VISIT ARRANGE KARWAY GAY','74','2021-02-10 13:36:49','2021-02-10 13:36:49');
INSERT INTO complaint_remarks VALUES('4552','4130','COMPLAINT ATTEND HO GEI HAIN PART DEMAND KIYA HOA HAIN AJ AGAIN REMINDER DA DIA','74','2021-02-10 13:43:12','2021-02-10 13:43:12');
INSERT INTO complaint_remarks VALUES('4553','4129','COMPLAINT RESOLVED','74','2021-02-10 13:44:28','2021-02-10 13:44:28');
INSERT INTO complaint_remarks VALUES('4554','4127','CUSTOMER SA BAT HOI HAIN CUSTOMER VISIT CHARGES PAY NAI KAR RAHAY 3000','74','2021-02-10 13:51:34','2021-02-10 13:51:34');
INSERT INTO complaint_remarks VALUES('4555','4126','COMPLAINT ATTEND HO GEI HAIN PARTS S/C LA K GAY HAI N','74','2021-02-10 13:53:43','2021-02-10 13:53:43');
INSERT INTO complaint_remarks VALUES('4556','4124','CUSTOMER KI SIDE SA KOI RES PONCE NAI AARHA HAIN BILAL MANZOOR KO INFORMED KAR DIA','74','2021-02-10 13:55:11','2021-02-10 13:55:11');
INSERT INTO complaint_remarks VALUES('4557','4123','UNIT S/C WORKING IN PROCESS HAIN','74','2021-02-10 13:56:25','2021-02-10 13:56:25');
INSERT INTO complaint_remarks VALUES('4558','4157','MOHSIN SAB  ATTEND KARWA RAHAY HAIN COMPLAINT . FAYAZ TECHNICIAN ATTEND KARAY GAY','74','2021-02-10 14:10:13','2021-02-10 14:10:13');
INSERT INTO complaint_remarks VALUES('4559','4092','CUSTOMER OVEN S./C LA GAY AJ WO REPLACEMENT KI BT KAR RAHYA TOUCH PANAL KA ISSUE  HAIN  INFORMED BY NAVEED SAB','74','2021-02-10 15:07:51','2021-02-10 15:07:51');
INSERT INTO complaint_remarks VALUES('4560','4203','COMPLAINT RESOLVED','74','2021-02-11 10:57:14','2021-02-11 10:57:14');
INSERT INTO complaint_remarks VALUES('4561','4016','customer out off city hay thori dar tak inform karay  gay','92','2021-02-11 10:58:07','2021-02-11 10:58:07');
INSERT INTO complaint_remarks VALUES('4562','3985','VISIT HO GAYA HAY ISSUE NOT RESOLVED','92','2021-02-11 11:03:12','2021-02-11 11:03:12');
INSERT INTO complaint_remarks VALUES('4563','4207','COMPLAINT ATTEND HO GEI HAIN W/M S/C MOVE HO GEI CUSTOMER KHUD S/C LA K JAY GAY','74','2021-02-11 11:04:11','2021-02-11 11:04:11');
INSERT INTO complaint_remarks VALUES('4564','3984','COMPLAINT RESOLVED','92','2021-02-11 11:05:51','2021-02-11 11:05:51');
INSERT INTO complaint_remarks VALUES('4565','3979','CUSTOMER NOT ATTEND CALL','92','2021-02-11 11:09:41','2021-02-11 11:09:41');
INSERT INTO complaint_remarks VALUES('4566','3805','COMPLAINT RESOLVED','92','2021-02-11 11:16:18','2021-02-11 11:16:18');
INSERT INTO complaint_remarks VALUES('4567','4016','VISIT TO DAY PART AY GAYA HAY','92','2021-02-11 11:21:15','2021-02-11 11:21:15');
INSERT INTO complaint_remarks VALUES('4568','4201','COMPLAINT RESOLVED','74','2021-02-11 11:31:43','2021-02-11 11:31:43');
INSERT INTO complaint_remarks VALUES('4569','4198','COMPLAINT RESOLVED','74','2021-02-11 11:41:13','2021-02-11 11:41:13');
INSERT INTO complaint_remarks VALUES('4570','4200','UNIT S/C WORKING IN PROCESS','74','2021-02-11 11:43:26','2021-02-11 11:43:26');
INSERT INTO complaint_remarks VALUES('4571','4195','TECHNICIAN NA CUSTOMER SA CONTACT KAR LIYA HAIN TECHNICIAN ON ROUT HAIN','74','2021-02-11 11:48:11','2021-02-11 11:48:11');
INSERT INTO complaint_remarks VALUES('4572','4194','COMPLAINT RESOLVED','74','2021-02-11 11:49:35','2021-02-11 11:49:35');
INSERT INTO complaint_remarks VALUES('4573','4192','COMPLAINT RESOLVED SWICTH CHANGE HOA','74','2021-02-11 11:57:26','2021-02-11 11:57:26');
INSERT INTO complaint_remarks VALUES('4574','4191','COMPLAINT RESOLVED','74','2021-02-11 11:59:18','2021-02-11 11:59:18');
INSERT INTO complaint_remarks VALUES('4575','4103','UNIT OK HO GAYA HAIN USMAN SAB AJ CUSTOMER KI SIDE PA DILVER KARWA RAHAY HAIN PANAL MAIN SPOT THA DEFUSER SHEET CLEAN KI','74','2021-02-11 12:17:39','2021-02-11 12:17:39');
INSERT INTO complaint_remarks VALUES('4576','4190','COMPLAINT ATTEND HOGEI HAIN AIK SET S/C MOVE KARAY GAY COMPANY WALAY R AIK DAMAG HAIN','74','2021-02-11 12:24:28','2021-02-11 12:24:28');
INSERT INTO complaint_remarks VALUES('4577','4187','COMPLAINT RESOLVED','74','2021-02-11 12:26:20','2021-02-11 12:26:20');
INSERT INTO complaint_remarks VALUES('4578','4189','COMPLAINT RESOLVED','74','2021-02-11 12:38:31','2021-02-11 12:38:31');
INSERT INTO complaint_remarks VALUES('4579','4188','CUSTOMER CONFIRM KAR K BATAY GEI','74','2021-02-11 12:48:15','2021-02-11 12:48:15');
INSERT INTO complaint_remarks VALUES('4580','4176','REMINDER DS DIA MOSHIN SAB KO','74','2021-02-11 13:18:01','2021-02-11 13:18:01');
INSERT INTO complaint_remarks VALUES('4581','4248','SHAHID TECHNICIAN AJ IC COMPLAINT KO ATTEND KAR RAHAY HAIN 03095559754 INFORMED BY CUS&TARIQ','74','2021-02-11 14:29:34','2021-02-11 14:29:34');
INSERT INTO complaint_remarks VALUES('4582','4230','CUSTOMER SA BAT HO GEI HAIN SET S/C MOVE HO GA','74','2021-02-11 15:12:10','2021-02-11 15:12:10');
INSERT INTO complaint_remarks VALUES('4583','4219','COMPLAINT RESOLVED','92','2021-02-11 17:14:35','2021-02-11 17:14:35');
INSERT INTO complaint_remarks VALUES('4584','4245','COMPLAINT ATTEND  HO GEI HAIN REF TO S/C','74','2021-02-12 11:17:52','2021-02-12 11:17:52');
INSERT INTO complaint_remarks VALUES('4585','4157','COMPANY SIDE SA REF REPLACE HO RAHA HAIN INFORMED BY CUSTOMER','74','2021-02-12 11:40:32','2021-02-12 11:40:32');
INSERT INTO complaint_remarks VALUES('4586','4224','VISIT TO DAY','74','2021-02-12 11:56:18','2021-02-12 11:56:18');
INSERT INTO complaint_remarks VALUES('4587','4220','COMPLAINT RESOLVED','74','2021-02-12 11:59:26','2021-02-12 11:59:26');
INSERT INTO complaint_remarks VALUES('4588','4221','NOT ATTEND CALL','74','2021-02-12 12:00:13','2021-02-12 12:00:13');
INSERT INTO complaint_remarks VALUES('4589','4216','COMPLAINT RESOLVED','74','2021-02-12 12:01:11','2021-02-12 12:01:11');
INSERT INTO complaint_remarks VALUES('4590','4215','COMPLAINT RESOLVED','74','2021-02-12 12:03:48','2021-02-12 12:03:48');
INSERT INTO complaint_remarks VALUES('4591','4214','COMPLAINT ATTEND HO GEI HAIN LEAKAGE PROB SAI NAI HO RAHI','74','2021-02-12 12:06:50','2021-02-12 12:06:50');
INSERT INTO complaint_remarks VALUES('4592','4214','MUNWAR SAB KO INFORMED KAR DIA','74','2021-02-12 12:11:53','2021-02-12 12:11:53');
INSERT INTO complaint_remarks VALUES('4593','4213','COMPLAINT RESOLVED','74','2021-02-12 12:14:15','2021-02-12 12:14:15');
INSERT INTO complaint_remarks VALUES('4594','4212','COMPLAINT RESOLVED','74','2021-02-12 12:24:34','2021-02-12 12:24:34');
INSERT INTO complaint_remarks VALUES('4595','4211','COMPLAINT ATTEND HO GEI HAIN DOOR KI PIC SHER KAR DI COMAPNAY MAIN','74','2021-02-12 12:30:06','2021-02-12 12:30:06');
INSERT INTO complaint_remarks VALUES('4596','4210','COMPLAINT RESOLVED','74','2021-02-12 13:44:06','2021-02-12 13:44:06');
INSERT INTO complaint_remarks VALUES('4597','4209','COMPLAINT RESOLVED','74','2021-02-12 15:17:39','2021-02-12 15:17:39');
INSERT INTO complaint_remarks VALUES('4598','4206','COMPLAINT RESOLVED','74','2021-02-12 15:21:29','2021-02-12 15:21:29');
INSERT INTO complaint_remarks VALUES('4599','4205','COMPLAINT ATTEND HO GEI PARTS DEMAND KIYA HAIN','74','2021-02-12 15:26:43','2021-02-12 15:26:43');
INSERT INTO complaint_remarks VALUES('4600','4196','KAL AGAIN VISIT HAIN','74','2021-02-12 15:28:36','2021-02-12 15:28:36');
INSERT INTO complaint_remarks VALUES('4601','4168','AMNA KO REMINDER DA DIA VISIT K LIYA','74','2021-02-12 15:42:25','2021-02-12 15:42:25');
INSERT INTO complaint_remarks VALUES('4602','4164','COMPLAINT RESOLVED','74','2021-02-12 15:43:42','2021-02-12 15:43:42');
INSERT INTO complaint_remarks VALUES('4603','4248','SET S/C WORKING IN PROCESS','74','2021-02-12 15:44:58','2021-02-12 15:44:58');
INSERT INTO complaint_remarks VALUES('4604','4090','COMPLAINT RESOLVED','74','2021-02-12 15:53:22','2021-02-12 15:53:22');
INSERT INTO complaint_remarks VALUES('4605','4195','3 COOLER K COMPLAINT THI 2 COOLER OK HO GAYA AIK TANK KI REPORT HEAD OFFICE MAIN DI TECHNICIAN NA','74','2021-02-12 15:54:44','2021-02-12 15:54:44');
INSERT INTO complaint_remarks VALUES('4606','4137','NOT ATTEND CALL','74','2021-02-12 16:01:48','2021-02-12 16:01:48');
INSERT INTO complaint_remarks VALUES('4607','4120','NEXT WEEK TAQ  CUSTOMER REF S/C MOVE KARWAY GAY','74','2021-02-12 16:04:23','2021-02-12 16:04:23');
INSERT INTO complaint_remarks VALUES('4608','4130','COMPANY K STOCK MAIN PARTS AVAIL NAI HEADOFFICE DEMAND KI HAIN CUSTOMER KO INFORMED KAR DIA S/C WALO NA','74','2021-02-12 16:07:35','2021-02-12 16:07:35');
INSERT INTO complaint_remarks VALUES('4609','4116','COMPLAINT RESOLVED','74','2021-02-12 16:10:51','2021-02-12 16:10:51');
INSERT INTO complaint_remarks VALUES('4610','4115','COMPLAINT RESOLVED','74','2021-02-12 16:13:41','2021-02-12 16:13:41');
INSERT INTO complaint_remarks VALUES('4611','4112','NOT ATTEND CALL','74','2021-02-12 16:16:06','2021-02-12 16:16:06');
INSERT INTO complaint_remarks VALUES('4612','4111','COMPLAINT RESOLVED HO GEI HAIN HEATING & COILING DONO OK HAIN DISPLAY SHOW NI HOTA','74','2021-02-12 16:19:08','2021-02-12 16:19:08');
INSERT INTO complaint_remarks VALUES('4613','4016','COMPLAINT RESOLVED','74','2021-02-12 16:28:38','2021-02-12 16:28:38');
INSERT INTO complaint_remarks VALUES('4614','4040','CUSTOMER ABI TAQ S/C NAI LA KA GAY COMPLAINT CLOSED','74','2021-02-12 16:31:16','2021-02-12 16:31:16');
INSERT INTO complaint_remarks VALUES('4615','3998','COMPLAINT ATTEND HO GEI HAIN BOARD K ISSUE','74','2021-02-12 16:36:53','2021-02-12 16:36:53');
INSERT INTO complaint_remarks VALUES('4616','3993','COMPLIANT RESOLVED','74','2021-02-12 16:38:08','2021-02-12 16:38:08');
INSERT INTO complaint_remarks VALUES('4617','3761','CUSTOMER KI SIDE SA YHA COMPLAINT CLOSED','74','2021-02-12 16:49:55','2021-02-12 16:49:55');
INSERT INTO complaint_remarks VALUES('4618','3985','CUSTOMER NA COOL MAN WALO NA INSTALL KIYA HAIN CONCILIATED PIPING  KI HOI HAIN SARI TCL NA VISIT KAR KIYA HAIN REF TO S/C','74','2021-02-12 16:53:05','2021-02-12 16:53:05');
INSERT INTO complaint_remarks VALUES('4619','4163','VISIT TO DAY','74','2021-02-13 11:50:33','2021-02-13 11:50:33');
INSERT INTO complaint_remarks VALUES('4620','4247','VISIT TO DAYA','74','2021-02-13 12:25:29','2021-02-13 12:25:29');
INSERT INTO complaint_remarks VALUES('4621','4243','COMPLAINT ATTEND HO GEI HAIN INSTALLASTION FULT HAIN S/E REMINDER DA DIA','74','2021-02-13 12:31:25','2021-02-13 12:31:25');
INSERT INTO complaint_remarks VALUES('4622','4242','COMPLAINT RESOLVED','74','2021-02-13 12:34:30','2021-02-13 12:34:30');
INSERT INTO complaint_remarks VALUES('4623','4241','COMPLAINT RESOLVED','74','2021-02-13 12:37:20','2021-02-13 12:37:20');
INSERT INTO complaint_remarks VALUES('4624','3803','B.COOL NFORMED KAR DIA','74','2021-02-13 13:26:45','2021-02-13 13:26:45');
INSERT INTO complaint_remarks VALUES('4625','4240','COMPLAINT RESOLVED','74','2021-02-13 13:38:05','2021-02-13 13:38:05');
INSERT INTO complaint_remarks VALUES('4626','4238','COMPLAINT ATTEND HO GEI HAIN STOCK KA UNIT HAIN HASSAN SAB KO INFORMED KAR DIA HAIN K BILAL MANZOOR SA CONTACT KA LAY','74','2021-02-13 13:43:52','2021-02-13 13:43:52');
INSERT INTO complaint_remarks VALUES('4627','4237','NO VISIT REMINDER DA DIYA','74','2021-02-13 13:55:31','2021-02-13 13:55:31');
INSERT INTO complaint_remarks VALUES('4628','4233','COMPLAINT RESOLVED','74','2021-02-13 13:58:32','2021-02-13 13:58:32');
INSERT INTO complaint_remarks VALUES('4629','4229','COMPLAINT RESOLVED','74','2021-02-13 14:01:48','2021-02-13 14:01:48');
INSERT INTO complaint_remarks VALUES('4630','4228','COMPLAINT ATTEND HO GEI HAIN UNIT S/C MOVE HOGA CUSTOMER K PASS PACKING NAI HAIN','74','2021-02-13 14:07:02','2021-02-13 14:07:02');
INSERT INTO complaint_remarks VALUES('4631','4224','COMPLAINT RESOLVED','74','2021-02-13 14:11:19','2021-02-13 14:11:19');
INSERT INTO complaint_remarks VALUES('4632','4255','YHA WRONG COMPLAINT HAIN CUSTOMER KA 5 STAR GEYSER KI COMPLIANT  THI XCOMPLAINT CLOSED','74','2021-02-13 16:03:53','2021-02-13 16:03:53');
INSERT INTO complaint_remarks VALUES('4633','4221','COMPLAINT RESOLVED','74','2021-02-13 16:30:48','2021-02-13 16:30:48');
INSERT INTO complaint_remarks VALUES('4634','4159','COMPLAINT RESOLVED','74','2021-02-13 16:44:48','2021-02-13 16:44:48');
INSERT INTO complaint_remarks VALUES('4635','4157','NOT ATTEND CALL','74','2021-02-13 17:23:04','2021-02-13 17:23:04');
INSERT INTO complaint_remarks VALUES('4636','4295','BILL# 52 MAGENTRON DIYA HAIN LG S/C WALO KO','74','2021-02-13 18:23:09','2021-02-13 18:23:09');
INSERT INTO complaint_remarks VALUES('4637','4293','COMPLAINT NO PKRI-210214101280','92','2021-02-14 11:02:20','2021-02-14 11:02:20');
INSERT INTO complaint_remarks VALUES('4638','4176','VISIT HO GAYA HAY PART ISSUE COMPLAINT IN PROCESS','92','2021-02-14 12:27:28','2021-02-14 12:27:28');
INSERT INTO complaint_remarks VALUES('4639','4269','COMPLAINT RESOLVED','92','2021-02-14 12:34:00','2021-02-14 12:34:00');
INSERT INTO complaint_remarks VALUES('4640','4268','COMPLAINT RESOLVED','92','2021-02-14 12:36:08','2021-02-14 12:36:08');
INSERT INTO complaint_remarks VALUES('4641','4265','COMPLAINT RESOLVED','92','2021-02-14 12:54:24','2021-02-14 12:54:24');
INSERT INTO complaint_remarks VALUES('4642','4267','03095305227 OTHER NO','92','2021-02-14 12:57:54','2021-02-14 12:57:54');
INSERT INTO complaint_remarks VALUES('4643','4267','COMPLAINT RESOLVED','92','2021-02-14 13:00:49','2021-02-14 13:00:49');
INSERT INTO complaint_remarks VALUES('4644','4261','COMPLAINT RESOLVED','92','2021-02-14 13:03:00','2021-02-14 13:03:00');
INSERT INTO complaint_remarks VALUES('4645','4260','VISIT TO MONDAY','92','2021-02-14 13:05:21','2021-02-14 13:05:21');
INSERT INTO complaint_remarks VALUES('4646','4258','NOT ATTEND CALL','92','2021-02-14 13:11:07','2021-02-14 13:11:07');
INSERT INTO complaint_remarks VALUES('4647','4257','NOT ATTEND CALL','92','2021-02-14 13:14:32','2021-02-14 13:14:32');
INSERT INTO complaint_remarks VALUES('4648','3979','COMPLAINT RESOLVED','92','2021-02-14 13:25:50','2021-02-14 13:25:50');
INSERT INTO complaint_remarks VALUES('4649','4092','UNIT REPLACE COMPLAINT CANCEL','92','2021-02-14 13:31:06','2021-02-14 13:31:06');
INSERT INTO complaint_remarks VALUES('4650','4258','COMPLAINT RESOLVED','92','2021-02-14 14:13:02','2021-02-14 14:13:02');
INSERT INTO complaint_remarks VALUES('4651','4258','COMPLAINT RESOLVED','92','2021-02-14 14:21:01','2021-02-14 14:21:01');
INSERT INTO complaint_remarks VALUES('4652','4288','COMPLAINT RESOLVED','74','2021-02-15 11:18:32','2021-02-15 11:18:32');
INSERT INTO complaint_remarks VALUES('4653','4270','VISIT TO DAY AMNA KO RENIDER D ADIA','74','2021-02-15 11:58:54','2021-02-15 11:58:54');
INSERT INTO complaint_remarks VALUES('4654','4259','COMPLAINT ATTEND HO GEI HAIN REF CUSTOMER AJ S/C MOVE KARWA RAHI HAIN','74','2021-02-15 12:29:57','2021-02-15 12:29:57');
INSERT INTO complaint_remarks VALUES('4655','4257','COMPLAINT RESOLVED','74','2021-02-15 12:53:20','2021-02-15 12:53:20');
INSERT INTO complaint_remarks VALUES('4656','4248','COMPLAINT RESOLVED','74','2021-02-15 13:31:32','2021-02-15 13:31:32');
INSERT INTO complaint_remarks VALUES('4657','4247','COMPLAINT RESOLVED','74','2021-02-15 13:33:47','2021-02-15 13:33:47');
INSERT INTO complaint_remarks VALUES('4658','4243','A/C ROOF K SATH ATTACH HOA WA HAIN  CUSTOMER KO HAIER S/C KA NO B PROVIDE KAR DAI','74','2021-02-15 13:39:45','2021-02-15 13:39:45');
INSERT INTO complaint_remarks VALUES('4659','4273','NO P/OFF','74','2021-02-15 15:41:56','2021-02-15 15:41:56');
INSERT INTO complaint_remarks VALUES('4660','4157','REF MAIN MOST RISER KA ISSUE THA COMPANY NA REF CUSTOMER NA REPLACE KARWA DI CUSTOMER KA REF COMPNAY S/C AHMED SAB K PASS HAIN','74','2021-02-15 15:48:13','2021-02-15 15:48:13');
INSERT INTO complaint_remarks VALUES('4661','4144','SAMI SAB NA YHA GEYSER ZAFR FHSS K HANDOVER KIYA HAIN ASLAM SIR NA CANNON S/C MOVE KARWANA','74','2021-02-15 15:51:02','2021-02-15 15:51:02');
INSERT INTO complaint_remarks VALUES('4662','4132','OUT DOOR CUSTOMER S/C MOVE KAWAYGAY','74','2021-02-15 16:36:07','2021-02-15 16:36:07');
INSERT INTO complaint_remarks VALUES('4663','3905','COMPLAINT RESOLVED','74','2021-02-15 16:38:07','2021-02-15 16:38:07');
INSERT INTO complaint_remarks VALUES('4664','4141','ASLAM SIR NA GRN KARNI HAIN','74','2021-02-15 16:57:45','2021-02-15 16:57:45');
INSERT INTO complaint_remarks VALUES('4665','2647','GASS KA CHARGES 4500 CUSTOMER KO INFOREND KAR DI','74','2021-02-15 16:59:29','2021-02-15 16:59:29');
INSERT INTO complaint_remarks VALUES('4666','4214','COMPLAINT RESOLVED','74','2021-02-15 17:03:56','2021-02-15 17:03:56');
INSERT INTO complaint_remarks VALUES('4667','4250','COMPLAINT RESOLVED','74','2021-02-15 17:06:58','2021-02-15 17:06:58');
INSERT INTO complaint_remarks VALUES('4668','4263','COMPLAINT ATTEND HO GEI INSTALLER ISSUE
COMPLAINT CLOSED','74','2021-02-15 17:10:32','2021-02-15 17:10:32');
INSERT INTO complaint_remarks VALUES('4669','4207','CUSTOMER KAL S/C MOVE KARWAY GAY','74','2021-02-15 17:23:04','2021-02-15 17:23:04');
INSERT INTO complaint_remarks VALUES('4670','4028','PARTS DEMAND KIYA HOAY THAY 2 DIN MAIN COMPLAINT ATTEND  HO JAY GEI','74','2021-02-15 17:31:29','2021-02-15 17:31:29');
INSERT INTO complaint_remarks VALUES('4671','4028','INFORMED BY CUSTOMER','74','2021-02-15 17:31:42','2021-02-15 17:31:42');
INSERT INTO complaint_remarks VALUES('4672','4295','OVEN KA PARTS KAL LG S/C BAJWAYA HAIN  I-10/3 SA','74','2021-02-16 11:00:34','2021-02-16 11:00:34');
INSERT INTO complaint_remarks VALUES('4673','3821','HEATING KA ISSUE RESOLVED KAR DIA GAYA HAIN S/C SA AGAIN FOLLOWUP LA K COMPLAINT CLOSED KI','74','2021-02-16 11:27:53','2021-02-16 11:27:53');
INSERT INTO complaint_remarks VALUES('4674','4280','SATURDAY KO TIME CUSTOMER NA DIA HAIN ZAHID SAB KO B INFORMED KAR DIA','74','2021-02-16 11:34:35','2021-02-16 11:34:35');
INSERT INTO complaint_remarks VALUES('4675','2993','COMPLAINT RESOLVED','74','2021-02-16 11:37:59','2021-02-16 11:37:59');
INSERT INTO complaint_remarks VALUES('4676','4294','COMPLAINT ATTEND HO GEI HAIN COMPANY S/C NA AJ PICK KARNI HAIN','74','2021-02-16 11:50:58','2021-02-16 11:50:58');
INSERT INTO complaint_remarks VALUES('4677','4290','COMPLAINT RESOLVED','74','2021-02-16 11:52:35','2021-02-16 11:52:35');
INSERT INTO complaint_remarks VALUES('4678','4289','CUSTOMER KI SIDE PA AIK VISIT HO GAYA  AJA AGAIN VISIT HO GA','74','2021-02-16 11:55:19','2021-02-16 11:55:19');
INSERT INTO complaint_remarks VALUES('4679','4282','COMPLAINT RESOLVED','74','2021-02-16 12:00:20','2021-02-16 12:00:20');
INSERT INTO complaint_remarks VALUES('4680','4259','S/C WORKING IN PROCESS','74','2021-02-16 12:01:39','2021-02-16 12:01:39');
INSERT INTO complaint_remarks VALUES('4681','4243','CUSTOMER GHR PA AVIL NI','74','2021-02-16 12:04:29','2021-02-16 12:04:29');
INSERT INTO complaint_remarks VALUES('4682','4279','COMPLAINT RESOLVED','74','2021-02-16 12:05:50','2021-02-16 12:05:50');
INSERT INTO complaint_remarks VALUES('4683','4278','COMPLAINT RESOLVED','74','2021-02-16 12:08:16','2021-02-16 12:08:16');
INSERT INTO complaint_remarks VALUES('4684','4260','WASEEM ASHRAF 03319146117  VISIT TO DAY','74','2021-02-16 12:14:26','2021-02-16 12:14:26');
INSERT INTO complaint_remarks VALUES('4685','4195','COMPLAINT RESOLVED','74','2021-02-16 12:23:37','2021-02-16 12:23:37');
INSERT INTO complaint_remarks VALUES('4686','4207','CUSTOMER ABI BUSY HAIN S/C MOVE NAI KARWA SAKTYA W/M COMPLAINT CLOSED','74','2021-02-16 13:39:48','2021-02-16 13:39:48');
INSERT INTO complaint_remarks VALUES('4687','4270','TECHNICIAN CUSTOMER K GHR P AHAIN','74','2021-02-16 13:48:45','2021-02-16 13:48:45');
INSERT INTO complaint_remarks VALUES('4688','4137','HEAD OFFICE SA ABI MAIL KA ANS NI AAYA S/C 0544620250','74','2021-02-16 15:27:36','2021-02-16 15:27:36');
INSERT INTO complaint_remarks VALUES('4689','3782','CUSTOMER STILL NOT ATTEND MY CALL COMLAINT CLOSED','74','2021-02-16 15:30:05','2021-02-16 15:30:05');
INSERT INTO complaint_remarks VALUES('4690','4200','COMPRESSOR DEMAND KIYA HOA HAIN','74','2021-02-16 15:41:35','2021-02-16 15:41:35');
INSERT INTO complaint_remarks VALUES('4691','4126','COMPLAINT RESOLVED','74','2021-02-16 15:48:18','2021-02-16 15:48:18');
INSERT INTO complaint_remarks VALUES('4692','3791','COMPLAINT RESOLVED','74','2021-02-16 15:56:53','2021-02-16 15:56:53');
INSERT INTO complaint_remarks VALUES('4693','3583','WARRANTY CARD NAI CUSTOMER K PASS CUSTOMER SIDE SA DELAY HAIN COMPLAINT CLOSED COMPLIANT','74','2021-02-16 16:40:18','2021-02-16 16:40:18');
INSERT INTO complaint_remarks VALUES('4694','3701','COMPLAINT RESOLVED','74','2021-02-16 16:43:28','2021-02-16 16:43:28');
INSERT INTO complaint_remarks VALUES('4695','4287','COMPLAINT RESOLVED','74','2021-02-16 16:46:07','2021-02-16 16:46:07');
INSERT INTO complaint_remarks VALUES('4696','4291','COMPLAINT RESOLVED','74','2021-02-16 16:47:45','2021-02-16 16:47:45');
INSERT INTO complaint_remarks VALUES('4697','4289','FAHAD  TECHNICIAN  VISIT K LIYA JA RAHAY HAIN','74','2021-02-16 17:03:59','2021-02-16 17:03:59');
INSERT INTO complaint_remarks VALUES('4698','4324','COMPRESSOR & PCB KA ISSUE HAIN REF TO S/C','74','2021-02-16 17:08:01','2021-02-16 17:08:01');
INSERT INTO complaint_remarks VALUES('4699','3697','COMPLAINT RESOLVED','74','2021-02-16 17:21:50','2021-02-16 17:21:50');
INSERT INTO complaint_remarks VALUES('4700','4270','COMPLAINT RESOLVED','74','2021-02-16 17:40:26','2021-02-16 17:40:26');
INSERT INTO complaint_remarks VALUES('4701','4205','KLA KA TIMME DIA HAIN TECHNICIAN NA','74','2021-02-16 17:42:35','2021-02-16 17:42:35');
INSERT INTO complaint_remarks VALUES('4702','4123','COMPLAINT RESOLVED','74','2021-02-16 17:44:51','2021-02-16 17:44:51');
INSERT INTO complaint_remarks VALUES('4703','3317','COMPLAINT RESOLVED','74','2021-02-16 17:49:10','2021-02-16 17:49:10');
INSERT INTO complaint_remarks VALUES('4704','4056','COMPLAINT RESOLVED','74','2021-02-16 17:58:12','2021-02-16 17:58:12');
INSERT INTO complaint_remarks VALUES('4705','1948','QASIER SAB BOL RAHAY HAIN K IC W/M KA KUCH B SOLUTION NAI INFORMED BY AZEEM SAB','74','2021-02-16 18:00:40','2021-02-16 18:00:40');
INSERT INTO complaint_remarks VALUES('4706','4305','complaint resolved','74','2021-02-17 10:59:16','2021-02-17 10:59:16');
INSERT INTO complaint_remarks VALUES('4707','4302','COMPLAINT RESOLVED','74','2021-02-17 11:00:36','2021-02-17 11:00:36');
INSERT INTO complaint_remarks VALUES('4708','4303','NOT ATTEND CALL','74','2021-02-17 11:05:50','2021-02-17 11:05:50');
INSERT INTO complaint_remarks VALUES('4709','4301','COMPLAINT RESOLVED','74','2021-02-17 11:09:14','2021-02-17 11:09:14');
INSERT INTO complaint_remarks VALUES('4710','4298','COMPLAINT RESOLVED','74','2021-02-17 11:11:43','2021-02-17 11:11:43');
INSERT INTO complaint_remarks VALUES('4711','4289','COMPLAINT RESOLVED','74','2021-02-17 11:23:32','2021-02-17 11:23:32');
INSERT INTO complaint_remarks VALUES('4712','4303','COMPLAINT RESOLVED  DRAIN BLOCKAGE PROB COMPLAINT RESOLVED','74','2021-02-17 11:47:55','2021-02-17 11:47:55');
INSERT INTO complaint_remarks VALUES('4713','4260','COMPLAINT RESOLVED','74','2021-02-17 11:53:11','2021-02-17 11:53:11');
INSERT INTO complaint_remarks VALUES('4714','4232','W/M AZEEM SAB K PASS HAIN ASLAM SIR NA S/C MOVE KARWANI HAIN','74','2021-02-17 11:56:55','2021-02-17 11:56:55');
INSERT INTO complaint_remarks VALUES('4715','4168','YHA COMPANY SIDE SA DELAY','74','2021-02-17 12:14:17','2021-02-17 12:14:17');
INSERT INTO complaint_remarks VALUES('4716','4337','COMPLAINT ATTEND HO GEI HAIN COMPRESSOR KA ISSUE HAIN REF TO S/C BUT CUSTOMER AGREE NAI HAIN  INFORMEND BYASLAM SIR','74','2021-02-17 12:29:04','2021-02-17 12:29:04');
INSERT INTO complaint_remarks VALUES('4717','4337','ASALAM SIR NA REPLACE KI APPROVAL DA DI HAIN INFORMED BY ISHFAQ SAB','74','2021-02-17 12:33:49','2021-02-17 12:33:49');
INSERT INTO complaint_remarks VALUES('4718','4276','CUSTOMER NA KHUD SA COMPLAINT RESOLVED KARWA LI THI VISIT CANCELLED KARWA DI','74','2021-02-17 12:42:59','2021-02-17 12:42:59');
INSERT INTO complaint_remarks VALUES('4719','4353','YHA OVEN S/C MOVE HO GA INFORMED BY BUT PWD','74','2021-02-17 12:58:56','2021-02-17 12:58:56');
INSERT INTO complaint_remarks VALUES('4720','4130','HEAD OFFICE SA DRAIN NOB AIK BAR HI AATI HAIN YHA CASE REFUSE HO GAY HAIN  CUSTOMER KO B COMPANY NA INFORMED KAR KA COMPLINT CLOSED KAR DI','74','2021-02-17 13:02:36','2021-02-17 13:02:36');
INSERT INTO complaint_remarks VALUES('4721','3817','CUSTOMER KI SIDE SA COMPLIANT  DELAY HAIN CUSTOMER NA KHUD S/C LA KJANI LHR','74','2021-02-17 13:17:12','2021-02-17 13:17:12');
INSERT INTO complaint_remarks VALUES('4722','4335','IN PROCESS COMPLAINT','74','2021-02-17 13:23:14','2021-02-17 13:23:14');
INSERT INTO complaint_remarks VALUES('4723','3871','4000 EXP JUST S/C HAIN  CUSTOMER KO EXP  BATANA HAIN','74','2021-02-17 13:33:52','2021-02-17 13:33:52');
INSERT INTO complaint_remarks VALUES('4724','3871','OTHER#03225042063  SAIF SAB SA LA KA LG S/C PROVIDE KAR DIA','74','2021-02-17 13:38:45','2021-02-17 13:38:45');
INSERT INTO complaint_remarks VALUES('4725','4306','COMPLAINT ATTEND HO GEI HAIN SOUND KA KOI PARTS REPLACE HO GA BUT CUSTOMER SET OPEN NAI KARNAY DA RAHAY REPLACEMENT KI BAT KAR RAHAY HAIN ASLAM SAB KO INFORMED KAR DIA','74','2021-02-17 14:15:57','2021-02-17 14:15:57');
INSERT INTO complaint_remarks VALUES('4726','4228','LHR S/C MOVE KARWA DIA HAIN AHMED SAB NA  2- WEEK LAGAY GAY AHMED SAB YHA COMPLINT LOOK AFTER KAR RAHAY HAIN','74','2021-02-17 14:23:00','2021-02-17 14:23:00');
INSERT INTO complaint_remarks VALUES('4727','3088','S/C MAIN HI HAIN','74','2021-02-17 16:26:33','2021-02-17 16:26:33');
INSERT INTO complaint_remarks VALUES('4728','4329','COMPLAINT RESOLVED','74','2021-02-18 10:38:03','2021-02-18 10:38:03');
INSERT INTO complaint_remarks VALUES('4729','4328','NO VISIT KHURRAM BHAI KO REMINDER','74','2021-02-18 10:40:38','2021-02-18 10:40:38');
INSERT INTO complaint_remarks VALUES('4730','4327','COMPLAINT RESOLVED','74','2021-02-18 10:42:13','2021-02-18 10:42:13');
INSERT INTO complaint_remarks VALUES('4731','4324','PARTS DEMAND KI HOI HAIN  LHR SA','74','2021-02-18 10:45:34','2021-02-18 10:45:34');
INSERT INTO complaint_remarks VALUES('4732','4205','COMPLAINT RESOLVED','92','2021-02-18 10:53:49','2021-02-18 10:53:49');
INSERT INTO complaint_remarks VALUES('4733','4322','COMPLAINT RESOLVED','74','2021-02-18 10:55:23','2021-02-18 10:55:23');
INSERT INTO complaint_remarks VALUES('4734','4176','NOT ATTEND CALL','92','2021-02-18 10:57:27','2021-02-18 10:57:27');
INSERT INTO complaint_remarks VALUES('4735','4325','COMPLAINT ATTEND HO GEI HAIN W/M S/C LA K GAY HAIN','74','2021-02-18 11:17:29','2021-02-18 11:17:29');
INSERT INTO complaint_remarks VALUES('4736','4318','NO VISIT','74','2021-02-18 11:19:00','2021-02-18 11:19:00');
INSERT INTO complaint_remarks VALUES('4737','4317','COMPLAINT ATTEND HO GEI HAIN W/D CHOKW HAIN INFORMED BY SALEMAN','74','2021-02-18 11:20:42','2021-02-18 11:20:42');
INSERT INTO complaint_remarks VALUES('4738','4314','CUSTOMER KO 2 DIN KA TIME DIA KHURRAM BHAI NA','74','2021-02-18 11:22:35','2021-02-18 11:22:35');
INSERT INTO complaint_remarks VALUES('4739','4313','COMPLAINT RESOLVED','74','2021-02-18 11:25:32','2021-02-18 11:25:32');
INSERT INTO complaint_remarks VALUES('4740','4310','COMPLAINT RESOLVED','74','2021-02-18 11:27:27','2021-02-18 11:27:27');
INSERT INTO complaint_remarks VALUES('4741','3775','NOT ATTEND CALL','92','2021-02-18 11:28:56','2021-02-18 11:28:56');
INSERT INTO complaint_remarks VALUES('4742','4308','COMPLAINT ATTEND HO GEI HAIN A/C DIS MANTEL KARNA HAIN','74','2021-02-18 11:30:12','2021-02-18 11:30:12');
INSERT INTO complaint_remarks VALUES('4743','4307','VISIT TO DAY','74','2021-02-18 11:33:13','2021-02-18 11:33:13');
INSERT INTO complaint_remarks VALUES('4744','3755','VISIT TO DAY','92','2021-02-18 11:33:42','2021-02-18 11:33:42');
INSERT INTO complaint_remarks VALUES('4745','4306','CUSTOMER KO SET REPLACE KAR K DA DIYA HAIN','74','2021-02-18 11:37:44','2021-02-18 11:37:44');
INSERT INTO complaint_remarks VALUES('4746','4300','NOT ATTEND CALL','74','2021-02-18 11:40:13','2021-02-18 11:40:13');
INSERT INTO complaint_remarks VALUES('4747','4341','NOT ATTEND CALL','92','2021-02-18 11:51:20','2021-02-18 11:51:20');
INSERT INTO complaint_remarks VALUES('4748','4259','COMPRESSOR KA ISSUE 
03125343149 UMER SAB YHA COMPAINT ATTEND KAR RAHAY','74','2021-02-18 11:55:40','2021-02-18 11:55:40');
INSERT INTO complaint_remarks VALUES('4749','4259','WORKING IN PROCESS S/C','74','2021-02-18 11:57:19','2021-02-18 11:57:19');
INSERT INTO complaint_remarks VALUES('4750','4188','VISIT TO DAY','92','2021-02-18 11:57:36','2021-02-18 11:57:36');
INSERT INTO complaint_remarks VALUES('4751','4196','COMAPLINT ATTEND HO GEI HAIN PARTS PCB CARD DEMND KIYA HAINA','74','2021-02-18 12:10:23','2021-02-18 12:10:23');
INSERT INTO complaint_remarks VALUES('4752','4163','PCB S/C LA K AAY HAIN YHA ABI REPAIR KAR K DAY GAY CUSTOMER KO & NEW PCB KI DEMAND KAR DAY GAY','74','2021-02-18 12:12:04','2021-02-18 12:12:04');
INSERT INTO complaint_remarks VALUES('4753','4351','VISIT TO DAY','74','2021-02-18 12:16:18','2021-02-18 12:16:18');
INSERT INTO complaint_remarks VALUES('4754','3865','ANEEQ & ASLAM SIR KO INFORMED KAR DIA HAIN  FHSS SA PICK KAR  S/C MOVE KARWAY','74','2021-02-18 15:36:30','2021-02-18 15:36:30');
INSERT INTO complaint_remarks VALUES('4755','3792','COMPLAINT RESOLVED','74','2021-02-18 16:01:56','2021-02-18 16:01:56');
INSERT INTO complaint_remarks VALUES('4756','3716','CUSTOMER NA COMPLAINT LOCAL TECHNICIAN SA RESOLVED KARWA LI','74','2021-02-18 16:11:49','2021-02-18 16:11:49');
INSERT INTO complaint_remarks VALUES('4757','4200','COMPRESSOR REPLACE HO GAYA HAIN DELIVER HO JAY GA KUCH DAIR TAQ','74','2021-02-18 17:58:13','2021-02-18 17:58:13');
INSERT INTO complaint_remarks VALUES('4758','4347','COMPLAINT RESOLVED','74','2021-02-19 11:18:19','2021-02-19 11:18:19');
INSERT INTO complaint_remarks VALUES('4759','4346','COMPLAINT RESOLVED','74','2021-02-19 11:20:29','2021-02-19 11:20:29');
INSERT INTO complaint_remarks VALUES('4760','4345','JIS DIN VISIT THA US DIN CUSTOMER GHR PA AVAIL NAI THA AJ AGAIN COMPLAINT REOPEND KARWA DI','74','2021-02-19 11:29:26','2021-02-19 11:29:26');
INSERT INTO complaint_remarks VALUES('4761','4344','COMPLAINT RESOLVED','74','2021-02-19 11:36:22','2021-02-19 11:36:22');
INSERT INTO complaint_remarks VALUES('4762','4342','COMPLAINT RESOLVED','74','2021-02-19 11:38:40','2021-02-19 11:38:40');
INSERT INTO complaint_remarks VALUES('4763','4341','NOT ATTEND CALL','74','2021-02-19 11:42:31','2021-02-19 11:42:31');
INSERT INTO complaint_remarks VALUES('4764','4340','COMPLAINT ATTEND HO GEI HAIN PARTS DEMAND KIY HAIN','74','2021-02-19 11:43:51','2021-02-19 11:43:51');
INSERT INTO complaint_remarks VALUES('4765','4339','CUSTOMER NA COMPLAINT LOCAL TECHNICIAN SA RESOLVED KARWA LI COMPLAINT  CLOSED','74','2021-02-19 11:46:47','2021-02-19 11:46:47');
INSERT INTO complaint_remarks VALUES('4766','4338','COMPLAINT RESOLVED','74','2021-02-19 11:51:13','2021-02-19 11:51:13');
INSERT INTO complaint_remarks VALUES('4767','3677','TAKNI DEMAND KI THI TANK AAGAY HAIN CUSTOMER KO INFORMED KAE DIA HAIN K GEYSER SHAMSHABAD MOVE  KARWA DAY','74','2021-02-19 12:06:49','2021-02-19 12:06:49');
INSERT INTO complaint_remarks VALUES('4768','4337','COMPLAINT RESOLVED YHA REF REPLACE HOA HAIN','74','2021-02-19 12:09:22','2021-02-19 12:09:22');
INSERT INTO complaint_remarks VALUES('4769','4372','NOT RESPONDING NO','74','2021-02-19 12:09:38','2021-02-19 12:09:38');
INSERT INTO complaint_remarks VALUES('4770','4336','COMPLAINT RESOLVED','74','2021-02-19 12:11:15','2021-02-19 12:11:15');
INSERT INTO complaint_remarks VALUES('4771','4335','COMPLAINT ATTEND HO GEI HAIN REF TO S/C BUT CUSTOMER ABI S/C LA K NAI JA RAHI COMPLAINT CLOSED','74','2021-02-19 12:14:49','2021-02-19 12:14:49');
INSERT INTO complaint_remarks VALUES('4772','4334','COMPLAINT ATTEND HO GEI HAIN PANAL DEMAND KIYA HOA HAIN','74','2021-02-19 12:17:02','2021-02-19 12:17:02');
INSERT INTO complaint_remarks VALUES('4773','4332','COMPLAINT PA VISIT HO GAYA HAIN BUT ISUUE RESOLVED NAI HOA NAEEM SAB KO INFORMED KAR DIA','74','2021-02-19 12:21:09','2021-02-19 12:21:09');
INSERT INTO complaint_remarks VALUES('4774','4328','NO VISIT','74','2021-02-19 12:30:24','2021-02-19 12:30:24');
INSERT INTO complaint_remarks VALUES('4775','4277','REF S/C WORKING IN PROCESS','74','2021-02-19 15:57:04','2021-02-19 15:57:04');
INSERT INTO complaint_remarks VALUES('4776','4368','VISIT TO DAY','92','2021-02-20 10:43:07','2021-02-20 10:43:07');
INSERT INTO complaint_remarks VALUES('4777','4358','COMPLAINT RESOLVED','92','2021-02-20 10:46:09','2021-02-20 10:46:09');
INSERT INTO complaint_remarks VALUES('4778','4375','VISIT TO MONDAY 
GAS LEAKAGE ISSUE','92','2021-02-20 10:51:24','2021-02-20 10:51:24');
INSERT INTO complaint_remarks VALUES('4779','4372','COMPLAINT ATTEND HO GEI HAIN REF CUSTOMER NA S/C MOVE KHUD KARWANA','74','2021-02-20 11:13:16','2021-02-20 11:13:16');
INSERT INTO complaint_remarks VALUES('4780','4370','KHURRAM BHAI KI CUSTOMER SA AT HO GEI GEI HAIN  VISIT K LIYA','74','2021-02-20 11:15:21','2021-02-20 11:15:21');
INSERT INTO complaint_remarks VALUES('4781','4259','COMPLAINT RESOLVED','92','2021-02-20 11:25:51','2021-02-20 11:25:51');
INSERT INTO complaint_remarks VALUES('4782','4200','UNIT S/C SA READY HO GA CUSTOMER KA PASS  GAYA HAIN COMPLAINT CLOSED','74','2021-02-20 11:37:10','2021-02-20 11:37:10');
INSERT INTO complaint_remarks VALUES('4783','4369','COMPLAINT RESOLVED','74','2021-02-20 11:41:23','2021-02-20 11:41:23');
INSERT INTO complaint_remarks VALUES('4784','4361','VISIT K LIYA MANWAR SAB KO REMINDER DA DIA','74','2021-02-20 11:57:22','2021-02-20 11:57:22');
INSERT INTO complaint_remarks VALUES('4785','4351','COMPLAINT RESOLVED','74','2021-02-20 12:28:48','2021-02-20 12:28:48');
INSERT INTO complaint_remarks VALUES('4786','4332','AJ AGAIN VISIT KARWA RAHAY NAEEM SAB','74','2021-02-20 13:06:16','2021-02-20 13:06:16');
INSERT INTO complaint_remarks VALUES('4787','2601','AHMED KAMRA SA STATUS LA K COMPLIANT OK KI CUSTOMER STILL NOT ATTEND CALL','74','2021-02-20 13:26:33','2021-02-20 13:26:33');
INSERT INTO complaint_remarks VALUES('4788','3039','YHA CUSTOMER ABI TAQ S/C REF LA K NAI AAY COMPLAINT CLOSED','74','2021-02-20 13:34:37','2021-02-20 13:34:37');
INSERT INTO complaint_remarks VALUES('4789','2647','VISIT CHARGES KI WAJA SA COMPLAINT DELAY CUSTOMER NA BAI TAQ KUCH B INFORMED KIYA','74','2021-02-20 13:36:46','2021-02-20 13:36:46');
INSERT INTO complaint_remarks VALUES('4790','4064','CUSTOMER NA W/M RETUREND KARWA K PAYMENT WAPISE LA LI YHA W/M FCI IQBAL SAB K PASS HAIN I 10 AAI GEI YHA W/M INFORMED BY IQBAL SAB','74','2021-02-20 13:41:42','2021-02-20 13:41:42');
INSERT INTO complaint_remarks VALUES('4791','4308','CUSTOMER NA KHUD UNIT S/C MOVE KARWANA HAIN','74','2021-02-20 14:40:30','2021-02-20 14:40:30');
INSERT INTO complaint_remarks VALUES('4792','4308','ADEEL 7 STAR WALAY YHA COMPLANT ATTEND KARWA RAHAY 03455088808','74','2021-02-20 14:41:20','2021-02-20 14:41:20');
INSERT INTO complaint_remarks VALUES('4793','3059','COMPLAINT CLOSED CUSTOMER STILL CALL ATTEND NI KAR RAHI NA HAMAR NA COMPANY','74','2021-02-20 14:51:09','2021-02-20 14:51:09');
INSERT INTO complaint_remarks VALUES('4794','4345','COMPLAINT STTEND HO GEI HAIN CUSTOMER ABI CHEEK KAR RAHAY HAIN MONDAY KO AGAIN CALL KAR K CONFIRM KARNA','74','2021-02-20 14:58:16','2021-02-20 14:58:16');
INSERT INTO complaint_remarks VALUES('4795','4324','UNIT READY HO CUSTOMER K GHR DILVER HO GAY HAIN  MONDAY KO AGAIN CALL KA K CONFIRM KARAY GAY','74','2021-02-20 15:06:08','2021-02-20 15:06:08');
INSERT INTO complaint_remarks VALUES('4796','1897','COMPLAINT ANEEQ KO FF KAR DI COMPLAINT CLOSED','74','2021-02-20 15:09:25','2021-02-20 15:09:25');
INSERT INTO complaint_remarks VALUES('4797','1902','COMPLAINT RESOLVED S/C SA READY HO K AAY HAIN','74','2021-02-20 15:23:06','2021-02-20 15:23:06');
INSERT INTO complaint_remarks VALUES('4798','3077','NOB KHURRAM BHI NA LAGA DI THI COMPLAINT RESOLVED','74','2021-02-20 15:25:56','2021-02-20 15:25:56');
INSERT INTO complaint_remarks VALUES('4799','3088','YHA COMPANY SIDE SA 1 2 DIN TAQ RETURNED KI APPROVAL AAJAY GEI','74','2021-02-20 15:30:55','2021-02-20 15:30:55');
INSERT INTO complaint_remarks VALUES('4800','3144','COMPLAINT RESOLVED','74','2021-02-20 15:32:35','2021-02-20 15:32:35');
INSERT INTO complaint_remarks VALUES('4801','4304','PEL KA W/D HAINCOMPLAINT RESOLVED','74','2021-02-20 15:39:03','2021-02-20 15:39:03');
INSERT INTO complaint_remarks VALUES('4802','3220','MONDAY KO ATTEND KARWAY','74','2021-02-20 15:43:01','2021-02-20 15:43:01');
INSERT INTO complaint_remarks VALUES('4803','2994','MONDAY KO AATEND KARWAY GAY','74','2021-02-20 15:56:20','2021-02-20 15:56:20');
INSERT INTO complaint_remarks VALUES('4804','3221','COMPLAINT RESOLVESD','74','2021-02-20 16:16:01','2021-02-20 16:16:01');
INSERT INTO complaint_remarks VALUES('4805','3236','COMPLAINT RESOLVED','74','2021-02-20 16:31:00','2021-02-20 16:31:00');
INSERT INTO complaint_remarks VALUES('4806','3240','COMPLAIN RESOLVED','74','2021-02-20 16:33:15','2021-02-20 16:33:15');
INSERT INTO complaint_remarks VALUES('4807','2684','COMPLAINT FF TO ANEEQ','74','2021-02-20 16:40:22','2021-02-20 16:40:22');
INSERT INTO complaint_remarks VALUES('4808','3088','COMPLAINT FF TO ANEEQ','74','2021-02-20 16:44:58','2021-02-20 16:44:58');
INSERT INTO complaint_remarks VALUES('4809','3220','COMPLAINT FF TO ANEEQ','74','2021-02-20 16:49:09','2021-02-20 16:49:09');
INSERT INTO complaint_remarks VALUES('4810','3284','ASLAM SIR AJ S/C LA K GAY HAIN','74','2021-02-20 16:52:16','2021-02-20 16:52:16');
INSERT INTO complaint_remarks VALUES('4811','3284','COMPLAINT FF TO ANEEQ','74','2021-02-20 16:55:25','2021-02-20 16:55:25');
INSERT INTO complaint_remarks VALUES('4812','3272','YHA COMPLAINT CUSTOMER KO REPLACE KAR K DI HAIN GRN KI WAJ SA DELAY','74','2021-02-20 16:59:26','2021-02-20 16:59:26');
INSERT INTO complaint_remarks VALUES('4813','3415','COMPLAINT RESOLVED','74','2021-02-20 17:03:32','2021-02-20 17:03:32');
INSERT INTO complaint_remarks VALUES('4814','3323','COMPLAINT  NA KHUD S/C MOVE KARWANA THA W/D','74','2021-02-20 17:05:35','2021-02-20 17:05:35');
INSERT INTO complaint_remarks VALUES('4815','3347','CUSTOMER STILL NOT ATTEND CALL COMPNAY MAIN B CLOSED HO GEI COMPLIANT','74','2021-02-20 17:11:30','2021-02-20 17:11:30');
INSERT INTO complaint_remarks VALUES('4816','3398','COMPLAINT RESOLVED','74','2021-02-20 17:13:51','2021-02-20 17:13:51');
INSERT INTO complaint_remarks VALUES('4817','3320','ASLAM SIR NA IN HETER KI GRN KAR DI SADAR SHOWROOM WALO KO','74','2021-02-20 17:38:35','2021-02-20 17:38:35');
INSERT INTO complaint_remarks VALUES('4818','3321','ASLAM SIR NA GRN KAR DI SADAR WALO KO CLOSED COMPLAINT','74','2021-02-20 17:40:47','2021-02-20 17:40:47');
INSERT INTO complaint_remarks VALUES('4819','3426','CUSTOMER NA S/C MOVE NAI KARWAYA THA A J AGAIN BAT KI HAIN DISMANTLE KA  CHARGES CUSTOMER PAY KARAY GAY COMPLAINT REOPEN KARWA DI','74','2021-02-20 17:50:12','2021-02-20 17:50:12');
INSERT INTO complaint_remarks VALUES('4820','3473','COMPLAINT RESOLVED UNIT S/C SA READY HO K CUSTOMER K PASS DILVER HO GAY HAIN INSTALL CUSTOMER NA APNAY INSTALLER SA KARWNA HAIN COMPLAINT CLOSED','74','2021-02-20 17:55:23','2021-02-20 17:55:23');
INSERT INTO complaint_remarks VALUES('4821','3492','COMPLAINT RESOLVED UNIT S/C SA READY HO K CUSTOMER K PASS DILVER HO GAY HAIN INSTALL CUSTOMER NA APNAY INSTALLER SA KARWNA HAIN COMPLAINT CLOSED','74','2021-02-20 17:55:50','2021-02-20 17:55:50');
INSERT INTO complaint_remarks VALUES('4822','3531','COMPLAINT RESOLVED','74','2021-02-20 18:01:07','2021-02-20 18:01:07');
INSERT INTO complaint_remarks VALUES('4823','4365','INVOICE ADIL BHAI KO FF KA DI','74','2021-02-20 18:04:55','2021-02-20 18:04:55');
INSERT INTO complaint_remarks VALUES('4824','3562','COMPLAINT RESOLVED FAN REPLACE  HOA HIAN','74','2021-02-20 18:07:33','2021-02-20 18:07:33');
INSERT INTO complaint_remarks VALUES('4825','3611','CUSTOMER SET S/C LA K JANAY PA AGREE NAI HAIN NAEEM SAB KO B INFORMED KAR DIA BADAL SB KO B INFORMED KAR DIA COMPLAINT CLOSED','74','2021-02-20 18:09:47','2021-02-20 18:09:47');
INSERT INTO complaint_remarks VALUES('4826','4387','COMPLAINT RESOLVED','92','2021-02-21 11:23:14','2021-02-21 11:23:14');
INSERT INTO complaint_remarks VALUES('4827','4376','COMPLAINT RESOLVED','92','2021-02-21 11:26:13','2021-02-21 11:26:13');
INSERT INTO complaint_remarks VALUES('4828','3473','COMPLAINT RESOLVED','92','2021-02-21 12:43:31','2021-02-21 12:43:31');
INSERT INTO complaint_remarks VALUES('4829','3717','COMPLAINT RESOLVED','92','2021-02-21 12:48:11','2021-02-21 12:48:11');
INSERT INTO complaint_remarks VALUES('4830','3775','COMPLAINT RESOLVED','92','2021-02-21 12:51:37','2021-02-21 12:51:37');
INSERT INTO complaint_remarks VALUES('4831','3640','CUSTOMER NAY COMPLAINT CANCEL KARWA DE HAY','92','2021-02-21 15:59:15','2021-02-21 15:59:15');
INSERT INTO complaint_remarks VALUES('4832','3668','COMPLAINT RESOLVED','92','2021-02-21 16:01:30','2021-02-21 16:01:30');
INSERT INTO complaint_remarks VALUES('4833','4394','COMPLAINT ATTEND HO GEI HAIN HALF COMPLAINT PENDING','74','2021-02-22 13:13:48','2021-02-22 13:13:48');
INSERT INTO complaint_remarks VALUES('4834','4393','COMPLAINT RESOLVED','74','2021-02-22 13:15:25','2021-02-22 13:15:25');
INSERT INTO complaint_remarks VALUES('4835','4391','TECHNICIAN CUSTOMER K GHR PA WORKING IN PROCESS','74','2021-02-22 13:20:09','2021-02-22 13:20:09');
INSERT INTO complaint_remarks VALUES('4836','4385','COMPLAINT RESOLVED','74','2021-02-22 13:30:08','2021-02-22 13:30:08');
INSERT INTO complaint_remarks VALUES('4837','4386','VISIT TO DAY','74','2021-02-22 13:52:18','2021-02-22 13:52:18');
INSERT INTO complaint_remarks VALUES('4838','4368','VISIT TO DAY TECHNICIAN ON ROUT','74','2021-02-22 14:10:45','2021-02-22 14:10:45');
INSERT INTO complaint_remarks VALUES('4839','4382','TECHNICIAN ON ROUT HAIN VISIT TO DAY','74','2021-02-22 14:13:34','2021-02-22 14:13:34');
INSERT INTO complaint_remarks VALUES('4840','4368','GASS KIT ADJUST HOI HAIN COMPLAINT CLOSED','74','2021-02-22 14:35:12','2021-02-22 14:35:12');
INSERT INTO complaint_remarks VALUES('4841','4374','NO VISIT REMNDE KHURRA SIR','74','2021-02-22 15:17:30','2021-02-22 15:17:30');
INSERT INTO complaint_remarks VALUES('4842','4372','KAL CUSTOMER MOVE KARWAY GAY REF S/C','74','2021-02-22 15:18:49','2021-02-22 15:18:49');
INSERT INTO complaint_remarks VALUES('4843','4370','COMPLAINT RESOLVED','74','2021-02-22 15:20:16','2021-02-22 15:20:16');
INSERT INTO complaint_remarks VALUES('4844','4367','NOT ATTEND CALL','74','2021-02-22 15:22:33','2021-02-22 15:22:33');
INSERT INTO complaint_remarks VALUES('4845','4363','VISIT TO DAY','74','2021-02-22 15:25:04','2021-02-22 15:25:04');
INSERT INTO complaint_remarks VALUES('4846','3568','ABI TAQ GALSS NAI LAGAYA','74','2021-02-22 15:25:49','2021-02-22 15:25:49');
INSERT INTO complaint_remarks VALUES('4847','4362','COMPLIANT RESOLVED','74','2021-02-22 15:26:08','2021-02-22 15:26:08');
INSERT INTO complaint_remarks VALUES('4848','3567','COMPLAINT RESOLVED','74','2021-02-22 15:32:21','2021-02-22 15:32:21');
INSERT INTO complaint_remarks VALUES('4849','4345','COMPLAINT RESOLVED','74','2021-02-22 15:37:30','2021-02-22 15:37:30');
INSERT INTO complaint_remarks VALUES('4850','4340','COMPLAINT RESOLVED','74','2021-02-22 15:41:32','2021-02-22 15:41:32');
INSERT INTO complaint_remarks VALUES('4851','4334','3 DIN TAQ AJAY','74','2021-02-22 15:54:09','2021-02-22 15:54:09');
INSERT INTO complaint_remarks VALUES('4852','4401','KAL ATTEND HO GEI INFORMED BY CUSTOMER','74','2021-02-22 16:01:38','2021-02-22 16:01:38');
INSERT INTO complaint_remarks VALUES('4853','3654','COMPLAINT RESOLVED','74','2021-02-22 16:29:07','2021-02-22 16:29:07');
INSERT INTO complaint_remarks VALUES('4854','4361','IN PROCESS COMPLAINT','74','2021-02-22 16:30:06','2021-02-22 16:30:06');
INSERT INTO complaint_remarks VALUES('4855','4324','COMPLAINT RESOLVED','74','2021-02-22 16:35:29','2021-02-22 16:35:29');
INSERT INTO complaint_remarks VALUES('4856','4317','REPLACEMENT KI APPROVAL AGEI HAIN W/D STOCK  MAIN AVAIL NAI(03365237193 ) SAIDA','74','2021-02-22 16:40:51','2021-02-22 16:40:51');
INSERT INTO complaint_remarks VALUES('4857','4243','03071572324 OTHER # SA CONFIRM KIYA HAIN COMPLAINT RESOLVED','74','2021-02-22 16:56:21','2021-02-22 16:56:21');
INSERT INTO complaint_remarks VALUES('4858','4377','COMPLAINT ATTEND  HO GEI HAIN SET S/C SA READY HO K GAYA HAIN','74','2021-02-22 16:58:54','2021-02-22 16:58:54');
INSERT INTO complaint_remarks VALUES('4859','4308','A/C CUSTOMER NA AJ S/C MOVE KARWA DIYA HAIN ADEEL 7 STAR K S/C MAIN','74','2021-02-22 17:03:34','2021-02-22 17:03:34');
INSERT INTO complaint_remarks VALUES('4860','4307','COMPLAINT RESOLVED','74','2021-02-22 17:04:20','2021-02-22 17:04:20');
INSERT INTO complaint_remarks VALUES('4861','3745','CUSATOMER NA COMPLAINT LOCAL TECHNICIAN SA COMPLAINT RESOLVED','74','2021-02-22 17:10:27','2021-02-22 17:10:27');
INSERT INTO complaint_remarks VALUES('4862','4419','COMPLAINT ATTEND HO GEI HAIN REF TO S/C','74','2021-02-23 11:08:20','2021-02-23 11:08:20');
INSERT INTO complaint_remarks VALUES('4863','4418','KHALID TECHNICIAN IC COMPLAINT KO LOOK AFTER KAR RAHAY HAIN  CUSTOMER KA JUST THOUR KA ISSUE HAIN UNIT MAIN KOI FAULT NAI','74','2021-02-23 11:20:40','2021-02-23 11:20:40');
INSERT INTO complaint_remarks VALUES('4864','4407','CUSTOMER K NO P/OFF HAIN S/C SA STATUS LA K  COMPLETED KI COMPLAINT','74','2021-02-23 11:32:38','2021-02-23 11:32:38');
INSERT INTO complaint_remarks VALUES('4865','4403','VISIT TO DAY','74','2021-02-23 11:40:44','2021-02-23 11:40:44');
INSERT INTO complaint_remarks VALUES('4866','4395','COMPLAINT RESOLVED','74','2021-02-23 11:48:11','2021-02-23 11:48:11');
INSERT INTO complaint_remarks VALUES('4867','4144','COMPLAINT RESOLVED','74','2021-02-23 11:58:05','2021-02-23 11:58:05');
INSERT INTO complaint_remarks VALUES('4868','4163','CUSTOMER KO 29000 KA EXP LG WALAO NA UPDATE KAR DIA KHURRAM SAB KO B INFORMED KAR DIA','74','2021-02-23 12:10:52','2021-02-23 12:10:52');
INSERT INTO complaint_remarks VALUES('4869','4175','CUSTOMER NA LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA LIYA COMPLAINT RESOLVED','74','2021-02-23 12:19:11','2021-02-23 12:19:11');
INSERT INTO complaint_remarks VALUES('4870','3865','COMPLAINT FF TO ANEEQ & ASLAM SIR KO WHATS APP B KAR DIA','74','2021-02-23 12:31:00','2021-02-23 12:31:00');
INSERT INTO complaint_remarks VALUES('4871','4465','ASLAM SIR& ANEEQ KO INFORMED KAR DIA W/D PICK KARNAY KA','74','2021-02-23 12:34:29','2021-02-23 12:34:29');
INSERT INTO complaint_remarks VALUES('4872','4391','COMPLAINT RESOLVED','74','2021-02-23 12:36:04','2021-02-23 12:36:04');
INSERT INTO complaint_remarks VALUES('4873','4386','KAL COMPLAINT PA VISIT HO GAYA HAIN J AGAIN TECHNICIAN NA VISIT KARNA','74','2021-02-23 12:47:51','2021-02-23 12:47:51');
INSERT INTO complaint_remarks VALUES('4874','4394','AIK VISIT HO GAYA HAIN AJ AGAIN VISIT KARAY GAY  ANWAR SAB','74','2021-02-23 12:55:54','2021-02-23 12:55:54');
INSERT INTO complaint_remarks VALUES('4875','4455','COMPLAINT NO 301090829','92','2021-02-23 12:59:20','2021-02-23 12:59:20');
INSERT INTO complaint_remarks VALUES('4876','4367','CUSTOMER STILL NOT ATTEND CALL','74','2021-02-23 13:00:55','2021-02-23 13:00:55');
INSERT INTO complaint_remarks VALUES('4877','4456','COMPLAINT NO 301090832','92','2021-02-23 13:03:48','2021-02-23 13:03:48');
INSERT INTO complaint_remarks VALUES('4878','4367','IMRAN FCP KO B INFORMED KAR DIA','74','2021-02-23 13:05:45','2021-02-23 13:05:45');
INSERT INTO complaint_remarks VALUES('4879','4457','COMPLAINT NO 301090836','92','2021-02-23 13:07:24','2021-02-23 13:07:24');
INSERT INTO complaint_remarks VALUES('4880','4280','CUSTOMER CALL ATTEND NAI KAR RAHAY THY NAEEM KENWOOD SA STATUS CONFIRM KAR  COMPLAINT CLOSED KI','74','2021-02-23 13:10:02','2021-02-23 13:10:02');
INSERT INTO complaint_remarks VALUES('4881','4464','COMPLAINT NO 1819968','92','2021-02-23 14:22:27','2021-02-23 14:22:27');
INSERT INTO complaint_remarks VALUES('4882','4419','YHA UNIT B COOL WALO  DISMANTLE KARAY GAY INVOICE SHER KAR DI HAIN','74','2021-02-23 15:18:18','2021-02-23 15:18:18');
INSERT INTO complaint_remarks VALUES('4883','4467','COM FF TO ZAHID MIDAS','92','2021-02-23 15:42:23','2021-02-23 15:42:23');
INSERT INTO complaint_remarks VALUES('4884','2994','VISIT TO DAY','92','2021-02-23 16:00:00','2021-02-23 16:00:00');
INSERT INTO complaint_remarks VALUES('4885','4332','COMPLAINT RESOLVED','92','2021-02-23 17:58:41','2021-02-23 17:58:41');
INSERT INTO complaint_remarks VALUES('4886','4427','COMPLAINT RESOLVED','74','2021-02-24 11:05:30','2021-02-24 11:05:30');
INSERT INTO complaint_remarks VALUES('4887','4425','COMPLAINT ATTEND HO GEI HAIN ABI CHEEK KAR AY GAY 1 2 DIN TAQ','74','2021-02-24 11:08:28','2021-02-24 11:08:28');
INSERT INTO complaint_remarks VALUES('4888','4423','COMPLAINT RESOLVED','74','2021-02-24 11:14:47','2021-02-24 11:14:47');
INSERT INTO complaint_remarks VALUES('4889','4422','COMPLAINT RESOLVED','74','2021-02-24 11:16:33','2021-02-24 11:16:33');
INSERT INTO complaint_remarks VALUES('4890','4372','COMPRESSOR PROB Tha compressor laga dia hain  testing pa hain informed by customer','74','2021-02-24 12:13:29','2021-02-24 12:13:29');
INSERT INTO complaint_remarks VALUES('4891','4426','NO VISIT','74','2021-02-24 13:03:54','2021-02-24 13:03:54');
INSERT INTO complaint_remarks VALUES('4892','4381','ADNAN HEIR KO COMPLIANT NO FF KAR DIA ASLAM SAB KO B','74','2021-02-24 15:38:15','2021-02-24 15:38:15');
INSERT INTO complaint_remarks VALUES('4893','4439','NEW COMPLAINT 192121040','74','2021-02-24 15:42:12','2021-02-24 15:42:12');
INSERT INTO complaint_remarks VALUES('4894','4439','KAL AGAIN VISIT CUSTOMER KO B INFORMED KAR DIA','74','2021-02-24 15:45:22','2021-02-24 15:45:22');
INSERT INTO complaint_remarks VALUES('4895','4363','COMPLAINT RESOLVED','74','2021-02-24 15:46:41','2021-02-24 15:46:41');
INSERT INTO complaint_remarks VALUES('4896','4341','BULB ABI TAQ NI MILA CUSTOMER KO INFORMED BY CUSTOMER','74','2021-02-24 16:01:41','2021-02-24 16:01:41');
INSERT INTO complaint_remarks VALUES('4897','4428','COMPLAINT RESOLVED','74','2021-02-24 16:27:33','2021-02-24 16:27:33');
INSERT INTO complaint_remarks VALUES('4898','4367','COMPLIANT RESOLVED','74','2021-02-24 16:30:28','2021-02-24 16:30:28');
INSERT INTO complaint_remarks VALUES('4899','4361','GUJRA KHAN K TECHNICIAN YAH COMPLAINT ATTEND KARWA RAHAY HAIN HOT TANK KA ISSUE CUSTOMER K O EXP 2000 KA INFORMED KAR DIA BUT CUSTOMER NA ABI TAQ CONFIRM NAI KIYA','74','2021-02-24 16:38:18','2021-02-24 16:38:18');
INSERT INTO complaint_remarks VALUES('4900','4334','COMPLAINT RESOLVED','74','2021-02-24 16:46:39','2021-02-24 16:46:39');
INSERT INTO complaint_remarks VALUES('4901','4361','HOT TANK KA ISSUE  EXP 2000 HAIN HOT TANK WARRANTY MAIN NI HOTA','74','2021-02-24 17:27:10','2021-02-24 17:27:10');
INSERT INTO complaint_remarks VALUES('4902','3272','CUSTOMER KO W/M REPLACE KAR K DI HAIN CUSTOMER KI W/M FHSS MAIN','74','2021-02-24 17:38:45','2021-02-24 17:38:45');
INSERT INTO complaint_remarks VALUES('4903','4450','COMPLAINT ATTEND HO GEI  HAIN BUT ISSUR RESOLVED NAI HOA COMPLAINT REOPEN KARWA DI','74','2021-02-25 10:40:34','2021-02-25 10:40:34');
INSERT INTO complaint_remarks VALUES('4904','4449','COMPLAINT ATTEND HO GEI HAIN BUT ABI B STACK HO RAHI AGAIN COMPLINT REOPENED KARWA DI','74','2021-02-25 10:43:30','2021-02-25 10:43:30');
INSERT INTO complaint_remarks VALUES('4905','4448','COMPLAINT RESOLVED','74','2021-02-25 10:44:54','2021-02-25 10:44:54');
INSERT INTO complaint_remarks VALUES('4906','4446','COMPLAINT RESOLVED','74','2021-02-25 10:49:14','2021-02-25 10:49:14');
INSERT INTO complaint_remarks VALUES('4907','4445','SERVICES COMPLAINT RESOLVED','74','2021-02-25 11:42:34','2021-02-25 11:42:34');
INSERT INTO complaint_remarks VALUES('4908','4443','CUSTOMER KA ISSUE KHUD SA HI RESOLVED HO GAYA THA VISIT CANCEL KARWA DIA THA','74','2021-02-25 11:52:38','2021-02-25 11:52:38');
INSERT INTO complaint_remarks VALUES('4909','4441','COMPLAINT ATTEND HO GEI HAIN REF TO S/C','74','2021-02-25 12:51:47','2021-02-25 12:51:47');
INSERT INTO complaint_remarks VALUES('4910','4375','COMPLIANT RESOLVED','74','2021-02-25 14:12:20','2021-02-25 14:12:20');
INSERT INTO complaint_remarks VALUES('4911','4374','NO RETURED VALUE LAGANA HAIN CUSTOMER NA GAJ VALUE LAGWA LIYA JIS KI WAJA SA ELEMENT BURN HO GAYA THA YHA WARRANTY MAIN NAI HOTA ON PAYMENT AATEND HO GEI COMPLAINT','74','2021-02-25 14:20:43','2021-02-25 14:20:43');
INSERT INTO complaint_remarks VALUES('4912','4318','TAHIR SIEMENS KO COMPLAINT FF KAR DI','74','2021-02-25 14:30:05','2021-02-25 14:30:05');
INSERT INTO complaint_remarks VALUES('4913','4308','CUSTOMER KO 16000 KA EXP INDFORMED KAR DIA THA CUSTOMER UNIT KAL SHAM MAIN WAPICE LA GAY HAIN  PHALY B COMPRESSOR REPLACE HOA HAIN','74','2021-02-25 14:42:26','2021-02-25 14:42:26');
INSERT INTO complaint_remarks VALUES('4914','4237','COMPLAINT RESOLVED','74','2021-02-25 14:53:19','2021-02-25 14:53:19');
INSERT INTO complaint_remarks VALUES('4915','4228','LHR S/C WORKING IN PROCESS','74','2021-02-25 15:05:35','2021-02-25 15:05:35');
INSERT INTO complaint_remarks VALUES('4916','4132','UNIT S/C MAIN READY HAIN CUSTOMER NA ABAI TAQ PICK NAI KIYA SATURDAY KO PIC KARAY GAY','74','2021-02-25 15:16:37','2021-02-25 15:16:37');
INSERT INTO complaint_remarks VALUES('4917','2994','COMPLAINT RESOLVED','74','2021-02-25 17:48:04','2021-02-25 17:48:04');
INSERT INTO complaint_remarks VALUES('4918','4465','YHA AJ W/D S/C ASLAM SIR DROP KAR K AAY HAIN','74','2021-02-25 18:01:07','2021-02-25 18:01:07');
INSERT INTO complaint_remarks VALUES('4919','4478','COMPLAINT RESOLVED','74','2021-02-26 12:02:49','2021-02-26 12:02:49');
INSERT INTO complaint_remarks VALUES('4920','4477','COMPLAINT RESOLVED','74','2021-02-26 12:05:22','2021-02-26 12:05:22');
INSERT INTO complaint_remarks VALUES('4921','4471','COMPLAINT RESOLVED','74','2021-02-26 12:15:15','2021-02-26 12:15:15');
INSERT INTO complaint_remarks VALUES('4922','4470','COMPLAINT RESOLVED','74','2021-02-26 12:24:23','2021-02-26 12:24:23');
INSERT INTO complaint_remarks VALUES('4923','4469','COMPLAINT RESOLVED','74','2021-02-26 12:27:10','2021-02-26 12:27:10');
INSERT INTO complaint_remarks VALUES('4924','4468','COMPLINT ATTEND HO GEI HAIN REF S/C LA K GAY COMPMAY WALAY','74','2021-02-26 12:48:39','2021-02-26 12:48:39');
INSERT INTO complaint_remarks VALUES('4925','4463','COMPLIANT RESOLVED','74','2021-02-26 14:42:48','2021-02-26 14:42:48');
INSERT INTO complaint_remarks VALUES('4926','4462','COMPLAINT RESOLVED','74','2021-02-26 15:00:32','2021-02-26 15:00:32');
INSERT INTO complaint_remarks VALUES('4927','4509','COMPLAINT#PKRI-210226107044','74','2021-02-26 15:33:07','2021-02-26 15:33:07');
INSERT INTO complaint_remarks VALUES('4928','4436','COMPLAINT ATTEND HO GEI HAIN REF S/C MOVE HONA','74','2021-02-26 17:00:23','2021-02-26 17:00:23');
INSERT INTO complaint_remarks VALUES('4929','4498','LG MAIN ABI MEETING CHAL RAHI HAIN ABI KOI STATUS NAI HAIN CUSTOMER KO INFORMED KAR DIA','74','2021-02-27 11:16:11','2021-02-27 11:16:11');
INSERT INTO complaint_remarks VALUES('4930','4318','COMPLAINT RESOLVED','74','2021-02-27 11:25:07','2021-02-27 11:25:07');
INSERT INTO complaint_remarks VALUES('4931','4389','NOT ATTEND CALL','74','2021-02-27 11:30:49','2021-02-27 11:30:49');
INSERT INTO complaint_remarks VALUES('4932','4386','3 BAR VISIT HO GAYA GASS KIT B REPLACE KI BUT ISSUE RESOLVED NAI HOA','74','2021-02-27 11:33:51','2021-02-27 11:33:51');
INSERT INTO complaint_remarks VALUES('4933','4486','COMPLAINT CLOSED REF TO S/C BUT CUSTOMER ABI OUT OFF CITY JA RA HAY HAIN COMPLAINT  CLOSED KARWA DI','74','2021-02-27 11:52:15','2021-02-27 11:52:15');
INSERT INTO complaint_remarks VALUES('4934','4487','VISIT TO DAY BUT CUSTOMER OUT OFF CITY HAIN MONDAY KO VISIT KA TIME DIA INFORMED BY WAQAR KENWOOD','74','2021-02-27 11:59:58','2021-02-27 11:59:58');
INSERT INTO complaint_remarks VALUES('4935','4394','COMPLAINT RESOLVED  ANWAR CARAVEL SA STATUS CONFIRM KAR K COMPLAINT CLOSED KI','74','2021-02-27 12:01:05','2021-02-27 12:01:05');
INSERT INTO complaint_remarks VALUES('4936','4487','NAEEM KENWOOD KO INFORMED KO INFORMED KAR DIA','74','2021-02-27 12:06:17','2021-02-27 12:06:17');
INSERT INTO complaint_remarks VALUES('4937','4382','CUSTOMER KA NO  NOT RESPONDING THA AJ AGAIN CALL KI HAIN CUSTOMER KO MAHARBAN TECHNICIAN KA NO PROVIDE KAR DIA 03335382248','74','2021-02-27 12:17:07','2021-02-27 12:17:07');
INSERT INTO complaint_remarks VALUES('4938','4372','REF S/C MAIN READY HAIN CUSTOMER NA KHUD PICK KARNA HAIN SHAKEEL SAB K NO CUSTOMER KO PROVIDE KAR DIA','74','2021-02-27 12:22:24','2021-02-27 12:22:24');
INSERT INTO complaint_remarks VALUES('4939','4176','KIT S/C LA K GAY HAIN MONDAY KO UP DATE  DAY GAY S/C WALAY','74','2021-02-27 12:40:53','2021-02-27 12:40:53');
INSERT INTO complaint_remarks VALUES('4940','4168','TAHIE SIEMENS KO COMPLAINT FF KI HAIN','74','2021-02-27 12:48:30','2021-02-27 12:48:30');
INSERT INTO complaint_remarks VALUES('4941','4485','COMPLAINT RESOLVED','74','2021-02-27 13:25:42','2021-02-27 13:25:42');
INSERT INTO complaint_remarks VALUES('4942','3543','030051339990 OTHER NO SA COMPLINT REOPEN KI COMPLAINT CLOSED','74','2021-02-27 14:04:59','2021-02-27 14:04:59');
INSERT INTO complaint_remarks VALUES('4943','4460','COMPLAINT RESOLVED','74','2021-02-27 14:17:38','2021-02-27 14:17:38');
INSERT INTO complaint_remarks VALUES('4944','4449','AFTAB 03142437715','74','2021-02-27 14:31:02','2021-02-27 14:31:02');
INSERT INTO complaint_remarks VALUES('4945','4507','COMPLAINT RESOLVED','92','2021-02-28 12:07:54','2021-02-28 12:07:54');
INSERT INTO complaint_remarks VALUES('4946','4496','COMPLAINT RESOLVED','92','2021-02-28 12:13:11','2021-02-28 12:13:11');
INSERT INTO complaint_remarks VALUES('4947','4425','COMPLAINT RESOLVED','92','2021-02-28 12:16:54','2021-02-28 12:16:54');
INSERT INTO complaint_remarks VALUES('4948','4168','COMPLAINT RESOLVED','92','2021-02-28 15:42:11','2021-02-28 15:42:11');
INSERT INTO complaint_remarks VALUES('4949','4519','NOT ATTEND CALL','74','2021-03-01 10:59:41','2021-03-01 10:59:41');
INSERT INTO complaint_remarks VALUES('4950','4518','COMPLAINT RESOLVED','74','2021-03-01 11:01:28','2021-03-01 11:01:28');
INSERT INTO complaint_remarks VALUES('4951','4431','COMPLAINT RESOLVED','74','2021-03-01 11:02:15','2021-03-01 11:02:15');
INSERT INTO complaint_remarks VALUES('4952','4418','COMPLAINT RESOLVED','74','2021-03-01 11:04:13','2021-03-01 11:04:13');
INSERT INTO complaint_remarks VALUES('4953','4372','REF S/C SA READY HO K CUSTOMER KO DELIVER HO GAYA  COMPLAINT RESOLVED','74','2021-03-01 11:08:35','2021-03-01 11:08:35');
INSERT INTO complaint_remarks VALUES('4954','4512','RIZWAN MEHMOOD TECHNICIAN 03345253780. WATER DRAIN KA ISSUE THA RESOLVED HO GAYA','74','2021-03-01 11:26:16','2021-03-01 11:26:16');
INSERT INTO complaint_remarks VALUES('4955','4510','COMPLAINT RESOLVED','74','2021-03-01 11:30:39','2021-03-01 11:30:39');
INSERT INTO complaint_remarks VALUES('4956','4513','CUSTOMER AJ GHR PA AVAIL NAI HAIN KAL KA TIME DI HAIN','74','2021-03-01 11:34:27','2021-03-01 11:34:27');
INSERT INTO complaint_remarks VALUES('4957','4499','CUSTOMER KI SIDE SA WARRANTY CARD ABI SHAHZAD SAB K PASS NAI AAYA ABI TAQ','74','2021-03-01 11:38:53','2021-03-01 11:38:53');
INSERT INTO complaint_remarks VALUES('4958','4491','CUSTOMER KO PHALY CALL PA GUAID KIYA BUT ISSUE RESOLVED NAI HAO AJ AGAIN VISIT HO GA','74','2021-03-01 11:52:01','2021-03-01 11:52:01');
INSERT INTO complaint_remarks VALUES('4959','4488','REF CARAK HAIN PIC COMPNAY KO WHATSAPP R DI CUSTOMER NA','74','2021-03-01 11:54:58','2021-03-01 11:54:58');
INSERT INTO complaint_remarks VALUES('4960','3755','REF TO S/ C CUSTOMER KI  SIDE SA DELAY COMPLAINT CLOSED','74','2021-03-01 12:04:39','2021-03-01 12:04:39');
INSERT INTO complaint_remarks VALUES('4961','4523','CUSTOMER KO OVEN S/C KHUD MOVE KARWANA HAIN LG S/C KA NO CUSTOMER KO PROVIDE KAR DIA','74','2021-03-01 12:05:58','2021-03-01 12:05:58');
INSERT INTO complaint_remarks VALUES('4962','4487','VISIT TO DAY','74','2021-03-01 12:09:00','2021-03-01 12:09:00');
INSERT INTO complaint_remarks VALUES('4963','4484','COMPLAINT RESOLVED','74','2021-03-01 12:10:04','2021-03-01 12:10:04');
INSERT INTO complaint_remarks VALUES('4964','4468','COMPLAINT RESOLVED','74','2021-03-01 12:12:47','2021-03-01 12:12:47');
INSERT INTO complaint_remarks VALUES('4965','4513','INFORMED BY KHURRAM  5 STAR','74','2021-03-01 12:16:08','2021-03-01 12:16:08');
INSERT INTO complaint_remarks VALUES('4966','4514','COOLING  ISSUE COMPLAINT RESOLVED','74','2021-03-01 12:20:06','2021-03-01 12:20:06');
INSERT INTO complaint_remarks VALUES('4967','4450','COMPLAINT RESOLVED CUSTOMER CALL ATTEND NAI KAR  RAHAY HAIN S/C SA CONFIRM KAR K CLOSED KI COMPLAINT BADAL FCI KO B INFORMED KAR DIA','74','2021-03-01 12:26:22','2021-03-01 12:26:22');
INSERT INTO complaint_remarks VALUES('4968','4449','COMPLAINT RESOLVED CUSTOMER CALL ATTEND NAI KAR RAHAY HAIN S/C SA CONFIRM KAR K CLOSED KI COMPLAINT BADAL FCI KO B INFORMED KAR DIA','74','2021-03-01 12:29:26','2021-03-01 12:29:26');
INSERT INTO complaint_remarks VALUES('4969','4436','COMPLAINT PA VISIT HO GAYA HAIN CUSTOME NA W/M S/C LA K JANI HAIN BUT ABI CLOSED KARWA DI COMPLAINT CUSTOMER NA','74','2021-03-01 12:31:33','2021-03-01 12:31:33');
INSERT INTO complaint_remarks VALUES('4970','4441','CUSTOMER KO NAEEM KENWOOD KA NO SHER KAR DIA HAIN REF TO S/C','74','2021-03-01 12:32:18','2021-03-01 12:32:18');
INSERT INTO complaint_remarks VALUES('4971','4439','NEW COMPLAINT 192121098','74','2021-03-01 12:40:18','2021-03-01 12:40:18');
INSERT INTO complaint_remarks VALUES('4972','4438','COMPLAINT RESOLVED','74','2021-03-01 12:41:44','2021-03-01 12:41:44');
INSERT INTO complaint_remarks VALUES('4973','4382','COMPLAINT RESOLVED','74','2021-03-01 12:46:03','2021-03-01 12:46:03');
INSERT INTO complaint_remarks VALUES('4974','4314','COMPLAINT ATTEND HO GEI HAIN PARTS DEMAND KIYA HAIN 
INFORMED BY CUSTOMER','74','2021-03-01 12:56:00','2021-03-01 12:56:00');
INSERT INTO complaint_remarks VALUES('4975','4488','PARTS DEMAND KIYA HOA 2 3 MAIN PARTS  AAJAY GA','74','2021-03-01 13:03:59','2021-03-01 13:03:59');
INSERT INTO complaint_remarks VALUES('4976','4519','VISIT TO DAY','74','2021-03-01 13:40:16','2021-03-01 13:40:16');
INSERT INTO complaint_remarks VALUES('4977','4132','UNIT S/C  MAIN READY HAIN CUSTOMER NA PICK KARNA','74','2021-03-01 15:36:16','2021-03-01 15:36:16');
INSERT INTO complaint_remarks VALUES('4978','4544','IN PROCESS COMPLAINT','74','2021-03-01 15:41:33','2021-03-01 15:41:33');
INSERT INTO complaint_remarks VALUES('4979','4390','3 GEYSER KI COMPLAINT THI .
2 GEYSER KI TANKI 
LAGA DI HAIN 
3RD  GEYSER KI TANKI DEMAND KAR DI HAIN  CUSTOMER KO B INFORMED KAR DIA & BADAL KO B','74','2021-03-02 11:19:40','2021-03-02 11:19:40');
INSERT INTO complaint_remarks VALUES('4980','4421','KHURRAM BHAI NA GRILL DEMAND KI HAIN NEXT WEEK MAIN AAJAY GA','74','2021-03-02 11:35:31','2021-03-02 11:35:31');
INSERT INTO complaint_remarks VALUES('4981','4421','INFORMED BY KHURRAM SADAR','74','2021-03-02 11:35:44','2021-03-02 11:35:44');
INSERT INTO complaint_remarks VALUES('4982','4539','COMPLAINT RESOLVED','74','2021-03-02 11:56:49','2021-03-02 11:56:49');
INSERT INTO complaint_remarks VALUES('4983','4538','COMPLAINT  RESOLVED','74','2021-03-02 12:05:22','2021-03-02 12:05:22');
INSERT INTO complaint_remarks VALUES('4984','4537','COMPLAINT RESOLVED','74','2021-03-02 12:09:55','2021-03-02 12:09:55');
INSERT INTO complaint_remarks VALUES('4985','4534','VISIT TO DAY','74','2021-03-02 12:14:30','2021-03-02 12:14:30');
INSERT INTO complaint_remarks VALUES('4986','4531','COMPLAINT RESOLVED','74','2021-03-02 12:29:12','2021-03-02 12:29:12');
INSERT INTO complaint_remarks VALUES('4987','4530','COMPLAINT RESOLVED','74','2021-03-02 12:55:32','2021-03-02 12:55:32');
INSERT INTO complaint_remarks VALUES('4988','4132','OUT DOOR CUSTOMER NA S/C SA AJ PICK KAR LIYA COMPLAINT RESOLVED','74','2021-03-02 16:17:12','2021-03-02 16:17:12');
INSERT INTO complaint_remarks VALUES('4989','3179','PANAL ABI TAQ NAI AAYA HAIN TIME LAGAY GA INFORMED BY BILAL FHHS','74','2021-03-02 16:31:24','2021-03-02 16:31:24');
INSERT INTO complaint_remarks VALUES('4990','4529','COMPLAINT ATTEND HO GEI HAIN PIC BA NA K LA K GAY HAIN  S/C WALAY','74','2021-03-02 16:32:32','2021-03-02 16:32:32');
INSERT INTO complaint_remarks VALUES('4991','4527','COMPLAINT RESOLVED','74','2021-03-02 16:44:43','2021-03-02 16:44:43');
INSERT INTO complaint_remarks VALUES('4992','4522','COMPLAINT RESOLVED','74','2021-03-02 16:48:49','2021-03-02 16:48:49');
INSERT INTO complaint_remarks VALUES('4993','4511','COMPLAINT ATTEND HO GEI HAIN  BUT CUSTOMER SATISFIED NAI S/C INFORMED','74','2021-03-02 16:55:19','2021-03-02 16:55:19');
INSERT INTO complaint_remarks VALUES('4994','4550','COMPLAINT RESOLVED','74','2021-03-03 10:44:46','2021-03-03 10:44:46');
INSERT INTO complaint_remarks VALUES('4995','4549','COMPLAINT RESOLVED','74','2021-03-03 10:47:41','2021-03-03 10:47:41');
INSERT INTO complaint_remarks VALUES('4996','3985','OUT DOOR LHR S/C WORKING IN PROCESS HAIN 
2 DIN KA TIME LIYA HAIN KASHIF SIR NA','74','2021-03-03 10:57:17','2021-03-03 10:57:17');
INSERT INTO complaint_remarks VALUES('4997','4547','REF TO S/C','74','2021-03-03 11:02:32','2021-03-03 11:02:32');
INSERT INTO complaint_remarks VALUES('4998','4541','GEYSER REPLACE HO GA CUSTOMER KO INFORMED KAR DIA HAIN K FHHS SA GEYSER REPLACE KARWA LAY & BILAL MANZOOR KO B INFORMED KAR DIA','74','2021-03-03 11:03:46','2021-03-03 11:03:46');
INSERT INTO complaint_remarks VALUES('4999','4546','VISIT TO DAY','74','2021-03-03 11:14:54','2021-03-03 11:14:54');
INSERT INTO complaint_remarks VALUES('5000','4544','VISIT TO DAY','74','2021-03-03 11:20:10','2021-03-03 11:20:10');
INSERT INTO complaint_remarks VALUES('5001','4545','COMPLAINT ATTEND HO GEI HAIN PCB PART DEMAND KIYA HOA HAIN','74','2021-03-03 11:21:01','2021-03-03 11:21:01');
INSERT INTO complaint_remarks VALUES('5002','4542','NOT ATTEND MY CALL','74','2021-03-03 11:33:43','2021-03-03 11:33:43');
INSERT INTO complaint_remarks VALUES('5003','4534','NOT ATTEND CALL TAHIR SAB KI SIDE SA COMPLAINT RESOLVED HAIN','74','2021-03-03 11:56:39','2021-03-03 11:56:39');
INSERT INTO complaint_remarks VALUES('5004','4558','VISIT TO DAY CUSTOMER KO S/C KA NO B PROVIDE KAR DIA HAIN','74','2021-03-03 12:18:22','2021-03-03 12:18:22');
INSERT INTO complaint_remarks VALUES('5005','4441','HOT TANK  KA ISSUE HAIN COMPANY K TECHNICIAN BOL K AAY HAIN COMPNAY S/C WALAY PICK KAR LAY GAY','74','2021-03-03 12:32:46','2021-03-03 12:32:46');
INSERT INTO complaint_remarks VALUES('5006','4441','INFORMED BY NAEEM KENWOOD','74','2021-03-03 12:33:07','2021-03-03 12:33:07');
INSERT INTO complaint_remarks VALUES('5007','4588','IN PROCESS COMPLAINT','74','2021-03-03 12:39:55','2021-03-03 12:39:55');
INSERT INTO complaint_remarks VALUES('5008','4487','COMPLAINT ATTEND HO GEI HAIN W/M MAIN AGAIN CURRENT AARHA HAIN NAEEM KENWOO KO AGAIN VISIT K LIYA INFORMED KAR DIA','74','2021-03-03 15:48:45','2021-03-03 15:48:45');
INSERT INTO complaint_remarks VALUES('5009','4439','KAL AGAIN VISIT HOA BUT ISSUE RESOLVED NAI HOA  GREE MAIN WAQAS SAB KO INFORMED KAR DIA','74','2021-03-03 16:08:40','2021-03-03 16:08:40');
INSERT INTO complaint_remarks VALUES('5010','4480','6 BAJAY AJ VISIT KA TIME DIA KHURRAM BHAI A CUSTOMER KO','74','2021-03-03 16:19:05','2021-03-03 16:19:05');
INSERT INTO complaint_remarks VALUES('5011','4432','COMPLAINT AGAIN BANA DI HAIN 
WRONG VENDOR KO FF KAR DI THI COMPLINT','74','2021-03-03 16:20:31','2021-03-03 16:20:31');
INSERT INTO complaint_remarks VALUES('5012','4386','ASALAM SIR NA YHA REF REPLACED KARWA DIA NEW REF CUSTOMER KO DILVER HO GAYA COMPLAINT CLOSED','74','2021-03-03 17:12:30','2021-03-03 17:12:30');
INSERT INTO complaint_remarks VALUES('5013','4542','COMPLAINT RESOLVED','74','2021-03-03 17:15:12','2021-03-03 17:15:12');
INSERT INTO complaint_remarks VALUES('5014','4317','CUSTOMER K W/D KI COMPLAINT HAMMAD SAB NA ENTER KARWA DI BUT CUSTOMER KO NEW W/D ABI TAQ NI DIA','74','2021-03-03 17:21:58','2021-03-03 17:21:58');
INSERT INTO complaint_remarks VALUES('5015','4294','LED S/C MAIN WORKING IN PROCESS HAIN','74','2021-03-03 17:33:28','2021-03-03 17:33:28');
INSERT INTO complaint_remarks VALUES('5016','4564','COMPLAINT ATTEND HO GEI HAIN REF S/C MAIN WORKING IN PROCESS','74','2021-03-04 11:12:42','2021-03-04 11:12:42');
INSERT INTO complaint_remarks VALUES('5017','4563','COMPLAINT ATTEND HO GEI HAIN GASS LEAKAGE KA ISSUE HAIN REF TO S/C BUT CUSTOMER REPLACE KI BAT KAR RAHAY HAIN','74','2021-03-04 11:20:20','2021-03-04 11:20:20');
INSERT INTO complaint_remarks VALUES('5018','4562','COMPLAINT ATTEND HO GEI HAIN ISSUE NOT RESOLVED KAL AGAIN VISIT HO GA','74','2021-03-04 11:24:59','2021-03-04 11:24:59');
INSERT INTO complaint_remarks VALUES('5019','4559','COMPLAINT RESOLVED','74','2021-03-04 11:40:30','2021-03-04 11:40:30');
INSERT INTO complaint_remarks VALUES('5020','4543','SET  CUSTOMER AJ S/C MOVE KAR K GAY HAIN PAID JOB HAIN','74','2021-03-04 11:42:41','2021-03-04 11:42:41');
INSERT INTO complaint_remarks VALUES('5021','4439','ANEEQ KO INVOICE WITH COMPLAINT# SHER KAR DIA','74','2021-03-04 11:45:16','2021-03-04 11:45:16');
INSERT INTO complaint_remarks VALUES('5022','4556','COMPLAINT RESOLVED','74','2021-03-04 12:08:16','2021-03-04 12:08:16');
INSERT INTO complaint_remarks VALUES('5023','4554','SHAHNAWAZ TECHNICIAN AJ  ATTEND HO JAY GEI','74','2021-03-04 12:25:16','2021-03-04 12:25:16');
INSERT INTO complaint_remarks VALUES('5024','4553','AJ ATTEND KARAY GAY KHURRAM BHAI','74','2021-03-04 12:28:02','2021-03-04 12:28:02');
INSERT INTO complaint_remarks VALUES('5025','4551','COMPLAINT ATTEND HO GEI HAIN REF TO S/C CUSTOMER NA KHUD MOVE KARWANA','74','2021-03-04 12:33:52','2021-03-04 12:33:52');
INSERT INTO complaint_remarks VALUES('5026','4439','VISIT TO DAY','74','2021-03-04 12:39:08','2021-03-04 12:39:08');
INSERT INTO complaint_remarks VALUES('5027','4543','INFORM,ED BY TARIQ','74','2021-03-04 12:46:53','2021-03-04 12:46:53');
INSERT INTO complaint_remarks VALUES('5028','4625','COMPLAINT CANCEL','92','2021-03-04 13:11:17','2021-03-04 13:11:17');
INSERT INTO complaint_remarks VALUES('5029','4626','COMPLAINT CANCEL','92','2021-03-04 13:14:02','2021-03-04 13:14:02');
INSERT INTO complaint_remarks VALUES('5030','4534','COMPLAINT RESOLVED','74','2021-03-04 13:30:50','2021-03-04 13:30:50');
INSERT INTO complaint_remarks VALUES('5031','3543','COMPLAINT RESOLVED','74','2021-03-04 13:32:25','2021-03-04 13:32:25');
INSERT INTO complaint_remarks VALUES('5032','4500','COMPLAINT RESOLVED','74','2021-03-04 13:40:46','2021-03-04 13:40:46');
INSERT INTO complaint_remarks VALUES('5033','4499','SHSHZAD SAB NA ISSUE SHOWROOM PA HI RESOLVED KARWA  DI BUTTON KA ISSUE THA COMPLAINT CLOSED','74','2021-03-04 13:43:29','2021-03-04 13:43:29');
INSERT INTO complaint_remarks VALUES('5034','4499','COMPLAINT RESOLVED','74','2021-03-04 13:44:45','2021-03-04 13:44:45');
INSERT INTO complaint_remarks VALUES('5035','4491','CUSTOMER CHEEKED KAR K INFORMED KARAY GAY','74','2021-03-04 13:47:04','2021-03-04 13:47:04');
INSERT INTO complaint_remarks VALUES('5036','4487','VISIT TO DAY','74','2021-03-04 13:50:25','2021-03-04 13:50:25');
INSERT INTO complaint_remarks VALUES('5037','4419','UNIT MONDAY KO S/C CUSTOMER NA MOVE KARWA DIA','74','2021-03-04 13:52:37','2021-03-04 13:52:37');
INSERT INTO complaint_remarks VALUES('5038','4403','COMPLAINT RESOLVED','74','2021-03-04 13:57:47','2021-03-04 13:57:47');
INSERT INTO complaint_remarks VALUES('5039','4409','S/C 051-4927027 LG MADAM SHAMIM K PASS YHA COMPLAINT AAI HAIN
03022242224','74','2021-03-04 14:28:16','2021-03-04 14:28:16');
INSERT INTO complaint_remarks VALUES('5040','3873','SAIF NA YHA W/M RETURNED KAR KAR K DEEP FREEZER DA DIYA','74','2021-03-04 14:42:37','2021-03-04 14:42:37');
INSERT INTO complaint_remarks VALUES('5041','4176','WORKING IN PROCESS','74','2021-03-04 15:30:07','2021-03-04 15:30:07');
INSERT INTO complaint_remarks VALUES('5042','4158','GEYSER READY HAIN INFORMED KAR DIA  HAIN SADAR S/C SA PICK KARWA LAY GEYSER','74','2021-03-04 15:36:10','2021-03-04 15:36:10');
INSERT INTO complaint_remarks VALUES('5043','4176','KIT S/E MAIN  WORKING IN PROCESS HAIN','74','2021-03-04 15:46:08','2021-03-04 15:46:08');
INSERT INTO complaint_remarks VALUES('5044','3998','CUSTOMER K PASS DOCOMENT NAI HAIN COMPANY SIDE SA CANCEL HOI V COMPLAINT','74','2021-03-04 15:47:29','2021-03-04 15:47:29');
INSERT INTO complaint_remarks VALUES('5045','4308','2 YEAR AGO .
CUSTOMER KI SIDE SA DELAY COMPLAINT  COMPLAINT CLOSED','74','2021-03-04 15:50:38','2021-03-04 15:50:38');
INSERT INTO complaint_remarks VALUES('5046','4120','CUSTOMER K FREEZER MEET SA FULL HAIN ABI TIME LAGAY GA KHALI HONAY MAIN COMPLAINT CUSTOMER KI SIDE SA DELAY','74','2021-03-04 15:53:39','2021-03-04 15:53:39');
INSERT INTO complaint_remarks VALUES('5047','4143','COMPLAINT RESOLVED','74','2021-03-04 15:59:05','2021-03-04 15:59:05');
INSERT INTO complaint_remarks VALUES('5048','4505','OVEN OUT OFF WARRANTY HAI ELEMENT KA ISSUE HAIN  8000 EXP CUSTOMER KO INFORMED KAR DIA','74','2021-03-04 16:26:20','2021-03-04 16:26:20');
INSERT INTO complaint_remarks VALUES('5049','4647','COMPLAINT RESOLVED','74','2021-03-05 14:17:09','2021-03-05 14:17:09');
INSERT INTO complaint_remarks VALUES('5050','4591','COMPLAINT RESOLVED','74','2021-03-05 14:17:32','2021-03-05 14:17:32');
INSERT INTO complaint_remarks VALUES('5051','4586','COMPLAINT ATTEND HO GEI HAIN UNIT S/C WORKING IN PROCESS','74','2021-03-05 14:27:03','2021-03-05 14:27:03');
INSERT INTO complaint_remarks VALUES('5052','4582','COMPLAINT RESOLVED','74','2021-03-05 14:32:41','2021-03-05 14:32:41');
INSERT INTO complaint_remarks VALUES('5053','4580','COMPLAINT RESOLVED','74','2021-03-05 14:37:36','2021-03-05 14:37:36');
INSERT INTO complaint_remarks VALUES('5054','4574','COMPLAINT RESOLVED','74','2021-03-05 14:40:23','2021-03-05 14:40:23');
INSERT INTO complaint_remarks VALUES('5055','4590','NOT ATTEND CALL','74','2021-03-05 15:09:15','2021-03-05 15:09:15');
INSERT INTO complaint_remarks VALUES('5056','4573','COMPLAINT RESOLVED','74','2021-03-05 15:10:21','2021-03-05 15:10:21');
INSERT INTO complaint_remarks VALUES('5057','4572','COMPLAINT RESOLVED','74','2021-03-05 15:15:03','2021-03-05 15:15:03');
INSERT INTO complaint_remarks VALUES('5058','4651','COMPLAINT CLOSED','74','2021-03-05 15:44:49','2021-03-05 15:44:49');
INSERT INTO complaint_remarks VALUES('5059','4565','COMPLAINT PA AIK VISIT HO GAYA HAIN KAL AGAIN CUSTOMER NA VISIT KARNA','74','2021-03-05 15:50:12','2021-03-05 15:50:12');
INSERT INTO complaint_remarks VALUES('5060','4611','COMPLAINT RESOLVED','92','2021-03-06 13:42:50','2021-03-06 13:42:50');
INSERT INTO complaint_remarks VALUES('5061','4610','COMPLAINT RESOLVED','92','2021-03-06 13:44:38','2021-03-06 13:44:38');
INSERT INTO complaint_remarks VALUES('5062','4602','COMPLAINT RESOLVED','92','2021-03-06 13:48:46','2021-03-06 13:48:46');
INSERT INTO complaint_remarks VALUES('5063','4600','COMPLAINT RESOLVED','92','2021-03-06 13:52:33','2021-03-06 13:52:33');
INSERT INTO complaint_remarks VALUES('5064','4596','COMPLAINT RESOLVED','92','2021-03-06 13:55:39','2021-03-06 13:55:39');
INSERT INTO complaint_remarks VALUES('5065','4658','COMPLAINT CANCEL','92','2021-03-06 14:00:58','2021-03-06 14:00:58');
INSERT INTO complaint_remarks VALUES('5066','4640','COMPLAINT RESOLVED','92','2021-03-06 17:10:53','2021-03-06 17:10:53');
INSERT INTO complaint_remarks VALUES('5067','4635','COMPLAINT RESOLVED','92','2021-03-07 14:28:31','2021-03-07 14:28:31');
INSERT INTO complaint_remarks VALUES('5068','4634','NOT ATTEND CALL','92','2021-03-07 14:33:02','2021-03-07 14:33:02');
INSERT INTO complaint_remarks VALUES('5069','4632','VISIT TO DAY','92','2021-03-07 14:34:53','2021-03-07 14:34:53');
INSERT INTO complaint_remarks VALUES('5070','4630','COMPLAINT RESOLVED','92','2021-03-07 14:36:07','2021-03-07 14:36:07');
INSERT INTO complaint_remarks VALUES('5071','4627','COMPLAINT RESOLVED','92','2021-03-07 14:42:37','2021-03-07 14:42:37');
INSERT INTO complaint_remarks VALUES('5072','4654','COMPLAINT RESOLVED','74','2021-03-08 11:18:40','2021-03-08 11:18:40');
INSERT INTO complaint_remarks VALUES('5073','4653','NAEEM KENWOOD KO AGAIN VISIT K LIYA REMINDER DA DIA HAIN AJ AGAIN VISIT KARWAY GAY','74','2021-03-08 11:31:10','2021-03-08 11:31:10');
INSERT INTO complaint_remarks VALUES('5074','4541','ANEEQ NA SAJID SAB KO GRN KAR DI HAIN INFORMED BY BILAL MANZOOR','74','2021-03-08 11:45:51','2021-03-08 11:45:51');
INSERT INTO complaint_remarks VALUES('5075','4655','FAISAL HANEEF TECHNICIAN 03142437784 VISIT TO DAY','74','2021-03-08 12:54:15','2021-03-08 12:54:15');
INSERT INTO complaint_remarks VALUES('5076','4647','COMPLAINT ATTEND HO GEI HAIN KOI PARTS NAI IC OVEN MAIN NI LAGA','74','2021-03-08 13:47:17','2021-03-08 13:47:17');
INSERT INTO complaint_remarks VALUES('5077','3948','CUSTOMER KOPARTS KI PRICE 6500 INFORMED KAR DIA HAIN COMPLAINT DELAY PARTS KI WAJA SA HOI','74','2021-03-08 14:00:20','2021-03-08 14:00:20');
INSERT INTO complaint_remarks VALUES('5078','4599','COMPLIANT ATTEND HO GEI HAIN  PANAL DAMAGE HAIN 79000 EX SMART ZOON SA CUSTOMER INFORMED KAR DIA','74','2021-03-08 14:12:55','2021-03-08 14:12:55');
INSERT INTO complaint_remarks VALUES('5079','4645','CONTROL PANAL DAMAGE THA REPAIR KAR DIA COMPLAINT RESOLVED','74','2021-03-08 14:16:29','2021-03-08 14:16:29');
INSERT INTO complaint_remarks VALUES('5080','4643','KHURRAM BHAI KO REMINDER DA DIA','74','2021-03-08 14:19:18','2021-03-08 14:19:18');
INSERT INTO complaint_remarks VALUES('5081','4639','VISIT TO DAY','74','2021-03-08 14:24:23','2021-03-08 14:24:23');
INSERT INTO complaint_remarks VALUES('5082','4639','TECHNICIAN 
ON ROUT','74','2021-03-08 14:24:37','2021-03-08 14:24:37');
INSERT INTO complaint_remarks VALUES('5083','4664','VISIT TO DAY INFORMED BY CUSTOMER','74','2021-03-08 14:33:36','2021-03-08 14:33:36');
INSERT INTO complaint_remarks VALUES('5084','4638','PART LHR DEMAND KAR DIA HAIN INFORMED BY CUSTOMER','74','2021-03-08 15:06:08','2021-03-08 15:06:08');
INSERT INTO complaint_remarks VALUES('5085','4634','CUSTOMER STILL NOT ATTEND CALL','74','2021-03-08 15:31:31','2021-03-08 15:31:31');
INSERT INTO complaint_remarks VALUES('5086','4629','COMPLAINT RESOLVED','74','2021-03-08 15:38:54','2021-03-08 15:38:54');
INSERT INTO complaint_remarks VALUES('5087','4623','CUSTOMER NA COMPLAINT KHUD SA DELAY KARWA DI INFORMED BY ADIL FHSS','74','2021-03-08 15:55:08','2021-03-08 15:55:08');
INSERT INTO complaint_remarks VALUES('5088','4616','COMPLAINT RESOLVED','74','2021-03-08 15:59:05','2021-03-08 15:59:05');
INSERT INTO complaint_remarks VALUES('5089','4607','VISIT TO  DAY TECHNICIAN ON ROUT','74','2021-03-08 16:38:32','2021-03-08 16:38:32');
INSERT INTO complaint_remarks VALUES('5090','4666','GEYSER SAJID SAB K PASS CUSTOMER  DROP KARAY GAY . TANK GUJRAWALA DEMAND KARDIA HAIN INFORMED BY  MAZHAR FCP','74','2021-03-08 16:42:30','2021-03-08 16:42:30');
INSERT INTO complaint_remarks VALUES('5091','4603','COMPLAINT ATTEND HO GEI HAIN REF TO S/C  CUSTOMER NA KHUD S/C MOVE KARWANA','74','2021-03-08 16:43:14','2021-03-08 16:43:14');
INSERT INTO complaint_remarks VALUES('5092','4590','NO VISIT HASSAN KO REMINDER DA DIA','74','2021-03-08 16:45:36','2021-03-08 16:45:36');
INSERT INTO complaint_remarks VALUES('5093','4650','YHA DISHWASHER I 10/3 S/C MAIN AAY HAIN','74','2021-03-08 18:13:43','2021-03-08 18:13:43');
INSERT INTO complaint_remarks VALUES('5094','4664','VISIT TO DAY','74','2021-03-09 10:58:05','2021-03-09 10:58:05');
INSERT INTO complaint_remarks VALUES('5095','4663','COMPLAINT RESOLVED','74','2021-03-09 11:03:21','2021-03-09 11:03:21');
INSERT INTO complaint_remarks VALUES('5096','4564','REF MAIN MANUFACTURING FULT HAIN COMPANY REPLACE KAR K DA RAHI HAIN GRN WORKING IN PROCESS INFORMED BY CUSTOMER','74','2021-03-09 11:30:26','2021-03-09 11:30:26');
INSERT INTO complaint_remarks VALUES('5097','4665','VISIT TO DAY  INFORMED BY CUSTOMER','74','2021-03-09 11:32:34','2021-03-09 11:32:34');
INSERT INTO complaint_remarks VALUES('5098','4563','GASS REFILL HOI HAIN CUSTOMER SIDE','74','2021-03-09 11:38:30','2021-03-09 11:38:30');
INSERT INTO complaint_remarks VALUES('5099','4622','TECHNICIAN CUSTOMER K GHR PA WORKING IN PROCESS','74','2021-03-09 11:44:36','2021-03-09 11:44:36');
INSERT INTO complaint_remarks VALUES('5100','4662','CUSTOMER KA NOT STILL NOT RESPONDING JA RAHA HAIN','74','2021-03-09 12:03:12','2021-03-09 12:03:12');
INSERT INTO complaint_remarks VALUES('5101','4655','TECHNICIAN CUSTOMER K GHR PA WORKING IN PROCESS HAIN','74','2021-03-09 12:27:37','2021-03-09 12:27:37');
INSERT INTO complaint_remarks VALUES('5102','4562','4800 FAN DEMAND KIYA HOA HAIN AIK 2 DIN TAQ AAJAY GA','74','2021-03-09 12:41:23','2021-03-09 12:41:23');
INSERT INTO complaint_remarks VALUES('5103','4557','NOT ATTEND CALL','74','2021-03-09 12:51:54','2021-03-09 12:51:54');
INSERT INTO complaint_remarks VALUES('5104','4555','COMPANY K PASS DOOR AVAILABLE NAI HAIN','74','2021-03-09 12:52:38','2021-03-09 12:52:38');
INSERT INTO complaint_remarks VALUES('5105','4554','SHAHNWAZ KO AGAIN REMINDER DA DIA &AHMED KO B','74','2021-03-09 12:58:01','2021-03-09 12:58:01');
INSERT INTO complaint_remarks VALUES('5106','4553','C/R BEST COOL PA OK  KAR DI KHURRAM BHAI NA IRFAN SAB KO INFORMED KAR DIA HAIN K RANGE B COOL SA PICK KARWA LAY','74','2021-03-09 13:04:12','2021-03-09 13:04:12');
INSERT INTO complaint_remarks VALUES('5107','4551','CUSTOMER K PASS WARRANTY CARD NAI HAIN JIS KI WAJA SA DELAY COMPLAINT','74','2021-03-09 13:09:41','2021-03-09 13:09:41');
INSERT INTO complaint_remarks VALUES('5108','4547','COMPLAINT RESOLVED','74','2021-03-09 13:12:32','2021-03-09 13:12:32');
INSERT INTO complaint_remarks VALUES('5109','4647','CUSTOMER K OVEN INSET KILLER K MODEL  NAI HAIN  COMPLAINT CLOSED','74','2021-03-09 13:14:25','2021-03-09 13:14:25');
INSERT INTO complaint_remarks VALUES('5110','4639','SAQLAN TECHNICIAN YHA COMPLAINT ATTEND  KARAY GAY','74','2021-03-09 13:21:54','2021-03-09 13:21:54');
INSERT INTO complaint_remarks VALUES('5111','4632','COMPLAINT RESOLVED','74','2021-03-09 13:26:14','2021-03-09 13:26:14');
INSERT INTO complaint_remarks VALUES('5112','4552','CUSTOMER NA LOCAL TECHNICIAN SA COMPLAINT RESOLVED KARWA LI','74','2021-03-09 13:34:21','2021-03-09 13:34:21');
INSERT INTO complaint_remarks VALUES('5113','4621','COMPLAINT RESOLVED','74','2021-03-09 14:00:22','2021-03-09 14:00:22');
INSERT INTO complaint_remarks VALUES('5114','4620','COMPLAINT RESOLVED','74','2021-03-09 14:03:12','2021-03-09 14:03:12');
INSERT INTO complaint_remarks VALUES('5115','4317','15 MAR KA TIME DIA HOA HAI CUSTOMER KO','74','2021-03-09 16:12:30','2021-03-09 16:12:30');
INSERT INTO complaint_remarks VALUES('5116','4565','COMPLAINT RESOLVED','74','2021-03-09 16:15:37','2021-03-09 16:15:37');
INSERT INTO complaint_remarks VALUES('5117','4678','COMPLAINT ATTEND HO GEI HAIN PARTS DEMAND KIYA HOA USMAN SAB NA','74','2021-03-10 11:17:57','2021-03-10 11:17:57');
INSERT INTO complaint_remarks VALUES('5118','4679','VISIT TO DAY INFORMED BY CUSTOMER','74','2021-03-10 11:18:44','2021-03-10 11:18:44');
INSERT INTO complaint_remarks VALUES('5119','4676','COMPLAINT RESOLVED','74','2021-03-10 11:19:31','2021-03-10 11:19:31');
INSERT INTO complaint_remarks VALUES('5120','4662','03129625432  IMRAN BUT','74','2021-03-10 11:25:38','2021-03-10 11:25:38');
INSERT INTO complaint_remarks VALUES('5121','4656','COMPLAINT  ATTEND HO GEI HAIN AJ LIGTH LAG JAY GEI','74','2021-03-10 11:54:18','2021-03-10 11:54:18');
INSERT INTO complaint_remarks VALUES('5122','4674','INLET VALUE KA ISSUE THA RESOLVED HO GAYA COMPLAINT CLOSED','74','2021-03-10 11:54:58','2021-03-10 11:54:58');
INSERT INTO complaint_remarks VALUES('5123','4685','CUSTOMER SA BAT HO GEI HAIN 1200 VISIT CHARGES PAY KARNAY K LIYA AGREE HAIN B.COOL INFORMED KAR DIA','74','2021-03-10 12:47:07','2021-03-10 12:47:07');
INSERT INTO complaint_remarks VALUES('5124','4695','MAIN BOARD KA ISSUE HAIN DEMAND KIYA HOA HAIN KAL TAQ AAJY GA BUT CUSTOMER SET OPEN NAI KARWA RAHA REPLACEMENT KI BAT KAR RAHA HAIN','74','2021-03-10 12:53:51','2021-03-10 12:53:51');
INSERT INTO complaint_remarks VALUES('5125','4695','INFORMED BY IMRAN FCP& KHURRAM SIR','74','2021-03-10 12:54:10','2021-03-10 12:54:10');
INSERT INTO complaint_remarks VALUES('5126','4176','KIT S/C MAIN HAIN REPAIR NAI HO SAKTI  CUSTOMER KO INFORMED KAR DIA HAIN NEW KIT KA EXP B BATA DIA HAIN BUT CUSTOMER INTERESTED NAI HAIN NEW KIT K LIYA  18000 EXP ADIL FHSS KO B INFORMED KAR DIA','74','2021-03-10 12:58:42','2021-03-10 12:58:42');
INSERT INTO complaint_remarks VALUES('5127','4639','COMPLAINT RESOLVED','74','2021-03-10 13:19:20','2021-03-10 13:19:20');
INSERT INTO complaint_remarks VALUES('5128','4554','COMPLAINT ATTEND HO GEI HAIN REF TO S/C CUSTOMER NA KHUD LA K JANA HAIN CUSTOMER SIDE SA DELAY COMPLAINT','74','2021-03-10 13:34:53','2021-03-10 13:34:53');
INSERT INTO complaint_remarks VALUES('5129','4586','WAQAR BHATTI  SAB NA CUSTOMER KO NEXT WEEK KA TIME DIA HOA HAIN','74','2021-03-10 13:39:34','2021-03-10 13:39:34');
INSERT INTO complaint_remarks VALUES('5130','4546','COMPLAINT RESOLVED','74','2021-03-10 13:41:46','2021-03-10 13:41:46');
INSERT INTO complaint_remarks VALUES('5131','4176','ORIENT MAIN AHMED SAB KO INFORMED KAR DIA CUSTOMER KI KIT WAPISE KARWA  DYA COMPLAINT CLOSED','74','2021-03-10 13:43:40','2021-03-10 13:43:40');
INSERT INTO complaint_remarks VALUES('5132','4137','BM 03142437122  HUSSAIN KHAN','74','2021-03-10 13:51:35','2021-03-10 13:51:35');
INSERT INTO complaint_remarks VALUES('5133','4137','FAMILY EGLAND CHALI GEI HAIN OTHER NO HUSSAIN SAB KO WHATSAPP KAR DIA HAIN REF DILVER K LIYA COMPANY SA APPROVAL AGEI HAIN','74','2021-03-10 14:12:32','2021-03-10 14:12:32');
INSERT INTO complaint_remarks VALUES('5134','4603','CUSTOMER K SIDE SA DELAY COMPLAINT KHUD S/C MOVE KARWNA HAIN','74','2021-03-10 14:19:43','2021-03-10 14:19:43');
INSERT INTO complaint_remarks VALUES('5135','4419','CUSTOMER KA UNIT S/C MAIN READY HAIN CALL AGEI HAIN CUSTOMER KO PICK KANA HAIN  CUSTOMER SIDE SA DELY','74','2021-03-10 14:59:30','2021-03-10 14:59:30');
INSERT INTO complaint_remarks VALUES('5136','4568','SET S/C CUSTOMER NA MOVE KARWANA HAIN CUSTOMER KO KHALID SAB K NO B PROVIDE KAR DIA','74','2021-03-10 15:21:42','2021-03-10 15:21:42');
INSERT INTO complaint_remarks VALUES('5137','4634','OTHER#03215334470','92','2021-03-10 16:13:48','2021-03-10 16:13:48');
INSERT INTO complaint_remarks VALUES('5138','4679','COMPLAINT RESOLVED','74','2021-03-10 17:20:27','2021-03-10 17:20:27');
INSERT INTO complaint_remarks VALUES('5139','4662','USMAN TECHNICIAN AJ YHA COMPLAINT ATTEND KARAY GAY','74','2021-03-11 12:11:36','2021-03-11 12:11:36');
INSERT INTO complaint_remarks VALUES('5140','4662','INFORMED BY CUSTOMER','74','2021-03-11 12:11:49','2021-03-11 12:11:49');
INSERT INTO complaint_remarks VALUES('5141','4655','PARTS LAGA K B CUSTOMER KA ISSUE RESOLVED NAI HO HAIER MAIN TUQEER SAB SA BAT HOI HAIN  REF KI MAIL HEAD OFFICE MAIN KAR DI HAIN INFORMED BY CUSTOMER','74','2021-03-11 12:45:26','2021-03-11 12:45:26');
INSERT INTO complaint_remarks VALUES('5142','4698','COMPLAINT RESOLVED','74','2021-03-11 12:51:47','2021-03-11 12:51:47');
INSERT INTO complaint_remarks VALUES('5143','4697','COMPLAINT RESOLVED','74','2021-03-11 12:54:04','2021-03-11 12:54:04');
INSERT INTO complaint_remarks VALUES('5144','4695','RAEES 03153353226 YHA COMPLAINT ATTEND KAR RAHAY HAIN KAL TAQ  PART RECIVED HO JAY GA','74','2021-03-11 13:11:36','2021-03-11 13:11:36');
INSERT INTO complaint_remarks VALUES('5145','4127','TALA & AZEEM SB KO RANGE KI PIC SHER KAR DI','74','2021-03-11 13:29:04','2021-03-11 13:29:04');
INSERT INTO complaint_remarks VALUES('5146','4606','CUSTOMER KI TIMING TECHNICIAN K SATH ADJUST NAI HO RAHI THI IC WAJA  COMPLAINT DELAY THI  KAL KA TIME CUSTOMER KO DA DIA HAIN TARIQ FCI KO B INFORMED KAE DIA','74','2021-03-11 13:38:47','2021-03-11 13:38:47');
INSERT INTO complaint_remarks VALUES('5147','4666','TANK KAL TAQ RECIVED HO JAY GAY INFORMED BY CUSTOMER & MAZHAR FCP','74','2021-03-11 13:39:15','2021-03-11 13:39:15');
INSERT INTO complaint_remarks VALUES('5148','3677','TANK KAL TAQ RECIVED HO JAY GAY','74','2021-03-11 13:39:46','2021-03-11 13:39:46');
INSERT INTO complaint_remarks VALUES('5149','4691','NOT ATTEND CALL','74','2021-03-11 13:40:40','2021-03-11 13:40:40');
INSERT INTO complaint_remarks VALUES('5150','4691','NO VISIT INFORMED BY KHURRAM','74','2021-03-11 13:42:21','2021-03-11 13:42:21');
INSERT INTO complaint_remarks VALUES('5151','4619','TECHNICIAN SHOWRROM PA WORKING KAR RAHA HAIN AJ','74','2021-03-11 13:47:10','2021-03-11 13:47:10');
INSERT INTO complaint_remarks VALUES('5152','4690','CUSTOMER CALL BACK KARAY GAY','74','2021-03-11 13:49:30','2021-03-11 13:49:30');
INSERT INTO complaint_remarks VALUES('5153','4684','COMPLAINT RESOLVED','74','2021-03-11 13:51:47','2021-03-11 13:51:47');
INSERT INTO complaint_remarks VALUES('5154','4665','COMPLAINT RESOLVED','74','2021-03-11 14:09:43','2021-03-11 14:09:43');
INSERT INTO complaint_remarks VALUES('5155','4664','COMPLAINT RESOLVED','74','2021-03-11 14:15:24','2021-03-11 14:15:24');
INSERT INTO complaint_remarks VALUES('5156','2767','PCB REPAIR HO GEI HAIN KAL TAQ LAGWA DAY GEI MADAM','74','2021-03-11 14:33:34','2021-03-11 14:33:34');
INSERT INTO complaint_remarks VALUES('5157','4750','051-2710179(03008316443)','74','2021-03-11 15:12:54','2021-03-11 15:12:54');
INSERT INTO complaint_remarks VALUES('5158','4750','COMPLAINT RESOLVED','74','2021-03-11 15:13:58','2021-03-11 15:13:58');
INSERT INTO complaint_remarks VALUES('5159','4696','COMPLAINT ATTEND HO GEI HAIN BACK LIGHT KA ISSUE HAIN  CUSTOMER KO INFORMED KAR DIA HAIN AWAIS SAB KA NO B PROVIDE KAR  DIA','74','2021-03-11 15:50:43','2021-03-11 15:50:43');
INSERT INTO complaint_remarks VALUES('5160','4696','INFORMED BY KHURRAM SIR','74','2021-03-11 15:51:00','2021-03-11 15:51:00');
INSERT INTO complaint_remarks VALUES('5161','3367','IC KA AIK PART NAEEM SAB NA B USMAN SAB KO DIA HAIN WORKING IN PROCESS','74','2021-03-11 15:52:02','2021-03-11 15:52:02');
INSERT INTO complaint_remarks VALUES('5162','3179','ASLAM SIR KO IC COMPLAINT KI ALL DETAIL WHATS APP KAR DI HAIN SET USMAN SIR K S/C MAIN HAIN ASLAM SIR ARSHAD SAB SA DIS CAUSE KARAY GAY  INFORMED BY BILAL FHHS','74','2021-03-11 15:57:07','2021-03-11 15:57:07');
INSERT INTO complaint_remarks VALUES('5163','4691','TECHNICIAN CUSTOMER K GHR K PASS GAY BUT CUSTOMER SIDE SA NO RESPONSE','74','2021-03-11 15:58:00','2021-03-11 15:58:00');
INSERT INTO complaint_remarks VALUES('5164','4691','INFORMED BY RIZWAN BEHIRA','74','2021-03-11 15:58:15','2021-03-11 15:58:15');
INSERT INTO complaint_remarks VALUES('5165','4762','abdul rehma ko visit k liya reminder da dia','74','2021-03-12 12:21:41','2021-03-12 12:21:41');
INSERT INTO complaint_remarks VALUES('5166','4638','PART ABI TAQ NAI AAY A','74','2021-03-12 12:26:08','2021-03-12 12:26:08');
INSERT INTO complaint_remarks VALUES('5167','4634','CUSTOMER K NO STILL P/OFF JA RAHA HAIN SO COMPLAINT CLOSED','74','2021-03-12 12:30:03','2021-03-12 12:30:03');
INSERT INTO complaint_remarks VALUES('5168','4643','KHURRAM BAHI KO REMINDER DA DIA KAL ATTEND KARAY GAY','74','2021-03-12 12:35:54','2021-03-12 12:35:54');
INSERT INTO complaint_remarks VALUES('5169','4724','COMPLAINT ATTEND HO GEI HAIN PARTS S/C LA K AAY HAIN','74','2021-03-12 12:37:04','2021-03-12 12:37:04');
INSERT INTO complaint_remarks VALUES('5170','4772','CUSTOMER KO AWAIS  SAB K NO PROVIDE KAR DIA','74','2021-03-12 12:39:14','2021-03-12 12:39:14');
INSERT INTO complaint_remarks VALUES('5171','4631','VISIT TO DAY','74','2021-03-12 12:40:20','2021-03-12 12:40:20');
INSERT INTO complaint_remarks VALUES('5172','4721','COMPLAINT RESOLVED','74','2021-03-12 12:46:58','2021-03-12 12:46:58');
INSERT INTO complaint_remarks VALUES('5173','4719','COMPLAINT ATTEND HO GEI BUT HEATING KA ISSUE RESOLVED NI HOA CANNON MAIN HASSAN KO AGAIN VISIT K REMINDER DA DIA','74','2021-03-12 12:55:10','2021-03-12 12:55:10');
INSERT INTO complaint_remarks VALUES('5174','4752','COMPLAINT RESOLVED','74','2021-03-12 14:36:21','2021-03-12 14:36:21');
INSERT INTO complaint_remarks VALUES('5175','4715','COMPLAINT RESOLVED','74','2021-03-12 14:38:34','2021-03-12 14:38:34');
INSERT INTO complaint_remarks VALUES('5176','4714','COMPLAINT RESOLVED','74','2021-03-12 14:49:05','2021-03-12 14:49:05');
INSERT INTO complaint_remarks VALUES('5177','4754','VISIT TO DAY TECHNICIAN ON ROUT INFORMED BY CUSTOMER&YASIER SIR','74','2021-03-12 15:20:01','2021-03-12 15:20:01');
INSERT INTO complaint_remarks VALUES('5178','4519','VISIT TO DAY','74','2021-03-13 12:10:07','2021-03-13 12:10:07');
INSERT INTO complaint_remarks VALUES('5179','4695','AJ PARTS  RECEIVED HO JAY GA MONDAY KO ISSUE RESOLVED HO JAY GA INFORMED BY CUSTOMER& IMRAN FCP+ KHURRAM SIR','74','2021-03-13 12:57:00','2021-03-13 12:57:00');
INSERT INTO complaint_remarks VALUES('5180','4745','COMPLAINT ATTEND HO GEI HAIN REF CUSTOMER NA KHUD S/C MOVE KARWAN HAIN','74','2021-03-13 13:04:15','2021-03-13 13:04:15');
INSERT INTO complaint_remarks VALUES('5181','4744','GAYER BOX KA ISSUE HAIN  REF TO S/C','74','2021-03-13 13:21:11','2021-03-13 13:21:11');
INSERT INTO complaint_remarks VALUES('5182','4741','COMPLAINT RESOLVED','74','2021-03-13 13:32:58','2021-03-13 13:32:58');
INSERT INTO complaint_remarks VALUES('5183','4740','COMPLAINT RESOLVED','74','2021-03-13 13:34:40','2021-03-13 13:34:40');
INSERT INTO complaint_remarks VALUES('5184','4739','COMPLAINT RESOLVED','74','2021-03-13 13:37:33','2021-03-13 13:37:33');
INSERT INTO complaint_remarks VALUES('5185','4738','COMPLAINT RESOLVED','74','2021-03-13 13:39:40','2021-03-13 13:39:40');
INSERT INTO complaint_remarks VALUES('5186','4737','COMPLAINT ATTEND HO GEI HAIN BUNNER OK HO GAY HAIN BUT OVEN  NIA CHAL RAHA','74','2021-03-13 13:42:51','2021-03-13 13:42:51');
INSERT INTO complaint_remarks VALUES('5187','4736','COMPLAINT RESOLVED','74','2021-03-13 13:45:41','2021-03-13 13:45:41');
INSERT INTO complaint_remarks VALUES('5188','4735','VISIT TO DAY INFORMED BY CUSTOMER& JAVEED FCP','74','2021-03-13 13:54:20','2021-03-13 13:54:20');
INSERT INTO complaint_remarks VALUES('5189','4733','COMPLAINT RESOLVED','74','2021-03-13 13:56:16','2021-03-13 13:56:16');
INSERT INTO complaint_remarks VALUES('5190','4666','GEYSER K TANK AGAY HAIN BULITY CHARGES YAWAR SAB K LAGER MAIN ADD HOI HAIN.
YAWAR SAB KO INVOICE & BILL WHATS APP KAR DIA','74','2021-03-13 14:07:18','2021-03-13 14:07:18');
INSERT INTO complaint_remarks VALUES('5191','4732','COMPLAINT FF TO JABBAR HACWELL','92','2021-03-13 15:49:05','2021-03-13 15:49:05');
INSERT INTO complaint_remarks VALUES('5192','4706','COMPLAINT RESOLVED','74','2021-03-13 16:51:27','2021-03-13 16:51:27');
INSERT INTO complaint_remarks VALUES('5193','4702','COMPLAINT RESOLVED','74','2021-03-13 16:53:54','2021-03-13 16:53:54');
INSERT INTO complaint_remarks VALUES('5194','4708','COMPLAINT RESOLVED','74','2021-03-13 16:58:33','2021-03-13 16:58:33');
INSERT INTO complaint_remarks VALUES('5195','4690','REF TO S/C CUSTOMER SIDE SA DELAY','74','2021-03-13 17:13:05','2021-03-13 17:13:05');
INSERT INTO complaint_remarks VALUES('5196','4724','OUT DOOR PCB KA ISSUE HAIN  PCB DEMAND KAER DI HAIN  EXP 18000 CUSTOMER KO INFORMED KAR DIA','74','2021-03-13 17:19:54','2021-03-13 17:19:54');
INSERT INTO complaint_remarks VALUES('5197','4662','YHA REF S/C WORKING IN PROCESS','74','2021-03-13 17:22:42','2021-03-13 17:22:42');
INSERT INTO complaint_remarks VALUES('5198','4656','COMPLAINT RESOLVED','74','2021-03-13 17:25:03','2021-03-13 17:25:03');
INSERT INTO complaint_remarks VALUES('5199','4777','TECHNICIAN ON ROUT HAIN','74','2021-03-13 18:00:42','2021-03-13 18:00:42');
INSERT INTO complaint_remarks VALUES('5200','4432','QABZOO KI PRICE CUSTOMER KO INFORMED KAR DI HAIN','74','2021-03-13 18:01:56','2021-03-13 18:01:56');
INSERT INTO complaint_remarks VALUES('5201','4432','4000 EXP','74','2021-03-13 18:02:09','2021-03-13 18:02:09');
INSERT INTO complaint_remarks VALUES('5202','4775','COMPLAINT IN PROCESS PART ISSUE','92','2021-03-14 12:36:46','2021-03-14 12:36:46');
INSERT INTO complaint_remarks VALUES('5203','4804','COMPLAINT NO PKRI-210314103504','92','2021-03-14 13:06:26','2021-03-14 13:06:26');
INSERT INTO complaint_remarks VALUES('5204','4776','NOT ATTEND CALL','74','2021-03-15 11:35:14','2021-03-15 11:35:14');
INSERT INTO complaint_remarks VALUES('5205','4774','COMPLIANT RESOLVED','74','2021-03-15 11:38:09','2021-03-15 11:38:09');
INSERT INTO complaint_remarks VALUES('5206','4771','COMPLAINT ATTEND AHMED SAB IC COMPLAINT KO DAKH RAHAY HAIN','74','2021-03-15 11:47:10','2021-03-15 11:47:10');
INSERT INTO complaint_remarks VALUES('5207','4771','REF TO LHR S/C','74','2021-03-15 11:47:23','2021-03-15 11:47:23');
INSERT INTO complaint_remarks VALUES('5208','4773','COMPLAINT ATTEND HO GEI HAIN  BUT ISSUE RESOLVED NAI HOA AGAIN COMLAINT REOPEN KARWA DIA','74','2021-03-15 11:52:02','2021-03-15 11:52:02');
INSERT INTO complaint_remarks VALUES('5209','3985','CUSTOMER KA ISSUE RESOLVED HO GAYA COMPLIANT RESOLVED','74','2021-03-15 11:56:09','2021-03-15 11:56:09');
INSERT INTO complaint_remarks VALUES('5210','4772','NOT ATTEND CALL','74','2021-03-15 12:00:26','2021-03-15 12:00:26');
INSERT INTO complaint_remarks VALUES('5211','4768','COMPLAINT RESOLVED','74','2021-03-15 12:26:55','2021-03-15 12:26:55');
INSERT INTO complaint_remarks VALUES('5212','4666','SATURDAY KO GEYSER REPLACE HO GAY GEYSER CUSTOMER GHR LA GA HAIN COMPLAINT RESOLVED','74','2021-03-15 12:30:12','2021-03-15 12:30:12');
INSERT INTO complaint_remarks VALUES('5213','4680','COMPLAINT ATTEND HO GEI HAIN VALUE CHANGE KARNAY HAIN 2 3 DIN K TOME DA K AAY HAIN','74','2021-03-15 12:44:21','2021-03-15 12:44:21');
INSERT INTO complaint_remarks VALUES('5214','4695','PARTS RECIVED HO GAYA HAIN KAL LAGNAY JAY GAY','74','2021-03-15 12:57:45','2021-03-15 12:57:45');
INSERT INTO complaint_remarks VALUES('5215','4776','COMPLAINT RESOLVED','74','2021-03-15 13:24:25','2021-03-15 13:24:25');
INSERT INTO complaint_remarks VALUES('5216','4682','COMPLAINT ATTEND HO GEI HAIN DURM KA ISSUE RESOLVED HO GAYA HAIN SPINNER  DOOR DAMAGE HAIN  ON PAYMENT ATTEND HO GEI INFORMED BY CUSTOMER& NAEEM KENWOOD','74','2021-03-15 13:33:11','2021-03-15 13:33:11');
INSERT INTO complaint_remarks VALUES('5217','4756','COMPLAINT RESOLVED','74','2021-03-15 14:06:45','2021-03-15 14:06:45');
INSERT INTO complaint_remarks VALUES('5218','4735','COMPLAINT RESOLVED','74','2021-03-15 14:13:18','2021-03-15 14:13:18');
INSERT INTO complaint_remarks VALUES('5219','4766','NO ISSUE COMPLAINT RESOLVED CUSTOMER STILL CALL ATTEND NI A RAHAY S/C SA FOLLOWUP  LA K COMPLAINT CLOSED KI','74','2021-03-15 14:19:10','2021-03-15 14:19:10');
INSERT INTO complaint_remarks VALUES('5220','4754','COMPLAINT RESOLVED','74','2021-03-15 14:21:36','2021-03-15 14:21:36');
INSERT INTO complaint_remarks VALUES('5221','4787','BASE SA PACKING REMOVE KAR K COMPLAINT RESOLVED KI','74','2021-03-15 14:58:17','2021-03-15 14:58:17');
INSERT INTO complaint_remarks VALUES('5222','4787','INFORMED BY TARIQ+ KHURRAM SIR','74','2021-03-15 14:58:36','2021-03-15 14:58:36');
INSERT INTO complaint_remarks VALUES('5223','4690','CUSTOMER KO EXP 10000 KA BATA RENT+ GASS CHARGES+ VISIT CHARGES','74','2021-03-15 15:17:05','2021-03-15 15:17:05');
INSERT INTO complaint_remarks VALUES('5224','4690','CUSTOMER AGREE NA HAIN LOCAL TECHNICIAN SA ATTEND KARWAY GAY COMPLINT','74','2021-03-15 15:17:42','2021-03-15 15:17:42');
INSERT INTO complaint_remarks VALUES('5225','4655','TUQEER SAB SA BAT HO I REF TO S/C','74','2021-03-15 16:03:13','2021-03-15 16:03:13');
INSERT INTO complaint_remarks VALUES('5226','4519','RABER  DEMAND KIYA HOA','74','2021-03-15 16:05:31','2021-03-15 16:05:31');
INSERT INTO complaint_remarks VALUES('5227','4653','REF MAIM KOI ISSUE NAI COMPLAINT RESOLVED','74','2021-03-15 16:06:18','2021-03-15 16:06:18');
INSERT INTO complaint_remarks VALUES('5228','4691','OTHER#03088927053 INFORMED BY KHURRAM SIR','74','2021-03-15 16:15:26','2021-03-15 16:15:26');
INSERT INTO complaint_remarks VALUES('5229','4361','TOP COVER ON PAYMENT LAGWA DIA COMPLAINT RESOLVED','74','2021-03-15 16:25:30','2021-03-15 16:25:30');
INSERT INTO complaint_remarks VALUES('5230','4638','COMPLAINT RESOLVED','74','2021-03-15 16:28:29','2021-03-15 16:28:29');
INSERT INTO complaint_remarks VALUES('5231','4137','UNIT CUSTOMER K GHR SA PICK KAR LIYA HAIN NEW UNIT KI SR PROCESS KAR DI HAIN IC WEEK MAIN NEW UNIT CUSTOMER K GHR DILVER HO JAY GA','74','2021-03-15 16:36:50','2021-03-15 16:36:50');
INSERT INTO complaint_remarks VALUES('5232','4294','COMPLAINT RESOLVED','74','2021-03-15 16:38:41','2021-03-15 16:38:41');
INSERT INTO complaint_remarks VALUES('5233','4294','CONFIRM BY ANEEQ','74','2021-03-15 16:39:00','2021-03-15 16:39:00');
INSERT INTO complaint_remarks VALUES('5234','4615','COMPLAINT RESOLVED','74','2021-03-15 16:44:30','2021-03-15 16:44:30');
INSERT INTO complaint_remarks VALUES('5235','4590','CUSTOMER NA W/D HI REPLACE KARWA LIYA HAIN COMPLAINT RESOLVED','74','2021-03-15 16:54:42','2021-03-15 16:54:42');
INSERT INTO complaint_remarks VALUES('5236','4314','KHURRAM BHAI KO AGAIN REMINDER DA DIA AJ MUZMIL SA CONFIRM KAR K UPDATE DAY GAY','74','2021-03-15 16:58:32','2021-03-15 16:58:32');
INSERT INTO complaint_remarks VALUES('5237','4564','NEW REF ISB S/C K PASS AAGYA HAIN COLOUR KA ISSUE AARHA HAIN KAL UPDATE KARAY GAY','74','2021-03-15 17:12:31','2021-03-15 17:12:31');
INSERT INTO complaint_remarks VALUES('5238','4695','visit to day','74','2021-03-16 11:25:17','2021-03-16 11:25:17');
INSERT INTO complaint_remarks VALUES('5239','4564','NEW REF KUCH DAIR TAQ CUSTOMER K GHR UMIR SA DILVER KARWA RAHAY HAIN03041441997','74','2021-03-16 11:40:04','2021-03-16 11:40:04');
INSERT INTO complaint_remarks VALUES('5240','4797','03005555033  KAL VISIT HO GA','74','2021-03-16 11:47:04','2021-03-16 11:47:04');
INSERT INTO complaint_remarks VALUES('5241','4792','COMPLIANT ATTEND HO GEI  GARY BOX KA ISSUE HAIN S/C WORKING IN PROCESS','74','2021-03-16 11:49:02','2021-03-16 11:49:02');
INSERT INTO complaint_remarks VALUES('5242','4797','INFORMED BY CUSTOMER+ JAVEED FCP','74','2021-03-16 11:51:28','2021-03-16 11:51:28');
INSERT INTO complaint_remarks VALUES('5243','4551','CUSTOMER AJ REF S/C MOVE KARWA RAHAY HAIN  ORIENT AHMED SAB K NO CUSTOMER KO PROVIDE KAR DIA  HAIN','74','2021-03-16 12:07:31','2021-03-16 12:07:31');
INSERT INTO complaint_remarks VALUES('5244','4794','COMPLAINT RESOLVED','74','2021-03-16 12:10:14','2021-03-16 12:10:14');
INSERT INTO complaint_remarks VALUES('5245','4791','COMPLAINT ATTEND HO GEI HAIN BUT ISSUE RESOLVED NAI HOA AGAIN COMPLIANT REOPEND KARWA DI','74','2021-03-16 12:18:44','2021-03-16 12:18:44');
INSERT INTO complaint_remarks VALUES('5246','4788','COMPLAINT RESOLVED','74','2021-03-16 12:21:09','2021-03-16 12:21:09');
INSERT INTO complaint_remarks VALUES('5247','4786','COMPLAINT PA AIK VISIT HO GAYA HAIN BUT ISSUE RESOLVED NAI HAOA SAMART ZOON MAIN REMINDER DA DIA','74','2021-03-16 12:30:46','2021-03-16 12:30:46');
INSERT INTO complaint_remarks VALUES('5248','4317','HAMMAD SAB SA BT HOI HAIN YHA COMPANY K ISIDE SA GRN AAGEI HAIN CUSTOMER KO REPLACE KAR K DAY GAY','74','2021-03-16 12:35:34','2021-03-16 12:35:34');
INSERT INTO complaint_remarks VALUES('5249','4785','CUSTOMER AJ OUT OFF CITY MAIN KAL VISIT HO GA','74','2021-03-16 12:43:16','2021-03-16 12:43:16');
INSERT INTO complaint_remarks VALUES('5250','4784','COMPLAINT RESOLVED','74','2021-03-16 12:44:23','2021-03-16 12:44:23');
INSERT INTO complaint_remarks VALUES('5251','4783','VISIT TO DAY','74','2021-03-16 12:48:25','2021-03-16 12:48:25');
INSERT INTO complaint_remarks VALUES('5252','4775','MAIN BOARD DEMAND KIYA HOA HAI BOARD ABI AVAIL NAI HAIN ONE WEEK KA TIME LAGAY GA INFORMED BY CUSTOMER+ BADAL FCI','74','2021-03-16 13:00:45','2021-03-16 13:00:45');
INSERT INTO complaint_remarks VALUES('5253','4744','GARY BOX KA EXP CUSTOMER KO INFORMED KAR DAI BUT CUSTOME ABI AGREE NAI ISSUE RESOLVED KARWANY PA COMPLAINT CLOSED KARWA DI','74','2021-03-16 13:05:59','2021-03-16 13:05:59');
INSERT INTO complaint_remarks VALUES('5254','4814','VISIT TO DAY TECHNICIAN ON ROUT','74','2021-03-16 13:14:12','2021-03-16 13:14:12');
INSERT INTO complaint_remarks VALUES('5255','4764','COMPLAINT ATTEND HO GEI SET MAIN KOI LINE NI AARHI CABLE  KA ISSUE COMPLAINT CLOSED','74','2021-03-16 13:17:01','2021-03-16 13:17:01');
INSERT INTO complaint_remarks VALUES('5256','4771','CUSTOMER AJ UNIT AHMED SIR K S/C MAIN MOVE KARWA AAY HAIN UNIT LHR S/C MOVE KARWANA HAIN','74','2021-03-16 13:19:06','2021-03-16 13:19:06');
INSERT INTO complaint_remarks VALUES('5257','4757','COMPLAINT RESOLVED','74','2021-03-16 13:23:18','2021-03-16 13:23:18');
INSERT INTO complaint_remarks VALUES('5258','4755','COMPLAINT RESOLVED','74','2021-03-16 13:25:05','2021-03-16 13:25:05');
INSERT INTO complaint_remarks VALUES('5259','4753','COMPLIANT ATTEND HO GEI HAIN  JALIYA LA K JANI','74','2021-03-16 13:37:24','2021-03-16 13:37:24');
INSERT INTO complaint_remarks VALUES('5260','4749','COMPLAINT RESOLVED','74','2021-03-16 13:42:52','2021-03-16 13:42:52');
INSERT INTO complaint_remarks VALUES('5261','4734','NOT ATTEND CALL','74','2021-03-16 13:51:32','2021-03-16 13:51:32');
INSERT INTO complaint_remarks VALUES('5262','4808','KHURRAM BHAI NA VISIT KAR LIYA HAIN 
KHURRAM GOOGLE K TECHNICIAN GALSS LAGNAY JA RAHAY HAIN AJ','74','2021-03-16 14:46:13','2021-03-16 14:46:13');
INSERT INTO complaint_remarks VALUES('5263','4837','COMPLAINT CANCEL','92','2021-03-16 15:15:40','2021-03-16 15:15:40');
INSERT INTO complaint_remarks VALUES('5264','4491','COMPLAINT RESOLVED','74','2021-03-16 15:47:11','2021-03-16 15:47:11');
INSERT INTO complaint_remarks VALUES('5265','4564','CUSTOMER KO COMPANY NA REF KHUD SA REPLACE KAR K DA DIA HAIN COMPLAINT RESOLVED','74','2021-03-16 17:07:18','2021-03-16 17:07:18');
INSERT INTO complaint_remarks VALUES('5266','4564','INFORMED BY ISHFAQ FHHS','74','2021-03-16 17:08:18','2021-03-16 17:08:18');
INSERT INTO complaint_remarks VALUES('5267','4803','COMPLETED COMPLAINT','74','2021-03-17 10:48:51','2021-03-17 10:48:51');
INSERT INTO complaint_remarks VALUES('5268','4680','RAIL COCK REPLACE HONA HAIN YHA PART I 10 K GODOWN SA MILAY GA INFORMED BY KHURRAM BHAI+ KHURRAM GOOGLE','74','2021-03-17 11:20:27','2021-03-17 11:20:27');
INSERT INTO complaint_remarks VALUES('5269','4713','GLASS AJ KHURRAM BHAI LA K JA RAHAY HAIN I 10 SA AJ ATTEND HO JAY GEI INFORMED BY CUSTOMER','74','2021-03-17 11:25:57','2021-03-17 11:25:57');
INSERT INTO complaint_remarks VALUES('5270','4695','MAIN BOARD LAGA DIA HAIN COMPLIANT RESOLVED','74','2021-03-17 11:33:37','2021-03-17 11:33:37');
INSERT INTO complaint_remarks VALUES('5271','4729','CUSTOMER NOT ATTEND CALL','92','2021-03-17 11:37:52','2021-03-17 11:37:52');
INSERT INTO complaint_remarks VALUES('5272','4808','ON PAYMENT KAL GLASS LAGA DIA HAIN 5000 PAY KIYA CUSTOMER NA COMPLAINT RESOLVED','74','2021-03-17 11:39:17','2021-03-17 11:39:17');
INSERT INTO complaint_remarks VALUES('5273','3533','ADIL FHSS KO LG S/C KA NO PROVIDE KAR DIA HAIN DISHWASHER KA CARD MOVE KARWANAY K LIYA','74','2021-03-17 12:14:28','2021-03-17 12:14:28');
INSERT INTO complaint_remarks VALUES('5274','4682','DOOR LAGNAY K LIYA TECHNICIAN JA RAHAY THY BUT CUSTOMER NA BAI MANA KAR DIA COMPLIANT CLOSED','74','2021-03-17 12:46:26','2021-03-17 12:46:26');
INSERT INTO complaint_remarks VALUES('5275','4807','COMPLAINT ATTEND HO GEI HAIN TANK LEAKAGE HAIN','74','2021-03-17 12:52:58','2021-03-17 12:52:58');
INSERT INTO complaint_remarks VALUES('5276','3677','TANK AAGAY HAI BULITY CLEAR KARWANAY K LIYA ADIL BHAI KO WHATSAPP KAR DIA','74','2021-03-17 12:54:21','2021-03-17 12:54:21');
INSERT INTO complaint_remarks VALUES('5277','4797','COMPLAINT ATTEND HO GEI HAIN SWITCH KA ISSUE WO CUSTOMER NA KHUD SA CHNAGE KARWANA','74','2021-03-17 12:57:20','2021-03-17 12:57:20');
INSERT INTO complaint_remarks VALUES('5278','4390','YAWAR & SHAYAN SAB KO B WHATSAPP KAR DI','74','2021-03-17 13:25:03','2021-03-17 13:25:03');
INSERT INTO complaint_remarks VALUES('5279','3812','IMRAN TCL NA B CUSTOMER KO CALL KI HAIN GHR PA VISIT K LIYA BUT CUSTOMER NA BOLA K HUM ABI FREE NAI HAIN JAB FREE HO K AP SA KHUD CONTACT KAR LAY GAY COMPLAINT CLOSED','74','2021-03-17 14:55:22','2021-03-17 14:55:22');
INSERT INTO complaint_remarks VALUES('5280','4745','REF CUSTOMER NA KHUD S/C MOVE KARWANA HAIN COMPLAINT CUSTOMER KI SIDE SA DELAY HAIN ABI CUSTOMER NA KHUD COMPLAINT CLOSED KARWA DI','74','2021-03-17 14:58:20','2021-03-17 14:58:20');
INSERT INTO complaint_remarks VALUES('5281','4864','S/C WALAY PICK KARWA RAHAY HAIN W/M DRIVER ON ROUT HAIN','74','2021-03-17 15:11:24','2021-03-17 15:11:24');
INSERT INTO complaint_remarks VALUES('5282','4856','IKHLAQ  SIR NA RANGE REPLACE KARWA DI CUSTOMER KO','74','2021-03-17 16:33:20','2021-03-17 16:33:20');
INSERT INTO complaint_remarks VALUES('5283','4854','VISIT TO DAY INFORMED BY CUSTOMER','74','2021-03-17 17:28:59','2021-03-17 17:28:59');
INSERT INTO complaint_remarks VALUES('5284','4836','NOT ATTEND REMINDER DA DIA','74','2021-03-18 11:34:58','2021-03-18 11:34:58');
INSERT INTO complaint_remarks VALUES('5285','4825','COMPLETED COMPLIANT','74','2021-03-18 12:17:33','2021-03-18 12:17:33');
INSERT INTO complaint_remarks VALUES('5286','4824','VISIT TO DAY','74','2021-03-18 12:21:25','2021-03-18 12:21:25');
INSERT INTO complaint_remarks VALUES('5287','4823','COMPLAINT RESOLVED','74','2021-03-18 12:22:45','2021-03-18 12:22:45');
INSERT INTO complaint_remarks VALUES('5288','4822','COMPLAINT RESOLVED','74','2021-03-18 12:27:06','2021-03-18 12:27:06');
INSERT INTO complaint_remarks VALUES('5289','4821','COMPLAINT RESOLVED','74','2021-03-18 12:39:45','2021-03-18 12:39:45');
INSERT INTO complaint_remarks VALUES('5290','4820','COMPLAINT ATTEND  HO GEI HAIN BUT ISSUE RESOLVED NAI HOA AGIN COMPLNT REOPEN KARWA DI','74','2021-03-18 12:45:06','2021-03-18 12:45:06');
INSERT INTO complaint_remarks VALUES('5291','4817','COMPLAINT RESOLVED','74','2021-03-18 12:54:42','2021-03-18 12:54:42');
INSERT INTO complaint_remarks VALUES('5292','4832','COMPLAINT RESOLVED','74','2021-03-18 13:03:02','2021-03-18 13:03:02');
INSERT INTO complaint_remarks VALUES('5293','4811','COMPLAINT RESOLVED','74','2021-03-18 13:06:00','2021-03-18 13:06:00');
INSERT INTO complaint_remarks VALUES('5294','4810','COMPLAINT RESOLVED','74','2021-03-18 13:09:35','2021-03-18 13:09:35');
INSERT INTO complaint_remarks VALUES('5295','4441','COMPLAINT RESOLVED','74','2021-03-18 13:59:08','2021-03-18 13:59:08');
INSERT INTO complaint_remarks VALUES('5296','4228','COMPLAINT RESOLVED','74','2021-03-18 14:04:48','2021-03-18 14:04:48');
INSERT INTO complaint_remarks VALUES('5297','4792','COMPLAINT RESOLVED','74','2021-03-18 14:12:51','2021-03-18 14:12:51');
INSERT INTO complaint_remarks VALUES('5298','4885','CUSTOMER NA SATURDAY KA TIME DIA HAIN VISIT K LIYA INFORMED BY NAEEM KENWOOD + ZAHID PWD','74','2021-03-18 15:01:07','2021-03-18 15:01:07');
INSERT INTO complaint_remarks VALUES('5299','4819','ELEMENT SHORT HO GAY HAIN CUSTOMER KO 2500 KA EXP BATA DIA HAIN BUT CUSTOMER AGREE NAI HAIN PAY KARNAY K LIYA ZAHID + KHURRAM GOOGLE KO INFORMED KAR DIA SOHAIL SAB','74','2021-03-18 15:07:06','2021-03-18 15:07:06');
INSERT INTO complaint_remarks VALUES('5300','4809','COMPLAINT ATTEND HO GEI HAIN CUSTOMER NA KHUD S/C MOVE KARWAN HAIN','74','2021-03-18 15:09:49','2021-03-18 15:09:49');
INSERT INTO complaint_remarks VALUES('5301','4809','CUSTOMER RENT PAY KARAY GAY COMPANY KI GARI PICK KARAY GEI UNIT','74','2021-03-18 15:16:18','2021-03-18 15:16:18');
INSERT INTO complaint_remarks VALUES('5302','4791','COMPLAINT  PA AGAIN VISIT HO GAYA HAIN DOOR ADJUST KIYA HAIN CUSTOMER MONDAY TAQ UP DATE KARAY GEI','74','2021-03-18 15:19:28','2021-03-18 15:19:28');
INSERT INTO complaint_remarks VALUES('5303','4773','COMPLAINT RESOLVED','74','2021-03-18 15:20:49','2021-03-18 15:20:49');
INSERT INTO complaint_remarks VALUES('5304','4827','TECHNICIAN KI CUSTOMER SA BT HO GEIHAIN LED LHR S/C MOVE KARWA RAHAY ROSHAN SAB','74','2021-03-18 15:44:14','2021-03-18 15:44:14');
INSERT INTO complaint_remarks VALUES('5305','4857','COMPLAINT ATTEND HO GEI HAIN FAN MOTER KA ISSUE  THA ISSUE RESOLVED HO GAYA HAIN 2700 PAY KIYA CUSTOMER NA','74','2021-03-18 17:38:40','2021-03-18 17:38:40');
INSERT INTO complaint_remarks VALUES('5306','4857','BAKI RECIVING K LIYA ANWAR SAB KA NO CUSTOMER KO PROVIDE KAR DIA','74','2021-03-18 17:39:16','2021-03-18 17:39:16');
INSERT INTO complaint_remarks VALUES('5307','4857','COMPLAINT RESOLVED','74','2021-03-19 11:26:34','2021-03-19 11:26:34');
INSERT INTO complaint_remarks VALUES('5308','4856','COMPLAINT RESOLVED','74','2021-03-19 11:30:13','2021-03-19 11:30:13');
INSERT INTO complaint_remarks VALUES('5309','4854','SATURDAY KO AGAIN VISIT KARAY GAY COMPANY WALAY','74','2021-03-19 12:09:27','2021-03-19 12:09:27');
INSERT INTO complaint_remarks VALUES('5310','4852','DRAIN PROB COMPLAINT RESOLVED','74','2021-03-19 12:18:09','2021-03-19 12:18:09');
INSERT INTO complaint_remarks VALUES('5311','4847','COMPLAINT RESOLVED','74','2021-03-19 12:36:03','2021-03-19 12:36:03');
INSERT INTO complaint_remarks VALUES('5312','4859','COMPLAINT ATTEND HO GEI HAIN TANK LEAKAGE  HAIN TANK DEMAND KAR DI LHR  TECHNICIAN NA','74','2021-03-19 15:51:13','2021-03-19 15:51:13');
INSERT INTO complaint_remarks VALUES('5313','4838','COMPLAINT RESOLVED','74','2021-03-19 15:54:54','2021-03-19 15:54:54');
INSERT INTO complaint_remarks VALUES('5314','4871','NOT ATTEND CALL','74','2021-03-20 11:10:41','2021-03-20 11:10:41');
INSERT INTO complaint_remarks VALUES('5315','4865','CUSTOMER K PASS WARRANTY CARD NAI THI IC WAJA SA DELAY COMPLINT','74','2021-03-20 11:12:35','2021-03-20 11:12:35');
INSERT INTO complaint_remarks VALUES('5316','4819','GUJRANWALA YA WAR SAB SA BT HOI HAIN MONDAY KO NEW PARTS TCS KARWA DAY GAY TUESDAY KA TIME DIA HAIN CUSTOMER KO','74','2021-03-20 12:09:15','2021-03-20 12:09:15');
INSERT INTO complaint_remarks VALUES('5317','4662','A/C S/C SA AAGY HAIN GASS KA ISSUE CHAL RAHAY','74','2021-03-20 12:11:18','2021-03-20 12:11:18');
INSERT INTO complaint_remarks VALUES('5318','4906','TECHNICIAN NA CUSTOMER KO CALL PA HI THERMOSTAT KI SETTING  ADJUST KARWA DI COMPLAINT RESOLVED','74','2021-03-22 11:15:20','2021-03-22 11:15:20');
INSERT INTO complaint_remarks VALUES('5319','4905','COMPLAINT RESOLVED','74','2021-03-22 11:18:42','2021-03-22 11:18:42');
INSERT INTO complaint_remarks VALUES('5320','4904','COMPLAINT RESOLVED','74','2021-03-22 11:24:51','2021-03-22 11:24:51');
INSERT INTO complaint_remarks VALUES('5321','4902','NOT ATTEND CALL','74','2021-03-22 11:37:11','2021-03-22 11:37:11');
INSERT INTO complaint_remarks VALUES('5322','4899','COMPLAINT RESOLVED','74','2021-03-22 11:38:07','2021-03-22 11:38:07');
INSERT INTO complaint_remarks VALUES('5323','4891','COMPLAINT SIGNATURE KA REF KAI HAIN COMPLAINT CLOSED','74','2021-03-22 11:50:15','2021-03-22 11:50:15');
INSERT INTO complaint_remarks VALUES('5324','4889','COMPLAINT ATTEND HO GEI HAIN REF S/C WORKING IN PROCESS  COMPRESSOR ISSUE','74','2021-03-22 11:52:28','2021-03-22 11:52:28');
INSERT INTO complaint_remarks VALUES('5325','4886','COMPLAINT ATTEND HO GEI HAIN CUSTOMER NA KHUD S/C MOVE KARWANI HAIN W/M CUSTOMER SIDE SA DELAY COMPLAINT','74','2021-03-22 11:55:15','2021-03-22 11:55:15');
INSERT INTO complaint_remarks VALUES('5326','4883','COMPLAINT ATTEND HO GEI HAIN SET S/C WORKING IN PROCESS','74','2021-03-22 12:00:02','2021-03-22 12:00:02');
INSERT INTO complaint_remarks VALUES('5327','4882','COMPLAINT RESOLVED','74','2021-03-22 12:01:27','2021-03-22 12:01:27');
INSERT INTO complaint_remarks VALUES('5328','4879','COMPLAINT RESOLVED','74','2021-03-22 12:03:53','2021-03-22 12:03:53');
INSERT INTO complaint_remarks VALUES('5329','4885','NAEEM SAB KO AGAIN REMINDER DIA KAL VISIT KARAY GAY AJ BARISH HAIN','74','2021-03-22 12:07:37','2021-03-22 12:07:37');
INSERT INTO complaint_remarks VALUES('5330','4877','COMPLAINT RESOLVED','74','2021-03-22 12:12:47','2021-03-22 12:12:47');
INSERT INTO complaint_remarks VALUES('5331','4876','COMPLAINT RESOLVED','74','2021-03-22 12:16:00','2021-03-22 12:16:00');
INSERT INTO complaint_remarks VALUES('5332','4874','COMPLAINT RESOLVED','74','2021-03-22 12:19:24','2021-03-22 12:19:24');
INSERT INTO complaint_remarks VALUES('5333','4873','CUSTOMER NA VISIT CANCELL KARWA DIA ISSUE RESOLVED HO GAYA COMPLAINT CLOSED','74','2021-03-22 12:33:06','2021-03-22 12:33:06');
INSERT INTO complaint_remarks VALUES('5334','4871','COMPLAINT RESOLVED','74','2021-03-22 12:36:24','2021-03-22 12:36:24');
INSERT INTO complaint_remarks VALUES('5335','4878','COMPLAINT ATTEND HO GEI HAIN THERMOSTAT ADJUST HOA CUSTOMER STILL CALL ATTEND NAI KAR RAHAY S/C SA CONFIRM KAR K COMPLAINT CLOSED KI','74','2021-03-22 12:44:49','2021-03-22 12:44:49');
INSERT INTO complaint_remarks VALUES('5336','4865','WARRANTY CARD KI WAJA SA DELAY COMPLAINT COMPLAINT CLOSED','74','2021-03-22 12:47:14','2021-03-22 12:47:14');
INSERT INTO complaint_remarks VALUES('5337','4924','COMPLAINT NO PKRI-210322106596','92','2021-03-22 12:49:32','2021-03-22 12:49:32');
INSERT INTO complaint_remarks VALUES('5338','4861','COMPLAINT RESOLVED','74','2021-03-22 12:51:20','2021-03-22 12:51:20');
INSERT INTO complaint_remarks VALUES('5339','4858','COMPLAINT PA AGAIN VISIT B HO GAYA HAIN COMPLAINT RESOLVED','74','2021-03-22 13:00:07','2021-03-22 13:00:07');
INSERT INTO complaint_remarks VALUES('5340','4913','SATURDAY KO VISIT HO GAYA HAIN PCB KA ISSUE HAIN CUSTOMER K GHR PA HI ISSUE RESOLVED KARAY GAY','74','2021-03-22 13:08:14','2021-03-22 13:08:14');
INSERT INTO complaint_remarks VALUES('5341','4913','INFORMED BY BILAL MANZOOR&IRFAN FCP','74','2021-03-22 13:21:07','2021-03-22 13:21:07');
INSERT INTO complaint_remarks VALUES('5342','4854','COMPLAINT RESOLVED','74','2021-03-22 13:40:50','2021-03-22 13:40:50');
INSERT INTO complaint_remarks VALUES('5343','4820','HETING TANK KA ISSUE HAIN CUSTOMER NA KHUD SA S/C MOVE KARWANA','74','2021-03-22 15:53:36','2021-03-22 15:53:36');
INSERT INTO complaint_remarks VALUES('5344','4827','SET LHR S/C MOVE HO GEI HAIN','74','2021-03-22 15:54:43','2021-03-22 15:54:43');
INSERT INTO complaint_remarks VALUES('5345','4824','COMPLAINT RESOLVED','74','2021-03-22 15:55:50','2021-03-22 15:55:50');
INSERT INTO complaint_remarks VALUES('5346','4812','REF ABI WORKING KAR RAHA HAIN NEXT KOI ISSUE AAYA THEN INFORMED KARY GAY','74','2021-03-22 16:01:50','2021-03-22 16:01:50');
INSERT INTO complaint_remarks VALUES('5347','4812','AHMED SAB  SA B CUSTOMER KI SAME BAT HOI HAIN','74','2021-03-22 16:06:42','2021-03-22 16:06:42');
INSERT INTO complaint_remarks VALUES('5348','4488','DOOR DEMAND KIYA HAO HAIN PARTS KI WAJA SA DELAY COMPLIANT','74','2021-03-22 16:11:57','2021-03-22 16:11:57');
INSERT INTO complaint_remarks VALUES('5349','4551','COMPRESSOR WARRANTY REPLACE KIYA HAIN','74','2021-03-22 16:13:58','2021-03-22 16:13:58');
INSERT INTO complaint_remarks VALUES('5350','4551','REF S/C SA READY HO K CUSTOMER KO DELIVER HO A HAIN WARRANTY CARD K LIYA CUSTOMER KO AHMED SAB K NO PROVIDE KAR DIA','74','2021-03-22 16:17:05','2021-03-22 16:17:05');
INSERT INTO complaint_remarks VALUES('5351','4809','COMPLAINT RESOLVED','74','2021-03-22 16:26:03','2021-03-22 16:26:03');
INSERT INTO complaint_remarks VALUES('5352','4791','COMPLAINT RESOLVED','74','2021-03-22 16:29:12','2021-03-22 16:29:12');
INSERT INTO complaint_remarks VALUES('5353','4785','S/C VISIT K LIYA REMINDER DA DIA','74','2021-03-22 16:35:52','2021-03-22 16:35:52');
INSERT INTO complaint_remarks VALUES('5354','4911','VISIT TO DAY','74','2021-03-23 11:33:09','2021-03-23 11:33:09');
INSERT INTO complaint_remarks VALUES('5355','4910','TECHNICIAN RAT KO LATE SHOWROOM PA GAY  AGAIN VISIT K LIYA  SHOAIB SAB KO REMINDER DA DIA','74','2021-03-23 11:36:23','2021-03-23 11:36:23');
INSERT INTO complaint_remarks VALUES('5356','4908','COMPLAINT RESOLVED','74','2021-03-23 11:39:43','2021-03-23 11:39:43');
INSERT INTO complaint_remarks VALUES('5357','4902','COMPLAINT RESOLVED','74','2021-03-23 11:41:46','2021-03-23 11:41:46');
INSERT INTO complaint_remarks VALUES('5358','4901','NOT VISIT REMINDER KHURRAM BHAI','74','2021-03-23 11:44:56','2021-03-23 11:44:56');
INSERT INTO complaint_remarks VALUES('5359','4896','NOT VISIT REMINDER KHURRAM BHAI','74','2021-03-23 12:14:17','2021-03-23 12:14:17');
INSERT INTO complaint_remarks VALUES('5360','4895','BURRNING ISSUE 3000 KA EXP TARIQ SAB KO INFORMED KAR DIA 2500 PA AGREE HOAY KAL MUNWAR SAB SA DISCUS KAR K  AZHR SIR S/C  SA PICK KARWANA','74','2021-03-23 12:17:02','2021-03-23 12:17:02');
INSERT INTO complaint_remarks VALUES('5361','4487','COMPLAINT RESOLVED','74','2021-03-23 12:37:13','2021-03-23 12:37:13');
INSERT INTO complaint_remarks VALUES('5362','3677','2 GEYSER K TANK REPLACE HO GAY COMPLAINT RESOLVED','74','2021-03-23 12:50:19','2021-03-23 12:50:19');
INSERT INTO complaint_remarks VALUES('5363','4390','TANK SAJID SIR K GO DOWN NAIN HAIN INFORMED BY KHURRAM BHI','74','2021-03-23 12:52:23','2021-03-23 12:52:23');
INSERT INTO complaint_remarks VALUES('5364','4919','KHURRAM BHAI KO REMINDER DA DIA','74','2021-03-24 11:17:17','2021-03-24 11:17:17');
INSERT INTO complaint_remarks VALUES('5365','4916','VISIT TO DAY CUSTOMER KO VISIT K LIYA CALL AGEI HAIN','74','2021-03-24 11:23:33','2021-03-24 11:23:33');
INSERT INTO complaint_remarks VALUES('5366','4914','COMPLAINT RESOLVED','74','2021-03-24 11:33:33','2021-03-24 11:33:33');
INSERT INTO complaint_remarks VALUES('5367','4662','COMPLAINT CLOSED','74','2021-03-24 11:46:00','2021-03-24 11:46:00');
INSERT INTO complaint_remarks VALUES('5368','4662','COMPLAINT RESOLVED','74','2021-03-24 11:46:10','2021-03-24 11:46:10');
INSERT INTO complaint_remarks VALUES('5369','4724','COMPLAINT RESOLVED','74','2021-03-24 12:04:01','2021-03-24 12:04:01');
INSERT INTO complaint_remarks VALUES('5370','4724','PAY CUSTOMER NA KHUD KIYA','74','2021-03-24 12:04:21','2021-03-24 12:04:21');
INSERT INTO complaint_remarks VALUES('5371','4643','KHURRAM BAHI KO INFORMED KAR DAI HAIN CUSTOMER KO CALL KA ESTIMATE RAHAY HAIN INFORMED BY ZAHID PWD & CUSTOMER','74','2021-03-24 12:07:10','2021-03-24 12:07:10');
INSERT INTO complaint_remarks VALUES('5372','4883','COMPLAINT RESOLVED','74','2021-03-24 12:22:44','2021-03-24 12:22:44');
INSERT INTO complaint_remarks VALUES('5373','4883','COMPLAINT RESOLVED','74','2021-03-24 12:23:12','2021-03-24 12:23:12');
INSERT INTO complaint_remarks VALUES('5374','4885','NAEEM KENWOOD KI CUSTOMER SA BT HO GEI HAIN VISIT TO DAY','74','2021-03-24 12:26:25','2021-03-24 12:26:25');
INSERT INTO complaint_remarks VALUES('5375','4949','CUSTOMER KA NO ON HO GAYA S/C INFORMED KAR DIA','74','2021-03-24 12:54:00','2021-03-24 12:54:00');
INSERT INTO complaint_remarks VALUES('5376','4913','TECHNICIAN AJ PCB S/C LA K AARHAY HAIN CUSTOMER SA BT HO GEI HAIN','74','2021-03-24 13:11:45','2021-03-24 13:11:45');
INSERT INTO complaint_remarks VALUES('5377','4511','C/R MAIN R KOI ISSUE NAI HAIN JUST SHHET BLACK HO RAHI HAIN TECHNICIAN BOL K AAY HAIN JUB JALY GEI TU SHEET BLACK HI HO GEI','74','2021-03-24 13:28:04','2021-03-24 13:28:04');
INSERT INTO complaint_remarks VALUES('5378','4855','AJ KHURRAM SIR S/C MOVE KARWA RAHAY HAIN','74','2021-03-24 13:36:07','2021-03-24 13:36:07');
INSERT INTO complaint_remarks VALUES('5379','4910','COMPLAINT RESOLVED','74','2021-03-24 13:45:23','2021-03-24 13:45:23');
INSERT INTO complaint_remarks VALUES('5380','4912','COMPLAINT RESOLVED','74','2021-03-24 13:47:43','2021-03-24 13:47:43');
INSERT INTO complaint_remarks VALUES('5381','4771','WORKING IN PROCESS','74','2021-03-24 13:54:18','2021-03-24 13:54:18');
INSERT INTO complaint_remarks VALUES('5382','4586','IC BURRNING PROB CUSTOMER KO 18000 KA EXP COMPANY NA INFORMED KAR DIA  BUT CUSTOMER NA REFUSE KAR DI  LOCAL TECHNICIAN SA COMPLAINT ATTEND  KARWAY GAY KAL REF ISB S/C SA CUSTOMER PICK KAR LAY GAY','74','2021-03-24 14:20:38','2021-03-24 14:20:38');
INSERT INTO complaint_remarks VALUES('5383','4929','IN PROCESS COMPLAINT CUSTOMER KO S/C KA NO B PROVIDE KAR DAI','74','2021-03-24 15:12:57','2021-03-24 15:12:57');
INSERT INTO complaint_remarks VALUES('5384','4938','2 BAR COMPLAINT ATTEND HOI HAIN IST VISIT PA VALUE LEAKAGE ISSUE THA VALUE REPLACE KAR K DIA THA AGAIN LEAKAGE KA ISSUE AGAY HAIN','74','2021-03-24 15:21:38','2021-03-24 15:21:38');
INSERT INTO complaint_remarks VALUES('5385','4938','AZAM CORONA NA YHA RANGE REPLACE KAWA DI INFORMED ASLAM SIR ANEEQ &WAQAS FCP','74','2021-03-24 15:22:21','2021-03-24 15:22:21');
INSERT INTO complaint_remarks VALUES('5386','4918','NOT ATTEND CALL','74','2021-03-24 15:28:42','2021-03-24 15:28:42');
INSERT INTO complaint_remarks VALUES('5387','4918','REMINDER KHURRAM BHAI','74','2021-03-24 15:31:34','2021-03-24 15:31:34');
INSERT INTO complaint_remarks VALUES('5388','4958','COMPLAINT CANCEL','92','2021-03-24 16:51:24','2021-03-24 16:51:24');
INSERT INTO complaint_remarks VALUES('5389','4775','PART KI  WAJA SA DELAY COMPLAINT NEXT WEEK TAQ ISSUE RESOLVED HO JAY GA','74','2021-03-24 17:26:11','2021-03-24 17:26:11');
INSERT INTO complaint_remarks VALUES('5390','4885','TECHNICIAN CUSTOMER K GHR PA HAIN SERVANT REF CHEEKED KARWA RAHAY TARIQ SIR KHUD GHR PA AVAIL NAI HAIN','74','2021-03-24 17:52:53','2021-03-24 17:52:53');
INSERT INTO complaint_remarks VALUES('5391','4964','IN PROCESS COMPLAINT','74','2021-03-25 11:45:05','2021-03-25 11:45:05');
INSERT INTO complaint_remarks VALUES('5392','4940','CUSTOMER OUT OFF CITY SHAHDI PA GAY HAIN GHR PA AVAIL NAI HAIN ABI COMPLAINT CUSTOMER NA KHUD CANCEL KARWA DI INFORMED BY BADAL FCI','74','2021-03-25 12:45:46','2021-03-25 12:45:46');
INSERT INTO complaint_remarks VALUES('5393','4819','ELEMENT KHURRAM BHI K PASS AGAY HAIN  ZAHID SAB KO INFORMED KAR DIA HAIN CUSTOMER KO AGREE KARAY LABOUR CHARGES K LIYA FIL TECHNICIAN BAJAY GAY','74','2021-03-25 13:41:25','2021-03-25 13:41:25');
INSERT INTO complaint_remarks VALUES('5394','4923','INVOICE BHAI KO FF KAR DI HAIN','74','2021-03-25 14:32:30','2021-03-25 14:32:30');
INSERT INTO complaint_remarks VALUES('5395','4807','TANK DEMAND','74','2021-03-25 16:51:51','2021-03-25 16:51:51');
INSERT INTO complaint_remarks VALUES('5396','4955','COMPLAINT RESOLVED','74','2021-03-26 11:55:31','2021-03-26 11:55:31');
INSERT INTO complaint_remarks VALUES('5397','4953','COMPLAINT RESOLVED','74','2021-03-26 11:59:33','2021-03-26 11:59:33');
INSERT INTO complaint_remarks VALUES('5398','4952','COMPLAINT RESOLVED','74','2021-03-26 12:03:51','2021-03-26 12:03:51');
INSERT INTO complaint_remarks VALUES('5399','4951','NOT ATTEND CALL','74','2021-03-26 12:06:44','2021-03-26 12:06:44');
INSERT INTO complaint_remarks VALUES('5400','4949','COMPLAINT RESOLVED','74','2021-03-26 12:16:36','2021-03-26 12:16:36');
INSERT INTO complaint_remarks VALUES('5401','4948','COMPLAINT PA AIK VISIT HO GAY HAIN','74','2021-03-26 12:25:47','2021-03-26 12:25:47');
INSERT INTO complaint_remarks VALUES('5402','4948','PARTS AJ LAGA RAHAY HAIN TECHNICIAN CUSTOMER K GHR PA WORKING KAR RAHAY HAIN AJ','74','2021-03-26 12:26:32','2021-03-26 12:26:32');
INSERT INTO complaint_remarks VALUES('5403','4951','COMPLAINT ATTEND HO GEI BUT BUNNER KA ISSUE RESOLVED NAI HOA S/C REMINDER DA DIA','74','2021-03-26 12:28:23','2021-03-26 12:28:23');
INSERT INTO complaint_remarks VALUES('5404','4947','COMPLAINT ATTEND HO GEI HAIN FREEZER S/C WORKING IN PROCESS','74','2021-03-26 12:30:36','2021-03-26 12:30:36');
INSERT INTO complaint_remarks VALUES('5405','4946','COMPLAINT ATTEND HO GEI HAIN KHURRAM BHAI NA CUSTOMER SA BOLA K IC MODEL K PASS ABI AVAIL NAI HAIN','74','2021-03-26 12:35:01','2021-03-26 12:35:01');
INSERT INTO complaint_remarks VALUES('5406','4945','NO VISIT REMINDER KHURRAM BHAI','74','2021-03-26 12:43:45','2021-03-26 12:43:45');
INSERT INTO complaint_remarks VALUES('5407','4941','COMPLAINT RESOLVED','74','2021-03-26 13:10:09','2021-03-26 13:10:09');
INSERT INTO complaint_remarks VALUES('5408','4977','COMPLAINT RESOLVED','74','2021-03-26 14:46:08','2021-03-26 14:46:08');
INSERT INTO complaint_remarks VALUES('5409','4936','COMPLAINT RESOLVED','74','2021-03-26 14:51:24','2021-03-26 14:51:24');
INSERT INTO complaint_remarks VALUES('5410','4935','COMPLAINT RESOLVED','74','2021-03-26 14:55:06','2021-03-26 14:55:06');
INSERT INTO complaint_remarks VALUES('5411','4934','NO VISIT REMINDER S/C','74','2021-03-26 15:10:00','2021-03-26 15:10:00');
INSERT INTO complaint_remarks VALUES('5412','4785','CUSTOMER KI TECHNICIAN SA TIMING ADJUST NAI HO RAHI THI AJ AMAN ULLAH SIR VISIT KAR RAHAY HAIN  INFORMED BY CUSTOMER','74','2021-03-26 15:30:51','2021-03-26 15:30:51');
INSERT INTO complaint_remarks VALUES('5413','4864','W/M CUSTOMER K GHR DILVER HO GEI HAIN KAL LG S/C WALAY INSTALL KARWA DAY GAY INFORMED BY IKLAQ SAB KHURRAM SIR & CUSTOMER','74','2021-03-26 15:31:52','2021-03-26 15:31:52');
INSERT INTO complaint_remarks VALUES('5414','4931','COMPLAINT RESOLVED','74','2021-03-26 15:33:30','2021-03-26 15:33:30');
INSERT INTO complaint_remarks VALUES('5415','4930','COMPLAINT RESOLVED','74','2021-03-26 15:35:18','2021-03-26 15:35:18');
INSERT INTO complaint_remarks VALUES('5416','4932','NOT ATTEND CALL','74','2021-03-26 15:38:53','2021-03-26 15:38:53');
INSERT INTO complaint_remarks VALUES('5417','4889','COMPLAINT RESOLVED','74','2021-03-26 15:50:21','2021-03-26 15:50:21');
INSERT INTO complaint_remarks VALUES('5418','4922','COMPLAINT RESOLVED','74','2021-03-26 15:53:04','2021-03-26 15:53:04');
INSERT INTO complaint_remarks VALUES('5419','4929','COMPLAINT ATTEND HO GEI HAIN W/D MAIN KOI PROB NI ABDUL SAB NA ATTEND KI THI COMPLIANT','74','2021-03-26 16:20:09','2021-03-26 16:20:09');
INSERT INTO complaint_remarks VALUES('5420','4921','COMPLAINT ATTEND HO GEI HAIN REF TO S/C COMPRESSOR KA ISSUE','74','2021-03-26 16:23:57','2021-03-26 16:23:57');
INSERT INTO complaint_remarks VALUES('5421','4920','COMPLAINT RESOLVED','74','2021-03-26 16:28:51','2021-03-26 16:28:51');
INSERT INTO complaint_remarks VALUES('5422','4916','COMPLAINT RESOLVED','74','2021-03-26 16:31:46','2021-03-26 16:31:46');
INSERT INTO complaint_remarks VALUES('5423','4820','CUSTOMER ABI OUT OFF CITY HAIN WAPISE AA K S/C MOVE KARWAY GAY W/D CUSTOMER SIDE SA DELAY COMPLAINT','74','2021-03-26 17:00:05','2021-03-26 17:00:05');
INSERT INTO complaint_remarks VALUES('5424','4786','COMPLAINT RESOLVED','74','2021-03-26 17:03:47','2021-03-26 17:03:47');
INSERT INTO complaint_remarks VALUES('5425','4772','COMPLAINT 2 BAR ATTEND HO GEI HAIN SPEAKER KA ISSUE  THA LHR S/C MAIN CUSTOMER NA KHUD PICK KARNAI','74','2021-03-26 17:25:14','2021-03-26 17:25:14');
INSERT INTO complaint_remarks VALUES('5426','4976','VISIT TO DAY','74','2021-03-27 11:22:42','2021-03-27 11:22:42');
INSERT INTO complaint_remarks VALUES('5427','4974','ASIF SAB KO REMINDER DA DIA HAIN','74','2021-03-27 11:31:43','2021-03-27 11:31:43');
INSERT INTO complaint_remarks VALUES('5428','4971','COMPLAINT RESOLVED','74','2021-03-27 11:56:49','2021-03-27 11:56:49');
INSERT INTO complaint_remarks VALUES('5429','4966','COMPLAINT RESOLVED','74','2021-03-27 12:08:25','2021-03-27 12:08:25');
INSERT INTO complaint_remarks VALUES('5430','4963','COMPLAINT ATTEND HO GEI HAIN  PARTS DEMAND KIYA HOA HAIN','74','2021-03-27 12:11:04','2021-03-27 12:11:04');
INSERT INTO complaint_remarks VALUES('5431','4962','COMPLAINT RESOLVED','74','2021-03-27 12:12:01','2021-03-27 12:12:01');
INSERT INTO complaint_remarks VALUES('5432','4961','COMPLAINT RESOLVED','74','2021-03-27 12:14:55','2021-03-27 12:14:55');
INSERT INTO complaint_remarks VALUES('5433','4960','NO VISIT','74','2021-03-27 12:20:06','2021-03-27 12:20:06');
INSERT INTO complaint_remarks VALUES('5434','4959','COMPLAINT RESOLVED','74','2021-03-27 12:22:25','2021-03-27 12:22:25');
INSERT INTO complaint_remarks VALUES('5435','4957','COMPLAINT RESOLVED','74','2021-03-27 12:28:59','2021-03-27 12:28:59');
INSERT INTO complaint_remarks VALUES('5436','4948','COMPLAINT RESOLVED','74','2021-03-27 12:32:18','2021-03-27 12:32:18');
INSERT INTO complaint_remarks VALUES('5437','4785','COMPLAINT RESOLVED','74','2021-03-27 12:53:07','2021-03-27 12:53:07');
INSERT INTO complaint_remarks VALUES('5438','4729','CUSTOMER STILL NOT ATTEND MY CALL SO COMPLAINT CLOSED','74','2021-03-27 13:12:09','2021-03-27 13:12:09');
INSERT INTO complaint_remarks VALUES('5439','5000','TECHNICIAN KO ADD MAIN CONFESSION HO RAHI THI AJ AGAIN VISIT HAIN','74','2021-03-29 11:24:03','2021-03-29 11:24:03');
INSERT INTO complaint_remarks VALUES('5440','5000','VISIT TO DAY INFORMED BY CUSTOMER','74','2021-03-29 11:24:26','2021-03-29 11:24:26');
INSERT INTO complaint_remarks VALUES('5441','4999','COMPLAINT RESOLVED','74','2021-03-29 11:26:45','2021-03-29 11:26:45');
INSERT INTO complaint_remarks VALUES('5442','4998','D.O.P 14-JULY-2020','74','2021-03-29 11:41:30','2021-03-29 11:41:30');
INSERT INTO complaint_remarks VALUES('5443','4998','REF TO S/C UNIT S/C WALO NA PIC KARNA HAIN','74','2021-03-29 11:42:29','2021-03-29 11:42:29');
INSERT INTO complaint_remarks VALUES('5444','4997','COMPLAINT RESOLVED','74','2021-03-29 11:47:16','2021-03-29 11:47:16');
INSERT INTO complaint_remarks VALUES('5445','4995','COMPLAINT RESOLVED','74','2021-03-29 11:50:35','2021-03-29 11:50:35');
INSERT INTO complaint_remarks VALUES('5446','4993','NOT ATTEND CALL','74','2021-03-29 12:02:07','2021-03-29 12:02:07');
INSERT INTO complaint_remarks VALUES('5447','4390','NEW TANK LAG DIA HAIN  GEYSER PICK KARNAY K LIYA CUSTOMER KO INFORMED KAR DIA','74','2021-03-29 12:06:14','2021-03-29 12:06:14');
INSERT INTO complaint_remarks VALUES('5448','4991','COMPLAINT RESOLVED','74','2021-03-29 12:06:47','2021-03-29 12:06:47');
INSERT INTO complaint_remarks VALUES('5449','4990','HANG ISSUE COMPLAINT RESOLVED','74','2021-03-29 12:10:40','2021-03-29 12:10:40');
INSERT INTO complaint_remarks VALUES('5450','4987','COMPLAINT RESOLVED','74','2021-03-29 12:29:40','2021-03-29 12:29:40');
INSERT INTO complaint_remarks VALUES('5451','4988','NO VISIT S/C REMINDER','74','2021-03-29 12:33:18','2021-03-29 12:33:18');
INSERT INTO complaint_remarks VALUES('5452','4984','COMPLAINT RESOLVED','74','2021-03-29 12:34:22','2021-03-29 12:34:22');
INSERT INTO complaint_remarks VALUES('5453','4982','LHR SA TECHNICIAN AATAY HAIN 2 SA 3 DIN LAGAY GAY  INFORMED BY CUSTOMER','74','2021-03-29 12:39:55','2021-03-29 12:39:55');
INSERT INTO complaint_remarks VALUES('5454','4981','COMPLAINT RESOLVED','74','2021-03-29 12:42:07','2021-03-29 12:42:07');
INSERT INTO complaint_remarks VALUES('5455','4986','COMPLAINT ATTEND HO GEI HAIN TANK DEMAND KIYA HAO HAIN','74','2021-03-29 12:50:58','2021-03-29 12:50:58');
INSERT INTO complaint_remarks VALUES('5456','4985','NO VISIT CUSTOMER KO KHURRAM 5 STAR KA NO WHATSAPP KAR DIA','74','2021-03-29 12:54:19','2021-03-29 12:54:19');
INSERT INTO complaint_remarks VALUES('5457','4980','COMPLAINT ATTEND HO GEI COMPANY S/C LA K GEI HAIN AJ W/D','74','2021-03-29 12:58:12','2021-03-29 12:58:12');
INSERT INTO complaint_remarks VALUES('5458','4680','PART K LIYA INVOICE ANEEQ KO SHER KAR DI','74','2021-03-29 12:59:58','2021-03-29 12:59:58');
INSERT INTO complaint_remarks VALUES('5459','4976','COMPLAINT RESOLVED','74','2021-03-29 13:03:07','2021-03-29 13:03:07');
INSERT INTO complaint_remarks VALUES('5460','4888','KHALID SAB KI CUSTOMER SA BAT HO GEI HAIN KAL CUSTOMER KHUD S/C MOVE LA K JAY GAY SET','74','2021-03-29 13:34:22','2021-03-29 13:34:22');
INSERT INTO complaint_remarks VALUES('5461','4974','COMPLAINT RESOLVED','74','2021-03-29 13:48:41','2021-03-29 13:48:41');
INSERT INTO complaint_remarks VALUES('5462','4985','VISIT TO DAY INFORMED BY CUSTOMER&TARIQ FCI','74','2021-03-29 14:15:11','2021-03-29 14:15:11');
INSERT INTO complaint_remarks VALUES('5463','4964','REF S/C WORKING IN PROCESS INFORMED BY CUSTOMER','74','2021-03-29 14:22:26','2021-03-29 14:22:26');
INSERT INTO complaint_remarks VALUES('5464','4989','COMPLAINT ATTEND HO GEI HAIN BUST CUSTOMER SATISFIED NAI HAIN INFORMED BY KHURRAM SIR','74','2021-03-29 16:22:41','2021-03-29 16:22:41');
INSERT INTO complaint_remarks VALUES('5465','4885','CUSTOMER CALL ATTEND NI KAR RAHAY NAEEM KNEWOOD SA CONFIRM KAR COMPLAINT CLOSED','74','2021-03-29 16:46:26','2021-03-29 16:46:26');
INSERT INTO complaint_remarks VALUES('5466','5005','COMPLAINT RESOLVED','74','2021-03-30 11:36:58','2021-03-30 11:36:58');
INSERT INTO complaint_remarks VALUES('5467','5004','COMPLAINT RESOLVED','74','2021-03-30 11:37:51','2021-03-30 11:37:51');
INSERT INTO complaint_remarks VALUES('5468','5002','COMPLAINT RESOLVED','74','2021-03-30 11:40:26','2021-03-30 11:40:26');
INSERT INTO complaint_remarks VALUES('5469','5001','CUSTOMER NA CHANGE KARWA LIYA','74','2021-03-30 11:42:11','2021-03-30 11:42:11');
INSERT INTO complaint_remarks VALUES('5470','5000','PARTY LIFTING CASE','74','2021-03-30 11:51:11','2021-03-30 11:51:11');
INSERT INTO complaint_remarks VALUES('5471','4996','VISIT TO DAY','74','2021-03-30 11:52:51','2021-03-30 11:52:51');
INSERT INTO complaint_remarks VALUES('5472','4993','CUSTOMER STILL NOT ATTEND MY CALL CANNON S/C SA CONFIRM KAR K COMPLAINT CLOSED KI COMPLAINT RESOLVED','74','2021-03-30 12:07:22','2021-03-30 12:07:22');
INSERT INTO complaint_remarks VALUES('5473','4988','CUSUTOMER AJ GHR PA AVAIL NAI KAL KA TIME DIA','74','2021-03-30 12:12:13','2021-03-30 12:12:13');
INSERT INTO complaint_remarks VALUES('5474','4942','USMAN DAWLANCE NA NOB PWD BAJWA DI COMPLAINT RESOLVED','74','2021-03-30 12:15:18','2021-03-30 12:15:18');
INSERT INTO complaint_remarks VALUES('5475','4939','VISIT TO DAY','74','2021-03-30 12:27:45','2021-03-30 12:27:45');
INSERT INTO complaint_remarks VALUES('5476','4921','COMPLAINT ATTEND HO GEI HAIN PARTY LIFTING CASE HAIN','74','2021-03-30 12:34:02','2021-03-30 12:34:02');
INSERT INTO complaint_remarks VALUES('5477','4985','CUSTOMER CALL ATTEND  NAI  KAR RAHY KHURRAM  BHAI KI','74','2021-03-30 12:37:58','2021-03-30 12:37:58');
INSERT INTO complaint_remarks VALUES('5478','4934','VISIT TO DAY INFORMED BY CUSTOMER','74','2021-03-30 12:38:18','2021-03-30 12:38:18');
INSERT INTO complaint_remarks VALUES('5479','4932','CUSTOMER CALL ATTEND NAI KAR RAHY THY IC WAJA SA COMPLAINT DELAY','74','2021-03-30 12:41:06','2021-03-30 12:41:06');
INSERT INTO complaint_remarks VALUES('5480','4859','CUSTOMER STILL NOT ATTEND CALL','74','2021-03-30 12:53:01','2021-03-30 12:53:01');
INSERT INTO complaint_remarks VALUES('5481','4973','NOT ATTEND CALL','74','2021-03-30 12:53:18','2021-03-30 12:53:18');
INSERT INTO complaint_remarks VALUES('5482','5048','RESET  KARNAY SA ISSUE RESOLVED HO GAYA HAIN COMPLAINT CUSTOMER NA CANCEL KARWA DI HAIN INFORMED BY SHAHZAD SAB','74','2021-03-30 13:25:35','2021-03-30 13:25:35');
INSERT INTO complaint_remarks VALUES('5483','4947','COMPLAINT RESOLVED','74','2021-03-30 13:35:46','2021-03-30 13:35:46');
INSERT INTO complaint_remarks VALUES('5484','4963','AHMED SAB K PASS BOARD AAGAY HAIN CUSTOMER SIDE SA CALL ATTEND NAI HO RAHI','74','2021-03-30 13:39:43','2021-03-30 13:39:43');
INSERT INTO complaint_remarks VALUES('5485','4820','PARTY LIFTING CASE HAIN CUSTOMER SIDE SA DEALY COMPLAINT','74','2021-03-30 13:48:16','2021-03-30 13:48:16');
INSERT INTO complaint_remarks VALUES('5486','4772','COMPLAINT RESOLVED SPKER CHANGE KAR K DIYA AWAIS SAB NA','74','2021-03-30 14:10:41','2021-03-30 14:10:41');
INSERT INTO complaint_remarks VALUES('5487','4137','0348 WALAY NO PA CUSTOMER SA BT HOI COMPANY SIDE SA REF REPLACE HO GAYA COMPLIANT RESOLVED','74','2021-03-30 14:16:18','2021-03-30 14:16:18');
INSERT INTO complaint_remarks VALUES('5488','4886','PARTY LIFTING CASE HAIN','74','2021-03-30 14:18:56','2021-03-30 14:18:56');
INSERT INTO complaint_remarks VALUES('5489','4390','GEYSER CUSTOMER NA FHHS SA  PIC KARWA LIYA COMPLAINT RESOLVED','74','2021-03-30 14:27:13','2021-03-30 14:27:13');
INSERT INTO complaint_remarks VALUES('5490','4696','PARTY TINGLING CASE HAIN AJ AGAIN CUSTOMER KO AWAIS SAB KO NO PROVIDE KAR DIA','74','2021-03-30 14:43:42','2021-03-30 14:43:42');
INSERT INTO complaint_remarks VALUES('5491','4951','2 BAR COMPLAINT ATTEND KARWA DI HAIN  CUSTOMER SATISFIED NAI HO RAHAY  CUSTOMER KO MUNWAR SAB KA NO PROVIDE KAR DIA','74','2021-03-30 15:02:11','2021-03-30 15:02:11');
INSERT INTO complaint_remarks VALUES('5492','5040','IN PROCESS COMPLAINT NAEEM KENWOOD ATTEND KRAWA RAHAY','74','2021-03-30 15:03:20','2021-03-30 15:03:20');
INSERT INTO complaint_remarks VALUES('5493','4932','CUSTOMER KO KHURRAM SIR KA NO B PROVIDE KAR DAI','74','2021-03-30 15:14:31','2021-03-30 15:14:31');
INSERT INTO complaint_remarks VALUES('5494','4314','THARMOSTATE COVER AGAY HAIN KAL KHURRAM BHAI LGA DAY GAY','74','2021-03-30 15:19:13','2021-03-30 15:19:13');
INSERT INTO complaint_remarks VALUES('5495','5052','COMPLAINT NO 301104396','92','2021-03-30 15:26:32','2021-03-30 15:26:32');
INSERT INTO complaint_remarks VALUES('5496','5060','COMPLAINT NO 301104398','92','2021-03-30 15:27:43','2021-03-30 15:27:43');
INSERT INTO complaint_remarks VALUES('5497','4945','COMPANY SIDE SA APPROVAL AAGEI HAIN MAX HOB REPLACEMENT KI INFORMED BY ADIL FHSS &CUSTOMER','74','2021-03-30 15:53:59','2021-03-30 15:53:59');
INSERT INTO complaint_remarks VALUES('5498','5040','VISIT TO DAY UMER TECHNICIAN NA ATTEND KARNI COMPLAINT','74','2021-04-01 11:01:34','2021-04-01 11:01:34');
INSERT INTO complaint_remarks VALUES('5499','5045','CUSTOMER NS KHUD COMPLAINT ABI DELAY KARWA DI VISIT CANCEL COMPLAINT CLOSED','74','2021-04-01 11:03:14','2021-04-01 11:03:14');
INSERT INTO complaint_remarks VALUES('5500','5042','COMPLAINT RESOLVED','74','2021-04-01 11:13:53','2021-04-01 11:13:53');
INSERT INTO complaint_remarks VALUES('5501','5039','COMPLAINT RESOLVED','74','2021-04-01 11:17:05','2021-04-01 11:17:05');
INSERT INTO complaint_remarks VALUES('5502','5034','COMPLIANT ATTEND HO GEI HAIN  AJ REMOTE LA K JA RAHAY HAIN S/C WALY','74','2021-04-01 11:35:07','2021-04-01 11:35:07');
INSERT INTO complaint_remarks VALUES('5503','5033','COMPLAINT RESOLVED','74','2021-04-01 11:37:30','2021-04-01 11:37:30');
INSERT INTO complaint_remarks VALUES('5504','5032','COMPLAINT RESOLVED','74','2021-04-01 11:52:53','2021-04-01 11:52:53');
INSERT INTO complaint_remarks VALUES('5505','5037','CUSTOMER BUSY HAIN CALL BACK KARAY GEI','74','2021-04-01 12:05:13','2021-04-01 12:05:13');
INSERT INTO complaint_remarks VALUES('5506','5031','PARTS LA K GAY HOAY HAIN S/C','74','2021-04-01 12:29:27','2021-04-01 12:29:27');
INSERT INTO complaint_remarks VALUES('5507','5029','COMPLAINT RESOLVED','74','2021-04-01 12:31:01','2021-04-01 12:31:01');
INSERT INTO complaint_remarks VALUES('5508','5028','COMPLAINT RESOLVED','74','2021-04-01 12:36:22','2021-04-01 12:36:22');
INSERT INTO complaint_remarks VALUES('5509','5024','VISIT TO DAY UMER TECHNICIAN AJ ATTEND KARAY GAY INFORMED BY CUSTOMER','74','2021-04-01 12:48:58','2021-04-01 12:48:58');
INSERT INTO complaint_remarks VALUES('5510','5022','NO VISIT REMINDER KHURRAM BHAI','74','2021-04-01 12:53:00','2021-04-01 12:53:00');
INSERT INTO complaint_remarks VALUES('5511','5019','PARTY LIFTING CASE','74','2021-04-01 12:55:34','2021-04-01 12:55:34');
INSERT INTO complaint_remarks VALUES('5512','5018','AMEEN SAB SA BAT HOI HAIN VISIT TO DAY','74','2021-04-01 13:03:38','2021-04-01 13:03:38');
INSERT INTO complaint_remarks VALUES('5513','5016','COMPLAINT RESOLVED','74','2021-04-01 13:05:52','2021-04-01 13:05:52');
INSERT INTO complaint_remarks VALUES('5514','5044','NO VISIT TAHIR SIR KO ON CALL REMINDER','74','2021-04-01 13:26:55','2021-04-01 13:26:55');
INSERT INTO complaint_remarks VALUES('5515','5015','COMPLAINT RESOLVED','74','2021-04-01 13:30:14','2021-04-01 13:30:14');
INSERT INTO complaint_remarks VALUES('5516','5014','COMPLAINT RESOLVED','74','2021-04-01 13:32:49','2021-04-01 13:32:49');
INSERT INTO complaint_remarks VALUES('5517','5013','COMPLAINT RESOLVED','74','2021-04-01 13:34:37','2021-04-01 13:34:37');
INSERT INTO complaint_remarks VALUES('5518','5013','SET RESET KIYA ISSUE RESOLVED','74','2021-04-01 13:35:08','2021-04-01 13:35:08');
INSERT INTO complaint_remarks VALUES('5519','5011','COMPLAINT RESOLVED','74','2021-04-01 13:38:03','2021-04-01 13:38:03');
INSERT INTO complaint_remarks VALUES('5520','5010','not attend call','74','2021-04-01 14:08:11','2021-04-01 14:08:11');
INSERT INTO complaint_remarks VALUES('5521','5000','MONDAY KO CUSTOMER KHUD S/C MOVE KARWAY GAY','74','2021-04-01 14:12:13','2021-04-01 14:12:13');
INSERT INTO complaint_remarks VALUES('5522','4998','REF S/C SA READY HO CUSTOMER KO DILVER HO GAYA HAIN','74','2021-04-01 14:22:30','2021-04-01 14:22:30');
INSERT INTO complaint_remarks VALUES('5523','4998','REF CHOKING PROB','74','2021-04-01 14:26:41','2021-04-01 14:26:41');
INSERT INTO complaint_remarks VALUES('5524','4998','COMPLAINT RESOLVED','74','2021-04-01 14:27:20','2021-04-01 14:27:20');
INSERT INTO complaint_remarks VALUES('5525','4996','COMPLAINT RESOLVED','74','2021-04-01 14:37:57','2021-04-01 14:37:57');
INSERT INTO complaint_remarks VALUES('5526','4980','S/C WORKING IN PROCESS','74','2021-04-01 15:11:07','2021-04-01 15:11:07');
INSERT INTO complaint_remarks VALUES('5527','4939','COMPLAINT ATTEND HO GEI HAIN AJ AGAIN VISIT','74','2021-04-01 15:39:42','2021-04-01 15:39:42');
INSERT INTO complaint_remarks VALUES('5528','4934','COMPLAINT RESOLVED','74','2021-04-01 15:41:48','2021-04-01 15:41:48');
INSERT INTO complaint_remarks VALUES('5529','4985','CUSTOMER STILL NOT ATTEND MY CALL','74','2021-04-01 15:48:52','2021-04-01 15:48:52');
INSERT INTO complaint_remarks VALUES('5530','4918','REMINDER DA DIA','74','2021-04-01 16:37:43','2021-04-01 16:37:43');
INSERT INTO complaint_remarks VALUES('5531','5061','COMPLAINT RESOLVED','74','2021-04-02 11:43:43','2021-04-02 11:43:43');
INSERT INTO complaint_remarks VALUES('5532','5064','COMPLAINT RESOLVED','74','2021-04-02 11:45:51','2021-04-02 11:45:51');
INSERT INTO complaint_remarks VALUES('5533','4988','CUSTOMER ABI GHR KI SHIFTING MAIN BUSY HAIN  IC WAJA SA COMPLAINT ABI DELAY KARWAI HAIN CUSTOMER BA','74','2021-04-02 12:00:40','2021-04-02 12:00:40');
INSERT INTO complaint_remarks VALUES('5534','4988','INFORMED BY ADIL FHHS','74','2021-04-02 12:00:59','2021-04-02 12:00:59');
INSERT INTO complaint_remarks VALUES('5535','5074','VISIT TO DAY INFORMED BY CUSTOMER& SADDIQ SAB','74','2021-04-02 12:04:27','2021-04-02 12:04:27');
INSERT INTO complaint_remarks VALUES('5536','5057','COMPLAINT ATTEND HO RAHI HAIN REF TO S/C CUSTOMER KO MUNWAR SIR K NO B PROVIDE KAR DIA BODY HEATING PROB','74','2021-04-02 12:08:21','2021-04-02 12:08:21');
INSERT INTO complaint_remarks VALUES('5537','5056','COMPLAINT RESOLVED','74','2021-04-02 12:11:16','2021-04-02 12:11:16');
INSERT INTO complaint_remarks VALUES('5538','5055','COMPLAINT CLOSED','74','2021-04-02 12:14:20','2021-04-02 12:14:20');
INSERT INTO complaint_remarks VALUES('5539','5049','COMPLAINT RESOLVED','74','2021-04-02 12:15:56','2021-04-02 12:15:56');
INSERT INTO complaint_remarks VALUES('5540','5047','COMPLAINT RESOLVED','74','2021-04-02 12:18:32','2021-04-02 12:18:32');
INSERT INTO complaint_remarks VALUES('5541','5046','COMPLAINT ATTEND HO GEI HAIN TANK DEMAND KIYA HOA HAIN KHURRAM BAHI NA','74','2021-04-02 12:22:42','2021-04-02 12:22:42');
INSERT INTO complaint_remarks VALUES('5542','5040','COMPLAINT ATTEND HO GEI HAIN PART ODER KIYA HAIN','74','2021-04-02 12:32:03','2021-04-02 12:32:03');
INSERT INTO complaint_remarks VALUES('5543','5118','03008550938','74','2021-04-02 16:10:36','2021-04-02 16:10:36');
INSERT INTO complaint_remarks VALUES('5544','5074','COMPRESSOR BOARD ISSUE ABDUL REHMAN  KO INVOICE B SHER KAR DI','74','2021-04-02 16:43:14','2021-04-02 16:43:14');
INSERT INTO complaint_remarks VALUES('5545','5108','COMPLAINT ATTEND HO GEI HAIN  PCB BOARD KA ISSUE  DEMAND','74','2021-04-02 17:05:50','2021-04-02 17:05:50');
INSERT INTO complaint_remarks VALUES('5546','5074','CUSTOMER  KO BACK UP FRIDGE DA  RAHAY HAIN','74','2021-04-02 17:06:45','2021-04-02 17:06:45');
INSERT INTO complaint_remarks VALUES('5547','4691','TANK DEMAND KIYA HOA HAIN YAWAR SAB KO REMINDER DA DIA','74','2021-04-03 12:00:26','2021-04-03 12:00:26');
INSERT INTO complaint_remarks VALUES('5548','4807','ABI TAQ TYANK NI AAYA YAWAR SAB KO REMINDER DA DIA','74','2021-04-03 12:00:53','2021-04-03 12:00:53');
INSERT INTO complaint_remarks VALUES('5549','4986','TANK K LIYA YAWAR SAB KO REMINDER DA DIA','74','2021-04-03 12:07:23','2021-04-03 12:07:23');
INSERT INTO complaint_remarks VALUES('5550','5088','COMPLAINT RESOLVED','74','2021-04-03 12:10:49','2021-04-03 12:10:49');
INSERT INTO complaint_remarks VALUES('5551','5086','COMPLAINT RESOLVED','74','2021-04-03 12:19:50','2021-04-03 12:19:50');
INSERT INTO complaint_remarks VALUES('5552','5085','COMPLAINT RESOLVED','74','2021-04-03 12:34:16','2021-04-03 12:34:16');
INSERT INTO complaint_remarks VALUES('5553','5084','COMPLAINT RESOLVED','74','2021-04-03 12:35:55','2021-04-03 12:35:55');
INSERT INTO complaint_remarks VALUES('5554','5094','NOT ATTEND CALL','74','2021-04-03 12:37:48','2021-04-03 12:37:48');
INSERT INTO complaint_remarks VALUES('5555','5097','ABI ATTEND NAI HOI REMINDER DA DIA','74','2021-04-03 12:45:21','2021-04-03 12:45:21');
INSERT INTO complaint_remarks VALUES('5556','5083','COMPLAINT RESOLVED','74','2021-04-03 12:51:25','2021-04-03 12:51:25');
INSERT INTO complaint_remarks VALUES('5557','5023','COMPLAINT ATTEND HO GEI HAIN MINER SA LEAKAGE ISSUE AARHA 3 4 DIN TAQ CHEEK KAR K AGAIN FOLLOW UP LAYNA','74','2021-04-03 12:54:11','2021-04-03 12:54:11');
INSERT INTO complaint_remarks VALUES('5558','5079','OUT DOOR REPLACE KI APPROVAL ANEEQ NA KARWA K DI HAIN SAIF KO INFORMED KAR DIA HAIN','74','2021-04-03 12:56:14','2021-04-03 12:56:14');
INSERT INTO complaint_remarks VALUES('5559','5079','NOT ATTEND CALL','74','2021-04-03 12:56:22','2021-04-03 12:56:22');
INSERT INTO complaint_remarks VALUES('5560','5075','VISIT TO DAY TECHNICIAN NA CALL KAR DI','74','2021-04-03 13:03:25','2021-04-03 13:03:25');
INSERT INTO complaint_remarks VALUES('5561','5077','COMPLAINT ATTEND HO GEI HAIN PANAL  REPLACE HO GA','74','2021-04-03 13:05:03','2021-04-03 13:05:03');
INSERT INTO complaint_remarks VALUES('5562','5073','NO  VISIT','74','2021-04-03 13:05:14','2021-04-03 13:05:14');
INSERT INTO complaint_remarks VALUES('5563','5073','REMINDER KHURRAM BHAI  KO','74','2021-04-03 13:06:31','2021-04-03 13:06:31');
INSERT INTO complaint_remarks VALUES('5564','5072','COMPLAINT ATTEND HO GEI HAIN MONDAY KO S/C WALAY PICK KARWAY GAY','74','2021-04-03 13:07:20','2021-04-03 13:07:20');
INSERT INTO complaint_remarks VALUES('5565','5069','NOT ATTEND CALL','74','2021-04-03 13:12:15','2021-04-03 13:12:15');
INSERT INTO complaint_remarks VALUES('5566','4734','COMPLAINT RESOLVED','74','2021-04-03 13:15:48','2021-04-03 13:15:48');
INSERT INTO complaint_remarks VALUES('5567','5069','COMPLAINT RESOLVED OTHER BOARD MAIN PLUG LAGAY NO ISSUE','74','2021-04-03 13:23:26','2021-04-03 13:23:26');
INSERT INTO complaint_remarks VALUES('5568','5058','COMPLAINT RESOLVED','74','2021-04-03 13:26:29','2021-04-03 13:26:29');
INSERT INTO complaint_remarks VALUES('5569','4775','PART LAG GAYA HAY COMPLAINT RESOLVED','92','2021-04-03 13:28:27','2021-04-03 13:28:27');
INSERT INTO complaint_remarks VALUES('5570','4921','CUSTOMER NOT ATTEND CALL','92','2021-04-03 13:33:56','2021-04-03 13:33:56');
INSERT INTO complaint_remarks VALUES('5571','4938','CUSTOMER KI RANGE WAQAS FCP SIR K PASS AY GAE HAY INFORMED BY ANEEQ  COMPLAINT RESOLVED','92','2021-04-03 13:45:45','2021-04-03 13:45:45');
INSERT INTO complaint_remarks VALUES('5572','5077','PANEL AAGAY HAIN','74','2021-04-03 13:46:31','2021-04-03 13:46:31');
INSERT INTO complaint_remarks VALUES('5573','4960','NO VISIT TO COMPLAINT','92','2021-04-03 13:50:41','2021-04-03 13:50:41');
INSERT INTO complaint_remarks VALUES('5574','4963','COMPLAINT RESOLVED','92','2021-04-03 13:52:21','2021-04-03 13:52:21');
INSERT INTO complaint_remarks VALUES('5575','5117','COMPLAINT RESOLVED','92','2021-04-04 11:46:01','2021-04-04 11:46:01');
INSERT INTO complaint_remarks VALUES('5576','5117','COMPLAINT RESOLVED','92','2021-04-04 11:46:26','2021-04-04 11:46:26');
INSERT INTO complaint_remarks VALUES('5577','5117','COMPLAINT COMPLETED','92','2021-04-04 11:47:46','2021-04-04 11:47:46');
INSERT INTO complaint_remarks VALUES('5578','5112','COMPLAINT RESOLVED','92','2021-04-04 12:13:18','2021-04-04 12:13:18');
INSERT INTO complaint_remarks VALUES('5579','5111','COMPLAINT RESOLVED','92','2021-04-04 12:25:03','2021-04-04 12:25:03');
INSERT INTO complaint_remarks VALUES('5580','5105','COMPLAINT RESOLVED','92','2021-04-04 12:30:54','2021-04-04 12:30:54');
INSERT INTO complaint_remarks VALUES('5581','5107','COMPLAINT RESOLVED','92','2021-04-04 12:32:30','2021-04-04 12:32:30');
INSERT INTO complaint_remarks VALUES('5582','5104','UNIT IN SERVICE CENTER IN PROCESS COMPLAINT','92','2021-04-04 12:34:48','2021-04-04 12:34:48');
INSERT INTO complaint_remarks VALUES('5583','5103','COMPLAINT RESOLVED','92','2021-04-04 12:36:10','2021-04-04 12:36:10');
INSERT INTO complaint_remarks VALUES('5584','5075','COMPLAINT RESOLVED','92','2021-04-04 12:43:06','2021-04-04 12:43:06');
INSERT INTO complaint_remarks VALUES('5585','5010','COMPLAINT RESOLVED','92','2021-04-04 13:00:21','2021-04-04 13:00:21');
INSERT INTO complaint_remarks VALUES('5586','5122','COMPLAINT RESOLVED','92','2021-04-04 13:04:17','2021-04-04 13:04:17');
INSERT INTO complaint_remarks VALUES('5587','5024','NOT ATTEND CALL','92','2021-04-04 13:07:22','2021-04-04 13:07:22');
INSERT INTO complaint_remarks VALUES('5588','5135','COMPLAINT NO 192121495','92','2021-04-04 15:02:12','2021-04-04 15:02:12');
INSERT INTO complaint_remarks VALUES('5589','5121','VISIT TO DAY','74','2021-04-05 11:37:55','2021-04-05 11:37:55');
INSERT INTO complaint_remarks VALUES('5590','5120','COMPLAINT RESOLVED','74','2021-04-05 11:39:24','2021-04-05 11:39:24');
INSERT INTO complaint_remarks VALUES('5591','5116','NOT ATTEND CALL','74','2021-04-05 11:42:49','2021-04-05 11:42:49');
INSERT INTO complaint_remarks VALUES('5592','5108','INVERTER BOARD DEMAND GAYA HAIN','74','2021-04-05 11:56:07','2021-04-05 11:56:07');
INSERT INTO complaint_remarks VALUES('5593','5104','W/M S/C MAIN READY HO GEI HAIN CUSTOMER KO INFORMED KAR DIA W/M PICK KAR LAY','74','2021-04-05 11:58:42','2021-04-05 11:58:42');
INSERT INTO complaint_remarks VALUES('5594','5102','NO VISIT','74','2021-04-05 12:00:36','2021-04-05 12:00:36');
INSERT INTO complaint_remarks VALUES('5595','5095','COMPLAINT RESOLVED','74','2021-04-05 12:02:22','2021-04-05 12:02:22');
INSERT INTO complaint_remarks VALUES('5596','5094','COMPLAINT RESOLVED','74','2021-04-05 12:06:00','2021-04-05 12:06:00');
INSERT INTO complaint_remarks VALUES('5597','5077','VISIT TO DAY INFORMED BY CUSTOMER','74','2021-04-05 12:13:18','2021-04-05 12:13:18');
INSERT INTO complaint_remarks VALUES('5598','5024','COMPLAINT RESOLVED','74','2021-04-05 12:15:06','2021-04-05 12:15:06');
INSERT INTO complaint_remarks VALUES('5599','5019','S/C WORKING IN PROCESS','74','2021-04-05 12:25:43','2021-04-05 12:25:43');
INSERT INTO complaint_remarks VALUES('5600','4980','COMPLAINT RESOLVED
SETTING K LIYA AHMED SIR K NO PROVIDE KAR DIA','74','2021-04-05 12:37:14','2021-04-05 12:37:14');
INSERT INTO complaint_remarks VALUES('5601','4982','NO VISIT','74','2021-04-05 12:44:20','2021-04-05 12:44:20');
INSERT INTO complaint_remarks VALUES('5602','5073','COMPLAINT RESOLVED','74','2021-04-05 12:44:31','2021-04-05 12:44:31');
INSERT INTO complaint_remarks VALUES('5603','4982','NO VISIT FICHEER REMINDER','74','2021-04-05 12:48:03','2021-04-05 12:48:03');
INSERT INTO complaint_remarks VALUES('5604','4960','AWAN ELECTRIC IC COMPLAINT KO ATTEND KAR RAHAY HAIN 03125237516','74','2021-04-05 12:54:09','2021-04-05 12:54:09');
INSERT INTO complaint_remarks VALUES('5605','4921','CUSTOMER NA LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA LIYA','74','2021-04-05 12:59:23','2021-04-05 12:59:23');
INSERT INTO complaint_remarks VALUES('5606','5066','COMPLAINT RESOLVED','74','2021-04-05 13:21:24','2021-04-05 13:21:24');
INSERT INTO complaint_remarks VALUES('5607','5113','IN PROCESS COMPLAINT INFORMED BY KHURRAM SADAR','74','2021-04-05 13:55:50','2021-04-05 13:55:50');
INSERT INTO complaint_remarks VALUES('5608','5031','ZAHEER SAB KO AGAIN VISIT K LIYA REMINDER DA DIA','74','2021-04-05 14:12:32','2021-04-05 14:12:32');
INSERT INTO complaint_remarks VALUES('5609','5038','HOOD KI INVOICE KHUURAM GOOGLE KO FF KAR DI','74','2021-04-05 14:35:23','2021-04-05 14:35:23');
INSERT INTO complaint_remarks VALUES('5610','5057','COMPLAINT RESOLVED NI HOI  HAIN  CANNON MAIN AGAIN REMINDER DA DIA','74','2021-04-05 14:43:28','2021-04-05 14:43:28');
INSERT INTO complaint_remarks VALUES('5611','5057','W/D CUSTOMER KHUD S/C MOVE KARWAY GAY','74','2021-04-05 14:43:46','2021-04-05 14:43:46');
INSERT INTO complaint_remarks VALUES('5612','4124','COMPLAINT RESOLVED','74','2021-04-05 15:55:40','2021-04-05 15:55:40');
INSERT INTO complaint_remarks VALUES('5613','4124','CUSTOMER NA S/C SA PICK KARWA LIY REF','74','2021-04-05 15:56:06','2021-04-05 15:56:06');
INSERT INTO complaint_remarks VALUES('5614','5037','COMPLAINT RESOLVED','74','2021-04-05 16:02:29','2021-04-05 16:02:29');
INSERT INTO complaint_remarks VALUES('5615','5034','CUSTOMER KO 2ND APRIL KO REMOTE REVIVED HO GAYA HAIN','74','2021-04-05 16:28:37','2021-04-05 16:28:37');
INSERT INTO complaint_remarks VALUES('5616','5093','IN PROCESS COMPLAINT CUSTOMER KO KHALID SAB KA NO PROVIDE KAE DIA','74','2021-04-05 17:51:06','2021-04-05 17:51:06');
INSERT INTO complaint_remarks VALUES('5617','5166','COMPLAINT RESOLVED','92','2021-04-06 11:31:35','2021-04-06 11:31:35');
INSERT INTO complaint_remarks VALUES('5618','5116','03335991252  RASHID LATIF CUSTOMER','74','2021-04-06 11:37:47','2021-04-06 11:37:47');
INSERT INTO complaint_remarks VALUES('5619','5116','COMPLAINT ATTEND HO GEI HAIN CUSTOMER CONFIRM KAR K CALL BACK KARAY GAY','74','2021-04-06 11:40:09','2021-04-06 11:40:09');
INSERT INTO complaint_remarks VALUES('5620','5044','BOARD DEMA KIYA HAO THA','74','2021-04-06 11:40:42','2021-04-06 11:40:42');
INSERT INTO complaint_remarks VALUES('5621','5044','BOARD AGAY HAIN AJ LAGA DAY TAHIR SIR','74','2021-04-06 11:41:06','2021-04-06 11:41:06');
INSERT INTO complaint_remarks VALUES('5622','5108','ASIF GILL SAB KO AGAIN REMINDER DA DIA','74','2021-04-06 11:44:12','2021-04-06 11:44:12');
INSERT INTO complaint_remarks VALUES('5623','5104','COMPLAINT RESOLVED','74','2021-04-06 12:07:04','2021-04-06 12:07:04');
INSERT INTO complaint_remarks VALUES('5624','5077','COMPLAINT RESOLVED','74','2021-04-06 12:20:44','2021-04-06 12:20:44');
INSERT INTO complaint_remarks VALUES('5625','5097','BEST COOL NA JUT CHANGE KIYA HAIN','74','2021-04-06 12:23:40','2021-04-06 12:23:40');
INSERT INTO complaint_remarks VALUES('5626','5040','DISPLAY  DISPATCH HO GAYA HAIN  KAL TAQ RECEIVED HO JAY GA INFORMED BY CUSTOMER','74','2021-04-06 12:36:51','2021-04-06 12:36:51');
INSERT INTO complaint_remarks VALUES('5627','5072','AJ  COMPANY S/C WALAY W/M LA K GAY HAIN','74','2021-04-06 12:38:04','2021-04-06 12:38:04');
INSERT INTO complaint_remarks VALUES('5628','5046','TANK AAGAY HAIN CUSTOMER KO INFORMED KAR DIA HAIN K GEYSER I  10 S/C MOVE KARWA DAY ADD WHATSAPP KAR DIA','74','2021-04-06 13:51:02','2021-04-06 13:51:02');
INSERT INTO complaint_remarks VALUES('5629','5074','REF S/C WORKING IN PROCESS HAIN TESTING PA HAIN INFORMED BY CUSTOMER','74','2021-04-06 14:08:48','2021-04-06 14:08:48');
INSERT INTO complaint_remarks VALUES('5630','4986','TANK AGAY HAIN CUSTOMER KO B INFORMED KAR DIA HAIN &RIZWAN SAB KO B  RENT 2500 B INFORMED KAR DIYA','74','2021-04-06 14:15:36','2021-04-06 14:15:36');
INSERT INTO complaint_remarks VALUES('5631','5142','REF TO S/C','74','2021-04-06 14:20:47','2021-04-06 14:20:47');
INSERT INTO complaint_remarks VALUES('5632','5022','03379248459 
NO VISIT','74','2021-04-06 14:39:21','2021-04-06 14:39:21');
INSERT INTO complaint_remarks VALUES('5633','5019','SET READY HO GAYA HAIN CUSTOMER AJ S/C SA PICK KARNAY GAY HO AY HAIN','74','2021-04-06 14:41:10','2021-04-06 14:41:10');
INSERT INTO complaint_remarks VALUES('5634','5000','COMPLAINT RESOLVED','74','2021-04-06 14:46:31','2021-04-06 14:46:31');
INSERT INTO complaint_remarks VALUES('5635','5000','COMPLAINT RESOLVED','74','2021-04-06 14:47:26','2021-04-06 14:47:26');
INSERT INTO complaint_remarks VALUES('5636','4827','MARIYAM TCL  KO COMPLAINT #FF KAR DIA','74','2021-04-06 14:58:56','2021-04-06 14:58:56');
INSERT INTO complaint_remarks VALUES('5637','5090','OVEN KI PICK  KHURRAM GOOGLE SIR KO FF KAR DI','74','2021-04-06 15:16:11','2021-04-06 15:16:11');
INSERT INTO complaint_remarks VALUES('5638','5138','visit k liya khalid sab ko reminder da dia hain','74','2021-04-06 15:31:28','2021-04-06 15:31:28');
INSERT INTO complaint_remarks VALUES('5639','4314','complaint resolved','74','2021-04-06 15:50:52','2021-04-06 15:50:52');
INSERT INTO complaint_remarks VALUES('5640','5140','VISIT TO DAY TECHNICIAN NA CUSTOMER KO CALL KAR DI','74','2021-04-07 10:50:50','2021-04-07 10:50:50');
INSERT INTO complaint_remarks VALUES('5641','5136','COMPLAINT RESOLVED','74','2021-04-07 10:52:54','2021-04-07 10:52:54');
INSERT INTO complaint_remarks VALUES('5642','5134','COMPLAINT  RESOLVED','74','2021-04-07 10:57:26','2021-04-07 10:57:26');
INSERT INTO complaint_remarks VALUES('5643','5132','COMPLAINT RESOLVED','74','2021-04-07 11:00:04','2021-04-07 11:00:04');
INSERT INTO complaint_remarks VALUES('5644','5131','COMPLAINT ATTEND HO GEI HAIN SET S/C WORKING IN PROCESS','74','2021-04-07 11:02:37','2021-04-07 11:02:37');
INSERT INTO complaint_remarks VALUES('5645','5130','COMPLAINT RESOLVED','74','2021-04-07 11:03:27','2021-04-07 11:03:27');
INSERT INTO complaint_remarks VALUES('5646','5116','COMPLAINT RESOLVED','74','2021-04-07 11:32:17','2021-04-07 11:32:17');
INSERT INTO complaint_remarks VALUES('5647','5145','BUT PWD SA REF LA K DOOR OPEN KARWAYA ANEEQ KO INVOICE SHER KAR DI GRN K LIYA','74','2021-04-07 11:46:31','2021-04-07 11:46:31');
INSERT INTO complaint_remarks VALUES('5648','5090','CUSTOMER KO GLASS KA EXP 7000 INFORMED KAR DIA HAIN BUT CUSTOMER ON PAYMENT PA AGREE NAI  ZAHID PWD KO INFORMED KAR DIA','74','2021-04-07 11:48:48','2021-04-07 11:48:48');
INSERT INTO complaint_remarks VALUES('5649','5079','CUSTOMER KO OUT DOOR REPLACE KAR DIA  AZEEM SAN K STOCK KI COMPLAINT ENTER KAR DI','74','2021-04-07 11:56:36','2021-04-07 11:56:36');
INSERT INTO complaint_remarks VALUES('5650','5057','MOVE KARWAY GAY AJ','74','2021-04-07 12:11:09','2021-04-07 12:11:09');
INSERT INTO complaint_remarks VALUES('5651','5118','COMPLAINT ATTEND HO GE HAIN  COMPLAINT RESOLVED','74','2021-04-07 12:24:13','2021-04-07 12:24:13');
INSERT INTO complaint_remarks VALUES('5652','5108','PART DEMAND KIYA HOA HAIN INFORMED BY CUSTOMER','74','2021-04-07 12:42:17','2021-04-07 12:42:17');
INSERT INTO complaint_remarks VALUES('5653','5044','COMPLAINT RESOLVED','74','2021-04-07 12:43:54','2021-04-07 12:43:54');
INSERT INTO complaint_remarks VALUES('5654','5168','BACK LIGHT KA ISSUE HAIN RENT INCULCATED HAIN','74','2021-04-07 13:24:34','2021-04-07 13:24:34');
INSERT INTO complaint_remarks VALUES('5655','5168','4000 EXP CUSTOMER KO INFORMED KAR DIA','74','2021-04-07 14:15:12','2021-04-07 14:15:12');
INSERT INTO complaint_remarks VALUES('5656','5183','KAL ATTEND HO GEI COMPLAINT','74','2021-04-07 14:15:42','2021-04-07 14:15:42');
INSERT INTO complaint_remarks VALUES('5657','5186','IN PROCESS COMPLAINT','74','2021-04-07 15:01:21','2021-04-07 15:01:21');
INSERT INTO complaint_remarks VALUES('5658','5193','MONDAY TAQ YHS COMPLAINT ATTEND HO GEI CUSTOMER KO B INFORMED KAR DIA& ABU BAKAR KO B','74','2021-04-09 12:31:42','2021-04-09 12:31:42');
INSERT INTO complaint_remarks VALUES('5659','5192','COMPLAINT RESOLVED','74','2021-04-09 12:34:15','2021-04-09 12:34:15');
INSERT INTO complaint_remarks VALUES('5660','5185','PARTY LIFTING CASE HAIN CUSTOMER NA ABI COMPLAINT KHUS CLOSED KARWA DI','74','2021-04-09 12:38:15','2021-04-09 12:38:15');
INSERT INTO complaint_remarks VALUES('5661','5179','COMPLAINT RESOLVED','74','2021-04-09 12:42:19','2021-04-09 12:42:19');
INSERT INTO complaint_remarks VALUES('5662','5174','COMPLAINT RESOLVED','74','2021-04-09 12:44:41','2021-04-09 12:44:41');
INSERT INTO complaint_remarks VALUES('5663','5172','COMPLAINT ATTEND HO GEI HAIN PART DEMAND KIYA HO HAIN','74','2021-04-09 12:47:13','2021-04-09 12:47:13');
INSERT INTO complaint_remarks VALUES('5664','5171','NOT ATTEND CALL','74','2021-04-09 12:55:36','2021-04-09 12:55:36');
INSERT INTO complaint_remarks VALUES('5665','5169','COMPLAINT RESOLVED','74','2021-04-09 14:50:35','2021-04-09 14:50:35');
INSERT INTO complaint_remarks VALUES('5666','5227','ZAHEER SAB KO INVOICE & COMPLAINT # FF KAR DIA HAIN VISIT K LIYA','74','2021-04-09 15:18:52','2021-04-09 15:18:52');
INSERT INTO complaint_remarks VALUES('5667','5171','COMPLAINT RESOLVED','74','2021-04-09 15:21:27','2021-04-09 15:21:27');
INSERT INTO complaint_remarks VALUES('5668','5167','COMPLAINT ATTEND HO GEI HAIN FREEZER S/C WORKING IN PROCESS','74','2021-04-09 15:41:59','2021-04-09 15:41:59');
INSERT INTO complaint_remarks VALUES('5669','5165','COMPLAINT ATTEND HO GEI HAIN VOLTAGE KA PROB HAIN','74','2021-04-09 15:51:33','2021-04-09 15:51:33');
INSERT INTO complaint_remarks VALUES('5670','5164','COMPLAINT RESOLVED','74','2021-04-09 15:59:36','2021-04-09 15:59:36');
INSERT INTO complaint_remarks VALUES('5671','5157','COMPLAINT RESOLVED','74','2021-04-09 16:35:34','2021-04-09 16:35:34');
INSERT INTO complaint_remarks VALUES('5672','5156','COMPLAINT RESOLVED','74','2021-04-09 16:40:37','2021-04-09 16:40:37');
INSERT INTO complaint_remarks VALUES('5673','5155','COMPLAINT RESOLVED','74','2021-04-09 16:54:18','2021-04-09 16:54:18');
INSERT INTO complaint_remarks VALUES('5674','5154','NO VISIT','74','2021-04-09 16:56:17','2021-04-09 16:56:17');
INSERT INTO complaint_remarks VALUES('5675','5153','NO VISIT REMINDER CANNON','74','2021-04-09 16:57:53','2021-04-09 16:57:53');
INSERT INTO complaint_remarks VALUES('5676','5153','PARTY LIFTING CASE','74','2021-04-09 17:12:55','2021-04-09 17:12:55');
INSERT INTO complaint_remarks VALUES('5677','5207','MOTOR ISSUE COMPLAINT IN PROCESS','92','2021-04-10 14:50:49','2021-04-10 14:50:49');
INSERT INTO complaint_remarks VALUES('5678','5209','COMPLAINT RESOLVED','92','2021-04-10 14:52:17','2021-04-10 14:52:17');
INSERT INTO complaint_remarks VALUES('5679','5218','COMPLAINT RESOLVED','92','2021-04-10 15:11:51','2021-04-10 15:11:51');
INSERT INTO complaint_remarks VALUES('5680','5219','COMPLAINT RESOLVED','92','2021-04-10 15:14:14','2021-04-10 15:14:14');
INSERT INTO complaint_remarks VALUES('5681','5246','0307-5085271 NO VISIT  REMINDER CANNON','74','2021-04-12 11:37:59','2021-04-12 11:37:59');
INSERT INTO complaint_remarks VALUES('5682','5240','NOT ATTEND CALL','74','2021-04-12 11:53:27','2021-04-12 11:53:27');
INSERT INTO complaint_remarks VALUES('5683','5090','ADL BHI KO INVOICE DA DI HAIN','74','2021-04-12 12:05:44','2021-04-12 12:05:44');
INSERT INTO complaint_remarks VALUES('5684','5239','FAN MOTER & GAS KIT PROB TECHNICIAN ON ROUT HAIN','74','2021-04-12 12:19:40','2021-04-12 12:19:40');
INSERT INTO complaint_remarks VALUES('5685','5238','PART DEMAND KIYA HAIN','74','2021-04-12 12:21:21','2021-04-12 12:21:21');
INSERT INTO complaint_remarks VALUES('5686','5236','COMPLAINT RESOLVED','74','2021-04-12 12:32:39','2021-04-12 12:32:39');
INSERT INTO complaint_remarks VALUES('5687','5235','CUSTOMER ABI OUT OFF CITY HAIN ABI COMPLIANT CUSTOMER NA KHUD CANCEL KARWA DIA HAIN INFORMED BY MADAM MARIYAM','74','2021-04-12 12:38:37','2021-04-12 12:38:37');
INSERT INTO complaint_remarks VALUES('5688','5135','S/C MAIN READY HO GAY HAIN AJ DELVER HO JAY INFORMED BY NAVEED FCP','74','2021-04-12 12:48:23','2021-04-12 12:48:23');
INSERT INTO complaint_remarks VALUES('5689','5234','NO VISIT REMINDER HAIER S/C','74','2021-04-12 12:54:17','2021-04-12 12:54:17');
INSERT INTO complaint_remarks VALUES('5690','5232','COMPLAINT ATTEND HO GEI BUT ISSUE RESOLVED NAI HOA AGAIN COMPLAINT REOPENED KARWA DI','74','2021-04-12 13:36:36','2021-04-12 13:36:36');
INSERT INTO complaint_remarks VALUES('5691','3367','COMPLAINT FF  KHALID SAB','74','2021-04-12 14:31:14','2021-04-12 14:31:14');
INSERT INTO complaint_remarks VALUES('5692','5231','CUSTOMER KO CALL AGEI HAIN VISIT K LIYA BUT CUSTOMER NA KAL KA TIME DIA','74','2021-04-12 14:32:30','2021-04-12 14:32:30');
INSERT INTO complaint_remarks VALUES('5693','5230','NOT ATTEND CALL REMINDER','74','2021-04-12 14:37:24','2021-04-12 14:37:24');
INSERT INTO complaint_remarks VALUES('5694','5227','COMPLAINT RESOLVED','74','2021-04-12 14:38:53','2021-04-12 14:38:53');
INSERT INTO complaint_remarks VALUES('5695','5222','COMPLAINT RESOLVED','74','2021-04-12 14:41:00','2021-04-12 14:41:00');
INSERT INTO complaint_remarks VALUES('5696','5153','CUSTOMER KO AGAIN REMINDER DA DIA HAIN','74','2021-04-12 14:53:42','2021-04-12 14:53:42');
INSERT INTO complaint_remarks VALUES('5697','5214','NOT ATTEND CALL','74','2021-04-12 14:55:38','2021-04-12 14:55:38');
INSERT INTO complaint_remarks VALUES('5698','5152','COMPLAINT RESOLVED','74','2021-04-12 14:57:51','2021-04-12 14:57:51');
INSERT INTO complaint_remarks VALUES('5699','5154','VISIT TO DAY','74','2021-04-12 15:14:07','2021-04-12 15:14:07');
INSERT INTO complaint_remarks VALUES('5700','5151','COMPLAINT RESOLVED','74','2021-04-12 15:16:53','2021-04-12 15:16:53');
INSERT INTO complaint_remarks VALUES('5701','5150','NOT ATTEND CALL','74','2021-04-12 15:22:11','2021-04-12 15:22:11');
INSERT INTO complaint_remarks VALUES('5702','5148','COMPLAINT RESOLVED','74','2021-04-12 16:01:08','2021-04-12 16:01:08');
INSERT INTO complaint_remarks VALUES('5703','5144','COMPLAINT RESOLVED','74','2021-04-12 16:14:06','2021-04-12 16:14:06');
INSERT INTO complaint_remarks VALUES('5704','5143','COMPLAINT RESOLVED','74','2021-04-12 16:17:38','2021-04-12 16:17:38');
INSERT INTO complaint_remarks VALUES('5705','5018','INVOICE&COMPLAINT# BILAL MANZOOR KO SHER  KAR DI','74','2021-04-12 17:02:46','2021-04-12 17:02:46');
INSERT INTO complaint_remarks VALUES('5706','5140','COMPLAINT RESOLVED','74','2021-04-12 17:11:37','2021-04-12 17:11:37');
INSERT INTO complaint_remarks VALUES('5707','4439','INVOICE BILAL MANZOOR KO SHER KAR DI','74','2021-04-12 17:17:45','2021-04-12 17:17:45');
INSERT INTO complaint_remarks VALUES('5708','4545','BOARD LAGA DIA COMPLAINT RESOLVED','74','2021-04-12 17:28:23','2021-04-12 17:28:23');
INSERT INTO complaint_remarks VALUES('5709','5131','COMPLAINT RESOLVED','74','2021-04-12 17:32:10','2021-04-12 17:32:10');
INSERT INTO complaint_remarks VALUES('5710','5108','PART LAGA DIA HAIN COMPLAINT RESOLVED','74','2021-04-12 17:35:08','2021-04-12 17:35:08');
INSERT INTO complaint_remarks VALUES('5711','5072','COMPLAINT RESOLVED','74','2021-04-12 17:36:56','2021-04-12 17:36:56');
INSERT INTO complaint_remarks VALUES('5712','5243','COMPLAINT ATTEND HO GEI HAIN OVEN KA DOOR LA AAY HAIN ABDUL REHMAN  INFORMED HO GEI','74','2021-04-12 17:39:17','2021-04-12 17:39:17');
INSERT INTO complaint_remarks VALUES('5713','5249','COMAPLIANT ATTEND HO GEI BUT ISSUE RESOLVED NAI HAO COMPLAINT AGAIN REOPEN KARWA DI','74','2021-04-13 12:40:26','2021-04-13 12:40:26');
INSERT INTO complaint_remarks VALUES('5714','5247','COMPLAINT RESOLVED','74','2021-04-13 12:58:18','2021-04-13 12:58:18');
INSERT INTO complaint_remarks VALUES('5715','5246','COMPLAINT RESOLVED','74','2021-04-13 13:00:50','2021-04-13 13:00:50');
INSERT INTO complaint_remarks VALUES('5716','5245','COMPLAINT RESOLVED','74','2021-04-13 13:03:43','2021-04-13 13:03:43');
INSERT INTO complaint_remarks VALUES('5717','5172','COMPLAINT RESOLVED','74','2021-04-13 13:05:49','2021-04-13 13:05:49');
INSERT INTO complaint_remarks VALUES('5718','5248','PANEL DAMAGE 24000 EXP INFORMED','74','2021-04-13 13:10:20','2021-04-13 13:10:20');
INSERT INTO complaint_remarks VALUES('5719','5248','NOT ATTEND CALL','74','2021-04-13 13:10:30','2021-04-13 13:10:30');
INSERT INTO complaint_remarks VALUES('5720','5240','CUSTOMER S/C WALO KI CALL ATTEND NAI KAR RAHAY  ABI AGAIN REMNDER DA DIA','74','2021-04-13 13:28:39','2021-04-13 13:28:39');
INSERT INTO complaint_remarks VALUES('5721','5050','COMPLAINT ATTEND HO GEI HAIN 2 BAR VISIT HO GAYA  BOARD DEMAND KIYA HOA HAIN NEXT WEEK TAQ AAJAY GA','74','2021-04-13 13:32:26','2021-04-13 13:32:26');
INSERT INTO complaint_remarks VALUES('5722','4807','CUSTOMER GEYSER I 10 S/C  LA AAY HAIN INFORMED BY KHURRAM BAHI','74','2021-04-13 13:37:00','2021-04-13 13:37:00');
INSERT INTO complaint_remarks VALUES('5723','5170','BUT PWD NA SET S/C MOVE NAI KARWAY ABI TAQ NA VIDEO BANA K SHER KI USMAN SAB KO INFORMED BY BUT PWD','74','2021-04-13 13:38:26','2021-04-13 13:38:26');
INSERT INTO complaint_remarks VALUES('5724','5238','COMPLAINT RESOLVED','74','2021-04-13 13:40:04','2021-04-13 13:40:04');
INSERT INTO complaint_remarks VALUES('5725','5234','OUT OFF CITY COMPLAINT JHLEM S/C WALAY ATTEND KAR RAHAY HAIN COMPLAINT','74','2021-04-13 13:43:24','2021-04-13 13:43:24');
INSERT INTO complaint_remarks VALUES('5726','5167','COMPANY SIDE SA CUSTOMER KO FREEZER  KI REPLACE KI APPROVAL AAGEI HAIN UMAIR SAB KI COMPANY KI CUSTOMER SA BT CHAL RAHI HAIN','74','2021-04-13 13:59:37','2021-04-13 13:59:37');
INSERT INTO complaint_remarks VALUES('5727','5233','COMPLAINT RESOLVED E 2 KA ERROR THA KHUD SA ISSUE RESOLVED HO GAYA','74','2021-04-13 14:09:29','2021-04-13 14:09:29');
INSERT INTO complaint_remarks VALUES('5728','5230','COMPLAINT RESOLVED','74','2021-04-13 14:34:44','2021-04-13 14:34:44');
INSERT INTO complaint_remarks VALUES('5729','5113','JALIYA ADJUST NAI HO RAHI KHURRAM BHI AJ VISIT KARAY GAY INFORMED BY CUSTOMER&KHURRAM SADAR','74','2021-04-13 14:39:36','2021-04-13 14:39:36');
INSERT INTO complaint_remarks VALUES('5730','5214','COMPLAINT RESOLVED','74','2021-04-13 15:28:16','2021-04-13 15:28:16');
INSERT INTO complaint_remarks VALUES('5731','5228','COMPLAINT ATTEND HO GEI PARTS YAWAR SAB SA DEMAND KIYA HOA HAIN','74','2021-04-13 15:33:02','2021-04-13 15:33:02');
INSERT INTO complaint_remarks VALUES('5732','5207','COMPLAINT RESOLVED','74','2021-04-13 15:36:09','2021-04-13 15:36:09');
INSERT INTO complaint_remarks VALUES('5733','5203','COMPLAINT RESOLVED','74','2021-04-13 16:04:03','2021-04-13 16:04:03');
INSERT INTO complaint_remarks VALUES('5734','4529','COMPLAINT RESOLVED','74','2021-04-13 17:50:37','2021-04-13 17:50:37');
INSERT INTO complaint_remarks VALUES('5735','4519','GASS KIT REPLACE COMPLAINT RESOLVED','74','2021-04-13 17:59:41','2021-04-13 17:59:41');
INSERT INTO complaint_remarks VALUES('5736','5040','COMPLAINT RESOLVED','74','2021-04-13 18:01:24','2021-04-13 18:01:24');
INSERT INTO complaint_remarks VALUES('5737','5150','COMPLAINT RESOLVED','74','2021-04-13 18:06:17','2021-04-13 18:06:17');
INSERT INTO complaint_remarks VALUES('5738','5266','COMPLAINT RESOLVED','74','2021-04-14 11:14:10','2021-04-14 11:14:10');
INSERT INTO complaint_remarks VALUES('5739','5264','ROADS BLOCK KI WAJA SA COMPLAINT DELAY THI ANWER SAB KO REMINDER DA DIA','74','2021-04-14 11:21:31','2021-04-14 11:21:31');
INSERT INTO complaint_remarks VALUES('5740','5263','COMPLAINT ATTEND HO G EI HAIN PART DEMAND KIYA WA  MOTER PROB','74','2021-04-14 11:26:53','2021-04-14 11:26:53');
INSERT INTO complaint_remarks VALUES('5741','5262','COMPLAINT RESOLVED','74','2021-04-14 11:28:11','2021-04-14 11:28:11');
INSERT INTO complaint_remarks VALUES('5742','4488','DOOR DEMAND','74','2021-04-14 11:31:42','2021-04-14 11:31:42');
INSERT INTO complaint_remarks VALUES('5743','5260','COMPLAINT RESOLVED','74','2021-04-14 11:32:19','2021-04-14 11:32:19');
INSERT INTO complaint_remarks VALUES('5744','5259','COMPLAINT RESOLVED','74','2021-04-14 11:35:55','2021-04-14 11:35:55');
INSERT INTO complaint_remarks VALUES('5745','5258','COMPLAINT RESOLVED','74','2021-04-14 11:37:25','2021-04-14 11:37:25');
INSERT INTO complaint_remarks VALUES('5746','5257','COMPLAINT RESOLVED','74','2021-04-14 11:39:56','2021-04-14 11:39:56');
INSERT INTO complaint_remarks VALUES('5747','5256','LEAVING FOOT ADJUST COMPLAINT RESOLVED','74','2021-04-14 11:45:20','2021-04-14 11:45:20');
INSERT INTO complaint_remarks VALUES('5748','5255','COMPLAINT RESOLVED','74','2021-04-14 11:54:42','2021-04-14 11:54:42');
INSERT INTO complaint_remarks VALUES('5749','5254','COMPLAINT RESOLVED','74','2021-04-14 11:56:45','2021-04-14 11:56:45');
INSERT INTO complaint_remarks VALUES('5750','5253','COMPLAINT RESOLVED','74','2021-04-14 12:07:10','2021-04-14 12:07:10');
INSERT INTO complaint_remarks VALUES('5751','5252','VISIT TO DAY CALL AGEI HAIN CUSTOMER KO S/C SA','74','2021-04-14 12:08:02','2021-04-14 12:08:02');
INSERT INTO complaint_remarks VALUES('5752','5248','CUSTOMER NA COMPLAINT CANCEL KARWA DI','74','2021-04-14 12:10:26','2021-04-14 12:10:26');
INSERT INTO complaint_remarks VALUES('5753','5201','COMPLAINT RESOLVED','74','2021-04-14 12:18:14','2021-04-14 12:18:14');
INSERT INTO complaint_remarks VALUES('5754','5240','CUSTOMER STILL CALL ATTEND NAI KAR RAHAY INFORMED BY NAVEED FHSS','74','2021-04-14 12:21:21','2021-04-14 12:21:21');
INSERT INTO complaint_remarks VALUES('5755','5234','CUSTOMER SIDE SA DELAY COMPLAINT CALL ATTEND NAI KAR RAHAY THY
AJ AGAIN COMPLINT REOPEND KARWA K JHLEM K HUSSAIN KHAN KO DETAIL FF KAR DI HAIN & CUSTOMER KO B NO SMS KAR DIA','74','2021-04-14 12:34:29','2021-04-14 12:34:29');
INSERT INTO complaint_remarks VALUES('5756','5232','AYAZ TECHNICIAN NA YHA COMPLAINT ATTEND KI HAIN OUT HEAT TANK KA ISSUE HAIN PAR COMAPNY STOCK MAIN YHA MODEL AVAIL NAI HAINSTOCK MAIN  ABI','74','2021-04-14 12:48:02','2021-04-14 12:48:02');
INSERT INTO complaint_remarks VALUES('5757','5232','INFORMED BY CUSTOMER','74','2021-04-14 12:48:20','2021-04-14 12:48:20');
INSERT INTO complaint_remarks VALUES('5758','5206','W/M S/C MAIN ALMOST READY HAIN CUSTOMER SA ESTIMATE SHER KAR KA DELVER KARWA RAHI HAIN MADAM','74','2021-04-14 12:59:43','2021-04-14 12:59:43');
INSERT INTO complaint_remarks VALUES('5759','5182','IN PROCESS COMPLAINT CUSTOMER KO LG S/C KA NO PROVIDE KAR DIA','74','2021-04-14 13:11:06','2021-04-14 13:11:06');
INSERT INTO complaint_remarks VALUES('5760','5232','PARTY LIFTING CASE HAIN CUSTOMER KO ORIENT S/C KA ADD WHATS APP KAR DIA','74','2021-04-14 13:16:01','2021-04-14 13:16:01');
INSERT INTO complaint_remarks VALUES('5761','5231','COMPLAINT RESOLVED','74','2021-04-14 13:17:09','2021-04-14 13:17:09');
INSERT INTO complaint_remarks VALUES('5762','4409','CUSTOMER STILL NOT ATTEND MY CALL MADAM SHAMIM SA B CONFIRM KAR K CLOSED KI UN SA PASS B CLOSED AARHI COMPLIANT','74','2021-04-14 15:18:22','2021-04-14 15:18:22');
INSERT INTO complaint_remarks VALUES('5763','5200','COMPLAINT ATTEND HO GEI HAIN CUSTOMER KI SIDE PA ELECTRICITY KA ISSUE PA HAIN JAB  YHA ISSUE RESOLVED HO JAY GA FIR COMPLAINT AGAIN KARWA DAY GAY ABI COMPLAINT CLOSED KARWA DI','74','2021-04-14 16:37:06','2021-04-14 16:37:06');
INSERT INTO complaint_remarks VALUES('5764','5200','CUSTMER K PASS TECHNICIAN K NO B HAIN KHUD SA CONTACT KARY GAY','74','2021-04-14 16:37:52','2021-04-14 16:37:52');
INSERT INTO complaint_remarks VALUES('5765','5329','COMPLAINT NO 301111805','92','2021-04-15 10:45:34','2021-04-15 10:45:34');
INSERT INTO complaint_remarks VALUES('5766','4465','COMPLAINT RESOLVED','74','2021-04-15 10:52:06','2021-04-15 10:52:06');
INSERT INTO complaint_remarks VALUES('5767','4619','COMPLAINT RESOLVED','74','2021-04-15 10:54:09','2021-04-15 10:54:09');
INSERT INTO complaint_remarks VALUES('5768','5290','NOT ATTEND CALL','74','2021-04-15 10:59:37','2021-04-15 10:59:37');
INSERT INTO complaint_remarks VALUES('5769','5289','CUSTOMER KA ISSUE KHUD SA RESOLVED HO GAYA COMPLAINT CLOSED','74','2021-04-15 11:01:59','2021-04-15 11:01:59');
INSERT INTO complaint_remarks VALUES('5770','5285','CUSTOMER GHR PA AVAIL NAI HAIN FRIDAY MORNING KA TIME DIA HAIN CUSTOMER NA','74','2021-04-15 11:22:14','2021-04-15 11:22:14');
INSERT INTO complaint_remarks VALUES('5771','5283','NO VISIT S/C REMAINDER DIA HAIN VISIT K LIYA
03327503405 HAFIZ IBRAR ATTEND KARAY GAY','74','2021-04-15 11:29:32','2021-04-15 11:29:32');
INSERT INTO complaint_remarks VALUES('5772','4719','COMPLAINT RESOLVED','74','2021-04-15 11:31:39','2021-04-15 11:31:39');
INSERT INTO complaint_remarks VALUES('5773','5213','COMPLAINT ATTEND HOGEI HAIN W/D S/C WORKING IN PROCESS','74','2021-04-15 11:36:29','2021-04-15 11:36:29');
INSERT INTO complaint_remarks VALUES('5774','5282','NOT ATTEND CALL','74','2021-04-15 11:41:54','2021-04-15 11:41:54');
INSERT INTO complaint_remarks VALUES('5775','4886','COMPLAINT RESOLVED','74','2021-04-15 11:42:11','2021-04-15 11:42:11');
INSERT INTO complaint_remarks VALUES('5776','5114','NEW BOARD LAGA K DA DIA CUSTOMER BOL RAHAY SET HANG HO RAHA HAIN REPLACEMENT KI DEMAND KAR RAHAY HAIN INFORMED BY ANEEQ','74','2021-04-15 12:06:48','2021-04-15 12:06:48');
INSERT INTO complaint_remarks VALUES('5777','4562','S/C SA CONFIRM KAR K COMPLAINT CLOSED KI FAN LAGA DIA CUSTOMER CALL ATTEND NAI KAR RAHAY THY','74','2021-04-15 12:08:57','2021-04-15 12:08:57');
INSERT INTO complaint_remarks VALUES('5778','5243','CUSTOMER KO 7000 EXP & 500 VISIT CHARGES  INFORMED KAR DIA HAIN  GLASS ABUDUL REHMAN KO INFORM,ED KAR DIA','74','2021-04-15 12:25:51','2021-04-15 12:25:51');
INSERT INTO complaint_remarks VALUES('5779','5279','COMPLAINT RESOLVED','74','2021-04-15 12:27:42','2021-04-15 12:27:42');
INSERT INTO complaint_remarks VALUES('5780','5281','CUSTOMER SHOWROOM PA W/D DROP KAR K GAY HAIN S/C  NAEEM SAB KO INFORMED KAR DAI ADIL BHAI K NO B FF KAR DIA','74','2021-04-15 12:29:07','2021-04-15 12:29:07');
INSERT INTO complaint_remarks VALUES('5781','5057','W/D S/C WORKING IN PROCESS HAIN','74','2021-04-15 12:36:33','2021-04-15 12:36:33');
INSERT INTO complaint_remarks VALUES('5782','5274','COMPLAINT RESOLVED','74','2021-04-15 12:40:27','2021-04-15 12:40:27');
INSERT INTO complaint_remarks VALUES('5783','5273','VISIT TO DAY','74','2021-04-15 12:43:53','2021-04-15 12:43:53');
INSERT INTO complaint_remarks VALUES('5784','5276','NO VISIT ANWER CARVELLKO REMINDER DA DIA','74','2021-04-15 12:44:38','2021-04-15 12:44:38');
INSERT INTO complaint_remarks VALUES('5785','5278','NOB RECIVED NAI HOI ABI TAQ','74','2021-04-15 12:45:36','2021-04-15 12:45:36');
INSERT INTO complaint_remarks VALUES('5786','5319','CUSTOMER KI FAMILY MAIN DEATH HO GEI HAIN  MONDAY KA TIME DIA VISIT K LIYA','74','2021-04-15 13:01:49','2021-04-15 13:01:49');
INSERT INTO complaint_remarks VALUES('5787','4655','COMPLAINT RESOLVED','74','2021-04-15 14:47:24','2021-04-15 14:47:24');
INSERT INTO complaint_remarks VALUES('5788','4717','NOT ATTEND CALL','74','2021-04-15 14:51:04','2021-04-15 14:51:04');
INSERT INTO complaint_remarks VALUES('5789','4597','KHURRAM BHAI KO REMINDER DA DIA HAIN VISIT K LIYA & CUSTOMER KO NO B SHER KAR DIA HAIN','74','2021-04-15 14:59:44','2021-04-15 14:59:44');
INSERT INTO complaint_remarks VALUES('5790','5249','COMPLAINT RESOLVED','74','2021-04-15 15:01:41','2021-04-15 15:01:41');
INSERT INTO complaint_remarks VALUES('5791','4614','COMPLAINT NOT RESOLVED KHURRAM BHI KO REMINDER DA DIA','74','2021-04-15 15:05:21','2021-04-15 15:05:21');
INSERT INTO complaint_remarks VALUES('5792','5267','COMPLAINT RESOLVED','74','2021-04-15 15:16:14','2021-04-15 15:16:14');
INSERT INTO complaint_remarks VALUES('5793','5022','NOT ATTEND CALL','74','2021-04-15 15:19:39','2021-04-15 15:19:39');
INSERT INTO complaint_remarks VALUES('5794','5019','COMPLAINT RESOLVED','74','2021-04-15 15:26:05','2021-04-15 15:26:05');
INSERT INTO complaint_remarks VALUES('5795','5284','S/C WORKING IN PROCESS','74','2021-04-15 16:42:20','2021-04-15 16:42:20');
INSERT INTO complaint_remarks VALUES('5796','5318','COMPLAINT RESOLVED','74','2021-04-16 11:18:48','2021-04-16 11:18:48');
INSERT INTO complaint_remarks VALUES('5797','5317','PCB &FAN MOTER KA ISSUE HAIN PARTS AAGAY HAIN AJ ATTEND HO JAY GEI COMPLAINT','74','2021-04-16 11:35:28','2021-04-16 11:35:28');
INSERT INTO complaint_remarks VALUES('5798','5298','COMPRESSOR GASS LEAKAGE PROB CUSTOMER KO S/C K NO PROVIDE KAR DIA PARTY LIFTING CASE','74','2021-04-16 11:36:08','2021-04-16 11:36:08');
INSERT INTO complaint_remarks VALUES('5799','5316','COMPLAINT RESOLVED','74','2021-04-16 11:40:34','2021-04-16 11:40:34');
INSERT INTO complaint_remarks VALUES('5800','5298','INFORMED BY HUSSAN 3300 EXP
2500 GASS 
200 DRY FILTER
600 LAB OUR CHARGES','74','2021-04-16 11:41:57','2021-04-16 11:41:57');
INSERT INTO complaint_remarks VALUES('5801','5333','IN PROCESS COMPLIANT REMINDER  BY KHURRAM BHAI & CUSTOMER','74','2021-04-16 12:02:14','2021-04-16 12:02:14');
INSERT INTO complaint_remarks VALUES('5802','5313','COMPLIANT RESOLVED','74','2021-04-16 12:03:23','2021-04-16 12:03:23');
INSERT INTO complaint_remarks VALUES('5803','5312','COMPLAINT RESOLVED','74','2021-04-16 12:09:04','2021-04-16 12:09:04');
INSERT INTO complaint_remarks VALUES('5804','5311','COMPLAINT RESOLVED','74','2021-04-16 12:10:48','2021-04-16 12:10:48');
INSERT INTO complaint_remarks VALUES('5805','5310','COMPLAINT RESOLVED','74','2021-04-16 12:12:38','2021-04-16 12:12:38');
INSERT INTO complaint_remarks VALUES('5806','5308','COMPLAINT RESOLVED','74','2021-04-16 12:14:41','2021-04-16 12:14:41');
INSERT INTO complaint_remarks VALUES('5807','5304','COMPLAINT RESOLVED','74','2021-04-16 12:20:56','2021-04-16 12:20:56');
INSERT INTO complaint_remarks VALUES('5808','5301','NOT ATTEND CALL','74','2021-04-16 12:23:39','2021-04-16 12:23:39');
INSERT INTO complaint_remarks VALUES('5809','5299','COMPLAINT RESOLVED','74','2021-04-16 12:25:16','2021-04-16 12:25:16');
INSERT INTO complaint_remarks VALUES('5810','5296','COMPLAINT RESOLVED','74','2021-04-16 12:30:03','2021-04-16 12:30:03');
INSERT INTO complaint_remarks VALUES('5811','5294','COMPLAINT RESOLVED','74','2021-04-16 12:32:33','2021-04-16 12:32:33');
INSERT INTO complaint_remarks VALUES('5812','5293','COMPLAINT RESOLVED','74','2021-04-16 12:35:40','2021-04-16 12:35:40');
INSERT INTO complaint_remarks VALUES('5813','5292','COMPLAINT RESOLVED','74','2021-04-16 12:38:59','2021-04-16 12:38:59');
INSERT INTO complaint_remarks VALUES('5814','5324','COMPLAINT RESOLVED','74','2021-04-16 12:41:07','2021-04-16 12:41:07');
INSERT INTO complaint_remarks VALUES('5815','5338','WRONG NO SA COMPLAINT ENTER THI AGAIN COMPLIANT  LAUGH KARWAI','74','2021-04-16 12:49:28','2021-04-16 12:49:28');
INSERT INTO complaint_remarks VALUES('5816','5167','COMPANY SIDE SA FREEZER REPLACEMENT APPROVAL AAGEI HAIN BUT CUSTOMER SAME COLOR LAYNA CAHAH RAHI HAIN BUT COMPANY STOCK MAIN SAME COLOUR AVAIL NAI','74','2021-04-16 12:58:26','2021-04-16 12:58:26');
INSERT INTO complaint_remarks VALUES('5817','5283','KAL SAHM MAIIN CUSTOMER GHR PA AVAIL NAI THY  AJ JUMAY K BAD VISIT KARAY GAY','74','2021-04-16 13:08:01','2021-04-16 13:08:01');
INSERT INTO complaint_remarks VALUES('5818','5282','CUSTOMER STILL NOT ATTEND CALL','74','2021-04-16 13:10:11','2021-04-16 13:10:11');
INSERT INTO complaint_remarks VALUES('5819','5322','COMPLAINT ATTEND HO GEI HAIN UNITS/C WORKING IN PROCESS HAIN','74','2021-04-16 13:16:45','2021-04-16 13:16:45');
INSERT INTO complaint_remarks VALUES('5820','5264','COMPLAINT ATTEND HO GEI HAIN LEAKAGE PROB HAIN REF TO PINDI S/C MONDAY KO CUSTOMER PINDI S/C MOVE KARWAY GAY CHILLER','74','2021-04-16 13:19:48','2021-04-16 13:19:48');
INSERT INTO complaint_remarks VALUES('5821','5263','COMPLAINT RESOLVED MOTER KAL SHAM MAIN LAGA DI','74','2021-04-16 13:21:47','2021-04-16 13:21:47');
INSERT INTO complaint_remarks VALUES('5822','5272','CUSTOMER SA BAT HOI HAIN UNHO NA W/C REPLACE KARWA K DOSRA LA LIYA','74','2021-04-16 13:23:44','2021-04-16 13:23:44');
INSERT INTO complaint_remarks VALUES('5823','5240','MISS IRAM 03334113322','74','2021-04-16 13:26:16','2021-04-16 13:26:16');
INSERT INTO complaint_remarks VALUES('5824','5272','CUSTOMER WALA UNIT IQBAL SAB K PASS HAIN OK HAIN','74','2021-04-16 15:38:07','2021-04-16 15:38:07');
INSERT INTO complaint_remarks VALUES('5825','5338','PARTY LIFTING CASE HAIN CUSTOMER LA K JA RAHAY HAIN AJ','74','2021-04-17 11:03:18','2021-04-17 11:03:18');
INSERT INTO complaint_remarks VALUES('5826','5337','NOT ATTEND CALL','74','2021-04-17 11:07:30','2021-04-17 11:07:30');
INSERT INTO complaint_remarks VALUES('5827','5334','COMPLAINT RESOLVED','74','2021-04-17 11:11:22','2021-04-17 11:11:22');
INSERT INTO complaint_remarks VALUES('5828','5332','SET S/C MAIN READY HAIN AJ S/C WALY DELVER KAR DAY GAY','74','2021-04-17 11:18:12','2021-04-17 11:18:12');
INSERT INTO complaint_remarks VALUES('5829','5364','LHR S/C WORKING IN PROCESS HAIN IMRAM TCL IC CMPLAINT KO LOOK AFTER KAR RAHAY','74','2021-04-17 11:20:38','2021-04-17 11:20:38');
INSERT INTO complaint_remarks VALUES('5830','5337','COMPLAINT RESOLVED','74','2021-04-17 11:37:33','2021-04-17 11:37:33');
INSERT INTO complaint_remarks VALUES('5831','5327','NO VISIT REMINDER KHURRAM BHI','74','2021-04-17 11:41:21','2021-04-17 11:41:21');
INSERT INTO complaint_remarks VALUES('5832','5322','MONDAY KO UP DATE KARAY GAY','74','2021-04-17 11:48:13','2021-04-17 11:48:13');
INSERT INTO complaint_remarks VALUES('5833','5325','NOT ATTEND CALL','74','2021-04-17 11:48:49','2021-04-17 11:48:49');
INSERT INTO complaint_remarks VALUES('5834','5154','IFTARI K BAD VISIT KARWAY GAY KHURRAM BHAI KA NO PROVIDE KAR DIA','74','2021-04-17 12:00:59','2021-04-17 12:00:59');
INSERT INTO complaint_remarks VALUES('5835','5153','CUSTOMER SIDE SA DELAY HAIN COMPLAINT','74','2021-04-17 12:16:19','2021-04-17 12:16:19');
INSERT INTO complaint_remarks VALUES('5836','5283','12 BAJY K BAD KA TIME DIA CUSTOMER NA','74','2021-04-17 12:17:06','2021-04-17 12:17:06');
INSERT INTO complaint_remarks VALUES('5837','5153','CUSTOMER KO CANNON S/C K NO B PROVIDE KAR DIA','74','2021-04-17 12:17:36','2021-04-17 12:17:36');
INSERT INTO complaint_remarks VALUES('5838','5325','COMPLAINT RESOLVED','74','2021-04-17 12:34:41','2021-04-17 12:34:41');
INSERT INTO complaint_remarks VALUES('5839','5284','READY HO GEI HIAN   MONDAY KO S/C MOVE KARWANA HAIN','74','2021-04-17 13:40:41','2021-04-17 13:40:41');
INSERT INTO complaint_remarks VALUES('5840','5350','COMPLAINT ATTEND HO GEI HAIN WATER PAR SURE KA ISSUE','74','2021-04-17 15:26:50','2021-04-17 15:26:50');
INSERT INTO complaint_remarks VALUES('5841','5348','COMPLAINT RESOLVED','74','2021-04-17 15:27:38','2021-04-17 15:27:38');
INSERT INTO complaint_remarks VALUES('5842','5352','COMPLAINT RESOLVED','74','2021-04-17 15:29:41','2021-04-17 15:29:41');
INSERT INTO complaint_remarks VALUES('5843','5346','COMPLAINT RESOLVED','74','2021-04-17 15:31:15','2021-04-17 15:31:15');
INSERT INTO complaint_remarks VALUES('5844','5343','CUSTOMER NA KHUD SA SETTING KAISSUE RESOLVED KAR LIAY COMPLAINT RESOLVED','74','2021-04-17 15:34:13','2021-04-17 15:34:13');
INSERT INTO complaint_remarks VALUES('5845','5344','COMPLAINT ATTEND HO GEI HIAN HEATING TIME MAIN KHUCH ISSUE AARAHA THA COOLING OK HAIN COMPLAINT RESOLVED','74','2021-04-17 15:36:58','2021-04-17 15:36:58');
INSERT INTO complaint_remarks VALUES('5846','5342','COMPLAINT RESOLVED','74','2021-04-17 15:41:28','2021-04-17 15:41:28');
INSERT INTO complaint_remarks VALUES('5847','5332','SET S/C SA DELVER HO GAY HAIN COMPLAINT RESOLVED','74','2021-04-17 15:45:59','2021-04-17 15:45:59');
INSERT INTO complaint_remarks VALUES('5848','5320','COMPLAINT RESOLVED','74','2021-04-17 15:47:30','2021-04-17 15:47:30');
INSERT INTO complaint_remarks VALUES('5849','5317','PCB & FAN MOTER LAG GEI HAIN COMPLAINT RESOLVED','74','2021-04-17 15:54:19','2021-04-17 15:54:19');
INSERT INTO complaint_remarks VALUES('5850','5358','COMPLAINT RESOLVED','92','2021-04-18 12:56:03','2021-04-18 12:56:03');
INSERT INTO complaint_remarks VALUES('5851','5366','VISIT TO DAY','74','2021-04-19 10:52:03','2021-04-19 10:52:03');
INSERT INTO complaint_remarks VALUES('5852','5365','VISIT TO DAY TECHNICIAN KI CALL CUSTOMER KO AAGEI HAIN','74','2021-04-19 10:53:56','2021-04-19 10:53:56');
INSERT INTO complaint_remarks VALUES('5853','5363','COMPLAINT RESOLVED','74','2021-04-19 10:55:27','2021-04-19 10:55:27');
INSERT INTO complaint_remarks VALUES('5854','5361','NO VISIT REMINDER DA DIA S/C','74','2021-04-19 11:00:52','2021-04-19 11:00:52');
INSERT INTO complaint_remarks VALUES('5855','5350','COMPLAINT RESOLVED','74','2021-04-19 11:04:21','2021-04-19 11:04:21');
INSERT INTO complaint_remarks VALUES('5856','5347','SET LHR S/C SA READY HO KA IMRAN TCL KA PASS AGAY HAIN INFORMED BY ANEEQ','74','2021-04-19 11:08:37','2021-04-19 11:08:37');
INSERT INTO complaint_remarks VALUES('5857','5364','PANAL LHR SA REPLACE HO K IMRAN TCL K S/C AGAEI HAIN INFORMED BY ANEEQ','74','2021-04-19 11:10:55','2021-04-19 11:10:55');
INSERT INTO complaint_remarks VALUES('5858','5338','LHR S/C MOVE HO GEI PANAL RWEPLACE HO K AAGY GA','74','2021-04-19 11:13:49','2021-04-19 11:13:49');
INSERT INTO complaint_remarks VALUES('5859','5327','COMPLAINT ATTEND HO GEI HAIN TIMER PROB HAIN TIMER LA K JAY GAY AGAIN','74','2021-04-19 11:24:53','2021-04-19 11:24:53');
INSERT INTO complaint_remarks VALUES('5860','5322','LATEEF SAB 03325477731 YHA COMPLAINT ATTEND KARWA RAHAY HAIN','74','2021-04-19 11:28:43','2021-04-19 11:28:43');
INSERT INTO complaint_remarks VALUES('5861','5322','S/C MAIN WORKING IN PROCESS HAIN AJ READY HO KAL LAG JAY GA','74','2021-04-19 11:38:39','2021-04-19 11:38:39');
INSERT INTO complaint_remarks VALUES('5862','5326','NOT ATTEND CALL','74','2021-04-19 11:41:32','2021-04-19 11:41:32');
INSERT INTO complaint_remarks VALUES('5863','5362','NO VISIT REMINDER BY KHURRAM BAHI','74','2021-04-19 11:50:24','2021-04-19 11:50:24');
INSERT INTO complaint_remarks VALUES('5864','5264','AJ MOVE KARWAY GAY','74','2021-04-19 12:55:31','2021-04-19 12:55:31');
INSERT INTO complaint_remarks VALUES('5865','5154','COMPLAINT CANCEL','92','2021-04-19 15:05:19','2021-04-19 15:05:19');
INSERT INTO complaint_remarks VALUES('5866','4696','CUSTOMER SIDE SA DELAY HAIN COMPLAINT','74','2021-04-19 15:40:09','2021-04-19 15:40:09');
INSERT INTO complaint_remarks VALUES('5867','5387','COMPLAINT ATTEND HO GEI HAIN  PAID JIOB HAIN HOOD KI JALIYO KI PRICE 4000 CUSTOMER KO INFORMED KAR DI CUSTOMER NA CANCEL KARWA DI COMPLAINT','74','2021-04-19 16:35:27','2021-04-19 16:35:27');
INSERT INTO complaint_remarks VALUES('5868','5366','COMPLAINT RESOLVED','74','2021-04-19 16:37:57','2021-04-19 16:37:57');
INSERT INTO complaint_remarks VALUES('5869','5365','COMPLAINT ATTEND HO GEI HAIN SUBHA CONFIRM KARAY GAY','74','2021-04-19 16:41:07','2021-04-19 16:41:07');
INSERT INTO complaint_remarks VALUES('5870','5285','COMPLAINT ATTEND HO GEI HAINPART DEMAND','74','2021-04-19 16:47:27','2021-04-19 16:47:27');
INSERT INTO complaint_remarks VALUES('5871','5385','NOT ATTEND CALL','74','2021-04-20 10:58:45','2021-04-20 10:58:45');
INSERT INTO complaint_remarks VALUES('5872','5391','IN PROCESS COMPLAINT FAHAD TECHNICIAN AJ VISIT KARAY GAY INFORMED BY CUSTOMER& ISHFAQ SAB','74','2021-04-20 11:10:28','2021-04-20 11:10:28');
INSERT INTO complaint_remarks VALUES('5873','5395','CUSTOMER NA LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA LIYA COMPLAINT CLOSED B.COOL KO INFORMED KAR DIA','74','2021-04-20 11:29:58','2021-04-20 11:29:58');
INSERT INTO complaint_remarks VALUES('5874','5365','COMPLAINT ATTEND HO GEI HAIN CUSTOMER CALL BACK KARAY GAY','74','2021-04-20 11:42:08','2021-04-20 11:42:08');
INSERT INTO complaint_remarks VALUES('5875','5374','VISIT TO DAY CUASTOMER KO TECHNICIAN KI CALL AGEI HAIN','74','2021-04-20 11:44:45','2021-04-20 11:44:45');
INSERT INTO complaint_remarks VALUES('5876','5396','IN PROCESS COMPLAINT INFORMED BAY WAQAS FCP','74','2021-04-20 11:45:55','2021-04-20 11:45:55');
INSERT INTO complaint_remarks VALUES('5877','5378','COMPLAINT RESOLVED','74','2021-04-20 11:51:22','2021-04-20 11:51:22');
INSERT INTO complaint_remarks VALUES('5878','5353','ADIL BHAI KO VISIT K LIYA REMINDER DA DIA INFORMED BY BUT PWD','74','2021-04-20 11:53:04','2021-04-20 11:53:04');
INSERT INTO complaint_remarks VALUES('5879','5367','NO VISIT REMINDER KHURRAM BHAI','74','2021-04-20 11:56:33','2021-04-20 11:56:33');
INSERT INTO complaint_remarks VALUES('5880','5384','COMPLAINT ATTEND H GEI HAIN GASS REFIL KARNAY K LIYA AGAIN VISIT KARAY GAY','74','2021-04-20 12:07:56','2021-04-20 12:07:56');
INSERT INTO complaint_remarks VALUES('5881','5383','COMPLAINT RESOLVED','74','2021-04-20 12:18:21','2021-04-20 12:18:21');
INSERT INTO complaint_remarks VALUES('5882','5382','COMPLAINT ATTEND HO GEI HIAN S/C LA K GAY HAIN KAL WORKING IN PROCESS','74','2021-04-20 12:20:26','2021-04-20 12:20:26');
INSERT INTO complaint_remarks VALUES('5883','5380','FLOOR STANDING AJ ATTEND HO JAY GEI','74','2021-04-20 12:36:56','2021-04-20 12:36:56');
INSERT INTO complaint_remarks VALUES('5884','5379','NO VISIT REMINDER S/C','74','2021-04-20 12:38:03','2021-04-20 12:38:03');
INSERT INTO complaint_remarks VALUES('5885','5404','VISIT TO DAY WASEEM TECHNICIAN AJ ATTEND KARAY GAY COMPLIANT','74','2021-04-20 12:50:01','2021-04-20 12:50:01');
INSERT INTO complaint_remarks VALUES('5886','5396','COMPLAINT SHOWROOM PA HI ATTEND HO K RESOLVED HO GEI COMPLAINT RESOLVED','74','2021-04-20 12:55:29','2021-04-20 12:55:29');
INSERT INTO complaint_remarks VALUES('5887','5371','COMPLAINT ATTEND HO GEI HAIN PART DEMAND KIYA HOA HAIN','74','2021-04-20 13:13:17','2021-04-20 13:13:17');
INSERT INTO complaint_remarks VALUES('5888','5357','ABDUL REHMAN KO REMIND DA DIA HAIN VISIT K LIYA','74','2021-04-20 13:56:27','2021-04-20 13:56:27');
INSERT INTO complaint_remarks VALUES('5889','5322','UNIT S/C MAIN READY HAIN BUT CUSTOMER NA LAYNA SA INKAR KAR DIA','74','2021-04-20 14:25:29','2021-04-20 14:25:29');
INSERT INTO complaint_remarks VALUES('5890','5385','GHULAM MURTAZYHA COMPLINT ATTEND KARAY GAY 03142437390 KAL INFORM,ED BY IQBAL KRL','74','2021-04-20 14:35:42','2021-04-20 14:35:42');
INSERT INTO complaint_remarks VALUES('5891','5385','OTHER#03475646957','74','2021-04-20 14:43:04','2021-04-20 14:43:04');
INSERT INTO complaint_remarks VALUES('5892','5364','ADD MUMAN SAB KO FF KAR DIA','74','2021-04-20 14:46:03','2021-04-20 14:46:03');
INSERT INTO complaint_remarks VALUES('5893','5406','COMPLAINT RESOLVED','74','2021-04-21 11:00:10','2021-04-21 11:00:10');
INSERT INTO complaint_remarks VALUES('5894','5405','COMPLAINT RESOLVED','74','2021-04-21 11:10:12','2021-04-21 11:10:12');
INSERT INTO complaint_remarks VALUES('5895','5412','COMPLAINT ATTEND HO GEI HAIN TEMPERATURE  SETTING ADJUST KAR K GAY HAIN REF ABI UNDER OBSERVATION HAIN','74','2021-04-21 11:16:59','2021-04-21 11:16:59');
INSERT INTO complaint_remarks VALUES('5896','5410','COMPLAINT RESOLVED','74','2021-04-21 11:18:26','2021-04-21 11:18:26');
INSERT INTO complaint_remarks VALUES('5897','5407','VISIT TO DAY','74','2021-04-21 11:24:18','2021-04-21 11:24:18');
INSERT INTO complaint_remarks VALUES('5898','5409','NO VISIT REMINDER KHURRAM BHAI','74','2021-04-21 11:25:21','2021-04-21 11:25:21');
INSERT INTO complaint_remarks VALUES('5899','5420','COMPLAINT NO 4491','92','2021-04-21 11:35:31','2021-04-21 11:35:31');
INSERT INTO complaint_remarks VALUES('5900','5403','COMPLAINT RESOLVEDE','74','2021-04-21 11:36:44','2021-04-21 11:36:44');
INSERT INTO complaint_remarks VALUES('5901','5402','COMPLAINT ATTEND HO GEI DOOR DEMAND HAIN','74','2021-04-21 11:42:11','2021-04-21 11:42:11');
INSERT INTO complaint_remarks VALUES('5902','5401','COMPLAINT RESOLVED','74','2021-04-21 11:48:27','2021-04-21 11:48:27');
INSERT INTO complaint_remarks VALUES('5903','5377','COMPLAINT ATTEND HO GEI HAIN BUNNER LA K GAYA HAIN  I 10 S/C SA','74','2021-04-21 11:58:52','2021-04-21 11:58:52');
INSERT INTO complaint_remarks VALUES('5904','5399','COMPLAINT ATTEND HO GEI HAIN PART DEMAND KIYA HAIN','74','2021-04-21 12:02:22','2021-04-21 12:02:22');
INSERT INTO complaint_remarks VALUES('5905','5397','COMPLAINT RESOLVED','74','2021-04-21 12:03:57','2021-04-21 12:03:57');
INSERT INTO complaint_remarks VALUES('5906','5386','COMPLAINT ATTEND HO GEI HAIN TANK DEMAND KAR DIA HAIN','74','2021-04-21 12:04:57','2021-04-21 12:04:57');
INSERT INTO complaint_remarks VALUES('5907','5208','COMPLAINT ATTEND HO GEI HAIN TANK DEMAND KIYA HOA HAIN','74','2021-04-21 12:06:15','2021-04-21 12:06:15');
INSERT INTO complaint_remarks VALUES('5908','5199','COMPLAINT ATTEND HO GEI HAIN TANK DEMAND KIYA HOA HAIN','74','2021-04-21 12:06:51','2021-04-21 12:06:51');
INSERT INTO complaint_remarks VALUES('5909','5393','COMPLAINT RESOLVED','74','2021-04-21 12:17:17','2021-04-21 12:17:17');
INSERT INTO complaint_remarks VALUES('5910','5392','NO VISIT','74','2021-04-21 12:18:51','2021-04-21 12:18:51');
INSERT INTO complaint_remarks VALUES('5911','5394','CUSTOMER STILL NOT ATTEND CALL','74','2021-04-21 12:23:03','2021-04-21 12:23:03');
INSERT INTO complaint_remarks VALUES('5912','5391','03325123451 NOT ATTEND CALL.
COMPLAINT ATTEND HO GEI HAIN  INVETER BOARD & CONTROL  BOARD REPLACE KAR DIA COMPLAINT RESOLVED','74','2021-04-21 12:32:49','2021-04-21 12:32:49');
INSERT INTO complaint_remarks VALUES('5913','5390','NOT ATTEND CALL','74','2021-04-21 12:36:39','2021-04-21 12:36:39');
INSERT INTO complaint_remarks VALUES('5914','5385','AMJAD SAB SA BAT HOI HAIN COMPLAINT RESOLVED','74','2021-04-21 12:41:52','2021-04-21 12:41:52');
INSERT INTO complaint_remarks VALUES('5915','5384','S/C REMINDER DA DIA GAIN VISIT K LIYA','74','2021-04-21 12:48:53','2021-04-21 12:48:53');
INSERT INTO complaint_remarks VALUES('5916','5380','COMPLIANT ATTEND HO GEI HAIN FUSE KA ISSUE THA  INFORMED BY B COOL','74','2021-04-21 12:52:31','2021-04-21 12:52:31');
INSERT INTO complaint_remarks VALUES('5917','5400','TECHNICIAN CUSTOMER K GHR PA HAIN  WORKINFG IN PROCESS','74','2021-04-21 12:56:27','2021-04-21 12:56:27');
INSERT INTO complaint_remarks VALUES('5918','5031','COMPLAINT RESOLVED','74','2021-04-21 13:06:01','2021-04-21 13:06:01');
INSERT INTO complaint_remarks VALUES('5919','4432','KHURRAM SIR KO INVOICE SHER KAR DI HAIN','74','2021-04-21 13:46:17','2021-04-21 13:46:17');
INSERT INTO complaint_remarks VALUES('5920','4579','KHURRAM SIR KO INVOICE SHER KAR DI QABZOO K,LIYA','74','2021-04-21 13:48:48','2021-04-21 13:48:48');
INSERT INTO complaint_remarks VALUES('5921','5365','NOT ATTEND CALL','74','2021-04-21 13:50:15','2021-04-21 13:50:15');
INSERT INTO complaint_remarks VALUES('5922','5371','IN DOOR BROAD BUNNERHOYA WAY HAIN   DEMAND KIYA HOAY HAIN','74','2021-04-21 14:39:59','2021-04-21 14:39:59');
INSERT INTO complaint_remarks VALUES('5923','5371','INFORMED BY B COOL','74','2021-04-21 14:40:12','2021-04-21 14:40:12');
INSERT INTO complaint_remarks VALUES('5924','5300','COMPLAINT  ATTEND HO GEI HAIN  W/D S/C WORKING IN PROCESS','74','2021-04-21 14:44:26','2021-04-21 14:44:26');
INSERT INTO complaint_remarks VALUES('5925','5285','OUT PCB  REPLACE  COMPLAINT RESOLVED','74','2021-04-21 14:53:43','2021-04-21 14:53:43');
INSERT INTO complaint_remarks VALUES('5926','5335','COMPLAINT RESOLVED','74','2021-04-21 15:52:52','2021-04-21 15:52:52');
INSERT INTO complaint_remarks VALUES('5927','5417','COMPLAINT ATTEND HO GEI HAIN MOTHER BOARD  DEMAND KIYA HOA HAIN','74','2021-04-22 10:28:48','2021-04-22 10:28:48');
INSERT INTO complaint_remarks VALUES('5928','5416','COMPLAINT RESOLVED','74','2021-04-22 10:33:04','2021-04-22 10:33:04');
INSERT INTO complaint_remarks VALUES('5929','5429','COMPLAINT ATTEND HO GEI HAIN PART DEMAND KIYA HOA HAIN','74','2021-04-22 10:39:02','2021-04-22 10:39:02');
INSERT INTO complaint_remarks VALUES('5930','5425','SHAM NAIN VISIT KA BOLA HAIN KHURRAM BAHI NA','74','2021-04-22 10:44:29','2021-04-22 10:44:29');
INSERT INTO complaint_remarks VALUES('5931','5422','NO VISIT REMINDER S/C','74','2021-04-22 11:41:39','2021-04-22 11:41:39');
INSERT INTO complaint_remarks VALUES('5932','5414','COMPLAINT RESOLVED','74','2021-04-22 11:48:53','2021-04-22 11:48:53');
INSERT INTO complaint_remarks VALUES('5933','5418','VISIT TO DAY','74','2021-04-22 11:51:12','2021-04-22 11:51:12');
INSERT INTO complaint_remarks VALUES('5934','5413','IN PROCESS COMPLIANT','74','2021-04-22 11:52:54','2021-04-22 11:52:54');
INSERT INTO complaint_remarks VALUES('5935','5298','COMPLAINT RESOLVED','74','2021-04-22 12:03:27','2021-04-22 12:03:27');
INSERT INTO complaint_remarks VALUES('5936','5390','COMPLAINT ATTEND  HO GEI HAIN PANAL DAMAGE HAIN','74','2021-04-22 12:14:35','2021-04-22 12:14:35');
INSERT INTO complaint_remarks VALUES('5937','5382','S/C WORKING IN PROCESS','74','2021-04-22 12:22:36','2021-04-22 12:22:36');
INSERT INTO complaint_remarks VALUES('5938','3533','CUSTOMER K CARD LG S/C MAIN HAIN MADA SHAMIM K PASS .CUSTOMER CARD NOT REPAIRABLE  NEW CRD KI PRICE 23000 CUSTOMER KO INFORMED KARNAY K LIYA CALL KAR RAHAY HAIN BUT CUSTOMER KA NO STILL NOT RESPONDING   JA RAHA HAIN INFORMED BY ADIL BHI','74','2021-04-22 12:39:20','2021-04-22 12:39:20');
INSERT INTO complaint_remarks VALUES('5939','5365','REMOTE SETTING K DEMO DIA THA COMPLIANT  RESOLVED','74','2021-04-22 12:51:05','2021-04-22 12:51:05');
INSERT INTO complaint_remarks VALUES('5940','5374','COMPLAINT ATTEND HO GEI HAIN GAS KIT ADJUST H=KI HAIN','74','2021-04-22 12:56:30','2021-04-22 12:56:30');
INSERT INTO complaint_remarks VALUES('5941','5379','KAL ATTEND KARAY GAY','74','2021-04-22 13:02:37','2021-04-22 13:02:37');
INSERT INTO complaint_remarks VALUES('5942','5283','COMPLAINT RESOLVED','74','2021-04-22 13:22:53','2021-04-22 13:22:53');
INSERT INTO complaint_remarks VALUES('5943','5448','COMPLAINT RESOLVED','74','2021-04-22 13:46:20','2021-04-22 13:46:20');
INSERT INTO complaint_remarks VALUES('5944','5281','NAEEM KENWOOD KO AGAIN REMINDER DA DIA','74','2021-04-22 14:05:13','2021-04-22 14:05:13');
INSERT INTO complaint_remarks VALUES('5945','5471','VIDEO & INVOICE  COMLAINT# TAUQEER SAB KO FF KAR DIA','74','2021-04-22 14:17:46','2021-04-22 14:17:46');
INSERT INTO complaint_remarks VALUES('5946','4960','03098997044 HAIDER','74','2021-04-22 14:40:46','2021-04-22 14:40:46');
INSERT INTO complaint_remarks VALUES('5947','4960','PART MAIN BOARD DEMAND KIYA HOA HAIN HAODER SAB NA 0309899970','74','2021-04-22 14:42:00','2021-04-22 14:42:00');
INSERT INTO complaint_remarks VALUES('5948','5436','COMPLAINT ATTEND HO GEI HAIN PANAL KA ISSUE HAIN PANAL REPLACE HO GA TPANAL ANAY MAIN TIME LAGAY GA','74','2021-04-22 15:16:44','2021-04-22 15:16:44');
INSERT INTO complaint_remarks VALUES('5949','5428','BACK LIGHT KA ISSUE THA SET OK HO GAYA HAIN 3000 KA BILL HAIN FF TO IKHLAQ SAB','74','2021-04-22 15:20:28','2021-04-22 15:20:28');
INSERT INTO complaint_remarks VALUES('5950','5281','COMPLAINT RESOLVED SHOWROOM PA BILAL SAB NA CHEEKED KARWAY COMPANY S/C WALO KO','74','2021-04-22 15:24:50','2021-04-22 15:24:50');
INSERT INTO complaint_remarks VALUES('5951','5057','W/D S/C MAIN OK CHAL RAHAY HAIN KOI HEATUP NAI HO RAHA BUT CUSTOMER W/D LAYNA PA AGREE NAI HO RAHAY INFORMED BY IRFAN SAB','74','2021-04-22 15:41:21','2021-04-22 15:41:21');
INSERT INTO complaint_remarks VALUES('5952','5425','VISIT TO DAY JUMAY K BAD VISIT KARAY GAY INFORMED BY CUSTOMER','74','2021-04-23 10:55:33','2021-04-23 10:55:33');
INSERT INTO complaint_remarks VALUES('5953','5452','COMPLAINT RESOLVED','74','2021-04-23 11:11:41','2021-04-23 11:11:41');
INSERT INTO complaint_remarks VALUES('5954','5453','COMPLIANT ATTEND HO GEI HAIN  S/C REQUIRED PARTY LIFTING CASE','74','2021-04-23 11:13:36','2021-04-23 11:13:36');
INSERT INTO complaint_remarks VALUES('5955','5431','IN PROCESS COMPLAINT HAIN CUSTOMER KO S/C KA NO B PROVIDE KAR DIA','74','2021-04-23 11:14:46','2021-04-23 11:14:46');
INSERT INTO complaint_remarks VALUES('5956','5450','COMPLAINT RESOLVED','74','2021-04-23 11:18:38','2021-04-23 11:18:38');
INSERT INTO complaint_remarks VALUES('5957','5449','COMPLAINT ATTEND HO GEI HAIN PART DEMAND KIYA HOA HAIN','74','2021-04-23 11:26:05','2021-04-23 11:26:05');
INSERT INTO complaint_remarks VALUES('5958','5443','GALASS DEMAND KAR DIA HAIN  MONDAY TAQ UP DATE KARAY GAY CUSTOMER KO INFORMED BY ABU BAKAR','74','2021-04-23 11:26:57','2021-04-23 11:26:57');
INSERT INTO complaint_remarks VALUES('5959','5447','THERMOSTAT REPLACE KIYA HAIN COMPLIANT RESOLVED','74','2021-04-23 11:33:13','2021-04-23 11:33:13');
INSERT INTO complaint_remarks VALUES('5960','5444','COMPLAINT RESOLVED','74','2021-04-23 11:34:51','2021-04-23 11:34:51');
INSERT INTO complaint_remarks VALUES('5961','5438','CUSTOMER SIDE SA DELAY HAIN COMPLIANT SUNDAY KA TIME DIA HAIN CUSTOMER NA','74','2021-04-23 11:43:14','2021-04-23 11:43:14');
INSERT INTO complaint_remarks VALUES('5962','5490','CUSTOMER N COMPLAINT 04 APRIL KO KHUD IMRAN TCL KO CALL KAR K ENTER KARWAI COMPLAINT ATTEND B HO GEI THI KUCH PART B CHANGE KIYA FIR B ISSUE RESOLVED NI HOA CUSTOMER KO LHR S/C SA CALL AAI HAIN K SET S/C MOVE KARWA DAY MONDAY  KO IMRAN TCL SA CONFIRM KAR K BAKI PROCESS KARAY GAY INFORMED BY CUSTOMER','74','2021-04-23 13:23:15','2021-04-23 13:23:15');
INSERT INTO complaint_remarks VALUES('5963','5425','COMPLAINT ATTEND HO GEI HAIN TANK LEAKAGE PROB HAIN CUSTOMER KO REPLACEMENT KI DEMAND KAR RAHAY HAIN YAWAR  SAB KO TANK KI VIDEO & INVOICE SHER KAR DI','74','2021-04-23 15:15:47','2021-04-23 15:15:47');
INSERT INTO complaint_remarks VALUES('5964','5442','YHA HAIER K REF KI COMPLAINT NAI THI DAWALANCE  REF KI COMPLAINT THI  COMPLAINT CLOSED','74','2021-04-23 15:16:32','2021-04-23 15:16:32');
INSERT INTO complaint_remarks VALUES('5965','5463','COMPLAINT RESOLVED','74','2021-04-23 15:18:03','2021-04-23 15:18:03');
INSERT INTO complaint_remarks VALUES('5966','5425','MUDASIR PWD KO B INFORMED KAR DIA','74','2021-04-23 15:25:04','2021-04-23 15:25:04');
INSERT INTO complaint_remarks VALUES('5967','5437','COMPLAINT RESOLVED','74','2021-04-23 15:26:35','2021-04-23 15:26:35');
INSERT INTO complaint_remarks VALUES('5968','5435','COMPLAINT ATTEND HO GEI HAIN PARTS DEMAND KIYA HOA HAIN','74','2021-04-23 15:28:01','2021-04-23 15:28:01');
INSERT INTO complaint_remarks VALUES('5969','5418','COMPLAINT RESOLVED','74','2021-04-23 15:37:06','2021-04-23 15:37:06');
INSERT INTO complaint_remarks VALUES('5970','5426','COMPLAINT RESOLVED','74','2021-04-23 15:39:29','2021-04-23 15:39:29');
INSERT INTO complaint_remarks VALUES('5971','5413','COMPLAINT RESOLVED','74','2021-04-23 15:43:46','2021-04-23 15:43:46');
INSERT INTO complaint_remarks VALUES('5972','5412','COMPLAINT ATTEND HO GEI HAIN REF MAIN KOI ISSUE NI CUSTOMER NA REF BOATH OVER LOUD KIYA HOA HAIN TAQUEER SAB NA PIC SHRE  KAR DI HAIN KAL AGAIN VISIT KARWAY GAY','74','2021-04-23 16:00:48','2021-04-23 16:00:48');
INSERT INTO complaint_remarks VALUES('5973','5199','GEYSER AGAY HAIN CUSTOMER KO CALL KAR DI HAIN GEYSER I 10 MOVE KRWANAY KLIYA','74','2021-04-23 16:27:10','2021-04-23 16:27:10');
INSERT INTO complaint_remarks VALUES('5974','5199','CUSTOMER  KO  ADD B WHATSAPP KAR DI','74','2021-04-23 16:29:03','2021-04-23 16:29:03');
INSERT INTO complaint_remarks VALUES('5975','5386','TANK AGAY HAIN CUSTOMER KO CALL KAR DI HAIN GEYSER I 1-10 MOVE KARNAY K LIYA  ADD B WHATSAPP KAR DIA','74','2021-04-23 16:36:59','2021-04-23 16:36:59');
INSERT INTO complaint_remarks VALUES('5976','5434','COMPLAINT ATTEND HO GEI HAIN REF K WELL JO LA K GAY THY WO ADJUST NI HOA PIC LA K AAY HAIN PARTS DEMAND KAR DIA COMPANY NA','74','2021-04-23 16:38:26','2021-04-23 16:38:26');
INSERT INTO complaint_remarks VALUES('5977','5434','INFORMED BY TARIQ','74','2021-04-23 16:38:38','2021-04-23 16:38:38');
INSERT INTO complaint_remarks VALUES('5978','5481','COMPLAINT ATTEND HO GEI HAIN AJ AGAIN VISIT PA COMPLAINT COMPLETED HO JAY  GEI','74','2021-04-24 10:41:15','2021-04-24 10:41:15');
INSERT INTO complaint_remarks VALUES('5979','5478','COMPLAINT RESOLVED','74','2021-04-24 10:44:18','2021-04-24 10:44:18');
INSERT INTO complaint_remarks VALUES('5980','5480','COMPLAINT AL READY SA ENTER HAIN  RAHMANI SAB TASK# 5425','74','2021-04-24 10:45:13','2021-04-24 10:45:13');
INSERT INTO complaint_remarks VALUES('5981','5472','COMPLAINT RESOLVED','74','2021-04-24 10:46:52','2021-04-24 10:46:52');
INSERT INTO complaint_remarks VALUES('5982','5470','COMPLAINT RESOLVED','74','2021-04-24 10:49:01','2021-04-24 10:49:01');
INSERT INTO complaint_remarks VALUES('5983','5485','COMPLAINT IN PROCESS HAIN','74','2021-04-24 11:08:13','2021-04-24 11:08:13');
INSERT INTO complaint_remarks VALUES('5984','5479','IN PROCESS COMPLAINT','74','2021-04-24 11:08:56','2021-04-24 11:08:56');
INSERT INTO complaint_remarks VALUES('5985','5477','IN PROCESS COMPLAINT','74','2021-04-24 11:09:19','2021-04-24 11:09:19');
INSERT INTO complaint_remarks VALUES('5986','5462','COMPLAINT RESOLVED','74','2021-04-24 11:46:44','2021-04-24 11:46:44');
INSERT INTO complaint_remarks VALUES('5987','5456','COMPLAINT RESOLVED','74','2021-04-24 11:50:48','2021-04-24 11:50:48');
INSERT INTO complaint_remarks VALUES('5988','5457','COMPLAINT RESOLVED','74','2021-04-24 11:52:08','2021-04-24 11:52:08');
INSERT INTO complaint_remarks VALUES('5989','5458','COMPLAINT RESOLVED','74','2021-04-24 11:57:22','2021-04-24 11:57:22');
INSERT INTO complaint_remarks VALUES('5990','5454','COMPLAINT ATTEND HO GEI HAIN W/M S/C WORKING IN PROCESS','74','2021-04-24 12:02:01','2021-04-24 12:02:01');
INSERT INTO complaint_remarks VALUES('5991','5453','CUSTOMER KI SIDE SA DELAY COMPLAINT','74','2021-04-24 12:03:32','2021-04-24 12:03:32');
INSERT INTO complaint_remarks VALUES('5992','5276','NOT ATTEND CALL','74','2021-04-24 12:13:33','2021-04-24 12:13:33');
INSERT INTO complaint_remarks VALUES('5993','5468','COMPLAINT ATTEND HO GEI HAIN BUT ISSUE RESOLVED NI HOA S/C REMINDER DA DIA','74','2021-04-24 13:16:24','2021-04-24 13:16:24');
INSERT INTO complaint_remarks VALUES('5994','5234','CUSTOMER NA KHUD SA ISSUE RESOLVED KAR LIYA COMPLAINT CLOSED','74','2021-04-24 13:18:55','2021-04-24 13:18:55');
INSERT INTO complaint_remarks VALUES('5995','5338','PART DEMAND','74','2021-04-24 13:30:58','2021-04-24 13:30:58');
INSERT INTO complaint_remarks VALUES('5996','5459','COMPLAINT RESOLVED','92','2021-04-25 13:20:35','2021-04-25 13:20:35');
INSERT INTO complaint_remarks VALUES('5997','5467','COMPLAINT RESOLVED','92','2021-04-25 13:22:09','2021-04-25 13:22:09');
INSERT INTO complaint_remarks VALUES('5998','5481','CUSTOMER NOT ATTEND CALL','92','2021-04-25 13:26:29','2021-04-25 13:26:29');
INSERT INTO complaint_remarks VALUES('5999','5481','COMPLAINT RESOLVED','92','2021-04-25 13:35:50','2021-04-25 13:35:50');
INSERT INTO complaint_remarks VALUES('6000','5379','COMPLAINT RESOLVED','92','2021-04-25 14:31:56','2021-04-25 14:31:56');
INSERT INTO complaint_remarks VALUES('6001','5512','IN PROCESS COMPLAINT CUSTOMER KO S/C KA NO B PROVIDE KAR DIA','74','2021-04-26 10:53:15','2021-04-26 10:53:15');
INSERT INTO complaint_remarks VALUES('6002','5491','COMPLAINT RESOLVED','74','2021-04-26 10:58:14','2021-04-26 10:58:14');
INSERT INTO complaint_remarks VALUES('6003','5486','COMPLAINT ATTEND HO GEI HAIN ELECTRICITY MAIN KOI ISSUE  OUT DOOR MAIN KOI ISSUE NAI KAL AGAIN CUSTOMER SA CONFORM, KARAY GAY','74','2021-04-26 11:10:40','2021-04-26 11:10:40');
INSERT INTO complaint_remarks VALUES('6004','5487','WASEEM TECHNICIAN SA IC COMPLAINT ATTEND KI HAIN 03369907307 
EM PAIR-7-4 TAQ DOWN HO RAHAIN HAIN OUT DOOR MAIN SENSOR KA LAGA HOA HAIN WEATHER KI WAJA SA IC TARHA HO RAHA HAIN','74','2021-04-26 11:14:51','2021-04-26 11:14:51');
INSERT INTO complaint_remarks VALUES('6005','5485','COMPLAINT RESOLVED','74','2021-04-26 11:16:19','2021-04-26 11:16:19');
INSERT INTO complaint_remarks VALUES('6006','5471','COMPLAINT RESOLVED','74','2021-04-26 11:18:46','2021-04-26 11:18:46');
INSERT INTO complaint_remarks VALUES('6007','5454','COMPLAINT RESOLVED','74','2021-04-26 11:23:11','2021-04-26 11:23:11');
INSERT INTO complaint_remarks VALUES('6008','5453','CUSTOMER SIDE SA COMPLAINT DELAY HAIN ABI CUSTOMER BUSY HAIN S/C MOVE NAI KARA SAKTAY  CUSTOMER NA COMPLAINT ABI HUD SA CLOSED KARWA DI','74','2021-04-26 11:27:19','2021-04-26 11:27:19');
INSERT INTO complaint_remarks VALUES('6009','5500','IN PROCESS COMPLAINT CUSTOMER KA OTHER #TECHNICIAN KO PROVIDE KAR DIA','74','2021-04-26 11:33:07','2021-04-26 11:33:07');
INSERT INTO complaint_remarks VALUES('6010','5382','MOTER KA ISSUE HAIN LHR DEMAND KI HOI HAIN','74','2021-04-26 11:36:40','2021-04-26 11:36:40');
INSERT INTO complaint_remarks VALUES('6011','5371','NAEEM KENWOOD SA CONFIRM KIYA HAIN PARTS AJ RECIVED HO GAY UNHAY','74','2021-04-26 11:52:13','2021-04-26 11:52:13');
INSERT INTO complaint_remarks VALUES('6012','4488','DOOR IN PROCESS','74','2021-04-26 12:01:40','2021-04-26 12:01:40');
INSERT INTO complaint_remarks VALUES('6013','5232','HOT TANK REPLACE HOA HAIN','74','2021-04-26 12:06:42','2021-04-26 12:06:42');
INSERT INTO complaint_remarks VALUES('6014','5524','COM NO 1858973','92','2021-04-26 12:11:07','2021-04-26 12:11:07');
INSERT INTO complaint_remarks VALUES('6015','5232','COMPLAINT RESOLVED','74','2021-04-26 12:12:04','2021-04-26 12:12:04');
INSERT INTO complaint_remarks VALUES('6016','5341','COMPLAINT RESOLVED','74','2021-04-26 12:16:11','2021-04-26 12:16:11');
INSERT INTO complaint_remarks VALUES('6017','5392','PARTY LIFTING CASE HAIN CUSTOMER KO AHMED ORIENT KA NO B PROVIDE KAR DIA','74','2021-04-26 12:31:00','2021-04-26 12:31:00');
INSERT INTO complaint_remarks VALUES('6018','5384','GASS REFILEHOI HAIN','74','2021-04-26 12:46:00','2021-04-26 12:46:00');
INSERT INTO complaint_remarks VALUES('6019','5496','IN PROCESS COMPLAINT VISIT TO DAY','74','2021-04-26 12:52:29','2021-04-26 12:52:29');
INSERT INTO complaint_remarks VALUES('6020','5384','COMPLAINT RESOLVED','74','2021-04-26 12:53:12','2021-04-26 12:53:12');
INSERT INTO complaint_remarks VALUES('6021','5412','USMAN S/C SA CONFIRM KAR K COMPLAINT CLOSED KI','74','2021-04-26 12:55:00','2021-04-26 12:55:00');
INSERT INTO complaint_remarks VALUES('6022','5429','BOARD AAGY HAIN AJ ATTEND HO JAY GEI COMPLAINT','74','2021-04-26 12:58:44','2021-04-26 12:58:44');
INSERT INTO complaint_remarks VALUES('6023','5440','NO VISIT REMINDER KHURRAM BHAI','74','2021-04-26 13:00:00','2021-04-26 13:00:00');
INSERT INTO complaint_remarks VALUES('6024','5435','PART DEMAND','74','2021-04-26 13:03:32','2021-04-26 13:03:32');
INSERT INTO complaint_remarks VALUES('6025','5422','ORIENT GROUP MAIN COMPLAINT FF KI BUT NAI ATTEND HOI AJ AGAIN UN NO PA COMPLIANT FF KARWA DI','74','2021-04-26 13:04:04','2021-04-26 13:04:04');
INSERT INTO complaint_remarks VALUES('6026','5399','VOLTAGE KA ISSUE THA VEGETABLE BOX  OPER WALA COVER DEMAND KIYA HOA HAIN','74','2021-04-26 13:16:22','2021-04-26 13:16:22');
INSERT INTO complaint_remarks VALUES('6027','5407','COMPLAINT RESOLVED','74','2021-04-26 13:20:16','2021-04-26 13:20:16');
INSERT INTO complaint_remarks VALUES('6028','5502','BILAL MANZOOR KO MODEL CONFIRM KARNAY K LIYA INVOCIE SHER KA DI','74','2021-04-26 13:45:50','2021-04-26 13:45:50');
INSERT INTO complaint_remarks VALUES('6029','5502','PANAL DAMAGE','74','2021-04-26 13:46:04','2021-04-26 13:46:04');
INSERT INTO complaint_remarks VALUES('6030','5300','S/C SA READY HO K IQBAL SAB K PASS AAY GAY HAIN','74','2021-04-26 14:06:51','2021-04-26 14:06:51');
INSERT INTO complaint_remarks VALUES('6031','5370','COMPLAINT ATTEND HO GEI HAIN SET S/C MAIN OK HO GAY GAY HAIN POWER SUPPLY KA ISSUE THA  EXP 8000 CUSTOMER KO USMAN SAB NA INFORMED KAR DIA HAIN','74','2021-04-26 14:33:03','2021-04-26 14:33:03');
INSERT INTO complaint_remarks VALUES('6032','5370','2 SET HAIN 40 INC K HAIN 65 IN KI SET NAI HIAN','74','2021-04-26 14:33:32','2021-04-26 14:33:32');
INSERT INTO complaint_remarks VALUES('6033','5331','COMPLAINT ATTEND HO GEI HAIN BOARD FULTY HAIN SET S/C MAIN KHALID SAB K PASS HAIN EXP 36900 CUSTOMER KO INFORMED KAE DIA HAIN CUSTOMER APPROVAL DAY GAY FIR BOARD DEMAND KARAY GAY','74','2021-04-26 14:35:40','2021-04-26 14:35:40');
INSERT INTO complaint_remarks VALUES('6034','5330','COMPLAINT ATTEND HO GEI HAIN SET S/C MAIN HAIN BOARD FULTY HAIN EXP 28580 CUSTOMER KO INFORMED KAR DIA HAIN CUSTOMER APPROVAL DAY GAY TU FIR BOARD DEMAND HO GAY','74','2021-04-26 14:38:02','2021-04-26 14:38:02');
INSERT INTO complaint_remarks VALUES('6035','5394','CUSTOMER STILL CALL ATTEND NI KA RAHI INFORMED BY ABU BAKR','74','2021-04-26 15:03:50','2021-04-26 15:03:50');
INSERT INTO complaint_remarks VALUES('6036','5428','SET IKLAQ SAB K PASS DELEVER HO GEI HAIN PAYMENT KA CLEAR HO JAY FIR CLOSED KARAY GAY COMPLAINT','74','2021-04-26 15:43:59','2021-04-26 15:43:59');
INSERT INTO complaint_remarks VALUES('6037','4599','CUSTOMER NA NEW SET LA LIYA HAIN EXP KI APPROVAL NAI DI THI  COMPLAINT CLOSED','74','2021-04-26 16:03:00','2021-04-26 16:03:00');
INSERT INTO complaint_remarks VALUES('6038','4599','COMPLAINT CLOSED','74','2021-04-26 16:03:35','2021-04-26 16:03:35');
INSERT INTO complaint_remarks VALUES('6039','5327','COMPLAINT RESOLVED','74','2021-04-26 16:06:15','2021-04-26 16:06:15');
INSERT INTO complaint_remarks VALUES('6040','5518','COMPLAINT RESOLVED','74','2021-04-27 10:42:49','2021-04-27 10:42:49');
INSERT INTO complaint_remarks VALUES('6041','5514','NOT ATTEND CALL','74','2021-04-27 10:44:31','2021-04-27 10:44:31');
INSERT INTO complaint_remarks VALUES('6042','5409','COMPLAINT RESOLVED','74','2021-04-27 10:47:33','2021-04-27 10:47:33');
INSERT INTO complaint_remarks VALUES('6043','5513','NOT ATTEND CALL','74','2021-04-27 10:47:43','2021-04-27 10:47:43');
INSERT INTO complaint_remarks VALUES('6044','5504','CUSTOMER NA TECHNICIAN KO AJ KA TIME DIA HAIN VISIT K LIYA','74','2021-04-27 10:59:18','2021-04-27 10:59:18');
INSERT INTO complaint_remarks VALUES('6045','5503','COMPLAINT RESOLVED','74','2021-04-27 11:08:48','2021-04-27 11:08:48');
INSERT INTO complaint_remarks VALUES('6046','5490','TEE CON & MAIN BOARD REPLACE KIYA HAIN BUT ISSUE RESOLVED NAI HOA HAIN TECHNICIAN UNIT PACK KAR K CUSTOMER KO DA AAY HAIN CUSTOMER NA KHUD S/C MOVE KARWANA HAIN PANAL K ISSUE HAIN','74','2021-04-27 11:36:54','2021-04-27 11:36:54');
INSERT INTO complaint_remarks VALUES('6047','5490','INFORMED BY ADIL BHI FHSS','74','2021-04-27 11:43:54','2021-04-27 11:43:54');
INSERT INTO complaint_remarks VALUES('6048','5490','CUSTOMER KO IMRAN TCL KA NO B PROVIDE KAR DIA','74','2021-04-27 11:49:03','2021-04-27 11:49:03');
INSERT INTO complaint_remarks VALUES('6049','5510','CUSTOMER KO FREEZER REPLACE KAR DIA HAIN FULTY FREEZER AZEEM SAB K PASS MOVE KARWA DIA NEW COMPLAINT AZEEM SAB K NAAM KI BANA DI HAIN','74','2021-04-27 11:50:55','2021-04-27 11:50:55');
INSERT INTO complaint_remarks VALUES('6050','5497','CUSTOMER SIDE SA DELAY HAIN COMPLAINT CUSTOMER ABI OUT OFF CITY HAIN COMPLAINT CLOSED KARWA DI ABI','74','2021-04-27 11:58:52','2021-04-27 11:58:52');
INSERT INTO complaint_remarks VALUES('6051','5501','NO VISIT REMINDER S/C','74','2021-04-27 12:02:06','2021-04-27 12:02:06');
INSERT INTO complaint_remarks VALUES('6052','5399','COMPLAINT RESOLVED','74','2021-04-27 12:05:49','2021-04-27 12:05:49');
INSERT INTO complaint_remarks VALUES('6053','4859','CUSTOMER NA GEYSER BOOK KARWA DIA HAIN HAIN BULTY SAJID FICHER KO FF KAR DI HAIN','74','2021-04-27 12:16:21','2021-04-27 12:16:21');
INSERT INTO complaint_remarks VALUES('6054','4895','TARIQ SAB KO AJ AGAIN GEYSR K LIYA REMINDER DA DIA HAIN GEYSER AZHAE SAB K PASS HAIN MOVE NIA KARWAY ABI TAQ','74','2021-04-27 12:22:26','2021-04-27 12:22:26');
INSERT INTO complaint_remarks VALUES('6055','5500','TECHNICIAN  SRFARZ 03095559755 CUSTOMER SIDE SA CALL ATTEND NAI HOI TECHNICIAN SA SMS B KAR DIA HAIN','74','2021-04-27 12:26:56','2021-04-27 12:26:56');
INSERT INTO complaint_remarks VALUES('6056','5494','COMPLAINT RESOLVED CUSTOMER KHUD SA INSTALL KARWAY GAY','74','2021-04-27 12:29:29','2021-04-27 12:29:29');
INSERT INTO complaint_remarks VALUES('6057','4918','TIMER LAG K GAY HAIN BUT WO B KHARB HAIN REMINDER BY S/C','74','2021-04-27 13:00:01','2021-04-27 13:00:01');
INSERT INTO complaint_remarks VALUES('6058','5421','AIK COOLER OK HO GAYA HAIN AIK S/C LA K GAY HAIN','74','2021-04-27 13:12:35','2021-04-27 13:12:35');
INSERT INTO complaint_remarks VALUES('6059','4696','CUSTOMER SAIDE SA DELAY COMPLAINT CLOSED','74','2021-04-27 13:31:38','2021-04-27 13:31:38');
INSERT INTO complaint_remarks VALUES('6060','5417','COMPLAINT RESOLVED','74','2021-04-27 13:35:31','2021-04-27 13:35:31');
INSERT INTO complaint_remarks VALUES('6061','4771','PANL LHR SA REPLACE HO K AAY HAIN COMPLAINT RESOLVED','74','2021-04-27 13:42:59','2021-04-27 13:42:59');
INSERT INTO complaint_remarks VALUES('6062','4982','COMPLAINT ATTEND HO GEI HAIN TANK REPLACE HO GA LHR COMPANY S/C WALO KI SIDE SA DELAY COMPLAINT','74','2021-04-27 13:54:58','2021-04-27 13:54:58');
INSERT INTO complaint_remarks VALUES('6063','5276','RELAY KA ISSUE THA COMPLAINT RESOLVED','74','2021-04-27 13:57:49','2021-04-27 13:57:49');
INSERT INTO complaint_remarks VALUES('6064','5438','COMPLAINT ATTEND HO GEI HAIN DOOR OPEN KAR K LA K JANA','74','2021-04-27 14:18:23','2021-04-27 14:18:23');
INSERT INTO complaint_remarks VALUES('6065','5242','COMPLAINT RESOLVED','74','2021-04-27 14:20:57','2021-04-27 14:20:57');
INSERT INTO complaint_remarks VALUES('6066','5153','CUSTOMER SIDE SA DELAY COMPLAINT','74','2021-04-27 14:25:49','2021-04-27 14:25:49');
INSERT INTO complaint_remarks VALUES('6067','4951','COMPLAINT RESOLVED','74','2021-04-27 14:29:23','2021-04-27 14:29:23');
INSERT INTO complaint_remarks VALUES('6068','5057','CUSTOMER S/C SA W/D WAPISE LA GEI HAIN COMPLAINT CLOSED','74','2021-04-27 14:33:42','2021-04-27 14:33:42');
INSERT INTO complaint_remarks VALUES('6069','4989','COMPLAINT RESOLVED','74','2021-04-27 14:37:18','2021-04-27 14:37:18');
INSERT INTO complaint_remarks VALUES('6070','5429','GLASS LAGA DI HAIN HANDAL PENDING HAIN','74','2021-04-27 14:45:18','2021-04-27 14:45:18');
INSERT INTO complaint_remarks VALUES('6071','4782','GLASS LAGA DI HAIN HANDAL PENDING HAIN	KAL HANDAL LAGWA DAY GAY','74','2021-04-27 14:50:44','2021-04-27 14:50:44');
INSERT INTO complaint_remarks VALUES('6072','5536','COMPLAINT NO PKRI-210427111121','92','2021-04-27 17:08:52','2021-04-27 17:08:52');
INSERT INTO complaint_remarks VALUES('6073','5533','VISIT TO DAY','74','2021-04-28 11:01:50','2021-04-28 11:01:50');
INSERT INTO complaint_remarks VALUES('6074','5504','COMPLAINT ATTEND H GEI HAIN W/D S/C WORKING IN PROCESS','74','2021-04-28 11:07:18','2021-04-28 11:07:18');
INSERT INTO complaint_remarks VALUES('6075','5386','TANK REPLACE HO GAYA HAIN  CUSTOMER KO PICK KARNAY K LIYA INFORMED KAR DIA','74','2021-04-28 11:08:09','2021-04-28 11:08:09');
INSERT INTO complaint_remarks VALUES('6076','5531','NOT ATTEND CALL','74','2021-04-28 11:10:40','2021-04-28 11:10:40');
INSERT INTO complaint_remarks VALUES('6077','5434','WEEL PART DISPATCH HO GAYA HAIN KAL TAQ S/C WALO KO RECIVED HO JAY GA','74','2021-04-28 11:14:50','2021-04-28 11:14:50');
INSERT INTO complaint_remarks VALUES('6078','5422','COMPLAINT RESOLVED','74','2021-04-28 11:17:42','2021-04-28 11:17:42');
INSERT INTO complaint_remarks VALUES('6079','5402','DOOR REPLACE KIYA THA BUT FIR SA ISSUE AAGAY THA AGAIN DOOR DEMAND KIYA HAIN','74','2021-04-28 11:22:56','2021-04-28 11:22:56');
INSERT INTO complaint_remarks VALUES('6080','5430','COMPLAINT RESOLVED','74','2021-04-28 11:28:29','2021-04-28 11:28:29');
INSERT INTO complaint_remarks VALUES('6081','5394','VISIT TO DAY','74','2021-04-28 11:37:06','2021-04-28 11:37:06');
INSERT INTO complaint_remarks VALUES('6082','5153','CUSTOMER KI SIDE SA DELAY COMPLAINT BUSY HAIN FREE HO K S/C MOVE KARWAY GAY','74','2021-04-28 11:49:21','2021-04-28 11:49:21');
INSERT INTO complaint_remarks VALUES('6083','5361','COMPLAINT RESOLVED','74','2021-04-28 11:52:59','2021-04-28 11:52:59');
INSERT INTO complaint_remarks VALUES('6084','5508','COMPLAINT RESOLVED','74','2021-04-28 11:57:05','2021-04-28 11:57:05');
INSERT INTO complaint_remarks VALUES('6085','5199','TANK REPLACE KAR DIA HAI  PICK KARNAY K LIYA  CUSTOMER KO INFORMED KAR DIA','74','2021-04-28 11:59:59','2021-04-28 11:59:59');
INSERT INTO complaint_remarks VALUES('6086','5535','COMPLAINT RESOLVED','74','2021-04-28 12:01:23','2021-04-28 12:01:23');
INSERT INTO complaint_remarks VALUES('6087','5240','CUSTOMER STILL CALL ATTEND NAI KAR RAHI NA COMPANY S/C WALO KI NA HI HAMARI SO COMPLAINT CLOSED','74','2021-04-28 12:14:27','2021-04-28 12:14:27');
INSERT INTO complaint_remarks VALUES('6088','5240','INFORMED BY NAVEED FHSS','74','2021-04-28 12:15:35','2021-04-28 12:15:35');
INSERT INTO complaint_remarks VALUES('6089','5240','COMPLAINT CLOSED','74','2021-04-28 12:23:12','2021-04-28 12:23:12');
INSERT INTO complaint_remarks VALUES('6090','5496','COMPLAINT RESOLVED','74','2021-04-28 12:28:47','2021-04-28 12:28:47');
INSERT INTO complaint_remarks VALUES('6091','5531','COMPLAINT RESOLVED','74','2021-04-28 12:45:50','2021-04-28 12:45:50');
INSERT INTO complaint_remarks VALUES('6092','5530','COMALINT ATTEND HO GEI HAIN PARTY LIFTING CASE HAIN','74','2021-04-28 12:48:55','2021-04-28 12:48:55');
INSERT INTO complaint_remarks VALUES('6093','5502','MONTHER BOARD NAEEM SIR SA LIYA HAIN  KAL INSTALL KARWAY GAY','74','2021-04-28 17:05:07','2021-04-28 17:05:07');
INSERT INTO complaint_remarks VALUES('6094','5544','COMPLAINT RESOLVED','74','2021-04-29 11:02:21','2021-04-29 11:02:21');
INSERT INTO complaint_remarks VALUES('6095','5545','CUSTOMER NOT ATTEND CALL S/C','74','2021-04-29 11:14:50','2021-04-29 11:14:50');
INSERT INTO complaint_remarks VALUES('6096','5429','AJ PART LAGA DAY GAY','74','2021-04-29 11:16:54','2021-04-29 11:16:54');
INSERT INTO complaint_remarks VALUES('6097','5561','KAL COMPLAINT PA VISIT THA BUT CUSTOMER K PASS WARRANTY CARD NAI THA WARRANTY KI WAJA SA DELAY COMPLAINT','74','2021-04-29 11:20:35','2021-04-29 11:20:35');
INSERT INTO complaint_remarks VALUES('6098','5552','TO DAY VISIT CALL AAGEI HAIN CUSTOMER KO TECHNICIAN KI','74','2021-04-29 11:27:22','2021-04-29 11:27:22');
INSERT INTO complaint_remarks VALUES('6099','5539','COMPLAINT ATTEND HO GEI HAIN BUT ISSUE RESOLVED NAI HOA AGAIN REMINDER DA DIA S/C','74','2021-04-29 11:31:11','2021-04-29 11:31:11');
INSERT INTO complaint_remarks VALUES('6100','5533','COMPLAINT RESOLVED','74','2021-04-29 11:33:36','2021-04-29 11:33:36');
INSERT INTO complaint_remarks VALUES('6101','5564','COMPLAINT ATTEND HO GEI HAIN UNIT MAIN L=KOI ISSUE NAI  JUST CUSTOMER NA KHUD SA PLUG LAGWANA HAIN  COMPLAINT RESOLVED','74','2021-04-29 11:54:30','2021-04-29 11:54:30');
INSERT INTO complaint_remarks VALUES('6102','5443','MRS USMAN SA BT HO GEI HAIN INFORMED KAR DIA GLASS ANAY MAIN TIME LAGAY GA INFORMED BY ABU BAKR','74','2021-04-29 12:05:28','2021-04-29 12:05:28');
INSERT INTO complaint_remarks VALUES('6103','5509','NO VISIT CANNON MAIN REMINDER DA DIA','74','2021-04-29 12:11:23','2021-04-29 12:11:23');
INSERT INTO complaint_remarks VALUES('6104','5495','COMPLAINT RESOLVED','74','2021-04-29 12:15:14','2021-04-29 12:15:14');
INSERT INTO complaint_remarks VALUES('6105','5526','COMPLAINT RESOLVED','74','2021-04-29 12:16:59','2021-04-29 12:16:59');
INSERT INTO complaint_remarks VALUES('6106','5509','PAID JOB HAIN PARTY LIFTING CASE HAIN','74','2021-04-29 12:20:26','2021-04-29 12:20:26');
INSERT INTO complaint_remarks VALUES('6107','5468','COMPLAINT ATTEND HO GEI HAIN CUSTOMER KAL TAQ UP DATE KARAY GAY','74','2021-04-29 12:30:55','2021-04-29 12:30:55');
INSERT INTO complaint_remarks VALUES('6108','5435','COMPLAINT RESOLVED','74','2021-04-29 12:33:54','2021-04-29 12:33:54');
INSERT INTO complaint_remarks VALUES('6109','5487','COMPLAINT RESOLVED','74','2021-04-29 12:41:05','2021-04-29 12:41:05');
INSERT INTO complaint_remarks VALUES('6110','5559','COMPLAINT RESOLVED','74','2021-04-29 12:43:57','2021-04-29 12:43:57');
INSERT INTO complaint_remarks VALUES('6111','5562','COMPLAINT RESOLVED','74','2021-04-29 12:46:49','2021-04-29 12:46:49');
INSERT INTO complaint_remarks VALUES('6112','5490','SET LHR S/C MOVE KARWA DIA HAIN','74','2021-04-29 12:50:53','2021-04-29 12:50:53');
INSERT INTO complaint_remarks VALUES('6113','5504','COMPLAINT ATTEND HO GEI HAIN REF TO S/C BUT CUSTOMER AGREE NAI HAIN BRAND HI CHANGE KARWANA CAHA RAHAY HAIN  SHAHZAD SAB SA CONFIRM KAR K COMPLIANT CLOSED KI','74','2021-04-29 12:58:07','2021-04-29 12:58:07');
INSERT INTO complaint_remarks VALUES('6114','5488','COMPLAINT LHR S/C WALO NA WRONG TECHNICIAN KO FF KAR DI THI 
AJ AGAIN COMPLAINT ROPEND KARWA K MURSALEEN SAB KO FF KARWAI','74','2021-04-29 13:02:29','2021-04-29 13:02:29');
INSERT INTO complaint_remarks VALUES('6115','5489','COMPLAINT LHR S/C WALO NA WRONG TECHNICIAN KO FF KAR DI THI AJ AGAIN COMPLAINT ROPEND KARWA K MURSALEEN SAB KO FF KARWAI','74','2021-04-29 13:02:53','2021-04-29 13:02:53');
INSERT INTO complaint_remarks VALUES('6116','5581','OTHER#03465354216 ALI SAB','74','2021-04-29 13:16:05','2021-04-29 13:16:05');
INSERT INTO complaint_remarks VALUES('6117','5581','COMPLAINT RESOLVED','74','2021-04-29 13:22:07','2021-04-29 13:22:07');
INSERT INTO complaint_remarks VALUES('6118','5608','IST COMPLAINT CUSTOMER NA KHUD UN NO PA FF KARWAI HAIN S/C MAN AHMED KO REMINDER DA DIA HAN IN PROCESS COMPLAINT KARWA DI HAIN','74','2021-04-29 13:49:36','2021-04-29 13:49:36');
INSERT INTO complaint_remarks VALUES('6119','5608','MEHRAN TECHNICIAN IC COMPLAINT KO ATTEND KARAY GAY 03179998683','74','2021-04-29 13:50:09','2021-04-29 13:50:09');
INSERT INTO complaint_remarks VALUES('6120','5264','BABR SAB KO LHR CUSTOMER KI DETAIL FF KAR DI HAIN','74','2021-04-29 15:02:38','2021-04-29 15:02:38');
INSERT INTO complaint_remarks VALUES('6121','5586','VISIT TO DAY','74','2021-04-29 15:05:29','2021-04-29 15:05:29');
INSERT INTO complaint_remarks VALUES('6122','5566','2 CHILLER HAIN AIK MAIN RELAY KA ISSUE THA WO RESOLVED HO GAYA AIK MAIN GASS REFIL HONI HAIN .
US K LIYA COMPANY S/C WALAY KAL JAY GAY','74','2021-04-29 15:08:03','2021-04-29 15:08:03');
INSERT INTO complaint_remarks VALUES('6123','5546','SZ OSMA NA CARD KA EXP CUSTOMER KO 18000 K DIA HAIN','74','2021-04-29 15:39:31','2021-04-29 15:39:31');
INSERT INTO complaint_remarks VALUES('6124','5585','UMER  TECHNICIAN NA VISIT KIYA HAIN BAIS DAMAGE HAIN NEEM KENWOOD NA ATTEND KARWAI COMPLAINT','74','2021-04-29 16:06:49','2021-04-29 16:06:49');
INSERT INTO complaint_remarks VALUES('6125','5546','USMAN SAB KO DETAIL SHER KI HAIN KAL TAQ UPDATE KARAY GAY INFORMED BY NAVEED FCP&CUASTOMER','74','2021-04-29 16:08:20','2021-04-29 16:08:20');
INSERT INTO complaint_remarks VALUES('6126','5586','COMPANY S/C NA CUSTOMER KO CALL PA GUAID KIYA HAIN MONDAY TAQ CONFIRM KARAY GAY','74','2021-04-30 11:13:00','2021-04-30 11:13:00');
INSERT INTO complaint_remarks VALUES('6127','5584','NOT ATTEND CALL','74','2021-04-30 11:19:33','2021-04-30 11:19:33');
INSERT INTO complaint_remarks VALUES('6128','5557','CUSTOMER NA TECHNICIAN KI CALL ATTEND NAI KIJIS HI WAJA SA COMPLAINT COMPANY SIDE SA CLOSED HO GEI AJ AGAIN COMPLAINT REOPEND KARWA DI CUSTOMER KO MURSALEEN TECHNICIAN KA NO B PROVIDE KAR DIA','74','2021-04-30 11:37:27','2021-04-30 11:37:27');
INSERT INTO complaint_remarks VALUES('6129','5583','COMPLAINT RESOLVED','74','2021-04-30 11:45:12','2021-04-30 11:45:12');
INSERT INTO complaint_remarks VALUES('6130','5580','VISIT TO DAY','74','2021-04-30 11:47:32','2021-04-30 11:47:32');
INSERT INTO complaint_remarks VALUES('6131','5614','VISIT TO DAY GHULAM MURTAZA SAB ATTEND KAR RAHAY HAIN COMPLAINT','74','2021-04-30 11:58:33','2021-04-30 11:58:33');
INSERT INTO complaint_remarks VALUES('6132','5382','VISIT TO DAY GHULAM MURTAZA SAB ATTEND KAR RAHAY HAIN COMPLAINT','74','2021-04-30 12:00:14','2021-04-30 12:00:14');
INSERT INTO complaint_remarks VALUES('6133','5382','WRONG COMMENTS DA DIYA','74','2021-04-30 12:00:43','2021-04-30 12:00:43');
INSERT INTO complaint_remarks VALUES('6134','5579','COMPLAINT RESOLVED','74','2021-04-30 12:13:53','2021-04-30 12:13:53');
INSERT INTO complaint_remarks VALUES('6135','5575','IN PROCESS COMPLIANT
OUT STATION COMPLAINT 48 HOUR MAIN ATTEND HOTI HAIN','74','2021-04-30 12:27:01','2021-04-30 12:27:01');
INSERT INTO complaint_remarks VALUES('6136','5574','CUSTOMER KO S/C SA CALL AAGEI HAIN  CUSTOMER NA W/D KI PIC SHER KAR DI COMPANY S/C MAIN','74','2021-04-30 12:50:10','2021-04-30 12:50:10');
INSERT INTO complaint_remarks VALUES('6137','5574','IN PROCESS COMPLAINT','74','2021-04-30 12:50:22','2021-04-30 12:50:22');
INSERT INTO complaint_remarks VALUES('6138','5525','IN PROCESS COMPLAINT KARWA DI HAIN AZAM SAB KO B INFORMED KAR DIA CUSTOMER KO B & KHURRAM SADAR KO B','74','2021-04-30 14:52:10','2021-04-30 14:52:10');
INSERT INTO complaint_remarks VALUES('6139','5546','CUSTOMER KO CARD KI PRICE CONFIR KAR DI HAIN 15500 .
CUSTOMER APPROVAL DA DI HAIN  ON PAYMENT USMAN SAB YHA COMPLAINT ATTEND KARWAY GAY NAVEED FCP KO B INFORMED KAR DIA','74','2021-04-30 14:57:53','2021-04-30 14:57:53');
INSERT INTO complaint_remarks VALUES('6140','5608','DIRECT COOL REF HAIN 
COMPLAINT PA AGAIN VISIT KARWA DIA REF MAIN KOI ISSUE NI TARIQ SAB KO B INFORMED KA DIA','74','2021-04-30 16:28:32','2021-04-30 16:28:32');
INSERT INTO complaint_remarks VALUES('6141','5578','TECHNICIAN CUSTOMER K GHR PA HAIN 
WORKING IN PROCESS','74','2021-04-30 16:31:08','2021-04-30 16:31:08');
INSERT INTO complaint_remarks VALUES('6142','5622','NOUMAM TECHNICIAN ON ROUT','74','2021-04-30 16:56:42','2021-04-30 16:56:42');
INSERT INTO complaint_remarks VALUES('6143','5643','COMPLAINT RESOLVED','92','2021-05-01 13:32:56','2021-05-01 13:32:56');
INSERT INTO complaint_remarks VALUES('6144','5595','complaint resolved','92','2021-05-01 16:19:13','2021-05-01 16:19:13');
INSERT INTO complaint_remarks VALUES('6145','5597','complaint resolved','92','2021-05-01 16:22:07','2021-05-01 16:22:07');
INSERT INTO complaint_remarks VALUES('6146','5598','customer not attend call','92','2021-05-01 16:24:19','2021-05-01 16:24:19');
INSERT INTO complaint_remarks VALUES('6147','5603','not visit to complaint','92','2021-05-01 16:25:53','2021-05-01 16:25:53');
INSERT INTO complaint_remarks VALUES('6148','5567','complaint resolved','92','2021-05-01 16:32:51','2021-05-01 16:32:51');
INSERT INTO complaint_remarks VALUES('6149','5607','COMPLAINT NO PKRI-210502104379','92','2021-05-02 15:05:08','2021-05-02 15:05:08');
INSERT INTO complaint_remarks VALUES('6150','5607','COMPLAINT NO PKRI-210502104379','92','2021-05-02 15:05:10','2021-05-02 15:05:10');
INSERT INTO complaint_remarks VALUES('6151','5609','COMPLAINT NO 17910','92','2021-05-02 15:15:27','2021-05-02 15:15:27');
INSERT INTO complaint_remarks VALUES('6152','5606','COMPLAINT NO 192121959','92','2021-05-02 15:19:42','2021-05-02 15:19:42');
INSERT INTO complaint_remarks VALUES('6153','5606','COMPLAINT NO 192121971','92','2021-05-03 10:41:44','2021-05-03 10:41:44');
INSERT INTO complaint_remarks VALUES('6154','5630','COMPLAINT ATTEND HO GEI HAIN AJ GASS REFILE KARNAY K LIYA AAY GAY','74','2021-05-03 11:10:24','2021-05-03 11:10:24');
INSERT INTO complaint_remarks VALUES('6155','5593','CUSTOMER KO SET REPLACE KLAR K DA DI HAIN ARSHAND SAB NA','74','2021-05-03 11:25:21','2021-05-03 11:25:21');
INSERT INTO complaint_remarks VALUES('6156','5633','HARIS TECHNICIAN AJ VISIT KARAY GAY','74','2021-05-03 11:30:25','2021-05-03 11:30:25');
INSERT INTO complaint_remarks VALUES('6157','5635','IN PROCESS HAIN COMPLAINT','74','2021-05-03 12:20:43','2021-05-03 12:20:43');
INSERT INTO complaint_remarks VALUES('6158','5584','COMPLAINT ATTEND HO GEI HAIN PARTY LIFTING CASE','74','2021-05-03 12:22:07','2021-05-03 12:22:07');
INSERT INTO complaint_remarks VALUES('6159','5561','NOT ATTEND CALL','74','2021-05-03 12:26:32','2021-05-03 12:26:32');
INSERT INTO complaint_remarks VALUES('6160','5167','REF REPLACE COMPANY SIDE COMPLAINT RESOLVED','74','2021-05-03 12:38:02','2021-05-03 12:38:02');
INSERT INTO complaint_remarks VALUES('6161','5573','new complaint#1864320','73','2021-05-03 12:39:04','2021-05-03 12:39:04');
INSERT INTO complaint_remarks VALUES('6162','5434','WEEL PARTS KI WAJA SA DELAY','74','2021-05-03 12:41:16','2021-05-03 12:41:16');
INSERT INTO complaint_remarks VALUES('6163','5602','TECHNICIAN CUSTOMER K GHR PA 
WORKING IN PROCESS HAIN','74','2021-05-03 12:48:55','2021-05-03 12:48:55');
INSERT INTO complaint_remarks VALUES('6164','5429','PART LAGA DIA HAIN
COMPLAINT RESOLVED','74','2021-05-03 12:49:37','2021-05-03 12:49:37');
INSERT INTO complaint_remarks VALUES('6165','5552','VISIT TO DAY','74','2021-05-03 13:29:08','2021-05-03 13:29:08');
INSERT INTO complaint_remarks VALUES('6166','5421','S/C WORKING IN PROCESS','74','2021-05-03 14:43:12','2021-05-03 14:43:12');
INSERT INTO complaint_remarks VALUES('6167','5394','COMPLAINT RESOVED','74','2021-05-03 14:44:12','2021-05-03 14:44:12');
INSERT INTO complaint_remarks VALUES('6168','5489','MURSALEEN SAB KAL YHA COMPLAINT ATTEND KARAY GAY  INFORMED BY CUSTOMER','74','2021-05-03 14:46:49','2021-05-03 14:46:49');
INSERT INTO complaint_remarks VALUES('6169','5681','COMPLAINT NO PKRI-210503108400','92','2021-05-03 14:49:14','2021-05-03 14:49:14');
INSERT INTO complaint_remarks VALUES('6170','5545','COMPLAINT ATTEND HO GEI HAIN AJ COMPANY S/C PICK KARAY GAY CUSTOMER K GHR SA','74','2021-05-03 14:55:54','2021-05-03 14:55:54');
INSERT INTO complaint_remarks VALUES('6171','5566','COMPLAINT RESOLVED','74','2021-05-03 14:57:44','2021-05-03 14:57:44');
INSERT INTO complaint_remarks VALUES('6172','4960','NOT ATTEND CALL','74','2021-05-03 15:10:55','2021-05-03 15:10:55');
INSERT INTO complaint_remarks VALUES('6173','5528','COMPLAINT RESOLVED','74','2021-05-03 15:25:19','2021-05-03 15:25:19');
INSERT INTO complaint_remarks VALUES('6174','5527','NO VISIT KHURRAM BHAI KO REMINDER','74','2021-05-03 15:27:05','2021-05-03 15:27:05');
INSERT INTO complaint_remarks VALUES('6175','5530','COMPLAINT RESOLVED','74','2021-05-03 15:28:27','2021-05-03 15:28:27');
INSERT INTO complaint_remarks VALUES('6176','5513','COMPLAINT RESOLVED','74','2021-05-03 15:36:20','2021-05-03 15:36:20');
INSERT INTO complaint_remarks VALUES('6177','5523','COMPLAINT RESOLVED','74','2021-05-03 15:38:32','2021-05-03 15:38:32');
INSERT INTO complaint_remarks VALUES('6178','5509','CUSTOMER SIDE SADELAY HAIN COMPLAINT 
CUSTOMER NOT ATTEND CALL','74','2021-05-03 15:44:52','2021-05-03 15:44:52');
INSERT INTO complaint_remarks VALUES('6179','5509','COMPLAINT CLOSED INFORMED BY JAVEED FCP','74','2021-05-03 15:45:49','2021-05-03 15:45:49');
INSERT INTO complaint_remarks VALUES('6180','5500','COMPLAINT RESOLVED','74','2021-05-03 15:55:49','2021-05-03 15:55:49');
INSERT INTO complaint_remarks VALUES('6181','5468','COMPLAINT AGAIN REOPEN KARWA DI HAIN ISSUE RESOLVED NAI HOA THA','74','2021-05-03 16:12:19','2021-05-03 16:12:19');
INSERT INTO complaint_remarks VALUES('6182','5578','PCB REARING S/C WORKING IN PROCESS','74','2021-05-04 10:39:37','2021-05-04 10:39:37');
INSERT INTO complaint_remarks VALUES('6183','5686','HO#301-A LANE 02 PESHAWAR ROAD NEAR RIZWAN PARK RWP','92','2021-05-04 10:53:51','2021-05-04 10:53:51');
INSERT INTO complaint_remarks VALUES('6184','5648','CUSTOMER NA COMPLAINT ABI CANCEL KAR WA DI EID K BAD AGAIN COMPLAINT KARWAY GAY','74','2021-05-04 10:55:17','2021-05-04 10:55:17');
INSERT INTO complaint_remarks VALUES('6185','5653','COMPLAINT ATTEND HO GEI HAIN .AGAIN LEAKAGE KA ISSUE AAGAY HAIN .
PARTY LIFTING CASE HAIN CUSTOMER KO CANNON S/C KA NO PROVIDE KAR DI AHIN','74','2021-05-04 11:00:50','2021-05-04 11:00:50');
INSERT INTO complaint_remarks VALUES('6186','5653','TANK AGR REPARING MAIN OK HO GAY TU SAI OTHER WISE TANK LEAKAGE WARRANTY MAIN CLAIM KAR K TANK REPLACE KAR DAY GAY INFORMEDE BY BILAL MANZOOR','74','2021-05-04 11:01:57','2021-05-04 11:01:57');
INSERT INTO complaint_remarks VALUES('6187','5644','NOT ATTEND CALL','74','2021-05-04 11:02:10','2021-05-04 11:02:10');
INSERT INTO complaint_remarks VALUES('6188','5642','COMPLAINT RESOLVED','74','2021-05-04 11:08:38','2021-05-04 11:08:38');
INSERT INTO complaint_remarks VALUES('6189','5653','CUSTOMER KO S/C KA ADD B SHER KAR DIA','74','2021-05-04 11:09:16','2021-05-04 11:09:16');
INSERT INTO complaint_remarks VALUES('6190','5641','NOT ATTEND CALL','74','2021-05-04 11:30:14','2021-05-04 11:30:14');
INSERT INTO complaint_remarks VALUES('6191','5640','COMPLAINT ATTEND HO GEI HAIN','74','2021-05-04 11:39:32','2021-05-04 11:39:32');
INSERT INTO complaint_remarks VALUES('6192','5640','NAEEM KENWOOD NA CUSTOMER KO SATISFIED KAR DIA','74','2021-05-04 11:56:02','2021-05-04 11:56:02');
INSERT INTO complaint_remarks VALUES('6193','5604','7 STAR ADEEL 03155088808','74','2021-05-04 12:00:08','2021-05-04 12:00:08');
INSERT INTO complaint_remarks VALUES('6194','5637','COMPLAINT RESOLVED','74','2021-05-04 12:01:25','2021-05-04 12:01:25');
INSERT INTO complaint_remarks VALUES('6195','5639','NO VISIT REMINDER TO S/C','74','2021-05-04 12:07:50','2021-05-04 12:07:50');
INSERT INTO complaint_remarks VALUES('6196','5604','IN PROCESS COMPLAINT','74','2021-05-04 12:12:05','2021-05-04 12:12:05');
INSERT INTO complaint_remarks VALUES('6197','5654','MUBASHER TECHNICIAN KAL AATTEND KARAY 03095559756','74','2021-05-04 12:17:04','2021-05-04 12:17:04');
INSERT INTO complaint_remarks VALUES('6198','5658','COMPLAINT RESOLVED','74','2021-05-04 12:18:26','2021-05-04 12:18:26');
INSERT INTO complaint_remarks VALUES('6199','5667','IN PROCESS COMPLAINT VISIT TO DAY','74','2021-05-04 12:20:54','2021-05-04 12:20:54');
INSERT INTO complaint_remarks VALUES('6200','5636','COMPLAINT ATTEND HOGEI HAIN COMPANY S/C WALAY LIFT KARAY GAY','74','2021-05-04 12:31:40','2021-05-04 12:31:40');
INSERT INTO complaint_remarks VALUES('6201','5624','COMPLAINT RESOLVED','74','2021-05-04 12:58:01','2021-05-04 12:58:01');
INSERT INTO complaint_remarks VALUES('6202','5640','COMPLAINT RESOLVED','74','2021-05-04 13:00:42','2021-05-04 13:00:42');
INSERT INTO complaint_remarks VALUES('6203','5613','COMPLAINT ATTEND HO GEI HAIN INDOOR PC CARD LA KA GAYA HAIN TECHNICIAN CUSTOMER K GHR POOCH GAY HAIN INFORMED BY HASSAN','74','2021-05-04 13:08:30','2021-05-04 13:08:30');
INSERT INTO complaint_remarks VALUES('6204','5632','NOT ATTEND CALL','74','2021-05-04 13:24:20','2021-05-04 13:24:20');
INSERT INTO complaint_remarks VALUES('6205','5614','COMPLAINT RESOLVED','74','2021-05-04 13:41:02','2021-05-04 13:41:02');
INSERT INTO complaint_remarks VALUES('6206','5617','COMPLAINT RESOLVED','74','2021-05-04 13:43:45','2021-05-04 13:43:45');
INSERT INTO complaint_remarks VALUES('6207','5620','COMPLAINT RESOLVED','74','2021-05-04 13:47:09','2021-05-04 13:47:09');
INSERT INTO complaint_remarks VALUES('6208','5619','SET MAIN KOI ISSUE NAI REMOTE S/C JA K LAYNA HAIN ADD CUSTOMER KO TECHNICIAN NA BATA DIA','74','2021-05-04 13:49:51','2021-05-04 13:49:51');
INSERT INTO complaint_remarks VALUES('6209','5625','COMPLAINT RESOLVED','74','2021-05-04 14:05:46','2021-05-04 14:05:46');
INSERT INTO complaint_remarks VALUES('6210','5603','YHA COMPLAINT WARRANTY CARD KI WAJA SA DELAY HAIN .BILAL MANZOOR SAB  KO DETAIL SHER KAR DI','74','2021-05-04 14:17:38','2021-05-04 14:17:38');
INSERT INTO complaint_remarks VALUES('6211','5602','COMPLAINT  RESOLVED','74','2021-05-04 14:46:46','2021-05-04 14:46:46');
INSERT INTO complaint_remarks VALUES('6212','5624','COMPLAINT RESOLVED','74','2021-05-04 14:51:43','2021-05-04 14:51:43');
INSERT INTO complaint_remarks VALUES('6213','5611','COMPLAINT RESOLVED','74','2021-05-04 14:54:26','2021-05-04 14:54:26');
INSERT INTO complaint_remarks VALUES('6214','5615','VISIT TO DAY CUSTOMER KO TECHNICIAN KI CALL AGEI HAIN','74','2021-05-04 14:58:23','2021-05-04 14:58:23');
INSERT INTO complaint_remarks VALUES('6215','5598','NOT ATTEND CALL','74','2021-05-04 15:15:02','2021-05-04 15:15:02');
INSERT INTO complaint_remarks VALUES('6216','5586','COMPLAINT RESOLVED','74','2021-05-04 15:16:54','2021-05-04 15:16:54');
INSERT INTO complaint_remarks VALUES('6217','5573','VIST  TO DAY JHANZAIB 
03115072099','74','2021-05-04 15:21:14','2021-05-04 15:21:14');
INSERT INTO complaint_remarks VALUES('6218','5584','CUSTOMER KI SIDE SA DELAY HAIN  ABI BUSY HAIN','74','2021-05-04 15:24:32','2021-05-04 15:24:32');
INSERT INTO complaint_remarks VALUES('6219','5524','AZEEM SAB NA WARRANTY CARD KI PIC S/C WALO SHER KARNI HAIN','74','2021-05-04 16:00:43','2021-05-04 16:00:43');
INSERT INTO complaint_remarks VALUES('6220','5680','COMPLAINT ATTEND HO GEI HAIN AQIB TECHNICIAN NA COMPLAINT ATTEND KI','74','2021-05-04 16:16:35','2021-05-04 16:16:35');
INSERT INTO complaint_remarks VALUES('6221','5551','COMPLAINT RESOLVED','74','2021-05-04 17:02:36','2021-05-04 17:02:36');
INSERT INTO complaint_remarks VALUES('6222','5552','COMPLAINT RESOLVED','74','2021-05-04 17:04:41','2021-05-04 17:04:41');
INSERT INTO complaint_remarks VALUES('6223','5667','COMPLAINT RESOLVED','74','2021-05-05 10:46:01','2021-05-05 10:46:01');
INSERT INTO complaint_remarks VALUES('6224','5656','COMPLAINT PA VISIT HO GAYA HAIN AC KA PART S/C LA K GAY HAIN','74','2021-05-05 10:51:22','2021-05-05 10:51:22');
INSERT INTO complaint_remarks VALUES('6225','5655','COMPLAINT RESOLVED','74','2021-05-05 10:52:16','2021-05-05 10:52:16');
INSERT INTO complaint_remarks VALUES('6226','5652','COMPLAINT RESOLVED ERROR ISSUE CLEAR','74','2021-05-05 11:14:25','2021-05-05 11:14:25');
INSERT INTO complaint_remarks VALUES('6227','5654','SARFARAZ TECHNICIAN  SADAR SHOWROOM  PA YHA COMPLAINT ATTEND KARAY GAY CUSTOMER SET SHOWROOM PA LA K AARHAY.
S/C MAIN KHURRAM SIR K NO PROVIDE KAR DIA','74','2021-05-05 11:24:52','2021-05-05 11:24:52');
INSERT INTO complaint_remarks VALUES('6228','5603','BILAL MANZOOR SAB KO COMPLAINT # SHER KAR DIA','74','2021-05-05 11:30:47','2021-05-05 11:30:47');
INSERT INTO complaint_remarks VALUES('6229','5651','COMPLAINT RESOLVED','74','2021-05-05 11:35:14','2021-05-05 11:35:14');
INSERT INTO complaint_remarks VALUES('6230','5694','IN PROCESS COMAPLINT ABDUL REHMAN KO REMINDER DA DIA','74','2021-05-05 11:36:59','2021-05-05 11:36:59');
INSERT INTO complaint_remarks VALUES('6231','5680','INDOOR LEAKAGE PROB HAIN S/C WORKING IN PROCESS HAN AJ OK HO JAY GA CUSTOMER KO INFORMED KAR DAY GAY','74','2021-05-05 11:49:40','2021-05-05 11:49:40');
INSERT INTO complaint_remarks VALUES('6232','5663','FRIENDS INSTALLER NA UNIT INSTALL KIYA HAI GASS LEAKAGE KA PROB HAIN ADIL BHAI KO INFORMED KAR DIA','74','2021-05-05 12:02:12','2021-05-05 12:02:12');
INSERT INTO complaint_remarks VALUES('6233','5680','INFORMED BY IKHLAQ SAB','74','2021-05-05 12:06:59','2021-05-05 12:06:59');
INSERT INTO complaint_remarks VALUES('6234','5662','COMPLAINT RESOLVED','74','2021-05-05 12:13:31','2021-05-05 12:13:31');
INSERT INTO complaint_remarks VALUES('6235','5659','COMPLAINT RESOLVED','74','2021-05-05 12:14:54','2021-05-05 12:14:54');
INSERT INTO complaint_remarks VALUES('6236','5571','OSMAN SAB NA CONFERENCE  CALL PA RAHA K HI CUSTOMER KA ISSUE RESOLVED KAR DIA CUSTOMER B SATISFIED HAIN','74','2021-05-05 12:37:12','2021-05-05 12:37:12');
INSERT INTO complaint_remarks VALUES('6237','5571','SET  LAPTOP SA ATTACH KAR K GAME K LIYA USE KAR RAHAY THY','74','2021-05-05 12:38:43','2021-05-05 12:38:43');
INSERT INTO complaint_remarks VALUES('6238','5650','NOT ATTEND CALL','74','2021-05-05 12:40:46','2021-05-05 12:40:46');
INSERT INTO complaint_remarks VALUES('6239','5613','NEW CARD LAGA DIA HAIN 
COMPLAINT RESOLVED','74','2021-05-05 12:46:46','2021-05-05 12:46:46');
INSERT INTO complaint_remarks VALUES('6240','5613','TOTAL 18 UNIT THY 9 UNIT OK CHAL RAHAY HAIN 9 UNIT EID K BAD ON KARAY GAY','74','2021-05-05 12:53:04','2021-05-05 12:53:04');
INSERT INTO complaint_remarks VALUES('6241','5613','INFORMED BY HUSSAN','74','2021-05-05 12:53:37','2021-05-05 12:53:37');
INSERT INTO complaint_remarks VALUES('6242','5649','IN PROCESS  COMPLAINT 
AJ ATTEND HO JAY GEI','74','2021-05-05 12:55:49','2021-05-05 12:55:49');
INSERT INTO complaint_remarks VALUES('6243','5647','PESHWAR S/C 
091-22629910','74','2021-05-05 13:03:35','2021-05-05 13:03:35');
INSERT INTO complaint_remarks VALUES('6244','5647','0912262910','74','2021-05-05 13:03:58','2021-05-05 13:03:58');
INSERT INTO complaint_remarks VALUES('6245','5647','IN PROCESS HAIN COMPLAINT  PESHWAR WALAY ATTEND KARWAY GAY','74','2021-05-05 13:06:09','2021-05-05 13:06:09');
INSERT INTO complaint_remarks VALUES('6246','5641','VISIT TO DAY CUSTOMER KO TECHNICIAN KI CALL AGEI','74','2021-05-05 13:10:09','2021-05-05 13:10:09');
INSERT INTO complaint_remarks VALUES('6247','5627','DEMO REQUIRED COMPLAINT RESOLVED CUSTOMER  STILL CALL ATTEND NAI KAR RAHAY COMPANY S/C SA FOLLOWUP CONFIRM KAR K COMPLAINT CLOSED KI','74','2021-05-05 14:26:25','2021-05-05 14:26:25');
INSERT INTO complaint_remarks VALUES('6248','5687','KASHIF 03065332742 TECHNICIAN IC COMPLAINT KO AJ ATTEND KAR RAHAY HAIN CUSTOMER KI TARF HI JA RHAY','74','2021-05-05 14:33:19','2021-05-05 14:33:19');
INSERT INTO complaint_remarks VALUES('6249','5687','INFORMED BY CUSTOMER','74','2021-05-05 14:33:38','2021-05-05 14:33:38');
INSERT INTO complaint_remarks VALUES('6250','5443','CUSTOMER NA PAYMENT WAPISE LA LI THI  COMPLAINT CLOSED','74','2021-05-05 14:34:59','2021-05-05 14:34:59');
INSERT INTO complaint_remarks VALUES('6251','5728','ANWAR SAB LIGHT MAZHAR FCP KO BAJWA RAHAY HAIN','74','2021-05-05 15:13:00','2021-05-05 15:13:00');
INSERT INTO complaint_remarks VALUES('6252','5688','COMPLAINT RESOLVED','74','2021-05-05 15:14:34','2021-05-05 15:14:34');
INSERT INTO complaint_remarks VALUES('6253','5633','COMPLAINT RESOLVED','74','2021-05-05 15:16:38','2021-05-05 15:16:38');
INSERT INTO complaint_remarks VALUES('6254','5690','COMPLAINT ATTEND HO GEI HAIN  BOARD DEMAND KIYA HOA HAIN','74','2021-05-05 15:21:30','2021-05-05 15:21:30');
INSERT INTO complaint_remarks VALUES('6255','5686','COMPLAINT ATTEND HO GEI HAIN INDOOR CARD S/C LA K GAY HAIN','74','2021-05-05 15:27:27','2021-05-05 15:27:27');
INSERT INTO complaint_remarks VALUES('6256','5685','TECHNICIAN CUSTOMER K GHR PA HAIN WORKING IN PROCESS HAIN','74','2021-05-05 15:29:45','2021-05-05 15:29:45');
INSERT INTO complaint_remarks VALUES('6257','5684','COMPLAINT RESOLVED','74','2021-05-05 15:31:27','2021-05-05 15:31:27');
INSERT INTO complaint_remarks VALUES('6258','5681','COMPLAINT RESOLVED','74','2021-05-05 15:35:48','2021-05-05 15:35:48');
INSERT INTO complaint_remarks VALUES('6259','5683','COMPLAINT TRESOLVED','74','2021-05-05 15:50:10','2021-05-05 15:50:10');
INSERT INTO complaint_remarks VALUES('6260','5683','RESOLVED','74','2021-05-05 15:50:19','2021-05-05 15:50:19');
INSERT INTO complaint_remarks VALUES('6261','5675','COMPLAINT ATTEND HO GEI HAIN IN PROCESS COMPLAINT HAIN','74','2021-05-05 16:21:14','2021-05-05 16:21:14');
INSERT INTO complaint_remarks VALUES('6262','5714','MEHRAN SAB 03179998683  AJ ATTEND KARAY GAY COMPLAINT INFORMED BY CUSTOMER','74','2021-05-07 10:52:06','2021-05-07 10:52:06');
INSERT INTO complaint_remarks VALUES('6263','5703','CUSTOMER SIDE SA DELAY COMPLIANT GASS LEAKAGE PROB HAIN OUT OFF CITY JA RAHY HAIN CUSTOMER ABI CLOSED KARWA DI COMPLAINT','74','2021-05-07 10:55:30','2021-05-07 10:55:30');
INSERT INTO complaint_remarks VALUES('6264','5696','COMPLAINT RESOLVED','74','2021-05-07 10:58:36','2021-05-07 10:58:36');
INSERT INTO complaint_remarks VALUES('6265','5719','VISIT TO DAY CUSTOMER KO TECHNICAIN KI CALL AAGEI HAIN','74','2021-05-07 11:00:34','2021-05-07 11:00:34');
INSERT INTO complaint_remarks VALUES('6266','5741','COMPLAINT ATTEND HO GEI HAIN COMPRESSOR KA PROB HAIN AJ COMPANY S/C WALAY AJ REF PICK KARYA GAY','74','2021-05-07 11:01:09','2021-05-07 11:01:09');
INSERT INTO complaint_remarks VALUES('6267','5737','VISIT TO DAY CUSTMER KO TECHNICIAN KI CALL AGEI HAIN','74','2021-05-07 11:04:00','2021-05-07 11:04:00');
INSERT INTO complaint_remarks VALUES('6268','5736','COMPLAIN RESOLVED','74','2021-05-07 11:05:52','2021-05-07 11:05:52');
INSERT INTO complaint_remarks VALUES('6269','5718','IN PROCESS HAIN COMPLAINT AJ ATTEND  HO JAY','74','2021-05-07 11:18:06','2021-05-07 11:18:06');
INSERT INTO complaint_remarks VALUES('6270','5730','TECHNICIAN CUSTOMER K GHR PA HAIN WORKING IN PROCESS','74','2021-05-07 11:18:29','2021-05-07 11:18:29');
INSERT INTO complaint_remarks VALUES('6271','5699','CUT INVOICE ADIL BHAI KO SHER KAR DI','74','2021-05-07 11:19:20','2021-05-07 11:19:20');
INSERT INTO complaint_remarks VALUES('6272','5618','03179998707
PESHAWAR 
NOSHER 03339002173
RAHAT TECHNICIAN AJ ATTEND KARAY GAY COMPLINT','74','2021-05-07 11:25:19','2021-05-07 11:25:19');
INSERT INTO complaint_remarks VALUES('6273','5615','COMPLAINT RESOLVED','74','2021-05-07 11:26:13','2021-05-07 11:26:13');
INSERT INTO complaint_remarks VALUES('6274','5610','NOT ATTEND CALL REMINDER DA DIA S/C','74','2021-05-07 11:28:28','2021-05-07 11:28:28');
INSERT INTO complaint_remarks VALUES('6275','5608','YHA CUSTOMER VISIT SA SATISFIED NAI HAIN COMPNAY S/C REMINDER DA DIA','74','2021-05-07 11:38:19','2021-05-07 11:38:19');
INSERT INTO complaint_remarks VALUES('6276','5604','COMPLAINT ATTEND HO GEI HAIN  CUSTOMER KI ARSHAD SAB SA BT HO RAHI HAIN REPLACEMENT KI','74','2021-05-07 12:15:58','2021-05-07 12:15:58');
INSERT INTO complaint_remarks VALUES('6277','5692','KHURRAM BHAI KO REMINDER DA DIA HAIN KAL ATTEND KARAY GAY COMPLAINT','74','2021-05-07 13:34:52','2021-05-07 13:34:52');
INSERT INTO complaint_remarks VALUES('6278','5715','IN PROCESS COMPLAINT','74','2021-05-07 14:03:23','2021-05-07 14:03:23');
INSERT INTO complaint_remarks VALUES('6279','5692','IN FORMED BY CUSTOMER','74','2021-05-07 14:04:04','2021-05-07 14:04:04');
INSERT INTO complaint_remarks VALUES('6280','5751','COMPLAINT# AMEEN SAB KO WHATSAPP KAR DIA','74','2021-05-07 15:07:12','2021-05-07 15:07:12');
INSERT INTO complaint_remarks VALUES('6281','5737','03155220060 OTHER NO','92','2021-05-08 11:22:01','2021-05-08 11:22:01');
INSERT INTO complaint_remarks VALUES('6282','5751','IRFAN 03095559751 AJ IC COMPLAINT KO ATTEND KARAY GAY','74','2021-05-08 11:27:20','2021-05-08 11:27:20');
INSERT INTO complaint_remarks VALUES('6283','5741','S/C WORKING IN PROCESS','74','2021-05-08 11:49:25','2021-05-08 11:49:25');
INSERT INTO complaint_remarks VALUES('6284','5710','COMPLAINT ATTEND HO GEI HAIN OUT DOOR MOTER KA ISSUE','74','2021-05-08 12:07:27','2021-05-08 12:07:27');
INSERT INTO complaint_remarks VALUES('6285','5735','COMPLAINT RESOLVED','74','2021-05-08 12:25:07','2021-05-08 12:25:07');
INSERT INTO complaint_remarks VALUES('6286','5733','CUSTOMER KI COMPLAINT IC MODEL KI NAI HAIN AIK SAL PHALAY WALAY W/D KI COMPLAINT THI COMPLAINT PA VISIT HO GEI HAIN COMPRESSOR KA ISSUE THA 8000 EXP CUSTOMER KO INFORMED KAR DIA BUT CUSTOMER NA REFUSE KAR DIA  AZHAR PWD KO B INFORMED KAR DIA COMPLAINT CLOSED','74','2021-05-08 12:39:02','2021-05-08 12:39:02');
INSERT INTO complaint_remarks VALUES('6287','5745','COMPANY S/C WALO NA CUSTOMER KO INFORMED KAR DIA HAIN K EID K BAD VISIT KARWAY GAY','74','2021-05-08 12:54:52','2021-05-08 12:54:52');
INSERT INTO complaint_remarks VALUES('6288','5737','S/C REMINDER  VISIT K LIYA','74','2021-05-08 12:55:43','2021-05-08 12:55:43');
INSERT INTO complaint_remarks VALUES('6289','5728','COMPLAINT RESOLVED','74','2021-05-08 12:56:34','2021-05-08 12:56:34');
INSERT INTO complaint_remarks VALUES('6290','5731','COMPLAINT RESOLVED','74','2021-05-08 13:00:53','2021-05-08 13:00:53');
INSERT INTO complaint_remarks VALUES('6291','5641','COMPLAINT RESOLVED','74','2021-05-08 13:02:59','2021-05-08 13:02:59');
INSERT INTO complaint_remarks VALUES('6292','5732','COMPLAINT RESOLVED 
CUSTOMER NA APNAY TECHNICIAN SA INSTALL KARWAYA GASS REFIL KARWA COMPLAINT RESOLVED','74','2021-05-08 13:07:05','2021-05-08 13:07:05');
INSERT INTO complaint_remarks VALUES('6293','5724','COMPLAINT ATTEND HO GEI HAIN DOOR ADJUSTMENT KAR K DI HAIN BUT CUSTOMER SATISFIED NAI HO RAHAY','74','2021-05-08 13:14:55','2021-05-08 13:14:55');
INSERT INTO complaint_remarks VALUES('6294','5723','COMPLAINT ATTEND  PART KI PIC BANA K LA K GAYA HAIN S/C WALAY WORKING IN PROCESS','74','2021-05-08 13:23:50','2021-05-08 13:23:50');
INSERT INTO complaint_remarks VALUES('6295','5657','UNIT CUSTOMER K GHR DILVER KARWA DIA 
BUT SPOT KA ISSUE ABI B AARHA CUSTOMER SATISFIED NI USMAN MRM KO REMINDER DA DIA','74','2021-05-08 13:26:15','2021-05-08 13:26:15');
INSERT INTO complaint_remarks VALUES('6296','5722','COMPLAINT ATTEND HO GEI HAIN ISUUE RESOLVED B HO GAYA  THA .
AGAIN ISSUE AGAY HAIN AB EID  K BAD AGAIN COMPLINT IN PROCESS KARWAY GAY','74','2021-05-08 13:27:29','2021-05-08 13:27:29');
INSERT INTO complaint_remarks VALUES('6297','5721','UNIT MAIN KOI ISSUE NAIWIFI  KA MODEL REGISTER KARWANA HAIN  ORIENT MAN AHMED KO  INFORMED KAR DIA','74','2021-05-08 13:42:20','2021-05-08 13:42:20');
INSERT INTO complaint_remarks VALUES('6298','5719','COMPLAINT ATTEND HOI HAI GASS LEAKAGE KA ISSUE HAIN EXP 5000 CUSTOMER KO INFORMED KAR DIA HAIN  CUSTOMER NA APPROVED NI KIYA','74','2021-05-08 13:51:55','2021-05-08 13:51:55');
INSERT INTO complaint_remarks VALUES('6299','5751','GASS BLOCKAGE KA ISSUE TAH COMPLAINT  RESOLVED','74','2021-05-08 13:53:14','2021-05-08 13:53:14');
INSERT INTO complaint_remarks VALUES('6300','5718','PARTY LIFTING CASE EID KA BAD CUSTOMER S/C SET MOVE KARWAY GAY','74','2021-05-08 14:28:22','2021-05-08 14:28:22');
INSERT INTO complaint_remarks VALUES('6301','5717','COMPLAINT RESOLVED','74','2021-05-08 14:31:07','2021-05-08 14:31:07');
INSERT INTO complaint_remarks VALUES('6302','5371','3  AC PCB CARD LAG K OK KAR DIAY HAIN CUSTOMER SAIDE SA 21000 KI PAYMENT PENDING HAIN 4TH A/C KA CARD AAGAY HAIN 
3 UNIT KI PAYMENT CLEAR KARAY GAY FIR 4TH UNIT KA CARD  REPLACE KARAY GAY','74','2021-05-08 15:32:35','2021-05-08 15:32:35');
INSERT INTO complaint_remarks VALUES('6303','5371','PAYMENT KA LIYA COMPANY S/C WALAY CALL KAR RAHAY HAIN PAR CUSTOMER CALL ATTEND NAI KAR RAHAY','74','2021-05-08 15:33:14','2021-05-08 15:33:14');
INSERT INTO complaint_remarks VALUES('6304','5371','NA HAMARI CALL PICK KAR RAHAY','74','2021-05-08 15:33:28','2021-05-08 15:33:28');
INSERT INTO complaint_remarks VALUES('6305','5792','DAWLANCE IS NOT LAUNCHING COMPLAINT DUE TO CORONA LOCKDOWN... THEY ARE JUST FORWARDING REQUEST TO DEPARTMENTS','92','2021-05-09 14:18:21','2021-05-09 14:18:21');
INSERT INTO complaint_remarks VALUES('6306','5786','INVOICE ADIL BHAI KO SHER KAR DI','74','2021-05-10 11:35:44','2021-05-10 11:35:44');
INSERT INTO complaint_remarks VALUES('6307','5771','2 BAJAY K BAD VISIT KARAY GAY','74','2021-05-10 12:04:16','2021-05-10 12:04:16');
INSERT INTO complaint_remarks VALUES('6308','5724','CUSTOMER KA ISSUE ABI RESOLVED NAI HOA HAIN  EID K BAD UP DTAE HO COOLING  HO RAHI FIR B CHEEZAY KHARAB HO RAHI','74','2021-05-10 12:32:12','2021-05-10 12:32:12');
INSERT INTO complaint_remarks VALUES('6309','5793','3 TAYP WALA W/D HAIN CALL AGEI HAIN HOMAGE KI SIDE SA CALL PA GUIDE  KIYA
BUT CUSTOMER SATISFIED NI GHO RAHAY  NAEEM KENWOOD KO INFORMED KAR DIA EID KA BAD VISIT KARWAY GAY','74','2021-05-10 15:04:22','2021-05-10 15:04:22');
INSERT INTO complaint_remarks VALUES('6310','5791','VISIT HO GAYA HAY BUT ISSUE NOT RESOLVED','92','2021-05-11 11:36:46','2021-05-11 11:36:46');
INSERT INTO complaint_remarks VALUES('6311','5781','CUSTOMER NOT ATTEND CALL','92','2021-05-11 11:41:02','2021-05-11 11:41:02');
INSERT INTO complaint_remarks VALUES('6312','5779','COMPLAINT COMPLETED','92','2021-05-11 11:42:45','2021-05-11 11:42:45');
INSERT INTO complaint_remarks VALUES('6313','5781','COMPLAINT RESOLVED','92','2021-05-11 11:43:27','2021-05-11 11:43:27');
INSERT INTO complaint_remarks VALUES('6314','5777','COMPLAINT RESOLVED','92','2021-05-11 11:46:44','2021-05-11 11:46:44');
INSERT INTO complaint_remarks VALUES('6315','5775','COMPLAINT RESOLVED','74','2021-05-17 10:57:18','2021-05-17 10:57:18');
INSERT INTO complaint_remarks VALUES('6316','5766','NOT ATTEND CALL','74','2021-05-17 11:01:23','2021-05-17 11:01:23');
INSERT INTO complaint_remarks VALUES('6317','5796','NOT ATTEND CALL','74','2021-05-17 11:14:25','2021-05-17 11:14:25');
INSERT INTO complaint_remarks VALUES('6318','5792','COMPLAINT RESOLVED','74','2021-05-17 11:17:27','2021-05-17 11:17:27');
INSERT INTO complaint_remarks VALUES('6319','5791','COMPLAINT ATTEND HO GEI HAIN BUT ISSUE RESOLVED NAI HOA AGAIN COMPLIANT REOPEN KARWA DI','74','2021-05-17 11:22:01','2021-05-17 11:22:01');
INSERT INTO complaint_remarks VALUES('6320','5790','COMPLAINT RESOLVED','74','2021-05-17 11:25:05','2021-05-17 11:25:05');
INSERT INTO complaint_remarks VALUES('6321','5788','NOT ATTEND CALL','74','2021-05-17 11:29:07','2021-05-17 11:29:07');
INSERT INTO complaint_remarks VALUES('6322','5716','COMPLAINT CANCEL ISSUE RESOLVED','92','2021-05-17 11:35:06','2021-05-17 11:35:06');
INSERT INTO complaint_remarks VALUES('6323','5719','CUSTOMER SIDE SA COMPLAINT DELAY HAIN COMPLAINT FIR B CUSTOMER KO AMEEN SAB KA NO PROVIDE KAR DIA HAIN COMPLAINT CLOSED','74','2021-05-17 11:36:59','2021-05-17 11:36:59');
INSERT INTO complaint_remarks VALUES('6324','5803','COMPLAINT RESOLVED','74','2021-05-17 11:39:09','2021-05-17 11:39:09');
INSERT INTO complaint_remarks VALUES('6325','5797','COMPLAINT RESOLVED','74','2021-05-17 11:47:25','2021-05-17 11:47:25');
INSERT INTO complaint_remarks VALUES('6326','5802','COMPLAINT RESOLVED','74','2021-05-17 11:49:50','2021-05-17 11:49:50');
INSERT INTO complaint_remarks VALUES('6327','5796','COMPLAINT ATTEND HO GEI HAIN CARD B REPLACE KAR K DIA BUT ISSUE RESOLVED NAI HOA . COMPANY WALAY BOL RAHAY HAIN SENSER KA ISSUE HAIN .CUSTOMER UNIT REPLACEMENT KI DEMAND KAR RAHAY HAIN','74','2021-05-17 11:53:14','2021-05-17 11:53:14');
INSERT INTO complaint_remarks VALUES('6328','5801','COMPLAINT ATTEND HO GEI HAIN BUT ISSUE RESOLVED AGAIN COMPLAINT REOPENS KARWA DI ARREBA NA 
NORMAL TYP SA B CLOUD PANI AARHA','74','2021-05-17 12:04:10','2021-05-17 12:04:10');
INSERT INTO complaint_remarks VALUES('6329','5796','TOUQEER SAB IC COMPLAINT KO ATTEND KAR RAHAY HAIN .
CUSTOMER  KO SIR K NO B FF KAR DIA','74','2021-05-17 12:05:24','2021-05-17 12:05:24');
INSERT INTO complaint_remarks VALUES('6330','5800','COMPLAINT RESOLOVE','74','2021-05-17 12:05:49','2021-05-17 12:05:49');
INSERT INTO complaint_remarks VALUES('6331','5800','COMPLAINT RESOLVED','74','2021-05-17 12:05:59','2021-05-17 12:05:59');
INSERT INTO complaint_remarks VALUES('6332','5783','COMPLAINT NO 215612','92','2021-05-17 12:16:13','2021-05-17 12:16:13');
INSERT INTO complaint_remarks VALUES('6333','5793','NAEEM KENWOOD KO AGAIN VISIT K LIYA REMINDER DA DIA','74','2021-05-17 12:21:19','2021-05-17 12:21:19');
INSERT INTO complaint_remarks VALUES('6334','5788','TECHNICIAN   KAL ATTEND KARAY GAY COMPLAINT','74','2021-05-17 12:23:35','2021-05-17 12:23:35');
INSERT INTO complaint_remarks VALUES('6335','5710','MOTER DEMAND HAIN S/C SA CONFIRM KIYA HAIN AJ SHAM TAQ  YHA KAL SUBHA TAQ MOTER RECIVED HO JAY GEI INFORMED BY CUSTOMER& ARSHAD FCI','74','2021-05-17 12:29:27','2021-05-17 12:29:27');
INSERT INTO complaint_remarks VALUES('6336','5784','COMPLAINT RESOLVED','74','2021-05-17 12:33:55','2021-05-17 12:33:55');
INSERT INTO complaint_remarks VALUES('6337','5785','FREE ZER CHOKING PROB . CUSTOMER KO FREEZER RETURNED KAR DIA . FREEZER FHHS SHOWROOM SA PEL S/C MOVE HO GAYA HAIN 
ANEEQ KO INFORMED HAIN IC COMPLAINT KI DETAIL','74','2021-05-17 12:39:39','2021-05-17 12:39:39');
INSERT INTO complaint_remarks VALUES('6338','5782','IN PROCESS HAIN COMPLAINT HASSAN ABDAL YHA COMPLAINT ATTEND KARWA RAHAY HAIN','74','2021-05-17 12:43:59','2021-05-17 12:43:59');
INSERT INTO complaint_remarks VALUES('6339','5778','IN PROCESS COMPLAINT VISIT TO DAY','74','2021-05-17 12:45:12','2021-05-17 12:45:12');
INSERT INTO complaint_remarks VALUES('6340','5018','NOT ATTEND CALL','74','2021-05-17 13:36:41','2021-05-17 13:36:41');
INSERT INTO complaint_remarks VALUES('6341','5765','COMPLAINT RESOLVED','74','2021-05-17 13:40:49','2021-05-17 13:40:49');
INSERT INTO complaint_remarks VALUES('6342','5760','COMPLAINT RESOLVED','74','2021-05-17 13:42:33','2021-05-17 13:42:33');
INSERT INTO complaint_remarks VALUES('6343','5761','COMPLAINT RESOLVED','74','2021-05-17 13:44:08','2021-05-17 13:44:08');
INSERT INTO complaint_remarks VALUES('6344','5756','COMPALINT ATTEND HO GEI HAIN BUT ISSUE RESOLVED NAIN  HO AGAIN COMPLAINT REOPEND KARWA DI MISS AREEBA NA','74','2021-05-17 13:48:20','2021-05-17 13:48:20');
INSERT INTO complaint_remarks VALUES('6345','5752','NOT ATTEND CALL','74','2021-05-17 13:54:34','2021-05-17 13:54:34');
INSERT INTO complaint_remarks VALUES('6346','5750','NOT ATTEND CALL','74','2021-05-17 13:56:28','2021-05-17 13:56:28');
INSERT INTO complaint_remarks VALUES('6347','5744','NOT ATTEND CALL','74','2021-05-17 14:01:32','2021-05-17 14:01:32');
INSERT INTO complaint_remarks VALUES('6348','5742','COMPLAINT RESOLVED','74','2021-05-17 14:03:30','2021-05-17 14:03:30');
INSERT INTO complaint_remarks VALUES('6349','5741','S/C WORKING IN PROCESS','74','2021-05-17 14:07:03','2021-05-17 14:07:03');
INSERT INTO complaint_remarks VALUES('6350','5737','COMPLAINT RESOLVED','74','2021-05-17 14:10:20','2021-05-17 14:10:20');
INSERT INTO complaint_remarks VALUES('6351','5685','COMPLAINT RESOLVED','74','2021-05-17 14:18:25','2021-05-17 14:18:25');
INSERT INTO complaint_remarks VALUES('6352','5604','CUSTOMER KO REF REPLACE KAR DIA HAIN  REF GODOWN MAIN HAIN BILAL MANZOOR&ASLAM SAB KI KNOWLEDGE MAIN HAIN','74','2021-05-17 14:32:21','2021-05-17 14:32:21');
INSERT INTO complaint_remarks VALUES('6353','5449','COMPLAINT RESOLVED','74','2021-05-17 14:35:13','2021-05-17 14:35:13');
INSERT INTO complaint_remarks VALUES('6354','5468','ISSUE NOT RESOLVED','74','2021-05-17 14:42:18','2021-05-17 14:42:18');
INSERT INTO complaint_remarks VALUES('6355','5580','COMPLAINT RESOLVED','74','2021-05-17 15:25:23','2021-05-17 15:25:23');
INSERT INTO complaint_remarks VALUES('6356','5434','CUSTOMER ABI OUT OFF CITY HAIN','74','2021-05-17 15:26:39','2021-05-17 15:26:39');
INSERT INTO complaint_remarks VALUES('6357','5524','PARTS KI WAJA SA DELAY','74','2021-05-17 15:28:01','2021-05-17 15:28:01');
INSERT INTO complaint_remarks VALUES('6358','5573','COMPLAINT RESOLVED','74','2021-05-17 15:29:15','2021-05-17 15:29:15');
INSERT INTO complaint_remarks VALUES('6359','5754','COMPLAINT RESOLVED','74','2021-05-17 15:32:52','2021-05-17 15:32:52');
INSERT INTO complaint_remarks VALUES('6360','5598','COMPLAINT RESOLVED','74','2021-05-17 15:33:43','2021-05-17 15:33:43');
INSERT INTO complaint_remarks VALUES('6361','5763','COMPLAINT RESOLVED','74','2021-05-17 15:37:59','2021-05-17 15:37:59');
INSERT INTO complaint_remarks VALUES('6362','5770','COMPLAINT RESOLVED','74','2021-05-17 15:45:42','2021-05-17 15:45:42');
INSERT INTO complaint_remarks VALUES('6363','5603','COMPLAINT ATTEND HO GEI HAIN AB GIRIL KA ISSUE AARHA HAIN AGAIN COMPLAINT REOPENED KARWA DIA MISS AREEBA NA','74','2021-05-17 15:48:22','2021-05-17 15:48:22');
INSERT INTO complaint_remarks VALUES('6364','5545','UNDER PROCESS HAIN COMPLAINT S/C MAIN','74','2021-05-17 16:53:52','2021-05-17 16:53:52');
INSERT INTO complaint_remarks VALUES('6365','5798','COMPLAINT EID SA PHALAY ATTEND HO K RESOLVED  HO GAY TAH DOOR GAS KIT ADJUST KI THI .
BUT ABI FIR SA AGAIN ISSUE AARHA HAIN AGAIN COMPLAINT REOPENED KARWA DI  INFORMED BY IMRAN FCP','74','2021-05-17 16:54:32','2021-05-17 16:54:32');
INSERT INTO complaint_remarks VALUES('6366','5771','COMPLAINT RESOLVED','74','2021-05-17 17:07:43','2021-05-17 17:07:43');
INSERT INTO complaint_remarks VALUES('6367','5767','COMPLAINT RESOLVED','74','2021-05-17 17:10:04','2021-05-17 17:10:04');
INSERT INTO complaint_remarks VALUES('6368','5811','OLI CHOCK HAIN GAS REFIL HONI HAIN','74','2021-05-18 11:47:11','2021-05-18 11:47:11');
INSERT INTO complaint_remarks VALUES('6369','5789','ADEEL BHAI KO INFORMED KAR DIA HAIN  KAL VISIT KARWAY GAY IN FORMED BY CUSTOMER','74','2021-05-18 11:48:22','2021-05-18 11:48:22');
INSERT INTO complaint_remarks VALUES('6370','5774','COMPLAINT RESOLVED','74','2021-05-18 12:15:23','2021-05-18 12:15:23');
INSERT INTO complaint_remarks VALUES('6371','5799','CUSTOMER STILL CALL ATTEND NAI KAR RAHAY S/C SA FOLLOWUP LA K COMPLAINT CLOSED KI COMPLAINT RESOLVED','74','2021-05-18 12:18:14','2021-05-18 12:18:14');
INSERT INTO complaint_remarks VALUES('6372','5806','CUSTOMER BUSY HAIN CALL BACK KARAY GEI','74','2021-05-18 12:21:52','2021-05-18 12:21:52');
INSERT INTO complaint_remarks VALUES('6373','5796','TECHNICIAN CUSTOMER K GHR PA WORKING IN PROCESS','74','2021-05-18 12:25:17','2021-05-18 12:25:17');
INSERT INTO complaint_remarks VALUES('6374','5778','COMPLAINT RESOLVED','74','2021-05-18 12:30:54','2021-05-18 12:30:54');
INSERT INTO complaint_remarks VALUES('6375','5488','S/C WORKING IN PROCESS','74','2021-05-18 12:33:56','2021-05-18 12:33:56');
INSERT INTO complaint_remarks VALUES('6376','5654','COMPLAINT RESOLVED','74','2021-05-18 12:35:48','2021-05-18 12:35:48');
INSERT INTO complaint_remarks VALUES('6377','5744','COMPLAINT RESOLVED','74','2021-05-18 12:37:56','2021-05-18 12:37:56');
INSERT INTO complaint_remarks VALUES('6378','5714','FAN MOTER DEMAND  KIYA HAO 3 SA 4 DIN LAGAY GAY','74','2021-05-18 12:50:45','2021-05-18 12:50:45');
INSERT INTO complaint_remarks VALUES('6379','5714','INFORMED BY CUSTOMER & ALI FCI','74','2021-05-18 12:53:10','2021-05-18 12:53:10');
INSERT INTO complaint_remarks VALUES('6380','5668','COMPLAINT RESOLVED','74','2021-05-18 12:56:46','2021-05-18 12:56:46');
INSERT INTO complaint_remarks VALUES('6381','5811','CUSTOMER KO KHUD S/C MOVE KARWANA HAIN','74','2021-05-18 12:58:36','2021-05-18 12:58:36');
INSERT INTO complaint_remarks VALUES('6382','5669','GASS KIT ADJUST KI HAIN COMPLAINT RESOLVED','74','2021-05-18 13:13:41','2021-05-18 13:13:41');
INSERT INTO complaint_remarks VALUES('6383','5670','COMPLAINT RESOLVED','74','2021-05-18 13:15:37','2021-05-18 13:15:37');
INSERT INTO complaint_remarks VALUES('6384','5630','COMPLAINT RESOLVED','74','2021-05-18 13:19:36','2021-05-18 13:19:36');
INSERT INTO complaint_remarks VALUES('6385','5723','PART DEMAND KIYA HOA HAIN','74','2021-05-18 13:24:03','2021-05-18 13:24:03');
INSERT INTO complaint_remarks VALUES('6386','5626','NOT ATTEND CALL','74','2021-05-18 13:27:01','2021-05-18 13:27:01');
INSERT INTO complaint_remarks VALUES('6387','5634','NO VISIT S/C REMINDER','74','2021-05-18 13:49:09','2021-05-18 13:49:09');
INSERT INTO complaint_remarks VALUES('6388','5618','OUT DOOR UNIT KA CARD S/C LA K AAY HAIN','74','2021-05-18 13:50:47','2021-05-18 13:50:47');
INSERT INTO complaint_remarks VALUES('6389','5705','PANAL MAIN KARAK AAGAY HAIN COMPLAINT ATTEND HO GEI H AIN  CUSTOMER KO EXP BATA DIA HAIN BUT CUSTOMER AGREE NAI HAIN PAY KARNA K LIYA','74','2021-05-18 13:57:27','2021-05-18 13:57:27');
INSERT INTO complaint_remarks VALUES('6390','5486','COMPLAINT RESOLVED','74','2021-05-18 14:03:56','2021-05-18 14:03:56');
INSERT INTO complaint_remarks VALUES('6391','5782','HASSAN ABDAL  BRANCH YHA COMPLAINT ATTEND KARWA RAHAY HAIN 051-4916475','74','2021-05-18 14:22:15','2021-05-18 14:22:15');
INSERT INTO complaint_remarks VALUES('6392','5674','CUSTOMER NA EID K BAD KI TIMING DI THI ADNAN SUPERVISOR KO','74','2021-05-18 14:54:50','2021-05-18 14:54:50');
INSERT INTO complaint_remarks VALUES('6393','5869','COMPLAINT ATTEND HO GEI HAIN PCB CARD&FAN MOTER DEMAND KI HAIN HAIER S/C WALO NA INFORMED BY CUSTOMER& ZAFAR FHH','74','2021-05-18 16:41:55','2021-05-18 16:41:55');
INSERT INTO complaint_remarks VALUES('6394','5869','CUSTOMER NA DIRECT UN #PA COMPLAINT ENTER KARWAI','74','2021-05-18 16:42:35','2021-05-18 16:42:35');
INSERT INTO complaint_remarks VALUES('6395','5639','CUSTOMER NA LOCAL TECHNICIAN SA YHA COMPLAINT RESOLVED KARWA LI','74','2021-05-18 16:52:27','2021-05-18 16:52:27');
INSERT INTO complaint_remarks VALUES('6396','5656','PARTS S/C MAIN HAIN WORKING IN PROCESS HAIN','74','2021-05-18 16:55:13','2021-05-18 16:55:13');
INSERT INTO complaint_remarks VALUES('6397','5653','COMPLAINT RESOLVED','74','2021-05-18 17:03:13','2021-05-18 17:03:13');
INSERT INTO complaint_remarks VALUES('6398','5650','COMPLAINT RESOLVED','74','2021-05-18 17:14:52','2021-05-18 17:14:52');
INSERT INTO complaint_remarks VALUES('6399','5601','CUSTOMER KO TECHNICIAN CALL KAR RAHAY THY BUT CALL ATTEND NI KI','74','2021-05-18 17:21:09','2021-05-18 17:21:09');
INSERT INTO complaint_remarks VALUES('6400','5601','AJ AGAIN CALL KI HAIN  ASIF TECHNICIAN KA #03335297208 CUSTOMER KO PROVIDE KAR DIA','74','2021-05-18 17:22:17','2021-05-18 17:22:17');
INSERT INTO complaint_remarks VALUES('6401','5743','CUSTOMER KO 7500 GLASS KI PRICE CONFIRM KAR DI HAIN CUSTOMER NA APPROVAL B DA DI HAIN','74','2021-05-18 17:25:20','2021-05-18 17:25:20');
INSERT INTO complaint_remarks VALUES('6402','5743','CUSTOMER KO 3 DIN KA TIME DIA HAIN','74','2021-05-18 17:29:58','2021-05-18 17:29:58');
INSERT INTO complaint_remarks VALUES('6403','5743','INFORMED BY TARI','74','2021-05-18 17:30:09','2021-05-18 17:30:09');
INSERT INTO complaint_remarks VALUES('6404','5743','TARIQ FCI','74','2021-05-18 17:30:20','2021-05-18 17:30:20');
INSERT INTO complaint_remarks VALUES('6405','5870','COMPLAINT CANCEL','92','2021-05-19 11:17:08','2021-05-19 11:17:08');
INSERT INTO complaint_remarks VALUES('6406','5724','GASS KIT DEMAND KI HAIN NEXT WEEK TAQ AAJAY GA','74','2021-05-19 11:43:25','2021-05-19 11:43:25');
INSERT INTO complaint_remarks VALUES('6407','5724','WRONG COMMENTS','74','2021-05-19 11:44:03','2021-05-19 11:44:03');
INSERT INTO complaint_remarks VALUES('6408','5798','GASS KIT DEMAND KI HAIN NEXT WEEK TAQ AAJAY GA','74','2021-05-19 11:44:17','2021-05-19 11:44:17');
INSERT INTO complaint_remarks VALUES('6409','5675','CUSTOMER NA EID K BAD KA TIME DIA HO THA ADNA SAB KO','74','2021-05-19 11:50:13','2021-05-19 11:50:13');
INSERT INTO complaint_remarks VALUES('6410','5584','PARTY  LIFTING CASE HAIN CUSTOMER KI SIDE SA DELAY COMPLAINT .COMPLAINT CLOSED','74','2021-05-19 11:57:35','2021-05-19 11:57:35');
INSERT INTO complaint_remarks VALUES('6411','5807','W/M USMAN SAB K S/C MOVE HO GEI HAIN CUSTOMER KO MALIK SAB K NO B FF KAR DIA HAIN WHATS APP PA','74','2021-05-19 12:11:41','2021-05-19 12:11:41');
INSERT INTO complaint_remarks VALUES('6412','5720','COMPLAINT ORIENT KI THI HAIER KI NAI THI ORIENT A/C KI COMPLAINT THI COMPLAINT RESOLVED','74','2021-05-19 12:19:55','2021-05-19 12:19:55');
INSERT INTO complaint_remarks VALUES('6413','5843','ADNAN TECHNICIAN 03179998680','74','2021-05-19 12:35:12','2021-05-19 12:35:12');
INSERT INTO complaint_remarks VALUES('6414','4868','COMPLAINT RESOLVED','74','2021-05-19 12:42:16','2021-05-19 12:42:16');
INSERT INTO complaint_remarks VALUES('6415','5635','CUSTOMER KI AHMED S/C WALO SA BAT KARWA DI KAL TAQ ATTEND HO JAY GEI COMPLAINT','74','2021-05-19 13:11:39','2021-05-19 13:11:39');
INSERT INTO complaint_remarks VALUES('6416','5810','COMPLAINT RESOLVED','74','2021-05-19 13:40:29','2021-05-19 13:40:29');
INSERT INTO complaint_remarks VALUES('6417','5113','KHURRAM SADAR SA CONFIRM KAR K COMPLIANT  CLOSED KI','74','2021-05-19 13:53:51','2021-05-19 13:53:51');
INSERT INTO complaint_remarks VALUES('6418','5830','CALL PA CUSTOMER KO GAIDE KIYA THA BUT ISSUE RESOLVED NAI HOA S/C VISIT K LIYA REMINDER DA DIA','74','2021-05-19 14:02:16','2021-05-19 14:02:16');
INSERT INTO complaint_remarks VALUES('6419','5806','BILLA KO STATUS K LIYA COMPLAINT # SHER KAR DIA','74','2021-05-19 14:04:14','2021-05-19 14:04:14');
INSERT INTO complaint_remarks VALUES('6420','5806','KHURRAM BAHI KAL VISIT KARAY GAY','74','2021-05-19 14:16:10','2021-05-19 14:16:10');
INSERT INTO complaint_remarks VALUES('6421','5806','INFORMED BY CUSTOMER','74','2021-05-19 14:17:26','2021-05-19 14:17:26');
INSERT INTO complaint_remarks VALUES('6422','5821','COMPLAINT ATTEND HO GEI HAIN JUST DEMO REQUIRED','74','2021-05-19 14:53:21','2021-05-19 14:53:21');
INSERT INTO complaint_remarks VALUES('6423','5208','CUSTOMER KO INFORMED KAR DIA HAIN GEYSER 1 10 MOVE KARNAY K LIYA','74','2021-05-19 15:51:41','2021-05-19 15:51:41');
INSERT INTO complaint_remarks VALUES('6424','5700','COMPLAINT RESOLVED','74','2021-05-19 16:11:49','2021-05-19 16:11:49');
INSERT INTO complaint_remarks VALUES('6425','5902','SARGODHA WALAY COMPLIANT ATTEND KARAY GAY 0483768727','74','2021-05-19 16:54:20','2021-05-19 16:54:20');
INSERT INTO complaint_remarks VALUES('6426','5758','COMPLAINT RESOLVED','74','2021-05-19 16:58:08','2021-05-19 16:58:08');
INSERT INTO complaint_remarks VALUES('6427','5741','COMPRESSOR AJ S/C WALO KO RECEIVED HOA HAIN .S/C MAIN WORKING IN PROCESS KAL UP DATE KARAY GAY INFORMED BY CUSTOMER&NAEEM FCI','74','2021-05-19 17:19:02','2021-05-19 17:19:02');
INSERT INTO complaint_remarks VALUES('6428','5769','COMPLAINT ATTEND HO GEI HAIN BUT ISSUE RESOLVED NI HOA AGAIN COMPLAINT REOPEND KARWA DI','74','2021-05-19 18:10:08','2021-05-19 18:10:08');
INSERT INTO complaint_remarks VALUES('6429','5769','INFORMED BY ZAHID SABCUSTOMER','74','2021-05-19 18:10:27','2021-05-19 18:10:27');
INSERT INTO complaint_remarks VALUES('6430','5864','BILAL TECHNICIAN=03095559759','73','2021-05-20 13:53:50','2021-05-20 13:53:50');
INSERT INTO complaint_remarks VALUES('6431','5864','VISIT PCB CAPACITOR ISSUE... TOMOOROW ISSUE WILL BE RESOLVED','73','2021-05-20 13:54:21','2021-05-20 13:54:21');
INSERT INTO complaint_remarks VALUES('6432','5905','inprocess','92','2021-05-21 11:39:29','2021-05-21 11:39:29');
INSERT INTO complaint_remarks VALUES('6433','5714','FAN MOTER DEMAND COMPANY SIDE SA DELAY HAIN PARTS ALI FCI KO INFORMED','74','2021-05-21 12:14:58','2021-05-21 12:14:58');
INSERT INTO complaint_remarks VALUES('6434','5585','ZAHID PWD K CUSTOMER HAIN ZAHID SAB KO CUTOMER NA NO PROVIDE KAR DIA','74','2021-05-21 12:15:34','2021-05-21 12:15:34');
INSERT INTO complaint_remarks VALUES('6435','5718','SET LAHOR SERVICE CENTER MOVE HOVA HA PANEL REPLACEMENT KY LYHY ONE MONTH LAGY GA INFOM BY CUSTAMER','92','2021-05-21 12:35:18','2021-05-21 12:35:18');
INSERT INTO complaint_remarks VALUES('6436','5880','COMPRESSOR PROB REF TO S/C CUSTOMER KO S/C KA ADD SHER KAR DIA','74','2021-05-21 12:45:18','2021-05-21 12:45:18');
INSERT INTO complaint_remarks VALUES('6437','5856','IN PROCESS COMPLAINT','74','2021-05-21 12:50:48','2021-05-21 12:50:48');
INSERT INTO complaint_remarks VALUES('6438','5710','COMPLAINT RESOLVED','74','2021-05-21 14:06:11','2021-05-21 14:06:11');
INSERT INTO complaint_remarks VALUES('6439','5892','NOT ATTEND PHONE','92','2021-05-21 14:15:49','2021-05-21 14:15:49');
INSERT INTO complaint_remarks VALUES('6440','5891','NOT ATTEND PHONE','92','2021-05-21 14:29:56','2021-05-21 14:29:56');
INSERT INTO complaint_remarks VALUES('6441','5856','KHALID SB KO TASK# SHER KAR DIA','74','2021-05-21 15:09:31','2021-05-21 15:09:31');
INSERT INTO complaint_remarks VALUES('6442','5889','COMPLAINT RESOLVED','74','2021-05-21 15:32:50','2021-05-21 15:32:50');
INSERT INTO complaint_remarks VALUES('6443','5911','IN PROCESS  COMPLAINT','74','2021-05-21 15:36:27','2021-05-21 15:36:27');
INSERT INTO complaint_remarks VALUES('6444','5891','COMPLAINT RESOLVED','74','2021-05-21 15:46:26','2021-05-21 15:46:26');
INSERT INTO complaint_remarks VALUES('6445','5872','COMPLAINT RESOLVED','74','2021-05-21 15:48:08','2021-05-21 15:48:08');
INSERT INTO complaint_remarks VALUES('6446','5883','90% complaint complet','92','2021-05-21 15:52:55','2021-05-21 15:52:55');
INSERT INTO complaint_remarks VALUES('6447','5900','SARFARAZ  SAB SA BAT HO GEI HAIN TECHNICIAN NA 2ND TIME KA TIME DIA','74','2021-05-21 16:42:18','2021-05-21 16:42:18');
INSERT INTO complaint_remarks VALUES('6448','5887','COMPLAINT RESOLVED','74','2021-05-21 16:44:40','2021-05-21 16:44:40');
INSERT INTO complaint_remarks VALUES('6449','5871','COMPLAINT ATTEND HO GEI HAIN GLASS DEMAND KIYA HOA HAIN  2 WEEK KA TIOME DIA','74','2021-05-21 16:57:31','2021-05-21 16:57:31');
INSERT INTO complaint_remarks VALUES('6450','5434','customer ky ghr weel lag gya h local (talha)','73','2021-05-22 11:09:54','2021-05-22 11:09:54');
INSERT INTO complaint_remarks VALUES('6451','5801','next visit ni hova (talha)','73','2021-05-22 11:18:11','2021-05-22 11:18:11');
INSERT INTO complaint_remarks VALUES('6452','5741','COMPRESSOR REPLACE KAR K DIYA  THA AJ AGAIN VISIT KARWA RAHAY HAIN HAIER S/C WALAY','74','2021-05-22 11:21:41','2021-05-22 11:21:41');
INSERT INTO complaint_remarks VALUES('6453','5793','NOT ATTEND CALL (TALHA)','73','2021-05-22 11:29:26','2021-05-22 11:29:26');
INSERT INTO complaint_remarks VALUES('6454','5796','NOT ATTEND CALL 2 TIME  (TALHA)','73','2021-05-22 11:33:50','2021-05-22 11:33:50');
INSERT INTO complaint_remarks VALUES('6455','5906','VISIT TO DAY CUSTOMER KO TECHNICIAN NA CALL KAR DI','74','2021-05-22 11:39:46','2021-05-22 11:39:46');
INSERT INTO complaint_remarks VALUES('6456','5904','COMPLAINT RESOLVED','74','2021-05-22 11:44:49','2021-05-22 11:44:49');
INSERT INTO complaint_remarks VALUES('6457','5791','COMPLAIN RESOLVED','73','2021-05-22 12:00:29','2021-05-22 12:00:29');
INSERT INTO complaint_remarks VALUES('6458','5869','NOT ATTEND CALL','74','2021-05-22 12:10:53','2021-05-22 12:10:53');
INSERT INTO complaint_remarks VALUES('6459','5788','COMPLAIN RESOLVED','73','2021-05-22 12:11:31','2021-05-22 12:11:31');
INSERT INTO complaint_remarks VALUES('6460','5868','COMPLAINT RESOLVED','74','2021-05-22 12:13:01','2021-05-22 12:13:01');
INSERT INTO complaint_remarks VALUES('6461','5782','VISIT HO GYHA HA  PROBLEM  ABI BAKI HA  (TALHA)','73','2021-05-22 12:23:35','2021-05-22 12:23:35');
INSERT INTO complaint_remarks VALUES('6462','5878','COMPLAINT ATTEND HO GEI HAIN MONDAY KO S/C WALAY PICK KARAY GAY W/M','74','2021-05-22 12:29:08','2021-05-22 12:29:08');
INSERT INTO complaint_remarks VALUES('6463','5769','CUSTOMER GHR NI TA DUBARA CALL KARY GA CUS..(TALHA)','73','2021-05-22 12:57:01','2021-05-22 12:57:01');
INSERT INTO complaint_remarks VALUES('6464','5811','COMPLAINT RESOLVED','74','2021-05-22 12:58:11','2021-05-22 12:58:11');
INSERT INTO complaint_remarks VALUES('6465','5812','COMPLAINT RESOLVED','74','2021-05-22 13:00:36','2021-05-22 13:00:36');
INSERT INTO complaint_remarks VALUES('6466','5768','CUSTMER NOT ATTEND CALL','73','2021-05-22 13:00:48','2021-05-22 13:00:48');
INSERT INTO complaint_remarks VALUES('6467','5766','COMPLAIN RESOLVED','73','2021-05-22 13:07:39','2021-05-22 13:07:39');
INSERT INTO complaint_remarks VALUES('6468','5757','NOT VISIT (TALHA)','73','2021-05-22 13:14:29','2021-05-22 13:14:29');
INSERT INTO complaint_remarks VALUES('6469','5911','COMPLAINT ATTEND HO GEI HAIN  CUSTOMER NA PARTY LIFTING CASE HAIN CUSTOMER KO S/C  NO PROVIDE KAR DIA HAIN','74','2021-05-22 13:15:10','2021-05-22 13:15:10');
INSERT INTO complaint_remarks VALUES('6470','5911','INFORMED BY HASSAN','74','2021-05-22 13:15:29','2021-05-22 13:15:29');
INSERT INTO complaint_remarks VALUES('6471','5864','COMPLAINT RESOLVED','74','2021-05-22 13:27:33','2021-05-22 13:27:33');
INSERT INTO complaint_remarks VALUES('6472','5860','COMPLAINT RESOLVED','74','2021-05-22 13:32:07','2021-05-22 13:32:07');
INSERT INTO complaint_remarks VALUES('6473','5861','SARFARAZ TECHNICIAN NA YHA COMPLAINT ATTEND KI HAIN  BUT DOOR RABBER KA ISSUE RESOLVED NAI HOA AGAIN S/C MAIN REMINDER DA DIA','74','2021-05-22 13:34:20','2021-05-22 13:34:20');
INSERT INTO complaint_remarks VALUES('6474','5756','COMPLAIN RE OPEN TO COMPANY 
COMPLAIN NO PKRI-210522105457','73','2021-05-22 13:36:37','2021-05-22 13:36:37');
INSERT INTO complaint_remarks VALUES('6475','5752','NOT ATTEND CALL','73','2021-05-22 13:42:22','2021-05-22 13:42:22');
INSERT INTO complaint_remarks VALUES('6476','5911','MAHRAN TECHNICIAN 03179998683 IN PROCESS COMPLAINT','74','2021-05-22 13:44:18','2021-05-22 13:44:18');
INSERT INTO complaint_remarks VALUES('6477','5635','SHSHNWAZ SAB YHA COMPLAINT ATTEND KARAY GAY','74','2021-05-22 13:52:34','2021-05-22 13:52:34');
INSERT INTO complaint_remarks VALUES('6478','5750','COMPLAIN RESOLVED','73','2021-05-22 13:56:03','2021-05-22 13:56:03');
INSERT INTO complaint_remarks VALUES('6479','5813','COMPLAINT RESOLVED','74','2021-05-22 13:58:29','2021-05-22 13:58:29');
INSERT INTO complaint_remarks VALUES('6480','5745','NUMBER POWER OFF (TALHA)','73','2021-05-22 13:59:55','2021-05-22 13:59:55');
INSERT INTO complaint_remarks VALUES('6481','5929','COMPLAINT RESOLVED','74','2021-05-22 14:06:23','2021-05-22 14:06:23');
INSERT INTO complaint_remarks VALUES('6482','5949','TESTING COMPLAINT CLOSED','74','2021-05-22 14:12:06','2021-05-22 14:12:06');
INSERT INTO complaint_remarks VALUES('6483','5801','COMPANY KO IMFAM KRDYHA','73','2021-05-22 14:21:17','2021-05-22 14:21:17');
INSERT INTO complaint_remarks VALUES('6484','5947','COMPLAINT ATTEND HO GEI HAIN BUT ISSUE RESOLVED NAI HOA LIGHT','74','2021-05-22 14:24:06','2021-05-22 14:24:06');
INSERT INTO complaint_remarks VALUES('6485','5944','IN PROCESS COMPLAINT','74','2021-05-22 14:26:01','2021-05-22 14:26:01');
INSERT INTO complaint_remarks VALUES('6486','5942','COMPLAINT RESOLVED','74','2021-05-22 14:26:53','2021-05-22 14:26:53');
INSERT INTO complaint_remarks VALUES('6487','5861','COMPLAINT AGAIN REOPENED KARWA DI 
DOOR KA ISSUE RESOLVED NI HOA','74','2021-05-22 14:33:35','2021-05-22 14:33:35');
INSERT INTO complaint_remarks VALUES('6488','5935','COMPLAINT RESOLVED','74','2021-05-22 14:52:07','2021-05-22 14:52:07');
INSERT INTO complaint_remarks VALUES('6489','5940','COMPLAINT ATTEND HO GEI HAIN ISSUE RESOLVED NAI HOA  REPLACEMENT KI DEMAND KAR RAHAY  HAIN','74','2021-05-22 14:54:49','2021-05-22 14:54:49');
INSERT INTO complaint_remarks VALUES('6490','5932','NOT ATTEND CALL','74','2021-05-22 14:55:05','2021-05-22 14:55:05');
INSERT INTO complaint_remarks VALUES('6491','5730','COMPLAIN RESOLVED','73','2021-05-22 14:55:21','2021-05-22 14:55:21');
INSERT INTO complaint_remarks VALUES('6492','5727','NUM POWER OFF (TALHA)','73','2021-05-22 15:00:15','2021-05-22 15:00:15');
INSERT INTO complaint_remarks VALUES('6493','5922','NOT ATTEND CALL','74','2021-05-22 15:03:11','2021-05-22 15:03:11');
INSERT INTO complaint_remarks VALUES('6494','5726','COMPLAIN RESOLVED','73','2021-05-22 15:04:33','2021-05-22 15:04:33');
INSERT INTO complaint_remarks VALUES('6495','5920','COMPLAINT RESOLVED','74','2021-05-22 15:05:10','2021-05-22 15:05:10');
INSERT INTO complaint_remarks VALUES('6496','5782','INFORM  TO COMPANY  COMPLAIN AGAIN (TALHA)','73','2021-05-22 15:10:09','2021-05-22 15:10:09');
INSERT INTO complaint_remarks VALUES('6497','5940','BADAL SAB KO INFORMED KAR DIA HAIN MONDAY KO REPLACE KAR DAY GAY','74','2021-05-22 15:12:37','2021-05-22 15:12:37');
INSERT INTO complaint_remarks VALUES('6498','5525','COPMLAIN RESOLVED (TALHA)','73','2021-05-22 15:17:46','2021-05-22 15:17:46');
INSERT INTO complaint_remarks VALUES('6499','5634','UNIT S/C WALO NA AJ CUSTOMER KO PICK KAR LIYA HAIN MONDAY KO UPDATE KARTAY HAIN','74','2021-05-22 15:18:08','2021-05-22 15:18:08');
INSERT INTO complaint_remarks VALUES('6500','5524','PROBLEM NOT SOLVE','73','2021-05-22 15:27:22','2021-05-22 15:27:22');
INSERT INTO complaint_remarks VALUES('6501','5841','COMPLAINT RESOLVED','74','2021-05-22 15:30:20','2021-05-22 15:30:20');
INSERT INTO complaint_remarks VALUES('6502','5635','SHAHNAWAZ SAB NA ATIF SAB KO CALL KAR DIA HAIN VISIT K LIYA WO ATTEND KARAYGAY','74','2021-05-22 15:33:16','2021-05-22 15:33:16');
INSERT INTO complaint_remarks VALUES('6503','5839','NOT ATTEND CALL','74','2021-05-22 15:34:45','2021-05-22 15:34:45');
INSERT INTO complaint_remarks VALUES('6504','5910','CUSTOMER KI VISIT TIMING TECHNICIAN K SATH SET NAI HOTI RAHI MONDAY KO 5 COMPANY MAIN  REMINDER DA DIA','74','2021-05-22 16:06:42','2021-05-22 16:06:42');
INSERT INTO complaint_remarks VALUES('6505','5796','COMPLAINT RESOLVED','74','2021-05-22 16:08:53','2021-05-22 16:08:53');
INSERT INTO complaint_remarks VALUES('6506','5724','COMPLAINT RESOLVED','74','2021-05-22 16:11:26','2021-05-22 16:11:26');
INSERT INTO complaint_remarks VALUES('6507','5722','COMPLAINT RESOLVED HO GEI THI BUT ISSUE RESOLVED NAI HOA AGAIN COMPLAINT REOPEND KARWA DIA','74','2021-05-22 16:41:20','2021-05-22 16:41:20');
INSERT INTO complaint_remarks VALUES('6508','5632','CUSTOMER NA NEW A/C MITSUBISHI  KA LAGWA DIA GREE KI COMPLIANT CLOSED KARWA DI','74','2021-05-22 16:50:59','2021-05-22 16:50:59');
INSERT INTO complaint_remarks VALUES('6509','5852','COMPLAINT RESOLVED','74','2021-05-22 16:56:08','2021-05-22 16:56:08');
INSERT INTO complaint_remarks VALUES('6510','5869','NOT ATTEND CALL','74','2021-05-22 16:58:27','2021-05-22 16:58:27');
INSERT INTO complaint_remarks VALUES('6511','5706','CUSTOMER STILL CALL ATTEND NAI KAR RAHAY S/C SA FOLLOW UP CONFIRM KAR K JOB CLOSED KI 
DRY FILTER JOYIN FILTER SA LEAKAGE THA ISSUR RESOLVED','74','2021-05-22 17:02:45','2021-05-22 17:02:45');
INSERT INTO complaint_remarks VALUES('6512','5847','COMPLAINT RESOLVED','74','2021-05-22 17:35:06','2021-05-22 17:35:06');
INSERT INTO complaint_remarks VALUES('6513','5900','COMPLAINT AJ ATTEND HO GEI HAIN CHILLER MAIN BOATH ZAIDHA ICE THI TECHNICIAN OFF KRNAYKA BOL K AAY HAIN KAL AGAIN VISIT KARAY GAY','74','2021-05-22 17:41:05','2021-05-22 17:41:05');
INSERT INTO complaint_remarks VALUES('6514','5701','COMPLAINT ATTEND HO GEI HAIN BUT ISSUE RESOLVED NI HOA','74','2021-05-22 17:43:15','2021-05-22 17:43:15');
INSERT INTO complaint_remarks VALUES('6515','5701','CUSTOMER KI SHAHID HAIN NEXT WEEK MAIN VISIT KARWANA HAIN','74','2021-05-22 17:44:13','2021-05-22 17:44:13');
INSERT INTO complaint_remarks VALUES('6516','5698','COMPLAINT RESOLVED','74','2021-05-22 17:45:36','2021-05-22 17:45:36');
INSERT INTO complaint_remarks VALUES('6517','5980','204B MODEL','73','2021-05-22 17:48:13','2021-05-22 17:48:13');
INSERT INTO complaint_remarks VALUES('6518','5656','COMPLAINT RWESOLVED','74','2021-05-22 17:51:50','2021-05-22 17:51:50');
INSERT INTO complaint_remarks VALUES('6519','5832','COMPLAINT ATTEND HO GEI HAIN SET S/C LA K AARHAY HAIN TECHNICIAN','74','2021-05-24 12:09:45','2021-05-24 12:09:45');
INSERT INTO complaint_remarks VALUES('6520','5968','COMPLAINT RESOLVED','74','2021-05-24 12:15:56','2021-05-24 12:15:56');
INSERT INTO complaint_remarks VALUES('6521','5967','COMPLAINT RESOLVED','74','2021-05-24 12:21:26','2021-05-24 12:21:26');
INSERT INTO complaint_remarks VALUES('6522','5524','not attend call (company)','73','2021-05-24 12:34:51','2021-05-24 12:34:51');
INSERT INTO complaint_remarks VALUES('6523','5921','OUT OFF WARRANTY CASE HAIN CUSTOMER KO ASIF ARISTAN KA NO PROVIDE KAR DIA','74','2021-05-24 12:52:00','2021-05-24 12:52:00');
INSERT INTO complaint_remarks VALUES('6524','5468','customer is not satisfied 
(issue in normal water) (TALHA)','73','2021-05-24 12:52:07','2021-05-24 12:52:07');
INSERT INTO complaint_remarks VALUES('6525','5264','COMPLAINT RESOLVED','74','2021-05-24 12:55:25','2021-05-24 12:55:25');
INSERT INTO complaint_remarks VALUES('6526','5900','COMPLAINT RESOLVED','74','2021-05-24 12:59:11','2021-05-24 12:59:11');
INSERT INTO complaint_remarks VALUES('6527','5402','IN PROCESS (TALHA)','73','2021-05-24 13:03:17','2021-05-24 13:03:17');
INSERT INTO complaint_remarks VALUES('6528','5208','TANK REPLACE HO GAY HAIN PICK KARNAY K LIYA CUSTOMER KO INFORMED KAR DIA','74','2021-05-24 13:05:34','2021-05-24 13:05:34');
INSERT INTO complaint_remarks VALUES('6529','5963','COMPLAINT ATTEND HO GEI HAIN  PARTY LIFTING CASE HAIN CUSTOMER KO S/C KA NO PROVIDE KAR DIA','74','2021-05-24 13:14:25','2021-05-24 13:14:25');
INSERT INTO complaint_remarks VALUES('6530','5963','MAIN BOARD PROB','74','2021-05-24 13:14:32','2021-05-24 13:14:32');
INSERT INTO complaint_remarks VALUES('6531','5962','COMPLAINT RESOLVED','74','2021-05-24 13:18:17','2021-05-24 13:18:17');
INSERT INTO complaint_remarks VALUES('6532','5959','COMPLAINT RESOLVED','74','2021-05-24 13:20:58','2021-05-24 13:20:58');
INSERT INTO complaint_remarks VALUES('6533','5955','COMPLAINT RESOLVED','74','2021-05-24 13:23:21','2021-05-24 13:23:21');
INSERT INTO complaint_remarks VALUES('6534','5950','24-5-2021 
COMPLAIN NO 1878256 (TALHA)','73','2021-05-24 13:24:42','2021-05-24 13:24:42');
INSERT INTO complaint_remarks VALUES('6535','5539','COMPLAINT RESOLVED','74','2021-05-24 13:25:50','2021-05-24 13:25:50');
INSERT INTO complaint_remarks VALUES('6536','5954','NOT ATTEND CALL','74','2021-05-24 13:28:50','2021-05-24 13:28:50');
INSERT INTO complaint_remarks VALUES('6537','5951','24-5-2021
COMPLAIN NO 18268 (TALHA)','73','2021-05-24 13:34:28','2021-05-24 13:34:28');
INSERT INTO complaint_remarks VALUES('6538','5944','CUSTOMER CALL BACK KARAY GAY','74','2021-05-24 13:36:48','2021-05-24 13:36:48');
INSERT INTO complaint_remarks VALUES('6539','5940','CUSTOMER KO BADAL SAB NA W/D REPLACE KAR DIA','74','2021-05-24 13:39:32','2021-05-24 13:39:32');
INSERT INTO complaint_remarks VALUES('6540','5938','OTHER#0334866622 IC NO PA CONTACT KARNA','74','2021-05-24 13:50:13','2021-05-24 13:50:13');
INSERT INTO complaint_remarks VALUES('6541','5934','S/C WALAY AJ PICK KARNAY AAY HAIN SHOWROOM PA','74','2021-05-24 14:05:17','2021-05-24 14:05:17');
INSERT INTO complaint_remarks VALUES('6542','5958','COMPANY WALY S/C AJ PICK KAR LAY GAY','74','2021-05-24 14:07:14','2021-05-24 14:07:14');
INSERT INTO complaint_remarks VALUES('6543','4488','DOOR AAGAY HAIN CUSTOMER  KO S/C WALO NA INFORMED KAR DIA HAIN','74','2021-05-24 14:09:56','2021-05-24 14:09:56');
INSERT INTO complaint_remarks VALUES('6544','4439','CASE COMPANY MAIN ABI WORKING IN PROCESS HAIN','74','2021-05-24 14:17:18','2021-05-24 14:17:18');
INSERT INTO complaint_remarks VALUES('6545','5782','COMPLAINT  OUT OFF WARRANTY HAIN COMPLAINT PA VISIT HO GAYA HAIN MOTER KA ISSUE HAIN CUSTOMER NA KHUD S/C LA K JANAI HAIN','74','2021-05-24 14:18:34','2021-05-24 14:18:34');
INSERT INTO complaint_remarks VALUES('6546','5822','COMPLIANT RESOLVED','74','2021-05-24 14:22:46','2021-05-24 14:22:46');
INSERT INTO complaint_remarks VALUES('6547','5818','03335242259 MISS AYSHA SA BAT HOI HAIN 2 A/C OK HO GAY HAIN 2 RAHA GAY HAIN 2 UNIT CUSTOMER NA S/C MOVE KARWANAY HAIN','74','2021-05-24 14:47:48','2021-05-24 14:47:48');
INSERT INTO complaint_remarks VALUES('6548','5818','INVOICE K LIYA CUSTOMER KO WHATSAPP NO PROVIDE KAR DIA HAIN','74','2021-05-24 14:50:43','2021-05-24 14:50:43');
INSERT INTO complaint_remarks VALUES('6549','5208','TANK REPLACE CUSTOMER GEYSER I 10 S/C SA LA GAY HAIN AJ  COMPLAINT RESOLVED','74','2021-05-24 14:52:58','2021-05-24 14:52:58');
INSERT INTO complaint_remarks VALUES('6550','5817','COMPLAINT RESOLVED','74','2021-05-24 14:58:34','2021-05-24 14:58:34');
INSERT INTO complaint_remarks VALUES('6551','5930','COMPLAINT RESOLVED','74','2021-05-24 15:04:26','2021-05-24 15:04:26');
INSERT INTO complaint_remarks VALUES('6552','5827','VISIT TO DAY INFORMED BY CUSTOMER','74','2021-05-24 15:09:16','2021-05-24 15:09:16');
INSERT INTO complaint_remarks VALUES('6553','5815','COMPLAINT ATTEND HO GEI HAIN SET S/C WORKING IN PROCESS','74','2021-05-24 15:12:03','2021-05-24 15:12:03');
INSERT INTO complaint_remarks VALUES('6554','5918','COMPLAINT RESOLVED','74','2021-05-24 15:19:54','2021-05-24 15:19:54');
INSERT INTO complaint_remarks VALUES('6555','5937','VISIT HO GAYA HAIN UNIT S/C LAK AAY HAIN','74','2021-05-24 15:22:20','2021-05-24 15:22:20');
INSERT INTO complaint_remarks VALUES('6556','5936','COMPLAINT RESOLVED','74','2021-05-24 15:23:24','2021-05-24 15:23:24');
INSERT INTO complaint_remarks VALUES('6557','5793','COMPLAINT RESOLVED','74','2021-05-24 15:29:42','2021-05-24 15:29:42');
INSERT INTO complaint_remarks VALUES('6558','5931','COMPLAINT RESOLVED','74','2021-05-24 15:45:05','2021-05-24 15:45:05');
INSERT INTO complaint_remarks VALUES('6559','5932','YHA COMPLAINT SHAKEEL SAB KO FF HO GEI REMINDER KAR DI','74','2021-05-24 15:51:48','2021-05-24 15:51:48');
INSERT INTO complaint_remarks VALUES('6560','5923','CUSTOMER NA LOCAL TECHNICIAN SA REF CHEEK KARWA LIYA HAIN COMPRESSOR KA ISSUE HAIN CUSTOMER KO MOSHIN SB K NO PROVIDE KAR DIA PARTY LIFTING CASE HAIN','74','2021-05-24 15:55:57','2021-05-24 15:55:57');
INSERT INTO complaint_remarks VALUES('6561','5608','will be launched again...','73','2021-05-24 16:16:54','2021-05-24 16:16:54');
INSERT INTO complaint_remarks VALUES('6562','5914','COMPLAINT  RESOLVED','74','2021-05-24 16:41:00','2021-05-24 16:41:00');
INSERT INTO complaint_remarks VALUES('6563','5909','VISIT TO DAY','92','2021-05-24 16:44:40','2021-05-24 16:44:40');
INSERT INTO complaint_remarks VALUES('6564','5854','IN PROCESS COMPLAINT B.COOL RENDER DA DIA  INFORMEDBY MAZHAR FCP','74','2021-05-24 17:12:08','2021-05-24 17:12:08');
INSERT INTO complaint_remarks VALUES('6565','5854','NO VISIT B. COOL REMINDER','74','2021-05-24 17:31:57','2021-05-24 17:31:57');
INSERT INTO complaint_remarks VALUES('6566','5925','ABDUL REHMAN BHAI KO VISIT K LIYA REMINDER DA DIA','74','2021-05-24 18:58:12','2021-05-24 18:58:12');
INSERT INTO complaint_remarks VALUES('6567','6013','D.O.P-22-APR-2021','73','2021-05-25 10:30:12','2021-05-25 10:30:12');
INSERT INTO complaint_remarks VALUES('6568','5837','complaint resolved','92','2021-05-25 10:39:39','2021-05-25 10:39:39');
INSERT INTO complaint_remarks VALUES('6569','5833','complaint resolved','92','2021-05-25 10:41:39','2021-05-25 10:41:39');
INSERT INTO complaint_remarks VALUES('6570','5831','visit ho gaya hay issue not resolved','92','2021-05-25 10:44:55','2021-05-25 10:44:55');
INSERT INTO complaint_remarks VALUES('6571','5830','COMPLAINT RESOLVED','92','2021-05-25 10:46:22','2021-05-25 10:46:22');
INSERT INTO complaint_remarks VALUES('6572','5756','COMPLAINT RESOLVED','92','2021-05-25 10:59:06','2021-05-25 10:59:06');
INSERT INTO complaint_remarks VALUES('6573','5752','COMPLAINT RESOLVED','92','2021-05-25 11:00:53','2021-05-25 11:00:53');
INSERT INTO complaint_remarks VALUES('6574','5745','CUSTOMER NOT ATTEND CALL','92','2021-05-25 11:05:47','2021-05-25 11:05:47');
INSERT INTO complaint_remarks VALUES('6575','5741','CUSTOMER NOT ATTEND CALL','92','2021-05-25 11:10:49','2021-05-25 11:10:49');
INSERT INTO complaint_remarks VALUES('6576','5741','COMPLAINT RESOLVED','92','2021-05-25 11:11:53','2021-05-25 11:11:53');
INSERT INTO complaint_remarks VALUES('6577','5727','THORE DAR TAK CALL BACK KARAY GAY','92','2021-05-25 11:14:15','2021-05-25 11:14:15');
INSERT INTO complaint_remarks VALUES('6578','5722','PART KI WAJA SAY COMPLAINT IN PROCESS','92','2021-05-25 11:25:21','2021-05-25 11:25:21');
INSERT INTO complaint_remarks VALUES('6579','5839','PINDI S/C NAEEM SAB IC COMPLAINT KO ATTEND KARWA RAHAY HAIN','74','2021-05-25 11:35:40','2021-05-25 11:35:40');
INSERT INTO complaint_remarks VALUES('6580','5839','JIS DIN VISIT THA US DIN CUSTOMER GHR PA AVAIL NAI THY','74','2021-05-25 11:36:09','2021-05-25 11:36:09');
INSERT INTO complaint_remarks VALUES('6581','5832','PANEL PART DEMAND KAR DUIYA HAIN','74','2021-05-25 11:37:16','2021-05-25 11:37:16');
INSERT INTO complaint_remarks VALUES('6582','5994','CUSTOMER KO LG S/C KA NO FF KAR DIA','74','2021-05-25 11:43:18','2021-05-25 11:43:18');
INSERT INTO complaint_remarks VALUES('6583','5986','COMPLAINT RESOLVED','74','2021-05-25 11:51:59','2021-05-25 11:51:59');
INSERT INTO complaint_remarks VALUES('6584','5831','COMPLAINT ATTEND HO GEI HAIN PARTS DEMAND','74','2021-05-25 11:55:31','2021-05-25 11:55:31');
INSERT INTO complaint_remarks VALUES('6585','5985','NOT ATTEND CALL','74','2021-05-25 11:56:46','2021-05-25 11:56:46');
INSERT INTO complaint_remarks VALUES('6586','5984','CUSTOMER WANT-TO EXCHANGE& PERCHES SOME OTHER PRODUCT','74','2021-05-25 12:15:26','2021-05-25 12:15:26');
INSERT INTO complaint_remarks VALUES('6587','5984','CUSTOMER NOT PICK UP CALL','74','2021-05-25 12:15:39','2021-05-25 12:15:39');
INSERT INTO complaint_remarks VALUES('6588','5983','COMPLAINT RESOLVED','74','2021-05-25 12:16:49','2021-05-25 12:16:49');
INSERT INTO complaint_remarks VALUES('6589','6065','GRN# 33437 
IC GRN KA AGAINT NADEEM SAB KO YHA LED GEI HAIN','74','2021-05-25 12:17:55','2021-05-25 12:17:55');
INSERT INTO complaint_remarks VALUES('6590','5989','COMPLAINT RESOLVED','74','2021-05-25 12:37:17','2021-05-25 12:37:17');
INSERT INTO complaint_remarks VALUES('6591','5970','VISIT TO DAY','74','2021-05-25 12:41:19','2021-05-25 12:41:19');
INSERT INTO complaint_remarks VALUES('6592','5975','TOP COVER DEMAND KIYA HOA HAIN','74','2021-05-25 12:54:27','2021-05-25 12:54:27');
INSERT INTO complaint_remarks VALUES('6593','5862','HAEAD OFFICE KI SIDE SA DISPATCH LATE HOI  S/C SA CUSTOMER KO CALL KARWA DI','74','2021-05-25 13:19:41','2021-05-25 13:19:41');
INSERT INTO complaint_remarks VALUES('6594','5862','SHAHID  SALEEM 03105068546','74','2021-05-25 13:21:49','2021-05-25 13:21:49');
INSERT INTO complaint_remarks VALUES('6595','5964','TECHNICIAN ABI WORKING KAR RAHY HAIN','74','2021-05-25 13:39:16','2021-05-25 13:39:16');
INSERT INTO complaint_remarks VALUES('6596','5909','OTHER#03367758529
03005005289','73','2021-05-25 13:53:20','2021-05-25 13:53:20');
INSERT INTO complaint_remarks VALUES('6597','4827','RUBA BAAG DIGITAL 
03411025882 NADDEM','74','2021-05-25 13:55:05','2021-05-25 13:55:05');
INSERT INTO complaint_remarks VALUES('6598','5992','VISIT K LIYA CUSTOMER KO TECHNICIAN KI CALL  AGEI HAIN  VISIT TO DAY','74','2021-05-25 14:02:09','2021-05-25 14:02:09');
INSERT INTO complaint_remarks VALUES('6599','5757','WIFI COAD OPED KARWANA HAIN CUSTOMER KO ORIENT K UN # PROVIDE KAR DIA HAIN CUSTOMER KHUD APNI DETAIL HEAD OFFICE WALO K SATH SHER KARAY GAY','74','2021-05-25 14:03:01','2021-05-25 14:03:01');
INSERT INTO complaint_remarks VALUES('6600','6026','IN PROCESS COMPLAINT','74','2021-05-25 14:10:26','2021-05-25 14:10:26');
INSERT INTO complaint_remarks VALUES('6601','5974','COMPLAINT ATTEND HO GEI HAIN PARTY LIFTING CASE HAIN  CUSTOMER KAL S/C DROP KARAY GAY','74','2021-05-25 14:14:31','2021-05-25 14:14:31');
INSERT INTO complaint_remarks VALUES('6602','5473','CUSTOMER CALL NAI ATTEND KAR RAHAY  ATTIQ SAB SA FOLLOWUP KAR K COMPLAINT CLOSED KI','74','2021-05-25 14:44:11','2021-05-25 14:44:11');
INSERT INTO complaint_remarks VALUES('6603','5861','CUSTOMER NOT ATTEND CALL','92','2021-05-25 14:51:56','2021-05-25 14:51:56');
INSERT INTO complaint_remarks VALUES('6604','5850','KHURRAM BHAI NA EID SA PHALY COMPLAINT ATTEND KI HAIN COMPLAINT RESOLVED','74','2021-05-25 14:52:34','2021-05-25 14:52:34');
INSERT INTO complaint_remarks VALUES('6605','5971','S/C SA CUSTOMER KO CALL PA GUIDE KIYA HAIN  K REMOTE K CELL; CHANGE KARAY','74','2021-05-25 14:53:53','2021-05-25 14:53:53');
INSERT INTO complaint_remarks VALUES('6606','5979','ALI TECHNICIAN IC  COMPLAINT PA VISIT KAR RAHAY HAIN AJ','74','2021-05-25 14:54:09','2021-05-25 14:54:09');
INSERT INTO complaint_remarks VALUES('6607','6029','COMPLAINT RESOLVED','74','2021-05-25 14:56:58','2021-05-25 14:56:58');
INSERT INTO complaint_remarks VALUES('6608','6044','COMPLAINT RESOLVED','74','2021-05-25 14:59:04','2021-05-25 14:59:04');
INSERT INTO complaint_remarks VALUES('6609','6039','COMPLAINT RESOLVED','74','2021-05-25 15:11:37','2021-05-25 15:11:37');
INSERT INTO complaint_remarks VALUES('6610','5988','KHURRAM BHAI NA KAL IST TIME KA TIME DIA INFORMED BY CUSTOMER','74','2021-05-25 16:30:37','2021-05-25 16:30:37');
INSERT INTO complaint_remarks VALUES('6611','6031','COMPLAINT ATTEND HO GE I HAIN  BUT ISSUE RESOLVED NI HOA','74','2021-05-25 16:32:11','2021-05-25 16:32:11');
INSERT INTO complaint_remarks VALUES('6612','6020','IN PROCESS COMPLIANT VISIT TO DAY','74','2021-05-25 16:59:18','2021-05-25 16:59:18');
INSERT INTO complaint_remarks VALUES('6613','4960','AGAIN LAUNCH THE COMPLAINT','73','2021-05-26 10:32:20','2021-05-26 10:32:20');
INSERT INTO complaint_remarks VALUES('6614','5991','VISIT HO GAYA THA IN PROCESS COMPLAINT','92','2021-05-26 10:42:46','2021-05-26 10:42:46');
INSERT INTO complaint_remarks VALUES('6615','6111','COSTUMER KO UPDATE KARNY K LYE CALL KRRY LEKIN COSTUMER NE ATTEND NAHI KI... AGAIN COMPLAINT LAUNCH KARWA DI','73','2021-05-26 10:44:12','2021-05-26 10:44:12');
INSERT INTO complaint_remarks VALUES('6616','6046','COMPLAINT RESOLVED','92','2021-05-26 10:44:38','2021-05-26 10:44:38');
INSERT INTO complaint_remarks VALUES('6617','6038','COMPLAINT RESOLVED','92','2021-05-26 10:47:26','2021-05-26 10:47:26');
INSERT INTO complaint_remarks VALUES('6618','6036','NOT VISIT TO COMPLAINT','92','2021-05-26 10:52:38','2021-05-26 10:52:38');
INSERT INTO complaint_remarks VALUES('6619','6035','VISIT TO DAY','92','2021-05-26 11:00:24','2021-05-26 11:00:24');
INSERT INTO complaint_remarks VALUES('6620','5985','IN PROCESS HAIN COMPLAINT MIHSIN SAB KO REMINDER DA DIA VISIT TO DAY','74','2021-05-26 11:01:03','2021-05-26 11:01:03');
INSERT INTO complaint_remarks VALUES('6621','5984','VISIT HO GAY AHIAN COMPLAINT RESOLVED','74','2021-05-26 11:07:41','2021-05-26 11:07:41');
INSERT INTO complaint_remarks VALUES('6622','5992','CUSTOMER NOT ATTEND CALL','92','2021-05-26 11:08:37','2021-05-26 11:08:37');
INSERT INTO complaint_remarks VALUES('6623','5992','COMPLAINT RESOLVED','92','2021-05-26 11:10:30','2021-05-26 11:10:30');
INSERT INTO complaint_remarks VALUES('6624','5996','COMPLAINT RESOLVED','92','2021-05-26 11:13:13','2021-05-26 11:13:13');
INSERT INTO complaint_remarks VALUES('6625','6008','COMPLAINT RESOLVED','92','2021-05-26 11:14:34','2021-05-26 11:14:34');
INSERT INTO complaint_remarks VALUES('6626','6020','VISIT HO GAYA THA 02 DIN BAD AGAIN VISIT HAY','92','2021-05-26 11:20:38','2021-05-26 11:20:38');
INSERT INTO complaint_remarks VALUES('6627','6021','COMPLAINT RESOLVED','92','2021-05-26 11:22:06','2021-05-26 11:22:06');
INSERT INTO complaint_remarks VALUES('6628','6028','COMPLAINT RESOLVED','92','2021-05-26 11:24:09','2021-05-26 11:24:09');
INSERT INTO complaint_remarks VALUES('6629','5980','COMPLAINT RESOLVED','74','2021-05-26 11:24:31','2021-05-26 11:24:31');
INSERT INTO complaint_remarks VALUES('6630','5981','NOT ATTEND CALL','74','2021-05-26 11:28:13','2021-05-26 11:28:13');
INSERT INTO complaint_remarks VALUES('6631','6030','COMPLAINT RESOLVED','92','2021-05-26 11:28:59','2021-05-26 11:28:59');
INSERT INTO complaint_remarks VALUES('6632','5979','03325472776 TAHIR TECHNICIAN','74','2021-05-26 11:35:03','2021-05-26 11:35:03');
INSERT INTO complaint_remarks VALUES('6633','5979','WAQAR BHATTI YHA COMPLAINT ATTEND KARWA RAHAY','74','2021-05-26 11:38:55','2021-05-26 11:38:55');
INSERT INTO complaint_remarks VALUES('6634','6025','COMPLAINT RESOLVED','92','2021-05-26 11:43:57','2021-05-26 11:43:57');
INSERT INTO complaint_remarks VALUES('6635','6024','CUSTOMER NOT ATTEND CALL','92','2021-05-26 11:45:48','2021-05-26 11:45:48');
INSERT INTO complaint_remarks VALUES('6636','6013','NOT VISIT TO DAY','92','2021-05-26 11:50:41','2021-05-26 11:50:41');
INSERT INTO complaint_remarks VALUES('6637','5729','KHURRAM BHAI SA BAT HO GEI HAIN KAL  KA TIME DIA VISIT K LIYA INFORMED B CUSTOMER & ZAHID PWD','74','2021-05-26 11:50:41','2021-05-26 11:50:41');
INSERT INTO complaint_remarks VALUES('6638','5995','CUSTOMER NOT ATTEND CALL','92','2021-05-26 11:54:54','2021-05-26 11:54:54');
INSERT INTO complaint_remarks VALUES('6639','5402','03315432779 YHA TECHNICIAN CUSTOMER SA CONTACT MAIN USMAN SAB KO REMINDER DA DIA','74','2021-05-26 11:58:05','2021-05-26 11:58:05');
INSERT INTO complaint_remarks VALUES('6640','5402','DOOR ABI DEMAND HAIN','74','2021-05-26 11:58:18','2021-05-26 11:58:18');
INSERT INTO complaint_remarks VALUES('6641','6010','CUSTOMER NOT ATTEND CALL','92','2021-05-26 11:59:28','2021-05-26 11:59:28');
INSERT INTO complaint_remarks VALUES('6642','6009','UNIT IN S/C WORKING IN-PROCESS','92','2021-05-26 12:02:40','2021-05-26 12:02:40');
INSERT INTO complaint_remarks VALUES('6643','5878','COMPLAINT RESOLVED','74','2021-05-26 12:05:56','2021-05-26 12:05:56');
INSERT INTO complaint_remarks VALUES('6644','6011','VISIT HO GAYA THA WORKING IN PROCESS','92','2021-05-26 12:06:22','2021-05-26 12:06:22');
INSERT INTO complaint_remarks VALUES('6645','5876','COMPLAINT RESOLVED','74','2021-05-26 12:07:17','2021-05-26 12:07:17');
INSERT INTO complaint_remarks VALUES('6646','6012','COMPLAINT RESOLVED','92','2021-05-26 12:07:36','2021-05-26 12:07:36');
INSERT INTO complaint_remarks VALUES('6647','6018','VISIT TO DAY','92','2021-05-26 12:12:16','2021-05-26 12:12:16');
INSERT INTO complaint_remarks VALUES('6648','6052','CUSTOMER NOT ATTEND CALL','92','2021-05-26 12:19:11','2021-05-26 12:19:11');
INSERT INTO complaint_remarks VALUES('6649','4488','COMPLAINT RESOLVED','92','2021-05-26 12:25:28','2021-05-26 12:25:28');
INSERT INTO complaint_remarks VALUES('6650','5714','KIT ARRANGE HO GEI HAIN FACN MOTER ARRANGE KAR RAHAY HAIN ALI FCI KO INFORMED KAR DIA','74','2021-05-26 12:27:54','2021-05-26 12:27:54');
INSERT INTO complaint_remarks VALUES('6651','5871','NEXT WEEK TAQ GALLS AAJAY GA','74','2021-05-26 12:30:07','2021-05-26 12:30:07');
INSERT INTO complaint_remarks VALUES('6652','4782','COMPLAINT RESOLVED','92','2021-05-26 12:30:48','2021-05-26 12:30:48');
INSERT INTO complaint_remarks VALUES('6653','4918','AGAIN VISIT K LEAY KHURRAM FIVE STAR SIR KO REMINDER DAY DEYA HAY','92','2021-05-26 12:37:29','2021-05-26 12:37:29');
INSERT INTO complaint_remarks VALUES('6654','5434','COMPLAINT RESOLVED','74','2021-05-26 13:01:58','2021-05-26 13:01:58');
INSERT INTO complaint_remarks VALUES('6655','5886','COMPLAINT RTESOLVED','74','2021-05-26 13:12:02','2021-05-26 13:12:02');
INSERT INTO complaint_remarks VALUES('6656','5883','COMPLAINT RESOLVED','74','2021-05-26 13:15:27','2021-05-26 13:15:27');
INSERT INTO complaint_remarks VALUES('6657','5970','KAL VISIT HO GA INFORM BY CUSTOMER','92','2021-05-26 13:15:49','2021-05-26 13:15:49');
INSERT INTO complaint_remarks VALUES('6658','5971','COMPLAINT RESOLVED','92','2021-05-26 13:19:07','2021-05-26 13:19:07');
INSERT INTO complaint_remarks VALUES('6659','5881','AJA AGAIN COMPLAINT REOPENED KARWA DI','74','2021-05-26 13:26:19','2021-05-26 13:26:19');
INSERT INTO complaint_remarks VALUES('6660','5977','CUSTOMER THOR DAR TAK CONFORM KARAY GAY','92','2021-05-26 13:29:54','2021-05-26 13:29:54');
INSERT INTO complaint_remarks VALUES('6661','5978','CUSTOMER NOT ATTEND CALL','92','2021-05-26 13:34:27','2021-05-26 13:34:27');
INSERT INTO complaint_remarks VALUES('6662','6040','MOHSIN SAB KO COMPLAINT # SHER KAR DIA','74','2021-05-26 13:34:59','2021-05-26 13:34:59');
INSERT INTO complaint_remarks VALUES('6663','6053','COM NO 1880807','92','2021-05-26 14:18:02','2021-05-26 14:18:02');
INSERT INTO complaint_remarks VALUES('6664','5865','COMPLAINT RESOLVED','74','2021-05-26 14:35:04','2021-05-26 14:35:04');
INSERT INTO complaint_remarks VALUES('6665','5894','KAL ASIF SAB SHOWRROOM PA VIST KARAY GAY KHUD','74','2021-05-26 14:43:33','2021-05-26 14:43:33');
INSERT INTO complaint_remarks VALUES('6666','5976','IN PROCESS COMPLAINT 
VISIT K LIYA REMINDER DA DIA','74','2021-05-26 14:58:34','2021-05-26 14:58:34');
INSERT INTO complaint_remarks VALUES('6667','6122','MOBILE NO 03325168761','92','2021-05-26 14:59:24','2021-05-26 14:59:24');
INSERT INTO complaint_remarks VALUES('6668','5867','COMPLAINT ATTAEND HO GEI HAIN BUT SPINNER KA ISSUE RESOLVED NAIHOA AGAIN COMPLIANT REOPEN KARWA DI','74','2021-05-26 15:11:57','2021-05-26 15:11:57');
INSERT INTO complaint_remarks VALUES('6669','5981','CUSTOMER STILL CALL ATTEND NAI KAR RAHAY','74','2021-05-26 15:12:30','2021-05-26 15:12:30');
INSERT INTO complaint_remarks VALUES('6670','5979','KAL VISIT HO GA','74','2021-05-26 15:14:33','2021-05-26 15:14:33');
INSERT INTO complaint_remarks VALUES('6671','5884','COMPLAINT RESOLVED GASS REFILE KI HAIN','74','2021-05-26 15:36:59','2021-05-26 15:36:59');
INSERT INTO complaint_remarks VALUES('6672','5714','COMPLAINT RESOLVED KIT SA HI ISSUE RESOLVED HO GAYA INFORMED BY ALI FCI','74','2021-05-26 15:37:58','2021-05-26 15:37:58');
INSERT INTO complaint_remarks VALUES('6673','5978','COMPLAINT RESOLVED  DARIN BUTTON KA ISSUE RESOLVED KIYA','74','2021-05-26 15:44:03','2021-05-26 15:44:03');
INSERT INTO complaint_remarks VALUES('6674','5869','CUSTOMER STILL CALL ATTEND NAI KAR RAHAY S/C SA FOLLOW UP LA K COMPLAINT CLOSED KI','74','2021-05-26 16:20:56','2021-05-26 16:20:56');
INSERT INTO complaint_remarks VALUES('6675','5963','CUSTOMER SIDE SA DELAY COMPLAINT','74','2021-05-26 16:26:48','2021-05-26 16:26:48');
INSERT INTO complaint_remarks VALUES('6676','5644','CUSTOMER SA BT HO GEI HAIN  KAL KA TIME DIA','74','2021-05-26 16:51:42','2021-05-26 16:51:42');
INSERT INTO complaint_remarks VALUES('6677','6035','COMPLAINT RESOLVED','92','2021-05-26 16:55:11','2021-05-26 16:55:11');
INSERT INTO complaint_remarks VALUES('6678','6024','COMPLAINT RESOLVED','92','2021-05-26 16:57:17','2021-05-26 16:57:17');
INSERT INTO complaint_remarks VALUES('6679','5995','PART ISSUE COMPLAINT IN PROCESS','92','2021-05-26 17:03:10','2021-05-26 17:03:10');
INSERT INTO complaint_remarks VALUES('6680','5687','COMPLAINT RESOLVED','74','2021-05-26 17:08:21','2021-05-26 17:08:21');
INSERT INTO complaint_remarks VALUES('6681','4895','TARIQ SAB KI SIDE SA DELAY COMPLAINT CLOSED THIS JOB','74','2021-05-26 17:11:15','2021-05-26 17:11:15');
INSERT INTO complaint_remarks VALUES('6682','5745','COMPLAINT RESOLVED LOCAL TECHNICIAN','74','2021-05-26 17:16:44','2021-05-26 17:16:44');
INSERT INTO complaint_remarks VALUES('6683','5801','COMPLAINT RESOLVED','74','2021-05-26 17:17:57','2021-05-26 17:17:57');
INSERT INTO complaint_remarks VALUES('6684','5672','COMPLAINT RESOLVED','74','2021-05-26 17:23:10','2021-05-26 17:23:10');
INSERT INTO complaint_remarks VALUES('6685','5862','COMPLAINT ATTENMD HO GEI HAIN 3 4 DIN BAD AGAIN FOLLOW UP','74','2021-05-26 17:26:51','2021-05-26 17:26:51');
INSERT INTO complaint_remarks VALUES('6686','5666','COMPLAINT RESOLVED','74','2021-05-26 17:36:54','2021-05-26 17:36:54');
INSERT INTO complaint_remarks VALUES('6687','5995','OUT DOOR PCB DEMAND
NAEEM  KENWOOD ATTEND KAR RAHAY HAIN','74','2021-05-26 17:58:25','2021-05-26 17:58:25');
INSERT INTO complaint_remarks VALUES('6688','6155','REF TO ADEEL BHR-7','73','2021-05-27 10:50:42','2021-05-27 10:50:42');
INSERT INTO complaint_remarks VALUES('6689','5979','INVOICE WAQAR BHATTI KO CALL KAR DI HAIN .
IN PROCESS COMPLAINT','74','2021-05-27 11:03:53','2021-05-27 11:03:53');
INSERT INTO complaint_remarks VALUES('6690','5979','VISIT TO DAY','74','2021-05-27 11:04:04','2021-05-27 11:04:04');
INSERT INTO complaint_remarks VALUES('6691','6107','COMPLAINT RESOLVED','74','2021-05-27 11:09:46','2021-05-27 11:09:46');
INSERT INTO complaint_remarks VALUES('6692','6010','COMPLAINT CANCEL','92','2021-05-27 11:14:03','2021-05-27 11:14:03');
INSERT INTO complaint_remarks VALUES('6693','6087','KAL COMPLAINT PA VISIT THA BIUT CUSTOMER SA TECHNICIAN KI CALL ATTEND NAI KI 
AJ AGAIN CUSTOMER SA BAT HO GEI HAIN LG MAN VISIT K LIYA REMINDER DA DIA','74','2021-05-27 11:19:36','2021-05-27 11:19:36');
INSERT INTO complaint_remarks VALUES('6694','6086','IN PROCESS COMPLAINT','74','2021-05-27 11:19:58','2021-05-27 11:19:58');
INSERT INTO complaint_remarks VALUES('6695','5909','CUSTOMER NOT ATTEND CALL','92','2021-05-27 11:22:25','2021-05-27 11:22:25');
INSERT INTO complaint_remarks VALUES('6696','5906','VISIT HO GAYA HAY PART ISSUE COMPLAINT IN PROCESS','92','2021-05-27 11:26:17','2021-05-27 11:26:17');
INSERT INTO complaint_remarks VALUES('6697','5991','COMPLAINT ATTEND HO GEI HAIN PART DEMAND KIAYA HAIN','74','2021-05-27 11:26:44','2021-05-27 11:26:44');
INSERT INTO complaint_remarks VALUES('6698','5905','CUSTOMER 02 BAJAY TAK INFORM KARAY GAY VISIT HUA K NAI','92','2021-05-27 11:35:26','2021-05-27 11:35:26');
INSERT INTO complaint_remarks VALUES('6699','6007','COMPLAINT ATTEND  HO GEI HAIN REF S/C WORKING IN PROCESS','74','2021-05-27 11:36:54','2021-05-27 11:36:54');
INSERT INTO complaint_remarks VALUES('6700','6009','COMPLAINT RESOLVED','74','2021-05-27 11:38:34','2021-05-27 11:38:34');
INSERT INTO complaint_remarks VALUES('6701','6009','COMPLAINT RESOLVED','74','2021-05-27 11:39:38','2021-05-27 11:39:38');
INSERT INTO complaint_remarks VALUES('6702','5899','NOT ATTEND CALL','92','2021-05-27 11:43:18','2021-05-27 11:43:18');
INSERT INTO complaint_remarks VALUES('6703','5899','NOT ATTEND CALL','92','2021-05-27 11:43:20','2021-05-27 11:43:20');
INSERT INTO complaint_remarks VALUES('6704','5635','MOSHIN SAB KO REMINDER DA DIA HAIN VISIT AJ  KARWA RAHAY HAIN','74','2021-05-27 11:53:19','2021-05-27 11:53:19');
INSERT INTO complaint_remarks VALUES('6705','5892','COMPLAINT RESOLVED','92','2021-05-27 11:56:56','2021-05-27 11:56:56');
INSERT INTO complaint_remarks VALUES('6706','6017','VISIT TO DAY TACTION KI CALL AY GAE HAY CUSTOMER KO','92','2021-05-27 12:05:05','2021-05-27 12:05:05');
INSERT INTO complaint_remarks VALUES('6707','6019','NOT VISIT TO COMPLAINT','92','2021-05-27 12:06:24','2021-05-27 12:06:24');
INSERT INTO complaint_remarks VALUES('6708','6026','PART KI  WAJA SAY NOT RESOLVED COMPLAINT','92','2021-05-27 12:08:53','2021-05-27 12:08:53');
INSERT INTO complaint_remarks VALUES('6709','5985','NOT VISIT TO COMPLAINT','92','2021-05-27 12:13:13','2021-05-27 12:13:13');
INSERT INTO complaint_remarks VALUES('6710','5981','CUSTOMER NOT ATTEND CALL','92','2021-05-27 12:15:39','2021-05-27 12:15:39');
INSERT INTO complaint_remarks VALUES('6711','6101','VISIT HO GAYA HAY UNIT IN S/C','92','2021-05-27 12:21:25','2021-05-27 12:21:25');
INSERT INTO complaint_remarks VALUES('6712','6052','CUSTOMER NOT ATTEND CALL','92','2021-05-27 12:23:13','2021-05-27 12:23:13');
INSERT INTO complaint_remarks VALUES('6713','6055','CUSTOMER NOT ATTEND CALL','92','2021-05-27 12:25:49','2021-05-27 12:25:49');
INSERT INTO complaint_remarks VALUES('6714','6055','COMPLAINT RESOLVED','92','2021-05-27 12:26:33','2021-05-27 12:26:33');
INSERT INTO complaint_remarks VALUES('6715','6059','COMPLAINT RESOLVED','92','2021-05-27 12:28:58','2021-05-27 12:28:58');
INSERT INTO complaint_remarks VALUES('6716','6060','CUSTOMER NOT ATTEND CALL','92','2021-05-27 12:33:21','2021-05-27 12:33:21');
INSERT INTO complaint_remarks VALUES('6717','6061','COMPLAINT RESOLVED','92','2021-05-27 12:35:55','2021-05-27 12:35:55');
INSERT INTO complaint_remarks VALUES('6718','6083','VISIT TO DAY','92','2021-05-27 12:37:55','2021-05-27 12:37:55');
INSERT INTO complaint_remarks VALUES('6719','6090','CUSTOMER NOT ATTEND CALL','92','2021-05-27 12:39:43','2021-05-27 12:39:43');
INSERT INTO complaint_remarks VALUES('6720','6090','CUSTOMER REPLACEMENT KI BAT KAR RAHY HAY VISIT NAI KARWANA CHATAY','92','2021-05-27 12:41:24','2021-05-27 12:41:24');
INSERT INTO complaint_remarks VALUES('6721','6091','COMPLAINT RESOLVED','92','2021-05-27 12:43:27','2021-05-27 12:43:27');
INSERT INTO complaint_remarks VALUES('6722','6031','HAIER MAIN TAQUEER SAB KO COMPLAINT # SHER KAR DIA','74','2021-05-27 12:44:29','2021-05-27 12:44:29');
INSERT INTO complaint_remarks VALUES('6723','6095','VISIT HO GAYA HAY IN PROCESS COMPLAINT','92','2021-05-27 12:45:58','2021-05-27 12:45:58');
INSERT INTO complaint_remarks VALUES('6724','6100','CUSTOMER NOT ATTEND CALL','92','2021-05-27 12:48:28','2021-05-27 12:48:28');
INSERT INTO complaint_remarks VALUES('6725','5769','VISIT HO GAYA HAY ISSUE NOT RESOLVED AGAIN AJ VISIT HAY','92','2021-05-27 12:53:53','2021-05-27 12:53:53');
INSERT INTO complaint_remarks VALUES('6726','5827','PARTY LIFTING CASE HAIN CUSTOMER KO TAHIR SAB KA NO B PROVIDE KAR DIA INFORMED BY SHAHZAD BEHIRA','74','2021-05-27 12:58:48','2021-05-27 12:58:48');
INSERT INTO complaint_remarks VALUES('6727','6052','COMPLAINT RESOLVED','92','2021-05-27 13:02:41','2021-05-27 13:02:41');
INSERT INTO complaint_remarks VALUES('6728','6060','COMPLAINT RESOLVED','92','2021-05-27 13:03:48','2021-05-27 13:03:48');
INSERT INTO complaint_remarks VALUES('6729','6100','COMPLAINT RESOLVED','92','2021-05-27 13:05:06','2021-05-27 13:05:06');
INSERT INTO complaint_remarks VALUES('6730','5690','COMPLAINT IN PROCESS PART KI WAJA SAY','92','2021-05-27 13:12:02','2021-05-27 13:12:02');
INSERT INTO complaint_remarks VALUES('6731','5861','COMPLAINT RESOLVED','92','2021-05-27 13:13:42','2021-05-27 13:13:42');
INSERT INTO complaint_remarks VALUES('6732','5915','COMPLAINT PA AIK VISIT HO GAY HAIN .
ABI SOUND KA ISSUE AAGYA HAIN KAL AGAIN VISIT K LIYA LG KO REMINDER DA DIA HAIN MARIYAM FCI KO B INFORMED KAR DIA & CUSTOMER KO B','74','2021-05-27 13:14:09','2021-05-27 13:14:09');
INSERT INTO complaint_remarks VALUES('6733','5922','DRAIN PIPE  ADJUST HOA THA  COMPLAINT RESOLVED','74','2021-05-27 13:16:20','2021-05-27 13:16:20');
INSERT INTO complaint_remarks VALUES('6734','6102','VISIT TO DAY INFORM BY CUSTOMER','92','2021-05-27 13:16:25','2021-05-27 13:16:25');
INSERT INTO complaint_remarks VALUES('6735','5371','04 AC KA ISSUE RESOLVED HO GAYA HAY 01 AC KI PCB DEMAND KI HAY','92','2021-05-27 13:24:30','2021-05-27 13:24:30');
INSERT INTO complaint_remarks VALUES('6736','5923','REF S/C MAIN HAIN INVOICE PA FRIEND KI STEMP NAI LAGI V MOHSIN SAB KO WHATSAPP KAR DIA','74','2021-05-27 13:24:57','2021-05-27 13:24:57');
INSERT INTO complaint_remarks VALUES('6737','5921','GEYSE S/C MAIN WORKING IN PROCESS HAIN','74','2021-05-27 13:26:29','2021-05-27 13:26:29');
INSERT INTO complaint_remarks VALUES('6738','5585','CUSTOMER NOT ATTEND CALL','92','2021-05-27 13:26:37','2021-05-27 13:26:37');
INSERT INTO complaint_remarks VALUES('6739','5727','OTHER MOBILE NO 0518890631','92','2021-05-27 13:32:14','2021-05-27 13:32:14');
INSERT INTO complaint_remarks VALUES('6740','5911','UNIT S/C MAIN WORKING IN PROCESS MONDAY KO CUSTOMER NA DROP KIYA','74','2021-05-27 13:34:44','2021-05-27 13:34:44');
INSERT INTO complaint_remarks VALUES('6741','6066','VISIT TO DAY','92','2021-05-27 13:40:26','2021-05-27 13:40:26');
INSERT INTO complaint_remarks VALUES('6742','5910','CUSTOMER OVEN SHOWROOM PA DROP KAR K GEIHAIN REPLACEMENT KI DEMAND KAR RAHI HAIN','74','2021-05-27 13:41:40','2021-05-27 13:41:40');
INSERT INTO complaint_remarks VALUES('6743','5905','GRILL KA ISSUE THA KAL ATTEND HO GEI HAIN COMPLAINT RESOLVED','74','2021-05-27 13:45:10','2021-05-27 13:45:10');
INSERT INTO complaint_remarks VALUES('6744','5903','COMPLAINT ATTEND HO GEI HAIN FAN MOTER KA ISSUE RESOLVED HO GAYA BUT ABI FLAPPER KA ISSUE AGAYA HAIN MOHSIN SAB KO COMPLAINT # SHER KAR DIA','74','2021-05-27 13:50:02','2021-05-27 13:50:02');
INSERT INTO complaint_remarks VALUES('6745','6033','COMPLAINT RESOLVED','92','2021-05-27 14:04:07','2021-05-27 14:04:07');
INSERT INTO complaint_remarks VALUES('6746','5902','TECHNIC 0305 7800565 NOOR SHAH SAB IC COMPLAINT PA VISIT KARAY HOA CUSTOMER KO B TECHNICIAN KA NO PROVIDE KAR DIA','74','2021-05-27 14:08:39','2021-05-27 14:08:39');
INSERT INTO complaint_remarks VALUES('6747','5727','CUSTOMER NOT ATTEND CALL','92','2021-05-27 14:08:46','2021-05-27 14:08:46');
INSERT INTO complaint_remarks VALUES('6748','5899','COMPLAINT RESOLVED','92','2021-05-27 14:14:54','2021-05-27 14:14:54');
INSERT INTO complaint_remarks VALUES('6749','5902','TECHNICIAN NA CUSTOMER KO CALL KI HAIN CUSTOMER ABI GHR SA BEHIR HAIN CUSTOMER KO B TECHNICIAN KA NO PROVIDE KAR DIA','74','2021-05-27 14:15:48','2021-05-27 14:15:48');
INSERT INTO complaint_remarks VALUES('6750','6089','CUSTOMER NOT ATTEND CALL','92','2021-05-27 14:17:53','2021-05-27 14:17:53');
INSERT INTO complaint_remarks VALUES('6751','6109','COMPLAINT RESOLVED','92','2021-05-27 14:20:39','2021-05-27 14:20:39');
INSERT INTO complaint_remarks VALUES('6752','6041','COMPLAINT RESOLVED','92','2021-05-27 14:27:28','2021-05-27 14:27:28');
INSERT INTO complaint_remarks VALUES('6753','5898','MISS AREEBA NA INVOICE KHURRAM BHAIN KO WHATSAPP NI KI 27TH MAY KO AJ INVOICE SHER KI 
INFORMED BY CUSTOMER','74','2021-05-27 14:35:03','2021-05-27 14:35:03');
INSERT INTO complaint_remarks VALUES('6754','5635','FILTER SERVICE KIYA HAIN COMPLAINT RESOLVED','74','2021-05-27 14:37:03','2021-05-27 14:37:03');
INSERT INTO complaint_remarks VALUES('6755','6034','VISIT HO GAYA HAY COMPLAINT IN PROCESS','92','2021-05-27 14:44:35','2021-05-27 14:44:35');
INSERT INTO complaint_remarks VALUES('6756','6073','NOT ATTEND CALL','74','2021-05-27 14:44:48','2021-05-27 14:44:48');
INSERT INTO complaint_remarks VALUES('6757','5815','COMPLAINT RESOLVED','92','2021-05-27 14:51:42','2021-05-27 14:51:42');
INSERT INTO complaint_remarks VALUES('6758','6074','COMPLAINT RESOLVED','74','2021-05-27 14:52:21','2021-05-27 14:52:21');
INSERT INTO complaint_remarks VALUES('6759','5557','COMPLAINT RESOLVED CUSTOMER NAY LED REPLACE KARWA LI HAY','92','2021-05-27 14:55:07','2021-05-27 14:55:07');
INSERT INTO complaint_remarks VALUES('6760','6097','ATIF SADAR CONFIRM KAR K BATA RAHAY','74','2021-05-27 14:56:46','2021-05-27 14:56:46');
INSERT INTO complaint_remarks VALUES('6761','6095','PART DEMAND','74','2021-05-27 14:58:02','2021-05-27 14:58:02');
INSERT INTO complaint_remarks VALUES('6762','6092','IN PROCESS COMPLAINT','74','2021-05-27 15:00:32','2021-05-27 15:00:32');
INSERT INTO complaint_remarks VALUES('6763','6090','3 TIME VISIT HO GAYA ISSUE RESOLVED NI HO INFORMED BY TAUQEER SAB','74','2021-05-27 15:07:59','2021-05-27 15:07:59');
INSERT INTO complaint_remarks VALUES('6764','5575','THERMOSTAT ADJUST COMPLAINT RESOLVED','74','2021-05-27 15:25:11','2021-05-27 15:25:11');
INSERT INTO complaint_remarks VALUES('6765','5524','PARTS KI WAJ SA DELAY','74','2021-05-27 15:30:27','2021-05-27 15:30:27');
INSERT INTO complaint_remarks VALUES('6766','5468','COMPLAINT RESOLVED','74','2021-05-27 15:31:30','2021-05-27 15:31:30');
INSERT INTO complaint_remarks VALUES('6767','5932','VISIT HO GAYA HAY CUSTOMER NAY UNIT S/C MAY LAY KAR ANA HAY','92','2021-05-27 15:35:42','2021-05-27 15:35:42');
INSERT INTO complaint_remarks VALUES('6768','6014','KHURRAM BHAI KAL VISIT  KARAY','74','2021-05-27 15:36:24','2021-05-27 15:36:24');
INSERT INTO complaint_remarks VALUES('6769','5585','CUSTOMER NAY UNIT REPLACE KARWA LEYA HAY','92','2021-05-27 15:39:10','2021-05-27 15:39:10');
INSERT INTO complaint_remarks VALUES('6770','5634','UNIT S/C SA READY HO K AAG HAIN CUSTOMER NA KHUD SA INSTALL KARWANA COMPLAINT RESOLVED','74','2021-05-27 16:06:52','2021-05-27 16:06:52');
INSERT INTO complaint_remarks VALUES('6771','5634','COMPLAINT RESOLVED','74','2021-05-27 16:09:18','2021-05-27 16:09:18');
INSERT INTO complaint_remarks VALUES('6772','5846','COMPLAINT RESOLVED','92','2021-05-27 16:11:36','2021-05-27 16:11:36');
INSERT INTO complaint_remarks VALUES('6773','6064','VISIT HO GAYA HAY ISSUE NOICE KA AY RAHA HAY COMPLAINT REOPEN KARWA DE HAY','92','2021-05-27 16:21:32','2021-05-27 16:21:32');
INSERT INTO complaint_remarks VALUES('6774','6151','JOIN SA GASS LEAKAGE HAIN   INSTALLATION FRIENDS KI HAIN   INFORMED BY NAEEM NASEER SHAHNAWAZ TECHNICIAN NA VISIT KIYA','74','2021-05-27 16:43:07','2021-05-27 16:43:07');
INSERT INTO complaint_remarks VALUES('6775','6031','HAIER NA AGAIN IC COMPLAINT PA VISIT KAR LIYA HAIN  CUSTOMER SATISFIED HAIN CUSTOMER NA COMPANY KO CODA B PROVIDE KAR DIA  INFORMED BY KABEER FCI','74','2021-05-27 17:02:00','2021-05-27 17:02:00');
INSERT INTO complaint_remarks VALUES('6776','6031','YHA GEYSER FISHER SA GUJRAWALA 5 STAR COMPANY MAIN DILVER HO GAYA','74','2021-05-27 17:04:06','2021-05-27 17:04:06');
INSERT INTO complaint_remarks VALUES('6777','6101','INTERNAL  LEAKAGE HAIN UNIT S/C MAIN REVIVED HO GAYA HAIN  KAL SUBHA TAQ UPDATE KARAY GAY S/C WALAY CUSTOMER KO INFORMED BY CUSTOMER& TARIQ FCI  ADEEL 7 STAR','74','2021-05-27 17:11:45','2021-05-27 17:11:45');
INSERT INTO complaint_remarks VALUES('6778','4859','GEYSER LHR SA GUJRANWALA MOVE HO GAYA   GEYSER 5 STAR KA HAIN FISCHER  KA NAI HAIN COMPLAINT CLOSED','74','2021-05-27 17:27:05','2021-05-27 17:27:05');
INSERT INTO complaint_remarks VALUES('6779','5546','CUSTOMER SIDE SA EXP KI APPROVAL NAI DI COMPLAINT CLOSED KAR DI','74','2021-05-27 17:31:52','2021-05-27 17:31:52');
INSERT INTO complaint_remarks VALUES('6780','5647','E 7 ERROR COMPLAINT ATTEND HO GEI HAIN','74','2021-05-27 17:44:36','2021-05-27 17:44:36');
INSERT INTO complaint_remarks VALUES('6781','6090','COMPLAINT PA AJ AGAIN VISIT HO CUSTOMER SATISFIDE HAIN COAD B S/C WALO KO PROVIDE KAR DIA CUSTOMER NA TAQEER SAB NA PIC& VIDEO BS SHER KAR DI','74','2021-05-27 18:00:05','2021-05-27 18:00:05');
INSERT INTO complaint_remarks VALUES('6782','6090','INFORMED BY ADIL BHAI','74','2021-05-27 18:00:19','2021-05-27 18:00:19');
INSERT INTO complaint_remarks VALUES('6783','6087','FAROOQ TECHNICIAN  ABI VISIT HO GAYA','74','2021-05-27 18:02:53','2021-05-27 18:02:53');
INSERT INTO complaint_remarks VALUES('6784','6174','INPROCESS COMPLAINT','74','2021-05-27 18:05:22','2021-05-27 18:05:22');
INSERT INTO complaint_remarks VALUES('6785','6098','VISIT TO DAY INFORMED BY CUSTOMER&HASSAN','74','2021-05-28 12:33:51','2021-05-28 12:33:51');
INSERT INTO complaint_remarks VALUES('6786','6087','TECHNICIAN CUSTOMER K GHR PA HAIN WORKING IN PROCESS','74','2021-05-28 12:52:46','2021-05-28 12:52:46');
INSERT INTO complaint_remarks VALUES('6787','6087','ADIL BHAI KO B BATA DIA','74','2021-05-28 12:53:05','2021-05-28 12:53:05');
INSERT INTO complaint_remarks VALUES('6788','5911','COMPRESSOR KA ISSUE HAIN COMPRESSOR REPLACE HO GA  CUSTOMER SA WARRANTY CARD MISS PLACE HO GAYA','74','2021-05-28 13:27:58','2021-05-28 13:27:58');
INSERT INTO complaint_remarks VALUES('6789','6202','CELL#03008544580','74','2021-05-28 15:02:08','2021-05-28 15:02:08');
INSERT INTO complaint_remarks VALUES('6790','5915','KAL VISIT HO GA','74','2021-05-28 15:37:08','2021-05-28 15:37:08');
INSERT INTO complaint_remarks VALUES('6791','6087','COMPLAINT PA VISIT HO GAYA HAIN CUSTOMER CHEEKED KAR KA KAL UP DATE KARAY GAY INFORMED BY ADIL FHSS','74','2021-05-28 16:52:51','2021-05-28 16:52:51');
INSERT INTO complaint_remarks VALUES('6792','6122','CUSTOMER TECHNICIAN KI CALL ATTEND NAI KAR RAHAY','74','2021-05-28 17:15:20','2021-05-28 17:15:20');
INSERT INTO complaint_remarks VALUES('6793','6058','KAL ATTEND HO GEI COMPLAINT INFORMED BY CUSTOMER # ADIL BHAI','74','2021-05-28 17:19:01','2021-05-28 17:19:01');
INSERT INTO complaint_remarks VALUES('6794','6152','BACK LIGHT KA ISSUE HAIN 16000 KA EXP CUSTOMER KO BATA DIA THA BUT CUSTOMER NA APPROVED NAI KIYA COMPLAINT CLOSED KARWA DI','74','2021-05-29 10:25:20','2021-05-29 10:25:20');
INSERT INTO complaint_remarks VALUES('6795','6151','NOT ATTEND CALL','74','2021-05-29 10:29:00','2021-05-29 10:29:00');
INSERT INTO complaint_remarks VALUES('6796','5963','CUSTOMER SAY BAT HUAI HAY AJ UNIT S/C LIFT KARWAY GAY','92','2021-05-29 10:33:35','2021-05-29 10:33:35');
INSERT INTO complaint_remarks VALUES('6797','6149','COMPLAINT RESOLVED','74','2021-05-29 10:40:02','2021-05-29 10:40:02');
INSERT INTO complaint_remarks VALUES('6798','6148','COMPLAINT RESOLVED','74','2021-05-29 10:46:02','2021-05-29 10:46:02');
INSERT INTO complaint_remarks VALUES('6799','5954','NOT VISIT TO COMPLAINT ALI SIR KO REMINDER DAY DEYA HAY','92','2021-05-29 10:48:41','2021-05-29 10:48:41');
INSERT INTO complaint_remarks VALUES('6800','5947','CUSTOMER NOT ATTEND CALL','92','2021-05-29 10:50:58','2021-05-29 10:50:58');
INSERT INTO complaint_remarks VALUES('6801','5944','COMPLAINT PAR VISIT HO GAYA HAY IN-PROCESS COMPLAINT PART ISSUE','92','2021-05-29 10:53:36','2021-05-29 10:53:36');
INSERT INTO complaint_remarks VALUES('6802','6121','COMPLAINT RESOLVED','74','2021-05-29 10:55:34','2021-05-29 10:55:34');
INSERT INTO complaint_remarks VALUES('6803','5938','CUSTOMER NOT ATTEND CALL','92','2021-05-29 10:55:46','2021-05-29 10:55:46');
INSERT INTO complaint_remarks VALUES('6804','5937','COMPLAINT RESOLVED','92','2021-05-29 10:57:37','2021-05-29 10:57:37');
INSERT INTO complaint_remarks VALUES('6805','6144','COMPLAINT RESOLVED','74','2021-05-29 10:59:28','2021-05-29 10:59:28');
INSERT INTO complaint_remarks VALUES('6806','6135','2 UNIT BUKIL OK WORKING KAR RAHAY HAIN AIK A/C KI JUST SERVICES KARWANI HAIN US K LIYA CUSTOMER KO HAIER S/C KA NO PROVIDE KAR DIA','74','2021-05-29 11:03:56','2021-05-29 11:03:56');
INSERT INTO complaint_remarks VALUES('6807','5843','TECHNICIAN SAY BAT HO GAE HAY AJ LEFT HO JAY KA UNIT S/C','92','2021-05-29 11:04:11','2021-05-29 11:04:11');
INSERT INTO complaint_remarks VALUES('6808','6142','COMPLAINT RESOLVED LIGHT CHANGE KIYA','74','2021-05-29 11:07:26','2021-05-29 11:07:26');
INSERT INTO complaint_remarks VALUES('6809','6150','IN PROCESS HAIN COMPLAINT','74','2021-05-29 11:11:10','2021-05-29 11:11:10');
INSERT INTO complaint_remarks VALUES('6810','6139','CUSTOMER NOT ATTEND CALL','92','2021-05-29 11:13:42','2021-05-29 11:13:42');
INSERT INTO complaint_remarks VALUES('6811','6143','COMPLAINT RESOLVED','74','2021-05-29 11:14:34','2021-05-29 11:14:34');
INSERT INTO complaint_remarks VALUES('6812','6139','NOT ATTEND CALL','74','2021-05-29 11:19:46','2021-05-29 11:19:46');
INSERT INTO complaint_remarks VALUES('6813','6137','COMPLAINT RESOLVED','74','2021-05-29 11:21:51','2021-05-29 11:21:51');
INSERT INTO complaint_remarks VALUES('6814','6126','CUSTOMER NOT ATTEND CALL BUT VISIT TO DAY','92','2021-05-29 11:23:08','2021-05-29 11:23:08');
INSERT INTO complaint_remarks VALUES('6815','6139','CUSTOMER NOT ATTEND CALL','92','2021-05-29 11:24:34','2021-05-29 11:24:34');
INSERT INTO complaint_remarks VALUES('6816','6136','COMPLAINT RESOLVED','74','2021-05-29 11:25:19','2021-05-29 11:25:19');
INSERT INTO complaint_remarks VALUES('6817','5923','REF ABI B S/C MAY HAY WORKING IN PROCESS','92','2021-05-29 11:26:51','2021-05-29 11:26:51');
INSERT INTO complaint_remarks VALUES('6818','5921','COMPLAINT RESOLVED','92','2021-05-29 11:31:57','2021-05-29 11:31:57');
INSERT INTO complaint_remarks VALUES('6819','6133','COMPLAINT RESOLVED','74','2021-05-29 11:32:33','2021-05-29 11:32:33');
INSERT INTO complaint_remarks VALUES('6820','6132','COMPLAINT RESOLVED','74','2021-05-29 11:35:57','2021-05-29 11:35:57');
INSERT INTO complaint_remarks VALUES('6821','5909','VISIT TO DAY CUSTOMER SAY BAT HO GAE HAY','92','2021-05-29 11:38:57','2021-05-29 11:38:57');
INSERT INTO complaint_remarks VALUES('6822','5902','CUSTOMER SAY BAT HO GAE HAY WO ABI GHAR PAR NAI HAY JAB HON GAY TAB ATTEND HO GE COMPLAINT IN PROCESS','92','2021-05-29 11:46:03','2021-05-29 11:46:03');
INSERT INTO complaint_remarks VALUES('6823','6131','COMPLAINT RESOLVED','74','2021-05-29 11:46:53','2021-05-29 11:46:53');
INSERT INTO complaint_remarks VALUES('6824','5881','COMPLAINT RESOLVED','92','2021-05-29 11:49:09','2021-05-29 11:49:09');
INSERT INTO complaint_remarks VALUES('6825','5867','VISIT TO DAY','92','2021-05-29 11:52:10','2021-05-29 11:52:10');
INSERT INTO complaint_remarks VALUES('6826','6129','COMPLAINT RESOLVED','74','2021-05-29 11:54:26','2021-05-29 11:54:26');
INSERT INTO complaint_remarks VALUES('6827','5862','COMPLAINT DOBARA SAY REOPEN KARWA DE HAY COMPAINE MAY','92','2021-05-29 11:58:21','2021-05-29 11:58:21');
INSERT INTO complaint_remarks VALUES('6828','5849','COMPLAINT RESOLVED','92','2021-05-29 12:06:54','2021-05-29 12:06:54');
INSERT INTO complaint_remarks VALUES('6829','5839','VISIT HO GAYA HAY CUSTOMER KO UNIT S/C LANA HAY','92','2021-05-29 12:10:31','2021-05-29 12:10:31');
INSERT INTO complaint_remarks VALUES('6830','6117','ISB S/C COMPLAINT IN PROCESS','74','2021-05-29 12:11:18','2021-05-29 12:11:18');
INSERT INTO complaint_remarks VALUES('6831','5827','CUSTOMER SAY BAT HUAI HAY MONDAY KO UNIT S/C LEFT KARWAY GAY','92','2021-05-29 12:15:15','2021-05-29 12:15:15');
INSERT INTO complaint_remarks VALUES('6832','6116','COMPLAINT PA VISIT HO GAY HAIN PANAL K ISSUE HAIN SET LHR S/C MOVE HO GA BUT CUSTOMER AGREE NAI REPALCEMENT KI DEMAND KAR RAHAY','74','2021-05-29 12:17:32','2021-05-29 12:17:32');
INSERT INTO complaint_remarks VALUES('6833','5818','COMPLAINT RESOLVED','92','2021-05-29 12:19:51','2021-05-29 12:19:51');
INSERT INTO complaint_remarks VALUES('6834','6115','GAS KIT REPLACE KI HAIN CUSTOMER SA MONDAY KO AGAIN FOLLOW UP LAY GAY','74','2021-05-29 12:20:10','2021-05-29 12:20:10');
INSERT INTO complaint_remarks VALUES('6835','6123','COMPLAINT RESOLVED','74','2021-05-29 12:22:03','2021-05-29 12:22:03');
INSERT INTO complaint_remarks VALUES('6836','5825','VISIT TO DAY','92','2021-05-29 12:23:19','2021-05-29 12:23:19');
INSERT INTO complaint_remarks VALUES('6837','6114','AGAIN REOPEND COMPLAINT KRWANI MONDAY KO AIK VISIT HO GAYA HAIN COMAPLAINT PA BUT ISSUE NOT RESOLVED','74','2021-05-29 12:24:21','2021-05-29 12:24:21');
INSERT INTO complaint_remarks VALUES('6838','6158','COMPLAINT RESOLVED','92','2021-05-29 12:39:46','2021-05-29 12:39:46');
INSERT INTO complaint_remarks VALUES('6839','6164','COMPLAINT RESOLVED','92','2021-05-29 12:41:31','2021-05-29 12:41:31');
INSERT INTO complaint_remarks VALUES('6840','6204','VISIT TO DAY 
 INFORMED BY CUSTOMER# RIFFAT FCP','74','2021-05-29 12:43:05','2021-05-29 12:43:05');
INSERT INTO complaint_remarks VALUES('6841','6167','COMPLAINT RESOLVED','92','2021-05-29 12:43:19','2021-05-29 12:43:19');
INSERT INTO complaint_remarks VALUES('6842','6113','3 BAR YHA COMPLINT ATTEND HO GEI HAIN BUT ISSUE RESOLVED NI HOA  ASIF GILL KO COMPLAINT # SHER KAR DIA KHURRAM SIR K KNOWLEDGE MAIN HAIN','74','2021-05-29 12:47:12','2021-05-29 12:47:12');
INSERT INTO complaint_remarks VALUES('6843','6113','ADEEL 7 STAR YHA COMPLAINT ATTEND KARWA RAHAY HAIN','74','2021-05-29 12:47:36','2021-05-29 12:47:36');
INSERT INTO complaint_remarks VALUES('6844','5769','VISIT TO DAY HAIER S/C SAY BAT HUAI HAY','92','2021-05-29 12:52:51','2021-05-29 12:52:51');
INSERT INTO complaint_remarks VALUES('6845','6172','VISIT TO DAY INFORM BY CUSTOMER','92','2021-05-29 12:54:07','2021-05-29 12:54:07');
INSERT INTO complaint_remarks VALUES('6846','6111','AWAN ELECTROCUTION BABAR 03125237516 YHA COMPLAINT ATTEND KARWA RAHAY','74','2021-05-29 12:56:45','2021-05-29 12:56:45');
INSERT INTO complaint_remarks VALUES('6847','6183','COMPLAINT RESOLVED','92','2021-05-29 12:57:38','2021-05-29 12:57:38');
INSERT INTO complaint_remarks VALUES('6848','6111','BABAR TCL NOT PIC UP CALL','74','2021-05-29 12:57:59','2021-05-29 12:57:59');
INSERT INTO complaint_remarks VALUES('6849','6111','0309-8997044
 HAIDER','74','2021-05-29 12:59:15','2021-05-29 12:59:15');
INSERT INTO complaint_remarks VALUES('6850','6186','COMPLAINT RESOLVED','92','2021-05-29 12:59:32','2021-05-29 12:59:32');
INSERT INTO complaint_remarks VALUES('6851','6187','VISIT HO GAYA HAY GASS KA ISSUE HAY MONDAY TAK ISSUE RESOLVED HO GA','92','2021-05-29 13:04:45','2021-05-29 13:04:45');
INSERT INTO complaint_remarks VALUES('6852','6188','CUSTOMER NOT ATTEND CALL','92','2021-05-29 13:09:07','2021-05-29 13:09:07');
INSERT INTO complaint_remarks VALUES('6853','6190','VISIT HO GAYA HAY THERMOSTAT KA ISSUE HAY MONDAY KO AGAIN VISIT HAY','92','2021-05-29 13:11:37','2021-05-29 13:11:37');
INSERT INTO complaint_remarks VALUES('6854','6064','COMPLAINT RESOLVED','92','2021-05-29 13:16:46','2021-05-29 13:16:46');
INSERT INTO complaint_remarks VALUES('6855','6078','CUSTOMER NOT ATTEND CALL','92','2021-05-29 13:24:07','2021-05-29 13:24:07');
INSERT INTO complaint_remarks VALUES('6856','6124','CUSTOMER NOT ATTEND CALL','92','2021-05-29 13:29:53','2021-05-29 13:29:53');
INSERT INTO complaint_remarks VALUES('6857','6173','VISIT HO GAYA HAY MOTOR KA ISSUE HAY MONDAY KO AGAIN COMPLAINT HO GA','92','2021-05-29 13:32:23','2021-05-29 13:32:23');
INSERT INTO complaint_remarks VALUES('6858','6111','MONDAY KO UP DATE KARAY GAY','74','2021-05-29 13:36:52','2021-05-29 13:36:52');
INSERT INTO complaint_remarks VALUES('6859','5727','COMPLAINT RESOLVED','92','2021-05-29 13:40:23','2021-05-29 13:40:23');
INSERT INTO complaint_remarks VALUES('6860','5970','MONDAY KO VISIT HO GA TACTION KI CALL AY GAE HAY CUSTOMER KO','92','2021-05-29 13:45:51','2021-05-29 13:45:51');
INSERT INTO complaint_remarks VALUES('6861','5985','CUSTOMER KI TECHNICIAN SA TIMING ADJUST NAI HO RAHI THI IC WAJA SA COMPLAINT DELAY HO RAHI  AGAIN COMPLAINT REOPND KARWA DI HAIN MONDAY KO VISIT HOGA INFORMED BY CUSTOMER# ATIF SADAR','74','2021-05-29 13:47:17','2021-05-29 13:47:17');
INSERT INTO complaint_remarks VALUES('6862','6219','NOUMAN BAHI KO REMINDER DA DIA HAIN  CUSTOMER GHR JA K BAT KARWAY GAY NOUMAN SAB K INFORMED BY TARIQ FCI','74','2021-05-29 13:49:39','2021-05-29 13:49:39');
INSERT INTO complaint_remarks VALUES('6863','6066','COMPLAINT RESOLVED','92','2021-05-29 13:49:46','2021-05-29 13:49:46');
INSERT INTO complaint_remarks VALUES('6864','6161','COMPLAINT RESOLVED','92','2021-05-29 13:52:55','2021-05-29 13:52:55');
INSERT INTO complaint_remarks VALUES('6865','6163','COMPLAINT RESOLVED','92','2021-05-29 13:54:40','2021-05-29 13:54:40');
INSERT INTO complaint_remarks VALUES('6866','6168','VISIT HO GAYA THA COMPLAINT INPROCESS MONDAY KO DOBRA VISIT HO GA','92','2021-05-29 13:58:24','2021-05-29 13:58:24');
INSERT INTO complaint_remarks VALUES('6867','6181','COMPLAINT RESOLVED','92','2021-05-29 14:08:49','2021-05-29 14:08:49');
INSERT INTO complaint_remarks VALUES('6868','6179','COMPLAINT RESOLVED','92','2021-05-29 14:52:25','2021-05-29 14:52:25');
INSERT INTO complaint_remarks VALUES('6869','6089','COMPLAINT  RESOLVED','92','2021-05-29 14:55:36','2021-05-29 14:55:36');
INSERT INTO complaint_remarks VALUES('6870','6160','VISIT TO DAY S/C SAY CONFORM KEYA HAY','92','2021-05-29 15:08:01','2021-05-29 15:08:01');
INSERT INTO complaint_remarks VALUES('6871','5973','CUSTOMER KI AIR COOLER KI COMPLAINT HAY','92','2021-05-29 15:12:48','2021-05-29 15:12:48');
INSERT INTO complaint_remarks VALUES('6872','5974','CUSTOMER NOT ATTEND CALL','92','2021-05-29 15:19:03','2021-05-29 15:19:03');
INSERT INTO complaint_remarks VALUES('6873','6036','ADIL BAHI SA BAT HO GEI HAIN YH LED REPLACE KARAY GAY KAL APPROVED BY UMER SIR','74','2021-05-29 15:26:00','2021-05-29 15:26:00');
INSERT INTO complaint_remarks VALUES('6874','5691','COMPLAINT RESOLVED','74','2021-05-29 15:27:37','2021-05-29 15:27:37');
INSERT INTO complaint_remarks VALUES('6875','6177','COMPLAINT RESOLVED','92','2021-05-29 15:32:19','2021-05-29 15:32:19');
INSERT INTO complaint_remarks VALUES('6876','5686','COMPLAINT RESOLVED','74','2021-05-29 15:32:25','2021-05-29 15:32:25');
INSERT INTO complaint_remarks VALUES('6877','5649','CUSTOMER NOT ATTEND CALL','92','2021-05-29 15:33:30','2021-05-29 15:33:30');
INSERT INTO complaint_remarks VALUES('6878','6210','TECHNICIAN OR HUM CALL KRRY LEKIN CALL ATTEND NAI KRRY...','73','2021-05-29 15:38:11','2021-05-29 15:38:11');
INSERT INTO complaint_remarks VALUES('6879','5705','CUSTOMER NA ON PAYMENT PA ISSUE RESOLVED NAI KARWANA CATHAY WARRANTY CLAIM MAAG RAHAY  IMRAN FCP KO B INFORMED KAR DIA','74','2021-05-29 15:46:33','2021-05-29 15:46:33');
INSERT INTO complaint_remarks VALUES('6880','5705','COMPLAINT CLOSED','74','2021-05-29 16:02:55','2021-05-29 16:02:55');
INSERT INTO complaint_remarks VALUES('6881','5979','COMPLAINT RESOLVED','92','2021-05-29 16:10:22','2021-05-29 16:10:22');
INSERT INTO complaint_remarks VALUES('6882','5680','PARTS REPLACE KIYA HAIN COMPLAINT RESOLVED','74','2021-05-29 16:12:56','2021-05-29 16:12:56');
INSERT INTO complaint_remarks VALUES('6883','5723','COMPLAINT PA AIK VISIT HO GAYA BUT ISSUE RESOLVED NAI HOA AGAIN COMPLAINT REOPEND KARWA DI','74','2021-05-29 16:23:16','2021-05-29 16:23:16');
INSERT INTO complaint_remarks VALUES('6884','5663','CUSTOMER NAY APNAY TACTION SAY COMPLAINT RESOLVED KARWA LE HAY','92','2021-05-29 16:24:39','2021-05-29 16:24:39');
INSERT INTO complaint_remarks VALUES('6885','5718','SET LHR S/C MAIN HI HAIN','74','2021-05-29 16:32:32','2021-05-29 16:32:32');
INSERT INTO complaint_remarks VALUES('6886','5723','NEW COMPLAINt#PKRI210529110305','73','2021-05-29 16:34:07','2021-05-29 16:34:07');
INSERT INTO complaint_remarks VALUES('6887','5674','VISIT NAI HUA THA AGAIN COMPLAINT REOPEN KARWA DE HAY','92','2021-05-29 16:35:44','2021-05-29 16:35:44');
INSERT INTO complaint_remarks VALUES('6888','5695','COMPLAINT RESOLVED','92','2021-05-29 16:39:53','2021-05-29 16:39:53');
INSERT INTO complaint_remarks VALUES('6889','5693','COMPLAINT RESOLVED','92','2021-05-29 16:42:16','2021-05-29 16:42:16');
INSERT INTO complaint_remarks VALUES('6890','5704','COMPLAINT RESOLVED','92','2021-05-29 16:44:06','2021-05-29 16:44:06');
INSERT INTO complaint_remarks VALUES('6891','5721','COMPLAINT CLOSED','74','2021-05-29 16:50:13','2021-05-29 16:50:13');
INSERT INTO complaint_remarks VALUES('6892','5200','COMPLAINT RESOLVED','74','2021-05-29 16:52:19','2021-05-29 16:52:19');
INSERT INTO complaint_remarks VALUES('6893','5701','COMPLAINT PA AIK VISIIT HO GAYA BUT ISSUE RESOLVED NI HOA AGAIN COMPLAINT REOPEND KARWA DI','74','2021-05-29 16:58:57','2021-05-29 16:58:57');
INSERT INTO complaint_remarks VALUES('6894','5701','RE OPEN COMPLAINT#4667','73','2021-05-29 17:13:23','2021-05-29 17:13:23');
INSERT INTO complaint_remarks VALUES('6895','5545','MONDAY O UPDATE','74','2021-05-29 17:17:38','2021-05-29 17:17:38');
INSERT INTO complaint_remarks VALUES('6896','5947','COMPLAINT ATTEND HO GEI HAIN BUT ISSUE RESOLVED NAI HO RAHA COMPLAINT REOPENS MONDAY KO K ARWA DAY GAY','74','2021-05-29 17:30:09','2021-05-29 17:30:09');
INSERT INTO complaint_remarks VALUES('6897','5599','MONDAY KO VISIT HO GA','74','2021-05-29 17:59:18','2021-05-29 17:59:18');
INSERT INTO complaint_remarks VALUES('6898','6206','COMPLAINT RESOLVED','92','2021-05-30 11:08:59','2021-05-30 11:08:59');
INSERT INTO complaint_remarks VALUES('6899','6205','CUSTOMER NOT ATTEND CALL','92','2021-05-30 11:13:07','2021-05-30 11:13:07');
INSERT INTO complaint_remarks VALUES('6900','6203','CUSTOMER SAY BAT HUAI HAY VISIT TO DAY','92','2021-05-30 11:18:09','2021-05-30 11:18:09');
INSERT INTO complaint_remarks VALUES('6901','6201','COMPLAINT RESOLVED','92','2021-05-30 11:21:31','2021-05-30 11:21:31');
INSERT INTO complaint_remarks VALUES('6902','6198','COMPLAINT RESOLVED','92','2021-05-30 11:29:40','2021-05-30 11:29:40');
INSERT INTO complaint_remarks VALUES('6903','6197','CUSTOMER NOT ATTEND CALL','92','2021-05-30 11:49:34','2021-05-30 11:49:34');
INSERT INTO complaint_remarks VALUES('6904','6196','COMPLAINT RESOLVED','92','2021-05-30 11:50:42','2021-05-30 11:50:42');
INSERT INTO complaint_remarks VALUES('6905','6194','VISIT HO GAYA HAY MONDAY KO CONFORM HO GA K UNIT S/C LANA HAY K GHAR PAR HI ISSUE RESOLVED HO GAY GA','92','2021-05-30 11:54:57','2021-05-30 11:54:57');
INSERT INTO complaint_remarks VALUES('6906','6193','ISSUE NOT RESOLVED COMPAINE MAY AGAIN COMPLAINE KARWA DE HAY','92','2021-05-30 12:12:47','2021-05-30 12:12:47');
INSERT INTO complaint_remarks VALUES('6907','5769','CUSTOMER NOT ATTEND CALL','92','2021-05-30 12:19:28','2021-05-30 12:19:28');
INSERT INTO complaint_remarks VALUES('6908','5768','CUSTOMER NOT ATTEND CALL','92','2021-05-30 12:26:55','2021-05-30 12:26:55');
INSERT INTO complaint_remarks VALUES('6909','5338','COMPLAINT RESOLVED','92','2021-05-30 12:53:46','2021-05-30 12:53:46');
INSERT INTO complaint_remarks VALUES('6910','5018','CUSTOMER NOT ATTEND CALL','92','2021-05-30 13:26:20','2021-05-30 13:26:20');
INSERT INTO complaint_remarks VALUES('6911','5382','COMPLAINT RESOLVED','92','2021-05-30 13:30:18','2021-05-30 13:30:18');
INSERT INTO complaint_remarks VALUES('6912','5438','CUSTOMER NOT ATTEND CALL','92','2021-05-30 13:52:37','2021-05-30 13:52:37');
INSERT INTO complaint_remarks VALUES('6913','5981','COMPLAINT RESOLVED','92','2021-05-30 14:01:09','2021-05-30 14:01:09');
INSERT INTO complaint_remarks VALUES('6914','6200','COMPLAINT RESOLVED','92','2021-05-30 14:19:30','2021-05-30 14:19:30');
INSERT INTO complaint_remarks VALUES('6915','6188','CUSTOMER NOT ATTEND CALL','92','2021-05-30 14:41:03','2021-05-30 14:41:03');
INSERT INTO complaint_remarks VALUES('6916','6188','COMPLAINT RESOLVED','92','2021-05-30 15:02:14','2021-05-30 15:02:14');
INSERT INTO complaint_remarks VALUES('6917','5601','CUSTOMER NOT ATTEND CALL','92','2021-05-30 15:11:10','2021-05-30 15:11:10');
INSERT INTO complaint_remarks VALUES('6918','5644','VISIT TO DAY','92','2021-05-31 10:26:51','2021-05-31 10:26:51');
INSERT INTO complaint_remarks VALUES('6919','6193','VISIT TO DAY','92','2021-05-31 10:45:16','2021-05-31 10:45:16');
INSERT INTO complaint_remarks VALUES('6920','5768','COMPLAINT RESOLVED','92','2021-05-31 10:47:49','2021-05-31 10:47:49');
INSERT INTO complaint_remarks VALUES('6921','6264','FF TO COMPANY','74','2021-05-31 10:49:33','2021-05-31 10:49:33');
INSERT INTO complaint_remarks VALUES('6922','6225','VISIT TO DAY','92','2021-05-31 12:07:30','2021-05-31 12:07:30');
INSERT INTO complaint_remarks VALUES('6923','6101','CARD ISSUE  COMPLAINT IN PROCESS','92','2021-05-31 13:05:09','2021-05-31 13:05:09');
INSERT INTO complaint_remarks VALUES('6924','5599','IN PROCESS COMPLAINT KAL VISIT HO JAY GA','92','2021-05-31 13:45:03','2021-05-31 13:45:03');
INSERT INTO complaint_remarks VALUES('6925','6234','VISIT TO DAY INFORM BY CUSTOMER','92','2021-05-31 14:52:35','2021-05-31 14:52:35');
INSERT INTO complaint_remarks VALUES('6926','6209','complaint resolved','92','2021-05-31 15:07:48','2021-05-31 15:07:48');
INSERT INTO complaint_remarks VALUES('6927','6117','COSTUMER LETTER PAD DEIN GY TO COMPLAIN ATTEND HOJAE GI..','73','2021-05-31 15:58:20','2021-05-31 15:58:20');
INSERT INTO complaint_remarks VALUES('6928','6320','COSTUMER PCB LAGWANAY K LYE AGREE NAHIN HA... PARTS AVAILABLE HAIN','73','2021-05-31 16:24:43','2021-05-31 16:24:43');
INSERT INTO complaint_remarks VALUES('6929','6320','BUT COSTUMER IS NOT SATISFY TO REPLACE THE PART... HE WANTS THE REPLACEMENT','73','2021-05-31 16:25:14','2021-05-31 16:25:14');
INSERT INTO complaint_remarks VALUES('6930','6226','KAL VISIT HO GA INFORM BY CUSTOMER','92','2021-05-31 16:50:42','2021-05-31 16:50:42');
INSERT INTO complaint_remarks VALUES('6931','6128','COMPLAINT PAR VISIT HO GAYA HAY CUSTOMER K PASS WARANTI CARD NAI HAY CUSTOMER KO UNIT KHUD S/C LANA HAY inform by azhar sir','92','2021-05-31 16:52:22','2021-05-31 16:52:22');
INSERT INTO complaint_remarks VALUES('6932','6268','BILAL MANZOOR SE CONFIRM KRNY K BAD AAJ FORWARD KI HA COMPLAINT...','73','2021-05-31 17:25:15','2021-05-31 17:25:15');
INSERT INTO complaint_remarks VALUES('6933','6232','kal visit ho ja','92','2021-05-31 17:34:21','2021-05-31 17:34:21');
INSERT INTO complaint_remarks VALUES('6934','6040','NOT ATTEND CALL (TALHA)','74','2021-06-01 10:39:54','2021-06-01 10:39:54');
INSERT INTO complaint_remarks VALUES('6935','6036','NOT VISIT (TALHA)','74','2021-06-01 10:43:00','2021-06-01 10:43:00');
INSERT INTO complaint_remarks VALUES('6936','6034','PROBLEM NOT SOLVE','74','2021-06-01 10:52:11','2021-06-01 10:52:11');
INSERT INTO complaint_remarks VALUES('6937','6192','KAL COMPLAINT PAR VISIT THA ISSUE NOT RESOLVED AJ DOBAR COMPAINR MAY COMPLAINE REOPEN KARWA DE HAY','92','2021-06-01 10:57:48','2021-06-01 10:57:48');
INSERT INTO complaint_remarks VALUES('6938','6279','VISIT TO DAY','92','2021-06-01 11:01:17','2021-06-01 11:01:17');
INSERT INTO complaint_remarks VALUES('6939','6204','CUSTOMER NAY UNIT REPLACE KARWA LEYA HAY','92','2021-06-01 11:22:24','2021-06-01 11:22:24');
INSERT INTO complaint_remarks VALUES('6940','6205','COMPLAINT RESOLVED','92','2021-06-01 11:24:00','2021-06-01 11:24:00');
INSERT INTO complaint_remarks VALUES('6941','6203','COMPLAINT RESOLVED','92','2021-06-01 11:25:34','2021-06-01 11:25:34');
INSERT INTO complaint_remarks VALUES('6942','6197','COMPLAINT RESOLVED','92','2021-06-01 11:32:04','2021-06-01 11:32:04');
INSERT INTO complaint_remarks VALUES('6943','6194','LIFT IN S/C UNIT','92','2021-06-01 11:37:16','2021-06-01 11:37:16');
INSERT INTO complaint_remarks VALUES('6944','6193','COMPLAINT RESOLVED','92','2021-06-01 11:40:32','2021-06-01 11:40:32');
INSERT INTO complaint_remarks VALUES('6945','5438','AJ TACTION LAY KAR GAY HAY CUSTOMER K GHAR DOOR LAGANAY','92','2021-06-01 11:47:36','2021-06-01 11:47:36');
INSERT INTO complaint_remarks VALUES('6946','5601','COMPLAINT RESOLVED','92','2021-06-01 11:56:52','2021-06-01 11:56:52');
INSERT INTO complaint_remarks VALUES('6947','5545','NOT ATTEND CALL','74','2021-06-01 12:27:04','2021-06-01 12:27:04');
INSERT INTO complaint_remarks VALUES('6948','6234','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-01 12:31:38','2021-06-01 12:31:38');
INSERT INTO complaint_remarks VALUES('6949','6031','VISIT HO GAYA HAY ISSUE NOT RESOLVED COMPAINE MAY AGAIN COMPLAINE KARWA DE HAY','92','2021-06-01 12:44:20','2021-06-01 12:44:20');
INSERT INTO complaint_remarks VALUES('6950','6271','CUSTOMER NOT ATTEND CALL','92','2021-06-01 13:12:25','2021-06-01 13:12:25');
INSERT INTO complaint_remarks VALUES('6951','6267','NOT VISIT TO COMPLAINT S/C MAY INFORM KAR DEYA HAY','92','2021-06-01 13:15:12','2021-06-01 13:15:12');
INSERT INTO complaint_remarks VALUES('6952','6266','COMPLAINT RESOLVED','92','2021-06-01 13:16:57','2021-06-01 13:16:57');
INSERT INTO complaint_remarks VALUES('6953','6259','VISIT HO GAYA HAY KAL LIFT HO GA S/C','92','2021-06-01 13:19:54','2021-06-01 13:19:54');
INSERT INTO complaint_remarks VALUES('6954','6256','VISIT TO DAY CALL AY GAE HAY TACTION KI CUSTOMER KO','92','2021-06-01 13:22:37','2021-06-01 13:22:37');
INSERT INTO complaint_remarks VALUES('6955','6255','CUSTOMER NOT ATTEND CALL','92','2021-06-01 13:25:55','2021-06-01 13:25:55');
INSERT INTO complaint_remarks VALUES('6956','6254','COMPLAINT RESOLVED','92','2021-06-01 13:27:23','2021-06-01 13:27:23');
INSERT INTO complaint_remarks VALUES('6957','6228','COMPLAINT RESOLVED','92','2021-06-01 13:32:28','2021-06-01 13:32:28');
INSERT INTO complaint_remarks VALUES('6958','6190','COMPLAINT RESOLVED','92','2021-06-01 13:36:03','2021-06-01 13:36:03');
INSERT INTO complaint_remarks VALUES('6959','6356','DHOK MATKIAL NASIR KHAN DEAR NEAR RAILWAY HOSPITAL RWP','73','2021-06-01 13:40:27','2021-06-01 13:40:27');
INSERT INTO complaint_remarks VALUES('6960','6187','COMPLAINT RESOLVED','92','2021-06-01 13:46:43','2021-06-01 13:46:43');
INSERT INTO complaint_remarks VALUES('6961','6172','VISIT TO DAY','92','2021-06-01 13:53:03','2021-06-01 13:53:03');
INSERT INTO complaint_remarks VALUES('6962','6141','COMPLAINT RESOLVED','92','2021-06-01 14:04:35','2021-06-01 14:04:35');
INSERT INTO complaint_remarks VALUES('6963','6260','COMPLAINT RESOLVED','92','2021-06-01 14:10:40','2021-06-01 14:10:40');
INSERT INTO complaint_remarks VALUES('6964','6226','VISIT TO DAY','92','2021-06-01 16:00:34','2021-06-01 16:00:34');
INSERT INTO complaint_remarks VALUES('6965','6243','COMPLAINT RESOLVED','92','2021-06-01 16:36:46','2021-06-01 16:36:46');
INSERT INTO complaint_remarks VALUES('6966','6241','COMPLAINT RESOLVED','92','2021-06-01 17:53:52','2021-06-01 17:53:52');
INSERT INTO complaint_remarks VALUES('6967','6182','VISIT TO DAY','92','2021-06-02 11:50:06','2021-06-02 11:50:06');
INSERT INTO complaint_remarks VALUES('6968','6159','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-02 12:32:15','2021-06-02 12:32:15');
INSERT INTO complaint_remarks VALUES('6969','6217','VISIT HO GAYA HAY LEFT IN S/C','92','2021-06-02 13:49:09','2021-06-02 13:49:09');
INSERT INTO complaint_remarks VALUES('6970','6225','COMPLAINT RESOLVED','92','2021-06-02 14:30:42','2021-06-02 14:30:42');
INSERT INTO complaint_remarks VALUES('6971','6235','COMPLAINT RESOLVED','92','2021-06-02 14:46:15','2021-06-02 14:46:15');
INSERT INTO complaint_remarks VALUES('6972','6124','COMPLAINT RESOLVED','92','2021-06-02 14:55:27','2021-06-02 14:55:27');
INSERT INTO complaint_remarks VALUES('6973','6122','CUSTOMER NAY UNIT S/C LEFT KARWANA HAY ABI CUSTOMER AVIL NAI HAY COMPLAINT CLOSED','92','2021-06-02 15:03:44','2021-06-02 15:03:44');
INSERT INTO complaint_remarks VALUES('6974','6326','VISIT TO DAY','92','2021-06-02 15:18:12','2021-06-02 15:18:12');
INSERT INTO complaint_remarks VALUES('6975','6329','COMPLAINT RESOLVED','92','2021-06-02 15:21:44','2021-06-02 15:21:44');
INSERT INTO complaint_remarks VALUES('6976','6328','COMPLAINT RESOLVED','92','2021-06-02 15:27:49','2021-06-02 15:27:49');
INSERT INTO complaint_remarks VALUES('6977','5798','PART ISSUE 02 DIN TAK ISSUE RESOLVED HO JAY GA INFORM BY CUSTOMER','92','2021-06-02 15:43:27','2021-06-02 15:43:27');
INSERT INTO complaint_remarks VALUES('6978','6324','CUSTOMER SAY BAT HUAI HAY CUSTOMER KI KOI COMPLAINT NAI HAY COMPLAINT RESOLVED','92','2021-06-02 15:57:20','2021-06-02 15:57:20');
INSERT INTO complaint_remarks VALUES('6979','6325','CUSTOMER SAY BAT HUAI HAY IN KI KOI COMPLAINT NAI HAY COMPLAINT CANCEL','92','2021-06-02 15:59:01','2021-06-02 15:59:01');
INSERT INTO complaint_remarks VALUES('6980','6280','2-6-21-
COMPLAINT#18645
REOPEN','73','2021-06-02 16:21:35','2021-06-02 16:21:35');
INSERT INTO complaint_remarks VALUES('6981','6322','COMPLAINT RESOLVED','92','2021-06-02 16:27:06','2021-06-02 16:27:06');
INSERT INTO complaint_remarks VALUES('6982','6314','COMPLAINT RESOLVED','92','2021-06-02 16:33:20','2021-06-02 16:33:20');
INSERT INTO complaint_remarks VALUES('6983','6309','VISIT TO DAY','92','2021-06-02 16:38:56','2021-06-02 16:38:56');
INSERT INTO complaint_remarks VALUES('6984','6305','COMPLAINT RESOLVED','92','2021-06-02 16:54:05','2021-06-02 16:54:05');
INSERT INTO complaint_remarks VALUES('6985','6302','COMPLAINT RESOLVED','92','2021-06-02 16:56:20','2021-06-02 16:56:20');
INSERT INTO complaint_remarks VALUES('6986','6299','COMPLAINT RESOLVED','92','2021-06-02 16:59:44','2021-06-02 16:59:44');
INSERT INTO complaint_remarks VALUES('6987','6298','COMPLAINT RESOLVED','92','2021-06-02 17:21:55','2021-06-02 17:21:55');
INSERT INTO complaint_remarks VALUES('6988','6294','COMPLAINT RESOLVED','92','2021-06-02 17:27:25','2021-06-02 17:27:25');
INSERT INTO complaint_remarks VALUES('6989','6289','COMPLAINT RESOLVED','92','2021-06-02 17:30:21','2021-06-02 17:30:21');
INSERT INTO complaint_remarks VALUES('6990','6073','COMPLAINT ATTEND HO GAE HAY CUSTOMER NAY UNIT S/C LIFT KARWANA THA BUT CUSTOMER INTEREST NAI HAY UNIT S/C LANAY K LEAY COMPLAINT RESOLVED','92','2021-06-03 10:41:02','2021-06-03 10:41:02');
INSERT INTO complaint_remarks VALUES('6991','5322','UNIT S/C MAY OK HAY BUT CUSTOMER LANAY K LEAY AGREE NAI HAY RIZWAN SIR KO INFORM KAR DEYA HAY','92','2021-06-03 10:56:10','2021-06-03 10:56:10');
INSERT INTO complaint_remarks VALUES('6992','6112','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-03 11:14:36','2021-06-03 11:14:36');
INSERT INTO complaint_remarks VALUES('6993','6224','VISIT HO GAYA HAY UNIT LIFT IN S/C','92','2021-06-03 12:36:23','2021-06-03 12:36:23');
INSERT INTO complaint_remarks VALUES('6994','6224','VISIT HO GAYA HAY UNIT LIFT IN S/C','92','2021-06-03 12:36:23','2021-06-03 12:36:23');
INSERT INTO complaint_remarks VALUES('6995','6402','IN PROCESS COMPLAINT CUSTOMER KO S/C KA NO PROVIDE KAR DIA','73','2021-06-03 13:01:30','2021-06-03 13:01:30');
INSERT INTO complaint_remarks VALUES('6996','6441','GLASS DAMAGE HAIN YAWAR SAB KO INFORMED KAR DIA HAIN','73','2021-06-03 13:07:00','2021-06-03 13:07:00');
INSERT INTO complaint_remarks VALUES('6997','6441','GLASS BULITY KARWA DI AHIN HAIN YAWAR SAB NA BULITY  WHATS APP KAR DI HAIN','73','2021-06-03 13:08:27','2021-06-03 13:08:27');
INSERT INTO complaint_remarks VALUES('6998','6441','2000 EXP CUSTOMER KO INFORMED KAR DIYA','73','2021-06-03 13:13:41','2021-06-03 13:13:41');
INSERT INTO complaint_remarks VALUES('6999','6282','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-03 13:25:48','2021-06-03 13:25:48');
INSERT INTO complaint_remarks VALUES('7000','6220','COMPLAINT RESOLVED','92','2021-06-03 13:30:49','2021-06-03 13:30:49');
INSERT INTO complaint_remarks VALUES('7001','6118','3-6-21
COMPLAINT#1889777','73','2021-06-03 13:37:33','2021-06-03 13:37:33');
INSERT INTO complaint_remarks VALUES('7002','6194','CUSTOMER UNIT S/C LAJANAY K LEAY AGREE NAI HAY COMPLAINT CLOSED','92','2021-06-03 13:38:11','2021-06-03 13:38:11');
INSERT INTO complaint_remarks VALUES('7003','5438','COMPLAINT RESOLVED','92','2021-06-03 13:43:00','2021-06-03 13:43:00');
INSERT INTO complaint_remarks VALUES('7004','5985','COMPLAINT RESOLVED','92','2021-06-03 14:07:19','2021-06-03 14:07:19');
INSERT INTO complaint_remarks VALUES('7005','6232','COMPLAINT RESOLVED','92','2021-06-03 14:17:13','2021-06-03 14:17:13');
INSERT INTO complaint_remarks VALUES('7006','6279','COMPLAINT RESOLVED','92','2021-06-03 14:19:42','2021-06-03 14:19:42');
INSERT INTO complaint_remarks VALUES('7007','6231','VISIT HO GAYA HAY BUT ISSUE NOT RESOLVED','92','2021-06-03 14:50:48','2021-06-03 14:50:48');
INSERT INTO complaint_remarks VALUES('7008','6309','VISIT AJ HOGA','73','2021-06-03 14:59:19','2021-06-03 14:59:19');
INSERT INTO complaint_remarks VALUES('7009','6307','COMPLAINT RESOLVE','73','2021-06-03 15:09:42','2021-06-03 15:09:42');
INSERT INTO complaint_remarks VALUES('7010','6304','COMPLAINT RESOLVED','73','2021-06-03 15:11:14','2021-06-03 15:11:14');
INSERT INTO complaint_remarks VALUES('7011','6303','COMPLAINT CLOSED','73','2021-06-03 15:12:38','2021-06-03 15:12:38');
INSERT INTO complaint_remarks VALUES('7012','6285','lift in s/c','92','2021-06-03 15:30:37','2021-06-03 15:30:37');
INSERT INTO complaint_remarks VALUES('7013','6361','complaint resolved','92','2021-06-03 15:31:51','2021-06-03 15:31:51');
INSERT INTO complaint_remarks VALUES('7014','6281','IN [ROCESS','73','2021-06-03 15:34:38','2021-06-03 15:34:38');
INSERT INTO complaint_remarks VALUES('7015','6360','complaint resolved','92','2021-06-03 15:34:42','2021-06-03 15:34:42');
INSERT INTO complaint_remarks VALUES('7016','6359','complaint resolved','92','2021-06-03 15:37:38','2021-06-03 15:37:38');
INSERT INTO complaint_remarks VALUES('7017','6287','NOT ATTEND CALL','73','2021-06-03 15:48:09','2021-06-03 15:48:09');
INSERT INTO complaint_remarks VALUES('7018','6287','customer nay call attend nai ki complaint cancle ho gae thi compaine may again complaine ff kar de hay','92','2021-06-03 15:54:44','2021-06-03 15:54:44');
INSERT INTO complaint_remarks VALUES('7019','6253','COMPLAINT CLOSED','73','2021-06-03 16:01:19','2021-06-03 16:01:19');
INSERT INTO complaint_remarks VALUES('7020','6031','COMPLAINT RESOLVED','92','2021-06-03 16:11:54','2021-06-03 16:11:54');
INSERT INTO complaint_remarks VALUES('7021','6113','IN PROCESS','73','2021-06-03 17:22:12','2021-06-03 17:22:12');
INSERT INTO complaint_remarks VALUES('7022','6115','COMPLAINT CLOSED','73','2021-06-03 17:25:01','2021-06-03 17:25:01');
INSERT INTO complaint_remarks VALUES('7023','6169','GLASS DEMAND KIHA HOVA HA','73','2021-06-03 17:39:33','2021-06-03 17:39:33');
INSERT INTO complaint_remarks VALUES('7024','6172','COMPLAINT CLOSED','73','2021-06-03 17:41:53','2021-06-03 17:41:53');
INSERT INTO complaint_remarks VALUES('7025','6419','visit to day','74','2021-06-04 11:24:53','2021-06-04 11:24:53');
INSERT INTO complaint_remarks VALUES('7026','6419','VISIT TO DAY CUSTOMER KO TECHNICIAN KA NO FF KAR DI AHIN','74','2021-06-04 11:25:34','2021-06-04 11:25:34');
INSERT INTO complaint_remarks VALUES('7027','6420','COMPLAINT ATTEND HO GEI HAIN REF TOS/C','74','2021-06-04 11:26:01','2021-06-04 11:26:01');
INSERT INTO complaint_remarks VALUES('7028','6369','VISIT TO DAY INFORMED BY CUSTOMER','74','2021-06-04 11:29:41','2021-06-04 11:29:41');
INSERT INTO complaint_remarks VALUES('7029','6368','VISIT DO DAY NAEEM KENWOOD ATTEND KARWAY GAY INFORMED BY CUSTOMER','74','2021-06-04 11:43:32','2021-06-04 11:43:32');
INSERT INTO complaint_remarks VALUES('7030','6420','COMPLAINT RESOLVED','74','2021-06-04 11:47:26','2021-06-04 11:47:26');
INSERT INTO complaint_remarks VALUES('7031','6420','GASS LAEAKAGE KA ISSUE HAIN CUSTOMER KO  EXP 5000 KA BATA DIA HAIN  PAR CUSTOMER NA EXP APPROVED NAI KIYA COMPLAINT CANCELED KAEWA DI INFORMED BY SAIF','74','2021-06-04 11:55:34','2021-06-04 11:55:34');
INSERT INTO complaint_remarks VALUES('7032','6318','COMPLAINT ATTEND HO GEI PCB CARD DEMAD KIYA HAIN COMPANY NA MEH RAN TECHNICIAN NA YHA COMPLAINT ATTEND KI HAIN 03179998683..
INFORMED BY KHURRAM SIR','74','2021-06-04 11:57:35','2021-06-04 11:57:35');
INSERT INTO complaint_remarks VALUES('7033','6367','COMPLAINT RESOLVED','74','2021-06-04 11:59:54','2021-06-04 11:59:54');
INSERT INTO complaint_remarks VALUES('7034','6367','COMPLAINT RESOLVED','74','2021-06-04 12:01:00','2021-06-04 12:01:00');
INSERT INTO complaint_remarks VALUES('7035','6456','VISIT TO DAY MEHRAN TECHNICIAN AJ YHA COMPLAINT ATTEND KARAY GAY 03179998683 INFORMED BY ANEEQ','74','2021-06-04 12:42:52','2021-06-04 12:42:52');
INSERT INTO complaint_remarks VALUES('7036','6364','NOT ATTEND CALL','74','2021-06-04 12:45:25','2021-06-04 12:45:25');
INSERT INTO complaint_remarks VALUES('7037','6234','ASIF GILL YHA COMPLAINT ATTEND KARWA RAHAY HAIN GASS LEAKAGE KA ISSUE HAIN CUSTOMER KO 4500 GASS K CHARGES & 1000 PIPE FITTING KA CHARGES INFORMED KAR DIAY KAMRAN SAB KO B SARAY CASE KI DETAIL DA DI','74','2021-06-04 12:46:07','2021-06-04 12:46:07');
INSERT INTO complaint_remarks VALUES('7038','6363','COMPLAINT ATTEND H O GEI HAIN W/D REF TO S/C CUSTOMER MONDAY KO MOVE KARWAY GAY','74','2021-06-04 12:50:27','2021-06-04 12:50:27');
INSERT INTO complaint_remarks VALUES('7039','6358','COMPLAINT RESOLVED','74','2021-06-04 12:51:45','2021-06-04 12:51:45');
INSERT INTO complaint_remarks VALUES('7040','6357','NOT ATTEND CALL','74','2021-06-04 12:56:14','2021-06-04 12:56:14');
INSERT INTO complaint_remarks VALUES('7041','6356','COMPLAINT RESOLVED','74','2021-06-04 12:57:14','2021-06-04 12:57:14');
INSERT INTO complaint_remarks VALUES('7042','6353','COMPLAINT RESOLVED','74','2021-06-04 12:59:06','2021-06-04 12:59:06');
INSERT INTO complaint_remarks VALUES('7043','6326','COMPLAINT ATTEND HO GEI HAIN BUT ISSUE RESOLVED NAI HOA','74','2021-06-04 15:15:29','2021-06-04 15:15:29');
INSERT INTO complaint_remarks VALUES('7044','6323','NOT ATTEND CALL','74','2021-06-04 15:18:04','2021-06-04 15:18:04');
INSERT INTO complaint_remarks VALUES('7045','6321','NOT ATTEND CALL','74','2021-06-04 15:21:38','2021-06-04 15:21:38');
INSERT INTO complaint_remarks VALUES('7046','6268','COMPLAINT RESOLVED','74','2021-06-04 16:21:57','2021-06-04 16:21:57');
INSERT INTO complaint_remarks VALUES('7047','6267','JIS DIN VISIT THA US DIN CUSTOMER GHAR PA AVAIL NAI THAY 
COMPLAINT AGAIN REOPEN KARWA DI','74','2021-06-04 16:26:29','2021-06-04 16:26:29');
INSERT INTO complaint_remarks VALUES('7048','6267','4-6-2021
COMPLAINT-PKRI-210604110129
REOPEN','73','2021-06-04 17:33:19','2021-06-04 17:33:19');
INSERT INTO complaint_remarks VALUES('7049','6380','4-6-2021
COMPLAINT- RE FF','73','2021-06-04 17:45:13','2021-06-04 17:45:13');
INSERT INTO complaint_remarks VALUES('7050','6323','NOT ATTENDING CALL','74','2021-06-04 18:27:37','2021-06-04 18:27:37');
INSERT INTO complaint_remarks VALUES('7051','6310','NOT ATTEND CALL','74','2021-06-04 18:30:12','2021-06-04 18:30:12');
INSERT INTO complaint_remarks VALUES('7052','6463','VISIT TO DAY','92','2021-06-05 10:57:25','2021-06-05 10:57:25');
INSERT INTO complaint_remarks VALUES('7053','3924','YHA COMPLAINT CLOSED KAR K NEW COMPLAINT ZAHID MIDAS KO FF KAR DI HAIN SHRAZ SAB KO INFORMED KAR K COMPLAINT CLOSED KI','74','2021-06-05 11:32:48','2021-06-05 11:32:48');
INSERT INTO complaint_remarks VALUES('7054','6256','COMPLAINT RESOLVED','92','2021-06-05 11:43:57','2021-06-05 11:43:57');
INSERT INTO complaint_remarks VALUES('7055','6173','COMPLAINT CLOSED','73','2021-06-05 11:44:50','2021-06-05 11:44:50');
INSERT INTO complaint_remarks VALUES('7056','4181','DOOR S/C NAEEM SA K PASS AAGAY HAIN SATURDAY SUNDAY SHOWROOM OFF HAIN MONDAY KO DOOR LAGWAY GAY NAEEM SAB KO INFORMED KAR DIA','74','2021-06-05 11:46:05','2021-06-05 11:46:05');
INSERT INTO complaint_remarks VALUES('7057','4211','DABAL COMPLAINT ENTER HOI V HAIN AIK REF K DOOR KI COMPLAINT THI','74','2021-06-05 11:46:48','2021-06-05 11:46:48');
INSERT INTO complaint_remarks VALUES('7058','6150','COMPLAINT CLOSED','73','2021-06-05 11:47:21','2021-06-05 11:47:21');
INSERT INTO complaint_remarks VALUES('7059','5545','COMPLAINT RESOLVED','92','2021-06-05 11:50:00','2021-06-05 11:50:00');
INSERT INTO complaint_remarks VALUES('7060','6154','VISIT HO GYHA HA ISSUE SOLVE NI HO VA','73','2021-06-05 11:51:58','2021-06-05 11:51:58');
INSERT INTO complaint_remarks VALUES('7061','5561','COMPLAINT RESOLVED','92','2021-06-05 12:00:12','2021-06-05 12:00:12');
INSERT INTO complaint_remarks VALUES('7062','5626','COMPLAINT RESOLVED','92','2021-06-05 12:03:35','2021-06-05 12:03:35');
INSERT INTO complaint_remarks VALUES('7063','5647','COMPLAINT RESOLVED','92','2021-06-05 12:12:41','2021-06-05 12:12:41');
INSERT INTO complaint_remarks VALUES('7064','6113','UNIT IN S/C','73','2021-06-05 12:32:07','2021-06-05 12:32:07');
INSERT INTO complaint_remarks VALUES('7065','6101','IN PROCESS','73','2021-06-05 12:33:43','2021-06-05 12:33:43');
INSERT INTO complaint_remarks VALUES('7066','6095','NOT ATTEND CALL','73','2021-06-05 12:35:33','2021-06-05 12:35:33');
INSERT INTO complaint_remarks VALUES('7067','6083','COMPLAINT CLOSED','73','2021-06-05 12:37:57','2021-06-05 12:37:57');
INSERT INTO complaint_remarks VALUES('7068','6455','IN PROCESS COMPLAINT','92','2021-06-05 12:53:04','2021-06-05 12:53:04');
INSERT INTO complaint_remarks VALUES('7069','6458','COMPLAINT CLOSED','73','2021-06-05 12:58:30','2021-06-05 12:58:30');
INSERT INTO complaint_remarks VALUES('7070','6433','TECHNICIAN CUSTOMER K GHR PA WORKING KAR RAHAY HAIN','74','2021-06-05 12:59:28','2021-06-05 12:59:28');
INSERT INTO complaint_remarks VALUES('7071','6271','COMPLAINT RESOLVED','92','2021-06-05 13:11:26','2021-06-05 13:11:26');
INSERT INTO complaint_remarks VALUES('7072','6455','IN PROCESS COMPLAINT','92','2021-06-05 13:15:59','2021-06-05 13:15:59');
INSERT INTO complaint_remarks VALUES('7073','6452','COMPLAINT RESOLVED','92','2021-06-05 13:16:33','2021-06-05 13:16:33');
INSERT INTO complaint_remarks VALUES('7074','6451','COMPLAINT IN PROCESS','92','2021-06-05 13:18:33','2021-06-05 13:18:33');
INSERT INTO complaint_remarks VALUES('7075','6444','COMPLAINT RESOLVED','92','2021-06-05 13:19:46','2021-06-05 13:19:46');
INSERT INTO complaint_remarks VALUES('7076','6427','COMPLAINT RESOLVED','92','2021-06-05 13:26:06','2021-06-05 13:26:06');
INSERT INTO complaint_remarks VALUES('7077','6426','COMPLAINT RESOLVED','92','2021-06-05 13:29:27','2021-06-05 13:29:27');
INSERT INTO complaint_remarks VALUES('7078','6423','COMPLAINT RESOLVED','92','2021-06-05 13:31:43','2021-06-05 13:31:43');
INSERT INTO complaint_remarks VALUES('7079','6128','UNIT IN S/C COMPLAINT IN PROCESS','92','2021-06-05 13:43:57','2021-06-05 13:43:57');
INSERT INTO complaint_remarks VALUES('7080','6221','LIFT IN S/C COMPLAINT IN PROCESS','92','2021-06-05 13:45:27','2021-06-05 13:45:27');
INSERT INTO complaint_remarks VALUES('7081','6192','COMPLAINT RESOLVED','92','2021-06-05 13:48:11','2021-06-05 13:48:11');
INSERT INTO complaint_remarks VALUES('7082','6274','COMPLAINT RESOLVED','92','2021-06-05 13:56:27','2021-06-05 13:56:27');
INSERT INTO complaint_remarks VALUES('7083','6020','UNIT IN S/C','73','2021-06-05 13:57:31','2021-06-05 13:57:31');
INSERT INTO complaint_remarks VALUES('7084','6019','CUSTOMER NOT ATTEND CALL','73','2021-06-05 14:03:20','2021-06-05 14:03:20');
INSERT INTO complaint_remarks VALUES('7085','5867','COMPLAINT CLOSED','73','2021-06-05 14:10:09','2021-06-05 14:10:09');
INSERT INTO complaint_remarks VALUES('7086','6017','CUSTIOMER NOT ATTEND CALL','73','2021-06-05 14:13:03','2021-06-05 14:13:03');
INSERT INTO complaint_remarks VALUES('7087','5769','CUSTOMER NOT ATTEND CALL','73','2021-06-05 14:30:01','2021-06-05 14:30:01');
INSERT INTO complaint_remarks VALUES('7088','6370','COMPLAINT RESOLVED','92','2021-06-05 15:20:08','2021-06-05 15:20:08');
INSERT INTO complaint_remarks VALUES('7089','6371','COMPLAINT RESOLVED','92','2021-06-05 15:25:44','2021-06-05 15:25:44');
INSERT INTO complaint_remarks VALUES('7090','6259','LIFT IN S/C WORKING IN PROCESS','92','2021-06-05 16:19:09','2021-06-05 16:19:09');
INSERT INTO complaint_remarks VALUES('7091','6272','COMPLAINT RESOLVED','92','2021-06-05 16:20:50','2021-06-05 16:20:50');
INSERT INTO complaint_remarks VALUES('7092','6258','COMPLAINT RESOLVED','92','2021-06-05 16:24:22','2021-06-05 16:24:22');
INSERT INTO complaint_remarks VALUES('7093','6159','IN PROCESS','73','2021-06-05 16:24:26','2021-06-05 16:24:26');
INSERT INTO complaint_remarks VALUES('7094','6102','COMPLAINT CLOSE','73','2021-06-05 16:32:09','2021-06-05 16:32:09');
INSERT INTO complaint_remarks VALUES('7095','6222','CUSTOMER NOT ATTEND CALL','73','2021-06-05 16:32:35','2021-06-05 16:32:35');
INSERT INTO complaint_remarks VALUES('7096','6230','COMPLAINT CLOSE','73','2021-06-05 16:33:05','2021-06-05 16:33:05');
INSERT INTO complaint_remarks VALUES('7097','6280','COMPLAINT RESOLVED','92','2021-06-05 16:39:30','2021-06-05 16:39:30');
INSERT INTO complaint_remarks VALUES('7098','6022','COMPLAINT CLOSE','73','2021-06-05 16:50:48','2021-06-05 16:50:48');
INSERT INTO complaint_remarks VALUES('7099','6178','INPROCESS','73','2021-06-05 16:53:37','2021-06-05 16:53:37');
INSERT INTO complaint_remarks VALUES('7100','6282','COMPLAINT RESOLVED','92','2021-06-05 17:02:34','2021-06-05 17:02:34');
INSERT INTO complaint_remarks VALUES('7101','5548','CARD LAGA DIA  HAIN CUSTOMER NA  KHUD INSTALL KARWAYA HAIN GASS KHUD INSTALL KARWAY GAY CUSTOMER','74','2021-06-05 17:02:35','2021-06-05 17:02:35');
INSERT INTO complaint_remarks VALUES('7102','6116','CUSTOMER  REPALCEMENT KI DEMAND KAR RAHAY','73','2021-06-05 17:08:25','2021-06-05 17:08:25');
INSERT INTO complaint_remarks VALUES('7103','6309','COMPLAINT RESOLVED','92','2021-06-05 17:10:40','2021-06-05 17:10:40');
INSERT INTO complaint_remarks VALUES('7104','5769','COMPLAINT RESOLVED','92','2021-06-05 17:21:42','2021-06-05 17:21:42');
INSERT INTO complaint_remarks VALUES('7105','6454','CUSTOMER NOT ATTEND CALL','92','2021-06-05 17:35:11','2021-06-05 17:35:11');
INSERT INTO complaint_remarks VALUES('7106','6450','VISIT TO MONDAY','92','2021-06-05 17:36:47','2021-06-05 17:36:47');
INSERT INTO complaint_remarks VALUES('7107','6442','COMPLAINT RESOLVED','92','2021-06-05 17:40:19','2021-06-05 17:40:19');
INSERT INTO complaint_remarks VALUES('7108','6440','COMPLAINT RESOLVED','92','2021-06-05 17:42:44','2021-06-05 17:42:44');
INSERT INTO complaint_remarks VALUES('7109','6428','VISIT TO MONDAY','92','2021-06-05 17:48:23','2021-06-05 17:48:23');
INSERT INTO complaint_remarks VALUES('7110','6419','COMPLAINT RESOLVED','92','2021-06-05 17:50:50','2021-06-05 17:50:50');
INSERT INTO complaint_remarks VALUES('7111','6418','CUSTOMER NOT ATTEND CALL','92','2021-06-05 17:54:52','2021-06-05 17:54:52');
INSERT INTO complaint_remarks VALUES('7112','6467','COMPLAINT RESOLVED','92','2021-06-06 11:10:42','2021-06-06 11:10:42');
INSERT INTO complaint_remarks VALUES('7113','6465','VISIT TO MONDAY','92','2021-06-06 11:14:57','2021-06-06 11:14:57');
INSERT INTO complaint_remarks VALUES('7114','6323','NOT ATTEND CALL','73','2021-06-06 11:17:06','2021-06-06 11:17:06');
INSERT INTO complaint_remarks VALUES('7115','6456','COMPLAINT RESOLVED','92','2021-06-06 11:25:02','2021-06-06 11:25:02');
INSERT INTO complaint_remarks VALUES('7116','6340','COMPLAINT CLOSED','73','2021-06-06 11:34:48','2021-06-06 11:34:48');
INSERT INTO complaint_remarks VALUES('7117','6338','COMPLAINT CLOSED','73','2021-06-06 11:36:14','2021-06-06 11:36:14');
INSERT INTO complaint_remarks VALUES('7118','6326','NOT ATTEND CALL','73','2021-06-06 11:42:15','2021-06-06 11:42:15');
INSERT INTO complaint_remarks VALUES('7119','6454','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-06 11:50:06','2021-06-06 11:50:06');
INSERT INTO complaint_remarks VALUES('7120','6437','COMPLAINT RESOLVED','92','2021-06-06 11:57:21','2021-06-06 11:57:21');
INSERT INTO complaint_remarks VALUES('7121','6436','COMPLAINT RESOLVED','92','2021-06-06 12:03:54','2021-06-06 12:03:54');
INSERT INTO complaint_remarks VALUES('7122','6434','CUSTOMER NOT ATTEND CALL','92','2021-06-06 12:08:13','2021-06-06 12:08:13');
INSERT INTO complaint_remarks VALUES('7123','6267','COMPLAINT CLOSED','73','2021-06-06 12:14:38','2021-06-06 12:14:38');
INSERT INTO complaint_remarks VALUES('7124','6421','CUSTOMER NOT ATTEND CALL','92','2021-06-06 12:27:39','2021-06-06 12:27:39');
INSERT INTO complaint_remarks VALUES('7125','6255','CUSTOMER NOT ATTEND CALL','73','2021-06-06 12:28:47','2021-06-06 12:28:47');
INSERT INTO complaint_remarks VALUES('7126','6418','COMPLAINT RESOLVED','92','2021-06-06 12:29:19','2021-06-06 12:29:19');
INSERT INTO complaint_remarks VALUES('7127','6417','CUSTOMER THORI DAR TAK CALL BACK KARAY GAY','92','2021-06-06 12:33:55','2021-06-06 12:33:55');
INSERT INTO complaint_remarks VALUES('7128','6169','INPROCESS','73','2021-06-06 12:34:08','2021-06-06 12:34:08');
INSERT INTO complaint_remarks VALUES('7129','6095','VISIT HO GYHA HA BUT ISSU RESOLVED NIHOVA','73','2021-06-06 12:40:31','2021-06-06 12:40:31');
INSERT INTO complaint_remarks VALUES('7130','6416','VISIT HO GAYA THA CUSTOMER NAY UNIT S/C LANA HAY 02 DIN TAK CUSTOMER UNIT S/C LEFT KARWAY GAY','92','2021-06-06 12:41:37','2021-06-06 12:41:37');
INSERT INTO complaint_remarks VALUES('7131','6415','CUSTOMER SAY BAT HUAI HAY KAL TAK CONFORM KARAY GAY','92','2021-06-06 12:47:05','2021-06-06 12:47:05');
INSERT INTO complaint_remarks VALUES('7132','6222','CUSTOMER AJ B CALL ATTEND NAI KAR RAHY','92','2021-06-06 12:54:37','2021-06-06 12:54:37');
INSERT INTO complaint_remarks VALUES('7133','6414','COMPLAINT RESOLVED','92','2021-06-06 12:57:50','2021-06-06 12:57:50');
INSERT INTO complaint_remarks VALUES('7134','6413','CUSTOMER NOT ATTEND CALL','92','2021-06-06 13:01:00','2021-06-06 13:01:00');
INSERT INTO complaint_remarks VALUES('7135','6412','NOT VISIT TO COMPLAINT','92','2021-06-06 13:06:06','2021-06-06 13:06:06');
INSERT INTO complaint_remarks VALUES('7136','6410','COMPLAINT RESOLVED','92','2021-06-06 13:07:11','2021-06-06 13:07:11');
INSERT INTO complaint_remarks VALUES('7137','6409','CUSTOMER NOT ATTEND CALL','92','2021-06-06 13:13:22','2021-06-06 13:13:22');
INSERT INTO complaint_remarks VALUES('7138','6408','VISIT HO GAYA HAY WARANTI CARD KI PICK BANA KAR LAY GAY HAY COMPAINE WALAY MONDAY KO INFORM KARAY GAY','92','2021-06-06 13:17:31','2021-06-06 13:17:31');
INSERT INTO complaint_remarks VALUES('7139','6407','COMPLAINT RESOLVED','92','2021-06-06 13:21:07','2021-06-06 13:21:07');
INSERT INTO complaint_remarks VALUES('7140','6090','COMPLAINT CLOSED','73','2021-06-06 13:21:18','2021-06-06 13:21:18');
INSERT INTO complaint_remarks VALUES('7141','6405','NOT VISIT TO COMPLAINT','92','2021-06-06 13:25:28','2021-06-06 13:25:28');
INSERT INTO complaint_remarks VALUES('7142','6026','NOT ATTEND CALL','73','2021-06-06 13:25:33','2021-06-06 13:25:33');
INSERT INTO complaint_remarks VALUES('7143','4439','COMPLAINT RESOLVED','92','2021-06-06 13:29:18','2021-06-06 13:29:18');
INSERT INTO complaint_remarks VALUES('7144','6019','VISIT NI HOVA','73','2021-06-06 13:37:10','2021-06-06 13:37:10');
INSERT INTO complaint_remarks VALUES('7145','6017','NOT ATTEND CALL','73','2021-06-06 13:48:27','2021-06-06 13:48:27');
INSERT INTO complaint_remarks VALUES('7146','5723','VISIT NI HOVA','73','2021-06-06 13:50:56','2021-06-06 13:50:56');
INSERT INTO complaint_remarks VALUES('7147','6398','COMPLAINT RESOLVED','92','2021-06-06 13:56:23','2021-06-06 13:56:23');
INSERT INTO complaint_remarks VALUES('7148','6396','COMPLAINT RESOLVED','92','2021-06-06 13:59:22','2021-06-06 13:59:22');
INSERT INTO complaint_remarks VALUES('7149','6392','COMPLAINT RESOLVED','92','2021-06-06 14:05:54','2021-06-06 14:05:54');
INSERT INTO complaint_remarks VALUES('7150','6463','TARIQ FCI KI COMPLAINT HA...','73','2021-06-06 14:11:10','2021-06-06 14:11:10');
INSERT INTO complaint_remarks VALUES('7151','6389','NOT VISIT TO COMPLAINT','92','2021-06-06 14:16:05','2021-06-06 14:16:05');
INSERT INTO complaint_remarks VALUES('7152','6387','COMPLAINT RESOLVED','92','2021-06-06 14:18:12','2021-06-06 14:18:12');
INSERT INTO complaint_remarks VALUES('7153','6384','VISIT HO GAYA HAY GLASS KI PICK BANA KAR LAY GAY HAY COMPAINE WALAY','92','2021-06-06 14:29:35','2021-06-06 14:29:35');
INSERT INTO complaint_remarks VALUES('7154','6382','VISIT HO GAYA HAY UNIT LEFT IN S/C','92','2021-06-06 14:35:38','2021-06-06 14:35:38');
INSERT INTO complaint_remarks VALUES('7155','6381','COMPLAINT RESOLVED','92','2021-06-06 14:41:02','2021-06-06 14:41:02');
INSERT INTO complaint_remarks VALUES('7156','6379','CUSTOMER NOT ATTEND CALL','92','2021-06-06 14:47:39','2021-06-06 14:47:39');
INSERT INTO complaint_remarks VALUES('7157','6377','COMPLAINT RESOLVED','92','2021-06-06 14:51:29','2021-06-06 14:51:29');
INSERT INTO complaint_remarks VALUES('7158','6376','CUSTOMER NOT ATTEND CALL','92','2021-06-06 14:59:14','2021-06-06 14:59:14');
INSERT INTO complaint_remarks VALUES('7159','6374','COMPLAINT RESOLVED','92','2021-06-06 15:00:24','2021-06-06 15:00:24');
INSERT INTO complaint_remarks VALUES('7160','6372','CUSTOMER NOT ATTEND CALL','92','2021-06-06 15:05:44','2021-06-06 15:05:44');
INSERT INTO complaint_remarks VALUES('7161','6369','CUSTOMER NOT ATTEND CALL','92','2021-06-06 15:09:53','2021-06-06 15:09:53');
INSERT INTO complaint_remarks VALUES('7162','6368','VISIT NAI HUA COMPLAINT PAR','92','2021-06-06 15:11:53','2021-06-06 15:11:53');
INSERT INTO complaint_remarks VALUES('7163','6364','COMPLAINT RESOLVED','92','2021-06-06 15:14:58','2021-06-06 15:14:58');
INSERT INTO complaint_remarks VALUES('7164','6357','COMPLAINT PAR ABI TAK VISIT NAI HUA','92','2021-06-06 15:20:08','2021-06-06 15:20:08');
INSERT INTO complaint_remarks VALUES('7165','6349','COMPLAINT PAR ABI TAK VISIT NAI HUA','92','2021-06-06 15:23:40','2021-06-06 15:23:40');
INSERT INTO complaint_remarks VALUES('7166','6345','COMPLAINT RESOLVED','92','2021-06-06 15:25:08','2021-06-06 15:25:08');
INSERT INTO complaint_remarks VALUES('7167','6343','COMPLAINT RESOLVED','92','2021-06-06 15:30:39','2021-06-06 15:30:39');
INSERT INTO complaint_remarks VALUES('7168','6334','KAL CONFORM KAR K BATAY GAY','92','2021-06-06 15:34:22','2021-06-06 15:34:22');
INSERT INTO complaint_remarks VALUES('7169','6369','COMPLAINT CLOSED','73','2021-06-06 15:35:51','2021-06-06 15:35:51');
INSERT INTO complaint_remarks VALUES('7170','6331','COMPLAINT RESOLVED','92','2021-06-06 15:38:52','2021-06-06 15:38:52');
INSERT INTO complaint_remarks VALUES('7171','6321','COMPLAINT RESOLVED','92','2021-06-06 15:45:36','2021-06-06 15:45:36');
INSERT INTO complaint_remarks VALUES('7172','6315','COMPLAINT RESOLVED','92','2021-06-06 15:48:43','2021-06-06 15:48:43');
INSERT INTO complaint_remarks VALUES('7173','5722','COMPLAINT CLOSED','73','2021-06-06 15:50:14','2021-06-06 15:50:14');
INSERT INTO complaint_remarks VALUES('7174','6311','COMPLAINT RESOLVED','92','2021-06-06 15:54:40','2021-06-06 15:54:40');
INSERT INTO complaint_remarks VALUES('7175','5675','INPROCESS','73','2021-06-06 16:00:07','2021-06-06 16:00:07');
INSERT INTO complaint_remarks VALUES('7176','6310','CUSTOMER NOT ATTEND CALL','92','2021-06-06 16:03:02','2021-06-06 16:03:02');
INSERT INTO complaint_remarks VALUES('7177','6308','COMPLAINT RESOLVED','92','2021-06-06 16:04:50','2021-06-06 16:04:50');
INSERT INTO complaint_remarks VALUES('7178','5603','VISIT NI HOVA','73','2021-06-06 16:05:43','2021-06-06 16:05:43');
INSERT INTO complaint_remarks VALUES('7179','6295','CUSTOMER NOT ATTEND CALL','92','2021-06-06 16:10:00','2021-06-06 16:10:00');
INSERT INTO complaint_remarks VALUES('7180','6007','COMPLAINT CLOSED','73','2021-06-06 16:14:49','2021-06-06 16:14:49');
INSERT INTO complaint_remarks VALUES('7181','6310','COMPLAINT RESOLVED','92','2021-06-06 16:18:06','2021-06-06 16:18:06');
INSERT INTO complaint_remarks VALUES('7182','6286','CUSTOMER NOT ATTEND CALL','92','2021-06-06 16:20:08','2021-06-06 16:20:08');
INSERT INTO complaint_remarks VALUES('7183','5798','VISIT NI HOVA','73','2021-06-06 16:20:46','2021-06-06 16:20:46');
INSERT INTO complaint_remarks VALUES('7184','6284','COMPLAINT RESOLVED','92','2021-06-06 16:22:15','2021-06-06 16:22:15');
INSERT INTO complaint_remarks VALUES('7185','5690','ABI TK VISIT NI HOVA','73','2021-06-06 16:28:08','2021-06-06 16:28:08');
INSERT INTO complaint_remarks VALUES('7186','5548','CUSTOMER KL IMFORM KRY GA','73','2021-06-06 16:32:11','2021-06-06 16:32:11');
INSERT INTO complaint_remarks VALUES('7187','5018','NOT ATTEND CALL','73','2021-06-06 16:37:16','2021-06-06 16:37:16');
INSERT INTO complaint_remarks VALUES('7188','6275','NOT ATTEND CALL','92','2021-06-06 16:45:19','2021-06-06 16:45:19');
INSERT INTO complaint_remarks VALUES('7189','6270','COMPLAINT PAR VISIT NAI HUA','92','2021-06-06 16:49:44','2021-06-06 16:49:44');
INSERT INTO complaint_remarks VALUES('7190','4918','VISIT TO MONDAY INFORM BY CUSTOMER','92','2021-06-06 17:14:49','2021-06-06 17:14:49');
INSERT INTO complaint_remarks VALUES('7191','6306','COMPLAINT RESOLVED','92','2021-06-06 17:26:22','2021-06-06 17:26:22');
INSERT INTO complaint_remarks VALUES('7192','6251','NOT ATTEND CALL','73','2021-06-06 17:26:51','2021-06-06 17:26:51');
INSERT INTO complaint_remarks VALUES('7193','6223','VISIT HO GYHA HA VOLTAGE  KM HONY KI VAJA SY ISSU SOLVE NI HOVA','73','2021-06-06 17:47:38','2021-06-06 17:47:38');
INSERT INTO complaint_remarks VALUES('7194','6078','COMPLAINT CLOSED','73','2021-06-06 17:51:39','2021-06-06 17:51:39');
INSERT INTO complaint_remarks VALUES('7195','5991','NOT ATTEND CALL','73','2021-06-06 17:58:58','2021-06-06 17:58:58');
INSERT INTO complaint_remarks VALUES('7196','6017','COMPLAINT CLOSED','73','2021-06-06 18:01:54','2021-06-06 18:01:54');
INSERT INTO complaint_remarks VALUES('7197','6222','CUSTOMER DEMAND FOR REPLACEMENT','73','2021-06-06 18:08:00','2021-06-06 18:08:00');
INSERT INTO complaint_remarks VALUES('7198','5599','03179998687 murshed','92','2021-06-07 11:06:11','2021-06-07 11:06:11');
INSERT INTO complaint_remarks VALUES('7199','6502','COMPLAINT RESOLVED','92','2021-06-07 11:13:05','2021-06-07 11:13:05');
INSERT INTO complaint_remarks VALUES('7200','5191','PLAT ABI TAQ NAI RECIVED HOI','74','2021-06-07 11:43:07','2021-06-07 11:43:07');
INSERT INTO complaint_remarks VALUES('7201','5402','DOOR REPLACE HO GAYA HAIN COMPLAINT RESOLVED','74','2021-06-07 11:46:08','2021-06-07 11:46:08');
INSERT INTO complaint_remarks VALUES('7202','5390','SET LHR S/C MOVE HONA HAIN CUSTOMER K PASS PACKING NAI HAIN JIS KI WAJA SA DELAY COMPLAINT CUSTOMER SA BOL DIA K PACKING HO GEI TI HI SET LHR S/C MOVE HO GA','74','2021-06-07 11:54:00','2021-06-07 11:54:00');
INSERT INTO complaint_remarks VALUES('7203','5392','SET ORIENT S/C MAIN HAIN .MOHSIN SAB KO SATUS K LIYA COMPLAINT # WHATS APP KAR DIA','74','2021-06-07 11:59:22','2021-06-07 11:59:22');
INSERT INTO complaint_remarks VALUES('7204','5421','COMPLAINT RESOLVED','74','2021-06-07 12:00:13','2021-06-07 12:00:13');
INSERT INTO complaint_remarks VALUES('7205','5425','CUSTOMER TANK REPLACE KARWANY PA AGREE HO GAY HAIN YAWAR SAB KO INVOICE SHAER KAR DI','74','2021-06-07 12:37:28','2021-06-07 12:37:28');
INSERT INTO complaint_remarks VALUES('7206','5501','NO VISIT REMINDER S/C','74','2021-06-07 13:08:39','2021-06-07 13:08:39');
INSERT INTO complaint_remarks VALUES('7207','5488','COMPLAINT RESOLVED','74','2021-06-07 13:10:26','2021-06-07 13:10:26');
INSERT INTO complaint_remarks VALUES('7208','5490','LHR S/C MAIN PANAL REPLACE HO GAYA H AIN  DISPATCH KARWANA HAIN MISS MARIYAM CONFIRMKAR K BATAY GEI KAB TA DISPACTH HO GA UNIT','74','2021-06-07 13:21:39','2021-06-07 13:21:39');
INSERT INTO complaint_remarks VALUES('7209','5490','INFORMED BY CUSTOMER','74','2021-06-07 13:21:53','2021-06-07 13:21:53');
INSERT INTO complaint_remarks VALUES('7210','6535','95 SQUARE 4TH FLOOR EXECUTIVE BLOCK NEAR RED BRIDGE GULBERGREEN ISB','73','2021-06-07 13:30:48','2021-06-07 13:30:48');
INSERT INTO complaint_remarks VALUES('7211','5489','YHA SET LHR S/C MAIN NAI HAIN CUSTOMER BSA AGAIN CONFIM KIYA WO BOL RAHAY HAIN K MAIN UMER SAB SA KHUD BAT KAR LO GA','74','2021-06-07 13:33:28','2021-06-07 13:33:28');
INSERT INTO complaint_remarks VALUES('7212','5574','COMPLAINT ATTEND HO GEI HAIN PART DEMAND KIYA HOA HAIN','74','2021-06-07 13:43:49','2021-06-07 13:43:49');
INSERT INTO complaint_remarks VALUES('7213','6376','COMPLAINT RESOLVED','74','2021-06-07 13:45:02','2021-06-07 13:45:02');
INSERT INTO complaint_remarks VALUES('7214','5548','CUSTOMER GASS ABI APNAY INSTALL SA INSTALL KARWA RAHAY HAIN COMPANY SIDE SA COMPLAINT RESOLVED HO GEI COMPLAINT RESOLVED','74','2021-06-07 13:50:01','2021-06-07 13:50:01');
INSERT INTO complaint_remarks VALUES('7215','6287','COMPLAINT RESOLVED','92','2021-06-07 13:50:21','2021-06-07 13:50:21');
INSERT INTO complaint_remarks VALUES('7216','6417','COMPLAINT RESOLVED','74','2021-06-07 13:51:12','2021-06-07 13:51:12');
INSERT INTO complaint_remarks VALUES('7217','5600','COMPLAINT RESOLVED','74','2021-06-07 13:58:15','2021-06-07 13:58:15');
INSERT INTO complaint_remarks VALUES('7218','6326','COMPLAINT RESOLVED AIK UNIT R CUSTOMER NA INSTALL KARWANA HAIN','74','2021-06-07 14:07:50','2021-06-07 14:07:50');
INSERT INTO complaint_remarks VALUES('7219','5610','SET MAIN KOI ISSUE NAI HAIN SET BUKIL OK CHAL RAHA HAIN U TUBE SETTING KA ISSUE HAIN US K LIYA CUSTOMER KO MOHSIN SAB KA NO PROVIDE KAR DIA COMPLAINT RESOLVED','74','2021-06-07 14:12:39','2021-06-07 14:12:39');
INSERT INTO complaint_remarks VALUES('7220','5618','COMPLAINT RESOLVED','74','2021-06-07 14:14:56','2021-06-07 14:14:56');
INSERT INTO complaint_remarks VALUES('7221','6295','COMPLAINT RESOLVED','92','2021-06-07 14:15:44','2021-06-07 14:15:44');
INSERT INTO complaint_remarks VALUES('7222','6153','COMPLAINT RESOLVED','92','2021-06-07 14:19:32','2021-06-07 14:19:32');
INSERT INTO complaint_remarks VALUES('7223','5628','COMPLAINT RESOLVED','74','2021-06-07 14:19:38','2021-06-07 14:19:38');
INSERT INTO complaint_remarks VALUES('7224','5636','S/C WORKING IN PROCESS','74','2021-06-07 14:22:54','2021-06-07 14:22:54');
INSERT INTO complaint_remarks VALUES('7225','6156','COMPLAINT RESOLVED','92','2021-06-07 14:28:47','2021-06-07 14:28:47');
INSERT INTO complaint_remarks VALUES('7226','6157','COMPLAINT RESOLVED','92','2021-06-07 14:32:33','2021-06-07 14:32:33');
INSERT INTO complaint_remarks VALUES('7227','6189','COMPLAINT RESOLVED','92','2021-06-07 14:37:16','2021-06-07 14:37:16');
INSERT INTO complaint_remarks VALUES('7228','5701','COMPLAINT RESOLVED','74','2021-06-07 15:02:08','2021-06-07 15:02:08');
INSERT INTO complaint_remarks VALUES('7229','5690','COMPANY NACUSTOMER KO CARD DA DI HAIN INSTALL CUSTOMER NA KHUD KARWAY COMPLAINT RESOLVED','74','2021-06-07 15:09:24','2021-06-07 15:09:24');
INSERT INTO complaint_remarks VALUES('7230','5649','COMPLAINT RESOLVED','74','2021-06-07 15:12:59','2021-06-07 15:12:59');
INSERT INTO complaint_remarks VALUES('7231','6552','ATTIQ ABBOTTABAD IC COMPLAINT KO ATTEND KAR RAHAY HAIN','74','2021-06-07 15:15:16','2021-06-07 15:15:16');
INSERT INTO complaint_remarks VALUES('7232','6552','REOPEN COMPLAINT LAST TASK#4354','74','2021-06-07 15:16:12','2021-06-07 15:16:12');
INSERT INTO complaint_remarks VALUES('7233','6178','COMPLAINT ATTEND HO GAE HAY BACK LIGHT ISSUE HAY CUSTOMER NAY UNIT S/C LEFT KARNA HAY CUSTOMER SIDE SAY DELAY COMPLAINT CLOSED','92','2021-06-07 15:19:26','2021-06-07 15:19:26');
INSERT INTO complaint_remarks VALUES('7234','6549','PATIENTS KA ISSUE HA.... REPLace hoga unit','73','2021-06-07 15:20:31','2021-06-07 15:20:31');
INSERT INTO complaint_remarks VALUES('7235','5371','CUSTOMER STILL NOT ATTENDING MY CALL','74','2021-06-07 15:21:16','2021-06-07 15:21:16');
INSERT INTO complaint_remarks VALUES('7236','6160','COMPLAINT RESOLVED','92','2021-06-07 15:23:19','2021-06-07 15:23:19');
INSERT INTO complaint_remarks VALUES('7237','5018','GRN KAR DE HAY CUSTOMER KO UNIT REPLACE KAR DEYA HAY COMPLAINT CLOSED','92','2021-06-07 15:36:15','2021-06-07 15:36:15');
INSERT INTO complaint_remarks VALUES('7238','6168','UNIT IN S/C IN PROCESS COMPLAINT','92','2021-06-07 15:46:37','2021-06-07 15:46:37');
INSERT INTO complaint_remarks VALUES('7239','6170','COMPLAINT RESOLVED','92','2021-06-07 15:54:34','2021-06-07 15:54:34');
INSERT INTO complaint_remarks VALUES('7240','6176','NOT VISIT TO COMPLAINT','92','2021-06-07 15:58:43','2021-06-07 15:58:43');
INSERT INTO complaint_remarks VALUES('7241','6175','VISIT HO GAYA HAY UNIT CUSTOMER NAY S/C BEJHWANA HAY BUT CUSTOMER KI TARAF SAY COMPLAINT DELAY COMPLAINT CLOSED','92','2021-06-07 16:21:34','2021-06-07 16:21:34');
INSERT INTO complaint_remarks VALUES('7242','5725','03365010866 FOLLOW UP LY KR IN KO IMFORM KRNA HA','73','2021-06-07 16:49:17','2021-06-07 16:49:17');
INSERT INTO complaint_remarks VALUES('7243','6281','03105953456 SHAROZ TACTION','92','2021-06-07 16:54:59','2021-06-07 16:54:59');
INSERT INTO complaint_remarks VALUES('7244','6563','VISIT HOGYA HA... GAS KA PROBLEM HA, LEKIN COSTUMER REPLACEMENT MANG RY HAIN','73','2021-06-07 17:09:19','2021-06-07 17:09:19');
INSERT INTO complaint_remarks VALUES('7245','6514','VISIT HO GAYA HAY  COMPRESSOR KA ISSUE HAY COMPLAINT  IN-PROCESS','92','2021-06-07 17:18:02','2021-06-07 17:18:02');
INSERT INTO complaint_remarks VALUES('7246','6413','COMPLAINT RESOLVED','92','2021-06-07 17:20:08','2021-06-07 17:20:08');
INSERT INTO complaint_remarks VALUES('7247','6469','COMPLAINT RESOLVED','92','2021-06-07 17:22:09','2021-06-07 17:22:09');
INSERT INTO complaint_remarks VALUES('7248','6468','CUSTOMER NOT ATTEND CALL','92','2021-06-07 17:27:13','2021-06-07 17:27:13');
INSERT INTO complaint_remarks VALUES('7249','5839','INSTALLATION FAULT THA...','73','2021-06-07 17:34:14','2021-06-07 17:34:14');
INSERT INTO complaint_remarks VALUES('7250','5839','COSTUMER SERVICE CENTRE SE RECIVED KRR K LE GY ... PROPER CHECK KIA US K BAD COSTUMER NE RECEIVED KIA','73','2021-06-07 17:34:46','2021-06-07 17:34:46');
INSERT INTO complaint_remarks VALUES('7251','5839','AGAIN SAME ISSUE... NAEEM KENWOOD KO BTA DIA','73','2021-06-07 17:35:04','2021-06-07 17:35:04');
INSERT INTO complaint_remarks VALUES('7252','6465','VISIT HO GAYA HAY UNIT LIFT IN S/C','92','2021-06-07 17:36:03','2021-06-07 17:36:03');
INSERT INTO complaint_remarks VALUES('7253','6460','CUSTOMER NOT ATTEND CALL','92','2021-06-07 17:37:10','2021-06-07 17:37:10');
INSERT INTO complaint_remarks VALUES('7254','6454','COMPLAINT RESOLVED','92','2021-06-07 17:39:06','2021-06-07 17:39:06');
INSERT INTO complaint_remarks VALUES('7255','6421','CUSTOMER SAY BAT HUAI HAY IN KI KOI COMPLAINT NAI HAY SO COMPLAINT CLOSED','92','2021-06-07 17:44:11','2021-06-07 17:44:11');
INSERT INTO complaint_remarks VALUES('7256','6409','COMPLAINT RESOLVED','92','2021-06-07 18:01:21','2021-06-07 18:01:21');
INSERT INTO complaint_remarks VALUES('7257','6379','COMPLAINT RESOLVED','92','2021-06-07 18:06:24','2021-06-07 18:06:24');
INSERT INTO complaint_remarks VALUES('7258','6372','COMPLAINT RESOLVED','92','2021-06-07 18:08:46','2021-06-07 18:08:46');
INSERT INTO complaint_remarks VALUES('7259','6286','COMPLAINT RESOLVED','92','2021-06-07 18:12:45','2021-06-07 18:12:45');
INSERT INTO complaint_remarks VALUES('7260','6434','CUSTOMER SIDE SA DELAY HAIN COMPLAINT CUSTOMER TECHNICIAN KI CALL ATTEND NAI KAR RAHAY CUSTOMER KO WASEEM TECHNICIAN 03369907307 KA NO B WHATSAPP KAR DIA & COMPLAINT B AGAIN REOPEND KARWA DIA','74','2021-06-08 11:17:37','2021-06-08 11:17:37');
INSERT INTO complaint_remarks VALUES('7261','6281','VISIT TO DAY','74','2021-06-08 11:30:24','2021-06-08 11:30:24');
INSERT INTO complaint_remarks VALUES('7262','6501','COMPLAINT RESOLVED','74','2021-06-08 12:27:50','2021-06-08 12:27:50');
INSERT INTO complaint_remarks VALUES('7263','6509','IN PROCESS COMPLAINT VISIT TO DAY CUASTOMER KO TECHNICIAN K CALL AAGEI','74','2021-06-08 12:38:41','2021-06-08 12:38:41');
INSERT INTO complaint_remarks VALUES('7264','6470','AZHAR SAB KO REMINDER DA DIA HAIN VISIT TO DAY INFORMED BY CUSTOMER& ALI FCI','74','2021-06-08 12:41:24','2021-06-08 12:41:24');
INSERT INTO complaint_remarks VALUES('7265','6461','IN PROCESS COMPLAINT CUSTOMER KO LG S/C KA NO B PROVIDE KAR DIA','74','2021-06-08 12:56:43','2021-06-08 12:56:43');
INSERT INTO complaint_remarks VALUES('7266','6580','03455890620','73','2021-06-08 13:13:38','2021-06-08 13:13:38');
INSERT INTO complaint_remarks VALUES('7267','6488','COMPLAINT ATTEND HO GEI HAIN BUT COMPLAINT RESOLVED NAI HOA AGAIN COMPLAINT REOPENED KARWA DI','74','2021-06-08 13:13:42','2021-06-08 13:13:42');
INSERT INTO complaint_remarks VALUES('7268','6430','NOT ATTEND MY CALL','74','2021-06-08 13:34:32','2021-06-08 13:34:32');
INSERT INTO complaint_remarks VALUES('7269','6486','HAIER KI COMPLAINT NAI HAIN LG KI COMPLAINT HAIN INFORMED BY ANEEQ','74','2021-06-08 13:35:32','2021-06-08 13:35:32');
INSERT INTO complaint_remarks VALUES('7270','6451','COMPLAINT RESOLVED','74','2021-06-08 13:53:39','2021-06-08 13:53:39');
INSERT INTO complaint_remarks VALUES('7271','6468','AJ S/C  WALAY UNIT PIC KAR K LA AAY HAIN','74','2021-06-08 13:57:38','2021-06-08 13:57:38');
INSERT INTO complaint_remarks VALUES('7272','6384','GLASS DEMAND KIYA WA','74','2021-06-08 15:32:18','2021-06-08 15:32:18');
INSERT INTO complaint_remarks VALUES('7273','6323','JHLEM S/C 054-620250','74','2021-06-08 15:49:35','2021-06-08 15:49:35');
INSERT INTO complaint_remarks VALUES('7274','6320','IN PROCESS COMPLAINT VISIT TO DAY','74','2021-06-08 15:51:26','2021-06-08 15:51:26');
INSERT INTO complaint_remarks VALUES('7275','5798','M. HANEEF 0309-3334650','74','2021-06-08 16:09:26','2021-06-08 16:09:26');
INSERT INTO complaint_remarks VALUES('7276','6546','IN PROCESS COMPLAINT','74','2021-06-08 16:37:04','2021-06-08 16:37:04');
INSERT INTO complaint_remarks VALUES('7277','6569','COMPLAINT RESOLVED','92','2021-06-09 11:41:05','2021-06-09 11:41:05');
INSERT INTO complaint_remarks VALUES('7278','6567','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-09 11:50:34','2021-06-09 11:50:34');
INSERT INTO complaint_remarks VALUES('7279','6561','VISIT HO GAYA HAY COMPLAINT PAR MOTOR ISSUE COMPLAINT IN-PROCESS','92','2021-06-09 11:52:08','2021-06-09 11:52:08');
INSERT INTO complaint_remarks VALUES('7280','6559','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-09 11:56:00','2021-06-09 11:56:00');
INSERT INTO complaint_remarks VALUES('7281','6542','KAL VISIT HO GA COMPLAINT PAR INFORM BY CUSTOMER','92','2021-06-09 12:05:02','2021-06-09 12:05:02');
INSERT INTO complaint_remarks VALUES('7282','6558','COMPLAINT RESOLVED','92','2021-06-09 12:07:43','2021-06-09 12:07:43');
INSERT INTO complaint_remarks VALUES('7283','6572','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-09 12:16:14','2021-06-09 12:16:14');
INSERT INTO complaint_remarks VALUES('7284','6553','CUSTOMER NOT ATTEND CALL','92','2021-06-09 12:17:38','2021-06-09 12:17:38');
INSERT INTO complaint_remarks VALUES('7285','6560','COMPLAINT CLOSED','92','2021-06-09 12:45:02','2021-06-09 12:45:02');
INSERT INTO complaint_remarks VALUES('7286','6455','VISIT TO DAY','92','2021-06-09 12:52:58','2021-06-09 12:52:58');
INSERT INTO complaint_remarks VALUES('7287','6471','COMPLAINT RESOLVED','92','2021-06-09 12:56:41','2021-06-09 12:56:41');
INSERT INTO complaint_remarks VALUES('7288','6497','COMPLAINT RESOLVED','92','2021-06-09 12:58:42','2021-06-09 12:58:42');
INSERT INTO complaint_remarks VALUES('7289','6530','COMPLAINT RESOLVED','92','2021-06-09 13:04:12','2021-06-09 13:04:12');
INSERT INTO complaint_remarks VALUES('7290','6545','COMPLAINT RESOLVED','92','2021-06-09 13:08:10','2021-06-09 13:08:10');
INSERT INTO complaint_remarks VALUES('7291','6596','VISIT TO DAY','92','2021-06-09 13:22:47','2021-06-09 13:22:47');
INSERT INTO complaint_remarks VALUES('7292','6251','COMPLAINT RESOLVED','92','2021-06-09 13:26:05','2021-06-09 13:26:05');
INSERT INTO complaint_remarks VALUES('7293','6416','CUSTOMER NAY COMPLAINT RESOLVED KARWA DE HAY COMPLAINT CLOSED','92','2021-06-09 13:37:01','2021-06-09 13:37:01');
INSERT INTO complaint_remarks VALUES('7294','6507','COMPLAINT RESOLVED','92','2021-06-09 14:17:36','2021-06-09 14:17:36');
INSERT INTO complaint_remarks VALUES('7295','6521','COMPLAINT RESOLVED','92','2021-06-09 14:19:08','2021-06-09 14:19:08');
INSERT INTO complaint_remarks VALUES('7296','6584','KAL VISIT HO GA INFORM BY CUSTOMER','92','2021-06-09 14:25:59','2021-06-09 14:25:59');
INSERT INTO complaint_remarks VALUES('7297','6525','COMPLAINT RESOLVED','92','2021-06-09 14:30:25','2021-06-09 14:30:25');
INSERT INTO complaint_remarks VALUES('7298','6517','COMPLAINT IN PROCESS','73','2021-06-09 14:32:14','2021-06-09 14:32:14');
INSERT INTO complaint_remarks VALUES('7299','6536','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-09 16:06:45','2021-06-09 16:06:45');
INSERT INTO complaint_remarks VALUES('7300','6101','COMPLAINT RESOLVED','92','2021-06-09 16:15:30','2021-06-09 16:15:30');
INSERT INTO complaint_remarks VALUES('7301','6217','COMPLAINT RESOLVED','92','2021-06-09 16:17:29','2021-06-09 16:17:29');
INSERT INTO complaint_remarks VALUES('7302','5599','CUSTOMER NAY APNAY TACTION  SAY COMPLAINT RESOLVED KARWA LE HAY','92','2021-06-09 16:20:19','2021-06-09 16:20:19');
INSERT INTO complaint_remarks VALUES('7303','6128','COMPLAINT RESOLVED','92','2021-06-09 16:27:22','2021-06-09 16:27:22');
INSERT INTO complaint_remarks VALUES('7304','6231','COMPLAINT RESOLVED','92','2021-06-09 16:30:53','2021-06-09 16:30:53');
INSERT INTO complaint_remarks VALUES('7305','6627','IN PROCESS COMPLAINT VISIT K LIYA NAEEM SAB KO REMINDER DA DIA','74','2021-06-10 11:57:27','2021-06-10 11:57:27');
INSERT INTO complaint_remarks VALUES('7306','5910','COMPLAINT RESOLVED','92','2021-06-10 12:30:35','2021-06-10 12:30:35');
INSERT INTO complaint_remarks VALUES('7307','6312','COMPLAINT RESOLVED','92','2021-06-10 12:37:49','2021-06-10 12:37:49');
INSERT INTO complaint_remarks VALUES('7308','6246','COMPLAINT RESOLVED','74','2021-06-10 13:01:52','2021-06-10 13:01:52');
INSERT INTO complaint_remarks VALUES('7309','6518','COMPLAINT RESOLVED','74','2021-06-10 13:06:16','2021-06-10 13:06:16');
INSERT INTO complaint_remarks VALUES('7310','6538','COMPLAINT RESOLVED','74','2021-06-10 13:08:57','2021-06-10 13:08:57');
INSERT INTO complaint_remarks VALUES('7311','6596','COMPLAINT RESOLVED','74','2021-06-10 13:13:21','2021-06-10 13:13:21');
INSERT INTO complaint_remarks VALUES('7312','6613','COMPLAINT RESOLVED','74','2021-06-10 13:15:19','2021-06-10 13:15:19');
INSERT INTO complaint_remarks VALUES('7313','5674','COMPLAINT RESOLVED','74','2021-06-10 13:23:54','2021-06-10 13:23:54');
INSERT INTO complaint_remarks VALUES('7314','5675','COMPLAINT RESOLVED','74','2021-06-10 13:26:28','2021-06-10 13:26:28');
INSERT INTO complaint_remarks VALUES('7315','6236','COMPLAINT ATTEND HO GEI  HAIN REF TO S/C 
NAEEM KENWOOD KO REMINDER DA DIYA REPLACE KAR K DAY YHA WARRANTY NEXT YEAR KI DAY','74','2021-06-10 13:29:08','2021-06-10 13:29:08');
INSERT INTO complaint_remarks VALUES('7316','6255','COMPLAINT RESOLVED','92','2021-06-10 13:49:03','2021-06-10 13:49:03');
INSERT INTO complaint_remarks VALUES('7317','6465','COMPLAINT RESOLVED','92','2021-06-10 14:03:33','2021-06-10 14:03:33');
INSERT INTO complaint_remarks VALUES('7318','6113','COMPLAINT RESOLVED','74','2021-06-10 14:19:28','2021-06-10 14:19:28');
INSERT INTO complaint_remarks VALUES('7319','5862','COMPLAINT RESOLVED','74','2021-06-10 14:23:43','2021-06-10 14:23:43');
INSERT INTO complaint_remarks VALUES('7320','6234','COMPLAINT RESOLVED','74','2021-06-10 14:29:33','2021-06-10 14:29:33');
INSERT INTO complaint_remarks VALUES('7321','6406','COMPLAINT RESOLVED','92','2021-06-10 14:36:00','2021-06-10 14:36:00');
INSERT INTO complaint_remarks VALUES('7322','6691','10-JUNE-2021
COMPLAINT#1137136','73','2021-06-10 14:47:51','2021-06-10 14:47:51');
INSERT INTO complaint_remarks VALUES('7323','6506','COMPLAINT PAR VISIT HO GAYA HAY MOTOR ISSUE COMPLAINT IN PROCESS','92','2021-06-10 15:08:12','2021-06-10 15:08:12');
INSERT INTO complaint_remarks VALUES('7324','6265','COMPLAINT PA AIK VISIT HO GAYA HAIN SOUND KA ISSUE AARHA HAIN REPOEND COMPLAINT KARWA DI HAIN INFORMED BY CUSTOMER','74','2021-06-10 15:18:41','2021-06-10 15:18:41');
INSERT INTO complaint_remarks VALUES('7325','6570','COMPLAINT RESOLVED','92','2021-06-10 15:27:33','2021-06-10 15:27:33');
INSERT INTO complaint_remarks VALUES('7326','6577','COMPLAINT RESOLVED','92','2021-06-10 15:32:19','2021-06-10 15:32:19');
INSERT INTO complaint_remarks VALUES('7327','6539','REF TO S/ OUT DOOR  LEAKAGE PROB','74','2021-06-10 15:39:30','2021-06-10 15:39:30');
INSERT INTO complaint_remarks VALUES('7328','6539','CUSTOMER S/C LA K NAI JAR HAY','74','2021-06-10 15:41:48','2021-06-10 15:41:48');
INSERT INTO complaint_remarks VALUES('7329','6539','SAIF SAB NA CUSTOMER KO OUT DOOR REPLACE KARNAY KI BAT KI HOI HAIN','74','2021-06-10 15:45:47','2021-06-10 15:45:47');
INSERT INTO complaint_remarks VALUES('7330','6582','COMPLAINT RESOLVED','92','2021-06-10 16:13:55','2021-06-10 16:13:55');
INSERT INTO complaint_remarks VALUES('7331','6586','CUSTOMER NOT ATTEND CALL','92','2021-06-10 16:15:46','2021-06-10 16:15:46');
INSERT INTO complaint_remarks VALUES('7332','6587','COMPLAINT RESOLVED','92','2021-06-10 16:20:06','2021-06-10 16:20:06');
INSERT INTO complaint_remarks VALUES('7333','6723','10-JUNE-2021
COMPLAINT#RWP-780499','73','2021-06-10 17:04:54','2021-06-10 17:04:54');
INSERT INTO complaint_remarks VALUES('7334','6448','REMINDER B.COOL','74','2021-06-10 17:11:50','2021-06-10 17:11:50');
INSERT INTO complaint_remarks VALUES('7335','6731','10-JUNE-2021
COMPLAINT#PKRI-210610117853','73','2021-06-10 18:04:34','2021-06-10 18:04:34');
INSERT INTO complaint_remarks VALUES('7336','6559','COMPLAINT CLOSED','73','2021-06-10 18:24:30','2021-06-10 18:24:30');
INSERT INTO complaint_remarks VALUES('7337','6551','COMPLAINT CLOSED','73','2021-06-10 18:26:33','2021-06-10 18:26:33');
INSERT INTO complaint_remarks VALUES('7338','6550','COMPLAINT CLOSED','73','2021-06-10 18:29:15','2021-06-10 18:29:15');
INSERT INTO complaint_remarks VALUES('7339','6520','NOT ATTEND CALL','73','2021-06-10 18:31:16','2021-06-10 18:31:16');
INSERT INTO complaint_remarks VALUES('7340','6514','NOT ATTEND CALL','73','2021-06-10 18:35:02','2021-06-10 18:35:02');
INSERT INTO complaint_remarks VALUES('7341','6512','PROBLEM SOLVE NI HOVI
LCD REPLACE HOGI','73','2021-06-10 18:39:08','2021-06-10 18:39:08');
INSERT INTO complaint_remarks VALUES('7342','6515','CUSTOMER REPLACEMENT KI DIMAND KRRA HA 1TON KO 1.5 TOW KY SAT','73','2021-06-10 19:08:01','2021-06-10 19:08:01');
INSERT INTO complaint_remarks VALUES('7343','5798','AMEEN SAB SA BT HO GEI HAIN AJ DOOR LAGWA DAY GAY','74','2021-06-11 11:03:56','2021-06-11 11:03:56');
INSERT INTO complaint_remarks VALUES('7344','6514','NOT ATTEND CALL','73','2021-06-11 17:53:21','2021-06-11 17:53:21');
INSERT INTO complaint_remarks VALUES('7345','6520','RE OPEN KRNI HA','73','2021-06-11 17:56:48','2021-06-11 17:56:48');
INSERT INTO complaint_remarks VALUES('7346','6567','NOT ATTEND CALL','73','2021-06-11 18:01:00','2021-06-11 18:01:00');
INSERT INTO complaint_remarks VALUES('7347','6581','CUTOMER KY NI TY','73','2021-06-11 18:04:45','2021-06-11 18:04:45');
INSERT INTO complaint_remarks VALUES('7348','6588','VISIT HO GYHA HA VOLTAG KA ISSU HA','73','2021-06-11 18:18:07','2021-06-11 18:18:07');
INSERT INTO complaint_remarks VALUES('7349','6666','VISIT HO GAYA HAY IN PROCESS COMPLAINT','92','2021-06-12 11:06:16','2021-06-12 11:06:16');
INSERT INTO complaint_remarks VALUES('7350','6702','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-12 11:11:43','2021-06-12 11:11:43');
INSERT INTO complaint_remarks VALUES('7351','6763','VISIT TO DAY','92','2021-06-12 11:17:38','2021-06-12 11:17:38');
INSERT INTO complaint_remarks VALUES('7352','6535','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-12 11:32:00','2021-06-12 11:32:00');
INSERT INTO complaint_remarks VALUES('7353','6221','W/COOLER S/C SA READY HO K DILVER HOA HAIN BUT ISSUE RESOLVED NI HOA AGAIN VISIT K LIYA CANNON MAIN REMINDER DA DI','74','2021-06-12 11:37:16','2021-06-12 11:37:16');
INSERT INTO complaint_remarks VALUES('7354','6221','INFORMED BY TARIQ &CUSTOMER','74','2021-06-12 11:37:31','2021-06-12 11:37:31');
INSERT INTO complaint_remarks VALUES('7355','6296','INVOICE KHURRAM SAB KO SHER KAR DI','74','2021-06-12 11:51:57','2021-06-12 11:51:57');
INSERT INTO complaint_remarks VALUES('7356','6682','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-12 11:54:33','2021-06-12 11:54:33');
INSERT INTO complaint_remarks VALUES('7357','6764','TACTION NO 03335715871 KHURRAM','92','2021-06-12 12:20:50','2021-06-12 12:20:50');
INSERT INTO complaint_remarks VALUES('7358','6764','VISIT HO GAYA HAY COMPLAINT IN PROCESS','92','2021-06-12 12:23:41','2021-06-12 12:23:41');
INSERT INTO complaint_remarks VALUES('7359','6598','VISIT HO GAYA HAY UNIT LEFT IN S/C','92','2021-06-12 12:46:13','2021-06-12 12:46:13');
INSERT INTO complaint_remarks VALUES('7360','6684','COMPLAINT RESOLVED','92','2021-06-12 13:27:15','2021-06-12 13:27:15');
INSERT INTO complaint_remarks VALUES('7361','6693','COMPLAINT RESOLVED','92','2021-06-12 13:30:39','2021-06-12 13:30:39');
INSERT INTO complaint_remarks VALUES('7362','6692','COMPLAINT RESOLVED','92','2021-06-12 13:32:07','2021-06-12 13:32:07');
INSERT INTO complaint_remarks VALUES('7363','6699','COMPLAINT RESOLVED','92','2021-06-12 13:34:29','2021-06-12 13:34:29');
INSERT INTO complaint_remarks VALUES('7364','6703','VISIT TO DAY','92','2021-06-12 13:36:18','2021-06-12 13:36:18');
INSERT INTO complaint_remarks VALUES('7365','6705','THORI DAR BAD CONTACT KARAY GAY','92','2021-06-12 13:38:59','2021-06-12 13:38:59');
INSERT INTO complaint_remarks VALUES('7366','6706','CUSTOMER KI FRG KI COMPLAINT HAY SO COMPLAINT CLOSED','92','2021-06-12 13:45:51','2021-06-12 13:45:51');
INSERT INTO complaint_remarks VALUES('7367','6742','COMPLAINT RESOLVED','92','2021-06-12 13:54:56','2021-06-12 13:54:56');
INSERT INTO complaint_remarks VALUES('7368','6705','VISIT HO GAYA HAY UNIT IN S/C','92','2021-06-12 14:54:58','2021-06-12 14:54:58');
INSERT INTO complaint_remarks VALUES('7369','6633','COMPLAINT RESOLVED','92','2021-06-12 15:21:50','2021-06-12 15:21:50');
INSERT INTO complaint_remarks VALUES('7370','6659','VISIT HO GAYA HAY IN PROCESS COMPLAINT','92','2021-06-12 15:30:50','2021-06-12 15:30:50');
INSERT INTO complaint_remarks VALUES('7371','6719','COMPLAINT RESOLVED','92','2021-06-12 15:31:51','2021-06-12 15:31:51');
INSERT INTO complaint_remarks VALUES('7372','6475','COMPLAINT RESOLVED','92','2021-06-12 15:59:18','2021-06-12 15:59:18');
INSERT INTO complaint_remarks VALUES('7373','6774','SERIAL#TAC-12HEB-O-201912-01741','74','2021-06-12 17:54:54','2021-06-12 17:54:54');
INSERT INTO complaint_remarks VALUES('7374','6581','CUSTOMER GHR AVAILABLE NI TA','73','2021-06-13 12:27:08','2021-06-13 12:27:08');
INSERT INTO complaint_remarks VALUES('7375','6591','NOT ATTEND CALL','73','2021-06-13 12:38:20','2021-06-13 12:38:20');
INSERT INTO complaint_remarks VALUES('7376','6594','AJ VISIT HO GA','73','2021-06-13 12:40:24','2021-06-13 12:40:24');
INSERT INTO complaint_remarks VALUES('7377','6597','VISIT HOGYHA HA BUT CUSTOMER  IS NOT SATISFIED 
CUSOMER KUD INFORM KRY GA','73','2021-06-13 12:59:25','2021-06-13 12:59:25');
INSERT INTO complaint_remarks VALUES('7378','6601','CUSTOMER NOT ATTEND CALL','73','2021-06-13 13:02:45','2021-06-13 13:02:45');
INSERT INTO complaint_remarks VALUES('7379','6730','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-14 11:43:41','2021-06-14 11:43:41');
INSERT INTO complaint_remarks VALUES('7380','6712','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-14 11:50:12','2021-06-14 11:50:12');
INSERT INTO complaint_remarks VALUES('7381','6849','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-14 12:01:42','2021-06-14 12:01:42');
INSERT INTO complaint_remarks VALUES('7382','6835','OTHER#03455220743','74','2021-06-14 12:03:46','2021-06-14 12:03:46');
INSERT INTO complaint_remarks VALUES('7383','6804','INVOICE#201982
D.O.P-09-DEC-2020
INVOICE FRIDAY SATURDAY KI WAJA SA SUNDAY KO SHER KI','74','2021-06-14 13:24:52','2021-06-14 13:24:52');
INSERT INTO complaint_remarks VALUES('7384','6804','WORNG FOLLOW UP ENTER','74','2021-06-14 13:39:19','2021-06-14 13:39:19');
INSERT INTO complaint_remarks VALUES('7385','6660','TACTION NO 03335382248','74','2021-06-14 13:56:38','2021-06-14 13:56:38');
INSERT INTO complaint_remarks VALUES('7386','6680','CUSTOMER NOT ATTEND CALL','74','2021-06-14 14:03:22','2021-06-14 14:03:22');
INSERT INTO complaint_remarks VALUES('7387','6677','COMPLAINT RESOLVED','74','2021-06-14 14:05:52','2021-06-14 14:05:52');
INSERT INTO complaint_remarks VALUES('7388','6674','COMPLAINT RESOLVED','74','2021-06-14 14:20:16','2021-06-14 14:20:16');
INSERT INTO complaint_remarks VALUES('7389','6673','COMPLAINT RESOLVED','74','2021-06-14 14:22:43','2021-06-14 14:22:43');
INSERT INTO complaint_remarks VALUES('7390','6675','YHA  W/D I 10 S/C MAIN HAIN','74','2021-06-14 14:25:25','2021-06-14 14:25:25');
INSERT INTO complaint_remarks VALUES('7391','6669','COMPLAINT RESOLVED','74','2021-06-14 14:26:15','2021-06-14 14:26:15');
INSERT INTO complaint_remarks VALUES('7392','6666','COMPLAINT RESOLVED','74','2021-06-14 14:35:10','2021-06-14 14:35:10');
INSERT INTO complaint_remarks VALUES('7393','6665','COMPLAINT RESOLVED','74','2021-06-14 14:48:03','2021-06-14 14:48:03');
INSERT INTO complaint_remarks VALUES('7394','6662','COMPLAINT RESOLVED','74','2021-06-14 14:50:40','2021-06-14 14:50:40');
INSERT INTO complaint_remarks VALUES('7395','6659','COMPRESSOR ISSUE COMPLAINT IN PROCESS','74','2021-06-14 14:56:11','2021-06-14 14:56:11');
INSERT INTO complaint_remarks VALUES('7396','6658','COMPLAINT RESOLVED','74','2021-06-14 14:59:02','2021-06-14 14:59:02');
INSERT INTO complaint_remarks VALUES('7397','6651','COMPLAINT RESOLVED','74','2021-06-14 15:02:44','2021-06-14 15:02:44');
INSERT INTO complaint_remarks VALUES('7398','6645','COMPLAINT RESOLVED','74','2021-06-14 15:04:59','2021-06-14 15:04:59');
INSERT INTO complaint_remarks VALUES('7399','6647','CUSTOMER NOT ATTEND CALL','74','2021-06-14 15:08:51','2021-06-14 15:08:51');
INSERT INTO complaint_remarks VALUES('7400','6643','KAL TAK CONFORM KARAY GAY CUSTOMER','92','2021-06-14 15:13:10','2021-06-14 15:13:10');
INSERT INTO complaint_remarks VALUES('7401','6639','COMPLAINT CANCEL CUSTOMER ABI GHAR PAR AVAIL NAI HAY','92','2021-06-14 15:19:40','2021-06-14 15:19:40');
INSERT INTO complaint_remarks VALUES('7402','6635','CUSTOMER KI KOI COMPLAINT NAI HAY COMPLAINT CANCEL','92','2021-06-14 15:24:17','2021-06-14 15:24:17');
INSERT INTO complaint_remarks VALUES('7403','6634','COMPLAINT RESOLVED','92','2021-06-14 15:26:39','2021-06-14 15:26:39');
INSERT INTO complaint_remarks VALUES('7404','6632','COMPLAINT RESOLVED','92','2021-06-14 15:28:21','2021-06-14 15:28:21');
INSERT INTO complaint_remarks VALUES('7405','6672','03099977104 TACTION','92','2021-06-14 15:32:01','2021-06-14 15:32:01');
INSERT INTO complaint_remarks VALUES('7406','6630','VISIT HO GAYA HAY ISSUE NOT RESOLVED','92','2021-06-14 15:36:17','2021-06-14 15:36:17');
INSERT INTO complaint_remarks VALUES('7407','6627','COMPLAINT RESOLVED','92','2021-06-14 15:41:22','2021-06-14 15:41:22');
INSERT INTO complaint_remarks VALUES('7408','6620','COMPLAINT RESOLVED','92','2021-06-14 15:54:34','2021-06-14 15:54:34');
INSERT INTO complaint_remarks VALUES('7409','6619','COMPLAINT RESOLVED','92','2021-06-14 16:00:04','2021-06-14 16:00:04');
INSERT INTO complaint_remarks VALUES('7410','6554','COMPLAINT RESOLVED','92','2021-06-14 16:04:53','2021-06-14 16:04:53');
INSERT INTO complaint_remarks VALUES('7411','6546','COMPLAINT RESOLVED','92','2021-06-14 16:25:54','2021-06-14 16:25:54');
INSERT INTO complaint_remarks VALUES('7412','6543','COMPLAINT RESOLVED','92','2021-06-14 16:27:55','2021-06-14 16:27:55');
INSERT INTO complaint_remarks VALUES('7413','6536','COMPLAINT RESOLVED','92','2021-06-14 16:33:59','2021-06-14 16:33:59');
INSERT INTO complaint_remarks VALUES('7414','6535','COMPLAINT RESOLVED','92','2021-06-14 16:36:30','2021-06-14 16:36:30');
INSERT INTO complaint_remarks VALUES('7415','6534','NOT VISIT TO COMPLAINT MOHSIN SIR KO REMINDER DAY DEYA HAY','92','2021-06-14 16:44:00','2021-06-14 16:44:00');
INSERT INTO complaint_remarks VALUES('7416','6531','UNIT LEFT IN S/C COMPLAINT IN PROCESS','92','2021-06-14 16:56:11','2021-06-14 16:56:11');
INSERT INTO complaint_remarks VALUES('7417','6430','COMPLAINT RESOLVED','92','2021-06-14 17:23:53','2021-06-14 17:23:53');
INSERT INTO complaint_remarks VALUES('7418','6363','CUSTOMER SAY BAT HUAI HAY CUSTOMER UNIT ABI S/C NAI LANA CHATAY SO COMPLAINT CLOSED','92','2021-06-14 17:34:11','2021-06-14 17:34:11');
INSERT INTO complaint_remarks VALUES('7419','6682','VISIT HO GAYA THA COMPLAINT PAR ISSUE NOT RESOLVED CANON MAY DOBARA COMPLAINT KARWA DE HAY','92','2021-06-14 17:45:05','2021-06-14 17:45:05');
INSERT INTO complaint_remarks VALUES('7420','6799','VISIT HO GAY HAN OUT DOOR S/C MOVE HONA HAIN','74','2021-06-14 17:57:23','2021-06-14 17:57:23');
INSERT INTO complaint_remarks VALUES('7421','6799','INFORMED BY  YASIER','74','2021-06-14 18:24:38','2021-06-14 18:24:38');
INSERT INTO complaint_remarks VALUES('7422','6887','COMPLAINT RESOLVED','74','2021-06-14 18:33:38','2021-06-14 18:33:38');
INSERT INTO complaint_remarks VALUES('7423','6914','03008500041 other mobile no','92','2021-06-15 11:13:33','2021-06-15 11:13:33');
INSERT INTO complaint_remarks VALUES('7424','6914','visit to day inform by customer','92','2021-06-15 11:16:58','2021-06-15 11:16:58');
INSERT INTO complaint_remarks VALUES('7425','6835','MISS AREEBA KO FOLLOWUP K LIYA TASK@ SHER KAR DIA','74','2021-06-15 11:21:01','2021-06-15 11:21:01');
INSERT INTO complaint_remarks VALUES('7426','6652','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-15 11:22:54','2021-06-15 11:22:54');
INSERT INTO complaint_remarks VALUES('7427','6652','03155666102 TACTION','92','2021-06-15 11:24:24','2021-06-15 11:24:24');
INSERT INTO complaint_remarks VALUES('7428','6855','VISIT TO DAY','92','2021-06-15 11:49:32','2021-06-15 11:49:32');
INSERT INTO complaint_remarks VALUES('7429','6791','COMPLAINT RESOLVED','92','2021-06-15 11:51:06','2021-06-15 11:51:06');
INSERT INTO complaint_remarks VALUES('7430','6782','CUSTOMER KO TACTION KI CALL AYI THI CUSTOMER NAY FRIDAY 11:00 BAJAY KA TIME DEYA HAY VISIT K LEAY','92','2021-06-15 11:56:35','2021-06-15 11:56:35');
INSERT INTO complaint_remarks VALUES('7431','6813','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-15 12:00:15','2021-06-15 12:00:15');
INSERT INTO complaint_remarks VALUES('7432','6563','VISIT HO GAYA HAY  UNIT LIFT IN S/C','92','2021-06-15 12:23:54','2021-06-15 12:23:54');
INSERT INTO complaint_remarks VALUES('7433','6790','VISIT HO GAYA HAY UNIT LIFT IN S/C','92','2021-06-15 12:27:12','2021-06-15 12:27:12');
INSERT INTO complaint_remarks VALUES('7434','6792','COMPLAINT RESOLVED','92','2021-06-15 12:28:57','2021-06-15 12:28:57');
INSERT INTO complaint_remarks VALUES('7435','6911','COMPLAINT CLOSED','92','2021-06-15 12:36:28','2021-06-15 12:36:28');
INSERT INTO complaint_remarks VALUES('7436','6912','COMPLAINT CLOSED','92','2021-06-15 12:37:06','2021-06-15 12:37:06');
INSERT INTO complaint_remarks VALUES('7437','6913','COMPLAINT CLOSED','92','2021-06-15 12:37:38','2021-06-15 12:37:38');
INSERT INTO complaint_remarks VALUES('7438','6910','COMPLAINT CLOSED','92','2021-06-15 12:38:53','2021-06-15 12:38:53');
INSERT INTO complaint_remarks VALUES('7439','6794','COMPLAINT RESOLVED','92','2021-06-15 12:40:54','2021-06-15 12:40:54');
INSERT INTO complaint_remarks VALUES('7440','6527','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-15 12:58:34','2021-06-15 12:58:34');
INSERT INTO complaint_remarks VALUES('7441','6711','IN PROCESS HAIN COMPLAINT CUSTOMER KO ORIENT K NO PROVIDE KAR DIA','74','2021-06-15 12:59:39','2021-06-15 12:59:39');
INSERT INTO complaint_remarks VALUES('7442','6796','COMPLAINT RESOLVED','92','2021-06-15 13:04:17','2021-06-15 13:04:17');
INSERT INTO complaint_remarks VALUES('7443','6801','COMPLAINT RESOLVED','92','2021-06-15 13:08:48','2021-06-15 13:08:48');
INSERT INTO complaint_remarks VALUES('7444','6808','NO VISIT AGAIN COMPAINE MAY COMPLAINE KARWA DE HAY','92','2021-06-15 13:24:41','2021-06-15 13:24:41');
INSERT INTO complaint_remarks VALUES('7445','6561','COMPLAINT RESOLVED','92','2021-06-15 13:54:44','2021-06-15 13:54:44');
INSERT INTO complaint_remarks VALUES('7446','6802','COMPLAINT RESOLVED','92','2021-06-15 13:58:39','2021-06-15 13:58:39');
INSERT INTO complaint_remarks VALUES('7447','6425','COMPLAINT RESOLVED','92','2021-06-15 14:03:43','2021-06-15 14:03:43');
INSERT INTO complaint_remarks VALUES('7448','5991','COMPLAINT RESOLVED','92','2021-06-15 14:13:09','2021-06-15 14:13:09');
INSERT INTO complaint_remarks VALUES('7449','6580','CUSTOMER NOT ATTEND CALL','92','2021-06-15 14:52:17','2021-06-15 14:52:17');
INSERT INTO complaint_remarks VALUES('7450','6860','COMPLAINT RESOLVED','92','2021-06-15 14:55:27','2021-06-15 14:55:27');
INSERT INTO complaint_remarks VALUES('7451','6821','VISIT HO GAYA HAY PART ISSUE COMPLAINT IN PROCESS','92','2021-06-15 15:22:20','2021-06-15 15:22:20');
INSERT INTO complaint_remarks VALUES('7452','6733','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-15 15:25:27','2021-06-15 15:25:27');
INSERT INTO complaint_remarks VALUES('7453','6784','COMPLAINT RESOLVED','92','2021-06-15 15:26:56','2021-06-15 15:26:56');
INSERT INTO complaint_remarks VALUES('7454','6765','COMPLAINT RESOLVED','92','2021-06-15 15:34:44','2021-06-15 15:34:44');
INSERT INTO complaint_remarks VALUES('7455','6737','COMPLAINT RESOLVED','92','2021-06-15 15:46:58','2021-06-15 15:46:58');
INSERT INTO complaint_remarks VALUES('7456','6779','COMPLAINT RESOLVED','92','2021-06-15 15:47:56','2021-06-15 15:47:56');
INSERT INTO complaint_remarks VALUES('7457','6763','COMPLAINT RESOLVED','92','2021-06-15 15:49:41','2021-06-15 15:49:41');
INSERT INTO complaint_remarks VALUES('7458','6697','COMPLAINT RESOLVED','92','2021-06-15 15:53:09','2021-06-15 15:53:09');
INSERT INTO complaint_remarks VALUES('7459','6685','COMPLAINT RESOLVED','92','2021-06-15 16:00:43','2021-06-15 16:00:43');
INSERT INTO complaint_remarks VALUES('7460','6703','COMPLAINT RESOLVED','92','2021-06-15 16:05:15','2021-06-15 16:05:15');
INSERT INTO complaint_remarks VALUES('7461','6709','COMPLAINT RESOLVED','92','2021-06-15 16:10:21','2021-06-15 16:10:21');
INSERT INTO complaint_remarks VALUES('7462','6717','COMPLAINT RESOLVED','92','2021-06-15 16:12:09','2021-06-15 16:12:09');
INSERT INTO complaint_remarks VALUES('7463','6718','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-15 16:16:20','2021-06-15 16:16:20');
INSERT INTO complaint_remarks VALUES('7464','6726','COMPLAINT RESOLVED','92','2021-06-15 16:17:47','2021-06-15 16:17:47');
INSERT INTO complaint_remarks VALUES('7465','6750','VISIT HO GAYA HAY CUSTOMER KAL UNIT S/C LAY KAR JAY GAY','92','2021-06-15 16:21:39','2021-06-15 16:21:39');
INSERT INTO complaint_remarks VALUES('7466','6753','COMPLAINT PAR ABI TAK VISIT NAI HUA TAUQEER SIR KO INFORM KAR DEYA HAY','92','2021-06-15 16:26:58','2021-06-15 16:26:58');
INSERT INTO complaint_remarks VALUES('7467','6867','COMPLAINT RESOLVED','92','2021-06-15 16:31:08','2021-06-15 16:31:08');
INSERT INTO complaint_remarks VALUES('7468','6859','COMPLAINT RESOLVED','92','2021-06-15 16:33:18','2021-06-15 16:33:18');
INSERT INTO complaint_remarks VALUES('7469','6614','CUSTOMER NAY UNIT REPLACE KARWA LEYA HAY COMPLAINT CLOSED','92','2021-06-15 16:58:20','2021-06-15 16:58:20');
INSERT INTO complaint_remarks VALUES('7470','6611','COMPLAINT RESOLVED','92','2021-06-15 17:00:16','2021-06-15 17:00:16');
INSERT INTO complaint_remarks VALUES('7471','6923','03115050715 NAVEED TACTION','74','2021-06-15 17:05:55','2021-06-15 17:05:55');
INSERT INTO complaint_remarks VALUES('7472','6553','COMPLAINT RESOLVED','74','2021-06-15 17:29:55','2021-06-15 17:29:55');
INSERT INTO complaint_remarks VALUES('7473','6821','03335238963 WAJID SUPER WAISER','74','2021-06-15 17:45:32','2021-06-15 17:45:32');
INSERT INTO complaint_remarks VALUES('7474','6592','COMPLAINT RESOLVED','74','2021-06-15 18:02:22','2021-06-15 18:02:22');
INSERT INTO complaint_remarks VALUES('7475','6589','NOT VISIT TO COMPLAINT','74','2021-06-15 18:21:04','2021-06-15 18:21:04');
INSERT INTO complaint_remarks VALUES('7476','6590','COMPLAINT RESOLVED','74','2021-06-15 18:22:29','2021-06-15 18:22:29');
INSERT INTO complaint_remarks VALUES('7477','6580','COMPLAINT RESOLVED','74','2021-06-15 18:25:12','2021-06-15 18:25:12');
INSERT INTO complaint_remarks VALUES('7478','6539','miss areeba ko followup k liy TASK# WHATSAPP KAR DIA','74','2021-06-16 11:04:16','2021-06-16 11:04:16');
INSERT INTO complaint_remarks VALUES('7479','6835','UNIT LIFT IN S/C COMPLAINT IN PROCESS','92','2021-06-16 11:15:06','2021-06-16 11:15:06');
INSERT INTO complaint_remarks VALUES('7480','6789','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-16 11:44:31','2021-06-16 11:44:31');
INSERT INTO complaint_remarks VALUES('7481','6275','COMPLAINT RESOLVED','92','2021-06-16 12:14:34','2021-06-16 12:14:34');
INSERT INTO complaint_remarks VALUES('7482','6277','COMPLAINT RESOLVED','92','2021-06-16 12:19:31','2021-06-16 12:19:31');
INSERT INTO complaint_remarks VALUES('7483','6923','VISIT HO GAYA HAY COMPLAINT PAR OUT DOOR KA ISSUE HAY','92','2021-06-16 12:26:21','2021-06-16 12:26:21');
INSERT INTO complaint_remarks VALUES('7484','6902','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-16 12:35:46','2021-06-16 12:35:46');
INSERT INTO complaint_remarks VALUES('7485','6871','COMPLAINT RESOLVED','92','2021-06-16 12:38:23','2021-06-16 12:38:23');
INSERT INTO complaint_remarks VALUES('7486','6318','COMPLAINT RESOLVED','92','2021-06-16 12:41:47','2021-06-16 12:41:47');
INSERT INTO complaint_remarks VALUES('7487','6336','VISIT HO GAYA HAY UNIT IN S/C CUSTOMER NAY KHUD LANA HAY','92','2021-06-16 13:01:19','2021-06-16 13:01:19');
INSERT INTO complaint_remarks VALUES('7488','6344','COMPLAINT RESOLVED','92','2021-06-16 13:02:54','2021-06-16 13:02:54');
INSERT INTO complaint_remarks VALUES('7489','6368','PART KI WAJA SAY DELAY COMPLAINT AJ DOBARA VISIT HAY','92','2021-06-16 13:20:38','2021-06-16 13:20:38');
INSERT INTO complaint_remarks VALUES('7490','6378','COMPLAINT RESOLVED','92','2021-06-16 13:21:45','2021-06-16 13:21:45');
INSERT INTO complaint_remarks VALUES('7491','6382','COMPLAINT RESOLVED','92','2021-06-16 13:24:19','2021-06-16 13:24:19');
INSERT INTO complaint_remarks VALUES('7492','6384','COMPLAINT RESOLVED','92','2021-06-16 13:26:16','2021-06-16 13:26:16');
INSERT INTO complaint_remarks VALUES('7493','6389','CUSTOMER NOT ATTEND CALL','92','2021-06-16 13:29:59','2021-06-16 13:29:59');
INSERT INTO complaint_remarks VALUES('7494','6688','COMPLAINT ATTEND HO GEI HAIN BUT ISSUE RESOLVED NI HOA  S/C REMINDER B DA DI &CUSTOMER KO S/C KA NO B PROVIDE','74','2021-06-16 13:30:00','2021-06-16 13:30:00');
INSERT INTO complaint_remarks VALUES('7495','4827','COMPLAINT RESOLVED','92','2021-06-16 13:42:52','2021-06-16 13:42:52');
INSERT INTO complaint_remarks VALUES('7496','4918','COMPLAINT RESOLVED','92','2021-06-16 13:44:06','2021-06-16 13:44:06');
INSERT INTO complaint_remarks VALUES('7497','6906','VISIT TO DAY','92','2021-06-16 13:55:40','2021-06-16 13:55:40');
INSERT INTO complaint_remarks VALUES('7498','5392','UNIT ABI TAK S/C MAY HI HAY','92','2021-06-16 14:02:34','2021-06-16 14:02:34');
INSERT INTO complaint_remarks VALUES('7499','6644','NOT VISIT TO COMPLAINT','92','2021-06-16 14:16:40','2021-06-16 14:16:40');
INSERT INTO complaint_remarks VALUES('7500','6643','COMPLAINT RESOLVED','92','2021-06-16 14:17:43','2021-06-16 14:17:43');
INSERT INTO complaint_remarks VALUES('7501','6640','VISIT HO GAYA HAY UNIT LIFT HONA HAY S/C IN PROCESS COMPLAINT','92','2021-06-16 14:20:55','2021-06-16 14:20:55');
INSERT INTO complaint_remarks VALUES('7502','6838','VISIT HO GAYA HAY AJ DOBARA VISIT VISIT HAY','74','2021-06-16 14:53:44','2021-06-16 14:53:44');
INSERT INTO complaint_remarks VALUES('7503','6839','COMPLAINT RESOLVED','74','2021-06-16 14:55:29','2021-06-16 14:55:29');
INSERT INTO complaint_remarks VALUES('7504','6586','COMPLAINT RESOLVED','74','2021-06-16 14:59:41','2021-06-16 14:59:41');
INSERT INTO complaint_remarks VALUES('7505','6603','COMPLAINT RESOLVED','74','2021-06-16 15:02:44','2021-06-16 15:02:44');
INSERT INTO complaint_remarks VALUES('7506','6959','PKRI-210616110085','73','2021-06-16 15:05:50','2021-06-16 15:05:50');
INSERT INTO complaint_remarks VALUES('7507','6981','PKRI-210616110120','73','2021-06-16 15:06:12','2021-06-16 15:06:12');
INSERT INTO complaint_remarks VALUES('7508','6604','INVOICE WAQAS FCP NA SHER KAR DI HAIN INVICE ADIL BHAI KO SHER KAR DI','74','2021-06-16 15:07:12','2021-06-16 15:07:12');
INSERT INTO complaint_remarks VALUES('7509','6994','TECHNICIAN CUSTOMER K GHR PA WORKING IN PROCESS','74','2021-06-16 15:13:27','2021-06-16 15:13:27');
INSERT INTO complaint_remarks VALUES('7510','6527','03067131313 IRFAN TACTION','74','2021-06-16 16:07:33','2021-06-16 16:07:33');
INSERT INTO complaint_remarks VALUES('7511','6938','CUSTOMER SAY BAT HUAI HAY WO LOCAL TACTION SAY COMPLAINT ATTEND KARWAY GAY COMPLAINT CLOSED','74','2021-06-16 16:19:01','2021-06-16 16:19:01');
INSERT INTO complaint_remarks VALUES('7512','6838','CUSTOMER KO HAIER K NO PROVIDE KAR DIA','74','2021-06-16 17:33:23','2021-06-16 17:33:23');
INSERT INTO complaint_remarks VALUES('7513','6468','PART ISSUE 03 DIN LAG JAY GAY','74','2021-06-16 17:47:38','2021-06-16 17:47:38');
INSERT INTO complaint_remarks VALUES('7514','6856','ADNAN TACTION 03179998680','92','2021-06-16 18:40:08','2021-06-16 18:40:08');
INSERT INTO complaint_remarks VALUES('7515','6994','COMPLAINT ATTEND HO GAE HAY PART ISSUE IN PROCESS COMPLAINT','92','2021-06-16 18:59:25','2021-06-16 18:59:25');
INSERT INTO complaint_remarks VALUES('7516','6797','IN PROCESS COMPLAINT CUSTOMER KO S/C KA NO PROVIDE KAR DIA HAIN  B. COOL REMINDER B DA DIA','74','2021-06-17 10:56:03','2021-06-17 10:56:03');
INSERT INTO complaint_remarks VALUES('7517','6515','UNIT MAY KOI ISSUE NAI HAY CUSTOMER UNIT REPLACE KARWANA CHATAY HAY SO COMPLAINT CLOSED','92','2021-06-17 11:19:58','2021-06-17 11:19:58');
INSERT INTO complaint_remarks VALUES('7518','6608','COMPLAINT RESOLVED','92','2021-06-17 11:32:16','2021-06-17 11:32:16');
INSERT INTO complaint_remarks VALUES('7519','5636','COMPLAINT RESOLVED','92','2021-06-17 11:49:00','2021-06-17 11:49:00');
INSERT INTO complaint_remarks VALUES('7520','5831','STILL COMPLAINT PENDING','92','2021-06-17 11:52:33','2021-06-17 11:52:33');
INSERT INTO complaint_remarks VALUES('7521','5843','COMPLAINT RESOLVED','92','2021-06-17 11:57:35','2021-06-17 11:57:35');
INSERT INTO complaint_remarks VALUES('7522','5911','COMPLAINT RESOLVED','92','2021-06-17 12:02:22','2021-06-17 12:02:22');
INSERT INTO complaint_remarks VALUES('7523','5923','COMPLAINT RESOLVED','92','2021-06-17 12:10:53','2021-06-17 12:10:53');
INSERT INTO complaint_remarks VALUES('7524','6630','THERMOSTAT ISSUE COMPLAINT COMPAINE MAY REOPEN KARWA DE HAY','92','2021-06-17 12:18:29','2021-06-17 12:18:29');
INSERT INTO complaint_remarks VALUES('7525','6281','VISIT HO GAYA HAY CUSTOMER NAY UNIT S/C LIFT KARWANA HAY COMPLAINT IN PROCESS','92','2021-06-17 12:33:16','2021-06-17 12:33:16');
INSERT INTO complaint_remarks VALUES('7526','6050','CUSTOMER NOT ATTEND CALL','92','2021-06-17 12:45:07','2021-06-17 12:45:07');
INSERT INTO complaint_remarks VALUES('7527','6281','IRFAN FCP SIR SAY BAT HUAI HAY INDOOR KA ISSUE THA IRFAN SIR INDOOR CUSTOMER KO REPLACE KAR K DARAHY HAY SO COMPLAINT CLOSED','92','2021-06-17 12:54:14','2021-06-17 12:54:14');
INSERT INTO complaint_remarks VALUES('7528','6063','COMPLAINT RESOLVED','92','2021-06-17 13:05:31','2021-06-17 13:05:31');
INSERT INTO complaint_remarks VALUES('7529','6070','COMPLAINT RESOLVED','92','2021-06-17 13:08:52','2021-06-17 13:08:52');
INSERT INTO complaint_remarks VALUES('7530','6080','COMPLAINT RESOLVED','92','2021-06-17 13:12:53','2021-06-17 13:12:53');
INSERT INTO complaint_remarks VALUES('7531','6082','COMPLAINT RESOLVED','92','2021-06-17 13:15:33','2021-06-17 13:15:33');
INSERT INTO complaint_remarks VALUES('7532','6995','ASLAM SIR K COMPLAINT #FF KAR DIA','74','2021-06-17 13:17:01','2021-06-17 13:17:01');
INSERT INTO complaint_remarks VALUES('7533','6270','NOT ATTENDING CALL','74','2021-06-17 13:20:51','2021-06-17 13:20:51');
INSERT INTO complaint_remarks VALUES('7534','6176','CUSTOMER K UNIT MAIN KOI ISSUE NAI HAIN  WIFI KI COAD ACTIVE KARWANAY K LIYA CUSTOMER KO ORIENT KA TOTAL FREE NO PROVIDE KAR DIA COMPLAINT CLOSED','74','2021-06-17 13:25:34','2021-06-17 13:25:34');
INSERT INTO complaint_remarks VALUES('7535','5903','CUSTOMER NOT ATTEND CALL','92','2021-06-17 13:26:34','2021-06-17 13:26:34');
INSERT INTO complaint_remarks VALUES('7536','5938','COMPLAINT RESOLVED','92','2021-06-17 13:27:48','2021-06-17 13:27:48');
INSERT INTO complaint_remarks VALUES('7537','5947','COMPLAINT RESOLVED','92','2021-06-17 13:29:55','2021-06-17 13:29:55');
INSERT INTO complaint_remarks VALUES('7538','6574','NOT ATTENDING CALL','74','2021-06-17 13:32:32','2021-06-17 13:32:32');
INSERT INTO complaint_remarks VALUES('7539','5954','CUSTOMER NOT ATTEND CALL','92','2021-06-17 13:32:59','2021-06-17 13:32:59');
INSERT INTO complaint_remarks VALUES('7540','6534','ABI TAQ KISE NA B VISIT NAI KIYA','74','2021-06-17 13:34:14','2021-06-17 13:34:14');
INSERT INTO complaint_remarks VALUES('7541','6526','NOT ATTENDING CALL','74','2021-06-17 13:35:53','2021-06-17 13:35:53');
INSERT INTO complaint_remarks VALUES('7542','6868','CUSTOMER GHR AVAILABAL NI TA','73','2021-06-17 13:36:31','2021-06-17 13:36:31');
INSERT INTO complaint_remarks VALUES('7543','5957','UNIT LIFT IN S/C','92','2021-06-17 13:37:05','2021-06-17 13:37:05');
INSERT INTO complaint_remarks VALUES('7544','5964','COMPLAINT RESOLVED','92','2021-06-17 13:38:01','2021-06-17 13:38:01');
INSERT INTO complaint_remarks VALUES('7545','6509','COMPLAINT RESOLVED','74','2021-06-17 13:38:38','2021-06-17 13:38:38');
INSERT INTO complaint_remarks VALUES('7546','6866','NOT ATTEND CALL','73','2021-06-17 13:39:20','2021-06-17 13:39:20');
INSERT INTO complaint_remarks VALUES('7547','5973','COMPLAINT RESOLVED','92','2021-06-17 13:40:08','2021-06-17 13:40:08');
INSERT INTO complaint_remarks VALUES('7548','6865','COMPLAINT CLOSED','73','2021-06-17 13:41:43','2021-06-17 13:41:43');
INSERT INTO complaint_remarks VALUES('7549','6092','COMPLAINT RESOLVED','74','2021-06-17 13:43:33','2021-06-17 13:43:33');
INSERT INTO complaint_remarks VALUES('7550','5974','VISIT HO GAYA HAY COMPLAINT PAR UNIT LIFT IN S/C','92','2021-06-17 13:44:31','2021-06-17 13:44:31');
INSERT INTO complaint_remarks VALUES('7551','6013','COMPLAINT RESOLVED','92','2021-06-17 13:47:10','2021-06-17 13:47:10');
INSERT INTO complaint_remarks VALUES('7552','6856','IN PROCESS','73','2021-06-17 13:47:58','2021-06-17 13:47:58');
INSERT INTO complaint_remarks VALUES('7553','6460','COMPLAINT RESOLVED','74','2021-06-17 13:48:56','2021-06-17 13:48:56');
INSERT INTO complaint_remarks VALUES('7554','6056','COMPLAINT RESOLVED','92','2021-06-17 13:49:15','2021-06-17 13:49:15');
INSERT INTO complaint_remarks VALUES('7555','6097','COMPLAINT RESOLVED','92','2021-06-17 13:51:09','2021-06-17 13:51:09');
INSERT INTO complaint_remarks VALUES('7556','6468','PARTS KI WAJ SA DELAY COMPLAINT','74','2021-06-17 13:53:56','2021-06-17 13:53:56');
INSERT INTO complaint_remarks VALUES('7557','6151','COMPLAINT RESOLVED','92','2021-06-17 13:55:31','2021-06-17 13:55:31');
INSERT INTO complaint_remarks VALUES('7558','6506','COMPLAINT RESOLVED','74','2021-06-17 13:56:44','2021-06-17 13:56:44');
INSERT INTO complaint_remarks VALUES('7559','6829','UNIT IN S/C','73','2021-06-17 13:57:04','2021-06-17 13:57:04');
INSERT INTO complaint_remarks VALUES('7560','6239','CUSTOMER NOT ATTEND CALL','92','2021-06-17 13:57:20','2021-06-17 13:57:20');
INSERT INTO complaint_remarks VALUES('7561','6823','COMPLAINT CLOSED','73','2021-06-17 14:01:39','2021-06-17 14:01:39');
INSERT INTO complaint_remarks VALUES('7562','6290','NOT RESOLVED COMPLAINT','92','2021-06-17 14:02:00','2021-06-17 14:02:00');
INSERT INTO complaint_remarks VALUES('7563','6349','CUSTOMER NOT ATTEND CALL','92','2021-06-17 14:04:45','2021-06-17 14:04:45');
INSERT INTO complaint_remarks VALUES('7564','6533','NO VISIT COMPNAY SIDE SA PENDING CAOMPLAINT','74','2021-06-17 14:07:09','2021-06-17 14:07:09');
INSERT INTO complaint_remarks VALUES('7565','6815','COMPLAINT CLOSED','73','2021-06-17 14:08:02','2021-06-17 14:08:02');
INSERT INTO complaint_remarks VALUES('7566','6671','COMPLAINT RESOLVED','74','2021-06-17 14:08:30','2021-06-17 14:08:30');
INSERT INTO complaint_remarks VALUES('7567','6380','CUSTOMER NOT ATTEND CALL','92','2021-06-17 14:09:33','2021-06-17 14:09:33');
INSERT INTO complaint_remarks VALUES('7568','6393','COMPLAINT PAR VISIT HO GAYA HAY UNIT LEFT IN S/C','92','2021-06-17 14:11:59','2021-06-17 14:11:59');
INSERT INTO complaint_remarks VALUES('7569','6422','COMPLAINT RESOLVED','92','2021-06-17 14:14:23','2021-06-17 14:14:23');
INSERT INTO complaint_remarks VALUES('7570','6686','NOT ATTENDING CALL','74','2021-06-17 14:16:39','2021-06-17 14:16:39');
INSERT INTO complaint_remarks VALUES('7571','6483','NO POWER OFF','92','2021-06-17 14:17:07','2021-06-17 14:17:07');
INSERT INTO complaint_remarks VALUES('7572','6724','VISIT TO DAY CUSTOMER KO TECHNICIAN KI CALL AAGEI HAIN','74','2021-06-17 14:18:33','2021-06-17 14:18:33');
INSERT INTO complaint_remarks VALUES('7573','6491','CUSTOMER NOT ATTEND CALL','92','2021-06-17 14:19:46','2021-06-17 14:19:46');
INSERT INTO complaint_remarks VALUES('7574','6498','COMPLAINT RESOLVED','92','2021-06-17 14:22:27','2021-06-17 14:22:27');
INSERT INTO complaint_remarks VALUES('7575','6568','TACTION CUSTOMER K GHAR PAR HAY IN PROCESS COMPLAINT','92','2021-06-17 14:26:51','2021-06-17 14:26:51');
INSERT INTO complaint_remarks VALUES('7576','6795','NUMBER NOT RESPONDING','73','2021-06-17 14:31:04','2021-06-17 14:31:04');
INSERT INTO complaint_remarks VALUES('7577','6605','COMPLAINT PAR AJ VISIT HAY TACTION KI CALL AY GAE HAY CUSTOMER KO','92','2021-06-17 14:33:07','2021-06-17 14:33:07');
INSERT INTO complaint_remarks VALUES('7578','6790','UNIT IN S/C','73','2021-06-17 14:36:52','2021-06-17 14:36:52');
INSERT INTO complaint_remarks VALUES('7579','6622','CUSTOMER NOT ATTEND CALL','92','2021-06-17 14:37:06','2021-06-17 14:37:06');
INSERT INTO complaint_remarks VALUES('7580','6786','COMPLAINT CLOSED','73','2021-06-17 14:38:44','2021-06-17 14:38:44');
INSERT INTO complaint_remarks VALUES('7581','6830','COMPLAINT ATTEND HO GEI HAIN BUT CUSTOMER VISIT SA SATISFIED NI','74','2021-06-17 14:39:06','2021-06-17 14:39:06');
INSERT INTO complaint_remarks VALUES('7582','6650','CUSTOMER OUT OFF CITY HAY JAB WAPAS AYN GAY AGAIN REOPEN KARWA LAY GAY COMPLAINT CLOSED','92','2021-06-17 14:40:36','2021-06-17 14:40:36');
INSERT INTO complaint_remarks VALUES('7583','6655','COMPLAINT RESOLVED','92','2021-06-17 14:42:23','2021-06-17 14:42:23');
INSERT INTO complaint_remarks VALUES('7584','6846','IN PROCESS COMPLAINT BUT NO VISIT','74','2021-06-17 14:42:57','2021-06-17 14:42:57');
INSERT INTO complaint_remarks VALUES('7585','6656','NOT ATTEND COMPLAINT','92','2021-06-17 14:46:04','2021-06-17 14:46:04');
INSERT INTO complaint_remarks VALUES('7586','6680','AJ B CUSTOMER NAY CALL ATTEND NAI KI','92','2021-06-17 14:51:22','2021-06-17 14:51:22');
INSERT INTO complaint_remarks VALUES('7587','6689','COMPLAINT RESOLVED','92','2021-06-17 14:54:05','2021-06-17 14:54:05');
INSERT INTO complaint_remarks VALUES('7588','6700','COMPLAINT PAR VISIT HO GAY HAY UNIT LIFT IN S/C','92','2021-06-17 14:57:33','2021-06-17 14:57:33');
INSERT INTO complaint_remarks VALUES('7589','6711','COMPLAINT RESOLVED','92','2021-06-17 14:59:02','2021-06-17 14:59:02');
INSERT INTO complaint_remarks VALUES('7590','6713','VISIT HO GAYA HAY BUT ISSUE NOT RESOLVED','92','2021-06-17 15:03:24','2021-06-17 15:03:24');
INSERT INTO complaint_remarks VALUES('7591','6727','COMPLAINT RESOLVED','92','2021-06-17 15:04:45','2021-06-17 15:04:45');
INSERT INTO complaint_remarks VALUES('7592','6732','COMPLAINT RESOLVED','92','2021-06-17 15:06:32','2021-06-17 15:06:32');
INSERT INTO complaint_remarks VALUES('7593','6733','CUSTOMER NOT ATTEND CALL','92','2021-06-17 15:09:09','2021-06-17 15:09:09');
INSERT INTO complaint_remarks VALUES('7594','6734','CUSTOMER NAY LOCAL TACTION SAY ISSUE RESOLVED KARWA LEYA HAY COMPLAINT CLOSED','92','2021-06-17 15:11:54','2021-06-17 15:11:54');
INSERT INTO complaint_remarks VALUES('7595','6735','NOT VISIT TO COMPLAINT','92','2021-06-17 15:16:23','2021-06-17 15:16:23');
INSERT INTO complaint_remarks VALUES('7596','6741','COMPLAINT RESOLVED','92','2021-06-17 15:17:29','2021-06-17 15:17:29');
INSERT INTO complaint_remarks VALUES('7597','6745','THORI DAR TAK CHACK KAR K CALL BACK KARAY GE CUSTOMER','92','2021-06-17 15:30:10','2021-06-17 15:30:10');
INSERT INTO complaint_remarks VALUES('7598','6917','03179998680 ADNAN','92','2021-06-17 16:11:51','2021-06-17 16:11:51');
INSERT INTO complaint_remarks VALUES('7599','5903','02 TIME VISIT HO GAYA HAY BUT ISSUE NOT RESOLVED','92','2021-06-17 16:32:39','2021-06-17 16:32:39');
INSERT INTO complaint_remarks VALUES('7600','6239','COMPLAINT RESOLVED','92','2021-06-17 16:34:51','2021-06-17 16:34:51');
INSERT INTO complaint_remarks VALUES('7601','6349','ABI TAK VISIT NAI HUA COMPLAINT PAR','92','2021-06-17 16:39:54','2021-06-17 16:39:54');
INSERT INTO complaint_remarks VALUES('7602','6483','COMPLAINT RESOLVED','92','2021-06-17 16:49:48','2021-06-17 16:49:48');
INSERT INTO complaint_remarks VALUES('7603','6574','COMPLAINT RESOLVED','92','2021-06-17 16:54:43','2021-06-17 16:54:43');
INSERT INTO complaint_remarks VALUES('7604','6733','VISIT HO GAYA HAY BUT ISSUE NOT RESOLVED','92','2021-06-17 17:03:47','2021-06-17 17:03:47');
INSERT INTO complaint_remarks VALUES('7605','6568','COMPLAINT RESOLVED','92','2021-06-17 17:07:53','2021-06-17 17:07:53');
INSERT INTO complaint_remarks VALUES('7606','6679','CUSTOMER NOT ATTEND CALL','92','2021-06-17 17:39:13','2021-06-17 17:39:13');
INSERT INTO complaint_remarks VALUES('7607','6861','CUSTOMER NOT ATTEND CALL','92','2021-06-17 17:59:31','2021-06-17 17:59:31');
INSERT INTO complaint_remarks VALUES('7608','6991','IST COMPLAINT CUSTOMER NA KHUD SA KARWAI HOI THI ISSUE RESOLVED HO GAYA THA AGAIN','74','2021-06-18 11:44:27','2021-06-18 11:44:27');
INSERT INTO complaint_remarks VALUES('7609','6991','AGAIN COMPLAINT FRIENDS KI SIDE SA FF HOI US PA AJ VISIT HAIN CUSTOMER FLOOR PA W/D DROP KAR K GAY HAIN INFORMED BY KHURRAM SADAR','74','2021-06-18 11:48:59','2021-06-18 11:48:59');
INSERT INTO complaint_remarks VALUES('7610','6949','OTHER#0345-5006309
CUTOMER CALL ATTEND NAI KAR RAHY THY IC WAJA SA DELAY COMPLAINT  INFORMED KAR DIA LG KO KAL KA TIME DIA INFORMWED BY CUSTOMER & IKHLAQ SAB','74','2021-06-18 12:15:47','2021-06-18 12:15:47');
INSERT INTO complaint_remarks VALUES('7611','6915','AJ VISIT THA BUT CUSTOMER NA KHUD SA KAL KA TIME DI HAIN  AJ VISIT DELAY KARWA DIYA','74','2021-06-18 15:56:19','2021-06-18 15:56:19');
INSERT INTO complaint_remarks VALUES('7612','6916','COMPLAINT RESOLVED','74','2021-06-18 15:57:32','2021-06-18 15:57:32');
INSERT INTO complaint_remarks VALUES('7613','6946','COMPLAINT RESOLVED','74','2021-06-18 15:59:10','2021-06-18 15:59:10');
INSERT INTO complaint_remarks VALUES('7614','6948','CUSTOMER K GHR SHAHDI HAIN  MODAY TAQ DELAY KARWAY HAIN','74','2021-06-18 16:05:09','2021-06-18 16:05:09');
INSERT INTO complaint_remarks VALUES('7615','6956','COMPLAINT RESOLVED','74','2021-06-18 16:08:49','2021-06-18 16:08:49');
INSERT INTO complaint_remarks VALUES('7616','6965','COMPLAINT RESOLVED','74','2021-06-18 16:11:32','2021-06-18 16:11:32');
INSERT INTO complaint_remarks VALUES('7617','7010','NO VISIT','74','2021-06-18 16:15:08','2021-06-18 16:15:08');
INSERT INTO complaint_remarks VALUES('7618','6964','NO VISIT REMINDER TO S/C','74','2021-06-18 16:16:31','2021-06-18 16:16:31');
INSERT INTO complaint_remarks VALUES('7619','6954','COMPLAINT RESOLVED','74','2021-06-18 16:24:48','2021-06-18 16:24:48');
INSERT INTO complaint_remarks VALUES('7620','6953','NO VISIT','74','2021-06-18 16:45:36','2021-06-18 16:45:36');
INSERT INTO complaint_remarks VALUES('7621','7035','SYED MUZAMIL TECHNICIAN 0309-5559766  YHA COMPLAINT ATTEND KARAY GAY  INFORMED BY ZEESHAN& CUSTOMER','74','2021-06-18 17:01:57','2021-06-18 17:01:57');
INSERT INTO complaint_remarks VALUES('7622','6661','03008544007 OTHER MOBILE NO','92','2021-06-19 11:36:26','2021-06-19 11:36:26');
INSERT INTO complaint_remarks VALUES('7623','6661','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-19 11:43:17','2021-06-19 11:43:17');
INSERT INTO complaint_remarks VALUES('7624','7050','SAMSUNG 0514906997 S/C NO','92','2021-06-19 11:52:27','2021-06-19 11:52:27');
INSERT INTO complaint_remarks VALUES('7625','7050','PART ISSUE MONDAY KO PART AY GAY MONDAY KO VISIT HAY INFORM BY CUSTOMER','92','2021-06-19 12:08:25','2021-06-19 12:08:25');
INSERT INTO complaint_remarks VALUES('7626','6937','CUSTOMER KA TECHNICIAN SA TIMING ADJUST NI HO RAHI','74','2021-06-19 12:11:49','2021-06-19 12:11:49');
INSERT INTO complaint_remarks VALUES('7627','6937','LG MAI REMINDER DA DIA','74','2021-06-19 12:12:02','2021-06-19 12:12:02');
INSERT INTO complaint_remarks VALUES('7628','6958','INVOICE KHURRAM SIR KO FF KAR DI','74','2021-06-19 12:38:11','2021-06-19 12:38:11');
INSERT INTO complaint_remarks VALUES('7629','6968','COMPLAINT RESOLVED','92','2021-06-19 12:43:25','2021-06-19 12:43:25');
INSERT INTO complaint_remarks VALUES('7630','6969','COMPLAINT RESOLVED','92','2021-06-19 12:45:15','2021-06-19 12:45:15');
INSERT INTO complaint_remarks VALUES('7631','6970','VISIT TO DAY','92','2021-06-19 12:49:22','2021-06-19 12:49:22');
INSERT INTO complaint_remarks VALUES('7632','6971','COMPLAINT RESOLVED','92','2021-06-19 12:50:45','2021-06-19 12:50:45');
INSERT INTO complaint_remarks VALUES('7633','6973','VISIT HO GAYA HAY COMPRESSOR ISSUE CUSTOMER NAY COMPRESSOR S/C LIFT KARWANA HAY','92','2021-06-19 12:56:23','2021-06-19 12:56:23');
INSERT INTO complaint_remarks VALUES('7634','6974','COMPLAINT RESOLVED','92','2021-06-19 12:57:44','2021-06-19 12:57:44');
INSERT INTO complaint_remarks VALUES('7635','6975','CUSTOMER NOT ATTEND CALL','92','2021-06-19 13:01:32','2021-06-19 13:01:32');
INSERT INTO complaint_remarks VALUES('7636','6978','COMPLAINT RESOLVED','92','2021-06-19 13:07:00','2021-06-19 13:07:00');
INSERT INTO complaint_remarks VALUES('7637','6979','VISIT HO GAYA HAY COMPLAINT PAR WATER LEAKAGE ISSUE CUSTOMER REPLACE MENT KARWANA CHATAY HAY','92','2021-06-19 13:10:10','2021-06-19 13:10:10');
INSERT INTO complaint_remarks VALUES('7638','6982','VISIT TO MONDAY INFORM BY CUSTOMER','92','2021-06-19 13:14:58','2021-06-19 13:14:58');
INSERT INTO complaint_remarks VALUES('7639','6902','COMPLAINT RESOLVED','92','2021-06-19 13:19:16','2021-06-19 13:19:16');
INSERT INTO complaint_remarks VALUES('7640','6983','COMPLAINT RESOLVED','92','2021-06-19 13:21:55','2021-06-19 13:21:55');
INSERT INTO complaint_remarks VALUES('7641','7020','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-19 13:27:17','2021-06-19 13:27:17');
INSERT INTO complaint_remarks VALUES('7642','6984','CUSTOMER NOT ATTEND CALL','92','2021-06-19 13:31:23','2021-06-19 13:31:23');
INSERT INTO complaint_remarks VALUES('7643','6985','COMPLAINT RESOLVED AGAIN COMPLAINT AYI TO CUSTOMER AGAIN CALL BACK KARAY GAY','92','2021-06-19 13:35:23','2021-06-19 13:35:23');
INSERT INTO complaint_remarks VALUES('7644','6987','COMPLAINT CANCEL CUSTOMER UNIT S/C NAI LAY JANA CHATAY','92','2021-06-19 13:42:21','2021-06-19 13:42:21');
INSERT INTO complaint_remarks VALUES('7645','6989','CUSTOMER NOT ATTEND CALL','92','2021-06-19 13:45:47','2021-06-19 13:45:47');
INSERT INTO complaint_remarks VALUES('7646','6990','CUSTOMER NOT ATTEND CALL','92','2021-06-19 13:47:40','2021-06-19 13:47:40');
INSERT INTO complaint_remarks VALUES('7647','6992','CUSTOMER NOT ATTEND CALL','92','2021-06-19 13:50:19','2021-06-19 13:50:19');
INSERT INTO complaint_remarks VALUES('7648','6993','COMPLAINT RESOLVED','92','2021-06-19 13:52:08','2021-06-19 13:52:08');
INSERT INTO complaint_remarks VALUES('7649','6994','COMPLAINT RESOLVED','92','2021-06-19 13:54:18','2021-06-19 13:54:18');
INSERT INTO complaint_remarks VALUES('7650','6996','CUSTOMER NOT ATTEND CALL','74','2021-06-19 14:11:14','2021-06-19 14:11:14');
INSERT INTO complaint_remarks VALUES('7651','6998','CUSTOMER NOT ATTEND CALL','74','2021-06-19 14:14:16','2021-06-19 14:14:16');
INSERT INTO complaint_remarks VALUES('7652','6999','VISIT TO MONDAY','74','2021-06-19 14:15:36','2021-06-19 14:15:36');
INSERT INTO complaint_remarks VALUES('7653','7000','COMPLAINT RESOLVED','74','2021-06-19 14:17:18','2021-06-19 14:17:18');
INSERT INTO complaint_remarks VALUES('7654','7002','TACTION KI CALL AY GAE HAY MONDAY KO VISIT HAY','74','2021-06-19 14:21:03','2021-06-19 14:21:03');
INSERT INTO complaint_remarks VALUES('7655','7004','COMPLAINT RESOLVED','74','2021-06-19 14:22:44','2021-06-19 14:22:44');
INSERT INTO complaint_remarks VALUES('7656','7006','COMPLAINT RESOLVED','74','2021-06-19 14:26:02','2021-06-19 14:26:02');
INSERT INTO complaint_remarks VALUES('7657','7008','COMPLAINT ATTEND HO GAE HAY BOARD ISSUE COMPLAINT IN PROCESS','74','2021-06-19 14:28:33','2021-06-19 14:28:33');
INSERT INTO complaint_remarks VALUES('7658','7009','COMPLAINT RESOLVED','74','2021-06-19 14:31:21','2021-06-19 14:31:21');
INSERT INTO complaint_remarks VALUES('7659','7078','COMPLAINT#PKRI-210619108857','74','2021-06-19 14:32:11','2021-06-19 14:32:11');
INSERT INTO complaint_remarks VALUES('7660','7077','COMPLAINT#PKRI-2010619108898','74','2021-06-19 14:33:19','2021-06-19 14:33:19');
INSERT INTO complaint_remarks VALUES('7661','7010','COMPLAINT RESOLVED','74','2021-06-19 14:35:28','2021-06-19 14:35:28');
INSERT INTO complaint_remarks VALUES('7662','7013','COMPLAINT ATTEND HO GAE HAY CUSTOMER NAY UNIT S/C LANA HAY','74','2021-06-19 14:41:38','2021-06-19 14:41:38');
INSERT INTO complaint_remarks VALUES('7663','7015','CUSTOMER NOT ATTEND CALL','74','2021-06-19 14:44:34','2021-06-19 14:44:34');
INSERT INTO complaint_remarks VALUES('7664','7017','COMPLAINT ATTEND HO GAE HAY BUT ISSUE NOT RESOLVED','74','2021-06-19 14:47:02','2021-06-19 14:47:02');
INSERT INTO complaint_remarks VALUES('7665','7018','JAB TACTION NAY VISIT KEYA THA TAB ISSUE RESOLVED HO GAYA THA AB AGAIN ISSUE AY GAYA HAY COMPAINE MAY AGAIN COMPLAINT REOPEN KARWA DE HAY COMPLAINT','74','2021-06-19 14:57:05','2021-06-19 14:57:05');
INSERT INTO complaint_remarks VALUES('7666','7021','CUSTOMER NOT ATTEND CALL','74','2021-06-19 14:59:23','2021-06-19 14:59:23');
INSERT INTO complaint_remarks VALUES('7667','7022','COMPLAINT ATTEND HO GAE HAY UNIT LIFT IN S/C','74','2021-06-19 15:01:41','2021-06-19 15:01:41');
INSERT INTO complaint_remarks VALUES('7668','6708','INVOICE KHURRAM GOOGLE KO FF KAR DI HAIN','74','2021-06-19 15:03:38','2021-06-19 15:03:38');
INSERT INTO complaint_remarks VALUES('7669','6951','COMPLAINT RESOLVED','74','2021-06-19 15:10:47','2021-06-19 15:10:47');
INSERT INTO complaint_remarks VALUES('7670','6941','COMPLAINT ATTEND HO GAE HAY PART ISSUE COMPLAINT IN PROCESS','74','2021-06-19 15:13:03','2021-06-19 15:13:03');
INSERT INTO complaint_remarks VALUES('7671','6932','COMPLAINT RESOLVED','74','2021-06-19 15:14:26','2021-06-19 15:14:26');
INSERT INTO complaint_remarks VALUES('7672','6942','COMPLAINT RESOLVED','74','2021-06-19 15:16:52','2021-06-19 15:16:52');
INSERT INTO complaint_remarks VALUES('7673','6893','COMPLAINT RESOLVED','74','2021-06-19 15:20:46','2021-06-19 15:20:46');
INSERT INTO complaint_remarks VALUES('7674','6814','CUSTOMER NOT ATTEND CALL','92','2021-06-19 15:47:11','2021-06-19 15:47:11');
INSERT INTO complaint_remarks VALUES('7675','6808','NO POWER OFF','92','2021-06-19 15:49:02','2021-06-19 15:49:02');
INSERT INTO complaint_remarks VALUES('7676','6806','COMPAINE KI TARAF SAY VISIT HO GAYA HAY GAS ISSUE INSTALLER ISSUE','92','2021-06-19 15:55:55','2021-06-19 15:55:55');
INSERT INTO complaint_remarks VALUES('7677','6793','COMPLAINT ATTEND HO GAE HAY CUSTOMER THORI DAR TAK CALL BACK KARAY GAY','92','2021-06-19 16:00:12','2021-06-19 16:00:12');
INSERT INTO complaint_remarks VALUES('7678','7040','COMPLAINT ATTEND HO GAE HAY COMPRESSOR ISSUE COMPLAINT IN PROCESS','74','2021-06-19 16:51:10','2021-06-19 16:51:10');
INSERT INTO complaint_remarks VALUES('7679','6883','02 DIN PALAY VISIT HUA HAY PART ISSUE COMPLAINT IN PROCESS','74','2021-06-19 17:26:43','2021-06-19 17:26:43');
INSERT INTO complaint_remarks VALUES('7680','7001','VISIT TO MONDAY','92','2021-06-20 17:24:25','2021-06-20 17:24:25');
INSERT INTO complaint_remarks VALUES('7681','7035','COMPLAINT ATTEND HO GAE HAY GAS ISSUE UNIT S/C AY GA AJ S/C WALAY GARE BAJH DAY GAY UNIT LIFT KARNAY K LEAY','92','2021-06-21 11:47:34','2021-06-21 11:47:34');
INSERT INTO complaint_remarks VALUES('7682','7128','COMPLAINT#192124513','74','2021-06-21 11:56:57','2021-06-21 11:56:57');
INSERT INTO complaint_remarks VALUES('7683','7054','COMPLAINT RESOLVED','92','2021-06-21 12:09:40','2021-06-21 12:09:40');
INSERT INTO complaint_remarks VALUES('7684','7141','COMPLAINT# PKRI-210621105751','74','2021-06-21 12:10:18','2021-06-21 12:10:18');
INSERT INTO complaint_remarks VALUES('7685','7058','COMPLAINT RESOLVED','92','2021-06-21 12:17:43','2021-06-21 12:17:43');
INSERT INTO complaint_remarks VALUES('7686','7060','COMPLAINT ATTEND HO GAE HAY UNIT LIFT IN S/C','92','2021-06-21 12:20:39','2021-06-21 12:20:39');
INSERT INTO complaint_remarks VALUES('7687','7080','KAL VISIT HO GA INFORM  BY CUSTOMER','92','2021-06-21 12:25:32','2021-06-21 12:25:32');
INSERT INTO complaint_remarks VALUES('7688','7040','COMPRESSOR ISSUE CUSTOMER NAY UNIT S/C LANA HAY','92','2021-06-21 12:48:44','2021-06-21 12:48:44');
INSERT INTO complaint_remarks VALUES('7689','7087','VISIT TO DAY','92','2021-06-21 12:52:25','2021-06-21 12:52:25');
INSERT INTO complaint_remarks VALUES('7690','6984','AFZAL 0314-2437951 IC COMPLAINT KO ATTEND KARAY GAY AJ','74','2021-06-21 13:04:10','2021-06-21 13:04:10');
INSERT INTO complaint_remarks VALUES('7691','6881','MOBILE NO 03345213884 
NO SAIE NAI THA JIS WAJA SAY COMPLAINT PANDING THI AGAIN COMPLAINT COMPAINE MAY REOPEN KARWA DE HAY','92','2021-06-21 13:08:27','2021-06-21 13:08:27');
INSERT INTO complaint_remarks VALUES('7692','6929','COMPLAINT RESOLVED','92','2021-06-21 13:14:05','2021-06-21 13:14:05');
INSERT INTO complaint_remarks VALUES('7693','6829','03156232426 USAMA WAH CANTT S/C','92','2021-06-21 13:16:56','2021-06-21 13:16:56');
INSERT INTO complaint_remarks VALUES('7694','7062','CUSTOMER NOT ATTEND CALL','92','2021-06-21 13:21:35','2021-06-21 13:21:35');
INSERT INTO complaint_remarks VALUES('7695','7062','COMPLAINT RESOLVED','92','2021-06-21 13:22:05','2021-06-21 13:22:05');
INSERT INTO complaint_remarks VALUES('7696','7063','COMPLAINT RESOLVED','92','2021-06-21 13:25:11','2021-06-21 13:25:11');
INSERT INTO complaint_remarks VALUES('7697','6846','COMPRESSOR KA ISSUE -REF TO S/C','74','2021-06-21 13:27:15','2021-06-21 13:27:15');
INSERT INTO complaint_remarks VALUES('7698','6829','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-21 13:30:31','2021-06-21 13:30:31');
INSERT INTO complaint_remarks VALUES('7699','7068','COMPLAINT RESOLVED','92','2021-06-21 13:42:53','2021-06-21 13:42:53');
INSERT INTO complaint_remarks VALUES('7700','7069','COMPLAINT ATTEND HO GAE HAY COMPRESSOR ISSUE UNIT LIFT IN S/C','92','2021-06-21 13:45:46','2021-06-21 13:45:46');
INSERT INTO complaint_remarks VALUES('7701','6984','VISIT TO DAY CUSTOMER KO TECHNICIAN KI CALL B AAGEI HAIN','74','2021-06-21 13:50:34','2021-06-21 13:50:34');
INSERT INTO complaint_remarks VALUES('7702','7027','COMPLAINT RESOLVED','92','2021-06-21 14:20:24','2021-06-21 14:20:24');
INSERT INTO complaint_remarks VALUES('7703','7071','091-2264331
KAMRAN KENWOOD KO DETAIL SHER KAR DI HAIN  INFORMED BY TAHA SOHAIL','74','2021-06-21 14:37:09','2021-06-21 14:37:09');
INSERT INTO complaint_remarks VALUES('7704','7028','COMPLAINT RESOLVED','92','2021-06-21 14:38:42','2021-06-21 14:38:42');
INSERT INTO complaint_remarks VALUES('7705','7050','OTHER NO 03005602940
ISLAM','92','2021-06-21 14:46:08','2021-06-21 14:46:08');
INSERT INTO complaint_remarks VALUES('7706','7029','MOTOR ISSUE COMPLAINT IN PROCESS','92','2021-06-21 14:48:24','2021-06-21 14:48:24');
INSERT INTO complaint_remarks VALUES('7707','6962','03215187089 OTHER NO','92','2021-06-21 14:52:43','2021-06-21 14:52:43');
INSERT INTO complaint_remarks VALUES('7708','7151','COMPLAINT# PKRI-210621110259','74','2021-06-21 14:54:58','2021-06-21 14:54:58');
INSERT INTO complaint_remarks VALUES('7709','7030','COMPLAINT ATTEND HO GAE HAY INSTALLER ISSUE','92','2021-06-21 14:56:22','2021-06-21 14:56:22');
INSERT INTO complaint_remarks VALUES('7710','7032','COMPLAINT RESOLVED','92','2021-06-21 15:04:28','2021-06-21 15:04:28');
INSERT INTO complaint_remarks VALUES('7711','7134','COMPLAINT#217349','74','2021-06-21 15:11:39','2021-06-21 15:11:39');
INSERT INTO complaint_remarks VALUES('7712','7135','COMPLAINT#217350','74','2021-06-21 15:12:53','2021-06-21 15:12:53');
INSERT INTO complaint_remarks VALUES('7713','6967','COMPLAINT RESOLVED','92','2021-06-21 15:19:34','2021-06-21 15:19:34');
INSERT INTO complaint_remarks VALUES('7714','6894','NOT VISIT TO COMPLAINT MOHSIN SIR KO REMINDER DAY DEYA HAY','92','2021-06-21 16:01:51','2021-06-21 16:01:51');
INSERT INTO complaint_remarks VALUES('7715','6975','CUSTOMER  AJ B CALL ATTEND NAI KAR RAHY','92','2021-06-21 16:15:28','2021-06-21 16:15:28');
INSERT INTO complaint_remarks VALUES('7716','7163','COMPLAINT#301143427','74','2021-06-21 16:16:20','2021-06-21 16:16:20');
INSERT INTO complaint_remarks VALUES('7717','7154','COMPLAINT#301143433','74','2021-06-21 16:18:59','2021-06-21 16:18:59');
INSERT INTO complaint_remarks VALUES('7718','7153','COMPLAINT#301143454','74','2021-06-21 16:36:03','2021-06-21 16:36:03');
INSERT INTO complaint_remarks VALUES('7719','7152','COMPLAINT#301143456','74','2021-06-21 16:38:02','2021-06-21 16:38:02');
INSERT INTO complaint_remarks VALUES('7720','7074','03022242224 EHTESHAM LG LAHORE','74','2021-06-21 16:53:25','2021-06-21 16:53:25');
INSERT INTO complaint_remarks VALUES('7721','6368','COMPLAINT RESOLVED','74','2021-06-21 17:00:25','2021-06-21 17:00:25');
INSERT INTO complaint_remarks VALUES('7722','6336','COMPLAINT RESOLVED','74','2021-06-21 17:03:11','2021-06-21 17:03:11');
INSERT INTO complaint_remarks VALUES('7723','6334','COMPLAINT RESOLVED','74','2021-06-21 17:15:41','2021-06-21 17:15:41');
INSERT INTO complaint_remarks VALUES('7724','6845','16-06-21 VISIT HUA HAY PCB IN DOOR ISSUE PART ABI STOCK MAY AVIL NAI HAY IN PROCESS COMPLAINT','74','2021-06-21 17:41:11','2021-06-21 17:41:11');
INSERT INTO complaint_remarks VALUES('7725','6845','03065332261 AYAZ TACTION','74','2021-06-21 17:50:58','2021-06-21 17:50:58');
INSERT INTO complaint_remarks VALUES('7726','7144','COMPLAINT#301143518','74','2021-06-21 17:53:37','2021-06-21 17:53:37');
INSERT INTO complaint_remarks VALUES('7727','7143','COMPLAINT#301143519','74','2021-06-21 17:54:37','2021-06-21 17:54:37');
INSERT INTO complaint_remarks VALUES('7728','6323','0544620250 GUJAR KHAN S/C NO','74','2021-06-21 18:18:41','2021-06-21 18:18:41');
INSERT INTO complaint_remarks VALUES('7729','6020','COMPLAINT RESOLVED','92','2021-06-22 11:02:36','2021-06-22 11:02:36');
INSERT INTO complaint_remarks VALUES('7730','6026','COMPLAINT RESOLVED','92','2021-06-22 11:07:40','2021-06-22 11:07:40');
INSERT INTO complaint_remarks VALUES('7731','6259','AGAIN VISIT HO GA COMPLAINT PAR','92','2021-06-22 11:12:42','2021-06-22 11:12:42');
INSERT INTO complaint_remarks VALUES('7732','6389','COMPLAINT RESOLVED','92','2021-06-22 11:16:07','2021-06-22 11:16:07');
INSERT INTO complaint_remarks VALUES('7733','6829','COMPLAINT ATTEND HO GAE HAY UNIT LIFT IN S/C','92','2021-06-22 11:20:53','2021-06-22 11:20:53');
INSERT INTO complaint_remarks VALUES('7734','6520','NOT VISIT TO COMPLAINT','92','2021-06-22 11:32:36','2021-06-22 11:32:36');
INSERT INTO complaint_remarks VALUES('7735','6567','COMPLAINT RESOLVED','92','2021-06-22 11:34:03','2021-06-22 11:34:03');
INSERT INTO complaint_remarks VALUES('7736','6581','COMPLAINT RESOLVED','92','2021-06-22 11:51:17','2021-06-22 11:51:17');
INSERT INTO complaint_remarks VALUES('7737','6588','COMPLAINT RESOLVED','92','2021-06-22 11:56:04','2021-06-22 11:56:04');
INSERT INTO complaint_remarks VALUES('7738','6591','COMPLAINT RESOLVED','92','2021-06-22 11:57:57','2021-06-22 11:57:57');
INSERT INTO complaint_remarks VALUES('7739','6594','NOT ATTEND COMPLAINT','92','2021-06-22 11:59:57','2021-06-22 11:59:57');
INSERT INTO complaint_remarks VALUES('7740','7142','COMPLAINT#1143773','74','2021-06-22 12:01:13','2021-06-22 12:01:13');
INSERT INTO complaint_remarks VALUES('7741','6601','COMPLAINT RESOLVED','92','2021-06-22 12:01:43','2021-06-22 12:01:43');
INSERT INTO complaint_remarks VALUES('7742','7140','COMPLAINT#301143776','74','2021-06-22 12:03:48','2021-06-22 12:03:48');
INSERT INTO complaint_remarks VALUES('7743','6718','CUSTOMER NOT ATTEND CALL','92','2021-06-22 12:05:02','2021-06-22 12:05:02');
INSERT INTO complaint_remarks VALUES('7744','7138','COMPLAINT#301143777','74','2021-06-22 12:05:38','2021-06-22 12:05:38');
INSERT INTO complaint_remarks VALUES('7745','7137','COMPLAINT#301143784','74','2021-06-22 12:07:38','2021-06-22 12:07:38');
INSERT INTO complaint_remarks VALUES('7746','6750','COMPLAINT RESOLVED','92','2021-06-22 12:17:23','2021-06-22 12:17:23');
INSERT INTO complaint_remarks VALUES('7747','6751','COMPLAINT RESOLVED','92','2021-06-22 12:19:11','2021-06-22 12:19:11');
INSERT INTO complaint_remarks VALUES('7748','6755','COMPLAINT RESOLVED','92','2021-06-22 12:20:58','2021-06-22 12:20:58');
INSERT INTO complaint_remarks VALUES('7749','6767','COMPLAINT RESOLVED','92','2021-06-22 12:22:47','2021-06-22 12:22:47');
INSERT INTO complaint_remarks VALUES('7750','6769','CUSTOMER NOT ATTEND CALL','92','2021-06-22 12:26:13','2021-06-22 12:26:13');
INSERT INTO complaint_remarks VALUES('7751','6770','COMPLAINT RESOLVED','92','2021-06-22 12:27:13','2021-06-22 12:27:13');
INSERT INTO complaint_remarks VALUES('7752','6793','0515735232 OTHER MOBILE NO','92','2021-06-22 12:30:29','2021-06-22 12:30:29');
INSERT INTO complaint_remarks VALUES('7753','6793','COMPLAINT RESOLVED','92','2021-06-22 12:33:38','2021-06-22 12:33:38');
INSERT INTO complaint_remarks VALUES('7754','6800','CUSTOMER NOT ATTEND CALL','92','2021-06-22 12:37:48','2021-06-22 12:37:48');
INSERT INTO complaint_remarks VALUES('7755','6814','COMPLAINT RESOLVED','92','2021-06-22 13:04:33','2021-06-22 13:04:33');
INSERT INTO complaint_remarks VALUES('7756','6816','CUSTOMER NOT ATTEND CALL','92','2021-06-22 13:06:58','2021-06-22 13:06:58');
INSERT INTO complaint_remarks VALUES('7757','6818','COMPLAINT RESOLVED','92','2021-06-22 13:09:15','2021-06-22 13:09:15');
INSERT INTO complaint_remarks VALUES('7758','6820','COMPLAINT RESOLVED','92','2021-06-22 13:12:15','2021-06-22 13:12:15');
INSERT INTO complaint_remarks VALUES('7759','6835','COMPAINE WALOUN NAY UNIT LIFT KARWANA HAY S/C ABI TAK LIFT NAI HUA UNIT','92','2021-06-22 13:17:09','2021-06-22 13:17:09');
INSERT INTO complaint_remarks VALUES('7760','6950','MISS REEBA KO TASK# SHER KAR DIA','74','2021-06-22 13:26:44','2021-06-22 13:26:44');
INSERT INTO complaint_remarks VALUES('7761','6989','OTHER MOBILE NO 03335167448','92','2021-06-22 13:45:55','2021-06-22 13:45:55');
INSERT INTO complaint_remarks VALUES('7762','6989','03335167448 WRONG NO KI WAJASA DELAY HOI COMPLAINT  REOPN KARW DI','74','2021-06-22 13:47:19','2021-06-22 13:47:19');
INSERT INTO complaint_remarks VALUES('7763','6688','W/D S/C SA WAPISE  AAGAYA BUT ISSUE RESOLVED NI HO RAHA S/ REMINDER DA DIA','74','2021-06-22 13:51:20','2021-06-22 13:51:20');
INSERT INTO complaint_remarks VALUES('7764','6688','TASK# MISS AREEBA KO FF KAR DIA','74','2021-06-22 13:51:50','2021-06-22 13:51:50');
INSERT INTO complaint_remarks VALUES('7765','7200','22-JUNE-2021
COMPLAINT#4895','73','2021-06-22 14:01:58','2021-06-22 14:01:58');
INSERT INTO complaint_remarks VALUES('7766','6868','OTHER MOBILE NO 03008519999','92','2021-06-22 14:20:49','2021-06-22 14:20:49');
INSERT INTO complaint_remarks VALUES('7767','6900','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-22 14:34:18','2021-06-22 14:34:18');
INSERT INTO complaint_remarks VALUES('7768','6428','03498758005','92','2021-06-22 14:51:39','2021-06-22 14:51:39');
INSERT INTO complaint_remarks VALUES('7769','6428','CUSTOMER NOT ATTEND CALL','92','2021-06-22 14:52:39','2021-06-22 14:52:39');
INSERT INTO complaint_remarks VALUES('7770','6531','UNIT LIFT IN S/C OK HO KAR AB NAI AYA','92','2021-06-22 14:56:03','2021-06-22 14:56:03');
INSERT INTO complaint_remarks VALUES('7771','6743','COMPLAINT RESOLVED','92','2021-06-22 14:57:07','2021-06-22 14:57:07');
INSERT INTO complaint_remarks VALUES('7772','6746','COMPLAINT RESOLVED','92','2021-06-22 14:58:50','2021-06-22 14:58:50');
INSERT INTO complaint_remarks VALUES('7773','6749','COMPLAINT RESOLVED','92','2021-06-22 15:00:23','2021-06-22 15:00:23');
INSERT INTO complaint_remarks VALUES('7774','6849','COMPLAINT RESOLVED','92','2021-06-22 15:02:43','2021-06-22 15:02:43');
INSERT INTO complaint_remarks VALUES('7775','6889','COMPLAINT RESOLVED','92','2021-06-22 15:08:43','2021-06-22 15:08:43');
INSERT INTO complaint_remarks VALUES('7776','6853','COMPLAINT ATTEND HO GAE HAY COMPRESSOR ISSUE COMPLAINT IN PROCESS','92','2021-06-22 15:15:08','2021-06-22 15:15:08');
INSERT INTO complaint_remarks VALUES('7777','6438','VISIT HO GAYA HAIN MOTER S/C LA K AAY HOAY HAIN','74','2021-06-22 15:22:38','2021-06-22 15:22:38');
INSERT INTO complaint_remarks VALUES('7778','6852','MISS ARREBA KO TASK NO SHER KAR DIA','74','2021-06-22 15:29:03','2021-06-22 15:29:03');
INSERT INTO complaint_remarks VALUES('7779','7017','03179998682 USMAN TACTION','92','2021-06-22 15:40:32','2021-06-22 15:40:32');
INSERT INTO complaint_remarks VALUES('7780','7017','WIFI BOARD KA ISSUE HAY 02 DIN TAK BOARD AY JAY GA INFORM BY CUSTOMER','92','2021-06-22 15:46:01','2021-06-22 15:46:01');
INSERT INTO complaint_remarks VALUES('7781','6428','COMPLAINT RESOLVED','92','2021-06-22 16:02:12','2021-06-22 16:02:12');
INSERT INTO complaint_remarks VALUES('7782','6660','COMPLAINT RESOLVED','92','2021-06-22 16:24:02','2021-06-22 16:24:02');
INSERT INTO complaint_remarks VALUES('7783','6918','COMPLAINT RESOLVED','92','2021-06-22 16:27:42','2021-06-22 16:27:42');
INSERT INTO complaint_remarks VALUES('7784','7092','COMPLAINT RESOLVED','92','2021-06-22 16:47:37','2021-06-22 16:47:37');
INSERT INTO complaint_remarks VALUES('7785','6872','COMPLAINT RESOLVED','92','2021-06-22 17:00:19','2021-06-22 17:00:19');
INSERT INTO complaint_remarks VALUES('7786','6874','COMPLAINT RESOLVED','92','2021-06-22 17:10:25','2021-06-22 17:10:25');
INSERT INTO complaint_remarks VALUES('7787','6891','COMPLAINT RESOLVED','92','2021-06-22 17:12:52','2021-06-22 17:12:52');
INSERT INTO complaint_remarks VALUES('7788','7213','22-JUNE-2021
COMPLAINT#PKRI-210622114129','73','2021-06-22 17:14:59','2021-06-22 17:14:59');
INSERT INTO complaint_remarks VALUES('7789','6858','COMPLAINT ATTEND HO GAE HAY COMPLAINT IN PROCESS','92','2021-06-22 17:15:25','2021-06-22 17:15:25');
INSERT INTO complaint_remarks VALUES('7790','6982','COMPLAINT RESOLVED','92','2021-06-22 17:28:32','2021-06-22 17:28:32');
INSERT INTO complaint_remarks VALUES('7791','6934','CUSTOMER NOT ATTEND CALL','92','2021-06-22 17:30:56','2021-06-22 17:30:56');
INSERT INTO complaint_remarks VALUES('7792','6930','COMPLAINT RESOLVED','92','2021-06-22 17:32:06','2021-06-22 17:32:06');
INSERT INTO complaint_remarks VALUES('7793','6928','COMPLAINT RESOLVED','92','2021-06-22 17:34:26','2021-06-22 17:34:26');
INSERT INTO complaint_remarks VALUES('7794','6927','COMPLAINT RESOLVED','92','2021-06-22 17:35:30','2021-06-22 17:35:30');
INSERT INTO complaint_remarks VALUES('7795','6919','COMPLAINT RESOLVED','92','2021-06-22 17:39:00','2021-06-22 17:39:00');
INSERT INTO complaint_remarks VALUES('7796','7059','03142437341 TANOLE SUPER WISER','92','2021-06-23 10:54:14','2021-06-23 10:54:14');
INSERT INTO complaint_remarks VALUES('7797','7156','FF TO KHURRAM 5 STAR','74','2021-06-23 10:56:20','2021-06-23 10:56:20');
INSERT INTO complaint_remarks VALUES('7798','6631','COMPLAINT RESOLVED','92','2021-06-23 11:20:56','2021-06-23 11:20:56');
INSERT INTO complaint_remarks VALUES('7799','6659','COMPLAINT RESOLVED','92','2021-06-23 11:24:18','2021-06-23 11:24:18');
INSERT INTO complaint_remarks VALUES('7800','6760','COMPLAINT RESOLVED','92','2021-06-23 11:26:55','2021-06-23 11:26:55');
INSERT INTO complaint_remarks VALUES('7801','6780','CUSTOMER NOT ATTEND CALL','92','2021-06-23 11:39:48','2021-06-23 11:39:48');
INSERT INTO complaint_remarks VALUES('7802','6821','COMPLAINT RESOLVED','92','2021-06-23 11:41:27','2021-06-23 11:41:27');
INSERT INTO complaint_remarks VALUES('7803','6875','COMPLAINT RESOLVED','92','2021-06-23 11:52:17','2021-06-23 11:52:17');
INSERT INTO complaint_remarks VALUES('7804','7130','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-23 12:03:36','2021-06-23 12:03:36');
INSERT INTO complaint_remarks VALUES('7805','6990','CUSTOMER NOT ATTEND CALL','92','2021-06-23 12:06:17','2021-06-23 12:06:17');
INSERT INTO complaint_remarks VALUES('7806','7107','COMPLAINT RESOLVED','92','2021-06-23 12:07:41','2021-06-23 12:07:41');
INSERT INTO complaint_remarks VALUES('7807','7041','COMPLAINT RESOLVED','92','2021-06-23 12:14:20','2021-06-23 12:14:20');
INSERT INTO complaint_remarks VALUES('7808','7059','TACTION NO 03459639278 WAZEER','92','2021-06-23 12:22:31','2021-06-23 12:22:31');
INSERT INTO complaint_remarks VALUES('7809','7109','CUSTOMER NOT ATTEND CALL','92','2021-06-23 12:24:18','2021-06-23 12:24:18');
INSERT INTO complaint_remarks VALUES('7810','6933','03105068546  0518460882','92','2021-06-23 12:57:24','2021-06-23 12:57:24');
INSERT INTO complaint_remarks VALUES('7811','6933','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-23 13:05:09','2021-06-23 13:05:09');
INSERT INTO complaint_remarks VALUES('7812','6904','03225404756  AKBAR TACTION','92','2021-06-23 13:44:13','2021-06-23 13:44:13');
INSERT INTO complaint_remarks VALUES('7813','6652','COMPLAINT RESOLVED','92','2021-06-23 14:06:11','2021-06-23 14:06:11');
INSERT INTO complaint_remarks VALUES('7814','6668','COMPLAINT RESOLVED','92','2021-06-23 14:09:27','2021-06-23 14:09:27');
INSERT INTO complaint_remarks VALUES('7815','6600','COMPLAINT ATTEND HO GAE HAY PART KI PRICE CUSTOMER KO BATA DE HAY BUT CUSTOMER AGREE NAI HAY COMPLAINT ATTEND KARWANAY K LEAY COMPLAINT CLOSED','92','2021-06-23 14:17:21','2021-06-23 14:17:21');
INSERT INTO complaint_remarks VALUES('7816','6573','COMPLAINT RESOLVED','92','2021-06-23 14:19:50','2021-06-23 14:19:50');
INSERT INTO complaint_remarks VALUES('7817','6830','03179998680 ADNAN  TACTION','92','2021-06-23 14:28:15','2021-06-23 14:28:15');
INSERT INTO complaint_remarks VALUES('7818','6566','COMPLAINT RESOLVED','92','2021-06-23 14:58:27','2021-06-23 14:58:27');
INSERT INTO complaint_remarks VALUES('7819','6556','COMPLAINT RESOLVED','92','2021-06-23 15:00:58','2021-06-23 15:00:58');
INSERT INTO complaint_remarks VALUES('7820','6548','CUSTOMER NOT ATTEND CALL','92','2021-06-23 15:14:56','2021-06-23 15:14:56');
INSERT INTO complaint_remarks VALUES('7821','7111','ASLAM SIR KO COMPLAINT# FF KAR DIA','74','2021-06-23 16:08:41','2021-06-23 16:08:41');
INSERT INTO complaint_remarks VALUES('7822','6830','COMPAINE KA VISIT HUA HAY COMPAINE KI TARAF SAY KOI ISSUE NAI HAY INSTALLER KI TARAF SAY ISSUE HAY ADIL HOME SOLUTION KO COMPLAINT FF KARDE HAY','92','2021-06-23 16:16:13','2021-06-23 16:16:13');
INSERT INTO complaint_remarks VALUES('7823','6513','03330788123 TAYYAB TACTION','92','2021-06-23 16:18:48','2021-06-23 16:18:48');
INSERT INTO complaint_remarks VALUES('7824','6513','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-23 16:32:08','2021-06-23 16:32:08');
INSERT INTO complaint_remarks VALUES('7825','5909','COMPLAINT RESOLVED','92','2021-06-23 16:35:56','2021-06-23 16:35:56');
INSERT INTO complaint_remarks VALUES('7826','6058','COMPLAINT RESOLVED','92','2021-06-23 16:37:37','2021-06-23 16:37:37');
INSERT INTO complaint_remarks VALUES('7827','6852','VISIT TO DAY INFORM BU CUSTOMER','92','2021-06-23 16:48:48','2021-06-23 16:48:48');
INSERT INTO complaint_remarks VALUES('7828','6034','COMPLAINT ATTEND HO GAE HAY UNIT LIFT HONA HAY S/C 02 DIN TAK LEFT HO GA UNIT S/C','92','2021-06-23 17:09:41','2021-06-23 17:09:41');
INSERT INTO complaint_remarks VALUES('7829','6904','COMPLAINT ATTEND HO GAE HAY GAS ISSUE CUSTOMER KO UNIT S/C LANA HAY BUT CUSTOMER AGREE NAI HAY S/C LANAY K LEAY','92','2021-06-23 17:24:54','2021-06-23 17:24:54');
INSERT INTO complaint_remarks VALUES('7830','7192','SHARAZ TACTION  03009204147','92','2021-06-23 17:43:07','2021-06-23 17:43:07');
INSERT INTO complaint_remarks VALUES('7831','7011','0514940690  LG S/C','92','2021-06-24 11:25:51','2021-06-24 11:25:51');
INSERT INTO complaint_remarks VALUES('7832','7011','0514940690  LG S/C','92','2021-06-24 11:25:52','2021-06-24 11:25:52');
INSERT INTO complaint_remarks VALUES('7833','7122','02 DIN PALAY TACTION NAY CALL KI THI BUT CUSTOMER NOT ATTEND CALL AJ AGAIN CALL KI HAY TACTION NAY AJ VISIT HO GA INFORM BY CUSTOMER','92','2021-06-24 11:33:03','2021-06-24 11:33:03');
INSERT INTO complaint_remarks VALUES('7834','7011','COMPLAINT ATTEND HO GAE HAY CUSTOMER KO KHUD UNIT S/C LANA HO GA','92','2021-06-24 11:55:55','2021-06-24 11:55:55');
INSERT INTO complaint_remarks VALUES('7835','6933','COMPLAINT ATTEND HO GAE HAY MOISTURIZER KA ISSUE HAY UNIT REPLACE HO GA IN FORM BY CUSTOMER','92','2021-06-24 12:09:43','2021-06-24 12:09:43');
INSERT INTO complaint_remarks VALUES('7836','7059','COMPLAINT RESOLVED','92','2021-06-24 12:15:00','2021-06-24 12:15:00');
INSERT INTO complaint_remarks VALUES('7837','6461','LG MAIN AJ AGAIN REMINDER DA DIA HAIN','74','2021-06-24 12:22:39','2021-06-24 12:22:39');
INSERT INTO complaint_remarks VALUES('7838','6900','LG MAMM KO INFORM KEYA THA BUT INHO NAY VISIT NAI KARWAYA AJ VISIT HO GA','92','2021-06-24 12:26:31','2021-06-24 12:26:31');
INSERT INTO complaint_remarks VALUES('7839','5848','COMPLAINT ATTEND HO GAE HAY CUSTOMER NAY UNIT S/C LANA HAY BUT CUSTOMER AGREE NAI HAY S/C LANAY K LEAY','92','2021-06-24 12:32:01','2021-06-24 12:32:01');
INSERT INTO complaint_remarks VALUES('7840','6773','COMPLAINT RESOLVED','92','2021-06-24 12:33:59','2021-06-24 12:33:59');
INSERT INTO complaint_remarks VALUES('7841','7034','COMPLAINT RESOLVED','92','2021-06-24 12:37:28','2021-06-24 12:37:28');
INSERT INTO complaint_remarks VALUES('7842','7098','COMPLAINT RESOLVED','92','2021-06-24 12:43:37','2021-06-24 12:43:37');
INSERT INTO complaint_remarks VALUES('7843','6018','CUSTOMER NOT ATTEND CALL','92','2021-06-24 12:53:58','2021-06-24 12:53:58');
INSERT INTO complaint_remarks VALUES('7844','6513','COMPLAINT ATTEND HO GAE HAY CUSTOMER KO UNIT S/C LANA HAY','92','2021-06-24 12:56:28','2021-06-24 12:56:28');
INSERT INTO complaint_remarks VALUES('7845','7123','BASE DAMAGE HAY AZHAR PWD SIR SAY BAT HO GAE HAY CUSTOMER KO REPLACE KAR K DAY GAY W/M','92','2021-06-24 13:05:41','2021-06-24 13:05:41');
INSERT INTO complaint_remarks VALUES('7846','7181','COMPLAINT RESOLVED','92','2021-06-24 13:13:27','2021-06-24 13:13:27');
INSERT INTO complaint_remarks VALUES('7847','6694','03222227970 OTHER MOBILE NO','92','2021-06-24 13:16:28','2021-06-24 13:16:28');
INSERT INTO complaint_remarks VALUES('7848','6688','CUSTOMER NO POWER OFF','92','2021-06-24 13:22:36','2021-06-24 13:22:36');
INSERT INTO complaint_remarks VALUES('7849','7260','CUSTOMER NA KHUD SA B COMPLAINT ENTER KARWAI THI AJ ATTEND HO GEI COMPLAINT RESOLVED','74','2021-06-24 13:28:47','2021-06-24 13:28:47');
INSERT INTO complaint_remarks VALUES('7850','7174','COMPLAINT RESOLVED','74','2021-06-24 13:58:08','2021-06-24 13:58:08');
INSERT INTO complaint_remarks VALUES('7851','7148','COMPLAINT RESOLVED','74','2021-06-24 14:02:24','2021-06-24 14:02:24');
INSERT INTO complaint_remarks VALUES('7852','7240','03355037199 RAMEEZ TACTION','74','2021-06-24 14:04:18','2021-06-24 14:04:18');
INSERT INTO complaint_remarks VALUES('7853','6936','MURSALEEN SAB YHA COMPLAINT ATTND KARWA RAHAY HAIN VISIT HO GAY HAIN BACK LIGHT KA ISSUE HAIN REF TO LHR S/ C 03100865385','74','2021-06-24 14:09:25','2021-06-24 14:09:25');
INSERT INTO complaint_remarks VALUES('7854','6936','CUSTOMER K PASS PACKING NAI HAIN  IMRAN TCL  FULL PACKING KI DEMAND KAR RAHAY HAIN','74','2021-06-24 14:10:26','2021-06-24 14:10:26');
INSERT INTO complaint_remarks VALUES('7855','6534','TACTION 03179998685 AYYAZ','74','2021-06-24 14:27:44','2021-06-24 14:27:44');
INSERT INTO complaint_remarks VALUES('7856','6534','VISIT TO DAY INFORM BU CUSTOMER','74','2021-06-24 14:36:20','2021-06-24 14:36:20');
INSERT INTO complaint_remarks VALUES('7857','6534','03315004418 OTHER MOBILE NO','74','2021-06-24 14:40:43','2021-06-24 14:40:43');
INSERT INTO complaint_remarks VALUES('7858','7131','COMPLAINT ATTEND HO GAE HAY PART ISSUE COMPLAINT IN PROCESS','74','2021-06-24 14:41:02','2021-06-24 14:41:02');
INSERT INTO complaint_remarks VALUES('7859','7149','COMPLAINT RESOLVED','74','2021-06-24 14:43:11','2021-06-24 14:43:11');
INSERT INTO complaint_remarks VALUES('7860','7157','COMPLAINT RESOLVED','74','2021-06-24 14:45:20','2021-06-24 14:45:20');
INSERT INTO complaint_remarks VALUES('7861','7150','COMPLAINT RESOLVED','74','2021-06-24 14:50:33','2021-06-24 14:50:33');
INSERT INTO complaint_remarks VALUES('7862','7158','CUSTOMER NOT ATTEND CALL','74','2021-06-24 15:09:15','2021-06-24 15:09:15');
INSERT INTO complaint_remarks VALUES('7863','7159','COMPLAINT RESOLVED','74','2021-06-24 15:12:21','2021-06-24 15:12:21');
INSERT INTO complaint_remarks VALUES('7864','7160','CUSTOMER NOT ATTEND CALL','74','2021-06-24 15:15:31','2021-06-24 15:15:31');
INSERT INTO complaint_remarks VALUES('7865','7162','VISIT TO DAY INFORM BY CUSTOMER','74','2021-06-24 15:20:32','2021-06-24 15:20:32');
INSERT INTO complaint_remarks VALUES('7866','7164','COMPLAINT RESOLVED','74','2021-06-24 15:21:48','2021-06-24 15:21:48');
INSERT INTO complaint_remarks VALUES('7867','7166','CUSTOMER NOT ATTEND CALL','74','2021-06-24 15:24:04','2021-06-24 15:24:04');
INSERT INTO complaint_remarks VALUES('7868','7166','COMPLAINT RESOLVED','74','2021-06-24 15:25:08','2021-06-24 15:25:08');
INSERT INTO complaint_remarks VALUES('7869','7167','COMPLAINT RESOLVED','74','2021-06-24 15:28:23','2021-06-24 15:28:23');
INSERT INTO complaint_remarks VALUES('7870','7130','COMPLAINT RESOLVED','74','2021-06-24 15:37:41','2021-06-24 15:37:41');
INSERT INTO complaint_remarks VALUES('7871','7124','COMPLAINT ATTEND HO GAE HAY DOOR LINE ISSUE COMPLAINT IN PROCESS','74','2021-06-24 15:43:13','2021-06-24 15:43:13');
INSERT INTO complaint_remarks VALUES('7872','7120','VISIT TO DAY','74','2021-06-24 15:45:22','2021-06-24 15:45:22');
INSERT INTO complaint_remarks VALUES('7873','7119','COMPALINT ATTEND HO GAE HAY PART ISSUE COMPLAINT IN PROCESS','74','2021-06-24 15:47:19','2021-06-24 15:47:19');
INSERT INTO complaint_remarks VALUES('7874','7176','COMPLAINT COMPAINE KI TARAF SAY CLOSED HO GAE THI AGAIN COMPAINE MAY COMPLAINT REOPEN KARWA DE HAY','74','2021-06-24 16:11:18','2021-06-24 16:11:18');
INSERT INTO complaint_remarks VALUES('7875','7204','03125800162 ASAD TACTION','92','2021-06-24 17:00:46','2021-06-24 17:00:46');
INSERT INTO complaint_remarks VALUES('7876','6905','CUSTOMER NOT ATTEND CALL','92','2021-06-24 17:07:47','2021-06-24 17:07:47');
INSERT INTO complaint_remarks VALUES('7877','6920','COMPLAINT RESOLVED','92','2021-06-24 17:08:58','2021-06-24 17:08:58');
INSERT INTO complaint_remarks VALUES('7878','6924','COMPLAINT RESOLVED','92','2021-06-24 17:10:32','2021-06-24 17:10:32');
INSERT INTO complaint_remarks VALUES('7879','6940','CUSTOMER NOT ATTEND CALL','92','2021-06-24 17:12:46','2021-06-24 17:12:46');
INSERT INTO complaint_remarks VALUES('7880','6964','COMPLAINT RESOLVED','92','2021-06-24 17:14:15','2021-06-24 17:14:15');
INSERT INTO complaint_remarks VALUES('7881','6992','MOBILE NO SAIE NAI THA JIS KI WAJA SAY COMPLAINT CLOSED HO GE THI AGAIN COMPAINE MAY REOPEN KARWA DE HAY','92','2021-06-24 17:25:09','2021-06-24 17:25:09');
INSERT INTO complaint_remarks VALUES('7882','6997','COMPLAINT ATTEND HO GAE HAY UNIT S/C GAYA HUA HAY','92','2021-06-24 17:27:49','2021-06-24 17:27:49');
INSERT INTO complaint_remarks VALUES('7883','7012','CUSTOMER NOT ATTEND CALL','92','2021-06-24 17:29:01','2021-06-24 17:29:01');
INSERT INTO complaint_remarks VALUES('7884','7021','COMPLAINT RESOLVED','92','2021-06-24 17:36:00','2021-06-24 17:36:00');
INSERT INTO complaint_remarks VALUES('7885','7037','COMPLAINT RESOLVED','74','2021-06-24 17:45:17','2021-06-24 17:45:17');
INSERT INTO complaint_remarks VALUES('7886','7091','CUSTOMER NOT ATTEND CALL','74','2021-06-24 17:47:34','2021-06-24 17:47:34');
INSERT INTO complaint_remarks VALUES('7887','7099','CUSTOMER KA NO POWER OFF HAY','74','2021-06-24 17:50:02','2021-06-24 17:50:02');
INSERT INTO complaint_remarks VALUES('7888','7125','COMPLAINT RESOLVED','74','2021-06-24 17:52:06','2021-06-24 17:52:06');
INSERT INTO complaint_remarks VALUES('7889','6855','COMPLAINT RESOLVED','92','2021-06-24 18:01:15','2021-06-24 18:01:15');
INSERT INTO complaint_remarks VALUES('7890','7017','WIFI BOARD ARRANGE HO GAYA HAY TACTION JA RAHY HAY CUSTOMER K GHAR  INFORM BY CUSTOMER','92','2021-06-24 18:28:48','2021-06-24 18:28:48');
INSERT INTO complaint_remarks VALUES('7891','7221','CUSTOMER CONFORM KAR K CALL BACK KARAY GAY','92','2021-06-24 18:30:33','2021-06-24 18:30:33');
INSERT INTO complaint_remarks VALUES('7892','7122','03095559759 SHAIKH BILAL IC COMPLAINT KO AJ ATTEND KAAY GAY INFORMED BY CUSTOMER','74','2021-06-25 11:49:36','2021-06-25 11:49:36');
INSERT INTO complaint_remarks VALUES('7893','7242','COMPLAINT#4933','74','2021-06-25 15:18:22','2021-06-25 15:18:22');
INSERT INTO complaint_remarks VALUES('7894','7122','JAWAD TECHNICIAN KO FF 03095559764 COMPLAINT ATTEND HO JAY GEI','74','2021-06-25 16:28:47','2021-06-25 16:28:47');
INSERT INTO complaint_remarks VALUES('7895','7300','IN PROCESS HAIN COMPLAINT  MUHAMMAD IRFAN TECHNICIAN IC COMPLAINT KO ATTEND KARAY GAY 03095559751
INFORMED BY CUSTOMER CHAT SERVICES & IRFAN SAB','74','2021-06-25 16:30:59','2021-06-25 16:30:59');
INSERT INTO complaint_remarks VALUES('7896','7050','PARTS STOCK MAIN AVAIL NAI','74','2021-06-25 16:54:22','2021-06-25 16:54:22');
INSERT INTO complaint_remarks VALUES('7897','7122','KAL TACTION NAY CALL KI THI CUSTOMER KO BUT CUSTOMER GHAR PAR AVIEL NAI THAY AJ 01 BAJAY VISIT HO GA CUSTOMER K GHAR','92','2021-06-26 11:15:51','2021-06-26 11:15:51');
INSERT INTO complaint_remarks VALUES('7898','7165','LG S/C MAY REMINER DAY DEYA HAY','92','2021-06-26 11:28:20','2021-06-26 11:28:20');
INSERT INTO complaint_remarks VALUES('7899','7204','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-26 12:59:45','2021-06-26 12:59:45');
INSERT INTO complaint_remarks VALUES('7900','7070','03179998685 AYYAZ TACTION','92','2021-06-26 16:59:04','2021-06-26 16:59:04');
INSERT INTO complaint_remarks VALUES('7901','7234','VISIT HO GAYA HAY COMPRESSOR ISSUE KAL FREEZER S/C I-10 AYA HAY','92','2021-06-27 12:37:51','2021-06-27 12:37:51');
INSERT INTO complaint_remarks VALUES('7902','6852','TACTION NAY CALL KI THI CUSTOMER KO BUT CUSTOMER GHAR PAR NAI THAY AJ AGAIN COMPAINE MAY REOPEN KARWA DE HAY COMPLAINT','92','2021-06-28 11:51:42','2021-06-28 11:51:42');
INSERT INTO complaint_remarks VALUES('7903','7245','VISIT TO DAY INFORM BU CUSTOMER','92','2021-06-28 12:09:35','2021-06-28 12:09:35');
INSERT INTO complaint_remarks VALUES('7904','7286','WALL AC KA ISSUE RESOLVED HO GAYA HAIN FLOOR STANDING K LIYA CUSTOMER KO UN NO PROVIDE KAR DIA OUT OFF WARRANTY HAIN COMPLAINT RESOLVED','74','2021-06-28 12:12:33','2021-06-28 12:12:33');
INSERT INTO complaint_remarks VALUES('7905','7055','VISIT HO GAYA HAY UNIT S/C AY GA','92','2021-06-28 12:13:06','2021-06-28 12:13:06');
INSERT INTO complaint_remarks VALUES('7906','7285','COMPLAINT RESOLVED','74','2021-06-28 12:14:33','2021-06-28 12:14:33');
INSERT INTO complaint_remarks VALUES('7907','7073','VISIT HO GAYA HAY CARD ISSUE','92','2021-06-28 12:15:02','2021-06-28 12:15:02');
INSERT INTO complaint_remarks VALUES('7908','7079','COMPLAINT RESOLVED','92','2021-06-28 12:16:40','2021-06-28 12:16:40');
INSERT INTO complaint_remarks VALUES('7909','7290','COMPLAINT ATTEND HO  AJ REF S/C WALAY LIFT KARWAY GAY','74','2021-06-28 12:18:36','2021-06-28 12:18:36');
INSERT INTO complaint_remarks VALUES('7910','7284','INPROCESS HO GEI HAIN COMPLAINT AJ ATTEND HO JAY GEI','74','2021-06-28 12:19:25','2021-06-28 12:19:25');
INSERT INTO complaint_remarks VALUES('7911','7081','COMPLAINT RESOLVED','92','2021-06-28 12:21:26','2021-06-28 12:21:26');
INSERT INTO complaint_remarks VALUES('7912','7086','COMPLAINT RESOLVED','92','2021-06-28 12:26:08','2021-06-28 12:26:08');
INSERT INTO complaint_remarks VALUES('7913','7102','COMPLAINT RESOLVED','92','2021-06-28 12:29:46','2021-06-28 12:29:46');
INSERT INTO complaint_remarks VALUES('7914','7284','03455088808 ADEEL TACTION','92','2021-06-28 12:36:05','2021-06-28 12:36:05');
INSERT INTO complaint_remarks VALUES('7915','7318','03335297208 ASIF TACTION','92','2021-06-28 12:48:39','2021-06-28 12:48:39');
INSERT INTO complaint_remarks VALUES('7916','7318','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-28 12:50:29','2021-06-28 12:50:29');
INSERT INTO complaint_remarks VALUES('7917','7280','COMPLETED COMPLAINT','74','2021-06-28 12:52:21','2021-06-28 12:52:21');
INSERT INTO complaint_remarks VALUES('7918','7103','COMPLAINT RESOLVED','92','2021-06-28 13:04:57','2021-06-28 13:04:57');
INSERT INTO complaint_remarks VALUES('7919','7106','NOT ATTEND CALL','92','2021-06-28 13:09:20','2021-06-28 13:09:20');
INSERT INTO complaint_remarks VALUES('7920','7120','COMPLAINT RESOLVED','92','2021-06-28 13:13:14','2021-06-28 13:13:14');
INSERT INTO complaint_remarks VALUES('7921','7158','COMPLAINT RESOLVED','92','2021-06-28 13:17:46','2021-06-28 13:17:46');
INSERT INTO complaint_remarks VALUES('7922','7279','COMPLAINT RESOLVED','74','2021-06-28 13:22:20','2021-06-28 13:22:20');
INSERT INTO complaint_remarks VALUES('7923','7278','COMPLAINT RESOLVED','74','2021-06-28 13:24:02','2021-06-28 13:24:02');
INSERT INTO complaint_remarks VALUES('7924','7160','COMPLAINT RESOLVED','92','2021-06-28 13:24:10','2021-06-28 13:24:10');
INSERT INTO complaint_remarks VALUES('7925','6762','CUSTOMER SA LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA LIYA CUSTOMER KO EXP BATA DIA THA','74','2021-06-28 13:30:35','2021-06-28 13:30:35');
INSERT INTO complaint_remarks VALUES('7926','6774','CUSTOMER VISIT CHARGES DNAY K LIYA AGREE NAI CANCELED KARWA DI COMPLAINT','74','2021-06-28 13:36:27','2021-06-28 13:36:27');
INSERT INTO complaint_remarks VALUES('7927','7277','CUSTOMER  KA ISSUE KHUD HI RESOLVED HO GAYA COMPLAINT CLOSED','74','2021-06-28 13:43:41','2021-06-28 13:43:41');
INSERT INTO complaint_remarks VALUES('7928','7276','COMPLAINT RESOLVED','74','2021-06-28 13:45:53','2021-06-28 13:45:53');
INSERT INTO complaint_remarks VALUES('7929','7180','CUSTOMER OUT OFF CITY HAY JAB WAPAS AYN GAY TO COMPLAINT KARWA DAY GAY COMPLAINT CLOSED','92','2021-06-28 13:46:06','2021-06-28 13:46:06');
INSERT INTO complaint_remarks VALUES('7930','7275','COMPLAINT RESOLVED','74','2021-06-28 13:47:31','2021-06-28 13:47:31');
INSERT INTO complaint_remarks VALUES('7931','7273','COMPLAINT RESOLVED','74','2021-06-28 13:49:03','2021-06-28 13:49:03');
INSERT INTO complaint_remarks VALUES('7932','7273','ISSUE NOT RESOLVED','74','2021-06-28 13:49:28','2021-06-28 13:49:28');
INSERT INTO complaint_remarks VALUES('7933','7185','COMPLAINT CANCEL','92','2021-06-28 14:03:37','2021-06-28 14:03:37');
INSERT INTO complaint_remarks VALUES('7934','7188','COMPLAINT RESOLVED','92','2021-06-28 14:06:56','2021-06-28 14:06:56');
INSERT INTO complaint_remarks VALUES('7935','6772','UNIT MAIN KOI ISSUE NAI HAIN HOME SOLUTION NA INSTALL KIYA HAIN ADIL BHAI KO INVOICE SHER KAR DI HAIN','74','2021-06-28 14:09:00','2021-06-28 14:09:00');
INSERT INTO complaint_remarks VALUES('7936','7273','RELAUNCH#PKRI210628109314','73','2021-06-28 14:11:29','2021-06-28 14:11:29');
INSERT INTO complaint_remarks VALUES('7937','7205','CUSTOMER SAY BAT HUAI HAY IN KI KOI COMPLAINT NAI HAY COMPLAINT CLOSED','92','2021-06-28 14:23:47','2021-06-28 14:23:47');
INSERT INTO complaint_remarks VALUES('7938','6517','MAIN BOARD MURSLEEN K
03100865385
SAB  K PASS RECIVED HO GAYA HAIN KAL KA TIME DIA HAIN INFORMED BY CUSTOMER','74','2021-06-28 14:28:38','2021-06-28 14:28:38');
INSERT INTO complaint_remarks VALUES('7939','7288','03105068546 SHAHID TACTION','92','2021-06-28 14:37:42','2021-06-28 14:37:42');
INSERT INTO complaint_remarks VALUES('7940','6482','COMPLAINT WRONG TECHNICIAN KO FF KAR DI THI JIS KI WAJA SA ISSUE RESOLVED NI HOA AJ AGAIN COM,PLAINT REOPEN KARWA DI
ZAFAR 03009825120','74','2021-06-28 14:40:05','2021-06-28 14:40:05');
INSERT INTO complaint_remarks VALUES('7941','7206','COMPLAINT RESOLVED','92','2021-06-28 14:40:42','2021-06-28 14:40:42');
INSERT INTO complaint_remarks VALUES('7942','7262','COMPLAINT RESOLVED','74','2021-06-28 14:40:59','2021-06-28 14:40:59');
INSERT INTO complaint_remarks VALUES('7943','7207','CUSTOMER NOT ATTEND CALL','92','2021-06-28 14:46:39','2021-06-28 14:46:39');
INSERT INTO complaint_remarks VALUES('7944','7209','COMPLAINT RESOLVED','92','2021-06-28 14:47:45','2021-06-28 14:47:45');
INSERT INTO complaint_remarks VALUES('7945','7207','COMPLAINT RESOLVED','92','2021-06-28 14:50:08','2021-06-28 14:50:08');
INSERT INTO complaint_remarks VALUES('7946','7219','AJ VISIT HAY TACTION KI CALL AY GAE HAY CUSTOMER KO','92','2021-06-28 14:52:15','2021-06-28 14:52:15');
INSERT INTO complaint_remarks VALUES('7947','6412','NOT ATTENDING CALL','74','2021-06-28 14:56:53','2021-06-28 14:56:53');
INSERT INTO complaint_remarks VALUES('7948','7244','COMPLAINT RESOLVED','92','2021-06-28 14:57:37','2021-06-28 14:57:37');
INSERT INTO complaint_remarks VALUES('7949','6955','COMPLAINT IN PROCESS HAIN AJ HI SET LHR S/C MOVE KARWAY HAIN','74','2021-06-28 15:00:10','2021-06-28 15:00:10');
INSERT INTO complaint_remarks VALUES('7950','7259','COMPLAINT RESOLVED','92','2021-06-28 15:02:53','2021-06-28 15:02:53');
INSERT INTO complaint_remarks VALUES('7951','7258','COMPLAINT RESOLVED','74','2021-06-28 15:04:03','2021-06-28 15:04:03');
INSERT INTO complaint_remarks VALUES('7952','7272','COMPLETED COMPLAINT','74','2021-06-28 15:06:02','2021-06-28 15:06:02');
INSERT INTO complaint_remarks VALUES('7953','7267','COMPLAINT RESOLVED','92','2021-06-28 15:06:32','2021-06-28 15:06:32');
INSERT INTO complaint_remarks VALUES('7954','5490','COMPLAINT RESOLVED','74','2021-06-28 15:07:14','2021-06-28 15:07:14');
INSERT INTO complaint_remarks VALUES('7955','7270','COMPLAINT RESOLVED','92','2021-06-28 15:08:59','2021-06-28 15:08:59');
INSERT INTO complaint_remarks VALUES('7956','7260','COMPLAINT RESOLVED','74','2021-06-28 15:09:30','2021-06-28 15:09:30');
INSERT INTO complaint_remarks VALUES('7957','7261','COMPLAINT IN PROCESS HAIN PARTS DEMAND KIYA WA','74','2021-06-28 15:12:34','2021-06-28 15:12:34');
INSERT INTO complaint_remarks VALUES('7958','7271','W/D S/C WORKING IN PROCESS','74','2021-06-28 15:14:39','2021-06-28 15:14:39');
INSERT INTO complaint_remarks VALUES('7959','7269','IN PROCESS COMPLAINT','74','2021-06-28 15:15:34','2021-06-28 15:15:34');
INSERT INTO complaint_remarks VALUES('7960','7257','COMPLAINT RESOLVED','74','2021-06-28 15:17:24','2021-06-28 15:17:24');
INSERT INTO complaint_remarks VALUES('7961','7256','CUSTOMER SIDE SA VISIT DELAY THA KAL KA TIME DIA CUSTOMER NA','74','2021-06-28 15:35:53','2021-06-28 15:35:53');
INSERT INTO complaint_remarks VALUES('7962','7252','COMPLAINT RESOLVED','74','2021-06-28 15:37:43','2021-06-28 15:37:43');
INSERT INTO complaint_remarks VALUES('7963','6898','COMPLAINT RESOLVED','92','2021-06-28 15:37:53','2021-06-28 15:37:53');
INSERT INTO complaint_remarks VALUES('7964','7300','COMPLAINT RESOLVED','74','2021-06-28 15:41:14','2021-06-28 15:41:14');
INSERT INTO complaint_remarks VALUES('7965','7254','COMPLAINT RESOLVED','74','2021-06-28 15:43:48','2021-06-28 15:43:48');
INSERT INTO complaint_remarks VALUES('7966','7060','COMPLAINT RESOLVED','92','2021-06-28 15:50:38','2021-06-28 15:50:38');
INSERT INTO complaint_remarks VALUES('7967','7247','COMPLAINT RESOLVED','74','2021-06-28 15:54:32','2021-06-28 15:54:32');
INSERT INTO complaint_remarks VALUES('7968','7109','COMPLAINT RESOLVED','92','2021-06-28 15:54:58','2021-06-28 15:54:58');
INSERT INTO complaint_remarks VALUES('7969','7303','COMPLAINT ATTEND HO GEI HAIN TECHNICIAN BOL K AAY HAIN DEF ACTED PICE DA DIYA CUSTOMER REPLACEMENT KI DEMAND KAR  RAHA','74','2021-06-28 15:57:36','2021-06-28 15:57:36');
INSERT INTO complaint_remarks VALUES('7970','7221','CUSTOMER NOT ATTEND CALL','92','2021-06-28 16:00:59','2021-06-28 16:00:59');
INSERT INTO complaint_remarks VALUES('7971','7243','COMPLAINT RESOLVED','74','2021-06-28 16:04:26','2021-06-28 16:04:26');
INSERT INTO complaint_remarks VALUES('7972','7240','CUSTOMER NOT ATTEND CALL','92','2021-06-28 16:06:40','2021-06-28 16:06:40');
INSERT INTO complaint_remarks VALUES('7973','7241','COMPLAINT RESOLVED','74','2021-06-28 16:09:53','2021-06-28 16:09:53');
INSERT INTO complaint_remarks VALUES('7974','7281','CUSTOMER NOT ATTEND CALL','92','2021-06-28 16:12:36','2021-06-28 16:12:36');
INSERT INTO complaint_remarks VALUES('7975','7281','CUSTOMER NOT ATTEND CALL','92','2021-06-28 16:12:37','2021-06-28 16:12:37');
INSERT INTO complaint_remarks VALUES('7976','7228','NOT ATTENDING CALL','74','2021-06-28 16:28:55','2021-06-28 16:28:55');
INSERT INTO complaint_remarks VALUES('7977','7229','NOT ATTENDING CALL','74','2021-06-28 16:34:56','2021-06-28 16:34:56');
INSERT INTO complaint_remarks VALUES('7978','6977','03464639540 ZAFAR  SIR YE COMPLAINT ATTEND KARWAY GAY','92','2021-06-28 16:40:19','2021-06-28 16:40:19');
INSERT INTO complaint_remarks VALUES('7979','7230','NOT ATTENDING CALL','74','2021-06-28 16:42:28','2021-06-28 16:42:28');
INSERT INTO complaint_remarks VALUES('7980','7187','COMPLAINT IN PROCESS HAIN COMPANY&INSTALLER DONO KA VISIT HO GAYA 2-3 DIN TAQ CUSTOMER CHEEKED KAR K INFORMED KARAY GAY','74','2021-06-28 16:50:37','2021-06-28 16:50:37');
INSERT INTO complaint_remarks VALUES('7981','7371','03455102918 RASHID','92','2021-06-29 11:09:53','2021-06-29 11:09:53');
INSERT INTO complaint_remarks VALUES('7982','7146','COMPLAINT ATTEND HO GEI HAIN KAL COMPANY S/C NA LIFT KIYA W/D 
S/C WORKING IN PROCESS','74','2021-06-29 11:10:09','2021-06-29 11:10:09');
INSERT INTO complaint_remarks VALUES('7983','7091','COMPLAINT RESOLVED','74','2021-06-29 11:15:35','2021-06-29 11:15:35');
INSERT INTO complaint_remarks VALUES('7984','7071','COMPLAINT RESOLVED','74','2021-06-29 11:16:31','2021-06-29 11:16:31');
INSERT INTO complaint_remarks VALUES('7985','7219','AJ VISIT TO DAY','74','2021-06-29 11:29:31','2021-06-29 11:29:31');
INSERT INTO complaint_remarks VALUES('7986','7221','COMPLAINT RESOLVED','74','2021-06-29 11:30:52','2021-06-29 11:30:52');
INSERT INTO complaint_remarks VALUES('7987','7106','DRAIN PUMP ISSUE RESOLVED','74','2021-06-29 11:36:36','2021-06-29 11:36:36');
INSERT INTO complaint_remarks VALUES('7988','7073','ADEEL 7 STAR  034550888208','74','2021-06-29 11:37:31','2021-06-29 11:37:31');
INSERT INTO complaint_remarks VALUES('7989','7217','COMPLAINT RESOLVED','74','2021-06-29 11:39:16','2021-06-29 11:39:16');
INSERT INTO complaint_remarks VALUES('7990','7198','WARRANTY CARD KI WAJA SA YHA COMPLAINT DELAY HOI THI CUSTOMER K PASS WARRANTY CARD NAI SHABAN SAB KO INFORMED KAR K COMPLAINT CLOSED KARWAI','74','2021-06-29 11:44:06','2021-06-29 11:44:06');
INSERT INTO complaint_remarks VALUES('7991','7230','COMPLAINT RESOLVED','74','2021-06-29 11:46:10','2021-06-29 11:46:10');
INSERT INTO complaint_remarks VALUES('7992','7233','NOT ATTENDING CALL','74','2021-06-29 11:52:55','2021-06-29 11:52:55');
INSERT INTO complaint_remarks VALUES('7993','7371','VISIT HO GAYA HAY INSTALATION FAULT HAY CUSTOMER KO INFORM KAR DEYA HAY NAVEED FCP SIR KO B INFORM KAR DEYA HAY','92','2021-06-29 11:53:56','2021-06-29 11:53:56');
INSERT INTO complaint_remarks VALUES('7994','7231','COMPLAINT RESOLVED','74','2021-06-29 11:54:06','2021-06-29 11:54:06');
INSERT INTO complaint_remarks VALUES('7995','7240','03438893547 RAMEEZ','74','2021-06-29 11:58:57','2021-06-29 11:58:57');
INSERT INTO complaint_remarks VALUES('7996','6941','VISIT HO GAYA THA OUTER GAS LEAKAGE ISSUE KAL UNIT LIFT HO GA S/C','92','2021-06-29 11:59:55','2021-06-29 11:59:55');
INSERT INTO complaint_remarks VALUES('7997','7239','COMPLAINT RESOLVED','74','2021-06-29 12:00:34','2021-06-29 12:00:34');
INSERT INTO complaint_remarks VALUES('7998','7292','COMPLAINT RESOLVED','74','2021-06-29 12:02:00','2021-06-29 12:02:00');
INSERT INTO complaint_remarks VALUES('7999','7237','COMPLAINT ATTEND HO GEI HAIN W/D S/C WORKING IN PROCESS','74','2021-06-29 12:04:15','2021-06-29 12:04:15');
INSERT INTO complaint_remarks VALUES('8000','7236','LOCAL TECHNICIAN SA CUSTOMER NA ISSUE RESOLVED KARWA LIYA','74','2021-06-29 12:05:56','2021-06-29 12:05:56');
INSERT INTO complaint_remarks VALUES('8001','7288','COMPLAINT ATTEND HO GAE HAY W/D LIFT HO GA S/C','92','2021-06-29 12:12:25','2021-06-29 12:12:25');
INSERT INTO complaint_remarks VALUES('8002','7307','COMPLAINT RESOLVED','74','2021-06-29 12:21:39','2021-06-29 12:21:39');
INSERT INTO complaint_remarks VALUES('8003','7318','COMPLAINT RESOLVED','92','2021-06-29 12:22:01','2021-06-29 12:22:01');
INSERT INTO complaint_remarks VALUES('8004','7306','OUTDOOR UNIT CARD KA ISSUE HAIN CUSTOMER KO COMPANY NA EXP 15 SA20 000 CUSTOMER KO INFORMED KAR DIA BUT CUSTOMER SIDE SA DELAY VISIT WO LOCAL TECHNICIAN SA CARD REPAIR KARWANA CAHAH RAHAY HAIN','74','2021-06-29 12:25:49','2021-06-29 12:25:49');
INSERT INTO complaint_remarks VALUES('8005','7409','COSTUMER NE 26 KO KHUD LAUNCH KARWAI COMPLAINT... HAMARAY PASS AAJ NAVEED NE BEJHI COMPLAINT','73','2021-06-29 12:26:05','2021-06-29 12:26:05');
INSERT INTO complaint_remarks VALUES('8006','7305','D.O.P 14-DEC-2019
OUT OFF WARRANTY COMPLAINT HAIN REF TO S/C BUT CUTOMER UNIT S/C MOVE KARWNAY PA AGREE NAI HAIN .LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA RAHAY HAIN COMPLAINT CLOSED KARWA DI','74','2021-06-29 12:31:04','2021-06-29 12:31:04');
INSERT INTO complaint_remarks VALUES('8007','6642','COMPLAINT RESOLVED','92','2021-06-29 12:34:08','2021-06-29 12:34:08');
INSERT INTO complaint_remarks VALUES('8008','7309','CUSTOMER NA FREEZER REPLACE KARWA LIYA COMPLAINT CLOSED','74','2021-06-29 12:34:58','2021-06-29 12:34:58');
INSERT INTO complaint_remarks VALUES('8009','6657','COMPLAINT RESOLVED','92','2021-06-29 12:37:47','2021-06-29 12:37:47');
INSERT INTO complaint_remarks VALUES('8010','7195','COMPLAINT RESOLVED','74','2021-06-29 12:41:36','2021-06-29 12:41:36');
INSERT INTO complaint_remarks VALUES('8011','7184','03095559759 BILAL TACTION','92','2021-06-29 12:43:32','2021-06-29 12:43:32');
INSERT INTO complaint_remarks VALUES('8012','7225','NOT ATTENDING CALL','74','2021-06-29 12:45:33','2021-06-29 12:45:33');
INSERT INTO complaint_remarks VALUES('8013','7224','NO VISIT REMINDER BY S/C','74','2021-06-29 12:47:23','2021-06-29 12:47:23');
INSERT INTO complaint_remarks VALUES('8014','6630','AJ AGAIN VISIT HAY INFORM BY CUSTOMER','92','2021-06-29 12:52:18','2021-06-29 12:52:18');
INSERT INTO complaint_remarks VALUES('8015','7184','AJ ATTEND HO GE COMPLAINT','92','2021-06-29 12:52:43','2021-06-29 12:52:43');
INSERT INTO complaint_remarks VALUES('8016','6716','COMPLAINT RESOLVED','92','2021-06-29 12:53:53','2021-06-29 12:53:53');
INSERT INTO complaint_remarks VALUES('8017','7133','COMPLAINT RESOLVED','74','2021-06-29 12:57:43','2021-06-29 12:57:43');
INSERT INTO complaint_remarks VALUES('8018','6654','COMPLAINT RESOLVED','92','2021-06-29 12:57:49','2021-06-29 12:57:49');
INSERT INTO complaint_remarks VALUES('8019','7184','PC BOARD DEMAND INFORMED BY CUSTOMER','74','2021-06-29 13:06:15','2021-06-29 13:06:15');
INSERT INTO complaint_remarks VALUES('8020','5902','CUSTOMER NOT ATTEND CALL','92','2021-06-29 13:06:20','2021-06-29 13:06:20');
INSERT INTO complaint_remarks VALUES('8021','5970','COMPLAINT RESOLVED','92','2021-06-29 13:10:03','2021-06-29 13:10:03');
INSERT INTO complaint_remarks VALUES('8022','7215','VISIT HO GAYA PCB CARD DEMNAD 
PCB CARD AGAYA HAIN CUSTOMER OUT OFF CITY GAY HOAY HAIN KAL TAQ  AAY GAY WARRANTY CARD SHOW KARWAY GAY FIR ISSUE RESOLVED HO GA','74','2021-06-29 13:15:55','2021-06-29 13:15:55');
INSERT INTO complaint_remarks VALUES('8023','7162','COMPLAINT RESOLVED','74','2021-06-29 13:17:28','2021-06-29 13:17:28');
INSERT INTO complaint_remarks VALUES('8024','7197','NOT ATTENDING CALL','74','2021-06-29 13:23:23','2021-06-29 13:23:23');
INSERT INTO complaint_remarks VALUES('8025','7197','COMPLAINT RESOLVED','74','2021-06-29 13:23:41','2021-06-29 13:23:41');
INSERT INTO complaint_remarks VALUES('8026','5995','CUSTOMER NOT ATTEND CALL','92','2021-06-29 13:23:49','2021-06-29 13:23:49');
INSERT INTO complaint_remarks VALUES('8027','6117','SIR K PASS LETTER PAD NAI HAY COMPLAINT CLOSED','92','2021-06-29 13:27:37','2021-06-29 13:27:37');
INSERT INTO complaint_remarks VALUES('8028','6168','COMPLAINT RESOLVED','92','2021-06-29 13:30:25','2021-06-29 13:30:25');
INSERT INTO complaint_remarks VALUES('8029','6236','CUSTOMER NOT ATTEND CALL','92','2021-06-29 13:34:11','2021-06-29 13:34:11');
INSERT INTO complaint_remarks VALUES('8030','7189','NAEEN KENWOOD KO REMINDER DA DIY AHAIN KAL TAQ ATTEND KARWA DYA GAY COMPLAINT','74','2021-06-29 13:34:56','2021-06-29 13:34:56');
INSERT INTO complaint_remarks VALUES('8031','6612','COMPLAINT RESOLVED','92','2021-06-29 13:36:09','2021-06-29 13:36:09');
INSERT INTO complaint_remarks VALUES('8032','6748','COMPLAINT RESOLVED','92','2021-06-29 13:40:19','2021-06-29 13:40:19');
INSERT INTO complaint_remarks VALUES('8033','6761','COMPLAINT RESOLVED','92','2021-06-29 13:48:49','2021-06-29 13:48:49');
INSERT INTO complaint_remarks VALUES('8034','7097','NOT ATTENDING CALL','74','2021-06-29 13:49:57','2021-06-29 13:49:57');
INSERT INTO complaint_remarks VALUES('8035','7096','COMPLAINT RESOLVED','74','2021-06-29 13:50:53','2021-06-29 13:50:53');
INSERT INTO complaint_remarks VALUES('8036','6787','COMPLAINT RESOLVED','92','2021-06-29 13:52:06','2021-06-29 13:52:06');
INSERT INTO complaint_remarks VALUES('8037','7035','COMPLAINT RESOLVED','74','2021-06-29 13:52:59','2021-06-29 13:52:59');
INSERT INTO complaint_remarks VALUES('8038','7055','COMPLAINT ATTEND HO GEI HAIN REF REFER TO S/C  CUSTOMER SIDE SA DELAY COMPLAINT','74','2021-06-29 13:56:27','2021-06-29 13:56:27');
INSERT INTO complaint_remarks VALUES('8039','6852','TACTION NO 03142437390','92','2021-06-29 14:13:16','2021-06-29 14:13:16');
INSERT INTO complaint_remarks VALUES('8040','7029','COMPLAINT RESOLVED','74','2021-06-29 14:29:24','2021-06-29 14:29:24');
INSERT INTO complaint_remarks VALUES('8041','7023','CUSTOMER SA BT HOI WO BOL RHAY K HAMRI KOI COM,PLAINT NAI COMPLAINT CLOSED','74','2021-06-29 14:34:35','2021-06-29 14:34:35');
INSERT INTO complaint_remarks VALUES('8042','7044','COMPLAINT RESOLVED','74','2021-06-29 14:37:23','2021-06-29 14:37:23');
INSERT INTO complaint_remarks VALUES('8043','7017','SADAR BRANCH SA NEW AC KA SAMAN B CHANGE KIYA BUT ISSUE RESOLVED NAI HOA  CUSTOMER REPLACEMENT DEMAND','74','2021-06-29 14:44:39','2021-06-29 14:44:39');
INSERT INTO complaint_remarks VALUES('8044','7018','NOT ATTENDING CALL','74','2021-06-29 14:48:29','2021-06-29 14:48:29');
INSERT INTO complaint_remarks VALUES('8045','6976','03125259009 YHA TECHNICIAN COMPLAINT ATTEND KAR K AAY HAIN BUT ISSUE RESOLVED NI HOA','74','2021-06-29 14:58:46','2021-06-29 14:58:46');
INSERT INTO complaint_remarks VALUES('8046','7163','COMPLAINT ATTEND HO GAE HAY UNIT LIFT HO GA S/C ORIENT K','92','2021-06-29 15:01:33','2021-06-29 15:01:33');
INSERT INTO complaint_remarks VALUES('8047','6799','COMPLAINT RESOLVED','92','2021-06-29 15:02:50','2021-06-29 15:02:50');
INSERT INTO complaint_remarks VALUES('8048','6850','CUSTOMER NAY UNIT REPLACE KARWA DEYA HAY COMPLAINT CLOSED','92','2021-06-29 15:07:12','2021-06-29 15:07:12');
INSERT INTO complaint_remarks VALUES('8049','6881','COMPLAINT RESOLVED','92','2021-06-29 15:09:44','2021-06-29 15:09:44');
INSERT INTO complaint_remarks VALUES('8050','6884','COMPLAINT ATTEND HO GAE HAY CARD ISSUE COMPLAINT IN PROCESS','92','2021-06-29 15:13:11','2021-06-29 15:13:11');
INSERT INTO complaint_remarks VALUES('8051','6953','COMPLAINT RESOLVED','74','2021-06-29 15:13:39','2021-06-29 15:13:39');
INSERT INTO complaint_remarks VALUES('8052','6885','COMPLAINT RESOLVED','92','2021-06-29 15:14:56','2021-06-29 15:14:56');
INSERT INTO complaint_remarks VALUES('8053','6952','COMPLAINT RESOLVED','74','2021-06-29 15:15:19','2021-06-29 15:15:19');
INSERT INTO complaint_remarks VALUES('8054','6989','0515788456 OTHER MOBILE NO','92','2021-06-29 15:18:30','2021-06-29 15:18:30');
INSERT INTO complaint_remarks VALUES('8055','6948','COMPLAINT RESOLVED','74','2021-06-29 15:20:17','2021-06-29 15:20:17');
INSERT INTO complaint_remarks VALUES('8056','6989','COMPLAINT ATTEND HO GAE HAY ISSUE RESOLVED NAI HUA AGAIN KAL VISIT HO GA','92','2021-06-29 15:22:20','2021-06-29 15:22:20');
INSERT INTO complaint_remarks VALUES('8057','6999','CUSTOMER NOT ATTEND CALL','92','2021-06-29 15:26:56','2021-06-29 15:26:56');
INSERT INTO complaint_remarks VALUES('8058','7015','CUSTOMER AJ B CALL ATTEND NAI KAR RAHY','92','2021-06-29 15:30:19','2021-06-29 15:30:19');
INSERT INTO complaint_remarks VALUES('8059','7095','COMPLAINT RESOLVED','92','2021-06-29 15:31:49','2021-06-29 15:31:49');
INSERT INTO complaint_remarks VALUES('8060','7204','COMPLAINT RESOLVED','92','2021-06-29 15:42:18','2021-06-29 15:42:18');
INSERT INTO complaint_remarks VALUES('8061','7299','COMPLAINT RESOLVED','92','2021-06-29 15:44:26','2021-06-29 15:44:26');
INSERT INTO complaint_remarks VALUES('8062','6680','COMPLAINT RESOLVED','74','2021-06-29 15:47:27','2021-06-29 15:47:27');
INSERT INTO complaint_remarks VALUES('8063','6998','COMPLAINT RESOLVED','74','2021-06-29 15:51:45','2021-06-29 15:51:45');
INSERT INTO complaint_remarks VALUES('8064','6923','COMPLAINT RESOLVED','74','2021-06-29 15:54:40','2021-06-29 15:54:40');
INSERT INTO complaint_remarks VALUES('8065','7013','UNIT S/C WORKING IN PROCESS','74','2021-06-29 15:57:44','2021-06-29 15:57:44');
INSERT INTO complaint_remarks VALUES('8066','7175','COMPLAINT ATTEND HO GAE HAY PART ISSUE 1 WEEK LAGAY GA COMPLAINT IN PROCESS','92','2021-06-29 16:05:58','2021-06-29 16:05:58');
INSERT INTO complaint_remarks VALUES('8067','7161','COMPLAINT RESOLVED','92','2021-06-29 16:07:21','2021-06-29 16:07:21');
INSERT INTO complaint_remarks VALUES('8068','6640','CUSTOMER SIDE SA DELAY COMPLAINT GREE S/C KA NO PROVIDE KAR DIA HAIN WO OUT OFF CITY HAIN FREE HO K KHUD LA K JAY GAY','74','2021-06-29 16:11:24','2021-06-29 16:11:24');
INSERT INTO complaint_remarks VALUES('8069','6640','COMPLAINT CLOSED KARWA DI','74','2021-06-29 16:11:37','2021-06-29 16:11:37');
INSERT INTO complaint_remarks VALUES('8070','7155','COMPLAINT ATTEND HO GAE HAY BOARD ISSUE 02 DIN BAD AGAIN VISIT HO GA','92','2021-06-29 16:12:22','2021-06-29 16:12:22');
INSERT INTO complaint_remarks VALUES('8071','7433','COSTUMER NE DIRECT KHUD COMPANY MEIN LAUNCH KARWAI HA COMPLAINYT... (TODAY)','73','2021-06-29 16:12:46','2021-06-29 16:12:46');
INSERT INTO complaint_remarks VALUES('8072','6628','NOT ATTEND CALL','74','2021-06-29 16:16:54','2021-06-29 16:16:54');
INSERT INTO complaint_remarks VALUES('8073','7139','COMPLAINT RESOLVED','92','2021-06-29 16:19:17','2021-06-29 16:19:17');
INSERT INTO complaint_remarks VALUES('8074','6629','COMPLAINT RESOLVED','74','2021-06-29 16:19:37','2021-06-29 16:19:37');
INSERT INTO complaint_remarks VALUES('8075','6644','CUSTOMER NA CALL ATTEND NAI KI IC WAJA SA COMPLAINT CLOSED KAR DI AJ AGAIN COMPLAINT REOPEN KARWA DI','74','2021-06-29 16:33:27','2021-06-29 16:33:27');
INSERT INTO complaint_remarks VALUES('8076','7122','COMPLAINT RESOLVED','92','2021-06-29 16:46:00','2021-06-29 16:46:00');
INSERT INTO complaint_remarks VALUES('8077','6884','03125800162 ASAD','92','2021-06-29 17:17:54','2021-06-29 17:17:54');
INSERT INTO complaint_remarks VALUES('8078','7331','COMPLAINT RESOLVED','74','2021-06-30 11:18:37','2021-06-30 11:18:37');
INSERT INTO complaint_remarks VALUES('8079','6517','LED MAIN KOI ISSUE BAI HAIN IMRAN TCL NA B CALL KAR K SARI DETAIL DI HAIN K SET BUKIL OK HAIN ROUTER REPLACE KARWAY GAY CUSTOMER','74','2021-06-30 11:24:24','2021-06-30 11:24:24');
INSERT INTO complaint_remarks VALUES('8080','7334','COMPLAINT RESOLVED','74','2021-06-30 11:29:26','2021-06-30 11:29:26');
INSERT INTO complaint_remarks VALUES('8081','7338','0514473080 UNU DAWLANCE','92','2021-06-30 11:31:43','2021-06-30 11:31:43');
INSERT INTO complaint_remarks VALUES('8082','7338','AJ UNIT LIFT HO GA S/C','92','2021-06-30 11:34:02','2021-06-30 11:34:02');
INSERT INTO complaint_remarks VALUES('8083','7338','MISS AREEBA NA STATUS LIYA HAIN AJ DISHWASHER LIFT HO JAY GA','74','2021-06-30 11:36:39','2021-06-30 11:36:39');
INSERT INTO complaint_remarks VALUES('8084','6884','CARD AY GAYA HAY KAL ATTEND HO GE COMPLAINT CUSTOMER KO INFORM KAR DEYA HAY','92','2021-06-30 11:41:37','2021-06-30 11:41:37');
INSERT INTO complaint_remarks VALUES('8085','6682','CUSTOMER NOT ATTEND CALL','92','2021-06-30 11:55:53','2021-06-30 11:55:53');
INSERT INTO complaint_remarks VALUES('8086','6984','MOTOR ISSUE S/C WALOUN NAY MOTOR MALE KAR DE HAY 02 DIN TAK AY JAY GE IN PROCESS COMPLAINT','92','2021-06-30 11:58:17','2021-06-30 11:58:17');
INSERT INTO complaint_remarks VALUES('8087','7453','IS MODEL MEIN WO FUNCTION NAI HA JO COSTUMER KO REQUIRED HA... WAQAS KO INFORM KR DIA HA K COSTUMER REPLACEMENT MANG RY HAIN YA REFUND','73','2021-06-30 12:00:08','2021-06-30 12:00:08');
INSERT INTO complaint_remarks VALUES('8088','7454','COMPLAINT NAI HA... COSTUMER KO VEGETABLE BOX DEMAND HA','73','2021-06-30 12:00:59','2021-06-30 12:00:59');
INSERT INTO complaint_remarks VALUES('8089','7454','USMAN SB KO PIC SEND KI HOI HAIN SERIAL NUMBER OR BOX KI','73','2021-06-30 12:01:28','2021-06-30 12:01:28');
INSERT INTO complaint_remarks VALUES('8090','6682','OTHER MOBILE NO 03445299891','92','2021-06-30 12:03:17','2021-06-30 12:03:17');
INSERT INTO complaint_remarks VALUES('8091','6694','IST VISIT COMPLAINT PA HO GAYA HAIN COMPLAINT RESOLVED HO GEI THI AGAIN ISSUE AAGYA HAIN COMPLAINT REOPEND KARWA DI','74','2021-06-30 12:08:01','2021-06-30 12:08:01');
INSERT INTO complaint_remarks VALUES('8092','5718','CUSTOMER KO SET COMPANY NA REPLACE KAR K DA DIA COMPLAINT CLOSED','74','2021-06-30 12:16:56','2021-06-30 12:16:56');
INSERT INTO complaint_remarks VALUES('8093','4982','COMPLAINT RESOLVED','74','2021-06-30 12:21:57','2021-06-30 12:21:57');
INSERT INTO complaint_remarks VALUES('8094','5364','COMPLAINT RESOLVED PACKING B WAPISE AAGEI HAIN ASLAM SIR LA KA AY HAIN','74','2021-06-30 12:23:48','2021-06-30 12:23:48');
INSERT INTO complaint_remarks VALUES('8095','5371','CUSTOMER STILL DONO NO SA CALL ATTEND NAI KAR RAHAY COMPLAINT CLOSED','74','2021-06-30 12:26:31','2021-06-30 12:26:31');
INSERT INTO complaint_remarks VALUES('8096','5392','CUSTOMER NA SET REPLACE KARWA K SAMSUNG LA LIYA HAIN COMPLAINT CLOSED','74','2021-06-30 12:28:57','2021-06-30 12:28:57');
INSERT INTO complaint_remarks VALUES('8097','5392','REFUND SLIP SHOW KARWAI THI CUSTOMER NA','74','2021-06-30 12:29:43','2021-06-30 12:29:43');
INSERT INTO complaint_remarks VALUES('8098','6826','COMPLAINT RESOLVED','92','2021-06-30 12:34:37','2021-06-30 12:34:37');
INSERT INTO complaint_remarks VALUES('8099','7233','COMPLAINT RESOLVED','92','2021-06-30 12:44:47','2021-06-30 12:44:47');
INSERT INTO complaint_remarks VALUES('8100','5489','COMPLAINT CLOSED','74','2021-06-30 12:45:43','2021-06-30 12:45:43');
INSERT INTO complaint_remarks VALUES('8101','5501','COMPLAINT RESOLVED','74','2021-06-30 12:46:39','2021-06-30 12:46:39');
INSERT INTO complaint_remarks VALUES('8102','7420','CUSTOMER NOT ATTEND CALL','92','2021-06-30 12:54:42','2021-06-30 12:54:42');
INSERT INTO complaint_remarks VALUES('8103','5574','COMPLAINT AGAIN REOPEND KARWA DI','74','2021-06-30 12:59:20','2021-06-30 12:59:20');
INSERT INTO complaint_remarks VALUES('8104','7225','COMPLAINT RESOLVED','92','2021-06-30 13:01:30','2021-06-30 13:01:30');
INSERT INTO complaint_remarks VALUES('8105','5603','CUSTOMER STILL NOT ATTEND CALL COMPLAINT CLOSED','74','2021-06-30 13:02:07','2021-06-30 13:02:07');
INSERT INTO complaint_remarks VALUES('8106','5798','COMPLAINT RESOLVED','74','2021-06-30 13:03:56','2021-06-30 13:03:56');
INSERT INTO complaint_remarks VALUES('8107','7223','COMPLAINT RESOLVED','92','2021-06-30 13:09:18','2021-06-30 13:09:18');
INSERT INTO complaint_remarks VALUES('8108','7219','COMPLAINT RESOLVED','92','2021-06-30 13:12:00','2021-06-30 13:12:00');
INSERT INTO complaint_remarks VALUES('8109','7214','CUSTOMER NOT ATTEND CALL','92','2021-06-30 13:19:26','2021-06-30 13:19:26');
INSERT INTO complaint_remarks VALUES('8110','5806','COMPLAINT RESOLVED','74','2021-06-30 13:25:05','2021-06-30 13:25:05');
INSERT INTO complaint_remarks VALUES('8111','7123','BASE DAMAGE THI CUSTOMER KO UNIT REPLACE KAR DEYA HAY COMPLAINT CLOSED','92','2021-06-30 13:28:11','2021-06-30 13:28:11');
INSERT INTO complaint_remarks VALUES('8112','5825','COMPLAINT ATTEND HO GEI HAIN BUT ISSUE RESOLVED NAI HAO AGAIN COMPLAINT REOPN K LIYA ANEEQ KO TASK # SHER KAR DIA','74','2021-06-30 13:31:28','2021-06-30 13:31:28');
INSERT INTO complaint_remarks VALUES('8113','5827','COMPLAINT RESOLVED','74','2021-06-30 13:33:10','2021-06-30 13:33:10');
INSERT INTO complaint_remarks VALUES('8114','5831','UNIT MAIN KOI ISSUE NAI CUSTOMER KO UN #PROVIDE KAR DIA HAIN WIFI KI SETTING OK KARWNAY K LIYA','74','2021-06-30 13:39:21','2021-06-30 13:39:21');
INSERT INTO complaint_remarks VALUES('8115','5839','COMPLAINT RESOLVED','74','2021-06-30 13:44:39','2021-06-30 13:44:39');
INSERT INTO complaint_remarks VALUES('8116','5848','CUSTOMER SIDE SA DELAY COMPLAINT COMPLAINT CLOSED','74','2021-06-30 13:57:47','2021-06-30 13:57:47');
INSERT INTO complaint_remarks VALUES('8117','6661','COMPLAINT ATTEND HO GAE HAY WARRANTI CARD ISSUE CUSTOMER K PASS WARRANTI CARD NAI THA AB MIL GAYA HAY COMPAINE MAY COMPLAINT REOPEN KARWA DE HAY','92','2021-06-30 13:59:43','2021-06-30 13:59:43');
INSERT INTO complaint_remarks VALUES('8118','7456','EK DAFA VISIT HWA HA... 2BARA VISIT NAI HO SKTA QN K SERVICE CENTRE AY GA','73','2021-06-30 14:02:24','2021-06-30 14:02:24');
INSERT INTO complaint_remarks VALUES('8119','7456','TAB MEIN KACHRA HA SERVICE REQUIRED HA','73','2021-06-30 14:02:46','2021-06-30 14:02:46');
INSERT INTO complaint_remarks VALUES('8120','5871','GLASS REPLACE COMPLAINT RESOLVED','74','2021-06-30 14:03:47','2021-06-30 14:03:47');
INSERT INTO complaint_remarks VALUES('8121','5893','CUSTOMER KO COMPANY NA PANL KI PRICE 330000  CONFIRM KAR DI HAIN BUT CUSTOMER SIDE S ABI TAQ KOI APPROVAL NAI AAI COMPLAINT CLOSED','74','2021-06-30 14:07:07','2021-06-30 14:07:07');
INSERT INTO complaint_remarks VALUES('8122','5906','COMPLAINT RESOLVED','74','2021-06-30 14:15:14','2021-06-30 14:15:14');
INSERT INTO complaint_remarks VALUES('8123','5932','COMPLAINT RESOLVED','74','2021-06-30 14:16:58','2021-06-30 14:16:58');
INSERT INTO complaint_remarks VALUES('8124','6790','COMPLAINT ATTEND HO GAE HAY LEAKAGE ISSUE CUSTOMER KO UNIT REPLACE KAR K DAY GAY COMPAINE WALAY 03 SAY 04 DIN OR LAG JAY GAY INFORM BY CUSTOMER','92','2021-06-30 14:18:20','2021-06-30 14:18:20');
INSERT INTO complaint_remarks VALUES('8125','5944','COMPLAINT RESOLVED','74','2021-06-30 14:18:24','2021-06-30 14:18:24');
INSERT INTO complaint_remarks VALUES('8126','7194','COMPLAINT RESOLVED','92','2021-06-30 14:19:47','2021-06-30 14:19:47');
INSERT INTO complaint_remarks VALUES('8127','5954','CUSTOMER STILL NOT ATTEND MAY CALL  SO PLZ COMPLAINT CLOSED','74','2021-06-30 14:22:28','2021-06-30 14:22:28');
INSERT INTO complaint_remarks VALUES('8128','7210','COMPLAINT RESOLVED','92','2021-06-30 14:37:05','2021-06-30 14:37:05');
INSERT INTO complaint_remarks VALUES('8129','5963','SET S/C MAIN READY HAIN BORD LAGA DIA
 HAIN 5500 EXP SET   PICK KARNAY K LIYA CUSTOMER KO INFORMED KAR DIA','74','2021-06-30 14:40:57','2021-06-30 14:40:57');
INSERT INTO complaint_remarks VALUES('8130','7192','COMPLAINT RESOLVED','92','2021-06-30 14:44:34','2021-06-30 14:44:34');
INSERT INTO complaint_remarks VALUES('8131','5974','COMPLAINT RESOLVED','74','2021-06-30 14:44:50','2021-06-30 14:44:50');
INSERT INTO complaint_remarks VALUES('8132','5977','COMPLAINT RESOLVED','74','2021-06-30 14:49:01','2021-06-30 14:49:01');
INSERT INTO complaint_remarks VALUES('8133','6011','SET MAIN KOI ISSUE NAI HAIN CUSTOMER NA JUST DEVICE LAGWANI HAIN  CUSTOMER KO ECOSTAR S/C KA NO B PROVIDE KAR DIA','74','2021-06-30 15:03:21','2021-06-30 15:03:21');
INSERT INTO complaint_remarks VALUES('8134','6014','COMPLAINT RESOLVED','74','2021-06-30 15:07:42','2021-06-30 15:07:42');
INSERT INTO complaint_remarks VALUES('8135','6018','COMPLAINT RESOLVED','74','2021-06-30 15:09:39','2021-06-30 15:09:39');
INSERT INTO complaint_remarks VALUES('8136','6019','COMPLAINT RESOLVED','74','2021-06-30 15:11:18','2021-06-30 15:11:18');
INSERT INTO complaint_remarks VALUES('8137','6023','COMPLAINT RESOLVED','74','2021-06-30 15:14:44','2021-06-30 15:14:44');
INSERT INTO complaint_remarks VALUES('8138','6034','COMPLAINT RESOLVED','74','2021-06-30 15:17:08','2021-06-30 15:17:08');
INSERT INTO complaint_remarks VALUES('8139','7101','COMPLAINT RESOLVED','92','2021-06-30 15:18:17','2021-06-30 15:18:17');
INSERT INTO complaint_remarks VALUES('8140','6036','CUSTOMER KO LED REPLACE KAR DI ADIL BAHI NA COMPLIANT CLOSED','74','2021-06-30 15:21:01','2021-06-30 15:21:01');
INSERT INTO complaint_remarks VALUES('8141','7099','COMPLAINT RESOLVED','92','2021-06-30 15:25:56','2021-06-30 15:25:56');
INSERT INTO complaint_remarks VALUES('8142','6040','MEHARN 0317-9998683','74','2021-06-30 15:32:46','2021-06-30 15:32:46');
INSERT INTO complaint_remarks VALUES('8143','6895','0544274115  JHLEUM S/C','92','2021-06-30 15:38:41','2021-06-30 15:38:41');
INSERT INTO complaint_remarks VALUES('8144','6040','NOT ATTEND CALL','74','2021-06-30 15:39:39','2021-06-30 15:39:39');
INSERT INTO complaint_remarks VALUES('8145','6050','COMPLAINT RESOLVED','74','2021-06-30 15:42:12','2021-06-30 15:42:12');
INSERT INTO complaint_remarks VALUES('8146','6051','COMPLAINT RESOLVED','74','2021-06-30 15:44:31','2021-06-30 15:44:31');
INSERT INTO complaint_remarks VALUES('8147','6057','COMPLAINT RESOLVED','74','2021-06-30 15:47:48','2021-06-30 15:47:48');
INSERT INTO complaint_remarks VALUES('8148','6068','COMPLAINT RESOLVED','74','2021-06-30 15:52:11','2021-06-30 15:52:11');
INSERT INTO complaint_remarks VALUES('8149','6075','COMPLAINT RESOLVED','74','2021-06-30 15:54:27','2021-06-30 15:54:27');
INSERT INTO complaint_remarks VALUES('8150','6895','PART ISSUE 02 DIN TAK PART AY GAY GA INFORM BY CUSTOMER','92','2021-06-30 15:56:31','2021-06-30 15:56:31');
INSERT INTO complaint_remarks VALUES('8151','6084','COMPLAINT RESOLVED','74','2021-06-30 15:57:18','2021-06-30 15:57:18');
INSERT INTO complaint_remarks VALUES('8152','7097','COMPLAINT RESOLVED','92','2021-06-30 15:59:07','2021-06-30 15:59:07');
INSERT INTO complaint_remarks VALUES('8153','6085','COMPLAINT RESOLVED','74','2021-06-30 15:59:47','2021-06-30 15:59:47');
INSERT INTO complaint_remarks VALUES('8154','7094','COMPLAINT RESOLVED','92','2021-06-30 16:02:20','2021-06-30 16:02:20');
INSERT INTO complaint_remarks VALUES('8155','6086','COMPLAINT RESOLVED','74','2021-06-30 16:04:08','2021-06-30 16:04:08');
INSERT INTO complaint_remarks VALUES('8156','6103','COMPLAINT RESOLVED','74','2021-06-30 16:08:40','2021-06-30 16:08:40');
INSERT INTO complaint_remarks VALUES('8157','7085','COMPLAINT RESOLVED','92','2021-06-30 16:12:38','2021-06-30 16:12:38');
INSERT INTO complaint_remarks VALUES('8158','6111','CUSTOMER UNIT KUCH DIN PHALY S/C MOVE KARWA K AAY HAIN S/C WORKNG IN PROCESS','74','2021-06-30 16:12:44','2021-06-30 16:12:44');
INSERT INTO complaint_remarks VALUES('8159','6114','YHA SCREECH WALI COMPLAINT HAIN','74','2021-06-30 16:16:55','2021-06-30 16:16:55');
INSERT INTO complaint_remarks VALUES('8160','7083','COMPLAINT RESOLVED','92','2021-06-30 16:21:01','2021-06-30 16:21:01');
INSERT INTO complaint_remarks VALUES('8161','7082','COMPLAINT RESOLVED','92','2021-06-30 16:24:05','2021-06-30 16:24:05');
INSERT INTO complaint_remarks VALUES('8162','6116','CUSTOMER N LATTER BAJWA DIA HAIN REPLACEMENT K LIYA LATTER BILALMANZOOR SAB KO REVIVED HOA  BILAL MANZOOR R HUM MIL K YHA CASE DAKH RAHAY','74','2021-06-30 16:26:55','2021-06-30 16:26:55');
INSERT INTO complaint_remarks VALUES('8163','6116','WORKING IN PROCESS','74','2021-06-30 16:27:25','2021-06-30 16:27:25');
INSERT INTO complaint_remarks VALUES('8164','7368','03319146117 WASEEM TACTION','92','2021-06-30 16:32:00','2021-06-30 16:32:00');
INSERT INTO complaint_remarks VALUES('8165','7368','VISIT TO DAY INFORM BY CUSTOMER','92','2021-06-30 16:33:12','2021-06-30 16:33:12');
INSERT INTO complaint_remarks VALUES('8166','6118','4473080 HEATGUN DEMAND','74','2021-06-30 16:34:27','2021-06-30 16:34:27');
INSERT INTO complaint_remarks VALUES('8167','6118','COMPLAINT ATTEND HO GEI','74','2021-06-30 16:34:51','2021-06-30 16:34:51');
INSERT INTO complaint_remarks VALUES('8168','6120','NOT ATTEND CALL','74','2021-06-30 16:41:21','2021-06-30 16:41:21');
INSERT INTO complaint_remarks VALUES('8169','6139','CUSTOMER STILL NOT ATTENDING CALL SO COMPLAINT CLOSED','74','2021-06-30 16:44:34','2021-06-30 16:44:34');
INSERT INTO complaint_remarks VALUES('8170','6154','NO VISIT','74','2021-06-30 16:47:56','2021-06-30 16:47:56');
INSERT INTO complaint_remarks VALUES('8171','7080','COMPLAINT ATTEND HO GAE HAY UNIT S/C AY GA RWP SHAMMIM MAMM K PASS','92','2021-06-30 16:48:25','2021-06-30 16:48:25');
INSERT INTO complaint_remarks VALUES('8172','7075','COMPLAINT RESOLVED','92','2021-06-30 16:57:32','2021-06-30 16:57:32');
INSERT INTO complaint_remarks VALUES('8173','7069','COMPLAINT CLOSED NAVEED SIR NAY KHA THA COMPLAINT CLOSED KAR DAY','92','2021-06-30 17:08:13','2021-06-30 17:08:13');
INSERT INTO complaint_remarks VALUES('8174','6159','CUSTOMER CALL ATTEND NAI KAR RAHAY S/C SA CONFIRM KAR K COMPLAINT CLOSED KI THERMOSTAT ADJUSTMENT & COOLING KA ISSUE RESOLVED KIYA','74','2021-06-30 17:15:33','2021-06-30 17:15:33');
INSERT INTO complaint_remarks VALUES('8175','7051','CUSTOMER NOT ATTEND CALL','92','2021-06-30 17:31:04','2021-06-30 17:31:04');
INSERT INTO complaint_remarks VALUES('8176','7046','COMPLAINT ATTEND HO GAE HAY UNIT LIFT HUA THA S/C OK HO KAR CUSTOMER K GHAR DELIVER HO GAYA HAY COMPLAINT RESOLVED','92','2021-06-30 17:41:37','2021-06-30 17:41:37');
INSERT INTO complaint_remarks VALUES('8177','7314','COMPLAINT RESOLVED','92','2021-06-30 17:46:20','2021-06-30 17:46:20');
INSERT INTO complaint_remarks VALUES('8178','7317','COMPLAINT RESOLVED','92','2021-06-30 17:51:09','2021-06-30 17:51:09');
INSERT INTO complaint_remarks VALUES('8179','7124','CASE FF TO ASLAM SIR','74','2021-06-30 18:03:05','2021-06-30 18:03:05');
INSERT INTO complaint_remarks VALUES('8180','6162','CUSTOMER  VISIT CHARGES PAY KARNA PA AGREE NAI IC WAJA SA PENDING COMPLAINT','74','2021-06-30 18:03:44','2021-06-30 18:03:44');
INSERT INTO complaint_remarks VALUES('8181','7288','S/C WORKING IN PROCESS','74','2021-07-01 10:45:23','2021-07-01 10:45:23');
INSERT INTO complaint_remarks VALUES('8182','6259','NOT ATTEND MY CALL','74','2021-07-01 10:46:13','2021-07-01 10:46:13');
INSERT INTO complaint_remarks VALUES('8183','6222','COMPLAINT RESOLVED','74','2021-07-01 10:48:08','2021-07-01 10:48:08');
INSERT INTO complaint_remarks VALUES('8184','6221','COMPLAINT RESOLVED','74','2021-07-01 10:50:52','2021-07-01 10:50:52');
INSERT INTO complaint_remarks VALUES('8185','6977','0912262910 PESHAWAR S/C NO','92','2021-07-01 10:52:49','2021-07-01 10:52:49');
INSERT INTO complaint_remarks VALUES('8186','6223','COMPLAINT ATTEND HO GEI THI AGAIN COOLING KA ISSUE AARAHA HAIN COMPLAINT AGAIN REOPEND KARWA DI NEW TASK KA SATH','74','2021-07-01 11:00:57','2021-07-01 11:00:57');
INSERT INTO complaint_remarks VALUES('8187','6977','03142437919 PESHAWAR S/C NO','92','2021-07-01 11:04:33','2021-07-01 11:04:33');
INSERT INTO complaint_remarks VALUES('8188','6236','COMPLAINT RESOLVED','74','2021-07-01 11:07:28','2021-07-01 11:07:28');
INSERT INTO complaint_remarks VALUES('8189','6977','VISIT TO DAY INFORM BY CUSTOMER','92','2021-07-01 11:08:13','2021-07-01 11:08:13');
INSERT INTO complaint_remarks VALUES('8190','6247','COMPLAINT RESOLVED','74','2021-07-01 11:11:21','2021-07-01 11:11:21');
INSERT INTO complaint_remarks VALUES('8191','7383','COMPLAINT RESOLVED','92','2021-07-01 11:15:32','2021-07-01 11:15:32');
INSERT INTO complaint_remarks VALUES('8192','7386','COMPLAINT RESOLVED','92','2021-07-01 11:21:04','2021-07-01 11:21:04');
INSERT INTO complaint_remarks VALUES('8193','6250','COOLING PROB COMPLAINT RESOLVED','74','2021-07-01 11:21:28','2021-07-01 11:21:28');
INSERT INTO complaint_remarks VALUES('8194','7359','COMPLAINT RESOLVED','92','2021-07-01 11:25:23','2021-07-01 11:25:23');
INSERT INTO complaint_remarks VALUES('8195','6594','FLAPPER ISSUE COMPLAINT RESOLVED','74','2021-07-01 11:35:27','2021-07-01 11:35:27');
INSERT INTO complaint_remarks VALUES('8196','6439','CUSTOMER CALL BACK KAR K CALL KARAY GAY','74','2021-07-01 11:37:48','2021-07-01 11:37:48');
INSERT INTO complaint_remarks VALUES('8197','6626','COMPLAINT RESOLVED','74','2021-07-01 11:41:31','2021-07-01 11:41:31');
INSERT INTO complaint_remarks VALUES('8198','7349','COMPLAINT RESOLVED','92','2021-07-01 11:45:22','2021-07-01 11:45:22');
INSERT INTO complaint_remarks VALUES('8199','7348','CUSTOMER NOT ATTEND CALL','92','2021-07-01 11:51:33','2021-07-01 11:51:33');
INSERT INTO complaint_remarks VALUES('8200','6405','CUSTOMER SIDE SA DELAY COMPLAINT CALL ATTEND NI KI IC WAJA SA COMPLAINT COMPANY SIDE SA CANCELED','74','2021-07-01 11:55:02','2021-07-01 11:55:02');
INSERT INTO complaint_remarks VALUES('8201','6500','CUSTOMER SA CONFIRM KAR K COMPLAINT CLOSED  KI','74','2021-07-01 12:00:33','2021-07-01 12:00:33');
INSERT INTO complaint_remarks VALUES('8202','7343','COMPLAINT ATTEND HO GAE HAY IN PROCESS COMPLAINT','92','2021-07-01 12:03:52','2021-07-01 12:03:52');
INSERT INTO complaint_remarks VALUES('8203','7342','COMPLAINT RESOLVED','92','2021-07-01 12:06:07','2021-07-01 12:06:07');
INSERT INTO complaint_remarks VALUES('8204','7511','Cannon out off warranty hob hain .
Abdul rehman bhai na phalay b ic complaint ko attend kiya .
Aj b customer na direct abdul rehman bhai ko visit k liya call kar di hain .
Sham taq abdul rehman bhai visit karay gay','74','2021-07-01 12:09:52','2021-07-01 12:09:52');
INSERT INTO complaint_remarks VALUES('8205','7511','PART ABDUL REHMAN SAB KO REVIVED HO GAY HAIN KAL KA TIME DIA HAIN','74','2021-07-01 12:10:53','2021-07-01 12:10:53');
INSERT INTO complaint_remarks VALUES('8206','7327','COMPLAINT RESOLVED','92','2021-07-01 12:37:17','2021-07-01 12:37:17');
INSERT INTO complaint_remarks VALUES('8207','6984','MOTER KAL TAQ REVIVED HO JAY GEI INFORMED BY CUSTOMER','74','2021-07-01 12:38:43','2021-07-01 12:38:43');
INSERT INTO complaint_remarks VALUES('8208','6450','CUSTOMER KI AMEEN SAB SA BAT CHAL RAHI HAIN INDOOR REPLACE KAR K DANA HAIN CUSTOMER KO .','74','2021-07-01 12:40:58','2021-07-01 12:40:58');
INSERT INTO complaint_remarks VALUES('8209','7321','CUSTOMER NOT ATTEND CALL','92','2021-07-01 12:43:46','2021-07-01 12:43:46');
INSERT INTO complaint_remarks VALUES('8210','7310','CUSTOMER NOT ATTEND CALL','92','2021-07-01 12:45:29','2021-07-01 12:45:29');
INSERT INTO complaint_remarks VALUES('8211','7297','COMPLAINT RESOLVED','92','2021-07-01 12:47:02','2021-07-01 12:47:02');
INSERT INTO complaint_remarks VALUES('8212','7284','COMPLAINT RESOLVED','92','2021-07-01 12:49:58','2021-07-01 12:49:58');
INSERT INTO complaint_remarks VALUES('8213','6450','AMEEN SAB SA BAT HO HAIN KAL TAQ IN DOOR REPLACE KAR DAY GAY','74','2021-07-01 12:51:43','2021-07-01 12:51:43');
INSERT INTO complaint_remarks VALUES('8214','6843','COMPLAINT RESOLVED','92','2021-07-01 12:59:31','2021-07-01 12:59:31');
INSERT INTO complaint_remarks VALUES('8215','7273','COMPLAINT RESOLVED','92','2021-07-01 13:09:08','2021-07-01 13:09:08');
INSERT INTO complaint_remarks VALUES('8216','7387','VISIT TO DAY INFORM BY CUSTOMER','92','2021-07-01 13:17:21','2021-07-01 13:17:21');
INSERT INTO complaint_remarks VALUES('8217','7395','COMPLAINT RESOLVED','92','2021-07-01 13:22:42','2021-07-01 13:22:42');
INSERT INTO complaint_remarks VALUES('8218','6941','JUST IN DOOR S/C LA K AAY HAIN','74','2021-07-01 13:33:56','2021-07-01 13:33:56');
INSERT INTO complaint_remarks VALUES('8219','7336','COMPLAINT ATTEND HO GAE HAY UNIT LIFT IN S/C','92','2021-07-01 13:39:48','2021-07-01 13:39:48');
INSERT INTO complaint_remarks VALUES('8220','6265','ADIL BHAI SHAM TAQ CONFIRM ARAY GAY','74','2021-07-01 13:42:54','2021-07-01 13:42:54');
INSERT INTO complaint_remarks VALUES('8221','7216','COMPLAINT ATTEND HO GAE HAY UNIT LIFT HO GA S/C','92','2021-07-01 13:50:28','2021-07-01 13:50:28');
INSERT INTO complaint_remarks VALUES('8222','7265','COMPLAINT RESOLVED','92','2021-07-01 13:54:50','2021-07-01 13:54:50');
INSERT INTO complaint_remarks VALUES('8223','7229','COMPLAINT RESOLVED','92','2021-07-01 13:59:05','2021-07-01 13:59:05');
INSERT INTO complaint_remarks VALUES('8224','7226','COMPLAINT RESOLVED','92','2021-07-01 14:02:44','2021-07-01 14:02:44');
INSERT INTO complaint_remarks VALUES('8225','7281','COMPLAINT RESOLVED','92','2021-07-01 14:34:56','2021-07-01 14:34:56');
INSERT INTO complaint_remarks VALUES('8226','5723','TECHNIC  PART KI PIC B LA K GAY BUT ABI TQ KOI RESPONSE NAI DIA','74','2021-07-01 14:55:53','2021-07-01 14:55:53');
INSERT INTO complaint_remarks VALUES('8227','6095','PART KI WAJA SA DELAY OVER COOLING HO RHAI','74','2021-07-01 14:59:17','2021-07-01 14:59:17');
INSERT INTO complaint_remarks VALUES('8228','7256','COMPLAINT RESOLVED','92','2021-07-01 15:04:05','2021-07-01 15:04:05');
INSERT INTO complaint_remarks VALUES('8229','6259','CUSTOMER STILL CALL ATTEND NAI KAR RAHA S/C SA FOLLOW UP LA K COMPLAINT CLOSED KI GASS REFIL HOI COMPLAINT CLOSED','74','2021-07-01 15:07:58','2021-07-01 15:07:58');
INSERT INTO complaint_remarks VALUES('8230','6320','COMPLAINT RESOLVED','74','2021-07-01 15:09:06','2021-07-01 15:09:06');
INSERT INTO complaint_remarks VALUES('8231','7246','COMPLAINT ATTEND HO GAE HAY DOOR DAMAGE','92','2021-07-01 15:09:51','2021-07-01 15:09:51');
INSERT INTO complaint_remarks VALUES('8232','6323','COMPLAINT RESOLVED','74','2021-07-01 15:10:26','2021-07-01 15:10:26');
INSERT INTO complaint_remarks VALUES('8233','7240','CUSTOMER NOT ATTEND CALL','92','2021-07-01 15:13:08','2021-07-01 15:13:08');
INSERT INTO complaint_remarks VALUES('8234','7240','COMPLAINT RESOLVED','92','2021-07-01 15:16:19','2021-07-01 15:16:19');
INSERT INTO complaint_remarks VALUES('8235','6415','COMPLAINT RESOLVED','74','2021-07-01 15:16:20','2021-07-01 15:16:20');
INSERT INTO complaint_remarks VALUES('8236','6512','COMPANY SIDE SA REPLACE HO GEI LED','74','2021-07-01 15:23:18','2021-07-01 15:23:18');
INSERT INTO complaint_remarks VALUES('8237','7224','CUSTOMER NOT ATTEND CALL','92','2021-07-01 15:23:38','2021-07-01 15:23:38');
INSERT INTO complaint_remarks VALUES('8238','7178','COMPLAINT RESOLVED','92','2021-07-01 15:25:10','2021-07-01 15:25:10');
INSERT INTO complaint_remarks VALUES('8239','7176','COMPLAINT RESOLVED','92','2021-07-01 15:27:24','2021-07-01 15:27:24');
INSERT INTO complaint_remarks VALUES('8240','6472','COMPLAINT RESOLVED','74','2021-07-01 15:29:32','2021-07-01 15:29:32');
INSERT INTO complaint_remarks VALUES('8241','7131','COMPLAINT RESOLVED','92','2021-07-01 15:30:03','2021-07-01 15:30:03');
INSERT INTO complaint_remarks VALUES('8242','7352','COMPLAINT RESOLVED','92','2021-07-01 15:36:15','2021-07-01 15:36:15');
INSERT INTO complaint_remarks VALUES('8243','6520','CUTOMER NA 10TH JULY KA TIME DIA HO AHAIN TECNICIAN KO 10TH JULY KO UNIT S/C LIFT KARAY GAY','74','2021-07-01 15:38:40','2021-07-01 15:38:40');
INSERT INTO complaint_remarks VALUES('8244','6597','COMPLAINT RESOLVED','74','2021-07-01 15:39:44','2021-07-01 15:39:44');
INSERT INTO complaint_remarks VALUES('8245','6602','COMPLAINT RESOLVED','74','2021-07-01 15:46:02','2021-07-01 15:46:02');
INSERT INTO complaint_remarks VALUES('8246','7040','COMPLAINT RESOLVED','92','2021-07-01 15:49:07','2021-07-01 15:49:07');
INSERT INTO complaint_remarks VALUES('8247','6705','COMPLAINT RESOLVED','74','2021-07-01 15:50:10','2021-07-01 15:50:10');
INSERT INTO complaint_remarks VALUES('8248','7038','COMPLAINT ATTEND HO GAE HAY UNIT CUSTOMER NAY KHUD S/C LANA HAY 02 DIN TAK LAY AYN GAY','92','2021-07-01 15:52:08','2021-07-01 15:52:08');
INSERT INTO complaint_remarks VALUES('8249','6800','COMPLAINT RESOLVED','74','2021-07-01 15:57:05','2021-07-01 15:57:05');
INSERT INTO complaint_remarks VALUES('8250','6756','JUST CUSTOMER KO CALL GEI HOI HAIN ABI TAQ VISIT NAI HOA','74','2021-07-01 16:03:02','2021-07-01 16:03:02');
INSERT INTO complaint_remarks VALUES('8251','6769','NOT ATTEND MY CALL','74','2021-07-01 16:06:40','2021-07-01 16:06:40');
INSERT INTO complaint_remarks VALUES('8252','6804','NOT ATTEND CALL','74','2021-07-01 16:10:42','2021-07-01 16:10:42');
INSERT INTO complaint_remarks VALUES('8253','6816','NOT ATTEND CALL','74','2021-07-01 16:12:10','2021-07-01 16:12:10');
INSERT INTO complaint_remarks VALUES('8254','7391','IN PROCESS COMPLINT','74','2021-07-01 16:14:01','2021-07-01 16:14:01');
INSERT INTO complaint_remarks VALUES('8255','7358','COMPLAINT RESOLVED','74','2021-07-01 16:15:15','2021-07-01 16:15:15');
INSERT INTO complaint_remarks VALUES('8256','6933','FRG REPLACEMENT KI BAT HUAI HAY AK DIN TAK S/C WALAY CONFORM KAR K ABDATE KARAY GAY','92','2021-07-01 16:17:03','2021-07-01 16:17:03');
INSERT INTO complaint_remarks VALUES('8257','6838','COMPLAINT RESOLVED','74','2021-07-01 16:18:11','2021-07-01 16:18:11');
INSERT INTO complaint_remarks VALUES('8258','7380','COMPLAINT RESOLVED','92','2021-07-01 16:21:50','2021-07-01 16:21:50');
INSERT INTO complaint_remarks VALUES('8259','6817','03154779095ILTAF','74','2021-07-01 16:25:08','2021-07-01 16:25:08');
INSERT INTO complaint_remarks VALUES('8260','6817','REF S/C SA READY HO K AAYA THA BUT ABI B ISSUE RESOLVED NAI HOA','74','2021-07-01 16:25:38','2021-07-01 16:25:38');
INSERT INTO complaint_remarks VALUES('8261','7377','CUSTOMER KO UNIT S/C LANA HO GA CUSTOMER SATURDAY KO UNIT S/C LAY GAY','92','2021-07-01 16:25:39','2021-07-01 16:25:39');
INSERT INTO complaint_remarks VALUES('8262','6835','NOT ATTEND CALL','74','2021-07-01 16:29:41','2021-07-01 16:29:41');
INSERT INTO complaint_remarks VALUES('8263','6963','COMPLAINT RESOLVED','92','2021-07-01 16:29:57','2021-07-01 16:29:57');
INSERT INTO complaint_remarks VALUES('8264','6852','REF BODY SIDE SA HEATUP HO RAHA THA TECHNICIAN  NS VISIT KAR K CUSTOMER KO SATISFIED KAR DIA HAIN','74','2021-07-01 16:34:14','2021-07-01 16:34:14');
INSERT INTO complaint_remarks VALUES('8265','6915','COMPLAINT RESOLVED','92','2021-07-01 16:34:52','2021-07-01 16:34:52');
INSERT INTO complaint_remarks VALUES('8266','6864','COMPLAINT RESOLVED','74','2021-07-01 16:37:57','2021-07-01 16:37:57');
INSERT INTO complaint_remarks VALUES('8267','6883','COMPLAINT RESOLVED','74','2021-07-01 16:40:51','2021-07-01 16:40:51');
INSERT INTO complaint_remarks VALUES('8268','6917','COMPLAINT RESOLVED','92','2021-07-01 16:45:59','2021-07-01 16:45:59');
INSERT INTO complaint_remarks VALUES('8269','6897','NOT ATTEND CALL','74','2021-07-01 16:46:17','2021-07-01 16:46:17');
INSERT INTO complaint_remarks VALUES('8270','6901','NOT ATTEND CALL','74','2021-07-01 16:47:37','2021-07-01 16:47:37');
INSERT INTO complaint_remarks VALUES('8271','6903','COMPLAINT RESOLVED','74','2021-07-01 16:48:41','2021-07-01 16:48:41');
INSERT INTO complaint_remarks VALUES('8272','6909','CUSTOMER NOT ATTEND CALL','92','2021-07-01 16:50:14','2021-07-01 16:50:14');
INSERT INTO complaint_remarks VALUES('8273','6474','COMPLAINT RESOLVED','92','2021-07-01 16:51:16','2021-07-01 16:51:16');
INSERT INTO complaint_remarks VALUES('8274','6909','NOT ATTEND MY CALL','74','2021-07-01 16:51:34','2021-07-01 16:51:34');
INSERT INTO complaint_remarks VALUES('8275','6926','COMPLAINT RESOLVED','74','2021-07-01 16:52:01','2021-07-01 16:52:01');
INSERT INTO complaint_remarks VALUES('8276','7048','COMPLAINT PA  COOLING KA ISSUE  RESOLVED HO GAYA HAIN AB F 1 KA ERROR AARHA HAIN AGAIN COMPLAINT REOPEND KARWA DI','74','2021-07-01 17:03:30','2021-07-01 17:03:30');
INSERT INTO complaint_remarks VALUES('8277','6906','CUSTOMER NOT ATTEND CALL','92','2021-07-01 17:07:27','2021-07-01 17:07:27');
INSERT INTO complaint_remarks VALUES('8278','7055','HAIER S/C WALO NA KHUD LIFT KARNA HAIN  INFORMED BY S/C & CUSTOMER','74','2021-07-01 17:11:41','2021-07-01 17:11:41');
INSERT INTO complaint_remarks VALUES('8279','7033','COMPLAINT RESOLVED CUSTOMER NA KHUD SA COMPLAINT CLOSED KARWA DI','74','2021-07-01 17:14:14','2021-07-01 17:14:14');
INSERT INTO complaint_remarks VALUES('8280','6892','CUSTOMER NA LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA LIYA','74','2021-07-01 17:25:14','2021-07-01 17:25:14');
INSERT INTO complaint_remarks VALUES('8281','7111','COMPLAINT RESOLVED','74','2021-07-01 17:29:13','2021-07-01 17:29:13');
INSERT INTO complaint_remarks VALUES('8282','7105','CALL BACK KARAY GAY CUSTOMER','74','2021-07-01 17:32:28','2021-07-01 17:32:28');
INSERT INTO complaint_remarks VALUES('8283','7430','03354851633  0514927027','92','2021-07-01 17:38:46','2021-07-01 17:38:46');
INSERT INTO complaint_remarks VALUES('8284','7073','NOT  ATTEND CALL','74','2021-07-01 17:38:55','2021-07-01 17:38:55');
INSERT INTO complaint_remarks VALUES('8285','7022','COMPLAINT RESOLVED','74','2021-07-01 17:40:21','2021-07-01 17:40:21');
INSERT INTO complaint_remarks VALUES('8286','6981','S/C WORKING IN PROCESS','74','2021-07-01 17:47:09','2021-07-01 17:47:09');
INSERT INTO complaint_remarks VALUES('8287','7077','S/C WORKING IN PROCESS','74','2021-07-01 17:47:46','2021-07-01 17:47:46');
INSERT INTO complaint_remarks VALUES('8288','6935','COMPLAINT RESOLVED','74','2021-07-01 17:53:19','2021-07-01 17:53:19');
INSERT INTO complaint_remarks VALUES('8289','5372','ISSUE RESOLVED NAI HOA KHURRAM SIR KO TASK# SHAER KAR DIA','74','2021-07-01 17:56:46','2021-07-01 17:56:46');
INSERT INTO complaint_remarks VALUES('8290','5723','KHURRAM SIR KO TASK# SHAER KAR DIA','74','2021-07-01 17:57:15','2021-07-01 17:57:15');
INSERT INTO complaint_remarks VALUES('8291','6095','KHURRAM SIR KO TSK # SHER KAR DIA','74','2021-07-01 17:57:54','2021-07-01 17:57:54');
INSERT INTO complaint_remarks VALUES('8292','6169','ABI TAQ KOI ISSUE RESOLVED NAI HOA HOOD IQBAL SIR K PASS HAIN KHURRAM SIR KO TASK# SHER KAR DIA','74','2021-07-01 17:58:48','2021-07-01 17:58:48');
INSERT INTO complaint_remarks VALUES('8293','6512','KHURRAM SIR  KO TASK# SHER KAR DIA','74','2021-07-01 17:59:36','2021-07-01 17:59:36');
INSERT INTO complaint_remarks VALUES('8294','6514','STILL CUSTOMER CALL ATTEND NAI KAR RAHAY','74','2021-07-01 18:02:18','2021-07-01 18:02:18');
INSERT INTO complaint_remarks VALUES('8295','6718','CUSTOMER STILL CALL ATTEND NAI KAR RAHAY','74','2021-07-01 18:04:32','2021-07-01 18:04:32');
INSERT INTO complaint_remarks VALUES('8296','6718','COMPLAINT RESOLVED','74','2021-07-01 18:05:20','2021-07-01 18:05:20');
INSERT INTO complaint_remarks VALUES('8297','7338','DISHWAHER S/C LIFT HO GAYA HAIN AJ','74','2021-07-01 18:07:35','2021-07-01 18:07:35');
INSERT INTO complaint_remarks VALUES('8298','6753','STILL NOT ATTEND MY CALL','74','2021-07-01 18:08:39','2021-07-01 18:08:39');
INSERT INTO complaint_remarks VALUES('8299','6817','KHURRAM SIR KO TASK# SHER KAR DIA','74','2021-07-01 18:09:42','2021-07-01 18:09:42');
INSERT INTO complaint_remarks VALUES('8300','6835','S.// WORKING IN PROCESS','74','2021-07-01 18:11:21','2021-07-01 18:11:21');
INSERT INTO complaint_remarks VALUES('8301','6854','COMPLAINT RESOLVED','74','2021-07-01 18:12:41','2021-07-01 18:12:41');
INSERT INTO complaint_remarks VALUES('8302','6896','COMPLAINT RESOLVED','74','2021-07-01 18:14:18','2021-07-01 18:14:18');
INSERT INTO complaint_remarks VALUES('8303','6931','COMPLAINT RESOLVED','74','2021-07-01 18:18:44','2021-07-01 18:18:44');
INSERT INTO complaint_remarks VALUES('8304','6933','TASK # KHURRAM SIR KO SHER KAR DIA','74','2021-07-01 18:19:50','2021-07-01 18:19:50');
INSERT INTO complaint_remarks VALUES('8305','6939','COMPLAINT RESOLVED','74','2021-07-01 18:21:00','2021-07-01 18:21:00');
INSERT INTO complaint_remarks VALUES('8306','6943','NOT ATTEND MY CALL','74','2021-07-01 18:24:09','2021-07-01 18:24:09');
INSERT INTO complaint_remarks VALUES('8307','7263','CUSTOMER KO CALL KRA DI HAIN GEYSER I 10 /S/C MOVE KARWA DAY','74','2021-07-02 12:21:35','2021-07-02 12:21:35');
INSERT INTO complaint_remarks VALUES('8308','7364','IN PROCESS COMPLAINT REMINDER BY AZHAR SAB','74','2021-07-02 15:55:19','2021-07-02 15:55:19');
INSERT INTO complaint_remarks VALUES('8309','6842','CUSTOMER KI NAEEM KENWOOD SA BT HO GEI HAIN KAL 12 BAJY KA TIME DIA HAIN CUSTOMER KO GARI BAJWANY K','74','2021-07-02 16:23:48','2021-07-02 16:23:48');
INSERT INTO complaint_remarks VALUES('8310','6842','INFORMED BY KHURRAM SIR & HASSAN FHHS','74','2021-07-02 16:24:15','2021-07-02 16:24:15');
INSERT INTO complaint_remarks VALUES('8311','6434','COMPLAINT RESOLVED','74','2021-07-02 16:40:00','2021-07-02 16:40:00');
INSERT INTO complaint_remarks VALUES('8312','7189','PART DEMAND KIYA HOA THA PART AAGAY HAIN KAL TAQ YHA COMPLAINT RESOLVED HO JAY GEI','74','2021-07-02 17:14:13','2021-07-02 17:14:13');
INSERT INTO complaint_remarks VALUES('8313','7189','INFORMED BY CUSTOMER#KHURRAM GOOGLE','74','2021-07-02 17:14:32','2021-07-02 17:14:32');
INSERT INTO complaint_remarks VALUES('8314','7534','03142437715  TACTION','92','2021-07-03 11:40:01','2021-07-03 11:40:01');
INSERT INTO complaint_remarks VALUES('8315','7534','COMPLAINT ATTEND HO GAE HAY 05 UNIT MAY ISSUE THA 04 UNIT OK HO GAY HAY 01 ABI UNIT OK NAI HUA MONDAY TAK S/C WALAY ABDATE KARAY GAY INFORM BY CUSTOMER','92','2021-07-03 11:44:06','2021-07-03 11:44:06');
INSERT INTO complaint_remarks VALUES('8316','7442','CUSTOMER NOT ATTEND CALL','92','2021-07-03 12:10:27','2021-07-03 12:10:27');
INSERT INTO complaint_remarks VALUES('8317','7288','0518460882 TACTION','92','2021-07-03 12:29:28','2021-07-03 12:29:28');
INSERT INTO complaint_remarks VALUES('8318','7288','AJ SHAMM TAK DELIVER HO JAY GA W/D CUSTOMER K GHAR','92','2021-07-03 12:39:08','2021-07-03 12:39:08');
INSERT INTO complaint_remarks VALUES('8319','7146','UNIT S/C MAY HAY MONDAY TAK OK HO GA','92','2021-07-03 12:40:45','2021-07-03 12:40:45');
INSERT INTO complaint_remarks VALUES('8320','7455','COMPLAINT RESOLVED','92','2021-07-03 12:51:41','2021-07-03 12:51:41');
INSERT INTO complaint_remarks VALUES('8321','7457','COMPLAINT RESOLVED','92','2021-07-03 12:59:35','2021-07-03 12:59:35');
INSERT INTO complaint_remarks VALUES('8322','7458','COMPLAINT RESOLVED','92','2021-07-03 13:03:15','2021-07-03 13:03:15');
INSERT INTO complaint_remarks VALUES('8323','7459','COMPLAINT RESOLVED','92','2021-07-03 13:06:06','2021-07-03 13:06:06');
INSERT INTO complaint_remarks VALUES('8324','7461','CUSTOMER NOT ATTEND CALL','92','2021-07-03 13:09:04','2021-07-03 13:09:04');
INSERT INTO complaint_remarks VALUES('8325','7463','COMPLAINT RESOLVED','92','2021-07-03 13:11:38','2021-07-03 13:11:38');
INSERT INTO complaint_remarks VALUES('8326','7469','COMPLAINT RESOLVED','92','2021-07-03 13:18:00','2021-07-03 13:18:00');
INSERT INTO complaint_remarks VALUES('8327','7472','COMPLAINT RESOLVED','92','2021-07-03 13:22:21','2021-07-03 13:22:21');
INSERT INTO complaint_remarks VALUES('8328','7474','COMPLAINT RESOLVED','92','2021-07-03 13:24:11','2021-07-03 13:24:11');
INSERT INTO complaint_remarks VALUES('8329','7475','CUSTOMER SAY CONTACT KEYA HAY IN KI ORIENT KI COMPLAINT THI BUT CUSTOMER K PASS INVOICE NAI THI SO COMPLAINT CLOSED','92','2021-07-03 13:41:20','2021-07-03 13:41:20');
INSERT INTO complaint_remarks VALUES('8330','7408','03207354268 LG S/C NO','92','2021-07-03 13:50:48','2021-07-03 13:50:48');
INSERT INTO complaint_remarks VALUES('8331','7480','COMPLAINT RESOLVED','92','2021-07-03 14:27:58','2021-07-03 14:27:58');
INSERT INTO complaint_remarks VALUES('8332','7481','COMPLAINT RESOLVED','92','2021-07-03 14:30:08','2021-07-03 14:30:08');
INSERT INTO complaint_remarks VALUES('8333','7487','TACTION CUSTOMER K GHAR PAR HAY COMPLAINT IN PROCESS','92','2021-07-03 14:32:18','2021-07-03 14:32:18');
INSERT INTO complaint_remarks VALUES('8334','7488','COMPLAINT CLOSED','92','2021-07-03 14:33:23','2021-07-03 14:33:23');
INSERT INTO complaint_remarks VALUES('8335','7437','COMPLAINT RESOLVED','92','2021-07-03 14:44:01','2021-07-03 14:44:01');
INSERT INTO complaint_remarks VALUES('8336','7436','COMPLAINT RESOLVED','92','2021-07-03 14:46:47','2021-07-03 14:46:47');
INSERT INTO complaint_remarks VALUES('8337','7435','COMPLAINT RESOLVED','92','2021-07-03 14:48:54','2021-07-03 14:48:54');
INSERT INTO complaint_remarks VALUES('8338','7433','03315446994 OTHER MOBILE NO','92','2021-07-03 14:55:19','2021-07-03 14:55:19');
INSERT INTO complaint_remarks VALUES('8339','7431','COMPLAINT RESOLVED','92','2021-07-03 15:01:30','2021-07-03 15:01:30');
INSERT INTO complaint_remarks VALUES('8340','7427','COMPLAINT CLOSED','92','2021-07-03 15:22:25','2021-07-03 15:22:25');
INSERT INTO complaint_remarks VALUES('8341','7426','COMPLAINT RESOLVED','92','2021-07-03 15:24:40','2021-07-03 15:24:40');
INSERT INTO complaint_remarks VALUES('8342','7425','COMPLAINT RESOLVED','92','2021-07-03 15:27:01','2021-07-03 15:27:01');
INSERT INTO complaint_remarks VALUES('8343','7418','CUSTOMER NOT ATTEND CALL','92','2021-07-03 15:32:25','2021-07-03 15:32:25');
INSERT INTO complaint_remarks VALUES('8344','7584','PESHAWAR=ABID NOOR 03179998707','73','2021-07-03 15:33:51','2021-07-03 15:33:51');
INSERT INTO complaint_remarks VALUES('8345','7414','COMPLAINT RESOLVED','92','2021-07-03 15:34:53','2021-07-03 15:34:53');
INSERT INTO complaint_remarks VALUES('8346','7411','COMPLAINT RESOLVED','92','2021-07-03 15:40:36','2021-07-03 15:40:36');
INSERT INTO complaint_remarks VALUES('8347','6842','UNIT S/C AY GAYA HAY WORKING IN PROCESS','92','2021-07-03 15:47:30','2021-07-03 15:47:30');
INSERT INTO complaint_remarks VALUES('8348','7409','COMPLAINT RESOLVED','92','2021-07-03 16:03:32','2021-07-03 16:03:32');
INSERT INTO complaint_remarks VALUES('8349','7405','COMPLAINT RESOLVED','92','2021-07-03 16:07:17','2021-07-03 16:07:17');
INSERT INTO complaint_remarks VALUES('8350','7404','COMPLAINT ATTEND HO GAE HAY CUSTOMER NAY UNIT S/C LAY KAR ANA HAY MONDAY KO CUSTOMER UNIT LIFT KARWAY GAY','92','2021-07-03 16:11:11','2021-07-03 16:11:11');
INSERT INTO complaint_remarks VALUES('8351','7400','COMPLAINT RESOLVED','92','2021-07-03 16:16:17','2021-07-03 16:16:17');
INSERT INTO complaint_remarks VALUES('8352','7396','COMPLAINT RESOLVED','92','2021-07-03 16:26:12','2021-07-03 16:26:12');
INSERT INTO complaint_remarks VALUES('8353','7394','COMPLAINT RESOLVED','92','2021-07-03 16:29:06','2021-07-03 16:29:06');
INSERT INTO complaint_remarks VALUES('8354','7388','CUSTOMER KO UNIT REPLACE KAR DEYA HAY COMPLAINT CLOSED','92','2021-07-03 16:58:07','2021-07-03 16:58:07');
INSERT INTO complaint_remarks VALUES('8355','7377','COMPLAINT RESOLVED','92','2021-07-03 17:12:38','2021-07-03 17:12:38');
INSERT INTO complaint_remarks VALUES('8356','7592','PESHAWAR=03179998707','73','2021-07-03 17:56:10','2021-07-03 17:56:10');
INSERT INTO complaint_remarks VALUES('8357','7598','COSTUMER NE KHUD LAUNCH KARWAI... INSTALLER KO B KHUD INFORM KIA OR COMPANY KO B','73','2021-07-03 18:04:38','2021-07-03 18:04:38');
INSERT INTO complaint_remarks VALUES('8358','7598','INTERNAL LEAKAGE HA AC COMAPNY SERVICE CENTRE HA FOR REPARING','73','2021-07-03 18:05:11','2021-07-03 18:05:11');
INSERT INTO complaint_remarks VALUES('8359','7545','COMPLAINT RESOLVED','92','2021-07-04 11:45:49','2021-07-04 11:45:49');
INSERT INTO complaint_remarks VALUES('8360','6950','CUSTOMER NOT ATTEND CALL','92','2021-07-04 12:20:23','2021-07-04 12:20:23');
INSERT INTO complaint_remarks VALUES('8361','7390','COMPLAINT RESOLVED','92','2021-07-04 12:25:44','2021-07-04 12:25:44');
INSERT INTO complaint_remarks VALUES('8362','7379','VISIT HO GAYA HAY UNIT S/C HAY WORKING IN PROCESS','92','2021-07-04 12:30:55','2021-07-04 12:30:55');
INSERT INTO complaint_remarks VALUES('8363','7378','CUSTOMER KO TACTION KI CALL AYI THI CUSTOMER GHAR PAR NAI HAY MONDAY KO CALL KAR K INFORM KARAY GE CUSTOMER','92','2021-07-04 12:38:39','2021-07-04 12:38:39');
INSERT INTO complaint_remarks VALUES('8364','7371','COMPLAINT RESOLVED','92','2021-07-04 12:42:35','2021-07-04 12:42:35');
INSERT INTO complaint_remarks VALUES('8365','7369','COMPLAINT RESOLVED','92','2021-07-04 12:45:16','2021-07-04 12:45:16');
INSERT INTO complaint_remarks VALUES('8366','7368','COMPLAINT RESOLVED','92','2021-07-04 12:48:38','2021-07-04 12:48:38');
INSERT INTO complaint_remarks VALUES('8367','7367','COMPLAINT RESOLVED','92','2021-07-04 12:51:20','2021-07-04 12:51:20');
INSERT INTO complaint_remarks VALUES('8368','7365','CUSTOMER UNIT REPLACE KARWA LEYA HAY COMPLAINT CLOSED','92','2021-07-04 12:56:20','2021-07-04 12:56:20');
INSERT INTO complaint_remarks VALUES('8369','7362','COMPLAINT RESOLVED','92','2021-07-04 12:58:18','2021-07-04 12:58:18');
INSERT INTO complaint_remarks VALUES('8370','7360','COMPLAINT FF TO VENDOR','92','2021-07-04 13:13:04','2021-07-04 13:13:04');
INSERT INTO complaint_remarks VALUES('8371','7357','COMPLAINT RESOLVED','92','2021-07-04 13:16:08','2021-07-04 13:16:08');
INSERT INTO complaint_remarks VALUES('8372','7356','COMPLAINT RESOLVED','92','2021-07-04 13:19:48','2021-07-04 13:19:48');
INSERT INTO complaint_remarks VALUES('8373','7348','COMPLAINT ATTEND HO GAE HAY BUT NOT RESOLVED','92','2021-07-04 13:26:50','2021-07-04 13:26:50');
INSERT INTO complaint_remarks VALUES('8374','7346','COMPLAINT RESOLVED','92','2021-07-04 13:28:42','2021-07-04 13:28:42');
INSERT INTO complaint_remarks VALUES('8375','7345','CUSTOMER NOT ATTEND CALL','92','2021-07-04 13:40:10','2021-07-04 13:40:10');
INSERT INTO complaint_remarks VALUES('8376','7339','COMPLAINT RESOLVED','92','2021-07-04 13:43:06','2021-07-04 13:43:06');
INSERT INTO complaint_remarks VALUES('8377','7323','COMPLAINT RESOLVED','92','2021-07-04 13:56:09','2021-07-04 13:56:09');
INSERT INTO complaint_remarks VALUES('8378','7321','CUSTOMER AJ B CALL ATTEND NAI KAR RAHY','92','2021-07-04 13:58:52','2021-07-04 13:58:52');
INSERT INTO complaint_remarks VALUES('8379','7527','TACTION NAY CALL KI THI CUSTOMER KO CUSTOMER GHAR PAR NAI THAY PHER AGAIN CALL KI TAB CUSTOMER KI LIGHT NAI THI MONDAY KO AB VISIT HO GA','92','2021-07-04 14:10:04','2021-07-04 14:10:04');
INSERT INTO complaint_remarks VALUES('8380','7310','COMPLAINT RESOLVED','92','2021-07-04 14:14:05','2021-07-04 14:14:05');
INSERT INTO complaint_remarks VALUES('8381','7214','CUSTOMER AJ B CALL ATTEND NAI KAR RAHY','92','2021-07-04 15:05:16','2021-07-04 15:05:16');
INSERT INTO complaint_remarks VALUES('8382','7201','COMPLAINT RESOLVED','92','2021-07-04 15:06:28','2021-07-04 15:06:28');
INSERT INTO complaint_remarks VALUES('8383','7189','COMPLAINT RESOLVED','92','2021-07-04 15:09:30','2021-07-04 15:09:30');
INSERT INTO complaint_remarks VALUES('8384','7187','KAL BEST COOL KI TARAF SAY VISIT HO GA CUSTOMER K GHAR','92','2021-07-04 15:15:46','2021-07-04 15:15:46');
INSERT INTO complaint_remarks VALUES('8385','7118','COMPLAINT RESOLVED','92','2021-07-04 15:32:31','2021-07-04 15:32:31');
INSERT INTO complaint_remarks VALUES('8386','7113','COMPLAINT RESOLVED','92','2021-07-04 15:49:21','2021-07-04 15:49:21');
INSERT INTO complaint_remarks VALUES('8387','7105','COMPLAINT RESOLVED','92','2021-07-04 15:52:29','2021-07-04 15:52:29');
INSERT INTO complaint_remarks VALUES('8388','7074','CUSTOMER NAY LOCAL TACTION SAY ISSUE RESOLVED KARWA LEYA HAY COMPLAINT CLOSED','92','2021-07-04 16:11:06','2021-07-04 16:11:06');
INSERT INTO complaint_remarks VALUES('8389','7057','COMPLAINT ATTEND HO GAE THI BUT ISSUE NOT RESOLVED COMPAINE MAY REOPEN KARWA DE HAY COMPLAINT','92','2021-07-04 16:16:01','2021-07-04 16:16:01');
INSERT INTO complaint_remarks VALUES('8390','6991','COMPLAINT RESOLVED','92','2021-07-04 16:19:49','2021-07-04 16:19:49');
INSERT INTO complaint_remarks VALUES('8391','7012','COMPLAINT RESOLVED','92','2021-07-04 16:33:45','2021-07-04 16:33:45');
INSERT INTO complaint_remarks VALUES('8392','7008','CUSTOMER NOT ATTEND CALL','92','2021-07-04 16:37:13','2021-07-04 16:37:13');
INSERT INTO complaint_remarks VALUES('8393','7003','COMPLAINT RESOLVED','92','2021-07-04 16:39:12','2021-07-04 16:39:12');
INSERT INTO complaint_remarks VALUES('8394','7002','0514851074  IKRAM SIR','92','2021-07-04 16:46:44','2021-07-04 16:46:44');
INSERT INTO complaint_remarks VALUES('8395','6990','CUSTOMER GHAR PAR NAI THI AGAIN COMPAINE MAY REOPEN KARWA DE HAY COMPLAINT','92','2021-07-04 17:15:00','2021-07-04 17:15:00');
INSERT INTO complaint_remarks VALUES('8396','6980','CUSTOMER SAY BAT HUAI HAY CUSTOMER GHAR PAR NAI THAY IS LEAY ATTEND NAI HUAI COMPLAINT CUSTOMER TACTION KO CALL KAR DAY GAY VISIT K LEAY SO COMPLAINT CLOSED','92','2021-07-04 17:47:32','2021-07-04 17:47:32');
INSERT INTO complaint_remarks VALUES('8397','6990','MOBILE NO 03008568277  CUSTOMER','92','2021-07-04 17:59:37','2021-07-04 17:59:37');
INSERT INTO complaint_remarks VALUES('8398','7606','AJ VISIT HO GA TACTION KI CALL AY GAE HAY CUSTOMER KO','92','2021-07-05 12:01:11','2021-07-05 12:01:11');
INSERT INTO complaint_remarks VALUES('8399','7629','THURSDAY KO UNIT S/C AYA HAY AJ S/C WALAY TASTING PAR LAGAYA HAY SHAM TAK ABDATE KARAY GAY','92','2021-07-05 12:02:24','2021-07-05 12:02:24');
INSERT INTO complaint_remarks VALUES('8400','7548','VISIT TO DAY BUT CUSTOMER NOT ATTEND CALL','92','2021-07-05 12:29:13','2021-07-05 12:29:13');
INSERT INTO complaint_remarks VALUES('8401','7038','CUSTOMER ABI UNIT S/C LANAY K LEAY AGREE NAI HAY CUSTOMER SAY CONFORM KAR K CLOSED KI HAY COMPLAINT','92','2021-07-05 12:45:10','2021-07-05 12:45:10');
INSERT INTO complaint_remarks VALUES('8402','7031','COMPLAINT RESOLVED','92','2021-07-05 12:54:24','2021-07-05 12:54:24');
INSERT INTO complaint_remarks VALUES('8403','7030','COMPLAINT RESOLVED','92','2021-07-05 12:57:06','2021-07-05 12:57:06');
INSERT INTO complaint_remarks VALUES('8404','7015','COMPLAINT RESOLVED','92','2021-07-05 13:04:12','2021-07-05 13:04:12');
INSERT INTO complaint_remarks VALUES('8405','7011','CUSTOMER NOT ATTEND CALL','92','2021-07-05 13:13:57','2021-07-05 13:13:57');
INSERT INTO complaint_remarks VALUES('8406','7008','COMPLAINT RESOLVED','92','2021-07-05 13:19:24','2021-07-05 13:19:24');
INSERT INTO complaint_remarks VALUES('8407','6999','COMPLAINT RESOLVED','92','2021-07-05 13:26:12','2021-07-05 13:26:12');
INSERT INTO complaint_remarks VALUES('8408','7146','KAL TAK ISSUE RESOLVED HO JAY GA','92','2021-07-05 13:45:22','2021-07-05 13:45:22');
INSERT INTO complaint_remarks VALUES('8409','6996','COMPLAINT RESOLVED','92','2021-07-05 14:10:58','2021-07-05 14:10:58');
INSERT INTO complaint_remarks VALUES('8410','6970','COMPLAINT RESOLVED','92','2021-07-05 14:34:30','2021-07-05 14:34:30');
INSERT INTO complaint_remarks VALUES('8411','6975','COMPLAINT RESOLVED','92','2021-07-05 14:48:31','2021-07-05 14:48:31');
INSERT INTO complaint_remarks VALUES('8412','6950','VISIT TO DAY','92','2021-07-05 14:50:58','2021-07-05 14:50:58');
INSERT INTO complaint_remarks VALUES('8413','6944','COMPLAINT RESOLVED','92','2021-07-05 14:52:03','2021-07-05 14:52:03');
INSERT INTO complaint_remarks VALUES('8414','6943','COMPLAINT RESOLVED','92','2021-07-05 14:54:00','2021-07-05 14:54:00');
INSERT INTO complaint_remarks VALUES('8415','6940','FLAPPER ISSUE COMPLAINT IN PROCESS','92','2021-07-05 15:05:55','2021-07-05 15:05:55');
INSERT INTO complaint_remarks VALUES('8416','6934','COMPLAINT RESOLVED','92','2021-07-05 15:14:02','2021-07-05 15:14:02');
INSERT INTO complaint_remarks VALUES('8417','6925','CUSTOMER K GHAR EMERGENCE HO GAE THI ABI CUSTOMER OUT OFF STATION HAY JAB AY GAY TO COMPLAINT REOPEN KARWA LAY GAY COMPLAINT CLOSED','92','2021-07-05 15:47:41','2021-07-05 15:47:41');
INSERT INTO complaint_remarks VALUES('8418','7523','0518460882  03105068546 SHAHID YE COMPLAINT ATTEND KARWAY GAY','92','2021-07-05 15:56:29','2021-07-05 15:56:29');
INSERT INTO complaint_remarks VALUES('8419','6922','DOOR DEMAND KIYA HUA HAY IN PROCESS COMPLAINT','92','2021-07-05 16:07:23','2021-07-05 16:07:23');
INSERT INTO complaint_remarks VALUES('8420','6909','COMPLAINT RESOLVED','92','2021-07-05 16:11:40','2021-07-05 16:11:40');
INSERT INTO complaint_remarks VALUES('8421','6901','CUSTOMER AJ B CALL ATTEND NAI KAR RAHY','92','2021-07-05 16:28:05','2021-07-05 16:28:05');
INSERT INTO complaint_remarks VALUES('8422','6897','COMPLAINT RESOLVED','92','2021-07-05 16:29:17','2021-07-05 16:29:17');
INSERT INTO complaint_remarks VALUES('8423','6895','03 DIN OR LAG JAY GAY PART ANAY MAY','92','2021-07-05 16:32:02','2021-07-05 16:32:02');
INSERT INTO complaint_remarks VALUES('8424','6890','COMPLAINT RESOLVED','92','2021-07-05 16:33:18','2021-07-05 16:33:18');
INSERT INTO complaint_remarks VALUES('8425','6886','COMPLAINT RESOLVED','92','2021-07-05 16:36:11','2021-07-05 16:36:11');
INSERT INTO complaint_remarks VALUES('8426','7184','5-JUL-2021
COMPLAINT#192125383','73','2021-07-05 16:41:51','2021-07-05 16:41:51');
INSERT INTO complaint_remarks VALUES('8427','6878','COMPLAINT RESOLVED','92','2021-07-05 16:50:49','2021-07-05 16:50:49');
INSERT INTO complaint_remarks VALUES('8428','7288','03105068546 SHAHID','92','2021-07-05 16:58:30','2021-07-05 16:58:30');
INSERT INTO complaint_remarks VALUES('8429','6876','COMPLAINT RESOLVED','92','2021-07-05 17:06:16','2021-07-05 17:06:16');
INSERT INTO complaint_remarks VALUES('8430','6868','COMPLAINT RESOLVED','92','2021-07-05 17:07:58','2021-07-05 17:07:58');
INSERT INTO complaint_remarks VALUES('8431','6866','COMPLAINT RESOLVED','92','2021-07-05 17:09:31','2021-07-05 17:09:31');
INSERT INTO complaint_remarks VALUES('8432','6861','CUSTOMER NOT ATTEND CALL','92','2021-07-05 17:12:32','2021-07-05 17:12:32');
INSERT INTO complaint_remarks VALUES('8433','6858','COMPLAINT RESOLVED','92','2021-07-05 17:13:52','2021-07-05 17:13:52');
INSERT INTO complaint_remarks VALUES('8434','6853','COMPLAINT RESOLVED','92','2021-07-05 17:17:05','2021-07-05 17:17:05');
INSERT INTO complaint_remarks VALUES('8435','6851','COMPLAINT RESOLVED','92','2021-07-05 17:18:38','2021-07-05 17:18:38');
INSERT INTO complaint_remarks VALUES('8436','6848','COMPLAINT RESOLVED','92','2021-07-05 17:21:41','2021-07-05 17:21:41');
INSERT INTO complaint_remarks VALUES('8437','6846','COMPLAINT RESOLVED','92','2021-07-05 17:29:53','2021-07-05 17:29:53');
INSERT INTO complaint_remarks VALUES('8438','6836','COMPLAINT RESOLVED','92','2021-07-05 17:39:58','2021-07-05 17:39:58');
INSERT INTO complaint_remarks VALUES('8439','6834','COMPLAINT RESOLVED','92','2021-07-05 17:42:13','2021-07-05 17:42:13');
INSERT INTO complaint_remarks VALUES('8440','6829','COMPLAINT RESOLVED','92','2021-07-05 17:55:23','2021-07-05 17:55:23');
INSERT INTO complaint_remarks VALUES('8441','6824','CUSTOMER NAY UNIT S/C LANA HAY BUT CUSTOMER UNIT S/C LANAY K LEAY AGREE NAI HAY COMPAINE MAY COMPLAINT REOPEN KARWA DE HAY COMPLAINT','92','2021-07-05 18:00:30','2021-07-05 18:00:30');
INSERT INTO complaint_remarks VALUES('8442','6819','CUSTOMER NOT ATTEND CALL','92','2021-07-05 18:04:13','2021-07-05 18:04:13');
INSERT INTO complaint_remarks VALUES('8443','6806','COMPLAINT RESOLVED','92','2021-07-05 18:16:31','2021-07-05 18:16:31');
INSERT INTO complaint_remarks VALUES('8444','6795','CUSTOMER NOT ATTEND CALL','92','2021-07-05 18:20:48','2021-07-05 18:20:48');
INSERT INTO complaint_remarks VALUES('8445','6785','COMPLAINT RESOLVED','92','2021-07-05 18:26:51','2021-07-05 18:26:51');
INSERT INTO complaint_remarks VALUES('8446','7492','COMPLAINT RESOLVED','92','2021-07-06 12:39:45','2021-07-06 12:39:45');
INSERT INTO complaint_remarks VALUES('8447','7468','03099977104 HAMAD TACTION','92','2021-07-06 12:43:45','2021-07-06 12:43:45');
INSERT INTO complaint_remarks VALUES('8448','7468','OTHER NO 03337445504 
03006410178 TANVEER CUSTOMER','92','2021-07-06 12:50:54','2021-07-06 12:50:54');
INSERT INTO complaint_remarks VALUES('8449','7587','COMPLAINT RESOLVED','92','2021-07-06 13:05:07','2021-07-06 13:05:07');
INSERT INTO complaint_remarks VALUES('8450','6831','CUSTOMER NOT ATTEND CALL','92','2021-07-06 13:19:05','2021-07-06 13:19:05');
INSERT INTO complaint_remarks VALUES('8451','6819','COMPLAINT RESOLVED','92','2021-07-06 13:32:34','2021-07-06 13:32:34');
INSERT INTO complaint_remarks VALUES('8452','7635','COMPLAINT CLOSED','92','2021-07-06 13:40:15','2021-07-06 13:40:15');
INSERT INTO complaint_remarks VALUES('8453','6808','COMPLAINT RESOLVED','92','2021-07-06 14:23:20','2021-07-06 14:23:20');
INSERT INTO complaint_remarks VALUES('8454','6783','CUSTOMER NOT ATTEND CALL','92','2021-07-06 14:29:36','2021-07-06 14:29:36');
INSERT INTO complaint_remarks VALUES('8455','6782','CUSTOMER NOT ATTEND CALL','92','2021-07-06 14:31:58','2021-07-06 14:31:58');
INSERT INTO complaint_remarks VALUES('8456','6780','CUSTOMER NOT ATTEND CALL','92','2021-07-06 14:35:17','2021-07-06 14:35:17');
INSERT INTO complaint_remarks VALUES('8457','6776','CUSTOMER NOT ATTEND CALL','92','2021-07-06 14:45:22','2021-07-06 14:45:22');
INSERT INTO complaint_remarks VALUES('8458','6769','COMPLAINT RESOLVED','92','2021-07-06 15:18:11','2021-07-06 15:18:11');
INSERT INTO complaint_remarks VALUES('8459','6768','COMPLAINT RESOLVED','92','2021-07-06 15:19:29','2021-07-06 15:19:29');
INSERT INTO complaint_remarks VALUES('8460','6758','COMPLAINT RESOLVED','92','2021-07-06 15:21:32','2021-07-06 15:21:32');
INSERT INTO complaint_remarks VALUES('8461','7434','REMIND TO ANWAER CARAVELL','73','2021-07-06 15:22:11','2021-07-06 15:22:11');
INSERT INTO complaint_remarks VALUES('8462','6757','COMPLAINT RESOLVED','92','2021-07-06 15:23:40','2021-07-06 15:23:40');
INSERT INTO complaint_remarks VALUES('8463','6754','COMPLAINT CANCEL','92','2021-07-06 15:25:41','2021-07-06 15:25:41');
INSERT INTO complaint_remarks VALUES('8464','6753','CUSTOMER NOT ATTEND CALL','92','2021-07-06 15:27:14','2021-07-06 15:27:14');
INSERT INTO complaint_remarks VALUES('8465','6753','COMPLAINT RESOLVED','92','2021-07-06 15:27:49','2021-07-06 15:27:49');
INSERT INTO complaint_remarks VALUES('8466','6747','CUSTOMER NOT ATTEND CALL','92','2021-07-06 15:31:27','2021-07-06 15:31:27');
INSERT INTO complaint_remarks VALUES('8467','6745','COMPLAINT RESOLVED','92','2021-07-06 15:32:53','2021-07-06 15:32:53');
INSERT INTO complaint_remarks VALUES('8468','6744','COMPLAINT RESOLVED','92','2021-07-06 15:36:03','2021-07-06 15:36:03');
INSERT INTO complaint_remarks VALUES('8469','6739','CUSTOMER NOT ATTEND CALL','92','2021-07-06 15:42:12','2021-07-06 15:42:12');
INSERT INTO complaint_remarks VALUES('8470','6733','CUSTOMER KO S/C KA NO PROVIDE KAR DEYA HAY COMPLAINT CLOSED','92','2021-07-06 15:46:09','2021-07-06 15:46:09');
INSERT INTO complaint_remarks VALUES('8471','6728','CUSTOMER NOT ATTEND CALL','92','2021-07-06 15:51:28','2021-07-06 15:51:28');
INSERT INTO complaint_remarks VALUES('8472','6725','COMPLAINT RESOLVED','92','2021-07-06 15:52:47','2021-07-06 15:52:47');
INSERT INTO complaint_remarks VALUES('8473','6724','COMPLAINT RESOLVED','92','2021-07-06 15:55:35','2021-07-06 15:55:35');
INSERT INTO complaint_remarks VALUES('8474','6721','CUSTOMER NAY UNIT REPLACE KARWA LEYA HAY COMPLAINT CLOSED','92','2021-07-06 15:58:06','2021-07-06 15:58:06');
INSERT INTO complaint_remarks VALUES('8475','6714','CUSTOMER NOT ATTEND CALL','92','2021-07-06 16:00:20','2021-07-06 16:00:20');
INSERT INTO complaint_remarks VALUES('8476','6713','COMPLAINT RESOLVED','92','2021-07-06 16:02:40','2021-07-06 16:02:40');
INSERT INTO complaint_remarks VALUES('8477','6702','COMPLAINT RESOLVED','92','2021-07-06 16:10:16','2021-07-06 16:10:16');
INSERT INTO complaint_remarks VALUES('8478','6700','COMPLAINT RESOLVED','92','2021-07-06 16:16:39','2021-07-06 16:16:39');
INSERT INTO complaint_remarks VALUES('8479','7288','COMPLAINT RESOLVED NAI HUAI REOPEN KARWA DE HAY COMPLAINT COMPAINE MAY','92','2021-07-06 16:28:38','2021-07-06 16:28:38');
INSERT INTO complaint_remarks VALUES('8480','6695','COMPLAINT RESOLVED','92','2021-07-06 16:34:35','2021-07-06 16:34:35');
INSERT INTO complaint_remarks VALUES('8481','6694','COMPLAINT RESOLVED','92','2021-07-06 16:36:20','2021-07-06 16:36:20');
INSERT INTO complaint_remarks VALUES('8482','6688','COMPLAINT RESOLVED','92','2021-07-06 16:40:15','2021-07-06 16:40:15');
INSERT INTO complaint_remarks VALUES('8483','6979','CUSTOMER NAY UNIT REPLACE KARWA LEAY HAY COMPLAINT CLOSED','92','2021-07-06 16:46:17','2021-07-06 16:46:17');
INSERT INTO complaint_remarks VALUES('8484','6686','CUSTOMER AJ B CALL ATTEND NAI KAR RAHY','92','2021-07-06 16:50:12','2021-07-06 16:50:12');
INSERT INTO complaint_remarks VALUES('8485','6683','COMPLAINT RESOLVED','92','2021-07-06 16:54:40','2021-07-06 16:54:40');
INSERT INTO complaint_remarks VALUES('8486','6682','COMPLAINT RESOLVED','92','2021-07-06 16:57:28','2021-07-06 16:57:28');
INSERT INTO complaint_remarks VALUES('8487','6681','PART ISSUE CUSTOMER AGREE NAI HAY COMPLAINT ATTEND KARWANAY K LEAY SO COMPLAINT CLOSED','92','2021-07-06 17:00:44','2021-07-06 17:00:44');
INSERT INTO complaint_remarks VALUES('8488','6679','COMPLAINT RESOLVED','92','2021-07-06 17:02:15','2021-07-06 17:02:15');
INSERT INTO complaint_remarks VALUES('8489','6672','CUSTOMER NOT ATTEND CALL','92','2021-07-06 17:06:22','2021-07-06 17:06:22');
INSERT INTO complaint_remarks VALUES('8490','6667','CUSTOMER NOT ATTEND CALL','92','2021-07-06 17:09:12','2021-07-06 17:09:12');
INSERT INTO complaint_remarks VALUES('8491','6661','COMPLAINT ATTEND HO GAE HAY CUSTOMER AJ UNIT S/C LAY AY HAY COMPLAINT IN PROCESS','92','2021-07-06 17:13:44','2021-07-06 17:13:44');
INSERT INTO complaint_remarks VALUES('8492','6628','COMPLAINT RESOLVED','92','2021-07-06 17:34:28','2021-07-06 17:34:28');
INSERT INTO complaint_remarks VALUES('8493','6624','COMPLAINT RESOLVED','92','2021-07-06 17:51:25','2021-07-06 17:51:25');
INSERT INTO complaint_remarks VALUES('8494','6622','CUSTOMER SAY BAT HUAI HAY CUSTOMER GHAR PAR NAI THAY AB AY GAY HAY COMPLAINT COMPAINE MAY REOPEN KARWA DE HAY','92','2021-07-06 17:55:03','2021-07-06 17:55:03');
INSERT INTO complaint_remarks VALUES('8495','6618','VISIT TO DAY TACTION KI CALL AY GAE HAY','92','2021-07-06 17:57:57','2021-07-06 17:57:57');
INSERT INTO complaint_remarks VALUES('8496','6605','COMPLAINT RESOLVED','92','2021-07-06 18:00:30','2021-07-06 18:00:30');
INSERT INTO complaint_remarks VALUES('8497','7584','VISIT TO DAY INFORM BY CUSTOMER','92','2021-07-06 18:02:53','2021-07-06 18:02:53');
INSERT INTO complaint_remarks VALUES('8498','7468','PCB ISSUE COMPLAINT IN PROVESS KAL TAK ISSUE RESOLVED HO JAY  GA','92','2021-07-06 18:12:33','2021-07-06 18:12:33');
INSERT INTO complaint_remarks VALUES('8499','7468','PCB ISSUE COMPLAINT IN PROVESS KAL TAK ISSUE RESOLVED HO JAY  GA','92','2021-07-06 18:12:34','2021-07-06 18:12:34');
INSERT INTO complaint_remarks VALUES('8500','7468','PCB ISSUE COMPLAINT IN PROVESS KAL TAK ISSUE RESOLVED HO JAY  GA','92','2021-07-06 18:12:34','2021-07-06 18:12:34');
INSERT INTO complaint_remarks VALUES('8501','7311','COMPLAINT ATTEND HO GAE HAY UNIT LIFT HO GA S/C','92','2021-07-07 11:04:23','2021-07-07 11:04:23');
INSERT INTO complaint_remarks VALUES('8502','6653','COMPLAINT RESOLVED','92','2021-07-07 11:09:13','2021-07-07 11:09:13');
INSERT INTO complaint_remarks VALUES('8503','7444','issue not resolve','74','2021-07-07 11:14:39','2021-07-07 11:14:39');
INSERT INTO complaint_remarks VALUES('8504','7443','complaint resolved','74','2021-07-07 11:16:53','2021-07-07 11:16:53');
INSERT INTO complaint_remarks VALUES('8505','7442','not confermed','74','2021-07-07 11:19:24','2021-07-07 11:19:24');
INSERT INTO complaint_remarks VALUES('8506','7441','CASTOMEER NOT ATTEND CAL','74','2021-07-07 11:23:55','2021-07-07 11:23:55');
INSERT INTO complaint_remarks VALUES('8507','6663','COMPLAINT RESOLVED','92','2021-07-07 11:26:46','2021-07-07 11:26:46');
INSERT INTO complaint_remarks VALUES('8508','7440','ISSUED RESOLVED','74','2021-07-07 11:27:08','2021-07-07 11:27:08');
INSERT INTO complaint_remarks VALUES('8509','7439','CUSTOMER NOT ATTENDIND CAL','74','2021-07-07 11:32:04','2021-07-07 11:32:04');
INSERT INTO complaint_remarks VALUES('8510','7434','TECHNISION VISITED ONCE BUT ISSUED NOT ROSOLVED','74','2021-07-07 11:42:22','2021-07-07 11:42:22');
INSERT INTO complaint_remarks VALUES('8511','7433','COMPLAINT ATTENDED UNIT LIFT IN SERVICE CENTER','74','2021-07-07 11:53:30','2021-07-07 11:53:30');
INSERT INTO complaint_remarks VALUES('8512','7421','UNIT LIFTED TO COMPANY','74','2021-07-07 12:08:40','2021-07-07 12:08:40');
INSERT INTO complaint_remarks VALUES('8513','7420','UNIT LIFTED TO SERVICE CENTER','74','2021-07-07 12:10:49','2021-07-07 12:10:49');
INSERT INTO complaint_remarks VALUES('8514','7420','UNIT LIFTED TO SERVICE CENTER','74','2021-07-07 12:10:59','2021-07-07 12:10:59');
INSERT INTO complaint_remarks VALUES('8515','7418','TECHNISION VISITED BUT ISSUE NOT RESOLEVED','74','2021-07-07 12:15:15','2021-07-07 12:15:15');
INSERT INTO complaint_remarks VALUES('8516','7662','VISIT TO DAY INFORM BY CUSTOMER','92','2021-07-07 12:16:57','2021-07-07 12:16:57');
INSERT INTO complaint_remarks VALUES('8517','7417','TECHNISION VISITED  ISSUED NOT RESOLVED','74','2021-07-07 12:20:28','2021-07-07 12:20:28');
INSERT INTO complaint_remarks VALUES('8518','7404','SAME REMARKS CUSTOMER NOT VISTED SERVVICE CENTER','74','2021-07-07 12:29:06','2021-07-07 12:29:06');
INSERT INTO complaint_remarks VALUES('8519','5425','ISSUE NOT RESOLVED','92','2021-07-07 12:35:35','2021-07-07 12:35:35');
INSERT INTO complaint_remarks VALUES('8520','7397','CUSTOMER NOT ATTENDING CALL','74','2021-07-07 12:38:27','2021-07-07 12:38:27');
INSERT INTO complaint_remarks VALUES('8521','5902','CUSTOMER KA UNIT IN K STORE MAY HAY TACTION NAY BOLA HAY UNIT S/C LAY AYN CUSTOMER AGREE NAI HAY UNIT S/C LANAY K LEAY','92','2021-07-07 12:47:13','2021-07-07 12:47:13');
INSERT INTO complaint_remarks VALUES('8522','5975','COMPLAINT RESOLVED','92','2021-07-07 12:51:47','2021-07-07 12:51:47');
INSERT INTO complaint_remarks VALUES('8523','7393','TECHNISION VISITED BUT ISSUED NOT RESOLVED','74','2021-07-07 12:53:40','2021-07-07 12:53:40');
INSERT INTO complaint_remarks VALUES('8524','6040','CUSTOMER NOT ATTEND CALL','92','2021-07-07 13:07:55','2021-07-07 13:07:55');
INSERT INTO complaint_remarks VALUES('8525','6120','COMPLAINT RESOLVED','92','2021-07-07 13:16:20','2021-07-07 13:16:20');
INSERT INTO complaint_remarks VALUES('8526','7378','COMPLAINT CLOSED CUSTOMER OUT OF STATION','74','2021-07-07 13:17:54','2021-07-07 13:17:54');
INSERT INTO complaint_remarks VALUES('8527','6162','COMPLAINT CLOSED CUSTOMER SAY BAT KAR K COMPLAINT CLOSED KI HAY','92','2021-07-07 13:20:41','2021-07-07 13:20:41');
INSERT INTO complaint_remarks VALUES('8528','7366','COMPLAINT CLOSED ISSUE RESOLVED','74','2021-07-07 13:23:36','2021-07-07 13:23:36');
INSERT INTO complaint_remarks VALUES('8529','6263','COMPLAINT CLOSED','92','2021-07-07 13:24:24','2021-07-07 13:24:24');
INSERT INTO complaint_remarks VALUES('8530','7348','CUSTOMER NOT ATTENDING CALL','74','2021-07-07 13:29:27','2021-07-07 13:29:27');
INSERT INTO complaint_remarks VALUES('8531','6380','CUSTOMER AJ B CALL ATTEND NAI KAR RAHY','92','2021-07-07 13:34:00','2021-07-07 13:34:00');
INSERT INTO complaint_remarks VALUES('8532','7345','NOT ATTENDING CALL','74','2021-07-07 13:34:31','2021-07-07 13:34:31');
INSERT INTO complaint_remarks VALUES('8533','6393','ZEESHAN SIR THORI DAR TAK CONFORM KARAY GAY','92','2021-07-07 13:37:29','2021-07-07 13:37:29');
INSERT INTO complaint_remarks VALUES('8534','7343','COMPLAINT COMLETED ISSUED SOLVED','74','2021-07-07 13:37:58','2021-07-07 13:37:58');
INSERT INTO complaint_remarks VALUES('8535','6412','COMPLAINT RESOLVED','92','2021-07-07 13:41:01','2021-07-07 13:41:01');
INSERT INTO complaint_remarks VALUES('8536','7624','CUSTOMER NOT ATTEND CALL','92','2021-07-07 13:53:04','2021-07-07 13:53:04');
INSERT INTO complaint_remarks VALUES('8537','7337','CUSTOMER NOT ATTENDING CAL','74','2021-07-07 13:54:44','2021-07-07 13:54:44');
INSERT INTO complaint_remarks VALUES('8538','7622','CUSTOMER OUT OF CITY HAY COMPLAINT CLOSED','92','2021-07-07 13:57:25','2021-07-07 13:57:25');
INSERT INTO complaint_remarks VALUES('8539','7336','COMPLAINT ATTEND HO GI SERVICE CENTER BAIJH DIA  GIA HA','74','2021-07-07 13:58:20','2021-07-07 13:58:20');
INSERT INTO complaint_remarks VALUES('8540','7620','COMPLAINT RESOLVED','92','2021-07-07 14:00:47','2021-07-07 14:00:47');
INSERT INTO complaint_remarks VALUES('8541','7330','NUMBER IS ON ANOTHER CALL','74','2021-07-07 14:00:57','2021-07-07 14:00:57');
INSERT INTO complaint_remarks VALUES('8542','7328','CUSTOMER NOT ATTENDING CALL','74','2021-07-07 14:05:08','2021-07-07 14:05:08');
INSERT INTO complaint_remarks VALUES('8543','7326','TECHNISION NOT VISITED','74','2021-07-07 14:08:10','2021-07-07 14:08:10');
INSERT INTO complaint_remarks VALUES('8544','7614','CUSTOMER LOCAL TACTION SAY COMPLAINT RESOLVED KARWAY GAY COMPLAINT CLOSED','92','2021-07-07 14:09:26','2021-07-07 14:09:26');
INSERT INTO complaint_remarks VALUES('8545','7613','COMPLAINT RESOLVED','92','2021-07-07 14:11:38','2021-07-07 14:11:38');
INSERT INTO complaint_remarks VALUES('8546','7611','COMPLAINT ATTEND HO GAE HAY PART ISSUE COMPLAINT IN PROCESS','92','2021-07-07 14:23:51','2021-07-07 14:23:51');
INSERT INTO complaint_remarks VALUES('8547','7610','CUSTOMER NOT ATTEND CALL','92','2021-07-07 14:29:22','2021-07-07 14:29:22');
INSERT INTO complaint_remarks VALUES('8548','7607','CUSTOMER NOT ATTEND CALL','92','2021-07-07 14:34:30','2021-07-07 14:34:30');
INSERT INTO complaint_remarks VALUES('8549','7607','COMPLAINT RESOLVED','92','2021-07-07 14:35:56','2021-07-07 14:35:56');
INSERT INTO complaint_remarks VALUES('8550','7606','COMPLAINT RESOLVED','92','2021-07-07 14:39:07','2021-07-07 14:39:07');
INSERT INTO complaint_remarks VALUES('8551','7604','CUSTOMER NOT ATTEND CALL','92','2021-07-07 14:42:34','2021-07-07 14:42:34');
INSERT INTO complaint_remarks VALUES('8552','7603','COMPLAINT RESOLVED','92','2021-07-07 14:43:44','2021-07-07 14:43:44');
INSERT INTO complaint_remarks VALUES('8553','7600','CUSTOMER NOT ATTEND CALL','92','2021-07-07 14:47:47','2021-07-07 14:47:47');
INSERT INTO complaint_remarks VALUES('8554','7707','03105068546 SHAHID SUPERVISOR','92','2021-07-07 14:57:07','2021-07-07 14:57:07');
INSERT INTO complaint_remarks VALUES('8555','7707','VISIT TO DAY INFORM BY CUSTOMER','92','2021-07-07 15:01:07','2021-07-07 15:01:07');
INSERT INTO complaint_remarks VALUES('8556','7596','COMPLAINT RESOLVED','92','2021-07-07 15:04:51','2021-07-07 15:04:51');
INSERT INTO complaint_remarks VALUES('8557','7586','VISIT TO DAY INFORM BY CUSTOMER TACTION KI CALL AY GAE HAY CUSTOMER KO','92','2021-07-07 15:08:25','2021-07-07 15:08:25');
INSERT INTO complaint_remarks VALUES('8558','7585','COMPLAINT RESOLVED','92','2021-07-07 15:11:39','2021-07-07 15:11:39');
INSERT INTO complaint_remarks VALUES('8559','7579','CUSTOMER NOT ATTEND CALL','92','2021-07-07 15:17:17','2021-07-07 15:17:17');
INSERT INTO complaint_remarks VALUES('8560','7576','COMPLAINT RESOLVED','92','2021-07-07 15:33:54','2021-07-07 15:33:54');
INSERT INTO complaint_remarks VALUES('8561','7338','COMPLAINT REOPEN KARWA DE HAY COMPAINE MAY','92','2021-07-07 16:14:03','2021-07-07 16:14:03');
INSERT INTO complaint_remarks VALUES('8562','7559','COMPLAINT RESOLVED','92','2021-07-07 16:30:05','2021-07-07 16:30:05');
INSERT INTO complaint_remarks VALUES('8563','7569','COMPLAINT RESOLVED','92','2021-07-07 16:33:42','2021-07-07 16:33:42');
INSERT INTO complaint_remarks VALUES('8564','7572','CUSTOMER OUT OFF CITY HAY JAB WAPAS AYN GAY TAB REOPEN KARWA DAY GAY COMPLAINT CLOSED','92','2021-07-07 16:50:51','2021-07-07 16:50:51');
INSERT INTO complaint_remarks VALUES('8565','7558','COMPLAINT RESOLVED','92','2021-07-07 17:05:02','2021-07-07 17:05:02');
INSERT INTO complaint_remarks VALUES('8566','7641','04235125454 LG S/C NO','92','2021-07-07 17:23:00','2021-07-07 17:23:00');
INSERT INTO complaint_remarks VALUES('8567','7552','COMPLAINT RESOLVED','92','2021-07-07 17:31:36','2021-07-07 17:31:36');
INSERT INTO complaint_remarks VALUES('8568','7556','COMPLAINT RESOLVED','92','2021-07-07 17:33:26','2021-07-07 17:33:26');
INSERT INTO complaint_remarks VALUES('8569','7549','CUSTOMER NOT ATTEND CALL','92','2021-07-07 17:42:57','2021-07-07 17:42:57');
INSERT INTO complaint_remarks VALUES('8570','7548','COMPLAINT RESOLVED','92','2021-07-07 17:48:19','2021-07-07 17:48:19');
INSERT INTO complaint_remarks VALUES('8571','7547','COMPLAINT RESOLVED','92','2021-07-07 17:57:01','2021-07-07 17:57:01');
INSERT INTO complaint_remarks VALUES('8572','7544','COMPLAINT RESOLVED','92','2021-07-07 17:59:34','2021-07-07 17:59:34');
INSERT INTO complaint_remarks VALUES('8573','7536','COMPLAINT RESOLVED','92','2021-07-07 18:02:04','2021-07-07 18:02:04');
INSERT INTO complaint_remarks VALUES('8574','7539','CUSTOMER NOT ATTEND  CALL','92','2021-07-07 18:08:57','2021-07-07 18:08:57');
INSERT INTO complaint_remarks VALUES('8575','7535','CUSTOMER KAL CONFORM KAR K CALL BACK KARAY GAY','92','2021-07-07 18:10:34','2021-07-07 18:10:34');
INSERT INTO complaint_remarks VALUES('8576','7641','0514927027 lg s/c 
03235405695','92','2021-07-08 10:39:54','2021-07-08 10:39:54');
INSERT INTO complaint_remarks VALUES('8577','7500','issued resolve complaint completed','74','2021-07-08 11:21:37','2021-07-08 11:21:37');
INSERT INTO complaint_remarks VALUES('8578','7498','TECHNISION DID"NT ATTEND THE COMPLAINTCOMPLAINT','74','2021-07-08 11:30:54','2021-07-08 11:30:54');
INSERT INTO complaint_remarks VALUES('8579','7499','CUSTOMER DID NOT ATTEND CALL','74','2021-07-08 11:31:41','2021-07-08 11:31:41');
INSERT INTO complaint_remarks VALUES('8580','6950','THERMOSTAT ISSUE RESOLVED HO GAYA HAY COOLING ISSUE HAY AJ AGAIN VISIT HO GA','92','2021-07-08 11:32:51','2021-07-08 11:32:51');
INSERT INTO complaint_remarks VALUES('8581','7661','COMPLAINT RESOLVED','92','2021-07-08 11:34:51','2021-07-08 11:34:51');
INSERT INTO complaint_remarks VALUES('8582','7497','TECHNISION VISITED BUT CUSTOMER STILL NOT SATISFIED','74','2021-07-08 11:35:04','2021-07-08 11:35:04');
INSERT INTO complaint_remarks VALUES('8583','7495','CUSTOMER DINNOT ATTEND CALL','74','2021-07-08 11:40:03','2021-07-08 11:40:03');
INSERT INTO complaint_remarks VALUES('8584','7494','TECHNISION VISITED AT 3 O CLOCK TODAY','74','2021-07-08 11:42:56','2021-07-08 11:42:56');
INSERT INTO complaint_remarks VALUES('8585','7493','NOT COMPLETED YET TECHNISION VISITED','74','2021-07-08 11:46:28','2021-07-08 11:46:28');
INSERT INTO complaint_remarks VALUES('8586','7490','ISSUED RESOLVE  COMPLAINT COMPLETED','74','2021-07-08 11:49:41','2021-07-08 11:49:41');
INSERT INTO complaint_remarks VALUES('8587','7487','TECHNISION VISITED BUT PART NOT AVAILABLE','74','2021-07-08 11:53:15','2021-07-08 11:53:15');
INSERT INTO complaint_remarks VALUES('8588','7657','CUSTOMER NOT ATTEND CALL','92','2021-07-08 11:56:05','2021-07-08 11:56:05');
INSERT INTO complaint_remarks VALUES('8589','7479','ISSUED RESOLVED 
COMPLAINT COMPLETED','74','2021-07-08 11:56:52','2021-07-08 11:56:52');
INSERT INTO complaint_remarks VALUES('8590','7478','CUSTOMER DIDNOT ATTEND CALL','74','2021-07-08 12:03:09','2021-07-08 12:03:09');
INSERT INTO complaint_remarks VALUES('8591','7655','CUSTOMER KO CALL AYI THI TACTION KI BUT CUSTOMER GHAR PAR NAI THAY COMPAINE MAY REMINDER DAY DEYA HAY AGAIN VISIT KA','92','2021-07-08 12:03:26','2021-07-08 12:03:26');
INSERT INTO complaint_remarks VALUES('8592','7653','COMPLAINT RESOLVED','92','2021-07-08 12:04:41','2021-07-08 12:04:41');
INSERT INTO complaint_remarks VALUES('8593','7763','TARIQ HARIPUR=03125381833','73','2021-07-08 12:06:13','2021-07-08 12:06:13');
INSERT INTO complaint_remarks VALUES('8594','7476','CUSTOMER  RESOLVED IISUE BY LOCAL TECHNISION','74','2021-07-08 12:06:18','2021-07-08 12:06:18');
INSERT INTO complaint_remarks VALUES('8595','7763','INO NE AAJ DOBARA TECHNICIAN BEJHNA HA','73','2021-07-08 12:06:33','2021-07-08 12:06:33');
INSERT INTO complaint_remarks VALUES('8596','7471','COMPLAINT COMPLETED ISSUED  RISOLVED','74','2021-07-08 12:09:12','2021-07-08 12:09:12');
INSERT INTO complaint_remarks VALUES('8597','7468','ISSUED RESOLVED','74','2021-07-08 12:12:52','2021-07-08 12:12:52');
INSERT INTO complaint_remarks VALUES('8598','7651','CUSTOMER NOT ATTEND CALL','92','2021-07-08 12:13:18','2021-07-08 12:13:18');
INSERT INTO complaint_remarks VALUES('8599','7467','ISSUED NOT RESOLVED','74','2021-07-08 12:16:03','2021-07-08 12:16:03');
INSERT INTO complaint_remarks VALUES('8600','7464','ISSUED ROSOLVED','74','2021-07-08 12:18:10','2021-07-08 12:18:10');
INSERT INTO complaint_remarks VALUES('8601','7462','DISPENSER LIFTED TO S/C WORKING IS IN PROGRES','74','2021-07-08 12:21:45','2021-07-08 12:21:45');
INSERT INTO complaint_remarks VALUES('8602','7461','CUSTOMER STILL NOT ATTENDING CALL','74','2021-07-08 12:26:58','2021-07-08 12:26:58');
INSERT INTO complaint_remarks VALUES('8603','7650','AC HOME SOLUTION NAY LAGAYA HAY COMPLAINT FF HOME SOLUTION COMPLAINT CLOSED','92','2021-07-08 12:28:05','2021-07-08 12:28:05');
INSERT INTO complaint_remarks VALUES('8604','7456','CUSTOMER NUMBER NOT REACHABLE','74','2021-07-08 12:29:53','2021-07-08 12:29:53');
INSERT INTO complaint_remarks VALUES('8605','7649','COMPLAINT RESOLVED','92','2021-07-08 12:30:21','2021-07-08 12:30:21');
INSERT INTO complaint_remarks VALUES('8606','7454','BOX STIIL NOT TAKEN','74','2021-07-08 12:33:20','2021-07-08 12:33:20');
INSERT INTO complaint_remarks VALUES('8607','7648','COMPLAINT RESOLVED','92','2021-07-08 12:34:17','2021-07-08 12:34:17');
INSERT INTO complaint_remarks VALUES('8608','7453','ISSUED RESOLVED','74','2021-07-08 12:37:29','2021-07-08 12:37:29');
INSERT INTO complaint_remarks VALUES('8609','7451','ISSUED RESOVLED','74','2021-07-08 12:40:45','2021-07-08 12:40:45');
INSERT INTO complaint_remarks VALUES('8610','7447','TECHNISION STILL NOT VISITED','74','2021-07-08 12:46:26','2021-07-08 12:46:26');
INSERT INTO complaint_remarks VALUES('8611','7442','ISSUE NOT RESOLVED TECHNISION VISITED CUSTOMER WANT REPLACEMENT','74','2021-07-08 12:50:02','2021-07-08 12:50:02');
INSERT INTO complaint_remarks VALUES('8612','7439','CUSTOMER STILL NOT ATTENDING CAL','74','2021-07-08 12:58:48','2021-07-08 12:58:48');
INSERT INTO complaint_remarks VALUES('8613','7146','03175660119  CUSTOMER NO','92','2021-07-08 13:04:10','2021-07-08 13:04:10');
INSERT INTO complaint_remarks VALUES('8614','7433','CUSTOMER NOT RECIEVING CALL','74','2021-07-08 13:09:37','2021-07-08 13:09:37');
INSERT INTO complaint_remarks VALUES('8615','7430','ISSU NOT RESOLVED','74','2021-07-08 13:13:07','2021-07-08 13:13:07');
INSERT INTO complaint_remarks VALUES('8616','7430','TECHNISION NOT VISITED YET','74','2021-07-08 13:13:36','2021-07-08 13:13:36');
INSERT INTO complaint_remarks VALUES('8617','7404','TV LIFTED TO S/C IS IN PROGRESS','74','2021-07-08 13:20:38','2021-07-08 13:20:38');
INSERT INTO complaint_remarks VALUES('8618','7676','03100865385 MULSALEEN  TACTION','92','2021-07-08 13:23:08','2021-07-08 13:23:08');
INSERT INTO complaint_remarks VALUES('8619','7306','ISSUED RESOLVED','74','2021-07-08 13:29:43','2021-07-08 13:29:43');
INSERT INTO complaint_remarks VALUES('8620','7303','CUSTOMER WANT REPLACE MENT','74','2021-07-08 13:33:26','2021-07-08 13:33:26');
INSERT INTO complaint_remarks VALUES('8621','7294','CUTOMER NOT ATTENDING CALL','74','2021-07-08 13:36:03','2021-07-08 13:36:03');
INSERT INTO complaint_remarks VALUES('8622','7737','VISIT TO DAY','92','2021-07-08 13:38:34','2021-07-08 13:38:34');
INSERT INTO complaint_remarks VALUES('8623','7288','ISSUED RESOLVED','74','2021-07-08 13:39:07','2021-07-08 13:39:07');
INSERT INTO complaint_remarks VALUES('8624','7643','CUSTOMER NOT ATTEND CALL','92','2021-07-08 13:40:03','2021-07-08 13:40:03');
INSERT INTO complaint_remarks VALUES('8625','7714','03179998683 IMRAN  TACTION','92','2021-07-08 13:49:07','2021-07-08 13:49:07');
INSERT INTO complaint_remarks VALUES('8626','7264','ISSUE NOT RESOLVED CUSTOMER WANT REPLACEMENT','74','2021-07-08 13:49:20','2021-07-08 13:49:20');
INSERT INTO complaint_remarks VALUES('8627','7640','COMPLAINT RESOLVED','92','2021-07-08 13:53:57','2021-07-08 13:53:57');
INSERT INTO complaint_remarks VALUES('8628','7261','PARTS HJAD TO BE CHANGED DAEMANDED IN  COMPANY','74','2021-07-08 13:55:32','2021-07-08 13:55:32');
INSERT INTO complaint_remarks VALUES('8629','7639','CALL AYI THI TACTION KI HANDEL ISSUE COMPLAINT IN PROCESS','92','2021-07-08 14:00:38','2021-07-08 14:00:38');
INSERT INTO complaint_remarks VALUES('8630','7246','ISSUED RESOLVED','74','2021-07-08 14:01:48','2021-07-08 14:01:48');
INSERT INTO complaint_remarks VALUES('8631','7638','CUSTOMER NOT ATTEND CALL','92','2021-07-08 14:03:51','2021-07-08 14:03:51');
INSERT INTO complaint_remarks VALUES('8632','7237','ISSUED RESOLVED','74','2021-07-08 14:04:21','2021-07-08 14:04:21');
INSERT INTO complaint_remarks VALUES('8633','7228','TECHNISION DID NOT VISITED YET STILL ISSUE NOT RESOLVED','74','2021-07-08 14:09:04','2021-07-08 14:09:04');
INSERT INTO complaint_remarks VALUES('8634','7224','CUSTOMER NOT ATTENDING CAL','74','2021-07-08 14:13:09','2021-07-08 14:13:09');
INSERT INTO complaint_remarks VALUES('8635','7637','WASEEM TACTION ORIENT','92','2021-07-08 14:17:11','2021-07-08 14:17:11');
INSERT INTO complaint_remarks VALUES('8636','7216','UNIT LIFT IN S/C STILL NOT RESOLVED','74','2021-07-08 14:17:17','2021-07-08 14:17:17');
INSERT INTO complaint_remarks VALUES('8637','7216','UNIT LIFT IN S/C STILL NOT RESOLVED','74','2021-07-08 14:17:19','2021-07-08 14:17:19');
INSERT INTO complaint_remarks VALUES('8638','7636','COMPLAINT RESOLVED','92','2021-07-08 14:18:41','2021-07-08 14:18:41');
INSERT INTO complaint_remarks VALUES('8639','7215','ISSUED STILL NOT RESOVED','74','2021-07-08 14:20:03','2021-07-08 14:20:03');
INSERT INTO complaint_remarks VALUES('8640','7215','ISSUED STILL NOT RESOVED','74','2021-07-08 14:20:03','2021-07-08 14:20:03');
INSERT INTO complaint_remarks VALUES('8641','7187','CUSTOMER NOT RECIEVING CALL','74','2021-07-08 14:30:15','2021-07-08 14:30:15');
INSERT INTO complaint_remarks VALUES('8642','7184','PCB CRD CHANGE HONA HA AIK AC KA CARD CHANGE HO GYA HA OR DOSRA KA HONA WLA RHTA HA','74','2021-07-08 14:34:27','2021-07-08 14:34:27');
INSERT INTO complaint_remarks VALUES('8643','7182','THE DAILED NUMBER IS POWER OFF','74','2021-07-08 14:37:23','2021-07-08 14:37:23');
INSERT INTO complaint_remarks VALUES('8644','7175','COMPLAINT ATEND HO GI HA PER PLATE ABI TK DLIVER NI HUA CUSTOMER REPLACEMENT MNG RI HA','74','2021-07-08 14:42:48','2021-07-08 14:42:48');
INSERT INTO complaint_remarks VALUES('8645','7155','ISSUED RESOLVED','74','2021-07-08 14:48:24','2021-07-08 14:48:24');
INSERT INTO complaint_remarks VALUES('8646','7146','CUSTOMER NUMBER IS POWERED OFF','74','2021-07-08 14:51:17','2021-07-08 14:51:17');
INSERT INTO complaint_remarks VALUES('8647','7132','ISSUED RESOLVED','74','2021-07-08 14:53:52','2021-07-08 14:53:52');
INSERT INTO complaint_remarks VALUES('8648','7124','CASE LIFTED TO COMPANY ISSUE NOT RESOLVED','74','2021-07-08 15:00:44','2021-07-08 15:00:44');
INSERT INTO complaint_remarks VALUES('8649','7119','CUSTOMER IS NOT RECIEVING CALL','74','2021-07-08 15:03:35','2021-07-08 15:03:35');
INSERT INTO complaint_remarks VALUES('8650','7115','ISSUED RESOLVED BUT NOT TOTALLY','74','2021-07-08 15:13:08','2021-07-08 15:13:08');
INSERT INTO complaint_remarks VALUES('8651','6532','2-JUNE-2021
COMPLAINT#210629096942','92','2021-07-08 15:18:57','2021-07-08 15:18:57');
INSERT INTO complaint_remarks VALUES('8652','7080','BOARD KA ISSUE HA MACHINE MA ABI TK SOLVE NI HUA','74','2021-07-08 15:29:06','2021-07-08 15:29:06');
INSERT INTO complaint_remarks VALUES('8653','7070','ISSUED NOT CLEARED YET','74','2021-07-08 15:32:34','2021-07-08 15:32:34');
INSERT INTO complaint_remarks VALUES('8654','7632','ABI ISSUE RESOLVED HO GAYA HAY JAB DOBARA ISSUE AY GA TO CUSTOMER COMPLAINT AGIAN KARWAY GAY COMPLAINT CLOSED','92','2021-07-08 15:35:44','2021-07-08 15:35:44');
INSERT INTO complaint_remarks VALUES('8655','7051','CUSTOMER NUMBER IS NOT CORRECT','74','2021-07-08 15:42:01','2021-07-08 15:42:01');
INSERT INTO complaint_remarks VALUES('8656','7050','CUSTOMER NUMBER IS  POWERED OFF','74','2021-07-08 15:47:26','2021-07-08 15:47:26');
INSERT INTO complaint_remarks VALUES('8657','7049','ISSUED CLEARED BY LOCAL TECHNISION','74','2021-07-08 15:50:12','2021-07-08 15:50:12');
INSERT INTO complaint_remarks VALUES('8658','7048','ISSUED RESOLVED','74','2021-07-08 15:53:09','2021-07-08 15:53:09');
INSERT INTO complaint_remarks VALUES('8659','7630','COMPLAINT RESOLVED','92','2021-07-08 15:55:06','2021-07-08 15:55:06');
INSERT INTO complaint_remarks VALUES('8660','7043','TECHNISION STILL NOT VISITED STILL YET COMPANY DIDNOT ATTEND THE COMPLAIN','74','2021-07-08 15:59:58','2021-07-08 15:59:58');
INSERT INTO complaint_remarks VALUES('8661','7018','ISSUED RESOLVED','74','2021-07-08 16:03:30','2021-07-08 16:03:30');
INSERT INTO complaint_remarks VALUES('8662','7017','ISSUED RESOLVED','74','2021-07-08 16:06:55','2021-07-08 16:06:55');
INSERT INTO complaint_remarks VALUES('8663','7662','03335263009 SHAFKAT TACTION','92','2021-07-08 16:09:45','2021-07-08 16:09:45');
INSERT INTO complaint_remarks VALUES('8664','7013','UNIT LIFTED TO S/C STILL NOT RESOLVED','74','2021-07-08 16:09:51','2021-07-08 16:09:51');
INSERT INTO complaint_remarks VALUES('8665','6995','ISSUED RESOLVED','74','2021-07-08 16:19:15','2021-07-08 16:19:15');
INSERT INTO complaint_remarks VALUES('8666','7662','TACTION NAY CALL KI THI CUSTOMER KO BUT CUSTOMER NOT ATTEND CALL S/C MAY REMINDER DAY DEYA HAY AJ ATTEND HO JAY GE COMPLAINT','92','2021-07-08 16:21:07','2021-07-08 16:21:07');
INSERT INTO complaint_remarks VALUES('8667','7184','NEW COMPLAINT#192125564','73','2021-07-08 16:25:17','2021-07-08 16:25:17');
INSERT INTO complaint_remarks VALUES('8668','6990','CUSTOMER DID NOT RECIEVING CALL','74','2021-07-08 16:29:02','2021-07-08 16:29:02');
INSERT INTO complaint_remarks VALUES('8669','7439','TACTION NAY CALL KI THI CUSTOMER KO BUT CUSTOMER NAY CALL ATTEND NAI KI COMPAINE MAY COMPLAINT REOPEN KARWA DE HAY','92','2021-07-08 16:33:08','2021-07-08 16:33:08');
INSERT INTO complaint_remarks VALUES('8670','6989','ISSUED RESOLVED','74','2021-07-08 16:34:22','2021-07-08 16:34:22');
INSERT INTO complaint_remarks VALUES('8671','6984','ISSUED RESOLVED','74','2021-07-08 16:36:25','2021-07-08 16:36:25');
INSERT INTO complaint_remarks VALUES('8672','7628','COMPLAINT RESOLVED','92','2021-07-08 16:36:29','2021-07-08 16:36:29');
INSERT INTO complaint_remarks VALUES('8673','6977','CUSTOMER NOT ATENDING CALL','74','2021-07-08 16:38:49','2021-07-08 16:38:49');
INSERT INTO complaint_remarks VALUES('8674','6976','ISSUED NOT RESOLVED','74','2021-07-08 16:40:46','2021-07-08 16:40:46');
INSERT INTO complaint_remarks VALUES('8675','6973','UNIT LIFTED IN S/C ISSUE NOT RESOLVED','74','2021-07-08 16:43:31','2021-07-08 16:43:31');
INSERT INTO complaint_remarks VALUES('8676','7627','COMPLAINT ATTEND HO GAE HAY BUT CUSTOMER SATISFIED NAI HAY','92','2021-07-08 16:43:34','2021-07-08 16:43:34');
INSERT INTO complaint_remarks VALUES('8677','6955','UNIT LIFTED TO LAHORE S/C','74','2021-07-08 16:48:25','2021-07-08 16:48:25');
INSERT INTO complaint_remarks VALUES('8678','7624','COMPLAINT RESOLVED','92','2021-07-08 16:49:27','2021-07-08 16:49:27');
INSERT INTO complaint_remarks VALUES('8679','6950','TECHNISION VISITED BUT ISSUE NOT SOLVED','74','2021-07-08 16:52:15','2021-07-08 16:52:15');
INSERT INTO complaint_remarks VALUES('8680','7612','COMPLAINT ATTEND HO GAE HAY UNIT LIFT HO GA S/C COMPLAINT IN PROCESS','92','2021-07-08 16:53:08','2021-07-08 16:53:08');
INSERT INTO complaint_remarks VALUES('8681','7610','COMPLAINT RESOLVED','92','2021-07-08 16:55:17','2021-07-08 16:55:17');
INSERT INTO complaint_remarks VALUES('8682','6941','ISSUED RESOLVED','74','2021-07-08 16:55:42','2021-07-08 16:55:42');
INSERT INTO complaint_remarks VALUES('8683','6940','FLAPPER ISSUE NOT CLEARED YET','74','2021-07-08 16:58:39','2021-07-08 16:58:39');
INSERT INTO complaint_remarks VALUES('8684','6936','UNIT LIFTED IN S/C STIL IN PROGRESS','74','2021-07-08 17:00:48','2021-07-08 17:00:48');
INSERT INTO complaint_remarks VALUES('8685','6933','REPLACEMENT IS IN PROGRESS','74','2021-07-08 17:06:13','2021-07-08 17:06:13');
INSERT INTO complaint_remarks VALUES('8686','6922','CUSTOMER NUMBER IS POWWERED OFF','74','2021-07-08 17:08:54','2021-07-08 17:08:54');
INSERT INTO complaint_remarks VALUES('8687','6906','ISSUED RESOLVED','74','2021-07-08 17:09:53','2021-07-08 17:09:53');
INSERT INTO complaint_remarks VALUES('8688','6904','ISSUED RESOLVED','74','2021-07-08 17:13:25','2021-07-08 17:13:25');
INSERT INTO complaint_remarks VALUES('8689','6901','ISSUED RESOLVED','74','2021-07-08 17:16:13','2021-07-08 17:16:13');
INSERT INTO complaint_remarks VALUES('8690','6895','UNIT LIFTED TO S/C','74','2021-07-08 17:18:59','2021-07-08 17:18:59');
INSERT INTO complaint_remarks VALUES('8691','7338','SATURDAY KO VISIT HO GA','92','2021-07-08 17:23:37','2021-07-08 17:23:37');
INSERT INTO complaint_remarks VALUES('8692','7338','VISIT TO SHOWROOM','92','2021-07-08 17:23:54','2021-07-08 17:23:54');
INSERT INTO complaint_remarks VALUES('8693','7567','COMPLAINT RESOLVED','92','2021-07-08 17:25:31','2021-07-08 17:25:31');
INSERT INTO complaint_remarks VALUES('8694','7554','COMPLAINT ATTEND HO GAE HAY TEMPERATURE ISSUE COMPLAINT IN PROCESS','92','2021-07-08 17:29:58','2021-07-08 17:29:58');
INSERT INTO complaint_remarks VALUES('8695','7717','COMPLAINT RESOLVED','92','2021-07-09 14:52:42','2021-07-09 14:52:42');
INSERT INTO complaint_remarks VALUES('8696','7751','03179998681 ADNAN TACTION','92','2021-07-09 15:21:04','2021-07-09 15:21:04');
INSERT INTO complaint_remarks VALUES('8697','7787','03179998680 ADNAN','92','2021-07-10 11:31:17','2021-07-10 11:31:17');
INSERT INTO complaint_remarks VALUES('8698','7720','03179998680 ADNAN TACTION','92','2021-07-10 11:34:59','2021-07-10 11:34:59');
INSERT INTO complaint_remarks VALUES('8699','7564','COMPLAINT ATTEND HO GE HAY UNIT LIFT IN S/C COMPLAINT IN PROCESS','92','2021-07-10 12:00:42','2021-07-10 12:00:42');
INSERT INTO complaint_remarks VALUES('8700','5723','issed not resolved','74','2021-07-10 12:13:04','2021-07-10 12:13:04');
INSERT INTO complaint_remarks VALUES('8701','6095','not attending call','74','2021-07-10 12:18:51','2021-07-10 12:18:51');
INSERT INTO complaint_remarks VALUES('8702','6512','REPLACE HOGI LED IN PROCESS','74','2021-07-10 12:25:15','2021-07-10 12:25:15');
INSERT INTO complaint_remarks VALUES('8703','7708','COMPLAINT RESOLVED','92','2021-07-10 12:30:06','2021-07-10 12:30:06');
INSERT INTO complaint_remarks VALUES('8704','6520','CUSTOMER KO AJ KA TIME DIA GIA HA UNIT S/C SHIFT HO GA','74','2021-07-10 12:33:15','2021-07-10 12:33:15');
INSERT INTO complaint_remarks VALUES('8705','6644','COMPLAINT CLOSED','74','2021-07-10 12:48:15','2021-07-10 12:48:15');
INSERT INTO complaint_remarks VALUES('8706','6756','CUSTOMER IS NOT ATTENDING CALL','74','2021-07-10 13:09:01','2021-07-10 13:09:01');
INSERT INTO complaint_remarks VALUES('8707','6804','COMPLAINT COMPLETED','74','2021-07-10 13:11:23','2021-07-10 13:11:23');
INSERT INTO complaint_remarks VALUES('8708','7321','CUSTOMER NOT ATTENDING CALL','74','2021-07-10 13:17:51','2021-07-10 13:17:51');
INSERT INTO complaint_remarks VALUES('8709','7328','ISSUED RESOLVED','74','2021-07-10 13:22:30','2021-07-10 13:22:30');
INSERT INTO complaint_remarks VALUES('8710','7641','03006485971 SAFDAR TACTION','92','2021-07-10 13:25:02','2021-07-10 13:25:02');
INSERT INTO complaint_remarks VALUES('8711','7755','COMPLAINT RESOLVED','92','2021-07-10 13:27:33','2021-07-10 13:27:33');
INSERT INTO complaint_remarks VALUES('8712','7348','COMPLAINT CLOSED','74','2021-07-10 13:28:30','2021-07-10 13:28:30');
INSERT INTO complaint_remarks VALUES('8713','7754','COMPLAINT RESOLVED','92','2021-07-10 13:30:10','2021-07-10 13:30:10');
INSERT INTO complaint_remarks VALUES('8714','7382','CUSTOMER NOT RECIEVING CALL','74','2021-07-10 13:40:01','2021-07-10 13:40:01');
INSERT INTO complaint_remarks VALUES('8715','7752','COMPLAINT ATTEND HO GE HAY BUT CUSTOMER SATISFIED NAI HAY','92','2021-07-10 13:42:48','2021-07-10 13:42:48');
INSERT INTO complaint_remarks VALUES('8716','7752','03335297208 ASIF TACTION','92','2021-07-10 13:44:55','2021-07-10 13:44:55');
INSERT INTO complaint_remarks VALUES('8717','7462','IN PROGRESS','74','2021-07-10 13:45:46','2021-07-10 13:45:46');
INSERT INTO complaint_remarks VALUES('8718','7503','ISSUED RESOLVED','74','2021-07-10 13:48:17','2021-07-10 13:48:17');
INSERT INTO complaint_remarks VALUES('8719','7514','ISSUED RESOLVED','74','2021-07-10 13:52:34','2021-07-10 13:52:34');
INSERT INTO complaint_remarks VALUES('8720','7523','TECHNISION UDR HI HA WORK IN PROGRESS','74','2021-07-10 13:55:29','2021-07-10 13:55:29');
INSERT INTO complaint_remarks VALUES('8721','7748','CUSTOMER NOT ATTEND CALL','92','2021-07-10 13:56:50','2021-07-10 13:56:50');
INSERT INTO complaint_remarks VALUES('8722','7748','COMPLAINT RESOLVED','92','2021-07-10 13:57:26','2021-07-10 13:57:26');
INSERT INTO complaint_remarks VALUES('8723','7527','COMPLAINT COMPLETED','74','2021-07-10 13:58:43','2021-07-10 13:58:43');
INSERT INTO complaint_remarks VALUES('8724','7528','ISSUED RESOLVED','74','2021-07-10 14:01:01','2021-07-10 14:01:01');
INSERT INTO complaint_remarks VALUES('8725','7747','CUSTOMER SAY BAT HUAI HAY S/C WALAY INDOOR GAS DAL KAR DAY RAHY THAY BUT CUSTOMER UNIT REPLACEMENT KARNAY K LEAY SHOWROOM PAR LARAHY HAY','92','2021-07-10 14:01:05','2021-07-10 14:01:05');
INSERT INTO complaint_remarks VALUES('8726','7533','ISSUED RESOLVED UNIT LIFTED TO S/C','74','2021-07-10 14:06:06','2021-07-10 14:06:06');
INSERT INTO complaint_remarks VALUES('8727','7745','COMPLAINT RESOLVED','92','2021-07-10 14:06:40','2021-07-10 14:06:40');
INSERT INTO complaint_remarks VALUES('8728','7534','CUSTOMER WANT REPLACEMENT','74','2021-07-10 14:10:24','2021-07-10 14:10:24');
INSERT INTO complaint_remarks VALUES('8729','7738','COMPLAINT ATTEND HO GE HAY IN PROCESS COMPLAINT','92','2021-07-10 14:19:29','2021-07-10 14:19:29');
INSERT INTO complaint_remarks VALUES('8730','7543','ISSUED RESOLVED','74','2021-07-10 14:20:57','2021-07-10 14:20:57');
INSERT INTO complaint_remarks VALUES('8731','7733','CUSTOMER NOT ATTEND CALL','92','2021-07-10 14:21:58','2021-07-10 14:21:58');
INSERT INTO complaint_remarks VALUES('8732','7730','MOTOR ISSUE 04 DIN BAD TACTION AY GAY OR COMPLAINT ATTEND KARAY GAY','92','2021-07-10 14:24:01','2021-07-10 14:24:01');
INSERT INTO complaint_remarks VALUES('8733','7562','ISSUED RESOLVED','74','2021-07-10 14:25:18','2021-07-10 14:25:18');
INSERT INTO complaint_remarks VALUES('8734','7565','CUSTOMER NOT Attending call','74','2021-07-10 14:29:23','2021-07-10 14:29:23');
INSERT INTO complaint_remarks VALUES('8735','7568','ISSUED RESOLVED','74','2021-07-10 14:31:10','2021-07-10 14:31:10');
INSERT INTO complaint_remarks VALUES('8736','7602','CUSTOMER NUMBER IN POWERED OFF','74','2021-07-10 14:35:28','2021-07-10 14:35:28');
INSERT INTO complaint_remarks VALUES('8737','7728','COMPLAINT RESOLVED','92','2021-07-10 14:37:03','2021-07-10 14:37:03');
INSERT INTO complaint_remarks VALUES('8738','7611','ISSUED RESOLVED','74','2021-07-10 14:38:20','2021-07-10 14:38:20');
INSERT INTO complaint_remarks VALUES('8739','7729','COMPLAINT ATTEND HO GAE HAY COMPLAINT IN PROCESS','92','2021-07-10 14:39:35','2021-07-10 14:39:35');
INSERT INTO complaint_remarks VALUES('8740','7634','ISSUED RESOLVED','74','2021-07-10 14:40:55','2021-07-10 14:40:55');
INSERT INTO complaint_remarks VALUES('8741','7727','CUSTOMER NOT ATTEND CALL','92','2021-07-10 14:42:11','2021-07-10 14:42:11');
INSERT INTO complaint_remarks VALUES('8742','7645','ISSUED RESOLVED','74','2021-07-10 14:43:47','2021-07-10 14:43:47');
INSERT INTO complaint_remarks VALUES('8743','7726','CUSTOMER NOT ATTEND CALL','92','2021-07-10 14:44:36','2021-07-10 14:44:36');
INSERT INTO complaint_remarks VALUES('8744','7691','COMPLAINT RESOLVED','92','2021-07-10 14:50:16','2021-07-10 14:50:16');
INSERT INTO complaint_remarks VALUES('8745','7652','TECHNISION AJ PHR VISIT KRA GA','74','2021-07-10 14:50:20','2021-07-10 14:50:20');
INSERT INTO complaint_remarks VALUES('8746','6976','03156232426 USAMA SUPERWISER','92','2021-07-10 14:56:19','2021-07-10 14:56:19');
INSERT INTO complaint_remarks VALUES('8747','7657','NOT ATTENDING CALL','74','2021-07-10 14:57:51','2021-07-10 14:57:51');
INSERT INTO complaint_remarks VALUES('8748','7660','ISSUED NOT RESOLVED TECHNISION DOBARA JAI GA','74','2021-07-10 15:01:24','2021-07-10 15:01:24');
INSERT INTO complaint_remarks VALUES('8749','7665','COMPLAINT RESOLVED','74','2021-07-10 15:04:49','2021-07-10 15:04:49');
INSERT INTO complaint_remarks VALUES('8750','7725','CUSTOMER NOT ATTEND CALL','92','2021-07-10 15:23:05','2021-07-10 15:23:05');
INSERT INTO complaint_remarks VALUES('8751','7801','COMPLAINT FF TO BEST COOL','92','2021-07-10 15:43:49','2021-07-10 15:43:49');
INSERT INTO complaint_remarks VALUES('8752','7672','ISSUE RESOLVE','74','2021-07-10 16:11:31','2021-07-10 16:11:31');
INSERT INTO complaint_remarks VALUES('8753','7674','ISSUED RSOLVED','74','2021-07-10 16:13:32','2021-07-10 16:13:32');
INSERT INTO complaint_remarks VALUES('8754','7681','CUSTOMER NUMBER IS  POWERED OFF','74','2021-07-10 16:16:28','2021-07-10 16:16:28');
INSERT INTO complaint_remarks VALUES('8755','6468','COMPLAINT RESOLVED','92','2021-07-10 16:18:27','2021-07-10 16:18:27');
INSERT INTO complaint_remarks VALUES('8756','7685','03348147147 OTHER NUM','74','2021-07-10 16:19:39','2021-07-10 16:19:39');
INSERT INTO complaint_remarks VALUES('8757','7697','CUSTOMER NOT RECIEVING CALL','74','2021-07-10 16:34:32','2021-07-10 16:34:32');
INSERT INTO complaint_remarks VALUES('8758','7711','ISSUE NOT SOLVED TECHNISION IS IN CONTACT','74','2021-07-10 16:40:36','2021-07-10 16:40:36');
INSERT INTO complaint_remarks VALUES('8759','7713','TECHNISION ABI TK VISIT NI KIA LEKIN WO CONTACT M HA','74','2021-07-10 16:44:30','2021-07-10 16:44:30');
INSERT INTO complaint_remarks VALUES('8760','7719','TECHNISION NA VISIT KIA HA MAGAR CUSTOMER SURE NI HA K THK HUA YA NI','74','2021-07-10 16:47:36','2021-07-10 16:47:36');
INSERT INTO complaint_remarks VALUES('8761','7721','CUSTOMER NOT ATTENDING CALL','74','2021-07-10 16:52:13','2021-07-10 16:52:13');
INSERT INTO complaint_remarks VALUES('8762','7724','COMPLAINT CLEARED','74','2021-07-10 16:58:38','2021-07-10 16:58:38');
INSERT INTO complaint_remarks VALUES('8763','7725','ISSUED NOT RESOLVE CUSTOMER WANT REPLACEMENT','74','2021-07-10 17:02:08','2021-07-10 17:02:08');
INSERT INTO complaint_remarks VALUES('8764','7729','technision na visit kia ha customer abi confirm ni ha k issue resolved hua ya ni technision ki trf sa issue resolved ha','74','2021-07-11 11:14:54','2021-07-11 11:14:54');
INSERT INTO complaint_remarks VALUES('8765','7733','issue resolved','74','2021-07-11 11:18:55','2021-07-11 11:18:55');
INSERT INTO complaint_remarks VALUES('8766','7765','ISSUED RESOLVED','74','2021-07-11 11:24:13','2021-07-11 11:24:13');
INSERT INTO complaint_remarks VALUES('8767','7768','ISSUED RESOLVED','74','2021-07-11 11:26:04','2021-07-11 11:26:04');
INSERT INTO complaint_remarks VALUES('8768','7778','ISSUED NOT RESOLVED LED TECHNISION NA VIST KIA WO KHTA K LED DAMAGED HA JAB K CUSTOMER KH RA K NI DAMAGED','74','2021-07-11 11:29:21','2021-07-11 11:29:21');
INSERT INTO complaint_remarks VALUES('8769','7781','CUSTOMER NOT ATTENDING CALL','74','2021-07-11 11:33:03','2021-07-11 11:33:03');
INSERT INTO complaint_remarks VALUES('8770','7792','ISSUED RESOLVED','74','2021-07-11 11:34:55','2021-07-11 11:34:55');
INSERT INTO complaint_remarks VALUES('8771','7795','ISSUED RESOLVED','74','2021-07-11 11:37:32','2021-07-11 11:37:32');
INSERT INTO complaint_remarks VALUES('8772','7803','ISSUED RESOLVED','74','2021-07-11 11:43:26','2021-07-11 11:43:26');
INSERT INTO complaint_remarks VALUES('8773','7804','CUSTOMER NA LOCK LAGWAN HA JAB K TECHNISION NA KAHA HA K LOCK NI LGSKTA','74','2021-07-11 11:49:25','2021-07-11 11:49:25');
INSERT INTO complaint_remarks VALUES('8774','6514','ISSUED RESOLVEDE','74','2021-07-11 14:15:09','2021-07-11 14:15:09');
INSERT INTO complaint_remarks VALUES('8775','6756','CUSTOMER SHADED GHUSA MA HA ISSUE ABI TK RESOLVE NI HUA','74','2021-07-11 14:19:41','2021-07-11 14:19:41');
INSERT INTO complaint_remarks VALUES('8776','7391','ISSUE NOT RESOLVED UNIT REPLACE HO GA IN PROGRESS','74','2021-07-11 14:42:48','2021-07-11 14:42:48');
INSERT INTO complaint_remarks VALUES('8777','7539','ISSUED RESOLVED','74','2021-07-11 14:49:01','2021-07-11 14:49:01');
INSERT INTO complaint_remarks VALUES('8778','7696','ISSUED RESOLVED','74','2021-07-11 15:06:54','2021-07-11 15:06:54');
INSERT INTO complaint_remarks VALUES('8779','7602','UNITE REPLACED BY JIBRAN','74','2021-07-11 15:23:55','2021-07-11 15:23:55');
INSERT INTO complaint_remarks VALUES('8780','7697','ISSUED RESOLVED','74','2021-07-11 15:26:13','2021-07-11 15:26:13');
INSERT INTO complaint_remarks VALUES('8781','7719','03015008040 WAQAS','74','2021-07-11 15:36:30','2021-07-11 15:36:30');
INSERT INTO complaint_remarks VALUES('8782','7721','WAQAS SIR SA BT KR K COMPLAINT CLOSED KI HA  KU CUSTOMER NUMBER NI PICK KAR A IS LIA AIK MSG KR K COMPLAINT CLOSED','74','2021-07-11 15:56:12','2021-07-11 15:56:12');
INSERT INTO complaint_remarks VALUES('8783','7727','ISSUED RESOLVED','74','2021-07-11 16:12:54','2021-07-11 16:12:54');
INSERT INTO complaint_remarks VALUES('8784','7321','issued resolved ka confirm ni col sab call ni pick kra or salesman shezad sa b contact kia col sb ko msgb kia ha mgr no replay thats whyv complaint closed','74','2021-07-11 16:52:48','2021-07-11 16:52:48');
INSERT INTO complaint_remarks VALUES('8785','7719','ISSUED RESOLVED','74','2021-07-11 17:17:08','2021-07-11 17:17:08');
INSERT INTO complaint_remarks VALUES('8786','7382','ISSUED RESOLVED  KA CONFIRM NI CUSTOMER 3 DIN SA CALL PICK NI KRA SALESMAN SARABTA KRK COMPLAINT CLOSED HO RI HA  MAZHAR SIR ISI TIME RBTA KIA','74','2021-07-11 17:30:28','2021-07-11 17:30:28');
INSERT INTO complaint_remarks VALUES('8787','7652','0518460882  03105068546 shahid TACTION','92','2021-07-12 10:47:11','2021-07-12 10:47:11');
INSERT INTO complaint_remarks VALUES('8788','7652','AJ GAS KIT DELIVER HO JAY GE KAL TAK ATTEND HO JAY GE COMPLAINT','92','2021-07-12 10:51:16','2021-07-12 10:51:16');
INSERT INTO complaint_remarks VALUES('8789','7800','CUSTOMER NOT ATTEND CALL','92','2021-07-12 11:25:41','2021-07-12 11:25:41');
INSERT INTO complaint_remarks VALUES('8790','7804','issued resolved customer lock ki extension lgwana chahta jb k technision na kaha k lock ni lgskta islia customer sa pouch kr complaint closed kra','74','2021-07-12 11:26:26','2021-07-12 11:26:26');
INSERT INTO complaint_remarks VALUES('8791','7799','CUSTOMER SAY BAT HUAI HAY TACTION CUSTOMER K GHAR PAR HAY COMPLAINT IN PROCESS','92','2021-07-12 11:27:43','2021-07-12 11:27:43');
INSERT INTO complaint_remarks VALUES('8792','7798','CUSTOMER NOT ATTEND CALL','92','2021-07-12 11:35:45','2021-07-12 11:35:45');
INSERT INTO complaint_remarks VALUES('8793','7813','CUSTOMER KA BACHA NA CALL PICKI AGA BOL HI NI RA','74','2021-07-12 11:36:44','2021-07-12 11:36:44');
INSERT INTO complaint_remarks VALUES('8794','7796','COMPLAINT RESOLVED','92','2021-07-12 11:38:26','2021-07-12 11:38:26');
INSERT INTO complaint_remarks VALUES('8795','7794','CUSTOMER NOT ATTEND CALL','92','2021-07-12 11:40:13','2021-07-12 11:40:13');
INSERT INTO complaint_remarks VALUES('8796','7793','CUSTOMER NOT ATTEND CALL','92','2021-07-12 11:42:54','2021-07-12 11:42:54');
INSERT INTO complaint_remarks VALUES('8797','6265','ERROR H3 KA ISSUE RESOLVED HA LEKINAB  ANHA NAYA ISSUE AYA K FAN SA SOUND AR','74','2021-07-12 11:46:48','2021-07-12 11:46:48');
INSERT INTO complaint_remarks VALUES('8798','6563','ISSUED RESOLVED','74','2021-07-12 11:55:22','2021-07-12 11:55:22');
INSERT INTO complaint_remarks VALUES('8799','7725','03315249474 TACTION','92','2021-07-12 11:57:02','2021-07-12 11:57:02');
INSERT INTO complaint_remarks VALUES('8800','6572','ISSUED RESOLVED CUSTOMER KAH RAHA COMPLAINT CLOSED KRDO','74','2021-07-12 11:57:42','2021-07-12 11:57:42');
INSERT INTO complaint_remarks VALUES('8801','6618','ISSUED RESOLVED','74','2021-07-12 12:01:36','2021-07-12 12:01:36');
INSERT INTO complaint_remarks VALUES('8802','7725','AJ AGAIN VISIT HAY INFORM BY CUSTOMER','92','2021-07-12 12:11:48','2021-07-12 12:11:48');
INSERT INTO complaint_remarks VALUES('8803','6667','ISSUED NOT RESOLVE CUSTOMER KI RUBER KA ISSUE HA JO BR BR UTR JATI HA  TECNISION 2 SA 3 DAFA AK ISSUE RESOLVED KR CHUKA HA','74','2021-07-12 12:26:18','2021-07-12 12:26:18');
INSERT INTO complaint_remarks VALUES('8804','6698','COMPLAINT COMPLETED','74','2021-07-12 12:38:22','2021-07-12 12:38:22');
INSERT INTO complaint_remarks VALUES('8805','7811','03325777024 SARFARAZ TACTION','92','2021-07-12 12:45:27','2021-07-12 12:45:27');
INSERT INTO complaint_remarks VALUES('8806','6747','ISSUED RESOLVED','74','2021-07-12 12:54:19','2021-07-12 12:54:19');
INSERT INTO complaint_remarks VALUES('8807','6782','CUSTOMER BUSY THA JIS WJA SA TECHNISION VISIT NI KR SKA AJ DOBARA VISIT HO GA','74','2021-07-12 13:00:43','2021-07-12 13:00:43');
INSERT INTO complaint_remarks VALUES('8808','6862','ISSUED RESOLVED','74','2021-07-12 13:19:14','2021-07-12 13:19:14');
INSERT INTO complaint_remarks VALUES('8809','7793','COMPLAINT RESOLVED','92','2021-07-12 13:21:01','2021-07-12 13:21:01');
INSERT INTO complaint_remarks VALUES('8810','6940','TECHNISION SA BT HO GI HA WO KH RAHA PART DEMANDED HA JAISA COMPANY KI TRF SA PART ISSUE HOTA TO ISSUE RESOLVED HO JAI GA','74','2021-07-12 13:26:48','2021-07-12 13:26:48');
INSERT INTO complaint_remarks VALUES('8811','6992','ISSUED RESOLVED','74','2021-07-12 13:33:21','2021-07-12 13:33:21');
INSERT INTO complaint_remarks VALUES('8812','7791','COMPLAINT RESOLVED','92','2021-07-12 13:37:27','2021-07-12 13:37:27');
INSERT INTO complaint_remarks VALUES('8813','7790','COMPLAINT RESOLVED','92','2021-07-12 13:40:30','2021-07-12 13:40:30');
INSERT INTO complaint_remarks VALUES('8814','7787','COMPLAINT RESOLVED','92','2021-07-12 13:43:00','2021-07-12 13:43:00');
INSERT INTO complaint_remarks VALUES('8815','7184','IN PROCESSING PART NOT AWAILABLE','74','2021-07-12 13:44:23','2021-07-12 13:44:23');
INSERT INTO complaint_remarks VALUES('8816','7786','CUSTOMER SAY BAT HUAI HAY TACTION CUSTOMER K GHAR PAR HAY COMPLAINT IN PROCESS','92','2021-07-12 13:45:54','2021-07-12 13:45:54');
INSERT INTO complaint_remarks VALUES('8817','7214','NOT ATTENDING CALL','74','2021-07-12 13:46:59','2021-07-12 13:46:59');
INSERT INTO complaint_remarks VALUES('8818','7785','COMPLAINT ATTEND HO GAE HAY AJ AGAIN VISIT HAY','92','2021-07-12 13:47:24','2021-07-12 13:47:24');
INSERT INTO complaint_remarks VALUES('8819','7781','COMPLAINT RESOLVED','92','2021-07-12 13:54:07','2021-07-12 13:54:07');
INSERT INTO complaint_remarks VALUES('8820','7494','TECHNISION NA AJ VISIT DOBARA KRNA','74','2021-07-12 14:04:16','2021-07-12 14:04:16');
INSERT INTO complaint_remarks VALUES('8821','7895','03095559758 MASOOD TACTION','92','2021-07-12 14:04:30','2021-07-12 14:04:30');
INSERT INTO complaint_remarks VALUES('8822','7520','ISSUED RESOLVED','74','2021-07-12 14:07:43','2021-07-12 14:07:43');
INSERT INTO complaint_remarks VALUES('8823','7524','ISSUED RESOLVED','74','2021-07-12 14:14:20','2021-07-12 14:14:20');
INSERT INTO complaint_remarks VALUES('8824','7800','COMPLAINT RESOLVED','92','2021-07-12 14:18:12','2021-07-12 14:18:12');
INSERT INTO complaint_remarks VALUES('8825','7612','ISSUED RESOLVED','74','2021-07-12 14:18:53','2021-07-12 14:18:53');
INSERT INTO complaint_remarks VALUES('8826','7631','ISSUED RESOLVED','74','2021-07-12 14:20:47','2021-07-12 14:20:47');
INSERT INTO complaint_remarks VALUES('8827','7776','COMPLAINT RESOLVED','92','2021-07-12 14:23:36','2021-07-12 14:23:36');
INSERT INTO complaint_remarks VALUES('8828','7638','ISSUED RESOLVED','74','2021-07-12 14:24:35','2021-07-12 14:24:35');
INSERT INTO complaint_remarks VALUES('8829','7699','ISSUED RESOLVED','74','2021-07-12 14:26:28','2021-07-12 14:26:28');
INSERT INTO complaint_remarks VALUES('8830','7774','COMPLAINT RESOLVED','92','2021-07-12 14:26:35','2021-07-12 14:26:35');
INSERT INTO complaint_remarks VALUES('8831','7766','COMPLAINT RESOLVED','92','2021-07-12 14:50:34','2021-07-12 14:50:34');
INSERT INTO complaint_remarks VALUES('8832','7730','ISSUED NOT RESOLVE MOTER CHANGE HO GI ABI TKK PROCESS MA HI HA','74','2021-07-12 14:52:29','2021-07-12 14:52:29');
INSERT INTO complaint_remarks VALUES('8833','7750','ISSUED RESOLVED','74','2021-07-12 14:54:24','2021-07-12 14:54:24');
INSERT INTO complaint_remarks VALUES('8834','7785','AJ YECHNISION DOBARA VISIT KRA ABI TK ISSUE RESOLVED NI HUA','74','2021-07-12 14:59:38','2021-07-12 14:59:38');
INSERT INTO complaint_remarks VALUES('8835','7786','UNITB REPLACE HO GA TECHNISION SA BT HUI WI HA IN PROCESS','74','2021-07-12 15:02:47','2021-07-12 15:02:47');
INSERT INTO complaint_remarks VALUES('8836','7798','CUSTOMER NOT ATENDING CALL','74','2021-07-12 15:04:37','2021-07-12 15:04:37');
INSERT INTO complaint_remarks VALUES('8837','4181','COMPLAINT RESOLVED','92','2021-07-12 15:05:57','2021-07-12 15:05:57');
INSERT INTO complaint_remarks VALUES('8838','7805','TECHNISION NA ABI TK VISIT NI KIA NA COMPANY NA CONTACT KIA HA','74','2021-07-12 15:08:13','2021-07-12 15:08:13');
INSERT INTO complaint_remarks VALUES('8839','7836','COMPLAINT COMPLETED','74','2021-07-12 15:11:56','2021-07-12 15:11:56');
INSERT INTO complaint_remarks VALUES('8840','7762','MOTOR ISSUE 02 DIN TAK MOTOR AY JAY GE COMPLAINE IN PROCESS','92','2021-07-12 15:12:36','2021-07-12 15:12:36');
INSERT INTO complaint_remarks VALUES('8841','7759','TACTION KI CALL AY GAE HAY CUSTOMER KO','92','2021-07-12 15:20:13','2021-07-12 15:20:13');
INSERT INTO complaint_remarks VALUES('8842','7498','TECH NISION NA ABI TK RBTA NI KIA','74','2021-07-12 15:22:43','2021-07-12 15:22:43');
INSERT INTO complaint_remarks VALUES('8843','6780','ISSUED RESOLVED','74','2021-07-12 15:32:47','2021-07-12 15:32:47');
INSERT INTO complaint_remarks VALUES('8844','7752','COMPLAINT RESOLVED','92','2021-07-12 15:48:18','2021-07-12 15:48:18');
INSERT INTO complaint_remarks VALUES('8845','7751','CUSTOMER NOT ATTEND CALL','92','2021-07-12 15:53:51','2021-07-12 15:53:51');
INSERT INTO complaint_remarks VALUES('8846','7749','COMPLAINT RESOLVED','92','2021-07-12 15:55:17','2021-07-12 15:55:17');
INSERT INTO complaint_remarks VALUES('8847','7506','COMPLAINT COMPLETED','74','2021-07-12 16:05:12','2021-07-12 16:05:12');
INSERT INTO complaint_remarks VALUES('8848','7515','NOT ATTENDING','74','2021-07-12 16:10:52','2021-07-12 16:10:52');
INSERT INTO complaint_remarks VALUES('8849','7554','NOT ATTENDING','74','2021-07-12 16:16:37','2021-07-12 16:16:37');
INSERT INTO complaint_remarks VALUES('8850','7629','UNIT S/C SA AGIA HA IISUED NOT RESOLVED','74','2021-07-12 16:20:32','2021-07-12 16:20:32');
INSERT INTO complaint_remarks VALUES('8851','7742','03125343149 UMAR TACTION','92','2021-07-12 16:24:44','2021-07-12 16:24:44');
INSERT INTO complaint_remarks VALUES('8852','7813','03142437951 AFZAL AHMED','92','2021-07-12 16:27:24','2021-07-12 16:27:24');
INSERT INTO complaint_remarks VALUES('8853','7639','ISSUE RESOLVED','74','2021-07-12 16:36:09','2021-07-12 16:36:09');
INSERT INTO complaint_remarks VALUES('8854','7666','ISSUED RESOLVED','74','2021-07-12 16:37:43','2021-07-12 16:37:43');
INSERT INTO complaint_remarks VALUES('8855','7794','IISUED RESOLVED BUT CUSTOMER IS NOT AT HOME THATS HE IS NOT SURE  WAITIN FOR FRIDAY','74','2021-07-12 16:42:40','2021-07-12 16:42:40');
INSERT INTO complaint_remarks VALUES('8856','7802','ISSUED RESOLVED','74','2021-07-12 16:44:51','2021-07-12 16:44:51');
INSERT INTO complaint_remarks VALUES('8857','7839','ISSUED RESOLVED','74','2021-07-12 16:46:29','2021-07-12 16:46:29');
INSERT INTO complaint_remarks VALUES('8858','7813','COMPLAINT RESOLVED','92','2021-07-12 16:49:00','2021-07-12 16:49:00');
INSERT INTO complaint_remarks VALUES('8859','7742','VISIT TO DAY INFORM BY CUSTOMER','92','2021-07-12 16:54:37','2021-07-12 16:54:37');
INSERT INTO complaint_remarks VALUES('8860','6630','ISSUED NOT RESOLVED','74','2021-07-12 17:20:01','2021-07-12 17:20:01');
INSERT INTO complaint_remarks VALUES('8861','6661','NOT CLERAD YER','74','2021-07-12 17:28:58','2021-07-12 17:28:58');
INSERT INTO complaint_remarks VALUES('8862','7856','CUSTOMER NOT ATTEND CALL','92','2021-07-13 11:04:12','2021-07-13 11:04:12');
INSERT INTO complaint_remarks VALUES('8863','7854','COMPLAINT RESOLVED','92','2021-07-13 11:07:56','2021-07-13 11:07:56');
INSERT INTO complaint_remarks VALUES('8864','7533','RAHAN S/C 03455436032','92','2021-07-13 11:17:27','2021-07-13 11:17:27');
INSERT INTO complaint_remarks VALUES('8865','7853','COMPLAINT ATTEND HO GAE HAY PART ISSUE AJ AGAIN VISIT HAY','92','2021-07-13 11:29:16','2021-07-13 11:29:16');
INSERT INTO complaint_remarks VALUES('8866','7851','ABI CUSTOMER KA ISSUE RESOLVED HO GAYA HAY AGAIN ISSUE ATA HAY TO COMPLAINT REOPEN KARWA LAY GAY COMPLAINT CLOSED','92','2021-07-13 11:36:17','2021-07-13 11:36:17');
INSERT INTO complaint_remarks VALUES('8867','7916','03008988210 SHAKEEL TACTION VISIT TO DAY','92','2021-07-13 11:39:01','2021-07-13 11:39:01');
INSERT INTO complaint_remarks VALUES('8868','7629','AJ AGAIN VISIT HAY CUSTOMER K GHAR','92','2021-07-13 11:53:12','2021-07-13 11:53:12');
INSERT INTO complaint_remarks VALUES('8869','6845','issued not resolved part   awail ni ha ha in process customer ko inform krdia gia ha','74','2021-07-13 12:05:07','2021-07-13 12:05:07');
INSERT INTO complaint_remarks VALUES('8870','7850','CUSTOMER NOT ATTEND CALL','92','2021-07-13 12:09:15','2021-07-13 12:09:15');
INSERT INTO complaint_remarks VALUES('8871','6884','issue not resolved tiil yet in progress technision is in con tact','74','2021-07-13 12:10:04','2021-07-13 12:10:04');
INSERT INTO complaint_remarks VALUES('8872','6884','CUSTOMER 3 DIN TAK CONTACT KRA GA','74','2021-07-13 12:10:33','2021-07-13 12:10:33');
INSERT INTO complaint_remarks VALUES('8873','7807','COMPLAINT ATTEND HO GAE HAY CUSTOMER KO UNIT S/C LANA HAY','92','2021-07-13 12:13:54','2021-07-13 12:13:54');
INSERT INTO complaint_remarks VALUES('8874','7849','WIFI ISSUE COMPLAINT IN PROCESS','92','2021-07-13 12:18:12','2021-07-13 12:18:12');
INSERT INTO complaint_remarks VALUES('8875','7847','COMPLAINT RESOLVED','92','2021-07-13 12:19:11','2021-07-13 12:19:11');
INSERT INTO complaint_remarks VALUES('8876','7187','TECNISION NA VIST KI9A UN KI TRF SA ISSUED RESOLVED HA LEKIN CUSTOMER SATISFIED  NI HA WO REPLACEMENT CAHTA HA','74','2021-07-13 12:21:33','2021-07-13 12:21:33');
INSERT INTO complaint_remarks VALUES('8877','7845','COMPLAINT ATTEND HO GAE HAY UNIT LIFT IN S/C','92','2021-07-13 12:26:01','2021-07-13 12:26:01');
INSERT INTO complaint_remarks VALUES('8878','7582','ISSUED RESOLVED','74','2021-07-13 12:28:58','2021-07-13 12:28:58');
INSERT INTO complaint_remarks VALUES('8879','7644','CUSTOMER IS POWERED OFF','74','2021-07-13 12:30:31','2021-07-13 12:30:31');
INSERT INTO complaint_remarks VALUES('8880','7789','COMPLAINT ATTEND HO GAE HAY INDOOR BLORE ISSUE 03 DIN TAK AY GAY GA PART COMPLAINT IN PROCESS','92','2021-07-13 12:35:39','2021-07-13 12:35:39');
INSERT INTO complaint_remarks VALUES('8881','7677','ISSUED NOT RESOLVED','74','2021-07-13 12:37:15','2021-07-13 12:37:15');
INSERT INTO complaint_remarks VALUES('8882','7843','CUSTOMER NOT ATTEND CALL','92','2021-07-13 12:38:33','2021-07-13 12:38:33');
INSERT INTO complaint_remarks VALUES('8883','7842','COMPLAINT RESOLVED','92','2021-07-13 12:40:13','2021-07-13 12:40:13');
INSERT INTO complaint_remarks VALUES('8884','7758','NOT ATTENDING CALL','74','2021-07-13 12:45:00','2021-07-13 12:45:00');
INSERT INTO complaint_remarks VALUES('8885','7840','COMPLAINT RESOLVED','92','2021-07-13 12:46:24','2021-07-13 12:46:24');
INSERT INTO complaint_remarks VALUES('8886','6531','YA AZZEM SIR K PAAS HA UNHI SA CONFERMED KRNA','74','2021-07-13 12:52:46','2021-07-13 12:52:46');
INSERT INTO complaint_remarks VALUES('8887','6880','NUMBER IS NOT CORRECT','74','2021-07-13 12:55:17','2021-07-13 12:55:17');
INSERT INTO complaint_remarks VALUES('8888','7835','COMPLAINT ATTEND HO GAE HAY TAB ISSUE COMPLAINT IN PROCESS','92','2021-07-13 12:55:59','2021-07-13 12:55:59');
INSERT INTO complaint_remarks VALUES('8889','7833','CUSTOMER NOT ATTEND CALL','92','2021-07-13 13:12:05','2021-07-13 13:12:05');
INSERT INTO complaint_remarks VALUES('8890','7832','COMPLAINT RESOLVED','92','2021-07-13 13:17:21','2021-07-13 13:17:21');
INSERT INTO complaint_remarks VALUES('8891','6114','issued not resolved','74','2021-07-13 13:21:46','2021-07-13 13:21:46');
INSERT INTO complaint_remarks VALUES('8892','6270','NOT ATTENDING CALL','74','2021-07-13 13:27:35','2021-07-13 13:27:35');
INSERT INTO complaint_remarks VALUES('8893','6349','ISSUED NOT RESOLVED','74','2021-07-13 13:31:11','2021-07-13 13:31:11');
INSERT INTO complaint_remarks VALUES('8894','7936','CUSTOMER NOT ATTEND CALL','92','2021-07-13 13:32:19','2021-07-13 13:32:19');
INSERT INTO complaint_remarks VALUES('8895','7715','ISSUED RESOLVED','74','2021-07-13 13:39:09','2021-07-13 13:39:09');
INSERT INTO complaint_remarks VALUES('8896','7713','NOT RESOLVED','74','2021-07-13 13:43:07','2021-07-13 13:43:07');
INSERT INTO complaint_remarks VALUES('8897','7711','ISSUED RESOLVED BUT UNIT IS IN S/C   SHOULD BE RESOLVED IN 24 HOURS','74','2021-07-13 13:46:04','2021-07-13 13:46:04');
INSERT INTO complaint_remarks VALUES('8898','7707','ISSUED RESOLVED','74','2021-07-13 13:47:56','2021-07-13 13:47:56');
INSERT INTO complaint_remarks VALUES('8899','7705','ISSUE NOT RESOLVEDE','74','2021-07-13 13:50:20','2021-07-13 13:50:20');
INSERT INTO complaint_remarks VALUES('8900','7823','CUSTOMER KA KHUD HI ISSUE RESOLVED HO GAYA HAY COMPLAINT CLOSED','92','2021-07-13 13:50:49','2021-07-13 13:50:49');
INSERT INTO complaint_remarks VALUES('8901','7703','ISSUED NOT RESOLVED THERMOSTATE DEMANDED HA IN PROGRESS','74','2021-07-13 13:56:46','2021-07-13 13:56:46');
INSERT INTO complaint_remarks VALUES('8902','7831','customer not attend call','92','2021-07-13 14:06:18','2021-07-13 14:06:18');
INSERT INTO complaint_remarks VALUES('8903','7725','COMPANY SA ISSUE RESOLVED NI HUA COMPLAINT REOPEN HO RI HA','74','2021-07-13 14:11:43','2021-07-13 14:11:43');
INSERT INTO complaint_remarks VALUES('8904','7716','UNIT IS IN S/C WORKING IN PROCESS','74','2021-07-13 14:16:31','2021-07-13 14:16:31');
INSERT INTO complaint_remarks VALUES('8905','7681','ISSUED RESOLVED','74','2021-07-13 14:24:15','2021-07-13 14:24:15');
INSERT INTO complaint_remarks VALUES('8906','7825','CUSTOMER VISITING CHARGES NAI DAY RAHAY THAY AGAIN COMPANY MAY COMPLAINT REOPEN KARWA DE HAY','92','2021-07-13 14:31:27','2021-07-13 14:31:27');
INSERT INTO complaint_remarks VALUES('8907','7660','COMPLAINT HIGHLIGHTED','74','2021-07-13 14:32:02','2021-07-13 14:32:02');
INSERT INTO complaint_remarks VALUES('8908','7656','ISSUED RESOLVED','74','2021-07-13 14:34:07','2021-07-13 14:34:07');
INSERT INTO complaint_remarks VALUES('8909','7593','ISSUED RESOLVED','74','2021-07-13 14:35:45','2021-07-13 14:35:45');
INSERT INTO complaint_remarks VALUES('8910','7591','ISSUED RESOLVED','74','2021-07-13 14:36:38','2021-07-13 14:36:38');
INSERT INTO complaint_remarks VALUES('8911','7304','ISSUED RESOLVED','74','2021-07-13 14:38:03','2021-07-13 14:38:03');
INSERT INTO complaint_remarks VALUES('8912','7763','COMPLAINT RESOLVED','74','2021-07-13 14:40:57','2021-07-13 14:40:57');
INSERT INTO complaint_remarks VALUES('8913','7657','ISSUED RESOLVED','74','2021-07-13 14:43:13','2021-07-13 14:43:13');
INSERT INTO complaint_remarks VALUES('8914','7565','NOT ATTENDING CALL','74','2021-07-13 14:56:42','2021-07-13 14:56:42');
INSERT INTO complaint_remarks VALUES('8915','7533','ISSUED RESOLVED','74','2021-07-13 15:05:42','2021-07-13 15:05:42');
INSERT INTO complaint_remarks VALUES('8916','7523','CUSTOMER NOT ATTENDING MY CALL','74','2021-07-13 15:08:55','2021-07-13 15:08:55');
INSERT INTO complaint_remarks VALUES('8917','7815','CUSTOMER NOT ATTEND CALL','92','2021-07-13 15:10:20','2021-07-13 15:10:20');
INSERT INTO complaint_remarks VALUES('8918','7815','COMPLAINT RESOLVED','92','2021-07-13 15:11:17','2021-07-13 15:11:17');
INSERT INTO complaint_remarks VALUES('8919','7462','UNIT IS IN S/C  WORK IS IN PROGRESS','74','2021-07-13 15:11:58','2021-07-13 15:11:58');
INSERT INTO complaint_remarks VALUES('8920','7391','UNIT REPLACED BY CUSTOMER','74','2021-07-13 15:14:59','2021-07-13 15:14:59');
INSERT INTO complaint_remarks VALUES('8921','7055','UNIT IS IN S/C WORKING IN PROGRESS','74','2021-07-13 15:21:08','2021-07-13 15:21:08');
INSERT INTO complaint_remarks VALUES('8922','7482','COMPLAINT RESOLVED','74','2021-07-13 15:26:38','2021-07-13 15:26:38');
INSERT INTO complaint_remarks VALUES('8923','7799','COMPLAINT RESOLVED','92','2021-07-13 15:28:39','2021-07-13 15:28:39');
INSERT INTO complaint_remarks VALUES('8924','7002','NOTT ATEENDING CALL','74','2021-07-13 15:31:06','2021-07-13 15:31:06');
INSERT INTO complaint_remarks VALUES('8925','7798','COMPLAINT RESOLVED','92','2021-07-13 15:33:33','2021-07-13 15:33:33');
INSERT INTO complaint_remarks VALUES('8926','6977','VISIT HO CHUKA HA AIK BARI RESOLVED HO GYA ISSUE DOBARA HUA INPROGRESS','74','2021-07-13 15:35:35','2021-07-13 15:35:35');
INSERT INTO complaint_remarks VALUES('8927','6835','ISSUED RESOLVED','74','2021-07-13 15:41:06','2021-07-13 15:41:06');
INSERT INTO complaint_remarks VALUES('8928','6933','ASLAM SAB KI APPROVAL SA CUSTOMER KO REF REPLACE HO GAYA HAIN AJ SAHM TAQ CUSTOMER PICK KAR LAY GAY COMPLAINT CLOSED','74','2021-07-13 15:44:18','2021-07-13 15:44:18');
INSERT INTO complaint_remarks VALUES('8929','7746','COMPLAINT RESOLVED','92','2021-07-13 15:48:05','2021-07-13 15:48:05');
INSERT INTO complaint_remarks VALUES('8930','6095','NOT ATTENDING CALL','74','2021-07-13 15:55:59','2021-07-13 15:55:59');
INSERT INTO complaint_remarks VALUES('8931','7579','ISSUED RESOLVED','74','2021-07-13 16:03:15','2021-07-13 16:03:15');
INSERT INTO complaint_remarks VALUES('8932','7326','ISSUED RESOLVED BY LOCAL TECHNISION','74','2021-07-13 16:15:07','2021-07-13 16:15:07');
INSERT INTO complaint_remarks VALUES('8933','7228','TECHNISION STILL NOT VISITED YET','74','2021-07-13 16:19:18','2021-07-13 16:19:18');
INSERT INTO complaint_remarks VALUES('8934','7216','ISSUED RESOLVED','74','2021-07-13 16:25:05','2021-07-13 16:25:05');
INSERT INTO complaint_remarks VALUES('8935','7738','COMPLAINT ATTEND HO GAE HAY UNIT LIFT IN S/C','92','2021-07-13 16:25:29','2021-07-13 16:25:29');
INSERT INTO complaint_remarks VALUES('8936','7182','03215523696 OTHER NUM','74','2021-07-13 16:28:51','2021-07-13 16:28:51');
INSERT INTO complaint_remarks VALUES('8937','7146','ISSUED RESOLVED','74','2021-07-13 16:32:13','2021-07-13 16:32:13');
INSERT INTO complaint_remarks VALUES('8938','7936','COMPLAINT RESOLVED','92','2021-07-13 16:37:14','2021-07-13 16:37:14');
INSERT INTO complaint_remarks VALUES('8939','7119','UNIT S/C SHIFT HO GA LEKIN CUSTOMER ABI TK NI LA K GIA CUSTOMER K MUTABIK KLL TK WO S/C POHANCHA DA GA','74','2021-07-13 16:37:20','2021-07-13 16:37:20');
INSERT INTO complaint_remarks VALUES('8940','7115','ISSUED RESOLVED','74','2021-07-13 16:39:17','2021-07-13 16:39:17');
INSERT INTO complaint_remarks VALUES('8941','7057','CUSTOMER NOT RECIEVING CALL','74','2021-07-13 16:43:12','2021-07-13 16:43:12');
INSERT INTO complaint_remarks VALUES('8942','7013','STIL IS IN S/C','74','2021-07-13 16:48:10','2021-07-13 16:48:10');
INSERT INTO complaint_remarks VALUES('8943','7873','TACTION CUSTOMER K GHAR PAR HAY COMPLAINT IN PROCESS','92','2021-07-13 17:10:04','2021-07-13 17:10:04');
INSERT INTO complaint_remarks VALUES('8944','6973','STILL IS IN S/C','74','2021-07-13 17:18:00','2021-07-13 17:18:00');
INSERT INTO complaint_remarks VALUES('8945','6895','ISSUED RESOLVED','74','2021-07-13 17:19:29','2021-07-13 17:19:29');
INSERT INTO complaint_remarks VALUES('8946','6894','ISSUED RESOLVED','74','2021-07-13 17:22:18','2021-07-13 17:22:18');
INSERT INTO complaint_remarks VALUES('8947','6856','COMPANY KA PART DEMANDED HA','74','2021-07-13 17:33:26','2021-07-13 17:33:26');
INSERT INTO complaint_remarks VALUES('8948','6856','PART NOT AWAILABLE','74','2021-07-13 17:33:40','2021-07-13 17:33:40');
INSERT INTO complaint_remarks VALUES('8949','7784','VISIT TO DAY INFORM BY CUSTOMER','92','2021-07-14 10:56:37','2021-07-14 10:56:37');
INSERT INTO complaint_remarks VALUES('8950','7916','COMPLAINT ATTEND HO GAE HAY BUT CUSTOMER NOT ATTEND CALL','92','2021-07-14 11:02:33','2021-07-14 11:02:33');
INSERT INTO complaint_remarks VALUES('8951','7916','COMPLAINT RESOLVED','92','2021-07-14 11:15:51','2021-07-14 11:15:51');
INSERT INTO complaint_remarks VALUES('8952','7627','FREEZER MAIN KOI ISSUE NAI HAIN BILAL FCP SA CONFIRM KAR K COMPLAINT CLOSED KI','74','2021-07-14 11:29:11','2021-07-14 11:29:11');
INSERT INTO complaint_remarks VALUES('8953','7942','COMPLAINT ATTEND HO GAE HAY CARD ISSUE COMPLAINT IN PROCESS','92','2021-07-14 11:30:36','2021-07-14 11:30:36');
INSERT INTO complaint_remarks VALUES('8954','6445','S/C WORKING IN PROCESS','74','2021-07-14 11:36:48','2021-07-14 11:36:48');
INSERT INTO complaint_remarks VALUES('8955','7898','COMPLAINT ATTEND HO GAE HAY KAL TAK CUSTOMER INFORM KARAY GAY','92','2021-07-14 11:37:11','2021-07-14 11:37:11');
INSERT INTO complaint_remarks VALUES('8956','7895','COMPLAINT ATTEND HO GAE HAY BUT CUSTOMER NOT ATTEND CALL','92','2021-07-14 11:42:35','2021-07-14 11:42:35');
INSERT INTO complaint_remarks VALUES('8957','6990','COMPLAINT RESOLVED','74','2021-07-14 11:43:43','2021-07-14 11:43:43');
INSERT INTO complaint_remarks VALUES('8958','7893','COMPLAINT RESOLVED','92','2021-07-14 11:49:39','2021-07-14 11:49:39');
INSERT INTO complaint_remarks VALUES('8959','7892','COMPLAINT RESOLVED','92','2021-07-14 11:51:39','2021-07-14 11:51:39');
INSERT INTO complaint_remarks VALUES('8960','7891','COMPLAINT RESOLVED','92','2021-07-14 11:53:08','2021-07-14 11:53:08');
INSERT INTO complaint_remarks VALUES('8961','5902','REF TO S/C CUSTOMER KO NOOR SB KA NO WHATSAPP KAR DIA HAIN CUSTOMER KHUS S/C MOVE KARWAY GAY UNIT','74','2021-07-14 11:54:39','2021-07-14 11:54:39');
INSERT INTO complaint_remarks VALUES('8962','7890','CUSTOMER NOT ATTEND CALL','92','2021-07-14 11:57:07','2021-07-14 11:57:07');
INSERT INTO complaint_remarks VALUES('8963','7862','NOT ATTEND CALL','74','2021-07-14 11:57:29','2021-07-14 11:57:29');
INSERT INTO complaint_remarks VALUES('8964','7888','COMPLAINT RESOLVED','92','2021-07-14 11:58:07','2021-07-14 11:58:07');
INSERT INTO complaint_remarks VALUES('8965','5995','CUSTOMER KO 25000 EXP CONFIRMED KIYA THA BUT CUSTOMER NA EXP APPROVED NAI KIYA CUSTOMER NA LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA LIYA COMPLAINT CLOSED','74','2021-07-14 12:03:12','2021-07-14 12:03:12');
INSERT INTO complaint_remarks VALUES('8966','5563','BEST COOL AGAIN VISIT K LIYA REMINDER DA DIA','74','2021-07-14 12:15:24','2021-07-14 12:15:24');
INSERT INTO complaint_remarks VALUES('8967','6351','REF S/C WORKING IN PROCESS','74','2021-07-14 12:17:00','2021-07-14 12:17:00');
INSERT INTO complaint_remarks VALUES('8968','7202','CUSTOMER KA CARD REPAIR NAI HO RAHA HAIN TAHIR SIR NA CUSTOMER KO BOLA HAIN K NEW CARD K LIYA DEMAND KAR DIA HAIN','74','2021-07-14 12:21:40','2021-07-14 12:21:40');
INSERT INTO complaint_remarks VALUES('8969','7886','CUSTOMER NOT ATTEND CALL','92','2021-07-14 12:22:11','2021-07-14 12:22:11');
INSERT INTO complaint_remarks VALUES('8970','7885','CUSTOMER NOT ATTEND CALL','92','2021-07-14 12:24:51','2021-07-14 12:24:51');
INSERT INTO complaint_remarks VALUES('8971','7884','CUSTOMER NOT ATTEND CALL','92','2021-07-14 12:27:25','2021-07-14 12:27:25');
INSERT INTO complaint_remarks VALUES('8972','6218','COMPLAINT RESOLVED','74','2021-07-14 12:28:32','2021-07-14 12:28:32');
INSERT INTO complaint_remarks VALUES('8973','7882','CUSTOMER NOT ATTEND CALL','92','2021-07-14 12:29:05','2021-07-14 12:29:05');
INSERT INTO complaint_remarks VALUES('8974','7880','COMPLAINT RESOLVED','92','2021-07-14 12:31:22','2021-07-14 12:31:22');
INSERT INTO complaint_remarks VALUES('8975','7878','03111508314 TACTION NO','92','2021-07-14 12:35:49','2021-07-14 12:35:49');
INSERT INTO complaint_remarks VALUES('8976','7878','COMPLAINT ATTEND HO GAE HAY DRAIN ISSUE RESOLVED HO GAYA HAY BUT AB ERROR AY RAHA HAY TACTION KO INFORM KAR DEYA HAY AJ AGAIN VISIST HO GA INFORM BY CUSTOMER','92','2021-07-14 12:38:51','2021-07-14 12:38:51');
INSERT INTO complaint_remarks VALUES('8977','7875','COMPLAINT ATTEND HO GAE HAY UNIT OK HAY INSTALLER FAULT HAY ADIL HOME SOLUTION SIR NAY INSTALLER KARWAYA THA UNIT ADIL SIR KO INFORM KAR DEYA HAY WO AJ APNAY TACTION KO BAJH KAR CHECK KARWA LAY GAY COMPLAINT CLOSED','92','2021-07-14 12:46:29','2021-07-14 12:46:29');
INSERT INTO complaint_remarks VALUES('8978','7999','S/CENTRE=051-4916475','73','2021-07-14 12:49:52','2021-07-14 12:49:52');
INSERT INTO complaint_remarks VALUES('8979','7874','COMPLAINT RESOLVED','92','2021-07-14 12:50:14','2021-07-14 12:50:14');
INSERT INTO complaint_remarks VALUES('8980','7873','COMPLAINT RESOLVED','92','2021-07-14 12:52:10','2021-07-14 12:52:10');
INSERT INTO complaint_remarks VALUES('8981','7872','COMPLAINT RESOLVED','92','2021-07-14 12:54:44','2021-07-14 12:54:44');
INSERT INTO complaint_remarks VALUES('8982','7871','CUSTOMER NOT ATTEND CALL','92','2021-07-14 12:58:26','2021-07-14 12:58:26');
INSERT INTO complaint_remarks VALUES('8983','7870','COMPLAINT RESOLVED','92','2021-07-14 12:59:52','2021-07-14 12:59:52');
INSERT INTO complaint_remarks VALUES('8984','7868','COMPLAINT ATTEND HO GAE HAY CUSTOMER KI KHURRAM SIR SAY B BAT HO GAE HAY COMPLAINT IN PROCESS','92','2021-07-14 13:03:37','2021-07-14 13:03:37');
INSERT INTO complaint_remarks VALUES('8985','7867','CUSTOMER NOT ATTEND CALL','92','2021-07-14 13:04:28','2021-07-14 13:04:28');
INSERT INTO complaint_remarks VALUES('8986','7860','TACTION NAY CALL KI THI CUSTOMER KO BUT NOT ATTEND CALL AGAIN REMINDER DAY DEYA HAY ANWAR SIR KO AJ ATTEND HO JAY GE COMPLAINT','92','2021-07-14 13:14:06','2021-07-14 13:14:06');
INSERT INTO complaint_remarks VALUES('8987','7859','VISIT TO DAY INFORM BY CUSTOMER','92','2021-07-14 13:19:27','2021-07-14 13:19:27');
INSERT INTO complaint_remarks VALUES('8988','7856','CUSTOMER AJ B CALL ATTEND NAI KAR RAHY','92','2021-07-14 13:31:39','2021-07-14 13:31:39');
INSERT INTO complaint_remarks VALUES('8989','7850','CUSTOMER AJ B CALL ATTEND NAI KAR RAHY','92','2021-07-14 13:33:58','2021-07-14 13:33:58');
INSERT INTO complaint_remarks VALUES('8990','7718','CUSTOMER NOT ATTEND CALL','92','2021-07-14 13:36:12','2021-07-14 13:36:12');
INSERT INTO complaint_remarks VALUES('8991','7704','COMPLAINT ATTEND HO GAE HAY COMPLAINT IN PROCESS','92','2021-07-14 13:38:25','2021-07-14 13:38:25');
INSERT INTO complaint_remarks VALUES('8992','7700','COMPLAINT RESOLVED','92','2021-07-14 13:40:39','2021-07-14 13:40:39');
INSERT INTO complaint_remarks VALUES('8993','7687','CUSTOMER NOT ATTEND CALL','92','2021-07-14 13:47:07','2021-07-14 13:47:07');
INSERT INTO complaint_remarks VALUES('8994','7687','CUSTOMER NOT ATTEND CALL','92','2021-07-14 13:47:10','2021-07-14 13:47:10');
INSERT INTO complaint_remarks VALUES('8995','7995','S/CENTRE=0544623236 , 0544629301','73','2021-07-14 13:52:01','2021-07-14 13:52:01');
INSERT INTO complaint_remarks VALUES('8996','7685','CUSTOMER NOT ATTEND CALL','92','2021-07-14 13:54:33','2021-07-14 13:54:33');
INSERT INTO complaint_remarks VALUES('8997','7677','NEW COMPLAINT#803246','73','2021-07-14 14:00:40','2021-07-14 14:00:40');
INSERT INTO complaint_remarks VALUES('8998','7687','COMPLAINT RESOLVED','92','2021-07-14 14:02:41','2021-07-14 14:02:41');
INSERT INTO complaint_remarks VALUES('8999','7682','COMPLAINT ATTEND HO GAE THI CUSTOMER KO HOOD S/C LANA THA BUT CUSTOMER NAI LANA CHA RAHI SO CUSTOMER SAY CONFORM KAR K COMPLAINT CLOSED KI HAY','92','2021-07-14 14:05:38','2021-07-14 14:05:38');
INSERT INTO complaint_remarks VALUES('9000','7675','COMPLAINT RESOLVED','92','2021-07-14 14:09:13','2021-07-14 14:09:13');
INSERT INTO complaint_remarks VALUES('9001','7673','COMPLAINT RESOLVED','92','2021-07-14 14:13:41','2021-07-14 14:13:41');
INSERT INTO complaint_remarks VALUES('9002','7652','COMPLAINT RESOLVED','92','2021-07-14 14:22:44','2021-07-14 14:22:44');
INSERT INTO complaint_remarks VALUES('9003','7535','03455088808 ADEEL TACTION','92','2021-07-14 14:33:35','2021-07-14 14:33:35');
INSERT INTO complaint_remarks VALUES('9004','7646','CUSTOMER NOT ATTEND CALL','92','2021-07-14 16:03:43','2021-07-14 16:03:43');
INSERT INTO complaint_remarks VALUES('9005','7311','CUSTOMER NOT ATTEND CALL','92','2021-07-15 11:00:09','2021-07-15 11:00:09');
INSERT INTO complaint_remarks VALUES('9006','7005','BUNNER 3 4 DIN TAQ REPLACE HO JAY GAY','74','2021-07-15 11:00:29','2021-07-15 11:00:29');
INSERT INTO complaint_remarks VALUES('9007','7609','ISSUED RESOLVED','74','2021-07-15 11:19:10','2021-07-15 11:19:10');
INSERT INTO complaint_remarks VALUES('9008','7921','COMPLAINT RESOLVED','92','2021-07-15 11:22:15','2021-07-15 11:22:15');
INSERT INTO complaint_remarks VALUES('9009','7714','YHA UNIT CUSTOMER NA KHUD SA INSTALL KARWAY HAIN COMPANY KA B VISIT HO GAYA HAIN LEAKAGE KA ISSUE HAIN JIS NA INSTALL KIYA HAIN WOHI GASS REFIL KAR K DAY GAY
INFORMED BY KHURRAM SIR','74','2021-07-15 11:22:18','2021-07-15 11:22:18');
INSERT INTO complaint_remarks VALUES('9010','7896','MOTHERBOARD KA MASLA HA TECHNISION CONTACT MA HI HA SHOULD BE SOLVED IN THREE DAYS','74','2021-07-15 11:23:40','2021-07-15 11:23:40');
INSERT INTO complaint_remarks VALUES('9011','7885','CUSTOMER NOT ATTENDING CALL','74','2021-07-15 11:26:36','2021-07-15 11:26:36');
INSERT INTO complaint_remarks VALUES('9012','7878','ISSUED RESOLVED','74','2021-07-15 11:29:41','2021-07-15 11:29:41');
INSERT INTO complaint_remarks VALUES('9013','7925','COMPLAINT RESOLVED','92','2021-07-15 11:37:32','2021-07-15 11:37:32');
INSERT INTO complaint_remarks VALUES('9014','7861','ISSUED RESOLVE NI HUA INKI MOTOR KA ISSUE HA TECHNISION NA CHARGES MMANGA CUSTOMER REPLACEMENT CHAHTA HA','74','2021-07-15 11:39:07','2021-07-15 11:39:07');
INSERT INTO complaint_remarks VALUES('9015','7929','CUSTOMER NOT ATTEND CALL','92','2021-07-15 11:40:15','2021-07-15 11:40:15');
INSERT INTO complaint_remarks VALUES('9016','7853','CUSTOMER NOT ATTENDING CALL','74','2021-07-15 11:42:21','2021-07-15 11:42:21');
INSERT INTO complaint_remarks VALUES('9017','7923','CUSTOMER NOT ATTEND CALL','92','2021-07-15 11:43:53','2021-07-15 11:43:53');
INSERT INTO complaint_remarks VALUES('9018','7843','CUSTOER NOT ATTENDING CALL','74','2021-07-15 11:45:09','2021-07-15 11:45:09');
INSERT INTO complaint_remarks VALUES('9019','7915','COMPLAINT RESOLVED','92','2021-07-15 11:45:12','2021-07-15 11:45:12');
INSERT INTO complaint_remarks VALUES('9020','7914','COMPLAINT RESOLVED','92','2021-07-15 11:46:44','2021-07-15 11:46:44');
INSERT INTO complaint_remarks VALUES('9021','7837','ISSUED RESOLVED','74','2021-07-15 11:46:49','2021-07-15 11:46:49');
INSERT INTO complaint_remarks VALUES('9022','6450','AMEEN SAB SA BT HO GEI HAIN AJ 2ND TIME TAQ CONFIRM KARY GAY','74','2021-07-15 11:48:14','2021-07-15 11:48:14');
INSERT INTO complaint_remarks VALUES('9023','7831','CUSTOMER NOT ATTENDING CALL','74','2021-07-15 11:51:55','2021-07-15 11:51:55');
INSERT INTO complaint_remarks VALUES('9024','6265','COMPLAINT ATTEND HO GEI HAIN  INSTALL FULT HAIN CUSTOMER KO 4500 KA EXP BATA DIA BUT NOT APPROVED','74','2021-07-15 11:52:50','2021-07-15 11:52:50');
INSERT INTO complaint_remarks VALUES('9025','7952','COMPLAINT RESOLVED','92','2021-07-15 11:54:07','2021-07-15 11:54:07');
INSERT INTO complaint_remarks VALUES('9026','6714','PART REPLACE GASS REFIL OUT DOOR INTER LEAKAGE PROB','74','2021-07-15 11:55:19','2021-07-15 11:55:19');
INSERT INTO complaint_remarks VALUES('9027','7778','NOT ATTENDIMG CALL','74','2021-07-15 11:57:46','2021-07-15 11:57:46');
INSERT INTO complaint_remarks VALUES('9028','7738','STILL IN S/C','74','2021-07-15 11:58:36','2021-07-15 11:58:36');
INSERT INTO complaint_remarks VALUES('9029','6728','03009146824 IMTAIZ SAB NA COMPLAINT ATTEND KI','74','2021-07-15 11:58:37','2021-07-15 11:58:37');
INSERT INTO complaint_remarks VALUES('9030','7729','ISSUED RESOLVED','74','2021-07-15 12:03:24','2021-07-15 12:03:24');
INSERT INTO complaint_remarks VALUES('9031','7906','CUSTOMER NOT ATTEND CALL','92','2021-07-15 12:05:48','2021-07-15 12:05:48');
INSERT INTO complaint_remarks VALUES('9032','7725','TECHNISION KA RABTA HO GYA HA CUSTOMER CONFERM KR K BTATA HA','74','2021-07-15 12:06:56','2021-07-15 12:06:56');
INSERT INTO complaint_remarks VALUES('9033','7725','TECHNISION KA RABTA HO GYA HA CUSTOMER CONFERM KR K BTATA HA','74','2021-07-15 12:06:57','2021-07-15 12:06:57');
INSERT INTO complaint_remarks VALUES('9034','7903','COMPLAINT RESOLVED','92','2021-07-15 12:09:38','2021-07-15 12:09:38');
INSERT INTO complaint_remarks VALUES('9035','7886','CUSTOMER AJ B CALL ATTEND NAI KAR RAHY','92','2021-07-15 12:14:10','2021-07-15 12:14:10');
INSERT INTO complaint_remarks VALUES('9036','7876','COMPLAINT RESOLVED','92','2021-07-15 12:15:18','2021-07-15 12:15:18');
INSERT INTO complaint_remarks VALUES('9037','7867','COMPLAINT ATTEND HO GAE HAY CUSTOMER NAY UNIT S/C LANA HAY BUT CUSTOMER AGREE NAI HAY S/C LANAY K LEAY COMPLAINT CLOSED','92','2021-07-15 12:24:03','2021-07-15 12:24:03');
INSERT INTO complaint_remarks VALUES('9038','7711','STILL IS IN S/C','74','2021-07-15 12:24:28','2021-07-15 12:24:28');
INSERT INTO complaint_remarks VALUES('9039','7703','THERMOSTATE DEMANDED HA ABI TK NI AYA COMPANY SA','74','2021-07-15 12:26:03','2021-07-15 12:26:03');
INSERT INTO complaint_remarks VALUES('9040','7685','ISSUED NOT RESOLVED','74','2021-07-15 12:28:09','2021-07-15 12:28:09');
INSERT INTO complaint_remarks VALUES('9041','7685','ISSUED RESOLVED','74','2021-07-15 12:28:21','2021-07-15 12:28:21');
INSERT INTO complaint_remarks VALUES('9042','7858','COMPLAINT RESOLVED','92','2021-07-15 12:29:13','2021-07-15 12:29:13');
INSERT INTO complaint_remarks VALUES('9043','7660','TECHNISION NA HIGHLIGHT  K BD CONTACT KIA HA ISSUED NOT RESOLVED ABI TK','74','2021-07-15 12:31:22','2021-07-15 12:31:22');
INSERT INTO complaint_remarks VALUES('9044','7856','0512285735 OTHER NO','92','2021-07-15 12:36:42','2021-07-15 12:36:42');
INSERT INTO complaint_remarks VALUES('9045','7565','ISSUED RESOLVED','74','2021-07-15 12:36:44','2021-07-15 12:36:44');
INSERT INTO complaint_remarks VALUES('9046','7535','TECHNISION SA BT HUI HA WO KAH RAHA HA K UNIT UTRA GA KAL S/C JAI  UNIT KO SAI SA CHECK KR K CUSTOMER KO SATISFIED KR DI JAI GA','74','2021-07-15 12:42:25','2021-07-15 12:42:25');
INSERT INTO complaint_remarks VALUES('9047','8002','VISIT TO DAY COMPLAINT TAHIR BOSCH SIR ATTEND KARWAY GAY','92','2021-07-15 12:46:36','2021-07-15 12:46:36');
INSERT INTO complaint_remarks VALUES('9048','7856','COMPLAINT ATTEND HO GAE HAY UNIT S/C AYA THA AJ UNIT LIFT HO JAY GA','92','2021-07-15 12:49:14','2021-07-15 12:49:14');
INSERT INTO complaint_remarks VALUES('9049','7784','COMPLAINT RESOLVED','92','2021-07-15 12:50:45','2021-07-15 12:50:45');
INSERT INTO complaint_remarks VALUES('9050','7534','STILL NOT RESOLVED','74','2021-07-15 12:51:08','2021-07-15 12:51:08');
INSERT INTO complaint_remarks VALUES('9051','7523','ISSUED RESOLVED','74','2021-07-15 12:53:54','2021-07-15 12:53:54');
INSERT INTO complaint_remarks VALUES('9052','6672','CUSTOMER STILLNOT ATTEND MY CALL','74','2021-07-15 12:54:07','2021-07-15 12:54:07');
INSERT INTO complaint_remarks VALUES('9053','7833','COMPLAINT RESOLVED','92','2021-07-15 12:55:51','2021-07-15 12:55:51');
INSERT INTO complaint_remarks VALUES('9054','6667','COMPLAINT RESOLVED','74','2021-07-15 12:56:45','2021-07-15 12:56:45');
INSERT INTO complaint_remarks VALUES('9055','7462','UNIT IS IN IN S/C','74','2021-07-15 12:59:49','2021-07-15 12:59:49');
INSERT INTO complaint_remarks VALUES('9056','6831','COMPLAINT RESOLVED','74','2021-07-15 13:01:45','2021-07-15 13:01:45');
INSERT INTO complaint_remarks VALUES('9057','7909','03095559762 ARIF TACTION','92','2021-07-15 13:04:22','2021-07-15 13:04:22');
INSERT INTO complaint_remarks VALUES('9058','6728','NOT ATTEND CALL','74','2021-07-15 13:06:10','2021-07-15 13:06:10');
INSERT INTO complaint_remarks VALUES('9059','7055','STILL IN S/C UNIT KA ISSUE RESOLVED HO GYA BSS DELIVERED HONI HA','74','2021-07-15 13:07:03','2021-07-15 13:07:03');
INSERT INTO complaint_remarks VALUES('9060','8000','03325291475 IMRAN TACTION','92','2021-07-15 13:08:07','2021-07-15 13:08:07');
INSERT INTO complaint_remarks VALUES('9061','8000','VISIT TO DAY INFORM BY CUSTOMER','92','2021-07-15 13:08:51','2021-07-15 13:08:51');
INSERT INTO complaint_remarks VALUES('9062','7816','COMPLAINT ATTEND HO GAE HAY COMPLAINT IN PROCESS','92','2021-07-15 13:11:58','2021-07-15 13:11:58');
INSERT INTO complaint_remarks VALUES('9063','7900','NOT ATTENDING  CALL','74','2021-07-15 13:17:00','2021-07-15 13:17:00');
INSERT INTO complaint_remarks VALUES('9064','7002','COIMPLAINTREOPEN KRDI GI HA','74','2021-07-15 13:26:21','2021-07-15 13:26:21');
INSERT INTO complaint_remarks VALUES('9065','7989','03142437390 MURTAZA TACTION','92','2021-07-15 13:30:12','2021-07-15 13:30:12');
INSERT INTO complaint_remarks VALUES('9066','6520','ISKI COMPLAINT HIGH LIGHT KRA DI HA','74','2021-07-15 13:35:06','2021-07-15 13:35:06');
INSERT INTO complaint_remarks VALUES('9067','7809','COMPLAINT RESOLVED','92','2021-07-15 13:40:02','2021-07-15 13:40:02');
INSERT INTO complaint_remarks VALUES('9068','6512','CALL NOT ATTENDING','74','2021-07-15 13:41:31','2021-07-15 13:41:31');
INSERT INTO complaint_remarks VALUES('9069','6512','REPLACING IS IN PROGRESS','74','2021-07-15 13:48:48','2021-07-15 13:48:48');
INSERT INTO complaint_remarks VALUES('9070','7935','NOT ATTENDINNG','74','2021-07-15 13:52:03','2021-07-15 13:52:03');
INSERT INTO complaint_remarks VALUES('9071','6512','03142437197 ISHTAIQ TACTION','92','2021-07-15 13:56:35','2021-07-15 13:56:35');
INSERT INTO complaint_remarks VALUES('9072','7629','KAL AGAIN VISIT HO GYA HAIN TECHNICIAN 2 DAYS KA TIME DAKH K AAY HAIN UMAIR DAWLANE MAIN INFORMED KAR DIA','74','2021-07-15 13:56:56','2021-07-15 13:56:56');
INSERT INTO complaint_remarks VALUES('9073','7947','ISSUED NOT RESOLVED TECHNISION RABTA MA HA','74','2021-07-15 13:59:53','2021-07-15 13:59:53');
INSERT INTO complaint_remarks VALUES('9074','7641','MANAN SAB SA BAT HOI HAIN WO BOL RAHAY HAIN K ABI TECHNICIAN HAIER KAR RAHAY HAIN IC WAJA SA DELAY HO RAHI COMPLAINT','74','2021-07-15 14:00:19','2021-07-15 14:00:19');
INSERT INTO complaint_remarks VALUES('9075','7951','UNIT S/C JAI GA','74','2021-07-15 14:02:52','2021-07-15 14:02:52');
INSERT INTO complaint_remarks VALUES('9076','6512','CUSTOMER SAY BAT HO GAE HAY UNIT EID K BAD LIFT HO GA S/C','92','2021-07-15 14:06:07','2021-07-15 14:06:07');
INSERT INTO complaint_remarks VALUES('9077','7169','ISSUED RESOLVED','74','2021-07-15 14:07:00','2021-07-15 14:07:00');
INSERT INTO complaint_remarks VALUES('9078','6647','ABI TAQ PARTS NAI LAGA INFORMED BY COMPANY S/C','74','2021-07-15 14:07:17','2021-07-15 14:07:17');
INSERT INTO complaint_remarks VALUES('9079','6647','ABI TAQ PARTS NAI LAGA INFORMED BY COMPANY S/C','74','2021-07-15 14:07:20','2021-07-15 14:07:20');
INSERT INTO complaint_remarks VALUES('9080','7783','COMPLAINT ATTEND HO GAE HAY CUSTOMER KO REMOTE S/C LANA HO GA NEW REMOTE MIL JAY GA CUSTOMER KO INFORM BY CUSTOMER','92','2021-07-15 14:08:07','2021-07-15 14:08:07');
INSERT INTO complaint_remarks VALUES('9081','7705','UNIT IS IN S/C','74','2021-07-15 14:08:29','2021-07-15 14:08:29');
INSERT INTO complaint_remarks VALUES('9082','7716','ISSUED RESOLVED','74','2021-07-15 14:09:12','2021-07-15 14:09:12');
INSERT INTO complaint_remarks VALUES('9083','7668','ISSUED RESOLVED','74','2021-07-15 14:10:38','2021-07-15 14:10:38');
INSERT INTO complaint_remarks VALUES('9084','7269','ISSUED RESOLVED','74','2021-07-15 14:11:15','2021-07-15 14:11:15');
INSERT INTO complaint_remarks VALUES('9085','6380','COMPLAINT RESOLVED','74','2021-07-15 14:12:32','2021-07-15 14:12:32');
INSERT INTO complaint_remarks VALUES('9086','7751','WIFI ISSUE RESOLVED NAI HUA COMPLAINT IN PROCESS','92','2021-07-15 14:13:44','2021-07-15 14:13:44');
INSERT INTO complaint_remarks VALUES('9087','6169','ISSUED RESOLVED','74','2021-07-15 14:15:44','2021-07-15 14:15:44');
INSERT INTO complaint_remarks VALUES('9088','6520','ISSUED RESOLVED','74','2021-07-15 14:17:40','2021-07-15 14:17:40');
INSERT INTO complaint_remarks VALUES('9089','7723','COMPRESSOR SOUND  ISSUE  COMPLAINT IN PROCESS','92','2021-07-15 14:18:53','2021-07-15 14:18:53');
INSERT INTO complaint_remarks VALUES('9090','6357','COMPLAINT RESOLVED CARD CUSTOMER KO PROVIDE KAR DIA THA CUSTOMER NA INSTALL KARWA LIYA','74','2021-07-15 14:19:56','2021-07-15 14:19:56');
INSERT INTO complaint_remarks VALUES('9091','6393','03170500765 ZEESHAN SAB SA CONFIRM KIYA COMPLAINT RESOLVED','74','2021-07-15 14:25:50','2021-07-15 14:25:50');
INSERT INTO complaint_remarks VALUES('9092','6391','COMPLAINT RESOLVED','74','2021-07-15 14:30:43','2021-07-15 14:30:43');
INSERT INTO complaint_remarks VALUES('9093','7720','COMPLAINT RESOLVED','92','2021-07-15 14:31:17','2021-07-15 14:31:17');
INSERT INTO complaint_remarks VALUES('9094','6408','BOARD S/C MAIN AAGAY HAIN CUSTOMER NA SET S/C KHUD MOVE KRWANA CUSTOMER SIDE SA DELAY COMPLAINT
AJ AGAIN CUSTOMER SA BT HOI HAIN KAL KA BOL RAHY HAIN K KAL LA JAY GAY SET S/C','74','2021-07-15 14:34:08','2021-07-15 14:34:08');
INSERT INTO complaint_remarks VALUES('9095','6270','CUSTOMER STILL NOT ATTEND MY CALL SO COMPLAINT CLOSED','74','2021-07-15 14:36:27','2021-07-15 14:36:27');
INSERT INTO complaint_remarks VALUES('9096','7718','CUSTOMER SAY BAT HUAI HAY 10 MINT TAK CONFORM KAR K INFORM KARAY GAY','92','2021-07-15 14:37:16','2021-07-15 14:37:16');
INSERT INTO complaint_remarks VALUES('9097','6439','COMPLAINT RESOLVED','74','2021-07-15 14:39:56','2021-07-15 14:39:56');
INSERT INTO complaint_remarks VALUES('9098','7248','ISSUE NOT RESOLVED','74','2021-07-15 14:42:30','2021-07-15 14:42:30');
INSERT INTO complaint_remarks VALUES('9099','6265','ADIL BHAI SA CONFIRM KAR K COMPLAINT CLOSED KI HAIN','74','2021-07-15 14:44:26','2021-07-15 14:44:26');
INSERT INTO complaint_remarks VALUES('9100','7498','0514927027 S/W RWP','92','2021-07-15 14:49:53','2021-07-15 14:49:53');
INSERT INTO complaint_remarks VALUES('9101','7498','COMPLAINT ATTEND HO GAE HAY CUSTOMER KO UNIT S/C LIFT KARWANA HO GA RWP MAY','92','2021-07-15 14:51:10','2021-07-15 14:51:10');
INSERT INTO complaint_remarks VALUES('9102','6116','PANAL REPLACE HO GA
BILAL MANZOOR SA CONFIRM KIYA','74','2021-07-15 14:54:06','2021-07-15 14:54:06');
INSERT INTO complaint_remarks VALUES('9103','7702','NOT RESOLVED','74','2021-07-15 14:54:24','2021-07-15 14:54:24');
INSERT INTO complaint_remarks VALUES('9104','7444','NOT RESOLVED','74','2021-07-15 14:54:53','2021-07-15 14:54:53');
INSERT INTO complaint_remarks VALUES('9105','7235','ISSUED RESOLVED','74','2021-07-15 14:54:55','2021-07-15 14:54:55');
INSERT INTO complaint_remarks VALUES('9106','7073','WATING FOR REPLAY KABEER SAB KO FORWARD KRDI HA WO BATAI GA DOBARA','74','2021-07-15 15:00:19','2021-07-15 15:00:19');
INSERT INTO complaint_remarks VALUES('9107','7686','LEAKAGE ISSUE RESOLVED HO GAYA HAY COOLING ISSUE RESOLVED NAI HUA HAY COMPANY MAY REOPEN COMPLAINT KARWA DE HAY','92','2021-07-15 15:02:35','2021-07-15 15:02:35');
INSERT INTO complaint_remarks VALUES('9108','7655','VISIT TO DAY INFORM BY CUSTOMER','92','2021-07-15 15:12:09','2021-07-15 15:12:09');
INSERT INTO complaint_remarks VALUES('9109','7646','COMPLAINT ATTEND HO GAE HAY UNIT S/C B LIFT HUA THA BUT ISSUE ABI TAK RESOLVED NAI HUA COMPLAINT IN PROCESS','92','2021-07-15 15:15:04','2021-07-15 15:15:04');
INSERT INTO complaint_remarks VALUES('9110','7662','ISSUED RESOLVED','74','2021-07-15 15:31:24','2021-07-15 15:31:24');
INSERT INTO complaint_remarks VALUES('9111','7643','COMPLAINT RESOLVED','92','2021-07-15 15:43:09','2021-07-15 15:43:09');
INSERT INTO complaint_remarks VALUES('9112','7530','ISSUED RESOLVED','74','2021-07-15 15:44:16','2021-07-15 15:44:16');
INSERT INTO complaint_remarks VALUES('9113','6880','NO IN COMPLETED NEW COMPLAINT ENTER KARWA DI COMPLAINT CLOSED','74','2021-07-15 15:45:51','2021-07-15 15:45:51');
INSERT INTO complaint_remarks VALUES('9114','7598','03325955540 MARYAM OTHER MOBILE NO','92','2021-07-15 15:46:31','2021-07-15 15:46:31');
INSERT INTO complaint_remarks VALUES('9115','6531','ISSUED  RESOLVED','74','2021-07-15 15:47:01','2021-07-15 15:47:01');
INSERT INTO complaint_remarks VALUES('9116','7592','COMPLAINT RESOLVED','92','2021-07-15 15:53:31','2021-07-15 15:53:31');
INSERT INTO complaint_remarks VALUES('9117','7586','COMPLAINT RESOLVED','92','2021-07-15 15:56:20','2021-07-15 15:56:20');
INSERT INTO complaint_remarks VALUES('9118','7583','COMPLAINT RESOLVED','92','2021-07-15 15:58:44','2021-07-15 15:58:44');
INSERT INTO complaint_remarks VALUES('9119','7718','COMPLAINT RESOLVED','92','2021-07-15 16:02:22','2021-07-15 16:02:22');
INSERT INTO complaint_remarks VALUES('9120','7578','CUSTOMER NOT ATTEND CALL','92','2021-07-15 16:07:01','2021-07-15 16:07:01');
INSERT INTO complaint_remarks VALUES('9121','7980','VISIT TO DAY OTHER# B USMAN SIR KO SHER 03002978268 INFORMED BY CUSTOMER','74','2021-07-15 16:07:37','2021-07-15 16:07:37');
INSERT INTO complaint_remarks VALUES('9122','7566','COMPLAINT RESOLVED','92','2021-07-15 16:07:56','2021-07-15 16:07:56');
INSERT INTO complaint_remarks VALUES('9123','7557','COMPLAINT ATTEND HO GAE THI BUT CUSTOMER KO SAMAJH NAI AYI AGAIN REOPEN KARWA DE HAY COMPLAINT COMPANY MAY','92','2021-07-15 16:14:15','2021-07-15 16:14:15');
INSERT INTO complaint_remarks VALUES('9124','7871','OTHER MOBILE NO 03364822833','92','2021-07-15 16:18:40','2021-07-15 16:18:40');
INSERT INTO complaint_remarks VALUES('9125','7478','CUSTOMER STILL CALL ATTEND NI KAR RAHAY COMPANY SIDE SA CONFIM KAR K COMPLAINT CLOSED KI','74','2021-07-15 16:20:17','2021-07-15 16:20:17');
INSERT INTO complaint_remarks VALUES('9126','8055','S/CENTRE=0912264331-2','73','2021-07-15 16:28:25','2021-07-15 16:28:25');
INSERT INTO complaint_remarks VALUES('9127','7518','REOPEN COMPLAINT','92','2021-07-15 16:30:17','2021-07-15 16:30:17');
INSERT INTO complaint_remarks VALUES('9128','7509','COMPLAINT RESOLVED','92','2021-07-15 16:36:03','2021-07-15 16:36:03');
INSERT INTO complaint_remarks VALUES('9129','7922','ISSUED RESOLVED','74','2021-07-15 16:39:33','2021-07-15 16:39:33');
INSERT INTO complaint_remarks VALUES('9130','6114','TOP COVER DEMAND KIYA HOA THA COVER AAGAY HAIN KAL TAQ MOSHIN SAB YHA COMPLANT ATTEND KARWA DAY CUSTOMER KO  INFORMED KAR DIA& SHAHZAD SIR KO B INFORMED KAR DIA','74','2021-07-15 16:39:50','2021-07-15 16:39:50');
INSERT INTO complaint_remarks VALUES('9131','7811','ISSUED NOT RESOLVED','74','2021-07-15 16:44:07','2021-07-15 16:44:07');
INSERT INTO complaint_remarks VALUES('9132','7495','COMPLAINT RESOLVED','92','2021-07-15 16:47:04','2021-07-15 16:47:04');
INSERT INTO complaint_remarks VALUES('9133','7433','COMPLAINT RESOLVED','92','2021-07-15 16:49:23','2021-07-15 16:49:23');
INSERT INTO complaint_remarks VALUES('9134','7834','03179998681 SHANAWAZ TACTION','92','2021-07-15 16:56:23','2021-07-15 16:56:23');
INSERT INTO complaint_remarks VALUES('9135','7379','COMPRESSOR ISSUE UNIT ABI B S/C MAY HAY IN PROCESS','92','2021-07-15 16:57:25','2021-07-15 16:57:25');
INSERT INTO complaint_remarks VALUES('9136','7397','PART SHORT HA DEMAND MA DIA HUA HA STILL NOT ANSWERING','74','2021-07-15 16:58:12','2021-07-15 16:58:12');
INSERT INTO complaint_remarks VALUES('9137','7330','CUSTOMER IS NOT ATTENDING CALL','74','2021-07-15 17:03:23','2021-07-15 17:03:23');
INSERT INTO complaint_remarks VALUES('9138','5671','AIK BAR VISIT HO GAYA HAIN AGAIN ISSUE AAGAY HAIN AGAIN REOPEN COMPLAINT FF KARWA DI','74','2021-07-15 17:07:55','2021-07-15 17:07:55');
INSERT INTO complaint_remarks VALUES('9139','7322','NOT ATTEND CALL','92','2021-07-15 17:08:23','2021-07-15 17:08:23');
INSERT INTO complaint_remarks VALUES('9140','8046','OTHER#03324911644','73','2021-07-15 17:18:07','2021-07-15 17:18:07');
INSERT INTO complaint_remarks VALUES('9141','7330','ISSUED NOT RESOLVED','74','2021-07-15 17:19:11','2021-07-15 17:19:11');
INSERT INTO complaint_remarks VALUES('9142','6589','ISSUED RESOLVED','74','2021-07-15 17:20:33','2021-07-15 17:20:33');
INSERT INTO complaint_remarks VALUES('9143','6625','NOT ATTENDING','74','2021-07-15 17:24:05','2021-07-15 17:24:05');
INSERT INTO complaint_remarks VALUES('9144','7224','NOT ATTENDING CALL','74','2021-07-15 17:27:05','2021-07-15 17:27:05');
INSERT INTO complaint_remarks VALUES('9145','7942','COMPLAINT RESOLVED','92','2021-07-15 17:41:29','2021-07-15 17:41:29');
INSERT INTO complaint_remarks VALUES('9146','7909','COMPLAINT ATTEND HO GAE HAY BUT CUSTOMER GHAR PAR NAI HAY GHAR JA KAR INFORM KARAY GAY','92','2021-07-16 11:21:21','2021-07-16 11:21:21');
INSERT INTO complaint_remarks VALUES('9147','8047','03095559762  ARIF TACTION','92','2021-07-16 11:33:09','2021-07-16 11:33:09');
INSERT INTO complaint_remarks VALUES('9148','8047','VISIT TO DAY INFORM BY CUSTOMER','92','2021-07-16 11:37:06','2021-07-16 11:37:06');
INSERT INTO complaint_remarks VALUES('9149','6795','NOT ATTENDING','74','2021-07-16 11:41:18','2021-07-16 11:41:18');
INSERT INTO complaint_remarks VALUES('9150','6790','ISSUED RESOLVED','74','2021-07-16 11:45:08','2021-07-16 11:45:08');
INSERT INTO complaint_remarks VALUES('9151','6789','TECHNISION NA VISIT KIA HA ISSUE RESOLVE NI HUA ABI TKK SOUND WASA KA WASA HI ARA HA','74','2021-07-16 11:50:13','2021-07-16 11:50:13');
INSERT INTO complaint_remarks VALUES('9152','6783','CUSTOMER NOT ATTENDING CALL','74','2021-07-16 11:59:01','2021-07-16 11:59:01');
INSERT INTO complaint_remarks VALUES('9153','7119','CUSTOMER NOT ATTEND CALL','92','2021-07-16 11:59:34','2021-07-16 11:59:34');
INSERT INTO complaint_remarks VALUES('9154','6776','ISSUED RESOLVED','74','2021-07-16 12:00:34','2021-07-16 12:00:34');
INSERT INTO complaint_remarks VALUES('9155','6776','BY LOCAL TECHNISION COMPANY NA KOI VISIT NI KIA','74','2021-07-16 12:01:03','2021-07-16 12:01:03');
INSERT INTO complaint_remarks VALUES('9156','7057','CUSTOMER AJ B CALL ATTEND NAI KAR RAHY','92','2021-07-16 12:01:42','2021-07-16 12:01:42');
INSERT INTO complaint_remarks VALUES('9157','6772','ISSUED RESOLVED','74','2021-07-16 12:04:07','2021-07-16 12:04:07');
INSERT INTO complaint_remarks VALUES('9158','7045','COMPLIANT RESOLVED','92','2021-07-16 12:04:29','2021-07-16 12:04:29');
INSERT INTO complaint_remarks VALUES('9159','6764','NOT ATTTENDING CALL','74','2021-07-16 12:06:47','2021-07-16 12:06:47');
INSERT INTO complaint_remarks VALUES('9160','6759','NOT ATTENDING CALL','74','2021-07-16 12:08:20','2021-07-16 12:08:20');
INSERT INTO complaint_remarks VALUES('9161','6756','NOT RESOLVED','74','2021-07-16 12:08:59','2021-07-16 12:08:59');
INSERT INTO complaint_remarks VALUES('9162','6739','IISUED RESOLVED BY LOCAL TECHNISIONN','74','2021-07-16 12:11:16','2021-07-16 12:11:16');
INSERT INTO complaint_remarks VALUES('9163','7971','03142437297 RAJA INAM','92','2021-07-16 12:14:12','2021-07-16 12:14:12');
INSERT INTO complaint_remarks VALUES('9164','6735','NOT ATTENDING CALL','74','2021-07-16 12:14:22','2021-07-16 12:14:22');
INSERT INTO complaint_remarks VALUES('9165','6735','ISSUED RESOLVED','74','2021-07-16 12:15:03','2021-07-16 12:15:03');
INSERT INTO complaint_remarks VALUES('9166','6728','NOT ATTENDING CALL','74','2021-07-16 12:18:06','2021-07-16 12:18:06');
INSERT INTO complaint_remarks VALUES('9167','6714','NOT RESOLVED','74','2021-07-16 12:18:47','2021-07-16 12:18:47');
INSERT INTO complaint_remarks VALUES('9168','7971','COMPLAINT ATTEND HO GAE HAY UNIT S/C AYA HAY KAL COMPLAINT IN PROCESS','92','2021-07-16 12:19:13','2021-07-16 12:19:13');
INSERT INTO complaint_remarks VALUES('9169','6686','ISSUED RESOLVED','74','2021-07-16 12:22:15','2021-07-16 12:22:15');
INSERT INTO complaint_remarks VALUES('9170','6672','ISSUED RESOLVED','74','2021-07-16 12:25:40','2021-07-16 12:25:40');
INSERT INTO complaint_remarks VALUES('9171','6661','ISSUED RESOLVED','74','2021-07-16 12:27:42','2021-07-16 12:27:42');
INSERT INTO complaint_remarks VALUES('9172','6783','COMPLAINT ATTEND HO GAE HAY THORE DAR TAK CUSTOMER CALL BACK KARAY GAY','92','2021-07-16 12:38:05','2021-07-16 12:38:05');
INSERT INTO complaint_remarks VALUES('9173','6783','COMPLAINT RESOLVED','92','2021-07-16 12:39:02','2021-07-16 12:39:02');
INSERT INTO complaint_remarks VALUES('9174','6622','COMPLAINT RESOLVED','92','2021-07-16 12:41:29','2021-07-16 12:41:29');
INSERT INTO complaint_remarks VALUES('9175','6548','CUSTOMER STILL NOT ATTEND CALL','92','2021-07-16 12:46:59','2021-07-16 12:46:59');
INSERT INTO complaint_remarks VALUES('9176','6544','COMPLAINT RESOLVED','92','2021-07-16 12:48:46','2021-07-16 12:48:46');
INSERT INTO complaint_remarks VALUES('9177','6534','CUSTOMER NAY APNI COMPLAINT LOCAL TACTION SAY ATTEND KARWAI HAY COMPLAINT CLOSED','92','2021-07-16 12:52:19','2021-07-16 12:52:19');
INSERT INTO complaint_remarks VALUES('9178','6526','CUSTOMER NOT ATTEND CALL','92','2021-07-16 12:56:09','2021-07-16 12:56:09');
INSERT INTO complaint_remarks VALUES('9179','6508','COMPLAINT RESOLVED','92','2021-07-16 12:57:58','2021-07-16 12:57:58');
INSERT INTO complaint_remarks VALUES('9180','6491','CUSTOMER STILL NOT ATTEND CALL','92','2021-07-16 13:06:04','2021-07-16 13:06:04');
INSERT INTO complaint_remarks VALUES('9181','6491','COMPLAINT RESOLVED','92','2021-07-16 13:09:02','2021-07-16 13:09:02');
INSERT INTO complaint_remarks VALUES('9182','7955','COMPLAINT ATTEND HO GAE HAY UNIT S/C MAY HAY COMPLAINT IN PROCESS','92','2021-07-16 13:16:29','2021-07-16 13:16:29');
INSERT INTO complaint_remarks VALUES('9183','7969','CUSTOMER NOT ATTEND CALL','92','2021-07-16 13:59:01','2021-07-16 13:59:01');
INSERT INTO complaint_remarks VALUES('9184','7404','ISSUED RESOLVED','74','2021-07-16 14:00:25','2021-07-16 14:00:25');
INSERT INTO complaint_remarks VALUES('9185','8006','ISSUED RESOLVED','74','2021-07-16 14:18:50','2021-07-16 14:18:50');
INSERT INTO complaint_remarks VALUES('9186','7578','ISSUED NOT RESOLVED','74','2021-07-16 14:31:07','2021-07-16 14:31:07');
INSERT INTO complaint_remarks VALUES('9187','7578','ISSUED RESOLVED','74','2021-07-16 14:53:56','2021-07-16 14:53:56');
INSERT INTO complaint_remarks VALUES('9188','7575','ISSUED RESOLVED','74','2021-07-16 15:00:23','2021-07-16 15:00:23');
INSERT INTO complaint_remarks VALUES('9189','7557','NOT RESOLVED','74','2021-07-16 15:03:39','2021-07-16 15:03:39');
INSERT INTO complaint_remarks VALUES('9190','7968','COMPLAINT RESOLVED','92','2021-07-16 15:05:21','2021-07-16 15:05:21');
INSERT INTO complaint_remarks VALUES('9191','7554','COMPLAINT HIGHLIGHT KRDI GAI HA','74','2021-07-16 15:12:43','2021-07-16 15:12:43');
INSERT INTO complaint_remarks VALUES('9192','7714','COMPANY SIDE SA UNIT MAIN KOI ISSUE NAI HAIN CUSTOMER K INSTALLER KA FAULT HAIN CUSTOMER KO INFORMED KAR DIA HAIN K APNY INSTALLER SA ISSUE RESOLVED KARWAY
KHURRAM SIR NA TAHA SOHAIL SAB KO B INFORMED KAR DIA COMPLAINT CLOSED','74','2021-07-16 15:16:10','2021-07-16 15:16:10');
INSERT INTO complaint_remarks VALUES('9193','7551','CUSTOMER KAH RI K KAL RABTA KRAIN','74','2021-07-16 15:16:31','2021-07-16 15:16:31');
INSERT INTO complaint_remarks VALUES('9194','7550','CASSE LIFTED TO S////C','74','2021-07-16 15:19:18','2021-07-16 15:19:18');
INSERT INTO complaint_remarks VALUES('9195','7549','CUSTOMER NOT ATTEND','74','2021-07-16 15:22:35','2021-07-16 15:22:35');
INSERT INTO complaint_remarks VALUES('9196','7541','ISSUED RESOLVED','74','2021-07-16 15:25:14','2021-07-16 15:25:14');
INSERT INTO complaint_remarks VALUES('9197','7976','visit to day inform by customer','92','2021-07-17 10:51:53','2021-07-17 10:51:53');
INSERT INTO complaint_remarks VALUES('9198','8094','ZEESHAN TECHNICIAN AJ YHA COMPLAINT ATTEND KARWAY GAY
03135380095','74','2021-07-17 11:05:45','2021-07-17 11:05:45');
INSERT INTO complaint_remarks VALUES('9199','8094','VISIT TO DAY','74','2021-07-17 11:07:33','2021-07-17 11:07:33');
INSERT INTO complaint_remarks VALUES('9200','7989','aj 12 bajay ka time fix hua hay customer say','92','2021-07-17 11:14:33','2021-07-17 11:14:33');
INSERT INTO complaint_remarks VALUES('9201','7835','abi tak part nai ay s/c may complaint in process','92','2021-07-17 11:15:52','2021-07-17 11:15:52');
INSERT INTO complaint_remarks VALUES('9202','7684','customer not attend call','92','2021-07-17 11:17:17','2021-07-17 11:17:17');
INSERT INTO complaint_remarks VALUES('9203','7978','not attending call','74','2021-07-17 11:17:43','2021-07-17 11:17:43');
INSERT INTO complaint_remarks VALUES('9204','7973','ISSUED RESOLVED','74','2021-07-17 11:19:54','2021-07-17 11:19:54');
INSERT INTO complaint_remarks VALUES('9205','7667','visit to day inform by customer','92','2021-07-17 11:21:25','2021-07-17 11:21:25');
INSERT INTO complaint_remarks VALUES('9206','6111','SET LHR S/C SA READY HO K AGAY HAIN AB KUCH SOUND KA ISSUE AARHA HAIN S/C WALY WO CHEEK KAR K CUSTOMER KO INFORMED KARAY GAY','74','2021-07-17 11:21:33','2021-07-17 11:21:33');
INSERT INTO complaint_remarks VALUES('9207','7978','ISSUED RESOLVED','74','2021-07-17 11:23:20','2021-07-17 11:23:20');
INSERT INTO complaint_remarks VALUES('9208','7972','NOT ATTENDING','74','2021-07-17 11:27:54','2021-07-17 11:27:54');
INSERT INTO complaint_remarks VALUES('9209','7971','NOT RESOLVED','74','2021-07-17 11:29:32','2021-07-17 11:29:32');
INSERT INTO complaint_remarks VALUES('9210','7963','complaint resolved','92','2021-07-17 11:33:31','2021-07-17 11:33:31');
INSERT INTO complaint_remarks VALUES('9211','7959','ISSUED RESOLVED','74','2021-07-17 11:34:33','2021-07-17 11:34:33');
INSERT INTO complaint_remarks VALUES('9212','7967','COMPLAINT RESOLVED','74','2021-07-17 11:37:18','2021-07-17 11:37:18');
INSERT INTO complaint_remarks VALUES('9213','7955','NOT RESOLVED IN S/C','74','2021-07-17 11:37:22','2021-07-17 11:37:22');
INSERT INTO complaint_remarks VALUES('9214','7951','NOT TRESOLVED IN S/C','74','2021-07-17 11:37:58','2021-07-17 11:37:58');
INSERT INTO complaint_remarks VALUES('9215','7988','COMPLAINT RESOLVED','74','2021-07-17 11:41:35','2021-07-17 11:41:35');
INSERT INTO complaint_remarks VALUES('9216','7949','ISSUED RESOLVED','74','2021-07-17 11:42:58','2021-07-17 11:42:58');
INSERT INTO complaint_remarks VALUES('9217','8011','COMPLAINT RESOLVED','74','2021-07-17 11:43:26','2021-07-17 11:43:26');
INSERT INTO complaint_remarks VALUES('9218','7998','IN PROCESS COMPLAINT  CUSTOMER KO TECHNICIAN KI VIIST K LIYA CALL B AGEI','74','2021-07-17 11:45:50','2021-07-17 11:45:50');
INSERT INTO complaint_remarks VALUES('9219','7947','ISSUED NOT RESOLVED CUSTOMER WANT REPLACEMENT','74','2021-07-17 11:45:55','2021-07-17 11:45:55');
INSERT INTO complaint_remarks VALUES('9220','7965','UNIT S/C WORKING IN PROCESS','74','2021-07-17 11:48:38','2021-07-17 11:48:38');
INSERT INTO complaint_remarks VALUES('9221','7996','NOT ATTEND MY CALL','74','2021-07-17 11:48:57','2021-07-17 11:48:57');
INSERT INTO complaint_remarks VALUES('9222','7935','TECHNISION RABTA MA HA CUSTOMER DOBARA VISIT HO GA','74','2021-07-17 11:49:26','2021-07-17 11:49:26');
INSERT INTO complaint_remarks VALUES('9223','8028','03055678513 OTHER NO','92','2021-07-17 11:50:50','2021-07-17 11:50:50');
INSERT INTO complaint_remarks VALUES('9224','7929','ISSUED RESOLVED','74','2021-07-17 11:53:01','2021-07-17 11:53:01');
INSERT INTO complaint_remarks VALUES('9225','7910','ISSUED RESOLVED','74','2021-07-17 11:54:52','2021-07-17 11:54:52');
INSERT INTO complaint_remarks VALUES('9226','7904','ISSUED RESOLVED','74','2021-07-17 11:56:28','2021-07-17 11:56:28');
INSERT INTO complaint_remarks VALUES('9227','7902','ISSUED RESOLVED','74','2021-07-17 11:58:00','2021-07-17 11:58:00');
INSERT INTO complaint_remarks VALUES('9228','8028','03315158683  TACTION','92','2021-07-17 12:01:04','2021-07-17 12:01:04');
INSERT INTO complaint_remarks VALUES('9229','7900','ISSUED RESOLVED','74','2021-07-17 12:02:18','2021-07-17 12:02:18');
INSERT INTO complaint_remarks VALUES('9230','7909','COMPLAINT RESOLVED','74','2021-07-17 12:05:11','2021-07-17 12:05:11');
INSERT INTO complaint_remarks VALUES('9231','7898','NOT ATTENDING','74','2021-07-17 12:07:24','2021-07-17 12:07:24');
INSERT INTO complaint_remarks VALUES('9232','7896','NOT RESOLVED YET','74','2021-07-17 12:07:52','2021-07-17 12:07:52');
INSERT INTO complaint_remarks VALUES('9233','7890','ISSUED RESOLVED','74','2021-07-17 12:10:02','2021-07-17 12:10:02');
INSERT INTO complaint_remarks VALUES('9234','7885','NOT ATTENDING CALL','74','2021-07-17 12:13:57','2021-07-17 12:13:57');
INSERT INTO complaint_remarks VALUES('9235','7868','ISSUED RESOLVED','74','2021-07-17 12:16:29','2021-07-17 12:16:29');
INSERT INTO complaint_remarks VALUES('9236','7862','NOT ATTENDING CALL','74','2021-07-17 12:20:07','2021-07-17 12:20:07');
INSERT INTO complaint_remarks VALUES('9237','7861','CUSTOMER WANT RERPLACEMENT','74','2021-07-17 12:20:45','2021-07-17 12:20:45');
INSERT INTO complaint_remarks VALUES('9238','7684','COMPLAINT ATTEND HO GE HAY AC 1 TON KA HAY OR HALL MAY LAGA HAY AC OK HAY KOI ISSUE NAI HAY AC MAY TARIQ SIR KO B INFORM KAR DEYA HAY','92','2021-07-17 12:22:31','2021-07-17 12:22:31');
INSERT INTO complaint_remarks VALUES('9239','7853','NOT RESOLVED PART DEMANDED HA COMPANY NA W8 KA KAHA HA','74','2021-07-17 12:23:00','2021-07-17 12:23:00');
INSERT INTO complaint_remarks VALUES('9240','7843','NOT ATTENDING','74','2021-07-17 12:26:45','2021-07-17 12:26:45');
INSERT INTO complaint_remarks VALUES('9241','7857','COMPLAINT RESOLVED','74','2021-07-17 12:29:13','2021-07-17 12:29:13');
INSERT INTO complaint_remarks VALUES('9242','7738','STILL IN S/C','74','2021-07-17 12:32:25','2021-07-17 12:32:25');
INSERT INTO complaint_remarks VALUES('9243','8028','03179998683  MAHRAN TACTION','92','2021-07-17 12:33:15','2021-07-17 12:33:15');
INSERT INTO complaint_remarks VALUES('9244','6936','SET LHR S/C MAIN READY HAIN BS DISPATCH KARWANA HAIN CUSTOMER LHR S/C WALO SA CONTACT MAIN HAIN','74','2021-07-17 12:38:54','2021-07-17 12:38:54');
INSERT INTO complaint_remarks VALUES('9245','7725','NOT ATTENDING CALL','74','2021-07-17 12:40:27','2021-07-17 12:40:27');
INSERT INTO complaint_remarks VALUES('9246','7984','COMPLAINT RESOLVED','92','2021-07-17 12:40:28','2021-07-17 12:40:28');
INSERT INTO complaint_remarks VALUES('9247','7805','03005013737 GASS REFIL KAR K GAY HAIN 3000 PAYMENT B LI BUT ISSUR RESOLVED NAI HOA REMINDER BY COMPANY','74','2021-07-17 12:43:03','2021-07-17 12:43:03');
INSERT INTO complaint_remarks VALUES('9248','7713','ISSUED RESOLVED','74','2021-07-17 12:45:57','2021-07-17 12:45:57');
INSERT INTO complaint_remarks VALUES('9249','7786','UNIT REPLACE NAI HOA UNIT MAIN KUCH PARTS CHANGE KAR K COMPLAINT RESOLVED KI','74','2021-07-17 12:47:46','2021-07-17 12:47:46');
INSERT INTO complaint_remarks VALUES('9250','7711','ISSUED RESOLVED','74','2021-07-17 12:49:09','2021-07-17 12:49:09');
INSERT INTO complaint_remarks VALUES('9251','7660','NOT RSOLVED','74','2021-07-17 12:51:23','2021-07-17 12:51:23');
INSERT INTO complaint_remarks VALUES('9252','7535','NOT RESOLVED','74','2021-07-17 12:51:53','2021-07-17 12:51:53');
INSERT INTO complaint_remarks VALUES('9253','7534','NOT RESOLVED','74','2021-07-17 12:52:51','2021-07-17 12:52:51');
INSERT INTO complaint_remarks VALUES('9254','7985','COMPLAINT ATTEND HO GAE HAY COMPLAINT IN PROCESS','92','2021-07-17 12:53:41','2021-07-17 12:53:41');
INSERT INTO complaint_remarks VALUES('9255','7494','COMPLAINT PA VISIT HO GAYA HAIN IN PROCESS HAIN COMPLAINT  AGAIN VISIT K LIYA REMINDER DA DIA','74','2021-07-17 12:54:27','2021-07-17 12:54:27');
INSERT INTO complaint_remarks VALUES('9256','7991','COMPLAINT ATTEND HO GAE HAY WARING ISSUE COMPLAINT IN PROCESS','92','2021-07-17 12:59:45','2021-07-17 12:59:45');
INSERT INTO complaint_remarks VALUES('9257','7987','AJ ATTEND HO GE COMPLAINT INFORM BY CUSTOMER','92','2021-07-17 13:05:22','2021-07-17 13:05:22');
INSERT INTO complaint_remarks VALUES('9258','7982','COMPLAINT RESOLVED','92','2021-07-17 13:07:06','2021-07-17 13:07:06');
INSERT INTO complaint_remarks VALUES('9259','7494','COMPLAINT PA VISIT HO GAYA HAIN IN PROCESS HAIN COMPLAINT  AGAIN VISIT K LIYA REMINDER DA DIA','74','2021-07-17 13:10:00','2021-07-17 13:10:00');
INSERT INTO complaint_remarks VALUES('9260','6977','NOT RESOLVED','74','2021-07-17 13:14:38','2021-07-17 13:14:38');
INSERT INTO complaint_remarks VALUES('9261','7992','03319146117  WASEEM TACTION','92','2021-07-17 13:16:59','2021-07-17 13:16:59');
INSERT INTO complaint_remarks VALUES('9262','7992','VISIT TO DAY INFORM BY CUSTOMER','92','2021-07-17 13:20:35','2021-07-17 13:20:35');
INSERT INTO complaint_remarks VALUES('9263','8047','ISSUED RESOLVED','74','2021-07-17 13:31:59','2021-07-17 13:31:59');
INSERT INTO complaint_remarks VALUES('9264','7981','COMPLAINT ATTEND HO GAE HAY PART ISSUE COMPLAINT IN PROCESS','92','2021-07-17 13:33:14','2021-07-17 13:33:14');
INSERT INTO complaint_remarks VALUES('9265','8046','ISSUED RESOLVED','74','2021-07-17 13:33:40','2021-07-17 13:33:40');
INSERT INTO complaint_remarks VALUES('9266','8042','ISSUED RESOLVED','74','2021-07-17 13:35:48','2021-07-17 13:35:48');
INSERT INTO complaint_remarks VALUES('9267','8040','ISSUED RESOLVED','74','2021-07-17 13:37:32','2021-07-17 13:37:32');
INSERT INTO complaint_remarks VALUES('9268','8037','ISSUED RESOLVED','74','2021-07-17 13:39:59','2021-07-17 13:39:59');
INSERT INTO complaint_remarks VALUES('9269','8036','CUSTOMER WANT REPLACEMENT','74','2021-07-17 13:41:34','2021-07-17 13:41:34');
INSERT INTO complaint_remarks VALUES('9270','7975','CUSTOMER NOT ATTEND CALL','92','2021-07-17 13:52:33','2021-07-17 13:52:33');
INSERT INTO complaint_remarks VALUES('9271','7972','COMPLAINT ATTEND HO GAE HAY BUT CUSTOMER SATISFIED NAI HAY','92','2021-07-17 13:57:12','2021-07-17 13:57:12');
INSERT INTO complaint_remarks VALUES('9272','8035','CUSTOMER GAOO CHLA GIA EID K BAD WAPIS I GA TO COMPLAINT RE LAUNCHED HO GI','74','2021-07-17 13:58:52','2021-07-17 13:58:52');
INSERT INTO complaint_remarks VALUES('9273','8034','CUSTOMER OUT OF STATION HA EID K BAD WAPIS AI GA COMPLAINT DOBARA LAUNCH HO GI','74','2021-07-17 14:01:14','2021-07-17 14:01:14');
INSERT INTO complaint_remarks VALUES('9274','8033','ISSUED NOT RESOLVED','74','2021-07-17 14:03:32','2021-07-17 14:03:32');
INSERT INTO complaint_remarks VALUES('9275','6522','CAP ASTER  &RELAY REPLACE HO GA PARTS WARRANTY KHATAM HAIN CHARGES BABAR SAB CUSTOMER KMO INFORMED KAR RAHAY HAIN','74','2021-07-17 14:03:32','2021-07-17 14:03:32');
INSERT INTO complaint_remarks VALUES('9276','8032','NOT ATTENDING','74','2021-07-17 14:05:44','2021-07-17 14:05:44');
INSERT INTO complaint_remarks VALUES('9277','8031','NOT ATTENDING','74','2021-07-17 14:07:08','2021-07-17 14:07:08');
INSERT INTO complaint_remarks VALUES('9278','8030','TECHNISION VHI PR HA','74','2021-07-17 14:09:01','2021-07-17 14:09:01');
INSERT INTO complaint_remarks VALUES('9279','7918','03354851633  0514927027 RWP S/C NO','92','2021-07-17 14:29:30','2021-07-17 14:29:30');
INSERT INTO complaint_remarks VALUES('9280','7970','COMPLAINT RESOLVED','92','2021-07-17 14:31:05','2021-07-17 14:31:05');
INSERT INTO complaint_remarks VALUES('9281','7966','COMPLAINT RESOLVED','92','2021-07-17 14:36:55','2021-07-17 14:36:55');
INSERT INTO complaint_remarks VALUES('9282','7961','NOT VISIT TO COMPLAINT','92','2021-07-17 14:39:00','2021-07-17 14:39:00');
INSERT INTO complaint_remarks VALUES('9283','7958','CUSTOMER NOT ATTEND CALL','92','2021-07-17 14:40:40','2021-07-17 14:40:40');
INSERT INTO complaint_remarks VALUES('9284','7958','COMPLAINT RESOLVED','92','2021-07-17 14:41:34','2021-07-17 14:41:34');
INSERT INTO complaint_remarks VALUES('9285','7953','COMPLAINT RESOLVED','92','2021-07-17 14:44:10','2021-07-17 14:44:10');
INSERT INTO complaint_remarks VALUES('9286','7950','COMPLAINT RESOLVED','92','2021-07-17 14:46:33','2021-07-17 14:46:33');
INSERT INTO complaint_remarks VALUES('9287','8029','UNIT LIFTED TO S/C','74','2021-07-17 14:53:22','2021-07-17 14:53:22');
INSERT INTO complaint_remarks VALUES('9288','8028','TECHNISION NOTVISITED YET','74','2021-07-17 14:54:49','2021-07-17 14:54:49');
INSERT INTO complaint_remarks VALUES('9289','8025','ISSUED RESOLVED','74','2021-07-17 14:58:35','2021-07-17 14:58:35');
INSERT INTO complaint_remarks VALUES('9290','7214','COMPLAINT RESOLVED','92','2021-07-17 14:59:48','2021-07-17 14:59:48');
INSERT INTO complaint_remarks VALUES('9291','8022','NOT ATTENDING CALL','74','2021-07-17 15:02:04','2021-07-17 15:02:04');
INSERT INTO complaint_remarks VALUES('9292','8013','TECHNISION VISITED ISSUE NOT RESOLVED','74','2021-07-17 15:03:55','2021-07-17 15:03:55');
INSERT INTO complaint_remarks VALUES('9293','8010','ISSUED RESOLVED','74','2021-07-17 15:05:19','2021-07-17 15:05:19');
INSERT INTO complaint_remarks VALUES('9294','7912','COMPLAINT RESOLVED','92','2021-07-17 15:08:31','2021-07-17 15:08:31');
INSERT INTO complaint_remarks VALUES('9295','8009','NOT ATTENDING CALL','74','2021-07-17 15:08:40','2021-07-17 15:08:40');
INSERT INTO complaint_remarks VALUES('9296','8007','TECHNISION DIDNOT VISITED','74','2021-07-17 15:10:29','2021-07-17 15:10:29');
INSERT INTO complaint_remarks VALUES('9297','8002','ISSUE RESOLVED','74','2021-07-17 15:11:46','2021-07-17 15:11:46');
INSERT INTO complaint_remarks VALUES('9298','7907','CUSTOMER NAY LOCAL TACTION SAY VISIT KARWA LEYA HAY COMPLAINT CLOSED','92','2021-07-17 15:12:40','2021-07-17 15:12:40');
INSERT INTO complaint_remarks VALUES('9299','7918','LHR=04235125454','73','2021-07-17 15:27:10','2021-07-17 15:27:10');
INSERT INTO complaint_remarks VALUES('9300','8000','ISSUED NOT RESOLVED','74','2021-07-17 15:35:41','2021-07-17 15:35:41');
INSERT INTO complaint_remarks VALUES('9301','7999','IN S/C','74','2021-07-17 15:38:34','2021-07-17 15:38:34');
INSERT INTO complaint_remarks VALUES('9302','7998','TECHNISION NA VISIT NI KIA ABI TK','74','2021-07-17 15:40:19','2021-07-17 15:40:19');
INSERT INTO complaint_remarks VALUES('9303','7996','TECHNISION NA CONTACT KIA HA CUSTOMER OUT OF STATION THA MONDAY KO CONFERM HO JAI GA','74','2021-07-17 15:46:39','2021-07-17 15:46:39');
INSERT INTO complaint_remarks VALUES('9304','7995','ISSUED RESOLVED','74','2021-07-17 15:50:49','2021-07-17 15:50:49');
INSERT INTO complaint_remarks VALUES('9305','7992','TEC VISIT KR GIA HA EID K BAD ISSUE RESOLVED HO GA','74','2021-07-17 15:56:30','2021-07-17 15:56:30');
INSERT INTO complaint_remarks VALUES('9306','7991','COMPLAINT RESOLVED','92','2021-07-17 16:07:14','2021-07-17 16:07:14');
INSERT INTO complaint_remarks VALUES('9307','7906','ISSUED RESOLVED','74','2021-07-17 16:13:55','2021-07-17 16:13:55');
INSERT INTO complaint_remarks VALUES('9308','7905','NOT ATTENDING','74','2021-07-17 16:17:26','2021-07-17 16:17:26');
INSERT INTO complaint_remarks VALUES('9309','7918','03022242224','92','2021-07-17 16:21:50','2021-07-17 16:21:50');
INSERT INTO complaint_remarks VALUES('9310','7901','TECH NA VISIT KIA HA ISSUE ABI TK RESOLVED NI HUA FAN MOTOR KHRA HA NEW DALA GI','74','2021-07-17 16:26:23','2021-07-17 16:26:23');
INSERT INTO complaint_remarks VALUES('9311','7887','ISSUE  RESOLVED','74','2021-07-17 16:36:36','2021-07-17 16:36:36');
INSERT INTO complaint_remarks VALUES('9312','7989','COMPLAINT RESOLVED','92','2021-07-17 16:38:55','2021-07-17 16:38:55');
INSERT INTO complaint_remarks VALUES('9313','7886','NOT ATTENDING CALL','74','2021-07-17 16:40:27','2021-07-17 16:40:27');
INSERT INTO complaint_remarks VALUES('9314','8094','OTHER#03215380095','74','2021-07-17 16:44:12','2021-07-17 16:44:12');
INSERT INTO complaint_remarks VALUES('9315','7042','AMEEN SIR KO REMINDER DAY DEYA HAY WO ATTEND KARWAY GAY COMPLAINT','92','2021-07-17 16:45:11','2021-07-17 16:45:11');
INSERT INTO complaint_remarks VALUES('9316','7884','NO RESPONSE','74','2021-07-17 16:48:29','2021-07-17 16:48:29');
INSERT INTO complaint_remarks VALUES('9317','7882','ISSUED NOT RESOLVED','74','2021-07-17 16:50:37','2021-07-17 16:50:37');
INSERT INTO complaint_remarks VALUES('9318','7834','TACTION NAY CALL KI THI BUT CUSTOMER NOT ATTEND CALL BUTT SIR KO B INFORM KAR DEYA HAY','92','2021-07-17 16:53:47','2021-07-17 16:53:47');
INSERT INTO complaint_remarks VALUES('9319','8094','OTHER#03215380095','74','2021-07-17 16:54:32','2021-07-17 16:54:32');
INSERT INTO complaint_remarks VALUES('9320','7877','NOT ATTENDING','74','2021-07-17 16:55:49','2021-07-17 16:55:49');
INSERT INTO complaint_remarks VALUES('9321','7962','CUSTOMER NA KHUD S/C MOVE KARWNA THA .
AJ CUSTOMER SA BT KI WO BOL RAHAY HAIN K MAIN VAN CHARGES PAY KAR DO GA COMPANY WALY AAK LA JAY UNIT. GREE S/C REMINDER DA DIA HAIN & NEW COMPLAINT B FF KARWA DI','74','2021-07-17 17:00:39','2021-07-17 17:00:39');
INSERT INTO complaint_remarks VALUES('9322','8061','03179998680 ADNAN TACTION','92','2021-07-17 17:02:00','2021-07-17 17:02:00');
INSERT INTO complaint_remarks VALUES('9323','7726','COMPLAINT RESOLVED','74','2021-07-17 17:02:40','2021-07-17 17:02:40');
INSERT INTO complaint_remarks VALUES('9324','7862','NOT ATTENDING','74','2021-07-17 17:05:13','2021-07-17 17:05:13');
INSERT INTO complaint_remarks VALUES('9325','7918','MONDAY KO AHTEND HO JAY GEI
INFORMED BY CUSTOMER','74','2021-07-17 17:06:35','2021-07-17 17:06:35');
INSERT INTO complaint_remarks VALUES('9326','7860','ISSUED RESOLVED','74','2021-07-17 17:07:08','2021-07-17 17:07:08');
INSERT INTO complaint_remarks VALUES('9327','7859','ISSUED RESOLVED','74','2021-07-17 17:08:31','2021-07-17 17:08:31');
INSERT INTO complaint_remarks VALUES('9328','7856','UNIT STIL IN S/C','74','2021-07-17 17:32:11','2021-07-17 17:32:11');
INSERT INTO complaint_remarks VALUES('9329','7850','NOT ATTENDING','74','2021-07-17 17:35:34','2021-07-17 17:35:34');
INSERT INTO complaint_remarks VALUES('9330','7849','NOT ATTENDING','74','2021-07-17 17:38:42','2021-07-17 17:38:42');
INSERT INTO complaint_remarks VALUES('9331','7827','IN-PROCESS HAIN COMPLAINT WAQAS TECHNICIAN  IC COMPLAINT KO ATTEND KARWAY GAY','74','2021-07-17 17:41:00','2021-07-17 17:41:00');
INSERT INTO complaint_remarks VALUES('9332','7845','CUSTOMER ATTEND NI KRA','74','2021-07-17 17:41:10','2021-07-17 17:41:10');
INSERT INTO complaint_remarks VALUES('9333','7835','ISSUED NOT RESOLVED','74','2021-07-17 17:43:25','2021-07-17 17:43:25');
INSERT INTO complaint_remarks VALUES('9334','7834','COMPLAINT RELAUNCHED HO GI','74','2021-07-17 17:51:32','2021-07-17 17:51:32');
INSERT INTO complaint_remarks VALUES('9335','8088','03095559760 SARFARAZ TACTION','92','2021-07-17 17:56:15','2021-07-17 17:56:15');
INSERT INTO complaint_remarks VALUES('9336','6522','INVOICE BABER SAB KO SHER KAR DI','74','2021-07-17 17:57:11','2021-07-17 17:57:11');
INSERT INTO complaint_remarks VALUES('9337','8088','AJ ATTEND HO JAY GE COMPLAINT INFORM BY CUSTOMER','92','2021-07-17 18:01:31','2021-07-17 18:01:31');
INSERT INTO complaint_remarks VALUES('9338','7629','REF S/C MOVE HO GA CUSTOMER NA EID K BAD  REF MOVE KARWNAY K LIYA TIME DIA HAIN MAZHAR FCP KO B INFORMED KAR DIA HAIN','74','2021-07-17 18:41:35','2021-07-17 18:41:35');
INSERT INTO complaint_remarks VALUES('9339','7930','customer eid ka bad complaint kray ga agr issue ay abi issue resolved ha','74','2021-07-18 11:21:37','2021-07-18 11:21:37');
INSERT INTO complaint_remarks VALUES('9340','7926','ISSUED RESOLVED','74','2021-07-18 11:23:52','2021-07-18 11:23:52');
INSERT INTO complaint_remarks VALUES('9341','7923','ISSUED RESOLVED','74','2021-07-18 11:25:41','2021-07-18 11:25:41');
INSERT INTO complaint_remarks VALUES('9342','7905','ISSUED RESOLVED BY LOCAL TECH NISION','74','2021-07-18 11:29:26','2021-07-18 11:29:26');
INSERT INTO complaint_remarks VALUES('9343','7901','CUSTOMER KO EID K BAD KA TIME DIA HA MOTOR KA','74','2021-07-18 11:32:46','2021-07-18 11:32:46');
INSERT INTO complaint_remarks VALUES('9344','7976','SENSOR ISSUE S/C WALOUN NAY MALE KI HAY KAL AY JAY GA SENSOR KAL TAK ISSUE RESOLVE HO JAY GA','92','2021-07-18 11:32:48','2021-07-18 11:32:48');
INSERT INTO complaint_remarks VALUES('9345','7898','ISSUED RESOLVED','74','2021-07-18 11:35:03','2021-07-18 11:35:03');
INSERT INTO complaint_remarks VALUES('9346','7789','ISSUED NOT RESOLVED','74','2021-07-18 11:38:04','2021-07-18 11:38:04');
INSERT INTO complaint_remarks VALUES('9347','7785','ISSUED RESOLVED','74','2021-07-18 11:40:01','2021-07-18 11:40:01');
INSERT INTO complaint_remarks VALUES('9348','6482','TACTION KA NO CUSTOMER KO B PROVIDE KAR DEYA HAY COMPLAINT RESOLVED','92','2021-07-18 11:44:05','2021-07-18 11:44:05');
INSERT INTO complaint_remarks VALUES('9349','7783','NOT ATTENDING CALL','74','2021-07-18 11:45:43','2021-07-18 11:45:43');
INSERT INTO complaint_remarks VALUES('9350','6478','COMPLAINT RESOLVED','92','2021-07-18 11:49:05','2021-07-18 11:49:05');
INSERT INTO complaint_remarks VALUES('9351','6450','CUSTOMER KHD KARACHI AYA HUA HA AMEEN SB NA REPLACE KRNA HA INDOOR','74','2021-07-18 11:52:30','2021-07-18 11:52:30');
INSERT INTO complaint_remarks VALUES('9352','6450','CUSTOMER WAIT MA HI HA ABI TK','74','2021-07-18 11:52:56','2021-07-18 11:52:56');
INSERT INTO complaint_remarks VALUES('9353','6445','STILL IN S/C','74','2021-07-18 11:56:20','2021-07-18 11:56:20');
INSERT INTO complaint_remarks VALUES('9354','6408','CUSTOMER KHD DELAY KR RA HA HA','74','2021-07-18 11:57:04','2021-07-18 11:57:04');
INSERT INTO complaint_remarks VALUES('9355','8063','COMPLAINT RESOLVED','92','2021-07-18 12:04:12','2021-07-18 12:04:12');
INSERT INTO complaint_remarks VALUES('9356','7175','CUSTOMER NOT ATTEND CALL','92','2021-07-18 12:15:52','2021-07-18 12:15:52');
INSERT INTO complaint_remarks VALUES('9357','6290','NOT ATTENDING CALL','74','2021-07-18 12:15:55','2021-07-18 12:15:55');
INSERT INTO complaint_remarks VALUES('9358','8088','COMPLAINT ATTEND HO GAE HAY INDOOR PCB ISSUE HAY','92','2021-07-18 12:23:48','2021-07-18 12:23:48');
INSERT INTO complaint_remarks VALUES('9359','6950','COMPLAINTB REOPEN KRADI HA AJ','74','2021-07-18 12:24:52','2021-07-18 12:24:52');
INSERT INTO complaint_remarks VALUES('9360','6408','CUSTOMER SIDE SA DELAY HAIN COMPLAINT CLOSED','74','2021-07-18 12:30:12','2021-07-18 12:30:12');
INSERT INTO complaint_remarks VALUES('9361','8060','COMPLAINT RESOLVED','92','2021-07-18 12:31:52','2021-07-18 12:31:52');
INSERT INTO complaint_remarks VALUES('9362','6940','COMPLAINT HIGHLIGHT KRDI HA COMPANY SA MONDAY PART MIL JAI GA','74','2021-07-18 12:33:11','2021-07-18 12:33:11');
INSERT INTO complaint_remarks VALUES('9363','8059','COMPLAINT RESOLVED','92','2021-07-18 12:33:58','2021-07-18 12:33:58');
INSERT INTO complaint_remarks VALUES('9364','6936','NOT RESOLVEDE','74','2021-07-18 12:34:05','2021-07-18 12:34:05');
INSERT INTO complaint_remarks VALUES('9365','8054','COMPLAINT RESOLVED','92','2021-07-18 12:42:47','2021-07-18 12:42:47');
INSERT INTO complaint_remarks VALUES('9366','8053','COMPLAINT RESOLVED','92','2021-07-18 12:44:50','2021-07-18 12:44:50');
INSERT INTO complaint_remarks VALUES('9367','8051','COMPLAINT ATTEND HO GAE HAY S/C WALAY OUT DOOR LAY GAY HAY COMPLAINT IN PROCESS','92','2021-07-18 12:50:04','2021-07-18 12:50:04');
INSERT INTO complaint_remarks VALUES('9368','6884','COMPLAINT REOPEN KRADI HA','74','2021-07-18 12:50:15','2021-07-18 12:50:15');
INSERT INTO complaint_remarks VALUES('9369','6922','REOPEN KRADI HA COMPLAINT','74','2021-07-18 12:50:46','2021-07-18 12:50:46');
INSERT INTO complaint_remarks VALUES('9370','8050','COMPLAINT RESOLVED','92','2021-07-18 12:52:02','2021-07-18 12:52:02');
INSERT INTO complaint_remarks VALUES('9371','8048','CUSTOMER NOT ATTEND CALL','92','2021-07-18 12:55:15','2021-07-18 12:55:15');
INSERT INTO complaint_remarks VALUES('9372','8036','COMPLAINT RESOLVED','92','2021-07-18 12:57:18','2021-07-18 12:57:18');
INSERT INTO complaint_remarks VALUES('9373','8131','AHMED KO COMPLAINT # SHER KAR DIA HAIN  KAL ARRANGE KARWA DAY GAY','74','2021-07-18 12:57:58','2021-07-18 12:57:58');
INSERT INTO complaint_remarks VALUES('9374','6861','NOT ATTENDING CALL','74','2021-07-18 12:58:10','2021-07-18 12:58:10');
INSERT INTO complaint_remarks VALUES('9375','8033','COMPLAINT ATTEND HO GAE HAY UNIT S/C LIFT HO GAYA HAY KAL TAK CUSTOMER K GHAR DELIVER HO JAY GA UNIT','92','2021-07-18 13:00:51','2021-07-18 13:00:51');
INSERT INTO complaint_remarks VALUES('9376','6856','ISSUE NOT RESOLVED','74','2021-07-18 13:01:03','2021-07-18 13:01:03');
INSERT INTO complaint_remarks VALUES('9377','8032','COMPLAINT ATTEND HO GAE HAY UNIT AJ CUSTOMER K GHAR','92','2021-07-18 13:04:41','2021-07-18 13:04:41');
INSERT INTO complaint_remarks VALUES('9378','8031','COMPLAINT RESOLVED','92','2021-07-18 13:12:07','2021-07-18 13:12:07');
INSERT INTO complaint_remarks VALUES('9379','7600','ISSUED RESOLVED','74','2021-07-18 13:13:43','2021-07-18 13:13:43');
INSERT INTO complaint_remarks VALUES('9380','7599','ISSUED RESOLVEDV','74','2021-07-18 13:16:12','2021-07-18 13:16:12');
INSERT INTO complaint_remarks VALUES('9381','5723','COMPLAINT RESOLVED','74','2021-07-18 13:16:25','2021-07-18 13:16:25');
INSERT INTO complaint_remarks VALUES('9382','8030','COMPLAINT ATTEND HO GAE HAY SOUND ISSUE ABI RESOLVED NAI HUA HAY EIR K BAD AGAIN VISIT HAY CUSTOMER K GHAR','92','2021-07-18 13:17:46','2021-07-18 13:17:46');
INSERT INTO complaint_remarks VALUES('9383','6487','COMPLAINT CLOSED','74','2021-07-18 13:20:27','2021-07-18 13:20:27');
INSERT INTO complaint_remarks VALUES('9384','8028','COMPLAINT RESOLVED','92','2021-07-18 13:21:20','2021-07-18 13:21:20');
INSERT INTO complaint_remarks VALUES('9385','7598','ISSUED NOT RESOLVED S/C SA WAPIS AK BB ISSUED RESOLVED NI HUA','74','2021-07-18 13:21:50','2021-07-18 13:21:50');
INSERT INTO complaint_remarks VALUES('9386','7827','COMPLAINT CLOSED','74','2021-07-18 13:26:04','2021-07-18 13:26:04');
INSERT INTO complaint_remarks VALUES('9387','8022','CUSTOMER NOT ATTEND CALL','92','2021-07-18 13:26:19','2021-07-18 13:26:19');
INSERT INTO complaint_remarks VALUES('9388','8013','COMPLAINT RESOLVED','92','2021-07-18 13:28:50','2021-07-18 13:28:50');
INSERT INTO complaint_remarks VALUES('9389','6054','COMPLAINT RESOLVED','74','2021-07-18 13:31:02','2021-07-18 13:31:02');
INSERT INTO complaint_remarks VALUES('9390','8009','CUSTOMER STILL NOT ATTEND CALL','92','2021-07-18 13:33:21','2021-07-18 13:33:21');
INSERT INTO complaint_remarks VALUES('9391','8007','03334028526 TACTION','92','2021-07-18 13:37:27','2021-07-18 13:37:27');
INSERT INTO complaint_remarks VALUES('9392','7999','UNIT S/C MAY HAY COMPLAINT IN PROCESS','92','2021-07-18 13:53:10','2021-07-18 13:53:10');
INSERT INTO complaint_remarks VALUES('9393','7996','COMPLAINT RESOLVED','92','2021-07-18 14:00:44','2021-07-18 14:00:44');
INSERT INTO complaint_remarks VALUES('9394','7987','COMPLAINT ATTEND HO GAE HAY BUT ISSUE RESOLVED NAI HUA COMPANY MAY RE OPEN KARWA DE HAY COMPLAINT','92','2021-07-18 14:07:17','2021-07-18 14:07:17');
INSERT INTO complaint_remarks VALUES('9395','7975','COMPLAINT RESOLVED','92','2021-07-18 14:13:28','2021-07-18 14:13:28');
INSERT INTO complaint_remarks VALUES('9396','7651','NOT ATTENDING CALL','74','2021-07-18 14:31:02','2021-07-18 14:31:02');
INSERT INTO complaint_remarks VALUES('9397','7655','ISSUED RESOLVED','74','2021-07-18 14:33:01','2021-07-18 14:33:01');
INSERT INTO complaint_remarks VALUES('9398','7655','CUSTOMER KO AGR DOBARA ISSUE AYA TO EID K BAD DOBARA COMPLAINT LAUNCHED KRAI GA','74','2021-07-18 14:34:05','2021-07-18 14:34:05');
INSERT INTO complaint_remarks VALUES('9399','7659','ISSUED NOT RESOLVED COMPLAINT RELAUNCHED HO GI EID K BAD CUSTOMER OUT OF STATION HA','74','2021-07-18 14:37:44','2021-07-18 14:37:44');
INSERT INTO complaint_remarks VALUES('9400','7961','TACTION GAY THAY CUSTOMER K GHAR BUT CUSTOMER KI LIGHT NAI THI EID K BAD VISIST HO GA COMPLAINT IN PROCESS','92','2021-07-18 14:37:57','2021-07-18 14:37:57');
INSERT INTO complaint_remarks VALUES('9401','7667','NOT RESOLVED','74','2021-07-18 14:40:09','2021-07-18 14:40:09');
INSERT INTO complaint_remarks VALUES('9402','7955','UNIT ABI TAK S/C MAY HAY IN PROCESS COMPLAINT','92','2021-07-18 14:41:08','2021-07-18 14:41:08');
INSERT INTO complaint_remarks VALUES('9403','5425','YAWAR SAB KO TANK K LIYA REMINDER DA DI HAIN','74','2021-07-18 14:46:57','2021-07-18 14:46:57');
INSERT INTO complaint_remarks VALUES('9404','7676','CUSTOMER KHAT MJHE WARENTY MA THK KRKA DOO JAB WARANTY PERIOUD KHTM HON CHUKA HA','74','2021-07-18 14:50:25','2021-07-18 14:50:25');
INSERT INTO complaint_remarks VALUES('9405','5902','CUSTOMER KI SIDE SA DELY HAIN COMPLAINT  CUSTOMER NA KHUD S/C MOVE KRWANA HAIN','74','2021-07-18 14:52:26','2021-07-18 14:52:26');
INSERT INTO complaint_remarks VALUES('9406','7677','ISSUED RESOLVED','74','2021-07-18 14:52:34','2021-07-18 14:52:34');
INSERT INTO complaint_remarks VALUES('9407','7695','ISSUED RESOLVED','74','2021-07-18 14:57:21','2021-07-18 14:57:21');
INSERT INTO complaint_remarks VALUES('9408','7703','NOT RESOLVED','74','2021-07-18 14:58:17','2021-07-18 14:58:17');
INSERT INTO complaint_remarks VALUES('9409','7951','CUSTOMER NOT ATTEND CALL','92','2021-07-18 14:58:22','2021-07-18 14:58:22');
INSERT INTO complaint_remarks VALUES('9410','7704','NOT ATTENDING CALL','74','2021-07-18 15:01:44','2021-07-18 15:01:44');
INSERT INTO complaint_remarks VALUES('9411','7947','COMPLAINT ATTEND HO GAE HAY BUT SOUND ISSUE ABI TAK RESOLVED NAI HUA HAY COMPLAINT IN PROCESS','92','2021-07-18 15:05:42','2021-07-18 15:05:42');
INSERT INTO complaint_remarks VALUES('9412','6095','AIK VISIT HO GAY THA AGAIN COMPLAINT REOPNED KARWA DI NEW COMPLAINT # K SATH','74','2021-07-18 15:10:19','2021-07-18 15:10:19');
INSERT INTO complaint_remarks VALUES('9413','7807','NOT ATTENDING CALL','74','2021-07-18 15:16:01','2021-07-18 15:16:01');
INSERT INTO complaint_remarks VALUES('9414','7939','CUSTOMER NOT ATTEND CALL','92','2021-07-18 15:16:31','2021-07-18 15:16:31');
INSERT INTO complaint_remarks VALUES('9415','7794','ISSUED RESOLVED','74','2021-07-18 15:30:03','2021-07-18 15:30:03');
INSERT INTO complaint_remarks VALUES('9416','8073','NOT ATTENDING','74','2021-07-18 15:46:58','2021-07-18 15:46:58');
INSERT INTO complaint_remarks VALUES('9417','7895','COMPLAINT RESOLVED','92','2021-07-18 15:51:54','2021-07-18 15:51:54');
INSERT INTO complaint_remarks VALUES('9418','7456','ISSUED RESOLVED','74','2021-07-18 15:52:10','2021-07-18 15:52:10');
INSERT INTO complaint_remarks VALUES('9419','8108','ISSUED RESOLVED BY LOCAL TECHNISION','74','2021-07-18 15:54:14','2021-07-18 15:54:14');
INSERT INTO complaint_remarks VALUES('9420','7454','PART DEMANDED HA COMPANY MA SHORT HA','74','2021-07-18 15:57:48','2021-07-18 15:57:48');
INSERT INTO complaint_remarks VALUES('9421','7447','NOT ATTENDING CALL','74','2021-07-18 15:59:52','2021-07-18 15:59:52');
INSERT INTO complaint_remarks VALUES('9422','7442','REPLACE  HO GA','74','2021-07-18 16:00:43','2021-07-18 16:00:43');
INSERT INTO complaint_remarks VALUES('9423','7886','COMPLAINT RESOLVED','92','2021-07-18 16:07:36','2021-07-18 16:07:36');
INSERT INTO complaint_remarks VALUES('9424','7885','CUSTOMER STILL NOT ATTEND CALL ISHFAQ FHHS SIR KO B INFORM KAR DEYA HAY','92','2021-07-18 16:11:11','2021-07-18 16:11:11');
INSERT INTO complaint_remarks VALUES('9425','7884','CUSTOMER STILL NOT ATTEND CALL','92','2021-07-18 16:12:59','2021-07-18 16:12:59');
INSERT INTO complaint_remarks VALUES('9426','7877','COMPLAINT RESOLVED','92','2021-07-18 16:15:41','2021-07-18 16:15:41');
INSERT INTO complaint_remarks VALUES('9427','5783','ASLAM SIR NA W/D ADIL BHAI KI WORKSHOP MAI N RAKHWAYA HOA HAIN','74','2021-07-18 16:15:42','2021-07-18 16:15:42');
INSERT INTO complaint_remarks VALUES('9428','6040','ISSUED RESOLVED','74','2021-07-18 16:16:19','2021-07-18 16:16:19');
INSERT INTO complaint_remarks VALUES('9429','7871','CUSTOMER STILL NOT ATTEND CALL','92','2021-07-18 16:18:43','2021-07-18 16:18:43');
INSERT INTO complaint_remarks VALUES('9430','7011','ISSUED NOT RESOLVED UNIT IS IN S/C IN PROGRESS','74','2021-07-18 16:20:39','2021-07-18 16:20:39');
INSERT INTO complaint_remarks VALUES('9431','7862','COMPLAINT RESOLVED','92','2021-07-18 16:20:40','2021-07-18 16:20:40');
INSERT INTO complaint_remarks VALUES('9432','7850','COMPLAINT RESOLVED','92','2021-07-18 16:22:39','2021-07-18 16:22:39');
INSERT INTO complaint_remarks VALUES('9433','7843','COMPLAINT RESOLVED','92','2021-07-18 16:24:09','2021-07-18 16:24:09');
INSERT INTO complaint_remarks VALUES('9434','7845','COMPLAINT RESOLVED','92','2021-07-18 16:26:11','2021-07-18 16:26:11');
INSERT INTO complaint_remarks VALUES('9435','7831','COMPLAINT ATTEND HO GAE HAY ISSUE RESOLVED NAI HUA REOPEN KARWA DE HAY COMPLAINT COMPANY MAY','92','2021-07-18 16:31:36','2021-07-18 16:31:36');
INSERT INTO complaint_remarks VALUES('9436','7050','ISSUED RESOLVED','74','2021-07-18 16:38:34','2021-07-18 16:38:34');
INSERT INTO complaint_remarks VALUES('9437','7055','UNIT WAPISAGIA HA CUSTOMER KL TK CONFERMED BATATI GII','74','2021-07-18 16:42:20','2021-07-18 16:42:20');
INSERT INTO complaint_remarks VALUES('9438','7828','COMPLAINT RESOLVED','92','2021-07-18 16:45:08','2021-07-18 16:45:08');
INSERT INTO complaint_remarks VALUES('9439','7825','KAL ATTEND HO GE COMPLAINT IN PROCESS','92','2021-07-18 16:48:58','2021-07-18 16:48:58');
INSERT INTO complaint_remarks VALUES('9440','7057','UNIT K ANDAR KOI ISSUED NI TECHNISION NA D00 DAFA VISITR KIA HA COMPANY TECH NA CUSTOMER KO INFORM KIA HA K UNIT SRF SERVICE HO GA TO SMELL PROB KHTM HO JAI GII TO BE INFORMED TO CUSTOMER','74','2021-07-18 16:51:22','2021-07-18 16:51:22');
INSERT INTO complaint_remarks VALUES('9441','7818','SIR NOT ATTEND CALL','92','2021-07-18 16:51:26','2021-07-18 16:51:26');
INSERT INTO complaint_remarks VALUES('9442','7812','CUSTOMER THORE DAR TAK CONFORM KAR K ABDATE KARAY GAY','92','2021-07-18 16:53:25','2021-07-18 16:53:25');
INSERT INTO complaint_remarks VALUES('9443','7080','UNIT NOHSHERA S/C CHLA GIA WORK IN PROGRESS MA HI HA','74','2021-07-18 16:54:37','2021-07-18 16:54:37');
INSERT INTO complaint_remarks VALUES('9444','7112','TARIQ SIR SA BT HUI IS MODEL KA FRIDGE HA HI NI','74','2021-07-18 16:57:14','2021-07-18 16:57:14');
INSERT INTO complaint_remarks VALUES('9445','7112','TARIQ SIR SA POUCH K COMPLAINT CLOSED KI HA','74','2021-07-18 17:00:45','2021-07-18 17:00:45');
INSERT INTO complaint_remarks VALUES('9446','7119','NOT ATTENDING','74','2021-07-18 17:04:15','2021-07-18 17:04:15');
INSERT INTO complaint_remarks VALUES('9447','7807','COMPLAINT CLOSED CUSTOMER SAY BAT KAR K CLOSED KI HAY COMPLAINT CLOSED','92','2021-07-18 17:04:55','2021-07-18 17:04:55');
INSERT INTO complaint_remarks VALUES('9448','7293','ISSUED NOT RESOLVED HIGH LIGHTED','74','2021-07-18 17:09:06','2021-07-18 17:09:06');
INSERT INTO complaint_remarks VALUES('9449','7311','ISSUED RESOLVED','74','2021-07-18 17:17:24','2021-07-18 17:17:24');
INSERT INTO complaint_remarks VALUES('9450','8058','COMPLAINT RESOLVED','74','2021-07-18 17:18:48','2021-07-18 17:18:48');
INSERT INTO complaint_remarks VALUES('9451','7322','NOT ATTENDING CALL','74','2021-07-18 17:19:43','2021-07-18 17:19:43');
INSERT INTO complaint_remarks VALUES('9452','7338','NOT ATTENDING CALL','74','2021-07-18 17:22:31','2021-07-18 17:22:31');
INSERT INTO complaint_remarks VALUES('9453','7783','CUSTOMER KO S/C KA NO PROVIDE KAR DEYA HAY S/C SAY LAY LAYN GAY CUSTOMER NEW REMOTE COMPLAINT CLOSED','92','2021-07-18 17:23:57','2021-07-18 17:23:57');
INSERT INTO complaint_remarks VALUES('9454','7778','VISIT TO DAY INFORM BY CUSTOMER','92','2021-07-18 17:26:47','2021-07-18 17:26:47');
INSERT INTO complaint_remarks VALUES('9455','7770','CUSTOMER KO AIR CURTAIN AUTO WALA CHAY THA BUT  SALE MAN NAY CUSTOMER KO AUTO K BAKHAR DAY DEYA THA HASSAN SIR KO B INFORM KAR DEYA HAY OR CUSTOMER KO B K ABI AUTO AIR CURTAIN STOCK MAY NAI HAY COMPLAINT CLOSED','92','2021-07-18 17:29:22','2021-07-18 17:29:22');
INSERT INTO complaint_remarks VALUES('9456','7762','COMPLAINT IN PROCESS PART ABI TAK NAI AY','92','2021-07-18 17:32:04','2021-07-18 17:32:04');
INSERT INTO complaint_remarks VALUES('9457','7345','reopen kradi ha','74','2021-07-18 17:33:02','2021-07-18 17:33:02');
INSERT INTO complaint_remarks VALUES('9458','7751','COMPLAINT RESOLVED','92','2021-07-18 17:35:41','2021-07-18 17:35:41');
INSERT INTO complaint_remarks VALUES('9459','7744','CUSTOMER NOT ATTEND CALL','92','2021-07-18 17:41:08','2021-07-18 17:41:08');
INSERT INTO complaint_remarks VALUES('9460','7379','not resoolved','74','2021-07-18 17:41:24','2021-07-18 17:41:24');
INSERT INTO complaint_remarks VALUES('9461','6526','COMPLAINT RESOLVED','74','2021-07-18 17:43:26','2021-07-18 17:43:26');
INSERT INTO complaint_remarks VALUES('9462','6533','COMPLAINT RESOLVED','74','2021-07-18 17:45:43','2021-07-18 17:45:43');
INSERT INTO complaint_remarks VALUES('9463','7499','ISSUED RESOLVED','74','2021-07-18 17:48:02','2021-07-18 17:48:02');
INSERT INTO complaint_remarks VALUES('9464','7498','NOT RESOLVED YET CUSTOMER KI TRF SA DELAY HA','74','2021-07-18 17:49:16','2021-07-18 17:49:16');
INSERT INTO complaint_remarks VALUES('9465','6539','CUSTOMER NA LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA LIYA COMPLAINT CLOSED','74','2021-07-18 17:49:35','2021-07-18 17:49:35');
INSERT INTO complaint_remarks VALUES('9466','7704','CUSTOMER KO S/C KA NO PROVIDE KAR DEYA HAY COMPLAINT CLOSED','92','2021-07-18 17:51:54','2021-07-18 17:51:54');
INSERT INTO complaint_remarks VALUES('9467','7487','ISSUED RESOLVED','74','2021-07-18 17:52:06','2021-07-18 17:52:06');
INSERT INTO complaint_remarks VALUES('9468','6513','COMPLAINT RESOLVED','74','2021-07-18 17:52:41','2021-07-18 17:52:41');
INSERT INTO complaint_remarks VALUES('9469','7461','ISSUED RESOLVED','74','2021-07-18 17:53:57','2021-07-18 17:53:57');
INSERT INTO complaint_remarks VALUES('9470','6548','COMPLAINT RESOLVED','74','2021-07-18 17:54:58','2021-07-18 17:54:58');
INSERT INTO complaint_remarks VALUES('9471','7532','ISSUED RESOLVED','74','2021-07-18 17:56:33','2021-07-18 17:56:33');
INSERT INTO complaint_remarks VALUES('9472','7744','NOT RESOLVED CUSTOMER KI BADAL SIR SA BT HO GI HA ABI CONFERMED NI HA KLL BTAYA JAI GA','74','2021-07-18 17:59:14','2021-07-18 17:59:14');
INSERT INTO complaint_remarks VALUES('9473','7723','CUSTOMER NOT ATTEND CALL','92','2021-07-18 18:04:44','2021-07-18 18:04:44');
INSERT INTO complaint_remarks VALUES('9474','8061','customer not attend call','92','2021-07-19 11:01:06','2021-07-19 11:01:06');
INSERT INTO complaint_remarks VALUES('9475','6884','COMPLAINT RESOLVED','92','2021-07-19 11:31:22','2021-07-19 11:31:22');
INSERT INTO complaint_remarks VALUES('9476','8061','VISIT TO DAY INFORM BY CUSTOMER','92','2021-07-19 11:35:38','2021-07-19 11:35:38');
INSERT INTO complaint_remarks VALUES('9477','8088','COMPLAINT RESOLVED','92','2021-07-19 11:36:04','2021-07-19 11:36:04');
INSERT INTO complaint_remarks VALUES('9478','7175','CUSTOMER KO KHUD PEL K S/C JA KAR PART PICK KARNA HAY CUSTOMER KO ADRESS B INFORM KAR DEYA HAY CUSTOMER AJ JA KAR PLATE PICK KAR LAY GAY','92','2021-07-19 12:09:42','2021-07-19 12:09:42');
INSERT INTO complaint_remarks VALUES('9479','7825','CUSTOMER KO UNIT S/C LANA HAY S/C NAY INFORM KAR DEYA HAY','92','2021-07-19 12:20:00','2021-07-19 12:20:00');
INSERT INTO complaint_remarks VALUES('9480','8068','ISSUED RESOLVED','74','2021-07-19 12:30:54','2021-07-19 12:30:54');
INSERT INTO complaint_remarks VALUES('9481','8069','ISSUED RESOLVED','74','2021-07-19 12:33:34','2021-07-19 12:33:34');
INSERT INTO complaint_remarks VALUES('9482','8070','CUSTOMER MOBILE NUMBER IS INCORRECT THATS WHY COMPLAINT CLOESED','74','2021-07-19 12:38:44','2021-07-19 12:38:44');
INSERT INTO complaint_remarks VALUES('9483','8071','ISSUED RESOLVED','74','2021-07-19 12:39:58','2021-07-19 12:39:58');
INSERT INTO complaint_remarks VALUES('9484','8074','ISSUED RESOLVED','74','2021-07-19 12:46:49','2021-07-19 12:46:49');
INSERT INTO complaint_remarks VALUES('9485','8076','ISSUED RESOLVED','74','2021-07-19 12:54:54','2021-07-19 12:54:54');
INSERT INTO complaint_remarks VALUES('9486','8084','COMPLAINT ATTEND HO GAE HAY WIFI ISSUE IN PROCESS COMPLAINT','92','2021-07-19 12:58:06','2021-07-19 12:58:06');
INSERT INTO complaint_remarks VALUES('9487','8081','COMPLAINT RESOLVED','92','2021-07-19 13:01:13','2021-07-19 13:01:13');
INSERT INTO complaint_remarks VALUES('9488','8079','COMPLAINT RESOLVED','92','2021-07-19 13:02:50','2021-07-19 13:02:50');
INSERT INTO complaint_remarks VALUES('9489','6625','COMPLAINT IN PROCESS','74','2021-07-19 13:03:05','2021-07-19 13:03:05');
INSERT INTO complaint_remarks VALUES('9490','8078','CUSTOMER  NOT ATTEND CALL','92','2021-07-19 13:04:14','2021-07-19 13:04:14');
INSERT INTO complaint_remarks VALUES('9491','8078','NOT ATTENDING','74','2021-07-19 13:06:28','2021-07-19 13:06:28');
INSERT INTO complaint_remarks VALUES('9492','8067','SIR NOT ATTEND CALL','92','2021-07-19 13:10:58','2021-07-19 13:10:58');
INSERT INTO complaint_remarks VALUES('9493','8066','CUSTOMER SAY BAT HUAI HAY CUSTOMER NAY COMPLAINT CANCEL KARWA DE HAY COMPLAINT CLOSED','92','2021-07-19 13:19:41','2021-07-19 13:19:41');
INSERT INTO complaint_remarks VALUES('9494','8061','CUSTOMER KI TECHNICIAN SA BAT KAWA DI HAIN AJ ATTEND HO JAY GEI COMPLAINT','74','2021-07-19 13:27:15','2021-07-19 13:27:15');
INSERT INTO complaint_remarks VALUES('9495','8065','COMPLAINT RESOLVED','92','2021-07-19 13:27:26','2021-07-19 13:27:26');
INSERT INTO complaint_remarks VALUES('9496','8055','CUSTOMER NOT ATTEND CALL','92','2021-07-19 13:34:49','2021-07-19 13:34:49');
INSERT INTO complaint_remarks VALUES('9497','8096','TECHNISION NUMBER #0514906368','74','2021-07-19 13:35:52','2021-07-19 13:35:52');
INSERT INTO complaint_remarks VALUES('9498','7971','COMPLAINT RESOLVED','92','2021-07-19 13:38:33','2021-07-19 13:38:33');
INSERT INTO complaint_remarks VALUES('9499','7549','ISSUED RESOLVED','74','2021-07-19 13:39:52','2021-07-19 13:39:52');
INSERT INTO complaint_remarks VALUES('9500','7550','NOT ATTENDING CALL','74','2021-07-19 13:42:54','2021-07-19 13:42:54');
INSERT INTO complaint_remarks VALUES('9501','8048','CUSTOMER STILL NOT ATTEND CALL','92','2021-07-19 13:44:39','2021-07-19 13:44:39');
INSERT INTO complaint_remarks VALUES('9502','7551','COMPLAINT HIGHLIGHTED KRA DI HA COMPANY SA DOBARA VISIT HOGA','74','2021-07-19 13:52:58','2021-07-19 13:52:58');
INSERT INTO complaint_remarks VALUES('9503','7812','CUSTOMER NOT ATTEND CALL','92','2021-07-19 13:55:08','2021-07-19 13:55:08');
INSERT INTO complaint_remarks VALUES('9504','7811','COMPRESSOR ISSUE  COMPRESSOR STOCK MAY NAI HAY COMPANY K CUSTOMER KO B INFORM KAR DEYA HAY COMPLAINT IN PROCESS','92','2021-07-19 14:02:19','2021-07-19 14:02:19');
INSERT INTO complaint_remarks VALUES('9505','7810','COMPLAINT ATTEND HO GAE HAY TACTION FAULT HAY AC ADIL HOME SOLUTION SIR NAY INSTAL KEYA HAY AC UNIT OK HAY IS MAY KOI ISSUE NAI HAY INSTALLATION FAULT HAY','92','2021-07-19 14:07:16','2021-07-19 14:07:16');
INSERT INTO complaint_remarks VALUES('9506','7557','NOT ATTENDING','74','2021-07-19 14:09:00','2021-07-19 14:09:00');
INSERT INTO complaint_remarks VALUES('9507','7617','COMPLAINT RESOLVED','92','2021-07-19 14:12:32','2021-07-19 14:12:32');
INSERT INTO complaint_remarks VALUES('9508','7580','NOT ATTENDING CALL','74','2021-07-19 14:13:11','2021-07-19 14:13:11');
INSERT INTO complaint_remarks VALUES('9509','7594','COMPLAINT RESOLVED','92','2021-07-19 14:28:41','2021-07-19 14:28:41');
INSERT INTO complaint_remarks VALUES('9510','7584','COMPLAINT RESOLVED','92','2021-07-19 14:30:44','2021-07-19 14:30:44');
INSERT INTO complaint_remarks VALUES('9511','8121','COMPLAINT REOPEN KRADI HA','74','2021-07-19 14:36:32','2021-07-19 14:36:32');
INSERT INTO complaint_remarks VALUES('9512','7580','CUSTOMER STILL NOT ATTEND CALL','92','2021-07-19 14:36:37','2021-07-19 14:36:37');
INSERT INTO complaint_remarks VALUES('9513','8103','REF CHOOK PROB HAIN CUSTOMER KO TAUQEER SAB K NO B PROVIDE KAR DIA ZAFAR SAB KO COMPLAINT# B SHER KAR DIA ASLAM SIR&TAHA SOHAIL SAB KO B INFORMED KAR DIA','74','2021-07-19 14:38:16','2021-07-19 14:38:16');
INSERT INTO complaint_remarks VALUES('9514','7535','INDOOR ICE ISSUE S/C NAY MALE KAR DE HAY HEAD OFFICE EID K BAD AGAIN VISIT HO GA COMPLAINT IN PROCESS','92','2021-07-19 14:44:49','2021-07-19 14:44:49');
INSERT INTO complaint_remarks VALUES('9515','8007','ISSUED EID K BAD RESOLVED HO GA TECHNISION NA VISIT KIA WIND MOTOR KA ISSUE HA RESOLVED HO JAI GA','74','2021-07-19 14:53:48','2021-07-19 14:53:48');
INSERT INTO complaint_remarks VALUES('9516','8009','ISSUED NOT SOLVED CUSTOMER OUT OF STAION HA DOBARA REOPEN KARAI GA EID K BAD','74','2021-07-19 14:55:48','2021-07-19 14:55:48');
INSERT INTO complaint_remarks VALUES('9517','7521','CUSTOMER ABI AGREE NAI HAY COMPLAINT ATTEND KARWANAY MAY COMPLAINT CLOSED','92','2021-07-19 14:58:36','2021-07-19 14:58:36');
INSERT INTO complaint_remarks VALUES('9518','8022','ISSUED RESOLVED','74','2021-07-19 14:59:16','2021-07-19 14:59:16');
INSERT INTO complaint_remarks VALUES('9519','8029','CUSTOMER OUT OF STATION HA EID BAD DOBARA COMPLAINT REOPEN KRAI GA','74','2021-07-19 15:02:22','2021-07-19 15:02:22');
INSERT INTO complaint_remarks VALUES('9520','7519','CALL AYI THI TACTION KI COMPLAINT ATTEND NAI HUAI','92','2021-07-19 15:03:21','2021-07-19 15:03:21');
INSERT INTO complaint_remarks VALUES('9521','7519','EID K BAD DOOR CHANGE HO GA INFORM BY CUSTOMER','92','2021-07-19 15:05:19','2021-07-19 15:05:19');
INSERT INTO complaint_remarks VALUES('9522','7684','WASEEM  03369907307 TECHNICIAN K PASS HAIN COMPLAINT  ATEND HAIN','74','2021-07-19 15:08:03','2021-07-19 15:08:03');
INSERT INTO complaint_remarks VALUES('9523','7518','CUSTOMER NOT ATTEND CALL','92','2021-07-19 15:08:22','2021-07-19 15:08:22');
INSERT INTO complaint_remarks VALUES('9524','7516','CUSTOMER NAY LOCAL TACTION SAY COMPLAINT RESOLVED KARWA LE HAY COMPLAINT RESOLVED','92','2021-07-19 15:10:06','2021-07-19 15:10:06');
INSERT INTO complaint_remarks VALUES('9525','7885','COMPLAINT RESOLVED','92','2021-07-19 15:15:19','2021-07-19 15:15:19');
INSERT INTO complaint_remarks VALUES('9526','8048','ISSUED RESOLVED','74','2021-07-19 15:18:20','2021-07-19 15:18:20');
INSERT INTO complaint_remarks VALUES('9527','7684','INFORMED BY TARIQ','74','2021-07-19 15:18:43','2021-07-19 15:18:43');
INSERT INTO complaint_remarks VALUES('9528','7684','CUSTOMER KO B TECHNICIAN KA NO PROVIDE KAR DIA HAIN','74','2021-07-19 15:20:49','2021-07-19 15:20:49');
INSERT INTO complaint_remarks VALUES('9529','8055','NOT ATTENDING CALL','74','2021-07-19 15:22:53','2021-07-19 15:22:53');
INSERT INTO complaint_remarks VALUES('9530','8055','COMPLAINT RESOLVED','92','2021-07-19 15:28:49','2021-07-19 15:28:49');
INSERT INTO complaint_remarks VALUES('9531','7884','COMPLAINT RESOLVED','92','2021-07-19 15:45:34','2021-07-19 15:45:34');
INSERT INTO complaint_remarks VALUES('9532','6630','NAEEM KENWOOD KO AGAIN ADD & CELL NO SHER KAR DIA HAIN  AGAIN VISIT K LIYA','74','2021-07-19 15:52:36','2021-07-19 15:52:36');
INSERT INTO complaint_remarks VALUES('9533','6630','OVER COOLING& DOOR PROB K ISSUE AARHA AB','74','2021-07-19 15:53:02','2021-07-19 15:53:02');
INSERT INTO complaint_remarks VALUES('9534','6540','SIR NOT ATTEND CALL','92','2021-07-19 16:08:52','2021-07-19 16:08:52');
INSERT INTO complaint_remarks VALUES('9535','6940','COMPLAINT REOPEN KRDI HA COMPANY SA DOBARA VISIT HO GA','74','2021-07-19 16:20:22','2021-07-19 16:20:22');
INSERT INTO complaint_remarks VALUES('9536','6997','PROCESS','74','2021-07-19 16:21:47','2021-07-19 16:21:47');
INSERT INTO complaint_remarks VALUES('9537','7042','UNDER PROCESS','74','2021-07-19 16:22:29','2021-07-19 16:22:29');
INSERT INTO complaint_remarks VALUES('9538','7042','UNDER PROCESS','74','2021-07-19 16:22:30','2021-07-19 16:22:30');
INSERT INTO complaint_remarks VALUES('9539','7338','COMPLAINT ATTEND HO GAE HAY UNIT S/C LIFT HO GA EID K BAD COMPLAINT IN PROCESS','92','2021-07-19 16:23:51','2021-07-19 16:23:51');
INSERT INTO complaint_remarks VALUES('9540','6714','ISSUED RESOLVED','74','2021-07-19 16:24:49','2021-07-19 16:24:49');
INSERT INTO complaint_remarks VALUES('9541','7303','CUSTOMER NOT ATTEND CALL','92','2021-07-19 16:29:20','2021-07-19 16:29:20');
INSERT INTO complaint_remarks VALUES('9542','6118','ISSUED RESOLVED HA BILLAL SB SA POUCH KR CLOSE HO RI','74','2021-07-19 16:40:26','2021-07-19 16:40:26');
INSERT INTO complaint_remarks VALUES('9543','7055','COMPLAINT RESOLVED','92','2021-07-19 16:42:37','2021-07-19 16:42:37');
INSERT INTO complaint_remarks VALUES('9544','6154','ISSUED NOT RESOLVED COMPANY KI TRF SA CLOSED HA','74','2021-07-19 16:43:00','2021-07-19 16:43:00');
INSERT INTO complaint_remarks VALUES('9545','7124','ISSUED HIGHLIGHTED SHOULD BE SOLVED','74','2021-07-19 16:52:48','2021-07-19 16:52:48');
INSERT INTO complaint_remarks VALUES('9546','8131','03179998680 ADNA TECHNICIAN NA YHA COMPLAINT ATTEND KAR LI HAIN 
FRIENDS INSTALL NA INSTALL KIYA HAIN 
OUT DOOR JOINT PA OLI AAYA HOA HAIN GAS LEAKAGE PROB','74','2021-07-19 17:02:25','2021-07-19 17:02:25');
INSERT INTO complaint_remarks VALUES('9547','7935','COMPRESSOR ISSUE THA ISSUE RESOLVED HO GAYA THA AB FAN ISSUE HAY COMPLAINT COMPANY MAY REOPEN KARWA DE HAY','92','2021-07-19 17:36:13','2021-07-19 17:36:13');
INSERT INTO complaint_remarks VALUES('9548','8115','03455088808 ADEEL 0514444582','92','2021-07-19 17:40:31','2021-07-19 17:40:31');
INSERT INTO complaint_remarks VALUES('9549','8115','03324747832 ASIF TACTION','92','2021-07-19 17:42:48','2021-07-19 17:42:48');
INSERT INTO complaint_remarks VALUES('9550','8197','COMPLAINT RESOLVED','92','2021-07-24 11:22:18','2021-07-24 11:22:18');
INSERT INTO complaint_remarks VALUES('9551','8188','CUSTOMER NOT ATTEND CALL','92','2021-07-24 11:29:03','2021-07-24 11:29:03');
INSERT INTO complaint_remarks VALUES('9552','8163','CUSTOMER NOT ATTEND CALL','92','2021-07-24 11:31:44','2021-07-24 11:31:44');
INSERT INTO complaint_remarks VALUES('9553','8095','CUSTOMER NOT ATTEND CALL','92','2021-07-24 11:36:56','2021-07-24 11:36:56');
INSERT INTO complaint_remarks VALUES('9554','8094','COMPLAINT RESOLVED','92','2021-07-24 11:42:06','2021-07-24 11:42:06');
INSERT INTO complaint_remarks VALUES('9555','6540','COMPLETED COMPLAINT','74','2021-07-24 11:46:02','2021-07-24 11:46:02');
INSERT INTO complaint_remarks VALUES('9556','8093','CUSTOMER NOT ATTEND CALL','92','2021-07-24 11:46:58','2021-07-24 11:46:58');
INSERT INTO complaint_remarks VALUES('9557','8093','COMPLAINT RESOLVED','74','2021-07-24 11:48:12','2021-07-24 11:48:12');
INSERT INTO complaint_remarks VALUES('9558','8107','CUSTOMER SA BT HO GEI HAIN UNIT REPLACE HO GAYA HAIN INFORMED BY KHURRAM SIR & B COOL','74','2021-07-24 12:10:39','2021-07-24 12:10:39');
INSERT INTO complaint_remarks VALUES('9559','6522','MAJ RABIA 03345472149','74','2021-07-24 12:15:07','2021-07-24 12:15:07');
INSERT INTO complaint_remarks VALUES('9560','7013','COMPLAINT RESOLVED','92','2021-07-24 12:21:00','2021-07-24 12:21:00');
INSERT INTO complaint_remarks VALUES('9561','7947','CUSTOMER NAY CALL ATTEND NAI KI COMPLAINT CLOSED HO GAE THI AGAIN S/C MAY REOPEN KARWA DE HAY COMPLAINT','92','2021-07-24 12:26:35','2021-07-24 12:26:35');
INSERT INTO complaint_remarks VALUES('9562','8180','COMPLAINT RESOLVED','92','2021-07-24 12:30:44','2021-07-24 12:30:44');
INSERT INTO complaint_remarks VALUES('9563','7043','COMPLAINT RESOLVED','92','2021-07-24 12:35:44','2021-07-24 12:35:44');
INSERT INTO complaint_remarks VALUES('9564','7042','COMPLAINT ATTEND HO GAE HAY LOCK ISSUE DOOR CHANGE HO GA COMPLAINT IN PROCESS','92','2021-07-24 12:36:51','2021-07-24 12:36:51');
INSERT INTO complaint_remarks VALUES('9565','7002','CUSTOMER KO TACTION KI CALL AYI THI BUT CUSTOMER CUSTOMER GHAR PAR NAI THAY COMPANY MAY REOPEN KARWA DE HAY COMPLAINT','92','2021-07-24 12:43:17','2021-07-24 12:43:17');
INSERT INTO complaint_remarks VALUES('9566','8102','CUSTOMER NOT ATTEND CALL','92','2021-07-24 13:04:23','2021-07-24 13:04:23');
INSERT INTO complaint_remarks VALUES('9567','8100','COMPLAINT RESOLVED','92','2021-07-24 13:19:59','2021-07-24 13:19:59');
INSERT INTO complaint_remarks VALUES('9568','8124','COMPLAINT RESOLVED','92','2021-07-24 13:21:12','2021-07-24 13:21:12');
INSERT INTO complaint_remarks VALUES('9569','8133','CUSTOMER NAY COMPLAINT CANCEL KARWA DE HAY COMPLAINT CLOSED','92','2021-07-24 13:24:22','2021-07-24 13:24:22');
INSERT INTO complaint_remarks VALUES('9570','8138','COMPLAINT RESOLVED','92','2021-07-24 13:26:12','2021-07-24 13:26:12');
INSERT INTO complaint_remarks VALUES('9571','8139','CUSTOMER NOT ATTEND CALL','92','2021-07-24 13:29:41','2021-07-24 13:29:41');
INSERT INTO complaint_remarks VALUES('9572','8132','COMPLAINT RESOLVED','92','2021-07-24 13:30:36','2021-07-24 13:30:36');
INSERT INTO complaint_remarks VALUES('9573','8145','MONDAY KO VISIT HO GA INFORM BY CUSTOMER','92','2021-07-24 13:32:59','2021-07-24 13:32:59');
INSERT INTO complaint_remarks VALUES('9574','8121','COMPLAINT RESOLVED','92','2021-07-24 13:34:33','2021-07-24 13:34:33');
INSERT INTO complaint_remarks VALUES('9575','8120','COMPLAINT RESOLVED','92','2021-07-24 13:36:51','2021-07-24 13:36:51');
INSERT INTO complaint_remarks VALUES('9576','6522','EID SA 2 DIN PHALAY VISIT HO GAY HAIN BUT ABI B ISSUE RESOLVE NI HOA BABAR SIR NA CUSTOMER SA INSTALLATION DATE K DOCUMENT REQUIRED KIYA','74','2021-07-24 13:37:08','2021-07-24 13:37:08');
INSERT INTO complaint_remarks VALUES('9577','8207','COSTUMER NE KHUD COMPLAINT 12-JUL KO KARWAI HA... VISIT B HOGYA HA LED DEAD HA OR SERVICE CENTRE LE KR ANAY KA BOLA HA','73','2021-07-24 13:37:19','2021-07-24 13:37:19');
INSERT INTO complaint_remarks VALUES('9578','8207','LED SERVICE CENTRE JAE GI..','73','2021-07-24 13:37:44','2021-07-24 13:37:44');
INSERT INTO complaint_remarks VALUES('9579','6114','PART AAGAY HAIN MONDAY KA TIME DIA CUSTOMER GAO CHALI GEI THI SUNDAY KO WAPISE AAY GEI','74','2021-07-24 13:39:59','2021-07-24 13:39:59');
INSERT INTO complaint_remarks VALUES('9580','8151','CUSTOMER NOT ATTEND CALL','92','2021-07-24 13:42:21','2021-07-24 13:42:21');
INSERT INTO complaint_remarks VALUES('9581','8119','COMPLAINT RESOLVED','92','2021-07-24 13:43:57','2021-07-24 13:43:57');
INSERT INTO complaint_remarks VALUES('9582','8152','COMPLAINT RESOLVED','92','2021-07-24 13:46:41','2021-07-24 13:46:41');
INSERT INTO complaint_remarks VALUES('9583','8139','COMPLAINT ATTEND HO GAE HAY OUTDOOR ISSUE RESOLVED NAI HUA COMPLAINT IN PROCESS','92','2021-07-24 13:51:11','2021-07-24 13:51:11');
INSERT INTO complaint_remarks VALUES('9584','8116','COMPLAINT RESOLVED','92','2021-07-24 13:58:05','2021-07-24 13:58:05');
INSERT INTO complaint_remarks VALUES('9585','8115','CUSTOMER NOT ATTEND CALL','92','2021-07-24 14:02:08','2021-07-24 14:02:08');
INSERT INTO complaint_remarks VALUES('9586','8155','CUSTOMER NOT ATTEND CALL','92','2021-07-24 14:05:02','2021-07-24 14:05:02');
INSERT INTO complaint_remarks VALUES('9587','8087','CUSTOMER NAY COMPLAINT CANCEL KARWA DE HAY COMPLAINT CLOSED','92','2021-07-24 14:06:55','2021-07-24 14:06:55');
INSERT INTO complaint_remarks VALUES('9588','8086','NOT ATTEND CALL','92','2021-07-24 14:08:38','2021-07-24 14:08:38');
INSERT INTO complaint_remarks VALUES('9589','8078','COMPLAINT RESOLVED','92','2021-07-24 14:09:45','2021-07-24 14:09:45');
INSERT INTO complaint_remarks VALUES('9590','8032','COMPLAINT RESOLVED','92','2021-07-24 14:13:03','2021-07-24 14:13:03');
INSERT INTO complaint_remarks VALUES('9591','7951','CUSTOMER STILL NOT ATTEND CALL','92','2021-07-24 14:27:43','2021-07-24 14:27:43');
INSERT INTO complaint_remarks VALUES('9592','7778','CUSTOMER NOT ATTEND CALL','92','2021-07-24 14:38:21','2021-07-24 14:38:21');
INSERT INTO complaint_remarks VALUES('9593','7742','COMPLAINT RESOLVED','92','2021-07-24 14:40:03','2021-07-24 14:40:03');
INSERT INTO complaint_remarks VALUES('9594','7738','CUSTOMER SAY BAT HUAI HAY W/D SHOWROOM PAR HAY SHAHZAD SIR K PASS','92','2021-07-24 14:43:21','2021-07-24 14:43:21');
INSERT INTO complaint_remarks VALUES('9595','7725','COMPLAINT RESOLVED','92','2021-07-24 14:44:50','2021-07-24 14:44:50');
INSERT INTO complaint_remarks VALUES('9596','7703','PART ISSUE COMPLAINT IN PROCESS','92','2021-07-24 14:46:17','2021-07-24 14:46:17');
INSERT INTO complaint_remarks VALUES('9597','8112','COMPLAINT ATTEND HO GAE HAY GAS ISSUE HAY COMPLAINT IN PROCESS','92','2021-07-24 15:07:45','2021-07-24 15:07:45');
INSERT INTO complaint_remarks VALUES('9598','6728','CUSTOMER STILL NOT ATTEND CALL','92','2021-07-24 15:09:51','2021-07-24 15:09:51');
INSERT INTO complaint_remarks VALUES('9599','8156','CUSTOMER NOT ATTEND CALL','92','2021-07-24 15:16:48','2021-07-24 15:16:48');
INSERT INTO complaint_remarks VALUES('9600','7184','CARD ISSUE COMPLAINT IN PROCESS','92','2021-07-24 15:18:36','2021-07-24 15:18:36');
INSERT INTO complaint_remarks VALUES('9601','7175','MONDAY KO OVEN KI PLATE DELIVER HO GE CUSTOMER K GHAR IN PROCESS COMPLAINT','92','2021-07-24 15:25:45','2021-07-24 15:25:45');
INSERT INTO complaint_remarks VALUES('9602','7497','COMPANY KI TRAF SAY COMPLAINT CLOSED HO GAE HAY AGAIN S/C MAY REMINDER DAY DEYA HAY MONDAY KO AGAIN VISIT HAY INFORM BY CUSTOMER','92','2021-07-24 15:40:30','2021-07-24 15:40:30');
INSERT INTO complaint_remarks VALUES('9603','5902','CUSTOMER SIDE SA COMPLAINT DELAY HAIN KHUD S/C LA K JANA HAIN S/C COMPLAINT CLOSED','74','2021-07-24 15:43:34','2021-07-24 15:43:34');
INSERT INTO complaint_remarks VALUES('9604','7515','CUSTOMER NAY LOCAL TACTION SAY ISSUE RESOLVED KARWA LEYA HAY COMPLAINT CLOSED','92','2021-07-24 15:47:53','2021-07-24 15:47:53');
INSERT INTO complaint_remarks VALUES('9605','6512','MONDAY KO CUSTOMER L K JAY GAY','74','2021-07-24 15:48:15','2021-07-24 15:48:15');
INSERT INTO complaint_remarks VALUES('9606','6349','CUSTOMER SIDE SA COMPLAINT DELAY NOT ATTEND CALL SO COMPLAINT CLOSED','74','2021-07-24 15:52:18','2021-07-24 15:52:18');
INSERT INTO complaint_remarks VALUES('9607','6290','COMPLAINT RESOLVED','74','2021-07-24 15:54:15','2021-07-24 15:54:15');
INSERT INTO complaint_remarks VALUES('9608','6111','COMPLAINT RESOLVED','74','2021-07-24 15:56:48','2021-07-24 15:56:48');
INSERT INTO complaint_remarks VALUES('9609','7999','UNIT ABI B S/C MAY HAY COMPLAINT IN PROCESS','92','2021-07-24 15:58:52','2021-07-24 15:58:52');
INSERT INTO complaint_remarks VALUES('9610','8090','TACTION KI CALL AYI THI VISIT NAI HUA MONDAY KO VISIT HO GA INFORM BY CUSTOMER','92','2021-07-24 16:02:48','2021-07-24 16:02:48');
INSERT INTO complaint_remarks VALUES('9611','8231','COSTUMER NE COMPLAINT KHUD COMPANY MEIN LAUNCH KARWAI THI... ISSUE SOLVED NAHI HOWA SAME COMPLAINT PE REMINDER FORWARD KARWA DIA','73','2021-07-24 16:03:35','2021-07-24 16:03:35');
INSERT INTO complaint_remarks VALUES('9612','8092','CUSTOMER NOT ATTEND CALL','92','2021-07-24 16:07:09','2021-07-24 16:07:09');
INSERT INTO complaint_remarks VALUES('9613','8147','03157655568  03169000452 SHAMAS OTHER MOBILE NO','92','2021-07-24 16:11:40','2021-07-24 16:11:40');
INSERT INTO complaint_remarks VALUES('9614','8147','COMPLAINT ATTEND HO GAE HAY CUSTOMER NAY UNIT S/C LIFT KARWANA HAY COMPLAINT IN PROCESS','92','2021-07-24 16:13:58','2021-07-24 16:13:58');
INSERT INTO complaint_remarks VALUES('9615','6795','COMPLAINT RESOLVED','92','2021-07-24 16:17:19','2021-07-24 16:17:19');
INSERT INTO complaint_remarks VALUES('9616','6973','CUSTOMER NOT ATTEND CALL','92','2021-07-24 16:20:16','2021-07-24 16:20:16');
INSERT INTO complaint_remarks VALUES('9617','7119','CUSTOMER KO S/C KA NO PROVIDE KAR DEYA HAY ABI TAK UNIT LIFT NAI KEYA S/C COMPLAINT IN PROCESS','92','2021-07-24 16:28:15','2021-07-24 16:28:15');
INSERT INTO complaint_remarks VALUES('9618','7518','CUSTOMER NAY CALL ATTEND NAI KI COMPLAINT COMPANY KI TARAF SAY CLOSED HO GAE HAY','92','2021-07-24 16:35:18','2021-07-24 16:35:18');
INSERT INTO complaint_remarks VALUES('9619','7557','CUSTOMER NOT ATTEND CALL','92','2021-07-24 16:42:03','2021-07-24 16:42:03');
INSERT INTO complaint_remarks VALUES('9620','7580','NOT ATTEND CALL','92','2021-07-24 16:44:38','2021-07-24 16:44:38');
INSERT INTO complaint_remarks VALUES('9621','7686','COMPLAINT RESOLVED','92','2021-07-24 16:49:08','2021-07-24 16:49:08');
INSERT INTO complaint_remarks VALUES('9622','7759','TACTION NAY CALL KI THI BUT CUSTOMER NOT ATTEND CALL COMPANY MAY AGAIN REMINDER DAY DEYA HAY MONDAY KO VISIT HO GA IN FORM BY CUSTOMER','92','2021-07-24 16:58:40','2021-07-24 16:58:40');
INSERT INTO complaint_remarks VALUES('9623','7812','IN PROCESS COMPLAINT','92','2021-07-24 17:03:52','2021-07-24 17:03:52');
INSERT INTO complaint_remarks VALUES('9624','7939','CARD ISSUE THA OUT OFF WARRANTY COMPLAINT THI CUSTOMER NAY CANCEL KARWA DE HAY COMPLAINT COMPLAINT CLOSED','92','2021-07-24 17:08:45','2021-07-24 17:08:45');
INSERT INTO complaint_remarks VALUES('9625','8151','COMPLAINT RESOLVED','92','2021-07-25 11:01:57','2021-07-25 11:01:57');
INSERT INTO complaint_remarks VALUES('9626','8150','CUSTOMER NOT ATTEND CALL','92','2021-07-25 11:06:12','2021-07-25 11:06:12');
INSERT INTO complaint_remarks VALUES('9627','8149','CUSTOMER NOT ATTEND CALL','92','2021-07-25 11:07:56','2021-07-25 11:07:56');
INSERT INTO complaint_remarks VALUES('9628','8148','CUSTOMER NOT ATTEND CALL','92','2021-07-25 11:10:33','2021-07-25 11:10:33');
INSERT INTO complaint_remarks VALUES('9629','8143','VISIT TO MONDAY INFORM BY CUSTOMER','92','2021-07-25 11:14:44','2021-07-25 11:14:44');
INSERT INTO complaint_remarks VALUES('9630','8141','COMPLAINT ATTEND HO GAE HAY BUT ISSUE RESOLVED NAI HUA COMPLAINT IN PROCESS','92','2021-07-25 11:18:12','2021-07-25 11:18:12');
INSERT INTO complaint_remarks VALUES('9631','8091','VISIT HOGYA THA ... DOBARA ISSUE AGYA HA ,, COMPANY MEIN LAUNCH KARWA DI HA','73','2021-07-25 11:18:49','2021-07-25 11:18:49');
INSERT INTO complaint_remarks VALUES('9632','8091','COMPLAINT#ISB-13483','73','2021-07-25 11:19:08','2021-07-25 11:19:08');
INSERT INTO complaint_remarks VALUES('9633','6842','CUSTOMER NOT ATTEND CALL','92','2021-07-25 11:23:16','2021-07-25 11:23:16');
INSERT INTO complaint_remarks VALUES('9634','8134','CUSTOMER ABI GHAR PAR NAI HAY 03 DIN K BAD AYN GAY COMPLAINT IN PROCESS','92','2021-07-25 11:25:52','2021-07-25 11:25:52');
INSERT INTO complaint_remarks VALUES('9635','8129','CUSTOMER NOT ATTEND CALL','92','2021-07-25 11:29:19','2021-07-25 11:29:19');
INSERT INTO complaint_remarks VALUES('9636','8123','CUSTOMER NOT ATTEND CALL','92','2021-07-25 11:32:39','2021-07-25 11:32:39');
INSERT INTO complaint_remarks VALUES('9637','8118','COMPLAINT RESOLVED','92','2021-07-25 11:35:23','2021-07-25 11:35:23');
INSERT INTO complaint_remarks VALUES('9638','8134','COMPLAINT CLOSED','92','2021-07-25 11:36:52','2021-07-25 11:36:52');
INSERT INTO complaint_remarks VALUES('9639','8115','COMPLAINT RESOLVED','92','2021-07-25 12:28:30','2021-07-25 12:28:30');
INSERT INTO complaint_remarks VALUES('9640','8114','COMPLAINT RESOLVED','92','2021-07-25 12:33:02','2021-07-25 12:33:02');
INSERT INTO complaint_remarks VALUES('9641','8113','COMPLAINT RESOLVED','92','2021-07-25 12:35:18','2021-07-25 12:35:18');
INSERT INTO complaint_remarks VALUES('9642','8123','COMPLAINT ATTEND HO GAE HAY CUSTOMER KO UNIT S/C LANA HAY KAL LAY KAR AY GAY CUSTOMER UNIT S/C','92','2021-07-25 12:38:02','2021-07-25 12:38:02');
INSERT INTO complaint_remarks VALUES('9643','8129','COMPLAINT RESOLVED','92','2021-07-25 12:39:30','2021-07-25 12:39:30');
INSERT INTO complaint_remarks VALUES('9644','8148','NOT VISIT TO COMPLAINT VISIT TO MONDAY','92','2021-07-25 12:44:51','2021-07-25 12:44:51');
INSERT INTO complaint_remarks VALUES('9645','8104','COMPLAINT RESOLVED','92','2021-07-25 13:00:10','2021-07-25 13:00:10');
INSERT INTO complaint_remarks VALUES('9646','8098','COMPLAINT RESOLVED','92','2021-07-25 13:02:33','2021-07-25 13:02:33');
INSERT INTO complaint_remarks VALUES('9647','8096','COMPLAINT ATTEND HO GAE HAY COMPLAINT IN PROCESS','92','2021-07-25 13:05:59','2021-07-25 13:05:59');
INSERT INTO complaint_remarks VALUES('9648','8077','TACTION KI CALL AY GAE HAY AJ ATTEND HO GE COMPLAINT','92','2021-07-25 13:16:18','2021-07-25 13:16:18');
INSERT INTO complaint_remarks VALUES('9649','8073','CUSTOMER NOT ATTEND CALL','92','2021-07-25 13:19:07','2021-07-25 13:19:07');
INSERT INTO complaint_remarks VALUES('9650','8033','CUSTOMER NOT ATTEND CALL','92','2021-07-25 13:21:29','2021-07-25 13:21:29');
INSERT INTO complaint_remarks VALUES('9651','7985','DOOR ISSUE DOOR REPLACE HO GA IN PROCESS COMPLAINT','92','2021-07-25 13:30:38','2021-07-25 13:30:38');
INSERT INTO complaint_remarks VALUES('9652','7956','CUSTOMER NOT ATTEND CALL','92','2021-07-25 13:47:43','2021-07-25 13:47:43');
INSERT INTO complaint_remarks VALUES('9653','8266','COSTUMER NE COMPLAINT COMPANY MEIN KHUD LAUNCH KARWAI HOI HA...','73','2021-07-25 13:48:01','2021-07-25 13:48:01');
INSERT INTO complaint_remarks VALUES('9654','7951','COMPLAINT RESOLVED','92','2021-07-25 13:51:40','2021-07-25 13:51:40');
INSERT INTO complaint_remarks VALUES('9655','7956','COMPLAINT ATTEND HO GAE HAY UNIT S/C MAY HAY COMPLAINT IN PROCESS','92','2021-07-25 13:53:25','2021-07-25 13:53:25');
INSERT INTO complaint_remarks VALUES('9656','7871','CUSTOMER SAY BAT KAR K COMPLAINT CLOSED KI HAY','92','2021-07-25 13:58:54','2021-07-25 13:58:54');
INSERT INTO complaint_remarks VALUES('9657','7810','COMPLAINT CLOSED','92','2021-07-25 14:11:19','2021-07-25 14:11:19');
INSERT INTO complaint_remarks VALUES('9658','8073','COMPLAINT RESOLVED','92','2021-07-25 14:19:16','2021-07-25 14:19:16');
INSERT INTO complaint_remarks VALUES('9659','7667','CUSTOMER NOT ATTEND CALL','92','2021-07-25 14:39:01','2021-07-25 14:39:01');
INSERT INTO complaint_remarks VALUES('9660','7651','COMPLAINT RESOLVED','92','2021-07-25 14:41:02','2021-07-25 14:41:02');
INSERT INTO complaint_remarks VALUES('9661','7644','COMPLAINT RESOLVED','92','2021-07-25 14:47:14','2021-07-25 14:47:14');
INSERT INTO complaint_remarks VALUES('9662','7580','CUSTOMER STILL NOT ATTEND CALL SHEHZAD BAHRIA SIR KO INFORM KAR DEYA HAY','92','2021-07-25 14:59:32','2021-07-25 14:59:32');
INSERT INTO complaint_remarks VALUES('9663','7557','VISIT TO MONDAY INFORM BY CUSTOMER','92','2021-07-25 15:06:23','2021-07-25 15:06:23');
INSERT INTO complaint_remarks VALUES('9664','7550','CUSTOMER SAY BAT HUAI HAY CUSTOMER NAY LED S/C LAY KAR JANI HAY JAB JAY GAY TAB CUSTOMER IN FORM KAR DAY GAY SO COMPLAINT CLOSED','92','2021-07-25 15:12:15','2021-07-25 15:12:15');
INSERT INTO complaint_remarks VALUES('9665','7513','COMPLAINT RESOLVED','92','2021-07-25 15:21:08','2021-07-25 15:21:08');
INSERT INTO complaint_remarks VALUES('9666','7507','CUSTOMER NOT ATTEND CALL','92','2021-07-25 15:43:39','2021-07-25 15:43:39');
INSERT INTO complaint_remarks VALUES('9667','7507','CUSTOMER CALL ATTEND NAI KAR RAHY HAY YASIR SIR KO B INFORM KAR DEYA HAY OUT OFF WARRANTY COMPLAINT HAY SO COMPLAINT CLOSED','92','2021-07-25 15:48:36','2021-07-25 15:48:36');
INSERT INTO complaint_remarks VALUES('9668','7494','COMPLAINT CLOSED','92','2021-07-25 15:53:45','2021-07-25 15:53:45');
INSERT INTO complaint_remarks VALUES('9669','7462','COMPLAINT RESOLVED','92','2021-07-25 16:03:51','2021-07-25 16:03:51');
INSERT INTO complaint_remarks VALUES('9670','7447','COMPLAINT CLOSED','92','2021-07-25 16:08:33','2021-07-25 16:08:33');
INSERT INTO complaint_remarks VALUES('9671','7439','COMPLAINT RESOLVED','92','2021-07-25 16:11:17','2021-07-25 16:11:17');
INSERT INTO complaint_remarks VALUES('9672','7418','CUSTOMER NOT ATTEND CALL','92','2021-07-25 16:12:51','2021-07-25 16:12:51');
INSERT INTO complaint_remarks VALUES('9673','7392','CUSTOMER NOT ATTEND CALL','92','2021-07-25 16:19:21','2021-07-25 16:19:21');
INSERT INTO complaint_remarks VALUES('9674','7345','COMPLAINT RESOLVED','92','2021-07-25 16:21:24','2021-07-25 16:21:24');
INSERT INTO complaint_remarks VALUES('9675','7303','COMPLAINT RESOLVED','92','2021-07-25 16:28:37','2021-07-25 16:28:37');
INSERT INTO complaint_remarks VALUES('9676','7294','CUSTOMER KI W/D KI COMPLAINT HAY JO ABI TAK ATTEND NAI HUAI COMPLAINT IN PROCESS','92','2021-07-25 16:36:02','2021-07-25 16:36:02');
INSERT INTO complaint_remarks VALUES('9677','7264','COMPLAINT RESOLVED','92','2021-07-25 16:38:41','2021-07-25 16:38:41');
INSERT INTO complaint_remarks VALUES('9678','7224','COMPLAINT CLOSED','92','2021-07-25 16:46:07','2021-07-25 16:46:07');
INSERT INTO complaint_remarks VALUES('9679','8235','03179998681 shanawaz TACTION','92','2021-07-26 11:11:37','2021-07-26 11:11:37');
INSERT INTO complaint_remarks VALUES('9680','8131','sadiq sir attend karai g complaint','74','2021-07-26 11:19:42','2021-07-26 11:19:42');
INSERT INTO complaint_remarks VALUES('9681','8137','not attend call','74','2021-07-26 11:27:34','2021-07-26 11:27:34');
INSERT INTO complaint_remarks VALUES('9682','7992','ISSUE ABI TK RESOLVED NI HUA TECHNISION RBTA MA AJ YA KL VISIT DOBARA HO GA','74','2021-07-26 11:35:10','2021-07-26 11:35:10');
INSERT INTO complaint_remarks VALUES('9683','8051','COMPLAINT RESOLVED','74','2021-07-26 11:39:03','2021-07-26 11:39:03');
INSERT INTO complaint_remarks VALUES('9684','6976','CUSTOMER SAY BAT HO GAE HAY USMAN SUPER WISER KA NO B PROVIDE KAR DEYA HAY CUSTOMER KO','92','2021-07-26 11:39:54','2021-07-26 11:39:54');
INSERT INTO complaint_remarks VALUES('9685','7998','COMPLAINT REOPEN KRADI HA','74','2021-07-26 11:46:30','2021-07-26 11:46:30');
INSERT INTO complaint_remarks VALUES('9686','6656','CUSTOMER CALL ATTEND NI KAR RAHAY THA IC WAJA SA COMPLAINT PENDING AJ BT HOI HAIN CUSTOMER SA COMPLAINT AGAIN REOPEND KARWA DI','74','2021-07-26 11:47:51','2021-07-26 11:47:51');
INSERT INTO complaint_remarks VALUES('9687','8000','ISSUED RESOLVED','74','2021-07-26 11:48:51','2021-07-26 11:48:51');
INSERT INTO complaint_remarks VALUES('9688','8007','TECHNISION KA NUM PROVIDE KRDIA GIA HA ISSUED NOT RESOLVED','74','2021-07-26 11:52:34','2021-07-26 11:52:34');
INSERT INTO complaint_remarks VALUES('9689','8266','03335884802 SHAHID TACTION','92','2021-07-26 11:53:41','2021-07-26 11:53:41');
INSERT INTO complaint_remarks VALUES('9690','8030','COMPLAINT REOPEN KRDI HA AJ YA KLL ATTEND HIO JAI GI','74','2021-07-26 11:58:58','2021-07-26 11:58:58');
INSERT INTO complaint_remarks VALUES('9691','8033','ISSUED RESOLVED','74','2021-07-26 12:01:17','2021-07-26 12:01:17');
INSERT INTO complaint_remarks VALUES('9692','8061','NOT ATTENDING CALL','74','2021-07-26 12:06:30','2021-07-26 12:06:30');
INSERT INTO complaint_remarks VALUES('9693','8072','ISSUED NI RESOLVED HUA','74','2021-07-26 12:13:18','2021-07-26 12:13:18');
INSERT INTO complaint_remarks VALUES('9694','8084','CUSTOMER OUT OF STATION HA TECHNISION RBTA MA HA CUSTOMER SA AIK YA DO DIN TK ISSUE RESOLVED HO JAI GA','74','2021-07-26 12:16:27','2021-07-26 12:16:27');
INSERT INTO complaint_remarks VALUES('9695','6630','NAEEM SIR NA KAL AGAIN VISIT K TIME DIA HAIN','74','2021-07-26 12:19:20','2021-07-26 12:19:20');
INSERT INTO complaint_remarks VALUES('9696','8092','ISSUED RESOLVED','74','2021-07-26 12:22:55','2021-07-26 12:22:55');
INSERT INTO complaint_remarks VALUES('9697','8095','NOT ATTENDING CALL','74','2021-07-26 12:26:20','2021-07-26 12:26:20');
INSERT INTO complaint_remarks VALUES('9698','8101','ISSUED RESOLVED','74','2021-07-26 12:29:03','2021-07-26 12:29:03');
INSERT INTO complaint_remarks VALUES('9699','7918','LHE EHTSAHAM SIR KO VISIT K LIYA REMINDER DA DIA','74','2021-07-26 12:30:15','2021-07-26 12:30:15');
INSERT INTO complaint_remarks VALUES('9700','7187','COMPLAINT RESOLVED','92','2021-07-26 12:35:22','2021-07-26 12:35:22');
INSERT INTO complaint_remarks VALUES('9701','8102','UNIT MA GAS REFIL HONA WALI HA CUSTOMER WANT REPLACEMENT','74','2021-07-26 12:36:12','2021-07-26 12:36:12');
INSERT INTO complaint_remarks VALUES('9702','8105','NOT ATTENDING CALL','74','2021-07-26 12:42:11','2021-07-26 12:42:11');
INSERT INTO complaint_remarks VALUES('9703','7789','PART ISSUE ABI TK RESOLVED NIN HUA','74','2021-07-26 12:51:20','2021-07-26 12:51:20');
INSERT INTO complaint_remarks VALUES('9704','7182','COMPLAINT RESOLVED','92','2021-07-26 12:52:30','2021-07-26 12:52:30');
INSERT INTO complaint_remarks VALUES('9705','7805','CUSTOMER WANT REPLACEMENT GAS REFOL  KR K B ISSUED NI=OT RESOLVED','74','2021-07-26 12:54:53','2021-07-26 12:54:53');
INSERT INTO complaint_remarks VALUES('9706','7215','CUSTOMER ABI GHAR PAR NAI HAY JAB HON GAY TAB AGAIN COMPLAINT REOPEN KARWA GAY COMPLAINT CLOSED','92','2021-07-26 12:55:25','2021-07-26 12:55:25');
INSERT INTO complaint_remarks VALUES('9707','7816','NOT ATTENDING CALL','74','2021-07-26 12:58:49','2021-07-26 12:58:49');
INSERT INTO complaint_remarks VALUES('9708','7831','NOT RESOLVED','74','2021-07-26 13:07:15','2021-07-26 13:07:15');
INSERT INTO complaint_remarks VALUES('9709','6759','CUSTOMER STILL NOT ATTEND MY CALL SO CLOSED THIS JOB','74','2021-07-26 13:19:12','2021-07-26 13:19:12');
INSERT INTO complaint_remarks VALUES('9710','6625','TACTION NAY VISIT KEYA THA SALE MAN NAY KHA HAY K HUM NAY AIR COOLER SALE KAR DEYA HAY AGAIN ISSUE ATA HAY TO INFORM KARAY GAY','92','2021-07-26 13:22:39','2021-07-26 13:22:39');
INSERT INTO complaint_remarks VALUES('9711','6625','ISSUED RESOLVED','74','2021-07-26 13:23:32','2021-07-26 13:23:32');
INSERT INTO complaint_remarks VALUES('9712','7849','TECHNISION VISITED BUT ISSUED NOT RESOLVED AGAIN VISIT HO GA','74','2021-07-26 13:31:02','2021-07-26 13:31:02');
INSERT INTO complaint_remarks VALUES('9713','8206','COMPLAINT ATTEND HO GAE HAY 02 DIN TAK CUSTOMER CHECK KAR K ABDATE KARAY GAY','92','2021-07-26 13:41:37','2021-07-26 13:41:37');
INSERT INTO complaint_remarks VALUES('9714','7901','COMPLAINT HIGHLIGHTED IN COMPANY SHOULD BE RESOLVED','74','2021-07-26 13:42:33','2021-07-26 13:42:33');
INSERT INTO complaint_remarks VALUES('9715','6789','COMPLAINT ATTEND HO GAE HAY UNIT LIFT IN S/C KAL S/C KI GARE JAY GI UNIT PICK KARNAY K LEAY','92','2021-07-26 14:01:32','2021-07-26 14:01:32');
INSERT INTO complaint_remarks VALUES('9716','7961','ISSUED RESOLVED','74','2021-07-26 14:04:51','2021-07-26 14:04:51');
INSERT INTO complaint_remarks VALUES('9717','7962','CUSTOMER KHD DELAY KRA HA','74','2021-07-26 14:07:33','2021-07-26 14:07:33');
INSERT INTO complaint_remarks VALUES('9718','7976','TACTION NAY CALL KI THI BUT CUSTOMER GHAR PAR NAI THAY MOHSIN SIR KO REMINDER DAY DEYA HAY KAL ATTEND KARWAY GAY COMPLAINT','92','2021-07-26 14:08:35','2021-07-26 14:08:35');
INSERT INTO complaint_remarks VALUES('9719','7969','NOT ATTENDING CALL','74','2021-07-26 14:12:29','2021-07-26 14:12:29');
INSERT INTO complaint_remarks VALUES('9720','8077','TACTION CUSTOMER K GHAR PAR HI HAY COMPLAINT IN PROCESS','92','2021-07-26 14:13:01','2021-07-26 14:13:01');
INSERT INTO complaint_remarks VALUES('9721','7723','MOHSIN SIR KO AGAIN REMINDER DAY DEYA HAY COMPLAINT IN PROCESS','92','2021-07-26 14:17:49','2021-07-26 14:17:49');
INSERT INTO complaint_remarks VALUES('9722','8254','03464073876 MANSOOR TACTION','92','2021-07-26 14:24:27','2021-07-26 14:24:27');
INSERT INTO complaint_remarks VALUES('9723','7972','CUSTOMER NOT ATTENDING CALL','74','2021-07-26 14:26:00','2021-07-26 14:26:00');
INSERT INTO complaint_remarks VALUES('9724','8254','COMPLAINT ATTEND HO GAE HAY COMPRESSOR ISSUE UNIT LIFT HO GA S/C COMPLAINT IN PROCESS','92','2021-07-26 14:28:21','2021-07-26 14:28:21');
INSERT INTO complaint_remarks VALUES('9725','7981','NOT ATTENDING CALL','74','2021-07-26 14:28:22','2021-07-26 14:28:22');
INSERT INTO complaint_remarks VALUES('9726','8236','CUSTOMER NOT ATTEND CALL','92','2021-07-26 14:32:53','2021-07-26 14:32:53');
INSERT INTO complaint_remarks VALUES('9727','7497','NOT ATTENDING CALL','74','2021-07-26 14:33:45','2021-07-26 14:33:45');
INSERT INTO complaint_remarks VALUES('9728','7498','NOT RESOLVED TECHNISION NA RBTA NI KIA ABI TK COMPANY MA CAAL KI HA WO KAH RAHA HA K UNIT S/C SHIFT HO GA MAGAR CUSTOMER KH RAHA MJHE HOME SERVICE MA HI THK KR K DO','74','2021-07-26 14:43:02','2021-07-26 14:43:02');
INSERT INTO complaint_remarks VALUES('9729','7124','COMPLAINT RESOLVED','92','2021-07-26 14:44:20','2021-07-26 14:44:20');
INSERT INTO complaint_remarks VALUES('9730','7551','ISSUED NOT RESOLVED GAS KA ISSUED HA FREIENDS KA KOI TECHNISION ATTEND KRA GA COMPLAINT','74','2021-07-26 14:45:56','2021-07-26 14:45:56');
INSERT INTO complaint_remarks VALUES('9731','7119','CUSTOMER NAY ABI TAK UNIT S/C LIFT NAI KEYA SO COMPLAINT CLOSED','92','2021-07-26 14:46:31','2021-07-26 14:46:31');
INSERT INTO complaint_remarks VALUES('9732','7080','COMPLAINT RESOLVED','92','2021-07-26 14:48:25','2021-07-26 14:48:25');
INSERT INTO complaint_remarks VALUES('9733','7554','NOT ATTENDING CALL','74','2021-07-26 14:50:00','2021-07-26 14:50:00');
INSERT INTO complaint_remarks VALUES('9734','8187','CUSTOMER SA BAT HO GEI HAIN WO BOL RAHAY K ABI KOI COMPLAINT NAI','74','2021-07-26 14:53:54','2021-07-26 14:53:54');
INSERT INTO complaint_remarks VALUES('9735','8179','COMPLETED COMPLAINT','74','2021-07-26 14:55:37','2021-07-26 14:55:37');
INSERT INTO complaint_remarks VALUES('9736','8172','NOT ATTENDING CALL','74','2021-07-26 15:00:00','2021-07-26 15:00:00');
INSERT INTO complaint_remarks VALUES('9737','8172','COMPLETED COMPLAINT','74','2021-07-26 15:01:01','2021-07-26 15:01:01');
INSERT INTO complaint_remarks VALUES('9738','8168','COMPLAINT RESOLVED','74','2021-07-26 15:02:58','2021-07-26 15:02:58');
INSERT INTO complaint_remarks VALUES('9739','8165','COMPLAINT RESOLVED','74','2021-07-26 15:05:26','2021-07-26 15:05:26');
INSERT INTO complaint_remarks VALUES('9740','8162','COMPRESSOR ISSUE HAIN CUSTOMER REF S/C AJ DROP KAR K AAY HAIN','74','2021-07-26 15:09:55','2021-07-26 15:09:55');
INSERT INTO complaint_remarks VALUES('9741','8161','COMPLAINT RESOLVED','74','2021-07-26 15:10:57','2021-07-26 15:10:57');
INSERT INTO complaint_remarks VALUES('9742','8146','OTHER# SA CALL ATTEND N HO RAHI','74','2021-07-26 15:18:38','2021-07-26 15:18:38');
INSERT INTO complaint_remarks VALUES('9743','5524','COMPLAINT CLOSED','92','2021-07-26 15:21:05','2021-07-26 15:21:05');
INSERT INTO complaint_remarks VALUES('9744','8105','COMPLETED COMPLAINT','74','2021-07-26 15:26:57','2021-07-26 15:26:57');
INSERT INTO complaint_remarks VALUES('9745','8086','COMPLAINT RESOLVED','74','2021-07-26 15:33:10','2021-07-26 15:33:10');
INSERT INTO complaint_remarks VALUES('9746','7554','COMPLAINT RESOLVED','92','2021-07-26 15:34:34','2021-07-26 15:34:34');
INSERT INTO complaint_remarks VALUES('9747','7987','CUSTOMER CALL BACK KAR K CONFIRM KARAY GEI','74','2021-07-26 15:37:28','2021-07-26 15:37:28');
INSERT INTO complaint_remarks VALUES('9748','7955','REF S/C MAIN HAIN &CUSTOMER GAO MAIN KAL WAPISE AAY GAY &CALL BACK KARAY GAY','74','2021-07-26 15:57:22','2021-07-26 15:57:22');
INSERT INTO complaint_remarks VALUES('9749','7896','COMPLAINT RESOLVED','74','2021-07-26 16:01:40','2021-07-26 16:01:40');
INSERT INTO complaint_remarks VALUES('9750','8176','COMPLAINT RESOLVED','92','2021-07-26 16:05:43','2021-07-26 16:05:43');
INSERT INTO complaint_remarks VALUES('9751','7853','PART KI WAJA SA DELAY  COMPLAINT WORKING IN PROCESS','74','2021-07-26 16:14:16','2021-07-26 16:14:16');
INSERT INTO complaint_remarks VALUES('9752','8217','COMPLAINT ATTEND HO GAE HAY WATER LEAKAGE ISSUE ARAHA HAY TAUQEER SIR KO INFORM KAR DEYA HAY WO BAT KAR RAHY HAY CUSTOMER SAY','92','2021-07-26 16:45:44','2021-07-26 16:45:44');
INSERT INTO complaint_remarks VALUES('9753','8311','COMPLAINT HIGHLIGHTED','74','2021-07-26 17:24:41','2021-07-26 17:24:41');
INSERT INTO complaint_remarks VALUES('9754','8311','COMPLAINT HIGHLIGHTED','74','2021-07-26 17:24:41','2021-07-26 17:24:41');
INSERT INTO complaint_remarks VALUES('9755','8061','PC CARD KA ISSUE HAIN  TECHNICIAN NA CUSTOMER KO CARD KI PRICE BATA DI HAIN INFORMED BY KHURRAMSIR& SHAHZAD BEHIRA','74','2021-07-26 17:29:05','2021-07-26 17:29:05');
INSERT INTO complaint_remarks VALUES('9756','8061','03315219818  ATHER SAB KO B INFORMED KAR DIA HAIN','74','2021-07-26 17:38:43','2021-07-26 17:38:43');
INSERT INTO complaint_remarks VALUES('9757','7070','KOI COMPLAINT NAI HAY 02 AC PARCHAGE KARNAY HAY 03015180591 COMPLAINT CLOSED','92','2021-07-26 17:45:44','2021-07-26 17:45:44');
INSERT INTO complaint_remarks VALUES('9758','8061','ADNAN TECHNICIAN KO ADD & CELL NO SHER KAR DI','74','2021-07-26 17:47:25','2021-07-26 17:47:25');
INSERT INTO complaint_remarks VALUES('9759','8311','COSTUMER NE COMPLAINT COMPANY MEIN KHUD LAUNCH KARWAI HOI HA... COSTUMER REPAIR PE AGREE NAHIN HA MAZHAR KO BTA DIA HA WO REPLACEMENT MANG RY HAIN','73','2021-07-26 17:54:15','2021-07-26 17:54:15');
INSERT INTO complaint_remarks VALUES('9760','8190','CUSTOMER NOT ATTEND CALL','92','2021-07-27 10:37:38','2021-07-27 10:37:38');
INSERT INTO complaint_remarks VALUES('9761','8305','COMPLAINT RESOLVED','92','2021-07-27 10:44:36','2021-07-27 10:44:36');
INSERT INTO complaint_remarks VALUES('9762','8193','ISSUED RESOLVED','74','2021-07-27 10:52:55','2021-07-27 10:52:55');
INSERT INTO complaint_remarks VALUES('9763','8184','ISSUED RESOLVED','74','2021-07-27 10:54:45','2021-07-27 10:54:45');
INSERT INTO complaint_remarks VALUES('9764','8178','CUSSTOMER KO KL KA TIME DIA GIA HA','74','2021-07-27 10:57:24','2021-07-27 10:57:24');
INSERT INTO complaint_remarks VALUES('9765','8166','ISSUED RESOLVED','74','2021-07-27 10:58:35','2021-07-27 10:58:35');
INSERT INTO complaint_remarks VALUES('9766','8233','COMPLAINT RESOLVED','92','2021-07-27 11:02:08','2021-07-27 11:02:08');
INSERT INTO complaint_remarks VALUES('9767','8229','COMPLAINT ATTEND HO GAE HAY BUT ISSUE RESOLVED NAI HUA REMINDER S/C MAY DAY DEYA HAY KAL AGAIN VISIT HAY','92','2021-07-27 11:05:29','2021-07-27 11:05:29');
INSERT INTO complaint_remarks VALUES('9768','8160','NOT ATTENDING CALL','74','2021-07-27 11:06:08','2021-07-27 11:06:08');
INSERT INTO complaint_remarks VALUES('9769','8224','CUSTOMER ABI BUZY HAY THORI DAR TAK CALL BACK KARAY GAY','92','2021-07-27 11:09:02','2021-07-27 11:09:02');
INSERT INTO complaint_remarks VALUES('9770','8157','NOT ATTENDING CALL','74','2021-07-27 11:09:31','2021-07-27 11:09:31');
INSERT INTO complaint_remarks VALUES('9771','8221','AJ 02 BAJAY K BAD ATTEND HO GE COMPLAINT','92','2021-07-27 11:14:24','2021-07-27 11:14:24');
INSERT INTO complaint_remarks VALUES('9772','8200','NOT ATTENDING CALL','74','2021-07-27 11:25:44','2021-07-27 11:25:44');
INSERT INTO complaint_remarks VALUES('9773','8201','ISSUED RESOLVED','74','2021-07-27 11:26:48','2021-07-27 11:26:48');
INSERT INTO complaint_remarks VALUES('9774','8241','COMPLAINT RESOLVED','74','2021-07-27 11:33:47','2021-07-27 11:33:47');
INSERT INTO complaint_remarks VALUES('9775','8242','COMPLAINT RESOLVED','74','2021-07-27 11:37:03','2021-07-27 11:37:03');
INSERT INTO complaint_remarks VALUES('9776','8224','COMPLAINT RESOLVED','74','2021-07-27 11:45:22','2021-07-27 11:45:22');
INSERT INTO complaint_remarks VALUES('9777','8359','COSTUMER NE KHUD COMPLAINT COMPANY MEIN FORWARD KARWAI HOI HA...','73','2021-07-27 11:46:11','2021-07-27 11:46:11');
INSERT INTO complaint_remarks VALUES('9778','8359','WASEEM TECHNICIAN ATTEND KAREIN GY COMPLAINT','73','2021-07-27 11:46:27','2021-07-27 11:46:27');
INSERT INTO complaint_remarks VALUES('9779','6824','CUSTOMER SIDE SA DEALY COMPLAINT COMPLAIN T CLOSED','74','2021-07-27 11:47:17','2021-07-27 11:47:17');
INSERT INTO complaint_remarks VALUES('9780','8219','COMPLAINT RESOLVED','74','2021-07-27 11:51:04','2021-07-27 11:51:04');
INSERT INTO complaint_remarks VALUES('9781','7271','COMPLAINT RESOLVED','74','2021-07-27 11:51:56','2021-07-27 11:51:56');
INSERT INTO complaint_remarks VALUES('9782','7261','COMPLAINT HIGHLIGHTED IN COMPLANY','74','2021-07-27 11:56:26','2021-07-27 11:56:26');
INSERT INTO complaint_remarks VALUES('9783','6728','ISSUED NOT RESOLVED COMPANY MA HIGHLIGHTED KARAI HA COMPLAINT','74','2021-07-27 11:58:32','2021-07-27 11:58:32');
INSERT INTO complaint_remarks VALUES('9784','6940','COMPANY KI TRF SA PARTS KA ISSUE HA JAISA HI PART ATA CUSTOMER SA RBTA KRLIA JAI GA','74','2021-07-27 11:59:48','2021-07-27 11:59:48');
INSERT INTO complaint_remarks VALUES('9785','6997','COMPANY KI TRF SA COMPLAINT CLOSED IQBAL SIR SA CONFERM KRNA HA BSS','74','2021-07-27 12:00:36','2021-07-27 12:00:36');
INSERT INTO complaint_remarks VALUES('9786','8277','ISSUED RESOLVED','74','2021-07-27 12:02:22','2021-07-27 12:02:22');
INSERT INTO complaint_remarks VALUES('9787','7947','03161533049 TACTION NO','92','2021-07-27 12:07:58','2021-07-27 12:07:58');
INSERT INTO complaint_remarks VALUES('9788','8237','ISSUED RESOLVED','74','2021-07-27 12:10:55','2021-07-27 12:10:55');
INSERT INTO complaint_remarks VALUES('9789','8338','03325472776 TAHIR TACTION','92','2021-07-27 12:15:04','2021-07-27 12:15:04');
INSERT INTO complaint_remarks VALUES('9790','8216','TECHNISION VISITED BUT ISSUE NOT  RESOLVED OVERR COOL KRA HA','74','2021-07-27 12:17:56','2021-07-27 12:17:56');
INSERT INTO complaint_remarks VALUES('9791','8216','CUSTOMER NOT SATISFIED','74','2021-07-27 12:18:14','2021-07-27 12:18:14');
INSERT INTO complaint_remarks VALUES('9792','8200','COMPLAINT RESOLVED','74','2021-07-27 12:18:40','2021-07-27 12:18:40');
INSERT INTO complaint_remarks VALUES('9793','8214','ISSUED RESOLVED','74','2021-07-27 12:19:24','2021-07-27 12:19:24');
INSERT INTO complaint_remarks VALUES('9794','6922','COMPANY K PASS DOOR AVAIL NAI INFORMED BY CUSTOMER CUSTOMER COMPLAINT CLOSED','74','2021-07-27 12:24:07','2021-07-27 12:24:07');
INSERT INTO complaint_remarks VALUES('9795','8208','TECHNISION VISITED','74','2021-07-27 12:24:37','2021-07-27 12:24:37');
INSERT INTO complaint_remarks VALUES('9796','8208','DOOR ISSUE COMPANY MA FORWARDED HA ISSUE PROCESS MA HA','74','2021-07-27 12:25:16','2021-07-27 12:25:16');
INSERT INTO complaint_remarks VALUES('9797','8163','UNIT REPLACE HO GYA HA ISSUE RESOLVED FREINDS SA UNIT REPLACE HA','74','2021-07-27 12:30:05','2021-07-27 12:30:05');
INSERT INTO complaint_remarks VALUES('9798','8160','ISSUED RESOLVED','74','2021-07-27 12:31:58','2021-07-27 12:31:58');
INSERT INTO complaint_remarks VALUES('9799','7535','COMPLAINT RESOLVED','92','2021-07-27 12:33:33','2021-07-27 12:33:33');
INSERT INTO complaint_remarks VALUES('9800','8159','TECHNISION NOT VISITED','74','2021-07-27 12:34:32','2021-07-27 12:34:32');
INSERT INTO complaint_remarks VALUES('9801','8174','ASIF SIR SAY BAT HO GAE HAY AJ ATTEND HO GE COMPLAINT','92','2021-07-27 12:46:19','2021-07-27 12:46:19');
INSERT INTO complaint_remarks VALUES('9802','7918','RAMEEZ TECHNICIAN 03006218302 YHA COMPLAINT ATTEND KARAY GAY','74','2021-07-27 12:49:17','2021-07-27 12:49:17');
INSERT INTO complaint_remarks VALUES('9803','7825','CUSTOMER NA VISIT CHARGES PAY KARNA KI APPROVEL NAI DI THI IC WAJA SA COMPLAINT DELAY THI.
ABI AGAIN CUSTOMER SA BAT HOI HAIN  CHARGES PAY KARNAY PA AGREE AGAIN COMPLAINT REOPEND KARWA DI DOCOMENT B NI CUSTOMER K PASS','74','2021-07-27 12:57:27','2021-07-27 12:57:27');
INSERT INTO complaint_remarks VALUES('9804','8155','CUSTOMER STILL NOT ATTEND CALL','92','2021-07-27 13:01:44','2021-07-27 13:01:44');
INSERT INTO complaint_remarks VALUES('9805','7918','CUSTOMER KO RAMEEZ TECHNICIAN KA NO FF KAR DIA','74','2021-07-27 13:04:31','2021-07-27 13:04:31');
INSERT INTO complaint_remarks VALUES('9806','7901','PART KA ISSUE CUSTOMER KO KCH TIME W8 KRNA HOGA','74','2021-07-27 13:11:13','2021-07-27 13:11:13');
INSERT INTO complaint_remarks VALUES('9807','8139','CUSTOMER NAY CALL ATTEND NAI KI JIS KI WAJA SAY COMPLAINT PENDING HO GAE THI TAUQEER SIR KO COMPLAINT NO PROVIDE KAR DEYA HAY WO AJ ATTEND KARWA DAY GAY COMPLAINT','92','2021-07-27 13:26:13','2021-07-27 13:26:13');
INSERT INTO complaint_remarks VALUES('9808','8146','NOT  ATTEND CALL','74','2021-07-27 13:34:30','2021-07-27 13:34:30');
INSERT INTO complaint_remarks VALUES('9809','7730','S/C MA BT HUI HA PART DEMANDED HAFTA LG SKTA COMPANY K MUTABIQ CUSTOMER KO W8 KRNA HO GA','74','2021-07-27 13:37:47','2021-07-27 13:37:47');
INSERT INTO complaint_remarks VALUES('9810','7184','S/C K MUTABIK PART JO HI AI GA TECHNISION CUSTOMER SA RBTA KRLA GA','74','2021-07-27 13:38:55','2021-07-27 13:38:55');
INSERT INTO complaint_remarks VALUES('9811','7972','CUSTOMER STILL NOT ATTEND MY CALL SO COMPLAINT CLOSED','74','2021-07-27 13:39:13','2021-07-27 13:39:13');
INSERT INTO complaint_remarks VALUES('9812','7965','IN S/C','74','2021-07-27 13:41:58','2021-07-27 13:41:58');
INSERT INTO complaint_remarks VALUES('9813','7965','IN S/C PROGRESS','74','2021-07-27 13:42:14','2021-07-27 13:42:14');
INSERT INTO complaint_remarks VALUES('9814','6997','ISSUED RESOLVED','74','2021-07-27 13:42:23','2021-07-27 13:42:23');
INSERT INTO complaint_remarks VALUES('9815','6450','NOT ATTENDING CALL','74','2021-07-27 13:47:33','2021-07-27 13:47:33');
INSERT INTO complaint_remarks VALUES('9816','7778','COMPLAINT CLOSED','92','2021-07-27 13:50:24','2021-07-27 13:50:24');
INSERT INTO complaint_remarks VALUES('9817','8146','CUSTOMER STILL DONO NO SA CALL ATTEND NAI KAR RAHY THY S/C SA FOLLOWUP LA K COMPLAINT CLOSED KI SIDE BY SIDE REF THA  ISSUE RESOLVED','74','2021-07-27 13:50:42','2021-07-27 13:50:42');
INSERT INTO complaint_remarks VALUES('9818','7738','UNIT OK HAY SHAHZAD BAHRIA SIR KO INFORM KAR DEYA HAY WO CUSTOMER KO CALL KAR K INFORM KAR DAY GAY K UNIT OK HAY AY KAR PICK KAR LAY SO COMPLAINT CLOSED','92','2021-07-27 14:00:28','2021-07-27 14:00:28');
INSERT INTO complaint_remarks VALUES('9819','6647','S/C MA BT HO GI HA PART DEMANDED HA JO HI PART AI TEC CONTACT KRLA GA CUSTOMER SA','74','2021-07-27 14:03:15','2021-07-27 14:03:15');
INSERT INTO complaint_remarks VALUES('9820','6728','ISSUE RESOLVED INFORMED BY S/C CUSTOMER SA CONFERMED NI HA KU WO BHT DIN SA CALL NI PICK KRA','74','2021-07-27 14:04:10','2021-07-27 14:04:10');
INSERT INTO complaint_remarks VALUES('9821','8231','CUSTOMER WANT REPLACE ISSUE RESOLVED HO SKTA HA LEKIN CUSTOMER S/C LK JANA NI CHAHTA ISIS LIA REPLACE MENT CHAHTA HA','74','2021-07-27 14:13:38','2021-07-27 14:13:38');
INSERT INTO complaint_remarks VALUES('9822','8230','ISSUED RESOLVED','74','2021-07-27 14:15:15','2021-07-27 14:15:15');
INSERT INTO complaint_remarks VALUES('9823','8338','TACTION OUT OFF STATION HAY WAQAR KENWOOD SIR SAY BAT HUAI HAY KAL ATTEND HO GE COMPLAINT','92','2021-07-27 14:20:48','2021-07-27 14:20:48');
INSERT INTO complaint_remarks VALUES('9824','8090','NOT ATTENDING CALL','74','2021-07-27 14:20:50','2021-07-27 14:20:50');
INSERT INTO complaint_remarks VALUES('9825','7935','03085066889 IKRAM TACTION','92','2021-07-27 14:39:13','2021-07-27 14:39:13');
INSERT INTO complaint_remarks VALUES('9826','7073','KABEER SIR KOI RESPONSE NAI DAY RAHY S/C SAY CONFORM KEYA HAY COMPLAINT RESOLVED HO GAE HAY SO COMPLAINT CLOSED','92','2021-07-27 14:42:18','2021-07-27 14:42:18');
INSERT INTO complaint_remarks VALUES('9827','8236','NOT ATTENDING','74','2021-07-27 14:44:03','2021-07-27 14:44:03');
INSERT INTO complaint_remarks VALUES('9828','8077','COMPLAINT RESOLVED','92','2021-07-27 14:45:07','2021-07-27 14:45:07');
INSERT INTO complaint_remarks VALUES('9829','8149','NOT ATTENDING CALL','74','2021-07-27 14:48:32','2021-07-27 14:48:32');
INSERT INTO complaint_remarks VALUES('9830','7434','COMPLAINT RESOLVED','92','2021-07-27 14:48:41','2021-07-27 14:48:41');
INSERT INTO complaint_remarks VALUES('9831','8373','ISSUED RESOLVED MANUALLY DOBARA ISSUE AYA TO COMPLAINT ENTER HO JAI GI','74','2021-07-27 14:54:56','2021-07-27 14:54:56');
INSERT INTO complaint_remarks VALUES('9832','8123','CUSTOMER SAY BAT HUAI HAY CUSTOMER KI SHADE CHAL RAHI HAY SHADE K BAD W/D S/C LIFT KARWAY GAY SO COMPLAINT CLOSED','92','2021-07-27 14:54:58','2021-07-27 14:54:58');
INSERT INTO complaint_remarks VALUES('9833','8223','COMPLAINT ATTEND HO GAE HAY W/D S/C LIFT HO GAYA HAY COMPLAINT IN PROCESS','92','2021-07-27 15:00:08','2021-07-27 15:00:08');
INSERT INTO complaint_remarks VALUES('9834','7397','COMPLAINT RESOLVED','92','2021-07-27 15:08:49','2021-07-27 15:08:49');
INSERT INTO complaint_remarks VALUES('9835','7992','COMPLAINT RESOLVED','92','2021-07-27 15:21:56','2021-07-27 15:21:56');
INSERT INTO complaint_remarks VALUES('9836','8182','COMPLAINT CLOSED','92','2021-07-27 15:24:39','2021-07-27 15:24:39');
INSERT INTO complaint_remarks VALUES('9837','8331','03095559751  IRFAN TACTION','92','2021-07-27 15:37:50','2021-07-27 15:37:50');
INSERT INTO complaint_remarks VALUES('9838','6940','FLAPPER ISSUE FLAPPER S/C MAY AY GAY HAY KAL ATTEND HO GE COMPLAINT','92','2021-07-27 15:48:51','2021-07-27 15:48:51');
INSERT INTO complaint_remarks VALUES('9839','8325','KAMRAN 03495358513 TECHNICIAN NA COMPLAINT ATTEND KI','74','2021-07-27 15:52:20','2021-07-27 15:52:20');
INSERT INTO complaint_remarks VALUES('9840','8254','UNIT LIFT HO GAYA HAY S/C WORKING IN PROCESS','92','2021-07-27 16:22:25','2021-07-27 16:22:25');
INSERT INTO complaint_remarks VALUES('9841','8198','COMPLAINT ATTEND HO GAE HAY TACTION KO REMINDER DAY DEYA HAY WO KAL AGAIN COMPLAINT ATTEND KARAY GAY','92','2021-07-27 16:36:31','2021-07-27 16:36:31');
INSERT INTO complaint_remarks VALUES('9842','8397','GULNOOR COMPLAINT HA','73','2021-07-27 16:48:02','2021-07-27 16:48:02');
INSERT INTO complaint_remarks VALUES('9843','8209','NOT ATTENDING','74','2021-07-27 16:50:40','2021-07-27 16:50:40');
INSERT INTO complaint_remarks VALUES('9844','8215','CUSTOMER OUT OF CITY','74','2021-07-27 16:52:40','2021-07-27 16:52:40');
INSERT INTO complaint_remarks VALUES('9845','6842','COMPLAINT RESOLVED','92','2021-07-27 16:52:47','2021-07-27 16:52:47');
INSERT INTO complaint_remarks VALUES('9846','8268','OUT OF CITY','74','2021-07-27 16:56:10','2021-07-27 16:56:10');
INSERT INTO complaint_remarks VALUES('9847','8265','ISSUED RESOLVED','74','2021-07-27 17:00:29','2021-07-27 17:00:29');
INSERT INTO complaint_remarks VALUES('9848','6845','OUT OFF WARRANTY COMPLAINT CUSTOMER KO TACTION NAY CUSTOMER KO CHARGES BATAY TO CUSTOMER NAY INKAR KAR DEYA THA CUSTOMER COMPALINT ATTEND NAI KARWANA CHATAY  INDOOR ISSUE THA  AZHAR FCI SIR KO B INFORM KAR DEYA HAY COMPLAINT CLOSED','92','2021-07-27 17:03:16','2021-07-27 17:03:16');
INSERT INTO complaint_remarks VALUES('9849','8264','ISSUED RESOLVED PCB CHANGED HO GYA CUSTOMER CHAHT HA K PURANA HI REPAIR HO JAI','74','2021-07-27 17:10:46','2021-07-27 17:10:46');
INSERT INTO complaint_remarks VALUES('9850','7442','CUSTOMER NOT ATTEND CALL','92','2021-07-27 17:11:52','2021-07-27 17:11:52');
INSERT INTO complaint_remarks VALUES('9851','8215','5 DIN BD WAPIS AI GA TO DOBARA COMPLAINT LAUNCHED HO GI TECHNISION CONTACT MA UN SA','74','2021-07-27 17:12:36','2021-07-27 17:12:36');
INSERT INTO complaint_remarks VALUES('9852','8275','ISSUED RESOLVED','74','2021-07-27 17:19:38','2021-07-27 17:19:38');
INSERT INTO complaint_remarks VALUES('9853','7467','COMPLAINT RESOLVED','92','2021-07-27 17:28:06','2021-07-27 17:28:06');
INSERT INTO complaint_remarks VALUES('9854','8331','COMPLAINT RESOLVED','92','2021-07-27 18:18:51','2021-07-27 18:18:51');
INSERT INTO complaint_remarks VALUES('9855','8278','not ATTENDED','74','2021-07-28 11:04:15','2021-07-28 11:04:15');
INSERT INTO complaint_remarks VALUES('9856','8091','WAQAR SIR KO SHARE KR DIA AJ AGAIN ATTEND KARAI GA','74','2021-07-28 11:10:06','2021-07-28 11:10:06');
INSERT INTO complaint_remarks VALUES('9857','8276','COMPLAINTA TTEND NI HUI ABI TK','74','2021-07-28 11:14:32','2021-07-28 11:14:32');
INSERT INTO complaint_remarks VALUES('9858','8343','ISSUED RESOLVED','74','2021-07-28 11:16:29','2021-07-28 11:16:29');
INSERT INTO complaint_remarks VALUES('9859','8339','TECH VISITED BUT ISSUE NOT RESOLVED POWER BOARD ISSUE HA S/C SHIFT KRNA HO GA','74','2021-07-28 11:26:04','2021-07-28 11:26:04');
INSERT INTO complaint_remarks VALUES('9860','8332','ISSUED RESOLVED','74','2021-07-28 11:30:02','2021-07-28 11:30:02');
INSERT INTO complaint_remarks VALUES('9861','8322','ISSUE NOT RESOLVED CUSTOMER OUT OF STATION HA 5 DIN K BAD AI GA DOBARA COMPLAINT ENTER KRAI GA','74','2021-07-28 11:36:29','2021-07-28 11:36:29');
INSERT INTO complaint_remarks VALUES('9862','8273','ISSUED RESOLVED','74','2021-07-28 11:45:37','2021-07-28 11:45:37');
INSERT INTO complaint_remarks VALUES('9863','8236','NOT ATTENDING CALL','74','2021-07-28 12:05:18','2021-07-28 12:05:18');
INSERT INTO complaint_remarks VALUES('9864','8368','03115758358 TANVEER TACTION','92','2021-07-28 12:06:17','2021-07-28 12:06:17');
INSERT INTO complaint_remarks VALUES('9865','8235','ISSUE NOT RESOLVED TECHNISION IS IN CONTACT','74','2021-07-28 12:06:33','2021-07-28 12:06:33');
INSERT INTO complaint_remarks VALUES('9866','6936','COMPLAINT RESOLVED','74','2021-07-28 12:06:45','2021-07-28 12:06:45');
INSERT INTO complaint_remarks VALUES('9867','8156','NOT ATTENDING CALL','74','2021-07-28 12:09:40','2021-07-28 12:09:40');
INSERT INTO complaint_remarks VALUES('9868','6861','CUSTOMER STILL NOT ATTEND MAY CALL SO COMPLAINT CLOSED','74','2021-07-28 12:10:11','2021-07-28 12:10:11');
INSERT INTO complaint_remarks VALUES('9869','8368','VISIT TO DAY TECHNICIAN SA BAT HO GEI HAIN','74','2021-07-28 12:12:33','2021-07-28 12:12:33');
INSERT INTO complaint_remarks VALUES('9870','6950','REF CUSTOMER KA REPLACE HO GAY THA COMPLAINT CLOSED','74','2021-07-28 12:15:03','2021-07-28 12:15:03');
INSERT INTO complaint_remarks VALUES('9871','8149','NOT ATTENDING CALL','74','2021-07-28 12:17:31','2021-07-28 12:17:31');
INSERT INTO complaint_remarks VALUES('9872','8236','CUSTOMERCALL PICK NI KRA COMPANY K S/C  KI TRF SA ISSUE RESOLVED HA IS LIA COMPLAINT CLOSED KRA AGR ISSUE HUA TO DOBARA LAUNCHED HO JAI GI','74','2021-07-28 12:21:08','2021-07-28 12:21:08');
INSERT INTO complaint_remarks VALUES('9873','8236','CUSTOMERCALL PICK NI KRA COMPANY K S/C  KI TRF SA ISSUE RESOLVED HA IS LIA COMPLAINT CLOSED KRA AGR ISSUE HUA TO DOBARA LAUNCHED HO JAI GI','74','2021-07-28 12:21:19','2021-07-28 12:21:19');
INSERT INTO complaint_remarks VALUES('9874','6955','COMPLAINT RESOLVED','74','2021-07-28 12:21:33','2021-07-28 12:21:33');
INSERT INTO complaint_remarks VALUES('9875','7442','COMPLAINT RESOLVED','92','2021-07-28 12:22:09','2021-07-28 12:22:09');
INSERT INTO complaint_remarks VALUES('9876','7441','COMPLAINT RESOLVED','92','2021-07-28 12:28:36','2021-07-28 12:28:36');
INSERT INTO complaint_remarks VALUES('9877','8156','CUSTOMER CALL ATTEND NI KRA S/C SA POUCH K COMPLAINT CLOSEED KRI HA AGR DOBARA ISSUE AYA TO RE LAUNCHED HO JAI GI','74','2021-07-28 12:29:14','2021-07-28 12:29:14');
INSERT INTO complaint_remarks VALUES('9878','8143','TECHNISION NA KOI RBTA NI KIA','74','2021-07-28 12:32:05','2021-07-28 12:32:05');
INSERT INTO complaint_remarks VALUES('9879','8294','0518460882 S/C NO','92','2021-07-28 12:36:05','2021-07-28 12:36:05');
INSERT INTO complaint_remarks VALUES('9880','8084','ISSUED RESOLVED','74','2021-07-28 12:42:57','2021-07-28 12:42:57');
INSERT INTO complaint_remarks VALUES('9881','7976','ISSUED RESOLVED','74','2021-07-28 12:46:19','2021-07-28 12:46:19');
INSERT INTO complaint_remarks VALUES('9882','8294','03355119430 MOHSIN TACTION','92','2021-07-28 12:53:13','2021-07-28 12:53:13');
INSERT INTO complaint_remarks VALUES('9883','7969','ISSUED RESOLVED','74','2021-07-28 12:54:38','2021-07-28 12:54:38');
INSERT INTO complaint_remarks VALUES('9884','7849','AJ AGAIN VISIT HO GA INFORMED BY CUSTOMER','74','2021-07-28 13:00:50','2021-07-28 13:00:50');
INSERT INTO complaint_remarks VALUES('9885','7816','ISSUED RESOLVED','74','2021-07-28 13:02:05','2021-07-28 13:02:05');
INSERT INTO complaint_remarks VALUES('9886','8274','CUSTOMER NOT ATTEND CALL','92','2021-07-28 13:02:44','2021-07-28 13:02:44');
INSERT INTO complaint_remarks VALUES('9887','8346','CUSTOMER NOT ATTEND CALL','92','2021-07-28 13:34:56','2021-07-28 13:34:56');
INSERT INTO complaint_remarks VALUES('9888','8268','CUSTOMER SAY BAT HUAI HAY CUSTOMER OUT OFF STATION HAY JAB AY GAY TO AGAIN COMPLAINT REOPEN KARWAY GAY SO COMPLAINT CLOSED','92','2021-07-28 13:38:50','2021-07-28 13:38:50');
INSERT INTO complaint_remarks VALUES('9889','8274','COMPLAINT RESOLVED','92','2021-07-28 13:40:14','2021-07-28 13:40:14');
INSERT INTO complaint_remarks VALUES('9890','8266','COMPLAINT RESOLVED','92','2021-07-28 13:44:21','2021-07-28 13:44:21');
INSERT INTO complaint_remarks VALUES('9891','7646','issued RSEOLVED','74','2021-07-28 13:49:27','2021-07-28 13:49:27');
INSERT INTO complaint_remarks VALUES('9892','8263','COMPLAINT RESOLVED','92','2021-07-28 13:50:21','2021-07-28 13:50:21');
INSERT INTO complaint_remarks VALUES('9893','8262','CUSTOMER SAY BAT HUAI HAY CALL AY GAE HAY TACTION KI CUSTOMER KO','92','2021-07-28 13:52:32','2021-07-28 13:52:32');
INSERT INTO complaint_remarks VALUES('9894','8261','COMPLAINT RESOLVED','92','2021-07-28 13:54:41','2021-07-28 13:54:41');
INSERT INTO complaint_remarks VALUES('9895','7637','APP KA ISSUE HA UPDATED HA AP CUSTOMER KO 1 MONTH KA TIME DIA HA AGR ISSUED RESOLVED NI HUA TO DOBARA OPEN HO JAI GI','74','2021-07-28 13:57:21','2021-07-28 13:57:21');
INSERT INTO complaint_remarks VALUES('9896','8255','COMPLAINT RESOLVED','92','2021-07-28 14:01:27','2021-07-28 14:01:27');
INSERT INTO complaint_remarks VALUES('9897','8248','COMPLAINT RESOLVED','92','2021-07-28 14:03:57','2021-07-28 14:03:57');
INSERT INTO complaint_remarks VALUES('9898','8245','COMPLAINT RESOLVED','92','2021-07-28 14:07:58','2021-07-28 14:07:58');
INSERT INTO complaint_remarks VALUES('9899','7580','CUSTOMER NOT ATTENDING CALL COMPANY KI TRF SA COMPLAINT CLOSED HA IS ABI CLOSED KR AGR ISSUED AYA REOPEN KRDI JAI GIN','74','2021-07-28 14:08:30','2021-07-28 14:08:30');
INSERT INTO complaint_remarks VALUES('9900','8240','CUSTOMER NOT ATTEND CALL','92','2021-07-28 14:12:19','2021-07-28 14:12:19');
INSERT INTO complaint_remarks VALUES('9901','7557','NOT ATTENDING CALL','74','2021-07-28 14:12:51','2021-07-28 14:12:51');
INSERT INTO complaint_remarks VALUES('9902','8235','COMPLAINT ATTEND HO GAE HAY UNIT S/C LIFT HO GA AJ OR 03 DIN K BAD CUSTOMER K GHAR DELIVER HO GA CUSTOMER KO INFORM KAR DEYA HAY','92','2021-07-28 14:17:44','2021-07-28 14:17:44');
INSERT INTO complaint_remarks VALUES('9903','8234','COMPLAINT RESOLVED','92','2021-07-28 14:18:52','2021-07-28 14:18:52');
INSERT INTO complaint_remarks VALUES('9904','7519','NOT ATTENDING CALL','74','2021-07-28 14:21:16','2021-07-28 14:21:16');
INSERT INTO complaint_remarks VALUES('9905','7379','ABI TKK S/C MA HI HA','74','2021-07-28 14:24:53','2021-07-28 14:24:53');
INSERT INTO complaint_remarks VALUES('9906','8229','03455088808 ADEEL TACTION','92','2021-07-28 14:27:02','2021-07-28 14:27:02');
INSERT INTO complaint_remarks VALUES('9907','7228','ISSUED RESOLVEDE BY LOCAL TECH','74','2021-07-28 14:27:37','2021-07-28 14:27:37');
INSERT INTO complaint_remarks VALUES('9908','6976','ISSUED NOT RESOLVED','74','2021-07-28 14:30:41','2021-07-28 14:30:41');
INSERT INTO complaint_remarks VALUES('9909','7947','CUSTOMER OUT COUNTRY JA RHAY HIAN DEC TAQ WAPISE AAY GAY CUSTOMER SIDE SA DELAY HOI HAIN COMPLAINT INFORMED BY HUSSAN & KHURRAM SIR CLOSED THIS COMPLAINT','74','2021-07-28 14:31:42','2021-07-28 14:31:42');
INSERT INTO complaint_remarks VALUES('9910','6973','ISSUED RESOLVED','74','2021-07-28 14:32:27','2021-07-28 14:32:27');
INSERT INTO complaint_remarks VALUES('9911','6856','PART KA ISSUED HA CUSTOMER KO 2 MONTHS KA TIME DIA HA','74','2021-07-28 14:34:46','2021-07-28 14:34:46');
INSERT INTO complaint_remarks VALUES('9912','6114','NOT ATTENDING CALLN','74','2021-07-28 14:36:33','2021-07-28 14:36:33');
INSERT INTO complaint_remarks VALUES('9913','5903','NOT ATTENDING CALL  COMPANY KI TRF SA COMPLAINT CLOSED HA AGR ISSUE HUA TO DOBARA REOPEN','74','2021-07-28 14:37:49','2021-07-28 14:37:49');
INSERT INTO complaint_remarks VALUES('9914','6114','ISSUED RESOLVED','74','2021-07-28 14:43:23','2021-07-28 14:43:23');
INSERT INTO complaint_remarks VALUES('9915','5903','COMPANY KI SIDE SA CLOSED HA','74','2021-07-28 14:45:15','2021-07-28 14:45:15');
INSERT INTO complaint_remarks VALUES('9916','8222','03361526374 TACTION','92','2021-07-28 14:47:38','2021-07-28 14:47:38');
INSERT INTO complaint_remarks VALUES('9917','7501','ISSUED RESOLVED','74','2021-07-28 14:49:41','2021-07-28 14:49:41');
INSERT INTO complaint_remarks VALUES('9918','7501','CUSTOMER REF TO S/C CUSTOMER DELAY','74','2021-07-28 14:50:09','2021-07-28 14:50:09');
INSERT INTO complaint_remarks VALUES('9919','7918','RAMEEZ TECHNICIAN  KI CUSTOMER SA BT HO GEI HAIN  KAL SUBHA VISIT KA TIME DIA CUSTOMER KO','74','2021-07-28 14:58:30','2021-07-28 14:58:30');
INSERT INTO complaint_remarks VALUES('9920','8218','customer not attend call','92','2021-07-28 15:00:08','2021-07-28 15:00:08');
INSERT INTO complaint_remarks VALUES('9921','8209','COMPLAINT RESOLVED','92','2021-07-28 15:02:25','2021-07-28 15:02:25');
INSERT INTO complaint_remarks VALUES('9922','8342','unit is in s/c','74','2021-07-28 15:02:38','2021-07-28 15:02:38');
INSERT INTO complaint_remarks VALUES('9923','7964','issued resolved','74','2021-07-28 15:02:57','2021-07-28 15:02:57');
INSERT INTO complaint_remarks VALUES('9924','7336','STILL IN S/C','74','2021-07-28 15:03:42','2021-07-28 15:03:42');
INSERT INTO complaint_remarks VALUES('9925','8222','COMPLAINT ATTEND HO GAE HAY KAL AJAIN VISIT HAY CUSTOMER KO B INFORM KAR DEYA HAY','92','2021-07-28 15:08:31','2021-07-28 15:08:31');
INSERT INTO complaint_remarks VALUES('9926','8207','CUSTOMER SAY BAT HUAI HAY OUT OFF WARRANTY COMPLAINT  CUSTOMER COMPLAINT ATTEND NAI KARWANA CHATAY SO COMPLAINT CLOSED','92','2021-07-28 15:12:50','2021-07-28 15:12:50');
INSERT INTO complaint_remarks VALUES('9927','8143','REOPEN HO GI','74','2021-07-28 15:13:58','2021-07-28 15:13:58');
INSERT INTO complaint_remarks VALUES('9928','8190','0514906997 RWP S/C','92','2021-07-28 15:26:03','2021-07-28 15:26:03');
INSERT INTO complaint_remarks VALUES('9929','8188','CUSTOMER STILL NOT ATTEND CALL','92','2021-07-28 15:47:30','2021-07-28 15:47:30');
INSERT INTO complaint_remarks VALUES('9930','8186','COMPLAINT RESOLVED','92','2021-07-28 15:48:29','2021-07-28 15:48:29');
INSERT INTO complaint_remarks VALUES('9931','8185','COMPLAINT RESOLVED','92','2021-07-28 15:50:29','2021-07-28 15:50:29');
INSERT INTO complaint_remarks VALUES('9932','8403','COSTUMER NE COMPANY MEIN COMPLAINT KHUD B LAUNCH KARWAI HOI HA','73','2021-07-28 15:55:35','2021-07-28 15:55:35');
INSERT INTO complaint_remarks VALUES('9933','8177','COMPLAINT RESOLVED','92','2021-07-28 16:13:19','2021-07-28 16:13:19');
INSERT INTO complaint_remarks VALUES('9934','8061','MOHSIN SAB KO B REMINDER DA DIA &ADNAN TECHNICIAN ATTEND KARAY GAY','74','2021-07-28 16:14:44','2021-07-28 16:14:44');
INSERT INTO complaint_remarks VALUES('9935','8436','S/CENTRE=0912619674','73','2021-07-28 16:22:32','2021-07-28 16:22:32');
INSERT INTO complaint_remarks VALUES('9936','8368','COMPLAINT PA VISIT HO GAYA HAIN  OUT DOOR PC CARD KA ISSUE HAIN CUSTOMER EW CARD KI PRICE 18000 INFORMED KAR DI','74','2021-07-28 16:27:09','2021-07-28 16:27:09');
INSERT INTO complaint_remarks VALUES('9937','8368','INFORMED BY KHURRAM SIR','74','2021-07-28 16:29:44','2021-07-28 16:29:44');
INSERT INTO complaint_remarks VALUES('9938','8360','03099977113 SHOKAT TACTION','92','2021-07-28 16:53:10','2021-07-28 16:53:10');
INSERT INTO complaint_remarks VALUES('9939','8170','MOTOR ISSUE ABI MOTOR STOCK MAY AVILL NAI HAY INFORM TO CUSTOMER','92','2021-07-28 17:07:37','2021-07-28 17:07:37');
INSERT INTO complaint_remarks VALUES('9940','8169','03125800162 TACTION','92','2021-07-28 17:10:57','2021-07-28 17:10:57');
INSERT INTO complaint_remarks VALUES('9941','8155','COMPLAINT RESOLVED','92','2021-07-28 17:47:41','2021-07-28 17:47:41');
INSERT INTO complaint_remarks VALUES('9942','8344','technision rbta ma ha abi tkk visit ni hua aj hoga','74','2021-07-29 10:46:57','2021-07-29 10:46:57');
INSERT INTO complaint_remarks VALUES('9943','8340','issued resolved','74','2021-07-29 10:50:02','2021-07-29 10:50:02');
INSERT INTO complaint_remarks VALUES('9944','8178','03095559763 shahjad','92','2021-07-29 10:52:00','2021-07-29 10:52:00');
INSERT INTO complaint_remarks VALUES('9945','8338','NOT ATTENDING','74','2021-07-29 10:55:26','2021-07-29 10:55:26');
INSERT INTO complaint_remarks VALUES('9946','8337','ISSUED RESOLVED','74','2021-07-29 10:56:57','2021-07-29 10:56:57');
INSERT INTO complaint_remarks VALUES('9947','8336','ISSUED RESOLVED','74','2021-07-29 11:09:02','2021-07-29 11:09:02');
INSERT INTO complaint_remarks VALUES('9948','8335','ISSUED RESOLVED','74','2021-07-29 11:10:36','2021-07-29 11:10:36');
INSERT INTO complaint_remarks VALUES('9949','7011','03068880889 jhanzaib sir sa  
BAT HOI HAIN  KHUD SA ISSUE RESOLVED KAR LIYA  W/M OK HAIN CUSTOMER NA COMPLAINT CLOSED KARWA DI','74','2021-07-29 11:10:54','2021-07-29 11:10:54');
INSERT INTO complaint_remarks VALUES('9950','8334','TECHNISION NOT VISITED','74','2021-07-29 11:33:59','2021-07-29 11:33:59');
INSERT INTO complaint_remarks VALUES('9951','7574','COMPLAINT RESOLVED','74','2021-07-29 11:45:48','2021-07-29 11:45:48');
INSERT INTO complaint_remarks VALUES('9952','8317','COMPLAINT PA VISIT HO GAYA HAIN  PARAT DEMAND KIYA HAIN WORKING IN PROCESS','74','2021-07-29 11:52:29','2021-07-29 11:52:29');
INSERT INTO complaint_remarks VALUES('9953','7932','COMPLAINT RESOLVED','74','2021-07-29 11:53:05','2021-07-29 11:53:05');
INSERT INTO complaint_remarks VALUES('9954','8311','REPLACEMENT DEMAND KAR RAHA HAIN CUSTOMER','74','2021-07-29 11:55:55','2021-07-29 11:55:55');
INSERT INTO complaint_remarks VALUES('9955','8278','AJ VISIT HO GA COMFERMED BY CUSTOMER','74','2021-07-29 12:05:16','2021-07-29 12:05:16');
INSERT INTO complaint_remarks VALUES('9956','8280','ISSUED RESOLVED','74','2021-07-29 12:06:21','2021-07-29 12:06:21');
INSERT INTO complaint_remarks VALUES('9957','7604','COMPLAINT RESOLVED','74','2021-07-29 12:08:05','2021-07-29 12:08:05');
INSERT INTO complaint_remarks VALUES('9958','8281','ISSUED RESOLVED','74','2021-07-29 12:10:06','2021-07-29 12:10:06');
INSERT INTO complaint_remarks VALUES('9959','8308','COMPLAINT PA VISIT HO GAY HAIN GAS LEAKAGE KA PROB HAIN','74','2021-07-29 12:10:58','2021-07-29 12:10:58');
INSERT INTO complaint_remarks VALUES('9960','8282','TECHNISION NA ABI TK VISIT NI KIA','74','2021-07-29 12:13:33','2021-07-29 12:13:33');
INSERT INTO complaint_remarks VALUES('9961','7667','COMPLAINT RESOLVED','74','2021-07-29 12:18:33','2021-07-29 12:18:33');
INSERT INTO complaint_remarks VALUES('9962','8283','TECHNISION VISITED BUT ISSUED NOT RESOLVED','74','2021-07-29 12:19:41','2021-07-29 12:19:41');
INSERT INTO complaint_remarks VALUES('9963','8285','ISSUED RESOLVED','74','2021-07-29 12:21:16','2021-07-29 12:21:16');
INSERT INTO complaint_remarks VALUES('9964','8287','ISSUED RESOLVED','74','2021-07-29 12:24:59','2021-07-29 12:24:59');
INSERT INTO complaint_remarks VALUES('9965','8286','CUSTOMER IS BUSY','74','2021-07-29 12:25:38','2021-07-29 12:25:38');
INSERT INTO complaint_remarks VALUES('9966','8295','ISSUED RESOLVED','74','2021-07-29 12:31:07','2021-07-29 12:31:07');
INSERT INTO complaint_remarks VALUES('9967','8296','NOT  ATTENDING CALL','74','2021-07-29 12:35:47','2021-07-29 12:35:47');
INSERT INTO complaint_remarks VALUES('9968','8297','ISSUED RESOLVED','74','2021-07-29 12:38:56','2021-07-29 12:38:56');
INSERT INTO complaint_remarks VALUES('9969','8298','ISSUED RESOLVED','74','2021-07-29 12:45:02','2021-07-29 12:45:02');
INSERT INTO complaint_remarks VALUES('9970','8299','NOT ATTENDING  CLL','74','2021-07-29 12:47:11','2021-07-29 12:47:11');
INSERT INTO complaint_remarks VALUES('9971','8300','CUSTOMER OUT OF STATION THA TECH RABTA MA HI HA','74','2021-07-29 12:48:51','2021-07-29 12:48:51');
INSERT INTO complaint_remarks VALUES('9972','7392','COMPLAINT RESOLVED','92','2021-07-29 12:59:47','2021-07-29 12:59:47');
INSERT INTO complaint_remarks VALUES('9973','8302','NO ATTENDING CALL','74','2021-07-29 13:05:12','2021-07-29 13:05:12');
INSERT INTO complaint_remarks VALUES('9974','7676','company walay serial #2&half saal ki waranty claim kartay hain customer k unit 2&half saal sa b oper ki warranty ka hain main board ka issue hain on paymentattend ho gei','74','2021-07-29 13:07:43','2021-07-29 13:07:43');
INSERT INTO complaint_remarks VALUES('9975','8330','03156232426 USAMA TACTION','92','2021-07-29 13:08:50','2021-07-29 13:08:50');
INSERT INTO complaint_remarks VALUES('9976','8127','COMPLAINT ATTEND HO GEI HAIN SCREEN DAMAGE HAIN 33000 KA EXP CUSTOMER KO BATA DIA HAIN CUSTOMER NA ABI APPROVAL NAI DI','74','2021-07-29 13:19:45','2021-07-29 13:19:45');
INSERT INTO complaint_remarks VALUES('9977','6976','DISPLAY CARD ISSUE ABI TAK S/C MAY PART NAI AYA HAY COMPLAINT IN PROCESS','92','2021-07-29 13:24:03','2021-07-29 13:24:03');
INSERT INTO complaint_remarks VALUES('9978','8313','NOT ATTENDING CALL','74','2021-07-29 13:26:17','2021-07-29 13:26:17');
INSERT INTO complaint_remarks VALUES('9979','8148','COMPLAINT ATTEND HO GEI HAIN REF TO S/C CUSTOMER NA KHUD MOVE KARWANI HAIN TCL S/C K NO CUSTOMER KO PROVIDE KAR DI','74','2021-07-29 13:27:14','2021-07-29 13:27:14');
INSERT INTO complaint_remarks VALUES('9980','8314','TECH RABTA MA AJ ATTEND HO JAI GI','74','2021-07-29 13:30:08','2021-07-29 13:30:08');
INSERT INTO complaint_remarks VALUES('9981','8316','ISSUED RESOLVED','74','2021-07-29 13:31:40','2021-07-29 13:31:40');
INSERT INTO complaint_remarks VALUES('9982','8325','COMPLAINT ATTEND HO GAE HAY GAS ISSUE HAY BUT CUSTOMER REPLACE MENT KI BAT KAR RAHY HAY','92','2021-07-29 13:43:45','2021-07-29 13:43:45');
INSERT INTO complaint_remarks VALUES('9983','8383','COMPLAINT RESOLVED','92','2021-07-29 13:49:01','2021-07-29 13:49:01');
INSERT INTO complaint_remarks VALUES('9984','8323','COMPLAINT RESOLVED','92','2021-07-29 13:52:37','2021-07-29 13:52:37');
INSERT INTO complaint_remarks VALUES('9985','8319','ABI TK ATTEND NI HUI','74','2021-07-29 14:00:33','2021-07-29 14:00:33');
INSERT INTO complaint_remarks VALUES('9986','8320','ISSUED RESOLVED','74','2021-07-29 14:01:33','2021-07-29 14:01:33');
INSERT INTO complaint_remarks VALUES('9987','8339','03 SAY 04 DIN TAK POWER BOARD AY GA S/C MAY CUSTOMER KO B INFORM KAR DEYA HAY','92','2021-07-29 14:03:35','2021-07-29 14:03:35');
INSERT INTO complaint_remarks VALUES('9988','8320','COMPLAINT RESOLVED','92','2021-07-29 14:04:39','2021-07-29 14:04:39');
INSERT INTO complaint_remarks VALUES('9989','8321','TECH RBTA MA HA KL ATTEND HO GI','74','2021-07-29 14:04:53','2021-07-29 14:04:53');
INSERT INTO complaint_remarks VALUES('9990','8324','NOT ATTENDING CALL','74','2021-07-29 14:14:03','2021-07-29 14:14:03');
INSERT INTO complaint_remarks VALUES('9991','8318','CUSTOMER NAY LOCAL TACTION SAY COMPLAINT ATTEND KARWA LE HAY COMPLAINT RESOLVED','92','2021-07-29 14:14:10','2021-07-29 14:14:10');
INSERT INTO complaint_remarks VALUES('9992','8313','COMPLAINT RESOLVED','92','2021-07-29 14:20:48','2021-07-29 14:20:48');
INSERT INTO complaint_remarks VALUES('9993','8463','OTHER 03076222612','74','2021-07-29 14:30:49','2021-07-29 14:30:49');
INSERT INTO complaint_remarks VALUES('9994','8299','COMPLAINT RESOLVED','92','2021-07-29 14:34:12','2021-07-29 14:34:12');
INSERT INTO complaint_remarks VALUES('9995','8296','COMPALINT ATTEND HO GAE HAY COMPLAINT IN PROCESS','92','2021-07-29 14:37:02','2021-07-29 14:37:02');
INSERT INTO complaint_remarks VALUES('9996','8206','ISSUED NOT RESOLVED','74','2021-07-29 14:37:32','2021-07-29 14:37:32');
INSERT INTO complaint_remarks VALUES('9997','8218','CUSTOMER OUT OF STATION WAPIS AK COMPLAINT K5RAI GA PHR ENTER HO GI','74','2021-07-29 15:13:45','2021-07-29 15:13:45');
INSERT INTO complaint_remarks VALUES('9998','8221','NOT ATTENDING','74','2021-07-29 15:26:00','2021-07-29 15:26:00');
INSERT INTO complaint_remarks VALUES('9999','8190','ISSUED RESOLVED','74','2021-07-29 15:28:58','2021-07-29 15:28:58');
INSERT INTO complaint_remarks VALUES('10000','8188','ISSUED RESOLVED','74','2021-07-29 15:30:56','2021-07-29 15:30:56');
INSERT INTO complaint_remarks VALUES('10001','8293','02 AC KI COMPLAINT ATTEND HO GAE HAY 01 AC KI COMPLAINT ATTEND NAI HUAI REMINDER DAY DEYA HAY KAL ATTEND HO GE COMPLAINT','92','2021-07-29 15:31:37','2021-07-29 15:31:37');
INSERT INTO complaint_remarks VALUES('10002','8090','NOT ATTENDING CALL','74','2021-07-29 15:33:27','2021-07-29 15:33:27');
INSERT INTO complaint_remarks VALUES('10003','8095','CUSTOMER NOT ATTENDING CALL','74','2021-07-29 15:36:30','2021-07-29 15:36:30');
INSERT INTO complaint_remarks VALUES('10004','8096','ISSUED RESOLVED','74','2021-07-29 15:39:49','2021-07-29 15:39:49');
INSERT INTO complaint_remarks VALUES('10005','8276','KAL TACTION CUSTOMER K GHAR PUNCH KAR CALL KI HAY BUT CUSTOMER K GHAR PAR LOCK LAGA THA AJ CUSTOMER KO CALL KAR RAHY HAY CUSTOMER CALL ATTEND NAI KAR RAHY','92','2021-07-29 15:41:27','2021-07-29 15:41:27');
INSERT INTO complaint_remarks VALUES('10006','8112','ISSUED RESOLVED','74','2021-07-29 15:45:21','2021-07-29 15:45:21');
INSERT INTO complaint_remarks VALUES('10007','8272','CUSTOMER NOT ATTEND CALL','92','2021-07-29 15:51:29','2021-07-29 15:51:29');
INSERT INTO complaint_remarks VALUES('10008','8030','ISSUED RESOLVED','74','2021-07-29 15:53:49','2021-07-29 15:53:49');
INSERT INTO complaint_remarks VALUES('10009','8262','CUSTOMER NOT ATTEND CALL','92','2021-07-29 15:55:28','2021-07-29 15:55:28');
INSERT INTO complaint_remarks VALUES('10010','8259','COMPLAINT RESOLVED','92','2021-07-29 15:57:04','2021-07-29 15:57:04');
INSERT INTO complaint_remarks VALUES('10011','8262','03179998681','74','2021-07-29 16:01:06','2021-07-29 16:01:06');
INSERT INTO complaint_remarks VALUES('10012','8258','COMPLAINT RESOLVED','92','2021-07-29 16:02:24','2021-07-29 16:02:24');
INSERT INTO complaint_remarks VALUES('10013','8061','INDOOR  MAIN SHORT CURRENT KA ISSUE THA  COMPLAINT RESOLVED
INFORMED BY SHAHZAD BEHIRA&KHURRAM SAB','74','2021-07-29 16:04:56','2021-07-29 16:04:56');
INSERT INTO complaint_remarks VALUES('10014','8240','CUSTOMER STILL NOT ATTEND CALL','92','2021-07-29 16:26:34','2021-07-29 16:26:34');
INSERT INTO complaint_remarks VALUES('10015','8178','COMPLAINT RESOLVED','92','2021-07-29 17:06:43','2021-07-29 17:06:43');
INSERT INTO complaint_remarks VALUES('10016','7335','ISSUED RESOLVED','74','2021-07-29 17:33:10','2021-07-29 17:33:10');
INSERT INTO complaint_remarks VALUES('10017','7336','ISSUED RESOLVED','74','2021-07-29 17:33:27','2021-07-29 17:33:27');
INSERT INTO complaint_remarks VALUES('10018','5957','ISSUED RESOLVED','74','2021-07-29 17:34:02','2021-07-29 17:34:02');
INSERT INTO complaint_remarks VALUES('10019','6837','ISSUED RESOLVED','74','2021-07-29 17:34:20','2021-07-29 17:34:20');
INSERT INTO complaint_remarks VALUES('10020','7705','IN S/C','74','2021-07-29 17:34:40','2021-07-29 17:34:40');
INSERT INTO complaint_remarks VALUES('10021','8428','03142437784 FAISAL TACTION','92','2021-07-29 17:38:57','2021-07-29 17:38:57');
INSERT INTO complaint_remarks VALUES('10022','8428','CUSTOMER KO TACTION NAY CALL KI HUM NAY CALL KI BUT NOT ATTEND CALL KAL ATTEND HO GE COMPLAINT','92','2021-07-29 17:39:41','2021-07-29 17:39:41');
INSERT INTO complaint_remarks VALUES('10023','8170','03335193929 SAJAID TACTION','92','2021-07-29 17:49:11','2021-07-29 17:49:11');
INSERT INTO complaint_remarks VALUES('10024','7960','ISSUED RESOLVED','74','2021-07-29 17:58:17','2021-07-29 17:58:17');
INSERT INTO complaint_remarks VALUES('10025','7393','AZEEM SB NA KAHA YA COMPLAINT MARI NI HA ISKO CLOSED KRDO','74','2021-07-29 18:01:43','2021-07-29 18:01:43');
INSERT INTO complaint_remarks VALUES('10026','7444','NOT RESOLVED VISIT B NI HUA','74','2021-07-29 18:02:24','2021-07-29 18:02:24');
INSERT INTO complaint_remarks VALUES('10027','7452','NOT ATTENDING CALL','74','2021-07-29 18:06:13','2021-07-29 18:06:13');
INSERT INTO complaint_remarks VALUES('10028','7452','COMPLAINT ATTEND NI HUI VISIT HUA HA BASE ABI TK DELIVERED NI HUI','74','2021-07-29 18:06:57','2021-07-29 18:06:57');
INSERT INTO complaint_remarks VALUES('10029','8217','KAL AGAIN VISIT HO GA COMPANY KA BUT CUSTOMER NOT ATTEND CALL','92','2021-07-29 18:12:43','2021-07-29 18:12:43');
INSERT INTO complaint_remarks VALUES('10030','8424','COMPLAINT PA HANEEF TECHNICIAN KA VISIT HO GAY HAIN BUT ISSUE RESOLVED NAI HOA 
AGAIN COMPLINT REOPEN KARWA DI HAIN INFORMED BY CUSTOMER& NAVEED FCP','74','2021-07-30 11:58:15','2021-07-30 11:58:15');
INSERT INTO complaint_remarks VALUES('10031','8460','IN PROCESS COMPLAINT MASOOD KHAN TECHNICIAN 03095559758.ATTEND KARAY GAY COMPLAINT
AATEND KARAY','74','2021-07-30 12:00:49','2021-07-30 12:00:49');
INSERT INTO complaint_remarks VALUES('10032','8482','IN PROCESS HAIN COMPLAINT HANEEF TECHNICIAN IC COMPLINT KO ATTEND KARAY GAY 03093334650','74','2021-07-30 12:45:45','2021-07-30 12:45:45');
INSERT INTO complaint_remarks VALUES('10033','8225','COMPLAINT RESOLVED INFORMED BY BILAL MANZOOR','74','2021-07-30 12:57:48','2021-07-30 12:57:48');
INSERT INTO complaint_remarks VALUES('10034','8484','COMPLAINT CLOSED','74','2021-07-30 13:11:36','2021-07-30 13:11:36');
INSERT INTO complaint_remarks VALUES('10035','7918','COMPLAINT RESOLVED','74','2021-07-30 13:25:46','2021-07-30 13:25:46');
INSERT INTO complaint_remarks VALUES('10036','8421','COMPLAINT IN PROCESS HAIN SHAHID SIR YHA COMPLAINT ATTEND KARWAY GAY CUSTOMER NA KHUD SUBHA KA TIME DIA HAIN','74','2021-07-30 16:49:58','2021-07-30 16:49:58');
INSERT INTO complaint_remarks VALUES('10037','8470','COMPLAINT PA SHAHID TECHNICIAN COMPLAINT ATTEND KI HAIN SYSTEM BOARD JAL GAYA HAIN CUSTOMER KO 10000 KA EXP B CUSTOMER KO BATA DIA','74','2021-07-30 17:17:02','2021-07-30 17:17:02');
INSERT INTO complaint_remarks VALUES('10038','7047','TANK DEMAND KIYA HOA HAIN MONDAY TUESDAY TAQ TANK AAJAY GAY INFORMED BY ZEESHAN BEHIRA07','74','2021-07-30 17:30:55','2021-07-30 17:30:55');
INSERT INTO complaint_remarks VALUES('10039','8430','COMPLAINT ATTEND HO GI HA CUSTOMER CHECK CKRI HA 24 HOURS KA BD CONFERMED HO GA','74','2021-07-31 10:55:47','2021-07-31 10:55:47');
INSERT INTO complaint_remarks VALUES('10040','8431','ISSUED RESOLVED','74','2021-07-31 10:56:47','2021-07-31 10:56:47');
INSERT INTO complaint_remarks VALUES('10041','8486','COMPLAINT RESOLVED','92','2021-07-31 11:06:39','2021-07-31 11:06:39');
INSERT INTO complaint_remarks VALUES('10042','8319','KAL ATTEND HO GE COMPLAINT INFORM KAR DEYA HAY CUSTOMER KO','92','2021-07-31 11:11:21','2021-07-31 11:11:21');
INSERT INTO complaint_remarks VALUES('10043','8434','AJ ATTEND HO GI','74','2021-07-31 11:13:16','2021-07-31 11:13:16');
INSERT INTO complaint_remarks VALUES('10044','8436','COMPLAINT ATTEND HI NI HUI ABI TK','74','2021-07-31 11:15:21','2021-07-31 11:15:21');
INSERT INTO complaint_remarks VALUES('10045','8438','NOT ATTENDING CALL','74','2021-07-31 11:25:39','2021-07-31 11:25:39');
INSERT INTO complaint_remarks VALUES('10046','8441','ISSUED RESOLVED','74','2021-07-31 11:26:47','2021-07-31 11:26:47');
INSERT INTO complaint_remarks VALUES('10047','8443','NOT ATTENDING CALL','74','2021-07-31 11:29:42','2021-07-31 11:29:42');
INSERT INTO complaint_remarks VALUES('10048','8447','CUSTOMER NOT ATTEND CALL','92','2021-07-31 11:29:43','2021-07-31 11:29:43');
INSERT INTO complaint_remarks VALUES('10049','8445','ISSUED RESOLVED','74','2021-07-31 11:30:44','2021-07-31 11:30:44');
INSERT INTO complaint_remarks VALUES('10050','8452','COMPLAINT ABI TK ATTEND NI HUI','74','2021-07-31 11:37:57','2021-07-31 11:37:57');
INSERT INTO complaint_remarks VALUES('10051','8476','03105068546 
USMAN TACTION 03155198727','92','2021-07-31 11:42:32','2021-07-31 11:42:32');
INSERT INTO complaint_remarks VALUES('10052','8489','03155198727 USMAN TACTION','92','2021-07-31 11:43:03','2021-07-31 11:43:03');
INSERT INTO complaint_remarks VALUES('10053','8377','ISSUED RESOLVED','74','2021-07-31 11:44:59','2021-07-31 11:44:59');
INSERT INTO complaint_remarks VALUES('10054','8379','NOT ATTENDING CALL','74','2021-07-31 11:49:32','2021-07-31 11:49:32');
INSERT INTO complaint_remarks VALUES('10055','8380','COMPLAINT ATTEND HO GAI HA ISSUED NOT RESOLVED','74','2021-07-31 11:54:14','2021-07-31 11:54:14');
INSERT INTO complaint_remarks VALUES('10056','8381','ISSUED RESOLVED','74','2021-07-31 11:56:21','2021-07-31 11:56:21');
INSERT INTO complaint_remarks VALUES('10057','8396','CUSTOMER NOT ATTEND CALL','92','2021-07-31 12:05:18','2021-07-31 12:05:18');
INSERT INTO complaint_remarks VALUES('10058','8394','COMPLAINT ATTEND HO GAE HAY BOARD ISSUE COMPLAINT IN PROCESS','92','2021-07-31 12:07:12','2021-07-31 12:07:12');
INSERT INTO complaint_remarks VALUES('10059','8382','TECHNISION NA RAAT KO CAL KI THI CUSTOMR BUSY THA AJ ATTEND HO GI','74','2021-07-31 12:09:24','2021-07-31 12:09:24');
INSERT INTO complaint_remarks VALUES('10060','8338','COMPLAINT ATTEND HO GAE HAY ICE ISSUE HAY UNIT LIFT HO GA S/C IN PROCESS COMPLAINT','92','2021-07-31 12:10:11','2021-07-31 12:10:11');
INSERT INTO complaint_remarks VALUES('10061','8384','UNIT K PARTS S/C CHLA  GAI HA KCH DINO MA WAPIS AI GA TO RESOLVED HO GI','74','2021-07-31 12:13:34','2021-07-31 12:13:34');
INSERT INTO complaint_remarks VALUES('10062','8430','COMPLAINT RESOLVED','92','2021-07-31 12:16:52','2021-07-31 12:16:52');
INSERT INTO complaint_remarks VALUES('10063','8386','NOT ATTENDING CALL','74','2021-07-31 12:17:37','2021-07-31 12:17:37');
INSERT INTO complaint_remarks VALUES('10064','8387','NOT ATENDING CALL','74','2021-07-31 12:18:58','2021-07-31 12:18:58');
INSERT INTO complaint_remarks VALUES('10065','8428','COMPLAINT ATTEND HO GAE HAY UNIT CUSTOMER AJ S/C LAY GAY','92','2021-07-31 12:19:24','2021-07-31 12:19:24');
INSERT INTO complaint_remarks VALUES('10066','8393','CUSTOMER NOT ATTEND CALL','92','2021-07-31 12:21:04','2021-07-31 12:21:04');
INSERT INTO complaint_remarks VALUES('10067','8388','NOT ATTENDING CALL','74','2021-07-31 12:22:11','2021-07-31 12:22:11');
INSERT INTO complaint_remarks VALUES('10068','8425','TACTION NAY CONTACT KEYA BUT CUSTOMER NAY UNIT REPLACE KARNA HAY PWD BRANCH MAY BAT HO GE HAY CUSTOMER KI SO COMPLAINT CLOSED','92','2021-07-31 12:23:04','2021-07-31 12:23:04');
INSERT INTO complaint_remarks VALUES('10069','8389','NOT ATTENDING CALL','74','2021-07-31 12:24:01','2021-07-31 12:24:01');
INSERT INTO complaint_remarks VALUES('10070','8392','NOT ATTENDING CALL','74','2021-07-31 12:26:03','2021-07-31 12:26:03');
INSERT INTO complaint_remarks VALUES('10071','8392','COMPLAINT RESOLVED','92','2021-07-31 12:27:01','2021-07-31 12:27:01');
INSERT INTO complaint_remarks VALUES('10072','8423','COMPLAINT RESOLVED','92','2021-07-31 12:30:19','2021-07-31 12:30:19');
INSERT INTO complaint_remarks VALUES('10073','8391','COMPLAINT RESOLVED','92','2021-07-31 12:30:53','2021-07-31 12:30:53');
INSERT INTO complaint_remarks VALUES('10074','8389','MACHINE MA KOI MASLA NI TECH OR COMPANY SA POUCHA HA CUSTOMER KO MACHINE PASND NI AI ISS LIA COMPLAINT KI USKA KHANA HA K BARA DAAGH NI SAAF KRI JBB TECH KI TRF SA IASSUE NI UNIT OK HA','74','2021-07-31 12:31:47','2021-07-31 12:31:47');
INSERT INTO complaint_remarks VALUES('10075','8427','CUSTOMER OUT OF CITY THA ISSUED RESOLVEED NI HUA AJ TEC DOBARA RBTA KRA GA','74','2021-07-31 12:36:05','2021-07-31 12:36:05');
INSERT INTO complaint_remarks VALUES('10076','8420','ISSUED RESOLVED','74','2021-07-31 12:38:14','2021-07-31 12:38:14');
INSERT INTO complaint_remarks VALUES('10077','8419','ISSUED RESOLVED','74','2021-07-31 12:40:11','2021-07-31 12:40:11');
INSERT INTO complaint_remarks VALUES('10078','8418','NOT ATTENDING CALL','74','2021-07-31 12:42:33','2021-07-31 12:42:33');
INSERT INTO complaint_remarks VALUES('10079','8416','FRENDS K BNDA WAHIN PR HA UNIT REPLACE HO RAHA  HA','74','2021-07-31 12:44:25','2021-07-31 12:44:25');
INSERT INTO complaint_remarks VALUES('10080','8415','NOT ATTENDING','74','2021-07-31 12:49:39','2021-07-31 12:49:39');
INSERT INTO complaint_remarks VALUES('10081','8386','AJ ATTEND HO GE COMPLAINT','92','2021-07-31 12:49:48','2021-07-31 12:49:48');
INSERT INTO complaint_remarks VALUES('10082','8414','ISSUED RESOLVED','74','2021-07-31 12:52:07','2021-07-31 12:52:07');
INSERT INTO complaint_remarks VALUES('10083','8344','COMPLAINT RESOLVED','92','2021-07-31 12:52:53','2021-07-31 12:52:53');
INSERT INTO complaint_remarks VALUES('10084','8408','NOT ATTENDING','74','2021-07-31 12:59:16','2021-07-31 12:59:16');
INSERT INTO complaint_remarks VALUES('10085','8407','ISSUED RESOLVED','74','2021-07-31 13:01:32','2021-07-31 13:01:32');
INSERT INTO complaint_remarks VALUES('10086','8396','COMPLAINT RESOLVED','92','2021-07-31 13:02:13','2021-07-31 13:02:13');
INSERT INTO complaint_remarks VALUES('10087','8406','ISSUED RESOLVED','74','2021-07-31 13:03:29','2021-07-31 13:03:29');
INSERT INTO complaint_remarks VALUES('10088','8272','COMPLAINT RESOLVED','92','2021-07-31 13:06:16','2021-07-31 13:06:16');
INSERT INTO complaint_remarks VALUES('10089','8405','NOT ATTENDING','74','2021-07-31 13:09:27','2021-07-31 13:09:27');
INSERT INTO complaint_remarks VALUES('10090','8309','COMPLAINT RESOLVED','92','2021-07-31 13:11:13','2021-07-31 13:11:13');
INSERT INTO complaint_remarks VALUES('10091','8404','PART KA ISSUE HA ISSUED ABI TK RESOLVED NI KL TKWAPIS  AI GA TECH','74','2021-07-31 13:11:48','2021-07-31 13:11:48');
INSERT INTO complaint_remarks VALUES('10092','8314','COMPLAINT RESOLVED','92','2021-07-31 13:12:59','2021-07-31 13:12:59');
INSERT INTO complaint_remarks VALUES('10093','8402','ISSUED RESOLVED HO GYA HA AGR DOBARA ISSUE AYA TO CUSTOMER BTA DAIN GA','74','2021-07-31 13:15:19','2021-07-31 13:15:19');
INSERT INTO complaint_remarks VALUES('10094','7493','COMPLAINT RESOLVED','92','2021-07-31 13:15:53','2021-07-31 13:15:53');
INSERT INTO complaint_remarks VALUES('10095','8400','NO ATTENDING CALL','74','2021-07-31 13:17:36','2021-07-31 13:17:36');
INSERT INTO complaint_remarks VALUES('10096','8405','COMPLAINT RESOLVED','92','2021-07-31 13:17:52','2021-07-31 13:17:52');
INSERT INTO complaint_remarks VALUES('10097','8398','NOT ATTENDING','74','2021-07-31 13:19:57','2021-07-31 13:19:57');
INSERT INTO complaint_remarks VALUES('10098','8388','ISSUED RESOLVED HA  UNIT MA KOI ISSUE NI HA INSTALAR KA FAULT HA CUSTOMER KO TEH NISION NA INFORMED KRDIA AB INSTALAR SA RBTA KRK CUSTOMER ISSUE RESOLVED KRAI GA','74','2021-07-31 13:34:24','2021-07-31 13:34:24');
INSERT INTO complaint_remarks VALUES('10099','8330','ISSUED NOT RESOLVED','74','2021-07-31 13:52:59','2021-07-31 13:52:59');
INSERT INTO complaint_remarks VALUES('10100','8334','NOT ATTENDING','74','2021-07-31 13:56:24','2021-07-31 13:56:24');
INSERT INTO complaint_remarks VALUES('10101','8345','ISSUED RESOLVED','74','2021-07-31 13:58:00','2021-07-31 13:58:00');
INSERT INTO complaint_remarks VALUES('10102','8349','ISSUED RESOLVED','74','2021-07-31 14:01:27','2021-07-31 14:01:27');
INSERT INTO complaint_remarks VALUES('10103','8348','ISSUED RESOLVED','74','2021-07-31 14:02:39','2021-07-31 14:02:39');
INSERT INTO complaint_remarks VALUES('10104','8350','ISSUED RESOLVED','74','2021-07-31 14:03:55','2021-07-31 14:03:55');
INSERT INTO complaint_remarks VALUES('10105','8398','ISSUED RESOLVED','74','2021-07-31 14:05:41','2021-07-31 14:05:41');
INSERT INTO complaint_remarks VALUES('10106','8352','ISSUED RESOLVED','74','2021-07-31 14:08:25','2021-07-31 14:08:25');
INSERT INTO complaint_remarks VALUES('10107','8354','NOT VISTTED YET','74','2021-07-31 14:12:35','2021-07-31 14:12:35');
INSERT INTO complaint_remarks VALUES('10108','8246','COMPLAINT ATTEND HO GAE HAY IN PROCESS','92','2021-07-31 14:15:32','2021-07-31 14:15:32');
INSERT INTO complaint_remarks VALUES('10109','8355','NOT ATTENDING CALL','74','2021-07-31 14:16:23','2021-07-31 14:16:23');
INSERT INTO complaint_remarks VALUES('10110','8127','CUSTOMER COMPLAINT ATTEND NAI KARWANA CHATAY COMPLAINT CLOSED','92','2021-07-31 14:17:20','2021-07-31 14:17:20');
INSERT INTO complaint_remarks VALUES('10111','8125','COMPLAINT RESOLVED','92','2021-07-31 14:19:24','2021-07-31 14:19:24');
INSERT INTO complaint_remarks VALUES('10112','8356','ATTEND HO GAI  PANEL ISSUE HA CHANGE HO SKTA HA BUT CUSTOMER  KO REPLACEMENT DEMAND HA BECAUS CUSTOMER VARENTY CARD NI SAI MILA','74','2021-07-31 14:23:36','2021-07-31 14:23:36');
INSERT INTO complaint_remarks VALUES('10113','8137','COMPLAINT RESOLVED','92','2021-07-31 14:24:24','2021-07-31 14:24:24');
INSERT INTO complaint_remarks VALUES('10114','8357','ISSUED RESOLVED HA GAS ISSUE THA  HO GYAB HA','74','2021-07-31 14:27:24','2021-07-31 14:27:24');
INSERT INTO complaint_remarks VALUES('10115','8095','COMPLAINT RESOLVED','92','2021-07-31 14:28:53','2021-07-31 14:28:53');
INSERT INTO complaint_remarks VALUES('10116','8359','ABI TK DOBARA VISIT NI HUA','74','2021-07-31 14:31:11','2021-07-31 14:31:11');
INSERT INTO complaint_remarks VALUES('10117','8361','NOT ATTENDING CALL','74','2021-07-31 14:38:17','2021-07-31 14:38:17');
INSERT INTO complaint_remarks VALUES('10118','8436','03411505820 BAHRAM TACTION','92','2021-07-31 14:38:38','2021-07-31 14:38:38');
INSERT INTO complaint_remarks VALUES('10119','8363','NOT ATTENDING','74','2021-07-31 14:39:11','2021-07-31 14:39:11');
INSERT INTO complaint_remarks VALUES('10120','8366','NI ATTEND HUI ABI TK','74','2021-07-31 14:40:48','2021-07-31 14:40:48');
INSERT INTO complaint_remarks VALUES('10121','8367','ISSUED RESOLVED','74','2021-07-31 14:43:52','2021-07-31 14:43:52');
INSERT INTO complaint_remarks VALUES('10122','8372','CUSTOMER NA CALL KAT DI','74','2021-07-31 14:46:37','2021-07-31 14:46:37');
INSERT INTO complaint_remarks VALUES('10123','8374','ISSUED RESOLVED','74','2021-07-31 14:47:35','2021-07-31 14:47:35');
INSERT INTO complaint_remarks VALUES('10124','8460','COMPLAINT ATTEND HO GAE HAY MOTOR ISSUE COMPLAINT IN PROCESS','92','2021-07-31 14:51:51','2021-07-31 14:51:51');
INSERT INTO complaint_remarks VALUES('10125','8436','KAL ATTEND HO GE COMPLAINT CUSTOMER KO INFORM KAR DEYA HAY','92','2021-07-31 14:53:46','2021-07-31 14:53:46');
INSERT INTO complaint_remarks VALUES('10126','8375','CUSTOMER KA REF REPLACEMENT KA KAHA HA COMPANY  SIDE SA','74','2021-07-31 14:57:08','2021-07-31 14:57:08');
INSERT INTO complaint_remarks VALUES('10127','8141','COMPLAINT RESOLVED','92','2021-07-31 14:57:09','2021-07-31 14:57:09');
INSERT INTO complaint_remarks VALUES('10128','8421','PC CARD REPLACE HO GAYA HAIN COMPLAINT RESOLVED INFORMED BY KHURRAM SIR','74','2021-07-31 14:58:40','2021-07-31 14:58:40');
INSERT INTO complaint_remarks VALUES('10129','8379','ISSUED NOT RESOLVED COLING ISSUE DO DAFA VISIT B HO CHUKA HA','74','2021-07-31 15:00:51','2021-07-31 15:00:51');
INSERT INTO complaint_remarks VALUES('10130','8324','COMPLAINT RESOLVED','92','2021-07-31 15:04:30','2021-07-31 15:04:30');
INSERT INTO complaint_remarks VALUES('10131','8226','CUSTOMER SIDE SA DELAY TEC NA 2 DAFA VISIT KIA','74','2021-07-31 15:05:16','2021-07-31 15:05:16');
INSERT INTO complaint_remarks VALUES('10132','8229','ISSUED RESOLVED','74','2021-07-31 15:07:32','2021-07-31 15:07:32');
INSERT INTO complaint_remarks VALUES('10133','8170','COMPLAINT RESOLVED','92','2021-07-31 15:08:26','2021-07-31 15:08:26');
INSERT INTO complaint_remarks VALUES('10134','8235','STILL IN S/C','74','2021-07-31 15:10:02','2021-07-31 15:10:02');
INSERT INTO complaint_remarks VALUES('10135','8325','ASLAMSIR NA REPLACEMENT KI APPROVAL DA DI HAIN INFORMED BY KHURRAM SIR&NAVEED FCP','74','2021-07-31 15:10:07','2021-07-31 15:10:07');
INSERT INTO complaint_remarks VALUES('10136','8240','COMPLAINT ATTEND  VISIT HO GYA HA 2 3 TK CUSTOMER CONFERMED KRA GA','74','2021-07-31 15:11:43','2021-07-31 15:11:43');
INSERT INTO complaint_remarks VALUES('10137','8372','COMPLAINT RESOLVED','92','2021-07-31 15:13:27','2021-07-31 15:13:27');
INSERT INTO complaint_remarks VALUES('10138','8246','VISIT HO GYA HA ABI TK RESOLVED NI HUA','74','2021-07-31 15:14:56','2021-07-31 15:14:56');
INSERT INTO complaint_remarks VALUES('10139','8254','UNIT AGYA HA TAHIR SIR NA INSTALL KRNA HA BSS','74','2021-07-31 15:16:40','2021-07-31 15:16:40');
INSERT INTO complaint_remarks VALUES('10140','8278','COMPLAINT ATTEND HO GAE HAY MOTOR ISSUE COMPLAINT IN PROCESS','92','2021-07-31 15:18:41','2021-07-31 15:18:41');
INSERT INTO complaint_remarks VALUES('10141','8311','ASLAM  SAB KO INVOICE&COMPLAINT # SHER KAR DIA','74','2021-07-31 15:23:21','2021-07-31 15:23:21');
INSERT INTO complaint_remarks VALUES('10142','8169','INDOOR PCB ISSUE  COMPLAINT IN PROCESS','92','2021-07-31 15:27:38','2021-07-31 15:27:38');
INSERT INTO complaint_remarks VALUES('10143','8276','COMPLAINT REOPEN HO GI AB VISIT HO GA','74','2021-07-31 15:29:06','2021-07-31 15:29:06');
INSERT INTO complaint_remarks VALUES('10144','7744','CUSTOMER GHAR PAR NAI HAY JAB AYN GAY TAB REOPEN KARWAY GAY COMPLAINT COMPLAINT CLOSED','92','2021-07-31 15:38:57','2021-07-31 15:38:57');
INSERT INTO complaint_remarks VALUES('10145','7758','COMPLAINT RESOLVED','92','2021-07-31 15:40:55','2021-07-31 15:40:55');
INSERT INTO complaint_remarks VALUES('10146','8387','COMPLAINT RESOLVED','92','2021-07-31 15:47:57','2021-07-31 15:47:57');
INSERT INTO complaint_remarks VALUES('10147','8131','B COOL NA YHA UNIT ORIENT S/C MAIN  WORKINGIN PROCESS HAIN INFORMED BY KHURRAM SIR','74','2021-07-31 15:53:03','2021-07-31 15:53:03');
INSERT INTO complaint_remarks VALUES('10148','8363','INSTALLATION FAULT INSTALLATION CUSTOMER NAY APNAY TECHNICIAN  SAY KARWAYA THA SO COMPLAINT CLOSED','92','2021-07-31 16:07:21','2021-07-31 16:07:21');
INSERT INTO complaint_remarks VALUES('10149','8460','SWING MOTER DEMAND KI HAIN ASLAM SIR KO INFORMED KAR DIA','74','2021-07-31 16:09:49','2021-07-31 16:09:49');
INSERT INTO complaint_remarks VALUES('10150','8378','COMPLAINT RESOLVED','92','2021-07-31 16:11:18','2021-07-31 16:11:18');
INSERT INTO complaint_remarks VALUES('10151','8515','D.O.P:9-MAR-2021','73','2021-07-31 16:16:43','2021-07-31 16:16:43');
INSERT INTO complaint_remarks VALUES('10152','7999','CUSTOMER NOT ATTEND CALL','92','2021-07-31 17:19:16','2021-07-31 17:19:16');
INSERT INTO complaint_remarks VALUES('10153','7956','04235125454 LAHORE S/C NO','92','2021-07-31 17:34:19','2021-07-31 17:34:19');
INSERT INTO complaint_remarks VALUES('10154','8447','ISSUED RESOLVED','74','2021-07-31 17:37:38','2021-07-31 17:37:38');
INSERT INTO complaint_remarks VALUES('10155','7641','COMPLAINT RESOLVED','92','2021-07-31 17:40:06','2021-07-31 17:40:06');
INSERT INTO complaint_remarks VALUES('10156','8543','d.o.p:7-jul-2021','106','2021-07-31 17:55:55','2021-07-31 17:55:55');
INSERT INTO complaint_remarks VALUES('10157','8543','customer na complaint cancel  krwa di ha customer bd ma attend krai ga','106','2021-07-31 17:57:56','2021-07-31 17:57:56');
INSERT INTO complaint_remarks VALUES('10158','7684','COMPLAINT ATTEND HO GAE HAY UNIT S/C MAY HAY WORKING IN PROCESS','92','2021-07-31 18:04:40','2021-07-31 18:04:40');
INSERT INTO complaint_remarks VALUES('10159','7557','COMPLAINT RESOLVED','92','2021-07-31 18:23:14','2021-07-31 18:23:14');
INSERT INTO complaint_remarks VALUES('10160','8330','CUSTOME3R SA BAT HO GEI HAIN USAMA TECHNICIAN KO  B REMINDER DA DIA VISIT K LIYA','74','2021-07-31 18:38:06','2021-07-31 18:38:06');
INSERT INTO complaint_remarks VALUES('10161','7834','COMPLAINT RESOLVED','92','2021-08-01 11:02:59','2021-08-01 11:02:59');
INSERT INTO complaint_remarks VALUES('10162','8150','COMPLAINT RESOLVED','92','2021-08-01 11:08:14','2021-08-01 11:08:14');
INSERT INTO complaint_remarks VALUES('10163','8478','ISSUED RESOLVED','106','2021-08-01 11:13:33','2021-08-01 11:13:33');
INSERT INTO complaint_remarks VALUES('10164','8302','CUSTOMER NAY CALL ATTEND NAI KI JIS KI WAJA SAY COMPLAINT PENDING THI AGAIN S/C MAY REMINDER DAY DEYA HAY','92','2021-08-01 11:15:08','2021-08-01 11:15:08');
INSERT INTO complaint_remarks VALUES('10165','8476','NOT ATTENDING','106','2021-08-01 11:15:46','2021-08-01 11:15:46');
INSERT INTO complaint_remarks VALUES('10166','8454','ISSUED RESOLVED','106','2021-08-01 11:17:09','2021-08-01 11:17:09');
INSERT INTO complaint_remarks VALUES('10167','8452','NOT ATTENDING CALL','106','2021-08-01 11:19:23','2021-08-01 11:19:23');
INSERT INTO complaint_remarks VALUES('10168','8452','NOT ATTENDING CALL','106','2021-08-01 11:19:26','2021-08-01 11:19:26');
INSERT INTO complaint_remarks VALUES('10169','8481','COMPANY K TECHNETION NAY VISIT KEYA HAY INSTALLER FAULT HAY CUSTOMER NAY LOCAL TECTION SAY INSTALL KARWAYA HAY AC CUSTOMER SAY CONFORM KAR K COMPLAINT CLOSED','92','2021-08-01 11:24:18','2021-08-01 11:24:18');
INSERT INTO complaint_remarks VALUES('10170','7144','COMPLAINT RESOLVED','73','2021-08-01 11:33:16','2021-08-01 11:33:16');
INSERT INTO complaint_remarks VALUES('10171','8462','ISSUED RESOLVED','106','2021-08-01 11:39:00','2021-08-01 11:39:00');
INSERT INTO complaint_remarks VALUES('10172','8466','ISSUED RESOLVED','106','2021-08-01 11:42:13','2021-08-01 11:42:13');
INSERT INTO complaint_remarks VALUES('10173','8472','COMPLAINT RESOLVED','92','2021-08-01 11:44:45','2021-08-01 11:44:45');
INSERT INTO complaint_remarks VALUES('10174','8464','COMPLAINT ATTEND HO GAE HAY UNIT LIFT IN S/C WORKING IN PROCESS','92','2021-08-01 11:51:02','2021-08-01 11:51:02');
INSERT INTO complaint_remarks VALUES('10175','8300','CUSTOMER NOT ATTEND CALL','92','2021-08-01 11:59:58','2021-08-01 11:59:58');
INSERT INTO complaint_remarks VALUES('10176','6445','NOT ATTEND CALL','92','2021-08-01 12:14:56','2021-08-01 12:14:56');
INSERT INTO complaint_remarks VALUES('10177','7519','COMPLAINT RESOLVED','92','2021-08-01 12:30:04','2021-08-01 12:30:04');
INSERT INTO complaint_remarks VALUES('10178','7598','COMPLAINT RESOLVED','92','2021-08-01 12:32:30','2021-08-01 12:32:30');
INSERT INTO complaint_remarks VALUES('10179','8319','AJ 05 BAJAY KA TIME FIX HUA HAY CUSTOMER K SAT','92','2021-08-01 12:42:20','2021-08-01 12:42:20');
INSERT INTO complaint_remarks VALUES('10180','7497','COMPLAINT ATTEND HO GAE HAY TECHNICIAN PICK B BANA KAR LAY GAY HAY UNIT KI MONDAY KO ABDATE KARAY GAY S/C WALAY COMPLAINT IN PROCESS','92','2021-08-01 12:55:12','2021-08-01 12:55:12');
INSERT INTO complaint_remarks VALUES('10181','8457','NOT ATTENDING','106','2021-08-01 13:12:16','2021-08-01 13:12:16');
INSERT INTO complaint_remarks VALUES('10182','8464','0515178404 0515112160
S/C NO','92','2021-08-01 13:12:59','2021-08-01 13:12:59');
INSERT INTO complaint_remarks VALUES('10183','8300','COMPLAINT RESOLVED','92','2021-08-01 13:15:46','2021-08-01 13:15:46');
INSERT INTO complaint_remarks VALUES('10184','8449','COMPLAINT ATTEND NI HUI ABI TK','106','2021-08-01 13:17:15','2021-08-01 13:17:15');
INSERT INTO complaint_remarks VALUES('10185','8283','COMPLAINT RESOLVED','92','2021-08-01 13:18:09','2021-08-01 13:18:09');
INSERT INTO complaint_remarks VALUES('10186','8415','NOT ATTENDING CALL','106','2021-08-01 13:22:35','2021-08-01 13:22:35');
INSERT INTO complaint_remarks VALUES('10187','8296','ISSUED RESOLVED','106','2021-08-01 13:24:19','2021-08-01 13:24:19');
INSERT INTO complaint_remarks VALUES('10188','6630','CUSTOMER OUT OF STATION THA TECH NA DOBARA VISIT KIA THA','106','2021-08-01 13:27:10','2021-08-01 13:27:10');
INSERT INTO complaint_remarks VALUES('10189','8090','PART ISSUE COMPLAINT IN PROCESS','92','2021-08-01 13:30:26','2021-08-01 13:30:26');
INSERT INTO complaint_remarks VALUES('10190','6789','UNIT ABI TK LIFT HI NI HUA','106','2021-08-01 13:33:39','2021-08-01 13:33:39');
INSERT INTO complaint_remarks VALUES('10191','8382','ISSUED RESOLVED','106','2021-08-01 13:47:13','2021-08-01 13:47:13');
INSERT INTO complaint_remarks VALUES('10192','8482','INKA PCB KA ISSUE HA TECH  NA KLL KA TIME DIA','106','2021-08-01 14:15:13','2021-08-01 14:15:13');
INSERT INTO complaint_remarks VALUES('10193','8476','INKA INVERTER MA MASLA AIK VISIT HO GYA HA TECH NA MONDA KO DOBARA VISIT KRNA HA','106','2021-08-01 14:25:00','2021-08-01 14:25:00');
INSERT INTO complaint_remarks VALUES('10194','8475','INKA THERMOSTATE KA MASLA HA AIK VISIT HO GYA HA MONDA KO DOBARA VISIT HO GA','106','2021-08-01 14:29:08','2021-08-01 14:29:08');
INSERT INTO complaint_remarks VALUES('10195','8474','ISSUED RESOLVED','106','2021-08-01 14:34:47','2021-08-01 14:34:47');
INSERT INTO complaint_remarks VALUES('10196','8473','NOT ATTENDING CALL','106','2021-08-01 14:39:38','2021-08-01 14:39:38');
INSERT INTO complaint_remarks VALUES('10197','8469','ISSUED RESOLVED','106','2021-08-01 14:40:56','2021-08-01 14:40:56');
INSERT INTO complaint_remarks VALUES('10198','8570','MODEL=2436S','73','2021-08-01 15:25:52','2021-08-01 15:25:52');
INSERT INTO complaint_remarks VALUES('10199','6450','AMEEN SA RBTA MA HA CUSTOMER ABI TK KOI RESPONSE NI HA','106','2021-08-01 16:02:37','2021-08-01 16:02:37');
INSERT INTO complaint_remarks VALUES('10200','7723','CUSTOMER NOT ATTEND CALL','92','2021-08-01 16:44:21','2021-08-01 16:44:21');
INSERT INTO complaint_remarks VALUES('10201','8254','TAHIR BEST COOL SIR SAY BAT HUAI HAY AJ UNIT INSTALL HO GA UNIT INFORM BY CUSTOMER','92','2021-08-01 16:53:40','2021-08-01 16:53:40');
INSERT INTO complaint_remarks VALUES('10202','8434','REF K DOOR PA CRACK HA AIK VISIT HO GIA HA TECH NA REPORT KRDI HA COMPANY KO AB MONDAY KO DOBARA VISIT HO GA INFORMED BY  CUSTOMER','106','2021-08-01 17:07:38','2021-08-01 17:07:38');
INSERT INTO complaint_remarks VALUES('10203','8443','TECHNISION NA  VISIT KRLIA UNIT LAHOR S/C JANA HA LEKIN CUSTOMER NA KAHA COMPLAINT CLOSED KRDOO  KU WO LOCAL TECHNISION  SA KRWAI GA','106','2021-08-01 17:14:18','2021-08-01 17:14:18');
INSERT INTO complaint_remarks VALUES('10204','7955','22-FEB-2021 
COM NO PKRI-210222101345  COMPANY MAY COMPLAINT CUSTOMER NAY KHUD KI THI 
11-JUNE-2021
COM NO PKRI-210611112507 YE B COMPLAINT CUSTOMER NAY KHUD COMPANY MAY KARWAI HAY 
17-JULY-2021
COM NO PKRI-210713104651 YE HAMARI TARAF SAY COMPLAINT FF HUAI HAY COMPANY KO 
27-JULY-2021
COM NO PKRI-210726106463 YE B COMPLAINT CUSTOMER NAY KHUD KARWAI HAY COMPANY MAY 
02 DAFA  S/C  MAY B AYA HAY UNIT 04 DAFA VISIT B HUA HAY','92','2021-08-01 17:38:55','2021-08-01 17:38:55');
INSERT INTO complaint_remarks VALUES('10205','8319','COMPLAINT RESOLVED','92','2021-08-02 10:56:18','2021-08-02 10:56:18');
INSERT INTO complaint_remarks VALUES('10206','8330','FAZAL ELAHI TECHNICIAN IC COMPLAINT KO ATTEND KARAY GAY 03008347257','74','2021-08-02 11:27:09','2021-08-02 11:27:09');
INSERT INTO complaint_remarks VALUES('10207','8482','AMEEN SIR GREE S/C MAY BAT HUAI HAY 02 DIN KA TIME DEYA HAY US K BAD PART AY GA S/C TAHIR BEST COOL SIR KO B INFORM KAR DEYA HAY OR CUSTOMER KO B','92','2021-08-02 11:28:24','2021-08-02 11:28:24');
INSERT INTO complaint_remarks VALUES('10208','8091','17-JULY-2021 
COM NO 13419 CUSTOMER NAY KHUD KARWAI HAY COMPLAINT COMPANY MAY 
25-JULY-2021
COM NO 13483 YE B COMPLAINT CUSTOMER NAY KHUD KARWAI HAY COMPANY MAY VISIT B   HO GAYA HAY 02 BAR BUT CUSTOMER COMPLAINT ATTEND NAI KARWANA CHATI REPLACE MENT KARWANA CHATI HAY UNIT WAQAR KENWOOD SIR SAY BAT HUAI HAY','92','2021-08-02 11:46:05','2021-08-02 11:46:05');
INSERT INTO complaint_remarks VALUES('10209','6116','SET ASLAM SIR NA OK KARWA DI HAIN BILAL MANZOOR SIR AJ PICK KARWA LAYGAY','74','2021-08-02 11:47:17','2021-08-02 11:47:17');
INSERT INTO complaint_remarks VALUES('10210','8502','issued resolved','106','2021-08-02 12:15:38','2021-08-02 12:15:38');
INSERT INTO complaint_remarks VALUES('10211','8501','NOT ATTENDING CALL','106','2021-08-02 12:18:48','2021-08-02 12:18:48');
INSERT INTO complaint_remarks VALUES('10212','8501','CUSTOMER KO AJ KA TIME DIA HA','106','2021-08-02 12:19:45','2021-08-02 12:19:45');
INSERT INTO complaint_remarks VALUES('10213','8500','ISSUED RESOLVED','106','2021-08-02 12:22:48','2021-08-02 12:22:48');
INSERT INTO complaint_remarks VALUES('10214','8499','TECH RBTA MA HA ABI TK AYA NI HA','106','2021-08-02 12:25:26','2021-08-02 12:25:26');
INSERT INTO complaint_remarks VALUES('10215','8496','TECH VISIT KR GAI HA UNIT S/C SHIFT HO GA KL KAN TIME DIA HA CUSTOMER KO','106','2021-08-02 12:27:37','2021-08-02 12:27:37');
INSERT INTO complaint_remarks VALUES('10216','7676','IMRAN TCL KO COMPLAINT#&CELL NO SHER KAR DIA','74','2021-08-02 12:38:14','2021-08-02 12:38:14');
INSERT INTO complaint_remarks VALUES('10217','8495','TECH NISION KI CALL AI HA AJ COMPLAINT ATTEND HO GI','106','2021-08-02 12:38:30','2021-08-02 12:38:30');
INSERT INTO complaint_remarks VALUES('10218','8254','AMIR SIR SA BT HO GEI HAIN VIT K LIYA','74','2021-08-02 12:39:05','2021-08-02 12:39:05');
INSERT INTO complaint_remarks VALUES('10219','8493','NOT ATTENDING CALL','106','2021-08-02 12:42:41','2021-08-02 12:42:41');
INSERT INTO complaint_remarks VALUES('10220','8206','TECTION SAY BAT HO GAE HAY AJ AGAIN SHOWROOM PAR VISIT HO GA MAZHAR SIR KO','92','2021-08-02 12:46:01','2021-08-02 12:46:01');
INSERT INTO complaint_remarks VALUES('10221','8490','NOT ATTENDING CALL','106','2021-08-02 12:47:24','2021-08-02 12:47:24');
INSERT INTO complaint_remarks VALUES('10222','8489','NOT ATTENDING CALL','106','2021-08-02 12:50:02','2021-08-02 12:50:02');
INSERT INTO complaint_remarks VALUES('10223','8489','ISSUED RESOLVED','106','2021-08-02 12:50:25','2021-08-02 12:50:25');
INSERT INTO complaint_remarks VALUES('10224','8489','REF REPLACE HO GI HA FREINDS SA','106','2021-08-02 12:50:55','2021-08-02 12:50:55');
INSERT INTO complaint_remarks VALUES('10225','7956','UNIT MA KIT KA MASLA HA STILL IN S/C UNDER PROCESS','106','2021-08-02 12:59:44','2021-08-02 12:59:44');
INSERT INTO complaint_remarks VALUES('10226','8385','03345066442 OTHER NUM','106','2021-08-02 13:09:35','2021-08-02 13:09:35');
INSERT INTO complaint_remarks VALUES('10227','8503','AK VISIT HO GAYA THA CUSTOMER UNIT S/C LIFT  KAR GAY HAY COMPLAINT IN PROCESS','92','2021-08-02 13:16:52','2021-08-02 13:16:52');
INSERT INTO complaint_remarks VALUES('10228','8498','CUSTOMER NOT ATTEND CALL','92','2021-08-02 13:20:48','2021-08-02 13:20:48');
INSERT INTO complaint_remarks VALUES('10229','8497','COMPLAINT RESOLVED','92','2021-08-02 13:32:19','2021-08-02 13:32:19');
INSERT INTO complaint_remarks VALUES('10230','8592','COSTUMER NE AJ KHUD COMPLAINT COMPANY MEIN KARWA DI HA..','73','2021-08-02 13:32:25','2021-08-02 13:32:25');
INSERT INTO complaint_remarks VALUES('10231','8497','CUSTOMER SAY BAT HUAI HAY SO COMPLAINT RESOLVED','92','2021-08-02 13:32:43','2021-08-02 13:32:43');
INSERT INTO complaint_remarks VALUES('10232','8483','CUSTOMER SAY BAT HUAI HAY AK VISIT HO GAYA HAY COMPLAINT IN PROCESS','92','2021-08-02 13:35:24','2021-08-02 13:35:24');
INSERT INTO complaint_remarks VALUES('10233','8455','COMPLAINT ATTEND HO GAE HAY PANEL ISSUE COMPLAINT IN PROCESS','92','2021-08-02 13:39:11','2021-08-02 13:39:11');
INSERT INTO complaint_remarks VALUES('10234','6764','OUT OFF WARRANTY W/COOLER HAIN CUSTOMER KO W/COOLER KA EXP BATA DIA THA KHURRAM BHI NA BUT CUSTOMER NA ABI TAQ APPROVAL NAI DI','74','2021-08-02 13:43:06','2021-08-02 13:43:06');
INSERT INTO complaint_remarks VALUES('10235','8453','CUSTOMER NOT ATTEND CALL','92','2021-08-02 13:52:05','2021-08-02 13:52:05');
INSERT INTO complaint_remarks VALUES('10236','8438','CUSTOMER SAY BAT HUAI HAY AK VISIT HO GAYA HAY COMPLAINT PAR OR CUSTOMER NAY UNIT S/C LIFT KARWA DEYA HAY COMPLAINT IN PROCESS','92','2021-08-02 13:54:22','2021-08-02 13:54:22');
INSERT INTO complaint_remarks VALUES('10237','8404','CUSTOMER SAY BAT HUAI HAY AK VISIT HO GAYA HAY COMPLAINT PAR PART ISSUE COMPLAINT IN PROCESS','92','2021-08-02 13:57:41','2021-08-02 13:57:41');
INSERT INTO complaint_remarks VALUES('10238','8449','NOT ATTENGING CALL','106','2021-08-02 14:08:54','2021-08-02 14:08:54');
INSERT INTO complaint_remarks VALUES('10239','8457','COMPLAINT HIGHLIGHTED','106','2021-08-02 14:17:55','2021-08-02 14:17:55');
INSERT INTO complaint_remarks VALUES('10240','7053','COMPLAINT ATTEND HO GEI HAIN REF TO S/C ASLAM SIR NA MOVE KARWANA','74','2021-08-02 14:22:02','2021-08-02 14:22:02');
INSERT INTO complaint_remarks VALUES('10241','8595','MODEL=96KF CHIMNEY','73','2021-08-02 14:38:28','2021-08-02 14:38:28');
INSERT INTO complaint_remarks VALUES('10242','7723','COMPLAINT RESOLVED','92','2021-08-02 15:01:46','2021-08-02 15:01:46');
INSERT INTO complaint_remarks VALUES('10243','7444','COMPLAINT HIGHLIGHTED','106','2021-08-02 15:02:34','2021-08-02 15:02:34');
INSERT INTO complaint_remarks VALUES('10244','7702','COMPLAINT HIGHLIGHTED IN PROCESS','106','2021-08-02 15:02:52','2021-08-02 15:02:52');
INSERT INTO complaint_remarks VALUES('10245','8328','NOT VISITED YET COMPLAINT HIGHLIGHTED','106','2021-08-02 15:03:48','2021-08-02 15:03:48');
INSERT INTO complaint_remarks VALUES('10246','7703','CUSTOMER SAY BAT HO GAE HAY COMPLAINT RESOLVED','92','2021-08-02 15:07:51','2021-08-02 15:07:51');
INSERT INTO complaint_remarks VALUES('10247','7684','COMPLAINT RESOLVED','92','2021-08-02 15:09:38','2021-08-02 15:09:38');
INSERT INTO complaint_remarks VALUES('10248','7762','CUSTOMER NOT ATTEND CALL','92','2021-08-02 15:12:52','2021-08-02 15:12:52');
INSERT INTO complaint_remarks VALUES('10249','7629','CUSTOMER NOT ATTEND CALL','92','2021-08-02 15:35:00','2021-08-02 15:35:00');
INSERT INTO complaint_remarks VALUES('10250','8408','COMPLAINT RESOLVED','74','2021-08-02 15:40:24','2021-08-02 15:40:24');
INSERT INTO complaint_remarks VALUES('10251','8403','COMPLAINT RESOLVED','74','2021-08-02 15:42:38','2021-08-02 15:42:38');
INSERT INTO complaint_remarks VALUES('10252','7998','NOT ATTENDING CALL','106','2021-08-02 15:47:22','2021-08-02 15:47:22');
INSERT INTO complaint_remarks VALUES('10253','7534','COMPLAINT RESOLVED','92','2021-08-02 15:48:09','2021-08-02 15:48:09');
INSERT INTO complaint_remarks VALUES('10254','7551','INSTALLER FALUT HAY BEST COOL SIR KO INFORM KAR DEYA HAY WO ATTEND KARWA RAHY HAY COMPLAINT ATTEND SO COMPLAINT CLOSED','92','2021-08-02 15:56:59','2021-08-02 15:56:59');
INSERT INTO complaint_remarks VALUES('10255','7184','TECH SA RBTA KIA H WO KAH RAHA HA KK KLL TK COMPANY SA CARD KA POUCH K BTAI GA','106','2021-08-02 16:02:50','2021-08-02 16:02:50');
INSERT INTO complaint_remarks VALUES('10256','7805','PART KA HI ISSUE COMPANY SIDE SA DELAY HA','106','2021-08-02 16:07:34','2021-08-02 16:07:34');
INSERT INTO complaint_remarks VALUES('10257','7962','CUSTOMER KI TRF SA DELAY KAFI DINOO S/C LA K JNA  THATS WHY COMPLAINT CLOSED','106','2021-08-02 16:11:25','2021-08-02 16:11:25');
INSERT INTO complaint_remarks VALUES('10258','7418','CUSTOMER NOT ATTEND CALL','92','2021-08-02 16:11:25','2021-08-02 16:11:25');
INSERT INTO complaint_remarks VALUES('10259','8361','03015861893 TALAT TECTION','92','2021-08-02 16:17:56','2021-08-02 16:17:56');
INSERT INTO complaint_remarks VALUES('10260','6450','CUSTOMER SAY BAT HUAI HAY AMEEN SIR NAY OUT DOOR REPLACE KAR DEYA HAY CUSTOMER KO SO COMPLAINT RESOLVED','92','2021-08-02 16:21:22','2021-08-02 16:21:22');
INSERT INTO complaint_remarks VALUES('10261','8091','03009204147 SHARAZ SUPER WISER','92','2021-08-02 17:05:04','2021-08-02 17:05:04');
INSERT INTO complaint_remarks VALUES('10262','8091','03009204147 SHARAZ SUPER WISER KENWOOD SIR SAY BAT HUAI HAY WO KAL CUSTOMER K GHAR SAY UNIT PICK KARWA LAY GAY CUSTOMER KO B INFORM KAR DEYA HAY','92','2021-08-02 17:07:56','2021-08-02 17:07:56');
INSERT INTO complaint_remarks VALUES('10263','8569','COMPLAINT ATTEND HO GEI HAI SPINEER S/C WORKING IN PROCESSS 051-4473080','74','2021-08-02 17:12:02','2021-08-02 17:12:02');
INSERT INTO complaint_remarks VALUES('10264','8415','COMPLAINT RESOLVED','92','2021-08-02 17:23:24','2021-08-02 17:23:24');
INSERT INTO complaint_remarks VALUES('10265','8157','NOT ATTENDING CALL','106','2021-08-02 17:30:24','2021-08-02 17:30:24');
INSERT INTO complaint_remarks VALUES('10266','7999','CUSTOMER SAY BAT HUAI HAY UNIT ABI B S/C MAY HAY IN PROCESS','92','2021-08-02 17:36:01','2021-08-02 17:36:01');
INSERT INTO complaint_remarks VALUES('10267','8394','COMPLAINT RESOLVED','92','2021-08-02 18:04:17','2021-08-02 18:04:17');
INSERT INTO complaint_remarks VALUES('10268','8131','COMPLAINT RESOLVED','92','2021-08-02 18:14:51','2021-08-02 18:14:51');
INSERT INTO complaint_remarks VALUES('10269','8131','UNIT S/C SAY READY HO KAR GAYA HAY CUSTOMER K GHAR COMPLAINT RESOLVED','92','2021-08-02 18:16:22','2021-08-02 18:16:22');
INSERT INTO complaint_remarks VALUES('10270','8482','S/C MAY BAT HUAI HAY COMPLAINT RESOLVED HO GAE HAY BUT CUSTOMER NOT ATTEND CALL','92','2021-08-02 18:20:11','2021-08-02 18:20:11');
INSERT INTO complaint_remarks VALUES('10271','8436','OUT OFF STATION KI COMPLAINT HAY IS LEAY COMPLAINT PENDING HO GAE THI TECTION SAY BAT HO GAE HAY KAL ATTEND HO GE COMPLAINT CUSTOMER KO IN FORM KAR DEYA HAY OR NAVEED FHHS SIR KO B INFORM KAR DEYA HAY','92','2021-08-02 18:31:11','2021-08-02 18:31:11');
INSERT INTO complaint_remarks VALUES('10272','8542','customer not sure confermed kr k btai ga','106','2021-08-03 10:53:39','2021-08-03 10:53:39');
INSERT INTO complaint_remarks VALUES('10273','8534','ISSUED RESOLVED','106','2021-08-03 10:58:49','2021-08-03 10:58:49');
INSERT INTO complaint_remarks VALUES('10274','8572','COMPLAIONT REOPEN KRA SDI HA DOBARA ISSUE ARA THA','106','2021-08-03 11:13:54','2021-08-03 11:13:54');
INSERT INTO complaint_remarks VALUES('10275','8616','COMPLAINT NUM NOT PROVIDED BY SYSTEM FAILURE','106','2021-08-03 11:17:02','2021-08-03 11:17:02');
INSERT INTO complaint_remarks VALUES('10276','8618','COSTUMER NE KHUD COMPLAINT COMPANY MEIN FORWRAD KARWAI HOI HA....','73','2021-08-03 11:24:33','2021-08-03 11:24:33');
INSERT INTO complaint_remarks VALUES('10277','8490','CUSTOMER KO CAALL KI HA CUSTOMER KAH RAHA HA K GHALAT NUM HA','106','2021-08-03 11:33:46','2021-08-03 11:33:46');
INSERT INTO complaint_remarks VALUES('10278','8492','VISIT HO GYA HA UNIT WORK SHOP ANA HA','106','2021-08-03 11:38:27','2021-08-03 11:38:27');
INSERT INTO complaint_remarks VALUES('10279','8593','03009831303 SHAZAD TECTION','92','2021-08-03 11:38:45','2021-08-03 11:38:45');
INSERT INTO complaint_remarks VALUES('10280','8493','TECH RBTA MA HA ABI TK VISIT NI HUA','106','2021-08-03 11:40:38','2021-08-03 11:40:38');
INSERT INTO complaint_remarks VALUES('10281','8494','NOT ATTENDING CALL','106','2021-08-03 11:43:44','2021-08-03 11:43:44');
INSERT INTO complaint_remarks VALUES('10282','8495','CUSTOMER NOT SURE','106','2021-08-03 11:50:36','2021-08-03 11:50:36');
INSERT INTO complaint_remarks VALUES('10283','8498','NOT ATTENDING CALL','106','2021-08-03 11:53:13','2021-08-03 11:53:13');
INSERT INTO complaint_remarks VALUES('10284','8499','NOT ATTENDING CALL','106','2021-08-03 11:56:36','2021-08-03 11:56:36');
INSERT INTO complaint_remarks VALUES('10285','8495','COMPLAINT RESOLVED','92','2021-08-03 12:01:08','2021-08-03 12:01:08');
INSERT INTO complaint_remarks VALUES('10286','8548','ISSUED RESOLVED','106','2021-08-03 12:03:48','2021-08-03 12:03:48');
INSERT INTO complaint_remarks VALUES('10287','8547','ISSUED RESOLVED','106','2021-08-03 12:05:40','2021-08-03 12:05:40');
INSERT INTO complaint_remarks VALUES('10288','8618','SHAHZAD TECTION 03095559763 CUSTOMER SAY BAT HO GAE HAY AJ ATTEND HO GE COMPLAINT','92','2021-08-03 12:07:07','2021-08-03 12:07:07');
INSERT INTO complaint_remarks VALUES('10289','8546','VISIT HUA HA MOTOR ISSUE HA KL TK RESOLVED HO JAI GA','106','2021-08-03 12:13:07','2021-08-03 12:13:07');
INSERT INTO complaint_remarks VALUES('10290','8545','ISSUED RESOLVED','106','2021-08-03 12:15:10','2021-08-03 12:15:10');
INSERT INTO complaint_remarks VALUES('10291','8424','03093334650  HANEEF TECTION','92','2021-08-03 12:16:35','2021-08-03 12:16:35');
INSERT INTO complaint_remarks VALUES('10292','8294','COMPLAINT ATTEND HO GAE HAY UNIT S/C MAY HAY COMPLAINT IN PROCESS','92','2021-08-03 12:23:09','2021-08-03 12:23:09');
INSERT INTO complaint_remarks VALUES('10293','8541','TECH RBTA MA HA AJ VISIT KRA GA','106','2021-08-03 12:34:01','2021-08-03 12:34:01');
INSERT INTO complaint_remarks VALUES('10294','8536','ABI TK VISIT N I HUA ADILL SIR SA BT HUI HA CUSTOMER KI','106','2021-08-03 12:40:37','2021-08-03 12:40:37');
INSERT INTO complaint_remarks VALUES('10295','8359','CUSTOMER SAY BAT HUAI HAY 2019 KI DOP HAY CARD ISSUE HAY CARD 03 DIN TAK AY GAY INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-03 12:40:59','2021-08-03 12:40:59');
INSERT INTO complaint_remarks VALUES('10296','8482','COMPLAINT RESOLVED','92','2021-08-03 12:43:24','2021-08-03 12:43:24');
INSERT INTO complaint_remarks VALUES('10297','8498','COMPLAINT RESOLVED','92','2021-08-03 12:58:37','2021-08-03 12:58:37');
INSERT INTO complaint_remarks VALUES('10298','8535','CUSTOMER NOT ATTEND CALL','92','2021-08-03 13:04:30','2021-08-03 13:04:30');
INSERT INTO complaint_remarks VALUES('10299','8535','TECHNISION NA VISIT KIA HA ISSUED NI RESOLVED HUA JB K TECH KA KHNA HA K COLING BILKUL OK HA','106','2021-08-03 13:13:38','2021-08-03 13:13:38');
INSERT INTO complaint_remarks VALUES('10300','8533','NOT ATTENDING CALL','106','2021-08-03 13:22:19','2021-08-03 13:22:19');
INSERT INTO complaint_remarks VALUES('10301','8532','NOT ATTENDING CALL','106','2021-08-03 13:24:23','2021-08-03 13:24:23');
INSERT INTO complaint_remarks VALUES('10302','8531','ABI TK VISIT NI HUA','106','2021-08-03 13:27:10','2021-08-03 13:27:10');
INSERT INTO complaint_remarks VALUES('10303','8530','ISSUED RESOLVED','106','2021-08-03 13:29:06','2021-08-03 13:29:06');
INSERT INTO complaint_remarks VALUES('10304','8526','NOT ATTENDING CALL','106','2021-08-03 13:34:04','2021-08-03 13:34:04');
INSERT INTO complaint_remarks VALUES('10305','8523','NOT ATTENDING CALL','106','2021-08-03 13:36:38','2021-08-03 13:36:38');
INSERT INTO complaint_remarks VALUES('10306','8522','TECH KI CALL AI HA SRF CUSTOMERB WAIT MA HA LEKIN KOI VISIT NI HUA','106','2021-08-03 13:39:15','2021-08-03 13:39:15');
INSERT INTO complaint_remarks VALUES('10307','8520','COMPLAINT ATTEND HO GI HA ISSUED RESOLVED AB CUSTOMER KO NAYA ISSUE ARA','106','2021-08-03 13:53:30','2021-08-03 13:53:30');
INSERT INTO complaint_remarks VALUES('10308','8516','TECH NA VISIT KIA HA COMPANY END SA WAARENTY KHTM HO CHUKI IS LIA TECH NA ISSUE NI RESOLVED KIA','106','2021-08-03 13:58:01','2021-08-03 13:58:01');
INSERT INTO complaint_remarks VALUES('10309','8515','CUSTOMER NOT ATTENDING CALL','106','2021-08-03 14:00:04','2021-08-03 14:00:04');
INSERT INTO complaint_remarks VALUES('10310','8532','CUSTOMER SAY BAT HUAI HAY CALL AYI THI TECTION KI BUT VISIT NAI HUA S/C MAY REMINDER DAY DEYA HAY','92','2021-08-03 14:00:37','2021-08-03 14:00:37');
INSERT INTO complaint_remarks VALUES('10311','8513','NOT ATTENDING CALL','106','2021-08-03 14:03:16','2021-08-03 14:03:16');
INSERT INTO complaint_remarks VALUES('10312','8511','NOT ATTENDING CALL','106','2021-08-03 14:06:02','2021-08-03 14:06:02');
INSERT INTO complaint_remarks VALUES('10313','8508','ABI TK KOI VISIT NI HUA CUSTOMER WAIT MA HA','106','2021-08-03 14:08:49','2021-08-03 14:08:49');
INSERT INTO complaint_remarks VALUES('10314','8507','ISSUED RESOLVED','106','2021-08-03 14:09:40','2021-08-03 14:09:40');
INSERT INTO complaint_remarks VALUES('10315','8506','TECH VISITED  WO KIT LA K CHLA GIA HA REPAIRE K LIA AGR REPAIR HO GI TO THK WRNA KIT CHANGE HO GI','106','2021-08-03 14:16:23','2021-08-03 14:16:23');
INSERT INTO complaint_remarks VALUES('10316','8505','TEC NA VIST KIA HA UNKA KHNA HA KK UNIT BILKUL OKINTALLER NA BRACKET GHLT LGAI HA JB K CUSTOMER KA KHNA HA K AWAZ UNIOT MA HA','106','2021-08-03 14:20:20','2021-08-03 14:20:20');
INSERT INTO complaint_remarks VALUES('10317','8520','CUSTOMER SAY BAT HUAI HAY AK VISIT HO GAYA HAY ISSUE RESOLVED HO GAYA THA AB AGAIN ISSUE AY RAHA HAY S/C MAY REMINDER DAY DEYA HAY','92','2021-08-03 14:28:25','2021-08-03 14:28:25');
INSERT INTO complaint_remarks VALUES('10318','7002','03142437277 AMIR TECTION','92','2021-08-03 15:01:30','2021-08-03 15:01:30');
INSERT INTO complaint_remarks VALUES('10319','6817','COMPLAINT RESOLVED','92','2021-08-03 15:06:56','2021-08-03 15:06:56');
INSERT INTO complaint_remarks VALUES('10320','6789','NAEEM KENWOOD SIR SAY BAT HUAI HAY KAL LIFT HO GA UNIT S/C MAY','92','2021-08-03 15:13:04','2021-08-03 15:13:04');
INSERT INTO complaint_remarks VALUES('10321','6756','CUSTOMER NOT ATTEND CALL','92','2021-08-03 15:14:50','2021-08-03 15:14:50');
INSERT INTO complaint_remarks VALUES('10322','8491','COMPLAINT RESOLVED','92','2021-08-03 15:46:11','2021-08-03 15:46:11');
INSERT INTO complaint_remarks VALUES('10323','7812','COMPLAINT RESOLVED','92','2021-08-03 15:54:07','2021-08-03 15:54:07');
INSERT INTO complaint_remarks VALUES('10324','7811','S/C MAY BAT HUAI HAY PART ISSUE COMPLAINT IN PROCESS','92','2021-08-03 15:56:58','2021-08-03 15:56:58');
INSERT INTO complaint_remarks VALUES('10325','8512','CUSTOMER SAY BAT HO GAE HAY WARANTI CARD NAI HAY CUSTOMER K PASS SO CUSTOMER NAY CLOSED KARWA DE HAY COMPLAINT SO COMPLAINT CLOSED','92','2021-08-03 16:05:07','2021-08-03 16:05:07');
INSERT INTO complaint_remarks VALUES('10326','8226','CUSTOMER NOT ATTEND CALL','92','2021-08-03 16:09:27','2021-08-03 16:09:27');
INSERT INTO complaint_remarks VALUES('10327','8334','COMPLAINT RESOLVED','92','2021-08-03 16:18:37','2021-08-03 16:18:37');
INSERT INTO complaint_remarks VALUES('10328','7175','NOT ATTENDING CALL','106','2021-08-03 16:22:35','2021-08-03 16:22:35');
INSERT INTO complaint_remarks VALUES('10329','7175','ISSUED RESOLVED','106','2021-08-03 16:24:36','2021-08-03 16:24:36');
INSERT INTO complaint_remarks VALUES('10330','8393','CUSTOMER NAY CALL ATTEND NAI KI JIS KI WAJA SAY COMPLAINT CLOSED HO GAE THI AGAIN S/C MAY REMINDER DAY DEYA HAY KAL AGAIN VISIT HO GA CUSTOMER KO INFORM KAR DEYA HAY','92','2021-08-03 16:30:16','2021-08-03 16:30:16');
INSERT INTO complaint_remarks VALUES('10331','8501','INKI UNITR C/C LA GAI HA 2 HAFTA KA TIME PERIAODE MA THK HO JAI GI COMPANY KI TRF SA','106','2021-08-03 16:30:57','2021-08-03 16:30:57');
INSERT INTO complaint_remarks VALUES('10332','8499','TEC VISIT KR GIA HA S/C SHIFT HO GA UNIT CUSTOMER KHD DELAY KRA FRIDAY KO CUSTOMER UNIT DELIVER KRA GA','106','2021-08-03 16:34:29','2021-08-03 16:34:29');
INSERT INTO complaint_remarks VALUES('10333','8515','COMPLAINT RESOLVED','92','2021-08-03 16:45:53','2021-08-03 16:45:53');
INSERT INTO complaint_remarks VALUES('10334','8400','NOT ATTENDING CALL','106','2021-08-03 16:48:13','2021-08-03 16:48:13');
INSERT INTO complaint_remarks VALUES('10335','8418','ISSUED RESOLVED','106','2021-08-03 16:49:19','2021-08-03 16:49:19');
INSERT INTO complaint_remarks VALUES('10336','8427','ISSUED RESOLVED','106','2021-08-03 16:52:32','2021-08-03 16:52:32');
INSERT INTO complaint_remarks VALUES('10337','8520','03335006355','106','2021-08-03 16:58:10','2021-08-03 16:58:10');
INSERT INTO complaint_remarks VALUES('10338','8618','COMPLAINT RESOLVED','92','2021-08-03 17:16:09','2021-08-03 17:16:09');
INSERT INTO complaint_remarks VALUES('10339','8651','03-AUG-2021
COMPLAINT#03332233873','106','2021-08-03 17:21:06','2021-08-03 17:21:06');
INSERT INTO complaint_remarks VALUES('10340','8226','CUSTOMER SAY BAT HUAI HAY WO ABI GHAR PAR NAI HAY JAB AY GAY ATTEND KARWA LAY GAY SO COMPLAINT CLOSED','92','2021-08-03 18:02:59','2021-08-03 18:02:59');
INSERT INTO complaint_remarks VALUES('10341','8571','issued resolved','106','2021-08-04 11:59:30','2021-08-04 11:59:30');
INSERT INTO complaint_remarks VALUES('10342','8294','REF CUSTOMER K AS/C MAIN HAIN COMPRESSOR KA ISSUE HAIN SHAHID S/C K MAAN AGREE HAIN REPAIR KARWANAY K LIYA BUT UN K HASBAND AGREE NAI HAIN SHAHID PLACEMENT KI MAIL HEAD OFFICE  MAIN SIR NA REF  REPLACEMENT KI MAIL FF KAR DI HAIN','74','2021-08-04 12:01:39','2021-08-04 12:01:39');
INSERT INTO complaint_remarks VALUES('10343','8338','HASSAN  KO ASLAM  SIR NA REPLACEMENT KI APPROVAL DA DI HAIN CUSTOMER K PASS WARRANTY CARD NAI HAIN PACKING SAMIT HAMAY REF WAPISE KARAY GAY FIR REPLACEMENT HO GEI INFORMED BY HASSAN & CUSTOMER','74','2021-08-04 12:07:37','2021-08-04 12:07:37');
INSERT INTO complaint_remarks VALUES('10344','8217','NOT ATTEND MY CALL','74','2021-08-04 12:09:12','2021-08-04 12:09:12');
INSERT INTO complaint_remarks VALUES('10345','8568','ISSUED RESOLVED','106','2021-08-04 12:12:06','2021-08-04 12:12:06');
INSERT INTO complaint_remarks VALUES('10346','8567','ISSUED RESOLVED','106','2021-08-04 12:14:24','2021-08-04 12:14:24');
INSERT INTO complaint_remarks VALUES('10347','8566','ISSUED RESOLVED HO GYA HA LEKIN CUSTOMER KA UNIT MA 3 TIME MASLA AYA HA WO KAH AB MASLA AYA TO KINDLY MJHE REPLACE KR K DAIN','106','2021-08-04 12:19:11','2021-08-04 12:19:11');
INSERT INTO complaint_remarks VALUES('10348','8400','COMPLAINT RESOLVED','92','2021-08-04 12:19:41','2021-08-04 12:19:41');
INSERT INTO complaint_remarks VALUES('10349','8561','ISSUED RESOLVED','106','2021-08-04 12:20:27','2021-08-04 12:20:27');
INSERT INTO complaint_remarks VALUES('10350','7985','2ND VISIT PA QABZA SA LA K GAY THY PAR US SA B ISSUE RESOLVED NAI HO RAHA HAIER S/C WALO NA DOOR REPLACEMENT KI HEAD OFFICE MAIL KI HOI HAIN','74','2021-08-04 12:22:02','2021-08-04 12:22:02');
INSERT INTO complaint_remarks VALUES('10351','8559','ISSUED RESOLVED CUSTOMER KAH RAHA HM HAFTA CHLA K DEKHA AGR ISSUE AYA TO DOBARA SA COMPLAINT LAUNCHED KRA GA','106','2021-08-04 12:23:17','2021-08-04 12:23:17');
INSERT INTO complaint_remarks VALUES('10352','8542','ISSUED RESOLVED','106','2021-08-04 12:25:57','2021-08-04 12:25:57');
INSERT INTO complaint_remarks VALUES('10353','6512','SET KI ABI TAQ REPLACEMENT NAI HOI','74','2021-08-04 12:26:48','2021-08-04 12:26:48');
INSERT INTO complaint_remarks VALUES('10354','8384','CUSTOMER SAY BAT HUAI HAY ABI TAK PART NAI AYA COMPLAINT IN PROCESS','92','2021-08-04 12:29:27','2021-08-04 12:29:27');
INSERT INTO complaint_remarks VALUES('10355','8417','CUSTOMER NAY KHUD LOCAL TECHNICIAN SAY ISSUE RESOLVED KARWA LEYA HAY COMPLAINT CLOSED','92','2021-08-04 12:31:20','2021-08-04 12:31:20');
INSERT INTO complaint_remarks VALUES('10356','8366','COMPLAINT ATTEND HO GAE HAY FAN MOTOR ISSUE 02 DIN TAK PART AY GA PHER AGAIN VISIT KAR RAY GAY VISIT TECHNICIAN','92','2021-08-04 12:46:04','2021-08-04 12:46:04');
INSERT INTO complaint_remarks VALUES('10357','6756','contact# worng enter tha ic ki waja sa complaint delay hoi  hain new complaint reopen karwa di hain  jhelum s/c walay ic complaint ko attend karay gay
0544620250','74','2021-08-04 12:46:27','2021-08-04 12:46:27');
INSERT INTO complaint_remarks VALUES('10358','8330','complaint attend ho gei hain moter ka issue hain 
moter s/c walo na demand ki hoi hain taha sohail sab ko in formed kar dia','74','2021-08-04 12:47:43','2021-08-04 12:47:43');
INSERT INTO complaint_remarks VALUES('10359','8361','COMPLAINT ATTEND HO GAE HAY PART ISSUE PART KI MALE HEAD OFFICE MAY HUAI HAY COMPLAINT IN PROCESS','92','2021-08-04 12:50:38','2021-08-04 12:50:38');
INSERT INTO complaint_remarks VALUES('10360','8541','ISSUED RESOLVED','106','2021-08-04 12:51:12','2021-08-04 12:51:12');
INSERT INTO complaint_remarks VALUES('10361','8386','AMNA MAMM NAY CUSTOMER KO CALL KI THI BUT CUSTOMER NAY KOI RESPONSE NAI DEYA AJ AGAIN CALL KI HAY CUSTOMER BOL RAHY HAY K 02 BAJAY K BAD CALL KARAY COMPLAINT IN PROCESS','92','2021-08-04 12:57:45','2021-08-04 12:57:45');
INSERT INTO complaint_remarks VALUES('10362','8111','COMPLAINT RESOLVED','74','2021-08-04 13:01:28','2021-08-04 13:01:28');
INSERT INTO complaint_remarks VALUES('10363','7412','COMPLAINT RESOLVED','74','2021-08-04 13:02:40','2021-08-04 13:02:40');
INSERT INTO complaint_remarks VALUES('10364','8110','COMPLAINT RESOLVED','74','2021-08-04 13:03:54','2021-08-04 13:03:54');
INSERT INTO complaint_remarks VALUES('10365','8019','COMPLAINT RESOLVED','74','2021-08-04 13:05:33','2021-08-04 13:05:33');
INSERT INTO complaint_remarks VALUES('10366','8355','COMPLAINT RESOLVED','92','2021-08-04 13:05:35','2021-08-04 13:05:35');
INSERT INTO complaint_remarks VALUES('10367','8354','CUSTOMER SAY BAT HUAI HAY CALL AYI THI TECHNICIAN KI VISIT NAI HUA','92','2021-08-04 13:09:08','2021-08-04 13:09:08');
INSERT INTO complaint_remarks VALUES('10368','8206','MONDAY KO SHAFQAT TECHNICIAN NA SHOWROOM PA VISIT KAR LIYA','74','2021-08-04 13:10:47','2021-08-04 13:10:47');
INSERT INTO complaint_remarks VALUES('10369','8353','VISIT HO GAYA THA TECHNICIAN KA COMPALINT RESOLVED HO GAE THI AGAIN ISSUE AY GAYA HAY COMPANY MAY AGAIN REMINDER DAY DEYA HAY','92','2021-08-04 13:14:32','2021-08-04 13:14:32');
INSERT INTO complaint_remarks VALUES('10370','8294','SHAHID SIR KO INVOICE&WARRANTY CARD KI PIC B SHER KAR DI','74','2021-08-04 13:16:13','2021-08-04 13:16:13');
INSERT INTO complaint_remarks VALUES('10371','8526','UNIT MA KOI MASLA NI HA STABILIZER MA ISSUE HA TECH NA UTAR DIA AGR ISSUE DOBARA AYA TO CUSTOMER COMPLAINT DOBARA LAUNCHED KRAI GA','106','2021-08-04 13:17:05','2021-08-04 13:17:05');
INSERT INTO complaint_remarks VALUES('10372','8460','SWING MOTER LAG K COMPLAINT RESOLVED KAR DI COMPLAINT CLOSED','74','2021-08-04 13:18:04','2021-08-04 13:18:04');
INSERT INTO complaint_remarks VALUES('10373','8523','CUSTOMER NUM IS POWERED OFF  FROM COMPLAINT DATE','106','2021-08-04 13:22:53','2021-08-04 13:22:53');
INSERT INTO complaint_remarks VALUES('10374','8520','ISSUED RESOLVED','106','2021-08-04 13:25:48','2021-08-04 13:25:48');
INSERT INTO complaint_remarks VALUES('10375','8513','NOT ATTENDING CALL','106','2021-08-04 13:30:12','2021-08-04 13:30:12');
INSERT INTO complaint_remarks VALUES('10376','8321','CUSTOMER SA Y BAT HUAI HAY AK VISIT HO GAYA HAY BUT ISSUE RESOLVED NAI HUA AGAIN S/C MAY REMINDER DAY DEYA HAY','92','2021-08-04 13:31:19','2021-08-04 13:31:19');
INSERT INTO complaint_remarks VALUES('10377','8424','CUSTOMER NOT ATTEND CALL','92','2021-08-04 13:36:26','2021-08-04 13:36:26');
INSERT INTO complaint_remarks VALUES('10378','8511','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-04 13:38:41','2021-08-04 13:38:41');
INSERT INTO complaint_remarks VALUES('10379','8325','UNIT CUSTOMER KO REPLACE KAR DEYA HAY BUT COMPLAINT CLOSED NAI KI','92','2021-08-04 13:44:03','2021-08-04 13:44:03');
INSERT INTO complaint_remarks VALUES('10380','8317','CUSTOMER SAY BAT HUAI HAY ABI TAK PART NAI AYA COMPLAINT IN PROCESS','92','2021-08-04 13:50:50','2021-08-04 13:50:50');
INSERT INTO complaint_remarks VALUES('10381','8311','CUSTOMER SAY BAT HO GAE HAY UNIT REPLACE HO GAYA HAY CUSTOMER KA BUT ABI COMPLAINT CLOSED NAI KI','92','2021-08-04 13:52:49','2021-08-04 13:52:49');
INSERT INTO complaint_remarks VALUES('10382','8286','CUSTOMER NOT ATTEND CALL','92','2021-08-04 13:54:14','2021-08-04 13:54:14');
INSERT INTO complaint_remarks VALUES('10383','7676','KHURRAM SIR KO IC COMPLAINT KA PDF BAJ DIA HAIN','74','2021-08-04 13:58:55','2021-08-04 13:58:55');
INSERT INTO complaint_remarks VALUES('10384','8276','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-04 14:02:59','2021-08-04 14:02:59');
INSERT INTO complaint_remarks VALUES('10385','8262','CUSTOMER NOT ATTEND CALL','92','2021-08-04 14:11:39','2021-08-04 14:11:39');
INSERT INTO complaint_remarks VALUES('10386','8424','TECH WAHI PR HA IN PROCESS','74','2021-08-04 14:14:38','2021-08-04 14:14:38');
INSERT INTO complaint_remarks VALUES('10387','8240','CUSTOMER SAY BAT HUAI HAY COMPLAINT ATTEND HO GAE HAY PART ISSUE COMPLAINT IN PROCESS','92','2021-08-04 14:14:49','2021-08-04 14:14:49');
INSERT INTO complaint_remarks VALUES('10388','8449','NOT ATTENDING CALL','74','2021-08-04 14:19:07','2021-08-04 14:19:07');
INSERT INTO complaint_remarks VALUES('10389','8453','ISSUED RESOLVED UNIT OK GAS ISSUE HA CUSTOMER INSTALER SA RBTA MA WO KHD GAS REFIL KRWA LAIN GI','74','2021-08-04 14:22:01','2021-08-04 14:22:01');
INSERT INTO complaint_remarks VALUES('10390','8467','NOT ATTENDING CALL','74','2021-08-04 14:23:46','2021-08-04 14:23:46');
INSERT INTO complaint_remarks VALUES('10391','8684','CUSTOMER KO INDOOR REPLACE KAR DEYA HAY BUT OUTDOOR KAR REPLACE KAR K DAY GAY S/C WALAY PHER INSTALL HO GA AC COMPLAINT IN PROCESS','92','2021-08-04 14:25:04','2021-08-04 14:25:04');
INSERT INTO complaint_remarks VALUES('10392','8325','NAVEED SIR SAY BAT HUAI HAY UNIT ASLAM SIR K PASS HAY','92','2021-08-04 14:25:43','2021-08-04 14:25:43');
INSERT INTO complaint_remarks VALUES('10393','8470','CUSTOMER NOT ATTENDING CALL','74','2021-08-04 14:26:06','2021-08-04 14:26:06');
INSERT INTO complaint_remarks VALUES('10394','8523','COMPLAINT RRESOLVED','74','2021-08-04 14:31:50','2021-08-04 14:31:50');
INSERT INTO complaint_remarks VALUES('10395','8473','COMPLAINT ATTEND NI HUI ABI TK','74','2021-08-04 14:34:51','2021-08-04 14:34:51');
INSERT INTO complaint_remarks VALUES('10396','8496','NOT ATTENDING CALL','74','2021-08-04 14:37:43','2021-08-04 14:37:43');
INSERT INTO complaint_remarks VALUES('10397','8476','COMPLAINT RRESOLVED','74','2021-08-04 14:41:44','2021-08-04 14:41:44');
INSERT INTO complaint_remarks VALUES('10398','8310','CUSTOMER SAY BAT HUAI HAY AJ VISIT HO GA COMPLAINT PAR IN PROCESS','92','2021-08-04 14:42:20','2021-08-04 14:42:20');
INSERT INTO complaint_remarks VALUES('10399','8476','ISSUED RESOLVED','74','2021-08-04 14:42:34','2021-08-04 14:42:34');
INSERT INTO complaint_remarks VALUES('10400','8149','COMPLAINT RESOLVED','92','2021-08-04 14:44:21','2021-08-04 14:44:21');
INSERT INTO complaint_remarks VALUES('10401','8667','CUSTOMER NA KHD COMPLAINT CANCEL KRAI HA CUSTOMER K GHR K VOLATAGE KA ISSUED THA UNHO NA LOCAL TECH SA SAI KRWA LIA HA','74','2021-08-04 14:45:45','2021-08-04 14:45:45');
INSERT INTO complaint_remarks VALUES('10402','8452','TAQEER SAB KO WHATSAPP PA COMPLAINT # SHER KAR DIA HAIN','74','2021-08-04 14:46:50','2021-08-04 14:46:50');
INSERT INTO complaint_remarks VALUES('10403','8143','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-04 14:47:17','2021-08-04 14:47:17');
INSERT INTO complaint_remarks VALUES('10404','8072','COMPLAINT RESOLVED','92','2021-08-04 14:49:34','2021-08-04 14:49:34');
INSERT INTO complaint_remarks VALUES('10405','8493','ISSUED RESOLVED','74','2021-08-04 14:51:43','2021-08-04 14:51:43');
INSERT INTO complaint_remarks VALUES('10406','8513','CUSTOMER K PART KA ISSUE HA LOCAL MARKET SA DALWANA HA','74','2021-08-04 14:55:22','2021-08-04 14:55:22');
INSERT INTO complaint_remarks VALUES('10407','7856','CUSTOMER SAY BAT HUAI HAY AK VISIT HUA THA ISSUE RESOLVED','92','2021-08-04 14:56:31','2021-08-04 14:56:31');
INSERT INTO complaint_remarks VALUES('10408','8286','COMPLAINT CLOSED BY CUSTOMER WO LOCAL TEC SA THK KRAI GA','74','2021-08-04 14:59:29','2021-08-04 14:59:29');
INSERT INTO complaint_remarks VALUES('10409','8433','UNIT S/C SA READY HO K IQBAL SAB KO RECEIVED HO GAYA COMPLAINT CLOSED','74','2021-08-04 15:04:10','2021-08-04 15:04:10');
INSERT INTO complaint_remarks VALUES('10410','7849','CUSTOMER SAY BAT HUAI HAY WIFI KA ISSUE THA CUSTOMER KO S/C KA NO PROVIDE KAR DEYA HAY SO COMPLAINT CLOSED','92','2021-08-04 15:08:28','2021-08-04 15:08:28');
INSERT INTO complaint_remarks VALUES('10411','6116','SET S/C SA REPAIR HO K CUSTOMER KO DILVER KAR DIA HAN COMPLAINT RESOLVED 2ND NO PA BAT HOI MADAM SA','74','2021-08-04 15:08:52','2021-08-04 15:08:52');
INSERT INTO complaint_remarks VALUES('10412','8356','NOT  ATTEND CALL','74','2021-08-04 15:12:24','2021-08-04 15:12:24');
INSERT INTO complaint_remarks VALUES('10413','8428','THERMOSTAT KA ISSUE HAIN THERMOSTAT DEMAND KIYA HOA HAIN HAIDER SAB NA 03142437784
INFORMED BY CUSTOMER','74','2021-08-04 15:19:56','2021-08-04 15:19:56');
INSERT INTO complaint_remarks VALUES('10414','7759','AK BAR VISIT HO GAYA THA ISSUE RESOLVED HO GAYA THA  SO COMPLAINT RESOLVED','92','2021-08-04 15:20:39','2021-08-04 15:20:39');
INSERT INTO complaint_remarks VALUES('10415','6976','03125790711 TECHNICIAN  AJ ATTEND KARAY GAY COMPLAINT','92','2021-08-04 15:33:39','2021-08-04 15:33:39');
INSERT INTO complaint_remarks VALUES('10416','8293','AIK AC KI COMPLAINT RAHTI HA ABI TK ATTEND NI HUI','74','2021-08-04 15:34:16','2021-08-04 15:34:16');
INSERT INTO complaint_remarks VALUES('10417','8308','CUSTOMER NOT ATTENGING CALL','74','2021-08-04 15:38:47','2021-08-04 15:38:47');
INSERT INTO complaint_remarks VALUES('10418','8546','MOTOR ISSUE HAY VISIT HO GAYA HAY MOTOR S/C WALOUN NAY MALE KI HUAI HAY LAHORE SAY AY GE CUSTOMER KO S/C WALOUN NAY INFORM KAR DEYA HAY','92','2021-08-04 15:47:50','2021-08-04 15:47:50');
INSERT INTO complaint_remarks VALUES('10419','8145','NOT ATTENDING CALL','74','2021-08-04 15:59:48','2021-08-04 15:59:48');
INSERT INTO complaint_remarks VALUES('10420','8147','NOT ATTENDING CALL','74','2021-08-04 16:00:57','2021-08-04 16:00:57');
INSERT INTO complaint_remarks VALUES('10421','8164','COMPLAINT ATTEND HO GAE HAY BURNER ISSUE RESOLVED HO GAYA HAY GRILL ISSUE RESOLVED NAI HUA COMPLAINT IN PROCESS','92','2021-08-04 16:04:12','2021-08-04 16:04:12');
INSERT INTO complaint_remarks VALUES('10422','8380','SET REF TO S/C WALAY IC SET KO PICK KAR K S/C LA K AAY GAY','74','2021-08-04 16:04:28','2021-08-04 16:04:28');
INSERT INTO complaint_remarks VALUES('10423','8467','COMPLAINT RESOLVED','92','2021-08-04 16:07:05','2021-08-04 16:07:05');
INSERT INTO complaint_remarks VALUES('10424','8467','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-04 16:08:32','2021-08-04 16:08:32');
INSERT INTO complaint_remarks VALUES('10425','6976','03365090041 TECH NISION','74','2021-08-04 16:12:37','2021-08-04 16:12:37');
INSERT INTO complaint_remarks VALUES('10426','8157','CUSTOMER NUM IS POWERED OFF FROM 2 WEEKSS','106','2021-08-04 16:16:15','2021-08-04 16:16:15');
INSERT INTO complaint_remarks VALUES('10427','8157','03335555533
CUSTOMER OTHER NUM','106','2021-08-04 16:22:12','2021-08-04 16:22:12');
INSERT INTO complaint_remarks VALUES('10428','8157','03335558833 CUSTOMER ORIGINAL NUM','106','2021-08-04 16:25:15','2021-08-04 16:25:15');
INSERT INTO complaint_remarks VALUES('10429','8630','03165420309 ALI CUSTOMER NO','92','2021-08-04 16:30:46','2021-08-04 16:30:46');
INSERT INTO complaint_remarks VALUES('10430','8368','COMPLAINT RESOLVED CUSTOMER NA JUST VISIT CHARGES PAY KIYA THAY COMPLAINT RESOLVED','74','2021-08-04 17:35:22','2021-08-04 17:35:22');
INSERT INTO complaint_remarks VALUES('10431','7762','PART KA ISSUE HA CUSTOMER WAIT MA HI HYA ABI TK','106','2021-08-04 17:45:19','2021-08-04 17:45:19');
INSERT INTO complaint_remarks VALUES('10432','8464','COMPLAINT RESOLVED','92','2021-08-04 18:03:04','2021-08-04 18:03:04');
INSERT INTO complaint_remarks VALUES('10433','8254','UNIT S/C READY HO K AAY HAIN B.COLL NA AGAIN ISTALL B KARWA DIA BUT ABI B OUT DOOR SA SOUND ISSUE AARHA HAIN AGAIN COMPLAINT REOPEN KARWA DI INFORMED BY HASSAN CUSTOMER SA B BAT HO RAHI HAIN','74','2021-08-04 18:09:29','2021-08-04 18:09:29');
INSERT INTO complaint_remarks VALUES('10434','8663','ADIL FHS','92','2021-08-04 18:20:05','2021-08-04 18:20:05');
INSERT INTO complaint_remarks VALUES('10435','8663','INVOICE=47520','92','2021-08-04 18:20:20','2021-08-04 18:20:20');
INSERT INTO complaint_remarks VALUES('10436','8663','D.O.P:1-APR-2021','92','2021-08-04 18:20:33','2021-08-04 18:20:33');
INSERT INTO complaint_remarks VALUES('10437','8663','MODEL=680HLCU-CC','92','2021-08-04 18:21:02','2021-08-04 18:21:02');
INSERT INTO complaint_remarks VALUES('10438','8663','FAN ISSUE... COSTUMER WANTS REPLACEMENT','92','2021-08-04 18:22:35','2021-08-04 18:22:35');
INSERT INTO complaint_remarks VALUES('10439','8574','NOT ATTENDING CALL','106','2021-08-05 11:05:12','2021-08-05 11:05:12');
INSERT INTO complaint_remarks VALUES('10440','8576','NOT ATTENDING CALL','106','2021-08-05 11:06:15','2021-08-05 11:06:15');
INSERT INTO complaint_remarks VALUES('10441','8578','ISSUED RESOLVED','106','2021-08-05 11:08:22','2021-08-05 11:08:22');
INSERT INTO complaint_remarks VALUES('10442','8579','ABI TKK ATTEND NI HUI COMPLAINT','106','2021-08-05 11:10:04','2021-08-05 11:10:04');
INSERT INTO complaint_remarks VALUES('10443','8582','ISSUED RESOLVED','106','2021-08-05 11:11:31','2021-08-05 11:11:31');
INSERT INTO complaint_remarks VALUES('10444','8262','TECH AYAB THA CUSTOMER GHR MA NI THA ISLIA COMPANY SIDE SA CLOSED THI AB DOBARA REOPEN KRAI HA AJ','106','2021-08-05 11:17:23','2021-08-05 11:17:23');
INSERT INTO complaint_remarks VALUES('10445','8584','COMPLAINT ATTEND HO GI HA S/C CHLI GAI HA','106','2021-08-05 11:22:22','2021-08-05 11:22:22');
INSERT INTO complaint_remarks VALUES('10446','8586','ISUUED RESOLVED HO GYA CUSTOMER NA 2 DAFA COMPLAINT KRAI HA LEAKEGE ISSUE HA AB ISSUED AYA TO CUSTOMER INFORMED KRA GA','106','2021-08-05 11:28:44','2021-08-05 11:28:44');
INSERT INTO complaint_remarks VALUES('10447','8321','CUSTOMER NA LOCAL TECHNICIAN SA W/COOLER OK KARWA LIYA COMPLAINT RESOLVED','74','2021-08-05 11:30:54','2021-08-05 11:30:54');
INSERT INTO complaint_remarks VALUES('10448','8588','NOT ATTENDING CALL','106','2021-08-05 11:32:01','2021-08-05 11:32:01');
INSERT INTO complaint_remarks VALUES('10449','8589','ISSUED RESOLVED','106','2021-08-05 11:39:32','2021-08-05 11:39:32');
INSERT INTO complaint_remarks VALUES('10450','8646','NO VISIT COMPLAINT IN PROCESS','74','2021-08-05 11:40:27','2021-08-05 11:40:27');
INSERT INTO complaint_remarks VALUES('10451','8590','NOT ATTENDING CALL','106','2021-08-05 11:42:14','2021-08-05 11:42:14');
INSERT INTO complaint_remarks VALUES('10452','8591','NOT ATTENDING CALL','106','2021-08-05 11:45:04','2021-08-05 11:45:04');
INSERT INTO complaint_remarks VALUES('10453','8592','ISSUED RESOLVED','106','2021-08-05 11:46:26','2021-08-05 11:46:26');
INSERT INTO complaint_remarks VALUES('10454','8593','NOT ATTENDING CALL','106','2021-08-05 11:54:59','2021-08-05 11:54:59');
INSERT INTO complaint_remarks VALUES('10455','8603','03005106060 OTHER MOBILE NO','92','2021-08-05 11:55:38','2021-08-05 11:55:38');
INSERT INTO complaint_remarks VALUES('10456','8593','ISSUED RESOLVED','106','2021-08-05 11:55:40','2021-08-05 11:55:40');
INSERT INTO complaint_remarks VALUES('10457','8594','03005238237 OTHER NUM','106','2021-08-05 11:57:41','2021-08-05 11:57:41');
INSERT INTO complaint_remarks VALUES('10458','8325','IC GRN # K AGAINTS 33516 FREEZER REPLAC HOA HAIN COMPLAINT CLOSED','74','2021-08-05 12:04:40','2021-08-05 12:04:40');
INSERT INTO complaint_remarks VALUES('10459','8595','CUSTOMER NOT CONFERMED','106','2021-08-05 12:10:33','2021-08-05 12:10:33');
INSERT INTO complaint_remarks VALUES('10460','8597','NOT ATTENDING CALL','106','2021-08-05 12:12:24','2021-08-05 12:12:24');
INSERT INTO complaint_remarks VALUES('10461','8598','ISSUED RESOLVED','106','2021-08-05 12:13:46','2021-08-05 12:13:46');
INSERT INTO complaint_remarks VALUES('10462','8597','KIT KA ISSUE TH TECH LA GAI HA KIT S/C KL TK WAPIS AI GI S/C SA','106','2021-08-05 12:16:37','2021-08-05 12:16:37');
INSERT INTO complaint_remarks VALUES('10463','8599','NOT ATTENDING CALL','106','2021-08-05 12:22:27','2021-08-05 12:22:27');
INSERT INTO complaint_remarks VALUES('10464','8604','NOT ATTENGING CALL','106','2021-08-05 12:45:11','2021-08-05 12:45:11');
INSERT INTO complaint_remarks VALUES('10465','8606','COMPLAINT ATTEND HO GI HA UNIT S/C SHIFT HO GA','106','2021-08-05 12:53:08','2021-08-05 12:53:08');
INSERT INTO complaint_remarks VALUES('10466','8607','NOT ATTENDING CALL','106','2021-08-05 12:57:43','2021-08-05 12:57:43');
INSERT INTO complaint_remarks VALUES('10467','8611','ISSUED RESOLVED','106','2021-08-05 12:58:57','2021-08-05 12:58:57');
INSERT INTO complaint_remarks VALUES('10468','8552','ISSUED RESOLVED','106','2021-08-05 13:07:09','2021-08-05 13:07:09');
INSERT INTO complaint_remarks VALUES('10469','8302','03179998680 ADNA TECHNICIAN AJ YHA COMPLAINT ATTEND KAR RAHAY HAIN','74','2021-08-05 13:09:32','2021-08-05 13:09:32');
INSERT INTO complaint_remarks VALUES('10470','8302','03179998680 ADNAN TECHNICIAN','92','2021-08-05 13:10:35','2021-08-05 13:10:35');
INSERT INTO complaint_remarks VALUES('10471','8302','AJ ATTEND HO GE COMPLAINT INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-05 13:14:21','2021-08-05 13:14:21');
INSERT INTO complaint_remarks VALUES('10472','8532','ABI TK COMPLAINT ATTEND NI HUI','106','2021-08-05 13:35:36','2021-08-05 13:35:36');
INSERT INTO complaint_remarks VALUES('10473','6647','COMPLAINT RESOLVED','92','2021-08-05 13:39:04','2021-08-05 13:39:04');
INSERT INTO complaint_remarks VALUES('10474','6940','COMPLAINT RESOLVED','92','2021-08-05 13:42:33','2021-08-05 13:42:33');
INSERT INTO complaint_remarks VALUES('10475','8522','ABI TK VISIT NI HUA','106','2021-08-05 13:43:04','2021-08-05 13:43:04');
INSERT INTO complaint_remarks VALUES('10476','7184','COMPLAINT RESOLVED','92','2021-08-05 13:49:20','2021-08-05 13:49:20');
INSERT INTO complaint_remarks VALUES('10477','7261','PART DEMAND HUA HAY S/C MAY COMPLAINT IN PROCESS','92','2021-08-05 13:52:46','2021-08-05 13:52:46');
INSERT INTO complaint_remarks VALUES('10478','7730','CUSTOMER NOT ATTEND CALL','92','2021-08-05 13:58:43','2021-08-05 13:58:43');
INSERT INTO complaint_remarks VALUES('10479','8506','03151595795','106','2021-08-05 13:58:57','2021-08-05 13:58:57');
INSERT INTO complaint_remarks VALUES('10480','8506','WASEEM TEC','106','2021-08-05 13:59:07','2021-08-05 13:59:07');
INSERT INTO complaint_remarks VALUES('10481','7805','03005013737 OTHER MOBILE NO','92','2021-08-05 14:01:40','2021-08-05 14:01:40');
INSERT INTO complaint_remarks VALUES('10482','7901','FAN MOTOR ISSUE COMPLAINT IN PROCESS','92','2021-08-05 14:05:40','2021-08-05 14:05:40');
INSERT INTO complaint_remarks VALUES('10483','8503','CUSTOMER KA UNIT THK HO GYA HA S/C SA CALL A GAI HA CUSTOMER SIDE SA DELAY HA KL PICK KRA GA','106','2021-08-05 14:07:07','2021-08-05 14:07:07');
INSERT INTO complaint_remarks VALUES('10484','8449','ISSUED RESOLVED','106','2021-08-05 14:12:29','2021-08-05 14:12:29');
INSERT INTO complaint_remarks VALUES('10485','8228','COMPLAINT RESOLVED','92','2021-08-05 14:12:32','2021-08-05 14:12:32');
INSERT INTO complaint_remarks VALUES('10486','8062','COMPLAINT RESOLVED','92','2021-08-05 14:13:52','2021-08-05 14:13:52');
INSERT INTO complaint_remarks VALUES('10487','8599','COMPLAINT ATTEND HO GAE HAY UNIT REPLACE HO GA AMEEN SIR  S/C SAY BAT HUAI HAY','92','2021-08-05 14:19:31','2021-08-05 14:19:31');
INSERT INTO complaint_remarks VALUES('10488','8539','COMPLAINT ATTEND HO GAE HAY UNIT S/C MAY HAY COMPLAINT IN PROCESS','92','2021-08-05 14:21:58','2021-08-05 14:21:58');
INSERT INTO complaint_remarks VALUES('10489','8216','CUSTOMER NOT ATTEND CALL','92','2021-08-05 14:27:12','2021-08-05 14:27:12');
INSERT INTO complaint_remarks VALUES('10490','7956','03324125237 OTHER NUM','106','2021-08-05 14:31:07','2021-08-05 14:31:07');
INSERT INTO complaint_remarks VALUES('10491','8159','COMPLAINT ADIL HOME SOLUTION KO FF KAR DE HAY','92','2021-08-05 14:33:03','2021-08-05 14:33:03');
INSERT INTO complaint_remarks VALUES('10492','8157','COMPLAINT RESOLVED','92','2021-08-05 14:37:10','2021-08-05 14:37:10');
INSERT INTO complaint_remarks VALUES('10493','8475','ISSUED RESOLVED','106','2021-08-05 14:46:44','2021-08-05 14:46:44');
INSERT INTO complaint_remarks VALUES('10494','8634','FOR CONDENSORS=PKRI210805109251/09299/09277','73','2021-08-05 15:13:59','2021-08-05 15:13:59');
INSERT INTO complaint_remarks VALUES('10495','8604','CUSTOMER SAY BAT HUAI HAY TECHNICIAN CUSTOMER K GHAR PAR HAY','92','2021-08-05 15:20:57','2021-08-05 15:20:57');
INSERT INTO complaint_remarks VALUES('10496','8591','COMPLAINT RESOLVED','92','2021-08-05 15:22:23','2021-08-05 15:22:23');
INSERT INTO complaint_remarks VALUES('10497','8588','COMPLAINT RESOLVED','92','2021-08-05 15:26:50','2021-08-05 15:26:50');
INSERT INTO complaint_remarks VALUES('10498','8509','COMPLAINT RESOLVED','92','2021-08-05 15:32:47','2021-08-05 15:32:47');
INSERT INTO complaint_remarks VALUES('10499','8508','COMPLAINT ATTEND HO GAE HAY COMPLAINT IN PROCESS','92','2021-08-05 15:40:44','2021-08-05 15:40:44');
INSERT INTO complaint_remarks VALUES('10500','8485','COMPLAINT ATTEND HO GAE HAY UNIT AJ S/C WALAY LAY GAY HAY','92','2021-08-05 15:42:58','2021-08-05 15:42:58');
INSERT INTO complaint_remarks VALUES('10501','8308','COMPLAINT RESOLVED','92','2021-08-05 15:57:54','2021-08-05 15:57:54');
INSERT INTO complaint_remarks VALUES('10502','8282','CUSTOMER SAY BAT HUAI HAY CUSTOMER KO TECHNICIAN KI CALL AY GAE HAY','92','2021-08-05 16:01:42','2021-08-05 16:01:42');
INSERT INTO complaint_remarks VALUES('10503','8221','COMPLAINT RESOLVED','92','2021-08-05 16:03:21','2021-08-05 16:03:21');
INSERT INTO complaint_remarks VALUES('10504','8174','COMPALINT ATTEND HO GAE HAY ASIF SIR KO REMINDER DAY DEYA HAY','92','2021-08-05 16:05:36','2021-08-05 16:05:36');
INSERT INTO complaint_remarks VALUES('10505','8162','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-05 16:07:45','2021-08-05 16:07:45');
INSERT INTO complaint_remarks VALUES('10506','7987','COMPLAINT RESOLVED','92','2021-08-05 16:14:27','2021-08-05 16:14:27');
INSERT INTO complaint_remarks VALUES('10507','8311','GRN#33521 K AGAIN CUSTOMER KO FREEZER REPLACE KAR K DIA HAIN COMPLAINT CLOSED','74','2021-08-05 16:22:34','2021-08-05 16:22:34');
INSERT INTO complaint_remarks VALUES('10508','7935','S/C SAY COMFORM KEYA HAY COMPLAINT RESOLVED','92','2021-08-05 16:26:47','2021-08-05 16:26:47');
INSERT INTO complaint_remarks VALUES('10509','8531','NOT ATTENDING CALL','106','2021-08-05 16:35:09','2021-08-05 16:35:09');
INSERT INTO complaint_remarks VALUES('10510','8302','ISSUED RESOLVED','106','2021-08-05 17:04:45','2021-08-05 17:04:45');
INSERT INTO complaint_remarks VALUES('10511','8615','CUSTOMER SAY BAT HO GAE HAY VISIT HO GAYA HAY COMPLAINT PAR PCB CARD ISSUE PART MONDAY TAK AY GA CUSTOMER KO INFORM KAR DEYA HAY COMPLAINT IN PROCESS','92','2021-08-05 17:09:50','2021-08-05 17:09:50');
INSERT INTO complaint_remarks VALUES('10512','8505','COMPLAINT RESOLVED','92','2021-08-05 17:35:55','2021-08-05 17:35:55');
INSERT INTO complaint_remarks VALUES('10513','8599','AMEEN SAB KI IC CUSTOMER SA BT HO GEI HAIN HUMARI CALL PICK NI KAR RAHI  INFORMED BY ISHFAQ','74','2021-08-06 15:37:02','2021-08-06 15:37:02');
INSERT INTO complaint_remarks VALUES('10514','8254','AZHAR PEL# MISS SUMAIRA SA BT HO RAHI HAIN IC CASE PA COMPLAINT WORKIN IN PROCESS','74','2021-08-06 16:04:28','2021-08-06 16:04:28');
INSERT INTO complaint_remarks VALUES('10515','8637','SATURDAY KO VISIT HO GA INFORMED BY JIBRAN FCI','74','2021-08-06 16:49:07','2021-08-06 16:49:07');
INSERT INTO complaint_remarks VALUES('10516','8628','not attending call','106','2021-08-07 11:18:02','2021-08-07 11:18:02');
INSERT INTO complaint_remarks VALUES('10517','8632','NOT ATTENDING CALL','106','2021-08-07 11:23:20','2021-08-07 11:23:20');
INSERT INTO complaint_remarks VALUES('10518','8682','COMPLAINT RESOLVED','92','2021-08-07 11:26:23','2021-08-07 11:26:23');
INSERT INTO complaint_remarks VALUES('10519','8629','NOT ATTENDING CALL','106','2021-08-07 11:27:24','2021-08-07 11:27:24');
INSERT INTO complaint_remarks VALUES('10520','8601','NOT ATTENDING CALL','106','2021-08-07 11:31:41','2021-08-07 11:31:41');
INSERT INTO complaint_remarks VALUES('10521','8603','UNIT S/C MA HA ABII TK ISSUE RESOLVED NI HUA','106','2021-08-07 11:38:57','2021-08-07 11:38:57');
INSERT INTO complaint_remarks VALUES('10522','8604','ISSUED NI RESOLVED HUA 2 DAFA VISIT HUA HA','106','2021-08-07 11:52:02','2021-08-07 11:52:02');
INSERT INTO complaint_remarks VALUES('10523','8680','COMPLAINT RESOLVED','92','2021-08-07 12:04:35','2021-08-07 12:04:35');
INSERT INTO complaint_remarks VALUES('10524','8546','MOTER SHOWROOM SA NIKAL KA CUSTOMER KA ISSUE RESOLVED KAR DIA HAIN JAB MOTER COMPANY SA AAY GEI WO SHOWROOM K HOOD MAIN INSTALL KARWA DAY GAY','74','2021-08-07 12:05:07','2021-08-07 12:05:07');
INSERT INTO complaint_remarks VALUES('10525','8620','COMPLAINT PA 2 BAR VISIT HO GAYA HAIN KAL B BOARD LAGA PAR WO CHLA NAI S/C W/M MOVE  KRNAY KA BOL K GAY HAIN COMPANY WALAY  TAQUEER SAB KO COMPLAINT # SHER KAR DIA','74','2021-08-07 12:12:28','2021-08-07 12:12:28');
INSERT INTO complaint_remarks VALUES('10526','8679','02 DIN PALAY VISIT HUA HAY TECHNICIAN KA PIPE ISSUE HAY AJ AGAIN VISIT HAY TECHNICIAN KA','92','2021-08-07 12:18:17','2021-08-07 12:18:17');
INSERT INTO complaint_remarks VALUES('10527','8679','03335808611 IMRAN TECHNICIAN','92','2021-08-07 12:19:22','2021-08-07 12:19:22');
INSERT INTO complaint_remarks VALUES('10528','7955','HAIER K S/C MAIN YHA REF THA ARSHAD SIR  NA YHA REF SHOWROOM PA MAGWA LIYA .
COMPLAINT CLOSED','74','2021-08-07 12:23:07','2021-08-07 12:23:07');
INSERT INTO complaint_remarks VALUES('10529','8595','CUSTOMER NA HOOD & HAIER K HOB REPLACE KARWANA HAIN WAQAS PWD IC CASE KO UMER SIR SA DISCAUSE KARAY GAY HAMAY MONDAY KO UP DATE KARAY GAY','74','2021-08-07 12:29:26','2021-08-07 12:29:26');
INSERT INTO complaint_remarks VALUES('10530','8650','NOT ATTEND CALL','74','2021-08-07 12:33:50','2021-08-07 12:33:50');
INSERT INTO complaint_remarks VALUES('10531','8648','COMPLAINT PA AIK VISIT HO GAYA HAIN REF TO S/C COMPANY WALAY FREEZER LIFT KARNAY AGAY HAIN','74','2021-08-07 12:35:39','2021-08-07 12:35:39');
INSERT INTO complaint_remarks VALUES('10532','8710','03142437784 TECHNICIAN NO','92','2021-08-07 12:37:21','2021-08-07 12:37:21');
INSERT INTO complaint_remarks VALUES('10533','8645','NO NOT RESPONDING','74','2021-08-07 12:37:32','2021-08-07 12:37:32');
INSERT INTO complaint_remarks VALUES('10534','8642','COMPLAINT RESOLVED','74','2021-08-07 12:38:34','2021-08-07 12:38:34');
INSERT INTO complaint_remarks VALUES('10535','8679','VISIT TO DAY','74','2021-08-07 12:43:12','2021-08-07 12:43:12');
INSERT INTO complaint_remarks VALUES('10536','8235','W/D S/C MAY OK HAY MONDAY KO DELIVER HO GA UNIT CUSTOMER K GHAR','92','2021-08-07 12:43:24','2021-08-07 12:43:24');
INSERT INTO complaint_remarks VALUES('10537','8365','COMPLAINT PA VISIT HO GAYA HAIN GRILL DEMAND KI HOI HAIN TUESDAY TAQ UPDATE KARAY GAY','74','2021-08-07 12:44:25','2021-08-07 12:44:25');
INSERT INTO complaint_remarks VALUES('10538','8365','INFORMED BY IQBAL FCI','74','2021-08-07 12:44:40','2021-08-07 12:44:40');
INSERT INTO complaint_remarks VALUES('10539','8640','COMPLAINT RESOLVED','74','2021-08-07 12:45:55','2021-08-07 12:45:55');
INSERT INTO complaint_remarks VALUES('10540','8690','CUSTOMER NOT ATTEND CALL','92','2021-08-07 12:53:35','2021-08-07 12:53:35');
INSERT INTO complaint_remarks VALUES('10541','8585','COMPLAINT ATTEND HO GEI HAIN W/D S/C WORKING IN PROCESS','74','2021-08-07 12:58:03','2021-08-07 12:58:03');
INSERT INTO complaint_remarks VALUES('10542','8641','COMPLAINT RESOLVED','74','2021-08-07 13:00:00','2021-08-07 13:00:00');
INSERT INTO complaint_remarks VALUES('10543','8569','NOT ATTENDING CALL','74','2021-08-07 13:05:25','2021-08-07 13:05:25');
INSERT INTO complaint_remarks VALUES('10544','8683','ISSUED NOT RESOLVED','106','2021-08-07 13:08:12','2021-08-07 13:08:12');
INSERT INTO complaint_remarks VALUES('10545','8678','CUSTOMER SAY BAT HO GAE HAY COMPLAINT RESOLVED','92','2021-08-07 13:13:31','2021-08-07 13:13:31');
INSERT INTO complaint_remarks VALUES('10546','8661','TEC NA RABTA KIA THA USNA VISIT CHARGES MANGA LEKIN CUSTOMER KHA RI HA MRI AC WARRENTY MA HA','106','2021-08-07 13:27:12','2021-08-07 13:27:12');
INSERT INTO complaint_remarks VALUES('10547','8715','KHURAAM SIR SA BT HUI HA WO KAH RAAHA HA AJ ATTEND HO JAI GI','106','2021-08-07 13:38:03','2021-08-07 13:38:03');
INSERT INTO complaint_remarks VALUES('10548','8306','CUSTOMER SAY BAT HO GAE HAY AJ ATTEND HO GAE COMPLAINT AZHAR SIR KO REMINDER DAY DEYA HAY','92','2021-08-07 13:41:12','2021-08-07 13:41:12');
INSERT INTO complaint_remarks VALUES('10549','8632','ISSUED RESOLVED','106','2021-08-07 13:41:41','2021-08-07 13:41:41');
INSERT INTO complaint_remarks VALUES('10550','8630','CUSTOMER KO WARRANTY CARD FRIENDS WARRANTY KA DIYA HOA HAIN','74','2021-08-07 13:44:00','2021-08-07 13:44:00');
INSERT INTO complaint_remarks VALUES('10551','8643','TECH N VISIT NI KIA ABI TKK','106','2021-08-07 13:45:34','2021-08-07 13:45:34');
INSERT INTO complaint_remarks VALUES('10552','8644','ISSUED RESOLVED','106','2021-08-07 13:46:48','2021-08-07 13:46:48');
INSERT INTO complaint_remarks VALUES('10553','8676','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-07 13:47:15','2021-08-07 13:47:15');
INSERT INTO complaint_remarks VALUES('10554','8674','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-07 13:49:51','2021-08-07 13:49:51');
INSERT INTO complaint_remarks VALUES('10555','8646','03075581545 TEC NUM','106','2021-08-07 13:50:12','2021-08-07 13:50:12');
INSERT INTO complaint_remarks VALUES('10556','8650','ISSUED RESOLVED','106','2021-08-07 13:53:22','2021-08-07 13:53:22');
INSERT INTO complaint_remarks VALUES('10557','8673','KAL COMPLAINT ATTEND HUAI THI AJ AGAIN ISSUE AY GAYA HAY TECHNICIAN KO INFORM KAR DEYA HAY WO MONDAY KO VISIT KARAY GAY CUSTOMER KO INFORM KAR DEYA HAY','92','2021-08-07 13:53:29','2021-08-07 13:53:29');
INSERT INTO complaint_remarks VALUES('10558','8672','COMPLAINT ATTEND HO GAE HAY HAY TECHNICIAN PICK LAY KAR CHALAY GAY HAY MONDAY KO ABDATE KARAY GAY S/C WALAY','92','2021-08-07 13:56:33','2021-08-07 13:56:33');
INSERT INTO complaint_remarks VALUES('10559','8657','UNIT MA GAS KA ISSUE HA INSTALER DAKHA GA AIK VISIT KIA INSTALER NA LEKIN CUSTOMER GR PA NI THA TO UNHO NA MONDAY KA TIME DIA HA','106','2021-08-07 13:57:50','2021-08-07 13:57:50');
INSERT INTO complaint_remarks VALUES('10560','8669','03335165847 OTHER MOBILE NO','92','2021-08-07 13:59:42','2021-08-07 13:59:42');
INSERT INTO complaint_remarks VALUES('10561','8658','NOT ATTENDING CALL','106','2021-08-07 14:00:07','2021-08-07 14:00:07');
INSERT INTO complaint_remarks VALUES('10562','8659','NOT ATTENDING CALL','106','2021-08-07 14:01:51','2021-08-07 14:01:51');
INSERT INTO complaint_remarks VALUES('10563','8660','CUSTOMER NOT COMFERMED','106','2021-08-07 14:03:15','2021-08-07 14:03:15');
INSERT INTO complaint_remarks VALUES('10564','8664','NOT ATTENDING CALL','106','2021-08-07 14:06:07','2021-08-07 14:06:07');
INSERT INTO complaint_remarks VALUES('10565','8666','NOT ATTENDING CALL','106','2021-08-07 14:06:49','2021-08-07 14:06:49');
INSERT INTO complaint_remarks VALUES('10566','8696','COMPLAINT ATTEND HO GAE HAY ICE ISSUE HAY MONDAY KO AGAIN VISIT HO GA INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-07 14:13:57','2021-08-07 14:13:57');
INSERT INTO complaint_remarks VALUES('10567','8658','HANDLE ISSUE ADIL BHAI NA AJ KA TIME DIA THA','106','2021-08-07 14:14:52','2021-08-07 14:14:52');
INSERT INTO complaint_remarks VALUES('10568','8508','CUSTOMER KO SHAMOON TECHNICIAN SA BAT HO GEI HAIN KAL AGAIN TEAM KA VISIT KARWAY GAY','74','2021-08-07 14:27:06','2021-08-07 14:27:06');
INSERT INTO complaint_remarks VALUES('10569','8660','CIRCUIT ISSUE NOT RESOOLVED','106','2021-08-07 14:27:31','2021-08-07 14:27:31');
INSERT INTO complaint_remarks VALUES('10570','8688','COMPLAINT ABI TAK ATTEND NAI HUAI REMINDER DAY DEYA HAY S/C MAY','92','2021-08-07 14:27:45','2021-08-07 14:27:45');
INSERT INTO complaint_remarks VALUES('10571','8685','ABI TK COMPLAINT ATTEND NI HUI','106','2021-08-07 14:32:12','2021-08-07 14:32:12');
INSERT INTO complaint_remarks VALUES('10572','8652','0514906997 S/C NO SAMSUNG','92','2021-08-07 14:33:28','2021-08-07 14:33:28');
INSERT INTO complaint_remarks VALUES('10573','8662','SIR NOT ATTEND CALL','92','2021-08-07 14:36:09','2021-08-07 14:36:09');
INSERT INTO complaint_remarks VALUES('10574','8687','NOT ATTENDING CALL','106','2021-08-07 14:36:18','2021-08-07 14:36:18');
INSERT INTO complaint_remarks VALUES('10575','8662','COMPLAINT RESOLVED','92','2021-08-07 14:36:47','2021-08-07 14:36:47');
INSERT INTO complaint_remarks VALUES('10576','8652','03361526374 ARSALAN TECHNICIAN','92','2021-08-07 14:42:30','2021-08-07 14:42:30');
INSERT INTO complaint_remarks VALUES('10577','8692','COMPLAINT ATTEND NIHUI','106','2021-08-07 14:44:05','2021-08-07 14:44:05');
INSERT INTO complaint_remarks VALUES('10578','8695','NOT ATTENDING CALL','106','2021-08-07 14:45:50','2021-08-07 14:45:50');
INSERT INTO complaint_remarks VALUES('10579','8531','COMPLAINT RESOLVED','92','2021-08-07 14:46:20','2021-08-07 14:46:20');
INSERT INTO complaint_remarks VALUES('10580','8684','SHAHAZ BAHRIA KI DETAIL SHER KAR DI','74','2021-08-07 14:47:32','2021-08-07 14:47:32');
INSERT INTO complaint_remarks VALUES('10581','8643','S/C MA REMINDER DA DI HA','106','2021-08-07 14:54:42','2021-08-07 14:54:42');
INSERT INTO complaint_remarks VALUES('10582','8601','03315158683 IMRAN TECHNICIAN NO','92','2021-08-07 15:03:14','2021-08-07 15:03:14');
INSERT INTO complaint_remarks VALUES('10583','8506','COMPLAINT ATTEND HO GAE HAY INDOOR BOARD ISSUE BOARD MALE KEYA HUA HAY HEAD OFFICE MALE','92','2021-08-07 15:05:23','2021-08-07 15:05:23');
INSERT INTO complaint_remarks VALUES('10584','8393','CUSTOMER NOT ATTENDING CALL','106','2021-08-07 15:07:13','2021-08-07 15:07:13');
INSERT INTO complaint_remarks VALUES('10585','8669','COMPLAINT ATTEND HO GAE HAY CUSTOMER KO GHIDE KAR DEYA HAY S/C WALOUN NAY','92','2021-08-07 15:07:33','2021-08-07 15:07:33');
INSERT INTO complaint_remarks VALUES('10586','8503','CUSTOMER NOT ATTEND CALL','92','2021-08-07 15:08:46','2021-08-07 15:08:46');
INSERT INTO complaint_remarks VALUES('10587','8499','COMPLAINT ATTEND HO GAE HAY CUSTOMER KAL UNIT S/C LIFT KAR AY HAY','92','2021-08-07 15:10:56','2021-08-07 15:10:56');
INSERT INTO complaint_remarks VALUES('10588','8470','CUSTOMER SAY BAT HUAI HAY OUT OFF WARRANTY COMPLAINT CUSTOMER ATTEND NAI KARWANA CHATAY COMPLAINT CLOSED','92','2021-08-07 15:18:17','2021-08-07 15:18:17');
INSERT INTO complaint_remarks VALUES('10589','8457','03135081891 OTHER MOBILE NO CUSTOMER KA','92','2021-08-07 15:21:24','2021-08-07 15:21:24');
INSERT INTO complaint_remarks VALUES('10590','8601','03179998683 TECHNICIAN NO','92','2021-08-07 15:26:11','2021-08-07 15:26:11');
INSERT INTO complaint_remarks VALUES('10591','8457','03100865385 MURSALEEN TECHNICIAN','92','2021-08-07 15:28:57','2021-08-07 15:28:57');
INSERT INTO complaint_remarks VALUES('10592','8457','COMPLAINT MONDAY KO ATTEND HO GAE COMPLAINT IN PROCESS','92','2021-08-07 15:29:19','2021-08-07 15:29:19');
INSERT INTO complaint_remarks VALUES('10593','8601','03179998684 TECHNICIAN NO','92','2021-08-07 15:33:06','2021-08-07 15:33:06');
INSERT INTO complaint_remarks VALUES('10594','8683','03335297208 ASIF TECHNICIAN','74','2021-08-07 15:39:21','2021-08-07 15:39:21');
INSERT INTO complaint_remarks VALUES('10595','8637','COMPLAINT ATTEND HO GEI HAI AJ BOARD KA ISSUE HAIN BOARD S/C LA K AAY HAIN MONDAY KO AGAIN VISIT COMPLAINT WORKING IN PROCESS .
INFORMED BY JIBRAN FCI','74','2021-08-07 15:55:00','2021-08-07 15:55:00');
INSERT INTO complaint_remarks VALUES('10596','8637','COMPLAINT ATTEND HO GAE HAY PANEL ISSUE COMPLAINT IN PROCESS','92','2021-08-07 16:00:29','2021-08-07 16:00:29');
INSERT INTO complaint_remarks VALUES('10597','8393','0515555371 S/C NO','92','2021-08-07 16:03:19','2021-08-07 16:03:19');
INSERT INTO complaint_remarks VALUES('10598','8393','TECHNICIAN NAY CALL KI THI BUT CUSTOMER NOT ATTEND CALL COMPANY MAY REMINDER DAY DEYA HAY MONDAY KO VISIT HO GA','92','2021-08-07 16:09:02','2021-08-07 16:09:02');
INSERT INTO complaint_remarks VALUES('10599','8623','COMPLAINT RESOLVED','92','2021-08-07 16:14:27','2021-08-07 16:14:27');
INSERT INTO complaint_remarks VALUES('10600','8216','3 VISIT HO CHUKA HA LEKIN CUSTOMER  K ISSUE RESOLVED NI HO RAHA ISSUE YA HA  K DOOR BHT MUSHKIL SA KHOL RAHA HA OR COMPRESSOR KI SOUND BHT TAIZ HA','106','2021-08-07 16:15:21','2021-08-07 16:15:21');
INSERT INTO complaint_remarks VALUES('10601','8614','COMPLAINT RESOLVED','92','2021-08-07 16:15:46','2021-08-07 16:15:46');
INSERT INTO complaint_remarks VALUES('10602','8216','COMPLAINT HIGHLIGHTED','106','2021-08-07 16:19:56','2021-08-07 16:19:56');
INSERT INTO complaint_remarks VALUES('10603','8613','03095559764 JAWAID TECHNICIAN','92','2021-08-07 16:22:17','2021-08-07 16:22:17');
INSERT INTO complaint_remarks VALUES('10604','8613','MONDAY KO VISIT HO GA REMINDER DAY DEYA HAY S/C MAY','92','2021-08-07 16:23:19','2021-08-07 16:23:19');
INSERT INTO complaint_remarks VALUES('10605','8579','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-07 16:33:08','2021-08-07 16:33:08');
INSERT INTO complaint_remarks VALUES('10606','8756','SYSTEM OFF THA... COMPLAINT MANUAL FORWARD KARWA DI HA , JIDHR FORWARD HI HA UN KA NUMBER B LE LIA HA','73','2021-08-07 16:40:33','2021-08-07 16:40:33');
INSERT INTO complaint_remarks VALUES('10607','8424','COMPLAINT ATTEND HO GAE HAY MONDAY KO AGAIN VISIT HAY INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-07 16:45:45','2021-08-07 16:45:45');
INSERT INTO complaint_remarks VALUES('10608','8246','COMPLETED COMPLAINT','74','2021-08-07 16:46:17','2021-08-07 16:46:17');
INSERT INTO complaint_remarks VALUES('10609','8208','CUSTOMER KO CALL AY GAE HAY DOOR CHANGE KARNAY K LEAY','92','2021-08-07 16:49:13','2021-08-07 16:49:13');
INSERT INTO complaint_remarks VALUES('10610','8147','03475279930 SAFDAR TECHNICIAN','92','2021-08-07 16:51:26','2021-08-07 16:51:26');
INSERT INTO complaint_remarks VALUES('10611','8147','CUSTOMER NOT ATTEND CALL','92','2021-08-07 17:01:22','2021-08-07 17:01:22');
INSERT INTO complaint_remarks VALUES('10612','8102','CUSTOMER NOT ATTEND CALL','92','2021-08-07 17:02:10','2021-08-07 17:02:10');
INSERT INTO complaint_remarks VALUES('10613','7998','CUSTOMER SAY BAT HUAI HAY COMPLIANT RESOLVED','92','2021-08-07 17:06:35','2021-08-07 17:06:35');
INSERT INTO complaint_remarks VALUES('10614','8715','KHURRAM SIR SAY BAT HUAI HAY KAL ATTEND HO GE COMPLAINT INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-07 17:10:07','2021-08-07 17:10:07');
INSERT INTO complaint_remarks VALUES('10615','7730','CUSTOMER NOT ATTEND CALL','92','2021-08-07 17:17:46','2021-08-07 17:17:46');
INSERT INTO complaint_remarks VALUES('10616','8169','INDOOR PCD S/C MAIN AAGAY HAIN MONDAY KO  TAKILA DISPATCH  KARWAY GAY','74','2021-08-07 17:22:34','2021-08-07 17:22:34');
INSERT INTO complaint_remarks VALUES('10617','8730','TECHNICIAN NAY CALL KI THI CUSTOMER KO CALL PAR HI GUIDE KARNAY K LEAY BUT CUSTOMER BOL RAHY HAY K VISIT KARWAY MONDAY KO VISIT HO GA','92','2021-08-07 17:47:00','2021-08-07 17:47:00');
INSERT INTO complaint_remarks VALUES('10618','8620','KHURRAM SIR & ASLAM SIR KO DETAIL FF KAR DI','74','2021-08-07 18:22:02','2021-08-07 18:22:02');
INSERT INTO complaint_remarks VALUES('10619','8717','complaint resolved','92','2021-08-08 13:18:54','2021-08-08 13:18:54');
INSERT INTO complaint_remarks VALUES('10620','8714','customer not attend call','92','2021-08-08 13:21:03','2021-08-08 13:21:03');
INSERT INTO complaint_remarks VALUES('10621','8722','CUSTOMER NOT ATTEND CALL','92','2021-08-08 13:22:32','2021-08-08 13:22:32');
INSERT INTO complaint_remarks VALUES('10622','8710','COMPLAINT RESOLVED','92','2021-08-08 13:24:14','2021-08-08 13:24:14');
INSERT INTO complaint_remarks VALUES('10623','8707','COMPLAINT RESOLVED','92','2021-08-08 13:51:37','2021-08-08 13:51:37');
INSERT INTO complaint_remarks VALUES('10624','8703','COMPLAINT ATTEND HO GAE HAY COMPLAINT IN PROCESS','92','2021-08-08 13:59:16','2021-08-08 13:59:16');
INSERT INTO complaint_remarks VALUES('10625','8702','CALL AYI THI TECHNICIAN KI VISIT NAI HUA CUSTOMER KO INFORM KAR DEYA HAY KAL ATTEND HO GE COMPLAINT USMAN DAWLANCE SIR KO B REMINDER DAY DEYA HAY','92','2021-08-08 14:05:50','2021-08-08 14:05:50');
INSERT INTO complaint_remarks VALUES('10626','8701','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-08 14:07:49','2021-08-08 14:07:49');
INSERT INTO complaint_remarks VALUES('10627','8690','COMPLAINT RESOLVED','92','2021-08-08 14:14:49','2021-08-08 14:14:49');
INSERT INTO complaint_remarks VALUES('10628','8687','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-08 14:17:21','2021-08-08 14:17:21');
INSERT INTO complaint_remarks VALUES('10629','8702','Arshad CWS Murree
Home 0321 5141998 S/C NO','92','2021-08-08 14:22:54','2021-08-08 14:22:54');
INSERT INTO complaint_remarks VALUES('10630','8669','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-08 14:28:08','2021-08-08 14:28:08');
INSERT INTO complaint_remarks VALUES('10631','8664','CUSTOMER SAY BAT HUAI HAY 1 HOURS TAK CALL BACK KARAY GE CONFORM KAR K','92','2021-08-08 14:33:52','2021-08-08 14:33:52');
INSERT INTO complaint_remarks VALUES('10632','8661','CUSTOMER SAY BAT HUAI HAY KAL ATTEND HO GE COMPLAINT INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-08 14:35:09','2021-08-08 14:35:09');
INSERT INTO complaint_remarks VALUES('10633','8660','0514473080 S/C NO DAWLANCE USMAN SIR SAY BAT HUAI HAY UNIT LIFT HO GA S/C','92','2021-08-08 14:42:01','2021-08-08 14:42:01');
INSERT INTO complaint_remarks VALUES('10634','8278','MOTOR ISSUE ABI MOTOR STOCK MAY NAI HAY CUSTOMER KO INFORM KAR DEYA HAY','92','2021-08-08 14:57:21','2021-08-08 14:57:21');
INSERT INTO complaint_remarks VALUES('10635','8733','TECH NA KL RBTA KIA THA MGR AY NI MONDAY KO COMPLAINT ATTEND HO GI','106','2021-08-08 15:13:15','2021-08-08 15:13:15');
INSERT INTO complaint_remarks VALUES('10636','8729','ISSUED RESOLVED','106','2021-08-08 15:14:18','2021-08-08 15:14:18');
INSERT INTO complaint_remarks VALUES('10637','8727','NOT ATTENDING CALL','106','2021-08-08 15:17:56','2021-08-08 15:17:56');
INSERT INTO complaint_remarks VALUES('10638','8724','COMPLAINT ATTEND HO GAE HAY UNIT S/C LAY GAY HAY COMPANY WALAY','92','2021-08-08 15:20:20','2021-08-08 15:20:20');
INSERT INTO complaint_remarks VALUES('10639','8721','AIK VISIT HO GYA ISSUE NOTB SOLVED MONDAY KO DOBARA VSIT HO GA INFORMED BY CUSTOMER THERMOSTATE KA MASLA HA','106','2021-08-08 15:25:29','2021-08-08 15:25:29');
INSERT INTO complaint_remarks VALUES('10640','8198','COMPLAINT ATTEND HO GAE HAY COOLING ISSUE CUSTOMER SATISFIED NAI HAY CUSTOMER BOL RAHY HAY K MUJAY NEW UNIT NAI DEYA HAY USE UNIT DEYA HAY UNIT OK HAY ADIL FHHS SIR KO B INFORM KEYA HAY','92','2021-08-08 15:27:03','2021-08-08 15:27:03');
INSERT INTO complaint_remarks VALUES('10641','8706','ISSUED RESOLVED','106','2021-08-08 15:28:22','2021-08-08 15:28:22');
INSERT INTO complaint_remarks VALUES('10642','8735','COMPLAINT ATTEND HO GAE HAY COOLING ISSUE THA TECHNICIAN NAY VISIT B KEYA HAY CUSTOMER SATISFIED NAI HAY','92','2021-08-08 15:32:11','2021-08-08 15:32:11');
INSERT INTO complaint_remarks VALUES('10643','6522','CUSTOMER NOT ATTEND CALL','92','2021-08-08 15:35:33','2021-08-08 15:35:33');
INSERT INTO complaint_remarks VALUES('10644','7293','CUSTOMER NOT ATTEND CALL','92','2021-08-08 15:36:16','2021-08-08 15:36:16');
INSERT INTO complaint_remarks VALUES('10645','8727','CUSTOMER THORI DAR TAK INFORM KARAY GAY','92','2021-08-08 15:56:07','2021-08-08 15:56:07');
INSERT INTO complaint_remarks VALUES('10646','8607','COMPLAINT RESOLVED','92','2021-08-08 15:59:41','2021-08-08 15:59:41');
INSERT INTO complaint_remarks VALUES('10647','8601','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-08 16:02:29','2021-08-08 16:02:29');
INSERT INTO complaint_remarks VALUES('10648','8597','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-08 16:06:24','2021-08-08 16:06:24');
INSERT INTO complaint_remarks VALUES('10649','8569','STILL INN S/C','106','2021-08-08 16:07:41','2021-08-08 16:07:41');
INSERT INTO complaint_remarks VALUES('10650','8570','ISSUED RESOLVE D','106','2021-08-08 16:08:41','2021-08-08 16:08:41');
INSERT INTO complaint_remarks VALUES('10651','8572','ISSUED RESOLVED','106','2021-08-08 16:09:50','2021-08-08 16:09:50');
INSERT INTO complaint_remarks VALUES('10652','8594','CUSTOMER NOT ATTEND CALL','92','2021-08-08 16:11:21','2021-08-08 16:11:21');
INSERT INTO complaint_remarks VALUES('10653','8594','NOT ATTENDING CALL','106','2021-08-08 16:12:24','2021-08-08 16:12:24');
INSERT INTO complaint_remarks VALUES('10654','8616','CUSTOMER SAY BAT HO GAE HAY CUSTOMER OUT OFF STATION THAY TECHNICIAN KI B CALL AYI THI CUSTOMER KO REOPEN KARWA DE HAY COMPLAINT COMPANY MAY','92','2021-08-08 16:23:41','2021-08-08 16:23:41');
INSERT INTO complaint_remarks VALUES('10655','8551','03165033330 OTHER MOBILE NO','92','2021-08-08 16:26:38','2021-08-08 16:26:38');
INSERT INTO complaint_remarks VALUES('10656','8551','COMPLAINT ATTEND NAI HUAI RABIA MAMM KO REMINDER DAY DEYA HAY CUSTOMER KO B IN FORM KAR DEYA HAY K KAL ATTEND HO GE COMPLAINT AP KI','92','2021-08-08 16:29:50','2021-08-08 16:29:50');
INSERT INTO complaint_remarks VALUES('10657','8535','CUSTOMER NOT ATTEND CALL','92','2021-08-08 16:33:29','2021-08-08 16:33:29');
INSERT INTO complaint_remarks VALUES('10658','8664','COMPLAINT ATTEND HO GAE HAY KIT KA ISSUE HAY KIT S/C WALAY LAY GAY HAY COMPLAINT IN PROCESS','92','2021-08-08 16:38:48','2021-08-08 16:38:48');
INSERT INTO complaint_remarks VALUES('10659','8503','CUSTOMER SAY BAT HUAI HAY KAL CUSTOMER UNIT S/C SAY PICK KAR LAY GAY','92','2021-08-08 16:42:09','2021-08-08 16:42:09');
INSERT INTO complaint_remarks VALUES('10660','8496','CUSTOMER NOT ATTEND CALL','92','2021-08-08 16:44:38','2021-08-08 16:44:38');
INSERT INTO complaint_remarks VALUES('10661','8620','CUSTOMER KO W/M REPLACE KAR DE HAY CUSTOMER LG KI W/M LAY GAY HAY SHOWROOM SAY VISIT AB SHOWROOM PAR HO GA UNIT SHOWROOM PAR HAY','92','2021-08-08 16:54:17','2021-08-08 16:54:17');
INSERT INTO complaint_remarks VALUES('10662','6976','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-08 17:08:12','2021-08-08 17:08:12');
INSERT INTO complaint_remarks VALUES('10663','8668','ISSUED RESOLVED','106','2021-08-08 17:18:18','2021-08-08 17:18:18');
INSERT INTO complaint_remarks VALUES('10664','8310','CUSTOMER NOT ATTEND CALL','92','2021-08-08 17:20:11','2021-08-08 17:20:11');
INSERT INTO complaint_remarks VALUES('10665','8339','CUSTOMER SAY BAT HO GAE HAY COMPLAINT RESOLVED','92','2021-08-08 17:24:47','2021-08-08 17:24:47');
INSERT INTO complaint_remarks VALUES('10666','8577','NOT ATTENDING CALL','106','2021-08-08 17:26:27','2021-08-08 17:26:27');
INSERT INTO complaint_remarks VALUES('10667','8609','NOT ATTENDING CALL','106','2021-08-08 17:27:41','2021-08-08 17:27:41');
INSERT INTO complaint_remarks VALUES('10668','8610','ABI UNHO N HOO UNIT  ABI TK PICK NI HUA','106','2021-08-08 17:33:47','2021-08-08 17:33:47');
INSERT INTO complaint_remarks VALUES('10669','8634','COMPLAINT ATTEND HO GAE HAY PLATE ISSUE HAY PLATE DEMAND KE HUAI HAY S/C WALOUN NAY','92','2021-08-08 17:39:09','2021-08-08 17:39:09');
INSERT INTO complaint_remarks VALUES('10670','8621','NOT ATTENDING CALL','106','2021-08-08 17:43:39','2021-08-08 17:43:39');
INSERT INTO complaint_remarks VALUES('10671','8621','ISSUED RESOLVED','106','2021-08-08 17:46:14','2021-08-08 17:46:14');
INSERT INTO complaint_remarks VALUES('10672','8727','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-08 17:48:51','2021-08-08 17:48:51');
INSERT INTO complaint_remarks VALUES('10673','8765','TECHNICIANMURSALEEN','73','2021-08-09 10:40:15','2021-08-09 10:40:15');
INSERT INTO complaint_remarks VALUES('10674','8745','unit aj s/c shift ho ga','106','2021-08-09 10:55:39','2021-08-09 10:55:39');
INSERT INTO complaint_remarks VALUES('10675','8755','TECHNICIAN ADNAN 03179998680 VISIT  TO DAY','74','2021-08-09 11:03:21','2021-08-09 11:03:21');
INSERT INTO complaint_remarks VALUES('10676','8744','not attending call','106','2021-08-09 11:13:01','2021-08-09 11:13:01');
INSERT INTO complaint_remarks VALUES('10677','8743','PCB CARD ISSUED COMPANY SIDE SA REPLACE HO GA CUSTOMER KO 4 DIN KA TIME DIA HA','106','2021-08-09 11:15:04','2021-08-09 11:15:04');
INSERT INTO complaint_remarks VALUES('10678','8742','COMPLAINT ABI  TK ATTEND NI HUI','106','2021-08-09 11:16:20','2021-08-09 11:16:20');
INSERT INTO complaint_remarks VALUES('10679','8800','AGAIN ISSUE ARAHA HA NORMAL TAB MA COLD WATER ARA HA PICHLI COMPLAINT MA TECH NA VISIT KIA AIK DO DIN HI CHLI','106','2021-08-09 11:25:05','2021-08-09 11:25:05');
INSERT INTO complaint_remarks VALUES('10680','7042','DOOR S/C MAIN AAGAY HAIN AMEEN SAB KO REMINDER DA DIA HAIN DOOR LAGWANAY K LIYA','74','2021-08-09 11:35:54','2021-08-09 11:35:54');
INSERT INTO complaint_remarks VALUES('10681','7805','GAS REFIL KI THI PAR ABI B PROPER COOLING NAI HO RAHAI OTHER #SA NEW COMPLAINT FF KARWA DIA','74','2021-08-09 11:51:15','2021-08-09 11:51:15');
INSERT INTO complaint_remarks VALUES('10682','8630','BOARD KA ISSUE HA UNIT CUSTOMER K GR CHL','106','2021-08-09 11:54:29','2021-08-09 11:54:29');
INSERT INTO complaint_remarks VALUES('10683','8683','CUSTOMER OUT OF STATION HA ABI COMPLAINT CLOSED KRA RAHA CUSTOMER KHA RAHA HA K 10 DIN BAD DOBARA COMPLAINT KRAI GA','106','2021-08-09 11:56:23','2021-08-09 11:56:23');
INSERT INTO complaint_remarks VALUES('10684','8386','CUSTOMER  STILL CALL ATTEND NAI KAR RAHAY HAIN JIS WAJA SA COMPLAINT DELAY HAIN TAHIR BOACH AJ AGAIN TRY KARAY GAY','74','2021-08-09 12:06:55','2021-08-09 12:06:55');
INSERT INTO complaint_remarks VALUES('10685','8741','TEC VISITED BUT ISSUED NOT RESOLVED AGAIN VISIT HOGA','106','2021-08-09 12:08:34','2021-08-09 12:08:34');
INSERT INTO complaint_remarks VALUES('10686','8254','MISS SUMIRA HAMRI CALL ATTEND NAI KAR RAHI','74','2021-08-09 12:16:39','2021-08-09 12:16:39');
INSERT INTO complaint_remarks VALUES('10687','8739','ISSUED NOT RESOLVED CUSTOMER KHA RAHA HA K MA LOCAL TECH SAV REPAIR KRAO GA PCB CARD KA ISSUE HA','106','2021-08-09 12:20:25','2021-08-09 12:20:25');
INSERT INTO complaint_remarks VALUES('10688','8738','NOT ATTENDING CALL','106','2021-08-09 12:26:09','2021-08-09 12:26:09');
INSERT INTO complaint_remarks VALUES('10689','8628','TEC NA VISIT NI KIA ABI TK','106','2021-08-09 12:34:36','2021-08-09 12:34:36');
INSERT INTO complaint_remarks VALUES('10690','8643','NOT ATTENDING CALL','106','2021-08-09 12:37:11','2021-08-09 12:37:11');
INSERT INTO complaint_remarks VALUES('10691','8399','CUSTMER KO GEYSER MOVE KARNAY K LIYA CALL KAR DI HAIN TANK GUJRAWALA SA AAGAY HAIN .ADD CUSTOMER KO NOTE KARWA DIA','74','2021-08-09 12:46:09','2021-08-09 12:46:09');
INSERT INTO complaint_remarks VALUES('10692','8666','TECHNICIAN KA VISIT HO GATA HAY 02 DAFA UNIT OK HAY BUT CUSTOMER SATISFIED NAI HAY ZAFAR SIR KO INFORM KAR DEYA HAY','92','2021-08-09 13:04:31','2021-08-09 13:04:31');
INSERT INTO complaint_remarks VALUES('10693','8817','HOME SOLUTION KA VISIT HO GAYA HAIN .LEAKAGE PROB HAIN NAEEM KENWOOD KO PIC SHER KAR DI','74','2021-08-09 13:08:24','2021-08-09 13:08:24');
INSERT INTO complaint_remarks VALUES('10694','8643','COMPLAINT ATTEND HO GAE HAY MOTOR ISSUE HAY MOTOR ABI S/C MAY NAI HAY INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-09 13:09:48','2021-08-09 13:09:48');
INSERT INTO complaint_remarks VALUES('10695','8625','CUSTOMER NOT ATTEND CALL','92','2021-08-09 13:18:48','2021-08-09 13:18:48');
INSERT INTO complaint_remarks VALUES('10696','8603','CUSTOMER NOT ATTEND CALL','92','2021-08-09 13:25:28','2021-08-09 13:25:28');
INSERT INTO complaint_remarks VALUES('10697','8744','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-09 13:58:13','2021-08-09 13:58:13');
INSERT INTO complaint_remarks VALUES('10698','8379','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-09 14:05:43','2021-08-09 14:05:43');
INSERT INTO complaint_remarks VALUES('10699','8817','NAEEN SIR UNIT S/C MOVE KARWA RAHAY HAIN','74','2021-08-09 14:06:19','2021-08-09 14:06:19');
INSERT INTO complaint_remarks VALUES('10700','8384','PART ABI TAK NAI AYA S/C MAY COMPLAINT IN PROCESS','92','2021-08-09 14:13:50','2021-08-09 14:13:50');
INSERT INTO complaint_remarks VALUES('10701','8380','CUSTOMER SAY BAT HUAI HAY UNIT LIFT HO GAYA HAY S/C COMPLAINT IN PROCESS','92','2021-08-09 14:16:22','2021-08-09 14:16:22');
INSERT INTO complaint_remarks VALUES('10702','8375','CUSTOMER NOT ATTEND CALL','92','2021-08-09 14:17:22','2021-08-09 14:17:22');
INSERT INTO complaint_remarks VALUES('10703','8091','CUSTOMER KO REF REPLACE KAR DIA HAIN 
CUSTOMER KA REF  BILAL FCP K PASS SHOWROOM PA HAIN 
COMPLAINT CLOSED','74','2021-08-09 14:24:35','2021-08-09 14:24:35');
INSERT INTO complaint_remarks VALUES('10704','8366','TECHNICIAN KI CALL AY GAE HAY CUSTOMER KO MOTOR AY GAE HAY STOCK MAY AJ ATTEND HO GE COMPLAINT','92','2021-08-09 14:26:55','2021-08-09 14:26:55');
INSERT INTO complaint_remarks VALUES('10705','8722','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-09 14:30:35','2021-08-09 14:30:35');
INSERT INTO complaint_remarks VALUES('10706','8503','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-09 14:36:00','2021-08-09 14:36:00');
INSERT INTO complaint_remarks VALUES('10707','8532','03009825120 ZAFAR TECHNICIAN','92','2021-08-09 15:10:12','2021-08-09 15:10:12');
INSERT INTO complaint_remarks VALUES('10708','8615','03352811133 CUSTOMER OTHER MOBILE NO','92','2021-08-09 15:31:24','2021-08-09 15:31:24');
INSERT INTO complaint_remarks VALUES('10709','8532','03016792380 TCL S/C NO','92','2021-08-09 15:53:29','2021-08-09 15:53:29');
INSERT INTO complaint_remarks VALUES('10710','8620','COMPLAINT BILAL PWD SIR K NAME KI BANA DE HAY CUSTOMER KO LG KI W/M DAY DE HAY SO COMPLAINT CLOSED','92','2021-08-09 15:59:28','2021-08-09 15:59:28');
INSERT INTO complaint_remarks VALUES('10711','7047','TANK AAGAY HAIN CUSTOMER KA GEYSER B  I 10 S/C AAGAY HAIN','74','2021-08-09 16:05:12','2021-08-09 16:05:12');
INSERT INTO complaint_remarks VALUES('10712','7047','WORKING IN PROCESS','74','2021-08-09 16:05:29','2021-08-09 16:05:29');
INSERT INTO complaint_remarks VALUES('10713','8762','03179998683 MAHRAN TECHNICIAN','92','2021-08-09 16:13:01','2021-08-09 16:13:01');
INSERT INTO complaint_remarks VALUES('10714','8664','UNIT S/C LIFT HO GAYA HAY AJ COMPLAINT IN PROCESS','92','2021-08-09 16:22:43','2021-08-09 16:22:43');
INSERT INTO complaint_remarks VALUES('10715','7248','COMPLAINT RESOLVED','92','2021-08-09 16:42:11','2021-08-09 16:42:11');
INSERT INTO complaint_remarks VALUES('10716','7901','CUSTOMER SAY BAT HUAI HAY KAL TAK MOTOR AY GE KAL ATTEND HO GE COMPLAINT','92','2021-08-09 16:57:45','2021-08-09 16:57:45');
INSERT INTO complaint_remarks VALUES('10717','8342','COMPLAINT RESOLVED','92','2021-08-09 17:08:27','2021-08-09 17:08:27');
INSERT INTO complaint_remarks VALUES('10718','8067','COMPLAINT  RESOLVED','92','2021-08-09 17:09:39','2021-08-09 17:09:39');
INSERT INTO complaint_remarks VALUES('10719','8841','INVOICE=44707','73','2021-08-09 17:43:03','2021-08-09 17:43:03');
INSERT INTO complaint_remarks VALUES('10720','8841','MODEL=32M71207F-S','73','2021-08-09 17:43:39','2021-08-09 17:43:39');
INSERT INTO complaint_remarks VALUES('10721','8841','D.O.P=44707','73','2021-08-09 17:44:00','2021-08-09 17:44:00');
INSERT INTO complaint_remarks VALUES('10722','8841','D.O.P=6-DEC-2020','73','2021-08-09 17:44:13','2021-08-09 17:44:13');
INSERT INTO complaint_remarks VALUES('10723','8842','INVOICE=44707','73','2021-08-09 17:48:04','2021-08-09 17:48:04');
INSERT INTO complaint_remarks VALUES('10724','8842','MODEL=32M71207F-S','73','2021-08-09 17:48:15','2021-08-09 17:48:15');
INSERT INTO complaint_remarks VALUES('10725','8842','D.O.P=6-DEC-2020','73','2021-08-09 17:48:27','2021-08-09 17:48:27');
INSERT INTO complaint_remarks VALUES('10726','8842','MODEL=1000MEC','73','2021-08-09 17:49:56','2021-08-09 17:49:56');
INSERT INTO complaint_remarks VALUES('10727','8761','AJ ATTEND HO GE COMPLAINT TECHNICIAN KI CALL AY GAE HAY CUSTOMER KO','92','2021-08-10 11:04:36','2021-08-10 11:04:36');
INSERT INTO complaint_remarks VALUES('10728','8758','COMPLAINT ATTEND HO GAE HAY UNIT S/C LIFT HO GA','92','2021-08-10 11:07:49','2021-08-10 11:07:49');
INSERT INTO complaint_remarks VALUES('10729','8738','CUSTOMER NOT ATTEND CALL','92','2021-08-10 11:13:17','2021-08-10 11:13:17');
INSERT INTO complaint_remarks VALUES('10730','8738','CUSTOMER SAY BAT HO GE HAY COMPLAINT RESOLVED','92','2021-08-10 11:14:21','2021-08-10 11:14:21');
INSERT INTO complaint_remarks VALUES('10731','8721','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-10 11:18:37','2021-08-10 11:18:37');
INSERT INTO complaint_remarks VALUES('10732','8679','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-10 11:23:22','2021-08-10 11:23:22');
INSERT INTO complaint_remarks VALUES('10733','8648','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-10 11:25:10','2021-08-10 11:25:10');
INSERT INTO complaint_remarks VALUES('10734','8645','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-10 11:29:29','2021-08-10 11:29:29');
INSERT INTO complaint_remarks VALUES('10735','8625','CUSTOMER STILL NOT ATTEND CALL','92','2021-08-10 11:32:52','2021-08-10 11:32:52');
INSERT INTO complaint_remarks VALUES('10736','8604','AK VISIT HO GAYA THA ISSUE RESOLVED HO GAYA THA AGAIN ISSUE AY GAYA HAY W/D MAY REMINDER DAY DEYA HAY S/C MAY','92','2021-08-10 11:37:17','2021-08-10 11:37:17');
INSERT INTO complaint_remarks VALUES('10737','8724','03117777773 wakeel  sab k s/c mian hain unit working in process','74','2021-08-10 11:44:19','2021-08-10 11:44:19');
INSERT INTO complaint_remarks VALUES('10738','8747','CUSTOMER NOT ATTEND CALL','92','2021-08-10 11:46:50','2021-08-10 11:46:50');
INSERT INTO complaint_remarks VALUES('10739','8496','COMPLAINT ATTEND HO GAE HAY DOOR ISSUE HAY DOOR REPLACE HO GA JAB DOOR S/C MAY AY GA TO DOOR KA ISSUE RESOLVED HO GA COMPLAINT IN PROCESS','92','2021-08-10 11:49:15','2021-08-10 11:49:15');
INSERT INTO complaint_remarks VALUES('10740','8695','RACK DAMAGED HA CUSTOMER KO INFORM KR DIA ON PAYMENT HO GA CUSTOMER AGGREE NI HA','106','2021-08-10 11:57:05','2021-08-10 11:57:05');
INSERT INTO complaint_remarks VALUES('10741','8696','KL VISIT HO GA','106','2021-08-10 11:58:39','2021-08-10 11:58:39');
INSERT INTO complaint_remarks VALUES('10742','8703','NOT ATTENDING CALL','106','2021-08-10 12:03:03','2021-08-10 12:03:03');
INSERT INTO complaint_remarks VALUES('10743','8714','ISSUED RESOLVED','106','2021-08-10 12:04:32','2021-08-10 12:04:32');
INSERT INTO complaint_remarks VALUES('10744','8715','VIST HO GYA HA SATURDAY KO DOBARA VISIT HO GA CUSTOMER SUIDE SA DELAY HA','106','2021-08-10 12:07:25','2021-08-10 12:07:25');
INSERT INTO complaint_remarks VALUES('10745','8585','03335884802  SHAHID TECHNICIAN S/C NO','92','2021-08-10 12:09:06','2021-08-10 12:09:06');
INSERT INTO complaint_remarks VALUES('10746','8637','TAHIR SAB NA CUSTOMER SA 2 DIN KA TIME LIYA HAIN CARD PA WORKING IN PROCESS','74','2021-08-10 12:10:00','2021-08-10 12:10:00');
INSERT INTO complaint_remarks VALUES('10747','8726','TEC KI CALL AGAI HA CUST KO AJ ATTEND HO GI','106','2021-08-10 12:10:32','2021-08-10 12:10:32');
INSERT INTO complaint_remarks VALUES('10748','8754','CUSTOMER NOT ATTEND CALL','92','2021-08-10 12:17:48','2021-08-10 12:17:48');
INSERT INTO complaint_remarks VALUES('10749','8625','IQBAL KRL KO   INFORMED KAR DIA HAIN K YHA CUSTOMER CALL NAI ATTEND KAR RAHAY  4 BAJAY TAQ BATAY GAY IQBAL SIR','74','2021-08-10 12:17:55','2021-08-10 12:17:55');
INSERT INTO complaint_remarks VALUES('10750','8748','AJ ATTEND HO GE COMPLAINT INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-10 12:21:45','2021-08-10 12:21:45');
INSERT INTO complaint_remarks VALUES('10751','8747','NOT ATTENDING CALL','106','2021-08-10 12:23:17','2021-08-10 12:23:17');
INSERT INTO complaint_remarks VALUES('10752','8851','COMPLAINT#202108006470
2 COMPLAINT#202108006476
3 COMPLAINT#202108006477
4COMPLAINT#202108006478
5COMPLAINT#202108006479
6COMPLAINT#202108006480
7COMPLAINT#202108006481
8COMPLAINT#202108006482
9COMPLAINT#202108006484
10COMPLAINT#202108006485','73','2021-08-10 12:23:36','2021-08-10 12:23:36');
INSERT INTO complaint_remarks VALUES('10753','8851','10 AC MEIN ISSUE...','73','2021-08-10 12:27:38','2021-08-10 12:27:38');
INSERT INTO complaint_remarks VALUES('10754','8742','COMPLAINT ATTEND NAI HUAI REMINDER DAY DEYA HAY SHOAIB BOSCH SIR KO','92','2021-08-10 12:28:28','2021-08-10 12:28:28');
INSERT INTO complaint_remarks VALUES('10755','8692','ABI TK VISIT NI HUA','106','2021-08-10 12:35:37','2021-08-10 12:35:37');
INSERT INTO complaint_remarks VALUES('10756','8785','03438893547  RAMEES  TECHNICIAN','92','2021-08-10 12:38:48','2021-08-10 12:38:48');
INSERT INTO complaint_remarks VALUES('10757','8688','ISSUED RESOLVED','106','2021-08-10 12:39:22','2021-08-10 12:39:22');
INSERT INTO complaint_remarks VALUES('10758','8785','AJ ATTEND HO GE COMPLAINT INFORM KAR DEYA HAY WAQAS BAHRIA SIR KO','92','2021-08-10 12:41:58','2021-08-10 12:41:58');
INSERT INTO complaint_remarks VALUES('10759','8684','ISSUE NI RESOLVED HUA ABI TK OUTDOR OU INDOOR MA DIFFERENCE HA','106','2021-08-10 12:43:49','2021-08-10 12:43:49');
INSERT INTO complaint_remarks VALUES('10760','8522','COMPLAINT ATTEND HO GE HAY ISSUE RESOLVED NAI HUA AGAIN S/C MAY REMINDER DAY DEYA HAY','92','2021-08-10 13:08:27','2021-08-10 13:08:27');
INSERT INTO complaint_remarks VALUES('10761','8661','ABI TK VISIT NI HUA','106','2021-08-10 13:09:32','2021-08-10 13:09:32');
INSERT INTO complaint_remarks VALUES('10762','8354','COMPLAINT ATTEND HO GAE HAY UNIT LIFT HO GA S/C','92','2021-08-10 13:09:45','2021-08-10 13:09:45');
INSERT INTO complaint_remarks VALUES('10763','8657','NOT ATTENDING CALL','106','2021-08-10 13:22:58','2021-08-10 13:22:58');
INSERT INTO complaint_remarks VALUES('10764','8235','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-10 13:36:38','2021-08-10 13:36:38');
INSERT INTO complaint_remarks VALUES('10765','6630','CUSTOMER STILL NOT ATTEND MY CALL SO COMPLAINT CLOSED INFORMED BY ZEESHAN','74','2021-08-10 13:44:17','2021-08-10 13:44:17');
INSERT INTO complaint_remarks VALUES('10766','8616','NOT ATTENDING CAALL','106','2021-08-10 13:50:28','2021-08-10 13:50:28');
INSERT INTO complaint_remarks VALUES('10767','6789','NAEEM KENWOD KO REMINDER DA DIA HAIN KAL AGAIN VISIT KARWAY GAY','74','2021-08-10 13:53:14','2021-08-10 13:53:14');
INSERT INTO complaint_remarks VALUES('10768','8310','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-10 13:54:22','2021-08-10 13:54:22');
INSERT INTO complaint_remarks VALUES('10769','8359','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-10 13:57:13','2021-08-10 13:57:13');
INSERT INTO complaint_remarks VALUES('10770','7762','NAEEM KENWOOD KO REMINDER','74','2021-08-10 14:00:33','2021-08-10 14:00:33');
INSERT INTO complaint_remarks VALUES('10771','8438','CUSTOMER SAY BAT HUAI HAY UNIT KAL TAK CUSTOMER K GHAR LIFT HO GA','92','2021-08-10 14:02:57','2021-08-10 14:02:57');
INSERT INTO complaint_remarks VALUES('10772','8616','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-10 14:05:14','2021-08-10 14:05:14');
INSERT INTO complaint_remarks VALUES('10773','7789','INDOOR KA PART AAGAY HAIN WAQAR SAB KO INFORMED KAR DIA HAIN CUSTOMER STILL CALL ATTEND NAI KAR RAHAY THY IC LIYA COMPLAINT DELAY HO RAHI THI AJ AGAIN CUSTOMER SA BAT HO GEI HAIN','74','2021-08-10 14:08:46','2021-08-10 14:08:46');
INSERT INTO complaint_remarks VALUES('10774','8535','CUSTOMER CALL ATTEND NAI KAR RAHY HAY SO BADAL SIR KO INFORM KAR DEYA HAY OUT OFF WARRANTY COMPLAINT SO COMPLAINT CLOSED','92','2021-08-10 14:09:05','2021-08-10 14:09:05');
INSERT INTO complaint_remarks VALUES('10775','8666','COMPLAINT RESOLVED','92','2021-08-10 14:12:53','2021-08-10 14:12:53');
INSERT INTO complaint_remarks VALUES('10776','8424','CUSTOMER SAY BAT HUAI HAY TECHNICIAN NAY VISIT B KEYA HAY RABER B CHANGE KI HAY BUT ISSUE RESOLVED NAI HUA AMEEN SIR KO REMINDER DAY DEYA HAY','92','2021-08-10 14:32:12','2021-08-10 14:32:12');
INSERT INTO complaint_remarks VALUES('10777','7730','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-10 14:33:50','2021-08-10 14:33:50');
INSERT INTO complaint_remarks VALUES('10778','8102','CUSTOMER NOT ATTEND CALL','92','2021-08-10 14:36:40','2021-08-10 14:36:40');
INSERT INTO complaint_remarks VALUES('10779','8147','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-10 14:43:30','2021-08-10 14:43:30');
INSERT INTO complaint_remarks VALUES('10780','8654','COMPLAINT RESOLVED','74','2021-08-10 14:45:49','2021-08-10 14:45:49');
INSERT INTO complaint_remarks VALUES('10781','8208','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-10 14:47:36','2021-08-10 14:47:36');
INSERT INTO complaint_remarks VALUES('10782','8007','CUSTOMER BUSY HA  NO RESPONSE','74','2021-08-10 15:01:47','2021-08-10 15:01:47');
INSERT INTO complaint_remarks VALUES('10783','7999','NOT ATTENDING CALL','74','2021-08-10 15:04:22','2021-08-10 15:04:22');
INSERT INTO complaint_remarks VALUES('10784','7981','ISSUED RESOLVED','74','2021-08-10 15:09:30','2021-08-10 15:09:30');
INSERT INTO complaint_remarks VALUES('10785','7294','COMPLAINT CLOSED','92','2021-08-10 15:11:18','2021-08-10 15:11:18');
INSERT INTO complaint_remarks VALUES('10786','8613','TEC VISITED BUT CUTOMER GR NI THA COMPLAINNT COMKPANY SIDE SA CLOSED HO GAI THI AJ DOBARA REOPEN KI HA','106','2021-08-10 15:29:44','2021-08-10 15:29:44');
INSERT INTO complaint_remarks VALUES('10787','8657','03095559751 IRFAN TECHNICIAN','92','2021-08-10 15:30:33','2021-08-10 15:30:33');
INSERT INTO complaint_remarks VALUES('10788','8090','PART KA ISSUE HA ABI TK RESOLVED NI HUA','106','2021-08-10 15:34:31','2021-08-10 15:34:31');
INSERT INTO complaint_remarks VALUES('10789','8102','TECH NA VIST KIA THA CUSTOMER KO TEC NA CHARGES KA BOLA H LEKIN CUSTOMER NA APPROVED NI  KIA','106','2021-08-10 15:58:34','2021-08-10 15:58:34');
INSERT INTO complaint_remarks VALUES('10790','8103','NOT TTENDING CALL','106','2021-08-10 16:00:33','2021-08-10 16:00:33');
INSERT INTO complaint_remarks VALUES('10791','8223','CUSTOMER SAY BAT HUAI HAY COMPLAINT CLOSED','92','2021-08-10 16:05:09','2021-08-10 16:05:09');
INSERT INTO complaint_remarks VALUES('10792','8145','NOT ATTENDING CALL','106','2021-08-10 16:07:42','2021-08-10 16:07:42');
INSERT INTO complaint_remarks VALUES('10793','8148','NOT ATTENDING CALL','106','2021-08-10 16:13:11','2021-08-10 16:13:11');
INSERT INTO complaint_remarks VALUES('10794','8733','03455102918 TECHNICIAN NO','92','2021-08-10 16:23:26','2021-08-10 16:23:26');
INSERT INTO complaint_remarks VALUES('10795','8733','03142437877 ATIF SUPER WISER RWP S/C','92','2021-08-10 16:24:50','2021-08-10 16:24:50');
INSERT INTO complaint_remarks VALUES('10796','8262','NOT ATTENDING   CALL','106','2021-08-10 16:30:25','2021-08-10 16:30:25');
INSERT INTO complaint_remarks VALUES('10797','8790','03328904546 ADNAN TECHNICIAN','92','2021-08-10 16:58:08','2021-08-10 16:58:08');
INSERT INTO complaint_remarks VALUES('10798','7330','PALAY VISIT HO GAYA HAY ISSUE RESOLVED HO GAYA THA SO COMPLAINT RESOLVED','92','2021-08-10 17:04:42','2021-08-10 17:04:42');
INSERT INTO complaint_remarks VALUES('10799','8790','ADNAN TECHNICIAN NAY ATTEND KI HAY COMPLAINT UNIT OK HAY TAB KA ISSUE THA ISSUE RESOLVED HO GAYA HAY SAQLAIN SIR KO INFORM KAR DEYA HAY','92','2021-08-10 17:14:49','2021-08-10 17:14:49');
INSERT INTO complaint_remarks VALUES('10800','8702','COMPLAINT ATTEND HO GAE HAY COMPRESSOR ISSUE HAY COMPLAINT IN PROCESS','92','2021-08-10 17:27:15','2021-08-10 17:27:15');
INSERT INTO complaint_remarks VALUES('10801','8569','CUSTOMER NOT ATTEND CALL','92','2021-08-10 17:28:01','2021-08-10 17:28:01');
INSERT INTO complaint_remarks VALUES('10802','7629','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-10 17:33:09','2021-08-10 17:33:09');
INSERT INTO complaint_remarks VALUES('10803','8366','03009757970 TECHNICIAN','92','2021-08-10 17:53:57','2021-08-10 17:53:57');
INSERT INTO complaint_remarks VALUES('10804','8145','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-10 18:00:11','2021-08-10 18:00:11');
INSERT INTO complaint_remarks VALUES('10805','8148','CUSTOMER CALL ATTEND NAI KAR RAHY HAY CUSTOMER KO UNIT S/C LIFT KARWANA HAY OUT OFF WARRANTY COMPLAINT HAY BILAL SIR KO INFORM KAR DEYA HAY SO COMPLAINT CLOSED','92','2021-08-10 18:04:14','2021-08-10 18:04:14');
INSERT INTO complaint_remarks VALUES('10806','8874','COSTUMER NE DIRECT COMPANY MEIN COMPLAINT LAUNCH KARWAI HOI HA.. 9 AUG KI','73','2021-08-10 18:09:10','2021-08-10 18:09:10');
INSERT INTO complaint_remarks VALUES('10807','8878','COSTUMER NE COMPLAINTS KHUD B NOTE KARWAI HOI HAIN ...','73','2021-08-11 10:58:08','2021-08-11 10:58:08');
INSERT INTO complaint_remarks VALUES('10808','8878','COSTUMER WANTS REPLACEMENT','73','2021-08-11 10:58:34','2021-08-11 10:58:34');
INSERT INTO complaint_remarks VALUES('10809','8792','COMPLAINT RESOLVED','92','2021-08-11 11:01:41','2021-08-11 11:01:41');
INSERT INTO complaint_remarks VALUES('10810','8217','NOT ATTENDING CALL','106','2021-08-11 11:02:40','2021-08-11 11:02:40');
INSERT INTO complaint_remarks VALUES('10811','8741','COMPALINT HIGHLIGHTED','106','2021-08-11 11:04:52','2021-08-11 11:04:52');
INSERT INTO complaint_remarks VALUES('10812','8747','CUSTOMER IS NOT ATTENDING CALL','106','2021-08-11 11:06:44','2021-08-11 11:06:44');
INSERT INTO complaint_remarks VALUES('10813','8796','0514906997 RWP S/C FF HUAI HAY COMPLAINT','92','2021-08-11 11:08:53','2021-08-11 11:08:53');
INSERT INTO complaint_remarks VALUES('10814','8748','ISSUED RESOLVED','106','2021-08-11 11:12:13','2021-08-11 11:12:13');
INSERT INTO complaint_remarks VALUES('10815','8754','NOT ATTENDING CALL','106','2021-08-11 11:15:23','2021-08-11 11:15:23');
INSERT INTO complaint_remarks VALUES('10816','8755','NOT ATTENDING CALL','106','2021-08-11 11:17:44','2021-08-11 11:17:44');
INSERT INTO complaint_remarks VALUES('10817','8742','CUSTOMER SAY BAT HUAI HAY CUSTOMER GHAR PAR NAI HAY MONDAY KA BOLA HAY COMPLAINT ATTEND KARNAY K LEAY CUSTOMER NAY ZAHID SIR KO B INFORM KAR DEYA HAY','92','2021-08-11 11:27:46','2021-08-11 11:27:46');
INSERT INTO complaint_remarks VALUES('10818','8756','UNIT REPLACE RESOLVED','106','2021-08-11 11:31:37','2021-08-11 11:31:37');
INSERT INTO complaint_remarks VALUES('10819','8761','ISSUED RESOLVED','106','2021-08-11 11:33:57','2021-08-11 11:33:57');
INSERT INTO complaint_remarks VALUES('10820','8762','TEC NA 2 VISIT KIA HA ISSUE NI RESOLVED HUA AJ DOBARA VISIT HO GA KIT KA ISSUE HA','106','2021-08-11 11:36:43','2021-08-11 11:36:43');
INSERT INTO complaint_remarks VALUES('10821','8625','03335808611 IMRAN TECHNICIAN','92','2021-08-11 11:37:51','2021-08-11 11:37:51');
INSERT INTO complaint_remarks VALUES('10822','8763','ISSUED RESOLVED','106','2021-08-11 11:38:02','2021-08-11 11:38:02');
INSERT INTO complaint_remarks VALUES('10823','8573','UNIT AJ LIST HO GYA HA S/C WORKING IN PROGRESS','106','2021-08-11 11:52:37','2021-08-11 11:52:37');
INSERT INTO complaint_remarks VALUES('10824','8328','UNIT LIFTED IN S/C  WORKING IN PROGRESS','106','2021-08-11 11:53:20','2021-08-11 11:53:20');
INSERT INTO complaint_remarks VALUES('10825','8788','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-11 11:55:51','2021-08-11 11:55:51');
INSERT INTO complaint_remarks VALUES('10826','8764','CUSTOMER S/C KA NUM PROVIDE KRDIA COMPLAINT ATTEND HO GAI THI WORKING IN PROCESS','106','2021-08-11 11:57:12','2021-08-11 11:57:12');
INSERT INTO complaint_remarks VALUES('10827','8765','PANEL KA ISSUE HA AJ S/C SHIFT  HO GI INFORMED BY TEC','106','2021-08-11 11:59:57','2021-08-11 11:59:57');
INSERT INTO complaint_remarks VALUES('10828','8786','03100865385 MURSLEEN TECHNICIAN','92','2021-08-11 12:01:00','2021-08-11 12:01:00');
INSERT INTO complaint_remarks VALUES('10829','8767','03135100028 ARIF TEC  NA VISIT KIA THA COMPLAINT IN PROCESS','106','2021-08-11 12:03:47','2021-08-11 12:03:47');
INSERT INTO complaint_remarks VALUES('10830','8785','WAQAS PWD SIR SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-11 12:07:25','2021-08-11 12:07:25');
INSERT INTO complaint_remarks VALUES('10831','8501','ISSUED RESOLVED','106','2021-08-11 12:07:40','2021-08-11 12:07:40');
INSERT INTO complaint_remarks VALUES('10832','8784','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-11 12:09:42','2021-08-11 12:09:42');
INSERT INTO complaint_remarks VALUES('10833','8783','CUSTOMER SAY BAT HUAI HAY VISIT HO GAYA HAY UNIT CUSTOMER KO S/C LIFT KARNA HAY 02 DIN TAK CUSTOMER LIFT KARAY GAY UNIT S/C COMPLAINT IN PROCESS','92','2021-08-11 12:16:05','2021-08-11 12:16:05');
INSERT INTO complaint_remarks VALUES('10834','8776','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-11 12:31:49','2021-08-11 12:31:49');
INSERT INTO complaint_remarks VALUES('10835','8769','AJ S/C SHIFT HO GA INFORMED BY CUSTOMER','106','2021-08-11 12:38:10','2021-08-11 12:38:10');
INSERT INTO complaint_remarks VALUES('10836','8772','COMPLAINT ATTEND HO GAE HAY TECHNICIAN PICK LAY KAR CHALAY GAY HAY COMPLAINT IN PROCESS','92','2021-08-11 12:38:28','2021-08-11 12:38:28');
INSERT INTO complaint_remarks VALUES('10837','8771','COMPLAINT ATTEND NAI HUAI S/C MAY REMINDER DAY DEYA HAY','92','2021-08-11 12:54:03','2021-08-11 12:54:03');
INSERT INTO complaint_remarks VALUES('10838','8770','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-11 12:56:13','2021-08-11 12:56:13');
INSERT INTO complaint_remarks VALUES('10839','8778','NOT ATTENDING CALL','106','2021-08-11 13:00:07','2021-08-11 13:00:07');
INSERT INTO complaint_remarks VALUES('10840','8139','COMPLAINT RESOLVED','74','2021-08-11 13:02:43','2021-08-11 13:02:43');
INSERT INTO complaint_remarks VALUES('10841','8508','SHAMOON SIR AJ AGAIN VISIT KARWA RAHAY HAIN03318508888','74','2021-08-11 13:09:32','2021-08-11 13:09:32');
INSERT INTO complaint_remarks VALUES('10842','8452','CUSTOMER K  CARD KA ISSUE HAIN EXP CUSTOMER KO INFORMED  KAR DAI THA BUT CUSTOMER NA APPROVE NAI KIYA UMER SIR SA NEW UNIT PERCHES KAR LIYA COMPLAINT CLOSED','74','2021-08-11 13:14:03','2021-08-11 13:14:03');
INSERT INTO complaint_remarks VALUES('10843','8102','CUSTOMER NOT ATTEND CALL','92','2021-08-11 13:14:57','2021-08-11 13:14:57');
INSERT INTO complaint_remarks VALUES('10844','8603','COMPLAINT ATTEND HO GAE HAY OUT OFF WARRANTY COMPLAINT AZHAR SIR KO INFORM KAR DEYA HAY K UNIT S/C CUSTOMER NAY LANA HAY SO COMPLAINT CLOSED','92','2021-08-11 13:21:40','2021-08-11 13:21:40');
INSERT INTO complaint_remarks VALUES('10845','7660','NOT ATTENDING CALL','74','2021-08-11 13:30:20','2021-08-11 13:30:20');
INSERT INTO complaint_remarks VALUES('10846','8673','COMPLAINT CLOSED THI AJ DOBARA RELAUNCHED KRAI HA','106','2021-08-11 13:39:19','2021-08-11 13:39:19');
INSERT INTO complaint_remarks VALUES('10847','8800','03179998356 ORIENT BRANCH NUM','106','2021-08-11 13:39:36','2021-08-11 13:39:36');
INSERT INTO complaint_remarks VALUES('10848','8436','COMPLAINT ATTEND HO GAE HAY IMRAN SIR SAY BAT HUAI HAY GAS KIT KA ISSUE HAY GAS KIT IMRAN SIR NAY BAJH DE HAY KAL TAK DELIVER HO GE TECHNICIAN KO INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-11 13:39:39','2021-08-11 13:39:39');
INSERT INTO complaint_remarks VALUES('10849','8684','S/C REMINDER DA DIA HA','106','2021-08-11 13:40:34','2021-08-11 13:40:34');
INSERT INTO complaint_remarks VALUES('10850','6512','ISHTAIQ SIR SA AJ AGAIN BAT HOI HAIN CUSTOMER SA BAT KAR RAHAY HAIN SET ABI STOCK MAIN NAI HAIN IC WAJA SA DELAY HO RAHA','74','2021-08-11 13:45:45','2021-08-11 13:45:45');
INSERT INTO complaint_remarks VALUES('10851','6756','COMPLAINT RESOLVED CUSTOMER NA LOCAL TECHNICIAN SA B OK KARWA LI HAIER NA B VISIT KIYA COMPLAINT RESOLVED','74','2021-08-11 13:59:05','2021-08-11 13:59:05');
INSERT INTO complaint_remarks VALUES('10852','7338','COMPANY KI TARAF SAY COMPLAINT CLOSED HO GAE HAY AGAIN REOPEN KARWA DE HAY COMPANY MAY COMPLAINT STOCK K NAME KI SO COMPLAINT CLOSED','92','2021-08-11 14:01:03','2021-08-11 14:01:03');
INSERT INTO complaint_remarks VALUES('10853','8692','S/C MA SA POUCHA WO KAH RA HA CUSTOMER NA KHD COMPLAINT CANCEL KRAI HA IN PROGRESS','106','2021-08-11 14:04:36','2021-08-11 14:04:36');
INSERT INTO complaint_remarks VALUES('10854','6977','REF COOLING MAIN KOI ISSUE NAI TEMPERATURE SETTING KA  ISSUE HAIN WO CUSTOMER BILAL TECHNICIAN SA BAT KAR LAY GAY COMPLAINT CLOSED','74','2021-08-11 14:05:36','2021-08-11 14:05:36');
INSERT INTO complaint_remarks VALUES('10855','8692','NEW COMPLAINT LAUNCHED KRAI HA','106','2021-08-11 14:10:23','2021-08-11 14:10:23');
INSERT INTO complaint_remarks VALUES('10856','8692','NEW COMPLAINT#202108007581','106','2021-08-11 14:11:20','2021-08-11 14:11:20');
INSERT INTO complaint_remarks VALUES('10857','8695','CUSTOMER KAH RAHA HA K UNHO FREE MA RACK DOBARA MILA','106','2021-08-11 14:13:03','2021-08-11 14:13:03');
INSERT INTO complaint_remarks VALUES('10858','8703','INKA 2 REF GRATOR KA ISSUE HA FAN NOT WORKING AIK KA WARENTY CARD H A DOSRA KA NI HA TECH NA VISIIT  B KIA THA BUT ISSUED NOT RESOLVED','106','2021-08-11 14:17:14','2021-08-11 14:17:14');
INSERT INTO complaint_remarks VALUES('10859','7002','AMIR TECHNICIAN KO AJ AGAIN NEW COMPLAINT FF KARWA DI HAIN & WHATS APP B KAR DIA HAIN .
UNIT S/C MOVE HO GA UNIT PA ICE BAN RAHI HAIN','74','2021-08-11 14:24:34','2021-08-11 14:24:34');
INSERT INTO complaint_remarks VALUES('10860','8254','3 SA 4 VISIT HO GAI HA UNIT S/C B SHIFT HUA TAB ISSUED RESOLVED NI HUA','106','2021-08-11 14:25:24','2021-08-11 14:25:24');
INSERT INTO complaint_remarks VALUES('10861','8703','S/C MA REMINDER DA DIA HA FAN  DEMANDED HA JAISA HI FAN ATA HA TECHNISION  CUS SA RABTA KRA GA','106','2021-08-11 14:26:06','2021-08-11 14:26:06');
INSERT INTO complaint_remarks VALUES('10862','8747','CUSTOMER CALL ATTEND NAI KAR RAHY HAY WAQAS PWD SIR KO B INFORM KAR DEYA HAY COMPANY KI TARAF SAY B CLOSED HO GAE HAY COMPLAINT  SO COMPLAINT CLOSED','92','2021-08-11 14:36:22','2021-08-11 14:36:22');
INSERT INTO complaint_remarks VALUES('10863','8839','BILLAL SIR NOT ATTENDING CALL','106','2021-08-11 14:45:48','2021-08-11 14:45:48');
INSERT INTO complaint_remarks VALUES('10864','8755','ISSUED RESOLVED','106','2021-08-11 14:49:09','2021-08-11 14:49:09');
INSERT INTO complaint_remarks VALUES('10865','7002','INFORMED BY CUSTOMER','74','2021-08-11 14:50:37','2021-08-11 14:50:37');
INSERT INTO complaint_remarks VALUES('10866','8628','ISSUED RESOLVED','106','2021-08-11 15:05:22','2021-08-11 15:05:22');
INSERT INTO complaint_remarks VALUES('10867','8790','SAQLAIN SIR KO INFORM KAR DEYA HAY K CUSTOMER SAY BAT HO GAE HAY UNIT OK HAY CUSTOMER GREE KA W/D LANA CHATAY HAY SO COMPLAINT CLOSED','92','2021-08-11 15:07:34','2021-08-11 15:07:34');
INSERT INTO complaint_remarks VALUES('10868','8625','CUSTOMER NOT ATTENDING CALL','106','2021-08-11 15:07:54','2021-08-11 15:07:54');
INSERT INTO complaint_remarks VALUES('10869','8625','CUSTOMER CALL NI ATTEND KRA TEC NA VISIT KIA THA MGR CUSTOMER NA CALL NI PICK KI CUSTOMER UNKA FLAT PA BELL DI MGR WHAH SA B RESPONSE NI MILA COMPLAINT CLOSED HO GAI THI AJ DOBARA OEN HUI HA LEKIN CUSTOMER ABI TK CALL NI PICK KR RA','106','2021-08-11 15:12:15','2021-08-11 15:12:15');
INSERT INTO complaint_remarks VALUES('10870','8839','ABI TK VISIT NI HUA S/C MA CALLS KI NOT RESPONDING','106','2021-08-11 15:24:31','2021-08-11 15:24:31');
INSERT INTO complaint_remarks VALUES('10871','8906','UMAIR DAWLANCE SIR SAY BAT HUAI HAY 10 DIN TAK UNIT REPLACE HO GA CUSTOMER KA INFORM KAR DEYA HAY CUSTOMER KO S/C WALOUN NAY','92','2021-08-11 15:25:16','2021-08-11 15:25:16');
INSERT INTO complaint_remarks VALUES('10872','8615','UNIT MA ISSUE HA COMPANY SIDE SA REPLACE GA INFORMED BY CUSTOMER','106','2021-08-11 15:25:22','2021-08-11 15:25:22');
INSERT INTO complaint_remarks VALUES('10873','8606','ABI TK UNIT SHIFT NI HUA   CUSTOMER SIDE SA DELAY HA WO KAH JB TIME MILA LA JAOO GA  LA K','106','2021-08-11 15:31:13','2021-08-11 15:31:13');
INSERT INTO complaint_remarks VALUES('10874','8356','CUSTOMER SAY BAT HUAI HAY PART ABI STOCK MAY NAI AY INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-11 15:57:06','2021-08-11 15:57:06');
INSERT INTO complaint_remarks VALUES('10875','8594','NOT ATTENDING CALL','106','2021-08-11 16:37:37','2021-08-11 16:37:37');
INSERT INTO complaint_remarks VALUES('10876','8872','TECH NA VISIT KIA HA IN PROCESS','106','2021-08-11 16:47:43','2021-08-11 16:47:43');
INSERT INTO complaint_remarks VALUES('10877','8817','COMPLAINT ATTEND HO GAE THI UNIT S/C AYA HAY KAL S/C WALAY DELIVER KARAY GAY UNIT CUSTOMER K GHAR INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-11 16:53:47','2021-08-11 16:53:47');
INSERT INTO complaint_remarks VALUES('10878','8353','ISSUED RESOLVED','106','2021-08-11 16:54:34','2021-08-11 16:54:34');
INSERT INTO complaint_remarks VALUES('10879','8473','TECHNICIAN NAY CALL KI HAY CUSTOMER KO CUSTOMER CALL ATTEND NAI KAR RAHY HAY TARIQ SIR KO INFORM KAR DEYA HAY','92','2021-08-11 17:09:18','2021-08-11 17:09:18');
INSERT INTO complaint_remarks VALUES('10880','8090','DEMANDED HA PART INFORMED BY S/C','106','2021-08-11 17:17:07','2021-08-11 17:17:07');
INSERT INTO complaint_remarks VALUES('10881','8103','NOT ATTENDING CALL','106','2021-08-11 17:24:27','2021-08-11 17:24:27');
INSERT INTO complaint_remarks VALUES('10882','8103','NOT ATTENDING CALL','106','2021-08-11 17:30:58','2021-08-11 17:30:58');
INSERT INTO complaint_remarks VALUES('10883','8696','CUSTOMER NOT ATTEND CALL','92','2021-08-11 17:31:59','2021-08-11 17:31:59');
INSERT INTO complaint_remarks VALUES('10884','8164','ISSUED HIGHLIHTED','106','2021-08-11 17:34:04','2021-08-11 17:34:04');
INSERT INTO complaint_remarks VALUES('10885','8206','NOT ATTENDING CALL','106','2021-08-11 17:43:50','2021-08-11 17:43:50');
INSERT INTO complaint_remarks VALUES('10886','8473','INAAM TECHNICIAN YHA COMPLAINT ATTEND KAR RAHAY HAIN 03335165091 CUSTOMER SA BT B HO GEI HAIN INAAM SAB KA NO B PROVIDE KAR DIA','74','2021-08-11 18:00:03','2021-08-11 18:00:03');
INSERT INTO complaint_remarks VALUES('10887','8473','IMRAN TECHNICIAN','74','2021-08-11 18:04:57','2021-08-11 18:04:57');
INSERT INTO complaint_remarks VALUES('10888','8753','COSTUMER KO CALL KI THI...LEKIN COSTUMER OUT OF TOWN THY , LG REMINDER GIVEN , TODAY VISIT','73','2021-08-12 10:40:40','2021-08-12 10:40:40');
INSERT INTO complaint_remarks VALUES('10889','8840','COMPLAINT ATTEND HO GAE THI KAL AJ AGAIN ISSUE AY GAYA HAY COMPANY MAY REOPEN KARWA DE HAY COMPLAINT','92','2021-08-12 11:16:31','2021-08-12 11:16:31');
INSERT INTO complaint_remarks VALUES('10890','8670','REF S/C MAIN WORKING IN PROCESS HAIN COMPRESSOR SHAM TAQ CHEEK KAR K UP DATE KARAY GEI MADAM','74','2021-08-12 11:36:31','2021-08-12 11:36:31');
INSERT INTO complaint_remarks VALUES('10891','8670','INFORMED BY SHAHZAD BEHIRA','74','2021-08-12 11:40:21','2021-08-12 11:40:21');
INSERT INTO complaint_remarks VALUES('10892','7413','COMPLAINT RESOLVED','74','2021-08-12 11:49:09','2021-08-12 11:49:09');
INSERT INTO complaint_remarks VALUES('10893','7141','S/C WORKING IN PROCESS','74','2021-08-12 11:51:31','2021-08-12 11:51:31');
INSERT INTO complaint_remarks VALUES('10894','8768','COMPLAINT RESOLVED','74','2021-08-12 11:52:31','2021-08-12 11:52:31');
INSERT INTO complaint_remarks VALUES('10895','8670','INFORMED BY CUSTOMER','74','2021-08-12 11:54:01','2021-08-12 11:54:01');
INSERT INTO complaint_remarks VALUES('10896','8844','CUSTOMER SAY BAT HUAI HAY LIGHT ISSUE THA OUT OFF WARRANTY COMPLAINT CUSTOMER KO CHARGES TECHNICIAN NAY BATAY HAY BUT CUSTOMER AGREE NAI HAY COMPLAINT ATTEND KARWANAY MAY SO COMPLAINT CLOSED','92','2021-08-12 12:01:35','2021-08-12 12:01:35');
INSERT INTO complaint_remarks VALUES('10897','8835','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-12 12:13:29','2021-08-12 12:13:29');
INSERT INTO complaint_remarks VALUES('10898','8833','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-12 12:18:21','2021-08-12 12:18:21');
INSERT INTO complaint_remarks VALUES('10899','8847','CUSTOMER SAY BAT HO GAE HAY ZAFAR TECHNICIAN  NAY AJ VISIT KARNA HAY CUSTOMER KO ZAFAR SIR KA NO B PROVIDE KAR DEYA HAY','92','2021-08-12 12:25:16','2021-08-12 12:25:16');
INSERT INTO complaint_remarks VALUES('10900','7811','03215850587  ZAHEER S/C NO','92','2021-08-12 12:49:47','2021-08-12 12:49:47');
INSERT INTO complaint_remarks VALUES('10901','8657','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-12 13:10:05','2021-08-12 13:10:05');
INSERT INTO complaint_remarks VALUES('10902','7811','KIT DEMAND KI HOA HAIN SUNDAY TAQ YHA ISSUE RESOLVED KARWA DAY ZAHEER SAB INFORMED BY CUSTOMER & KHURRAM SIR','74','2021-08-12 13:15:56','2021-08-12 13:15:56');
INSERT INTO complaint_remarks VALUES('10903','8842','visit ni hua','106','2021-08-12 13:18:37','2021-08-12 13:18:37');
INSERT INTO complaint_remarks VALUES('10904','8838','issued resolved','106','2021-08-12 13:20:23','2021-08-12 13:20:23');
INSERT INTO complaint_remarks VALUES('10905','8796','COMPLAINT COMPANY MAIN AGAIN REOPEN KARWA DI HAIN SAMART ZOON MAIN YHA COMPLAINT FF HOI HAIN .
CUSTOMER KO FRIENDS SIDE SA BACK UP FRIDE BAJWA RAHAY HAIN','74','2021-08-12 13:28:34','2021-08-12 13:28:34');
INSERT INTO complaint_remarks VALUES('10906','8796','ADIL BHAI KO ADD PDF SHER KAR DIA','74','2021-08-12 13:33:05','2021-08-12 13:33:05');
INSERT INTO complaint_remarks VALUES('10907','8832','ISSUED RESOLVED','106','2021-08-12 13:44:31','2021-08-12 13:44:31');
INSERT INTO complaint_remarks VALUES('10908','8831','CUSTOMER SAY BAT HUAI HAY TECHNICIAN NAY CUSTOMER K GHAR VISIT B KEYA HAY BUT CUSTOMER UNIT SHOWROOM PAR CHORE GAY HAY   SHAM TAK NAVEED SIR ABDATE KARAY GAY K UNIT OK HAY YA COMPANY KA VISIT KARWAY','92','2021-08-12 13:47:02','2021-08-12 13:47:02');
INSERT INTO complaint_remarks VALUES('10909','8829','KAL VISIT HO GA KHURRAM SIR SAY CONFORM KEYA HAY','92','2021-08-12 13:48:54','2021-08-12 13:48:54');
INSERT INTO complaint_remarks VALUES('10910','8831','TECH NA VISIT KIA ISSSUED RESOLVED NI HUA CUSTOMER NA UNIT SHOWROOM MA HA','106','2021-08-12 13:49:11','2021-08-12 13:49:11');
INSERT INTO complaint_remarks VALUES('10911','8827','CUSTOMER KO CALL AY GAE HAY TECHNICIAN KI AJ VISIT HO GA','92','2021-08-12 13:51:09','2021-08-12 13:51:09');
INSERT INTO complaint_remarks VALUES('10912','8765','SET DAMAGE HAIN CUSTOMER KO 95000 PANAL EXP BATA DIA HAIN S/C SA CUSTOMER K DRIVER SET WAPISE LA GAY INFORMED BY KHURRAM SIR& SAQIB COMPLAINT CLOSED','74','2021-08-12 13:52:23','2021-08-12 13:52:23');
INSERT INTO complaint_remarks VALUES('10913','8643','03015180591 ADRESS STOCK IN CHARGE','92','2021-08-12 14:03:50','2021-08-12 14:03:50');
INSERT INTO complaint_remarks VALUES('10914','8824','CUSTOMER NOT ATTEND CALL','92','2021-08-12 14:33:36','2021-08-12 14:33:36');
INSERT INTO complaint_remarks VALUES('10915','8823','COMPLAINT RESOLVED','92','2021-08-12 14:34:35','2021-08-12 14:34:35');
INSERT INTO complaint_remarks VALUES('10916','8821','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-12 14:40:13','2021-08-12 14:40:13');
INSERT INTO complaint_remarks VALUES('10917','8815','CUSTOMER NOT ATTEND CALL','92','2021-08-12 14:41:50','2021-08-12 14:41:50');
INSERT INTO complaint_remarks VALUES('10918','8812','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-12 14:42:53','2021-08-12 14:42:53');
INSERT INTO complaint_remarks VALUES('10919','8946','SOUND ISSUE B HA... COMPANY MEIN B FORWARD KARWA DI HA','73','2021-08-12 14:43:28','2021-08-12 14:43:28');
INSERT INTO complaint_remarks VALUES('10920','8811','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-12 14:45:19','2021-08-12 14:45:19');
INSERT INTO complaint_remarks VALUES('10921','8810','03142437806 KHALID TECHNICIAN','92','2021-08-12 14:59:05','2021-08-12 14:59:05');
INSERT INTO complaint_remarks VALUES('10922','8810','03341120001 IMRAN TECHNICIAN JO COMPLAINT ATTEND KARAY GAY','92','2021-08-12 15:19:28','2021-08-12 15:19:28');
INSERT INTO complaint_remarks VALUES('10923','8945','COMPLAINT ATTEND HO GAE HAY UNIT S/C SAY OK HO KAR GAYA THA AB AGAIN ISSUE AY GAYA HAY COMPANY MAY REOPEN KARWA DE HAY COMPLAINT
(AREEBA)','73','2021-08-12 15:28:59','2021-08-12 15:28:59');
INSERT INTO complaint_remarks VALUES('10924','8809','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-12 15:29:20','2021-08-12 15:29:20');
INSERT INTO complaint_remarks VALUES('10925','8736','CUSTOMER SAY BAT HUAI HAY KAL ATTEND HO GE COMPLAINT CUSTOMER KO S/C LG KA NO B PROVIDE KAR DEYA HAY HASSAN SIR KO B INFORM KAR DEYA HAY','92','2021-08-12 15:31:26','2021-08-12 15:31:26');
INSERT INTO complaint_remarks VALUES('10926','8886','03005262616 OTHER MOBILE NO','92','2021-08-12 15:39:24','2021-08-12 15:39:24');
INSERT INTO complaint_remarks VALUES('10927','8808','CUSTOMER SAY BAT HUAI HAY VISIT HO GAYA HAY CUSTOMER KO UNIT S/C LIFT KARNA HO GA','92','2021-08-12 16:03:42','2021-08-12 16:03:42');
INSERT INTO complaint_remarks VALUES('10928','8217','03142437806 KHALID  TEC','106','2021-08-12 16:07:02','2021-08-12 16:07:02');
INSERT INTO complaint_remarks VALUES('10929','8660','0514851074  HOOD K S/C  KA NO','92','2021-08-12 16:13:23','2021-08-12 16:13:23');
INSERT INTO complaint_remarks VALUES('10930','8569','ISSUED RESOLVED','106','2021-08-12 16:14:03','2021-08-12 16:14:03');
INSERT INTO complaint_remarks VALUES('10931','8594','NOT ATTEND  BOTH 2 NUMBERS','106','2021-08-12 16:22:02','2021-08-12 16:22:02');
INSERT INTO complaint_remarks VALUES('10932','8886','AZEEM TECHNICIAN 03406013026 AJ ATTEND KARAY GAY COMPLAINT TECHNICIAN SA BAT HO GEI HAIN HAMARI','74','2021-08-12 16:30:13','2021-08-12 16:30:13');
INSERT INTO complaint_remarks VALUES('10933','8839','COMPLAINT #PKRI21081211569','106','2021-08-12 16:39:58','2021-08-12 16:39:58');
INSERT INTO complaint_remarks VALUES('10934','8839','COMPLAINT ATTEND HUI HI NI LEKIN COMPANY SIDE SA COMPLAINT CLOSED THI AJ DOBARA REOPEN KRAI HA','106','2021-08-12 16:42:25','2021-08-12 16:42:25');
INSERT INTO complaint_remarks VALUES('10935','8886','03455011675 OTHER MOBILE NO','92','2021-08-12 16:45:35','2021-08-12 16:45:35');
INSERT INTO complaint_remarks VALUES('10936','8585','COMPLAINT RESOLVED','92','2021-08-12 16:51:13','2021-08-12 16:51:13');
INSERT INTO complaint_remarks VALUES('10937','8886','CUSTOMER SAY BAT HUAI HAY KAL KA TIME DEYA HAY CUSTOMER NAY','92','2021-08-12 17:00:41','2021-08-12 17:00:41');
INSERT INTO complaint_remarks VALUES('10938','8473','COMPLAINT ATTEND HO GAE HAY VISIT B HO GAYA HAY TECHNICIAN KA CUSTOMER KAL TAK ABDATE KARAY GAY','92','2021-08-12 17:02:43','2021-08-12 17:02:43');
INSERT INTO complaint_remarks VALUES('10939','8457','CUSTOMER NAY CALL ATTEND NAI KI IS LEAY COMPLAINT ATTEND NAI HUAI AGAIN COMPANY MAY REMINDER DAY DEYA HAY','92','2021-08-12 17:05:00','2021-08-12 17:05:00');
INSERT INTO complaint_remarks VALUES('10940','8660','03336824020 SHAHID OTHER MOBILE NO','92','2021-08-12 17:34:20','2021-08-12 17:34:20');
INSERT INTO complaint_remarks VALUES('10941','8778','COMPLAINT ATTEND NI HUI ABI TK','106','2021-08-12 17:34:37','2021-08-12 17:34:37');
INSERT INTO complaint_remarks VALUES('10942','8660','USMAN SIR SAY BAT HUAI HAY KAL LIFT HO GA UNIT S/C MAY','92','2021-08-12 17:39:53','2021-08-12 17:39:53');
INSERT INTO complaint_remarks VALUES('10943','8696','NOT ATTENDING CALL','106','2021-08-12 17:41:37','2021-08-12 17:41:37');
INSERT INTO complaint_remarks VALUES('10944','8771','TAUQEER SIR SAY BAT HUAI HAY UNIT OK HAY UNIT MAY KOI ISSUE NAI HAY CUSTOMER SATISFIED NAI HAY','92','2021-08-12 17:43:48','2021-08-12 17:43:48');
INSERT INTO complaint_remarks VALUES('10945','8801','CUSTOMER NOT ATTEND CALL','92','2021-08-12 17:44:25','2021-08-12 17:44:25');
INSERT INTO complaint_remarks VALUES('10946','8874','customer not attend call','92','2021-08-13 11:02:04','2021-08-13 11:02:04');
INSERT INTO complaint_remarks VALUES('10947','8857','COMPLAINT RESOLVED','74','2021-08-13 11:53:00','2021-08-13 11:53:00');
INSERT INTO complaint_remarks VALUES('10948','8869','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-13 11:58:15','2021-08-13 11:58:15');
INSERT INTO complaint_remarks VALUES('10949','8862','COMPLAINT RESOLVED','74','2021-08-13 12:01:11','2021-08-13 12:01:11');
INSERT INTO complaint_remarks VALUES('10950','8863','CUSTOMER NOT ATTEND CALL','92','2021-08-13 12:03:57','2021-08-13 12:03:57');
INSERT INTO complaint_remarks VALUES('10951','8861','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-13 12:06:27','2021-08-13 12:06:27');
INSERT INTO complaint_remarks VALUES('10952','8859','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-13 12:08:25','2021-08-13 12:08:25');
INSERT INTO complaint_remarks VALUES('10953','8870','COMPLAINT IN PROCESS','74','2021-08-13 12:11:52','2021-08-13 12:11:52');
INSERT INTO complaint_remarks VALUES('10954','8855','UNIT S/C WORKING IN PROCESS','74','2021-08-13 12:16:22','2021-08-13 12:16:22');
INSERT INTO complaint_remarks VALUES('10955','8854','COMPLAINT RESOLVED','74','2021-08-13 12:21:25','2021-08-13 12:21:25');
INSERT INTO complaint_remarks VALUES('10956','8848','COMPLAINT RESOLVED','74','2021-08-13 12:25:51','2021-08-13 12:25:51');
INSERT INTO complaint_remarks VALUES('10957','8424','CUSTOMER KA ISSUE RESOLVED NIO HOA INFORMED BY AMEEN SAB','74','2021-08-13 12:28:18','2021-08-13 12:28:18');
INSERT INTO complaint_remarks VALUES('10958','8853','CUSTOMER SAY BAT HUAI HAY CUSTOMER NAY LOCAL TECHNICIAN SAY ISSUE RESOLVED KARWA LEYA HAY','92','2021-08-13 12:28:27','2021-08-13 12:28:27');
INSERT INTO complaint_remarks VALUES('10959','8880','NOT ATTENDING CALL','74','2021-08-13 12:32:55','2021-08-13 12:32:55');
INSERT INTO complaint_remarks VALUES('10960','7042','3 DIN PHYLA DOOR LA K AAY THAY BUT WO DOOR NAI ADJUST HOA WORKING IN PROCESS','74','2021-08-13 12:34:17','2021-08-13 12:34:17');
INSERT INTO complaint_remarks VALUES('10961','8851','CUSTOMER SAY BAT HUAI HAY UNIT OK HAY VOLTAGE KA ISSUE HAY CUSTOMER BOL RAHY HAY ABI COMPLAINT CLOSED KAR DAY SO COMPLAINT CLOSED','92','2021-08-13 12:34:20','2021-08-13 12:34:20');
INSERT INTO complaint_remarks VALUES('10962','8874','UNIT MAIN KOI ISSUE VOLTAGE KA ISSUE THA CUSTOMER NA STERILIZER LAGWA LIYA COOLING OK HO RAHI COMPLAINT RESOLVED','74','2021-08-13 12:38:10','2021-08-13 12:38:10');
INSERT INTO complaint_remarks VALUES('10963','7128','UNIT S/C SA MAIN WORKING IN PROCESS HAIN','74','2021-08-13 12:41:37','2021-08-13 12:41:37');
INSERT INTO complaint_remarks VALUES('10964','8847','ADRESS HO#14 ST 13 FIZAIA COLONY EXPRESS WAY RWP YE ADRESS HAY CUSTOMER KA MONDAY KA TIME DEYA HAY TECHNICIAN NAY','92','2021-08-13 12:42:31','2021-08-13 12:42:31');
INSERT INTO complaint_remarks VALUES('10965','8846','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-13 12:46:35','2021-08-13 12:46:35');
INSERT INTO complaint_remarks VALUES('10966','8826','COMPLAINT RESOLVED','74','2021-08-13 12:46:59','2021-08-13 12:46:59');
INSERT INTO complaint_remarks VALUES('10967','8824','COMPLAINT RESOLVED','74','2021-08-13 12:51:16','2021-08-13 12:51:16');
INSERT INTO complaint_remarks VALUES('10968','8810','4 BAJAY KA TIME DIA CUSTOMER KO VISIT TO DAY','74','2021-08-13 12:55:48','2021-08-13 12:55:48');
INSERT INTO complaint_remarks VALUES('10969','8842','03105800107 ABDUL WAHAB TECHNICIAN','92','2021-08-13 12:57:10','2021-08-13 12:57:10');
INSERT INTO complaint_remarks VALUES('10970','8827','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-13 13:02:11','2021-08-13 13:02:11');
INSERT INTO complaint_remarks VALUES('10971','8815','CUSTOMER SAY BAT HAUI HAY COMPLAINT RESOLVED','92','2021-08-13 13:50:54','2021-08-13 13:50:54');
INSERT INTO complaint_remarks VALUES('10972','8805','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-13 13:56:26','2021-08-13 13:56:26');
INSERT INTO complaint_remarks VALUES('10973','8803','CUSTOMER NOT ATTEND CALL','92','2021-08-13 13:57:58','2021-08-13 13:57:58');
INSERT INTO complaint_remarks VALUES('10974','8803','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-13 13:58:54','2021-08-13 13:58:54');
INSERT INTO complaint_remarks VALUES('10975','8801','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-13 14:02:23','2021-08-13 14:02:23');
INSERT INTO complaint_remarks VALUES('10976','8800','02 DAFA VISIT HO GAYA HAY NORMAL TAB MAY SAY WATER NAI AY RAHA HAY CUSTOMER REPLACEMENT KI BAT KAR RAHY HAY','92','2021-08-13 14:12:51','2021-08-13 14:12:51');
INSERT INTO complaint_remarks VALUES('10977','8786','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-13 14:20:00','2021-08-13 14:20:00');
INSERT INTO complaint_remarks VALUES('10978','8754','CUSTOMER STILL NOT ATTEND CALL','92','2021-08-13 14:28:18','2021-08-13 14:28:18');
INSERT INTO complaint_remarks VALUES('10979','8745','CUSTOMER SAY BAT HUAI HAY UNIT S/C MAY HAY COMPLAINT IN PROCESS','92','2021-08-13 14:29:41','2021-08-13 14:29:41');
INSERT INTO complaint_remarks VALUES('10980','8743','VISIT HO GAYA THA ISSUE RESOLVED NAI HUA NAEEM SIR KO REMINDER DAY DEYA HAY AGAIN VISIT KARWANY K LEAY','92','2021-08-13 14:30:56','2021-08-13 14:30:56');
INSERT INTO complaint_remarks VALUES('10981','8726','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-13 14:37:42','2021-08-13 14:37:42');
INSERT INTO complaint_remarks VALUES('10982','8702','PART AY GAYA HAY S/C SUNDAY KO ATTEND HO GE COMPLAINT CUSTOMER KO INFORM KAR DEAY HAY','92','2021-08-13 14:42:54','2021-08-13 14:42:54');
INSERT INTO complaint_remarks VALUES('10983','8696','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-13 14:44:38','2021-08-13 14:44:38');
INSERT INTO complaint_remarks VALUES('10984','8673','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-13 14:53:34','2021-08-13 14:53:34');
INSERT INTO complaint_remarks VALUES('10985','7042','AMANULLAH TECHNICIAN AJ IC COMPLAINT KO ATTEND KARAY GAY','74','2021-08-13 15:00:18','2021-08-13 15:00:18');
INSERT INTO complaint_remarks VALUES('10986','8878','CUSTOME K 3 UNIT HAIN JIS UNIT MAIN ERROR AARHA THA WO UNIT REPLACE HO GAY HAIN ORIENT K LIYA HAIN CUSTOMER NA BAKI 2 PANASONIC UNIT MAIN ABI ISSUE AARHA HAIN COMPANY KA VISIT HONA HAIN VISIT CUSTOMER KI SIDE SA DELAY HAIN  UN KI MOTHER HOSPITAL MAIN  FREE HO K KHUD HASSAN SIR SA CONTACT KAR LA GAY','74','2021-08-13 15:10:46','2021-08-13 15:10:46');
INSERT INTO complaint_remarks VALUES('10987','8881','COMPANY NA KAL VISIT KARWA LIYA HAIN GASS LEAKAGE KA ISSUE HAIN 
BUT CUSTOMER AGREE NAI HAIN UNIT S/C MOVE KARWANAY K LIYA INFORMED BY KHURRAM SAB','74','2021-08-13 15:20:07','2021-08-13 15:20:07');
INSERT INTO complaint_remarks VALUES('10988','8936','03335384067 SAID DEALER','92','2021-08-13 15:49:14','2021-08-13 15:49:14');
INSERT INTO complaint_remarks VALUES('10989','8672','CUSTOMER NOT ATTEND CALL','92','2021-08-13 16:01:36','2021-08-13 16:01:36');
INSERT INTO complaint_remarks VALUES('10990','8817','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-13 16:23:29','2021-08-13 16:23:29');
INSERT INTO complaint_remarks VALUES('10991','8661','CUSTOMER NOT ATTEND CALL','92','2021-08-13 16:27:20','2021-08-13 16:27:20');
INSERT INTO complaint_remarks VALUES('10992','8968','COMPLAINT IN PROCESS HAIN IJAZ TECHNICIAN  6 BAJY TAQ AJ IC COMPLAINT KO ATTEND KAR LAY GAY.
WAQAS FCP KO INFORMED KAR DIA HAIN','74','2021-08-13 16:30:15','2021-08-13 16:30:15');
INSERT INTO complaint_remarks VALUES('10993','8767','COMPLAINT RESOLVED','74','2021-08-13 16:37:09','2021-08-13 16:37:09');
INSERT INTO complaint_remarks VALUES('10994','8613','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-13 16:42:10','2021-08-13 16:42:10');
INSERT INTO complaint_remarks VALUES('10995','8328','FREEZER S/C SA READY HO K WAPISE AGAY HAIN COMPLAINT RESOLVED','74','2021-08-13 16:43:31','2021-08-13 16:43:31');
INSERT INTO complaint_remarks VALUES('10996','8606','CUSTOMER SAY BAT HUAI HAY CUSTOMER MONDAY KO UNIT S/C LIFT KARWAY GAY','92','2021-08-13 16:46:11','2021-08-13 16:46:11');
INSERT INTO complaint_remarks VALUES('10997','8338','CUSTOMER KO CONFIRM KAR DIA HAIN K IST VISIT 7 JULY KO HOA THA HASSAN SIR NA CUSTOMER KO B REPLAY DA DIA R CUSTOMER KA ANS B AAY GAYA K MARY CELL MAIN JUST 30 DAYS KA DATA HOTA HAIN','74','2021-08-13 17:10:03','2021-08-13 17:10:03');
INSERT INTO complaint_remarks VALUES('10998','8338','CUSTOMER SA BT HO GEI HAIN DUPLICATE WARRANTY CARD BANWANY KA BOL RAHAY','74','2021-08-13 17:14:10','2021-08-13 17:14:10');
INSERT INTO complaint_remarks VALUES('10999','8539','JIBRAN SIR SAY BAT HUAI HAY 01 UNIT OK HO GAYA HAY OR 02 UNIT ABI S/C MAY HAY COMPLAINT IN PROCESS','92','2021-08-13 17:28:08','2021-08-13 17:28:08');
INSERT INTO complaint_remarks VALUES('11000','8499','CUSTOMER SAY BAT HUAI HAY MONDAY TAK S/C WALAY ABDATE KARAY GAY','92','2021-08-13 17:57:24','2021-08-13 17:57:24');
INSERT INTO complaint_remarks VALUES('11001','8949','not attending call','106','2021-08-16 10:41:01','2021-08-16 10:41:01');
INSERT INTO complaint_remarks VALUES('11002','8952','NOT ATTENDING CALL','106','2021-08-16 10:44:26','2021-08-16 10:44:26');
INSERT INTO complaint_remarks VALUES('11003','8953','NOT ATTENDING CALL','106','2021-08-16 10:46:04','2021-08-16 10:46:04');
INSERT INTO complaint_remarks VALUES('11004','8956','NOT ATTENDING CALL','106','2021-08-16 10:48:41','2021-08-16 10:48:41');
INSERT INTO complaint_remarks VALUES('11005','8896','ISSUED RESOLVED','106','2021-08-16 10:50:39','2021-08-16 10:50:39');
INSERT INTO complaint_remarks VALUES('11006','8899','NOT ATTENDING CALL','106','2021-08-16 10:53:44','2021-08-16 10:53:44');
INSERT INTO complaint_remarks VALUES('11007','8900','NOT ATTENDING CALL','106','2021-08-16 11:18:17','2021-08-16 11:18:17');
INSERT INTO complaint_remarks VALUES('11008','8901','NOT ATTENDING CALL','106','2021-08-16 11:21:28','2021-08-16 11:21:28');
INSERT INTO complaint_remarks VALUES('11009','8902','ISSUED RESOLVED','106','2021-08-16 11:22:39','2021-08-16 11:22:39');
INSERT INTO complaint_remarks VALUES('11010','8905','ISSUED RESOLVED','106','2021-08-16 11:24:41','2021-08-16 11:24:41');
INSERT INTO complaint_remarks VALUES('11011','8907','ISSUED RESOLVED','106','2021-08-16 11:26:40','2021-08-16 11:26:40');
INSERT INTO complaint_remarks VALUES('11012','8908','NOT ATTENDING CALL','106','2021-08-16 11:29:31','2021-08-16 11:29:31');
INSERT INTO complaint_remarks VALUES('11013','8909','NOT ATTENDING CALL','106','2021-08-16 11:32:33','2021-08-16 11:32:33');
INSERT INTO complaint_remarks VALUES('11014','8914','ISSUED RESOLVED','106','2021-08-16 11:33:58','2021-08-16 11:33:58');
INSERT INTO complaint_remarks VALUES('11015','8922','NOT ATTENDING CALL','106','2021-08-16 11:37:20','2021-08-16 11:37:20');
INSERT INTO complaint_remarks VALUES('11016','8925','COMPLAINT ATTEND HO GAI HA IN PROCESS HA AJ DOBARA VISIT HO GA','106','2021-08-16 11:40:48','2021-08-16 11:40:48');
INSERT INTO complaint_remarks VALUES('11017','8922','ABI TKK ATTEND NI HUI','106','2021-08-16 11:41:50','2021-08-16 11:41:50');
INSERT INTO complaint_remarks VALUES('11018','8925','REMINDED BY S/C','106','2021-08-16 11:42:14','2021-08-16 11:42:14');
INSERT INTO complaint_remarks VALUES('11019','8930','ISSUED RESOLVED','106','2021-08-16 11:47:51','2021-08-16 11:47:51');
INSERT INTO complaint_remarks VALUES('11020','8932','ISSUED RESOLVED','106','2021-08-16 11:50:05','2021-08-16 11:50:05');
INSERT INTO complaint_remarks VALUES('11021','8933','BOARD KA ISSUE HA COMPLAINT ATTEND HO GAI HA UNIT S/C JAI GA','106','2021-08-16 11:52:29','2021-08-16 11:52:29');
INSERT INTO complaint_remarks VALUES('11022','8978','CUSTOMER SAY BAT HUAI HAY COMPLAINT ATTEND HO GAE HAY ISSUE RESOLVED HO GAYA HAY BUT CUSTOMER KO UNIT REPLACE KARNA HAY NAVEED FHHS SIR KO INFORM KAR DEYA HAY SO COMPLAINT CLOSED','92','2021-08-16 11:54:32','2021-08-16 11:54:32');
INSERT INTO complaint_remarks VALUES('11023','8934','NOT ATTENDING CALL','106','2021-08-16 11:56:15','2021-08-16 11:56:15');
INSERT INTO complaint_remarks VALUES('11024','8972','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-16 11:56:50','2021-08-16 11:56:50');
INSERT INTO complaint_remarks VALUES('11025','8938','ISSUED RESOLVED','106','2021-08-16 12:02:26','2021-08-16 12:02:26');
INSERT INTO complaint_remarks VALUES('11026','8940','ABI TKK VISIT NI HUA','106','2021-08-16 12:14:39','2021-08-16 12:14:39');
INSERT INTO complaint_remarks VALUES('11027','8664','S/C MAY BAT HUAI HAY KAL TAK COMPRESSOR AY JAY GA HEAD OFFICE SAY OR PHER COMPLAINT ATTEND HO GE INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-16 12:20:49','2021-08-16 12:20:49');
INSERT INTO complaint_remarks VALUES('11028','8940','REMINDER DA DIA HA','106','2021-08-16 12:25:58','2021-08-16 12:25:58');
INSERT INTO complaint_remarks VALUES('11029','8941','ISSUED RESOLVED','106','2021-08-16 12:27:04','2021-08-16 12:27:04');
INSERT INTO complaint_remarks VALUES('11030','8942','CUSTOMER IS NOT ATT HOME BUSY IN','106','2021-08-16 12:38:41','2021-08-16 12:38:41');
INSERT INTO complaint_remarks VALUES('11031','8944','NOT ATTENDING CALL','106','2021-08-16 12:43:49','2021-08-16 12:43:49');
INSERT INTO complaint_remarks VALUES('11032','8900','NOT ATTENDING CALL','106','2021-08-16 12:47:54','2021-08-16 12:47:54');
INSERT INTO complaint_remarks VALUES('11033','8899','ISSUED RESOLVED','106','2021-08-16 13:12:12','2021-08-16 13:12:12');
INSERT INTO complaint_remarks VALUES('11034','8891','ATTEND NI HUI C/C MA REMINDER DA DIA HA','106','2021-08-16 13:40:25','2021-08-16 13:40:25');
INSERT INTO complaint_remarks VALUES('11035','8889','S/C  MA HA UNIT CUSTOMER SIDE SA DELAY HA','106','2021-08-16 13:42:36','2021-08-16 13:42:36');
INSERT INTO complaint_remarks VALUES('11036','8888','NOT ATTENDING CALL','106','2021-08-16 13:44:31','2021-08-16 13:44:31');
INSERT INTO complaint_remarks VALUES('11037','8884','ISSUED RESOLVED','106','2021-08-16 13:49:19','2021-08-16 13:49:19');
INSERT INTO complaint_remarks VALUES('11038','7811','PART NOT AVAILABLE... REPAIRING K LYE DIA THA CIRCUIT LEKIN THIK NAI HO SKA','73','2021-08-16 13:50:36','2021-08-16 13:50:36');
INSERT INTO complaint_remarks VALUES('11039','8883','COMPLAINT ATTEND HO GAI HA  UNIT S/C SHIFT HO GA','106','2021-08-16 13:53:06','2021-08-16 13:53:06');
INSERT INTO complaint_remarks VALUES('11040','8882','ISSUED RESOLVED','106','2021-08-16 13:56:08','2021-08-16 13:56:08');
INSERT INTO complaint_remarks VALUES('11041','7811','PART KA ISSUE HA GHANTA TK RECIEVED HO JAI GA','106','2021-08-16 14:01:22','2021-08-16 14:01:22');
INSERT INTO complaint_remarks VALUES('11042','8880','NOT ATTENDING CALL','106','2021-08-16 14:11:27','2021-08-16 14:11:27');
INSERT INTO complaint_remarks VALUES('11043','8879','VISIT NI HUA ABI TK','106','2021-08-16 14:15:09','2021-08-16 14:15:09');
INSERT INTO complaint_remarks VALUES('11044','8879','S/C MA REMIND KRA DIA HA','106','2021-08-16 14:20:03','2021-08-16 14:20:03');
INSERT INTO complaint_remarks VALUES('11045','8875','NOT ATTENDING CALL','106','2021-08-16 15:17:16','2021-08-16 15:17:16');
INSERT INTO complaint_remarks VALUES('11046','8867','TEC VISITED PART KA ISSUE HA JA ATTEND HO GI COMPLAINT INFORMEDE BY S/C','106','2021-08-16 15:23:30','2021-08-16 15:23:30');
INSERT INTO complaint_remarks VALUES('11047','8863','NOT ATTENDING CALL','106','2021-08-16 15:26:30','2021-08-16 15:26:30');
INSERT INTO complaint_remarks VALUES('11048','8852','NOT ATTENDING CALL','106','2021-08-16 15:28:49','2021-08-16 15:28:49');
INSERT INTO complaint_remarks VALUES('11049','8831','MA DIA HA','106','2021-08-16 15:30:59','2021-08-16 15:30:59');
INSERT INTO complaint_remarks VALUES('11050','8829','NOT ATTENDING CALL','106','2021-08-16 15:33:11','2021-08-16 15:33:11');
INSERT INTO complaint_remarks VALUES('11051','8831','COMPLAINT RESOLVED','92','2021-08-16 15:35:29','2021-08-16 15:35:29');
INSERT INTO complaint_remarks VALUES('11052','8966','TEC VISITED BUT  MOTOR ISSUE HA CUSTOMER KO 3SA 4 DIN KA TIME DIA GIA HA','106','2021-08-16 15:37:56','2021-08-16 15:37:56');
INSERT INTO complaint_remarks VALUES('11053','8965','ISSUED RESOLVED','106','2021-08-16 15:39:03','2021-08-16 15:39:03');
INSERT INTO complaint_remarks VALUES('11054','8962','TEC NA VISIT KIA HA MAGAR TEC KI TRF UNIT MA KOI IISUE NI H LEKIN CUSTOMER SATIFIED NI HA KU K BAKE NI SAI KRR RAHA TEC NA CUSTOMER SA KAHA K UNIT CHANGE KR LA ISS MODEL M A ASA HI     ABKE HOTA HA HA','106','2021-08-16 15:45:22','2021-08-16 15:45:22');
INSERT INTO complaint_remarks VALUES('11055','8961','NOT ATTENDING CALL','106','2021-08-16 15:47:26','2021-08-16 15:47:26');
INSERT INTO complaint_remarks VALUES('11056','8960','ISSUED RESOLVED','106','2021-08-16 15:48:41','2021-08-16 15:48:41');
INSERT INTO complaint_remarks VALUES('11057','8953','CUS NOT CONFERMED','106','2021-08-16 15:54:18','2021-08-16 15:54:18');
INSERT INTO complaint_remarks VALUES('11058','8952','INSTALLER FAULT HA AZHAR SB KO INFORMED KR DIA HA','106','2021-08-16 16:28:07','2021-08-16 16:28:07');
INSERT INTO complaint_remarks VALUES('11059','8741','NOT ATTENDING CALL','106','2021-08-16 16:32:45','2021-08-16 16:32:45');
INSERT INTO complaint_remarks VALUES('11060','8742','NOT ATTENDING CALL','106','2021-08-16 16:34:07','2021-08-16 16:34:07');
INSERT INTO complaint_remarks VALUES('11061','8754','NOT ATTENDING CALL COMPANY SIDE S ACOMPLAINT CLOSED HA KU K CUSTOMER NOT PICKING CALL ISLIA COMPLAINT CLOSED','106','2021-08-16 16:39:39','2021-08-16 16:39:39');
INSERT INTO complaint_remarks VALUES('11062','8762','POWER CABLE KA ISSUE HA CUSTOMER LOCAL TEC SA THK KRAI GA','106','2021-08-16 16:44:03','2021-08-16 16:44:03');
INSERT INTO complaint_remarks VALUES('11063','8764','NOT ATTENDING CALL','106','2021-08-16 16:48:13','2021-08-16 16:48:13');
INSERT INTO complaint_remarks VALUES('11064','8840','03345151677 WAQAR TECHNICIAN','92','2021-08-16 17:13:21','2021-08-16 17:13:21');
INSERT INTO complaint_remarks VALUES('11065','5322','ISSUED RESOLVED','106','2021-08-16 17:44:37','2021-08-16 17:44:37');
INSERT INTO complaint_remarks VALUES('11066','8736','03046392694 WAQAS TECHNICIAN','92','2021-08-16 18:13:14','2021-08-16 18:13:14');
INSERT INTO complaint_remarks VALUES('11067','8924','UMER 03335519165  VISIT TO DAY INFORMED BY CUSTOMER','74','2021-08-17 10:59:33','2021-08-17 10:59:33');
INSERT INTO complaint_remarks VALUES('11068','8922','COMPLAINT ATTEND HO GAE HAY TANG LEAK HAY S/C MAY INFORM KAR DEYA HAY JASAY TANK AY GA LAG JAY GA COMPLAINT IN PROCESS','92','2021-08-17 11:08:29','2021-08-17 11:08:29');
INSERT INTO complaint_remarks VALUES('11069','8936','COMPLAINT ATTEND HO GAE HAY COMPRESSOR ISSUE COMPLAINT IN PROCESS','92','2021-08-17 11:09:29','2021-08-17 11:09:29');
INSERT INTO complaint_remarks VALUES('11070','8949','not attending call','106','2021-08-17 11:11:38','2021-08-17 11:11:38');
INSERT INTO complaint_remarks VALUES('11071','8940','not attending call','106','2021-08-17 11:12:56','2021-08-17 11:12:56');
INSERT INTO complaint_remarks VALUES('11072','8885','COMPLAINT ATTEND NI HUI','106','2021-08-17 11:15:01','2021-08-17 11:15:01');
INSERT INTO complaint_remarks VALUES('11073','8940','COMPLAINT RESOLVED','74','2021-08-17 11:21:16','2021-08-17 11:21:16');
INSERT INTO complaint_remarks VALUES('11074','8916','IMRAN FCP NA WARRANTY CARD SHER KAR DIA HAIER S/C MAIN SET SHOWROOAM PA HAIN S/C REMINDER DA DIA HAIN','74','2021-08-17 11:27:51','2021-08-17 11:27:51');
INSERT INTO complaint_remarks VALUES('11075','8962','CUSTOMER SAY BAT HUAI HAY CUSTOMER 02 DIN TAK INFORM KARAY GAY KHURRAM SADDAR SIR KO B INFORM KAR DEYA HAY','92','2021-08-17 11:31:08','2021-08-17 11:31:08');
INSERT INTO complaint_remarks VALUES('11076','8893','TABLE STAND DEMAND KIYA HOYA HAIN COMPLAINT WORKING IN PROCESS','74','2021-08-17 11:32:06','2021-08-17 11:32:06');
INSERT INTO complaint_remarks VALUES('11077','8886','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-17 11:44:14','2021-08-17 11:44:14');
INSERT INTO complaint_remarks VALUES('11078','8880','COMPLAINT RESOLVED','74','2021-08-17 11:45:34','2021-08-17 11:45:34');
INSERT INTO complaint_remarks VALUES('11079','8702','CUSTOMER CONFERMED NI HA','106','2021-08-17 12:00:19','2021-08-17 12:00:19');
INSERT INTO complaint_remarks VALUES('11080','8969','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-17 12:08:21','2021-08-17 12:08:21');
INSERT INTO complaint_remarks VALUES('11081','8968','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-17 12:10:34','2021-08-17 12:10:34');
INSERT INTO complaint_remarks VALUES('11082','8961','AK BAR COMPLAINT ATTEND HO GAE HAY AJ AGAIN VISIT HAY CALL AY GAE HAY CUSTOMER KO S/C SAY','92','2021-08-17 12:18:45','2021-08-17 12:18:45');
INSERT INTO complaint_remarks VALUES('11083','8870','CELL NO WRONG ENTER THA IC WAJA SA COMPLAINT DELAY THI AJA AGAIN COMPLINT REOPEN KARWA DIA INFORMED BY CUSTOMER','74','2021-08-17 12:19:13','2021-08-17 12:19:13');
INSERT INTO complaint_remarks VALUES('11084','8594','NOT ATTENDING CALL','106','2021-08-17 12:20:34','2021-08-17 12:20:34');
INSERT INTO complaint_remarks VALUES('11085','8855','UNIT S/C SAREADY HO K CUSTOMER K GHR DELIVER HO GAY HAIN UNIT INSTALLATION K LIYA ASIF GILL KO REMINDER DA DIA INFORMED BY CUSTOMER','74','2021-08-17 12:26:06','2021-08-17 12:26:06');
INSERT INTO complaint_remarks VALUES('11086','9023','ABDUL REHMAN FCI SIR SAY BAT HUAI HAY AJ ATTEND HO GE COMPLAINT INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-17 12:32:07','2021-08-17 12:32:07');
INSERT INTO complaint_remarks VALUES('11087','8604','CUSTOMER NA COMPLAINT KHD PENDING PA RAKHI HA CUSTOMER SHIFTING KR RA HA TO UNHO N kAHA K COMPLAINT CLOSED KKRDO MA KH 10 SA 15 DAYS KA BAD COMPANY MA COMPLAINT KRAO GA','106','2021-08-17 12:41:15','2021-08-17 12:41:15');
INSERT INTO complaint_remarks VALUES('11088','8839','VISIT HO GAYA HAIN  W/M S/C WALO NA PICK KARNI HAIN','74','2021-08-17 12:42:38','2021-08-17 12:42:38');
INSERT INTO complaint_remarks VALUES('11089','8956','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-17 12:44:00','2021-08-17 12:44:00');
INSERT INTO complaint_remarks VALUES('11090','8615','UNIT S/C MA SHIFT HUA HA 3SA 4 TK PTA CHLA GA','106','2021-08-17 12:48:09','2021-08-17 12:48:09');
INSERT INTO complaint_remarks VALUES('11091','8625','ISSUED RESOLVED','106','2021-08-17 12:50:56','2021-08-17 12:50:56');
INSERT INTO complaint_remarks VALUES('11092','8810','COMPLAINT RESOLVED','74','2021-08-17 13:03:18','2021-08-17 13:03:18');
INSERT INTO complaint_remarks VALUES('11093','9031','3-OCT-2020','73','2021-08-17 13:03:18','2021-08-17 13:03:18');
INSERT INTO complaint_remarks VALUES('11094','8532','03098997044 03125237516 HAIDER TECHNICIAN AWAN ELECTRONIC','92','2021-08-17 13:51:43','2021-08-17 13:51:43');
INSERT INTO complaint_remarks VALUES('11095','6512','IST SEP KO CUSTOMER K GHR SA SET PICK KARAY GAY ISHFAQ SIR','74','2021-08-17 14:00:18','2021-08-17 14:00:18');
INSERT INTO complaint_remarks VALUES('11096','8944','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-17 14:01:37','2021-08-17 14:01:37');
INSERT INTO complaint_remarks VALUES('11097','8943','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-17 14:03:23','2021-08-17 14:03:23');
INSERT INTO complaint_remarks VALUES('11098','8942','CUSTOMER SAY BAT HUAI HAY CUSTOMER NAY LOCAL TECHNICIAN SAY ISSUE RESOLVED KARWA LEYA HAY','92','2021-08-17 14:05:20','2021-08-17 14:05:20');
INSERT INTO complaint_remarks VALUES('11099','8934','CUSTOMER NOT ATTEND CALL','92','2021-08-17 14:07:38','2021-08-17 14:07:38');
INSERT INTO complaint_remarks VALUES('11100','7002','UNIT S/C MAIN OK HO GAYA HAIN  AJ  SHAM MAIN YHA KAL SUBHA DELVER HO JAY GA CUSTOMER KO CALL AGEI S/C SA','74','2021-08-17 14:11:04','2021-08-17 14:11:04');
INSERT INTO complaint_remarks VALUES('11101','8927','COMPLAINT ATTEND HO GAE HAY CUSTOMER KO UNIT S/C LAY KAR JANA HAY COMPLAINT IN PROCESS','92','2021-08-17 14:11:59','2021-08-17 14:11:59');
INSERT INTO complaint_remarks VALUES('11102','8840','VIDEO TOSEEF SAB KO VIDEO SHER KAR DIA HAIN','74','2021-08-17 14:12:39','2021-08-17 14:12:39');
INSERT INTO complaint_remarks VALUES('11103','8923','03355771940 TECHNICIAN','92','2021-08-17 14:16:52','2021-08-17 14:16:52');
INSERT INTO complaint_remarks VALUES('11104','8923','COMPLAINT ATTEND HO GAE HAY GAS ISSUE HAY CUSTOMER KO UNIT S/C LIFT KARNA HAY','92','2021-08-17 14:23:12','2021-08-17 14:23:12');
INSERT INTO complaint_remarks VALUES('11105','8909','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-17 14:24:41','2021-08-17 14:24:41');
INSERT INTO complaint_remarks VALUES('11106','8908','CUSTOMER NOT ATTEND CALL','92','2021-08-17 14:27:38','2021-08-17 14:27:38');
INSERT INTO complaint_remarks VALUES('11107','8594','CUSTOMER CALL NI ATTEND KRAHA BHT DINO SA NAVEEED SBB SA POUCHA WO B KAH RAHA THA MJHSA B RABTA N I HA COMPANY SIDE SA DO DAFA COMPLAINT CLOSED HUI HA BECAUSE OF NOT PICKING CALL THATS WHY COMPLAINT CLOSED','106','2021-08-17 14:28:17','2021-08-17 14:28:17');
INSERT INTO complaint_remarks VALUES('11108','7660','COMPLAINT ATTEND HO GEI HAIN UNIT S/C MOVE HO GA CUSTOMER ABI OUT OFF CITY HAIN','74','2021-08-17 14:28:39','2021-08-17 14:28:39');
INSERT INTO complaint_remarks VALUES('11109','8901','CUSTOMER NOT ATTEND CALL','92','2021-08-17 14:32:39','2021-08-17 14:32:39');
INSERT INTO complaint_remarks VALUES('11110','8703','FAN DEMANDED THA AJ S/C WALON KO FAN RECIEVE HO GYA HA FRIDAY WALA DIN CUSTOMER K GHR TEC VISIT KR LA GA OR ISSUE RESOLVED HO JAI GA','106','2021-08-17 14:36:28','2021-08-17 14:36:28');
INSERT INTO complaint_remarks VALUES('11111','8900','NAEEM SIR SAY BAT HUAI HAY AJ ATTEND KARWAY GAY COMPLAINT INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-17 14:37:49','2021-08-17 14:37:49');
INSERT INTO complaint_remarks VALUES('11112','8361','TEC NA VISIT KIA THA CUSTOMER K PASS WARRENTY CARD NI THA CUSTOMER SIDE SA DELAY HA WO KAH RAHA AGR WARRENTY CARD MILA TO THK WARNA MA LOCAL TEC SA SA THK KRAOO GA','106','2021-08-17 14:42:49','2021-08-17 14:42:49');
INSERT INTO complaint_remarks VALUES('11113','8894','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-17 14:43:21','2021-08-17 14:43:21');
INSERT INTO complaint_remarks VALUES('11114','8900','02 DAFA VISIT HO GAYA HAY BUT CUSTOMER AGREE NAI THAY UNIT REPAIR KARWANY K LEAY NAEEM SIR SAY BAT HO GAE HAY CUSTOMER SAY B NAEEM SIR NAY BAT KAR LE HAY FRIDAY KO UNIT S/C AY GA INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-17 14:52:46','2021-08-17 14:52:46');
INSERT INTO complaint_remarks VALUES('11115','8375','UNIT AJ B S/C GIA HA  PAHLA BB DO DFA  S/C GIA HA','106','2021-08-17 14:54:02','2021-08-17 14:54:02');
INSERT INTO complaint_remarks VALUES('11116','8908','ISSUED RESOLVED','106','2021-08-17 15:01:36','2021-08-17 15:01:36');
INSERT INTO complaint_remarks VALUES('11117','8380','COMPLAINT ATTEND HOGAI HA INKI 2 LED 
 KI COMPLAINT THI AIK  RESOLVED HO GAI HA HA DOSRA UNIT IN PROCESS HA','106','2021-08-17 15:09:30','2021-08-17 15:09:30');
INSERT INTO complaint_remarks VALUES('11118','8997','CUSTOMER OVEN SHOWROOM PAR CHOR GAY HAY ADIL FHHS SIR SAY BAT HUAI HAY WO TAHIR BEST COOL SIR K S/C BEJHWA DAY GAY','92','2021-08-17 15:11:16','2021-08-17 15:11:16');
INSERT INTO complaint_remarks VALUES('11119','8889','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-17 15:13:14','2021-08-17 15:13:14');
INSERT INTO complaint_remarks VALUES('11120','8386','ISSUED RESOLVED','106','2021-08-17 15:14:04','2021-08-17 15:14:04');
INSERT INTO complaint_remarks VALUES('11121','8888','CUSTOMER SAY BAT HUAI HAY UNIT LIFT IN  S/C COMPLAINT IN PROCESS','92','2021-08-17 15:15:22','2021-08-17 15:15:22');
INSERT INTO complaint_remarks VALUES('11122','8875','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-17 15:19:56','2021-08-17 15:19:56');
INSERT INTO complaint_remarks VALUES('11123','8393','03325269681 TECHNISION  NO','106','2021-08-17 15:24:52','2021-08-17 15:24:52');
INSERT INTO complaint_remarks VALUES('11124','8404','CUSTOMER KA UNIT S/C MA HA  ABI TK  WHI PR HA','106','2021-08-17 15:27:15','2021-08-17 15:27:15');
INSERT INTO complaint_remarks VALUES('11125','8863','03005548647 OTHER MOBILE NO','92','2021-08-17 15:29:56','2021-08-17 15:29:56');
INSERT INTO complaint_remarks VALUES('11126','8863','TECHNICIAN NAY VISIT KEYA THA BUT CUSTOMER GHAR PAR NAI THAY CUSTOMER KO IN FORM KARDEYA HAY K FRIDAY KO ATTEND HO GE COMPLAINT','92','2021-08-17 15:31:59','2021-08-17 15:31:59');
INSERT INTO complaint_remarks VALUES('11127','8986','03368362917 KHURRAM TECHNICIAN','92','2021-08-17 15:51:46','2021-08-17 15:51:46');
INSERT INTO complaint_remarks VALUES('11128','9051','Model
39HD-ACTION','106','2021-08-17 15:55:00','2021-08-17 15:55:00');
INSERT INTO complaint_remarks VALUES('11129','7430','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-17 16:01:56','2021-08-17 16:01:56');
INSERT INTO complaint_remarks VALUES('11130','7379','CUSTOMER NOT ATTEND CALL','92','2021-08-17 16:03:26','2021-08-17 16:03:26');
INSERT INTO complaint_remarks VALUES('11131','8428','THERMOSTATE DEMANDED HA COMPANY S/C SA PTA KIA HA ABI TK NI AYA JO HI ATAT HA TOCUSTOMER SA RBTA KRLIA JAI GA','106','2021-08-17 16:05:01','2021-08-17 16:05:01');
INSERT INTO complaint_remarks VALUES('11132','8829','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-17 16:05:14','2021-08-17 16:05:14');
INSERT INTO complaint_remarks VALUES('11133','8808','COMPLAINT ATTEND HO GAE HAY UNIT S/C WALAY LIFT KARAY GAY INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-17 16:12:03','2021-08-17 16:12:03');
INSERT INTO complaint_remarks VALUES('11134','8436','NOT ATTENDING CALL','106','2021-08-17 16:12:06','2021-08-17 16:12:06');
INSERT INTO complaint_remarks VALUES('11135','8438','ISSUED RESOLVED','106','2021-08-17 16:13:31','2021-08-17 16:13:31');
INSERT INTO complaint_remarks VALUES('11136','8457','COMPLAINT HIGHLIGHTED','106','2021-08-17 16:31:26','2021-08-17 16:31:26');
INSERT INTO complaint_remarks VALUES('11137','8986','TECHNICIAN NAY KAL CUSTOMER KO 02 SAY 03 DAFA CALL KI THI BUT CUSTOMER NAY CALL ATTEND NAI KI AJ AGAIN S/C MAY INFORM KAR DEYA HAY VISIT K LEAY','92','2021-08-17 16:32:22','2021-08-17 16:32:22');
INSERT INTO complaint_remarks VALUES('11138','8254','CUSTOMER KA ISSUE RESOLVED HO GAYA HAIN UNIT MAIN KOI SOUND NAI AARHI HASSAN SAB INSTALL B KAR K AAY HAIN KHUD COMPLAINT RESOLVED','74','2021-08-17 16:46:29','2021-08-17 16:46:29');
INSERT INTO complaint_remarks VALUES('11139','8473','INKA ISSUE RESOLVED HO GYA HA   LEKIN CUSTOMER SATISFIED NI HA','106','2021-08-17 16:56:05','2021-08-17 16:56:05');
INSERT INTO complaint_remarks VALUES('11140','9053','COM NO PKRI-210817112693','92','2021-08-17 17:07:35','2021-08-17 17:07:35');
INSERT INTO complaint_remarks VALUES('11141','8984','CUSTOMER SAY BAT HUAI HAY COMPLAINT ATTEND HO GAE HAY COMPLAINT IN PROCESS','92','2021-08-17 17:21:08','2021-08-17 17:21:08');
INSERT INTO complaint_remarks VALUES('11142','8496','DOOR ISSUE HA ABI TK PROCESS MA HI HA DOOR ANA MA AIK DO  OR LG JAII      GA INFORMED BY  S/C','106','2021-08-17 17:25:30','2021-08-17 17:25:30');
INSERT INTO complaint_remarks VALUES('11143','8684','CUSTOMER KO COMPANY NA UNIT REPLACE KAR K DIA COMPLAINT RESOLVED','74','2021-08-17 18:00:46','2021-08-17 18:00:46');
INSERT INTO complaint_remarks VALUES('11144','8522','AYESHA MAMM KO REMINDER DAY DEYA HAY','92','2021-08-17 18:02:51','2021-08-17 18:02:51');
INSERT INTO complaint_remarks VALUES('11145','9011','03085066889 IKRAM TECHNICIAN','92','2021-08-20 11:05:41','2021-08-20 11:05:41');
INSERT INTO complaint_remarks VALUES('11146','8808','CUSTOMER SAY BAT HUAI HAY AJ UNIT LIFT HO GA S/C INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-20 12:22:20','2021-08-20 12:22:20');
INSERT INTO complaint_remarks VALUES('11147','8254','CUSTOMER SA AJ AGAIN FOLLOWUP LIYA HAIN  UNIT MAIN KOI ISSUE NAI COMPLAINT CLOSED','74','2021-08-20 12:47:20','2021-08-20 12:47:20');
INSERT INTO complaint_remarks VALUES('11148','9037','03116339241 S/C NO','92','2021-08-20 14:36:56','2021-08-20 14:36:56');
INSERT INTO complaint_remarks VALUES('11149','9037','03455705181 ASLAM TECHNICIAN','92','2021-08-20 14:42:17','2021-08-20 14:42:17');
INSERT INTO complaint_remarks VALUES('11150','8987','COMPLAINT ATTEND HO GEI HAIN BUT ISSUE NOT RESOLVED AGAIN VISIT K LIYA COMPLAINT REOPENED KARWA DI','74','2021-08-20 16:35:59','2021-08-20 16:35:59');
INSERT INTO complaint_remarks VALUES('11151','8546','CANNON WALY SHOWROOM WALAY HOOD PA MOTER LAGA AAY HAIN COMPLAINT RESOLVED','74','2021-08-20 16:46:05','2021-08-20 16:46:05');
INSERT INTO complaint_remarks VALUES('11152','8979','COMPLAINT RESOLVED','74','2021-08-20 16:49:23','2021-08-20 16:49:23');
INSERT INTO complaint_remarks VALUES('11153','8988','COMPLAINT RESOLVED','74','2021-08-20 16:51:43','2021-08-20 16:51:43');
INSERT INTO complaint_remarks VALUES('11154','9024','REF TO S/C CUSTOMER NA KHUD LA K JANA HAIN','74','2021-08-20 16:57:01','2021-08-20 16:57:01');
INSERT INTO complaint_remarks VALUES('11155','8992','COMPLAINT RESOLVED','74','2021-08-20 17:01:23','2021-08-20 17:01:23');
INSERT INTO complaint_remarks VALUES('11156','9056','CUSTOMER NOT ATTEND CALL','92','2021-08-21 10:46:26','2021-08-21 10:46:26');
INSERT INTO complaint_remarks VALUES('11157','9055','CUSTOMER NOT ATTEND CALL','92','2021-08-21 10:48:16','2021-08-21 10:48:16');
INSERT INTO complaint_remarks VALUES('11158','9051','CUSTOMER SAY BAT HUAI HAY BOARD ISSUE BOARD MALE KAR DEYA HAY INPROCESS COMPLAINT','92','2021-08-21 10:51:39','2021-08-21 10:51:39');
INSERT INTO complaint_remarks VALUES('11159','9047','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-21 10:53:20','2021-08-21 10:53:20');
INSERT INTO complaint_remarks VALUES('11160','9046','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-21 10:56:24','2021-08-21 10:56:24');
INSERT INTO complaint_remarks VALUES('11161','9062','CUSTOMER SAY BAT HUAI HAY AJ ATTEND HO GE COMPLAINT','92','2021-08-21 11:05:59','2021-08-21 11:05:59');
INSERT INTO complaint_remarks VALUES('11162','9044','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-21 11:08:17','2021-08-21 11:08:17');
INSERT INTO complaint_remarks VALUES('11163','9042','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-21 11:09:58','2021-08-21 11:09:58');
INSERT INTO complaint_remarks VALUES('11164','9040','CUSTOMER NOT ATTEND CALL','92','2021-08-21 11:12:12','2021-08-21 11:12:12');
INSERT INTO complaint_remarks VALUES('11165','9032','NOT ATTENDING CALL','106','2021-08-21 11:29:05','2021-08-21 11:29:05');
INSERT INTO complaint_remarks VALUES('11166','9033','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-21 11:29:24','2021-08-21 11:29:24');
INSERT INTO complaint_remarks VALUES('11167','9027','NOT ATTENDING CALL','106','2021-08-21 11:30:31','2021-08-21 11:30:31');
INSERT INTO complaint_remarks VALUES('11168','8994','ISSUED RESOLVED','106','2021-08-21 11:31:51','2021-08-21 11:31:51');
INSERT INTO complaint_remarks VALUES('11169','8990','ABI TK VISIT NI HUA CUSTOMER TEC KI CALL AI THI','106','2021-08-21 11:33:49','2021-08-21 11:33:49');
INSERT INTO complaint_remarks VALUES('11170','8924','COMPLAINT ATTEND HO GAE HAY AJ S/C WALAY UNIT LIFT KARAY GAY CUSTOMER K GHAR SAY INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-21 11:33:57','2021-08-21 11:33:57');
INSERT INTO complaint_remarks VALUES('11171','7002','UNIT S/C SA READY HO K CUSTOMER K GHR DILVER HO GAY HAIN HAIR MAIN INSTALLATION REQUEST FF KAR DI HAIN CUSTOMER KO B ASIF GILL KA NO PROVIDE KAR DIA COMPLAINT CLOSED','74','2021-08-21 11:34:34','2021-08-21 11:34:34');
INSERT INTO complaint_remarks VALUES('11172','9022','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-21 11:35:28','2021-08-21 11:35:28');
INSERT INTO complaint_remarks VALUES('11173','9002','COMPLAINT RESOLVED','74','2021-08-21 11:37:17','2021-08-21 11:37:17');
INSERT INTO complaint_remarks VALUES('11174','8952','NOT ATTENDING CALL','106','2021-08-21 11:39:04','2021-08-21 11:39:04');
INSERT INTO complaint_remarks VALUES('11175','8883','UNIT ISIN S/C IN PROGRESS','106','2021-08-21 11:39:52','2021-08-21 11:39:52');
INSERT INTO complaint_remarks VALUES('11176','8970','BUTT SIR NOT ATTEND CALL','92','2021-08-21 11:42:56','2021-08-21 11:42:56');
INSERT INTO complaint_remarks VALUES('11177','8925','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-21 11:44:38','2021-08-21 11:44:38');
INSERT INTO complaint_remarks VALUES('11178','8783','NOT ATTENDING CALL','106','2021-08-21 11:44:57','2021-08-21 11:44:57');
INSERT INTO complaint_remarks VALUES('11179','8758','UNIT IS IN S/C IN PROGRESS','106','2021-08-21 11:49:46','2021-08-21 11:49:46');
INSERT INTO complaint_remarks VALUES('11180','8661','CUSTOMER NOT ATTEND CAL','92','2021-08-21 11:51:03','2021-08-21 11:51:03');
INSERT INTO complaint_remarks VALUES('11181','9004','THERMOSTAT ADJUSTMENT KI HAIN CUSTOMER SA BAT HO GEI HAIN REF MAIN COOLING HO RAHI HAIN NEXT ISSUE HAO TU INFORMED KARAY GEI COMPLAINT CLOSED','74','2021-08-21 11:51:35','2021-08-21 11:51:35');
INSERT INTO complaint_remarks VALUES('11182','8615','CUSTOMER SAY BAT HUAI HAY ABI UNIT OK HAY AGAIN ISSUE AYA TO AGAIN COMPLAINT KARWA DAY GAY CUSTOMER SO COMPLAINT RESOLVED','92','2021-08-21 11:54:05','2021-08-21 11:54:05');
INSERT INTO complaint_remarks VALUES('11183','9006','COMPLAINT ATTEND HO GEI HAIN RELAY KA ISSUE HAIN RELAY DEMAND KI HOI HAIN S/C WALO NA','74','2021-08-21 11:59:06','2021-08-21 11:59:06');
INSERT INTO complaint_remarks VALUES('11184','8745','STILL IN S/C','106','2021-08-21 12:04:38','2021-08-21 12:04:38');
INSERT INTO complaint_remarks VALUES('11185','8991','NOT ATTENDING CALL','74','2021-08-21 12:05:31','2021-08-21 12:05:31');
INSERT INTO complaint_remarks VALUES('11186','8506','NOT ATTENDING CALL','106','2021-08-21 12:08:10','2021-08-21 12:08:10');
INSERT INTO complaint_remarks VALUES('11187','8404','UNIT STILL IS IN S/C IN PROGRESS','106','2021-08-21 12:12:30','2021-08-21 12:12:30');
INSERT INTO complaint_remarks VALUES('11188','9035','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-21 12:17:43','2021-08-21 12:17:43');
INSERT INTO complaint_remarks VALUES('11189','9021','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-21 12:19:36','2021-08-21 12:19:36');
INSERT INTO complaint_remarks VALUES('11190','7811','IKLAQ SAB NA AC REPLACE KAR DIA HAIN CUSTOMER KO .CUSTOMER KA UNIT COLLECT B KAR LIYA HAIN INFORMED BY KHURRAM SIR','74','2021-08-21 12:24:42','2021-08-21 12:24:42');
INSERT INTO complaint_remarks VALUES('11191','8330','ABI TKK ISSUE RESOLVED NI HUA PART DEMANDED HA INFORMED BY S/C','106','2021-08-21 12:29:49','2021-08-21 12:29:49');
INSERT INTO complaint_remarks VALUES('11192','8990','PART KA ISSUE HA DEMANDED HA','106','2021-08-21 12:32:04','2021-08-21 12:32:04');
INSERT INTO complaint_remarks VALUES('11193','8867','PART ISSUE DEMANDED BY S/C AJ RECIEVE HO GA','106','2021-08-21 12:33:32','2021-08-21 12:33:32');
INSERT INTO complaint_remarks VALUES('11194','8949','COMPLAINT RESOLVED','74','2021-08-21 12:35:00','2021-08-21 12:35:00');
INSERT INTO complaint_remarks VALUES('11195','8778','CUSTOMER NA CALL NI KI  ATTEND KI JISS WJA SA COMPANY MA CLOSED HA REOPEN KRA DI HA','106','2021-08-21 12:35:09','2021-08-21 12:35:09');
INSERT INTO complaint_remarks VALUES('11196','9014','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-21 12:36:53','2021-08-21 12:36:53');
INSERT INTO complaint_remarks VALUES('11197','8934','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-21 12:38:46','2021-08-21 12:38:46');
INSERT INTO complaint_remarks VALUES('11198','8354','CUSTOMER NOT ATTEND CALL','92','2021-08-21 12:49:14','2021-08-21 12:49:14');
INSERT INTO complaint_remarks VALUES('11199','9048','CUSTOMER NOT CONFERMED','106','2021-08-21 12:51:34','2021-08-21 12:51:34');
INSERT INTO complaint_remarks VALUES('11200','9032','ISSUED RESOLVED','106','2021-08-21 12:52:47','2021-08-21 12:52:47');
INSERT INTO complaint_remarks VALUES('11201','7901','CUSTOMER NOT ATTEND CALL','92','2021-08-21 12:55:44','2021-08-21 12:55:44');
INSERT INTO complaint_remarks VALUES('11202','7805','CUSTOMER NOT ATTEND CALL','92','2021-08-21 13:13:34','2021-08-21 13:13:34');
INSERT INTO complaint_remarks VALUES('11203','9036','NOT ATTENDING CALL','106','2021-08-21 13:15:35','2021-08-21 13:15:35');
INSERT INTO complaint_remarks VALUES('11204','9036','ABI TK VISIT NI HUA','106','2021-08-21 13:17:06','2021-08-21 13:17:06');
INSERT INTO complaint_remarks VALUES('11205','8976','CUSTOMER NOT ATTEND CALL','92','2021-08-21 13:39:57','2021-08-21 13:39:57');
INSERT INTO complaint_remarks VALUES('11206','8977','CUSTOMER SAY BAT HUAI HAY AJ ATTEND HO GE COMPLAINT MESSAGE AY GAYA HAY CUSTOMER KO S/C SAY','92','2021-08-21 13:42:49','2021-08-21 13:42:49');
INSERT INTO complaint_remarks VALUES('11207','8962','KHURRAM FIVE STAR SIR SAY BAT HUAI HAY KAL ATTEND KARAY GAY ATTEND COMPLAINT','92','2021-08-21 13:47:23','2021-08-21 13:47:23');
INSERT INTO complaint_remarks VALUES('11208','9036','AJ VISIT HO GA INFORMED BY S/C','106','2021-08-21 13:54:35','2021-08-21 13:54:35');
INSERT INTO complaint_remarks VALUES('11209','9012','ISSUED RESOLVED','106','2021-08-21 13:56:40','2021-08-21 13:56:40');
INSERT INTO complaint_remarks VALUES('11210','8702','ISSUED RESOLVED','106','2021-08-21 13:58:14','2021-08-21 13:58:14');
INSERT INTO complaint_remarks VALUES('11211','9009','BOARD ISSUE HA CUSTOMER KO 2 3 DIN KA TIME DIA HA','106','2021-08-21 14:00:47','2021-08-21 14:00:47');
INSERT INTO complaint_remarks VALUES('11212','9005','ISSUED RESOLVED','106','2021-08-21 14:01:56','2021-08-21 14:01:56');
INSERT INTO complaint_remarks VALUES('11213','9000','NOT ATTENDING CALL','106','2021-08-21 14:04:18','2021-08-21 14:04:18');
INSERT INTO complaint_remarks VALUES('11214','8996','TEC NA RABTA  KIA THA  VISIT NI HUA KL VSISIT HO GA','106','2021-08-21 14:06:45','2021-08-21 14:06:45');
INSERT INTO complaint_remarks VALUES('11215','8989','UNIT S/C MA HA ABI TK IN PROGRESS','106','2021-08-21 14:09:34','2021-08-21 14:09:34');
INSERT INTO complaint_remarks VALUES('11216','8986','CUSTOMER CONFERMED NI HA','106','2021-08-21 14:11:55','2021-08-21 14:11:55');
INSERT INTO complaint_remarks VALUES('11217','8958','CUSTOMER SAY BAT HUAI HAY COMPLAINT ABI TAK ATTEND NAI HUAI','92','2021-08-21 14:12:50','2021-08-21 14:12:50');
INSERT INTO complaint_remarks VALUES('11218','8982','ISSUED RESOLVED','106','2021-08-21 14:13:06','2021-08-21 14:13:06');
INSERT INTO complaint_remarks VALUES('11219','8981','NOT ATTENDING CALL','106','2021-08-21 14:20:26','2021-08-21 14:20:26');
INSERT INTO complaint_remarks VALUES('11220','9052','CUSTOMER SAY BAT HO GAE HAY KAL ATTEND HO GE COMPLAINT IN PROCESS COMPLAINT','92','2021-08-21 14:26:14','2021-08-21 14:26:14');
INSERT INTO complaint_remarks VALUES('11221','6522','NOT ATTENDING CALL','106','2021-08-21 14:40:41','2021-08-21 14:40:41');
INSERT INTO complaint_remarks VALUES('11222','8927','CUSTOMER SAY BAT HUAI HAY CUSTOMER MONDAY KO UNIT S/C LIFT KARAY GAY COMPLAINT IN PROCESS','92','2021-08-21 14:40:41','2021-08-21 14:40:41');
INSERT INTO complaint_remarks VALUES('11223','8898','SHAHZAD SIR SAY BAT HUAI THI SIR NAY CONFORM KAR K ABDATE  KARNI THI BUT ABI TAK IN FORM NAI KEYA','92','2021-08-21 14:44:21','2021-08-21 14:44:21');
INSERT INTO complaint_remarks VALUES('11224','8888','CUSTOMER SAY BAT HUAI HAY TUESDAY KO S/C WALAY UNIT LIFT KAR K UNIT S/C LAY GAY HAY AB MONDAY KO IN FORM KARAY GAY COMPANY WALAY','92','2021-08-21 14:50:02','2021-08-21 14:50:02');
INSERT INTO complaint_remarks VALUES('11225','9068','03179998680 TECHNICIAN NO','92','2021-08-21 14:55:59','2021-08-21 14:55:59');
INSERT INTO complaint_remarks VALUES('11226','9068','TECHNICIAN SAY BAT HUAI HAY AJ ATTEND HO GAY GE COMPLAINT TECHNICIAN KI SUBHA BAT GO GAE HAY CUSTOMER SAY','92','2021-08-21 15:00:39','2021-08-21 15:00:39');
INSERT INTO complaint_remarks VALUES('11227','8986','0514927341','106','2021-08-21 15:03:48','2021-08-21 15:03:48');
INSERT INTO complaint_remarks VALUES('11228','8231','CUSTOMER SAY BAT HUAI HAY CUSTOMER NAY UNIT REPLACE KARWA LEYA HAY SO COMPLAINT CLOSED','92','2021-08-21 15:04:10','2021-08-21 15:04:10');
INSERT INTO complaint_remarks VALUES('11229','8986','RWP S/C','106','2021-08-21 15:05:04','2021-08-21 15:05:04');
INSERT INTO complaint_remarks VALUES('11230','8090','CUSTOMER NOT ATTEND CALL','92','2021-08-21 15:06:12','2021-08-21 15:06:12');
INSERT INTO complaint_remarks VALUES('11231','9062','03046392694 WAQAS TECHNICIAN AJ ATTEND KARAY GAY COMPLAINT CUSTOMER KO TECHNICIAN KA NO B PROVED KAR DEYA HAY','92','2021-08-21 15:18:00','2021-08-21 15:18:00');
INSERT INTO complaint_remarks VALUES('11232','8393','NOT ATTENDING CALL','106','2021-08-21 15:23:14','2021-08-21 15:23:14');
INSERT INTO complaint_remarks VALUES('11233','8384','PCB DEMANDED HA AJ AGAI HA S/C MA MONDAY TK ISSUE RESOLVED HO JAI GA','106','2021-08-21 15:27:41','2021-08-21 15:27:41');
INSERT INTO complaint_remarks VALUES('11234','9096','INVOICE=19229','73','2021-08-21 15:57:43','2021-08-21 15:57:43');
INSERT INTO complaint_remarks VALUES('11235','9096','MODEL=1466NEFTF-S','73','2021-08-21 15:58:00','2021-08-21 15:58:00');
INSERT INTO complaint_remarks VALUES('11236','9096','D.O.P=20-JUN-2019','73','2021-08-21 15:58:19','2021-08-21 15:58:19');
INSERT INTO complaint_remarks VALUES('11237','9096','WRONG REMARKS...','73','2021-08-21 15:59:05','2021-08-21 15:59:05');
INSERT INTO complaint_remarks VALUES('11238','9096','WITHOUT INVOICE COMPLAINT','73','2021-08-21 15:59:19','2021-08-21 15:59:19');
INSERT INTO complaint_remarks VALUES('11239','9095','INVOICE=19229','73','2021-08-21 15:59:39','2021-08-21 15:59:39');
INSERT INTO complaint_remarks VALUES('11240','9095','MODEL-1466NEFTF-S','73','2021-08-21 15:59:52','2021-08-21 15:59:52');
INSERT INTO complaint_remarks VALUES('11241','9095','D.O.P:20-JUN-2019','73','2021-08-21 16:00:04','2021-08-21 16:00:04');
INSERT INTO complaint_remarks VALUES('11242','8646','ISSUED RESOLVED','106','2021-08-21 16:05:49','2021-08-21 16:05:49');
INSERT INTO complaint_remarks VALUES('11243','8652','NOT ATTENDING CALL','106','2021-08-21 16:07:55','2021-08-21 16:07:55');
INSERT INTO complaint_remarks VALUES('11244','8855','ISSUE SOLVED','73','2021-08-21 16:53:16','2021-08-21 16:53:16');
INSERT INTO complaint_remarks VALUES('11245','8724','COSTUMER ISSUE SOLVED','73','2021-08-21 16:54:13','2021-08-21 16:54:13');
INSERT INTO complaint_remarks VALUES('11246','9075','03142437390 TEC NUMBER','106','2021-08-21 17:24:20','2021-08-21 17:24:20');
INSERT INTO complaint_remarks VALUES('11247','9056','not attending call','106','2021-08-22 12:18:53','2021-08-22 12:18:53');
INSERT INTO complaint_remarks VALUES('11248','9067','issued resolved','106','2021-08-22 12:42:58','2021-08-22 12:42:58');
INSERT INTO complaint_remarks VALUES('11249','6532','LG SERVICE LAHORE=04235125454 , 04235124848 , 03207354268','73','2021-08-22 12:43:56','2021-08-22 12:43:56');
INSERT INTO complaint_remarks VALUES('11250','9104','colling issue again','106','2021-08-22 12:56:44','2021-08-22 12:56:44');
INSERT INTO complaint_remarks VALUES('11251','9068','ATTEND HO GI BULB KA ISSUE HA KL RESOLVED HO JAI GA','106','2021-08-22 13:00:30','2021-08-22 13:00:30');
INSERT INTO complaint_remarks VALUES('11252','9069','NOT ATTENDING CALL','106','2021-08-22 13:05:59','2021-08-22 13:05:59');
INSERT INTO complaint_remarks VALUES('11253','9070','NOT ATTENDING CALL','106','2021-08-22 13:08:02','2021-08-22 13:08:02');
INSERT INTO complaint_remarks VALUES('11254','9071','NOT ATTENDING CALL','106','2021-08-22 13:11:27','2021-08-22 13:11:27');
INSERT INTO complaint_remarks VALUES('11255','9072','NOT ATTENDING CALL','106','2021-08-22 13:13:33','2021-08-22 13:13:33');
INSERT INTO complaint_remarks VALUES('11256','9074','TEC NA RBTA  KIA HA ABI VISIT NII HUA','106','2021-08-22 13:18:42','2021-08-22 13:18:42');
INSERT INTO complaint_remarks VALUES('11257','9075','NOT ATTENDING CALL','106','2021-08-22 13:31:43','2021-08-22 13:31:43');
INSERT INTO complaint_remarks VALUES('11258','9066','ISSUED RESOLVED','106','2021-08-22 13:32:55','2021-08-22 13:32:55');
INSERT INTO complaint_remarks VALUES('11259','9064','NOT ATTENDING CALL','106','2021-08-22 13:35:19','2021-08-22 13:35:19');
INSERT INTO complaint_remarks VALUES('11260','9060','TECHNISION NA VISIT KIA HA GASKIT ISSUE RESOLVED HO GYA HA','106','2021-08-22 13:51:05','2021-08-22 13:51:05');
INSERT INTO complaint_remarks VALUES('11261','9059','COMPLAINT ATTEND HO GI HA ISSUE RESOLVED NI HUA AGAIN VISIT HO GA TEC RBTA MA HA','106','2021-08-22 13:53:35','2021-08-22 13:53:35');
INSERT INTO complaint_remarks VALUES('11262','9058','NOT ATTENDING CALL','106','2021-08-22 13:59:48','2021-08-22 13:59:48');
INSERT INTO complaint_remarks VALUES('11263','9056','ISSUED RESOLVED','106','2021-08-22 14:00:54','2021-08-22 14:00:54');
INSERT INTO complaint_remarks VALUES('11264','9055','NOT ATTENDING CALL','106','2021-08-22 14:09:29','2021-08-22 14:09:29');
INSERT INTO complaint_remarks VALUES('11265','9075','customer say bat huai hay complaint resolved','92','2021-08-23 11:15:03','2021-08-23 11:15:03');
INSERT INTO complaint_remarks VALUES('11266','9062','VISIT HO GIA HA S/C  MA SHIFT HO GI','74','2021-08-23 11:29:43','2021-08-23 11:29:43');
INSERT INTO complaint_remarks VALUES('11267','8356','03142437728 ZULFIQAR KO B REMINDER DA DIA STORE ENCHAR.
TAQUEER SAB KO B SARI DETAIL FF KAR DI','74','2021-08-23 11:48:58','2021-08-23 11:48:58');
INSERT INTO complaint_remarks VALUES('11268','9058','03142437122 HUSSAIN MANGIER S/C NO 0544620250 HASSAN BHATTI S/C NO','92','2021-08-23 11:54:27','2021-08-23 11:54:27');
INSERT INTO complaint_remarks VALUES('11269','9062','INFORMED BY KHURRAM SIR','74','2021-08-23 12:08:17','2021-08-23 12:08:17');
INSERT INTO complaint_remarks VALUES('11270','9092','INVOICE=138516','73','2021-08-23 12:11:22','2021-08-23 12:11:22');
INSERT INTO complaint_remarks VALUES('11271','9092','MODEL=702HMHU-S','73','2021-08-23 12:11:34','2021-08-23 12:11:34');
INSERT INTO complaint_remarks VALUES('11272','9092','D.O.P=6-AUG-2021','73','2021-08-23 12:11:53','2021-08-23 12:11:53');
INSERT INTO complaint_remarks VALUES('11273','9092','CARD KA ISSUE HA... IKHLAQ SB NE CARD DISPLAY SE NIKAL K DE DIA HA... AB CARD SHOWROOM PW LAGANA HA','73','2021-08-23 12:12:34','2021-08-23 12:12:34');
INSERT INTO complaint_remarks VALUES('11274','9092','LG MEIN INFORM KR DIA','73','2021-08-23 12:12:45','2021-08-23 12:12:45');
INSERT INTO complaint_remarks VALUES('11275','6532','EHATASHAM SAB KO SARI DETAIL FF KAR DI CALL ATTEND NAI KAR RAHAY','74','2021-08-23 12:23:20','2021-08-23 12:23:20');
INSERT INTO complaint_remarks VALUES('11276','9072','CUSTOMER SAY BAT HUAI HAY 03 DIN K BAD COMPLAINT ATTEND KARWAY GAY CUSTOMER ABI WO OUT OFF CITY HAY','92','2021-08-23 12:24:01','2021-08-23 12:24:01');
INSERT INTO complaint_remarks VALUES('11277','9071','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-23 12:25:31','2021-08-23 12:25:31');
INSERT INTO complaint_remarks VALUES('11278','8742','COSTUMER KO ZAHID SB NE REPLACE KR DIA HA...','73','2021-08-23 12:36:51','2021-08-23 12:36:51');
INSERT INTO complaint_remarks VALUES('11279','9058','CUSTOMER SAY BAT HO GAE HAY UNIT LIFT HO GA S/C AJ JAVED SIR KO B INFORM KAR DEYA HAY','92','2021-08-23 12:36:55','2021-08-23 12:36:55');
INSERT INTO complaint_remarks VALUES('11280','9070','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-23 12:37:28','2021-08-23 12:37:28');
INSERT INTO complaint_remarks VALUES('11281','9069','CUSTOMER SAY BAY HUAI HAY COMPLAINT RESOLVED','92','2021-08-23 12:49:49','2021-08-23 12:49:49');
INSERT INTO complaint_remarks VALUES('11282','9040','CUSTOMER CALL ATTEND NAI KAR RAHAY THY IC WAJA SA COMPLAINT DELAY AGAIN COMPLAINT REOPEN KARWA DI MISS AREEBA NA','74','2021-08-23 13:10:04','2021-08-23 13:10:04');
INSERT INTO complaint_remarks VALUES('11283','9024','COMPLAINT RESOLVED','74','2021-08-23 13:11:42','2021-08-23 13:11:42');
INSERT INTO complaint_remarks VALUES('11284','9063','CUSTOMER SAY BAT HUAI HAY COMPLAINT RESOLVED','92','2021-08-23 13:16:16','2021-08-23 13:16:16');
INSERT INTO complaint_remarks VALUES('11285','9058','KAMRAN SIR AJ SHAM MAIN UNIT DISMENTEL  KARWA K S/C LIFT KARWA LAY GAY INFORMED BY CUSTOMER & ANEEQ','74','2021-08-23 13:30:31','2021-08-23 13:30:31');
INSERT INTO complaint_remarks VALUES('11286','7261','03095559760 SARFARZ TECHNICIAN','92','2021-08-23 13:31:35','2021-08-23 13:31:35');
INSERT INTO complaint_remarks VALUES('11287','8991','NOT ATTEND MY CALL','74','2021-08-23 13:32:17','2021-08-23 13:32:17');
INSERT INTO complaint_remarks VALUES('11288','8457','TECHNICIAN SAY BAT HUAI HAY CUSTOMER CALL ATTEND NAI KAR RAHY THAY TECHNICIAN CUSTOMER K GHAR B GAY BOARD LAY KAR BUT CUSTOMER GHAR PAR NAI THAY AGAIN REMINDER SAY DEYA HAY MURSALEEN SIR KO 02 DIN TAK BOARD AY GAY GA PHER ATTEND HO GE COMPLAINT INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-23 13:52:28','2021-08-23 13:52:28');
INSERT INTO complaint_remarks VALUES('11289','9089','WASEEM TECHNICIAN 03369907307','92','2021-08-23 14:18:07','2021-08-23 14:18:07');
INSERT INTO complaint_remarks VALUES('11290','9051','ZAFARAN TECHNICIAN 03179998679','92','2021-08-23 14:20:47','2021-08-23 14:20:47');
INSERT INTO complaint_remarks VALUES('11291','8800','AYAZ 03179998685 TECHNICIAN','92','2021-08-23 14:25:03','2021-08-23 14:25:03');
INSERT INTO complaint_remarks VALUES('11292','9091','03215000795 OTHER MOBILE NO','92','2021-08-23 14:40:25','2021-08-23 14:40:25');
INSERT INTO complaint_remarks VALUES('11293','7261','IMRAN SIR SAY BAT HUAI HAY FLAPPER KA ISSUE HAY 03 DIN TAK FLAPPER AY GAY GAY PHER ISSUE RESOLVED HO GA INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-23 14:47:57','2021-08-23 14:47:57');
INSERT INTO complaint_remarks VALUES('11294','8637','03319424068 AYESHA S/C LAHORE','92','2021-08-23 14:56:20','2021-08-23 14:56:20');
INSERT INTO complaint_remarks VALUES('11295','8637','COMPLAINT ATTEND HO GAE HAY CUSTOMER K PASS WARRANTY CARD NAI HAY 02 DIN TAK WO INFORM KARAY GAY CUSTOMER PHER ISSUE RESOLVED HO GA','92','2021-08-23 15:05:11','2021-08-23 15:05:11');
INSERT INTO complaint_remarks VALUES('11296','8522','CUSTOMER OUT OFF CITY THY AVAIL NAI THY AJ WAPISE AAGAY HAIN AGAIN VISIT K LIYA SHOAIB SIR KO REMINDER DA DIA WHATAS APP PA','74','2021-08-23 15:05:27','2021-08-23 15:05:27');
INSERT INTO complaint_remarks VALUES('11297','9137','COSTUMER DIRECT SERVICE CENTRE LE KR CHLY GY HAIN...','73','2021-08-23 15:05:43','2021-08-23 15:05:43');
INSERT INTO complaint_remarks VALUES('11298','8800','KHURRAM SADDAR SIR SAY B BAT HUAI HAY COMPLAINT ATTEND HO GAE HAY UNIT OK HAY BUT AGAIN VISIT K LEAY REMINDER DAY DEYA HAY S/C MAY KHURRAM SADDAR SIR KO B INFORM KAR DEYA HAY','92','2021-08-23 15:10:32','2021-08-23 15:10:32');
INSERT INTO complaint_remarks VALUES('11299','9133','9193LFAVANTE+EG','73','2021-08-23 15:19:10','2021-08-23 15:19:10');
INSERT INTO complaint_remarks VALUES('11300','9055','COMPLAINT ATTEND HO GAE HAY 02 UNIT OK HAY AK UNIT KA CARD KA ISSUE HAY COMPLAINT IN PROCESS','92','2021-08-23 15:32:55','2021-08-23 15:32:55');
INSERT INTO complaint_remarks VALUES('11301','9011','PART DEMAND HAY KAL TAK AY JAY GA INFORM KAR DEYA HAY CUSTOMER KO','92','2021-08-23 15:52:17','2021-08-23 15:52:17');
INSERT INTO complaint_remarks VALUES('11302','8637','TAHIR BOACH & CUSTOMER DONO KI CONFORMANCE CALL PA BAT KARWA DI HAIN CUSTOMER 3 DIN TAQ W/M S/C MOVE KARWAY GAY','74','2021-08-23 15:52:57','2021-08-23 15:52:57');
INSERT INTO complaint_remarks VALUES('11303','8473','SHOAIB MOMIN KO AGAIN VISIT KA REMINDER DA DIA','74','2021-08-23 15:53:34','2021-08-23 15:53:34');
INSERT INTO complaint_remarks VALUES('11304','9027','CUSTOMER STILL NOT ATTEND CALL OUT OFF WARRANTY COMPLAINT COMPANY KI TARAF SAY B COMPLAINT CLOSED HO GAE HAY SO COMPLAINT RESOLVED','92','2021-08-23 16:00:31','2021-08-23 16:00:31');
INSERT INTO complaint_remarks VALUES('11305','9006','CUSTOMER NOT ATTEND CALL','92','2021-08-23 16:02:14','2021-08-23 16:02:14');
INSERT INTO complaint_remarks VALUES('11306','9000','COMPLAINT ATTEND HO GAE HAY CUSTOMER S/C MAY HAY','92','2021-08-23 16:04:24','2021-08-23 16:04:24');



CREATE TABLE `complaint_statuses` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `complaint_id` bigint(20) unsigned DEFAULT NULL,
  `status_id` bigint(20) unsigned NOT NULL DEFAULT 1,
  `second_status_id` bigint(20) unsigned DEFAULT NULL,
  `assign_to` bigint(20) unsigned DEFAULT NULL,
  `comment` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `csr_remarks` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `updated_by` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `complaint_statuses_complaint_id_foreign` (`complaint_id`),
  CONSTRAINT `complaint_statuses_complaint_id_foreign` FOREIGN KEY (`complaint_id`) REFERENCES `complaints` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=28833 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO complaint_statuses VALUES('1','1','3',null,'66',null,'FRWRD TO MARIYAM TCL
.',null,null,'2020-08-06 15:20:16','2020-08-06 15:20:16',null);
INSERT INTO complaint_statuses VALUES('2','2','3',null,'54',null,'COMPLAIN#1697923
COMPLAINT RESOLVED',null,'74','2020-08-06 15:26:57','2020-08-12 22:54:56',null);
INSERT INTO complaint_statuses VALUES('3','3','3',null,'53',null,'06-07-2020.
COMPLAINT#25458
complain#1025458(10-aug-20).

COMPLAINT CLOSED',null,'74','2020-08-06 15:35:49','2020-08-12 20:26:10',null);
INSERT INTO complaint_statuses VALUES('4','4','2',null,'81',null,'BEST COOL',null,null,'2020-08-06 15:38:41','2020-08-06 15:38:41',null);
INSERT INTO complaint_statuses VALUES('5','5','3',null,'65',null,'GE KI W.MACHINE HA. .
FRWRD TO TAHSEEN SB',null,null,'2020-08-06 15:45:46','2020-08-06 15:45:46',null);
INSERT INTO complaint_statuses VALUES('6','6','2',null,'81',null,'BEST COOL',null,null,'2020-08-06 15:50:39','2020-08-06 15:50:39',null);
INSERT INTO complaint_statuses VALUES('7','7','2',null,'81',null,'BEST COOL',null,null,'2020-08-06 15:51:16','2020-08-06 15:51:16',null);
INSERT INTO complaint_statuses VALUES('8','7','4',null,'58',null,null,null,null,'2020-08-06 16:47:07','2020-08-06 16:47:07',null);
INSERT INTO complaint_statuses VALUES('9','6','4',null,'58',null,null,null,null,'2020-08-06 16:47:51','2020-08-06 16:47:51',null);
INSERT INTO complaint_statuses VALUES('10','4','4',null,'58',null,null,null,null,'2020-08-06 16:48:38','2020-08-06 16:48:38',null);
INSERT INTO complaint_statuses VALUES('11','8','2',null,'81',null,'BEST COOL',null,null,'2020-08-06 16:55:12','2020-08-06 16:55:12',null);
INSERT INTO complaint_statuses VALUES('12','9','3',null,'54',null,'COMPLAIN#1697919
COMPLAINT RESOLVED',null,'74','2020-08-06 16:58:37','2020-08-12 22:57:32',null);
INSERT INTO complaint_statuses VALUES('13','10','2',null,'81',null,'BEST COOL',null,null,'2020-08-06 17:13:58','2020-08-06 17:13:58',null);
INSERT INTO complaint_statuses VALUES('14','10','4',null,'58',null,null,null,null,'2020-08-06 17:25:50','2020-08-06 17:25:50',null);
INSERT INTO complaint_statuses VALUES('15','11','2',null,'81',null,'LG',null,null,'2020-08-06 17:27:57','2020-08-06 17:27:57',null);
INSERT INTO complaint_statuses VALUES('16','8','4',null,'58',null,null,null,null,'2020-08-06 17:29:49','2020-08-06 17:29:49',null);
INSERT INTO complaint_statuses VALUES('17','11','4',null,'55',null,null,null,null,'2020-08-06 17:35:06','2020-08-06 17:35:06',null);
INSERT INTO complaint_statuses VALUES('18','12','2',null,'81',null,'MRM',null,null,'2020-08-06 17:35:35','2020-08-06 17:35:35',null);
INSERT INTO complaint_statuses VALUES('19','13','3',null,'65',null,'COMPLAIN#192016856













VISIT TO DAY TECHNICIAN #0309-5559763 SHAHZAD',null,'74','2020-08-06 17:37:26','2020-08-07 16:43:32',null);
INSERT INTO complaint_statuses VALUES('20','12','4',null,'61',null,null,null,null,'2020-08-06 17:41:46','2020-08-06 17:41:46',null);
INSERT INTO complaint_statuses VALUES('21','6','7','11','81','kal visit ho ga',null,'79',null,'2020-08-06 17:49:26','2020-08-06 17:49:26',null);
INSERT INTO complaint_statuses VALUES('22','6','8','13','58','ok',null,'81',null,'2020-08-06 17:51:02','2020-08-06 17:51:02',null);
INSERT INTO complaint_statuses VALUES('23','14','2',null,'81',null,'BEST COOL',null,null,'2020-08-06 17:59:59','2020-08-06 17:59:59',null);
INSERT INTO complaint_statuses VALUES('24','15','2',null,'81',null,'HOME SOLUTION',null,null,'2020-08-06 18:03:43','2020-08-06 18:03:43',null);
INSERT INTO complaint_statuses VALUES('25','16','3',null,'55',null,'4PC
COMPLAIN#PES7991
COMPLAIN#PES7992
COMPLAIN#PES7993
COMPLAIN#PES7994',null,null,'2020-08-06 18:05:55','2020-08-06 18:05:55',null);
INSERT INTO complaint_statuses VALUES('26','17','3',null,'53',null,'2PC
COMPLAINT#25451
NEW COMPLAINT# 10
36024
COMPLAINT#NO VISIT',null,'74','2020-08-06 18:13:42','2020-08-25 21:42:54',null);
INSERT INTO complaint_statuses VALUES('27','18','2',null,'81',null,'HOME SOLUTION',null,null,'2020-08-06 18:18:08','2020-08-06 18:18:08',null);
INSERT INTO complaint_statuses VALUES('28','19','2',null,'81',null,'HOME SOLUTION',null,null,'2020-08-06 18:20:45','2020-08-06 18:20:45',null);
INSERT INTO complaint_statuses VALUES('29','20','3',null,'66',null,'FRWRD TO MARIYAM TCL
complain#84406',null,'73','2020-08-06 18:27:56','2020-09-16 01:44:32',null);
INSERT INTO complaint_statuses VALUES('30','21','2',null,'81',null,'BEST COOL',null,null,'2020-08-06 18:31:12','2020-08-06 18:31:12',null);
INSERT INTO complaint_statuses VALUES('31','4','7','9','81','kal visit ho ga',null,'79',null,'2020-08-06 19:07:50','2020-08-06 19:07:50',null);
INSERT INTO complaint_statuses VALUES('32','15','4',null,'62',null,null,null,null,'2020-08-06 19:09:21','2020-08-06 19:09:21',null);
INSERT INTO complaint_statuses VALUES('33','19','4',null,'62',null,null,null,null,'2020-08-06 19:10:17','2020-08-06 19:10:17',null);
INSERT INTO complaint_statuses VALUES('34','18','4',null,'62',null,null,null,null,'2020-08-06 19:10:54','2020-08-06 19:10:54',null);
INSERT INTO complaint_statuses VALUES('35','22','2',null,'81',null,'05-AUG-2020 
BEST COOL',null,null,'2020-08-06 19:11:16','2020-08-06 19:11:16',null);
INSERT INTO complaint_statuses VALUES('36','21','4',null,'58',null,null,null,null,'2020-08-06 19:11:41','2020-08-06 19:11:41',null);
INSERT INTO complaint_statuses VALUES('37','22','4',null,'58',null,null,null,null,'2020-08-06 19:16:54','2020-08-06 19:16:54',null);
INSERT INTO complaint_statuses VALUES('38','14','4',null,'58',null,null,null,null,'2020-08-06 19:17:50','2020-08-06 19:17:50',null);
INSERT INTO complaint_statuses VALUES('39','23','3',null,'52',null,'06/AUG/2020
COMPLAINT#PKRI- 200806100892.
NEW COMPLAINT#PKRI-200822103376




AGAIN COMPLAINT# PKRI-200812108220',null,'74','2020-08-06 19:21:17','2020-08-22 20:26:44',null);
INSERT INTO complaint_statuses VALUES('40','24','2',null,'81',null,'LG',null,null,'2020-08-06 19:21:19','2020-08-06 19:21:19',null);
INSERT INTO complaint_statuses VALUES('41','25','3',null,'65',null,'OTHER#03105015350
COMPLAIN#192016854',null,null,'2020-08-06 19:27:19','2020-08-06 19:27:19',null);
INSERT INTO complaint_statuses VALUES('42','26','3',null,'65',null,'06-08-2020.
COMPLAINT#192016791',null,null,'2020-08-06 19:34:12','2020-08-06 19:34:12',null);
INSERT INTO complaint_statuses VALUES('43','24','4',null,'55',null,null,null,null,'2020-08-06 19:49:59','2020-08-06 19:49:59',null);
INSERT INTO complaint_statuses VALUES('44','4','8','13','58','plzz ye attend karwa dein',null,'81',null,'2020-08-06 19:56:49','2020-08-06 19:56:49',null);
INSERT INTO complaint_statuses VALUES('45','27','3',null,'53',null,'06-07-2020
COMPLAINT#25457',null,'74','2020-08-06 19:59:51','2020-08-07 17:52:24',null);
INSERT INTO complaint_statuses VALUES('46','28','3',null,'53',null,'06-07-2020.
COMPLAINT#25456',null,'74','2020-08-06 20:07:12','2020-08-07 17:56:33',null);
INSERT INTO complaint_statuses VALUES('47','29','3',null,'52',null,'OTHER#03160565952 NOT PICK UP CALL
COMPLAIN#PKRI20080611270',null,'74','2020-08-06 20:08:47','2020-08-12 23:21:43',null);
INSERT INTO complaint_statuses VALUES('48','30','2',null,'81',null,'BEST COOL',null,null,'2020-08-06 20:11:09','2020-08-06 20:11:09',null);
INSERT INTO complaint_statuses VALUES('49','30','4',null,'58',null,null,null,null,'2020-08-06 20:16:47','2020-08-06 20:16:47',null);
INSERT INTO complaint_statuses VALUES('50','30','7','12','81','2 time enter',null,'79',null,'2020-08-06 20:22:23','2020-08-06 20:22:23',null);
INSERT INTO complaint_statuses VALUES('51','31','3',null,'54',null,'COMPLAIN#169792AGAIN COMPLIAINT FF TO COMPANY.',null,'74','2020-08-06 20:40:10','2020-08-12 23:09:13',null);
INSERT INTO complaint_statuses VALUES('52','32','3',null,'67',null,'REF TO SADDIQ SB

FRWRD TO ANWER CARAVELL',null,null,'2020-08-06 20:46:24','2020-08-06 20:46:24',null);
INSERT INTO complaint_statuses VALUES('53','33','3',null,'65',null,'COSTUMER LOCALLY THIK KARWA RY',null,null,'2020-08-06 20:52:07','2020-08-06 20:52:07',null);
INSERT INTO complaint_statuses VALUES('54','34','2',null,'81',null,'06-08-2020
USMAM MRM',null,null,'2020-08-06 20:57:48','2020-08-06 20:57:48',null);
INSERT INTO complaint_statuses VALUES('55','34','4',null,'61',null,null,null,null,'2020-08-06 21:01:41','2020-08-06 21:01:41',null);
INSERT INTO complaint_statuses VALUES('56','35','2',null,'81',null,'KHALID',null,null,'2020-08-06 21:44:16','2020-08-06 21:44:16',null);
INSERT INTO complaint_statuses VALUES('57','35','4',null,'56',null,null,null,null,'2020-08-06 21:45:34','2020-08-06 21:45:34',null);
INSERT INTO complaint_statuses VALUES('60','22','7','9','81','shocks issue  hai refer to service center.',null,'79',null,'2020-08-06 22:40:16','2020-08-06 22:40:16',null);
INSERT INTO complaint_statuses VALUES('61','4','7','9','81','no is powered off..',null,'79','79','2020-08-07 15:31:00','2020-08-07 15:31:00',null);
INSERT INTO complaint_statuses VALUES('62','6','7','12','81','2 time enter',null,'79','79','2020-08-07 15:40:35','2020-08-07 15:40:35',null);
INSERT INTO complaint_statuses VALUES('63','36','3',null,'52',null,'08/07/2020

COMPLAINT#200807104825','74','74','2020-08-07 16:12:54','2020-08-07 16:12:54',null);
INSERT INTO complaint_statuses VALUES('64','37','2',null,'81',null,'08-07-2020
USMAN MRM','74','74','2020-08-07 17:05:26','2020-08-07 17:05:26',null);
INSERT INTO complaint_statuses VALUES('65','37','4',null,'61',null,null,'81','81','2020-08-07 17:09:31','2020-08-07 17:09:31',null);
INSERT INTO complaint_statuses VALUES('66','37','4',null,'61',null,null,'81','81','2020-08-07 17:09:32','2020-08-07 17:09:32',null);
INSERT INTO complaint_statuses VALUES('67','38','3',null,'54',null,'07-08-2020
COMPLAINT#1711283','74','74','2020-08-07 17:25:54','2020-08-21 01:02:46',null);
INSERT INTO complaint_statuses VALUES('68','15','7','12','81','Just Provided a bulb to rizwan sb

Adil',null,'87','87','2020-08-07 17:34:23','2020-08-07 17:34:23',null);
INSERT INTO complaint_statuses VALUES('69','39','3',null,'53',null,'08-07-2020
COMPLAINT#25449','74','74','2020-08-07 17:55:34','2020-08-07 17:55:34',null);
INSERT INTO complaint_statuses VALUES('70','34','7','12','81','ES8000   YouTube no more available for this model  informed to customer',null,'83','83','2020-08-07 18:57:50','2020-08-07 18:57:50',null);
INSERT INTO complaint_statuses VALUES('71','19','7','9','81','FRWD TO FARRUKH',null,'87','87','2020-08-07 20:02:11','2020-08-07 20:02:11',null);
INSERT INTO complaint_statuses VALUES('72','37','7','12','81','Samsung led 40m5000 back light defective  unit refer to workshop.
customer move the unit by itself',null,'83','83','2020-08-07 20:12:02','2020-08-07 20:12:02',null);
INSERT INTO complaint_statuses VALUES('73','37','8','13','61','expence bta den coustmer ko
or part avallabilty and time duration be',null,'81','81','2020-08-07 20:34:02','2020-08-07 20:34:02',null);
INSERT INTO complaint_statuses VALUES('74','34','5','13',null,null,'COMPLAINT  RESOLVED','81','74','2020-08-07 20:35:49','2020-08-12 20:53:31',null);
INSERT INTO complaint_statuses VALUES('75','40','3',null,'55',null,'07-08-2020
FF TO NAEEM KENWOOD','74','74','2020-08-07 20:37:26','2020-08-07 20:37:26',null);
INSERT INTO complaint_statuses VALUES('76','30','5','13',null,null,'SHOCK KI WAJA SA DELAY COMPLAINT','81','74','2020-08-07 20:37:29','2020-08-26 00:54:13',null);
INSERT INTO complaint_statuses VALUES('77','19','8','13','62','ok',null,'81','81','2020-08-07 20:40:11','2020-08-07 20:40:11',null);
INSERT INTO complaint_statuses VALUES('78','15','5','13',null,null,null,'81','81','2020-08-07 20:41:39','2020-08-07 20:41:39',null);
INSERT INTO complaint_statuses VALUES('79','8','7','12','81','water filter clean kiye  hain..water pressure   bhi km hai.washing machine mein koi  issue naihai',null,'79','79','2020-08-07 20:47:53','2020-08-07 20:47:53',null);
INSERT INTO complaint_statuses VALUES('80','21','7','10','81','customer not attend the call .',null,'79','79','2020-08-07 20:48:44','2020-08-07 20:48:44',null);
INSERT INTO complaint_statuses VALUES('81','12','7','12','81','before visit call to customer , customer inform no need to visit unit is working normal now.',null,'83','83','2020-08-07 20:56:32','2020-08-07 20:56:32',null);
INSERT INTO complaint_statuses VALUES('82','37','7','10','81','Already Informed RS 9000 total exp',null,'83','83','2020-08-07 21:03:27','2020-08-07 21:03:27',null);
INSERT INTO complaint_statuses VALUES('83','41','3',null,'52',null,'07-08-02020.

COMPLAINT#PKRI-200807111454','74','74','2020-08-07 21:06:41','2020-08-07 21:06:41',null);
INSERT INTO complaint_statuses VALUES('84','42','3',null,'52',null,'07-08-2020
COMPLAINT#200807111515','74','74','2020-08-07 21:18:42','2020-08-07 21:18:42',null);
INSERT INTO complaint_statuses VALUES('85','43','2',null,'81',null,null,'1','1','2020-08-07 21:52:44','2020-08-07 21:52:44',null);
INSERT INTO complaint_statuses VALUES('86','10','7','9','81','MOBILE NO IS POWERED OFF',null,'79','79','2020-08-07 22:52:56','2020-08-07 22:52:56',null);
INSERT INTO complaint_statuses VALUES('87','14','7','12','81','no issue in ref .sirf instruction book deni thi',null,'79','79','2020-08-08 13:58:59','2020-08-08 13:58:59',null);
INSERT INTO complaint_statuses VALUES('88','7','7','12','81','inlet water  clean  only',null,'79','79','2020-08-08 14:03:36','2020-08-08 14:03:36',null);
INSERT INTO complaint_statuses VALUES('89','44','2',null,'81',null,'1 year se above hogya','73','73','2020-08-08 15:00:17','2020-08-08 15:00:17',null);
INSERT INTO complaint_statuses VALUES('90','43','4',null,'62',null,null,'81','81','2020-08-08 15:02:19','2020-08-08 15:02:19',null);
INSERT INTO complaint_statuses VALUES('91','44','4',null,'58',null,null,'81','81','2020-08-08 15:02:44','2020-08-08 15:02:44',null);
INSERT INTO complaint_statuses VALUES('92','45','3',null,'65',null,'COMPLAIN#192016947(9-AUG-20)','73','73','2020-08-08 15:19:45','2020-08-09 19:17:22',null);
INSERT INTO complaint_statuses VALUES('93','46','3',null,'53',null,'COMPLAIN#1025459','73','73','2020-08-08 15:40:11','2020-08-08 15:40:11',null);
INSERT INTO complaint_statuses VALUES('94','47','3',null,'68',null,'07-08-2020
COMPLAINT#R.W.P-1572




























FF TO MASOOR SHARB LHR','74','74','2020-08-08 16:09:02','2020-09-17 21:30:57',null);
INSERT INTO complaint_statuses VALUES('95','48','3',null,'53',null,'COMPLAIN#026370','73','73','2020-08-08 16:12:14','2020-08-09 18:06:45',null);
INSERT INTO complaint_statuses VALUES('96','49','3',null,'54',null,'COMPLAIN#1699570(9-AUG-20)','73','73','2020-08-08 17:07:47','2020-08-09 20:08:27',null);
INSERT INTO complaint_statuses VALUES('97','43','7','9','81','Frwd to zahoor',null,'87','87','2020-08-08 17:10:45','2020-08-08 17:10:45',null);
INSERT INTO complaint_statuses VALUES('98','50','3',null,'55',null,'FF TO WAQAR KENWOOD

FRWRD TO WAQAR KENWOOD','73','74','2020-08-08 17:16:13','2020-08-27 01:45:49',null);
INSERT INTO complaint_statuses VALUES('99','51','3',null,'61',null,'08/08/2020.
COMPLAINT# 202008004706','74','74','2020-08-08 17:30:58','2020-08-08 17:30:58',null);
INSERT INTO complaint_statuses VALUES('100','52','2',null,'81',null,'nadeem av','73','73','2020-08-08 17:36:21','2020-08-08 17:36:21',null);
INSERT INTO complaint_statuses VALUES('101','53','3',null,'62',null,'corona cooking range. .
frwrd to khurram 5star','73','73','2020-08-08 17:37:57','2020-08-08 17:37:57',null);
INSERT INTO complaint_statuses VALUES('102','54','3',null,'57',null,'COMPLAIN#12564(9-AUG-2020)','73','73','2020-08-08 17:41:09','2020-08-09 19:03:03',null);
INSERT INTO complaint_statuses VALUES('103','55','3',null,'65',null,'COMPLAIN#192016946(9-AUG-2020)','73','73','2020-08-08 17:44:17','2020-08-09 19:14:25',null);
INSERT INTO complaint_statuses VALUES('104','56','2',null,'81',null,'lg','73','73','2020-08-08 17:46:39','2020-08-08 17:46:39',null);
INSERT INTO complaint_statuses VALUES('105','57','3',null,'52',null,'daikin ac complain
complain# C8/82','73','74','2020-08-08 17:54:19','2020-08-08 20:21:38',null);
INSERT INTO complaint_statuses VALUES('106','58','3',null,'52',null,'COMPLAINT#PKRI-200808110100','73','74','2020-08-08 18:00:26','2020-08-08 19:55:47',null);
INSERT INTO complaint_statuses VALUES('107','59','3',null,'54',null,'COMPALIN#1699564(9-AUG-20)','73','73','2020-08-08 18:11:03','2020-08-09 20:04:28',null);
INSERT INTO complaint_statuses VALUES('108','60','2',null,'81',null,'08-08-2020

AZHAR RAMZAN','74','74','2020-08-08 18:12:28','2020-08-08 18:12:28',null);
INSERT INTO complaint_statuses VALUES('109','61','2',null,'81',null,'lg','73','73','2020-08-08 18:27:00','2020-08-08 18:27:00',null);
INSERT INTO complaint_statuses VALUES('110','61','4',null,'55',null,null,'81','81','2020-08-08 18:28:56','2020-08-08 18:28:56',null);
INSERT INTO complaint_statuses VALUES('111','60','4',null,'60',null,null,'81','81','2020-08-08 18:29:08','2020-08-08 18:29:08',null);
INSERT INTO complaint_statuses VALUES('112','56','4',null,'55',null,null,'81','81','2020-08-08 18:29:19','2020-08-08 18:29:19',null);
INSERT INTO complaint_statuses VALUES('113','52','4',null,'59',null,null,'81','81','2020-08-08 18:29:34','2020-08-08 18:29:34',null);
INSERT INTO complaint_statuses VALUES('114','43','8','13','62','ok',null,'81','81','2020-08-08 18:30:20','2020-08-08 18:30:20',null);
INSERT INTO complaint_statuses VALUES('115','21','8','13','58','try again and again. .',null,'81','81','2020-08-08 18:33:09','2020-08-08 18:33:09',null);
INSERT INTO complaint_statuses VALUES('116','14','5','15',null,'ok',null,'81','81','2020-08-08 18:33:45','2020-08-08 18:33:45',null);
INSERT INTO complaint_statuses VALUES('117','12','5','13',null,null,null,'81','81','2020-08-08 18:34:39','2020-08-08 18:34:39',null);
INSERT INTO complaint_statuses VALUES('118','10','8','13','58','try some other time',null,'81','81','2020-08-08 18:35:14','2020-08-08 18:35:14',null);
INSERT INTO complaint_statuses VALUES('119','8','5','13',null,'ok',null,'81','81','2020-08-08 18:36:13','2020-08-08 18:36:13',null);
INSERT INTO complaint_statuses VALUES('120','7','5','13',null,'ok',null,'81','81','2020-08-08 18:36:39','2020-08-08 18:36:39',null);
INSERT INTO complaint_statuses VALUES('121','6','5','13',null,'cancel',null,'81','81','2020-08-08 18:37:14','2020-08-08 18:37:14',null);
INSERT INTO complaint_statuses VALUES('122','4','5','13',null,'try again. .',null,'81','81','2020-08-08 18:37:59','2020-08-08 18:37:59',null);
INSERT INTO complaint_statuses VALUES('123','22','8','13','58','costumer ko hold karwaen, shock arrange kar ry hain',null,'81','81','2020-08-08 18:42:11','2020-08-08 18:42:11',null);
INSERT INTO complaint_statuses VALUES('124','18','7','9','81','Frwd to zahoor',null,'87','87','2020-08-08 18:47:36','2020-08-08 18:47:36',null);
INSERT INTO complaint_statuses VALUES('125','62','2',null,'81',null,'best cool','73','73','2020-08-08 18:54:45','2020-08-08 18:54:45',null);
INSERT INTO complaint_statuses VALUES('126','62','4',null,'58',null,null,'81','81','2020-08-08 18:55:05','2020-08-08 18:55:05',null);
INSERT INTO complaint_statuses VALUES('127','63','3',null,'53',null,'COMPLAINT# 30102613','73','74','2020-08-08 18:58:04','2020-08-08 19:43:22',null);
INSERT INTO complaint_statuses VALUES('128','64','3',null,'54',null,'COMPLAIN#1699568(9-AUG-20)','73','73','2020-08-08 19:46:51','2020-08-09 20:06:41',null);
INSERT INTO complaint_statuses VALUES('129','65','3',null,'57',null,'CORONA RANGE

FRWRD TO KHURRAM 5STAR','73','73','2020-08-08 20:00:19','2020-08-09 18:01:08',null);
INSERT INTO complaint_statuses VALUES('130','66','3',null,'52',null,'COMPLAIN#200809106958','73','73','2020-08-08 20:06:55','2020-08-09 20:49:53',null);
INSERT INTO complaint_statuses VALUES('131','67','2',null,'81',null,'08-08-2020
BEST COOL','74','74','2020-08-08 20:22:57','2020-08-08 20:22:57',null);
INSERT INTO complaint_statuses VALUES('132','68','2',null,'81',null,'08-08-2020
BEST COOL','74','74','2020-08-08 20:29:24','2020-08-08 20:29:24',null);
INSERT INTO complaint_statuses VALUES('133','68','4',null,'58',null,null,'81','81','2020-08-08 20:36:04','2020-08-08 20:36:04',null);
INSERT INTO complaint_statuses VALUES('134','68','4',null,'58',null,null,'81','81','2020-08-08 20:36:05','2020-08-08 20:36:05',null);
INSERT INTO complaint_statuses VALUES('135','67','4',null,'58',null,null,'81','81','2020-08-08 20:36:25','2020-08-08 20:36:25',null);
INSERT INTO complaint_statuses VALUES('136','69','2',null,'81',null,'08-08-2020

AZHAR RAMZAN','74','74','2020-08-08 20:44:59','2020-08-08 20:44:59',null);
INSERT INTO complaint_statuses VALUES('137','62','7','9','81','double entry',null,'79','79','2020-08-08 20:45:02','2020-08-08 20:45:02',null);
INSERT INTO complaint_statuses VALUES('138','69','4',null,'60',null,null,'81','81','2020-08-08 20:47:50','2020-08-08 20:47:50',null);
INSERT INTO complaint_statuses VALUES('139','69','4',null,'60',null,null,'81','81','2020-08-08 20:47:50','2020-08-08 20:47:50',null);
INSERT INTO complaint_statuses VALUES('140','70','2',null,'81',null,'RAMZAN SB','73','73','2020-08-08 21:16:56','2020-08-08 21:16:56',null);
INSERT INTO complaint_statuses VALUES('141','70','4',null,'60',null,null,'81','81','2020-08-08 21:17:44','2020-08-08 21:17:44',null);
INSERT INTO complaint_statuses VALUES('142','62','8','13','58','TRY SOME OTHER TIME',null,'81','81','2020-08-08 21:18:58','2020-08-08 21:18:58',null);
INSERT INTO complaint_statuses VALUES('143','37','8','13','61',null,null,'81','81','2020-08-08 21:19:35','2020-08-08 21:19:35',null);
INSERT INTO complaint_statuses VALUES('144','18','8','13','62','FOLLOWUP FROM HIM',null,'81','81','2020-08-08 21:20:02','2020-08-08 21:20:02',null);
INSERT INTO complaint_statuses VALUES('145','71','3',null,'66',null,'COMPLAINT RESOLVED','73','92','2020-08-08 21:59:18','2020-09-15 19:43:15',null);
INSERT INTO complaint_statuses VALUES('146','72','3',null,'52',null,'08-08-2020.
COMPLAINT#PKRI-200808112018','74','74','2020-08-08 22:01:47','2020-08-08 22:02:46',null);
INSERT INTO complaint_statuses VALUES('147','73','2',null,'81',null,'sony','73','73','2020-08-08 22:02:45','2020-08-08 22:02:45',null);
INSERT INTO complaint_statuses VALUES('148','74','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-08-08 22:03:24','2020-08-09 17:56:43',null);
INSERT INTO complaint_statuses VALUES('149','75','3',null,'52',null,'08-08-2020

COMPLAINT#PKRI-200808112097','74','74','2020-08-08 22:06:44','2020-08-08 22:07:14',null);
INSERT INTO complaint_statuses VALUES('150','76','3',null,'53',null,'COMPLAIN#1026507(9-AUG-20)','73','73','2020-08-08 22:09:32','2020-08-09 20:23:02',null);
INSERT INTO complaint_statuses VALUES('151','77','3',null,'53',null,'COMPLAIN#026504(9-AUG-20)','73','73','2020-08-09 14:44:57','2020-08-09 20:14:37',null);
INSERT INTO complaint_statuses VALUES('152','78','3',null,'52',null,'COMPLAIN#200809107012','73','73','2020-08-09 14:46:44','2020-08-09 20:54:10',null);
INSERT INTO complaint_statuses VALUES('153','79','3',null,'52',null,'COMPLAIN#200809106938','73','73','2020-08-09 14:50:29','2020-08-09 20:46:19',null);
INSERT INTO complaint_statuses VALUES('154','80','2',null,'81',null,'LG','73','73','2020-08-09 14:54:01','2020-08-09 14:54:01',null);
INSERT INTO complaint_statuses VALUES('155','81','2',null,'81',null,'COMPLAIN#1026508(9-AUG-20)','73','73','2020-08-09 14:55:37','2020-08-09 20:26:44',null);
INSERT INTO complaint_statuses VALUES('156','82','3',null,'52',null,'COMPLAIN#PKRI200809107105','73','73','2020-08-09 15:01:07','2020-08-09 21:03:32',null);
INSERT INTO complaint_statuses VALUES('157','83','2',null,'81',null,null,'73','73','2020-08-09 15:03:55','2020-08-09 15:03:55',null);
INSERT INTO complaint_statuses VALUES('158','84','3',null,'54',null,'COMPLAIN#1699526(9-AUG-20)','73','73','2020-08-09 15:05:12','2020-08-09 19:25:52',null);
INSERT INTO complaint_statuses VALUES('159','85','2',null,'81',null,null,'73','73','2020-08-09 15:09:14','2020-08-09 15:09:14',null);
INSERT INTO complaint_statuses VALUES('160','86','3',null,'52',null,'COMPLAIN#PKRI200809107145','73','73','2020-08-09 15:10:19','2020-08-09 21:06:55',null);
INSERT INTO complaint_statuses VALUES('161','87','3',null,'67',null,'FRWRD TO ANWER CARAVELL','73','73','2020-08-09 15:11:51','2020-08-09 15:11:51',null);
INSERT INTO complaint_statuses VALUES('162','88','3',null,'52',null,'COMPLAIN#PKRI200809107427

D.O.P:10-JUL-20','73','73','2020-08-09 15:13:14','2020-08-13 20:23:42',null);
INSERT INTO complaint_statuses VALUES('163','89','3',null,'65',null,'COMPLAIN#192016945(9-AUG-2020)','73','73','2020-08-09 15:15:56','2020-08-09 19:10:11',null);
INSERT INTO complaint_statuses VALUES('164','90','3',null,'54',null,'COMPLAIN#1699533(9-AUG-20)','73','73','2020-08-09 15:18:11','2020-08-09 19:32:33',null);
INSERT INTO complaint_statuses VALUES('165','91','3',null,'59',null,'UA55RU7100RSMZ
coomplain#4236339390(11-aug-20)','73','73','2020-08-09 15:20:34','2020-08-11 19:06:06',null);
INSERT INTO complaint_statuses VALUES('166','92','3',null,'54',null,'COMPLAIN#1699521(9-AUG-2020)','73','73','2020-08-09 15:22:54','2020-08-09 19:23:35',null);
INSERT INTO complaint_statuses VALUES('167','93','2',null,'81',null,'LG','73','73','2020-08-09 15:25:11','2020-08-09 15:25:11',null);
INSERT INTO complaint_statuses VALUES('168','94','2',null,'81',null,'AZHAR','73','73','2020-08-09 15:27:16','2020-08-09 15:27:16',null);
INSERT INTO complaint_statuses VALUES('169','95','3',null,'52',null,'COMPLAIN#PKRI200809107223','73','73','2020-08-09 15:32:56','2020-08-09 21:14:20',null);
INSERT INTO complaint_statuses VALUES('170','96','3',null,'52',null,'COMPLAIN#PKRI200809107252','73','73','2020-08-09 15:49:51','2020-08-09 21:17:15',null);
INSERT INTO complaint_statuses VALUES('171','94','4',null,'60',null,null,'81','81','2020-08-09 15:50:21','2020-08-09 15:50:21',null);
INSERT INTO complaint_statuses VALUES('172','93','4',null,'55',null,null,'81','81','2020-08-09 15:51:04','2020-08-09 15:51:04',null);
INSERT INTO complaint_statuses VALUES('173','80','4',null,'55',null,null,'81','81','2020-08-09 15:52:52','2020-08-09 15:52:52',null);
INSERT INTO complaint_statuses VALUES('174','80','4',null,'55',null,null,'81','81','2020-08-09 15:52:52','2020-08-09 15:52:52',null);
INSERT INTO complaint_statuses VALUES('175','80','4',null,'55',null,null,'81','81','2020-08-09 15:52:52','2020-08-09 15:52:52',null);
INSERT INTO complaint_statuses VALUES('176','80','4',null,'55',null,null,'81','81','2020-08-09 15:52:53','2020-08-09 15:52:53',null);
INSERT INTO complaint_statuses VALUES('177','97','3',null,'52',null,'COMPLAIN#PKRI200809107174','73','73','2020-08-09 15:53:05','2020-08-09 21:09:39',null);
INSERT INTO complaint_statuses VALUES('178','73','4',null,'56',null,null,'81','81','2020-08-09 15:53:54','2020-08-09 15:53:54',null);
INSERT INTO complaint_statuses VALUES('179','98','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-08-09 15:56:50','2020-08-09 15:56:50',null);
INSERT INTO complaint_statuses VALUES('180','99','3',null,'53',null,'1COMPLAIN#1026509
2COMPLAIN#1026511','73','73','2020-08-09 16:04:35','2020-08-09 20:30:39',null);
INSERT INTO complaint_statuses VALUES('181','85','4',null,'62',null,null,'81','81','2020-08-09 16:15:10','2020-08-09 16:15:10',null);
INSERT INTO complaint_statuses VALUES('182','83','4',null,'58',null,null,'81','81','2020-08-09 16:15:23','2020-08-09 16:15:23',null);
INSERT INTO complaint_statuses VALUES('183','81','4',null,'62',null,null,'81','81','2020-08-09 16:15:36','2020-08-09 16:15:36',null);
INSERT INTO complaint_statuses VALUES('184','100','3',null,'65',null,'COMPLAIN#192016944(9/AUG-20)','73','73','2020-08-09 16:19:14','2020-08-09 19:09:43',null);
INSERT INTO complaint_statuses VALUES('185','101','3',null,'53',null,'COMPLAIN#026505(9-AUG-20)','73','73','2020-08-09 16:30:36','2020-08-09 20:18:14',null);
INSERT INTO complaint_statuses VALUES('186','102','3',null,'66',null,null,'73','73','2020-08-09 16:37:35','2020-08-09 16:37:35',null);
INSERT INTO complaint_statuses VALUES('187','103','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-08-09 16:48:16','2020-08-09 16:48:16',null);
INSERT INTO complaint_statuses VALUES('188','104','3',null,'66',null,'FRWRD TO MARIYAM TCL COMPLAINT#83716
NEW COMPLAIN#87008(7-SEP-20)
new relaunch#88113(15-sep-20)','73','73','2020-08-09 16:49:26','2020-09-16 01:49:56',null);
INSERT INTO complaint_statuses VALUES('189','105','2',null,'81',null,'AZHAR','73','73','2020-08-09 17:00:29','2020-08-09 17:00:29',null);
INSERT INTO complaint_statuses VALUES('190','105','4',null,'60',null,null,'81','81','2020-08-09 17:01:13','2020-08-09 17:01:13',null);
INSERT INTO complaint_statuses VALUES('191','106','2',null,'81',null,null,'73','73','2020-08-09 17:04:16','2020-08-09 17:04:16',null);
INSERT INTO complaint_statuses VALUES('192','106','4',null,'56',null,null,'81','81','2020-08-09 17:04:34','2020-08-09 17:04:34',null);
INSERT INTO complaint_statuses VALUES('193','107','2',null,'81',null,null,'73','73','2020-08-09 17:06:09','2020-08-09 17:06:09',null);
INSERT INTO complaint_statuses VALUES('194','107','4',null,'58',null,null,'81','81','2020-08-09 17:06:28','2020-08-09 17:06:28',null);
INSERT INTO complaint_statuses VALUES('195','108','3',null,'54',null,'DRYER DAWLANCE
COMPLAIN#1699530(9-AUG-20)','73','73','2020-08-09 17:07:56','2020-08-09 19:29:11',null);
INSERT INTO complaint_statuses VALUES('196','81','7','9','81','Frwd to zahoor',null,'87','87','2020-08-09 17:08:50','2020-08-09 17:08:50',null);
INSERT INTO complaint_statuses VALUES('197','85','7','9','81','Frwd to kashif',null,'87','87','2020-08-09 17:09:11','2020-08-09 17:09:11',null);
INSERT INTO complaint_statuses VALUES('198','109','2',null,'81',null,null,'73','73','2020-08-09 17:10:15','2020-08-09 17:10:15',null);
INSERT INTO complaint_statuses VALUES('199','109','4',null,'60',null,null,'81','81','2020-08-09 17:10:36','2020-08-09 17:10:36',null);
INSERT INTO complaint_statuses VALUES('200','110','3',null,'68',null,'BOSCH COOKING RANGE
FRWRD TO AMNA BOSCH','73','73','2020-08-09 17:13:25','2020-08-09 17:42:59',null);
INSERT INTO complaint_statuses VALUES('201','85','8','13','62','ok',null,'81','81','2020-08-09 17:17:42','2020-08-09 17:17:42',null);
INSERT INTO complaint_statuses VALUES('202','81','8','13','62','ok',null,'81','81','2020-08-09 17:18:10','2020-08-09 17:18:10',null);
INSERT INTO complaint_statuses VALUES('203','111','3',null,'52',null,'COMPLAIN#PKRI200809107446','73','73','2020-08-09 17:19:31','2020-08-09 21:38:10',null);
INSERT INTO complaint_statuses VALUES('204','112','2',null,'81',null,null,'73','73','2020-08-09 17:33:19','2020-08-09 17:33:19',null);
INSERT INTO complaint_statuses VALUES('205','112','4',null,'62',null,null,'81','81','2020-08-09 17:33:39','2020-08-09 17:33:39',null);
INSERT INTO complaint_statuses VALUES('206','113','2',null,'81',null,'OTHER#03363667770','73','73','2020-08-09 17:35:44','2020-08-10 16:53:25',null);
INSERT INTO complaint_statuses VALUES('207','113','4',null,'58',null,null,'81','81','2020-08-09 17:36:02','2020-08-09 17:36:02',null);
INSERT INTO complaint_statuses VALUES('208','112','7','9','81','Frwd to zahoor',null,'87','87','2020-08-09 17:44:32','2020-08-09 17:44:32',null);
INSERT INTO complaint_statuses VALUES('209','114','3',null,'52',null,'complain#pkri200809106902','73','73','2020-08-09 18:15:54','2020-08-09 20:44:24',null);
INSERT INTO complaint_statuses VALUES('210','115','3',null,'63',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-08-09 18:23:37','2020-08-09 18:23:37',null);
INSERT INTO complaint_statuses VALUES('211','116','2',null,'81',null,'LG','73','73','2020-08-09 18:27:33','2020-08-09 18:27:33',null);
INSERT INTO complaint_statuses VALUES('212','116','4',null,'55',null,null,'81','81','2020-08-09 18:28:49','2020-08-09 18:28:49',null);
INSERT INTO complaint_statuses VALUES('213','117','3',null,'66',null,'FRWRD TO MARIYAM TCL','73','73','2020-08-09 18:41:51','2020-08-09 18:41:51',null);
INSERT INTO complaint_statuses VALUES('214','118','3',null,'53',null,'COMPLAIN#026503','73','73','2020-08-09 18:44:30','2020-08-09 20:12:35',null);
INSERT INTO complaint_statuses VALUES('215','119','3',null,'61',null,'COMPLAIN#202008005518','73','73','2020-08-09 19:48:39','2020-08-09 21:20:16',null);
INSERT INTO complaint_statuses VALUES('216','112','8','13','62','OK',null,'81','81','2020-08-09 19:50:12','2020-08-09 19:50:12',null);
INSERT INTO complaint_statuses VALUES('217','120','2',null,'81',null,'AC B SERVICE KRNA HA... RS 1000','73','73','2020-08-09 20:00:29','2020-08-09 20:00:29',null);
INSERT INTO complaint_statuses VALUES('218','120','4',null,'58',null,null,'81','81','2020-08-09 20:00:53','2020-08-09 20:00:53',null);
INSERT INTO complaint_statuses VALUES('219','121','2',null,'81',null,null,'73','73','2020-08-09 20:36:57','2020-08-09 20:36:57',null);
INSERT INTO complaint_statuses VALUES('220','121','4',null,'62',null,null,'81','81','2020-08-09 20:39:18','2020-08-09 20:39:18',null);
INSERT INTO complaint_statuses VALUES('221','122','3',null,'53',null,'COMPLAIN#1026532','73','73','2020-08-09 21:23:50','2020-08-09 21:51:30',null);
INSERT INTO complaint_statuses VALUES('222','123','2',null,'81',null,null,'73','73','2020-08-09 21:24:48','2020-08-09 21:24:48',null);
INSERT INTO complaint_statuses VALUES('223','124','2',null,'81',null,'COMPLAIN CANCEL','73','73','2020-08-09 21:26:14','2020-08-09 21:30:21',null);
INSERT INTO complaint_statuses VALUES('224','124','4',null,'61',null,null,'81','81','2020-08-09 21:28:28','2020-08-09 21:28:28',null);
INSERT INTO complaint_statuses VALUES('225','123','4',null,'61',null,null,'81','81','2020-08-09 21:28:45','2020-08-09 21:28:45',null);
INSERT INTO complaint_statuses VALUES('226','125','2',null,'81',null,null,'73','73','2020-08-09 21:33:17','2020-08-09 21:33:17',null);
INSERT INTO complaint_statuses VALUES('227','125','4',null,'58',null,null,'81','81','2020-08-09 21:33:31','2020-08-09 21:33:31',null);
INSERT INTO complaint_statuses VALUES('228','126','3',null,'52',null,'COMPLAIN#PKRI200809107468','73','73','2020-08-09 21:34:49','2020-08-09 21:40:35',null);
INSERT INTO complaint_statuses VALUES('229','127','3',null,'65',null,'complain#2062000348(11-aug-20)','73','74','2020-08-09 21:54:01','2020-09-08 02:02:50',null);
INSERT INTO complaint_statuses VALUES('230','128','3',null,'66',null,'FRWRD TO MARIYAM TCL','73','73','2020-08-09 22:03:48','2020-08-09 22:04:18',null);
INSERT INTO complaint_statuses VALUES('231','60','7','9','81','number galt ha',null,'82','82','2020-08-10 00:02:34','2020-08-10 00:02:34',null);
INSERT INTO complaint_statuses VALUES('232','121','7','9','81','Frwd to kashif',null,'87','87','2020-08-10 00:14:24','2020-08-10 00:14:24',null);
INSERT INTO complaint_statuses VALUES('233','19','7','12','81',null,null,'87','87','2020-08-10 00:16:22','2020-08-10 00:16:22',null);
INSERT INTO complaint_statuses VALUES('234','129','2',null,'81',null,'05-08-2020.
AZHAR RAMZAN','74','74','2020-08-10 03:55:17','2020-08-10 03:55:17',null);
INSERT INTO complaint_statuses VALUES('235','129','4',null,'60',null,null,'81','81','2020-08-10 03:56:46','2020-08-10 03:56:46',null);
INSERT INTO complaint_statuses VALUES('236','130','2',null,'81',null,'05-08-2020
AZHAR RAMZAN','74','74','2020-08-10 04:01:08','2020-08-10 04:01:08',null);
INSERT INTO complaint_statuses VALUES('237','130','4',null,'60',null,null,'81','81','2020-08-10 04:02:13','2020-08-10 04:02:13',null);
INSERT INTO complaint_statuses VALUES('238','131','3',null,'55',null,'05-08-2020
FF TO NAEEM KENWOOD','74','74','2020-08-10 04:06:23','2020-08-10 04:06:23',null);
INSERT INTO complaint_statuses VALUES('239','132','3',null,'54',null,'05-08-2020
COMPLAINT#1696883
SAME COMPLAINT#
H NO SN1806 ST NO 6 FAROOQ-E-AZAM COLONY SHAMSABAD RWP 
COMPLAIN#1701331','74','74','2020-08-10 04:11:59','2020-08-22 02:29:27',null);
INSERT INTO complaint_statuses VALUES('240','133','3',null,'66',null,'05-08-2020
COMPLAINT FF TO MARIYAM FCI','74','74','2020-08-10 04:19:27','2020-08-10 04:19:27',null);
INSERT INTO complaint_statuses VALUES('241','134','2',null,'81',null,'05-08-2020
FF TO BEST COOL','74','74','2020-08-10 04:27:01','2020-08-10 04:27:01',null);
INSERT INTO complaint_statuses VALUES('242','134','4',null,'58',null,null,'81','81','2020-08-10 04:27:57','2020-08-10 04:27:57',null);
INSERT INTO complaint_statuses VALUES('243','135','3',null,'65',null,'05-08-2020
COMPLAINT#192016792','74','74','2020-08-10 05:02:25','2020-08-10 05:02:25',null);
INSERT INTO complaint_statuses VALUES('244','109','7','10','81',null,null,'82','82','2020-08-10 14:47:09','2020-08-10 14:47:09',null);
INSERT INTO complaint_statuses VALUES('245','105','7','12','81','job complite by kashif tech',null,'82','82','2020-08-10 14:55:05','2020-08-10 14:55:05',null);
INSERT INTO complaint_statuses VALUES('246','130','7','10','81',null,null,'82','82','2020-08-10 15:12:15','2020-08-10 15:12:15',null);
INSERT INTO complaint_statuses VALUES('247','136','3',null,'61',null,'complain#202008006629','73','73','2020-08-10 15:23:30','2020-08-11 19:02:38',null);
INSERT INTO complaint_statuses VALUES('248','137','3',null,'52',null,'complain#pkri200811101295','73','73','2020-08-10 15:26:52','2020-08-11 18:58:22',null);
INSERT INTO complaint_statuses VALUES('249','62','7','12','81','no  issue in  freezer cusotmer ko guid kr dya hai k heat up Q ho raa hai',null,'79','79','2020-08-10 15:29:07','2020-08-10 15:29:07',null);
INSERT INTO complaint_statuses VALUES('250','10','7','12','81','no reguler ja raha hai.kindly closed the copmlaint',null,'79','79','2020-08-10 15:30:41','2020-08-10 15:30:41',null);
INSERT INTO complaint_statuses VALUES('251','129','7','12','81','refrigretror..service..centr..ay..ghi',null,'82','82','2020-08-10 15:31:47','2020-08-10 15:31:47',null);
INSERT INTO complaint_statuses VALUES('252','21','7','12','81','complaint resolved',null,'79','79','2020-08-10 15:34:25','2020-08-10 15:34:25',null);
INSERT INTO complaint_statuses VALUES('253','52','7','9','81','coustomer say bat ho gae hy Set S/C ay ga',null,'80','80','2020-08-10 15:45:56','2020-08-10 15:45:56',null);
INSERT INTO complaint_statuses VALUES('254','138','3',null,'65',null,'complain#192017007(11-aug-20)','73','73','2020-08-10 16:04:54','2020-08-11 19:24:25',null);
INSERT INTO complaint_statuses VALUES('255','139','2',null,'81',null,null,'73','73','2020-08-10 16:07:00','2020-08-10 16:07:00',null);
INSERT INTO complaint_statuses VALUES('256','139','4',null,'62',null,null,'81','81','2020-08-10 16:07:47','2020-08-10 16:07:47',null);
INSERT INTO complaint_statuses VALUES('257','140','2',null,'81',null,null,'73','73','2020-08-10 16:19:23','2020-08-10 16:19:23',null);
INSERT INTO complaint_statuses VALUES('258','140','4',null,'59',null,null,'81','81','2020-08-10 16:19:45','2020-08-10 16:19:45',null);
INSERT INTO complaint_statuses VALUES('259','141','3',null,'55',null,'FRWRD TO WAQAR KENWOOD','73','73','2020-08-10 16:31:53','2020-08-10 16:33:14',null);
INSERT INTO complaint_statuses VALUES('260','142','3',null,'67',null,'FRWRD TO ANWER CARAVELL','73','73','2020-08-10 16:34:05','2020-08-10 16:34:05',null);
INSERT INTO complaint_statuses VALUES('261','143','3',null,'55',null,'10-08-2020






COMPLAINT FF NAEEM KENWOOD


ISSUE F3 ERROR','74','74','2020-08-10 16:41:39','2020-08-10 16:42:31',null);
INSERT INTO complaint_statuses VALUES('262','144','2',null,'81',null,'URGENT
OTHER#03002069693

FRWRD TO BEST COOL. . SHAMSABAD KI INVOICE HA , PLZZ YE BEST COOL VISIT KRY GI','73','73','2020-08-10 16:48:01','2020-08-10 18:24:53',null);
INSERT INTO complaint_statuses VALUES('263','144','4',null,'62',null,'cancel complain..','81','73','2020-08-10 16:48:56','2020-08-12 03:36:54',null);
INSERT INTO complaint_statuses VALUES('264','107','7','9','81','jx1 model tha ap logo ny hd 10 model btaya .ab intni dur tech kal phr jaye ga ,kindly model confrim kr liya kry thanks',null,'79','79','2020-08-10 16:54:53','2020-08-10 16:54:53',null);
INSERT INTO complaint_statuses VALUES('265','145','3',null,'63',null,'URGENT

FRWRD TO KHURRAM 5STAR','73','73','2020-08-10 17:22:37','2020-08-10 17:23:00',null);
INSERT INTO complaint_statuses VALUES('266','146','3',null,'65',null,'complain#192017005(11-aug-20)','73','73','2020-08-10 17:32:08','2020-08-11 19:21:35',null);
INSERT INTO complaint_statuses VALUES('267','147','3',null,'66',null,'frwrd to mariyum tcl.
NEW COMPLAUBT#83993','73','74','2020-08-10 17:48:07','2020-08-27 21:32:38',null);
INSERT INTO complaint_statuses VALUES('268','148','2',null,'81',null,null,'73','73','2020-08-10 17:50:30','2020-08-10 17:50:30',null);
INSERT INTO complaint_statuses VALUES('269','148','4',null,'58',null,null,'81','81','2020-08-10 17:50:49','2020-08-10 17:50:49',null);
INSERT INTO complaint_statuses VALUES('270','149','3',null,'65',null,'complain#192017004(11-aug-20)','73','73','2020-08-10 17:53:26','2020-08-11 19:19:45',null);
INSERT INTO complaint_statuses VALUES('271','150','2',null,'81',null,null,'73','73','2020-08-10 17:56:24','2020-08-10 17:56:24',null);
INSERT INTO complaint_statuses VALUES('272','150','4',null,'55',null,null,'81','81','2020-08-10 17:56:40','2020-08-10 17:56:40',null);
INSERT INTO complaint_statuses VALUES('273','151','3',null,'53',null,'complain#1027256(10-aug-20)','73','73','2020-08-10 18:06:29','2020-08-11 18:41:45',null);
INSERT INTO complaint_statuses VALUES('274','124','7','12','81','some one already visit for repair  customer cancel the complaint',null,'83','83','2020-08-10 18:11:10','2020-08-10 18:11:10',null);
INSERT INTO complaint_statuses VALUES('275','152','3',null,'53',null,'complain#1027253(11-aug-20)','73','73','2020-08-10 18:14:25','2020-08-11 18:38:21',null);
INSERT INTO complaint_statuses VALUES('276','153','3',null,'53',null,'10-08-2020

COMPLAINT#1027002','74','74','2020-08-10 18:25:31','2020-08-10 18:25:31',null);
INSERT INTO complaint_statuses VALUES('277','154','2',null,'81',null,'URGENT BASIS','73','73','2020-08-10 18:26:48','2020-08-10 18:26:48',null);
INSERT INTO complaint_statuses VALUES('278','154','4',null,'58',null,null,'81','67','2020-08-10 18:27:12','2020-08-11 01:53:35',null);
INSERT INTO complaint_statuses VALUES('279','120','7','10','81','not attend call',null,'79','79','2020-08-10 20:34:19','2020-08-10 20:34:19',null);
INSERT INTO complaint_statuses VALUES('280','125','7','12','81','customer cancelled the compliant ..he asked ref is working properly',null,'79','79','2020-08-10 20:35:21','2020-08-10 20:35:21',null);
INSERT INTO complaint_statuses VALUES('281','113','7','9','81','no is pwered off',null,'79','79','2020-08-10 20:36:07','2020-08-10 20:36:07',null);
INSERT INTO complaint_statuses VALUES('282','83','7','9','81','shocks issue hain kindly model theek enter kia kry',null,'79','79','2020-08-10 20:42:30','2020-08-10 20:42:30',null);
INSERT INTO complaint_statuses VALUES('283','67','7','9','81','customer ghr pr nahi thy.kal jana ai',null,'79','79','2020-08-10 20:43:37','2020-08-10 20:43:37',null);
INSERT INTO complaint_statuses VALUES('284','11','7','12','81','Child Lock Open.',null,'76','76','2020-08-10 22:15:01','2020-08-10 22:15:01',null);
INSERT INTO complaint_statuses VALUES('285','116','7','9','81','reffer to SVC In Pressure Switch and Service (Lifted)10-08-2020',null,'76','76','2020-08-10 22:39:38','2020-08-10 22:39:38',null);
INSERT INTO complaint_statuses VALUES('286','24','7','12','81','Drain Pipe Adjustment.',null,'76','76','2020-08-10 22:42:23','2020-08-10 22:42:23',null);
INSERT INTO complaint_statuses VALUES('287','56','7','10','81','Many Time Try to Contact Him.',null,'76','76','2020-08-10 22:43:08','2020-08-10 22:43:08',null);
INSERT INTO complaint_statuses VALUES('288','93','7','20','81','According to Customer No Need of visit , now Product  is working fine , if there is problem he will Inform.',null,'76','76','2020-08-10 23:26:41','2020-08-10 23:26:41',null);
INSERT INTO complaint_statuses VALUES('289','158','2',null,'81',null,null,'73','73','2020-08-11 19:55:17','2020-08-11 19:55:17',null);
INSERT INTO complaint_statuses VALUES('290','158','4',null,'62',null,null,'81','81','2020-08-11 19:55:54','2020-08-11 19:55:54',null);
INSERT INTO complaint_statuses VALUES('291','159','3',null,'54',null,'complain#1702585(12-aug-2020)','73','73','2020-08-11 20:25:53','2020-08-12 18:42:12',null);
INSERT INTO complaint_statuses VALUES('292','160','2',null,'81',null,'AGAIN ISSUE AGAYA HA. . COOLING NAI KRRA','73','73','2020-08-11 20:29:25','2020-08-11 20:29:25',null);
INSERT INTO complaint_statuses VALUES('293','139','7','9','81','Frwd to kashif',null,'87','87','2020-08-11 20:29:30','2020-08-11 20:29:30',null);
INSERT INTO complaint_statuses VALUES('294','160','4',null,'55',null,null,'81','81','2020-08-11 20:29:45','2020-08-11 20:29:45',null);
INSERT INTO complaint_statuses VALUES('295','158','7','9','81','Liffted to w.s',null,'87','87','2020-08-11 20:31:31','2020-08-11 20:31:31',null);
INSERT INTO complaint_statuses VALUES('296','161','2',null,'81',null,null,'73','73','2020-08-11 20:40:00','2020-08-11 20:40:00',null);
INSERT INTO complaint_statuses VALUES('297','161','4',null,'58',null,null,'81','81','2020-08-11 20:40:21','2020-08-11 20:40:21',null);
INSERT INTO complaint_statuses VALUES('298','161','4',null,'58',null,null,'81','81','2020-08-11 20:40:21','2020-08-11 20:40:21',null);
INSERT INTO complaint_statuses VALUES('299','162','2',null,'81',null,null,'73','73','2020-08-11 20:57:27','2020-08-11 20:57:27',null);
INSERT INTO complaint_statuses VALUES('300','163','2',null,'81',null,null,'73','73','2020-08-11 20:57:56','2020-08-11 20:57:56',null);
INSERT INTO complaint_statuses VALUES('301','163','4',null,'56',null,null,'81','81','2020-08-11 20:58:21','2020-08-11 20:58:21',null);
INSERT INTO complaint_statuses VALUES('302','162','4',null,'56',null,null,'81','81','2020-08-11 20:58:39','2020-08-11 20:58:39',null);
INSERT INTO complaint_statuses VALUES('303','164','3',null,'53',null,'complain#28097(12-aug-20)','73','73','2020-08-11 21:02:35','2020-08-12 18:37:36',null);
INSERT INTO complaint_statuses VALUES('304','165','2',null,'81',null,null,'73','73','2020-08-11 21:13:19','2020-08-11 21:13:19',null);
INSERT INTO complaint_statuses VALUES('305','165','4',null,'58',null,null,'81','81','2020-08-11 21:13:34','2020-08-11 21:13:34',null);
INSERT INTO complaint_statuses VALUES('306','166','2',null,'81',null,null,'73','73','2020-08-11 21:16:32','2020-08-11 21:16:32',null);
INSERT INTO complaint_statuses VALUES('307','140','7','9','81','customer call attend ni kar rha',null,'80','80','2020-08-11 21:16:37','2020-08-11 21:16:37',null);
INSERT INTO complaint_statuses VALUES('308','166','4',null,'58',null,null,'81','81','2020-08-11 21:16:56','2020-08-11 21:16:56',null);
INSERT INTO complaint_statuses VALUES('309','167','2',null,'81',null,null,'73','73','2020-08-11 21:26:16','2020-08-11 21:26:16',null);
INSERT INTO complaint_statuses VALUES('310','167','4',null,'58',null,null,'81','81','2020-08-11 21:26:33','2020-08-11 21:26:33',null);
INSERT INTO complaint_statuses VALUES('311','168','2',null,'81',null,null,'73','73','2020-08-11 21:31:10','2020-08-11 21:31:10',null);
INSERT INTO complaint_statuses VALUES('312','168','4',null,'58',null,null,'81','81','2020-08-11 21:31:51','2020-08-11 21:31:51',null);
INSERT INTO complaint_statuses VALUES('313','169','2',null,'81',null,null,'73','73','2020-08-11 21:33:44','2020-08-11 21:33:44',null);
INSERT INTO complaint_statuses VALUES('314','169','4',null,'58',null,null,'81','81','2020-08-11 21:34:12','2020-08-11 21:34:12',null);
INSERT INTO complaint_statuses VALUES('315','144','7','9','81','Shamsabad sale...
Frwd to best cool by aneeq',null,'87','87','2020-08-11 22:41:32','2020-08-11 22:41:32',null);
INSERT INTO complaint_statuses VALUES('316','170','3',null,'62',null,'frwrd to khurram 5star','73','73','2020-08-11 23:25:25','2020-08-11 23:25:50',null);
INSERT INTO complaint_statuses VALUES('317','171','3',null,'55',null,'frwrd to naeem kenwood','73','73','2020-08-11 23:26:56','2020-08-12 19:00:49',null);
INSERT INTO complaint_statuses VALUES('318','172','3',null,'52',null,'complain#pkri200812101224(12-aug-20)','73','73','2020-08-11 23:35:30','2020-08-12 18:57:29',null);
INSERT INTO complaint_statuses VALUES('319','173','2',null,'81',null,'complain resolved','73','73','2020-08-11 23:37:35','2020-08-11 23:37:35',null);
INSERT INTO complaint_statuses VALUES('320','174','2',null,'81',null,'b.cool','73','73','2020-08-11 23:39:14','2020-08-11 23:39:14',null);
INSERT INTO complaint_statuses VALUES('321','175','3',null,'52',null,'complain#pkri200812101034(12-aug-20)','73','73','2020-08-11 23:42:48','2020-08-12 18:51:46',null);
INSERT INTO complaint_statuses VALUES('322','176','2',null,'81',null,'lg','73','73','2020-08-11 23:48:01','2020-08-11 23:48:01',null);
INSERT INTO complaint_statuses VALUES('323','177','3',null,'67',null,'canon w. dispencer','73','73','2020-08-11 23:50:08','2020-08-11 23:50:08',null);
INSERT INTO complaint_statuses VALUES('324','179','3',null,'52',null,'COMPLAIN#PKRI200812101094(12-AUG-20)','73','73','2020-08-12 00:09:49','2020-08-17 02:21:36',null);
INSERT INTO complaint_statuses VALUES('325','178','3',null,'52',null,null,'73','73','2020-08-12 00:09:49','2020-08-12 00:09:49',null);
INSERT INTO complaint_statuses VALUES('326','180','3',null,'65',null,'complain#192017060(12-aug-20) technician customer k ghr pa hi hain
OTHER#03359948301','73','74','2020-08-12 00:28:16','2020-08-14 02:34:40',null);
INSERT INTO complaint_statuses VALUES('327','181','3',null,'60',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-08-12 00:31:32','2020-08-12 00:31:32',null);
INSERT INTO complaint_statuses VALUES('328','182','2',null,'81',null,'D.O.P:18-JUL-2018
OTHER#5590150','73','73','2020-08-12 00:33:38','2020-08-15 21:41:14',null);
INSERT INTO complaint_statuses VALUES('329','173','4',null,'60',null,null,'81','81','2020-08-12 00:34:38','2020-08-12 00:34:38',null);
INSERT INTO complaint_statuses VALUES('330','174','4',null,'58',null,null,'81','81','2020-08-12 00:34:47','2020-08-12 00:34:47',null);
INSERT INTO complaint_statuses VALUES('331','176','4',null,'55',null,null,'81','81','2020-08-12 00:34:57','2020-08-12 00:34:57',null);
INSERT INTO complaint_statuses VALUES('332','182','4',null,'61',null,'D.O.P:18-JUL-2018
OTHER#5590150','81','73','2020-08-12 00:35:07','2020-08-15 21:41:16',null);
INSERT INTO complaint_statuses VALUES('333','68','7','12','81','complaint rsoved',null,'79','79','2020-08-12 00:53:57','2020-08-12 00:53:57',null);
INSERT INTO complaint_statuses VALUES('334','183','2',null,'81',null,null,'73','73','2020-08-12 00:59:23','2020-08-12 00:59:23',null);
INSERT INTO complaint_statuses VALUES('335','183','4',null,'58',null,null,'81','81','2020-08-12 00:59:52','2020-08-12 00:59:52',null);
INSERT INTO complaint_statuses VALUES('336','173','7','12','81','Frig knob problam solv.custmerchargis paif',null,'82','82','2020-08-12 01:00:24','2020-08-12 01:00:24',null);
INSERT INTO complaint_statuses VALUES('337','184','2',null,'81',null,null,'73','73','2020-08-12 01:16:53','2020-08-12 01:16:53',null);
INSERT INTO complaint_statuses VALUES('338','184','4',null,'61',null,null,'81','81','2020-08-12 01:17:09','2020-08-12 01:17:09',null);
INSERT INTO complaint_statuses VALUES('339','60','8','13','60','isi number pe hamari bt hoi thi',null,'81','81','2020-08-12 01:58:54','2020-08-12 01:58:54',null);
INSERT INTO complaint_statuses VALUES('340','19','5','13',null,null,null,'81','81','2020-08-12 01:59:12','2020-08-12 01:59:12',null);
INSERT INTO complaint_statuses VALUES('341','121','5','13',null,null,'COMPLAINT CLOSED','81','74','2020-08-12 01:59:23','2020-09-05 21:46:47',null);
INSERT INTO complaint_statuses VALUES('342','185','2',null,'81',null,null,'73','73','2020-08-12 02:09:10','2020-08-12 02:09:10',null);
INSERT INTO complaint_statuses VALUES('343','185','4',null,'58',null,null,'81','81','2020-08-12 02:09:44','2020-08-12 02:09:44',null);
INSERT INTO complaint_statuses VALUES('344','186','3',null,'52',null,'complain#pkri200812100991(12-aug-20)','73','73','2020-08-12 02:14:06','2020-08-12 18:48:58',null);
INSERT INTO complaint_statuses VALUES('345','187','3',null,'53',null,'complain#301028091(12-aug-20)
OTHER#03325520751 , 051-2828176','73','73','2020-08-12 02:15:53','2020-08-13 20:47:56',null);
INSERT INTO complaint_statuses VALUES('346','188','3',null,'52',null,'complain#pkri200812100934(12-aug-20)','73','73','2020-08-12 02:42:35','2020-08-12 18:46:34',null);
INSERT INTO complaint_statuses VALUES('347','189','2',null,'81',null,null,'73','73','2020-08-12 03:01:27','2020-08-12 03:01:27',null);
INSERT INTO complaint_statuses VALUES('348','189','4',null,'55',null,null,'81','81','2020-08-12 03:01:49','2020-08-12 03:01:49',null);
INSERT INTO complaint_statuses VALUES('349','190','3',null,'66',null,'frwrd to mariyam tcl
complain#84174','73','73','2020-08-12 03:07:40','2020-08-12 19:49:23',null);
INSERT INTO complaint_statuses VALUES('350','18','7','12','81','pcb recpace amount 5000 pay company 
job complete',null,'87','87','2020-08-12 04:34:09','2020-08-12 04:34:09',null);
INSERT INTO complaint_statuses VALUES('351','192','3',null,'52',null,'COMPLAIN#PKRI200811104698','73','73','2020-08-12 19:53:26','2020-08-12 19:53:26',null);
INSERT INTO complaint_statuses VALUES('352','193','2',null,'81',null,null,'73','73','2020-08-12 20:00:18','2020-08-12 20:00:18',null);
INSERT INTO complaint_statuses VALUES('353','193','4',null,'58',null,null,'81','81','2020-08-12 20:01:02','2020-08-12 20:01:02',null);
INSERT INTO complaint_statuses VALUES('354','194','2',null,'81',null,null,'73','73','2020-08-12 20:04:08','2020-08-12 20:04:08',null);
INSERT INTO complaint_statuses VALUES('355','194','4',null,'61',null,null,'81','81','2020-08-12 20:04:22','2020-08-12 20:04:22',null);
INSERT INTO complaint_statuses VALUES('356','195','2',null,'81',null,'12-08-20202
FF TO AZHAR RAMZAN','74','74','2020-08-12 20:15:37','2020-08-12 20:15:37',null);
INSERT INTO complaint_statuses VALUES('357','195','4',null,'60',null,null,'81','81','2020-08-12 20:19:09','2020-08-12 20:19:09',null);
INSERT INTO complaint_statuses VALUES('358','198','2',null,'81',null,null,'73','73','2020-08-12 20:21:17','2020-08-12 20:21:17',null);
INSERT INTO complaint_statuses VALUES('359','198','4',null,'58',null,null,'81','81','2020-08-12 20:25:02','2020-08-12 20:25:02',null);
INSERT INTO complaint_statuses VALUES('360','199','2',null,'81',null,'DOUBLE COMPLAIN ENTRE

COMPLAIN CLOSED','73','73','2020-08-12 20:26:18','2020-08-12 20:28:00',null);
INSERT INTO complaint_statuses VALUES('361','197','2',null,'81',null,'YE COMPANY MEIN NOTE HOGI..','73','73','2020-08-12 20:26:33','2020-08-13 19:29:32',null);
INSERT INTO complaint_statuses VALUES('362','199','4',null,'58',null,null,'81','81','2020-08-12 20:27:13','2020-08-12 20:27:13',null);
INSERT INTO complaint_statuses VALUES('363','199','4',null,'58',null,null,'81','81','2020-08-12 20:27:13','2020-08-12 20:27:13',null);
INSERT INTO complaint_statuses VALUES('364','201','2',null,'81',null,'LG','73','73','2020-08-12 20:59:24','2020-08-12 20:59:24',null);
INSERT INTO complaint_statuses VALUES('365','10','8','13','58','customer ka no on hain kindly call kar k visit arrange karway',null,'81','81','2020-08-12 21:01:36','2020-08-12 21:01:36',null);
INSERT INTO complaint_statuses VALUES('366','202','2',null,'81',null,null,'73','73','2020-08-12 21:02:13','2020-08-12 21:02:13',null);
INSERT INTO complaint_statuses VALUES('367','202','4',null,'55',null,null,'81','81','2020-08-12 21:02:35','2020-08-12 21:02:35',null);
INSERT INTO complaint_statuses VALUES('368','201','4',null,'55',null,null,'81','81','2020-08-12 21:02:43','2020-08-12 21:02:43',null);
INSERT INTO complaint_statuses VALUES('369','203','2',null,'81',null,null,'73','73','2020-08-12 21:04:46','2020-08-12 21:04:46',null);
INSERT INTO complaint_statuses VALUES('370','203','4',null,'55',null,null,'81','81','2020-08-12 21:05:00','2020-08-12 21:05:00',null);
INSERT INTO complaint_statuses VALUES('371','205','2',null,'81',null,'B.COOL','73','73','2020-08-12 21:09:46','2020-08-12 21:09:46',null);
INSERT INTO complaint_statuses VALUES('372','21','8','13','58','complaint resolved',null,'81','81','2020-08-12 21:10:31','2020-08-12 21:10:31',null);
INSERT INTO complaint_statuses VALUES('373','206','2',null,'81',null,'H.SOLUTION','73','73','2020-08-12 21:12:26','2020-08-12 21:12:26',null);
INSERT INTO complaint_statuses VALUES('374','52','8','13','59','CUSTOMER AJ  HI S/C LA K AAY GAY HAIN.',null,'81','81','2020-08-12 21:16:04','2020-08-12 21:16:04',null);
INSERT INTO complaint_statuses VALUES('375','209','2',null,'81',null,'B.COOL','73','73','2020-08-12 21:43:39','2020-08-12 21:43:39',null);
INSERT INTO complaint_statuses VALUES('376','209','4',null,'58',null,null,'81','81','2020-08-12 21:44:20','2020-08-12 21:44:20',null);
INSERT INTO complaint_statuses VALUES('377','206','4',null,'62',null,null,'81','81','2020-08-12 21:44:29','2020-08-12 21:44:29',null);
INSERT INTO complaint_statuses VALUES('378','205','4',null,'58',null,null,'81','81','2020-08-12 21:44:39','2020-08-12 21:44:39',null);
INSERT INTO complaint_statuses VALUES('379','199','7','9','81','2 time enter aneeq sb',null,'79','79','2020-08-12 22:07:27','2020-08-12 22:07:27',null);
INSERT INTO complaint_statuses VALUES('380','10','7','12','81','complint 185 again enter plz duble entery na kry',null,'79','79','2020-08-12 22:08:59','2020-08-12 22:08:59',null);
INSERT INTO complaint_statuses VALUES('381','62','8','13','58','COMPLAINT RESOLVED',null,'81','81','2020-08-12 22:11:37','2020-08-12 22:11:37',null);
INSERT INTO complaint_statuses VALUES('382','21','7','9','81','complete kr dein plz',null,'79','79','2020-08-12 22:16:28','2020-08-12 22:16:28',null);
INSERT INTO complaint_statuses VALUES('383','67','8','13','58','CUSTOMER  VISIT SA SATISFIED NAI HO RAHAY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2020-08-12 22:20:42','2020-08-12 22:20:42',null);
INSERT INTO complaint_statuses VALUES('384','11','8','13','55','COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-08-12 22:29:02','2020-08-13 21:37:32',null);
INSERT INTO complaint_statuses VALUES('385','212','2',null,'81',null,'H.SOLUTION','73','73','2020-08-12 22:40:17','2020-08-12 22:40:17',null);
INSERT INTO complaint_statuses VALUES('386','105','8','13','60','COMPLAINT RESOLVED',null,'81','81','2020-08-12 22:43:26','2020-08-12 22:43:26',null);
INSERT INTO complaint_statuses VALUES('387','94','7','12','81','Reperd handal',null,'82','82','2020-08-12 22:45:04','2020-08-12 22:45:04',null);
INSERT INTO complaint_statuses VALUES('388','206','7','9','81','Frwd to zahoor',null,'87','87','2020-08-13 00:31:16','2020-08-13 00:31:16',null);
INSERT INTO complaint_statuses VALUES('389','212','4',null,'62',null,null,'81','81','2020-08-13 00:33:39','2020-08-13 00:33:39',null);
INSERT INTO complaint_statuses VALUES('390','206','8','13','62','ok',null,'81','81','2020-08-13 00:39:17','2020-08-13 00:39:17',null);
INSERT INTO complaint_statuses VALUES('391','199','5','13',null,null,null,'81','81','2020-08-13 00:44:03','2020-08-13 00:44:03',null);
INSERT INTO complaint_statuses VALUES('392','173','5','13',null,'complete','complaint resolved','81','74','2020-08-13 00:45:09','2020-08-14 02:36:37',null);
INSERT INTO complaint_statuses VALUES('393','158','8','13','62','ok',null,'81','81','2020-08-13 00:47:43','2020-08-13 00:47:43',null);
INSERT INTO complaint_statuses VALUES('394','144','5','13',null,'CANCEL','COMPLAINT RESOLVED','81','74','2020-08-13 00:51:48','2020-09-05 22:04:41',null);
INSERT INTO complaint_statuses VALUES('395','140','8','13','59','CALL AGAIN AND AGAIN',null,'81','81','2020-08-13 00:55:28','2020-08-13 00:55:28',null);
INSERT INTO complaint_statuses VALUES('396','139','8','13','62','OK',null,'81','81','2020-08-13 00:55:54','2020-08-13 00:55:54',null);
INSERT INTO complaint_statuses VALUES('397','130','8','13','60','CALL AGAIN',null,'81','81','2020-08-13 00:56:35','2020-08-13 00:56:35',null);
INSERT INTO complaint_statuses VALUES('398','129','8','13','60','BHEJVA DEN',null,'81','81','2020-08-13 00:57:55','2020-08-13 00:57:55',null);
INSERT INTO complaint_statuses VALUES('399','125','5','13',null,'OK','COMPLAINT CANCELLED','81','74','2020-08-13 00:58:24','2020-09-05 21:54:00',null);
INSERT INTO complaint_statuses VALUES('400','124','8','13','61','OK',null,'81','81','2020-08-13 01:01:17','2020-08-13 01:01:17',null);
INSERT INTO complaint_statuses VALUES('401','120','8','13','58','CALL AGAIN',null,'81','81','2020-08-13 01:01:58','2020-08-13 01:01:58',null);
INSERT INTO complaint_statuses VALUES('402','116','8','13','55','ON PAYMENT JOB',null,'81','81','2020-08-13 01:03:00','2020-08-13 01:03:00',null);
INSERT INTO complaint_statuses VALUES('403','113','8','13','58','CALL AGAIN',null,'81','81','2020-08-13 01:03:55','2020-08-13 01:03:55',null);
INSERT INTO complaint_statuses VALUES('404','109','8','13','60','CALL AGAIN',null,'81','81','2020-08-13 01:04:51','2020-08-13 01:04:51',null);
INSERT INTO complaint_statuses VALUES('405','107','8','13','58','OK',null,'81','81','2020-08-13 01:05:29','2020-08-13 01:05:29',null);
INSERT INTO complaint_statuses VALUES('406','94','5','13',null,'OK',null,'81','81','2020-08-13 01:06:04','2020-08-13 01:06:04',null);
INSERT INTO complaint_statuses VALUES('407','221','3',null,'60',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-08-13 01:06:49','2020-08-13 01:06:49',null);
INSERT INTO complaint_statuses VALUES('408','93','5','13',null,'COMPLETE',null,'81','81','2020-08-13 01:06:52','2020-08-13 01:06:52',null);
INSERT INTO complaint_statuses VALUES('409','83','8','13','58','PLZ ARANGE SHOCKS',null,'81','81','2020-08-13 01:07:39','2020-08-13 01:07:39',null);
INSERT INTO complaint_statuses VALUES('410','68','5','13',null,'COMPLETE',null,'81','81','2020-08-13 01:08:15','2020-08-13 01:08:15',null);
INSERT INTO complaint_statuses VALUES('411','56','8','13','55','CALL AGAIN',null,'81','81','2020-08-13 01:08:46','2020-08-13 01:08:46',null);
INSERT INTO complaint_statuses VALUES('412','24','5','13',null,'COMPLETE','NOT ATTEND CALL','81','74','2020-08-13 01:09:13','2020-08-26 00:47:58',null);
INSERT INTO complaint_statuses VALUES('413','21','5','13',null,'COMPLETE',null,'81','81','2020-08-13 01:10:17','2020-08-13 01:10:17',null);
INSERT INTO complaint_statuses VALUES('414','18','5','13',null,'COMPLAINT NEW BNANNI HY',null,'81','81','2020-08-13 01:13:21','2020-08-13 01:13:21',null);
INSERT INTO complaint_statuses VALUES('415','10','5','13',null,'COMPLETE',null,'81','81','2020-08-13 01:14:41','2020-08-13 01:14:41',null);
INSERT INTO complaint_statuses VALUES('416','113','7','12','81','complaint resolved no issue  ref',null,'79','79','2020-08-13 01:15:05','2020-08-13 01:15:05',null);
INSERT INTO complaint_statuses VALUES('417','197','3',null,'65',null,'COMPLAIN#192017108(13-AUG-20)','81','73','2020-08-13 01:16:21','2020-08-13 19:29:23',null);
INSERT INTO complaint_statuses VALUES('418','67','7','12','81','door adjust ho gaye hai complaint reoslved',null,'79','79','2020-08-13 01:18:29','2020-08-13 01:18:29',null);
INSERT INTO complaint_statuses VALUES('419','120','7','9','81','kal bhi call ki hai .call attned  nahi ki',null,'79','79','2020-08-13 01:20:15','2020-08-13 01:20:15',null);
INSERT INTO complaint_statuses VALUES('420','107','7','12','81','complaint resloved',null,'79','79','2020-08-13 01:20:45','2020-08-13 01:20:45',null);
INSERT INTO complaint_statuses VALUES('421','62','7','12','81','complaint resolved',null,'79','79','2020-08-13 01:21:22','2020-08-13 01:21:22',null);
INSERT INTO complaint_statuses VALUES('422','154','7','12','81','compliant resolved  no issue m ref only temp setting',null,'79','79','2020-08-13 01:22:37','2020-08-13 01:22:37',null);
INSERT INTO complaint_statuses VALUES('423','44','7','9','81','burner melt hi[ ho gya hai customer pay nahi kr rahy.',null,'79','79','2020-08-13 01:31:03','2020-08-13 01:31:03',null);
INSERT INTO complaint_statuses VALUES('424','209','7','9','81','unit chock  plz call and give estimate thanks',null,'79','79','2020-08-13 02:06:29','2020-08-13 02:06:29',null);
INSERT INTO complaint_statuses VALUES('425','244','2',null,'81',null,null,'73','73','2020-08-13 03:14:39','2020-08-13 03:14:39',null);
INSERT INTO complaint_statuses VALUES('426','233','2',null,'81',null,'B.COOL','73','73','2020-08-13 03:16:08','2020-08-13 03:16:08',null);
INSERT INTO complaint_statuses VALUES('427','231','2',null,'81',null,'H.SOLUTION','73','73','2020-08-13 03:16:34','2020-08-13 03:16:34',null);
INSERT INTO complaint_statuses VALUES('428','226','2',null,'81',null,'LG','73','73','2020-08-13 03:16:49','2020-08-13 03:16:49',null);
INSERT INTO complaint_statuses VALUES('429','225','2',null,'81',null,'B.COOL','73','73','2020-08-13 03:17:21','2020-08-13 03:17:21',null);
INSERT INTO complaint_statuses VALUES('430','220','2',null,'81',null,'MRM','73','73','2020-08-13 03:17:41','2020-08-13 03:17:41',null);
INSERT INTO complaint_statuses VALUES('431','213','2',null,'81',null,'H.SOLUTION','73','73','2020-08-13 03:18:08','2020-08-13 03:18:08',null);
INSERT INTO complaint_statuses VALUES('432','244','4',null,'62',null,null,'81','81','2020-08-13 03:20:33','2020-08-13 03:20:33',null);
INSERT INTO complaint_statuses VALUES('433','233','4',null,'58',null,null,'81','81','2020-08-13 03:20:42','2020-08-13 03:20:42',null);
INSERT INTO complaint_statuses VALUES('434','231','4',null,'62',null,null,'81','81','2020-08-13 03:20:49','2020-08-13 03:20:49',null);
INSERT INTO complaint_statuses VALUES('435','226','4',null,'55',null,null,'81','81','2020-08-13 03:21:00','2020-08-13 03:21:00',null);
INSERT INTO complaint_statuses VALUES('436','225','4',null,'58',null,null,'81','81','2020-08-13 03:21:41','2020-08-13 03:21:41',null);
INSERT INTO complaint_statuses VALUES('437','220','4',null,'61',null,null,'81','81','2020-08-13 03:21:53','2020-08-13 03:21:53',null);
INSERT INTO complaint_statuses VALUES('438','213','4',null,'62',null,null,'81','81','2020-08-13 03:22:03','2020-08-13 03:22:03',null);
INSERT INTO complaint_statuses VALUES('439','209','8','13','58','WHAT IS THIS',null,'81','81','2020-08-13 04:03:02','2020-08-13 04:03:02',null);
INSERT INTO complaint_statuses VALUES('440','154','5','13',null,'COMPLETE','COMPLAINT RESOLVED','81','92','2020-08-13 04:03:40','2020-09-14 02:32:22',null);
INSERT INTO complaint_statuses VALUES('441','120','8','13','58','CALL AGAIN',null,'81','81','2020-08-13 04:04:34','2020-08-13 04:04:34',null);
INSERT INTO complaint_statuses VALUES('442','113','5','13',null,'COMPLETE','NOT PICK UP CALL B.COOL SA STATUS CONFIRM KAR K COMPLAINT CLOSED KI','81','74','2020-08-13 04:05:14','2020-09-05 21:40:35',null);
INSERT INTO complaint_statuses VALUES('443','107','5','13',null,'COMPLETE','COMPLAINT KA ISSUE RESOLVED NAI HOA GAIN VISIT ARRANGE KARWAY B.COOL REMINDER DA DIA WHATAPP PA','81','74','2020-08-13 04:05:45','2020-08-26 22:19:42',null);
INSERT INTO complaint_statuses VALUES('444','67','5','13',null,'COMPLETE','ISSUE NOT RESOLVED','81','92','2020-08-13 04:06:16','2020-09-23 21:34:39',null);
INSERT INTO complaint_statuses VALUES('445','62','5','13',null,'COMPLETE','NOT ATTEND MY CALL','81','74','2020-08-13 04:07:03','2020-08-26 22:35:39',null);
INSERT INTO complaint_statuses VALUES('446','44','8','13','58','COUSTUMER KO AGREE KREN PAYMENT PAR',null,'81','81','2020-08-13 04:08:32','2020-08-13 04:08:32',null);
INSERT INTO complaint_statuses VALUES('447','243','3',null,'54',null,'complain#1703855
complain#1703857','73','73','2020-08-13 18:16:31','2020-08-13 18:50:08',null);
INSERT INTO complaint_statuses VALUES('448','242','3',null,'66',null,null,'73','73','2020-08-13 18:16:40','2020-08-13 18:16:40',null);
INSERT INTO complaint_statuses VALUES('449','241','3',null,'54',null,'complain#1695380(13-aug-20)
costumer ne company mein khud note karwai hoi','73','73','2020-08-13 18:16:48','2020-08-13 18:58:46',null);
INSERT INTO complaint_statuses VALUES('450','240','3',null,'52',null,'COMPLAIN#PKRI200813102219(13-AUG-20)','73','73','2020-08-13 18:16:57','2020-08-13 19:39:16',null);
INSERT INTO complaint_statuses VALUES('451','239','3',null,'52',null,'COMPLAIN#PKRI200813102293(13-AUG-20)','73','73','2020-08-13 18:17:06','2020-08-13 19:42:25',null);
INSERT INTO complaint_statuses VALUES('452','238','3',null,'53',null,'complain#301028718(13-aug-20)','73','73','2020-08-13 18:17:15','2020-08-13 19:02:06',null);
INSERT INTO complaint_statuses VALUES('453','237','3',null,'53',null,'complain#28726(13-aug-20)','73','73','2020-08-13 18:17:22','2020-08-13 19:11:23',null);
INSERT INTO complaint_statuses VALUES('454','236','3',null,'65',null,null,'73','73','2020-08-13 18:17:31','2020-08-13 18:17:31',null);
INSERT INTO complaint_statuses VALUES('455','235','3',null,'52',null,'COMPLAIN#PKRI200813102527(13-AUG-20)','73','73','2020-08-13 18:17:38','2020-08-13 19:53:50',null);
INSERT INTO complaint_statuses VALUES('456','234','3',null,'54',null,'complain#1701282
costumer ne company mein khud note karwai hoi','73','73','2020-08-13 18:17:47','2020-08-13 18:58:44',null);
INSERT INTO complaint_statuses VALUES('457','232','3',null,'55',null,'frwrd to naeem kenwood(13-aug-20)
complain attend hogae ha costumer 3 din check kr k btaen gy. .(15-8-20)','73','73','2020-08-13 18:17:56','2020-08-15 19:59:16',null);
INSERT INTO complaint_statuses VALUES('458','230','3',null,'52',null,'COMPLAIN#PKRI200813103070(13-AUG-20)','73','73','2020-08-13 18:18:04','2020-08-13 20:14:37',null);
INSERT INTO complaint_statuses VALUES('459','229','3',null,'53',null,'costumer ne call attend nai ki thi frwrd karwa di ha complain..
complian#28720(13-aug-20)','73','73','2020-08-13 18:18:23','2020-08-13 19:05:08',null);
INSERT INTO complaint_statuses VALUES('460','228','3',null,'53',null,null,'73','73','2020-08-13 18:18:32','2020-08-13 18:18:32',null);
INSERT INTO complaint_statuses VALUES('461','227','3',null,'52',null,'COMPLAIN#PKRI200813102377(13-aug-20)','73','73','2020-08-13 18:18:40','2020-08-13 19:49:43',null);
INSERT INTO complaint_statuses VALUES('462','224','3',null,'65',null,null,'73','73','2020-08-13 18:18:48','2020-08-13 18:18:48',null);
INSERT INTO complaint_statuses VALUES('463','223','3',null,'54',null,null,'73','73','2020-08-13 18:18:56','2020-08-13 18:18:56',null);
INSERT INTO complaint_statuses VALUES('464','222','3',null,'65',null,'COMPLAIN#192017106(13-AUG-20)','73','73','2020-08-13 18:19:02','2020-08-13 19:23:37',null);
INSERT INTO complaint_statuses VALUES('465','219','3',null,'65',null,'COMPLAIN#192017107(13-AUG-20)','73','73','2020-08-13 18:19:09','2020-08-13 19:26:10',null);
INSERT INTO complaint_statuses VALUES('466','218','3',null,'52',null,'COMPLAIN#PKRI200813102701(13-AUG-20)','73','73','2020-08-13 18:19:18','2020-08-13 19:57:54',null);
INSERT INTO complaint_statuses VALUES('467','217','3',null,'53',null,'complain#28723(13-aug-20)','73','73','2020-08-13 18:19:35','2020-08-13 19:08:22',null);
INSERT INTO complaint_statuses VALUES('468','216','3',null,'54',null,'complain#1703851(13-aug-20)','73','73','2020-08-13 18:19:43','2020-08-13 18:47:36',null);
INSERT INTO complaint_statuses VALUES('469','215','3',null,'52',null,'COMPLAIN#PKRI200813103026(13-AUG-20)','73','73','2020-08-13 18:19:54','2020-08-13 20:12:43',null);
INSERT INTO complaint_statuses VALUES('470','214','3',null,'66',null,null,'73','73','2020-08-13 18:20:02','2020-08-13 18:20:02',null);
INSERT INTO complaint_statuses VALUES('471','211','3',null,'52',null,'COMPLAIN#PKRI200813102765(13-AUG-20)','73','73','2020-08-13 18:20:25','2020-08-13 20:00:45',null);
INSERT INTO complaint_statuses VALUES('472','210','3',null,'52',null,'COMPLAIN#PKRI200813102844(13-AUG-20)','73','73','2020-08-13 18:20:32','2020-08-13 20:03:50',null);
INSERT INTO complaint_statuses VALUES('473','208','3',null,'52',null,'COMPLAIN#PKRI200812104447(12-AUG-20)
COSTUMER NE KHUD COMPLAIN NOTE KARWAI HOI HA 12-8 KO','73','73','2020-08-13 18:20:44','2020-08-13 20:08:18',null);
INSERT INTO complaint_statuses VALUES('474','207','3',null,'52',null,'COMPLAIN#PKRI200813102892(13-AUG-20)','73','73','2020-08-13 18:20:51','2020-08-13 20:06:21',null);
INSERT INTO complaint_statuses VALUES('475','204','3',null,'52',null,'COMPLAIN#PKRI200813102973(13-AUG-20)','73','73','2020-08-13 18:21:07','2020-08-13 20:10:45',null);
INSERT INTO complaint_statuses VALUES('476','200','3',null,'66',null,null,'73','73','2020-08-13 18:21:15','2020-08-13 18:21:15',null);
INSERT INTO complaint_statuses VALUES('477','196','3',null,'66',null,'complain#88115(15-sep-20)','73','73','2020-08-13 18:21:21','2020-09-16 01:55:31',null);
INSERT INTO complaint_statuses VALUES('478','245','3',null,'65',null,'COMPLAIN#192017104(13-AUG-20)','73','73','2020-08-13 19:17:41','2020-08-13 19:21:25',null);
INSERT INTO complaint_statuses VALUES('479','130','7','12','81','microwave service centre  narha hai',null,'82','82','2020-08-13 19:47:00','2020-08-13 19:47:00',null);
INSERT INTO complaint_statuses VALUES('480','129','7','9','81','refrigretor i.10 servicentre hai',null,'82','82','2020-08-13 19:48:18','2020-08-13 19:48:18',null);
INSERT INTO complaint_statuses VALUES('481','246','3',null,'52',null,'COMPLAIN#PKRI200813102470(13-AUG-20)','73','73','2020-08-13 19:52:46','2020-08-13 19:53:35',null);
INSERT INTO complaint_statuses VALUES('482','69','7','12','81','refrigretor replased',null,'82','82','2020-08-13 20:06:40','2020-08-13 20:06:40',null);
INSERT INTO complaint_statuses VALUES('483','244','7','9','81','Frwd to kashif',null,'87','87','2020-08-13 21:03:46','2020-08-13 21:03:46',null);
INSERT INTO complaint_statuses VALUES('484','213','7','9','81','Frwd to kashif',null,'87','87','2020-08-13 21:05:49','2020-08-13 21:05:49',null);
INSERT INTO complaint_statuses VALUES('485','212','7','9','81','Frwd to kashif',null,'87','87','2020-08-13 21:06:52','2020-08-13 21:06:52',null);
INSERT INTO complaint_statuses VALUES('486','168','7','12','81','CUSTOMER NY COMPLAINT CANCEL KERWA DI .HAI BOL REHY K REF THEEK WORKIG KR RA HAI',null,'79','79','2020-08-13 21:34:29','2020-08-13 21:34:29',null);
INSERT INTO complaint_statuses VALUES('487','169','7','9','81','FLUT VALVE ISSUE HAI AJ HOJAYE GI',null,'79','79','2020-08-13 21:35:17','2020-08-13 21:35:17',null);
INSERT INTO complaint_statuses VALUES('488','167','7','9','81','TAB ISSUE AJ COMPLETE HO JAYE GI',null,'79','79','2020-08-13 21:37:14','2020-08-13 21:37:14',null);
INSERT INTO complaint_statuses VALUES('489','161','7','9','81','CUSOTMER GHR PR NAHI THY .JB AYE GAI CALL KRY GAIN',null,'79','79','2020-08-13 21:39:22','2020-08-13 21:39:22',null);
INSERT INTO complaint_statuses VALUES('490','247','3',null,'60',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-08-13 21:47:47','2020-08-13 21:47:47',null);
INSERT INTO complaint_statuses VALUES('491','248','3',null,'66',null,null,'73','73','2020-08-13 21:56:15','2020-08-13 21:56:15',null);
INSERT INTO complaint_statuses VALUES('492','249','2',null,'81',null,null,'73','73','2020-08-13 22:03:50','2020-08-13 22:03:50',null);
INSERT INTO complaint_statuses VALUES('493','250','3',null,'52',null,'COMPLAIN#PKRI200813111985','73','73','2020-08-13 22:11:15','2020-08-14 02:07:18',null);
INSERT INTO complaint_statuses VALUES('494','251','3',null,'66',null,null,'73','73','2020-08-13 22:17:50','2020-08-13 22:17:50',null);
INSERT INTO complaint_statuses VALUES('495','252','3',null,'68',null,'COMPLAIN#C8/82','73','73','2020-08-13 22:23:52','2020-08-14 01:23:09',null);
INSERT INTO complaint_statuses VALUES('496','37','7','12','81','customer was not available at location  after waiting 2 hour on reception  technician came back',null,'83','83','2020-08-13 22:24:25','2020-08-13 22:24:25',null);
INSERT INTO complaint_statuses VALUES('497','253','3',null,'52',null,'COMPLAIN#PKRI200813111852','73','73','2020-08-13 22:26:46','2020-08-14 02:01:05',null);
INSERT INTO complaint_statuses VALUES('498','254','3',null,'52',null,'COMPLAIN#PKRI200813111943','73','73','2020-08-13 22:29:21','2020-08-14 02:04:49',null);
INSERT INTO complaint_statuses VALUES('499','255','3',null,'52',null,'COMPLAIN#PKRI200813112037','73','73','2020-08-13 22:31:40','2020-08-14 02:09:52',null);
INSERT INTO complaint_statuses VALUES('500','256','3',null,'54',null,'COMPLAIN#1704648','73','73','2020-08-13 22:33:50','2020-08-14 01:41:48',null);
INSERT INTO complaint_statuses VALUES('501','257','2',null,'81',null,'B.COOL','73','73','2020-08-13 22:36:59','2020-08-13 22:36:59',null);
INSERT INTO complaint_statuses VALUES('502','258','3',null,'52',null,'FRWRD TO ASIF GILL','73','73','2020-08-13 22:40:01','2020-08-13 22:40:01',null);
INSERT INTO complaint_statuses VALUES('503','259','3',null,'65',null,'COMPLAIN#192017145','73','73','2020-08-13 22:42:02','2020-08-14 01:46:40',null);
INSERT INTO complaint_statuses VALUES('504','140','7','12','81','set ok panel fix 
RS 14000
app by naeem sb',null,'80','80','2020-08-13 22:46:24','2020-08-13 22:46:24',null);
INSERT INTO complaint_statuses VALUES('505','257','4',null,'58',null,null,'81','81','2020-08-13 23:09:36','2020-08-13 23:09:36',null);
INSERT INTO complaint_statuses VALUES('506','260','3',null,'57',null,'COMPLAIN#012723','73','73','2020-08-13 23:09:43','2020-08-14 01:53:53',null);
INSERT INTO complaint_statuses VALUES('507','249','4',null,'58',null,null,'81','81','2020-08-13 23:10:19','2020-08-13 23:10:19',null);
INSERT INTO complaint_statuses VALUES('508','191','3',null,'68',null,'close','74','74','2020-08-13 23:19:45','2020-08-13 23:19:45',null);
INSERT INTO complaint_statuses VALUES('509','261','3',null,'53',null,'COMPLAINT#
1029291
RELAUNCH#301041410(6-9-20)','73','73','2020-08-13 23:38:53','2020-09-07 01:04:48',null);
INSERT INTO complaint_statuses VALUES('510','158','7','12','81',null,null,'87','87','2020-08-13 23:43:04','2020-08-13 23:43:04',null);
INSERT INTO complaint_statuses VALUES('511','262','3',null,'53',null,'CANON
FRWRD TO MUNAWAR CANON
COMPLAIN#1361','73','73','2020-08-13 23:45:35','2020-08-14 01:32:44',null);
INSERT INTO complaint_statuses VALUES('512','263','3',null,'52',null,'OTHER#03555543620
COMLPLAIN#PKRI200813112113','73','73','2020-08-14 00:25:44','2020-08-14 02:13:49',null);
INSERT INTO complaint_statuses VALUES('513','264','2',null,'81',null,null,'73','73','2020-08-14 00:32:27','2020-08-14 00:32:27',null);
INSERT INTO complaint_statuses VALUES('514','264','4',null,'58',null,null,'81','81','2020-08-14 00:32:51','2020-08-14 00:32:51',null);
INSERT INTO complaint_statuses VALUES('515','265','3',null,'66',null,null,'73','73','2020-08-14 00:36:55','2020-08-14 01:11:04',null);
INSERT INTO complaint_statuses VALUES('516','266','3',null,'53',null,'COMPLAINT#1029299','73','74','2020-08-14 00:43:36','2020-08-14 01:53:28',null);
INSERT INTO complaint_statuses VALUES('517','267','3',null,'52',null,'COMPLAIN#PKRI200813110703.
NEW COMPLAINT#PKRI-200822103928','73','74','2020-08-14 01:04:51','2020-08-22 20:50:06',null);
INSERT INTO complaint_statuses VALUES('518','268','2',null,'81',null,'NADEEM','73','73','2020-08-14 01:31:00','2020-08-14 01:31:00',null);
INSERT INTO complaint_statuses VALUES('519','268','4',null,'59',null,null,'81','81','2020-08-14 01:31:30','2020-08-14 01:31:30',null);
INSERT INTO complaint_statuses VALUES('520','269','2',null,'81',null,'13-08-2020
FF TO BEST COOL','74','73','2020-08-14 01:34:29','2020-08-16 01:26:50',null);
INSERT INTO complaint_statuses VALUES('521','269','4',null,'58',null,null,'81','81','2020-08-14 01:35:31','2020-08-14 01:35:31',null);
INSERT INTO complaint_statuses VALUES('522','270','3',null,'52',null,'COMPLAIN#PKRI200813111797','73','73','2020-08-14 01:57:13','2020-08-14 01:58:46',null);
INSERT INTO complaint_statuses VALUES('523','134','7','12','81','COMPLAINT REOSLVED',null,'79','79','2020-08-14 02:19:26','2020-08-14 02:19:26',null);
INSERT INTO complaint_statuses VALUES('524','271','3',null,'52',null,'COMPLAIN#PKRI200813112621','73','73','2020-08-14 02:30:25','2020-08-14 02:34:42',null);
INSERT INTO complaint_statuses VALUES('525','272','3',null,'66',null,null,'73','73','2020-08-14 03:02:06','2020-08-14 03:02:06',null);
INSERT INTO complaint_statuses VALUES('526','273','3',null,'53',null,'COMPLAIN#1030427(16-AUG-20)
RELAUNCH#301041411(6-9-20','73','73','2020-08-15 20:06:29','2020-09-07 01:06:40',null);
INSERT INTO complaint_statuses VALUES('527','274','3',null,'67',null,'FRWRD TO ANWER CARAVELL','73','73','2020-08-15 20:52:19','2020-08-15 20:52:19',null);
INSERT INTO complaint_statuses VALUES('528','275','2',null,'81',null,'15-08-2020.
FF TO USMAN MRM','74','74','2020-08-15 20:57:08','2020-08-15 20:57:08',null);
INSERT INTO complaint_statuses VALUES('529','276','2',null,'81',null,'COSTUMER SERVICE CENTRE DROP KR DEIN GY','73','73','2020-08-15 20:59:46','2020-08-15 20:59:46',null);
INSERT INTO complaint_statuses VALUES('530','276','4',null,'56',null,null,'81','81','2020-08-15 21:00:22','2020-08-15 21:00:22',null);
INSERT INTO complaint_statuses VALUES('531','275','4',null,'61',null,null,'81','81','2020-08-15 21:00:40','2020-08-15 21:00:40',null);
INSERT INTO complaint_statuses VALUES('532','277','3',null,'55',null,'15-08-2020
FF TO naeem KENWOOD','74','73','2020-08-15 21:17:32','2020-08-16 22:29:10',null);
INSERT INTO complaint_statuses VALUES('533','278','2',null,'81',null,null,'73','73','2020-08-15 21:17:35','2020-08-15 21:17:35',null);
INSERT INTO complaint_statuses VALUES('534','278','4',null,'61',null,null,'81','81','2020-08-15 21:18:08','2020-08-15 21:18:08',null);
INSERT INTO complaint_statuses VALUES('535','123','7','12','81','Fan jack lose',null,'83','83','2020-08-15 21:52:40','2020-08-15 21:52:40',null);
INSERT INTO complaint_statuses VALUES('536','279','3',null,'54',null,'COMPLAIN#1706247(16-AUG-20)','73','73','2020-08-15 22:15:45','2020-08-17 01:03:01',null);
INSERT INTO complaint_statuses VALUES('537','280','3',null,'55',null,'FF TO KEN WOOD','74','74','2020-08-15 22:32:04','2020-08-15 22:32:04',null);
INSERT INTO complaint_statuses VALUES('538','281','3',null,'52',null,'FF TO COMPANY','74','74','2020-08-15 22:36:34','2020-08-15 22:36:34',null);
INSERT INTO complaint_statuses VALUES('539','268','7','9','81','55"',null,'80','80','2020-08-15 22:39:29','2020-08-15 22:39:29',null);
INSERT INTO complaint_statuses VALUES('540','282','3',null,'55',null,'FF TO COMPANY','74','74','2020-08-15 22:45:35','2020-08-15 22:45:35',null);
INSERT INTO complaint_statuses VALUES('541','283','3',null,'55',null,'frwrd to naeem kenwood','73','73','2020-08-15 23:07:56','2020-08-16 22:26:49',null);
INSERT INTO complaint_statuses VALUES('542','284','3',null,'53',null,'05-08-2020.
FF TO COMPANY .
COMPLAINT#1024496






COMPLAINT#1024496','74','74','2020-08-15 23:10:33','2020-08-15 23:12:27',null);
INSERT INTO complaint_statuses VALUES('543','285','2',null,'81',null,'B.COOL','73','73','2020-08-15 23:12:39','2020-08-15 23:12:39',null);
INSERT INTO complaint_statuses VALUES('544','286','3',null,'67',null,'CANON
FRWRD TO MUNAWAR CANON','73','73','2020-08-15 23:17:25','2020-08-16 02:37:13',null);
INSERT INTO complaint_statuses VALUES('545','287','2',null,'81',null,'H.SOLUTION','73','73','2020-08-15 23:22:13','2020-08-15 23:22:13',null);
INSERT INTO complaint_statuses VALUES('546','288','2',null,'81',null,'B.COOL','73','73','2020-08-15 23:25:07','2020-08-15 23:25:07',null);
INSERT INTO complaint_statuses VALUES('547','289','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-08-15 23:32:47','2020-08-16 02:36:54',null);
INSERT INTO complaint_statuses VALUES('548','290','3',null,'55',null,'COMPLAIN#649193(16-AUG-20)
S/C=091-5602617-18','73','73','2020-08-15 23:38:22','2020-08-17 00:35:08',null);
INSERT INTO complaint_statuses VALUES('549','291','2',null,'81',null,'05-08-2020.
FF TO HOME SOLUTION','74','74','2020-08-15 23:39:03','2020-08-15 23:39:32',null);
INSERT INTO complaint_statuses VALUES('550','292','2',null,'81',null,'H .SOLUTION','73','73','2020-08-15 23:41:12','2020-08-15 23:41:12',null);
INSERT INTO complaint_statuses VALUES('551','293','3',null,'55',null,'FRWRD TO WAQAR KENWOOD','73','73','2020-08-15 23:43:22','2020-08-16 02:35:19',null);
INSERT INTO complaint_statuses VALUES('552','294','3',null,'53',null,'2PC
COMPLAIN#1030428
COMPLAIN#1030429
16-AUG-20','73','73','2020-08-15 23:53:57','2020-08-17 01:28:52',null);
INSERT INTO complaint_statuses VALUES('553','295','2',null,'81',null,'LG','73','73','2020-08-15 23:59:07','2020-08-15 23:59:07',null);
INSERT INTO complaint_statuses VALUES('554','296','3',null,'65',null,'COMPLAIN#192017188','73','73','2020-08-16 00:00:07','2020-08-16 00:00:07',null);
INSERT INTO complaint_statuses VALUES('555','297','2',null,'81',null,'H.SOLUTION','73','73','2020-08-16 00:02:46','2020-08-16 00:02:46',null);
INSERT INTO complaint_statuses VALUES('556','298','3',null,'52',null,'COMPLAIN#PKRI200816107958(16-AUG-20)','73','73','2020-08-16 00:05:51','2020-08-17 02:19:13',null);
INSERT INTO complaint_statuses VALUES('557','299','3',null,'67',null,'FRWRD TO ANWER CARAVELL','73','73','2020-08-16 00:15:25','2020-08-16 00:15:25',null);
INSERT INTO complaint_statuses VALUES('558','300','2',null,'81',null,'MRM','73','73','2020-08-16 00:16:59','2020-08-16 00:16:59',null);
INSERT INTO complaint_statuses VALUES('559','301','3',null,'52',null,'OTHER#03243344555
COMPLAIN#PKRI200816108025','73','73','2020-08-16 00:21:39','2020-08-17 02:24:13',null);
INSERT INTO complaint_statuses VALUES('560','302','2',null,'81',null,'COSTUMER KHUD SERVICE CENTRE DROP KAREIN GY. . VISIT NAI KRNA','73','73','2020-08-16 00:27:29','2020-08-16 00:27:29',null);
INSERT INTO complaint_statuses VALUES('561','303','2',null,'81',null,'SONY','73','73','2020-08-16 00:27:56','2020-08-16 00:27:56',null);
INSERT INTO complaint_statuses VALUES('562','304','2',null,'81',null,'MRM','73','73','2020-08-16 00:32:28','2020-08-16 00:32:28',null);
INSERT INTO complaint_statuses VALUES('563','305','3',null,'65',null,'COMPLAIN#192017212(16-AUG-20)','73','73','2020-08-16 00:32:52','2020-08-17 00:43:52',null);
INSERT INTO complaint_statuses VALUES('564','306','3',null,'52',null,'COMPLAIN#PKRI200816107884(16-AUG-20)','73','73','2020-08-16 00:36:33','2020-08-17 02:13:24',null);
INSERT INTO complaint_statuses VALUES('565','307','2',null,'81',null,'15-08-2020
FF TO AZHAR RAMZAN FCI','74','74','2020-08-16 00:37:35','2020-08-16 00:37:35',null);
INSERT INTO complaint_statuses VALUES('566','308','2',null,'81',null,'B.COOL','73','73','2020-08-16 00:44:56','2020-08-16 00:44:56',null);
INSERT INTO complaint_statuses VALUES('567','309','2',null,'81',null,'B.COOL','73','73','2020-08-16 00:48:17','2020-08-16 00:48:17',null);
INSERT INTO complaint_statuses VALUES('568','310','3',null,'54',null,'16-08-2020
FF TO COMPANY
COMPLAIN#1706251','74','73','2020-08-16 00:51:54','2020-08-17 01:05:01',null);
INSERT INTO complaint_statuses VALUES('569','311','2',null,'81',null,'B.COOL','73','73','2020-08-16 00:53:03','2020-08-16 00:53:03',null);
INSERT INTO complaint_statuses VALUES('570','225','7','12','81','complaint reoslved',null,'79','79','2020-08-16 00:55:56','2020-08-16 00:55:56',null);
INSERT INTO complaint_statuses VALUES('571','185','7','20','81','pcb issue spin pe hang ho jati hai',null,'79','79','2020-08-16 00:57:42','2020-08-16 00:57:42',null);
INSERT INTO complaint_statuses VALUES('572','312','2',null,'81',null,'LG','73','73','2020-08-16 00:58:18','2020-08-16 00:58:18',null);
INSERT INTO complaint_statuses VALUES('573','313','2',null,'81',null,'H.SOLUTION','73','73','2020-08-16 01:00:51','2020-08-16 01:00:51',null);
INSERT INTO complaint_statuses VALUES('574','314','2',null,'81',null,'B.COOL','73','73','2020-08-16 01:02:16','2020-08-16 01:02:16',null);
INSERT INTO complaint_statuses VALUES('575','315','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-08-16 01:05:13','2020-08-16 02:31:16',null);
INSERT INTO complaint_statuses VALUES('576','316','2',null,'81',null,'H.SOLUTION','73','73','2020-08-16 01:07:17','2020-08-16 01:07:17',null);
INSERT INTO complaint_statuses VALUES('577','317','3',null,'52',null,'COMPLAIN#PKRI200816107705','73','73','2020-08-16 01:10:49','2020-08-17 02:00:39',null);
INSERT INTO complaint_statuses VALUES('578','198','7','12','81','complaint resolved',null,'79','79','2020-08-16 01:18:10','2020-08-16 01:18:10',null);
INSERT INTO complaint_statuses VALUES('579','316','4',null,'62',null,null,'81','81','2020-08-16 01:18:52','2020-08-16 01:18:52',null);
INSERT INTO complaint_statuses VALUES('580','314','4',null,'58',null,null,'81','81','2020-08-16 01:19:01','2020-08-16 01:19:01',null);
INSERT INTO complaint_statuses VALUES('581','313','4',null,'62',null,null,'81','81','2020-08-16 01:19:12','2020-08-16 01:19:12',null);
INSERT INTO complaint_statuses VALUES('582','182','7','10','81',null,null,'83','83','2020-08-16 01:19:35','2020-08-16 01:19:35',null);
INSERT INTO complaint_statuses VALUES('583','312','4',null,'55',null,null,'81','81','2020-08-16 01:19:39','2020-08-16 01:19:39',null);
INSERT INTO complaint_statuses VALUES('584','166','7','12','81','complaint resolved',null,'79','79','2020-08-16 01:20:30','2020-08-16 01:20:30',null);
INSERT INTO complaint_statuses VALUES('585','311','4',null,'58',null,null,'81','81','2020-08-16 01:21:15','2020-08-16 01:21:15',null);
INSERT INTO complaint_statuses VALUES('586','309','4',null,'58',null,null,'81','81','2020-08-16 01:21:34','2020-08-16 01:21:34',null);
INSERT INTO complaint_statuses VALUES('587','308','4',null,'58',null,null,'81','81','2020-08-16 01:21:45','2020-08-16 01:21:45',null);
INSERT INTO complaint_statuses VALUES('588','307','4',null,'60',null,null,'81','81','2020-08-16 01:22:00','2020-08-16 01:22:00',null);
INSERT INTO complaint_statuses VALUES('589','304','4',null,'61',null,null,'81','81','2020-08-16 01:22:09','2020-08-16 01:22:09',null);
INSERT INTO complaint_statuses VALUES('590','303','4',null,'56',null,null,'81','81','2020-08-16 01:22:19','2020-08-16 01:22:19',null);
INSERT INTO complaint_statuses VALUES('591','302','4',null,'58',null,null,'81','81','2020-08-16 01:22:39','2020-08-16 01:22:39',null);
INSERT INTO complaint_statuses VALUES('592','300','4',null,'61',null,null,'81','81','2020-08-16 01:22:50','2020-08-16 01:22:50',null);
INSERT INTO complaint_statuses VALUES('593','297','4',null,'61',null,'YE COMPLAIN ATTEND NAI KARWAI... GHLTI SE AP KO FRWRD HOGAE','81','73','2020-08-16 01:23:00','2020-08-16 01:28:03',null);
INSERT INTO complaint_statuses VALUES('594','295','4',null,'55',null,'OTHER#03116815060','81','73','2020-08-16 01:23:13','2020-08-27 00:48:50',null);
INSERT INTO complaint_statuses VALUES('595','292','4',null,'62',null,null,'81','81','2020-08-16 01:23:33','2020-08-16 01:23:33',null);
INSERT INTO complaint_statuses VALUES('596','291','4',null,'62',null,null,'81','81','2020-08-16 01:23:42','2020-08-16 01:23:42',null);
INSERT INTO complaint_statuses VALUES('597','288','4',null,'58',null,null,'81','81','2020-08-16 01:23:49','2020-08-16 01:23:49',null);
INSERT INTO complaint_statuses VALUES('598','287','4',null,'62',null,null,'81','81','2020-08-16 01:23:57','2020-08-16 01:23:57',null);
INSERT INTO complaint_statuses VALUES('599','285','4',null,'58',null,null,'81','81','2020-08-16 01:24:05','2020-08-16 01:24:05',null);
INSERT INTO complaint_statuses VALUES('600','318','2',null,'81',null,'H.SOLUTION','73','73','2020-08-16 01:30:10','2020-08-16 01:30:10',null);
INSERT INTO complaint_statuses VALUES('601','318','4',null,'62',null,null,'81','81','2020-08-16 01:30:25','2020-08-16 01:30:25',null);
INSERT INTO complaint_statuses VALUES('602','319','3',null,'52',null,'COMPLAIN#PKRI200816107573','73','73','2020-08-16 01:32:24','2020-08-17 01:52:51',null);
INSERT INTO complaint_statuses VALUES('603','320','3',null,'54',null,'COMPLAIN#1706253(16-AUG-20)','73','73','2020-08-16 01:47:16','2020-08-17 01:07:21',null);
INSERT INTO complaint_statuses VALUES('604','321','3',null,'52',null,'COMPLAIN#PKRI200816107687','73','73','2020-08-16 01:49:13','2020-08-17 01:58:42',null);
INSERT INTO complaint_statuses VALUES('605','322','2',null,'81',null,'B.COOL','73','73','2020-08-16 02:06:06','2020-08-16 02:06:06',null);
INSERT INTO complaint_statuses VALUES('606','323','2',null,'81',null,'SONY','73','73','2020-08-16 02:07:52','2020-08-16 02:07:52',null);
INSERT INTO complaint_statuses VALUES('607','324','3',null,'57',null,'COMPLAIN#12790(16-AUG-20)
4 PC HAIN WATER PUMP PROBLEM','73','73','2020-08-16 02:11:02','2020-08-17 00:39:04',null);
INSERT INTO complaint_statuses VALUES('608','325','2',null,'81',null,'B.COOL','73','73','2020-08-16 02:25:54','2020-08-16 02:25:54',null);
INSERT INTO complaint_statuses VALUES('609','325','4',null,'58',null,null,'81','81','2020-08-16 02:26:32','2020-08-16 02:26:32',null);
INSERT INTO complaint_statuses VALUES('610','323','4',null,'56',null,null,'81','81','2020-08-16 02:26:39','2020-08-16 02:26:39',null);
INSERT INTO complaint_statuses VALUES('611','322','4',null,'58',null,null,'81','81','2020-08-16 02:26:47','2020-08-16 02:26:47',null);
INSERT INTO complaint_statuses VALUES('612','326','3',null,'54',null,'COMPLAIN#1706245(16-AUG-20)','73','73','2020-08-16 02:34:13','2020-08-17 01:00:31',null);
INSERT INTO complaint_statuses VALUES('613','327','2',null,'81',null,'MRM','73','73','2020-08-16 02:47:44','2020-08-16 02:47:44',null);
INSERT INTO complaint_statuses VALUES('614','327','4',null,'61',null,null,'81','81','2020-08-16 02:48:02','2020-08-16 02:48:02',null);
INSERT INTO complaint_statuses VALUES('615','328','3',null,'52',null,'REF TO ISHFAQ FHS
COMPLAIN#PKRI200816107538','73','73','2020-08-16 19:12:08','2020-08-17 01:50:11',null);
INSERT INTO complaint_statuses VALUES('616','329','2',null,'81',null,'MRM','73','73','2020-08-16 19:26:24','2020-08-16 19:26:24',null);
INSERT INTO complaint_statuses VALUES('617','329','4',null,'61',null,null,'81','81','2020-08-16 19:27:15','2020-08-16 19:27:15',null);
INSERT INTO complaint_statuses VALUES('618','330','3',null,'55',null,'FRWRD TO NAEEM AND WAQAR KENWOOD','73','73','2020-08-16 20:08:03','2020-08-16 20:08:03',null);
INSERT INTO complaint_statuses VALUES('619','331','2',null,'81',null,'B.COOL','73','73','2020-08-16 20:15:12','2020-08-16 20:15:12',null);
INSERT INTO complaint_statuses VALUES('620','331','4',null,'58',null,null,'81','81','2020-08-16 20:15:35','2020-08-16 20:15:35',null);
INSERT INTO complaint_statuses VALUES('621','332','3',null,'65',null,'COMPLAIN#192017214(16-AUG-20)','73','73','2020-08-16 20:21:23','2020-08-17 00:52:22',null);
INSERT INTO complaint_statuses VALUES('622','233','7','9','81','refer to service center i 10 ly kr jaye gain.',null,'79','79','2020-08-16 20:27:41','2020-08-16 20:27:41',null);
INSERT INTO complaint_statuses VALUES('623','333','2',null,'81',null,'LG','73','73','2020-08-16 20:28:50','2020-08-16 20:28:50',null);
INSERT INTO complaint_statuses VALUES('624','333','4',null,'55',null,null,'81','81','2020-08-16 20:29:33','2020-08-16 20:29:33',null);
INSERT INTO complaint_statuses VALUES('625','334','2',null,'81',null,'2UNITS MEIN ISSUE ARA HA..
1)SNOW BNA RA
2)COOLING NAI KRRA','73','73','2020-08-16 20:35:04','2020-08-16 20:35:04',null);
INSERT INTO complaint_statuses VALUES('626','334','4',null,'58',null,null,'81','81','2020-08-16 20:35:20','2020-08-16 20:35:20',null);
INSERT INTO complaint_statuses VALUES('627','335','3',null,'52',null,'1COMPLAIN#PKRI200816107472
2COMPLAIN#PKRI200816107489','73','73','2020-08-16 20:56:42','2020-08-17 01:46:59',null);
INSERT INTO complaint_statuses VALUES('628','336','2',null,'81',null,'B.COOL

COSTUMER CHARGES PAY KR DEIN GY','73','73','2020-08-16 21:37:32','2020-08-16 21:37:32',null);
INSERT INTO complaint_statuses VALUES('629','336','4',null,'58',null,null,'81','81','2020-08-16 21:37:52','2020-08-16 21:37:52',null);
INSERT INTO complaint_statuses VALUES('630','337','3',null,'53',null,'COMPLAIN#1030432
COMPLAIN#1030433
COMPLAIN#1030434(16-AUG-20)
HASSAN ABDAL DANISH=03179997539','73','73','2020-08-16 21:45:51','2020-08-17 01:37:37',null);
INSERT INTO complaint_statuses VALUES('631','338','3',null,'65',null,'COMPLAIN#192017213(16-AUG-20)','73','73','2020-08-16 21:47:29','2020-08-17 00:49:55',null);
INSERT INTO complaint_statuses VALUES('632','339','3',null,'54',null,'COMPLAIN#1706242(16-AUG-20)','73','73','2020-08-16 21:49:54','2020-08-17 00:57:22',null);
INSERT INTO complaint_statuses VALUES('633','340','3',null,'67',null,'FRWRD TO ANWER CARAVELL','73','73','2020-08-16 21:58:09','2020-08-16 21:58:09',null);
INSERT INTO complaint_statuses VALUES('634','231','7','9','81','Cooling problem',null,'87','87','2020-08-16 22:25:43','2020-08-16 22:25:43',null);
INSERT INTO complaint_statuses VALUES('635','341','3',null,'55',null,'frwrd to naeem kenwood','73','73','2020-08-16 23:26:08','2020-08-16 23:32:15',null);
INSERT INTO complaint_statuses VALUES('636','342','3',null,'52',null,'COMPLAIN#PKRI200816107644','73','73','2020-08-16 23:26:15','2020-08-17 01:57:02',null);
INSERT INTO complaint_statuses VALUES('637','343','3',null,'55',null,'frwrd to waqar kenwood','73','73','2020-08-16 23:34:15','2020-08-16 23:34:15',null);
INSERT INTO complaint_statuses VALUES('638','344','3',null,'68',null,'2PC','73','73','2020-08-16 23:40:01','2020-08-16 23:40:01',null);
INSERT INTO complaint_statuses VALUES('639','345','2',null,'81',null,'HOB','73','73','2020-08-16 23:42:27','2020-08-16 23:42:27',null);
INSERT INTO complaint_statuses VALUES('640','345','4',null,'63',null,null,'81','81','2020-08-16 23:43:16','2020-08-16 23:43:16',null);
INSERT INTO complaint_statuses VALUES('641','346','2',null,'81',null,'H.SOLUTION','73','73','2020-08-16 23:48:38','2020-08-16 23:48:38',null);
INSERT INTO complaint_statuses VALUES('642','346','4',null,'62',null,null,'81','81','2020-08-16 23:49:06','2020-08-16 23:49:06',null);
INSERT INTO complaint_statuses VALUES('643','347','3',null,'54',null,'DAIKIN','73','73','2020-08-16 23:54:52','2020-08-16 23:54:52',null);
INSERT INTO complaint_statuses VALUES('644','348','3',null,'52',null,'complain#PKRI200816107439','73','73','2020-08-16 23:59:20','2020-08-17 01:42:55',null);
INSERT INTO complaint_statuses VALUES('645','349','3',null,'53',null,'COMPLAIN#1030431(16-AUG-20)','73','73','2020-08-17 00:03:11','2020-08-17 01:31:03',null);
INSERT INTO complaint_statuses VALUES('646','350','2',null,'81',null,'H.SOLUTION','73','73','2020-08-17 00:08:03','2020-08-17 00:08:03',null);
INSERT INTO complaint_statuses VALUES('647','350','4',null,'62',null,null,'81','81','2020-08-17 00:08:32','2020-08-17 00:08:32',null);
INSERT INTO complaint_statuses VALUES('648','346','7','9','81','Door rep',null,'87','87','2020-08-17 00:31:17','2020-08-17 00:31:17',null);
INSERT INTO complaint_statuses VALUES('649','350','7','9','81','Cooling problem',null,'87','87','2020-08-17 00:35:12','2020-08-17 00:35:12',null);
INSERT INTO complaint_statuses VALUES('650','351','2',null,'81',null,'B.COOL','73','73','2020-08-17 01:11:30','2020-08-17 01:11:30',null);
INSERT INTO complaint_statuses VALUES('651','351','4',null,'58',null,null,'81','81','2020-08-17 01:11:45','2020-08-17 01:11:45',null);
INSERT INTO complaint_statuses VALUES('652','352','2',null,'81',null,'MRM','73','73','2020-08-17 01:14:17','2020-08-17 01:14:17',null);
INSERT INTO complaint_statuses VALUES('653','352','4',null,'61',null,null,'81','81','2020-08-17 01:14:33','2020-08-17 01:14:33',null);
INSERT INTO complaint_statuses VALUES('654','353','3',null,'52',null,'COMPLAIN#PKRI200816108400','73','73','2020-08-17 02:34:27','2020-08-17 02:53:30',null);
INSERT INTO complaint_statuses VALUES('655','354','3',null,'53',null,'COMPLAIN#1030451
NEW COMPLAINT # SAME HAIN','73','74','2020-08-17 02:34:33','2020-08-25 19:34:45',null);
INSERT INTO complaint_statuses VALUES('656','355','3',null,'65',null,'COMPLAIN#192017217
NEW COMPLAINT#192017535','73','74','2020-08-17 02:35:27','2020-08-25 19:30:02',null);
INSERT INTO complaint_statuses VALUES('657','356','3',null,'66',null,'FRWRD TO MARIYAM TCL','73','73','2020-08-17 02:39:41','2020-08-17 02:39:41',null);
INSERT INTO complaint_statuses VALUES('658','264','7','12','81','compliant resolved',null,'79','79','2020-08-17 03:14:13','2020-08-17 03:14:13',null);
INSERT INTO complaint_statuses VALUES('659','249','7','12','81','complaint resolved',null,'79','79','2020-08-17 03:15:09','2020-08-17 03:15:09',null);
INSERT INTO complaint_statuses VALUES('660','257','7','12','81','filter clean complaint resolved',null,'79','79','2020-08-17 03:15:56','2020-08-17 03:15:56',null);
INSERT INTO complaint_statuses VALUES('661','269','7','12','81','comlaint reoslved',null,'79','79','2020-08-17 03:16:40','2020-08-17 03:16:40',null);
INSERT INTO complaint_statuses VALUES('662','309','7','9','81','no is powered off',null,'79','79','2020-08-17 19:15:51','2020-08-17 19:15:51',null);
INSERT INTO complaint_statuses VALUES('663','302','7','9','81','customer bol rehy hian k mein ref i 10 behj dya hai',null,'79','79','2020-08-17 19:17:30','2020-08-17 19:17:30',null);
INSERT INTO complaint_statuses VALUES('664','357','2',null,'81',null,'CARE','73','73','2020-08-17 19:46:17','2020-08-17 19:46:17',null);
INSERT INTO complaint_statuses VALUES('665','357','4',null,'60',null,null,'81','81','2020-08-17 19:57:41','2020-08-17 19:57:41',null);
INSERT INTO complaint_statuses VALUES('666','358','3',null,'57',null,'COMPLAINT RESOLVED','73','74','2020-08-17 20:03:21','2020-08-25 19:24:19',null);
INSERT INTO complaint_statuses VALUES('667','359','3',null,'56',null,'COMPLAINT RESOLVED','73','74','2020-08-17 20:07:13','2020-08-25 19:14:46',null);
INSERT INTO complaint_statuses VALUES('668','329','7','12','81','LED BACK LIGHT REPLACED COMPLETE SET 
RS 12000 total with pick and drop',null,'83','83','2020-08-17 20:11:35','2020-08-17 20:11:35',null);
INSERT INTO complaint_statuses VALUES('669','360','2',null,'81',null,'URGENT HA','73','73','2020-08-17 20:12:35','2020-08-17 20:12:35',null);
INSERT INTO complaint_statuses VALUES('670','360','4',null,'58',null,null,'81','81','2020-08-17 20:12:54','2020-08-17 20:12:54',null);
INSERT INTO complaint_statuses VALUES('671','361','3',null,'52',null,'NEW COMPLAINT #PKRI-200903105180','73','74','2020-08-17 20:22:03','2020-09-03 21:21:37',null);
INSERT INTO complaint_statuses VALUES('672','362','3',null,'59',null,'MRM','73','73','2020-08-17 20:24:28','2020-08-17 20:24:28',null);
INSERT INTO complaint_statuses VALUES('673','363','2',null,'81',null,'CARE','73','73','2020-08-17 20:38:31','2020-08-17 20:38:31',null);
INSERT INTO complaint_statuses VALUES('674','363','4',null,'60',null,null,'81','81','2020-08-17 20:38:56','2020-08-17 20:38:56',null);
INSERT INTO complaint_statuses VALUES('675','220','7','12','81','Unit working ok .   guide to customer for ups connection for batter performance',null,'83','83','2020-08-17 20:47:14','2020-08-17 20:47:14',null);
INSERT INTO complaint_statuses VALUES('676','300','7','12','81','LED BACK LIGHT REPLACED COMPLETE SET RS 12000 total with pick and drop',null,'83','83','2020-08-17 20:48:42','2020-08-17 20:48:42',null);
INSERT INTO complaint_statuses VALUES('677','364','3',null,'52',null,'COMPLAINT RESOLVED','73','74','2020-08-17 21:11:36','2020-08-25 19:04:34',null);
INSERT INTO complaint_statuses VALUES('678','365','2',null,'81',null,'these are test remarks','73','73','2020-08-17 21:24:06','2020-08-17 21:24:06',null);
INSERT INTO complaint_statuses VALUES('679','367','3',null,'58',null,'done on priority bases','73','73','2020-08-17 21:28:32','2020-08-17 21:28:32',null);
INSERT INTO complaint_statuses VALUES('680','366','2',null,'81',null,'Do it test','73','73','2020-08-17 21:31:12','2020-08-17 21:31:12',null);
INSERT INTO complaint_statuses VALUES('681','368','3',null,'53',null,'FRWRD TO AZHAR RAMZAN','73','73','2020-08-17 21:37:43','2020-08-17 21:37:43',null);
INSERT INTO complaint_statuses VALUES('682','367','5',null,null,null,null,'73','73','2020-08-17 21:38:19','2020-08-17 21:38:19',null);
INSERT INTO complaint_statuses VALUES('683','365','4',null,'54',null,null,'81','81','2020-08-17 21:50:21','2020-08-17 21:50:21',null);
INSERT INTO complaint_statuses VALUES('684','366','4',null,'54',null,null,'81','81','2020-08-17 21:53:54','2020-08-17 21:53:54',null);
INSERT INTO complaint_statuses VALUES('685','365','7','9','81','TEST this is test reback remark',null,'70','70','2020-08-17 21:58:37','2020-08-17 21:58:37',null);
INSERT INTO complaint_statuses VALUES('686','366','7','9','81','5000 need for pcb TESTING',null,'70','70','2020-08-17 21:59:49','2020-08-17 21:59:49',null);
INSERT INTO complaint_statuses VALUES('687','366','8','13','54','GO and check and done the work',null,'81','81','2020-08-17 22:04:18','2020-08-17 22:04:18',null);
INSERT INTO complaint_statuses VALUES('688','365','5','13',null,null,'COMPLAINT RESOLVED','81','74','2020-08-17 22:05:26','2020-09-13 21:52:18',null);
INSERT INTO complaint_statuses VALUES('689','366','7','12','81','Expense 8000 complain has been completed',null,'70','70','2020-08-17 22:14:28','2020-08-17 22:14:28',null);
INSERT INTO complaint_statuses VALUES('690','366','5','13',null,null,'COMPLAINT RESOLVED','81','92','2020-08-17 22:20:41','2020-09-23 22:20:35',null);
INSERT INTO complaint_statuses VALUES('691','329','8','13','61','GHLTI SE COMPLETE HOGAE. .',null,'81','81','2020-08-17 22:27:28','2020-08-17 22:27:28',null);
INSERT INTO complaint_statuses VALUES('692','369','3',null,'53',null,'DAWLANCE FRIDGE','73','73','2020-08-17 22:58:28','2020-08-17 22:58:28',null);
INSERT INTO complaint_statuses VALUES('693','370','2',null,'81',null,'H.SOLUTION','73','73','2020-08-17 23:06:21','2020-08-17 23:06:21',null);
INSERT INTO complaint_statuses VALUES('694','371','2',null,'81',null,'B.COOL','73','73','2020-08-17 23:11:08','2020-08-17 23:11:08',null);
INSERT INTO complaint_statuses VALUES('695','372','3',null,'52',null,'NEW COMPLAINT#PKRI-200903105257','73','74','2020-08-17 23:12:20','2020-09-03 21:24:41',null);
INSERT INTO complaint_statuses VALUES('696','373','2',null,'81',null,'B.COOL','73','73','2020-08-17 23:25:33','2020-08-17 23:25:33',null);
INSERT INTO complaint_statuses VALUES('697','370','4',null,'58',null,null,'81','81','2020-08-17 23:26:00','2020-08-17 23:26:00',null);
INSERT INTO complaint_statuses VALUES('698','374','3',null,'65',null,'COMPLAINT RESOLVED','73','74','2020-08-17 23:34:59','2020-08-25 18:55:17',null);
INSERT INTO complaint_statuses VALUES('699','375','2',null,'81',null,'B.COOL','73','73','2020-08-17 23:38:43','2020-08-17 23:38:43',null);
INSERT INTO complaint_statuses VALUES('700','376','3',null,'52',null,'COMPLAINT RESOLVED','73','74','2020-08-17 23:43:53','2020-08-25 18:50:07',null);
INSERT INTO complaint_statuses VALUES('701','377','3',null,'57',null,null,'73','73','2020-08-17 23:55:01','2020-08-17 23:55:01',null);
INSERT INTO complaint_statuses VALUES('702','378','2',null,'81',null,'GAS  APPLIANCES','73','73','2020-08-18 00:24:47','2020-08-18 00:24:47',null);
INSERT INTO complaint_statuses VALUES('703','371','4',null,'58',null,null,'81','81','2020-08-18 00:25:09','2020-08-18 00:25:09',null);
INSERT INTO complaint_statuses VALUES('704','373','4',null,'58',null,null,'81','81','2020-08-18 00:25:24','2020-08-18 00:25:24',null);
INSERT INTO complaint_statuses VALUES('705','375','4',null,'58',null,null,'81','81','2020-08-18 00:25:40','2020-08-18 00:25:40',null);
INSERT INTO complaint_statuses VALUES('706','106','7','12','81',null,null,'77','77','2020-08-18 00:34:06','2020-08-18 00:34:06',null);
INSERT INTO complaint_statuses VALUES('707','379','2',null,'81',null,'SONY','73','73','2020-08-18 00:52:35','2020-08-18 00:52:35',null);
INSERT INTO complaint_statuses VALUES('708','378','4',null,'63',null,'VISIT TO DAY','81','74','2020-08-18 00:52:56','2020-08-25 19:19:46',null);
INSERT INTO complaint_statuses VALUES('709','379','4',null,'56',null,null,'81','81','2020-08-18 00:53:08','2020-08-18 00:53:08',null);
INSERT INTO complaint_statuses VALUES('710','380','2',null,'81',null,'COSTUMER BHR-7 SHOWROOM DROP KR GAE HAIN ... PLZZ VISIT @ SHOWROOM AND MEET TO SHAHZAD','73','73','2020-08-18 00:59:44','2020-08-18 00:59:44',null);
INSERT INTO complaint_statuses VALUES('711','381','3',null,'53',null,'COMPLAINT RESOLVED','73','74','2020-08-18 01:05:49','2020-08-25 18:43:31',null);
INSERT INTO complaint_statuses VALUES('712','382','2',null,'81',null,'H.SOLUTION','73','73','2020-08-18 01:09:33','2020-08-18 01:09:33',null);
INSERT INTO complaint_statuses VALUES('713','383','2',null,'81',null,'MRM','73','73','2020-08-18 01:22:31','2020-08-18 01:22:31',null);
INSERT INTO complaint_statuses VALUES('714','384','2',null,'81',null,'GAS APPLIANCE','73','73','2020-08-18 01:38:15','2020-08-18 01:38:15',null);
INSERT INTO complaint_statuses VALUES('715','278','7','12','81','drain pump already clean by customer hr just want technical satisfaction visit don machine ok',null,'83','83','2020-08-18 01:40:04','2020-08-18 01:40:04',null);
INSERT INTO complaint_statuses VALUES('716','385','3',null,'53',null,'NOT ATTEND CALL CUSTOMER KO SMS FF KAR DIA HAIN','73','74','2020-08-18 01:44:59','2020-08-25 18:42:11',null);
INSERT INTO complaint_statuses VALUES('717','46','5',null,null,'NEW COMPLAIN ASSIGN',null,'73','73','2020-08-18 01:45:17','2020-08-18 01:45:17',null);
INSERT INTO complaint_statuses VALUES('718','386','2',null,'81',null,'B.COOL','73','73','2020-08-18 01:47:37','2020-08-18 01:47:37',null);
INSERT INTO complaint_statuses VALUES('719','387','3',null,'53',null,'COMPLAINT#301031304','73','74','2020-08-18 01:56:48','2020-08-22 00:31:18',null);
INSERT INTO complaint_statuses VALUES('720','388','2',null,'81',null,'B.COOL','73','73','2020-08-18 02:10:25','2020-08-18 02:10:25',null);
INSERT INTO complaint_statuses VALUES('721','380','4',null,'62',null,null,'81','81','2020-08-18 02:10:47','2020-08-18 02:10:47',null);
INSERT INTO complaint_statuses VALUES('722','382','4',null,'62',null,null,'81','81','2020-08-18 02:10:57','2020-08-18 02:10:57',null);
INSERT INTO complaint_statuses VALUES('723','383','4',null,'61',null,null,'81','81','2020-08-18 02:11:09','2020-08-18 02:11:09',null);
INSERT INTO complaint_statuses VALUES('724','384','4',null,'63',null,null,'81','81','2020-08-18 02:11:19','2020-08-18 02:11:19',null);
INSERT INTO complaint_statuses VALUES('725','386','4',null,'58',null,null,'81','81','2020-08-18 02:11:28','2020-08-18 02:11:28',null);
INSERT INTO complaint_statuses VALUES('726','386','4',null,'58',null,null,'81','81','2020-08-18 02:11:28','2020-08-18 02:11:28',null);
INSERT INTO complaint_statuses VALUES('727','388','4',null,'58',null,null,'81','81','2020-08-18 02:11:39','2020-08-18 02:11:39',null);
INSERT INTO complaint_statuses VALUES('728','389','2',null,'81',null,'B.COOL','73','73','2020-08-18 02:16:03','2020-08-18 02:16:03',null);
INSERT INTO complaint_statuses VALUES('729','389','4',null,'58',null,null,'81','81','2020-08-18 02:16:46','2020-08-18 02:16:46',null);
INSERT INTO complaint_statuses VALUES('730','390','2',null,'81',null,'H.SOLUTION','73','73','2020-08-18 02:19:08','2020-08-18 02:19:08',null);
INSERT INTO complaint_statuses VALUES('731','390','4',null,'62',null,null,'81','81','2020-08-18 02:19:27','2020-08-18 02:19:27',null);
INSERT INTO complaint_statuses VALUES('732','391','3',null,'52',null,null,'73','73','2020-08-18 02:21:46','2020-08-18 02:21:46',null);
INSERT INTO complaint_statuses VALUES('733','392','3',null,'57',null,null,'73','73','2020-08-18 02:25:02','2020-08-18 02:25:02',null);
INSERT INTO complaint_statuses VALUES('734','393','2',null,'81',null,'LG','73','73','2020-08-18 02:27:37','2020-08-18 02:27:37',null);
INSERT INTO complaint_statuses VALUES('735','393','4',null,'55',null,null,'81','81','2020-08-18 02:27:59','2020-08-18 02:27:59',null);
INSERT INTO complaint_statuses VALUES('736','394','2',null,'81',null,'B.COOL','73','73','2020-08-18 02:32:23','2020-08-18 02:32:23',null);
INSERT INTO complaint_statuses VALUES('737','395','2',null,'81',null,'B.COOL','73','73','2020-08-18 02:32:49','2020-08-18 02:32:49',null);
INSERT INTO complaint_statuses VALUES('738','394','4',null,'58',null,null,'81','81','2020-08-18 02:33:21','2020-08-18 02:33:21',null);
INSERT INTO complaint_statuses VALUES('739','395','4',null,'58',null,null,'81','81','2020-08-18 02:33:29','2020-08-18 02:33:29',null);
INSERT INTO complaint_statuses VALUES('740','380','7','9','81','Not working',null,'87','87','2020-08-18 04:34:14','2020-08-18 04:34:14',null);
INSERT INTO complaint_statuses VALUES('741','396','2',null,'81',null,'mrm','73','73','2020-08-18 17:57:30','2020-08-18 17:57:30',null);
INSERT INTO complaint_statuses VALUES('742','362','5',null,null,'frwrd to wrong department','COMPLAINT RESOLVED','73','74','2020-08-18 17:58:04','2020-09-13 21:46:03',null);
INSERT INTO complaint_statuses VALUES('743','331','7','12','81','complaint resolved',null,'79','79','2020-08-18 18:59:44','2020-08-18 18:59:44',null);
INSERT INTO complaint_statuses VALUES('744','288','7','12','81','compliant resolved .wire isue',null,'79','79','2020-08-18 19:00:49','2020-08-18 19:00:49',null);
INSERT INTO complaint_statuses VALUES('745','336','7','12','81','complain reolved',null,'79','79','2020-08-18 19:02:37','2020-08-18 19:02:37',null);
INSERT INTO complaint_statuses VALUES('746','396','4',null,'61',null,null,'81','81','2020-08-18 19:08:40','2020-08-18 19:08:40',null);
INSERT INTO complaint_statuses VALUES('747','351','7','12','81','compliant resolved',null,'79','79','2020-08-18 20:05:36','2020-08-18 20:05:36',null);
INSERT INTO complaint_statuses VALUES('748','390','7','9','81','Cooling problem',null,'87','87','2020-08-18 20:31:40','2020-08-18 20:31:40',null);
INSERT INTO complaint_statuses VALUES('749','382','7','9','81','Drain problem',null,'87','87','2020-08-18 20:32:34','2020-08-18 20:32:34',null);
INSERT INTO complaint_statuses VALUES('750','397','2',null,'81',null,'MRM','73','73','2020-08-18 21:59:51','2020-08-18 21:59:51',null);
INSERT INTO complaint_statuses VALUES('751','397','4',null,'61',null,null,'81','81','2020-08-18 22:15:21','2020-08-18 22:15:21',null);
INSERT INTO complaint_statuses VALUES('752','389','7','9','81','NO IS POWERED OFF',null,'79','79','2020-08-18 22:15:34','2020-08-18 22:15:34',null);
INSERT INTO complaint_statuses VALUES('753','398','3',null,'52',null,null,'73','73','2020-08-18 22:37:13','2020-08-18 22:37:13',null);
INSERT INTO complaint_statuses VALUES('754','352','7','12','81','UNIT NOT AT SHOW ROOM  SALES MAN IMRAN SHOW THE PICTURE THAT LINES IN PANEL   UNIT REFER TO WORKSHOP 

NOUMAN VIST',null,'83','83','2020-08-18 23:19:26','2020-08-18 23:19:26',null);
INSERT INTO complaint_statuses VALUES('755','399','3',null,'65',null,null,'73','73','2020-08-18 23:58:02','2020-08-18 23:58:02',null);
INSERT INTO complaint_statuses VALUES('756','400','3',null,'55',null,null,'73','73','2020-08-19 00:07:02','2020-08-19 00:07:02',null);
INSERT INTO complaint_statuses VALUES('757','401','2',null,'81',null,'B.COOL','73','73','2020-08-19 00:32:14','2020-08-19 00:32:14',null);
INSERT INTO complaint_statuses VALUES('758','395','7','12','81','complaint reolved',null,'79','79','2020-08-19 00:48:34','2020-08-19 00:48:34',null);
INSERT INTO complaint_statuses VALUES('759','394','7','22','81','comprssor issue lift plz',null,'79','79','2020-08-19 00:54:58','2020-08-19 00:54:58',null);
INSERT INTO complaint_statuses VALUES('760','395','5','15',null,'PROBLAM RESOLVE','COMPLAINT RESOLVED','81','92','2020-08-19 00:58:05','2020-09-19 20:54:50',null);
INSERT INTO complaint_statuses VALUES('761','402','3',null,'61',null,'NOT ATTEND CALL','73','74','2020-08-19 00:58:40','2020-09-12 20:01:04',null);
INSERT INTO complaint_statuses VALUES('762','403','3',null,'52',null,'NEW COMPLAINT#PKRI-200825110439
RELAUNCH#PKRI200906106661','73','73','2020-08-19 01:01:18','2020-09-07 01:31:12',null);
INSERT INTO complaint_statuses VALUES('763','336','5','15',null,'COMPLAINT COMPLETE','COMPLAINT RESOLVED','81','92','2020-08-19 01:02:04','2020-09-16 00:18:12',null);
INSERT INTO complaint_statuses VALUES('764','404','3',null,'52',null,'RELAUNCH#PKRI200906106672','73','73','2020-08-19 01:02:39','2020-09-07 01:33:19',null);
INSERT INTO complaint_statuses VALUES('765','331','5','15',null,'COMPLAINT COMPLETE',null,'81','81','2020-08-19 01:03:38','2020-08-19 01:03:38',null);
INSERT INTO complaint_statuses VALUES('766','405','3',null,'66',null,'FRWRD TO KASHIF TCL','73','73','2020-08-19 01:04:54','2020-08-19 01:04:54',null);
INSERT INTO complaint_statuses VALUES('767','308','7','12','81','no issue in wm over load hony ki waja sy drum problem dy raha tha',null,'79','79','2020-08-19 01:05:33','2020-08-19 01:05:33',null);
INSERT INTO complaint_statuses VALUES('768','308','5','15',null,'COMPLAINT COMPLTE','COMPLAINT RESOLVED','81','92','2020-08-19 01:06:29','2020-09-16 00:35:59',null);
INSERT INTO complaint_statuses VALUES('769','406','3',null,'52',null,null,'73','73','2020-08-19 01:06:48','2020-08-19 01:06:48',null);
INSERT INTO complaint_statuses VALUES('770','407','3',null,'52',null,null,'73','73','2020-08-19 01:09:30','2020-08-19 01:09:30',null);
INSERT INTO complaint_statuses VALUES('771','408','3',null,'52',null,null,'73','73','2020-08-19 01:11:02','2020-08-19 01:11:02',null);
INSERT INTO complaint_statuses VALUES('772','409','2',null,'81',null,'B.COOL','73','73','2020-08-19 01:14:13','2020-08-19 01:14:13',null);
INSERT INTO complaint_statuses VALUES('773','386','7','12','81','burner melt chnage kr dya hai',null,'79','79','2020-08-19 01:24:43','2020-08-19 01:24:43',null);
INSERT INTO complaint_statuses VALUES('774','410','2',null,'81',null,'B.COOL','73','73','2020-08-19 01:27:27','2020-08-19 01:27:27',null);
INSERT INTO complaint_statuses VALUES('775','120','7','12','81','call not attend .aj no off ja rah tha',null,'79','79','2020-08-19 01:27:59','2020-08-19 01:27:59',null);
INSERT INTO complaint_statuses VALUES('776','148','7','22','81','pcb ka issue tha work shop lift kerwyi hai .check kr rahy ab hi issue resolved nai hua',null,'79','79','2020-08-19 01:29:28','2020-08-19 01:29:28',null);
INSERT INTO complaint_statuses VALUES('777','165','7','9','81','refer to service center chocking issue',null,'79','79','2020-08-19 01:32:05','2020-08-19 01:32:05',null);
INSERT INTO complaint_statuses VALUES('778','411','3',null,'57',null,null,'73','73','2020-08-19 01:34:05','2020-08-19 01:34:05',null);
INSERT INTO complaint_statuses VALUES('779','412','2',null,'81',null,'MRM','73','73','2020-08-19 01:35:33','2020-08-19 01:35:33',null);
INSERT INTO complaint_statuses VALUES('780','413','2',null,'81',null,'MRM','73','73','2020-08-19 01:37:24','2020-08-19 01:37:24',null);
INSERT INTO complaint_statuses VALUES('781','174','7','12','81','complaint resloved',null,'79','79','2020-08-19 01:39:31','2020-08-19 01:39:31',null);
INSERT INTO complaint_statuses VALUES('782','414','2',null,'81',null,'KHALID','73','73','2020-08-19 01:41:08','2020-08-19 01:41:08',null);
INSERT INTO complaint_statuses VALUES('783','183','7','12','81','compliant resolved',null,'79','79','2020-08-19 01:41:11','2020-08-19 01:41:11',null);
INSERT INTO complaint_statuses VALUES('784','193','7','12','81','comp resolvd',null,'79','79','2020-08-19 01:42:17','2020-08-19 01:42:17',null);
INSERT INTO complaint_statuses VALUES('785','276','7','12','81','Main board replaced.',null,'77','77','2020-08-19 01:44:17','2020-08-19 01:44:17',null);
INSERT INTO complaint_statuses VALUES('786','415','3',null,'52',null,null,'73','73','2020-08-19 01:44:32','2020-08-19 01:44:32',null);
INSERT INTO complaint_statuses VALUES('787','416','2',null,'81',null,'GAS APPLIANCE','73','73','2020-08-19 01:49:14','2020-08-19 01:49:14',null);
INSERT INTO complaint_statuses VALUES('788','417','3',null,'65',null,'complaint#192017453','73','74','2020-08-19 01:57:15','2020-08-22 21:54:22',null);
INSERT INTO complaint_statuses VALUES('789','418','3',null,'61',null,null,'73','73','2020-08-19 01:59:16','2020-08-19 01:59:16',null);
INSERT INTO complaint_statuses VALUES('790','419','3',null,'52',null,'COMPLAINT RESOLVED','73','74','2020-08-19 02:01:29','2020-08-26 23:08:10',null);
INSERT INTO complaint_statuses VALUES('791','209','7','12','81','complaint resolved',null,'79','79','2020-08-19 02:03:00','2020-08-19 02:03:00',null);
INSERT INTO complaint_statuses VALUES('792','420','3',null,'52',null,'RELAUNCH#PKRI200903101635','73','73','2020-08-19 02:03:55','2020-09-03 19:15:05',null);
INSERT INTO complaint_statuses VALUES('793','421','2',null,'81',null,'CARE','73','73','2020-08-19 02:05:37','2020-08-19 02:05:37',null);
INSERT INTO complaint_statuses VALUES('794','422','2',null,'81',null,'LG','73','73','2020-08-19 02:07:24','2020-08-19 02:07:24',null);
INSERT INTO complaint_statuses VALUES('795','421','4',null,'60',null,null,'81','81','2020-08-19 02:10:01','2020-08-19 02:10:01',null);
INSERT INTO complaint_statuses VALUES('796','421','4',null,'60',null,null,'81','81','2020-08-19 02:10:01','2020-08-19 02:10:01',null);
INSERT INTO complaint_statuses VALUES('797','311','7','12','81','relay change.complaint resolved',null,'79','79','2020-08-19 02:10:34','2020-08-19 02:10:34',null);
INSERT INTO complaint_statuses VALUES('798','322','7','12','81','complaint resloved',null,'79','79','2020-08-19 02:12:29','2020-08-19 02:12:29',null);
INSERT INTO complaint_statuses VALUES('799','423','3',null,'54',null,null,'73','73','2020-08-19 02:13:43','2020-08-19 02:13:43',null);
INSERT INTO complaint_statuses VALUES('800','325','7','22','81','compressor issue',null,'79','79','2020-08-19 02:13:54','2020-08-19 02:13:54',null);
INSERT INTO complaint_statuses VALUES('801','35','7','19','81',null,null,'1','1','2020-08-19 02:15:20','2020-08-19 02:15:20',null);
INSERT INTO complaint_statuses VALUES('802','424','3',null,'53',null,'COMPLAINT RESOLVED','73','74','2020-08-19 02:16:43','2020-08-26 21:47:24',null);
INSERT INTO complaint_statuses VALUES('803','425','2',null,'81',null,'B.COOL','73','73','2020-08-19 02:19:59','2020-08-19 02:19:59',null);
INSERT INTO complaint_statuses VALUES('804','426','2',null,'81',null,'NADEEM','73','73','2020-08-19 02:23:47','2020-08-19 02:23:47',null);
INSERT INTO complaint_statuses VALUES('805','394','8','23','58','ADIL KO BTA DEN',null,'81','81','2020-08-19 02:24:24','2020-08-19 02:24:24',null);
INSERT INTO complaint_statuses VALUES('806','427','3',null,'52',null,null,'73','73','2020-08-19 02:25:59','2020-08-19 02:25:59',null);
INSERT INTO complaint_statuses VALUES('807','390','8','23','62','UP DATE NEW',null,'81','81','2020-08-19 02:26:51','2020-08-19 02:26:51',null);
INSERT INTO complaint_statuses VALUES('808','389','8','23','58','plz up date new',null,'81','81','2020-08-19 02:27:57','2020-08-19 02:27:57',null);
INSERT INTO complaint_statuses VALUES('809','386','5','15',null,'completed','COMPLAINT RESOLVED','81','92','2020-08-19 02:30:57','2020-09-15 23:22:13',null);
INSERT INTO complaint_statuses VALUES('810','382','8','23','62','plz up date new',null,'81','81','2020-08-19 02:31:41','2020-08-19 02:31:41',null);
INSERT INTO complaint_statuses VALUES('811','380','8','23','62','plz up date new status',null,'81','81','2020-08-19 02:32:42','2020-08-19 02:32:42',null);
INSERT INTO complaint_statuses VALUES('812','352','8','23','61','job not complete',null,'81','81','2020-08-19 02:35:45','2020-08-19 02:35:45',null);
INSERT INTO complaint_statuses VALUES('813','351','5','15',null,'completed','NOT ATTEND CALL','81','74','2020-08-19 02:36:20','2020-09-12 20:04:38',null);
INSERT INTO complaint_statuses VALUES('814','428','2',null,'81',null,'LG','73','73','2020-08-19 02:38:30','2020-08-19 02:38:30',null);
INSERT INTO complaint_statuses VALUES('815','350','8','23','62','what is solutions ?',null,'81','81','2020-08-19 02:39:43','2020-08-19 02:39:43',null);
INSERT INTO complaint_statuses VALUES('816','346','8','23','62','whats new up date',null,'81','81','2020-08-19 02:43:19','2020-08-19 02:43:19',null);
INSERT INTO complaint_statuses VALUES('817','429','3',null,'68',null,'HAIER','73','73','2020-08-19 02:46:11','2020-08-19 02:46:11',null);
INSERT INTO complaint_statuses VALUES('818','382','7','12','81','drain issue ta resolve ho geya hy asif',null,'87','87','2020-08-19 02:50:02','2020-08-19 02:50:02',null);
INSERT INTO complaint_statuses VALUES('819','382','5','15',null,'compled','COMPLAINT RESOLVED','81','92','2020-08-19 02:51:17','2020-09-16 21:50:45',null);
INSERT INTO complaint_statuses VALUES('820','325','8','23','58','what is solutions ?',null,'81','81','2020-08-19 02:52:37','2020-08-19 02:52:37',null);
INSERT INTO complaint_statuses VALUES('821','322','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-19 02:53:00','2020-09-12 22:40:37',null);
INSERT INTO complaint_statuses VALUES('822','311','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-19 02:53:33','2020-09-16 21:39:34',null);
INSERT INTO complaint_statuses VALUES('823','309','8','23','58','what is new update',null,'81','81','2020-08-19 02:54:15','2020-08-19 02:54:15',null);
INSERT INTO complaint_statuses VALUES('824','302','8','23','58','what is new update ?',null,'81','81','2020-08-19 02:55:48','2020-08-19 02:55:48',null);
INSERT INTO complaint_statuses VALUES('825','43','7','12','81','Issue resolved by asad',null,'87','87','2020-08-19 02:57:00','2020-08-19 02:57:00',null);
INSERT INTO complaint_statuses VALUES('826','300','8','23','61','what is new update',null,'81','81','2020-08-19 02:57:09','2020-08-19 02:57:09',null);
INSERT INTO complaint_statuses VALUES('827','430','3',null,'52',null,'RELAUNCH#PKRI200903101586','73','73','2020-08-19 02:58:17','2020-09-03 19:13:37',null);
INSERT INTO complaint_statuses VALUES('828','350','7','12','81','Issue resolved',null,'87','87','2020-08-19 03:00:04','2020-08-19 03:00:04',null);
INSERT INTO complaint_statuses VALUES('829','346','7','12','81','Resolved',null,'87','87','2020-08-19 03:01:11','2020-08-19 03:01:11',null);
INSERT INTO complaint_statuses VALUES('830','431','3',null,'62',null,null,'73','73','2020-08-19 03:01:56','2020-08-19 03:01:56',null);
INSERT INTO complaint_statuses VALUES('831','318','7','24','81',null,null,'87','87','2020-08-19 03:02:03','2020-08-19 03:02:03',null);
INSERT INTO complaint_statuses VALUES('832','350','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-19 03:03:17','2020-09-13 21:37:40',null);
INSERT INTO complaint_statuses VALUES('833','432','3',null,'52',null,null,'73','73','2020-08-19 03:03:18','2020-08-19 03:03:18',null);
INSERT INTO complaint_statuses VALUES('834','316','7','24','81','It will left',null,'87','87','2020-08-19 03:03:29','2020-08-19 03:03:29',null);
INSERT INTO complaint_statuses VALUES('835','346','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-19 03:03:43','2020-09-13 21:33:07',null);
INSERT INTO complaint_statuses VALUES('836','318','8','23','62','visit hoa ya nahe',null,'81','81','2020-08-19 03:07:36','2020-08-19 03:07:36',null);
INSERT INTO complaint_statuses VALUES('837','433','3',null,'52',null,null,'73','73','2020-08-19 03:09:11','2020-08-19 03:09:11',null);
INSERT INTO complaint_statuses VALUES('838','316','8','23','62','lift kon kry ga',null,'81','81','2020-08-19 03:09:27','2020-08-19 03:09:27',null);
INSERT INTO complaint_statuses VALUES('839','288','5','15',null,null,null,'81','81','2020-08-19 03:09:52','2020-08-19 03:09:52',null);
INSERT INTO complaint_statuses VALUES('840','278','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-19 03:10:39','2020-09-13 20:43:48',null);
INSERT INTO complaint_statuses VALUES('841','434','2',null,'81',null,'MRM','73','73','2020-08-19 03:10:44','2020-08-19 03:10:44',null);
INSERT INTO complaint_statuses VALUES('842','276','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-19 03:11:21','2020-09-16 00:52:42',null);
INSERT INTO complaint_statuses VALUES('843','269','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-19 03:11:45','2020-09-17 22:53:15',null);
INSERT INTO complaint_statuses VALUES('844','435','3',null,'52',null,null,'73','73','2020-08-19 03:11:51','2020-08-19 03:11:51',null);
INSERT INTO complaint_statuses VALUES('845','436','3',null,'53',null,null,'73','73','2020-08-19 03:15:13','2020-08-19 03:15:13',null);
INSERT INTO complaint_statuses VALUES('846','437','2',null,'81',null,'MRM','73','73','2020-08-19 03:17:44','2020-08-19 03:17:44',null);
INSERT INTO complaint_statuses VALUES('847','390','7','24','81',null,null,'87','87','2020-08-19 03:18:04','2020-08-19 03:18:04',null);
INSERT INTO complaint_statuses VALUES('848','268','8','23','59','what is new update ?',null,'81','81','2020-08-19 03:19:50','2020-08-19 03:19:50',null);
INSERT INTO complaint_statuses VALUES('849','438','3',null,'53',null,null,'73','73','2020-08-19 03:20:15','2020-08-19 03:20:15',null);
INSERT INTO complaint_statuses VALUES('850','390','8','23','62','problem ?',null,'81','81','2020-08-19 03:21:26','2020-08-19 03:21:26',null);
INSERT INTO complaint_statuses VALUES('851','264','8','15','58',null,null,'81','81','2020-08-19 03:21:49','2020-08-19 03:21:49',null);
INSERT INTO complaint_statuses VALUES('852','257','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-19 03:22:11','2020-09-16 00:57:11',null);
INSERT INTO complaint_statuses VALUES('853','249','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-19 03:22:32','2020-09-13 20:33:19',null);
INSERT INTO complaint_statuses VALUES('854','439','3',null,'54',null,'RELAUNCH#1714680(2-SEP-2020)','73','73','2020-08-19 03:24:42','2020-09-03 02:55:03',null);
INSERT INTO complaint_statuses VALUES('855','244','8','23','62',null,null,'81','81','2020-08-19 03:25:06','2020-08-19 03:25:06',null);
INSERT INTO complaint_statuses VALUES('856','233','8','23','58','what is new update',null,'81','81','2020-08-19 03:25:46','2020-08-19 03:25:46',null);
INSERT INTO complaint_statuses VALUES('857','231','8','23','62',null,null,'81','81','2020-08-19 03:27:01','2020-08-19 03:27:01',null);
INSERT INTO complaint_statuses VALUES('858','437','4',null,'61',null,null,'81','81','2020-08-19 03:27:16','2020-08-19 03:27:16',null);
INSERT INTO complaint_statuses VALUES('859','434','4',null,'61',null,null,'81','81','2020-08-19 03:27:27','2020-08-19 03:27:27',null);
INSERT INTO complaint_statuses VALUES('860','428','4',null,'55',null,null,'81','81','2020-08-19 03:27:36','2020-08-19 03:27:36',null);
INSERT INTO complaint_statuses VALUES('861','225','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-19 03:27:37','2020-09-17 20:52:18',null);
INSERT INTO complaint_statuses VALUES('862','426','4',null,'59',null,null,'81','81','2020-08-19 03:27:47','2020-08-19 03:27:47',null);
INSERT INTO complaint_statuses VALUES('863','425','4',null,'58',null,null,'81','81','2020-08-19 03:28:03','2020-08-19 03:28:03',null);
INSERT INTO complaint_statuses VALUES('864','425','4',null,'58',null,null,'81','81','2020-08-19 03:28:03','2020-08-19 03:28:03',null);
INSERT INTO complaint_statuses VALUES('865','422','4',null,'55',null,null,'81','81','2020-08-19 03:28:14','2020-08-19 03:28:14',null);
INSERT INTO complaint_statuses VALUES('866','220','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-19 03:28:16','2020-09-23 21:48:29',null);
INSERT INTO complaint_statuses VALUES('867','213','8','23','62',null,null,'81','81','2020-08-19 03:28:41','2020-08-19 03:28:41',null);
INSERT INTO complaint_statuses VALUES('868','212','8','23','62',null,null,'81','81','2020-08-19 03:29:05','2020-08-19 03:29:05',null);
INSERT INTO complaint_statuses VALUES('869','416','4',null,'63',null,null,'81','81','2020-08-19 03:29:19','2020-08-19 03:29:19',null);
INSERT INTO complaint_statuses VALUES('870','414','4',null,'56',null,null,'81','81','2020-08-19 03:29:31','2020-08-19 03:29:31',null);
INSERT INTO complaint_statuses VALUES('871','413','4',null,'61',null,null,'81','81','2020-08-19 03:29:42','2020-08-19 03:29:42',null);
INSERT INTO complaint_statuses VALUES('872','412','4',null,'61',null,null,'81','81','2020-08-19 03:29:57','2020-08-19 03:29:57',null);
INSERT INTO complaint_statuses VALUES('873','410','4',null,'58',null,null,'81','81','2020-08-19 03:30:07','2020-08-19 03:30:07',null);
INSERT INTO complaint_statuses VALUES('874','409','4',null,'58',null,null,'81','81','2020-08-19 03:30:16','2020-08-19 03:30:16',null);
INSERT INTO complaint_statuses VALUES('875','209','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-19 03:30:28','2020-09-13 20:19:25',null);
INSERT INTO complaint_statuses VALUES('876','401','4',null,'58',null,null,'81','81','2020-08-19 03:30:29','2020-08-19 03:30:29',null);
INSERT INTO complaint_statuses VALUES('877','198','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-19 03:31:01','2020-09-14 02:45:06',null);
INSERT INTO complaint_statuses VALUES('878','193','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-19 03:31:24','2020-09-23 02:48:36',null);
INSERT INTO complaint_statuses VALUES('879','185','8','23','58','what is solution',null,'81','81','2020-08-19 03:32:52','2020-08-19 03:32:52',null);
INSERT INTO complaint_statuses VALUES('880','183','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-08-19 03:33:14','2020-09-05 20:54:13',null);
INSERT INTO complaint_statuses VALUES('881','182','8','23','61','what is new update',null,'81','81','2020-08-19 03:33:56','2020-08-19 03:33:56',null);
INSERT INTO complaint_statuses VALUES('882','174','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-19 03:34:20','2020-09-12 20:51:28',null);
INSERT INTO complaint_statuses VALUES('883','169','8','23','58','new update ?',null,'81','81','2020-08-19 03:35:01','2020-08-19 03:35:01',null);
INSERT INTO complaint_statuses VALUES('884','168','5','15',null,null,'CASTAMAR GOING TO LAHOUR','81','74','2020-08-19 03:35:41','2020-09-12 20:44:45',null);
INSERT INTO complaint_statuses VALUES('885','167','8','23','58','new update ?',null,'81','81','2020-08-19 03:36:19','2020-08-19 03:36:19',null);
INSERT INTO complaint_statuses VALUES('886','166','5','15',null,null,null,'81','81','2020-08-19 03:36:58','2020-08-19 03:36:58',null);
INSERT INTO complaint_statuses VALUES('887','165','8','23','58','new update',null,'81','81','2020-08-19 03:38:29','2020-08-19 03:38:29',null);
INSERT INTO complaint_statuses VALUES('888','161','8','23','58','new update',null,'81','81','2020-08-19 03:39:13','2020-08-19 03:39:13',null);
INSERT INTO complaint_statuses VALUES('889','158','8','23','62','issue ?',null,'81','81','2020-08-19 03:39:55','2020-08-19 03:39:55',null);
INSERT INTO complaint_statuses VALUES('890','148','8','23','58','new update ?',null,'81','81','2020-08-19 03:40:53','2020-08-19 03:40:53',null);
INSERT INTO complaint_statuses VALUES('891','140','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-19 03:41:24','2020-09-05 22:02:08',null);
INSERT INTO complaint_statuses VALUES('892','134','5','15',null,null,'NOT ATTEND CALL','81','74','2020-08-19 03:41:46','2020-08-26 22:07:06',null);
INSERT INTO complaint_statuses VALUES('893','130','8','23','60','new up date ?',null,'81','81','2020-08-19 03:42:31','2020-08-19 03:42:31',null);
INSERT INTO complaint_statuses VALUES('894','129','8','23','60','new update',null,'81','81','2020-08-19 03:43:17','2020-08-19 03:43:17',null);
INSERT INTO complaint_statuses VALUES('895','123','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-19 03:43:44','2020-09-05 21:48:22',null);
INSERT INTO complaint_statuses VALUES('896','120','8','23','58','new update',null,'81','81','2020-08-19 03:44:24','2020-08-19 03:44:24',null);
INSERT INTO complaint_statuses VALUES('897','106','8','23','56','please define problem',null,'81','81','2020-08-19 03:46:34','2020-08-19 03:46:34',null);
INSERT INTO complaint_statuses VALUES('898','69','8','23','60','please define problem',null,'81','81','2020-08-19 03:47:13','2020-08-19 03:47:13',null);
INSERT INTO complaint_statuses VALUES('899','43','8','15','62',null,null,'81','81','2020-08-19 03:47:43','2020-08-19 03:47:43',null);
INSERT INTO complaint_statuses VALUES('900','37','8','23','61','new update',null,'81','81','2020-08-19 03:49:13','2020-08-19 03:49:13',null);
INSERT INTO complaint_statuses VALUES('901','396','7','12','81','Gas leak   customer apny technician sy repair krwaiy ga unit.  

Owais visit.',null,'83','83','2020-08-19 19:34:44','2020-08-19 19:34:44',null);
INSERT INTO complaint_statuses VALUES('902','397','7','12','81','unit ok   no any noise of fan      frezer side customer ko open kr k check kra di thi  
ups also recommended to cusotmer 

Owais visit.',null,'83','83','2020-08-19 19:36:45','2020-08-19 19:36:45',null);
INSERT INTO complaint_statuses VALUES('903','327','7','10','81',null,null,'83','83','2020-08-19 19:37:16','2020-08-19 19:37:16',null);
INSERT INTO complaint_statuses VALUES('904','329','7','12','81','vehicle  send to  pic the unit customer refuse to hand over the unit without packing  and he also dint have the packing.
inform to customer send the unit at it own at service center',null,'83','83','2020-08-19 19:45:12','2020-08-19 19:45:12',null);
INSERT INTO complaint_statuses VALUES('905','300','7','12','81','unit ok  and hand over to customer',null,'83','83','2020-08-19 19:46:17','2020-08-19 19:46:17',null);
INSERT INTO complaint_statuses VALUES('906','182','7','12','81','water inlet pipe bend.    
machine ok now 

malik sb visit.',null,'83','83','2020-08-19 19:47:51','2020-08-19 19:47:51',null);
INSERT INTO complaint_statuses VALUES('907','124','7','26','81','some one already visit for repair customer cancel the complaint',null,'83','83','2020-08-19 19:58:16','2020-08-19 19:58:16',null);
INSERT INTO complaint_statuses VALUES('908','440','2',null,'81',null,'CARE','73','73','2020-08-19 20:01:50','2020-08-19 20:01:50',null);
INSERT INTO complaint_statuses VALUES('909','440','4',null,'60',null,null,'81','81','2020-08-19 20:05:39','2020-08-19 20:05:39',null);
INSERT INTO complaint_statuses VALUES('910','440','4',null,'60',null,null,'81','81','2020-08-19 20:05:39','2020-08-19 20:05:39',null);
INSERT INTO complaint_statuses VALUES('911','440','4',null,'60',null,null,'81','81','2020-08-19 20:05:39','2020-08-19 20:05:39',null);
INSERT INTO complaint_statuses VALUES('912','440','4',null,'60',null,null,'81','81','2020-08-19 20:05:39','2020-08-19 20:05:39',null);
INSERT INTO complaint_statuses VALUES('913','440','4',null,'60',null,null,'81','81','2020-08-19 20:05:39','2020-08-19 20:05:39',null);
INSERT INTO complaint_statuses VALUES('914','440','4',null,'60',null,null,'81','81','2020-08-19 20:05:39','2020-08-19 20:05:39',null);
INSERT INTO complaint_statuses VALUES('915','440','4',null,'60',null,null,'81','81','2020-08-19 20:05:39','2020-08-19 20:05:39',null);
INSERT INTO complaint_statuses VALUES('916','360','7','12','81','complaint reolved.extust pipe issue',null,'79','79','2020-08-19 20:29:21','2020-08-19 20:29:21',null);
INSERT INTO complaint_statuses VALUES('917','426','7','24','81','back light ka issue hy customer set S/C ni lana chahta gar main set ko open ni kr skty q k set bara hy workshop py he open ho ga',null,'80','80','2020-08-19 20:29:23','2020-08-19 20:29:23',null);
INSERT INTO complaint_statuses VALUES('918','370','7','12','81','complaint resolved',null,'79','79','2020-08-19 20:30:10','2020-08-19 20:30:10',null);
INSERT INTO complaint_statuses VALUES('919','389','7','9','81','no is regular off plz give another name',null,'79','79','2020-08-19 20:34:15','2020-08-19 20:34:15',null);
INSERT INTO complaint_statuses VALUES('920','52','7','12','81','customer parts ni dalwana chahta',null,'80','80','2020-08-19 20:35:00','2020-08-19 20:35:00',null);
INSERT INTO complaint_statuses VALUES('921','388','7','22','81','compressor issue plz  give estimte',null,'79','79','2020-08-19 20:36:36','2020-08-19 20:36:36',null);
INSERT INTO complaint_statuses VALUES('922','394','7','22','81','compresor issue restart ka issue hai .',null,'79','79','2020-08-19 20:37:35','2020-08-19 20:37:35',null);
INSERT INTO complaint_statuses VALUES('923','441','2',null,'81',null,'B.COOL','73','73','2020-08-19 21:19:24','2020-08-19 21:19:24',null);
INSERT INTO complaint_statuses VALUES('924','442','2',null,'81',null,'H.SOLUTION','73','73','2020-08-19 21:27:18','2020-08-19 21:27:18',null);
INSERT INTO complaint_statuses VALUES('925','442','4',null,'62',null,null,'81','81','2020-08-19 21:30:54','2020-08-19 21:30:54',null);
INSERT INTO complaint_statuses VALUES('926','441','4',null,'58',null,null,'81','81','2020-08-19 21:31:09','2020-08-19 21:31:09',null);
INSERT INTO complaint_statuses VALUES('927','443','2',null,'81',null,'AZHAR','73','73','2020-08-19 21:32:47','2020-08-19 21:32:47',null);
INSERT INTO complaint_statuses VALUES('928','443','4',null,'60',null,null,'81','81','2020-08-19 21:34:08','2020-08-19 21:34:08',null);
INSERT INTO complaint_statuses VALUES('929','444','3',null,'53',null,null,'73','73','2020-08-19 22:18:31','2020-08-19 22:18:31',null);
INSERT INTO complaint_statuses VALUES('930','445','2',null,'81',null,'H.SOLUTION','73','73','2020-08-19 22:22:25','2020-08-19 22:22:25',null);
INSERT INTO complaint_statuses VALUES('931','446','3',null,'52',null,null,'73','73','2020-08-19 22:29:15','2020-08-19 22:29:15',null);
INSERT INTO complaint_statuses VALUES('932','447','3',null,'52',null,'COMPLAIN#PKRI20082210
complain#pkri200923110403(23-sep-20)','73','73','2020-08-19 22:32:52','2020-09-24 01:23:39',null);
INSERT INTO complaint_statuses VALUES('933','442','7','24','81','FRWD TO KENWOOD COMPANY',null,'87','87','2020-08-19 22:38:32','2020-08-19 22:38:32',null);
INSERT INTO complaint_statuses VALUES('934','448','2',null,'81',null,'H.SOLUTION','73','73','2020-08-19 22:40:09','2020-08-19 22:40:09',null);
INSERT INTO complaint_statuses VALUES('935','449','3',null,'56',null,null,'73','73','2020-08-19 22:45:55','2020-08-19 22:45:55',null);
INSERT INTO complaint_statuses VALUES('936','450','3',null,'52',null,null,'73','73','2020-08-19 22:51:13','2020-08-19 22:51:13',null);
INSERT INTO complaint_statuses VALUES('937','451','2',null,'81',null,'B.COOL','73','73','2020-08-19 22:53:17','2020-08-19 22:53:17',null);
INSERT INTO complaint_statuses VALUES('938','452','2',null,'81',null,'B.COOL','73','73','2020-08-19 22:57:04','2020-08-19 22:57:04',null);
INSERT INTO complaint_statuses VALUES('939','453','3',null,'52',null,'COMPLAIN#PKRI200826104877
26-8-20','73','73','2020-08-19 23:00:14','2020-08-26 21:25:55',null);
INSERT INTO complaint_statuses VALUES('940','454','2',null,'81',null,'NADEEM','73','73','2020-08-19 23:03:21','2020-08-19 23:03:21',null);
INSERT INTO complaint_statuses VALUES('941','455','3',null,'68',null,'VARIOLINE','73','73','2020-08-19 23:05:03','2020-08-19 23:05:03',null);
INSERT INTO complaint_statuses VALUES('942','456','2',null,'81',null,'CARE','73','73','2020-08-19 23:09:15','2020-08-19 23:09:15',null);
INSERT INTO complaint_statuses VALUES('943','457','3',null,'52',null,null,'73','73','2020-08-19 23:19:33','2020-08-19 23:19:33',null);
INSERT INTO complaint_statuses VALUES('944','458','3',null,'65',null,'C/O SADDIQ SB
NEW COMPLAINT#192017603.NEW COMPLAINT #19201786','73','74','2020-08-19 23:24:38','2020-09-11 01:18:42',null);
INSERT INTO complaint_statuses VALUES('945','442','8','23','62','kanwood sy clear ho to complete kro',null,'81','81','2020-08-19 23:37:27','2020-08-19 23:37:27',null);
INSERT INTO complaint_statuses VALUES('946','459','3',null,'65',null,null,'73','73','2020-08-19 23:41:47','2020-08-19 23:41:47',null);
INSERT INTO complaint_statuses VALUES('947','460','3',null,'66',null,null,'73','73','2020-08-19 23:49:38','2020-08-19 23:49:38',null);
INSERT INTO complaint_statuses VALUES('948','461','3',null,'53',null,null,'73','73','2020-08-20 00:09:58','2020-08-20 00:09:58',null);
INSERT INTO complaint_statuses VALUES('949','462','3',null,'65',null,null,'73','73','2020-08-20 00:16:38','2020-08-20 00:16:38',null);
INSERT INTO complaint_statuses VALUES('950','397','8','15','61',null,'NOT ATTEND CALL','81','74','2020-08-20 00:18:56','2020-08-27 01:32:10',null);
INSERT INTO complaint_statuses VALUES('951','463','3',null,'61',null,'new complaint#202008019699','73','74','2020-08-20 00:19:47','2020-08-27 00:33:44',null);
INSERT INTO complaint_statuses VALUES('952','464','3',null,'52',null,null,'73','73','2020-08-20 00:23:25','2020-08-20 00:23:25',null);
INSERT INTO complaint_statuses VALUES('953','442','7','24','81','0K',null,'87','87','2020-08-20 00:23:28','2020-08-20 00:23:28',null);
INSERT INTO complaint_statuses VALUES('954','465','2',null,'81',null,'GAS APPLIANCE','73','73','2020-08-20 00:24:41','2020-08-20 00:24:41',null);
INSERT INTO complaint_statuses VALUES('955','466','3',null,'53',null,'NEW COMPLAINT # CELL# HI COMPLAINT# HAIN','73','74','2020-08-20 00:52:08','2020-08-27 01:21:41',null);
INSERT INTO complaint_statuses VALUES('956','52','5','15',null,null,null,'81','81','2020-08-20 00:56:21','2020-08-20 00:56:21',null);
INSERT INTO complaint_statuses VALUES('957','124','5','15',null,null,'CUSTOMER NA KHUD COMPLAINT CANCELLED KARWA DI THI CLOSED COMPLAINT','81','74','2020-08-20 00:56:50','2020-09-05 21:51:09',null);
INSERT INTO complaint_statuses VALUES('958','182','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-20 00:57:25','2020-09-13 19:44:50',null);
INSERT INTO complaint_statuses VALUES('959','300','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-20 00:58:02','2020-09-12 22:11:17',null);
INSERT INTO complaint_statuses VALUES('960','327','8','23','61','what's new update',null,'81','81','2020-08-20 00:58:56','2020-08-20 00:58:56',null);
INSERT INTO complaint_statuses VALUES('961','360','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-20 01:02:44','2020-09-19 20:49:44',null);
INSERT INTO complaint_statuses VALUES('962','370','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-20 01:03:09','2020-09-16 00:07:03',null);
INSERT INTO complaint_statuses VALUES('963','388','8','23','58','new comprassor price 9000 + 4500 gas charging +with out transpotation','CUSTOMER SA  ADIL BHAI KI BAT HOI V HAIN   CUSTOMER SIDE SA DELAY HAIN COMPLAINT','81','74','2020-08-20 01:05:34','2020-09-06 00:40:06',null);
INSERT INTO complaint_statuses VALUES('964','460','5',null,null,'COSTUMER SERVICE CENTRE DROP KR DEIN GY.. LED DAMAGED HA',null,'73','73','2020-08-20 01:05:48','2020-08-20 01:05:48',null);
INSERT INTO complaint_statuses VALUES('965','389','8','23','58','plz call csr',null,'81','81','2020-08-20 01:06:27','2020-08-20 01:06:27',null);
INSERT INTO complaint_statuses VALUES('966','426','8','23','59','please contact  csr',null,'81','81','2020-08-20 01:09:06','2020-08-20 01:09:06',null);
INSERT INTO complaint_statuses VALUES('967','396','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-20 01:09:32','2020-09-15 23:07:03',null);
INSERT INTO complaint_statuses VALUES('968','394','8','23','58','what's salutation ?',null,'81','81','2020-08-20 01:12:14','2020-08-20 01:12:14',null);
INSERT INTO complaint_statuses VALUES('969','329','8','23','61','what's salutation ?',null,'81','81','2020-08-20 01:13:07','2020-08-20 01:13:07',null);
INSERT INTO complaint_statuses VALUES('970','323','7','12','81',null,null,'77','77','2020-08-20 01:13:58','2020-08-20 01:13:58',null);
INSERT INTO complaint_statuses VALUES('971','442','8','23','62','what's new update ?',null,'81','81','2020-08-20 01:14:05','2020-08-20 01:14:05',null);
INSERT INTO complaint_statuses VALUES('972','163','7','12','81',null,null,'77','77','2020-08-20 01:15:12','2020-08-20 01:15:12',null);
INSERT INTO complaint_statuses VALUES('973','106','7','12','81',null,null,'77','77','2020-08-20 01:16:16','2020-08-20 01:16:16',null);
INSERT INTO complaint_statuses VALUES('974','73','7','12','81',null,null,'77','77','2020-08-20 01:16:39','2020-08-20 01:16:39',null);
INSERT INTO complaint_statuses VALUES('975','465','4',null,'63',null,null,'81','81','2020-08-20 01:17:52','2020-08-20 01:17:52',null);
INSERT INTO complaint_statuses VALUES('976','456','4',null,'60',null,null,'81','81','2020-08-20 01:18:04','2020-08-20 01:18:04',null);
INSERT INTO complaint_statuses VALUES('977','454','4',null,'59',null,null,'81','81','2020-08-20 01:18:17','2020-08-20 01:18:17',null);
INSERT INTO complaint_statuses VALUES('978','452','4',null,'58',null,null,'81','81','2020-08-20 01:18:28','2020-08-20 01:18:28',null);
INSERT INTO complaint_statuses VALUES('979','451','4',null,'58',null,null,'81','81','2020-08-20 01:18:40','2020-08-20 01:18:40',null);
INSERT INTO complaint_statuses VALUES('980','448','4',null,'62',null,null,'81','81','2020-08-20 01:18:55','2020-08-20 01:18:55',null);
INSERT INTO complaint_statuses VALUES('981','445','4',null,'62',null,null,'81','81','2020-08-20 01:19:07','2020-08-20 01:19:07',null);
INSERT INTO complaint_statuses VALUES('982','323','8','23','56','please feel description',null,'81','81','2020-08-20 01:37:31','2020-08-20 01:37:31',null);
INSERT INTO complaint_statuses VALUES('983','445','7','22','81',null,null,'87','87','2020-08-20 01:43:36','2020-08-20 01:43:36',null);
INSERT INTO complaint_statuses VALUES('984','163','8','15','56',null,null,'81','81','2020-08-20 01:52:32','2020-08-20 01:52:32',null);
INSERT INTO complaint_statuses VALUES('985','445','8','23','62','witch part ?',null,'81','81','2020-08-20 02:15:00','2020-08-20 02:15:00',null);
INSERT INTO complaint_statuses VALUES('986','106','5','15',null,null,null,'81','81','2020-08-20 02:15:49','2020-08-20 02:15:49',null);
INSERT INTO complaint_statuses VALUES('987','448','7','24','81',null,null,'87','87','2020-08-20 02:15:54','2020-08-20 02:15:54',null);
INSERT INTO complaint_statuses VALUES('988','73','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-20 02:16:10','2020-09-12 20:18:32',null);
INSERT INTO complaint_statuses VALUES('989','448','8','23','62','please define problem',null,'81','81','2020-08-20 02:18:19','2020-08-20 02:18:19',null);
INSERT INTO complaint_statuses VALUES('990','467','2',null,'81',null,'B.COOL','73','73','2020-08-20 02:19:25','2020-08-20 02:19:25',null);
INSERT INTO complaint_statuses VALUES('991','467','4',null,'58',null,null,'81','81','2020-08-20 02:19:46','2020-08-20 02:19:46',null);
INSERT INTO complaint_statuses VALUES('992','390','7','12','81','THERE SHOULD 2439S  ( 2 TON ) BUT THERE IS 1239S ( 1 TON )',null,'87','87','2020-08-20 02:23:30','2020-08-20 02:23:30',null);
INSERT INTO complaint_statuses VALUES('993','390','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-20 02:24:48','2020-09-15 23:12:46',null);
INSERT INTO complaint_statuses VALUES('994','468','2',null,'81',null,'LG','73','73','2020-08-20 02:31:53','2020-08-20 02:31:53',null);
INSERT INTO complaint_statuses VALUES('995','468','4',null,'55',null,null,'81','81','2020-08-20 02:32:36','2020-08-20 02:32:36',null);
INSERT INTO complaint_statuses VALUES('996','445','7','24','81','DUCTING MOTER',null,'87','87','2020-08-20 02:33:18','2020-08-20 02:33:18',null);
INSERT INTO complaint_statuses VALUES('997','469','3',null,'66',null,null,'73','73','2020-08-20 02:58:55','2020-08-20 02:58:55',null);
INSERT INTO complaint_statuses VALUES('998','470','3',null,'66',null,'WATER DAMAGE HAIN LHR S/C WORKING IN PROCESS','73','74','2020-08-20 03:05:15','2020-10-15 01:14:55',null);
INSERT INTO complaint_statuses VALUES('999','471','3',null,'52',null,null,'73','73','2020-08-20 03:10:32','2020-08-20 03:10:32',null);
INSERT INTO complaint_statuses VALUES('1000','472','3',null,'66',null,null,'73','73','2020-08-20 03:16:26','2020-08-20 03:16:26',null);
INSERT INTO complaint_statuses VALUES('1001','473','3',null,'53',null,null,'73','73','2020-08-20 03:24:11','2020-08-20 03:24:11',null);
INSERT INTO complaint_statuses VALUES('1002','451','7','12','81','compliant resolved on call',null,'79','79','2020-08-20 04:41:10','2020-08-20 04:41:10',null);
INSERT INTO complaint_statuses VALUES('1003','81','7','12','81','Issue resolved by orient company',null,'87','87','2020-08-20 08:51:30','2020-08-20 08:51:30',null);
INSERT INTO complaint_statuses VALUES('1004','112','7','12','81','Issue resolved by asad',null,'87','87','2020-08-20 08:54:06','2020-08-20 08:54:06',null);
INSERT INTO complaint_statuses VALUES('1005','85','7','12','81','Issue resolved',null,'87','87','2020-08-20 08:57:10','2020-08-20 08:57:10',null);
INSERT INTO complaint_statuses VALUES('1006','158','7','12','81','Comp replaced + gas charged',null,'87','87','2020-08-20 09:03:36','2020-08-20 09:03:36',null);
INSERT INTO complaint_statuses VALUES('1007','206','7','12','81','Issue resolved by asad',null,'87','87','2020-08-20 09:06:27','2020-08-20 09:06:27',null);
INSERT INTO complaint_statuses VALUES('1008','213','7','24','81','Lifted to I-10',null,'87','87','2020-08-20 09:11:06','2020-08-20 09:11:06',null);
INSERT INTO complaint_statuses VALUES('1009','231','7','24','81','Lifted to i-10',null,'87','87','2020-08-20 09:12:28','2020-08-20 09:12:28',null);
INSERT INTO complaint_statuses VALUES('1010','244','7','24','81',null,null,'87','87','2020-08-20 09:14:12','2020-08-20 09:14:12',null);
INSERT INTO complaint_statuses VALUES('1011','287','7','24','81',null,null,'87','87','2020-08-20 09:15:54','2020-08-20 09:15:54',null);
INSERT INTO complaint_statuses VALUES('1012','291','7','24','81','Lifted to i-10',null,'87','87','2020-08-20 09:16:28','2020-08-20 09:16:28',null);
INSERT INTO complaint_statuses VALUES('1013','292','7','12','81','Issue resolved',null,'87','87','2020-08-20 09:20:21','2020-08-20 09:20:21',null);
INSERT INTO complaint_statuses VALUES('1014','318','7','24','81','Cal ki thi kahty abi na aen',null,'87','87','2020-08-20 09:25:30','2020-08-20 09:25:30',null);
INSERT INTO complaint_statuses VALUES('1015','380','7','24','81',null,null,'87','87','2020-08-20 09:26:52','2020-08-20 09:26:52',null);
INSERT INTO complaint_statuses VALUES('1016','442','7','24','81','Still',null,'87','87','2020-08-20 09:29:05','2020-08-20 09:29:05',null);
INSERT INTO complaint_statuses VALUES('1017','448','7','24','81','Filter problem as customer said',null,'87','87','2020-08-20 09:30:32','2020-08-20 09:30:32',null);
INSERT INTO complaint_statuses VALUES('1018','425','7','12','81','complaint resolved.only filter clean',null,'79','79','2020-08-20 19:17:00','2020-08-20 19:17:00',null);
INSERT INTO complaint_statuses VALUES('1019','2','5',null,null,'complaint resolved',null,'74','74','2020-08-20 19:35:08','2020-08-20 19:35:08',null);
INSERT INTO complaint_statuses VALUES('1020','275','7','12','81','Power supply repair  parts install  back at customer home  unit ok 

nouman visit.',null,'83','83','2020-08-20 19:51:00','2020-08-20 19:51:00',null);
INSERT INTO complaint_statuses VALUES('1021','316','7','10','81',null,null,'87','87','2020-08-20 19:57:11','2020-08-20 19:57:11',null);
INSERT INTO complaint_statuses VALUES('1022','352','7','12','81','show room claim k liya MRM service center  pahse 7 bijwa dain.',null,'83','83','2020-08-20 19:59:18','2020-08-20 19:59:18',null);
INSERT INTO complaint_statuses VALUES('1023','474','2',null,'81',null,'20-AUG-2020
FF TO USMAN MRM','74','74','2020-08-20 20:03:55','2020-08-20 20:03:55',null);
INSERT INTO complaint_statuses VALUES('1024','475','2',null,'81',null,'URGENT COMPLAIN HA. .

C/O MUDASSIR PWD HA... INVOICE COSTUMER SE MIL JAE GI','73','73','2020-08-20 20:16:11','2020-08-20 20:16:11',null);
INSERT INTO complaint_statuses VALUES('1025','476','2',null,'81',null,'URGENT COMPLAIN HA. .

C/O MUDASSIR PWD HA... INVOICE COSTUMER SE MIL JAE GI','73','73','2020-08-20 20:16:13','2020-08-20 20:16:13',null);
INSERT INTO complaint_statuses VALUES('1026','476','4',null,'58',null,null,'81','81','2020-08-20 20:19:51','2020-08-20 20:19:51',null);
INSERT INTO complaint_statuses VALUES('1027','475','4',null,'58',null,null,'81','81','2020-08-20 20:20:02','2020-08-20 20:20:02',null);
INSERT INTO complaint_statuses VALUES('1028','474','4',null,'61',null,null,'81','81','2020-08-20 20:20:20','2020-08-20 20:20:20',null);
INSERT INTO complaint_statuses VALUES('1029','477','3',null,'65',null,null,'73','73','2020-08-20 20:22:58','2020-08-20 20:22:58',null);
INSERT INTO complaint_statuses VALUES('1030','478','2',null,'81',null,'20-AUG-2020.
FF TO BEST COOL','74','74','2020-08-20 20:27:25','2020-08-20 20:27:25',null);
INSERT INTO complaint_statuses VALUES('1031','478','4',null,'58',null,null,'81','81','2020-08-20 20:41:08','2020-08-20 20:41:08',null);
INSERT INTO complaint_statuses VALUES('1032','451','5','15',null,'complaint complete','COMPLAINT RESOLVED','81','74','2020-08-20 21:13:27','2020-09-12 20:13:16',null);
INSERT INTO complaint_statuses VALUES('1033','448','8','23','62','what's new update',null,'81','81','2020-08-20 21:21:01','2020-08-20 21:21:01',null);
INSERT INTO complaint_statuses VALUES('1034','479','2',null,'81',null,'B.COOL','73','73','2020-08-20 21:22:42','2020-08-20 21:22:42',null);
INSERT INTO complaint_statuses VALUES('1035','480','3',null,'52',null,null,'73','73','2020-08-20 21:32:20','2020-08-20 21:32:20',null);
INSERT INTO complaint_statuses VALUES('1036','481','2',null,'81',null,'LG','73','73','2020-08-20 22:08:00','2020-08-20 22:08:00',null);
INSERT INTO complaint_statuses VALUES('1037','425','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-20 22:09:10','2020-09-17 02:15:08',null);
INSERT INTO complaint_statuses VALUES('1038','380','8','23','62','new update',null,'81','81','2020-08-20 22:10:30','2020-08-20 22:10:30',null);
INSERT INTO complaint_statuses VALUES('1039','318','8','23','62','new update',null,'81','81','2020-08-20 22:17:25','2020-08-20 22:17:25',null);
INSERT INTO complaint_statuses VALUES('1040','448','7','24','81','CUSTOMER CALLED TO VISIT AFTER 4 PM',null,'87','87','2020-08-20 22:18:47','2020-08-20 22:18:47',null);
INSERT INTO complaint_statuses VALUES('1041','316','8','23','62','new update',null,'81','81','2020-08-20 22:18:51','2020-08-20 22:18:51',null);
INSERT INTO complaint_statuses VALUES('1042','482','2',null,'81',null,'KHALID','73','73','2020-08-20 22:22:48','2020-08-20 22:22:48',null);
INSERT INTO complaint_statuses VALUES('1043','316','7','24','81','LIFT HIMSELF',null,'87','87','2020-08-20 22:23:00','2020-08-20 22:23:00',null);
INSERT INTO complaint_statuses VALUES('1044','292','8','23','62','issue details ?',null,'81','81','2020-08-20 22:23:14','2020-08-20 22:23:14',null);
INSERT INTO complaint_statuses VALUES('1045','352','8','23','61','show room claim k  liya transport company ki hote hy',null,'81','81','2020-08-20 22:25:19','2020-08-20 22:25:19',null);
INSERT INTO complaint_statuses VALUES('1046','380','7','24','81',null,null,'87','87','2020-08-20 22:25:44','2020-08-20 22:25:44',null);
INSERT INTO complaint_statuses VALUES('1047','291','8','23','62','what's problem',null,'81','81','2020-08-20 22:27:21','2020-08-20 22:27:21',null);
INSERT INTO complaint_statuses VALUES('1048','483','2',null,'81',null,'B.COOL','73','73','2020-08-20 22:28:24','2020-08-20 22:28:24',null);
INSERT INTO complaint_statuses VALUES('1049','287','8','23','62','what's issue',null,'81','81','2020-08-20 22:28:47','2020-08-20 22:28:47',null);
INSERT INTO complaint_statuses VALUES('1050','81','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-20 22:29:33','2020-08-26 22:08:57',null);
INSERT INTO complaint_statuses VALUES('1051','212','7','12','81','ISSUE RESOLVED BY KASHIF',null,'87','87','2020-08-20 22:29:48','2020-08-20 22:29:48',null);
INSERT INTO complaint_statuses VALUES('1052','85','5','15',null,null,null,'81','81','2020-08-20 22:30:04','2020-08-20 22:30:04',null);
INSERT INTO complaint_statuses VALUES('1053','112','5','15',null,null,'COMPLAINT  RESOLVED','81','74','2020-08-20 22:30:56','2020-09-13 19:22:36',null);
INSERT INTO complaint_statuses VALUES('1054','484','2',null,'81',null,'B.COOL','73','73','2020-08-20 22:31:03','2020-08-20 22:31:03',null);
INSERT INTO complaint_statuses VALUES('1055','158','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-20 22:31:39','2020-09-12 20:28:18',null);
INSERT INTO complaint_statuses VALUES('1056','287','7','12','81','FAN STUCK. NOW ISSUE RESOLVED BY KASHIF',null,'87','87','2020-08-20 22:31:53','2020-08-20 22:31:53',null);
INSERT INTO complaint_statuses VALUES('1057','206','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-20 22:33:00','2020-09-13 20:15:29',null);
INSERT INTO complaint_statuses VALUES('1058','212','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-20 22:33:28','2020-09-16 01:07:25',null);
INSERT INTO complaint_statuses VALUES('1059','485','3',null,'52',null,null,'73','73','2020-08-20 22:34:12','2020-08-20 22:34:12',null);
INSERT INTO complaint_statuses VALUES('1060','318','7','24','81',null,null,'87','87','2020-08-20 22:34:27','2020-08-20 22:34:27',null);
INSERT INTO complaint_statuses VALUES('1061','213','8','23','62','define issue',null,'81','81','2020-08-20 22:34:58','2020-08-20 22:34:58',null);
INSERT INTO complaint_statuses VALUES('1062','231','8','23','62','define issue',null,'81','81','2020-08-20 22:35:45','2020-08-20 22:35:45',null);
INSERT INTO complaint_statuses VALUES('1063','244','8','23','62','new update',null,'81','81','2020-08-20 22:36:23','2020-08-20 22:36:23',null);
INSERT INTO complaint_statuses VALUES('1064','275','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-20 22:37:10','2020-09-13 20:40:41',null);
INSERT INTO complaint_statuses VALUES('1065','287','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-20 22:37:55','2020-09-16 00:48:19',null);
INSERT INTO complaint_statuses VALUES('1066','486','2',null,'81',null,'B.COOL','73','73','2020-08-20 22:39:41','2020-08-20 22:39:41',null);
INSERT INTO complaint_statuses VALUES('1067','316','8','23','62','job complete kr ky wapis send kia kro',null,'81','81','2020-08-20 22:40:04','2020-08-20 22:40:04',null);
INSERT INTO complaint_statuses VALUES('1068','487','2',null,'81',null,'KHALID','73','73','2020-08-20 22:41:02','2020-08-20 22:41:02',null);
INSERT INTO complaint_statuses VALUES('1069','316','7','24','81','0K',null,'87','87','2020-08-20 22:41:42','2020-08-20 22:41:42',null);
INSERT INTO complaint_statuses VALUES('1070','488','2',null,'81',null,'KHALID','73','73','2020-08-20 22:41:59','2020-08-20 22:41:59',null);
INSERT INTO complaint_statuses VALUES('1071','318','8','23','62','complete kr ky back kia kro',null,'81','81','2020-08-20 22:43:09','2020-08-20 22:43:09',null);
INSERT INTO complaint_statuses VALUES('1072','316','8','23','62',null,null,'81','81','2020-08-20 22:44:33','2020-08-20 22:44:33',null);
INSERT INTO complaint_statuses VALUES('1073','380','8','23','62',null,null,'81','81','2020-08-20 22:45:02','2020-08-20 22:45:02',null);
INSERT INTO complaint_statuses VALUES('1074','442','8','23','62',null,null,'81','81','2020-08-20 22:45:26','2020-08-20 22:45:26',null);
INSERT INTO complaint_statuses VALUES('1075','489','2',null,'81',null,'LG','73','73','2020-08-20 22:45:42','2020-08-20 22:45:42',null);
INSERT INTO complaint_statuses VALUES('1076','448','8','23','62',null,null,'81','81','2020-08-20 22:46:03','2020-08-20 22:46:03',null);
INSERT INTO complaint_statuses VALUES('1077','292','7','12','81','TEMPERATURE PROBLEM',null,'87','87','2020-08-20 22:46:13','2020-08-20 22:46:13',null);
INSERT INTO complaint_statuses VALUES('1078','490','2',null,'81',null,'B.COOL','73','73','2020-08-20 22:52:38','2020-08-20 22:52:38',null);
INSERT INTO complaint_statuses VALUES('1079','491','2',null,'81',null,'CARE','73','73','2020-08-20 22:55:34','2020-08-20 22:55:34',null);
INSERT INTO complaint_statuses VALUES('1080','492','3',null,'54',null,'RELAUNCH#1711425.
NEW COMPLAINT# SAME COMPLAINT# HAIN','73','74','2020-08-20 23:01:30','2020-09-02 22:12:08',null);
INSERT INTO complaint_statuses VALUES('1081','402','5',null,null,'NO VISIT','NEW COMPLAINT ENTER KARWAI  202009004684. GAT KIT IC  MODEL KI GASS KIT AVAIL NAI PHALAY B ADJUSTMENT KAR K AAY THAY','74','74','2020-08-20 23:17:36','2020-09-07 23:26:52',null);
INSERT INTO complaint_statuses VALUES('1082','493','2',null,'81',null,'COMPANY NE CHK KR LIA HA. . INSTALLER KA FAULT HA, PIPE ADJUSTMENT WRONG HA','73','73','2020-08-20 23:20:38','2020-08-20 23:20:38',null);
INSERT INTO complaint_statuses VALUES('1083','33','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-20 23:28:41','2020-08-20 23:28:41',null);
INSERT INTO complaint_statuses VALUES('1084','494','2',null,'81',null,'B.COOL','73','73','2020-08-20 23:30:12','2020-08-20 23:30:12',null);
INSERT INTO complaint_statuses VALUES('1085','495','3',null,'68',null,null,'73','73','2020-08-20 23:32:10','2020-08-20 23:32:10',null);
INSERT INTO complaint_statuses VALUES('1086','26','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-20 23:32:14','2020-08-20 23:32:14',null);
INSERT INTO complaint_statuses VALUES('1087','496','3',null,'52',null,null,'73','73','2020-08-20 23:36:00','2020-08-20 23:36:00',null);
INSERT INTO complaint_statuses VALUES('1088','25','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-20 23:37:17','2020-08-20 23:37:17',null);
INSERT INTO complaint_statuses VALUES('1089','497','2',null,'81',null,'B.COOL','73','73','2020-08-20 23:47:49','2020-08-20 23:47:49',null);
INSERT INTO complaint_statuses VALUES('1090','9','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-20 23:50:34','2020-08-20 23:50:34',null);
INSERT INTO complaint_statuses VALUES('1091','383','7','12','81','Customer k pass unit nahi ha  kah rahain  ha koi ly gaya tha unit',null,'83','83','2020-08-20 23:50:46','2020-08-20 23:50:46',null);
INSERT INTO complaint_statuses VALUES('1092','498','2',null,'81',null,'GAS','73','73','2020-08-20 23:51:20','2020-08-20 23:51:20',null);
INSERT INTO complaint_statuses VALUES('1093','1','5',null,null,'COMPLAINT CLOSED','CUSTOMER NA SET REPLACE KARWA LIYA HAIN','74','74','2020-08-20 23:51:48','2020-09-01 22:15:35',null);
INSERT INTO complaint_statuses VALUES('1094','499','3',null,'67',null,'CANON','73','73','2020-08-20 23:56:23','2020-08-20 23:56:23',null);
INSERT INTO complaint_statuses VALUES('1095','3','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 00:03:00','2020-08-21 00:03:00',null);
INSERT INTO complaint_statuses VALUES('1096','500','2',null,'81',null,'B.COOL

UNIT SHOWROOM HA... PLZ SHOWROOM VISIT KAREIN','73','73','2020-08-21 00:06:53','2020-08-21 00:06:53',null);
INSERT INTO complaint_statuses VALUES('1097','501','2',null,'81',null,'CARE','73','73','2020-08-21 00:11:44','2020-08-21 00:11:44',null);
INSERT INTO complaint_statuses VALUES('1098','502','3',null,'57',null,null,'73','73','2020-08-21 00:15:40','2020-08-21 00:15:40',null);
INSERT INTO complaint_statuses VALUES('1099','16','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-08-21 00:17:45','2020-08-21 00:17:45',null);
INSERT INTO complaint_statuses VALUES('1100','501','4',null,'60',null,null,'81','81','2020-08-21 00:23:33','2020-08-21 00:23:33',null);
INSERT INTO complaint_statuses VALUES('1101','500','4',null,'58',null,null,'81','81','2020-08-21 00:23:46','2020-08-21 00:23:46',null);
INSERT INTO complaint_statuses VALUES('1102','498','4',null,'63',null,null,'81','81','2020-08-21 00:23:56','2020-08-21 00:23:56',null);
INSERT INTO complaint_statuses VALUES('1103','497','4',null,'58',null,null,'81','81','2020-08-21 00:24:07','2020-08-21 00:24:07',null);
INSERT INTO complaint_statuses VALUES('1104','494','4',null,'58',null,null,'81','81','2020-08-21 00:24:17','2020-08-21 00:24:17',null);
INSERT INTO complaint_statuses VALUES('1105','493','4',null,'62',null,null,'81','81','2020-08-21 00:24:29','2020-08-21 00:24:29',null);
INSERT INTO complaint_statuses VALUES('1106','491','4',null,'60',null,null,'81','81','2020-08-21 00:24:41','2020-08-21 00:24:41',null);
INSERT INTO complaint_statuses VALUES('1107','490','4',null,'58',null,null,'81','81','2020-08-21 00:24:56','2020-08-21 00:24:56',null);
INSERT INTO complaint_statuses VALUES('1108','490','4',null,'58',null,null,'81','81','2020-08-21 00:24:56','2020-08-21 00:24:56',null);
INSERT INTO complaint_statuses VALUES('1109','489','4',null,'55',null,'OTHER#03165352415','81','73','2020-08-21 00:25:10','2020-08-22 23:00:29',null);
INSERT INTO complaint_statuses VALUES('1110','488','4',null,'56',null,null,'81','81','2020-08-21 00:25:22','2020-08-21 00:25:22',null);
INSERT INTO complaint_statuses VALUES('1111','487','4',null,'56',null,null,'81','81','2020-08-21 00:25:32','2020-08-21 00:25:32',null);
INSERT INTO complaint_statuses VALUES('1112','486','4',null,'58',null,null,'81','81','2020-08-21 00:25:42','2020-08-21 00:25:42',null);
INSERT INTO complaint_statuses VALUES('1113','484','4',null,'58',null,null,'81','81','2020-08-21 00:25:54','2020-08-21 00:25:54',null);
INSERT INTO complaint_statuses VALUES('1114','483','4',null,'58',null,null,'81','81','2020-08-21 00:26:05','2020-08-21 00:26:05',null);
INSERT INTO complaint_statuses VALUES('1115','482','4',null,'56',null,null,'81','81','2020-08-21 00:26:15','2020-08-21 00:26:15',null);
INSERT INTO complaint_statuses VALUES('1116','481','4',null,'55',null,'03145358769','81','73','2020-08-21 00:26:24','2020-08-25 00:46:58',null);
INSERT INTO complaint_statuses VALUES('1117','479','4',null,'58',null,null,'81','81','2020-08-21 00:26:34','2020-08-21 00:26:34',null);
INSERT INTO complaint_statuses VALUES('1118','503','2',null,'81',null,'CARE','73','73','2020-08-21 00:35:11','2020-08-21 00:35:11',null);
INSERT INTO complaint_statuses VALUES('1119','503','4',null,'60',null,null,'81','81','2020-08-21 00:35:30','2020-08-21 00:35:30',null);
INSERT INTO complaint_statuses VALUES('1120','27','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-08-21 00:39:42','2020-08-21 00:39:42',null);
INSERT INTO complaint_statuses VALUES('1121','29','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 00:46:02','2020-08-21 00:46:02',null);
INSERT INTO complaint_statuses VALUES('1122','32','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-08-21 00:51:07','2020-08-21 00:51:07',null);
INSERT INTO complaint_statuses VALUES('1123','36','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 01:06:27','2020-08-21 01:06:27',null);
INSERT INTO complaint_statuses VALUES('1124','36','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 01:06:27','2020-08-21 01:06:27',null);
INSERT INTO complaint_statuses VALUES('1125','36','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 01:06:28','2020-08-21 01:06:28',null);
INSERT INTO complaint_statuses VALUES('1126','504','3',null,'52',null,null,'73','73','2020-08-21 01:08:22','2020-08-21 01:08:22',null);
INSERT INTO complaint_statuses VALUES('1127','39','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-08-21 01:08:34','2020-08-21 01:08:34',null);
INSERT INTO complaint_statuses VALUES('1128','41','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-08-21 01:10:49','2020-08-21 01:10:49',null);
INSERT INTO complaint_statuses VALUES('1129','505','2',null,'81',null,'ADD:DHOK AWAN DHORIAN WAAH VILLAGE TEXILLA DIS RWP','73','73','2020-08-21 01:13:38','2020-08-21 01:19:19',null);
INSERT INTO complaint_statuses VALUES('1130','506','3',null,'54',null,null,'73','73','2020-08-21 01:16:44','2020-08-21 01:16:44',null);
INSERT INTO complaint_statuses VALUES('1131','45','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 01:17:01','2020-08-21 01:17:01',null);
INSERT INTO complaint_statuses VALUES('1132','60','7','12','81',null,null,'82','82','2020-08-21 01:17:43','2020-08-21 01:17:43',null);
INSERT INTO complaint_statuses VALUES('1133','505','4',null,'55',null,null,'81','81','2020-08-21 01:22:23','2020-08-21 01:22:23',null);
INSERT INTO complaint_statuses VALUES('1134','48','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 01:24:31','2020-08-21 01:24:31',null);
INSERT INTO complaint_statuses VALUES('1135','49','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 01:26:53','2020-08-21 01:26:53',null);
INSERT INTO complaint_statuses VALUES('1136','493','7','24','81',null,null,'87','87','2020-08-21 01:29:04','2020-08-21 01:29:04',null);
INSERT INTO complaint_statuses VALUES('1137','70','7','28','81','task...69
task..70',null,'82','82','2020-08-21 01:32:56','2020-08-21 01:32:56',null);
INSERT INTO complaint_statuses VALUES('1138','69','7','12','81','costmer not setisfid refrigretor  ok no problem.
c/o azhar sab',null,'82','82','2020-08-21 01:35:14','2020-08-21 01:35:14',null);
INSERT INTO complaint_statuses VALUES('1139','507','3',null,'56',null,'WHIRLPOOL','73','73','2020-08-21 01:36:30','2020-08-21 01:36:30',null);
INSERT INTO complaint_statuses VALUES('1140','508','3',null,'54',null,null,'73','73','2020-08-21 01:40:01','2020-08-21 01:40:01',null);
INSERT INTO complaint_statuses VALUES('1141','509','3',null,'52',null,null,'73','73','2020-08-21 01:42:38','2020-08-21 01:42:38',null);
INSERT INTO complaint_statuses VALUES('1142','54','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 01:47:19','2020-08-21 01:47:19',null);
INSERT INTO complaint_statuses VALUES('1143','510','2',null,'81',null,'B.COOL','73','73','2020-08-21 01:51:08','2020-08-21 01:51:08',null);
INSERT INTO complaint_statuses VALUES('1144','510','4',null,'58',null,null,'81','81','2020-08-21 01:51:32','2020-08-21 01:51:32',null);
INSERT INTO complaint_statuses VALUES('1145','57','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 01:51:50','2020-08-21 01:51:50',null);
INSERT INTO complaint_statuses VALUES('1146','55','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 01:53:36','2020-08-21 01:53:36',null);
INSERT INTO complaint_statuses VALUES('1147','58','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 01:55:44','2020-08-21 01:55:44',null);
INSERT INTO complaint_statuses VALUES('1148','59','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 01:56:41','2020-08-21 01:56:41',null);
INSERT INTO complaint_statuses VALUES('1149','63','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 02:03:04','2020-08-21 02:03:04',null);
INSERT INTO complaint_statuses VALUES('1150','64','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 02:04:46','2020-08-21 02:04:46',null);
INSERT INTO complaint_statuses VALUES('1151','65','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 02:06:25','2020-08-21 02:06:25',null);
INSERT INTO complaint_statuses VALUES('1152','66','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 02:07:23','2020-08-21 02:07:23',null);
INSERT INTO complaint_statuses VALUES('1153','74','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 02:19:37','2020-08-21 02:19:37',null);
INSERT INTO complaint_statuses VALUES('1154','75','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 02:23:17','2020-08-21 02:23:17',null);
INSERT INTO complaint_statuses VALUES('1155','76','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-08-21 02:25:55','2020-08-21 02:25:55',null);
INSERT INTO complaint_statuses VALUES('1156','77','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 02:27:10','2020-08-21 02:27:10',null);
INSERT INTO complaint_statuses VALUES('1157','78','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 02:30:47','2020-08-21 02:30:47',null);
INSERT INTO complaint_statuses VALUES('1158','82','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 02:48:29','2020-08-21 02:48:29',null);
INSERT INTO complaint_statuses VALUES('1159','86','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 02:54:54','2020-08-21 02:54:54',null);
INSERT INTO complaint_statuses VALUES('1160','84','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 02:55:43','2020-08-21 02:55:43',null);
INSERT INTO complaint_statuses VALUES('1161','60','8','23','60','please define issue',null,'81','81','2020-08-21 03:43:23','2020-08-21 03:43:23',null);
INSERT INTO complaint_statuses VALUES('1162','69','8','23','60','where is refrigerator showroom ya your service center ?',null,'81','81','2020-08-21 03:45:09','2020-08-21 03:45:09',null);
INSERT INTO complaint_statuses VALUES('1163','70','5','15',null,null,'DOUBL COMPLAINT ENTER','81','74','2020-08-21 03:45:38','2020-09-05 21:15:21',null);
INSERT INTO complaint_statuses VALUES('1164','292','8','23','62','please resolve thermostat issue',null,'81','81','2020-08-21 03:48:08','2020-08-21 03:48:08',null);
INSERT INTO complaint_statuses VALUES('1165','493','8','23','62',null,null,'81','81','2020-08-21 03:51:06','2020-08-21 03:51:06',null);
INSERT INTO complaint_statuses VALUES('1166','61','7','12','81','Rat Cutting Wiring Repaired (Ready to deliver 19-08-2020)',null,'76','76','2020-08-21 18:54:30','2020-08-21 18:54:30',null);
INSERT INTO complaint_statuses VALUES('1167','11','7','12','81','Child Lock Problem Resolved',null,'76','76','2020-08-21 18:57:27','2020-08-21 18:57:27',null);
INSERT INTO complaint_statuses VALUES('1168','176','7','12','81','Demonstration Only.',null,'76','76','2020-08-21 19:00:15','2020-08-21 19:00:15',null);
INSERT INTO complaint_statuses VALUES('1169','80','7','24','81','Under Repair in SVC',null,'76','76','2020-08-21 19:01:49','2020-08-21 19:01:49',null);
INSERT INTO complaint_statuses VALUES('1170','116','7','12','81','Water Level sensor Replaced and Service.',null,'76','76','2020-08-21 19:05:14','2020-08-21 19:05:14',null);
INSERT INTO complaint_statuses VALUES('1171','150','7','12','81','Demonstration Only.',null,'76','76','2020-08-21 19:06:38','2020-08-21 19:06:38',null);
INSERT INTO complaint_statuses VALUES('1172','202','7','12','81','Compressor Replaced.',null,'76','76','2020-08-21 19:07:51','2020-08-21 19:07:51',null);
INSERT INTO complaint_statuses VALUES('1173','393','7','12','81','Filter Service.',null,'76','76','2020-08-21 19:08:28','2020-08-21 19:08:28',null);
INSERT INTO complaint_statuses VALUES('1174','201','7','12','81','Door Adjustment.',null,'76','76','2020-08-21 19:09:27','2020-08-21 19:09:27',null);
INSERT INTO complaint_statuses VALUES('1175','422','7','24','81','In Progress at Service center.',null,'76','76','2020-08-21 19:10:16','2020-08-21 19:10:16',null);
INSERT INTO complaint_statuses VALUES('1176','189','7','12','81','Drain Pipe Adjustment.',null,'76','76','2020-08-21 19:11:08','2020-08-21 19:11:08',null);
INSERT INTO complaint_statuses VALUES('1177','421','7','12','81','jobcomplite     c/o azhar sab',null,'82','82','2020-08-21 19:12:16','2020-08-21 19:12:16',null);
INSERT INTO complaint_statuses VALUES('1178','56','7','26','81',null,null,'76','76','2020-08-21 19:12:18','2020-08-21 19:12:18',null);
INSERT INTO complaint_statuses VALUES('1179','13','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 20:09:15','2020-08-21 20:09:15',null);
INSERT INTO complaint_statuses VALUES('1180','511','3',null,'52',null,'21-08-2020
COMPLAINT#PK20200820000055( ON LINE CUSTOMER NA KHUD KARWAI','74','74','2020-08-21 20:14:06','2020-08-21 20:14:06',null);
INSERT INTO complaint_statuses VALUES('1181','412','7','24','81','Inverter board defective',null,'83','83','2020-08-21 20:37:48','2020-08-21 20:37:48',null);
INSERT INTO complaint_statuses VALUES('1182','512','2',null,'81',null,'21-08-2020

FF TO AZHAR RAMZAN','74','74','2020-08-21 20:38:54','2020-08-21 20:38:54',null);
INSERT INTO complaint_statuses VALUES('1183','512','4',null,'60',null,null,'81','81','2020-08-21 20:40:12','2020-08-21 20:40:12',null);
INSERT INTO complaint_statuses VALUES('1184','513','2',null,'81',null,'21-08-2020
FF TO BEST COOL','74','74','2020-08-21 20:45:35','2020-08-21 20:45:35',null);
INSERT INTO complaint_statuses VALUES('1185','513','4',null,'58',null,null,'81','81','2020-08-21 20:46:51','2020-08-21 20:46:51',null);
INSERT INTO complaint_statuses VALUES('1186','318','7','12','81','SENSOR ISSUE. NOW RESOLVED',null,'87','87','2020-08-21 21:18:55','2020-08-21 21:18:55',null);
INSERT INTO complaint_statuses VALUES('1187','514','3',null,'55',null,'21-08-2020.
FF TO NAEEM KENWOOD','74','74','2020-08-21 21:19:02','2020-08-21 21:19:02',null);
INSERT INTO complaint_statuses VALUES('1188','515','2',null,'81',null,'21-08-2020.
FF TO SHAMIM AKHTER','74','74','2020-08-21 21:21:28','2020-08-21 21:21:28',null);
INSERT INTO complaint_statuses VALUES('1189','515','4',null,'55',null,null,'81','81','2020-08-21 21:21:55','2020-08-21 21:21:55',null);
INSERT INTO complaint_statuses VALUES('1190','516','2',null,'81',null,'21-08-2020
FF TO SHAMIM AKHTER','74','74','2020-08-21 21:41:05','2020-08-21 21:41:05',null);
INSERT INTO complaint_statuses VALUES('1191','516','4',null,'55',null,null,'81','81','2020-08-21 21:46:08','2020-08-21 21:46:08',null);
INSERT INTO complaint_statuses VALUES('1192','516','4',null,'55',null,null,'81','81','2020-08-21 21:46:08','2020-08-21 21:46:08',null);
INSERT INTO complaint_statuses VALUES('1193','517','3',null,'54',null,'21-AUG-2020
COMPLAINT#1711819','74','74','2020-08-21 21:48:33','2020-08-21 21:48:33',null);
INSERT INTO complaint_statuses VALUES('1194','518','2',null,'81',null,'21-08-2020.
FF TO SHAMIN AKHTER','74','74','2020-08-21 22:18:39','2020-08-21 22:18:39',null);
INSERT INTO complaint_statuses VALUES('1195','518','4',null,'55',null,null,'81','81','2020-08-21 22:22:56','2020-08-21 22:22:56',null);
INSERT INTO complaint_statuses VALUES('1196','518','4',null,'55',null,null,'81','81','2020-08-21 22:22:56','2020-08-21 22:22:56',null);
INSERT INTO complaint_statuses VALUES('1197','428','7','26','81','problem solved no need of visit.',null,'76','76','2020-08-21 22:24:29','2020-08-21 22:24:29',null);
INSERT INTO complaint_statuses VALUES('1198','333','7','22','81','Freezer Portation Light require.',null,'76','76','2020-08-21 22:27:00','2020-08-21 22:27:00',null);
INSERT INTO complaint_statuses VALUES('1199','519','3',null,'53',null,'21-08-2020
COMPLAINT#33930','74','74','2020-08-21 22:30:34','2020-08-21 22:30:34',null);
INSERT INTO complaint_statuses VALUES('1200','414','7','12','81',null,null,'77','77','2020-08-21 22:32:24','2020-08-21 22:32:24',null);
INSERT INTO complaint_statuses VALUES('1201','323','7','12','81',null,null,'77','77','2020-08-21 22:33:05','2020-08-21 22:33:05',null);
INSERT INTO complaint_statuses VALUES('1202','496','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 22:34:11','2020-08-21 22:34:11',null);
INSERT INTO complaint_statuses VALUES('1203','91','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 22:38:33','2020-08-21 22:38:33',null);
INSERT INTO complaint_statuses VALUES('1204','520','3',null,'67',null,'21-08-2020

FF TO ANWAR CARVELL','74','74','2020-08-21 22:47:57','2020-08-21 22:47:57',null);
INSERT INTO complaint_statuses VALUES('1205','437','7','26','81','Panel damage     
cost issue  cancel by customer',null,'83','83','2020-08-21 22:49:09','2020-08-21 22:49:09',null);
INSERT INTO complaint_statuses VALUES('1206','11','8','15','55',null,null,'81','81','2020-08-21 23:17:45','2020-08-21 23:17:45',null);
INSERT INTO complaint_statuses VALUES('1207','56','8','23','55','please define reason of cancel ?',null,'81','81','2020-08-21 23:19:48','2020-08-21 23:19:48',null);
INSERT INTO complaint_statuses VALUES('1208','61','8','15','55',null,null,'81','81','2020-08-21 23:20:22','2020-08-21 23:20:22',null);
INSERT INTO complaint_statuses VALUES('1209','80','8','23','55','please define reason of problem',null,'81','81','2020-08-21 23:22:44','2020-08-21 23:22:44',null);
INSERT INTO complaint_statuses VALUES('1210','116','8','15','55',null,null,'81','81','2020-08-21 23:23:15','2020-08-21 23:23:15',null);
INSERT INTO complaint_statuses VALUES('1211','150','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-21 23:23:40','2020-09-12 20:25:04',null);
INSERT INTO complaint_statuses VALUES('1212','176','8','15','55',null,null,'81','81','2020-08-21 23:24:07','2020-08-21 23:24:07',null);
INSERT INTO complaint_statuses VALUES('1213','189','8','15','55',null,null,'81','81','2020-08-21 23:24:31','2020-08-21 23:24:31',null);
INSERT INTO complaint_statuses VALUES('1214','201','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-21 23:24:52','2020-09-12 21:27:31',null);
INSERT INTO complaint_statuses VALUES('1215','202','8','23','55','define the details of expense ?',null,'81','81','2020-08-21 23:27:46','2020-08-21 23:27:46',null);
INSERT INTO complaint_statuses VALUES('1216','318','5','15',null,null,'Complaint  Resolved','81','73','2020-08-21 23:28:12','2020-09-11 20:35:31',null);
INSERT INTO complaint_statuses VALUES('1217','323','8','23','56','please define the details of problem ?',null,'81','81','2020-08-21 23:29:56','2020-08-21 23:29:56',null);
INSERT INTO complaint_statuses VALUES('1218','333','8','23','55','How much time do you need to get a part ?',null,'81','81','2020-08-21 23:36:16','2020-08-21 23:36:16',null);
INSERT INTO complaint_statuses VALUES('1219','393','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-21 23:37:11','2020-09-17 02:51:31',null);
INSERT INTO complaint_statuses VALUES('1220','521','3',null,'53',null,'21-08-2020
COMPLAINT#1033965','74','74','2020-08-21 23:37:57','2020-08-21 23:37:57',null);
INSERT INTO complaint_statuses VALUES('1221','412','8','23','61','How much time do you need to get a part?',null,'81','81','2020-08-21 23:37:58','2020-08-21 23:37:58',null);
INSERT INTO complaint_statuses VALUES('1222','414','8','23','56','Explain the problem ?',null,'81','81','2020-08-21 23:40:59','2020-08-21 23:40:59',null);
INSERT INTO complaint_statuses VALUES('1223','522','2',null,'81',null,'21-08-2020

FF TO BEST COOL','74','74','2020-08-21 23:48:55','2020-08-21 23:48:55',null);
INSERT INTO complaint_statuses VALUES('1224','522','4',null,'58',null,null,'81','81','2020-08-21 23:49:30','2020-08-21 23:49:30',null);
INSERT INTO complaint_statuses VALUES('1225','522','4',null,'58',null,null,'81','81','2020-08-21 23:49:31','2020-08-21 23:49:31',null);
INSERT INTO complaint_statuses VALUES('1226','90','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 23:52:42','2020-08-21 23:52:42',null);
INSERT INTO complaint_statuses VALUES('1227','100','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 23:55:57','2020-08-21 23:55:57',null);
INSERT INTO complaint_statuses VALUES('1228','102','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-21 23:58:14','2020-08-21 23:58:14',null);
INSERT INTO complaint_statuses VALUES('1229','434','7','10','81','Customer is out of city  he will contact when back',null,'83','83','2020-08-22 00:09:31','2020-08-22 00:09:31',null);
INSERT INTO complaint_statuses VALUES('1230','383','5','15',null,'Huma Majeed called the customer . but customer not talk this issue','COMPLAINT RESOLVED','81','92','2020-08-22 00:10:24','2020-09-15 23:29:53',null);
INSERT INTO complaint_statuses VALUES('1231','421','8','23','60','Explain the problem ?',null,'81','81','2020-08-22 00:13:26','2020-08-22 00:13:26',null);
INSERT INTO complaint_statuses VALUES('1232','422','8','23','55','Explain the problem ?',null,'81','81','2020-08-22 00:14:12','2020-08-22 00:14:12',null);
INSERT INTO complaint_statuses VALUES('1233','323','7','12','81','main board replaced',null,'77','77','2020-08-22 00:18:07','2020-08-22 00:18:07',null);
INSERT INTO complaint_statuses VALUES('1234','414','7','12','81',null,null,'77','77','2020-08-22 00:19:04','2020-08-22 00:19:04',null);
INSERT INTO complaint_statuses VALUES('1235','303','7','12','81','Main board replaced',null,'77','77','2020-08-22 00:19:33','2020-08-22 00:19:33',null);
INSERT INTO complaint_statuses VALUES('1236','428','5','15',null,'customer not pick huma majeed call','COMPLAINT RESOLVED','81','92','2020-08-22 00:20:58','2020-09-17 21:34:07',null);
INSERT INTO complaint_statuses VALUES('1237','303','8','23','56','date of purchase 26-jan-2020 ---   please mention bill details or parts price',null,'81','81','2020-08-22 00:28:44','2020-08-22 00:28:44',null);
INSERT INTO complaint_statuses VALUES('1238','323','8','23','56','please mention bill details or parts price',null,'81','81','2020-08-22 00:29:34','2020-08-22 00:29:34',null);
INSERT INTO complaint_statuses VALUES('1239','414','5','15',null,'Khalid Sahib did not explain the problem . i am closing complaint','COMPLANIT  RESOLVED','81','74','2020-08-22 00:33:34','2020-09-12 19:39:40',null);
INSERT INTO complaint_statuses VALUES('1240','110','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 00:44:46','2020-08-22 00:44:46',null);
INSERT INTO complaint_statuses VALUES('1241','111','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 00:46:33','2020-08-22 00:46:33',null);
INSERT INTO complaint_statuses VALUES('1242','114','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 00:47:57','2020-08-22 00:47:57',null);
INSERT INTO complaint_statuses VALUES('1243','98','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 00:50:00','2020-08-22 00:50:00',null);
INSERT INTO complaint_statuses VALUES('1244','97','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 00:51:58','2020-08-22 00:51:58',null);
INSERT INTO complaint_statuses VALUES('1245','115','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 01:00:29','2020-08-22 01:00:29',null);
INSERT INTO complaint_statuses VALUES('1246','434','5','15',null,'Customer not Pick my call - after 3 days close complaint','COMPLAINT RESOLVED','81','92','2020-08-22 01:01:06','2020-09-17 02:07:26',null);
INSERT INTO complaint_statuses VALUES('1247','437','5','15',null,'cost issue','COMPLAINT RESOLVED','81','92','2020-08-22 01:02:07','2020-09-17 02:00:58',null);
INSERT INTO complaint_statuses VALUES('1248','323','7','12','81','Mb replaced',null,'77','77','2020-08-22 01:09:15','2020-08-22 01:09:15',null);
INSERT INTO complaint_statuses VALUES('1249','303','7','12','81','Mb replacef',null,'77','77','2020-08-22 01:09:51','2020-08-22 01:09:51',null);
INSERT INTO complaint_statuses VALUES('1250','37','7','26','81','customer was not available at location after waiting 2 hour on reception technician came back',null,'83','83','2020-08-22 01:22:19','2020-08-22 01:22:19',null);
INSERT INTO complaint_statuses VALUES('1251','297','7','26','81','SIGNATURE unit',null,'83','83','2020-08-22 01:22:46','2020-08-22 01:22:46',null);
INSERT INTO complaint_statuses VALUES('1252','523','3',null,'65',null,'21-08-2020
COMPLAINT#192017435','74','74','2020-08-22 01:23:02','2020-08-22 01:23:02',null);
INSERT INTO complaint_statuses VALUES('1253','304','7','24','81','panel damage',null,'83','83','2020-08-22 01:23:29','2020-08-22 01:23:29',null);
INSERT INTO complaint_statuses VALUES('1254','524','3',null,'53',null,'21-08-2020
COMPLAINT# 1034034','74','74','2020-08-22 01:29:36','2020-08-22 01:29:36',null);
INSERT INTO complaint_statuses VALUES('1255','119','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 01:32:43','2020-08-22 01:32:43',null);
INSERT INTO complaint_statuses VALUES('1256','122','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-08-22 01:35:51','2020-08-22 01:35:51',null);
INSERT INTO complaint_statuses VALUES('1257','448','7','12','81','ISSUE RESOLVED.JUST FILTER SAF KYE',null,'87','87','2020-08-22 01:37:02','2020-08-22 01:37:02',null);
INSERT INTO complaint_statuses VALUES('1258','126','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 01:37:31','2020-08-22 01:37:31',null);
INSERT INTO complaint_statuses VALUES('1259','313','7','12','81','ISSUE RESOLVED.VIBERATE KR RHI THI',null,'87','87','2020-08-22 01:47:41','2020-08-22 01:47:41',null);
INSERT INTO complaint_statuses VALUES('1260','291','7','12','81','I-10 SE 0K HO GAI HAI.FLOOD WALL KA ISSUE THA',null,'87','87','2020-08-22 01:51:55','2020-08-22 01:51:55',null);
INSERT INTO complaint_statuses VALUES('1261','139','7','12','81','ISSUE RESOLVED.',null,'87','87','2020-08-22 01:55:54','2020-08-22 01:55:54',null);
INSERT INTO complaint_statuses VALUES('1262','503','7','9','81','Foot belance and water inlet filter saaf kia hy chargis custmer paid',null,'82','82','2020-08-22 02:09:11','2020-08-22 02:09:11',null);
INSERT INTO complaint_statuses VALUES('1263','491','7','12','81','Compresor bass awaz kar rehi thi set kar dia hy 500 custmer sy visit ly liya hu',null,'82','82','2020-08-22 02:13:10','2020-08-22 02:13:10',null);
INSERT INTO complaint_statuses VALUES('1264','525','3',null,'52',null,'21-08-2020

COMPLAINT#PKRI- 200821110562','74','74','2020-08-22 02:18:10','2020-08-22 02:18:10',null);
INSERT INTO complaint_statuses VALUES('1265','526','2',null,'81',null,'21-08-2020

FF TO SHAMIN AKHTER','74','74','2020-08-22 02:23:16','2020-08-22 02:23:16',null);
INSERT INTO complaint_statuses VALUES('1266','526','4',null,'55',null,null,'81','81','2020-08-22 02:24:17','2020-08-22 02:24:17',null);
INSERT INTO complaint_statuses VALUES('1267','169','7','12','81','Complaint resolved',null,'79','79','2020-08-22 02:25:36','2020-08-22 02:25:36',null);
INSERT INTO complaint_statuses VALUES('1268','167','7','12','81','Complaint resolved',null,'79','79','2020-08-22 02:26:24','2020-08-22 02:26:24',null);
INSERT INTO complaint_statuses VALUES('1269','165','7','9','81','Ref 1 10 mein ..hai',null,'79','79','2020-08-22 02:27:18','2020-08-22 02:27:18',null);
INSERT INTO complaint_statuses VALUES('1270','133','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 02:32:08','2020-08-22 02:32:08',null);
INSERT INTO complaint_statuses VALUES('1271','11','7','12','81',null,null,'76','76','2020-08-22 02:36:38','2020-08-22 02:36:38',null);
INSERT INTO complaint_statuses VALUES('1272','61','7','12','81',null,null,'76','76','2020-08-22 02:38:48','2020-08-22 02:38:48',null);
INSERT INTO complaint_statuses VALUES('1273','505','7','28','81','505 cancel new complaint 515',null,'76','76','2020-08-22 02:45:28','2020-08-22 02:45:28',null);
INSERT INTO complaint_statuses VALUES('1274','11','5','15',null,null,null,'81','81','2020-08-22 02:48:30','2020-08-22 02:48:30',null);
INSERT INTO complaint_statuses VALUES('1275','37','5','15',null,'forward sony center','CUSTOMER NOT ATTEND CALL KHALID SAB SA CONFIRM KIYA WO BATA RAHAY HAIN K SET OK KAR K LAGA K CHEEKED KARWA K AAY HAIN','81','74','2020-08-22 02:49:39','2020-08-26 01:00:33',null);
INSERT INTO complaint_statuses VALUES('1276','61','5','15',null,null,'RET CUTTING WIRING KI FIXING NAI KI LG MADAM KO REMINDER DA DIA HAIN','81','74','2020-08-22 02:50:10','2020-08-26 22:32:29',null);
INSERT INTO complaint_statuses VALUES('1277','139','8','23','62','Explain the problem',null,'81','81','2020-08-22 02:54:45','2020-08-22 02:54:45',null);
INSERT INTO complaint_statuses VALUES('1278','363','7','12','81','Descaling ky lye worksop ayi hy  descale ky baad custmer ky pass chli jay gi  chargis custmer pay kry ga',null,'82','82','2020-08-22 02:55:07','2020-08-22 02:55:07',null);
INSERT INTO complaint_statuses VALUES('1279','165','8','23','58',null,null,'81','81','2020-08-22 02:56:36','2020-08-22 02:56:36',null);
INSERT INTO complaint_statuses VALUES('1280','167','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-22 02:57:10','2020-09-13 19:34:42',null);
INSERT INTO complaint_statuses VALUES('1281','169','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-22 02:57:42','2020-09-13 19:36:54',null);
INSERT INTO complaint_statuses VALUES('1282','512','7','12','81','Custmer keh reh hy khod hi theek ho gai hy',null,'82','82','2020-08-22 02:59:19','2020-08-22 02:59:19',null);
INSERT INTO complaint_statuses VALUES('1283','456','7','12','81','Job compleet c/o azhar sab',null,'82','82','2020-08-22 03:01:43','2020-08-22 03:01:43',null);
INSERT INTO complaint_statuses VALUES('1284','60','7','12','81','Washing machin servis ho ky custmer ky pass chli gai hy chargiz custmer paid',null,'82','82','2020-08-22 03:02:42','2020-08-22 03:02:42',null);
INSERT INTO complaint_statuses VALUES('1285','440','7','12','81','Water ilnlet pippe rat ny kat dia tha replec kar dia hy ur wire theek kar di hy custmer charg',null,'82','82','2020-08-22 03:04:50','2020-08-22 03:04:50',null);
INSERT INTO complaint_statuses VALUES('1286','129','7','12','81','Servise center i10 delver huwa tha comprsor ky lye',null,'82','82','2020-08-22 03:06:06','2020-08-22 03:06:06',null);
INSERT INTO complaint_statuses VALUES('1287','307','7','10','81',null,null,'82','82','2020-08-22 03:07:54','2020-08-22 03:07:54',null);
INSERT INTO complaint_statuses VALUES('1288','195','7','12','81',null,null,'82','82','2020-08-22 03:08:14','2020-08-22 03:08:14',null);
INSERT INTO complaint_statuses VALUES('1289','109','7','12','81','Job is compleet c/o azhar',null,'82','82','2020-08-22 03:10:22','2020-08-22 03:10:22',null);
INSERT INTO complaint_statuses VALUES('1290','105','7','12','81',null,null,'82','82','2020-08-22 03:14:55','2020-08-22 03:14:55',null);
INSERT INTO complaint_statuses VALUES('1291','357','7','9','81',null,null,'82','82','2020-08-22 03:16:46','2020-08-22 03:16:46',null);
INSERT INTO complaint_statuses VALUES('1292','69','7','12','81','Custmer frig sy satsfied nhi tha tariq bhai ny replece kar dia tha frig shamsabad godam  main hy okay hy',null,'82','82','2020-08-22 03:21:38','2020-08-22 03:21:38',null);
INSERT INTO complaint_statuses VALUES('1293','130','7','24','81','Custmer blue area workshop delever kry gy',null,'82','82','2020-08-22 03:29:02','2020-08-22 03:29:02',null);
INSERT INTO complaint_statuses VALUES('1294','421','7','12','81','Air filter choke thy',null,'82','82','2020-08-22 03:33:05','2020-08-22 03:33:05',null);
INSERT INTO complaint_statuses VALUES('1295','291','8','23','62','Send to client or not',null,'81','81','2020-08-22 03:34:49','2020-08-22 03:34:49',null);
INSERT INTO complaint_statuses VALUES('1296','60','5','15',null,null,null,'81','81','2020-08-22 03:35:35','2020-08-22 03:35:35',null);
INSERT INTO complaint_statuses VALUES('1297','443','7','12','81','Firg ky bakeup ki bettry khatam thi repleced kar di  hy custmer chargis paied',null,'82','82','2020-08-22 03:36:03','2020-08-22 03:36:03',null);
INSERT INTO complaint_statuses VALUES('1298','512','5','15',null,null,'NOT ATTEND CALL','81','74','2020-08-22 03:36:05','2020-08-26 00:28:31',null);
INSERT INTO complaint_statuses VALUES('1299','505','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-22 03:36:39','2020-09-13 00:09:50',null);
INSERT INTO complaint_statuses VALUES('1300','503','5','15',null,null,'NOT ATTEND CALL','81','74','2020-08-22 03:37:11','2020-08-26 21:03:31',null);
INSERT INTO complaint_statuses VALUES('1301','491','5','15',null,null,null,'81','81','2020-08-22 03:37:35','2020-08-22 03:37:35',null);
INSERT INTO complaint_statuses VALUES('1302','456','8','23','60','explain the problem ?',null,'81','81','2020-08-22 03:38:51','2020-08-22 03:38:51',null);
INSERT INTO complaint_statuses VALUES('1303','448','5','15',null,null,'complaint resolved','81','74','2020-08-22 03:39:18','2020-09-12 02:08:03',null);
INSERT INTO complaint_statuses VALUES('1304','443','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-22 03:40:05','2020-09-17 01:50:14',null);
INSERT INTO complaint_statuses VALUES('1305','440','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-22 03:40:56','2020-09-26 21:52:10',null);
INSERT INTO complaint_statuses VALUES('1306','421','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-22 03:41:21','2020-09-17 02:16:58',null);
INSERT INTO complaint_statuses VALUES('1307','501','7','24','81','Tuch penal issue custmer delver kry gy blue area',null,'82','82','2020-08-22 03:41:49','2020-08-22 03:41:49',null);
INSERT INTO complaint_statuses VALUES('1308','456','7','12','81','Level adjest kia hy c/o azhar sab',null,'82','82','2020-08-22 03:45:06','2020-08-22 03:45:06',null);
INSERT INTO complaint_statuses VALUES('1309','363','8','23','60','when returned to customer then Complete complaint',null,'81','81','2020-08-22 03:45:30','2020-08-22 03:45:30',null);
INSERT INTO complaint_statuses VALUES('1310','456','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-22 03:45:53','2020-09-17 01:40:00',null);
INSERT INTO complaint_statuses VALUES('1311','501','8','23','60','when returned to customer then Complete complaints',null,'81','81','2020-08-22 03:47:08','2020-08-22 03:47:08',null);
INSERT INTO complaint_statuses VALUES('1312','357','8','23','60','Please contact Ikhlaq sb or CSR staff',null,'81','81','2020-08-22 03:56:21','2020-08-22 03:56:21',null);
INSERT INTO complaint_statuses VALUES('1313','323','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-22 03:57:07','2020-09-12 22:42:38',null);
INSERT INTO complaint_statuses VALUES('1314','313','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-22 03:57:31','2020-09-13 21:14:41',null);
INSERT INTO complaint_statuses VALUES('1315','307','8','23','60','please contact ikhlaq sb or csr staff',null,'81','81','2020-08-22 03:58:40','2020-08-22 03:58:40',null);
INSERT INTO complaint_statuses VALUES('1316','304','8','23','61','payment will pay customer',null,'81','81','2020-08-22 04:02:46','2020-08-22 04:02:46',null);
INSERT INTO complaint_statuses VALUES('1317','303','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-22 04:03:19','2020-09-12 22:18:27',null);
INSERT INTO complaint_statuses VALUES('1318','195','8','23','60','explain the problem',null,'81','81','2020-08-22 04:06:09','2020-08-22 04:06:09',null);
INSERT INTO complaint_statuses VALUES('1319','130','8','23','60','explain the problem',null,'81','81','2020-08-22 04:07:23','2020-08-22 04:07:23',null);
INSERT INTO complaint_statuses VALUES('1320','129','8','23','60','please contact i-10 staff  when costumer the freezer this time Complete the job',null,'81','81','2020-08-22 04:16:01','2020-08-22 04:16:01',null);
INSERT INTO complaint_statuses VALUES('1321','109','8','23','60','explain the problem',null,'81','81','2020-08-22 04:17:14','2020-08-22 04:17:14',null);
INSERT INTO complaint_statuses VALUES('1322','105','5','15',null,null,null,'81','81','2020-08-22 04:18:13','2020-08-22 04:18:13',null);
INSERT INTO complaint_statuses VALUES('1323','69','5','15',null,null,'REF REPLACE','81','74','2020-08-22 04:18:54','2020-09-05 21:16:07',null);
INSERT INTO complaint_statuses VALUES('1324','185','7','12','81','compliant resolved',null,'79','79','2020-08-22 19:02:26','2020-08-22 19:02:26',null);
INSERT INTO complaint_statuses VALUES('1325','452','7','12','81','olny filter clean',null,'79','79','2020-08-22 19:03:08','2020-08-22 19:03:08',null);
INSERT INTO complaint_statuses VALUES('1326','120','7','12','81','customer not attend call. reguler try kr rehy',null,'79','79','2020-08-22 19:11:30','2020-08-22 19:11:30',null);
INSERT INTO complaint_statuses VALUES('1327','357','7','12','81','service issue job complite  cstmer chrgs',null,'82','82','2020-08-22 19:27:25','2020-08-22 19:27:25',null);
INSERT INTO complaint_statuses VALUES('1328','307','7','12','81','after 28agust chek thiswashing.machine....c/o..major..zadi',null,'82','82','2020-08-22 19:30:22','2020-08-22 19:30:22',null);
INSERT INTO complaint_statuses VALUES('1329','501','7','24','81',null,null,'82','82','2020-08-22 19:49:12','2020-08-22 19:49:12',null);
INSERT INTO complaint_statuses VALUES('1330','195','7','12','81','Servis issue tha custmer ky pass wapis chli gai hy',null,'82','82','2020-08-22 19:54:35','2020-08-22 19:54:35',null);
INSERT INTO complaint_statuses VALUES('1331','527','3',null,'66',null,'FRWRD TO MARIYAM TCL
complain#85449(24-8-20)','73','73','2020-08-22 19:57:31','2020-08-24 19:00:43',null);
INSERT INTO complaint_statuses VALUES('1332','109','7','12','81','1 ton ka ac tha top flor py laga tha ac bilkul theek hy .',null,'82','82','2020-08-22 20:00:40','2020-08-22 20:00:40',null);
INSERT INTO complaint_statuses VALUES('1333','130','7','24','81','Penal issue',null,'82','82','2020-08-22 20:01:39','2020-08-22 20:01:39',null);
INSERT INTO complaint_statuses VALUES('1334','528','2',null,'81',null,'MRM','73','73','2020-08-22 20:22:19','2020-08-22 20:22:19',null);
INSERT INTO complaint_statuses VALUES('1335','292','7','12','81','ISSUE RESOLVED',null,'87','87','2020-08-22 20:22:39','2020-08-22 20:22:39',null);
INSERT INTO complaint_statuses VALUES('1336','528','4',null,'61',null,null,'81','81','2020-08-22 20:23:22','2020-08-22 20:23:22',null);
INSERT INTO complaint_statuses VALUES('1337','272','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 20:29:00','2020-08-22 20:29:00',null);
INSERT INTO complaint_statuses VALUES('1338','271','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-08-22 20:30:28','2020-08-22 20:30:28',null);
INSERT INTO complaint_statuses VALUES('1339','529','2',null,'81',null,'LG','73','73','2020-08-22 20:30:35','2020-08-22 20:30:35',null);
INSERT INTO complaint_statuses VALUES('1340','529','4',null,'55',null,null,'81','81','2020-08-22 20:31:20','2020-08-22 20:31:20',null);
INSERT INTO complaint_statuses VALUES('1341','530','2',null,'81',null,'GAS','73','73','2020-08-22 20:32:07','2020-08-22 20:32:07',null);
INSERT INTO complaint_statuses VALUES('1342','270','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 20:32:45','2020-08-22 20:32:45',null);
INSERT INTO complaint_statuses VALUES('1343','530','4',null,'63',null,null,'81','81','2020-08-22 20:33:14','2020-08-22 20:33:14',null);
INSERT INTO complaint_statuses VALUES('1344','139','7','12','81','SELF REPAIR',null,'87','87','2020-08-22 20:35:11','2020-08-22 20:35:11',null);
INSERT INTO complaint_statuses VALUES('1345','531','3',null,'65',null,'COMPLAIN#192017463','73','73','2020-08-22 20:35:28','2020-08-23 00:43:57',null);
INSERT INTO complaint_statuses VALUES('1346','426','7','24','81','customer bat suany ko tiyar he ni hy wo bas kehta hy mery gar a k set ko open karyn or jo b fult hy osy yhn par he thek kea jae 65" ka set hy gar main open karna mushkel hy',null,'80','80','2020-08-22 20:37:42','2020-08-22 20:37:42',null);
INSERT INTO complaint_statuses VALUES('1347','454','7','12','81','kese or tech ny visit kar lia hy es complain pay',null,'80','80','2020-08-22 20:40:18','2020-08-22 20:40:18',null);
INSERT INTO complaint_statuses VALUES('1348','532','2',null,'81',null,'H.SOLUTION','73','73','2020-08-22 20:40:30','2020-08-22 20:40:30',null);
INSERT INTO complaint_statuses VALUES('1349','533','3',null,'65',null,'COMPLAIN#192017462.
NEW COMPLAINT#192017731','73','74','2020-08-22 20:42:49','2020-09-02 21:28:00',null);
INSERT INTO complaint_statuses VALUES('1350','534','2',null,'81',null,'LG','73','73','2020-08-22 20:53:40','2020-08-22 20:53:40',null);
INSERT INTO complaint_statuses VALUES('1351','265','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 20:59:31','2020-08-22 20:59:31',null);
INSERT INTO complaint_statuses VALUES('1352','262','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 21:03:58','2020-08-22 21:03:58',null);
INSERT INTO complaint_statuses VALUES('1353','412','7','12','81','PCB REPLACED   UNIT HAND OVER TO CUSTOMER',null,'83','83','2020-08-22 21:25:21','2020-08-22 21:25:21',null);
INSERT INTO complaint_statuses VALUES('1354','260','5',null,null,'complaint closed',null,'74','74','2020-08-22 21:25:54','2020-08-22 21:25:54',null);
INSERT INTO complaint_statuses VALUES('1355','535','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-08-22 21:26:44','2020-08-22 21:26:44',null);
INSERT INTO complaint_statuses VALUES('1356','536','3',null,'52',null,'COMPLAIN#PKRI200822108818','73','73','2020-08-22 21:30:05','2020-08-23 00:23:35',null);
INSERT INTO complaint_statuses VALUES('1357','163','7','12','81',null,null,'77','77','2020-08-22 21:33:15','2020-08-22 21:33:15',null);
INSERT INTO complaint_statuses VALUES('1358','109','5','15',null,null,null,'81','81','2020-08-22 21:36:03','2020-08-22 21:36:03',null);
INSERT INTO complaint_statuses VALUES('1359','130','8','23','60',null,null,'81','81','2020-08-22 21:39:23','2020-08-22 21:39:23',null);
INSERT INTO complaint_statuses VALUES('1360','139','8','15','62',null,null,'81','81','2020-08-22 21:47:29','2020-08-22 21:47:29',null);
INSERT INTO complaint_statuses VALUES('1361','537','2',null,'81',null,'LG','73','73','2020-08-22 21:49:28','2020-08-22 21:49:28',null);
INSERT INTO complaint_statuses VALUES('1362','163','8','23','56','explain the problem ?',null,'81','81','2020-08-22 21:49:46','2020-08-22 21:49:46',null);
INSERT INTO complaint_statuses VALUES('1363','185','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-22 21:50:19','2020-09-12 21:09:59',null);
INSERT INTO complaint_statuses VALUES('1364','195','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-22 21:50:46','2020-09-16 01:10:53',null);
INSERT INTO complaint_statuses VALUES('1365','538','3',null,'67',null,'CANON
FRWRD TO MUNAWAR CANON','73','73','2020-08-22 21:52:03','2020-08-22 21:53:44',null);
INSERT INTO complaint_statuses VALUES('1366','292','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-22 21:52:10','2020-09-12 22:09:08',null);
INSERT INTO complaint_statuses VALUES('1367','307','5','15',null,null,'NOT ATTEND CALL.
COMPLAINT RESOLVED','81','74','2020-08-22 21:53:48','2020-09-12 22:31:18',null);
INSERT INTO complaint_statuses VALUES('1368','357','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-22 21:54:27','2020-09-13 21:43:15',null);
INSERT INTO complaint_statuses VALUES('1369','258','5',null,null,'complaint closed',null,'74','74','2020-08-22 22:02:55','2020-08-22 22:02:55',null);
INSERT INTO complaint_statuses VALUES('1370','255','5',null,null,'complaint closed',null,'74','74','2020-08-22 22:06:14','2020-08-22 22:06:14',null);
INSERT INTO complaint_statuses VALUES('1371','412','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-22 22:10:37','2020-09-17 02:26:00',null);
INSERT INTO complaint_statuses VALUES('1372','452','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-22 22:12:20','2020-09-17 01:42:57',null);
INSERT INTO complaint_statuses VALUES('1373','252','5',null,null,'complaint closed',null,'74','74','2020-08-22 22:13:25','2020-08-22 22:13:25',null);
INSERT INTO complaint_statuses VALUES('1374','501','8','23','60',null,null,'81','81','2020-08-22 22:15:14','2020-08-22 22:15:14',null);
INSERT INTO complaint_statuses VALUES('1375','251','5',null,null,'complaint closed',null,'74','74','2020-08-22 22:16:02','2020-08-22 22:16:02',null);
INSERT INTO complaint_statuses VALUES('1376','250','5',null,null,'complaint resolved',null,'74','74','2020-08-22 22:18:21','2020-08-22 22:18:21',null);
INSERT INTO complaint_statuses VALUES('1377','539','3',null,'53',null,'COMPLAIN#1034714','73','73','2020-08-22 22:19:54','2020-08-23 00:02:47',null);
INSERT INTO complaint_statuses VALUES('1378','247','5',null,null,'complaint closed','NOT ATTEND CALL','74','92','2020-08-22 22:24:12','2020-09-22 01:55:55',null);
INSERT INTO complaint_statuses VALUES('1379','246','5',null,null,'complaint resolv ed','COMPLAINT NOT RESOLVED','74','92','2020-08-22 22:26:00','2020-09-22 01:58:43',null);
INSERT INTO complaint_statuses VALUES('1380','540','2',null,'81',null,'LG','73','73','2020-08-22 22:30:13','2020-08-22 22:30:13',null);
INSERT INTO complaint_statuses VALUES('1381','243','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 22:30:22','2020-08-22 22:30:22',null);
INSERT INTO complaint_statuses VALUES('1382','352','7','12','81','service  showroom claim nahi krti sales team  sy rabta krain',null,'83','83','2020-08-22 22:30:52','2020-08-22 22:30:52',null);
INSERT INTO complaint_statuses VALUES('1383','541','3',null,'65',null,'COMPLAIN#192017461','73','73','2020-08-22 22:35:55','2020-08-23 00:38:21',null);
INSERT INTO complaint_statuses VALUES('1384','241','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 22:42:32','2020-08-22 22:42:32',null);
INSERT INTO complaint_statuses VALUES('1385','240','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 22:44:30','2020-08-22 22:44:30',null);
INSERT INTO complaint_statuses VALUES('1386','239','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 22:46:02','2020-08-22 22:46:02',null);
INSERT INTO complaint_statuses VALUES('1387','238','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 22:47:53','2020-08-22 22:47:53',null);
INSERT INTO complaint_statuses VALUES('1388','542','3',null,'53',null,'COMPLAIN#1034702','73','73','2020-08-22 22:47:58','2020-08-22 23:59:58',null);
INSERT INTO complaint_statuses VALUES('1389','236','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 22:56:47','2020-08-22 22:56:47',null);
INSERT INTO complaint_statuses VALUES('1390','543','2',null,'81',null,'B.COOL
OTHER#03345553421','73','73','2020-08-22 23:11:23','2020-08-22 23:12:04',null);
INSERT INTO complaint_statuses VALUES('1391','232','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 23:17:22','2020-08-22 23:17:22',null);
INSERT INTO complaint_statuses VALUES('1392','242','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 23:22:17','2020-08-22 23:22:17',null);
INSERT INTO complaint_statuses VALUES('1393','230','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 23:25:26','2020-08-22 23:25:26',null);
INSERT INTO complaint_statuses VALUES('1394','297','5','27',null,'double entry 297 cancel new complaint 318','COMPLAINT RESOLVED','81','74','2020-08-22 23:26:18','2020-09-13 20:59:40',null);
INSERT INTO complaint_statuses VALUES('1395','544','3',null,'52',null,'COMPLAIN#PKRI200822108713.
NEW COMPLAINT # PKRI-200831106488','73','74','2020-08-22 23:27:56','2020-08-31 22:20:00',null);
INSERT INTO complaint_statuses VALUES('1396','43','7','12','81',null,null,'87','87','2020-08-22 23:31:19','2020-08-22 23:31:19',null);
INSERT INTO complaint_statuses VALUES('1397','43','5','15',null,null,null,'81','81','2020-08-22 23:31:44','2020-08-22 23:31:44',null);
INSERT INTO complaint_statuses VALUES('1398','139','7','12','81',null,null,'87','87','2020-08-22 23:32:24','2020-08-22 23:32:24',null);
INSERT INTO complaint_statuses VALUES('1399','139','5','15',null,null,'CUSTOMER NA PRIVATE TECHNICIAN SA COMPLAINT RESOLVED KARWA LI','81','74','2020-08-22 23:32:52','2020-09-05 22:00:21',null);
INSERT INTO complaint_statuses VALUES('1400','545','2',null,'81',null,'KHALID','73','73','2020-08-22 23:34:18','2020-08-22 23:34:18',null);
INSERT INTO complaint_statuses VALUES('1401','545','4',null,'56',null,null,'81','81','2020-08-22 23:35:40','2020-08-22 23:35:40',null);
INSERT INTO complaint_statuses VALUES('1402','543','4',null,'58',null,null,'81','81','2020-08-22 23:35:52','2020-08-22 23:35:52',null);
INSERT INTO complaint_statuses VALUES('1403','540','4',null,'55',null,null,'81','81','2020-08-22 23:36:05','2020-08-22 23:36:05',null);
INSERT INTO complaint_statuses VALUES('1404','540','4',null,'55',null,null,'81','81','2020-08-22 23:36:10','2020-08-22 23:36:10',null);
INSERT INTO complaint_statuses VALUES('1405','537','4',null,'55',null,null,'81','81','2020-08-22 23:36:21','2020-08-22 23:36:21',null);
INSERT INTO complaint_statuses VALUES('1406','537','4',null,'55',null,null,'81','81','2020-08-22 23:36:21','2020-08-22 23:36:21',null);
INSERT INTO complaint_statuses VALUES('1407','534','4',null,'55',null,'LG MAIN COMPLAINT CLOSED KA REMINDER DA DIA','81','74','2020-08-22 23:36:32','2020-09-02 21:20:59',null);
INSERT INTO complaint_statuses VALUES('1408','532','4',null,'62',null,null,'81','81','2020-08-22 23:36:43','2020-08-22 23:36:43',null);
INSERT INTO complaint_statuses VALUES('1409','546','3',null,'53',null,'COMPLAIN#1034698','73','73','2020-08-22 23:38:15','2020-08-22 23:57:31',null);
INSERT INTO complaint_statuses VALUES('1410','227','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 23:38:36','2020-08-22 23:38:36',null);
INSERT INTO complaint_statuses VALUES('1411','226','7','12','81','costumer asked complaint attend and issue resolve',null,'76','76','2020-08-22 23:39:17','2020-08-22 23:39:17',null);
INSERT INTO complaint_statuses VALUES('1412','226','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-22 23:39:39','2020-09-16 01:04:30',null);
INSERT INTO complaint_statuses VALUES('1413','224','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 23:39:42','2020-08-22 23:39:42',null);
INSERT INTO complaint_statuses VALUES('1414','222','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 23:42:43','2020-08-22 23:42:43',null);
INSERT INTO complaint_statuses VALUES('1415','221','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 23:49:18','2020-08-22 23:49:18',null);
INSERT INTO complaint_statuses VALUES('1416','219','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 23:51:08','2020-08-22 23:51:08',null);
INSERT INTO complaint_statuses VALUES('1417','218','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 23:52:54','2020-08-22 23:52:54',null);
INSERT INTO complaint_statuses VALUES('1418','217','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 23:54:33','2020-08-22 23:54:33',null);
INSERT INTO complaint_statuses VALUES('1419','280','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 23:56:56','2020-08-22 23:56:56',null);
INSERT INTO complaint_statuses VALUES('1420','282','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-22 23:58:51','2020-08-22 23:58:51',null);
INSERT INTO complaint_statuses VALUES('1421','281','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-23 00:00:49','2020-08-23 00:00:49',null);
INSERT INTO complaint_statuses VALUES('1422','532','7','24','81',null,null,'87','87','2020-08-23 00:02:41','2020-08-23 00:02:41',null);
INSERT INTO complaint_statuses VALUES('1423','493','7','24','81','CUSTOMER NY MONDAY KO VISIT KA BOLA HAI','CUSTOMER KA ISSUE RESOLVED NAI HOA COMPLAINT FF GREE COMPANY','87','74','2020-08-23 00:03:33','2020-08-26 21:17:02',null);
INSERT INTO complaint_statuses VALUES('1424','296','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-23 00:05:19','2020-08-23 00:05:19',null);
INSERT INTO complaint_statuses VALUES('1425','493','8','23','62','ok',null,'81','81','2020-08-23 00:06:28','2020-08-23 00:06:28',null);
INSERT INTO complaint_statuses VALUES('1426','352','8','23','61','ok',null,'81','81','2020-08-23 00:07:06','2020-08-23 00:07:06',null);
INSERT INTO complaint_statuses VALUES('1427','316','7','24','81','MONDAY KO LIFT KRWAEIN GE KHD',null,'87','87','2020-08-23 00:08:34','2020-08-23 00:08:34',null);
INSERT INTO complaint_statuses VALUES('1428','532','8','23','62','y in process',null,'81','81','2020-08-23 00:08:34','2020-08-23 00:08:34',null);
INSERT INTO complaint_statuses VALUES('1429','442','7','12','81','RESOLVED BY COMPANY',null,'87','87','2020-08-23 00:09:14','2020-08-23 00:09:14',null);
INSERT INTO complaint_statuses VALUES('1430','294','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-23 00:12:18','2020-08-23 00:12:18',null);
INSERT INTO complaint_statuses VALUES('1431','210','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-23 00:14:47','2020-08-23 00:14:47',null);
INSERT INTO complaint_statuses VALUES('1432','208','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-23 00:16:29','2020-08-23 00:16:29',null);
INSERT INTO complaint_statuses VALUES('1433','298','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-23 00:22:28','2020-08-23 00:22:28',null);
INSERT INTO complaint_statuses VALUES('1434','207','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-23 00:24:04','2020-08-23 00:24:04',null);
INSERT INTO complaint_statuses VALUES('1435','547','2',null,'81',null,'LG','73','73','2020-08-23 00:34:16','2020-08-23 00:34:16',null);
INSERT INTO complaint_statuses VALUES('1436','204','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-23 00:34:45','2020-08-23 00:34:45',null);
INSERT INTO complaint_statuses VALUES('1437','547','4',null,'55',null,null,'81','81','2020-08-23 00:35:31','2020-08-23 00:35:31',null);
INSERT INTO complaint_statuses VALUES('1438','305','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-23 00:55:06','2020-08-23 00:55:06',null);
INSERT INTO complaint_statuses VALUES('1439','159','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-23 01:07:14','2020-08-23 01:07:14',null);
INSERT INTO complaint_statuses VALUES('1440','548','2',null,'81',null,'B.COOL','73','73','2020-08-23 01:39:40','2020-08-23 01:39:40',null);
INSERT INTO complaint_statuses VALUES('1441','42','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-23 01:43:36','2020-08-23 01:43:36',null);
INSERT INTO complaint_statuses VALUES('1442','549','3',null,'53',null,'complain#1034909','73','73','2020-08-23 01:48:47','2020-08-23 19:34:24',null);
INSERT INTO complaint_statuses VALUES('1443','550','3',null,'52',null,'COMPLAIN#PKRI200822109020','73','73','2020-08-23 01:51:49','2020-08-23 02:52:50',null);
INSERT INTO complaint_statuses VALUES('1444','551','2',null,'81',null,'MRM','73','73','2020-08-23 01:54:26','2020-08-23 01:54:26',null);
INSERT INTO complaint_statuses VALUES('1445','552','3',null,'52',null,'COMPLAIN#PKRI200822111592','73','73','2020-08-23 01:55:24','2020-08-23 02:48:26',null);
INSERT INTO complaint_statuses VALUES('1446','53','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-23 02:09:13','2020-08-23 02:09:13',null);
INSERT INTO complaint_statuses VALUES('1447','53','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-23 02:09:15','2020-08-23 02:09:15',null);
INSERT INTO complaint_statuses VALUES('1448','553','3',null,'52',null,'COMPLAIN#PKRI200822111554','73','73','2020-08-23 02:09:28','2020-08-23 02:48:23',null);
INSERT INTO complaint_statuses VALUES('1449','554','2',null,'81',null,'B.COOL','73','73','2020-08-23 02:10:50','2020-08-23 02:10:50',null);
INSERT INTO complaint_statuses VALUES('1450','483','7','12','81','YE HOB SALE MAN NY CHANGE KR DYA HAI CUSTOMER KO',null,'79','79','2020-08-23 02:13:47','2020-08-23 02:13:47',null);
INSERT INTO complaint_statuses VALUES('1451','554','4',null,'58',null,null,'81','81','2020-08-23 02:22:04','2020-08-23 02:22:04',null);
INSERT INTO complaint_statuses VALUES('1452','554','4',null,'58',null,null,'81','81','2020-08-23 02:22:05','2020-08-23 02:22:05',null);
INSERT INTO complaint_statuses VALUES('1453','548','4',null,'58',null,null,'81','81','2020-08-23 02:22:19','2020-08-23 02:22:19',null);
INSERT INTO complaint_statuses VALUES('1454','551','4',null,'61',null,null,'81','81','2020-08-23 02:22:36','2020-08-23 02:22:36',null);
INSERT INTO complaint_statuses VALUES('1455','555','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-08-23 02:34:06','2020-08-23 02:34:06',null);
INSERT INTO complaint_statuses VALUES('1456','95','5',null,null,'complaint closed',null,'74','74','2020-08-23 02:34:40','2020-08-23 02:34:40',null);
INSERT INTO complaint_statuses VALUES('1457','556','2',null,'81',null,'B.COOL','73','73','2020-08-23 02:38:29','2020-08-23 02:38:29',null);
INSERT INTO complaint_statuses VALUES('1458','165','7','12','81','REF  IS READY .NO ISSUE IN  REF',null,'79','79','2020-08-23 02:40:58','2020-08-23 02:40:58',null);
INSERT INTO complaint_statuses VALUES('1459','96','5',null,null,'complaint closed',null,'74','74','2020-08-23 02:41:02','2020-08-23 02:41:02',null);
INSERT INTO complaint_statuses VALUES('1460','556','4',null,'58',null,null,'81','81','2020-08-23 02:42:07','2020-08-23 02:42:07',null);
INSERT INTO complaint_statuses VALUES('1461','557','3',null,'69',null,'24-08-2020
COMPLAINT#c8/262','74','73','2020-08-23 02:57:00','2020-08-24 18:58:18',null);
INSERT INTO complaint_statuses VALUES('1462','558','3',null,'56',null,'COMPLAIN#H23/003','73','73','2020-08-23 03:02:31','2020-08-23 23:30:22',null);
INSERT INTO complaint_statuses VALUES('1463','379','7','12','81','P.mod replaced',null,'77','77','2020-08-23 03:06:53','2020-08-23 03:06:53',null);
INSERT INTO complaint_statuses VALUES('1464','162','7','12','81',null,null,'77','77','2020-08-23 03:08:22','2020-08-23 03:08:22',null);
INSERT INTO complaint_statuses VALUES('1465','163','7','12','81',null,null,'77','77','2020-08-23 03:09:42','2020-08-23 03:09:42',null);
INSERT INTO complaint_statuses VALUES('1466','442','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-23 03:17:03','2020-09-17 01:52:17',null);
INSERT INTO complaint_statuses VALUES('1467','165','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-23 03:17:37','2020-09-12 20:39:48',null);
INSERT INTO complaint_statuses VALUES('1468','379','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-23 03:18:05','2020-09-23 22:03:55',null);
INSERT INTO complaint_statuses VALUES('1469','163','5','15',null,null,'NOT  ATTEND CALL','81','74','2020-08-23 03:20:02','2020-09-12 20:35:15',null);
INSERT INTO complaint_statuses VALUES('1470','559','3',null,'53',null,'COMPLAIN#1034922.
NEW COMPLAINT# 1037856','73','74','2020-08-23 19:57:33','2020-09-02 00:31:50',null);
INSERT INTO complaint_statuses VALUES('1471','560','3',null,'52',null,'COMPLAIN#PKRI200823102164','73','73','2020-08-23 20:00:58','2020-08-23 20:23:41',null);
INSERT INTO complaint_statuses VALUES('1472','561','2',null,'81',null,'NADEEM','73','73','2020-08-23 20:13:19','2020-08-23 20:13:19',null);
INSERT INTO complaint_statuses VALUES('1473','561','4',null,'59',null,null,'81','81','2020-08-23 20:13:50','2020-08-23 20:13:50',null);
INSERT INTO complaint_statuses VALUES('1474','291','7','12','81','CUSTOMER KO DLVR H0 GYA..FLOOD WALL KA ISSUE THA',null,'87','87','2020-08-23 20:45:00','2020-08-23 20:45:00',null);
INSERT INTO complaint_statuses VALUES('1475','522','7','12','81','complaint resolved',null,'79','79','2020-08-23 20:50:19','2020-08-23 20:50:19',null);
INSERT INTO complaint_statuses VALUES('1476','467','7','12','81','complaint resolved.wire issue',null,'79','79','2020-08-23 20:51:10','2020-08-23 20:51:10',null);
INSERT INTO complaint_statuses VALUES('1477','484','7','12','81','yahan haier ka ref hai..kindly confirm kr liya kry',null,'79','79','2020-08-23 20:55:43','2020-08-23 20:55:43',null);
INSERT INTO complaint_statuses VALUES('1478','498','7','9','81','Complain complted',null,'88','88','2020-08-23 21:00:07','2020-08-23 21:00:07',null);
INSERT INTO complaint_statuses VALUES('1479','497','7','12','81','compliant resolved',null,'79','79','2020-08-23 21:00:22','2020-08-23 21:00:22',null);
INSERT INTO complaint_statuses VALUES('1480','465','7','9','81','Camplain ok',null,'88','88','2020-08-23 21:01:14','2020-08-23 21:01:14',null);
INSERT INTO complaint_statuses VALUES('1481','416','7','9','81','Camplain ok',null,'88','88','2020-08-23 21:02:04','2020-08-23 21:02:04',null);
INSERT INTO complaint_statuses VALUES('1482','384','7','9','81','Camplain ok',null,'88','88','2020-08-23 21:02:53','2020-08-23 21:02:53',null);
INSERT INTO complaint_statuses VALUES('1483','345','7','9','81','Camplain ok',null,'88','88','2020-08-23 21:03:26','2020-08-23 21:03:26',null);
INSERT INTO complaint_statuses VALUES('1484','148','7','12','81','compliant resolved.touch panel change',null,'79','79','2020-08-23 21:05:17','2020-08-23 21:05:17',null);
INSERT INTO complaint_statuses VALUES('1485','161','7','12','81','com[plaint reoslved.',null,'79','79','2020-08-23 21:09:21','2020-08-23 21:09:21',null);
INSERT INTO complaint_statuses VALUES('1486','562','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-08-23 21:10:42','2020-08-23 21:10:42',null);
INSERT INTO complaint_statuses VALUES('1487','233','7','12','81','complaint resolved',null,'79','79','2020-08-23 21:11:47','2020-08-23 21:11:47',null);
INSERT INTO complaint_statuses VALUES('1488','285','7','12','81','customer ny tab kisi dosry tech ko di hui hai .jb ae gain tb dubara compliant kerye gain',null,'79','79','2020-08-23 21:13:24','2020-08-23 21:13:24',null);
INSERT INTO complaint_statuses VALUES('1489','332','5',null,null,'COMPLAIN CLOSED','COMPLAINT RESOLVED','73','74','2020-08-23 21:22:53','2020-09-13 21:26:37',null);
INSERT INTO complaint_statuses VALUES('1490','330','5',null,null,'RESOLVED','COMPLAINT RESOLVED','73','74','2020-08-23 21:24:23','2020-09-13 21:24:17',null);
INSERT INTO complaint_statuses VALUES('1491','324','5',null,null,'RESOLVED','COMPLAINT RESOLVED','73','92','2020-08-23 21:30:49','2020-09-16 21:58:43',null);
INSERT INTO complaint_statuses VALUES('1492','320','5',null,null,'RESOLVED','COMPLAINT RESOLVED','73','74','2020-08-23 21:36:16','2020-09-12 22:38:06',null);
INSERT INTO complaint_statuses VALUES('1493','319','5',null,null,'RESOLVED','COMPLAINT RESOLVED','73','92','2020-08-23 21:37:19','2020-09-16 00:24:59',null);
INSERT INTO complaint_statuses VALUES('1494','310','5',null,null,'RESOLVED','COMPLAINT RESOLVED','73','74','2020-08-23 21:45:17','2020-09-13 21:09:12',null);
INSERT INTO complaint_statuses VALUES('1495','306','5',null,null,'RESOLVED','COMPLAINT RESOLVED','73','74','2020-08-23 21:47:06','2020-09-12 22:23:31',null);
INSERT INTO complaint_statuses VALUES('1496','301','5',null,null,'RESOLVED','COMPLAINT RESOLVED','73','92','2020-08-23 21:49:36','2020-09-17 02:34:56',null);
INSERT INTO complaint_statuses VALUES('1497','563','3',null,'53',null,'COMPLAIN#1034971','73','73','2020-08-23 21:54:17','2020-08-23 23:43:57',null);
INSERT INTO complaint_statuses VALUES('1498','120','8','23','58','call kar len costumer call pick kr raha hy hamari',null,'81','81','2020-08-23 21:57:45','2020-08-23 21:57:45',null);
INSERT INTO complaint_statuses VALUES('1499','148','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-23 21:58:07','2020-09-05 22:06:35',null);
INSERT INTO complaint_statuses VALUES('1500','161','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-23 21:58:31','2020-09-12 20:30:49',null);
INSERT INTO complaint_statuses VALUES('1501','162','8','23','56','explain the problem',null,'81','81','2020-08-23 22:00:46','2020-08-23 22:00:46',null);
INSERT INTO complaint_statuses VALUES('1502','233','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-23 22:01:15','2020-09-13 20:27:55',null);
INSERT INTO complaint_statuses VALUES('1503','291','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-23 22:03:16','2020-09-16 21:37:01',null);
INSERT INTO complaint_statuses VALUES('1504','564','3',null,'61',null,'COMPLAIN#202008017095
NEW COMPLAINT#202008018495','73','74','2020-08-23 22:04:25','2020-08-25 20:47:33',null);
INSERT INTO complaint_statuses VALUES('1505','345','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-23 22:04:47','2020-09-17 21:16:33',null);
INSERT INTO complaint_statuses VALUES('1506','384','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-23 22:09:09','2020-09-15 23:25:49',null);
INSERT INTO complaint_statuses VALUES('1507','285','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-08-23 22:11:38','2020-09-19 20:38:57',null);
INSERT INTO complaint_statuses VALUES('1508','416','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-23 22:12:05','2020-09-17 23:03:32',null);
INSERT INTO complaint_statuses VALUES('1509','465','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-23 22:14:48','2020-09-17 01:36:48',null);
INSERT INTO complaint_statuses VALUES('1510','467','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-23 22:15:50','2020-09-13 01:48:03',null);
INSERT INTO complaint_statuses VALUES('1511','483','8','23','58','where is costumers hob',null,'81','81','2020-08-23 22:17:12','2020-08-23 22:17:12',null);
INSERT INTO complaint_statuses VALUES('1512','426','5','25',null,'csr ny costumer ko call ki costumer kehta hy mai khud karva lun ga app complaint cancel kar den',null,'81','81','2020-08-23 22:19:01','2020-08-23 22:19:01',null);
INSERT INTO complaint_statuses VALUES('1513','497','5','15',null,null,null,'81','81','2020-08-23 22:20:14','2020-08-23 22:20:14',null);
INSERT INTO complaint_statuses VALUES('1514','498','5','15',null,null,null,'81','81','2020-08-23 22:20:57','2020-08-23 22:20:57',null);
INSERT INTO complaint_statuses VALUES('1515','522','5','15',null,null,null,'81','81','2020-08-23 22:21:14','2020-08-23 22:21:14',null);
INSERT INTO complaint_statuses VALUES('1516','484','5','25',null,'cancel costumers end',null,'81','81','2020-08-23 22:23:18','2020-08-23 22:23:18',null);
INSERT INTO complaint_statuses VALUES('1517','302','7','12','81','compliant resolved.confimred by adil i 10.',null,'79','79','2020-08-23 22:25:57','2020-08-23 22:25:57',null);
INSERT INTO complaint_statuses VALUES('1518','302','8','23','58','explain the problem',null,'81','81','2020-08-23 22:30:38','2020-08-23 22:30:38',null);
INSERT INTO complaint_statuses VALUES('1519','325','7','12','81','complaint resolved.confirm by adil i 10',null,'79','79','2020-08-23 22:31:47','2020-08-23 22:31:47',null);
INSERT INTO complaint_statuses VALUES('1520','565','2',null,'81',null,'LG','73','73','2020-08-23 22:43:29','2020-08-23 22:43:29',null);
INSERT INTO complaint_statuses VALUES('1521','566','2',null,'81',null,'B.COOL','73','73','2020-08-23 22:54:26','2020-08-23 22:54:26',null);
INSERT INTO complaint_statuses VALUES('1522','532','7','12','81','ISSUE RESOLVED..VIBERATE KR RHI THI',null,'87','87','2020-08-23 22:59:18','2020-08-23 22:59:18',null);
INSERT INTO complaint_statuses VALUES('1523','567','3',null,'52',null,'COMPLAIN#PKRI200823105067','73','73','2020-08-23 23:04:35','2020-08-23 23:33:44',null);
INSERT INTO complaint_statuses VALUES('1524','532','8','23','62','home service ya service center',null,'81','81','2020-08-23 23:07:50','2020-08-23 23:07:50',null);
INSERT INTO complaint_statuses VALUES('1525','568','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-08-23 23:16:52','2020-08-23 23:16:52',null);
INSERT INTO complaint_statuses VALUES('1526','244','7','12','81','DOOR BUSCH CHANGE. ISSUE RESOLVED NOW',null,'87','87','2020-08-23 23:17:03','2020-08-23 23:17:03',null);
INSERT INTO complaint_statuses VALUES('1527','569','2',null,'81',null,'B.COOL','73','73','2020-08-23 23:21:25','2020-08-23 23:21:25',null);
INSERT INTO complaint_statuses VALUES('1528','532','7','12','81','HOME SERVICE',null,'87','87','2020-08-23 23:24:30','2020-08-23 23:24:30',null);
INSERT INTO complaint_statuses VALUES('1529','446','5',null,null,'DOUBLE ENTRY COMPLAIN. .','COMPLAINT RESOLVED','73','92','2020-08-23 23:52:10','2020-09-25 00:33:31',null);
INSERT INTO complaint_statuses VALUES('1530','347','5',null,null,'COMPLAIN COMPLETED',null,'73','73','2020-08-24 00:02:26','2020-08-24 00:02:26',null);
INSERT INTO complaint_statuses VALUES('1531','343','5',null,null,'RESOLVED','COMPLAINT RESOLVED','73','74','2020-08-24 00:06:07','2020-09-12 23:03:25',null);
INSERT INTO complaint_statuses VALUES('1532','244','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-24 00:14:59','2020-09-16 01:00:21',null);
INSERT INTO complaint_statuses VALUES('1533','325','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-24 00:16:12','2020-09-13 21:20:05',null);
INSERT INTO complaint_statuses VALUES('1534','532','5','15',null,null,'CUSTOMER ONE WEEK BAD UP DATE KARAY GAY COMPLAINT ABI OPEND KARAY','81','73','2020-08-24 00:16:44','2020-09-12 21:52:24',null);
INSERT INTO complaint_statuses VALUES('1535','570','3',null,'54',null,'COMPLAIN#1713504','73','73','2020-08-24 00:27:06','2020-08-24 00:36:40',null);
INSERT INTO complaint_statuses VALUES('1536','571','3',null,'53',null,'COMPLAIN#1035006','73','73','2020-08-24 00:29:09','2020-08-24 00:42:30',null);
INSERT INTO complaint_statuses VALUES('1537','205','7','12','81','complaint resolved',null,'79','79','2020-08-24 00:39:24','2020-08-24 00:39:24',null);
INSERT INTO complaint_statuses VALUES('1538','191','5',null,null,'CLOSED','COMPLAINT RESOLVED','73','92','2020-08-24 00:54:09','2020-09-16 21:24:10',null);
INSERT INTO complaint_statuses VALUES('1539','205','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-24 00:55:21','2020-09-12 21:30:56',null);
INSERT INTO complaint_statuses VALUES('1540','215','5',null,null,'RESOLVED','COMPLAINT RESOLVED','73','74','2020-08-24 00:56:29','2020-09-12 21:36:16',null);
INSERT INTO complaint_statuses VALUES('1541','200','5',null,null,'RESOLVED','COMPLAINT RESOLVED','73','74','2020-08-24 01:00:17','2020-09-12 21:23:14',null);
INSERT INTO complaint_statuses VALUES('1542','490','7','12','81','complaint resolved',null,'79','79','2020-08-24 01:00:46','2020-08-24 01:00:46',null);
INSERT INTO complaint_statuses VALUES('1543','371','7','12','81','complaint resolved',null,'79','79','2020-08-24 01:01:53','2020-08-24 01:01:53',null);
INSERT INTO complaint_statuses VALUES('1544','264','7','12','81','complaint resolved',null,'79','79','2020-08-24 01:09:14','2020-08-24 01:09:14',null);
INSERT INTO complaint_statuses VALUES('1545','572','3',null,'52',null,'COMPLAIN#PKRI200823106465
RELAUNCH#PKRI200824113454','73','73','2020-08-24 01:10:51','2020-08-25 02:28:02',null);
INSERT INTO complaint_statuses VALUES('1546','302','7','9','81','gas +compressor  ..(adil )i 10',null,'79','79','2020-08-24 01:11:23','2020-08-24 01:11:23',null);
INSERT INTO complaint_statuses VALUES('1547','373','7','12','81','compliant resolved.tmep setting only',null,'79','79','2020-08-24 01:15:15','2020-08-24 01:15:15',null);
INSERT INTO complaint_statuses VALUES('1548','410','7','12','81','complaint resolved pcb issue.',null,'79','79','2020-08-24 01:19:52','2020-08-24 01:19:52',null);
INSERT INTO complaint_statuses VALUES('1549','573','2',null,'81',null,'LG','73','73','2020-08-24 01:20:18','2020-08-24 01:20:18',null);
INSERT INTO complaint_statuses VALUES('1550','401','7','12','81','complaint resolved fan motor issue .',null,'79','79','2020-08-24 01:21:01','2020-08-24 01:21:01',null);
INSERT INTO complaint_statuses VALUES('1551','573','4',null,'55',null,null,'81','81','2020-08-24 01:23:05','2020-08-24 01:23:05',null);
INSERT INTO complaint_statuses VALUES('1552','569','4',null,'58',null,null,'81','81','2020-08-24 01:23:17','2020-08-24 01:23:17',null);
INSERT INTO complaint_statuses VALUES('1553','566','4',null,'58',null,null,'81','81','2020-08-24 01:23:27','2020-08-24 01:23:27',null);
INSERT INTO complaint_statuses VALUES('1554','565','4',null,'55',null,null,'81','81','2020-08-24 01:23:44','2020-08-24 01:23:44',null);
INSERT INTO complaint_statuses VALUES('1555','490','5','15',null,null,null,'81','81','2020-08-24 01:31:43','2020-08-24 01:31:43',null);
INSERT INTO complaint_statuses VALUES('1556','410','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-24 01:32:26','2020-09-13 00:16:48',null);
INSERT INTO complaint_statuses VALUES('1557','401','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-24 01:33:08','2020-09-17 02:29:22',null);
INSERT INTO complaint_statuses VALUES('1558','373','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-24 01:33:34','2020-09-13 22:07:41',null);
INSERT INTO complaint_statuses VALUES('1559','264','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-24 01:33:53','2020-09-12 21:51:14',null);
INSERT INTO complaint_statuses VALUES('1560','371','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-24 01:34:15','2020-09-16 00:03:27',null);
INSERT INTO complaint_statuses VALUES('1561','302','8','23','58','mobile off ?',null,'81','81','2020-08-24 01:35:33','2020-08-24 01:35:33',null);
INSERT INTO complaint_statuses VALUES('1562','574','2',null,'81',null,'H.SOLUTION','73','73','2020-08-24 01:36:37','2020-08-24 01:36:37',null);
INSERT INTO complaint_statuses VALUES('1563','574','4',null,'62',null,null,'81','81','2020-08-24 01:37:02','2020-08-24 01:37:02',null);
INSERT INTO complaint_statuses VALUES('1564','574','7','12','81','FRIDGE READY HAI..CUSTOMER KHUD PICK NI KRWA RHY
COMP + GAS CHARGED',null,'87','87','2020-08-24 01:41:50','2020-08-24 01:41:50',null);
INSERT INTO complaint_statuses VALUES('1565','120','7','22','81','compressor issue ya chocking issue plz pick','COMPLAINT RESOLVED','79','74','2020-08-24 01:42:30','2020-09-12 20:22:51',null);
INSERT INTO complaint_statuses VALUES('1566','574','8','23','62',null,null,'81','81','2020-08-24 01:48:26','2020-08-24 01:48:26',null);
INSERT INTO complaint_statuses VALUES('1567','197','5',null,null,'RESOLVED','COMPLAINT RESOLVED','73','74','2020-08-24 01:52:20','2020-09-13 20:03:24',null);
INSERT INTO complaint_statuses VALUES('1568','192','5',null,null,'RESOLVED','COMPLAINT RESOLVED','73','92','2020-08-24 01:54:04','2020-09-16 21:27:25',null);
INSERT INTO complaint_statuses VALUES('1569','575','3',null,'61',null,'COMPLAIN#202008017155','73','73','2020-08-24 01:59:57','2020-08-24 02:02:25',null);
INSERT INTO complaint_statuses VALUES('1570','187','5',null,null,'COSTUMER REPLACE DISPENCER','CASTUMER REPLACE','73','74','2020-08-24 02:07:50','2020-09-12 21:15:50',null);
INSERT INTO complaint_statuses VALUES('1571','186','5',null,null,'COSTUMER SIDE SE PENDING THI... DOBARA RELAUNCH KARWAEN GY','COMPLAINT RESOLVED','73','92','2020-08-24 02:12:09','2020-09-14 02:41:46',null);
INSERT INTO complaint_statuses VALUES('1572','528','7','24','81','Back light defective
Waiting for customer aproval
New backlight rs 25000
Repair 12000
With pic&drop',null,'83','83','2020-08-24 06:12:04','2020-08-24 06:12:04',null);
INSERT INTO complaint_statuses VALUES('1573','474','7','9','81','Monday visit',null,'83','83','2020-08-24 06:12:46','2020-08-24 06:12:46',null);
INSERT INTO complaint_statuses VALUES('1574','304','7','12','81','Panel replaced
Rs 24000 exp
1000 discount',null,'83','83','2020-08-24 06:16:01','2020-08-24 06:16:01',null);
INSERT INTO complaint_statuses VALUES('1576','577','2',null,'81',null,'GAS','73','73','2020-08-24 19:23:07','2020-08-24 19:23:07',null);
INSERT INTO complaint_statuses VALUES('1577','513','7','24','81','visit next sunday ..',null,'79','79','2020-08-24 19:23:34','2020-08-24 19:23:34',null);
INSERT INTO complaint_statuses VALUES('1578','578','3',null,'67',null,'FRWRD TO MUNAWAR CANON','73','73','2020-08-24 19:28:40','2020-08-24 19:28:40',null);
INSERT INTO complaint_statuses VALUES('1579','363','7','12','81','discaling and return this washing machine yesterday',null,'82','82','2020-08-24 19:30:06','2020-08-24 19:30:06',null);
INSERT INTO complaint_statuses VALUES('1580','579','2',null,'81',null,'GAS','73','73','2020-08-24 19:31:03','2020-08-24 19:31:03',null);
INSERT INTO complaint_statuses VALUES('1581','580','2',null,'81',null,'H.SOLUTION','73','73','2020-08-24 19:33:40','2020-08-24 19:33:40',null);
INSERT INTO complaint_statuses VALUES('1582','129','7','12','81','compressor change unitreturnd ....i.10 service cntre',null,'82','82','2020-08-24 19:39:29','2020-08-24 19:39:29',null);
INSERT INTO complaint_statuses VALUES('1583','389','7','12','81','customer cancel the caompliant',null,'79','79','2020-08-24 19:50:39','2020-08-24 19:50:39',null);
INSERT INTO complaint_statuses VALUES('1584','581','3',null,'53',null,'H NO 696 LANE QUAID-EAZAM AVENUE BLOCK C CBR TOWN ISB
OTHER#03029119242','73','73','2020-08-24 19:50:56','2020-08-24 19:53:22',null);
INSERT INTO complaint_statuses VALUES('1585','582','3',null,'52',null,'H NO 696 LANE QUAID-EAZAM AVENUE BLOCK C CBR TOWN ISB
OTHER#03029119242','73','73','2020-08-24 19:50:59','2020-08-24 19:53:20',null);
INSERT INTO complaint_statuses VALUES('1586','548','7','12','81','relay issue complaint resolved',null,'79','79','2020-08-24 19:51:36','2020-08-24 19:51:36',null);
INSERT INTO complaint_statuses VALUES('1587','580','4',null,'62',null,null,'81','81','2020-08-24 19:55:18','2020-08-24 19:55:18',null);
INSERT INTO complaint_statuses VALUES('1588','579','4',null,'63',null,null,'81','81','2020-08-24 19:55:36','2020-08-24 19:55:36',null);
INSERT INTO complaint_statuses VALUES('1589','577','4',null,'63',null,null,'81','81','2020-08-24 19:55:50','2020-08-24 19:55:50',null);
INSERT INTO complaint_statuses VALUES('1590','486','7','12','81','complaint resolved',null,'79','79','2020-08-24 19:58:17','2020-08-24 19:58:17',null);
INSERT INTO complaint_statuses VALUES('1591','475','7','12','81','compliant resolved',null,'79','79','2020-08-24 19:59:02','2020-08-24 19:59:02',null);
INSERT INTO complaint_statuses VALUES('1592','476','7','12','81','complaint  resolved .no issue in ref',null,'79','79','2020-08-24 19:59:52','2020-08-24 19:59:52',null);
INSERT INTO complaint_statuses VALUES('1593','583','3',null,'53',null,'COMPLAIN#1035291','73','73','2020-08-24 20:08:51','2020-08-24 20:10:56',null);
INSERT INTO complaint_statuses VALUES('1594','483','7','12','81','showroom pe hai .complaint show room ki na dein',null,'79','79','2020-08-24 20:12:04','2020-08-24 20:12:04',null);
INSERT INTO complaint_statuses VALUES('1595','584','3',null,'52',null,'COMPLAIN#PKRI200824104122
RELAUNCH#PKRI200905111462(5-SEP-2020)
INVOICE=41884
MODEL=438IDBT','73','73','2020-08-24 20:22:00','2020-09-06 02:12:56',null);
INSERT INTO complaint_statuses VALUES('1596','585','2',null,'81',null,'CARE','73','73','2020-08-24 20:30:22','2020-08-24 20:30:22',null);
INSERT INTO complaint_statuses VALUES('1597','585','4',null,'60',null,null,'81','81','2020-08-24 20:30:50','2020-08-24 20:30:50',null);
INSERT INTO complaint_statuses VALUES('1598','561','7','24','81','customer keh rha hy ap ki traf say koe visit k lia gea hy set check kr gea hy',null,'80','80','2020-08-24 20:52:21','2020-08-24 20:52:21',null);
INSERT INTO complaint_statuses VALUES('1599','493','7','12','81','DRAIN ISSUE THA NOW RESOLVED',null,'87','87','2020-08-24 20:53:41','2020-08-24 20:53:41',null);
INSERT INTO complaint_statuses VALUES('1600','268','7','24','81','customer k pas filhal abi waqat ni hy set office lay time mela to ly ay ga set S/C',null,'80','80','2020-08-24 20:54:21','2020-08-24 20:54:21',null);
INSERT INTO complaint_statuses VALUES('1601','586','3',null,'61',null,'Urgent bases work required.','67','67','2020-08-24 21:04:58','2020-08-24 21:04:58',null);
INSERT INTO complaint_statuses VALUES('1602','587','3',null,'52',null,'FRWRD TO ASIF GILL DIRECT
COMPLAIN#COMPLAIN#PKRI200824104245','73','73','2020-08-24 21:05:40','2020-08-24 21:20:23',null);
INSERT INTO complaint_statuses VALUES('1603','588','3',null,'52',null,'COMPLAIN#PKRI200824105434','73','73','2020-08-24 21:08:17','2020-08-24 21:19:30',null);
INSERT INTO complaint_statuses VALUES('1604','589','2',null,'81',null,'B.COOL','73','73','2020-08-24 21:10:41','2020-08-24 21:10:41',null);
INSERT INTO complaint_statuses VALUES('1605','589','4',null,'58',null,null,'81','81','2020-08-24 21:11:07','2020-08-24 21:11:07',null);
INSERT INTO complaint_statuses VALUES('1606','590','2',null,'81',null,'LG','73','73','2020-08-24 21:13:35','2020-08-24 21:13:35',null);
INSERT INTO complaint_statuses VALUES('1607','590','4',null,'55',null,null,'81','81','2020-08-24 21:13:58','2020-08-24 21:13:58',null);
INSERT INTO complaint_statuses VALUES('1608','586','5',null,null,'TESTING',null,'73','73','2020-08-24 21:15:30','2020-08-24 21:15:30',null);
INSERT INTO complaint_statuses VALUES('1609','585','7','24','81',null,null,'82','82','2020-08-24 21:27:07','2020-08-24 21:27:07',null);
INSERT INTO complaint_statuses VALUES('1610','591','3',null,'52',null,'COMPLAIN#PKRI200824113511','73','73','2020-08-24 21:44:42','2020-08-25 02:31:10',null);
INSERT INTO complaint_statuses VALUES('1611','551','7','24','81','technician call  waiting for customer confirmation for visit',null,'83','83','2020-08-24 22:26:37','2020-08-24 22:26:37',null);
INSERT INTO complaint_statuses VALUES('1612','585','8','23','60',null,null,'81','81','2020-08-24 22:29:55','2020-08-24 22:29:55',null);
INSERT INTO complaint_statuses VALUES('1613','548','5','15',null,null,'WORKING IN PROCESS','81','74','2020-08-24 22:35:43','2020-08-26 00:25:42',null);
INSERT INTO complaint_statuses VALUES('1614','528','8','23','61',null,null,'81','81','2020-08-24 22:36:44','2020-08-24 22:36:44',null);
INSERT INTO complaint_statuses VALUES('1615','493','8','23','62','costumer home ya in service center ?',null,'81','81','2020-08-24 22:43:20','2020-08-24 22:43:20',null);
INSERT INTO complaint_statuses VALUES('1616','486','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-24 22:44:39','2020-08-26 21:30:38',null);
INSERT INTO complaint_statuses VALUES('1617','593','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-08-24 22:56:48','2020-08-24 22:56:48',null);
INSERT INTO complaint_statuses VALUES('1618','493','7','12','81','CUSTOMER HOME',null,'87','87','2020-08-24 22:57:21','2020-08-24 22:57:21',null);
INSERT INTO complaint_statuses VALUES('1619','594','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-08-24 22:59:41','2020-08-24 22:59:41',null);
INSERT INTO complaint_statuses VALUES('1620','595','2',null,'81',null,'KHALID','73','73','2020-08-24 23:02:21','2020-08-24 23:02:21',null);
INSERT INTO complaint_statuses VALUES('1621','488','7','12','81','Not cover in warranty',null,'77','77','2020-08-24 23:07:14','2020-08-24 23:07:14',null);
INSERT INTO complaint_statuses VALUES('1622','487','7','12','81','Not cover in warranty',null,'77','77','2020-08-24 23:07:43','2020-08-24 23:07:43',null);
INSERT INTO complaint_statuses VALUES('1623','162','7','12','81',null,null,'77','77','2020-08-24 23:12:00','2020-08-24 23:12:00',null);
INSERT INTO complaint_statuses VALUES('1624','596','2',null,'81',null,'NADEEM','73','73','2020-08-24 23:29:49','2020-08-24 23:29:49',null);
INSERT INTO complaint_statuses VALUES('1625','597','2',null,'81',null,'MRM','73','73','2020-08-24 23:44:30','2020-08-24 23:44:30',null);
INSERT INTO complaint_statuses VALUES('1626','493','5','15',null,null,'COMPLAINT  RESOLVED','81','74','2020-08-25 00:01:01','2020-09-13 01:55:06',null);
INSERT INTO complaint_statuses VALUES('1627','162','8','23','56','explain the problem',null,'81','81','2020-08-25 00:10:48','2020-08-25 00:10:48',null);
INSERT INTO complaint_statuses VALUES('1628','598','2',null,'81',null,'PLZZZ AGR CALL ATTEND NA KAREIN TO PLZZ MSG KR DEIN','73','73','2020-08-25 00:13:22','2020-08-25 00:13:22',null);
INSERT INTO complaint_statuses VALUES('1629','598','4',null,'55',null,null,'81','81','2020-08-25 00:13:47','2020-08-25 00:13:47',null);
INSERT INTO complaint_statuses VALUES('1630','598','4',null,'55',null,null,'81','81','2020-08-25 00:13:47','2020-08-25 00:13:47',null);
INSERT INTO complaint_statuses VALUES('1631','597','4',null,'61',null,null,'81','81','2020-08-25 00:13:59','2020-08-25 00:13:59',null);
INSERT INTO complaint_statuses VALUES('1632','596','4',null,'59',null,null,'81','81','2020-08-25 00:14:10','2020-08-25 00:14:10',null);
INSERT INTO complaint_statuses VALUES('1633','595','4',null,'56',null,null,'81','81','2020-08-25 00:14:21','2020-08-25 00:14:21',null);
INSERT INTO complaint_statuses VALUES('1634','599','3',null,'53',null,'COMPLAIN#1035759','73','73','2020-08-25 00:17:31','2020-08-25 18:17:10',null);
INSERT INTO complaint_statuses VALUES('1635','600','2',null,'81',null,'GAS','73','73','2020-08-25 00:19:25','2020-08-25 00:19:25',null);
INSERT INTO complaint_statuses VALUES('1636','601','3',null,'53',null,'complain#1035754','73','73','2020-08-25 00:22:35','2020-08-25 18:09:53',null);
INSERT INTO complaint_statuses VALUES('1637','602','3',null,'52',null,'COMPLAIN#PKRI200824113546','73','73','2020-08-25 00:24:15','2020-08-25 02:33:34',null);
INSERT INTO complaint_statuses VALUES('1638','603','2',null,'81',null,'CARE','73','73','2020-08-25 00:25:42','2020-08-25 00:25:42',null);
INSERT INTO complaint_statuses VALUES('1639','604','3',null,'53',null,'COMPLAIN#1035762','73','73','2020-08-25 00:29:02','2020-08-25 18:20:11',null);
INSERT INTO complaint_statuses VALUES('1640','605','2',null,'81',null,'LG','73','73','2020-08-25 00:32:52','2020-08-25 00:32:52',null);
INSERT INTO complaint_statuses VALUES('1641','585','7','24','81','Compresor issur workshop aye ga',null,'82','82','2020-08-25 00:42:09','2020-08-25 00:42:09',null);
INSERT INTO complaint_statuses VALUES('1642','488','8','23','56','explain the problem',null,'81','81','2020-08-25 00:44:59','2020-08-25 00:44:59',null);
INSERT INTO complaint_statuses VALUES('1643','487','5','27',null,'DOUBLE ENTRY NEW COMPLAINT 488 THIS COMPLAINT IS CANCEL',null,'81','81','2020-08-25 00:46:16','2020-08-25 00:46:16',null);
INSERT INTO complaint_statuses VALUES('1644','483','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-25 00:47:39','2020-09-15 22:25:56',null);
INSERT INTO complaint_statuses VALUES('1645','475','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-25 00:48:09','2020-09-17 21:41:41',null);
INSERT INTO complaint_statuses VALUES('1646','129','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-25 00:49:07','2020-09-05 21:56:08',null);
INSERT INTO complaint_statuses VALUES('1647','389','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-25 00:49:36','2020-09-15 23:16:19',null);
INSERT INTO complaint_statuses VALUES('1648','476','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-25 00:50:04','2020-09-13 01:51:19',null);
INSERT INTO complaint_statuses VALUES('1649','304','5','23',null,null,'COMPLAINT RESOLVED','81','74','2020-08-25 00:52:22','2020-09-12 22:21:03',null);
INSERT INTO complaint_statuses VALUES('1650','363','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-25 00:53:11','2020-09-16 00:09:27',null);
INSERT INTO complaint_statuses VALUES('1651','231','7','12','81','RESOLVED FROM I-10
COMP + GAS CHARGED',null,'87','87','2020-08-25 00:53:52','2020-08-25 00:53:52',null);
INSERT INTO complaint_statuses VALUES('1652','120','5','23',null,null,'MONDAY KO YHA REF PICK HO GA CUSTOMER KI VENDER SA BAT HO RAHI HAIN','81','74','2020-08-25 00:54:02','2020-09-05 21:44:53',null);
INSERT INTO complaint_statuses VALUES('1653','595','7','12','81','Only services',null,'77','77','2020-08-25 00:54:57','2020-08-25 00:54:57',null);
INSERT INTO complaint_statuses VALUES('1654','413','7','12','81','Main pcb & inverter pcb replaced  old parts  and unit handover to customer',null,'83','83','2020-08-25 00:56:00','2020-08-25 00:56:00',null);
INSERT INTO complaint_statuses VALUES('1655','488','7','12','81','Not cover in warranty. In side water damaged.',null,'77','77','2020-08-25 00:56:05','2020-08-25 00:56:05',null);
INSERT INTO complaint_statuses VALUES('1656','231','8','23','62','where is fridge I-10 YA costumers home',null,'81','81','2020-08-25 00:56:31','2020-08-25 00:56:31',null);
INSERT INTO complaint_statuses VALUES('1657','413','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-25 00:57:51','2020-09-17 21:20:08',null);
INSERT INTO complaint_statuses VALUES('1658','595','5','15',null,null,null,'81','81','2020-08-25 00:58:23','2020-08-25 00:58:23',null);
INSERT INTO complaint_statuses VALUES('1659','327','7','20','81','inver pcb dead   waiting customer approval',null,'83','83','2020-08-25 00:58:24','2020-08-25 00:58:24',null);
INSERT INTO complaint_statuses VALUES('1660','606','3',null,'52',null,'FRWRD TO TAUQEER HAIER','73','73','2020-08-25 00:59:57','2020-08-25 00:59:57',null);
INSERT INTO complaint_statuses VALUES('1661','231','7','12','81','FRIDGE IS GOING TO CUSTOMER FROM I-10 SERVICE CENTER',null,'87','87','2020-08-25 01:03:59','2020-08-25 01:03:59',null);
INSERT INTO complaint_statuses VALUES('1662','607','3',null,'53',null,'COMPLAIN#1035757','73','73','2020-08-25 01:09:25','2020-08-25 18:14:36',null);
INSERT INTO complaint_statuses VALUES('1663','488','5','15',null,null,null,'81','81','2020-08-25 01:11:08','2020-08-25 01:11:08',null);
INSERT INTO complaint_statuses VALUES('1664','608','2',null,'81',null,'B.COOL','73','73','2020-08-25 01:13:45','2020-08-25 01:13:45',null);
INSERT INTO complaint_statuses VALUES('1665','609','3',null,'65',null,'COMPLAIN#2062000409','73','73','2020-08-25 01:15:48','2020-08-25 02:24:10',null);
INSERT INTO complaint_statuses VALUES('1666','610','3',null,'53',null,'COMPLAIN#1035755','73','73','2020-08-25 01:24:23','2020-08-25 18:12:23',null);
INSERT INTO complaint_statuses VALUES('1667','580','7','12','81','W/M OK HAI BUT CUSTOMER REPLACE KRWANA CHAHTA HAI',null,'87','87','2020-08-25 01:27:00','2020-08-25 01:27:00',null);
INSERT INTO complaint_statuses VALUES('1668','611','2',null,'81',null,'LG','73','73','2020-08-25 02:16:21','2020-08-25 02:16:21',null);
INSERT INTO complaint_statuses VALUES('1669','162','7','12','81','Only service.',null,'77','77','2020-08-25 02:26:20','2020-08-25 02:26:20',null);
INSERT INTO complaint_statuses VALUES('1670','545','7','12','81','Only services unit ok',null,'77','77','2020-08-25 02:56:35','2020-08-25 02:56:35',null);
INSERT INTO complaint_statuses VALUES('1671','612','3',null,'52',null,'COMPLAIN#PKRI200825100827','73','73','2020-08-25 03:18:26','2020-08-25 18:39:54',null);
INSERT INTO complaint_statuses VALUES('1672','613','3',null,'52',null,'COMPLAIN#PKRI200825100914','73','73','2020-08-25 03:22:57','2020-08-25 18:42:57',null);
INSERT INTO complaint_statuses VALUES('1673','614','3',null,'52',null,'COMPLAIN#PKRI200825100863','73','73','2020-08-25 03:24:35','2020-08-25 18:39:51',null);
INSERT INTO complaint_statuses VALUES('1674','611','4',null,'55',null,null,'81','81','2020-08-25 03:25:37','2020-08-25 03:25:37',null);
INSERT INTO complaint_statuses VALUES('1675','608','4',null,'58',null,null,'81','81','2020-08-25 03:25:48','2020-08-25 03:25:48',null);
INSERT INTO complaint_statuses VALUES('1676','605','4',null,'55',null,null,'81','81','2020-08-25 03:25:59','2020-08-25 03:25:59',null);
INSERT INTO complaint_statuses VALUES('1677','603','4',null,'60',null,null,'81','81','2020-08-25 03:26:15','2020-08-25 03:26:15',null);
INSERT INTO complaint_statuses VALUES('1678','615','3',null,'55',null,'FRWRD TO NAEEM KNWOOD','73','73','2020-08-25 03:26:33','2020-08-25 03:26:33',null);
INSERT INTO complaint_statuses VALUES('1679','600','4',null,'63',null,null,'81','81','2020-08-25 03:26:54','2020-08-25 03:26:54',null);
INSERT INTO complaint_statuses VALUES('1680','616','3',null,'52',null,'COMPLAIN#PKRI200825100977','73','73','2020-08-25 03:27:53','2020-08-25 18:47:31',null);
INSERT INTO complaint_statuses VALUES('1681','596','7','24','81','set s/c py ay ga',null,'80','80','2020-08-25 03:45:15','2020-08-25 03:45:15',null);
INSERT INTO complaint_statuses VALUES('1682','478','7','12','81','compliant resolved',null,'79','79','2020-08-25 04:30:50','2020-08-25 04:30:50',null);
INSERT INTO complaint_statuses VALUES('1683','375','7','22','81','inlet coil issue',null,'79','79','2020-08-25 04:31:51','2020-08-25 04:31:51',null);
INSERT INTO complaint_statuses VALUES('1684','603','7','24','81','water dispenser service centre ay gha',null,'82','82','2020-08-25 04:46:04','2020-08-25 04:46:04',null);
INSERT INTO complaint_statuses VALUES('1685','392','5',null,null,'complaint closed',null,'74','74','2020-08-25 18:36:26','2020-08-25 18:36:26',null);
INSERT INTO complaint_statuses VALUES('1686','391','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 18:38:30','2020-08-25 18:38:30',null);
INSERT INTO complaint_statuses VALUES('1687','381','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 18:43:56','2020-08-25 18:43:56',null);
INSERT INTO complaint_statuses VALUES('1688','376','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 18:50:28','2020-08-25 18:50:28',null);
INSERT INTO complaint_statuses VALUES('1689','374','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 18:55:55','2020-08-25 18:55:55',null);
INSERT INTO complaint_statuses VALUES('1690','364','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 19:04:53','2020-08-25 19:04:53',null);
INSERT INTO complaint_statuses VALUES('1691','368','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 19:07:03','2020-08-25 19:07:03',null);
INSERT INTO complaint_statuses VALUES('1692','176','7','12','81','Demonstration Only.',null,'76','76','2020-08-25 19:10:35','2020-08-25 19:10:35',null);
INSERT INTO complaint_statuses VALUES('1693','369','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 19:11:23','2020-08-25 19:11:23',null);
INSERT INTO complaint_statuses VALUES('1694','189','7','12','81','Drain Pipe Adjustment.',null,'76','76','2020-08-25 19:12:39','2020-08-25 19:12:39',null);
INSERT INTO complaint_statuses VALUES('1695','526','7','12','81','Drain Pipe Adjustment,Visit Charges not Paid By Customer.(600)',null,'76','76','2020-08-25 19:14:46','2020-08-25 19:14:46',null);
INSERT INTO complaint_statuses VALUES('1696','359','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 19:15:11','2020-08-25 19:15:11',null);
INSERT INTO complaint_statuses VALUES('1697','358','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 19:24:46','2020-08-25 19:24:46',null);
INSERT INTO complaint_statuses VALUES('1698','349','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-08-25 19:38:13','2020-08-25 19:38:13',null);
INSERT INTO complaint_statuses VALUES('1699','348','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 19:38:57','2020-08-25 19:38:57',null);
INSERT INTO complaint_statuses VALUES('1700','617','3',null,'53',null,'COMPLAIN#1036019','73','73','2020-08-25 19:40:09','2020-08-25 21:38:40',null);
INSERT INTO complaint_statuses VALUES('1701','344','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 19:42:20','2020-08-25 19:42:20',null);
INSERT INTO complaint_statuses VALUES('1702','339','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 19:47:40','2020-08-25 19:47:40',null);
INSERT INTO complaint_statuses VALUES('1703','342','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 19:54:10','2020-08-25 19:54:10',null);
INSERT INTO complaint_statuses VALUES('1704','341','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 19:54:56','2020-08-25 19:54:56',null);
INSERT INTO complaint_statuses VALUES('1705','618','2',null,'81',null,'GAS','73','73','2020-08-25 19:56:26','2020-08-25 19:56:26',null);
INSERT INTO complaint_statuses VALUES('1706','619','3',null,'52',null,'COMPLAIN#PKRI200825104430','73','73','2020-08-25 19:57:34','2020-08-25 21:01:13',null);
INSERT INTO complaint_statuses VALUES('1707','620','2',null,'81',null,'H.SOLUTION','73','73','2020-08-25 20:04:00','2020-08-25 20:04:00',null);
INSERT INTO complaint_statuses VALUES('1708','337','5',null,null,'COMPLAINT CLOSED','COMAPLINT OPEND HAIN  BY MISTAKR CLOSED HOI','74','74','2020-08-25 20:08:12','2020-08-25 20:16:54',null);
INSERT INTO complaint_statuses VALUES('1709','621','3',null,'52',null,'2UNITS SAME MODEL
COMPLAIN#PKFD200825104341
COMPLAIN#PKFD200825104366','73','73','2020-08-25 20:08:59','2020-08-25 20:58:47',null);
INSERT INTO complaint_statuses VALUES('1710','620','4',null,'62',null,null,'81','81','2020-08-25 20:11:21','2020-08-25 20:11:21',null);
INSERT INTO complaint_statuses VALUES('1711','618','4',null,'63',null,null,'81','81','2020-08-25 20:11:38','2020-08-25 20:11:38',null);
INSERT INTO complaint_statuses VALUES('1712','622','3',null,'52',null,'COMPLAIN#PKRI200825103102','73','73','2020-08-25 20:15:26','2020-08-25 20:56:12',null);
INSERT INTO complaint_statuses VALUES('1713','338','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 20:19:48','2020-08-25 20:19:48',null);
INSERT INTO complaint_statuses VALUES('1714','623','3',null,'54',null,'COMPLAIN#1715167','73','73','2020-08-25 20:20:43','2020-08-25 20:53:11',null);
INSERT INTO complaint_statuses VALUES('1715','624','3',null,'67',null,'FRWRD TO MUNAWAR CANON','73','73','2020-08-25 20:27:37','2020-08-25 20:27:37',null);
INSERT INTO complaint_statuses VALUES('1716','335','5',null,null,'COMPLIANT CLOSED',null,'74','74','2020-08-25 20:30:45','2020-08-25 20:30:45',null);
INSERT INTO complaint_statuses VALUES('1717','625','2',null,'81',null,'25-08-2020
FF TO BEST COOL','74','74','2020-08-25 20:36:41','2020-08-25 20:36:41',null);
INSERT INTO complaint_statuses VALUES('1718','626','3',null,'52',null,'25-08-2020
COMPLAINT#PKRI-200825103652','74','74','2020-08-25 20:38:46','2020-08-25 20:38:46',null);
INSERT INTO complaint_statuses VALUES('1719','627','2',null,'81',null,'B.COOL','73','73','2020-08-25 20:41:16','2020-08-25 20:41:16',null);
INSERT INTO complaint_statuses VALUES('1720','627','4',null,'58',null,null,'81','81','2020-08-25 20:41:37','2020-08-25 20:41:37',null);
INSERT INTO complaint_statuses VALUES('1721','625','4',null,'58',null,null,'81','81','2020-08-25 20:41:47','2020-08-25 20:41:47',null);
INSERT INTO complaint_statuses VALUES('1722','625','4',null,'58',null,null,'81','81','2020-08-25 20:41:47','2020-08-25 20:41:47',null);
INSERT INTO complaint_statuses VALUES('1723','315','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 21:05:54','2020-08-25 21:05:54',null);
INSERT INTO complaint_statuses VALUES('1724','334','7','9','81','kal bhi customer sy bt hui company ka visit hua wo bol technician ka fault hai .mera technician ny bhi visit kia joint sy koi leakage nahi hai..concealed papping hai .na tu customer pay kr raha na popie check kerwa raha hai.',null,'79','79','2020-08-25 21:06:04','2020-08-25 21:06:04',null);
INSERT INTO complaint_statuses VALUES('1725','628','2',null,'81',null,'FRWRD TO IRFAN AYS','73','73','2020-08-25 21:19:14','2020-08-25 21:19:14',null);
INSERT INTO complaint_statuses VALUES('1726','317','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 21:30:27','2020-08-25 21:30:27',null);
INSERT INTO complaint_statuses VALUES('1727','629','2',null,'81',null,'B.COOL','73','73','2020-08-25 21:49:39','2020-08-25 21:49:39',null);
INSERT INTO complaint_statuses VALUES('1728','603','8','23','60',null,null,'81','81','2020-08-25 22:04:00','2020-08-25 22:04:00',null);
INSERT INTO complaint_statuses VALUES('1729','596','8','23','59',null,null,'81','81','2020-08-25 22:04:38','2020-08-25 22:04:38',null);
INSERT INTO complaint_statuses VALUES('1730','630','3',null,'54',null,'COMPLAIN#1715432','73','73','2020-08-25 22:04:48','2020-08-26 00:27:42',null);
INSERT INTO complaint_statuses VALUES('1731','585','8','23','60',null,null,'81','81','2020-08-25 22:05:03','2020-08-25 22:05:03',null);
INSERT INTO complaint_statuses VALUES('1732','580','8','23','62',null,null,'81','81','2020-08-25 22:05:54','2020-08-25 22:05:54',null);
INSERT INTO complaint_statuses VALUES('1733','631','3',null,'65',null,'COMPLAIN#192017572','73','73','2020-08-25 22:07:37','2020-08-26 00:43:04',null);
INSERT INTO complaint_statuses VALUES('1734','545','5','15',null,null,null,'81','81','2020-08-25 22:08:47','2020-08-25 22:08:47',null);
INSERT INTO complaint_statuses VALUES('1735','380','7','12','81','ISSUE RESOLVED BY HOME SOLUTION ... CIRCUIT KA ISSUE THA',null,'87','87','2020-08-25 22:20:52','2020-08-25 22:20:52',null);
INSERT INTO complaint_statuses VALUES('1736','561','5','15',null,'cancel costumers end',null,'81','81','2020-08-25 22:46:06','2020-08-25 22:46:06',null);
INSERT INTO complaint_statuses VALUES('1737','526','5','15',null,null,null,'81','81','2020-08-25 22:46:48','2020-08-25 22:46:48',null);
INSERT INTO complaint_statuses VALUES('1738','632','3',null,'52',null,'COMPLAIN#PKRI200825110663','73','73','2020-08-25 22:47:11','2020-08-26 01:20:09',null);
INSERT INTO complaint_statuses VALUES('1739','513','8','23','58',null,null,'81','81','2020-08-25 22:47:17','2020-08-25 22:47:17',null);
INSERT INTO complaint_statuses VALUES('1740','398','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 22:52:44','2020-08-25 22:52:44',null);
INSERT INTO complaint_statuses VALUES('1741','387','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 22:54:09','2020-08-25 22:54:09',null);
INSERT INTO complaint_statuses VALUES('1742','551','5','15',null,'huma majeed ny costumer ko call ki hy wo shifting kar rahe hen complaint . complaint cancel krwa de hy',null,'81','81','2020-08-25 23:08:49','2020-08-25 23:08:49',null);
INSERT INTO complaint_statuses VALUES('1743','592','3',null,'69',null,'CLOSED','74','74','2020-08-25 23:09:19','2020-08-25 23:09:19',null);
INSERT INTO complaint_statuses VALUES('1744','592','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 23:10:13','2020-08-25 23:10:13',null);
INSERT INTO complaint_statuses VALUES('1745','474','8','23','61',null,null,'81','81','2020-08-25 23:16:01','2020-08-25 23:16:01',null);
INSERT INTO complaint_statuses VALUES('1746','478','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-25 23:16:22','2020-09-15 22:30:50',null);
INSERT INTO complaint_statuses VALUES('1747','277','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 23:18:00','2020-08-25 23:18:00',null);
INSERT INTO complaint_statuses VALUES('1748','380','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-25 23:21:18','2020-09-16 21:53:16',null);
INSERT INTO complaint_statuses VALUES('1749','375','8','23','58',null,null,'81','81','2020-08-25 23:22:17','2020-08-25 23:22:17',null);
INSERT INTO complaint_statuses VALUES('1750','334','8','23','58',null,null,'81','81','2020-08-25 23:24:09','2020-08-25 23:24:09',null);
INSERT INTO complaint_statuses VALUES('1751','327','8','23','61',null,null,'81','81','2020-08-25 23:24:37','2020-08-25 23:24:37',null);
INSERT INTO complaint_statuses VALUES('1752','316','8','23','62',null,null,'81','81','2020-08-25 23:25:10','2020-08-25 23:25:10',null);
INSERT INTO complaint_statuses VALUES('1753','279','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-25 23:25:25','2020-08-25 23:25:25',null);
INSERT INTO complaint_statuses VALUES('1754','268','8','23','59',null,null,'81','81','2020-08-25 23:25:48','2020-08-25 23:25:48',null);
INSERT INTO complaint_statuses VALUES('1755','231','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-25 23:26:27','2020-09-12 21:47:45',null);
INSERT INTO complaint_statuses VALUES('1756','189','5','15',null,null,'COMPLAINT RESOLVED','81','73','2020-08-25 23:26:47','2020-09-11 20:14:53',null);
INSERT INTO complaint_statuses VALUES('1757','176','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-25 23:27:07','2020-09-13 19:41:46',null);
INSERT INTO complaint_statuses VALUES('1758','162','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-25 23:27:26','2020-09-16 21:19:50',null);
INSERT INTO complaint_statuses VALUES('1759','566','7','22','81','compressor issue start nahi ho rha plz pick',null,'79','79','2020-08-25 23:45:21','2020-08-25 23:45:21',null);
INSERT INTO complaint_statuses VALUES('1760','569','7','9','81','customer 1 10 ly kr jaye gain',null,'79','79','2020-08-25 23:45:54','2020-08-25 23:45:54',null);
INSERT INTO complaint_statuses VALUES('1761','633','3',null,'52',null,'COMPLAIN#PKRI200825110601.
new complain3pkri-200831111425','73','74','2020-08-25 23:46:31','2020-09-01 02:10:51',null);
INSERT INTO complaint_statuses VALUES('1762','556','7','12','81','inlet filter clean .complaint resolved',null,'79','79','2020-08-25 23:47:00','2020-08-25 23:47:00',null);
INSERT INTO complaint_statuses VALUES('1763','634','2',null,'81',null,'MRM','73','73','2020-08-25 23:49:13','2020-08-25 23:49:13',null);
INSERT INTO complaint_statuses VALUES('1764','316','7','26','81','LAST 3 DAYS SE CAL KR RHA H0N PICK NHI KR RHY',null,'87','87','2020-08-25 23:52:51','2020-08-25 23:52:51',null);
INSERT INTO complaint_statuses VALUES('1765','635','2',null,'81',null,'KHALID','73','73','2020-08-25 23:53:16','2020-08-25 23:53:16',null);
INSERT INTO complaint_statuses VALUES('1766','636','2',null,'81',null,'B.COOL','73','73','2020-08-25 23:55:34','2020-08-25 23:55:34',null);
INSERT INTO complaint_statuses VALUES('1767','302','7','12','81','ye complete hai adil ny confirm kia',null,'79','79','2020-08-25 23:56:27','2020-08-25 23:56:27',null);
INSERT INTO complaint_statuses VALUES('1768','528','7','26','81','Cost issue',null,'83','83','2020-08-25 23:59:26','2020-08-25 23:59:26',null);
INSERT INTO complaint_statuses VALUES('1769','375','7','12','81','coil change  complaint resolved.',null,'79','79','2020-08-25 23:59:49','2020-08-25 23:59:49',null);
INSERT INTO complaint_statuses VALUES('1770','327','7','26','81','Cost issue   customer not interested for repair yet',null,'83','83','2020-08-26 00:00:22','2020-08-26 00:00:22',null);
INSERT INTO complaint_statuses VALUES('1771','637','2',null,'81',null,'MRM','73','73','2020-08-26 00:03:18','2020-08-26 00:03:18',null);
INSERT INTO complaint_statuses VALUES('1772','399','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-08-26 00:03:23','2020-09-22 23:49:12',null);
INSERT INTO complaint_statuses VALUES('1773','637','4',null,'61',null,null,'81','81','2020-08-26 00:06:13','2020-08-26 00:06:13',null);
INSERT INTO complaint_statuses VALUES('1774','636','4',null,'58',null,null,'81','81','2020-08-26 00:06:24','2020-08-26 00:06:24',null);
INSERT INTO complaint_statuses VALUES('1775','635','4',null,'56',null,null,'81','81','2020-08-26 00:06:34','2020-08-26 00:06:34',null);
INSERT INTO complaint_statuses VALUES('1776','634','4',null,'61',null,null,'81','81','2020-08-26 00:06:50','2020-08-26 00:06:50',null);
INSERT INTO complaint_statuses VALUES('1777','629','4',null,'58',null,null,'81','81','2020-08-26 00:07:10','2020-08-26 00:07:10',null);
INSERT INTO complaint_statuses VALUES('1778','638','2',null,'81',null,'LG','73','73','2020-08-26 00:09:55','2020-08-26 00:09:55',null);
INSERT INTO complaint_statuses VALUES('1779','638','4',null,'55',null,null,'81','81','2020-08-26 00:10:23','2020-08-26 00:10:23',null);
INSERT INTO complaint_statuses VALUES('1780','302','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-26 00:29:43','2020-09-12 22:16:05',null);
INSERT INTO complaint_statuses VALUES('1781','637','7','12','81','Main pcb replaced  RS 4500/- total expanse',null,'83','83','2020-08-26 00:32:34','2020-08-26 00:32:34',null);
INSERT INTO complaint_statuses VALUES('1782','528','8','23','61','where is unit costumers home ya service center',null,'81','81','2020-08-26 00:36:40','2020-08-26 00:36:40',null);
INSERT INTO complaint_statuses VALUES('1783','639','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-08-26 00:37:40','2020-08-26 00:37:40',null);
INSERT INTO complaint_statuses VALUES('1784','327','8','23','61','where is unit costumers home ya service center',null,'81','81','2020-08-26 00:41:51','2020-08-26 00:41:51',null);
INSERT INTO complaint_statuses VALUES('1785','375','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-26 00:42:20','2020-09-15 23:59:04',null);
INSERT INTO complaint_statuses VALUES('1786','597','7','12','81','detergent box water inlet pipe chock  repair done.',null,'83','83','2020-08-26 00:42:32','2020-08-26 00:42:32',null);
INSERT INTO complaint_statuses VALUES('1787','556','5','15',null,null,null,'81','81','2020-08-26 00:43:43','2020-08-26 00:43:43',null);
INSERT INTO complaint_statuses VALUES('1788','566','8','23','58',null,'KAL CUSTOMER KHUD S/C LA K AAY HAIN  ADIL BHAI KO TASK# FF KAR DIA','81','74','2020-08-26 00:44:13','2020-09-06 00:38:11',null);
INSERT INTO complaint_statuses VALUES('1789','640','2',null,'81',null,'COMPLAIN#RS-200822070967','73','73','2020-08-26 00:45:16','2020-08-26 00:45:16',null);
INSERT INTO complaint_statuses VALUES('1790','640','4',null,'55',null,'REF TO S/C SATURDAY KO LIFT HO GEI','81','74','2020-08-26 00:45:35','2020-09-02 00:50:19',null);
INSERT INTO complaint_statuses VALUES('1791','569','8','23','58',null,null,'81','81','2020-08-26 00:45:36','2020-08-26 00:45:36',null);
INSERT INTO complaint_statuses VALUES('1792','597','5','15',null,null,null,'81','81','2020-08-26 00:46:28','2020-08-26 00:46:28',null);
INSERT INTO complaint_statuses VALUES('1793','637','8','23','61','where is unit costumers home ya service center',null,'81','81','2020-08-26 00:48:01','2020-08-26 00:48:01',null);
INSERT INTO complaint_statuses VALUES('1794','641','3',null,'55',null,'FRWRD TO WAQAR KENWOOD','73','73','2020-08-26 00:50:37','2020-08-26 00:50:37',null);
INSERT INTO complaint_statuses VALUES('1795','620','7','12','81','ISSUE RESOLVED BY HOME SOLUTION
DRAIN PIPE KA LEVEL OUT THA',null,'87','87','2020-08-26 00:54:24','2020-08-26 00:54:24',null);
INSERT INTO complaint_statuses VALUES('1796','642','3',null,'54',null,'COMPLAIN#1715489','73','73','2020-08-26 01:03:40','2020-08-26 01:11:37',null);
INSERT INTO complaint_statuses VALUES('1797','643','2',null,'81',null,'COSTUMER CALL ATTEND NAI KRRY THY... AP SE CONTACT HO TO INFORM KR DIJYE GA K SERVICE CENTRE DROP KR DEIN','73','73','2020-08-26 01:03:49','2020-08-26 01:03:49',null);
INSERT INTO complaint_statuses VALUES('1798','643','4',null,'56',null,null,'81','81','2020-08-26 01:04:56','2020-08-26 01:04:56',null);
INSERT INTO complaint_statuses VALUES('1799','543','7','9','81','no is powered off 2 din sy try kr rehy',null,'79','79','2020-08-26 01:10:50','2020-08-26 01:10:50',null);
INSERT INTO complaint_statuses VALUES('1800','479','7','9','81','no is powered off',null,'79','79','2020-08-26 01:12:53','2020-08-26 01:12:53',null);
INSERT INTO complaint_statuses VALUES('1801','644','3',null,'53',null,'COMPLAIN#1036014
RELAUNCH#39738','73','73','2020-08-26 01:30:28','2020-09-03 01:25:18',null);
INSERT INTO complaint_statuses VALUES('1802','408','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-26 01:31:09','2020-08-26 01:31:09',null);
INSERT INTO complaint_statuses VALUES('1803','407','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-26 01:33:34','2020-08-26 01:33:34',null);
INSERT INTO complaint_statuses VALUES('1804','406','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-26 01:34:48','2020-08-26 01:34:48',null);
INSERT INTO complaint_statuses VALUES('1805','645','3',null,'53',null,'COMPLAIN#1036232','73','73','2020-08-26 01:38:10','2020-08-26 01:53:24',null);
INSERT INTO complaint_statuses VALUES('1806','637','7','12','81','Customer home',null,'83','83','2020-08-26 01:45:10','2020-08-26 01:45:10',null);
INSERT INTO complaint_statuses VALUES('1807','628','4',null,'60',null,null,'81','81','2020-08-26 01:56:39','2020-08-26 01:56:39',null);
INSERT INTO complaint_statuses VALUES('1808','628','4',null,'60',null,null,'81','81','2020-08-26 01:56:39','2020-08-26 01:56:39',null);
INSERT INTO complaint_statuses VALUES('1809','334','7','12','81','customer ny payment ni ki comaplint reoslved ho gai hai ..joint ka issue nahi hai,,next in ko kisi ac ki complaint hum attend nahi kry gain',null,'79','79','2020-08-26 01:57:11','2020-08-26 01:57:11',null);
INSERT INTO complaint_statuses VALUES('1810','646','2',null,'81',null,null,'73','73','2020-08-26 02:03:43','2020-08-26 02:03:43',null);
INSERT INTO complaint_statuses VALUES('1811','647','2',null,'81',null,null,'73','73','2020-08-26 02:05:56','2020-08-26 02:05:56',null);
INSERT INTO complaint_statuses VALUES('1812','647','4',null,'62',null,null,'81','81','2020-08-26 02:06:44','2020-08-26 02:06:44',null);
INSERT INTO complaint_statuses VALUES('1813','646','4',null,'62',null,null,'81','81','2020-08-26 02:06:59','2020-08-26 02:06:59',null);
INSERT INTO complaint_statuses VALUES('1814','648','2',null,'81',null,null,'73','73','2020-08-26 02:09:52','2020-08-26 02:09:52',null);
INSERT INTO complaint_statuses VALUES('1815','648','4',null,'62',null,null,'81','81','2020-08-26 02:10:08','2020-08-26 02:10:08',null);
INSERT INTO complaint_statuses VALUES('1816','44','7','22','81','customer ko 2 din sy invice ka poch rehy .abhi tk kuch ni batya .is trah hum burner cahnge nhai kr sakty..',null,'79','79','2020-08-26 02:23:42','2020-08-26 02:23:42',null);
INSERT INTO complaint_statuses VALUES('1817','441','7','12','81','compliant resolved jet issue',null,'79','79','2020-08-26 02:31:59','2020-08-26 02:31:59',null);
INSERT INTO complaint_statuses VALUES('1818','649','3',null,'53',null,'COMPLAIN#301036250','73','73','2020-08-26 02:55:28','2020-08-26 02:55:28',null);
INSERT INTO complaint_statuses VALUES('1819','650','2',null,'81',null,null,'73','73','2020-08-26 03:04:53','2020-08-26 03:04:53',null);
INSERT INTO complaint_statuses VALUES('1820','651','2',null,'81',null,null,'73','73','2020-08-26 03:08:40','2020-08-26 03:08:40',null);
INSERT INTO complaint_statuses VALUES('1821','650','3',null,'65',null,'complain#192017588(26-8-20)','81','73','2020-08-26 03:09:18','2020-08-26 20:39:48',null);
INSERT INTO complaint_statuses VALUES('1822','651','4',null,'62',null,null,'81','81','2020-08-26 03:09:30','2020-08-26 03:09:30',null);
INSERT INTO complaint_statuses VALUES('1823','554','7','12','81','complaint resolved.not cooling issue noise arhi thi',null,'79','79','2020-08-26 20:06:28','2020-08-26 20:06:28',null);
INSERT INTO complaint_statuses VALUES('1824','56','7','26','81','According to The Customer No Need of Visit , if  he Face Problem Again , Will Inform .',null,'76','76','2020-08-26 20:08:06','2020-08-26 20:08:06',null);
INSERT INTO complaint_statuses VALUES('1825','56','5','15',null,null,null,'81','81','2020-08-26 20:08:47','2020-08-26 20:08:47',null);
INSERT INTO complaint_statuses VALUES('1826','83','7','22','81','sr 50 model is ky shocks .ly kr gaye thy mgr  un k pas jo model hai.us mein lg rahy .jb k model ek jasy hi hain',null,'79','79','2020-08-26 20:29:36','2020-08-26 20:29:36',null);
INSERT INTO complaint_statuses VALUES('1827','651','7','12','81','ISSUE RESOLVED BY HOME SOLUTION ..JUST FILTER SAF KYE',null,'87','87','2020-08-26 20:37:09','2020-08-26 20:37:09',null);
INSERT INTO complaint_statuses VALUES('1828','652','3',null,'65',null,'COMPLAIN#192017600','73','73','2020-08-26 20:44:50','2020-08-26 23:11:05',null);
INSERT INTO complaint_statuses VALUES('1829','653','2',null,'81',null,'MRM','73','73','2020-08-26 20:47:48','2020-08-26 20:47:48',null);
INSERT INTO complaint_statuses VALUES('1830','635','7','12','81',null,null,'77','77','2020-08-26 20:48:30','2020-08-26 20:48:30',null);
INSERT INTO complaint_statuses VALUES('1831','654','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-08-26 20:51:13','2020-08-26 20:51:13',null);
INSERT INTO complaint_statuses VALUES('1832','438','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-26 20:53:01','2020-08-26 20:53:01',null);
INSERT INTO complaint_statuses VALUES('1833','655','2',null,'81',null,'LG','73','73','2020-08-26 20:55:25','2020-08-26 20:55:25',null);
INSERT INTO complaint_statuses VALUES('1834','435','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-08-26 21:07:32','2020-10-12 21:14:25',null);
INSERT INTO complaint_statuses VALUES('1835','44','5','23',null,null,'CUSTOMER KI TAHIR SAB SA KAL AGAIN BAT HOI HAIN','81','74','2020-08-26 21:24:18','2020-09-05 21:00:29',null);
INSERT INTO complaint_statuses VALUES('1836','83','8','23','58',null,null,'81','81','2020-08-26 21:24:55','2020-08-26 21:24:55',null);
INSERT INTO complaint_statuses VALUES('1837','316','8','23','62','TELL SHAHZAD SB',null,'81','81','2020-08-26 21:28:21','2020-08-26 21:28:21',null);
INSERT INTO complaint_statuses VALUES('1838','656','3',null,'66',null,'FRWRD TO MARIYAM AND SAJID TCL','73','73','2020-08-26 21:28:24','2020-08-26 21:28:24',null);
INSERT INTO complaint_statuses VALUES('1839','334','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-26 21:29:04','2020-09-16 00:20:32',null);
INSERT INTO complaint_statuses VALUES('1840','441','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-26 21:29:24','2020-09-17 01:54:38',null);
INSERT INTO complaint_statuses VALUES('1841','445','5','25',null,'CANCEL COSTUMERS END','COMPLAINT RESOLVED','81','92','2020-08-26 21:30:34','2020-09-19 20:59:26',null);
INSERT INTO complaint_statuses VALUES('1842','427','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-26 21:36:30','2020-08-26 21:36:30',null);
INSERT INTO complaint_statuses VALUES('1843','427','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-26 21:36:32','2020-08-26 21:36:32',null);
INSERT INTO complaint_statuses VALUES('1844','657','3',null,'65',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-08-26 21:40:28','2020-08-26 21:47:02',null);
INSERT INTO complaint_statuses VALUES('1845','454','5','25',null,'THE CUSTOMER IS NO PICKING UP HUMA MAJEED CALL . LAST 3 DAYS . COMPLAINT CANCEL','CUSTOMER KA RAHA HAY COMPLAINT RESOLVED HO GAI HAY 2MONTH PALAY','81','92','2020-08-26 21:41:17','2020-09-13 23:42:38',null);
INSERT INTO complaint_statuses VALUES('1846','479','8','23','58','TRY AGAIN',null,'81','81','2020-08-26 21:41:51','2020-08-26 21:41:51',null);
INSERT INTO complaint_statuses VALUES('1847','543','8','23','58','PLEASE CONTACT CSR YA IRFAN SB',null,'81','81','2020-08-26 21:42:39','2020-08-26 21:42:39',null);
INSERT INTO complaint_statuses VALUES('1848','554','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-26 21:43:07','2020-09-14 01:11:59',null);
INSERT INTO complaint_statuses VALUES('1849','651','5','15',null,null,'COMPLAINT  RESOLVED','81','92','2020-08-26 21:43:32','2020-09-16 22:48:17',null);
INSERT INTO complaint_statuses VALUES('1850','637','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-26 21:43:55','2020-09-14 01:41:43',null);
INSERT INTO complaint_statuses VALUES('1851','635','8','23','56','EXPLAIN THE PROBLEM',null,'81','81','2020-08-26 21:45:13','2020-08-26 21:45:13',null);
INSERT INTO complaint_statuses VALUES('1852','620','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-26 21:45:40','2020-09-12 23:55:20',null);
INSERT INTO complaint_statuses VALUES('1853','424','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-26 21:48:00','2020-08-26 21:48:00',null);
INSERT INTO complaint_statuses VALUES('1854','482','7','22','81','Panel faulty.  cost of panel 64000. Need approval',null,'77','77','2020-08-26 21:54:22','2020-08-26 21:54:22',null);
INSERT INTO complaint_statuses VALUES('1855','658','2',null,'81',null,'B.COOL','73','73','2020-08-26 22:10:56','2020-08-26 22:10:56',null);
INSERT INTO complaint_statuses VALUES('1856','659','3',null,'52',null,'COMPLAIN#PKRI200826107503','73','73','2020-08-26 22:14:02','2020-08-26 23:14:36',null);
INSERT INTO complaint_statuses VALUES('1857','660','3',null,'65',null,'COMPLAIN#192017515(24-8-20)
COSTUMER NE KHUD COMPLAIN LAUNCH KARWAI HOI THI','73','73','2020-08-26 22:16:15','2020-08-26 23:08:53',null);
INSERT INTO complaint_statuses VALUES('1858','661','2',null,'81',null,'saddiq sb ne kaha ha k vendor attend karein gy','73','73','2020-08-26 22:20:34','2020-08-27 03:03:28',null);
INSERT INTO complaint_statuses VALUES('1859','662','2',null,'81',null,'COMPLAIN#192017599','73','73','2020-08-26 22:22:11','2020-08-26 23:06:25',null);
INSERT INTO complaint_statuses VALUES('1860','663','3',null,'56',null,'complain#H26/014','73','73','2020-08-26 22:24:40','2020-08-26 23:00:40',null);
INSERT INTO complaint_statuses VALUES('1861','316','7','24','81','MONDAY KO DROP KREIN GE BY CUSTOMER',null,'87','87','2020-08-26 22:33:02','2020-08-26 22:33:02',null);
INSERT INTO complaint_statuses VALUES('1862','664','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-08-26 22:37:31','2020-08-26 22:37:31',null);
INSERT INTO complaint_statuses VALUES('1863','665','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-08-26 22:40:02','2020-08-26 22:40:02',null);
INSERT INTO complaint_statuses VALUES('1864','444','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-26 22:47:55','2020-08-26 22:47:55',null);
INSERT INTO complaint_statuses VALUES('1865','449','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-26 22:50:00','2020-08-26 22:50:00',null);
INSERT INTO complaint_statuses VALUES('1866','662','3',null,'65',null,null,'81','81','2020-08-26 22:57:16','2020-08-26 22:57:16',null);
INSERT INTO complaint_statuses VALUES('1867','658','4',null,'58',null,null,'81','81','2020-08-26 22:57:25','2020-08-26 22:57:25',null);
INSERT INTO complaint_statuses VALUES('1868','655','4',null,'55',null,null,'81','81','2020-08-26 22:57:38','2020-08-26 22:57:38',null);
INSERT INTO complaint_statuses VALUES('1869','653','4',null,'61',null,null,'81','81','2020-08-26 22:57:48','2020-08-26 22:57:48',null);
INSERT INTO complaint_statuses VALUES('1870','432','5',null,null,'complaint closed',null,'74','74','2020-08-26 22:59:45','2020-08-26 22:59:45',null);
INSERT INTO complaint_statuses VALUES('1871','666','2',null,'81',null,'B.COOL','73','73','2020-08-26 23:02:35','2020-08-26 23:02:35',null);
INSERT INTO complaint_statuses VALUES('1872','666','4',null,'58',null,'COMPLAIN#1032779','81','73','2020-08-26 23:03:06','2020-08-27 01:37:03',null);
INSERT INTO complaint_statuses VALUES('1873','419','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-26 23:08:29','2020-08-26 23:08:29',null);
INSERT INTO complaint_statuses VALUES('1874','455','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-26 23:09:44','2020-08-26 23:09:44',null);
INSERT INTO complaint_statuses VALUES('1875','666','7','24','81','pehly mery technician visit kia .koi issue nai hai...blower  motor ka issue hai company ko caomplaint forwrd ki technicain ny visit kia .wo bol insatllation fault hai.mein ny aj dubara visit kerya hai level bhi theek hai vedio bhi ban kr ali sb ko behj di hai ...orient mein.(1032779)',null,'79','79','2020-08-26 23:11:03','2020-08-26 23:11:03',null);
INSERT INTO complaint_statuses VALUES('1876','418','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-26 23:11:41','2020-08-26 23:11:41',null);
INSERT INTO complaint_statuses VALUES('1877','409','7','12','81','complaint resolved pcb repairing  ki hai',null,'79','79','2020-08-26 23:15:28','2020-08-26 23:15:28',null);
INSERT INTO complaint_statuses VALUES('1878','648','7','12','81','ISSUE RESOLVED FROM SERVICE CENTER',null,'87','87','2020-08-26 23:24:59','2020-08-26 23:24:59',null);
INSERT INTO complaint_statuses VALUES('1879','405','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-26 23:32:23','2020-08-26 23:32:23',null);
INSERT INTO complaint_statuses VALUES('1880','457','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-26 23:36:09','2020-08-26 23:36:09',null);
INSERT INTO complaint_statuses VALUES('1881','667','3',null,'53',null,'COMPLAIN#1036568','73','73','2020-08-26 23:50:27','2020-08-27 00:46:00',null);
INSERT INTO complaint_statuses VALUES('1882','668','3',null,'52',null,'COMPLAIN#PKRI200826109419','73','73','2020-08-26 23:52:09','2020-08-27 00:40:12',null);
INSERT INTO complaint_statuses VALUES('1883','669','3',null,'54',null,'COMPLAIN#1716270
RELAUNCH#1716270(2-SEP-2020)','73','73','2020-08-27 00:03:41','2020-09-03 02:55:58',null);
INSERT INTO complaint_statuses VALUES('1884','464','5',null,null,'complaint resolved','NOT ATTEND CALL','74','92','2020-08-27 00:27:19','2020-09-14 00:40:43',null);
INSERT INTO complaint_statuses VALUES('1885','462','5',null,null,'complaint closed',null,'74','74','2020-08-27 00:38:52','2020-08-27 00:38:52',null);
INSERT INTO complaint_statuses VALUES('1886','409','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-08-27 01:21:46','2020-09-13 00:21:13',null);
INSERT INTO complaint_statuses VALUES('1887','648','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-27 01:22:28','2020-09-08 22:21:29',null);
INSERT INTO complaint_statuses VALUES('1888','377','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-27 01:36:40','2020-08-27 01:36:40',null);
INSERT INTO complaint_statuses VALUES('1889','116','7','12','81',null,null,'76','76','2020-08-27 01:43:36','2020-08-27 01:43:36',null);
INSERT INTO complaint_statuses VALUES('1890','116','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-27 01:44:20','2020-09-05 21:39:28',null);
INSERT INTO complaint_statuses VALUES('1891','661','4',null,'62',null,null,'81','81','2020-08-27 03:04:21','2020-08-27 03:04:21',null);
INSERT INTO complaint_statuses VALUES('1892','661','4',null,'62',null,null,'81','81','2020-08-27 03:04:21','2020-08-27 03:04:21',null);
INSERT INTO complaint_statuses VALUES('1893','543','7','12','81','ONLY FILTER CLEAN',null,'79','79','2020-08-27 04:33:46','2020-08-27 04:33:46',null);
INSERT INTO complaint_statuses VALUES('1894','479','7','12','81','IS KI DRAIN TRAY DAMAGE  HAI REF KI DUCKT CLOSED THI .TRAY REPAIR KR KY DENI HAI CUSTOMER KO BATA DYA HAI PLATIC PARTS KI WARRNTY NAHI HOTI.',null,'79','79','2020-08-27 04:39:36','2020-08-27 04:39:36',null);
INSERT INTO complaint_statuses VALUES('1895','309','7','12','81','INLET COIL CHANGE KI HAI.COMPLAINT RESOLVED',null,'79','79','2020-08-27 05:19:03','2020-08-27 05:19:03',null);
INSERT INTO complaint_statuses VALUES('1896','625','7','22','81','HM 08  MODEL HAI  FREEZER  HAI .REFER TO SERVICE CENTER .PLZ CALL  AND PICK',null,'79','79','2020-08-27 05:23:41','2020-08-27 05:23:41',null);
INSERT INTO complaint_statuses VALUES('1897','627','7','12','81','WATER     TARY    KA ISSUE THA  COMPLAINT REOSLVED.',null,'79','79','2020-08-27 05:25:30','2020-08-27 05:25:30',null);
INSERT INTO complaint_statuses VALUES('1899','671','3',null,'66',null,'27-08-2020

FF TO KASHIF TCL','74','74','2020-08-27 19:40:34','2020-08-27 19:40:34',null);
INSERT INTO complaint_statuses VALUES('1900','672','3',null,'61',null,'not working','67','67','2020-08-27 19:52:41','2020-08-27 19:52:41',null);
INSERT INTO complaint_statuses VALUES('1901','672','5',null,null,'work was good',null,'67','67','2020-08-27 19:53:53','2020-08-27 19:53:53',null);
INSERT INTO complaint_statuses VALUES('1902','673','2',null,'3',null,'not working','67','67','2020-08-27 19:54:33','2020-08-27 19:54:33',null);
INSERT INTO complaint_statuses VALUES('1903','673','4',null,'54',null,null,'3','3','2020-08-27 19:56:12','2020-08-27 19:56:12',null);
INSERT INTO complaint_statuses VALUES('1904','673','7','12','3','done',null,'70','70','2020-08-27 19:58:31','2020-08-27 19:58:31',null);
INSERT INTO complaint_statuses VALUES('1905','673','5','13',null,null,null,'3','3','2020-08-27 20:00:22','2020-08-27 20:00:22',null);
INSERT INTO complaint_statuses VALUES('1906','472','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-27 20:03:13','2020-08-27 20:03:13',null);
INSERT INTO complaint_statuses VALUES('1907','471','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-27 20:05:08','2020-08-27 20:05:08',null);
INSERT INTO complaint_statuses VALUES('1908','674','2',null,'3',null,'not working','74','74','2020-08-27 20:06:56','2020-08-27 20:06:56',null);
INSERT INTO complaint_statuses VALUES('1909','675','2',null,'81',null,'27-08-2020
FF TO MADAM SHAMIM','74','74','2020-08-27 20:11:56','2020-08-27 20:11:56',null);
INSERT INTO complaint_statuses VALUES('1910','675','4',null,'59',null,null,'81','81','2020-08-27 20:17:20','2020-08-27 20:17:20',null);
INSERT INTO complaint_statuses VALUES('1911','500','7','12','81','wire issue complaint resolved',null,'79','79','2020-08-27 20:22:17','2020-08-27 20:22:17',null);
INSERT INTO complaint_statuses VALUES('1912','674','4',null,'54',null,null,'3','3','2020-08-27 20:23:21','2020-08-27 20:23:21',null);
INSERT INTO complaint_statuses VALUES('1913','674','7','12','3','completed',null,'70','70','2020-08-27 20:24:27','2020-08-27 20:24:27',null);
INSERT INTO complaint_statuses VALUES('1914','674','5','15',null,null,'COMPLAINT CLOSED','3','74','2020-08-27 20:24:54','2020-09-08 22:12:46',null);
INSERT INTO complaint_statuses VALUES('1915','629','7','12','81','complaint reoslved',null,'79','79','2020-08-27 20:29:55','2020-08-27 20:29:55',null);
INSERT INTO complaint_statuses VALUES('1916','676','2',null,'81',null,'21-08-2020
FF TO  MADAM SHAMIM','74','74','2020-08-27 20:30:34','2020-08-27 20:30:34',null);
INSERT INTO complaint_statuses VALUES('1917','677','2',null,'81',null,'27-08-2020
FF TO MADAM SHAMIM','74','74','2020-08-27 20:42:04','2020-08-27 20:42:04',null);
INSERT INTO complaint_statuses VALUES('1918','677','4',null,'55',null,null,'81','81','2020-08-27 20:43:51','2020-08-27 20:43:51',null);
INSERT INTO complaint_statuses VALUES('1919','676','4',null,'55',null,'CLOSED','81','74','2020-08-27 20:44:36','2020-08-27 21:48:10',null);
INSERT INTO complaint_statuses VALUES('1920','477','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-27 20:54:40','2020-08-27 20:54:40',null);
INSERT INTO complaint_statuses VALUES('1921','678','2',null,'81',null,'27-08-2020
FF TO  NADEEM AZHAR','74','74','2020-08-27 21:03:11','2020-08-27 21:03:11',null);
INSERT INTO complaint_statuses VALUES('1922','678','4',null,'59',null,null,'81','81','2020-08-27 21:04:33','2020-08-27 21:04:33',null);
INSERT INTO complaint_statuses VALUES('1923','635','7','12','81','Only services. Paid job',null,'77','77','2020-08-27 21:20:01','2020-08-27 21:20:01',null);
INSERT INTO complaint_statuses VALUES('1924','309','5','15',null,null,null,'81','81','2020-08-27 21:34:26','2020-08-27 21:34:26',null);
INSERT INTO complaint_statuses VALUES('1925','316','8','23','62',null,null,'81','81','2020-08-27 21:34:54','2020-08-27 21:34:54',null);
INSERT INTO complaint_statuses VALUES('1926','479','5','23',null,null,'COMPLAINT RESOLVED','81','92','2020-08-27 21:35:43','2020-09-17 01:30:37',null);
INSERT INTO complaint_statuses VALUES('1927','482','8','23','56','estimate approved 60000',null,'81','81','2020-08-27 21:38:08','2020-08-27 21:38:08',null);
INSERT INTO complaint_statuses VALUES('1928','500','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-27 21:38:28','2020-09-17 01:26:45',null);
INSERT INTO complaint_statuses VALUES('1929','543','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-27 21:39:01','2020-09-23 22:28:51',null);
INSERT INTO complaint_statuses VALUES('1930','679','3',null,'55',null,'27-08-2020
FF TO NAEEM KENWOOD','74','74','2020-08-27 21:39:09','2020-08-27 21:39:09',null);
INSERT INTO complaint_statuses VALUES('1931','625','8','23','58',null,null,'81','81','2020-08-27 21:39:32','2020-08-27 21:39:32',null);
INSERT INTO complaint_statuses VALUES('1932','627','5','15',null,null,'COMPLAINT   RESOLVED','81','74','2020-08-27 21:39:58','2020-09-12 19:45:36',null);
INSERT INTO complaint_statuses VALUES('1933','629','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-27 21:40:21','2020-09-19 20:26:05',null);
INSERT INTO complaint_statuses VALUES('1934','635','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-27 21:40:41','2020-09-23 22:47:17',null);
INSERT INTO complaint_statuses VALUES('1935','666','5','23',null,null,'MOTER KI DEMAND KI HOI HAIN MOSHIN KO REMINDER DIA HAIN LUNCH K BAD UPDATE KARAY GAY','81','74','2020-08-27 21:41:35','2020-09-08 22:11:31',null);
INSERT INTO complaint_statuses VALUES('1936','680','3',null,'53',null,'27-08-2020
COMPLAINT# 1036876','74','74','2020-08-27 21:52:47','2020-08-27 21:52:47',null);
INSERT INTO complaint_statuses VALUES('1937','80','7','12','81','Gas, Refilled and Delivered to the Customer.(Payment Charged From Customer )',null,'76','76','2020-08-27 21:58:16','2020-08-27 21:58:16',null);
INSERT INTO complaint_statuses VALUES('1938','80','5','15',null,null,null,'81','81','2020-08-27 21:59:37','2020-08-27 21:59:37',null);
INSERT INTO complaint_statuses VALUES('1939','202','7','12','81','Compressor Replaced Payment Charged From Customer 9500/-(Pending Pending 15500/-)',null,'76','76','2020-08-27 22:00:06','2020-08-27 22:00:06',null);
INSERT INTO complaint_statuses VALUES('1940','160','7','12','81','Problem Resolved By Customer , no Need of Visit According to The Customer.',null,'76','76','2020-08-27 22:01:25','2020-08-27 22:01:25',null);
INSERT INTO complaint_statuses VALUES('1941','160','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-27 22:02:03','2020-09-14 02:34:46',null);
INSERT INTO complaint_statuses VALUES('1942','202','8','23','55',null,null,'81','81','2020-08-27 22:02:53','2020-08-27 22:02:53',null);
INSERT INTO complaint_statuses VALUES('1943','203','7','24','81','Customer Will Inform after Completing Plumber Work.',null,'76','76','2020-08-27 22:04:52','2020-08-27 22:04:52',null);
INSERT INTO complaint_statuses VALUES('1944','203','8','23','55','ok',null,'81','81','2020-08-27 22:05:40','2020-08-27 22:05:40',null);
INSERT INTO complaint_statuses VALUES('1945','312','7','22','81','1)First Visit Done , Customer has Failed to Provide Warranty Document e.g (Invoice or Warranty card).
02) Water Level Sensor Faulty, Need to Replacement.',null,'76','76','2020-08-27 22:07:22','2020-08-27 22:07:22',null);
INSERT INTO complaint_statuses VALUES('1946','333','7','22','81','It Will Be Take 25 days More.',null,'76','76','2020-08-27 22:09:29','2020-08-27 22:09:29',null);
INSERT INTO complaint_statuses VALUES('1947','422','7','24','81','1) Under Repair in SVC,Display Problem not Repairable it will may Be Take timer , Part not available in stock,need to order.',null,'76','76','2020-08-27 22:16:01','2020-08-27 22:16:01',null);
INSERT INTO complaint_statuses VALUES('1948','529','7','26','81','No Issue  with Product , She Will inform if She Face Problem Again , Right Now no Need of visit .',null,'76','76','2020-08-27 22:19:32','2020-08-27 22:19:32',null);
INSERT INTO complaint_statuses VALUES('1949','573','7','12','81','Drum Replaced and Delivered back to Shop(Shamsabad)',null,'76','76','2020-08-27 22:21:18','2020-08-27 22:21:18',null);
INSERT INTO complaint_statuses VALUES('1950','518','7','24','81','Please confirm us right Person and Right Place , So we can arrange visit accordingly.',null,'76','76','2020-08-27 22:26:18','2020-08-27 22:26:18',null);
INSERT INTO complaint_statuses VALUES('1951','681','2',null,'81',null,'27-08-2020
FF TO MADAM SHAMIM','74','74','2020-08-27 22:28:20','2020-08-27 22:28:20',null);
INSERT INTO complaint_statuses VALUES('1952','590','7','24','81','01) First Visit Done.During inspection found gas overcharged and level foot missing.
02)Second Visit Require',null,'76','76','2020-08-27 22:31:33','2020-08-27 22:31:33',null);
INSERT INTO complaint_statuses VALUES('1953','489','7','24','81','Complaint Has forward to ACS Jehlum.',null,'76','76','2020-08-27 22:33:39','2020-08-27 22:33:39',null);
INSERT INTO complaint_statuses VALUES('1954','468','7','26','81','Cancelled no need of visit, Issue Resolved.',null,'76','76','2020-08-27 22:34:47','2020-08-27 22:34:47',null);
INSERT INTO complaint_statuses VALUES('1955','676','7','28','81','Please Check Customer Details ,',null,'76','76','2020-08-27 22:35:53','2020-08-27 22:35:53',null);
INSERT INTO complaint_statuses VALUES('1956','682','2',null,'81',null,'27-08-2020
FF TO B. COOL','74','74','2020-08-27 22:37:00','2020-08-27 22:37:00',null);
INSERT INTO complaint_statuses VALUES('1957','565','7','22','81','Main PCB On Demand , Will Received within one or two Days.',null,'76','76','2020-08-27 22:37:58','2020-08-27 22:37:58',null);
INSERT INTO complaint_statuses VALUES('1958','481','7','24','81','In Second time Visit , Customer not Home.',null,'76','76','2020-08-27 22:41:38','2020-08-27 22:41:38',null);
INSERT INTO complaint_statuses VALUES('1959','611','7','22','81','01) First Visit Completed , Main PCB Faulty , Customer failed to Provide warranty document.',null,'76','76','2020-08-27 22:44:37','2020-08-27 22:44:37',null);
INSERT INTO complaint_statuses VALUES('1960','683','3',null,'53',null,'27-08-2020
COMPLAINT#1036922','74','74','2020-08-27 22:49:33','2020-08-27 22:49:33',null);
INSERT INTO complaint_statuses VALUES('1961','608','7','12','81','complaint resolved .panel mein moisture tha',null,'79','79','2020-08-27 22:56:49','2020-08-27 22:56:49',null);
INSERT INTO complaint_statuses VALUES('1962','636','7','12','81','compliant resolved door switch issue',null,'79','79','2020-08-27 22:57:49','2020-08-27 22:57:49',null);
INSERT INTO complaint_statuses VALUES('1963','333','8','23','55','Take the light from us i-10',null,'81','81','2020-08-27 23:12:43','2020-08-27 23:12:43',null);
INSERT INTO complaint_statuses VALUES('1964','684','3',null,'52',null,'27-08-2020
COMPLAINT#PKRI-200827107130','74','74','2020-08-27 23:18:11','2020-08-27 23:18:11',null);
INSERT INTO complaint_statuses VALUES('1965','468','5','15',null,'no need visit , issue resolved automatic','COMPLAINT RESOLVED','81','92','2020-08-27 23:27:09','2020-09-17 01:34:31',null);
INSERT INTO complaint_statuses VALUES('1966','685','3',null,'62',null,'27-08-2020
FF TO KHURRAM 5 STAR','74','74','2020-08-27 23:27:38','2020-08-27 23:27:38',null);
INSERT INTO complaint_statuses VALUES('1967','686','2',null,'81',null,'27-08-2020
FF TO KHALID SONY','74','74','2020-08-27 23:55:20','2020-08-27 23:55:20',null);
INSERT INTO complaint_statuses VALUES('1968','687','3',null,'53',null,'27-08-2020
COMPLAINT#1036841','74','74','2020-08-28 00:04:40','2020-08-28 00:04:40',null);
INSERT INTO complaint_statuses VALUES('1969','688','3',null,'55',null,'27-08-2020
FF TO WAQAR KENWOOD','74','74','2020-08-28 00:10:24','2020-08-28 00:10:24',null);
INSERT INTO complaint_statuses VALUES('1970','689','2',null,'81',null,'27-08-2020
FF TO B. COOL','74','74','2020-08-28 00:31:19','2020-08-28 00:31:19',null);
INSERT INTO complaint_statuses VALUES('1971','690','3',null,'52',null,'27-08-2020
COMPLAINT#PKRI-200827109032','74','74','2020-08-28 00:44:53','2020-08-28 00:44:53',null);
INSERT INTO complaint_statuses VALUES('1972','691','3',null,'52',null,'27-08-2020
COMPLAINT#PKRI-200827109032','74','74','2020-08-28 00:44:54','2020-08-28 00:44:54',null);
INSERT INTO complaint_statuses VALUES('1973','691','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-28 00:46:09','2020-08-28 00:46:09',null);
INSERT INTO complaint_statuses VALUES('1974','692','2',null,'81',null,'27-08-2020
FF TO B. COOL','74','74','2020-08-28 00:59:42','2020-08-28 00:59:42',null);
INSERT INTO complaint_statuses VALUES('1975','481','8','23','55','customer available in home , and picking my call',null,'81','81','2020-08-28 01:07:08','2020-08-28 01:07:08',null);
INSERT INTO complaint_statuses VALUES('1976','636','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-28 01:07:55','2020-09-13 01:19:50',null);
INSERT INTO complaint_statuses VALUES('1977','611','8','23','55','Do you have the pcb ?',null,'81','81','2020-08-28 01:10:16','2020-08-28 01:10:16',null);
INSERT INTO complaint_statuses VALUES('1978','608','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-28 01:10:37','2020-09-17 21:52:26',null);
INSERT INTO complaint_statuses VALUES('1979','590','8','23','55','Resolve this issue quickly please','COMPLAINT RESOLVED','81','92','2020-08-28 01:12:30','2020-09-24 21:54:59',null);
INSERT INTO complaint_statuses VALUES('1980','573','5','15',null,null,'COMPLANIT  RESOLVED','81','74','2020-08-28 01:13:12','2020-09-12 19:09:05',null);
INSERT INTO complaint_statuses VALUES('1981','565','8','23','55','Resolve this issue quickly please',null,'81','81','2020-08-28 01:14:00','2020-08-28 01:14:00',null);
INSERT INTO complaint_statuses VALUES('1982','693','3',null,'70',null,'27-08-2020
COMPLAINT#4061','74','74','2020-08-28 01:16:25','2020-08-28 01:16:25',null);
INSERT INTO complaint_statuses VALUES('1983','537','7','12','81','The customer says I am a engineer , the machine fixes it  him self',null,'76','76','2020-08-28 01:24:01','2020-08-28 01:24:01',null);
INSERT INTO complaint_statuses VALUES('1984','537','5','15',null,null,'CASTAMER  ISSUE  RESOLVED','81','74','2020-08-28 01:25:16','2020-09-12 19:23:10',null);
INSERT INTO complaint_statuses VALUES('1985','694','3',null,'52',null,'27-08-2020
COMPLAINT#PKRI-200827110103','74','74','2020-08-28 01:35:23','2020-08-28 01:35:23',null);
INSERT INTO complaint_statuses VALUES('1986','695','2',null,'81',null,'27-08-2020
FF TO MADAM SHAMIM','74','74','2020-08-28 02:14:33','2020-08-28 02:14:33',null);
INSERT INTO complaint_statuses VALUES('1987','696','2',null,'81',null,'27-08-2020
FF TO USMAN MRM','74','74','2020-08-28 02:49:53','2020-08-28 02:49:53',null);
INSERT INTO complaint_statuses VALUES('1988','658','7','12','81','thermostat adjust kia hai ..complaint resolved',null,'79','79','2020-08-28 02:59:31','2020-08-28 02:59:31',null);
INSERT INTO complaint_statuses VALUES('1989','494','7','12','81','service kia hai..complaint resovled',null,'79','79','2020-08-28 03:00:42','2020-08-28 03:00:42',null);
INSERT INTO complaint_statuses VALUES('1990','682','4',null,'58',null,null,'81','81','2020-08-28 20:29:55','2020-08-28 20:29:55',null);
INSERT INTO complaint_statuses VALUES('1991','681','4',null,'55',null,null,'81','81','2020-08-28 20:30:14','2020-08-28 20:30:14',null);
INSERT INTO complaint_statuses VALUES('1992','686','4',null,'56',null,null,'81','81','2020-08-28 20:30:47','2020-08-28 20:30:47',null);
INSERT INTO complaint_statuses VALUES('1993','686','4',null,'56',null,null,'81','81','2020-08-28 20:30:47','2020-08-28 20:30:47',null);
INSERT INTO complaint_statuses VALUES('1994','689','4',null,'58',null,null,'81','81','2020-08-28 20:31:21','2020-08-28 20:31:21',null);
INSERT INTO complaint_statuses VALUES('1995','692','4',null,'58',null,null,'81','81','2020-08-28 20:31:50','2020-08-28 20:31:50',null);
INSERT INTO complaint_statuses VALUES('1996','692','4',null,'58',null,null,'81','81','2020-08-28 20:31:50','2020-08-28 20:31:50',null);
INSERT INTO complaint_statuses VALUES('1997','422','8','23','55','part available in i-10',null,'81','81','2020-08-28 20:32:31','2020-08-28 20:32:31',null);
INSERT INTO complaint_statuses VALUES('1998','695','4',null,'55',null,null,'81','81','2020-08-28 20:32:35','2020-08-28 20:32:35',null);
INSERT INTO complaint_statuses VALUES('1999','695','4',null,'55',null,null,'81','81','2020-08-28 20:32:35','2020-08-28 20:32:35',null);
INSERT INTO complaint_statuses VALUES('2000','695','4',null,'55',null,null,'81','81','2020-08-28 20:32:35','2020-08-28 20:32:35',null);
INSERT INTO complaint_statuses VALUES('2001','696','4',null,'61',null,null,'81','81','2020-08-28 20:33:29','2020-08-28 20:33:29',null);
INSERT INTO complaint_statuses VALUES('2002','489','8','23','55','Resolve this issue quickly',null,'81','81','2020-08-28 20:33:58','2020-08-28 20:33:58',null);
INSERT INTO complaint_statuses VALUES('2003','494','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-28 20:34:25','2020-09-12 20:07:39',null);
INSERT INTO complaint_statuses VALUES('2004','658','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-28 20:35:25','2020-09-16 22:50:51',null);
INSERT INTO complaint_statuses VALUES('2005','676','5','27',null,'double complaint new complaint 677','COMPLAINT CLOSED','81','74','2020-08-28 20:37:44','2020-09-08 22:04:45',null);
INSERT INTO complaint_statuses VALUES('2006','329','7','12','81','Unit Repaired and hand over to customer on 28-08-2020 
gas charging/-',null,'83','83','2020-08-28 20:46:51','2020-08-28 20:46:51',null);
INSERT INTO complaint_statuses VALUES('2007','697','2',null,'81',null,'28-08-2020
FF TO KHURRAM 5 STAR','74','74','2020-08-28 20:47:52','2020-08-28 20:47:52',null);
INSERT INTO complaint_statuses VALUES('2008','698','2',null,'81',null,'28-08-2020
FF TO HOME SOLUTION','74','74','2020-08-28 20:52:59','2020-08-28 20:52:59',null);
INSERT INTO complaint_statuses VALUES('2009','699','3',null,'55',null,'28-08-2020
FF TO NAEEM KENWOOD','74','74','2020-08-28 20:56:09','2020-08-28 20:56:09',null);
INSERT INTO complaint_statuses VALUES('2010','202','7','12','81',null,null,'76','76','2020-08-28 20:59:56','2020-08-28 20:59:56',null);
INSERT INTO complaint_statuses VALUES('2011','202','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-28 21:00:37','2020-09-13 20:08:14',null);
INSERT INTO complaint_statuses VALUES('2012','295','7','24','81','Time Decided for Visit on Friday (04-Sep-2020), he is not Available at home.',null,'76','76','2020-08-28 21:38:01','2020-08-28 21:38:01',null);
INSERT INTO complaint_statuses VALUES('2013','677','7','22','81','PCB In SVC for Repairing.',null,'76','76','2020-08-28 21:40:58','2020-08-28 21:40:58',null);
INSERT INTO complaint_statuses VALUES('2014','598','7','28','81','New Complaint Number 516.',null,'76','76','2020-08-28 21:48:26','2020-08-28 21:48:26',null);
INSERT INTO complaint_statuses VALUES('2015','72','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-28 21:49:07','2020-08-28 21:49:07',null);
INSERT INTO complaint_statuses VALUES('2016','203','7','26','81','Installation Require. No Fault in washing Machine, Please forward to Instillation Team.',null,'76','76','2020-08-28 21:50:57','2020-08-28 21:50:57',null);
INSERT INTO complaint_statuses VALUES('2017','515','7','24','81','Tea Will Visit on 04-Sep-2020.',null,'76','76','2020-08-28 21:57:36','2020-08-28 21:57:36',null);
INSERT INTO complaint_statuses VALUES('2018','516','7','10','81','Customer not answering the Calls.',null,'76','76','2020-08-28 21:59:26','2020-08-28 21:59:26',null);
INSERT INTO complaint_statuses VALUES('2019','700','3',null,'55',null,'28-08-2020
FF TO WAQAR KENWOOD','74','74','2020-08-28 22:02:50','2020-08-28 22:02:50',null);
INSERT INTO complaint_statuses VALUES('2020','540','7','9','81','Please Provide and Alternate Number.',null,'76','76','2020-08-28 22:08:29','2020-08-28 22:08:29',null);
INSERT INTO complaint_statuses VALUES('2021','547','7','26','81','Customer Posted an Other City , No Person is Available in Current home Address . He Will Inform after some Time if he Visit Rawalpindi.',null,'76','76','2020-08-28 22:10:44','2020-08-28 22:10:44',null);
INSERT INTO complaint_statuses VALUES('2022','605','7','10','81','No answering Calls Please Provide an Alternate Number',null,'76','76','2020-08-28 22:14:05','2020-08-28 22:14:05',null);
INSERT INTO complaint_statuses VALUES('2023','701','3',null,'52',null,'28-08-2020
COMPLAINT#PKRI-200828105608','74','74','2020-08-28 22:14:12','2020-08-28 22:14:12',null);
INSERT INTO complaint_statuses VALUES('2024','702','2',null,'81',null,'28-08-2020.
FF TO AZHAR RAMZAN','74','74','2020-08-28 22:19:01','2020-08-28 22:29:24',null);
INSERT INTO complaint_statuses VALUES('2025','638','7','24','81','Reffer to SVC in Service , Will be Collect on Monday as Per Customer Request',null,'76','76','2020-08-28 22:23:16','2020-08-28 22:23:16',null);
INSERT INTO complaint_statuses VALUES('2026','702','4',null,'60',null,null,'81','81','2020-08-28 22:31:27','2020-08-28 22:31:27',null);
INSERT INTO complaint_statuses VALUES('2027','698','4',null,'62',null,null,'81','81','2020-08-28 22:35:31','2020-08-28 22:35:31',null);
INSERT INTO complaint_statuses VALUES('2028','697','4',null,'62',null,null,'81','81','2020-08-28 22:37:08','2020-08-28 22:37:08',null);
INSERT INTO complaint_statuses VALUES('2029','697','4',null,'62',null,null,'81','81','2020-08-28 22:37:08','2020-08-28 22:37:08',null);
INSERT INTO complaint_statuses VALUES('2030','329','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-28 22:42:08','2020-09-16 22:01:07',null);
INSERT INTO complaint_statuses VALUES('2031','702','4',null,'60',null,null,'81','81','2020-08-28 22:43:17','2020-08-28 22:43:17',null);
INSERT INTO complaint_statuses VALUES('2032','702','4',null,'60',null,null,'81','81','2020-08-28 22:43:17','2020-08-28 22:43:17',null);
INSERT INTO complaint_statuses VALUES('2033','529','5','25',null,null,'COMPLAINT RESOLVED','81','74','2020-08-28 22:45:05','2020-09-13 00:57:39',null);
INSERT INTO complaint_statuses VALUES('2034','638','8','23','55','Resolve this issue quickly',null,'81','81','2020-08-28 22:47:17','2020-08-28 22:47:17',null);
INSERT INTO complaint_statuses VALUES('2035','677','8','23','55','Resolve this issue quickly',null,'81','81','2020-08-28 22:47:44','2020-08-28 22:47:44',null);
INSERT INTO complaint_statuses VALUES('2036','703','2',null,'81',null,'28-08-2020
FF TO LG MADAM SHAMIM','74','74','2020-08-28 22:48:23','2020-08-28 22:48:23',null);
INSERT INTO complaint_statuses VALUES('2037','598','5','27',null,null,'COMPLAINT RESOLVED','81','92','2020-08-28 22:53:34','2020-09-17 01:05:20',null);
INSERT INTO complaint_statuses VALUES('2038','547','5','25',null,null,'COMPLAINT RESOLVED','81','74','2020-08-28 22:54:04','2020-09-13 00:51:01',null);
INSERT INTO complaint_statuses VALUES('2039','605','8','13','55','CUSTOMER NA IST CALL PA HAMRI CALL ATTEND KAR LI HAIN MONDAY KO IST TIME PA VISIT ARRANGE KARWAY',null,'81','81','2020-08-28 23:02:53','2020-08-28 23:02:53',null);
INSERT INTO complaint_statuses VALUES('2040','661','7','22','81','PCB CARD',null,'87','87','2020-08-28 23:05:25','2020-08-28 23:05:25',null);
INSERT INTO complaint_statuses VALUES('2041','516','8','13','55','CUSTOMER SA HAMRI BAT HO GEI HAIN KINDLY AH SHAM TAQ COMPLINT ATTEND KARWA DAY THANS.',null,'81','81','2020-08-28 23:06:41','2020-08-28 23:06:41',null);
INSERT INTO complaint_statuses VALUES('2042','515','8','23','55','KINDLY MADAM 4TH SEP KO YHA COMPLAINT ATTEND KARWA DAY',null,'81','81','2020-08-28 23:10:06','2020-08-28 23:10:06',null);
INSERT INTO complaint_statuses VALUES('2043','312','8','23','55','YHA CUSTOMER ON PAYMENT COMPLAINT ATTEND KARWANAY PA AGREE HAIN KINDLY MONDAY KO VISIT ARRANGE KARWAY',null,'81','81','2020-08-28 23:15:19','2020-08-28 23:15:19',null);
INSERT INTO complaint_statuses VALUES('2044','295','8','23','55','TIME PA COMPLAINT ATTEND KARWA DAY',null,'81','81','2020-08-28 23:18:17','2020-08-28 23:18:17',null);
INSERT INTO complaint_statuses VALUES('2045','203','8','23','55','CUSTOMER NA PLUMBING WORK ALMOST COM PLATE KARWA LIYA HAIN. CUSTOMER  KO INSTALLATION CHARGES INFORMED KAR K TIME DI CITED KAR LAY',null,'81','81','2020-08-28 23:23:21','2020-08-28 23:23:21',null);
INSERT INTO complaint_statuses VALUES('2046','704','3',null,'52',null,'28-08-2020
COMPLAINT#PKRI-200905107091.
NEW COMPLAINT #200905103531




.','74','74','2020-08-28 23:38:16','2020-09-05 20:35:49',null);
INSERT INTO complaint_statuses VALUES('2047','703','4',null,'55',null,null,'81','81','2020-08-28 23:38:17','2020-08-28 23:38:17',null);
INSERT INTO complaint_statuses VALUES('2048','705','2',null,'81',null,'28-08-2020
FF TO B. COOL','74','74','2020-08-28 23:43:55','2020-08-28 23:43:55',null);
INSERT INTO complaint_statuses VALUES('2049','327','7','12','81','Customer home',null,'83','83','2020-08-28 23:50:11','2020-08-28 23:50:11',null);
INSERT INTO complaint_statuses VALUES('2050','397','7','12','81',null,null,'83','83','2020-08-28 23:50:49','2020-08-28 23:50:49',null);
INSERT INTO complaint_statuses VALUES('2051','706','2',null,'81',null,'28-08-2020
FF  TO MADAM SHAMIM','74','74','2020-08-28 23:55:42','2020-08-28 23:55:42',null);
INSERT INTO complaint_statuses VALUES('2052','707','2',null,'81',null,'28-08-2020
FF  TO MADAM SHAMIM','74','74','2020-08-28 23:55:45','2020-08-28 23:55:45',null);
INSERT INTO complaint_statuses VALUES('2053','603','7','24','81','Custmer  sy baat huwiy hy .unko time nhi mila .monday ki workshop bhejy gy',null,'82','82','2020-08-28 23:59:05','2020-08-28 23:59:05',null);
INSERT INTO complaint_statuses VALUES('2054','708','2',null,'81',null,'28-08-2020.
FF TO B. COOL','74','74','2020-08-29 00:02:38','2020-08-29 00:02:38',null);
INSERT INTO complaint_statuses VALUES('2055','686','7','20','81','Main board faulty...waiting for part',null,'77','77','2020-08-29 00:02:43','2020-08-29 00:02:43',null);
INSERT INTO complaint_statuses VALUES('2056','709','3',null,'65',null,'28-08-2020
COMPLAINT #192017663','74','74','2020-08-29 00:09:36','2020-08-29 00:09:36',null);
INSERT INTO complaint_statuses VALUES('2057','710','3',null,'65',null,'28-08-2020
COMPLAINT#192017665','74','73','2020-08-29 00:13:49','2020-09-08 02:03:44',null);
INSERT INTO complaint_statuses VALUES('2058','628','7','12','81','Ye complain irfan sab peshwer center ko farwerd ho gai hy',null,'82','82','2020-08-29 00:26:45','2020-08-29 00:26:45',null);
INSERT INTO complaint_statuses VALUES('2059','501','7','12','81','Dr ilyas our almas 1 hi address ki complain hy plz isko close kar dy',null,'82','82','2020-08-29 00:28:08','2020-08-29 00:28:08',null);
INSERT INTO complaint_statuses VALUES('2060','702','7','24','81','Inky 5 gezar hy .monday ko dekhny jana ..',null,'82','82','2020-08-29 00:41:33','2020-08-29 00:41:33',null);
INSERT INTO complaint_statuses VALUES('2061','585','7','24','81','Ye delver huwa hy i10 office.plz iska bta dy kea hogea hy .okay .',null,'82','82','2020-08-29 00:44:32','2020-08-29 00:44:32',null);
INSERT INTO complaint_statuses VALUES('2062','678','7','10','81','call not attend',null,'80','80','2020-08-29 01:44:47','2020-08-29 01:44:47',null);
INSERT INTO complaint_statuses VALUES('2063','711','2',null,'81',null,'28-08-2020
FF TO KHALID SONY','74','74','2020-08-29 01:45:08','2020-08-29 01:45:08',null);
INSERT INTO complaint_statuses VALUES('2064','675','7','26','81','Yea washing machinge ki complain hy',null,'80','80','2020-08-29 01:49:45','2020-08-29 01:49:45',null);
INSERT INTO complaint_statuses VALUES('2065','596','7','12','81','set ok',null,'80','80','2020-08-29 02:07:32','2020-08-29 02:07:32',null);
INSERT INTO complaint_statuses VALUES('2066','327','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-29 02:33:41','2020-09-16 21:55:55',null);
INSERT INTO complaint_statuses VALUES('2067','397','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-08-29 02:34:21','2020-09-15 23:04:31',null);
INSERT INTO complaint_statuses VALUES('2068','702','8','23','60','Resolve the issue quickly',null,'81','81','2020-08-29 02:53:37','2020-08-29 02:53:37',null);
INSERT INTO complaint_statuses VALUES('2069','686','8','23','56','How many times ?',null,'81','81','2020-08-29 02:56:06','2020-08-29 02:56:06',null);
INSERT INTO complaint_statuses VALUES('2070','605','7','12','81','Level Adjustment.',null,'76','76','2020-08-29 02:58:03','2020-08-29 02:58:03',null);
INSERT INTO complaint_statuses VALUES('2071','703','7','22','81','Inverter Board and Heat Gun Faulty,
Please Guide Us about Replacement of Part.',null,'76','76','2020-08-29 02:59:57','2020-08-29 02:59:57',null);
INSERT INTO complaint_statuses VALUES('2072','678','8','23','59',null,null,'81','81','2020-08-29 03:01:19','2020-08-29 03:01:19',null);
INSERT INTO complaint_statuses VALUES('2073','703','8','23','55','Tell me the cost',null,'81','81','2020-08-29 03:03:59','2020-08-29 03:03:59',null);
INSERT INTO complaint_statuses VALUES('2074','675','8','23','59','yes i know washing machine hy to pher',null,'81','81','2020-08-29 03:28:24','2020-08-29 03:28:24',null);
INSERT INTO complaint_statuses VALUES('2075','628','8','23','60','please follow up mr irfan',null,'81','81','2020-08-29 03:30:03','2020-08-29 03:30:03',null);
INSERT INTO complaint_statuses VALUES('2076','605','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-08-29 03:31:01','2020-09-08 22:30:17',null);
INSERT INTO complaint_statuses VALUES('2077','603','8','23','60','Resolve this issue quickly',null,'81','81','2020-08-29 03:32:40','2020-08-29 03:32:40',null);
INSERT INTO complaint_statuses VALUES('2078','596','8','23','59','explain the problem',null,'81','81','2020-08-29 03:35:24','2020-08-29 03:35:24',null);
INSERT INTO complaint_statuses VALUES('2079','585','8','23','60','Contact the service in-charge i-10 03005511255 mr adil',null,'81','81','2020-08-29 03:37:52','2020-08-29 03:37:52',null);
INSERT INTO complaint_statuses VALUES('2080','501','8','23','60','Reference almas task no',null,'81','81','2020-08-29 03:44:28','2020-08-29 03:44:28',null);
INSERT INTO complaint_statuses VALUES('2081','711','4',null,'56',null,null,'81','81','2020-08-29 03:46:10','2020-08-29 03:46:10',null);
INSERT INTO complaint_statuses VALUES('2082','708','4',null,'58',null,null,'81','81','2020-08-29 03:46:29','2020-08-29 03:46:29',null);
INSERT INTO complaint_statuses VALUES('2083','707','4',null,'55',null,null,'81','81','2020-08-29 03:46:46','2020-08-29 03:46:46',null);
INSERT INTO complaint_statuses VALUES('2084','706','4',null,'55',null,null,'81','81','2020-08-29 03:47:05','2020-08-29 03:47:05',null);
INSERT INTO complaint_statuses VALUES('2085','705','4',null,'58',null,null,'81','81','2020-08-29 03:47:22','2020-08-29 03:47:22',null);
INSERT INTO complaint_statuses VALUES('2086','378','7','9','81','Camplain ok',null,'88','88','2020-08-29 03:50:00','2020-08-29 03:50:00',null);
INSERT INTO complaint_statuses VALUES('2087','530','7','9','81','IC modile my tharmostat ni hota',null,'88','88','2020-08-29 03:50:47','2020-08-29 03:50:47',null);
INSERT INTO complaint_statuses VALUES('2088','600','7','9','81','Barnar kharb hy',null,'88','88','2020-08-29 03:52:16','2020-08-29 03:52:16',null);
INSERT INTO complaint_statuses VALUES('2089','678','7','9','81','Set damage ha panel need to  replace',null,'80','80','2020-08-29 04:09:47','2020-08-29 04:09:47',null);
INSERT INTO complaint_statuses VALUES('2090','634','7','12','81','UNIT REST BY CUSTOMER
PROBLEM M SOLVED',null,'83','83','2020-08-29 20:41:38','2020-08-29 20:41:38',null);
INSERT INTO complaint_statuses VALUES('2091','686','7','12','81','services only',null,'77','77','2020-08-31 19:32:48','2020-08-31 19:32:48',null);
INSERT INTO complaint_statuses VALUES('2092','582','5',null,null,'complaint resolved',null,'74','74','2020-08-31 20:42:09','2020-08-31 20:42:09',null);
INSERT INTO complaint_statuses VALUES('2093','581','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-08-31 20:44:29','2020-08-31 20:44:29',null);
INSERT INTO complaint_statuses VALUES('2094','712','2',null,'81',null,'GAS','73','73','2020-08-31 20:51:28','2020-08-31 20:51:28',null);
INSERT INTO complaint_statuses VALUES('2095','713','2',null,'81',null,'CARE','73','73','2020-08-31 20:53:58','2020-08-31 20:53:58',null);
INSERT INTO complaint_statuses VALUES('2096','714','3',null,'52',null,'COMPLAIN#PKRI200831110380','73','73','2020-08-31 20:56:00','2020-09-01 01:14:07',null);
INSERT INTO complaint_statuses VALUES('2097','715','3',null,'52',null,'COMPLAIN#PKRI200831110412','73','73','2020-08-31 21:00:37','2020-09-01 01:15:36',null);
INSERT INTO complaint_statuses VALUES('2098','716','2',null,'81',null,'MRM','73','73','2020-08-31 21:04:38','2020-08-31 21:04:38',null);
INSERT INTO complaint_statuses VALUES('2099','717','3',null,'52',null,'COMPLAIN#PKRI200831110482','73','73','2020-08-31 21:06:56','2020-09-01 01:18:17',null);
INSERT INTO complaint_statuses VALUES('2100','575','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 21:08:52','2020-08-31 21:08:52',null);
INSERT INTO complaint_statuses VALUES('2101','588','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 21:11:09','2020-08-31 21:11:09',null);
INSERT INTO complaint_statuses VALUES('2102','587','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 21:24:35','2020-08-31 21:24:35',null);
INSERT INTO complaint_statuses VALUES('2103','583','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 21:26:22','2020-08-31 21:26:22',null);
INSERT INTO complaint_statuses VALUES('2104','578','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 21:27:31','2020-08-31 21:27:31',null);
INSERT INTO complaint_statuses VALUES('2105','718','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-08-31 21:30:58','2020-08-31 21:30:58',null);
INSERT INTO complaint_statuses VALUES('2106','571','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 21:31:29','2020-08-31 21:31:29',null);
INSERT INTO complaint_statuses VALUES('2107','570','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 21:36:27','2020-08-31 21:36:27',null);
INSERT INTO complaint_statuses VALUES('2108','705','7','12','81','PROBLEM RESOLVED, CUSTOMER CANCEL THE COMPLAINT BY SALEPERSON',null,'79','79','2020-08-31 21:44:05','2020-08-31 21:44:05',null);
INSERT INTO complaint_statuses VALUES('2109','719','2',null,'81',null,'B.COOL','73','73','2020-08-31 21:46:54','2020-08-31 21:46:54',null);
INSERT INTO complaint_statuses VALUES('2110','562','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 21:51:48','2020-08-31 21:51:48',null);
INSERT INTO complaint_statuses VALUES('2111','720','3',null,'54',null,'COMPLAIN#1718377','73','73','2020-08-31 21:55:25','2020-09-01 01:36:51',null);
INSERT INTO complaint_statuses VALUES('2112','721','2',null,'81',null,'KHALID','73','73','2020-08-31 21:57:31','2020-08-31 21:57:31',null);
INSERT INTO complaint_statuses VALUES('2113','722','2',null,'81',null,'MRM','73','73','2020-08-31 22:00:30','2020-08-31 22:00:30',null);
INSERT INTO complaint_statuses VALUES('2114','591','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 22:00:50','2020-08-31 22:00:50',null);
INSERT INTO complaint_statuses VALUES('2115','555','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 22:04:29','2020-08-31 22:04:29',null);
INSERT INTO complaint_statuses VALUES('2116','723','3',null,'52',null,'COMPLAIN#PKRI200831110290','73','73','2020-08-31 22:05:44','2020-09-01 01:10:15',null);
INSERT INTO complaint_statuses VALUES('2117','724','2',null,'81',null,'B.COOL','73','73','2020-08-31 22:08:28','2020-08-31 22:08:28',null);
INSERT INTO complaint_statuses VALUES('2118','553','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 22:10:03','2020-08-31 22:10:03',null);
INSERT INTO complaint_statuses VALUES('2119','552','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 22:12:19','2020-08-31 22:12:19',null);
INSERT INTO complaint_statuses VALUES('2120','725','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-08-31 22:13:14','2020-08-31 22:13:14',null);
INSERT INTO complaint_statuses VALUES('2121','550','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 22:13:37','2020-08-31 22:13:37',null);
INSERT INTO complaint_statuses VALUES('2122','549','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 22:15:50','2020-08-31 22:15:50',null);
INSERT INTO complaint_statuses VALUES('2123','726','2',null,'81',null,'B.COOL','73','73','2020-08-31 22:19:53','2020-08-31 22:19:53',null);
INSERT INTO complaint_statuses VALUES('2124','542','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 22:24:09','2020-08-31 22:24:09',null);
INSERT INTO complaint_statuses VALUES('2125','727','3',null,'63',null,'FRWRD TO RIZWAN TESLA','73','73','2020-08-31 22:28:51','2020-08-31 22:28:51',null);
INSERT INTO complaint_statuses VALUES('2126','728','2',null,'81',null,'CARE','73','73','2020-08-31 22:30:25','2020-08-31 22:30:25',null);
INSERT INTO complaint_statuses VALUES('2127','729','2',null,'81',null,'31-08-2020

FF TO B.COOL','74','74','2020-08-31 22:36:27','2020-08-31 22:36:27',null);
INSERT INTO complaint_statuses VALUES('2128','539','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 22:37:40','2020-08-31 22:37:40',null);
INSERT INTO complaint_statuses VALUES('2129','538','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 22:41:36','2020-08-31 22:41:36',null);
INSERT INTO complaint_statuses VALUES('2130','730','2',null,'81',null,'LG','73','73','2020-08-31 22:42:11','2020-08-31 22:42:11',null);
INSERT INTO complaint_statuses VALUES('2131','536','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 22:44:45','2020-08-31 22:44:45',null);
INSERT INTO complaint_statuses VALUES('2132','731','2',null,'81',null,'B.COOL','73','73','2020-08-31 22:49:27','2020-08-31 22:49:27',null);
INSERT INTO complaint_statuses VALUES('2133','535','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 22:50:58','2020-08-31 22:50:58',null);
INSERT INTO complaint_statuses VALUES('2134','732','3',null,'63',null,'COMPLAIN#1081','73','73','2020-08-31 22:51:36','2020-09-01 01:38:58',null);
INSERT INTO complaint_statuses VALUES('2135','525','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 22:56:26','2020-08-31 22:56:26',null);
INSERT INTO complaint_statuses VALUES('2136','524','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 22:58:35','2020-08-31 22:58:35',null);
INSERT INTO complaint_statuses VALUES('2137','523','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 23:01:11','2020-08-31 23:01:11',null);
INSERT INTO complaint_statuses VALUES('2138','521','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 23:02:59','2020-08-31 23:02:59',null);
INSERT INTO complaint_statuses VALUES('2139','519','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 23:05:05','2020-08-31 23:05:05',null);
INSERT INTO complaint_statuses VALUES('2140','733','3',null,'52',null,'COMPLAIN#PKRI200831110221','73','73','2020-08-31 23:07:31','2020-09-01 01:06:37',null);
INSERT INTO complaint_statuses VALUES('2141','734','2',null,'81',null,'31-08-2020
FF TO B.COOL','74','74','2020-08-31 23:12:44','2020-08-31 23:12:44',null);
INSERT INTO complaint_statuses VALUES('2142','731','4',null,'58',null,null,'81','81','2020-08-31 23:12:51','2020-08-31 23:12:51',null);
INSERT INTO complaint_statuses VALUES('2143','734','4',null,'58',null,null,'81','81','2020-08-31 23:13:06','2020-08-31 23:13:06',null);
INSERT INTO complaint_statuses VALUES('2144','730','4',null,'55',null,null,'81','81','2020-08-31 23:13:15','2020-08-31 23:13:15',null);
INSERT INTO complaint_statuses VALUES('2145','729','4',null,'58',null,null,'81','81','2020-08-31 23:13:29','2020-08-31 23:13:29',null);
INSERT INTO complaint_statuses VALUES('2146','728','4',null,'60',null,null,'81','81','2020-08-31 23:13:41','2020-08-31 23:13:41',null);
INSERT INTO complaint_statuses VALUES('2147','726','4',null,'58',null,null,'81','81','2020-08-31 23:13:51','2020-08-31 23:13:51',null);
INSERT INTO complaint_statuses VALUES('2148','724','4',null,'58',null,null,'81','81','2020-08-31 23:14:02','2020-08-31 23:14:02',null);
INSERT INTO complaint_statuses VALUES('2149','722','4',null,'61',null,null,'81','81','2020-08-31 23:14:12','2020-08-31 23:14:12',null);
INSERT INTO complaint_statuses VALUES('2150','594','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 23:14:20','2020-08-31 23:14:20',null);
INSERT INTO complaint_statuses VALUES('2151','721','4',null,'56',null,null,'81','81','2020-08-31 23:14:23','2020-08-31 23:14:23',null);
INSERT INTO complaint_statuses VALUES('2152','719','4',null,'58',null,null,'81','81','2020-08-31 23:14:34','2020-08-31 23:14:34',null);
INSERT INTO complaint_statuses VALUES('2153','716','4',null,'61',null,null,'81','81','2020-08-31 23:14:43','2020-08-31 23:14:43',null);
INSERT INTO complaint_statuses VALUES('2154','713','4',null,'60',null,null,'81','81','2020-08-31 23:14:58','2020-08-31 23:14:58',null);
INSERT INTO complaint_statuses VALUES('2155','712','4',null,'63',null,null,'81','81','2020-08-31 23:15:09','2020-08-31 23:15:09',null);
INSERT INTO complaint_statuses VALUES('2156','593','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-08-31 23:16:05','2020-08-31 23:16:05',null);
INSERT INTO complaint_statuses VALUES('2157','517','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 23:18:41','2020-08-31 23:18:41',null);
INSERT INTO complaint_statuses VALUES('2158','735','3',null,'53',null,'COMPLAIN#1037933','73','73','2020-08-31 23:20:10','2020-09-01 01:51:24',null);
INSERT INTO complaint_statuses VALUES('2159','514','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 23:21:14','2020-08-31 23:21:14',null);
INSERT INTO complaint_statuses VALUES('2160','736','2',null,'81',null,'H.SOLUTION','73','73','2020-08-31 23:22:31','2020-08-31 23:22:31',null);
INSERT INTO complaint_statuses VALUES('2161','736','4',null,'62',null,null,'81','81','2020-08-31 23:22:50','2020-08-31 23:22:50',null);
INSERT INTO complaint_statuses VALUES('2162','737','2',null,'81',null,'KHALID','73','73','2020-08-31 23:28:21','2020-08-31 23:28:21',null);
INSERT INTO complaint_statuses VALUES('2163','509','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 23:28:42','2020-08-31 23:28:42',null);
INSERT INTO complaint_statuses VALUES('2164','737','4',null,'56',null,null,'81','81','2020-08-31 23:29:41','2020-08-31 23:29:41',null);
INSERT INTO complaint_statuses VALUES('2165','508','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-08-31 23:30:26','2020-08-31 23:30:26',null);
INSERT INTO complaint_statuses VALUES('2166','738','3',null,'52',null,'COMPLAIN#PKRI200831110174','73','73','2020-09-01 00:00:11','2020-09-01 01:03:57',null);
INSERT INTO complaint_statuses VALUES('2167','504','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-01 00:03:15','2020-09-01 00:03:15',null);
INSERT INTO complaint_statuses VALUES('2168','502','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 00:06:20','2020-09-01 00:06:20',null);
INSERT INTO complaint_statuses VALUES('2169','739','2',null,'81',null,'GAS','73','73','2020-09-01 00:06:43','2020-09-01 00:06:43',null);
INSERT INTO complaint_statuses VALUES('2170','740','2',null,'81',null,'GAS','73','73','2020-09-01 00:07:15','2020-09-01 00:07:15',null);
INSERT INTO complaint_statuses VALUES('2171','741','2',null,'81',null,'MRM','73','73','2020-09-01 00:07:44','2020-09-01 00:07:44',null);
INSERT INTO complaint_statuses VALUES('2172','506','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 00:07:50','2020-09-01 00:07:50',null);
INSERT INTO complaint_statuses VALUES('2173','741','4',null,'61',null,null,'81','81','2020-09-01 00:16:18','2020-09-01 00:16:18',null);
INSERT INTO complaint_statuses VALUES('2174','740','4',null,'63',null,null,'81','81','2020-09-01 00:16:31','2020-09-01 00:16:31',null);
INSERT INTO complaint_statuses VALUES('2175','739','4',null,'63',null,'COMPLAINT RESOLVED','81','74','2020-09-01 00:16:43','2020-09-09 01:33:56',null);
INSERT INTO complaint_statuses VALUES('2176','742','3',null,'52',null,'COMPLAIN#PKRI200831110092','73','73','2020-09-01 00:17:31','2020-09-01 01:00:16',null);
INSERT INTO complaint_statuses VALUES('2177','743','2',null,'81',null,'B.COOL','73','73','2020-09-01 00:26:17','2020-09-01 00:26:17',null);
INSERT INTO complaint_statuses VALUES('2178','744','2',null,'81',null,'B.COOL','73','73','2020-09-01 00:31:10','2020-09-01 00:31:10',null);
INSERT INTO complaint_statuses VALUES('2179','744','4',null,'58',null,null,'81','81','2020-09-01 00:34:11','2020-09-01 00:34:11',null);
INSERT INTO complaint_statuses VALUES('2180','743','4',null,'58',null,null,'81','81','2020-09-01 00:34:21','2020-09-01 00:34:21',null);
INSERT INTO complaint_statuses VALUES('2181','485','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 00:34:50','2020-09-01 00:34:50',null);
INSERT INTO complaint_statuses VALUES('2182','745','2',null,'81',null,'H.SOLUTION','73','73','2020-09-01 00:52:57','2020-09-01 00:52:57',null);
INSERT INTO complaint_statuses VALUES('2183','572','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 01:19:26','2020-09-01 01:19:26',null);
INSERT INTO complaint_statuses VALUES('2184','746','3',null,'53',null,'COMPLAIN#1037927','73','73','2020-09-01 01:28:32','2020-09-01 01:44:21',null);
INSERT INTO complaint_statuses VALUES('2185','698','7','12','81','ISSUE RESOLVED BY HOME SOLUTION ...DRAIN SAFF KIA',null,'87','87','2020-09-01 01:35:51','2020-09-01 01:35:51',null);
INSERT INTO complaint_statuses VALUES('2186','747','2',null,'81',null,'CARE','73','73','2020-09-01 01:55:56','2020-09-01 01:55:56',null);
INSERT INTO complaint_statuses VALUES('2187','747','4',null,'60',null,null,'81','81','2020-09-01 01:56:45','2020-09-01 01:56:45',null);
INSERT INTO complaint_statuses VALUES('2188','745','4',null,'62',null,null,'81','81','2020-09-01 01:56:55','2020-09-01 01:56:55',null);
INSERT INTO complaint_statuses VALUES('2189','748','3',null,'53',null,'COMPLAIN#1037930','73','73','2020-09-01 01:57:52','2020-09-01 01:57:52',null);
INSERT INTO complaint_statuses VALUES('2190','749','3',null,'53',null,'COMPLAINT#1038812','73','74','2020-09-01 02:08:59','2020-09-02 00:36:28',null);
INSERT INTO complaint_statuses VALUES('2191','750','3',null,'63',null,'FRWRD TO KHURRAM 5STAR
complain#1082','73','73','2020-09-01 02:12:13','2020-09-01 19:32:16',null);
INSERT INTO complaint_statuses VALUES('2192','610','5',null,null,'complaint closed',null,'74','74','2020-09-01 02:13:46','2020-09-01 02:13:46',null);
INSERT INTO complaint_statuses VALUES('2193','609','5',null,null,'complaint closed',null,'74','74','2020-09-01 02:16:06','2020-09-01 02:16:06',null);
INSERT INTO complaint_statuses VALUES('2194','646','7','12','81','REF READY HAI..JUST GAS CHARGE KI HAI',null,'87','87','2020-09-01 02:19:09','2020-09-01 02:19:09',null);
INSERT INTO complaint_statuses VALUES('2195','647','7','12','81','D/W READY HAI ..JUST SERVICE KI HAI',null,'87','87','2020-09-01 02:19:51','2020-09-01 02:19:51',null);
INSERT INTO complaint_statuses VALUES('2196','601','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-01 02:34:26','2020-09-01 02:34:26',null);
INSERT INTO complaint_statuses VALUES('2197','378','5','15',null,'status rong hy complaint clear hy','COMPLAINT RESOLVED','81','92','2020-09-01 02:42:18','2020-09-15 23:56:46',null);
INSERT INTO complaint_statuses VALUES('2198','751','2',null,'81',null,'MRM','73','73','2020-09-01 02:45:15','2020-09-01 02:45:15',null);
INSERT INTO complaint_statuses VALUES('2199','751','4',null,'61',null,null,'81','81','2020-09-01 02:47:14','2020-09-01 02:47:14',null);
INSERT INTO complaint_statuses VALUES('2200','540','8','23','55','03172027235 alternate namber',null,'81','81','2020-09-01 02:47:55','2020-09-01 02:47:55',null);
INSERT INTO complaint_statuses VALUES('2201','634','5','15',null,null,null,'81','81','2020-09-01 02:49:59','2020-09-01 02:49:59',null);
INSERT INTO complaint_statuses VALUES('2202','647','8','23','62',null,null,'81','81','2020-09-01 02:50:43','2020-09-01 02:50:43',null);
INSERT INTO complaint_statuses VALUES('2203','661','8','23','62',null,null,'81','81','2020-09-01 02:51:09','2020-09-01 02:51:09',null);
INSERT INTO complaint_statuses VALUES('2204','686','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-01 02:52:04','2020-09-08 21:42:19',null);
INSERT INTO complaint_statuses VALUES('2205','646','8','23','62',null,null,'81','81','2020-09-01 02:52:48','2020-09-01 02:52:48',null);
INSERT INTO complaint_statuses VALUES('2206','698','5','15',null,null,null,'81','81','2020-09-01 02:53:17','2020-09-01 02:53:17',null);
INSERT INTO complaint_statuses VALUES('2207','705','5','15',null,null,null,'81','81','2020-09-01 02:53:57','2020-09-01 02:53:57',null);
INSERT INTO complaint_statuses VALUES('2208','705','7','12','81','PLZ COMPLETE',null,'79','79','2020-09-01 03:20:11','2020-09-01 03:20:11',null);
INSERT INTO complaint_statuses VALUES('2209','17','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 19:14:19','2020-09-01 19:14:19',null);
INSERT INTO complaint_statuses VALUES('2210','28','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 19:18:10','2020-09-01 19:18:10',null);
INSERT INTO complaint_statuses VALUES('2211','51','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 19:41:48','2020-09-01 19:41:48',null);
INSERT INTO complaint_statuses VALUES('2212','752','3',null,'52',null,'01-SEP-2020
COMPLAINT# PKRI-200901102534','74','74','2020-09-01 19:50:13','2020-09-01 19:50:13',null);
INSERT INTO complaint_statuses VALUES('2213','79','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 19:50:49','2020-09-01 19:50:49',null);
INSERT INTO complaint_statuses VALUES('2214','753','3',null,'52',null,'COMPLAIN#PKRI200901109803','73','73','2020-09-01 19:53:09','2020-09-02 00:36:30',null);
INSERT INTO complaint_statuses VALUES('2215','89','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 19:55:15','2020-09-01 19:55:15',null);
INSERT INTO complaint_statuses VALUES('2216','754','2',null,'81',null,'B.COOL','73','73','2020-09-01 19:55:36','2020-09-01 19:55:36',null);
INSERT INTO complaint_statuses VALUES('2217','755','3',null,'54',null,'COMPLAIN#1719455','73','73','2020-09-01 19:59:08','2020-09-02 00:47:00',null);
INSERT INTO complaint_statuses VALUES('2218','745','7','12','81','ISSUE RESOLVED BY HOME SOLUTION ... GAS KIT DAMAGE THI',null,'87','87','2020-09-01 19:59:56','2020-09-01 19:59:56',null);
INSERT INTO complaint_statuses VALUES('2219','756','3',null,'54',null,'D.O.P:OCT-2019
COMPLAIN#1719449','73','73','2020-09-01 20:01:40','2020-09-02 00:44:45',null);
INSERT INTO complaint_statuses VALUES('2220','757','3',null,'52',null,'COMPLAIN#PKRI200901109861','73','73','2020-09-01 20:03:58','2020-09-02 00:39:26',null);
INSERT INTO complaint_statuses VALUES('2221','40','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 20:04:46','2020-09-01 20:04:46',null);
INSERT INTO complaint_statuses VALUES('2222','758','2',null,'81',null,'B.COOL','73','73','2020-09-01 20:06:06','2020-09-01 20:06:06',null);
INSERT INTO complaint_statuses VALUES('2223','759','2',null,'81',null,'MRM','73','73','2020-09-01 20:08:11','2020-09-01 20:08:11',null);
INSERT INTO complaint_statuses VALUES('2224','760','3',null,'62',null,'01-09-2020.
FF TO KHURRAM 5 STAR','74','74','2020-09-01 20:08:43','2020-09-01 20:08:43',null);
INSERT INTO complaint_statuses VALUES('2225','634','7','12','81',null,null,'83','83','2020-09-01 20:14:10','2020-09-01 20:14:10',null);
INSERT INTO complaint_statuses VALUES('2226','528','7','26','81','Customer home',null,'83','83','2020-09-01 20:14:37','2020-09-01 20:14:37',null);
INSERT INTO complaint_statuses VALUES('2227','759','4',null,'61',null,null,'81','81','2020-09-01 20:15:02','2020-09-01 20:15:02',null);
INSERT INTO complaint_statuses VALUES('2228','758','4',null,'58',null,null,'81','81','2020-09-01 20:15:12','2020-09-01 20:15:12',null);
INSERT INTO complaint_statuses VALUES('2229','754','4',null,'58',null,null,'81','81','2020-09-01 20:15:22','2020-09-01 20:15:22',null);
INSERT INTO complaint_statuses VALUES('2230','474','7','12','81','Main pcb Replaced on 31-08-2020   rs 11000 
nouman visit',null,'83','83','2020-09-01 20:15:46','2020-09-01 20:15:46',null);
INSERT INTO complaint_statuses VALUES('2231','92','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 20:17:40','2020-09-01 20:17:40',null);
INSERT INTO complaint_statuses VALUES('2232','761','3',null,'54',null,'01-SEP-2020
COMPLAINT#1718914','74','74','2020-09-01 20:20:21','2020-09-01 20:20:21',null);
INSERT INTO complaint_statuses VALUES('2233','99','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 20:26:49','2020-09-01 20:26:49',null);
INSERT INTO complaint_statuses VALUES('2234','762','2',null,'81',null,'01-SEP-2020

FF TO B.COOL','74','74','2020-09-01 20:44:11','2020-09-01 20:44:11',null);
INSERT INTO complaint_statuses VALUES('2235','722','7','10','81',null,null,'83','83','2020-09-01 20:48:31','2020-09-01 20:48:31',null);
INSERT INTO complaint_statuses VALUES('2236','622','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 20:49:10','2020-09-01 20:49:10',null);
INSERT INTO complaint_statuses VALUES('2237','152','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 21:03:03','2020-09-01 21:03:03',null);
INSERT INTO complaint_statuses VALUES('2238','149','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 21:07:31','2020-09-01 21:07:31',null);
INSERT INTO complaint_statuses VALUES('2239','146','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 21:09:54','2020-09-01 21:09:54',null);
INSERT INTO complaint_statuses VALUES('2240','147','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 21:12:15','2020-09-01 21:12:15',null);
INSERT INTO complaint_statuses VALUES('2241','145','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 21:13:23','2020-09-01 21:13:23',null);
INSERT INTO complaint_statuses VALUES('2242','763','2',null,'81',null,'B.COOL','73','73','2020-09-01 21:14:05','2020-09-01 21:14:05',null);
INSERT INTO complaint_statuses VALUES('2243','164','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 21:16:54','2020-09-01 21:16:54',null);
INSERT INTO complaint_statuses VALUES('2244','171','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 21:18:05','2020-09-01 21:18:05',null);
INSERT INTO complaint_statuses VALUES('2245','764','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-09-01 21:18:55','2020-09-01 21:18:55',null);
INSERT INTO complaint_statuses VALUES('2246','172','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 21:20:05','2020-09-01 21:20:05',null);
INSERT INTO complaint_statuses VALUES('2247','765','3',null,'52',null,'COMPLAIN#PKRI200901109709','73','73','2020-09-01 21:22:00','2020-09-02 00:33:21',null);
INSERT INTO complaint_statuses VALUES('2248','175','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 21:22:11','2020-09-01 21:22:11',null);
INSERT INTO complaint_statuses VALUES('2249','177','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 21:24:59','2020-09-01 21:24:59',null);
INSERT INTO complaint_statuses VALUES('2250','178','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 21:26:00','2020-09-01 21:26:00',null);
INSERT INTO complaint_statuses VALUES('2251','179','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 21:26:53','2020-09-01 21:26:53',null);
INSERT INTO complaint_statuses VALUES('2252','766','2',null,'81',null,'B.COOL','73','73','2020-09-01 21:31:58','2020-09-01 21:31:58',null);
INSERT INTO complaint_statuses VALUES('2253','766','4',null,'58',null,null,'81','81','2020-09-01 21:34:05','2020-09-01 21:34:05',null);
INSERT INTO complaint_statuses VALUES('2254','763','4',null,'58',null,null,'81','81','2020-09-01 21:34:14','2020-09-01 21:34:14',null);
INSERT INTO complaint_statuses VALUES('2255','762','4',null,'58',null,null,'81','81','2020-09-01 21:34:29','2020-09-01 21:34:29',null);
INSERT INTO complaint_statuses VALUES('2256','767','2',null,'81',null,'B.COOL','73','73','2020-09-01 21:35:39','2020-09-01 21:35:39',null);
INSERT INTO complaint_statuses VALUES('2257','767','4',null,'58',null,null,'81','81','2020-09-01 21:35:57','2020-09-01 21:35:57',null);
INSERT INTO complaint_statuses VALUES('2258','768','2',null,'81',null,'GAS','73','73','2020-09-01 21:48:47','2020-09-01 21:48:47',null);
INSERT INTO complaint_statuses VALUES('2259','768','4',null,'63',null,'COSTUMER NE COMPLAIN CANCEL KARWA DI...','81','73','2020-09-01 21:53:31','2020-09-01 22:41:02',null);
INSERT INTO complaint_statuses VALUES('2260','769','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-09-01 21:58:38','2020-09-01 21:58:38',null);
INSERT INTO complaint_statuses VALUES('2261','770','3',null,'55',null,'FRWRD TO WAQAR KENWOOD','73','73','2020-09-01 22:00:59','2020-09-01 22:00:59',null);
INSERT INTO complaint_statuses VALUES('2262','528','8','25','61',null,null,'81','81','2020-09-01 22:08:37','2020-09-01 22:08:37',null);
INSERT INTO complaint_statuses VALUES('2263','634','5','15',null,null,null,'81','81','2020-09-01 22:10:20','2020-09-01 22:10:20',null);
INSERT INTO complaint_statuses VALUES('2264','131','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 22:21:37','2020-09-01 22:21:37',null);
INSERT INTO complaint_statuses VALUES('2265','771','2',null,'81',null,'CARE','73','73','2020-09-01 22:26:42','2020-09-01 22:26:42',null);
INSERT INTO complaint_statuses VALUES('2266','631','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 22:27:57','2020-09-01 22:27:57',null);
INSERT INTO complaint_statuses VALUES('2267','771','4',null,'60',null,null,'81','81','2020-09-01 22:28:56','2020-09-01 22:28:56',null);
INSERT INTO complaint_statuses VALUES('2268','630','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 22:29:11','2020-09-01 22:29:11',null);
INSERT INTO complaint_statuses VALUES('2269','626','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 22:30:48','2020-09-01 22:30:48',null);
INSERT INTO complaint_statuses VALUES('2270','623','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 22:33:47','2020-09-01 22:33:47',null);
INSERT INTO complaint_statuses VALUES('2271','705','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-01 22:39:45','2020-09-16 22:54:04',null);
INSERT INTO complaint_statuses VALUES('2272','745','5','15',null,null,null,'81','81','2020-09-01 22:41:52','2020-09-01 22:41:52',null);
INSERT INTO complaint_statuses VALUES('2273','678','8','23','59','Tell the client the time and estimate',null,'81','81','2020-09-01 22:45:45','2020-09-01 22:45:45',null);
INSERT INTO complaint_statuses VALUES('2274','722','8','23','61','we are talking about the same number . call again',null,'81','81','2020-09-01 22:57:03','2020-09-01 22:57:03',null);
INSERT INTO complaint_statuses VALUES('2275','518','8','23','55','please contact mr bilal sale man friends home store samsabad 03120578711',null,'81','81','2020-09-01 22:59:45','2020-09-01 22:59:45',null);
INSERT INTO complaint_statuses VALUES('2276','474','8','23','61','where is unit your service center ya costumers home?',null,'81','81','2020-09-01 23:10:30','2020-09-01 23:10:30',null);
INSERT INTO complaint_statuses VALUES('2277','772','2',null,'81',null,'LG','73','73','2020-09-01 23:18:33','2020-09-01 23:18:33',null);
INSERT INTO complaint_statuses VALUES('2278','632','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 23:19:40','2020-09-01 23:19:40',null);
INSERT INTO complaint_statuses VALUES('2279','616','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 23:25:15','2020-09-01 23:25:15',null);
INSERT INTO complaint_statuses VALUES('2280','613','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 23:29:58','2020-09-01 23:29:58',null);
INSERT INTO complaint_statuses VALUES('2281','773','2',null,'81',null,'LG','73','73','2020-09-01 23:32:01','2020-09-01 23:32:01',null);
INSERT INTO complaint_statuses VALUES('2282','612','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 23:33:06','2020-09-01 23:33:06',null);
INSERT INTO complaint_statuses VALUES('2283','661','7','12','81','ISSUE RESOLVED BY HOME SOLUTION ..',null,'87','87','2020-09-01 23:41:08','2020-09-01 23:41:08',null);
INSERT INTO complaint_statuses VALUES('2284','607','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-01 23:42:51','2020-09-01 23:42:51',null);
INSERT INTO complaint_statuses VALUES('2285','774','2',null,'81',null,'MRM','73','73','2020-09-01 23:42:52','2020-09-01 23:42:52',null);
INSERT INTO complaint_statuses VALUES('2286','707','7','28','81','New Complaint # 707 , Two Time entry',null,'76','76','2020-09-01 23:44:15','2020-09-01 23:44:15',null);
INSERT INTO complaint_statuses VALUES('2287','707','8','25','55',null,null,'81','81','2020-09-01 23:45:04','2020-09-01 23:45:04',null);
INSERT INTO complaint_statuses VALUES('2288','563','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 00:13:13','2020-09-02 00:13:13',null);
INSERT INTO complaint_statuses VALUES('2289','775','2',null,'81',null,'MRM','73','73','2020-09-02 00:18:39','2020-09-02 00:18:39',null);
INSERT INTO complaint_statuses VALUES('2290','697','7','26','81',null,null,'87','87','2020-09-02 00:19:08','2020-09-02 00:19:08',null);
INSERT INTO complaint_statuses VALUES('2291','481','7','12','81','Drain Pipe Adjustment Only.',null,'76','76','2020-09-02 00:36:10','2020-09-02 00:36:10',null);
INSERT INTO complaint_statuses VALUES('2292','776','3',null,'52',null,'AC=18HFBG
REFCOMPLAIN#PKRI200901112417
ACCOMPLAIN#PKRI200901112450','73','73','2020-09-02 00:53:55','2020-09-02 02:46:37',null);
INSERT INTO complaint_statuses VALUES('2293','777','3',null,'52',null,'2PC
COMPLAIN#PKRI200901112309
COMPLAIN#PKRI200901112315','73','73','2020-09-02 00:55:39','2020-09-02 02:38:26',null);
INSERT INTO complaint_statuses VALUES('2294','228','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 00:58:05','2020-09-02 00:58:05',null);
INSERT INTO complaint_statuses VALUES('2295','778','3',null,'52',null,'COMPLAIN#PKRI200901112278','73','73','2020-09-02 01:06:14','2020-09-02 02:35:57',null);
INSERT INTO complaint_statuses VALUES('2296','678','7','22','81','customer  estimate not approved 
Panel = 126000 RS',null,'80','80','2020-09-02 01:07:19','2020-09-02 01:07:19',null);
INSERT INTO complaint_statuses VALUES('2297','245','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 01:09:15','2020-09-02 01:09:15',null);
INSERT INTO complaint_statuses VALUES('2298','775','4',null,'61',null,null,'81','81','2020-09-02 01:13:21','2020-09-02 01:13:21',null);
INSERT INTO complaint_statuses VALUES('2299','774','4',null,'61',null,null,'81','81','2020-09-02 01:13:30','2020-09-02 01:13:30',null);
INSERT INTO complaint_statuses VALUES('2300','135','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 01:13:38','2020-09-02 01:13:38',null);
INSERT INTO complaint_statuses VALUES('2301','773','4',null,'55',null,null,'81','81','2020-09-02 01:13:40','2020-09-02 01:13:40',null);
INSERT INTO complaint_statuses VALUES('2302','772','4',null,'55',null,null,'81','81','2020-09-02 01:13:49','2020-09-02 01:13:49',null);
INSERT INTO complaint_statuses VALUES('2303','779','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-09-02 01:37:08','2020-09-02 01:37:08',null);
INSERT INTO complaint_statuses VALUES('2304','780','2',null,'81',null,'H.SOLUTION','73','73','2020-09-02 01:46:51','2020-09-02 01:46:51',null);
INSERT INTO complaint_statuses VALUES('2305','780','4',null,'62',null,null,'81','81','2020-09-02 01:47:19','2020-09-02 01:47:19',null);
INSERT INTO complaint_statuses VALUES('2306','645','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 01:48:26','2020-09-02 01:48:26',null);
INSERT INTO complaint_statuses VALUES('2307','781','2',null,'81',null,'H.SOLUTION','73','73','2020-09-02 02:01:46','2020-09-02 02:01:46',null);
INSERT INTO complaint_statuses VALUES('2308','781','4',null,'62',null,null,'81','81','2020-09-02 02:02:18','2020-09-02 02:02:18',null);
INSERT INTO complaint_statuses VALUES('2309','782','2',null,'81',null,'CARE','73','73','2020-09-02 02:12:55','2020-09-02 02:12:55',null);
INSERT INTO complaint_statuses VALUES('2310','783','3',null,'65',null,'COMPLAIN#192017723','73','73','2020-09-02 02:13:18','2020-09-02 02:25:51',null);
INSERT INTO complaint_statuses VALUES('2311','782','4',null,'60',null,null,'81','81','2020-09-02 02:14:04','2020-09-02 02:14:04',null);
INSERT INTO complaint_statuses VALUES('2312','268','7','12','81','bhai ya set close kar da aap k bohat mehrbani ho gee ya panel replace nahi karwa rahi',null,'80','80','2020-09-02 02:33:24','2020-09-02 02:33:24',null);
INSERT INTO complaint_statuses VALUES('2313','596','7','12','81','bhia bhi close kary ok ha',null,'80','80','2020-09-02 02:35:02','2020-09-02 02:35:02',null);
INSERT INTO complaint_statuses VALUES('2314','784','3',null,'52',null,'COMPLAIN#PKRI200902102228','73','73','2020-09-02 19:29:04','2020-09-02 19:41:39',null);
INSERT INTO complaint_statuses VALUES('2315','785','3',null,'52',null,'COMPLAIN#PKRI200902102315','73','73','2020-09-02 19:30:42','2020-09-02 19:45:17',null);
INSERT INTO complaint_statuses VALUES('2316','650','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 19:40:18','2020-09-02 19:40:18',null);
INSERT INTO complaint_statuses VALUES('2317','642','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 19:47:36','2020-09-02 19:47:36',null);
INSERT INTO complaint_statuses VALUES('2318','721','7','12','81','Only services',null,'77','77','2020-09-02 19:48:11','2020-09-02 19:48:11',null);
INSERT INTO complaint_statuses VALUES('2319','633','5',null,null,'COMPLAINT CLOSED','AJ COMPLAINT AGAIN REOPEND KARWAI HAIN','74','74','2020-09-02 19:55:35','2020-09-29 00:34:23',null);
INSERT INTO complaint_statuses VALUES('2320','621','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 19:58:54','2020-09-02 19:58:54',null);
INSERT INTO complaint_statuses VALUES('2321','716','7','12','81','Unit ok   no any problem found    no any frost on ref evp  also demonstrate to customer by opening the cover 
owais visit',null,'83','83','2020-09-02 19:59:47','2020-09-02 19:59:47',null);
INSERT INTO complaint_statuses VALUES('2322','474','7','12','81','Customer home',null,'83','83','2020-09-02 20:01:18','2020-09-02 20:01:18',null);
INSERT INTO complaint_statuses VALUES('2323','606','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 20:10:57','2020-09-02 20:10:57',null);
INSERT INTO complaint_statuses VALUES('2324','722','7','10','81','again calling today  not attending  phone',null,'83','83','2020-09-02 20:22:46','2020-09-02 20:22:46',null);
INSERT INTO complaint_statuses VALUES('2325','786','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-09-02 20:23:08','2020-09-02 20:23:08',null);
INSERT INTO complaint_statuses VALUES('2326','568','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 20:27:44','2020-09-02 20:27:44',null);
INSERT INTO complaint_statuses VALUES('2327','787','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-09-02 20:31:50','2020-09-02 20:31:50',null);
INSERT INTO complaint_statuses VALUES('2328','560','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 20:32:45','2020-09-02 20:32:45',null);
INSERT INTO complaint_statuses VALUES('2329','689','7','12','81','compliant resolved.flter clean',null,'79','79','2020-09-02 20:32:51','2020-09-02 20:32:51',null);
INSERT INTO complaint_statuses VALUES('2330','692','7','12','81','no visit .customer ny kha hai ref theek hogya hai',null,'79','79','2020-09-02 20:33:47','2020-09-02 20:33:47',null);
INSERT INTO complaint_statuses VALUES('2331','734','7','12','81','complaint resolved .shocks issue hai custoemr abhi reapir nahi kerwna  chaty.',null,'79','79','2020-09-02 20:39:28','2020-09-02 20:39:28',null);
INSERT INTO complaint_statuses VALUES('2332','641','5',null,null,'COMPLAINT RESOLVED','S/C SA REPAIR HO K KAL CUSTOMER K GHR DILVER HOA HAIN','74','74','2020-09-02 20:46:54','2020-09-02 20:47:36',null);
INSERT INTO complaint_statuses VALUES('2333','788','3',null,'55',null,'FRWRD TO WAQAR KENWOOD','73','73','2020-09-02 21:02:43','2020-09-02 21:02:43',null);
INSERT INTO complaint_statuses VALUES('2334','789','2',null,'81',null,'LG','73','73','2020-09-02 21:04:33','2020-09-02 21:04:33',null);
INSERT INTO complaint_statuses VALUES('2335','557','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 21:05:31','2020-09-02 21:05:31',null);
INSERT INTO complaint_statuses VALUES('2336','790','2',null,'81',null,'H.SOLUTION','73','73','2020-09-02 21:06:34','2020-09-02 21:06:34',null);
INSERT INTO complaint_statuses VALUES('2337','546','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 21:07:27','2020-09-02 21:07:27',null);
INSERT INTO complaint_statuses VALUES('2338','791','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-09-02 21:09:13','2020-09-02 21:09:13',null);
INSERT INTO complaint_statuses VALUES('2339','790','4',null,'62',null,null,'81','81','2020-09-02 21:10:44','2020-09-02 21:10:44',null);
INSERT INTO complaint_statuses VALUES('2340','544','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 21:10:59','2020-09-02 21:10:59',null);
INSERT INTO complaint_statuses VALUES('2341','789','4',null,'55',null,null,'81','81','2020-09-02 21:11:01','2020-09-02 21:11:01',null);
INSERT INTO complaint_statuses VALUES('2342','792','3',null,'67',null,'FRWRD TO MUNAWAR CANON','73','73','2020-09-02 21:19:36','2020-09-02 21:19:36',null);
INSERT INTO complaint_statuses VALUES('2343','793','3',null,'65',null,'COMPLAIN#072014094','73','73','2020-09-02 21:21:37','2020-09-02 21:30:15',null);
INSERT INTO complaint_statuses VALUES('2344','794','2',null,'81',null,'LG','73','73','2020-09-02 21:25:13','2020-09-02 21:25:13',null);
INSERT INTO complaint_statuses VALUES('2345','794','4',null,'55',null,null,'81','81','2020-09-02 21:25:33','2020-09-02 21:25:33',null);
INSERT INTO complaint_statuses VALUES('2346','531','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 21:31:55','2020-09-02 21:31:55',null);
INSERT INTO complaint_statuses VALUES('2347','527','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 21:33:41','2020-09-02 21:33:41',null);
INSERT INTO complaint_statuses VALUES('2348','520','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 21:35:32','2020-09-02 21:35:32',null);
INSERT INTO complaint_statuses VALUES('2349','716','8','23','61','PLZZZ be careful while writing comments. . :)',null,'81','81','2020-09-02 21:39:15','2020-09-02 21:39:15',null);
INSERT INTO complaint_statuses VALUES('2350','698','7','12','81','ISSUE RESOLVED',null,'87','87','2020-09-02 21:40:32','2020-09-02 21:40:32',null);
INSERT INTO complaint_statuses VALUES('2351','745','7','12','81','ISSUE RESOLVED','COMPLAINT RESOLVED','87','92','2020-09-02 21:41:11','2020-09-24 00:07:04',null);
INSERT INTO complaint_statuses VALUES('2352','759','7','12','81','Unit ok no any problem found no any frost on ref evp also demonstrate to customer by opening the cover 
owais visit',null,'83','83','2020-09-02 21:41:49','2020-09-02 21:41:49',null);
INSERT INTO complaint_statuses VALUES('2353','657','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-02 21:42:31','2020-09-02 21:42:31',null);
INSERT INTO complaint_statuses VALUES('2354','511','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 21:44:26','2020-09-02 21:44:26',null);
INSERT INTO complaint_statuses VALUES('2355','268','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-02 21:49:20','2020-09-13 20:37:34',null);
INSERT INTO complaint_statuses VALUES('2356','474','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-02 21:49:50','2020-09-19 21:05:32',null);
INSERT INTO complaint_statuses VALUES('2357','795','3',null,'52',null,'COMPLAIN#PKRI200902105961','73','73','2020-09-02 21:51:04','2020-09-02 21:51:04',null);
INSERT INTO complaint_statuses VALUES('2358','481','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-02 21:51:37','2020-09-13 00:30:41',null);
INSERT INTO complaint_statuses VALUES('2359','596','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-02 21:52:21','2020-09-17 01:07:56',null);
INSERT INTO complaint_statuses VALUES('2360','661','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-02 21:53:48','2020-09-08 22:35:21',null);
INSERT INTO complaint_statuses VALUES('2361','716','7','24','81','visit done unit waiting from confirmation from customer regarding unit performance.


previous comments for job 759  by mistake add in it',null,'83','83','2020-09-02 21:54:24','2020-09-02 21:54:24',null);
INSERT INTO complaint_statuses VALUES('2362','689','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-02 21:58:23','2020-09-08 21:53:23',null);
INSERT INTO complaint_statuses VALUES('2363','194','7','12','81','during back light Repair  panel damage ho gay    customer ko new set ki offer ki thi  but cusotmer apni marzi ka unit ly ga     50,000/- main deal don ho gai 
50000/- paid  to customer on 02-09-2020',null,'83','83','2020-09-02 22:02:37','2020-09-02 22:02:37',null);
INSERT INTO complaint_statuses VALUES('2364','480','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 22:02:55','2020-09-02 22:02:55',null);
INSERT INTO complaint_statuses VALUES('2365','585','7','12','81','i.10se.....thek,ho,kar,chala,gya,hai,wapis,,,',null,'82','82','2020-09-02 22:07:17','2020-09-02 22:07:17',null);
INSERT INTO complaint_statuses VALUES('2366','698','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-02 22:08:28','2020-09-08 21:03:43',null);
INSERT INTO complaint_statuses VALUES('2367','796','2',null,'81',null,'NADEEM','73','73','2020-09-02 22:15:38','2020-09-02 22:15:38',null);
INSERT INTO complaint_statuses VALUES('2368','796','4',null,'59',null,null,'81','81','2020-09-02 22:16:04','2020-09-02 22:16:04',null);
INSERT INTO complaint_statuses VALUES('2369','513','7','12','81','REF THEEK  KAM KR RAHA  .AGR KOI ISSUEHUA DUBARA COMPLIANT KR DEIN GAIN',null,'79','79','2020-09-02 22:17:13','2020-09-02 22:17:13',null);
INSERT INTO complaint_statuses VALUES('2370','469','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 22:29:29','2020-09-02 22:29:29',null);
INSERT INTO complaint_statuses VALUES('2371','663','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 22:32:22','2020-09-02 22:32:22',null);
INSERT INTO complaint_statuses VALUES('2372','797','2',null,'81',null,null,'73','73','2020-09-02 22:54:48','2020-09-02 22:54:48',null);
INSERT INTO complaint_statuses VALUES('2373','797','4',null,'62',null,null,'81','81','2020-09-02 22:55:12','2020-09-02 22:55:12',null);
INSERT INTO complaint_statuses VALUES('2374','798','2',null,'3',null,'complete as soon as possible','67','67','2020-09-02 22:55:53','2020-09-02 22:55:53',null);
INSERT INTO complaint_statuses VALUES('2375','798','4',null,'54',null,null,'3','3','2020-09-02 22:57:50','2020-09-02 22:57:50',null);
INSERT INTO complaint_statuses VALUES('2376','799','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-09-02 22:59:30','2020-09-02 22:59:30',null);
INSERT INTO complaint_statuses VALUES('2377','798','7','22','3','PCB issue 6000',null,'70','70','2020-09-02 22:59:41','2020-09-02 22:59:41',null);
INSERT INTO complaint_statuses VALUES('2378','798','8','13','54','go for it',null,'3','3','2020-09-02 23:01:02','2020-09-02 23:01:02',null);
INSERT INTO complaint_statuses VALUES('2379','798','7','12','3','Done completed',null,'70','70','2020-09-02 23:03:28','2020-09-02 23:03:28',null);
INSERT INTO complaint_statuses VALUES('2380','798','5','15',null,'Done','COMPLAINT CLOSED','3','74','2020-09-02 23:04:00','2020-09-05 21:52:43',null);
INSERT INTO complaint_statuses VALUES('2381','800','2',null,'81',null,'B.COOL','73','73','2020-09-02 23:04:11','2020-09-02 23:04:11',null);
INSERT INTO complaint_statuses VALUES('2382','800','4',null,'58',null,null,'81','81','2020-09-02 23:04:33','2020-09-02 23:04:33',null);
INSERT INTO complaint_statuses VALUES('2383','466','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 23:10:36','2020-09-02 23:10:36',null);
INSERT INTO complaint_statuses VALUES('2384','801','2',null,'81',null,null,'73','73','2020-09-02 23:29:17','2020-09-02 23:29:17',null);
INSERT INTO complaint_statuses VALUES('2385','801','4',null,'62',null,null,'81','81','2020-09-02 23:29:38','2020-09-02 23:29:38',null);
INSERT INTO complaint_statuses VALUES('2386','501','7','9','81','task.rafrnce.130',null,'82','82','2020-09-02 23:31:10','2020-09-02 23:31:10',null);
INSERT INTO complaint_statuses VALUES('2387','802','3',null,'66',null,'FRWRD TO IMRAN TCL','73','73','2020-09-02 23:46:27','2020-09-02 23:48:07',null);
INSERT INTO complaint_statuses VALUES('2388','450','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 23:51:26','2020-09-02 23:51:26',null);
INSERT INTO complaint_statuses VALUES('2389','634','7','12','81','UNIT REST BY CUSTOMER PROBLEM M SOLVED','COMPLAINT RESOLVED','83','74','2020-09-02 23:53:01','2020-09-12 23:59:35',null);
INSERT INTO complaint_statuses VALUES('2390','667','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 23:53:12','2020-09-02 23:53:12',null);
INSERT INTO complaint_statuses VALUES('2391','668','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-02 23:55:01','2020-09-02 23:55:01',null);
INSERT INTO complaint_statuses VALUES('2392','803','3',null,'65',null,'COMPLAIN#192017742
MASOOD KHAN=03095559758','73','73','2020-09-03 00:27:01','2020-09-04 02:54:29',null);
INSERT INTO complaint_statuses VALUES('2393','804','3',null,'63',null,'COMPLAIN#1091','73','73','2020-09-03 00:32:26','2020-09-03 01:13:31',null);
INSERT INTO complaint_statuses VALUES('2394','429','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-03 00:36:41','2020-09-03 00:36:41',null);
INSERT INTO complaint_statuses VALUES('2395','682','7','12','81','COMPLAINT RESOLVED.IGNTION ISSUE',null,'79','79','2020-09-03 00:43:21','2020-09-03 00:43:21',null);
INSERT INTO complaint_statuses VALUES('2396','708','7','12','81','COMPLAINT REOSLVED .SAFLTY ISSUE',null,'79','79','2020-09-03 00:43:49','2020-09-03 00:43:49',null);
INSERT INTO complaint_statuses VALUES('2397','754','7','12','81','SAPRING ISSUE /COMPLAINT REOSLVED',null,'79','79','2020-09-03 00:44:54','2020-09-03 00:44:54',null);
INSERT INTO complaint_statuses VALUES('2398','767','7','12','81','COMPLINAT RESOLVED',null,'79','79','2020-09-03 00:45:47','2020-09-03 00:45:47',null);
INSERT INTO complaint_statuses VALUES('2399','805','2',null,'81',null,'B.COOL','73','73','2020-09-03 01:05:22','2020-09-03 01:05:22',null);
INSERT INTO complaint_statuses VALUES('2400','805','4',null,'58',null,null,'81','81','2020-09-03 01:05:45','2020-09-03 01:05:45',null);
INSERT INTO complaint_statuses VALUES('2401','806','3',null,'54',null,'COMPLAIN#1720637','73','73','2020-09-03 01:56:54','2020-09-03 02:50:48',null);
INSERT INTO complaint_statuses VALUES('2402','807','2',null,'81',null,'H.SOLUTION','73','73','2020-09-03 02:01:55','2020-09-03 02:01:55',null);
INSERT INTO complaint_statuses VALUES('2403','808','3',null,'54',null,'COMPLAIN#1720640','73','73','2020-09-03 02:03:13','2020-09-03 02:52:50',null);
INSERT INTO complaint_statuses VALUES('2404','809','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-09-03 02:06:20','2020-09-03 02:06:20',null);
INSERT INTO complaint_statuses VALUES('2405','810','3',null,'65',null,'COMPLAIN#192017740
ADD=SETHI FLOOR MILLS ISLAM SHAHEED ROAD HASSAN ABDAL
0572522678','73','73','2020-09-03 02:08:14','2020-09-03 23:42:58',null);
INSERT INTO complaint_statuses VALUES('2406','811','3',null,'52',null,'complain#PKRI200903101528','73','73','2020-09-03 02:10:47','2020-09-03 19:10:45',null);
INSERT INTO complaint_statuses VALUES('2407','736','7','12','81','Issue resolved by home solution .. Gas charge ki',null,'87','87','2020-09-03 02:18:12','2020-09-03 02:18:12',null);
INSERT INTO complaint_statuses VALUES('2408','812','2',null,'81',null,'LG','73','73','2020-09-03 02:22:41','2020-09-03 02:22:41',null);
INSERT INTO complaint_statuses VALUES('2409','813','2',null,'81',null,'WRONG COMPLAINT FRWRD HO GAE HA. . KINDLY CANCEL THE COMPLAIN','73','73','2020-09-03 02:33:44','2020-09-03 19:50:28',null);
INSERT INTO complaint_statuses VALUES('2410','814','3',null,'66',null,'FRWRD TO SHAKEEL TCL
OUT OF WARRANTY','73','73','2020-09-03 02:41:37','2020-09-03 02:41:37',null);
INSERT INTO complaint_statuses VALUES('2411','815','3',null,'63',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-09-03 02:45:13','2020-09-03 19:18:29',null);
INSERT INTO complaint_statuses VALUES('2412','385','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-03 02:45:32','2020-09-03 02:45:32',null);
INSERT INTO complaint_statuses VALUES('2413','813','4',null,'55',null,null,'81','81','2020-09-03 02:57:28','2020-09-03 02:57:28',null);
INSERT INTO complaint_statuses VALUES('2414','813','4',null,'55',null,null,'81','81','2020-09-03 02:57:28','2020-09-03 02:57:28',null);
INSERT INTO complaint_statuses VALUES('2415','812','4',null,'55',null,null,'81','81','2020-09-03 02:57:40','2020-09-03 02:57:40',null);
INSERT INTO complaint_statuses VALUES('2416','807','4',null,'62',null,null,'81','81','2020-09-03 02:57:48','2020-09-03 02:57:48',null);
INSERT INTO complaint_statuses VALUES('2417','807','7','10','81',null,null,'87','87','2020-09-03 03:07:18','2020-09-03 03:07:18',null);
INSERT INTO complaint_statuses VALUES('2418','781','7','12','81','Issue resolved by home sulotion..',null,'87','87','2020-09-03 03:08:39','2020-09-03 03:08:39',null);
INSERT INTO complaint_statuses VALUES('2419','780','7','12','81','Issue resolved by home sulotion',null,'87','87','2020-09-03 03:10:50','2020-09-03 03:10:50',null);
INSERT INTO complaint_statuses VALUES('2420','702','7','12','81','Sab on karwa ky dikha diye hy visit chargis ly lyiy hy',null,'82','82','2020-09-03 03:45:12','2020-09-03 03:45:12',null);
INSERT INTO complaint_statuses VALUES('2421','797','7','12','81','ISSUE RESOLVED BY HOME SOLUTION',null,'87','87','2020-09-03 03:52:52','2020-09-03 03:52:52',null);
INSERT INTO complaint_statuses VALUES('2422','790','7','22','81','FRONT DISPLAY',null,'87','87','2020-09-03 03:54:12','2020-09-03 03:54:12',null);
INSERT INTO complaint_statuses VALUES('2423','771','7','20','81','touch not working pcb chek krwani hai',null,'82','82','2020-09-03 04:10:06','2020-09-03 04:10:06',null);
INSERT INTO complaint_statuses VALUES('2424','782','7','12','81','drain pump service cstmer chrgs',null,'82','82','2020-09-03 04:11:04','2020-09-03 04:11:04',null);
INSERT INTO complaint_statuses VALUES('2425','741','7','24','81','Back light  defective  RS 3000 exp   plz confirm  its i n warranty or on payment.',null,'83','83','2020-09-03 05:24:16','2020-09-03 05:24:16',null);
INSERT INTO complaint_statuses VALUES('2426','184','7','12','81','Plz confirm  warranty or non warranty unit?',null,'83','83','2020-09-03 06:02:19','2020-09-03 06:02:19',null);
INSERT INTO complaint_statuses VALUES('2427','724','7','12','81','Comaplint resolved jet issue',null,'79','79','2020-09-03 06:16:33','2020-09-03 06:16:33',null);
INSERT INTO complaint_statuses VALUES('2428','726','7','12','81','complinat reoslved',null,'79','79','2020-09-03 19:17:53','2020-09-03 19:17:53',null);
INSERT INTO complaint_statuses VALUES('2429','744','7','12','81','bulb change compliant resolved',null,'79','79','2020-09-03 19:18:42','2020-09-03 19:18:42',null);
INSERT INTO complaint_statuses VALUES('2430','589','7','12','81','refer to service center .fan issue bhi hai or frezzer  left side working nahi ker rahi',null,'79','79','2020-09-03 19:31:56','2020-09-03 19:31:56',null);
INSERT INTO complaint_statuses VALUES('2431','763','7','22','81','gas leakage issue .plz pick',null,'79','79','2020-09-03 19:32:49','2020-09-03 19:32:49',null);
INSERT INTO complaint_statuses VALUES('2432','816','2',null,'81',null,null,'73','73','2020-09-03 19:48:58','2020-09-03 19:48:58',null);
INSERT INTO complaint_statuses VALUES('2433','816','4',null,'61',null,null,'81','81','2020-09-03 19:49:41','2020-09-03 19:49:41',null);
INSERT INTO complaint_statuses VALUES('2434','316','7','26','81','NOT PICKING CALL',null,'87','87','2020-09-03 19:51:40','2020-09-03 19:51:40',null);
INSERT INTO complaint_statuses VALUES('2435','817','3',null,'52',null,'COMPLAIN#PKRI200903111063','73','73','2020-09-03 19:57:41','2020-09-04 01:32:05',null);
INSERT INTO complaint_statuses VALUES('2436','818','2',null,'81',null,'MRM','73','73','2020-09-03 19:58:56','2020-09-03 19:58:56',null);
INSERT INTO complaint_statuses VALUES('2437','819','3',null,'53',null,'COMPLAIN#1040617','73','73','2020-09-03 20:00:34','2020-09-04 02:48:25',null);
INSERT INTO complaint_statuses VALUES('2438','518','7','12','81','Condenser Fan Motor Adjustment only',null,'76','76','2020-09-03 20:00:45','2020-09-03 20:00:45',null);
INSERT INTO complaint_statuses VALUES('2439','820','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-09-03 20:15:10','2020-09-03 20:15:10',null);
INSERT INTO complaint_statuses VALUES('2440','821','3',null,'53',null,'COMPLAIN#1040614','73','73','2020-09-03 20:16:35','2020-09-04 02:48:25',null);
INSERT INTO complaint_statuses VALUES('2441','822','2',null,'81',null,'H.SOLUTION','73','73','2020-09-03 20:23:31','2020-09-03 20:23:31',null);
INSERT INTO complaint_statuses VALUES('2442','823','3',null,'54',null,'COMPLAIN#1721604','73','73','2020-09-03 20:37:53','2020-09-04 01:40:06',null);
INSERT INTO complaint_statuses VALUES('2443','824','3',null,'54',null,'COMPLAIN#1721605','73','73','2020-09-03 20:37:55','2020-09-04 01:40:31',null);
INSERT INTO complaint_statuses VALUES('2444','825','3',null,'52',null,null,'73','73','2020-09-03 20:41:38','2020-09-03 20:41:38',null);
INSERT INTO complaint_statuses VALUES('2445','826','2',null,'81',null,'GAS','73','73','2020-09-03 20:46:29','2020-09-03 20:46:29',null);
INSERT INTO complaint_statuses VALUES('2446','671','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-03 20:47:49','2020-09-03 20:47:49',null);
INSERT INTO complaint_statuses VALUES('2447','665','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-03 20:51:28','2020-09-03 20:51:28',null);
INSERT INTO complaint_statuses VALUES('2448','662','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-03 20:53:25','2020-09-03 20:53:25',null);
INSERT INTO complaint_statuses VALUES('2449','827','3',null,'65',null,'COMPLAIN#072014120','73','73','2020-09-03 20:56:02','2020-09-04 00:26:18',null);
INSERT INTO complaint_statuses VALUES('2450','660','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-03 20:59:12','2020-09-03 20:59:12',null);
INSERT INTO complaint_statuses VALUES('2451','654','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-03 21:06:01','2020-09-03 21:06:01',null);
INSERT INTO complaint_statuses VALUES('2452','659','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-03 21:11:06','2020-09-03 21:11:06',null);
INSERT INTO complaint_statuses VALUES('2453','828','3',null,'67',null,'FRWRD TO MUNAWAR CANON','73','73','2020-09-03 21:23:54','2020-09-03 21:23:54',null);
INSERT INTO complaint_statuses VALUES('2454','747','7','24','81','Ignation coile hrab hy markeet main nhi',null,'82','82','2020-09-03 21:33:21','2020-09-03 21:33:21',null);
INSERT INTO complaint_statuses VALUES('2455','829','2',null,'81',null,'H.SOLUTION','73','73','2020-09-03 21:50:27','2020-09-03 21:50:27',null);
INSERT INTO complaint_statuses VALUES('2456','830','2',null,'81',null,'B.COOL','73','73','2020-09-03 21:54:30','2020-09-03 21:54:30',null);
INSERT INTO complaint_statuses VALUES('2457','830','4',null,'58',null,null,'81','81','2020-09-03 21:55:11','2020-09-03 21:55:11',null);
INSERT INTO complaint_statuses VALUES('2458','829','4',null,'62',null,null,'81','81','2020-09-03 21:55:25','2020-09-03 21:55:25',null);
INSERT INTO complaint_statuses VALUES('2459','826','4',null,'63',null,null,'81','81','2020-09-03 21:55:36','2020-09-03 21:55:36',null);
INSERT INTO complaint_statuses VALUES('2460','822','4',null,'62',null,null,'81','81','2020-09-03 21:55:46','2020-09-03 21:55:46',null);
INSERT INTO complaint_statuses VALUES('2461','818','4',null,'61',null,null,'81','81','2020-09-03 21:56:00','2020-09-03 21:56:00',null);
INSERT INTO complaint_statuses VALUES('2462','831','3',null,'53',null,'COMPLAIN#1040602','73','73','2020-09-03 22:09:13','2020-09-04 02:43:12',null);
INSERT INTO complaint_statuses VALUES('2463','832','2',null,'81',null,'LG','73','73','2020-09-03 22:12:24','2020-09-03 22:12:24',null);
INSERT INTO complaint_statuses VALUES('2464','832','4',null,'55',null,null,'81','81','2020-09-03 22:13:21','2020-09-03 22:13:21',null);
INSERT INTO complaint_statuses VALUES('2465','833','3',null,'65',null,'COMPLAIN#192017766','73','73','2020-09-03 22:15:28','2020-09-04 00:22:05',null);
INSERT INTO complaint_statuses VALUES('2466','834','3',null,'54',null,'COMPLAIN#1721602','73','73','2020-09-03 22:19:25','2020-09-04 01:36:02',null);
INSERT INTO complaint_statuses VALUES('2467','835','2',null,'81',null,'MRM','73','73','2020-09-03 22:23:38','2020-09-03 22:23:38',null);
INSERT INTO complaint_statuses VALUES('2468','31','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-03 22:29:14','2020-09-03 22:29:14',null);
INSERT INTO complaint_statuses VALUES('2469','836','2',null,'81',null,'H.SOLUTION','73','73','2020-09-03 22:45:40','2020-09-03 22:45:40',null);
INSERT INTO complaint_statuses VALUES('2470','837','2',null,'81',null,'H.SOLUTION','73','73','2020-09-03 22:48:13','2020-09-03 22:48:13',null);
INSERT INTO complaint_statuses VALUES('2471','88','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-03 22:49:22','2020-09-03 22:49:22',null);
INSERT INTO complaint_statuses VALUES('2472','837','4',null,'62',null,null,'81','81','2020-09-03 22:49:33','2020-09-03 22:49:33',null);
INSERT INTO complaint_statuses VALUES('2473','836','4',null,'62',null,null,'81','81','2020-09-03 22:49:42','2020-09-03 22:49:42',null);
INSERT INTO complaint_statuses VALUES('2474','835','4',null,'61',null,null,'81','81','2020-09-03 22:49:55','2020-09-03 22:49:55',null);
INSERT INTO complaint_statuses VALUES('2475','101','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-03 22:53:02','2020-09-03 22:53:02',null);
INSERT INTO complaint_statuses VALUES('2476','751','7','26','81','visit done water inlet valve defective   rs 5000 expanse   customer not interested yet for repair 
next month repair karwain gy.',null,'83','83','2020-09-03 23:07:27','2020-09-03 23:07:27',null);
INSERT INTO complaint_statuses VALUES('2477','118','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-03 23:08:16','2020-09-03 23:08:16',null);
INSERT INTO complaint_statuses VALUES('2478','128','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-03 23:14:31','2020-09-03 23:14:31',null);
INSERT INTO complaint_statuses VALUES('2479','132','5',null,null,'COMPLAINT CLOSED','AJ COMPLAINT RESOLVED HONE HAY','74','74','2020-09-03 23:17:27','2020-09-12 19:54:36',null);
INSERT INTO complaint_statuses VALUES('2480','684','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-03 23:24:58','2020-09-03 23:24:58',null);
INSERT INTO complaint_statuses VALUES('2481','683','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-03 23:27:56','2020-09-03 23:27:56',null);
INSERT INTO complaint_statuses VALUES('2482','685','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-03 23:29:36','2020-09-03 23:29:36',null);
INSERT INTO complaint_statuses VALUES('2483','143','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-03 23:31:57','2020-09-03 23:31:57',null);
INSERT INTO complaint_statuses VALUES('2484','838','3',null,'52',null,'COMPLAIN#PKRI200903110971','73','73','2020-09-03 23:56:35','2020-09-04 01:26:58',null);
INSERT INTO complaint_statuses VALUES('2485','796','7','24','81','customer say bat ho gae hy',null,'80','80','2020-09-03 23:58:45','2020-09-03 23:58:45',null);
INSERT INTO complaint_statuses VALUES('2486','839','2',null,'81',null,'GAS','73','73','2020-09-03 23:59:10','2020-09-03 23:59:10',null);
INSERT INTO complaint_statuses VALUES('2487','801','7','22','81','DOOR HANDLE',null,'87','87','2020-09-04 00:05:16','2020-09-04 00:05:16',null);
INSERT INTO complaint_statuses VALUES('2488','839','4',null,'63',null,'COMPLAINT RESOLVED','81','92','2020-09-04 00:11:50','2020-09-27 01:39:46',null);
INSERT INTO complaint_statuses VALUES('2489','688','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-04 00:26:17','2020-09-04 00:26:17',null);
INSERT INTO complaint_statuses VALUES('2490','840','3',null,'55',null,'COMPLAIN#662306','73','73','2020-09-04 00:30:35','2020-09-04 01:22:49',null);
INSERT INTO complaint_statuses VALUES('2491','352','7','24','81','Unit physical inspects  its used and sold out unit  NOT claimable as stock unit  
 unit running hours is 24HR 
kindly provide  customer invoice to proceed claim',null,'83','83','2020-09-04 00:42:23','2020-09-04 00:42:23',null);
INSERT INTO complaint_statuses VALUES('2492','188','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-04 00:49:28','2020-09-04 00:49:28',null);
INSERT INTO complaint_statuses VALUES('2493','841','2',null,'81',null,'NADEEM','73','73','2020-09-04 00:50:06','2020-09-04 00:50:06',null);
INSERT INTO complaint_statuses VALUES('2494','690','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-04 00:50:57','2020-09-04 00:50:57',null);
INSERT INTO complaint_statuses VALUES('2495','842','2',null,'81',null,'CARE','73','73','2020-09-04 00:52:53','2020-09-04 00:52:53',null);
INSERT INTO complaint_statuses VALUES('2496','190','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-04 00:53:19','2020-09-04 00:53:19',null);
INSERT INTO complaint_statuses VALUES('2497','758','7','22','81','shocks issue .sr 50 model hai',null,'79','79','2020-09-04 00:58:09','2020-09-04 00:58:09',null);
INSERT INTO complaint_statuses VALUES('2498','843','3',null,'52',null,'COMPLAIN#PKRI200903111010','73','73','2020-09-04 00:59:13','2020-09-04 01:29:27',null);
INSERT INTO complaint_statuses VALUES('2499','211','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-04 00:59:55','2020-09-04 00:59:55',null);
INSERT INTO complaint_statuses VALUES('2500','214','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-04 01:01:49','2020-09-04 01:01:49',null);
INSERT INTO complaint_statuses VALUES('2501','223','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-04 01:07:19','2020-09-04 01:07:19',null);
INSERT INTO complaint_statuses VALUES('2502','83','7','12','81','in ky shocks repair kr deye hain agr dubara .issue ata hai tu bata dein gain .',null,'79','79','2020-09-04 01:12:35','2020-09-04 01:12:35',null);
INSERT INTO complaint_statuses VALUES('2503','844','2',null,'81',null,'KHALID','73','73','2020-09-04 01:13:55','2020-09-04 01:13:55',null);
INSERT INTO complaint_statuses VALUES('2504','274','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-04 01:22:42','2020-09-04 01:22:42',null);
INSERT INTO complaint_statuses VALUES('2505','83','5','15',null,null,'CUSTOMER CALL ATTEND NAI KAR RAHAY HAIN B COOL SA CONFIRM  KAR K COMPLAINT CLOSED KI','81','74','2020-09-04 01:24:11','2020-09-05 21:22:19',null);
INSERT INTO complaint_statuses VALUES('2506','513','5','15',null,null,'COMPLANIT  RESOLVED','81','74','2020-09-04 01:30:30','2020-09-12 19:28:17',null);
INSERT INTO complaint_statuses VALUES('2507','518','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-04 01:31:04','2020-09-15 22:20:00',null);
INSERT INTO complaint_statuses VALUES('2508','797','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 01:31:45','2020-09-07 21:45:29',null);
INSERT INTO complaint_statuses VALUES('2509','782','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 01:32:48','2020-09-05 22:21:56',null);
INSERT INTO complaint_statuses VALUES('2510','781','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 01:33:14','2020-09-05 22:23:12',null);
INSERT INTO complaint_statuses VALUES('2511','780','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 01:33:49','2020-09-05 22:24:21',null);
INSERT INTO complaint_statuses VALUES('2512','767','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 01:34:11','2020-09-05 22:28:00',null);
INSERT INTO complaint_statuses VALUES('2513','253','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-04 01:34:43','2020-09-04 01:34:43',null);
INSERT INTO complaint_statuses VALUES('2514','759','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-04 01:35:01','2020-09-17 20:12:43',null);
INSERT INTO complaint_statuses VALUES('2515','754','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 01:35:47','2020-09-07 22:53:43',null);
INSERT INTO complaint_statuses VALUES('2516','744','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 01:36:12','2020-09-07 23:36:38',null);
INSERT INTO complaint_statuses VALUES('2517','736','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 01:36:40','2020-09-05 23:01:34',null);
INSERT INTO complaint_statuses VALUES('2518','734','5','15',null,null,'COMPLAINT RESOLED','81','74','2020-09-04 01:37:13','2020-09-07 23:38:15',null);
INSERT INTO complaint_statuses VALUES('2519','726','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 01:37:41','2020-09-05 23:44:25',null);
INSERT INTO complaint_statuses VALUES('2520','721','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 01:38:03','2020-09-05 23:47:09',null);
INSERT INTO complaint_statuses VALUES('2521','708','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 01:38:29','2020-09-08 00:08:26',null);
INSERT INTO complaint_statuses VALUES('2522','724','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 01:39:34','2020-09-05 23:45:45',null);
INSERT INTO complaint_statuses VALUES('2523','702','5','15',null,null,'ABULREHMAN NA 4 GEYSER OK KAR DIYA THY BS AIK GEYSER MAIN ISSUE THA WO CUSTOMER NA KHUD GEYSER S/C LA K AANA HAIN BUT CUSTOMER KI SIDE SA DELAY HAIN','81','74','2020-09-04 01:40:02','2020-09-08 21:02:05',null);
INSERT INTO complaint_statuses VALUES('2524','692','5','15',null,null,'NO VISIT REF OK HO GAY HAIN COMPLAINT CLOSED','81','74','2020-09-04 01:40:31','2020-09-08 21:07:48',null);
INSERT INTO complaint_statuses VALUES('2525','682','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-04 01:40:53','2020-09-16 22:38:47',null);
INSERT INTO complaint_statuses VALUES('2526','585','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-04 01:41:39','2020-09-15 22:09:52',null);
INSERT INTO complaint_statuses VALUES('2527','589','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-04 01:43:56','2020-09-15 22:07:30',null);
INSERT INTO complaint_statuses VALUES('2528','259','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-04 01:43:56','2020-09-04 01:43:56',null);
INSERT INTO complaint_statuses VALUES('2529','256','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-04 01:45:30','2020-09-04 01:45:30',null);
INSERT INTO complaint_statuses VALUES('2530','845','2',null,'81',null,'GAS','73','73','2020-09-04 01:47:13','2020-09-04 01:47:13',null);
INSERT INTO complaint_statuses VALUES('2531','845','4',null,'63',null,null,'81','81','2020-09-04 01:47:51','2020-09-04 01:47:51',null);
INSERT INTO complaint_statuses VALUES('2532','844','4',null,'56',null,null,'81','81','2020-09-04 01:48:02','2020-09-04 01:48:02',null);
INSERT INTO complaint_statuses VALUES('2533','846','2',null,'81',null,'CARE','73','73','2020-09-04 01:51:08','2020-09-04 01:51:08',null);
INSERT INTO complaint_statuses VALUES('2534','807','5','15',null,'TAMPRATURE SET','COMPLAINT RESOLVED','81','74','2020-09-04 01:53:02','2020-09-05 22:08:17',null);
INSERT INTO complaint_statuses VALUES('2535','842','4',null,'60',null,null,'81','81','2020-09-04 01:54:43','2020-09-04 01:54:43',null);
INSERT INTO complaint_statuses VALUES('2536','846','4',null,'60',null,null,'81','81','2020-09-04 01:54:59','2020-09-04 01:54:59',null);
INSERT INTO complaint_statuses VALUES('2537','841','4',null,'59',null,null,'81','81','2020-09-04 01:55:08','2020-09-04 01:55:08',null);
INSERT INTO complaint_statuses VALUES('2538','719','7','12','81','jet issue ...customer not paid cahrges',null,'79','79','2020-09-04 01:57:28','2020-09-04 01:57:28',null);
INSERT INTO complaint_statuses VALUES('2539','643','7','12','81','Not in warranty estimate refused by customer.',null,'77','77','2020-09-04 01:59:19','2020-09-04 01:59:19',null);
INSERT INTO complaint_statuses VALUES('2540','316','5','25',null,'CANCEL COATUMER END','COMPLAINT RESOLVED','81','92','2020-09-04 02:01:15','2020-09-23 22:16:43',null);
INSERT INTO complaint_statuses VALUES('2541','263','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-04 02:02:10','2020-09-04 02:02:10',null);
INSERT INTO complaint_statuses VALUES('2542','731','7','12','81','complaint resolved.setting kr di hai',null,'79','79','2020-09-04 02:02:31','2020-09-04 02:02:31',null);
INSERT INTO complaint_statuses VALUES('2543','847','2',null,'81',null,'GAS','73','73','2020-09-04 02:02:46','2020-09-04 02:02:46',null);
INSERT INTO complaint_statuses VALUES('2544','694','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-04 02:03:47','2020-09-04 02:03:47',null);
INSERT INTO complaint_statuses VALUES('2545','235','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-04 02:07:11','2020-09-04 02:07:11',null);
INSERT INTO complaint_statuses VALUES('2546','844','7','12','81','Power supply replaced',null,'77','77','2020-09-04 02:07:41','2020-09-04 02:07:41',null);
INSERT INTO complaint_statuses VALUES('2547','847','4',null,'63',null,null,'81','81','2020-09-04 02:07:50','2020-09-04 02:07:50',null);
INSERT INTO complaint_statuses VALUES('2548','647','7','12','81','OUT FROM I-10 S/C',null,'87','87','2020-09-04 02:14:08','2020-09-04 02:14:08',null);
INSERT INTO complaint_statuses VALUES('2549','646','7','12','81','OUT FROM I-10 S/C',null,'87','87','2020-09-04 02:14:49','2020-09-04 02:14:49',null);
INSERT INTO complaint_statuses VALUES('2550','130','7','26','81',null,null,'82','82','2020-09-04 02:23:27','2020-09-04 02:23:27',null);
INSERT INTO complaint_statuses VALUES('2551','501','5','27',null,null,'COMPLAINT RESOLVED','81','92','2020-09-04 02:24:39','2020-09-15 22:23:07',null);
INSERT INTO complaint_statuses VALUES('2552','837','7','22','81','DOOR KA GLASS CRACK HAI.',null,'87','87','2020-09-04 02:27:31','2020-09-04 02:27:31',null);
INSERT INTO complaint_statuses VALUES('2553','846','7','24','81',null,null,'82','82','2020-09-04 02:32:43','2020-09-04 02:32:43',null);
INSERT INTO complaint_statuses VALUES('2554','842','7','24','81',null,'COMPANY MEIN FRWRD KARWA RY. .','82','73','2020-09-04 02:33:07','2020-09-05 20:27:35',null);
INSERT INTO complaint_statuses VALUES('2555','848','2',null,'81',null,'B.COOL','73','73','2020-09-04 02:37:26','2020-09-04 02:37:26',null);
INSERT INTO complaint_statuses VALUES('2556','848','4',null,'58',null,null,'81','81','2020-09-04 02:37:55','2020-09-04 02:37:55',null);
INSERT INTO complaint_statuses VALUES('2557','194','8','23','61','CUSTOMER KO PAYMENT RECEIVED HO GEI HAIN COMPLAINT CLOSED',null,'81','81','2020-09-04 02:56:45','2020-09-04 02:56:45',null);
INSERT INTO complaint_statuses VALUES('2558','849','2',null,'81',null,'LG','73','73','2020-09-04 02:56:57','2020-09-04 02:56:57',null);
INSERT INTO complaint_statuses VALUES('2559','184','8','23','61','ON THA PAYMENT JOB',null,'81','81','2020-09-04 02:57:48','2020-09-04 02:57:48',null);
INSERT INTO complaint_statuses VALUES('2560','130','8','23','60',null,'CONTROL PANEL LE KR GY HAIN. .','81','73','2020-09-04 02:58:10','2020-09-08 19:57:04',null);
INSERT INTO complaint_statuses VALUES('2561','849','4',null,'55',null,null,'81','81','2020-09-04 02:58:26','2020-09-04 02:58:26',null);
INSERT INTO complaint_statuses VALUES('2562','530','8','13','63','AGAIN CUSTOMER SA CONTACT KARAY KINDLY  DEMO REQURIED',null,'81','81','2020-09-04 03:01:00','2020-09-04 03:01:00',null);
INSERT INTO complaint_statuses VALUES('2563','600','8','23','63',null,null,'81','81','2020-09-04 03:01:46','2020-09-04 03:01:46',null);
INSERT INTO complaint_statuses VALUES('2564','643','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-04 03:02:25','2020-09-16 22:45:17',null);
INSERT INTO complaint_statuses VALUES('2565','646','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 03:02:58','2020-09-08 22:22:42',null);
INSERT INTO complaint_statuses VALUES('2566','647','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 03:03:36','2020-09-08 22:22:06',null);
INSERT INTO complaint_statuses VALUES('2567','678','5','15',null,null,'CUSTOMER NA NEW  LED PARCHES KAR LI SONY KI COMPLAINT CLOSED','81','74','2020-09-04 03:04:41','2020-09-08 21:46:57',null);
INSERT INTO complaint_statuses VALUES('2568','722','8','23','61','0300 WALAY # PA CUSTOMER SA CONTACT KARAY & VISIT ARRANGE KARWAY THANKS',null,'81','81','2020-09-04 03:05:37','2020-09-04 03:05:37',null);
INSERT INTO complaint_statuses VALUES('2569','697','8','23','62','FF TO KHURRAM 5 STAR HOB  COMPLAINT',null,'81','81','2020-09-04 03:10:36','2020-09-04 03:10:36',null);
INSERT INTO complaint_statuses VALUES('2570','697','7','26','81','FRWD TO CONCERN',null,'87','87','2020-09-04 03:13:00','2020-09-04 03:13:00',null);
INSERT INTO complaint_statuses VALUES('2571','719','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 03:15:17','2020-09-06 00:14:16',null);
INSERT INTO complaint_statuses VALUES('2572','836','7','12','81','ISSUE RESOLVED BY HOME SOLUTION. RELAY CHANGE KI',null,'87','87','2020-09-04 03:15:39','2020-09-04 03:15:39',null);
INSERT INTO complaint_statuses VALUES('2573','836','5','15',null,null,'COMPLAINT  RESOLVED','81','74','2020-09-04 03:36:46','2020-09-05 22:13:34',null);
INSERT INTO complaint_statuses VALUES('2574','697','5','25',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 03:38:12','2020-09-08 21:09:23',null);
INSERT INTO complaint_statuses VALUES('2575','580','7','12','81','NO FAULT',null,'87','87','2020-09-04 03:40:18','2020-09-04 03:40:18',null);
INSERT INTO complaint_statuses VALUES('2576','580','5','15',null,null,'ISSUE  NOT  RESOLVED','81','74','2020-09-04 03:40:58','2020-09-12 19:51:13',null);
INSERT INTO complaint_statuses VALUES('2577','822','7','12','81','CABLE KA ISSUE THA CUSTOMER NY KHD HI THK KR LIA',null,'87','87','2020-09-04 04:14:28','2020-09-04 04:14:28',null);
INSERT INTO complaint_statuses VALUES('2578','184','7','12','81','Panel repair rs 2000 exp
Customer gujerkhan sy pic krny ay ga',null,'83','83','2020-09-04 04:15:21','2020-09-04 04:15:21',null);
INSERT INTO complaint_statuses VALUES('2579','829','7','12','81','ISSUE RESOLVED AT HOME ..PANI KA ISSUE THA',null,'87','87','2020-09-04 04:15:53','2020-09-04 04:15:53',null);
INSERT INTO complaint_statuses VALUES('2580','774','7','26','81','Customer not agree to py visit charges 500',null,'83','83','2020-09-04 04:47:11','2020-09-04 04:47:11',null);
INSERT INTO complaint_statuses VALUES('2581','653','7','9','81','Visit done  unit ok ffc pcb clean 
Rs 2500 total charges from customer',null,'83','83','2020-09-04 04:49:46','2020-09-04 04:49:46',null);
INSERT INTO complaint_statuses VALUES('2582','822','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 05:39:07','2020-09-05 22:17:45',null);
INSERT INTO complaint_statuses VALUES('2583','844','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 05:39:34','2020-09-05 22:44:38',null);
INSERT INTO complaint_statuses VALUES('2584','829','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 05:40:03','2020-09-05 22:14:41',null);
INSERT INTO complaint_statuses VALUES('2585','731','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 05:41:28','2020-09-08 00:00:37',null);
INSERT INTO complaint_statuses VALUES('2586','842','8','23','60',null,null,'81','81','2020-09-04 05:43:20','2020-09-04 05:43:20',null);
INSERT INTO complaint_statuses VALUES('2587','796','8','23','59',null,null,'81','81','2020-09-04 05:44:32','2020-09-04 05:44:32',null);
INSERT INTO complaint_statuses VALUES('2588','771','8','23','60',null,null,'81','81','2020-09-04 05:47:45','2020-09-04 05:47:45',null);
INSERT INTO complaint_statuses VALUES('2589','763','8','23','58',null,'REF OK  BUT CUSTOMER NOT PICK UP CALL','81','74','2020-09-04 05:48:18','2020-09-06 00:46:25',null);
INSERT INTO complaint_statuses VALUES('2590','758','8','23','58',null,null,'81','81','2020-09-04 05:49:02','2020-09-04 05:49:02',null);
INSERT INTO complaint_statuses VALUES('2591','751','5','25',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 05:49:50','2020-09-05 22:53:44',null);
INSERT INTO complaint_statuses VALUES('2592','747','8','23','60',null,null,'81','81','2020-09-04 05:50:36','2020-09-04 05:50:36',null);
INSERT INTO complaint_statuses VALUES('2593','850','3',null,'56',null,'04-SEP-2020
COMPLIANT# I-04/003','74','74','2020-09-04 20:39:21','2020-09-04 20:39:21',null);
INSERT INTO complaint_statuses VALUES('2594','851','3',null,'55',null,'04-SEP-2020
FF TO NAEEM KENWOOD','74','74','2020-09-04 20:54:54','2020-09-04 20:54:54',null);
INSERT INTO complaint_statuses VALUES('2595','852','2',null,'81',null,'04-SEP-2020

FF TO SHAMIM AKHTER','74','74','2020-09-04 21:11:44','2020-09-04 21:11:44',null);
INSERT INTO complaint_statuses VALUES('2596','852','4',null,'55',null,null,'81','81','2020-09-04 21:13:59','2020-09-04 21:13:59',null);
INSERT INTO complaint_statuses VALUES('2597','852','4',null,'55',null,null,'81','81','2020-09-04 21:13:59','2020-09-04 21:13:59',null);
INSERT INTO complaint_statuses VALUES('2598','699','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-04 21:16:06','2020-09-22 23:51:28',null);
INSERT INTO complaint_statuses VALUES('2599','853','3',null,'62',null,'04-SEP-2020
FF TO KHURRAM 5 STAR','74','74','2020-09-04 21:33:34','2020-09-04 21:33:34',null);
INSERT INTO complaint_statuses VALUES('2600','841','7','24','81','customer sy bat ho gae hy set S/C ay ga',null,'80','80','2020-09-04 21:58:18','2020-09-04 21:58:18',null);
INSERT INTO complaint_statuses VALUES('2601','722','7','24','81','TV SETTING GUIDE TO CUSTOMER ON PHONE CALL',null,'83','83','2020-09-04 22:01:56','2020-09-04 22:01:56',null);
INSERT INTO complaint_statuses VALUES('2602','203','7','26','81','Customer Not Interested for Installation. Self Installation by Customer .',null,'76','76','2020-09-04 22:04:30','2020-09-04 22:04:30',null);
INSERT INTO complaint_statuses VALUES('2603','312','7','12','81','Water Level Sensor Replaced. Complaint has been entertain as Out of warranty Job.',null,'76','76','2020-09-04 22:05:38','2020-09-04 22:05:38',null);
INSERT INTO complaint_statuses VALUES('2604','515','7','12','81','Demonstration Only.',null,'76','76','2020-09-04 22:07:04','2020-09-04 22:07:04',null);
INSERT INTO complaint_statuses VALUES('2605','516','7','12','81','Demo Only.no fault with product.',null,'76','76','2020-09-04 22:08:13','2020-09-04 22:08:13',null);
INSERT INTO complaint_statuses VALUES('2606','540','7','24','81','Drain Heater Faulty , Customer not agree for Payment , he is complaining that first time complaint has been lunched in the month of July, so he requested to entertain his job in warranty.(Repairing Cost 9500/-)',null,'76','76','2020-09-04 22:11:04','2020-09-04 22:11:04',null);
INSERT INTO complaint_statuses VALUES('2607','534','7','12','81','Demonstration Only.',null,'76','76','2020-09-04 22:12:16','2020-09-04 22:12:16',null);
INSERT INTO complaint_statuses VALUES('2608','611','7','24','81','Ref has been lifted in SVC (04-09-2020)',null,'76','76','2020-09-04 22:14:23','2020-09-04 22:14:23',null);
INSERT INTO complaint_statuses VALUES('2609','565','7','12','81','Main PCB has been Replaced, Job Has Been Entertain As out of warranty job.',null,'76','76','2020-09-04 22:15:33','2020-09-04 22:15:33',null);
INSERT INTO complaint_statuses VALUES('2610','184','8','23','61',null,null,'81','81','2020-09-04 22:21:10','2020-09-04 22:21:10',null);
INSERT INTO complaint_statuses VALUES('2611','312','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-04 22:22:06','2020-09-16 00:29:17',null);
INSERT INTO complaint_statuses VALUES('2612','515','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-04 22:23:03','2020-09-14 00:48:51',null);
INSERT INTO complaint_statuses VALUES('2613','516','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-04 22:23:29','2020-09-14 00:51:51',null);
INSERT INTO complaint_statuses VALUES('2614','534','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 22:23:51','2020-09-13 00:54:45',null);
INSERT INTO complaint_statuses VALUES('2615','565','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 22:26:10','2020-09-12 23:47:19',null);
INSERT INTO complaint_statuses VALUES('2616','813','7','12','81','As Per Customer Statement Problem, Has Been Solved , no Need of visit .',null,'76','76','2020-09-04 22:27:53','2020-09-04 22:27:53',null);
INSERT INTO complaint_statuses VALUES('2617','422','7','24','81','Display PCB Repaired , Drain Pump Replaced and General Wash Service.',null,'76','76','2020-09-04 22:33:20','2020-09-04 22:33:20',null);
INSERT INTO complaint_statuses VALUES('2618','773','7','24','81','Dishwasher is Under Repair in SVC',null,'76','76','2020-09-04 22:34:23','2020-09-04 22:34:23',null);
INSERT INTO complaint_statuses VALUES('2619','854','3',null,'62',null,'04-SEP-2020.
FF TO KHURRAM 5 STAR','74','74','2020-09-04 22:36:32','2020-09-04 22:36:32',null);
INSERT INTO complaint_statuses VALUES('2620','540','8','23','55','date of purchase 27-8-2019 and complaint enter date 22-8-2020 . so it is warranty claim . the price of the drain heater is too high  . please lower the price',null,'81','81','2020-09-04 22:36:45','2020-09-04 22:36:45',null);
INSERT INTO complaint_statuses VALUES('2621','422','8','23','55','where is washing machine . customers home at your service center',null,'81','81','2020-09-04 22:39:05','2020-09-04 22:39:05',null);
INSERT INTO complaint_statuses VALUES('2622','695','7','24','81','Under Repaire In SVC',null,'76','76','2020-09-04 22:39:32','2020-09-04 22:39:32',null);
INSERT INTO complaint_statuses VALUES('2623','772','7','12','81','Demonstration Only.',null,'76','76','2020-09-04 22:41:37','2020-09-04 22:41:37',null);
INSERT INTO complaint_statuses VALUES('2624','640','7','22','81','Main PCB Faulty , Complaint has been entertain from Lahore Service center',null,'76','76','2020-09-04 22:42:42','2020-09-04 22:42:42',null);
INSERT INTO complaint_statuses VALUES('2625','611','8','23','55','tell me estimate . define the problem',null,'81','81','2020-09-04 22:44:28','2020-09-04 22:44:28',null);
INSERT INTO complaint_statuses VALUES('2626','640','8','23','55','but fault not resolve',null,'81','81','2020-09-04 22:46:30','2020-09-04 22:46:30',null);
INSERT INTO complaint_statuses VALUES('2627','540','7','28','81','New Complaint # 730 Please close one Complaint from those , its two time Entry with same Address , different Contact Number.',null,'76','76','2020-09-04 22:46:54','2020-09-04 22:46:54',null);
INSERT INTO complaint_statuses VALUES('2628','653','8','23','61','where is unit costumer home ya your service center',null,'81','81','2020-09-04 22:47:55','2020-09-04 22:47:55',null);
INSERT INTO complaint_statuses VALUES('2629','695','8','23','55','define the problem',null,'81','81','2020-09-04 22:49:45','2020-09-04 22:49:45',null);
INSERT INTO complaint_statuses VALUES('2630','653','7','12','81','Customer home',null,'83','83','2020-09-04 23:01:41','2020-09-04 23:01:41',null);
INSERT INTO complaint_statuses VALUES('2631','184','7','12','81','unit ok ho gayaha jobe complete kr dain',null,'83','83','2020-09-04 23:03:01','2020-09-04 23:03:01',null);
INSERT INTO complaint_statuses VALUES('2632','194','7','12','81','payment hand over kr di ha customer ko   job close kr dain',null,'83','83','2020-09-04 23:04:01','2020-09-04 23:04:01',null);
INSERT INTO complaint_statuses VALUES('2633','741','8','23','61','please send me copy of warranty card . and you see , this is a one year warranty or tow year warranty',null,'81','81','2020-09-04 23:04:35','2020-09-04 23:04:35',null);
INSERT INTO complaint_statuses VALUES('2634','681','7','12','81','General Service Recommended, But Customer Not Agree for Lifting , some time TC Error Occur.',null,'76','76','2020-09-04 23:06:12','2020-09-04 23:06:12',null);
INSERT INTO complaint_statuses VALUES('2635','653','5','15',null,null,'COMPLAINT  RESOLVED','81','74','2020-09-04 23:09:23','2020-09-08 22:26:07',null);
INSERT INTO complaint_statuses VALUES('2636','681','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-04 23:18:33','2020-09-15 21:40:27',null);
INSERT INTO complaint_statuses VALUES('2637','772','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 23:20:48','2020-09-05 22:26:32',null);
INSERT INTO complaint_statuses VALUES('2638','722','8','23','61','whether the problem is solved or not',null,'81','81','2020-09-04 23:22:54','2020-09-04 23:22:54',null);
INSERT INTO complaint_statuses VALUES('2639','773','8','23','55','explain the problem',null,'81','81','2020-09-04 23:24:35','2020-09-04 23:24:35',null);
INSERT INTO complaint_statuses VALUES('2640','790','8','23','62',null,null,'81','81','2020-09-04 23:25:22','2020-09-04 23:25:22',null);
INSERT INTO complaint_statuses VALUES('2641','813','5','15',null,null,'ISSUE RESOLVED NAI HOAY AGAIN VISIT','81','74','2020-09-04 23:26:39','2020-09-05 22:47:10',null);
INSERT INTO complaint_statuses VALUES('2642','846','8','23','60','explain the problem',null,'81','81','2020-09-04 23:27:44','2020-09-04 23:27:44',null);
INSERT INTO complaint_statuses VALUES('2643','841','8','23','59','explain the problem',null,'81','81','2020-09-04 23:28:15','2020-09-04 23:28:15',null);
INSERT INTO complaint_statuses VALUES('2644','730','7','28','81','active task no 540 . turn off this task namcer',null,'76','76','2020-09-04 23:47:50','2020-09-04 23:47:50',null);
INSERT INTO complaint_statuses VALUES('2645','730','5','27',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 23:48:24','2020-09-08 00:02:47',null);
INSERT INTO complaint_statuses VALUES('2646','540','8','23','55','730 task no close . please working on this task namber',null,'81','81','2020-09-04 23:50:48','2020-09-04 23:50:48',null);
INSERT INTO complaint_statuses VALUES('2647','194','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-04 23:52:39','2020-09-13 19:58:59',null);
INSERT INTO complaint_statuses VALUES('2648','184','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-04 23:53:37','2020-09-23 21:39:08',null);
INSERT INTO complaint_statuses VALUES('2649','352','8','23','61','you got the invoice',null,'81','81','2020-09-05 00:12:21','2020-09-05 00:12:21',null);
INSERT INTO complaint_statuses VALUES('2650','716','8','23','61',null,null,'81','81','2020-09-05 00:13:52','2020-09-05 00:13:52',null);
INSERT INTO complaint_statuses VALUES('2651','855','2',null,'81',null,'04-SEP-2020
FF TO SHAMIM AKHTER','74','74','2020-09-05 00:14:11','2020-09-05 00:14:11',null);
INSERT INTO complaint_statuses VALUES('2652','203','5','25',null,null,'COMPLAINT RESOLVED','81','74','2020-09-05 00:16:12','2020-09-13 20:13:12',null);
INSERT INTO complaint_statuses VALUES('2653','856','3',null,'52',null,'04-SEP-2020
COMPLAINT# PKRI-200904108392','74','74','2020-09-05 00:34:47','2020-09-05 00:34:47',null);
INSERT INTO complaint_statuses VALUES('2654','716','7','12','81','unit ok',null,'83','83','2020-09-05 00:38:49','2020-09-05 00:38:49',null);
INSERT INTO complaint_statuses VALUES('2655','857','2',null,'81',null,'04-SEP-2020.
FF TO SHAMIM AKHTER','74','74','2020-09-05 01:05:40','2020-09-05 01:05:40',null);
INSERT INTO complaint_statuses VALUES('2656','858','2',null,'81',null,'04-SEP-2020
FF TO KHALID','74','74','2020-09-05 01:11:17','2020-09-05 01:11:17',null);
INSERT INTO complaint_statuses VALUES('2657','858','4',null,'56',null,null,'81','81','2020-09-05 01:13:15','2020-09-05 01:13:15',null);
INSERT INTO complaint_statuses VALUES('2658','858','4',null,'56',null,null,'81','81','2020-09-05 01:13:15','2020-09-05 01:13:15',null);
INSERT INTO complaint_statuses VALUES('2659','857','4',null,'55',null,null,'81','81','2020-09-05 01:13:32','2020-09-05 01:13:32',null);
INSERT INTO complaint_statuses VALUES('2660','855','4',null,'55',null,null,'81','81','2020-09-05 01:13:49','2020-09-05 01:13:49',null);
INSERT INTO complaint_statuses VALUES('2661','859','3',null,'66',null,'04-SEP-2020.
COMPLAINT#86778','74','74','2020-09-05 01:26:26','2020-09-05 02:24:30',null);
INSERT INTO complaint_statuses VALUES('2662','860','3',null,'52',null,'04-SEP-2020
COMPLAINT#PKRI-200904109623','74','74','2020-09-05 01:36:45','2020-09-05 01:36:45',null);
INSERT INTO complaint_statuses VALUES('2663','295','7','12','81','No Fault Found During Inspection , Only Demonstration given to the Customer (Customer not agree for Paying Visit Charges -1500)',null,'76','76','2020-09-05 01:39:04','2020-09-05 01:39:04',null);
INSERT INTO complaint_statuses VALUES('2664','707','7','12','81','Inverter Board Replaced , customer not agree for paying payment, as he is claiming two years warranty,(total estimate is 12000)',null,'76','76','2020-09-05 01:42:02','2020-09-05 01:42:02',null);
INSERT INTO complaint_statuses VALUES('2665','677','7','12','81','Main PCB Repaired.(Visit + Labor +Repairing Charges 5500)',null,'76','76','2020-09-05 01:43:18','2020-09-05 01:43:18',null);
INSERT INTO complaint_statuses VALUES('2666','703','7','28','81','Its Duplicate Job. 
Please close both jobs.',null,'76','76','2020-09-05 01:45:03','2020-09-05 01:45:03',null);
INSERT INTO complaint_statuses VALUES('2667','709','5',null,null,'complaint closed',null,'74','74','2020-09-05 01:56:08','2020-09-05 01:56:08',null);
INSERT INTO complaint_statuses VALUES('2668','510','7','24','81','customer na sum sung ref replace karwa k lg k la liya so compliant closed',null,'79','79','2020-09-05 02:01:29','2020-09-05 02:01:29',null);
INSERT INTO complaint_statuses VALUES('2669','510','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-05 02:03:00','2020-09-13 00:06:40',null);
INSERT INTO complaint_statuses VALUES('2670','295','5','15',null,null,'KAL VISOT HO GA','81','92','2020-09-05 02:04:04','2020-09-23 22:15:58',null);
INSERT INTO complaint_statuses VALUES('2671','677','5','15',null,null,'CUSTOMER KI LG S/C MAIN BAT HO GEI HAIN KAL DELVER HO GI','81','74','2020-09-05 02:05:21','2020-09-08 21:51:27',null);
INSERT INTO complaint_statuses VALUES('2672','700','5',null,null,'complaint closed','COMPLAINT RESOLVED','74','92','2020-09-05 02:05:25','2020-09-22 23:49:48',null);
INSERT INTO complaint_statuses VALUES('2673','707','8','23','55','claim approved',null,'81','81','2020-09-05 02:08:57','2020-09-05 02:08:57',null);
INSERT INTO complaint_statuses VALUES('2674','326','5',null,null,'complaint closed',null,'74','74','2020-09-05 02:17:01','2020-09-05 02:17:01',null);
INSERT INTO complaint_statuses VALUES('2675','35','5','15',null,'problem resolve','COMPLAINT RESOLVED','81','74','2020-09-05 02:18:31','2020-09-05 20:58:02',null);
INSERT INTO complaint_statuses VALUES('2676','703','5','27',null,'old task no 540 on working','WEDNESDAY KA TIME CUSTOMER KO DIA HOA HAIN','81','74','2020-09-05 02:21:00','2020-09-08 21:32:00',null);
INSERT INTO complaint_statuses VALUES('2677','716','8','23','61','where is unit your service center ya costumer home',null,'81','81','2020-09-05 02:22:30','2020-09-05 02:22:30',null);
INSERT INTO complaint_statuses VALUES('2678','741','7','12','81','There is no any warranty card we receive with unit 
unit is ready  rs 3000/- expense  on it',null,'83','83','2020-09-05 02:30:34','2020-09-05 02:30:34',null);
INSERT INTO complaint_statuses VALUES('2679','741','8','23','61','hold this unit',null,'81','81','2020-09-05 02:40:07','2020-09-05 02:40:07',null);
INSERT INTO complaint_statuses VALUES('2680','861','3',null,'52',null,'04-SEP-2020
COMPLAINT#PKRI-20004110638','74','74','2020-09-05 02:45:12','2020-09-05 02:45:12',null);
INSERT INTO complaint_statuses VALUES('2681','862','3',null,'62',null,'09-04-2020.
APPROVAL.GEYSER  REPLACEMENT  BY SADDIQ SAB

FF TO  KHURRAM 5 STAR','74','74','2020-09-05 02:52:39','2020-10-19 20:52:56',null);
INSERT INTO complaint_statuses VALUES('2682','137','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-05 03:07:02','2020-09-05 03:07:02',null);
INSERT INTO complaint_statuses VALUES('2683','715','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-05 03:17:52','2020-09-05 03:17:52',null);
INSERT INTO complaint_statuses VALUES('2684','752','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-05 03:19:21','2020-09-05 03:19:21',null);
INSERT INTO complaint_statuses VALUES('2685','789','7','12','81','Filter Service Only.',null,'76','76','2020-09-05 03:41:03','2020-09-05 03:41:03',null);
INSERT INTO complaint_statuses VALUES('2686','707','7','12','81','Unit has Been Deliver Back to the Customer after Replacement of Part.',null,'76','76','2020-09-05 03:42:42','2020-09-05 03:42:42',null);
INSERT INTO complaint_statuses VALUES('2687','794','7','10','81','Please provide and Alternate Number',null,'76','76','2020-09-05 03:43:25','2020-09-05 03:43:25',null);
INSERT INTO complaint_statuses VALUES('2688','706','7','28','81','Duplicate Complaint.',null,'76','76','2020-09-05 03:46:20','2020-09-05 03:46:20',null);
INSERT INTO complaint_statuses VALUES('2689','655','7','12','81','Problem has been Solved.',null,'76','76','2020-09-05 03:48:52','2020-09-05 03:48:52',null);
INSERT INTO complaint_statuses VALUES('2690','832','7','10','81','Trying to contact with Customer Not Answering the Calls (6:57PM 04-09-2020)',null,'76','76','2020-09-05 03:54:14','2020-09-05 03:54:14',null);
INSERT INTO complaint_statuses VALUES('2691','762','7','12','81','complaint resolved .service ki hai inlet coil or drain system ki',null,'79','79','2020-09-05 19:23:23','2020-09-05 19:23:23',null);
INSERT INTO complaint_statuses VALUES('2692','766','7','12','81','compliant resolved . custoemr ko guid kr dya hai.light ka koi issue nai hai.is ki roshni inti hi hoti hai',null,'79','79','2020-09-05 19:24:49','2020-09-05 19:24:49',null);
INSERT INTO complaint_statuses VALUES('2693','805','7','12','81','defrost kia hai .complaint resolved',null,'79','79','2020-09-05 19:25:53','2020-09-05 19:25:53',null);
INSERT INTO complaint_statuses VALUES('2694','863','3',null,'53',null,'COMPLAIN#1041262','73','73','2020-09-05 20:14:43','2020-09-06 02:49:49',null);
INSERT INTO complaint_statuses VALUES('2695','864','2',null,'81',null,'OUT OF WARRANTY. . CHARGES KA INFORM KR DIA HA, COSTUMER PAY KRNY K LYE AGREE HAIN','73','73','2020-09-05 20:18:38','2020-09-05 20:18:38',null);
INSERT INTO complaint_statuses VALUES('2696','864','4',null,'55',null,null,'81','81','2020-09-05 20:18:58','2020-09-05 20:18:58',null);
INSERT INTO complaint_statuses VALUES('2697','865','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-09-05 20:21:40','2020-09-05 20:21:40',null);
INSERT INTO complaint_statuses VALUES('2698','853','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-05 20:22:33','2020-09-05 20:22:33',null);
INSERT INTO complaint_statuses VALUES('2699','866','3',null,'67',null,'FRWRD TO MUNAWAR CANON
COMPLAIN#1508','73','73','2020-09-05 20:25:50','2020-09-11 00:42:29',null);
INSERT INTO complaint_statuses VALUES('2700','842','7','22','81','moter sound issue ....visit hogya hai.......compneey ko forword kr dain',null,'82','82','2020-09-05 20:30:26','2020-09-05 20:30:26',null);
INSERT INTO complaint_statuses VALUES('2701','867','3',null,'52',null,'COMPLAIN#PKRI200905111636','73','73','2020-09-05 20:34:36','2020-09-06 02:24:34',null);
INSERT INTO complaint_statuses VALUES('2702','728','7','24','81','gasse issue unit service centre ay gha',null,'82','82','2020-09-05 20:36:18','2020-09-05 20:36:18',null);
INSERT INTO complaint_statuses VALUES('2703','603','7','12','81','sir costmer hande se dily hai onhon khud dliver krna',null,'82','82','2020-09-05 20:37:35','2020-09-05 20:37:35',null);
INSERT INTO complaint_statuses VALUES('2704','615','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-05 20:39:46','2020-09-05 20:39:46',null);
INSERT INTO complaint_statuses VALUES('2705','868','3',null,'66',null,'FRWRD TO RIZWAN TESLA','73','73','2020-09-05 20:46:38','2020-09-05 20:46:38',null);
INSERT INTO complaint_statuses VALUES('2706','701','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-05 20:49:49','2020-09-05 20:49:49',null);
INSERT INTO complaint_statuses VALUES('2707','528','7','12','81','plz close the complaint',null,'83','83','2020-09-05 20:59:13','2020-09-05 20:59:13',null);
INSERT INTO complaint_statuses VALUES('2708','869','3',null,'66',null,'FRWRD TO SAJID TCL
OUT OF WARRANTY','73','73','2020-09-05 20:59:20','2020-09-05 20:59:20',null);
INSERT INTO complaint_statuses VALUES('2709','716','7','12','81','Customer home',null,'83','83','2020-09-05 21:00:14','2020-09-05 21:00:14',null);
INSERT INTO complaint_statuses VALUES('2710','870','2',null,'81',null,'KHALID','73','73','2020-09-05 21:07:46','2020-09-05 21:07:46',null);
INSERT INTO complaint_statuses VALUES('2711','871','3',null,'65',null,'COMPLAIN#192017805','73','73','2020-09-05 21:12:34','2020-09-06 02:32:41',null);
INSERT INTO complaint_statuses VALUES('2712','872','2',null,'81',null,null,'73','73','2020-09-05 21:14:43','2020-09-05 21:14:43',null);
INSERT INTO complaint_statuses VALUES('2713','872','4',null,'62',null,null,'81','81','2020-09-05 21:15:10','2020-09-05 21:15:10',null);
INSERT INTO complaint_statuses VALUES('2714','870','4',null,'56',null,null,'81','81','2020-09-05 21:15:19','2020-09-05 21:15:19',null);
INSERT INTO complaint_statuses VALUES('2715','873','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-09-05 21:20:04','2020-09-05 21:20:04',null);
INSERT INTO complaint_statuses VALUES('2716','874','2',null,'81',null,'05-SEP-2020.
FF TO HOME SOLUTION','74','74','2020-09-05 21:26:54','2020-09-05 21:26:54',null);
INSERT INTO complaint_statuses VALUES('2717','875','2',null,'81',null,'LG','73','73','2020-09-05 21:27:15','2020-09-05 21:27:15',null);
INSERT INTO complaint_statuses VALUES('2718','876','3',null,'53',null,'COMPLAIN#1041261
PESHAWAR S/C=0915704240 , 03179998354','73','73','2020-09-05 21:29:58','2020-09-06 02:46:47',null);
INSERT INTO complaint_statuses VALUES('2719','877','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-09-05 21:36:54','2020-09-05 21:36:54',null);
INSERT INTO complaint_statuses VALUES('2720','878','3',null,'52',null,'COMPLAIN#PKRI200905111726','73','73','2020-09-05 21:40:12','2020-09-06 02:26:40',null);
INSERT INTO complaint_statuses VALUES('2721','170','5',null,null,'RESOLVED','COMPLAINT RESOLVED','73','92','2020-09-05 21:46:29','2020-09-23 21:37:11',null);
INSERT INTO complaint_statuses VALUES('2722','879','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-09-05 21:49:52','2020-09-05 21:49:52',null);
INSERT INTO complaint_statuses VALUES('2723','880','2',null,'81',null,'MRM','73','73','2020-09-05 21:58:09','2020-09-05 21:58:09',null);
INSERT INTO complaint_statuses VALUES('2724','880','4',null,'61',null,null,'81','81','2020-09-05 22:00:57','2020-09-05 22:00:57',null);
INSERT INTO complaint_statuses VALUES('2725','875','4',null,'55',null,null,'81','81','2020-09-05 22:01:12','2020-09-05 22:01:12',null);
INSERT INTO complaint_statuses VALUES('2726','874','4',null,'62',null,null,'81','81','2020-09-05 22:01:25','2020-09-05 22:01:25',null);
INSERT INTO complaint_statuses VALUES('2727','880','7','24','81','stock ka set ha kiya ? 
agar stock unit ha TU plz share unit s/n  and symptom picture share krain',null,'83','83','2020-09-05 22:18:30','2020-09-05 22:18:30',null);
INSERT INTO complaint_statuses VALUES('2728','881','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-09-05 22:29:30','2020-09-05 22:29:30',null);
INSERT INTO complaint_statuses VALUES('2729','882','2',null,'81',null,'05--SEP-2020
FF TO USMAN MRM','74','74','2020-09-05 22:35:54','2020-09-05 22:35:54',null);
INSERT INTO complaint_statuses VALUES('2730','883','3',null,'65',null,'COMPLAIN#192017804','73','73','2020-09-05 22:36:51','2020-09-06 02:29:57',null);
INSERT INTO complaint_statuses VALUES('2731','884','2',null,'81',null,'H.SOLUTION','74','74','2020-09-05 22:57:11','2020-09-05 22:57:11',null);
INSERT INTO complaint_statuses VALUES('2732','540','7','12','81','Drain Heater Replaced(Part Cost +Labor +Visit Charges -7000)',null,'76','76','2020-09-05 22:59:42','2020-09-05 22:59:42',null);
INSERT INTO complaint_statuses VALUES('2733','812','7','24','81','Visit Has been done On 03-9-2020, Reffer to SVC in Inlet Valve and Internal Pipe Damage ,
05-09-2020 Washing Machine Received in Service Center for Repairing.',null,'76','76','2020-09-05 23:21:16','2020-09-05 23:21:16',null);
INSERT INTO complaint_statuses VALUES('2734','846','7','24','81','Custmer ny call kar ky hamy bulana hy ya machin workshop chory gy .',null,'82','82','2020-09-05 23:23:46','2020-09-05 23:23:46',null);
INSERT INTO complaint_statuses VALUES('2735','333','7','10','81','Customer is not answering  our calls. we have tried several times 02:21',null,'76','76','2020-09-05 23:23:53','2020-09-05 23:23:53',null);
INSERT INTO complaint_statuses VALUES('2736','885','3',null,'52',null,'COMPLAIN#PKRI200905111591','73','73','2020-09-05 23:31:42','2020-09-06 02:20:56',null);
INSERT INTO complaint_statuses VALUES('2737','790','7','12','81','ISSUE RESOLVED AT HOME',null,'87','87','2020-09-05 23:35:17','2020-09-05 23:35:17',null);
INSERT INTO complaint_statuses VALUES('2738','758','7','22','81','cusotemr ki tarf technicain  shicks ly kr agye thy .mgr cusotemr bol rehy new shocks cahye werna na aye.',null,'79','79','2020-09-06 00:02:45','2020-09-06 00:02:45',null);
INSERT INTO complaint_statuses VALUES('2739','743','7','22','81','compressur issue .plz pick',null,'79','79','2020-09-06 00:05:49','2020-09-06 00:05:49',null);
INSERT INTO complaint_statuses VALUES('2740','886','2',null,'81',null,null,'73','73','2020-09-06 00:08:39','2020-09-06 00:08:39',null);
INSERT INTO complaint_statuses VALUES('2741','886','4',null,'55',null,null,'81','81','2020-09-06 00:12:56','2020-09-06 00:12:56',null);
INSERT INTO complaint_statuses VALUES('2742','884','4',null,'62',null,null,'81','81','2020-09-06 00:13:18','2020-09-06 00:13:18',null);
INSERT INTO complaint_statuses VALUES('2743','882','4',null,'61',null,null,'81','81','2020-09-06 00:13:29','2020-09-06 00:13:29',null);
INSERT INTO complaint_statuses VALUES('2744','848','7','22','81','customer  ny i 1 behj dya hai.visit nahi kia',null,'79','79','2020-09-06 00:21:08','2020-09-06 00:21:08',null);
INSERT INTO complaint_statuses VALUES('2745','23','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-06 00:28:19','2020-09-06 00:28:19',null);
INSERT INTO complaint_statuses VALUES('2746','887','3',null,'55',null,'FRWRD TO WAQAR KENWOOD','73','73','2020-09-06 00:34:53','2020-09-06 00:34:53',null);
INSERT INTO complaint_statuses VALUES('2747','888','3',null,'52',null,'COMPLAIN#PKRI200905111556','73','73','2020-09-06 00:39:39','2020-09-06 02:19:01',null);
INSERT INTO complaint_statuses VALUES('2748','889','3',null,'67',null,'FRWRD TO MUNAWAR CANON','73','73','2020-09-06 00:41:47','2020-09-06 00:41:47',null);
INSERT INTO complaint_statuses VALUES('2749','890','2',null,'81',null,'B.COOL','73','73','2020-09-06 00:47:59','2020-09-06 00:47:59',null);
INSERT INTO complaint_statuses VALUES('2750','890','4',null,'58',null,null,'81','81','2020-09-06 00:48:52','2020-09-06 00:48:52',null);
INSERT INTO complaint_statuses VALUES('2751','38','5',null,null,'NEW COMPLAINT GENERATED','COMPLAINT RESOLVED','73','74','2020-09-06 00:55:00','2020-09-12 20:16:05',null);
INSERT INTO complaint_statuses VALUES('2752','891','3',null,'54',null,'COMPLAIN#1723064','73','73','2020-09-06 00:58:50','2020-09-06 00:58:50',null);
INSERT INTO complaint_statuses VALUES('2753','50','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-06 01:01:05','2020-09-06 01:01:05',null);
INSERT INTO complaint_statuses VALUES('2754','892','3',null,'66',null,'FRWRD TO IMRAN AND MARIYAM TCL
new complain#88117','73','73','2020-09-06 01:04:42','2020-09-16 02:08:49',null);
INSERT INTO complaint_statuses VALUES('2755','893','2',null,'81',null,null,'73','73','2020-09-06 01:13:43','2020-10-05 21:48:52',null);
INSERT INTO complaint_statuses VALUES('2756','894','2',null,'81',null,'LG','73','73','2020-09-06 01:28:28','2020-09-06 01:28:28',null);
INSERT INTO complaint_statuses VALUES('2757','895','2',null,'81',null,'B.COOL','73','73','2020-09-06 01:30:55','2020-09-06 01:30:55',null);
INSERT INTO complaint_statuses VALUES('2758','896','2',null,'81',null,'CARE','73','73','2020-09-06 01:33:14','2020-09-06 01:33:14',null);
INSERT INTO complaint_statuses VALUES('2759','897','3',null,'52',null,'COMPLAIN#PKRI200905111531','73','73','2020-09-06 01:39:35','2020-09-06 02:16:37',null);
INSERT INTO complaint_statuses VALUES('2760','898','2',null,'81',null,'CARE','73','73','2020-09-06 01:42:52','2020-09-06 01:42:52',null);
INSERT INTO complaint_statuses VALUES('2761','899','2',null,'81',null,'H.SOLUTION','73','73','2020-09-06 01:49:18','2020-09-06 01:49:18',null);
INSERT INTO complaint_statuses VALUES('2762','900','2',null,'81',null,'H.SOLUTION','73','73','2020-09-06 01:52:22','2020-09-06 01:52:22',null);
INSERT INTO complaint_statuses VALUES('2763','901','2',null,'81',null,'GAS','73','73','2020-09-06 01:54:06','2020-09-06 01:54:06',null);
INSERT INTO complaint_statuses VALUES('2764','901','4',null,'63',null,'COMPLAINT CLOSED','81','74','2020-09-06 01:58:28','2020-09-10 01:11:29',null);
INSERT INTO complaint_statuses VALUES('2765','900','4',null,'62',null,null,'81','81','2020-09-06 01:58:40','2020-09-06 01:58:40',null);
INSERT INTO complaint_statuses VALUES('2766','899','4',null,'62',null,null,'81','81','2020-09-06 01:58:49','2020-09-06 01:58:49',null);
INSERT INTO complaint_statuses VALUES('2767','898','4',null,'60',null,null,'81','81','2020-09-06 01:58:59','2020-09-06 01:58:59',null);
INSERT INTO complaint_statuses VALUES('2768','896','4',null,'60',null,null,'81','81','2020-09-06 01:59:10','2020-09-06 01:59:10',null);
INSERT INTO complaint_statuses VALUES('2769','895','4',null,'58',null,null,'81','81','2020-09-06 01:59:21','2020-09-06 01:59:21',null);
INSERT INTO complaint_statuses VALUES('2770','894','4',null,'55',null,null,'81','81','2020-09-06 01:59:30','2020-09-06 01:59:30',null);
INSERT INTO complaint_statuses VALUES('2771','893','4',null,'63',null,'COMPLAINT RESOLVED','81','74','2020-09-06 01:59:42','2020-09-13 02:22:50',null);
INSERT INTO complaint_statuses VALUES('2772','141','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-06 02:00:35','2020-09-06 02:00:35',null);
INSERT INTO complaint_statuses VALUES('2773','142','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-06 02:02:44','2020-09-06 02:02:44',null);
INSERT INTO complaint_statuses VALUES('2774','884','7','22','81','GAS KIT',null,'87','87','2020-09-06 02:04:22','2020-09-06 02:04:22',null);
INSERT INTO complaint_statuses VALUES('2775','872','7','22','81','COMP',null,'87','87','2020-09-06 02:05:20','2020-09-06 02:05:20',null);
INSERT INTO complaint_statuses VALUES('2776','180','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-06 02:21:35','2020-09-06 02:21:35',null);
INSERT INTO complaint_statuses VALUES('2777','181','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-06 02:23:29','2020-09-06 02:23:29',null);
INSERT INTO complaint_statuses VALUES('2778','874','7','12','81','ISSUE RESOLVED AT HOME.',null,'87','87','2020-09-06 04:30:56','2020-09-06 04:30:56',null);
INSERT INTO complaint_statuses VALUES('2779','574','7','12','81','OUT FROM I-10',null,'87','87','2020-09-06 04:32:20','2020-09-06 04:32:20',null);
INSERT INTO complaint_statuses VALUES('2780','818','7','24','81','Visit done today 
Dust in panel ,  customer unit Monday ko service center bijway ga',null,'83','83','2020-09-06 05:05:28','2020-09-06 05:05:28',null);
INSERT INTO complaint_statuses VALUES('2781','816','7','12','81','magic remote defective   remote repair +  simple remote sold out to customer 
RS 2000 total exp 
unit at customer home  kindly close the job',null,'83','83','2020-09-06 05:07:52','2020-09-06 05:07:52',null);
INSERT INTO complaint_statuses VALUES('2782','696','7','12','81','VISIT DONE 
49RU7100  unit with customer .  panel damage not claimable in warrant 
RS 61000/- exp    customer not interested for repair 
 unit at customer home  kindly close job',null,'83','83','2020-09-06 05:10:51','2020-09-06 05:10:51',null);
INSERT INTO complaint_statuses VALUES('2783','902','2',null,'81',null,'H.SOLUTION','73','73','2020-09-06 19:25:11','2020-09-06 19:25:11',null);
INSERT INTO complaint_statuses VALUES('2784','903','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-09-06 19:29:32','2020-09-06 19:29:32',null);
INSERT INTO complaint_statuses VALUES('2785','904','3',null,'52',null,'COMPLAIN#PKRI200906106621','73','73','2020-09-06 19:52:23','2020-09-07 01:27:06',null);
INSERT INTO complaint_statuses VALUES('2786','902','4',null,'62',null,null,'81','81','2020-09-06 20:05:48','2020-09-06 20:05:48',null);
INSERT INTO complaint_statuses VALUES('2787','905','2',null,'81',null,'LG
other#03135256666','73','73','2020-09-06 20:13:40','2020-09-07 00:30:29',null);
INSERT INTO complaint_statuses VALUES('2788','906','3',null,'65',null,'COMPLAIN#71703136','73','73','2020-09-06 20:38:45','2020-09-07 01:16:42',null);
INSERT INTO complaint_statuses VALUES('2789','907','2',null,'81',null,'B.COOL','73','73','2020-09-06 20:40:53','2020-09-06 20:40:53',null);
INSERT INTO complaint_statuses VALUES('2790','908','2',null,'81',null,null,'73','73','2020-09-06 20:45:23','2020-09-06 20:45:23',null);
INSERT INTO complaint_statuses VALUES('2791','908','4',null,'62',null,null,'81','81','2020-09-06 20:46:24','2020-09-06 20:46:24',null);
INSERT INTO complaint_statuses VALUES('2792','907','4',null,'58',null,null,'81','81','2020-09-06 20:46:33','2020-09-06 20:46:33',null);
INSERT INTO complaint_statuses VALUES('2793','905','4',null,'55',null,'other#03135256666','81','73','2020-09-06 20:46:43','2020-09-07 00:30:35',null);
INSERT INTO complaint_statuses VALUES('2794','909','3',null,'52',null,'COMPLAIN#PKRI200906106601','73','73','2020-09-06 20:58:23','2020-09-07 01:24:56',null);
INSERT INTO complaint_statuses VALUES('2795','884','8','23','62','MODEL NO KI PICTURE MANGVAO',null,'81','81','2020-09-06 21:41:37','2020-09-06 21:41:37',null);
INSERT INTO complaint_statuses VALUES('2796','874','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-06 21:45:16','2020-09-07 21:02:51',null);
INSERT INTO complaint_statuses VALUES('2797','816','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-06 21:46:08','2020-09-08 01:22:18',null);
INSERT INTO complaint_statuses VALUES('2798','805','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-06 21:46:52','2020-09-07 21:44:01',null);
INSERT INTO complaint_statuses VALUES('2799','790','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-06 21:47:21','2020-09-07 22:01:41',null);
INSERT INTO complaint_statuses VALUES('2800','789','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-06 21:47:46','2020-09-07 22:04:20',null);
INSERT INTO complaint_statuses VALUES('2801','766','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-06 21:48:34','2020-09-08 01:24:39',null);
INSERT INTO complaint_statuses VALUES('2802','762','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-06 21:48:55','2020-09-08 01:25:55',null);
INSERT INTO complaint_statuses VALUES('2803','528','5','15',null,null,'CLOSE THE COMPLAINT','81','92','2020-09-06 21:50:02','2020-09-14 00:57:18',null);
INSERT INTO complaint_statuses VALUES('2804','540','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-06 21:50:40','2020-09-24 23:53:04',null);
INSERT INTO complaint_statuses VALUES('2805','574','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-06 21:51:42','2020-09-12 23:50:23',null);
INSERT INTO complaint_statuses VALUES('2806','603','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-06 21:53:55','2020-09-17 21:50:33',null);
INSERT INTO complaint_statuses VALUES('2807','655','8','23','55','PROBLEM NOT RESOLVE KINDLY MONDAY KO DUBARA VISET KARVAHEN',null,'81','81','2020-09-06 21:55:34','2020-09-06 21:55:34',null);
INSERT INTO complaint_statuses VALUES('2808','696','5','15',null,null,'PANAL DAMAGE HAIN EXP KI WAJ AS ACUSTOMER NA KHUD COMPLAINT CANCELLED KARWA DI SO COMPLAINT CLOSED','81','74','2020-09-06 21:56:13','2020-09-08 21:06:00',null);
INSERT INTO complaint_statuses VALUES('2809','707','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-06 21:56:54','2020-09-08 20:35:16',null);
INSERT INTO complaint_statuses VALUES('2810','716','5','15',null,null,null,'81','74','2020-09-06 21:57:33','2020-09-26 00:18:27',null);
INSERT INTO complaint_statuses VALUES('2811','706','5','27',null,null,'COMPLAINT CLOSED','81','74','2020-09-06 21:58:32','2020-09-08 21:25:18',null);
INSERT INTO complaint_statuses VALUES('2812','774','5','25',null,null,'COMPLAINT RESOLVED','81','74','2020-09-06 22:01:04','2020-09-07 22:40:10',null);
INSERT INTO complaint_statuses VALUES('2813','848','8','23','58',null,null,'81','81','2020-09-06 22:02:31','2020-09-06 22:02:31',null);
INSERT INTO complaint_statuses VALUES('2814','872','8','23','62',null,null,'81','81','2020-09-06 22:02:59','2020-09-06 22:02:59',null);
INSERT INTO complaint_statuses VALUES('2815','290','5',null,null,'COSTUMER NE CANCEL KARWA DI','COSTUMER NE CANCEL KARWA DI','73','74','2020-09-06 22:32:34','2020-09-13 20:53:34',null);
INSERT INTO complaint_statuses VALUES('2816','910','2',null,'81',null,'H.SOLUTION','73','73','2020-09-06 22:36:04','2020-09-06 22:36:04',null);
INSERT INTO complaint_statuses VALUES('2817','910','4',null,'62',null,null,'81','81','2020-09-06 22:36:23','2020-09-06 22:36:23',null);
INSERT INTO complaint_statuses VALUES('2818','911','3',null,'54',null,'COMPLAIN#1723697','73','73','2020-09-06 22:47:23','2020-09-07 01:21:37',null);
INSERT INTO complaint_statuses VALUES('2819','912','2',null,'81',null,'LG','73','73','2020-09-06 22:50:48','2020-09-06 22:50:48',null);
INSERT INTO complaint_statuses VALUES('2820','283','5',null,null,'CLOSED','COMPLAINT RESOLVED','73','92','2020-09-06 22:53:48','2020-09-23 21:42:06',null);
INSERT INTO complaint_statuses VALUES('2821','913','3',null,'65',null,'COMPLAIN#192017807.
NEW COMPLAINT#192018020','73','74','2020-09-06 23:05:05','2020-09-14 21:54:05',null);
INSERT INTO complaint_statuses VALUES('2822','914','2',null,'81',null,'LG','73','73','2020-09-06 23:11:39','2020-09-06 23:11:39',null);
INSERT INTO complaint_statuses VALUES('2823','915','2',null,'81',null,'B.COOL','73','73','2020-09-06 23:13:37','2020-09-06 23:13:37',null);
INSERT INTO complaint_statuses VALUES('2824','915','4',null,'58',null,null,'81','81','2020-09-06 23:14:09','2020-09-06 23:14:09',null);
INSERT INTO complaint_statuses VALUES('2825','914','4',null,'55',null,null,'81','81','2020-09-06 23:14:18','2020-09-06 23:14:18',null);
INSERT INTO complaint_statuses VALUES('2826','912','4',null,'55',null,null,'81','81','2020-09-06 23:14:26','2020-09-06 23:14:26',null);
INSERT INTO complaint_statuses VALUES('2827','916','2',null,'81',null,null,'73','73','2020-09-06 23:25:18','2020-09-06 23:25:18',null);
INSERT INTO complaint_statuses VALUES('2828','916','4',null,'62',null,null,'81','81','2020-09-06 23:25:52','2020-09-06 23:25:52',null);
INSERT INTO complaint_statuses VALUES('2829','842','8','23','60','Get the flow UP  company',null,'81','81','2020-09-06 23:33:07','2020-09-06 23:33:07',null);
INSERT INTO complaint_statuses VALUES('2830','837','8','23','62',null,null,'81','81','2020-09-06 23:33:43','2020-09-06 23:33:43',null);
INSERT INTO complaint_statuses VALUES('2831','818','8','23','61',null,null,'81','81','2020-09-06 23:34:35','2020-09-06 23:34:35',null);
INSERT INTO complaint_statuses VALUES('2832','812','8','23','55','Complete the job quickly',null,'81','81','2020-09-06 23:36:16','2020-09-06 23:36:16',null);
INSERT INTO complaint_statuses VALUES('2833','340','5',null,null,'RESOLVED','COMPLAINT RESOLVED','73','92','2020-09-06 23:37:07','2020-09-17 21:18:10',null);
INSERT INTO complaint_statuses VALUES('2834','728','8','23','60','Complete the job quickly',null,'81','81','2020-09-06 23:37:17','2020-09-06 23:37:17',null);
INSERT INTO complaint_statuses VALUES('2835','743','8','23','58','Complete the job quickly',null,'81','81','2020-09-06 23:37:51','2020-09-06 23:37:51',null);
INSERT INTO complaint_statuses VALUES('2836','354','5',null,null,'RESOLVED','COMPLAINT RESOLVED','73','92','2020-09-06 23:41:19','2020-09-16 00:13:41',null);
INSERT INTO complaint_statuses VALUES('2837','758','8','23','58','Complete the job quickly',null,'81','81','2020-09-06 23:49:59','2020-09-06 23:49:59',null);
INSERT INTO complaint_statuses VALUES('2838','846','8','23','60','Complete the job quickly',null,'81','81','2020-09-06 23:51:07','2020-09-06 23:51:07',null);
INSERT INTO complaint_statuses VALUES('2839','353','5',null,null,'RESOLVED','COMPLAINT RESOLVED','73','74','2020-09-07 00:08:40','2020-09-12 20:10:17',null);
INSERT INTO complaint_statuses VALUES('2840','880','8','13','61','BIJHWA DI HA',null,'81','81','2020-09-07 00:12:33','2020-09-07 00:12:33',null);
INSERT INTO complaint_statuses VALUES('2841','832','8','13','55','SAleman ko kaha ha altermate number ka...',null,'81','81','2020-09-07 00:13:10','2020-09-07 00:13:10',null);
INSERT INTO complaint_statuses VALUES('2842','794','8','13','55','SAleman ko kaha ha altermate number ka...',null,'81','81','2020-09-07 00:13:32','2020-09-07 00:13:32',null);
INSERT INTO complaint_statuses VALUES('2843','333','8','13','55','SAleman ko kaha ha altermate number ka...',null,'81','81','2020-09-07 00:13:48','2020-09-07 00:13:48',null);
INSERT INTO complaint_statuses VALUES('2844','372','5',null,null,'cancel by costumer','COMPLAINT RESOLVED','73','92','2020-09-07 00:16:36','2020-09-16 00:00:55',null);
INSERT INTO complaint_statuses VALUES('2845','415','5',null,null,'bd mein inform kr dein gy','COMPLAINT RESOLVED','73','74','2020-09-07 00:22:57','2020-09-13 00:33:18',null);
INSERT INTO complaint_statuses VALUES('2846','917','2',null,'81',null,'GAS','73','73','2020-09-07 00:40:34','2020-09-07 00:40:34',null);
INSERT INTO complaint_statuses VALUES('2847','917','4',null,'63',null,null,'81','81','2020-09-07 00:40:55','2020-09-07 00:40:55',null);
INSERT INTO complaint_statuses VALUES('2848','918','2',null,'81',null,null,'73','73','2020-09-07 00:43:18','2020-09-07 00:43:18',null);
INSERT INTO complaint_statuses VALUES('2849','918','4',null,'62',null,null,'81','81','2020-09-07 00:43:55','2020-09-07 00:43:55',null);
INSERT INTO complaint_statuses VALUES('2850','919','3',null,'53',null,'WASHING MACHINE BOSCH. .
FRWRD TO AMNA BOSCH','73','73','2020-09-07 00:53:59','2020-09-07 00:53:59',null);
INSERT INTO complaint_statuses VALUES('2851','431','5',null,null,'RESOLVED','COMPLAINT RESOLVED','73','92','2020-09-07 01:50:25','2020-09-17 21:36:13',null);
INSERT INTO complaint_statuses VALUES('2852','830','7','12','81','inlet coil  coil change',null,'79','79','2020-09-07 03:47:00','2020-09-07 03:47:00',null);
INSERT INTO complaint_statuses VALUES('2853','895','7','12','81','customer cancel the compliant',null,'79','79','2020-09-07 03:47:46','2020-09-07 03:47:46',null);
INSERT INTO complaint_statuses VALUES('2854','890','7','24','81','refer to service cneter best cool lykr aye hai khurram sb sy bt ho gai thi.shfting ki waja sy is work shop pe aye hai',null,'79','79','2020-09-07 03:49:00','2020-09-07 03:49:00',null);
INSERT INTO complaint_statuses VALUES('2855','837','7','12','81','Issue resolved at home',null,'87','87','2020-09-07 18:28:12','2020-09-07 18:28:12',null);
INSERT INTO complaint_statuses VALUES('2856','884','7','26','81','Frwd to company',null,'87','87','2020-09-07 18:30:01','2020-09-07 18:30:01',null);
INSERT INTO complaint_statuses VALUES('2857','900','7','12','81','Issue resolved at home',null,'87','87','2020-09-07 18:30:34','2020-09-07 18:30:34',null);
INSERT INTO complaint_statuses VALUES('2858','898','7','24','81',null,null,'82','82','2020-09-07 19:17:16','2020-09-07 19:17:16',null);
INSERT INTO complaint_statuses VALUES('2859','896','7','24','81',null,null,'82','82','2020-09-07 19:18:54','2020-09-07 19:18:54',null);
INSERT INTO complaint_statuses VALUES('2860','920','3',null,'56',null,'COMPLAIN#I07/045','73','73','2020-09-07 19:37:41','2020-09-08 02:30:12',null);
INSERT INTO complaint_statuses VALUES('2861','921','3',null,'54',null,'COMPLAIN#1724722','73','73','2020-09-07 19:39:47','2020-09-08 02:16:14',null);
INSERT INTO complaint_statuses VALUES('2862','922','3',null,'52',null,'COMPLAIN#PKRI200907113176','73','73','2020-09-07 19:54:01','2020-09-08 02:48:32',null);
INSERT INTO complaint_statuses VALUES('2863','923','2',null,'81',null,'H.SOLUTION','73','73','2020-09-07 19:57:07','2020-09-07 19:57:07',null);
INSERT INTO complaint_statuses VALUES('2864','924','2',null,'81',null,'KHALID','73','73','2020-09-07 20:01:20','2020-09-07 20:01:20',null);
INSERT INTO complaint_statuses VALUES('2865','925','3',null,'53',null,'COMPLAIN#1041581','73','73','2020-09-07 20:04:25','2020-09-07 20:09:05',null);
INSERT INTO complaint_statuses VALUES('2866','924','4',null,'56',null,null,'81','81','2020-09-07 20:05:42','2020-09-07 20:05:42',null);
INSERT INTO complaint_statuses VALUES('2867','923','4',null,'62',null,null,'81','81','2020-09-07 20:05:53','2020-09-07 20:05:53',null);
INSERT INTO complaint_statuses VALUES('2868','87','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-07 20:06:32','2020-09-07 20:06:32',null);
INSERT INTO complaint_statuses VALUES('2869','771','7','12','81','پی سی بی repering',null,'82','82','2020-09-07 20:31:37','2020-09-07 20:31:37',null);
INSERT INTO complaint_statuses VALUES('2870','728','7','24','81','فریزر i10 phoncha dia hy',null,'82','82','2020-09-07 20:33:02','2020-09-07 20:33:02',null);
INSERT INTO complaint_statuses VALUES('2871','656','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-07 20:44:09','2020-09-07 20:44:09',null);
INSERT INTO complaint_statuses VALUES('2872','926','3',null,'57',null,'COMPLAIN#13288','73','73','2020-09-07 20:56:59','2020-09-08 02:34:40',null);
INSERT INTO complaint_statuses VALUES('2873','927','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-09-07 20:57:01','2020-09-08 02:01:33',null);
INSERT INTO complaint_statuses VALUES('2874','928','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-09-07 20:57:03','2020-09-08 02:01:20',null);
INSERT INTO complaint_statuses VALUES('2875','929','3',null,'52',null,'COMPLAIN#PKRI200907113132','73','73','2020-09-07 21:05:35','2020-09-08 02:45:23',null);
INSERT INTO complaint_statuses VALUES('2876','108','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-07 21:11:21','2020-09-07 21:11:21',null);
INSERT INTO complaint_statuses VALUES('2877','717','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-07 21:13:14','2020-09-07 21:13:14',null);
INSERT INTO complaint_statuses VALUES('2878','930','3',null,'52',null,'COMPLAIN#PKRI200907113087','73','73','2020-09-07 21:17:35','2020-09-08 02:43:01',null);
INSERT INTO complaint_statuses VALUES('2879','931','3',null,'63',null,'COMPLAIN#2007
FRWRD TO KHURRAM 5STAR','73','73','2020-09-07 21:20:10','2020-09-08 02:00:21',null);
INSERT INTO complaint_statuses VALUES('2880','649','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-07 21:32:24','2020-09-07 21:32:24',null);
INSERT INTO complaint_statuses VALUES('2881','932','2',null,'81',null,'LG','73','73','2020-09-07 21:34:38','2020-09-07 21:34:38',null);
INSERT INTO complaint_statuses VALUES('2882','932','4',null,'55',null,null,'81','81','2020-09-07 21:35:15','2020-09-07 21:35:15',null);
INSERT INTO complaint_statuses VALUES('2883','728','8','23','60',null,null,'81','81','2020-09-07 21:38:04','2020-09-07 21:38:04',null);
INSERT INTO complaint_statuses VALUES('2884','771','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-07 21:38:47','2020-09-07 22:41:47',null);
INSERT INTO complaint_statuses VALUES('2885','830','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-07 21:39:13','2020-09-07 21:43:28',null);
INSERT INTO complaint_statuses VALUES('2886','837','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-07 21:39:45','2020-09-07 22:34:20',null);
INSERT INTO complaint_statuses VALUES('2887','933','2',null,'81',null,'LG','73','73','2020-09-07 21:40:59','2020-09-07 21:40:59',null);
INSERT INTO complaint_statuses VALUES('2888','895','5','15',null,null,'CUSTOMER NA COMPLAINT KHUD CANCEL KARWA DI HAIN','81','74','2020-09-07 21:42:56','2020-09-07 21:48:24',null);
INSERT INTO complaint_statuses VALUES('2889','900','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-07 21:43:22','2020-09-07 22:37:07',null);
INSERT INTO complaint_statuses VALUES('2890','884','8','23','62','MODEL NO KI PICTURE SEND KAREN','CASTOMAR OUT OF CITY HAY JAB WAPAS AY GAY TO CONTACT KARAY GAY COMPLAINT USMAN MRM KO FF HO GEI/ NEW TASK#2002','81','74','2020-09-07 21:44:46','2020-10-27 02:01:23',null);
INSERT INTO complaint_statuses VALUES('2891','898','8','23','60','Explain the problem',null,'81','81','2020-09-07 21:47:18','2020-09-07 21:47:18',null);
INSERT INTO complaint_statuses VALUES('2892','890','8','23','58','Explain the problem',null,'81','81','2020-09-07 21:48:06','2020-09-07 21:48:06',null);
INSERT INTO complaint_statuses VALUES('2893','896','8','23','60','Explain the problem',null,'81','81','2020-09-07 21:48:46','2020-09-07 21:48:46',null);
INSERT INTO complaint_statuses VALUES('2894','801','8','23','62','PLEASE SEND ME HANDEL PICTURE',null,'81','81','2020-09-07 21:52:49','2020-09-07 21:52:49',null);
INSERT INTO complaint_statuses VALUES('2895','923','7','22','81','PCB CARD',null,'87','87','2020-09-07 21:52:53','2020-09-07 21:52:53',null);
INSERT INTO complaint_statuses VALUES('2896','923','8','23','62',null,null,'81','81','2020-09-07 21:53:54','2020-09-07 21:53:54',null);
INSERT INTO complaint_statuses VALUES('2897','934','2',null,'81',null,'CARE','73','73','2020-09-07 22:01:02','2020-09-07 22:01:02',null);
INSERT INTO complaint_statuses VALUES('2898','935','3',null,'62',null,'NEED TO BE REPLACED . . APPPROVED BY SADDIQ SB AND YAWAR','73','73','2020-09-07 22:04:00','2020-09-07 22:04:00',null);
INSERT INTO complaint_statuses VALUES('2899','936','2',null,'81',null,'KHALID','73','73','2020-09-07 22:05:41','2020-09-07 22:05:41',null);
INSERT INTO complaint_statuses VALUES('2900','937','2',null,'81',null,'07- 09-2020
FF TO SHAMIM AKHTER','74','74','2020-09-07 22:08:43','2020-09-07 22:08:43',null);
INSERT INTO complaint_statuses VALUES('2901','723','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-07 22:10:56','2020-09-07 22:10:56',null);
INSERT INTO complaint_statuses VALUES('2902','720','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-07 22:12:27','2020-09-07 22:12:27',null);
INSERT INTO complaint_statuses VALUES('2903','938','3',null,'52',null,'COMPLAIN#PKRI200907113042','73','73','2020-09-07 22:26:36','2020-09-08 02:40:27',null);
INSERT INTO complaint_statuses VALUES('2904','939','3',null,'54',null,'COMPLAIN#1724726','73','73','2020-09-07 22:33:08','2020-09-08 02:19:14',null);
INSERT INTO complaint_statuses VALUES('2905','940','3',null,'54',null,'COMPLAIN#1724739','73','73','2020-09-07 22:35:51','2020-09-08 02:24:57',null);
INSERT INTO complaint_statuses VALUES('2906','941','2',null,'81',null,'B.COOL','73','73','2020-09-07 22:37:39','2020-09-07 22:37:39',null);
INSERT INTO complaint_statuses VALUES('2907','942','2',null,'81',null,'GAS','73','73','2020-09-07 22:43:58','2020-09-07 22:43:58',null);
INSERT INTO complaint_statuses VALUES('2908','942','4',null,'63',null,null,'81','81','2020-09-07 22:44:39','2020-09-07 22:44:39',null);
INSERT INTO complaint_statuses VALUES('2909','941','4',null,'58',null,null,'81','81','2020-09-07 22:44:48','2020-09-07 22:44:48',null);
INSERT INTO complaint_statuses VALUES('2910','937','4',null,'55',null,null,'81','81','2020-09-07 22:45:44','2020-09-07 22:45:44',null);
INSERT INTO complaint_statuses VALUES('2911','936','4',null,'56',null,null,'81','81','2020-09-07 22:45:53','2020-09-07 22:45:53',null);
INSERT INTO complaint_statuses VALUES('2912','934','4',null,'60',null,null,'81','81','2020-09-07 22:46:09','2020-09-07 22:46:09',null);
INSERT INTO complaint_statuses VALUES('2913','933','4',null,'55',null,null,'81','81','2020-09-07 22:46:23','2020-09-07 22:46:23',null);
INSERT INTO complaint_statuses VALUES('2914','722','7','12','81','Customer ko settings guide kr di thi  . customer ny confirm krna tha   but  call kr raha hoon attend nahi kr rhy  

app call kr k try kr lain','CUSTOMER KA ISSUE CALL PA RESOLVED NAI HAO USMAN MRM KOTASK # WHATS APP KAR DIA','83','74','2020-09-07 22:53:30','2020-09-07 23:07:11',null);
INSERT INTO complaint_statuses VALUES('2915','899','7','24','81','JB CALL KRON TB ANA BY CUSTOMER',null,'87','87','2020-09-07 22:53:33','2020-09-07 22:53:33',null);
INSERT INTO complaint_statuses VALUES('2916','899','8','23','62',null,null,'81','81','2020-09-07 22:59:04','2020-09-07 22:59:04',null);
INSERT INTO complaint_statuses VALUES('2917','943','3',null,'56',null,'COMPLAIN#I07/044','73','73','2020-09-07 23:13:27','2020-09-08 02:28:00',null);
INSERT INTO complaint_statuses VALUES('2918','896','7','24','81','منگل کو جانا ہے',null,'82','82','2020-09-07 23:16:39','2020-09-07 23:16:39',null);
INSERT INTO complaint_statuses VALUES('2919','463','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-07 23:25:29','2020-09-07 23:25:29',null);
INSERT INTO complaint_statuses VALUES('2920','733','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-07 23:35:18','2020-09-07 23:35:18',null);
INSERT INTO complaint_statuses VALUES('2921','896','8','23','60',null,null,'81','81','2020-09-07 23:38:33','2020-09-07 23:38:33',null);
INSERT INTO complaint_statuses VALUES('2922','722','8','23','61','03002069693 THIS IS ACTIVE NUMBER ,PLEASE CALL THIS NUMBER','COSTUMER CALL ATTEND NAI KRRY. . USMAN SB NE KAHA HA K UAN NUMBER PE LAUNCH KARWA DEIN. . SEERIAL NUMBER K LYE CALL KRRY LEKIN COSTUMER CALL ATTEND NAI KRRY','81','73','2020-09-07 23:41:30','2020-09-09 02:49:12',null);
INSERT INTO complaint_statuses VALUES('2923','711','7','12','81','only services. 
Note there was two units in same fault. Both are ok.same model.',null,'77','77','2020-09-08 00:41:29','2020-09-08 00:41:29',null);
INSERT INTO complaint_statuses VALUES('2924','737','7','12','81','Only services. Unit ok',null,'77','77','2020-09-08 00:44:21','2020-09-08 00:44:21',null);
INSERT INTO complaint_statuses VALUES('2925','934','7','12','81','job complite no issue',null,'82','82','2020-09-08 00:46:52','2020-09-08 00:46:52',null);
INSERT INTO complaint_statuses VALUES('2926','944','2',null,'81',null,'LG','73','73','2020-09-08 00:54:24','2020-09-08 00:54:24',null);
INSERT INTO complaint_statuses VALUES('2927','945','3',null,'56',null,'FRWRD TO AMNA BOSCH','73','73','2020-09-08 00:57:49','2020-09-08 00:57:49',null);
INSERT INTO complaint_statuses VALUES('2928','946','3',null,'53',null,'COMPLAINT#1042178','73','74','2020-09-08 01:02:07','2020-09-08 02:45:44',null);
INSERT INTO complaint_statuses VALUES('2929','947','3',null,'53',null,'COMPLAINT#1042176','73','74','2020-09-08 01:03:59','2020-09-08 02:41:20',null);
INSERT INTO complaint_statuses VALUES('2930','948','3',null,'53',null,'COMPLAINT# 1042175','73','74','2020-09-08 01:05:28','2020-09-08 02:37:19',null);
INSERT INTO complaint_statuses VALUES('2931','870','7','11','81',null,null,'77','77','2020-09-08 01:05:52','2020-09-08 01:05:52',null);
INSERT INTO complaint_statuses VALUES('2932','949','2',null,'81',null,'H.SOLUTION','73','73','2020-09-08 01:07:06','2020-09-08 01:07:06',null);
INSERT INTO complaint_statuses VALUES('2933','950','3',null,'53',null,'COMPLAINT#1042173','73','74','2020-09-08 01:09:33','2020-09-08 02:32:44',null);
INSERT INTO complaint_statuses VALUES('2934','951','2',null,'81',null,'H.SOLUTION','73','73','2020-09-08 01:13:45','2020-09-08 01:13:45',null);
INSERT INTO complaint_statuses VALUES('2935','952','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-09-08 01:16:00','2020-09-08 01:16:00',null);
INSERT INTO complaint_statuses VALUES('2936','953','3',null,'59',null,'COMPLAIN#4237358137','73','73','2020-09-08 01:23:49','2020-09-08 02:58:10',null);
INSERT INTO complaint_statuses VALUES('2937','954','2',null,'81',null,'CARE','73','73','2020-09-08 01:34:26','2020-09-08 01:34:26',null);
INSERT INTO complaint_statuses VALUES('2938','954','4',null,'60',null,null,'81','81','2020-09-08 01:39:54','2020-09-08 01:39:54',null);
INSERT INTO complaint_statuses VALUES('2939','951','4',null,'62',null,null,'81','81','2020-09-08 01:40:05','2020-09-08 01:40:05',null);
INSERT INTO complaint_statuses VALUES('2940','949','4',null,'62',null,null,'81','81','2020-09-08 01:40:14','2020-09-08 01:40:14',null);
INSERT INTO complaint_statuses VALUES('2941','944','4',null,'55',null,null,'81','81','2020-09-08 01:40:24','2020-09-08 01:40:24',null);
INSERT INTO complaint_statuses VALUES('2942','746','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-08 01:45:46','2020-09-08 01:45:46',null);
INSERT INTO complaint_statuses VALUES('2943','955','2',null,'81',null,'CARE','73','73','2020-09-08 02:07:45','2020-09-08 02:07:45',null);
INSERT INTO complaint_statuses VALUES('2944','955','4',null,'60',null,null,'81','81','2020-09-08 02:09:32','2020-09-08 02:09:32',null);
INSERT INTO complaint_statuses VALUES('2945','910','7','12','81','ISSUE RESOLVED AT HOME',null,'87','87','2020-09-08 02:35:26','2020-09-08 02:35:26',null);
INSERT INTO complaint_statuses VALUES('2946','902','7','12','81','TAB REP',null,'87','87','2020-09-08 03:18:09','2020-09-08 03:18:09',null);
INSERT INTO complaint_statuses VALUES('2947','886','7','12','81','As per Customer 's Statement , Problem has been solved no need of visit.',null,'76','76','2020-09-08 03:22:11','2020-09-08 03:22:11',null);
INSERT INTO complaint_statuses VALUES('2948','852','7','22','81','PCB in SVC for Repairing.',null,'76','76','2020-09-08 03:24:34','2020-09-08 03:24:34',null);
INSERT INTO complaint_statuses VALUES('2949','849','7','12','81','Power Board Problem,No Fault in Product.',null,'76','76','2020-09-08 04:03:40','2020-09-08 04:03:40',null);
INSERT INTO complaint_statuses VALUES('2950','855','7','24','81','Under Repaire in SVC (05-09-2020)',null,'76','76','2020-09-08 04:06:33','2020-09-08 04:06:33',null);
INSERT INTO complaint_statuses VALUES('2951','857','7','24','81','First Visit Done , Issue not Resolved , Second Visit Require',null,'76','76','2020-09-08 04:08:21','2020-09-08 04:08:21',null);
INSERT INTO complaint_statuses VALUES('2952','773','7','12','81','Dishwasher Deliver back to Customer after Repairing With 0 Charges.',null,'76','76','2020-09-08 04:09:47','2020-09-08 04:09:47',null);
INSERT INTO complaint_statuses VALUES('2953','655','7','12','81','complaint complete',null,'76','76','2020-09-08 04:17:55','2020-09-08 04:17:55',null);
INSERT INTO complaint_statuses VALUES('2954','655','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-08 04:18:38','2020-09-14 02:04:54',null);
INSERT INTO complaint_statuses VALUES('2955','898','7','12','81','job complite pipe seting',null,'82','82','2020-09-08 04:31:08','2020-09-08 04:31:08',null);
INSERT INTO complaint_statuses VALUES('2956','956','2',null,'81',null,'KHALID','73','73','2020-09-08 19:26:32','2020-09-08 19:26:32',null);
INSERT INTO complaint_statuses VALUES('2957','912','7','26','81','Drain Pipe Adjustment by Customer , no need of visit.',null,'76','76','2020-09-08 19:32:26','2020-09-08 19:32:26',null);
INSERT INTO complaint_statuses VALUES('2958','750','5',null,null,'complaint closed',null,'74','74','2020-09-08 19:56:27','2020-09-08 19:56:27',null);
INSERT INTO complaint_statuses VALUES('2959','753','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-08 19:59:43','2020-09-08 19:59:43',null);
INSERT INTO complaint_statuses VALUES('2960','957','2',null,'81',null,'H.SOLUTION','73','73','2020-09-08 20:04:43','2020-09-08 20:04:43',null);
INSERT INTO complaint_statuses VALUES('2961','958','3',null,'54',null,'COMPLAIN#1725770','73','73','2020-09-08 20:07:07','2020-09-09 02:25:42',null);
INSERT INTO complaint_statuses VALUES('2962','959','3',null,'52',null,'COMPLAIN#PKRI200908112547','73','73','2020-09-08 20:14:07','2020-09-09 02:54:08',null);
INSERT INTO complaint_statuses VALUES('2963','960','3',null,'53',null,'complain#301042865','73','73','2020-09-08 20:17:14','2020-09-09 18:26:11',null);
INSERT INTO complaint_statuses VALUES('2964','908','7','12','81','ISSUE RESOLVED AT HOME',null,'87','87','2020-09-08 20:19:04','2020-09-08 20:19:04',null);
INSERT INTO complaint_statuses VALUES('2965','5','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-08 20:20:28','2020-09-08 20:20:28',null);
INSERT INTO complaint_statuses VALUES('2966','899','7','12','81','ISSUE RESOLVED .. JUST ELECTRICITY KA ISSUE THA',null,'87','87','2020-09-08 20:22:54','2020-09-08 20:22:54',null);
INSERT INTO complaint_statuses VALUES('2967','907','7','12','81','NO  ISSUE IN WM',null,'79','79','2020-09-08 20:26:50','2020-09-08 20:26:50',null);
INSERT INTO complaint_statuses VALUES('2968','957','4',null,'62',null,null,'81','81','2020-09-08 20:28:36','2020-09-08 20:28:36',null);
INSERT INTO complaint_statuses VALUES('2969','956','4',null,'56',null,null,'81','81','2020-09-08 20:28:47','2020-09-08 20:28:47',null);
INSERT INTO complaint_statuses VALUES('2970','882','7','12','81','Unit Ok  frige temperature testedok.
 3-4 degree in compartment and  -3 from duct-cover air .   also demonstrate the by temperature meter to customer 
kindly proceed to close it',null,'83','83','2020-09-08 20:32:42','2020-09-08 20:32:42',null);
INSERT INTO complaint_statuses VALUES('2971','961','2',null,'81',null,'B.COOL','73','73','2020-09-08 20:35:24','2020-09-08 20:35:24',null);
INSERT INTO complaint_statuses VALUES('2972','961','4',null,'58',null,'COSTUMER KO CALL KI THI COSTUMER NE ATTEND NAI NEXT DAY ATTEND HOGI','81','73','2020-09-08 20:35:44','2020-09-09 21:06:07',null);
INSERT INTO complaint_statuses VALUES('2973','761','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-08 20:37:41','2020-09-08 20:37:41',null);
INSERT INTO complaint_statuses VALUES('2974','760','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-08 20:39:24','2020-09-08 20:39:24',null);
INSERT INTO complaint_statuses VALUES('2975','835','7','24','81','Customer unit service center ly k ay ga.
warranty card  & invoice nahi ha customer k pass  plz confirm warranty main ha unit?',null,'83','83','2020-09-08 20:41:01','2020-09-08 20:41:01',null);
INSERT INTO complaint_statuses VALUES('2976','756','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-08 20:43:41','2020-09-08 20:43:41',null);
INSERT INTO complaint_statuses VALUES('2977','962','2',null,'81',null,'B.COOL','73','73','2020-09-08 20:46:22','2020-09-08 20:46:22',null);
INSERT INTO complaint_statuses VALUES('2978','962','4',null,'58',null,null,'81','81','2020-09-08 20:46:50','2020-09-08 20:46:50',null);
INSERT INTO complaint_statuses VALUES('2979','963','3',null,'53',null,'COMPLAINT RESOLVED','73','74','2020-09-08 20:52:54','2020-09-13 02:17:52',null);
INSERT INTO complaint_statuses VALUES('2980','964','3',null,'65',null,'COMPLAIN#192017868','73','73','2020-09-08 21:11:33','2020-09-09 02:31:04',null);
INSERT INTO complaint_statuses VALUES('2981','965','2',null,'81',null,'27-08-2020
FF TO B.COOL','74','74','2020-09-08 21:13:26','2020-09-08 21:14:26',null);
INSERT INTO complaint_statuses VALUES('2982','965','4',null,'58',null,null,'81','81','2020-09-08 21:16:36','2020-09-08 21:16:36',null);
INSERT INTO complaint_statuses VALUES('2983','965','4',null,'58',null,null,'81','81','2020-09-08 21:16:36','2020-09-08 21:16:36',null);
INSERT INTO complaint_statuses VALUES('2984','966','2',null,'81',null,null,'73','73','2020-09-08 21:21:24','2020-09-08 21:21:24',null);
INSERT INTO complaint_statuses VALUES('2985','949','7','12','81','ISSUE RESOLVED AT HOME . .',null,'87','87','2020-09-08 21:36:11','2020-09-08 21:36:11',null);
INSERT INTO complaint_statuses VALUES('2986','765','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-08 21:38:39','2020-09-08 21:38:39',null);
INSERT INTO complaint_statuses VALUES('2987','764','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-08 21:40:04','2020-09-08 21:40:04',null);
INSERT INTO complaint_statuses VALUES('2988','967','2',null,'81',null,'MRM','73','73','2020-09-08 21:44:12','2020-09-08 21:44:12',null);
INSERT INTO complaint_statuses VALUES('2989','968','2',null,'81',null,'ADIL','73','73','2020-09-08 21:58:59','2020-09-08 21:58:59',null);
INSERT INTO complaint_statuses VALUES('2990','130','7','20','81','pcb purchased from i.10 serevice........4500
costmer chrgs ...6000
aaj cosmer lay jain ghy',null,'82','82','2020-09-08 22:01:52','2020-09-08 22:01:52',null);
INSERT INTO complaint_statuses VALUES('2991','969','2',null,'81',null,'AGR NUMBER NA MILY TO KINDLY MSG KR DIJYE GA','73','73','2020-09-08 22:15:16','2020-09-08 22:15:16',null);
INSERT INTO complaint_statuses VALUES('2992','970','2',null,'81',null,'H.SOLUTION','73','73','2020-09-08 22:19:33','2020-09-08 22:19:33',null);
INSERT INTO complaint_statuses VALUES('2993','971','3',null,'52',null,'Complain#PKRI200909100955','73','73','2020-09-08 22:23:23','2020-09-09 18:44:53',null);
INSERT INTO complaint_statuses VALUES('2994','972','2',null,'81',null,'H.SOLUTION','73','73','2020-09-08 22:30:16','2020-09-08 22:30:16',null);
INSERT INTO complaint_statuses VALUES('2995','973','3',null,'57',null,'COMPLAIN#1313310','73','73','2020-09-08 22:30:24','2020-09-09 02:34:30',null);
INSERT INTO complaint_statuses VALUES('2996','974','2',null,'81',null,'KHALID','73','73','2020-09-08 22:33:10','2020-09-08 22:33:10',null);
INSERT INTO complaint_statuses VALUES('2997','770','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-08 22:34:20','2020-09-08 22:34:20',null);
INSERT INTO complaint_statuses VALUES('2998','975','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-09-08 22:36:00','2020-09-08 22:36:00',null);
INSERT INTO complaint_statuses VALUES('2999','769','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-08 22:42:48','2020-09-08 22:42:48',null);
INSERT INTO complaint_statuses VALUES('3000','949','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-08 23:05:27','2020-09-09 19:58:14',null);
INSERT INTO complaint_statuses VALUES('3001','934','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-08 23:05:55','2020-09-14 20:05:33',null);
INSERT INTO complaint_statuses VALUES('3002','912','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-09-08 23:06:35','2020-09-14 20:39:08',null);
INSERT INTO complaint_statuses VALUES('3003','910','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-08 23:07:12','2020-09-14 20:43:43',null);
INSERT INTO complaint_statuses VALUES('3004','768','7','26','81','customer na complaint cancelled karwa di complaint closed',null,'88','88','2020-09-08 23:07:18','2020-09-08 23:07:18',null);
INSERT INTO complaint_statuses VALUES('3005','711','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-08 23:11:49','2020-09-09 21:55:02',null);
INSERT INTO complaint_statuses VALUES('3006','737','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-08 23:12:27','2020-09-13 01:24:46',null);
INSERT INTO complaint_statuses VALUES('3007','908','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-08 23:12:54','2020-09-14 20:41:31',null);
INSERT INTO complaint_statuses VALUES('3008','103','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-08 23:13:13','2020-09-08 23:13:13',null);
INSERT INTO complaint_statuses VALUES('3009','773','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-08 23:13:38','2020-09-15 21:22:06',null);
INSERT INTO complaint_statuses VALUES('3010','907','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-08 23:14:12','2020-09-16 01:20:27',null);
INSERT INTO complaint_statuses VALUES('3011','902','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-08 23:14:30','2020-09-15 20:39:32',null);
INSERT INTO complaint_statuses VALUES('3012','899','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-08 23:14:59','2020-09-15 20:41:19',null);
INSERT INTO complaint_statuses VALUES('3013','898','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-08 23:15:26','2020-09-15 20:45:10',null);
INSERT INTO complaint_statuses VALUES('3014','886','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-08 23:15:58','2020-09-15 20:47:16',null);
INSERT INTO complaint_statuses VALUES('3015','882','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-08 23:16:45','2020-09-22 23:22:46',null);
INSERT INTO complaint_statuses VALUES('3016','857','8','23','55',null,null,'81','81','2020-09-08 23:17:14','2020-09-08 23:17:14',null);
INSERT INTO complaint_statuses VALUES('3017','976','3',null,'52',null,'Complain#PKRI200909100892','73','73','2020-09-08 23:17:28','2020-09-09 18:45:03',null);
INSERT INTO complaint_statuses VALUES('3018','916','7','24','81','SUNDAY  KO ANA BY CUSTOMER',null,'87','87','2020-09-08 23:21:37','2020-09-08 23:21:37',null);
INSERT INTO complaint_statuses VALUES('3019','849','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-08 23:25:40','2020-09-16 00:10:08',null);
INSERT INTO complaint_statuses VALUES('3020','768','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-09-08 23:26:12','2020-09-15 21:24:25',null);
INSERT INTO complaint_statuses VALUES('3021','130','8','23','60','JAB COSTUMER OVEN LAY JAHE TO COMPLETE KAREN',null,'81','81','2020-09-08 23:27:32','2020-09-08 23:27:32',null);
INSERT INTO complaint_statuses VALUES('3022','916','8','23','62',null,null,'81','81','2020-09-08 23:28:00','2020-09-08 23:28:00',null);
INSERT INTO complaint_statuses VALUES('3023','855','8','23','55','PLEASE JOB COMPLETE QUICKLY',null,'81','81','2020-09-08 23:30:11','2020-09-08 23:30:11',null);
INSERT INTO complaint_statuses VALUES('3024','852','8','23','55','PLEASE JOB COMPLETE QUICKLY',null,'81','81','2020-09-08 23:30:45','2020-09-08 23:30:45',null);
INSERT INTO complaint_statuses VALUES('3025','422','7','24','81','Washing Machine is Ready, But Customer Not Home, she Will Inform about  delivery time.',null,'76','76','2020-09-08 23:37:18','2020-09-08 23:37:18',null);
INSERT INTO complaint_statuses VALUES('3026','977','3',null,'52',null,'Complain#PKRI200909100843','73','73','2020-09-08 23:50:22','2020-09-09 18:45:10',null);
INSERT INTO complaint_statuses VALUES('3027','914','7','26','81','Issue Resolved By Customer , no need of visit , she will inform if she face problem again.',null,'76','76','2020-09-08 23:52:03','2020-09-08 23:52:03',null);
INSERT INTO complaint_statuses VALUES('3028','138','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-08 23:52:30','2020-09-08 23:52:30',null);
INSERT INTO complaint_statuses VALUES('3029','978','3',null,'52',null,'complain#PKRI200909100804','73','73','2020-09-09 00:10:05','2020-09-09 18:37:33',null);
INSERT INTO complaint_statuses VALUES('3030','811','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 00:13:16','2020-09-09 00:13:16',null);
INSERT INTO complaint_statuses VALUES('3031','979','2',null,'81',null,'LG','73','73','2020-09-09 00:30:48','2020-09-09 00:30:48',null);
INSERT INTO complaint_statuses VALUES('3032','861','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 00:32:41','2020-09-09 00:32:41',null);
INSERT INTO complaint_statuses VALUES('3033','923','7','12','81','ISSUE RESOLVED AT HOME',null,'87','87','2020-09-09 00:33:37','2020-09-09 00:33:37',null);
INSERT INTO complaint_statuses VALUES('3034','850','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 00:35:08','2020-09-09 00:35:08',null);
INSERT INTO complaint_statuses VALUES('3035','714','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 00:39:22','2020-09-09 00:39:22',null);
INSERT INTO complaint_statuses VALUES('3036','980','3',null,'61',null,'COMPLAIN#202009005868','73','73','2020-09-09 00:50:50','2020-09-09 02:37:42',null);
INSERT INTO complaint_statuses VALUES('3037','981','2',null,'81',null,'LG','73','73','2020-09-09 00:50:55','2020-09-09 00:50:55',null);
INSERT INTO complaint_statuses VALUES('3038','982','3',null,'52',null,'COMPLAIN#PKRI200908112881','73','73','2020-09-09 00:52:55','2020-09-09 03:01:51',null);
INSERT INTO complaint_statuses VALUES('3039','983','3',null,'63',null,'complain#2011','73','73','2020-09-09 01:01:33','2020-09-09 18:32:53',null);
INSERT INTO complaint_statuses VALUES('3040','984','2',null,'81',null,'B.COOL','73','73','2020-09-09 01:03:49','2020-09-09 01:03:49',null);
INSERT INTO complaint_statuses VALUES('3041','985','2',null,'81',null,'LG','73','73','2020-09-09 01:07:48','2020-09-09 01:07:48',null);
INSERT INTO complaint_statuses VALUES('3042','986','2',null,'81',null,'H.SOLUTION','73','73','2020-09-09 01:15:11','2020-09-09 01:15:11',null);
INSERT INTO complaint_statuses VALUES('3043','954','7','24','81','Water pump chenge krna hy',null,'82','82','2020-09-09 01:21:13','2020-09-09 01:21:13',null);
INSERT INTO complaint_statuses VALUES('3044','987','3',null,'66',null,'FRWRD TO MARIYAM TCL

COMPLAIN#87344','73','73','2020-09-09 01:21:17','2020-09-09 20:54:01',null);
INSERT INTO complaint_statuses VALUES('3045','955','7','24','81',null,null,'82','82','2020-09-09 01:23:05','2020-09-09 01:23:05',null);
INSERT INTO complaint_statuses VALUES('3046','846','7','12','81','Custmer ny apny technition sy theek kar wa li hy',null,'82','82','2020-09-09 01:28:09','2020-09-09 01:28:09',null);
INSERT INTO complaint_statuses VALUES('3047','713','7','24','81','Hamey abhi tak pcb nhi mili azhar sab keh rehy hy pcb jibran  blue area ny deni hy dy gy to laga dy gy ya bta dy pcb kha sy leni have',null,'82','82','2020-09-09 01:30:44','2020-09-09 01:30:44',null);
INSERT INTO complaint_statuses VALUES('3048','918','7','24','81','CHOWK HAI S/C AEGI',null,'87','87','2020-09-09 01:33:23','2020-09-09 01:33:23',null);
INSERT INTO complaint_statuses VALUES('3049','988','2',null,'81',null,'DENTED HA. . COSTUMER DENT NIKLWANAY K LYE AGREE HA','73','73','2020-09-09 01:47:50','2020-09-09 01:47:50',null);
INSERT INTO complaint_statuses VALUES('3050','988','4',null,'55',null,null,'81','81','2020-09-09 01:53:52','2020-09-09 01:53:52',null);
INSERT INTO complaint_statuses VALUES('3051','986','4',null,'62',null,null,'81','81','2020-09-09 01:54:01','2020-09-09 01:54:01',null);
INSERT INTO complaint_statuses VALUES('3052','985','4',null,'55',null,null,'81','81','2020-09-09 01:54:21','2020-09-09 01:54:21',null);
INSERT INTO complaint_statuses VALUES('3053','984','4',null,'58',null,null,'81','81','2020-09-09 01:54:31','2020-09-09 01:54:31',null);
INSERT INTO complaint_statuses VALUES('3054','981','4',null,'55',null,null,'81','81','2020-09-09 01:54:42','2020-09-09 01:54:42',null);
INSERT INTO complaint_statuses VALUES('3055','979','4',null,'55',null,null,'81','81','2020-09-09 01:54:52','2020-09-09 01:54:52',null);
INSERT INTO complaint_statuses VALUES('3056','974','4',null,'56',null,null,'81','81','2020-09-09 01:55:26','2020-09-09 01:55:26',null);
INSERT INTO complaint_statuses VALUES('3057','972','4',null,'62',null,null,'81','81','2020-09-09 01:55:36','2020-09-09 01:55:36',null);
INSERT INTO complaint_statuses VALUES('3058','970','4',null,'62',null,null,'81','81','2020-09-09 01:55:45','2020-09-09 01:55:45',null);
INSERT INTO complaint_statuses VALUES('3059','969','4',null,'58',null,null,'81','81','2020-09-09 01:56:13','2020-09-09 01:56:13',null);
INSERT INTO complaint_statuses VALUES('3060','968','4',null,'62',null,null,'81','81','2020-09-09 01:56:21','2020-09-09 01:56:21',null);
INSERT INTO complaint_statuses VALUES('3061','967','4',null,'61',null,null,'81','81','2020-09-09 01:56:31','2020-09-09 01:56:31',null);
INSERT INTO complaint_statuses VALUES('3062','966','4',null,'58',null,null,'81','81','2020-09-09 01:56:55','2020-09-09 01:56:55',null);
INSERT INTO complaint_statuses VALUES('3063','130','7','12','81','m/w dlivrd',null,'82','82','2020-09-09 02:04:24','2020-09-09 02:04:24',null);
INSERT INTO complaint_statuses VALUES('3064','989','2',null,'81',null,'CARE','73','73','2020-09-09 02:05:10','2020-09-09 02:05:10',null);
INSERT INTO complaint_statuses VALUES('3065','989','4',null,'60',null,null,'81','81','2020-09-09 02:05:39','2020-09-09 02:05:39',null);
INSERT INTO complaint_statuses VALUES('3066','860','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-09 02:10:11','2020-09-22 23:24:37',null);
INSERT INTO complaint_statuses VALUES('3067','957','7','26','81','FRWD TO COMPANY',null,'87','87','2020-09-09 02:13:08','2020-09-09 02:13:08',null);
INSERT INTO complaint_statuses VALUES('3068','778','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 02:17:58','2020-09-09 02:17:58',null);
INSERT INTO complaint_statuses VALUES('3069','890','7','12','81','COMPLAINT RESOLVED.OLNY SERVICE',null,'79','79','2020-09-09 02:47:18','2020-09-09 02:47:18',null);
INSERT INTO complaint_statuses VALUES('3070','858','7','20','81','Main board faulty.',null,'77','77','2020-09-09 02:55:55','2020-09-09 02:55:55',null);
INSERT INTO complaint_statuses VALUES('3071','261','5',null,null,'complaint closed',null,'74','74','2020-09-09 03:09:59','2020-09-09 03:09:59',null);
INSERT INTO complaint_statuses VALUES('3072','747','7','12','81','job complite problm solve',null,'82','82','2020-09-09 03:23:41','2020-09-09 03:23:41',null);
INSERT INTO complaint_statuses VALUES('3073','687','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 03:35:31','2020-09-09 03:35:31',null);
INSERT INTO complaint_statuses VALUES('3074','735','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 03:38:00','2020-09-09 03:38:00',null);
INSERT INTO complaint_statuses VALUES('3075','989','7','12','81','refor to khuram sab',null,'82','82','2020-09-09 03:54:39','2020-09-09 03:54:39',null);
INSERT INTO complaint_statuses VALUES('3076','974','7','12','81','unit damaged. Estimate given to customer. Refused',null,'77','77','2020-09-09 19:42:10','2020-09-09 19:42:10',null);
INSERT INTO complaint_statuses VALUES('3077','990','2',null,'81',null,'MRM','73','73','2020-09-09 19:48:15','2020-09-09 19:48:15',null);
INSERT INTO complaint_statuses VALUES('3078','991','3',null,'54',null,'COMPLAIN#1726456','73','73','2020-09-09 19:50:05','2020-09-09 23:25:46',null);
INSERT INTO complaint_statuses VALUES('3079','904','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 19:54:59','2020-09-09 19:54:59',null);
INSERT INTO complaint_statuses VALUES('3080','990','3',null,'59',null,'COMPLAIN#4237437923','81','73','2020-09-09 19:59:53','2020-09-09 23:20:41',null);
INSERT INTO complaint_statuses VALUES('3081','784','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 20:00:04','2020-09-09 20:00:04',null);
INSERT INTO complaint_statuses VALUES('3082','992','3',null,'65',null,'COMPLAIN#192017907','73','73','2020-09-09 20:04:19','2020-09-09 23:45:58',null);
INSERT INTO complaint_statuses VALUES('3083','993','3',null,'55',null,'FRWRD TO WAQAR KENWOOD','73','73','2020-09-09 20:07:17','2020-09-09 20:07:17',null);
INSERT INTO complaint_statuses VALUES('3084','909','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-09 20:10:03','2020-09-09 20:10:03',null);
INSERT INTO complaint_statuses VALUES('3085','994','3',null,'65',null,'FRWRD TO AMNA BOSCH','73','73','2020-09-09 20:10:31','2020-09-09 20:10:31',null);
INSERT INTO complaint_statuses VALUES('3086','995','3',null,'52',null,'COMPLAIN#PKRI200909112276','73','73','2020-09-09 20:11:58','2020-09-10 02:45:21',null);
INSERT INTO complaint_statuses VALUES('3087','841','7','12','81','issue ; panel Damage 
panel replace set ok',null,'80','80','2020-09-09 20:13:50','2020-09-09 20:13:50',null);
INSERT INTO complaint_statuses VALUES('3088','796','7','12','81','issue : Remote not working
set main koe flute ni hy remote ka masla hy 
only visit = 1000 RS',null,'80','80','2020-09-09 20:17:39','2020-09-09 20:17:39',null);
INSERT INTO complaint_statuses VALUES('3089','675','7','26','81',null,null,'80','80','2020-09-09 20:18:03','2020-09-09 20:18:03',null);
INSERT INTO complaint_statuses VALUES('3090','996','2',null,'81',null,'B.COOL','73','73','2020-09-09 20:18:48','2020-09-09 20:18:48',null);
INSERT INTO complaint_statuses VALUES('3091','996','4',null,'58',null,null,'81','81','2020-09-09 20:20:55','2020-09-09 20:20:55',null);
INSERT INTO complaint_statuses VALUES('3092','584','5',null,null,'COMPLETED','COMPLAINT RESOLVED','73','92','2020-09-09 20:25:35','2020-09-14 01:14:00',null);
INSERT INTO complaint_statuses VALUES('3093','722','7','12','81','Unit is ok  customer ko  demo required ha regarding HDR    
ya complaint call center p karwa dain',null,'83','83','2020-09-09 20:26:50','2020-09-09 20:26:50',null);
INSERT INTO complaint_statuses VALUES('3094','897','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 20:29:44','2020-09-09 20:29:44',null);
INSERT INTO complaint_statuses VALUES('3095','997','3',null,'52',null,'COMPLAIN#PKRI200909112139','73','73','2020-09-09 20:32:16','2020-09-10 02:42:51',null);
INSERT INTO complaint_statuses VALUES('3096','941','7','22','81','thermostat issue.',null,'79','79','2020-09-09 20:32:17','2020-09-09 20:32:17',null);
INSERT INTO complaint_statuses VALUES('3097','891','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-09 20:36:11','2020-09-09 20:36:11',null);
INSERT INTO complaint_statuses VALUES('3098','787','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-09 20:39:07','2020-09-09 20:39:07',null);
INSERT INTO complaint_statuses VALUES('3099','624','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 20:54:09','2020-09-09 20:54:09',null);
INSERT INTO complaint_statuses VALUES('3100','989','8','23','60',null,null,'81','81','2020-09-09 21:12:24','2020-09-09 21:12:24',null);
INSERT INTO complaint_statuses VALUES('3101','998','2',null,'81',null,'KHALID','73','73','2020-09-09 21:13:06','2020-09-09 21:13:06',null);
INSERT INTO complaint_statuses VALUES('3102','998','4',null,'56',null,'C/O UMER SB AND NAEEM SB','81','73','2020-09-09 21:13:23','2020-09-09 21:14:42',null);
INSERT INTO complaint_statuses VALUES('3103','974','5','15',null,null,'CUSTOMER NA COMPLAINT KHUD SA CANCELLED KARWA DI SHAD HI HAI GHR PA SO COMPLAINT CLOSED','81','74','2020-09-09 21:15:15','2020-09-11 21:22:18',null);
INSERT INTO complaint_statuses VALUES('3104','957','8','23','62','follow up the company',null,'81','81','2020-09-09 21:18:33','2020-09-09 21:18:33',null);
INSERT INTO complaint_statuses VALUES('3105','998','7','9','81','Mobile off','msg kr dein. .','77','73','2020-09-09 21:19:00','2020-09-09 21:26:15',null);
INSERT INTO complaint_statuses VALUES('3106','890','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-09 21:19:08','2020-09-16 23:26:15',null);
INSERT INTO complaint_statuses VALUES('3107','846','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-09 21:19:46','2020-09-17 00:45:19',null);
INSERT INTO complaint_statuses VALUES('3108','999','3',null,'54',null,'C/O SADDIQ SB
COMPLAIN#1724665','73','73','2020-09-09 21:21:30','2020-09-09 23:30:02',null);
INSERT INTO complaint_statuses VALUES('3109','841','8','23','59','where is unit , customer home or your service center',null,'81','81','2020-09-09 21:21:41','2020-09-09 21:21:41',null);
INSERT INTO complaint_statuses VALUES('3110','130','8','23','60','kindly deposit the payment in i-10 service center 4500/=',null,'81','81','2020-09-09 21:23:42','2020-09-09 21:23:42',null);
INSERT INTO complaint_statuses VALUES('3111','998','8','23','56','PLzz text and whatsapp him',null,'81','81','2020-09-09 21:25:39','2020-09-09 21:25:39',null);
INSERT INTO complaint_statuses VALUES('3112','713','8','23','60','Take it from iqbal sb',null,'81','81','2020-09-09 21:26:55','2020-09-09 21:26:55',null);
INSERT INTO complaint_statuses VALUES('3113','793','5',null,null,'complaint closed',null,'74','74','2020-09-09 21:28:22','2020-09-09 21:28:22',null);
INSERT INTO complaint_statuses VALUES('3114','422','8','23','55','Tell mr Tariq 03005566006',null,'81','81','2020-09-09 21:30:04','2020-09-09 21:30:04',null);
INSERT INTO complaint_statuses VALUES('3115','675','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-09 21:33:27','2020-09-14 02:12:57',null);
INSERT INTO complaint_statuses VALUES('3116','722','8','15','61','FORWARD COMPANY UN NUMBER',null,'81','81','2020-09-09 21:36:04','2020-09-09 21:36:04',null);
INSERT INTO complaint_statuses VALUES('3117','722','7','12','81',null,null,'83','83','2020-09-09 21:38:02','2020-09-09 21:38:02',null);
INSERT INTO complaint_statuses VALUES('3118','722','5','15',null,null,'COMPLAINT NOT RESOLVED','81','92','2020-09-09 21:39:08','2020-09-16 22:57:47',null);
INSERT INTO complaint_statuses VALUES('3119','747','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-09 21:40:08','2020-09-16 23:06:02',null);
INSERT INTO complaint_statuses VALUES('3120','841','7','9','81','S/C',null,'80','80','2020-09-09 21:47:23','2020-09-09 21:47:23',null);
INSERT INTO complaint_statuses VALUES('3121','1000','2',null,'81',null,'b.cool','73','73','2020-09-09 21:53:32','2020-09-09 21:53:32',null);
INSERT INTO complaint_statuses VALUES('3122','1000','4',null,'58',null,null,'81','81','2020-09-09 21:54:18','2020-09-09 21:54:18',null);
INSERT INTO complaint_statuses VALUES('3123','1001','3',null,'54',null,'COMPLAIN#1726468','73','73','2020-09-09 22:05:28','2020-09-09 23:33:25',null);
INSERT INTO complaint_statuses VALUES('3124','835','8','23','61','IN WARRANTY 
Tell me the cost',null,'81','81','2020-09-09 22:07:18','2020-09-09 22:07:18',null);
INSERT INTO complaint_statuses VALUES('3125','841','8','23','59','PLEASE DELIVER IT CUSTOMER , THEN COMPLETE JOB',null,'81','81','2020-09-09 22:12:02','2020-09-09 22:12:02',null);
INSERT INTO complaint_statuses VALUES('3126','858','8','23','56','PLEASE CONFIRM ESTIMATE','COMPLAINT RESOLVED','81','92','2020-09-09 22:13:29','2020-09-27 02:51:46',null);
INSERT INTO complaint_statuses VALUES('3127','914','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-09 22:15:19','2020-09-16 22:20:34',null);
INSERT INTO complaint_statuses VALUES('3128','918','8','23','62','PLEASE RESOLVE ISSUE QUICKLY',null,'81','81','2020-09-09 22:16:24','2020-09-09 22:16:24',null);
INSERT INTO complaint_statuses VALUES('3129','923','8','23','62','EXPLAIN PROBLEM',null,'81','81','2020-09-09 22:17:19','2020-09-09 22:17:19',null);
INSERT INTO complaint_statuses VALUES('3130','843','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 22:17:29','2020-09-09 22:17:29',null);
INSERT INTO complaint_statuses VALUES('3131','970','7','22','81','Bloor',null,'87','87','2020-09-09 22:17:32','2020-09-09 22:17:32',null);
INSERT INTO complaint_statuses VALUES('3132','954','8','23','60','RESOLVE PROBLEM QUICKLY',null,'81','81','2020-09-09 22:19:17','2020-09-09 22:19:17',null);
INSERT INTO complaint_statuses VALUES('3133','923','7','12','81','PCB CARD REPLACE KIA HAI',null,'87','87','2020-09-09 22:22:45','2020-09-09 22:22:45',null);
INSERT INTO complaint_statuses VALUES('3134','955','8','23','60','EXPLAIN THE PROBLEM',null,'81','81','2020-09-09 22:27:59','2020-09-09 22:27:59',null);
INSERT INTO complaint_statuses VALUES('3135','838','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 22:29:11','2020-09-09 22:29:11',null);
INSERT INTO complaint_statuses VALUES('3136','834','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-09 22:30:06','2020-09-15 21:03:06',null);
INSERT INTO complaint_statuses VALUES('3137','923','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-09 22:30:55','2020-09-14 20:09:28',null);
INSERT INTO complaint_statuses VALUES('3138','833','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-09 22:31:02','2020-09-13 22:10:30',null);
INSERT INTO complaint_statuses VALUES('3139','1002','2',null,'81',null,'COMPLAINt REFERENCE#923
SHOWROOM SE CARD NIKAL K COSTUMER KO LGWAYA','73','73','2020-09-09 22:31:06','2020-09-09 22:31:06',null);
INSERT INTO complaint_statuses VALUES('3140','1002','4',null,'62',null,null,'81','81','2020-09-09 22:31:24','2020-09-09 22:31:24',null);
INSERT INTO complaint_statuses VALUES('3141','823','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 22:39:24','2020-09-09 22:39:24',null);
INSERT INTO complaint_statuses VALUES('3142','970','8','23','62','WHATS PROBLEM IN BLOOR , SEND ME BLOOR PICS',null,'81','81','2020-09-09 22:42:13','2020-09-09 22:42:13',null);
INSERT INTO complaint_statuses VALUES('3143','941','8','23','58','RESOLVE ISSUE QUICKLY',null,'81','81','2020-09-09 22:43:19','2020-09-09 22:43:19',null);
INSERT INTO complaint_statuses VALUES('3144','824','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-09 22:43:25','2020-09-09 22:43:25',null);
INSERT INTO complaint_statuses VALUES('3145','970','7','12','81','MAKING A NOISE',null,'87','87','2020-09-09 22:43:57','2020-09-09 22:43:57',null);
INSERT INTO complaint_statuses VALUES('3146','870','8','23','56','03487973172 PLEASE CONTACT THIS NUMBER',null,'81','81','2020-09-09 22:48:01','2020-09-09 22:48:01',null);
INSERT INTO complaint_statuses VALUES('3147','851','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 22:50:42','2020-09-09 22:50:42',null);
INSERT INTO complaint_statuses VALUES('3148','970','8','23','62','BLOOR CHECK IN I-10 STOCK',null,'81','81','2020-09-09 22:51:40','2020-09-09 22:51:40',null);
INSERT INTO complaint_statuses VALUES('3149','817','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 22:55:36','2020-09-09 22:55:36',null);
INSERT INTO complaint_statuses VALUES('3150','1003','3',null,'53',null,'complain#301043539','73','73','2020-09-09 22:56:34','2020-09-10 18:52:41',null);
INSERT INTO complaint_statuses VALUES('3151','856','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 22:58:36','2020-09-09 22:58:36',null);
INSERT INTO complaint_statuses VALUES('3152','1004','3',null,'53',null,'complain#301043537

costumer ne khud complain launch karwai hoi ha. . visit b hwa ha lekin gas charge krni thi technician 2bara nahin gy, relaunch karwa di ha','73','73','2020-09-09 22:59:12','2020-09-10 18:57:25',null);
INSERT INTO complaint_statuses VALUES('3153','791','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 23:02:07','2020-09-09 23:02:07',null);
INSERT INTO complaint_statuses VALUES('3154','1005','2',null,'81',null,'NADEEM','73','73','2020-09-09 23:03:52','2020-09-09 23:03:52',null);
INSERT INTO complaint_statuses VALUES('3155','1005','4',null,'59',null,null,'81','81','2020-09-09 23:04:19','2020-09-09 23:04:19',null);
INSERT INTO complaint_statuses VALUES('3156','795','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 23:04:49','2020-09-09 23:04:49',null);
INSERT INTO complaint_statuses VALUES('3157','809','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-09 23:09:22','2020-09-22 01:39:24',null);
INSERT INTO complaint_statuses VALUES('3158','808','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 23:12:08','2020-09-09 23:12:08',null);
INSERT INTO complaint_statuses VALUES('3159','727','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-09 23:16:06','2020-09-09 23:16:06',null);
INSERT INTO complaint_statuses VALUES('3160','725','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 23:18:03','2020-09-09 23:18:03',null);
INSERT INTO complaint_statuses VALUES('3161','804','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 23:20:14','2020-09-09 23:20:14',null);
INSERT INTO complaint_statuses VALUES('3162','482','7','12','81','Panel replaced.',null,'77','77','2020-09-09 23:26:57','2020-09-09 23:26:57',null);
INSERT INTO complaint_statuses VALUES('3163','783','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 23:30:13','2020-09-09 23:30:13',null);
INSERT INTO complaint_statuses VALUES('3164','742','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 23:32:02','2020-09-09 23:32:02',null);
INSERT INTO complaint_statuses VALUES('3165','639','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-09 23:39:45','2020-09-09 23:39:45',null);
INSERT INTO complaint_statuses VALUES('3166','989','7','12','81','dent clear job complite friends chrgs 1500',null,'82','82','2020-09-09 23:46:19','2020-09-09 23:46:19',null);
INSERT INTO complaint_statuses VALUES('3167','955','7','12','81','remoot change',null,'82','82','2020-09-09 23:47:31','2020-09-09 23:47:31',null);
INSERT INTO complaint_statuses VALUES('3168','739','7','12','81','fault reslove complaint ok',null,'88','88','2020-09-09 23:49:49','2020-09-09 23:49:49',null);
INSERT INTO complaint_statuses VALUES('3169','739','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-09 23:50:56','2020-09-09 23:51:58',null);
INSERT INTO complaint_statuses VALUES('3170','740','7','12','81','complaint close',null,'88','88','2020-09-09 23:51:46','2020-09-09 23:51:46',null);
INSERT INTO complaint_statuses VALUES('3171','740','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-09 23:52:34','2020-09-09 23:53:01',null);
INSERT INTO complaint_statuses VALUES('3172','619','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 00:12:00','2020-09-10 00:12:00',null);
INSERT INTO complaint_statuses VALUES('3173','1006','2',null,'81',null,'C/O SADDIQ SB','73','73','2020-09-10 00:33:53','2020-09-10 00:33:53',null);
INSERT INTO complaint_statuses VALUES('3174','1007','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-09-10 00:38:46','2020-09-10 00:38:46',null);
INSERT INTO complaint_statuses VALUES('3175','1006','4',null,'58',null,null,'81','81','2020-09-10 00:39:30','2020-09-10 00:39:30',null);
INSERT INTO complaint_statuses VALUES('3176','815','5',null,null,'COMPLAINT CLOSED','REPLACE RANGE','74','74','2020-09-10 00:45:16','2020-09-22 01:17:44',null);
INSERT INTO complaint_statuses VALUES('3177','1008','3',null,'54',null,'COMPLAIN#1726735','73','73','2020-09-10 00:45:37','2020-09-10 02:29:14',null);
INSERT INTO complaint_statuses VALUES('3178','803','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 01:02:22','2020-09-10 01:02:22',null);
INSERT INTO complaint_statuses VALUES('3179','955','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-10 01:04:46','2020-09-14 20:00:02',null);
INSERT INTO complaint_statuses VALUES('3180','1009','2',null,'81',null,'LG','73','73','2020-09-10 01:05:24','2020-09-10 01:05:24',null);
INSERT INTO complaint_statuses VALUES('3181','785','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-10 01:05:34','2020-09-10 01:05:34',null);
INSERT INTO complaint_statuses VALUES('3182','989','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-10 01:05:48','2020-09-13 22:15:23',null);
INSERT INTO complaint_statuses VALUES('3183','1009','4',null,'55',null,null,'81','81','2020-09-10 01:06:08','2020-09-10 01:06:08',null);
INSERT INTO complaint_statuses VALUES('3184','792','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 01:07:50','2020-09-10 01:07:50',null);
INSERT INTO complaint_statuses VALUES('3185','482','8','23','56','where is unit customer , home or your service center',null,'81','81','2020-09-10 01:08:20','2020-09-10 01:08:20',null);
INSERT INTO complaint_statuses VALUES('3186','1010','2',null,'81',null,'B.COOL','73','73','2020-09-10 01:17:19','2020-09-10 01:17:19',null);
INSERT INTO complaint_statuses VALUES('3187','901','7','12','81','issue resolved',null,'88','88','2020-09-10 01:23:41','2020-09-10 01:23:41',null);
INSERT INTO complaint_statuses VALUES('3188','901','5','15',null,'complated','complaint resolved','81','74','2020-09-10 01:24:32','2020-09-10 01:25:35',null);
INSERT INTO complaint_statuses VALUES('3189','984','7','22','81','refer to service center gear box issue .drian pipe bhi damage hai',null,'79','79','2020-09-10 01:41:37','2020-09-10 01:41:37',null);
INSERT INTO complaint_statuses VALUES('3190','915','7','12','81','complaint resolved',null,'79','79','2020-09-10 01:42:43','2020-09-10 01:42:43',null);
INSERT INTO complaint_statuses VALUES('3191','779','5',null,null,'complaint closed',null,'74','74','2020-09-10 01:45:19','2020-09-10 01:45:19',null);
INSERT INTO complaint_statuses VALUES('3192','1011','3',null,'53',null,'ASLAM SB KO FRWRD KI THI . . ISSUE SOLVED KARWA DIA, UNO NE APNAY STOCK SE REPLACE KARWA DIA','73','73','2020-09-10 01:51:06','2020-09-10 02:57:46',null);
INSERT INTO complaint_statuses VALUES('3193','1012','3',null,'68',null,'FRWRD TO TAHIR SIEMENS','73','73','2020-09-10 02:00:23','2020-09-10 02:00:23',null);
INSERT INTO complaint_statuses VALUES('3194','1013','3',null,'61',null,'COMPLAIN#202009006706','73','73','2020-09-10 02:00:52','2020-09-10 02:36:52',null);
INSERT INTO complaint_statuses VALUES('3195','1014','3',null,'52',null,'COMPLAIN#PKRI200909112307','73','73','2020-09-10 02:04:28','2020-09-10 02:51:08',null);
INSERT INTO complaint_statuses VALUES('3196','1015','2',null,'81',null,'B.COOL','73','73','2020-09-10 02:09:32','2020-09-10 02:09:32',null);
INSERT INTO complaint_statuses VALUES('3197','854','5',null,null,'complaint closed',null,'74','74','2020-09-10 02:09:43','2020-09-10 02:09:43',null);
INSERT INTO complaint_statuses VALUES('3198','127','5',null,null,'complaint closed','COMPLAINT CLOSED','74','92','2020-09-10 02:19:10','2020-09-14 02:29:27',null);
INSERT INTO complaint_statuses VALUES('3199','507','5',null,null,'complaint closed',null,'74','74','2020-09-10 02:23:43','2020-09-10 02:23:43',null);
INSERT INTO complaint_statuses VALUES('3200','1016','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-09-10 02:24:33','2020-09-10 02:24:33',null);
INSERT INTO complaint_statuses VALUES('3201','1011','5',null,null,'REPLACED BY ASLAM SB','COMPLAINT RESOLVED','73','92','2020-09-10 02:58:30','2020-09-14 19:24:36',null);
INSERT INTO complaint_statuses VALUES('3202','482','7','9','81','We informed to customer and now going to delever the unit.',null,'77','77','2020-09-10 03:07:35','2020-09-10 03:07:35',null);
INSERT INTO complaint_statuses VALUES('3203','961','7','10','81','customer not attend the call .ptcl no bhi tha us pr bhi call ki thi .','VISIT TO DAY','79','74','2020-09-10 03:28:24','2020-09-10 20:44:50',null);
INSERT INTO complaint_statuses VALUES('3204','972','7','12','81','ISSUE RESOLVED AT HOME ...',null,'87','87','2020-09-10 03:28:55','2020-09-10 03:28:55',null);
INSERT INTO complaint_statuses VALUES('3205','969','7','12','81','gas pressur zayda hai .oven theeek hai',null,'79','79','2020-09-10 03:30:03','2020-09-10 03:30:03',null);
INSERT INTO complaint_statuses VALUES('3206','966','7','12','81','ac service kai hai .',null,'79','79','2020-09-10 03:37:07','2020-09-10 03:37:07',null);
INSERT INTO complaint_statuses VALUES('3207','986','7','26','81','END FROM CUSTOMER SIDE',null,'87','87','2020-09-10 03:38:12','2020-09-10 03:38:12',null);
INSERT INTO complaint_statuses VALUES('3208','1015','4',null,'58',null,null,'81','81','2020-09-10 03:40:44','2020-09-10 03:40:44',null);
INSERT INTO complaint_statuses VALUES('3209','1010','4',null,'58',null,null,'81','81','2020-09-10 03:40:55','2020-09-10 03:40:55',null);
INSERT INTO complaint_statuses VALUES('3210','932','7','12','81','Drain Pipe Adjustment Only.',null,'76','76','2020-09-10 04:00:23','2020-09-10 04:00:23',null);
INSERT INTO complaint_statuses VALUES('3211','979','7','24','81','Washing Machine Under Repaire in SVC',null,'76','76','2020-09-10 04:00:54','2020-09-10 04:00:54',null);
INSERT INTO complaint_statuses VALUES('3212','905','7','12','81','Drain service.',null,'76','76','2020-09-10 04:06:26','2020-09-10 04:06:26',null);
INSERT INTO complaint_statuses VALUES('3213','937','7','24','81','Service Require.',null,'76','76','2020-09-10 04:07:04','2020-09-10 04:07:04',null);
INSERT INTO complaint_statuses VALUES('3214','894','7','24','81','visit has been done Refer to Service center , hold from Customer side',null,'76','76','2020-09-10 04:10:27','2020-09-10 04:10:27',null);
INSERT INTO complaint_statuses VALUES('3215','832','7','22','81','First Visit has been done , PCB in Service Center.',null,'76','76','2020-09-10 04:11:43','2020-09-10 04:11:43',null);
INSERT INTO complaint_statuses VALUES('3216','875','7','12','81','Filter Service',null,'76','76','2020-09-10 04:15:46','2020-09-10 04:15:46',null);
INSERT INTO complaint_statuses VALUES('3217','864','7','22','81','First Visit has been done Freezer Portation Gasket Faulty , Gasket Require.',null,'76','76','2020-09-10 04:18:44','2020-09-10 04:18:44',null);
INSERT INTO complaint_statuses VALUES('3218','422','7','12','81','Washing Machine has been delivered back to the customer.',null,'76','76','2020-09-10 04:26:54','2020-09-10 04:26:54',null);
INSERT INTO complaint_statuses VALUES('3219','713','7','12','81','New pcb laga di hy job compledt',null,'82','82','2020-09-10 05:03:41','2020-09-10 05:03:41',null);
INSERT INTO complaint_statuses VALUES('3220','842','7','12','81','Sir ac theek thy azhar bhai keh rehy hy closed kar dy',null,'82','82','2020-09-10 05:05:44','2020-09-10 05:05:44',null);
INSERT INTO complaint_statuses VALUES('3221','1017','2',null,'81',null,'LG','73','73','2020-09-10 19:25:18','2020-09-10 19:25:18',null);
INSERT INTO complaint_statuses VALUES('3222','1018','2',null,'81',null,'LG','73','73','2020-09-10 19:25:32','2020-09-10 19:25:32',null);
INSERT INTO complaint_statuses VALUES('3223','1019','2',null,'81',null,'LG','73','73','2020-09-10 19:26:24','2020-09-10 19:26:24',null);
INSERT INTO complaint_statuses VALUES('3224','1020','3',null,'52',null,null,'73','73','2020-09-10 19:52:33','2020-09-10 19:52:33',null);
INSERT INTO complaint_statuses VALUES('3225','1021','3',null,'52',null,null,'73','73','2020-09-10 19:52:51','2020-09-10 19:52:51',null);
INSERT INTO complaint_statuses VALUES('3226','911','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 19:59:09','2020-09-10 19:59:09',null);
INSERT INTO complaint_statuses VALUES('3227','1022','2',null,'81',null,'H.SOLUTION
WRONG FRWRD HOGAE HA KINDLY CLOSED KR DEIN YE COMPLAIN','73','73','2020-09-10 20:10:16','2020-09-10 20:53:45',null);
INSERT INTO complaint_statuses VALUES('3228','1007','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 20:15:20','2020-09-10 20:15:20',null);
INSERT INTO complaint_statuses VALUES('3230','925','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 20:26:16','2020-09-10 20:26:16',null);
INSERT INTO complaint_statuses VALUES('3231','952','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 20:29:09','2020-09-10 20:29:09',null);
INSERT INTO complaint_statuses VALUES('3233','1025','2',null,'81',null,'H.SOLUTION','73','73','2020-09-10 20:29:58','2020-09-10 20:29:58',null);
INSERT INTO complaint_statuses VALUES('3234','1026','3',null,'61',null,'NAVEED SB NE NAEEM SB SE BT KR LI HA
COMPLAIN#202009007530','73','73','2020-09-10 20:30:27','2020-09-11 02:25:22',null);
INSERT INTO complaint_statuses VALUES('3235','1027','2',null,'81',null,'LG','73','73','2020-09-10 20:30:32','2020-09-10 20:30:32',null);
INSERT INTO complaint_statuses VALUES('3236','1028','2',null,'81',null,'H.SOLUTION','73','73','2020-09-10 20:30:37','2020-09-10 20:30:37',null);
INSERT INTO complaint_statuses VALUES('3237','1029','2',null,'81',null,'H.SOLUTION','73','73','2020-09-10 20:31:19','2020-09-10 20:31:19',null);
INSERT INTO complaint_statuses VALUES('3238','1030','3',null,'52',null,'complain#PKRI200910106651
costumer ne khud company mein complain launch karwa di ha. .','73','73','2020-09-10 20:31:54','2020-09-11 00:14:15',null);
INSERT INTO complaint_statuses VALUES('3239','920','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 20:39:55','2020-09-10 20:39:55',null);
INSERT INTO complaint_statuses VALUES('3240','1031','3',null,'53',null,'COMPLAIN#1044531(12-9-20)','73','73','2020-09-10 20:42:02','2020-09-12 20:02:31',null);
INSERT INTO complaint_statuses VALUES('3241','1032','2',null,'81',null,'NADEEM

WRONG FRWRD HGAE HA. . KINDLY CLOSED KR DEIN YE COMPLAIN','73','73','2020-09-10 20:46:08','2020-09-10 20:53:03',null);
INSERT INTO complaint_statuses VALUES('3242','1032','4',null,'55',null,null,'81','81','2020-09-10 20:48:15','2020-09-10 20:48:15',null);
INSERT INTO complaint_statuses VALUES('3243','947','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 20:49:01','2020-09-10 20:49:01',null);
INSERT INTO complaint_statuses VALUES('3244','1029','4',null,'62',null,null,'81','81','2020-09-10 20:49:27','2020-09-10 20:49:27',null);
INSERT INTO complaint_statuses VALUES('3245','1028','4',null,'62',null,null,'81','81','2020-09-10 20:49:35','2020-09-10 20:49:35',null);
INSERT INTO complaint_statuses VALUES('3246','1027','4',null,'55',null,null,'81','81','2020-09-10 20:49:44','2020-09-10 20:49:44',null);
INSERT INTO complaint_statuses VALUES('3247','1025','4',null,'62',null,null,'81','81','2020-09-10 20:49:51','2020-09-10 20:49:51',null);
INSERT INTO complaint_statuses VALUES('3248','1022','4',null,'55',null,null,'81','81','2020-09-10 20:50:01','2020-09-10 20:50:01',null);
INSERT INTO complaint_statuses VALUES('3249','1019','4',null,'55',null,null,'81','81','2020-09-10 20:50:08','2020-09-10 20:50:08',null);
INSERT INTO complaint_statuses VALUES('3250','1018','4',null,'55',null,null,'81','81','2020-09-10 20:50:21','2020-09-10 20:50:21',null);
INSERT INTO complaint_statuses VALUES('3251','1017','4',null,'55',null,null,'81','81','2020-09-10 20:50:30','2020-09-10 20:50:30',null);
INSERT INTO complaint_statuses VALUES('3252','948','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 20:50:47','2020-09-10 20:50:47',null);
INSERT INTO complaint_statuses VALUES('3253','946','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 20:52:07','2020-09-10 20:52:07',null);
INSERT INTO complaint_statuses VALUES('3254','945','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 20:54:15','2020-09-10 20:54:15',null);
INSERT INTO complaint_statuses VALUES('3255','1033','2',null,'81',null,null,'73','73','2020-09-10 20:55:40','2020-09-10 20:55:40',null);
INSERT INTO complaint_statuses VALUES('3256','1033','4',null,'59',null,null,'81','81','2020-09-10 20:56:07','2020-09-10 20:56:07',null);
INSERT INTO complaint_statuses VALUES('3257','921','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 20:58:25','2020-09-10 20:58:25',null);
INSERT INTO complaint_statuses VALUES('3258','1034','3',null,'59',null,'S/C=0553252181
03014499727 ABDUL REHMAN
COMPLAIN#4237501649','73','73','2020-09-10 21:00:18','2020-09-12 19:42:46',null);
INSERT INTO complaint_statuses VALUES('3259','1035','3',null,'63',null,'COMPLAIN#2024','73','73','2020-09-10 21:04:54','2020-09-11 02:01:15',null);
INSERT INTO complaint_statuses VALUES('3260','1036','2',null,'81',null,'KHALID','73','73','2020-09-10 21:23:22','2020-09-10 21:23:22',null);
INSERT INTO complaint_statuses VALUES('3261','1037','2',null,'81',null,'LG','73','73','2020-09-10 21:28:24','2020-09-10 21:28:24',null);
INSERT INTO complaint_statuses VALUES('3262','1037','4',null,'55',null,null,'81','81','2020-09-10 21:28:47','2020-09-10 21:28:47',null);
INSERT INTO complaint_statuses VALUES('3263','1036','4',null,'56',null,'COMPLAINT NOT RESOLVED','81','92','2020-09-10 21:28:56','2020-09-19 21:40:24',null);
INSERT INTO complaint_statuses VALUES('3264','1038','3',null,'63',null,'COMPLAIN#2023','73','73','2020-09-10 21:39:53','2020-09-11 01:59:45',null);
INSERT INTO complaint_statuses VALUES('3265','828','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 21:46:23','2020-09-10 21:46:23',null);
INSERT INTO complaint_statuses VALUES('3266','1039','2',null,'81',null,'MRM','73','73','2020-09-10 21:54:41','2020-09-10 21:54:41',null);
INSERT INTO complaint_statuses VALUES('3267','821','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 21:58:10','2020-09-10 21:58:10',null);
INSERT INTO complaint_statuses VALUES('3268','1040','3',null,'60',null,'FRWRD TO LAHORE
AWAIS SIGNATURE','73','73','2020-09-10 22:00:33','2020-09-10 22:09:18',null);
INSERT INTO complaint_statuses VALUES('3269','953','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 22:01:44','2020-09-10 22:01:44',null);
INSERT INTO complaint_statuses VALUES('3270','950','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 22:03:30','2020-09-10 22:03:30',null);
INSERT INTO complaint_statuses VALUES('3271','943','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 22:07:02','2020-09-10 22:07:02',null);
INSERT INTO complaint_statuses VALUES('3272','939','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 22:10:10','2020-09-10 22:10:10',null);
INSERT INTO complaint_statuses VALUES('3273','1041','2',null,'81',null,'B.COOL','73','73','2020-09-10 22:11:28','2020-09-10 22:11:28',null);
INSERT INTO complaint_statuses VALUES('3274','1042','2',null,'81',null,'KHALID','73','73','2020-09-10 22:13:16','2020-09-10 22:13:16',null);
INSERT INTO complaint_statuses VALUES('3275','1043','3',null,'54',null,'COMPLAIN#C9-69','73','73','2020-09-10 22:20:57','2020-09-11 01:21:58',null);
INSERT INTO complaint_statuses VALUES('3276','1017','7','28','81','IN PROCESS TASK NUMBER 857',null,'76','76','2020-09-10 22:25:07','2020-09-10 22:25:07',null);
INSERT INTO complaint_statuses VALUES('3277','1017','5','27',null,'IN PROCESS TASK NO 857','DOUBLE ENTRY','81','92','2020-09-10 22:27:04','2020-09-14 19:36:13',null);
INSERT INTO complaint_statuses VALUES('3278','986','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-09-10 22:27:46','2020-09-13 22:19:40',null);
INSERT INTO complaint_statuses VALUES('3279','1021','5',null,null,'DOUBLE ENTRY. .',null,'73','73','2020-09-10 22:27:46','2020-09-10 22:27:46',null);
INSERT INTO complaint_statuses VALUES('3280','433','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 22:28:16','2020-09-10 22:28:16',null);
INSERT INTO complaint_statuses VALUES('3281','1020','5',null,null,'DOUBLE ENTRY','COMPLAINT RESOLVED','73','92','2020-09-10 22:33:21','2020-09-14 19:19:45',null);
INSERT INTO complaint_statuses VALUES('3282','567','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 22:44:02','2020-09-10 22:44:02',null);
INSERT INTO complaint_statuses VALUES('3283','984','8','23','58','PLEASE RESOLVE ISSUE QUIKCLY',null,'81','81','2020-09-10 22:59:34','2020-09-10 22:59:34',null);
INSERT INTO complaint_statuses VALUES('3284','422','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-10 23:01:02','2020-09-13 00:38:41',null);
INSERT INTO complaint_statuses VALUES('3285','972','8','23','62','EXPLAINE THE PROBLEM',null,'81','81','2020-09-10 23:01:51','2020-09-10 23:01:51',null);
INSERT INTO complaint_statuses VALUES('3286','969','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-10 23:02:18','2020-09-14 19:31:09',null);
INSERT INTO complaint_statuses VALUES('3287','966','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-10 23:02:45','2020-09-14 19:43:18',null);
INSERT INTO complaint_statuses VALUES('3288','932','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-10 23:03:53','2020-09-14 20:26:59',null);
INSERT INTO complaint_statuses VALUES('3289','967','7','12','81','Gas leak  unit refer to work shop 
cusotmer unit khod bijwain gy',null,'83','83','2020-09-10 23:05:16','2020-09-10 23:05:16',null);
INSERT INTO complaint_statuses VALUES('3290','915','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-10 23:05:34','2020-09-17 19:56:52',null);
INSERT INTO complaint_statuses VALUES('3291','905','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-10 23:07:40','2020-09-17 20:00:08',null);
INSERT INTO complaint_statuses VALUES('3292','972','7','12','81','NOTHING .. PANI K DROP THY PENAL K OPR ,JUST DRY KIA',null,'87','87','2020-09-10 23:08:42','2020-09-10 23:08:42',null);
INSERT INTO complaint_statuses VALUES('3293','967','8','23','61','SERVICE CENTER FORWARD KAREN JOB ABI CLOSE NAHE HO SACTE',null,'81','81','2020-09-10 23:10:32','2020-09-10 23:10:32',null);
INSERT INTO complaint_statuses VALUES('3294','972','5','15',null,null,'COMPLAINT  RESOLVED','81','73','2020-09-10 23:11:41','2020-09-11 21:27:24',null);
INSERT INTO complaint_statuses VALUES('3295','875','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-10 23:16:03','2020-09-17 00:43:06',null);
INSERT INTO complaint_statuses VALUES('3296','842','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-10 23:16:53','2020-09-16 22:29:50',null);
INSERT INTO complaint_statuses VALUES('3297','713','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-10 23:17:51','2020-09-15 21:32:19',null);
INSERT INTO complaint_statuses VALUES('3298','1044','2',null,'81',null,'h.solution','73','73','2020-09-10 23:20:25','2020-09-10 23:20:25',null);
INSERT INTO complaint_statuses VALUES('3299','1045','3',null,'52',null,'COMPLAIN#PKRI200910111262','73','73','2020-09-10 23:22:44','2020-09-11 02:15:45',null);
INSERT INTO complaint_statuses VALUES('3300','1046','3',null,'52',null,'COMPLAIN#PKRI200910111394','73','73','2020-09-10 23:22:48','2020-09-11 02:22:06',null);
INSERT INTO complaint_statuses VALUES('3301','831','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-10 23:27:49','2020-09-10 23:27:49',null);
INSERT INTO complaint_statuses VALUES('3302','1047','3',null,'65',null,'complain#072014268','73','73','2020-09-10 23:40:07','2020-09-11 01:47:36',null);
INSERT INTO complaint_statuses VALUES('3303','1048','2',null,'81',null,'care','73','73','2020-09-10 23:43:25','2020-09-10 23:43:25',null);
INSERT INTO complaint_statuses VALUES('3304','1049','2',null,'81',null,'CARE','73','73','2020-09-10 23:44:35','2020-09-10 23:44:35',null);
INSERT INTO complaint_statuses VALUES('3305','1049','4',null,'60',null,null,'81','81','2020-09-10 23:48:43','2020-09-10 23:48:43',null);
INSERT INTO complaint_statuses VALUES('3306','1048','4',null,'60',null,'COSTUMER CALL ATTEND NAI KRRY. . ADIL KR RA HA','81','73','2020-09-10 23:48:53','2020-09-12 19:25:30',null);
INSERT INTO complaint_statuses VALUES('3307','1044','4',null,'62',null,null,'81','81','2020-09-10 23:49:05','2020-09-10 23:49:05',null);
INSERT INTO complaint_statuses VALUES('3308','1044','4',null,'62',null,null,'81','81','2020-09-10 23:49:05','2020-09-10 23:49:05',null);
INSERT INTO complaint_statuses VALUES('3309','1042','4',null,'56',null,null,'81','81','2020-09-10 23:49:14','2020-09-10 23:49:14',null);
INSERT INTO complaint_statuses VALUES('3310','1041','4',null,'58',null,'SATURDAY KO VISIT KARNA','81','74','2020-09-10 23:49:24','2020-09-18 22:15:05',null);
INSERT INTO complaint_statuses VALUES('3311','1039','4',null,'61',null,null,'81','81','2020-09-10 23:49:33','2020-09-10 23:49:33',null);
INSERT INTO complaint_statuses VALUES('3312','1050','3',null,'57',null,'COMPLAIN#13365','73','73','2020-09-10 23:58:49','2020-09-11 01:16:45',null);
INSERT INTO complaint_statuses VALUES('3313','832','8','23','55','PLEASE RESLOVE ISSUE QUIKCLY',null,'81','81','2020-09-11 00:13:47','2020-09-11 00:13:47',null);
INSERT INTO complaint_statuses VALUES('3314','979','8','23','55','PLEASE RESOLVE ISSUE QUICKLY',null,'81','81','2020-09-11 00:16:53','2020-09-11 00:16:53',null);
INSERT INTO complaint_statuses VALUES('3315','930','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-11 00:24:08','2020-09-11 00:24:08',null);
INSERT INTO complaint_statuses VALUES('3316','894','8','23','55','PLEASE RESOLVE ISSUE QUICKLY',null,'81','81','2020-09-11 00:24:19','2020-09-11 00:24:19',null);
INSERT INTO complaint_statuses VALUES('3317','961','8','23','58','PLEASE CONTACT AGAIN','COMPLAINT RESOLVED','81','74','2020-09-11 00:30:36','2020-09-13 01:09:47',null);
INSERT INTO complaint_statuses VALUES('3318','937','8','23','55','PLEASE RESOLVE ISSUE QUICKLY',null,'81','81','2020-09-11 00:31:39','2020-09-11 00:31:39',null);
INSERT INTO complaint_statuses VALUES('3319','864','8','23','55','PLEASE RESOLVE ISSUE QUICKLY','PARTS DEMAND
CUTOMER NA SERIAL # KI PIC SHER KAR DI HUM NA SHAHKHAR KO WHATSAPP KAR DI','81','74','2020-09-11 00:32:51','2020-11-05 01:48:41',null);
INSERT INTO complaint_statuses VALUES('3320','959','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-11 00:56:38','2020-09-11 00:56:38',null);
INSERT INTO complaint_statuses VALUES('3321','976','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-11 01:03:13','2020-09-11 01:03:13',null);
INSERT INTO complaint_statuses VALUES('3322','978','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-11 01:06:46','2020-09-11 01:06:46',null);
INSERT INTO complaint_statuses VALUES('3323','982','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-11 01:07:53','2020-09-11 01:07:53',null);
INSERT INTO complaint_statuses VALUES('3324','872','7','12','81','ISSUE RESOLVED FROM S/C
GAS CHARGED + COMP',null,'87','87','2020-09-11 01:19:09','2020-09-11 01:19:09',null);
INSERT INTO complaint_statuses VALUES('3325','417','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-11 01:23:45','2020-09-11 01:23:45',null);
INSERT INTO complaint_statuses VALUES('3326','1051','2',null,'81',null,'H.SOLUTION','73','73','2020-09-11 01:24:44','2020-09-11 01:24:44',null);
INSERT INTO complaint_statuses VALUES('3327','1051','4',null,'62',null,null,'81','81','2020-09-11 01:26:10','2020-09-11 01:26:10',null);
INSERT INTO complaint_statuses VALUES('3328','1052','2',null,'81',null,'B.COOL','73','73','2020-09-11 01:29:11','2020-09-11 01:29:11',null);
INSERT INTO complaint_statuses VALUES('3329','1052','4',null,'58',null,null,'81','81','2020-09-11 01:29:34','2020-09-11 01:29:34',null);
INSERT INTO complaint_statuses VALUES('3330','1053','3',null,'52',null,'INSTALLATION#PKRI191218104679
COMPLAIN#PKRI200910111162','73','73','2020-09-11 01:35:59','2020-09-11 02:12:10',null);
INSERT INTO complaint_statuses VALUES('3331','1054','2',null,'81',null,'H.SOLUTION','73','73','2020-09-11 01:40:07','2020-09-11 01:40:07',null);
INSERT INTO complaint_statuses VALUES('3332','1054','4',null,'62',null,null,'81','81','2020-09-11 01:40:46','2020-09-11 01:40:46',null);
INSERT INTO complaint_statuses VALUES('3333','1055','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-09-11 01:53:23','2020-09-11 01:53:23',null);
INSERT INTO complaint_statuses VALUES('3334','975','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-11 01:57:47','2020-09-11 01:57:47',null);
INSERT INTO complaint_statuses VALUES('3335','1056','2',null,'81',null,'B.COOL','73','73','2020-09-11 02:06:24','2020-09-11 02:06:24',null);
INSERT INTO complaint_statuses VALUES('3336','1056','4',null,'58',null,null,'81','81','2020-09-11 02:07:17','2020-09-11 02:07:17',null);
INSERT INTO complaint_statuses VALUES('3337','987','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-11 02:12:56','2020-09-11 02:12:56',null);
INSERT INTO complaint_statuses VALUES('3338','973','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-11 02:19:11','2020-09-11 02:19:11',null);
INSERT INTO complaint_statuses VALUES('3339','954','7','12','81','Water pump cheng kar dia hy',null,'82','82','2020-09-11 02:52:56','2020-09-11 02:52:56',null);
INSERT INTO complaint_statuses VALUES('3340','1005','7','24','81','set s/c ay ga',null,'80','80','2020-09-11 03:13:37','2020-09-11 03:13:37',null);
INSERT INTO complaint_statuses VALUES('3341','1025','7','12','81','ISSUE RESOLVED ... FILTER SAF KYE',null,'87','87','2020-09-11 03:14:41','2020-09-11 03:14:41',null);
INSERT INTO complaint_statuses VALUES('3342','1033','7','24','81','set S/C ay ga',null,'80','80','2020-09-11 03:15:14','2020-09-11 03:15:14',null);
INSERT INTO complaint_statuses VALUES('3343','1018','7','28','81','Active Complaint #857',null,'76','76','2020-09-11 19:13:51','2020-09-11 19:13:51',null);
INSERT INTO complaint_statuses VALUES('3344','1019','7','28','81','Active Complaint# 857',null,'76','76','2020-09-11 19:15:59','2020-09-11 19:15:59',null);
INSERT INTO complaint_statuses VALUES('3345','333','7','26','81','if no alternate number available , please close task.',null,'76','76','2020-09-11 19:21:56','2020-09-11 19:21:56',null);
INSERT INTO complaint_statuses VALUES('3346','1057','3',null,'52',null,'11-09-2020.
FF TO COMPANY(PKRI-200911102331','74','74','2020-09-11 20:06:36','2020-09-11 20:06:36',null);
INSERT INTO complaint_statuses VALUES('3347','1051','7','26','81','END FROM CUSTOMER SIDE',null,'87','87','2020-09-11 20:09:45','2020-09-11 20:09:45',null);
INSERT INTO complaint_statuses VALUES('3348','1029','7','24','81','SUNDAY KO VISIT KRNA BY CUSTOMER',null,'87','87','2020-09-11 20:11:13','2020-09-11 20:11:13',null);
INSERT INTO complaint_statuses VALUES('3349','1028','7','22','81','GLASS',null,'87','87','2020-09-11 20:11:40','2020-09-11 20:11:40',null);
INSERT INTO complaint_statuses VALUES('3350','1058','2',null,'81',null,'11-09-2020
FF TO AZHAR RAMZAN','74','74','2020-09-11 20:20:39','2020-09-11 20:20:39',null);
INSERT INTO complaint_statuses VALUES('3351','1058','4',null,'62',null,null,'81','81','2020-09-11 20:22:16','2020-09-11 20:22:16',null);
INSERT INTO complaint_statuses VALUES('3352','1058','7','26','81','Branch fci
Back to maem',null,'87','87','2020-09-11 20:25:00','2020-09-11 20:25:00',null);
INSERT INTO complaint_statuses VALUES('3353','1058','5','25',null,'BY MISTAKE COMPLAINT HOME SOLUTION KO FF KAR DI','CLOSED COMPLAINT','81','74','2020-09-11 20:27:46','2020-09-11 20:43:09',null);
INSERT INTO complaint_statuses VALUES('3354','1059','2',null,'81',null,'11-09-2020
FF TO AZHAR RAMZAN','74','74','2020-09-11 20:31:00','2020-09-11 20:31:00',null);
INSERT INTO complaint_statuses VALUES('3355','1059','4',null,'60',null,null,'81','81','2020-09-11 20:33:50','2020-09-11 20:33:50',null);
INSERT INTO complaint_statuses VALUES('3356','968','7','12','81','ISSUE RESOLVED FROM S/C  ..  . GAS CHARGED  + COMP',null,'87','87','2020-09-11 20:38:14','2020-09-11 20:38:14',null);
INSERT INTO complaint_statuses VALUES('3357','1060','3',null,'62',null,'11-09-2020.
FF TO KHURRAM 5 STAR','74','74','2020-09-11 20:53:40','2020-09-11 20:53:40',null);
INSERT INTO complaint_statuses VALUES('3358','638','7','22','81','Washing machine Lifted , Main PCB in Dead Condition.',null,'76','76','2020-09-11 20:54:31','2020-09-11 20:54:31',null);
INSERT INTO complaint_statuses VALUES('3359','894','7','12','81','Customer not answering call , please the complaint because first visit has been completed.',null,'76','76','2020-09-11 21:00:09','2020-09-11 21:00:09',null);
INSERT INTO complaint_statuses VALUES('3360','794','7','22','81','Washing Machine has been lifted . 10-09-2020',null,'76','76','2020-09-11 21:07:53','2020-09-11 21:07:53',null);
INSERT INTO complaint_statuses VALUES('3361','855','7','12','81','Washing Machine delivered back to the customer after Service.',null,'76','76','2020-09-11 21:10:28','2020-09-11 21:10:28',null);
INSERT INTO complaint_statuses VALUES('3362','944','7','22','81','Washing Machine has been Lifted (Main PCB Issue )',null,'76','76','2020-09-11 21:11:18','2020-09-11 21:11:18',null);
INSERT INTO complaint_statuses VALUES('3363','1061','3',null,'71',null,'11-09-2020
FF TO COMPANY .
COMPLAINT#C-9/74','74','74','2020-09-11 21:17:30','2020-09-11 21:17:30',null);
INSERT INTO complaint_statuses VALUES('3364','967','7','26','81','Customer unit move krain gy tu  repair kr sakty hain',null,'83','83','2020-09-11 21:20:12','2020-09-11 21:20:12',null);
INSERT INTO complaint_statuses VALUES('3365','880','7','12','81','Unit ok  
deliver back at showroom on 10-09-2020',null,'83','83','2020-09-11 21:20:50','2020-09-11 21:20:50',null);
INSERT INTO complaint_statuses VALUES('3366','352','7','12','81','Unit ok deliver back to showroom on 10-09-2020',null,'83','83','2020-09-11 21:21:34','2020-09-11 21:21:34',null);
INSERT INTO complaint_statuses VALUES('3367','985','7','12','81','Problem has been solved on telephonic conversation.',null,'76','76','2020-09-11 21:34:36','2020-09-11 21:34:36',null);
INSERT INTO complaint_statuses VALUES('3368','981','7','24','81','demonstration has given to the customer on telephone, but visit require.',null,'76','76','2020-09-11 21:36:45','2020-09-11 21:36:45',null);
INSERT INTO complaint_statuses VALUES('3369','1062','3',null,'65',null,'11-SEP-2020
FF TO COMPANY(192017957)','74','74','2020-09-11 21:46:55','2020-09-11 21:46:55',null);
INSERT INTO complaint_statuses VALUES('3370','1063','2',null,'81',null,'11-SEP-2020
FF TO KHLID SAB','74','74','2020-09-11 21:53:24','2020-09-11 21:53:24',null);
INSERT INTO complaint_statuses VALUES('3371','1063','4',null,'56',null,null,'81','81','2020-09-11 21:54:05','2020-09-11 21:54:05',null);
INSERT INTO complaint_statuses VALUES('3372','1042','7','12','81','Paid job panel faulty contaect with customer.',null,'77','77','2020-09-11 21:56:02','2020-09-11 21:56:02',null);
INSERT INTO complaint_statuses VALUES('3373','1063','7','24','81','We have called to customer. He will bring unit tomorrow at service center',null,'77','77','2020-09-11 21:59:12','2020-09-11 21:59:12',null);
INSERT INTO complaint_statuses VALUES('3374','1027','7','24','81','Front Body damage issue , visit on Saturday as per customer Request',null,'76','76','2020-09-11 23:20:00','2020-09-11 23:20:00',null);
INSERT INTO complaint_statuses VALUES('3375','847','7','12','81','complaint resolved',null,'88','88','2020-09-11 23:22:08','2020-09-11 23:22:08',null);
INSERT INTO complaint_statuses VALUES('3376','1022','7','26','81','Other then LG.',null,'76','76','2020-09-11 23:24:44','2020-09-11 23:24:44',null);
INSERT INTO complaint_statuses VALUES('3377','857','7','22','81','Evaporator heater Faulty, (Part Require)',null,'76','76','2020-09-12 00:23:33','2020-09-12 00:23:33',null);
INSERT INTO complaint_statuses VALUES('3378','1064','2',null,'81',null,'11-SEP-2020
FF TO SHAHMIM AKHTER','74','74','2020-09-12 00:26:48','2020-09-12 00:26:48',null);
INSERT INTO complaint_statuses VALUES('3379','1064','4',null,'55',null,null,'81','81','2020-09-12 00:27:22','2020-09-12 00:27:22',null);
INSERT INTO complaint_statuses VALUES('3380','1065','2',null,'81',null,'11-SEP-2020.
FF TO AZHAR RAMZAN (FCI)','74','74','2020-09-12 00:53:19','2020-09-12 00:53:19',null);
INSERT INTO complaint_statuses VALUES('3381','1065','4',null,'60',null,null,'81','81','2020-09-12 00:53:51','2020-09-12 00:53:51',null);
INSERT INTO complaint_statuses VALUES('3382','1066','2',null,'81',null,'11-SEP-2020.
FF TO AZHAR (FCI)','74','74','2020-09-12 00:59:16','2020-09-12 00:59:16',null);
INSERT INTO complaint_statuses VALUES('3383','1049','7','12','81','Gasskit uter gai thi saf kar ky laga di custmer charg visit chargis',null,'82','82','2020-09-12 01:01:09','2020-09-12 01:01:09',null);
INSERT INTO complaint_statuses VALUES('3384','1067','2',null,'81',null,'11-SEP-2020.
FF TO HOME SOLUTION','74','74','2020-09-12 01:08:15','2020-09-12 01:08:15',null);
INSERT INTO complaint_statuses VALUES('3385','1049','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-12 01:25:52','2020-09-16 01:56:15',null);
INSERT INTO complaint_statuses VALUES('3386','1025','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-12 01:31:02','2020-09-12 23:16:04',null);
INSERT INTO complaint_statuses VALUES('3387','352','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-12 02:16:08','2020-09-13 21:40:20',null);
INSERT INTO complaint_statuses VALUES('3388','855','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-12 02:18:51','2020-09-15 20:57:35',null);
INSERT INTO complaint_statuses VALUES('3389','847','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-12 02:19:10','2020-09-15 21:01:13',null);
INSERT INTO complaint_statuses VALUES('3390','872','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-12 02:19:37','2020-09-15 20:55:53',null);
INSERT INTO complaint_statuses VALUES('3391','880','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-12 02:20:44','2020-09-15 20:50:47',null);
INSERT INTO complaint_statuses VALUES('3392','894','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-12 02:21:42','2020-09-15 20:36:59',null);
INSERT INTO complaint_statuses VALUES('3393','954','8','23','60','please send me picture of water pump',null,'81','81','2020-09-12 02:23:00','2020-09-12 02:23:00',null);
INSERT INTO complaint_statuses VALUES('3394','1068','2',null,'81',null,'11-SEP-2020.
FF TO KHALID SAB','74','74','2020-09-12 02:27:38','2020-09-12 02:27:38',null);
INSERT INTO complaint_statuses VALUES('3395','1068','4',null,'56',null,null,'81','81','2020-09-12 02:29:12','2020-09-12 02:29:12',null);
INSERT INTO complaint_statuses VALUES('3396','1067','4',null,'62',null,'0333-7868088','81','74','2020-09-12 02:29:28','2020-09-12 22:40:59',null);
INSERT INTO complaint_statuses VALUES('3397','1066','4',null,'60',null,null,'81','81','2020-09-12 02:29:59','2020-09-12 02:29:59',null);
INSERT INTO complaint_statuses VALUES('3398','968','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-12 02:30:25','2020-09-14 19:38:55',null);
INSERT INTO complaint_statuses VALUES('3399','1063','8','23','56',null,null,'81','81','2020-09-12 02:46:13','2020-09-12 02:46:13',null);
INSERT INTO complaint_statuses VALUES('3400','1018','5','27',null,null,'DOUBLE ENTRY','81','92','2020-09-12 02:47:04','2020-09-14 19:34:52',null);
INSERT INTO complaint_statuses VALUES('3401','1033','8','23','59',null,null,'81','81','2020-09-12 02:48:26','2020-09-12 02:48:26',null);
INSERT INTO complaint_statuses VALUES('3402','1051','8','23','62','please explain customer remakes',null,'81','81','2020-09-12 02:52:51','2020-09-12 02:52:51',null);
INSERT INTO complaint_statuses VALUES('3403','1029','8','23','62',null,null,'81','81','2020-09-12 02:53:15','2020-09-12 02:53:15',null);
INSERT INTO complaint_statuses VALUES('3404','1022','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-09-12 02:56:44','2020-09-14 19:17:14',null);
INSERT INTO complaint_statuses VALUES('3405','1028','8','23','62',null,null,'81','81','2020-09-12 02:57:07','2020-09-12 02:57:07',null);
INSERT INTO complaint_statuses VALUES('3406','1019','5','27',null,null,'DOUBLE ENTRY','81','92','2020-09-12 02:57:31','2020-09-14 19:33:09',null);
INSERT INTO complaint_statuses VALUES('3407','1027','8','23','55',null,null,'81','81','2020-09-12 02:57:59','2020-09-12 02:57:59',null);
INSERT INTO complaint_statuses VALUES('3408','1005','8','23','59',null,null,'81','81','2020-09-12 02:58:32','2020-09-12 02:58:32',null);
INSERT INTO complaint_statuses VALUES('3409','981','8','23','55',null,'COMPLAINT  NOT RESOLVED NOT VISOT','81','92','2020-09-12 02:59:04','2020-09-19 21:47:16',null);
INSERT INTO complaint_statuses VALUES('3410','944','8','23','55',null,null,'81','81','2020-09-12 03:00:12','2020-09-12 03:00:12',null);
INSERT INTO complaint_statuses VALUES('3411','857','8','23','55','Take it from the i-10',null,'81','81','2020-09-12 03:01:47','2020-09-12 03:01:47',null);
INSERT INTO complaint_statuses VALUES('3412','794','8','23','55','explain the problem',null,'81','81','2020-09-12 03:03:03','2020-09-12 03:03:03',null);
INSERT INTO complaint_statuses VALUES('3413','1069','3',null,'66',null,'11-SEP-2020
FF TO COMPANY MARIYAM TCL
COMPLAIN#87771(14-9-20)','74','73','2020-09-12 03:03:56','2020-09-14 20:16:09',null);
INSERT INTO complaint_statuses VALUES('3414','638','8','23','55','please solve problem quickly',null,'81','81','2020-09-12 03:04:38','2020-09-12 03:04:38',null);
INSERT INTO complaint_statuses VALUES('3415','1051','7','26','81','WITHOUT VISIT CHARGES ANA HAI TO THK OTHERWISE NA AEN BY CUSTOMER',null,'87','87','2020-09-12 18:58:03','2020-09-12 18:58:03',null);
INSERT INTO complaint_statuses VALUES('3416','916','7','26','81','HUM PESHAWAR MEIN HAIN FILHAL CANCEL KR DEIN BY CUSTOMER',null,'87','87','2020-09-12 19:08:52','2020-09-12 19:08:52',null);
INSERT INTO complaint_statuses VALUES('3417','1067','7','26','81','MOBILE NO KA 1 DIGIT KM HAI',null,'87','87','2020-09-12 19:17:35','2020-09-12 19:17:35',null);
INSERT INTO complaint_statuses VALUES('3418','1070','3',null,'65',null,'COMPLAIN#192017982','73','73','2020-09-12 19:36:17','2020-09-12 23:36:42',null);
INSERT INTO complaint_statuses VALUES('3419','1071','3',null,'52',null,'COMPLAIN#PKRI200912110519','73','73','2020-09-12 19:51:16','2020-09-13 01:48:12',null);
INSERT INTO complaint_statuses VALUES('3420','1072','3',null,'52',null,'COSTUMER SE BT HOI HA. . KEH RY HAIN ME NE VISIT NAI KARWA OR NA E YE MACHINE RKHNI HA, JIB RAN KO INFORM KR DIA HA, WO AB INFORM KRTY TO NEXT PROCEDURE KRTY','73','73','2020-09-12 19:52:02','2020-09-12 19:52:02',null);
INSERT INTO complaint_statuses VALUES('3421','951','7','12','81','ISSUE RESOLVED FROM  S/C ... GAS CHARGED + COMP',null,'87','87','2020-09-12 20:22:54','2020-09-12 20:22:54',null);
INSERT INTO complaint_statuses VALUES('3422','1073','3',null,'67',null,'FRWRD TO ANWER CARAVELL
AND BABAR CARAVELL LAHORE','73','73','2020-09-12 20:27:20','2020-09-12 22:27:47',null);
INSERT INTO complaint_statuses VALUES('3423','896','7','12','81','Custmer sy 2 bar baat huwi hy actober main gezer ki servis karway gy .
Dubara complain karway gy .abhi nhi jana.plz isko compleet kar dy',null,'82','82','2020-09-12 20:29:37','2020-09-12 20:29:37',null);
INSERT INTO complaint_statuses VALUES('3424','1048','7','24','81','Frig i10 phonch gai hy',null,'82','82','2020-09-12 20:37:47','2020-09-12 20:37:47',null);
INSERT INTO complaint_statuses VALUES('3425','1074','2',null,'81',null,'LG','73','73','2020-09-12 20:42:29','2020-09-12 20:42:29',null);
INSERT INTO complaint_statuses VALUES('3426','1074','4',null,'55',null,null,'81','81','2020-09-12 20:49:13','2020-09-12 20:49:13',null);
INSERT INTO complaint_statuses VALUES('3427','1075','2',null,'81',null,'B.COOL','73','73','2020-09-12 20:52:01','2020-09-12 20:52:01',null);
INSERT INTO complaint_statuses VALUES('3428','1075','4',null,'58',null,null,'81','81','2020-09-12 20:52:35','2020-09-12 20:52:35',null);
INSERT INTO complaint_statuses VALUES('3429','1076','3',null,'63',null,'COMPLAIN#2030','73','73','2020-09-12 21:05:27','2020-09-12 23:14:01',null);
INSERT INTO complaint_statuses VALUES('3430','1077','2',null,'81',null,'B.COOL','73','73','2020-09-12 21:06:31','2020-09-12 21:06:31',null);
INSERT INTO complaint_statuses VALUES('3431','1078','3',null,'52',null,'COMPLAIN#PKJM200912108158','73','73','2020-09-12 21:07:53','2020-09-12 23:56:21',null);
INSERT INTO complaint_statuses VALUES('3432','1079','2',null,'81',null,'B.COOL','73','73','2020-09-12 21:25:34','2020-09-12 21:25:34',null);
INSERT INTO complaint_statuses VALUES('3433','1013','5',null,null,'complaint closed',null,'74','74','2020-09-12 21:32:10','2020-09-12 21:32:10',null);
INSERT INTO complaint_statuses VALUES('3434','1080','3',null,'52',null,'COMPLAIN#PKRI200912108123','73','73','2020-09-12 21:33:22','2020-09-12 23:54:03',null);
INSERT INTO complaint_statuses VALUES('3435','1004','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-12 21:38:35','2020-09-12 21:38:35',null);
INSERT INTO complaint_statuses VALUES('3436','1081','3',null,'65',null,'COMPLAIN#192017983','73','73','2020-09-12 21:45:40','2020-09-12 23:44:52',null);
INSERT INTO complaint_statuses VALUES('3437','1066','7','12','81','filter clean job complite csmer chrgs',null,'82','82','2020-09-12 21:48:54','2020-09-12 21:48:54',null);
INSERT INTO complaint_statuses VALUES('3438','1063','7','12','81','Power supply replaced. Unit ok. And collected',null,'77','77','2020-09-12 21:49:34','2020-09-12 21:49:34',null);
INSERT INTO complaint_statuses VALUES('3439','1003','5',null,null,'COMPLAINT CLOSD',null,'74','74','2020-09-12 21:53:39','2020-09-12 21:53:39',null);
INSERT INTO complaint_statuses VALUES('3440','1001','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-12 21:54:42','2020-10-25 18:32:18',null);
INSERT INTO complaint_statuses VALUES('3441','1082','2',null,'81',null,'H.SOLUTION','73','73','2020-09-12 21:57:01','2020-09-12 21:57:01',null);
INSERT INTO complaint_statuses VALUES('3442','1082','4',null,'62',null,null,'81','81','2020-09-12 21:57:23','2020-09-12 21:57:23',null);
INSERT INTO complaint_statuses VALUES('3443','1079','4',null,'58',null,null,'81','81','2020-09-12 21:57:31','2020-09-12 21:57:31',null);
INSERT INTO complaint_statuses VALUES('3444','1077','4',null,'58',null,null,'81','81','2020-09-12 21:57:49','2020-09-12 21:57:49',null);
INSERT INTO complaint_statuses VALUES('3445','997','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-12 21:59:07','2020-09-12 21:59:07',null);
INSERT INTO complaint_statuses VALUES('3446','995','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-12 22:00:20','2020-09-12 22:00:20',null);
INSERT INTO complaint_statuses VALUES('3447','993','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-12 22:08:51','2020-09-12 22:08:51',null);
INSERT INTO complaint_statuses VALUES('3448','992','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-12 22:11:16','2020-09-12 22:11:16',null);
INSERT INTO complaint_statuses VALUES('3449','991','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-12 22:13:01','2020-09-12 22:13:01',null);
INSERT INTO complaint_statuses VALUES('3450','879','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-12 22:13:53','2020-09-12 22:13:53',null);
INSERT INTO complaint_statuses VALUES('3451','1083','2',null,'81',null,'KAHLID','73','73','2020-09-12 22:16:06','2020-09-12 22:16:06',null);
INSERT INTO complaint_statuses VALUES('3452','1083','4',null,'56',null,null,'81','81','2020-09-12 22:17:31','2020-09-12 22:17:31',null);
INSERT INTO complaint_statuses VALUES('3453','878','5',null,null,'complaint closed',null,'74','74','2020-09-12 22:18:36','2020-09-12 22:18:36',null);
INSERT INTO complaint_statuses VALUES('3454','877','5',null,null,'complaint closed',null,'74','74','2020-09-12 22:21:15','2020-09-12 22:21:15',null);
INSERT INTO complaint_statuses VALUES('3455','873','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-12 22:29:44','2020-09-12 22:29:44',null);
INSERT INTO complaint_statuses VALUES('3456','333','8','13','55','part I-10 say lay len',null,'81','81','2020-09-12 22:32:34','2020-09-12 22:32:34',null);
INSERT INTO complaint_statuses VALUES('3457','871','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-12 22:33:11','2020-09-12 22:33:11',null);
INSERT INTO complaint_statuses VALUES('3458','1067','8','23','62','03337868088',null,'81','81','2020-09-12 22:40:22','2020-09-12 22:40:22',null);
INSERT INTO complaint_statuses VALUES('3459','1066','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-12 22:41:18','2020-09-23 23:27:04',null);
INSERT INTO complaint_statuses VALUES('3460','1063','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-12 22:41:47','2020-09-12 23:10:30',null);
INSERT INTO complaint_statuses VALUES('3461','1051','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-09-12 22:42:26','2020-09-23 23:38:40',null);
INSERT INTO complaint_statuses VALUES('3462','1048','8','23','60',null,null,'81','81','2020-09-12 22:42:46','2020-09-12 22:42:46',null);
INSERT INTO complaint_statuses VALUES('3463','985','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-12 22:43:23','2020-09-12 23:30:00',null);
INSERT INTO complaint_statuses VALUES('3464','967','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-12 22:44:08','2020-09-25 00:27:57',null);
INSERT INTO complaint_statuses VALUES('3465','951','8','23','62','where is unit service center ya costumers home',null,'81','81','2020-09-12 22:45:05','2020-09-12 22:45:05',null);
INSERT INTO complaint_statuses VALUES('3466','916','5','15',null,null,'COMPLAINT CANCAL','81','92','2020-09-12 22:45:38','2020-09-14 20:30:06',null);
INSERT INTO complaint_statuses VALUES('3467','896','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-12 22:48:28','2020-09-16 02:41:42',null);
INSERT INTO complaint_statuses VALUES('3468','1084','2',null,'81',null,'LG','73','73','2020-09-12 22:49:15','2020-09-12 22:49:15',null);
INSERT INTO complaint_statuses VALUES('3469','977','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-12 22:52:44','2020-09-12 22:52:44',null);
INSERT INTO complaint_statuses VALUES('3470','954','7','12','81','واٹر پمپ چینج کر دیاهي تصویر نیا بنے گا تو بھیجے گے جاب compleet',null,'82','82','2020-09-12 22:59:09','2020-09-12 22:59:09',null);
INSERT INTO complaint_statuses VALUES('3471','951','7','12','81','CUSTOMER K GHR',null,'87','87','2020-09-12 22:59:20','2020-09-12 22:59:20',null);
INSERT INTO complaint_statuses VALUES('3472','728','7','24','81','سر frezer تیار ہو گیا ہے',null,'82','82','2020-09-12 23:00:12','2020-09-12 23:00:12',null);
INSERT INTO complaint_statuses VALUES('3473','957','7','26','81','INTERNAL LEAK HAI , CUSTOMER  AGREE  NHI PAYMENT DNY K LYE SO CANCEL',null,'87','87','2020-09-12 23:08:03','2020-09-12 23:08:03',null);
INSERT INTO complaint_statuses VALUES('3474','728','8','23','60','contact service center 03005511255',null,'81','81','2020-09-12 23:15:19','2020-09-12 23:15:19',null);
INSERT INTO complaint_statuses VALUES('3475','957','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-09-12 23:19:56','2020-09-23 23:12:13',null);
INSERT INTO complaint_statuses VALUES('3476','951','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-12 23:21:23','2020-09-24 00:10:20',null);
INSERT INTO complaint_statuses VALUES('3477','1085','2',null,'81',null,'LG','73','73','2020-09-12 23:31:46','2020-09-12 23:31:46',null);
INSERT INTO complaint_statuses VALUES('3478','1085','4',null,'55',null,null,'81','81','2020-09-12 23:32:21','2020-09-12 23:32:21',null);
INSERT INTO complaint_statuses VALUES('3479','1084','4',null,'55',null,null,'81','81','2020-09-12 23:32:28','2020-09-12 23:32:28',null);
INSERT INTO complaint_statuses VALUES('3480','958','5',null,null,'complaint closed',null,'74','74','2020-09-12 23:59:15','2020-09-12 23:59:15',null);
INSERT INTO complaint_statuses VALUES('3481','956','7','12','81','Only services unit ok',null,'77','77','2020-09-13 00:00:07','2020-09-13 00:00:07',null);
INSERT INTO complaint_statuses VALUES('3482','1002','7','22','81','PCB CARD',null,'87','87','2020-09-13 00:02:51','2020-09-13 00:02:51',null);
INSERT INTO complaint_statuses VALUES('3483','1086','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-09-13 00:06:54','2020-09-13 00:06:54',null);
INSERT INTO complaint_statuses VALUES('3484','1042','5','15',null,'paid jaob hain customer khud contact karay gei  sony company sa .
system sa complaint closed','complaint resolved','81','74','2020-09-13 00:06:57','2020-09-13 00:09:12',null);
INSERT INTO complaint_statuses VALUES('3485','482','5','15',null,'complaint resolved','complaint resolved','81','74','2020-09-13 00:08:07','2020-09-13 00:10:24',null);
INSERT INTO complaint_statuses VALUES('3486','956','5','15',null,'completed complaint','COMPLAINT RESOLVED','81','74','2020-09-13 00:23:08','2020-09-13 00:45:56',null);
INSERT INTO complaint_statuses VALUES('3487','800','7','12','81','Comaplint resloved light issue','COMPLAINT RESOLVED','79','74','2020-09-13 00:59:23','2020-09-13 01:06:35',null);
INSERT INTO complaint_statuses VALUES('3488','965','7','12','81',null,null,'79','79','2020-09-13 01:02:47','2020-09-13 01:02:47',null);
INSERT INTO complaint_statuses VALUES('3489','888','5',null,null,'complaint closed',null,'74','74','2020-09-13 01:17:03','2020-09-13 01:17:03',null);
INSERT INTO complaint_statuses VALUES('3490','961','7','12','81','Complaint resolved only service',null,'79','79','2020-09-13 01:18:54','2020-09-13 01:18:54',null);
INSERT INTO complaint_statuses VALUES('3491','1006','7','12','81','Filter clean compliant resloved',null,'79','79','2020-09-13 01:19:47','2020-09-13 01:19:47',null);
INSERT INTO complaint_statuses VALUES('3492','130','7','12','81',null,null,'82','82','2020-09-13 01:26:51','2020-09-13 01:26:51',null);
INSERT INTO complaint_statuses VALUES('3493','1065','7','12','81','drain..pipeseting....costmer ...chhrgs',null,'82','82','2020-09-13 01:27:53','2020-09-13 01:27:53',null);
INSERT INTO complaint_statuses VALUES('3494','1000','7','12','81','Complaint resolved.door switch issue',null,'79','79','2020-09-13 01:37:26','2020-09-13 01:37:26',null);
INSERT INTO complaint_statuses VALUES('3495','1010','7','24','81','Plz pick compressor issue',null,'79','79','2020-09-13 01:40:49','2020-09-13 01:40:49',null);
INSERT INTO complaint_statuses VALUES('3496','962','7','12','81','Complaint resloved',null,'79','79','2020-09-13 01:42:04','2020-09-13 01:42:04',null);
INSERT INTO complaint_statuses VALUES('3497','130','5','15',null,'complaint resolved','COMPLAINT RESOLVED','81','74','2020-09-13 01:42:32','2020-09-13 01:43:31',null);
INSERT INTO complaint_statuses VALUES('3498','1065','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-13 02:09:49','2020-09-16 02:01:00',null);
INSERT INTO complaint_statuses VALUES('3499','1010','8','23','58',null,null,'81','81','2020-09-13 02:10:11','2020-09-13 02:10:11',null);
INSERT INTO complaint_statuses VALUES('3500','1006','5','15',null,null,'AJ VISOT HO JAY GA','81','92','2020-09-13 02:10:50','2020-09-29 19:47:54',null);
INSERT INTO complaint_statuses VALUES('3501','1000','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-13 02:12:03','2020-09-16 20:54:20',null);
INSERT INTO complaint_statuses VALUES('3502','965','8','23','58','explain problem',null,'81','81','2020-09-13 02:12:55','2020-09-13 02:12:55',null);
INSERT INTO complaint_statuses VALUES('3503','962','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-13 02:13:22','2020-09-14 19:51:57',null);
INSERT INTO complaint_statuses VALUES('3504','961','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-13 02:13:40','2020-09-14 19:53:52',null);
INSERT INTO complaint_statuses VALUES('3505','954','5','15',null,'extra water pump instal','COMPLAINT RESOLVED','81','92','2020-09-13 02:14:27','2020-09-17 22:26:39',null);
INSERT INTO complaint_statuses VALUES('3506','800','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-13 02:14:46','2020-09-16 23:11:01',null);
INSERT INTO complaint_statuses VALUES('3507','1087','3',null,'52',null,'COMPLAIN#PKRI200912111299','73','73','2020-09-13 02:24:12','2020-09-13 02:32:08',null);
INSERT INTO complaint_statuses VALUES('3508','893','7','12','81','complaint resolved','complaint resolved','88','74','2020-09-13 02:27:37','2020-09-13 02:28:23',null);
INSERT INTO complaint_statuses VALUES('3509','1044','7','12','81','ISSUE RESOLVED AT HOME .. ICE KI WJA SE DOOR OPEN NI HO RHA THA',null,'87','87','2020-09-13 02:31:46','2020-09-13 02:31:46',null);
INSERT INTO complaint_statuses VALUES('3510','1088','3',null,'54',null,'COMPLAIN#1729283','73','73','2020-09-13 02:47:30','2020-09-13 02:47:30',null);
INSERT INTO complaint_statuses VALUES('3511','1089','2',null,'81',null,'08-08-2020
BEST COOL','73','73','2020-09-13 19:19:00','2020-09-13 19:19:00',null);
INSERT INTO complaint_statuses VALUES('3512','1089','4',null,'58',null,null,'81','81','2020-09-13 19:20:18','2020-09-13 19:20:18',null);
INSERT INTO complaint_statuses VALUES('3513','1090','3',null,'52',null,'COMPLAIN#PKRI200913102762','73','73','2020-09-13 19:36:49','2020-09-13 21:08:53',null);
INSERT INTO complaint_statuses VALUES('3514','1091','3',null,'52',null,'COMPLAIN#PKRI200913102737','73','73','2020-09-13 19:38:56','2020-09-13 21:06:11',null);
INSERT INTO complaint_statuses VALUES('3515','1092','2',null,'81',null,'MRM

C/O NAEEM SB','73','73','2020-09-13 19:41:47','2020-09-13 19:41:47',null);
INSERT INTO complaint_statuses VALUES('3516','1093','3',null,'54',null,'COMPLAIN#1729567','73','73','2020-09-13 19:45:19','2020-09-13 20:57:02',null);
INSERT INTO complaint_statuses VALUES('3517','1094','3',null,'52',null,'COMPLAIN#PKRI200913102705','73','73','2020-09-13 19:53:19','2020-09-13 21:06:20',null);
INSERT INTO complaint_statuses VALUES('3518','1095','2',null,'81',null,'LG','73','73','2020-09-13 19:56:36','2020-09-13 19:56:36',null);
INSERT INTO complaint_statuses VALUES('3519','1096','3',null,'52',null,'COMPLAIN#PKRI200913102675','73','73','2020-09-13 19:58:06','2020-09-13 21:06:54',null);
INSERT INTO complaint_statuses VALUES('3520','1097','3',null,'67',null,'FRWRD TO MUNAWAR CANON','73','73','2020-09-13 20:03:06','2020-09-13 20:03:06',null);
INSERT INTO complaint_statuses VALUES('3521','1098','2',null,'81',null,'B.COOL','73','73','2020-09-13 20:09:04','2020-09-13 20:09:04',null);
INSERT INTO complaint_statuses VALUES('3522','1098','4',null,'58',null,null,'81','81','2020-09-13 20:11:22','2020-09-13 20:11:22',null);
INSERT INTO complaint_statuses VALUES('3523','1095','4',null,'55',null,null,'81','81','2020-09-13 20:11:33','2020-09-13 20:11:33',null);
INSERT INTO complaint_statuses VALUES('3524','1092','4',null,'61',null,null,'81','81','2020-09-13 20:11:41','2020-09-13 20:11:41',null);
INSERT INTO complaint_statuses VALUES('3525','1099','3',null,'65',null,'COMPLAIN#192017993','73','73','2020-09-13 20:13:06','2020-09-13 20:53:38',null);
INSERT INTO complaint_statuses VALUES('3526','1100','2',null,'81',null,'MRM','73','73','2020-09-13 20:27:40','2020-09-13 20:27:40',null);
INSERT INTO complaint_statuses VALUES('3527','1100','4',null,'61',null,null,'81','81','2020-09-13 20:28:16','2020-09-13 20:28:16',null);
INSERT INTO complaint_statuses VALUES('3528','394','7','12','81','customer khud repair  kerwa rehy hain.i 10 nahi aye ga',null,'79','79','2020-09-13 20:33:53','2020-09-13 20:33:53',null);
INSERT INTO complaint_statuses VALUES('3529','388','7','24','81','customer  out of city hain .jb aye gain tu i 10 ly kr jaye gain',null,'79','79','2020-09-13 20:39:40','2020-09-13 20:39:40',null);
INSERT INTO complaint_statuses VALUES('3530','625','7','12','81','compressor change  .complaint resolved',null,'79','79','2020-09-13 20:44:50','2020-09-13 20:44:50',null);
INSERT INTO complaint_statuses VALUES('3531','996','7','12','81','complaint reoslved',null,'79','79','2020-09-13 21:17:20','2020-09-13 21:17:20',null);
INSERT INTO complaint_statuses VALUES('3532','1044','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-13 21:50:45','2020-09-14 19:12:20',null);
INSERT INTO complaint_statuses VALUES('3533','996','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-13 22:10:26','2020-09-16 21:02:20',null);
INSERT INTO complaint_statuses VALUES('3534','893','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-13 22:10:41','2020-09-17 00:38:19',null);
INSERT INTO complaint_statuses VALUES('3535','965','7','12','81','jet issue',null,'79','79','2020-09-13 22:11:22','2020-09-13 22:11:22',null);
INSERT INTO complaint_statuses VALUES('3536','1101','3',null,'52',null,'COMPLAIN#PKRI200913106379','73','73','2020-09-13 22:18:01','2020-09-14 01:33:59',null);
INSERT INTO complaint_statuses VALUES('3537','1102','2',null,'81',null,null,'73','73','2020-09-13 22:26:15','2020-09-13 22:26:15',null);
INSERT INTO complaint_statuses VALUES('3538','1102','4',null,'60',null,null,'81','81','2020-09-13 22:26:33','2020-09-13 22:26:33',null);
INSERT INTO complaint_statuses VALUES('3539','965','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-13 22:27:30','2020-09-17 19:50:50',null);
INSERT INTO complaint_statuses VALUES('3540','625','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-13 22:27:56','2020-09-16 22:42:36',null);
INSERT INTO complaint_statuses VALUES('3541','394','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-13 22:30:02','2020-09-17 22:45:08',null);
INSERT INTO complaint_statuses VALUES('3542','388','8','23','58',null,null,'81','81','2020-09-13 22:30:23','2020-09-13 22:30:23',null);
INSERT INTO complaint_statuses VALUES('3543','1075','7','22','81','1-9-2016 compressor issue','REMINDER KAR DEYA HAY RANA TAHIR KO','79','92','2020-09-13 23:41:09','2020-09-13 23:52:10',null);
INSERT INTO complaint_statuses VALUES('3544','1075','5','23',null,null,'COMPLAINT RESOLVED','81','92','2020-09-13 23:52:05','2020-09-16 23:39:10',null);
INSERT INTO complaint_statuses VALUES('3545','1103','2',null,'81',null,'B.COOL

2UNITS HAIN','73','73','2020-09-14 01:15:42','2020-09-14 01:15:42',null);
INSERT INTO complaint_statuses VALUES('3546','1104','2',null,'81',null,'H.SOLUTION','73','73','2020-09-14 01:23:05','2020-09-14 01:23:05',null);
INSERT INTO complaint_statuses VALUES('3547','1104','4',null,'62',null,null,'81','81','2020-09-14 01:28:54','2020-09-14 01:28:54',null);
INSERT INTO complaint_statuses VALUES('3548','1103','4',null,'58',null,null,'81','81','2020-09-14 01:29:03','2020-09-14 01:29:03',null);
INSERT INTO complaint_statuses VALUES('3549','1054','7','12','81','ISSUE RESOLVED AT HOME... PANI K DROP KI WJA SE TOUCH MEIN ISSUE THA',null,'87','87','2020-09-14 01:36:12','2020-09-14 01:36:12',null);
INSERT INTO complaint_statuses VALUES('3550','1105','3',null,'65',null,'COMPLAIN#192017996','73','73','2020-09-14 01:52:28','2020-09-14 01:57:47',null);
INSERT INTO complaint_statuses VALUES('3551','1052','7','12','81','drain pump ki wire ka  issue tha.',null,'79','79','2020-09-14 01:55:22','2020-09-14 01:55:22',null);
INSERT INTO complaint_statuses VALUES('3552','1106','2',null,'81',null,'B.COOL','73','73','2020-09-14 02:20:21','2020-09-14 02:20:21',null);
INSERT INTO complaint_statuses VALUES('3553','1107','3',null,'59',null,'COMPLAIN#4237577745','73','73','2020-09-14 02:29:11','2020-09-14 02:29:11',null);
INSERT INTO complaint_statuses VALUES('3554','1106','4',null,'58',null,null,'81','81','2020-09-14 02:29:27','2020-09-14 02:29:27',null);
INSERT INTO complaint_statuses VALUES('3555','1108','3',null,'53',null,'COMPLAIN#1045527','73','73','2020-09-14 02:32:24','2020-09-14 02:43:13',null);
INSERT INTO complaint_statuses VALUES('3556','1109','2',null,'81',null,'B.COOL','73','73','2020-09-14 02:36:54','2020-09-14 02:36:54',null);
INSERT INTO complaint_statuses VALUES('3557','1109','4',null,'58',null,null,'81','81','2020-09-14 02:39:13','2020-09-14 02:39:13',null);
INSERT INTO complaint_statuses VALUES('3558','1010','7','12','81','hum ny compressor  k sath relay or overlaod  change kia tha ..compressor heat up tha .pehly asy issue aty rehy hain .custoemr ny khud rely  change kerwai hai .frezer kam kr raha hai.',null,'79','79','2020-09-14 03:00:24','2020-09-14 03:00:24',null);
INSERT INTO complaint_statuses VALUES('3559','1067','7','12','81','ISSUE RESOLVED AT HOME . THERMOSTATE KI SETTING KI',null,'87','87','2020-09-14 03:47:14','2020-09-14 03:47:14',null);
INSERT INTO complaint_statuses VALUES('3560','1104','7','26','81','AC SERVICE HOGA BUT ABI NHI KRWANA BY CUSTOMER',null,'87','87','2020-09-14 04:28:35','2020-09-14 04:28:35',null);
INSERT INTO complaint_statuses VALUES('3561','941','7','24','81','thermostate chnagr kr dya hai 2 din checking kry gain.',null,'79','79','2020-09-14 04:56:26','2020-09-14 04:56:26',null);
INSERT INTO complaint_statuses VALUES('3562','1110','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','73','2020-09-14 19:44:29','2020-09-14 19:44:29',null);
INSERT INTO complaint_statuses VALUES('3563','1111','3',null,'65',null,'INVOICE=22267
MODEL=500FC
D.O.P:9-MAY-2020
IMRAN FCP NE FRWRD KI
COMPLAIN#192018015','73','73','2020-09-14 19:46:51','2020-09-14 20:28:55',null);
INSERT INTO complaint_statuses VALUES('3564','1112','3',null,'52',null,'COMPLAIN#PKRI200914102747','73','73','2020-09-14 19:54:09','2020-09-14 20:02:17',null);
INSERT INTO complaint_statuses VALUES('3565','758','7','12','81','customer sy bt hui hai.kuch setting ki thi .kuch behter cahl rahi ai.jb dubara issue hua tu comaplint ener kerwa dein gaun',null,'79','79','2020-09-14 20:05:56','2020-09-14 20:05:56',null);
INSERT INTO complaint_statuses VALUES('3566','1079','7','12','81','complaint resolved.filter clean',null,'79','79','2020-09-14 20:16:05','2020-09-14 20:16:05',null);
INSERT INTO complaint_statuses VALUES('3567','1068','7','12','81','Only services',null,'77','77','2020-09-14 20:26:50','2020-09-14 20:26:50',null);
INSERT INTO complaint_statuses VALUES('3568','1083','7','12','81','Only services',null,'77','77','2020-09-14 20:27:14','2020-09-14 20:27:14',null);
INSERT INTO complaint_statuses VALUES('3569','1113','2',null,'81',null,'B.COOL','73','73','2020-09-14 20:39:46','2020-09-14 20:39:46',null);
INSERT INTO complaint_statuses VALUES('3570','1113','4',null,'58',null,null,'81','81','2020-09-14 20:40:26','2020-09-14 20:40:26',null);
INSERT INTO complaint_statuses VALUES('3571','928','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-14 21:03:04','2020-09-14 21:03:04',null);
INSERT INTO complaint_statuses VALUES('3572','926','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-14 21:06:17','2020-09-14 21:06:17',null);
INSERT INTO complaint_statuses VALUES('3573','1114','2',null,'81',null,'B.COOL','73','73','2020-09-14 21:07:40','2020-09-14 21:07:40',null);
INSERT INTO complaint_statuses VALUES('3574','1114','4',null,'58',null,null,'81','81','2020-09-14 21:07:58','2020-09-14 21:07:58',null);
INSERT INTO complaint_statuses VALUES('3575','758','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-14 21:10:37','2020-09-15 21:28:20',null);
INSERT INTO complaint_statuses VALUES('3576','922','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-14 21:11:08','2020-09-14 21:11:08',null);
INSERT INTO complaint_statuses VALUES('3577','1115','3',null,'53',null,'COMPLAIN#301045994','73','73','2020-09-14 21:18:07','2020-09-15 01:12:19',null);
INSERT INTO complaint_statuses VALUES('3578','1116','2',null,'81',null,'14-SEP-2020
FF TO AZHAE RAMZAN(FCI)','74','74','2020-09-14 21:19:55','2020-09-14 21:19:55',null);
INSERT INTO complaint_statuses VALUES('3579','941','8','23','58',null,null,'81','81','2020-09-14 21:21:21','2020-09-14 21:21:21',null);
INSERT INTO complaint_statuses VALUES('3580','1117','2',null,'81',null,'LG','73','73','2020-09-14 21:23:14','2020-09-14 21:23:14',null);
INSERT INTO complaint_statuses VALUES('3581','1002','8','23','62','show room mai chake karvao',null,'81','81','2020-09-14 21:24:45','2020-09-14 21:24:45',null);
INSERT INTO complaint_statuses VALUES('3582','931','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-14 21:24:57','2020-09-14 21:24:57',null);
INSERT INTO complaint_statuses VALUES('3583','1010','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-14 21:25:51','2020-09-16 01:47:35',null);
INSERT INTO complaint_statuses VALUES('3584','1052','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-14 21:26:07','2020-09-16 02:14:01',null);
INSERT INTO complaint_statuses VALUES('3585','1054','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-14 21:26:29','2020-09-16 02:11:33',null);
INSERT INTO complaint_statuses VALUES('3586','929','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-14 21:26:52','2020-09-14 21:26:52',null);
INSERT INTO complaint_statuses VALUES('3587','1067','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-14 21:29:04','2020-09-16 02:39:12',null);
INSERT INTO complaint_statuses VALUES('3588','1068','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-14 21:30:12','2020-09-16 02:06:07',null);
INSERT INTO complaint_statuses VALUES('3589','927','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-14 21:30:32','2020-09-14 21:30:32',null);
INSERT INTO complaint_statuses VALUES('3590','1083','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-14 21:31:01','2020-09-16 20:51:30',null);
INSERT INTO complaint_statuses VALUES('3591','1104','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-09-14 21:31:31','2020-09-16 19:29:14',null);
INSERT INTO complaint_statuses VALUES('3592','1079','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-14 21:31:46','2020-09-16 19:38:25',null);
INSERT INTO complaint_statuses VALUES('3593','796','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-14 21:40:37','2020-09-17 20:11:05',null);
INSERT INTO complaint_statuses VALUES('3594','1055','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-14 21:48:28','2020-09-14 21:48:28',null);
INSERT INTO complaint_statuses VALUES('3595','1118','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','73','74','2020-09-14 22:02:05','2020-09-14 23:52:20',null);
INSERT INTO complaint_statuses VALUES('3596','1047','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-14 22:06:43','2020-09-14 22:06:43',null);
INSERT INTO complaint_statuses VALUES('3597','1119','3',null,'67',null,'FRWRD TO MUNAWAR CANON','73','73','2020-09-14 22:14:05','2020-09-14 22:14:05',null);
INSERT INTO complaint_statuses VALUES('3598','266','5',null,null,'COSTUMER call attend nai krry thy, , closed karwa di ha complain',null,'74','74','2020-09-14 22:24:00','2020-09-14 22:24:00',null);
INSERT INTO complaint_statuses VALUES('3599','1120','3',null,'53',null,'14-SEP-2020
COMPLAINT#1045782','73','73','2020-09-14 22:32:19','2020-09-14 22:32:19',null);
INSERT INTO complaint_statuses VALUES('3600','617','5',null,null,'costumer ne unit service centre le kr jana ha','COMPLAINT RESOLVED','74','92','2020-09-14 22:51:23','2020-09-23 22:49:48',null);
INSERT INTO complaint_statuses VALUES('3601','644','5',null,null,null,'COMPLAINT RESOLVED','74','92','2020-09-14 22:53:23','2020-10-01 01:04:38',null);
INSERT INTO complaint_statuses VALUES('3602','1121','3',null,'66',null,'14-SEP-2020.
COMPLAINT#87998','73','74','2020-09-14 23:02:31','2020-09-15 22:04:39',null);
INSERT INTO complaint_statuses VALUES('3603','1122','3',null,'52',null,'14-SEP-2020.
COMPLAINT # PKRI-200914107851','73','73','2020-09-14 23:09:52','2020-09-14 23:09:52',null);
INSERT INTO complaint_statuses VALUES('3604','1123','3',null,'52',null,'14-SEP-2020
COMPLAINT# PKRI-200914107810','73','73','2020-09-14 23:09:57','2020-09-14 23:09:57',null);
INSERT INTO complaint_statuses VALUES('3605','876','5',null,null,'service required thi','COMPLAINT RESOLVED','74','92','2020-09-14 23:15:37','2020-09-17 20:07:42',null);
INSERT INTO complaint_statuses VALUES('3606','960','5',null,null,'resolved','COMPLAINT RESOLVED','74','92','2020-09-14 23:20:04','2020-09-19 19:28:48',null);
INSERT INTO complaint_statuses VALUES('3607','963','5',null,null,'resolved','COMPLAINT RESOLVED','74','92','2020-09-14 23:22:50','2020-09-16 01:37:36',null);
INSERT INTO complaint_statuses VALUES('3608','1031','5',null,null,'resolved','COMPLAINT RESOLVED','74','92','2020-09-14 23:24:29','2020-09-17 19:44:01',null);
INSERT INTO complaint_statuses VALUES('3609','1124','3',null,'65',null,'14-SEP-2020
COMPLAIN#192018024','73','73','2020-09-14 23:24:49','2020-09-14 23:24:49',null);
INSERT INTO complaint_statuses VALUES('3610','1125','3',null,'65',null,'14-SEP-2020

OTHER#03105015350

COMPLAINT#192018025','73','73','2020-09-14 23:27:19','2020-09-15 01:41:02',null);
INSERT INTO complaint_statuses VALUES('3611','1126','3',null,'52',null,'14-SEP-2020
COMPLAINT#PKRI-200914108505','73','73','2020-09-14 23:33:30','2020-09-14 23:33:30',null);
INSERT INTO complaint_statuses VALUES('3612','1127','3',null,'68',null,'FRWRD TO AMNA BOSCH','74','74','2020-09-14 23:43:05','2020-09-14 23:43:05',null);
INSERT INTO complaint_statuses VALUES('3613','1117','4',null,'55',null,'NOT ATTEND CALL','81','92','2020-09-14 23:43:50','2020-09-21 21:14:26',null);
INSERT INTO complaint_statuses VALUES('3614','1128','3',null,'65',null,'14-SEP-2020
COMPLAINT#192018026','73','73','2020-09-14 23:46:31','2020-09-15 00:39:47',null);
INSERT INTO complaint_statuses VALUES('3615','1129','2',null,'81',null,'H.SOLUTION','74','74','2020-09-14 23:47:40','2020-09-14 23:47:40',null);
INSERT INTO complaint_statuses VALUES('3616','1130','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','74','74','2020-09-14 23:48:34','2020-09-14 23:48:34',null);
INSERT INTO complaint_statuses VALUES('3617','1131','2',null,'81',null,'NADEEM','74','74','2020-09-14 23:58:40','2020-09-14 23:58:40',null);
INSERT INTO complaint_statuses VALUES('3618','1132','3',null,'52',null,'COMPLAIN#PKRI200914110403','74','73','2020-09-15 00:05:23','2020-09-15 00:53:23',null);
INSERT INTO complaint_statuses VALUES('3619','1133','2',null,'81',null,'LG','74','74','2020-09-15 00:07:25','2020-09-15 00:07:25',null);
INSERT INTO complaint_statuses VALUES('3620','1102','7','24','81','frige partion not working sensor issue kal jana hai again',null,'82','82','2020-09-15 00:08:47','2020-09-15 00:08:47',null);
INSERT INTO complaint_statuses VALUES('3621','1059','7','12','81','service issue thek hogya hai cstmer chrgs',null,'82','82','2020-09-15 00:10:13','2020-09-15 00:10:13',null);
INSERT INTO complaint_statuses VALUES('3622','1134','3',null,'67',null,'FRWRD TO MUNAWAR CANON','74','73','2020-09-15 00:19:48','2020-09-15 00:44:20',null);
INSERT INTO complaint_statuses VALUES('3623','1135','3',null,'53',null,'COMPLAIN#301045996','74','73','2020-09-15 00:19:51','2020-09-15 01:16:25',null);
INSERT INTO complaint_statuses VALUES('3624','1136','3',null,'52',null,'COMPLAIN#PKRI200914110308','73','73','2020-09-15 00:27:58','2020-09-15 00:48:37',null);
INSERT INTO complaint_statuses VALUES('3625','1102','8','23','60',null,null,'81','81','2020-09-15 00:28:17','2020-09-15 00:28:17',null);
INSERT INTO complaint_statuses VALUES('3626','1059','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-15 00:28:48','2020-09-16 23:57:03',null);
INSERT INTO complaint_statuses VALUES('3627','870','7','12','81','Ok..',null,'77','77','2020-09-15 00:29:20','2020-09-15 00:29:20',null);
INSERT INTO complaint_statuses VALUES('3628','1137','2',null,'81',null,'B.COOL','73','73','2020-09-15 00:35:55','2020-09-15 00:35:55',null);
INSERT INTO complaint_statuses VALUES('3629','1137','4',null,'58',null,null,'81','81','2020-09-15 00:36:20','2020-09-15 00:36:20',null);
INSERT INTO complaint_statuses VALUES('3630','1133','4',null,'55',null,null,'81','81','2020-09-15 00:36:30','2020-09-15 00:36:30',null);
INSERT INTO complaint_statuses VALUES('3631','1133','4',null,'55',null,null,'81','81','2020-09-15 00:36:30','2020-09-15 00:36:30',null);
INSERT INTO complaint_statuses VALUES('3632','1131','4',null,'59',null,null,'81','81','2020-09-15 00:36:40','2020-09-15 00:36:40',null);
INSERT INTO complaint_statuses VALUES('3633','1129','4',null,'62',null,null,'81','81','2020-09-15 00:36:49','2020-09-15 00:36:49',null);
INSERT INTO complaint_statuses VALUES('3634','1116','4',null,'60',null,null,'81','81','2020-09-15 00:37:01','2020-09-15 00:37:01',null);
INSERT INTO complaint_statuses VALUES('3635','942','7','12','81','COMPLAINT RESOLVED',null,'88','88','2020-09-15 00:44:42','2020-09-15 00:44:42',null);
INSERT INTO complaint_statuses VALUES('3636','1138','2',null,'81',null,'21-08-2020
FF TO SHAMIM AKHTER','73','73','2020-09-15 01:01:44','2020-09-15 01:01:44',null);
INSERT INTO complaint_statuses VALUES('3637','1138','4',null,'55',null,'NOT ATTEND CALL','81','92','2020-09-15 01:02:50','2020-09-22 22:08:42',null);
INSERT INTO complaint_statuses VALUES('3638','1139','3',null,'52',null,'FRWRD TO TAHSEEN SIR','73','73','2020-09-15 01:20:49','2020-09-15 01:20:49',null);
INSERT INTO complaint_statuses VALUES('3639','867','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-15 01:21:29','2020-09-15 01:21:29',null);
INSERT INTO complaint_statuses VALUES('3640','1140','2',null,'81',null,'NADEEM
OUT OF WARRANTY HA NADEEM SB KO FRWRD KI COMPLAIN','73','73','2020-09-15 01:28:03','2020-09-15 01:28:03',null);
INSERT INTO complaint_statuses VALUES('3641','1140','4',null,'59',null,null,'81','81','2020-09-15 01:28:37','2020-09-15 01:28:37',null);
INSERT INTO complaint_statuses VALUES('3642','1029','7','12','81','JUST DEMO THA',null,'87','87','2020-09-15 01:34:15','2020-09-15 01:34:15',null);
INSERT INTO complaint_statuses VALUES('3643','1028','7','12','81','ISSUE RESOLVED AT HOME',null,'87','87','2020-09-15 01:35:21','2020-09-15 01:35:21',null);
INSERT INTO complaint_statuses VALUES('3644','826','7','12','81','complaint closed',null,'88','88','2020-09-15 01:40:45','2020-09-15 01:40:45',null);
INSERT INTO complaint_statuses VALUES('3645','825','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-15 01:44:58','2020-09-15 01:44:58',null);
INSERT INTO complaint_statuses VALUES('3646','1074','7','26','81','Drain Pipe adjustment only.',null,'76','76','2020-09-15 01:52:06','2020-09-15 01:52:06',null);
INSERT INTO complaint_statuses VALUES('3647','1106','7','12','81','wiring issue comaplint resolved',null,'79','79','2020-09-15 01:57:03','2020-09-15 01:57:03',null);
INSERT INTO complaint_statuses VALUES('3648','1141','2',null,'81',null,'LG','73','73','2020-09-15 02:09:25','2020-09-15 02:09:25',null);
INSERT INTO complaint_statuses VALUES('3649','1142','2',null,'81',null,'LG','73','73','2020-09-15 02:10:54','2020-09-15 02:10:54',null);
INSERT INTO complaint_statuses VALUES('3650','1143','3',null,'53',null,'COMPLAINT#301046072','73','74','2020-09-15 02:16:39','2020-09-15 02:49:17',null);
INSERT INTO complaint_statuses VALUES('3651','1144','2',null,'81',null,null,'73','73','2020-09-15 02:18:48','2020-09-15 02:18:48',null);
INSERT INTO complaint_statuses VALUES('3652','1144','4',null,'60',null,null,'81','81','2020-09-15 02:19:32','2020-09-15 02:19:32',null);
INSERT INTO complaint_statuses VALUES('3653','1142','4',null,'55',null,null,'81','81','2020-09-15 02:19:46','2020-09-15 02:19:46',null);
INSERT INTO complaint_statuses VALUES('3654','1141','4',null,'55',null,null,'81','81','2020-09-15 02:19:52','2020-09-15 02:19:52',null);
INSERT INTO complaint_statuses VALUES('3655','669','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-15 02:21:16','2020-09-15 02:21:16',null);
INSERT INTO complaint_statuses VALUES('3656','1145','3',null,'52',null,'COMPLAIN#PKRI200914112623','73','73','2020-09-15 02:36:31','2020-09-15 02:36:31',null);
INSERT INTO complaint_statuses VALUES('3657','1146','3',null,'63',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-09-15 02:39:16','2020-09-15 02:39:16',null);
INSERT INTO complaint_statuses VALUES('3658','1129','7','26','81','FAN MOTER KA ISSUE HAI . CUSTOMER PAYMENT NHI DE RHA FAN MOTER KI',null,'87','87','2020-09-15 02:46:07','2020-09-15 02:46:07',null);
INSERT INTO complaint_statuses VALUES('3659','1147','3',null,'52',null,'COMPLAIN#PKRI200914112862','73','73','2020-09-15 02:50:49','2020-09-15 02:50:49',null);
INSERT INTO complaint_statuses VALUES('3660','1106','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-15 04:07:48','2020-09-16 19:27:23',null);
INSERT INTO complaint_statuses VALUES('3661','1029','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-15 04:08:08','2020-09-17 00:13:04',null);
INSERT INTO complaint_statuses VALUES('3662','1028','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-15 04:08:34','2020-09-16 02:46:31',null);
INSERT INTO complaint_statuses VALUES('3663','942','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-15 04:08:50','2020-09-16 01:17:13',null);
INSERT INTO complaint_statuses VALUES('3664','826','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-15 04:09:29','2020-09-16 23:15:05',null);
INSERT INTO complaint_statuses VALUES('3665','1129','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-09-15 04:09:53','2020-09-25 00:25:22',null);
INSERT INTO complaint_statuses VALUES('3666','1074','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-15 04:10:08','2020-09-16 23:42:06',null);
INSERT INTO complaint_statuses VALUES('3667','1100','7','24','81','Customer already koi visit kr gaya ha 1week pahlay 
plz check  from customer  and cancel the complaint',null,'83','83','2020-09-15 05:31:25','2020-09-15 05:31:25',null);
INSERT INTO complaint_statuses VALUES('3668','775','7','12','81','unit ok  waiting customer to pickup',null,'83','83','2020-09-15 05:32:11','2020-09-15 05:32:11',null);
INSERT INTO complaint_statuses VALUES('3669','1098','7','12','81','customer cancel the complaint .is ko pehly tahseen sb ny theek kia tha .or custoemr bol rehy ye diswahser pehly bhi kai br repair ho chuka .hai ..mein  ny new ly lya hai .is ko sale kr dy ahai',null,'79','79','2020-09-15 19:22:20','2020-09-15 19:22:20',null);
INSERT INTO complaint_statuses VALUES('3670','1109','7','12','81','water pressure ka hai',null,'79','79','2020-09-15 19:23:11','2020-09-15 19:23:11',null);
INSERT INTO complaint_statuses VALUES('3671','1015','7','12','81','oven mein koi  issue ni tha.check kerwa dy hai',null,'79','79','2020-09-15 19:25:30','2020-09-15 19:25:30',null);
INSERT INTO complaint_statuses VALUES('3672','1103','7','20','81','Pcb and  motor issue',null,'79','79','2020-09-15 19:26:32','2020-09-15 19:26:32',null);
INSERT INTO complaint_statuses VALUES('3673','71','5',null,null,null,'COMPLAINT RESOLVED','92','92','2020-09-15 19:43:27','2020-09-15 19:43:48',null);
INSERT INTO complaint_statuses VALUES('3674','136','5',null,null,'COMPLAINT RESOLVED',null,'92','92','2020-09-15 19:52:52','2020-09-15 19:52:52',null);
INSERT INTO complaint_statuses VALUES('3675','1148','3',null,'65',null,'15-SEP-2020
COMPLIANT# 192018046','74','74','2020-09-15 19:56:18','2020-09-15 19:56:18',null);
INSERT INTO complaint_statuses VALUES('3676','267','5',null,null,null,'COMPLAINT RESOLVED','92','92','2020-09-15 20:09:37','2020-09-16 21:29:45',null);
INSERT INTO complaint_statuses VALUES('3677','1082','7','12','81','issue resolved at home. just customer is hallucinatory',null,'87','87','2020-09-15 20:14:46','2020-09-15 20:14:46',null);
INSERT INTO complaint_statuses VALUES('3678','286','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-15 20:28:34','2020-09-15 20:28:34',null);
INSERT INTO complaint_statuses VALUES('3679','1149','2',null,'81',null,'15-SEP-2020
FF TO SHAMIM AKHTER','74','74','2020-09-15 20:41:52','2020-09-15 20:41:52',null);
INSERT INTO complaint_statuses VALUES('3680','1150','2',null,'81',null,'14-SEP-2020
FF TO NAEEM KENWOOD','74','74','2020-09-15 20:47:09','2020-09-15 20:47:09',null);
INSERT INTO complaint_statuses VALUES('3681','1150','3',null,'55',null,null,'81','81','2020-09-15 20:48:45','2020-09-15 20:48:45',null);
INSERT INTO complaint_statuses VALUES('3682','1149','4',null,'55',null,null,'81','81','2020-09-15 20:49:12','2020-09-15 20:49:12',null);
INSERT INTO complaint_statuses VALUES('3683','819','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-15 21:00:16','2020-09-15 21:00:16',null);
INSERT INTO complaint_statuses VALUES('3684','1056','7','22','81','compreesor issue',null,'79','79','2020-09-15 21:10:16','2020-09-15 21:10:16',null);
INSERT INTO complaint_statuses VALUES('3685','1151','3',null,'63',null,'15-SEP-2020
COMPLAINT#2036','74','74','2020-09-15 21:22:20','2020-09-15 21:31:02',null);
INSERT INTO complaint_statuses VALUES('3686','1098','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-15 21:25:49','2020-09-16 23:33:43',null);
INSERT INTO complaint_statuses VALUES('3687','1082','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-15 21:26:27','2020-09-16 19:36:23',null);
INSERT INTO complaint_statuses VALUES('3688','1015','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-15 21:26:48','2020-09-16 02:55:01',null);
INSERT INTO complaint_statuses VALUES('3689','775','8','23','61','where is unit your service center ya costumer home',null,'81','81','2020-09-15 21:29:31','2020-09-15 21:29:31',null);
INSERT INTO complaint_statuses VALUES('3690','1056','8','23','58',null,null,'81','81','2020-09-15 21:30:02','2020-09-15 21:30:02',null);
INSERT INTO complaint_statuses VALUES('3691','1103','8','23','58',null,null,'81','81','2020-09-15 21:31:34','2020-09-15 21:31:34',null);
INSERT INTO complaint_statuses VALUES('3692','1109','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-15 21:31:56','2020-09-16 19:25:01',null);
INSERT INTO complaint_statuses VALUES('3693','1152','2',null,'81',null,'15-SEP-2020
FF TO B.COOL','74','74','2020-09-15 21:37:07','2020-09-15 21:37:07',null);
INSERT INTO complaint_statuses VALUES('3694','1152','4',null,'58',null,null,'81','81','2020-09-15 21:38:27','2020-09-15 21:38:27',null);
INSERT INTO complaint_statuses VALUES('3695','1153','3',null,'52',null,'complain#pkri200915105595','73','73','2020-09-15 21:38:40','2020-09-15 21:38:40',null);
INSERT INTO complaint_statuses VALUES('3696','1100','5','15',null,'complaint close costumer end','CUSTOMER NA LOCAL TECHNICIAN SA COMPLAINT  RESOLVED KARWA LI','81','74','2020-09-15 21:43:11','2020-09-16 01:00:14',null);
INSERT INTO complaint_statuses VALUES('3697','870','5','15',null,'soft wear issue resolve unit in costumer home','COMPLAINT RESOLVED','81','92','2020-09-15 21:47:03','2020-09-16 22:36:57',null);
INSERT INTO complaint_statuses VALUES('3698','1154','2',null,'81',null,'15-SEP-2020
FF TO KHURRAM 5 STAR','74','74','2020-09-15 21:54:22','2020-09-15 21:54:22',null);
INSERT INTO complaint_statuses VALUES('3699','743','7','12','81','only gas charges.no compreeosr change',null,'79','79','2020-09-15 22:05:51','2020-09-15 22:05:51',null);
INSERT INTO complaint_statuses VALUES('3700','763','7','12','81','gas charge complaint reoslved',null,'79','79','2020-09-15 22:06:29','2020-09-15 22:06:29',null);
INSERT INTO complaint_statuses VALUES('3701','848','7','12','81','compressor change ,gas and cupplery complaint resolved',null,'79','79','2020-09-15 22:07:21','2020-09-15 22:07:21',null);
INSERT INTO complaint_statuses VALUES('3702','1140','7','24','81','customer say bat ho gae hy customer set S/C lay ga',null,'80','80','2020-09-15 22:12:16','2020-09-15 22:12:16',null);
INSERT INTO complaint_statuses VALUES('3703','1131','7','10','81','customer not picking call',null,'80','80','2020-09-15 22:13:56','2020-09-15 22:13:56',null);
INSERT INTO complaint_statuses VALUES('3704','1005','7','12','81','customer  ny kese or ko set day dia hy ab kes ko dia  hy ni pata customer bat karty karty call cut kr deta hy pher bat ni karta',null,'80','80','2020-09-15 22:19:34','2020-09-15 22:19:34',null);
INSERT INTO complaint_statuses VALUES('3705','984','7','12','81','gear box change.and drain Assembly  bhi change ki hai,gear box new ni lga',null,'79','79','2020-09-15 22:21:57','2020-09-15 22:21:57',null);
INSERT INTO complaint_statuses VALUES('3706','1056','7','9','81','abhi testing  pe hai copmressor , gas and cupplery change',null,'79','79','2020-09-15 22:23:32','2020-09-15 22:23:32',null);
INSERT INTO complaint_statuses VALUES('3707','1155','3',null,'53',null,'15-SEP-2020
COMPLAINT#46701','74','74','2020-09-15 22:25:22','2020-09-15 22:25:22',null);
INSERT INTO complaint_statuses VALUES('3708','998','7','22','81','Panel faulty',null,'77','77','2020-09-15 22:29:47','2020-09-15 22:29:47',null);
INSERT INTO complaint_statuses VALUES('3709','1039','7','26','81','low cooling  in ref.   duct cover need to be replace   customer not interested yet    also guide that try by connecting ups  my resolve the problem.',null,'83','83','2020-09-15 22:37:05','2020-09-15 22:37:05',null);
INSERT INTO complaint_statuses VALUES('3710','1156','2',null,'81',null,'15-SEP-2020
FF TO KHURRAM  5 STAR','74','74','2020-09-15 23:04:10','2020-09-15 23:04:10',null);
INSERT INTO complaint_statuses VALUES('3711','1157','3',null,'72',null,'15-SEP-2020 .
Complaint#192018064','74','74','2020-09-15 23:20:38','2020-09-15 23:20:38',null);
INSERT INTO complaint_statuses VALUES('3712','1158','3',null,'72',null,'15-SEP-2020
COMPLAINT#192018063','74','74','2020-09-15 23:25:26','2020-09-15 23:25:26',null);
INSERT INTO complaint_statuses VALUES('3713','22','7','12','81','wm change ho gai hai.custoemr dosri machine ly gai hain..',null,'79','79','2020-09-15 23:25:58','2020-09-15 23:25:58',null);
INSERT INTO complaint_statuses VALUES('3714','1159','2',null,'81',null,'15-SEP-2020
FF TO SHAMIM AKHTER','92','92','2020-09-15 23:50:31','2020-09-15 23:50:31',null);
INSERT INTO complaint_statuses VALUES('3715','743','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-15 23:58:35','2020-09-16 23:00:18',null);
INSERT INTO complaint_statuses VALUES('3716','763','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-15 23:59:47','2020-09-16 23:08:46',null);
INSERT INTO complaint_statuses VALUES('3717','848','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-16 00:00:20','2020-09-16 22:31:50',null);
INSERT INTO complaint_statuses VALUES('3718','984','8','23','58','where is w/m costumer home ya service center',null,'81','81','2020-09-16 00:01:30','2020-09-16 00:01:30',null);
INSERT INTO complaint_statuses VALUES('3719','998','8','23','56',null,null,'81','81','2020-09-16 00:02:03','2020-09-16 00:02:03',null);
INSERT INTO complaint_statuses VALUES('3720','1160','2',null,'81',null,'15-SEP-2020
FF TO B. COOL','74','74','2020-09-16 00:03:18','2020-09-16 00:03:18',null);
INSERT INTO complaint_statuses VALUES('3721','1039','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-09-16 00:06:52','2020-09-16 20:41:02',null);
INSERT INTO complaint_statuses VALUES('3722','1056','8','23','58','on deliver complete the job',null,'81','81','2020-09-16 00:08:04','2020-09-16 00:08:04',null);
INSERT INTO complaint_statuses VALUES('3723','971','5',null,null,'complaint closed',null,'74','74','2020-09-16 00:08:41','2020-09-16 00:08:41',null);
INSERT INTO complaint_statuses VALUES('3724','1005','5','25',null,'cancel costumers end','COMPLAINT RESOLVED','81','92','2020-09-16 00:09:42','2020-09-17 00:23:02',null);
INSERT INTO complaint_statuses VALUES('3725','1140','8','23','59',null,null,'81','81','2020-09-16 00:10:57','2020-09-16 00:10:57',null);
INSERT INTO complaint_statuses VALUES('3726','1131','8','23','59','signal issue please call again','COMPLAINT RESOLVED','81','92','2020-09-16 00:19:01','2020-09-16 00:37:27',null);
INSERT INTO complaint_statuses VALUES('3727','1161','2',null,'81',null,'15-SEP-2020
FF TO B. COOL','74','74','2020-09-16 00:19:34','2020-09-16 00:19:34',null);
INSERT INTO complaint_statuses VALUES('3728','1162','3',null,'52',null,'15-SEP-2020
COMPLAINT# PKRI-200915110849','74','74','2020-09-16 01:23:37','2020-09-16 01:23:37',null);
INSERT INTO complaint_statuses VALUES('3729','20','5',null,null,'double entry','COMPLAINT RESOLVED','73','92','2020-09-16 01:46:36','2020-09-25 00:00:14',null);
INSERT INTO complaint_statuses VALUES('3730','1095','7','22','81','As per Customer Statement:-there is no need of visit , only door gasket replacement require.',null,'76','76','2020-09-16 01:48:18','2020-09-16 01:48:18',null);
INSERT INTO complaint_statuses VALUES('3731','356','5',null,null,null,'COMPLAINT PA VISIT HO GAYA THA BUT ISSUE KUCH TIME K LIYA RESOLVED HO ATHA AJ AGAIN COMPLAINT ENTERKARWA DI NEW COMPLAINT','73','74','2020-09-16 01:57:16','2020-10-07 20:01:12',null);
INSERT INTO complaint_statuses VALUES('3732','802','5',null,null,'replaced','COMPLAINT REPLACED','73','92','2020-09-16 02:02:08','2020-09-16 23:12:38',null);
INSERT INTO complaint_statuses VALUES('3733','1069','5',null,null,'resolved','COMPLAINT RESOLVED','73','92','2020-09-16 02:09:50','2020-09-16 02:35:19',null);
INSERT INTO complaint_statuses VALUES('3734','1163','3',null,'53',null,'15-SEP-2020
COMPLAINT#301046944','74','74','2020-09-16 02:36:53','2020-09-16 02:36:53',null);
INSERT INTO complaint_statuses VALUES('3735','1116','7','24','81','Workshop aye gi shakh repering',null,'82','82','2020-09-16 02:47:38','2020-09-16 02:47:38',null);
INSERT INTO complaint_statuses VALUES('3736','1102','7','12','81','Senser chenged  kia hy .chargis custmer paied',null,'82','82','2020-09-16 02:48:42','2020-09-16 02:48:42',null);
INSERT INTO complaint_statuses VALUES('3737','1164','3',null,'54',null,'15-SEP-2020
COMPLAINT#1732031','74','74','2020-09-16 02:49:04','2020-09-16 02:49:04',null);
INSERT INTO complaint_statuses VALUES('3738','628','7','12','81','Mehrbani ho gi plz isko hta dy',null,'82','82','2020-09-16 02:49:25','2020-09-16 02:49:25',null);
INSERT INTO complaint_statuses VALUES('3739','1009','7','26','81','No Need of Visit .',null,'76','76','2020-09-16 02:51:01','2020-09-16 02:51:01',null);
INSERT INTO complaint_statuses VALUES('3740','937','7','12','81','Delivered Back to the Customer After Service.',null,'76','76','2020-09-16 02:52:03','2020-09-16 02:52:03',null);
INSERT INTO complaint_statuses VALUES('3741','1144','7','24','81','Custmer kulsom hospital hy oppriat ho raha hy kal sham ko bulea hu',null,'82','82','2020-09-16 02:52:39','2020-09-16 02:52:39',null);
INSERT INTO complaint_statuses VALUES('3742','638','7','22','81','Display PCB Faulty , Need to Replacement, Estimate Approved by Customer  , 45 Days Require for arrival of new part.(details has been Share with Customer)',null,'76','76','2020-09-16 02:55:34','2020-09-16 02:55:34',null);
INSERT INTO complaint_statuses VALUES('3743','832','7','12','81','Water Level Sensor Replaced.',null,'76','76','2020-09-16 02:57:07','2020-09-16 02:57:07',null);
INSERT INTO complaint_statuses VALUES('3744','1161','4',null,'58',null,'TECHNICIAN ON ROUT HAIN BUT TECHNICIAN CALL ATTEND NAI KAR RAHAY SADAR KHURRAM SIR KO B INFORMED KAR DIA','81','73','2020-09-16 02:58:18','2020-09-16 23:13:48',null);
INSERT INTO complaint_statuses VALUES('3745','1160','4',null,'58',null,null,'81','81','2020-09-16 02:58:29','2020-09-16 02:58:29',null);
INSERT INTO complaint_statuses VALUES('3746','1159','4',null,'55',null,null,'81','81','2020-09-16 02:58:39','2020-09-16 02:58:39',null);
INSERT INTO complaint_statuses VALUES('3747','1156','4',null,'63',null,'COMPLAINT RESOLVED','81','92','2020-09-16 02:58:50','2020-09-22 21:49:45',null);
INSERT INTO complaint_statuses VALUES('3748','1154','4',null,'63',null,'VISIT TO DAY CUSTOMER KO INFORMED  KAR DIA','81','92','2020-09-16 02:59:04','2020-09-22 21:53:45',null);
INSERT INTO complaint_statuses VALUES('3749','611','7','22','81','Evaporator Motor Faulty , need to Replacement (Part Cost :-5500 Labor Charges 2500 (Total 8000)
 Concern Person is Mr Shahid Phone # 03123971117',null,'76','76','2020-09-16 03:01:46','2020-09-16 03:01:46',null);
INSERT INTO complaint_statuses VALUES('3750','1165','3',null,'63',null,'15-SEP-2020 
FF TO KHURRAM 5 STAR','74','74','2020-09-16 03:02:22','2020-09-16 03:02:22',null);
INSERT INTO complaint_statuses VALUES('3751','852','7','12','81','Main PCB Repaired.',null,'76','76','2020-09-16 18:55:13','2020-09-16 18:55:13',null);
INSERT INTO complaint_statuses VALUES('3752','1032','7','26','81','Please Forward to Concern Department.',null,'76','76','2020-09-16 18:56:35','2020-09-16 18:56:35',null);
INSERT INTO complaint_statuses VALUES('3753','1084','7','22','81','Main PCB In Dead Condition.',null,'76','76','2020-09-16 18:58:01','2020-09-16 18:58:01',null);
INSERT INTO complaint_statuses VALUES('3754','1166','2',null,'81',null,'NADEEM','73','73','2020-09-16 19:33:07','2020-09-16 19:33:07',null);
INSERT INTO complaint_statuses VALUES('3755','1166','4',null,'59',null,null,'81','81','2020-09-16 19:34:23','2020-09-16 19:34:23',null);
INSERT INTO complaint_statuses VALUES('3756','1037','7','12','81','Balance Adjustment Only',null,'76','76','2020-09-16 19:37:04','2020-09-16 19:37:04',null);
INSERT INTO complaint_statuses VALUES('3757','1167','3',null,'55',null,'FRWRD TO WAQAR KENWOOD','73','73','2020-09-16 19:37:33','2020-09-16 19:37:33',null);
INSERT INTO complaint_statuses VALUES('3758','1064','7','12','81','No Fault.',null,'76','76','2020-09-16 19:38:16','2020-09-16 19:38:16',null);
INSERT INTO complaint_statuses VALUES('3759','1077','7','12','81','complaint resolved.check kerwa dya hai',null,'79','79','2020-09-16 19:43:20','2020-09-16 19:43:20',null);
INSERT INTO complaint_statuses VALUES('3760','1168','3',null,'65',null,'COMPLAIN#192018082','73','73','2020-09-16 19:46:01','2020-09-16 20:06:15',null);
INSERT INTO complaint_statuses VALUES('3761','1169','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-09-16 19:51:55','2020-09-16 19:51:55',null);
INSERT INTO complaint_statuses VALUES('3762','1170','3',null,'52',null,'COMPLAIN#PKRI200916102813','73','73','2020-09-16 19:59:39','2020-09-16 20:10:53',null);
INSERT INTO complaint_statuses VALUES('3763','1160','7','12','81','custoemer ko phone pe guid kr dya hai.kuch confusion  thi dur kr di hai.',null,'79','79','2020-09-16 20:27:06','2020-09-16 20:27:06',null);
INSERT INTO complaint_statuses VALUES('3764','1171','3',null,'54',null,'16 -SEP-2020
COMPLAINT #1732421','92','92','2020-09-16 20:32:28','2020-09-16 20:32:28',null);
INSERT INTO complaint_statuses VALUES('3765','1089','7','22','81','igntion wire ka issue .markit sy nahi mil rahi is size ki',null,'79','79','2020-09-16 20:40:37','2020-09-16 20:40:37',null);
INSERT INTO complaint_statuses VALUES('3766','400','5',null,null,'complaint closed','COMPLAINT RESOLVED','74','92','2020-09-16 20:43:14','2020-09-22 23:38:44',null);
INSERT INTO complaint_statuses VALUES('3767','1172','3',null,'72',null,'FRWRD TO AMNA BOSCH','73','73','2020-09-16 20:47:20','2020-09-16 20:47:20',null);
INSERT INTO complaint_statuses VALUES('3768','788','5',null,null,'complaint closed',null,'74','74','2020-09-16 20:50:26','2020-09-16 20:50:26',null);
INSERT INTO complaint_statuses VALUES('3769','1173','3',null,'53',null,null,'73','73','2020-09-16 20:52:02','2020-09-16 20:52:02',null);
INSERT INTO complaint_statuses VALUES('3770','1174','2',null,'81',null,'KHALID','73','73','2020-09-16 20:53:42','2020-09-16 20:53:42',null);
INSERT INTO complaint_statuses VALUES('3771','1174','4',null,'56',null,null,'81','81','2020-09-16 20:54:33','2020-09-16 20:54:33',null);
INSERT INTO complaint_statuses VALUES('3772','679','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-16 20:54:58','2020-09-16 20:54:58',null);
INSERT INTO complaint_statuses VALUES('3773','1057','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-16 21:02:28','2020-09-16 21:02:28',null);
INSERT INTO complaint_statuses VALUES('3774','1175','3',null,'55',null,'16-SEP-2020.
COMPLAINT#14722.
COMPLAINT#14723','73','73','2020-09-16 21:09:38','2020-09-16 22:45:07',null);
INSERT INTO complaint_statuses VALUES('3775','1176','3',null,'55',null,'16-SEP-2020.
COMPLAINT#141721','73','73','2020-09-16 21:10:56','2020-09-16 22:45:46',null);
INSERT INTO complaint_statuses VALUES('3776','1177','3',null,'67',null,'COMPLAINT#1639','73','74','2020-09-16 21:12:05','2020-09-24 03:17:34',null);
INSERT INTO complaint_statuses VALUES('3777','786','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-16 21:15:38','2020-09-16 21:15:38',null);
INSERT INTO complaint_statuses VALUES('3778','1178','3',null,'67',null,'FRWRD TO ANWER AND BABAR CARAVELL','73','73','2020-09-16 21:22:09','2020-09-16 21:22:09',null);
INSERT INTO complaint_statuses VALUES('3779','1026','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-16 21:23:37','2020-09-16 21:23:37',null);
INSERT INTO complaint_statuses VALUES('3780','820','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-16 21:26:58','2020-09-16 21:26:58',null);
INSERT INTO complaint_statuses VALUES('3781','1174','7','24','81','We called to customer. He will bring unit to servce center',null,'77','77','2020-09-16 21:35:31','2020-09-16 21:35:31',null);
INSERT INTO complaint_statuses VALUES('3782','1179','3',null,'52',null,'16-SEP-2020
COMPLAINT#PKRI-200916106324','73','73','2020-09-16 21:37:07','2020-09-16 22:32:37',null);
INSERT INTO complaint_statuses VALUES('3783','611','8','23','55','please please please Send to client','AJ DILVER KARWA RAHI MADAM','81','74','2020-09-16 21:37:55','2020-09-17 21:10:44',null);
INSERT INTO complaint_statuses VALUES('3784','1180','3',null,'52',null,'16-SEP-2020.
COMPLAINT#PKRI-200916105965','73','73','2020-09-16 21:39:51','2020-09-16 22:15:53',null);
INSERT INTO complaint_statuses VALUES('3785','628','8','23','60','03215679748 please contact irfan sb ays peshawar . and fallow up this complaint',null,'81','81','2020-09-16 21:40:45','2020-09-16 21:40:45',null);
INSERT INTO complaint_statuses VALUES('3786','254','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-16 21:43:03','2020-09-16 21:43:03',null);
INSERT INTO complaint_statuses VALUES('3787','832','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-16 21:43:06','2020-09-16 22:26:45',null);
INSERT INTO complaint_statuses VALUES('3788','852','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-16 21:48:57','2020-09-16 22:34:24',null);
INSERT INTO complaint_statuses VALUES('3789','937','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-16 21:52:33','2020-09-17 19:54:57',null);
INSERT INTO complaint_statuses VALUES('3790','1009','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-09-16 21:53:14','2020-09-17 00:16:16',null);
INSERT INTO complaint_statuses VALUES('3791','1032','5','15',null,'forward nadeem sb complaint close','COMPLAINT RESOLVED','81','92','2020-09-16 21:59:06','2020-09-23 23:32:23',null);
INSERT INTO complaint_statuses VALUES('3792','1037','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-16 21:59:27','2020-09-17 00:03:14',null);
INSERT INTO complaint_statuses VALUES('3793','1064','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-16 21:59:56','2020-09-16 23:55:07',null);
INSERT INTO complaint_statuses VALUES('3794','1077','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-16 22:00:48','2020-09-16 23:37:19',null);
INSERT INTO complaint_statuses VALUES('3795','1102','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-16 22:01:10','2020-09-16 23:32:17',null);
INSERT INTO complaint_statuses VALUES('3796','1160','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-16 22:01:36','2020-09-23 23:24:21',null);
INSERT INTO complaint_statuses VALUES('3797','1084','8','23','55',null,null,'81','81','2020-09-16 22:04:47','2020-09-16 22:04:47',null);
INSERT INTO complaint_statuses VALUES('3798','1089','8','23','58',null,null,'81','81','2020-09-16 22:05:59','2020-09-16 22:05:59',null);
INSERT INTO complaint_statuses VALUES('3799','1095','8','23','55',null,'PART KI WAJA SAY COMPLAINT NOT RESOLVED','81','92','2020-09-16 22:08:01','2020-09-24 21:05:16',null);
INSERT INTO complaint_statuses VALUES('3800','1144','8','23','60',null,null,'81','81','2020-09-16 22:08:41','2020-09-16 22:08:41',null);
INSERT INTO complaint_statuses VALUES('3801','638','8','23','55','please complete this job quickly','PART DEMAND HAY NEXT WEEK ISSUE RESOLVED HO JAY GA','81','92','2020-09-16 22:09:34','2020-09-24 22:19:33',null);
INSERT INTO complaint_statuses VALUES('3802','1116','8','23','60','please complete this job quickly',null,'81','81','2020-09-16 22:10:19','2020-09-16 22:10:19',null);
INSERT INTO complaint_statuses VALUES('3803','1002','7','22','81','STILL SAME ISSUE HAI',null,'87','87','2020-09-16 22:53:43','2020-09-16 22:53:43',null);
INSERT INTO complaint_statuses VALUES('3804','1184','3',null,'65',null,'16-SEP-2020
COMPLAINT#192018093','73','73','2020-09-16 23:33:17','2020-09-16 23:33:17',null);
INSERT INTO complaint_statuses VALUES('3805','1186','3',null,'55',null,'16-SEP-2020
FF TO WAQAR KENWWOD','73','73','2020-09-16 23:40:39','2020-09-16 23:43:10',null);
INSERT INTO complaint_statuses VALUES('3806','999','5',null,null,'COMPLAINT CLOSEDE',null,'73','73','2020-09-17 00:01:02','2020-09-17 00:01:02',null);
INSERT INTO complaint_statuses VALUES('3807','1187','2',null,'81',null,'16-SEP-2020
FF TO B.COOL','73','73','2020-09-17 00:39:31','2020-09-17 00:39:31',null);
INSERT INTO complaint_statuses VALUES('3808','1187','4',null,'58',null,'D.O.P-25-SEP-2019','81','74','2020-09-17 00:40:02','2020-09-17 01:15:14',null);
INSERT INTO complaint_statuses VALUES('3809','1137','7','9','81','no is powered off','SATURDAY KO VISIT HAIN CUSTOMER KI TECHNICIAN SA BAT HO GEI','79','74','2020-09-17 01:03:54','2020-09-19 02:41:19',null);
INSERT INTO complaint_statuses VALUES('3810','1189','3',null,'66',null,'16-SEP-2020.
COMPLAIN#PK110.320200086.
IMRAM TCL','74','74','2020-09-17 01:23:09','2020-11-04 02:13:55',null);
INSERT INTO complaint_statuses VALUES('3811','1166','7','24','81','tech visit k lia chala gea hy',null,'80','80','2020-09-17 01:29:29','2020-09-17 01:29:29',null);
INSERT INTO complaint_statuses VALUES('3812','1190','3',null,'53',null,'16-SEP-2020.
COMPLAINT#47399','74','74','2020-09-17 01:40:26','2020-09-17 01:40:26',null);
INSERT INTO complaint_statuses VALUES('3813','1191','3',null,'63',null,'16-SEP-2020
FF TO KHURRAM 5 STAR','74','74','2020-09-17 01:44:43','2020-09-17 01:44:43',null);
INSERT INTO complaint_statuses VALUES('3814','1192','2',null,'81',null,'16-SEP-2020
FF TO B.COOL','74','74','2020-09-17 02:05:58','2020-09-17 02:05:58',null);
INSERT INTO complaint_statuses VALUES('3815','1192','4',null,'58',null,null,'81','81','2020-09-17 02:08:05','2020-09-17 02:08:05',null);
INSERT INTO complaint_statuses VALUES('3816','1193','3',null,'52',null,'16-SEP-2020
COMPLAINT#PKRI-2001916110992','74','74','2020-09-17 02:19:16','2020-09-17 02:19:16',null);
INSERT INTO complaint_statuses VALUES('3817','1194','2',null,'81',null,'16-SEP-2020
FF TO HOME SOLUTION','74','74','2020-09-17 02:25:00','2020-09-17 02:25:00',null);
INSERT INTO complaint_statuses VALUES('3818','1195','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-09-17 02:26:24','2020-09-17 02:26:24',null);
INSERT INTO complaint_statuses VALUES('3819','1196','3',null,'52',null,'COMPLAIN#PKRI200916111380','73','73','2020-09-17 02:41:19','2020-09-17 02:41:19',null);
INSERT INTO complaint_statuses VALUES('3820','1197','3',null,'52',null,'COMPLAIN#PKRI200916111411','73','73','2020-09-17 02:43:45','2020-09-17 02:43:45',null);
INSERT INTO complaint_statuses VALUES('3821','1056','7','12','81','unit delivered',null,'79','79','2020-09-17 04:08:51','2020-09-17 04:08:51',null);
INSERT INTO complaint_statuses VALUES('3822','1141','7','22','81','PCB in Service Center.',null,'76','76','2020-09-17 18:52:44','2020-09-17 18:52:44',null);
INSERT INTO complaint_statuses VALUES('3823','1114','7','12','81','tab change complaint reoslved',null,'79','79','2020-09-17 19:24:45','2020-09-17 19:24:45',null);
INSERT INTO complaint_statuses VALUES('3824','1164','5',null,null,'COMPLAINT CLOSED','NOT ATTEND CALL','74','92','2020-09-17 21:05:06','2020-09-21 23:21:15',null);
INSERT INTO complaint_statuses VALUES('3825','1113','7','12','81','ignition wire issue  complaint resolved',null,'79','79','2020-09-17 21:06:38','2020-09-17 21:06:38',null);
INSERT INTO complaint_statuses VALUES('3826','22','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-17 21:10:02','2020-09-17 23:14:21',null);
INSERT INTO complaint_statuses VALUES('3827','1002','8','23','62','card mangva lo i-10 refrigerator me laga kar chake kar lo',null,'81','81','2020-09-17 21:11:12','2020-09-17 21:11:12',null);
INSERT INTO complaint_statuses VALUES('3828','1056','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-17 21:11:47','2020-09-17 22:23:32',null);
INSERT INTO complaint_statuses VALUES('3829','1113','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-17 21:12:04','2020-09-17 22:08:59',null);
INSERT INTO complaint_statuses VALUES('3830','1114','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-17 21:13:13','2020-09-17 22:06:01',null);
INSERT INTO complaint_statuses VALUES('3831','1144','7','24','81','Ye complain plz haier ko farwerd kar dy .moisture issue hy',null,'82','82','2020-09-17 21:13:18','2020-09-17 21:13:18',null);
INSERT INTO complaint_statuses VALUES('3832','1201','3',null,'68',null,'17-SEP-2020
COMPLAINT#R.W.P1831','74','74','2020-09-17 21:22:27','2020-09-17 21:22:27',null);
INSERT INTO complaint_statuses VALUES('3833','1203','3',null,'68',null,'16-SEP-2020
COMPLAINT#R.W.P1832','74','74','2020-09-17 21:26:30','2020-09-17 21:26:30',null);
INSERT INTO complaint_statuses VALUES('3834','1141','8','23','55','wapis kab feet ho ge',null,'81','81','2020-09-17 21:30:25','2020-09-17 21:30:25',null);
INSERT INTO complaint_statuses VALUES('3835','1116','7','9','81','Iska penal hamary pass nhi showk bhi hrab plz samsang farwerd kar dy',null,'82','82','2020-09-17 21:31:16','2020-09-17 21:31:16',null);
INSERT INTO complaint_statuses VALUES('3836','1166','8','23','59',null,null,'81','81','2020-09-17 21:31:18','2020-09-17 21:31:18',null);
INSERT INTO complaint_statuses VALUES('3837','1048','7','24','81','Ye frig ho gea hy.?????',null,'82','82','2020-09-17 21:31:55','2020-09-17 21:31:55',null);
INSERT INTO complaint_statuses VALUES('3838','1144','5','25',null,null,'NOT VISOT COMPLAINT','81','92','2020-09-17 21:32:07','2020-09-21 19:51:20',null);
INSERT INTO complaint_statuses VALUES('3839','1116','8','23','60','please complete this job quickly . hamare softwear sy samsung ki complaint ap ko he forward ho sacte hy samsung ko nahe app khude handel karen please',null,'81','81','2020-09-17 21:39:52','2020-09-17 21:39:52',null);
INSERT INTO complaint_statuses VALUES('3840','1048','8','23','60','explain the problem',null,'81','81','2020-09-17 21:42:07','2020-09-17 21:42:07',null);
INSERT INTO complaint_statuses VALUES('3841','1204','2',null,'81',null,'17-SEP-2020
FF TO HOME SOLUTION','74','74','2020-09-17 21:44:16','2020-09-17 21:44:16',null);
INSERT INTO complaint_statuses VALUES('3842','1205','2',null,'81',null,'17-SEP-2020
FF TO USMAN MRM','74','74','2020-09-17 21:47:42','2020-09-17 21:47:42',null);
INSERT INTO complaint_statuses VALUES('3843','1206','3',null,'52',null,'17-SEP-2020
COMPLAINT#PKRI-200917105542','74','74','2020-09-17 21:55:51','2020-09-17 21:55:51',null);
INSERT INTO complaint_statuses VALUES('3844','1207','3',null,'54',null,'17-SEP-2020
COMPLAINT#1733566','74','74','2020-09-17 22:02:21','2020-09-17 22:02:21',null);
INSERT INTO complaint_statuses VALUES('3845','1208','3',null,'72',null,'17-SEP-2020
COMPLAINT#192018147','74','74','2020-09-17 22:13:29','2020-09-19 00:07:01',null);
INSERT INTO complaint_statuses VALUES('3846','1210','3',null,'53',null,'17-SEP-2020
COMPLAINT#1407694','74','74','2020-09-17 22:42:48','2020-09-17 22:42:48',null);
INSERT INTO complaint_statuses VALUES('3847','1211','3',null,'55',null,'17-SEP-2020
COMPLAINT#14766','74','74','2020-09-17 23:14:15','2020-09-17 23:14:15',null);
INSERT INTO complaint_statuses VALUES('3848','1212','3',null,'66',null,'17-SEP-2020
PK0922202000029','74','74','2020-09-17 23:43:55','2020-09-22 20:29:37',null);
INSERT INTO complaint_statuses VALUES('3849','1187','7','12','81','filter clean complaint reolved',null,'79','79','2020-09-17 23:58:48','2020-09-17 23:58:48',null);
INSERT INTO complaint_statuses VALUES('3850','1213','3',null,'52',null,'17-SEP-2020
COMPLAINT#PKRI-200917108135','74','74','2020-09-17 23:59:29','2020-09-17 23:59:29',null);
INSERT INTO complaint_statuses VALUES('3851','1214','3',null,'53',null,'17-SEP-2020
COMPLAINT #PCB KIT.47777.
COMPLAINT#PCB KIT,47778.
COMPLAINT#JALI DAMAGE.
COMPLAINT#47780','74','74','2020-09-18 00:34:54','2020-09-18 00:34:54',null);
INSERT INTO complaint_statuses VALUES('3852','1215','2',null,'81',null,'17-SEP-2020
FF TO AZHAR RAMZAN','74','74','2020-09-18 00:47:13','2020-09-18 00:47:13',null);
INSERT INTO complaint_statuses VALUES('3853','1215','4',null,'60',null,null,'81','81','2020-09-18 00:52:49','2020-09-18 00:52:49',null);
INSERT INTO complaint_statuses VALUES('3854','1205','4',null,'61',null,null,'81','81','2020-09-18 00:53:03','2020-09-18 00:53:03',null);
INSERT INTO complaint_statuses VALUES('3855','1204','4',null,'62',null,null,'81','81','2020-09-18 00:53:16','2020-09-18 00:53:16',null);
INSERT INTO complaint_statuses VALUES('3856','1194','4',null,'62',null,null,'81','81','2020-09-18 00:54:15','2020-09-18 00:54:15',null);
INSERT INTO complaint_statuses VALUES('3857','1216','2',null,'81',null,'17-SEP-2020
FF TO KHALID SAB','74','74','2020-09-18 00:57:09','2020-09-18 00:57:09',null);
INSERT INTO complaint_statuses VALUES('3858','1216','4',null,'56',null,null,'81','81','2020-09-18 00:57:41','2020-09-18 00:57:41',null);
INSERT INTO complaint_statuses VALUES('3859','1194','7','26','81','FRWD TO SAMSUNG COMPANY','COMPLAINT FF  MRM','87','74','2020-09-18 01:01:53','2020-09-18 01:54:20',null);
INSERT INTO complaint_statuses VALUES('3860','1085','7','12','81','Filter Service',null,'76','76','2020-09-18 01:06:37','2020-09-18 01:06:37',null);
INSERT INTO complaint_statuses VALUES('3861','611','7','12','81','Product Deliver Back to the Customer',null,'76','76','2020-09-18 01:08:41','2020-09-18 01:08:41',null);
INSERT INTO complaint_statuses VALUES('3862','1149','7','22','81','Compressor Faulty,',null,'76','76','2020-09-18 01:09:31','2020-09-18 01:09:31',null);
INSERT INTO complaint_statuses VALUES('3863','1080','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','92','92','2020-09-18 01:24:10','2020-09-18 01:24:30',null);
INSERT INTO complaint_statuses VALUES('3864','1081','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','92','92','2020-09-18 01:27:26','2020-09-18 01:27:40',null);
INSERT INTO complaint_statuses VALUES('3865','1062','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','92','92','2020-09-18 01:32:13','2020-09-18 01:32:25',null);
INSERT INTO complaint_statuses VALUES('3866','1192','7','12','81','pwd ki invoice hai .',null,'79','79','2020-09-18 01:33:10','2020-09-18 01:33:10',null);
INSERT INTO complaint_statuses VALUES('3867','1060','5',null,null,'NOT ATTEND CALL','COMPLAINT RESOLVED','92','74','2020-09-18 01:36:57','2020-09-19 20:01:16',null);
INSERT INTO complaint_statuses VALUES('3868','1053','5',null,null,'NOT ATTEND CALL','COMPLAINT RESOLVED','92','92','2020-09-18 01:38:43','2020-09-24 00:57:20',null);
INSERT INTO complaint_statuses VALUES('3869','1050','5',null,null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','92','92','2020-09-18 01:41:52','2020-09-18 01:42:16',null);
INSERT INTO complaint_statuses VALUES('3870','1046','5',null,null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','92','92','2020-09-18 01:44:31','2020-09-18 01:44:48',null);
INSERT INTO complaint_statuses VALUES('3871','1192','5','25',null,'YHA INVOICE PWD KI HAIN','COMPLAINT CANCELED','81','74','2020-09-18 01:48:23','2020-09-18 01:49:18',null);
INSERT INTO complaint_statuses VALUES('3872','1216','7','24','81','I have called to customer. Unit is out of city.... as it is in haripur so must be send to service center.',null,'77','77','2020-09-18 01:51:42','2020-09-18 01:51:42',null);
INSERT INTO complaint_statuses VALUES('3873','1217','2',null,'81',null,'17-SEP-2020
FF TO HOME SOLUTION','74','74','2020-09-18 01:52:01','2020-09-18 01:52:01',null);
INSERT INTO complaint_statuses VALUES('3874','1217','4',null,'62',null,null,'81','81','2020-09-18 01:53:04','2020-09-18 01:53:04',null);
INSERT INTO complaint_statuses VALUES('3875','1194','8','23','62','COMPLAINT FF USMAN MRM,','COMPLAINT RESOLVED','81','92','2020-09-18 01:55:52','2020-09-26 23:49:50',null);
INSERT INTO complaint_statuses VALUES('3876','1014','5',null,null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','92','92','2020-09-18 01:58:09','2020-09-18 01:58:52',null);
INSERT INTO complaint_statuses VALUES('3877','1219','2',null,'81',null,'17-SEP-2020
FF TO USMAN MRM','74','74','2020-09-18 02:01:19','2020-09-18 02:01:19',null);
INSERT INTO complaint_statuses VALUES('3878','1219','4',null,'61',null,null,'81','81','2020-09-18 02:02:01','2020-09-18 02:02:01',null);
INSERT INTO complaint_statuses VALUES('3879','1219','4',null,'61',null,null,'81','81','2020-09-18 02:02:01','2020-09-18 02:02:01',null);
INSERT INTO complaint_statuses VALUES('3880','1008','5',null,null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','92','92','2020-09-18 02:02:06','2020-09-18 02:02:26',null);
INSERT INTO complaint_statuses VALUES('3881','1221','2',null,'81',null,'17-SEP-2020
FF TO B.COOL','74','74','2020-09-18 02:14:57','2020-09-18 02:14:57',null);
INSERT INTO complaint_statuses VALUES('3882','1221','4',null,'58',null,null,'81','81','2020-09-18 02:16:04','2020-09-18 02:16:04',null);
INSERT INTO complaint_statuses VALUES('3883','1204','7','24','81','Sunday ko visit krna by customer',null,'87','87','2020-09-18 02:18:39','2020-09-18 02:18:39',null);
INSERT INTO complaint_statuses VALUES('3884','599','5',null,null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','92','92','2020-09-18 02:37:23','2020-09-18 02:37:44',null);
INSERT INTO complaint_statuses VALUES('3885','1222','3',null,'52',null,'COMPLAINT#PKRI-200917111556','74','74','2020-09-18 02:59:26','2020-09-18 02:59:26',null);
INSERT INTO complaint_statuses VALUES('3886','1161','7','12','81','tab change complaint reoslved',null,'79','79','2020-09-18 04:06:32','2020-09-18 04:06:32',null);
INSERT INTO complaint_statuses VALUES('3887','1217','7','22','81','Gear',null,'87','87','2020-09-18 04:33:54','2020-09-18 04:33:54',null);
INSERT INTO complaint_statuses VALUES('3888','1223','2',null,'81',null,'18-SEP-2020
FF TO KHURRAM 5 STAR','74','74','2020-09-18 20:32:10','2020-09-18 20:32:10',null);
INSERT INTO complaint_statuses VALUES('3889','1223','4',null,'63',null,null,'81','81','2020-09-18 20:34:23','2020-09-18 20:34:23',null);
INSERT INTO complaint_statuses VALUES('3890','918','7','12','81','ISSUE RESOLVED. GAS CHARGED ONLY',null,'87','87','2020-09-18 20:42:22','2020-09-18 20:42:22',null);
INSERT INTO complaint_statuses VALUES('3891','1224','3',null,'73',null,'18-SEP-2020
COMPLAINT#1591','74','74','2020-09-18 20:49:07','2020-09-18 20:49:07',null);
INSERT INTO complaint_statuses VALUES('3892','1152','7','12','81','Sheet k hole ka issue tha .complaint resloved',null,'79','79','2020-09-18 20:49:54','2020-09-18 20:49:54',null);
INSERT INTO complaint_statuses VALUES('3893','388','7','12','81','Compressor ans gas charge .unit deliver..complaint resloved',null,'79','79','2020-09-18 20:52:25','2020-09-18 20:52:25',null);
INSERT INTO complaint_statuses VALUES('3894','1225','3',null,'55',null,'18-SEP-2020
COMPLAINT# ISB-9541','74','74','2020-09-18 20:57:06','2020-09-18 20:57:06',null);
INSERT INTO complaint_statuses VALUES('3895','1045','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-18 20:58:16','2020-09-18 20:58:16',null);
INSERT INTO complaint_statuses VALUES('3896','1043','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-18 21:04:27','2020-09-18 21:04:27',null);
INSERT INTO complaint_statuses VALUES('3897','1226','3',null,'62',null,'18-SEP-2020
FF TO KHURRAM 5 STAR','74','74','2020-09-18 21:10:41','2020-09-18 21:10:41',null);
INSERT INTO complaint_statuses VALUES('3898','1227','2',null,'81',null,'18-SEP-2020.
FF TO  AZHAR RAMZAN','74','74','2020-09-18 21:33:47','2020-09-18 21:33:47',null);
INSERT INTO complaint_statuses VALUES('3899','1230','3',null,'66',null,'18-SEP-2020
FF TO MARI YAM TCL','74','74','2020-09-18 21:52:08','2020-09-18 21:52:08',null);
INSERT INTO complaint_statuses VALUES('3900','984','7','12','81','Plz complete kr dein ap ko idea hai sb liftting 1 10 ati hain....jo best cool aye gi wo ap ko batao dein.thanks..',null,'79','79','2020-09-18 22:00:08','2020-09-18 22:00:08',null);
INSERT INTO complaint_statuses VALUES('3901','1111','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-18 22:07:08','2020-09-22 20:30:29',null);
INSERT INTO complaint_statuses VALUES('3902','1115','5',null,null,'COMPLAINT CLOSED','NOT ATTEND CALL','74','92','2020-09-18 22:11:12','2020-09-21 21:18:47',null);
INSERT INTO complaint_statuses VALUES('3903','1061','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-18 22:13:20','2020-09-18 22:13:20',null);
INSERT INTO complaint_statuses VALUES('3904','1105','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-18 22:19:51','2020-09-18 22:19:51',null);
INSERT INTO complaint_statuses VALUES('3905','1122','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-18 22:24:10','2020-09-21 21:04:54',null);
INSERT INTO complaint_statuses VALUES('3906','1120','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-18 22:32:54','2020-09-21 21:10:23',null);
INSERT INTO complaint_statuses VALUES('3907','1231','2',null,'81',null,'18-SEP-2020
FF TO HOME SOLUTION','74','74','2020-09-18 22:53:15','2020-09-18 22:53:15',null);
INSERT INTO complaint_statuses VALUES('3908','1227','4',null,'60',null,null,'81','81','2020-09-18 22:54:51','2020-09-18 22:54:51',null);
INSERT INTO complaint_statuses VALUES('3909','1231','4',null,'62',null,null,'81','81','2020-09-18 22:57:54','2020-09-18 22:57:54',null);
INSERT INTO complaint_statuses VALUES('3910','1162','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-18 23:05:59','2020-09-18 23:05:59',null);
INSERT INTO complaint_statuses VALUES('3911','1163','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-18 23:10:48','2020-09-18 23:10:48',null);
INSERT INTO complaint_statuses VALUES('3912','1145','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-18 23:19:05','2020-09-22 00:17:57',null);
INSERT INTO complaint_statuses VALUES('3913','1136','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-18 23:29:51','2020-09-22 00:34:51',null);
INSERT INTO complaint_statuses VALUES('3914','1134','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-18 23:43:44','2020-09-22 00:38:13',null);
INSERT INTO complaint_statuses VALUES('3915','1132','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-18 23:45:07','2020-09-22 00:43:28',null);
INSERT INTO complaint_statuses VALUES('3916','1128','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-18 23:54:10','2020-09-22 00:50:11',null);
INSERT INTO complaint_statuses VALUES('3917','1127','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-18 23:55:56','2020-09-18 23:55:56',null);
INSERT INTO complaint_statuses VALUES('3918','1124','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-19 00:09:31','2020-09-21 20:59:01',null);
INSERT INTO complaint_statuses VALUES('3919','1123','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-19 00:16:20','2020-09-21 21:02:32',null);
INSERT INTO complaint_statuses VALUES('3920','1119','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-19 00:20:15','2020-09-21 21:11:00',null);
INSERT INTO complaint_statuses VALUES('3921','1118','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-19 00:21:41','2020-09-21 21:11:39',null);
INSERT INTO complaint_statuses VALUES('3922','1110','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-19 00:24:05','2020-09-22 20:32:36',null);
INSERT INTO complaint_statuses VALUES('3923','1232','2',null,'81',null,'19-SEP-2020
FF TO B.COOL','74','74','2020-09-19 01:31:04','2020-09-19 01:31:04',null);
INSERT INTO complaint_statuses VALUES('3924','1232','4',null,'58',null,null,'81','81','2020-09-19 01:31:34','2020-09-19 01:31:34',null);
INSERT INTO complaint_statuses VALUES('3925','1233','3',null,'52',null,'18-SEP-2020
COMPLAINT#PKRI 200918109472','74','74','2020-09-19 01:40:31','2020-09-19 01:40:31',null);
INSERT INTO complaint_statuses VALUES('3926','388','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-19 01:53:19','2020-09-19 20:52:55',null);
INSERT INTO complaint_statuses VALUES('3927','1187','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-19 01:54:11','2020-09-22 20:51:27',null);
INSERT INTO complaint_statuses VALUES('3928','1085','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-19 01:54:34','2020-09-23 23:30:40',null);
INSERT INTO complaint_statuses VALUES('3929','611','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-19 01:55:13','2020-09-23 22:45:00',null);
INSERT INTO complaint_statuses VALUES('3930','918','8','23','62','WHERE IS UNIT SERVICE CENTER YA COSTUMERS HOME',null,'81','81','2020-09-19 01:56:05','2020-09-19 01:56:05',null);
INSERT INTO complaint_statuses VALUES('3931','1152','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-19 01:58:18','2020-09-22 21:57:58',null);
INSERT INTO complaint_statuses VALUES('3932','1161','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-19 01:58:31','2020-09-23 23:16:29',null);
INSERT INTO complaint_statuses VALUES('3933','1217','8','23','62',null,null,'81','81','2020-09-19 01:59:32','2020-09-19 01:59:32',null);
INSERT INTO complaint_statuses VALUES('3934','1234','3',null,'53',null,'18-SEP-2020
COMPLAINT#1048325','74','74','2020-09-19 02:00:27','2020-09-19 02:00:27',null);
INSERT INTO complaint_statuses VALUES('3935','1149','8','23','55',null,null,'81','81','2020-09-19 02:00:51','2020-09-19 02:00:51',null);
INSERT INTO complaint_statuses VALUES('3936','841','7','12','81','set ok customer set ly gea hy',null,'80','80','2020-09-19 02:07:03','2020-09-19 02:07:03',null);
INSERT INTO complaint_statuses VALUES('3937','1033','7','12','81','customer set thek ni karwna chahta',null,'80','80','2020-09-19 02:10:05','2020-09-19 02:10:05',null);
INSERT INTO complaint_statuses VALUES('3938','1166','7','12','81','no fult visit customer say ly lia hy',null,'80','80','2020-09-19 02:11:55','2020-09-19 02:11:55',null);
INSERT INTO complaint_statuses VALUES('3939','1140','7','12','81','customer ny set apny kese friend say thek karwya hy set s/c ni bjay ga
complain close',null,'80','80','2020-09-19 02:13:31','2020-09-19 02:13:31',null);
INSERT INTO complaint_statuses VALUES('3940','841','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-19 02:17:11','2020-09-19 19:57:03',null);
INSERT INTO complaint_statuses VALUES('3941','918','7','12','81','CUSTOMER'S HOME',null,'87','87','2020-09-19 02:18:58','2020-09-19 02:18:58',null);
INSERT INTO complaint_statuses VALUES('3942','918','5','15',null,null,'COMPLAINT RESOLVED REOPEN COMPLAINT KARWAI THI','81','74','2020-09-19 02:27:09','2020-09-25 23:35:40',null);
INSERT INTO complaint_statuses VALUES('3943','1033','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-09-19 02:27:56','2020-09-23 23:53:45',null);
INSERT INTO complaint_statuses VALUES('3944','1140','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-09-19 02:28:21','2020-09-19 19:19:49',null);
INSERT INTO complaint_statuses VALUES('3945','1166','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-19 02:28:45','2020-09-22 21:27:13',null);
INSERT INTO complaint_statuses VALUES('3946','1174','8','23','56',null,null,'81','81','2020-09-19 02:35:35','2020-09-19 02:35:35',null);
INSERT INTO complaint_statuses VALUES('3947','984','5','15',null,'W/MACHINE DELEVAR COSTUMERS HOME','COMPLAINT RESOLVED','81','92','2020-09-19 02:37:38','2020-09-24 00:33:34',null);
INSERT INTO complaint_statuses VALUES('3948','1216','5','15',null,'LED REPLACE HO GAHE HY','COMPLAINT RESOLVED','81','92','2020-09-19 02:38:22','2020-09-22 20:22:43',null);
INSERT INTO complaint_statuses VALUES('3949','1204','8','23','62',null,null,'81','81','2020-09-19 02:38:45','2020-09-19 02:38:45',null);
INSERT INTO complaint_statuses VALUES('3950','1137','8','23','58','NUMBER NO HY PLEASE CALL AGAIN',null,'81','81','2020-09-19 02:42:21','2020-09-19 02:42:21',null);
INSERT INTO complaint_statuses VALUES('3951','941','7','12','81','complaint resolved freezer properly working',null,'79','79','2020-09-19 19:29:53','2020-09-19 19:29:53',null);
INSERT INTO complaint_statuses VALUES('3952','1235','3',null,'63',null,'19-SEP-2020
COMPLAINT#2049','74','74','2020-09-19 19:42:30','2020-09-19 19:42:30',null);
INSERT INTO complaint_statuses VALUES('3953','814','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-19 19:48:56','2020-09-19 19:48:56',null);
INSERT INTO complaint_statuses VALUES('3954','1236','3',null,'65',null,'19-SEP-2020
COMPLAINT# 192018164','74','74','2020-09-19 20:04:54','2020-09-19 20:04:54',null);
INSERT INTO complaint_statuses VALUES('3955','1237','3',null,'52',null,'19-SEP-2020
COMPLAINT# PKRI-200919103140','74','74','2020-09-19 20:16:48','2020-09-19 20:16:48',null);
INSERT INTO complaint_statuses VALUES('3956','1227','7','12','81','refor to boch compeny c/o ahar sab',null,'82','82','2020-09-19 20:26:01','2020-09-19 20:26:01',null);
INSERT INTO complaint_statuses VALUES('3957','1215','7','24','81','showk  chye',null,'82','82','2020-09-19 20:34:50','2020-09-19 20:34:50',null);
INSERT INTO complaint_statuses VALUES('3958','835','7','24','81','plz customer ko inform krain k unit service center drop kr dain','NOT ATTEND CALL','83','74','2020-09-19 20:34:56','2020-09-19 21:30:57',null);
INSERT INTO complaint_statuses VALUES('3959','1116','7','22','81','showk not availbe',null,'82','82','2020-09-19 20:38:29','2020-09-19 20:38:29',null);
INSERT INTO complaint_statuses VALUES('3960','1238','3',null,'52',null,'19-SEP-2020
COMPLAINT#PKRI-200919103970','74','74','2020-09-19 20:47:12','2020-09-19 20:47:12',null);
INSERT INTO complaint_statuses VALUES('3961','1227','8','23','60','forward company service center please fallow up company service center','COMPLAINT RESOLVED','81','92','2020-09-19 20:52:30','2020-10-07 22:48:51',null);
INSERT INTO complaint_statuses VALUES('3962','941','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-19 20:53:02','2020-09-24 00:32:30',null);
INSERT INTO complaint_statuses VALUES('3963','1149','7','22','81','Compressor Need to Replacement , Please provide Compressor for further working.',null,'76','76','2020-09-19 20:55:02','2020-09-19 20:55:02',null);
INSERT INTO complaint_statuses VALUES('3964','1215','8','23','60','send me pitcher of washing machine model and serial number label','SHOWK KA ISSUE HAIN  SHOK ABI AVAIL NAI HAIN','81','74','2020-09-19 20:55:17','2020-09-23 20:07:47',null);
INSERT INTO complaint_statuses VALUES('3965','1239','3',null,'53',null,'19-SEP-2020
COMPLAINT#1048504','74','74','2020-09-19 20:57:12','2020-09-19 20:57:12',null);
INSERT INTO complaint_statuses VALUES('3966','1149','8','23','55','get from i-10','COMPLAINT RESOLVED','81','92','2020-09-19 21:00:17','2020-09-22 22:02:32',null);
INSERT INTO complaint_statuses VALUES('3967','1116','8','23','60','send me pitcher of model and serial number label',null,'81','81','2020-09-19 21:02:44','2020-09-19 21:02:44',null);
INSERT INTO complaint_statuses VALUES('3968','1071','5',null,null,'COMPLAINT COMPLEAT','COMPLAINT RESOLVED','92','92','2020-09-19 21:22:02','2020-09-19 21:22:32',null);
INSERT INTO complaint_statuses VALUES('3969','1242','3',null,'54',null,'19-SEP-2020
COMPLAINT#1734894','74','74','2020-09-19 21:28:31','2020-09-19 21:28:31',null);
INSERT INTO complaint_statuses VALUES('3970','1142','7','12','81','Drain Pipe Adjustment Only.',null,'76','76','2020-09-19 21:32:01','2020-09-19 21:32:01',null);
INSERT INTO complaint_statuses VALUES('3971','1038','5',null,null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','92','92','2020-09-19 21:37:17','2020-09-19 21:37:34',null);
INSERT INTO complaint_statuses VALUES('3972','1243','3',null,'52',null,'19-SEP-2020
COMPLAINT#PKRI- 200919105457','74','74','2020-09-19 21:41:14','2020-09-19 21:41:14',null);
INSERT INTO complaint_statuses VALUES('3973','1159','7','12','81','Inlet Filter Service',null,'76','76','2020-09-19 22:09:24','2020-09-19 22:09:24',null);
INSERT INTO complaint_statuses VALUES('3974','944','7','12','81','Door Hinge Replaced and General wash service.',null,'76','76','2020-09-19 23:02:50','2020-09-19 23:02:50',null);
INSERT INTO complaint_statuses VALUES('3975','818','7','24','81','is customer ny b unit nahi bijwaya abhi tak   plz call them',null,'83','83','2020-09-19 23:48:04','2020-09-19 23:48:04',null);
INSERT INTO complaint_statuses VALUES('3976','1231','7','12','81','ISSUE RESOLVED AT HOME ... SERVICE KI HAI',null,'87','87','2020-09-20 00:42:28','2020-09-20 00:42:28',null);
INSERT INTO complaint_statuses VALUES('3977','213','7','12','81','ISSUE RESOLVED .. PCB CHANGED',null,'87','87','2020-09-20 01:37:56','2020-09-20 01:37:56',null);
INSERT INTO complaint_statuses VALUES('3978','1245','3',null,'52',null,'19-SEP-2020
COMPLAINT#PKRI-200919111926','74','74','2020-09-20 02:31:41','2020-09-20 02:31:41',null);
INSERT INTO complaint_statuses VALUES('3979','1246','3',null,'62',null,'19-SEP-2020
FF TO KHURRAM 5 STAR','74','74','2020-09-20 02:41:07','2020-09-20 02:41:07',null);
INSERT INTO complaint_statuses VALUES('3980','1041','7','10','81','call pick nahi kr rahy ..or na hi msg ka resopnse dy reh hain .',null,'79','79','2020-09-20 02:43:59','2020-09-20 02:43:59',null);
INSERT INTO complaint_statuses VALUES('3981','1247','2',null,'81',null,'19-SEP-2020
FF TO B.COOL','74','74','2020-09-20 02:50:33','2020-09-20 02:50:33',null);
INSERT INTO complaint_statuses VALUES('3982','1247','4',null,'58',null,null,'81','81','2020-09-20 02:52:31','2020-09-20 02:52:31',null);
INSERT INTO complaint_statuses VALUES('3983','1248','3',null,'52',null,'19-SEP-2020
COMPLAIN#PKRI200920106618','74','92','2020-09-20 03:10:03','2020-09-21 01:20:38',null);
INSERT INTO complaint_statuses VALUES('3984','1249','2',null,'81',null,'19-SEP-2020.
FF TO B.COOL','74','74','2020-09-20 03:18:46','2020-09-20 03:18:46',null);
INSERT INTO complaint_statuses VALUES('3985','1249','4',null,'58',null,null,'81','81','2020-09-20 03:19:18','2020-09-20 03:19:18',null);
INSERT INTO complaint_statuses VALUES('3986','1219','7','26','81','gas leak   RS 8000 expanse   customer not interested yet  
 kindly cancel the job',null,'83','83','2020-09-20 04:03:13','2020-09-20 04:03:13',null);
INSERT INTO complaint_statuses VALUES('3987','1250','2',null,'81',null,'NADEEM','92','92','2020-09-20 21:17:46','2020-09-20 21:17:46',null);
INSERT INTO complaint_statuses VALUES('3988','1204','7','12','81','ISSUE RESOLVED AT HOME..FAN MOTOR REPLACE KI',null,'87','87','2020-09-20 21:21:11','2020-09-20 21:21:11',null);
INSERT INTO complaint_statuses VALUES('3989','1251','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','92','92','2020-09-20 21:24:35','2020-09-20 21:24:35',null);
INSERT INTO complaint_statuses VALUES('3990','1252','3',null,'53',null,'COMPLAIN#1048957','92','92','2020-09-20 21:41:26','2020-09-21 01:47:42',null);
INSERT INTO complaint_statuses VALUES('3991','1253','3',null,'52',null,'COMPLAIN#PKRI200920106660','92','92','2020-09-20 21:46:05','2020-09-21 01:24:51',null);
INSERT INTO complaint_statuses VALUES('3992','1254','3',null,'65',null,'COMPLAIN#192018196','92','92','2020-09-20 21:49:37','2020-09-21 01:32:55',null);
INSERT INTO complaint_statuses VALUES('3993','1255','2',null,'81',null,'C\O UMER SB AND NAEEM NASEER SB','92','92','2020-09-20 21:54:00','2020-09-20 21:54:00',null);
INSERT INTO complaint_statuses VALUES('3994','1256','2',null,'81',null,'LG','92','92','2020-09-20 22:05:14','2020-09-20 22:05:14',null);
INSERT INTO complaint_statuses VALUES('3995','1257','3',null,'62',null,'FRWRD TO SAJID FISHER','92','92','2020-09-20 22:08:13','2020-09-21 01:06:17',null);
INSERT INTO complaint_statuses VALUES('3996','1258','2',null,'81',null,'LG','92','92','2020-09-20 22:20:03','2020-09-20 22:20:03',null);
INSERT INTO complaint_statuses VALUES('3997','1259','3',null,'53',null,'COMPLAIN#1048956','92','92','2020-09-20 22:29:50','2020-09-21 01:44:35',null);
INSERT INTO complaint_statuses VALUES('3998','1260','2',null,'81',null,'CARE','92','92','2020-09-20 22:33:30','2020-09-20 22:33:30',null);
INSERT INTO complaint_statuses VALUES('3999','1261','3',null,'66',null,'FRWRD TO MARIYAM TCL','92','92','2020-09-20 22:37:06','2020-09-21 01:04:02',null);
INSERT INTO complaint_statuses VALUES('4000','1262','3',null,'52',null,'FRWRD TO JABBAR HACWELL','92','92','2020-09-20 22:42:05','2020-09-20 22:42:05',null);
INSERT INTO complaint_statuses VALUES('4001','1263','2',null,'81',null,'GAS','92','92','2020-09-20 22:44:55','2020-09-20 22:44:55',null);
INSERT INTO complaint_statuses VALUES('4002','1264','3',null,'54',null,'COMPLAIN#1735828','92','92','2020-09-20 22:49:37','2020-09-21 01:29:09',null);
INSERT INTO complaint_statuses VALUES('4003','1265','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','92','92','2020-09-20 22:54:36','2020-09-20 22:54:36',null);
INSERT INTO complaint_statuses VALUES('4004','1266','2',null,'81',null,'H.SOLUTION','92','92','2020-09-20 23:05:31','2020-09-20 23:05:31',null);
INSERT INTO complaint_statuses VALUES('4005','1267','2',null,'81',null,'LG','92','92','2020-09-20 23:11:14','2020-09-20 23:11:14',null);
INSERT INTO complaint_statuses VALUES('4006','1268','2',null,'81',null,'LG','92','92','2020-09-20 23:21:12','2020-09-20 23:21:12',null);
INSERT INTO complaint_statuses VALUES('4007','1268','4',null,'55',null,null,'81','81','2020-09-20 23:24:49','2020-09-20 23:24:49',null);
INSERT INTO complaint_statuses VALUES('4008','1267','4',null,'55',null,'OTHER#03005159572','81','92','2020-09-20 23:24:59','2020-09-21 01:54:17',null);
INSERT INTO complaint_statuses VALUES('4009','1266','4',null,'62',null,null,'81','81','2020-09-20 23:25:11','2020-09-20 23:25:11',null);
INSERT INTO complaint_statuses VALUES('4010','1263','4',null,'63',null,null,'81','81','2020-09-20 23:25:21','2020-09-20 23:25:21',null);
INSERT INTO complaint_statuses VALUES('4011','1263','4',null,'63',null,'VISOT TO DAY','81','92','2020-09-20 23:25:21','2020-09-22 20:09:00',null);
INSERT INTO complaint_statuses VALUES('4012','1260','4',null,'60',null,null,'81','81','2020-09-20 23:25:34','2020-09-20 23:25:34',null);
INSERT INTO complaint_statuses VALUES('4013','1258','4',null,'55',null,null,'81','81','2020-09-20 23:25:56','2020-09-20 23:25:56',null);
INSERT INTO complaint_statuses VALUES('4014','1256','4',null,'55',null,null,'81','81','2020-09-20 23:26:05','2020-09-20 23:26:05',null);
INSERT INTO complaint_statuses VALUES('4015','1250','4',null,'59',null,null,'81','81','2020-09-20 23:26:32','2020-09-20 23:26:32',null);
INSERT INTO complaint_statuses VALUES('4016','1255','3',null,'58',null,null,'81','81','2020-09-20 23:26:48','2020-09-20 23:26:48',null);
INSERT INTO complaint_statuses VALUES('4017','1255','5',null,null,'WRONG COMPLAINT',null,'92','92','2020-09-20 23:27:36','2020-09-20 23:27:36',null);
INSERT INTO complaint_statuses VALUES('4018','1269','2',null,'81',null,'B.COOL','92','92','2020-09-20 23:34:25','2020-09-20 23:34:25',null);
INSERT INTO complaint_statuses VALUES('4019','1270','2',null,'81',null,'B.COOL','92','92','2020-09-20 23:36:32','2020-09-20 23:36:32',null);
INSERT INTO complaint_statuses VALUES('4020','1271','3',null,'66',null,'FRWRD TO MARIYAM TCL','92','92','2020-09-20 23:39:10','2020-09-20 23:39:10',null);
INSERT INTO complaint_statuses VALUES('4021','1272','2',null,'81',null,'NADEEM','92','92','2020-09-20 23:42:04','2020-09-20 23:42:04',null);
INSERT INTO complaint_statuses VALUES('4022','1273','3',null,'52',null,'COMPLAIN#PKRI200920106575','92','92','2020-09-20 23:44:24','2020-09-21 01:17:17',null);
INSERT INTO complaint_statuses VALUES('4023','1274','2',null,'81',null,'B.COOL','92','92','2020-09-20 23:46:00','2020-09-20 23:46:00',null);
INSERT INTO complaint_statuses VALUES('4024','1244','2',null,'81',null,'LG','92','92','2020-09-20 23:56:02','2020-09-20 23:56:02',null);
INSERT INTO complaint_statuses VALUES('4025','1241','3',null,'55',null,'FRWRD TO WAQAR KENWOOD','92','92','2020-09-20 23:56:14','2020-09-21 02:17:23',null);
INSERT INTO complaint_statuses VALUES('4026','1240','3',null,'55',null,'FRWRD TO WAQAR KENWOOD','92','92','2020-09-20 23:56:23','2020-09-21 02:18:22',null);
INSERT INTO complaint_statuses VALUES('4027','1229','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','92','92','2020-09-20 23:56:33','2020-09-21 02:23:48',null);
INSERT INTO complaint_statuses VALUES('4028','1228','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','92','92','2020-09-20 23:56:42','2020-09-21 02:26:28',null);
INSERT INTO complaint_statuses VALUES('4029','1220','3',null,'53',null,'COMPLAIN#1048978','92','92','2020-09-20 23:56:50','2020-09-21 02:35:37',null);
INSERT INTO complaint_statuses VALUES('4030','1218','3',null,'53',null,'COMPLAIN#1048979','92','92','2020-09-20 23:57:06','2020-09-21 02:37:16',null);
INSERT INTO complaint_statuses VALUES('4031','1209','2',null,'81',null,'GAS','92','92','2020-09-20 23:57:21','2020-09-20 23:57:21',null);
INSERT INTO complaint_statuses VALUES('4032','1202','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','92','92','2020-09-20 23:57:35','2020-09-21 02:24:59',null);
INSERT INTO complaint_statuses VALUES('4033','1200','3',null,'55',null,'FRWRD TO NAEEM KENWOOD','92','92','2020-09-20 23:58:29','2020-09-21 02:19:55',null);
INSERT INTO complaint_statuses VALUES('4034','1199','3',null,'52',null,'COMPLAIN#PKRI200920107818','92','92','2020-09-20 23:58:42','2020-09-21 02:48:56',null);
INSERT INTO complaint_statuses VALUES('4035','1198','3',null,'52',null,'COMPLAIN#PKRI200920107827','92','92','2020-09-20 23:59:06','2020-09-21 02:51:16',null);
INSERT INTO complaint_statuses VALUES('4036','1188','3',null,'52',null,'COMPLAIN#PKRI200920107781','92','92','2020-09-20 23:59:16','2020-09-21 02:44:41',null);
INSERT INTO complaint_statuses VALUES('4037','1185','2',null,'81',null,'H.SOLUTION','92','92','2020-09-20 23:59:34','2020-09-20 23:59:34',null);
INSERT INTO complaint_statuses VALUES('4038','1183','3',null,'56',null,'FRWRD TO NAEEM KENWOOD','92','92','2020-09-20 23:59:57','2020-09-21 02:21:24',null);
INSERT INTO complaint_statuses VALUES('4039','1182','3',null,'52',null,'COMPLAIN#PKRI200920107796','92','92','2020-09-21 00:00:20','2020-09-21 02:46:22',null);
INSERT INTO complaint_statuses VALUES('4040','1181','3',null,'53',null,'COMPLAIN#1048980','92','92','2020-09-21 00:00:31','2020-09-21 02:40:26',null);
INSERT INTO complaint_statuses VALUES('4041','1275','2',null,'81',null,'B.COOL','92','92','2020-09-21 00:04:57','2020-09-21 00:04:57',null);
INSERT INTO complaint_statuses VALUES('4042','1276','3',null,'63',null,'COMPLAINT#2059','92','74','2020-09-21 00:12:05','2020-09-22 19:42:55',null);
INSERT INTO complaint_statuses VALUES('4043','1277','3',null,'52',null,'COMPLAIN#PKRI200920106529','92','92','2020-09-21 00:18:08','2020-09-21 01:14:24',null);
INSERT INTO complaint_statuses VALUES('4044','1278','3',null,'53',null,'COMPLAIN#1048955','92','92','2020-09-21 00:32:51','2020-09-21 01:40:17',null);
INSERT INTO complaint_statuses VALUES('4045','1279','2',null,'81',null,'LG','92','92','2020-09-21 00:34:48','2020-09-21 00:34:48',null);
INSERT INTO complaint_statuses VALUES('4046','1279','4',null,'55',null,null,'81','81','2020-09-21 00:36:04','2020-09-21 00:36:04',null);
INSERT INTO complaint_statuses VALUES('4047','1275','4',null,'58',null,null,'81','81','2020-09-21 00:36:15','2020-09-21 00:36:15',null);
INSERT INTO complaint_statuses VALUES('4048','1274','4',null,'58',null,'HOOD KI COMPLAINT HAIN VISIT TO DAY','81','74','2020-09-21 00:36:24','2020-09-22 21:04:22',null);
INSERT INTO complaint_statuses VALUES('4049','1270','4',null,'59',null,null,'81','81','2020-09-21 00:36:33','2020-09-21 00:36:33',null);
INSERT INTO complaint_statuses VALUES('4050','1272','4',null,'59',null,null,'81','81','2020-09-21 00:36:43','2020-09-21 00:36:43',null);
INSERT INTO complaint_statuses VALUES('4051','1269','4',null,'58',null,null,'81','81','2020-09-21 00:36:53','2020-09-21 00:36:53',null);
INSERT INTO complaint_statuses VALUES('4052','1244','4',null,'55',null,null,'81','81','2020-09-21 00:37:04','2020-09-21 00:37:04',null);
INSERT INTO complaint_statuses VALUES('4053','1185','4',null,'62',null,null,'81','81','2020-09-21 00:37:21','2020-09-21 00:37:21',null);
INSERT INTO complaint_statuses VALUES('4054','1209','3',null,'60',null,null,'81','81','2020-09-21 00:37:39','2020-09-21 00:37:39',null);
INSERT INTO complaint_statuses VALUES('4055','1209','5',null,null,'DUMMY COMPLAINT',null,'92','92','2020-09-21 00:38:06','2020-09-21 00:38:06',null);
INSERT INTO complaint_statuses VALUES('4056','1231','5','13',null,null,'COMPLAINT RESOLVED','81','92','2020-09-21 00:50:31','2020-09-23 21:24:51',null);
INSERT INTO complaint_statuses VALUES('4057','1204','5','13',null,null,'COMPLAINT RESOLVED','81','92','2020-09-21 00:51:14','2020-09-21 19:43:18',null);
INSERT INTO complaint_statuses VALUES('4058','1159','5','13',null,null,'COMPLAINT RESOLVED','81','92','2020-09-21 00:51:29','2020-09-21 23:24:14',null);
INSERT INTO complaint_statuses VALUES('4059','1041','8','13','58','TRY TRY AGAIN TILL SUCEED',null,'81','81','2020-09-21 00:52:09','2020-09-21 00:52:09',null);
INSERT INTO complaint_statuses VALUES('4060','944','5','13',null,null,'COMPLAINT RESOLVED','81','92','2020-09-21 00:52:24','2020-09-23 23:21:23',null);
INSERT INTO complaint_statuses VALUES('4061','835','8','13','61','IN WARRANTY',null,'81','81','2020-09-21 00:53:23','2020-09-21 00:53:23',null);
INSERT INTO complaint_statuses VALUES('4062','818','8','13','61','OK',null,'81','81','2020-09-21 00:53:56','2020-09-21 00:53:56',null);
INSERT INTO complaint_statuses VALUES('4063','213','5','13',null,null,'COMPLAINT RESOLVED','81','92','2020-09-21 00:54:17','2020-09-23 21:45:26',null);
INSERT INTO complaint_statuses VALUES('4064','1142','5','13',null,null,'COMPLAINT RESOLVED','81','92','2020-09-21 00:54:39','2020-09-23 23:59:02',null);
INSERT INTO complaint_statuses VALUES('4065','1219','8','13','61','Again confirm from the costumer... and then we closed the complain','KAL COMPANI WALAY FEREJH LAY GAY THAY 1 WEEK K BAD CONNECT KARAY GAY','81','92','2020-09-21 00:55:25','2020-09-22 20:16:22',null);
INSERT INTO complaint_statuses VALUES('4066','1185','7','26','81','PLZ PROVIDE FULL DETAILS',null,'87','87','2020-09-21 01:07:56','2020-09-21 01:07:56',null);
INSERT INTO complaint_statuses VALUES('4067','1280','2',null,'81',null,'KHALID','92','92','2020-09-21 01:55:08','2020-09-21 01:55:08',null);
INSERT INTO complaint_statuses VALUES('4068','1281','3',null,'65',null,'COMPLAIN#192018200
NEW COMPLAINT#192018248','92','74','2020-09-21 02:01:04','2020-09-22 20:38:04',null);
INSERT INTO complaint_statuses VALUES('4069','1137','7','24','81','HOT PLATE FAULTY  REFER TO SERVICE CETNER.CUSTOEMR NY PROPER CHECK KERNY NAHI DYA',null,'79','79','2020-09-21 02:03:32','2020-09-21 02:03:32',null);
INSERT INTO complaint_statuses VALUES('4070','1247','7','12','81','NO  ISSUE IN WM .CHECK KERA DI HAI',null,'79','79','2020-09-21 02:04:38','2020-09-21 02:04:38',null);
INSERT INTO complaint_statuses VALUES('4071','1275','7','24','81','BT HO GAI HAI .FRIDAY KO JANA HAI',null,'79','79','2020-09-21 02:47:12','2020-09-21 02:47:12',null);
INSERT INTO complaint_statuses VALUES('4072','1249','7','24','81','KAL JANA HAI.CUSTOEMR NY KH AHAI',null,'79','79','2020-09-21 03:04:48','2020-09-21 03:04:48',null);
INSERT INTO complaint_statuses VALUES('4073','1101','5',null,null,'COMPLAIN COMPLETE','COMPLAINT RESOLVED','92','92','2020-09-21 19:59:31','2020-09-21 20:00:12',null);
INSERT INTO complaint_statuses VALUES('4074','938','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-21 20:07:54','2020-09-21 20:08:15',null);
INSERT INTO complaint_statuses VALUES('4075','1087','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-21 20:13:19','2020-09-21 20:13:38',null);
INSERT INTO complaint_statuses VALUES('4076','1030','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-21 20:15:37','2020-09-21 20:15:52',null);
INSERT INTO complaint_statuses VALUES('4077','1112','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-21 20:22:38','2020-09-21 20:22:53',null);
INSERT INTO complaint_statuses VALUES('4078','1097','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-21 20:28:53','2020-09-21 20:29:14',null);
INSERT INTO complaint_statuses VALUES('4079','1096','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-21 20:34:27','2020-09-21 20:34:50',null);
INSERT INTO complaint_statuses VALUES('4080','1226','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-21 20:55:50','2020-09-21 20:56:04',null);
INSERT INTO complaint_statuses VALUES('4081','1121','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-21 21:08:34','2020-09-21 21:08:49',null);
INSERT INTO complaint_statuses VALUES('4082','1214','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-21 21:43:30','2020-09-21 21:43:45',null);
INSERT INTO complaint_statuses VALUES('4083','1211','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-21 21:51:08','2020-09-21 21:51:21',null);
INSERT INTO complaint_statuses VALUES('4084','1197','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-21 22:01:19','2020-09-21 22:01:32',null);
INSERT INTO complaint_statuses VALUES('4085','1196','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-21 22:03:46','2020-09-21 22:04:03',null);
INSERT INTO complaint_statuses VALUES('4086','1180','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-21 22:19:48','2020-09-21 22:20:06',null);
INSERT INTO complaint_statuses VALUES('4087','1179','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-21 22:23:59','2020-09-21 22:24:19',null);
INSERT INTO complaint_statuses VALUES('4088','1173','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-21 22:35:31','2020-09-21 22:35:46',null);
INSERT INTO complaint_statuses VALUES('4089','1171','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-21 22:46:20','2020-09-21 22:46:51',null);
INSERT INTO complaint_statuses VALUES('4090','1282','3',null,'54',null,'20-SEP-2020
COMPLAINT#1736509','74','74','2020-09-21 22:54:16','2020-09-21 22:54:16',null);
INSERT INTO complaint_statuses VALUES('4091','1284','3',null,'71',null,'21-SEP-2020
COMPLAINT#39139','74','74','2020-09-21 23:14:26','2020-09-21 23:14:26',null);
INSERT INTO complaint_statuses VALUES('4092','1283','3',null,'64',null,'FF TO KHALID SONY','74','74','2020-09-21 23:24:16','2020-09-21 23:24:16',null);
INSERT INTO complaint_statuses VALUES('4093','1279','7','24','81','Ref is Working fine , Customer Will Inform within two or three Days about visit (If Require)',null,'76','76','2020-09-21 23:25:52','2020-09-21 23:25:52',null);
INSERT INTO complaint_statuses VALUES('4094','1133','7','12','81','Defrosting Sensor Replaced (Deliver Back to the Customer )',null,'76','76','2020-09-21 23:27:05','2020-09-21 23:27:05',null);
INSERT INTO complaint_statuses VALUES('4095','988','7','26','81','Washing Machine has been Repaced.','CUSTOMER NA W/M REPLACE KARWA LI','76','74','2020-09-21 23:27:48','2020-09-21 23:48:26',null);
INSERT INTO complaint_statuses VALUES('4096','333','7','26','81','Please Close Task , Customer not Answering the Calls',null,'76','76','2020-09-21 23:29:52','2020-09-21 23:29:52',null);
INSERT INTO complaint_statuses VALUES('4097','1247','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-21 23:32:15','2020-09-22 19:08:04',null);
INSERT INTO complaint_statuses VALUES('4098','1133','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-21 23:32:54','2020-09-23 23:11:12',null);
INSERT INTO complaint_statuses VALUES('4099','1108','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-21 23:34:45','2020-09-21 23:34:45',null);
INSERT INTO complaint_statuses VALUES('4100','333','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-09-21 23:34:52','2020-09-27 20:18:47',null);
INSERT INTO complaint_statuses VALUES('4101','1249','8','23','58',null,null,'81','81','2020-09-21 23:37:08','2020-09-21 23:37:08',null);
INSERT INTO complaint_statuses VALUES('4102','1185','8','23','62',null,null,'81','81','2020-09-21 23:37:51','2020-09-21 23:37:51',null);
INSERT INTO complaint_statuses VALUES('4103','1280','4',null,'56',null,'KHALID SAB KO REMINDER DA DIA HAIN','81','74','2020-09-21 23:38:33','2020-09-28 22:52:12',null);
INSERT INTO complaint_statuses VALUES('4104','1137','8','23','58','i-10 me gas nahe hy murree road best cool par mangva len',null,'81','81','2020-09-21 23:39:44','2020-09-21 23:39:44',null);
INSERT INTO complaint_statuses VALUES('4105','1275','8','23','58',null,null,'81','81','2020-09-21 23:40:14','2020-09-21 23:40:14',null);
INSERT INTO complaint_statuses VALUES('4106','1279','8','23','55',null,null,'81','81','2020-09-21 23:41:25','2020-09-21 23:41:25',null);
INSERT INTO complaint_statuses VALUES('4107','988','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-21 23:48:26','2020-09-23 22:39:01',null);
INSERT INTO complaint_statuses VALUES('4108','1285','2',null,'81',null,'21-SEP-2020
FF TO B.COOL','74','74','2020-09-21 23:55:27','2020-09-21 23:55:27',null);
INSERT INTO complaint_statuses VALUES('4109','1285','4',null,'58',null,null,'81','81','2020-09-21 23:57:17','2020-09-21 23:57:17',null);
INSERT INTO complaint_statuses VALUES('4110','1286','3',null,'65',null,'21-SEP-2020
FF TO THASEEN SAB','74','74','2020-09-22 00:08:25','2020-09-22 00:08:25',null);
INSERT INTO complaint_statuses VALUES('4111','1150','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 00:10:23','2020-09-22 00:10:47',null);
INSERT INTO complaint_statuses VALUES('4112','1143','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 00:20:08','2020-09-22 00:20:21',null);
INSERT INTO complaint_statuses VALUES('4113','1287','2',null,'81',null,'21-SEP-2020
FF TO KHALID SAB','74','74','2020-09-22 00:21:02','2020-09-22 00:21:02',null);
INSERT INTO complaint_statuses VALUES('4114','1287','4',null,'56',null,null,'81','81','2020-09-22 00:21:42','2020-09-22 00:21:42',null);
INSERT INTO complaint_statuses VALUES('4115','1185','7','12','81','ISSUE RESOLVED',null,'87','87','2020-09-22 00:27:30','2020-09-22 00:27:30',null);
INSERT INTO complaint_statuses VALUES('4116','1288','3',null,'57',null,'251-SEP-2020
COMPLAINT#13547','74','74','2020-09-22 00:29:35','2020-09-22 00:29:35',null);
INSERT INTO complaint_statuses VALUES('4117','1090','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 01:06:51','2020-09-22 01:07:05',null);
INSERT INTO complaint_statuses VALUES('4118','1289','2',null,'81',null,'21-SEP-2020
FF TO SHAMIM AKHTER','74','74','2020-09-22 01:15:11','2020-09-22 01:15:11',null);
INSERT INTO complaint_statuses VALUES('4119','1289','4',null,'55',null,null,'81','81','2020-09-22 01:16:01','2020-09-22 01:16:01',null);
INSERT INTO complaint_statuses VALUES('4120','420','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 01:32:58','2020-09-22 01:33:11',null);
INSERT INTO complaint_statuses VALUES('4121','1184','5',null,null,'COMPLAINT COMPLATED','COMPLAINT RESOLVED','92','92','2020-09-22 01:42:15','2020-09-22 01:42:36',null);
INSERT INTO complaint_statuses VALUES('4122','799','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 02:04:45','2020-09-22 02:04:58',null);
INSERT INTO complaint_statuses VALUES('4123','1147','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 02:16:41','2020-09-22 02:16:53',null);
INSERT INTO complaint_statuses VALUES('4124','1290','3',null,'65',null,'21-SEP-2020
COMPLAINT#19201232','74','74','2020-09-22 02:21:31','2020-09-22 02:21:31',null);
INSERT INTO complaint_statuses VALUES('4125','1130','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 02:24:02','2020-09-22 02:24:14',null);
INSERT INTO complaint_statuses VALUES('4126','1291','3',null,'65',null,'21-SEP-2020
COMPLAINT#192018231','74','74','2020-09-22 02:25:13','2020-09-22 02:25:13',null);
INSERT INTO complaint_statuses VALUES('4127','1243','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 02:34:13','2020-09-22 02:34:24',null);
INSERT INTO complaint_statuses VALUES('4128','1235','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 02:36:51','2020-09-22 02:37:04',null);
INSERT INTO complaint_statuses VALUES('4129','1292','3',null,'53',null,'21-SEP-2020
COMPLAINT#1049669','74','74','2020-09-22 02:45:51','2020-09-22 02:45:51',null);
INSERT INTO complaint_statuses VALUES('4130','1293','2',null,'81',null,'21_SEP 2020
FF TO AZAR FCI','92','92','2020-09-22 03:02:47','2020-09-22 03:02:47',null);
INSERT INTO complaint_statuses VALUES('4131','1294','3',null,'53',null,'21-SEP-220
COMPLAINT#1056773','74','92','2020-09-22 03:10:24','2020-10-07 21:47:08',null);
INSERT INTO complaint_statuses VALUES('4132','1293','4',null,'60',null,null,'81','81','2020-09-22 03:11:42','2020-09-22 03:11:42',null);
INSERT INTO complaint_statuses VALUES('4133','1295','2',null,'81',null,'21_ SEP _2020
FF TO USMAN','92','92','2020-09-22 03:12:31','2020-09-22 03:12:31',null);
INSERT INTO complaint_statuses VALUES('4134','1295','4',null,'61',null,null,'81','81','2020-09-22 03:13:20','2020-09-22 03:13:20',null);
INSERT INTO complaint_statuses VALUES('4135','1250','7','10','81','customer call pic ni kar rha massage dal dia hy',null,'80','80','2020-09-22 03:17:31','2020-09-22 03:17:31',null);
INSERT INTO complaint_statuses VALUES('4136','1272','7','24','81','remote say net ka option ni a rha customer keh rha hy main ap say 2 din bad rabta kro ga k visit kea jae yea main ap k paas set ly ao soch k bato ga',null,'80','80','2020-09-22 03:23:13','2020-09-22 03:23:13',null);
INSERT INTO complaint_statuses VALUES('4137','1296','2',null,'81',null,'21-SEP-2020
FF TO AZHAR FCI','74','74','2020-09-22 03:25:15','2020-09-22 03:25:15',null);
INSERT INTO complaint_statuses VALUES('4138','1296','4',null,'60',null,null,'81','81','2020-09-22 03:25:53','2020-09-22 03:25:53',null);
INSERT INTO complaint_statuses VALUES('4139','1131','7','10','81','customer call pic ni kr rah msj dal dia hy',null,'80','80','2020-09-22 03:27:03','2020-09-22 03:27:03',null);
INSERT INTO complaint_statuses VALUES('4140','1270','7','26','81','yea washing machine ki complain hy 
washing maching k tech ko refer kar dyn','COMPLAINT RESOLVED','80','92','2020-09-22 03:30:25','2020-09-22 21:08:31',null);
INSERT INTO complaint_statuses VALUES('4141','1297','2',null,'81',null,'21_SEP 2020
FF TO SHAMIM AKHTAR','92','92','2020-09-22 03:31:58','2020-09-22 03:31:58',null);
INSERT INTO complaint_statuses VALUES('4142','1297','4',null,'55',null,null,'81','81','2020-09-22 03:32:24','2020-09-22 03:32:24',null);
INSERT INTO complaint_statuses VALUES('4143','1185','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-22 03:44:09','2020-09-27 02:41:37',null);
INSERT INTO complaint_statuses VALUES('4144','1272','5','23',null,null,'COMPLAINT RESOLVED','81','92','2020-09-22 03:45:08','2020-09-23 23:00:10',null);
INSERT INTO complaint_statuses VALUES('4145','1249','7','22','81','gear box issue hai plz call give estimate and pick  plz',null,'79','79','2020-09-22 04:26:28','2020-09-22 04:26:28',null);
INSERT INTO complaint_statuses VALUES('4146','1048','7','24','81','Plz update',null,'82','82','2020-09-22 17:36:53','2020-09-22 17:36:53',null);
INSERT INTO complaint_statuses VALUES('4147','1248','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 19:04:53','2020-09-22 19:05:50',null);
INSERT INTO complaint_statuses VALUES('4148','1238','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 19:23:29','2020-09-22 19:23:44',null);
INSERT INTO complaint_statuses VALUES('4149','1285','7','24','81','customer ref i 10 service mein ly aye ye gain',null,'79','79','2020-09-22 19:42:58','2020-09-22 19:42:58',null);
INSERT INTO complaint_statuses VALUES('4150','1225','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 19:45:23','2020-09-22 19:45:34',null);
INSERT INTO complaint_statuses VALUES('4151','1224','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 19:47:27','2020-09-22 19:47:39',null);
INSERT INTO complaint_statuses VALUES('4152','1222','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 19:58:45','2020-09-22 19:59:28',null);
INSERT INTO complaint_statuses VALUES('4153','1148','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2020-09-22 20:21:13','2020-09-22 22:03:19',null);
INSERT INTO complaint_statuses VALUES('4154','1146','5',null,null,'COMPLAINT CLOSAED',null,'74','74','2020-09-22 20:26:00','2020-09-22 20:26:00',null);
INSERT INTO complaint_statuses VALUES('4155','1213','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 20:27:25','2020-09-22 20:27:37',null);
INSERT INTO complaint_statuses VALUES('4156','1299','3',null,'65',null,'22-SEP-2020
COMPLAINT#192018247','74','74','2020-09-22 20:28:05','2020-09-22 20:28:05',null);
INSERT INTO complaint_statuses VALUES('4157','1191','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 20:43:59','2020-09-22 20:44:11',null);
INSERT INTO complaint_statuses VALUES('4158','1190','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 20:46:11','2020-09-22 20:46:21',null);
INSERT INTO complaint_statuses VALUES('4159','1300','2',null,'81',null,'22-SEP-2020
FF TO KHALID SAB','74','74','2020-09-22 20:53:35','2020-09-22 20:53:35',null);
INSERT INTO complaint_statuses VALUES('4160','1178','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 21:02:06','2020-09-22 21:02:18',null);
INSERT INTO complaint_statuses VALUES('4161','1285','8','23','58',null,null,'81','81','2020-09-22 21:08:16','2020-09-22 21:08:16',null);
INSERT INTO complaint_statuses VALUES('4162','1270','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-09-22 21:08:43','2020-09-23 02:41:31',null);
INSERT INTO complaint_statuses VALUES('4163','1249','8','23','58','i-10 me gear nahe hy market sy chake kar len',null,'81','81','2020-09-22 21:09:38','2020-09-22 21:09:38',null);
INSERT INTO complaint_statuses VALUES('4164','1048','8','23','60','please contact  i-10 workshop 03005511255',null,'81','81','2020-09-22 21:10:52','2020-09-22 21:10:52',null);
INSERT INTO complaint_statuses VALUES('4165','1168','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 21:20:57','2020-09-22 21:21:08',null);
INSERT INTO complaint_statuses VALUES('4166','1300','4',null,'56',null,null,'81','81','2020-09-22 21:21:00','2020-09-22 21:21:00',null);
INSERT INTO complaint_statuses VALUES('4167','1250','8','23','59','CUSTOMER KA NO ON HAIN KINDLY CONTACT KARAY CUSTOMER SA',null,'81','81','2020-09-22 21:24:33','2020-09-22 21:24:33',null);
INSERT INTO complaint_statuses VALUES('4168','1167','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 21:24:51','2020-09-22 21:25:03',null);
INSERT INTO complaint_statuses VALUES('4169','1131','8','23','59','call again','COMPLAINT RESOLVED','81','92','2020-09-22 21:27:28','2020-09-22 21:40:00',null);
INSERT INTO complaint_statuses VALUES('4170','1165','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 21:30:35','2020-09-22 21:30:48',null);
INSERT INTO complaint_statuses VALUES('4171','1301','2',null,'81',null,'22-SEP-2020
FF TO SHAMIM AKHTER','74','74','2020-09-22 21:35:59','2020-09-22 21:35:59',null);
INSERT INTO complaint_statuses VALUES('4172','1157','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 21:47:37','2020-09-22 21:47:53',null);
INSERT INTO complaint_statuses VALUES('4173','1250','7','24','81','baat ho gaee ha aaj visit ho jay ga',null,'80','80','2020-09-22 21:49:07','2020-09-22 21:49:07',null);
INSERT INTO complaint_statuses VALUES('4174','1131','7','12','81','in ka set ok chal raha ha customer kah raha ha complain close kar da',null,'80','80','2020-09-22 21:50:36','2020-09-22 21:50:36',null);
INSERT INTO complaint_statuses VALUES('4175','1155','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 21:51:56','2020-09-22 21:52:12',null);
INSERT INTO complaint_statuses VALUES('4176','1302','3',null,'62',null,'22-SEP-2020.
FF TO KHURRAM 5 STAR','74','74','2020-09-22 21:52:43','2020-09-22 21:52:43',null);
INSERT INTO complaint_statuses VALUES('4177','801','7','12','81','ISSUE RESOLVED AT HOME.',null,'87','87','2020-09-22 22:04:26','2020-09-22 22:04:26',null);
INSERT INTO complaint_statuses VALUES('4178','1287','7','11','81',null,null,'77','77','2020-09-22 22:17:54','2020-09-22 22:17:54',null);
INSERT INTO complaint_statuses VALUES('4179','1303','2',null,'81',null,'22-SEP-2020
FF TO KHURRAM FIVE STAR','74','74','2020-09-22 22:23:54','2020-09-22 22:23:54',null);
INSERT INTO complaint_statuses VALUES('4180','1304','2',null,'81',null,'22-SEP-2020
FF TO KHURRAM 5 STAR','74','74','2020-09-22 22:27:18','2020-09-22 22:27:18',null);
INSERT INTO complaint_statuses VALUES('4181','1253','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 22:27:25','2020-09-22 22:27:43',null);
INSERT INTO complaint_statuses VALUES('4182','1254','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 22:29:42','2020-09-22 22:29:54',null);
INSERT INTO complaint_statuses VALUES('4183','1304','4',null,'63',null,null,'81','81','2020-09-22 22:32:16','2020-09-22 22:32:16',null);
INSERT INTO complaint_statuses VALUES('4184','1303','4',null,'63',null,null,'81','81','2020-09-22 22:32:29','2020-09-22 22:32:29',null);
INSERT INTO complaint_statuses VALUES('4185','1301','4',null,'55',null,null,'81','81','2020-09-22 22:32:43','2020-09-22 22:32:43',null);
INSERT INTO complaint_statuses VALUES('4186','1131','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-22 22:37:27','2020-09-23 02:43:46',null);
INSERT INTO complaint_statuses VALUES('4187','801','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-22 22:37:49','2020-09-24 00:52:44',null);
INSERT INTO complaint_statuses VALUES('4188','1250','8','23','59','please complete job quikly',null,'81','81','2020-09-22 22:38:32','2020-09-22 22:38:32',null);
INSERT INTO complaint_statuses VALUES('4189','1305','2',null,'81',null,'22-SEP-2020
FF TO KHURRAM FIVE STAR','74','74','2020-09-22 22:39:06','2020-09-22 22:39:06',null);
INSERT INTO complaint_statuses VALUES('4190','1252','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 22:43:51','2020-09-22 22:44:04',null);
INSERT INTO complaint_statuses VALUES('4191','1251','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 22:57:28','2020-09-22 22:57:41',null);
INSERT INTO complaint_statuses VALUES('4192','887','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 23:08:20','2020-09-22 23:08:32',null);
INSERT INTO complaint_statuses VALUES('4193','1287','8','23','56','CORRECT #0331-1426444.
KINDLY IC NO PA CONTACT KARY',null,'81','81','2020-09-22 23:19:50','2020-09-22 23:19:50',null);
INSERT INTO complaint_statuses VALUES('4194','883','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 23:21:11','2020-09-22 23:21:22',null);
INSERT INTO complaint_statuses VALUES('4195','1305','4',null,'63',null,null,'81','81','2020-09-22 23:21:15','2020-09-22 23:21:15',null);
INSERT INTO complaint_statuses VALUES('4196','859','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 23:27:12','2020-09-22 23:27:24',null);
INSERT INTO complaint_statuses VALUES('4197','423','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 23:31:13','2020-09-22 23:31:41',null);
INSERT INTO complaint_statuses VALUES('4198','1263','7','12','81','COMPLAINT RESOLVED  .
CUSTOMER NA 500 VISIT CHARGE B PAY KIYA.
COMPLAINT CLOSED',null,'88','88','2020-09-22 23:33:25','2020-09-22 23:33:25',null);
INSERT INTO complaint_statuses VALUES('4199','1263','5','15',null,'RESOLVED COMPLAINT','RESOLVED COMPLAINT','81','74','2020-09-22 23:34:41','2020-09-22 23:35:30',null);
INSERT INTO complaint_statuses VALUES('4200','403','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-22 23:34:54','2020-09-22 23:35:07',null);
INSERT INTO complaint_statuses VALUES('4201','1296','7','11','81',null,null,'82','82','2020-09-22 23:50:43','2020-09-22 23:50:43',null);
INSERT INTO complaint_statuses VALUES('4202','1267','7','12','81','COMPLAINT RESOLVE CUSTOMER SY FALLOW UP LY LIA HY',null,'76','76','2020-09-22 23:50:58','2020-09-22 23:50:58',null);
INSERT INTO complaint_statuses VALUES('4203','1267','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-22 23:51:17','2020-09-23 23:14:03',null);
INSERT INTO complaint_statuses VALUES('4204','1306','2',null,'81',null,'22-SEP-2020
FF TO HOME SOLUTION','74','74','2020-09-22 23:56:29','2020-09-22 23:56:29',null);
INSERT INTO complaint_statuses VALUES('4205','1306','4',null,'62',null,null,'81','81','2020-09-22 23:57:04','2020-09-22 23:57:04',null);
INSERT INTO complaint_statuses VALUES('4206','1307','3',null,'53',null,'22-SEP-2020
COMPLAIN# 1050049','74','74','2020-09-23 00:03:37','2020-09-23 00:03:37',null);
INSERT INTO complaint_statuses VALUES('4207','1288','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 00:04:27','2020-09-23 00:04:39',null);
INSERT INTO complaint_statuses VALUES('4208','1286','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 00:06:53','2020-09-23 00:07:08',null);
INSERT INTO complaint_statuses VALUES('4209','1284','5',null,null,'NOT ATTEND CALL',null,'92','92','2020-09-23 00:10:37','2020-09-23 00:10:37',null);
INSERT INTO complaint_statuses VALUES('4210','1284','5',null,null,'NOT ATTEND CALL','COMPLAINT RESOLVED','92','92','2020-09-23 00:10:42','2020-09-24 00:15:31',null);
INSERT INTO complaint_statuses VALUES('4211','775','7','12','81','Unit hand over to mr yassir  at friends H/o shamshabad',null,'83','83','2020-09-23 00:11:51','2020-09-23 00:11:51',null);
INSERT INTO complaint_statuses VALUES('4212','1308','3',null,'53',null,'22-SEP-2020
COMPLAINT#1050063','74','74','2020-09-23 00:13:05','2020-09-23 00:13:05',null);
INSERT INTO complaint_statuses VALUES('4213','835','7','24','81','Yes in warranty ha    plz call to customer  to move unit  in lab and avail the warranty  as the warranty perioded is expire on 11-SEP-2020','YHA CUSTOMER AJ SET S/C LA K JA RAH HAIN USMAN SAB KO INFORMED KAR DIA HAIN','83','74','2020-09-23 00:14:00','2020-09-24 21:21:06',null);
INSERT INTO complaint_statuses VALUES('4214','1278','5',null,null,'COMPLAINT PAR KAL VISOT HO GA','COMPLAINT RESOLVED','92','92','2020-09-23 00:17:47','2020-09-25 00:24:37',null);
INSERT INTO complaint_statuses VALUES('4215','1221','7','22','81','customer  charges  pay nahi kr rahy bol  rehy k warrnty mwin ttend kry',null,'79','79','2020-09-23 00:23:04','2020-09-23 00:23:04',null);
INSERT INTO complaint_statuses VALUES('4216','1274','7','22','81','motor issue hai .waha hood ki duckt bani hui jo k fix hai complete check nahi h saka .jb duckt utar dein dein gain tb visit kerna hia',null,'79','79','2020-09-23 00:26:05','2020-09-23 00:26:05',null);
INSERT INTO complaint_statuses VALUES('4217','1269','7','12','81','drain issue tha comaplint resolved .custoemr end sy issue ta',null,'79','79','2020-09-23 00:28:14','2020-09-23 00:28:14',null);
INSERT INTO complaint_statuses VALUES('4218','1208','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 00:32:25','2020-09-23 00:32:37',null);
INSERT INTO complaint_statuses VALUES('4219','1207','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 00:34:40','2020-09-23 00:34:51',null);
INSERT INTO complaint_statuses VALUES('4220','1206','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 00:38:34','2020-09-23 00:38:45',null);
INSERT INTO complaint_statuses VALUES('4221','216','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 00:43:40','2020-09-23 00:43:52',null);
INSERT INTO complaint_statuses VALUES('4222','1309','2',null,'81',null,'22-SEP-2020
FF TO SHAMIM AKHTER','74','74','2020-09-23 00:44:02','2020-09-23 00:44:02',null);
INSERT INTO complaint_statuses VALUES('4223','1309','4',null,'55',null,null,'81','81','2020-09-23 00:46:15','2020-09-23 00:46:15',null);
INSERT INTO complaint_statuses VALUES('4224','533','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 00:48:04','2020-09-23 00:48:16',null);
INSERT INTO complaint_statuses VALUES('4225','541','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 00:51:08','2020-09-23 00:51:21',null);
INSERT INTO complaint_statuses VALUES('4226','355','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 00:55:51','2020-09-23 00:56:03',null);
INSERT INTO complaint_statuses VALUES('4227','604','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 01:34:09','2020-09-23 01:34:31',null);
INSERT INTO complaint_statuses VALUES('4228','1034','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 01:45:34','2020-09-23 01:45:47',null);
INSERT INTO complaint_statuses VALUES('4229','151','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 01:51:34','2020-09-23 01:51:47',null);
INSERT INTO complaint_statuses VALUES('4230','104','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 01:54:02','2020-09-23 01:54:16',null);
INSERT INTO complaint_statuses VALUES('4231','614','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 02:17:17','2020-09-23 02:17:30',null);
INSERT INTO complaint_statuses VALUES('4232','1310','3',null,'65',null,'22-SEP-2020
COMPLAINT#192018268','74','74','2020-09-23 02:22:48','2020-09-23 02:22:48',null);
INSERT INTO complaint_statuses VALUES('4233','1311','2',null,'81',null,'22-SEP-2020
FF TO SHAMIM AKHTER','74','74','2020-09-23 02:26:29','2020-09-23 02:26:29',null);
INSERT INTO complaint_statuses VALUES('4234','1312','2',null,'81',null,'22-SEP-2020
FF TO B.COOL','74','74','2020-09-23 02:42:47','2020-09-23 02:42:47',null);
INSERT INTO complaint_statuses VALUES('4235','1312','4',null,'58',null,null,'81','81','2020-09-23 02:43:43','2020-09-23 02:43:43',null);
INSERT INTO complaint_statuses VALUES('4236','1311','4',null,'55',null,null,'81','81','2020-09-23 02:43:57','2020-09-23 02:43:57',null);
INSERT INTO complaint_statuses VALUES('4237','794','7','12','81','Main PCB Replaced. Washing machine Deliver Back to The Customer .',null,'76','76','2020-09-23 02:44:31','2020-09-23 02:44:31',null);
INSERT INTO complaint_statuses VALUES('4238','1149','7','12','81','Compressor Replaced , Ref Delivered Back to Customer.',null,'76','76','2020-09-23 02:48:34','2020-09-23 02:48:34',null);
INSERT INTO complaint_statuses VALUES('4239','1256','7','24','81','Washing Machine has  lifted rat cutting problem',null,'76','76','2020-09-23 02:49:46','2020-09-23 02:49:46',null);
INSERT INTO complaint_statuses VALUES('4240','1223','7','12','81','COMPLAINT RESOLED',null,'88','88','2020-09-23 02:49:48','2020-09-23 02:49:48',null);
INSERT INTO complaint_statuses VALUES('4241','492','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 02:56:57','2020-09-23 02:57:11',null);
INSERT INTO complaint_statuses VALUES('4242','1223','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-09-23 02:59:08','2020-09-23 02:59:44',null);
INSERT INTO complaint_statuses VALUES('4243','1266','7','12','81','ISSUE RESOLVED',null,'87','87','2020-09-23 03:11:02','2020-09-23 03:11:02',null);
INSERT INTO complaint_statuses VALUES('4244','1137','7','22','81','hot plate issue aj agnain check kerwya hai',null,'79','79','2020-09-23 03:18:32','2020-09-23 03:18:32',null);
INSERT INTO complaint_statuses VALUES('4245','566','7','12','81','compressor ,cuplry ,and gas .unit delivered',null,'79','79','2020-09-23 04:28:58','2020-09-23 04:28:58',null);
INSERT INTO complaint_statuses VALUES('4246','1295','7','24','81','Aj customer ko phone kiya tha  customer ny kaha koi check krny a rha ha unit    app ny kisi or ko kaha tha',null,'83','83','2020-09-23 05:13:58','2020-09-23 05:13:58',null);
INSERT INTO complaint_statuses VALUES('4247','1041','7','12','81','aj bhi call  attend  nahi ki msg bhi kr dya hai.ap try krty rehy abhi complaint closed kr dein .jb ap ka rabtaho jaye dubra enter kr dena thanks','ZIA SAB TUESDAY KO IC  COMPLAINT PA VISIT KARY GAY','79','74','2020-09-23 19:11:51','2020-09-23 21:56:24',null);
INSERT INTO complaint_statuses VALUES('4248','569','7','22','81','ye custoemr out of city hain kal tk wm ly aye gain.',null,'79','79','2020-09-23 19:30:05','2020-09-23 19:30:05',null);
INSERT INTO complaint_statuses VALUES('4249','628','7','9','81','Irfan sab peshwer waly keh rehy job compleet kar di hy plz esy compleet kar dy',null,'82','82','2020-09-23 19:30:59','2020-09-23 19:30:59',null);
INSERT INTO complaint_statuses VALUES('4250','728','7','24','81','Ye frezer apky pass servis center ayea tha kea bna iska',null,'82','82','2020-09-23 19:32:52','2020-09-23 19:32:52',null);
INSERT INTO complaint_statuses VALUES('4251','1048','7','24','81','Ye frig apky pass servis center ayeA hy plz update',null,'82','82','2020-09-23 19:35:03','2020-09-23 19:35:03',null);
INSERT INTO complaint_statuses VALUES('4252','1292','5',null,null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','92','92','2020-09-23 19:53:20','2020-09-23 19:53:34',null);
INSERT INTO complaint_statuses VALUES('4253','1313','3',null,'74',null,'23-SEP-2020
COMPLAINT#167','74','74','2020-09-23 19:55:50','2020-09-23 19:55:50',null);
INSERT INTO complaint_statuses VALUES('4254','1285','7','24','81','unit i 10 pohnach gya hai',null,'79','79','2020-09-23 20:16:58','2020-09-23 20:16:58',null);
INSERT INTO complaint_statuses VALUES('4255','1273','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 20:26:51','2020-09-23 20:27:06',null);
INSERT INTO complaint_statuses VALUES('4256','1265','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 20:36:44','2020-09-23 20:36:56',null);
INSERT INTO complaint_statuses VALUES('4257','1314','3',null,'75',null,'23-SEP-2020
FF TO KHURRAM 5 STAR','74','74','2020-09-23 20:45:25','2020-09-23 20:45:25',null);
INSERT INTO complaint_statuses VALUES('4258','1262','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 20:48:23','2020-09-23 20:48:35',null);
INSERT INTO complaint_statuses VALUES('4259','1315','2',null,'81',null,'23-SEP-2020
FF TO HOME SOLUTION','74','74','2020-09-23 20:52:06','2020-09-23 20:52:06',null);
INSERT INTO complaint_statuses VALUES('4260','1315','4',null,'62',null,null,'81','81','2020-09-23 20:52:33','2020-09-23 20:52:33',null);
INSERT INTO complaint_statuses VALUES('4261','1246','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 21:00:47','2020-09-23 21:00:59',null);
INSERT INTO complaint_statuses VALUES('4262','1316','2',null,'81',null,'23-SEP-2020
FF TO KHURRAM 5 STAR','74','74','2020-09-23 21:08:36','2020-09-23 21:08:36',null);
INSERT INTO complaint_statuses VALUES('4263','1316','4',null,'63',null,'COMPLAINT ATTEND HO GEI HAIN CUSTOMER SA BAT B HO GEI HAIN','81','74','2020-09-23 21:10:06','2020-09-24 01:43:02',null);
INSERT INTO complaint_statuses VALUES('4264','1237','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 21:12:24','2020-09-23 21:12:35',null);
INSERT INTO complaint_statuses VALUES('4265','1236','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 21:14:08','2020-09-23 21:14:20',null);
INSERT INTO complaint_statuses VALUES('4266','566','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-23 21:18:17','2020-09-26 22:11:31',null);
INSERT INTO complaint_statuses VALUES('4267','775','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-23 21:18:55','2020-09-23 23:42:25',null);
INSERT INTO complaint_statuses VALUES('4268','1233','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-23 21:20:26','2020-09-23 21:20:39',null);
INSERT INTO complaint_statuses VALUES('4269','1269','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-23 21:20:29','2020-09-23 22:54:12',null);
INSERT INTO complaint_statuses VALUES('4270','1266','8','23','62','explain the problem',null,'81','81','2020-09-23 21:21:37','2020-09-23 21:21:37',null);
INSERT INTO complaint_statuses VALUES('4271','794','5','15',null,'pcb i-10 say le hy or purani pcb i-10 wapise kar de hy','COMPLAINT RESOLVED','81','92','2020-09-23 21:23:59','2020-09-25 00:30:50',null);
INSERT INTO complaint_statuses VALUES('4272','1149','8','23','55','compressor i-10 sy deya hy  kaindly purana compressor wapis bhjva den',null,'81','81','2020-09-23 21:27:37','2020-09-23 21:27:37',null);
INSERT INTO complaint_statuses VALUES('4273','1285','8','23','58',null,null,'81','81','2020-09-23 21:30:18','2020-09-23 21:30:18',null);
INSERT INTO complaint_statuses VALUES('4274','1312','7','12','81','company  kerwa dein demo  nahi dena ..heat up ho raha hai',null,'79','79','2020-09-23 21:36:23','2020-09-23 21:36:23',null);
INSERT INTO complaint_statuses VALUES('4275','628','8','23','60','ays peshwer sy purana  compressor wapis manjva len',null,'81','81','2020-09-23 21:43:22','2020-09-23 21:43:22',null);
INSERT INTO complaint_statuses VALUES('4276','1293','7','24','81','Gear box hrab hy .workshop chor ky jay gy',null,'82','82','2020-09-23 21:56:49','2020-09-23 21:56:49',null);
INSERT INTO complaint_statuses VALUES('4277','1296','5','25',null,'COMPLAINT CANCELLED CUSTOMER NA DIRET LG  MAIN COMPLAINT FF KARWA DI .
CLOSED COMPLAINT','CLOSED COMPLAINT','81','74','2020-09-23 22:01:17','2020-09-23 22:02:16',null);
INSERT INTO complaint_statuses VALUES('4278','1293','8','23','60','please gaar box ka arrange kar len',null,'81','81','2020-09-23 22:07:44','2020-09-23 22:07:44',null);
INSERT INTO complaint_statuses VALUES('4279','1274','8','23','58','ishfaq sale man ko infome kar den','AGAIN VISIT B. COOL INFORM,ED KAR DIA','81','74','2020-09-23 22:09:14','2020-09-24 03:06:42',null);
INSERT INTO complaint_statuses VALUES('4280','1256','8','23','55','please complete job quikly',null,'81','81','2020-09-23 22:10:20','2020-09-23 22:10:20',null);
INSERT INTO complaint_statuses VALUES('4281','1137','8','23','58','what is solution',null,'81','81','2020-09-23 22:13:47','2020-09-23 22:13:47',null);
INSERT INTO complaint_statuses VALUES('4282','1048','8','23','60','please contact mr adil for work shop 03005511255',null,'81','81','2020-09-23 22:16:12','2020-09-23 22:16:12',null);
INSERT INTO complaint_statuses VALUES('4283','728','8','23','60','contact mr adil 03005511255',null,'81','81','2020-09-23 22:19:22','2020-09-23 22:19:22',null);
INSERT INTO complaint_statuses VALUES('4284','569','8','23','58','please complete job quikly',null,'81','81','2020-09-23 22:20:01','2020-09-23 22:20:01',null);
INSERT INTO complaint_statuses VALUES('4285','1317','2',null,'81',null,'08-08-2020
BEST COOL','92','92','2020-09-23 22:25:14','2020-09-23 22:25:14',null);
INSERT INTO complaint_statuses VALUES('4286','1318','3',null,'71',null,'21-SEP-2020
COMPLAINT#39139','92','92','2020-09-23 22:26:15','2020-09-23 22:26:15',null);
INSERT INTO complaint_statuses VALUES('4287','1317','4',null,'58',null,null,'81','81','2020-09-23 22:36:54','2020-09-23 22:36:54',null);
INSERT INTO complaint_statuses VALUES('4288','1319','3',null,'55',null,'23-SEP-2020
FF TO NAEEM KENWOOD','74','74','2020-09-23 22:37:33','2020-09-23 22:37:33',null);
INSERT INTO complaint_statuses VALUES('4289','1250','7','24','81','aux out put problem hy customer S/C ly k ay ga visit ho gea hy',null,'80','80','2020-09-23 22:41:19','2020-09-23 22:41:19',null);
INSERT INTO complaint_statuses VALUES('4290','1320','2',null,'81',null,'22-SEP-2020
FF TO HOME SOLUTION','74','74','2020-09-23 22:47:41','2020-09-23 22:47:41',null);
INSERT INTO complaint_statuses VALUES('4291','153','5',null,null,'resolved','COMPLAINT RESOLVED','73','92','2020-09-23 22:48:21','2020-09-23 23:57:13',null);
INSERT INTO complaint_statuses VALUES('4292','1320','4',null,'62',null,null,'81','81','2020-09-23 22:48:37','2020-09-23 22:48:37',null);
INSERT INTO complaint_statuses VALUES('4293','196','5',null,null,'resolved','COMPLAINT RESOLVED','73','92','2020-09-23 22:52:43','2020-09-24 01:00:32',null);
INSERT INTO complaint_statuses VALUES('4294','1321','2',null,'81',null,'23-SEP-2020
FF TO SHAMIM AKHTER','74','74','2020-09-23 22:55:34','2020-09-23 22:55:34',null);
INSERT INTO complaint_statuses VALUES('4295','1322','3',null,'66',null,'23-SEP-2020 .
PK092320200065.
FF TO NADEEM','74','74','2020-09-23 23:21:45','2020-09-23 23:41:20',null);
INSERT INTO complaint_statuses VALUES('4296','913','5',null,null,'ref replaced','COMPLAINT RESOLVED','73','92','2020-09-23 23:33:59','2020-09-24 00:22:01',null);
INSERT INTO complaint_statuses VALUES('4297','1323','3',null,'57',null,'23-SEP-2020
FF TO SIDRA','74','74','2020-09-23 23:48:00','2020-09-23 23:48:00',null);
INSERT INTO complaint_statuses VALUES('4298','1312','5','15',null,'COMPLAINT FF TO COMPANY','COMPLAINT CLOSED','81','74','2020-09-23 23:48:36','2020-09-23 23:49:38',null);
INSERT INTO complaint_statuses VALUES('4299','1324','3',null,'52',null,'22-SEP-2020
COMPLAINT#PKRI-200923108397','74','74','2020-09-23 23:57:34','2020-09-23 23:57:34',null);
INSERT INTO complaint_statuses VALUES('4300','1291','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-24 00:24:45','2020-09-24 00:25:00',null);
INSERT INTO complaint_statuses VALUES('4301','1282','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-24 00:30:34','2020-09-24 00:30:47',null);
INSERT INTO complaint_statuses VALUES('4302','1325','3',null,'52',null,'23-SEP-2020
COMPLAINT#PKRI-200923109285','74','74','2020-09-24 00:37:32','2020-09-24 00:37:32',null);
INSERT INTO complaint_statuses VALUES('4303','602','5',null,null,'resolved',null,'73','73','2020-09-24 00:40:20','2020-09-24 00:40:20',null);
INSERT INTO complaint_statuses VALUES('4304','704','5',null,null,'resolved',null,'73','73','2020-09-24 00:41:54','2020-09-24 00:41:54',null);
INSERT INTO complaint_statuses VALUES('4305','757','5',null,null,'resolved',null,'73','73','2020-09-24 01:26:52','2020-09-24 01:26:52',null);
INSERT INTO complaint_statuses VALUES('4306','1326','2',null,'81',null,null,'92','92','2020-09-24 01:29:25','2020-09-24 01:29:25',null);
INSERT INTO complaint_statuses VALUES('4307','1072','5',null,null,'replaced',null,'73','73','2020-09-24 01:31:28','2020-09-24 01:31:28',null);
INSERT INTO complaint_statuses VALUES('4308','1327','2',null,'81',null,'23-SEP-2020
FF TO KHALID','74','74','2020-09-24 01:34:21','2020-09-24 01:34:21',null);
INSERT INTO complaint_statuses VALUES('4309','1091','5',null,null,'resolved',null,'73','73','2020-09-24 01:35:30','2020-09-24 01:35:30',null);
INSERT INTO complaint_statuses VALUES('4310','1327','4',null,'56',null,null,'81','81','2020-09-24 01:35:57','2020-09-24 01:35:57',null);
INSERT INTO complaint_statuses VALUES('4311','1326','4',null,'62',null,null,'81','81','2020-09-24 01:36:48','2020-09-24 01:36:48',null);
INSERT INTO complaint_statuses VALUES('4312','1321','4',null,'55',null,null,'81','81','2020-09-24 01:36:59','2020-09-24 01:36:59',null);
INSERT INTO complaint_statuses VALUES('4313','1094','5',null,null,'costumer ne charges ki wja se complain closed karwa di ha',null,'73','73','2020-09-24 01:38:03','2020-09-24 01:38:03',null);
INSERT INTO complaint_statuses VALUES('4314','1277','5',null,null,'resolved',null,'73','73','2020-09-24 01:43:56','2020-09-24 01:43:56',null);
INSERT INTO complaint_statuses VALUES('4315','1328','3',null,'52',null,'23-SEP-2020
COMPLAINT#PKRI-200923110943','74','74','2020-09-24 01:50:43','2020-09-24 01:50:43',null);
INSERT INTO complaint_statuses VALUES('4316','1329','2',null,'81',null,'23-9-2020 FF TO HOME SOLUTION','92','92','2020-09-24 02:14:12','2020-09-24 02:14:12',null);
INSERT INTO complaint_statuses VALUES('4317','1329','4',null,'62',null,null,'81','81','2020-09-24 02:14:42','2020-09-24 02:14:42',null);
INSERT INTO complaint_statuses VALUES('4318','1330','2',null,'81',null,'23-SEP-2020
FF TO HOME SOLUTION','74','74','2020-09-24 02:19:27','2020-09-24 02:19:27',null);
INSERT INTO complaint_statuses VALUES('4319','1326','7','26','81','REF TASK NO 918',null,'87','87','2020-09-24 02:21:51','2020-09-24 02:21:51',null);
INSERT INTO complaint_statuses VALUES('4320','1329','7','12','81','ISSUE RESOLVED',null,'87','87','2020-09-24 02:25:14','2020-09-24 02:25:14',null);
INSERT INTO complaint_statuses VALUES('4321','1331','3',null,'67',null,'23-SEP-2020
FF TO BABAR LHR','74','74','2020-09-24 02:27:29','2020-09-24 02:27:29',null);
INSERT INTO complaint_statuses VALUES('4322','718','5',null,null,'resolved',null,'73','73','2020-09-24 02:34:11','2020-09-24 02:34:11',null);
INSERT INTO complaint_statuses VALUES('4323','1332','3',null,'55',null,'22-SEP-2020
FF TO WAQAR KENWOOD','74','74','2020-09-24 02:37:46','2020-09-24 02:37:46',null);
INSERT INTO complaint_statuses VALUES('4324','1193','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-24 02:48:27','2020-09-24 02:48:27',null);
INSERT INTO complaint_statuses VALUES('4325','1154','7','12','81','complete',null,'88','88','2020-09-24 02:54:14','2020-09-24 02:54:14',null);
INSERT INTO complaint_statuses VALUES('4326','1154','5','13',null,null,'COMPLAINT RESOLVED','81','92','2020-09-24 02:56:48','2020-09-24 19:58:23',null);
INSERT INTO complaint_statuses VALUES('4327','1327','7','12','81','LED is ok. But remote faulty. Not cover in warranty. need to purchased an other remote...',null,'77','77','2020-09-24 02:57:47','2020-09-24 02:57:47',null);
INSERT INTO complaint_statuses VALUES('4328','1036','7','12','81','Board replaced unit ok. Sony warranty',null,'77','77','2020-09-24 02:58:50','2020-09-24 02:58:50',null);
INSERT INTO complaint_statuses VALUES('4329','1333','2',null,'81',null,'23-SEP-2020
FF TO  B.COOL','74','74','2020-09-24 03:01:30','2020-09-24 03:01:30',null);
INSERT INTO complaint_statuses VALUES('4330','1333','4',null,'58',null,null,'81','81','2020-09-24 03:02:03','2020-09-24 03:02:03',null);
INSERT INTO complaint_statuses VALUES('4331','1330','4',null,'62',null,null,'81','81','2020-09-24 03:02:27','2020-09-24 03:02:27',null);
INSERT INTO complaint_statuses VALUES('4332','1287','7','12','81','Services and update software unt ok',null,'77','77','2020-09-24 03:23:22','2020-09-24 03:23:22',null);
INSERT INTO complaint_statuses VALUES('4333','1306','7','26','81','CUSTOMER REFUSED TO VISIT...',null,'87','87','2020-09-24 04:08:55','2020-09-24 04:08:55',null);
INSERT INTO complaint_statuses VALUES('4334','1297','7','12','81','Drain Pipe Adjustment ,Visit Not Paid By Customer.',null,'76','76','2020-09-24 19:13:26','2020-09-24 19:13:26',null);
INSERT INTO complaint_statuses VALUES('4335','1289','7','12','81','Inlet Valve Replaced',null,'76','76','2020-09-24 19:16:50','2020-09-24 19:16:50',null);
INSERT INTO complaint_statuses VALUES('4336','1309','7','26','81','No Fault Only Demo.',null,'76','76','2020-09-24 19:17:46','2020-09-24 19:17:46',null);
INSERT INTO complaint_statuses VALUES('4337','1141','7','12','81','Main PCB Repaired .',null,'76','76','2020-09-24 19:19:02','2020-09-24 19:19:02',null);
INSERT INTO complaint_statuses VALUES('4338','1268','7','28','81','Only Demo Require',null,'76','76','2020-09-24 19:19:46','2020-09-24 19:19:46',null);
INSERT INTO complaint_statuses VALUES('4339','1334','3',null,'66',null,'FRWRD TO MARIYAM TCL','92','92','2020-09-24 19:20:06','2020-09-24 19:20:06',null);
INSERT INTO complaint_statuses VALUES('4340','1335','2',null,'81',null,'MRM','92','92','2020-09-24 19:21:38','2020-09-24 19:21:38',null);
INSERT INTO complaint_statuses VALUES('4341','1301','7','12','81','Only Display Problem, Cooling Working Fine , Customer Will Inform for lifting after some time.',null,'76','76','2020-09-24 19:22:18','2020-09-24 19:22:18',null);
INSERT INTO complaint_statuses VALUES('4342','1336','2',null,'81',null,'LG','92','92','2020-09-24 19:22:57','2020-09-24 19:22:57',null);
INSERT INTO complaint_statuses VALUES('4343','812','7','12','81','Main PCB Repaired. Inlet Valve Replaced (Deliver Back to Customer)',null,'76','76','2020-09-24 19:24:49','2020-09-24 19:24:49',null);
INSERT INTO complaint_statuses VALUES('4344','857','7','12','81','Evaporator Heater Replaced.',null,'76','76','2020-09-24 19:26:55','2020-09-24 19:26:55',null);
INSERT INTO complaint_statuses VALUES('4345','1311','7','22','81','Freezer Side Door Gasket Faulty, Customer Want Replacement of Faulty Part.',null,'76','76','2020-09-24 19:34:57','2020-09-24 19:34:57',null);
INSERT INTO complaint_statuses VALUES('4346','1337','3',null,'66',null,'24-SEP-2020
COMPLAINT#PK0924202000010
FF TO SAJID SATTI','74','74','2020-09-24 19:45:26','2020-09-24 19:47:19',null);
INSERT INTO complaint_statuses VALUES('4347','1293','7','24','81','Gear box hrab hy .custmer servis center drop kry ga .visit okay',null,'82','82','2020-09-24 19:54:06','2020-09-24 19:54:06',null);
INSERT INTO complaint_statuses VALUES('4348','1260','7','12','81','Safai ky lye bulea tha kar di hy chargis nhi dye',null,'82','82','2020-09-24 19:54:59','2020-09-24 19:54:59',null);
INSERT INTO complaint_statuses VALUES('4349','1338','3',null,'52',null,'24-SEP-2020
COMPLAINT#PKRI-200924102494','74','74','2020-09-24 19:55:01','2020-09-24 19:55:01',null);
INSERT INTO complaint_statuses VALUES('4350','1089','7','24','81','is hob ko service center magnw lety koi atler kr igntion lg sakti hai csutoerm ko call kiattend nahi kr rahy',null,'79','79','2020-09-24 20:03:03','2020-09-24 20:03:03',null);
INSERT INTO complaint_statuses VALUES('4351','1306','8','23','62','CUSTOMER SA AGAIN CONTACT KARAY .
DEMO K LIYA VISIT AR RANG KARWAY.
AJ AGAIN CALL AAI CUSTOMER KI',null,'81','81','2020-09-24 20:05:01','2020-09-24 20:05:01',null);
INSERT INTO complaint_statuses VALUES('4352','1232','7','9','81','regular no  off hai.plz koi dosra no bata dein','OTHER# B.COOL KO FF KAR DIA HIAN 0300-0881549','79','74','2020-09-24 20:06:08','2020-09-24 21:45:14',null);
INSERT INTO complaint_statuses VALUES('4353','1336','4',null,'55',null,'ISSUE NOT RESOLVED','81','92','2020-09-24 20:25:04','2020-10-13 20:10:54',null);
INSERT INTO complaint_statuses VALUES('4354','1335','4',null,'61',null,null,'81','81','2020-09-24 20:25:22','2020-09-24 20:25:22',null);
INSERT INTO complaint_statuses VALUES('4355','1335','4',null,'61',null,null,'81','81','2020-09-24 20:25:24','2020-09-24 20:25:24',null);
INSERT INTO complaint_statuses VALUES('4356','1339','3',null,'52',null,'24-SEP-2020
COMPLAINT#PKRI-200924103717','74','74','2020-09-24 20:38:19','2020-09-24 20:38:19',null);
INSERT INTO complaint_statuses VALUES('4357','1335','7','12','81','Plz register this job on call center',null,'83','83','2020-09-24 20:40:51','2020-09-24 20:40:51',null);
INSERT INTO complaint_statuses VALUES('4358','1205','7','24','81','Unit refer to workshop  
back light defective',null,'83','83','2020-09-24 20:41:35','2020-09-24 20:41:35',null);
INSERT INTO complaint_statuses VALUES('4359','1340','3',null,'52',null,'24-SEP-2020
COMPLAINT#200924103776','74','74','2020-09-24 20:45:35','2020-09-24 20:45:35',null);
INSERT INTO complaint_statuses VALUES('4360','983','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-24 20:50:25','2020-09-24 20:50:38',null);
INSERT INTO complaint_statuses VALUES('4361','1230','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-24 20:52:19','2020-09-24 20:52:19',null);
INSERT INTO complaint_statuses VALUES('4362','1073','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-24 21:02:02','2020-09-24 21:02:02',null);
INSERT INTO complaint_statuses VALUES('4363','1341','2',null,'81',null,'24-SEP-2020
FF TO HOME SOLUTION','74','74','2020-09-24 21:08:14','2020-09-24 21:08:14',null);
INSERT INTO complaint_statuses VALUES('4364','863','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-24 21:08:22','2020-09-24 21:08:35',null);
INSERT INTO complaint_statuses VALUES('4365','1088','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-24 21:15:14','2020-09-24 21:15:26',null);
INSERT INTO complaint_statuses VALUES('4366','1287','5','15',null,'NET ISSUE  RESOLVED .','COMPLAINT RESOLVED','81','74','2020-09-24 21:46:59','2020-09-24 21:47:30',null);
INSERT INTO complaint_statuses VALUES('4367','1342','2',null,'81',null,'24-SEP-2020
FF TO  HOME SOLUTION','74','74','2020-09-24 21:50:53','2020-09-24 21:50:53',null);
INSERT INTO complaint_statuses VALUES('4368','1342','4',null,'62',null,null,'81','81','2020-09-24 21:56:05','2020-09-24 21:56:05',null);
INSERT INTO complaint_statuses VALUES('4369','1341','4',null,'62',null,null,'81','81','2020-09-24 21:56:17','2020-09-24 21:56:17',null);
INSERT INTO complaint_statuses VALUES('4370','1343','3',null,'53',null,'24-SEP-2020
COMPLAINT#51052','74','74','2020-09-24 22:18:51','2020-09-24 22:18:51',null);
INSERT INTO complaint_statuses VALUES('4371','1344','2',null,'81',null,'24-SEP-2020
FF TO SHAMIM AKHTER','74','74','2020-09-24 22:29:42','2020-09-24 22:29:42',null);
INSERT INTO complaint_statuses VALUES('4372','1344','4',null,'55',null,null,'81','81','2020-09-24 22:30:13','2020-09-24 22:30:13',null);
INSERT INTO complaint_statuses VALUES('4373','314','7','12','81','enteral condenser leakage .ye new dal dya hai ,or gas',null,'79','79','2020-09-24 22:37:57','2020-09-24 22:37:57',null);
INSERT INTO complaint_statuses VALUES('4374','1245','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-24 22:39:28','2020-09-24 22:39:39',null);
INSERT INTO complaint_statuses VALUES('4375','1345','3',null,'63',null,'24-SEP-2020
COMPLAINT#2070','74','74','2020-09-24 22:40:25','2020-09-24 22:40:25',null);
INSERT INTO complaint_statuses VALUES('4376','1346','2',null,'81',null,'24-SEP-2020
FF TO B.COOL','74','74','2020-09-24 22:48:40','2020-09-24 22:48:40',null);
INSERT INTO complaint_statuses VALUES('4377','1139','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-24 23:01:22','2020-09-24 23:01:33',null);
INSERT INTO complaint_statuses VALUES('4378','1279','7','26','81','No Need of Visit.',null,'76','76','2020-09-24 23:03:34','2020-09-24 23:03:34',null);
INSERT INTO complaint_statuses VALUES('4379','1321','7','26','81','Drain Pipe Adjustment on Telephonic Conversation.',null,'76','76','2020-09-24 23:04:33','2020-09-24 23:04:33',null);
INSERT INTO complaint_statuses VALUES('4380','919','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-24 23:06:56','2020-09-24 23:07:12',null);
INSERT INTO complaint_statuses VALUES('4381','906','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-24 23:13:42','2020-09-24 23:13:54',null);
INSERT INTO complaint_statuses VALUES('4382','1347','3',null,'66',null,'24-SEP-2020
COMPLAINT# PK092420200049','74','74','2020-09-24 23:15:16','2020-09-24 23:15:16',null);
INSERT INTO complaint_statuses VALUES('4383','1234','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-24 23:23:35','2020-09-24 23:23:49',null);
INSERT INTO complaint_statuses VALUES('4384','117','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-24 23:26:56','2020-09-24 23:26:56',null);
INSERT INTO complaint_statuses VALUES('4385','1304','7','12','81','COMPLAINT RESOLVED .
CUSTOMER NOT PAY VISIT CHARGES 500',null,'88','88','2020-09-24 23:31:59','2020-09-24 23:31:59',null);
INSERT INTO complaint_statuses VALUES('4386','1303','7','12','81','COMPLIANT RESOLVED.
CUSTOMER NOT PAY VISIT CHARGE 500',null,'88','88','2020-09-24 23:34:59','2020-09-24 23:34:59',null);
INSERT INTO complaint_statuses VALUES('4387','1346','4',null,'58',null,null,'81','81','2020-09-24 23:38:38','2020-09-24 23:38:38',null);
INSERT INTO complaint_statuses VALUES('4388','1304','5','15',null,'COMPLAINT RESOLVED','COMPLAINT CLOSED','81','74','2020-09-24 23:39:16','2020-09-24 23:40:31',null);
INSERT INTO complaint_statuses VALUES('4389','1303','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-09-24 23:40:03','2020-09-24 23:41:04',null);
INSERT INTO complaint_statuses VALUES('4390','1257','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-24 23:41:30','2020-09-24 23:41:44',null);
INSERT INTO complaint_statuses VALUES('4391','1135','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-24 23:52:21','2020-09-24 23:52:21',null);
INSERT INTO complaint_statuses VALUES('4392','234','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-24 23:54:32','2020-09-24 23:54:32',null);
INSERT INTO complaint_statuses VALUES('4393','1259','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-24 23:55:30','2020-09-24 23:56:00',null);
INSERT INTO complaint_statuses VALUES('4394','748','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-25 00:03:45','2020-09-25 00:03:59',null);
INSERT INTO complaint_statuses VALUES('4395','1348','3',null,'53',null,'24-SEP-2020
COMPLAINT#1056336','74','92','2020-09-25 00:19:50','2020-10-06 21:45:43',null);
INSERT INTO complaint_statuses VALUES('4396','1169','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-25 00:21:11','2020-09-25 00:21:26',null);
INSERT INTO complaint_statuses VALUES('4397','980','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-25 00:22:45','2020-09-25 00:22:57',null);
INSERT INTO complaint_statuses VALUES('4398','1241','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-25 00:32:45','2020-09-25 00:32:45',null);
INSERT INTO complaint_statuses VALUES('4399','1244','7','26','81','Issue Solved No Need of Visit',null,'76','76','2020-09-25 00:37:48','2020-09-25 00:37:48',null);
INSERT INTO complaint_statuses VALUES('4400','1240','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-25 00:38:07','2020-09-25 00:38:07',null);
INSERT INTO complaint_statuses VALUES('4401','1349','3',null,'58',null,'24-MAY-2020
FF TO SHAMIN AKHTER','74','74','2020-09-25 00:41:48','2020-09-25 00:41:48',null);
INSERT INTO complaint_statuses VALUES('4402','1350','3',null,'66',null,'24-SEP-2020
COMPLAINT#','74','74','2020-09-25 00:48:51','2020-09-25 00:48:51',null);
INSERT INTO complaint_statuses VALUES('4403','1172','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-25 00:54:04','2020-09-25 00:54:22',null);
INSERT INTO complaint_statuses VALUES('4404','564','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-25 01:01:56','2020-09-25 01:03:15',null);
INSERT INTO complaint_statuses VALUES('4405','1212','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-25 01:14:11','2020-09-25 01:14:28',null);
INSERT INTO complaint_statuses VALUES('4406','1351','3',null,'65',null,'24-SEP-2020
COMPLAINT|#192018322','74','74','2020-09-25 01:16:48','2020-09-25 01:16:48',null);
INSERT INTO complaint_statuses VALUES('4407','1188','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-25 01:30:26','2020-09-25 01:30:26',null);
INSERT INTO complaint_statuses VALUES('4408','1244','5','15',null,'AZHAR RAMZAN NA YHA COMPLAINT RESOLVED KI 
COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2020-09-25 01:31:57','2020-09-25 01:33:02',null);
INSERT INTO complaint_statuses VALUES('4409','1298','3',null,'66',null,'COMPLAINT RESOLVED','74','74','2020-09-25 01:42:30','2020-10-25 01:02:01',null);
INSERT INTO complaint_statuses VALUES('4410','1352','3',null,'52',null,'24-SEP-2020 
COM NO PKRI 200924111010','92','92','2020-09-25 02:14:34','2020-09-25 02:14:34',null);
INSERT INTO complaint_statuses VALUES('4411','1353','2',null,'81',null,'24-SEP-2020
FF TO AZHAR FCI','74','74','2020-09-25 02:30:02','2020-09-25 02:30:02',null);
INSERT INTO complaint_statuses VALUES('4412','1186','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-25 02:45:03','2020-09-25 02:45:03',null);
INSERT INTO complaint_statuses VALUES('4413','1329','8','23','62','explain the problem',null,'81','81','2020-09-25 02:54:19','2020-09-25 02:54:19',null);
INSERT INTO complaint_statuses VALUES('4414','1354','3',null,'52',null,'24-SEP-2020
COMPLAINT#PKRI 200924111707','74','74','2020-09-25 02:55:38','2020-09-25 02:55:38',null);
INSERT INTO complaint_statuses VALUES('4415','1326','8','23','62','complaint reopen hy',null,'81','81','2020-09-25 02:56:05','2020-09-25 02:56:05',null);
INSERT INTO complaint_statuses VALUES('4416','1321','8','25','55',null,'NOT ATTEND CALL','81','92','2020-09-25 02:56:34','2020-09-26 22:48:25',null);
INSERT INTO complaint_statuses VALUES('4417','1311','8','23','55','i-10 say le len','NOT ATTEND CALL','81','92','2020-09-25 02:57:26','2020-10-14 21:03:34',null);
INSERT INTO complaint_statuses VALUES('4418','1301','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-25 02:58:32','2020-09-26 21:12:11',null);
INSERT INTO complaint_statuses VALUES('4419','1297','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-25 02:58:58','2020-09-26 21:14:17',null);
INSERT INTO complaint_statuses VALUES('4420','1355','3',null,'75',null,'24-SEP-2020
COMPLAINT#PKRI-200924111803','74','74','2020-09-25 03:00:02','2020-09-25 03:00:02',null);
INSERT INTO complaint_statuses VALUES('4421','1289','8','15','55',null,'COMPLAINT RESOLVED','81','92','2020-09-25 03:00:03','2020-09-26 23:34:05',null);
INSERT INTO complaint_statuses VALUES('4422','1356','3',null,'75',null,'24-SEP-2020
1660','92','92','2020-09-25 03:00:22','2020-09-25 03:00:22',null);
INSERT INTO complaint_statuses VALUES('4423','1333','7','12','81','compliant reoslved.inlet coil issue',null,'79','79','2020-09-25 03:10:12','2020-09-25 03:10:12',null);
INSERT INTO complaint_statuses VALUES('4424','1357','3',null,'75',null,'24-SEP-2020
COMPLAINT#1739773','74','74','2020-09-25 03:12:56','2020-09-25 20:08:39',null);
INSERT INTO complaint_statuses VALUES('4425','1353','4',null,'60',null,null,'81','81','2020-09-25 03:14:09','2020-09-25 03:14:09',null);
INSERT INTO complaint_statuses VALUES('4426','1329','7','12','81','WIRE KA PROBLEM THA',null,'87','87','2020-09-25 04:06:24','2020-09-25 04:06:24',null);
INSERT INTO complaint_statuses VALUES('4427','1326','7','12','81','MAINE CUSTOMER KO CL KR K  CONFIRM KIA THA.CUSTOMER KI TRF SE KOI COMPLAINT NHI BY MISTAKE ASSIGN HUI HGI',null,'87','87','2020-09-25 04:09:04','2020-09-25 04:09:04',null);
INSERT INTO complaint_statuses VALUES('4428','1342','7','12','81','DRAIN PROBLEM THA .NOW RESOLVED',null,'87','87','2020-09-25 04:10:58','2020-09-25 04:10:58',null);
INSERT INTO complaint_statuses VALUES('4429','1330','7','12','81','FLOD WALL KA ISSUE THA..NOW RESOLVED',null,'87','87','2020-09-25 04:12:02','2020-09-25 04:12:02',null);
INSERT INTO complaint_statuses VALUES('4430','1306','7','24','81','CUSTOMER NY SATURDAY KA BOLA HAI',null,'87','87','2020-09-25 04:13:13','2020-09-25 04:13:13',null);
INSERT INTO complaint_statuses VALUES('4431','1266','7','12','81','MIRRORS KI WJA SE COOLING MAINTAIN NHI HO RHI.AC BILKUL 0K HAI AND CUSTOMER SATISFIED','COMPLAINT CLOSED','87','74','2020-09-25 04:17:22','2020-09-26 02:52:44',null);
INSERT INTO complaint_statuses VALUES('4432','1358','2',null,'81',null,'25-SEP-2020
FF TO KHURRAM 5 STAR','74','74','2020-09-25 19:59:16','2020-09-25 19:59:16',null);
INSERT INTO complaint_statuses VALUES('4433','1358','4',null,'63',null,null,'81','81','2020-09-25 19:59:51','2020-09-25 19:59:51',null);
INSERT INTO complaint_statuses VALUES('4434','1359','3',null,'66',null,'25-SEP-2020
COMPLAINT#PK092520200013','74','74','2020-09-25 20:20:04','2020-09-25 20:25:19',null);
INSERT INTO complaint_statuses VALUES('4435','1360','2',null,'81',null,'25-SEP-2020
FF TO SHAMIM AKHTER','74','74','2020-09-25 20:32:13','2020-09-25 20:32:13',null);
INSERT INTO complaint_statuses VALUES('4436','1360','4',null,'55',null,null,'81','81','2020-09-25 20:44:29','2020-09-25 20:44:29',null);
INSERT INTO complaint_statuses VALUES('4437','1342','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-09-25 20:45:28','2020-09-25 20:50:47',null);
INSERT INTO complaint_statuses VALUES('4438','1361','2',null,'81',null,'25-SEP-2020
FF TO SHAMIM AKHTER','74','74','2020-09-25 20:47:26','2020-09-25 20:47:26',null);
INSERT INTO complaint_statuses VALUES('4439','1361','4',null,'55',null,null,'81','81','2020-09-25 20:53:56','2020-09-25 20:53:56',null);
INSERT INTO complaint_statuses VALUES('4440','1362','3',null,'52',null,'25-SEP-2020
COMPLAINT#PKRI-200925103888','74','74','2020-09-25 21:03:29','2020-09-25 21:03:29',null);
INSERT INTO complaint_statuses VALUES('4441','1333','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-09-25 21:05:33','2020-09-25 21:06:54',null);
INSERT INTO complaint_statuses VALUES('4442','1330','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-09-25 21:11:36','2020-09-25 21:13:04',null);
INSERT INTO complaint_statuses VALUES('4443','1320','7','12','81','ISSUE RESOLVED. WIRE KO TAPE LGAI',null,'87','87','2020-09-25 21:21:00','2020-09-25 21:21:00',null);
INSERT INTO complaint_statuses VALUES('4444','1315','7','12','81','BOTTLE SE LEAKAGE THI..NOW RESOLVED',null,'87','87','2020-09-25 21:21:54','2020-09-25 21:21:54',null);
INSERT INTO complaint_statuses VALUES('4445','1228','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-25 21:40:42','2020-09-25 21:40:42',null);
INSERT INTO complaint_statuses VALUES('4446','248','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-25 21:59:53','2020-09-25 21:59:53',null);
INSERT INTO complaint_statuses VALUES('4447','1275','7','12','81','Inlet cool issue ..service ki hai cool  ki','COMPLAINT RESOLVED','79','74','2020-09-25 22:45:23','2020-09-25 23:44:44',null);
INSERT INTO complaint_statuses VALUES('4448','1274','7','22','81','Motor issue... Kal laga dein gain..',null,'79','79','2020-09-25 23:02:52','2020-09-25 23:02:52',null);
INSERT INTO complaint_statuses VALUES('4449','1327','5','15',null,'COMPLAINT RESOLVED','COMPLAINT CLOSED','81','74','2020-09-25 23:26:32','2020-09-25 23:27:06',null);
INSERT INTO complaint_statuses VALUES('4450','1329','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-25 23:32:03','2020-09-26 21:07:02',null);
INSERT INTO complaint_statuses VALUES('4451','1326','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-25 23:34:40','2020-09-26 21:07:59',null);
INSERT INTO complaint_statuses VALUES('4452','1320','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-25 23:35:10','2020-09-26 21:09:25',null);
INSERT INTO complaint_statuses VALUES('4453','1315','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-25 23:35:28','2020-09-26 22:12:59',null);
INSERT INTO complaint_statuses VALUES('4454','1306','8','23','62',null,null,'81','81','2020-09-25 23:38:05','2020-09-25 23:38:05',null);
INSERT INTO complaint_statuses VALUES('4455','1295','5','15',null,'cancel complaint lg company mai gahe hy','COMPLAINT RESOLVED','81','92','2020-09-25 23:40:20','2020-09-26 21:15:15',null);
INSERT INTO complaint_statuses VALUES('4456','1293','8','23','60','kaindy gear box ka arange kar lwn',null,'81','81','2020-09-25 23:41:11','2020-09-25 23:41:11',null);
INSERT INTO complaint_statuses VALUES('4457','1279','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-25 23:41:56','2020-09-25 23:48:00',null);
INSERT INTO complaint_statuses VALUES('4458','1275','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2020-09-25 23:46:46','2020-09-26 21:19:18',null);
INSERT INTO complaint_statuses VALUES('4459','1250','8','23','59','JOB COMPLETE QUICKLY',null,'81','81','2020-09-25 23:53:16','2020-09-25 23:53:16',null);
INSERT INTO complaint_statuses VALUES('4460','1232','8','23','58','JOB COMPLETE QUICKLY',null,'81','81','2020-09-25 23:57:11','2020-09-25 23:57:11',null);
INSERT INTO complaint_statuses VALUES('4461','1036','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-09-26 00:08:47','2020-09-26 00:10:31',null);
INSERT INTO complaint_statuses VALUES('4462','1268','5','15',null,'DOUBLE COMPLAINT ENTER.
 TASK#1309 IN PROCESS COMPLAINT','COMPLAINT CLOSED','81','74','2020-09-26 00:22:03','2020-09-27 02:26:40',null);
INSERT INTO complaint_statuses VALUES('4463','812','5','15',null,'COMPLAINT RESOLVED','COMPLAINT CLOSED','81','74','2020-09-26 00:28:03','2020-09-26 00:31:42',null);
INSERT INTO complaint_statuses VALUES('4464','1219','7','12','81','Gas charging done  unit ok 
deliver back to customer  on 25-09-2020',null,'83','83','2020-09-26 00:38:21','2020-09-26 00:38:21',null);
INSERT INTO complaint_statuses VALUES('4465','1363','2',null,'81',null,'23-9-2020 FF TO HOME SOLUTION','74','74','2020-09-26 00:39:42','2020-09-26 00:39:42',null);
INSERT INTO complaint_statuses VALUES('4466','1363','4',null,'62',null,null,'81','81','2020-09-26 00:41:18','2020-09-26 00:41:18',null);
INSERT INTO complaint_statuses VALUES('4467','1363','7','12','81','REF 1329',null,'87','87','2020-09-26 03:28:51','2020-09-26 03:28:51',null);
INSERT INTO complaint_statuses VALUES('4468','1353','7','24','81',null,null,'82','82','2020-09-26 19:51:21','2020-09-26 19:51:21',null);
INSERT INTO complaint_statuses VALUES('4469','728','7','12','81','Gass charg huwi hy.custmer ko delver ho gea hy',null,'82','82','2020-09-26 20:13:51','2020-09-26 20:13:51',null);
INSERT INTO complaint_statuses VALUES('4470','1048','7','12','81','Compresor cheng.
Custmer ky ghar chla gea hy plz compleet kar dy',null,'82','82','2020-09-26 20:14:49','2020-09-26 20:14:49',null);
INSERT INTO complaint_statuses VALUES('4471','924','7','20','81','Its board Faulty. Need to replace. Cost 37890. Time 15 working days',null,'77','77','2020-09-26 20:24:23','2020-09-26 20:24:23',null);
INSERT INTO complaint_statuses VALUES('4472','936','7','20','81','4 time blanking pcb faulty. Need to replace Rs. 37690',null,'77','77','2020-09-26 20:28:52','2020-09-26 20:28:52',null);
INSERT INTO complaint_statuses VALUES('4473','1341','7','12','81','ISSUE RESOLVED .HANDLE REP',null,'87','87','2020-09-26 20:39:22','2020-09-26 20:39:22',null);
INSERT INTO complaint_statuses VALUES('4474','1364','2',null,'81',null,'26-SEP-2020
FF TO AZHAR FCI','74','74','2020-09-26 20:47:47','2020-09-26 20:47:47',null);
INSERT INTO complaint_statuses VALUES('4475','1365','2',null,'81',null,'26-SEP-2020
COM FF TO HOME SALUTATION','92','92','2020-09-26 20:48:09','2020-09-26 20:48:09',null);
INSERT INTO complaint_statuses VALUES('4476','1365','4',null,'62',null,null,'81','81','2020-09-26 20:50:51','2020-09-26 20:50:51',null);
INSERT INTO complaint_statuses VALUES('4477','1364','4',null,'62',null,null,'81','81','2020-09-26 20:51:01','2020-09-26 20:51:01',null);
INSERT INTO complaint_statuses VALUES('4478','1366','2',null,'81',null,'26-SEP-2020.
FF TO B. COOL(I 10/3 S/C LIFT HOA HAIN)','74','74','2020-09-26 20:58:43','2020-09-26 20:58:43',null);
INSERT INTO complaint_statuses VALUES('4479','1366','4',null,'58',null,null,'81','81','2020-09-26 21:03:50','2020-09-26 21:03:50',null);
INSERT INTO complaint_statuses VALUES('4480','1364','7','26','81','PLZ FRWD TO CONCERN DEPARTMENT.',null,'87','87','2020-09-26 21:06:41','2020-09-26 21:06:41',null);
INSERT INTO complaint_statuses VALUES('4481','314','8','23','58','where is unit warehouse ya service center',null,'81','81','2020-09-26 21:07:52','2020-09-26 21:07:52',null);
INSERT INTO complaint_statuses VALUES('4482','728','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-26 21:08:52','2020-09-26 21:36:00',null);
INSERT INTO complaint_statuses VALUES('4483','857','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-26 21:09:15','2020-09-26 21:34:15',null);
INSERT INTO complaint_statuses VALUES('4484','1041','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-09-26 21:09:57','2020-09-27 20:15:23',null);
INSERT INTO complaint_statuses VALUES('4485','1048','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-26 21:10:31','2020-09-27 02:44:54',null);
INSERT INTO complaint_statuses VALUES('4486','1141','5','23',null,'payment ki details bta den','COMPLAINT RESOLVED','81','74','2020-09-26 21:11:47','2020-09-27 02:43:19',null);
INSERT INTO complaint_statuses VALUES('4487','1364','5','25',null,'WRONG VENDOR SELECT',null,'81','81','2020-09-26 21:12:38','2020-09-26 21:12:38',null);
INSERT INTO complaint_statuses VALUES('4488','1367','2',null,'81',null,'26-SEP-2020
FF TO AZHAR FCI','74','74','2020-09-26 21:13:11','2020-09-26 21:13:11',null);
INSERT INTO complaint_statuses VALUES('4489','1219','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-26 21:13:19','2020-09-26 21:26:23',null);
INSERT INTO complaint_statuses VALUES('4490','1367','4',null,'60',null,null,'81','81','2020-09-26 21:13:35','2020-09-26 21:13:35',null);
INSERT INTO complaint_statuses VALUES('4491','1260','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-26 21:14:16','2020-09-26 21:23:26',null);
INSERT INTO complaint_statuses VALUES('4492','1266','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-26 21:14:55','2020-09-26 21:17:40',null);
INSERT INTO complaint_statuses VALUES('4493','1341','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-26 21:15:36','2020-09-26 21:25:00',null);
INSERT INTO complaint_statuses VALUES('4494','1363','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-26 21:16:01','2020-09-26 21:36:13',null);
INSERT INTO complaint_statuses VALUES('4495','1353','8','23','60','Explain the problem',null,'81','81','2020-09-26 21:19:01','2020-09-26 21:19:01',null);
INSERT INTO complaint_statuses VALUES('4496','1309','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-26 21:19:34','2020-09-27 01:25:24',null);
INSERT INTO complaint_statuses VALUES('4497','1274','8','23','58','please complete job quickly',null,'81','81','2020-09-26 21:21:40','2020-09-26 21:21:40',null);
INSERT INTO complaint_statuses VALUES('4498','1221','8','23','58',null,null,'81','81','2020-09-26 21:22:15','2020-09-26 21:22:15',null);
INSERT INTO complaint_statuses VALUES('4499','1205','8','23','61','please complete job quickly',null,'81','81','2020-09-26 21:23:18','2020-09-26 21:23:18',null);
INSERT INTO complaint_statuses VALUES('4500','1089','8','23','58','please complete job quickly',null,'81','81','2020-09-26 21:24:34','2020-09-26 21:24:34',null);
INSERT INTO complaint_statuses VALUES('4501','835','8','23','61',null,'MOTHER BOARD ISSUE','81','74','2020-09-26 21:28:14','2020-09-26 21:34:05',null);
INSERT INTO complaint_statuses VALUES('4502','936','8','23','56','expense approval naeem sb',null,'81','81','2020-09-26 22:03:00','2020-09-26 22:03:00',null);
INSERT INTO complaint_statuses VALUES('4503','1368','3',null,'55',null,'26-SEP-2020
FF TO NAEEM KENWOOD','74','74','2020-09-26 22:05:13','2020-09-26 22:05:13',null);
INSERT INTO complaint_statuses VALUES('4504','924','8','23','56','expense approval naeem sb',null,'81','81','2020-09-26 22:05:30','2020-09-26 22:05:30',null);
INSERT INTO complaint_statuses VALUES('4505','1328','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-26 22:30:12','2020-09-26 22:30:24',null);
INSERT INTO complaint_statuses VALUES('4506','1369','3',null,'66',null,'26-SEP-2020
COMPLAINT#PK092620200025','74','74','2020-09-26 22:37:48','2020-09-27 00:33:30',null);
INSERT INTO complaint_statuses VALUES('4507','1325','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-26 22:40:05','2020-09-26 22:40:17',null);
INSERT INTO complaint_statuses VALUES('4508','1324','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-26 22:42:47','2020-09-26 22:42:59',null);
INSERT INTO complaint_statuses VALUES('4509','1323','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-26 22:45:22','2020-09-26 22:45:35',null);
INSERT INTO complaint_statuses VALUES('4510','1370','2',null,'81',null,'26-SEP-2020
FF TO SHAMIM AKHTER','74','74','2020-09-26 22:46:53','2020-09-26 22:46:53',null);
INSERT INTO complaint_statuses VALUES('4511','1370','4',null,'55',null,null,'81','81','2020-09-26 22:48:05','2020-09-26 22:48:05',null);
INSERT INTO complaint_statuses VALUES('4512','1371','2',null,'81',null,'26-SEP-2020
FF TO AZHAR RAMZAN','74','74','2020-09-26 22:58:05','2020-09-26 22:58:05',null);
INSERT INTO complaint_statuses VALUES('4513','1371','4',null,'60',null,null,'81','81','2020-09-26 22:59:28','2020-09-26 22:59:28',null);
INSERT INTO complaint_statuses VALUES('4514','1310','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-26 23:02:28','2020-09-26 23:02:40',null);
INSERT INTO complaint_statuses VALUES('4515','1372','3',null,'53',null,'26-SEP-2020
COMPLAINT#51840','74','92','2020-09-26 23:15:57','2020-11-06 00:36:31',null);
INSERT INTO complaint_statuses VALUES('4516','1373','2',null,'81',null,'26-SEP-2020
FF TO B.COOL','74','74','2020-09-26 23:23:39','2020-09-26 23:23:39',null);
INSERT INTO complaint_statuses VALUES('4517','1373','4',null,'58',null,'VISOT HO GAYA HAY GAS KA ISSUE NAI HAY UNTARNAR KA ISSUE HAY FF TO ORIENT COMPANI','81','92','2020-09-26 23:24:01','2020-09-28 22:18:22',null);
INSERT INTO complaint_statuses VALUES('4518','1302','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-26 23:24:19','2020-09-26 23:24:30',null);
INSERT INTO complaint_statuses VALUES('4519','1290','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-26 23:31:25','2020-09-26 23:31:36',null);
INSERT INTO complaint_statuses VALUES('4520','1095','7','22','81','Gasket Price 8000, Not Available in stock',null,'76','76','2020-09-26 23:40:59','2020-09-26 23:40:59',null);
INSERT INTO complaint_statuses VALUES('4521','1289','7','12','81','Please Close.',null,'76','76','2020-09-26 23:41:51','2020-09-26 23:41:51',null);
INSERT INTO complaint_statuses VALUES('4522','1321','7','26','81','Drain Pipe adjustment on Telephone.',null,'76','76','2020-09-26 23:42:39','2020-09-26 23:42:39',null);
INSERT INTO complaint_statuses VALUES('4523','1258','7','12','81','Rat Cutting Issue (Wiring Repaired At Customer s Home )',null,'76','76','2020-09-26 23:43:38','2020-09-26 23:43:38',null);
INSERT INTO complaint_statuses VALUES('4524','1176','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-26 23:55:31','2020-09-26 23:55:43',null);
INSERT INTO complaint_statuses VALUES('4525','1095','8','23','55','send me part code picture',null,'81','81','2020-09-26 23:57:01','2020-09-26 23:57:01',null);
INSERT INTO complaint_statuses VALUES('4526','1258','5','15',null,null,null,'81','81','2020-09-26 23:57:34','2020-09-26 23:57:34',null);
INSERT INTO complaint_statuses VALUES('4527','1289','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-26 23:58:24','2020-09-27 01:28:28',null);
INSERT INTO complaint_statuses VALUES('4528','1321','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-26 23:59:03','2020-09-27 01:24:36',null);
INSERT INTO complaint_statuses VALUES('4529','1158','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 00:02:22','2020-09-27 00:02:33',null);
INSERT INTO complaint_statuses VALUES('4530','1151','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 00:06:53','2020-09-27 00:07:05',null);
INSERT INTO complaint_statuses VALUES('4531','1374','3',null,'52',null,'26-SEP-2020
COMPLAINT#PKRI-200926108054','74','74','2020-09-27 00:11:48','2020-09-27 00:11:48',null);
INSERT INTO complaint_statuses VALUES('4532','1125','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 00:12:37','2020-09-27 00:12:48',null);
INSERT INTO complaint_statuses VALUES('4533','1375','3',null,'52',null,'26-SEP-2020
COMPLAINT#PKRI2
00926108078
NEW COMPLAINT#PKRI-200926109338','74','74','2020-09-27 00:13:15','2020-09-27 01:03:55',null);
INSERT INTO complaint_statuses VALUES('4534','1319','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 00:21:10','2020-09-27 00:21:24',null);
INSERT INTO complaint_statuses VALUES('4535','1376','3',null,'52',null,'26-SEP-2020
COMPLAN#PKRI-200926108183189062','74','74','2020-09-27 00:27:04','2020-09-27 00:27:04',null);
INSERT INTO complaint_statuses VALUES('4536','1377','2',null,'81',null,'26-SEP-2020
FF TO BEST COOL','74','74','2020-09-27 00:28:24','2020-09-27 00:28:24',null);
INSERT INTO complaint_statuses VALUES('4537','1016','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 00:42:22','2020-09-27 00:42:36',null);
INSERT INTO complaint_statuses VALUES('4538','1012','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 00:44:58','2020-09-27 00:45:09',null);
INSERT INTO complaint_statuses VALUES('4539','994','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 00:47:39','2020-09-27 00:47:51',null);
INSERT INTO complaint_statuses VALUES('4540','1378','3',null,'54',null,'26-SEP-2020
COMPLAINT#1740626','74','74','2020-09-27 00:55:04','2020-09-27 00:55:04',null);
INSERT INTO complaint_statuses VALUES('4541','1379','3',null,'52',null,'26-SEP-2020
COMPLAINT#PKRI-200926109303','74','74','2020-09-27 01:00:09','2020-09-27 01:00:09',null);
INSERT INTO complaint_statuses VALUES('4542','868','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 01:02:41','2020-09-27 01:02:53',null);
INSERT INTO complaint_statuses VALUES('4543','1365','7','12','81','ISSUE RESOLVED..FILTER SAFF KYE',null,'87','87','2020-09-27 01:14:45','2020-09-27 01:14:45',null);
INSERT INTO complaint_statuses VALUES('4544','1099','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 01:19:49','2020-09-27 01:20:00',null);
INSERT INTO complaint_statuses VALUES('4545','293','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-27 01:23:27','2020-09-27 01:23:27',null);
INSERT INTO complaint_statuses VALUES('4546','1377','4',null,'58',null,null,'81','81','2020-09-27 01:24:56','2020-09-27 01:24:56',null);
INSERT INTO complaint_statuses VALUES('4547','1232','7','12','81','complaint resolved .jet issue',null,'79','79','2020-09-27 01:25:31','2020-09-27 01:25:31',null);
INSERT INTO complaint_statuses VALUES('4548','314','7','12','81','plz complete the complaint .unit azeem sb k pas hai.jb unit i 10 repair k liye ata  tu complete apny end sy kr dya kry.q k unit ap k pas hi hota..thanks',null,'79','79','2020-09-27 01:29:19','2020-09-27 01:29:19',null);
INSERT INTO complaint_statuses VALUES('4549','1365','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-09-27 01:30:46','2020-09-27 01:31:26',null);
INSERT INTO complaint_statuses VALUES('4550','869','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 01:32:50','2020-09-27 01:33:00',null);
INSERT INTO complaint_statuses VALUES('4551','1346','7','22','81','handle issue',null,'79','79','2020-09-27 01:35:39','2020-09-27 01:35:39',null);
INSERT INTO complaint_statuses VALUES('4552','1380','2',null,'81',null,'26-SEP-2020
FF TO HOME SOLUTION','74','74','2020-09-27 01:35:48','2020-09-27 01:35:48',null);
INSERT INTO complaint_statuses VALUES('4553','1380','4',null,'62',null,null,'81','81','2020-09-27 01:37:11','2020-09-27 01:37:11',null);
INSERT INTO complaint_statuses VALUES('4554','1381','2',null,'81',null,'26-SEP-2020
FF TO KHALID','74','74','2020-09-27 01:42:31','2020-09-27 01:42:31',null);
INSERT INTO complaint_statuses VALUES('4555','866','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 01:45:36','2020-09-27 01:45:48',null);
INSERT INTO complaint_statuses VALUES('4556','865','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 01:49:25','2020-09-27 01:49:37',null);
INSERT INTO complaint_statuses VALUES('4557','810','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 01:51:48','2020-09-27 01:52:00',null);
INSERT INTO complaint_statuses VALUES('4558','1382','2',null,'81',null,'26-SEP-2020
FF TO B.COOL','74','74','2020-09-27 01:54:43','2020-09-27 01:54:43',null);
INSERT INTO complaint_statuses VALUES('4559','1382','4',null,'58',null,null,'81','81','2020-09-27 01:55:53','2020-09-27 01:55:53',null);
INSERT INTO complaint_statuses VALUES('4560','1381','4',null,'56',null,null,'81','81','2020-09-27 01:56:05','2020-09-27 01:56:05',null);
INSERT INTO complaint_statuses VALUES('4561','1383','3',null,'65',null,'26-SEP-2020
COMPLAINT#192018359','74','74','2020-09-27 02:09:48','2020-09-27 02:09:48',null);
INSERT INTO complaint_statuses VALUES('4562','447','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 02:11:59','2020-09-27 02:12:12',null);
INSERT INTO complaint_statuses VALUES('4563','1384','3',null,'52',null,'26-SEP-2020
COMPLAINT PKRI-200926110723','74','74','2020-09-27 02:18:14','2020-09-27 02:26:01',null);
INSERT INTO complaint_statuses VALUES('4564','1385','3',null,'63',null,'26-9-2020
COM FF TO KHURRAM 5STAR','92','73','2020-09-27 02:25:01','2020-09-27 23:38:29',null);
INSERT INTO complaint_statuses VALUES('4565','1386','3',null,'54',null,'26-9-2020
COM -','92','92','2020-09-27 02:43:36','2020-09-27 02:43:36',null);
INSERT INTO complaint_statuses VALUES('4566','1346','8','23','58','job complete quickly','LEFT TO SERVICE CENTER','81','92','2020-09-27 02:45:38','2020-09-30 00:29:29',null);
INSERT INTO complaint_statuses VALUES('4567','314','5','15',null,null,null,'81','81','2020-09-27 02:46:30','2020-09-27 02:46:30',null);
INSERT INTO complaint_statuses VALUES('4568','1232','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-27 02:47:08','2020-09-29 22:54:42',null);
INSERT INTO complaint_statuses VALUES('4569','1194','7','26','81','complaint forward usman sb mrm new task no 1219',null,'87','87','2020-09-27 03:02:48','2020-09-27 03:02:48',null);
INSERT INTO complaint_statuses VALUES('4570','1194','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-09-27 03:03:16','2020-09-27 20:17:48',null);
INSERT INTO complaint_statuses VALUES('4571','1387','3',null,'52',null,'27-9-2020
COM NO PKRI 200927101356','92','92','2020-09-27 19:42:41','2020-09-27 19:42:41',null);
INSERT INTO complaint_statuses VALUES('4572','1388','3',null,'57',null,'complain#03008557478','73','73','2020-09-27 19:52:18','2020-09-27 19:52:18',null);
INSERT INTO complaint_statuses VALUES('4573','1389','3',null,'55',null,'frwrd to naeem kenwood','73','73','2020-09-27 19:59:06','2020-09-27 20:31:19',null);
INSERT INTO complaint_statuses VALUES('4574','1390','3',null,'52',null,'complain#PKRI200927102326','73','73','2020-09-27 20:12:09','2020-09-27 20:45:03',null);
INSERT INTO complaint_statuses VALUES('4575','1391','2',null,'81',null,null,'73','73','2020-09-27 20:15:12','2020-09-27 20:15:12',null);
INSERT INTO complaint_statuses VALUES('4576','1391','4',null,'58',null,null,'81','81','2020-09-27 20:22:18','2020-09-27 20:22:18',null);
INSERT INTO complaint_statuses VALUES('4577','1356','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 20:30:59','2020-09-27 20:31:10',null);
INSERT INTO complaint_statuses VALUES('4578','1352','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 20:38:18','2020-09-27 20:38:38',null);
INSERT INTO complaint_statuses VALUES('4579','1345','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 21:13:12','2020-09-27 21:13:22',null);
INSERT INTO complaint_statuses VALUES('4580','1343','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 21:16:01','2020-09-27 21:16:35',null);
INSERT INTO complaint_statuses VALUES('4581','1392','2',null,'81',null,'MRM','73','73','2020-09-27 22:06:14','2020-09-27 22:06:14',null);
INSERT INTO complaint_statuses VALUES('4582','1392','4',null,'61',null,null,'81','81','2020-09-27 22:06:33','2020-09-27 22:06:33',null);
INSERT INTO complaint_statuses VALUES('4583','1392','4',null,'61',null,null,'81','81','2020-09-27 22:06:42','2020-09-27 22:06:42',null);
INSERT INTO complaint_statuses VALUES('4584','1392','4',null,'61',null,null,'81','81','2020-09-27 22:06:42','2020-09-27 22:06:42',null);
INSERT INTO complaint_statuses VALUES('4585','1392','4',null,'61',null,null,'81','81','2020-09-27 22:06:43','2020-09-27 22:06:43',null);
INSERT INTO complaint_statuses VALUES('4586','1392','4',null,'61',null,null,'81','81','2020-09-27 22:06:43','2020-09-27 22:06:43',null);
INSERT INTO complaint_statuses VALUES('4587','1392','4',null,'61',null,null,'81','81','2020-09-27 22:06:43','2020-09-27 22:06:43',null);
INSERT INTO complaint_statuses VALUES('4588','1392','4',null,'61',null,null,'81','81','2020-09-27 22:06:43','2020-09-27 22:06:43',null);
INSERT INTO complaint_statuses VALUES('4589','1392','4',null,'61',null,null,'81','81','2020-09-27 22:06:44','2020-09-27 22:06:44',null);
INSERT INTO complaint_statuses VALUES('4590','1392','4',null,'61',null,null,'81','81','2020-09-27 22:06:44','2020-09-27 22:06:44',null);
INSERT INTO complaint_statuses VALUES('4591','1392','4',null,'61',null,null,'81','81','2020-09-27 22:06:45','2020-09-27 22:06:45',null);
INSERT INTO complaint_statuses VALUES('4592','1392','4',null,'61',null,null,'81','81','2020-09-27 22:06:46','2020-09-27 22:06:46',null);
INSERT INTO complaint_statuses VALUES('4593','1392','4',null,'61',null,null,'81','81','2020-09-27 22:06:46','2020-09-27 22:06:46',null);
INSERT INTO complaint_statuses VALUES('4594','1392','4',null,'61',null,null,'81','81','2020-09-27 22:06:46','2020-09-27 22:06:46',null);
INSERT INTO complaint_statuses VALUES('4595','1392','4',null,'61',null,null,'81','81','2020-09-27 22:06:46','2020-09-27 22:06:46',null);
INSERT INTO complaint_statuses VALUES('4596','1391','7','12','81','child lock lga hua tha complaint resolved',null,'79','79','2020-09-27 22:27:18','2020-09-27 22:27:18',null);
INSERT INTO complaint_statuses VALUES('4597','1394','3',null,'53',null,'COM NO 301056505','92','92','2020-09-27 22:27:23','2020-10-07 02:46:17',null);
INSERT INTO complaint_statuses VALUES('4598','1395','2',null,'81',null,'B.COOL','73','73','2020-09-27 22:31:58','2020-09-27 22:31:58',null);
INSERT INTO complaint_statuses VALUES('4599','1395','4',null,'58',null,null,'81','81','2020-09-27 22:32:19','2020-09-27 22:32:19',null);
INSERT INTO complaint_statuses VALUES('4600','1396','2',null,'81',null,'COM FF TO KHURAM FIVE STAR','92','92','2020-09-27 22:47:55','2020-09-27 22:47:55',null);
INSERT INTO complaint_statuses VALUES('4601','1397','3',null,'63',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-09-27 22:52:14','2020-09-27 22:52:14',null);
INSERT INTO complaint_statuses VALUES('4602','1396','4',null,'63',null,null,'81','81','2020-09-27 22:55:15','2020-09-27 22:55:15',null);
INSERT INTO complaint_statuses VALUES('4603','1340','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-27 23:01:36','2020-09-27 23:01:48',null);
INSERT INTO complaint_statuses VALUES('4604','1366','7','24','81','ye ref  i 10 agya hia.. jo ref direct i 10 ata hai ,usy tu humery account mein na daly ...(talagag  sy aya hai)',null,'79','79','2020-09-27 23:05:04','2020-09-27 23:05:04',null);
INSERT INTO complaint_statuses VALUES('4605','1398','2',null,'81',null,'COM FF TO KHURRAM SIR','92','92','2020-09-27 23:28:00','2020-09-27 23:28:00',null);
INSERT INTO complaint_statuses VALUES('4606','1398','4',null,'62',null,null,'81','81','2020-09-27 23:28:26','2020-09-27 23:28:26',null);
INSERT INTO complaint_statuses VALUES('4607','1391','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-27 23:46:15','2020-09-29 22:47:13',null);
INSERT INTO complaint_statuses VALUES('4608','1366','8','23','58',null,null,'81','81','2020-09-27 23:47:19','2020-09-27 23:47:19',null);
INSERT INTO complaint_statuses VALUES('4609','729','7','24','81','Unit in work shop','UNIT IS PROCESS','79','92','2020-09-28 00:14:42','2020-09-28 00:23:09',null);
INSERT INTO complaint_statuses VALUES('4610','569','7','24','81','Quickly kesy kry.... machine tu aye. Work shop',null,'79','79','2020-09-28 00:18:52','2020-09-28 00:18:52',null);
INSERT INTO complaint_statuses VALUES('4611','1399','3',null,'53',null,'COMPLAIN#301052177','73','73','2020-09-28 00:22:12','2020-09-28 00:34:52',null);
INSERT INTO complaint_statuses VALUES('4612','1103','7','24','81','No is powered off..Friday ko bhi  try kia tha',null,'79','79','2020-09-28 00:34:12','2020-09-28 00:34:12',null);
INSERT INTO complaint_statuses VALUES('4613','892','5',null,null,'RESOLVED','COMPLAINT RESOLVED','73','92','2020-09-28 00:40:46','2020-09-30 02:43:16',null);
INSERT INTO complaint_statuses VALUES('4614','1221','7','24','81','Baat ho gai hai Kal jana hai..',null,'79','79','2020-09-28 00:43:28','2020-09-28 00:43:28',null);
INSERT INTO complaint_statuses VALUES('4615','47','5',null,null,'SALE RETURNED',null,'73','73','2020-09-28 00:44:54','2020-09-28 00:44:54',null);
INSERT INTO complaint_statuses VALUES('4616','328','5',null,null,null,null,'73','73','2020-09-28 00:47:44','2020-09-28 00:47:44',null);
INSERT INTO complaint_statuses VALUES('4617','1274','7','12','81','Motor laga di hai.complaint resloved...',null,'79','79','2020-09-28 00:48:27','2020-09-28 00:48:27',null);
INSERT INTO complaint_statuses VALUES('4618','1137','7','22','81','Customer Kal service center ly kr aye gain',null,'79','79','2020-09-28 00:49:08','2020-09-28 00:49:08',null);
INSERT INTO complaint_statuses VALUES('4619','1357','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-28 00:50:28','2020-09-28 00:50:41',null);
INSERT INTO complaint_statuses VALUES('4620','1355','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-28 00:52:34','2020-09-28 00:52:50',null);
INSERT INTO complaint_statuses VALUES('4621','1351','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-28 00:55:57','2020-09-28 00:56:13',null);
INSERT INTO complaint_statuses VALUES('4622','530','7','12','81','IC oven my tharmostat ni hy',null,'88','88','2020-09-28 01:00:01','2020-09-28 01:00:01',null);
INSERT INTO complaint_statuses VALUES('4623','530','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-28 01:01:53','2020-09-29 22:45:36',null);
INSERT INTO complaint_statuses VALUES('4624','1156','7','12','81','Auto wair ka masla tha OK how gayi hy',null,'88','88','2020-09-28 01:03:19','2020-09-28 01:03:19',null);
INSERT INTO complaint_statuses VALUES('4625','1347','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-28 01:04:11','2020-09-28 01:04:23',null);
INSERT INTO complaint_statuses VALUES('4626','618','7','9','81','Castamar ko chargiz bataya thay bad my kam ka ni bataya',null,'88','88','2020-09-28 01:06:00','2020-09-28 01:06:00',null);
INSERT INTO complaint_statuses VALUES('4627','569','8','23','58',null,null,'81','81','2020-09-28 01:06:19','2020-09-28 01:06:19',null);
INSERT INTO complaint_statuses VALUES('4628','1339','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-28 01:06:33','2020-09-28 01:06:46',null);
INSERT INTO complaint_statuses VALUES('4629','618','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-28 01:07:05','2020-09-29 23:07:32',null);
INSERT INTO complaint_statuses VALUES('4630','729','8','23','58',null,null,'81','81','2020-09-28 01:07:36','2020-09-28 01:07:36',null);
INSERT INTO complaint_statuses VALUES('4631','1103','8','23','58',null,null,'81','81','2020-09-28 01:08:10','2020-09-28 01:08:10',null);
INSERT INTO complaint_statuses VALUES('4632','1137','8','23','58',null,null,'81','81','2020-09-28 01:08:28','2020-09-28 01:08:28',null);
INSERT INTO complaint_statuses VALUES('4633','1156','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-28 01:08:54','2020-09-29 21:28:22',null);
INSERT INTO complaint_statuses VALUES('4634','1274','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-28 01:09:12','2020-09-29 22:52:15',null);
INSERT INTO complaint_statuses VALUES('4635','1221','8','23','58',null,null,'81','81','2020-09-28 01:10:04','2020-09-28 01:10:04',null);
INSERT INTO complaint_statuses VALUES('4636','1305','7','12','81','Camplain ok rotastari rad ni hy',null,'88','88','2020-09-28 01:10:38','2020-09-28 01:10:38',null);
INSERT INTO complaint_statuses VALUES('4637','1337','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-28 01:11:34','2020-09-28 01:11:45',null);
INSERT INTO complaint_statuses VALUES('4638','1400','2',null,'81',null,null,'73','73','2020-09-28 01:12:09','2020-09-28 01:12:09',null);
INSERT INTO complaint_statuses VALUES('4639','1400','4',null,'62',null,null,'81','81','2020-09-28 01:12:46','2020-09-28 01:12:46',null);
INSERT INTO complaint_statuses VALUES('4640','1332','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-28 01:14:45','2020-09-28 01:14:56',null);
INSERT INTO complaint_statuses VALUES('4641','1305','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-28 01:15:05','2020-09-30 23:52:57',null);
INSERT INTO complaint_statuses VALUES('4642','1314','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-28 01:23:49','2020-09-28 01:24:02',null);
INSERT INTO complaint_statuses VALUES('4643','1308','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-28 01:26:29','2020-09-28 01:26:40',null);
INSERT INTO complaint_statuses VALUES('4644','577','7','12','81','Camplain ok','COMPLAINT RESOLVED','88','92','2020-09-28 01:48:04','2020-09-28 01:53:43',null);
INSERT INTO complaint_statuses VALUES('4645','1316','7','12','81','Camplain ok',null,'88','88','2020-09-28 01:48:31','2020-09-28 01:48:31',null);
INSERT INTO complaint_statuses VALUES('4646','845','7','12','81','Camplain ok',null,'88','88','2020-09-28 01:49:12','2020-09-28 01:49:12',null);
INSERT INTO complaint_statuses VALUES('4647','712','7','12','81','Camplain cancel',null,'88','88','2020-09-28 01:50:19','2020-09-28 01:50:19',null);
INSERT INTO complaint_statuses VALUES('4648','1358','7','22','81','Barnar jali ka masla hy',null,'88','88','2020-09-28 01:51:57','2020-09-28 01:51:57',null);
INSERT INTO complaint_statuses VALUES('4649','577','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-28 01:53:09','2020-09-28 01:54:31',null);
INSERT INTO complaint_statuses VALUES('4650','1316','5','15',null,null,null,'81','81','2020-09-28 01:53:30','2020-09-28 01:53:30',null);
INSERT INTO complaint_statuses VALUES('4651','712','5','15',null,null,null,'81','81','2020-09-28 01:56:32','2020-09-28 01:56:32',null);
INSERT INTO complaint_statuses VALUES('4652','845','5','15',null,null,null,'81','81','2020-09-28 01:57:51','2020-09-28 01:57:51',null);
INSERT INTO complaint_statuses VALUES('4653','839','7','12','81','Camplain ok',null,'88','88','2020-09-28 02:01:41','2020-09-28 02:01:41',null);
INSERT INTO complaint_statuses VALUES('4654','839','5','15',null,null,null,'81','81','2020-09-28 02:02:04','2020-09-28 02:02:04',null);
INSERT INTO complaint_statuses VALUES('4655','738','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-28 02:29:35','2020-09-28 02:29:46',null);
INSERT INTO complaint_statuses VALUES('4656','1078','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-28 02:39:19','2020-09-28 02:39:30',null);
INSERT INTO complaint_statuses VALUES('4657','299','5',null,null,'5;57 PAR CALL KI THI NOT ATTEND CALL','COMPLAINT RESOLVED','92','92','2020-09-28 02:58:08','2020-09-30 01:07:50',null);
INSERT INTO complaint_statuses VALUES('4658','1177','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-28 03:00:01','2020-09-28 03:00:11',null);
INSERT INTO complaint_statuses VALUES('4659','1358','8','23','63','parts i-10 sy lay len',null,'81','81','2020-09-28 03:02:51','2020-09-28 03:02:51',null);
INSERT INTO complaint_statuses VALUES('4660','1401','3',null,'52',null,'COMPLAINT#PKRI-200928102008','73','74','2020-09-28 03:15:19','2020-09-28 19:36:11',null);
INSERT INTO complaint_statuses VALUES('4661','1402','3',null,'55',null,null,'74','74','2020-09-28 19:42:26','2020-09-28 19:42:26',null);
INSERT INTO complaint_statuses VALUES('4662','1371','7','10','81',null,null,'82','82','2020-09-28 20:03:47','2020-09-28 20:03:47',null);
INSERT INTO complaint_statuses VALUES('4663','1353','7','24','81','costmer ne ghar k nadiq bula kar caal atend nahi ki kafi baar try kia laqin not responding  phir wapis agy','NOT PICK UP CALL CUSTOMER KO SMS  KAR DIA HAIN.
11:08 MIN PA MEG KIYA HAIN','82','74','2020-09-28 20:08:03','2020-09-28 20:38:04',null);
INSERT INTO complaint_statuses VALUES('4664','1344','7','9','81','Please provide another Number',null,'76','76','2020-09-28 20:09:07','2020-09-28 20:09:07',null);
INSERT INTO complaint_statuses VALUES('4665','1367','7','12','81','Conection problam .job done 
No visit chargis',null,'82','82','2020-09-28 20:11:00','2020-09-28 20:11:00',null);
INSERT INTO complaint_statuses VALUES('4666','1367','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-28 20:13:26','2020-09-29 20:41:54',null);
INSERT INTO complaint_statuses VALUES('4667','1371','8','23','60','call again 4pm ka time desaide ho geya hy customer sy','ISSUE NOT RESOLVED','81','92','2020-09-28 20:16:54','2020-09-30 23:23:29',null);
INSERT INTO complaint_statuses VALUES('4668','1403','2',null,'81',null,'28-SEP-2020
FF TO HOME SOLUTION','92','92','2020-09-28 20:26:10','2020-09-28 20:26:10',null);
INSERT INTO complaint_statuses VALUES('4669','1403','4',null,'62',null,null,'81','81','2020-09-28 20:28:51','2020-09-28 20:28:51',null);
INSERT INTO complaint_statuses VALUES('4670','1404','3',null,'52',null,'28-SEP-2020
COM NO PKRI 200928103798','92','92','2020-09-28 20:45:40','2020-09-28 20:45:40',null);
INSERT INTO complaint_statuses VALUES('4671','1331','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-28 20:47:48','2020-09-28 20:47:48',null);
INSERT INTO complaint_statuses VALUES('4672','1405','3',null,'54',null,'28-SEP-2020
COM NO 1741627','92','92','2020-09-28 21:07:46','2020-09-28 21:07:46',null);
INSERT INTO complaint_statuses VALUES('4673','835','7','12','81','Main pcb defective  RS 7000/-   expanse',null,'83','83','2020-09-28 21:25:48','2020-09-28 21:25:48',null);
INSERT INTO complaint_statuses VALUES('4674','1407','3',null,'52',null,'28-SEP-2020
COMPLAINT#PKRI-200928105119','74','74','2020-09-28 21:29:57','2020-09-28 21:29:57',null);
INSERT INTO complaint_statuses VALUES('4675','1239','5',null,null,'ISSUE NOT RESOLVED','COMPLAINT RESOLVED','92','92','2020-09-28 21:49:03','2020-10-07 20:25:46',null);
INSERT INTO complaint_statuses VALUES('4676','1408','3',null,'65',null,'28-SEP-2020
COMPLAINT# 192018372','74','74','2020-09-28 22:02:16','2020-09-28 22:02:16',null);
INSERT INTO complaint_statuses VALUES('4677','459','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-28 22:32:54','2020-09-28 22:33:07',null);
INSERT INTO complaint_statuses VALUES('4678','652','5',null,null,'NOT VISOT TO COMPLAINT','COMPLAINT RESOLVED','92','92','2020-09-28 22:37:33','2020-10-06 22:27:12',null);
INSERT INTO complaint_statuses VALUES('4679','710','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-28 22:40:39','2020-09-28 22:40:51',null);
INSERT INTO complaint_statuses VALUES('4680','964','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-28 22:42:52','2020-09-28 22:43:07',null);
INSERT INTO complaint_statuses VALUES('4681','1070','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-28 22:46:43','2020-09-28 22:46:55',null);
INSERT INTO complaint_statuses VALUES('4682','1299','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-28 22:52:23','2020-09-28 22:52:35',null);
INSERT INTO complaint_statuses VALUES('4683','1409','3',null,'66',null,'28-SEP-2020
FF TO MEHWISH TCL','74','74','2020-09-28 23:04:20','2020-09-28 23:04:20',null);
INSERT INTO complaint_statuses VALUES('4684','1410','2',null,'81',null,'28-SEP-2020
FF TO SHAMIM AKHTER','74','74','2020-09-28 23:12:05','2020-09-28 23:12:05',null);
INSERT INTO complaint_statuses VALUES('4685','1410','4',null,'55',null,null,'81','81','2020-09-28 23:13:14','2020-09-28 23:13:14',null);
INSERT INTO complaint_statuses VALUES('4686','1093','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-28 23:24:44','2020-09-28 23:24:56',null);
INSERT INTO complaint_statuses VALUES('4687','664','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-28 23:40:50','2020-09-28 23:40:50',null);
INSERT INTO complaint_statuses VALUES('4688','1406','2',null,'81',null,'KHALID SAB','74','74','2020-09-28 23:41:39','2020-09-28 23:41:39',null);
INSERT INTO complaint_statuses VALUES('4689','1406','4',null,'56',null,null,'81','81','2020-09-28 23:42:02','2020-09-28 23:42:02',null);
INSERT INTO complaint_statuses VALUES('4690','1411','3',null,'73',null,'26-SEP-2020
COMPLAINT#1697','74','74','2020-09-29 00:09:11','2020-09-29 00:09:11',null);
INSERT INTO complaint_statuses VALUES('4691','1412','2',null,'81',null,'26-SEP-2020
FF TO USMAN MRM','74','74','2020-09-29 00:40:51','2020-09-29 00:40:51',null);
INSERT INTO complaint_statuses VALUES('4692','1412','4',null,'61',null,'COMPLAINT RESOLVED','81','92','2020-09-29 00:41:59','2020-09-30 19:43:28',null);
INSERT INTO complaint_statuses VALUES('4693','1392','7','24','81','Visit done  part in order',null,'83','83','2020-09-29 01:03:46','2020-09-29 01:03:46',null);
INSERT INTO complaint_statuses VALUES('4694','1413','3',null,'65',null,'28-SEP-2020
COMPLAINT# 192018376','74','92','2020-09-29 01:12:02','2020-09-29 01:17:12',null);
INSERT INTO complaint_statuses VALUES('4695','1414','3',null,'54',null,'28-SEP-2020
COMPLAINT#1742076','74','74','2020-09-29 01:16:20','2020-09-29 01:16:20',null);
INSERT INTO complaint_statuses VALUES('4696','1406','7','9','81','May i know customer detail and other particulers',null,'77','77','2020-09-29 01:19:19','2020-09-29 01:19:19',null);
INSERT INTO complaint_statuses VALUES('4697','1415','3',null,'66',null,'28-SEP-2020
COMPLAINT#PK092820200099 SHAKEEL TECHNICIAN IC COMPLAINT KO ATTEND KARAY GAY','74','74','2020-09-29 01:29:54','2020-09-29 20:36:33',null);
INSERT INTO complaint_statuses VALUES('4698','1416','3',null,'66',null,'28-SEP-2020
COMPLAINT#PK092820200099','74','74','2020-09-29 01:30:07','2020-10-06 01:11:30',null);
INSERT INTO complaint_statuses VALUES('4699','229','5',null,null,'COSTAMOR KO MESSAGE KARDEYA HAY','COMPLAINT RESOLVED','92','92','2020-09-29 02:03:03','2020-09-29 23:34:15',null);
INSERT INTO complaint_statuses VALUES('4700','436','5',null,null,'COSTAMOR KO MESSAGE SEND KARDEYA HAY','COMPLAINT RESOLVED','92','92','2020-09-29 02:04:59','2020-09-30 20:46:58',null);
INSERT INTO complaint_statuses VALUES('4701','559','5',null,null,'COSTAMOR KO MESSAGE SEND KARDEYA HAY','COMPLAINT RESOLVED','92','92','2020-09-29 02:07:23','2020-09-29 23:33:09',null);
INSERT INTO complaint_statuses VALUES('4702','1307','5',null,null,'COSTAMOR KO MESSAGE SEND KARDEYA HAY','COMPLAINT RESOLVED','92','92','2020-09-29 02:13:23','2020-09-30 20:01:28',null);
INSERT INTO complaint_statuses VALUES('4703','470','5',null,null,'COSTAMOR KO MESSAGE SEND KAR DEYA HAY','LEFT TO SERVICE  CENTER
INVOICE PA ALI SAB K NO SA STATUS CONFIRM KIYA SHAHBAZ SAB K NO STILL P/OFF JA RA HAY THA COMPLIANT RESOLVED','92','74','2020-09-29 02:23:22','2020-10-30 01:56:44',null);
INSERT INTO complaint_statuses VALUES('4704','741','7','12','81','Rs 3000 Bill   cash received from yasir  
unit already hand over to mr  yasir sb',null,'83','83','2020-09-29 02:28:01','2020-09-29 02:28:01',null);
INSERT INTO complaint_statuses VALUES('4705','1092','7','24','81','Unit under testing   
unit return  back to  friends',null,'83','83','2020-09-29 02:29:25','2020-09-29 02:29:25',null);
INSERT INTO complaint_statuses VALUES('4706','835','8','23','61','ANY DISCOUNT',null,'81','81','2020-09-29 02:30:59','2020-09-29 02:30:59',null);
INSERT INTO complaint_statuses VALUES('4707','289','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-29 02:37:17','2020-09-29 02:37:33',null);
INSERT INTO complaint_statuses VALUES('4708','1403','7','22','81','COMP',null,'87','87','2020-09-29 02:55:00','2020-09-29 02:55:00',null);
INSERT INTO complaint_statuses VALUES('4709','1395','7','12','81','Customer ny sale man sy unit change kerwana hai ...',null,'79','79','2020-09-29 07:33:40','2020-09-29 07:33:40',null);
INSERT INTO complaint_statuses VALUES('4710','1285','7','24','81','Unit ready customer check kr pick kry gain',null,'79','79','2020-09-29 07:34:57','2020-09-29 07:34:57',null);
INSERT INTO complaint_statuses VALUES('4711','1221','7','12','81','Complaint resolved on payment ..',null,'79','79','2020-09-29 07:37:09','2020-09-29 07:37:09',null);
INSERT INTO complaint_statuses VALUES('4712','858','7','24','81','Still unit is with customer. He  will bring unit when he free.','55X8577G-S-942
SADDIQ SAB KO INFORMED KAR DIA HAIN','77','74','2020-09-29 17:42:14','2020-09-29 21:21:23',null);
INSERT INTO complaint_statuses VALUES('4713','1395','5','15',null,'FREEZER DAMAGE THA CUSTOMER NA CHANGE KARWA LIYA HAIN COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2020-09-29 19:31:12','2020-09-29 19:32:00',null);
INSERT INTO complaint_statuses VALUES('4714','1201','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-29 19:40:37','2020-09-29 19:40:50',null);
INSERT INTO complaint_statuses VALUES('4715','1203','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-29 19:41:39','2020-09-29 19:41:51',null);
INSERT INTO complaint_statuses VALUES('4716','284','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-09-29 19:42:27','2020-09-29 19:42:27',null);
INSERT INTO complaint_statuses VALUES('4717','1417','2',null,'81',null,'29-SEP-2020
FF TO SHAMIM AKHTER','74','74','2020-09-29 19:52:00','2020-09-29 19:52:00',null);
INSERT INTO complaint_statuses VALUES('4718','1417','4',null,'55',null,'CUSTOMER KO LG S/C KA # PROVIDE KAR DIA VISIT TO DAY','81','74','2020-09-29 19:52:37','2020-10-01 20:20:19',null);
INSERT INTO complaint_statuses VALUES('4719','1379','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-29 20:08:44','2020-09-29 20:09:00',null);
INSERT INTO complaint_statuses VALUES('4720','1401','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-29 20:11:38','2020-09-29 20:11:49',null);
INSERT INTO complaint_statuses VALUES('4721','1390','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-29 20:14:09','2020-09-29 20:14:21',null);
INSERT INTO complaint_statuses VALUES('4722','1387','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-29 20:17:26','2020-09-29 20:21:02',null);
INSERT INTO complaint_statuses VALUES('4723','1418','2',null,'81',null,'29-SEP-2020
FF TO  B. COOL','74','74','2020-09-29 20:23:34','2020-09-29 20:23:34',null);
INSERT INTO complaint_statuses VALUES('4724','1406','8','23','56','YHA COMPLAINT HAMRAY BEHIRA 07 K SHOWROOM KI COMPLAINT HAIN .
EHSAN SAB 0311-3110013 IN SA CONTACT KARAY.
ANEEQ KO B INFORMED KAR DIA',null,'81','81','2020-09-29 20:24:56','2020-09-29 20:24:56',null);
INSERT INTO complaint_statuses VALUES('4725','1366','7','12','81','Gas and compressor  ..unit dilver..',null,'79','79','2020-09-29 20:26:32','2020-09-29 20:26:32',null);
INSERT INTO complaint_statuses VALUES('4726','1376','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-29 20:29:50','2020-09-29 20:39:53',null);
INSERT INTO complaint_statuses VALUES('4727','1418','4',null,'58',null,null,'81','81','2020-09-29 20:29:54','2020-09-29 20:29:54',null);
INSERT INTO complaint_statuses VALUES('4728','1366','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-09-29 20:31:13','2020-09-29 20:31:40',null);
INSERT INTO complaint_statuses VALUES('4729','741','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-29 20:36:00','2020-09-29 22:57:57',null);
INSERT INTO complaint_statuses VALUES('4730','1403','8','23','62','please complete this job quicly',null,'81','81','2020-09-29 20:38:20','2020-09-29 20:38:20',null);
INSERT INTO complaint_statuses VALUES('4731','1344','8','23','55','OTHER#0303-5156490 YUNAS ALI   IC NO PA CONTACT KARAY',null,'81','81','2020-09-29 20:38:56','2020-09-29 20:38:56',null);
INSERT INTO complaint_statuses VALUES('4732','1392','8','23','61','kon sa part',null,'81','81','2020-09-29 20:39:14','2020-09-29 20:39:14',null);
INSERT INTO complaint_statuses VALUES('4733','1353','8','23','60','call again and set time',null,'81','81','2020-09-29 20:40:22','2020-09-29 20:40:22',null);
INSERT INTO complaint_statuses VALUES('4734','1285','8','23','58','please complete this job quikly',null,'81','81','2020-09-29 20:42:42','2020-09-29 20:42:42',null);
INSERT INTO complaint_statuses VALUES('4735','1221','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-29 20:43:24','2020-09-29 20:44:19',null);
INSERT INTO complaint_statuses VALUES('4736','1092','8','23','61','please explain problem',null,'81','81','2020-09-29 20:44:46','2020-09-29 20:44:46',null);
INSERT INTO complaint_statuses VALUES('4737','1362','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-29 21:00:23','2020-09-29 21:00:35',null);
INSERT INTO complaint_statuses VALUES('4738','321','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-29 21:14:16','2020-09-29 21:14:28',null);
INSERT INTO complaint_statuses VALUES('4739','835','7','24','81','500',null,'83','83','2020-09-29 21:21:46','2020-09-29 21:21:46',null);
INSERT INTO complaint_statuses VALUES('4740','1205','7','12','81','backl light defective ha    unit refer to workshop cusotmer khod ly k ain gy',null,'83','83','2020-09-29 21:22:35','2020-09-29 21:22:35',null);
INSERT INTO complaint_statuses VALUES('4741','1419','2',null,'81',null,'29-SEP-2020
USMAM MRM','74','74','2020-09-29 21:26:07','2020-09-29 21:26:07',null);
INSERT INTO complaint_statuses VALUES('4742','1419','4',null,'61',null,null,'81','81','2020-09-29 21:28:16','2020-09-29 21:28:16',null);
INSERT INTO complaint_statuses VALUES('4743','1380','7','22','81','PCB CARD',null,'87','87','2020-09-29 21:33:13','2020-09-29 21:33:13',null);
INSERT INTO complaint_statuses VALUES('4744','1306','7','12','81','ISSUE RESOLVED',null,'87','87','2020-09-29 21:49:26','2020-09-29 21:49:26',null);
INSERT INTO complaint_statuses VALUES('4745','1420','3',null,'52',null,'29-SEP-2020
COMPLAINT#PKRI-200929105591','74','74','2020-09-29 21:50:49','2020-09-29 21:50:49',null);
INSERT INTO complaint_statuses VALUES('4746','1421','2',null,'81',null,'29-SEP-2020
COM FF TO MAMM SHAMIM AKHTAR','92','92','2020-09-29 21:57:16','2020-09-29 22:06:13',null);
INSERT INTO complaint_statuses VALUES('4747','1250','7','24','81','Coustmer villagr gea hoa hy sunday ko wapisi hy os ki monday ko set office lay k ay ga',null,'80','80','2020-09-29 21:58:08','2020-09-29 21:58:08',null);
INSERT INTO complaint_statuses VALUES('4748','1421','4',null,'55',null,null,'81','81','2020-09-29 22:06:51','2020-09-29 22:06:51',null);
INSERT INTO complaint_statuses VALUES('4749','1422','3',null,'53',null,'29-SEP-2020
COMPLAINT#301053212.
PESHAWAR S/C YAH COMPLAINT ATTEND KARWAY GAY.
091-5704240','74','74','2020-09-29 22:37:22','2020-09-29 22:37:22',null);
INSERT INTO complaint_statuses VALUES('4750','1423','2',null,'81',null,'29-SEP-2020
FF TO B.COOL','74','74','2020-09-29 22:45:57','2020-09-29 22:45:57',null);
INSERT INTO complaint_statuses VALUES('4751','1423','4',null,'58',null,null,'81','81','2020-09-29 22:46:24','2020-09-29 22:46:24',null);
INSERT INTO complaint_statuses VALUES('4752','1380','8','23','62','repair karwa do',null,'81','81','2020-09-29 22:47:20','2020-09-29 22:47:20',null);
INSERT INTO complaint_statuses VALUES('4753','1306','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-29 22:47:42','2020-09-29 23:04:41',null);
INSERT INTO complaint_statuses VALUES('4754','1250','8','23','59',null,null,'81','81','2020-09-29 22:52:59','2020-09-29 22:52:59',null);
INSERT INTO complaint_statuses VALUES('4755','1205','8','23','61',null,null,'81','81','2020-09-29 22:53:56','2020-09-29 22:53:56',null);
INSERT INTO complaint_statuses VALUES('4756','835','8','23','61','approved',null,'81','81','2020-09-29 22:57:00','2020-09-29 22:57:00',null);
INSERT INTO complaint_statuses VALUES('4757','1338','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-29 23:00:21','2020-09-29 23:00:38',null);
INSERT INTO complaint_statuses VALUES('4758','1425','3',null,'57',null,'29-SEP-2020
COMPLAINT#13567','74','74','2020-09-29 23:16:22','2020-09-29 23:16:22',null);
INSERT INTO complaint_statuses VALUES('4759','1426','3',null,'52',null,'29-SEP-2020
COMPLAINT#PKRI200929107666','74','74','2020-09-29 23:31:16','2020-09-29 23:31:16',null);
INSERT INTO complaint_statuses VALUES('4760','1427','3',null,'52',null,'29-SEP-2020
COMPLAINT#PKRI200929107686','74','74','2020-09-29 23:32:34','2020-09-29 23:32:34',null);
INSERT INTO complaint_statuses VALUES('4761','1428','2',null,'81',null,'29-SEP-2020
FF TO B.COOL','74','74','2020-09-29 23:57:00','2020-09-30 00:07:20',null);
INSERT INTO complaint_statuses VALUES('4762','1428','4',null,'63',null,null,'81','81','2020-09-29 23:57:46','2020-09-29 23:57:46',null);
INSERT INTO complaint_statuses VALUES('4763','1424','2',null,'81',null,null,'74','74','2020-09-30 00:03:03','2020-09-30 00:03:03',null);
INSERT INTO complaint_statuses VALUES('4764','1424','4',null,'55',null,null,'81','81','2020-09-30 00:03:26','2020-09-30 00:03:26',null);
INSERT INTO complaint_statuses VALUES('4765','1424','4',null,'55',null,null,'81','81','2020-09-30 00:03:26','2020-09-30 00:03:26',null);
INSERT INTO complaint_statuses VALUES('4766','1429','3',null,'77',null,'COM NO  PKRI 200929108412','92','92','2020-09-30 00:05:18','2020-09-30 00:05:18',null);
INSERT INTO complaint_statuses VALUES('4767','1428','7','26','81','WRONG VENDORS SELECT HO GAY',null,'88','88','2020-09-30 00:10:30','2020-09-30 00:10:30',null);
INSERT INTO complaint_statuses VALUES('4768','1428','5','25',null,'CANCELL','COMPLAINT CLOSED','81','74','2020-09-30 00:11:20','2020-10-01 00:54:42',null);
INSERT INTO complaint_statuses VALUES('4769','1430','2',null,'81',null,'29-SEP-2020
FF TO B.COOL','74','74','2020-09-30 00:11:41','2020-09-30 00:11:41',null);
INSERT INTO complaint_statuses VALUES('4770','1430','4',null,'58',null,null,'81','81','2020-09-30 00:12:04','2020-09-30 00:12:04',null);
INSERT INTO complaint_statuses VALUES('4771','1431','3',null,'53',null,'29-SEP-2020
COM  NO 1058433','92','92','2020-09-30 00:24:01','2020-10-12 20:49:13',null);
INSERT INTO complaint_statuses VALUES('4772','1386','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 00:32:30','2020-09-30 00:32:43',null);
INSERT INTO complaint_statuses VALUES('4773','1432','2',null,'81',null,'29-SEP-2020
FF TO B.COOL','74','74','2020-09-30 00:37:51','2020-09-30 00:37:51',null);
INSERT INTO complaint_statuses VALUES('4774','1313','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 00:38:18','2020-09-30 00:38:29',null);
INSERT INTO complaint_statuses VALUES('4775','1432','4',null,'58',null,null,'81','81','2020-09-30 00:38:19','2020-09-30 00:38:19',null);
INSERT INTO complaint_statuses VALUES('4776','1261','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 00:42:57','2020-09-30 00:43:09',null);
INSERT INTO complaint_statuses VALUES('4777','1107','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 00:59:10','2020-09-30 00:59:22',null);
INSERT INTO complaint_statuses VALUES('4778','1433','2',null,'81',null,'29-SEP-2020
FF TO TAHIR RAMZAN FCI','74','74','2020-09-30 00:59:36','2020-09-30 00:59:36',null);
INSERT INTO complaint_statuses VALUES('4779','1433','4',null,'60',null,null,'81','81','2020-09-30 01:00:17','2020-09-30 01:00:17',null);
INSERT INTO complaint_statuses VALUES('4780','1434','2',null,'81',null,'29-SEP-2020
FF TO SHAMIM AKHTER','74','74','2020-09-30 01:13:43','2020-09-30 01:13:43',null);
INSERT INTO complaint_statuses VALUES('4781','1434','4',null,'55',null,null,'81','81','2020-09-30 01:14:12','2020-09-30 01:14:12',null);
INSERT INTO complaint_statuses VALUES('4782','1389','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 01:19:20','2020-09-30 01:19:50',null);
INSERT INTO complaint_statuses VALUES('4783','1435','3',null,'52',null,'29-SEP-2020
COMPLAINT#PKRI-200929110318','74','74','2020-09-30 01:36:16','2020-09-30 01:36:16',null);
INSERT INTO complaint_statuses VALUES('4784','1436','2',null,'81',null,'29-SEP-2020
COM FF TO AZAR FCI','92','92','2020-09-30 02:09:18','2020-09-30 02:09:18',null);
INSERT INTO complaint_statuses VALUES('4785','1437','2',null,'81',null,'29-SEP-2020
FF TO AZHAR FCI','74','74','2020-09-30 02:15:13','2020-09-30 02:15:13',null);
INSERT INTO complaint_statuses VALUES('4786','1437','4',null,'60',null,null,'81','81','2020-09-30 02:16:10','2020-09-30 02:16:10',null);
INSERT INTO complaint_statuses VALUES('4787','1318','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 02:19:57','2020-09-30 02:20:07',null);
INSERT INTO complaint_statuses VALUES('4788','1436','4',null,'60',null,null,'81','81','2020-09-30 03:05:35','2020-09-30 03:05:35',null);
INSERT INTO complaint_statuses VALUES('4789','1280','7','20','81','Main board faulty total cost Rs.26780. Need approval',null,'77','77','2020-09-30 03:38:46','2020-09-30 03:38:46',null);
INSERT INTO complaint_statuses VALUES('4790','579','7','9','81','Auto wair kharb hy',null,'88','88','2020-09-30 04:34:39','2020-09-30 04:34:39',null);
INSERT INTO complaint_statuses VALUES('4791','600','7','12','81','Barnar kharb tha change Kar diya hy 800 OK f','COMPLAINT RESOLVED','88','92','2020-09-30 04:35:27','2020-09-30 20:22:20',null);
INSERT INTO complaint_statuses VALUES('4792','1358','7','12','81','Jali kharb thi change Kar di hy OK 800 f',null,'88','88','2020-09-30 04:36:40','2020-09-30 04:36:40',null);
INSERT INTO complaint_statuses VALUES('4793','1373','7','12','81','co pliant resolved.no issue in ac',null,'79','79','2020-09-30 19:12:59','2020-09-30 19:12:59',null);
INSERT INTO complaint_statuses VALUES('4794','1438','2',null,'81',null,'30-SEP-2020
FF TO NADEEM AV','74','74','2020-09-30 19:34:53','2020-09-30 19:34:53',null);
INSERT INTO complaint_statuses VALUES('4795','1415','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 19:35:54','2020-09-30 19:36:05',null);
INSERT INTO complaint_statuses VALUES('4796','1438','4',null,'59',null,null,'81','81','2020-09-30 19:36:17','2020-09-30 19:36:17',null);
INSERT INTO complaint_statuses VALUES('4797','1439','3',null,'53',null,'30-SEP-2020
COMPLAINT#1053477','74','74','2020-09-30 19:44:05','2020-09-30 19:44:05',null);
INSERT INTO complaint_statuses VALUES('4798','1373','5','15',null,'B.COOL NA YHA COMPLAINT PA VISIT KAR LIYA HAIN BUT CUSTOMER COILING SA SATISFIED NAI HAIN.
AB YHA COMPLAINT COMPANY FF KARWA DI HAIN COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2020-09-30 19:45:23','2020-09-30 19:46:00',null);
INSERT INTO complaint_statuses VALUES('4799','1440','3',null,'52',null,'30-SEP-2020
COMPLAINT#PKRI-200930102267','74','74','2020-09-30 19:54:37','2020-09-30 20:03:31',null);
INSERT INTO complaint_statuses VALUES('4800','1441','2',null,'81',null,'30-SEP-2020
FF TO SHAMIM AKHTER','74','74','2020-09-30 20:02:11','2020-09-30 20:02:11',null);
INSERT INTO complaint_statuses VALUES('4801','1441','4',null,'55',null,null,'81','81','2020-09-30 20:02:43','2020-09-30 20:02:43',null);
INSERT INTO complaint_statuses VALUES('4802','1442','2',null,'81',null,'30-SEP-2020
FF TO AZHAR FCI','74','74','2020-09-30 20:09:22','2020-09-30 20:09:22',null);
INSERT INTO complaint_statuses VALUES('4803','1442','4',null,'60',null,null,'81','81','2020-09-30 20:10:10','2020-09-30 20:10:10',null);
INSERT INTO complaint_statuses VALUES('4804','1443','2',null,'81',null,'30-SEP-2020
FF TO B.COOL','74','74','2020-09-30 20:19:19','2020-09-30 20:19:19',null);
INSERT INTO complaint_statuses VALUES('4805','1443','4',null,'58',null,null,'81','81','2020-09-30 20:20:15','2020-09-30 20:20:15',null);
INSERT INTO complaint_statuses VALUES('4806','1444','2',null,'81',null,'30-SEP-2020
FF TO B.COOL','74','74','2020-09-30 20:24:59','2020-09-30 20:24:59',null);
INSERT INTO complaint_statuses VALUES('4807','1444','4',null,'58',null,null,'81','81','2020-09-30 20:25:19','2020-09-30 20:25:19',null);
INSERT INTO complaint_statuses VALUES('4808','1429','5',null,null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','92','92','2020-09-30 20:26:00','2020-09-30 20:26:21',null);
INSERT INTO complaint_statuses VALUES('4809','1427','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 20:27:56','2020-09-30 20:28:07',null);
INSERT INTO complaint_statuses VALUES('4810','1426','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 20:29:51','2020-09-30 20:30:02',null);
INSERT INTO complaint_statuses VALUES('4811','1280','8','23','56','NAMEEM SAB NA APPROVAL DA DI HAIN 
SET READY KARAY',null,'81','81','2020-09-30 20:40:59','2020-09-30 20:40:59',null);
INSERT INTO complaint_statuses VALUES('4812','858','8','23','56','CUSTOMER SA KAL BAT HOI HAIN WO SET REPLACEMENT KI BAT KAR RA-HAY HAIN.WO S/C SET LA K AANAY PA AGREE NAI HAIN.
SET REPLACE NAI HO GA AP CUSTOMER SA BAT KARAY R UNHAY SET S/C LA K AANY K LIYA AGREE KARAY THANKS.',null,'81','81','2020-09-30 20:48:28','2020-09-30 20:48:28',null);
INSERT INTO complaint_statuses VALUES('4813','1444','7','12','81','company kerwa dein','COM  NO 202009020248','79','92','2020-09-30 20:55:50','2020-09-30 21:06:06',null);
INSERT INTO complaint_statuses VALUES('4814','1447','2',null,'81',null,'30-SEP-2020
FF TO HOME SOLUTION','74','74','2020-09-30 20:56:48','2020-09-30 20:56:48',null);
INSERT INTO complaint_statuses VALUES('4815','1447','4',null,'62',null,null,'81','81','2020-09-30 20:57:18','2020-09-30 20:57:18',null);
INSERT INTO complaint_statuses VALUES('4816','1444','8','23','58','please contact CSR',null,'81','81','2020-09-30 20:58:16','2020-09-30 20:58:16',null);
INSERT INTO complaint_statuses VALUES('4817','1358','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-09-30 20:59:27','2020-10-01 00:57:02',null);
INSERT INTO complaint_statuses VALUES('4818','600','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-30 20:59:54','2020-09-30 23:57:05',null);
INSERT INTO complaint_statuses VALUES('4819','998','7','9','81','Mobile off',null,'77','77','2020-09-30 21:01:47','2020-09-30 21:01:47',null);
INSERT INTO complaint_statuses VALUES('4820','579','8','23','63','WIRE REPLACE KAR DEN ON PAYMENT','AUTO WAIR AVAIL NAI HAIN .CUSTOMER KO INFORMED KAR DIA HAIN  CLOSED COMPLAINT','81','74','2020-09-30 21:04:09','2020-11-04 00:14:16',null);
INSERT INTO complaint_statuses VALUES('4821','1407','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 21:23:26','2020-09-30 21:23:38',null);
INSERT INTO complaint_statuses VALUES('4822','1448','3',null,'53',null,'30-SEP-2020
COMPLAINT#301053546','74','74','2020-09-30 21:27:29','2020-09-30 21:27:29',null);
INSERT INTO complaint_statuses VALUES('4823','1396','7','12','81','Auto wair khar the 300 OK f',null,'88','88','2020-09-30 21:28:26','2020-09-30 21:28:26',null);
INSERT INTO complaint_statuses VALUES('4824','1407','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-09-30 21:32:21','2020-09-30 21:32:21',null);
INSERT INTO complaint_statuses VALUES('4825','835','7','12','81','Unit ready   RS 6500/- total exp',null,'83','83','2020-09-30 21:33:45','2020-09-30 21:33:45',null);
INSERT INTO complaint_statuses VALUES('4826','1412','7','12','81','MAIN PCB AND MOTOR REPLACED RS  35000/- total exp 
UNIT HAND OVER TO CUSTOMER',null,'83','83','2020-09-30 21:34:26','2020-09-30 21:34:26',null);
INSERT INTO complaint_statuses VALUES('4827','1205','7','12','81','Unit refer to workshop',null,'83','83','2020-09-30 21:35:01','2020-09-30 21:35:01',null);
INSERT INTO complaint_statuses VALUES('4828','1449','2',null,'81',null,'30- SEP -2020
FF TO SHAMIM AKHTER','74','74','2020-09-30 21:35:35','2020-09-30 21:35:35',null);
INSERT INTO complaint_statuses VALUES('4829','1404','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 21:35:53','2020-09-30 21:36:03',null);
INSERT INTO complaint_statuses VALUES('4830','1092','7','24','81','PANEL REPAIR   kiya ha 
kindly showroom sy pata krain unit ok chal raha ha ?',null,'83','83','2020-09-30 21:37:09','2020-09-30 21:37:09',null);
INSERT INTO complaint_statuses VALUES('4831','1449','4',null,'55',null,null,'81','81','2020-09-30 21:37:16','2020-09-30 21:37:16',null);
INSERT INTO complaint_statuses VALUES('4832','1444','7','12','81','csr ko bol tu dya hai',null,'79','79','2020-09-30 21:42:02','2020-09-30 21:42:02',null);
INSERT INTO complaint_statuses VALUES('4833','1384','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 21:48:12','2020-09-30 21:48:22',null);
INSERT INTO complaint_statuses VALUES('4834','1383','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 21:51:32','2020-09-30 21:51:44',null);
INSERT INTO complaint_statuses VALUES('4835','1450','2',null,'81',null,'30-SEP-2020
FF TO HOME SOLUTION','74','74','2020-09-30 21:53:03','2020-09-30 21:53:03',null);
INSERT INTO complaint_statuses VALUES('4836','1450','4',null,'62',null,null,'81','81','2020-09-30 21:53:33','2020-09-30 21:53:33',null);
INSERT INTO complaint_statuses VALUES('4837','1451','2',null,'81',null,'30-SEP-2020
FF TO HOME SOLUTION','74','74','2020-09-30 22:01:22','2020-09-30 22:01:22',null);
INSERT INTO complaint_statuses VALUES('4838','1444','5','15',null,'COMPLAINT FF TO PEL COMPANY','COMPLAINT CLOSED','81','74','2020-09-30 22:02:31','2020-09-30 22:13:07',null);
INSERT INTO complaint_statuses VALUES('4839','1452','3',null,'61',null,'30-SEP-2020
COMPLAINT#202009020248','74','74','2020-09-30 22:08:26','2020-09-30 22:16:40',null);
INSERT INTO complaint_statuses VALUES('4840','1453','2',null,'81',null,'30-SEP-2020
FF TO SHAMIM AKHTER','74','74','2020-09-30 22:11:27','2020-09-30 22:11:27',null);
INSERT INTO complaint_statuses VALUES('4841','1412','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-09-30 22:14:29','2020-09-30 22:14:59',null);
INSERT INTO complaint_statuses VALUES('4842','1453','4',null,'55',null,null,'81','81','2020-09-30 22:15:38','2020-09-30 22:15:38',null);
INSERT INTO complaint_statuses VALUES('4843','1451','4',null,'62',null,null,'81','81','2020-09-30 22:15:56','2020-09-30 22:15:56',null);
INSERT INTO complaint_statuses VALUES('4844','1396','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-09-30 22:17:48','2020-09-30 23:51:31',null);
INSERT INTO complaint_statuses VALUES('4845','1205','8','23','61',null,null,'81','81','2020-09-30 22:18:20','2020-09-30 22:18:20',null);
INSERT INTO complaint_statuses VALUES('4846','835','8','23','61','where is unit customer home ya service center',null,'81','81','2020-09-30 22:19:18','2020-09-30 22:19:18',null);
INSERT INTO complaint_statuses VALUES('4847','1076','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 22:37:18','2020-09-30 22:37:28',null);
INSERT INTO complaint_statuses VALUES('4848','885','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 22:48:49','2020-09-30 22:48:59',null);
INSERT INTO complaint_statuses VALUES('4849','1403','7','12','81','ISSUE RESOLVED . GAS CHARGES + CAPILLARY + COMP REP',null,'87','87','2020-09-30 22:48:58','2020-09-30 22:48:58',null);
INSERT INTO complaint_statuses VALUES('4850','732','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 22:58:46','2020-09-30 22:58:56',null);
INSERT INTO complaint_statuses VALUES('4851','1385','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 23:01:22','2020-09-30 23:01:34',null);
INSERT INTO complaint_statuses VALUES('4852','1418','7','12','81','asad tech ny attend ki ..ye technician humry pa ni hoty .customer ka issue resolved.',null,'79','79','2020-09-30 23:09:22','2020-09-30 23:09:22',null);
INSERT INTO complaint_statuses VALUES('4853','1454','3',null,'66',null,'30-SEP-2020
COMPLAINT#88975 
SHAKEEL SAB KO FF HOI','74','74','2020-09-30 23:09:33','2020-09-30 23:54:21',null);
INSERT INTO complaint_statuses VALUES('4854','1451','7','26','81','FWD TO CONCERN DEP',null,'87','87','2020-09-30 23:09:53','2020-09-30 23:09:53',null);
INSERT INTO complaint_statuses VALUES('4855','1377','7','24','81','dentpara hua  refer to service  center .',null,'79','79','2020-09-30 23:20:37','2020-09-30 23:20:37',null);
INSERT INTO complaint_statuses VALUES('4856','1455','3',null,'53',null,'30-SEP-2020
COMPLAIN#301053621','74','74','2020-09-30 23:21:05','2020-09-30 23:21:05',null);
INSERT INTO complaint_statuses VALUES('4857','1456','3',null,'52',null,'30-SEP-2020
COMPLAINT#PKRI-200930107460','74','74','2020-09-30 23:27:38','2020-09-30 23:27:38',null);
INSERT INTO complaint_statuses VALUES('4858','755','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 23:31:22','2020-09-30 23:31:34',null);
INSERT INTO complaint_statuses VALUES('4859','1397','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-09-30 23:36:15','2020-09-30 23:36:26',null);
INSERT INTO complaint_statuses VALUES('4860','1183','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-09-30 23:39:16','2020-09-30 23:39:16',null);
INSERT INTO complaint_statuses VALUES('4861','1398','7','12','81','ISSUE RESOLVED.MOTER REP',null,'87','87','2020-10-01 00:31:56','2020-10-01 00:31:56',null);
INSERT INTO complaint_statuses VALUES('4862','1457','2',null,'81',null,'30-SEP-2020
FF TO KHALID SAB','74','74','2020-10-01 00:35:05','2020-10-01 00:35:05',null);
INSERT INTO complaint_statuses VALUES('4863','1457','4',null,'56',null,null,'81','81','2020-10-01 00:35:53','2020-10-01 00:35:53',null);
INSERT INTO complaint_statuses VALUES('4864','411','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-01 00:36:42','2020-10-01 00:36:53',null);
INSERT INTO complaint_statuses VALUES('4865','430','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-01 00:40:57','2020-10-01 00:41:06',null);
INSERT INTO complaint_statuses VALUES('4866','361','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-01 00:42:17','2020-10-01 00:42:26',null);
INSERT INTO complaint_statuses VALUES('4867','1451','5','23',null,'PWD KI INVOICE HAIN','COMPLAINT CLOSED','81','74','2020-10-01 00:42:21','2020-10-01 00:44:41',null);
INSERT INTO complaint_statuses VALUES('4868','1458','2',null,'81',null,'30-SEP-2020
FF TO HOME SOLUTION','74','74','2020-10-01 00:43:12','2020-10-01 00:43:12',null);
INSERT INTO complaint_statuses VALUES('4869','1458','4',null,'62',null,null,'81','81','2020-10-01 00:43:34','2020-10-01 00:43:34',null);
INSERT INTO complaint_statuses VALUES('4870','1418','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-10-01 00:45:30','2020-10-01 00:45:52',null);
INSERT INTO complaint_statuses VALUES('4871','1398','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-10-01 00:51:28','2020-10-01 00:52:00',null);
INSERT INTO complaint_statuses VALUES('4872','237','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-01 00:53:29','2020-10-01 00:53:40',null);
INSERT INTO complaint_statuses VALUES('4873','1403','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-01 00:56:39','2020-10-01 02:09:53',null);
INSERT INTO complaint_statuses VALUES('4874','1459','2',null,'81',null,'30-SEP-2020
FF TO  USMAM MRM','74','74','2020-10-01 01:01:25','2020-10-01 01:01:25',null);
INSERT INTO complaint_statuses VALUES('4875','1459','4',null,'61',null,null,'81','81','2020-10-01 01:02:25','2020-10-01 01:02:25',null);
INSERT INTO complaint_statuses VALUES('4876','1377','8','23','58','KHURRAM SAB KO REMINDER DA DIA HAIN KAL S/C LIFT KARWAY GAY',null,'81','81','2020-10-01 01:04:54','2020-10-01 01:04:54',null);
INSERT INTO complaint_statuses VALUES('4877','1460','3',null,'52',null,'30-SEP-2020
COMPLAINT#PKRI200930109814','74','92','2020-10-01 01:13:23','2020-10-01 01:17:19',null);
INSERT INTO complaint_statuses VALUES('4878','1461','2',null,'81',null,'30-SEP-2020 
COM FF TO BEST COOL','92','92','2020-10-01 01:34:49','2020-10-01 01:34:49',null);
INSERT INTO complaint_statuses VALUES('4879','998','8','23','56','CUSTOMER KA NO ON HAIN KINDLAY CONTACT KARAY CUSTOMER KO','CUSTOMER NO STILL P/OFF HAIN','81','74','2020-10-01 01:36:17','2020-11-04 21:31:32',null);
INSERT INTO complaint_statuses VALUES('4880','1461','4',null,'58',null,null,'81','81','2020-10-01 01:36:35','2020-10-01 01:36:35',null);
INSERT INTO complaint_statuses VALUES('4881','1445','3',null,'65',null,'COMPLAINT RESOLVED','74','74','2020-10-01 01:43:19','2020-12-21 21:32:01',null);
INSERT INTO complaint_statuses VALUES('4882','1092','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-01 01:44:14','2020-10-01 01:51:10',null);
INSERT INTO complaint_statuses VALUES('4883','1462','3',null,'55',null,'COM NO   9679','92','92','2020-10-01 01:56:13','2020-10-01 01:56:13',null);
INSERT INTO complaint_statuses VALUES('4884','1443','7','12','81','PANEL MIEN MOISTURE THA .CLEAR KR DY HAI .COMPLAINT RESOLVED',null,'79','79','2020-10-01 02:05:20','2020-10-01 02:05:20',null);
INSERT INTO complaint_statuses VALUES('4885','1463','3',null,'62',null,'30-SEP-2020
FF TO KHURRAM 5 STAR','74','74','2020-10-01 02:05:34','2020-10-01 02:05:34',null);
INSERT INTO complaint_statuses VALUES('4886','1423','7','12','81','COMPLAINT RESOLVED.INLET COIL ISSUE THA .COMPLAINT RESLOVED',null,'79','79','2020-10-01 02:06:49','2020-10-01 02:06:49',null);
INSERT INTO complaint_statuses VALUES('4887','1382','7','12','81','COMPLAINT REOSLVED.',null,'79','79','2020-10-01 02:10:06','2020-10-01 02:10:06',null);
INSERT INTO complaint_statuses VALUES('4888','1432','7','22','81','KAL JANA HAI CUSTOEMR GHR PR NAHI HAI',null,'79','79','2020-10-01 02:12:14','2020-10-01 02:12:14',null);
INSERT INTO complaint_statuses VALUES('4889','1443','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-01 02:13:00','2020-10-01 02:13:28',null);
INSERT INTO complaint_statuses VALUES('4890','1458','7','22','81','FAN MOTER',null,'87','87','2020-10-01 02:14:06','2020-10-01 02:14:06',null);
INSERT INTO complaint_statuses VALUES('4891','1423','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-01 02:15:03','2020-10-01 02:15:32',null);
INSERT INTO complaint_statuses VALUES('4892','1464','2',null,'81',null,'30-SEP-2020 
COM FF TO  KHALID','92','92','2020-10-01 02:20:02','2020-10-01 02:20:02',null);
INSERT INTO complaint_statuses VALUES('4893','1465','2',null,'81',null,'30-SEP-2020
FF TO HOME SOLUTION','74','74','2020-10-01 02:26:15','2020-10-01 02:26:15',null);
INSERT INTO complaint_statuses VALUES('4894','1465','4',null,'62',null,null,'81','81','2020-10-01 02:27:26','2020-10-01 02:27:26',null);
INSERT INTO complaint_statuses VALUES('4895','1464','4',null,'56',null,null,'81','81','2020-10-01 02:29:01','2020-10-01 02:29:01',null);
INSERT INTO complaint_statuses VALUES('4896','1436','7','9','81','nuberoff...tomroww visit',null,'82','82','2020-10-01 02:41:47','2020-10-01 02:41:47',null);
INSERT INTO complaint_statuses VALUES('4897','1467','2',null,'81',null,'30-sep-2020
com ff MAMM SHAMIM AKHTAR','92','92','2020-10-01 02:42:51','2020-10-01 02:42:51',null);
INSERT INTO complaint_statuses VALUES('4898','1467','4',null,'55',null,null,'81','81','2020-10-01 02:43:49','2020-10-01 02:43:49',null);
INSERT INTO complaint_statuses VALUES('4899','1381','7','12','81','Only services.',null,'77','77','2020-10-01 04:12:38','2020-10-01 04:12:38',null);
INSERT INTO complaint_statuses VALUES('4900','1440','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-01 19:29:44','2020-10-01 19:29:56',null);
INSERT INTO complaint_statuses VALUES('4901','1435','5',null,null,'NOT ATTEND CALL','COMPLAINT RESOLVED','92','92','2020-10-01 19:32:45','2020-10-01 22:46:03',null);
INSERT INTO complaint_statuses VALUES('4902','1242','5',null,null,'SERVICE CENTER SAY OK HO KAR GHAR CHALA GAYA HAY','COMPLAINT RESOLVED','92','92','2020-10-01 19:40:22','2020-10-01 19:40:33',null);
INSERT INTO complaint_statuses VALUES('4903','1450','7','12','81','ISSUE RESOLVED.. PIPE REQUIRED THY',null,'87','87','2020-10-01 19:40:28','2020-10-01 19:40:28',null);
INSERT INTO complaint_statuses VALUES('4904','1380','7','12','81','ISSUE RESOLVED ... MOTER REP',null,'87','87','2020-10-01 19:44:02','2020-10-01 19:44:02',null);
INSERT INTO complaint_statuses VALUES('4905','1420','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-01 19:44:28','2020-10-01 19:44:40',null);
INSERT INTO complaint_statuses VALUES('4906','1469','3',null,'66',null,'01-OCT-2020
COMPLAINT#89093','74','74','2020-10-01 19:46:55','2020-10-01 23:20:45',null);
INSERT INTO complaint_statuses VALUES('4907','1456','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-01 19:47:57','2020-10-01 19:48:08',null);
INSERT INTO complaint_statuses VALUES('4908','1414','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-01 19:51:28','2020-10-01 19:51:38',null);
INSERT INTO complaint_statuses VALUES('4909','1470','2',null,'81',null,'01-OCT-2020
FF TO AZHAR RAMZAN FCI','74','74','2020-10-01 19:52:53','2020-10-01 19:52:53',null);
INSERT INTO complaint_statuses VALUES('4910','1399','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-01 19:55:15','2020-10-01 19:55:33',null);
INSERT INTO complaint_statuses VALUES('4911','1471','2',null,'81',null,'01-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-01 19:58:29','2020-10-01 19:58:29',null);
INSERT INTO complaint_statuses VALUES('4912','1471','4',null,'55',null,null,'81','81','2020-10-01 19:59:31','2020-10-01 19:59:31',null);
INSERT INTO complaint_statuses VALUES('4913','1470','4',null,'60',null,null,'81','81','2020-10-01 19:59:42','2020-10-01 19:59:42',null);
INSERT INTO complaint_statuses VALUES('4914','1460','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-01 20:00:27','2020-10-01 20:00:40',null);
INSERT INTO complaint_statuses VALUES('4915','1413','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-01 20:13:20','2020-10-01 20:13:33',null);
INSERT INTO complaint_statuses VALUES('4916','1472','3',null,'57',null,'01-OCT-2020
COMPLAINT# 13602','74','74','2020-10-01 20:18:01','2020-10-01 20:18:01',null);
INSERT INTO complaint_statuses VALUES('4917','1409','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-01 20:18:06','2020-10-01 20:18:17',null);
INSERT INTO complaint_statuses VALUES('4918','1468','3',null,'54',null,'COMPLAINT RESOLVED','74','74','2020-10-01 20:34:56','2020-10-25 01:59:11',null);
INSERT INTO complaint_statuses VALUES('4919','1199','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-01 20:35:37','2020-10-01 20:35:48',null);
INSERT INTO complaint_statuses VALUES('4920','1466','3',null,'53',null,'COMPLAINT RESOLVED','74','74','2020-10-01 20:40:13','2020-12-08 23:26:27',null);
INSERT INTO complaint_statuses VALUES('4921','1446','2',null,'81',null,null,'74','74','2020-10-01 20:43:06','2020-10-01 20:43:06',null);
INSERT INTO complaint_statuses VALUES('4922','1446','4',null,'62',null,null,'81','81','2020-10-01 20:43:26','2020-10-01 20:43:26',null);
INSERT INTO complaint_statuses VALUES('4923','1380','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-01 20:51:25','2020-10-01 22:56:09',null);
INSERT INTO complaint_statuses VALUES('4924','1381','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-01 20:51:56','2020-10-01 22:54:21',null);
INSERT INTO complaint_statuses VALUES('4925','1382','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-01 20:52:12','2020-10-01 23:24:31',null);
INSERT INTO complaint_statuses VALUES('4926','1432','8','23','58','ok',null,'81','81','2020-10-01 20:52:49','2020-10-01 20:52:49',null);
INSERT INTO complaint_statuses VALUES('4927','1436','8','23','60','please complete this job quikly',null,'81','81','2020-10-01 20:53:57','2020-10-01 20:53:57',null);
INSERT INTO complaint_statuses VALUES('4928','1450','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-01 20:54:23','2020-10-01 23:21:56',null);
INSERT INTO complaint_statuses VALUES('4929','1458','8','23','62',null,null,'81','81','2020-10-01 20:54:49','2020-10-01 20:54:49',null);
INSERT INTO complaint_statuses VALUES('4930','1281','5',null,null,'NOT ATTEND CALL','COMPLAINT RESOLVED','92','92','2020-10-01 20:58:25','2020-10-01 23:20:03',null);
INSERT INTO complaint_statuses VALUES('4931','404','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-01 20:59:47','2020-10-01 20:59:47',null);
INSERT INTO complaint_statuses VALUES('4932','1276','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-01 21:00:10','2020-10-01 21:00:21',null);
INSERT INTO complaint_statuses VALUES('4933','1473','3',null,'62',null,'1-OCT-2020
COM FF KHURAM FIVE STAR','92','92','2020-10-01 21:17:47','2020-10-01 21:17:47',null);
INSERT INTO complaint_statuses VALUES('4934','1218','5',null,null,'LEFT TO SERVICE CENTER','IQBAL SAB SA WHATSAPP PA CONFIRM KAR K CLOSED KI','92','74','2020-10-01 21:31:07','2020-10-29 01:27:02',null);
INSERT INTO complaint_statuses VALUES('4935','1210','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-01 21:34:34','2020-10-01 21:34:44',null);
INSERT INTO complaint_statuses VALUES('4936','1474','2',null,'81',null,'1-OCT-2020
COM FF BEST COOL','92','74','2020-10-01 22:03:22','2020-10-01 22:06:09',null);
INSERT INTO complaint_statuses VALUES('4937','1474','4',null,'58',null,null,'81','81','2020-10-01 22:06:34','2020-10-01 22:06:34',null);
INSERT INTO complaint_statuses VALUES('4938','1476','3',null,'65',null,'30-SEP-2020
COMPLAINT#192018430','74','74','2020-10-01 22:29:18','2020-10-01 23:12:05',null);
INSERT INTO complaint_statuses VALUES('4939','1346','7','12','81','complaint resolved .',null,'79','79','2020-10-01 22:39:15','2020-10-01 22:39:15',null);
INSERT INTO complaint_statuses VALUES('4940','1346','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2020-10-01 22:42:31','2020-10-01 22:43:16',null);
INSERT INTO complaint_statuses VALUES('4941','1317','7','12','81','complaint resolved.door ka lever change kr dya hai.',null,'79','79','2020-10-01 22:46:59','2020-10-01 22:46:59',null);
INSERT INTO complaint_statuses VALUES('4942','1089','7','12','81','custoemr bahi nahi ly kr gain .wo bol rehy  jb zarorat hui bata dein gain.',null,'79','79','2020-10-01 22:48:12','2020-10-01 22:48:12',null);
INSERT INTO complaint_statuses VALUES('4943','1477','3',null,'53',null,'01--SEP-2020
COMPLAINT#54312','74','74','2020-10-01 22:50:23','2020-10-01 22:50:23',null);
INSERT INTO complaint_statuses VALUES('4944','1478','2',null,'81',null,'01-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-01 22:59:07','2020-10-01 22:59:07',null);
INSERT INTO complaint_statuses VALUES('4945','1478','4',null,'62',null,null,'81','81','2020-10-01 23:01:00','2020-10-01 23:01:00',null);
INSERT INTO complaint_statuses VALUES('4946','1474','4',null,'58',null,null,'81','81','2020-10-01 23:05:06','2020-10-01 23:05:06',null);
INSERT INTO complaint_statuses VALUES('4947','1479','3',null,'65',null,'01-OCT-2020
COMPLAINT#192018432','74','74','2020-10-01 23:19:02','2020-10-01 23:19:02',null);
INSERT INTO complaint_statuses VALUES('4948','1480','3',null,'52',null,'1-OCT-2020
COM NO PKRI 201001107217','92','92','2020-10-01 23:56:48','2020-10-01 23:56:48',null);
INSERT INTO complaint_statuses VALUES('4949','1447','7','12','81','ISSUE RESOLVED',null,'87','87','2020-10-02 00:01:42','2020-10-02 00:01:42',null);
INSERT INTO complaint_statuses VALUES('4950','1089','5','15',null,'CUSTOMER ABI S/C HOB LA K AANY PA AGREE NAI HAIN COLSED COMPLAINT','COMPLAINT CLOSED','81','74','2020-10-02 00:08:11','2020-10-02 00:09:19',null);
INSERT INTO complaint_statuses VALUES('4951','1436','7','9','81','call atend nhi ki','NOT ATTEND CALL','82','92','2020-10-02 00:15:17','2020-10-02 00:50:30',null);
INSERT INTO complaint_statuses VALUES('4952','1437','7','26','81',null,null,'82','82','2020-10-02 00:17:45','2020-10-02 00:17:45',null);
INSERT INTO complaint_statuses VALUES('4953','1437','5','15',null,'WRONG VANDOR','CLOSED COMPLAINT','81','74','2020-10-02 00:18:38','2020-10-02 00:20:16',null);
INSERT INTO complaint_statuses VALUES('4954','1481','2',null,'81',null,'29-SEP-2020
FF TO HOME SOLUTION','74','74','2020-10-02 00:19:23','2020-10-02 00:19:23',null);
INSERT INTO complaint_statuses VALUES('4955','1481','4',null,'62',null,null,'81','81','2020-10-02 00:19:44','2020-10-02 00:19:44',null);
INSERT INTO complaint_statuses VALUES('4956','1422','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-10-02 00:25:19','2020-10-02 00:25:19',null);
INSERT INTO complaint_statuses VALUES('4957','1447','8','23','62','explain problem',null,'81','81','2020-10-02 00:44:28','2020-10-02 00:44:28',null);
INSERT INTO complaint_statuses VALUES('4958','1317','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-02 00:45:57','2020-10-05 22:35:44',null);
INSERT INTO complaint_statuses VALUES('4959','1436','8','23','60','03008330338 call on this number',null,'81','81','2020-10-02 00:56:23','2020-10-02 00:56:23',null);
INSERT INTO complaint_statuses VALUES('4960','1458','7','12','81','ISSUE RESOLVED . FAN MOTER REP',null,'87','87','2020-10-02 01:01:02','2020-10-02 01:01:02',null);
INSERT INTO complaint_statuses VALUES('4961','840','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-02 01:14:28','2020-10-02 01:14:39',null);
INSERT INTO complaint_statuses VALUES('4962','1436','7','9','81','addres confrm is...bahria enclave sector ,,a',null,'82','82','2020-10-02 01:23:47','2020-10-02 01:23:47',null);
INSERT INTO complaint_statuses VALUES('4963','1482','3',null,'78',null,'01-OCT-2020
FF TO KHURRAM 5 STAR','74','74','2020-10-02 01:25:31','2020-10-02 01:25:31',null);
INSERT INTO complaint_statuses VALUES('4964','1483','2',null,'81',null,'01-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-02 01:31:18','2020-10-02 01:31:18',null);
INSERT INTO complaint_statuses VALUES('4965','1483','4',null,'55',null,null,'81','81','2020-10-02 01:32:29','2020-10-02 01:32:29',null);
INSERT INTO complaint_statuses VALUES('4966','1458','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-02 01:35:38','2020-10-02 02:15:54',null);
INSERT INTO complaint_statuses VALUES('4967','1436','8','23','60',null,null,'81','81','2020-10-02 01:36:54','2020-10-02 01:36:54',null);
INSERT INTO complaint_statuses VALUES('4968','1484','3',null,'54',null,'01-OCT-2020
COMPLAINT#1744467','74','74','2020-10-02 01:44:04','2020-10-02 01:44:04',null);
INSERT INTO complaint_statuses VALUES('4969','1478','7','24','81','DELAY FROM CUSTOMER SIDE... JB CALL KRON TB AYE GA BY CUSTOMER',null,'87','87','2020-10-02 01:48:32','2020-10-02 01:48:32',null);
INSERT INTO complaint_statuses VALUES('4970','1485','3',null,'53',null,'01-OCT-2020
COMPLAINT#1054432','74','74','2020-10-02 01:51:57','2020-10-02 01:51:57',null);
INSERT INTO complaint_statuses VALUES('4971','1486','3',null,'53',null,'1-OCT-2020
COM NO  1054434','92','92','2020-10-02 01:55:46','2020-10-02 01:55:46',null);
INSERT INTO complaint_statuses VALUES('4972','1447','7','12','81','OVERLOAD KI WJA SE DOOR ISSUE KR RHA THA',null,'87','87','2020-10-02 02:14:09','2020-10-02 02:14:09',null);
INSERT INTO complaint_statuses VALUES('4973','1487','2',null,'81',null,'1-OCT-2020
COM FF BEST COOL','92','92','2020-10-02 02:14:10','2020-10-02 02:14:10',null);
INSERT INTO complaint_statuses VALUES('4974','1487','4',null,'58',null,null,'81','81','2020-10-02 02:15:20','2020-10-02 02:15:20',null);
INSERT INTO complaint_statuses VALUES('4975','1488','2',null,'81',null,'01-OCT-2020
FF TO KHALID','74','74','2020-10-02 02:17:08','2020-10-02 02:17:08',null);
INSERT INTO complaint_statuses VALUES('4976','1488','4',null,'56',null,null,'81','81','2020-10-02 02:17:51','2020-10-02 02:17:51',null);
INSERT INTO complaint_statuses VALUES('4977','1489','3',null,'66',null,'01-OCT-2020
complaint#89153','74','74','2020-10-02 02:25:11','2020-10-02 20:16:11',null);
INSERT INTO complaint_statuses VALUES('4978','1481','7','12','81','ISSUE RESOLVED..PCB CARD DRY KIA KHOL K',null,'87','87','2020-10-02 02:25:48','2020-10-02 02:25:48',null);
INSERT INTO complaint_statuses VALUES('4979','1490','3',null,'52',null,'01-OCT-2020
COM NO  PKRI 201001110201','92','92','2020-10-02 02:43:58','2020-10-02 02:43:58',null);
INSERT INTO complaint_statuses VALUES('4980','1481','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-02 02:52:58','2020-10-03 00:59:40',null);
INSERT INTO complaint_statuses VALUES('4981','1478','8','23','62','ok',null,'81','81','2020-10-02 02:54:06','2020-10-02 02:54:06',null);
INSERT INTO complaint_statuses VALUES('4982','1447','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-02 02:54:49','2020-10-03 02:23:43',null);
INSERT INTO complaint_statuses VALUES('4983','1465','7','12','81','ISSUE RESOLVED. BOTTLE SE PANI LEAK HO RHA THA',null,'87','87','2020-10-02 03:59:26','2020-10-02 03:59:26',null);
INSERT INTO complaint_statuses VALUES('4984','1465','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-02 04:59:50','2020-10-03 02:22:21',null);
INSERT INTO complaint_statuses VALUES('4985','1464','7','12','81','Only service and update software unit is now ok','d.o.p:23-dec-2017','77','73','2020-10-02 19:32:12','2020-10-05 00:51:10',null);
INSERT INTO complaint_statuses VALUES('4986','1488','7','11','81','Pls recheck cell number',null,'77','77','2020-10-02 20:16:18','2020-10-02 20:16:18',null);
INSERT INTO complaint_statuses VALUES('4987','1406','7','9','81','Still we not received this unit fom friends',null,'77','77','2020-10-02 20:18:22','2020-10-02 20:18:22',null);
INSERT INTO complaint_statuses VALUES('4988','1300','7','26','81','Customer not bringing unit. We called him again and again.',null,'77','77','2020-10-02 20:19:26','2020-10-02 20:19:26',null);
INSERT INTO complaint_statuses VALUES('4989','1280','7','12','81','Main board replaced unit ok.  Approved by naeem sab',null,'77','77','2020-10-02 20:20:26','2020-10-02 20:20:26',null);
INSERT INTO complaint_statuses VALUES('4990','1174','7','9','81','Cell off',null,'77','77','2020-10-02 20:21:55','2020-10-02 20:21:55',null);
INSERT INTO complaint_statuses VALUES('4991','1491','2',null,'81',null,'02-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-02 20:22:30','2020-10-02 20:22:30',null);
INSERT INTO complaint_statuses VALUES('4992','858','7','20','81','Customer not willing to repaire the unit','COMPLAINT RESOLVED','77','92','2020-10-02 20:22:47','2020-10-12 23:20:36',null);
INSERT INTO complaint_statuses VALUES('4993','1491','4',null,'55',null,null,'81','81','2020-10-02 20:23:22','2020-10-02 20:23:22',null);
INSERT INTO complaint_statuses VALUES('4994','1492','2',null,'81',null,'02-OCT-2020
FF TO AZHAR RAMZAN FCI','74','74','2020-10-02 20:28:39','2020-10-02 20:28:39',null);
INSERT INTO complaint_statuses VALUES('4995','1492','4',null,'60',null,null,'81','81','2020-10-02 20:29:22','2020-10-02 20:29:22',null);
INSERT INTO complaint_statuses VALUES('4996','1493','3',null,'54',null,'02-OCT-2020
COMPLAINT#1744704','74','74','2020-10-02 20:43:28','2020-10-02 20:43:28',null);
INSERT INTO complaint_statuses VALUES('4997','1494','3',null,'53',null,'02-OCT-2020
COMPLAINT#1054660','74','74','2020-10-02 20:52:48','2020-10-02 20:52:48',null);
INSERT INTO complaint_statuses VALUES('4998','1495','3',null,'52',null,'02-OCT-2020
COMPLAINT #PKRI-201002103346','74','74','2020-10-02 20:58:55','2020-10-02 20:58:55',null);
INSERT INTO complaint_statuses VALUES('4999','1496','2',null,'81',null,'02-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-02 21:25:41','2020-10-02 21:25:41',null);
INSERT INTO complaint_statuses VALUES('5000','1497','3',null,'55',null,'02-OCT-2020
COMPLAINT#678713','74','74','2020-10-02 21:36:34','2020-10-02 21:36:34',null);
INSERT INTO complaint_statuses VALUES('5001','1459','7','12','81','Unit ok   
rest done also remote operation guide to customer',null,'83','83','2020-10-02 22:13:16','2020-10-02 22:13:16',null);
INSERT INTO complaint_statuses VALUES('5002','1496','4',null,'62',null,null,'81','81','2020-10-02 22:53:51','2020-10-02 22:53:51',null);
INSERT INTO complaint_statuses VALUES('5003','1360','7','12','81','Demonstration Only',null,'76','76','2020-10-02 23:50:09','2020-10-02 23:50:09',null);
INSERT INTO complaint_statuses VALUES('5004','1498','3',null,'73',null,'02-OCT-2020
COMPLAINT#1749','74','74','2020-10-03 00:48:21','2020-10-03 00:48:21',null);
INSERT INTO complaint_statuses VALUES('5005','1488','8','23','56','THIS IS CORRECT# 03345154444 KINDLY CONTACT',null,'81','81','2020-10-03 00:53:38','2020-10-03 00:53:38',null);
INSERT INTO complaint_statuses VALUES('5006','1464','8','23','56','CUSTOMER ISSUE NOT RESOLVED KINDLY CUSTOMER KO SATISFIED KARAY FIR COMPLAINT CLOSED KIYA KARAY',null,'81','81','2020-10-03 00:55:59','2020-10-03 00:55:59',null);
INSERT INTO complaint_statuses VALUES('5007','1459','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-03 00:57:24','2020-10-03 00:58:08',null);
INSERT INTO complaint_statuses VALUES('5008','1406','8','23','56','KAL BEHIRA SHOWROOM AJ OFF HAIN KAL YHA SET AP K S/C MAIN AAJY GA ASLAM SIR LA K AAY GAY',null,'81','81','2020-10-03 01:10:35','2020-10-03 01:10:35',null);
INSERT INTO complaint_statuses VALUES('5009','1499','3',null,'65',null,'02-OCT-2020
COMPLAINT#192018444','74','74','2020-10-03 01:47:05','2020-10-03 01:47:05',null);
INSERT INTO complaint_statuses VALUES('5010','1419','7','24','81','Panel repair  under testing',null,'83','83','2020-10-03 02:05:34','2020-10-03 02:05:34',null);
INSERT INTO complaint_statuses VALUES('5011','1500','3',null,'55',null,'02-OCT-2020 COMPLAINT#678855','74','74','2020-10-03 02:07:16','2020-10-03 02:07:16',null);
INSERT INTO complaint_statuses VALUES('5012','1360','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-10-03 02:20:42','2020-10-03 02:21:11',null);
INSERT INTO complaint_statuses VALUES('5013','1300','8','23','56','0300 -5358046 IC NO PA CUSTOMER SA CONTACT KARAY R KAL COMPLAINT PA VISIT ARRANGE KARWAY SHUKRIYA',null,'81','81','2020-10-03 02:39:58','2020-10-03 02:39:58',null);
INSERT INTO complaint_statuses VALUES('5014','1280','8','23','56','KAL CUSTOMER S/C SA SET PICK KAR LAY FIR COMPLAINT COM-PLATED KIYA KARAY SIR',null,'81','81','2020-10-03 02:41:12','2020-10-03 02:41:12',null);
INSERT INTO complaint_statuses VALUES('5015','1174','8','23','56','OTHER#0316-1731977 PA CUSTOMER SA CONTACT KAR KA VISIT ARRANGE KARWAY',null,'81','81','2020-10-03 02:44:21','2020-10-03 02:44:21',null);
INSERT INTO complaint_statuses VALUES('5016','1438','7','24','81','customer say bat ho gae hy set S/C ay ga',null,'80','80','2020-10-03 02:55:42','2020-10-03 02:55:42',null);
INSERT INTO complaint_statuses VALUES('5017','1434','7','26','81','Please forward to Concern Department.',null,'76','76','2020-10-03 18:41:48','2020-10-03 18:41:48',null);
INSERT INTO complaint_statuses VALUES('5018','1483','7','12','81','Condenser Service.',null,'76','76','2020-10-03 19:43:30','2020-10-03 19:43:30',null);
INSERT INTO complaint_statuses VALUES('5019','1455','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-03 19:44:30','2020-10-03 19:44:42',null);
INSERT INTO complaint_statuses VALUES('5020','1417','7','12','81','Drain Pipe Adjustment',null,'76','76','2020-10-03 19:46:16','2020-10-03 19:46:16',null);
INSERT INTO complaint_statuses VALUES('5021','1410','7','12','81','Shocks Adjustment only. Visit not Paid',null,'76','76','2020-10-03 19:48:16','2020-10-03 19:48:16',null);
INSERT INTO complaint_statuses VALUES('5022','1441','7','12','81','Drain Service',null,'76','76','2020-10-03 19:49:35','2020-10-03 19:49:35',null);
INSERT INTO complaint_statuses VALUES('5023','1462','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-03 20:06:32','2020-10-03 20:06:43',null);
INSERT INTO complaint_statuses VALUES('5024','1461','7','12','81','INLET COIL ISSUE COMPLIANT RESOLVED',null,'79','79','2020-10-03 20:25:11','2020-10-03 20:25:11',null);
INSERT INTO complaint_statuses VALUES('5025','1430','7','12','81','CUSTOMER CANCELLED THE COMPLAINT .ABHI  CHECK NI KERWANA',null,'79','79','2020-10-03 20:27:12','2020-10-03 20:27:12',null);
INSERT INTO complaint_statuses VALUES('5026','1492','7','22','81','parts requrd',null,'82','82','2020-10-03 20:29:07','2020-10-03 20:29:07',null);
INSERT INTO complaint_statuses VALUES('5027','1503','3',null,'65',null,'3-OCT-2020
COM NO 192018456','92','92','2020-10-03 20:37:28','2020-10-03 20:37:28',null);
INSERT INTO complaint_statuses VALUES('5028','1504','3',null,'73',null,'03-OCT 2020
COM FF MUNAWAR CANNON','92','92','2020-10-03 20:57:32','2020-10-03 20:57:32',null);
INSERT INTO complaint_statuses VALUES('5029','1505','3',null,'65',null,'COM NO 192018461','92','92','2020-10-03 21:08:26','2020-10-03 21:08:26',null);
INSERT INTO complaint_statuses VALUES('5030','1506','3',null,'65',null,'03-OCT-2020
COM NO 192018463','92','92','2020-10-03 21:20:05','2020-10-03 21:20:05',null);
INSERT INTO complaint_statuses VALUES('5031','1492','8','23','60','what part ?',null,'81','81','2020-10-03 21:34:58','2020-10-03 21:34:58',null);
INSERT INTO complaint_statuses VALUES('5032','1483','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-03 21:35:21','2020-10-05 21:56:53',null);
INSERT INTO complaint_statuses VALUES('5033','1461','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-03 21:35:37','2020-10-05 22:15:04',null);
INSERT INTO complaint_statuses VALUES('5034','1441','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-03 21:35:53','2020-10-07 20:14:26',null);
INSERT INTO complaint_statuses VALUES('5035','1438','8','23','59',null,null,'81','81','2020-10-03 21:36:15','2020-10-03 21:36:15',null);
INSERT INTO complaint_statuses VALUES('5036','1430','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-03 21:37:15','2020-10-05 22:20:59',null);
INSERT INTO complaint_statuses VALUES('5037','1419','8','23','61',null,null,'81','81','2020-10-03 21:37:41','2020-10-03 21:37:41',null);
INSERT INTO complaint_statuses VALUES('5038','1417','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-03 21:37:55','2020-10-05 22:26:46',null);
INSERT INTO complaint_statuses VALUES('5039','1410','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-03 21:38:15','2020-10-05 22:29:03',null);
INSERT INTO complaint_statuses VALUES('5040','1507','2',null,'81',null,'NADEEM','73','73','2020-10-03 21:43:57','2020-10-03 21:43:57',null);
INSERT INTO complaint_statuses VALUES('5041','1464','7','20','81','Screen mirroring problem ...we have update software. But still no mirroring. Actully its Main bard faulty. It will be much costly. So we toll to customer unit is ok. All sofware and every thing working with out mirroring.the board cost Is Rs. 35000. Model 65x8500e',null,'77','77','2020-10-03 21:46:24','2020-10-03 21:46:24',null);
INSERT INTO complaint_statuses VALUES('5042','1507','4',null,'59',null,null,'81','81','2020-10-03 21:48:19','2020-10-03 21:48:19',null);
INSERT INTO complaint_statuses VALUES('5043','1508','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-10-03 21:55:25','2020-10-03 22:00:49',null);
INSERT INTO complaint_statuses VALUES('5044','835','7','12','81','After repair unit hand over to customer',null,'83','83','2020-10-03 21:56:40','2020-10-03 21:56:40',null);
INSERT INTO complaint_statuses VALUES('5045','1509','2',null,'81',null,'B.COOL','73','73','2020-10-03 21:56:52','2020-10-03 21:56:52',null);
INSERT INTO complaint_statuses VALUES('5046','1510','2',null,'81',null,'B.COOL','73','73','2020-10-03 21:58:18','2020-10-03 21:58:18',null);
INSERT INTO complaint_statuses VALUES('5047','1511','2',null,'81',null,'B.COOL','73','73','2020-10-03 21:59:25','2020-10-03 21:59:25',null);
INSERT INTO complaint_statuses VALUES('5048','1511','4',null,'58',null,null,'81','81','2020-10-03 21:59:55','2020-10-03 21:59:55',null);
INSERT INTO complaint_statuses VALUES('5049','1510','4',null,'58',null,null,'81','81','2020-10-03 22:00:06','2020-10-03 22:00:06',null);
INSERT INTO complaint_statuses VALUES('5050','1509','4',null,'58',null,null,'81','81','2020-10-03 22:00:17','2020-10-03 22:00:17',null);
INSERT INTO complaint_statuses VALUES('5051','1512','3',null,'55',null,'03-OCT-2020
COM NO  RWP15257','92','92','2020-10-03 22:09:27','2020-10-03 22:09:27',null);
INSERT INTO complaint_statuses VALUES('5052','1513','3',null,'52',null,'03-OCT-2020
COM NO PKRI201003105825','92','92','2020-10-03 22:23:49','2020-10-03 22:23:49',null);
INSERT INTO complaint_statuses VALUES('5053','1514','3',null,'55',null,'03-OCT-2020
COM FF TO RWP-15478','92','92','2020-10-03 22:39:21','2020-10-12 20:27:38',null);
INSERT INTO complaint_statuses VALUES('5054','1280','7','12','81','Unit ok and collected. Main board replaced. Total Cost 26780.',null,'77','77','2020-10-03 22:51:36','2020-10-03 22:51:36',null);
INSERT INTO complaint_statuses VALUES('5055','1517','2',null,'81',null,'03-OCT-2020
COM FF TO HOME SOLUTION','92','92','2020-10-03 22:54:29','2020-10-03 22:54:29',null);
INSERT INTO complaint_statuses VALUES('5056','1457','7','20','81','unit auto Restarting main board faulty. Cost Rs. 18935. Need approval',null,'77','77','2020-10-03 23:02:27','2020-10-03 23:02:27',null);
INSERT INTO complaint_statuses VALUES('5057','1517','4',null,'62',null,null,'81','81','2020-10-03 23:25:10','2020-10-03 23:25:10',null);
INSERT INTO complaint_statuses VALUES('5058','1518','3',null,'53',null,'03-OCT-2020
COM NO 301055100','92','92','2020-10-03 23:42:33','2020-10-03 23:42:33',null);
INSERT INTO complaint_statuses VALUES('5059','1519','3',null,'53',null,'03-OCT-2020
COM NO  1055119','92','92','2020-10-04 00:10:57','2020-10-04 00:10:57',null);
INSERT INTO complaint_statuses VALUES('5060','1520','3',null,'58',null,'03-OCT-2020
COM  NO  RSI201003012656','92','92','2020-10-04 00:16:40','2020-10-04 00:16:40',null);
INSERT INTO complaint_statuses VALUES('5061','1521','3',null,'53',null,'03-OCT-2020
COM NO 1055162','92','92','2020-10-04 00:31:21','2020-10-04 00:31:21',null);
INSERT INTO complaint_statuses VALUES('5062','1522','2',null,'81',null,'03-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-04 00:52:06','2020-10-04 00:52:06',null);
INSERT INTO complaint_statuses VALUES('5063','1280','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-04 00:54:58','2020-10-07 20:21:47',null);
INSERT INTO complaint_statuses VALUES('5064','835','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-04 00:56:32','2020-10-05 22:51:15',null);
INSERT INTO complaint_statuses VALUES('5065','1523','2',null,'81',null,'03-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-04 01:00:34','2020-10-04 01:00:34',null);
INSERT INTO complaint_statuses VALUES('5066','1524','2',null,'81',null,'03-OCT-2020
COM FF TO HOME SOLUTION','92','92','2020-10-04 01:50:37','2020-10-04 01:50:37',null);
INSERT INTO complaint_statuses VALUES('5067','1525','2',null,'81',null,'03-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-04 02:17:58','2020-10-04 02:17:58',null);
INSERT INTO complaint_statuses VALUES('5068','1370','7','12','81','Door Switch Replaced',null,'76','76','2020-10-04 02:22:57','2020-10-04 02:22:57',null);
INSERT INTO complaint_statuses VALUES('5069','1467','7','24','81','Ref In SVC , Compressor Faulty (Compressor Require)',null,'76','76','2020-10-04 02:24:47','2020-10-04 02:24:47',null);
INSERT INTO complaint_statuses VALUES('5070','1344','7','12','81','General Service Only',null,'76','76','2020-10-04 02:25:39','2020-10-04 02:25:39',null);
INSERT INTO complaint_statuses VALUES('5071','1256','7','12','81','PCB Repaired and service .',null,'76','76','2020-10-04 02:26:36','2020-10-04 02:26:36',null);
INSERT INTO complaint_statuses VALUES('5072','1526','2',null,'81',null,'03-OCT-2020
COM FF TO HOME SOLUTION','92','92','2020-10-04 02:26:54','2020-10-04 02:26:54',null);
INSERT INTO complaint_statuses VALUES('5073','981','7','12','81','Demo given to the Customer , Visit Not Paid',null,'76','76','2020-10-04 02:28:04','2020-10-04 02:28:04',null);
INSERT INTO complaint_statuses VALUES('5074','1491','7','12','81','Demonstration Only , Visit Not Paid',null,'76','76','2020-10-04 02:32:35','2020-10-04 02:32:35',null);
INSERT INTO complaint_statuses VALUES('5075','1527','3',null,'55',null,'03-OCT-2020
COM NO 15274','92','92','2020-10-04 02:53:10','2020-10-04 02:53:10',null);
INSERT INTO complaint_statuses VALUES('5076','1528','2',null,'81',null,'03-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-04 02:55:17','2020-10-04 02:55:17',null);
INSERT INTO complaint_statuses VALUES('5077','981','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-04 03:06:25','2020-10-07 20:28:27',null);
INSERT INTO complaint_statuses VALUES('5078','1256','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-04 03:06:58','2020-10-07 20:24:02',null);
INSERT INTO complaint_statuses VALUES('5079','1344','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-04 03:07:22','2020-10-05 22:33:43',null);
INSERT INTO complaint_statuses VALUES('5080','1370','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-04 03:07:49','2020-10-05 22:31:33',null);
INSERT INTO complaint_statuses VALUES('5081','1491','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-04 03:09:07','2020-10-07 20:07:01',null);
INSERT INTO complaint_statuses VALUES('5082','1530','2',null,'81',null,'04-OCT-2020
COM FF TO HOME SOLUTION','92','92','2020-10-04 19:26:47','2020-10-04 19:26:47',null);
INSERT INTO complaint_statuses VALUES('5083','1531','3',null,'52',null,'04 OCT-2020
COM NO PKRI201004101240','92','92','2020-10-04 19:48:17','2020-10-04 19:48:17',null);
INSERT INTO complaint_statuses VALUES('5084','1532','3',null,'52',null,'04-OCT-2020
COM NO PKRI201004103051','92','92','2020-10-04 20:02:31','2020-10-04 21:52:47',null);
INSERT INTO complaint_statuses VALUES('5085','1524','4',null,'62',null,null,'81','81','2020-10-04 20:06:40','2020-10-04 20:06:40',null);
INSERT INTO complaint_statuses VALUES('5086','1526','4',null,'62',null,null,'81','81','2020-10-04 20:06:55','2020-10-04 20:06:55',null);
INSERT INTO complaint_statuses VALUES('5087','1530','4',null,'62',null,null,'81','81','2020-10-04 20:07:08','2020-10-04 20:07:08',null);
INSERT INTO complaint_statuses VALUES('5088','1525','4',null,'61',null,null,'81','81','2020-10-04 20:09:31','2020-10-04 20:09:31',null);
INSERT INTO complaint_statuses VALUES('5089','1528','4',null,'63',null,null,'81','81','2020-10-04 20:11:25','2020-10-04 20:11:25',null);
INSERT INTO complaint_statuses VALUES('5090','1523','4',null,'58',null,null,'81','81','2020-10-04 20:12:16','2020-10-04 20:12:16',null);
INSERT INTO complaint_statuses VALUES('5091','1522','4',null,'63',null,'COMPLAINT RESOLVED','81','92','2020-10-04 20:12:48','2020-10-14 20:31:17',null);
INSERT INTO complaint_statuses VALUES('5092','1533','2',null,'81',null,'04-OCT-2020
COM FF TO SHAMEEM AKHTAR','92','92','2020-10-04 20:14:24','2020-10-04 20:14:24',null);
INSERT INTO complaint_statuses VALUES('5093','1534','2',null,'81',null,'04-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-04 20:31:41','2020-10-04 20:31:41',null);
INSERT INTO complaint_statuses VALUES('5094','1535','2',null,'81',null,'04- OCT-2020
COM FF TO TAHIR RAMZAN','92','92','2020-10-04 20:41:41','2020-10-04 20:41:41',null);
INSERT INTO complaint_statuses VALUES('5095','1536','2',null,'81',null,'04-OCT-2020
COM FF TO TAHIR RAMZAN','92','92','2020-10-04 20:46:54','2020-10-04 20:46:54',null);
INSERT INTO complaint_statuses VALUES('5096','1537','2',null,'81',null,'04-OCT-2020 
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-04 20:59:34','2020-10-04 20:59:34',null);
INSERT INTO complaint_statuses VALUES('5097','1538','2',null,'81',null,'04-OCT-2020
COM FF TO TAHIR RAMZAN','92','92','2020-10-04 21:12:25','2020-10-04 21:12:25',null);
INSERT INTO complaint_statuses VALUES('5098','1540','3',null,'55',null,'04-OCT-2020 
COM NO 679483','92','92','2020-10-04 21:30:30','2020-10-31 21:16:58',null);
INSERT INTO complaint_statuses VALUES('5099','1538','4',null,'60',null,null,'81','81','2020-10-04 21:35:38','2020-10-04 21:35:38',null);
INSERT INTO complaint_statuses VALUES('5100','1536','4',null,'60',null,null,'81','81','2020-10-04 21:38:07','2020-10-04 21:38:07',null);
INSERT INTO complaint_statuses VALUES('5101','1535','4',null,'60',null,null,'81','81','2020-10-04 21:38:21','2020-10-04 21:38:21',null);
INSERT INTO complaint_statuses VALUES('5102','1534','4',null,'58',null,null,'81','81','2020-10-04 21:38:32','2020-10-04 21:38:32',null);
INSERT INTO complaint_statuses VALUES('5103','1533','4',null,'55',null,null,'81','81','2020-10-04 21:38:42','2020-10-04 21:38:42',null);
INSERT INTO complaint_statuses VALUES('5104','1537','4',null,'63',null,null,'81','81','2020-10-04 21:39:31','2020-10-04 21:39:31',null);
INSERT INTO complaint_statuses VALUES('5105','1541','3',null,'65',null,'04-OCT-2020
COM NO 192018477','92','92','2020-10-04 21:47:02','2020-10-05 20:58:37',null);
INSERT INTO complaint_statuses VALUES('5106','1542','2',null,'81',null,'04-OCT-2020
home solution','92','73','2020-10-04 22:27:30','2020-10-04 23:24:40',null);
INSERT INTO complaint_statuses VALUES('5107','1543','2',null,'81',null,'04-OCT-2020
COM FF TO HOME SOLUTION','92','92','2020-10-04 22:42:55','2020-10-04 22:42:55',null);
INSERT INTO complaint_statuses VALUES('5108','1544','2',null,'81',null,'04-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-04 23:11:31','2020-10-04 23:11:31',null);
INSERT INTO complaint_statuses VALUES('5109','1544','4',null,'62',null,null,'81','81','2020-10-04 23:25:29','2020-10-04 23:25:29',null);
INSERT INTO complaint_statuses VALUES('5110','1543','4',null,'62',null,null,'81','81','2020-10-04 23:26:03','2020-10-04 23:26:03',null);
INSERT INTO complaint_statuses VALUES('5111','1542','4',null,'62',null,null,'81','81','2020-10-04 23:26:15','2020-10-04 23:26:15',null);
INSERT INTO complaint_statuses VALUES('5112','1542','7','26','81','Plz frwd to concern branch',null,'87','87','2020-10-04 23:47:54','2020-10-04 23:47:54',null);
INSERT INTO complaint_statuses VALUES('5113','1545','2',null,'81',null,'04-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-04 23:48:13','2020-10-04 23:48:13',null);
INSERT INTO complaint_statuses VALUES('5114','1544','7','26','81','Frwd to concern branch',null,'87','87','2020-10-04 23:49:51','2020-10-04 23:49:51',null);
INSERT INTO complaint_statuses VALUES('5115','1543','7','26','81','Without visit charges ana hai to thk otherwise na aein by customer',null,'87','87','2020-10-05 00:01:26','2020-10-05 00:01:26',null);
INSERT INTO complaint_statuses VALUES('5116','1546','3',null,'52',null,'04-OCT-2020
COM NO PKRI201004104569','92','92','2020-10-05 00:03:51','2020-10-05 00:03:51',null);
INSERT INTO complaint_statuses VALUES('5117','1542','5','13',null,null,'COMPLAINT RESOLVED','81','92','2020-10-05 00:09:37','2020-10-07 19:47:33',null);
INSERT INTO complaint_statuses VALUES('5118','1547','2',null,'81',null,'04-OCT-2020
best cool','73','73','2020-10-05 00:10:10','2020-10-05 00:10:10',null);
INSERT INTO complaint_statuses VALUES('5119','1547','4',null,'58',null,null,'81','81','2020-10-05 00:10:32','2020-10-05 00:10:32',null);
INSERT INTO complaint_statuses VALUES('5120','1548','3',null,'78',null,'04-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-05 00:35:06','2020-10-05 00:35:06',null);
INSERT INTO complaint_statuses VALUES('5121','1549','2',null,'81',null,'04-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-05 00:53:44','2020-10-05 00:53:44',null);
INSERT INTO complaint_statuses VALUES('5122','1549','4',null,'58',null,null,'81','81','2020-10-05 01:30:35','2020-10-05 01:30:35',null);
INSERT INTO complaint_statuses VALUES('5123','1545','3',null,'63',null,'COMPLAINT RESOLVED','81','92','2020-10-05 01:30:55','2020-10-06 19:48:55',null);
INSERT INTO complaint_statuses VALUES('5124','1550','3',null,'53',null,'04-OCT-2020
COM NO 1055364','92','92','2020-10-05 02:03:34','2020-10-05 02:03:34',null);
INSERT INTO complaint_statuses VALUES('5125','1543','8','23','62','VISIT  KARVA DO',null,'81','81','2020-10-05 02:26:22','2020-10-05 02:26:22',null);
INSERT INTO complaint_statuses VALUES('5126','1434','5','25',null,'NADEEM SB KO FORWARD HO GAHE HY','COMPLAINT WRONG VENDOR KO FF HO GEI THI NEW COMPLAINT BANA DI','81','74','2020-10-05 02:28:59','2020-10-24 23:16:01',null);
INSERT INTO complaint_statuses VALUES('5127','1544','5','15',null,'BEST COOL KO FARWORD HO GAHE HY','COMPLAINT RESOLVED','81','74','2020-10-05 02:30:17','2020-10-06 21:22:22',null);
INSERT INTO complaint_statuses VALUES('5128','1551','2',null,'81',null,'04-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-05 02:32:22','2020-10-05 02:32:22',null);
INSERT INTO complaint_statuses VALUES('5129','1551','4',null,'58',null,null,'81','81','2020-10-05 02:46:05','2020-10-05 02:46:05',null);
INSERT INTO complaint_statuses VALUES('5130','1552','3',null,'65',null,'04-OCT-2020
COM NO 192018470','92','92','2020-10-05 02:54:50','2020-10-05 02:54:50',null);
INSERT INTO complaint_statuses VALUES('5131','1530','7','12','81','ISSUE RESOLVED. JUST DEMO DIA',null,'87','87','2020-10-05 04:08:09','2020-10-05 04:08:09',null);
INSERT INTO complaint_statuses VALUES('5132','1526','7','12','81','ISSUE RESOLVED AT HOME.TEMPERATURE KA ISSUE THA',null,'87','87','2020-10-05 04:09:14','2020-10-05 04:09:14',null);
INSERT INTO complaint_statuses VALUES('5133','1524','7','12','81','ISSUE RESOLVED AT HOME ..TRAY NAI NIKAL RHI THI CUSTOMER SE',null,'87','87','2020-10-05 04:10:28','2020-10-05 04:10:28',null);
INSERT INTO complaint_statuses VALUES('5134','1517','7','22','81','MEGNATON',null,'87','87','2020-10-05 04:13:20','2020-10-05 04:13:20',null);
INSERT INTO complaint_statuses VALUES('5135','1421','7','12','81','Drain Pipe Adjustment.',null,'76','76','2020-10-05 19:29:59','2020-10-05 19:29:59',null);
INSERT INTO complaint_statuses VALUES('5136','1436','7','24','81','Frig drain problam hy workshop aye ga drain dalni hy new.custmer hamy btay gy to pic krny jay gy',null,'82','82','2020-10-05 19:40:04','2020-10-05 19:40:04',null);
INSERT INTO complaint_statuses VALUES('5137','1553','3',null,'65',null,'05-OCT-2020
COM NO 192018474','92','92','2020-10-05 19:52:19','2020-10-05 19:52:19',null);
INSERT INTO complaint_statuses VALUES('5138','1554','3',null,'65',null,'05-OCT-2020
COM NO 192018476','92','92','2020-10-05 20:17:26','2020-10-05 20:17:26',null);
INSERT INTO complaint_statuses VALUES('5139','1471','7','12','81','Inlet Valve Service , payment not Paid By Customer (1500 Pending)',null,'76','76','2020-10-05 21:02:55','2020-10-05 21:02:55',null);
INSERT INTO complaint_statuses VALUES('5140','1513','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-05 21:07:59','2020-10-05 21:08:13',null);
INSERT INTO complaint_statuses VALUES('5141','1530','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-05 21:08:21','2020-10-07 19:49:45',null);
INSERT INTO complaint_statuses VALUES('5142','1526','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-05 21:08:51','2020-10-05 22:06:42',null);
INSERT INTO complaint_statuses VALUES('5143','1524','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-05 21:09:13','2020-10-05 22:08:37',null);
INSERT INTO complaint_statuses VALUES('5144','1471','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-10-05 21:09:37','2020-10-08 22:27:21',null);
INSERT INTO complaint_statuses VALUES('5145','1512','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-05 21:09:53','2020-10-05 21:10:04',null);
INSERT INTO complaint_statuses VALUES('5146','1421','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-05 21:09:59','2020-10-05 22:23:07',null);
INSERT INTO complaint_statuses VALUES('5147','1517','8','23','62',null,null,'81','81','2020-10-05 21:11:05','2020-10-05 21:11:05',null);
INSERT INTO complaint_statuses VALUES('5148','1436','8','23','60','please complete this job quikly',null,'81','81','2020-10-05 21:14:05','2020-10-05 21:14:05',null);
INSERT INTO complaint_statuses VALUES('5149','1506','5',null,null,'NOT ATTEND CALL','COMPLAINT RESOLVED','92','92','2020-10-05 21:16:54','2020-10-13 20:23:31',null);
INSERT INTO complaint_statuses VALUES('5150','1505','5',null,null,'AJ VISOT HO GA','COMPLAINT RESOLVED','92','92','2020-10-05 21:19:11','2020-10-10 20:16:29',null);
INSERT INTO complaint_statuses VALUES('5151','1503','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-05 21:22:50','2020-10-05 21:23:08',null);
INSERT INTO complaint_statuses VALUES('5152','1497','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-05 21:31:09','2020-10-05 21:31:20',null);
INSERT INTO complaint_statuses VALUES('5153','1419','7','12','81','Panel repair  RS 5000/- Expense 
Unit hand over to customer',null,'83','83','2020-10-05 21:36:32','2020-10-05 21:36:32',null);
INSERT INTO complaint_statuses VALUES('5154','1464','8','23','56','d.o.p 2017',null,'81','81','2020-10-05 21:38:40','2020-10-05 21:38:40',null);
INSERT INTO complaint_statuses VALUES('5155','1493','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-05 21:40:07','2020-10-05 21:40:18',null);
INSERT INTO complaint_statuses VALUES('5156','1419','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-05 21:44:09','2020-10-07 20:19:10',null);
INSERT INTO complaint_statuses VALUES('5157','1551','7','12','81','element change ho gya hai. aj pick kr lein gain',null,'79','79','2020-10-05 22:03:39','2020-10-05 22:03:39',null);
INSERT INTO complaint_statuses VALUES('5158','1555','2',null,'81',null,'05-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-05 22:11:24','2020-10-05 22:11:24',null);
INSERT INTO complaint_statuses VALUES('5159','1555','4',null,'62',null,null,'81','81','2020-10-05 22:13:55','2020-10-05 22:13:55',null);
INSERT INTO complaint_statuses VALUES('5160','1551','8','23','58','where is geyser service center ya customers home',null,'81','81','2020-10-05 22:31:55','2020-10-05 22:31:55',null);
INSERT INTO complaint_statuses VALUES('5161','1556','2',null,'81',null,'05-OCT-2020
FF TO USMAM MRM','92','74','2020-10-05 22:41:00','2020-10-05 23:44:16',null);
INSERT INTO complaint_statuses VALUES('5162','1557','3',null,'53',null,'05-OCT-2020


COMPLAINT#9055794
NEW COMPLAINT#1057861','74','74','2020-10-05 22:48:25','2020-10-10 21:28:37',null);
INSERT INTO complaint_statuses VALUES('5163','1558','3',null,'57',null,'05-OCT-2020
FF TO TAHSEEN SAB','74','74','2020-10-05 23:04:02','2020-10-05 23:04:02',null);
INSERT INTO complaint_statuses VALUES('5164','1494','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-05 23:05:08','2020-10-05 23:05:20',null);
INSERT INTO complaint_statuses VALUES('5165','1490','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-05 23:09:01','2020-10-05 23:09:14',null);
INSERT INTO complaint_statuses VALUES('5166','1484','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-05 23:18:30','2020-10-05 23:18:43',null);
INSERT INTO complaint_statuses VALUES('5167','1480','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-05 23:21:42','2020-10-05 23:21:54',null);
INSERT INTO complaint_statuses VALUES('5168','1559','3',null,'52',null,'05-OCT-2020
COMPLAINT#PKRI-201005107535','74','74','2020-10-05 23:25:39','2020-10-05 23:33:44',null);
INSERT INTO complaint_statuses VALUES('5169','1477','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-05 23:26:06','2020-10-05 23:26:44',null);
INSERT INTO complaint_statuses VALUES('5170','1476','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-05 23:29:15','2020-10-05 23:29:25',null);
INSERT INTO complaint_statuses VALUES('5171','1473','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-05 23:33:34','2020-10-05 23:33:46',null);
INSERT INTO complaint_statuses VALUES('5172','1472','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-05 23:37:01','2020-10-05 23:37:11',null);
INSERT INTO complaint_statuses VALUES('5173','1560','3',null,'54',null,'05-OCT-2020
COMPLAINT#1746649','74','74','2020-10-05 23:39:26','2020-10-05 23:39:26',null);
INSERT INTO complaint_statuses VALUES('5174','1556','4',null,'61',null,null,'81','81','2020-10-05 23:44:43','2020-10-05 23:44:43',null);
INSERT INTO complaint_statuses VALUES('5175','1463','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-05 23:47:31','2020-10-05 23:47:49',null);
INSERT INTO complaint_statuses VALUES('5176','1561','3',null,'55',null,'05-OCT-2020
COMPLAINT#1240','74','74','2020-10-05 23:52:46','2020-10-05 23:52:46',null);
INSERT INTO complaint_statuses VALUES('5177','1562','2',null,'81',null,'05-OCT-2020
FF TO AZHAR  RAMZAN FCI','74','74','2020-10-06 00:26:34','2020-10-06 00:26:34',null);
INSERT INTO complaint_statuses VALUES('5178','1439','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 00:28:55','2020-10-06 00:29:10',null);
INSERT INTO complaint_statuses VALUES('5179','1539','3',null,'52',null,'COMPLAINT CLOSED','74','74','2020-10-06 00:34:31','2020-11-11 00:06:40',null);
INSERT INTO complaint_statuses VALUES('5180','1502','3',null,'54',null,'PLAT DAMNED WORKING IN PROCESS','74','74','2020-10-06 00:38:16','2020-10-25 01:05:38',null);
INSERT INTO complaint_statuses VALUES('5181','1501','3',null,'55',null,'S/C WORKING IN PROCESS','74','74','2020-10-06 00:39:10','2020-10-08 23:01:08',null);
INSERT INTO complaint_statuses VALUES('5182','1563','3',null,'54',null,'05-OCT-2020
COMPLAINT#1746737','74','74','2020-10-06 00:42:32','2020-10-06 00:42:32',null);
INSERT INTO complaint_statuses VALUES('5183','1564','3',null,'75',null,'05-OCT-2020
FF TO KHURRAM 5 STAR','74','74','2020-10-06 00:47:36','2020-10-06 00:47:36',null);
INSERT INTO complaint_statuses VALUES('5184','1448','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 00:50:03','2020-10-06 00:50:15',null);
INSERT INTO complaint_statuses VALUES('5185','1515','3',null,'63',null,'COMPLAINT RESOLVED','74','74','2020-10-06 00:56:38','2020-10-25 01:06:26',null);
INSERT INTO complaint_statuses VALUES('5186','1411','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 01:02:29','2020-10-06 01:02:40',null);
INSERT INTO complaint_statuses VALUES('5187','1529','3',null,'62',null,null,'74','74','2020-10-06 01:03:47','2020-10-06 01:03:47',null);
INSERT INTO complaint_statuses VALUES('5188','1408','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 01:04:16','2020-10-06 01:04:28',null);
INSERT INTO complaint_statuses VALUES('5189','1516','2',null,'81',null,null,'74','74','2020-10-06 01:04:48','2020-10-06 01:04:48',null);
INSERT INTO complaint_statuses VALUES('5190','1562','4',null,'60',null,null,'81','81','2020-10-06 01:05:09','2020-10-06 01:05:09',null);
INSERT INTO complaint_statuses VALUES('5191','1516','4',null,'60',null,null,'81','81','2020-10-06 01:05:22','2020-10-06 01:05:22',null);
INSERT INTO complaint_statuses VALUES('5192','1405','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 01:06:51','2020-10-06 01:07:03',null);
INSERT INTO complaint_statuses VALUES('5193','1551','7','12','81','sale person ko dy dy ahai aj waha pick kry gain',null,'79','79','2020-10-06 01:10:24','2020-10-06 01:10:24',null);
INSERT INTO complaint_statuses VALUES('5194','1565','3',null,'68',null,'05-OCT-2020
COM FF TO AMINA BOSCH','92','92','2020-10-06 01:29:08','2020-10-06 01:29:08',null);
INSERT INTO complaint_statuses VALUES('5195','1532','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 01:34:02','2020-10-06 01:34:13',null);
INSERT INTO complaint_statuses VALUES('5196','1425','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 01:36:17','2020-10-06 01:36:33',null);
INSERT INTO complaint_statuses VALUES('5197','1499','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 01:40:47','2020-10-06 01:40:59',null);
INSERT INTO complaint_statuses VALUES('5198','1498','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 01:43:06','2020-10-06 01:43:20',null);
INSERT INTO complaint_statuses VALUES('5199','1566','3',null,'54',null,'05-OCT-2020
COMPLAINT#1746807','74','74','2020-10-06 01:47:27','2020-10-06 01:47:27',null);
INSERT INTO complaint_statuses VALUES('5200','1567','2',null,'81',null,'05-OCT-2020
FF TO KHALID SAB','74','74','2020-10-06 02:08:03','2020-10-06 02:08:03',null);
INSERT INTO complaint_statuses VALUES('5201','1369','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 02:14:14','2020-10-06 02:14:32',null);
INSERT INTO complaint_statuses VALUES('5202','1452','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 02:23:05','2020-10-06 02:23:17',null);
INSERT INTO complaint_statuses VALUES('5203','1517','7','12','81','ISSUE RESOLVED AT HOME.MEGNATON CHANGE KI',null,'87','87','2020-10-06 02:26:41','2020-10-06 02:26:41',null);
INSERT INTO complaint_statuses VALUES('5204','1568','2',null,'81',null,'05-OCT-2020
FF TO NADEEM AV','74','74','2020-10-06 02:52:59','2020-10-06 02:52:59',null);
INSERT INTO complaint_statuses VALUES('5205','1552','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 19:37:37','2020-10-06 19:37:47',null);
INSERT INTO complaint_statuses VALUES('5206','1545','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 19:49:06','2020-10-06 19:49:28',null);
INSERT INTO complaint_statuses VALUES('5207','1568','4',null,'59',null,null,'81','81','2020-10-06 19:49:58','2020-10-06 19:49:58',null);
INSERT INTO complaint_statuses VALUES('5208','1567','4',null,'56',null,null,'81','81','2020-10-06 19:50:11','2020-10-06 19:50:11',null);
INSERT INTO complaint_statuses VALUES('5209','1549','7','12','81','complaint resolved service ki hai',null,'79','79','2020-10-06 19:55:25','2020-10-06 19:55:25',null);
INSERT INTO complaint_statuses VALUES('5210','1474','7','12','81','drum ki noise hai .bearing change hongy',null,'79','79','2020-10-06 19:59:37','2020-10-06 19:59:37',null);
INSERT INTO complaint_statuses VALUES('5211','1527','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 19:59:56','2020-10-06 20:00:07',null);
INSERT INTO complaint_statuses VALUES('5212','1547','7','22','81','inlet coil issue .aj laga dein gain',null,'79','79','2020-10-06 20:00:14','2020-10-06 20:00:14',null);
INSERT INTO complaint_statuses VALUES('5213','1487','7','12','81','gzr theek hai.pani ka pressur kam hai.',null,'79','79','2020-10-06 20:05:32','2020-10-06 20:05:32',null);
INSERT INTO complaint_statuses VALUES('5214','1519','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 20:08:44','2020-10-06 20:09:04',null);
INSERT INTO complaint_statuses VALUES('5215','1569','2',null,'81',null,'05-OCT-2020
FF TO B.COOL','74','74','2020-10-06 20:15:06','2020-10-06 20:15:06',null);
INSERT INTO complaint_statuses VALUES('5216','1570','3',null,'55',null,'06-OCT-2020 .
FF TO NAEEM KENWOOD','74','74','2020-10-06 20:25:34','2020-10-14 01:47:50',null);
INSERT INTO complaint_statuses VALUES('5217','1504','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 20:27:45','2020-10-06 20:27:56',null);
INSERT INTO complaint_statuses VALUES('5218','569','7','12','81','customer abahi ni ly kr ye gain .2 ,3 br call kr li koi positive response nahi mil raha .kinldy complaint closed kr  dein',null,'79','79','2020-10-06 20:31:44','2020-10-06 20:31:44',null);
INSERT INTO complaint_statuses VALUES('5219','970','7','12','81','ISSUE RESOLVED .. CUSTOMER NY NEW HOOD INSTALL KRWA LIA',null,'87','87','2020-10-06 20:32:06','2020-10-06 20:32:06',null);
INSERT INTO complaint_statuses VALUES('5220','1103','7','12','81','hood is ready aj pick kry gain',null,'79','79','2020-10-06 20:32:26','2020-10-06 20:32:26',null);
INSERT INTO complaint_statuses VALUES('5221','1478','7','12','81','ISSUE RESOLVED AUTO .. CUSTOMER SE BAT HUI KAH RHY HAIN OK HO GAI.',null,'87','87','2020-10-06 20:39:11','2020-10-06 20:39:11',null);
INSERT INTO complaint_statuses VALUES('5222','1454','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 20:41:52','2020-10-06 20:42:03',null);
INSERT INTO complaint_statuses VALUES('5223','1575','3',null,'53',null,'06-OCT-2020
 COMPLAINT#1056216','74','74','2020-10-06 20:46:25','2020-10-06 20:46:25',null);
INSERT INTO complaint_statuses VALUES('5224','1569','4',null,'58',null,null,'81','81','2020-10-06 20:49:20','2020-10-06 20:49:20',null);
INSERT INTO complaint_statuses VALUES('5233','1416','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-06 21:06:08','2020-10-06 21:06:08',null);
INSERT INTO complaint_statuses VALUES('5234','1551','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-10-06 21:18:58','2020-10-06 21:19:40',null);
INSERT INTO complaint_statuses VALUES('5235','1576','2',null,'81',null,'06-OCT-2020
FF TO MADAM SHAMIM','74','74','2020-10-06 21:33:50','2020-10-06 21:33:50',null);
INSERT INTO complaint_statuses VALUES('5236','1576','4',null,'55',null,null,'81','81','2020-10-06 21:34:10','2020-10-06 21:34:10',null);
INSERT INTO complaint_statuses VALUES('5237','439','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-06 21:36:01','2020-10-06 21:36:01',null);
INSERT INTO complaint_statuses VALUES('5238','1271','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 21:58:34','2020-10-06 21:58:45',null);
INSERT INTO complaint_statuses VALUES('5239','1264','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 22:00:34','2020-10-06 22:00:45',null);
INSERT INTO complaint_statuses VALUES('5240','558','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 22:05:51','2020-10-06 22:06:03',null);
INSERT INTO complaint_statuses VALUES('5241','1577','2',null,'81',null,'06-OCT-2020
FF TO AZHAR RAMZAN','74','74','2020-10-06 22:07:51','2020-10-06 22:07:51',null);
INSERT INTO complaint_statuses VALUES('5242','1577','4',null,'60',null,null,'81','81','2020-10-06 22:08:50','2020-10-06 22:08:50',null);
INSERT INTO complaint_statuses VALUES('5243','1568','7','24','81','SOUND SYSTEM S/C ay ga',null,'80','80','2020-10-06 22:10:16','2020-10-06 22:10:16',null);
INSERT INTO complaint_statuses VALUES('5244','1507','7','10','81','customer call pic ni kr raha',null,'80','80','2020-10-06 22:11:16','2020-10-06 22:11:16',null);
INSERT INTO complaint_statuses VALUES('5245','1578','3',null,'54',null,'06-OCT-2020
COMPLAIN#1747265','74','74','2020-10-06 22:23:10','2020-10-06 22:23:10',null);
INSERT INTO complaint_statuses VALUES('5246','1579','3',null,'62',null,'06-OCT-2020
FF TO KHURRAM 5 STAR','74','74','2020-10-06 22:24:51','2020-10-06 22:24:51',null);
INSERT INTO complaint_statuses VALUES('5247','453','5',null,null,'NOT ATTEND CALL','OUT DOOR S/C SA FLASHING HO K 
UNIT S/C SA OK HO K  WAPISE DILVER HO GAYA HAIN INSTALL CUSTOMER NA KHUD SA KARWNA HAIN




WAPISE CHALA GAYA BUT CUSTOMER ABI B SATISFIED  NAI CONCEALED  PIPPING HOI V INSTALL B CUSTOMER NA KHUD KARAWAY
NUMAN 03335137161.
UNIT OK HO K AAGAY HAIN CUSTOMER K PASS INSTALL NI KIYA ABI CUSTOMER NA','92','74','2020-10-06 22:31:25','2020-11-18 21:26:43',null);
INSERT INTO complaint_statuses VALUES('5248','1580','2',null,'81',null,'06-OCT-2020
FF TO B.COOL','74','74','2020-10-06 22:39:14','2020-10-06 22:39:14',null);
INSERT INTO complaint_statuses VALUES('5249','1580','4',null,'58',null,null,'81','81','2020-10-06 22:39:34','2020-10-06 22:39:34',null);
INSERT INTO complaint_statuses VALUES('5250','1581','2',null,'81',null,'06-OCT-2020
FF TO B.COOL','74','74','2020-10-06 22:42:10','2020-10-06 22:42:10',null);
INSERT INTO complaint_statuses VALUES('5251','1581','4',null,'58',null,null,'81','81','2020-10-06 22:42:33','2020-10-06 22:42:33',null);
INSERT INTO complaint_statuses VALUES('5252','1518','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 22:47:40','2020-10-06 22:48:05',null);
INSERT INTO complaint_statuses VALUES('5253','1582','2',null,'81',null,'06-OCT-2020
FF TO NADEEM AV','74','74','2020-10-06 22:51:34','2020-10-06 22:51:34',null);
INSERT INTO complaint_statuses VALUES('5254','1582','4',null,'59',null,null,'81','81','2020-10-06 22:52:11','2020-10-06 22:52:11',null);
INSERT INTO complaint_statuses VALUES('5255','1485','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-06 22:52:13','2020-10-06 22:52:24',null);
INSERT INTO complaint_statuses VALUES('5256','1583','2',null,'81',null,'06-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-06 22:55:14','2020-10-06 22:58:33',null);
INSERT INTO complaint_statuses VALUES('5257','1584','3',null,'62',null,'06-OCT-2020
FF TO KHURRAM FIVE STAR','74','74','2020-10-06 22:57:17','2020-10-06 22:57:17',null);
INSERT INTO complaint_statuses VALUES('5258','1583','4',null,'62',null,null,'81','81','2020-10-06 22:59:22','2020-10-06 22:59:22',null);
INSERT INTO complaint_statuses VALUES('5259','1581','7','12','81','pcb board repair kia ha .a/ sadiq sb',null,'79','79','2020-10-06 23:09:40','2020-10-06 23:09:40',null);
INSERT INTO complaint_statuses VALUES('5260','1580','7','24','81','te ref usamn sb sumsung waly k pas hai .enrernal condenser leakge hia',null,'79','79','2020-10-06 23:10:27','2020-10-06 23:10:27',null);
INSERT INTO complaint_statuses VALUES('5261','1523','7','12','81','auto wire issue compliant resolved',null,'79','79','2020-10-06 23:11:08','2020-10-06 23:11:08',null);
INSERT INTO complaint_statuses VALUES('5262','1581','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-10-06 23:13:03','2020-10-06 23:13:48',null);
INSERT INTO complaint_statuses VALUES('5263','1585','3',null,'54',null,'06-OCT-2020
COM NO 1747318','92','92','2020-10-06 23:15:35','2020-10-06 23:15:35',null);
INSERT INTO complaint_statuses VALUES('5264','1549','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-06 23:21:23','2020-10-06 23:22:13',null);
INSERT INTO complaint_statuses VALUES('5265','1547','8','23','58','OK.PARTS JAILDE ARRANGE KAR K COMPLAINT CLOSED KARAY',null,'81','81','2020-10-06 23:30:04','2020-10-06 23:30:04',null);
INSERT INTO complaint_statuses VALUES('5266','1586','2',null,'81',null,'06 OCT-2020
COM FF TO KHALID SAB','92','92','2020-10-06 23:31:49','2020-10-06 23:31:49',null);
INSERT INTO complaint_statuses VALUES('5267','1523','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-06 23:32:06','2020-10-07 19:52:35',null);
INSERT INTO complaint_statuses VALUES('5268','1517','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-06 23:32:47','2020-10-13 20:20:36',null);
INSERT INTO complaint_statuses VALUES('5269','1586','4',null,'56',null,null,'81','81','2020-10-06 23:32:53','2020-10-06 23:32:53',null);
INSERT INTO complaint_statuses VALUES('5270','1487','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-06 23:33:07','2020-10-13 20:27:57',null);
INSERT INTO complaint_statuses VALUES('5271','1478','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-06 23:33:35','2020-10-07 20:12:19',null);
INSERT INTO complaint_statuses VALUES('5272','1474','8','23','58','BEARING KAB CHEANGE KARNE HEN',null,'81','81','2020-10-06 23:34:45','2020-10-06 23:34:45',null);
INSERT INTO complaint_statuses VALUES('5273','1103','8','23','58',null,null,'81','81','2020-10-06 23:35:21','2020-10-06 23:35:21',null);
INSERT INTO complaint_statuses VALUES('5274','970','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-10-06 23:35:53','2020-10-24 00:25:30',null);
INSERT INTO complaint_statuses VALUES('5275','569','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-06 23:37:30','2020-10-07 20:40:42',null);
INSERT INTO complaint_statuses VALUES('5276','1580','8','23','58',null,null,'81','81','2020-10-06 23:40:06','2020-10-06 23:40:06',null);
INSERT INTO complaint_statuses VALUES('5277','1568','8','23','59','PLEASE EXPLANE PROBLEM',null,'81','81','2020-10-06 23:40:48','2020-10-06 23:40:48',null);
INSERT INTO complaint_statuses VALUES('5278','1507','8','23','59','PLEASE CONTACTE FRIENDS CALL CENTER STAFF . FOR OTHER NUMBER',null,'81','81','2020-10-06 23:42:27','2020-10-06 23:42:27',null);
INSERT INTO complaint_statuses VALUES('5279','1457','8','23','56','NAEEM SAB NA APPROVAL DA DI HAIN SET READY KARY',null,'81','81','2020-10-06 23:45:19','2020-10-06 23:45:19',null);
INSERT INTO complaint_statuses VALUES('5280','1587','3',null,'54',null,'06-OCT-2020
COM NO 1747351','92','92','2020-10-06 23:49:16','2020-10-06 23:49:16',null);
INSERT INTO complaint_statuses VALUES('5281','1536','7','12','81','Custmer ko gezar chla ky dikha diy hy 500 visit ly lye hy .',null,'82','82','2020-10-07 00:14:59','2020-10-07 00:14:59',null);
INSERT INTO complaint_statuses VALUES('5282','1535','7','24','81','Compresor issue hy .i10servis center bheja hy',null,'82','82','2020-10-07 00:16:01','2020-10-07 00:16:01',null);
INSERT INTO complaint_statuses VALUES('5283','1562','7','24','81','Pcb issue hy .
Compny ko farwerd kar dy',null,'82','82','2020-10-07 00:17:41','2020-10-07 00:17:41',null);
INSERT INTO complaint_statuses VALUES('5284','461','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-07 00:19:29','2020-10-07 00:19:29',null);
INSERT INTO complaint_statuses VALUES('5285','1588','2',null,'81',null,'06-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-07 00:23:12','2020-10-07 00:23:12',null);
INSERT INTO complaint_statuses VALUES('5286','1492','7','24','81','Foot new lagana hy',null,'82','82','2020-10-07 00:23:24','2020-10-07 00:23:24',null);
INSERT INTO complaint_statuses VALUES('5287','1588','4',null,'58',null,null,'81','81','2020-10-07 00:25:46','2020-10-07 00:25:46',null);
INSERT INTO complaint_statuses VALUES('5288','1371','7','24','81','Custmer sy subha ka time decide huwa hy.',null,'82','82','2020-10-07 00:36:30','2020-10-07 00:36:30',null);
INSERT INTO complaint_statuses VALUES('5289','1589','3',null,'65',null,'06-OCT-2020
COM NO 192018506','92','92','2020-10-07 00:40:29','2020-10-07 00:40:29',null);
INSERT INTO complaint_statuses VALUES('5290','1433','7','24','81','Custmer lahor gy huwy hy 2din phly sy 
Wapis aaky mujhy call kar ky bula ly gy',null,'82','82','2020-10-07 00:41:35','2020-10-07 00:41:35',null);
INSERT INTO complaint_statuses VALUES('5291','1590','2',null,'81',null,'06-OCT-2020
FF TO USMAN MRM','74','74','2020-10-07 01:26:04','2020-10-07 01:26:04',null);
INSERT INTO complaint_statuses VALUES('5292','1590','4',null,'61',null,null,'81','81','2020-10-07 01:28:35','2020-10-07 01:28:35',null);
INSERT INTO complaint_statuses VALUES('5293','1569','7','9','81','NO IS POWERED OFF',null,'79','79','2020-10-07 01:29:32','2020-10-07 01:29:32',null);
INSERT INTO complaint_statuses VALUES('5294','1591','3',null,'57',null,'06-OCT-2020 
COM NO 13707','92','92','2020-10-07 01:31:44','2020-10-07 01:31:44',null);
INSERT INTO complaint_statuses VALUES('5295','1592','2',null,'81',null,'06-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-07 01:37:40','2020-10-07 01:37:40',null);
INSERT INTO complaint_statuses VALUES('5296','1592','4',null,'55',null,null,'81','81','2020-10-07 01:38:00','2020-10-07 01:38:00',null);
INSERT INTO complaint_statuses VALUES('5297','1593','3',null,'66',null,'06-OCT-2020
COMPLAINT#89609.
AHMED SIR ATTEND KARAY GAY','74','74','2020-10-07 01:44:57','2020-10-07 01:48:29',null);
INSERT INTO complaint_statuses VALUES('5298','1594','2',null,'81',null,'06-OCT-2020
FF TO USMAN MRM','74','74','2020-10-07 01:56:56','2020-10-07 01:56:56',null);
INSERT INTO complaint_statuses VALUES('5299','1595','3',null,'54',null,'06-OCT-2020
COMPLAINT#1747511','74','74','2020-10-07 02:06:53','2020-10-07 02:06:53',null);
INSERT INTO complaint_statuses VALUES('5300','1596','3',null,'62',null,'06-OCT-2020
FF TO KHURRAM 5 STAR','74','74','2020-10-07 02:19:16','2020-10-07 02:19:16',null);
INSERT INTO complaint_statuses VALUES('5301','1562','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2020-10-07 02:28:09','2020-10-07 19:45:50',null);
INSERT INTO complaint_statuses VALUES('5302','1597','2',null,'81',null,'06-OCT-2020
FF TO USMAM MRM','74','74','2020-10-07 02:29:54','2020-10-07 02:29:54',null);
INSERT INTO complaint_statuses VALUES('5303','1598','3',null,'52',null,'06-OCT-2020
COM NO PKRI201006110725','92','92','2020-10-07 02:29:55','2020-10-07 02:29:55',null);
INSERT INTO complaint_statuses VALUES('5304','1597','4',null,'61',null,null,'81','81','2020-10-07 02:31:33','2020-10-07 02:31:33',null);
INSERT INTO complaint_statuses VALUES('5305','1594','4',null,'61',null,null,'81','81','2020-10-07 02:31:50','2020-10-07 02:31:50',null);
INSERT INTO complaint_statuses VALUES('5306','1599','3',null,'55',null,'06-OCT-2020
FF TO WAQAR KENWOOD','74','74','2020-10-07 02:39:03','2020-10-07 02:39:03',null);
INSERT INTO complaint_statuses VALUES('5307','1600','3',null,'55',null,'06-OCT-2020
FF TO NAEEM KENWOOD','74','74','2020-10-07 02:49:24','2020-10-07 02:49:24',null);
INSERT INTO complaint_statuses VALUES('5308','1467','8','15','55','UNIT IN WARRANTY',null,'81','81','2020-10-07 03:18:20','2020-10-07 03:18:20',null);
INSERT INTO complaint_statuses VALUES('5309','1432','7','24','81','CUSTOEMR NY 6;30 KA TIME DY AKAL BHI TECHNCAIN CALL KERTY AJ BHI MGR CALL PICK NAHI KR RAHY.',null,'79','79','2020-10-07 03:48:10','2020-10-07 03:48:10',null);
INSERT INTO complaint_statuses VALUES('5310','1543','7','26','81','Cancel from customer side..',null,'87','87','2020-10-07 04:03:49','2020-10-07 04:03:49',null);
INSERT INTO complaint_statuses VALUES('5311','1577','7','24','81','Gearbox hrab hy 
Btay gy workshop bhejny ky lyei',null,'82','82','2020-10-07 19:08:18','2020-10-07 19:08:18',null);
INSERT INTO complaint_statuses VALUES('5312','1538','7','12','81','Water inlet hrab tha custmet charj',null,'82','82','2020-10-07 19:09:02','2020-10-07 19:09:02',null);
INSERT INTO complaint_statuses VALUES('5313','1353','7','10','81',null,null,'82','82','2020-10-07 19:10:48','2020-10-07 19:10:48',null);
INSERT INTO complaint_statuses VALUES('5314','1601','3',null,'66',null,'07-OCT-2020
COMPLAINT#89647
SHAKEEL TECHNICIAN  ATTEND KARAY GAY','74','74','2020-10-07 19:56:43','2020-10-07 20:09:26',null);
INSERT INTO complaint_statuses VALUES('5315','1583','7','12','81','ISSUE RESOLVED AT HOME. SERVICE KI HAI',null,'87','87','2020-10-07 19:59:52','2020-10-07 19:59:52',null);
INSERT INTO complaint_statuses VALUES('5316','1602','3',null,'61',null,'07-OCT-2020
COMPLAINT#202010003414','74','74','2020-10-07 20:17:52','2020-10-07 20:17:52',null);
INSERT INTO complaint_statuses VALUES('5317','1603','2',null,'81',null,'07-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-07 20:19:37','2020-10-07 20:19:37',null);
INSERT INTO complaint_statuses VALUES('5318','1604','3',null,'55',null,'07-OCT-2020
FF TO WAQAR  KENWOOD','74','74','2020-10-07 20:22:32','2020-10-07 21:15:24',null);
INSERT INTO complaint_statuses VALUES('5319','1603','4',null,'55',null,null,'81','81','2020-10-07 20:34:49','2020-10-07 20:34:49',null);
INSERT INTO complaint_statuses VALUES('5320','1605','3',null,'73',null,'07-OCT-2020
COMPLAINT#1813','74','74','2020-10-07 20:44:39','2020-10-07 20:54:33',null);
INSERT INTO complaint_statuses VALUES('5321','1606','3',null,'73',null,'07-OCT-2020
COMPLAINT#','74','74','2020-10-07 20:44:39','2020-10-07 20:44:39',null);
INSERT INTO complaint_statuses VALUES('5322','1607','3',null,'73',null,'07-OCT-2020
COMPLAINT#','74','74','2020-10-07 20:44:40','2020-10-07 20:44:40',null);
INSERT INTO complaint_statuses VALUES('5323','1608','3',null,'73',null,'07-OCT-2020
COMPLAINT#','74','74','2020-10-07 20:44:40','2020-10-07 20:44:40',null);
INSERT INTO complaint_statuses VALUES('5324','1609','3',null,'73',null,'07-OCT-2020
COMPLAINT#','74','74','2020-10-07 20:44:40','2020-10-07 20:44:40',null);
INSERT INTO complaint_statuses VALUES('5325','1610','3',null,'73',null,'07-OCT-2020
COMPLAINT#','74','74','2020-10-07 20:44:40','2020-10-07 20:44:40',null);
INSERT INTO complaint_statuses VALUES('5326','1392','7','12','81','Main pcb replaced  unit ok  
unit at customer home',null,'83','83','2020-10-07 20:48:48','2020-10-07 20:48:48',null);
INSERT INTO complaint_statuses VALUES('5327','1611','3',null,'73',null,'07-OCT-2020
COMPLAINT#1814','74','74','2020-10-07 20:49:01','2020-10-07 20:53:52',null);
INSERT INTO complaint_statuses VALUES('5328','1525','7','26','81','Customer cancel the complaint',null,'83','83','2020-10-07 20:50:32','2020-10-07 20:50:32',null);
INSERT INTO complaint_statuses VALUES('5329','1612','3',null,'73',null,'07-OCT-2020
COMPLAINT#1815','74','74','2020-10-07 20:53:03','2020-10-07 20:53:03',null);
INSERT INTO complaint_statuses VALUES('5330','1610','5',null,null,'CLOSED',null,'74','74','2020-10-07 20:55:39','2020-10-07 20:55:39',null);
INSERT INTO complaint_statuses VALUES('5331','1609','5',null,null,'CLOSED',null,'74','74','2020-10-07 20:56:49','2020-10-07 20:56:49',null);
INSERT INTO complaint_statuses VALUES('5332','1608','5',null,null,'CLOSED',null,'74','74','2020-10-07 20:58:12','2020-10-07 20:58:12',null);
INSERT INTO complaint_statuses VALUES('5333','1607','5',null,null,'CLOSED',null,'74','74','2020-10-07 20:59:15','2020-10-07 20:59:15',null);
INSERT INTO complaint_statuses VALUES('5334','1606','5',null,null,'CLOSED',null,'74','74','2020-10-07 21:01:04','2020-10-07 21:01:04',null);
INSERT INTO complaint_statuses VALUES('5335','818','7','26','81','Customer ny unit move nahi kiya abhi tak  plz call to csutomer',null,'83','83','2020-10-07 21:09:36','2020-10-07 21:09:36',null);
INSERT INTO complaint_statuses VALUES('5336','1613','2',null,'81',null,'07-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-07 21:12:24','2020-10-07 21:12:24',null);
INSERT INTO complaint_statuses VALUES('5337','1614','2',null,'81',null,'07-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-07 21:12:25','2020-10-07 21:12:25',null);
INSERT INTO complaint_statuses VALUES('5338','1613','4',null,'62',null,null,'81','81','2020-10-07 21:13:21','2020-10-07 21:13:21',null);
INSERT INTO complaint_statuses VALUES('5339','1614','4',null,'62',null,null,'81','81','2020-10-07 21:13:32','2020-10-07 21:13:32',null);
INSERT INTO complaint_statuses VALUES('5340','1615','2',null,'81',null,'07-OCT-2020
FF TO B.COOL','74','74','2020-10-07 21:21:36','2020-10-07 21:21:36',null);
INSERT INTO complaint_statuses VALUES('5341','1616','3',null,'54',null,'07-OCT-2020
COM NO 1747934','92','92','2020-10-07 21:32:36','2020-10-07 21:32:36',null);
INSERT INTO complaint_statuses VALUES('5342','777','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-07 21:38:28','2020-10-07 21:38:43',null);
INSERT INTO complaint_statuses VALUES('5343','1617','2',null,'81',null,'07-OCT-2020
FF TO USMAN MRM','74','74','2020-10-07 21:41:25','2020-10-07 21:41:25',null);
INSERT INTO complaint_statuses VALUES('5344','1582','7','24','81','customer say bat ho gae hy aj visit ho jae ga',null,'80','80','2020-10-07 21:48:04','2020-10-07 21:48:04',null);
INSERT INTO complaint_statuses VALUES('5345','1618','3',null,'52',null,'07-OCT-2020
COMPLAINT#PKRI-201007104841','74','74','2020-10-07 21:48:35','2020-10-07 21:48:35',null);
INSERT INTO complaint_statuses VALUES('5346','1559','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','92','92','2020-10-07 21:49:50','2020-10-07 21:50:01',null);
INSERT INTO complaint_statuses VALUES('5347','1568','7','24','81','set service center ay ga',null,'80','80','2020-10-07 21:50:33','2020-10-07 21:50:33',null);
INSERT INTO complaint_statuses VALUES('5348','1619','2',null,'81',null,'07-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-07 21:57:17','2020-10-07 21:57:17',null);
INSERT INTO complaint_statuses VALUES('5349','1613','7','26','81','DOUBLE ENTRY',null,'87','87','2020-10-07 22:08:36','2020-10-07 22:08:36',null);
INSERT INTO complaint_statuses VALUES('5350','1620','2',null,'81',null,'07-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-07 22:08:43','2020-10-07 22:08:43',null);
INSERT INTO complaint_statuses VALUES('5351','1620','4',null,'62',null,null,'81','81','2020-10-07 22:09:34','2020-10-07 22:09:34',null);
INSERT INTO complaint_statuses VALUES('5352','1619','4',null,'62',null,null,'81','81','2020-10-07 22:09:45','2020-10-07 22:09:45',null);
INSERT INTO complaint_statuses VALUES('5353','1617','4',null,'61',null,null,'81','81','2020-10-07 22:10:06','2020-10-07 22:10:06',null);
INSERT INTO complaint_statuses VALUES('5354','1615','4',null,'58',null,null,'81','81','2020-10-07 22:10:19','2020-10-07 22:10:19',null);
INSERT INTO complaint_statuses VALUES('5355','1153','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-07 22:10:37','2020-10-07 22:10:50',null);
INSERT INTO complaint_statuses VALUES('5356','1509','7','12','81','kabza set change kr dya hai.',null,'79','79','2020-10-07 22:14:02','2020-10-07 22:14:02',null);
INSERT INTO complaint_statuses VALUES('5357','1583','5','15',null,null,'COMPLAINT   RESOLVED','81','92','2020-10-07 22:14:12','2020-10-08 00:24:38',null);
INSERT INTO complaint_statuses VALUES('5358','1543','5','15',null,null,'CASTOMAR KA ISSUE KHUD RESOLVED HO GAYA THA COMPLAINT RESOLVED','81','92','2020-10-07 22:16:40','2020-10-08 00:18:11',null);
INSERT INTO complaint_statuses VALUES('5359','1538','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-07 22:17:19','2020-10-07 23:25:11',null);
INSERT INTO complaint_statuses VALUES('5360','1536','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-07 22:17:49','2020-10-08 00:20:31',null);
INSERT INTO complaint_statuses VALUES('5361','1509','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-07 22:18:14','2020-10-08 22:18:53',null);
INSERT INTO complaint_statuses VALUES('5362','1621','3',null,'53',null,'07-OCT-2020
COMPLAINT#056782','74','74','2020-10-07 22:18:48','2020-10-07 22:18:48',null);
INSERT INTO complaint_statuses VALUES('5363','1392','8','23','61','PCB PRICE',null,'81','81','2020-10-07 22:19:05','2020-10-07 22:19:05',null);
INSERT INTO complaint_statuses VALUES('5364','818','8','13','61','PLEASE CONTACT CSR 03358851908','CUSTOMER KO USMAN SAB KA NO PROVIDE KAR DIA HAIN CONTACT KAR LAY GAY CUSTOMER','81','74','2020-10-07 22:20:27','2020-10-08 01:39:26',null);
INSERT INTO complaint_statuses VALUES('5365','1353','8','23','60','PLEASE CONTACT CSR 03358851908',null,'81','81','2020-10-07 22:21:49','2020-10-07 22:21:49',null);
INSERT INTO complaint_statuses VALUES('5366','1371','8','23','60',null,'CUSTOMAR KO INFOAM KAR DEYA HAY VISOT TO DAY','81','92','2020-10-07 22:22:22','2020-10-08 23:14:30',null);
INSERT INTO complaint_statuses VALUES('5367','1537','7','12','81','Camplain ok',null,'88','88','2020-10-07 22:22:59','2020-10-07 22:22:59',null);
INSERT INTO complaint_statuses VALUES('5368','1432','8','23','58','PLEASE CONTACT CSR 03358851908',null,'81','81','2020-10-07 22:23:19','2020-10-07 22:23:19',null);
INSERT INTO complaint_statuses VALUES('5369','1433','8','23','60',null,null,'81','81','2020-10-07 22:23:50','2020-10-07 22:23:50',null);
INSERT INTO complaint_statuses VALUES('5370','1492','8','23','60','LGA DO',null,'81','81','2020-10-07 22:24:16','2020-10-07 22:24:16',null);
INSERT INTO complaint_statuses VALUES('5371','1528','7','22','81','Tank like hy',null,'88','88','2020-10-07 22:25:11','2020-10-07 22:25:11',null);
INSERT INTO complaint_statuses VALUES('5372','1535','8','23','60','FOR FOLLOW UP    03005511255 ADIL',null,'81','81','2020-10-07 22:26:48','2020-10-07 22:26:48',null);
INSERT INTO complaint_statuses VALUES('5373','1528','8','23','63','ON PAYMENT JOB',null,'81','81','2020-10-07 22:27:27','2020-10-07 22:27:27',null);
INSERT INTO complaint_statuses VALUES('5374','1537','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-07 22:27:58','2020-10-07 23:26:35',null);
INSERT INTO complaint_statuses VALUES('5375','1568','8','23','59',null,null,'81','81','2020-10-07 22:29:41','2020-10-07 22:29:41',null);
INSERT INTO complaint_statuses VALUES('5376','1359','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-07 22:29:42','2020-10-07 22:29:52',null);
INSERT INTO complaint_statuses VALUES('5377','1569','8','23','58','please contact CSR  03358851908',null,'81','81','2020-10-07 22:30:48','2020-10-07 22:30:48',null);
INSERT INTO complaint_statuses VALUES('5378','1577','8','23','60','MARKET SY LEY KAR LAGA DO',null,'81','81','2020-10-07 22:31:25','2020-10-07 22:31:25',null);
INSERT INTO complaint_statuses VALUES('5379','1582','8','23','59','COMPLETE THIS JOB QUIKLY',null,'81','81','2020-10-07 22:32:08','2020-10-07 22:32:08',null);
INSERT INTO complaint_statuses VALUES('5380','1354','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-07 22:32:17','2020-10-07 22:32:27',null);
INSERT INTO complaint_statuses VALUES('5381','1613','5','27',null,null,'CLOSED COMPLAINT','81','74','2020-10-07 22:32:21','2020-10-07 22:51:09',null);
INSERT INTO complaint_statuses VALUES('5382','1586','7','24','81','panel faulty....need to replace screen...sony warranty. In process.
Waiting for parts',null,'77','77','2020-10-07 22:38:57','2020-10-07 22:38:57',null);
INSERT INTO complaint_statuses VALUES('5383','1622','2',null,'81',null,'07-OCT-2020
FF TO AZHAR RAMZAN','74','74','2020-10-07 22:40:24','2020-10-07 22:40:24',null);
INSERT INTO complaint_statuses VALUES('5384','1322','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-07 22:41:43','2020-10-07 22:42:34',null);
INSERT INTO complaint_statuses VALUES('5385','1525','5','15',null,'CUSTOMER KA ISSUE KHUD SA HI RESOLVED H GAY SO COMPLAINT CANCELLED','COMPLAINT CLOSED','81','74','2020-10-07 22:49:02','2020-10-07 22:50:17',null);
INSERT INTO complaint_statuses VALUES('5386','1622','4',null,'60',null,null,'81','81','2020-10-07 22:49:45','2020-10-07 22:49:45',null);
INSERT INTO complaint_statuses VALUES('5387','1586','8','23','56',null,null,'81','81','2020-10-07 22:51:22','2020-10-07 22:51:22',null);
INSERT INTO complaint_statuses VALUES('5388','1449','7','12','81','Inlet Filter Service.',null,'76','76','2020-10-07 22:55:08','2020-10-07 22:55:08',null);
INSERT INTO complaint_statuses VALUES('5389','1027','7','12','81','Dispenser Issue Resolved , But Body Repairing work not Possible.',null,'76','76','2020-10-07 22:56:18','2020-10-07 22:56:18',null);
INSERT INTO complaint_statuses VALUES('5390','1424','7','11','81','Please Provide Any Contact No.',null,'76','76','2020-10-07 22:57:29','2020-10-07 22:57:29',null);
INSERT INTO complaint_statuses VALUES('5391','979','7','12','81','Test Tuning at Customer s Home , Main PCB Replaced',null,'76','76','2020-10-07 22:59:27','2020-10-07 22:59:27',null);
INSERT INTO complaint_statuses VALUES('5392','1126','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-07 22:59:48','2020-10-07 22:59:59',null);
INSERT INTO complaint_statuses VALUES('5393','1623','2',null,'81',null,'07-OCT-2020
FF TO B.COOL','74','74','2020-10-07 22:59:51','2020-10-07 22:59:51',null);
INSERT INTO complaint_statuses VALUES('5394','1623','4',null,'58',null,null,'81','81','2020-10-07 23:00:53','2020-10-07 23:00:53',null);
INSERT INTO complaint_statuses VALUES('5395','590','7','26','81','Customer has taken replacement.',null,'76','76','2020-10-07 23:02:09','2020-10-07 23:02:09',null);
INSERT INTO complaint_statuses VALUES('5396','1084','7','26','81','Customer has taken replacement.',null,'76','76','2020-10-07 23:03:14','2020-10-07 23:03:14',null);
INSERT INTO complaint_statuses VALUES('5397','1449','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2020-10-07 23:04:23','2020-10-08 00:32:11',null);
INSERT INTO complaint_statuses VALUES('5398','590','8','15','55',null,null,'81','81','2020-10-07 23:07:27','2020-10-07 23:07:27',null);
INSERT INTO complaint_statuses VALUES('5399','990','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-07 23:08:05','2020-10-07 23:08:18',null);
INSERT INTO complaint_statuses VALUES('5400','979','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-07 23:08:07','2020-10-08 02:31:48',null);
INSERT INTO complaint_statuses VALUES('5401','1027','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-10-07 23:08:52','2020-10-24 01:19:41',null);
INSERT INTO complaint_statuses VALUES('5402','1084','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-07 23:09:20','2020-10-08 00:43:58',null);
INSERT INTO complaint_statuses VALUES('5403','590','7','12','81',null,null,'76','76','2020-10-07 23:11:43','2020-10-07 23:11:43',null);
INSERT INTO complaint_statuses VALUES('5404','590','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-07 23:12:52','2020-10-08 02:11:01',null);
INSERT INTO complaint_statuses VALUES('5405','1424','8','23','55','NAME IQBAL.
CELL#03465166132.
BULE AREA BRANCH STOCK COMPLAINT',null,'81','81','2020-10-07 23:13:45','2020-10-07 23:13:45',null);
INSERT INTO complaint_statuses VALUES('5406','489','7','12','81','Main PCB Replaced',null,'76','76','2020-10-07 23:17:33','2020-10-07 23:17:33',null);
INSERT INTO complaint_statuses VALUES('5407','640','7','12','81','Main PCB Repaired by Customer Own.',null,'76','76','2020-10-07 23:19:33','2020-10-07 23:19:33',null);
INSERT INTO complaint_statuses VALUES('5408','1624','3',null,'54',null,'07-OCT-2020
COMPLAINT#1748094','74','74','2020-10-07 23:28:39','2020-10-07 23:28:39',null);
INSERT INTO complaint_statuses VALUES('5409','1563','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-07 23:33:26','2020-10-07 23:33:37',null);
INSERT INTO complaint_statuses VALUES('5410','1560','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-07 23:41:48','2020-10-07 23:41:48',null);
INSERT INTO complaint_statuses VALUES('5411','1377','7','12','81','complaint resolved  dent nikal dya hai.sadeer mein kuram ko bata dyahai',null,'79','79','2020-10-07 23:45:33','2020-10-07 23:45:33',null);
INSERT INTO complaint_statuses VALUES('5412','1521','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED.
AGAIN ISSUE AGAY HAIN ORIENT GROUP MAIN COMPLAINT FF KAR DI','92','74','2020-10-08 00:12:45','2020-10-11 01:36:30',null);
INSERT INTO complaint_statuses VALUES('5413','1446','7','12','81','Issue resolved',null,'87','87','2020-10-08 00:18:16','2020-10-08 00:18:16',null);
INSERT INTO complaint_statuses VALUES('5414','1625','3',null,'79',null,'07-OCT-2020
FF TO TAHSEEN SAB','74','92','2020-10-08 00:48:15','2020-11-17 22:24:36',null);
INSERT INTO complaint_statuses VALUES('5415','1626','2',null,'81',null,'07-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-08 00:58:48','2020-10-08 00:58:48',null);
INSERT INTO complaint_statuses VALUES('5416','1626','4',null,'62',null,null,'81','81','2020-10-08 01:02:01','2020-10-08 01:02:01',null);
INSERT INTO complaint_statuses VALUES('5417','1556','7','12','81','PANEL DAMAGE CUSTOMER NOT INTRESTED FOR REPAIR 
UNIT AT CUSTOMER HOME',null,'83','83','2020-10-08 01:05:26','2020-10-08 01:05:26',null);
INSERT INTO complaint_statuses VALUES('5418','1627','3',null,'80',null,'07-OCT-2020
COM FF TO BOSCH AMINA','92','92','2020-10-08 01:18:48','2020-10-08 01:18:48',null);
INSERT INTO complaint_statuses VALUES('5419','1392','7','12','81','PART RS 22000/-
SERVIEC RS  3000/-',null,'83','83','2020-10-08 01:19:03','2020-10-08 01:19:03',null);
INSERT INTO complaint_statuses VALUES('5420','1534','7','22','81','element ka issue hai .khuram sb ko bta dy ahai',null,'79','79','2020-10-08 01:31:14','2020-10-08 01:31:14',null);
INSERT INTO complaint_statuses VALUES('5421','1556','8','23','61','CUTOMER VISIT SA STISFAIDE NAI HAIN PANAL DAMAGE HAIN TU PIC SHER KARAY',null,'81','81','2020-10-08 01:37:48','2020-10-08 01:37:48',null);
INSERT INTO complaint_statuses VALUES('5422','1361','7','12','81','Indoor Blower Motor Repaired',null,'76','76','2020-10-08 01:45:35','2020-10-08 01:45:35',null);
INSERT INTO complaint_statuses VALUES('5423','1556','7','12','81','Picture share on WhatsApp # plz check',null,'83','83','2020-10-08 01:50:38','2020-10-08 01:50:38',null);
INSERT INTO complaint_statuses VALUES('5424','1464','7','12','81','customer refused. As it was paid job',null,'77','77','2020-10-08 02:07:48','2020-10-08 02:07:48',null);
INSERT INTO complaint_statuses VALUES('5425','1457','7','20','81','Part Ordered',null,'77','77','2020-10-08 02:08:36','2020-10-08 02:08:36',null);
INSERT INTO complaint_statuses VALUES('5426','1300','7','12','81','Customer refused paid job. So complete the job pls',null,'77','77','2020-10-08 02:09:30','2020-10-08 02:09:30',null);
INSERT INTO complaint_statuses VALUES('5427','1174','7','22','81','Pending from customer',null,'77','77','2020-10-08 02:12:55','2020-10-08 02:12:55',null);
INSERT INTO complaint_statuses VALUES('5428','1628','2',null,'81',null,'07-OCT-2020
FF TO B.COOL','74','74','2020-10-08 02:21:18','2020-10-08 02:21:18',null);
INSERT INTO complaint_statuses VALUES('5429','1629','2',null,'81',null,'07-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-08 02:26:56','2020-10-08 02:26:56',null);
INSERT INTO complaint_statuses VALUES('5430','1629','4',null,'55',null,null,'81','81','2020-10-08 02:28:05','2020-10-08 02:28:05',null);
INSERT INTO complaint_statuses VALUES('5431','1628','4',null,'58',null,null,'81','81','2020-10-08 02:28:19','2020-10-08 02:28:19',null);
INSERT INTO complaint_statuses VALUES('5432','1567','7','12','81','Only services unit ok',null,'77','77','2020-10-08 02:30:01','2020-10-08 02:30:01',null);
INSERT INTO complaint_statuses VALUES('5433','1488','7','12','81','Only services unit ok',null,'77','77','2020-10-08 02:30:23','2020-10-08 02:30:23',null);
INSERT INTO complaint_statuses VALUES('5434','1603','7','22','81','Display PCB Faulty',null,'76','76','2020-10-08 02:45:38','2020-10-08 02:45:38',null);
INSERT INTO complaint_statuses VALUES('5435','1620','7','22','81','PCB CARD',null,'87','87','2020-10-08 04:14:39','2020-10-08 04:14:39',null);
INSERT INTO complaint_statuses VALUES('5436','1614','7','12','81','ISSUE RESOLVED ...DRAIN PIPE KA ISSUE THA',null,'87','87','2020-10-08 04:19:05','2020-10-08 04:19:05',null);
INSERT INTO complaint_statuses VALUES('5437','1623','7','12','81','customer cancelled the complaint .gzr theek ho gy atha',null,'79','79','2020-10-08 05:03:44','2020-10-08 05:03:44',null);
INSERT INTO complaint_statuses VALUES('5438','1564','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-08 19:35:29','2020-10-08 19:35:41',null);
INSERT INTO complaint_statuses VALUES('5439','1565','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-08 19:40:58','2020-10-08 19:41:11',null);
INSERT INTO complaint_statuses VALUES('5440','1561','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-08 19:43:42','2020-10-08 19:43:53',null);
INSERT INTO complaint_statuses VALUES('5441','1558','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-08 19:46:42','2020-10-08 19:46:54',null);
INSERT INTO complaint_statuses VALUES('5442','1554','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-08 19:49:23','2020-10-08 19:49:40',null);
INSERT INTO complaint_statuses VALUES('5443','1591','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-08 20:12:14','2020-10-08 20:12:26',null);
INSERT INTO complaint_statuses VALUES('5444','1630','2',null,'81',null,'08-OCT-2020
FF TO HOME SOLUTION(I-10/3)S/C','74','74','2020-10-08 20:14:20','2020-10-08 20:14:20',null);
INSERT INTO complaint_statuses VALUES('5445','1630','4',null,'62',null,null,'81','81','2020-10-08 20:14:57','2020-10-08 20:14:57',null);
INSERT INTO complaint_statuses VALUES('5446','1631','3',null,'81',null,'08-OCT-2020
COMPLAINT#3011','74','74','2020-10-08 20:25:46','2020-10-08 20:25:46',null);
INSERT INTO complaint_statuses VALUES('5447','1590','7','24','81','Unit moved to workshop for repair',null,'83','83','2020-10-08 20:30:37','2020-10-08 20:30:37',null);
INSERT INTO complaint_statuses VALUES('5448','1632','3',null,'53',null,'08-OCT-2020
COMPLAINT#301057231','74','74','2020-10-08 20:39:26','2020-10-08 20:39:26',null);
INSERT INTO complaint_statuses VALUES('5449','1626','7','12','81','ISSUE RESOLVED.. RELAY CHANGE KI',null,'87','87','2020-10-08 20:52:53','2020-10-08 20:52:53',null);
INSERT INTO complaint_statuses VALUES('5450','1541','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-08 20:54:06','2020-10-08 20:54:16',null);
INSERT INTO complaint_statuses VALUES('5451','1633','3',null,'82',null,'08-OCT-2020
FF TO TAHIR SIEMENS','74','74','2020-10-08 20:56:28','2020-10-08 20:56:28',null);
INSERT INTO complaint_statuses VALUES('5452','1634','3',null,'81',null,'08-OCT-2020
FF TO BILAL CORONA 3047','74','92','2020-10-08 21:08:19','2020-10-20 01:27:51',null);
INSERT INTO complaint_statuses VALUES('5453','1595','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-08 21:15:12','2020-10-08 21:15:25',null);
INSERT INTO complaint_statuses VALUES('5454','1587','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-08 21:19:03','2020-10-08 21:19:14',null);
INSERT INTO complaint_statuses VALUES('5455','1635','3',null,'53',null,'08-OCT-2020
COMPLAINT#1057272','74','74','2020-10-08 21:41:53','2020-10-08 21:41:53',null);
INSERT INTO complaint_statuses VALUES('5456','1626','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-10-08 22:03:42','2020-10-08 22:04:07',null);
INSERT INTO complaint_statuses VALUES('5457','1614','5','15',null,'COMPLETED  COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-08 22:08:04','2020-10-08 22:08:42',null);
INSERT INTO complaint_statuses VALUES('5458','1488','8','23','56','CUSTOMER BOL RAHAY HAIN K KISE NA VISIT NAI KIYA AGAIN CUSTOMER KO CALL KARAY KINDLY SIR . ISSUE NOT RESOLVED',null,'81','81','2020-10-08 22:23:43','2020-10-08 22:23:43',null);
INSERT INTO complaint_statuses VALUES('5459','1546','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-08 22:24:54','2020-10-08 22:25:05',null);
INSERT INTO complaint_statuses VALUES('5460','1464','5','15',null,'CUSTOMER MOTHER BOARD REPLACE NAI KARWANAY MAIN INTERESTED NA HAIN CUSTOMER NA KHUD SA HI ISSUE RESOLVED KAR LIYA SO COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2020-10-08 22:26:51','2020-10-12 23:07:19',null);
INSERT INTO complaint_statuses VALUES('5461','1300','8','23','56','CUSTOMER SA BAT HO GEI HAIN WO SET S/C LA K AAY GAY KINDLY AP CUSTOMER KO CALL KAR K ADD CONFIRM KARAY',null,'81','81','2020-10-08 22:34:57','2020-10-08 22:34:57',null);
INSERT INTO complaint_statuses VALUES('5462','1335','5','15',null,'CUSTOMER KO AJ B AGAIN CALL KI HAIN BUT CALL ATTEND NAI KAR RAHAY HAIN DONO NO PA CUSTOMER KO SMS KAR K INFORMED KAR DIA HAIN K AP KI COMPLAINT DOCUMENT  NA MILNAY KI WAJA SA CLOSED KAR DI HAIN','CLOSED COMPLAINT','81','74','2020-10-08 22:40:27','2020-10-08 22:41:02',null);
INSERT INTO complaint_statuses VALUES('5463','1636','3',null,'65',null,'08-OCT-2020
COM NO  192018535','92','92','2020-10-08 22:46:52','2020-10-08 22:46:52',null);
INSERT INTO complaint_statuses VALUES('5464','1516','7','12','81','repair frnds chrgsa...700','COMPLAINT CLOSED','82','74','2020-10-08 22:55:32','2020-10-08 22:56:25',null);
INSERT INTO complaint_statuses VALUES('5465','1516','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2020-10-08 22:58:42','2020-10-08 22:58:42',null);
INSERT INTO complaint_statuses VALUES('5466','1488','7','9','81','Sorry it was an other job. Its still pending',null,'77','77','2020-10-08 22:59:27','2020-10-08 22:59:27',null);
INSERT INTO complaint_statuses VALUES('5467','1637','2',null,'81',null,'08-OCT-2020
FF TO KHALID','74','74','2020-10-08 23:06:27','2020-10-08 23:06:27',null);
INSERT INTO complaint_statuses VALUES('5468','1637','4',null,'56',null,null,'81','81','2020-10-08 23:07:14','2020-10-08 23:07:14',null);
INSERT INTO complaint_statuses VALUES('5469','1638','2',null,'81',null,'08-OCT-2020
COM FF TO KHALID SONY','92','74','2020-10-08 23:15:54','2020-10-08 23:17:20',null);
INSERT INTO complaint_statuses VALUES('5470','1638','4',null,'56',null,null,'81','81','2020-10-08 23:17:45','2020-10-08 23:17:45',null);
INSERT INTO complaint_statuses VALUES('5471','1638','4',null,'56',null,null,'81','81','2020-10-08 23:17:50','2020-10-08 23:17:50',null);
INSERT INTO complaint_statuses VALUES('5472','1555','7','12','81','ISSUE RESOLVED .. TAB CHANGE KI',null,'87','87','2020-10-08 23:19:48','2020-10-08 23:19:48',null);
INSERT INTO complaint_statuses VALUES('5473','1639','3',null,'55',null,'08-OCT-2020
FF TO NAEEM KENWOOD','74','74','2020-10-08 23:22:37','2020-10-08 23:22:37',null);
INSERT INTO complaint_statuses VALUES('5474','1640','3',null,'52',null,'08-OCT-2020
COM NO PKRI201008106557','92','92','2020-10-08 23:40:11','2020-10-08 23:40:11',null);
INSERT INTO complaint_statuses VALUES('5475','1623','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-08 23:42:49','2020-10-10 19:55:31',null);
INSERT INTO complaint_statuses VALUES('5476','1567','5','15',null,null,'NOT ATTEND CALL.
COMPLAINT CLOSD','81','74','2020-10-08 23:43:14','2020-10-13 01:37:45',null);
INSERT INTO complaint_statuses VALUES('5477','1641','2',null,'81',null,'08-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-08 23:43:34','2020-10-08 23:43:34',null);
INSERT INTO complaint_statuses VALUES('5478','1555','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-08 23:44:28','2020-10-10 20:02:49',null);
INSERT INTO complaint_statuses VALUES('5479','1642','3',null,'55',null,'08-OCT-2020
FF TO NAEEM KENWOOD','74','74','2020-10-08 23:46:49','2020-10-08 23:46:49',null);
INSERT INTO complaint_statuses VALUES('5480','489','5','15',null,'PCB FRIENDS CORPORATION NAY DE TE . DAIRECT TACNITION KO MANGLA ME','COMPLAINT RESOLVED','81','74','2020-10-08 23:50:38','2020-10-17 19:55:15',null);
INSERT INTO complaint_statuses VALUES('5481','1361','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-08 23:52:02','2020-10-12 23:16:35',null);
INSERT INTO complaint_statuses VALUES('5482','640','5','15',null,null,'CUSTOMER NA LOCAL TECHNICIAN SA APNA ISASUE RESOLVED KARWAY LG WALO  NA  LHR SA YAH COMPLAINT ATTEND NAI KARWAI','81','74','2020-10-08 23:52:32','2020-10-17 20:03:32',null);
INSERT INTO complaint_statuses VALUES('5483','1174','8','23','56','PLEASE CONTANCT THIS NAMBER CSR . 03358851908',null,'81','81','2020-10-08 23:55:05','2020-10-08 23:55:05',null);
INSERT INTO complaint_statuses VALUES('5484','1377','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-08 23:55:45','2020-10-24 23:06:07',null);
INSERT INTO complaint_statuses VALUES('5485','1392','8','23','61','PAYMENT CUSTOMER KARAY GA . UNIT OUT OF WARRANTY HY',null,'81','81','2020-10-08 23:57:21','2020-10-08 23:57:21',null);
INSERT INTO complaint_statuses VALUES('5486','1446','8','23','62','EXPLANE THE PROBLAM',null,'81','81','2020-10-08 23:58:04','2020-10-08 23:58:04',null);
INSERT INTO complaint_statuses VALUES('5487','1457','8','23','56','COMPLETE THIS JOB QUIKLY',null,'81','81','2020-10-08 23:58:38','2020-10-08 23:58:38',null);
INSERT INTO complaint_statuses VALUES('5488','1637','7','12','81','only service unit ok','NOT ATTEND CALL','77','74','2020-10-08 23:59:40','2020-10-13 00:03:15',null);
INSERT INTO complaint_statuses VALUES('5489','1488','8','23','56','PLEASE CONTACTE CSR STAFF . 03358851908','NOT ATTEND CALL','81','74','2020-10-09 00:00:06','2020-10-14 20:31:16',null);
INSERT INTO complaint_statuses VALUES('5490','1534','8','23','58','ELEMENT DAY DEYA HY I-10 SAY',null,'81','81','2020-10-09 00:00:49','2020-10-09 00:00:49',null);
INSERT INTO complaint_statuses VALUES('5491','1590','8','23','61',null,null,'81','81','2020-10-09 00:01:21','2020-10-09 00:01:21',null);
INSERT INTO complaint_statuses VALUES('5492','1603','8','23','55',null,null,'81','81','2020-10-09 00:01:58','2020-10-09 00:01:58',null);
INSERT INTO complaint_statuses VALUES('5493','1637','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-09 00:02:37','2020-10-13 00:03:20',null);
INSERT INTO complaint_statuses VALUES('5494','1620','8','23','62',null,null,'81','81','2020-10-09 00:03:09','2020-10-09 00:03:09',null);
INSERT INTO complaint_statuses VALUES('5495','1629','7','20','81','Reffer to svc in PCB Issue Customer Will Drop',null,'76','76','2020-10-09 00:03:38','2020-10-09 00:03:38',null);
INSERT INTO complaint_statuses VALUES('5496','1424','7','12','81','No Fault Found During Inspection , (Two LED Inspect) ,Waiting for Warranty Documents.',null,'76','76','2020-10-09 00:05:09','2020-10-09 00:05:09',null);
INSERT INTO complaint_statuses VALUES('5497','1467','7','12','81','Demonstration Given to The Customer, Visit Not Paid.(600)',null,'76','76','2020-10-09 00:06:49','2020-10-09 00:06:49',null);
INSERT INTO complaint_statuses VALUES('5498','1576','7','24','81','Under Repair in Gass Leakage Issue.',null,'76','76','2020-10-09 00:08:10','2020-10-09 00:08:10',null);
INSERT INTO complaint_statuses VALUES('5499','1643','3',null,'65',null,'08-OCT-2020
COM NO 192018541','92','92','2020-10-09 00:20:17','2020-10-09 00:20:17',null);
INSERT INTO complaint_statuses VALUES('5500','1392','7','12','81','DOP 25-JUN-2019   
Payment ly li ha customer sy',null,'83','83','2020-10-09 00:24:37','2020-10-09 00:24:37',null);
INSERT INTO complaint_statuses VALUES('5501','1644','2',null,'81',null,'08-OCT-2020
COM FF TO US MAN MRM','92','92','2020-10-09 00:31:00','2020-10-09 00:31:00',null);
INSERT INTO complaint_statuses VALUES('5502','1644','4',null,'61',null,null,'81','81','2020-10-09 00:31:43','2020-10-09 00:31:43',null);
INSERT INTO complaint_statuses VALUES('5503','1641','4',null,'58',null,null,'81','81','2020-10-09 00:31:57','2020-10-09 00:31:57',null);
INSERT INTO complaint_statuses VALUES('5504','1406','7','20','81','Rs. 39501 main board faulty.need approval 65x8500g',null,'77','77','2020-10-09 01:00:01','2020-10-09 01:00:01',null);
INSERT INTO complaint_statuses VALUES('5505','1510','7','12','81','COMPLAINT RESOLVED .UNIT ON SHOW ROOM',null,'79','79','2020-10-09 01:23:25','2020-10-09 01:23:25',null);
INSERT INTO complaint_statuses VALUES('5506','1511','7','12','81','COMPLAINT RESOLVED  UNIT ON SHOW ROOM',null,'79','79','2020-10-09 01:24:56','2020-10-09 01:24:56',null);
INSERT INTO complaint_statuses VALUES('5507','1400','7','12','81','ISSUE RESOLVED FROM S/C ..GAS CHARGED ONLY',null,'87','87','2020-10-09 01:43:25','2020-10-09 01:43:25',null);
INSERT INTO complaint_statuses VALUES('5508','1645','3',null,'52',null,'08-OCT-2020
COM NO PKRI20100810601','92','92','2020-10-09 01:49:34','2020-10-09 01:49:34',null);
INSERT INTO complaint_statuses VALUES('5509','1644','7','24','81','Plz unit service center bijwa dain',null,'83','83','2020-10-09 02:06:28','2020-10-09 02:06:28',null);
INSERT INTO complaint_statuses VALUES('5510','1646','3',null,'81',null,'08-OCT-2020
FF TO BILAL CORONA','74','74','2020-10-09 02:07:35','2020-10-09 02:07:35',null);
INSERT INTO complaint_statuses VALUES('5511','1647','2',null,'81',null,'08-OCT-2020
FF TO USMAN MRM','74','74','2020-10-09 02:27:36','2020-10-09 02:27:36',null);
INSERT INTO complaint_statuses VALUES('5512','1647','4',null,'61',null,null,'81','81','2020-10-09 02:29:48','2020-10-09 02:29:48',null);
INSERT INTO complaint_statuses VALUES('5513','1648','3',null,'53',null,'08-OCT-2020
COM NO 1057467','92','92','2020-10-09 02:35:36','2020-10-09 02:35:36',null);
INSERT INTO complaint_statuses VALUES('5514','1649','3',null,'54',null,'08-OCT-2020
COMPLAINT#1748851','74','74','2020-10-09 02:43:31','2020-10-09 02:43:31',null);
INSERT INTO complaint_statuses VALUES('5515','1650','3',null,'53',null,'08-OCT-2020
COM NO 1057470','92','92','2020-10-09 02:49:31','2020-10-09 02:49:31',null);
INSERT INTO complaint_statuses VALUES('5516','1470','7','12','81','Gasskit nikal gai thi chargis lyliye thy job done',null,'82','82','2020-10-09 16:31:30','2020-10-09 16:31:30',null);
INSERT INTO complaint_statuses VALUES('5517','1371','7','24','81','Visit okay .water level lagana hy.',null,'82','82','2020-10-09 16:33:51','2020-10-09 16:33:51',null);
INSERT INTO complaint_statuses VALUES('5518','1651','3',null,'52',null,'09-OCT-2020
COMPLAINT#PKR-201009103091','74','74','2020-10-09 20:40:54','2020-10-09 20:40:54',null);
INSERT INTO complaint_statuses VALUES('5519','1622','7','12','81','Aslam o alekum
Inki washing machin thi 
Filter sab kar ky chla li hy unho ny khood.',null,'82','82','2020-10-09 20:47:32','2020-10-09 20:47:32',null);
INSERT INTO complaint_statuses VALUES('5520','1652','3',null,'54',null,'09-OCT-2020
COMPLAINT#1749060','74','74','2020-10-09 20:54:38','2020-10-09 20:54:38',null);
INSERT INTO complaint_statuses VALUES('5521','1653','3',null,'61',null,'09-OCT-2020
COMPLAINT# 202010004541','74','74','2020-10-09 21:10:21','2020-10-09 21:10:21',null);
INSERT INTO complaint_statuses VALUES('5522','1654','3',null,'72',null,'09-OCT-2020
COMPLAINT#072014710','74','74','2020-10-09 21:32:35','2020-10-09 21:32:35',null);
INSERT INTO complaint_statuses VALUES('5523','1655','3',null,'52',null,'09-OCT-2020
COMPLAINT#PKRI201009106485','74','74','2020-10-09 23:44:10','2020-10-09 23:44:10',null);
INSERT INTO complaint_statuses VALUES('5524','1656','2',null,'81',null,'09-OCT-2020
FF TO KHALID','74','74','2020-10-09 23:59:29','2020-10-09 23:59:29',null);
INSERT INTO complaint_statuses VALUES('5525','1656','4',null,'56',null,null,'81','81','2020-10-10 00:00:14','2020-10-10 00:00:14',null);
INSERT INTO complaint_statuses VALUES('5526','1657','2',null,'81',null,'09-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-10 00:17:02','2020-10-10 00:17:02',null);
INSERT INTO complaint_statuses VALUES('5527','1657','4',null,'62',null,'D.O.P-20-FEB-2016','81','74','2020-10-10 00:17:46','2020-10-10 02:56:18',null);
INSERT INTO complaint_statuses VALUES('5528','1453','7','12','81','Level Adjustment.',null,'76','76','2020-10-10 00:20:05','2020-10-10 00:20:05',null);
INSERT INTO complaint_statuses VALUES('5529','1594','7','9','81','CELL # OFF JA RAHA HA',null,'83','83','2020-10-10 00:23:10','2020-10-10 00:23:10',null);
INSERT INTO complaint_statuses VALUES('5530','1658','2',null,'81',null,'09-OCT-2020
FF TO AZHAR RAMZAN','74','74','2020-10-10 00:24:43','2020-10-10 00:24:43',null);
INSERT INTO complaint_statuses VALUES('5531','1205','7','12','81','ya unit work shop my ay ga  customer jab ly g ay ga tu new complaint bana lighya ga',null,'83','83','2020-10-10 00:42:10','2020-10-10 00:42:10',null);
INSERT INTO complaint_statuses VALUES('5532','1659','2',null,'81',null,'09-OCT-2020
FF TO  AZHAR RAMZAN','74','74','2020-10-10 01:27:07','2020-10-10 01:27:07',null);
INSERT INTO complaint_statuses VALUES('5533','1659','4',null,'60',null,null,'81','81','2020-10-10 01:45:38','2020-10-10 01:45:38',null);
INSERT INTO complaint_statuses VALUES('5534','1658','4',null,'60',null,null,'81','81','2020-10-10 01:46:40','2020-10-10 01:46:40',null);
INSERT INTO complaint_statuses VALUES('5535','1619','7','12','81','Issue resolved .',null,'87','87','2020-10-10 02:01:09','2020-10-10 02:01:09',null);
INSERT INTO complaint_statuses VALUES('5536','1660','3',null,'54',null,'09-OCT-2020
COMPLAINT#1749249','74','74','2020-10-10 02:04:17','2020-10-10 02:04:17',null);
INSERT INTO complaint_statuses VALUES('5537','1496','7','12','81','Issue resolved from s/c , gas charged + comp',null,'87','87','2020-10-10 02:05:41','2020-10-10 02:05:41',null);
INSERT INTO complaint_statuses VALUES('5538','1622','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-10 02:18:49','2020-10-10 19:57:24',null);
INSERT INTO complaint_statuses VALUES('5539','1619','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-10 02:19:15','2020-10-10 20:32:35',null);
INSERT INTO complaint_statuses VALUES('5540','1556','5','15',null,'PENAL DAMAGE','CUSTOMER CHARGE DANAY PA GAREE NAI HAIN HAIN WARRANTY MAIN CLIM MAAG RAHAY COMPLAINT CLOSED','81','74','2020-10-10 02:20:18','2020-10-24 21:02:27',null);
INSERT INTO complaint_statuses VALUES('5541','1511','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-10 02:20:40','2020-10-29 00:48:22',null);
INSERT INTO complaint_statuses VALUES('5542','1510','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-10 02:21:18','2020-10-24 23:11:55',null);
INSERT INTO complaint_statuses VALUES('5543','1496','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-10 02:21:42','2020-10-13 20:25:18',null);
INSERT INTO complaint_statuses VALUES('5544','1470','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-10 02:22:07','2020-10-13 20:31:42',null);
INSERT INTO complaint_statuses VALUES('5545','1467','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-10 02:22:37','2020-10-24 21:47:07',null);
INSERT INTO complaint_statuses VALUES('5546','1453','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-10 02:22:56','2020-10-12 23:08:50',null);
INSERT INTO complaint_statuses VALUES('5547','1424','5','15',null,null,'IQBAL SAB SA CONFIRM KAR K COMPLAINT RESOLVED KI','81','74','2020-10-10 02:23:42','2020-10-29 01:29:54',null);
INSERT INTO complaint_statuses VALUES('5548','1400','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-10 02:24:03','2020-10-12 23:12:18',null);
INSERT INTO complaint_statuses VALUES('5549','1392','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-10 02:24:26','2020-10-13 20:37:53',null);
INSERT INTO complaint_statuses VALUES('5550','1629','8','23','55',null,null,'81','81','2020-10-10 02:25:35','2020-10-10 02:25:35',null);
INSERT INTO complaint_statuses VALUES('5551','1205','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-10 02:26:36','2020-10-13 20:45:32',null);
INSERT INTO complaint_statuses VALUES('5552','1594','8','23','61',null,null,'81','81','2020-10-10 02:27:25','2020-10-10 02:27:25',null);
INSERT INTO complaint_statuses VALUES('5553','1644','8','23','61','PLEASE CONTACT CSR  03358851908','ARSHAD SAB KO INFORMED KAR DIA HAIN K SET SHAMSHABAD MOVE KARWAY','81','74','2020-10-10 02:28:21','2020-10-10 23:45:54',null);
INSERT INTO complaint_statuses VALUES('5554','1576','8','23','55',null,'COMPRESSOR LG S/C WALO KO DA DIA HAIN','81','74','2020-10-10 02:28:43','2020-10-10 21:18:01',null);
INSERT INTO complaint_statuses VALUES('5555','1371','8','23','60',null,null,'81','81','2020-10-10 02:29:24','2020-10-10 02:29:24',null);
INSERT INTO complaint_statuses VALUES('5556','1661','2',null,'81',null,'09-OCT-2020
FF TO KHURRAM 5 STAR','74','74','2020-10-10 02:44:14','2020-10-10 02:44:14',null);
INSERT INTO complaint_statuses VALUES('5557','1406','8','23','56','COMPANY WARRANTY HAIN SIR YHA',null,'81','81','2020-10-10 02:47:32','2020-10-10 02:47:32',null);
INSERT INTO complaint_statuses VALUES('5558','1661','4',null,'63',null,null,'81','81','2020-10-10 02:48:13','2020-10-10 02:48:13',null);
INSERT INTO complaint_statuses VALUES('5559','1657','7','24','81','Plz mention correct dop',null,'87','87','2020-10-10 02:59:44','2020-10-10 02:59:44',null);
INSERT INTO complaint_statuses VALUES('5560','1657','5','15',null,'D.O.P CORRECT KAR K BAJAY','CLOSED COMPLAINT','81','74','2020-10-10 03:01:04','2020-10-10 23:15:34',null);
INSERT INTO complaint_statuses VALUES('5561','1662','2',null,'81',null,'09-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-10 03:02:07','2020-10-10 03:02:07',null);
INSERT INTO complaint_statuses VALUES('5562','1662','4',null,'62',null,null,'81','81','2020-10-10 03:02:44','2020-10-10 03:02:44',null);
INSERT INTO complaint_statuses VALUES('5563','1592','7','12','81','Back Cover Adjustment.',null,'76','76','2020-10-10 19:05:33','2020-10-10 19:05:33',null);
INSERT INTO complaint_statuses VALUES('5564','1137','7','24','81','cusotemr end sy dely hai.',null,'79','79','2020-10-10 19:08:47','2020-10-10 19:08:47',null);
INSERT INTO complaint_statuses VALUES('5565','1533','7','12','81','Demonstration Only, Visit not Paid.',null,'76','76','2020-10-10 19:53:45','2020-10-10 19:53:45',null);
INSERT INTO complaint_statuses VALUES('5566','1663','3',null,'66',null,'10-OCT-2020
COMPLAINT#080000099','74','74','2020-10-10 20:02:41','2020-10-10 21:09:52',null);
INSERT INTO complaint_statuses VALUES('5567','1432','7','12','81','customer  out off city hain jb aye gain duabra complaint kerWAYE GAIN',null,'79','79','2020-10-10 20:30:48','2020-10-10 20:30:48',null);
INSERT INTO complaint_statuses VALUES('5568','1643','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-10 20:52:55','2020-10-10 20:53:11',null);
INSERT INTO complaint_statuses VALUES('5569','1636','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-10 20:55:12','2020-10-10 20:55:23',null);
INSERT INTO complaint_statuses VALUES('5570','1664','3',null,'83',null,'10-OCT-2020
FF TO TAHSEEN SAB','74','74','2020-10-10 21:02:16','2020-10-10 21:02:16',null);
INSERT INTO complaint_statuses VALUES('5571','1632','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-10 21:03:02','2020-10-10 21:03:20',null);
INSERT INTO complaint_statuses VALUES('5572','1618','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-10 21:13:38','2020-10-10 21:13:50',null);
INSERT INTO complaint_statuses VALUES('5573','1611','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-10 21:18:12','2020-10-10 21:18:31',null);
INSERT INTO complaint_statuses VALUES('5574','1605','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-10 21:20:52','2020-10-10 21:21:44',null);
INSERT INTO complaint_statuses VALUES('5575','1597','7','26','81','some one already visit and solved the complaint  
plz cancel the job',null,'83','83','2020-10-10 21:22:29','2020-10-10 21:22:29',null);
INSERT INTO complaint_statuses VALUES('5576','1604','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-10 21:23:59','2020-10-10 21:24:11',null);
INSERT INTO complaint_statuses VALUES('5577','1489','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-10 21:25:41','2020-10-10 21:25:41',null);
INSERT INTO complaint_statuses VALUES('5578','1600','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-10 21:30:03','2020-10-10 21:33:33',null);
INSERT INTO complaint_statuses VALUES('5579','1406','7','9','81','ok its approved from our side...waiting for parts',null,'77','77','2020-10-10 21:35:31','2020-10-10 21:35:31',null);
INSERT INTO complaint_statuses VALUES('5580','1599','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-10 21:36:25','2020-10-10 21:36:50',null);
INSERT INTO complaint_statuses VALUES('5581','1598','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-10 21:38:27','2020-10-10 21:38:41',null);
INSERT INTO complaint_statuses VALUES('5582','1596','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-10 21:40:19','2020-10-10 21:40:29',null);
INSERT INTO complaint_statuses VALUES('5583','1646','5',null,null,'VISIT TO DAY','COMPLAINT RESOLVED','92','92','2020-10-10 22:21:23','2020-10-12 21:57:43',null);
INSERT INTO complaint_statuses VALUES('5584','1640','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-10 22:29:52','2020-10-10 22:30:04',null);
INSERT INTO complaint_statuses VALUES('5585','1665','2',null,'81',null,'10-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-10 22:33:17','2020-10-10 22:33:17',null);
INSERT INTO complaint_statuses VALUES('5586','1620','7','12','81','Issue resolved.pcb repair',null,'87','87','2020-10-10 22:34:21','2020-10-10 22:34:21',null);
INSERT INTO complaint_statuses VALUES('5587','1665','4',null,'55',null,null,'81','81','2020-10-10 22:35:00','2020-10-10 22:35:00',null);
INSERT INTO complaint_statuses VALUES('5588','1666','2',null,'81',null,'10-OCT-2020
FF TO AZHAR RAMZAN','74','74','2020-10-10 22:44:45','2020-10-10 22:44:45',null);
INSERT INTO complaint_statuses VALUES('5589','1666','4',null,'60',null,null,'81','81','2020-10-10 22:45:41','2020-10-10 22:45:41',null);
INSERT INTO complaint_statuses VALUES('5590','1615','7','12','81','COMPLETE RESOLVED .AUTO WIRE ISSUE',null,'79','79','2020-10-10 22:49:16','2020-10-10 22:49:16',null);
INSERT INTO complaint_statuses VALUES('5591','1667','2',null,'81',null,'10-OCT-2020
FF TO SHAMM AKHTER','74','74','2020-10-10 22:56:04','2020-10-10 22:56:04',null);
INSERT INTO complaint_statuses VALUES('5592','1667','4',null,'55',null,'COMPLAINT RESOLVED','81','92','2020-10-10 22:56:55','2020-10-20 01:05:02',null);
INSERT INTO complaint_statuses VALUES('5593','1668','2',null,'81',null,'10-OCT-2020
COM FF TO TAHIR RAMZAN','92','92','2020-10-10 23:00:22','2020-10-10 23:00:22',null);
INSERT INTO complaint_statuses VALUES('5594','1669','2',null,'81',null,'10-OCT-2020
COM FF TO KHALID SONY','92','92','2020-10-10 23:11:29','2020-10-10 23:11:29',null);
INSERT INTO complaint_statuses VALUES('5595','1669','4',null,'56',null,null,'81','81','2020-10-10 23:12:13','2020-10-10 23:12:13',null);
INSERT INTO complaint_statuses VALUES('5596','1668','4',null,'60',null,null,'81','81','2020-10-10 23:12:32','2020-10-10 23:12:32',null);
INSERT INTO complaint_statuses VALUES('5597','1620','5','15',null,'COMPLETED  COMPLAINT','COMPLAINT CLOSED','81','74','2020-10-10 23:13:46','2020-10-10 23:14:15',null);
INSERT INTO complaint_statuses VALUES('5598','1653','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-10 23:16:04','2020-10-10 23:16:17',null);
INSERT INTO complaint_statuses VALUES('5599','1615','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-10 23:19:52','2020-10-10 23:20:34',null);
INSERT INTO complaint_statuses VALUES('5600','1633','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-10 23:26:27','2020-10-10 23:26:27',null);
INSERT INTO complaint_statuses VALUES('5601','1670','3',null,'81',null,'08-OCT-2020
FF TO BILAL CORONA','74','74','2020-10-10 23:27:03','2020-10-10 23:27:03',null);
INSERT INTO complaint_statuses VALUES('5602','1671','3',null,'52',null,'10-OCT-2020
COM NO PKRI201010106898','92','92','2020-10-10 23:31:05','2020-10-10 23:31:05',null);
INSERT INTO complaint_statuses VALUES('5603','1672','2',null,'81',null,'10-OCT-2020
FF TO USMAN MRM','74','74','2020-10-10 23:37:00','2020-10-10 23:37:00',null);
INSERT INTO complaint_statuses VALUES('5604','1672','4',null,'61',null,null,'81','81','2020-10-10 23:37:22','2020-10-10 23:37:22',null);
INSERT INTO complaint_statuses VALUES('5605','1673','3',null,'53',null,'10-OCT-2020
COMPLAINT#58000','74','92','2020-10-10 23:40:24','2020-10-11 00:09:36',null);
INSERT INTO complaint_statuses VALUES('5606','1674','3',null,'54',null,'10-OCT-2020
COM NO1749791','92','92','2020-10-10 23:45:22','2020-10-11 00:13:07',null);
INSERT INTO complaint_statuses VALUES('5607','1662','7','22','81','coil problem',null,'87','87','2020-10-10 23:45:40','2020-10-10 23:45:40',null);
INSERT INTO complaint_statuses VALUES('5608','1628','7','12','81','Customer ka ref theek kamkr Raha hai.. customer ny complaint cancle kerwa di hai',null,'79','79','2020-10-10 23:47:10','2020-10-10 23:47:10',null);
INSERT INTO complaint_statuses VALUES('5609','1580','7','12','81','REF DELIVER KERWA DY AHAI.COMPLIANT RESOLVED',null,'79','79','2020-10-11 00:02:52','2020-10-11 00:02:52',null);
INSERT INTO complaint_statuses VALUES('5610','1446','7','12','81','DENT PRHA HUA THA',null,'87','87','2020-10-11 00:03:37','2020-10-11 00:03:37',null);
INSERT INTO complaint_statuses VALUES('5611','1675','2',null,'81',null,'10-OCT-2020
COM FF TO HOME SALUTATION','92','92','2020-10-11 00:27:10','2020-10-11 00:27:10',null);
INSERT INTO complaint_statuses VALUES('5612','1675','4',null,'62',null,null,'81','81','2020-10-11 00:28:18','2020-10-11 00:28:18',null);
INSERT INTO complaint_statuses VALUES('5613','1588','7','12','81','CELL OR SIRE ISSUE COMPLIANT RESOLVED.',null,'79','79','2020-10-11 00:38:08','2020-10-11 00:38:08',null);
INSERT INTO complaint_statuses VALUES('5614','1661','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-10-11 00:59:22','2020-10-11 00:59:22',null);
INSERT INTO complaint_statuses VALUES('5615','1661','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-10-11 01:00:23','2020-10-11 01:00:56',null);
INSERT INTO complaint_statuses VALUES('5616','1676','2',null,'81',null,'10-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-11 01:33:19','2020-10-11 02:24:46',null);
INSERT INTO complaint_statuses VALUES('5617','1676','4',null,'63',null,null,'81','81','2020-10-11 01:33:58','2020-10-11 01:33:58',null);
INSERT INTO complaint_statuses VALUES('5618','1677','2',null,'81',null,'10-OCT-2020
FF TO KHURRAM 5 STAR','74','74','2020-10-11 01:45:07','2020-10-11 01:45:07',null);
INSERT INTO complaint_statuses VALUES('5619','1677','4',null,'63',null,null,'81','81','2020-10-11 01:46:42','2020-10-11 01:46:42',null);
INSERT INTO complaint_statuses VALUES('5620','1678','3',null,'54',null,'10-OCT-2020
COM NO 1749893
NEW COMPLAIN PHASE 7#1750138(11-OCT-2020)','92','73','2020-10-11 01:47:08','2020-10-11 22:01:24',null);
INSERT INTO complaint_statuses VALUES('5621','1676','7','12','81','FF TO CONSORT DEPARTMENT',null,'88','88','2020-10-11 02:16:26','2020-10-11 02:16:26',null);
INSERT INTO complaint_statuses VALUES('5622','1676','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2020-10-11 02:17:02','2020-10-12 19:39:28',null);
INSERT INTO complaint_statuses VALUES('5623','1679','2',null,'81',null,'10-OCT-2020
COM FF TO HOME SOLUTION','74','74','2020-10-11 02:20:42','2020-10-11 02:20:42',null);
INSERT INTO complaint_statuses VALUES('5624','1679','4',null,'62',null,null,'81','81','2020-10-11 02:21:05','2020-10-11 02:21:05',null);
INSERT INTO complaint_statuses VALUES('5625','1680','3',null,'53',null,'10-OCT-2020
COMPLINT#1058688','74','74','2020-10-11 02:33:16','2020-10-13 02:40:52',null);
INSERT INTO complaint_statuses VALUES('5626','1679','7','26','81','PLZ FRWD TO CONCERN DEP...GAS WLA GEYSER HAI INKA',null,'87','87','2020-10-11 03:09:48','2020-10-11 03:09:48',null);
INSERT INTO complaint_statuses VALUES('5627','1675','7','22','81','DOOR SWITCH',null,'87','87','2020-10-11 04:11:25','2020-10-11 04:11:25',null);
INSERT INTO complaint_statuses VALUES('5628','1217','7','12','81','ISSUE RESOLVED FROM S/C , MOTER REPLACE + BELT',null,'87','87','2020-10-11 04:37:08','2020-10-11 04:37:08',null);
INSERT INTO complaint_statuses VALUES('5629','1628','5','15',null,null,'CUSTOMER NA COMPLAINT ABI CANCELLED KARWA DIA COMPLAINT CLOSED','81','74','2020-10-11 06:18:18','2020-10-12 23:47:59',null);
INSERT INTO complaint_statuses VALUES('5630','1662','8','23','62',null,null,'81','81','2020-10-11 06:18:48','2020-10-11 06:18:48',null);
INSERT INTO complaint_statuses VALUES('5631','1675','8','23','62',null,null,'81','81','2020-10-11 06:21:55','2020-10-11 06:21:55',null);
INSERT INTO complaint_statuses VALUES('5632','1597','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-10-11 06:22:40','2020-10-13 20:15:45',null);
INSERT INTO complaint_statuses VALUES('5633','1592','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-11 06:23:04','2020-10-12 22:54:48',null);
INSERT INTO complaint_statuses VALUES('5634','1588','5','15',null,null,'COMPLAINT  RESOLVED','81','92','2020-10-11 06:23:21','2020-10-12 19:59:23',null);
INSERT INTO complaint_statuses VALUES('5635','1580','5','15',null,null,'TAHIR SAB KO INFORMED KAR K COMPLAINT CLOSED KI','81','74','2020-10-11 06:23:43','2020-10-13 00:34:27',null);
INSERT INTO complaint_statuses VALUES('5636','1533','5','15',null,null,'AJ VISIT HO JAY GA.
COMPLAINT RESOLVED','81','74','2020-10-11 06:23:58','2020-10-24 21:08:38',null);
INSERT INTO complaint_statuses VALUES('5637','1446','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-11 06:24:19','2020-10-24 22:02:20',null);
INSERT INTO complaint_statuses VALUES('5638','1432','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-10-11 06:24:44','2020-10-13 20:35:02',null);
INSERT INTO complaint_statuses VALUES('5639','1406','8','23','56',null,null,'81','81','2020-10-11 06:25:28','2020-10-11 06:25:28',null);
INSERT INTO complaint_statuses VALUES('5640','1217','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-11 06:25:45','2020-10-13 20:44:33',null);
INSERT INTO complaint_statuses VALUES('5641','1137','8','23','58',null,null,'81','81','2020-10-11 06:26:11','2020-10-11 06:26:11',null);
INSERT INTO complaint_statuses VALUES('5642','1679','8','23','62',null,null,'81','81','2020-10-11 06:26:36','2020-10-11 06:26:36',null);
INSERT INTO complaint_statuses VALUES('5643','1641','7','12','81','complaint resloved.inlet coil issue',null,'79','79','2020-10-11 19:14:44','2020-10-11 19:14:44',null);
INSERT INTO complaint_statuses VALUES('5644','1547','7','12','81','inlet coil change /compliant resolved',null,'79','79','2020-10-11 19:35:23','2020-10-11 19:35:23',null);
INSERT INTO complaint_statuses VALUES('5645','1681','2',null,'81',null,'11-OCT-2020
COM FF TO HOME SOLUTION','92','92','2020-10-11 19:59:21','2020-10-11 19:59:21',null);
INSERT INTO complaint_statuses VALUES('5646','1682','2',null,'81',null,'11-OCT-2020
COM FF TO TAHIR RAMZAN','92','92','2020-10-11 20:19:04','2020-10-11 20:19:04',null);
INSERT INTO complaint_statuses VALUES('5647','1683','2',null,'81',null,'11-OCT-2020
COM FF TO TAHIR RAMZAN','92','92','2020-10-11 20:33:04','2020-10-11 20:33:04',null);
INSERT INTO complaint_statuses VALUES('5648','1684','3',null,'54',null,'11-OCT-2020
COM NO 1750089','92','92','2020-10-11 21:00:01','2020-10-11 21:00:01',null);
INSERT INTO complaint_statuses VALUES('5649','1685','3',null,'58',null,'11-OCT-2020
COM FF TO LG SHAMIM AKHTAR','92','92','2020-10-11 21:21:17','2020-10-11 21:21:17',null);
INSERT INTO complaint_statuses VALUES('5650','1662','7','12','81','ISSUE RESOLVED , COIL REP',null,'87','87','2020-10-11 21:23:45','2020-10-11 21:23:45',null);
INSERT INTO complaint_statuses VALUES('5651','1569','7','12','81','complaint resolved .gear box mein steel wire  phnsi hui thi',null,'79','79','2020-10-11 21:30:40','2020-10-11 21:30:40',null);
INSERT INTO complaint_statuses VALUES('5652','1686','3',null,'52',null,'11-OCT-2020
COM NO PKRI201011102948','92','92','2020-10-11 21:37:56','2020-10-11 21:37:56',null);
INSERT INTO complaint_statuses VALUES('5653','1662','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-11 21:55:57','2020-10-13 20:13:36',null);
INSERT INTO complaint_statuses VALUES('5654','1641','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-11 21:56:33','2020-10-12 19:44:34',null);
INSERT INTO complaint_statuses VALUES('5655','1569','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-11 21:57:06','2020-10-12 23:00:56',null);
INSERT INTO complaint_statuses VALUES('5656','1547','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-11 21:57:31','2020-10-12 23:03:42',null);
INSERT INTO complaint_statuses VALUES('5657','1687','3',null,'53',null,'11-OCT-2020
COM NO 058159','92','92','2020-10-11 22:14:27','2020-10-11 22:14:27',null);
INSERT INTO complaint_statuses VALUES('5658','1688','3',null,'53',null,'11-OCT-2020
COM NO 1058165','92','92','2020-10-11 22:21:24','2020-10-11 22:21:24',null);
INSERT INTO complaint_statuses VALUES('5659','1689','3',null,'52',null,'11-OCT-2020
COM NO PKRI201011103836','92','92','2020-10-11 22:31:40','2020-10-11 22:31:40',null);
INSERT INTO complaint_statuses VALUES('5660','1690','3',null,'53',null,'11-OCT-2020
COM NO 1058177','92','92','2020-10-11 22:53:47','2020-10-11 22:53:47',null);
INSERT INTO complaint_statuses VALUES('5661','1691','2',null,'81',null,'11-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-11 23:51:15','2020-10-11 23:51:15',null);
INSERT INTO complaint_statuses VALUES('5662','1691','4',null,'58',null,null,'81','81','2020-10-12 00:20:33','2020-10-12 00:20:33',null);
INSERT INTO complaint_statuses VALUES('5663','1683','4',null,'60',null,null,'81','81','2020-10-12 00:20:46','2020-10-12 00:20:46',null);
INSERT INTO complaint_statuses VALUES('5664','1682','4',null,'60',null,null,'81','81','2020-10-12 00:20:57','2020-10-12 00:20:57',null);
INSERT INTO complaint_statuses VALUES('5665','1681','4',null,'62',null,null,'81','81','2020-10-12 00:21:06','2020-10-12 00:21:06',null);
INSERT INTO complaint_statuses VALUES('5666','1692','3',null,'66',null,'11-OCT-2020
COMPLAINT#PK1021200056 IMRAN TCL K S/C ASLAM SIR LA K JAY GAY

FF TO MEHWISH TCL','92','74','2020-10-12 01:38:54','2020-10-21 22:53:51',null);
INSERT INTO complaint_statuses VALUES('5667','1693','3',null,'66',null,'11-OCT-2020','92','74','2020-10-12 01:38:54','2020-10-21 22:44:39',null);
INSERT INTO complaint_statuses VALUES('5668','1693','5',null,null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','92','92','2020-10-12 01:39:52','2020-10-12 01:40:12',null);
INSERT INTO complaint_statuses VALUES('5669','1694','2',null,'81',null,'11-OCT-2020
COM FF TO SHAMIM AKHTAR','92','92','2020-10-12 01:58:32','2020-10-12 01:58:32',null);
INSERT INTO complaint_statuses VALUES('5670','1694','4',null,'55',null,null,'81','81','2020-10-12 02:36:45','2020-10-12 02:36:45',null);
INSERT INTO complaint_statuses VALUES('5671','1103','7','12','81','hood deliver ho gya hai.complaint resolved pcb repaired .',null,'79','79','2020-10-12 19:21:59','2020-10-12 19:21:59',null);
INSERT INTO complaint_statuses VALUES('5672','1697','2',null,'81',null,'12-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-12 19:27:13','2020-10-12 19:27:13',null);
INSERT INTO complaint_statuses VALUES('5673','1697','4',null,'62',null,null,'81','81','2020-10-12 19:28:00','2020-10-12 19:28:00',null);
INSERT INTO complaint_statuses VALUES('5674','1698','3',null,'52',null,'12-OCT-2020
COMPLAINT# PKRI-201012101815','74','74','2020-10-12 19:37:51','2020-10-12 19:37:51',null);
INSERT INTO complaint_statuses VALUES('5675','1666','7','24','81','چوک ہے کہتے ہے گھر پے آکے ٹھیک کرے','22-MAR-2018.
ABDUL REHMAN NA VIST KIYA HAIN REF S/C I-10 LIFT HO GA','82','74','2020-10-12 19:45:12','2020-10-12 20:16:53',null);
INSERT INTO complaint_statuses VALUES('5676','1696','3',null,'52',null,'PKRI201019111034','74','92','2020-10-12 19:48:43','2020-10-20 00:49:44',null);
INSERT INTO complaint_statuses VALUES('5677','1695','3',null,'52',null,null,'74','74','2020-10-12 19:48:57','2020-10-12 19:48:57',null);
INSERT INTO complaint_statuses VALUES('5678','1699','3',null,'73',null,'12-OCT-2020
COMPLAINT#1856','74','74','2020-10-12 19:54:11','2020-10-12 19:54:11',null);
INSERT INTO complaint_statuses VALUES('5679','1700','3',null,'73',null,'12-OCT-2020
COMPLAINT#1856','74','74','2020-10-12 19:54:34','2020-10-12 19:54:34',null);
INSERT INTO complaint_statuses VALUES('5680','1700','5',null,null,'CLOSED',null,'74','74','2020-10-12 19:55:56','2020-10-12 19:55:56',null);
INSERT INTO complaint_statuses VALUES('5681','1658','7','10','81','ہفتے کو کال اتٹنڈ نہیں ہوئی  ۔آج دوبارہ رابطہ کرے  گے',null,'82','82','2020-10-12 19:57:39','2020-10-12 19:57:39',null);
INSERT INTO complaint_statuses VALUES('5682','1659','7','10','81','کال پک نہیں کی میں نے sms پے بتا دیا ہے 
میسج دیکھنے پے کال کرے',null,'82','82','2020-10-12 20:10:54','2020-10-12 20:10:54',null);
INSERT INTO complaint_statuses VALUES('5683','1679','7','12','81','ISSUE RESOLVED AT HOME.SWITCH KHRAB THA',null,'87','87','2020-10-12 20:16:19','2020-10-12 20:16:19',null);
INSERT INTO complaint_statuses VALUES('5684','1675','7','12','81','ISSUE RESOLVED AT HOME, DOOR SWITCH REP',null,'87','87','2020-10-12 20:17:04','2020-10-12 20:17:04',null);
INSERT INTO complaint_statuses VALUES('5685','1531','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-12 20:20:57','2020-10-12 20:21:08',null);
INSERT INTO complaint_statuses VALUES('5686','1691','7','22','81','COMPRESSOR ISSUE HAI .LAST TIME IN KA REF CHOCK HO GYA THA .INHO NY APNY TECHNICIAN SY GAS CHAGRE  KERWA LI THI. HUM NY BOL DY A HAI K YR UNIT WARNTY MEIN NAHI HO GA',null,'79','79','2020-10-12 20:39:26','2020-10-12 20:39:26',null);
INSERT INTO complaint_statuses VALUES('5687','1577','7','12','81','Custmer کہ رہے ہے ٹھیک کروانا ہوا تو بتا دے گے',null,'82','82','2020-10-12 20:43:16','2020-10-12 20:43:16',null);
INSERT INTO complaint_statuses VALUES('5688','1701','3',null,'73',null,'12-OCT-2020
COMPLAINT#1859','74','74','2020-10-12 20:47:20','2020-10-12 20:47:20',null);
INSERT INTO complaint_statuses VALUES('5689','1486','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-12 20:50:02','2020-10-12 20:50:15',null);
INSERT INTO complaint_statuses VALUES('5690','1679','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-12 20:52:25','2020-10-12 20:53:17',null);
INSERT INTO complaint_statuses VALUES('5691','1348','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-12 20:52:47','2020-10-12 20:53:00',null);
INSERT INTO complaint_statuses VALUES('5692','1353','7','9','81','Today mobile ofg',null,'82','82','2020-10-12 20:58:07','2020-10-12 20:58:07',null);
INSERT INTO complaint_statuses VALUES('5693','1702','3',null,'52',null,'12-OCT-2020
COMPLAINT#PKRI-201012104151','74','74','2020-10-12 21:08:21','2020-10-12 21:08:21',null);
INSERT INTO complaint_statuses VALUES('5694','1681','7','12','81','ISSUE RESOLVED ... W/M BILKUL OK HAI',null,'87','87','2020-10-12 21:09:20','2020-10-12 21:09:20',null);
INSERT INTO complaint_statuses VALUES('5695','1671','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-12 21:34:48','2020-10-12 21:34:58',null);
INSERT INTO complaint_statuses VALUES('5696','1652','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-12 21:43:24','2020-10-12 21:43:39',null);
INSERT INTO complaint_statuses VALUES('5697','1681','8','15','62','CUSTOMER VISIT SA SATISFIED NI HAIN KINDLY AGAIN  VISIT ARRANGE KARWAY','KAL VISIT HO GA','81','92','2020-10-12 21:47:35','2020-10-20 01:01:32',null);
INSERT INTO complaint_statuses VALUES('5698','1675','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-10-12 21:49:18','2020-10-12 21:50:30',null);
INSERT INTO complaint_statuses VALUES('5699','1703','3',null,'55',null,'12-OCT-2020
FF TO NAEEM KENWOOD','74','92','2020-10-12 22:04:00','2020-10-31 20:55:38',null);
INSERT INTO complaint_statuses VALUES('5700','1659','8','23','60','CUSTOMER SA AJ HAMARI BAT HO GEI HAIN AGAIN CONTACT KARAY  & VISIT ARRANGE KARWAY',null,'81','81','2020-10-12 22:06:18','2020-10-12 22:06:18',null);
INSERT INTO complaint_statuses VALUES('5701','1658','8','23','60','OK',null,'81','81','2020-10-12 22:07:44','2020-10-12 22:07:44',null);
INSERT INTO complaint_statuses VALUES('5702','1704','3',null,'52',null,'12-OCT-2020
COMPLAINT#PKRI201019110780','74','92','2020-10-12 22:22:55','2020-10-20 00:38:51',null);
INSERT INTO complaint_statuses VALUES('5703','1705','2',null,'81',null,'12-OCT-2020
FF TO USMAN MRM','74','74','2020-10-12 22:34:07','2020-10-12 22:34:07',null);
INSERT INTO complaint_statuses VALUES('5704','1635','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-12 22:37:35','2020-10-12 22:37:46',null);
INSERT INTO complaint_statuses VALUES('5705','1691','8','23','58',null,null,'81','81','2020-10-12 22:39:29','2020-10-12 22:39:29',null);
INSERT INTO complaint_statuses VALUES('5706','1706','3',null,'55',null,'12-OCT-2020
FF TO WAQAR KENWOOD','74','92','2020-10-12 22:40:53','2020-10-31 20:44:10',null);
INSERT INTO complaint_statuses VALUES('5707','1666','8','23','60',null,null,'81','81','2020-10-12 22:42:37','2020-10-12 22:42:37',null);
INSERT INTO complaint_statuses VALUES('5708','1577','5','25',null,null,'COMPLAINT RESOLVED','81','74','2020-10-12 22:45:30','2020-10-13 00:44:48',null);
INSERT INTO complaint_statuses VALUES('5709','1103','5','15',null,null,'THAIR SAB SA CONFIRM KAR K COMPLAINT CLOSED KI CUSTOMER STILL CALL ATTEND NAI KAR RAHI','81','74','2020-10-12 22:51:46','2020-10-15 21:33:54',null);
INSERT INTO complaint_statuses VALUES('5710','858','5','15',null,'NAEEM SAB NA I-10/3 MAIN IC KA MAIN BOARD CHANGE KIYA THA COMPLIANT RESOLVED','COMPLAINT RESOLVED','81','74','2020-10-12 23:20:23','2020-10-12 23:21:11',null);
INSERT INTO complaint_statuses VALUES('5711','1707','2',null,'81',null,'12-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-12 23:36:02','2020-10-12 23:36:02',null);
INSERT INTO complaint_statuses VALUES('5712','1665','7','11','81','Please Provide Correct Number.',null,'76','76','2020-10-12 23:58:29','2020-10-12 23:58:29',null);
INSERT INTO complaint_statuses VALUES('5713','1694','7','9','81','Number Power Off.',null,'76','76','2020-10-13 00:08:26','2020-10-13 00:08:26',null);
INSERT INTO complaint_statuses VALUES('5714','1708','3',null,'55',null,'12-OCT-2020
COM NO KHI4-C-363','92','92','2020-10-13 00:22:28','2020-10-14 23:45:34',null);
INSERT INTO complaint_statuses VALUES('5715','1709','2',null,'81',null,'12-OCT-2020
FF TO AZHAR FCI','74','74','2020-10-13 00:41:58','2020-10-13 00:41:58',null);
INSERT INTO complaint_statuses VALUES('5716','1709','4',null,'60',null,null,'81','81','2020-10-13 00:42:39','2020-10-13 00:42:39',null);
INSERT INTO complaint_statuses VALUES('5717','1707','4',null,'55',null,null,'81','81','2020-10-13 00:43:01','2020-10-13 00:43:01',null);
INSERT INTO complaint_statuses VALUES('5718','1705','4',null,'61',null,null,'81','81','2020-10-13 00:43:17','2020-10-13 00:43:17',null);
INSERT INTO complaint_statuses VALUES('5719','1710','2',null,'81',null,'12-OCT-2020
FF TO USMAN MRM','74','74','2020-10-13 00:58:29','2020-10-13 00:58:29',null);
INSERT INTO complaint_statuses VALUES('5720','1711','2',null,'81',null,'12-OCT-2020
COM FF TO TAHIR RAMZAN','92','92','2020-10-13 01:00:49','2020-10-13 01:00:49',null);
INSERT INTO complaint_statuses VALUES('5721','1711','4',null,'60',null,null,'81','81','2020-10-13 01:07:49','2020-10-13 01:07:49',null);
INSERT INTO complaint_statuses VALUES('5722','1710','4',null,'61',null,'03001114707','81','92','2020-10-13 01:08:05','2020-10-14 00:00:03',null);
INSERT INTO complaint_statuses VALUES('5723','1712','3',null,'66',null,'12-OCT-2020
COMPLAINT#PK0320200018 SHAKEEL TCL','92','74','2020-10-13 01:13:00','2020-11-03 21:04:30',null);
INSERT INTO complaint_statuses VALUES('5724','1713','2',null,'81',null,'12-OCT-2020
COM FF TO USMAN','92','92','2020-10-13 01:26:28','2020-10-13 01:26:28',null);
INSERT INTO complaint_statuses VALUES('5725','1714','3',null,'55',null,'12-OCT-2020
COM NO 686017','92','92','2020-10-13 02:09:06','2020-10-20 22:27:10',null);
INSERT INTO complaint_statuses VALUES('5726','1713','4',null,'61',null,'PARTS ORDER  NEXT WEEK TAQ HO GA','81','74','2020-10-13 02:12:57','2020-10-27 00:30:02',null);
INSERT INTO complaint_statuses VALUES('5727','1715','3',null,'66',null,'12-OCT-2020
COM FF TO MAR YUM TCL','92','92','2020-10-13 02:29:06','2020-10-13 02:29:06',null);
INSERT INTO complaint_statuses VALUES('5728','1716','2',null,'81',null,'12-OCT-2020
FF TO B.COOL','74','74','2020-10-13 02:50:05','2020-10-13 02:50:05',null);
INSERT INTO complaint_statuses VALUES('5729','1716','4',null,'58',null,null,'81','81','2020-10-13 02:51:37','2020-10-13 02:51:37',null);
INSERT INTO complaint_statuses VALUES('5730','1717','2',null,'81',null,'12-OCT-2020
FF TO KHALID SAB','74','74','2020-10-13 02:55:27','2020-10-13 02:55:27',null);
INSERT INTO complaint_statuses VALUES('5731','1717','4',null,'56',null,null,'81','81','2020-10-13 02:56:06','2020-10-13 02:56:06',null);
INSERT INTO complaint_statuses VALUES('5732','1689','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-13 19:27:39','2020-10-13 19:27:50',null);
INSERT INTO complaint_statuses VALUES('5733','1550','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-13 19:39:38','2020-10-13 19:39:50',null);
INSERT INTO complaint_statuses VALUES('5734','1718','2',null,'81',null,'13-OCT-2020
FF TO B.COOL','74','74','2020-10-13 19:43:16','2020-10-13 19:43:16',null);
INSERT INTO complaint_statuses VALUES('5735','1719','2',null,'81',null,'13-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-13 19:50:30','2020-10-13 19:50:30',null);
INSERT INTO complaint_statuses VALUES('5736','1719','4',null,'62',null,null,'81','81','2020-10-13 19:50:52','2020-10-13 19:50:52',null);
INSERT INTO complaint_statuses VALUES('5737','1718','4',null,'58',null,null,'81','81','2020-10-13 19:51:04','2020-10-13 19:51:04',null);
INSERT INTO complaint_statuses VALUES('5738','1431','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-13 19:51:08','2020-10-13 19:51:19',null);
INSERT INTO complaint_statuses VALUES('5739','1350','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-13 19:56:40','2020-10-13 19:56:51',null);
INSERT INTO complaint_statuses VALUES('5740','1720','3',null,'72',null,'13-OCT-2020
COMPLAINT#072014755','74','74','2020-10-13 20:00:21','2020-10-13 20:00:21',null);
INSERT INTO complaint_statuses VALUES('5741','1721','3',null,'84',null,'13-OCT-2020
FF TO NAEEM KENWOOD','74','74','2020-10-13 20:04:27','2020-10-13 20:04:27',null);
INSERT INTO complaint_statuses VALUES('5742','1694','8','23','55','0512879974 IC NO PA CONTACT KAR K VISIT ARRANGE KARWAY THANKS',null,'81','81','2020-10-13 20:09:25','2020-10-13 20:09:25',null);
INSERT INTO complaint_statuses VALUES('5743','1722','3',null,'52',null,'13-OCT-2020
COMPLAINT#PKRI -20101302997','74','74','2020-10-13 20:19:25','2020-10-13 21:18:08',null);
INSERT INTO complaint_statuses VALUES('5744','1723','2',null,'81',null,'13-OCT-2020
FF TO B.COOL','74','74','2020-10-13 20:29:30','2020-10-13 20:29:30',null);
INSERT INTO complaint_statuses VALUES('5745','1724','3',null,'84',null,'13-OCT-2020
FF TO NAEEM KENWOOD','74','74','2020-10-13 20:33:29','2020-10-13 20:33:29',null);
INSERT INTO complaint_statuses VALUES('5746','1719','7','24','81','JB CAL KREIN TB AYE GA BY CUSTOMER',null,'87','87','2020-10-13 20:42:22','2020-10-13 20:42:22',null);
INSERT INTO complaint_statuses VALUES('5747','1725','2',null,'81',null,'13-OCT-2020
FF TO B. COOL','74','74','2020-10-13 20:47:31','2020-10-13 20:47:31',null);
INSERT INTO complaint_statuses VALUES('5748','1647','7','9','81','cell no off',null,'83','83','2020-10-13 20:59:09','2020-10-13 20:59:09',null);
INSERT INTO complaint_statuses VALUES('5749','1678','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-13 21:14:06','2020-10-13 21:14:17',null);
INSERT INTO complaint_statuses VALUES('5750','1674','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-13 21:16:52','2020-10-13 21:17:07',null);
INSERT INTO complaint_statuses VALUES('5751','1726','3',null,'52',null,'13-OCT-2020
COMPLAINT#PKRI-201013104398','74','74','2020-10-13 21:17:04','2020-10-13 21:17:04',null);
INSERT INTO complaint_statuses VALUES('5752','1673','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-13 21:19:08','2020-10-13 21:19:21',null);
INSERT INTO complaint_statuses VALUES('5753','1665','8','23','55','0302-8556358 CORRECT NO KINDLY CONTACT',null,'81','81','2020-10-13 21:22:09','2020-10-13 21:22:09',null);
INSERT INTO complaint_statuses VALUES('5754','1660','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-13 21:24:57','2020-10-13 21:25:11',null);
INSERT INTO complaint_statuses VALUES('5755','1719','5','25',null,'CUSTOMER NA COMPLAINT ABI KHUD SA CANCELL KARWA DI  COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2020-10-13 21:25:45','2020-10-13 21:26:20',null);
INSERT INTO complaint_statuses VALUES('5756','1655','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-13 21:30:06','2020-10-13 21:30:16',null);
INSERT INTO complaint_statuses VALUES('5757','1647','8','23','61','IN CUSTOMER KO AP KA NO PROVIDE KIYA HOA HAIN KHUD SA SET S/C LA K AAY GAY AJ B HAMARI CUSTOMER SA BAT HOI HAIN IC HI NO AP AGAIN CALL KAR LAY',null,'81','81','2020-10-13 21:32:28','2020-10-13 21:32:28',null);
INSERT INTO complaint_statuses VALUES('5758','1727','3',null,'52',null,'13-OCT-2020
COM NO PKRI201013105068','92','92','2020-10-13 21:49:55','2020-10-13 21:49:55',null);
INSERT INTO complaint_statuses VALUES('5759','1728','3',null,'52',null,'13-OCT-2020
COM NO PKRI201013105416','92','92','2020-10-13 22:07:05','2020-10-13 22:07:05',null);
INSERT INTO complaint_statuses VALUES('5760','1729','3',null,'66',null,'13-OCT-2020
COMPLAINT#PK101320200081','92','74','2020-10-13 22:28:59','2020-10-14 01:00:08',null);
INSERT INTO complaint_statuses VALUES('5761','1730','2',null,'81',null,'13-OCT-2020
COM FF TO HOME SOLUTION','92','92','2020-10-13 22:55:30','2020-10-13 22:55:30',null);
INSERT INTO complaint_statuses VALUES('5762','1730','4',null,'62',null,null,'81','81','2020-10-13 22:55:59','2020-10-13 22:55:59',null);
INSERT INTO complaint_statuses VALUES('5763','1725','4',null,'58',null,null,'81','81','2020-10-13 22:56:12','2020-10-13 22:56:12',null);
INSERT INTO complaint_statuses VALUES('5764','1723','4',null,'58',null,null,'81','81','2020-10-13 22:56:26','2020-10-13 22:56:26',null);
INSERT INTO complaint_statuses VALUES('5765','1617','7','24','81','Complete back light set and diffuser sheet and light guide sheet need to replace   RS 20,000/- Expanses  Approval required',null,'83','83','2020-10-13 22:58:19','2020-10-13 22:58:19',null);
INSERT INTO complaint_statuses VALUES('5766','1672','7','12','81','TV RESET  UNIT OK 
RS 1500 charge from customer   
unit at customer home    plz close the job',null,'83','83','2020-10-13 23:02:19','2020-10-13 23:02:19',null);
INSERT INTO complaint_statuses VALUES('5767','1702','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-13 23:05:15','2020-10-13 23:05:29',null);
INSERT INTO complaint_statuses VALUES('5768','1731','3',null,'65',null,'13-OCT-2020
COM NO 192018604','92','92','2020-10-13 23:33:44','2020-10-13 23:33:44',null);
INSERT INTO complaint_statuses VALUES('5769','1732','2',null,'81',null,'13-OCT-2020
FF TO AZHAR RAMZAN','74','74','2020-10-14 00:04:25','2020-10-14 00:04:25',null);
INSERT INTO complaint_statuses VALUES('5770','1690','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-14 00:09:03','2020-10-14 00:09:15',null);
INSERT INTO complaint_statuses VALUES('5771','1733','3',null,'80',null,'13-OCT-2020
FF TO AMNA BOACH','74','74','2020-10-14 00:09:40','2020-10-14 00:09:40',null);
INSERT INTO complaint_statuses VALUES('5772','1732','4',null,'60',null,null,'81','81','2020-10-14 00:12:14','2020-10-14 00:12:14',null);
INSERT INTO complaint_statuses VALUES('5773','1718','7','22','81','refer to service center.motor sensor issue',null,'79','79','2020-10-14 00:17:37','2020-10-14 00:17:37',null);
INSERT INTO complaint_statuses VALUES('5774','1687','5',null,null,'COMPLAINT COMPLETED','COMPLAINT CLOSED','92','92','2020-10-14 00:21:40','2020-10-14 00:21:59',null);
INSERT INTO complaint_statuses VALUES('5775','1734','2',null,'81',null,'13-OCT-2020
FF TO B.COOL','74','74','2020-10-14 00:35:39','2020-10-14 00:35:39',null);
INSERT INTO complaint_statuses VALUES('5776','1670','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-14 00:35:39','2020-10-14 00:39:06',null);
INSERT INTO complaint_statuses VALUES('5777','1593','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-14 00:45:13','2020-10-14 00:45:26',null);
INSERT INTO complaint_statuses VALUES('5778','1735','2',null,'81',null,'13-OCT-2020
FF TO B.COOL','74','74','2020-10-14 00:47:25','2020-10-14 00:47:25',null);
INSERT INTO complaint_statuses VALUES('5779','1735','4',null,'58',null,null,'81','81','2020-10-14 00:47:48','2020-10-14 00:47:48',null);
INSERT INTO complaint_statuses VALUES('5780','1734','4',null,'58',null,null,'81','81','2020-10-14 00:48:05','2020-10-14 00:48:05',null);
INSERT INTO complaint_statuses VALUES('5781','1734','4',null,'58',null,null,'81','81','2020-10-14 00:48:06','2020-10-14 00:48:06',null);
INSERT INTO complaint_statuses VALUES('5782','1736','2',null,'81',null,'13-OCT-2020
FF TO AZHAR RAMZAN','74','74','2020-10-14 00:51:57','2020-10-14 00:51:57',null);
INSERT INTO complaint_statuses VALUES('5783','1736','4',null,'60',null,null,'81','81','2020-10-14 00:54:34','2020-10-14 00:54:34',null);
INSERT INTO complaint_statuses VALUES('5784','1585','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-14 00:58:04','2020-10-14 00:58:24',null);
INSERT INTO complaint_statuses VALUES('5785','1737','2',null,'81',null,'13-OCT-2020
FF TO KHALID','74','74','2020-10-14 00:58:17','2020-10-14 00:58:17',null);
INSERT INTO complaint_statuses VALUES('5786','1737','4',null,'56',null,null,'81','81','2020-10-14 00:59:04','2020-10-14 00:59:04',null);
INSERT INTO complaint_statuses VALUES('5787','1584','5',null,null,'COMPLAINT COMPLAINT','COMPLAINT RESOLVED','92','92','2020-10-14 01:05:05','2020-10-14 01:06:52',null);
INSERT INTO complaint_statuses VALUES('5788','1578','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-14 01:13:26','2020-10-14 01:13:41',null);
INSERT INTO complaint_statuses VALUES('5789','1575','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-14 01:15:44','2020-10-14 01:15:56',null);
INSERT INTO complaint_statuses VALUES('5790','1738','3',null,'63',null,'13-OCT-2020
COMPLAINT#3025','74','74','2020-10-14 01:15:57','2020-10-14 01:22:31',null);
INSERT INTO complaint_statuses VALUES('5791','1739','3',null,'52',null,'13-OCT-2020
COM NO PKRI201013109588PKRI 201017103438','92','92','2020-10-14 01:42:41','2020-10-27 22:26:40',null);
INSERT INTO complaint_statuses VALUES('5792','1740','3',null,'52',null,'13-OCT-2020
COM NO PKRI201013101493','92','92','2020-10-14 02:07:47','2020-10-14 02:07:47',null);
INSERT INTO complaint_statuses VALUES('5793','1741','3',null,'65',null,'13-OCT-2020
COMPLAINT#','74','74','2020-10-14 02:13:01','2020-10-14 02:13:01',null);
INSERT INTO complaint_statuses VALUES('5794','1741','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-14 02:20:32','2020-10-14 02:20:44',null);
INSERT INTO complaint_statuses VALUES('5795','1741','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-14 02:22:36','2020-10-14 02:24:03',null);
INSERT INTO complaint_statuses VALUES('5796','1582','7','12','81','phone py guide kar dia hy sound issue tha issue resolve ho gea hy',null,'80','80','2020-10-14 02:24:24','2020-10-14 02:24:24',null);
INSERT INTO complaint_statuses VALUES('5797','1507','7','24','81','customer pehly visit k lia man ni rha tha k set ap k S/C py ly k ao ga ab visit k lia keh rha hy kal visit ho jae ga',null,'80','80','2020-10-14 02:36:43','2020-10-14 02:36:43',null);
INSERT INTO complaint_statuses VALUES('5798','1568','7','24','81','coustomer keh rha hy k main free ni ho sutraday tak sound bar ly k ao ga',null,'80','80','2020-10-14 02:36:46','2020-10-14 02:36:46',null);
INSERT INTO complaint_statuses VALUES('5799','1250','7','24','81','hmy customer roz kehta  hy main set aj ly k ao ga ao ga par set ni la rha',null,'80','80','2020-10-14 02:40:03','2020-10-14 02:40:03',null);
INSERT INTO complaint_statuses VALUES('5800','1438','7','24','81','call attend ni kar rha','LEFT IN SERVICE CENTER','80','92','2020-10-14 02:40:19','2020-10-15 22:20:14',null);
INSERT INTO complaint_statuses VALUES('5801','1594','7','9','81','Mobile # continue off ja rha ha',null,'83','83','2020-10-14 02:45:46','2020-10-14 02:45:46',null);
INSERT INTO complaint_statuses VALUES('5802','1579','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-14 02:54:16','2020-10-14 02:54:16',null);
INSERT INTO complaint_statuses VALUES('5803','1743','2',null,'81',null,'13-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-14 03:04:31','2020-10-14 03:04:31',null);
INSERT INTO complaint_statuses VALUES('5804','1736','7','10','81',null,null,'82','82','2020-10-14 03:21:49','2020-10-14 03:21:49',null);
INSERT INTO complaint_statuses VALUES('5805','1711','7','24','81','Hud ka filter chahey',null,'82','82','2020-10-14 03:23:25','2020-10-14 03:23:25',null);
INSERT INTO complaint_statuses VALUES('5806','1683','7','24','81','Custmer frig servis crnter bhejy gy .',null,'82','82','2020-10-14 03:30:35','2020-10-14 03:30:35',null);
INSERT INTO complaint_statuses VALUES('5807','1682','7','12','81','Steblizer issue tha .visit chagis ly lye hy',null,'82','82','2020-10-14 03:32:27','2020-10-14 03:32:27',null);
INSERT INTO complaint_statuses VALUES('5808','1668','7','12','81','Water inlet filter issue tha 500custmer sy ly lye hy',null,'82','82','2020-10-14 03:35:38','2020-10-14 03:35:38',null);
INSERT INTO complaint_statuses VALUES('5809','1666','7','24','81','Frige servis center i10 aye gi',null,'82','82','2020-10-14 03:36:20','2020-10-14 03:36:20',null);
INSERT INTO complaint_statuses VALUES('5810','1492','7','12','81','Custmer ny gate sy foot ly lia usky baad zaleel kar ky bhej dia .chargis bhi nhi mily 
Kehty hy 2 month sy keh rehy hy nhi aye',null,'82','82','2020-10-14 03:38:24','2020-10-14 03:38:24',null);
INSERT INTO complaint_statuses VALUES('5811','1535','7','12','81','Frezer  custmer ky pass phonch gea',null,'82','82','2020-10-14 03:42:19','2020-10-14 03:42:19',null);
INSERT INTO complaint_statuses VALUES('5812','1743','4',null,'58',null,null,'81','81','2020-10-14 07:08:15','2020-10-14 07:08:15',null);
INSERT INTO complaint_statuses VALUES('5813','1734','7','12','81','customer cancle the complaint .',null,'79','79','2020-10-14 19:40:34','2020-10-14 19:40:34',null);
INSERT INTO complaint_statuses VALUES('5814','1734','8','23','58','OVEN NAVEED FHHS K PASS HAIN SHOWROOM VISIT KARWAYA',null,'81','81','2020-10-14 19:44:15','2020-10-14 19:44:15',null);
INSERT INTO complaint_statuses VALUES('5815','1617','8','23','61','NAEEM SAB NA APPROVAL DA DI HAIN SET READY KARAY',null,'81','81','2020-10-14 19:58:53','2020-10-14 19:58:53',null);
INSERT INTO complaint_statuses VALUES('5816','1686','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-14 19:59:53','2020-10-14 20:00:05',null);
INSERT INTO complaint_statuses VALUES('5817','1745','2',null,'81',null,'14-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-14 20:10:26','2020-10-14 20:10:26',null);
INSERT INTO complaint_statuses VALUES('5818','1745','4',null,'62',null,null,'81','81','2020-10-14 20:11:09','2020-10-14 20:11:09',null);
INSERT INTO complaint_statuses VALUES('5819','1736','8','23','60','AGAIN CUSTOMER KO CALL KARAY PICK KAR LAY GAY ABI BAT HOI HAIN HAMARI',null,'81','81','2020-10-14 20:13:52','2020-10-14 20:13:52',null);
INSERT INTO complaint_statuses VALUES('5820','1682','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-14 20:20:05','2020-10-14 20:20:47',null);
INSERT INTO complaint_statuses VALUES('5821','1602','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-14 20:21:42','2020-10-14 20:21:52',null);
INSERT INTO complaint_statuses VALUES('5822','1677','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-10-14 20:27:49','2020-10-14 20:27:49',null);
INSERT INTO complaint_statuses VALUES('5823','1677','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-14 20:30:47','2020-10-14 20:31:52',null);
INSERT INTO complaint_statuses VALUES('5824','1522','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-10-14 20:33:30','2020-10-14 20:33:30',null);
INSERT INTO complaint_statuses VALUES('5825','1522','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-14 20:34:25','2020-10-14 20:35:13',null);
INSERT INTO complaint_statuses VALUES('5826','1371','7','22','81','washing moter need urgant',null,'82','82','2020-10-14 20:36:01','2020-10-14 20:36:01',null);
INSERT INTO complaint_statuses VALUES('5827','1469','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-14 20:46:28','2020-10-14 20:46:42',null);
INSERT INTO complaint_statuses VALUES('5828','1746','2',null,'81',null,'14-OCT-2020
FF TO NADEEM AV','74','74','2020-10-14 20:50:50','2020-10-14 20:50:50',null);
INSERT INTO complaint_statuses VALUES('5829','1746','4',null,'59',null,null,'81','81','2020-10-14 20:51:58','2020-10-14 20:51:58',null);
INSERT INTO complaint_statuses VALUES('5830','1442','7','12','81','drain issue solved vist chrgs 500',null,'82','82','2020-10-14 20:57:03','2020-10-14 20:57:03',null);
INSERT INTO complaint_statuses VALUES('5831','1368','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-14 20:58:34','2020-10-14 20:58:45',null);
INSERT INTO complaint_statuses VALUES('5832','1746','7','24','81','bat ho ge hy visit aj ho jae ga',null,'80','80','2020-10-14 21:00:34','2020-10-14 21:00:34',null);
INSERT INTO complaint_statuses VALUES('5833','1334','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-14 21:00:40','2020-10-14 21:00:51',null);
INSERT INTO complaint_statuses VALUES('5834','1685','5',null,null,'CLOSED COMPLAINT',null,'74','74','2020-10-14 21:05:42','2020-10-14 21:05:42',null);
INSERT INTO complaint_statuses VALUES('5835','1735','7','9','81','no is powered off',null,'79','79','2020-10-14 21:07:53','2020-10-14 21:07:53',null);
INSERT INTO complaint_statuses VALUES('5836','473','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-14 21:08:17','2020-10-14 21:08:17',null);
INSERT INTO complaint_statuses VALUES('5837','495','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-14 21:11:11','2020-10-14 21:11:11',null);
INSERT INTO complaint_statuses VALUES('5838','1731','5',null,null,'COMPOSER ISSUE','LEFT IN SERVICE CENTER
COMPLAINT RESOLVED
WORKING IN PROCESS','92','74','2020-10-14 21:16:31','2020-10-24 20:58:11',null);
INSERT INTO complaint_statuses VALUES('5839','1747','2',null,'81',null,'14-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-14 21:21:51','2020-10-14 21:21:51',null);
INSERT INTO complaint_statuses VALUES('5840','1747','4',null,'55',null,null,'81','81','2020-10-14 21:25:28','2020-10-14 21:25:28',null);
INSERT INTO complaint_statuses VALUES('5841','1402','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-14 21:35:55','2020-10-14 21:35:55',null);
INSERT INTO complaint_statuses VALUES('5842','1175','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-14 21:36:34','2020-10-14 21:36:48',null);
INSERT INTO complaint_statuses VALUES('5843','1723','7','10','81','call not attend',null,'79','79','2020-10-14 21:37:28','2020-10-14 21:37:28',null);
INSERT INTO complaint_statuses VALUES('5844','1616','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-14 21:39:08','2020-10-14 21:39:19',null);
INSERT INTO complaint_statuses VALUES('5845','1612','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-14 21:42:16','2020-10-14 21:42:26',null);
INSERT INTO complaint_statuses VALUES('5846','1748','2',null,'81',null,'14-OCT-2020
FF TO AZHAR RAMZAN','74','74','2020-10-14 21:51:28','2020-10-14 21:51:28',null);
INSERT INTO complaint_statuses VALUES('5847','1748','4',null,'60',null,null,'81','81','2020-10-14 21:52:03','2020-10-14 21:52:03',null);
INSERT INTO complaint_statuses VALUES('5848','1749','2',null,'81',null,'14-OCT-2020
COM FF TO HOME SOLUTION','92','92','2020-10-14 22:01:42','2020-10-14 22:01:42',null);
INSERT INTO complaint_statuses VALUES('5849','1749','4',null,'62',null,null,'81','81','2020-10-14 22:05:27','2020-10-14 22:05:27',null);
INSERT INTO complaint_statuses VALUES('5850','1742','2',null,'81',null,null,'74','74','2020-10-14 22:06:44','2020-10-14 22:06:44',null);
INSERT INTO complaint_statuses VALUES('5851','1742','4',null,'61',null,null,'81','81','2020-10-14 22:07:19','2020-10-14 22:07:19',null);
INSERT INTO complaint_statuses VALUES('5852','1750','3',null,'52',null,'14-OCT-2020
COMPLAINT#PKRI-201014105350','74','74','2020-10-14 22:19:08','2020-10-14 22:19:08',null);
INSERT INTO complaint_statuses VALUES('5853','1744','3',null,'54',null,null,'74','74','2020-10-14 22:28:07','2020-10-14 22:28:07',null);
INSERT INTO complaint_statuses VALUES('5854','1751','2',null,'81',null,'14-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-14 22:32:57','2020-10-14 22:32:57',null);
INSERT INTO complaint_statuses VALUES('5855','1751','4',null,'55',null,null,'81','81','2020-10-14 22:34:17','2020-10-14 22:34:17',null);
INSERT INTO complaint_statuses VALUES('5856','1040','5',null,null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','92','92','2020-10-14 22:48:13','2020-10-14 22:48:26',null);
INSERT INTO complaint_statuses VALUES('5857','1752','2',null,'81',null,'14-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-14 22:53:31','2020-10-14 22:53:31',null);
INSERT INTO complaint_statuses VALUES('5858','1752','4',null,'62',null,'COMPLAINT RESOLVED','81','92','2020-10-14 22:54:24','2020-10-17 20:07:53',null);
INSERT INTO complaint_statuses VALUES('5859','1621','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-14 23:24:20','2020-10-14 23:24:34',null);
INSERT INTO complaint_statuses VALUES('5860','1746','8','23','59',null,null,'81','81','2020-10-14 23:25:29','2020-10-14 23:25:29',null);
INSERT INTO complaint_statuses VALUES('5861','1718','8','23','58',null,null,'81','81','2020-10-14 23:26:54','2020-10-14 23:26:54',null);
INSERT INTO complaint_statuses VALUES('5862','1711','8','23','60','filter ka size oor picture send karen',null,'81','81','2020-10-14 23:28:06','2020-10-14 23:28:06',null);
INSERT INTO complaint_statuses VALUES('5863','1683','8','23','60',null,'I 10/3 S/C','81','74','2020-10-14 23:28:39','2020-10-20 22:29:25',null);
INSERT INTO complaint_statuses VALUES('5864','1672','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-14 23:29:07','2020-10-15 22:10:08',null);
INSERT INTO complaint_statuses VALUES('5865','1668','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-14 23:29:40','2020-10-15 22:04:04',null);
INSERT INTO complaint_statuses VALUES('5866','1666','8','23','60','fridge kk90 hy kindly invoice send karen sale man ya customer sy lay kar','COMPLAINT RESOLVED','81','74','2020-10-14 23:43:47','2020-10-20 20:17:24',null);
INSERT INTO complaint_statuses VALUES('5867','1582','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-14 23:44:35','2020-10-15 22:08:57',null);
INSERT INTO complaint_statuses VALUES('5868','1568','8','23','59',null,null,'81','81','2020-10-14 23:45:02','2020-10-14 23:45:02',null);
INSERT INTO complaint_statuses VALUES('5869','1535','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-14 23:45:40','2020-10-15 22:15:02',null);
INSERT INTO complaint_statuses VALUES('5870','1507','8','23','59',null,null,'81','81','2020-10-14 23:46:20','2020-10-14 23:46:20',null);
INSERT INTO complaint_statuses VALUES('5871','1492','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-14 23:47:00','2020-10-24 21:16:50',null);
INSERT INTO complaint_statuses VALUES('5872','1753','3',null,'85',null,'14-OCT-2020
COMPLAINT#301059457','74','74','2020-10-14 23:47:07','2020-10-14 23:47:07',null);
INSERT INTO complaint_statuses VALUES('5873','1442','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-14 23:47:23','2020-10-15 23:05:51',null);
INSERT INTO complaint_statuses VALUES('5874','1371','8','23','60','moter i-10 say lay len','WORKING IN PROCESS','81','74','2020-10-14 23:48:18','2020-10-19 23:07:51',null);
INSERT INTO complaint_statuses VALUES('5875','1745','7','12','81','ISSUE RESOLVED..SWITCH KHRAB THA',null,'87','87','2020-10-14 23:48:58','2020-10-14 23:48:58',null);
INSERT INTO complaint_statuses VALUES('5876','1250','8','23','59',null,null,'81','81','2020-10-14 23:49:19','2020-10-14 23:49:19',null);
INSERT INTO complaint_statuses VALUES('5877','1590','7','12','81','LVDS CABLE REPLACED RS 2500 Expense  
unit at customer home kindly close the job',null,'83','83','2020-10-15 00:17:34','2020-10-15 00:17:34',null);
INSERT INTO complaint_statuses VALUES('5878','1754','2',null,'81',null,'14-OCT-2020
FF TO B.COOL','74','74','2020-10-15 00:23:38','2020-10-15 00:23:38',null);
INSERT INTO complaint_statuses VALUES('5879','1716','7','22','81','CCHOIKNG ISSUE',null,'79','79','2020-10-15 00:50:11','2020-10-15 00:50:11',null);
INSERT INTO complaint_statuses VALUES('5880','1745','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-15 00:55:48','2020-10-15 00:57:03',null);
INSERT INTO complaint_statuses VALUES('5881','1754','4',null,'58',null,null,'81','81','2020-10-15 00:58:18','2020-10-15 00:58:18',null);
INSERT INTO complaint_statuses VALUES('5882','1723','5','23',null,'CUSTOMER SA BAT HO GEI HAIN KINDLY CONTACT KARAY CUSTOMER SA ABI','NOT VISIT TO COMPLAINT CLOSED','81','74','2020-10-15 01:00:10','2020-10-24 00:06:20',null);
INSERT INTO complaint_statuses VALUES('5883','1755','3',null,'81',null,'14-OCT-2020
COM NO 3030','92','92','2020-10-15 01:02:05','2020-10-15 01:02:05',null);
INSERT INTO complaint_statuses VALUES('5884','1735','8','23','58','NO ON HAIN CONTACT KARAY CUSTOMER SA',null,'81','81','2020-10-15 01:05:56','2020-10-15 01:05:56',null);
INSERT INTO complaint_statuses VALUES('5885','1756','2',null,'81',null,'14-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-15 01:14:29','2020-10-15 01:14:29',null);
INSERT INTO complaint_statuses VALUES('5886','1743','7','12','81','Ccomplaint resloved .service ki hai',null,'79','79','2020-10-15 01:24:25','2020-10-15 01:24:25',null);
INSERT INTO complaint_statuses VALUES('5887','1763','2',null,'81',null,'14-OCT-2020
COM FF TO KHALID SONY','92','92','2020-10-15 01:45:02','2020-10-15 01:45:02',null);
INSERT INTO complaint_statuses VALUES('5888','1763','4',null,'56',null,null,'81','81','2020-10-15 01:46:50','2020-10-15 01:46:50',null);
INSERT INTO complaint_statuses VALUES('5889','1763','4',null,'56',null,null,'81','81','2020-10-15 01:46:51','2020-10-15 01:46:51',null);
INSERT INTO complaint_statuses VALUES('5890','1576','7','12','81','Compressor Replaced IW Warranty (Compressor Received for Friends Service Center)',null,'76','76','2020-10-15 01:55:31','2020-10-15 01:55:31',null);
INSERT INTO complaint_statuses VALUES('5891','1707','7','24','81','Compressor Faulty',null,'76','76','2020-10-15 01:56:00','2020-10-15 01:56:00',null);
INSERT INTO complaint_statuses VALUES('5892','1764','3',null,'66',null,'14-OCT-2020
FF TO MEHWISH TCL','74','74','2020-10-15 02:04:27','2020-10-15 02:04:27',null);
INSERT INTO complaint_statuses VALUES('5893','1765','3',null,'66',null,'14-OCT-2020
COMPLAINT#PK101620200073','74','74','2020-10-15 02:09:01','2020-10-17 02:00:01',null);
INSERT INTO complaint_statuses VALUES('5894','1766','3',null,'72',null,'14-OCT-2020
COMPLAINT#072014787','74','74','2020-10-15 02:14:56','2020-10-15 02:17:42',null);
INSERT INTO complaint_statuses VALUES('5895','1764','5',null,null,'CLOSED',null,'74','74','2020-10-15 02:17:05','2020-10-15 02:17:05',null);
INSERT INTO complaint_statuses VALUES('5896','1762','2',null,'81',null,null,'74','74','2020-10-15 02:21:34','2020-10-15 02:21:34',null);
INSERT INTO complaint_statuses VALUES('5897','1756','4',null,'58',null,null,'81','81','2020-10-15 02:21:49','2020-10-15 02:21:49',null);
INSERT INTO complaint_statuses VALUES('5898','1756','4',null,'58',null,null,'81','81','2020-10-15 02:21:51','2020-10-15 02:21:51',null);
INSERT INTO complaint_statuses VALUES('5899','1756','4',null,'58',null,null,'81','81','2020-10-15 02:21:52','2020-10-15 02:21:52',null);
INSERT INTO complaint_statuses VALUES('5900','1756','4',null,'58',null,null,'81','81','2020-10-15 02:21:55','2020-10-15 02:21:55',null);
INSERT INTO complaint_statuses VALUES('5901','1756','4',null,'58',null,'COMPLAINT RESOLVED','81','92','2020-10-15 02:21:56','2020-10-20 22:09:59',null);
INSERT INTO complaint_statuses VALUES('5902','1762','4',null,'56',null,'NO VISIT','81','74','2020-10-15 02:25:01','2020-10-25 01:45:24',null);
INSERT INTO complaint_statuses VALUES('5903','1665','7','12','81','Door Adjustment (Visit not Paid )',null,'76','76','2020-10-15 02:25:21','2020-10-15 02:25:21',null);
INSERT INTO complaint_statuses VALUES('5904','1743','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-10-15 02:28:02','2020-10-15 02:28:59',null);
INSERT INTO complaint_statuses VALUES('5905','1768','2',null,'81',null,'14-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-15 02:28:33','2020-10-15 02:28:33',null);
INSERT INTO complaint_statuses VALUES('5906','1694','7','12','81','Drain Pipe Adjustment.(Charges Not Paid 600/-)',null,'76','76','2020-10-15 02:28:36','2020-10-15 02:28:36',null);
INSERT INTO complaint_statuses VALUES('5907','1761','3',null,'84',null,'COMPLAINT#9845','74','74','2020-10-15 02:34:12','2020-10-15 02:44:32',null);
INSERT INTO complaint_statuses VALUES('5908','1760','3',null,'84',null,'COMPLAINT#9846','74','74','2020-10-15 02:34:28','2020-10-15 02:59:30',null);
INSERT INTO complaint_statuses VALUES('5909','1768','4',null,'58',null,null,'81','81','2020-10-15 02:35:22','2020-10-15 02:35:22',null);
INSERT INTO complaint_statuses VALUES('5910','1767','3',null,'84',null,'COMPLAINT#R.W.P-15569','74','74','2020-10-15 02:39:05','2020-10-15 02:43:03',null);
INSERT INTO complaint_statuses VALUES('5911','1759','3',null,'73',null,'COMPLAINT#1893','74','74','2020-10-15 02:56:08','2020-10-15 03:00:47',null);
INSERT INTO complaint_statuses VALUES('5912','1769','3',null,'86',null,'14-OCT-2020
COM FF TO  ASIF SB','92','92','2020-10-15 02:56:30','2020-10-15 02:56:30',null);
INSERT INTO complaint_statuses VALUES('5913','1475','3',null,'73',null,'COMPLAINT#1894','74','74','2020-10-15 02:56:37','2020-10-15 03:05:16',null);
INSERT INTO complaint_statuses VALUES('5914','1758','3',null,'56',null,'COMPLAINT CLOSED','74','74','2020-10-15 03:11:25','2020-10-25 01:14:43',null);
INSERT INTO complaint_statuses VALUES('5915','1630','7','12','81','ISSUE RESOLVED FROM S/C ,GAS CHARGED + COMP',null,'87','87','2020-10-15 03:22:58','2020-10-15 03:22:58',null);
INSERT INTO complaint_statuses VALUES('5916','1730','7','12','81','ISSUE RESOLVED ,FILTER SAAF KYE',null,'87','87','2020-10-15 03:24:06','2020-10-15 03:24:06',null);
INSERT INTO complaint_statuses VALUES('5917','1749','7','22','81','JB CAL KRON TB ANA BY CUSTOMER',null,'87','87','2020-10-15 03:28:35','2020-10-15 03:28:35',null);
INSERT INTO complaint_statuses VALUES('5918','1735','7','10','81','no yu on ho gya hai.kal sy call pick  nahi kr rahy .aj bhi ki msg  bhi kia  koi response nahi aya',null,'79','79','2020-10-15 19:17:28','2020-10-15 19:17:28',null);
INSERT INTO complaint_statuses VALUES('5919','1770','2',null,'81',null,'13-OCT-2020
FF TO B.COOL','74','74','2020-10-15 19:40:37','2020-10-15 19:40:37',null);
INSERT INTO complaint_statuses VALUES('5920','1770','4',null,'58',null,null,'81','81','2020-10-15 19:41:14','2020-10-15 19:41:14',null);
INSERT INTO complaint_statuses VALUES('5921','1770','4',null,'58',null,null,'81','81','2020-10-15 19:41:15','2020-10-15 19:41:15',null);
INSERT INTO complaint_statuses VALUES('5922','1728','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-15 19:43:32','2020-10-15 19:43:55',null);
INSERT INTO complaint_statuses VALUES('5923','1727','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-15 19:47:27','2020-10-15 19:47:38',null);
INSERT INTO complaint_statuses VALUES('5924','1726','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-15 19:49:32','2020-10-15 19:49:42',null);
INSERT INTO complaint_statuses VALUES('5925','1722','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-15 19:52:21','2020-10-15 19:52:32',null);
INSERT INTO complaint_statuses VALUES('5926','1771','3',null,'54',null,'15-OCT-2020
COMPLAINT#1752699','74','74','2020-10-15 20:01:30','2020-10-15 20:01:30',null);
INSERT INTO complaint_statuses VALUES('5927','1750','5',null,null,'SUNDAY KO VISIT HO GA','COMPLAINT RESOLVED','92','74','2020-10-15 20:22:12','2020-10-18 02:23:28',null);
INSERT INTO complaint_statuses VALUES('5928','1701','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-15 20:36:26','2020-10-15 20:36:36',null);
INSERT INTO complaint_statuses VALUES('5929','1699','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-15 20:38:18','2020-10-15 20:38:28',null);
INSERT INTO complaint_statuses VALUES('5930','1698','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-15 20:40:50','2020-10-15 20:41:01',null);
INSERT INTO complaint_statuses VALUES('5931','1772','3',null,'88',null,'15-OCT-2020
FF TO KHURRAM 5 STAR','74','74','2020-10-15 20:43:05','2020-10-15 20:43:05',null);
INSERT INTO complaint_statuses VALUES('5932','1735','8','23','58','OTHER#0333-5581558 IC NO PA CALL KARAY',null,'81','81','2020-10-15 20:45:02','2020-10-15 20:45:02',null);
INSERT INTO complaint_statuses VALUES('5933','1730','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-15 20:46:28','2020-10-15 20:47:01',null);
INSERT INTO complaint_statuses VALUES('5934','1694','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-15 20:51:21','2020-10-15 20:51:57',null);
INSERT INTO complaint_statuses VALUES('5935','1680','5',null,null,'VISIT TO DAY','AJ VISIT HO GAY GA
SOFTWARE KI WAJA 


SA DELAY 








COMPLIANT

COMPLAINT RESOLVED','92','74','2020-10-15 20:53:18','2020-11-11 22:37:05',null);
INSERT INTO complaint_statuses VALUES('5936','1773','2',null,'81',null,'15-OCT-2020
FF TO KHALID SAB','74','74','2020-10-15 20:55:40','2020-10-15 20:55:40',null);
INSERT INTO complaint_statuses VALUES('5937','1733','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-15 21:11:19','2020-10-15 21:11:39',null);
INSERT INTO complaint_statuses VALUES('5938','1754','7','12','81','thermostat change.payemnt crm k bill  enter kr gain /c/akber sb confirm by adil fhss',null,'79','79','2020-10-15 21:13:01','2020-10-15 21:13:01',null);
INSERT INTO complaint_statuses VALUES('5939','1774','2',null,'81',null,'15-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-15 21:15:44','2020-10-15 21:15:44',null);
INSERT INTO complaint_statuses VALUES('5940','1774','4',null,'55',null,'VISIT TO DAY','81','74','2020-10-15 21:16:54','2020-10-20 02:07:07',null);
INSERT INTO complaint_statuses VALUES('5941','1773','4',null,'56',null,null,'81','81','2020-10-15 21:17:09','2020-10-15 21:17:09',null);
INSERT INTO complaint_statuses VALUES('5942','1651','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-15 21:18:44','2020-10-15 21:18:54',null);
INSERT INTO complaint_statuses VALUES('5943','1754','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-15 21:19:55','2020-10-15 21:21:38',null);
INSERT INTO complaint_statuses VALUES('5944','1650','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-15 21:22:48','2020-10-15 21:22:58',null);
INSERT INTO complaint_statuses VALUES('5945','1649','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-15 21:25:36','2020-10-15 21:25:49',null);
INSERT INTO complaint_statuses VALUES('5946','1665','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-15 21:25:40','2020-10-15 21:26:52',null);
INSERT INTO complaint_statuses VALUES('5947','1648','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-15 21:27:37','2020-10-15 21:27:46',null);
INSERT INTO complaint_statuses VALUES('5948','1654','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-15 21:33:02','2020-10-15 21:33:11',null);
INSERT INTO complaint_statuses VALUES('5949','1645','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-15 21:35:41','2020-10-15 21:36:00',null);
INSERT INTO complaint_statuses VALUES('5950','1645','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-10-15 21:35:51','2020-10-15 21:35:51',null);
INSERT INTO complaint_statuses VALUES('5951','1705','7','12','81','water inlet valve repair  
2500 charge from customer    
kindly close Job',null,'83','83','2020-10-15 21:44:23','2020-10-15 21:44:23',null);
INSERT INTO complaint_statuses VALUES('5952','1631','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-15 21:45:27','2020-10-15 21:45:37',null);
INSERT INTO complaint_statuses VALUES('5953','1627','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-15 21:48:26','2020-10-15 21:48:37',null);
INSERT INTO complaint_statuses VALUES('5954','1776','2',null,'81',null,'15-OCT-2020
FF TO B COOL','74','74','2020-10-15 22:06:09','2020-10-15 22:06:09',null);
INSERT INTO complaint_statuses VALUES('5955','1777','2',null,'81',null,'15-OCT-2020
FF TO NADEEM AV','74','74','2020-10-15 22:19:37','2020-10-15 22:19:37',null);
INSERT INTO complaint_statuses VALUES('5956','1566','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-15 22:22:24','2020-10-15 22:22:35',null);
INSERT INTO complaint_statuses VALUES('5957','1749','8','23','62',null,null,'81','81','2020-10-15 22:25:25','2020-10-15 22:25:25',null);
INSERT INTO complaint_statuses VALUES('5958','1716','8','23','58',null,null,'81','81','2020-10-15 22:25:57','2020-10-15 22:25:57',null);
INSERT INTO complaint_statuses VALUES('5959','1707','8','23','55',null,null,'81','81','2020-10-15 22:26:41','2020-10-15 22:26:41',null);
INSERT INTO complaint_statuses VALUES('5960','1705','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-15 22:27:17','2020-10-15 22:57:03',null);
INSERT INTO complaint_statuses VALUES('5961','1590','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-15 22:28:32','2020-10-15 22:59:56',null);
INSERT INTO complaint_statuses VALUES('5962','1576','8','23','55','please send me details of payment',null,'81','81','2020-10-15 22:29:46','2020-10-15 22:29:46',null);
INSERT INTO complaint_statuses VALUES('5963','1778','2',null,'81',null,'15-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-15 22:33:42','2020-10-15 22:33:42',null);
INSERT INTO complaint_statuses VALUES('5964','1749','7','12','81','ISSUE RESOLVED , FILTER SAAF KYE',null,'87','87','2020-10-15 22:48:36','2020-10-15 22:48:36',null);
INSERT INTO complaint_statuses VALUES('5965','1757','3',null,'66',null,'NO VISIT','74','74','2020-10-15 22:51:27','2020-10-25 01:13:50',null);
INSERT INTO complaint_statuses VALUES('5966','1779','3',null,'55',null,'15-OCT-2020
FF TO NAEEM KENWOOD','74','74','2020-10-15 22:56:54','2020-10-15 22:56:54',null);
INSERT INTO complaint_statuses VALUES('5967','1778','4',null,'58',null,null,'81','81','2020-10-15 22:59:38','2020-10-15 22:59:38',null);
INSERT INTO complaint_statuses VALUES('5968','1777','4',null,'59',null,null,'81','81','2020-10-15 22:59:55','2020-10-15 22:59:55',null);
INSERT INTO complaint_statuses VALUES('5969','1776','4',null,'58',null,'VISIT TO DAY','81','74','2020-10-15 23:00:18','2020-10-17 21:33:20',null);
INSERT INTO complaint_statuses VALUES('5970','1780','2',null,'81',null,'15-OCT-2020
FF TO AZHAR RAMZAN','74','74','2020-10-15 23:03:54','2020-10-15 23:03:54',null);
INSERT INTO complaint_statuses VALUES('5971','1746','7','12','81','job complete visit + software+setting RS 2500',null,'80','80','2020-10-15 23:10:46','2020-10-15 23:10:46',null);
INSERT INTO complaint_statuses VALUES('5972','1781','3',null,'85',null,'15-OCT-2020
COMPLAINT#1059809','74','92','2020-10-15 23:31:32','2020-10-15 23:43:32',null);
INSERT INTO complaint_statuses VALUES('5973','1780','4',null,'60',null,'VISIT TO DAY','81','74','2020-10-15 23:39:15','2020-10-20 01:16:16',null);
INSERT INTO complaint_statuses VALUES('5974','1775','3',null,'52',null,'NO VISIT COMPANY REMINDER DA DIA','74','74','2020-10-15 23:49:22','2020-10-25 01:44:08',null);
INSERT INTO complaint_statuses VALUES('5975','1740','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-16 00:06:58','2020-10-16 00:07:09',null);
INSERT INTO complaint_statuses VALUES('5976','1782','3',null,'81',null,'15-OCT-2020
COMPLAINT#3032','74','92','2020-10-16 00:07:07','2020-10-16 00:12:48',null);
INSERT INTO complaint_statuses VALUES('5977','1353','8','23','60','OTHER #03018233207 IC NO PA CONTACT KARAY','COMPLAINT CLOSED OTHER NO SA COMPLAINT BANA DI','81','74','2020-10-16 00:16:35','2020-11-10 20:43:51',null);
INSERT INTO complaint_statuses VALUES('5978','1742','7','24','81','kindly provide filled warranty document with invoice  to proceed claim',null,'83','83','2020-10-16 00:28:05','2020-10-16 00:28:05',null);
INSERT INTO complaint_statuses VALUES('5979','1783','3',null,'52',null,'15-OCT-2020
COMPLAINT#PKRI-201015108879','74','74','2020-10-16 01:25:39','2020-10-16 01:25:39',null);
INSERT INTO complaint_statuses VALUES('5980','1784','2',null,'81',null,'15-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-16 01:57:49','2020-10-16 01:57:49',null);
INSERT INTO complaint_statuses VALUES('5981','1784','4',null,'55',null,null,'81','81','2020-10-16 01:59:01','2020-10-16 01:59:01',null);
INSERT INTO complaint_statuses VALUES('5982','1785','2',null,'81',null,'15-OCT-2020
COM FF TO USMAN MRM','92','92','2020-10-16 02:17:57','2020-10-16 02:17:57',null);
INSERT INTO complaint_statuses VALUES('5983','1785','4',null,'61',null,null,'81','81','2020-10-16 02:18:31','2020-10-16 02:18:31',null);
INSERT INTO complaint_statuses VALUES('5984','1786','2',null,'81',null,'15-OCT-2020
COM FF TO SHAMIM AKHTAR','92','92','2020-10-16 02:39:03','2020-10-16 02:39:03',null);
INSERT INTO complaint_statuses VALUES('5985','1786','4',null,'55',null,null,'81','81','2020-10-16 02:40:26','2020-10-16 02:40:26',null);
INSERT INTO complaint_statuses VALUES('5986','1787','3',null,'55',null,'15-OC5T-2020
FF TO NAEEM KENWOOD','74','92','2020-10-16 03:00:24','2020-10-31 20:35:44',null);
INSERT INTO complaint_statuses VALUES('5987','1747','7','12','81','Demonstration Only (Charges Pending 600/-)',null,'76','76','2020-10-16 19:06:19','2020-10-16 19:06:19',null);
INSERT INTO complaint_statuses VALUES('5988','1669','7','24','81','Pls share warranty',null,'77','77','2020-10-16 20:40:12','2020-10-16 20:40:12',null);
INSERT INTO complaint_statuses VALUES('5989','1737','7','9','81','Wrong Number',null,'77','77','2020-10-16 20:41:26','2020-10-16 20:41:26',null);
INSERT INTO complaint_statuses VALUES('5990','1788','3',null,'52',null,'16-OCT-2020
COMPLAINT#PKRI-201016103143','74','74','2020-10-16 20:47:21','2020-10-16 20:47:21',null);
INSERT INTO complaint_statuses VALUES('5991','1789','2',null,'81',null,'16-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-16 20:58:51','2020-10-16 20:58:51',null);
INSERT INTO complaint_statuses VALUES('5992','1789','4',null,'55',null,null,'81','81','2020-10-16 20:59:15','2020-10-16 20:59:15',null);
INSERT INTO complaint_statuses VALUES('5993','924','7','20','81','Its sony warranty we got approval from sony and part is already demanded.',null,'77','77','2020-10-16 21:00:08','2020-10-16 21:00:08',null);
INSERT INTO complaint_statuses VALUES('5994','936','7','20','81','Part will be received next week',null,'77','77','2020-10-16 21:06:22','2020-10-16 21:06:22',null);
INSERT INTO complaint_statuses VALUES('5995','1736','7','24','81','Pcb utar ky laye hy',null,'82','82','2020-10-16 21:07:30','2020-10-16 21:07:30',null);
INSERT INTO complaint_statuses VALUES('5996','1790','2',null,'81',null,'16-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-16 21:30:16','2020-10-16 21:30:16',null);
INSERT INTO complaint_statuses VALUES('5997','1586','7','12','81','Panel changed. Pls collect the unit',null,'77','77','2020-10-16 21:46:45','2020-10-16 21:46:45',null);
INSERT INTO complaint_statuses VALUES('5998','1406','7','12','81','Main board replace. Unit ok. Pls collect.',null,'77','77','2020-10-16 21:50:55','2020-10-16 21:50:55',null);
INSERT INTO complaint_statuses VALUES('5999','1792','2',null,'81',null,null,'74','74','2020-10-16 21:57:37','2020-10-16 21:57:37',null);
INSERT INTO complaint_statuses VALUES('6000','1791','2',null,'81',null,null,'74','74','2020-10-16 21:57:58','2020-10-16 21:57:58',null);
INSERT INTO complaint_statuses VALUES('6001','1790','4',null,'55',null,null,'81','81','2020-10-16 21:58:47','2020-10-16 21:58:47',null);
INSERT INTO complaint_statuses VALUES('6002','1791','4',null,'56',null,null,'81','81','2020-10-16 21:59:00','2020-10-16 21:59:00',null);
INSERT INTO complaint_statuses VALUES('6003','1792','4',null,'56',null,null,'81','81','2020-10-16 21:59:30','2020-10-16 21:59:30',null);
INSERT INTO complaint_statuses VALUES('6004','1283','5',null,null,'CLOSED',null,'74','74','2020-10-16 22:00:57','2020-10-16 22:00:57',null);
INSERT INTO complaint_statuses VALUES('6005','1617','7','12','81','Unit deliver back to customer yesterday',null,'83','83','2020-10-16 22:07:41','2020-10-16 22:07:41',null);
INSERT INTO complaint_statuses VALUES('6006','1717','7','9','81','Customer dont want to repaire the unit. He need replacment. As  purchased before 8 days',null,'77','77','2020-10-16 22:09:53','2020-10-16 22:09:53',null);
INSERT INTO complaint_statuses VALUES('6007','1751','7','11','81','Please Provide correct Number',null,'76','76','2020-10-16 22:18:25','2020-10-16 22:18:25',null);
INSERT INTO complaint_statuses VALUES('6008','1749','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-16 23:39:24','2020-10-17 19:33:48',null);
INSERT INTO complaint_statuses VALUES('6009','1747','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-16 23:41:24','2020-10-19 20:31:01',null);
INSERT INTO complaint_statuses VALUES('6010','1751','8','23','55','correct #0333-5335717',null,'81','81','2020-10-16 23:42:10','2020-10-16 23:42:10',null);
INSERT INTO complaint_statuses VALUES('6011','1746','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-16 23:42:16','2020-10-17 21:05:30',null);
INSERT INTO complaint_statuses VALUES('6012','1736','8','23','60','PLEASE COMPLETE THIS JOB QUIKLY',null,'81','81','2020-10-16 23:43:26','2020-10-16 23:43:26',null);
INSERT INTO complaint_statuses VALUES('6013','1737','8','15','56','TRY AGAIN CORRECT # HAIN',null,'81','81','2020-10-16 23:46:02','2020-10-16 23:46:02',null);
INSERT INTO complaint_statuses VALUES('6014','1617','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-16 23:46:41','2020-10-17 21:21:42',null);
INSERT INTO complaint_statuses VALUES('6015','1792','7','20','81','main board faulty need approval. total cost Rs.37,615',null,'77','77','2020-10-17 00:52:16','2020-10-17 00:52:16',null);
INSERT INTO complaint_statuses VALUES('6016','1791','7','20','81','main board faulty need approval. total cost Rs.37,615',null,'77','77','2020-10-17 00:52:32','2020-10-17 00:52:32',null);
INSERT INTO complaint_statuses VALUES('6017','1793','2',null,'81',null,'16-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-17 00:57:25','2020-10-17 00:57:25',null);
INSERT INTO complaint_statuses VALUES('6018','1793','4',null,'55',null,'LIFT IN SERVICE CENTER','81','92','2020-10-17 00:58:20','2020-10-20 21:21:46',null);
INSERT INTO complaint_statuses VALUES('6019','1488','7','12','81','Only service unit ok.',null,'77','77','2020-10-17 01:07:06','2020-10-17 01:07:06',null);
INSERT INTO complaint_statuses VALUES('6020','1794','3',null,'54',null,'16-OCT-2020
COMPLAINT#1753459','74','74','2020-10-17 01:27:32','2020-10-17 01:27:32',null);
INSERT INTO complaint_statuses VALUES('6021','1795','2',null,'81',null,'16-OCT-2020
FF TO B.COOL','74','74','2020-10-17 02:29:02','2020-10-17 02:29:02',null);
INSERT INTO complaint_statuses VALUES('6022','1795','4',null,'58',null,null,'81','81','2020-10-17 02:29:53','2020-10-17 02:29:53',null);
INSERT INTO complaint_statuses VALUES('6023','1778','7','28','81','duble entery',null,'79','79','2020-10-17 19:12:32','2020-10-17 19:12:32',null);
INSERT INTO complaint_statuses VALUES('6024','1792','8','23','56','NAEEM SAB NA APPROVAL DA DI HAIN SET READY KARAY',null,'81','81','2020-10-17 19:31:49','2020-10-17 19:31:49',null);
INSERT INTO complaint_statuses VALUES('6025','1791','8','23','56','NAEEM SAB NA APPROVAL DA DI HAIN SET READY KARAY',null,'81','81','2020-10-17 19:32:29','2020-10-17 19:32:29',null);
INSERT INTO complaint_statuses VALUES('6026','1783','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-17 19:44:58','2020-10-17 19:45:33',null);
INSERT INTO complaint_statuses VALUES('6027','1788','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-17 19:49:34','2020-10-17 19:49:47',null);
INSERT INTO complaint_statuses VALUES('6028','1796','2',null,'81',null,'17-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-17 19:52:20','2020-10-17 19:52:20',null);
INSERT INTO complaint_statuses VALUES('6029','1796','4',null,'62',null,null,'81','81','2020-10-17 19:53:23','2020-10-17 19:53:23',null);
INSERT INTO complaint_statuses VALUES('6030','1771','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-17 19:53:32','2020-10-17 19:53:43',null);
INSERT INTO complaint_statuses VALUES('6031','1752','7','12','81','ISSUE RESOLVED.SERVICE KIA',null,'87','87','2020-10-17 20:12:07','2020-10-17 20:12:07',null);
INSERT INTO complaint_statuses VALUES('6032','1697','7','12','81','ISSUE RESOLVED,THERMOSTAT REP',null,'87','87','2020-10-17 20:12:54','2020-10-17 20:12:54',null);
INSERT INTO complaint_statuses VALUES('6033','1748','7','12','81','Frig unho ny kahnhi bheja hy theek karwany',null,'82','82','2020-10-17 20:14:36','2020-10-17 20:14:36',null);
INSERT INTO complaint_statuses VALUES('6034','1736','7','24','81',null,null,'82','82','2020-10-17 20:15:03','2020-10-17 20:15:03',null);
INSERT INTO complaint_statuses VALUES('6035','1797','2',null,'81',null,'17-OCT-2020
FF TO B.COOL','74','74','2020-10-17 20:15:03','2020-10-17 20:15:03',null);
INSERT INTO complaint_statuses VALUES('6036','1797','4',null,'58',null,null,'81','81','2020-10-17 20:15:44','2020-10-17 20:15:44',null);
INSERT INTO complaint_statuses VALUES('6037','1753','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-17 20:24:51','2020-10-17 20:25:03',null);
INSERT INTO complaint_statuses VALUES('6038','1717','8','23','56','SIR YHA MODEL COMPANY WARRANTY KA HAIN CUSTOMER KO SATISFIED KARAY',null,'81','81','2020-10-17 20:28:01','2020-10-17 20:28:01',null);
INSERT INTO complaint_statuses VALUES('6039','1778','5','15',null,'COMPLETED COMPLAINT','CLOSED','81','74','2020-10-17 20:30:39','2020-10-17 20:32:38',null);
INSERT INTO complaint_statuses VALUES('6040','1752','8','15','62','COMPLETED COMPLAINT',null,'81','81','2020-10-17 20:31:53','2020-10-17 20:31:53',null);
INSERT INTO complaint_statuses VALUES('6041','1729','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-17 20:36:55','2020-10-17 20:37:07',null);
INSERT INTO complaint_statuses VALUES('6042','1720','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-17 20:41:47','2020-10-17 20:42:22',null);
INSERT INTO complaint_statuses VALUES('6043','1798','3',null,'62',null,'17-OCT-2020
FF TO KHURRAM 5 STAR','74','74','2020-10-17 20:44:55','2020-10-17 20:44:55',null);
INSERT INTO complaint_statuses VALUES('6044','1638','7','20','81','Wifi board faulty. Need your approval. 13,780',null,'77','77','2020-10-17 21:21:25','2020-10-17 21:21:25',null);
INSERT INTO complaint_statuses VALUES('6045','1773','7','12','81','Unit in no power. Its PCB faulty. Cost 36,010. Need you approval.',null,'77','77','2020-10-17 21:30:33','2020-10-17 21:30:33',null);
INSERT INTO complaint_statuses VALUES('6046','1781','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-17 21:34:22','2020-10-17 21:34:33',null);
INSERT INTO complaint_statuses VALUES('6047','1779','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-17 21:36:54','2020-10-17 21:37:06',null);
INSERT INTO complaint_statuses VALUES('6048','1800','2',null,'81',null,'17-OCT-2020
FF TO B.COOL','74','74','2020-10-17 21:39:45','2020-10-17 21:39:45',null);
INSERT INTO complaint_statuses VALUES('6049','1800','4',null,'58',null,'NOT ATTEND CALL','81','92','2020-10-17 21:40:45','2020-10-20 20:55:21',null);
INSERT INTO complaint_statuses VALUES('6050','1804','3',null,'55',null,'17-OCT-2020
FF TO WAQAR KENWOOD','74','74','2020-10-17 22:00:34','2020-10-17 22:00:34',null);
INSERT INTO complaint_statuses VALUES('6051','1805','2',null,'81',null,'17-OCT-2020
COM FF TO NADEEM AZHAR','92','74','2020-10-17 22:11:31','2020-10-17 22:27:04',null);
INSERT INTO complaint_statuses VALUES('6052','1806','2',null,'81',null,'17-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-17 22:16:29','2020-10-17 22:16:29',null);
INSERT INTO complaint_statuses VALUES('6053','1806','4',null,'55',null,null,'81','81','2020-10-17 22:17:17','2020-10-17 22:17:17',null);
INSERT INTO complaint_statuses VALUES('6054','1807','2',null,'81',null,'17-OCT-2020
FF TO KHURRAM 5 STAR','74','74','2020-10-17 22:24:55','2020-10-17 22:24:55',null);
INSERT INTO complaint_statuses VALUES('6055','1807','4',null,'63',null,null,'81','81','2020-10-17 22:27:32','2020-10-17 22:27:32',null);
INSERT INTO complaint_statuses VALUES('6056','1805','4',null,'59',null,null,'81','81','2020-10-17 22:27:46','2020-10-17 22:27:46',null);
INSERT INTO complaint_statuses VALUES('6057','1808','3',null,'52',null,'17-OCT-2020
COMPLIANT#PKRI-201020103900','74','92','2020-10-17 22:32:31','2020-10-20 20:41:30',null);
INSERT INTO complaint_statuses VALUES('6058','1736','8','23','60','please complete this job quikly',null,'81','81','2020-10-17 22:40:08','2020-10-17 22:40:08',null);
INSERT INTO complaint_statuses VALUES('6059','1697','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-17 22:40:49','2020-10-21 23:06:12',null);
INSERT INTO complaint_statuses VALUES('6060','1773','8','23','56','approved by naeem sb',null,'81','81','2020-10-17 22:42:39','2020-10-17 22:42:39',null);
INSERT INTO complaint_statuses VALUES('6061','1669','8','23','56','please check it . its display unit',null,'81','81','2020-10-17 23:00:21','2020-10-17 23:00:21',null);
INSERT INTO complaint_statuses VALUES('6062','1809','3',null,'53',null,'17-OCT-2020
COM NO 1060530','92','92','2020-10-17 23:00:57','2020-10-17 23:00:57',null);
INSERT INTO complaint_statuses VALUES('6063','1810','3',null,'62',null,'17-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-17 23:20:46','2020-10-17 23:20:46',null);
INSERT INTO complaint_statuses VALUES('6064','1748','8','23','60','YHA REF AP K PASS PHASE 7 S/C MAIN AAYA HOA',null,'81','81','2020-10-17 23:21:37','2020-10-17 23:21:37',null);
INSERT INTO complaint_statuses VALUES('6065','1811','2',null,'81',null,'17-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-17 23:36:06','2020-10-17 23:36:06',null);
INSERT INTO complaint_statuses VALUES('6066','1812','2',null,'81',null,'17-OCT-2020
FF TO B.COOL','74','74','2020-10-17 23:46:13','2020-10-17 23:46:13',null);
INSERT INTO complaint_statuses VALUES('6067','1812','4',null,'58',null,null,'81','81','2020-10-17 23:46:38','2020-10-17 23:46:38',null);
INSERT INTO complaint_statuses VALUES('6068','1811','4',null,'55',null,'AJ VISIT HO GA','81','92','2020-10-17 23:46:49','2020-10-20 20:32:24',null);
INSERT INTO complaint_statuses VALUES('6069','1813','3',null,'62',null,'17-OCT-2020
FF TO KHURRAM 5 STAR','74','74','2020-10-17 23:53:49','2020-10-17 23:53:49',null);
INSERT INTO complaint_statuses VALUES('6070','1488','8','23','56','where is unit your service center ya customer home . its sony company warranty unit',null,'81','81','2020-10-17 23:54:32','2020-10-17 23:54:32',null);
INSERT INTO complaint_statuses VALUES('6071','1814','3',null,'57',null,'17-OCT-2020
COM NO 13885','92','92','2020-10-17 23:57:39','2020-10-17 23:57:39',null);
INSERT INTO complaint_statuses VALUES('6072','1815','3',null,'65',null,'17-OCT-2020
COMPLAINT# 192018645','74','74','2020-10-18 00:00:31','2020-10-18 00:00:31',null);
INSERT INTO complaint_statuses VALUES('6073','1803','3',null,'72',null,'W/D S/C WORKING IN PROCESS','74','74','2020-10-18 00:07:42','2020-10-24 22:09:32',null);
INSERT INTO complaint_statuses VALUES('6074','1801','3',null,'72',null,'COMPLAINT CLOSED','74','74','2020-10-18 00:08:02','2020-10-25 01:40:37',null);
INSERT INTO complaint_statuses VALUES('6075','1799','3',null,'72',null,'COMPLAINT RESOLVED','74','74','2020-10-18 00:08:17','2020-10-25 01:21:32',null);
INSERT INTO complaint_statuses VALUES('6076','1816','3',null,'52',null,'17-OCT-2020
COM NO PKRI201017108264','92','92','2020-10-18 00:24:40','2020-10-18 00:24:40',null);
INSERT INTO complaint_statuses VALUES('6077','1817','3',null,'54',null,'17-OCT-2020
COM NO 1754013','92','92','2020-10-18 00:45:47','2020-10-23 02:17:12',null);
INSERT INTO complaint_statuses VALUES('6078','1818','3',null,'54',null,'17-OCT-2020
COM NO 1754030','92','92','2020-10-18 01:00:37','2020-10-18 01:00:37',null);
INSERT INTO complaint_statuses VALUES('6079','1819','3',null,'52',null,'17-OCT-2020
COMPLAINT#PKRI-201017109335','74','92','2020-10-18 01:13:14','2020-10-18 01:19:28',null);
INSERT INTO complaint_statuses VALUES('6080','1742','8','23','61','WARRANTY CARD&INVICE  WHATS APP KAR DI HAIN','SET USMMAN SAB K S/C MAIN WORKING IN PROCESS HAIN','81','74','2020-10-18 01:16:15','2020-10-28 21:49:39',null);
INSERT INTO complaint_statuses VALUES('6081','1820','3',null,'52',null,'17-OCT-2020
COM NO PKRI201017110281','92','92','2020-10-18 02:05:53','2020-10-18 02:05:53',null);
INSERT INTO complaint_statuses VALUES('6082','1821','2',null,'81',null,'17-OCT-2020
COM FF TO HOME SOLUTION','92','92','2020-10-18 02:16:02','2020-10-18 02:16:02',null);
INSERT INTO complaint_statuses VALUES('6083','1821','4',null,'62',null,null,'81','81','2020-10-18 02:16:19','2020-10-18 02:16:19',null);
INSERT INTO complaint_statuses VALUES('6084','1802','3',null,'84',null,null,'74','74','2020-10-18 02:21:08','2020-10-18 02:21:08',null);
INSERT INTO complaint_statuses VALUES('6085','1822','2',null,'81',null,'17-OCT-2020
COM FF TO KHALID SONY','92','92','2020-10-18 02:39:54','2020-10-18 02:39:54',null);
INSERT INTO complaint_statuses VALUES('6086','1822','4',null,'56',null,null,'81','81','2020-10-18 02:53:42','2020-10-18 02:53:42',null);
INSERT INTO complaint_statuses VALUES('6087','1823','3',null,'52',null,'17-OCT-2020
COM NO PKRI201017111043','92','92','2020-10-18 02:55:17','2020-10-18 02:55:17',null);
INSERT INTO complaint_statuses VALUES('6088','1752','7','12','81','ISSUE RESOLVED',null,'87','87','2020-10-18 04:09:17','2020-10-18 04:09:17',null);
INSERT INTO complaint_statuses VALUES('6089','1137','7','12','81','customer abhi nahi ly kr aye gain .kinldy closed the complete',null,'79','79','2020-10-18 19:11:20','2020-10-18 19:11:20',null);
INSERT INTO complaint_statuses VALUES('6090','1534','7','12','81','compliant resolved unit delivered',null,'79','79','2020-10-18 19:13:07','2020-10-18 19:13:07',null);
INSERT INTO complaint_statuses VALUES('6091','1735','7','12','81','customer  end  fault tha .inlet pipes galt lga deye thy.complaint resolved','NOT ATTEND CALL','79','74','2020-10-18 19:15:13','2020-10-22 03:06:56',null);
INSERT INTO complaint_statuses VALUES('6092','1691','7','22','81','is ka kia kerna hai cusotemr sy agr bt ho ga ihai tu complaint complete kr dein.',null,'79','79','2020-10-18 19:27:52','2020-10-18 19:27:52',null);
INSERT INTO complaint_statuses VALUES('6093','1824','2',null,'81',null,'18-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-18 19:50:10','2020-10-18 19:50:10',null);
INSERT INTO complaint_statuses VALUES('6094','1825','3',null,'54',null,'18-OCT-2020
COM NO 1754242','92','92','2020-10-18 20:20:14','2020-10-18 20:20:14',null);
INSERT INTO complaint_statuses VALUES('6095','1826','2',null,'81',null,'18-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-18 20:36:39','2020-10-18 20:36:39',null);
INSERT INTO complaint_statuses VALUES('6096','1826','4',null,'58',null,null,'81','81','2020-10-18 20:39:12','2020-10-18 20:39:12',null);
INSERT INTO complaint_statuses VALUES('6097','1824','4',null,'62',null,null,'81','81','2020-10-18 20:39:19','2020-10-18 20:39:19',null);
INSERT INTO complaint_statuses VALUES('6098','1827','3',null,'58',null,'REF TO TAHIR BEST COOL
C/O SADDIQ SB

COMPLAIN#201018091822','73','73','2020-10-18 21:30:20','2020-10-18 21:31:07',null);
INSERT INTO complaint_statuses VALUES('6099','1828','3',null,'66',null,'18-OCT-2020
FF TO MARIYAM TCL','92','74','2020-10-18 21:35:32','2020-10-20 01:10:27',null);
INSERT INTO complaint_statuses VALUES('6100','1718','7','24','81','wm aj work shop aye hai',null,'79','79','2020-10-18 21:43:54','2020-10-18 21:43:54',null);
INSERT INTO complaint_statuses VALUES('6101','1829','3',null,'73',null,'18-OCT-2020
COM FF TO MUNAWAR CANON','92','92','2020-10-18 21:47:47','2020-10-18 21:47:47',null);
INSERT INTO complaint_statuses VALUES('6102','1776','7','12','81','complaint resolved .jet issue','COMPLAINT RESOLVED','79','92','2020-10-18 21:57:20','2020-10-19 19:56:12',null);
INSERT INTO complaint_statuses VALUES('6103','1830','3',null,'65',null,'18-OCT-2020
COM NO 192018764','92','92','2020-10-18 22:11:48','2020-10-28 19:46:00',null);
INSERT INTO complaint_statuses VALUES('6104','1831','2',null,'81',null,'18-OCT-2020
COMM FF TO BEST COOL','92','92','2020-10-18 22:35:49','2020-10-18 22:35:49',null);
INSERT INTO complaint_statuses VALUES('6105','1768','7','24','81','gas leakge hai .customer baher sy kerna  chata hai customer ko bol dya hai k  compreesor ki warrnty khatm  ho jaye gi',null,'79','79','2020-10-18 22:38:27','2020-10-18 22:38:27',null);
INSERT INTO complaint_statuses VALUES('6106','1797','7','24','81','i ski gas leakge hai cusotemr ny pehly local tecnicain sy gas cahrges kerwa li hai.phr leakge ho gai hai',null,'79','79','2020-10-18 22:39:50','2020-10-18 22:39:50',null);
INSERT INTO complaint_statuses VALUES('6107','1832','3',null,'52',null,'18-OCT-2020
COM NO PKRI20101810544','92','92','2020-10-18 22:42:57','2020-10-18 23:32:00',null);
INSERT INTO complaint_statuses VALUES('6108','1833','3',null,'54',null,'18-OCT-2020
COM NO 1754353','92','92','2020-10-18 23:08:09','2020-10-18 23:08:09',null);
INSERT INTO complaint_statuses VALUES('6109','1834','3',null,'52',null,'18-OCT-2020
COM NO PKRI201018105382','92','92','2020-10-18 23:36:45','2020-10-18 23:36:45',null);
INSERT INTO complaint_statuses VALUES('6110','1835','3',null,'58',null,'18-OCT-2020
COM FF TO SHAMIM AKHTAR','92','92','2020-10-18 23:53:15','2020-10-18 23:53:15',null);
INSERT INTO complaint_statuses VALUES('6111','1831','4',null,'58',null,null,'81','81','2020-10-19 00:16:26','2020-10-19 00:16:26',null);
INSERT INTO complaint_statuses VALUES('6112','1836','3',null,'66',null,'18-OCT-2020
FF TO MARIYAM TCL
COMPLAINT#PK10202020200047','92','74','2020-10-19 00:17:27','2020-10-21 23:50:23',null);
INSERT INTO complaint_statuses VALUES('6113','1837','3',null,'53',null,'18-OCT-2020
COM NO 1060825','92','92','2020-10-19 00:47:54','2020-10-19 00:47:54',null);
INSERT INTO complaint_statuses VALUES('6114','1838','2',null,'81',null,'18-OCT-2020
COM FF TO HOME SOLUTION','92','92','2020-10-19 01:49:54','2020-10-19 01:49:54',null);
INSERT INTO complaint_statuses VALUES('6115','1838','4',null,'62',null,null,'81','81','2020-10-19 02:01:02','2020-10-19 02:01:02',null);
INSERT INTO complaint_statuses VALUES('6116','1725','7','12','81','compliant resolved igntion wire issue',null,'79','79','2020-10-19 19:22:29','2020-10-19 19:22:29',null);
INSERT INTO complaint_statuses VALUES('6117','1840','2',null,'81',null,'19-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-19 19:55:43','2020-10-19 19:55:43',null);
INSERT INTO complaint_statuses VALUES('6118','1840','4',null,'55',null,null,'81','81','2020-10-19 19:56:22','2020-10-19 19:56:22',null);
INSERT INTO complaint_statuses VALUES('6119','1734','7','12','81','DENT THA  THEEK KR DYA HAI',null,'79','79','2020-10-19 19:58:59','2020-10-19 19:58:59',null);
INSERT INTO complaint_statuses VALUES('6120','1839','3',null,'84',null,null,'74','74','2020-10-19 20:09:08','2020-10-19 20:09:08',null);
INSERT INTO complaint_statuses VALUES('6121','1841','3',null,'61',null,'19-OCT-2020
COM NO 202010008812','92','92','2020-10-19 20:11:03','2020-10-19 20:11:03',null);
INSERT INTO complaint_statuses VALUES('6122','1797','5','15',null,'FF TO USMAN MRM','COMPLAINT FF USMAN MRM','81','74','2020-10-19 20:13:54','2020-10-19 20:24:49',null);
INSERT INTO complaint_statuses VALUES('6123','1842','2',null,'81',null,'17-OCT-2020
FF TO USMAN MRM','74','74','2020-10-19 20:18:11','2020-10-19 20:18:11',null);
INSERT INTO complaint_statuses VALUES('6124','1842','4',null,'61',null,null,'81','81','2020-10-19 20:18:50','2020-10-19 20:18:50',null);
INSERT INTO complaint_statuses VALUES('6125','1776','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-10-19 20:22:01','2020-10-19 20:22:32',null);
INSERT INTO complaint_statuses VALUES('6126','1752','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-19 20:26:12','2020-10-19 20:26:38',null);
INSERT INTO complaint_statuses VALUES('6127','1843','2',null,'81',null,'19-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-19 20:34:18','2020-10-19 20:34:18',null);
INSERT INTO complaint_statuses VALUES('6128','1734','5','15',null,'COMPLETED COMPLAINT','RESOLVED COMPLAINT','81','74','2020-10-19 20:39:34','2020-10-19 20:40:06',null);
INSERT INTO complaint_statuses VALUES('6129','1725','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-10-19 20:41:01','2020-10-19 20:41:24',null);
INSERT INTO complaint_statuses VALUES('6130','1534','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-10-19 20:43:10','2020-10-19 20:46:39',null);
INSERT INTO complaint_statuses VALUES('6131','1844','2',null,'81',null,'19-OCT-2020
COM FF TO TAHIR RAMZAN','92','92','2020-10-19 20:46:33','2020-10-19 20:46:33',null);
INSERT INTO complaint_statuses VALUES('6132','935','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-19 20:49:03','2020-10-19 20:49:03',null);
INSERT INTO complaint_statuses VALUES('6133','862','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-19 20:53:25','2020-10-19 20:53:25',null);
INSERT INTO complaint_statuses VALUES('6134','749','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-19 20:59:48','2020-10-19 20:59:48',null);
INSERT INTO complaint_statuses VALUES('6135','1823','5',null,null,'AJ VISIT HO GA','COMPLAINT RESOLVED','92','92','2020-10-19 21:00:03','2020-10-21 21:51:38',null);
INSERT INTO complaint_statuses VALUES('6136','806','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-19 21:06:32','2020-10-19 21:06:32',null);
INSERT INTO complaint_statuses VALUES('6137','1772','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-19 21:07:02','2020-10-19 21:07:12',null);
INSERT INTO complaint_statuses VALUES('6138','1766','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-19 21:09:44','2020-10-19 21:09:55',null);
INSERT INTO complaint_statuses VALUES('6139','1755','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-19 21:13:33','2020-10-19 21:13:43',null);
INSERT INTO complaint_statuses VALUES('6140','1738','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-19 21:18:05','2020-10-19 21:18:15',null);
INSERT INTO complaint_statuses VALUES('6141','1845','3',null,'52',null,'19-OCT-2020
COMPLAINT#PKRI-201019105689','74','92','2020-10-19 21:25:30','2020-10-19 21:29:47',null);
INSERT INTO complaint_statuses VALUES('6142','1805','7','24','81','customer say bat ho gae hy customer kal batay ga kea krna hy set office ly k ayn gy yea visit kea jae','SET S/C MAIN READY HAIN CUTOMER KO B INFORMED KAR DIA','80','74','2020-10-19 21:28:27','2020-10-21 23:46:59',null);
INSERT INTO complaint_statuses VALUES('6143','1250','7','12','81','software+ visit
RS 1500',null,'80','80','2020-10-19 21:32:44','2020-10-19 21:32:44',null);
INSERT INTO complaint_statuses VALUES('6144','1812','7','22','81','GLASS DAMAGE HAI',null,'79','79','2020-10-19 21:35:22','2020-10-19 21:35:22',null);
INSERT INTO complaint_statuses VALUES('6145','1847','2',null,'81',null,'19-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-19 21:46:49','2020-10-19 21:46:49',null);
INSERT INTO complaint_statuses VALUES('6146','1393','2',null,'81',null,null,'74','74','2020-10-19 21:58:25','2020-10-19 21:58:25',null);
INSERT INTO complaint_statuses VALUES('6147','1847','4',null,'62',null,'COMPLAINT RESOLVED','81','92','2020-10-19 21:58:45','2020-10-21 20:21:26',null);
INSERT INTO complaint_statuses VALUES('6148','1844','4',null,'60',null,'VISIT TO DAY','81','74','2020-10-19 21:58:56','2020-10-21 23:55:20',null);
INSERT INTO complaint_statuses VALUES('6149','1843','4',null,'58',null,null,'81','81','2020-10-19 21:59:07','2020-10-19 21:59:07',null);
INSERT INTO complaint_statuses VALUES('6150','1393','4',null,'61',null,'YHA LED ASLAM SIR I 10/3 S/C LA AAY HAIN','81','74','2020-10-19 21:59:19','2020-10-24 22:43:36',null);
INSERT INTO complaint_statuses VALUES('6151','1850','3',null,'80',null,'19-OCT-2020
FF TO AMNA BOACH','74','74','2020-10-19 22:10:44','2020-10-19 22:10:44',null);
INSERT INTO complaint_statuses VALUES('6152','1851','2',null,'81',null,'19-OCT-2020
COM FF TO TAHIR RAMZAN','92','92','2020-10-19 22:13:23','2020-10-19 22:13:23',null);
INSERT INTO complaint_statuses VALUES('6153','1846','3',null,'54',null,'RESOLVED COMPLAINT','74','74','2020-10-19 22:13:35','2020-10-24 22:36:12',null);
INSERT INTO complaint_statuses VALUES('6154','1848','2',null,'81',null,null,'74','74','2020-10-19 22:13:48','2020-10-19 22:13:48',null);
INSERT INTO complaint_statuses VALUES('6155','1849','2',null,'81',null,null,'74','74','2020-10-19 22:13:55','2020-10-19 22:13:55',null);
INSERT INTO complaint_statuses VALUES('6156','1849','4',null,'56',null,null,'81','81','2020-10-19 22:14:14','2020-10-19 22:14:14',null);
INSERT INTO complaint_statuses VALUES('6157','1848','4',null,'56',null,null,'81','81','2020-10-19 22:14:46','2020-10-19 22:14:46',null);
INSERT INTO complaint_statuses VALUES('6158','1851','4',null,'60',null,null,'81','81','2020-10-19 22:14:56','2020-10-19 22:14:56',null);
INSERT INTO complaint_statuses VALUES('6159','1514','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-19 22:24:15','2020-10-19 22:24:28',null);
INSERT INTO complaint_statuses VALUES('6160','1852','3',null,'84',null,'19-OCT-2020
F TO NAEEM KENWOOD','74','92','2020-10-19 22:26:02','2020-11-05 21:14:10',null);
INSERT INTO complaint_statuses VALUES('6161','1495','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-19 22:26:21','2020-10-19 22:26:34',null);
INSERT INTO complaint_statuses VALUES('6162','1826','7','20','81','PCB DEAD HAI',null,'79','79','2020-10-19 22:32:02','2020-10-19 22:32:02',null);
INSERT INTO complaint_statuses VALUES('6163','1853','2',null,'81',null,'19-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-19 22:35:35','2020-10-19 22:35:35',null);
INSERT INTO complaint_statuses VALUES('6164','1853','4',null,'55',null,'COMPLAINT RESOLVED','81','92','2020-10-19 22:35:57','2020-10-28 19:25:08',null);
INSERT INTO complaint_statuses VALUES('6165','1849','7','24','81','According to butt sab PWD. Its friends warranty. Line on screen 55x8000 .its panel faulty.panel price 73000. Need approval.',null,'77','77','2020-10-19 22:37:11','2020-10-19 22:37:11',null);
INSERT INTO complaint_statuses VALUES('6166','1822','7','12','81','Its paid job. Customer will bring his unit to service center. We called him. Pls ignore this job from warranty jobsabbat.',null,'77','77','2020-10-19 22:41:11','2020-10-19 22:41:11',null);
INSERT INTO complaint_statuses VALUES('6167','1763','7','24','81','Customer will bring unit to service center himself.',null,'77','77','2020-10-19 22:44:55','2020-10-19 22:44:55',null);
INSERT INTO complaint_statuses VALUES('6168','1848','7','12','81','No action',null,'77','77','2020-10-19 22:54:54','2020-10-19 22:54:54',null);
INSERT INTO complaint_statuses VALUES('6169','1854','2',null,'81',null,'19-OCT-2020
COM FF TO SHAMIM AKHTAR','92','92','2020-10-19 22:57:48','2020-10-19 22:57:48',null);
INSERT INTO complaint_statuses VALUES('6170','1849','8','23','56','MODEL 55X 8000 H COMPANY MODEL HAIN .
YHA LED WARRANTY CARD K SATH AP K PASS AAY GEI',null,'81','81','2020-10-19 23:04:40','2020-10-19 23:04:40',null);
INSERT INTO complaint_statuses VALUES('6171','1848','5','15',null,'BY MSTAKE ENTRY COMPLAINT CLOSED','CLOSED COMPLAINT','81','74','2020-10-19 23:05:23','2020-10-19 23:08:22',null);
INSERT INTO complaint_statuses VALUES('6172','1826','8','23','58',null,null,'81','81','2020-10-19 23:06:15','2020-10-19 23:06:15',null);
INSERT INTO complaint_statuses VALUES('6173','1849','7','9','81','Ok. Its now clear.',null,'77','77','2020-10-19 23:28:06','2020-10-19 23:28:06',null);
INSERT INTO complaint_statuses VALUES('6174','1855','2',null,'81',null,'19-OCT-2020
COM FF TO KHALID SONY','92','92','2020-10-19 23:29:32','2020-10-19 23:29:32',null);
INSERT INTO complaint_statuses VALUES('6175','1695','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-19 23:29:51','2020-10-19 23:29:51',null);
INSERT INTO complaint_statuses VALUES('6176','1717','7','24','81','Co. Does not replaced unit. But only services of parts and technical work. But customer not agree for serices.',null,'77','77','2020-10-19 23:31:00','2020-10-19 23:31:00',null);
INSERT INTO complaint_statuses VALUES('6177','1773','7','12','81','Unit ok as per you approval. Today unit will deliver at evening',null,'77','77','2020-10-19 23:32:23','2020-10-19 23:32:23',null);
INSERT INTO complaint_statuses VALUES('6178','638','7','12','81','Display PCB Replaced.',null,'76','76','2020-10-19 23:52:38','2020-10-19 23:52:38',null);
INSERT INTO complaint_statuses VALUES('6179','1856','3',null,'88',null,'19-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-20 00:14:00','2020-10-20 00:14:00',null);
INSERT INTO complaint_statuses VALUES('6180','1857','3',null,'52',null,'19-OCT-2020
COMPLAINT#PKRI-201019110261','74','74','2020-10-20 00:19:58','2020-10-20 00:19:58',null);
INSERT INTO complaint_statuses VALUES('6181','1858','3',null,'62',null,'19-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-20 00:21:32','2020-10-20 00:21:32',null);
INSERT INTO complaint_statuses VALUES('6182','1822','5','15',null,'PAID JOB HAIN','CLOSED COMPLAINT','81','74','2020-10-20 00:22:41','2020-10-20 00:26:27',null);
INSERT INTO complaint_statuses VALUES('6183','1855','4',null,'56',null,'LIFT TO SERVICE CENTER','81','92','2020-10-20 00:23:31','2020-10-21 20:14:29',null);
INSERT INTO complaint_statuses VALUES('6184','1854','4',null,'55',null,null,'81','81','2020-10-20 00:23:44','2020-10-20 00:23:44',null);
INSERT INTO complaint_statuses VALUES('6185','1849','8','23','56','OK',null,'81','81','2020-10-20 00:24:43','2020-10-20 00:24:43',null);
INSERT INTO complaint_statuses VALUES('6186','1859','3',null,'65',null,'19-OCT-2020
COMPLAINT#192018671','74','74','2020-10-20 00:36:31','2020-10-20 00:36:31',null);
INSERT INTO complaint_statuses VALUES('6187','1860','3',null,'84',null,'19-OCT-2020
FF TO NAEEM KENWOOD','74','74','2020-10-20 00:42:47','2020-10-20 00:42:47',null);
INSERT INTO complaint_statuses VALUES('6188','1770','7','12','81','rat ny wirrng kat di thi .set kr di hain.complaint resolved','NOT ATTEND CALL','79','74','2020-10-20 00:47:17','2020-10-22 03:04:11',null);
INSERT INTO complaint_statuses VALUES('6189','1474','7','24','81','wm aj work shop aye hai',null,'79','79','2020-10-20 00:53:45','2020-10-20 00:53:45',null);
INSERT INTO complaint_statuses VALUES('6190','1861','2',null,'81',null,'19-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-20 00:59:37','2020-10-20 00:59:37',null);
INSERT INTO complaint_statuses VALUES('6191','1707','7','12','81','Compressor Replaced (Payment Charged from Customer 9500, Pending Amount 15500)',null,'76','76','2020-10-20 01:18:32','2020-10-20 01:18:32',null);
INSERT INTO complaint_statuses VALUES('6192','1603','7','12','81','Display  PCB Replaced (Amount Pending 14000)',null,'76','76','2020-10-20 01:19:34','2020-10-20 01:19:34',null);
INSERT INTO complaint_statuses VALUES('6193','1667','7','12','81','General Wash Service.',null,'76','76','2020-10-20 01:20:23','2020-10-20 01:20:23',null);
INSERT INTO complaint_statuses VALUES('6194','1861','4',null,'55',null,'IKLAQ SAB NA SHAMSHABAD BAJWA DIA','81','74','2020-10-20 01:30:31','2020-10-21 22:48:23',null);
INSERT INTO complaint_statuses VALUES('6195','1862','2',null,'81',null,'19-OCT-2020
FF TO B.COOL','74','74','2020-10-20 02:11:21','2020-10-20 02:11:21',null);
INSERT INTO complaint_statuses VALUES('6196','1862','4',null,'58',null,null,'81','81','2020-10-20 02:11:57','2020-10-20 02:11:57',null);
INSERT INTO complaint_statuses VALUES('6197','1568','7','24','81','sound bar S/c ly aya hy customer',null,'80','80','2020-10-20 03:57:16','2020-10-20 03:57:16',null);
INSERT INTO complaint_statuses VALUES('6198','1831','7','24','81','refer to service center .compressor ka pump weak hai ya chock hai ..',null,'79','79','2020-10-20 19:37:57','2020-10-20 19:37:57',null);
INSERT INTO complaint_statuses VALUES('6199','1833','5',null,null,'PART ISSUE HAY TWO DAY LA GAY GAY','AJ VISIT HO JAY GA
COMPLAINT RESOLVED','92','74','2020-10-20 19:49:51','2020-10-28 22:06:19',null);
INSERT INTO complaint_statuses VALUES('6200','1832','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-20 19:53:41','2020-10-20 19:55:09',null);
INSERT INTO complaint_statuses VALUES('6201','1820','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-20 20:04:12','2020-10-20 20:04:22',null);
INSERT INTO complaint_statuses VALUES('6202','1818','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-20 20:10:27','2020-10-20 20:10:40',null);
INSERT INTO complaint_statuses VALUES('6203','1816','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-20 20:19:01','2020-10-20 20:19:11',null);
INSERT INTO complaint_statuses VALUES('6204','1865','2',null,'81',null,'20-OCT-2020
FF TO B.COOL','74','74','2020-10-20 20:20:33','2020-10-20 20:20:33',null);
INSERT INTO complaint_statuses VALUES('6205','1814','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-20 20:23:31','2020-10-20 20:23:43',null);
INSERT INTO complaint_statuses VALUES('6206','1813','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-20 20:30:35','2020-10-20 20:30:45',null);
INSERT INTO complaint_statuses VALUES('6207','1866','3',null,'81',null,'20-OCT-2020
COMPLAINT# 3049','74','74','2020-10-20 20:41:36','2020-10-20 20:41:36',null);
INSERT INTO complaint_statuses VALUES('6208','1865','4',null,'58',null,null,'81','81','2020-10-20 20:42:37','2020-10-20 20:42:37',null);
INSERT INTO complaint_statuses VALUES('6209','1804','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-20 20:47:07','2020-10-20 20:47:17',null);
INSERT INTO complaint_statuses VALUES('6210','1815','5',null,null,'CLOSED COMPLAINT',null,'74','74','2020-10-20 20:55:00','2020-10-20 20:55:00',null);
INSERT INTO complaint_statuses VALUES('6211','1867','2',null,'81',null,'20-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-20 20:56:56','2020-10-20 20:56:56',null);
INSERT INTO complaint_statuses VALUES('6212','1868','3',null,'81',null,'20-OCT-2020 
COMPLAINT#5051','74','74','2020-10-20 21:24:04','2020-10-20 21:24:04',null);
INSERT INTO complaint_statuses VALUES('6213','1834','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-20 21:38:47','2020-10-20 21:39:00',null);
INSERT INTO complaint_statuses VALUES('6214','1869','3',null,'52',null,'20-OCT-2020
COMPLAINT#PKRI-201020105736','74','74','2020-10-20 21:46:13','2020-10-20 21:46:13',null);
INSERT INTO complaint_statuses VALUES('6215','1870','3',null,'84',null,'20-OCT-2020
FF TO NAEEM KENWOOD','74','74','2020-10-20 21:49:45','2020-10-20 21:49:45',null);
INSERT INTO complaint_statuses VALUES('6216','1857','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-20 21:50:42','2020-10-20 21:50:52',null);
INSERT INTO complaint_statuses VALUES('6217','1782','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-20 21:58:52','2020-10-20 21:59:03',null);
INSERT INTO complaint_statuses VALUES('6218','1529','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-20 22:08:34','2020-10-20 22:08:34',null);
INSERT INTO complaint_statuses VALUES('6219','638','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-20 22:12:50','2020-10-24 01:01:20',null);
INSERT INTO complaint_statuses VALUES('6220','1250','5','15',null,null,'COMPLIANT RESOLVED','81','74','2020-10-20 22:15:13','2020-10-24 01:32:04',null);
INSERT INTO complaint_statuses VALUES('6221','1851','7','24','81','Frig ki botam saide zink sy hrab ho gai hy .gass kit toot gai hy .workshop aye  ga',null,'82','82','2020-10-20 22:18:25','2020-10-20 22:18:25',null);
INSERT INTO complaint_statuses VALUES('6222','1748','7','12','81','Hamsy phir cancel kar dy',null,'82','82','2020-10-20 22:20:40','2020-10-20 22:20:40',null);
INSERT INTO complaint_statuses VALUES('6223','1732','7','12','81','Bulab cheng kar dia hy chargis ly lye hy',null,'82','82','2020-10-20 22:22:13','2020-10-20 22:22:13',null);
INSERT INTO complaint_statuses VALUES('6224','1711','7','24','81','Custmer sy keh dia hy wo sham ko.ghar ja ky size kar bhejy gy',null,'82','82','2020-10-20 22:24:42','2020-10-20 22:24:42',null);
INSERT INTO complaint_statuses VALUES('6225','1666','7','12','81','Frig theek ho ky .servis center i10 sy 
Custmer ky ghar  delvier ho gea hy',null,'82','82','2020-10-20 22:31:48','2020-10-20 22:31:48',null);
INSERT INTO complaint_statuses VALUES('6226','1736','7','24','81','Machin ki pcb nikali hy 
Aaj machin hamari workshop aye gi',null,'82','82','2020-10-20 22:34:39','2020-10-20 22:34:39',null);
INSERT INTO complaint_statuses VALUES('6227','1709','7','12','81','Visit hogea tha  custmer ny btana hy kea kry gear box isuue hy','AZHAR SAB KO REMINDER DADIA WHATSAPP PA','82','74','2020-10-20 22:39:18','2020-11-06 00:40:09',null);
INSERT INTO complaint_statuses VALUES('6228','1658','7','12','81','Visit okay .top flore py hony ki waja sy .water preshur issue arha hy .pump lagwany ka kha hy.vist chargis okay',null,'82','82','2020-10-20 22:43:17','2020-10-20 22:43:17',null);
INSERT INTO complaint_statuses VALUES('6229','1436','7','12','81','Custmer ny hamy btana tha kea karna hy 
Frig drain issue hy .custmer workshop nhi bhej rahy thy .keh rdhy thy khood karwa ly gy',null,'82','82','2020-10-20 22:45:09','2020-10-20 22:45:09',null);
INSERT INTO complaint_statuses VALUES('6230','1433','7','12','81','Oven main koi issue nhi tha . home visit kea tha .baad main custmer workshop py ly ayey thy chek kar ky wapis dy dia hy koi chargis nhi liye',null,'82','82','2020-10-20 22:47:07','2020-10-20 22:47:07',null);
INSERT INTO complaint_statuses VALUES('6231','1371','7','24','81','Machin servis center i 10 hy',null,'82','82','2020-10-20 22:48:54','2020-10-20 22:48:54',null);
INSERT INTO complaint_statuses VALUES('6232','1871','3',null,'52',null,'20-OCT-2020
COM NOPKRI-201020108155','92','92','2020-10-20 22:58:00','2020-10-20 23:27:33',null);
INSERT INTO complaint_statuses VALUES('6233','1872','3',null,'52',null,'20-OCT-2020
COM NOPKRI-201020108209','92','92','2020-10-20 23:04:13','2020-10-20 23:29:29',null);
INSERT INTO complaint_statuses VALUES('6234','1773','8','23','56','WHERE IS UNIT YOUR SERVICE CENTER YA CUSTOMERS HOME',null,'81','81','2020-10-20 23:11:28','2020-10-20 23:11:28',null);
INSERT INTO complaint_statuses VALUES('6235','1770','5','15',null,null,'GEYAR MAIN ISSUE AARHA HAIN CUSTOMER S/C NAI LA K AARHAY HAIN  CLOSED KARWA DI COMPLAINT  KHUD CUSTOMER NA','81','74','2020-10-20 23:11:52','2020-10-22 03:05:41',null);
INSERT INTO complaint_statuses VALUES('6236','1748','5','15',null,'CUSTOMER NA COMPLIANT CANCELLED KARWA DI CUSTOMER REF DIRECT PHASE 07 S/C USAMAN MRM K PASS LA GAY COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2020-10-20 23:24:50','2020-10-20 23:26:04',null);
INSERT INTO complaint_statuses VALUES('6237','1735','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-10-20 23:26:39','2020-10-22 03:07:26',null);
INSERT INTO complaint_statuses VALUES('6238','1666','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-10-20 23:26:49','2020-10-20 23:27:21',null);
INSERT INTO complaint_statuses VALUES('6239','1732','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-10-20 23:29:22','2020-10-20 23:29:58',null);
INSERT INTO complaint_statuses VALUES('6240','1709','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-20 23:38:56','2020-11-08 19:56:30',null);
INSERT INTO complaint_statuses VALUES('6241','1707','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-20 23:39:21','2020-10-24 20:37:46',null);
INSERT INTO complaint_statuses VALUES('6242','1667','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-20 23:39:37','2020-10-21 23:23:54',null);
INSERT INTO complaint_statuses VALUES('6243','1658','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-20 23:40:06','2020-10-24 20:40:51',null);
INSERT INTO complaint_statuses VALUES('6244','1873','3',null,'57',null,'20-OCT-2020
COMPLAINT#13953','74','92','2020-10-20 23:41:15','2020-10-20 23:52:53',null);
INSERT INTO complaint_statuses VALUES('6245','1603','5','15',null,null,'COMPLIANT RESOLVED','81','74','2020-10-20 23:41:16','2020-10-24 20:44:02',null);
INSERT INTO complaint_statuses VALUES('6246','1874','2',null,'81',null,'20-OCT-2020
COM FF TO TAHIR RAMZAN','92','92','2020-10-20 23:47:57','2020-10-20 23:47:57',null);
INSERT INTO complaint_statuses VALUES('6247','1586','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-20 23:48:03','2020-10-20 23:49:00',null);
INSERT INTO complaint_statuses VALUES('6248','1436','5','15',null,null,'CUSTOMER NA LOCAL TECHNICIAN SA YHA REF THEEK KARWA LIYA HAIN COMPLIANT 







RESOLVED','81','74','2020-10-20 23:57:56','2020-10-24 21:45:21',null);
INSERT INTO complaint_statuses VALUES('6249','1433','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-10-20 23:58:31','2020-10-24 01:34:46',null);
INSERT INTO complaint_statuses VALUES('6250','1875','3',null,'62',null,'20-OCT-2020
COM FF KHURRAM FIVE STAR','92','74','2020-10-21 00:12:59','2020-10-24 19:56:45',null);
INSERT INTO complaint_statuses VALUES('6251','1374','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-10-21 00:16:37','2020-10-21 00:16:37',null);
INSERT INTO complaint_statuses VALUES('6252','1642','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-21 00:18:05','2020-10-21 00:18:05',null);
INSERT INTO complaint_statuses VALUES('6253','881','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-21 00:19:06','2020-10-21 00:19:06',null);
INSERT INTO complaint_statuses VALUES('6254','1851','8','23','60','FRIDGE YA WASHING MACHINE',null,'81','81','2020-10-21 00:21:51','2020-10-21 00:21:51',null);
INSERT INTO complaint_statuses VALUES('6255','1876','3',null,'85',null,'20-OCT-2020
COMPLAINT#301061589','74','92','2020-10-21 00:33:21','2020-10-21 00:37:36',null);
INSERT INTO complaint_statuses VALUES('6256','1812','8','23','58',null,null,'81','81','2020-10-21 00:37:20','2020-10-21 00:37:20',null);
INSERT INTO complaint_statuses VALUES('6257','1805','8','23','59',null,null,'81','81','2020-10-21 00:37:59','2020-10-21 00:37:59',null);
INSERT INTO complaint_statuses VALUES('6258','1768','8','23','58',null,null,'81','81','2020-10-21 00:39:27','2020-10-21 00:39:27',null);
INSERT INTO complaint_statuses VALUES('6259','1763','8','23','56',null,null,'81','81','2020-10-21 00:39:55','2020-10-21 00:39:55',null);
INSERT INTO complaint_statuses VALUES('6260','1736','8','23','60','PLEASE COMPLETE THIS JOB QUIKLY',null,'81','81','2020-10-21 00:43:29','2020-10-21 00:43:29',null);
INSERT INTO complaint_statuses VALUES('6261','1718','8','23','58',null,null,'81','81','2020-10-21 00:44:00','2020-10-21 00:44:00',null);
INSERT INTO complaint_statuses VALUES('6262','1825','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-21 00:46:43','2020-10-21 00:46:54',null);
INSERT INTO complaint_statuses VALUES('6263','1717','8','23','56','its company warranty unit . please entertain customer',null,'81','81','2020-10-21 00:49:34','2020-10-21 00:49:34',null);
INSERT INTO complaint_statuses VALUES('6264','1711','8','23','60',null,null,'81','81','2020-10-21 00:52:32','2020-10-21 00:52:32',null);
INSERT INTO complaint_statuses VALUES('6265','1691','8','23','58','on payment ho ga',null,'81','81','2020-10-21 00:54:01','2020-10-21 00:54:01',null);
INSERT INTO complaint_statuses VALUES('6266','695','7','12','81','Vireo Motor Replaced.',null,'76','76','2020-10-21 00:59:49','2020-10-21 00:59:49',null);
INSERT INTO complaint_statuses VALUES('6267','1336','7','12','81','LED Lights Replaced (Minor Problem in PCB )',null,'76','76','2020-10-21 01:01:14','2020-10-21 01:01:14',null);
INSERT INTO complaint_statuses VALUES('6268','1842','7','26','81','Customer bay the new unit    
Repair nahi krwana cahtay ab.',null,'83','83','2020-10-21 01:02:21','2020-10-21 01:02:21',null);
INSERT INTO complaint_statuses VALUES('6269','1638','8','23','56','its sony company warranty model',null,'81','81','2020-10-21 01:05:55','2020-10-21 01:05:55',null);
INSERT INTO complaint_statuses VALUES('6270','1874','4',null,'60',null,null,'81','81','2020-10-21 01:10:34','2020-10-21 01:10:34',null);
INSERT INTO complaint_statuses VALUES('6271','1867','4',null,'55',null,null,'81','81','2020-10-21 01:10:51','2020-10-21 01:10:51',null);
INSERT INTO complaint_statuses VALUES('6272','1568','8','23','59',null,null,'81','81','2020-10-21 01:16:08','2020-10-21 01:16:08',null);
INSERT INTO complaint_statuses VALUES('6273','1474','8','23','58',null,null,'81','81','2020-10-21 01:16:54','2020-10-21 01:16:54',null);
INSERT INTO complaint_statuses VALUES('6274','1438','8','23','59','please call again',null,'81','81','2020-10-21 01:17:49','2020-10-21 01:17:49',null);
INSERT INTO complaint_statuses VALUES('6275','1371','8','23','60','please contact this number 03005511255',null,'81','81','2020-10-21 01:18:59','2020-10-21 01:18:59',null);
INSERT INTO complaint_statuses VALUES('6276','1877','3',null,'53',null,'20-OCT-2020
COM NO1061632','92','92','2020-10-21 01:20:55','2020-10-21 02:12:49',null);
INSERT INTO complaint_statuses VALUES('6277','1336','8','23','55','please give me old and new light . because unit is out of warranty',null,'81','81','2020-10-21 01:22:49','2020-10-21 01:22:49',null);
INSERT INTO complaint_statuses VALUES('6278','936','8','23','56',null,'YHA LED IQBAL SAB NA DIRECT S/C MOVE KRWAI','81','74','2020-10-21 01:25:04','2020-10-28 21:28:15',null);
INSERT INTO complaint_statuses VALUES('6279','695','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-21 01:37:01','2020-10-24 23:17:34',null);
INSERT INTO complaint_statuses VALUES('6280','924','8','23','56','CORRECT#65X9500G-CC-881. COMPANY MODEL HAIN',null,'81','81','2020-10-21 01:38:51','2020-10-21 01:38:51',null);
INSERT INTO complaint_statuses VALUES('6281','1406','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-10-21 01:39:21','2020-10-24 22:04:02',null);
INSERT INTO complaint_statuses VALUES('6282','1879','3',null,'73',null,'20-OCT-2020
COMPLAINT#','74','74','2020-10-21 01:50:38','2020-10-21 01:50:38',null);
INSERT INTO complaint_statuses VALUES('6283','1880','3',null,'65',null,'20-OCT-2020
COMPLAINT#192018685','74','74','2020-10-21 02:08:33','2020-10-21 02:12:23',null);
INSERT INTO complaint_statuses VALUES('6284','1881','3',null,'65',null,'20-OCT-2020
COMPLAINT#','74','74','2020-10-21 02:08:48','2020-10-21 02:08:48',null);
INSERT INTO complaint_statuses VALUES('6285','1881','5',null,null,'CLOSED',null,'74','74','2020-10-21 02:10:00','2020-10-21 02:10:00',null);
INSERT INTO complaint_statuses VALUES('6286','1882','3',null,'53',null,'20-OCT-2020
COMPLAINT#1061643','74','74','2020-10-21 02:21:07','2020-10-21 02:21:07',null);
INSERT INTO complaint_statuses VALUES('6287','1864','3',null,'53',null,'NO VISIT','74','74','2020-10-21 02:22:41','2020-10-25 01:52:11',null);
INSERT INTO complaint_statuses VALUES('6288','1863','3',null,'53',null,'NO VISIT','74','74','2020-10-21 02:22:58','2020-10-25 01:47:58',null);
INSERT INTO complaint_statuses VALUES('6289','1865','7','12','81','COMPLAINT RESOLVED NO ISSUE IN WASHING MACHINE .HECK KERWA DI AHI',null,'79','79','2020-10-21 02:28:34','2020-10-21 02:28:34',null);
INSERT INTO complaint_statuses VALUES('6290','1883','2',null,'81',null,'20-OCT-2020
COM FF TO TAHIR RAMZAN','92','92','2020-10-21 02:39:47','2020-11-29 01:31:02',null);
INSERT INTO complaint_statuses VALUES('6291','1843','7','12','81','WM KA PUMP SERVICE KIAHIA  .COMPLAINT RESOLVED',null,'79','79','2020-10-21 04:32:36','2020-10-21 04:32:36',null);
INSERT INTO complaint_statuses VALUES('6292','1862','7','20','81','PCB ON NAHI HO RAHI .LY KR AYE  HAI',null,'79','79','2020-10-21 04:33:47','2020-10-21 04:33:47',null);
INSERT INTO complaint_statuses VALUES('6293','1821','7','12','81','ISSUE RESOLVED . PCB CARD REP',null,'87','87','2020-10-21 05:15:11','2020-10-21 05:15:11',null);
INSERT INTO complaint_statuses VALUES('6294','1796','7','12','81','ISSUE RESOLVED AT HOME,DRAIN PUMP SERVICE KIA',null,'87','87','2020-10-21 05:31:53','2020-10-21 05:31:53',null);
INSERT INTO complaint_statuses VALUES('6295','1681','7','12','81','ISSUE RESOLVED ,',null,'87','87','2020-10-21 05:32:31','2020-10-21 05:32:31',null);
INSERT INTO complaint_statuses VALUES('6296','1859','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-21 19:38:48','2020-10-21 19:38:58',null);
INSERT INTO complaint_statuses VALUES('6297','1810','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-21 19:41:25','2020-10-21 19:41:39',null);
INSERT INTO complaint_statuses VALUES('6298','1860','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-21 20:09:36','2020-10-21 20:09:46',null);
INSERT INTO complaint_statuses VALUES('6299','1850','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-21 20:19:28','2020-10-21 20:19:39',null);
INSERT INTO complaint_statuses VALUES('6300','1285','7','12','81','unit delivered.gas and compressor',null,'79','79','2020-10-21 20:20:43','2020-10-21 20:20:43',null);
INSERT INTO complaint_statuses VALUES('6301','1716','7','12','81','unit delivered gas and compressor',null,'79','79','2020-10-21 20:22:21','2020-10-21 20:22:21',null);
INSERT INTO complaint_statuses VALUES('6302','1847','7','12','81','ISSUE RESOLVED , JUST SERVICE KIA',null,'87','87','2020-10-21 20:32:48','2020-10-21 20:32:48',null);
INSERT INTO complaint_statuses VALUES('6303','1838','7','12','81','ISSUE RESOLVED , VOLTAGE KA ISSUE THA',null,'87','87','2020-10-21 20:33:37','2020-10-21 20:33:37',null);
INSERT INTO complaint_statuses VALUES('6304','1824','7','22','81','MOTER',null,'87','87','2020-10-21 20:34:16','2020-10-21 20:34:16',null);
INSERT INTO complaint_statuses VALUES('6305','1849','7','24','81','waiting for unit and warranty card',null,'77','77','2020-10-21 20:55:21','2020-10-21 20:55:21',null);
INSERT INTO complaint_statuses VALUES('6306','1883','4',null,'60',null,null,'81','81','2020-10-21 21:02:25','2020-10-21 21:02:25',null);
INSERT INTO complaint_statuses VALUES('6307','1773','7','12','81','Collected. Delevered  to customer home',null,'77','77','2020-10-21 21:02:38','2020-10-21 21:02:38',null);
INSERT INTO complaint_statuses VALUES('6308','1488','7','12','81','Unit with customer. Actully model was KD.55A8g',null,'77','77','2020-10-21 21:06:12','2020-10-21 21:06:12',null);
INSERT INTO complaint_statuses VALUES('6309','818','7','12','81','PANEL SPOT  CLEAN DONE  
VISIT BY NOUMAN 
RS 2500 EXP  
UNIT WITH CUSTOMER KINDLY CLOSE THE JOB',null,'83','83','2020-10-21 21:22:18','2020-10-21 21:22:18',null);
INSERT INTO complaint_statuses VALUES('6310','1865','8','15','58',null,null,'81','81','2020-10-21 21:26:50','2020-10-21 21:26:50',null);
INSERT INTO complaint_statuses VALUES('6311','1847','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-21 21:27:59','2020-10-22 01:57:21',null);
INSERT INTO complaint_statuses VALUES('6312','1843','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-21 21:28:36','2020-10-21 21:47:48',null);
INSERT INTO complaint_statuses VALUES('6313','1838','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-21 21:29:00','2020-10-21 21:49:42',null);
INSERT INTO complaint_statuses VALUES('6314','1821','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-21 21:29:35','2020-10-21 22:25:50',null);
INSERT INTO complaint_statuses VALUES('6315','818','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-21 21:30:34','2020-10-24 01:30:16',null);
INSERT INTO complaint_statuses VALUES('6316','1884','2',null,'81',null,'21-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-21 21:30:50','2020-10-21 21:30:50',null);
INSERT INTO complaint_statuses VALUES('6317','1285','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-21 21:31:47','2020-10-24 00:08:40',null);
INSERT INTO complaint_statuses VALUES('6318','1884','4',null,'58',null,null,'81','81','2020-10-21 21:32:17','2020-10-21 21:32:17',null);
INSERT INTO complaint_statuses VALUES('6319','1884','4',null,'58',null,null,'81','81','2020-10-21 21:32:18','2020-10-21 21:32:18',null);
INSERT INTO complaint_statuses VALUES('6320','1885','2',null,'81',null,'21-OCT-2020
COM FF TO HOME SOLUTION','92','92','2020-10-21 21:32:51','2020-10-21 21:32:51',null);
INSERT INTO complaint_statuses VALUES('6321','1488','5','15',null,null,'SERVENT GHR PA THY TAB VISIT KIYA KHALID SIR NA COMPLAINT CLOSED','81','74','2020-10-21 21:32:57','2020-10-24 21:56:24',null);
INSERT INTO complaint_statuses VALUES('6322','1681','5','15',null,null,'complaint closed','81','74','2020-10-21 21:33:43','2020-10-21 21:35:42',null);
INSERT INTO complaint_statuses VALUES('6323','1716','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-21 21:35:30','2020-10-21 22:51:54',null);
INSERT INTO complaint_statuses VALUES('6324','1796','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-21 21:36:40','2020-10-22 02:01:36',null);
INSERT INTO complaint_statuses VALUES('6325','1773','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-21 21:37:15','2020-10-21 22:30:55',null);
INSERT INTO complaint_statuses VALUES('6326','1862','8','23','58',null,'AJ COMPLAINT RESOLVED HO JAY GE','81','92','2020-10-21 21:37:52','2020-10-24 21:33:47',null);
INSERT INTO complaint_statuses VALUES('6327','1837','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-21 21:39:52','2020-10-21 21:40:03',null);
INSERT INTO complaint_statuses VALUES('6328','1865','7','12','81','complaint resoved',null,'79','79','2020-10-21 21:40:04','2020-10-21 21:40:04',null);
INSERT INTO complaint_statuses VALUES('6329','1829','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-21 21:44:14','2020-10-21 21:45:43',null);
INSERT INTO complaint_statuses VALUES('6330','1842','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-21 21:48:48','2020-10-22 01:59:41',null);
INSERT INTO complaint_statuses VALUES('6331','1865','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-21 21:49:27','2020-10-21 23:33:30',null);
INSERT INTO complaint_statuses VALUES('6332','1824','8','23','62',null,null,'81','81','2020-10-21 21:50:37','2020-10-21 21:50:37',null);
INSERT INTO complaint_statuses VALUES('6333','1808','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-21 21:54:03','2020-10-21 21:54:15',null);
INSERT INTO complaint_statuses VALUES('6334','1886','2',null,'81',null,'21-OCT-2020
FF TO B. COOL','74','74','2020-10-21 21:55:56','2020-10-21 21:55:56',null);
INSERT INTO complaint_statuses VALUES('6335','1809','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-21 21:57:09','2020-10-21 21:57:19',null);
INSERT INTO complaint_statuses VALUES('6336','1886','4',null,'58',null,null,'81','81','2020-10-21 22:05:50','2020-10-21 22:05:50',null);
INSERT INTO complaint_statuses VALUES('6337','1885','4',null,'62',null,'W/M S/C LIFT HOI V WORKING IN PROCESS','81','74','2020-10-21 22:06:03','2020-10-24 20:52:49',null);
INSERT INTO complaint_statuses VALUES('6338','1669','7','24','81','Wifi card and flixible cabele card faulty friends warranty. Cost Rs. 19890. Need approval',null,'77','77','2020-10-21 22:10:57','2020-10-21 22:10:57',null);
INSERT INTO complaint_statuses VALUES('6339','1887','3',null,'81',null,'21-SEP-2020
COMPLAINT#3056','74','92','2020-10-21 22:12:05','2020-10-21 22:59:54',null);
INSERT INTO complaint_statuses VALUES('6340','1888','3',null,'53',null,'21-OCT-2020
COMPLAINT#1061923','74','74','2020-10-21 23:04:47','2020-10-21 23:08:19',null);
INSERT INTO complaint_statuses VALUES('6341','1889','3',null,'52',null,'21-OCT-2020
COMPLAINT#PKRI-201021108181','74','74','2020-10-21 23:21:00','2020-10-21 23:24:27',null);
INSERT INTO complaint_statuses VALUES('6342','1855','7','12','81','Job completed and collected. Paid job','COMPLAINT RESOLVED','77','92','2020-10-21 23:23:59','2020-10-22 01:16:37',null);
INSERT INTO complaint_statuses VALUES('6343','1805','7','12','81','set ok back light ka issue tha',null,'80','80','2020-10-21 23:46:32','2020-10-21 23:46:32',null);
INSERT INTO complaint_statuses VALUES('6344','1777','7','24','81','customer sy bat ho gae hy aj visit ho ga',null,'80','80','2020-10-21 23:51:00','2020-10-21 23:51:00',null);
INSERT INTO complaint_statuses VALUES('6345','1507','7','24','81','set S/C py ay ga visit ho gea hy',null,'80','80','2020-10-21 23:57:24','2020-10-21 23:57:24',null);
INSERT INTO complaint_statuses VALUES('6346','1438','7','24','81','set Hmary S/C py ay ga',null,'80','80','2020-10-21 23:59:29','2020-10-21 23:59:29',null);
INSERT INTO complaint_statuses VALUES('6347','1893','3',null,'52',null,'21-OCT-2020
COMPLAINT#PKRI-201021109295','74','92','2020-10-22 00:08:48','2020-10-22 00:12:54',null);
INSERT INTO complaint_statuses VALUES('6348','1894','3',null,'52',null,'21-OCT-2020
COMPLAINT#PKRI-201021109385','74','92','2020-10-22 00:08:51','2020-10-22 00:16:37',null);
INSERT INTO complaint_statuses VALUES('6349','1892','3',null,'52',null,'COMPLAINT RESOLVED','74','74','2020-10-22 00:14:27','2020-10-24 22:47:31',null);
INSERT INTO complaint_statuses VALUES('6350','1891','3',null,'52',null,'COMPLAINT RESOLVED','74','74','2020-10-22 00:15:16','2020-10-24 22:44:37',null);
INSERT INTO complaint_statuses VALUES('6351','1890','3',null,'52',null,'COMPANY NA HANDEL KI DEMAND KI HOI HAIN','74','74','2020-10-22 00:25:49','2020-10-24 22:41:37',null);
INSERT INTO complaint_statuses VALUES('6352','1901','2',null,'81',null,'21-OCT-2020
FF TO KHALID','74','74','2020-10-22 00:31:57','2020-10-22 00:31:57',null);
INSERT INTO complaint_statuses VALUES('6353','1901','4',null,'56',null,null,'81','81','2020-10-22 00:32:25','2020-10-22 00:32:25',null);
INSERT INTO complaint_statuses VALUES('6354','1872','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-22 00:51:36','2020-10-22 00:51:47',null);
INSERT INTO complaint_statuses VALUES('6355','1903','2',null,'81',null,'22-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-22 00:58:22','2020-10-22 00:58:22',null);
INSERT INTO complaint_statuses VALUES('6356','1897','3',null,'65',null,null,'74','74','2020-10-22 01:00:01','2020-10-22 01:00:01',null);
INSERT INTO complaint_statuses VALUES('6357','1903','4',null,'55',null,null,'81','81','2020-10-22 01:01:08','2020-10-22 01:01:08',null);
INSERT INTO complaint_statuses VALUES('6358','1878','2',null,'81',null,null,'74','74','2020-10-22 01:03:35','2020-10-22 01:03:35',null);
INSERT INTO complaint_statuses VALUES('6359','1904','3',null,'66',null,'21-OCT-2020
COMPLAINT#PK102120200081','74','92','2020-10-22 01:14:22','2020-10-26 19:32:19',null);
INSERT INTO complaint_statuses VALUES('6360','1871','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-22 01:28:11','2020-10-22 01:28:22',null);
INSERT INTO complaint_statuses VALUES('6361','1900','3',null,'73',null,'COMPLAINT RESOLVED','74','74','2020-10-22 01:33:44','2020-10-29 01:40:19',null);
INSERT INTO complaint_statuses VALUES('6362','1899','3',null,'73',null,'COMPLAINT RESOLVED','74','74','2020-10-22 01:34:29','2020-10-29 01:41:22',null);
INSERT INTO complaint_statuses VALUES('6363','1898','3',null,'73',null,'COMPLAINT RESOLVED','74','74','2020-10-22 01:35:10','2020-10-29 01:42:17',null);
INSERT INTO complaint_statuses VALUES('6364','1896','3',null,'62',null,'KHURRAM BHAI KO REMINDER DA DIA','74','74','2020-10-22 01:39:10','2020-10-24 22:53:21',null);
INSERT INTO complaint_statuses VALUES('6365','1856','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-22 01:39:24','2020-10-22 01:39:37',null);
INSERT INTO complaint_statuses VALUES('6366','1858','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-22 01:40:33','2020-10-22 01:40:44',null);
INSERT INTO complaint_statuses VALUES('6367','1895','3',null,'53',null,'AGAIN VISIT K LIYA AAY GAY','74','74','2020-10-22 01:48:38','2020-10-24 22:52:00',null);
INSERT INTO complaint_statuses VALUES('6368','1902','3',null,'73',null,'W/D LIFT S/C  WORKING IN PROCESS','74','74','2020-10-22 01:55:05','2020-10-24 22:10:23',null);
INSERT INTO complaint_statuses VALUES('6369','1878','4',null,'55',null,null,'81','81','2020-10-22 01:57:16','2020-10-22 01:57:16',null);
INSERT INTO complaint_statuses VALUES('6370','1905','3',null,'73',null,'21-OCT-2020
COM NO1994','92','92','2020-10-22 02:48:11','2020-10-22 02:50:55',null);
INSERT INTO complaint_statuses VALUES('6371','1855','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-10-22 02:50:24','2020-10-22 02:52:30',null);
INSERT INTO complaint_statuses VALUES('6372','1630','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-10-22 02:53:23','2020-10-22 02:53:53',null);
INSERT INTO complaint_statuses VALUES('6373','1805','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-10-22 02:55:17','2020-10-22 02:55:41',null);
INSERT INTO complaint_statuses VALUES('6374','1807','7','26','81','Cancel how gayi hy','OTHER#FF KAR DIA','88','74','2020-10-22 06:23:52','2020-10-25 00:13:52',null);
INSERT INTO complaint_statuses VALUES('6375','1528','7','12','81','Gizar change how Gay hy',null,'88','88','2020-10-22 06:25:24','2020-10-22 06:25:24',null);
INSERT INTO complaint_statuses VALUES('6376','1907','3',null,'52',null,'22-OCT-2020
COM NO PKRI201022102495','92','92','2020-10-22 19:45:20','2020-10-22 19:45:20',null);
INSERT INTO complaint_statuses VALUES('6377','1908','2',null,'81',null,'22-OCT-2020
COM FF TO SHAMIM AKHTAR','92','92','2020-10-22 19:56:47','2020-10-22 19:56:47',null);
INSERT INTO complaint_statuses VALUES('6378','1909','3',null,'57',null,'22-OCT-2020
COM NO 014006','92','92','2020-10-22 20:12:37','2020-10-23 02:03:24',null);
INSERT INTO complaint_statuses VALUES('6379','1910','3',null,'52',null,'22-OCT-2020
COM NO PKFD-201022103751','92','92','2020-10-22 20:28:41','2020-10-22 20:28:41',null);
INSERT INTO complaint_statuses VALUES('6380','1911','3',null,'73',null,'22-OCT-2020
COM NO  2009','92','92','2020-10-22 20:42:50','2020-10-26 20:09:22',null);
INSERT INTO complaint_statuses VALUES('6381','1912','3',null,'54',null,'22-OCT-2020
COM NO 1756872','92','92','2020-10-22 21:32:24','2020-10-26 20:04:31',null);
INSERT INTO complaint_statuses VALUES('6382','1913','3',null,'52',null,'22-OCT-2020
COM NO PKRI-201022105894','92','92','2020-10-22 21:44:02','2020-10-22 21:44:02',null);
INSERT INTO complaint_statuses VALUES('6383','1883','7','24','81','Servis issue hy workshop aye gi',null,'82','82','2020-10-22 21:50:41','2020-10-22 21:50:41',null);
INSERT INTO complaint_statuses VALUES('6384','1874','7','24','81','Water inlet pippe .internal dameg hy .i need it',null,'82','82','2020-10-22 21:51:28','2020-10-22 21:51:28',null);
INSERT INTO complaint_statuses VALUES('6385','1851','7','12','81','Water inlet filter issue tha .visit chargis custmer sy ly lye hy',null,'82','82','2020-10-22 21:52:33','2020-10-22 21:52:33',null);
INSERT INTO complaint_statuses VALUES('6386','1844','7','24','81','Moter issue hy',null,'82','82','2020-10-22 21:53:03','2020-10-22 21:53:03',null);
INSERT INTO complaint_statuses VALUES('6387','1780','7','24','81','Frig door boday gal gai hy .workshop aye ga gass kit bhi cheng ho gi',null,'82','82','2020-10-22 21:54:34','2020-10-22 21:54:34',null);
INSERT INTO complaint_statuses VALUES('6388','1659','7','12','81','Bulub laga dia hy chargis ly lye hy',null,'82','82','2020-10-22 21:55:50','2020-10-22 21:55:50',null);
INSERT INTO complaint_statuses VALUES('6389','1756','7','12','81','ye customer  oven i 10 chor gaye thy.glass lg gya ya ni.agr lag hai tu complaete kr dein',null,'79','79','2020-10-22 23:28:11','2020-10-22 23:28:11',null);
INSERT INTO complaint_statuses VALUES('6390','1851','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-22 23:28:44','2020-10-23 23:47:09',null);
INSERT INTO complaint_statuses VALUES('6391','1756','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-22 23:29:32','2020-10-23 23:52:07',null);
INSERT INTO complaint_statuses VALUES('6392','1691','7','12','81','ye customer sirf compressor demand  kr raha tha .not agree for payemnt',null,'79','79','2020-10-22 23:29:35','2020-10-22 23:29:35',null);
INSERT INTO complaint_statuses VALUES('6393','1691','5','15',null,null,'CUSTOMER NA LOCAL TECHNICIAN SA COMPLAINT RESOLVED KAREWAI COMPLAINT CLOSED','81','74','2020-10-22 23:30:04','2020-10-24 00:24:44',null);
INSERT INTO complaint_statuses VALUES('6394','1659','5','15',null,null,'ABI HOOD OK CHAL RAHA HAIN AGAIN KOI ISSUE AAY GA TU INFORMED KAR DAY GEI','81','74','2020-10-22 23:30:31','2020-10-24 20:49:46',null);
INSERT INTO complaint_statuses VALUES('6395','1528','5','15',null,null,'SAFTY VALUE SIDE SA LEAKAGE ISSUE THA CUSTOMER NA LOCAL TECHNICIAN  SA ISSUE RESOLVED KARWA LIYA  COMPLAINT CLOSED','81','74','2020-10-22 23:30:59','2020-10-24 21:14:25',null);
INSERT INTO complaint_statuses VALUES('6396','1884','7','24','81','visit on sat',null,'79','79','2020-10-22 23:30:59','2020-10-22 23:30:59',null);
INSERT INTO complaint_statuses VALUES('6397','1884','8','23','58',null,null,'81','81','2020-10-22 23:32:26','2020-10-22 23:32:26',null);
INSERT INTO complaint_statuses VALUES('6398','1768','7','12','81','ye customer apny  technicain sy kerwaye gas charge kerwaye gain',null,'79','79','2020-10-22 23:34:09','2020-10-22 23:34:09',null);
INSERT INTO complaint_statuses VALUES('6399','1883','8','23','60',null,null,'81','81','2020-10-22 23:40:51','2020-10-22 23:40:51',null);
INSERT INTO complaint_statuses VALUES('6400','1844','8','23','60',null,null,'81','81','2020-10-22 23:41:36','2020-10-22 23:41:36',null);
INSERT INTO complaint_statuses VALUES('6401','1831','5','15',null,'COMPLAINT FORWARD MRM USMAN SB','YHA COMPLAINT  USMAN MRM KO NEW TASK  K SATH FF HO GEI HAIN NEW TASK #1914','81','74','2020-10-22 23:47:50','2020-10-30 01:45:46',null);
INSERT INTO complaint_statuses VALUES('6402','1914','2',null,'81',null,'22-OCT-2020
COM FF TO USMAN MRM','92','92','2020-10-22 23:49:48','2020-10-22 23:49:48',null);
INSERT INTO complaint_statuses VALUES('6403','1807','5','25',null,null,'KHURRAM BHAI KO AGAIN REMINDER .
DA DIA VISIT K LIYA  VISIT TO DAY
KHURRAM BHAI NA COMPLAINT RESOLVED KAR LI HAIN COMPLAINT CLOSED','81','74','2020-10-22 23:57:31','2020-10-28 21:33:16',null);
INSERT INTO complaint_statuses VALUES('6404','1780','8','23','60',null,null,'81','81','2020-10-22 23:59:14','2020-10-22 23:59:14',null);
INSERT INTO complaint_statuses VALUES('6405','1777','8','23','59',null,null,'81','81','2020-10-23 00:00:00','2020-10-23 00:00:00',null);
INSERT INTO complaint_statuses VALUES('6406','1768','5','15',null,null,'CUSTOMER I 10/ S/C REF LA K AANY PA AGREE NI LOCAL TECHNICIAN SA GASS CHARGE KRWAY GAY','81','74','2020-10-23 00:00:38','2020-10-24 00:05:05',null);
INSERT INTO complaint_statuses VALUES('6407','1507','8','23','59',null,null,'81','81','2020-10-23 00:01:53','2020-10-23 00:01:53',null);
INSERT INTO complaint_statuses VALUES('6408','1438','8','23','59',null,null,'81','81','2020-10-23 00:02:15','2020-10-23 00:02:15',null);
INSERT INTO complaint_statuses VALUES('6409','1915','3',null,'73',null,'22-OCT-2020
COM NO 2006','92','92','2020-10-23 00:09:51','2020-10-23 00:14:48',null);
INSERT INTO complaint_statuses VALUES('6410','1916','2',null,'81',null,'22-OCT-2020
COM FF TO HOME SOLUTION','92','92','2020-10-23 00:33:52','2020-10-23 00:33:52',null);
INSERT INTO complaint_statuses VALUES('6411','1917','3',null,'52',null,'22-OCT-2020
COM NO PKRI-201022109933','92','92','2020-10-23 00:48:59','2020-10-23 00:48:59',null);
INSERT INTO complaint_statuses VALUES('6412','1918','3',null,'52',null,'22-OCT-2020
COM NO PKRI-201022110295','92','92','2020-10-23 01:11:59','2020-10-23 01:11:59',null);
INSERT INTO complaint_statuses VALUES('6413','1919','3',null,'52',null,'22-OCT-2020
COM NO PKRI-201024102104','92','92','2020-10-23 01:21:41','2020-10-24 19:36:35',null);
INSERT INTO complaint_statuses VALUES('6414','1777','7','12','81','visit+setting 
RS 1000',null,'80','80','2020-10-23 01:32:31','2020-10-23 01:32:31',null);
INSERT INTO complaint_statuses VALUES('6415','1920','3',null,'73',null,'22-OCT-2020
COM NO 2010','92','92','2020-10-23 02:13:06','2020-10-23 02:13:06',null);
INSERT INTO complaint_statuses VALUES('6416','1817','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-23 02:18:05','2020-10-23 02:18:14',null);
INSERT INTO complaint_statuses VALUES('6417','1826','7','12','81','pcb laga di hai complaint resolved',null,'79','79','2020-10-23 02:51:04','2020-10-23 02:51:04',null);
INSERT INTO complaint_statuses VALUES('6418','1718','7','12','81','complaint resolved .only wiring issue',null,'79','79','2020-10-23 02:52:24','2020-10-23 02:52:24',null);
INSERT INTO complaint_statuses VALUES('6419','1638','7','24','81','customer has no warranty card.',null,'77','77','2020-10-23 19:37:30','2020-10-23 19:37:30',null);
INSERT INTO complaint_statuses VALUES('6420','1916','4',null,'62',null,null,'81','81','2020-10-23 21:19:58','2020-10-23 21:19:58',null);
INSERT INTO complaint_statuses VALUES('6421','1914','4',null,'61',null,'VAR ANTE CARD ISSUE','81','92','2020-10-23 21:20:17','2020-10-26 20:17:13',null);
INSERT INTO complaint_statuses VALUES('6422','1908','4',null,'55',null,null,'81','81','2020-10-23 21:20:36','2020-10-23 21:20:36',null);
INSERT INTO complaint_statuses VALUES('6423','1921','3',null,'57',null,'23-OCT-2020
FF TO M RIZWAN','74','74','2020-10-23 21:26:45','2020-10-23 21:26:45',null);
INSERT INTO complaint_statuses VALUES('6424','1922','2',null,'81',null,'23-OCT-2020
FF TO B.COOL','74','74','2020-10-23 21:27:16','2020-10-23 21:27:16',null);
INSERT INTO complaint_statuses VALUES('6425','1923','3',null,'52',null,'23-OCT-2020
COMPLAINT#PKRI-201023104273','74','74','2020-10-23 21:36:43','2020-10-23 21:36:43',null);
INSERT INTO complaint_statuses VALUES('6426','1924','3',null,'55',null,'23-OCT-2020
FF TO NAEEM KENWOOD','74','74','2020-10-23 21:41:50','2020-10-23 21:41:50',null);
INSERT INTO complaint_statuses VALUES('6427','1925','2',null,'81',null,'23-OCT-2020
FF TO USMAN MRM','74','74','2020-10-23 21:52:00','2020-10-23 21:52:00',null);
INSERT INTO complaint_statuses VALUES('6428','1925','4',null,'61',null,null,'81','81','2020-10-23 21:52:26','2020-10-23 21:52:26',null);
INSERT INTO complaint_statuses VALUES('6429','1922','4',null,'58',null,null,'81','81','2020-10-23 21:52:38','2020-10-23 21:52:38',null);
INSERT INTO complaint_statuses VALUES('6430','1926','3',null,'66',null,'23-OCT-2020
COMPLAINT#

























23-OCT-2020
COMPLAINT#PK102320200047','74','74','2020-10-23 22:16:37','2020-10-23 22:16:37',null);
INSERT INTO complaint_statuses VALUES('6431','1927','3',null,'81',null,'23-OCT-2020
FF TO BILAL','74','74','2020-10-23 22:25:02','2020-10-23 22:25:02',null);
INSERT INTO complaint_statuses VALUES('6432','1928','2',null,'81',null,'23-OCT-2020
FF TO B.COOL','74','74','2020-10-23 22:46:27','2020-10-23 22:46:27',null);
INSERT INTO complaint_statuses VALUES('6433','1928','4',null,'58',null,'VISIT TO DAY','81','74','2020-10-23 22:47:05','2020-10-24 20:44:28',null);
INSERT INTO complaint_statuses VALUES('6434','1929','3',null,'72',null,'23-OCT-2020
COMPLAINT#192018715','74','74','2020-10-23 22:57:45','2020-10-24 01:07:56',null);
INSERT INTO complaint_statuses VALUES('6435','1916','7','26','81','PLZ FRWD TO CONCERN DEP',null,'87','87','2020-10-23 23:05:41','2020-10-23 23:05:41',null);
INSERT INTO complaint_statuses VALUES('6436','1826','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-23 23:41:45','2020-10-23 23:48:12',null);
INSERT INTO complaint_statuses VALUES('6437','1916','5','15',null,'CANCELLED','CANCELLED COMPLAINT','81','74','2020-10-23 23:42:49','2020-10-23 23:45:37',null);
INSERT INTO complaint_statuses VALUES('6438','1777','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-23 23:43:56','2020-10-23 23:48:47',null);
INSERT INTO complaint_statuses VALUES('6439','1930','2',null,'81',null,'22-OCT-2020
COM FF TO AZHAR RAMZAN','74','74','2020-10-23 23:44:55','2020-10-23 23:44:55',null);
INSERT INTO complaint_statuses VALUES('6440','1718','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-23 23:53:27','2020-10-23 23:55:07',null);
INSERT INTO complaint_statuses VALUES('6441','1930','4',null,'60',null,null,'81','81','2020-10-24 00:28:13','2020-10-24 00:28:13',null);
INSERT INTO complaint_statuses VALUES('6442','1931','3',null,'55',null,'23-OCT-2020
FF TO WAQAR KENWOOD','74','92','2020-10-24 00:32:05','2020-10-26 19:22:31',null);
INSERT INTO complaint_statuses VALUES('6443','1932','3',null,'52',null,'23-OCT-2020
COMPLAINT#PKRI# 201023109351','74','74','2020-10-24 00:39:40','2020-10-24 00:39:40',null);
INSERT INTO complaint_statuses VALUES('6444','1786','7','12','81','Door Adjustment.(Charges Not Paid 600//-)',null,'76','76','2020-10-24 03:27:37','2020-10-24 03:27:37',null);
INSERT INTO complaint_statuses VALUES('6445','1784','7','12','81','Demonstration  Only (Charges not paid 600/-',null,'76','76','2020-10-24 03:34:31','2020-10-24 03:34:31',null);
INSERT INTO complaint_statuses VALUES('6446','1751','7','22','81','GASKET DAMAGE (PART ON DEMAND)',null,'76','76','2020-10-24 03:36:03','2020-10-24 03:36:03',null);
INSERT INTO complaint_statuses VALUES('6447','1903','7','24','81','Inform to the Customer , he will drop MWO In SVC.',null,'76','76','2020-10-24 03:37:47','2020-10-24 03:37:47',null);
INSERT INTO complaint_statuses VALUES('6448','1867','7','26','81','Customer Has Taken Replacement from Dealer.',null,'76','76','2020-10-24 03:39:16','2020-10-24 03:39:16',null);
INSERT INTO complaint_statuses VALUES('6449','1861','7','24','81','Please Drop MWO at Service Center',null,'76','76','2020-10-24 03:40:42','2020-10-24 03:40:42',null);
INSERT INTO complaint_statuses VALUES('6450','1878','7','11','81','Please Provide Contact Number',null,'76','76','2020-10-24 03:41:45','2020-10-24 03:41:45',null);
INSERT INTO complaint_statuses VALUES('6451','1840','7','12','81','General Service.',null,'76','76','2020-10-24 03:43:14','2020-10-24 03:43:14',null);
INSERT INTO complaint_statuses VALUES('6452','1793','7','12','81','General Service.',null,'76','76','2020-10-24 03:43:55','2020-10-24 03:43:55',null);
INSERT INTO complaint_statuses VALUES('6453','1629','7','26','81','Please Close complaint , Product Still not Received in SVC .',null,'76','76','2020-10-24 03:45:00','2020-10-24 03:45:00',null);
INSERT INTO complaint_statuses VALUES('6454','1790','7','12','81','Demonstration Only (Visit Not Paid 600/-)',null,'76','76','2020-10-24 03:47:35','2020-10-24 03:47:35',null);
INSERT INTO complaint_statuses VALUES('6455','1854','7','24','81','Under Repaired In SVC',null,'76','76','2020-10-24 03:50:23','2020-10-24 03:50:23',null);
INSERT INTO complaint_statuses VALUES('6456','1840','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-24 19:58:45','2020-10-24 20:00:40',null);
INSERT INTO complaint_statuses VALUES('6457','1933','3',null,'65',null,'24-OCT-2020
COM NO 192018720','92','92','2020-10-24 19:59:12','2020-10-24 19:59:12',null);
INSERT INTO complaint_statuses VALUES('6458','1867','5','15',null,'W/M REPLACE COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-24 20:00:21','2020-10-24 20:01:20',null);
INSERT INTO complaint_statuses VALUES('6459','1844','7','24','81','Workshop aye gi custmer khod ly ky aye gy',null,'82','82','2020-10-24 20:01:45','2020-10-24 20:01:45',null);
INSERT INTO complaint_statuses VALUES('6460','1878','8','23','55','CORRECT#0346-5166132','NO VSIT SHAHKAR KO REMINDER DA DIA','81','74','2020-10-24 20:02:53','2020-10-25 01:54:24',null);
INSERT INTO complaint_statuses VALUES('6461','1793','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-24 20:05:21','2020-10-24 20:06:29',null);
INSERT INTO complaint_statuses VALUES('6462','1790','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-24 20:07:16','2020-10-24 20:10:59',null);
INSERT INTO complaint_statuses VALUES('6463','1934','2',null,'81',null,'24-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-24 20:19:47','2020-10-24 20:19:47',null);
INSERT INTO complaint_statuses VALUES('6464','1935','3',null,'54',null,'24-OCT-2020
COM NO 1757687','92','92','2020-10-24 20:20:32','2020-10-24 20:32:36',null);
INSERT INTO complaint_statuses VALUES('6465','1786','5','23',null,'CUSTOMER VISIT SA SATISFIED NAI HAIN KAINDLY AGAIN VISIT ARRANGE KARWAY','KAL AGAIN VISIT HO GA LG REMINDER DA DIA
SATURDAY KO VISIT HO GA
COMPLAINT RESOLVED','81','74','2020-10-24 20:22:22','2020-11-04 23:41:43',null);
INSERT INTO complaint_statuses VALUES('6466','1936','2',null,'81',null,'15-OCT-2020
COM FF TO SHAMIM AKHTAR','74','74','2020-10-24 20:23:17','2020-10-24 20:23:17',null);
INSERT INTO complaint_statuses VALUES('6467','1934','4',null,'62',null,null,'81','81','2020-10-24 20:23:45','2020-10-24 20:23:45',null);
INSERT INTO complaint_statuses VALUES('6468','1936','4',null,'55',null,null,'81','81','2020-10-24 20:24:11','2020-10-24 20:24:11',null);
INSERT INTO complaint_statuses VALUES('6469','1937','2',null,'81',null,'24-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-24 20:27:52','2020-10-24 20:27:52',null);
INSERT INTO complaint_statuses VALUES('6470','1937','4',null,'58',null,null,'81','81','2020-10-24 20:28:40','2020-10-24 20:28:40',null);
INSERT INTO complaint_statuses VALUES('6471','1784','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-24 20:31:51','2020-10-24 20:32:19',null);
INSERT INTO complaint_statuses VALUES('6472','1629','5','15',null,'COMPLAINT CUSTOMER KI SIDE SA CANCELLED','COMPLAINT CANCELLED','81','74','2020-10-24 20:34:42','2020-10-24 20:35:48',null);
INSERT INTO complaint_statuses VALUES('6473','1938','3',null,'72',null,'24-OCT-2020
COM NO 072014913','92','92','2020-10-24 20:43:55','2020-10-24 20:49:31',null);
INSERT INTO complaint_statuses VALUES('6474','1939','2',null,'81',null,'24-OCT-2020
COM FF TO SHAMMIM  AKHTAR','92','92','2020-10-24 21:12:50','2020-10-24 21:12:50',null);
INSERT INTO complaint_statuses VALUES('6475','1886','7','12','81','filter clean only',null,'79','79','2020-10-24 21:16:54','2020-10-24 21:16:54',null);
INSERT INTO complaint_statuses VALUES('6476','1940','2',null,'81',null,'24-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-24 21:19:40','2020-10-24 21:19:40',null);
INSERT INTO complaint_statuses VALUES('6477','1906','3',null,'65',null,null,'74','74','2020-10-24 21:20:15','2020-10-24 21:20:15',null);
INSERT INTO complaint_statuses VALUES('6478','1835','5',null,null,'CLOSED COMPLAINT',null,'74','74','2020-10-24 21:21:51','2020-10-24 21:21:51',null);
INSERT INTO complaint_statuses VALUES('6479','1940','4',null,'55',null,'VISIT TO DAY','81','74','2020-10-24 21:23:50','2020-10-26 19:52:57',null);
INSERT INTO complaint_statuses VALUES('6480','1939','4',null,'55',null,null,'81','81','2020-10-24 21:24:14','2020-10-24 21:24:14',null);
INSERT INTO complaint_statuses VALUES('6481','1941','2',null,'81',null,'24-OCT-2020
COM FF TO USMAN MRM','92','92','2020-10-24 21:24:33','2020-10-24 21:24:33',null);
INSERT INTO complaint_statuses VALUES('6482','1371','7','12','81','Washing machin servis center i10 sy custmer ghar phonch gai hy',null,'82','82','2020-10-24 21:38:02','2020-10-24 21:38:02',null);
INSERT INTO complaint_statuses VALUES('6483','1886','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-24 21:39:05','2020-10-24 21:40:03',null);
INSERT INTO complaint_statuses VALUES('6484','1883','7','24','81','Monday ko uthaye gy',null,'82','82','2020-10-24 21:39:11','2020-10-24 21:39:11',null);
INSERT INTO complaint_statuses VALUES('6485','1930','7','24','81','Custmer sy visit chargis ka kha to wo kehty hy ham waha bhej dety hy .
Frig apky pass i10 bhej rehy hy',null,'82','82','2020-10-24 21:48:57','2020-10-24 21:48:57',null);
INSERT INTO complaint_statuses VALUES('6486','1371','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-24 21:54:11','2020-10-24 21:55:04',null);
INSERT INTO complaint_statuses VALUES('6487','1942','3',null,'53',null,'24-OCT-2020
COM NO 1062785','92','92','2020-10-24 21:54:43','2020-11-02 20:41:16',null);
INSERT INTO complaint_statuses VALUES('6488','1181','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-24 22:05:52','2020-10-24 22:05:52',null);
INSERT INTO complaint_statuses VALUES('6489','1943','3',null,'53',null,'24-OCT-2020
COM NO 1064836','92','92','2020-10-24 22:10:56','2020-11-02 20:40:25',null);
INSERT INTO complaint_statuses VALUES('6490','1944','3',null,'62',null,'24-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-24 22:31:37','2020-10-24 22:31:37',null);
INSERT INTO complaint_statuses VALUES('6491','1846','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-24 22:36:22','2020-10-24 22:36:22',null);
INSERT INTO complaint_statuses VALUES('6492','1891','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-10-24 22:45:00','2020-10-24 22:45:00',null);
INSERT INTO complaint_statuses VALUES('6493','1892','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-24 22:47:54','2020-10-24 22:47:54',null);
INSERT INTO complaint_statuses VALUES('6494','1336','7','12','81','Old lights Return to the Friends Service center (1-10)',null,'76','76','2020-10-24 22:49:43','2020-10-24 22:49:43',null);
INSERT INTO complaint_statuses VALUES('6495','1576','7','12','81','-Old Compressor Return to Friends Service Center I-10
-Gas and Labor Charges Charged from Customer .(6500)',null,'76','76','2020-10-24 22:53:02','2020-10-24 22:53:02',null);
INSERT INTO complaint_statuses VALUES('6496','1149','7','12','81','Old Compressor Return to the Friends Service center',null,'76','76','2020-10-24 22:53:49','2020-10-24 22:53:49',null);
INSERT INTO complaint_statuses VALUES('6497','1941','4',null,'61',null,'VISIT TO DAY','81','92','2020-10-24 22:59:45','2020-11-02 20:50:45',null);
INSERT INTO complaint_statuses VALUES('6498','1945','2',null,'81',null,'24-OCT-2020
COM FF TO TAHIR RAMZAN','92','92','2020-10-24 23:04:00','2020-10-24 23:04:00',null);
INSERT INTO complaint_statuses VALUES('6499','1945','4',null,'60',null,null,'81','81','2020-10-24 23:19:38','2020-10-24 23:19:38',null);
INSERT INTO complaint_statuses VALUES('6500','1095','7','22','81','MDS63916504 Gasket Part Code',null,'76','76','2020-10-24 23:19:47','2020-10-24 23:19:47',null);
INSERT INTO complaint_statuses VALUES('6501','1946','3',null,'55',null,'24-OCT-2020
COM NO 15794','92','92','2020-10-24 23:21:55','2020-10-31 20:31:29',null);
INSERT INTO complaint_statuses VALUES('6502','1947','2',null,'81',null,'24-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-24 23:26:55','2020-10-24 23:26:55',null);
INSERT INTO complaint_statuses VALUES('6503','1949','2',null,'81',null,'24-OCT-2020
COM FF TO TAHIR RAMZAN','92','92','2020-10-24 23:49:22','2020-10-24 23:49:22',null);
INSERT INTO complaint_statuses VALUES('6504','1949','4',null,'60',null,null,'81','81','2020-10-24 23:54:39','2020-10-24 23:54:39',null);
INSERT INTO complaint_statuses VALUES('6505','1947','4',null,'62',null,null,'81','81','2020-10-24 23:54:54','2020-10-24 23:54:54',null);
INSERT INTO complaint_statuses VALUES('6506','1696','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-25 00:17:52','2020-10-25 00:17:52',null);
INSERT INTO complaint_statuses VALUES('6507','1950','3',null,'88',null,'24-OCT-2020
FF TO KHURRAM 5 STAR','74','74','2020-10-25 00:35:27','2020-10-25 00:35:27',null);
INSERT INTO complaint_statuses VALUES('6508','1919','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-25 00:36:55','2020-10-25 00:37:06',null);
INSERT INTO complaint_statuses VALUES('6509','1576','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-25 00:38:12','2020-10-25 00:38:51',null);
INSERT INTO complaint_statuses VALUES('6510','1951','3',null,'66',null,'24-OCT-2020
COM NO PK111220200082','92','92','2020-10-25 00:43:46','2020-11-13 01:00:37',null);
INSERT INTO complaint_statuses VALUES('6511','1298','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-25 01:02:21','2020-10-25 01:02:21',null);
INSERT INTO complaint_statuses VALUES('6512','1501','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-25 01:03:40','2020-10-25 01:03:40',null);
INSERT INTO complaint_statuses VALUES('6513','1515','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-25 01:06:51','2020-10-25 01:06:51',null);
INSERT INTO complaint_statuses VALUES('6514','1945','7','24','81','Door switch need',null,'82','82','2020-10-25 01:11:36','2020-10-25 01:11:36',null);
INSERT INTO complaint_statuses VALUES('6515','1758','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-25 01:15:07','2020-10-25 01:15:07',null);
INSERT INTO complaint_statuses VALUES('6516','1952','2',null,'81',null,'24-OCT-2020
COM FF TO HOME SOLUTION','92','92','2020-10-25 01:16:24','2020-10-25 01:16:24',null);
INSERT INTO complaint_statuses VALUES('6517','1799','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-25 01:21:53','2020-10-25 01:21:53',null);
INSERT INTO complaint_statuses VALUES('6518','1760','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-25 01:30:22','2020-10-25 01:30:22',null);
INSERT INTO complaint_statuses VALUES('6519','1928','7','12','81','complaint resolved on call',null,'79','79','2020-10-25 01:33:05','2020-10-25 01:33:05',null);
INSERT INTO complaint_statuses VALUES('6520','1336','8','23','55','LIGHT LAGA NAY K BAD B ISSUE RESOLVED NAI HOA KINDLY CUSTOMER SA CONTECT KARAY',null,'81','81','2020-10-25 01:34:26','2020-10-25 01:34:26',null);
INSERT INTO complaint_statuses VALUES('6521','1801','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-25 01:41:00','2020-10-25 01:41:00',null);
INSERT INTO complaint_statuses VALUES('6522','1953','3',null,'53',null,'24-OCT-2020
COM NO  1062902','92','92','2020-10-25 01:41:39','2020-10-25 01:43:36',null);
INSERT INTO complaint_statuses VALUES('6523','1928','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-25 01:42:14','2020-10-25 01:42:55',null);
INSERT INTO complaint_statuses VALUES('6524','1149','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-25 01:49:59','2020-10-25 01:50:49',null);
INSERT INTO complaint_statuses VALUES('6525','1468','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-25 01:59:32','2020-10-25 01:59:32',null);
INSERT INTO complaint_statuses VALUES('6526','1475','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-25 02:00:34','2020-10-25 02:00:34',null);
INSERT INTO complaint_statuses VALUES('6527','1955','2',null,'81',null,'24-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-25 02:24:25','2020-10-25 02:24:25',null);
INSERT INTO complaint_statuses VALUES('6528','1955','4',null,'63',null,null,'81','81','2020-10-25 02:25:12','2020-10-25 02:25:12',null);
INSERT INTO complaint_statuses VALUES('6529','1952','4',null,'62',null,null,'81','81','2020-10-25 02:26:00','2020-10-25 02:26:00',null);
INSERT INTO complaint_statuses VALUES('6530','1956','3',null,'73',null,'24-OCT-2020
COM FF TO MUNAWAR CANNON 2044','92','92','2020-10-25 02:34:56','2020-10-25 02:42:07',null);
INSERT INTO complaint_statuses VALUES('6531','1957','2',null,'81',null,'24-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-25 02:55:56','2020-10-25 02:55:56',null);
INSERT INTO complaint_statuses VALUES('6532','1957','4',null,'58',null,'COMPLAINT RESOLVED','81','92','2020-10-25 02:07:36','2020-10-27 20:10:39',null);
INSERT INTO complaint_statuses VALUES('6533','1958','3',null,'54',null,'25-OCT-2020
COM NO 1758065','92','92','2020-10-25 18:41:47','2020-10-25 18:41:47',null);
INSERT INTO complaint_statuses VALUES('6534','1959','2',null,'81',null,'25-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-25 18:52:17','2020-10-25 18:52:17',null);
INSERT INTO complaint_statuses VALUES('6535','1937','7','12','81','YE COMPLAINT 35 G  GZR KI HAI KUHRm ko forwared kr di hai',null,'79','79','2020-10-25 19:12:36','2020-10-25 19:12:36',null);
INSERT INTO complaint_statuses VALUES('6536','1800','7','12','81','burner change ki ahai',null,'79','79','2020-10-25 19:14:56','2020-10-25 19:14:56',null);
INSERT INTO complaint_statuses VALUES('6537','1922','7','12','81','customer ny return kr dya hai.visit bhi nahi kia.',null,'79','79','2020-10-25 19:17:31','2020-10-25 19:17:31',null);
INSERT INTO complaint_statuses VALUES('6538','1795','7','12','81','complaint resolved pcb repair ki hai',null,'79','79','2020-10-25 19:18:20','2020-10-25 19:18:20',null);
INSERT INTO complaint_statuses VALUES('6539','1960','3',null,'73',null,'25-OCT-2020
COM FF TO MUNAWAR CANNON 2049','92','92','2020-10-25 19:20:54','2020-10-26 18:57:43',null);
INSERT INTO complaint_statuses VALUES('6540','1961','3',null,'52',null,'25-OCT-2020
COM NO PKRI-201031103749','92','92','2020-10-25 19:29:18','2020-10-31 19:36:24',null);
INSERT INTO complaint_statuses VALUES('6541','1962','3',null,'52',null,'25-OCT-2020
COM NO PKRI-201025103411','92','92','2020-10-25 20:26:23','2020-10-25 20:26:23',null);
INSERT INTO complaint_statuses VALUES('6542','1963','3',null,'66',null,'25-OCT-2020
COM NO PK110320200023','92','92','2020-10-25 20:53:27','2020-11-03 21:10:55',null);
INSERT INTO complaint_statuses VALUES('6543','1964','2',null,'81',null,'25-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-25 21:09:32','2020-10-25 21:09:32',null);
INSERT INTO complaint_statuses VALUES('6544','1965','3',null,'65',null,'25-OCT-2020
COM NO 192018730','92','92','2020-10-25 21:19:02','2020-10-25 21:25:47',null);
INSERT INTO complaint_statuses VALUES('6545','1966','2',null,'81',null,'25-OCT-2020
COM FF TO SHAMMIM AKHTAR','92','92','2020-10-25 21:48:00','2020-10-25 21:48:00',null);
INSERT INTO complaint_statuses VALUES('6546','1967','2',null,'81',null,'25-OCT-2020
COM FF TO SHAMMIM AKHTAR','92','92','2020-10-25 22:10:53','2020-10-26 19:00:27',null);
INSERT INTO complaint_statuses VALUES('6547','1968','3',null,'56',null,'25-OCT-2020
COM NO 25/008','92','92','2020-10-25 22:46:41','2020-10-25 22:46:41',null);
INSERT INTO complaint_statuses VALUES('6548','1969','2',null,'81',null,'25-OCT-2020
COM  FF TO BEST COOL','92','92','2020-10-25 23:11:45','2020-10-25 23:11:45',null);
INSERT INTO complaint_statuses VALUES('6549','1862','7','12','81','pcb laga di hai',null,'79','79','2020-10-25 23:20:01','2020-10-25 23:20:01',null);
INSERT INTO complaint_statuses VALUES('6550','1970','3',null,'54',null,'25-OCT-2020
COM NO 1758230','92','92','2020-10-25 23:30:03','2020-10-25 23:30:03',null);
INSERT INTO complaint_statuses VALUES('6551','1971','2',null,'81',null,'25-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-25 23:34:11','2020-10-25 23:34:11',null);
INSERT INTO complaint_statuses VALUES('6552','1952','7','12','81','ISSUE RESOLVED,LEAKAGE THI',null,'87','87','2020-10-25 23:54:46','2020-10-25 23:54:46',null);
INSERT INTO complaint_statuses VALUES('6553','1972','2',null,'81',null,'25-OCT-2020
COM FF TO SHAMMIM AKHTAR','92','92','2020-10-26 00:06:31','2020-10-26 00:06:31',null);
INSERT INTO complaint_statuses VALUES('6554','1952','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-26 03:48:00','2020-10-26 19:03:07',null);
INSERT INTO complaint_statuses VALUES('6555','1937','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-26 03:48:19','2020-10-26 21:27:56',null);
INSERT INTO complaint_statuses VALUES('6556','1922','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-26 03:49:18','2020-10-26 19:05:55',null);
INSERT INTO complaint_statuses VALUES('6557','1862','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-26 03:49:53','2020-10-26 20:59:24',null);
INSERT INTO complaint_statuses VALUES('6558','1800','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-26 03:50:31','2020-10-26 21:31:42',null);
INSERT INTO complaint_statuses VALUES('6559','1795','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-26 03:50:52','2020-10-26 21:07:44',null);
INSERT INTO complaint_statuses VALUES('6560','1945','8','23','60',null,null,'81','81','2020-10-26 03:51:25','2020-10-26 03:51:25',null);
INSERT INTO complaint_statuses VALUES('6561','1930','8','23','60',null,null,'81','81','2020-10-26 03:52:01','2020-10-26 03:52:01',null);
INSERT INTO complaint_statuses VALUES('6562','1903','8','23','55',null,null,'81','81','2020-10-26 03:52:30','2020-10-26 03:52:30',null);
INSERT INTO complaint_statuses VALUES('6563','1883','8','23','60',null,null,'81','81','2020-10-26 03:52:53','2020-10-26 03:52:53',null);
INSERT INTO complaint_statuses VALUES('6564','1874','8','23','60',null,null,'81','81','2020-10-26 03:53:18','2020-10-26 03:53:18',null);
INSERT INTO complaint_statuses VALUES('6565','1861','8','23','55',null,null,'81','81','2020-10-26 03:53:46','2020-10-26 03:53:46',null);
INSERT INTO complaint_statuses VALUES('6566','1854','8','23','55',null,null,'81','81','2020-10-26 03:54:19','2020-10-26 03:54:19',null);
INSERT INTO complaint_statuses VALUES('6567','1849','8','23','56',null,'IC UNIT KI MAIL AAGEI HAIN .MORTAZA SAB','81','74','2020-10-26 03:54:39','2020-11-11 21:22:04',null);
INSERT INTO complaint_statuses VALUES('6568','1844','8','23','60',null,null,'81','81','2020-10-26 03:55:02','2020-10-26 03:55:02',null);
INSERT INTO complaint_statuses VALUES('6569','1884','7','12','81','gas cock issue complaint resolved',null,'79','79','2020-10-26 18:54:46','2020-10-26 18:54:46',null);
INSERT INTO complaint_statuses VALUES('6570','1972','4',null,'55',null,null,'81','81','2020-10-26 18:55:11','2020-10-26 18:55:11',null);
INSERT INTO complaint_statuses VALUES('6571','1971','4',null,'58',null,null,'81','81','2020-10-26 18:56:09','2020-10-26 18:56:09',null);
INSERT INTO complaint_statuses VALUES('6572','1969','4',null,'58',null,null,'81','81','2020-10-26 18:56:36','2020-10-26 18:56:36',null);
INSERT INTO complaint_statuses VALUES('6573','1967','4',null,'59',null,null,'81','81','2020-10-26 19:02:41','2020-10-26 19:02:41',null);
INSERT INTO complaint_statuses VALUES('6574','1966','4',null,'55',null,null,'81','81','2020-10-26 19:04:08','2020-10-26 19:04:08',null);
INSERT INTO complaint_statuses VALUES('6575','1964','4',null,'58',null,null,'81','81','2020-10-26 19:04:27','2020-10-26 19:04:27',null);
INSERT INTO complaint_statuses VALUES('6576','1959','4',null,'58',null,null,'81','81','2020-10-26 19:04:42','2020-10-26 19:04:42',null);
INSERT INTO complaint_statuses VALUES('6577','1973','3',null,'55',null,'26-OCT-2020
FF TO WAQAR FCI','74','74','2020-10-26 19:16:51','2020-10-26 19:16:51',null);
INSERT INTO complaint_statuses VALUES('6578','1931','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-26 19:22:44','2020-10-26 19:22:54',null);
INSERT INTO complaint_statuses VALUES('6579','1969','7','12','81','custoemr ko call pe guid kr dya .complaint resolve kr di thi .',null,'79','79','2020-10-26 19:23:10','2020-10-26 19:23:10',null);
INSERT INTO complaint_statuses VALUES('6580','1947','7','12','81','ISSUE RESOLVED, WIRING KA PROBLEM THA',null,'87','87','2020-10-26 19:23:54','2020-10-26 19:23:54',null);
INSERT INTO complaint_statuses VALUES('6581','1974','2',null,'81',null,'26-OCT-2020
FF TO B. COOL','74','74','2020-10-26 19:24:37','2020-10-26 19:24:37',null);
INSERT INTO complaint_statuses VALUES('6582','1934','7','12','81','ISSUE RESOLVED ,FLOD BALL KA PROBLEM THA',null,'87','87','2020-10-26 19:25:39','2020-10-26 19:25:39',null);
INSERT INTO complaint_statuses VALUES('6583','1969','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-26 19:26:03','2020-10-26 20:45:48',null);
INSERT INTO complaint_statuses VALUES('6584','1947','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-26 19:26:25','2020-10-26 19:49:36',null);
INSERT INTO complaint_statuses VALUES('6585','1934','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-10-26 19:26:56','2020-10-26 19:50:59',null);
INSERT INTO complaint_statuses VALUES('6586','1884','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-26 19:27:15','2020-10-26 21:29:51',null);
INSERT INTO complaint_statuses VALUES('6587','1751','8','23','55',null,null,'81','81','2020-10-26 19:27:55','2020-10-26 19:27:55',null);
INSERT INTO complaint_statuses VALUES('6588','1955','7','12','81','KHURRAM BAHI NA YHA COMPLAINT ATTEND NAI KI.
URGENT VISIT THA ABDUL REHMAN NA ATTEND KI COMPLIANT.
500 VISIT CHARGES BLA LIYA.
COMPLAINT RESOLVED',null,'88','88','2020-10-26 19:34:47','2020-10-26 19:34:47',null);
INSERT INTO complaint_statuses VALUES('6589','1955','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-10-26 19:35:19','2020-10-26 19:36:02',null);
INSERT INTO complaint_statuses VALUES('6590','1975','3',null,'52',null,'26-OCT-2020
COM NO  PKRI-201026104499','92','92','2020-10-26 19:39:55','2020-10-26 19:43:45',null);
INSERT INTO complaint_statuses VALUES('6591','1638','8','23','56','its sony model . please guide customer as per company police',null,'81','81','2020-10-26 19:41:33','2020-10-26 19:41:33',null);
INSERT INTO complaint_statuses VALUES('6592','1594','5','15',null,'CUSTOMER KA NO STILL P/OFF JA RAHY HAIN .
CUSTOMER KO CALL B KI & SMS B KIYA HAIN BUT CUSTOMER SIDE SA KOI RESPONSE NAI AARHA .
IC WAJA SA COMPLAINT AJ CLOSED KAR RAHAY HAIN','COMPLAINT CLOSED','81','74','2020-10-26 19:48:56','2020-10-26 19:50:28',null);
INSERT INTO complaint_statuses VALUES('6593','1918','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-26 19:49:48','2020-10-26 19:50:00',null);
INSERT INTO complaint_statuses VALUES('6594','1669','8','23','56','NAEEM SIR NA APPROVAL DA DI HAIN SET READY KARWAY',null,'81','81','2020-10-26 19:52:18','2020-10-26 19:52:18',null);
INSERT INTO complaint_statuses VALUES('6595','1976','2',null,'81',null,'26-OCT-2020
FF TO AZHAR RAMZAN','74','74','2020-10-26 19:58:21','2020-10-26 19:58:21',null);
INSERT INTO complaint_statuses VALUES('6596','1976','4',null,'60',null,null,'81','81','2020-10-26 19:59:00','2020-10-26 19:59:00',null);
INSERT INTO complaint_statuses VALUES('6597','1924','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-26 19:59:38','2020-10-26 19:59:49',null);
INSERT INTO complaint_statuses VALUES('6598','1974','4',null,'58',null,null,'81','81','2020-10-26 19:59:46','2020-10-26 19:59:46',null);
INSERT INTO complaint_statuses VALUES('6599','1932','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-26 20:01:41','2020-10-26 20:01:41',null);
INSERT INTO complaint_statuses VALUES('6600','1912','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-26 20:04:44','2020-10-26 20:04:53',null);
INSERT INTO complaint_statuses VALUES('6601','1977','3',null,'54',null,'26-OCT-2020
COMPLAINT# 1758526','74','74','2020-10-26 20:09:23','2020-10-26 20:09:23',null);
INSERT INTO complaint_statuses VALUES('6602','1911','5',null,null,'LEFT IN SERVICE CENTER','WORKING IN PROCESS
GEYSER S/C SA READY HO K WAPISE GAYA HAIN COMPLIANT RESOLVED','92','74','2020-10-26 20:09:51','2020-10-29 19:51:48',null);
INSERT INTO complaint_statuses VALUES('6603','1978','2',null,'81',null,'26-OCT-2020
FF TO KHALID SONY','74','74','2020-10-26 20:17:57','2020-10-26 20:17:57',null);
INSERT INTO complaint_statuses VALUES('6604','1913','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-26 20:18:41','2020-10-26 20:18:50',null);
INSERT INTO complaint_statuses VALUES('6605','1978','4',null,'56',null,null,'81','81','2020-10-26 20:18:43','2020-10-26 20:18:43',null);
INSERT INTO complaint_statuses VALUES('6606','1824','7','12','81','ISSUE RESOLVED , BEARING CHANGE KYE',null,'87','87','2020-10-26 20:21:02','2020-10-26 20:21:02',null);
INSERT INTO complaint_statuses VALUES('6607','1669','7','24','81',null,null,'77','77','2020-10-26 20:39:54','2020-10-26 20:39:54',null);
INSERT INTO complaint_statuses VALUES('6608','1638','7','24','81','We have received warranty card from customer side',null,'77','77','2020-10-26 20:40:51','2020-10-26 20:40:51',null);
INSERT INTO complaint_statuses VALUES('6609','1910','5',null,null,'NOT ATTEND CALL','COMPLAINT RESOLVED','92','92','2020-10-26 20:42:17','2020-10-26 21:24:37',null);
INSERT INTO complaint_statuses VALUES('6610','1979','2',null,'81',null,'26-OCT-2020
FF TO USMAM MRM','74','74','2020-10-26 21:00:54','2020-10-26 21:00:54',null);
INSERT INTO complaint_statuses VALUES('6611','1979','4',null,'61',null,null,'81','81','2020-10-26 21:01:30','2020-10-26 21:01:30',null);
INSERT INTO complaint_statuses VALUES('6612','1980','2',null,'81',null,'26-OCT-2020
FF TO AZHAR RAMZAN FCI','74','74','2020-10-26 21:10:43','2020-10-26 21:10:43',null);
INSERT INTO complaint_statuses VALUES('6613','1980','4',null,'60',null,null,'81','81','2020-10-26 21:12:44','2020-10-26 21:12:44',null);
INSERT INTO complaint_statuses VALUES('6614','1981','2',null,'81',null,'26-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-26 21:25:58','2020-10-26 21:25:58',null);
INSERT INTO complaint_statuses VALUES('6615','1981','4',null,'62',null,null,'81','81','2020-10-26 21:26:31','2020-10-26 21:26:31',null);
INSERT INTO complaint_statuses VALUES('6616','1982','2',null,'81',null,'26-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-26 21:30:53','2020-10-26 21:30:53',null);
INSERT INTO complaint_statuses VALUES('6617','1982','4',null,'62',null,null,'81','81','2020-10-26 21:31:13','2020-10-26 21:31:13',null);
INSERT INTO complaint_statuses VALUES('6618','1983','3',null,'62',null,'26-OCT-2020
FF TO KHURRAM 5 STAR','74','74','2020-10-26 21:42:33','2020-10-26 21:42:33',null);
INSERT INTO complaint_statuses VALUES('6619','1923','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-26 21:45:42','2020-10-26 21:45:52',null);
INSERT INTO complaint_statuses VALUES('6620','1984','2',null,'81',null,'26-AUG-2020
FF TO B.COOL','74','74','2020-10-26 21:49:08','2020-10-26 21:49:08',null);
INSERT INTO complaint_statuses VALUES('6621','1935','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-26 21:49:44','2020-10-26 21:49:54',null);
INSERT INTO complaint_statuses VALUES('6622','1984','4',null,'58',null,null,'81','81','2020-10-26 21:50:38','2020-10-26 21:50:38',null);
INSERT INTO complaint_statuses VALUES('6623','1917','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-26 21:51:46','2020-10-26 21:51:56',null);
INSERT INTO complaint_statuses VALUES('6624','1915','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-26 21:53:48','2020-10-26 21:53:57',null);
INSERT INTO complaint_statuses VALUES('6625','1985','2',null,'81',null,'26-OCT-2020
FF TO B.COOL','74','74','2020-10-26 21:55:20','2020-10-26 21:55:20',null);
INSERT INTO complaint_statuses VALUES('6626','1985','4',null,'58',null,null,'81','81','2020-10-26 21:56:15','2020-10-26 21:56:15',null);
INSERT INTO complaint_statuses VALUES('6627','1909','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-26 21:56:31','2020-10-26 21:56:43',null);
INSERT INTO complaint_statuses VALUES('6628','1907','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-26 22:00:15','2020-10-26 22:00:26',null);
INSERT INTO complaint_statuses VALUES('6629','1893','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-26 22:09:44','2020-10-26 22:09:55',null);
INSERT INTO complaint_statuses VALUES('6630','1986','3',null,'52',null,'26-OCT-2020
COMPLAINT#PKRI-201026109107
COMPLAINt#PKRI201026109125','74','74','2020-10-26 22:46:36','2020-10-26 22:46:36',null);
INSERT INTO complaint_statuses VALUES('6631','1978','7','20','81','its Tuner faulty need approval Rs.7801',null,'77','77','2020-10-26 22:51:38','2020-10-26 22:51:38',null);
INSERT INTO complaint_statuses VALUES('6632','1987','3',null,'65',null,'26-OCT-2020
COMPLAINT#192018742','74','74','2020-10-26 23:01:26','2020-10-26 23:28:18',null);
INSERT INTO complaint_statuses VALUES('6633','1988','2',null,'81',null,'26-OCT-2020
FF TO NADEEM AV','74','74','2020-10-26 23:21:05','2020-10-26 23:21:05',null);
INSERT INTO complaint_statuses VALUES('6634','1988','4',null,'59',null,null,'81','81','2020-10-26 23:25:15','2020-10-26 23:25:15',null);
INSERT INTO complaint_statuses VALUES('6635','1845','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-26 23:25:18','2020-10-26 23:25:27',null);
INSERT INTO complaint_statuses VALUES('6636','1762','7','20','81','Tuner faulty need aproval Rs. 7801',null,'77','77','2020-10-26 23:27:10','2020-10-26 23:27:10',null);
INSERT INTO complaint_statuses VALUES('6637','1978','8','23','56','NAE EM SAB BOL RAHAY HAIN TUNER HUM DA DAY GAY.
NEAME SAB SA CONTACT KARAY',null,'81','81','2020-10-26 23:41:04','2020-10-26 23:41:04',null);
INSERT INTO complaint_statuses VALUES('6638','1989','2',null,'81',null,'26-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-27 00:00:42','2020-10-27 00:00:42',null);
INSERT INTO complaint_statuses VALUES('6639','1989','4',null,'58',null,null,'81','81','2020-10-27 00:01:06','2020-10-27 00:01:06',null);
INSERT INTO complaint_statuses VALUES('6640','1751','7','12','81','Gasket Replaced',null,'76','76','2020-10-27 00:01:27','2020-10-27 00:01:27',null);
INSERT INTO complaint_statuses VALUES('6641','1978','7','24','81','Its  paid job we are in tuch with customer.',null,'77','77','2020-10-27 00:04:21','2020-10-27 00:04:21',null);
INSERT INTO complaint_statuses VALUES('6642','1990','2',null,'81',null,'26-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-27 00:11:34','2020-10-27 00:11:34',null);
INSERT INTO complaint_statuses VALUES('6643','1991','2',null,'81',null,'26-OCT-2020
FF TO USMAM MRM','74','74','2020-10-27 00:20:39','2020-10-27 00:20:39',null);
INSERT INTO complaint_statuses VALUES('6644','1991','4',null,'61',null,null,'81','81','2020-10-27 00:21:05','2020-10-27 00:21:05',null);
INSERT INTO complaint_statuses VALUES('6645','1990','4',null,'58',null,null,'81','81','2020-10-27 00:21:16','2020-10-27 00:21:16',null);
INSERT INTO complaint_statuses VALUES('6646','1992','2',null,'81',null,'26-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-27 00:30:08','2020-10-27 00:30:08',null);
INSERT INTO complaint_statuses VALUES('6647','1993','2',null,'81',null,'26-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-27 00:42:26','2020-10-27 00:42:26',null);
INSERT INTO complaint_statuses VALUES('6648','1993','4',null,'62',null,'VISIT TO DAY(HEAT TANK PROB)','81','74','2020-10-27 00:42:59','2020-10-27 19:03:28',null);
INSERT INTO complaint_statuses VALUES('6649','1992','4',null,'63',null,'KHURRAM BHAI KO REMINDER DA DIA','81','74','2020-10-27 00:43:14','2020-11-11 22:46:54',null);
INSERT INTO complaint_statuses VALUES('6650','1994','3',null,'62',null,'26-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-27 00:47:25','2020-11-04 00:56:03',null);
INSERT INTO complaint_statuses VALUES('6651','1995','3',null,'52',null,'26-OCT-2020
COMPLAINT#PKRI-201026111842','74','74','2020-10-27 00:50:12','2020-10-27 00:50:12',null);
INSERT INTO complaint_statuses VALUES('6652','1954','3',null,'53',null,'COMPLAINT RESOLVED','74','74','2020-10-27 01:00:10','2020-11-28 21:58:38',null);
INSERT INTO complaint_statuses VALUES('6653','1996','3',null,'73',null,'26-OCT-2020
COMPLAINT#2077','74','74','2020-10-27 01:01:22','2020-10-27 01:07:45',null);
INSERT INTO complaint_statuses VALUES('6654','1997','3',null,'52',null,'26-OCT-2020
COMPLAINT#PKRI-201026112508','74','74','2020-10-27 01:06:47','2020-10-27 01:17:34',null);
INSERT INTO complaint_statuses VALUES('6655','1998','2',null,'81',null,'26-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-27 01:09:20','2020-10-27 01:09:20',null);
INSERT INTO complaint_statuses VALUES('6656','1999','3',null,'52',null,'26-OCT-2020
COMPLAINT#PKRI-201026112347','74','92','2020-10-27 01:13:01','2020-11-04 00:49:08',null);
INSERT INTO complaint_statuses VALUES('6657','1982','7','12','81','ISSUE RESOLVED ON CALL .. FILTER SAAF KYE',null,'87','87','2020-10-27 01:16:33','2020-10-27 01:16:33',null);
INSERT INTO complaint_statuses VALUES('6658','2000','3',null,'80',null,'26-OCT-2020
COM FF TO AMNA','92','92','2020-10-27 01:17:55','2020-11-04 00:44:31',null);
INSERT INTO complaint_statuses VALUES('6659','1949','7','24','81','Uzair bhai maj sab ky ghar gy thy .medam ny kha hy sirf abdul rehman hi complain krny aye ga .abdul rehman aaj bahria twon wali side py hy ur wo kal sy 1 hafty ki chuti py hy. Lahore jay ga. Shadi py',null,'82','82','2020-10-27 01:22:25','2020-10-27 01:22:25',null);
INSERT INTO complaint_statuses VALUES('6660','1980','7','24','81',null,null,'82','82','2020-10-27 01:24:20','2020-10-27 01:24:20',null);
INSERT INTO complaint_statuses VALUES('6661','1874','7','12','81','Pippe laga dia hy .compleet',null,'82','82','2020-10-27 01:25:34','2020-10-27 01:25:34',null);
INSERT INTO complaint_statuses VALUES('6662','1683','7','24','81','Frige i10.servis center ayea hy',null,'82','82','2020-10-27 01:28:55','2020-10-27 01:28:55',null);
INSERT INTO complaint_statuses VALUES('6663','1930','7','24','81','Custmer kal frige servis center i10 bhejy gy',null,'82','82','2020-10-27 01:31:37','2020-10-27 01:31:37',null);
INSERT INTO complaint_statuses VALUES('6664','2001','2',null,'81',null,'26-OCT-2020
COM FF TO HOME SOLUTION','92','92','2020-10-27 01:36:30','2020-10-27 01:36:30',null);
INSERT INTO complaint_statuses VALUES('6665','2001','4',null,'62',null,null,'81','81','2020-10-27 01:37:27','2020-10-27 01:37:27',null);
INSERT INTO complaint_statuses VALUES('6666','1998','4',null,'58',null,null,'81','81','2020-10-27 01:37:42','2020-10-27 01:37:42',null);
INSERT INTO complaint_statuses VALUES('6667','2002','2',null,'81',null,'26-OCT-2020
FF TO USMAN MRM','74','74','2020-10-27 02:00:29','2020-10-27 02:00:29',null);
INSERT INTO complaint_statuses VALUES('6668','2002','4',null,'61',null,null,'81','81','2020-10-27 17:50:17','2020-10-27 17:50:17',null);
INSERT INTO complaint_statuses VALUES('6669','2003','2',null,'81',null,'27-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-27 18:10:31','2020-10-27 18:10:31',null);
INSERT INTO complaint_statuses VALUES('6670','2003','4',null,'55',null,null,'81','81','2020-10-27 18:11:09','2020-10-27 18:11:09',null);
INSERT INTO complaint_statuses VALUES('6671','1978','8','23','56','OK',null,'81','81','2020-10-27 18:20:26','2020-10-27 18:20:26',null);
INSERT INTO complaint_statuses VALUES('6672','1874','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-27 18:22:38','2020-10-27 18:23:11',null);
INSERT INTO complaint_statuses VALUES('6673','1889','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-27 18:39:33','2020-10-27 18:39:51',null);
INSERT INTO complaint_statuses VALUES('6674','2004','3',null,'53',null,'27-OCT-2020
COMPLIANT#1063368','74','74','2020-10-27 18:41:17','2020-10-27 18:41:17',null);
INSERT INTO complaint_statuses VALUES('6675','1970','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-10-27 18:49:20','2020-10-27 18:49:20',null);
INSERT INTO complaint_statuses VALUES('6676','1981','7','12','81','ISSUE RESOLVED . SERVICE KI',null,'87','87','2020-10-27 19:13:03','2020-10-27 19:13:03',null);
INSERT INTO complaint_statuses VALUES('6677','1869','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-27 19:17:11','2020-10-27 19:17:22',null);
INSERT INTO complaint_statuses VALUES('6678','2005','3',null,'52',null,'27-OCT-2020
COMPLAINT#PKRI-201027103409','74','92','2020-10-27 19:17:31','2020-10-29 23:25:19',null);
INSERT INTO complaint_statuses VALUES('6679','1819','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-27 19:19:39','2020-10-27 19:19:48',null);
INSERT INTO complaint_statuses VALUES('6680','2006','3',null,'66',null,'27-OCT-2020
COMPLAINT#PK110320200068','74','74','2020-10-27 19:35:36','2020-11-04 00:59:44',null);
INSERT INTO complaint_statuses VALUES('6681','1988','7','24','81','visit ho gea hy',null,'80','80','2020-10-27 19:38:54','2020-10-27 19:38:54',null);
INSERT INTO complaint_statuses VALUES('6682','1988','8','23','59','OK',null,'81','81','2020-10-27 19:43:59','2020-10-27 19:43:59',null);
INSERT INTO complaint_statuses VALUES('6683','1965','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-27 19:44:15','2020-10-27 19:44:27',null);
INSERT INTO complaint_statuses VALUES('6684','1960','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-27 19:48:25','2020-10-27 19:48:36',null);
INSERT INTO complaint_statuses VALUES('6685','1986','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-27 19:55:48','2020-10-27 19:55:58',null);
INSERT INTO complaint_statuses VALUES('6686','1988','7','12','81','Visit+software+fectury reset+rRemote 
Rs = 2500',null,'80','80','2020-10-27 19:59:32','2020-10-27 19:59:32',null);
INSERT INTO complaint_statuses VALUES('6687','1976','7','24','81','moter blore tota huwa hy',null,'82','82','2020-10-27 20:00:33','2020-10-27 20:00:33',null);
INSERT INTO complaint_statuses VALUES('6688','1958','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-27 20:08:26','2020-10-27 20:08:36',null);
INSERT INTO complaint_statuses VALUES('6689','1736','7','12','81',null,null,'82','82','2020-10-27 20:14:29','2020-10-27 20:14:29',null);
INSERT INTO complaint_statuses VALUES('6690','628','7','12','81','plz plz plz is complain ko closed kar dy,peshawer waly irfan sab ny kar di okay',null,'82','82','2020-10-27 20:21:32','2020-10-27 20:21:32',null);
INSERT INTO complaint_statuses VALUES('6691','1116','7','12','81','plz ap medam ko fon kar ky machin apny pass mangwa ly shakh mmarkeet main hy ,,,,,,,,yah sy closed kar dy',null,'82','82','2020-10-27 20:23:18','2020-10-27 20:23:18',null);
INSERT INTO complaint_statuses VALUES('6692','1684','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-27 20:31:02','2020-10-27 20:31:14',null);
INSERT INTO complaint_statuses VALUES('6693','1883','7','24','81','hamari workshop aai hy  ,servis issue hy',null,'82','82','2020-10-27 20:31:37','2020-10-27 20:31:37',null);
INSERT INTO complaint_statuses VALUES('6694','2007','3',null,'55',null,'27-OCT-2020
FF TO NAEEM KENWOOD','74','74','2020-10-27 20:32:33','2020-10-27 20:32:33',null);
INSERT INTO complaint_statuses VALUES('6695','1624','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-27 20:34:13','2020-10-27 20:34:24',null);
INSERT INTO complaint_statuses VALUES('6696','1988','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-27 20:40:53','2020-10-27 20:41:22',null);
INSERT INTO complaint_statuses VALUES('6697','2008','3',null,'52',null,'27-OCT-2020
COMPLAINT#PKRI-201027105697','74','74','2020-10-27 20:42:18','2020-10-27 20:42:18',null);
INSERT INTO complaint_statuses VALUES('6698','1982','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-27 20:56:49','2020-10-27 22:08:27',null);
INSERT INTO complaint_statuses VALUES('6699','1981','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-27 20:57:28','2020-10-27 22:11:18',null);
INSERT INTO complaint_statuses VALUES('6700','1824','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-10-27 20:58:19','2020-10-27 22:17:39',null);
INSERT INTO complaint_statuses VALUES('6701','628','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-27 21:00:09','2020-10-29 00:50:54',null);
INSERT INTO complaint_statuses VALUES('6702','2009','2',null,'81',null,'27-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-27 21:01:57','2020-10-27 21:01:57',null);
INSERT INTO complaint_statuses VALUES('6703','2009','4',null,'55',null,null,'81','81','2020-10-27 21:04:10','2020-10-27 21:04:10',null);
INSERT INTO complaint_statuses VALUES('6704','2010','2',null,'81',null,'27-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-27 21:04:54','2020-10-27 21:04:54',null);
INSERT INTO complaint_statuses VALUES('6705','1116','8','23','60','SAMSUNG KI TOTAL COMPLAINTS AAP KO FORWARD HOTE HEN  .  IS LEYA CUSTOMER KO AAP HANDEL KAREN','CUSTOMER NOT PICK UP CALL','81','74','2020-10-27 21:21:24','2020-11-04 01:46:14',null);
INSERT INTO complaint_statuses VALUES('6706','1736','8','23','60','WHERE IS MACHINE YOUR SERVICE CENTER YA CUSTOMERS HOME',null,'81','81','2020-10-27 21:23:24','2020-10-27 21:23:24',null);
INSERT INTO complaint_statuses VALUES('6707','1751','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-27 21:24:29','2020-10-28 22:01:16',null);
INSERT INTO complaint_statuses VALUES('6708','1980','8','23','60','PLEASE COMPLETE THIS JOB QUICKLY',null,'81','81','2020-10-27 21:26:01','2020-10-27 21:26:01',null);
INSERT INTO complaint_statuses VALUES('6709','1976','8','23','60',null,null,'81','81','2020-10-27 21:26:37','2020-10-27 21:26:37',null);
INSERT INTO complaint_statuses VALUES('6710','2011','2',null,'81',null,'27-OCT-2020
FF TO USMAM MRM','74','74','2020-10-27 21:27:16','2020-10-27 21:27:16',null);
INSERT INTO complaint_statuses VALUES('6711','2011','4',null,'61',null,null,'81','81','2020-10-27 21:27:45','2020-10-27 21:27:45',null);
INSERT INTO complaint_statuses VALUES('6712','1949','8','23','60','CUSTOMER KO BATA DEN','VISIT TO DAY ABDUL REHMAN KO REMINDER DA DIA','81','74','2020-10-27 21:27:52','2020-10-28 18:48:10',null);
INSERT INTO complaint_statuses VALUES('6713','2010','4',null,'58',null,null,'81','81','2020-10-27 21:27:55','2020-10-27 21:27:55',null);
INSERT INTO complaint_statuses VALUES('6714','1930','8','23','60','Y?',null,'81','81','2020-10-27 21:28:30','2020-10-27 21:28:30',null);
INSERT INTO complaint_statuses VALUES('6715','1883','8','23','60','PLEASE COMPLETE THIS JOB QUICKLY',null,'81','81','2020-10-27 21:29:14','2020-10-27 21:29:14',null);
INSERT INTO complaint_statuses VALUES('6716','1683','8','23','60','PLEASE COMPLETE THIS JOB QUICKLY',null,'81','81','2020-10-27 21:32:59','2020-10-27 21:32:59',null);
INSERT INTO complaint_statuses VALUES('6717','1669','8','23','56','PLEASE COMPLETE THIS JOB QUICKLY',null,'81','81','2020-10-27 21:33:41','2020-10-27 21:33:41',null);
INSERT INTO complaint_statuses VALUES('6718','1762','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-27 21:34:00','2020-10-27 21:34:57',null);
INSERT INTO complaint_statuses VALUES('6719','1638','8','23','56',null,null,'81','81','2020-10-27 21:34:25','2020-10-27 21:34:25',null);
INSERT INTO complaint_statuses VALUES('6720','2012','3',null,'56',null,'27-OCT-2020
COM NO J27/009','92','92','2020-10-27 21:46:09','2020-10-27 21:50:55',null);
INSERT INTO complaint_statuses VALUES('6721','1974','7','10','81','no regular busy ja raha hai','VISIT TO DAY','79','92','2020-10-27 21:48:30','2020-10-27 22:04:36',null);
INSERT INTO complaint_statuses VALUES('6722','1964','7','12','81','compliant resolved .gzr ka issue resolved ho gy atha visit nahi kia',null,'79','79','2020-10-27 21:50:17','2020-10-27 21:50:17',null);
INSERT INTO complaint_statuses VALUES('6723','1957','7','12','81','complaint resolved.guid kr dya hai',null,'79','79','2020-10-27 21:51:10','2020-10-27 21:51:10',null);
INSERT INTO complaint_statuses VALUES('6724','2013','2',null,'81',null,'27-OCT-2020
FF TO USMAM MRM','74','74','2020-10-27 21:59:13','2020-10-27 21:59:13',null);
INSERT INTO complaint_statuses VALUES('6725','2013','4',null,'61',null,null,'81','81','2020-10-27 22:00:24','2020-10-27 22:00:24',null);
INSERT INTO complaint_statuses VALUES('6726','2010','7','22','81','compressor issue .plz give estimate',null,'79','79','2020-10-27 22:18:33','2020-10-27 22:18:33',null);
INSERT INTO complaint_statuses VALUES('6727','2014','3',null,'52',null,'27-OCT-2020
COM NO PKRI-201029105974','92','92','2020-10-27 22:53:20','2020-10-29 21:06:31',null);
INSERT INTO complaint_statuses VALUES('6728','1948','3',null,'59',null,null,'74','74','2020-10-27 22:53:54','2020-10-27 22:53:54',null);
INSERT INTO complaint_statuses VALUES('6729','2015','3',null,'54',null,'27-OCT-2020
COM NO 1759466','92','92','2020-10-27 23:14:29','2020-10-29 23:21:07',null);
INSERT INTO complaint_statuses VALUES('6730','1769','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-27 23:27:12','2020-10-27 23:27:39',null);
INSERT INTO complaint_statuses VALUES('6731','2016','3',null,'52',null,'27-OCT-2020
COM NO PKRI-201027110373','92','92','2020-10-27 23:51:17','2020-10-27 23:56:08',null);
INSERT INTO complaint_statuses VALUES('6732','1885','7','12','81','ISSUE RESOLVED ,PCB REP',null,'87','87','2020-10-28 00:18:26','2020-10-28 00:18:26',null);
INSERT INTO complaint_statuses VALUES('6733','2018','2',null,'81',null,'27-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-28 01:12:34','2020-10-28 01:12:34',null);
INSERT INTO complaint_statuses VALUES('6734','2018','4',null,'62',null,null,'81','81','2020-10-28 01:13:38','2020-10-28 01:13:38',null);
INSERT INTO complaint_statuses VALUES('6735','2019','3',null,'62',null,'27-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-28 01:16:15','2020-10-28 01:16:15',null);
INSERT INTO complaint_statuses VALUES('6736','2020','3',null,'63',null,'27-OCT-2020
COM NO 3076','92','92','2020-10-28 01:25:15','2020-10-29 18:19:45',null);
INSERT INTO complaint_statuses VALUES('6737','2017','3',null,'86',null,null,'74','74','2020-10-28 01:28:42','2020-10-28 01:28:42',null);
INSERT INTO complaint_statuses VALUES('6738','1978','7','12','81','No action. Unit with customer',null,'77','77','2020-10-28 01:39:16','2020-10-28 01:39:16',null);
INSERT INTO complaint_statuses VALUES('6739','1737','7','12','81','Completed and collected. Sony warranty',null,'77','77','2020-10-28 01:42:08','2020-10-28 01:42:08',null);
INSERT INTO complaint_statuses VALUES('6740','1901','7','28','81','Closed this job. Its look two time.entered. one is job no 936 and other is 1901. So pls closed 1901 no action',null,'77','77','2020-10-28 01:46:56','2020-10-28 01:46:56',null);
INSERT INTO complaint_statuses VALUES('6741','1457','7','12','81','Unit completed and collected',null,'77','77','2020-10-28 02:44:14','2020-10-28 02:44:14',null);
INSERT INTO complaint_statuses VALUES('6742','1959','7','12','81','ye ref i 10 sy repair ho kr gya 1 week pehly .ref portion mein ice zayda arhi hai custoemr ko guid kr dyahai k direct cool mein asi ice ajati hai.ab dekh lein kia kerna hai',null,'79','79','2020-10-28 03:09:51','2020-10-28 03:09:51',null);
INSERT INTO complaint_statuses VALUES('6743','1990','7','24','81','wm work shop agi hai bearing ka issue hai',null,'79','79','2020-10-28 03:13:46','2020-10-28 03:13:46',null);
INSERT INTO complaint_statuses VALUES('6744','1971','7','12','81','complaint resolve tab change',null,'79','79','2020-10-28 03:15:36','2020-10-28 03:15:36',null);
INSERT INTO complaint_statuses VALUES('6745','1979','7','12','81','Back light replaced  home service 
Rs 4500 exp 
Plz close job',null,'83','83','2020-10-28 03:47:51','2020-10-28 03:47:51',null);
INSERT INTO complaint_statuses VALUES('6746','1785','7','12','81','Panel replaced. Rs 20000 bill 
Unit in lab',null,'83','83','2020-10-28 03:49:39','2020-10-28 03:49:39',null);
INSERT INTO complaint_statuses VALUES('6747','1995','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-28 18:24:29','2020-10-28 18:24:42',null);
INSERT INTO complaint_statuses VALUES('6748','1985','7','22','81','door switch issue',null,'79','79','2020-10-28 18:25:55','2020-10-28 18:25:55',null);
INSERT INTO complaint_statuses VALUES('6749','2013','7','12','81','Gas kit replaced 
RS 8000/- charged from customer 
 unit ok plz close the job',null,'83','83','2020-10-28 18:29:55','2020-10-28 18:29:55',null);
INSERT INTO complaint_statuses VALUES('6750','1977','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-28 18:30:19','2020-10-28 18:30:33',null);
INSERT INTO complaint_statuses VALUES('6751','1975','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-28 18:33:01','2020-10-28 18:33:12',null);
INSERT INTO complaint_statuses VALUES('6752','2021','3',null,'52',null,'28-OCT-2020
COMPLAINT #PKRI-201028105867','74','74','2020-10-28 18:35:23','2020-10-28 20:44:33',null);
INSERT INTO complaint_statuses VALUES('6753','1962','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-28 18:37:21','2020-10-28 18:39:00',null);
INSERT INTO complaint_statuses VALUES('6754','1962','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-10-28 18:38:49','2020-10-28 18:38:49',null);
INSERT INTO complaint_statuses VALUES('6755','1882','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-28 18:54:46','2020-10-28 18:55:02',null);
INSERT INTO complaint_statuses VALUES('6756','2013','8','15','61','WRONG FOLLOWUP',null,'81','81','2020-10-28 19:00:17','2020-10-28 19:00:17',null);
INSERT INTO complaint_statuses VALUES('6757','1879','5',null,null,'NOT ATTEND CALL','COMPLAINT RESOLVED','92','92','2020-10-28 19:06:17','2020-10-28 19:06:52',null);
INSERT INTO complaint_statuses VALUES('6758','1993','7','26','81','CANCEL FROM CUSTOMER SIDE.',null,'87','87','2020-10-28 19:07:47','2020-10-28 19:07:47',null);
INSERT INTO complaint_statuses VALUES('6759','1979','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-28 19:07:49','2020-10-28 19:17:20',null);
INSERT INTO complaint_statuses VALUES('6760','884','7','12','81','ISSUE RESOLVED .GAS KIT REP',null,'87','87','2020-10-28 19:08:17','2020-10-28 19:08:17',null);
INSERT INTO complaint_statuses VALUES('6761','2022','3',null,'62',null,'27-OCT-2020
FF TO KHURRAM 5 STAR','74','92','2020-10-28 19:10:16','2020-10-29 23:01:51',null);
INSERT INTO complaint_statuses VALUES('6762','2001','7','24','81','CUSTOMER IS NOT AT HOME,JB CALL KRON TB AYE GA BY CUSTOMER',null,'87','87','2020-10-28 19:10:56','2020-10-28 19:10:56',null);
INSERT INTO complaint_statuses VALUES('6763','2007','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-28 19:16:12','2020-10-28 19:16:12',null);
INSERT INTO complaint_statuses VALUES('6764','1993','5','15',null,'CANCELLED KARWA DI CUSTOMER NA COMPLAINT ASAD TECHNICIAN NA ATTEND KI COMPLAINT','COMPLAINT RESOLVED','81','92','2020-10-28 19:19:04','2020-10-28 19:30:56',null);
INSERT INTO complaint_statuses VALUES('6765','1868','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-28 19:21:03','2020-10-28 19:21:14',null);
INSERT INTO complaint_statuses VALUES('6766','1812','7','12','81','glass lga dya hai.',null,'79','79','2020-10-28 19:25:35','2020-10-28 19:25:35',null);
INSERT INTO complaint_statuses VALUES('6767','2001','8','23','62','CUSTOMER GHR PA AJ AVAIL HAIN VISIT ARRANGE KARWAY',null,'81','81','2020-10-28 19:26:21','2020-10-28 19:26:21',null);
INSERT INTO complaint_statuses VALUES('6768','2002','7','12','81','Gas kit replaced 
rs 8000/- bill  
unit ok plz close the job',null,'83','83','2020-10-28 19:46:02','2020-10-28 19:46:02',null);
INSERT INTO complaint_statuses VALUES('6769','1990','8','23','58','KINDLY COMPLETED THIS JOB QUKILEY',null,'81','81','2020-10-28 19:47:58','2020-10-28 19:47:58',null);
INSERT INTO complaint_statuses VALUES('6770','2002','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-28 19:49:25','2020-10-28 19:50:04',null);
INSERT INTO complaint_statuses VALUES('6771','2023','3',null,'52',null,'28-OCT-2020
COM NO PKRI-201028104490','92','92','2020-10-28 19:56:48','2020-10-28 19:56:48',null);
INSERT INTO complaint_statuses VALUES('6772','1978','5','15',null,'CUSTOMER NA SET KHUD S/C MOVE KARWANA HAIN PAID JOB HAIN','COMPLAINT CLOSED','81','74','2020-10-28 20:04:25','2020-10-28 20:21:59',null);
INSERT INTO complaint_statuses VALUES('6773','2024','2',null,'81',null,'27-OCT-2020
FF TO KHALID SONY','74','74','2020-10-28 20:17:18','2020-10-28 20:17:18',null);
INSERT INTO complaint_statuses VALUES('6774','2024','4',null,'56',null,null,'81','81','2020-10-28 20:18:42','2020-10-28 20:18:42',null);
INSERT INTO complaint_statuses VALUES('6775','1971','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-28 20:21:06','2020-10-28 20:22:34',null);
INSERT INTO complaint_statuses VALUES('6776','2025','2',null,'81',null,'28-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-28 20:29:14','2020-10-28 20:29:14',null);
INSERT INTO complaint_statuses VALUES('6777','2026','3',null,'52',null,'28-OCT-2020
COMPLIANT#PKRI201028105640','74','74','2020-10-28 20:31:50','2020-10-28 20:39:36',null);
INSERT INTO complaint_statuses VALUES('6778','2027','3',null,'52',null,'28-OCT-2020
COMPLAINT#PKRI-201028105943','74','74','2020-10-28 20:45:01','2020-10-28 20:47:12',null);
INSERT INTO complaint_statuses VALUES('6779','2028','3',null,'52',null,'28-OCT-2020
COMPLAINT#PKRI-201028106026','74','92','2020-10-28 20:50:49','2020-11-03 02:02:48',null);
INSERT INTO complaint_statuses VALUES('6780','2029','3',null,'52',null,'28-OCT-2020
COMPLAINT#PKRI-201028106087','74','92','2020-10-28 20:56:02','2020-10-31 18:28:13',null);
INSERT INTO complaint_statuses VALUES('6781','1976','7','12','81','حد replrced hogea hy',null,'82','82','2020-10-28 21:02:02','2020-10-28 21:02:02',null);
INSERT INTO complaint_statuses VALUES('6782','1883','7','12','81','Machin servis ky lye aai thi custmer ky ghar chli gai wapis',null,'82','82','2020-10-28 21:03:36','2020-10-28 21:03:36',null);
INSERT INTO complaint_statuses VALUES('6783','1959','8','23','58','ADIL SAB KO INFORMED KAR DIA',null,'81','81','2020-10-28 21:04:19','2020-10-28 21:04:19',null);
INSERT INTO complaint_statuses VALUES('6784','1711','7','12','81','Filter custmer ly gy hy',null,'82','82','2020-10-28 21:05:52','2020-10-28 21:05:52',null);
INSERT INTO complaint_statuses VALUES('6785','1844','7','12','81','Machin servis ho ky chli gai hy custmer ky pass',null,'82','82','2020-10-28 21:07:01','2020-10-28 21:07:01',null);
INSERT INTO complaint_statuses VALUES('6786','2030','2',null,'81',null,'28-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-28 21:12:48','2020-10-28 21:12:48',null);
INSERT INTO complaint_statuses VALUES('6787','1976','8','23','60','HOOD OK KAR K FIR JOB CLOSED KARAY BLORE LAGAY',null,'81','81','2020-10-28 21:13:48','2020-10-28 21:13:48',null);
INSERT INTO complaint_statuses VALUES('6788','2030','4',null,'55',null,null,'81','81','2020-10-28 21:14:45','2020-10-28 21:14:45',null);
INSERT INTO complaint_statuses VALUES('6789','2025','4',null,'58',null,null,'81','81','2020-10-28 21:14:56','2020-10-28 21:14:56',null);
INSERT INTO complaint_statuses VALUES('6790','2031','2',null,'81',null,'28-OCT-2020 
COM FF TO BEST COOL','92','92','2020-10-28 21:15:19','2020-10-28 21:15:19',null);
INSERT INTO complaint_statuses VALUES('6791','2010','8','23','58','ESTIMATE 4500/= GAS  . COMPRASSOR IN WARRANTY',null,'81','81','2020-10-28 21:15:54','2020-10-28 21:15:54',null);
INSERT INTO complaint_statuses VALUES('6792','1985','8','23','58',null,null,'81','81','2020-10-28 21:16:19','2020-10-28 21:16:19',null);
INSERT INTO complaint_statuses VALUES('6793','1974','8','13','58','CELL NUMBER KY LEYA CSR SY CONTACT KAREN . 03358851908',null,'81','81','2020-10-28 21:17:56','2020-10-28 21:17:56',null);
INSERT INTO complaint_statuses VALUES('6794','1964','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-28 21:18:23','2020-10-28 21:20:38',null);
INSERT INTO complaint_statuses VALUES('6795','1957','5','15',null,null,'COMPLIANT RESOLVED','81','74','2020-10-28 21:18:43','2020-10-28 21:21:55',null);
INSERT INTO complaint_statuses VALUES('6796','2032','3',null,'80',null,'28-OCT-2020
FF TO AMNA','74','74','2020-10-28 21:19:24','2020-10-28 21:19:24',null);
INSERT INTO complaint_statuses VALUES('6797','1885','5','15',null,'PCB REPAIR + FALUT VALVE REPLACE','COMPLAINT RESOLVED','81','74','2020-10-28 21:21:30','2020-10-28 21:34:39',null);
INSERT INTO complaint_statuses VALUES('6798','1883','5','15',null,null,'COMPLIANT RESOLVED','81','74','2020-10-28 21:21:56','2020-10-28 21:36:30',null);
INSERT INTO complaint_statuses VALUES('6799','1844','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-28 21:22:24','2020-10-28 21:38:11',null);
INSERT INTO complaint_statuses VALUES('6800','2031','4',null,'58',null,null,'81','81','2020-10-28 21:22:38','2020-10-28 21:22:38',null);
INSERT INTO complaint_statuses VALUES('6801','1812','5','15',null,null,'WAQAS  SAB SA STATUS LIYA HAIN COMPLIANT RESOLVED','81','74','2020-10-28 21:22:50','2020-10-28 22:04:56',null);
INSERT INTO complaint_statuses VALUES('6802','1785','8','23','61','PAY WILL CUSTOMER . WHERE IS UNIT',null,'81','81','2020-10-28 21:24:05','2020-10-28 21:24:05',null);
INSERT INTO complaint_statuses VALUES('6803','1737','8','23','56','where is unit show room ya your service center',null,'81','81','2020-10-28 21:25:28','2020-10-28 21:25:28',null);
INSERT INTO complaint_statuses VALUES('6804','1711','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-10-28 21:26:28','2020-10-29 00:16:07',null);
INSERT INTO complaint_statuses VALUES('6805','1457','8','23','56','where is unit customers home ya your service center',null,'81','81','2020-10-28 21:27:36','2020-10-28 21:27:36',null);
INSERT INTO complaint_statuses VALUES('6806','1901','5','15',null,'DABUL COMPLAINT ENTER HOI V TASK#936 WORKING IN PROCESS HAIN  COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2020-10-28 21:29:03','2020-10-28 21:30:34',null);
INSERT INTO complaint_statuses VALUES('6807','884','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-28 21:29:42','2020-10-29 00:14:39',null);
INSERT INTO complaint_statuses VALUES('6808','1737','7','12','81','unit at friends blue area',null,'77','77','2020-10-28 21:31:40','2020-10-28 21:31:40',null);
INSERT INTO complaint_statuses VALUES('6809','1638','7','12','81','Unit ok and with customer',null,'77','77','2020-10-28 21:32:42','2020-10-28 21:32:42',null);
INSERT INTO complaint_statuses VALUES('6810','1457','7','12','81','Unit with customer',null,'77','77','2020-10-28 21:33:13','2020-10-28 21:33:13',null);
INSERT INTO complaint_statuses VALUES('6811','2024','7','12','81','Unit is ok at customer home. Only sercices. Friends warranty',null,'77','77','2020-10-28 21:36:19','2020-10-28 21:36:19',null);
INSERT INTO complaint_statuses VALUES('6812','2024','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-28 21:40:29','2020-10-28 21:41:04',null);
INSERT INTO complaint_statuses VALUES('6813','2033','3',null,'52',null,'28-OCT-2020
COM NO PKRI-



201028109287
NEW COMPLINT#PKRI-201031106094','92','74','2020-10-28 21:51:59','2020-10-31 21:05:20',null);
INSERT INTO complaint_statuses VALUES('6814','1737','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-28 21:57:22','2020-10-28 21:57:57',null);
INSERT INTO complaint_statuses VALUES('6815','2034','3',null,'62',null,'28-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-28 22:04:02','2020-10-31 21:03:06',null);
INSERT INTO complaint_statuses VALUES('6816','2035','3',null,'65',null,'28-OCT-2020
COM NO 192018768','92','92','2020-10-28 22:18:29','2020-10-31 19:23:07',null);
INSERT INTO complaint_statuses VALUES('6817','2036','2',null,'81',null,'28-OCT-2020
COM FF TO BEST COOL','92','74','2020-10-28 22:35:39','2020-10-28 22:44:06',null);
INSERT INTO complaint_statuses VALUES('6818','2036','4',null,'58',null,null,'81','81','2020-10-28 22:44:31','2020-10-28 22:44:31',null);
INSERT INTO complaint_statuses VALUES('6819','2036','7','12','81','complaint resolved.set kr ky wapis dy dye hain',null,'79','79','2020-10-28 22:53:58','2020-10-28 22:53:58',null);
INSERT INTO complaint_statuses VALUES('6820','2036','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-28 22:54:58','2020-10-28 22:56:16',null);
INSERT INTO complaint_statuses VALUES('6821','1457','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-28 23:00:58','2020-10-28 23:03:19',null);
INSERT INTO complaint_statuses VALUES('6822','2037','3',null,'52',null,null,'74','74','2020-10-28 23:10:30','2020-10-28 23:10:30',null);
INSERT INTO complaint_statuses VALUES('6823','2038','2',null,'81',null,'28-OCT-2020
COM FF TO HOME SOLUTION','92','92','2020-10-28 23:15:43','2020-10-28 23:15:43',null);
INSERT INTO complaint_statuses VALUES('6824','1644','7','26','81','Unit not moved to lab',null,'83','83','2020-10-28 23:18:37','2020-10-28 23:18:37',null);
INSERT INTO complaint_statuses VALUES('6825','1647','7','26','81','custome abhi tak unit ly k nahi aya',null,'83','83','2020-10-28 23:19:18','2020-10-28 23:19:18',null);
INSERT INTO complaint_statuses VALUES('6826','2039','3',null,'55',null,'28-OCT-2020
FF TO NAEEM KENWOOD','74','74','2020-10-28 23:23:21','2020-10-28 23:23:21',null);
INSERT INTO complaint_statuses VALUES('6827','2040','3',null,'72',null,'28-OCT-2020
COM NO 072014982','92','92','2020-10-28 23:31:47','2020-10-28 23:31:47',null);
INSERT INTO complaint_statuses VALUES('6828','1647','8','23','61','CUSTOMER NA COMPLAINT CANCEL NAI KARWAI CUSTOMER SA NADEEM SAB KA NO MISS HO GAY THA  ABI AGIN NO CUSTOMER KO DA DIA OR AP K S/C K NO B CUSTOMER KO PROVIDE KAR DIA',null,'81','81','2020-10-28 23:34:09','2020-10-28 23:34:09',null);
INSERT INTO complaint_statuses VALUES('6829','1644','5','15',null,'ARSHAD SAB NA SET FHHS SHOWROOM PA NAI BAJA GUSAY MAIN AA K CUSTOMER KO SET WAPISE KAR DIA SO COMPLIANT CLOSED','COMPLAINT RESOLVED','81','74','2020-10-28 23:35:32','2020-10-29 00:49:09',null);
INSERT INTO complaint_statuses VALUES('6830','2041','3',null,'62',null,'28-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-28 23:43:23','2020-10-28 23:43:23',null);
INSERT INTO complaint_statuses VALUES('6831','2042','3',null,'77',null,'28-OCT-2020
FF TO TESLA TAJAMMAL 02','74','92','2020-10-28 23:47:52','2020-11-05 01:23:55',null);
INSERT INTO complaint_statuses VALUES('6832','2038','4',null,'62',null,null,'81','81','2020-10-28 23:51:37','2020-10-28 23:51:37',null);
INSERT INTO complaint_statuses VALUES('6833','2043','2',null,'81',null,'28-OCT-2020
FF TO SHAMIM AKHTER','74','74','2020-10-29 00:09:31','2020-10-29 00:09:31',null);
INSERT INTO complaint_statuses VALUES('6834','2043','4',null,'55',null,null,'81','81','2020-10-29 00:11:19','2020-10-29 00:11:19',null);
INSERT INTO complaint_statuses VALUES('6835','1137','5','15',null,'CUSTOMER HOB ABI TAQ S/C NAI LA K AAY SO COMPLETED COMPLINT','COMPLAINT RESOLVED','81','74','2020-10-29 00:13:03','2020-10-29 00:13:44',null);
INSERT INTO complaint_statuses VALUES('6836','2044','3',null,'62',null,'28-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-29 00:20:00','2020-11-05 01:51:12',null);
INSERT INTO complaint_statuses VALUES('6837','2018','7','12','81','ISSUE RESOLVED,JUST GAS CHARGED',null,'87','87','2020-10-29 00:23:53','2020-10-29 00:23:53',null);
INSERT INTO complaint_statuses VALUES('6838','2018','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-29 00:33:51','2020-10-29 00:34:24',null);
INSERT INTO complaint_statuses VALUES('6839','2045','2',null,'81',null,'28-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-29 00:40:57','2020-10-29 00:40:57',null);
INSERT INTO complaint_statuses VALUES('6840','1638','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-29 00:42:06','2020-10-29 00:42:51',null);
INSERT INTO complaint_statuses VALUES('6841','2046','2',null,'81',null,'28-OCT-2020
COM FF TO AZHAR RAMZAN','92','92','2020-10-29 00:46:57','2020-10-29 00:46:57',null);
INSERT INTO complaint_statuses VALUES('6842','2045','4',null,'58',null,null,'81','81','2020-10-29 00:47:06','2020-10-29 00:47:06',null);
INSERT INTO complaint_statuses VALUES('6843','2046','4',null,'60',null,null,'81','81','2020-10-29 00:55:57','2020-10-29 00:55:57',null);
INSERT INTO complaint_statuses VALUES('6844','2047','2',null,'81',null,'28-OCT-2020
COM FF TO NADEEM AZHAR','92','92','2020-10-29 01:16:40','2020-10-29 01:16:40',null);
INSERT INTO complaint_statuses VALUES('6845','2048','3',null,'85',null,'28-OCT-2020
COM NO 1064211','92','92','2020-10-29 01:32:52','2020-10-29 01:32:52',null);
INSERT INTO complaint_statuses VALUES('6846','1900','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-29 01:40:42','2020-10-29 01:40:42',null);
INSERT INTO complaint_statuses VALUES('6847','1899','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-29 01:41:45','2020-10-29 01:41:45',null);
INSERT INTO complaint_statuses VALUES('6848','1898','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-10-29 01:42:41','2020-10-29 01:42:41',null);
INSERT INTO complaint_statuses VALUES('6849','2049','3',null,'57',null,'28-OCT-2020
COM NO 14106','92','92','2020-10-29 01:47:45','2020-10-29 20:51:02',null);
INSERT INTO complaint_statuses VALUES('6850','1967','7','24','81',null,null,'80','80','2020-10-29 01:48:48','2020-10-29 01:48:48',null);
INSERT INTO complaint_statuses VALUES('6851','1985','7','12','81','compliant resolved.door switch lga siye hai',null,'79','79','2020-10-29 02:31:53','2020-10-29 02:31:53',null);
INSERT INTO complaint_statuses VALUES('6852','2050','3',null,'57',null,'29-OCT-2020
COM NO 014105 MODEL#3LWTW4815FWO','92','92','2020-10-29 18:16:17','2020-10-29 20:38:45',null);
INSERT INTO complaint_statuses VALUES('6853','2047','4',null,'59',null,null,'81','81','2020-10-29 18:45:56','2020-10-29 18:45:56',null);
INSERT INTO complaint_statuses VALUES('6854','273','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-29 19:10:59','2020-10-29 19:10:59',null);
INSERT INTO complaint_statuses VALUES('6855','499','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-29 19:12:23','2020-10-29 19:12:23',null);
INSERT INTO complaint_statuses VALUES('6856','2051','2',null,'81',null,'29-OCT-2020
COM FF TO KHALID SONY','92','92','2020-10-29 19:20:00','2020-10-29 19:20:00',null);
INSERT INTO complaint_statuses VALUES('6857','2052','3',null,'52',null,'29-OCT-2020
COM NO PKRI-201029104112','92','92','2020-10-29 19:52:06','2020-10-29 19:52:06',null);
INSERT INTO complaint_statuses VALUES('6858','2051','4',null,'56',null,null,'81','81','2020-10-29 19:53:35','2020-10-29 19:53:35',null);
INSERT INTO complaint_statuses VALUES('6859','2053','3',null,'52',null,'29-OCT-2020
COM NO PKRI-201029104676','92','92','2020-10-29 20:14:19','2020-10-29 20:15:06',null);
INSERT INTO complaint_statuses VALUES('6860','1991','7','12','81','Service charges only  rs 3000 
unit ok  at customer home',null,'83','83','2020-10-29 20:31:20','2020-10-29 20:31:20',null);
INSERT INTO complaint_statuses VALUES('6861','2054','3',null,'55',null,'29-OCT-2020
COM NO 10111','92','92','2020-10-29 20:31:34','2020-11-02 19:49:24',null);
INSERT INTO complaint_statuses VALUES('6862','2011','7','12','81','unit rest  ok now 
nouman visit   rs 1500 charges',null,'83','83','2020-10-29 20:33:17','2020-10-29 20:33:17',null);
INSERT INTO complaint_statuses VALUES('6863','1925','7','26','81','CUSTOMER NOT AT HOME',null,'83','83','2020-10-29 20:36:49','2020-10-29 20:36:49',null);
INSERT INTO complaint_statuses VALUES('6864','1949','7','12','81','Drain seeal gandi thi saf kar ky 1000 liya hy',null,'82','82','2020-10-29 20:53:35','2020-10-29 20:53:35',null);
INSERT INTO complaint_statuses VALUES('6865','2008','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-29 20:54:00','2020-10-29 20:54:11',null);
INSERT INTO complaint_statuses VALUES('6866','1930','7','24','81','Frig i10 ayi hy keh rehy thy gass issue hy',null,'82','82','2020-10-29 20:54:51','2020-10-29 20:54:51',null);
INSERT INTO complaint_statuses VALUES('6867','2011','5','15',null,null,'COMPLIANT RESOLVED','81','74','2020-10-29 21:00:17','2020-10-29 21:10:18',null);
INSERT INTO complaint_statuses VALUES('6868','1985','5','15',null,null,'COMPLIANT RESOLVED','81','74','2020-10-29 21:02:42','2020-10-29 21:26:46',null);
INSERT INTO complaint_statuses VALUES('6869','1991','5','15',null,'PAYMENT WILL PAY CUSTOMER','COMPLAINT RESOLVED','81','74','2020-10-29 21:03:43','2020-10-30 01:37:48',null);
INSERT INTO complaint_statuses VALUES('6870','1949','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-29 21:08:48','2020-10-29 21:27:20',null);
INSERT INTO complaint_statuses VALUES('6871','1925','8','23','61','CUSTOMER NA COMPLIANT CANCEL NAI KARWAI 3 BA JAY KA TIME DIA HAIN KINDLY 3 BAJAY CALL KAR K CUSTOMER KA ISSUE RESOLVED KARWAY  . THANKS',null,'81','81','2020-10-29 21:30:20','2020-10-29 21:30:20',null);
INSERT INTO complaint_statuses VALUES('6872','2055','2',null,'81',null,'29-OCT-2020
COM FF TO BEST COOL','92','92','2020-10-29 21:34:56','2020-10-29 21:34:56',null);
INSERT INTO complaint_statuses VALUES('6873','2056','2',null,'81',null,'29-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-29 21:52:17','2020-10-29 21:58:36',null);
INSERT INTO complaint_statuses VALUES('6874','2059','3',null,'52',null,'29-OCT-2020
COM NO PKRI-20109107424','92','92','2020-10-29 22:08:01','2020-10-29 22:17:55',null);
INSERT INTO complaint_statuses VALUES('6875','2056','4',null,'63',null,null,'81','81','2020-10-29 23:15:51','2020-10-29 23:15:51',null);
INSERT INTO complaint_statuses VALUES('6876','2055','4',null,'58',null,null,'81','81','2020-10-29 23:16:00','2020-10-29 23:16:00',null);
INSERT INTO complaint_statuses VALUES('6877','2005','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-29 23:27:10','2020-10-29 23:27:29',null);
INSERT INTO complaint_statuses VALUES('6878','2061','2',null,'81',null,'29-OCT-2020
FF TO SONY KHALID','74','74','2020-10-29 23:29:29','2020-10-29 23:29:29',null);
INSERT INTO complaint_statuses VALUES('6879','2015','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-29 23:29:44','2020-10-29 23:29:56',null);
INSERT INTO complaint_statuses VALUES('6880','2061','4',null,'56',null,null,'81','81','2020-10-29 23:29:49','2020-10-29 23:29:49',null);
INSERT INTO complaint_statuses VALUES('6881','2004','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-29 23:32:07','2020-10-29 23:32:17',null);
INSERT INTO complaint_statuses VALUES('6882','2058','3',null,'55',null,'COMPLAINT RESOLVED','74','74','2020-10-29 23:48:13','2020-12-08 23:17:08',null);
INSERT INTO complaint_statuses VALUES('6883','2057','3',null,'55',null,'COMPLAINT RESOLVED','74','74','2020-10-29 23:48:27','2020-12-08 23:18:58',null);
INSERT INTO complaint_statuses VALUES('6884','2060','2',null,'81',null,null,'74','74','2020-10-29 23:54:28','2020-10-29 23:54:28',null);
INSERT INTO complaint_statuses VALUES('6885','2060','4',null,'56',null,null,'81','81','2020-10-29 23:54:46','2020-10-29 23:54:46',null);
INSERT INTO complaint_statuses VALUES('6886','2038','7','12','81','ISSUE RESOLVED ,TAB KA ISSUE THA',null,'87','87','2020-10-30 00:08:26','2020-10-30 00:08:26',null);
INSERT INTO complaint_statuses VALUES('6887','2062','2',null,'81',null,'29-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-30 00:23:20','2020-10-30 00:27:04',null);
INSERT INTO complaint_statuses VALUES('6888','2063','2',null,'81',null,'29-OCT-2020
FF TO KHALID SONY','74','74','2020-10-30 01:00:37','2020-10-30 01:01:48',null);
INSERT INTO complaint_statuses VALUES('6889','2062','4',null,'63',null,'COMPLAINT RESOLVED','81','92','2020-10-30 01:01:10','2020-11-01 00:38:24',null);
INSERT INTO complaint_statuses VALUES('6890','2063','4',null,'56',null,'WIFI MODEL OFF THA 
CUSTOMER NA  KHUD SA ISSUE RESOLVED KAR LIYA','81','74','2020-10-30 01:02:17','2020-10-31 19:51:59',null);
INSERT INTO complaint_statuses VALUES('6891','2038','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-10-30 01:33:32','2020-10-30 01:34:23',null);
INSERT INTO complaint_statuses VALUES('6892','1989','7','12','81','Inlet cool service only.. comaplint resolved',null,'79','79','2020-10-30 23:39:57','2020-10-30 23:39:57',null);
INSERT INTO complaint_statuses VALUES('6893','1940','7','12','81','Shifting bolt Remove(Visit Not Paid  600/-)',null,'76','76','2020-10-31 03:35:28','2020-10-31 03:35:28',null);
INSERT INTO complaint_statuses VALUES('6894','1972','7','26','81','Filter Service By Customer',null,'76','76','2020-10-31 03:37:13','2020-10-31 03:37:13',null);
INSERT INTO complaint_statuses VALUES('6895','2009','7','24','81','Reffer to SVC In Service (Lifting Pending from Customer Side)',null,'76','76','2020-10-31 03:39:15','2020-10-31 03:39:15',null);
INSERT INTO complaint_statuses VALUES('6896','1774','7','12','81','No Fault(Visit Pending 600/-)',null,'76','76','2020-10-31 03:41:33','2020-10-31 03:41:33',null);
INSERT INTO complaint_statuses VALUES('6897','1939','7','12','81','Door Switch Replaced',null,'76','76','2020-10-31 03:59:11','2020-10-31 03:59:11',null);
INSERT INTO complaint_statuses VALUES('6898','1908','7','12','81','Main PCB Repaired (Invoice Pending 4500 )',null,'76','76','2020-10-31 04:09:27','2020-10-31 04:09:27',null);
INSERT INTO complaint_statuses VALUES('6899','1854','7','12','81','Service',null,'76','76','2020-10-31 04:11:55','2020-10-31 04:11:55',null);
INSERT INTO complaint_statuses VALUES('6900','1853','7','12','81','Filter Service',null,'76','76','2020-10-31 04:16:34','2020-10-31 04:16:34',null);
INSERT INTO complaint_statuses VALUES('6901','2043','7','12','81','No Fault.',null,'76','76','2020-10-31 17:57:56','2020-10-31 17:57:56',null);
INSERT INTO complaint_statuses VALUES('6902','2003','7','12','81','Shifting bolt Removed.',null,'76','76','2020-10-31 17:59:17','2020-10-31 17:59:17',null);
INSERT INTO complaint_statuses VALUES('6903','2029','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-31 18:28:32','2020-10-31 18:29:18',null);
INSERT INTO complaint_statuses VALUES('6904','2043','5','15',null,'COMPLETED COMPLAINT','COMPLIANT RESOLVED','81','74','2020-10-31 18:53:52','2020-10-31 18:54:18',null);
INSERT INTO complaint_statuses VALUES('6905','2027','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-31 18:56:42','2020-10-31 18:56:53',null);
INSERT INTO complaint_statuses VALUES('6906','2026','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-31 18:59:15','2020-10-31 18:59:24',null);
INSERT INTO complaint_statuses VALUES('6907','2023','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-31 19:03:55','2020-10-31 19:06:43',null);
INSERT INTO complaint_statuses VALUES('6908','2021','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-31 19:09:09','2020-10-31 19:09:35',null);
INSERT INTO complaint_statuses VALUES('6909','2055','7','12','81','customer cancel complaint .customer out off city hain',null,'79','79','2020-10-31 19:10:41','2020-10-31 19:10:41',null);
INSERT INTO complaint_statuses VALUES('6910','2016','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-31 19:11:36','2020-10-31 19:11:45',null);
INSERT INTO complaint_statuses VALUES('6911','2064','2',null,'81',null,'31-OCT-2020
FF TO HOME SOLUTION','74','74','2020-10-31 19:15:39','2020-10-31 19:15:39',null);
INSERT INTO complaint_statuses VALUES('6912','2009','8','23','55','CUSTOMER SA AIK BAR R CONFIRM KAR LAY .
HAMARI ABI BAT HOI HAIN MONDAY TAQ W/M S/C MOVE KARWA DAY GAY',null,'81','81','2020-10-31 19:16:39','2020-10-31 19:16:39',null);
INSERT INTO complaint_statuses VALUES('6913','2064','4',null,'62',null,null,'81','81','2020-10-31 19:16:57','2020-10-31 19:16:57',null);
INSERT INTO complaint_statuses VALUES('6914','2065','2',null,'81',null,'31-OCT-2020
FF TO B.COOL','74','74','2020-10-31 19:22:22','2020-10-31 19:22:22',null);
INSERT INTO complaint_statuses VALUES('6915','2065','4',null,'58',null,null,'81','81','2020-10-31 19:22:49','2020-10-31 19:22:49',null);
INSERT INTO complaint_statuses VALUES('6916','2055','5','15',null,'CUSTOMER NA COMPLIANT ABI CANCEL KARWA DI','COMPLIANT CLOSED','81','74','2020-10-31 19:23:45','2020-10-31 19:24:12',null);
INSERT INTO complaint_statuses VALUES('6917','2014','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-31 19:25:23','2020-10-31 19:25:34',null);
INSERT INTO complaint_statuses VALUES('6918','2047','7','24','81','customer ka num power off hy',null,'80','80','2020-10-31 19:26:44','2020-10-31 19:26:44',null);
INSERT INTO complaint_statuses VALUES('6919','2003','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','74','2020-10-31 19:26:51','2020-10-31 19:27:26',null);
INSERT INTO complaint_statuses VALUES('6920','1739','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-31 19:42:55','2020-10-31 19:43:06',null);
INSERT INTO complaint_statuses VALUES('6921','2066','2',null,'81',null,'31-OCT-2020
FF TO KHALID SONY','74','74','2020-10-31 19:43:34','2020-10-31 19:43:34',null);
INSERT INTO complaint_statuses VALUES('6922','2066','4',null,'56',null,null,'81','81','2020-10-31 19:44:04','2020-10-31 19:44:04',null);
INSERT INTO complaint_statuses VALUES('6923','2067','3',null,'67',null,'31-OCT-2020
FF TO ANWER CARVELL','92','74','2020-10-31 19:59:19','2020-10-31 21:47:39',null);
INSERT INTO complaint_statuses VALUES('6924','2048','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-10-31 20:02:58','2020-10-31 20:02:58',null);
INSERT INTO complaint_statuses VALUES('6925','1987','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-31 20:07:18','2020-10-31 20:07:31',null);
INSERT INTO complaint_statuses VALUES('6926','1933','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-31 20:10:22','2020-10-31 20:10:32',null);
INSERT INTO complaint_statuses VALUES('6927','2068','3',null,'55',null,'31-OCT-2020
FF TO NAEEM KENWOOD','74','74','2020-10-31 20:11:19','2020-10-31 20:11:19',null);
INSERT INTO complaint_statuses VALUES('6928','1830','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-31 20:17:51','2020-10-31 20:18:00',null);
INSERT INTO complaint_statuses VALUES('6929','1589','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-31 20:20:14','2020-10-31 20:20:23',null);
INSERT INTO complaint_statuses VALUES('6930','2069','2',null,'81',null,'31-OCT-2020
FF TO B.COOL','74','74','2020-10-31 20:21:46','2020-10-31 20:21:46',null);
INSERT INTO complaint_statuses VALUES('6931','2069','4',null,'58',null,null,'81','81','2020-10-31 20:22:23','2020-10-31 20:22:23',null);
INSERT INTO complaint_statuses VALUES('6932','1973','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-31 20:29:41','2020-10-31 20:29:52',null);
INSERT INTO complaint_statuses VALUES('6933','1706','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-31 20:46:18','2020-10-31 20:53:07',null);
INSERT INTO complaint_statuses VALUES('6934','2070','3',null,'73',null,'31-OCT-2020
COMPLIANT#2168','74','74','2020-10-31 20:51:42','2020-10-31 21:49:32',null);
INSERT INTO complaint_statuses VALUES('6935','2071','2',null,'81',null,'31-OCT-2020
FF TO B.COOL','74','74','2020-10-31 21:08:56','2020-10-31 21:08:56',null);
INSERT INTO complaint_statuses VALUES('6936','2071','4',null,'58',null,null,'81','81','2020-10-31 21:09:36','2020-10-31 21:09:36',null);
INSERT INTO complaint_statuses VALUES('6937','1570','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-31 21:10:34','2020-10-31 21:10:43',null);
INSERT INTO complaint_statuses VALUES('6938','2072','3',null,'89',null,'31-OCT-2020
FF TO AMNA BOSCH','74','74','2020-10-31 21:21:29','2020-10-31 21:21:29',null);
INSERT INTO complaint_statuses VALUES('6939','1787','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-10-31 21:30:01','2020-10-31 21:30:14',null);
INSERT INTO complaint_statuses VALUES('6940','2073','2',null,'81',null,'31-OCT-2020
COM FF TO KHALID SONY','92','92','2020-10-31 21:47:41','2020-10-31 21:47:41',null);
INSERT INTO complaint_statuses VALUES('6941','2074','2',null,'81',null,'31-OCT-2020
COM FF TO SHAMIM AKHTAR','92','92','2020-10-31 22:08:40','2020-11-01 01:20:03',null);
INSERT INTO complaint_statuses VALUES('6942','2075','2',null,'81',null,'31-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-31 22:22:45','2020-11-01 01:13:34',null);
INSERT INTO complaint_statuses VALUES('6943','2076','3',null,'52',null,'31-OCT-2020
COM NO PKRI-201031108404','92','92','2020-10-31 23:02:54','2020-11-03 01:21:01',null);
INSERT INTO complaint_statuses VALUES('6944','2077','3',null,'75',null,'31-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-10-31 23:32:00','2020-11-02 22:28:47',null);
INSERT INTO complaint_statuses VALUES('6945','2078','3',null,'52',null,'31-OCT-2020
COM NO PKRI-201031109710','92','92','2020-10-31 23:49:01','2020-10-31 23:57:10',null);
INSERT INTO complaint_statuses VALUES('6946','2079','3',null,'53',null,'31-OCT-2020
COM NO 1065758','92','92','2020-11-01 00:10:15','2020-11-06 00:54:07',null);
INSERT INTO complaint_statuses VALUES('6947','2080','2',null,'81',null,'31-OCT-2020
COM FF TO BEST COOL','92','92','2020-11-01 00:30:30','2020-11-02 00:45:34',null);
INSERT INTO complaint_statuses VALUES('6948','2081','3',null,'57',null,'31-OCT-2020
COM NO 14140','92','92','2020-11-01 01:03:30','2020-11-01 01:03:30',null);
INSERT INTO complaint_statuses VALUES('6949','2082','3',null,'52',null,'01-NOV-2020
COM NO PKRI-201101101353','92','92','2020-11-01 19:31:58','2020-11-03 01:43:26',null);
INSERT INTO complaint_statuses VALUES('6950','2083','2',null,'81',null,'1-NOV-2020
COM FF TO TAHIR RAMZAN','92','92','2020-11-01 19:43:56','2020-11-01 19:55:57',null);
INSERT INTO complaint_statuses VALUES('6951','2064','7','12','81','ISSUE RESOLVED , TAB PROBLEM THA',null,'87','87','2020-11-01 20:12:28','2020-11-01 20:12:28',null);
INSERT INTO complaint_statuses VALUES('6952','2084','2',null,'81',null,'01-NOV-2020
COM FF TO NADEEM AZHAR','92','92','2020-11-01 20:21:44','2020-11-01 20:21:44',null);
INSERT INTO complaint_statuses VALUES('6953','2085','2',null,'81',null,'01-NOV-2020
COM FF TO USMAN MRM','92','92','2020-11-01 21:08:32','2020-11-01 21:08:32',null);
INSERT INTO complaint_statuses VALUES('6954','2086','3',null,'73',null,'01-NOV-2020 
COM NO 2187','92','92','2020-11-01 21:27:58','2020-11-02 20:09:37',null);
INSERT INTO complaint_statuses VALUES('6955','2045','7','12','81','wirng issue',null,'79','79','2020-11-01 21:41:02','2020-11-01 21:41:02',null);
INSERT INTO complaint_statuses VALUES('6956','2087','3',null,'52',null,'01-NOV-2020
COM NO PKRI-201101103958','92','92','2020-11-01 22:03:47','2020-11-01 22:07:44',null);
INSERT INTO complaint_statuses VALUES('6957','2088','3',null,'52',null,'01-NOV-2020
COM NO PKRI-201101104084','92','92','2020-11-01 22:11:00','2020-11-01 22:14:50',null);
INSERT INTO complaint_statuses VALUES('6958','2089','2',null,'81',null,'01-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-01 23:06:05','2020-11-01 23:06:05',null);
INSERT INTO complaint_statuses VALUES('6959','2090','2',null,'81',null,'01-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-01 23:19:03','2020-11-02 19:18:36',null);
INSERT INTO complaint_statuses VALUES('6960','2092','2',null,'81',null,'01-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-02 00:23:14','2020-11-02 00:23:14',null);
INSERT INTO complaint_statuses VALUES('6961','2093','3',null,'65',null,'01-NOV-2020
COM NO 192018809','92','92','2020-11-02 01:13:20','2020-11-02 01:20:01',null);
INSERT INTO complaint_statuses VALUES('6962','2094','3',null,'65',null,'01-NOV-2020
COM NO 192018810','92','92','2020-11-02 01:13:50','2020-11-02 01:22:58',null);
INSERT INTO complaint_statuses VALUES('6963','2095','2',null,'81',null,'01-NOV-2020 
COM FF TO KHALID SONY','92','92','2020-11-02 01:35:58','2020-11-02 01:35:58',null);
INSERT INTO complaint_statuses VALUES('6964','2098','2',null,'81',null,'01-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-02 02:30:52','2020-11-02 19:08:53',null);
INSERT INTO complaint_statuses VALUES('6965','2073','4',null,'56',null,'CUSTOMER SA BAT HO GEI HAIN VISIT TO DAY','81','74','2020-11-02 19:44:02','2020-11-04 22:59:20',null);
INSERT INTO complaint_statuses VALUES('6966','2074','4',null,'55',null,'LG S/C MAIN REMINDER DA DIA HAIN','81','74','2020-11-02 19:44:15','2020-11-07 01:13:12',null);
INSERT INTO complaint_statuses VALUES('6967','2075','4',null,'63',null,null,'81','81','2020-11-02 19:44:27','2020-11-02 19:44:27',null);
INSERT INTO complaint_statuses VALUES('6968','2080','4',null,'58',null,null,'81','81','2020-11-02 19:44:39','2020-11-02 19:44:39',null);
INSERT INTO complaint_statuses VALUES('6969','2083','4',null,'60',null,null,'81','81','2020-11-02 19:44:49','2020-11-02 19:44:49',null);
INSERT INTO complaint_statuses VALUES('6970','2084','4',null,'59',null,null,'81','81','2020-11-02 19:45:15','2020-11-02 19:45:15',null);
INSERT INTO complaint_statuses VALUES('6971','2085','4',null,'61',null,null,'81','81','2020-11-02 19:45:28','2020-11-02 19:45:28',null);
INSERT INTO complaint_statuses VALUES('6972','2089','4',null,'58',null,null,'81','81','2020-11-02 19:45:43','2020-11-02 19:45:43',null);
INSERT INTO complaint_statuses VALUES('6973','2090','4',null,'58',null,null,'81','81','2020-11-02 19:46:00','2020-11-02 19:46:00',null);
INSERT INTO complaint_statuses VALUES('6974','2092','4',null,'58',null,null,'81','81','2020-11-02 19:46:10','2020-11-02 19:46:10',null);
INSERT INTO complaint_statuses VALUES('6975','2095','4',null,'56',null,null,'81','81','2020-11-02 19:46:21','2020-11-02 19:46:21',null);
INSERT INTO complaint_statuses VALUES('6976','2098','4',null,'63',null,null,'81','81','2020-11-02 19:47:08','2020-11-02 19:47:08',null);
INSERT INTO complaint_statuses VALUES('6977','2054','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-02 19:50:52','2020-11-02 19:51:02',null);
INSERT INTO complaint_statuses VALUES('6978','1774','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-02 19:52:10','2020-11-02 19:54:55',null);
INSERT INTO complaint_statuses VALUES('6979','2053','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-02 19:53:03','2020-11-02 19:53:14',null);
INSERT INTO complaint_statuses VALUES('6980','2052','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-02 19:56:35','2020-11-02 19:56:49',null);
INSERT INTO complaint_statuses VALUES('6981','2064','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-02 19:57:59','2020-11-02 19:58:45',null);
INSERT INTO complaint_statuses VALUES('6982','2047','8','23','59','CUSTOMER K NO ON HAIN KINDLY CONTACT KARAY CUSTOMER SA',null,'81','81','2020-11-02 20:00:47','2020-11-02 20:00:47',null);
INSERT INTO complaint_statuses VALUES('6983','936','7','12','81','Friends warranty. Unit ok.pcb replaced as per approval.',null,'77','77','2020-11-02 20:05:31','2020-11-02 20:05:31',null);
INSERT INTO complaint_statuses VALUES('6984','1961','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-02 20:06:04','2020-11-02 20:06:14',null);
INSERT INTO complaint_statuses VALUES('6985','924','7','12','81','Company warranty unit ok. Pcb repalced.',null,'77','77','2020-11-02 20:09:25','2020-11-02 20:09:25',null);
INSERT INTO complaint_statuses VALUES('6986','2099','2',null,'81',null,'02-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-02 20:12:04','2020-11-02 20:12:04',null);
INSERT INTO complaint_statuses VALUES('6987','2100','2',null,'81',null,'02-NOV-2020
FF TO AZHAR FCI','74','74','2020-11-02 20:15:57','2020-11-02 20:15:57',null);
INSERT INTO complaint_statuses VALUES('6988','2100','4',null,'60',null,null,'81','81','2020-11-02 20:16:28','2020-11-02 20:16:28',null);
INSERT INTO complaint_statuses VALUES('6989','2099','4',null,'55',null,null,'81','81','2020-11-02 20:16:47','2020-11-02 20:16:47',null);
INSERT INTO complaint_statuses VALUES('6990','1989','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-02 20:22:41','2020-11-02 20:23:51',null);
INSERT INTO complaint_statuses VALUES('6991','1972','5','15',null,'CUSTOMER KA ISSUE KHUD SA RESOLVED HO GAY HAIN .
CUSTOMER NA COMPLINT CANCEL KARWA DI','COMPLAINT CANCEL','81','74','2020-11-02 20:27:00','2020-11-02 20:27:32',null);
INSERT INTO complaint_statuses VALUES('6992','2063','7','12','81','No action unit ok.',null,'77','77','2020-11-02 20:27:26','2020-11-02 20:27:26',null);
INSERT INTO complaint_statuses VALUES('6993','2101','3',null,'52',null,'02-NOV-2020
COMPLAINT#PKRI201102103490','74','74','2020-11-02 20:36:15','2020-11-02 20:36:15',null);
INSERT INTO complaint_statuses VALUES('6994','2102','3',null,'52',null,'02-NOV-2020
COMPLINT#PKRI-201102103548','74','74','2020-11-02 20:39:49','2020-11-02 20:39:49',null);
INSERT INTO complaint_statuses VALUES('6995','1942','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-02 20:42:30','2020-11-02 20:42:39',null);
INSERT INTO complaint_statuses VALUES('6996','1998','7','12','81','complaint resolved.',null,'79','79','2020-11-02 20:43:54','2020-11-02 20:43:54',null);
INSERT INTO complaint_statuses VALUES('6997','2063','5','15',null,'CUSTOMER NA KHUD SA HI SOFTWEAR UP DATE KAR LIYA THA','COMPLAINT RESOLVED','81','74','2020-11-02 20:49:59','2020-11-02 20:50:46',null);
INSERT INTO complaint_statuses VALUES('6998','1998','8','23','58','COMPLAINT PROPER ATTEND KARWA K CLOSED KIYA KARAY',null,'81','81','2020-11-02 20:59:20','2020-11-02 20:59:20',null);
INSERT INTO complaint_statuses VALUES('6999','1940','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-02 21:00:15','2020-11-02 21:01:42',null);
INSERT INTO complaint_statuses VALUES('7000','1939','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','74','2020-11-02 21:01:13','2020-11-02 21:02:17',null);
INSERT INTO complaint_statuses VALUES('7001','2103','2',null,'81',null,'02-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-02 21:04:57','2020-11-02 21:04:57',null);
INSERT INTO complaint_statuses VALUES('7002','2104','3',null,'62',null,'02-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-02 21:24:24','2020-11-02 21:24:24',null);
INSERT INTO complaint_statuses VALUES('7003','2105','2',null,'81',null,'02-NOV-2020
COM FF TO SHAMMIM AKHTAR','92','92','2020-11-02 21:25:04','2020-11-02 21:25:04',null);
INSERT INTO complaint_statuses VALUES('7004','1854','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-02 21:28:57','2020-11-02 21:58:46',null);
INSERT INTO complaint_statuses VALUES('7005','2103','4',null,'58',null,'B.COOL VISIT K LIYA REMINDER DA DIA HAIN','81','74','2020-11-02 21:29:16','2020-11-03 21:32:31',null);
INSERT INTO complaint_statuses VALUES('7006','2105','4',null,'55',null,null,'81','81','2020-11-02 21:29:26','2020-11-02 21:29:26',null);
INSERT INTO complaint_statuses VALUES('7007','2106','3',null,'57',null,'02-NOV-2020
COM NO 014168','92','92','2020-11-02 21:51:00','2020-11-02 21:57:15',null);
INSERT INTO complaint_statuses VALUES('7008','2045','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-02 21:55:12','2020-11-02 21:55:51',null);
INSERT INTO complaint_statuses VALUES('7009','1908','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-02 21:57:21','2020-11-02 21:57:51',null);
INSERT INTO complaint_statuses VALUES('7010','1853','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-02 22:00:42','2020-11-02 22:23:56',null);
INSERT INTO complaint_statuses VALUES('7011','2107','3',null,'63',null,'02-NOV-2020
COMPLAINT#3090','74','74','2020-11-02 22:02:32','2020-11-03 23:22:12',null);
INSERT INTO complaint_statuses VALUES('7012','2108','2',null,'81',null,'02-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-02 22:10:49','2020-11-02 22:10:49',null);
INSERT INTO complaint_statuses VALUES('7013','936','8','23','56','SET SHOWROOM PA DROP KARWA K JOB COMPLETE KAR DAY . SHUKRIYA',null,'81','81','2020-11-02 22:16:10','2020-11-02 22:16:10',null);
INSERT INTO complaint_statuses VALUES('7014','2108','4',null,'58',null,null,'81','81','2020-11-02 22:16:31','2020-11-02 22:16:31',null);
INSERT INTO complaint_statuses VALUES('7015','924','8','23','56','ANEEQ &ASLAM SAB DONO KO SET S/C SA COLLECT KARNAY KA REMINDER DA DIA HAIN .
SET JAB PICK HO JAY TAB JOB COMPLETE KIJAY GA',null,'81','81','2020-11-02 22:20:07','2020-11-02 22:20:07',null);
INSERT INTO complaint_statuses VALUES('7016','2109','2',null,'81',null,'02-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-02 22:20:18','2020-11-02 22:20:18',null);
INSERT INTO complaint_statuses VALUES('7017','2110','2',null,'81',null,'02-NOV-2020
COM FF TO SHAMMIM AKHTAR','92','92','2020-11-02 22:39:32','2020-11-02 22:39:32',null);
INSERT INTO complaint_statuses VALUES('7018','2111','2',null,'81',null,'02-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-02 23:00:21','2020-11-02 23:00:21',null);
INSERT INTO complaint_statuses VALUES('7019','2112','2',null,'81',null,'02-NOV-2020
FF TO B.COOL','74','74','2020-11-02 23:09:27','2020-11-02 23:09:27',null);
INSERT INTO complaint_statuses VALUES('7020','2112','4',null,'58',null,null,'81','81','2020-11-02 23:09:57','2020-11-02 23:09:57',null);
INSERT INTO complaint_statuses VALUES('7021','2111','4',null,'58',null,null,'81','81','2020-11-02 23:10:14','2020-11-02 23:10:14',null);
INSERT INTO complaint_statuses VALUES('7022','2110','4',null,'55',null,'VISIT HO GAYA HAIN KAL. DISH WASHER MOVE KARWA RAHAY HAIN','81','74','2020-11-02 23:10:27','2020-11-06 00:06:37',null);
INSERT INTO complaint_statuses VALUES('7023','2109','4',null,'58',null,null,'81','81','2020-11-02 23:10:38','2020-11-02 23:10:38',null);
INSERT INTO complaint_statuses VALUES('7024','2113','2',null,'81',null,'02-NOV-2020
COM FF TO TAHIR RAMZAN','92','92','2020-11-02 23:16:05','2020-11-02 23:16:05',null);
INSERT INTO complaint_statuses VALUES('7025','2114','2',null,'81',null,'02-NOV-2020
COM FF TO SHAMIM AKHTAR','92','92','2020-11-02 23:33:25','2020-11-02 23:33:25',null);
INSERT INTO complaint_statuses VALUES('7026','2115','3',null,'65',null,'02-NOV-2020
COMPLAINT#192018819','74','92','2020-11-02 23:36:23','2020-11-15 00:59:44',null);
INSERT INTO complaint_statuses VALUES('7027','2116','2',null,'81',null,'02-NOV-2020
FF TO AZHAR FCI','74','74','2020-11-02 23:55:55','2020-11-02 23:55:55',null);
INSERT INTO complaint_statuses VALUES('7028','2116','4',null,'60',null,null,'81','81','2020-11-02 23:56:25','2020-11-02 23:56:25',null);
INSERT INTO complaint_statuses VALUES('7029','2114','4',null,'55',null,null,'81','81','2020-11-02 23:56:40','2020-11-02 23:56:40',null);
INSERT INTO complaint_statuses VALUES('7030','2113','4',null,'60',null,null,'81','81','2020-11-02 23:56:51','2020-11-02 23:56:51',null);
INSERT INTO complaint_statuses VALUES('7031','2117','3',null,'84',null,'02-NOV-2020
COM NO 1HB-10127','92','92','2020-11-03 00:02:26','2020-11-03 00:02:26',null);
INSERT INTO complaint_statuses VALUES('7032','2118','3',null,'65',null,'02-NOV-2020
COM NO 192018820','92','92','2020-11-03 00:18:46','2020-11-03 00:25:08',null);
INSERT INTO complaint_statuses VALUES('7033','2119','2',null,'81',null,'02-NOV-2020
COM FF TO AZHAR RAMZAN','92','92','2020-11-03 00:35:09','2020-11-03 00:35:09',null);
INSERT INTO complaint_statuses VALUES('7034','2078','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-03 01:00:40','2020-11-03 01:00:56',null);
INSERT INTO complaint_statuses VALUES('7035','2060','7','22','81','Woofer water damaged cost 15400. Need approval as its not cover in warranty due to damaged.',null,'77','77','2020-11-03 01:04:38','2020-11-03 01:04:38',null);
INSERT INTO complaint_statuses VALUES('7036','2120','3',null,'62',null,'02-NOV-2020
COM FF TO KHURRAM  FIVE STAR','92','92','2020-11-03 01:18:06','2020-11-03 01:18:06',null);
INSERT INTO complaint_statuses VALUES('7037','2050','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-03 01:29:49','2020-11-03 01:30:01',null);
INSERT INTO complaint_statuses VALUES('7038','2121','2',null,'81',null,'02-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-03 01:30:42','2020-11-03 01:30:42',null);
INSERT INTO complaint_statuses VALUES('7039','2121','4',null,'55',null,null,'81','81','2020-11-03 01:34:07','2020-11-03 01:34:07',null);
INSERT INTO complaint_statuses VALUES('7040','2119','4',null,'60',null,null,'81','81','2020-11-03 01:34:19','2020-11-03 01:34:19',null);
INSERT INTO complaint_statuses VALUES('7041','2088','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-03 01:35:08','2020-11-03 01:35:17',null);
INSERT INTO complaint_statuses VALUES('7042','2087','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-03 01:39:14','2020-11-03 01:39:24',null);
INSERT INTO complaint_statuses VALUES('7043','2035','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-03 01:41:53','2020-11-03 01:42:18',null);
INSERT INTO complaint_statuses VALUES('7044','2082','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-03 01:46:55','2020-11-03 01:47:06',null);
INSERT INTO complaint_statuses VALUES('7045','2122','3',null,'90',null,'02-NOV-2020
COMPLAINT#112','74','74','2020-11-03 01:51:35','2020-11-03 01:51:35',null);
INSERT INTO complaint_statuses VALUES('7046','2123','3',null,'52',null,'02-NOV-2020
COMPLAINT#PKRI-201102111945','74','92','2020-11-03 02:11:53','2020-11-04 19:37:48',null);
INSERT INTO complaint_statuses VALUES('7047','2124','2',null,'81',null,'02-NOV-2020
FF TO HOME SOLUTION','74','74','2020-11-03 02:17:39','2020-11-03 02:17:39',null);
INSERT INTO complaint_statuses VALUES('7048','2124','4',null,'62',null,null,'81','81','2020-11-03 02:18:27','2020-11-03 02:18:27',null);
INSERT INTO complaint_statuses VALUES('7049','2125','3',null,'54',null,'02-NOV-2020
COM NO 1762587','92','92','2020-11-03 02:21:08','2020-11-03 02:25:40',null);
INSERT INTO complaint_statuses VALUES('7050','1474','7','12','81','compliant rsolved wm dilvered',null,'79','79','2020-11-03 02:22:22','2020-11-03 02:22:22',null);
INSERT INTO complaint_statuses VALUES('7051','2126','3',null,'62',null,'02-NOV-2020
FF TO KHURRAM 5 STAR','74','92','2020-11-03 02:25:43','2020-11-03 23:51:16',null);
INSERT INTO complaint_statuses VALUES('7052','1959','7','12','81','ye compelte kr dein',null,'79','79','2020-11-03 02:26:44','2020-11-03 02:26:44',null);
INSERT INTO complaint_statuses VALUES('7053','2071','7','20','81','pcb ded or wm bhi service center .mangwai hai',null,'79','79','2020-11-03 02:28:50','2020-11-03 02:28:50',null);
INSERT INTO complaint_statuses VALUES('7054','1974','7','12','81','customer ny baher sy kerwa liya hai',null,'79','79','2020-11-03 02:30:49','2020-11-03 02:30:49',null);
INSERT INTO complaint_statuses VALUES('7055','2127','2',null,'81',null,'02-NOV-2020
FF TO AZHAR FCI','74','74','2020-11-03 02:32:27','2020-11-03 02:32:27',null);
INSERT INTO complaint_statuses VALUES('7056','2127','4',null,'60',null,null,'81','81','2020-11-03 02:33:16','2020-11-03 02:33:16',null);
INSERT INTO complaint_statuses VALUES('7057','2061','7','12','81','Unit ok at customer home.',null,'77','77','2020-11-03 02:43:20','2020-11-03 02:43:20',null);
INSERT INTO complaint_statuses VALUES('7058','2095','7','12','81','Unit ok at Customer home.',null,'77','77','2020-11-03 02:44:37','2020-11-03 02:44:37',null);
INSERT INTO complaint_statuses VALUES('7059','2066','7','24','81','Unit at service center. Under process.',null,'77','77','2020-11-03 02:48:22','2020-11-03 02:48:22',null);
INSERT INTO complaint_statuses VALUES('7060','2128','3',null,'66',null,'03-NOV-2020
FF TO SAJID SATTI','74','74','2020-11-03 19:24:49','2020-11-03 19:24:49',null);
INSERT INTO complaint_statuses VALUES('7061','2091','3',null,'55',null,'COMPLAINT RESOLVED','74','74','2020-11-03 19:32:18','2020-12-08 23:16:03',null);
INSERT INTO complaint_statuses VALUES('7062','2097','3',null,'57',null,null,'74','74','2020-11-03 19:38:23','2020-11-03 19:38:23',null);
INSERT INTO complaint_statuses VALUES('7063','1984','7','12','81','burner issue customer abho kerwana charha estimate dyahai',null,'79','79','2020-11-03 19:41:45','2020-11-03 19:41:45',null);
INSERT INTO complaint_statuses VALUES('7064','1990','7','12','81','complaint resolved.wm dilvered',null,'79','79','2020-11-03 19:43:03','2020-11-03 19:43:03',null);
INSERT INTO complaint_statuses VALUES('7065','2129','2',null,'81',null,'03-NOV-2020
COM FF TO SHAMMIM AKHTAR','92','92','2020-11-03 19:44:37','2020-11-03 19:44:37',null);
INSERT INTO complaint_statuses VALUES('7066','2092','7','12','81','complaint resolved.auto adjuust ki  hai',null,'79','79','2020-11-03 19:44:37','2020-11-03 19:44:37',null);
INSERT INTO complaint_statuses VALUES('7067','2096','3',null,'57',null,null,'74','74','2020-11-03 19:46:56','2020-11-03 19:46:56',null);
INSERT INTO complaint_statuses VALUES('7068','2090','7','9','81','customer not attend the cal.msg  bhi ki hai,koi response nahi kia,csr ko bhi bata dya hai.',null,'79','79','2020-11-03 19:47:05','2020-11-03 19:47:05',null);
INSERT INTO complaint_statuses VALUES('7069','2031','7','12','81','compliant resolved over load cahnge kr sye hain',null,'79','79','2020-11-03 20:02:39','2020-11-03 20:02:39',null);
INSERT INTO complaint_statuses VALUES('7070','2130','3',null,'73',null,'03-NOV-2020
COMPLIANT#2319','74','92','2020-11-03 20:05:21','2020-11-08 00:07:55',null);
INSERT INTO complaint_statuses VALUES('7071','2131','3',null,'75',null,'03-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-03 20:07:47','2020-11-03 20:07:47',null);
INSERT INTO complaint_statuses VALUES('7072','2132','3',null,'72',null,'03-NOV-2020
COMPLAINT#0720150521','74','92','2020-11-03 20:16:22','2020-11-12 23:56:29',null);
INSERT INTO complaint_statuses VALUES('7073','458','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-03 20:17:08','2020-11-03 20:17:08',null);
INSERT INTO complaint_statuses VALUES('7074','680','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-03 20:21:01','2020-11-03 20:21:01',null);
INSERT INTO complaint_statuses VALUES('7075','2095','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-03 20:23:56','2020-11-03 20:24:26',null);
INSERT INTO complaint_statuses VALUES('7076','2092','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-03 20:25:34','2020-11-03 20:28:30',null);
INSERT INTO complaint_statuses VALUES('7077','2090','8','23','58','BAT HO GEI CUSTOMER SA VISIT TO DAY','VISIT HO GAY HAIN COMPLIANT PA BLOOR DAMAGE HO GAYA','81','74','2020-11-03 20:26:29','2020-11-03 23:02:13',null);
INSERT INTO complaint_statuses VALUES('7078','2071','5','23',null,'OK','CLOSED COMPLAINT','81','74','2020-11-03 20:27:07','2020-11-03 21:00:47',null);
INSERT INTO complaint_statuses VALUES('7079','2066','5','23',null,'OK','REOPEN COMPLAINT','81','74','2020-11-03 20:27:40','2020-11-03 21:06:36',null);
INSERT INTO complaint_statuses VALUES('7080','2133','2',null,'81',null,'03-NOV-2020
FF TO B.COOL','74','74','2020-11-03 20:31:13','2020-11-03 20:31:13',null);
INSERT INTO complaint_statuses VALUES('7081','2133','4',null,'58',null,null,'81','81','2020-11-03 20:31:52','2020-11-03 20:31:52',null);
INSERT INTO complaint_statuses VALUES('7082','2129','4',null,'55',null,null,'81','81','2020-11-03 20:32:03','2020-11-03 20:32:03',null);
INSERT INTO complaint_statuses VALUES('7083','2061','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','74','2020-11-03 20:34:41','2020-11-03 20:35:12',null);
INSERT INTO complaint_statuses VALUES('7084','2031','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-03 20:41:51','2020-11-03 21:07:06',null);
INSERT INTO complaint_statuses VALUES('7085','2134','3',null,'52',null,'03-NOV-2020
COM NO PKRI-201103103762','92','92','2020-11-03 20:42:54','2020-11-03 20:42:54',null);
INSERT INTO complaint_statuses VALUES('7086','2060','8','23','56','SOUND SYSTEM PICK NI KARWNA REMARKS DAL K COMPLETED KAR DAY',null,'81','81','2020-11-03 20:49:51','2020-11-03 20:49:51',null);
INSERT INTO complaint_statuses VALUES('7087','1990','5','15',null,null,'COMPLAINT RESOLVED
CUSTOMER CALL ATTEND NAI KAR RAHAY B.COOL SA STATUS CONFIRM KARAY','81','74','2020-11-03 20:52:00','2020-11-04 21:25:19',null);
INSERT INTO complaint_statuses VALUES('7088','1984','5','15',null,null,'CUSTOMER ABI  ISSUE RESOLVED NAI KARWANA  CHAHTAY  B.COOL KA NO CUSTOMER K PASS HAIN CLOSED COMPLAINT','81','74','2020-11-03 20:52:43','2020-11-03 21:52:54',null);
INSERT INTO complaint_statuses VALUES('7089','1974','5','15',null,null,'CUSTOMER KO AJ B CALL KI WO KOI PROPER ANS NAI DA RAHAY CLOSED COMPLAINT','81','74','2020-11-03 20:53:06','2020-11-04 23:25:03',null);
INSERT INTO complaint_statuses VALUES('7090','2135','2',null,'81',null,'31-OCT-2020
FF TO B.COOL','74','74','2020-11-03 20:56:18','2020-11-03 20:56:18',null);
INSERT INTO complaint_statuses VALUES('7091','2046','7','24','81','Wo workshop delver kry gy',null,'82','82','2020-11-03 21:01:54','2020-11-03 21:01:54',null);
INSERT INTO complaint_statuses VALUES('7092','2136','2',null,'81',null,'31-OCT-2020
FF TO KHALID SONY','74','74','2020-11-03 21:02:31','2020-11-03 21:02:31',null);
INSERT INTO complaint_statuses VALUES('7093','2137','3',null,'66',null,'03-NOV-2020
COM NO 


PK110320200021
SHAKEEL TECHNICIAN NA VISIT KARAWAY','92','74','2020-11-03 21:06:05','2020-11-05 01:13:07',null);
INSERT INTO complaint_statuses VALUES('7094','2116','7','12','81','Job done shiping bolts nhi kholy thy .set kar ky 1000lye liye hy',null,'82','82','2020-11-03 21:11:19','2020-11-03 21:11:19',null);
INSERT INTO complaint_statuses VALUES('7095','1959','5','15',null,null,'CUSTOMER CALL NAI ATTEND KAR RAHAY HAIN ADIL BHII SA POOCH K COMPLAINT CLOSED KI','81','74','2020-11-03 21:14:10','2020-11-03 22:01:53',null);
INSERT INTO complaint_statuses VALUES('7096','2046','8','23','60','OK BUT JOB COMPLETED AS SOON AS POSIBALE',null,'81','81','2020-11-03 21:14:32','2020-11-03 21:14:32',null);
INSERT INTO complaint_statuses VALUES('7097','2100','7','24','81',null,null,'82','82','2020-11-03 21:15:06','2020-11-03 21:15:06',null);
INSERT INTO complaint_statuses VALUES('7098','2136','4',null,'56',null,null,'81','81','2020-11-03 21:15:25','2020-11-03 21:15:25',null);
INSERT INTO complaint_statuses VALUES('7099','2116','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-03 21:15:50','2020-11-03 21:18:24',null);
INSERT INTO complaint_statuses VALUES('7100','2135','4',null,'58',null,'PCB CRAD  ISSUE WORKING IN PROCESS','81','74','2020-11-03 21:16:05','2020-11-06 00:35:54',null);
INSERT INTO complaint_statuses VALUES('7101','924','7','12','81','Set collected by Aslam and aneeq sab',null,'77','77','2020-11-03 21:16:16','2020-11-03 21:16:16',null);
INSERT INTO complaint_statuses VALUES('7102','2089','7','12','81','complaint resolved.jet issue . igntion issue',null,'79','79','2020-11-03 21:19:49','2020-11-03 21:19:49',null);
INSERT INTO complaint_statuses VALUES('7103','2113','7','24','81','Custmer sy oprate nhi ho raha movies bna ky bhejo ga',null,'82','82','2020-11-03 21:21:20','2020-11-03 21:21:20',null);
INSERT INTO complaint_statuses VALUES('7104','2089','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-03 21:25:56','2020-11-03 21:50:06',null);
INSERT INTO complaint_statuses VALUES('7105','2139','2',null,'81',null,'03-NOV-2020
COM FF TO KHALID SONY','92','92','2020-11-03 21:26:11','2020-11-03 21:26:11',null);
INSERT INTO complaint_statuses VALUES('7106','1683','7','12','81','Frig custmer ky ghar phonch gai hy cervis center sy .plz compleet kar dy',null,'82','82','2020-11-03 21:26:18','2020-11-03 21:26:18',null);
INSERT INTO complaint_statuses VALUES('7107','1474','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-03 21:26:21','2020-11-05 02:36:50',null);
INSERT INTO complaint_statuses VALUES('7108','1683','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-03 21:27:07','2020-11-08 20:09:38',null);
INSERT INTO complaint_statuses VALUES('7109','924','5','15',null,null,'COMPLIANT RESOLVED BILAL FHHS KOIC SET KI GRN AAJAY GEI FCI SA YHA SET FCI SA HI SALE HO GA','81','74','2020-11-03 21:27:35','2020-11-09 22:21:39',null);
INSERT INTO complaint_statuses VALUES('7110','2113','8','23','60','please complete this job quikly',null,'81','81','2020-11-03 21:30:16','2020-11-03 21:30:16',null);
INSERT INTO complaint_statuses VALUES('7111','2083','7','24','81',null,null,'82','82','2020-11-03 21:30:22','2020-11-03 21:30:22',null);
INSERT INTO complaint_statuses VALUES('7112','2100','8','23','60','yah complaint kun pending hy',null,'81','81','2020-11-03 21:31:12','2020-11-03 21:31:12',null);
INSERT INTO complaint_statuses VALUES('7113','1976','7','24','81',null,null,'82','82','2020-11-03 21:31:39','2020-11-03 21:31:39',null);
INSERT INTO complaint_statuses VALUES('7114','1967','8','23','59','please complete this job quickly',null,'81','81','2020-11-03 21:32:07','2020-11-03 21:32:07',null);
INSERT INTO complaint_statuses VALUES('7115','1976','8','23','60','please complete this job quickly',null,'81','81','2020-11-03 21:33:07','2020-11-03 21:33:07',null);
INSERT INTO complaint_statuses VALUES('7116','1945','7','24','81',null,null,'82','82','2020-11-03 21:33:27','2020-11-03 21:33:27',null);
INSERT INTO complaint_statuses VALUES('7117','2140','3',null,'55',null,'03-NOV-2020
COM NO ISB-10139','92','92','2020-11-03 21:40:27','2020-11-03 21:43:00',null);
INSERT INTO complaint_statuses VALUES('7118','827','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-03 21:43:48','2020-11-03 21:43:48',null);
INSERT INTO complaint_statuses VALUES('7119','2141','3',null,'54',null,'03-NOV-2020
COM NO 1762943','92','92','2020-11-03 21:51:51','2020-11-03 21:51:51',null);
INSERT INTO complaint_statuses VALUES('7120','2138','3',null,'66',null,null,'74','74','2020-11-03 22:10:00','2020-11-03 22:10:00',null);
INSERT INTO complaint_statuses VALUES('7121','2139','4',null,'56',null,null,'81','81','2020-11-03 22:13:23','2020-11-03 22:13:23',null);
INSERT INTO complaint_statuses VALUES('7122','2142','3',null,'52',null,'03-NOV-2020
COM NO PKRI-201103106564','92','92','2020-11-03 22:22:11','2020-11-03 22:27:54',null);
INSERT INTO complaint_statuses VALUES('7123','2144','3',null,'53',null,'03-NOV-2020
COM NO 1065253','92','92','2020-11-03 22:40:33','2020-11-03 22:44:24',null);
INSERT INTO complaint_statuses VALUES('7124','2145','2',null,'81',null,'03-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-03 22:40:48','2020-11-03 22:40:48',null);
INSERT INTO complaint_statuses VALUES('7125','2145','4',null,'55',null,null,'81','81','2020-11-03 22:41:13','2020-11-03 22:41:13',null);
INSERT INTO complaint_statuses VALUES('7126','2143','3',null,'85',null,null,'74','74','2020-11-03 23:14:49','2020-11-03 23:14:49',null);
INSERT INTO complaint_statuses VALUES('7127','2076','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-03 23:17:01','2020-11-03 23:17:11',null);
INSERT INTO complaint_statuses VALUES('7128','2146','3',null,'66',null,'03-NOV-2020
COMPLAINT#8812001','74','74','2020-11-03 23:30:14','2020-11-03 23:30:14',null);
INSERT INTO complaint_statuses VALUES('7129','889','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-03 23:31:05','2020-11-03 23:31:05',null);
INSERT INTO complaint_statuses VALUES('7130','2147','2',null,'81',null,'03-NOV-2020
COM FF TO SHAMMIM AKHTAR','92','92','2020-11-03 23:37:03','2020-11-03 23:37:57',null);
INSERT INTO complaint_statuses VALUES('7131','2131','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-03 23:42:22','2020-11-03 23:42:34',null);
INSERT INTO complaint_statuses VALUES('7132','2100','7','12','81','Child lock tha .ok kar dia500 lye hy',null,'82','82','2020-11-03 23:50:54','2020-11-03 23:50:54',null);
INSERT INTO complaint_statuses VALUES('7133','2126','5',null,null,'COMPLAINT COMLETED','COMPLAINT RESOLVED','92','92','2020-11-03 23:51:58','2020-11-03 23:52:10',null);
INSERT INTO complaint_statuses VALUES('7134','1944','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-03 23:54:26','2020-11-03 23:54:36',null);
INSERT INTO complaint_statuses VALUES('7135','2147','4',null,'55',null,null,'81','81','2020-11-03 23:58:48','2020-11-03 23:58:48',null);
INSERT INTO complaint_statuses VALUES('7136','2100','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','74','2020-11-04 00:03:53','2020-11-04 00:05:12',null);
INSERT INTO complaint_statuses VALUES('7137','903','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-04 00:07:36','2020-11-04 00:07:36',null);
INSERT INTO complaint_statuses VALUES('7138','2148','3',null,'52',null,'03-NOV-2020
COM NO PKRI-201103108901','92','92','2020-11-04 00:08:39','2020-11-04 00:15:05',null);
INSERT INTO complaint_statuses VALUES('7139','917','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-11-04 00:11:22','2020-11-04 00:11:22',null);
INSERT INTO complaint_statuses VALUES('7140','917','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-04 00:12:02','2020-11-04 00:12:32',null);
INSERT INTO complaint_statuses VALUES('7141','579','7','12','81','AUTO WAIR AVAIL NAI HAIN',null,'88','88','2020-11-04 00:15:09','2020-11-04 00:15:09',null);
INSERT INTO complaint_statuses VALUES('7142','579','5','15',null,'COMPLETED COMPLAINT','CUSTOMER STILL NOT ATTEND CALL CLOSED COMPLAINT','81','74','2020-11-04 00:15:44','2020-11-04 00:16:43',null);
INSERT INTO complaint_statuses VALUES('7143','940','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-04 00:20:39','2020-11-04 00:20:39',null);
INSERT INTO complaint_statuses VALUES('7144','2139','7','12','81','Unit ok. No issue in unit. Job completed no action. We called to customer. He told my unit is ok by reset.',null,'77','77','2020-11-04 00:33:13','2020-11-04 00:33:13',null);
INSERT INTO complaint_statuses VALUES('7145','2149','2',null,'81',null,'03-NOV-2020
COM FF TO HOME SOLUTION','92','92','2020-11-04 00:36:17','2020-11-04 00:36:17',null);
INSERT INTO complaint_statuses VALUES('7146','2112','7','12','81','compliant resolved.socket issue',null,'79','79','2020-11-04 01:00:18','2020-11-04 01:00:18',null);
INSERT INTO complaint_statuses VALUES('7147','2103','7','12','81','gzr service kr dya hai.compliant resolved',null,'79','79','2020-11-04 01:01:10','2020-11-04 01:01:10',null);
INSERT INTO complaint_statuses VALUES('7148','2090','7','22','81','blower damage hai.',null,'79','79','2020-11-04 01:01:53','2020-11-04 01:01:53',null);
INSERT INTO complaint_statuses VALUES('7149','2150','3',null,'52',null,'03-NOV-2020
COM NO PKRI-201103110067','92','92','2020-11-04 01:19:36','2020-11-11 20:48:41',null);
INSERT INTO complaint_statuses VALUES('7150','1035','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-04 01:30:23','2020-11-04 01:30:23',null);
INSERT INTO complaint_statuses VALUES('7151','2151','3',null,'52',null,'03-NOV-2020
COM NO PKRI-2011003110327','92','92','2020-11-04 01:32:28','2020-11-05 21:55:44',null);
INSERT INTO complaint_statuses VALUES('7152','2152','3',null,'52',null,'03-NOV-2020
COM NO PKRI-201103110635','92','92','2020-11-04 01:41:36','2020-11-04 01:49:37',null);
INSERT INTO complaint_statuses VALUES('7153','936','7','12','81','delevered to friends blue area islamabad',null,'77','77','2020-11-04 01:50:52','2020-11-04 01:50:52',null);
INSERT INTO complaint_statuses VALUES('7154','2153','2',null,'81',null,'03-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-04 02:07:05','2020-11-04 02:07:05',null);
INSERT INTO complaint_statuses VALUES('7155','2084','7','24','81','Set hamary service center py ay ga',null,'80','80','2020-11-04 02:09:10','2020-11-04 02:09:10',null);
INSERT INTO complaint_statuses VALUES('7156','2047','7','24','81','customer say bat ho gae hy set S/C ay ga',null,'80','80','2020-11-04 02:12:34','2020-11-04 02:12:34',null);
INSERT INTO complaint_statuses VALUES('7157','1967','7','24','81','panel Damage hy s/C py ay ga',null,'80','80','2020-11-04 02:13:36','2020-11-04 02:13:36',null);
INSERT INTO complaint_statuses VALUES('7158','2154','2',null,'81',null,'03-NOV-2020
COM FF TO HOME SOLUTION','92','92','2020-11-04 02:37:24','2020-11-04 02:37:24',null);
INSERT INTO complaint_statuses VALUES('7159','2139','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-04 02:37:56','2020-11-04 02:38:47',null);
INSERT INTO complaint_statuses VALUES('7160','2103','5','15',null,'COMPLETED COMPLAINT','COMPLIANT RESOLVED','81','74','2020-11-04 02:40:28','2020-11-04 02:50:57',null);
INSERT INTO complaint_statuses VALUES('7161','2154','4',null,'62',null,null,'81','81','2020-11-04 02:40:48','2020-11-04 02:40:48',null);
INSERT INTO complaint_statuses VALUES('7162','2153','4',null,'58',null,null,'81','81','2020-11-04 02:40:58','2020-11-04 02:40:58',null);
INSERT INTO complaint_statuses VALUES('7163','2149','4',null,'62',null,null,'81','81','2020-11-04 02:41:09','2020-11-04 02:41:09',null);
INSERT INTO complaint_statuses VALUES('7164','2084','8','23','59','OK JOB THIS COMPLETED QUKILEY',null,'81','81','2020-11-04 02:43:59','2020-11-04 02:43:59',null);
INSERT INTO complaint_statuses VALUES('7165','2083','8','23','60','JOB THIS COMPLETED QUKILEY',null,'81','81','2020-11-04 02:44:54','2020-11-04 02:44:54',null);
INSERT INTO complaint_statuses VALUES('7166','2047','8','23','59','OK',null,'81','81','2020-11-04 02:45:38','2020-11-04 02:45:38',null);
INSERT INTO complaint_statuses VALUES('7167','1967','8','23','59','OK',null,'81','81','2020-11-04 02:46:33','2020-11-04 02:46:33',null);
INSERT INTO complaint_statuses VALUES('7168','936','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-04 02:50:13','2020-11-04 02:51:55',null);
INSERT INTO complaint_statuses VALUES('7169','1761','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-04 02:57:03','2020-11-04 02:57:03',null);
INSERT INTO complaint_statuses VALUES('7170','2155','2',null,'81',null,'03-NOV-2020
COM FF TO HOME SOLUTION','92','92','2020-11-04 03:07:28','2020-11-04 03:07:28',null);
INSERT INTO complaint_statuses VALUES('7171','2145','7','12','81','DD Motor Replaced Invoice Pending (16500)',null,'76','76','2020-11-04 18:53:27','2020-11-04 18:53:27',null);
INSERT INTO complaint_statuses VALUES('7172','2030','7','12','81','Display PCB Faulty, Reffer to SVC but Customer Not agree for lifting right now, he will inform after some time.',null,'76','76','2020-11-04 18:55:00','2020-11-04 18:55:00',null);
INSERT INTO complaint_statuses VALUES('7173','2101','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-04 19:41:51','2020-11-04 19:42:00',null);
INSERT INTO complaint_statuses VALUES('7174','1894','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-04 19:50:23','2020-11-04 19:51:51',null);
INSERT INTO complaint_statuses VALUES('7175','2155','4',null,'62',null,null,'81','81','2020-11-04 19:51:43','2020-11-04 19:51:43',null);
INSERT INTO complaint_statuses VALUES('7176','1998','7','12','81','proper hi attend hui hai.filter lagany thy  lg deye hai',null,'79','79','2020-11-04 20:03:30','2020-11-04 20:03:30',null);
INSERT INTO complaint_statuses VALUES('7177','693','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-04 20:18:16','2020-11-04 20:18:16',null);
INSERT INTO complaint_statuses VALUES('7178','2156','3',null,'55',null,'04-NOV-2020
COM NO RWP-16122','92','92','2020-11-04 20:41:18','2020-11-04 20:41:18',null);
INSERT INTO complaint_statuses VALUES('7179','2120','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-04 20:41:27','2020-11-04 20:41:27',null);
INSERT INTO complaint_statuses VALUES('7180','2157','3',null,'62',null,'06-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-04 20:49:23','2020-11-11 21:57:07',null);
INSERT INTO complaint_statuses VALUES('7181','729','7','12','81','unit ki pcb theek kerai hai or gas hai.kal lag jaye ga',null,'79','79','2020-11-04 20:56:31','2020-11-04 20:56:31',null);
INSERT INTO complaint_statuses VALUES('7182','1905','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-04 21:02:31','2020-11-04 21:02:31',null);
INSERT INTO complaint_statuses VALUES('7183','2145','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-04 21:07:59','2020-11-04 21:08:28',null);
INSERT INTO complaint_statuses VALUES('7184','2158','3',null,'81',null,'04-NOV-2020
COM NO4001','92','92','2020-11-04 21:10:31','2020-11-06 00:33:28',null);
INSERT INTO complaint_statuses VALUES('7185','1294','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-04 21:16:35','2020-11-04 21:16:35',null);
INSERT INTO complaint_statuses VALUES('7186','729','5','15',null,'COMPLETED COMPLINT','B.COOL SA CONFIRM KAR K COMPLAINT CLOSED KI HAIN','81','74','2020-11-04 21:17:36','2020-11-04 23:48:54',null);
INSERT INTO complaint_statuses VALUES('7187','1198','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-04 21:38:45','2020-11-04 21:38:45',null);
INSERT INTO complaint_statuses VALUES('7188','2162','3',null,'55',null,'04-NOV-2020
COM NO RWP-16127','92','92','2020-11-04 21:53:18','2020-11-04 21:53:18',null);
INSERT INTO complaint_statuses VALUES('7189','2163','2',null,'81',null,'04-NOV-2020
COM FF TO SHAMMIM AKHTAR','92','92','2020-11-04 22:01:33','2020-11-04 22:01:33',null);
INSERT INTO complaint_statuses VALUES('7190','2164','2',null,'81',null,'04-NOV-2020
COM FF TO SHAMMIM AKHTAR','92','92','2020-11-04 22:27:40','2020-11-04 22:27:40',null);
INSERT INTO complaint_statuses VALUES('7191','2166','3',null,'62',null,'04-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-04 22:36:04','2020-11-04 22:36:04',null);
INSERT INTO complaint_statuses VALUES('7192','2167','3',null,'62',null,'04-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-04 22:40:55','2020-11-04 22:40:55',null);
INSERT INTO complaint_statuses VALUES('7193','2168','3',null,'65',null,'04-NOV-2020
COMPLAINT#192018847','74','92','2020-11-04 22:44:48','2020-11-04 23:08:05',null);
INSERT INTO complaint_statuses VALUES('7194','2086','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-04 22:46:51','2020-11-04 22:47:00',null);
INSERT INTO complaint_statuses VALUES('7195','2169','2',null,'81',null,'04-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-04 22:51:12','2020-11-04 22:51:12',null);
INSERT INTO complaint_statuses VALUES('7196','2112','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-11-04 23:12:08','2020-11-04 23:14:13',null);
INSERT INTO complaint_statuses VALUES('7197','2169','4',null,'58',null,null,'81','81','2020-11-04 23:12:32','2020-11-04 23:12:32',null);
INSERT INTO complaint_statuses VALUES('7198','2164','4',null,'55',null,'IN PROCESS COMPLAINT ATTEND HO JAY GEI','81','74','2020-11-04 23:12:44','2020-11-06 00:15:47',null);
INSERT INTO complaint_statuses VALUES('7199','2163','4',null,'55',null,null,'81','81','2020-11-04 23:12:56','2020-11-04 23:12:56',null);
INSERT INTO complaint_statuses VALUES('7200','2090','8','23','58','JOB COMPLAINT QUKILEY',null,'81','81','2020-11-04 23:17:12','2020-11-04 23:17:12',null);
INSERT INTO complaint_statuses VALUES('7201','2171','2',null,'81',null,'04-NOV-2020
COM FF TO HOME SOLUTION','92','92','2020-11-04 23:18:35','2020-11-04 23:18:35',null);
INSERT INTO complaint_statuses VALUES('7202','2030','5','15',null,'CUSTOMER OUT OFF CITY JA RAHY HAIN IC WAJ SA COMPLAINT ABI CANCEL KARWA DI COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2020-11-04 23:20:34','2020-11-04 23:21:22',null);
INSERT INTO complaint_statuses VALUES('7203','2171','4',null,'62',null,null,'81','81','2020-11-04 23:22:48','2020-11-04 23:22:48',null);
INSERT INTO complaint_statuses VALUES('7204','2171','4',null,'62',null,'IN PROCESS AJ ATTEND HO JAY GEI','81','74','2020-11-04 23:22:49','2020-11-06 00:17:32',null);
INSERT INTO complaint_statuses VALUES('7205','2172','3',null,'52',null,'04-NOV-2020
COM NO PKRI-201104107457','92','92','2020-11-04 23:30:08','2020-11-04 23:44:00',null);
INSERT INTO complaint_statuses VALUES('7206','1945','8','23','60','JOB COMPLETED QUKILEY',null,'81','81','2020-11-04 23:42:35','2020-11-04 23:42:35',null);
INSERT INTO complaint_statuses VALUES('7207','1998','8','23','58','AGAIN VISIT KARWAY ISSUE NOT RESOLVED',null,'81','81','2020-11-04 23:47:13','2020-11-04 23:47:13',null);
INSERT INTO complaint_statuses VALUES('7208','2169','7','12','81','ye hood i 10 st repir ho kr gya hi',null,'79','79','2020-11-05 00:02:38','2020-11-05 00:02:38',null);
INSERT INTO complaint_statuses VALUES('7209','2060','7','12','81','Refused to repaired. Unit with friends phs 7',null,'77','77','2020-11-05 00:12:21','2020-11-05 00:12:21',null);
INSERT INTO complaint_statuses VALUES('7210','2169','5','23',null,'4TH MONTH BAD COMPLAINT  AAI HAIN . KINDLY AP VISIT ARRANGE KARWAY','COMPLAINT REOPENED  KARWA DI
HOOD MOVE S/C KARWANA KHUD','81','74','2020-11-05 00:13:32','2020-11-10 01:09:43',null);
INSERT INTO complaint_statuses VALUES('7211','2173','2',null,'81',null,'04-NOV-2020
COM FF TO BEST COOL','74','74','2020-11-05 00:14:11','2020-11-05 00:14:11',null);
INSERT INTO complaint_statuses VALUES('7212','2173','4',null,'58',null,null,'81','81','2020-11-05 00:17:20','2020-11-05 00:17:20',null);
INSERT INTO complaint_statuses VALUES('7213','2174','2',null,'81',null,'04-NOV-2020
COM FF TO AZHAR','92','92','2020-11-05 00:43:01','2020-11-05 00:43:01',null);
INSERT INTO complaint_statuses VALUES('7214','2175','3',null,'57',null,'04-NOV-2020
COM NO 14245','92','92','2020-11-05 00:52:04','2020-11-05 00:52:04',null);
INSERT INTO complaint_statuses VALUES('7215','2136','7','20','81','Main board faulty need to replaced. Total cost Rs. 37615 also need your approval',null,'77','77','2020-11-05 00:53:47','2020-11-05 00:53:47',null);
INSERT INTO complaint_statuses VALUES('7216','2176','3',null,'88',null,'04-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-05 01:01:21','2020-11-12 01:31:48',null);
INSERT INTO complaint_statuses VALUES('7217','2177','3',null,'52',null,'04-OCT-2020
COM NO PKRI-201104109580','92','92','2020-11-05 01:21:36','2020-11-05 01:21:36',null);
INSERT INTO complaint_statuses VALUES('7218','2081','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-05 01:48:58','2020-11-05 01:49:08',null);
INSERT INTO complaint_statuses VALUES('7219','2174','4',null,'60',null,null,'81','81','2020-11-05 01:49:28','2020-11-05 01:49:28',null);
INSERT INTO complaint_statuses VALUES('7220','2170','3',null,'52',null,null,'74','74','2020-11-05 01:54:35','2020-11-05 01:54:35',null);
INSERT INTO complaint_statuses VALUES('7221','2179','3',null,'57',null,'04-NOV-2020
COMPLAINT#14246','74','74','2020-11-05 02:01:03','2020-11-05 02:01:03',null);
INSERT INTO complaint_statuses VALUES('7222','2040','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-05 02:07:40','2020-11-05 02:07:50',null);
INSERT INTO complaint_statuses VALUES('7223','2165','3',null,'54',null,'COMPLAINT#1781464','74','74','2020-11-05 02:09:07','2020-12-10 01:46:22',null);
INSERT INTO complaint_statuses VALUES('7224','2161','3',null,'53',null,null,'74','74','2020-11-05 02:18:17','2020-11-05 02:18:17',null);
INSERT INTO complaint_statuses VALUES('7225','2180','3',null,'54',null,'04-NOV-2020
COM NO 1763885','92','92','2020-11-05 02:22:54','2020-11-05 02:22:54',null);
INSERT INTO complaint_statuses VALUES('7226','2124','7','12','81','ISSUE RESOLVED ,, FILTER SAAF KYE',null,'87','87','2020-11-05 02:26:05','2020-11-05 02:26:05',null);
INSERT INTO complaint_statuses VALUES('7227','2160','2',null,'81',null,null,'74','74','2020-11-05 02:27:51','2020-11-05 02:27:51',null);
INSERT INTO complaint_statuses VALUES('7228','2160','4',null,'56',null,'SONY S/C WORKING IN PROCESS','81','74','2020-11-05 02:28:07','2020-11-28 21:54:56',null);
INSERT INTO complaint_statuses VALUES('7229','2124','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-05 02:30:12','2020-11-05 02:31:18',null);
INSERT INTO complaint_statuses VALUES('7230','2182','3',null,'52',null,'04-NOV-2020
COM NO PKRI-201104110881','92','92','2020-11-05 02:42:16','2020-11-05 02:42:16',null);
INSERT INTO complaint_statuses VALUES('7231','2049','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-11-05 19:37:09','2020-11-05 19:37:09',null);
INSERT INTO complaint_statuses VALUES('7232','2183','2',null,'81',null,'05-NOV-2020
COM FF TO SHAMMIM AKHTAR','92','92','2020-11-05 19:49:14','2020-11-05 19:49:14',null);
INSERT INTO complaint_statuses VALUES('7233','2034','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-05 19:57:23','2020-11-05 19:57:23',null);
INSERT INTO complaint_statuses VALUES('7234','2174','7','24','81',null,null,'82','82','2020-11-05 20:01:09','2020-11-05 20:01:09',null);
INSERT INTO complaint_statuses VALUES('7235','2033','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-05 20:02:50','2020-11-05 20:02:50',null);
INSERT INTO complaint_statuses VALUES('7236','2104','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-05 20:09:26','2020-11-05 20:09:26',null);
INSERT INTO complaint_statuses VALUES('7237','2184','3',null,'52',null,'05-NOV-2020
COM NO PKRI-201105102620','92','92','2020-11-05 20:09:44','2020-11-26 21:13:26',null);
INSERT INTO complaint_statuses VALUES('7238','2032','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-05 20:11:50','2020-11-05 20:11:50',null);
INSERT INTO complaint_statuses VALUES('7239','2185','3',null,'62',null,'05-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-05 20:20:44','2020-11-05 20:20:44',null);
INSERT INTO complaint_statuses VALUES('7240','2186','3',null,'75',null,'05-OCT-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-05 20:22:32','2020-11-05 20:31:50',null);
INSERT INTO complaint_statuses VALUES('7241','2119','7','24','81','Heating gun issue',null,'82','82','2020-11-05 20:45:46','2020-11-05 20:45:46',null);
INSERT INTO complaint_statuses VALUES('7242','2187','3',null,'73',null,'05-NOV-2020
COM NO 2277','92','92','2020-11-05 20:46:28','2020-11-05 20:46:28',null);
INSERT INTO complaint_statuses VALUES('7243','2025','7','22','81','burner issue hai,markit sy nahi mil rha',null,'79','79','2020-11-05 21:00:38','2020-11-05 21:00:38',null);
INSERT INTO complaint_statuses VALUES('7244','2065','7','12','81','complait resolved .no visit.',null,'79','79','2020-11-05 21:02:17','2020-11-05 21:02:17',null);
INSERT INTO complaint_statuses VALUES('7245','2188','2',null,'81',null,'05-NOV-2020
COM FF TO SHAMMIM AKHTAR','92','92','2020-11-05 21:02:53','2020-11-05 21:02:53',null);
INSERT INTO complaint_statuses VALUES('7246','1548','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-05 21:06:01','2020-11-05 21:06:01',null);
INSERT INTO complaint_statuses VALUES('7247','2188','4',null,'55',null,null,'81','81','2020-11-05 21:09:11','2020-11-05 21:09:11',null);
INSERT INTO complaint_statuses VALUES('7248','2183','4',null,'55',null,null,'81','81','2020-11-05 21:09:21','2020-11-05 21:09:21',null);
INSERT INTO complaint_statuses VALUES('7249','2174','8','23','60','JOB THIS COMPLETED QUKILEY',null,'81','81','2020-11-05 21:10:15','2020-11-05 21:10:15',null);
INSERT INTO complaint_statuses VALUES('7250','998','7','12','81','No action completed. unit with customer.',null,'77','77','2020-11-05 21:14:34','2020-11-05 21:14:34',null);
INSERT INTO complaint_statuses VALUES('7251','2136','8','23','56','SET READY KARAY APPROVED BY NAEEM  SAB',null,'81','81','2020-11-05 21:19:44','2020-11-05 21:19:44',null);
INSERT INTO complaint_statuses VALUES('7252','2119','8','23','60','JOB  THIS COMPLETED QUKLEY',null,'81','81','2020-11-05 21:22:40','2020-11-05 21:22:40',null);
INSERT INTO complaint_statuses VALUES('7253','2065','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-11-05 21:26:25','2020-11-05 22:17:33',null);
INSERT INTO complaint_statuses VALUES('7254','1938','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-05 21:34:39','2020-11-05 21:34:39',null);
INSERT INTO complaint_statuses VALUES('7255','1953','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-05 21:38:04','2020-11-05 21:38:04',null);
INSERT INTO complaint_statuses VALUES('7256','1086','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-05 21:40:23','2020-11-05 21:40:23',null);
INSERT INTO complaint_statuses VALUES('7257','1002','7','12','81','Issue resolved..pcb rep',null,'87','87','2020-11-05 21:54:55','2020-11-05 21:54:55',null);
INSERT INTO complaint_statuses VALUES('7258','2001','7','12','81','Issue resolved...w/m bilkul ok hai there is no problem',null,'87','87','2020-11-05 21:55:58','2020-11-05 21:55:58',null);
INSERT INTO complaint_statuses VALUES('7259','2151','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-05 21:57:09','2020-11-05 21:57:20',null);
INSERT INTO complaint_statuses VALUES('7260','2149','7','24','81','Customer ny aj visit k lye refuse kia ,becuase of electercity problem',null,'87','87','2020-11-05 21:57:58','2020-11-05 21:57:58',null);
INSERT INTO complaint_statuses VALUES('7261','2155','7','12','81','Issue resolved',null,'87','87','2020-11-05 21:58:38','2020-11-05 21:58:38',null);
INSERT INTO complaint_statuses VALUES('7262','1999','5',null,null,'COMPLAINT  CLOSED',null,'74','74','2020-11-05 22:10:04','2020-11-05 22:10:04',null);
INSERT INTO complaint_statuses VALUES('7263','2189','3',null,'84',null,'05-NOV-2020
COM NO ISB-10179','92','92','2020-11-05 22:12:09','2020-11-05 22:12:09',null);
INSERT INTO complaint_statuses VALUES('7264','1704','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-05 22:12:17','2020-11-05 22:12:17',null);
INSERT INTO complaint_statuses VALUES('7265','2190','3',null,'84',null,'05-NOV-2020
COM NO ISB-10180','92','92','2020-11-05 22:14:42','2020-11-05 22:14:42',null);
INSERT INTO complaint_statuses VALUES('7266','998','5','15',null,'CUSTOMER NA KHUD SA ISSUE RESOLVED KARWA LIYA NAEEM SAB SA CONFIRM KIYA AJ','COMPLAINT CLOSED','81','74','2020-11-05 22:15:22','2020-11-05 22:16:02',null);
INSERT INTO complaint_statuses VALUES('7267','1375','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-05 22:24:37','2020-11-05 22:24:37',null);
INSERT INTO complaint_statuses VALUES('7268','2009','7','12','81','Right Now, Customer Not Agree for Lifting , Please Close the Job.',null,'76','76','2020-11-05 22:24:41','2020-11-05 22:24:41',null);
INSERT INTO complaint_statuses VALUES('7269','1997','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-05 22:27:08','2020-11-05 22:27:08',null);
INSERT INTO complaint_statuses VALUES('7270','2191','3',null,'55',null,'05-NOV-2020
COM NO 16324','92','92','2020-11-05 22:29:50','2020-11-17 21:31:55',null);
INSERT INTO complaint_statuses VALUES('7271','2134','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-05 22:39:30','2020-11-05 22:39:44',null);
INSERT INTO complaint_statuses VALUES('7272','2028','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-05 22:41:07','2020-11-05 22:41:07',null);
INSERT INTO complaint_statuses VALUES('7273','2142','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-05 22:46:00','2020-11-05 22:46:00',null);
INSERT INTO complaint_statuses VALUES('7274','2141','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-05 22:47:23','2020-11-05 22:47:33',null);
INSERT INTO complaint_statuses VALUES('7275','2125','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-05 22:49:33','2020-11-05 22:49:42',null);
INSERT INTO complaint_statuses VALUES('7276','2094','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-05 23:35:05','2020-11-05 23:35:15',null);
INSERT INTO complaint_statuses VALUES('7277','2155','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-05 23:38:22','2020-11-05 23:38:57',null);
INSERT INTO complaint_statuses VALUES('7278','1880','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-05 23:42:47','2020-11-05 23:42:58',null);
INSERT INTO complaint_statuses VALUES('7279','2192','2',null,'81',null,'05-NOV-2020
FF TO B.COOL','74','74','2020-11-05 23:56:00','2020-11-05 23:56:00',null);
INSERT INTO complaint_statuses VALUES('7280','2193','2',null,'81',null,'05-NOV-2020
FF TO AZHAR FCI','74','74','2020-11-06 00:25:12','2020-11-06 00:25:12',null);
INSERT INTO complaint_statuses VALUES('7281','2192','4',null,'58',null,null,'81','81','2020-11-06 00:25:22','2020-11-06 00:25:22',null);
INSERT INTO complaint_statuses VALUES('7282','2193','4',null,'60',null,null,'81','81','2020-11-06 00:25:33','2020-11-06 00:25:33',null);
INSERT INTO complaint_statuses VALUES('7283','1943','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-06 00:28:43','2020-11-06 00:29:00',null);
INSERT INTO complaint_statuses VALUES('7284','2177','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-06 00:44:48','2020-11-06 00:44:58',null);
INSERT INTO complaint_statuses VALUES('7285','2194','2',null,'81',null,'05-NOV-2020
FF TO B.COOL','74','74','2020-11-06 00:46:42','2020-11-06 00:46:42',null);
INSERT INTO complaint_statuses VALUES('7286','2194','4',null,'58',null,null,'81','81','2020-11-06 00:47:04','2020-11-06 00:47:04',null);
INSERT INTO complaint_statuses VALUES('7287','2195','2',null,'81',null,'05-NOV-2020
FF TO B.COOL','74','74','2020-11-06 00:54:47','2020-11-06 00:54:47',null);
INSERT INTO complaint_statuses VALUES('7288','2195','4',null,'58',null,null,'81','81','2020-11-06 00:55:22','2020-11-06 00:55:22',null);
INSERT INTO complaint_statuses VALUES('7289','1877','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-06 01:01:19','2020-11-06 01:01:34',null);
INSERT INTO complaint_statuses VALUES('7290','2196','3',null,'54',null,'05-NOV-2020
COMPLAINT#1764384','74','74','2020-11-06 01:06:06','2020-11-06 01:06:06',null);
INSERT INTO complaint_statuses VALUES('7291','1996','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-06 01:35:06','2020-11-06 01:36:23',null);
INSERT INTO complaint_statuses VALUES('7292','2000','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-06 01:44:07','2020-11-06 01:44:19',null);
INSERT INTO complaint_statuses VALUES('7293','2197','2',null,'81',null,'05-NOV-2020
FF TO B.COOL','74','74','2020-11-06 01:48:43','2020-11-06 01:48:43',null);
INSERT INTO complaint_statuses VALUES('7294','2197','4',null,'58',null,null,'81','81','2020-11-06 01:49:53','2020-11-06 01:49:53',null);
INSERT INTO complaint_statuses VALUES('7295','2198','3',null,'53',null,'05-NOV-2020
COMPLAINT#301065791','74','74','2020-11-06 01:58:40','2020-11-06 01:58:40',null);
INSERT INTO complaint_statuses VALUES('7296','2172','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-06 01:58:49','2020-11-06 01:59:06',null);
INSERT INTO complaint_statuses VALUES('7297','2171','7','22','81','COMP',null,'87','87','2020-11-06 02:21:05','2020-11-06 02:21:05',null);
INSERT INTO complaint_statuses VALUES('7298','1888','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-06 02:23:02','2020-11-06 02:23:13',null);
INSERT INTO complaint_statuses VALUES('7299','2199','3',null,'52',null,'05-NOV-2020
COMPLAINT#PKRI 201105110757','74','92','2020-11-06 02:23:14','2020-11-06 02:28:08',null);
INSERT INTO complaint_statuses VALUES('7300','2108','7','12','81','complaint reoslved',null,'79','79','2020-11-06 02:24:12','2020-11-06 02:24:12',null);
INSERT INTO complaint_statuses VALUES('7301','2109','7','12','81','burner showroom behj dy',null,'79','79','2020-11-06 02:25:48','2020-11-06 02:25:48',null);
INSERT INTO complaint_statuses VALUES('7302','2200','2',null,'81',null,'05-NOV-2020
FF TO USMAN MRM','74','74','2020-11-06 02:33:42','2020-11-06 02:33:42',null);
INSERT INTO complaint_statuses VALUES('7303','2200','4',null,'61',null,null,'81','81','2020-11-06 02:34:05','2020-11-06 02:34:05',null);
INSERT INTO complaint_statuses VALUES('7304','2201','2',null,'81',null,'05-NOV-2020
FF TO  KHALID','74','74','2020-11-06 02:44:15','2020-11-06 02:44:15',null);
INSERT INTO complaint_statuses VALUES('7305','2201','4',null,'56',null,null,'81','81','2020-11-06 02:45:00','2020-11-06 02:45:00',null);
INSERT INTO complaint_statuses VALUES('7306','2067','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-06 02:46:02','2020-11-06 02:46:12',null);
INSERT INTO complaint_statuses VALUES('7307','2202','3',null,'53',null,'06-NOV-2020
COMPLAINT#1065849','74','74','2020-11-06 20:32:18','2020-11-06 20:32:18',null);
INSERT INTO complaint_statuses VALUES('7308','2181','3',null,'72',null,null,'74','74','2020-11-06 20:35:43','2020-11-06 20:35:43',null);
INSERT INTO complaint_statuses VALUES('7309','2203','2',null,'81',null,'06-NOV-2020
FF TO B.COOL','74','74','2020-11-06 20:44:06','2020-11-06 20:44:06',null);
INSERT INTO complaint_statuses VALUES('7310','2203','4',null,'58',null,null,'81','81','2020-11-06 20:44:31','2020-11-06 20:44:31',null);
INSERT INTO complaint_statuses VALUES('7311','2204','2',null,'81',null,'06-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-06 20:48:33','2020-11-06 20:48:33',null);
INSERT INTO complaint_statuses VALUES('7312','2204','4',null,'55',null,null,'81','81','2020-11-06 20:49:28','2020-11-06 20:49:28',null);
INSERT INTO complaint_statuses VALUES('7313','2205','3',null,'55',null,'06-NOV-2020
COMPLAINT#R.W.P-C-127','74','74','2020-11-06 21:14:11','2020-11-06 21:14:11',null);
INSERT INTO complaint_statuses VALUES('7314','2206','2',null,'81',null,'06-NOV-2020
FF TO AZHAR FCI','74','74','2020-11-06 21:22:00','2020-11-06 21:22:00',null);
INSERT INTO complaint_statuses VALUES('7315','2206','4',null,'60',null,null,'81','81','2020-11-06 21:22:37','2020-11-06 21:22:37',null);
INSERT INTO complaint_statuses VALUES('7316','2207','3',null,'72',null,'06-NOV-2020
COMPLAIN#072015100','74','92','2020-11-06 21:29:14','2020-11-10 19:25:09',null);
INSERT INTO complaint_statuses VALUES('7317','2208','2',null,'81',null,'06-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-06 21:33:04','2020-11-06 21:33:04',null);
INSERT INTO complaint_statuses VALUES('7318','2208','4',null,'55',null,null,'81','81','2020-11-06 21:35:13','2020-11-06 21:35:13',null);
INSERT INTO complaint_statuses VALUES('7319','2209','2',null,'81',null,'06-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-06 21:43:58','2020-11-06 21:43:58',null);
INSERT INTO complaint_statuses VALUES('7320','2209','4',null,'55',null,null,'81','81','2020-11-06 21:44:28','2020-11-06 21:44:28',null);
INSERT INTO complaint_statuses VALUES('7321','2210','2',null,'81',null,'06-NOV-2020
FF TO B.COOL','74','74','2020-11-06 22:12:06','2020-11-06 22:12:06',null);
INSERT INTO complaint_statuses VALUES('7322','2210','4',null,'58',null,null,'81','81','2020-11-06 22:12:37','2020-11-06 22:12:37',null);
INSERT INTO complaint_statuses VALUES('7323','1811','7','12','81','Door Level Adjustment',null,'76','76','2020-11-06 23:18:02','2020-11-06 23:18:02',null);
INSERT INTO complaint_statuses VALUES('7324','1936','7','12','81','Door Adjustment.',null,'76','76','2020-11-06 23:18:54','2020-11-06 23:18:54',null);
INSERT INTO complaint_statuses VALUES('7325','2114','7','12','81','Refer to SVC in Service But Customer Not Agree for Service right now He Will Inform After Some Time.',null,'76','76','2020-11-06 23:22:28','2020-11-06 23:22:28',null);
INSERT INTO complaint_statuses VALUES('7326','2159','3',null,'73',null,null,'74','74','2020-11-06 23:34:49','2020-11-06 23:34:49',null);
INSERT INTO complaint_statuses VALUES('7327','2044','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-06 23:38:01','2020-11-06 23:38:01',null);
INSERT INTO complaint_statuses VALUES('7328','2121','7','12','81','Level Adjustment.',null,'76','76','2020-11-06 23:51:13','2020-11-06 23:51:13',null);
INSERT INTO complaint_statuses VALUES('7329','2074','7','12','81','Condenser Fan Adjustment Only.',null,'76','76','2020-11-06 23:52:58','2020-11-06 23:52:58',null);
INSERT INTO complaint_statuses VALUES('7330','2110','7','24','81','Heater Faulty',null,'76','76','2020-11-06 23:53:49','2020-11-06 23:53:49',null);
INSERT INTO complaint_statuses VALUES('7331','2147','7','12','81','Filter Service',null,'76','76','2020-11-06 23:54:29','2020-11-06 23:54:29',null);
INSERT INTO complaint_statuses VALUES('7332','2129','7','12','81','Demonstration Only',null,'76','76','2020-11-06 23:55:11','2020-11-06 23:55:11',null);
INSERT INTO complaint_statuses VALUES('7333','2163','7','22','81','Compressor Faulty,',null,'76','76','2020-11-06 23:57:27','2020-11-06 23:57:27',null);
INSERT INTO complaint_statuses VALUES('7334','2099','7','24','81','Under Repaire In SVC (Service Require)',null,'76','76','2020-11-06 23:58:11','2020-11-06 23:58:11',null);
INSERT INTO complaint_statuses VALUES('7335','2164','7','12','81','Filter Service.',null,'76','76','2020-11-06 23:58:54','2020-11-06 23:58:54',null);
INSERT INTO complaint_statuses VALUES('7336','1878','7','12','81','Shifting Bolt Removed.',null,'76','76','2020-11-07 00:00:01','2020-11-07 00:00:01',null);
INSERT INTO complaint_statuses VALUES('7337','1903','7','26','81','Lifting Pending from Customer Side .customer not Sure when he available.',null,'76','76','2020-11-07 00:03:31','2020-11-07 00:03:31',null);
INSERT INTO complaint_statuses VALUES('7338','1138','7','12','81','two time Visit done at Customer s Home , there is no Fault in Washing Machine , Product is working Properly , but She is not satisfied , sh said cloth become not clean Properly.',null,'76','76','2020-11-07 00:09:46','2020-11-07 00:09:46',null);
INSERT INTO complaint_statuses VALUES('7339','2211','3',null,'52',null,'06-NOV-2020
COMPLAINT#PKRI-201106108011','74','74','2020-11-07 00:11:16','2020-11-07 00:13:42',null);
INSERT INTO complaint_statuses VALUES('7340','1117','7','24','81','Unit is Ready, But Customer not Receiving Calls from SVC. please calls him for Product Collection',null,'76','76','2020-11-07 00:12:50','2020-11-07 00:12:50',null);
INSERT INTO complaint_statuses VALUES('7341','1336','7','22','81','There is A Problem In PCB , Customer Not agree for Ref Lifting.',null,'76','76','2020-11-07 00:33:49','2020-11-07 00:33:49',null);
INSERT INTO complaint_statuses VALUES('7342','2212','3',null,'62',null,'06-NOV-2020
FF TO 5 STAR','74','74','2020-11-07 00:35:06','2020-11-07 00:35:06',null);
INSERT INTO complaint_statuses VALUES('7343','2041','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-11-07 01:15:44','2020-11-07 01:15:44',null);
INSERT INTO complaint_statuses VALUES('7344','2178','3',null,'66',null,'ASLAM SIR LA K GAY','74','74','2020-11-07 01:24:41','2020-11-28 21:53:03',null);
INSERT INTO complaint_statuses VALUES('7345','2200','7','24','81','Visit Done  
Unit refer to workshop  
Unit in no power condition.',null,'83','83','2020-11-07 01:39:27','2020-11-07 01:39:27',null);
INSERT INTO complaint_statuses VALUES('7346','1713','7','12','81','Power supply replaced  unit handover to customer 
MRM warranty job',null,'83','83','2020-11-07 03:06:59','2020-11-07 03:06:59',null);
INSERT INTO complaint_statuses VALUES('7347','2080','7','12','81','complaint resolved.filter clean',null,'79','79','2020-11-07 19:22:43','2020-11-07 19:22:43',null);
INSERT INTO complaint_statuses VALUES('7348','2174','7','12','81','Dhuwa dy raha tha set kar dia hy',null,'82','82','2020-11-07 20:02:03','2020-11-07 20:02:03',null);
INSERT INTO complaint_statuses VALUES('7349','2213','2',null,'81',null,'07-NOV-2020
COM FF TO TAHIR RAMZAN','92','92','2020-11-07 20:13:29','2020-11-07 20:13:29',null);
INSERT INTO complaint_statuses VALUES('7350','2214','2',null,'81',null,'07-NOV-2020
COM FF TO TAHIR RAMZAN','92','92','2020-11-07 20:17:52','2020-11-07 20:17:52',null);
INSERT INTO complaint_statuses VALUES('7351','2154','7','26','81','FROM CUSTOMER SIDE',null,'87','87','2020-11-07 20:22:43','2020-11-07 20:22:43',null);
INSERT INTO complaint_statuses VALUES('7352','2215','3',null,'53',null,'07-NOV-2020
COM NO 301066031','92','92','2020-11-07 20:40:06','2020-11-07 20:41:58',null);
INSERT INTO complaint_statuses VALUES('7353','2216','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-11-07 20:43:03','2020-11-07 20:43:03',null);
INSERT INTO complaint_statuses VALUES('7354','2199','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-07 20:45:30','2020-11-07 20:45:40',null);
INSERT INTO complaint_statuses VALUES('7355','2217','3',null,'62',null,'FRWRD TO KHURRAM 5STAR
C/O ASLAM SB','73','73','2020-11-07 20:47:00','2020-11-07 21:23:10',null);
INSERT INTO complaint_statuses VALUES('7356','2218','3',null,'66',null,'07-NOV-2020
COM NO PK111220200087','92','92','2020-11-07 20:57:39','2020-11-13 01:19:53',null);
INSERT INTO complaint_statuses VALUES('7357','2219','3',null,'52',null,'07-NOV-2020
COM NO PKRI-201107104835','92','92','2020-11-07 21:06:29','2020-11-07 21:12:33',null);
INSERT INTO complaint_statuses VALUES('7358','1792','7','12','81','Unit ok. Pls ask aslam to collect.',null,'77','77','2020-11-07 21:39:57','2020-11-07 21:39:57',null);
INSERT INTO complaint_statuses VALUES('7359','2220','2',null,'81',null,'07-NOV-2020
COM FF TO SHAMMIM AKHTAR','92','92','2020-11-07 21:40:45','2020-11-07 21:40:45',null);
INSERT INTO complaint_statuses VALUES('7360','2174','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-07 21:53:20','2020-11-08 20:04:19',null);
INSERT INTO complaint_statuses VALUES('7361','2164','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-07 21:54:59','2020-11-08 02:42:04',null);
INSERT INTO complaint_statuses VALUES('7362','2147','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-07 21:55:23','2020-11-08 02:46:13',null);
INSERT INTO complaint_statuses VALUES('7363','2129','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-07 21:55:50','2020-11-08 02:51:52',null);
INSERT INTO complaint_statuses VALUES('7364','2121','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-07 21:56:20','2020-11-08 02:50:10',null);
INSERT INTO complaint_statuses VALUES('7365','2114','5','15',null,null,'CUSTOMER ABI TAQ W/M S/C LA K NA AAY AJ COMPLAINT CUSTOMER NA KHUD SA CLOSED KARWA DIA','81','74','2020-11-07 21:56:47','2020-11-09 22:28:31',null);
INSERT INTO complaint_statuses VALUES('7366','2109','5','15',null,null,'COMPLIANT RESOLVED','81','74','2020-11-07 21:59:52','2020-11-09 22:26:05',null);
INSERT INTO complaint_statuses VALUES('7367','2108','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-07 22:00:30','2020-11-08 02:55:43',null);
INSERT INTO complaint_statuses VALUES('7368','2080','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-07 22:00:46','2020-11-08 02:57:06',null);
INSERT INTO complaint_statuses VALUES('7369','2074','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-07 22:01:06','2020-11-08 20:05:51',null);
INSERT INTO complaint_statuses VALUES('7370','2060','5','15',null,null,'CLOSED COMPLAINT','81','74','2020-11-07 22:04:05','2020-11-09 22:29:59',null);
INSERT INTO complaint_statuses VALUES('7371','2221','3',null,'52',null,'07-NOV-2020
COM NO PK2020011010','92','92','2020-11-07 22:04:49','2020-11-07 22:04:49',null);
INSERT INTO complaint_statuses VALUES('7372','2009','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-07 22:05:41','2020-11-08 19:30:57',null);
INSERT INTO complaint_statuses VALUES('7373','2001','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-07 22:06:12','2020-11-08 19:35:32',null);
INSERT INTO complaint_statuses VALUES('7374','1936','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-07 22:06:34','2020-11-09 19:10:18',null);
INSERT INTO complaint_statuses VALUES('7375','1878','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-07 22:06:53','2020-11-08 20:01:11',null);
INSERT INTO complaint_statuses VALUES('7376','1811','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-07 22:13:02','2020-11-09 19:15:37',null);
INSERT INTO complaint_statuses VALUES('7377','1792','8','23','56','JAB ASLAM SAB COLLECT KAR LEN TAB CLOSE KAREN',null,'81','81','2020-11-07 22:13:52','2020-11-07 22:13:52',null);
INSERT INTO complaint_statuses VALUES('7378','1713','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-07 22:14:17','2020-11-08 19:53:12',null);
INSERT INTO complaint_statuses VALUES('7379','1138','5','15',null,null,'COMPLAINT RESOLVED KHURRAM SIR & LG SA CONFIRM KAR K COMPLAINT CLOSED KI','81','74','2020-11-07 22:14:52','2020-11-11 02:59:35',null);
INSERT INTO complaint_statuses VALUES('7380','1002','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-07 22:15:10','2020-11-11 02:41:37',null);
INSERT INTO complaint_statuses VALUES('7381','2154','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-07 22:15:37','2020-11-08 02:44:47',null);
INSERT INTO complaint_statuses VALUES('7382','1903','5','15',null,null,'CUSTOMER SIDE SA COMPLAINT DELAY HAIN CALL B ATTEND NI KAR RAHAY COMPLAINT CLOSED','81','74','2020-11-07 22:16:30','2020-11-11 03:07:08',null);
INSERT INTO complaint_statuses VALUES('7383','2171','8','23','62',null,null,'81','81','2020-11-07 22:16:51','2020-11-07 22:16:51',null);
INSERT INTO complaint_statuses VALUES('7384','2025','8','23','58','PLEASE SEND ME MODAL PIC OR MODAL NAMBER',null,'81','81','2020-11-07 22:21:59','2020-11-07 22:21:59',null);
INSERT INTO complaint_statuses VALUES('7385','2222','2',null,'81',null,'07-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-07 22:22:18','2020-11-07 22:22:18',null);
INSERT INTO complaint_statuses VALUES('7386','1336','8','23','55','PLEASE COMPLETE THIS JOB QUICKLY',null,'81','81','2020-11-07 22:28:23','2020-11-07 22:28:23',null);
INSERT INTO complaint_statuses VALUES('7387','1095','8','23','55','PLEASE COMPLETE THIS JOB QUIKLY',null,'81','81','2020-11-07 22:29:15','2020-11-07 22:29:15',null);
INSERT INTO complaint_statuses VALUES('7388','2200','8','23','61',null,null,'81','81','2020-11-07 22:30:25','2020-11-07 22:30:25',null);
INSERT INTO complaint_statuses VALUES('7389','2149','8','23','62',null,null,'81','81','2020-11-07 22:30:56','2020-11-07 22:30:56',null);
INSERT INTO complaint_statuses VALUES('7390','2110','8','23','55','I-10 SY LAY LEN HETAR',null,'81','81','2020-11-07 22:31:45','2020-11-07 22:31:45',null);
INSERT INTO complaint_statuses VALUES('7391','2099','8','23','55',null,null,'81','81','2020-11-07 22:32:11','2020-11-07 22:32:11',null);
INSERT INTO complaint_statuses VALUES('7392','1930','8','23','60','PLEASE COMPLETE THIS JOB QUIKLY',null,'81','81','2020-11-07 22:33:27','2020-11-07 22:33:27',null);
INSERT INTO complaint_statuses VALUES('7393','1117','8','23','55','PLEASE COMPLETE THIS JOB QUICKLY',null,'81','81','2020-11-07 22:34:22','2020-11-07 22:34:22',null);
INSERT INTO complaint_statuses VALUES('7394','2211','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-07 22:39:34','2020-11-07 22:39:45',null);
INSERT INTO complaint_statuses VALUES('7395','2222','4',null,'63',null,'COMPLAINT RESOLVED','81','74','2020-11-07 23:02:50','2020-11-18 22:42:19',null);
INSERT INTO complaint_statuses VALUES('7396','2220','4',null,'55',null,null,'81','81','2020-11-07 23:03:00','2020-11-07 23:03:00',null);
INSERT INTO complaint_statuses VALUES('7397','2214','4',null,'60',null,'COMPLAINT FF TO KHURRAM FIVE STAR','81','92','2020-11-07 23:03:18','2020-11-07 23:20:03',null);
INSERT INTO complaint_statuses VALUES('7398','2213','4',null,'60',null,null,'81','81','2020-11-07 23:03:32','2020-11-07 23:03:32',null);
INSERT INTO complaint_statuses VALUES('7399','2223','2',null,'81',null,'07-NOV-2020
COM FF TO SHAMMIM AKHTAR','92','92','2020-11-07 23:14:27','2020-11-07 23:14:27',null);
INSERT INTO complaint_statuses VALUES('7400','2214','7','9','81','Khuram bhai ko farwerd kry',null,'82','82','2020-11-07 23:19:55','2020-11-07 23:19:55',null);
INSERT INTO complaint_statuses VALUES('7401','2127','7','9','81','Hob ki complain khuram karta hy',null,'82','82','2020-11-07 23:22:23','2020-11-07 23:22:23',null);
INSERT INTO complaint_statuses VALUES('7402','2113','7','12','81','Unko compleet electric oven ki zarorat hy .fan chla ky dikha dia hy.oven main koi.issue nhi .
Is model.main fan sirf gril py chalta hy',null,'82','82','2020-11-07 23:23:50','2020-11-07 23:23:50',null);
INSERT INTO complaint_statuses VALUES('7403','2119','7','24','81','Oven theek kar dia hy fuse ka issue tha custmer aaky ly jay gy',null,'82','82','2020-11-07 23:24:30','2020-11-07 23:24:30',null);
INSERT INTO complaint_statuses VALUES('7404','2083','7','24','81','Light chenj honi hy lock toty hy',null,'82','82','2020-11-07 23:25:08','2020-11-07 23:25:08',null);
INSERT INTO complaint_statuses VALUES('7405','2149','7','12','81','ISSUE RSOLVED ,',null,'87','87','2020-11-07 23:25:39','2020-11-07 23:25:39',null);
INSERT INTO complaint_statuses VALUES('7406','2224','2',null,'81',null,'07-NOV-2020
COM FF TO KHALID SONY','92','92','2020-11-07 23:30:51','2020-11-07 23:30:51',null);
INSERT INTO complaint_statuses VALUES('7407','2225','2',null,'81',null,'07-NOV-2020
COM FF TO SHAMMIM AKHTAR','92','92','2020-11-07 23:56:04','2020-11-07 23:56:04',null);
INSERT INTO complaint_statuses VALUES('7408','2073','7','12','81','We visited. Unit is ok. The device which they want to connect not support.  No issue in unit.',null,'77','77','2020-11-08 00:11:03','2020-11-08 00:11:03',null);
INSERT INTO complaint_statuses VALUES('7409','2226','2',null,'81',null,'07-NOV-2020
COM FF TO SHAMMIM AKHTAR','92','92','2020-11-08 00:33:48','2020-11-08 00:33:48',null);
INSERT INTO complaint_statuses VALUES('7410','2227','3',null,'54',null,'07-NOV-2020
COM NO 1765297','92','92','2020-11-08 01:40:29','2020-11-08 01:42:58',null);
INSERT INTO complaint_statuses VALUES('7411','2228','2',null,'81',null,'07-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-08 01:54:05','2020-11-08 01:54:05',null);
INSERT INTO complaint_statuses VALUES('7412','2229','2',null,'81',null,'07-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-08 02:02:19','2020-11-08 02:02:19',null);
INSERT INTO complaint_statuses VALUES('7413','2230','3',null,'54',null,'07-NOV-2020
COM NO 1765325','92','92','2020-11-08 02:14:31','2020-11-08 02:17:15',null);
INSERT INTO complaint_statuses VALUES('7414','2231','2',null,'81',null,'07-NOV-2020
COM FF TO TAHIR RAMZAN','92','92','2020-11-08 02:31:59','2020-11-08 02:31:59',null);
INSERT INTO complaint_statuses VALUES('7415','2192','7','12','81','only filter clean',null,'79','79','2020-11-08 03:15:18','2020-11-08 03:15:18',null);
INSERT INTO complaint_statuses VALUES('7416','2203','7','12','81','no visit customer cancelled the complaint',null,'79','79','2020-11-08 03:16:47','2020-11-08 03:16:47',null);
INSERT INTO complaint_statuses VALUES('7417','2210','7','12','81','grill ki smell thi .or ye oven dawlance ka tha',null,'79','79','2020-11-08 03:18:20','2020-11-08 03:18:20',null);
INSERT INTO complaint_statuses VALUES('7418','2013','7','12','81','Power supply replaced 
RS 9000/- exp 
unit at customer home  plz close the job',null,'83','83','2020-11-08 04:07:04','2020-11-08 04:07:04',null);
INSERT INTO complaint_statuses VALUES('7419','2200','7','12','81','Back light repalced   tuner repair  
rs 3500 exp    unit at customer home  plz close the job',null,'83','83','2020-11-08 04:09:15','2020-11-08 04:09:15',null);
INSERT INTO complaint_statuses VALUES('7420','2085','7','12','81','Back light repalced tuner repair rs 3500 exp unit at customer home plz close the job',null,'83','83','2020-11-08 04:10:14','2020-11-08 04:10:14',null);
INSERT INTO complaint_statuses VALUES('7421','1785','7','12','81','plz complete job',null,'83','83','2020-11-08 04:11:12','2020-11-08 04:11:12',null);
INSERT INTO complaint_statuses VALUES('7422','1710','7','12','81','MRM Warranty job   unit deliver back to customer after repair',null,'83','83','2020-11-08 04:12:18','2020-11-08 04:12:18',null);
INSERT INTO complaint_statuses VALUES('7423','2232','3',null,'57',null,'08-NOV-2020
COM NO 014302','92','92','2020-11-08 19:20:31','2020-11-08 19:25:03',null);
INSERT INTO complaint_statuses VALUES('7424','2111','7','12','81','setting kr di hai.complaint resolved',null,'79','79','2020-11-08 19:29:34','2020-11-08 19:29:34',null);
INSERT INTO complaint_statuses VALUES('7425','2153','7','12','81','shipping bolt open nahi thy call pe guid kr dya hai .','COMPLAINT RESOLVED','79','92','2020-11-08 19:34:57','2020-11-08 23:03:07',null);
INSERT INTO complaint_statuses VALUES('7426','2233','3',null,'73',null,'08-NOV-2020
COM NO 2345','92','92','2020-11-08 20:24:20','2020-11-09 21:16:36',null);
INSERT INTO complaint_statuses VALUES('7427','2234','2',null,'81',null,'08-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-08 20:35:56','2020-11-08 20:35:56',null);
INSERT INTO complaint_statuses VALUES('7428','2235','3',null,'53',null,'08-NOV-2020
COM NO 1066220','92','92','2020-11-08 20:47:21','2020-11-08 20:50:08',null);
INSERT INTO complaint_statuses VALUES('7429','2236','2',null,'81',null,'08-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-08 21:00:31','2020-11-08 21:00:31',null);
INSERT INTO complaint_statuses VALUES('7430','776','5',null,null,'COMPLAIN RESOLVED',null,'73','73','2020-11-08 21:11:20','2020-11-08 21:11:20',null);
INSERT INTO complaint_statuses VALUES('7431','2187','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-08 21:17:33','2020-11-08 21:17:44',null);
INSERT INTO complaint_statuses VALUES('7432','1349','5',null,null,'CLOSED','DEMO REQUIRED THA JUST NOT COMPLAINT','73','74','2020-11-08 21:19:13','2020-11-11 02:53:07',null);
INSERT INTO complaint_statuses VALUES('7433','1388','5',null,null,'RESOLVED',null,'73','73','2020-11-08 21:20:21','2020-11-08 21:20:21',null);
INSERT INTO complaint_statuses VALUES('7434','2237','2',null,'81',null,'08-NOV-2020
COM FF TO NADEEM AZHAR','92','92','2020-11-08 21:22:46','2020-11-08 21:22:46',null);
INSERT INTO complaint_statuses VALUES('7435','1553','5',null,null,'RESOLVED',null,'73','73','2020-11-08 21:28:51','2020-11-08 21:28:51',null);
INSERT INTO complaint_statuses VALUES('7436','2238','2',null,'81',null,'08-NOV-2020
COM FF TO SHAMIM AKHTER','92','92','2020-11-08 21:30:32','2020-11-08 21:30:32',null);
INSERT INTO complaint_statuses VALUES('7437','2238','4',null,'55',null,'CUSTOME SA BT HO G EI HAIN REF LG LIFT HO GA','81','74','2020-11-08 21:44:03','2020-11-10 00:05:01',null);
INSERT INTO complaint_statuses VALUES('7438','2237','4',null,'61',null,null,'81','81','2020-11-08 21:44:24','2020-11-08 21:44:24',null);
INSERT INTO complaint_statuses VALUES('7439','2236','4',null,'58',null,null,'81','81','2020-11-08 21:44:36','2020-11-08 21:44:36',null);
INSERT INTO complaint_statuses VALUES('7440','2234','4',null,'58',null,null,'81','81','2020-11-08 21:44:50','2020-11-08 21:44:50',null);
INSERT INTO complaint_statuses VALUES('7441','2231','4',null,'60',null,null,'81','81','2020-11-08 21:45:02','2020-11-08 21:45:02',null);
INSERT INTO complaint_statuses VALUES('7442','2229','4',null,'58',null,null,'81','81','2020-11-08 21:45:11','2020-11-08 21:45:11',null);
INSERT INTO complaint_statuses VALUES('7443','2228','4',null,'58',null,null,'81','81','2020-11-08 21:45:19','2020-11-08 21:45:19',null);
INSERT INTO complaint_statuses VALUES('7444','2226','4',null,'55',null,null,'81','81','2020-11-08 21:45:27','2020-11-08 21:45:27',null);
INSERT INTO complaint_statuses VALUES('7445','2225','4',null,'55',null,'VISIT  TO  DAY','81','74','2020-11-08 21:45:36','2020-11-09 21:35:41',null);
INSERT INTO complaint_statuses VALUES('7446','2224','4',null,'56',null,null,'81','81','2020-11-08 21:45:50','2020-11-08 21:45:50',null);
INSERT INTO complaint_statuses VALUES('7447','2223','4',null,'55',null,null,'81','81','2020-11-08 21:45:58','2020-11-08 21:45:58',null);
INSERT INTO complaint_statuses VALUES('7448','2200','8','13','61','assigning back. .','UNIT READY HO GAYA HAIN ASLAM 




SIR & ANEEQ KO 



INFORMED KAR DIA

5000 KA EXP','81','74','2020-11-08 21:46:32','2020-11-14 22:57:20',null);
INSERT INTO complaint_statuses VALUES('7449','2221','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-08 21:48:49','2020-11-08 21:48:59',null);
INSERT INTO complaint_statuses VALUES('7450','1692','5',null,null,'RESOLVED',null,'73','73','2020-11-08 21:51:50','2020-11-08 21:51:50',null);
INSERT INTO complaint_statuses VALUES('7451','1708','5',null,null,'UNIT REPLACED BY FCI','HAFEEZ SAB PARTS  SATURDAY KO DISPATCH KARWA DIA HAIN  BILAL SAB KO B INFORME D KAR DIA','73','74','2020-11-08 21:56:23','2020-11-09 20:57:49',null);
INSERT INTO complaint_statuses VALUES('7452','2148','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-08 21:56:40','2020-11-08 21:56:49',null);
INSERT INTO complaint_statuses VALUES('7453','2205','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2020-11-08 21:59:06','2020-11-08 21:59:17',null);
INSERT INTO complaint_statuses VALUES('7454','1714','5',null,null,'COMPLETED',null,'73','73','2020-11-08 21:59:20','2020-11-08 21:59:20',null);
INSERT INTO complaint_statuses VALUES('7455','1715','5',null,null,'COMPLETED',null,'73','73','2020-11-08 22:01:08','2020-11-08 22:01:08',null);
INSERT INTO complaint_statuses VALUES('7456','2202','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 22:04:37','2020-11-08 22:04:37',null);
INSERT INTO complaint_statuses VALUES('7457','1798','5',null,null,'COMPLETED',null,'73','73','2020-11-08 22:07:09','2020-11-08 22:07:09',null);
INSERT INTO complaint_statuses VALUES('7458','2198','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 22:07:45','2020-11-08 22:07:45',null);
INSERT INTO complaint_statuses VALUES('7459','2196','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 22:12:23','2020-11-08 22:12:23',null);
INSERT INTO complaint_statuses VALUES('7460','1836','5',null,null,'COMPLETED',null,'73','73','2020-11-08 22:12:47','2020-11-08 22:12:47',null);
INSERT INTO complaint_statuses VALUES('7461','2190','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 22:17:58','2020-11-08 22:17:58',null);
INSERT INTO complaint_statuses VALUES('7462','1873','5',null,null,'COMPLETED',null,'73','73','2020-11-08 22:21:05','2020-11-08 22:21:05',null);
INSERT INTO complaint_statuses VALUES('7463','2186','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 22:21:21','2020-11-08 22:21:21',null);
INSERT INTO complaint_statuses VALUES('7464','1875','5',null,null,'COMPLETED',null,'73','73','2020-11-08 22:23:09','2020-11-08 22:23:09',null);
INSERT INTO complaint_statuses VALUES('7465','2185','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 22:23:18','2020-11-08 22:23:18',null);
INSERT INTO complaint_statuses VALUES('7466','2189','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 22:24:13','2020-11-08 22:24:13',null);
INSERT INTO complaint_statuses VALUES('7467','1887','5',null,null,'COMPLETED',null,'73','73','2020-11-08 22:26:04','2020-11-08 22:26:04',null);
INSERT INTO complaint_statuses VALUES('7468','2182','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 22:27:29','2020-11-08 22:27:29',null);
INSERT INTO complaint_statuses VALUES('7469','1904','5',null,null,'COMPLETED',null,'73','73','2020-11-08 22:28:18','2020-11-08 22:28:18',null);
INSERT INTO complaint_statuses VALUES('7470','2239','2',null,'81',null,'08-NOV-2020
COM FF TO NADEEM AZHAR','92','92','2020-11-08 22:38:59','2020-11-08 22:38:59',null);
INSERT INTO complaint_statuses VALUES('7471','1926','5',null,null,'COMPLETED',null,'73','73','2020-11-08 22:39:59','2020-11-08 22:39:59',null);
INSERT INTO complaint_statuses VALUES('7472','2180','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 22:44:30','2020-11-08 22:44:30',null);
INSERT INTO complaint_statuses VALUES('7473','2175','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 22:49:55','2020-11-08 22:49:55',null);
INSERT INTO complaint_statuses VALUES('7474','1927','5',null,null,'COMPLETED',null,'73','73','2020-11-08 22:53:35','2020-11-08 22:53:35',null);
INSERT INTO complaint_statuses VALUES('7475','1929','5',null,null,'COMPLETED',null,'73','73','2020-11-08 22:55:29','2020-11-08 22:55:29',null);
INSERT INTO complaint_statuses VALUES('7476','2162','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 22:58:25','2020-11-08 22:58:25',null);
INSERT INTO complaint_statuses VALUES('7477','2158','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 23:00:13','2020-11-08 23:00:13',null);
INSERT INTO complaint_statuses VALUES('7478','2156','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 23:01:58','2020-11-08 23:01:58',null);
INSERT INTO complaint_statuses VALUES('7479','1963','5',null,null,'COMPLETED',null,'73','73','2020-11-08 23:02:44','2020-11-08 23:02:44',null);
INSERT INTO complaint_statuses VALUES('7480','2144','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 23:08:26','2020-11-08 23:08:26',null);
INSERT INTO complaint_statuses VALUES('7481','2022','5',null,null,'COMPLETED',null,'73','73','2020-11-08 23:11:35','2020-11-08 23:11:35',null);
INSERT INTO complaint_statuses VALUES('7482','2122','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 23:19:42','2020-11-08 23:19:42',null);
INSERT INTO complaint_statuses VALUES('7483','2117','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 23:23:53','2020-11-08 23:23:53',null);
INSERT INTO complaint_statuses VALUES('7484','2106','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 23:34:09','2020-11-08 23:34:09',null);
INSERT INTO complaint_statuses VALUES('7485','2093','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 23:37:11','2020-11-08 23:37:11',null);
INSERT INTO complaint_statuses VALUES('7486','2077','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 23:47:40','2020-11-08 23:47:40',null);
INSERT INTO complaint_statuses VALUES('7487','2070','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-08 23:58:55','2020-11-08 23:58:55',null);
INSERT INTO complaint_statuses VALUES('7488','2019','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-09 00:14:44','2020-11-09 00:14:44',null);
INSERT INTO complaint_statuses VALUES('7489','2020','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-09 00:15:45','2020-11-09 00:15:45',null);
INSERT INTO complaint_statuses VALUES('7490','2240','3',null,'52',null,'08-NOV-2020
COM NO PKRI 201108106625','92','92','2020-11-09 00:28:24','2020-11-09 00:28:24',null);
INSERT INTO complaint_statuses VALUES('7491','2241','2',null,'81',null,'08-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-09 00:36:14','2020-11-09 00:36:14',null);
INSERT INTO complaint_statuses VALUES('7492','2242','3',null,'81',null,'08-NOV-2020
COM NO 4011','92','92','2020-11-09 00:50:35','2020-11-09 21:11:28',null);
INSERT INTO complaint_statuses VALUES('7493','2244','3',null,'53',null,'08-NOV-2020
COM NO 1066309','92','92','2020-11-09 01:04:22','2020-11-09 01:04:22',null);
INSERT INTO complaint_statuses VALUES('7494','2243','3',null,'53',null,'08-NOV-2020
COM NO 1066309','92','92','2020-11-09 01:04:22','2020-11-09 01:04:22',null);
INSERT INTO complaint_statuses VALUES('7495','2245','3',null,'53',null,'08-NOV-2020
COM NO 1066309','92','92','2020-11-09 01:04:22','2020-11-09 01:04:22',null);
INSERT INTO complaint_statuses VALUES('7496','2246','3',null,'53',null,'08-NOV-2020
COM NO 1066309','92','92','2020-11-09 01:04:22','2020-11-09 01:04:22',null);
INSERT INTO complaint_statuses VALUES('7497','2247','3',null,'53',null,'08-NOV-2020
COM NO 1066309','92','92','2020-11-09 01:04:22','2020-11-09 01:04:22',null);
INSERT INTO complaint_statuses VALUES('7498','2248','3',null,'53',null,'08-NOV-2020
COM NO 1066309','92','92','2020-11-09 01:04:23','2020-11-09 01:04:23',null);
INSERT INTO complaint_statuses VALUES('7499','2249','3',null,'53',null,'08-NOV-2020
COM NO 1066309','92','92','2020-11-09 01:04:23','2020-11-24 02:28:57',null);
INSERT INTO complaint_statuses VALUES('7500','2133','7','12','81','igntion issue or yrh hob new liya hai or invice purani hai',null,'79','79','2020-11-09 01:40:41','2020-11-09 01:40:41',null);
INSERT INTO complaint_statuses VALUES('7501','2241','4',null,'58',null,null,'81','81','2020-11-09 19:44:57','2020-11-09 19:44:57',null);
INSERT INTO complaint_statuses VALUES('7502','1710','5','15',null,'COMPLETED COMPLAINT','COMPLAIN RESOLVED','81','74','2020-11-09 19:55:01','2020-11-09 20:16:45',null);
INSERT INTO complaint_statuses VALUES('7503','1785','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-09 19:56:39','2020-11-09 22:35:54',null);
INSERT INTO complaint_statuses VALUES('7504','2013','5','15',null,'COMPLETED COMPLAINT','COMPLIANT RESOLVED','81','74','2020-11-09 19:59:21','2020-11-09 20:14:00',null);
INSERT INTO complaint_statuses VALUES('7505','2250','2',null,'81',null,'09-NOV-2020
FF TO B.COOL','92','74','2020-11-09 20:11:02','2020-11-10 19:55:39',null);
INSERT INTO complaint_statuses VALUES('7506','2085','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-09 20:25:32','2020-11-09 20:26:03',null);
INSERT INTO complaint_statuses VALUES('7507','2173','7','24','81','MOTOR  KI NOISE HAI.10 LY KR AYR GAIN',null,'79','79','2020-11-09 20:53:02','2020-11-09 20:53:02',null);
INSERT INTO complaint_statuses VALUES('7508','2248','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-09 20:56:02','2020-11-09 20:56:02',null);
INSERT INTO complaint_statuses VALUES('7509','2247','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-09 20:57:14','2020-11-09 20:57:14',null);
INSERT INTO complaint_statuses VALUES('7510','2246','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-09 20:58:32','2020-11-09 20:58:32',null);
INSERT INTO complaint_statuses VALUES('7511','2243','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-09 21:01:24','2020-11-09 21:01:24',null);
INSERT INTO complaint_statuses VALUES('7512','2245','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-09 21:02:24','2020-11-09 21:02:24',null);
INSERT INTO complaint_statuses VALUES('7513','2244','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-09 21:03:37','2020-11-09 21:03:37',null);
INSERT INTO complaint_statuses VALUES('7514','2111','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-09 21:07:33','2020-11-09 21:09:58',null);
INSERT INTO complaint_statuses VALUES('7515','2251','3',null,'62',null,'09-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-09 21:18:20','2020-11-09 21:18:20',null);
INSERT INTO complaint_statuses VALUES('7516','2042','5',null,null,'COMPLAINT CLOSED','RIZWAN TESLA NA COMPLAINT ATTEND KARWAI','74','74','2020-11-09 21:47:57','2020-11-27 02:39:19',null);
INSERT INTO complaint_statuses VALUES('7517','2252','3',null,'54',null,'09-NOV-2020
COM NO 1766036
HASSAN ABDAL WALY YHA COMPLAINT ATTEND KARAY GAY','92','74','2020-11-09 21:49:29','2020-11-10 21:23:08',null);
INSERT INTO complaint_statuses VALUES('7518','2253','3',null,'52',null,'09-NOV-2020
COMPLAINT#PKRI-201109107148','74','74','2020-11-09 21:58:04','2020-11-09 22:01:26',null);
INSERT INTO complaint_statuses VALUES('7519','2254','3',null,'66',null,'09-NOV-2020
COM NO PK111220200090','92','92','2020-11-09 22:04:52','2020-11-13 01:23:48',null);
INSERT INTO complaint_statuses VALUES('7520','2255','3',null,'52',null,'09-NOV-2020
COMPLAINT#PKRI-201109107355','74','74','2020-11-09 22:08:49','2020-11-09 22:08:49',null);
INSERT INTO complaint_statuses VALUES('7521','2203','5','15',null,'CUSTOMER NA ABI COMPLAINT CLOSED KARWA DI','COMPLAINT CLOSED','81','74','2020-11-09 22:20:49','2020-11-09 22:22:37',null);
INSERT INTO complaint_statuses VALUES('7522','2210','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-09 22:23:04','2020-11-09 22:24:05',null);
INSERT INTO complaint_statuses VALUES('7523','2192','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-09 22:24:58','2020-11-09 22:26:38',null);
INSERT INTO complaint_statuses VALUES('7524','2256','3',null,'84',null,'09-NOV-2020
FF TO WAQAR KENWOOD 698233','92','92','2020-11-09 22:32:10','2020-11-26 21:02:27',null);
INSERT INTO complaint_statuses VALUES('7525','2153','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-09 22:33:58','2020-11-09 22:34:54',null);
INSERT INTO complaint_statuses VALUES('7526','2257','3',null,'81',null,'09-NOV-2020
COM NO 4014','92','92','2020-11-09 23:12:58','2020-11-09 23:16:12',null);
INSERT INTO complaint_statuses VALUES('7527','2258','3',null,'52',null,'09-NOV-2020
COM NO PKRI-201109109574','92','92','2020-11-09 23:26:53','2020-11-09 23:30:51',null);
INSERT INTO complaint_statuses VALUES('7528','2228','7','12','81','JET ISSUE COMPLAINT RESOLVED',null,'79','79','2020-11-09 23:41:48','2020-11-09 23:41:48',null);
INSERT INTO complaint_statuses VALUES('7529','2229','7','12','81','COMPLAINT RESOLVED JET ISSUE',null,'79','79','2020-11-09 23:42:16','2020-11-09 23:42:16',null);
INSERT INTO complaint_statuses VALUES('7530','1998','7','12','81','CUSTOMER NY FILTER OR SWITCH WAPIS KR DEYE HAI..COMPLAINT CLOSED K DEIN.UNHO NY NEW HOOD LGANA HAI',null,'79','79','2020-11-09 23:43:39','2020-11-09 23:43:39',null);
INSERT INTO complaint_statuses VALUES('7531','2259','2',null,'81',null,'09-NOV-2020
COM FF TO SHAMIM AKHTER','92','92','2020-11-09 23:51:40','2020-11-09 23:51:40',null);
INSERT INTO complaint_statuses VALUES('7532','2069','7','12','81','LEVEL ISSUE COMPLAINT RESOLVED',null,'79','79','2020-11-10 00:01:51','2020-11-10 00:01:51',null);
INSERT INTO complaint_statuses VALUES('7533','2090','7','12','81','CARPENTER KA KAM HONA HAI.PR INSTALL HONA HAI.HOOD CUSTOERMLY GAYE HAI',null,'79','79','2020-11-10 00:08:42','2020-11-10 00:08:42',null);
INSERT INTO complaint_statuses VALUES('7534','2260','3',null,'81',null,'09-NOV-2020
COM NO 4027','92','92','2020-11-10 00:09:41','2020-11-11 21:54:01',null);
INSERT INTO complaint_statuses VALUES('7535','2195','7','12','81','NO SOUND ,NO ISSUE .COMPLAINT RESOLVED',null,'79','79','2020-11-10 00:21:31','2020-11-10 00:21:31',null);
INSERT INTO complaint_statuses VALUES('7536','2261','2',null,'81',null,'09-NOV-2020
FF TO USMAN MRM','74','74','2020-11-10 00:36:58','2020-11-10 00:36:58',null);
INSERT INTO complaint_statuses VALUES('7537','2261','4',null,'61',null,null,'81','81','2020-11-10 00:38:14','2020-11-10 00:38:14',null);
INSERT INTO complaint_statuses VALUES('7538','2259','4',null,'55',null,null,'81','81','2020-11-10 00:38:34','2020-11-10 00:38:34',null);
INSERT INTO complaint_statuses VALUES('7539','2229','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-10 00:39:43','2020-11-10 00:40:27',null);
INSERT INTO complaint_statuses VALUES('7540','2228','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-10 00:41:36','2020-11-10 20:29:42',null);
INSERT INTO complaint_statuses VALUES('7541','2262','3',null,'62',null,'09-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-10 00:49:16','2020-11-10 00:49:16',null);
INSERT INTO complaint_statuses VALUES('7542','2263','2',null,'81',null,'09-NOV-2020
FF TOO AZHAR RAMZAN','92','74','2020-11-10 01:14:10','2020-11-10 01:16:57',null);
INSERT INTO complaint_statuses VALUES('7543','2263','4',null,'60',null,null,'81','81','2020-11-10 01:17:53','2020-11-10 01:17:53',null);
INSERT INTO complaint_statuses VALUES('7544','2195','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-10 01:24:17','2020-11-10 01:30:49',null);
INSERT INTO complaint_statuses VALUES('7545','2149','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-11-10 01:30:10','2020-11-10 20:30:58',null);
INSERT INTO complaint_statuses VALUES('7546','2264','3',null,'53',null,'09-NOV-2020
COM NO 1066490','92','92','2020-11-10 01:44:28','2020-11-10 01:45:29',null);
INSERT INTO complaint_statuses VALUES('7547','2265','3',null,'52',null,'09-NOV-2020
COM NO PKRI-201109113556','92','92','2020-11-10 02:11:18','2020-11-10 02:11:18',null);
INSERT INTO complaint_statuses VALUES('7548','2266','3',null,'53',null,'09-NOV-2020
COM NO 1066513','92','92','2020-11-10 02:35:34','2020-12-05 20:39:09',null);
INSERT INTO complaint_statuses VALUES('7549','2230','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-10 02:40:22','2020-11-10 02:40:22',null);
INSERT INTO complaint_statuses VALUES('7550','2237','7','12','81','Unit ok no any problem found',null,'83','83','2020-11-10 06:16:15','2020-11-10 06:16:15',null);
INSERT INTO complaint_statuses VALUES('7551','2025','7','12','81','burner ki setting ki thi us sy theek working kr rha hai.agr dubra koi issue ho ga tu customer bata dein gain.../
complaint resolved',null,'79','79','2020-11-10 19:25:07','2020-11-10 19:25:07',null);
INSERT INTO complaint_statuses VALUES('7552','2250','4',null,'58',null,null,'81','81','2020-11-10 19:58:12','2020-11-10 19:58:12',null);
INSERT INTO complaint_statuses VALUES('7553','2237','5','15',null,'COMPLETED COMPLAINT','COMPLIANT RESOLVED','81','74','2020-11-10 20:00:05','2020-11-10 20:01:07',null);
INSERT INTO complaint_statuses VALUES('7554','2268','3',null,'52',null,'10-NOV-2020
COM NO PKRI 201110106853','92','92','2020-11-10 20:00:38','2020-11-10 22:01:53',null);
INSERT INTO complaint_statuses VALUES('7555','2133','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-10 20:05:38','2020-11-11 22:14:28',null);
INSERT INTO complaint_statuses VALUES('7556','2269','2',null,'81',null,'10-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-10 20:11:23','2020-11-10 20:11:23',null);
INSERT INTO complaint_statuses VALUES('7557','2270','2',null,'81',null,'10-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-10 20:14:08','2020-11-10 20:14:08',null);
INSERT INTO complaint_statuses VALUES('7558','2127','5','15',null,'OK  COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2020-11-10 20:14:41','2020-11-10 21:32:42',null);
INSERT INTO complaint_statuses VALUES('7559','2270','4',null,'63',null,null,'81','81','2020-11-10 20:16:15','2020-11-10 20:16:15',null);
INSERT INTO complaint_statuses VALUES('7560','2269','4',null,'58',null,null,'81','81','2020-11-10 20:17:41','2020-11-10 20:17:41',null);
INSERT INTO complaint_statuses VALUES('7561','2113','8','23','60','CUSTOMER KO OVEN USE KARNA NAI AAR HAIN KINDLY SENIOR TECHNICIAN KA VISIT KARWAY',null,'81','81','2020-11-10 20:26:35','2020-11-10 20:26:35',null);
INSERT INTO complaint_statuses VALUES('7562','2271','2',null,'81',null,'10-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-10 20:26:39','2020-11-10 20:26:39',null);
INSERT INTO complaint_statuses VALUES('7563','1998','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-11-10 20:28:00','2020-11-10 20:29:09',null);
INSERT INTO complaint_statuses VALUES('7564','2025','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-11-10 20:37:03','2020-11-10 21:51:42',null);
INSERT INTO complaint_statuses VALUES('7565','2069','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-10 20:38:18','2020-11-10 20:46:11',null);
INSERT INTO complaint_statuses VALUES('7566','2272','2',null,'81',null,'10-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-10 20:43:11','2020-11-10 20:43:11',null);
INSERT INTO complaint_statuses VALUES('7567','2273','2',null,'81',null,'10-NOV-2020
FF TO AZHAR RAMZAN','74','74','2020-11-10 20:43:32','2020-11-10 20:43:32',null);
INSERT INTO complaint_statuses VALUES('7568','2128','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-10 20:44:11','2020-11-10 20:44:11',null);
INSERT INTO complaint_statuses VALUES('7569','2273','4',null,'60',null,null,'81','81','2020-11-10 20:46:57','2020-11-10 20:46:57',null);
INSERT INTO complaint_statuses VALUES('7570','2272','4',null,'58',null,null,'81','81','2020-11-10 20:48:22','2020-11-10 20:48:22',null);
INSERT INTO complaint_statuses VALUES('7571','1353','7','26','81',null,null,'82','82','2020-11-10 20:55:12','2020-11-10 20:55:12',null);
INSERT INTO complaint_statuses VALUES('7572','2227','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-10 20:59:57','2020-11-10 20:59:57',null);
INSERT INTO complaint_statuses VALUES('7573','2073','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-10 21:02:32','2020-11-23 20:24:57',null);
INSERT INTO complaint_statuses VALUES('7574','2090','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-10 21:03:21','2020-11-11 22:15:23',null);
INSERT INTO complaint_statuses VALUES('7575','2173','8','23','58',null,null,'81','81','2020-11-10 21:04:01','2020-11-10 21:04:01',null);
INSERT INTO complaint_statuses VALUES('7576','2163','8','23','55','invoice no 84255 . sale fci . dop 12-may-2017 . model 872hlpl-s . comprassor replace kar den',null,'81','81','2020-11-10 21:07:26','2020-11-10 21:07:26',null);
INSERT INTO complaint_statuses VALUES('7577','2119','8','23','60','where is oven customers home ya your service center',null,'81','81','2020-11-10 21:08:22','2020-11-10 21:08:22',null);
INSERT INTO complaint_statuses VALUES('7578','2083','8','23','60','complete this job quickly',null,'81','81','2020-11-10 21:14:04','2020-11-10 21:14:04',null);
INSERT INTO complaint_statuses VALUES('7579','2214','5','25',null,null,'COMPLAINT RESOLVED','81','74','2020-11-10 21:14:55','2020-11-11 22:30:39',null);
INSERT INTO complaint_statuses VALUES('7580','1353','5','25',null,'new complaint no 2273','COMPLAINT CLOSED','81','74','2020-11-10 21:15:55','2020-11-10 21:55:05',null);
INSERT INTO complaint_statuses VALUES('7581','2274','2',null,'81',null,'10-NOV-2020
COM FF TO SHAMIM AKHTER','92','92','2020-11-10 21:23:43','2020-11-10 21:23:43',null);
INSERT INTO complaint_statuses VALUES('7582','2275','2',null,'81',null,'10-NOV-2020
FF TO AZHAR FCI','74','74','2020-11-10 21:29:13','2020-11-10 21:29:13',null);
INSERT INTO complaint_statuses VALUES('7583','2275','4',null,'60',null,null,'81','81','2020-11-10 21:29:49','2020-11-10 21:29:49',null);
INSERT INTO complaint_statuses VALUES('7584','2274','4',null,'55',null,null,'81','81','2020-11-10 21:30:02','2020-11-10 21:30:02',null);
INSERT INTO complaint_statuses VALUES('7585','2271','4',null,'63',null,'KAL ATTEND HO GEI COMPLAINT CUSTOMER KO B INFORMED KAR DIA','81','74','2020-11-10 21:33:30','2020-11-13 23:51:23',null);
INSERT INTO complaint_statuses VALUES('7586','2130','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-10 21:35:13','2020-11-10 21:35:13',null);
INSERT INTO complaint_statuses VALUES('7587','2276','3',null,'59',null,'10-NOV-2020
COM NO','92','92','2020-11-10 21:40:15','2020-11-26 20:47:32',null);
INSERT INTO complaint_statuses VALUES('7588','2140','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-10 21:53:40','2020-11-10 21:53:40',null);
INSERT INTO complaint_statuses VALUES('7589','2277','3',null,'52',null,'10-NOV-2020
COM NO PKRI-201110106965','92','92','2020-11-10 21:56:48','2020-11-10 22:05:06',null);
INSERT INTO complaint_statuses VALUES('7590','2278','2',null,'81',null,'10-NOV-2020
FF TO B.COOL','74','74','2020-11-10 22:06:10','2020-11-10 22:06:10',null);
INSERT INTO complaint_statuses VALUES('7591','2278','4',null,'58',null,'VISIT TO DAY','81','74','2020-11-10 22:06:53','2020-11-12 00:12:36',null);
INSERT INTO complaint_statuses VALUES('7592','2201','7','20','81','Main system board faulty. We have already demanded',null,'77','77','2020-11-10 22:08:33','2020-11-10 22:08:33',null);
INSERT INTO complaint_statuses VALUES('7593','2279','3',null,'55',null,'10-NOV-2020
FF TO QUEETA  BILAL','74','74','2020-11-10 22:17:48','2020-11-10 22:17:48',null);
INSERT INTO complaint_statuses VALUES('7594','2280','3',null,'55',null,'10-NOV-2020
COM NO 693160','92','92','2020-11-10 22:20:27','2020-11-10 22:20:27',null);
INSERT INTO complaint_statuses VALUES('7595','1189','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-10 22:26:10','2020-11-10 22:26:10',null);
INSERT INTO complaint_statuses VALUES('7596','1195','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-10 22:29:06','2020-11-10 22:29:06',null);
INSERT INTO complaint_statuses VALUES('7597','2281','2',null,'81',null,'10-NOV-2020
COM FF TO SHAMIM AKHTER','92','92','2020-11-10 22:32:25','2020-11-10 22:32:25',null);
INSERT INTO complaint_statuses VALUES('7598','2275','7','24','81','Ye plz khuram ko bheja hob hy',null,'82','82','2020-11-10 22:36:52','2020-11-10 22:36:52',null);
INSERT INTO complaint_statuses VALUES('7599','1220','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-10 22:42:12','2020-11-10 22:42:12',null);
INSERT INTO complaint_statuses VALUES('7600','1200','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-10 22:43:04','2020-11-10 22:43:04',null);
INSERT INTO complaint_statuses VALUES('7601','2282','3',null,'66',null,'10-NOV-2020
COM NO PK11102020006','92','92','2020-11-10 22:50:18','2020-11-10 22:57:29',null);
INSERT INTO complaint_statuses VALUES('7602','2206','7','24','81','Kal 11 bajy jana hy',null,'82','82','2020-11-10 23:17:21','2020-11-10 23:17:21',null);
INSERT INTO complaint_statuses VALUES('7603','2283','3',null,'54',null,'10-NOV-2020
COM NO 1766731','92','92','2020-11-10 23:17:55','2020-11-10 23:20:31',null);
INSERT INTO complaint_statuses VALUES('7604','1378','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-10 23:31:18','2020-11-10 23:31:18',null);
INSERT INTO complaint_statuses VALUES('7605','2284','3',null,'62',null,'10-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-10 23:32:25','2020-11-20 00:51:10',null);
INSERT INTO complaint_statuses VALUES('7606','2285','2',null,'81',null,'10-NOV-2020
FF TO KHALID','74','74','2020-11-10 23:40:42','2020-11-10 23:40:42',null);
INSERT INTO complaint_statuses VALUES('7607','2285','4',null,'56',null,null,'81','81','2020-11-10 23:41:20','2020-11-10 23:41:20',null);
INSERT INTO complaint_statuses VALUES('7608','2281','4',null,'55',null,null,'81','81','2020-11-10 23:41:31','2020-11-10 23:41:31',null);
INSERT INTO complaint_statuses VALUES('7609','2286','3',null,'54',null,'10-NOV-2020
COM NO 1766773','92','92','2020-11-11 00:00:26','2020-11-11 00:03:20',null);
INSERT INTO complaint_statuses VALUES('7610','2135','7','20','81','pcb repair nahi ho rai..jet waly ko bhi di hai.dono card faulty hai',null,'79','79','2020-11-11 00:01:27','2020-11-11 00:01:27',null);
INSERT INTO complaint_statuses VALUES('7611','2170','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','74','2020-11-11 00:04:23','2020-11-28 21:17:34',null);
INSERT INTO complaint_statuses VALUES('7612','1539','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','74','2020-11-11 00:07:04','2020-11-11 22:37:59',null);
INSERT INTO complaint_statuses VALUES('7613','2287','3',null,'52',null,'10-NOV-2020
COM NO PKRI 201110110225','92','92','2020-11-11 00:18:56','2020-11-11 00:18:56',null);
INSERT INTO complaint_statuses VALUES('7614','2136','7','12','81','unit ok. On the way to delevire to customer home.',null,'77','77','2020-11-11 00:28:09','2020-11-11 00:28:09',null);
INSERT INTO complaint_statuses VALUES('7615','2288','2',null,'81',null,'10-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-11 00:31:29','2020-11-11 00:31:29',null);
INSERT INTO complaint_statuses VALUES('7616','2068','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-11 00:32:33','2020-11-11 00:32:33',null);
INSERT INTO complaint_statuses VALUES('7617','1941','7','9','81','still mobile # is off',null,'83','83','2020-11-11 00:34:47','2020-11-11 00:34:47',null);
INSERT INTO complaint_statuses VALUES('7618','2289','3',null,'52',null,'10-NOV-2020
COM NO PKRI-201110110828','92','92','2020-11-11 00:43:00','2020-11-11 00:46:23',null);
INSERT INTO complaint_statuses VALUES('7619','2290','2',null,'81',null,'10-NOV-2020
COM FF TO SHAMIM AKHTER','92','92','2020-11-11 01:13:59','2020-11-11 01:13:59',null);
INSERT INTO complaint_statuses VALUES('7620','2291','3',null,'59',null,'10-NOV-2020
COMPLAINT#4329665337','74','74','2020-11-11 02:05:55','2020-11-11 02:05:55',null);
INSERT INTO complaint_statuses VALUES('7621','2290','4',null,'55',null,null,'81','81','2020-11-11 02:15:05','2020-11-11 02:15:05',null);
INSERT INTO complaint_statuses VALUES('7622','2288','4',null,'58',null,null,'81','81','2020-11-11 02:15:17','2020-11-11 02:15:17',null);
INSERT INTO complaint_statuses VALUES('7623','2275','8','23','60','SIR IN CUSTOMER KI HOOD &HOB DONO KI COMPLAINT HAIN KINDLY AP KITCHEN HOOD PA VISIT ARRANGE KARWAY',null,'81','81','2020-11-11 02:18:12','2020-11-11 02:18:12',null);
INSERT INTO complaint_statuses VALUES('7624','2206','8','23','60','COMPLAINT QUKILEY AS SOON AS POSSIBLE',null,'81','81','2020-11-11 02:19:41','2020-11-11 02:19:41',null);
INSERT INTO complaint_statuses VALUES('7625','2201','8','23','56','COMPLAINT COMPLETED AS SOON AS POSSIBLE',null,'81','81','2020-11-11 02:21:09','2020-11-11 02:21:09',null);
INSERT INTO complaint_statuses VALUES('7626','2292','3',null,'52',null,'10-NOV-2020
COM NO PKRI 201110113215','92','92','2020-11-11 02:33:07','2020-11-11 02:33:07',null);
INSERT INTO complaint_statuses VALUES('7627','2239','4',null,'59',null,null,'81','81','2020-11-11 02:38:48','2020-11-11 02:38:48',null);
INSERT INTO complaint_statuses VALUES('7628','2239','7','26','81',null,null,'80','80','2020-11-11 02:41:39','2020-11-11 02:41:39',null);
INSERT INTO complaint_statuses VALUES('7629','2239','5','15',null,'COMPANY FF KARAY','COMPLAINT CLOSED','81','74','2020-11-11 02:42:52','2020-11-11 02:47:37',null);
INSERT INTO complaint_statuses VALUES('7630','2293','3',null,'59',null,'10-NOV-2020
COMPLAINT#4239667398','74','74','2020-11-11 02:47:07','2020-11-11 02:47:07',null);
INSERT INTO complaint_statuses VALUES('7631','2136','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-11 02:50:23','2020-11-11 02:51:17',null);
INSERT INTO complaint_statuses VALUES('7632','2294','3',null,'62',null,'10-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-11 02:53:45','2020-11-11 02:53:45',null);
INSERT INTO complaint_statuses VALUES('7633','1438','7','22','81','watting part',null,'80','80','2020-11-11 02:58:41','2020-11-11 02:58:41',null);
INSERT INTO complaint_statuses VALUES('7634','2047','7','24','81','ya customer set la kar nahi aa raha ha close kar da power off ha',null,'80','80','2020-11-11 02:59:45','2020-11-11 02:59:45',null);
INSERT INTO complaint_statuses VALUES('7635','2295','3',null,'52',null,'10-NOV-2020
COM NO PKRI201111101803','92','92','2020-11-11 03:06:10','2020-11-11 19:27:30',null);
INSERT INTO complaint_statuses VALUES('7636','2250','7','12','81','customer ny compliant apny techcian sy attend kerw ali hai..complint closed kr dein.no visit',null,'79','79','2020-11-11 04:04:05','2020-11-11 04:04:05',null);
INSERT INTO complaint_statuses VALUES('7637','2236','7','12','81','safety trip thi  complaint reosolved',null,'79','79','2020-11-11 04:22:09','2020-11-11 04:22:09',null);
INSERT INTO complaint_statuses VALUES('7638','2194','7','12','81','complaint reoslved .inlet coil service',null,'79','79','2020-11-11 04:25:14','2020-11-11 04:25:14',null);
INSERT INTO complaint_statuses VALUES('7639','2241','7','12','81','e5 error tha complaint reoslved',null,'79','79','2020-11-11 04:31:26','2020-11-11 04:31:26',null);
INSERT INTO complaint_statuses VALUES('7640','2224','7','12','81','unit ok and collected. Unit at customer home. Friends warranty',null,'77','77','2020-11-11 19:22:37','2020-11-11 19:22:37',null);
INSERT INTO complaint_statuses VALUES('7641','2250','5','15',null,'COMPLETED COMPLANT','COMPLAINT RESOLVED','81','74','2020-11-11 19:39:02','2020-11-11 20:29:29',null);
INSERT INTO complaint_statuses VALUES('7642','2300','3',null,'75',null,'11-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-11 19:43:59','2020-11-18 21:17:20',null);
INSERT INTO complaint_statuses VALUES('7643','2224','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-11 19:50:52','2020-11-11 20:30:02',null);
INSERT INTO complaint_statuses VALUES('7644','2236','8','23','58','ISSUE NOT RESOLVED KINDLY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2020-11-11 19:52:45','2020-11-11 19:52:45',null);
INSERT INTO complaint_statuses VALUES('7645','2194','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-11 19:53:51','2020-11-11 22:11:33',null);
INSERT INTO complaint_statuses VALUES('7646','2047','8','23','59','CUSTOMER KA NO ON HAIN AP K S/C K NO B DA DIA HAIN KINDLY CUSTOMER SA CONTACT KAR K ADD CONFIRM KARAY',null,'81','81','2020-11-11 19:57:38','2020-11-11 19:57:38',null);
INSERT INTO complaint_statuses VALUES('7647','2301','3',null,'66',null,'11-NOV-2020
COM NO PK11112020200028
AHMED SAB NA ATTEND KI COMPLAINT','92','74','2020-11-11 20:09:40','2020-11-18 20:33:59',null);
INSERT INTO complaint_statuses VALUES('7648','1438','8','23','59','OK THIS JOB COMPLETED QUKILE','OLD MODEL HAIN PART DEMAND KIYA HOA HAIN','81','74','2020-11-11 20:20:33','2020-11-28 20:59:16',null);
INSERT INTO complaint_statuses VALUES('7649','2302','2',null,'81',null,'11-NOV-2020
COM FF TO AZHAR SAB','92','92','2020-11-11 20:39:32','2020-11-11 20:39:32',null);
INSERT INTO complaint_statuses VALUES('7650','1870','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-11 20:54:14','2020-11-11 20:54:14',null);
INSERT INTO complaint_statuses VALUES('7651','1500','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-11 20:59:45','2020-11-11 20:59:45',null);
INSERT INTO complaint_statuses VALUES('7652','1724','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-11 21:11:34','2020-11-11 21:11:34',null);
INSERT INTO complaint_statuses VALUES('7653','2303','3',null,'54',null,'11-NOV-2020
COMPLAINT#1767175','74','74','2020-11-11 21:26:18','2020-11-11 21:44:08',null);
INSERT INTO complaint_statuses VALUES('7654','2264','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-11 21:26:54','2020-11-11 21:26:54',null);
INSERT INTO complaint_statuses VALUES('7655','2302','4',null,'60',null,null,'81','81','2020-11-11 21:31:48','2020-11-11 21:31:48',null);
INSERT INTO complaint_statuses VALUES('7656','2298','3',null,'54',null,null,'74','74','2020-11-11 21:35:10','2020-11-11 21:35:10',null);
INSERT INTO complaint_statuses VALUES('7657','2297','3',null,'54',null,null,'74','74','2020-11-11 21:37:56','2020-11-11 21:37:56',null);
INSERT INTO complaint_statuses VALUES('7658','2267','3',null,'54',null,null,'74','74','2020-11-11 21:39:03','2020-11-11 21:39:03',null);
INSERT INTO complaint_statuses VALUES('7659','2241','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-11 21:59:21','2020-11-11 22:09:35',null);
INSERT INTO complaint_statuses VALUES('7660','1941','5','25',null,'cancel . azhar ramzan ko forward ho ge','COMPLAINT RESOLVED','81','74','2020-11-11 22:03:05','2020-11-11 22:26:39',null);
INSERT INTO complaint_statuses VALUES('7661','2287','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-11 22:08:06','2020-11-11 22:08:06',null);
INSERT INTO complaint_statuses VALUES('7662','1703','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-11 22:15:24','2020-11-11 22:15:24',null);
INSERT INTO complaint_statuses VALUES('7663','2096','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-11 22:22:23','2020-11-11 22:22:23',null);
INSERT INTO complaint_statuses VALUES('7664','2304','2',null,'81',null,'11-NOV-2020
FF TO AZHAR RAMZAN FCI','74','74','2020-11-11 22:26:26','2020-11-11 22:26:26',null);
INSERT INTO complaint_statuses VALUES('7665','2304','4',null,'60',null,null,'81','81','2020-11-11 22:28:04','2020-11-11 22:28:04',null);
INSERT INTO complaint_statuses VALUES('7666','2157','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-11 22:40:02','2020-11-11 22:40:02',null);
INSERT INTO complaint_statuses VALUES('7667','2305','2',null,'81',null,'11-NOV-2020
FF TO B.COOL','74','74','2020-11-11 22:42:31','2020-11-11 22:42:31',null);
INSERT INTO complaint_statuses VALUES('7668','2305','4',null,'58',null,null,'81','81','2020-11-11 22:44:25','2020-11-11 22:44:25',null);
INSERT INTO complaint_statuses VALUES('7669','2306','3',null,'63',null,'11-NOV-2020
COMPLAINT#4028','74','74','2020-11-11 22:54:20','2020-11-11 22:54:20',null);
INSERT INTO complaint_statuses VALUES('7670','2307','3',null,'66',null,'11-NOV-2020
COM NO PK111220200032
AHMAD TCL','92','74','2020-11-11 23:01:22','2020-11-12 20:58:14',null);
INSERT INTO complaint_statuses VALUES('7671','2072','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-11 23:10:00','2020-11-11 23:10:00',null);
INSERT INTO complaint_statuses VALUES('7672','2308','3',null,'62',null,'11-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-11 23:11:56','2020-11-11 23:11:56',null);
INSERT INTO complaint_statuses VALUES('7673','2006','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-11 23:16:52','2020-11-11 23:16:52',null);
INSERT INTO complaint_statuses VALUES('7674','2309','3',null,'65',null,'11-NOV-2020
COMPLAINT#192018924','74','74','2020-11-11 23:18:06','2020-11-12 00:03:10',null);
INSERT INTO complaint_statuses VALUES('7675','1950','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-11 23:35:39','2020-11-11 23:35:39',null);
INSERT INTO complaint_statuses VALUES('7676','1920','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-11 23:37:53','2020-11-11 23:37:53',null);
INSERT INTO complaint_statuses VALUES('7677','2310','3',null,'52',null,'11-NOV-2020
COMPLAINT# PKRI-201111109051','74','74','2020-11-11 23:38:22','2020-11-11 23:38:22',null);
INSERT INTO complaint_statuses VALUES('7678','1921','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-11 23:39:37','2020-11-11 23:39:37',null);
INSERT INTO complaint_statuses VALUES('7679','1852','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 00:09:26','2020-11-12 00:09:26',null);
INSERT INTO complaint_statuses VALUES('7680','1721','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 00:16:21','2020-11-12 00:16:21',null);
INSERT INTO complaint_statuses VALUES('7681','1712','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 00:17:44','2020-11-12 00:17:44',null);
INSERT INTO complaint_statuses VALUES('7682','2311','2',null,'81',null,'11-NOV-2020
FF TO AZHAR FCI','74','74','2020-11-12 00:18:54','2020-11-12 00:18:54',null);
INSERT INTO complaint_statuses VALUES('7683','2311','4',null,'60',null,null,'81','81','2020-11-12 00:19:26','2020-11-12 00:19:26',null);
INSERT INTO complaint_statuses VALUES('7684','1634','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 00:24:58','2020-11-12 00:24:58',null);
INSERT INTO complaint_statuses VALUES('7685','1601','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 00:27:38','2020-11-12 00:27:38',null);
INSERT INTO complaint_statuses VALUES('7686','2312','2',null,'81',null,'11-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-12 00:28:36','2020-11-12 00:28:36',null);
INSERT INTO complaint_statuses VALUES('7687','2312','4',null,'55',null,null,'81','81','2020-11-12 00:29:02','2020-11-12 00:29:02',null);
INSERT INTO complaint_statuses VALUES('7688','2313','3',null,'52',null,'11-NOV-2020
COMPLAINT#PKRI-20201111110276','74','74','2020-11-12 00:41:08','2020-11-12 00:41:08',null);
INSERT INTO complaint_statuses VALUES('7689','2314','3',null,'52',null,'11-NOV-2020
COMPLAINT#PKRI-201111110906','74','92','2020-11-12 01:10:24','2020-11-14 20:59:37',null);
INSERT INTO complaint_statuses VALUES('7690','2265','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 01:21:02','2020-11-12 01:21:02',null);
INSERT INTO complaint_statuses VALUES('7691','2289','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 01:25:12','2020-11-12 01:25:12',null);
INSERT INTO complaint_statuses VALUES('7692','2176','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 01:32:17','2020-11-12 01:32:17',null);
INSERT INTO complaint_statuses VALUES('7693','2315','2',null,'81',null,'11-NOV-2020
FF TO B.COOL','74','74','2020-11-12 01:35:40','2020-11-12 01:35:40',null);
INSERT INTO complaint_statuses VALUES('7694','2315','4',null,'58',null,'VISIT SHAM TAQ HO  JAY GA','81','74','2020-11-12 01:36:09','2020-11-13 01:28:44',null);
INSERT INTO complaint_statuses VALUES('7695','2269','7','22','81','GEAR BOX ISUE HAI SOUND KR RHA HAI',null,'79','79','2020-11-12 01:40:55','2020-11-12 01:40:55',null);
INSERT INTO complaint_statuses VALUES('7696','1393','7','9','81','Kindly share concern sale person contact #',null,'83','83','2020-11-12 01:41:14','2020-11-12 01:41:14',null);
INSERT INTO complaint_statuses VALUES('7697','2272','7','24','81','VISIT ON SATURDAY',null,'79','79','2020-11-12 01:45:19','2020-11-12 01:45:19',null);
INSERT INTO complaint_statuses VALUES('7698','2288','7','12','81','COMPLAINT RESOLVED .AIR LOCK ISSUE THA',null,'79','79','2020-11-12 01:46:18','2020-11-12 01:46:18',null);
INSERT INTO complaint_statuses VALUES('7699','2278','7','10','81','CALL NOT ATTNED',null,'79','79','2020-11-12 01:46:50','2020-11-12 01:46:50',null);
INSERT INTO complaint_statuses VALUES('7700','2296','3',null,'55',null,null,'74','74','2020-11-12 01:52:25','2020-11-12 01:52:25',null);
INSERT INTO complaint_statuses VALUES('7701','2316','2',null,'81',null,'11-NOV-2020
COM FF TO AZHAR','92','92','2020-11-12 02:14:02','2020-11-12 02:14:02',null);
INSERT INTO complaint_statuses VALUES('7702','2317','3',null,'85',null,'11-NOV-2020
COMPLAINT#1066971','74','74','2020-11-12 02:21:50','2020-11-12 02:21:50',null);
INSERT INTO complaint_statuses VALUES('7703','2299','3',null,'85',null,null,'74','74','2020-11-12 02:31:52','2020-11-12 02:31:52',null);
INSERT INTO complaint_statuses VALUES('7704','2318','3',null,'52',null,'11-NOV-2020
COM NO PKRI201111112874','92','92','2020-11-12 02:34:13','2020-11-12 02:34:13',null);
INSERT INTO complaint_statuses VALUES('7705','1925','7','12','81','visit done  unit ok no any problem found',null,'83','83','2020-11-12 02:36:19','2020-11-12 02:36:19',null);
INSERT INTO complaint_statuses VALUES('7706','2319','2',null,'81',null,'11-NOV-2020
FF TO USMAM MRM','74','74','2020-11-12 02:40:15','2020-11-12 02:40:15',null);
INSERT INTO complaint_statuses VALUES('7707','2319','4',null,'61',null,null,'81','81','2020-11-12 02:40:55','2020-11-12 02:40:55',null);
INSERT INTO complaint_statuses VALUES('7708','2316','4',null,'60',null,'COMPLAINT PA VISIT HO GAYA HAIN FREEZER S/C LIFT KARWANA  HAIN ABDUL REHMAN KO REMINDER DA DIA','81','74','2020-11-12 02:41:17','2020-11-13 23:47:31',null);
INSERT INTO complaint_statuses VALUES('7709','2288','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-12 02:42:31','2020-11-12 02:44:52',null);
INSERT INTO complaint_statuses VALUES('7710','2278','8','23','58','CUSTOMER SA BAT HO GEI HAIN AGAIN CALL KARAY',null,'81','81','2020-11-12 02:43:09','2020-11-12 02:43:09',null);
INSERT INTO complaint_statuses VALUES('7711','2320','3',null,'65',null,'11-NOV-2020
COM NO 192018929','92','92','2020-11-12 02:45:54','2020-11-12 02:50:22',null);
INSERT INTO complaint_statuses VALUES('7712','2217','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 03:03:36','2020-11-12 03:03:36',null);
INSERT INTO complaint_statuses VALUES('7713','2261','7','24','81','Back light defective 
Rs 2000.  Who will pay the bill kindly confirm','SET READY HO GA HAIN CUSTOMER KO INFORMED KAR DIA HINA SATURDAY KO [PICK KARAY GAY','83','74','2020-11-12 03:38:39','2020-11-13 02:08:25',null);
INSERT INTO complaint_statuses VALUES('7714','2204','7','12','81','Filter Service',null,'76','76','2020-11-12 19:00:18','2020-11-12 19:00:18',null);
INSERT INTO complaint_statuses VALUES('7715','2188','7','12','81','Filter Service',null,'76','76','2020-11-12 19:06:11','2020-11-12 19:06:11',null);
INSERT INTO complaint_statuses VALUES('7716','2208','7','12','81','No Fault.',null,'76','76','2020-11-12 19:07:02','2020-11-12 19:07:02',null);
INSERT INTO complaint_statuses VALUES('7717','2105','7','12','81','Demonstration Only',null,'76','76','2020-11-12 19:08:15','2020-11-12 19:08:15',null);
INSERT INTO complaint_statuses VALUES('7718','2209','7','12','81','Drain Adjustment',null,'76','76','2020-11-12 19:09:11','2020-11-12 19:09:11',null);
INSERT INTO complaint_statuses VALUES('7719','2220','7','12','81','First Visit Complete , Refer to SVC in Service , but customer will deliver next Week.',null,'76','76','2020-11-12 19:13:14','2020-11-12 19:13:14',null);
INSERT INTO complaint_statuses VALUES('7720','2225','7','12','81','Drain Pipe Adjustment.',null,'76','76','2020-11-12 19:16:21','2020-11-12 19:16:21',null);
INSERT INTO complaint_statuses VALUES('7721','2213','7','24','81','Oven bhejy gy workshop',null,'82','82','2020-11-12 19:16:24','2020-11-12 19:16:24',null);
INSERT INTO complaint_statuses VALUES('7722','2275','7','24','81',null,null,'82','82','2020-11-12 19:17:15','2020-11-12 19:17:15',null);
INSERT INTO complaint_statuses VALUES('7723','2322','2',null,'81',null,'12-NOV-2020
COM FF TO SHAMIM AKHTER','92','92','2020-11-12 19:43:02','2020-11-12 19:43:02',null);
INSERT INTO complaint_statuses VALUES('7724','2323','2',null,'81',null,'12-NOV-2020
COM FF TO AZHAR','92','92','2020-11-12 19:59:34','2020-11-12 19:59:34',null);
INSERT INTO complaint_statuses VALUES('7725','2225','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-12 20:04:59','2020-11-12 20:09:35',null);
INSERT INTO complaint_statuses VALUES('7726','1202','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-11-12 20:13:10','2020-11-12 20:13:10',null);
INSERT INTO complaint_statuses VALUES('7727','2324','2',null,'81',null,'12-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-12 20:15:17','2020-11-12 20:15:17',null);
INSERT INTO complaint_statuses VALUES('7728','2325','2',null,'81',null,'12-NOV-2020
FF TO B. COOL','74','74','2020-11-12 20:15:53','2020-11-12 20:15:53',null);
INSERT INTO complaint_statuses VALUES('7729','2220','8','23','55','SATURDAY KO CUSTOMER DELIVER KARWAY GAY  SUBHA 10 BAJAY GARI BAJWA DIJAY GA AP',null,'81','81','2020-11-12 20:16:52','2020-11-12 20:16:52',null);
INSERT INTO complaint_statuses VALUES('7730','2325','4',null,'58',null,null,'81','81','2020-11-12 20:18:36','2020-11-12 20:18:36',null);
INSERT INTO complaint_statuses VALUES('7731','2323','4',null,'60',null,null,'81','81','2020-11-12 20:20:07','2020-11-12 20:20:07',null);
INSERT INTO complaint_statuses VALUES('7732','2322','4',null,'55',null,null,'81','81','2020-11-12 20:20:17','2020-11-12 20:20:17',null);
INSERT INTO complaint_statuses VALUES('7733','2099','7','12','81','General Wash Service',null,'76','76','2020-11-12 20:20:44','2020-11-12 20:20:44',null);
INSERT INTO complaint_statuses VALUES('7734','1393','8','23','61','MORTAZA BUT. 0311-5006051 PWD BRANCH PA VISIT KARNA',null,'81','81','2020-11-12 20:21:46','2020-11-12 20:21:46',null);
INSERT INTO complaint_statuses VALUES('7735','2110','7','12','81','Heater Sensor Replaced (Payment Pending 3500)',null,'76','76','2020-11-12 20:26:29','2020-11-12 20:26:29',null);
INSERT INTO complaint_statuses VALUES('7736','2326','3',null,'52',null,'12-NOV-2020
COM NO PKRI-201112105165','92','92','2020-11-12 20:27:48','2020-11-12 20:50:31',null);
INSERT INTO complaint_statuses VALUES('7737','2327','2',null,'81',null,'12-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-12 20:32:15','2020-11-12 20:32:15',null);
INSERT INTO complaint_statuses VALUES('7738','2321','3',null,'73',null,null,'74','74','2020-11-12 20:34:13','2020-11-12 20:34:13',null);
INSERT INTO complaint_statuses VALUES('7739','2328','3',null,'52',null,'12-NOV-2020
COM NO PKRI-201112105228','92','92','2020-11-12 20:35:54','2020-11-12 20:53:59',null);
INSERT INTO complaint_statuses VALUES('7740','1792','7','9','81','Pls ask some one to collect the unit',null,'77','77','2020-11-12 20:42:32','2020-11-12 20:42:32',null);
INSERT INTO complaint_statuses VALUES('7741','2329','2',null,'81',null,'12-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-12 20:44:32','2020-11-12 20:44:32',null);
INSERT INTO complaint_statuses VALUES('7742','2329','4',null,'58',null,null,'81','81','2020-11-12 20:47:58','2020-11-12 20:47:58',null);
INSERT INTO complaint_statuses VALUES('7743','2327','4',null,'55',null,null,'81','81','2020-11-12 20:48:10','2020-11-12 20:48:10',null);
INSERT INTO complaint_statuses VALUES('7744','2324','4',null,'63',null,null,'81','81','2020-11-12 20:48:50','2020-11-12 20:48:50',null);
INSERT INTO complaint_statuses VALUES('7745','2099','8','23','55','CUSTOMER KA ISSUE RESOLVED NAI HOA HAIN .
FIR SA LEAKAGE KA PROB AARHA HAIN. KINDLY CUSTOMER SA CONTACT KARAY & AGAIN VISIT ARRANGE KARWAY',null,'81','81','2020-11-12 21:03:35','2020-11-12 21:03:35',null);
INSERT INTO complaint_statuses VALUES('7746','2105','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2020-11-12 21:22:01','2020-11-12 23:17:05',null);
INSERT INTO complaint_statuses VALUES('7747','2302','7','12','81','Compresor ki body base awaz kar rehi hy set kar di hy in sy vest chargis nhi lye',null,'82','82','2020-11-12 21:22:56','2020-11-12 21:22:56',null);
INSERT INTO complaint_statuses VALUES('7748','2231','7','24','81',null,null,'82','82','2020-11-12 21:23:46','2020-11-12 21:23:46',null);
INSERT INTO complaint_statuses VALUES('7749','2110','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2020-11-12 21:25:14','2020-11-12 23:17:45',null);
INSERT INTO complaint_statuses VALUES('7750','2330','2',null,'81',null,'12-NOV-2020
COM FF TO KHALID SONY','92','92','2020-11-12 21:27:11','2020-11-12 21:27:11',null);
INSERT INTO complaint_statuses VALUES('7751','2295','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 22:06:39','2020-11-12 22:06:39',null);
INSERT INTO complaint_statuses VALUES('7752','2268','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 22:11:03','2020-11-12 22:11:03',null);
INSERT INTO complaint_statuses VALUES('7753','2323','7','24','81','Moter nhi chal rehi hy .custmer workshop bhej rehy hy',null,'82','82','2020-11-12 22:12:57','2020-11-12 22:12:57',null);
INSERT INTO complaint_statuses VALUES('7754','2258','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 22:13:22','2020-11-12 22:13:22',null);
INSERT INTO complaint_statuses VALUES('7755','2255','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 22:15:37','2020-11-12 22:15:37',null);
INSERT INTO complaint_statuses VALUES('7756','2331','2',null,'81',null,'12-NOV-2020
FF TO HOME SOLUTION','74','74','2020-11-12 22:17:37','2020-11-12 22:17:37',null);
INSERT INTO complaint_statuses VALUES('7757','2331','4',null,'62',null,null,'81','81','2020-11-12 22:18:01','2020-11-12 22:18:01',null);
INSERT INTO complaint_statuses VALUES('7758','2330','4',null,'56',null,null,'81','81','2020-11-12 22:18:12','2020-11-12 22:18:12',null);
INSERT INTO complaint_statuses VALUES('7759','2253','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 22:18:23','2020-11-12 22:18:23',null);
INSERT INTO complaint_statuses VALUES('7760','2240','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 22:20:06','2020-11-12 22:20:06',null);
INSERT INTO complaint_statuses VALUES('7761','2219','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 22:23:36','2020-11-12 22:23:36',null);
INSERT INTO complaint_statuses VALUES('7762','2333','2',null,'81',null,'12-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-12 22:26:43','2020-11-12 22:26:43',null);
INSERT INTO complaint_statuses VALUES('7763','2333','4',null,'55',null,'0345-5400110','81','74','2020-11-12 22:27:50','2020-11-13 20:33:15',null);
INSERT INTO complaint_statuses VALUES('7764','2283','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 22:32:16','2020-11-12 22:32:16',null);
INSERT INTO complaint_statuses VALUES('7765','2334','2',null,'81',null,'12-NOV-2020
FF TO HOME SOLUTION','74','74','2020-11-12 22:32:24','2020-11-12 22:32:24',null);
INSERT INTO complaint_statuses VALUES('7766','2286','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 22:35:10','2020-11-12 22:35:10',null);
INSERT INTO complaint_statuses VALUES('7767','2334','4',null,'62',null,null,'81','81','2020-11-12 22:35:42','2020-11-12 22:35:42',null);
INSERT INTO complaint_statuses VALUES('7768','2280','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 22:38:15','2020-11-12 22:38:15',null);
INSERT INTO complaint_statuses VALUES('7769','2319','7','12','81','Solved on phone call 
Remote battery dead',null,'83','83','2020-11-12 22:44:19','2020-11-12 22:44:19',null);
INSERT INTO complaint_statuses VALUES('7770','2079','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 22:45:49','2020-11-12 22:45:49',null);
INSERT INTO complaint_statuses VALUES('7771','2304','7','12','81','Water inlet filter ganda tha',null,'82','82','2020-11-12 22:47:38','2020-11-12 22:47:38',null);
INSERT INTO complaint_statuses VALUES('7772','2232','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 22:54:29','2020-11-12 22:54:29',null);
INSERT INTO complaint_statuses VALUES('7773','2233','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 22:56:25','2020-11-12 22:56:25',null);
INSERT INTO complaint_statuses VALUES('7774','2335','2',null,'81',null,'12-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-12 22:57:10','2020-11-12 22:57:10',null);
INSERT INTO complaint_statuses VALUES('7775','2335','4',null,'55',null,null,'81','81','2020-11-12 22:58:20','2020-11-12 22:58:20',null);
INSERT INTO complaint_statuses VALUES('7776','2336','2',null,'81',null,'12-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-12 23:23:11','2020-11-12 23:23:11',null);
INSERT INTO complaint_statuses VALUES('7777','2336','4',null,'55',null,null,'81','81','2020-11-12 23:24:02','2020-11-12 23:24:02',null);
INSERT INTO complaint_statuses VALUES('7778','2319','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-12 23:25:18','2020-11-12 23:25:54',null);
INSERT INTO complaint_statuses VALUES('7779','2304','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-12 23:28:08','2020-11-12 23:29:31',null);
INSERT INTO complaint_statuses VALUES('7780','2337','3',null,'63',null,'12-NOV-2020
COMPLAINT#4036','74','74','2020-11-12 23:45:07','2020-11-12 23:45:07',null);
INSERT INTO complaint_statuses VALUES('7781','1482','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 23:45:50','2020-11-12 23:45:50',null);
INSERT INTO complaint_statuses VALUES('7782','1520','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 23:49:49','2020-11-12 23:49:49',null);
INSERT INTO complaint_statuses VALUES('7783','2338','3',null,'52',null,'12-NOV-2020
COMPLAINT#PKRI-201112110418','74','74','2020-11-12 23:52:17','2020-11-12 23:55:48',null);
INSERT INTO complaint_statuses VALUES('7784','2207','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-12 23:53:02','2020-11-12 23:53:02',null);
INSERT INTO complaint_statuses VALUES('7785','2339','3',null,'72',null,'12-NOV-2020
COMPLAINT#192018940','74','74','2020-11-13 00:01:29','2020-11-13 00:01:29',null);
INSERT INTO complaint_statuses VALUES('7786','2132','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-13 00:02:56','2020-11-13 00:02:56',null);
INSERT INTO complaint_statuses VALUES('7787','2257','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-13 00:09:25','2020-11-13 00:09:25',null);
INSERT INTO complaint_statuses VALUES('7788','2209','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-13 00:13:02','2020-11-13 00:15:06',null);
INSERT INTO complaint_statuses VALUES('7789','2179','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-13 00:14:27','2020-11-13 00:14:27',null);
INSERT INTO complaint_statuses VALUES('7790','1792','8','23','56','ASLAM SAB KO INFORMED KAR DIA',null,'81','81','2020-11-13 00:18:13','2020-11-13 00:18:13',null);
INSERT INTO complaint_statuses VALUES('7791','2323','8','23','60','OK  THIS JOB COMPLETED QUKIELY',null,'81','81','2020-11-13 00:18:58','2020-11-13 00:18:58',null);
INSERT INTO complaint_statuses VALUES('7792','2208','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-13 00:23:43','2020-11-13 00:24:12',null);
INSERT INTO complaint_statuses VALUES('7793','1841','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-13 00:29:30','2020-11-13 00:29:30',null);
INSERT INTO complaint_statuses VALUES('7794','2331','7','12','81','issue resolved',null,'87','87','2020-11-13 00:32:50','2020-11-13 00:32:50',null);
INSERT INTO complaint_statuses VALUES('7795','2340','3',null,'52',null,'12-NOV-2020
COMPLAINT#PKRI-201112112148','74','74','2020-11-13 01:04:45','2020-11-13 01:08:13',null);
INSERT INTO complaint_statuses VALUES('7796','2341','3',null,'54',null,'12-NOV-2020
COMPLAINT#1767926','74','74','2020-11-13 01:19:22','2020-11-13 01:19:22',null);
INSERT INTO complaint_statuses VALUES('7797','2342','2',null,'81',null,'12-NOV-2020
FF TO KHALID','74','74','2020-11-13 01:24:19','2020-11-13 01:24:19',null);
INSERT INTO complaint_statuses VALUES('7798','2342','4',null,'56',null,null,'81','81','2020-11-13 01:25:03','2020-11-13 01:25:03',null);
INSERT INTO complaint_statuses VALUES('7799','1992','7','12','81','COMPLAINT RESOLVED',null,'88','88','2020-11-13 01:31:30','2020-11-13 01:31:30',null);
INSERT INTO complaint_statuses VALUES('7800','1992','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-13 01:32:09','2020-11-13 01:32:35',null);
INSERT INTO complaint_statuses VALUES('7801','2223','7','12','81','No Fault.',null,'76','76','2020-11-13 01:40:32','2020-11-13 01:40:32',null);
INSERT INTO complaint_statuses VALUES('7802','2343','3',null,'65',null,'12-NOV-2020
COM NO 192018945','92','92','2020-11-13 01:47:46','2020-11-13 01:59:12',null);
INSERT INTO complaint_statuses VALUES('7803','2274','7','12','81','Drain Pipe Adjustment',null,'76','76','2020-11-13 01:51:40','2020-11-13 01:51:40',null);
INSERT INTO complaint_statuses VALUES('7804','2344','3',null,'52',null,'12-NOV-2020
COMPLAINT#PKRI-201112113332','74','74','2020-11-13 01:53:48','2020-11-13 01:53:48',null);
INSERT INTO complaint_statuses VALUES('7805','2183','7','24','81','Under Repaired in SVC , (Inlet Valve+Service + baby Washer)',null,'76','76','2020-11-13 02:20:37','2020-11-13 02:20:37',null);
INSERT INTO complaint_statuses VALUES('7806','2345','2',null,'81',null,'12-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-13 02:20:41','2020-11-13 02:20:41',null);
INSERT INTO complaint_statuses VALUES('7807','1789','7','12','81','Filter Service',null,'76','76','2020-11-13 02:21:26','2020-11-13 02:21:26',null);
INSERT INTO complaint_statuses VALUES('7808','1861','7','26','81','MWO has been collected from SVC without Repairing.',null,'76','76','2020-11-13 02:22:25','2020-11-13 02:22:25',null);
INSERT INTO complaint_statuses VALUES('7809','2315','7','12','81','saftey issue .complint rsolved',null,'79','79','2020-11-13 02:23:18','2020-11-13 02:23:18',null);
INSERT INTO complaint_statuses VALUES('7810','2278','7','12','81','no  issue in gzr complaint resolved',null,'79','79','2020-11-13 02:23:57','2020-11-13 02:23:57',null);
INSERT INTO complaint_statuses VALUES('7811','864','7','22','81','Door Gasket Price has been Share with the Customer, he will inform for part order.','CUSTOMER KO PARTS KI PRICE 15500 BATA DI HAIN LG S/C NA','76','74','2020-11-13 02:26:04','2020-11-13 23:05:12',null);
INSERT INTO complaint_statuses VALUES('7812','2346','3',null,'66',null,'12-NOV-2020
COMPLAINT#PK111220200104.
FF TO SAJID TCL','74','92','2020-11-13 02:29:46','2020-11-17 22:14:51',null);
INSERT INTO complaint_statuses VALUES('7813','2331','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-13 02:35:19','2020-11-13 02:37:05',null);
INSERT INTO complaint_statuses VALUES('7814','2315','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-13 02:36:39','2020-11-13 02:38:55',null);
INSERT INTO complaint_statuses VALUES('7815','2302','8','23','60','CUSTOMER  ISSUE NOT RESOLVED ABI B SOUND AARHI HAIN.
KINDLY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2020-11-13 02:38:17','2020-11-13 02:38:17',null);
INSERT INTO complaint_statuses VALUES('7816','2274','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-13 02:41:02','2020-11-13 02:42:36',null);
INSERT INTO complaint_statuses VALUES('7817','2223','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-13 02:43:13','2020-11-13 02:43:41',null);
INSERT INTO complaint_statuses VALUES('7818','2347','3',null,'52',null,'12-NOV-2020
COM NO PKRI-201112114694','92','92','2020-11-13 02:54:35','2020-11-13 02:54:35',null);
INSERT INTO complaint_statuses VALUES('7819','1792','7','12','81','unit collected.',null,'77','77','2020-11-13 05:07:57','2020-11-13 05:07:57',null);
INSERT INTO complaint_statuses VALUES('7820','2348','2',null,'81',null,'13-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-13 20:17:09','2020-11-13 20:17:09',null);
INSERT INTO complaint_statuses VALUES('7821','2348','4',null,'63',null,null,'81','81','2020-11-13 20:17:28','2020-11-13 20:17:28',null);
INSERT INTO complaint_statuses VALUES('7822','2345','4',null,'58',null,null,'81','81','2020-11-13 20:17:43','2020-11-13 20:17:43',null);
INSERT INTO complaint_statuses VALUES('7823','2349','3',null,'84',null,'13-NOV-2020
COMPLAINT#16277','74','74','2020-11-13 20:26:56','2020-11-13 20:26:56',null);
INSERT INTO complaint_statuses VALUES('7824','2332','3',null,'84',null,null,'74','74','2020-11-13 20:34:02','2020-11-13 20:34:02',null);
INSERT INTO complaint_statuses VALUES('7825','2350','3',null,'62',null,'13-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-13 20:42:04','2020-11-13 20:42:04',null);
INSERT INTO complaint_statuses VALUES('7826','2351','2',null,'81',null,'13-NOV-2020
FF TO B. COOL','74','74','2020-11-13 20:47:49','2020-11-13 20:47:49',null);
INSERT INTO complaint_statuses VALUES('7827','2351','4',null,'58',null,null,'81','81','2020-11-13 20:48:42','2020-11-13 20:48:42',null);
INSERT INTO complaint_statuses VALUES('7828','2352','3',null,'66',null,'13-NOV-2020
COMPLAINT#PK111320200027.
FF TO SAJID TCL','74','74','2020-11-13 21:05:53','2020-11-13 21:08:27',null);
INSERT INTO complaint_statuses VALUES('7829','2353','3',null,'85',null,'13-NOV-2020
COMPLAINT#1067259','74','74','2020-11-13 21:26:19','2020-11-13 21:26:19',null);
INSERT INTO complaint_statuses VALUES('7830','2278','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-13 21:36:48','2020-11-13 21:37:56',null);
INSERT INTO complaint_statuses VALUES('7831','2204','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-13 21:38:40','2020-11-13 22:38:10',null);
INSERT INTO complaint_statuses VALUES('7832','2354','2',null,'81',null,'13-NOV-2020
FF TO KHALID','74','74','2020-11-14 00:04:23','2020-11-14 00:04:23',null);
INSERT INTO complaint_statuses VALUES('7833','2354','4',null,'56',null,null,'81','81','2020-11-14 00:05:06','2020-11-14 00:05:06',null);
INSERT INTO complaint_statuses VALUES('7834','1789','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-14 00:05:21','2020-11-14 02:06:35',null);
INSERT INTO complaint_statuses VALUES('7835','2188','8','23','55','CUSTOMER KA ISSUE RESOLVED NAI HOA KINDLY AGAIN VISIT ARRANGE KARWAY .
WARRANTY CARD WO SHOWROOM SA LAY GAY',null,'81','81','2020-11-14 00:09:11','2020-11-14 00:09:11',null);
INSERT INTO complaint_statuses VALUES('7836','1925','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-14 00:12:47','2020-11-14 02:05:54',null);
INSERT INTO complaint_statuses VALUES('7837','864','8','23','55','YHA COMPLAINT KINDLY JAIL DE RESOLVED KARWAY',null,'81','81','2020-11-14 00:14:04','2020-11-14 00:14:04',null);
INSERT INTO complaint_statuses VALUES('7838','2355','3',null,'66',null,'13-NOV-2020
COMPLAINT#PK111320200057
FF TO AHMED TCL','74','92','2020-11-14 00:23:59','2020-11-17 22:09:46',null);
INSERT INTO complaint_statuses VALUES('7839','2356','2',null,'81',null,'13-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-14 00:27:05','2020-11-14 00:27:05',null);
INSERT INTO complaint_statuses VALUES('7840','2357','3',null,'73',null,'13-NOV-2020
COMPLAINT#2433','74','74','2020-11-14 01:02:27','2020-11-14 02:03:22',null);
INSERT INTO complaint_statuses VALUES('7841','2356','4',null,'55',null,null,'81','81','2020-11-14 01:52:58','2020-11-14 01:52:58',null);
INSERT INTO complaint_statuses VALUES('7842','2358','3',null,'81',null,'13-NOV-2020
FF TO BILA&KHURRAM 5 STAR','74','74','2020-11-14 02:10:45','2020-11-14 02:10:45',null);
INSERT INTO complaint_statuses VALUES('7843','2318','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-14 19:38:34','2020-11-14 19:38:34',null);
INSERT INTO complaint_statuses VALUES('7844','2326','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-14 19:51:14','2020-11-14 19:51:14',null);
INSERT INTO complaint_statuses VALUES('7845','2328','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-14 19:53:12','2020-11-14 19:53:12',null);
INSERT INTO complaint_statuses VALUES('7846','2352','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-14 19:54:33','2020-11-14 19:54:33',null);
INSERT INTO complaint_statuses VALUES('7847','2338','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-14 19:54:59','2020-11-14 19:54:59',null);
INSERT INTO complaint_statuses VALUES('7848','2320','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-14 20:03:16','2020-11-14 20:03:16',null);
INSERT INTO complaint_statuses VALUES('7849','2359','2',null,'81',null,'14-NOV-2020
FF TO KHALID','74','74','2020-11-14 20:04:24','2020-11-14 20:04:24',null);
INSERT INTO complaint_statuses VALUES('7850','2166','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-14 20:06:37','2020-11-14 20:06:37',null);
INSERT INTO complaint_statuses VALUES('7851','2360','2',null,'81',null,'14-NOV-2020
FF TO KHALID','74','74','2020-11-14 20:07:12','2020-11-14 20:07:12',null);
INSERT INTO complaint_statuses VALUES('7852','2167','5',null,null,'COMPLAINT COMPLETED','2 GESER THY 55#35 
TOAL EXP 5000','92','74','2020-11-14 20:07:24','2020-11-24 02:40:53',null);
INSERT INTO complaint_statuses VALUES('7853','2360','4',null,'56',null,null,'81','81','2020-11-14 20:08:03','2020-11-14 20:08:03',null);
INSERT INTO complaint_statuses VALUES('7854','2359','4',null,'56',null,null,'81','81','2020-11-14 20:08:13','2020-11-14 20:08:13',null);
INSERT INTO complaint_statuses VALUES('7855','2361','2',null,'81',null,'14-NOV-2020
FF TO AZHAR FCI','74','74','2020-11-14 20:18:48','2020-11-14 20:18:48',null);
INSERT INTO complaint_statuses VALUES('7856','1968','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-14 20:19:05','2020-11-14 20:19:05',null);
INSERT INTO complaint_statuses VALUES('7857','2361','4',null,'60',null,null,'81','81','2020-11-14 20:19:27','2020-11-14 20:19:27',null);
INSERT INTO complaint_statuses VALUES('7858','2313','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-14 20:22:10','2020-11-14 20:22:10',null);
INSERT INTO complaint_statuses VALUES('7859','2363','2',null,'81',null,'14-NOV-2020
FF TO B.COOL','74','74','2020-11-14 20:54:58','2020-11-14 20:54:58',null);
INSERT INTO complaint_statuses VALUES('7860','2363','4',null,'58',null,null,'81','81','2020-11-14 20:55:20','2020-11-14 20:55:20',null);
INSERT INTO complaint_statuses VALUES('7861','2314','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-14 21:00:44','2020-11-14 21:00:44',null);
INSERT INTO complaint_statuses VALUES('7862','1792','8','23','56','wi-fi issue  . complaint not complete',null,'81','81','2020-11-14 21:01:50','2020-11-14 21:01:50',null);
INSERT INTO complaint_statuses VALUES('7863','2275','8','23','60','please complete this job quickly',null,'81','81','2020-11-14 21:03:00','2020-11-14 21:03:00',null);
INSERT INTO complaint_statuses VALUES('7864','2272','8','23','58','please complete this job quickly',null,'81','81','2020-11-14 21:04:32','2020-11-14 21:04:32',null);
INSERT INTO complaint_statuses VALUES('7865','2309','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-14 21:04:44','2020-11-14 21:04:44',null);
INSERT INTO complaint_statuses VALUES('7866','2269','8','23','58','please complete this job quckly',null,'81','81','2020-11-14 21:05:51','2020-11-14 21:05:51',null);
INSERT INTO complaint_statuses VALUES('7867','2261','8','23','61','customer will pay',null,'81','81','2020-11-14 21:07:34','2020-11-14 21:07:34',null);
INSERT INTO complaint_statuses VALUES('7868','2231','8','23','60','please explain issue',null,'81','81','2020-11-14 21:08:20','2020-11-14 21:08:20',null);
INSERT INTO complaint_statuses VALUES('7869','2213','8','23','60',null,null,'81','81','2020-11-14 21:08:52','2020-11-14 21:08:52',null);
INSERT INTO complaint_statuses VALUES('7870','2279','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-11-14 21:11:52','2020-11-14 21:11:52',null);
INSERT INTO complaint_statuses VALUES('7871','1372','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-14 21:13:34','2020-11-14 21:13:34',null);
INSERT INTO complaint_statuses VALUES('7872','2277','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-14 21:14:49','2020-11-14 21:14:49',null);
INSERT INTO complaint_statuses VALUES('7873','2334','7','12','81','ISSUE RESOLVED , DRIAN KA PROBLEM THA',null,'87','87','2020-11-14 21:16:05','2020-11-14 21:16:05',null);
INSERT INTO complaint_statuses VALUES('7874','2282','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-14 21:16:59','2020-11-14 21:16:59',null);
INSERT INTO complaint_statuses VALUES('7875','2364','2',null,'81',null,'14-NOV-2020
FF TO B.COOL','74','74','2020-11-14 21:23:19','2020-11-14 21:23:19',null);
INSERT INTO complaint_statuses VALUES('7876','2364','4',null,'58',null,null,'81','81','2020-11-14 21:24:13','2020-11-14 21:24:13',null);
INSERT INTO complaint_statuses VALUES('7877','2334','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-14 21:28:40','2020-11-14 22:00:24',null);
INSERT INTO complaint_statuses VALUES('7878','2183','8','23','55',null,null,'81','81','2020-11-14 21:29:15','2020-11-14 21:29:15',null);
INSERT INTO complaint_statuses VALUES('7879','1861','5','25',null,null,'CUSTOMER I 10/ SA APNA OVEN LA K CHALY GAY WEDNESDAY KO','81','74','2020-11-14 21:32:28','2020-12-06 01:47:38',null);
INSERT INTO complaint_statuses VALUES('7880','2206','7','24','81','Hud workshop aarha hy',null,'82','82','2020-11-14 21:35:27','2020-11-14 21:35:27',null);
INSERT INTO complaint_statuses VALUES('7881','2291','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-14 21:38:03','2020-11-14 21:38:03',null);
INSERT INTO complaint_statuses VALUES('7882','2365','3',null,'73',null,'14-NOV-2020
COMPLAINT#2442','74','92','2020-11-14 21:41:28','2020-11-24 21:22:59',null);
INSERT INTO complaint_statuses VALUES('7883','2360','7','12','81','Unit ok pls collect the unit',null,'77','77','2020-11-14 21:50:58','2020-11-14 21:50:58',null);
INSERT INTO complaint_statuses VALUES('7884','1791','7','12','81','Unit ok pls collet the unit',null,'77','77','2020-11-14 21:52:40','2020-11-14 21:52:40',null);
INSERT INTO complaint_statuses VALUES('7885','1792','7','12','81','Unit collected by aslam bhai. Uit ok back to friends already',null,'77','77','2020-11-14 21:53:40','2020-11-14 21:53:40',null);
INSERT INTO complaint_statuses VALUES('7886','2359','7','20','81','Waiting for parts company warranty',null,'77','77','2020-11-14 21:54:24','2020-11-14 21:54:24',null);
INSERT INTO complaint_statuses VALUES('7887','2339','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-14 22:13:36','2020-11-14 22:13:36',null);
INSERT INTO complaint_statuses VALUES('7888','2337','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-14 22:15:31','2020-11-14 22:15:31',null);
INSERT INTO complaint_statuses VALUES('7889','2347','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-14 22:17:25','2020-11-14 22:17:25',null);
INSERT INTO complaint_statuses VALUES('7890','2366','3',null,'53',null,'14-NOV-2020
COMPLAINT#1067390','74','74','2020-11-14 22:30:09','2020-11-14 22:30:09',null);
INSERT INTO complaint_statuses VALUES('7891','2362','3',null,'53',null,null,'74','74','2020-11-14 22:34:02','2020-11-14 22:34:02',null);
INSERT INTO complaint_statuses VALUES('7892','2367','2',null,'81',null,'14-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-14 22:35:11','2020-11-14 22:35:11',null);
INSERT INTO complaint_statuses VALUES('7893','2367','4',null,'63',null,null,'81','81','2020-11-14 22:36:24','2020-11-14 22:36:24',null);
INSERT INTO complaint_statuses VALUES('7894','2359','8','23','56',null,null,'81','81','2020-11-14 22:38:24','2020-11-14 22:38:24',null);
INSERT INTO complaint_statuses VALUES('7895','2206','8','23','60',null,null,'81','81','2020-11-14 22:39:59','2020-11-14 22:39:59',null);
INSERT INTO complaint_statuses VALUES('7896','2368','2',null,'81',null,'14-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-14 22:41:10','2020-11-14 22:41:10',null);
INSERT INTO complaint_statuses VALUES('7897','2368','4',null,'63',null,null,'81','81','2020-11-14 22:41:44','2020-11-14 22:41:44',null);
INSERT INTO complaint_statuses VALUES('7898','2340','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-14 23:04:21','2020-11-14 23:04:21',null);
INSERT INTO complaint_statuses VALUES('7899','2369','3',null,'52',null,'14-NOV-2020
COMPLAINT#PKRI201114108418','74','74','2020-11-14 23:07:10','2020-11-14 23:07:10',null);
INSERT INTO complaint_statuses VALUES('7900','2344','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-14 23:08:46','2020-11-14 23:08:46',null);
INSERT INTO complaint_statuses VALUES('7901','2137','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-14 23:09:08','2020-11-14 23:09:08',null);
INSERT INTO complaint_statuses VALUES('7902','2370','3',null,'88',null,'14-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-14 23:17:15','2020-11-14 23:17:15',null);
INSERT INTO complaint_statuses VALUES('7903','2341','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-14 23:18:55','2020-11-14 23:18:55',null);
INSERT INTO complaint_statuses VALUES('7904','2371','2',null,'81',null,'14-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-14 23:22:26','2020-11-14 23:22:26',null);
INSERT INTO complaint_statuses VALUES('7905','2372','3',null,'55',null,'14-NOV-2020
FF TO NAEEM KENWOOD','74','74','2020-11-14 23:48:10','2020-11-14 23:48:10',null);
INSERT INTO complaint_statuses VALUES('7906','2373','3',null,'53',null,'14-NOV-2020
COMPLAINT#301067429','74','92','2020-11-15 00:10:09','2020-11-17 21:59:08',null);
INSERT INTO complaint_statuses VALUES('7907','2374','2',null,'81',null,'14-NOV-2020
FF TO KHALID','74','74','2020-11-15 00:49:02','2020-11-15 00:49:02',null);
INSERT INTO complaint_statuses VALUES('7908','2374','4',null,'56',null,null,'81','81','2020-11-15 00:50:27','2020-11-15 00:50:27',null);
INSERT INTO complaint_statuses VALUES('7909','2371','4',null,'63',null,null,'81','81','2020-11-15 00:50:40','2020-11-15 00:50:40',null);
INSERT INTO complaint_statuses VALUES('7910','2168','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-15 00:55:29','2020-11-15 00:55:29',null);
INSERT INTO complaint_statuses VALUES('7911','2375','2',null,'81',null,'14-NOV-2020
FF TO KHALID','74','74','2020-11-15 00:59:52','2020-11-15 00:59:52',null);
INSERT INTO complaint_statuses VALUES('7912','2375','4',null,'56',null,null,'81','81','2020-11-15 01:00:30','2020-11-15 01:00:30',null);
INSERT INTO complaint_statuses VALUES('7913','2322','7','12','81','No Fault.',null,'76','76','2020-11-15 01:40:53','2020-11-15 01:40:53',null);
INSERT INTO complaint_statuses VALUES('7914','2376','3',null,'53',null,'14-NOV-2020
COM NO 1067465','92','92','2020-11-15 01:41:53','2020-11-15 01:51:09',null);
INSERT INTO complaint_statuses VALUES('7915','2312','7','12','81','Balance Adjustment.',null,'76','76','2020-11-15 01:42:40','2020-11-15 01:42:40',null);
INSERT INTO complaint_statuses VALUES('7916','2226','7','12','81','No Fault.',null,'76','76','2020-11-15 01:43:48','2020-11-15 01:43:48',null);
INSERT INTO complaint_statuses VALUES('7917','1394','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-15 01:46:58','2020-11-15 01:46:58',null);
INSERT INTO complaint_statuses VALUES('7918','2216','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-15 01:54:34','2020-11-15 01:54:34',null);
INSERT INTO complaint_statuses VALUES('7919','2215','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-15 01:57:58','2020-11-15 01:57:58',null);
INSERT INTO complaint_statuses VALUES('7920','1557','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-15 02:05:49','2020-11-15 02:05:49',null);
INSERT INTO complaint_statuses VALUES('7921','2377','2',null,'81',null,'14-NOV-2020
COM FF TO SHAMIM AKHTER','92','92','2020-11-15 02:12:09','2020-11-15 02:12:09',null);
INSERT INTO complaint_statuses VALUES('7922','2378','2',null,'81',null,'14-NOV-2020
FF TO AZHAR FCI','74','74','2020-11-15 02:24:32','2020-11-15 02:24:32',null);
INSERT INTO complaint_statuses VALUES('7923','2379','2',null,'81',null,'14-NOV-2020
COM FF TO KHALID SONY','92','92','2020-11-15 02:34:44','2020-11-15 02:34:44',null);
INSERT INTO complaint_statuses VALUES('7924','2380','2',null,'81',null,'14-NOV-2020
COM FF TO SHAMIM AKHTER','92','92','2020-11-15 02:41:10','2020-11-15 02:41:10',null);
INSERT INTO complaint_statuses VALUES('7925','2381','2',null,'81',null,'14-NOV-2020
FF TO USMAN MRM','74','74','2020-11-15 02:41:11','2020-11-15 02:41:11',null);
INSERT INTO complaint_statuses VALUES('7926','2378','4',null,'60',null,null,'81','81','2020-11-15 02:41:28','2020-11-15 02:41:28',null);
INSERT INTO complaint_statuses VALUES('7927','2381','4',null,'61',null,null,'81','81','2020-11-15 02:42:20','2020-11-15 02:42:20',null);
INSERT INTO complaint_statuses VALUES('7928','2380','4',null,'55',null,null,'81','81','2020-11-15 02:42:41','2020-11-15 02:42:41',null);
INSERT INTO complaint_statuses VALUES('7929','2379','4',null,'56',null,null,'81','81','2020-11-15 02:42:55','2020-11-15 02:42:55',null);
INSERT INTO complaint_statuses VALUES('7930','2377','4',null,'55',null,null,'81','81','2020-11-15 02:43:17','2020-11-15 02:43:17',null);
INSERT INTO complaint_statuses VALUES('7931','2212','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-15 02:44:07','2020-11-15 02:44:07',null);
INSERT INTO complaint_statuses VALUES('7932','2382','3',null,'55',null,'14-NOV -2020
COM NO NAEEM KENWOOD','92','92','2020-11-15 02:50:42','2020-11-24 21:22:15',null);
INSERT INTO complaint_statuses VALUES('7933','2383','3',null,'54',null,'14-NOV-2020
COMPLAINT#1768758','74','74','2020-11-15 02:57:46','2020-11-15 02:57:46',null);
INSERT INTO complaint_statuses VALUES('7934','2364','7','12','81','shipping bolt open nahi thy ,complaint resolved',null,'79','79','2020-11-15 04:12:18','2020-11-15 04:12:18',null);
INSERT INTO complaint_statuses VALUES('7935','2351','7','12','81','relay issue .comaplint resolved',null,'79','79','2020-11-15 04:13:00','2020-11-15 04:13:00',null);
INSERT INTO complaint_statuses VALUES('7936','2272','7','12','81','gas charge ki hai.half charges custoemr ny pay kiye/compaint resolved',null,'79','79','2020-11-15 04:17:02','2020-11-15 04:17:02',null);
INSERT INTO complaint_statuses VALUES('7937','2345','7','12','81','filter clean complaint reosolved',null,'79','79','2020-11-15 05:16:56','2020-11-15 05:16:56',null);
INSERT INTO complaint_statuses VALUES('7938','1792','8','13','56','HDMI PORTS ISSUE. . KINDLY VISIT TO SHOWROOM AND CHECKED
NOT COMPLETED COMPLAINT',null,'81','81','2020-11-15 23:50:12','2020-11-15 23:50:12',null);
INSERT INTO complaint_statuses VALUES('7939','1791','8','13','56','HDMI PORTS ISSUE. . KINDLY VISIT TO SHOWROOM AND CHECKED NOT COMPLETED COMPLAINT','IC SET KI GRN ASLAM SIR KO DA DI BILAL SIR NA','81','74','2020-11-15 23:50:49','2020-12-29 21:17:34',null);
INSERT INTO complaint_statuses VALUES('7940','2374','7','12','81','Unit ok at customer home.',null,'77','77','2020-11-16 20:32:41','2020-11-16 20:32:41',null);
INSERT INTO complaint_statuses VALUES('7941','2386','3',null,'53',null,'COMPLAIN#1067640','73','73','2020-11-16 21:19:06','2020-11-16 21:19:06',null);
INSERT INTO complaint_statuses VALUES('7942','2387','3',null,'66',null,'C/O SADDIQ SB
FRWRD TO MARIYAM TCL&SAJID TCL','73','92','2020-11-16 21:27:58','2020-11-24 21:21:33',null);
INSERT INTO complaint_statuses VALUES('7943','2374','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-16 22:28:47','2020-11-17 19:49:09',null);
INSERT INTO complaint_statuses VALUES('7944','2364','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-16 22:29:10','2020-11-17 21:36:24',null);
INSERT INTO complaint_statuses VALUES('7945','2351','5','15',null,null,'NOT ATTEND CALL
COMPLIANT RESOLVED','81','74','2020-11-16 22:29:44','2020-11-18 01:05:42',null);
INSERT INTO complaint_statuses VALUES('7946','2345','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-16 22:29:57','2020-11-17 19:56:33',null);
INSERT INTO complaint_statuses VALUES('7947','2322','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-16 22:30:12','2020-11-18 01:09:18',null);
INSERT INTO complaint_statuses VALUES('7948','2312','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-16 22:30:25','2020-11-17 20:18:11',null);
INSERT INTO complaint_statuses VALUES('7949','2272','5','15',null,null,'COMPLAINT RESOLVED','81','92','2020-11-16 22:30:45','2020-11-17 20:16:26',null);
INSERT INTO complaint_statuses VALUES('7950','2226','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-16 22:31:02','2020-11-18 01:14:17',null);
INSERT INTO complaint_statuses VALUES('7951','2363','7','12','81','customer ny baher sy theek kerwa liy hai.compliant resolved',null,'79','79','2020-11-16 23:45:46','2020-11-16 23:45:46',null);
INSERT INTO complaint_statuses VALUES('7952','2197','7','12','81','cmplaint resolved customer not paid visit charges',null,'79','79','2020-11-17 19:35:23','2020-11-17 19:35:23',null);
INSERT INTO complaint_statuses VALUES('7953','2389','3',null,'66',null,'17-NOV-2020
COMPLAINT#90737
FF TO KASHIF TCL','74','92','2020-11-17 19:50:13','2020-11-18 02:59:13',null);
INSERT INTO complaint_statuses VALUES('7954','2369','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-17 20:03:06','2020-11-17 20:03:06',null);
INSERT INTO complaint_statuses VALUES('7955','2285','7','20','81','Friends warranty. function problem and Hdmi not working. Its built in main boad. If you approve main board will be replaced.  Board prce 37,615',null,'77','77','2020-11-17 20:11:25','2020-11-17 20:11:25',null);
INSERT INTO complaint_statuses VALUES('7956','2390','2',null,'81',null,'17-NOV-2020
FF TO USMAN MRM','74','74','2020-11-17 20:11:32','2020-11-17 20:11:32',null);
INSERT INTO complaint_statuses VALUES('7957','2390','4',null,'61',null,null,'81','81','2020-11-17 20:12:43','2020-11-17 20:12:43',null);
INSERT INTO complaint_statuses VALUES('7958','2391','2',null,'81',null,'17-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-17 20:15:57','2020-11-17 20:15:57',null);
INSERT INTO complaint_statuses VALUES('7959','2391','4',null,'55',null,null,'81','81','2020-11-17 20:16:28','2020-11-17 20:16:28',null);
INSERT INTO complaint_statuses VALUES('7960','2392','2',null,'81',null,'17-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-17 20:39:59','2020-11-17 20:39:59',null);
INSERT INTO complaint_statuses VALUES('7961','2392','4',null,'55',null,null,'81','81','2020-11-17 20:40:30','2020-11-17 20:40:30',null);
INSERT INTO complaint_statuses VALUES('7962','2305','7','12','81','complaint resolved plate dy di hai',null,'79','79','2020-11-17 20:43:15','2020-11-17 20:43:15',null);
INSERT INTO complaint_statuses VALUES('7963','2260','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-17 20:49:10','2020-11-17 20:49:10',null);
INSERT INTO complaint_statuses VALUES('7964','2393','3',null,'57',null,'17-NOV-2020
COMPLAINT#14504','74','74','2020-11-17 20:50:24','2020-11-17 20:50:24',null);
INSERT INTO complaint_statuses VALUES('7965','2252','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-17 20:58:38','2020-11-17 20:58:38',null);
INSERT INTO complaint_statuses VALUES('7966','2261','7','12','81','RS 2000 exp 
after repair unit hand over to adil  shamsbad branch   payment pending',null,'83','83','2020-11-17 21:01:10','2020-11-17 21:01:10',null);
INSERT INTO complaint_statuses VALUES('7967','1742','7','12','81','LPR REPLACMENT APPROVE',null,'83','83','2020-11-17 21:01:54','2020-11-17 21:01:54',null);
INSERT INTO complaint_statuses VALUES('7968','2242','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-17 21:02:44','2020-11-17 21:02:44',null);
INSERT INTO complaint_statuses VALUES('7969','2200','7','12','81','SMPS REPAIR  RS 5000',null,'83','83','2020-11-17 21:03:56','2020-11-17 21:03:56',null);
INSERT INTO complaint_statuses VALUES('7970','2394','2',null,'81',null,'17-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-17 21:04:22','2020-11-17 21:04:22',null);
INSERT INTO complaint_statuses VALUES('7971','2394','4',null,'55',null,null,'81','81','2020-11-17 21:04:50','2020-11-17 21:04:50',null);
INSERT INTO complaint_statuses VALUES('7972','2395','2',null,'81',null,'17-NOV-2020
FF TO HOME SOLUTION','74','74','2020-11-17 21:10:00','2020-11-17 21:10:00',null);
INSERT INTO complaint_statuses VALUES('7973','2395','4',null,'62',null,null,'81','81','2020-11-17 21:10:26','2020-11-17 21:10:26',null);
INSERT INTO complaint_statuses VALUES('7974','2396','3',null,'52',null,'17-NOV-2020
COM NO PKRI201117106016','92','92','2020-11-17 21:18:28','2020-11-24 21:12:48',null);
INSERT INTO complaint_statuses VALUES('7975','2397','3',null,'52',null,'17-NOV-2020
COMPLAINT#PKPR-20111710647
PESHWAR WALAY ATTEND KARAY GAY COMPLAINT.
091-2263992','74','92','2020-11-17 21:36:41','2020-11-19 01:18:39',null);
INSERT INTO complaint_statuses VALUES('7976','2152','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-17 21:46:08','2020-11-17 21:46:08',null);
INSERT INTO complaint_statuses VALUES('7977','2123','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-17 21:49:34','2020-11-17 21:49:34',null);
INSERT INTO complaint_statuses VALUES('7978','2325','7','22','81','compressor issue .refer  to service center',null,'79','79','2020-11-17 21:59:42','2020-11-17 21:59:42',null);
INSERT INTO complaint_statuses VALUES('7979','2303','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-17 22:05:14','2020-11-17 22:05:14',null);
INSERT INTO complaint_statuses VALUES('7980','2398','2',null,'81',null,'17-NOV-2020
FF TO HOME SOLUTION','74','74','2020-11-17 22:13:38','2020-11-17 22:13:38',null);
INSERT INTO complaint_statuses VALUES('7981','2398','4',null,'62',null,null,'81','81','2020-11-17 22:14:23','2020-11-17 22:14:23',null);
INSERT INTO complaint_statuses VALUES('7982','2399','2',null,'81',null,'17-NOV-2020
FF TO HOME  SOLUTION','74','74','2020-11-17 22:22:59','2020-11-17 22:24:31',null);
INSERT INTO complaint_statuses VALUES('7983','2399','4',null,'62',null,null,'81','81','2020-11-17 22:25:21','2020-11-17 22:25:21',null);
INSERT INTO complaint_statuses VALUES('7984','2363','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-17 22:27:23','2020-11-17 22:27:47',null);
INSERT INTO complaint_statuses VALUES('7985','2360','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-17 22:28:26','2020-11-17 22:28:58',null);
INSERT INTO complaint_statuses VALUES('7986','2368','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-11-17 22:35:15','2020-11-17 22:35:15',null);
INSERT INTO complaint_statuses VALUES('7987','2271','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-11-17 22:36:06','2020-11-17 22:36:06',null);
INSERT INTO complaint_statuses VALUES('7988','2324','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-11-17 22:36:29','2020-11-17 22:36:29',null);
INSERT INTO complaint_statuses VALUES('7989','2368','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOVED','81','74','2020-11-17 22:37:22','2020-11-17 22:38:09',null);
INSERT INTO complaint_statuses VALUES('7990','2324','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-17 22:40:20','2020-11-17 22:40:54',null);
INSERT INTO complaint_statuses VALUES('7991','2400','3',null,'73',null,'17-NOV-2020
COM NO 2486','92','92','2020-11-17 22:55:27','2020-11-17 23:28:36',null);
INSERT INTO complaint_statuses VALUES('7992','2305','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-17 23:05:41','2020-11-18 01:10:36',null);
INSERT INTO complaint_statuses VALUES('7993','2271','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-17 23:07:36','2020-11-18 01:11:57',null);
INSERT INTO complaint_statuses VALUES('7994','2200','5','15',null,null,'SET USMAN SAB SA PICK KAR K FHHS SHOWROOM PA DI DIA HAIN .
COMPLAINT RESOLVED','81','74','2020-11-17 23:09:47','2020-11-18 01:25:50',null);
INSERT INTO complaint_statuses VALUES('7995','2401','3',null,'53',null,'17-NOV-2020
COM NO 30107873','92','92','2020-11-17 23:10:19','2020-11-17 23:16:45',null);
INSERT INTO complaint_statuses VALUES('7996','2197','5','15',null,null,'COMPLIANT RESOLVED','81','74','2020-11-17 23:10:38','2020-11-18 01:31:12',null);
INSERT INTO complaint_statuses VALUES('7997','2402','3',null,'52',null,'17-NOV-2020
COMPLAINT#PKRI 201117112375
NEW COMPLAINT#PJKRI-201125102680
COMPLAINT#PKRI-201125102726','74','74','2020-11-17 23:19:08','2020-11-25 22:12:23',null);
INSERT INTO complaint_statuses VALUES('7998','1742','5','23',null,null,'DAMAGE SET THA COMPANY SA SET REPLACE HO K AAY HAIN  BILAL FHHS NA RECIVED KAR LIYA','81','74','2020-11-17 23:20:15','2020-12-01 20:11:18',null);
INSERT INTO complaint_statuses VALUES('7999','2135','8','23','58','washing machine replace ho gahe hy . yh machine i-10 bhegva den',null,'81','81','2020-11-17 23:21:32','2020-11-17 23:21:32',null);
INSERT INTO complaint_statuses VALUES('8000','2325','8','23','58',null,null,'81','81','2020-11-17 23:22:02','2020-11-17 23:22:02',null);
INSERT INTO complaint_statuses VALUES('8001','2403','3',null,'52',null,'17-NOV-2020
COMPLAINT#PKRI-201117110214','74','74','2020-11-17 23:22:28','2020-11-17 23:39:27',null);
INSERT INTO complaint_statuses VALUES('8002','2399','7','26','81',null,null,'87','87','2020-11-17 23:29:16','2020-11-17 23:29:16',null);
INSERT INTO complaint_statuses VALUES('8003','2399','5','25',null,'CANCELLED COMPLAINT','COMPLAINT CANCELED','81','74','2020-11-17 23:36:10','2020-11-17 23:41:22',null);
INSERT INTO complaint_statuses VALUES('8004','2404','2',null,'81',null,'17-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-17 23:36:50','2020-11-17 23:36:50',null);
INSERT INTO complaint_statuses VALUES('8005','2405','2',null,'81',null,'17-NOV-2020
FF TO AZHAR RAMZAN','74','74','2020-11-17 23:37:07','2020-11-17 23:37:07',null);
INSERT INTO complaint_statuses VALUES('8006','2406','3',null,'52',null,'17-NOV-2020
COMPLAINT#PKRI-201117110583','74','74','2020-11-17 23:45:06','2020-11-17 23:45:06',null);
INSERT INTO complaint_statuses VALUES('8007','2405','4',null,'60',null,null,'81','81','2020-11-17 23:48:50','2020-11-17 23:48:50',null);
INSERT INTO complaint_statuses VALUES('8008','2404','4',null,'58',null,null,'81','81','2020-11-17 23:49:09','2020-11-17 23:49:09',null);
INSERT INTO complaint_statuses VALUES('8009','2407','3',null,'84',null,'17-NOV-2020
COM NO 695448','92','92','2020-11-17 23:57:20','2020-11-17 23:59:57',null);
INSERT INTO complaint_statuses VALUES('8010','2408','2',null,'81',null,'17-NOV-2020
FF TO B.COOL','74','74','2020-11-18 00:13:57','2020-11-18 00:13:57',null);
INSERT INTO complaint_statuses VALUES('8011','2408','4',null,'58',null,null,'81','81','2020-11-18 00:14:36','2020-11-18 00:14:36',null);
INSERT INTO complaint_statuses VALUES('8012','2409','3',null,'52',null,'17-NOV-2020
COMPLAINT#PKRI-2011171117121','74','92','2020-11-18 00:18:22','2020-11-18 00:30:39',null);
INSERT INTO complaint_statuses VALUES('8013','2410','3',null,'52',null,'17-NOV-2020
COM NO PKRI-201117111847','92','92','2020-11-18 00:22:19','2020-11-18 00:33:38',null);
INSERT INTO complaint_statuses VALUES('8014','2398','7','12','81','ISSUE RESOLVED .',null,'87','87','2020-11-18 00:33:23','2020-11-18 00:33:23',null);
INSERT INTO complaint_statuses VALUES('8015','2201','7','12','81','Completed and collected. Unit with customer',null,'77','77','2020-11-18 00:34:06','2020-11-18 00:34:06',null);
INSERT INTO complaint_statuses VALUES('8016','2411','2',null,'81',null,'17-MAY-2020
FF TO SHAMIM AKHTER','74','74','2020-11-18 00:35:33','2020-11-18 00:35:33',null);
INSERT INTO complaint_statuses VALUES('8017','2411','4',null,'55',null,null,'81','81','2020-11-18 00:36:55','2020-11-18 00:36:55',null);
INSERT INTO complaint_statuses VALUES('8018','2412','3',null,'73',null,'17-NOV-2020
COMPLIANT#2499','74','74','2020-11-18 00:49:42','2020-11-18 01:51:10',null);
INSERT INTO complaint_statuses VALUES('8019','2413','3',null,'52',null,'17-NOV-2020
COMPLAINT#PKRI-201117112561','74','92','2020-11-18 01:03:07','2020-11-19 19:37:59',null);
INSERT INTO complaint_statuses VALUES('8020','2414','3',null,'55',null,'17-NOV-2020
COM NO 129','92','92','2020-11-18 01:06:04','2020-11-18 01:11:43',null);
INSERT INTO complaint_statuses VALUES('8021','2415','3',null,'85',null,'17-NOV-2020
COM NO 301067914','92','92','2020-11-18 01:27:55','2020-11-18 01:32:54',null);
INSERT INTO complaint_statuses VALUES('8022','2385','3',null,'54',null,null,'74','74','2020-11-18 01:29:42','2020-11-18 01:29:42',null);
INSERT INTO complaint_statuses VALUES('8023','2384','3',null,'54',null,null,'74','74','2020-11-18 01:29:55','2020-11-18 01:29:55',null);
INSERT INTO complaint_statuses VALUES('8024','2388','3',null,'53',null,null,'74','74','2020-11-18 01:39:58','2020-11-18 01:39:58',null);
INSERT INTO complaint_statuses VALUES('8025','2398','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','74','2020-11-18 01:40:53','2020-11-18 01:41:47',null);
INSERT INTO complaint_statuses VALUES('8026','2201','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-18 01:42:18','2020-11-18 01:42:47',null);
INSERT INTO complaint_statuses VALUES('8027','2416','2',null,'81',null,'17-NOV-2020
FF TO B.COOL','74','74','2020-11-18 01:48:41','2020-11-18 01:48:41',null);
INSERT INTO complaint_statuses VALUES('8028','2416','4',null,'58',null,null,'81','81','2020-11-18 01:49:06','2020-11-18 01:49:06',null);
INSERT INTO complaint_statuses VALUES('8029','2417','2',null,'81',null,'17-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-18 01:54:51','2020-11-18 01:54:51',null);
INSERT INTO complaint_statuses VALUES('8030','2418','3',null,'62',null,'17-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-18 01:59:03','2020-11-18 01:59:03',null);
INSERT INTO complaint_statuses VALUES('8031','2419','3',null,'62',null,'17-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-18 02:03:59','2020-11-18 02:03:59',null);
INSERT INTO complaint_statuses VALUES('8032','2417','4',null,'58',null,null,'81','81','2020-11-18 02:08:07','2020-11-18 02:08:07',null);
INSERT INTO complaint_statuses VALUES('8033','2261','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2020-11-18 02:08:40','2020-11-18 02:08:40',null);
INSERT INTO complaint_statuses VALUES('8034','2420','3',null,'73',null,'17-NOV-2020
COM FF TO MUNAWAR','92','92','2020-11-18 02:11:49','2020-11-25 23:26:38',null);
INSERT INTO complaint_statuses VALUES('8035','2421','2',null,'81',null,'17-NOV-2020
FF TO HOME SOLUTION','74','74','2020-11-18 02:28:40','2020-11-18 02:28:40',null);
INSERT INTO complaint_statuses VALUES('8036','2421','4',null,'62',null,null,'81','81','2020-11-18 02:29:20','2020-11-18 02:29:20',null);
INSERT INTO complaint_statuses VALUES('8037','2395','7','12','81','ISSUE RESOLVED , DRAIN PIPE HANG KIA',null,'87','87','2020-11-18 02:35:23','2020-11-18 02:35:23',null);
INSERT INTO complaint_statuses VALUES('8038','2422','3',null,'62',null,'17-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-18 02:42:44','2020-11-26 19:59:18',null);
INSERT INTO complaint_statuses VALUES('8039','2236','7','24','81','refer to service center  saft br br trip hoti  hai..',null,'79','79','2020-11-18 05:17:55','2020-11-18 05:17:55',null);
INSERT INTO complaint_statuses VALUES('8040','2383','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-18 19:50:45','2020-11-18 19:50:45',null);
INSERT INTO complaint_statuses VALUES('8041','2423','3',null,'52',null,'18-NOV-2020
COM NO PKRI-201118108377','92','92','2020-11-18 20:17:36','2020-11-18 23:09:16',null);
INSERT INTO complaint_statuses VALUES('8042','2424','2',null,'81',null,'18-NOV-2020
FF TO B. COOL','74','74','2020-11-18 20:20:10','2020-11-18 20:20:10',null);
INSERT INTO complaint_statuses VALUES('8043','2424','4',null,'58',null,null,'81','81','2020-11-18 20:21:21','2020-11-18 20:21:21',null);
INSERT INTO complaint_statuses VALUES('8044','2371','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-11-18 20:23:19','2020-11-18 20:23:19',null);
INSERT INTO complaint_statuses VALUES('8045','2425','3',null,'55',null,'18-NOV-2020
COM NO RWP-16356','92','92','2020-11-18 20:39:31','2020-11-19 01:03:26',null);
INSERT INTO complaint_statuses VALUES('8046','2426','3',null,'53',null,'18-NOV-2020
COM NO 1068637','92','92','2020-11-18 20:49:23','2020-11-18 23:26:04',null);
INSERT INTO complaint_statuses VALUES('8047','2294','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-18 20:54:49','2020-11-18 20:54:49',null);
INSERT INTO complaint_statuses VALUES('8048','2293','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-18 20:57:03','2020-11-18 20:57:03',null);
INSERT INTO complaint_statuses VALUES('8049','2292','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-18 21:00:15','2020-11-18 21:00:15',null);
INSERT INTO complaint_statuses VALUES('8050','2270','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-11-18 21:05:14','2020-11-18 21:05:14',null);
INSERT INTO complaint_statuses VALUES('8051','2056','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-11-18 21:06:29','2020-11-18 21:06:29',null);
INSERT INTO complaint_statuses VALUES('8052','2427','2',null,'81',null,'18-NOV-2020
COM FF TO SHAMMIM AKHTAR','92','92','2020-11-18 21:06:43','2020-11-18 21:06:43',null);
INSERT INTO complaint_statuses VALUES('8053','2371','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-18 21:08:07','2020-11-18 21:20:53',null);
INSERT INTO complaint_statuses VALUES('8054','2395','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-18 21:09:14','2020-11-18 21:20:27',null);
INSERT INTO complaint_statuses VALUES('8055','2270','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-18 21:09:47','2020-11-18 21:21:23',null);
INSERT INTO complaint_statuses VALUES('8056','2056','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-18 21:10:09','2020-11-18 21:24:26',null);
INSERT INTO complaint_statuses VALUES('8057','2062','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-11-18 21:11:18','2020-11-18 21:11:18',null);
INSERT INTO complaint_statuses VALUES('8058','2062','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-18 21:12:27','2020-11-18 21:25:05',null);
INSERT INTO complaint_statuses VALUES('8059','2098','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-11-18 21:14:00','2020-11-18 21:14:00',null);
INSERT INTO complaint_statuses VALUES('8060','2428','3',null,'65',null,'18-NOV-2020
COM NO 192018991','92','92','2020-11-18 21:15:37','2020-11-18 23:43:55',null);
INSERT INTO complaint_statuses VALUES('8061','2262','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-18 21:22:02','2020-11-18 21:22:02',null);
INSERT INTO complaint_statuses VALUES('8062','2429','3',null,'52',null,'18-NOV-2020
COM NO PKRI-201118108485','92','92','2020-11-18 21:36:31','2020-11-18 23:12:31',null);
INSERT INTO complaint_statuses VALUES('8063','2430','3',null,'73',null,'18-NOV-2020
COM NO 2520','92','92','2020-11-18 21:54:54','2020-11-18 23:36:51',null);
INSERT INTO complaint_statuses VALUES('8064','2236','8','23','58',null,'GEYSER I-10/3 S/C MAIN CUTSOME LA K AAY HAIN','81','74','2020-11-18 22:02:58','2020-12-04 00:12:35',null);
INSERT INTO complaint_statuses VALUES('8065','2098','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-11-18 22:03:44','2020-11-19 21:28:16',null);
INSERT INTO complaint_statuses VALUES('8066','2431','3',null,'62',null,'18-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-18 22:17:09','2020-11-18 22:20:28',null);
INSERT INTO complaint_statuses VALUES('8067','2432','3',null,'53',null,'18-NOV-2020
COM NO 1068638','92','92','2020-11-18 22:32:26','2020-11-18 23:28:52',null);
INSERT INTO complaint_statuses VALUES('8068','2433','2',null,'81',null,'18-NOV-2020
FF TO USMAN MRM','74','74','2020-11-18 22:34:13','2020-11-18 22:34:13',null);
INSERT INTO complaint_statuses VALUES('8069','2433','4',null,'61',null,null,'81','81','2020-11-18 22:35:30','2020-11-18 22:35:30',null);
INSERT INTO complaint_statuses VALUES('8070','2427','4',null,'55',null,null,'81','81','2020-11-18 22:35:45','2020-11-18 22:35:45',null);
INSERT INTO complaint_statuses VALUES('8071','2434','3',null,'53',null,'18-NOV-2020 
COM NO 1068639','92','92','2020-11-18 22:37:57','2020-11-18 23:32:21',null);
INSERT INTO complaint_statuses VALUES('8072','2222','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-11-18 22:45:20','2020-11-18 22:45:20',null);
INSERT INTO complaint_statuses VALUES('8073','2222','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-18 22:46:05','2020-11-18 22:47:14',null);
INSERT INTO complaint_statuses VALUES('8074','2435','3',null,'52',null,'18-NOV-2020
COM NO PKRI-201118108577','92','92','2020-11-18 22:55:26','2020-11-18 23:16:16',null);
INSERT INTO complaint_statuses VALUES('8075','2436','3',null,'52',null,'18-NOV-2020
COM NO PKRI 201118508634','92','92','2020-11-18 23:01:37','2020-11-18 23:19:05',null);
INSERT INTO complaint_statuses VALUES('8076','2405','7','24','81','Water inlet issue hy utar ky ly kyaye hy chenj krna hy',null,'82','82','2020-11-18 23:03:38','2020-11-18 23:03:38',null);
INSERT INTO complaint_statuses VALUES('8077','2323','7','24','81','Machin servis center chori hy.moter issue hy',null,'82','82','2020-11-18 23:05:14','2020-11-18 23:05:14',null);
INSERT INTO complaint_statuses VALUES('8078','2302','7','24','81',null,null,'82','82','2020-11-18 23:07:11','2020-11-18 23:07:11',null);
INSERT INTO complaint_statuses VALUES('8079','2273','7','24','81',null,null,'82','82','2020-11-19 00:02:10','2020-11-19 00:02:10',null);
INSERT INTO complaint_statuses VALUES('8080','2010','7','12','81','Compressor issue',null,'79','79','2020-11-19 00:19:50','2020-11-19 00:19:50',null);
INSERT INTO complaint_statuses VALUES('8081','2437','3',null,'66',null,'18-NOV-2020
COM NO PK-111820200074','92','92','2020-11-19 00:44:52','2020-11-19 00:44:52',null);
INSERT INTO complaint_statuses VALUES('8082','2010','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-19 01:01:06','2020-11-19 21:32:02',null);
INSERT INTO complaint_statuses VALUES('8083','2273','8','23','60','explain problem',null,'81','81','2020-11-19 01:01:52','2020-11-19 01:01:52',null);
INSERT INTO complaint_statuses VALUES('8084','2438','2',null,'81',null,'18-NOV-2020
FF TO B.COOL','74','74','2020-11-19 01:01:53','2020-11-19 01:01:53',null);
INSERT INTO complaint_statuses VALUES('8085','2302','8','23','60',null,null,'81','81','2020-11-19 01:02:30','2020-11-19 01:02:30',null);
INSERT INTO complaint_statuses VALUES('8086','2438','4',null,'58',null,null,'81','81','2020-11-19 01:02:37','2020-11-19 01:02:37',null);
INSERT INTO complaint_statuses VALUES('8087','2323','8','23','60',null,null,'81','81','2020-11-19 01:03:34','2020-11-19 01:03:34',null);
INSERT INTO complaint_statuses VALUES('8088','2405','8','23','60',null,null,'81','81','2020-11-19 01:04:04','2020-11-19 01:04:04',null);
INSERT INTO complaint_statuses VALUES('8089','2439','3',null,'73',null,'18-NOV-2020
COMPLAINT#2528','74','92','2020-11-19 01:10:03','2020-11-26 19:51:03',null);
INSERT INTO complaint_statuses VALUES('8090','2366','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-19 01:25:50','2020-11-19 01:25:50',null);
INSERT INTO complaint_statuses VALUES('8091','2440','3',null,'52',null,'18-NOV-2020
COMPLAINT#PKRI-201118111707','74','74','2020-11-19 01:39:40','2020-11-19 01:39:40',null);
INSERT INTO complaint_statuses VALUES('8092','2441','2',null,'81',null,'18-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-19 01:45:40','2020-11-19 01:45:40',null);
INSERT INTO complaint_statuses VALUES('8093','2441','4',null,'63',null,null,'81','81','2020-11-19 01:46:09','2020-11-19 01:46:09',null);
INSERT INTO complaint_statuses VALUES('8094','2442','2',null,'81',null,'19-NOV-2020
COM FF TO B.COOL','92','74','2020-11-19 01:54:28','2020-11-19 21:44:32',null);
INSERT INTO complaint_statuses VALUES('8095','2443','2',null,'81',null,'18-NOV-2020
FF TO B. COOL','74','74','2020-11-19 02:06:16','2020-11-19 02:06:16',null);
INSERT INTO complaint_statuses VALUES('8096','2443','4',null,'58',null,null,'81','81','2020-11-19 02:06:59','2020-11-19 02:06:59',null);
INSERT INTO complaint_statuses VALUES('8097','2444','2',null,'81',null,'18-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-19 02:08:08','2020-11-19 02:08:08',null);
INSERT INTO complaint_statuses VALUES('8098','2445','3',null,'54',null,'18-NOV-2020
COMPLAINT#1770855','74','92','2020-11-19 02:11:31','2020-11-20 00:13:04',null);
INSERT INTO complaint_statuses VALUES('8099','2444','4',null,'58',null,null,'81','81','2020-11-19 02:27:00','2020-11-19 02:27:00',null);
INSERT INTO complaint_statuses VALUES('8100','2354','7','12','81','Ok and unit with customer sony warranty',null,'77','77','2020-11-19 02:28:14','2020-11-19 02:28:14',null);
INSERT INTO complaint_statuses VALUES('8101','2342','7','12','81','Unit ok with customer',null,'77','77','2020-11-19 02:28:52','2020-11-19 02:28:52',null);
INSERT INTO complaint_statuses VALUES('8102','2330','7','12','81','Unit ok and with customer sony warranty',null,'77','77','2020-11-19 02:29:29','2020-11-19 02:29:29',null);
INSERT INTO complaint_statuses VALUES('8103','2446','2',null,'81',null,'18-NOV-2020
COM  FF TO BEST COOL','92','92','2020-11-19 02:34:58','2020-11-19 02:34:58',null);
INSERT INTO complaint_statuses VALUES('8104','1293','7','12','81','Custmer ko fon kry main thak gea ho un dy pochty pochty .wo kehty hy bhejy gy workshop',null,'82','82','2020-11-19 02:50:23','2020-11-19 02:50:23',null);
INSERT INTO complaint_statuses VALUES('8105','1736','7','12','81','Machin custmer ky ghar phonch gai hy .okay kar dy',null,'82','82','2020-11-19 02:51:35','2020-11-19 02:51:35',null);
INSERT INTO complaint_statuses VALUES('8106','1930','7','12','81','Frig apky pass thi aap custmer ko call kry wo ly jay',null,'82','82','2020-11-19 02:54:03','2020-11-19 02:54:03',null);
INSERT INTO complaint_statuses VALUES('8107','2113','7','12','81','Issue chlany main nhi hy oven ky program ki unko fon py tafseel sy bta dia hy vedio call py fan unka chal bhi gea likin is modwl ka oven main oven ky sath fan nhi chalta',null,'82','82','2020-11-19 03:18:06','2020-11-19 03:18:06',null);
INSERT INTO complaint_statuses VALUES('8108','2405','7','24','81',null,null,'82','82','2020-11-19 03:18:31','2020-11-19 03:18:31',null);
INSERT INTO complaint_statuses VALUES('8109','2323','7','24','81',null,null,'82','82','2020-11-19 03:26:26','2020-11-19 03:26:26',null);
INSERT INTO complaint_statuses VALUES('8110','2311','7','12','81','Washing machin theek thi likin custmer ny replace kar wai hy .',null,'82','82','2020-11-19 03:29:10','2020-11-19 03:29:10',null);
INSERT INTO complaint_statuses VALUES('8111','2316','7','12','81','Frezer apky pass sy ho ky wapis chla gea hy compresor cheng huwa hu',null,'82','82','2020-11-19 03:32:11','2020-11-19 03:32:11',null);
INSERT INTO complaint_statuses VALUES('8112','2273','7','12','81','Light  isssue tha ur keh rehy thy ander burf ban jati hy dirickt cool frig main burf jamti hy unho ny 500 visit chargis nhi diye .unsy kehy wo dy',null,'82','82','2020-11-19 03:40:12','2020-11-19 03:40:12',null);
INSERT INTO complaint_statuses VALUES('8113','2263','7','24','81','Sensor hrab thy cheng key  test py pesy koi nhi lye abhi chek kry gy',null,'82','82','2020-11-19 03:50:03','2020-11-19 03:50:03',null);
INSERT INTO complaint_statuses VALUES('8114','2119','7','12','81','G wo ly gy hy',null,'82','82','2020-11-19 03:54:14','2020-11-19 03:54:14',null);
INSERT INTO complaint_statuses VALUES('8115','2193','7','12','81','Custmer ny ham sy kam nhi karwaea .apny bandy sy karwayvgy',null,'82','82','2020-11-19 04:02:22','2020-11-19 04:02:22',null);
INSERT INTO complaint_statuses VALUES('8116','2213','7','12','81','Custmer ny oven i10 bhejna tha .aaj pocha hy keh rehy hy theek ho gea hy',null,'82','82','2020-11-19 04:04:46','2020-11-19 04:04:46',null);
INSERT INTO complaint_statuses VALUES('8117','2206','7','24','81','Hud workshop ayea hy moter hrab hy khuram sab ko moter ki pics aaj sand kar di hy chek kar ky btaye gy stock main ya nhi',null,'82','82','2020-11-19 04:06:12','2020-11-19 04:06:12',null);
INSERT INTO complaint_statuses VALUES('8118','2083','7','24','81',null,null,'82','82','2020-11-19 04:07:41','2020-11-19 04:07:41',null);
INSERT INTO complaint_statuses VALUES('8119','2416','7','12','81','Customer ny kha hai machine theek working kr rahi hai..',null,'79','79','2020-11-19 19:33:51','2020-11-19 19:33:51',null);
INSERT INTO complaint_statuses VALUES('8120','2404','7','24','81','Refer to service center..motor and blower issue',null,'79','79','2020-11-19 19:35:24','2020-11-19 19:35:24',null);
INSERT INTO complaint_statuses VALUES('8121','2408','7','22','81','Ref duck issue',null,'79','79','2020-11-19 19:36:00','2020-11-19 19:36:00',null);
INSERT INTO complaint_statuses VALUES('8122','2417','7','12','81','No issue in washing machine..',null,'79','79','2020-11-19 19:36:41','2020-11-19 19:36:41',null);
INSERT INTO complaint_statuses VALUES('8123','1736','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-19 19:59:54','2020-11-21 20:13:36',null);
INSERT INTO complaint_statuses VALUES('8124','1930','5','15',null,'KN-IF KA ISSUE THA I-10 NA YHA CASE ACCEPTED NAI KIAY CUSTOMER REP WAPISE LAY GAY  .
SO COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2020-11-19 20:03:51','2020-11-20 01:30:52',null);
INSERT INTO complaint_statuses VALUES('8125','2446','4',null,'58',null,null,'81','81','2020-11-19 20:04:08','2020-11-19 20:04:08',null);
INSERT INTO complaint_statuses VALUES('8126','2447','2',null,'81',null,'19-NOV-2020
COM FF TO NADEEM','92','92','2020-11-19 20:08:54','2020-11-19 20:08:54',null);
INSERT INTO complaint_statuses VALUES('8127','2447','4',null,'59',null,null,'81','81','2020-11-19 20:17:32','2020-11-19 20:17:32',null);
INSERT INTO complaint_statuses VALUES('8128','2119','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-19 20:21:45','2020-11-19 21:23:18',null);
INSERT INTO complaint_statuses VALUES('8129','2448','2',null,'81',null,'19-NOV-2020
COM FF TO HOME SOLUTION','92','92','2020-11-19 20:25:04','2020-11-19 20:25:04',null);
INSERT INTO complaint_statuses VALUES('8130','2193','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2020-11-19 20:26:41','2020-11-19 21:22:46',null);
INSERT INTO complaint_statuses VALUES('8131','2448','4',null,'62',null,null,'81','81','2020-11-19 20:27:06','2020-11-19 20:27:06',null);
INSERT INTO complaint_statuses VALUES('8132','2417','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-19 20:32:12','2020-11-19 21:05:13',null);
INSERT INTO complaint_statuses VALUES('8133','2416','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-19 20:34:43','2020-11-19 21:05:46',null);
INSERT INTO complaint_statuses VALUES('8134','2447','7','24','81','customer set sturday ko office ly k ay ga',null,'80','80','2020-11-19 20:46:13','2020-11-19 20:46:13',null);
INSERT INTO complaint_statuses VALUES('8135','2449','3',null,'88',null,'19-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-19 21:03:27','2020-11-19 21:03:27',null);
INSERT INTO complaint_statuses VALUES('8136','2273','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-19 21:03:40','2020-11-19 21:15:43',null);
INSERT INTO complaint_statuses VALUES('8137','2354','5','15',null,null,'LIFT IN SERVICE CENTER
CUSTOMER KO LED REPLACE KAR K DI HAIN TASK#2664','81','74','2020-11-19 21:04:49','2020-11-29 02:59:34',null);
INSERT INTO complaint_statuses VALUES('8138','2342','5','15',null,null,'COMPLETED COMPLAINT','81','74','2020-11-19 21:05:13','2020-11-19 21:08:24',null);
INSERT INTO complaint_statuses VALUES('8139','2330','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-19 21:05:38','2020-11-19 21:19:42',null);
INSERT INTO complaint_statuses VALUES('8140','2316','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-19 21:07:36','2020-11-19 21:11:39',null);
INSERT INTO complaint_statuses VALUES('8141','2311','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-11-19 21:07:59','2020-11-19 21:21:13',null);
INSERT INTO complaint_statuses VALUES('8142','2113','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-11-19 21:09:41','2020-11-26 23:38:01',null);
INSERT INTO complaint_statuses VALUES('8143','2213','5','15',null,'COMPLETED COMPLAINT','ABDUL REHMAN SA CONFIRM KAR K COMPLAINT CLOSED KI','81','74','2020-11-19 21:10:29','2020-11-19 23:24:24',null);
INSERT INTO complaint_statuses VALUES('8144','1293','5','15',null,null,'GEYER BOX NAI KHURRAM SIR NA CLOSED KARWA DI COMPLAINT','81','74','2020-11-19 21:12:23','2020-12-19 23:13:08',null);
INSERT INTO complaint_statuses VALUES('8145','2450','3',null,'54',null,'19-NOV-2020
COM NO 1778931','92','92','2020-11-19 21:20:04','2020-12-05 20:15:32',null);
INSERT INTO complaint_statuses VALUES('8146','2451','3',null,'55',null,'19-NOV-2020
COM NO 696148','92','92','2020-11-19 21:37:24','2020-11-19 22:27:49',null);
INSERT INTO complaint_statuses VALUES('8147','2433','7','24','81','As per customer unit is in warranty and customer sayin thah i will disuse regarding cahrges with sales man   
plz check with salesman and confirm
500 visit  3000 labor',null,'83','83','2020-11-19 21:41:11','2020-11-19 21:41:11',null);
INSERT INTO complaint_statuses VALUES('8148','2442','4',null,'58',null,null,'81','81','2020-11-19 21:45:18','2020-11-19 21:45:18',null);
INSERT INTO complaint_statuses VALUES('8149','2452','2',null,'81',null,'19-NOV-2020
COM FF TO USMAN MRM','92','92','2020-11-19 21:45:43','2020-11-19 21:45:43',null);
INSERT INTO complaint_statuses VALUES('8150','2452','4',null,'61',null,null,'81','81','2020-11-19 21:48:43','2020-11-19 21:48:43',null);
INSERT INTO complaint_statuses VALUES('8151','2389','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-19 22:00:28','2020-11-19 22:00:28',null);
INSERT INTO complaint_statuses VALUES('8152','2453','2',null,'81',null,'19-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-11-19 22:01:49','2020-11-19 22:01:49',null);
INSERT INTO complaint_statuses VALUES('8153','1663','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-19 22:03:39','2020-11-19 22:03:39',null);
INSERT INTO complaint_statuses VALUES('8154','1540','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-19 22:10:04','2020-11-19 22:10:04',null);
INSERT INTO complaint_statuses VALUES('8155','1757','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-19 22:18:18','2020-11-19 22:18:18',null);
INSERT INTO complaint_statuses VALUES('8156','2454','2',null,'81',null,'19-NOV-2020
COM FF TO AZHAR','92','92','2020-11-19 22:19:23','2020-11-19 22:20:55',null);
INSERT INTO complaint_statuses VALUES('8157','2267','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-19 22:21:55','2020-11-19 22:21:55',null);
INSERT INTO complaint_statuses VALUES('8158','1765','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-19 22:28:26','2020-11-19 22:28:26',null);
INSERT INTO complaint_statuses VALUES('8159','2428','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-19 22:32:46','2020-11-19 22:32:46',null);
INSERT INTO complaint_statuses VALUES('8160','2384','5',null,null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','74','74','2020-11-19 22:33:32','2020-11-28 21:40:56',null);
INSERT INTO complaint_statuses VALUES('8161','2343','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-19 22:35:33','2020-11-19 22:35:33',null);
INSERT INTO complaint_statuses VALUES('8162','2297','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-19 22:38:51','2020-11-19 22:38:51',null);
INSERT INTO complaint_statuses VALUES('8163','1951','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-19 22:43:53','2020-11-19 22:43:53',null);
INSERT INTO complaint_statuses VALUES('8164','2083','8','23','60',null,null,'81','81','2020-11-19 22:47:55','2020-11-19 22:47:55',null);
INSERT INTO complaint_statuses VALUES('8165','2263','8','23','60',null,null,'81','81','2020-11-19 22:49:17','2020-11-19 22:49:17',null);
INSERT INTO complaint_statuses VALUES('8166','2323','8','23','60',null,null,'81','81','2020-11-19 22:50:22','2020-11-19 22:50:22',null);
INSERT INTO complaint_statuses VALUES('8167','2404','8','15','58',null,null,'81','81','2020-11-19 22:50:43','2020-11-19 22:50:43',null);
INSERT INTO complaint_statuses VALUES('8168','1479','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-19 22:52:49','2020-11-19 22:52:49',null);
INSERT INTO complaint_statuses VALUES('8169','2433','8','23','61','SALE MAN KI CUSTOMER SY BATE HO GAHE HY AP VISIT KARVA DEN',null,'81','81','2020-11-19 22:53:13','2020-11-19 22:53:13',null);
INSERT INTO complaint_statuses VALUES('8170','2447','8','23','59',null,null,'81','81','2020-11-19 22:53:34','2020-11-19 22:53:34',null);
INSERT INTO complaint_statuses VALUES('8171','2408','8','23','58',null,null,'81','81','2020-11-19 22:54:04','2020-11-19 22:54:04',null);
INSERT INTO complaint_statuses VALUES('8172','2405','8','23','60',null,null,'81','81','2020-11-19 22:54:23','2020-11-19 22:54:23',null);
INSERT INTO complaint_statuses VALUES('8173','2442','7','12','81','compliant cancelled',null,'79','79','2020-11-19 22:55:17','2020-11-19 22:55:17',null);
INSERT INTO complaint_statuses VALUES('8174','2332','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-19 22:58:01','2020-11-19 22:58:01',null);
INSERT INTO complaint_statuses VALUES('8175','2118','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-19 23:02:17','2020-11-19 23:02:17',null);
INSERT INTO complaint_statuses VALUES('8176','2455','3',null,'73',null,'19-NOV-2020
COMPLAINT#2545','74','92','2020-11-19 23:07:46','2020-11-19 23:19:43',null);
INSERT INTO complaint_statuses VALUES('8177','2442','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-11-19 23:08:57','2020-11-19 23:14:37',null);
INSERT INTO complaint_statuses VALUES('8178','2456','3',null,'80',null,'19-NOV-2020
FF TO AMNA BOACH','74','74','2020-11-19 23:13:57','2020-11-19 23:13:57',null);
INSERT INTO complaint_statuses VALUES('8179','2454','4',null,'60',null,null,'81','81','2020-11-19 23:15:29','2020-11-19 23:15:29',null);
INSERT INTO complaint_statuses VALUES('8180','2453','4',null,'55',null,null,'81','81','2020-11-19 23:15:40','2020-11-19 23:15:40',null);
INSERT INTO complaint_statuses VALUES('8181','2457','3',null,'84',null,'19-NOV-2020
FF TO NAEEM KENWOOD','74','74','2020-11-19 23:21:15','2020-11-19 23:21:15',null);
INSERT INTO complaint_statuses VALUES('8182','2438','7','22','81','refer to service ccenter.',null,'79','79','2020-11-20 01:04:43','2020-11-20 01:04:43',null);
INSERT INTO complaint_statuses VALUES('8183','2206','8','23','60','i-10 sy lay len',null,'81','81','2020-11-20 01:16:17','2020-11-20 01:16:17',null);
INSERT INTO complaint_statuses VALUES('8184','2458','3',null,'75',null,'19-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-20 01:21:15','2020-11-20 01:21:15',null);
INSERT INTO complaint_statuses VALUES('8185','2310','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-20 01:40:19','2020-11-20 01:40:19',null);
INSERT INTO complaint_statuses VALUES('8186','2459','2',null,'81',null,'19-NOV-2020
COM FF TO HOME SOLUTION','92','92','2020-11-20 01:44:19','2020-11-20 01:44:19',null);
INSERT INTO complaint_statuses VALUES('8187','1174','7','12','81','no action unit out of city',null,'77','77','2020-11-20 01:44:32','2020-11-20 01:44:32',null);
INSERT INTO complaint_statuses VALUES('8188','2306','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-20 01:48:26','2020-11-20 01:48:26',null);
INSERT INTO complaint_statuses VALUES('8189','1625','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-20 01:51:01','2020-11-20 01:51:01',null);
INSERT INTO complaint_statuses VALUES('8190','1229','5',null,null,'COMPLAINT  CLOSED',null,'74','74','2020-11-20 01:54:05','2020-11-20 01:54:05',null);
INSERT INTO complaint_statuses VALUES('8191','2460','3',null,'52',null,'19-NOV-2020
COM NO PKRI-201121102140','92','92','2020-11-20 01:54:14','2020-11-21 19:50:38',null);
INSERT INTO complaint_statuses VALUES('8192','1508','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-20 01:57:16','2020-11-20 01:57:16',null);
INSERT INTO complaint_statuses VALUES('8193','1664','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-20 02:00:15','2020-11-20 02:00:15',null);
INSERT INTO complaint_statuses VALUES('8194','1866','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-20 02:04:55','2020-11-20 02:04:55',null);
INSERT INTO complaint_statuses VALUES('8195','2461','2',null,'81',null,'19-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-20 02:13:18','2020-11-20 02:13:18',null);
INSERT INTO complaint_statuses VALUES('8196','2462','3',null,'53',null,'18-NOV-2020
COMPLAINT#1069120','74','92','2020-11-20 02:13:29','2020-11-20 02:18:27',null);
INSERT INTO complaint_statuses VALUES('8197','1688','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-20 02:14:09','2020-11-20 02:14:09',null);
INSERT INTO complaint_statuses VALUES('8198','2463','2',null,'81',null,'19-NOV-2020
COM FF TO AZHAR SIR','92','92','2020-11-20 02:44:08','2020-11-20 02:44:08',null);
INSERT INTO complaint_statuses VALUES('8199','2380','7','12','81','Filter Service (Visit Not Paid)',null,'76','76','2020-11-20 02:46:26','2020-11-20 02:46:26',null);
INSERT INTO complaint_statuses VALUES('8200','2375','7','9','81',null,null,'77','77','2020-11-20 02:48:28','2020-11-20 02:48:28',null);
INSERT INTO complaint_statuses VALUES('8201','1983','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-20 02:48:42','2020-11-20 02:48:42',null);
INSERT INTO complaint_statuses VALUES('8202','1669','7','12','81','Two time enter. Now this unit is in friends blue area islamabad.','PANAL AAGYAHAIN MONDAY TUESDY TAQ OK HO JAY GA','77','74','2020-11-20 02:49:33','2020-12-19 23:33:13',null);
INSERT INTO complaint_statuses VALUES('8203','1966','7','12','81','Door Damper Replaced (Payment Pending 5500)',null,'76','76','2020-11-20 02:52:59','2020-11-20 02:52:59',null);
INSERT INTO complaint_statuses VALUES('8204','2461','4',null,'58',null,null,'81','81','2020-11-20 02:55:01','2020-11-20 02:55:01',null);
INSERT INTO complaint_statuses VALUES('8205','2377','7','12','81','Door Adjustment Only.',null,'76','76','2020-11-20 02:55:15','2020-11-20 02:55:15',null);
INSERT INTO complaint_statuses VALUES('8206','2378','7','24','81','Visit okay 
Compresor issue hy 
Adil.bhai keh reh hy parso lift karway gy i10',null,'82','82','2020-11-20 02:55:16','2020-11-20 02:55:16',null);
INSERT INTO complaint_statuses VALUES('8207','2464','3',null,'62',null,'19-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-20 03:04:24','2020-11-20 03:04:24',null);
INSERT INTO complaint_statuses VALUES('8208','2463','4',null,'60',null,null,'81','81','2020-11-20 03:08:55','2020-11-20 03:08:55',null);
INSERT INTO complaint_statuses VALUES('8209','2459','4',null,'62',null,null,'81','81','2020-11-20 03:09:12','2020-11-20 03:09:12',null);
INSERT INTO complaint_statuses VALUES('8210','2285','5','23',null,'NAEEM SAB APPROVAL DA DI HAIN SET READY KARAY','COMPLAINT RESOLVED','81','74','2020-11-20 20:38:45','2020-11-21 00:37:04',null);
INSERT INTO complaint_statuses VALUES('8211','2465','2',null,'81',null,'10-NOV-2020
FF TO KHALID','74','74','2020-11-20 20:39:15','2020-11-20 20:39:15',null);
INSERT INTO complaint_statuses VALUES('8212','2465','4',null,'56',null,null,'81','81','2020-11-20 20:39:41','2020-11-20 20:39:41',null);
INSERT INTO complaint_statuses VALUES('8213','2466','3',null,'65',null,'20-NOV-2020
COMPLAINT#192019049','74','92','2020-11-20 21:21:30','2020-11-24 02:14:55',null);
INSERT INTO complaint_statuses VALUES('8214','2467','3',null,'65',null,'20-NOV-2020
COMPLAINT#192019051','74','74','2020-11-20 21:42:16','2020-11-20 21:42:16',null);
INSERT INTO complaint_statuses VALUES('8215','2468','3',null,'52',null,'20-NOV-2020
COMPLAINT#PKRI-201120105586','74','92','2020-11-20 21:49:05','2020-11-25 20:14:42',null);
INSERT INTO complaint_statuses VALUES('8216','2469','3',null,'52',null,'20-NOV-2020
COMPLAINT#PKRI201120105944','74','92','2020-11-20 22:08:24','2020-11-24 02:08:36',null);
INSERT INTO complaint_statuses VALUES('8217','2336','7','12','81','General Service.',null,'76','76','2020-11-20 22:11:41','2020-11-20 22:11:41',null);
INSERT INTO complaint_statuses VALUES('8218','2281','7','12','81','General Service Only',null,'76','76','2020-11-20 22:13:47','2020-11-20 22:13:47',null);
INSERT INTO complaint_statuses VALUES('8219','2470','2',null,'81',null,'20-NOV-2020
FF TO B.COOL','74','74','2020-11-20 23:53:15','2020-11-20 23:53:15',null);
INSERT INTO complaint_statuses VALUES('8220','2470','4',null,'58',null,null,'81','81','2020-11-20 23:53:53','2020-11-20 23:53:53',null);
INSERT INTO complaint_statuses VALUES('8221','2433','7','12','81','visit done  wifi device connecter clean   unit ok  
RS 2500/- paid by customer',null,'83','83','2020-11-21 00:01:59','2020-11-21 00:01:59',null);
INSERT INTO complaint_statuses VALUES('8222','2471','2',null,'81',null,'20-NOV-2020
FF TO HOME SOLUTION','74','74','2020-11-21 00:14:59','2020-11-21 00:14:59',null);
INSERT INTO complaint_statuses VALUES('8223','2471','4',null,'62',null,null,'81','81','2020-11-21 00:15:37','2020-11-21 00:15:37',null);
INSERT INTO complaint_statuses VALUES('8224','2465','7','12','81','As per approaval unit ok',null,'77','77','2020-11-21 00:18:47','2020-11-21 00:18:47',null);
INSERT INTO complaint_statuses VALUES('8225','2465','8','23','56','NAEEM SIR NA APROVAL DA DI HAIN SET READY KARAY',null,'81','81','2020-11-21 00:19:54','2020-11-21 00:19:54',null);
INSERT INTO complaint_statuses VALUES('8226','2433','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-11-21 00:21:12','2020-11-21 00:31:09',null);
INSERT INTO complaint_statuses VALUES('8227','2380','5','15',null,'COMPLETED COMPLAINT','COMPLAINTS RESOLVED','81','74','2020-11-21 00:22:13','2020-11-21 00:31:43',null);
INSERT INTO complaint_statuses VALUES('8228','2377','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-21 00:23:23','2020-11-21 00:32:17',null);
INSERT INTO complaint_statuses VALUES('8229','2472','2',null,'81',null,'20-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-21 00:25:10','2020-11-21 00:25:10',null);
INSERT INTO complaint_statuses VALUES('8230','2472','4',null,'63',null,null,'81','81','2020-11-21 00:25:49','2020-11-21 00:25:49',null);
INSERT INTO complaint_statuses VALUES('8231','2375','8','23','56','ON HAIN NO',null,'81','81','2020-11-21 00:29:55','2020-11-21 00:29:55',null);
INSERT INTO complaint_statuses VALUES('8232','2336','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-21 00:34:44','2020-11-21 00:37:39',null);
INSERT INTO complaint_statuses VALUES('8233','2281','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-21 00:35:54','2020-11-21 00:38:36',null);
INSERT INTO complaint_statuses VALUES('8234','2448','7','12','81','ISSUE RESOLVED',null,'87','87','2020-11-21 00:37:42','2020-11-21 00:37:42',null);
INSERT INTO complaint_statuses VALUES('8235','2099','7','12','81','Issue Solved.',null,'76','76','2020-11-21 00:42:09','2020-11-21 00:42:09',null);
INSERT INTO complaint_statuses VALUES('8236','2259','7','12','81','Filter Service.',null,'76','76','2020-11-21 00:43:23','2020-11-21 00:43:23',null);
INSERT INTO complaint_statuses VALUES('8237','2333','7','12','81','Main PCB Repaired (Customer Not Paid Total Charges , only Paid 2500/- ,6500 /-are Balance , Customer  not agree for Paying remaining Payment , he Said Clear Your Payment from PWD Azhar (Friends Dealer ) from Where Customer  purchased his Ref)',null,'76','76','2020-11-21 00:47:48','2020-11-21 00:47:48',null);
INSERT INTO complaint_statuses VALUES('8238','2335','7','12','81','Drain Heater Replaced',null,'76','76','2020-11-21 00:48:41','2020-11-21 00:48:41',null);
INSERT INTO complaint_statuses VALUES('8239','2327','7','12','81','Filter Service',null,'76','76','2020-11-21 00:55:25','2020-11-21 00:55:25',null);
INSERT INTO complaint_statuses VALUES('8240','2183','7','12','81','Washing Machine and Baby Washer Service and Door Switch.',null,'76','76','2020-11-21 00:56:59','2020-11-21 00:56:59',null);
INSERT INTO complaint_statuses VALUES('8241','2163','7','12','81','Compressor Replaced (Payment Pending 25000)',null,'76','76','2020-11-21 01:02:10','2020-11-21 01:02:10',null);
INSERT INTO complaint_statuses VALUES('8242','2463','7','12','81','Khuram canan waly ko.bhejy',null,'82','82','2020-11-21 01:04:28','2020-11-21 01:04:28',null);
INSERT INTO complaint_statuses VALUES('8243','2275','7','12','81','Hob wala banda bhejy .
Hud thewk hy',null,'82','82','2020-11-21 01:05:09','2020-11-21 01:05:09',null);
INSERT INTO complaint_statuses VALUES('8244','864','7','12','81','Customer Ko Estimate Share Kia tha, but us nay approve nai kia , without approval gasket demand ni ho skti.please close this Complaint.',null,'76','76','2020-11-21 01:05:24','2020-11-21 01:05:24',null);
INSERT INTO complaint_statuses VALUES('8245','2473','2',null,'81',null,'20-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-21 02:24:28','2020-11-21 02:24:28',null);
INSERT INTO complaint_statuses VALUES('8246','2473','4',null,'63',null,null,'81','81','2020-11-21 02:25:53','2020-11-21 02:25:53',null);
INSERT INTO complaint_statuses VALUES('8247','2474','3',null,'80',null,'20-NOV-2020
FF TO AMNA BOSCH','74','92','2020-11-21 02:29:19','2020-11-23 21:05:17',null);
INSERT INTO complaint_statuses VALUES('8248','2379','7','20','81','I have called to customer . Today will visit',null,'77','77','2020-11-21 03:45:00','2020-11-21 03:45:00',null);
INSERT INTO complaint_statuses VALUES('8249','2269','7','12','81','complaint resolved.sorry is drain ka issue  tha ..',null,'79','79','2020-11-21 19:10:08','2020-11-21 19:10:08',null);
INSERT INTO complaint_statuses VALUES('8250','2448','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-21 19:56:49','2020-11-21 20:10:11',null);
INSERT INTO complaint_statuses VALUES('8251','2463','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-21 19:57:26','2020-11-21 20:07:50',null);
INSERT INTO complaint_statuses VALUES('8252','2475','2',null,'81',null,'21-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-21 20:00:53','2020-11-21 20:00:53',null);
INSERT INTO complaint_statuses VALUES('8253','2379','8','23','56','JOB COMPLETED QUKILEY',null,'81','81','2020-11-21 20:01:20','2020-11-21 20:01:20',null);
INSERT INTO complaint_statuses VALUES('8254','2475','4',null,'63',null,null,'81','81','2020-11-21 20:01:33','2020-11-21 20:01:33',null);
INSERT INTO complaint_statuses VALUES('8255','2335','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-21 20:02:15','2020-11-21 20:10:49',null);
INSERT INTO complaint_statuses VALUES('8256','2327','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','74','2020-11-21 20:06:54','2020-11-21 20:11:20',null);
INSERT INTO complaint_statuses VALUES('8257','2275','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-21 20:08:36','2020-11-21 20:11:58',null);
INSERT INTO complaint_statuses VALUES('8258','2269','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-21 20:09:42','2020-11-21 20:12:30',null);
INSERT INTO complaint_statuses VALUES('8259','2446','7','12','81','complaint resolved no issue i oven',null,'79','79','2020-11-21 20:11:21','2020-11-21 20:11:21',null);
INSERT INTO complaint_statuses VALUES('8260','2444','7','12','81','complaint resolved .filter clean and flut valuve ki sirf wire ka issue tha .',null,'79','79','2020-11-21 20:12:12','2020-11-21 20:12:12',null);
INSERT INTO complaint_statuses VALUES('8261','2476','2',null,'81',null,'21-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-11-21 20:13:53','2020-11-21 20:13:53',null);
INSERT INTO complaint_statuses VALUES('8262','2259','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-21 20:19:06','2020-11-23 21:11:41',null);
INSERT INTO complaint_statuses VALUES('8263','2477','3',null,'53',null,'21-NOV-2020
COM NO 301069622','92','92','2020-11-21 20:22:35','2020-11-21 20:25:06',null);
INSERT INTO complaint_statuses VALUES('8264','2183','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-21 20:22:53','2020-11-24 20:30:09',null);
INSERT INTO complaint_statuses VALUES('8265','2446','5','15',null,'COMPLETED COMPLAINT','COMPLETED RESOLVED','81','74','2020-11-21 20:25:18','2020-11-21 20:26:13',null);
INSERT INTO complaint_statuses VALUES('8266','2444','8','15','58','COMPLETED COMPLAINT',null,'81','81','2020-11-21 20:26:51','2020-11-21 20:26:51',null);
INSERT INTO complaint_statuses VALUES('8267','2478','2',null,'81',null,'21-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-11-21 20:33:26','2020-11-21 20:33:26',null);
INSERT INTO complaint_statuses VALUES('8268','2479','3',null,'53',null,'21-NOV-2020
COM NO 1069626','92','92','2020-11-21 20:49:37','2020-11-21 20:53:18',null);
INSERT INTO complaint_statuses VALUES('8269','2480','3',null,'54',null,'21-NOV-2020
COMPLAINT#1771964
RWAP S/C ATTEND KARAY GA COMPLAINT','74','74','2020-11-21 20:51:18','2020-11-21 21:18:23',null);
INSERT INTO complaint_statuses VALUES('8270','2454','7','12','81','Filter ganda tha .500 ly lye hy',null,'82','82','2020-11-21 20:55:18','2020-11-21 20:55:18',null);
INSERT INTO complaint_statuses VALUES('8271','2405','7','12','81','Water inlet coli chenjed .job okay custmer paid',null,'82','82','2020-11-21 20:56:11','2020-11-21 20:56:11',null);
INSERT INTO complaint_statuses VALUES('8272','2263','7','24','81','One day ur chek kry gy phir inform kry gy',null,'82','82','2020-11-21 20:59:42','2020-11-21 20:59:42',null);
INSERT INTO complaint_statuses VALUES('8273','2083','7','12','81','Light fit kar di hu',null,'82','82','2020-11-21 21:01:12','2020-11-21 21:01:12',null);
INSERT INTO complaint_statuses VALUES('8274','2481','3',null,'73',null,'21-NOV-2020
COM NO 2576','92','92','2020-11-21 21:05:28','2020-11-21 21:18:14',null);
INSERT INTO complaint_statuses VALUES('8275','2482','3',null,'62',null,'21-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-21 21:23:33','2020-11-21 22:56:24',null);
INSERT INTO complaint_statuses VALUES('8276','2358','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-21 21:24:45','2020-11-21 21:24:45',null);
INSERT INTO complaint_statuses VALUES('8277','2483','3',null,'88',null,'21-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-21 21:30:37','2020-11-21 21:30:37',null);
INSERT INTO complaint_statuses VALUES('8278','2465','7','12','81','Unit ok and delivered to friends blue area islamabad.',null,'77','77','2020-11-21 21:34:42','2020-11-21 21:34:42',null);
INSERT INTO complaint_statuses VALUES('8279','2484','3',null,'52',null,'21-NOV-2020
COM NO PKRI 201121108732','92','92','2020-11-21 21:35:13','2020-11-22 00:31:17',null);
INSERT INTO complaint_statuses VALUES('8280','2485','2',null,'81',null,'21-+NOV-2020
FF TO B.COLL','74','74','2020-11-21 21:43:02','2020-11-21 21:43:02',null);
INSERT INTO complaint_statuses VALUES('8281','2485','4',null,'58',null,null,'81','81','2020-11-21 21:43:30','2020-11-21 21:43:30',null);
INSERT INTO complaint_statuses VALUES('8282','2478','4',null,'55',null,null,'81','81','2020-11-21 21:43:46','2020-11-21 21:43:46',null);
INSERT INTO complaint_statuses VALUES('8283','2476','4',null,'55',null,null,'81','81','2020-11-21 21:43:54','2020-11-21 21:43:54',null);
INSERT INTO complaint_statuses VALUES('8284','2486','3',null,'53',null,'21-NOV-2020
COM NO 301069754','92','92','2020-11-21 21:45:37','2020-11-22 00:55:11',null);
INSERT INTO complaint_statuses VALUES('8285','2353','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-21 21:50:19','2020-11-21 21:50:19',null);
INSERT INTO complaint_statuses VALUES('8286','2487','3',null,'81',null,'21-NOV-2020
COM NO 4087','92','92','2020-11-21 21:52:23','2020-11-22 00:59:55',null);
INSERT INTO complaint_statuses VALUES('8287','2171','7','12','81','ISSUE RESOLVED , GAS CHARGED + COMP REPLACED',null,'87','87','2020-11-21 21:54:35','2020-11-21 21:54:35',null);
INSERT INTO complaint_statuses VALUES('8288','2488','2',null,'81',null,'21-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-21 21:58:49','2020-11-21 21:58:49',null);
INSERT INTO complaint_statuses VALUES('8289','2488','4',null,'58',null,null,'81','81','2020-11-21 22:02:42','2020-11-21 22:02:42',null);
INSERT INTO complaint_statuses VALUES('8290','2350','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-21 22:03:20','2020-11-21 22:03:20',null);
INSERT INTO complaint_statuses VALUES('8291','2489','3',null,'52',null,'21-NOV-2020
COM NO PKRI 201121109436','92','92','2020-11-21 22:05:56','2020-11-22 01:06:23',null);
INSERT INTO complaint_statuses VALUES('8292','2349','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-21 22:06:42','2020-11-21 22:06:42',null);
INSERT INTO complaint_statuses VALUES('8293','2490','3',null,'57',null,'21-NOV-2020
COM NO 14640','92','92','2020-11-21 22:15:04','2020-11-22 00:22:56',null);
INSERT INTO complaint_statuses VALUES('8294','2491','3',null,'65',null,'21-NOV-2020
COM NO 192019072','92','92','2020-11-21 22:24:37','2020-11-22 01:20:09',null);
INSERT INTO complaint_statuses VALUES('8295','2317','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-21 22:24:53','2020-11-21 22:24:53',null);
INSERT INTO complaint_statuses VALUES('8296','2492','3',null,'55',null,'21-NOV-2020
COM NO IFB-10384','92','92','2020-11-21 22:36:06','2020-11-22 01:12:16',null);
INSERT INTO complaint_statuses VALUES('8297','2390','7','12','81','Unit ok   customer will inform if he face the problem',null,'83','83','2020-11-21 22:38:58','2020-11-21 22:38:58',null);
INSERT INTO complaint_statuses VALUES('8298','2454','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2020-11-21 22:47:27','2020-11-23 00:15:46',null);
INSERT INTO complaint_statuses VALUES('8299','2405','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2020-11-21 22:48:49','2020-11-23 19:41:53',null);
INSERT INTO complaint_statuses VALUES('8300','2493','2',null,'81',null,'21-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-11-21 22:57:23','2020-11-21 22:57:23',null);
INSERT INTO complaint_statuses VALUES('8301','2494','2',null,'81',null,'21-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-11-21 23:06:42','2020-11-21 23:06:42',null);
INSERT INTO complaint_statuses VALUES('8302','2390','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-11-21 23:18:05','2020-11-23 20:49:32',null);
INSERT INTO complaint_statuses VALUES('8303','2083','8','23','60','CUSTOMER KI COMPLAINT RESOLVED NAI HOI .
KINDLY CUSTOMER SA AGAIN CONTACT KARAY',null,'81','81','2020-11-21 23:20:47','2020-11-21 23:20:47',null);
INSERT INTO complaint_statuses VALUES('8304','2495','3',null,'66',null,'21-NOV-2020
COM NO PK112320200016','92','92','2020-11-21 23:21:44','2020-11-23 19:59:01',null);
INSERT INTO complaint_statuses VALUES('8305','2494','4',null,'55',null,null,'81','81','2020-11-21 23:25:24','2020-11-21 23:25:24',null);
INSERT INTO complaint_statuses VALUES('8306','2493','4',null,'55',null,null,'81','81','2020-11-21 23:25:36','2020-11-21 23:25:36',null);
INSERT INTO complaint_statuses VALUES('8307','2496','3',null,'52',null,'21-NOV-2020
COM NO PKRI 201121108811 PKRI 201121108843 PKRI 201121108865','92','92','2020-11-21 23:34:04','2020-11-22 00:38:00',null);
INSERT INTO complaint_statuses VALUES('8308','2497','3',null,'57',null,'21-NOV-2020
COM NO 14643','92','92','2020-11-21 23:41:39','2020-11-22 01:30:44',null);
INSERT INTO complaint_statuses VALUES('8309','2323','7','24','81',null,null,'82','82','2020-11-21 23:48:52','2020-11-21 23:48:52',null);
INSERT INTO complaint_statuses VALUES('8310','2325','7','12','81','cupplery ,,gas,,and compressor..coamplai nt resolved.',null,'79','79','2020-11-21 23:55:53','2020-11-21 23:55:53',null);
INSERT INTO complaint_statuses VALUES('8311','2498','2',null,'81',null,'21-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-11-21 23:57:19','2020-11-21 23:57:19',null);
INSERT INTO complaint_statuses VALUES('8312','2499','3',null,'57',null,'21-NOV-2020
COMPLINT#14644','74','92','2020-11-22 00:22:35','2020-11-22 01:33:46',null);
INSERT INTO complaint_statuses VALUES('8313','2500','3',null,'91',null,'21-NOV-2020
FF TO SAMI GABA','74','92','2020-11-22 00:34:19','2020-12-23 21:48:12',null);
INSERT INTO complaint_statuses VALUES('8314','2498','4',null,'55',null,null,'81','81','2020-11-22 00:35:54','2020-11-22 00:35:54',null);
INSERT INTO complaint_statuses VALUES('8315','2501','3',null,'52',null,'21-NOV-2020
COM NO PKRI-201110248','92','92','2020-11-22 01:52:03','2020-11-25 20:16:09',null);
INSERT INTO complaint_statuses VALUES('8316','2502','2',null,'81',null,'21-NOV-2020
COM FF TO KHALID SONY','92','92','2020-11-22 02:11:05','2020-11-22 02:11:05',null);
INSERT INTO complaint_statuses VALUES('8317','2503','3',null,'65',null,'21-NOV-2020
COMPLAINT#192019075','74','92','2020-11-22 02:27:06','2020-11-24 20:34:49',null);
INSERT INTO complaint_statuses VALUES('8318','2443','7','24','81','body mei crack hain.',null,'79','79','2020-11-22 03:24:16','2020-11-22 03:24:16',null);
INSERT INTO complaint_statuses VALUES('8319','2506','3',null,'54',null,'22-NOV-2020
COM NO 1778912','92','92','2020-11-22 19:20:28','2020-12-05 20:02:37',null);
INSERT INTO complaint_statuses VALUES('8320','2461','7','24','81','compressor issue .restart nahi hota direct bhi cahlaye tb bhi yahi issue hai.stuck ho jaa hai',null,'79','79','2020-11-22 19:27:01','2020-11-22 19:27:01',null);
INSERT INTO complaint_statuses VALUES('8321','2507','2',null,'81',null,'22-NOV-2020
COM FF TO HOME SOLUTION','92','92','2020-11-22 19:35:25','2020-11-22 19:35:25',null);
INSERT INTO complaint_statuses VALUES('8322','2483','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-22 19:39:46','2020-11-22 19:39:46',null);
INSERT INTO complaint_statuses VALUES('8323','2508','2',null,'81',null,'22-NOV-2020
COM FF TO HOME SOLUTION','92','92','2020-11-22 19:47:13','2020-11-22 19:47:13',null);
INSERT INTO complaint_statuses VALUES('8324','2509','3',null,'65',null,'22-NOV-2020
COM NO 192019076','92','92','2020-11-22 19:57:00','2020-11-22 20:00:17',null);
INSERT INTO complaint_statuses VALUES('8325','2510','3',null,'57',null,'22-NOV-2020
COM NO 14656','92','92','2020-11-22 20:23:00','2020-11-22 20:49:35',null);
INSERT INTO complaint_statuses VALUES('8326','2471','7','12','81','ISSUE RESOLVED , FAN MOTER REPLCACE',null,'87','87','2020-11-22 20:24:35','2020-11-22 20:24:35',null);
INSERT INTO complaint_statuses VALUES('8327','2397','5',null,null,'COMPLAINT COMPLETED','GASS REFIL KAR DI PEHWAR WALO NA .
OUT DOOR PURNA BAJ DIA YHA ISSUE CUSTOMER KO','92','74','2020-11-22 20:31:00','2020-11-24 00:19:32',null);
INSERT INTO complaint_statuses VALUES('8328','2511','3',null,'54',null,'22-NOV-2020
COM NO 1772416','92','92','2020-11-22 20:41:01','2020-11-22 20:45:28',null);
INSERT INTO complaint_statuses VALUES('8329','2512','3',null,'65',null,'22-NOV-2020
COM NO 192019077','92','92','2020-11-22 20:59:35','2020-11-22 21:05:30',null);
INSERT INTO complaint_statuses VALUES('8330','2513','2',null,'81',null,'22-NOV-2020
COM FF TO KHALID SIR','92','92','2020-11-22 21:18:42','2020-11-22 21:18:42',null);
INSERT INTO complaint_statuses VALUES('8331','2514','2',null,'81',null,'22-NOV-2020
COM FF TO HOME SOLUTION','92','92','2020-11-22 21:25:25','2020-11-22 21:25:25',null);
INSERT INTO complaint_statuses VALUES('8332','2515','2',null,'81',null,'22-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-22 21:41:45','2020-11-22 21:41:45',null);
INSERT INTO complaint_statuses VALUES('8333','2471','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-22 21:58:16','2020-11-23 20:47:56',null);
INSERT INTO complaint_statuses VALUES('8334','2516','3',null,'53',null,'22-NOV-2020
COM NO 1069782','92','92','2020-11-22 22:02:21','2020-11-22 22:10:36',null);
INSERT INTO complaint_statuses VALUES('8335','2465','8','23','56','please define expense details',null,'81','81','2020-11-22 22:03:23','2020-11-22 22:03:23',null);
INSERT INTO complaint_statuses VALUES('8336','2333','8','23','55','please any discount 6500',null,'81','81','2020-11-22 22:06:57','2020-11-22 22:06:57',null);
INSERT INTO complaint_statuses VALUES('8337','2325','8','15','58',null,null,'81','81','2020-11-22 22:07:22','2020-11-22 22:07:22',null);
INSERT INTO complaint_statuses VALUES('8338','2171','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-22 22:07:41','2020-11-24 20:33:05',null);
INSERT INTO complaint_statuses VALUES('8339','2163','8','23','55','please mention compressor model . and mention compressor model in bill',null,'81','81','2020-11-22 22:11:18','2020-11-22 22:11:18',null);
INSERT INTO complaint_statuses VALUES('8340','2099','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-22 22:12:04','2020-11-26 23:41:17',null);
INSERT INTO complaint_statuses VALUES('8341','1966','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-22 22:12:45','2020-11-27 01:21:03',null);
INSERT INTO complaint_statuses VALUES('8342','2356','7','12','81','No Fault.',null,'76','76','2020-11-22 22:21:19','2020-11-22 22:21:19',null);
INSERT INTO complaint_statuses VALUES('8343','2220','7','12','81','Service Complete.',null,'76','76','2020-11-22 22:22:10','2020-11-22 22:22:10',null);
INSERT INTO complaint_statuses VALUES('8344','2325','7','12','81','Comaplint resolved',null,'79','79','2020-11-22 22:30:03','2020-11-22 22:30:03',null);
INSERT INTO complaint_statuses VALUES('8345','1669','5','15',null,'bule aria sy grn hove pwd . blue aria grn no 69798 . pwd grn no 9623','SONY WALAY SA DAMAGE HO GAYA HAIN PANAL ORDER KAR DIA','81','74','2020-11-22 22:30:59','2020-12-06 02:02:12',null);
INSERT INTO complaint_statuses VALUES('8346','2517','3',null,'55',null,'22-NOV-2020
COM NO 696924','92','92','2020-11-22 22:37:38','2020-11-22 22:43:18',null);
INSERT INTO complaint_statuses VALUES('8347','2220','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-22 22:39:24','2020-11-24 20:27:50',null);
INSERT INTO complaint_statuses VALUES('8348','864','5','15',null,null,'CUSTOMER KO  10,000 KA EXP INFORMED KAR DIA BUT CUSTOMER NA ABI TAQ KOI REPLAY NAI KIYA SO COMPLAINT CLOSED','81','74','2020-11-22 22:49:33','2020-12-19 23:11:30',null);
INSERT INTO complaint_statuses VALUES('8349','2461','8','23','58',null,null,'81','81','2020-11-22 22:50:20','2020-11-22 22:50:20',null);
INSERT INTO complaint_statuses VALUES('8350','2135','7','12','81','Washing machine return .ho gai hai',null,'79','79','2020-11-22 22:54:13','2020-11-22 22:54:13',null);
INSERT INTO complaint_statuses VALUES('8351','2438','5','23',null,null,'COMPLAINT RESOLVED','81','92','2020-11-22 23:08:08','2020-11-23 00:16:23',null);
INSERT INTO complaint_statuses VALUES('8352','2518','2',null,'81',null,'22-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-22 23:16:08','2020-11-22 23:16:08',null);
INSERT INTO complaint_statuses VALUES('8353','2356','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-22 23:41:10','2020-11-23 20:51:05',null);
INSERT INTO complaint_statuses VALUES('8354','2325','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-22 23:41:44','2020-11-23 21:08:50',null);
INSERT INTO complaint_statuses VALUES('8355','2519','3',null,'52',null,'22-NOV-2020
COM NO PKRI-201122105316','92','92','2020-11-22 23:49:19','2020-11-22 23:52:13',null);
INSERT INTO complaint_statuses VALUES('8356','2263','8','23','60',null,null,'81','81','2020-11-22 23:56:36','2020-11-22 23:56:36',null);
INSERT INTO complaint_statuses VALUES('8357','2378','8','23','60',null,null,'81','81','2020-11-22 23:57:18','2020-11-22 23:57:18',null);
INSERT INTO complaint_statuses VALUES('8358','2323','8','23','60',null,null,'81','81','2020-11-22 23:57:54','2020-11-22 23:57:54',null);
INSERT INTO complaint_statuses VALUES('8359','2520','3',null,'52',null,'22-NOV-2020
COM NO PKRI-201122105551','92','92','2020-11-22 23:58:38','2020-11-23 00:11:48',null);
INSERT INTO complaint_statuses VALUES('8360','2406','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-23 00:27:08','2020-11-23 00:27:08',null);
INSERT INTO complaint_statuses VALUES('8361','2409','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-23 00:28:45','2020-11-23 00:28:45',null);
INSERT INTO complaint_statuses VALUES('8362','2410','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-23 00:30:28','2020-11-23 00:30:28',null);
INSERT INTO complaint_statuses VALUES('8363','2413','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-23 00:32:56','2020-11-23 00:32:56',null);
INSERT INTO complaint_statuses VALUES('8364','2423','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-23 00:34:55','2020-11-23 00:34:55',null);
INSERT INTO complaint_statuses VALUES('8365','2429','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-23 00:36:56','2020-11-23 00:36:56',null);
INSERT INTO complaint_statuses VALUES('8366','2435','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-23 00:38:41','2020-11-23 00:38:41',null);
INSERT INTO complaint_statuses VALUES('8367','2436','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-23 00:40:32','2020-11-23 00:40:32',null);
INSERT INTO complaint_statuses VALUES('8368','2440','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-23 00:42:11','2020-11-23 00:42:11',null);
INSERT INTO complaint_statuses VALUES('8369','2522','3',null,'52',null,'22-NOV-2020
COM NO PKRI-201123102743','92','92','2020-11-23 00:52:25','2020-11-23 20:13:12',null);
INSERT INTO complaint_statuses VALUES('8370','2523','2',null,'81',null,'22-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-23 01:29:42','2020-11-23 01:29:42',null);
INSERT INTO complaint_statuses VALUES('8371','2524','3',null,'66',null,'22-NOV-2020
COM NO PK112320200096','92','92','2020-11-23 01:41:03','2020-11-23 20:07:12',null);
INSERT INTO complaint_statuses VALUES('8372','2408','7','12','81','duckt laga di hai.complaint resolved',null,'79','79','2020-11-23 01:47:48','2020-11-23 01:47:48',null);
INSERT INTO complaint_statuses VALUES('8373','2488','7','24','81','customer oven i 10 ly kr aye gain',null,'79','79','2020-11-23 01:59:07','2020-11-23 01:59:07',null);
INSERT INTO complaint_statuses VALUES('8374','2523','4',null,'58',null,null,'81','81','2020-11-23 19:26:13','2020-11-23 19:26:13',null);
INSERT INTO complaint_statuses VALUES('8375','2518','4',null,'58',null,null,'81','81','2020-11-23 19:26:26','2020-11-23 19:26:26',null);
INSERT INTO complaint_statuses VALUES('8376','2515','4',null,'58',null,null,'81','81','2020-11-23 19:26:45','2020-11-23 19:26:45',null);
INSERT INTO complaint_statuses VALUES('8377','2514','4',null,'62',null,'VISIT TO DAY','81','74','2020-11-23 19:26:56','2020-11-23 21:25:50',null);
INSERT INTO complaint_statuses VALUES('8378','2513','4',null,'56',null,null,'81','81','2020-11-23 19:27:09','2020-11-23 19:27:09',null);
INSERT INTO complaint_statuses VALUES('8379','2507','4',null,'62',null,null,'81','81','2020-11-23 19:28:14','2020-11-23 19:28:14',null);
INSERT INTO complaint_statuses VALUES('8380','2502','4',null,'56',null,null,'81','81','2020-11-23 19:28:24','2020-11-23 19:28:24',null);
INSERT INTO complaint_statuses VALUES('8381','2508','4',null,'62',null,null,'81','81','2020-11-23 19:28:38','2020-11-23 19:28:38',null);
INSERT INTO complaint_statuses VALUES('8382','2525','3',null,'52',null,'23-NOV-2020
COM NO PKRI 201123101904','92','92','2020-11-23 19:34:32','2020-11-23 19:40:11',null);
INSERT INTO complaint_statuses VALUES('8383','2526','2',null,'81',null,'23-NOV-2020
FF TO AZHAR FCI','74','74','2020-11-23 20:06:42','2020-11-23 20:06:42',null);
INSERT INTO complaint_statuses VALUES('8384','2526','4',null,'60',null,null,'81','81','2020-11-23 20:07:17','2020-11-23 20:07:17',null);
INSERT INTO complaint_statuses VALUES('8385','2513','7','12','81','No issue in unit. Its ok. Unit with customer',null,'77','77','2020-11-23 20:20:57','2020-11-23 20:20:57',null);
INSERT INTO complaint_statuses VALUES('8386','2379','7','22','81','Its screen faulty. We have check with other ok unit. Its screen price is 26000.',null,'77','77','2020-11-23 20:23:03','2020-11-23 20:23:03',null);
INSERT INTO complaint_statuses VALUES('8387','2527','3',null,'52',null,'23-NOV-2020
COMPLAINT#PKRI-201123101850','74','92','2020-11-23 20:33:42','2020-11-24 01:24:44',null);
INSERT INTO complaint_statuses VALUES('8388','2528','2',null,'81',null,'23-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-23 20:40:08','2020-11-23 20:40:08',null);
INSERT INTO complaint_statuses VALUES('8389','2529','2',null,'81',null,'23-NOV-2020
COM FF TO AZHAR SIR','92','92','2020-11-23 20:43:12','2020-11-23 20:43:12',null);
INSERT INTO complaint_statuses VALUES('8390','2528','4',null,'63',null,null,'81','81','2020-11-23 20:43:52','2020-11-23 20:43:52',null);
INSERT INTO complaint_statuses VALUES('8391','2529','4',null,'60',null,null,'81','81','2020-11-23 20:44:11','2020-11-23 20:44:11',null);
INSERT INTO complaint_statuses VALUES('8392','2530','2',null,'81',null,'23-NOV-2020
COM FF TO HOME SOLUTION','92','92','2020-11-23 20:50:55','2020-11-23 20:50:55',null);
INSERT INTO complaint_statuses VALUES('8393','2485','7','12','81','REF RETURN HO GYA HAI .C/O MAZHER CHOTA FCP',null,'79','79','2020-11-23 20:57:32','2020-11-23 20:57:32',null);
INSERT INTO complaint_statuses VALUES('8394','2470','7','12','81','COMPLIANT REOSLVED.SERVICE KI HAI',null,'79','79','2020-11-23 20:58:11','2020-11-23 20:58:11',null);
INSERT INTO complaint_statuses VALUES('8395','2505','3',null,'85',null,null,'74','74','2020-11-23 21:03:54','2020-11-23 21:03:54',null);
INSERT INTO complaint_statuses VALUES('8396','2504','3',null,'85',null,null,'74','74','2020-11-23 21:04:33','2020-11-23 21:04:33',null);
INSERT INTO complaint_statuses VALUES('8397','2521','3',null,'53',null,null,'74','74','2020-11-23 21:06:43','2020-11-23 21:06:43',null);
INSERT INTO complaint_statuses VALUES('8398','2376','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-23 21:12:34','2020-11-23 21:12:34',null);
INSERT INTO complaint_statuses VALUES('8399','2373','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-23 21:14:02','2020-11-23 21:14:02',null);
INSERT INTO complaint_statuses VALUES('8400','2531','3',null,'73',null,'23-NOV-2020
COM NO 2609','92','92','2020-11-23 21:15:33','2020-11-23 23:35:33',null);
INSERT INTO complaint_statuses VALUES('8401','2173','7','12','81','HOOD CHALA GYA HAI',null,'79','79','2020-11-23 21:18:06','2020-11-23 21:18:06',null);
INSERT INTO complaint_statuses VALUES('8402','2532','3',null,'54',null,'23-NOV-2020
COMPLAINT#1772948','74','74','2020-11-23 21:43:51','2020-11-23 21:43:51',null);
INSERT INTO complaint_statuses VALUES('8403','2533','2',null,'81',null,'23-NOV-2020
COM FF TO AZHAR SIR','92','92','2020-11-23 21:43:58','2020-11-23 21:43:58',null);
INSERT INTO complaint_statuses VALUES('8404','2530','4',null,'62',null,null,'81','81','2020-11-23 21:53:52','2020-11-23 21:53:52',null);
INSERT INTO complaint_statuses VALUES('8405','2533','4',null,'60',null,null,'81','81','2020-11-23 21:54:23','2020-11-23 21:54:23',null);
INSERT INTO complaint_statuses VALUES('8406','2534','3',null,'53',null,'23-NOV-2020
COM NO 1070032','92','92','2020-11-23 22:02:29','2020-11-23 23:43:28',null);
INSERT INTO complaint_statuses VALUES('8407','2535','3',null,'65',null,'23-NOV-2020
COM NO 192019096','92','92','2020-11-23 22:13:20','2020-11-24 01:20:51',null);
INSERT INTO complaint_statuses VALUES('8408','2536','3',null,'52',null,'23-NOV-2020
COM NO PKRI-201123109467','92','92','2020-11-23 22:22:12','2020-11-24 00:55:52',null);
INSERT INTO complaint_statuses VALUES('8409','2537','3',null,'54',null,'23-NOV-2020
COM NO 1773167','92','92','2020-11-23 22:37:41','2020-11-24 00:20:16',null);
INSERT INTO complaint_statuses VALUES('8410','2538','3',null,'57',null,'23-NOV-2020
COM NO 14696','92','92','2020-11-23 22:45:15','2020-11-24 00:16:00',null);
INSERT INTO complaint_statuses VALUES('8411','2539','2',null,'81',null,'23-NOV-2020
COM FF TO HOME SOLUTION','92','92','2020-11-23 23:00:23','2020-11-23 23:00:23',null);
INSERT INTO complaint_statuses VALUES('8412','2540','2',null,'81',null,'23-NOV-2020
FF TO B. COOL','74','74','2020-11-23 23:10:03','2020-11-23 23:10:03',null);
INSERT INTO complaint_statuses VALUES('8413','2539','4',null,'62',null,null,'81','81','2020-11-23 23:10:31','2020-11-23 23:10:31',null);
INSERT INTO complaint_statuses VALUES('8414','2540','4',null,'58',null,null,'81','81','2020-11-23 23:10:54','2020-11-23 23:10:54',null);
INSERT INTO complaint_statuses VALUES('8415','2541','2',null,'81',null,'23-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-11-23 23:14:01','2020-11-23 23:14:01',null);
INSERT INTO complaint_statuses VALUES('8416','2542','3',null,'53',null,'23-NOV-2020
COM NO','92','92','2020-11-23 23:20:05','2020-11-23 23:20:05',null);
INSERT INTO complaint_statuses VALUES('8417','2543','3',null,'53',null,'23-NOV-2020
COM NO 1070084','92','92','2020-11-23 23:20:22','2020-11-24 00:11:37',null);
INSERT INTO complaint_statuses VALUES('8418','2540','7','12','81','COMPLINT RESOLVED BULB ISUUE',null,'79','79','2020-11-23 23:20:24','2020-11-23 23:20:24',null);
INSERT INTO complaint_statuses VALUES('8419','2533','7','24','81',null,null,'82','82','2020-11-23 23:23:07','2020-11-23 23:23:07',null);
INSERT INTO complaint_statuses VALUES('8420','2544','2',null,'81',null,'23-NOV-2020
FF TO B.COOL','74','74','2020-11-23 23:26:37','2020-11-23 23:26:37',null);
INSERT INTO complaint_statuses VALUES('8421','2541','4',null,'55',null,null,'81','81','2020-11-23 23:26:54','2020-11-23 23:26:54',null);
INSERT INTO complaint_statuses VALUES('8422','2544','4',null,'58',null,null,'81','81','2020-11-23 23:27:25','2020-11-23 23:27:25',null);
INSERT INTO complaint_statuses VALUES('8423','2545','3',null,'55',null,'23-NOV-2020
COM NO ISB 10405','92','92','2020-11-23 23:28:41','2020-11-23 23:53:14',null);
INSERT INTO complaint_statuses VALUES('8424','2514','7','22','81','COMPRESSOR',null,'87','87','2020-11-23 23:29:00','2020-11-23 23:29:00',null);
INSERT INTO complaint_statuses VALUES('8425','2526','7','24','81','Custmer hamari workshop bhejy gy',null,'82','82','2020-11-23 23:29:26','2020-11-23 23:29:26',null);
INSERT INTO complaint_statuses VALUES('8426','2083','7','24','81',null,null,'82','82','2020-11-23 23:32:12','2020-11-23 23:32:12',null);
INSERT INTO complaint_statuses VALUES('8427','1980','7','12','81','Oven theek ho gea hy .',null,'82','82','2020-11-23 23:38:31','2020-11-23 23:38:31',null);
INSERT INTO complaint_statuses VALUES('8428','1227','7','12','81','Machin theek ho ky custmer ky ghar phonch chuki hy .
Plz isko compleet kar dy',null,'82','82','2020-11-23 23:40:46','2020-11-23 23:40:46',null);
INSERT INTO complaint_statuses VALUES('8429','1976','7','12','81','Hud  stock main phonch gea hy',null,'82','82','2020-11-23 23:43:05','2020-11-23 23:43:05',null);
INSERT INTO complaint_statuses VALUES('8430','2499','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-23 23:54:07','2020-11-23 23:54:07',null);
INSERT INTO complaint_statuses VALUES('8431','2546','3',null,'62',null,'23-NOV-2020
FF TO KHURRAM 5 STAR','74','92','2020-11-23 23:58:38','2020-12-01 00:05:15',null);
INSERT INTO complaint_statuses VALUES('8432','2542','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-24 00:05:09','2020-11-24 00:05:09',null);
INSERT INTO complaint_statuses VALUES('8433','2507','7','26','81','CUSTOMER OK NI KRWANA CHAHTA , HE WILL GET NEW',null,'87','87','2020-11-24 00:25:09','2020-11-24 00:25:09',null);
INSERT INTO complaint_statuses VALUES('8434','2513','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-24 00:28:16','2020-11-24 00:31:38',null);
INSERT INTO complaint_statuses VALUES('8435','2507','5','15',null,'COMPLETED COMPLAINT','CUSTOMER NA COMPLAINT KHUD CANCELLED KARWA DI','81','74','2020-11-24 00:30:31','2020-11-24 00:31:06',null);
INSERT INTO complaint_statuses VALUES('8436','2379','8','23','56','NAEEM SIR NA APPROVAL DA DI SET READY KARAY',null,'81','81','2020-11-24 00:34:16','2020-11-24 00:34:16',null);
INSERT INTO complaint_statuses VALUES('8437','2485','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-24 00:34:51','2020-11-24 00:35:35',null);
INSERT INTO complaint_statuses VALUES('8438','2470','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-11-24 00:37:35','2020-11-24 01:06:34',null);
INSERT INTO complaint_statuses VALUES('8439','2540','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-24 00:58:09','2020-11-24 01:03:00',null);
INSERT INTO complaint_statuses VALUES('8440','2408','8','23','58','PROPER COMPLAINT RESOLVED KAR K COMPLIANT COMPLETE KARAY',null,'81','81','2020-11-24 01:00:09','2020-11-24 01:00:09',null);
INSERT INTO complaint_statuses VALUES('8441','2173','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-11-24 01:02:38','2020-11-24 20:30:50',null);
INSERT INTO complaint_statuses VALUES('8442','2547','2',null,'81',null,'23-NOV-2020
COM FF TO KHALID SONY','92','92','2020-11-24 01:08:20','2020-11-24 01:08:20',null);
INSERT INTO complaint_statuses VALUES('8443','1227','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-24 01:23:00','2020-11-24 20:18:14',null);
INSERT INTO complaint_statuses VALUES('8444','2548','3',null,'53',null,'23-NOV-2020
COM NO 301070177','92','92','2020-11-24 01:39:08','2020-11-24 01:45:21',null);
INSERT INTO complaint_statuses VALUES('8445','2549','3',null,'84',null,'23-NOV-2020
FF TO NAEEM KENWOOD','74','74','2020-11-24 01:49:02','2020-11-24 01:49:02',null);
INSERT INTO complaint_statuses VALUES('8446','2492','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-24 01:49:45','2020-11-24 01:49:45',null);
INSERT INTO complaint_statuses VALUES('8447','2491','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-24 01:53:02','2020-11-24 01:53:02',null);
INSERT INTO complaint_statuses VALUES('8448','2489','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-24 01:55:03','2020-11-24 01:55:03',null);
INSERT INTO complaint_statuses VALUES('8449','2486','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-24 01:57:37','2020-11-24 01:57:37',null);
INSERT INTO complaint_statuses VALUES('8450','2484','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-24 01:59:33','2020-11-24 01:59:33',null);
INSERT INTO complaint_statuses VALUES('8451','2479','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-24 02:03:12','2020-11-24 02:03:12',null);
INSERT INTO complaint_statuses VALUES('8452','2539','7','12','81','ISSUE RESOLVED.',null,'87','87','2020-11-24 02:06:37','2020-11-24 02:06:37',null);
INSERT INTO complaint_statuses VALUES('8453','2477','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-24 02:07:40','2020-11-24 02:07:40',null);
INSERT INTO complaint_statuses VALUES('8454','2469','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-24 02:09:54','2020-11-24 02:09:54',null);
INSERT INTO complaint_statuses VALUES('8455','2466','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-24 02:16:25','2020-11-24 02:16:25',null);
INSERT INTO complaint_statuses VALUES('8456','2551','3',null,'54',null,'23-NOV-2020
COMPLAINT#1773265','74','74','2020-11-24 02:22:36','2020-11-24 02:22:36',null);
INSERT INTO complaint_statuses VALUES('8457','2547','4',null,'56',null,null,'81','81','2020-11-24 02:23:51','2020-11-24 02:23:51',null);
INSERT INTO complaint_statuses VALUES('8458','2550','3',null,'72',null,null,'74','74','2020-11-24 02:26:28','2020-11-24 02:26:28',null);
INSERT INTO complaint_statuses VALUES('8459','2467','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-24 02:34:38','2020-11-24 02:34:38',null);
INSERT INTO complaint_statuses VALUES('8460','2552','2',null,'81',null,'23-NOV-2020
FF TO USMAN MRM','74','74','2020-11-24 02:49:27','2020-11-24 02:49:27',null);
INSERT INTO complaint_statuses VALUES('8461','2552','4',null,'61',null,null,'81','81','2020-11-24 02:49:50','2020-11-24 02:49:50',null);
INSERT INTO complaint_statuses VALUES('8462','2447','7','12','81','send to consistent department',null,'80','80','2020-11-24 02:53:23','2020-11-24 02:53:23',null);
INSERT INTO complaint_statuses VALUES('8463','2515','7','12','81','water pressure kam tha .complaint resolved',null,'79','79','2020-11-24 03:52:44','2020-11-24 03:52:44',null);
INSERT INTO complaint_statuses VALUES('8464','2539','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-24 19:20:49','2020-11-24 19:28:16',null);
INSERT INTO complaint_statuses VALUES('8465','2515','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-24 19:21:41','2020-11-24 19:28:53',null);
INSERT INTO complaint_statuses VALUES('8466','2447','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-11-24 19:22:17','2020-11-24 19:30:16',null);
INSERT INTO complaint_statuses VALUES('8467','2372','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-24 19:29:43','2020-11-24 19:29:43',null);
INSERT INTO complaint_statuses VALUES('8468','2553','3',null,'55',null,'24-NOV-2020
COM NO ISB-10411','92','92','2020-11-24 19:30:53','2020-11-24 20:08:59',null);
INSERT INTO complaint_statuses VALUES('8469','2191','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-24 19:41:58','2020-11-24 19:41:58',null);
INSERT INTO complaint_statuses VALUES('8470','2554','2',null,'81',null,'24-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-24 19:43:30','2020-11-24 19:43:30',null);
INSERT INTO complaint_statuses VALUES('8471','2284','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-24 19:48:55','2020-11-24 19:48:55',null);
INSERT INTO complaint_statuses VALUES('8472','2555','2',null,'81',null,'24-NOV-2020
COM FF TO HOME SOLUTION','92','92','2020-11-24 19:50:59','2020-11-24 19:50:59',null);
INSERT INTO complaint_statuses VALUES('8473','2475','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-11-24 19:51:33','2020-11-24 19:51:33',null);
INSERT INTO complaint_statuses VALUES('8474','2556','3',null,'56',null,'24-NOV-2020
COM NO K24/007','92','92','2020-11-24 19:57:40','2020-11-24 20:05:26',null);
INSERT INTO complaint_statuses VALUES('8475','2370','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-11-24 19:58:52','2020-11-24 19:58:52',null);
INSERT INTO complaint_statuses VALUES('8476','2441','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-11-24 20:00:38','2020-11-24 20:00:38',null);
INSERT INTO complaint_statuses VALUES('8477','2348','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-11-24 20:02:36','2020-11-24 20:02:36',null);
INSERT INTO complaint_statuses VALUES('8478','2367','7','12','81','ELECTRIC OVEN HAIN CONCERN DEPARTMENT PA MAIN FF KARAY COMPLAINT',null,'88','88','2020-11-24 20:05:01','2020-11-24 20:05:01',null);
INSERT INTO complaint_statuses VALUES('8479','2475','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-24 20:05:41','2020-11-24 20:11:04',null);
INSERT INTO complaint_statuses VALUES('8480','2441','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-24 20:06:04','2020-11-24 20:11:54',null);
INSERT INTO complaint_statuses VALUES('8481','2367','5','15',null,'COMPLETED COMPLAINT','COMPLAINT NEW TASK # SA AZHAR FCI KO FF KAR DI.
2557','81','74','2020-11-24 20:06:40','2020-11-24 20:15:43',null);
INSERT INTO complaint_statuses VALUES('8482','2348','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-24 20:09:09','2020-11-24 20:16:31',null);
INSERT INTO complaint_statuses VALUES('8483','2555','4',null,'62',null,null,'81','81','2020-11-24 20:10:18','2020-11-24 20:10:18',null);
INSERT INTO complaint_statuses VALUES('8484','2554','4',null,'58',null,null,'81','81','2020-11-24 20:10:36','2020-11-24 20:10:36',null);
INSERT INTO complaint_statuses VALUES('8485','2557','2',null,'81',null,'24-NOV-2020
FF TO AZHAR FCI','74','74','2020-11-24 20:14:40','2020-11-24 20:14:40',null);
INSERT INTO complaint_statuses VALUES('8486','2307','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-24 20:35:43','2020-11-24 20:35:43',null);
INSERT INTO complaint_statuses VALUES('8487','2115','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-24 20:43:27','2020-11-24 20:43:27',null);
INSERT INTO complaint_statuses VALUES('8488','2301','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-24 20:47:26','2020-11-24 20:47:26',null);
INSERT INTO complaint_statuses VALUES('8489','2558','2',null,'81',null,'24-NOV-2020
COM FF TO NADEEM AV','92','92','2020-11-24 20:50:08','2020-11-24 20:50:08',null);
INSERT INTO complaint_statuses VALUES('8490','2254','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-24 20:59:37','2020-11-24 20:59:37',null);
INSERT INTO complaint_statuses VALUES('8491','2559','2',null,'81',null,'24-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-11-24 20:59:48','2020-11-24 20:59:48',null);
INSERT INTO complaint_statuses VALUES('8492','2559','4',null,'55',null,null,'81','81','2020-11-24 21:03:01','2020-11-24 21:03:01',null);
INSERT INTO complaint_statuses VALUES('8493','2558','4',null,'59',null,null,'81','81','2020-11-24 21:03:19','2020-11-24 21:03:19',null);
INSERT INTO complaint_statuses VALUES('8494','2557','4',null,'60',null,null,'81','81','2020-11-24 21:03:32','2020-11-24 21:03:32',null);
INSERT INTO complaint_statuses VALUES('8495','2393','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-24 21:09:16','2020-11-24 21:09:16',null);
INSERT INTO complaint_statuses VALUES('8496','2522','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-24 21:09:55','2020-11-24 21:09:55',null);
INSERT INTO complaint_statuses VALUES('8497','2520','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-24 21:12:09','2020-11-24 21:12:09',null);
INSERT INTO complaint_statuses VALUES('8498','2490','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-24 21:14:04','2020-11-24 21:14:04',null);
INSERT INTO complaint_statuses VALUES('8499','2396','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-24 21:15:32','2020-11-24 21:15:32',null);
INSERT INTO complaint_statuses VALUES('8500','2560','3',null,'54',null,'24-NOV-2020
COM NO 1773607','92','92','2020-11-24 21:45:28','2020-11-24 21:58:19',null);
INSERT INTO complaint_statuses VALUES('8501','2561','3',null,'73',null,'24-NOV-2020
COMPLAINT#2636','74','74','2020-11-24 21:52:53','2020-11-24 21:52:53',null);
INSERT INTO complaint_statuses VALUES('8502','2562','3',null,'54',null,'24-NOV-2020
COM NO 1773612','92','92','2020-11-24 21:54:26','2020-11-24 22:00:06',null);
INSERT INTO complaint_statuses VALUES('8503','2430','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-24 21:58:42','2020-11-24 21:58:42',null);
INSERT INTO complaint_statuses VALUES('8504','1174','5','15',null,null,'CUSTOMER KI SIDE SA DELAY COMPLAINT CUSTOMER SET S/C LA K NI AAY ABI TAQ','81','74','2020-11-24 21:59:51','2020-11-27 01:28:34',null);
INSERT INTO complaint_statuses VALUES('8505','1976','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-11-24 22:00:35','2020-11-26 23:52:52',null);
INSERT INTO complaint_statuses VALUES('8506','1980','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-11-24 22:00:56','2020-11-26 23:47:50',null);
INSERT INTO complaint_statuses VALUES('8507','2533','8','23','60',null,null,'81','81','2020-11-24 22:01:30','2020-11-24 22:01:30',null);
INSERT INTO complaint_statuses VALUES('8508','2526','8','23','60',null,null,'81','81','2020-11-24 22:01:52','2020-11-24 22:01:52',null);
INSERT INTO complaint_statuses VALUES('8509','2514','8','23','62',null,null,'81','81','2020-11-24 22:02:17','2020-11-24 22:02:17',null);
INSERT INTO complaint_statuses VALUES('8510','2488','8','23','58','please contacte adil 03005511255',null,'81','81','2020-11-24 22:03:08','2020-11-24 22:03:08',null);
INSERT INTO complaint_statuses VALUES('8511','2083','8','23','60',null,null,'81','81','2020-11-24 22:04:54','2020-11-24 22:04:54',null);
INSERT INTO complaint_statuses VALUES('8512','2563','2',null,'81',null,'24-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-11-24 22:16:30','2020-11-27 01:07:48',null);
INSERT INTO complaint_statuses VALUES('8513','2563','4',null,'55',null,null,'81','81','2020-11-24 22:39:00','2020-11-24 22:39:00',null);
INSERT INTO complaint_statuses VALUES('8514','2564','3',null,'55',null,'24-NOV-2020
COM NO 697834','92','92','2020-11-24 22:42:51','2020-11-25 20:04:20',null);
INSERT INTO complaint_statuses VALUES('8515','2565','2',null,'81',null,'24-NOV-2020
FF TO USMAM MRM','74','74','2020-11-24 22:50:45','2020-11-24 22:50:45',null);
INSERT INTO complaint_statuses VALUES('8516','2566','2',null,'81',null,'24-NOV-2020
FF TO USMAN MRM','74','74','2020-11-24 23:08:49','2020-11-24 23:08:49',null);
INSERT INTO complaint_statuses VALUES('8517','2567','2',null,'81',null,'24-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-24 23:20:50','2020-11-24 23:20:50',null);
INSERT INTO complaint_statuses VALUES('8518','1890','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-24 23:27:48','2020-11-24 23:27:48',null);
INSERT INTO complaint_statuses VALUES('8519','1914','7','12','81','khuram sb ny kaha tha  customer ko payment bata k unit pic kijya ga   but customer ny model  share nahi kiya 
or customer call attend nahi kr rhy ab',null,'83','83','2020-11-24 23:33:09','2020-11-24 23:33:09',null);
INSERT INTO complaint_statuses VALUES('8520','2568','3',null,'73',null,'24-NOV-2020
COM NO 2642','92','92','2020-11-24 23:37:34','2020-11-25 20:00:55',null);
INSERT INTO complaint_statuses VALUES('8521','2569','2',null,'81',null,'24-NOV-2020
FF TO KHALID','74','74','2020-11-25 00:01:03','2020-11-25 00:01:03',null);
INSERT INTO complaint_statuses VALUES('8522','2569','4',null,'56',null,null,'81','81','2020-11-25 00:01:32','2020-11-25 00:01:32',null);
INSERT INTO complaint_statuses VALUES('8523','2567','4',null,'58',null,null,'81','81','2020-11-25 00:01:45','2020-11-25 00:01:45',null);
INSERT INTO complaint_statuses VALUES('8524','2566','4',null,'61',null,null,'81','81','2020-11-25 00:01:55','2020-11-25 00:01:55',null);
INSERT INTO complaint_statuses VALUES('8525','2565','4',null,'61',null,null,'81','81','2020-11-25 00:02:07','2020-11-25 00:02:07',null);
INSERT INTO complaint_statuses VALUES('8526','2570','2',null,'81',null,'24-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-11-25 00:19:25','2020-11-25 19:59:07',null);
INSERT INTO complaint_statuses VALUES('8527','2547','7','20','81','its main board is fauly. Need approval.
Rs. 15813',null,'77','77','2020-11-25 00:24:56','2020-11-25 00:24:56',null);
INSERT INTO complaint_statuses VALUES('8528','2571','2',null,'81',null,'24-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-25 00:42:06','2020-11-25 00:42:06',null);
INSERT INTO complaint_statuses VALUES('8529','2571','4',null,'55',null,null,'81','81','2020-11-25 00:42:41','2020-11-25 00:42:41',null);
INSERT INTO complaint_statuses VALUES('8530','2570','4',null,'55',null,null,'81','81','2020-11-25 00:42:59','2020-11-25 00:42:59',null);
INSERT INTO complaint_statuses VALUES('8531','1914','5','15',null,'COMPLETED COMPLAINT','CUSTOMER STILL NOT ATTEND MY CALL CLOSED COMPLAINT','81','74','2020-11-25 00:45:05','2020-11-25 00:46:08',null);
INSERT INTO complaint_statuses VALUES('8532','2508','7','12','81','ISSUE RESOLVED.',null,'87','87','2020-11-25 00:51:26','2020-11-25 00:51:26',null);
INSERT INTO complaint_statuses VALUES('8533','2572','3',null,'72',null,'24-NOV-2020
COM NO 192019138','92','92','2020-11-25 01:02:48','2020-11-25 19:56:09',null);
INSERT INTO complaint_statuses VALUES('8534','2573','3',null,'52',null,'24-NOV-2020
COM NO PKRI-201125102059','92','92','2020-11-25 01:06:54','2020-11-25 19:51:41',null);
INSERT INTO complaint_statuses VALUES('8535','2574','2',null,'81',null,'24-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-25 01:26:04','2020-11-25 01:26:04',null);
INSERT INTO complaint_statuses VALUES('8536','2575','2',null,'81',null,'24-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-25 01:47:07','2020-11-25 02:43:04',null);
INSERT INTO complaint_statuses VALUES('8537','2576','3',null,'86',null,'24-NOV-2020
COMPLAINT FF TO ASIF  ARISTON','92','92','2020-11-25 02:09:47','2020-11-25 02:15:37',null);
INSERT INTO complaint_statuses VALUES('8538','2577','3',null,'57',null,'24-NOV-2020
COM NO 14744','92','92','2020-11-25 02:28:46','2020-11-25 19:48:35',null);
INSERT INTO complaint_statuses VALUES('8539','2578','3',null,'73',null,'24-NOV-2020
COM NO 2649','92','92','2020-11-25 02:38:37','2020-11-25 19:45:05',null);
INSERT INTO complaint_statuses VALUES('8540','2574','4',null,'58',null,null,'81','81','2020-11-25 02:41:56','2020-11-25 02:41:56',null);
INSERT INTO complaint_statuses VALUES('8541','2579','3',null,'65',null,'24-NOV-2020
COMPLAINT#192019130','74','74','2020-11-25 02:59:27','2020-11-25 02:59:27',null);
INSERT INTO complaint_statuses VALUES('8542','2575','4',null,'63',null,null,'81','81','2020-11-25 03:01:07','2020-11-25 03:01:07',null);
INSERT INTO complaint_statuses VALUES('8543','2580','2',null,'81',null,'24-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-11-25 03:02:42','2020-11-25 03:02:42',null);
INSERT INTO complaint_statuses VALUES('8544','2530','7','22','81','PCB',null,'87','87','2020-11-25 03:14:28','2020-11-25 03:14:28',null);
INSERT INTO complaint_statuses VALUES('8545','2555','7','12','81','ISSUE RESOLVED , PUMP SERVICE KIA',null,'87','87','2020-11-25 03:15:21','2020-11-25 03:15:21',null);
INSERT INTO complaint_statuses VALUES('8546','2580','4',null,'55',null,null,'81','81','2020-11-25 19:57:23','2020-11-25 19:57:23',null);
INSERT INTO complaint_statuses VALUES('8547','2555','5','15',null,'COMPLETED COMPLETED','COMPLAINT RESOLVED','81','92','2020-11-25 19:58:59','2020-11-25 20:35:17',null);
INSERT INTO complaint_statuses VALUES('8548','2581','3',null,'85',null,'25-NOV-2020
COMPLAINT#301070498','74','74','2020-11-25 20:12:30','2020-11-25 21:28:46',null);
INSERT INTO complaint_statuses VALUES('8549','2501','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-25 20:17:30','2020-11-25 20:17:30',null);
INSERT INTO complaint_statuses VALUES('8550','2460','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-25 20:24:34','2020-11-25 20:24:34',null);
INSERT INTO complaint_statuses VALUES('8551','2582','3',null,'52',null,'25-NOV-2020
COMPLAINT#PKRI-201125103703','74','74','2020-11-25 20:35:32','2020-11-25 20:55:34',null);
INSERT INTO complaint_statuses VALUES('8552','2414','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-25 20:45:11','2020-11-25 20:45:11',null);
INSERT INTO complaint_statuses VALUES('8553','2425','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-25 20:47:43','2020-11-25 20:47:43',null);
INSERT INTO complaint_statuses VALUES('8554','2451','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-25 20:51:21','2020-11-25 20:51:21',null);
INSERT INTO complaint_statuses VALUES('8555','2583','3',null,'52',null,'25-NOV-2020
COMPLAINT#PKRI-201125603772','74','74','2020-11-25 21:19:14','2020-11-25 21:19:14',null);
INSERT INTO complaint_statuses VALUES('8556','2426','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-25 21:19:39','2020-11-25 21:19:39',null);
INSERT INTO complaint_statuses VALUES('8557','2584','3',null,'85',null,'25-NOV-2020
COMPLAINT#301070495','74','92','2020-11-25 21:25:38','2020-11-28 22:40:00',null);
INSERT INTO complaint_statuses VALUES('8558','2585','3',null,'53',null,'25-NOV-2020
COMPLAINT#301070500','74','92','2020-11-25 21:33:28','2020-12-19 22:51:54',null);
INSERT INTO complaint_statuses VALUES('8559','2586','3',null,'62',null,'25-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-25 21:35:01','2020-11-25 21:35:01',null);
INSERT INTO complaint_statuses VALUES('8560','2587','2',null,'81',null,'25-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-11-25 21:53:41','2020-11-25 21:53:41',null);
INSERT INTO complaint_statuses VALUES('8561','2588','3',null,'65',null,'25-NOV-2020
COM NO 192019145','92','92','2020-11-25 21:58:22','2020-11-25 22:24:00',null);
INSERT INTO complaint_statuses VALUES('8562','2589','2',null,'81',null,'25-NOV-2020
COM FF TO HOME SOLUTION','92','92','2020-11-25 22:09:34','2020-11-25 22:09:34',null);
INSERT INTO complaint_statuses VALUES('8563','2590','3',null,'73',null,'25-NOV-2020
COMPLAINT#2651','74','92','2020-11-25 22:27:48','2020-11-25 22:50:33',null);
INSERT INTO complaint_statuses VALUES('8564','2591','2',null,'81',null,'25-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-25 22:33:36','2020-12-09 20:19:58',null);
INSERT INTO complaint_statuses VALUES('8565','2432','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-25 22:34:10','2020-11-25 22:34:10',null);
INSERT INTO complaint_statuses VALUES('8566','2592','2',null,'81',null,'25-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-11-25 22:46:19','2020-11-25 22:46:19',null);
INSERT INTO complaint_statuses VALUES('8567','2593','3',null,'73',null,'25-NOV-2020
COM NO 2659','92','92','2020-11-25 22:59:03','2020-11-25 23:44:46',null);
INSERT INTO complaint_statuses VALUES('8568','2594','2',null,'81',null,'25-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-25 23:03:14','2020-11-25 23:03:14',null);
INSERT INTO complaint_statuses VALUES('8569','2594','4',null,'63',null,null,'81','81','2020-11-25 23:04:32','2020-11-25 23:04:32',null);
INSERT INTO complaint_statuses VALUES('8570','2592','4',null,'55',null,null,'81','81','2020-11-25 23:04:51','2020-11-25 23:04:51',null);
INSERT INTO complaint_statuses VALUES('8571','2591','4',null,'58',null,null,'81','81','2020-11-25 23:05:01','2020-11-25 23:05:01',null);
INSERT INTO complaint_statuses VALUES('8572','2589','4',null,'62',null,null,'81','81','2020-11-25 23:05:11','2020-11-25 23:05:11',null);
INSERT INTO complaint_statuses VALUES('8573','2587','4',null,'55',null,null,'81','81','2020-11-25 23:05:30','2020-11-25 23:05:30',null);
INSERT INTO complaint_statuses VALUES('8574','2595','2',null,'81',null,'25-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-25 23:06:06','2020-11-25 23:06:06',null);
INSERT INTO complaint_statuses VALUES('8575','2595','4',null,'55',null,null,'81','81','2020-11-25 23:08:40','2020-11-25 23:08:40',null);
INSERT INTO complaint_statuses VALUES('8576','2596','3',null,'53',null,'25-NOV-2020
COMPLAINT#301070603','74','92','2020-11-25 23:12:01','2020-11-25 23:40:43',null);
INSERT INTO complaint_statuses VALUES('8577','2591','7','12','81','ok',null,'79','79','2020-11-25 23:19:36','2020-11-25 23:19:36',null);
INSERT INTO complaint_statuses VALUES('8578','2591','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED
YHA COMPLAINT TOUSEEF SAB K PASS HAIN CARD B KHURRAM SIR NA DA DIYA HAIN','81','74','2020-11-25 23:20:26','2020-12-07 20:53:18',null);
INSERT INTO complaint_statuses VALUES('8579','2523','7','12','81','complaint resolved.inlet pipe sy leakage thi',null,'79','79','2020-11-25 23:35:34','2020-11-25 23:35:34',null);
INSERT INTO complaint_statuses VALUES('8580','1249','7','12','81','agr is ka kuch ni hona washing machine wapis behj  dein custoemr  kon ya comaplint complete dein thanks t','WORKING IN PROCESS','79','74','2020-11-25 23:37:00','2020-12-16 01:27:50',null);
INSERT INTO complaint_statuses VALUES('8581','2234','7','12','81','compliant resolved .ignition wire issue',null,'79','79','2020-11-25 23:38:58','2020-11-25 23:38:58',null);
INSERT INTO complaint_statuses VALUES('8582','2329','7','12','81','no issue in hood.',null,'79','79','2020-11-25 23:40:48','2020-11-25 23:40:48',null);
INSERT INTO complaint_statuses VALUES('8583','2408','7','24','81','compressor issue hai ya chockig hai..i 10  lift hona hai',null,'79','79','2020-11-25 23:41:40','2020-11-25 23:41:40',null);
INSERT INTO complaint_statuses VALUES('8584','2444','7','12','81','complaint reoslved',null,'79','79','2020-11-25 23:44:15','2020-11-25 23:44:15',null);
INSERT INTO complaint_statuses VALUES('8585','2597','2',null,'81',null,'25-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-11-26 00:23:36','2020-11-26 00:23:36',null);
INSERT INTO complaint_statuses VALUES('8586','2598','3',null,'73',null,'25-NOV-2020
COM NO 2660','92','92','2020-11-26 01:11:44','2020-11-26 01:25:22',null);
INSERT INTO complaint_statuses VALUES('8587','2599','3',null,'73',null,'25-NOV-2020
COM NO 2661','92','92','2020-11-26 01:20:00','2020-11-26 23:03:03',null);
INSERT INTO complaint_statuses VALUES('8588','2600','3',null,'54',null,'25-NOV-2020
COM NO 1774768','92','92','2020-11-26 01:51:00','2020-11-27 00:28:39',null);
INSERT INTO complaint_statuses VALUES('8589','2601','3',null,'66',null,'25-NOV-2020
COMPLAINT#PK112720200102
AHMED KAMRA','74','74','2020-11-26 01:52:08','2020-11-28 01:08:07',null);
INSERT INTO complaint_statuses VALUES('8590','2602','3',null,'52',null,'25-NOV-2020
COM NO PKRI 201125109935','92','92','2020-11-26 02:23:33','2020-11-26 02:27:34',null);
INSERT INTO complaint_statuses VALUES('8591','2603','3',null,'54',null,'25-NOV-2020
COM NO 1774374','92','92','2020-11-26 02:43:39','2020-11-26 02:50:55',null);
INSERT INTO complaint_statuses VALUES('8592','2604','3',null,'53',null,'25-NOV-2020
COM NO 1070721 COM NO 1070722','92','92','2020-11-26 03:00:54','2020-11-26 19:37:52',null);
INSERT INTO complaint_statuses VALUES('8593','2597','4',null,'55',null,null,'81','81','2020-11-26 19:23:28','2020-11-26 19:23:28',null);
INSERT INTO complaint_statuses VALUES('8594','2605','3',null,'52',null,'26-NOV-2020
COMPLAINT#PKR-201126101475','74','92','2020-11-26 19:32:49','2020-12-03 20:27:50',null);
INSERT INTO complaint_statuses VALUES('8595','2523','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-11-26 19:34:26','2020-11-26 20:07:11',null);
INSERT INTO complaint_statuses VALUES('8596','2508','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-26 19:35:47','2020-11-26 20:07:45',null);
INSERT INTO complaint_statuses VALUES('8597','2606','3',null,'88',null,'26-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-11-26 19:40:43','2020-11-26 19:40:43',null);
INSERT INTO complaint_statuses VALUES('8598','2444','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-26 19:41:52','2020-11-26 20:08:35',null);
INSERT INTO complaint_statuses VALUES('8599','2445','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-26 19:49:14','2020-11-26 19:49:14',null);
INSERT INTO complaint_statuses VALUES('8600','2431','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-26 19:57:51','2020-11-26 19:57:51',null);
INSERT INTO complaint_statuses VALUES('8601','2422','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-26 20:00:34','2020-11-26 20:00:34',null);
INSERT INTO complaint_statuses VALUES('8602','2439','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-26 20:05:41','2020-11-26 20:05:41',null);
INSERT INTO complaint_statuses VALUES('8603','2418','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-26 20:06:38','2020-11-26 20:06:38',null);
INSERT INTO complaint_statuses VALUES('8604','2415','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-26 20:08:48','2020-11-26 20:08:48',null);
INSERT INTO complaint_statuses VALUES('8605','2607','2',null,'81',null,'26-NOV-2020
FF TO HOME SOLUTION','74','74','2020-11-26 20:13:38','2020-11-26 20:13:38',null);
INSERT INTO complaint_statuses VALUES('8606','2607','4',null,'62',null,null,'81','81','2020-11-26 20:14:15','2020-11-26 20:14:15',null);
INSERT INTO complaint_statuses VALUES('8607','2608','3',null,'84',null,'26-NOV-2020
FF TO NAEEM KAENWOOD','74','92','2020-11-26 20:28:48','2020-11-27 02:25:15',null);
INSERT INTO complaint_statuses VALUES('8608','2401','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-26 20:31:50','2020-11-26 20:31:50',null);
INSERT INTO complaint_statuses VALUES('8609','2547','8','23','56','NAE EM SAB NA APPROVAL DA DI HAIN SET READY KARWAY',null,'81','81','2020-11-26 20:33:37','2020-11-26 20:33:37',null);
INSERT INTO complaint_statuses VALUES('8610','2346','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-26 20:36:42','2020-11-26 20:36:42',null);
INSERT INTO complaint_statuses VALUES('8611','2452','7','12','81','Y main pcb Replaced 
 RS 6500/- Expanse  
unit with customer  plz close the job',null,'83','83','2020-11-26 20:37:13','2020-11-26 20:37:13',null);
INSERT INTO complaint_statuses VALUES('8612','2234','5','15',null,'COMPETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-26 20:44:16','2020-11-26 23:37:02',null);
INSERT INTO complaint_statuses VALUES('8613','2251','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-26 21:04:23','2020-11-26 21:04:23',null);
INSERT INTO complaint_statuses VALUES('8614','2609','2',null,'81',null,'26-NOV-2020
FF TO KHALID','74','74','2020-11-26 21:06:38','2020-11-26 21:10:42',null);
INSERT INTO complaint_statuses VALUES('8615','2249','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-26 21:07:09','2020-11-26 21:07:09',null);
INSERT INTO complaint_statuses VALUES('8616','2610','2',null,'81',null,'26-NOV-2020
FF TO KHALID','74','74','2020-11-26 21:08:09','2020-11-26 21:08:09',null);
INSERT INTO complaint_statuses VALUES('8617','2610','4',null,'56',null,null,'81','81','2020-11-26 21:09:47','2020-11-26 21:09:47',null);
INSERT INTO complaint_statuses VALUES('8618','2609','4',null,'56',null,null,'81','81','2020-11-26 21:11:28','2020-11-26 21:11:28',null);
INSERT INTO complaint_statuses VALUES('8619','2218','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-26 21:12:48','2020-11-26 21:12:48',null);
INSERT INTO complaint_statuses VALUES('8620','2184','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-26 21:17:21','2020-11-26 21:17:21',null);
INSERT INTO complaint_statuses VALUES('8621','2611','2',null,'81',null,'26-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-26 21:27:20','2020-11-26 21:27:20',null);
INSERT INTO complaint_statuses VALUES('8622','2611','4',null,'55',null,null,'81','81','2020-11-26 21:27:50','2020-11-26 21:27:50',null);
INSERT INTO complaint_statuses VALUES('8623','2612','3',null,'52',null,'26-NOV-2020
COMPLAINT#PKRI-201126104559','74','74','2020-11-26 21:45:03','2020-11-26 21:45:03',null);
INSERT INTO complaint_statuses VALUES('8624','2613','2',null,'81',null,'26-NOV-2020
FF TO AZHAR FCI','74','74','2020-11-26 22:00:10','2020-11-26 22:00:10',null);
INSERT INTO complaint_statuses VALUES('8625','2614','2',null,'81',null,'26-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-26 22:00:11','2020-11-26 22:00:11',null);
INSERT INTO complaint_statuses VALUES('8626','2614','4',null,'58',null,null,'81','81','2020-11-26 22:02:21','2020-11-26 22:02:21',null);
INSERT INTO complaint_statuses VALUES('8627','2613','4',null,'60',null,null,'81','81','2020-11-26 22:03:21','2020-11-26 22:03:21',null);
INSERT INTO complaint_statuses VALUES('8628','2615','3',null,'52',null,'26-NOV-2020
COM NO PKRI 201126105039','92','92','2020-11-26 22:08:35','2020-11-26 22:18:17',null);
INSERT INTO complaint_statuses VALUES('8629','2616','2',null,'81',null,'26-NOV-2020
FF TO BEST COOL','92','74','2020-11-26 22:30:27','2020-11-27 00:16:58',null);
INSERT INTO complaint_statuses VALUES('8630','2617','2',null,'81',null,'26-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-26 22:32:09','2020-11-26 22:32:09',null);
INSERT INTO complaint_statuses VALUES('8631','2617','4',null,'55',null,null,'81','81','2020-11-26 22:32:45','2020-11-26 22:32:45',null);
INSERT INTO complaint_statuses VALUES('8632','2618','2',null,'81',null,'26-NOV-2020','74','74','2020-11-26 23:19:49','2020-11-26 23:19:49',null);
INSERT INTO complaint_statuses VALUES('8633','2618','4',null,'58',null,null,'81','81','2020-11-26 23:20:18','2020-11-26 23:20:18',null);
INSERT INTO complaint_statuses VALUES('8634','2619','3',null,'88',null,'26-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-26 23:20:40','2020-12-03 21:34:51',null);
INSERT INTO complaint_statuses VALUES('8635','2620','2',null,'81',null,'26-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-26 23:24:04','2020-11-26 23:24:04',null);
INSERT INTO complaint_statuses VALUES('8636','2620','4',null,'55',null,null,'81','81','2020-11-26 23:24:39','2020-11-26 23:24:39',null);
INSERT INTO complaint_statuses VALUES('8637','2621','2',null,'81',null,'26-NOV-2020
FF TO SHAMIM AKHTER','74','74','2020-11-26 23:28:06','2020-11-26 23:28:06',null);
INSERT INTO complaint_statuses VALUES('8638','2621','4',null,'55',null,null,'81','81','2020-11-26 23:28:35','2020-11-26 23:28:35',null);
INSERT INTO complaint_statuses VALUES('8639','2622','2',null,'81',null,'26-NOV-2020
COM FF TO NADEEM AV','92','92','2020-11-26 23:37:04','2020-11-26 23:37:04',null);
INSERT INTO complaint_statuses VALUES('8640','2622','4',null,'59',null,null,'81','81','2020-11-26 23:37:32','2020-11-26 23:37:32',null);
INSERT INTO complaint_statuses VALUES('8641','2623','2',null,'81',null,'26-NOV-2020
FF TO HOME SOLUTION','74','74','2020-11-26 23:43:47','2020-11-26 23:43:47',null);
INSERT INTO complaint_statuses VALUES('8642','2623','4',null,'62',null,null,'81','81','2020-11-26 23:44:19','2020-11-26 23:44:19',null);
INSERT INTO complaint_statuses VALUES('8643','2624','3',null,'85',null,'26-NOV-2020
COM NO 1070824','92','92','2020-11-26 23:56:23','2020-11-27 02:23:45',null);
INSERT INTO complaint_statuses VALUES('8644','2613','7','12','81','یہ complain ghalt aai hy isko closed kar dy',null,'82','82','2020-11-27 00:01:20','2020-11-27 00:01:20',null);
INSERT INTO complaint_statuses VALUES('8645','2530','8','23','62','JOB COMPLETE QUKILEY',null,'81','81','2020-11-27 00:12:53','2020-11-27 00:12:53',null);
INSERT INTO complaint_statuses VALUES('8646','2616','4',null,'58',null,null,'81','81','2020-11-27 00:17:19','2020-11-27 00:17:19',null);
INSERT INTO complaint_statuses VALUES('8647','2613','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-11-27 00:20:38','2020-11-27 01:08:27',null);
INSERT INTO complaint_statuses VALUES('8648','2452','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2020-11-27 00:22:50','2020-11-27 01:20:17',null);
INSERT INTO complaint_statuses VALUES('8649','2530','7','12','81','ISSUE RESOLVED',null,'87','87','2020-11-27 01:15:44','2020-11-27 01:15:44',null);
INSERT INTO complaint_statuses VALUES('8650','2625','2',null,'81',null,'26-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-27 01:18:10','2020-11-27 01:18:10',null);
INSERT INTO complaint_statuses VALUES('8651','2626','3',null,'80',null,'26-NOV-2020
COM FF TO AMNA BOSCH','92','92','2020-11-27 01:26:05','2020-11-27 01:45:09',null);
INSERT INTO complaint_statuses VALUES('8652','2530','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-11-27 01:30:37','2020-11-27 01:31:08',null);
INSERT INTO complaint_statuses VALUES('8653','2329','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-11-27 01:34:25','2020-11-27 01:34:54',null);
INSERT INTO complaint_statuses VALUES('8654','2458','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-27 01:37:42','2020-11-27 01:37:42',null);
INSERT INTO complaint_statuses VALUES('8655','2457','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-11-27 01:40:27','2020-11-27 01:40:27',null);
INSERT INTO complaint_statuses VALUES('8656','2627','3',null,'53',null,'26-NOV-2020
COM NO 301071045','92','92','2020-11-27 01:40:38','2020-11-28 19:49:46',null);
INSERT INTO complaint_statuses VALUES('8657','2455','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-27 01:51:09','2020-11-27 01:51:09',null);
INSERT INTO complaint_statuses VALUES('8658','2628','3',null,'67',null,'26-NOV-2020
COM FF TO ANWER','92','92','2020-11-27 01:54:09','2020-11-29 01:08:17',null);
INSERT INTO complaint_statuses VALUES('8659','2589','7','22','81','COMP',null,'87','87','2020-11-27 01:57:26','2020-11-27 01:57:26',null);
INSERT INTO complaint_statuses VALUES('8660','2629','3',null,'52',null,'26-NOV-2020
COM NO PKRI 201126108570','92','92','2020-11-27 02:00:54','2020-11-27 02:12:58',null);
INSERT INTO complaint_statuses VALUES('8661','2630','3',null,'53',null,'26-NOV-2020
COMPLAINT#CELL #HAIN','74','74','2020-11-27 02:29:56','2020-11-27 20:14:36',null);
INSERT INTO complaint_statuses VALUES('8662','2625','4',null,'58',null,null,'81','81','2020-11-27 02:36:51','2020-11-27 02:36:51',null);
INSERT INTO complaint_statuses VALUES('8663','2622','7','24','81','kal visit ho jae ga',null,'80','80','2020-11-27 02:56:35','2020-11-27 02:56:35',null);
INSERT INTO complaint_statuses VALUES('8664','2514','7','12','81','ISSUE RESOLVED , GAS CHARGED + COMP REPLACED + CAPILLARY',null,'87','87','2020-11-27 02:58:57','2020-11-27 02:58:57',null);
INSERT INTO complaint_statuses VALUES('8665','2631','3',null,'55',null,'26-NOV-2020
FF TO NAEEM KENWOOD','74','74','2020-11-27 02:59:09','2020-11-27 03:04:22',null);
INSERT INTO complaint_statuses VALUES('8666','2461','7','12','81','compressor and cupleey chnage.unit chala gya hai',null,'79','79','2020-11-27 03:04:30','2020-11-27 03:04:30',null);
INSERT INTO complaint_statuses VALUES('8667','2554','7','12','81','filter clean.complaint resolved',null,'79','79','2020-11-27 03:06:28','2020-11-27 03:06:28',null);
INSERT INTO complaint_statuses VALUES('8668','2632','2',null,'81',null,'26-NOV-2020
COM FF TO AZHAR SIR','92','92','2020-11-27 03:13:26','2020-11-27 03:13:26',null);
INSERT INTO complaint_statuses VALUES('8669','2632','4',null,'60',null,null,'81','81','2020-11-27 19:54:05','2020-11-27 19:54:05',null);
INSERT INTO complaint_statuses VALUES('8670','2634','2',null,'81',null,'27-NOV-2020
FF TO HOME SOLUTION','74','74','2020-11-27 19:59:12','2020-11-27 19:59:12',null);
INSERT INTO complaint_statuses VALUES('8671','2634','4',null,'62',null,null,'81','81','2020-11-27 20:04:33','2020-11-27 20:04:33',null);
INSERT INTO complaint_statuses VALUES('8672','2635','3',null,'52',null,'27-NOV-2020
COMPLAINT#PKPR-201127103097','74','92','2020-11-27 20:50:37','2020-12-03 20:57:06',null);
INSERT INTO complaint_statuses VALUES('8673','2633','3',null,'54',null,null,'74','74','2020-11-27 21:00:53','2020-11-27 21:00:53',null);
INSERT INTO complaint_statuses VALUES('8674','2462','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-27 21:07:27','2020-11-27 21:07:27',null);
INSERT INTO complaint_statuses VALUES('8675','2456','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-27 21:08:14','2020-11-27 21:08:14',null);
INSERT INTO complaint_statuses VALUES('8676','2449','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-27 21:41:14','2020-11-27 21:41:14',null);
INSERT INTO complaint_statuses VALUES('8677','2420','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-27 21:48:34','2020-11-27 21:48:34',null);
INSERT INTO complaint_statuses VALUES('8678','2634','7','22','81','PCB',null,'87','87','2020-11-27 22:36:39','2020-11-27 22:36:39',null);
INSERT INTO complaint_statuses VALUES('8679','2468','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-27 23:08:34','2020-11-27 23:08:34',null);
INSERT INTO complaint_statuses VALUES('8680','2412','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-27 23:11:15','2020-11-27 23:11:15',null);
INSERT INTO complaint_statuses VALUES('8681','2407','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-27 23:15:41','2020-11-27 23:15:41',null);
INSERT INTO complaint_statuses VALUES('8682','2300','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-27 23:29:31','2020-11-27 23:29:31',null);
INSERT INTO complaint_statuses VALUES('8683','2012','5',null,null,'COMPLAINT CLOSED','BILA MANZOOR KO REF KI INVOCE SHER KAR DI HAIN DOPLICATE  WARRANTY CARD KI','74','74','2020-11-27 23:33:39','2020-12-05 22:23:23',null);
INSERT INTO complaint_statuses VALUES('8684','2554','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','74','2020-11-27 23:36:31','2020-11-27 23:37:58',null);
INSERT INTO complaint_statuses VALUES('8685','2514','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-27 23:37:28','2020-11-27 23:38:29',null);
INSERT INTO complaint_statuses VALUES('8686','2461','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-27 23:39:02','2020-11-27 23:40:00',null);
INSERT INTO complaint_statuses VALUES('8687','2308','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-27 23:59:46','2020-11-27 23:59:46',null);
INSERT INTO complaint_statuses VALUES('8688','2636','3',null,'53',null,'27-NOV-2020
COMPLAIN#301070934','74','92','2020-11-28 00:08:02','2020-12-05 19:23:18',null);
INSERT INTO complaint_statuses VALUES('8689','2496','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-28 00:24:17','2020-11-28 00:24:17',null);
INSERT INTO complaint_statuses VALUES('8690','2637','2',null,'81',null,'27-NOV-2020
FF TO KHALID  SAB','74','74','2020-11-28 00:47:40','2020-11-28 00:47:40',null);
INSERT INTO complaint_statuses VALUES('8691','2637','4',null,'56',null,null,'81','81','2020-11-28 00:48:12','2020-11-28 00:48:12',null);
INSERT INTO complaint_statuses VALUES('8692','2638','3',null,'57',null,'27-NOV-2020
COMPLAINT#14802','74','74','2020-11-28 00:59:31','2020-11-28 00:59:31',null);
INSERT INTO complaint_statuses VALUES('8693','2623','7','12','81','ISSUE RESOLVED',null,'87','87','2020-11-28 01:39:05','2020-11-28 01:39:05',null);
INSERT INTO complaint_statuses VALUES('8694','2639','3',null,'54',null,'27-NOV-2020
COMPLAINT#1775168','74','74','2020-11-28 02:34:02','2020-11-28 02:34:02',null);
INSERT INTO complaint_statuses VALUES('8695','2640','2',null,'81',null,'27-NOV-2020
FF TO NADEEM AV','74','74','2020-11-28 02:39:10','2020-11-28 02:39:10',null);
INSERT INTO complaint_statuses VALUES('8696','2640','4',null,'55',null,null,'81','81','2020-11-28 02:39:43','2020-11-28 02:39:43',null);
INSERT INTO complaint_statuses VALUES('8697','2608','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-28 02:44:24','2020-11-28 02:44:24',null);
INSERT INTO complaint_statuses VALUES('8698','2641','3',null,'87',null,'27-NOV-2020
FF TO KHURRAM 5 STAR','74','92','2020-11-28 02:52:15','2020-12-05 19:20:39',null);
INSERT INTO complaint_statuses VALUES('8699','2642','2',null,'81',null,'27-NOV-2020
FF TO B COOL','74','74','2020-11-28 02:56:36','2020-11-28 02:56:36',null);
INSERT INTO complaint_statuses VALUES('8700','2642','4',null,'58',null,null,'81','81','2020-11-28 02:57:08','2020-11-28 02:57:08',null);
INSERT INTO complaint_statuses VALUES('8701','2643','2',null,'81',null,'27-NOV-2020
FF TO KHALID','74','74','2020-11-28 03:02:00','2020-11-28 03:02:00',null);
INSERT INTO complaint_statuses VALUES('8702','2643','4',null,'56',null,null,'81','81','2020-11-28 03:02:26','2020-11-28 03:02:26',null);
INSERT INTO complaint_statuses VALUES('8703','2644','3',null,'54',null,'27-NOV-2020
COMPLAINT#1775177','74','74','2020-11-28 03:09:00','2020-11-28 03:09:00',null);
INSERT INTO complaint_statuses VALUES('8704','2567','7','12','81','no visit complaint resolved on call saftey switch issue',null,'79','79','2020-11-28 19:20:55','2020-11-28 19:20:55',null);
INSERT INTO complaint_statuses VALUES('8705','2645','2',null,'81',null,'28-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-11-28 20:05:59','2020-11-28 20:05:59',null);
INSERT INTO complaint_statuses VALUES('8706','2646','3',null,'55',null,'28-NOV-2020
COMPLAINT#10466','74','92','2020-11-28 20:12:39','2020-11-29 01:02:00',null);
INSERT INTO complaint_statuses VALUES('8707','2647','3',null,'52',null,'28-NOV-2020
COM NO PKRI-201128104986','92','92','2020-11-28 20:14:55','2020-11-28 21:32:00',null);
INSERT INTO complaint_statuses VALUES('8708','2648','2',null,'81',null,'28-NOV-2020
FF TO B.COOL','74','74','2020-11-28 20:22:50','2020-11-28 20:22:50',null);
INSERT INTO complaint_statuses VALUES('8709','2645','4',null,'55',null,null,'81','81','2020-11-28 20:23:07','2020-11-28 20:23:07',null);
INSERT INTO complaint_statuses VALUES('8710','2648','4',null,'58',null,null,'81','81','2020-11-28 20:24:00','2020-11-28 20:24:00',null);
INSERT INTO complaint_statuses VALUES('8711','2649','3',null,'53',null,'28-NOV-2020
COM NO 1071096','92','92','2020-11-28 20:29:50','2020-11-28 21:36:00',null);
INSERT INTO complaint_statuses VALUES('8712','2547','7','12','81','competed and collected. Unit with customer',null,'77','77','2020-11-28 20:30:35','2020-11-28 20:30:35',null);
INSERT INTO complaint_statuses VALUES('8713','1792','7','12','81','Unit ok..pls collect it.',null,'77','77','2020-11-28 20:33:27','2020-11-28 20:33:27',null);
INSERT INTO complaint_statuses VALUES('8714','2472','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-11-28 20:36:55','2020-11-28 20:36:55',null);
INSERT INTO complaint_statuses VALUES('8715','2472','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-28 20:42:42','2020-11-28 20:53:57',null);
INSERT INTO complaint_statuses VALUES('8716','2623','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-28 20:44:02','2020-11-28 20:54:31',null);
INSERT INTO complaint_statuses VALUES('8717','2567','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2020-11-28 20:56:52','2020-11-29 23:01:04',null);
INSERT INTO complaint_statuses VALUES('8718','2480','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-28 21:01:00','2020-11-28 21:01:00',null);
INSERT INTO complaint_statuses VALUES('8719','2650','2',null,'81',null,'28-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-11-28 21:06:53','2020-11-28 21:06:53',null);
INSERT INTO complaint_statuses VALUES('8720','1839','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-28 21:16:27','2020-11-28 21:16:27',null);
INSERT INTO complaint_statuses VALUES('8721','1906','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-28 21:18:50','2020-11-28 21:18:50',null);
INSERT INTO complaint_statuses VALUES('8722','2550','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-11-28 21:40:18','2020-11-28 21:40:18',null);
INSERT INTO complaint_statuses VALUES('8723','2321','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-28 21:50:13','2020-11-28 21:50:13',null);
INSERT INTO complaint_statuses VALUES('8724','2296','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-28 21:51:09','2020-11-28 21:51:09',null);
INSERT INTO complaint_statuses VALUES('8725','2181','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-28 21:52:09','2020-11-28 21:52:09',null);
INSERT INTO complaint_statuses VALUES('8726','2161','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-28 21:54:12','2020-11-28 21:54:12',null);
INSERT INTO complaint_statuses VALUES('8727','2159','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-28 21:55:53','2020-11-28 21:55:53',null);
INSERT INTO complaint_statuses VALUES('8728','2424','7','12','81','NO VISIT .COMPLAINT RESOLVED ON CALL FILTER ISSUE.FILTER CLEAN',null,'79','79','2020-11-28 21:58:37','2020-11-28 21:58:37',null);
INSERT INTO complaint_statuses VALUES('8729','1954','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-28 21:58:56','2020-11-28 21:58:56',null);
INSERT INTO complaint_statuses VALUES('8730','1864','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-28 22:00:39','2020-11-28 22:00:39',null);
INSERT INTO complaint_statuses VALUES('8731','1863','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-28 22:01:45','2020-11-28 22:01:45',null);
INSERT INTO complaint_statuses VALUES('8732','1775','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-28 22:03:03','2020-11-28 22:03:03',null);
INSERT INTO complaint_statuses VALUES('8733','1759','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-28 22:05:18','2020-11-28 22:05:18',null);
INSERT INTO complaint_statuses VALUES('8734','2650','4',null,'55',null,null,'81','81','2020-11-28 22:05:54','2020-11-28 22:05:54',null);
INSERT INTO complaint_statuses VALUES('8735','2603','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-28 22:12:55','2020-11-28 22:12:55',null);
INSERT INTO complaint_statuses VALUES('8736','2604','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-28 22:22:37','2020-11-28 22:22:37',null);
INSERT INTO complaint_statuses VALUES('8737','2602','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-28 22:24:36','2020-11-28 22:24:36',null);
INSERT INTO complaint_statuses VALUES('8738','2651','2',null,'81',null,'28-NOV-2020
FF TO KHALID SONY','74','74','2020-11-28 22:30:40','2020-11-28 22:30:40',null);
INSERT INTO complaint_statuses VALUES('8739','2651','4',null,'56',null,null,'81','81','2020-11-28 22:30:59','2020-11-28 22:30:59',null);
INSERT INTO complaint_statuses VALUES('8740','2588','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-28 22:38:33','2020-11-28 22:38:33',null);
INSERT INTO complaint_statuses VALUES('8741','2652','2',null,'81',null,'28-NOV-2020
FF TO KHALID SONY','74','74','2020-11-28 22:45:22','2020-11-28 22:45:22',null);
INSERT INTO complaint_statuses VALUES('8742','2652','4',null,'56',null,'MODEL 75X/8000-H','81','74','2020-11-28 22:46:32','2020-12-08 00:22:38',null);
INSERT INTO complaint_statuses VALUES('8743','2547','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-28 22:50:16','2020-11-28 23:37:59',null);
INSERT INTO complaint_statuses VALUES('8744','2653','2',null,'81',null,'28-NOV-2020
FF TO KHALID SONY','74','74','2020-11-28 23:22:03','2020-11-28 23:22:03',null);
INSERT INTO complaint_statuses VALUES('8745','2653','4',null,'56',null,null,'81','81','2020-11-28 23:22:23','2020-11-28 23:22:23',null);
INSERT INTO complaint_statuses VALUES('8746','2654','2',null,'81',null,'28-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-28 23:24:48','2020-11-28 23:24:48',null);
INSERT INTO complaint_statuses VALUES('8747','2654','4',null,'58',null,null,'81','81','2020-11-28 23:27:18','2020-11-28 23:27:18',null);
INSERT INTO complaint_statuses VALUES('8748','2424','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-28 23:28:24','2020-11-28 23:38:42',null);
INSERT INTO complaint_statuses VALUES('8749','2592','7','9','81','Please provide an  other Number, Phone Number is going power off from many Days.',null,'76','76','2020-11-28 23:29:51','2020-11-28 23:29:51',null);
INSERT INTO complaint_statuses VALUES('8750','2655','2',null,'81',null,'28-NOV-2020
FF TO KHALID','74','74','2020-11-28 23:32:23','2020-11-28 23:32:23',null);
INSERT INTO complaint_statuses VALUES('8751','2655','4',null,'56',null,'MODEL 65X7500H','81','74','2020-11-28 23:32:55','2020-12-08 00:25:02',null);
INSERT INTO complaint_statuses VALUES('8752','2656','2',null,'81',null,'28-NOV-2020
COM FF TO USMAN MRM','92','92','2020-11-28 23:40:46','2020-11-28 23:40:46',null);
INSERT INTO complaint_statuses VALUES('8753','2657','3',null,'55',null,'28-NOV-2020
COM NO 16607','92','92','2020-11-29 00:16:32','2020-11-30 20:29:45',null);
INSERT INTO complaint_statuses VALUES('8754','2607','7','24','81','CHOWK',null,'87','87','2020-11-29 00:16:46','2020-11-29 00:16:46',null);
INSERT INTO complaint_statuses VALUES('8755','2658','2',null,'81',null,'28-NOV-2020
FF TO HOME SOLUTION','74','74','2020-11-29 00:28:20','2020-11-29 00:28:20',null);
INSERT INTO complaint_statuses VALUES('8756','2584','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-29 00:29:40','2020-11-29 00:29:40',null);
INSERT INTO complaint_statuses VALUES('8757','2658','4',null,'62',null,null,'81','81','2020-11-29 00:31:50','2020-11-29 00:31:50',null);
INSERT INTO complaint_statuses VALUES('8758','2656','4',null,'61',null,null,'81','81','2020-11-29 00:32:01','2020-11-29 00:32:01',null);
INSERT INTO complaint_statuses VALUES('8759','2582','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-29 00:33:54','2020-11-29 00:33:54',null);
INSERT INTO complaint_statuses VALUES('8760','2628','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-29 01:10:11','2020-11-29 01:10:11',null);
INSERT INTO complaint_statuses VALUES('8761','2642','7','12','81','filter clean .complain tresolved',null,'79','79','2020-11-29 01:22:31','2020-11-29 01:22:31',null);
INSERT INTO complaint_statuses VALUES('8762','2659','3',null,'74',null,'28-NOV-2020
COM NO 235','92','92','2020-11-29 01:48:30','2020-11-29 01:53:12',null);
INSERT INTO complaint_statuses VALUES('8763','2497','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-11-29 01:50:32','2020-11-29 01:50:32',null);
INSERT INTO complaint_statuses VALUES('8764','2660','2',null,'81',null,'28-NOB-2020
FF TO AZHAR FCI','74','74','2020-11-29 01:51:09','2020-11-29 01:51:09',null);
INSERT INTO complaint_statuses VALUES('8765','2660','4',null,'60',null,null,'81','81','2020-11-29 01:52:07','2020-11-29 01:52:07',null);
INSERT INTO complaint_statuses VALUES('8766','2495','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-29 01:53:42','2020-11-29 01:53:42',null);
INSERT INTO complaint_statuses VALUES('8767','2642','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-11-29 01:54:27','2020-11-29 01:56:57',null);
INSERT INTO complaint_statuses VALUES('8768','2487','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-29 01:58:18','2020-11-29 01:58:18',null);
INSERT INTO complaint_statuses VALUES('8769','2592','8','23','55','CUSTOMER KA NO ON HAIN AGAIN CALL KARAY CUSTOMER KO',null,'81','81','2020-11-29 02:05:12','2020-11-29 02:05:12',null);
INSERT INTO complaint_statuses VALUES('8770','2661','3',null,'52',null,'28-NOV-2020
COM NO PKRI-201130102652','92','92','2020-11-29 02:34:52','2020-11-30 20:11:15',null);
INSERT INTO complaint_statuses VALUES('8771','2662','2',null,'81',null,'28-NOV-2020
FF TO HOME SOLUTION','74','74','2020-11-29 02:38:22','2020-11-29 02:38:22',null);
INSERT INTO complaint_statuses VALUES('8772','2662','4',null,'62',null,null,'81','81','2020-11-29 02:38:53','2020-11-29 02:38:53',null);
INSERT INTO complaint_statuses VALUES('8773','2663','2',null,'81',null,'28-NOV-2020
FF TO SHAMIN AKHTER','74','74','2020-11-29 02:44:28','2020-11-29 02:44:28',null);
INSERT INTO complaint_statuses VALUES('8774','2663','4',null,'55',null,null,'81','81','2020-11-29 02:45:48','2020-11-29 02:45:48',null);
INSERT INTO complaint_statuses VALUES('8775','2664','2',null,'81',null,'28-NOV-2020
FF TO KHALID','74','74','2020-11-29 02:57:44','2020-11-29 02:57:44',null);
INSERT INTO complaint_statuses VALUES('8776','2637','7','12','81','unit ok and with customer',null,'77','77','2020-11-29 02:58:59','2020-11-29 02:58:59',null);
INSERT INTO complaint_statuses VALUES('8777','2664','4',null,'56',null,null,'81','81','2020-11-29 03:01:02','2020-11-29 03:01:02',null);
INSERT INTO complaint_statuses VALUES('8778','2665','2',null,'81',null,'28-NOV-2020
FF TO HOME SOLUTION','74','74','2020-11-29 03:14:16','2020-11-29 03:14:16',null);
INSERT INTO complaint_statuses VALUES('8779','2665','4',null,'62',null,null,'81','81','2020-11-29 04:08:53','2020-11-29 04:08:53',null);
INSERT INTO complaint_statuses VALUES('8780','2574','7','12','81','complaint resolved.water pressure low tha',null,'79','79','2020-11-29 04:27:37','2020-11-29 04:27:37',null);
INSERT INTO complaint_statuses VALUES('8781','2666','2',null,'81',null,'29-NOV-2020
COM FF TO HOME SOLUTION','92','92','2020-11-29 19:46:09','2020-11-29 19:46:09',null);
INSERT INTO complaint_statuses VALUES('8782','2667','3',null,'53',null,'29-NOV-2020
COM NO 1071246','92','92','2020-11-29 20:00:55','2020-11-30 00:23:32',null);
INSERT INTO complaint_statuses VALUES('8783','2665','7','12','81','BLOOR REPLACED',null,'87','87','2020-11-29 20:36:58','2020-11-29 20:36:58',null);
INSERT INTO complaint_statuses VALUES('8784','2662','7','12','81','ISSUE RESOLVED',null,'87','87','2020-11-29 20:39:32','2020-11-29 20:39:32',null);
INSERT INTO complaint_statuses VALUES('8785','2421','7','12','81','ISSUE RESOLVED',null,'87','87','2020-11-29 20:40:25','2020-11-29 20:40:25',null);
INSERT INTO complaint_statuses VALUES('8786','2625','7','12','81','flute value issue.complaint  resolved',null,'79','79','2020-11-29 20:46:43','2020-11-29 20:46:43',null);
INSERT INTO complaint_statuses VALUES('8787','2668','2',null,'81',null,'29-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-11-29 20:48:12','2020-11-29 20:48:12',null);
INSERT INTO complaint_statuses VALUES('8788','2614','7','12','81','inlet coil issue complaint reoslved',null,'79','79','2020-11-29 20:48:39','2020-11-29 20:48:39',null);
INSERT INTO complaint_statuses VALUES('8789','2488','7','12','81','complaint resolved. i 10 sy check kr ky ly kr gaye hain.',null,'79','79','2020-11-29 20:59:50','2020-11-29 20:59:50',null);
INSERT INTO complaint_statuses VALUES('8790','2669','2',null,'81',null,'29-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-29 21:22:42','2020-11-29 21:22:42',null);
INSERT INTO complaint_statuses VALUES('8791','2670','3',null,'80',null,'29-NOV-2020
COM FF TO AMNA BOSCH','92','92','2020-11-29 21:28:30','2020-11-30 20:06:21',null);
INSERT INTO complaint_statuses VALUES('8792','2671','2',null,'81',null,'29-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-29 22:00:49','2020-11-29 22:00:49',null);
INSERT INTO complaint_statuses VALUES('8793','2672','2',null,'81',null,'29-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-29 22:11:21','2020-11-29 22:11:21',null);
INSERT INTO complaint_statuses VALUES('8794','2612','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-29 22:16:37','2020-11-29 22:16:37',null);
INSERT INTO complaint_statuses VALUES('8795','2573','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-29 22:22:56','2020-11-29 22:22:56',null);
INSERT INTO complaint_statuses VALUES('8796','2572','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-29 22:23:59','2020-11-29 22:23:59',null);
INSERT INTO complaint_statuses VALUES('8797','2525','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-29 22:34:47','2020-11-29 22:34:47',null);
INSERT INTO complaint_statuses VALUES('8798','2564','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-29 22:39:45','2020-11-29 22:39:45',null);
INSERT INTO complaint_statuses VALUES('8799','2517','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-29 22:41:24','2020-11-29 22:41:24',null);
INSERT INTO complaint_statuses VALUES('8800','2545','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-29 22:43:17','2020-11-29 22:43:17',null);
INSERT INTO complaint_statuses VALUES('8801','2516','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-29 22:49:34','2020-11-29 22:49:34',null);
INSERT INTO complaint_statuses VALUES('8802','2534','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-29 22:51:06','2020-11-29 22:51:06',null);
INSERT INTO complaint_statuses VALUES('8803','2548','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-29 22:53:01','2020-11-29 22:53:01',null);
INSERT INTO complaint_statuses VALUES('8804','2532','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-29 23:10:02','2020-11-29 23:10:02',null);
INSERT INTO complaint_statuses VALUES('8805','2560','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-29 23:14:31','2020-11-29 23:14:31',null);
INSERT INTO complaint_statuses VALUES('8806','2562','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-29 23:16:04','2020-11-29 23:16:04',null);
INSERT INTO complaint_statuses VALUES('8807','2600','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-29 23:19:17','2020-11-29 23:19:17',null);
INSERT INTO complaint_statuses VALUES('8808','2510','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-11-29 23:23:17','2020-11-29 23:23:17',null);
INSERT INTO complaint_statuses VALUES('8809','2658','7','12','81','ISSUE RESOLVED . SERVICE KI',null,'87','87','2020-11-30 00:03:45','2020-11-30 00:03:45',null);
INSERT INTO complaint_statuses VALUES('8810','2673','3',null,'65',null,'29-NOV-2020
COM NO 192019214','92','92','2020-11-30 00:38:48','2020-11-30 02:20:18',null);
INSERT INTO complaint_statuses VALUES('8811','2674','3',null,'52',null,'29-NOV-2020
COM NO PKRI 201129106361','92','92','2020-11-30 02:10:22','2020-11-30 19:29:03',null);
INSERT INTO complaint_statuses VALUES('8812','2675','2',null,'81',null,'29-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-30 02:29:00','2020-11-30 02:29:00',null);
INSERT INTO complaint_statuses VALUES('8813','2651','7','12','81','Unit ok pls collect it',null,'77','77','2020-11-30 19:31:34','2020-11-30 19:31:34',null);
INSERT INTO complaint_statuses VALUES('8814','2654','7','12','81','unbalance tha .complaint resolved',null,'79','79','2020-11-30 19:35:25','2020-11-30 19:35:25',null);
INSERT INTO complaint_statuses VALUES('8815','2544','7','12','81','complaint roslved addjustment kerni thi',null,'79','79','2020-11-30 19:37:25','2020-11-30 19:37:25',null);
INSERT INTO complaint_statuses VALUES('8816','2675','4',null,'58',null,null,'81','81','2020-11-30 19:54:22','2020-11-30 19:54:22',null);
INSERT INTO complaint_statuses VALUES('8817','2672','4',null,'58',null,null,'81','81','2020-11-30 19:54:33','2020-11-30 19:54:33',null);
INSERT INTO complaint_statuses VALUES('8818','2671','4',null,'58',null,null,'81','81','2020-11-30 19:55:08','2020-11-30 19:55:08',null);
INSERT INTO complaint_statuses VALUES('8819','2669','4',null,'58',null,null,'81','81','2020-11-30 19:55:18','2020-11-30 19:55:18',null);
INSERT INTO complaint_statuses VALUES('8820','2666','4',null,'62',null,null,'81','81','2020-11-30 19:57:28','2020-11-30 19:57:28',null);
INSERT INTO complaint_statuses VALUES('8821','2634','5','23',null,'JOB COMPLETED QUKILEY','COMPLAINT RESOLVED','81','74','2020-11-30 20:03:50','2020-11-30 20:40:23',null);
INSERT INTO complaint_statuses VALUES('8822','2676','2',null,'81',null,'27-NOV-2020
FF TO HOME SOLUTION','74','74','2020-11-30 20:04:46','2020-11-30 20:04:46',null);
INSERT INTO complaint_statuses VALUES('8823','2666','7','12','81','ISSUE REOLVED',null,'87','87','2020-11-30 20:05:11','2020-11-30 20:05:11',null);
INSERT INTO complaint_statuses VALUES('8824','2676','4',null,'62',null,null,'81','81','2020-11-30 20:07:53','2020-11-30 20:07:53',null);
INSERT INTO complaint_statuses VALUES('8825','2676','7','12','81','ISSUE RESOLVED ,PCB REPAIR',null,'87','87','2020-11-30 20:08:36','2020-11-30 20:08:36',null);
INSERT INTO complaint_statuses VALUES('8826','2618','7','12','81','cusotmer 4 din sy call pick naho kr rahy ...na  msg ka nas kr ahy',null,'79','79','2020-11-30 20:12:32','2020-11-30 20:12:32',null);
INSERT INTO complaint_statuses VALUES('8827','2677','2',null,'81',null,'30-NOV-20202
FF TO B COOL','74','74','2020-11-30 20:24:50','2020-11-30 20:24:50',null);
INSERT INTO complaint_statuses VALUES('8828','2677','4',null,'58',null,null,'81','81','2020-11-30 20:25:15','2020-11-30 20:25:15',null);
INSERT INTO complaint_statuses VALUES('8829','2668','4',null,'58',null,null,'81','81','2020-11-30 20:35:31','2020-11-30 20:35:31',null);
INSERT INTO complaint_statuses VALUES('8830','2676','5','15',null,'COMPLETED COMPLANT','COMPLAINT RESOLVED','81','74','2020-11-30 20:39:06','2020-11-30 20:39:56',null);
INSERT INTO complaint_statuses VALUES('8831','2665','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-30 20:41:15','2020-11-30 20:46:51',null);
INSERT INTO complaint_statuses VALUES('8832','2662','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-30 20:41:44','2020-11-30 20:47:29',null);
INSERT INTO complaint_statuses VALUES('8833','2658','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-30 20:42:34','2020-11-30 20:47:59',null);
INSERT INTO complaint_statuses VALUES('8834','2654','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-30 20:43:33','2020-11-30 20:48:27',null);
INSERT INTO complaint_statuses VALUES('8835','2637','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-30 20:48:55','2020-11-30 21:02:21',null);
INSERT INTO complaint_statuses VALUES('8836','2625','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-30 20:51:21','2020-11-30 21:02:54',null);
INSERT INTO complaint_statuses VALUES('8837','2678','2',null,'81',null,'30-NOV-2020
COM FF TO BEST COOL','92','92','2020-11-30 20:52:02','2020-11-30 20:52:02',null);
INSERT INTO complaint_statuses VALUES('8838','2519','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-30 20:57:34','2020-11-30 20:57:34',null);
INSERT INTO complaint_statuses VALUES('8839','2512','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-30 21:01:35','2020-11-30 21:01:35',null);
INSERT INTO complaint_statuses VALUES('8840','2679','3',null,'52',null,'30-NOV-2020
COM NO PKRI-201130104457','92','92','2020-11-30 21:07:04','2020-11-30 21:10:17',null);
INSERT INTO complaint_statuses VALUES('8841','2677','7','28','81','????',null,'79','79','2020-11-30 21:26:16','2020-11-30 21:26:16',null);
INSERT INTO complaint_statuses VALUES('8842','2680','3',null,'52',null,'30-NOV-2020
COM NO PKRI-201130107522','92','92','2020-11-30 21:28:08','2020-11-30 23:08:02',null);
INSERT INTO complaint_statuses VALUES('8843','2681','3',null,'75',null,'30-NOV-2020
COM  FF TO KHURRAM FIVE STAR','92','92','2020-11-30 21:33:59','2020-11-30 21:33:59',null);
INSERT INTO complaint_statuses VALUES('8844','2682','3',null,'52',null,'30-NOV-2020
COM NO PKRI-201130107596','92','92','2020-11-30 21:40:56','2020-11-30 23:13:40',null);
INSERT INTO complaint_statuses VALUES('8845','2379','7','12','81','Conleted and collected.',null,'77','77','2020-11-30 21:42:22','2020-11-30 21:42:22',null);
INSERT INTO complaint_statuses VALUES('8846','2618','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-30 21:43:12','2020-11-30 22:06:06',null);
INSERT INTO complaint_statuses VALUES('8847','2678','4',null,'58',null,null,'81','81','2020-11-30 21:43:27','2020-11-30 21:43:27',null);
INSERT INTO complaint_statuses VALUES('8848','2677','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-11-30 21:44:16','2020-11-30 21:47:10',null);
INSERT INTO complaint_statuses VALUES('8849','2666','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-30 21:44:41','2020-11-30 21:47:39',null);
INSERT INTO complaint_statuses VALUES('8850','2622','8','23','59','COMPLAINT COMPLETED QUKILEY',null,'81','81','2020-11-30 21:45:21','2020-11-30 21:45:21',null);
INSERT INTO complaint_statuses VALUES('8851','2683','2',null,'81',null,'30-NOV-2020
COM FF TO HOME SOLUTION','92','92','2020-11-30 21:47:21','2020-11-30 21:47:21',null);
INSERT INTO complaint_statuses VALUES('8852','2509','5',null,null,'COMPLAINT  CLOSED',null,'74','74','2020-11-30 21:51:55','2020-11-30 21:51:55',null);
INSERT INTO complaint_statuses VALUES('8853','2421','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-30 21:53:42','2020-11-30 22:08:38',null);
INSERT INTO complaint_statuses VALUES('8854','2683','4',null,'62',null,null,'81','81','2020-11-30 21:54:41','2020-11-30 21:54:41',null);
INSERT INTO complaint_statuses VALUES('8855','2684','3',null,'55',null,'30-NOV-2020
COM NO 699562
NAEEN KENWOOD','92','74','2020-11-30 21:56:03','2020-12-02 21:04:48',null);
INSERT INTO complaint_statuses VALUES('8856','2607','8','23','62','JOB COMPLETED QUKILEY',null,'81','81','2020-11-30 21:56:12','2020-11-30 21:56:12',null);
INSERT INTO complaint_statuses VALUES('8857','2574','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-30 22:01:01','2020-11-30 22:07:08',null);
INSERT INTO complaint_statuses VALUES('8858','2614','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-11-30 22:01:28','2020-11-30 22:06:37',null);
INSERT INTO complaint_statuses VALUES('8859','2544','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-30 22:02:46','2020-11-30 22:07:38',null);
INSERT INTO complaint_statuses VALUES('8860','2488','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-11-30 22:03:44','2020-11-30 22:08:08',null);
INSERT INTO complaint_statuses VALUES('8861','2685','3',null,'73',null,'30-NOV-2020
COM NO 2715','92','92','2020-11-30 22:05:39','2020-11-30 23:04:12',null);
INSERT INTO complaint_statuses VALUES('8862','2379','8','23','56','JB CUSTOMER SET COLLECT KAR LAY TAB JOB COMPLETED KIJAY GA',null,'81','81','2020-11-30 22:15:50','2020-11-30 22:15:50',null);
INSERT INTO complaint_statuses VALUES('8863','2538','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-11-30 22:17:32','2020-11-30 22:17:32',null);
INSERT INTO complaint_statuses VALUES('8864','2686','2',null,'81',null,'30-NOV-2020
COM FF TO HOME SOLUTION','92','92','2020-11-30 22:18:56','2020-11-30 22:18:56',null);
INSERT INTO complaint_statuses VALUES('8865','2638','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-30 22:19:29','2020-11-30 22:19:29',null);
INSERT INTO complaint_statuses VALUES('8866','2686','4',null,'62',null,null,'81','81','2020-11-30 22:24:34','2020-11-30 22:24:34',null);
INSERT INTO complaint_statuses VALUES('8867','2687','3',null,'65',null,'30-NOV-2020
COMPLAINT|#192019234','74','92','2020-11-30 22:30:41','2020-11-30 22:55:53',null);
INSERT INTO complaint_statuses VALUES('8868','2379','7','12','81','Collected unit with customer',null,'77','77','2020-11-30 22:31:22','2020-11-30 22:31:22',null);
INSERT INTO complaint_statuses VALUES('8869','2688','3',null,'75',null,'30-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-30 22:33:39','2020-11-30 22:33:39',null);
INSERT INTO complaint_statuses VALUES('8870','2503','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-11-30 22:43:30','2020-11-30 22:43:30',null);
INSERT INTO complaint_statuses VALUES('8871','2535','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-30 22:47:02','2020-11-30 22:47:02',null);
INSERT INTO complaint_statuses VALUES('8872','2689','3',null,'75',null,'30-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-11-30 22:47:15','2020-12-08 01:44:18',null);
INSERT INTO complaint_statuses VALUES('8873','2537','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-30 22:47:57','2020-11-30 22:47:57',null);
INSERT INTO complaint_statuses VALUES('8874','2536','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-11-30 22:49:45','2020-11-30 22:49:45',null);
INSERT INTO complaint_statuses VALUES('8875','2579','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-11-30 22:52:43','2020-11-30 22:52:43',null);
INSERT INTO complaint_statuses VALUES('8876','2690','2',null,'81',null,'30-NOV-2020
COM FF TO USMAN MRM','92','92','2020-12-01 00:22:58','2020-12-01 00:22:58',null);
INSERT INTO complaint_statuses VALUES('8877','2691','3',null,'65',null,'30-NOV-2020
COM NO 072015438','92','92','2020-12-01 00:32:13','2020-12-01 02:33:50',null);
INSERT INTO complaint_statuses VALUES('8878','2692','3',null,'55',null,'30-NOV-2020
FF TO WAQAR KENWOOD','74','92','2020-12-01 00:33:00','2020-12-01 02:10:27',null);
INSERT INTO complaint_statuses VALUES('8879','2597','7','26','81','PCB Already Removed By other Technician.',null,'76','76','2020-12-01 00:37:33','2020-12-01 00:37:33',null);
INSERT INTO complaint_statuses VALUES('8880','2693','3',null,'87',null,'28-NOV-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-01 00:39:41','2020-12-01 00:39:41',null);
INSERT INTO complaint_statuses VALUES('8881','2611','7','24','81','Refer to SVC , Customer Will Drop',null,'76','76','2020-12-01 00:40:14','2020-12-01 00:40:14',null);
INSERT INTO complaint_statuses VALUES('8882','2494','7','24','81','Refer to SVC In Service , Customer Will Drop It',null,'76','76','2020-12-01 00:42:01','2020-12-01 00:42:01',null);
INSERT INTO complaint_statuses VALUES('8883','2559','7','12','81','Demonstration Only',null,'76','76','2020-12-01 00:42:46','2020-12-01 00:42:46',null);
INSERT INTO complaint_statuses VALUES('8884','2453','7','12','81','Inlet Pipe Adjustment Only',null,'76','76','2020-12-01 00:43:31','2020-12-01 00:43:31',null);
INSERT INTO complaint_statuses VALUES('8885','2498','7','12','81','Door Switch Faulty , Customer Will Inform for Replacement.',null,'76','76','2020-12-01 00:44:20','2020-12-01 00:44:20',null);
INSERT INTO complaint_statuses VALUES('8886','2478','7','12','81','Drain Service',null,'76','76','2020-12-01 00:45:03','2020-12-01 00:45:03',null);
INSERT INTO complaint_statuses VALUES('8887','2541','7','12','81','Filter Service',null,'76','76','2020-12-01 00:45:34','2020-12-01 00:45:34',null);
INSERT INTO complaint_statuses VALUES('8888','2476','7','12','81','Inlet Sensor Replaced and Service',null,'76','76','2020-12-01 00:46:16','2020-12-01 00:46:16',null);
INSERT INTO complaint_statuses VALUES('8889','2563','7','12','81','Level Foot Adjustment',null,'76','76','2020-12-01 00:47:48','2020-12-01 00:47:48',null);
INSERT INTO complaint_statuses VALUES('8890','2587','7','26','81','Issue Resolved on telephone',null,'76','76','2020-12-01 00:48:52','2020-12-01 00:48:52',null);
INSERT INTO complaint_statuses VALUES('8891','2188','7','12','81','Issue Solved Again',null,'76','76','2020-12-01 00:51:26','2020-12-01 00:51:26',null);
INSERT INTO complaint_statuses VALUES('8892','2617','7','24','81','Under Repaire in svc in No Power',null,'76','76','2020-12-01 00:52:06','2020-12-01 00:52:06',null);
INSERT INTO complaint_statuses VALUES('8893','2694','3',null,'53',null,'30-NOV-2020
COM NO 301071671','92','92','2020-12-01 00:52:53','2020-12-02 00:42:18',null);
INSERT INTO complaint_statuses VALUES('8894','2580','7','24','81','Under Repaire In SVC',null,'76','76','2020-12-01 00:52:59','2020-12-01 00:52:59',null);
INSERT INTO complaint_statuses VALUES('8895','2571','7','12','81','Tub Balance Adjustment. ON FOC',null,'76','76','2020-12-01 00:53:55','2020-12-01 00:53:55',null);
INSERT INTO complaint_statuses VALUES('8896','2493','7','26','81','Issue Solved On telephone',null,'76','76','2020-12-01 00:54:39','2020-12-01 00:54:39',null);
INSERT INTO complaint_statuses VALUES('8897','2427','7','24','81','Under Repair in SVC ( Tub Damage)',null,'76','76','2020-12-01 00:55:38','2020-12-01 00:55:38',null);
INSERT INTO complaint_statuses VALUES('8898','2668','7','12','81','cooking rangr lpg pr thi  natural gas pe ki hai.complaint reoslved',null,'79','79','2020-12-01 00:57:33','2020-12-01 00:57:33',null);
INSERT INTO complaint_statuses VALUES('8899','2595','7','12','81','Door Adjustment on FOC Base.',null,'76','76','2020-12-01 00:58:44','2020-12-01 00:58:44',null);
INSERT INTO complaint_statuses VALUES('8900','2695','3',null,'52',null,'30-NOV-2020
COM NO PKRI-201130111683','92','92','2020-12-01 01:02:42','2020-12-01 02:19:19',null);
INSERT INTO complaint_statuses VALUES('8901','2696','2',null,'81',null,'30-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-01 01:12:31','2020-12-01 01:12:31',null);
INSERT INTO complaint_statuses VALUES('8902','2697','3',null,'52',null,'30-NOV-2020
COMPLAINT#PKRI-201130110484','74','74','2020-12-01 01:19:39','2020-12-01 01:19:39',null);
INSERT INTO complaint_statuses VALUES('8903','2698','3',null,'52',null,'30-NOV-2020
COMPLAINT#PKRI-201130110503','74','92','2020-12-01 01:21:00','2020-12-05 21:32:18',null);
INSERT INTO complaint_statuses VALUES('8904','2699','3',null,'75',null,'30-NOV-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-01 01:37:09','2020-12-01 01:37:09',null);
INSERT INTO complaint_statuses VALUES('8905','2700','2',null,'81',null,'30-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-01 01:45:37','2020-12-01 01:45:37',null);
INSERT INTO complaint_statuses VALUES('8906','2701','3',null,'54',null,'30-NOV-2020
COM NO 1776709','92','92','2020-12-01 01:54:37','2020-12-01 02:13:41',null);
INSERT INTO complaint_statuses VALUES('8907','2700','4',null,'56',null,null,'81','81','2020-12-01 01:55:14','2020-12-01 01:55:14',null);
INSERT INTO complaint_statuses VALUES('8908','2696','4',null,'55',null,null,'81','81','2020-12-01 01:55:57','2020-12-01 01:55:57',null);
INSERT INTO complaint_statuses VALUES('8909','2690','4',null,'61',null,null,'81','81','2020-12-01 01:56:19','2020-12-01 01:56:19',null);
INSERT INTO complaint_statuses VALUES('8910','2668','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-01 02:00:06','2020-12-01 02:09:09',null);
INSERT INTO complaint_statuses VALUES('8911','2702','3',null,'52',null,'30-NOV-2020
COM NOPKRI-201130111753','92','92','2020-12-01 02:03:41','2020-12-01 02:23:35',null);
INSERT INTO complaint_statuses VALUES('8912','2597','5','25',null,'CUSTOMER SIDE SA CANCELLED COMPLAINT','OTHER# SA CONFIR KIYA 8893021 COMPLAINT CANCELLED','81','74','2020-12-01 02:04:17','2020-12-01 02:10:48',null);
INSERT INTO complaint_statuses VALUES('8913','2595','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-01 02:05:01','2020-12-01 02:11:23',null);
INSERT INTO complaint_statuses VALUES('8914','2587','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-01 02:06:56','2020-12-01 02:12:36',null);
INSERT INTO complaint_statuses VALUES('8915','2571','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-01 02:15:43','2020-12-01 19:53:42',null);
INSERT INTO complaint_statuses VALUES('8916','2563','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-01 02:16:50','2020-12-01 19:54:20',null);
INSERT INTO complaint_statuses VALUES('8917','2683','7','12','81','ISSUE RESOLVED ,SERVICE KI',null,'87','87','2020-12-01 02:31:37','2020-12-01 02:31:37',null);
INSERT INTO complaint_statuses VALUES('8918','2651','5','15',null,'SET BILAL FHHS NA RECIVED KAR LIYA','COMPLAINT RESOLVED','81','74','2020-12-01 02:41:46','2020-12-01 19:45:27',null);
INSERT INTO complaint_statuses VALUES('8919','1792','5','15',null,'BILAL FHHS NA SET RECIVED KIYA SHOWROOM PA','COMPLAINT RESOLVED','81','74','2020-12-01 02:43:28','2020-12-01 19:58:41',null);
INSERT INTO complaint_statuses VALUES('8920','2703','2',null,'81',null,'30-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-01 02:44:02','2020-12-01 02:44:02',null);
INSERT INTO complaint_statuses VALUES('8921','2541','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-01 02:46:52','2020-12-01 19:55:25',null);
INSERT INTO complaint_statuses VALUES('8922','2559','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-01 02:48:52','2020-12-01 19:54:49',null);
INSERT INTO complaint_statuses VALUES('8923','2703','4',null,'55',null,null,'81','81','2020-12-01 02:49:07','2020-12-01 02:49:07',null);
INSERT INTO complaint_statuses VALUES('8924','2493','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-01 03:03:06','2020-12-01 19:55:59',null);
INSERT INTO complaint_statuses VALUES('8925','2498','8','23','55','ISSUE NOT RESOLVED  KINDLY KAL DOOR SWITCH LAGWA DAY',null,'81','81','2020-12-01 03:03:59','2020-12-01 03:03:59',null);
INSERT INTO complaint_statuses VALUES('8926','2478','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-01 03:07:00','2020-12-01 19:56:26',null);
INSERT INTO complaint_statuses VALUES('8927','2453','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-01 03:11:18','2020-12-01 19:57:00',null);
INSERT INTO complaint_statuses VALUES('8928','2379','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2020-12-01 03:13:19','2020-12-01 19:57:32',null);
INSERT INTO complaint_statuses VALUES('8929','2188','5','15',null,'COMPETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-01 03:14:37','2020-12-01 19:58:06',null);
INSERT INTO complaint_statuses VALUES('8930','2686','7','12','81','ISSUE RESOLVED ,',null,'87','87','2020-12-01 03:28:45','2020-12-01 03:28:45',null);
INSERT INTO complaint_statuses VALUES('8931','2620','7','12','81','Filter Service',null,'76','76','2020-12-01 03:39:51','2020-12-01 03:39:51',null);
INSERT INTO complaint_statuses VALUES('8932','2575','7','12','81','Gas zayda the',null,'88','88','2020-12-01 05:46:52','2020-12-01 05:46:52',null);
INSERT INTO complaint_statuses VALUES('8933','2704','3',null,'73',null,'01-DEC-2020
COM NO 2727','92','92','2020-12-01 19:49:25','2020-12-01 20:18:52',null);
INSERT INTO complaint_statuses VALUES('8934','2705','2',null,'81',null,'1ST-DEC-2020
FF TO NADEEM AV','74','74','2020-12-01 19:50:08','2020-12-01 19:50:08',null);
INSERT INTO complaint_statuses VALUES('8935','2705','4',null,'59',null,null,'81','81','2020-12-01 19:50:24','2020-12-01 19:50:24',null);
INSERT INTO complaint_statuses VALUES('8936','2686','5','15',null,'COMPLETED COMPLAINT','COMPLIANT RESOLVED','81','74','2020-12-01 19:51:36','2020-12-01 19:53:13',null);
INSERT INTO complaint_statuses VALUES('8937','2620','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-01 19:59:49','2020-12-01 20:06:01',null);
INSERT INTO complaint_statuses VALUES('8938','2575','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED  
CUSTOMER NOT PAID VISIT CHARGES 500','81','74','2020-12-01 20:01:00','2020-12-01 20:07:48',null);
INSERT INTO complaint_statuses VALUES('8939','2708','3',null,'52',null,'01-DEC-2020
COM NO PKRI-20120113126','92','92','2020-12-01 20:06:02','2020-12-01 20:30:26',null);
INSERT INTO complaint_statuses VALUES('8940','2622','7','24','81','set in S/C',null,'80','80','2020-12-01 20:17:37','2020-12-01 20:17:37',null);
INSERT INTO complaint_statuses VALUES('8941','2558','7','12','81','phone py guide kr dia hy',null,'80','80','2020-12-01 20:19:52','2020-12-01 20:19:52',null);
INSERT INTO complaint_statuses VALUES('8942','2047','7','12','81','pehly issue a rha tha ab issue khud he thek ho gea hy complian close',null,'80','80','2020-12-01 20:21:56','2020-12-01 20:21:56',null);
INSERT INTO complaint_statuses VALUES('8943','2683','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-01 20:25:37','2020-12-03 19:20:44',null);
INSERT INTO complaint_statuses VALUES('8944','2476','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-01 20:26:05','2020-12-01 22:08:26',null);
INSERT INTO complaint_statuses VALUES('8945','2558','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-01 20:26:30','2020-12-03 20:29:42',null);
INSERT INTO complaint_statuses VALUES('8946','1568','7','12','81','sound bar Repair and change the buffer 
RS 2500',null,'80','80','2020-12-01 20:26:52','2020-12-01 20:26:52',null);
INSERT INTO complaint_statuses VALUES('8947','1438','7','12','81','back light fix set ok',null,'80','80','2020-12-01 20:27:26','2020-12-01 20:27:26',null);
INSERT INTO complaint_statuses VALUES('8948','2047','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-01 20:27:39','2020-12-06 01:52:09',null);
INSERT INTO complaint_statuses VALUES('8949','1438','8','23','59','where is unit . customers home ya your service center',null,'81','81','2020-12-01 20:29:43','2020-12-01 20:29:43',null);
INSERT INTO complaint_statuses VALUES('8950','1568','8','23','59','where is unit . customers home ya your service center',null,'81','81','2020-12-01 20:31:25','2020-12-01 20:31:25',null);
INSERT INTO complaint_statuses VALUES('8951','1967','7','24','81','next hafty customer set thek krwayny lay ga',null,'80','80','2020-12-01 20:32:54','2020-12-01 20:32:54',null);
INSERT INTO complaint_statuses VALUES('8952','2408','8','23','58','JOB COMPLETED QUKIELY',null,'81','81','2020-12-01 20:35:03','2020-12-01 20:35:03',null);
INSERT INTO complaint_statuses VALUES('8953','2705','7','24','81','bat ho gae hy customer say  set S/c ay ga',null,'80','80','2020-12-01 20:36:46','2020-12-01 20:36:46',null);
INSERT INTO complaint_statuses VALUES('8954','2622','8','13','59','explain the issue',null,'81','81','2020-12-01 20:39:24','2020-12-01 20:39:24',null);
INSERT INTO complaint_statuses VALUES('8955','2659','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-01 20:40:40','2020-12-01 20:40:40',null);
INSERT INTO complaint_statuses VALUES('8956','2705','8','13','59','explain the problem .',null,'81','81','2020-12-01 20:44:42','2020-12-01 20:44:42',null);
INSERT INTO complaint_statuses VALUES('8957','2533','7','12','81','Door switch hrab tha theek kar dia tha',null,'82','82','2020-12-01 20:48:58','2020-12-01 20:48:58',null);
INSERT INTO complaint_statuses VALUES('8958','2710','3',null,'52',null,'01-DEC-2020
COM NO PKRI-201201107117','92','92','2020-12-01 20:55:06','2020-12-01 23:28:36',null);
INSERT INTO complaint_statuses VALUES('8959','2711','2',null,'81',null,'01-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-01 21:12:55','2020-12-01 21:12:55',null);
INSERT INTO complaint_statuses VALUES('8960','2712','3',null,'65',null,'01-DEC-2020
COM NO 192019261','92','92','2020-12-01 21:26:53','2020-12-01 23:43:55',null);
INSERT INTO complaint_statuses VALUES('8961','2709','3',null,'53',null,null,'74','74','2020-12-01 21:30:06','2020-12-01 21:30:06',null);
INSERT INTO complaint_statuses VALUES('8962','2707','3',null,'53',null,null,'74','74','2020-12-01 21:30:21','2020-12-01 21:30:21',null);
INSERT INTO complaint_statuses VALUES('8963','2640','7','26','81',null,null,'76','76','2020-12-01 21:36:53','2020-12-01 21:36:53',null);
INSERT INTO complaint_statuses VALUES('8964','2713','3',null,'65',null,'01-DEC-2020
COM NO 192019262','92','92','2020-12-01 21:42:40','2020-12-01 23:49:19',null);
INSERT INTO complaint_statuses VALUES('8965','2714','3',null,'73',null,'01-DEC-2020
COMPLAINT#2735','74','92','2020-12-01 21:46:18','2020-12-01 22:28:27',null);
INSERT INTO complaint_statuses VALUES('8966','2699','5',null,null,'COMPLAINT RESOLVED','THERMOSTAT PURA CHANGE KIYA KHURRAM BHAI NA','74','74','2020-12-01 22:10:39','2020-12-03 02:12:46',null);
INSERT INTO complaint_statuses VALUES('8967','2711','4',null,'58',null,null,'81','81','2020-12-01 22:13:34','2020-12-01 22:13:34',null);
INSERT INTO complaint_statuses VALUES('8968','2640','5','25',null,'CANCELLED COMPLAINT','CLOSED COMPLAINT','81','74','2020-12-01 22:14:19','2020-12-02 00:19:09',null);
INSERT INTO complaint_statuses VALUES('8969','2561','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-01 22:16:51','2020-12-01 22:16:51',null);
INSERT INTO complaint_statuses VALUES('8970','2553','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-01 22:18:58','2020-12-01 22:18:58',null);
INSERT INTO complaint_statuses VALUES('8971','2551','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-01 22:23:37','2020-12-01 22:23:37',null);
INSERT INTO complaint_statuses VALUES('8972','2546','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-01 22:26:45','2020-12-01 22:26:45',null);
INSERT INTO complaint_statuses VALUES('8973','2693','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-01 22:31:52','2020-12-01 22:31:52',null);
INSERT INTO complaint_statuses VALUES('8974','2586','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-01 22:33:59','2020-12-01 22:33:59',null);
INSERT INTO complaint_statuses VALUES('8975','2715','3',null,'52',null,'01-DEC-2020
COM NO 201201107187','92','92','2020-12-01 22:38:42','2020-12-01 23:33:04',null);
INSERT INTO complaint_statuses VALUES('8976','2419','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-01 22:39:24','2020-12-01 22:39:24',null);
INSERT INTO complaint_statuses VALUES('8977','2716','2',null,'81',null,'01-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-01 22:51:56','2020-12-01 22:51:56',null);
INSERT INTO complaint_statuses VALUES('8978','2717','2',null,'81',null,'01-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-01 23:04:47','2020-12-01 23:04:47',null);
INSERT INTO complaint_statuses VALUES('8979','2718','3',null,'52',null,'01-DEC-2020
COM NO PKRI-201201107264','92','92','2020-12-01 23:18:20','2020-12-01 23:37:15',null);
INSERT INTO complaint_statuses VALUES('8980','2719','3',null,'52',null,'01-DEC-2020
COMPLAINT#PKRI-201203101868','74','92','2020-12-02 00:17:00','2020-12-03 19:42:26',null);
INSERT INTO complaint_statuses VALUES('8981','2717','4',null,'55',null,null,'81','81','2020-12-02 00:18:02','2020-12-02 00:18:02',null);
INSERT INTO complaint_statuses VALUES('8982','2716','4',null,'58',null,null,'81','81','2020-12-02 00:18:13','2020-12-02 00:18:13',null);
INSERT INTO complaint_statuses VALUES('8983','2589','8','23','62','JOB COMPLETED QUKILEY',null,'81','81','2020-12-02 00:21:42','2020-12-02 00:21:42',null);
INSERT INTO complaint_statuses VALUES('8984','2607','7','12','81','ISSUE RESOLVED .JUST GAS CHARGED',null,'87','87','2020-12-02 00:22:22','2020-12-02 00:22:22',null);
INSERT INTO complaint_statuses VALUES('8985','2589','7','12','81','ISSUE RESOLVED ,GAS CHARGED + COMP',null,'87','87','2020-12-02 00:23:22','2020-12-02 00:23:22',null);
INSERT INTO complaint_statuses VALUES('8986','2720','3',null,'52',null,'01-DEC-2020
COM NO PKRI-201202102161','92','92','2020-12-02 00:25:02','2020-12-02 19:53:45',null);
INSERT INTO complaint_statuses VALUES('8987','2589','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-02 00:35:06','2020-12-03 20:28:02',null);
INSERT INTO complaint_statuses VALUES('8988','2607','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-02 00:35:44','2020-12-02 00:36:35',null);
INSERT INTO complaint_statuses VALUES('8989','2660','7','24','81','Sale ky bad is ky bearing cheng krny hy',null,'82','82','2020-12-02 01:24:26','2020-12-02 01:24:26',null);
INSERT INTO complaint_statuses VALUES('8990','2721','3',null,'52',null,'01-DEC-2020
COM NO PKRI-201202102212','92','92','2020-12-02 01:33:43','2020-12-02 19:56:32',null);
INSERT INTO complaint_statuses VALUES('8991','2482','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-02 01:41:40','2020-12-02 01:41:40',null);
INSERT INTO complaint_statuses VALUES('8992','2722','2',null,'81',null,'01-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-02 02:12:17','2020-12-02 02:12:17',null);
INSERT INTO complaint_statuses VALUES('8993','2723','2',null,'81',null,'01-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-02 02:24:59','2020-12-02 02:24:59',null);
INSERT INTO complaint_statuses VALUES('8994','2724','2',null,'81',null,'01-DEC-2020
FF TO USMAM MRM','74','74','2020-12-02 02:26:41','2020-12-02 02:26:41',null);
INSERT INTO complaint_statuses VALUES('8995','2724','4',null,'61',null,null,'81','81','2020-12-02 02:27:47','2020-12-02 02:27:47',null);
INSERT INTO complaint_statuses VALUES('8996','2723','4',null,'58',null,null,'81','81','2020-12-02 02:27:57','2020-12-02 02:27:57',null);
INSERT INTO complaint_statuses VALUES('8997','2722','4',null,'55',null,null,'81','81','2020-12-02 02:28:15','2020-12-02 02:28:15',null);
INSERT INTO complaint_statuses VALUES('8998','2725','3',null,'52',null,'01-DEC-2020
COM NO PKRI-201202102268','92','92','2020-12-02 02:37:52','2020-12-02 19:59:21',null);
INSERT INTO complaint_statuses VALUES('8999','2726','3',null,'73',null,'01-DEC-2020
COM NO 2745','92','92','2020-12-02 02:45:20','2020-12-02 02:46:48',null);
INSERT INTO complaint_statuses VALUES('9000','2727','3',null,'82',null,'01-DEC-2020
COM FF TO TAHIR SIEMENS','92','92','2020-12-02 02:53:19','2020-12-02 02:53:19',null);
INSERT INTO complaint_statuses VALUES('9001','2656','7','12','81','Back light replaced rs 3500
Unit with customers plz close job',null,'83','83','2020-12-02 06:46:40','2020-12-02 06:46:40',null);
INSERT INTO complaint_statuses VALUES('9002','2690','7','9','81','Customer not at home 
4 Dec ki available ho ga',null,'83','83','2020-12-02 06:47:27','2020-12-02 06:47:27',null);
INSERT INTO complaint_statuses VALUES('9003','2728','2',null,'81',null,'02-DEC-2020
FF TO AZHAR FCI','74','74','2020-12-02 19:57:27','2020-12-02 19:57:27',null);
INSERT INTO complaint_statuses VALUES('9004','2728','4',null,'60',null,null,'81','81','2020-12-02 19:58:31','2020-12-02 19:58:31',null);
INSERT INTO complaint_statuses VALUES('9005','2728','4',null,'60',null,null,'81','81','2020-12-02 19:58:46','2020-12-02 19:58:46',null);
INSERT INTO complaint_statuses VALUES('9006','2729','3',null,'55',null,'02-DEC-2020
FF TO WAQAR KENWOOD','74','74','2020-12-02 20:03:22','2020-12-02 20:03:22',null);
INSERT INTO complaint_statuses VALUES('9007','2732','3',null,'53',null,'02-DEC-2020
COM NO 1071894','92','92','2020-12-02 20:09:49','2020-12-02 22:08:02',null);
INSERT INTO complaint_statuses VALUES('9008','2733','2',null,'81',null,'02-DEC-2020
COM FF TO KHALID SONY','92','92','2020-12-02 20:33:31','2020-12-02 20:33:31',null);
INSERT INTO complaint_statuses VALUES('9009','2734','3',null,'53',null,'02-DEC-2020
COM NO 1071895','92','92','2020-12-02 20:39:08','2020-12-02 22:10:37',null);
INSERT INTO complaint_statuses VALUES('9010','2735','3',null,'52',null,'02-DEC-2020
COM NO PKRI-201202105199','92','92','2020-12-02 20:45:09','2020-12-02 21:58:36',null);
INSERT INTO complaint_statuses VALUES('9011','2736','2',null,'81',null,'02-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-02 20:52:28','2020-12-02 20:52:28',null);
INSERT INTO complaint_statuses VALUES('9012','2737','3',null,'52',null,'02-DEC-2020
COM NO PKRI-20120215242','92','92','2020-12-02 21:01:52','2020-12-02 22:01:16',null);
INSERT INTO complaint_statuses VALUES('9013','2738','2',null,'81',null,'02-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-02 21:10:25','2020-12-02 21:10:25',null);
INSERT INTO complaint_statuses VALUES('9014','2739','2',null,'81',null,'02-DEC-2020
FF TO SHAMIM AKHTER','74','74','2020-12-02 21:17:16','2020-12-02 21:17:16',null);
INSERT INTO complaint_statuses VALUES('9015','2739','4',null,'55',null,null,'81','81','2020-12-02 21:17:51','2020-12-02 21:17:51',null);
INSERT INTO complaint_statuses VALUES('9016','2740','2',null,'81',null,'02-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-02 21:18:09','2020-12-02 21:18:09',null);
INSERT INTO complaint_statuses VALUES('9017','2738','4',null,'58',null,null,'81','81','2020-12-02 21:18:29','2020-12-02 21:18:29',null);
INSERT INTO complaint_statuses VALUES('9018','2740','4',null,'58',null,null,'81','81','2020-12-02 21:18:39','2020-12-02 21:18:39',null);
INSERT INTO complaint_statuses VALUES('9019','2736','4',null,'58',null,null,'81','81','2020-12-02 21:18:50','2020-12-02 21:18:50',null);
INSERT INTO complaint_statuses VALUES('9020','2733','4',null,'56',null,null,'81','81','2020-12-02 21:19:11','2020-12-02 21:19:11',null);
INSERT INTO complaint_statuses VALUES('9021','2528','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-12-02 21:26:19','2020-12-02 21:26:19',null);
INSERT INTO complaint_statuses VALUES('9022','2443','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-02 21:27:18','2020-12-09 01:15:51',null);
INSERT INTO complaint_statuses VALUES('9023','2594','7','12','81','COMPLIANT RESOLVED',null,'88','88','2020-12-02 21:34:28','2020-12-02 21:34:28',null);
INSERT INTO complaint_statuses VALUES('9024','2741','2',null,'81',null,'02-DEC-2020
COM FF TO KHALID SONY','92','92','2020-12-02 21:34:35','2020-12-02 21:34:35',null);
INSERT INTO complaint_statuses VALUES('9025','2594','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-02 21:35:01','2020-12-03 20:26:14',null);
INSERT INTO complaint_statuses VALUES('9026','2741','4',null,'56',null,null,'81','81','2020-12-02 21:35:17','2020-12-02 21:35:17',null);
INSERT INTO complaint_statuses VALUES('9027','2742','2',null,'81',null,'02-DEC-2020
FF TO KHALID SONY','74','74','2020-12-02 21:41:17','2020-12-02 21:41:17',null);
INSERT INTO complaint_statuses VALUES('9028','2743','3',null,'52',null,'02-DEC-2020
COM NO PKRI-20122105291','92','92','2020-12-02 21:42:09','2020-12-02 22:03:59',null);
INSERT INTO complaint_statuses VALUES('9029','2742','4',null,'56',null,null,'81','81','2020-12-02 21:43:55','2020-12-02 21:43:55',null);
INSERT INTO complaint_statuses VALUES('9030','2744','2',null,'81',null,'02-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-02 21:50:13','2020-12-02 21:50:13',null);
INSERT INTO complaint_statuses VALUES('9031','2690','8','23','61','OK 4 2 DIN BAD CUSTOMER SA AGAIN CONTACT KARAY',null,'81','81','2020-12-02 21:52:33','2020-12-02 21:52:33',null);
INSERT INTO complaint_statuses VALUES('9032','2744','4',null,'58',null,null,'81','81','2020-12-02 21:52:53','2020-12-02 21:52:53',null);
INSERT INTO complaint_statuses VALUES('9033','2656','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-02 21:55:50','2020-12-03 20:23:28',null);
INSERT INTO complaint_statuses VALUES('9034','2724','7','12','81','Problem solve by customer itself       its not a product fault  
sales can also guide the customer product information and operation.  

u can plz close the job',null,'83','83','2020-12-02 22:01:35','2020-12-02 22:01:35',null);
INSERT INTO complaint_statuses VALUES('9035','2381','7','12','81','water valve replaced   RS 7500',null,'83','83','2020-12-02 22:02:06','2020-12-02 22:02:06',null);
INSERT INTO complaint_statuses VALUES('9036','2583','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-02 22:04:45','2020-12-02 22:04:45',null);
INSERT INTO complaint_statuses VALUES('9037','2581','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-02 22:05:57','2020-12-02 22:05:57',null);
INSERT INTO complaint_statuses VALUES('9038','2578','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-02 22:07:59','2020-12-02 22:07:59',null);
INSERT INTO complaint_statuses VALUES('9039','2577','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-02 22:10:06','2020-12-02 22:10:06',null);
INSERT INTO complaint_statuses VALUES('9040','2730','3',null,'53',null,null,'74','74','2020-12-02 22:15:32','2020-12-02 22:15:32',null);
INSERT INTO complaint_statuses VALUES('9041','2706','3',null,'54',null,null,'74','74','2020-12-02 22:15:45','2020-12-02 22:15:45',null);
INSERT INTO complaint_statuses VALUES('9042','2632','7','12','81','Door switch problam solve',null,'82','82','2020-12-02 22:18:21','2020-12-02 22:18:21',null);
INSERT INTO complaint_statuses VALUES('9043','2568','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-02 22:19:22','2020-12-02 22:19:22',null);
INSERT INTO complaint_statuses VALUES('9044','2745','3',null,'86',null,'02-DEC-2020
COM FF TO ASIF ARISTON','92','92','2020-12-02 22:23:04','2020-12-02 22:33:06',null);
INSERT INTO complaint_statuses VALUES('9045','2543','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-02 22:27:17','2020-12-02 22:27:17',null);
INSERT INTO complaint_statuses VALUES('9046','2746','2',null,'81',null,'02-DEC-2020
FF TO AZHAR FCI','74','74','2020-12-02 22:34:54','2020-12-02 22:34:54',null);
INSERT INTO complaint_statuses VALUES('9047','2746','4',null,'60',null,null,'81','81','2020-12-02 22:36:45','2020-12-02 22:36:45',null);
INSERT INTO complaint_statuses VALUES('9048','2731','2',null,'81',null,null,'74','74','2020-12-02 22:55:16','2020-12-02 22:55:16',null);
INSERT INTO complaint_statuses VALUES('9049','2731','4',null,'56',null,null,'81','81','2020-12-02 22:55:32','2020-12-02 22:55:32',null);
INSERT INTO complaint_statuses VALUES('9050','2724','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-12-02 22:59:27','2020-12-03 00:57:44',null);
INSERT INTO complaint_statuses VALUES('9051','2527','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-02 23:04:27','2020-12-02 23:04:27',null);
INSERT INTO complaint_statuses VALUES('9052','2747','3',null,'73',null,'02-DEC-2020
COM NO 2770','74','92','2020-12-02 23:33:50','2020-12-03 19:31:41',null);
INSERT INTO complaint_statuses VALUES('9053','2748','3',null,'66',null,'02-DEC-2020
COM NO','92','92','2020-12-02 23:35:13','2020-12-02 23:35:13',null);
INSERT INTO complaint_statuses VALUES('9054','2749','2',null,'81',null,'02-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-03 00:10:21','2020-12-03 00:10:21',null);
INSERT INTO complaint_statuses VALUES('9055','2750','3',null,'53',null,'02-DEC-2020
COM NO 1071956','92','92','2020-12-03 00:32:39','2020-12-03 00:38:10',null);
INSERT INTO complaint_statuses VALUES('9056','2408','7','12','81','compresor change complain trsoved',null,'79','79','2020-12-03 00:42:34','2020-12-03 00:42:34',null);
INSERT INTO complaint_statuses VALUES('9057','2675','7','12','81','water pressure low. complaint resolved',null,'79','79','2020-12-03 00:43:39','2020-12-03 00:43:39',null);
INSERT INTO complaint_statuses VALUES('9058','2678','7','12','81','drai issue complaint resolved',null,'79','79','2020-12-03 00:44:30','2020-12-03 00:44:30',null);
INSERT INTO complaint_statuses VALUES('9059','2751','2',null,'81',null,'02-DEC-2020
COM FF TO BEST COOL','92','74','2020-12-03 00:54:13','2020-12-03 01:47:15',null);
INSERT INTO complaint_statuses VALUES('9060','2752','2',null,'81',null,'02-DEC-2020
FF TO SHAMIM AKHTER','74','92','2020-12-03 01:04:45','2020-12-04 00:04:52',null);
INSERT INTO complaint_statuses VALUES('9061','2752','4',null,'55',null,null,'81','81','2020-12-03 01:05:12','2020-12-03 01:05:12',null);
INSERT INTO complaint_statuses VALUES('9062','2749','4',null,'55',null,null,'81','81','2020-12-03 01:05:25','2020-12-03 01:05:25',null);
INSERT INTO complaint_statuses VALUES('9063','2753','2',null,'81',null,'02-DEC-2020
FF TO SHAMIM AKHTER','74','74','2020-12-03 01:20:52','2020-12-03 01:20:52',null);
INSERT INTO complaint_statuses VALUES('9064','2753','4',null,'55',null,null,'81','81','2020-12-03 01:21:24','2020-12-03 01:21:24',null);
INSERT INTO complaint_statuses VALUES('9065','2751','4',null,'58',null,null,'81','81','2020-12-03 01:47:37','2020-12-03 01:47:37',null);
INSERT INTO complaint_statuses VALUES('9066','2576','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-03 02:14:15','2020-12-03 02:14:15',null);
INSERT INTO complaint_statuses VALUES('9067','2549','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-03 02:15:46','2020-12-03 02:15:46',null);
INSERT INTO complaint_statuses VALUES('9068','2754','3',null,'66',null,'02-DEC-2020
FF TO SHAKEEL &MARIYAM TCL','74','74','2020-12-03 03:02:35','2020-12-03 03:02:35',null);
INSERT INTO complaint_statuses VALUES('9069','2755','2',null,'81',null,'03-DEC-2020
FF TO HOME SOLUTION','74','74','2020-12-03 18:15:32','2020-12-03 18:15:32',null);
INSERT INTO complaint_statuses VALUES('9070','2756','3',null,'57',null,'03-DEC-2020
COMPLAINT#14956','74','74','2020-12-03 18:22:15','2020-12-03 19:09:54',null);
INSERT INTO complaint_statuses VALUES('9071','2757','3',null,'52',null,'03-DEC-2020
COMPLAINT#PKRI -201203101101','74','74','2020-12-03 18:27:20','2020-12-03 19:05:49',null);
INSERT INTO complaint_statuses VALUES('9072','2758','3',null,'75',null,'03-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-03 18:33:09','2020-12-03 18:33:09',null);
INSERT INTO complaint_statuses VALUES('9073','2759','3',null,'75',null,'03-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-03 18:38:46','2020-12-03 18:38:46',null);
INSERT INTO complaint_statuses VALUES('9074','2760','2',null,'81',null,'03-DEC-2020
FF TO AZHAR FCI','74','74','2020-12-03 18:59:30','2020-12-03 18:59:30',null);
INSERT INTO complaint_statuses VALUES('9075','2761','3',null,'92',null,'03-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-03 19:17:32','2020-12-03 19:17:32',null);
INSERT INTO complaint_statuses VALUES('9076','2760','4',null,'60',null,null,'81','81','2020-12-03 19:19:51','2020-12-03 19:19:51',null);
INSERT INTO complaint_statuses VALUES('9077','2755','4',null,'62',null,null,'81','81','2020-12-03 19:20:02','2020-12-03 19:20:02',null);
INSERT INTO complaint_statuses VALUES('9078','2762','3',null,'55',null,'03-DEC-2020
FF TO WAQAR KENWOOD','74','74','2020-12-03 19:26:26','2020-12-03 19:26:26',null);
INSERT INTO complaint_statuses VALUES('9079','2725','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-03 19:26:40','2020-12-03 19:26:40',null);
INSERT INTO complaint_statuses VALUES('9080','2678','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2020-12-03 19:29:49','2020-12-03 20:22:16',null);
INSERT INTO complaint_statuses VALUES('9081','2715','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-03 19:46:31','2020-12-03 19:46:31',null);
INSERT INTO complaint_statuses VALUES('9082','2711','7','12','81','compliant resolved.inlet coil service',null,'79','79','2020-12-03 20:03:04','2020-12-03 20:03:04',null);
INSERT INTO complaint_statuses VALUES('9083','2723','7','12','81','complaint resolved.drain issue',null,'79','79','2020-12-03 20:07:31','2020-12-03 20:07:31',null);
INSERT INTO complaint_statuses VALUES('9084','2716','7','12','81','no issue in wm',null,'79','79','2020-12-03 20:08:19','2020-12-03 20:08:19',null);
INSERT INTO complaint_statuses VALUES('9085','2763','3',null,'53',null,'03-DEC-2020
COM NO 1072054','92','92','2020-12-03 20:15:54','2020-12-03 20:24:05',null);
INSERT INTO complaint_statuses VALUES('9086','2675','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-03 20:21:35','2020-12-03 20:22:44',null);
INSERT INTO complaint_statuses VALUES('9087','2723','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-03 20:25:31','2020-12-03 20:27:29',null);
INSERT INTO complaint_statuses VALUES('9088','2605','5',null,null,'COMPLAINT COMPLETED','CUSTOMER SA BT HOI HAIN ABI FLOOR STANDING OK CHAL RAHI HAIN COMPLAINT CLOSED','92','74','2020-12-03 20:28:35','2020-12-03 20:31:26',null);
INSERT INTO complaint_statuses VALUES('9089','2716','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-03 20:34:13','2020-12-03 23:24:19',null);
INSERT INTO complaint_statuses VALUES('9090','2764','2',null,'81',null,'03-DEC-2020
FF TO SHAMIM AKHTER','74','74','2020-12-03 20:37:10','2020-12-03 20:37:10',null);
INSERT INTO complaint_statuses VALUES('9091','2764','4',null,'55',null,null,'81','81','2020-12-03 20:37:50','2020-12-03 20:37:50',null);
INSERT INTO complaint_statuses VALUES('9092','2403','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-03 20:49:21','2020-12-03 20:49:21',null);
INSERT INTO complaint_statuses VALUES('9093','2615','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-03 20:51:04','2020-12-03 20:51:04',null);
INSERT INTO complaint_statuses VALUES('9094','2629','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-03 20:53:16','2020-12-03 20:53:16',null);
INSERT INTO complaint_statuses VALUES('9095','2661','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-03 21:05:06','2020-12-03 21:05:06',null);
INSERT INTO complaint_statuses VALUES('9096','2765','3',null,'62',null,'03-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-03 21:29:31','2020-12-19 21:44:55',null);
INSERT INTO complaint_statuses VALUES('9097','2711','8','23','58','ISSUE RESOLVE NAI HOA SOUND PROB AARHA',null,'81','81','2020-12-03 21:34:27','2020-12-03 21:34:27',null);
INSERT INTO complaint_statuses VALUES('9098','1794','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-03 21:44:04','2020-12-03 21:44:04',null);
INSERT INTO complaint_statuses VALUES('9099','2059','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-03 21:47:07','2020-12-03 21:47:07',null);
INSERT INTO complaint_statuses VALUES('9100','2766','3',null,'73',null,'03-DEC-2020
COM NO 2780','92','92','2020-12-03 21:47:36','2020-12-03 23:26:07',null);
INSERT INTO complaint_statuses VALUES('9101','2596','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-03 21:51:32','2020-12-03 21:51:32',null);
INSERT INTO complaint_statuses VALUES('9102','2767','2',null,'81',null,'03-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-03 21:52:04','2020-12-03 21:52:04',null);
INSERT INTO complaint_statuses VALUES('9103','2593','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-03 21:53:57','2020-12-03 21:53:57',null);
INSERT INTO complaint_statuses VALUES('9104','2590','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-03 21:55:36','2020-12-03 21:55:36',null);
INSERT INTO complaint_statuses VALUES('9105','2768','3',null,'59',null,'03-DEC-2020
FF TO LUBNA SMART ZOON
C/O KHURRAM GOOGLE','74','74','2020-12-03 22:26:35','2020-12-03 22:27:58',null);
INSERT INTO complaint_statuses VALUES('9106','2768','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-03 22:28:07','2020-12-03 22:28:07',null);
INSERT INTO complaint_statuses VALUES('9107','2769','2',null,'81',null,'03-DEC-2020
COM FF TO AZHAR FCI','92','92','2020-12-03 22:59:10','2020-12-03 22:59:10',null);
INSERT INTO complaint_statuses VALUES('9108','2632','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-12-03 23:18:34','2020-12-03 23:24:54',null);
INSERT INTO complaint_statuses VALUES('9109','2769','4',null,'60',null,null,'81','81','2020-12-03 23:18:54','2020-12-03 23:18:54',null);
INSERT INTO complaint_statuses VALUES('9110','2767','4',null,'55',null,null,'81','81','2020-12-03 23:19:04','2020-12-03 23:19:04',null);
INSERT INTO complaint_statuses VALUES('9111','2533','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-03 23:20:23','2020-12-03 23:25:33',null);
INSERT INTO complaint_statuses VALUES('9112','2528','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-03 23:20:54','2020-12-03 23:26:11',null);
INSERT INTO complaint_statuses VALUES('9113','2408','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-03 23:23:18','2020-12-03 23:26:49',null);
INSERT INTO complaint_statuses VALUES('9114','2674','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-03 23:51:30','2020-12-03 23:51:30',null);
INSERT INTO complaint_statuses VALUES('9115','2679','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-04 00:01:51','2020-12-04 00:01:51',null);
INSERT INTO complaint_statuses VALUES('9116','2680','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-04 00:03:45','2020-12-04 00:03:45',null);
INSERT INTO complaint_statuses VALUES('9117','2721','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-04 00:13:11','2020-12-04 00:13:11',null);
INSERT INTO complaint_statuses VALUES('9118','2754','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-04 00:21:29','2020-12-04 00:21:29',null);
INSERT INTO complaint_statuses VALUES('9119','2736','7','12','81','BULB ISSUE COMPLAINT ROSLVED',null,'79','79','2020-12-04 00:24:30','2020-12-04 00:24:30',null);
INSERT INTO complaint_statuses VALUES('9120','2622','7','12','81','issue: wifi 
resolve: software + cleaning
set ok
RS= 2500',null,'80','80','2020-12-04 00:26:21','2020-12-04 00:26:21',null);
INSERT INTO complaint_statuses VALUES('9121','2672','7','12','81','filter clean coplait reosved',null,'79','79','2020-12-04 00:27:41','2020-12-04 00:27:41',null);
INSERT INTO complaint_statuses VALUES('9122','2381','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2020-12-04 00:32:13','2020-12-04 19:37:26',null);
INSERT INTO complaint_statuses VALUES('9123','2518','7','12','81','cusotmer ko kai br call ki hai over service center ly kr ana tha .wo nahi laye gain',null,'79','79','2020-12-04 00:32:54','2020-12-04 00:32:54',null);
INSERT INTO complaint_statuses VALUES('9124','2616','7','12','81','complaint resolved..',null,'79','79','2020-12-04 00:33:25','2020-12-04 00:33:25',null);
INSERT INTO complaint_statuses VALUES('9125','2671','7','12','81','complaint reoslved.water issue tha',null,'79','79','2020-12-04 00:34:43','2020-12-04 00:34:43',null);
INSERT INTO complaint_statuses VALUES('9126','1438','7','12','81','back light fix set ok',null,'80','80','2020-12-04 00:39:26','2020-12-04 00:39:26',null);
INSERT INTO complaint_statuses VALUES('9127','2705','7','24','81','on ho k set main say sound ati hy or off ho jata hy
kal set s/c py lany ka customer ny promise kea hy',null,'80','80','2020-12-04 00:56:30','2020-12-04 00:56:30',null);
INSERT INTO complaint_statuses VALUES('9128','1568','7','12','81','s/c py repair kea hy  set ok',null,'80','80','2020-12-04 00:58:09','2020-12-04 00:58:09',null);
INSERT INTO complaint_statuses VALUES('9129','1507','7','24','81','customer k pas time ni hy customer ka kehna hy jb b free ho ga set S/c ly ao ga',null,'80','80','2020-12-04 01:00:15','2020-12-04 01:00:15',null);
INSERT INTO complaint_statuses VALUES('9130','2770','2',null,'81',null,'03-DEC-2020
FF B.COOL','92','74','2020-12-04 01:02:36','2020-12-04 02:44:09',null);
INSERT INTO complaint_statuses VALUES('9131','2771','2',null,'81',null,'03-DEC-2020
FF TO USMAN MRM','74','74','2020-12-04 01:07:56','2020-12-04 01:07:56',null);
INSERT INTO complaint_statuses VALUES('9132','2771','4',null,'61',null,null,'81','81','2020-12-04 01:08:22','2020-12-04 01:08:22',null);
INSERT INTO complaint_statuses VALUES('9133','2746','7','24','81','Frezer i10 workshop phonch gea hy',null,'82','82','2020-12-04 01:16:55','2020-12-04 01:16:55',null);
INSERT INTO complaint_statuses VALUES('9134','2728','7','10','81',null,null,'82','82','2020-12-04 01:17:26','2020-12-04 01:17:26',null);
INSERT INTO complaint_statuses VALUES('9135','2772','3',null,'73',null,'03-DEC-2020
COM  NO 2789','92','92','2020-12-04 01:29:58','2020-12-04 02:29:12',null);
INSERT INTO complaint_statuses VALUES('9136','2769','7','9','81','سنڈے کو جانا hy',null,'82','82','2020-12-04 01:38:09','2020-12-04 01:38:09',null);
INSERT INTO complaint_statuses VALUES('9137','2760','7','24','81','Kal  10 bajy ky baad jana hy .custmer ky ghar electric issue hy',null,'82','82','2020-12-04 01:41:29','2020-12-04 01:41:29',null);
INSERT INTO complaint_statuses VALUES('9138','2378','7','12','81','Adil sab ny okay kar ky custmer ky ghar bhej dia hy',null,'82','82','2020-12-04 01:44:01','2020-12-04 01:44:01',null);
INSERT INTO complaint_statuses VALUES('9139','2669','7','24','81','gas leakge hia',null,'79','79','2020-12-04 01:45:57','2020-12-04 01:45:57',null);
INSERT INTO complaint_statuses VALUES('9140','2773','3',null,'73',null,'03-DEC-2020
COM NO 2790','92','92','2020-12-04 01:51:49','2020-12-04 02:30:55',null);
INSERT INTO complaint_statuses VALUES('9141','2774','3',null,'53',null,'03-DEC-2020
COM NO#1072320','92','74','2020-12-04 02:00:05','2020-12-04 20:16:02',null);
INSERT INTO complaint_statuses VALUES('9142','2775','3',null,'54',null,'03-DEC-2020
COM NO 1778439','92','92','2020-12-04 02:10:08','2020-12-04 02:17:45',null);
INSERT INTO complaint_statuses VALUES('9143','2770','4',null,'58',null,null,'81','81','2020-12-04 02:44:47','2020-12-04 02:44:47',null);
INSERT INTO complaint_statuses VALUES('9144','2770','4',null,'58',null,null,'81','81','2020-12-04 02:44:54','2020-12-04 02:44:54',null);
INSERT INTO complaint_statuses VALUES('9145','2770','4',null,'58',null,null,'81','81','2020-12-04 02:44:54','2020-12-04 02:44:54',null);
INSERT INTO complaint_statuses VALUES('9146','2776','2',null,'81',null,'03-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-04 02:51:28','2020-12-04 02:51:28',null);
INSERT INTO complaint_statuses VALUES('9147','2776','4',null,'55',null,null,'81','81','2020-12-04 19:32:59','2020-12-04 19:32:59',null);
INSERT INTO complaint_statuses VALUES('9148','2769','8','23','60','SATURDAY KO VISIT KAR K JOB COMPLETED KIJAY GA',null,'81','81','2020-12-04 19:34:27','2020-12-04 19:34:27',null);
INSERT INTO complaint_statuses VALUES('9149','2736','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-04 19:35:45','2020-12-04 19:38:29',null);
INSERT INTO complaint_statuses VALUES('9150','2728','8','23','60','CUSTOMER SA BAT HO GEI HAIN KINDLY AGAIN CUSTOMER SA CONTACT KAR K VISIT ARRANGE KARWAY',null,'81','81','2020-12-04 19:41:20','2020-12-04 19:41:20',null);
INSERT INTO complaint_statuses VALUES('9151','2672','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2020-12-04 19:42:48','2020-12-05 19:50:11',null);
INSERT INTO complaint_statuses VALUES('9152','2705','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2020-12-04 19:45:46','2020-12-04 19:45:46',null);
INSERT INTO complaint_statuses VALUES('9153','2777','3',null,'62',null,'04-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-04 19:51:49','2020-12-04 19:51:49',null);
INSERT INTO complaint_statuses VALUES('9154','2622','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-04 19:55:19','2020-12-04 19:56:20',null);
INSERT INTO complaint_statuses VALUES('9155','2778','3',null,'55',null,'04-DEC-2020
FF TO NAEEM KENWOOD','74','74','2020-12-04 20:03:00','2020-12-04 20:03:00',null);
INSERT INTO complaint_statuses VALUES('9156','2770','7','12','81','canceld',null,'79','79','2020-12-04 20:03:12','2020-12-04 20:03:12',null);
INSERT INTO complaint_statuses VALUES('9157','2779','3',null,'52',null,'04-DEC-2020
COMPLAINT#PKRI-201204102345','74','74','2020-12-04 20:11:44','2020-12-04 20:11:44',null);
INSERT INTO complaint_statuses VALUES('9158','2631','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','74','2020-12-04 20:20:32','2020-12-05 20:51:23',null);
INSERT INTO complaint_statuses VALUES('9159','2630','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-04 20:21:38','2020-12-04 20:21:38',null);
INSERT INTO complaint_statuses VALUES('9160','2627','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-04 20:24:15','2020-12-04 20:24:15',null);
INSERT INTO complaint_statuses VALUES('9161','2780','3',null,'75',null,'04-DEC-2020
FF TO KHIRRAM 5 STAR','74','92','2020-12-04 20:29:23','2020-12-05 22:19:26',null);
INSERT INTO complaint_statuses VALUES('9162','2738','7','12','81','LEVEL ISSUE ,COMPLAINT REOSLVED',null,'79','79','2020-12-04 21:00:50','2020-12-04 21:00:50',null);
INSERT INTO complaint_statuses VALUES('9163','2740','7','12','81','ILET COIL SERVICE .COMPLAINT REOSLVED',null,'79','79','2020-12-04 21:01:31','2020-12-04 21:01:31',null);
INSERT INTO complaint_statuses VALUES('9164','2781','2',null,'81',null,'04-DEC-2020
FF TO KHALID SONY','74','74','2020-12-04 21:40:03','2020-12-04 21:40:03',null);
INSERT INTO complaint_statuses VALUES('9165','2781','4',null,'56',null,null,'81','81','2020-12-04 21:40:40','2020-12-04 21:40:40',null);
INSERT INTO complaint_statuses VALUES('9166','2770','5','25',null,'CUSTOMER NA COMPLAINT CANCELLED KARWA DI','COMPLAINT CLOSED','81','74','2020-12-04 22:56:46','2020-12-04 23:55:41',null);
INSERT INTO complaint_statuses VALUES('9167','2740','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2020-12-04 22:57:55','2020-12-05 00:11:23',null);
INSERT INTO complaint_statuses VALUES('9168','2738','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2020-12-04 22:59:41','2020-12-05 19:44:56',null);
INSERT INTO complaint_statuses VALUES('9169','2671','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2020-12-04 23:00:46','2020-12-05 19:48:40',null);
INSERT INTO complaint_statuses VALUES('9170','2616','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-04 23:01:16','2020-12-05 20:52:55',null);
INSERT INTO complaint_statuses VALUES('9171','2518','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-04 23:01:54','2020-12-05 21:20:02',null);
INSERT INTO complaint_statuses VALUES('9172','2378','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-04 23:03:04','2020-12-06 01:50:40',null);
INSERT INTO complaint_statuses VALUES('9173','1568','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-04 23:05:48','2020-12-06 01:53:44',null);
INSERT INTO complaint_statuses VALUES('9174','1507','5','15',null,'COMPLETED COMPLAINT','CUSTOMER SIDE SA DELAY COMPLAINT','81','74','2020-12-04 23:07:27','2020-12-06 01:54:45',null);
INSERT INTO complaint_statuses VALUES('9175','1967','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-04 23:09:24','2020-12-06 01:52:57',null);
INSERT INTO complaint_statuses VALUES('9176','1438','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-04 23:10:53','2020-12-06 01:55:22',null);
INSERT INTO complaint_statuses VALUES('9177','2781','7','9','81','Kindly conform about warranty. Sony or friends',null,'77','77','2020-12-04 23:19:44','2020-12-04 23:19:44',null);
INSERT INTO complaint_statuses VALUES('9178','2782','3',null,'55',null,'04-DEC-2020
FF TO NAEEM KENWOOD','74','74','2020-12-04 23:20:26','2020-12-04 23:20:26',null);
INSERT INTO complaint_statuses VALUES('9179','2783','3',null,'57',null,'04-DEC-2020
COMPLAINT# 14990','74','92','2020-12-04 23:36:25','2020-12-07 21:27:44',null);
INSERT INTO complaint_statuses VALUES('9180','2784','2',null,'81',null,'04-DEC-2020
FF TO SHAMIM AKHTER','74','74','2020-12-04 23:51:58','2020-12-04 23:51:58',null);
INSERT INTO complaint_statuses VALUES('9181','2784','4',null,'55',null,null,'81','81','2020-12-04 23:52:30','2020-12-04 23:52:30',null);
INSERT INTO complaint_statuses VALUES('9182','2785','3',null,'53',null,'04-DEC-2020
COMPLAINT#1072423','74','74','2020-12-05 00:02:52','2020-12-05 00:08:00',null);
INSERT INTO complaint_statuses VALUES('9183','2733','7','12','81','Adopter was faulty. customer purchased china adopter from local market. So pls close this job.',null,'77','77','2020-12-05 00:58:45','2020-12-05 00:58:45',null);
INSERT INTO complaint_statuses VALUES('9184','2787','2',null,'81',null,'04-DEC-2020
FF TO SHAMIM AKHTER','74','74','2020-12-05 01:24:35','2020-12-05 01:24:35',null);
INSERT INTO complaint_statuses VALUES('9185','2787','4',null,'55',null,null,'81','81','2020-12-05 01:25:16','2020-12-05 01:25:16',null);
INSERT INTO complaint_statuses VALUES('9186','2788','3',null,'90',null,'04-DEC-2020
COMPLAINT#205','74','92','2020-12-05 01:30:58','2020-12-07 21:21:22',null);
INSERT INTO complaint_statuses VALUES('9187','2789','2',null,'81',null,'04-DEC-2020
FF TO B.COOL','74','74','2020-12-05 01:57:15','2020-12-05 01:57:15',null);
INSERT INTO complaint_statuses VALUES('9188','2755','7','26','81','FROM CUSTOMER SIDE',null,'87','87','2020-12-05 01:57:18','2020-12-05 01:57:18',null);
INSERT INTO complaint_statuses VALUES('9189','2789','4',null,'58',null,null,'81','81','2020-12-05 01:58:17','2020-12-05 01:58:17',null);
INSERT INTO complaint_statuses VALUES('9190','2781','8','23','56','sony company model',null,'81','81','2020-12-05 02:45:34','2020-12-05 02:45:34',null);
INSERT INTO complaint_statuses VALUES('9191','2760','8','23','60',null,null,'81','81','2020-12-05 02:46:03','2020-12-05 02:46:03',null);
INSERT INTO complaint_statuses VALUES('9192','2755','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-12-05 02:46:46','2020-12-05 19:42:04',null);
INSERT INTO complaint_statuses VALUES('9193','2746','8','23','60',null,null,'81','81','2020-12-05 02:47:34','2020-12-05 02:47:34',null);
INSERT INTO complaint_statuses VALUES('9194','2733','5','15',null,null,'CUSTOMER NA LOCAL MARKET SA ADOPTER PURCHASED KAR LIYA','81','74','2020-12-05 02:48:11','2020-12-05 20:32:48',null);
INSERT INTO complaint_statuses VALUES('9195','2669','8','23','58',null,null,'81','81','2020-12-05 02:48:29','2020-12-05 02:48:29',null);
INSERT INTO complaint_statuses VALUES('9196','2660','8','23','60','please complete this job quickly',null,'81','81','2020-12-05 02:51:15','2020-12-05 02:51:15',null);
INSERT INTO complaint_statuses VALUES('9197','2617','8','23','55',null,null,'81','81','2020-12-05 02:52:57','2020-12-05 02:52:57',null);
INSERT INTO complaint_statuses VALUES('9198','2611','8','23','55',null,null,'81','81','2020-12-05 02:58:04','2020-12-05 02:58:04',null);
INSERT INTO complaint_statuses VALUES('9199','2580','8','23','55',null,null,'81','81','2020-12-05 02:58:33','2020-12-05 02:58:33',null);
INSERT INTO complaint_statuses VALUES('9200','2494','8','23','55',null,null,'81','81','2020-12-05 02:58:50','2020-12-05 02:58:50',null);
INSERT INTO complaint_statuses VALUES('9201','2427','8','23','55','please complete this job quickly',null,'81','81','2020-12-05 02:59:29','2020-12-05 02:59:29',null);
INSERT INTO complaint_statuses VALUES('9202','2790','3',null,'57',null,'04-DEC-2020
COMPLAINT#15010','74','74','2020-12-05 03:03:32','2020-12-05 21:31:19',null);
INSERT INTO complaint_statuses VALUES('9203','2644','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 19:19:41','2020-12-05 19:19:41',null);
INSERT INTO complaint_statuses VALUES('9204','2636','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 19:24:19','2020-12-05 19:24:19',null);
INSERT INTO complaint_statuses VALUES('9205','2635','5',null,null,'COMPLAINT COMPLETED','VISIT  TO DAY KHURRAM TECHNICIAN NA AJ VISIT KARNA
0300-9877541','92','74','2020-12-05 19:27:15','2020-12-07 21:33:32',null);
INSERT INTO complaint_statuses VALUES('9206','2626','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 19:28:47','2020-12-05 19:28:47',null);
INSERT INTO complaint_statuses VALUES('9207','2744','7','12','81','salt ka issue tha salt change kry gain theek ho jaye ga',null,'79','79','2020-12-05 19:45:43','2020-12-05 19:45:43',null);
INSERT INTO complaint_statuses VALUES('9208','2760','7','12','81','Drum belanc issue tha visit okay .visit charg okay',null,'82','82','2020-12-05 19:51:14','2020-12-05 19:51:14',null);
INSERT INTO complaint_statuses VALUES('9209','2728','7','12','81','Custmer sy kha hy bulab chengvkar ly gy khood',null,'82','82','2020-12-05 19:55:30','2020-12-05 19:55:30',null);
INSERT INTO complaint_statuses VALUES('9210','2511','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 19:56:28','2020-12-05 19:56:28',null);
INSERT INTO complaint_statuses VALUES('9211','2557','7','24','81','Fornar hy 3din phly ghar py nhi thy  keh rehy thy bulaye gy apko call kar ky aaj baat huwi hy dubara unko cocking krni hy aaj keh rehy wait kry',null,'82','82','2020-12-05 19:59:41','2020-12-05 19:59:41',null);
INSERT INTO complaint_statuses VALUES('9212','2529','7','10','81',null,null,'82','82','2020-12-05 20:05:53','2020-12-05 20:05:53',null);
INSERT INTO complaint_statuses VALUES('9213','2481','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 20:06:14','2020-12-05 20:06:14',null);
INSERT INTO complaint_statuses VALUES('9214','2474','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 20:08:03','2020-12-05 20:08:03',null);
INSERT INTO complaint_statuses VALUES('9215','2526','7','24','81',null,null,'82','82','2020-12-05 20:09:38','2020-12-05 20:09:38',null);
INSERT INTO complaint_statuses VALUES('9216','2464','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 20:09:41','2020-12-05 20:09:41',null);
INSERT INTO complaint_statuses VALUES('9217','2793','3',null,'81',null,'05-DEC-2020
COMPLAINT#5065','74','74','2020-12-05 20:18:04','2020-12-05 20:18:04',null);
INSERT INTO complaint_statuses VALUES('9218','2434','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 20:21:25','2020-12-05 20:21:25',null);
INSERT INTO complaint_statuses VALUES('9219','2402','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 20:23:48','2020-12-05 20:23:48',null);
INSERT INTO complaint_statuses VALUES('9220','2794','3',null,'52',null,'05-DEC-2020
COMPLAINT#PKRI-201205102832','74','74','2020-12-05 20:28:19','2020-12-05 20:28:19',null);
INSERT INTO complaint_statuses VALUES('9221','2386','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 20:35:13','2020-12-05 20:35:13',null);
INSERT INTO complaint_statuses VALUES('9222','2266','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 20:39:42','2020-12-05 20:39:42',null);
INSERT INTO complaint_statuses VALUES('9223','2685','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-05 20:49:03','2020-12-05 20:49:03',null);
INSERT INTO complaint_statuses VALUES('9224','2646','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 20:50:44','2020-12-05 20:50:44',null);
INSERT INTO complaint_statuses VALUES('9225','2641','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 20:59:18','2020-12-05 20:59:18',null);
INSERT INTO complaint_statuses VALUES('9226','2795','2',null,'81',null,'05-DEC-2020
FF TO AZHAR FCI','74','74','2020-12-05 21:01:50','2020-12-05 21:01:50',null);
INSERT INTO complaint_statuses VALUES('9227','2760','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-05 21:02:55','2020-12-05 21:19:01',null);
INSERT INTO complaint_statuses VALUES('9228','2795','4',null,'60',null,null,'81','81','2020-12-05 21:03:57','2020-12-05 21:03:57',null);
INSERT INTO complaint_statuses VALUES('9229','2256','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 21:04:05','2020-12-05 21:04:05',null);
INSERT INTO complaint_statuses VALUES('9230','2796','3',null,'65',null,'05-DEC-2020
COMPLAINT#192019331','74','92','2020-12-05 21:10:41','2020-12-05 22:08:45',null);
INSERT INTO complaint_statuses VALUES('9231','2744','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-05 21:17:26','2020-12-05 21:19:30',null);
INSERT INTO complaint_statuses VALUES('9232','2728','5','15',null,'COMPLAINT COMPLETED','COMPLAINT KO CALL PA GUIDE KIYA BAKING OVEN HAIN','81','74','2020-12-05 21:21:36','2020-12-06 01:45:02',null);
INSERT INTO complaint_statuses VALUES('9233','2682','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 21:23:21','2020-12-05 21:23:21',null);
INSERT INTO complaint_statuses VALUES('9234','2797','3',null,'57',null,'05-DEC-2020
COMPLAINT#15009','74','92','2020-12-05 21:28:20','2020-12-06 00:18:18',null);
INSERT INTO complaint_statuses VALUES('9235','2697','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 21:29:16','2020-12-05 21:29:16',null);
INSERT INTO complaint_statuses VALUES('9236','2698','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 21:32:56','2020-12-05 21:32:56',null);
INSERT INTO complaint_statuses VALUES('9237','2236','7','12','81','customer ky ghr kam o rha zr abhi ly kr aye gain',null,'79','79','2020-12-05 21:34:25','2020-12-05 21:34:25',null);
INSERT INTO complaint_statuses VALUES('9238','2708','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 21:35:45','2020-12-05 21:35:45',null);
INSERT INTO complaint_statuses VALUES('9239','2710','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 21:38:27','2020-12-05 21:38:27',null);
INSERT INTO complaint_statuses VALUES('9240','2718','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 21:41:47','2020-12-05 21:41:47',null);
INSERT INTO complaint_statuses VALUES('9241','2719','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 21:43:42','2020-12-05 21:43:42',null);
INSERT INTO complaint_statuses VALUES('9242','2670','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 21:49:45','2020-12-05 21:49:45',null);
INSERT INTO complaint_statuses VALUES('9243','2735','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 21:58:18','2020-12-05 21:58:18',null);
INSERT INTO complaint_statuses VALUES('9244','2798','2',null,'81',null,'05-DEC-2020
FF TO KHALID','74','74','2020-12-05 22:02:18','2020-12-05 22:02:18',null);
INSERT INTO complaint_statuses VALUES('9245','2798','4',null,'56',null,null,'81','81','2020-12-05 22:02:45','2020-12-05 22:02:45',null);
INSERT INTO complaint_statuses VALUES('9246','2737','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 22:02:55','2020-12-05 22:02:55',null);
INSERT INTO complaint_statuses VALUES('9247','2799','3',null,'53',null,'05-DEC-2020
COMPLAINT#1072615','74','74','2020-12-05 22:09:03','2020-12-05 22:09:03',null);
INSERT INTO complaint_statuses VALUES('9248','2792','3',null,'85',null,null,'74','74','2020-12-05 22:14:12','2020-12-05 22:14:12',null);
INSERT INTO complaint_statuses VALUES('9249','2791','2',null,'81',null,null,'74','74','2020-12-05 22:27:23','2020-12-05 22:27:23',null);
INSERT INTO complaint_statuses VALUES('9250','2791','4',null,'59',null,null,'81','81','2020-12-05 22:27:52','2020-12-05 22:27:52',null);
INSERT INTO complaint_statuses VALUES('9251','2800','2',null,'81',null,'05-DEC-2020
FF TO HOME SOLUTION','74','74','2020-12-05 22:30:29','2020-12-05 22:30:29',null);
INSERT INTO complaint_statuses VALUES('9252','2800','4',null,'62',null,null,'81','81','2020-12-05 22:32:10','2020-12-05 22:32:10',null);
INSERT INTO complaint_statuses VALUES('9253','2673','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 22:33:26','2020-12-05 22:33:26',null);
INSERT INTO complaint_statuses VALUES('9254','2687','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 22:35:37','2020-12-05 22:35:37',null);
INSERT INTO complaint_statuses VALUES('9255','2801','3',null,'88',null,'05-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-05 22:35:50','2020-12-05 22:35:50',null);
INSERT INTO complaint_statuses VALUES('9256','2713','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 22:40:43','2020-12-05 22:40:43',null);
INSERT INTO complaint_statuses VALUES('9257','2667','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 22:58:45','2020-12-05 22:58:45',null);
INSERT INTO complaint_statuses VALUES('9258','2802','3',null,'52',null,'05-DEC-2020
COMPLAINT#PKRI-2012015106228','74','92','2020-12-05 22:59:36','2020-12-05 23:08:21',null);
INSERT INTO complaint_statuses VALUES('9259','2803','3',null,'52',null,'05-DEC-2020
COMPLAINT#PKRI-201201506253','74','92','2020-12-05 23:02:07','2020-12-05 23:12:18',null);
INSERT INTO complaint_statuses VALUES('9260','2657','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 23:20:13','2020-12-05 23:20:13',null);
INSERT INTO complaint_statuses VALUES('9261','2692','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-05 23:24:54','2020-12-05 23:24:54',null);
INSERT INTO complaint_statuses VALUES('9262','2804','3',null,'62',null,'05-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-05 23:57:03','2020-12-05 23:57:03',null);
INSERT INTO complaint_statuses VALUES('9263','2805','2',null,'81',null,'05-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-06 00:06:58','2020-12-06 00:06:58',null);
INSERT INTO complaint_statuses VALUES('9264','2791','7','24','81','phone nom required',null,'80','80','2020-12-06 00:11:26','2020-12-06 00:11:26',null);
INSERT INTO complaint_statuses VALUES('9265','2705','7','24','81','set in S/c',null,'80','80','2020-12-06 00:11:54','2020-12-06 00:11:54',null);
INSERT INTO complaint_statuses VALUES('9266','2805','4',null,'55',null,null,'81','81','2020-12-06 00:17:27','2020-12-06 00:17:27',null);
INSERT INTO complaint_statuses VALUES('9267','2786','3',null,'84',null,null,'74','74','2020-12-06 01:03:58','2020-12-06 01:03:58',null);
INSERT INTO complaint_statuses VALUES('9268','1994','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-06 01:10:58','2020-12-06 01:10:58',null);
INSERT INTO complaint_statuses VALUES('9269','2806','2',null,'81',null,'05-DEC-2020
FF TO KHALID SONY','74','74','2020-12-06 01:14:07','2020-12-06 01:14:07',null);
INSERT INTO complaint_statuses VALUES('9270','2806','4',null,'56',null,null,'81','81','2020-12-06 01:14:42','2020-12-06 01:14:42',null);
INSERT INTO complaint_statuses VALUES('9271','1956','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-06 01:20:53','2020-12-06 01:20:53',null);
INSERT INTO complaint_statuses VALUES('9272','2806','7','12','81','unit ok and hand over to iqbal blue area.',null,'77','77','2020-12-06 01:23:46','2020-12-06 01:23:46',null);
INSERT INTO complaint_statuses VALUES('9273','2807','3',null,'52',null,'05-DEC-2020
COM NO PKRI-201205108553','92','92','2020-12-06 01:38:47','2020-12-06 01:42:53',null);
INSERT INTO complaint_statuses VALUES('9274','2808','2',null,'81',null,'05-DEC-2020
COM FF TO AZHAR SIR','92','92','2020-12-06 02:24:03','2020-12-06 02:24:03',null);
INSERT INTO complaint_statuses VALUES('9275','2809','2',null,'81',null,'05-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-06 02:45:18','2020-12-06 02:45:18',null);
INSERT INTO complaint_statuses VALUES('9276','2789','7','12','81','no visit .complint rsolved on call',null,'79','79','2020-12-06 19:30:49','2020-12-06 19:30:49',null);
INSERT INTO complaint_statuses VALUES('9277','2751','7','12','81','is ko complete kr dein customer  j free ho kr bulye gain tu bara dein gain..humery reguler custoemr hain..',null,'79','79','2020-12-06 19:32:28','2020-12-06 19:32:28',null);
INSERT INTO complaint_statuses VALUES('9278','2810','2',null,'81',null,'06-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-06 19:43:42','2020-12-06 19:43:42',null);
INSERT INTO complaint_statuses VALUES('9279','2711','7','12','81','problem complete reolved kr dya tha..jha machine rekhi wo jaha unbalnce hai. un ko ata dya tha ..machine ko sirf  utar k ekhna tha',null,'79','79','2020-12-06 20:57:20','2020-12-06 20:57:20',null);
INSERT INTO complaint_statuses VALUES('9280','2648','7','24','81','ye machine usman s ko behji hui hai',null,'79','79','2020-12-06 21:00:13','2020-12-06 21:00:13',null);
INSERT INTO complaint_statuses VALUES('9281','2703','7','12','81','Drain Pipe Adjustment.',null,'76','76','2020-12-06 22:35:16','2020-12-06 22:35:16',null);
INSERT INTO complaint_statuses VALUES('9282','2645','7','12','81','No Fault.',null,'76','76','2020-12-06 22:36:58','2020-12-06 22:36:58',null);
INSERT INTO complaint_statuses VALUES('9283','2752','7','24','81','Compressor Faulty,(Model 102)','BAJWA RAHI HAIN MADAM REF','76','74','2020-12-06 22:38:56','2020-12-08 00:35:41',null);
INSERT INTO complaint_statuses VALUES('9284','2764','7','12','81','Shifting Bolt Remove.',null,'76','76','2020-12-06 22:49:46','2020-12-06 22:49:46',null);
INSERT INTO complaint_statuses VALUES('9285','2767','7','24','81','Under Repaire In SVC PCB Issue (No Power )',null,'76','76','2020-12-06 22:52:25','2020-12-06 22:52:25',null);
INSERT INTO complaint_statuses VALUES('9286','2739','7','12','81','No Fault',null,'76','76','2020-12-06 22:53:20','2020-12-06 22:53:20',null);
INSERT INTO complaint_statuses VALUES('9287','2811','2',null,'81',null,'06-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-06 23:05:38','2020-12-06 23:05:38',null);
INSERT INTO complaint_statuses VALUES('9288','2749','7','24','81','Refer to SVC in Service',null,'76','76','2020-12-06 23:08:38','2020-12-06 23:08:38',null);
INSERT INTO complaint_statuses VALUES('9289','2650','7','12','81','No Fault.',null,'76','76','2020-12-06 23:09:16','2020-12-06 23:09:16',null);
INSERT INTO complaint_statuses VALUES('9290','2812','3',null,'73',null,'06-DEC-2020
COM NO2873','92','74','2020-12-06 23:13:14','2020-12-09 20:14:23',null);
INSERT INTO complaint_statuses VALUES('9291','2753','7','12','81','Pressure Switch Adjustment',null,'76','76','2020-12-06 23:14:02','2020-12-06 23:14:02',null);
INSERT INTO complaint_statuses VALUES('9292','2813','2',null,'81',null,'06-DEC-2020
COM FF TO USMAN MRM','92','92','2020-12-06 23:18:54','2020-12-06 23:18:54',null);
INSERT INTO complaint_statuses VALUES('9293','2696','7','24','81','Refer to svc in Service',null,'76','76','2020-12-06 23:19:07','2020-12-06 23:19:07',null);
INSERT INTO complaint_statuses VALUES('9294','2592','7','12','81','Filter Service',null,'76','76','2020-12-06 23:20:08','2020-12-06 23:20:08',null);
INSERT INTO complaint_statuses VALUES('9295','2663','7','12','81','Filter Service and Foot Adjustment. Visit Pending (600)',null,'76','76','2020-12-06 23:21:17','2020-12-06 23:21:17',null);
INSERT INTO complaint_statuses VALUES('9296','2800','7','12','81','issue resolved',null,'87','87','2020-12-06 23:23:51','2020-12-06 23:23:51',null);
INSERT INTO complaint_statuses VALUES('9297','2621','7','28','81','Duplicate',null,'76','76','2020-12-06 23:25:11','2020-12-06 23:25:11',null);
INSERT INTO complaint_statuses VALUES('9298','2611','7','12','81','Please Complete The Job',null,'76','76','2020-12-06 23:25:53','2020-12-06 23:25:53',null);
INSERT INTO complaint_statuses VALUES('9299','2814','2',null,'81',null,'06-DEC-2020
COM FF TO KHALID SONY','92','92','2020-12-06 23:25:54','2020-12-06 23:25:54',null);
INSERT INTO complaint_statuses VALUES('9300','2498','7','12','81','Door Switch Replaced (Only Charged 1000/-)',null,'76','76','2020-12-06 23:26:41','2020-12-06 23:26:41',null);
INSERT INTO complaint_statuses VALUES('9301','2391','7','12','81','Tube Repaired and Drain Pipe Replaced (Only 1000/- Charges form Customer)',null,'76','76','2020-12-06 23:28:00','2020-12-06 23:28:00',null);
INSERT INTO complaint_statuses VALUES('9302','2580','7','12','81','Inlet Valve Replaced and Service',null,'76','76','2020-12-06 23:29:33','2020-12-06 23:29:33',null);
INSERT INTO complaint_statuses VALUES('9303','2570','7','26','81','Child Lock Open',null,'76','76','2020-12-06 23:30:32','2020-12-06 23:30:32',null);
INSERT INTO complaint_statuses VALUES('9304','2394','7','12','81','Issue Solved',null,'76','76','2020-12-06 23:32:55','2020-12-06 23:32:55',null);
INSERT INTO complaint_statuses VALUES('9305','2815','3',null,'73',null,'06-DEC-2020
COM NO 2819','92','92','2020-12-06 23:39:12','2020-12-07 20:09:35',null);
INSERT INTO complaint_statuses VALUES('9306','2816','3',null,'54',null,'06-DEC-2020
COM NO 1779603','92','92','2020-12-06 23:47:24','2020-12-07 02:07:45',null);
INSERT INTO complaint_statuses VALUES('9307','2817','2',null,'81',null,'06-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-07 00:03:54','2020-12-07 00:03:54',null);
INSERT INTO complaint_statuses VALUES('9308','2818','2',null,'81',null,'06-DEC-2020
COM FF TO NADEEM AZHAR','92','92','2020-12-07 00:21:42','2020-12-07 00:21:42',null);
INSERT INTO complaint_statuses VALUES('9309','2781','7','12','81','Only services. Unit ok. Unit with customer',null,'77','77','2020-12-07 19:35:50','2020-12-07 19:35:50',null);
INSERT INTO complaint_statuses VALUES('9310','2741','7','12','81','Unit ok. Only services. Unit with customer',null,'77','77','2020-12-07 19:36:32','2020-12-07 19:36:32',null);
INSERT INTO complaint_statuses VALUES('9311','2819','3',null,'57',null,'07-DEC-2020
COM NO 15056','92','92','2020-12-07 19:44:41','2020-12-07 20:18:23',null);
INSERT INTO complaint_statuses VALUES('9312','2820','3',null,'73',null,'07-DEC-2020
COM NO 2820','92','92','2020-12-07 19:51:58','2020-12-07 20:11:21',null);
INSERT INTO complaint_statuses VALUES('9313','2818','4',null,'59',null,null,'81','81','2020-12-07 20:32:48','2020-12-07 20:32:48',null);
INSERT INTO complaint_statuses VALUES('9314','2818','4',null,'59',null,null,'81','81','2020-12-07 20:32:49','2020-12-07 20:32:49',null);
INSERT INTO complaint_statuses VALUES('9315','2817','4',null,'58',null,null,'81','81','2020-12-07 20:33:18','2020-12-07 20:33:18',null);
INSERT INTO complaint_statuses VALUES('9316','2817','4',null,'58',null,null,'81','81','2020-12-07 20:33:19','2020-12-07 20:33:19',null);
INSERT INTO complaint_statuses VALUES('9317','2814','4',null,'56',null,null,'81','81','2020-12-07 20:33:53','2020-12-07 20:33:53',null);
INSERT INTO complaint_statuses VALUES('9318','2813','4',null,'61',null,null,'81','81','2020-12-07 20:34:18','2020-12-07 20:34:18',null);
INSERT INTO complaint_statuses VALUES('9319','2811','4',null,'58',null,null,'81','81','2020-12-07 20:34:45','2020-12-07 20:34:45',null);
INSERT INTO complaint_statuses VALUES('9320','2810','4',null,'58',null,null,'81','81','2020-12-07 20:35:04','2020-12-07 20:35:04',null);
INSERT INTO complaint_statuses VALUES('9321','2809','4',null,'58',null,null,'81','81','2020-12-07 20:35:14','2020-12-07 20:35:14',null);
INSERT INTO complaint_statuses VALUES('9322','2808','4',null,'60',null,null,'81','81','2020-12-07 20:35:56','2020-12-07 20:35:56',null);
INSERT INTO complaint_statuses VALUES('9323','2800','5','15',null,'completed complaint','CUSTOMER NOT PAID VISIT CHARGES .COMPLAINT KHUD CANCELLED KARWA DIA','81','74','2020-12-07 20:37:21','2020-12-07 20:38:50',null);
INSERT INTO complaint_statuses VALUES('9324','2821','3',null,'54',null,'07-DEC-2020
COM NO 1779838','92','92','2020-12-07 20:39:04','2020-12-07 20:42:35',null);
INSERT INTO complaint_statuses VALUES('9325','2791','8','23','59','NAME  AZEEM SAB
CELL#0331-5420488
ADD FRIENDS CORPORATION GUL NOOR R.W.P',null,'81','81','2020-12-07 20:40:34','2020-12-07 20:40:34',null);
INSERT INTO complaint_statuses VALUES('9326','2789','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-07 20:43:07','2020-12-07 20:54:32',null);
INSERT INTO complaint_statuses VALUES('9327','2781','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-07 20:56:41','2020-12-07 20:59:36',null);
INSERT INTO complaint_statuses VALUES('9328','2764','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-07 20:57:48','2020-12-07 21:00:07',null);
INSERT INTO complaint_statuses VALUES('9329','2753','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-07 20:58:58','2020-12-07 21:00:36',null);
INSERT INTO complaint_statuses VALUES('9330','2822','3',null,'88',null,'07-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-07 21:01:10','2020-12-07 21:01:10',null);
INSERT INTO complaint_statuses VALUES('9331','2751','8','23','58','CUSTOMER SA KINDLY CONTACT KARAY',null,'81','81','2020-12-07 21:02:42','2020-12-07 21:02:42',null);
INSERT INTO complaint_statuses VALUES('9332','2790','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-07 21:20:20','2020-12-07 21:20:20',null);
INSERT INTO complaint_statuses VALUES('9333','2788','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-07 21:22:21','2020-12-07 21:22:21',null);
INSERT INTO complaint_statuses VALUES('9334','2785','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-07 21:27:13','2020-12-07 21:27:13',null);
INSERT INTO complaint_statuses VALUES('9335','2695','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-07 21:44:35','2020-12-07 21:44:35',null);
INSERT INTO complaint_statuses VALUES('9336','2780','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-07 21:49:04','2020-12-07 21:49:04',null);
INSERT INTO complaint_statuses VALUES('9337','2702','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-07 21:52:11','2020-12-07 21:52:11',null);
INSERT INTO complaint_statuses VALUES('9338','2720','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-07 21:53:55','2020-12-07 21:53:55',null);
INSERT INTO complaint_statuses VALUES('9339','2757','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-07 21:58:59','2020-12-07 21:58:59',null);
INSERT INTO complaint_statuses VALUES('9340','2806','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-07 22:02:03','2020-12-07 22:13:06',null);
INSERT INTO complaint_statuses VALUES('9341','2794','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-07 22:03:14','2020-12-07 22:03:14',null);
INSERT INTO complaint_statuses VALUES('9342','2739','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-07 22:05:43','2020-12-07 22:14:45',null);
INSERT INTO complaint_statuses VALUES('9343','2741','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED
KHALID SAB SA CONFIRM KAR K COMPLIANT CLOSED KI','81','74','2020-12-07 22:06:14','2020-12-07 22:14:18',null);
INSERT INTO complaint_statuses VALUES('9344','2711','8','23','58','CUSTOMER KA ISSUE RESOLVED NAI HOA KINDLY AGAIN VISIT ARRANGE KARWAY','W/M BUKIL THEEK CHAL RAHI HAIN ABDUL RAHEEM NA VISIT AGAIN KIYA HAIN AJ 
CUSTOMER AGAIN W/M INSTALL KARWANA CAHAH RAHI HAIN US  K 500 CHARGE PAY KA BATAYA HAIN CUSTOMER KO','81','74','2020-12-07 22:10:11','2020-12-10 00:11:12',null);
INSERT INTO complaint_statuses VALUES('9345','2703','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-07 22:11:16','2020-12-07 22:15:17',null);
INSERT INTO complaint_statuses VALUES('9346','2705','8','23','59','JOB COMPLETED QUKILEY',null,'81','81','2020-12-07 22:12:03','2020-12-07 22:12:03',null);
INSERT INTO complaint_statuses VALUES('9347','2823','3',null,'66',null,'07-DEC-2020
COM NO PK120720200054','92','92','2020-12-07 22:16:13','2020-12-07 22:20:55',null);
INSERT INTO complaint_statuses VALUES('9348','2663','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2020-12-07 22:17:10','2020-12-08 01:16:21',null);
INSERT INTO complaint_statuses VALUES('9349','2824','2',null,'81',null,'07-DEC-2020
FF TO HOME SOLUTION','74','74','2020-12-07 22:25:37','2020-12-07 22:25:37',null);
INSERT INTO complaint_statuses VALUES('9350','2824','4',null,'62',null,null,'81','81','2020-12-07 22:28:06','2020-12-07 22:28:06',null);
INSERT INTO complaint_statuses VALUES('9351','2825','3',null,'73',null,'07-DEC-2020
COM NO 2833','92','92','2020-12-07 22:29:36','2020-12-07 23:45:11',null);
INSERT INTO complaint_statuses VALUES('9352','2826','3',null,'52',null,'07-DEC-2020
COM NO PKRI-201207109394','92','92','2020-12-07 22:53:56','2020-12-08 01:30:39',null);
INSERT INTO complaint_statuses VALUES('9353','2827','3',null,'52',null,'07-DEC-2020
COM NO PKRI-201207108794','92','92','2020-12-07 22:55:11','2020-12-08 00:50:12',null);
INSERT INTO complaint_statuses VALUES('9354','2688','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-07 23:06:02','2020-12-07 23:06:02',null);
INSERT INTO complaint_statuses VALUES('9355','2828','3',null,'73',null,'07-DEC-2020
COM NO 2832','92','92','2020-12-07 23:09:59','2020-12-07 23:43:28',null);
INSERT INTO complaint_statuses VALUES('9356','2569','7','12','81','Wifi card replaced unit ok and delevired to friends blue area.
Cost Rs. 19,780.',null,'77','77','2020-12-07 23:16:00','2020-12-07 23:16:00',null);
INSERT INTO complaint_statuses VALUES('9357','2653','7','20','81','its main board faulty. Friends warranty. Main board faulty. Cost 28,301. need approval.
Note its Model Number is KD.65x7500h. Pls correct the model also.',null,'77','77','2020-12-07 23:31:24','2020-12-07 23:31:24',null);
INSERT INTO complaint_statuses VALUES('9358','2829','3',null,'88',null,'07-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-07 23:56:15','2020-12-07 23:56:15',null);
INSERT INTO complaint_statuses VALUES('9359','2830','2',null,'81',null,'07-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-08 00:21:05','2020-12-08 00:21:05',null);
INSERT INTO complaint_statuses VALUES('9360','2831','3',null,'52',null,'07-DEC-2020
COM NO PKRI-201207108835','92','92','2020-12-08 00:32:42','2020-12-08 00:52:15',null);
INSERT INTO complaint_statuses VALUES('9361','2565','7','12','81','Main pcb replaced 
unit hand over to Mr. aslam  on 05-12-2020 
RS 11500/-  expanse',null,'83','83','2020-12-08 00:34:20','2020-12-08 00:34:20',null);
INSERT INTO complaint_statuses VALUES('9362','2832','3',null,'53',null,'07-DEC-2020
COMPLAINT#1072946 
COM NO 2ND AC 1072947','74','92','2020-12-08 00:34:26','2020-12-08 00:46:40',null);
INSERT INTO complaint_statuses VALUES('9363','2653','8','23','56','NAEEM SAB NA APPROVAL DA DI HAIN SET READY KARAY',null,'81','81','2020-12-08 00:51:00','2020-12-08 00:51:00',null);
INSERT INTO complaint_statuses VALUES('9364','2833','2',null,'81',null,'07-DEC-2020
FF TO KHALID SONY','74','74','2020-12-08 00:55:32','2020-12-08 00:55:32',null);
INSERT INTO complaint_statuses VALUES('9365','2833','4',null,'56',null,null,'81','81','2020-12-08 00:56:19','2020-12-08 00:56:19',null);
INSERT INTO complaint_statuses VALUES('9366','2830','4',null,'55',null,null,'81','81','2020-12-08 00:56:32','2020-12-08 00:56:32',null);
INSERT INTO complaint_statuses VALUES('9367','2650','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2020-12-08 00:57:53','2020-12-08 01:36:41',null);
INSERT INTO complaint_statuses VALUES('9368','2645','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-08 01:04:25','2020-12-08 01:46:36',null);
INSERT INTO complaint_statuses VALUES('9369','2621','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-12-08 01:05:11','2020-12-08 01:47:10',null);
INSERT INTO complaint_statuses VALUES('9370','2592','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESLVESD','81','74','2020-12-08 01:07:41','2020-12-08 01:48:21',null);
INSERT INTO complaint_statuses VALUES('9371','2580','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-08 01:09:54','2020-12-08 01:52:02',null);
INSERT INTO complaint_statuses VALUES('9372','2570','5','15',null,'COMPLETED COMPLAINT','COMPLAINT  RESOLVED','81','74','2020-12-08 01:10:51','2020-12-09 01:13:10',null);
INSERT INTO complaint_statuses VALUES('9373','2569','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-08 01:17:45','2020-12-09 01:13:52',null);
INSERT INTO complaint_statuses VALUES('9374','2565','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-08 01:23:03','2020-12-09 01:14:53',null);
INSERT INTO complaint_statuses VALUES('9375','2498','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-08 01:24:17','2020-12-08 22:32:45',null);
INSERT INTO complaint_statuses VALUES('9376','2529','8','23','60','CUSTOMER SA BAT HO GEI HAIN AGAIN CONTACT KAR K CUSTOMER K AISSUE RESOLVED KARWAY',null,'81','81','2020-12-08 01:35:41','2020-12-08 01:35:41',null);
INSERT INTO complaint_statuses VALUES('9377','2681','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-08 01:40:45','2020-12-08 01:40:45',null);
INSERT INTO complaint_statuses VALUES('9378','2834','3',null,'53',null,'07-DEC-2020
COM NO#1073365','92','74','2020-12-08 02:25:07','2020-12-09 02:30:55',null);
INSERT INTO complaint_statuses VALUES('9379','2835','2',null,'81',null,'07-DEC-2020
COM FF TO SONY KHALID','92','92','2020-12-08 02:46:07','2020-12-08 02:46:07',null);
INSERT INTO complaint_statuses VALUES('9380','2835','4',null,'56',null,null,'81','81','2020-12-08 02:52:36','2020-12-08 02:52:36',null);
INSERT INTO complaint_statuses VALUES('9381','2836','3',null,'62',null,'07-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-08 02:56:57','2020-12-08 02:56:57',null);
INSERT INTO complaint_statuses VALUES('9382','2807','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-08 19:59:30','2020-12-08 19:59:30',null);
INSERT INTO complaint_statuses VALUES('9383','2803','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-08 20:01:26','2020-12-08 20:01:26',null);
INSERT INTO complaint_statuses VALUES('9384','2816','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-08 20:03:21','2020-12-08 20:03:21',null);
INSERT INTO complaint_statuses VALUES('9385','2653','7','12','81','Unit ok and hand over to Akhlaq sab blue Area islamabad',null,'77','77','2020-12-08 20:08:25','2020-12-08 20:08:25',null);
INSERT INTO complaint_statuses VALUES('9386','2796','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-08 20:09:36','2020-12-08 20:09:36',null);
INSERT INTO complaint_statuses VALUES('9387','2793','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-08 20:11:34','2020-12-08 20:11:34',null);
INSERT INTO complaint_statuses VALUES('9388','2779','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-08 20:14:02','2020-12-08 20:14:02',null);
INSERT INTO complaint_statuses VALUES('9389','2775','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-08 20:19:20','2020-12-08 20:19:20',null);
INSERT INTO complaint_statuses VALUES('9390','2751','7','12','81','complaint resolved.reomte seting',null,'79','79','2020-12-08 20:50:38','2020-12-08 20:50:38',null);
INSERT INTO complaint_statuses VALUES('9391','2837','3',null,'53',null,'08-DEC-2020
COM NO 301073310','92','92','2020-12-08 20:52:01','2020-12-09 01:18:28',null);
INSERT INTO complaint_statuses VALUES('9392','2838','2',null,'81',null,'08-DEC-2020
COM FF TO KHALID SONY','92','92','2020-12-08 20:59:30','2020-12-08 20:59:30',null);
INSERT INTO complaint_statuses VALUES('9393','2839','2',null,'81',null,'08-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-08 21:09:59','2020-12-08 21:09:59',null);
INSERT INTO complaint_statuses VALUES('9394','2748','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-08 21:10:00','2020-12-08 21:10:00',null);
INSERT INTO complaint_statuses VALUES('9395','2773','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-08 21:14:15','2020-12-08 21:14:15',null);
INSERT INTO complaint_statuses VALUES('9396','2840','3',null,'53',null,'08-DEC-2020
COM NO 301073311','92','92','2020-12-08 21:28:17','2020-12-09 01:23:18',null);
INSERT INTO complaint_statuses VALUES('9397','2767','8','23','55','please complete this job quickly',null,'81','81','2020-12-08 21:31:17','2020-12-08 21:31:17',null);
INSERT INTO complaint_statuses VALUES('9398','2752','8','23','55','complete this job quickly',null,'81','81','2020-12-08 21:32:31','2020-12-08 21:32:31',null);
INSERT INTO complaint_statuses VALUES('9399','2611','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-08 21:33:03','2020-12-08 21:38:30',null);
INSERT INTO complaint_statuses VALUES('9400','2751','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-08 21:33:22','2020-12-08 22:57:07',null);
INSERT INTO complaint_statuses VALUES('9401','2839','4',null,'62',null,null,'81','81','2020-12-08 21:33:28','2020-12-08 21:33:28',null);
INSERT INTO complaint_statuses VALUES('9402','2838','4',null,'56',null,null,'81','81','2020-12-08 21:33:41','2020-12-08 21:33:41',null);
INSERT INTO complaint_statuses VALUES('9403','2749','8','23','55',null,null,'81','81','2020-12-08 21:33:52','2020-12-08 21:33:52',null);
INSERT INTO complaint_statuses VALUES('9404','2696','8','23','55',null,null,'81','81','2020-12-08 21:34:20','2020-12-08 21:34:20',null);
INSERT INTO complaint_statuses VALUES('9405','2653','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-08 21:35:01','2020-12-09 01:03:00',null);
INSERT INTO complaint_statuses VALUES('9406','2648','8','23','58','please complete this job quickly',null,'81','81','2020-12-08 21:35:51','2020-12-08 21:35:51',null);
INSERT INTO complaint_statuses VALUES('9407','2557','8','23','60',null,null,'81','81','2020-12-08 21:36:39','2020-12-08 21:36:39',null);
INSERT INTO complaint_statuses VALUES('9408','2526','8','23','60','please complete this job quickly',null,'81','81','2020-12-08 21:37:55','2020-12-08 21:37:55',null);
INSERT INTO complaint_statuses VALUES('9409','2394','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-08 21:38:19','2020-12-12 21:50:38',null);
INSERT INTO complaint_statuses VALUES('9410','2391','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-08 21:38:49','2020-12-09 01:27:16',null);
INSERT INTO complaint_statuses VALUES('9411','2236','5','15',null,null,'MONDAY TUESDAY KO PIC KARAY GAY
CUSTOMER NA AJ PICK KAR LIYA GEYSER  COMPLAINT RESOLVED','81','74','2020-12-08 21:39:18','2020-12-25 00:13:27',null);
INSERT INTO complaint_statuses VALUES('9412','2841','3',null,'52',null,'08-DEC-2020
COM NO PKRI-201208106004','92','92','2020-12-08 21:45:33','2020-12-08 23:20:13',null);
INSERT INTO complaint_statuses VALUES('9413','2842','3',null,'54',null,'08-DEC-2020
COM NO 1780732','92','92','2020-12-08 21:58:34','2020-12-08 23:34:04',null);
INSERT INTO complaint_statuses VALUES('9414','2843','3',null,'54',null,'08-DEC-2020
COM NO 51131','92','92','2020-12-08 22:13:54','2020-12-08 23:38:37',null);
INSERT INTO complaint_statuses VALUES('9415','2701','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-08 22:24:02','2020-12-08 22:24:02',null);
INSERT INTO complaint_statuses VALUES('9416','2844','2',null,'81',null,'08-DEC-2020
FF TO NADEEM AV','74','74','2020-12-08 22:27:19','2020-12-08 22:27:19',null);
INSERT INTO complaint_statuses VALUES('9417','2844','4',null,'59',null,null,'81','81','2020-12-08 22:29:04','2020-12-08 22:29:04',null);
INSERT INTO complaint_statuses VALUES('9418','2845','3',null,'73',null,'08-DEC-2020
COM NO 2862','92','92','2020-12-08 22:32:22','2020-12-09 01:10:28',null);
INSERT INTO complaint_statuses VALUES('9419','2846','3',null,'52',null,'08-DEC-2020
COM NO PKRI-201208106060','92','92','2020-12-08 22:48:07','2020-12-08 23:25:17',null);
INSERT INTO complaint_statuses VALUES('9420','2694','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-08 22:52:42','2020-12-08 22:52:42',null);
INSERT INTO complaint_statuses VALUES('9421','2649','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-08 22:58:17','2020-12-08 22:58:17',null);
INSERT INTO complaint_statuses VALUES('9422','2707','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-08 23:01:56','2020-12-08 23:01:56',null);
INSERT INTO complaint_statuses VALUES('9423','2639','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-08 23:09:21','2020-12-08 23:09:21',null);
INSERT INTO complaint_statuses VALUES('9424','2847','2',null,'81',null,'08-DEC-2020
COM FF TO AZHAR FCI','92','92','2020-12-08 23:10:48','2020-12-08 23:10:48',null);
INSERT INTO complaint_statuses VALUES('9425','2633','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-08 23:13:16','2020-12-08 23:13:16',null);
INSERT INTO complaint_statuses VALUES('9426','2505','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-08 23:14:01','2020-12-08 23:14:01',null);
INSERT INTO complaint_statuses VALUES('9427','2504','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-08 23:14:55','2020-12-08 23:14:55',null);
INSERT INTO complaint_statuses VALUES('9428','2091','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-08 23:16:24','2020-12-08 23:16:24',null);
INSERT INTO complaint_statuses VALUES('9429','2058','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-08 23:17:24','2020-12-08 23:17:24',null);
INSERT INTO complaint_statuses VALUES('9430','2057','5',null,null,'COMPLAINT CLOSED','COMPLAINT CLOSED','74','74','2020-12-08 23:19:14','2020-12-29 20:22:21',null);
INSERT INTO complaint_statuses VALUES('9431','1803','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-08 23:21:00','2020-12-08 23:21:00',null);
INSERT INTO complaint_statuses VALUES('9432','2848','2',null,'81',null,'08-DEC-2020
FF TO USMAN MRM','74','74','2020-12-08 23:23:25','2020-12-08 23:23:25',null);
INSERT INTO complaint_statuses VALUES('9433','2848','4',null,'61',null,null,'81','81','2020-12-08 23:23:47','2020-12-08 23:23:47',null);
INSERT INTO complaint_statuses VALUES('9434','2847','4',null,'60',null,null,'81','81','2020-12-08 23:24:05','2020-12-08 23:24:05',null);
INSERT INTO complaint_statuses VALUES('9435','1802','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-08 23:25:36','2020-12-08 23:25:36',null);
INSERT INTO complaint_statuses VALUES('9436','1466','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-08 23:26:47','2020-12-08 23:26:47',null);
INSERT INTO complaint_statuses VALUES('9437','1182','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-08 23:27:51','2020-12-08 23:27:51',null);
INSERT INTO complaint_statuses VALUES('9438','2849','3',null,'66',null,'08-DEC-2020
COM FF TO KASHIF TCL','92','92','2020-12-09 00:05:11','2020-12-09 02:44:39',null);
INSERT INTO complaint_statuses VALUES('9439','2850','2',null,'81',null,'08-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-09 00:17:50','2020-12-09 00:17:50',null);
INSERT INTO complaint_statuses VALUES('9440','2851','3',null,'54',null,'08-DEC-2020
COM NO 1780868','92','92','2020-12-09 00:26:33','2020-12-09 01:27:47',null);
INSERT INTO complaint_statuses VALUES('9441','2844','7','24','81','yea nom kese k estamal main ni plz correct no send kryn',null,'80','80','2020-12-09 00:29:14','2020-12-09 00:29:14',null);
INSERT INTO complaint_statuses VALUES('9442','2852','3',null,'73',null,'08-DEC-2020
COM NO 2863','92','92','2020-12-09 00:35:26','2020-12-09 01:13:35',null);
INSERT INTO complaint_statuses VALUES('9443','2552','7','12','81','Firmware reset  RS 500 EXP',null,'83','83','2020-12-09 00:44:53','2020-12-09 00:44:53',null);
INSERT INTO complaint_statuses VALUES('9444','1393','7','12','81','back light replaced unit ok',null,'83','83','2020-12-09 00:45:16','2020-12-09 00:45:16',null);
INSERT INTO complaint_statuses VALUES('9445','2752','7','12','81','Compressor Replaced and gas Recharged',null,'76','76','2020-12-09 00:47:38','2020-12-09 00:47:38',null);
INSERT INTO complaint_statuses VALUES('9446','2853','2',null,'81',null,'08-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-09 00:48:23','2021-02-24 10:57:40',null);
INSERT INTO complaint_statuses VALUES('9447','2427','7','12','81','Tube Repaired , Drain Pipe Replaced No Charges charges from Customer.(FOC)',null,'76','76','2020-12-09 00:49:24','2020-12-09 00:49:24',null);
INSERT INTO complaint_statuses VALUES('9448','2776','7','26','81','Replacement has taken.',null,'76','76','2020-12-09 00:50:10','2020-12-09 00:50:10',null);
INSERT INTO complaint_statuses VALUES('9449','2238','7','26','81','REF Deliver to the Blue Area Friends Showroom',null,'76','76','2020-12-09 00:51:46','2020-12-09 00:51:46',null);
INSERT INTO complaint_statuses VALUES('9450','1895','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-09 00:57:40','2020-12-09 00:57:40',null);
INSERT INTO complaint_statuses VALUES('9451','2853','4',null,'63',null,null,'81','81','2020-12-09 01:00:03','2020-12-09 01:00:03',null);
INSERT INTO complaint_statuses VALUES('9452','2850','4',null,'55',null,null,'81','81','2020-12-09 01:00:16','2020-12-09 01:00:16',null);
INSERT INTO complaint_statuses VALUES('9453','2776','5','15',null,'COMPLETED COMPLAINT','CLOSED COMPLAINT','81','74','2020-12-09 01:03:24','2020-12-09 01:05:06',null);
INSERT INTO complaint_statuses VALUES('9454','2752','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-09 01:04:26','2020-12-09 01:07:25',null);
INSERT INTO complaint_statuses VALUES('9455','2854','2',null,'81',null,'08-DEC-2020
COM FF TO AZHAR FCI','92','92','2020-12-09 01:06:23','2020-12-14 21:55:59',null);
INSERT INTO complaint_statuses VALUES('9456','2427','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-09 01:10:19','2020-12-09 01:16:22',null);
INSERT INTO complaint_statuses VALUES('9457','2705','7','12','81','smps repair 
RS 2500
set ok',null,'80','80','2020-12-09 01:10:56','2020-12-09 01:10:56',null);
INSERT INTO complaint_statuses VALUES('9458','2818','7','24','81','customer say bat ho gae hy aj jab customer free ho ga to visit k lia batay ga',null,'80','80','2020-12-09 01:11:39','2020-12-09 01:11:39',null);
INSERT INTO complaint_statuses VALUES('9459','2844','8','23','59','0323-5324382','VISIT TO DAY','81','74','2020-12-09 01:18:59','2020-12-10 01:19:37',null);
INSERT INTO complaint_statuses VALUES('9460','1744','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-09 01:34:31','2020-12-09 01:34:31',null);
INSERT INTO complaint_statuses VALUES('9461','2854','4',null,'60',null,null,'81','81','2020-12-09 01:37:42','2020-12-09 01:37:42',null);
INSERT INTO complaint_statuses VALUES('9462','2855','3',null,'52',null,'08-DEC-2020
COM NO PKRI-201208108800','92','92','2020-12-09 01:40:03','2020-12-09 02:32:18',null);
INSERT INTO complaint_statuses VALUES('9463','2856','3',null,'73',null,'08-DEC-2020
COM NO 2869','92','92','2020-12-09 01:54:02','2020-12-10 00:16:08',null);
INSERT INTO complaint_statuses VALUES('9464','2857','3',null,'73',null,'08-DEC-2020
COMPLAINT#2868','74','92','2020-12-09 02:02:09','2020-12-09 02:07:36',null);
INSERT INTO complaint_statuses VALUES('9465','2858','3',null,'53',null,'08-DEC-2020
COM NO 1073392','92','92','2020-12-09 02:12:33','2020-12-09 19:49:50',null);
INSERT INTO complaint_statuses VALUES('9466','2859','2',null,'81',null,'08-DEC-2020
FF TO AZHAR FCI','74','74','2020-12-09 02:15:54','2020-12-09 02:15:54',null);
INSERT INTO complaint_statuses VALUES('9467','2859','4',null,'60',null,null,'81','81','2020-12-09 02:16:19','2020-12-09 02:16:19',null);
INSERT INTO complaint_statuses VALUES('9468','2860','3',null,'57',null,'08-DEC-2020
COM NO 15102','92','92','2020-12-09 02:54:16','2020-12-09 19:54:34',null);
INSERT INTO complaint_statuses VALUES('9469','2839','7','12','81','W/M OK HAI BUT CUSTOMER CHANGE KRWANA CHAHTA HAI',null,'87','87','2020-12-09 03:06:10','2020-12-09 03:06:10',null);
INSERT INTO complaint_statuses VALUES('9470','2824','7','12','81','ISSUE RESOLVED ON CAL',null,'87','87','2020-12-09 03:21:46','2020-12-09 03:21:46',null);
INSERT INTO complaint_statuses VALUES('9471','2813','7','12','81','Back light replaced 
Rs 4000
Unit at costumer home plz close job',null,'83','83','2020-12-09 08:09:56','2020-12-09 08:09:56',null);
INSERT INTO complaint_statuses VALUES('9472','2811','7','12','81','complaint resolved.pipe issue',null,'79','79','2020-12-09 19:50:22','2020-12-09 19:50:22',null);
INSERT INTO complaint_statuses VALUES('9473','2861','2',null,'81',null,'09-DEC-2020
FF TO HOME SOLUTION','74','74','2020-12-09 20:04:39','2020-12-09 20:04:39',null);
INSERT INTO complaint_statuses VALUES('9474','2861','4',null,'62',null,null,'81','81','2020-12-09 20:05:13','2020-12-09 20:05:13',null);
INSERT INTO complaint_statuses VALUES('9475','2862','3',null,'53',null,'09-DEC-2020
COM NO 1073436','92','92','2020-12-09 20:26:26','2020-12-09 20:41:39',null);
INSERT INTO complaint_statuses VALUES('9476','2863','3',null,'53',null,'09-DEC-2020
COM NO 1073446','92','92','2020-12-09 20:37:10','2020-12-09 20:44:00',null);
INSERT INTO complaint_statuses VALUES('9477','2864','3',null,'81',null,'09-DEC-2020
FF TO 5088','74','92','2020-12-09 20:38:52','2020-12-09 20:51:45',null);
INSERT INTO complaint_statuses VALUES('9478','2865','3',null,'52',null,'09-DEC-2020
COMPLAINT#PKRI-201209103300','74','74','2020-12-09 20:56:31','2020-12-09 20:56:31',null);
INSERT INTO complaint_statuses VALUES('9479','2833','7','12','81','Unit ok. Pls collect the unit.',null,'77','77','2020-12-09 21:16:14','2020-12-09 21:16:14',null);
INSERT INTO complaint_statuses VALUES('9480','2782','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-09 21:17:01','2020-12-09 21:17:01',null);
INSERT INTO complaint_statuses VALUES('9481','2866','2',null,'81',null,'09-DEC-2020
COM FF TO NADEEM AZHAR','92','92','2020-12-09 21:35:02','2020-12-10 22:30:31',null);
INSERT INTO complaint_statuses VALUES('9482','2867','3',null,'57',null,'09-DEC-2020
COMPLAINT#15097','74','74','2020-12-09 21:54:02','2020-12-09 21:54:02',null);
INSERT INTO complaint_statuses VALUES('9483','2844','7','24','81','aj visit ho jae ga customer say time set kr lia hy tech ny',null,'80','80','2020-12-09 21:57:23','2020-12-09 21:57:23',null);
INSERT INTO complaint_statuses VALUES('9484','2791','7','24','81','set hmary S/C ay ga',null,'80','80','2020-12-09 21:59:13','2020-12-09 21:59:13',null);
INSERT INTO complaint_statuses VALUES('9485','2868','2',null,'81',null,'09-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-09 21:59:48','2020-12-09 21:59:48',null);
INSERT INTO complaint_statuses VALUES('9486','2084','7','12','81','main board ka problem hy customer board ni dalwana chahta please complain close kr dyn',null,'80','80','2020-12-09 22:09:48','2020-12-09 22:09:48',null);
INSERT INTO complaint_statuses VALUES('9487','2869','3',null,'52',null,'09-DEC-2020
COM NO PKRI-201209106192','92','92','2020-12-09 22:10:43','2020-12-09 23:11:42',null);
INSERT INTO complaint_statuses VALUES('9488','2870','3',null,'73',null,'09-DEC-2020
COM NO 2880','92','92','2020-12-09 22:24:54','2020-12-09 22:50:17',null);
INSERT INTO complaint_statuses VALUES('9489','2871','2',null,'81',null,'09-DEC-2020
FF TO B. COOL','74','74','2020-12-09 22:33:01','2020-12-09 22:33:01',null);
INSERT INTO complaint_statuses VALUES('9490','2871','4',null,'58',null,null,'81','81','2020-12-09 22:33:40','2020-12-09 22:33:40',null);
INSERT INTO complaint_statuses VALUES('9491','2868','4',null,'62',null,null,'81','81','2020-12-09 22:34:05','2020-12-09 22:34:05',null);
INSERT INTO complaint_statuses VALUES('9492','2866','4',null,'59',null,null,'81','81','2020-12-09 22:35:15','2020-12-09 22:35:15',null);
INSERT INTO complaint_statuses VALUES('9493','2872','2',null,'81',null,'09-DEC-2020
FF TO AZHAR FCI','74','74','2020-12-09 22:59:09','2020-12-09 22:59:09',null);
INSERT INTO complaint_statuses VALUES('9494','2872','4',null,'60',null,null,'81','81','2020-12-09 23:01:19','2020-12-09 23:01:19',null);
INSERT INTO complaint_statuses VALUES('9495','2873','2',null,'81',null,'09-DEC-2020
COM FF TO NADEEM AV','92','92','2020-12-09 23:13:28','2020-12-09 23:13:28',null);
INSERT INTO complaint_statuses VALUES('9496','2874','3',null,'73',null,'09-DEC-2020
COMPLAINT#','74','74','2020-12-09 23:14:12','2020-12-09 23:14:12',null);
INSERT INTO complaint_statuses VALUES('9497','2875','3',null,'53',null,'09-DEC-2020
COMPLAINT#301073564','74','92','2020-12-09 23:17:12','2020-12-09 23:29:51',null);
INSERT INTO complaint_statuses VALUES('9498','2874','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-09 23:23:18','2020-12-09 23:23:18',null);
INSERT INTO complaint_statuses VALUES('9499','2873','4',null,'59',null,null,'81','81','2020-12-09 23:26:05','2020-12-09 23:26:05',null);
INSERT INTO complaint_statuses VALUES('9500','2876','2',null,'81',null,'09-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-09 23:36:34','2020-12-09 23:36:34',null);
INSERT INTO complaint_statuses VALUES('9501','2877','2',null,'81',null,'09-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-09 23:46:18','2020-12-09 23:46:18',null);
INSERT INTO complaint_statuses VALUES('9502','2878','2',null,'81',null,'09-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-10 00:42:53','2020-12-10 00:42:53',null);
INSERT INTO complaint_statuses VALUES('9503','2761','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-10 00:50:40','2020-12-10 00:50:40',null);
INSERT INTO complaint_statuses VALUES('9504','2745','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-10 00:53:41','2020-12-10 00:53:41',null);
INSERT INTO complaint_statuses VALUES('9505','2743','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-10 01:03:51','2020-12-10 01:03:51',null);
INSERT INTO complaint_statuses VALUES('9506','2879','2',null,'81',null,'09-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-10 01:20:42','2020-12-10 01:20:42',null);
INSERT INTO complaint_statuses VALUES('9507','2839','5','15',null,null,'COMPLAINT PA VISIT HO GAYA HAIN W/M OK HIAN BUT CUSTOMER SATISFAIDE NAI HO  RAHAY CSUTOMER STILL CALL ATTEND NAI KAR RAHAY  ADIL BHAI SA CONFIM KAR K COMPLAINT CLOSED KI




RAHAY','81','74','2020-12-10 01:21:16','2020-12-12 21:25:57',null);
INSERT INTO complaint_statuses VALUES('9508','2880','3',null,'73',null,'09-DEC-2020
COM NO 2770','92','92','2020-12-10 01:30:10','2020-12-10 01:50:28',null);
INSERT INTO complaint_statuses VALUES('9509','2879','4',null,'55',null,null,'81','81','2020-12-10 01:31:10','2020-12-10 01:31:10',null);
INSERT INTO complaint_statuses VALUES('9510','2878','4',null,'62',null,null,'81','81','2020-12-10 01:31:23','2020-12-10 01:31:23',null);
INSERT INTO complaint_statuses VALUES('9511','2876','4',null,'62',null,null,'81','81','2020-12-10 01:31:46','2020-12-10 01:31:46',null);
INSERT INTO complaint_statuses VALUES('9512','2877','4',null,'63',null,null,'81','81','2020-12-10 01:32:11','2020-12-10 01:32:11',null);
INSERT INTO complaint_statuses VALUES('9513','2833','8','23','56','WHERE IS UNIT FRIENDS SHOW ROOM YA YOUR SERVICE CENTER',null,'81','81','2020-12-10 01:33:04','2020-12-10 01:33:04',null);
INSERT INTO complaint_statuses VALUES('9514','2824','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-10 01:33:30','2020-12-12 21:30:52',null);
INSERT INTO complaint_statuses VALUES('9515','2813','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-10 01:33:52','2020-12-12 21:42:14',null);
INSERT INTO complaint_statuses VALUES('9516','2811','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-10 01:34:09','2020-12-12 21:44:57',null);
INSERT INTO complaint_statuses VALUES('9517','2705','8','23','59','WHERE IS UNIT CUSTOMERS HOME YA YOUR SERVICE CENTER',null,'81','81','2020-12-10 01:35:26','2020-12-10 01:35:26',null);
INSERT INTO complaint_statuses VALUES('9518','2552','5','15',null,null,'SOFTWEAR UPDATE KIYA BUT REMOTE K 

FACTION CHANGE HO GAY AJ AGAIN CUSTOMER S/C SET LA K JAY GAY
CUSTOMER KO INFORMED KAR DIA AJ PICK KAR LAY GAY COMPLAINT RESOLVED','81','74','2020-12-10 01:35:48','2020-12-21 20:45:50',null);
INSERT INTO complaint_statuses VALUES('9519','2084','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-12-10 01:36:25','2020-12-19 00:49:08',null);
INSERT INTO complaint_statuses VALUES('9520','1393','8','23','61','WHERE IS UNIT',null,'81','81','2020-12-10 01:37:08','2020-12-10 01:37:08',null);
INSERT INTO complaint_statuses VALUES('9521','2844','8','23','59',null,null,'81','81','2020-12-10 01:37:44','2020-12-10 01:37:44',null);
INSERT INTO complaint_statuses VALUES('9522','2818','8','23','59',null,'CUSTOMER SET OPEND NAI KARNAY DA RAHA SET REPLACEMENT KI DEMAND KAR RAHA HAIN SHAHZAD SAB KO INFORMED KAR DIA','81','74','2020-12-10 01:38:03','2020-12-10 20:54:21',null);
INSERT INTO complaint_statuses VALUES('9523','2791','8','23','59',null,'COMPLAINT RESOLVED','81','74','2020-12-10 01:38:23','2020-12-29 20:28:42',null);
INSERT INTO complaint_statuses VALUES('9524','2881','3',null,'52',null,'09-DEC-2020
COM NO PKRI-201209109020','92','92','2020-12-10 01:44:44','2020-12-10 01:59:58',null);
INSERT INTO complaint_statuses VALUES('9525','2882','3',null,'53',null,'09-DEC-2020
COM NO','92','92','2020-12-10 02:19:32','2020-12-10 02:19:32',null);
INSERT INTO complaint_statuses VALUES('9526','2732','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-10 02:19:59','2020-12-10 02:19:59',null);
INSERT INTO complaint_statuses VALUES('9527','2882','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-10 02:23:07','2020-12-10 02:23:07',null);
INSERT INTO complaint_statuses VALUES('9528','2878','7','26','81',null,null,'87','87','2020-12-10 02:39:01','2020-12-10 02:39:01',null);
INSERT INTO complaint_statuses VALUES('9529','2883','3',null,'55',null,'09-DEC-2020
COM NO 702571','92','92','2020-12-10 02:42:45','2020-12-10 02:55:04',null);
INSERT INTO complaint_statuses VALUES('9530','2711','7','12','81','COMPLAINT RESOLVED./............................................................/',null,'79','79','2020-12-10 04:37:24','2020-12-10 04:37:24',null);
INSERT INTO complaint_statuses VALUES('9531','2810','7','22','81','HEAT TANK  ISSUE.REFER TO SERVICE CENTER',null,'79','79','2020-12-10 04:38:01','2020-12-10 04:38:01',null);
INSERT INTO complaint_statuses VALUES('9532','2711','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-10 19:35:55','2020-12-12 21:46:11',null);
INSERT INTO complaint_statuses VALUES('9533','2884','3',null,'52',null,'10-DEC-2020
COM NO PKRI-201210103170','92','92','2020-12-10 19:38:20','2020-12-10 20:53:50',null);
INSERT INTO complaint_statuses VALUES('9534','2885','3',null,'53',null,'10-DEC-2020
COM NO 1073683','92','92','2020-12-10 19:50:49','2020-12-10 20:38:39',null);
INSERT INTO complaint_statuses VALUES('9535','2886','2',null,'81',null,'10-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-10 20:06:12','2020-12-10 20:06:12',null);
INSERT INTO complaint_statuses VALUES('9536','2102','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-10 20:17:19','2020-12-10 20:17:19',null);
INSERT INTO complaint_statuses VALUES('9537','2868','7','26','81','FROM CUSTOMER SIDE',null,'87','87','2020-12-10 20:19:29','2020-12-10 20:19:29',null);
INSERT INTO complaint_statuses VALUES('9538','2887','2',null,'81',null,'10-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-10 20:27:12','2020-12-10 20:27:12',null);
INSERT INTO complaint_statuses VALUES('9539','2873','7','24','81','customer call not attend',null,'80','80','2020-12-10 20:30:03','2020-12-10 20:30:03',null);
INSERT INTO complaint_statuses VALUES('9540','2866','7','24','81','panel line hy set hamry S/C py ay ga',null,'80','80','2020-12-10 20:36:09','2020-12-10 20:36:09',null);
INSERT INTO complaint_statuses VALUES('9541','2844','7','12','81','only visit 
panel line customer not interested panel repair 
RS = 800',null,'80','80','2020-12-10 20:40:24','2020-12-10 20:40:24',null);
INSERT INTO complaint_statuses VALUES('9542','2818','7','24','81','visit ho gea hy sound problem hy customer set replace karwna chahta hy 
or yea wala set jb ap k pas ay ga hmry S/C py baj dena hy ap ny',null,'80','80','2020-12-10 20:46:28','2020-12-10 20:46:28',null);
INSERT INTO complaint_statuses VALUES('9543','2705','7','12','81','service center py repair kea hy',null,'80','80','2020-12-10 20:47:30','2020-12-10 20:47:30',null);
INSERT INTO complaint_statuses VALUES('9544','2759','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-10 21:00:03','2020-12-10 21:00:03',null);
INSERT INTO complaint_statuses VALUES('9545','2756','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-12-10 21:15:26','2020-12-10 21:15:26',null);
INSERT INTO complaint_statuses VALUES('9546','2888','3',null,'66',null,'10-DEC-2020
COM NO PK12102020034','92','92','2020-12-10 21:17:57','2020-12-15 22:21:14',null);
INSERT INTO complaint_statuses VALUES('9547','2889','2',null,'81',null,'10-DEC-2020
FF TO KHALI SONY','74','74','2020-12-10 21:31:19','2020-12-10 21:31:19',null);
INSERT INTO complaint_statuses VALUES('9548','2889','4',null,'56',null,null,'81','81','2020-12-10 21:32:01','2020-12-10 21:32:01',null);
INSERT INTO complaint_statuses VALUES('9549','2887','4',null,'58',null,null,'81','81','2020-12-10 21:32:15','2020-12-10 21:32:15',null);
INSERT INTO complaint_statuses VALUES('9550','2886','4',null,'58',null,null,'81','81','2020-12-10 21:37:41','2020-12-10 21:37:41',null);
INSERT INTO complaint_statuses VALUES('9551','2890','3',null,'88',null,'10-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','73','2020-12-10 21:37:52','2020-12-13 20:26:35',null);
INSERT INTO complaint_statuses VALUES('9552','2878','5','13',null,null,'COMPLAINT FF TO B.COOL','81','74','2020-12-10 21:40:46','2020-12-11 00:26:25',null);
INSERT INTO complaint_statuses VALUES('9553','2833','7','12','81','Its with showroom and also not its friends warranty.',null,'77','77','2020-12-10 21:50:54','2020-12-10 21:50:54',null);
INSERT INTO complaint_statuses VALUES('9554','2891','3',null,'52',null,'10-DEC-2020
COM NO PKRI-201210106572','92','92','2020-12-10 21:53:53','2020-12-10 23:48:44',null);
INSERT INTO complaint_statuses VALUES('9555','2892','3',null,'56',null,'10-DEC-2020
COM NO L10-020','92','92','2020-12-10 22:12:10','2020-12-11 01:23:56',null);
INSERT INTO complaint_statuses VALUES('9556','2844','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-12-10 22:17:52','2020-12-11 00:27:21',null);
INSERT INTO complaint_statuses VALUES('9557','2893','2',null,'81',null,'10-DEC-2020
FF TO HOME SOLUTION','74','74','2020-12-10 22:18:14','2020-12-10 22:18:14',null);
INSERT INTO complaint_statuses VALUES('9558','2705','8','23','59','WHERE IS UNIT CUSTOMERS HOME YA YOUR SERVICE CENTER',null,'81','81','2020-12-10 22:21:33','2020-12-10 22:21:33',null);
INSERT INTO complaint_statuses VALUES('9559','2810','8','23','58',null,null,'81','81','2020-12-10 22:22:48','2020-12-10 22:22:48',null);
INSERT INTO complaint_statuses VALUES('9560','2873','8','13','59','CALL AGAIN',null,'81','81','2020-12-10 22:24:11','2020-12-10 22:24:11',null);
INSERT INTO complaint_statuses VALUES('9561','2893','4',null,'62',null,null,'81','81','2020-12-10 22:24:24','2020-12-10 22:24:24',null);
INSERT INTO complaint_statuses VALUES('9562','2868','5','25',null,null,'COMPLAINT RESOLVED','81','74','2020-12-10 22:24:43','2020-12-17 01:52:05',null);
INSERT INTO complaint_statuses VALUES('9563','2818','8','23','59',null,null,'81','81','2020-12-10 22:32:43','2020-12-10 22:32:43',null);
INSERT INTO complaint_statuses VALUES('9564','2238','5','15',null,'COMPLETED COMPLAINT','CUSTOMER NA REF WAPISE KARWA DIA THA R PAYMENT LA LI THI 
BADAL SAB NA AGAIN YHA REF SELL B KAR DIA','81','74','2020-12-10 22:33:41','2020-12-10 22:40:42',null);
INSERT INTO complaint_statuses VALUES('9565','2894','3',null,'57',null,'10-DEC-2020
COM NO 15141','92','92','2020-12-10 22:37:02','2020-12-10 23:21:44',null);
INSERT INTO complaint_statuses VALUES('9566','2866','5','15',null,'YHA  COMPLAINT WRONG MODEL KI WAJA SA CANCELED KI HAIN',null,'81','81','2020-12-10 22:39:35','2020-12-10 22:39:35',null);
INSERT INTO complaint_statuses VALUES('9567','2814','7','12','81','no issue. Unit ok paid job pls closed',null,'77','77','2020-12-10 22:47:48','2020-12-10 22:47:48',null);
INSERT INTO complaint_statuses VALUES('9568','2895','3',null,'59',null,'10-DEC-2020
COMPLAINT#4240723540','92','74','2020-12-10 23:09:58','2020-12-11 21:51:40',null);
INSERT INTO complaint_statuses VALUES('9569','2731','7','12','81','Lg unit',null,'77','77','2020-12-10 23:17:28','2020-12-10 23:17:28',null);
INSERT INTO complaint_statuses VALUES('9570','2700','7','12','81','Lg unit',null,'77','77','2020-12-10 23:18:00','2020-12-10 23:18:00',null);
INSERT INTO complaint_statuses VALUES('9571','2664','7','12','81','Compnay warranty unit ok . At display',null,'77','77','2020-12-10 23:18:45','2020-12-10 23:18:45',null);
INSERT INTO complaint_statuses VALUES('9572','2655','7','24','81','Conform its warranty. Customer says unit under warranty',null,'77','77','2020-12-10 23:24:51','2020-12-10 23:24:51',null);
INSERT INTO complaint_statuses VALUES('9573','2896','3',null,'57',null,'10-DEC-2020
COM NO 15144','92','92','2020-12-10 23:38:22','2020-12-10 23:51:56',null);
INSERT INTO complaint_statuses VALUES('9574','2900','3',null,'66',null,'10-FEB-2020
COMPLAINT#PK121020200097','74','74','2020-12-11 00:01:28','2020-12-11 00:01:28',null);
INSERT INTO complaint_statuses VALUES('9575','2901','3',null,'52',null,'10-DEC-2020
COM NO PKRI-201210106927','92','92','2020-12-11 00:07:31','2020-12-11 00:11:41',null);
INSERT INTO complaint_statuses VALUES('9576','2902','2',null,'81',null,'10-DEC-2020
FF TO NADEEM AV','74','74','2020-12-11 00:07:32','2020-12-11 00:08:20',null);
INSERT INTO complaint_statuses VALUES('9577','2902','4',null,'59',null,null,'81','81','2020-12-11 00:08:44','2020-12-11 00:08:44',null);
INSERT INTO complaint_statuses VALUES('9578','2899','3',null,'72',null,'COMPLAINT#','74','74','2020-12-11 00:15:47','2020-12-11 00:15:47',null);
INSERT INTO complaint_statuses VALUES('9579','2899','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-11 00:16:37','2020-12-11 00:16:37',null);
INSERT INTO complaint_statuses VALUES('9580','2898','3',null,'75',null,'NOT WORKING','74','74','2020-12-11 00:17:46','2020-12-11 00:17:46',null);
INSERT INTO complaint_statuses VALUES('9581','2897','3',null,'78',null,'NOT WORKI','74','74','2020-12-11 00:18:55','2020-12-11 00:18:55',null);
INSERT INTO complaint_statuses VALUES('9582','2898','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-11 00:20:36','2020-12-11 00:20:36',null);
INSERT INTO complaint_statuses VALUES('9583','2903','2',null,'81',null,'10-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-11 00:20:51','2020-12-11 00:20:51',null);
INSERT INTO complaint_statuses VALUES('9584','2897','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-11 00:21:35','2020-12-11 00:21:35',null);
INSERT INTO complaint_statuses VALUES('9585','2904','2',null,'81',null,'09-DEC-202
FF TO B.CCOL','74','74','2020-12-11 00:22:56','2020-12-11 00:22:56',null);
INSERT INTO complaint_statuses VALUES('9586','2904','4',null,'58',null,null,'81','81','2020-12-11 00:25:02','2020-12-11 00:25:02',null);
INSERT INTO complaint_statuses VALUES('9587','2903','4',null,'63',null,null,'81','81','2020-12-11 00:25:15','2020-12-11 00:25:15',null);
INSERT INTO complaint_statuses VALUES('9588','2861','7','12','81','ISSUE RESOLVED, FLOOD BALL REPLACED',null,'87','87','2020-12-11 00:55:00','2020-12-11 00:55:00',null);
INSERT INTO complaint_statuses VALUES('9589','2905','2',null,'81',null,'10-DEC-2020
FF TO B.COOL','74','74','2020-12-11 00:59:08','2020-12-11 00:59:08',null);
INSERT INTO complaint_statuses VALUES('9590','2905','4',null,'58',null,null,'81','81','2020-12-11 00:59:36','2020-12-11 00:59:36',null);
INSERT INTO complaint_statuses VALUES('9591','2700','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-11 01:00:16','2020-12-12 21:47:23',null);
INSERT INTO complaint_statuses VALUES('9592','2766','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-11 01:03:13','2020-12-11 01:03:13',null);
INSERT INTO complaint_statuses VALUES('9593','2727','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-11 01:07:14','2020-12-11 01:07:14',null);
INSERT INTO complaint_statuses VALUES('9594','2906','2',null,'81',null,'10-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-11 01:07:20','2020-12-11 01:07:20',null);
INSERT INTO complaint_statuses VALUES('9595','2865','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-11 01:18:47','2020-12-11 01:18:47',null);
INSERT INTO complaint_statuses VALUES('9596','2906','4',null,'58',null,null,'81','81','2020-12-11 01:36:30','2020-12-11 01:36:30',null);
INSERT INTO complaint_statuses VALUES('9597','2772','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-11 01:52:07','2020-12-11 01:52:07',null);
INSERT INTO complaint_statuses VALUES('9598','2907','2',null,'81',null,'10-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-11 01:59:06','2020-12-11 01:59:06',null);
INSERT INTO complaint_statuses VALUES('9599','2907','4',null,'62',null,null,'81','81','2020-12-11 02:33:18','2020-12-11 02:33:18',null);
INSERT INTO complaint_statuses VALUES('9600','2908','3',null,'52',null,'11-DEC-2020
COMPLAINT#PKR-201211102081','74','74','2020-12-11 20:24:21','2020-12-11 20:24:21',null);
INSERT INTO complaint_statuses VALUES('9601','2909','3',null,'52',null,'11-DEC-2020
COMPLAINT#PKRI-1201211102629','74','74','2020-12-11 20:32:46','2020-12-11 20:38:41',null);
INSERT INTO complaint_statuses VALUES('9602','2910','3',null,'52',null,'11-DEC-2020
COMPLAINT#PKR-1201211102756','74','74','2020-12-11 20:39:14','2020-12-11 20:39:14',null);
INSERT INTO complaint_statuses VALUES('9603','2911','3',null,'53',null,'11-DEC-2020
COMPLAINT#1073850','74','74','2020-12-11 20:44:32','2020-12-12 01:34:59',null);
INSERT INTO complaint_statuses VALUES('9604','2889','7','12','81','paid job estimate refused. Close this job',null,'77','77','2020-12-11 20:47:19','2020-12-11 20:47:19',null);
INSERT INTO complaint_statuses VALUES('9605','2838','7','12','81','Onlyra services unit ok',null,'77','77','2020-12-11 20:48:11','2020-12-11 20:48:11',null);
INSERT INTO complaint_statuses VALUES('9606','2835','7','12','81','Unit ok only services. Unit with customer',null,'77','77','2020-12-11 20:48:51','2020-12-11 20:48:51',null);
INSERT INTO complaint_statuses VALUES('9607','2912','3',null,'53',null,'11-DEC-2020
COMPLAINT#1073884','74','74','2020-12-11 20:55:05','2020-12-12 01:34:11',null);
INSERT INTO complaint_statuses VALUES('9608','2913','2',null,'81',null,'11-DEC-2020
FF TO SHAMIM AKHTER','74','74','2020-12-11 21:00:05','2020-12-11 21:00:05',null);
INSERT INTO complaint_statuses VALUES('9609','2913','4',null,'55',null,null,'81','81','2020-12-11 21:01:13','2020-12-11 21:01:13',null);
INSERT INTO complaint_statuses VALUES('9610','2914','3',null,'73',null,'11-DEC-2020
COMPLAINT#291','74','92','2020-12-12 01:05:01','2020-12-15 20:59:42',null);
INSERT INTO complaint_statuses VALUES('9611','2915','3',null,'53',null,'11-DEC-2020
COMPLAINT#1073934','74','74','2020-12-12 01:28:14','2020-12-12 01:28:14',null);
INSERT INTO complaint_statuses VALUES('9612','2902','7','24','81','set in S/C panel py deep screeches hn',null,'80','80','2020-12-12 01:54:48','2020-12-12 01:54:48',null);
INSERT INTO complaint_statuses VALUES('9613','2705','7','12','81','set customer gar gar  hy  
customer set s/c ly k aya tha smps  repair ki hy 
set ok',null,'80','80','2020-12-12 01:59:12','2020-12-12 01:59:12',null);
INSERT INTO complaint_statuses VALUES('9614','2873','7','12','81','customer ny set replace krwa lia hy',null,'80','80','2020-12-12 02:14:27','2020-12-12 02:14:27',null);
INSERT INTO complaint_statuses VALUES('9615','2916','2',null,'81',null,'12-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-12 20:04:23','2020-12-12 20:04:23',null);
INSERT INTO complaint_statuses VALUES('9616','1827','5',null,null,'RESOLVED','COMPLAIN CLOSED COMPLETED','73','73','2020-12-12 20:06:46','2020-12-12 20:07:22',null);
INSERT INTO complaint_statuses VALUES('9617','2916','4',null,'63',null,null,'81','81','2020-12-12 20:09:30','2020-12-12 20:09:30',null);
INSERT INTO complaint_statuses VALUES('9618','2146','5',null,null,'RESOLVED','COMPLAIN CLOSED COMPLETED','73','73','2020-12-12 20:17:55','2020-12-12 20:18:07',null);
INSERT INTO complaint_statuses VALUES('9619','2917','3',null,'52',null,'12-DEC-2020
COMPLAINT#PKPR-201212102524','74','74','2020-12-12 20:19:20','2020-12-12 20:19:20',null);
INSERT INTO complaint_statuses VALUES('9620','2918','2',null,'81',null,'12-DEC-2020
FF TO KHALID','74','74','2020-12-12 20:29:00','2020-12-12 20:29:00',null);
INSERT INTO complaint_statuses VALUES('9621','2918','4',null,'56',null,null,'81','81','2020-12-12 20:29:29','2020-12-12 20:29:29',null);
INSERT INTO complaint_statuses VALUES('9622','2783','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-12 20:33:39','2020-12-12 20:33:39',null);
INSERT INTO complaint_statuses VALUES('9623','2506','5',null,null,'RESOLVED','COMPLAIN COMPLETED','73','73','2020-12-12 20:39:31','2020-12-12 20:39:47',null);
INSERT INTO complaint_statuses VALUES('9624','2889','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-12 20:47:02','2020-12-12 21:10:00',null);
INSERT INTO complaint_statuses VALUES('9625','2556','5',null,null,'RESOLVED','COMPLAIN COMPLETED','73','73','2020-12-12 20:47:30','2020-12-12 20:47:45',null);
INSERT INTO complaint_statuses VALUES('9626','2873','5','15',null,'COMPLETED COMPLAINT','SOUND SYSTEM REPLACE KARWA LIYA CUSTOMER NA','81','74','2020-12-12 20:48:29','2020-12-12 21:11:28',null);
INSERT INTO complaint_statuses VALUES('9627','2861','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-12-12 20:50:10','2020-12-12 21:16:33',null);
INSERT INTO complaint_statuses VALUES('9628','2835','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED
2500','81','74','2020-12-12 20:56:00','2021-02-06 15:38:47',null);
INSERT INTO complaint_statuses VALUES('9629','2919','2',null,'81',null,'12-DEC-2020
FF TO B.COOL','74','74','2020-12-12 21:01:06','2020-12-12 21:01:06',null);
INSERT INTO complaint_statuses VALUES('9630','2919','4',null,'58',null,null,'81','81','2020-12-12 21:01:40','2020-12-12 21:01:40',null);
INSERT INTO complaint_statuses VALUES('9631','2838','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-12 21:04:16','2020-12-12 21:26:33',null);
INSERT INTO complaint_statuses VALUES('9632','2833','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED
2500 CHARGES','81','74','2020-12-12 21:04:43','2021-02-06 15:36:28',null);
INSERT INTO complaint_statuses VALUES('9633','2814','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-12 21:05:44','2020-12-12 21:31:32',null);
INSERT INTO complaint_statuses VALUES('9634','2902','5','15',null,'NAEEM SAB NA SET REPLACE KARNAY KI APPROVAL DA DI HAIN','REPLACE KAR DI CUSTOMER KO &SAQIB FCP NA SELL B KAR DI','81','74','2020-12-12 21:06:19','2020-12-17 01:47:37',null);
INSERT INTO complaint_statuses VALUES('9635','2731','5','15',null,'WRONG VENDOR SELECT HO GAYA','COMPLAINT CLOSED','81','74','2020-12-12 21:07:09','2020-12-12 21:45:32',null);
INSERT INTO complaint_statuses VALUES('9636','2704','5',null,null,'COMPLETED','COSTUMER NE BAHAR SE JET CHANGE KARWA LIYE','73','73','2020-12-12 21:10:56','2020-12-12 21:11:20',null);
INSERT INTO complaint_statuses VALUES('9637','2712','5',null,null,'COMPLETED','COMPLAIN COMPLETED','73','73','2020-12-12 21:12:54','2020-12-12 21:13:13',null);
INSERT INTO complaint_statuses VALUES('9638','2705','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-12 21:15:40','2020-12-12 21:46:47',null);
INSERT INTO complaint_statuses VALUES('9639','2714','5',null,null,'COMPLETED',null,'73','73','2020-12-12 21:16:09','2020-12-12 21:16:09',null);
INSERT INTO complaint_statuses VALUES('9640','2726','5',null,null,'RESOLVED',null,'73','73','2020-12-12 21:18:38','2020-12-12 21:18:38',null);
INSERT INTO complaint_statuses VALUES('9641','2774','5',null,null,'COMPLETED',null,'73','73','2020-12-12 21:35:00','2020-12-12 21:35:00',null);
INSERT INTO complaint_statuses VALUES('9642','2777','5',null,null,'RESOLVED',null,'73','73','2020-12-12 21:36:39','2020-12-12 21:36:39',null);
INSERT INTO complaint_statuses VALUES('9643','2797','5',null,null,'RESOLVED',null,'73','73','2020-12-12 21:41:58','2020-12-12 21:41:58',null);
INSERT INTO complaint_statuses VALUES('9644','2801','5',null,null,'RESOLVED',null,'73','73','2020-12-12 21:46:28','2020-12-12 21:46:28',null);
INSERT INTO complaint_statuses VALUES('9645','2802','5',null,null,'RESOLVED',null,'73','73','2020-12-12 21:47:50','2020-12-12 21:47:50',null);
INSERT INTO complaint_statuses VALUES('9646','2907','7','12','81','ISSUE RESOLVED ON CALL',null,'87','87','2020-12-12 21:50:31','2020-12-12 21:50:31',null);
INSERT INTO complaint_statuses VALUES('9647','2804','5',null,null,'RESOLVED','COSTUMER K GHR PATIENT HA... UNHO NE COMPLAIN CLOSED KARWA DI HA... BD MEIN KHUD CALL KR K DOBARA NOTE KARWAEIN GI','73','73','2020-12-12 21:51:09','2020-12-12 21:51:20',null);
INSERT INTO complaint_statuses VALUES('9648','2907','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-12 21:51:22','2020-12-17 01:22:21',null);
INSERT INTO complaint_statuses VALUES('9649','2664','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-12 21:51:44','2020-12-17 02:11:30',null);
INSERT INTO complaint_statuses VALUES('9650','2815','5',null,null,'RESOLVED',null,'73','73','2020-12-12 21:54:17','2020-12-12 21:54:17',null);
INSERT INTO complaint_statuses VALUES('9651','2820','5',null,null,'RESOLVED',null,'73','73','2020-12-12 21:58:11','2020-12-12 21:58:11',null);
INSERT INTO complaint_statuses VALUES('9652','2821','5',null,null,'RESOLVED',null,'73','73','2020-12-12 21:59:41','2020-12-12 21:59:41',null);
INSERT INTO complaint_statuses VALUES('9653','2823','5',null,null,'RESOLVED',null,'73','73','2020-12-12 22:05:30','2020-12-12 22:05:30',null);
INSERT INTO complaint_statuses VALUES('9654','2920','3',null,'55',null,'12-DEC-2020
FF TO WAQAR FCI','74','92','2020-12-12 22:10:16','2020-12-19 22:33:18',null);
INSERT INTO complaint_statuses VALUES('9655','2826','5',null,null,'RESOLVED',null,'73','73','2020-12-12 22:11:19','2020-12-12 22:11:19',null);
INSERT INTO complaint_statuses VALUES('9656','2921','3',null,'73',null,'12-DEC-2020
COMPLAINT# 3113','74','92','2020-12-12 22:15:41','2020-12-17 21:56:08',null);
INSERT INTO complaint_statuses VALUES('9657','2828','5',null,null,'RESOLVED',null,'73','73','2020-12-12 22:20:37','2020-12-12 22:20:37',null);
INSERT INTO complaint_statuses VALUES('9658','2834','5',null,null,'RESOLVED',null,'73','73','2020-12-12 22:26:00','2020-12-12 22:26:00',null);
INSERT INTO complaint_statuses VALUES('9659','2836','5',null,null,'RESOLVED',null,'73','73','2020-12-12 22:27:18','2020-12-12 22:27:18',null);
INSERT INTO complaint_statuses VALUES('9660','2837','5',null,null,'VISITED',null,'73','73','2020-12-12 22:29:21','2020-12-12 22:29:21',null);
INSERT INTO complaint_statuses VALUES('9661','2922','3',null,'52',null,'12-DEC-2020
COMPLAINT#PKRI-1201212107622','74','74','2020-12-12 22:33:01','2020-12-13 00:19:09',null);
INSERT INTO complaint_statuses VALUES('9662','2842','5',null,null,'RESOLVED',null,'73','73','2020-12-12 22:35:44','2020-12-12 22:35:44',null);
INSERT INTO complaint_statuses VALUES('9663','2846','5',null,null,'RESOLVED',null,'73','73','2020-12-12 22:38:51','2020-12-12 22:38:51',null);
INSERT INTO complaint_statuses VALUES('9664','2857','5',null,null,'RESOLVED',null,'73','73','2020-12-12 22:46:19','2020-12-12 22:46:19',null);
INSERT INTO complaint_statuses VALUES('9665','2923','2',null,'81',null,'12-DEC-2020
FF TO HOME SOLUTION','74','74','2020-12-12 23:07:37','2020-12-12 23:07:37',null);
INSERT INTO complaint_statuses VALUES('9666','2923','4',null,'62',null,null,'81','81','2020-12-12 23:08:05','2020-12-12 23:08:05',null);
INSERT INTO complaint_statuses VALUES('9667','2648','7','12','81','complaint resolved .wm custoemr ko dy di hai',null,'79','79','2020-12-12 23:41:17','2020-12-12 23:41:17',null);
INSERT INTO complaint_statuses VALUES('9668','2924','2',null,'81',null,'12-DEC-2020
FF TO B.COOL','74','74','2020-12-12 23:45:16','2020-12-12 23:45:16',null);
INSERT INTO complaint_statuses VALUES('9669','2924','4',null,'58',null,null,'81','81','2020-12-12 23:45:38','2020-12-12 23:45:38',null);
INSERT INTO complaint_statuses VALUES('9670','2925','2',null,'81',null,'12-DEC-2020
FF TO AZHAR FCI','74','74','2020-12-12 23:49:32','2020-12-12 23:49:32',null);
INSERT INTO complaint_statuses VALUES('9671','2925','4',null,'60',null,null,'81','81','2020-12-12 23:51:24','2020-12-12 23:51:24',null);
INSERT INTO complaint_statuses VALUES('9672','2926','2',null,'81',null,'12-DEC-2020
FF TO HOME SOLUTION','74','74','2020-12-13 00:02:56','2020-12-13 00:02:56',null);
INSERT INTO complaint_statuses VALUES('9673','2925','7','24','81','Ass',null,'82','82','2020-12-13 00:03:22','2020-12-13 00:03:22',null);
INSERT INTO complaint_statuses VALUES('9674','2926','4',null,'62',null,null,'81','81','2020-12-13 00:04:40','2020-12-13 00:04:40',null);
INSERT INTO complaint_statuses VALUES('9675','2925','5','25',null,'CANCELLED COMPLAINT','COMPLAINT CLOSED','81','74','2020-12-13 00:05:54','2020-12-13 00:20:35',null);
INSERT INTO complaint_statuses VALUES('9676','2927','3',null,'72',null,'12-DEC-2020
COMPLAINT#072015628','74','74','2020-12-13 00:08:00','2020-12-13 00:08:00',null);
INSERT INTO complaint_statuses VALUES('9677','2928','3',null,'52',null,'12-DEC-2020
COMPLAINT#PKRI-201212107700
NEW COMPLAINT#PKRI-201221104246','74','74','2020-12-13 00:24:35','2020-12-21 21:23:36',null);
INSERT INTO complaint_statuses VALUES('9678','2929','2',null,'81',null,'05-DEC-2020
FF TO KHALID SONY','74','74','2020-12-13 00:29:19','2020-12-13 00:29:19',null);
INSERT INTO complaint_statuses VALUES('9679','2929','4',null,'56',null,null,'81','81','2020-12-13 00:30:40','2020-12-13 00:30:40',null);
INSERT INTO complaint_statuses VALUES('9680','2930','2',null,'81',null,'12-DEC-2020
FF TO HOME SOLUTION','74','74','2020-12-13 00:54:11','2020-12-13 00:54:11',null);
INSERT INTO complaint_statuses VALUES('9681','2930','4',null,'62',null,null,'81','81','2020-12-13 00:55:12','2020-12-13 00:55:12',null);
INSERT INTO complaint_statuses VALUES('9682','2930','7','12','81','ISSUE RESOLVED',null,'87','87','2020-12-13 01:01:44','2020-12-13 01:01:44',null);
INSERT INTO complaint_statuses VALUES('9683','2931','3',null,'53',null,'12-DEC-2020
COMPLAINT#301074066','74','74','2020-12-13 01:05:07','2020-12-13 01:14:36',null);
INSERT INTO complaint_statuses VALUES('9684','2932','3',null,'62',null,'12-DEC-2020
FF TO KHURRAM 5 STAR','74','92','2020-12-13 01:18:50','2020-12-16 00:25:47',null);
INSERT INTO complaint_statuses VALUES('9685','2933','2',null,'81',null,'12-DEC-2020
FF TO SHAMIM AKHTER','74','74','2020-12-13 01:28:55','2020-12-13 01:28:55',null);
INSERT INTO complaint_statuses VALUES('9686','2933','4',null,'55',null,null,'81','81','2020-12-13 01:29:20','2020-12-13 01:29:20',null);
INSERT INTO complaint_statuses VALUES('9687','2934','3',null,'52',null,'12-DEC-2020
COMPLAINT#PKRI-201212108969','74','74','2020-12-13 01:36:55','2020-12-13 01:36:55',null);
INSERT INTO complaint_statuses VALUES('9688','2935','3',null,'52',null,'12-DE-2020
COMPLAINT#PKRI-201212109366','74','74','2020-12-13 02:01:41','2020-12-13 02:01:41',null);
INSERT INTO complaint_statuses VALUES('9689','2936','3',null,'54',null,'12-DEC-2020
COMPLAINT#1782915','74','74','2020-12-13 02:10:45','2020-12-13 02:10:45',null);
INSERT INTO complaint_statuses VALUES('9690','2937','2',null,'81',null,'12-DEC-2019
FF TO B.COOL','74','74','2020-12-13 02:15:45','2020-12-13 02:15:45',null);
INSERT INTO complaint_statuses VALUES('9691','2937','4',null,'58',null,null,'81','81','2020-12-13 02:17:02','2020-12-13 02:17:02',null);
INSERT INTO complaint_statuses VALUES('9692','2905','7','24','81','refer to service center .pump weak hia  ya chock hai temp nahi maintai kr rha',null,'79','79','2020-12-13 19:15:26','2020-12-13 19:15:26',null);
INSERT INTO complaint_statuses VALUES('9693','2938','3',null,'52',null,'COMPLAIN#PKRI201213101747','73','73','2020-12-13 19:41:10','2020-12-13 20:14:37',null);
INSERT INTO complaint_statuses VALUES('9694','2939','3',null,'57',null,'COMPLAIN#15195','73','73','2020-12-13 19:57:47','2020-12-13 20:24:09',null);
INSERT INTO complaint_statuses VALUES('9695','2940','3',null,'52',null,'COMPLAIN#PKRI201213101710','73','73','2020-12-13 20:01:04','2020-12-13 20:12:49',null);
INSERT INTO complaint_statuses VALUES('9696','2941','2',null,'81',null,'B.COOL','73','73','2020-12-13 20:06:01','2020-12-13 20:06:01',null);
INSERT INTO complaint_statuses VALUES('9697','2941','4',null,'58',null,null,'81','81','2020-12-13 20:08:27','2020-12-13 20:08:27',null);
INSERT INTO complaint_statuses VALUES('9698','2942','3',null,'52',null,'COMPLAIN#PKRI201213102212','73','73','2020-12-13 20:43:24','2020-12-13 20:46:23',null);
INSERT INTO complaint_statuses VALUES('9699','2886','7','24','81','cusotmer bol rehy hain k service cnetr ly kr aon ga ..',null,'79','79','2020-12-13 20:56:00','2020-12-13 20:56:00',null);
INSERT INTO complaint_statuses VALUES('9700','2887','7','20','81','pcb issue',null,'79','79','2020-12-13 20:56:32','2020-12-13 20:56:32',null);
INSERT INTO complaint_statuses VALUES('9701','2943','2',null,'81',null,'LG
MODEL#2472EFHSTL-C','73','73','2020-12-13 21:02:34','2020-12-13 21:05:50',null);
INSERT INTO complaint_statuses VALUES('9702','2943','4',null,'55',null,null,'81','81','2020-12-13 21:06:10','2020-12-13 21:06:10',null);
INSERT INTO complaint_statuses VALUES('9703','2944','3',null,'73',null,'FRWRD TO MUNAWAR CANON
OTHER#03425559105','73','73','2020-12-13 21:16:04','2020-12-13 21:17:57',null);
INSERT INTO complaint_statuses VALUES('9704','2945','3',null,'66',null,'REF TO PTCL

COMPLAIN#PK121420200053
SHAKEEL SAB','73','74','2020-12-13 21:27:00','2021-01-19 20:15:59',null);
INSERT INTO complaint_statuses VALUES('9705','2946','3',null,'52',null,'COMPLAIN#PKRI201213103074','73','73','2020-12-13 21:43:58','2020-12-13 21:50:01',null);
INSERT INTO complaint_statuses VALUES('9706','2947','3',null,'61',null,'COMPLAIN#202012004372','73','73','2020-12-13 22:50:25','2020-12-13 22:54:02',null);
INSERT INTO complaint_statuses VALUES('9707','2948','3',null,'52',null,'COMPLAIN#PKRI201213104878','73','73','2020-12-14 00:06:39','2020-12-14 00:20:29',null);
INSERT INTO complaint_statuses VALUES('9708','2949','3',null,'88',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-12-14 00:11:11','2020-12-14 00:11:11',null);
INSERT INTO complaint_statuses VALUES('9709','2950','3',null,'62',null,'FRWRD TO KHURRAM 5STAR','73','73','2020-12-14 02:17:53','2020-12-14 02:17:53',null);
INSERT INTO complaint_statuses VALUES('9710','2951','3',null,'55',null,'COMPLAIN#703660','73','73','2020-12-14 02:28:15','2020-12-14 02:30:51',null);
INSERT INTO complaint_statuses VALUES('9711','2648','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-14 06:12:11','2020-12-17 02:13:04',null);
INSERT INTO complaint_statuses VALUES('9712','2930','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-14 06:13:39','2020-12-16 00:09:18',null);
INSERT INTO complaint_statuses VALUES('9713','2905','8','23','58',null,null,'81','81','2020-12-14 06:14:03','2020-12-14 06:14:03',null);
INSERT INTO complaint_statuses VALUES('9714','2887','8','23','58',null,null,'81','81','2020-12-14 06:14:36','2020-12-14 06:14:36',null);
INSERT INTO complaint_statuses VALUES('9715','2886','8','23','58',null,null,'81','81','2020-12-14 06:15:01','2020-12-14 06:15:01',null);
INSERT INTO complaint_statuses VALUES('9716','2924','7','12','81','drain clean',null,'79','79','2020-12-14 19:36:39','2020-12-14 19:36:39',null);
INSERT INTO complaint_statuses VALUES('9717','2941','7','12','81','filter clean .complaint resolved',null,'79','79','2020-12-14 19:40:11','2020-12-14 19:40:11',null);
INSERT INTO complaint_statuses VALUES('9718','2952','3',null,'52',null,'14-DEC-2020
COM NO PKRI-201214102236','92','92','2020-12-14 19:54:07','2020-12-14 19:57:36',null);
INSERT INTO complaint_statuses VALUES('9719','2812','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-14 20:06:12','2020-12-14 20:06:12',null);
INSERT INTO complaint_statuses VALUES('9720','2953','2',null,'81',null,'14-DEC-2020
COM FF TO USMAN MRM','92','92','2020-12-14 20:14:30','2020-12-14 20:14:30',null);
INSERT INTO complaint_statuses VALUES('9721','2954','2',null,'81',null,'14-DEC-2020
FF TO B.COOL','74','74','2020-12-14 20:15:28','2020-12-14 20:15:28',null);
INSERT INTO complaint_statuses VALUES('9722','2954','4',null,'58',null,null,'81','81','2020-12-14 20:16:03','2020-12-14 20:16:03',null);
INSERT INTO complaint_statuses VALUES('9723','2953','4',null,'61',null,null,'81','81','2020-12-14 20:16:16','2020-12-14 20:16:16',null);
INSERT INTO complaint_statuses VALUES('9724','2955','3',null,'57',null,'14-DEC-2020
COM NO 15227','92','92','2020-12-14 20:28:28','2020-12-14 20:44:05',null);
INSERT INTO complaint_statuses VALUES('9725','2956','2',null,'81',null,'14-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-14 20:38:28','2020-12-14 20:38:28',null);
INSERT INTO complaint_statuses VALUES('9726','2956','4',null,'55',null,null,'81','81','2020-12-14 20:58:29','2020-12-14 20:58:29',null);
INSERT INTO complaint_statuses VALUES('9727','2956','4',null,'55',null,null,'81','81','2020-12-14 20:58:30','2020-12-14 20:58:30',null);
INSERT INTO complaint_statuses VALUES('9728','2957','3',null,'53',null,'14-DEC-2020
COM NO 301074242','92','92','2020-12-14 21:00:26','2020-12-14 21:47:26',null);
INSERT INTO complaint_statuses VALUES('9729','2941','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-14 21:16:10','2020-12-14 21:52:28',null);
INSERT INTO complaint_statuses VALUES('9730','2924','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-14 21:17:13','2020-12-16 00:12:33',null);
INSERT INTO complaint_statuses VALUES('9731','2610','7','20','81','یہ فرینڈز ورنٹی کا یونٹ ھے۔ 
Its main board is faulty need approval. Main board price is 19701',null,'77','77','2020-12-14 21:24:06','2020-12-14 21:24:06',null);
INSERT INTO complaint_statuses VALUES('9732','2609','7','12','81','Main board replaced. Its company warranty. Unit is ready.',null,'77','77','2020-12-14 21:25:49','2020-12-14 21:25:49',null);
INSERT INTO complaint_statuses VALUES('9733','2958','2',null,'81',null,'14-DEC-2020
FF TO B.COOL','74','74','2020-12-14 21:25:57','2020-12-14 21:25:57',null);
INSERT INTO complaint_statuses VALUES('9734','2958','4',null,'58',null,null,'81','81','2020-12-14 21:26:27','2020-12-14 21:26:27',null);
INSERT INTO complaint_statuses VALUES('9735','2959','2',null,'81',null,'14-DEC-2020
FF TO SHAMIM AKHTER','74','74','2020-12-14 21:30:23','2020-12-14 21:30:23',null);
INSERT INTO complaint_statuses VALUES('9736','2959','4',null,'55',null,null,'81','81','2020-12-14 21:31:26','2020-12-14 21:31:26',null);
INSERT INTO complaint_statuses VALUES('9737','2960','3',null,'86',null,'14-DEC-2020
FF TO ASIF ARISTON','74','74','2020-12-14 21:48:36','2020-12-14 21:48:36',null);
INSERT INTO complaint_statuses VALUES('9738','2961','3',null,'66',null,'14-DEC-2020
COM NO PK121420200051
SHAKEEL SAB','92','74','2020-12-14 22:04:29','2021-01-19 20:16:33',null);
INSERT INTO complaint_statuses VALUES('9739','2854','7','24','81',null,null,'82','82','2020-12-14 22:11:00','2020-12-14 22:11:00',null);
INSERT INTO complaint_statuses VALUES('9740','2963','2',null,'81',null,'14-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-14 22:22:43','2020-12-14 22:22:43',null);
INSERT INTO complaint_statuses VALUES('9741','2964','2',null,'81',null,'14-DEC-2020
FF TO KHALID SONY','74','74','2020-12-14 22:22:55','2020-12-14 22:22:55',null);
INSERT INTO complaint_statuses VALUES('9742','2964','4',null,'56',null,null,'81','81','2020-12-14 22:23:49','2020-12-14 22:23:49',null);
INSERT INTO complaint_statuses VALUES('9743','2963','4',null,'63',null,null,'81','81','2020-12-14 22:28:00','2020-12-14 22:28:00',null);
INSERT INTO complaint_statuses VALUES('9744','2965','3',null,'52',null,'14-DEC-2020
COMPLAINT#PKRI-201214110406','74','74','2020-12-14 22:47:43','2020-12-15 02:22:37',null);
INSERT INTO complaint_statuses VALUES('9745','2966','2',null,'81',null,'14-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-14 23:00:31','2020-12-14 23:00:31',null);
INSERT INTO complaint_statuses VALUES('9746','2967','2',null,'81',null,'14-DEC-2020
FF TO B.COOL','74','74','2020-12-14 23:08:37','2020-12-14 23:08:37',null);
INSERT INTO complaint_statuses VALUES('9747','2967','4',null,'58',null,null,'81','81','2020-12-14 23:09:16','2020-12-14 23:09:16',null);
INSERT INTO complaint_statuses VALUES('9748','2966','4',null,'63',null,null,'81','81','2020-12-14 23:09:29','2020-12-14 23:09:29',null);
INSERT INTO complaint_statuses VALUES('9749','2876','7','12','81','ISSUE RESOLVED',null,'87','87','2020-12-14 23:14:06','2020-12-14 23:14:06',null);
INSERT INTO complaint_statuses VALUES('9750','2968','3',null,'53',null,'14-DEC-2020
COM NO 1074371','92','92','2020-12-15 00:20:32','2020-12-15 00:25:05',null);
INSERT INTO complaint_statuses VALUES('9751','2969','3',null,'62',null,'14-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-15 00:45:28','2020-12-15 00:47:29',null);
INSERT INTO complaint_statuses VALUES('9752','2964','7','12','81','Friends warranty. Unit ok and with customer',null,'77','77','2020-12-15 01:10:25','2020-12-15 01:10:25',null);
INSERT INTO complaint_statuses VALUES('9753','2918','7','9','81','Need purchasing invoice pls share it.',null,'77','77','2020-12-15 01:11:21','2020-12-15 01:11:21',null);
INSERT INTO complaint_statuses VALUES('9754','2970','2',null,'81',null,'14-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-15 01:21:17','2020-12-15 01:21:17',null);
INSERT INTO complaint_statuses VALUES('9755','2971','3',null,'68',null,'14-DEC-2020
COM FF TO IRFAN AYAS','92','92','2020-12-15 01:26:41','2020-12-22 20:06:58',null);
INSERT INTO complaint_statuses VALUES('9756','2972','3',null,'81',null,'14-DEC-2020
COM NO 5007','92','92','2020-12-15 01:40:34','2020-12-15 01:43:24',null);
INSERT INTO complaint_statuses VALUES('9757','2973','2',null,'81',null,'14-DEEC-2020
FF TO SHAMIM AKHTER','74','74','2020-12-15 01:50:29','2020-12-15 01:50:29',null);
INSERT INTO complaint_statuses VALUES('9758','2830','7','22','81','Compressor Faulty , (Compressor Number 110)',null,'76','76','2020-12-15 01:51:59','2020-12-15 01:51:59',null);
INSERT INTO complaint_statuses VALUES('9759','2973','4',null,'55',null,null,'81','81','2020-12-15 01:52:52','2020-12-15 01:52:52',null);
INSERT INTO complaint_statuses VALUES('9760','2970','4',null,'58',null,null,'81','81','2020-12-15 01:53:05','2020-12-15 01:53:05',null);
INSERT INTO complaint_statuses VALUES('9761','2974','2',null,'81',null,'14-DEC-2020
COM FF TO NADEEM AV','92','92','2020-12-15 02:07:31','2020-12-15 02:07:31',null);
INSERT INTO complaint_statuses VALUES('9762','2876','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-15 02:29:05','2020-12-17 01:49:51',null);
INSERT INTO complaint_statuses VALUES('9763','2854','8','23','60','explain issue',null,'81','81','2020-12-15 02:34:31','2020-12-15 02:34:31',null);
INSERT INTO complaint_statuses VALUES('9764','2830','8','23','55','compressor price',null,'81','81','2020-12-15 02:35:17','2020-12-15 02:35:17',null);
INSERT INTO complaint_statuses VALUES('9765','2975','3',null,'52',null,'14-DEC-2020
COM NO PKRI-201214112454','92','92','2020-12-15 02:35:59','2020-12-15 02:43:47',null);
INSERT INTO complaint_statuses VALUES('9766','2976','3',null,'65',null,'14-DEC-2020
COMPLAINT#192019469','74','74','2020-12-15 02:46:25','2020-12-15 02:46:25',null);
INSERT INTO complaint_statuses VALUES('9767','2923','7','22','81','DUCT MOTER',null,'87','87','2020-12-15 03:26:51','2020-12-15 03:26:51',null);
INSERT INTO complaint_statuses VALUES('9768','2871','7','12','81','timer change,',null,'79','79','2020-12-15 05:16:15','2020-12-15 05:16:15',null);
INSERT INTO complaint_statuses VALUES('9769','2906','7','12','81','complaint reoslved',null,'79','79','2020-12-15 05:16:40','2020-12-15 05:16:40',null);
INSERT INTO complaint_statuses VALUES('9770','2982','3',null,'52',null,'15-DEC-2020
COM NO PKRI-201215102279','92','92','2020-12-15 19:44:14','2020-12-15 19:58:11',null);
INSERT INTO complaint_statuses VALUES('9771','1647','7','26','81','custmer abhi tak unti nahi laya',null,'83','83','2020-12-15 19:51:26','2020-12-15 19:51:26',null);
INSERT INTO complaint_statuses VALUES('9772','2974','4',null,'59',null,null,'81','81','2020-12-15 19:51:43','2020-12-15 19:51:43',null);
INSERT INTO complaint_statuses VALUES('9773','2566','7','12','81','SMPS REPLACED  RS  9000 EXP 
UA55TU7000USMM',null,'83','83','2020-12-15 20:00:53','2020-12-15 20:00:53',null);
INSERT INTO complaint_statuses VALUES('9774','2918','8','23','56','PDF PRINT SHER KAR TU DIA',null,'81','81','2020-12-15 20:06:00','2020-12-15 20:06:00',null);
INSERT INTO complaint_statuses VALUES('9775','2951','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 20:06:51','2020-12-15 20:06:51',null);
INSERT INTO complaint_statuses VALUES('9776','2948','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 20:08:30','2020-12-15 20:08:30',null);
INSERT INTO complaint_statuses VALUES('9777','2964','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-15 20:08:30','2020-12-16 00:08:35',null);
INSERT INTO complaint_statuses VALUES('9778','2923','8','23','62','JOB COMPLETED QUKILEY',null,'81','81','2020-12-15 20:10:44','2020-12-15 20:10:44',null);
INSERT INTO complaint_statuses VALUES('9779','2947','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 20:11:48','2020-12-15 20:11:48',null);
INSERT INTO complaint_statuses VALUES('9780','2906','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-15 20:12:40','2020-12-17 01:25:44',null);
INSERT INTO complaint_statuses VALUES('9781','2946','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 20:13:37','2020-12-15 20:13:37',null);
INSERT INTO complaint_statuses VALUES('9782','2983','3',null,'73',null,'15-DEC-2020
COMPLAINT#2975','74','74','2020-12-15 20:16:57','2020-12-16 20:01:28',null);
INSERT INTO complaint_statuses VALUES('9783','2940','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 20:17:58','2020-12-15 20:17:58',null);
INSERT INTO complaint_statuses VALUES('9784','2979','2',null,'81',null,null,'74','74','2020-12-15 20:18:13','2020-12-15 20:18:13',null);
INSERT INTO complaint_statuses VALUES('9785','2938','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 20:20:39','2020-12-15 20:20:39',null);
INSERT INTO complaint_statuses VALUES('9786','2979','4',null,'62',null,null,'81','81','2020-12-15 20:22:20','2020-12-15 20:22:20',null);
INSERT INTO complaint_statuses VALUES('9787','2854','7','24','81','Micro oven garam nhi kar raha tha nikal ky unko dy dia hy .workshop phonchay gy',null,'82','82','2020-12-15 20:23:20','2020-12-15 20:23:20',null);
INSERT INTO complaint_statuses VALUES('9788','2942','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 20:25:58','2020-12-15 20:25:58',null);
INSERT INTO complaint_statuses VALUES('9789','2808','7','12','81','Compresor .gass charj huwi hy .
Custmer ky ghar chla gea hy',null,'82','82','2020-12-15 20:26:13','2020-12-15 20:26:13',null);
INSERT INTO complaint_statuses VALUES('9790','2935','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 20:29:28','2020-12-15 20:29:28',null);
INSERT INTO complaint_statuses VALUES('9791','2934','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 20:31:16','2020-12-15 20:31:16',null);
INSERT INTO complaint_statuses VALUES('9792','2231','7','12','81',null,null,'82','82','2020-12-15 20:31:58','2020-12-15 20:31:58',null);
INSERT INTO complaint_statuses VALUES('9793','933','7','12','81','Compressor Replaced',null,'76','76','2020-12-15 20:34:53','2020-12-15 20:34:53',null);
INSERT INTO complaint_statuses VALUES('9794','2984','3',null,'52',null,'15-DEC-2020
COMPLAINT#PKRI-201215103126','74','74','2020-12-15 20:35:05','2020-12-15 20:35:05',null);
INSERT INTO complaint_statuses VALUES('9795','2931','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 20:35:28','2020-12-15 20:35:28',null);
INSERT INTO complaint_statuses VALUES('9796','2867','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-15 20:37:32','2020-12-15 20:37:32',null);
INSERT INTO complaint_statuses VALUES('9797','2847','7','24','81','Sharp ko farwerd kry plz','FF TO COMPANY','82','74','2020-12-15 20:37:49','2020-12-16 01:01:37',null);
INSERT INTO complaint_statuses VALUES('9798','2918','7','12','81','Unit ok. And with customer. Sony warranty',null,'77','77','2020-12-15 20:38:50','2020-12-15 20:38:50',null);
INSERT INTO complaint_statuses VALUES('9799','2896','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-15 20:39:21','2020-12-15 20:39:21',null);
INSERT INTO complaint_statuses VALUES('9800','2400','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-12-15 20:46:26','2020-12-15 20:46:26',null);
INSERT INTO complaint_statuses VALUES('9801','2922','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 20:50:13','2020-12-15 20:50:13',null);
INSERT INTO complaint_statuses VALUES('9802','2915','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 20:57:32','2020-12-15 20:57:32',null);
INSERT INTO complaint_statuses VALUES('9803','2046','7','24','81','Cistmer call pick nhi kar rehy 
Delver krna tha nhi kiab',null,'82','82','2020-12-15 20:57:45','2020-12-15 20:57:45',null);
INSERT INTO complaint_statuses VALUES('9804','2914','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 21:00:39','2020-12-15 21:00:39',null);
INSERT INTO complaint_statuses VALUES('9805','2912','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 21:03:39','2020-12-15 21:03:39',null);
INSERT INTO complaint_statuses VALUES('9806','2985','2',null,'81',null,'15-DEC-2020
FF TO SHAMIM AKHTER','74','74','2020-12-15 21:05:59','2020-12-15 21:05:59',null);
INSERT INTO complaint_statuses VALUES('9807','2919','7','12','81','complaint resolved .packing pahsi hui thi',null,'79','79','2020-12-15 21:17:46','2020-12-15 21:17:46',null);
INSERT INTO complaint_statuses VALUES('9808','2887','7','12','81','complaint resolved,pcb rapiring',null,'79','79','2020-12-15 21:18:44','2020-12-15 21:18:44',null);
INSERT INTO complaint_statuses VALUES('9809','2986','3',null,'53',null,'15-DEC-2020
COMPLAINT#74514','74','74','2020-12-15 21:18:45','2020-12-15 21:18:45',null);
INSERT INTO complaint_statuses VALUES('9810','2981','3',null,'53',null,null,'74','74','2020-12-15 21:21:43','2020-12-15 21:21:43',null);
INSERT INTO complaint_statuses VALUES('9811','2809','7','12','81','complaint resolved .glass issue tha',null,'79','79','2020-12-15 21:21:59','2020-12-15 21:21:59',null);
INSERT INTO complaint_statuses VALUES('9812','2977','3',null,'85',null,null,'74','74','2020-12-15 21:22:44','2020-12-15 21:22:44',null);
INSERT INTO complaint_statuses VALUES('9813','2962','3',null,'54',null,null,'74','74','2020-12-15 21:27:08','2020-12-15 21:27:08',null);
INSERT INTO complaint_statuses VALUES('9814','2817','7','12','81','complsint reoslved.auto wire',null,'79','79','2020-12-15 21:27:30','2020-12-15 21:27:30',null);
INSERT INTO complaint_statuses VALUES('9815','2901','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 21:31:17','2020-12-15 21:31:17',null);
INSERT INTO complaint_statuses VALUES('9816','2895','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 21:38:10','2020-12-15 21:38:10',null);
INSERT INTO complaint_statuses VALUES('9817','2892','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 21:41:04','2020-12-15 21:41:04',null);
INSERT INTO complaint_statuses VALUES('9818','2985','4',null,'55',null,null,'81','81','2020-12-15 21:45:14','2020-12-15 21:45:14',null);
INSERT INTO complaint_statuses VALUES('9819','2987','3',null,'52',null,'15-DEC-2020
COM NO PKRI-201215105205','92','92','2020-12-15 21:54:42','2020-12-15 21:58:20',null);
INSERT INTO complaint_statuses VALUES('9820','933','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-15 22:19:04','2020-12-19 22:59:20',null);
INSERT INTO complaint_statuses VALUES('9821','2888','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 22:22:58','2020-12-15 22:22:58',null);
INSERT INTO complaint_statuses VALUES('9822','2884','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 22:29:25','2020-12-15 22:29:25',null);
INSERT INTO complaint_statuses VALUES('9823','2883','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 22:32:29','2020-12-15 22:32:29',null);
INSERT INTO complaint_statuses VALUES('9824','2875','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 22:36:59','2020-12-15 22:36:59',null);
INSERT INTO complaint_statuses VALUES('9825','2870','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 22:40:09','2020-12-15 22:40:09',null);
INSERT INTO complaint_statuses VALUES('9826','2988','2',null,'81',null,'15-DEC-2020
FF TO SHAMIM AKHTER','74','74','2020-12-15 22:40:37','2020-12-15 22:40:37',null);
INSERT INTO complaint_statuses VALUES('9827','2988','4',null,'55',null,null,'81','81','2020-12-15 22:41:07','2020-12-15 22:41:07',null);
INSERT INTO complaint_statuses VALUES('9828','2989','2',null,'81',null,'15-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-15 22:43:56','2020-12-15 22:43:56',null);
INSERT INTO complaint_statuses VALUES('9829','2926','7','22','81','BLOOR',null,'87','87','2020-12-15 22:44:10','2020-12-15 22:44:10',null);
INSERT INTO complaint_statuses VALUES('9830','2869','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 22:50:35','2020-12-15 22:50:35',null);
INSERT INTO complaint_statuses VALUES('9831','2990','2',null,'81',null,'15-DEC-2020
FF TO SHAMIM AKHTER','74','74','2020-12-15 22:51:39','2020-12-15 22:51:39',null);
INSERT INTO complaint_statuses VALUES('9832','2989','4',null,'63',null,null,'81','81','2020-12-15 22:51:52','2020-12-15 22:51:52',null);
INSERT INTO complaint_statuses VALUES('9833','2990','4',null,'55',null,null,'81','81','2020-12-15 22:52:21','2020-12-15 22:52:21',null);
INSERT INTO complaint_statuses VALUES('9834','2862','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 22:57:38','2020-12-15 22:57:38',null);
INSERT INTO complaint_statuses VALUES('9835','2855','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 23:12:31','2020-12-15 23:12:31',null);
INSERT INTO complaint_statuses VALUES('9836','2852','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 23:14:57','2020-12-15 23:14:57',null);
INSERT INTO complaint_statuses VALUES('9837','2991','3',null,'52',null,'15-DEC-2020
COMPLAINT#PKRI-201215106780','74','74','2020-12-15 23:20:03','2020-12-15 23:20:03',null);
INSERT INTO complaint_statuses VALUES('9838','2992','3',null,'52',null,'15-DEC-2020
COMPLAINT#PKRI-201215106836','74','74','2020-12-15 23:22:18','2020-12-15 23:22:18',null);
INSERT INTO complaint_statuses VALUES('9839','2845','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 23:28:11','2020-12-15 23:28:11',null);
INSERT INTO complaint_statuses VALUES('9840','2841','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-15 23:35:50','2020-12-15 23:35:50',null);
INSERT INTO complaint_statuses VALUES('9841','2994','3',null,'81',null,'15-DEC-2020
COM NO 5041','92','92','2020-12-15 23:46:00','2020-12-23 00:14:19',null);
INSERT INTO complaint_statuses VALUES('9842','2995','2',null,'81',null,'15-DEC-2020
FF TO USMAN MRM','74','74','2020-12-15 23:47:57','2020-12-15 23:47:57',null);
INSERT INTO complaint_statuses VALUES('9843','2995','4',null,'61',null,null,'81','81','2020-12-15 23:48:38','2020-12-15 23:48:38',null);
INSERT INTO complaint_statuses VALUES('9844','2996','2',null,'81',null,'15-DEC-2020
FF TO USMAM MRM','74','74','2020-12-15 23:51:42','2020-12-15 23:51:42',null);
INSERT INTO complaint_statuses VALUES('9845','2996','4',null,'62',null,null,'81','81','2020-12-15 23:52:19','2020-12-15 23:52:19',null);
INSERT INTO complaint_statuses VALUES('9846','2996','7','26','81',null,null,'87','87','2020-12-15 23:53:46','2020-12-15 23:53:46',null);
INSERT INTO complaint_statuses VALUES('9847','2926','8','23','62','BLOOR ARRANGE KAR K JOB QUKILEY COMPLAINT KARAY',null,'81','81','2020-12-15 23:54:14','2020-12-15 23:54:14',null);
INSERT INTO complaint_statuses VALUES('9848','2996','5','25',null,'CANCELLED','COMPLAINT CLOSED','81','74','2020-12-15 23:54:40','2020-12-16 00:02:34',null);
INSERT INTO complaint_statuses VALUES('9849','2918','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-15 23:56:48','2020-12-16 00:13:02',null);
INSERT INTO complaint_statuses VALUES('9850','2997','3',null,'53',null,'15-DEC-2020
COM NO 1074664','92','92','2020-12-15 23:56:51','2020-12-16 01:27:53',null);
INSERT INTO complaint_statuses VALUES('9851','2919','5','15',null,'COMPLAINED  COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-15 23:57:13','2020-12-17 01:21:45',null);
INSERT INTO complaint_statuses VALUES('9852','2998','2',null,'81',null,'15-DEC-2020
FF TO USMAM MRM','74','74','2020-12-15 23:57:50','2020-12-15 23:57:50',null);
INSERT INTO complaint_statuses VALUES('9853','2998','4',null,'61',null,null,'81','81','2020-12-15 23:58:19','2020-12-15 23:58:19',null);
INSERT INTO complaint_statuses VALUES('9854','2871','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-15 23:59:25','2020-12-17 01:50:26',null);
INSERT INTO complaint_statuses VALUES('9855','2999','3',null,'80',null,'15-DEC-2020
FF TO AMNA BOACH','74','74','2020-12-16 00:05:47','2020-12-16 00:05:47',null);
INSERT INTO complaint_statuses VALUES('9856','3000','3',null,'73',null,'15-DEC-2020
COM NO2983','92','74','2020-12-16 00:09:18','2020-12-16 20:03:23',null);
INSERT INTO complaint_statuses VALUES('9857','3001','3',null,'88',null,'15-DEC-2020
COM FF TO KHURRAM  FIVE STAR','92','92','2020-12-16 00:27:04','2020-12-16 00:27:04',null);
INSERT INTO complaint_statuses VALUES('9858','2847','5','15',null,'OK AZHAR FCI NA COMPLAINT ATTEND KI HAIN PCB CARD KA ISSUE COMPANY FF KARWA DI COMPLAINT','COMPLAINT CLOSED','81','74','2020-12-16 00:34:36','2020-12-17 01:52:49',null);
INSERT INTO complaint_statuses VALUES('9859','3002','3',null,'68',null,'15-DEC-2020
FF TO MANSOOR SHARP','74','74','2020-12-16 00:37:43','2020-12-16 00:37:43',null);
INSERT INTO complaint_statuses VALUES('9860','3003','3',null,'52',null,'15-DEC-2020
COM NO PKRI-201215109038','92','92','2020-12-16 00:41:43','2020-12-16 01:21:30',null);
INSERT INTO complaint_statuses VALUES('9861','3004','2',null,'81',null,'15-DEC-2020
FF TO USMAN MRM','74','74','2020-12-16 01:04:58','2020-12-16 01:04:58',null);
INSERT INTO complaint_statuses VALUES('9862','3004','4',null,'61',null,null,'81','81','2020-12-16 01:05:36','2020-12-16 01:05:36',null);
INSERT INTO complaint_statuses VALUES('9863','2958','7','12','81','washing machine custoemr ko check  kerwa di hai koi issue nahi .tha.',null,'79','79','2020-12-16 01:29:20','2020-12-16 01:29:20',null);
INSERT INTO complaint_statuses VALUES('9864','3005','2',null,'81',null,'15-DEC-2020
FF TO B.COOL','74','74','2020-12-16 01:30:32','2020-12-16 01:30:32',null);
INSERT INTO complaint_statuses VALUES('9865','3005','4',null,'58',null,null,'81','81','2020-12-16 01:31:22','2020-12-16 01:31:22',null);
INSERT INTO complaint_statuses VALUES('9866','2617','7','12','81','Main PCB Repaired',null,'76','76','2020-12-16 01:35:23','2020-12-16 01:35:23',null);
INSERT INTO complaint_statuses VALUES('9867','3006','3',null,'55',null,'15-DEC-2020
COM NO 16920','92','92','2020-12-16 01:45:08','2020-12-16 01:45:59',null);
INSERT INTO complaint_statuses VALUES('9868','3007','2',null,'81',null,'15-DEC-2020
FF TO SHAMIM AKHTER','74','74','2020-12-16 01:48:33','2020-12-16 01:48:33',null);
INSERT INTO complaint_statuses VALUES('9869','3007','4',null,'55',null,null,'81','81','2020-12-16 01:49:08','2020-12-16 01:49:08',null);
INSERT INTO complaint_statuses VALUES('9870','3005','7','12','81','is ka parts nahi hai .kindly compliant sy pehly poch  liya kry.',null,'79','79','2020-12-16 01:51:22','2020-12-16 01:51:22',null);
INSERT INTO complaint_statuses VALUES('9871','3008','2',null,'81',null,'15-DEC-2020
COM FF TO KHALID SONY','92','92','2020-12-16 02:10:20','2020-12-16 02:10:20',null);
INSERT INTO complaint_statuses VALUES('9872','2979','7','12','81','ISSUE RESOLVED',null,'87','87','2020-12-16 02:13:24','2020-12-16 02:13:24',null);
INSERT INTO complaint_statuses VALUES('9873','2893','7','12','81','ISSUE RESOLVED',null,'87','87','2020-12-16 02:13:58','2020-12-16 02:13:58',null);
INSERT INTO complaint_statuses VALUES('9874','3009','3',null,'52',null,'15-DEC-2020
COM NO PKRI-201215110203','92','92','2020-12-16 02:35:28','2020-12-16 02:38:04',null);
INSERT INTO complaint_statuses VALUES('9875','3010','2',null,'81',null,'15-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-16 02:52:50','2020-12-16 02:52:50',null);
INSERT INTO complaint_statuses VALUES('9876','2566','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-16 02:59:03','2020-12-19 01:05:31',null);
INSERT INTO complaint_statuses VALUES('9877','2609','8','23','56','where is unit friends show room ya your service center',null,'81','81','2020-12-16 03:00:24','2020-12-16 03:00:24',null);
INSERT INTO complaint_statuses VALUES('9878','2617','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-16 03:01:03','2020-12-17 02:13:44',null);
INSERT INTO complaint_statuses VALUES('9879','2808','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-16 03:01:32','2020-12-17 02:07:53',null);
INSERT INTO complaint_statuses VALUES('9880','2809','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-16 03:02:17','2020-12-17 01:56:48',null);
INSERT INTO complaint_statuses VALUES('9881','2817','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-16 03:04:21','2020-12-17 01:55:52',null);
INSERT INTO complaint_statuses VALUES('9882','2887','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-16 03:05:52','2020-12-17 01:48:54',null);
INSERT INTO complaint_statuses VALUES('9883','2893','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-16 03:07:40','2020-12-17 01:48:19',null);
INSERT INTO complaint_statuses VALUES('9884','3005','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-12-16 03:09:21','2020-12-16 20:31:11',null);
INSERT INTO complaint_statuses VALUES('9885','2979','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-16 03:10:07','2020-12-16 20:32:12',null);
INSERT INTO complaint_statuses VALUES('9886','2958','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-16 03:10:45','2020-12-16 20:34:37',null);
INSERT INTO complaint_statuses VALUES('9887','2854','8','23','60',null,null,'81','81','2020-12-16 03:11:27','2020-12-16 03:11:27',null);
INSERT INTO complaint_statuses VALUES('9888','2967','7','22','81','ELIMENT ISSUE  REFER TO SERVICE CENTER .',null,'79','79','2020-12-16 04:54:15','2020-12-16 04:54:15',null);
INSERT INTO complaint_statuses VALUES('9889','2970','7','12','81','RELAY OVER LOAD CHANGE KERNA HAI .COMPLAINT RESOLVED','COMPLAINT RESOLVED','79','74','2020-12-16 04:55:58','2020-12-16 20:49:51',null);
INSERT INTO complaint_statuses VALUES('9890','3011','3',null,'53',null,'16-DEC-2020
COM NO 1074728','92','92','2020-12-16 19:23:15','2020-12-16 19:25:35',null);
INSERT INTO complaint_statuses VALUES('9891','3012','3',null,'54',null,'16-DEC-2020
COM NO 1784654','92','92','2020-12-16 19:42:00','2020-12-16 19:45:54',null);
INSERT INTO complaint_statuses VALUES('9892','3010','4',null,'55',null,null,'81','81','2020-12-16 19:53:26','2020-12-16 19:53:26',null);
INSERT INTO complaint_statuses VALUES('9893','3008','4',null,'56',null,null,'81','81','2020-12-16 19:53:40','2020-12-16 19:53:40',null);
INSERT INTO complaint_statuses VALUES('9894','3013','3',null,'62',null,'16-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-16 19:57:56','2020-12-16 19:57:56',null);
INSERT INTO complaint_statuses VALUES('9895','3014','3',null,'62',null,'16-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-16 19:58:01','2020-12-16 19:58:01',null);
INSERT INTO complaint_statuses VALUES('9896','3015','3',null,'62',null,'16-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-16 19:58:01','2020-12-16 19:58:01',null);
INSERT INTO complaint_statuses VALUES('9897','3016','3',null,'62',null,'16-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-16 19:58:04','2020-12-16 19:58:04',null);
INSERT INTO complaint_statuses VALUES('9898','3013','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-16 20:00:52','2020-12-16 20:00:52',null);
INSERT INTO complaint_statuses VALUES('9899','3017','3',null,'52',null,'16-DEC-2020
COM NO PKRI-201216102519','92','92','2020-12-16 20:13:18','2020-12-16 20:14:32',null);
INSERT INTO complaint_statuses VALUES('9900','3014','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-16 20:15:52','2020-12-16 20:15:52',null);
INSERT INTO complaint_statuses VALUES('9901','3014','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-16 20:16:05','2020-12-16 20:16:05',null);
INSERT INTO complaint_statuses VALUES('9902','2747','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-16 20:16:59','2020-12-16 20:16:59',null);
INSERT INTO complaint_statuses VALUES('9903','3015','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-16 20:17:01','2020-12-16 20:17:01',null);
INSERT INTO complaint_statuses VALUES('9904','2599','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-16 20:22:57','2020-12-16 20:22:57',null);
INSERT INTO complaint_statuses VALUES('9905','2980','2',null,'81',null,null,'74','74','2020-12-16 20:25:49','2020-12-16 20:25:49',null);
INSERT INTO complaint_statuses VALUES('9906','2980','4',null,'62',null,null,'81','81','2020-12-16 20:26:05','2020-12-16 20:26:05',null);
INSERT INTO complaint_statuses VALUES('9907','3018','3',null,'52',null,'16-DEC-2020
COM NO PKRI-201216102901','92','92','2020-12-16 20:34:16','2020-12-16 20:34:16',null);
INSERT INTO complaint_statuses VALUES('9908','2923','7','12','81','ISSUE RESOLVED DUCT MOTER REPLACED',null,'87','87','2020-12-16 20:40:09','2020-12-16 20:40:09',null);
INSERT INTO complaint_statuses VALUES('9909','3019','3',null,'66',null,'16-DEC-2020
COM NO KASHIF TCL','92','92','2020-12-16 21:19:30','2020-12-17 00:20:53',null);
INSERT INTO complaint_statuses VALUES('9910','3020','2',null,'81',null,'16-DEC-2020
COM FF TO KHALID SONY','92','92','2020-12-16 21:31:47','2020-12-21 21:00:03',null);
INSERT INTO complaint_statuses VALUES('9911','3021','2',null,'81',null,'16-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-16 21:44:18','2020-12-16 21:44:18',null);
INSERT INTO complaint_statuses VALUES('9912','3022','3',null,'52',null,'16-DEC-2020
COMPLIANT#PKRI-201216104618','74','74','2020-12-16 21:45:53','2020-12-16 21:45:53',null);
INSERT INTO complaint_statuses VALUES('9913','3023','2',null,'81',null,'16-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-16 21:52:53','2020-12-16 21:52:53',null);
INSERT INTO complaint_statuses VALUES('9914','2459','7','12','81','ISSUE RESOLVED
COMP REPLACED + GAS CHARGED',null,'87','87','2020-12-16 21:55:08','2020-12-16 21:55:08',null);
INSERT INTO complaint_statuses VALUES('9915','2954','7','12','81','JRT ISSUE COMPLAIN REOSLVED',null,'79','79','2020-12-16 21:58:07','2020-12-16 21:58:07',null);
INSERT INTO complaint_statuses VALUES('9916','2459','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2020-12-16 21:58:41','2020-12-16 22:02:31',null);
INSERT INTO complaint_statuses VALUES('9917','2923','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2020-12-16 21:59:21','2020-12-16 21:59:55',null);
INSERT INTO complaint_statuses VALUES('9918','3023','4',null,'62',null,null,'81','81','2020-12-16 21:59:36','2020-12-16 21:59:36',null);
INSERT INTO complaint_statuses VALUES('9919','3021','4',null,'55',null,null,'81','81','2020-12-16 21:59:46','2020-12-16 21:59:46',null);
INSERT INTO complaint_statuses VALUES('9920','3020','4',null,'56',null,null,'81','81','2020-12-16 21:59:57','2020-12-16 21:59:57',null);
INSERT INTO complaint_statuses VALUES('9921','2970','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2020-12-16 22:00:27','2020-12-16 22:03:08',null);
INSERT INTO complaint_statuses VALUES('9922','2904','7','12','81','CUSTOMER LY GY HAICOMPLAINT REOSLVED',null,'79','79','2020-12-16 22:03:55','2020-12-16 22:03:55',null);
INSERT INTO complaint_statuses VALUES('9923','2610','8','23','56','ASLAM SIR BATA RAHAY HAIN K DONO SET PA WARRANTY CARD LAGA WA HAIN.
YHA COMPANY WARRANTY HAIN',null,'81','81','2020-12-16 22:07:44','2020-12-16 22:07:44',null);
INSERT INTO complaint_statuses VALUES('9924','2904','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-16 22:08:35','2020-12-17 01:37:36',null);
INSERT INTO complaint_statuses VALUES('9925','2655','8','23','56','JOB COMPLETED  QUKILEY',null,'81','81','2020-12-16 22:10:42','2020-12-16 22:10:42',null);
INSERT INTO complaint_statuses VALUES('9926','3024','2',null,'81',null,'16-DEC-2020
COM FF TO AZHAR FCI','92','92','2020-12-16 22:20:39','2020-12-17 21:45:08',null);
INSERT INTO complaint_statuses VALUES('9927','2610','7','24','81','میڈم ورنٹی کارڈ لگے ھوۓ ھے لیکن یونٹ کوٸی اور ھے ورنٹی کارڈ کوٸی اور ھے۔',null,'77','77','2020-12-16 22:46:06','2020-12-16 22:46:06',null);
INSERT INTO complaint_statuses VALUES('9928','2742','7','12','81','Paid job completed and collected by customer',null,'77','77','2020-12-16 22:51:58','2020-12-16 22:51:58',null);
INSERT INTO complaint_statuses VALUES('9929','2502','7','12','81','Unit ok pls collect it',null,'77','77','2020-12-16 22:53:47','2020-12-16 22:53:47',null);
INSERT INTO complaint_statuses VALUES('9930','2652','7','12','81','Already collected friends warranty. Only services',null,'77','77','2020-12-16 22:55:18','2020-12-16 22:55:18',null);
INSERT INTO complaint_statuses VALUES('9931','3025','3',null,'75',null,'16-DEC-2020
COM FF TO KHURRAM FIVE SATR','92','92','2020-12-16 22:57:40','2020-12-16 22:57:40',null);
INSERT INTO complaint_statuses VALUES('9932','2771','7','12','81','Unit ok no any problem found',null,'83','83','2020-12-16 23:03:12','2020-12-16 23:03:12',null);
INSERT INTO complaint_statuses VALUES('9933','3026','2',null,'81',null,'16-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-16 23:21:14','2020-12-16 23:21:14',null);
INSERT INTO complaint_statuses VALUES('9934','3027','3',null,'57',null,'16-DEC-2020
COMPLAINT#15303','74','74','2020-12-16 23:30:28','2020-12-16 23:30:28',null);
INSERT INTO complaint_statuses VALUES('9935','3028','3',null,'52',null,'16-DEC-2020
COM NO PKRI-201216106785','92','92','2020-12-16 23:37:59','2020-12-16 23:39:56',null);
INSERT INTO complaint_statuses VALUES('9936','3029','3',null,'68',null,'16-DEC-2020
FF TO  MANSOOR SHARP','74','74','2020-12-16 23:41:04','2020-12-16 23:41:04',null);
INSERT INTO complaint_statuses VALUES('9937','3030','3',null,'62',null,'16-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-16 23:49:14','2020-12-16 23:49:14',null);
INSERT INTO complaint_statuses VALUES('9938','3031','3',null,'52',null,'16-DEC-2020
COM NO PKRI-201216107304','92','92','2020-12-17 00:05:51','2020-12-17 00:08:53',null);
INSERT INTO complaint_statuses VALUES('9939','3032','3',null,'66',null,'16-DEC-2020
COM FF TO KASHIF TCL','92','92','2020-12-17 00:10:28','2020-12-17 00:14:44',null);
INSERT INTO complaint_statuses VALUES('9940','3033','3',null,'55',null,'16-DEC-2020
COMPLAINT#GRT-C-1360','74','74','2020-12-17 00:11:43','2020-12-17 00:11:43',null);
INSERT INTO complaint_statuses VALUES('9941','3034','3',null,'52',null,'16-DEC-2020
COMPLAINT#PKRI-201216107630','74','74','2020-12-17 00:22:47','2020-12-17 00:22:47',null);
INSERT INTO complaint_statuses VALUES('9942','3035','3',null,'88',null,'16-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-17 00:43:52','2020-12-17 00:43:52',null);
INSERT INTO complaint_statuses VALUES('9943','2798','7','12','81','Ok on telephone talks only services',null,'77','77','2020-12-17 00:50:48','2020-12-17 00:50:48',null);
INSERT INTO complaint_statuses VALUES('9944','3036','3',null,'62',null,'16-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-17 00:53:18','2020-12-17 00:53:18',null);
INSERT INTO complaint_statuses VALUES('9945','2929','7','12','81','No problem found unit with customer',null,'77','77','2020-12-17 00:55:17','2020-12-17 00:55:17',null);
INSERT INTO complaint_statuses VALUES('9946','3026','4',null,'62',null,null,'81','81','2020-12-17 01:12:56','2020-12-17 01:12:56',null);
INSERT INTO complaint_statuses VALUES('9947','3024','4',null,'60',null,null,'81','81','2020-12-17 01:13:44','2020-12-17 01:13:44',null);
INSERT INTO complaint_statuses VALUES('9948','2954','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-17 01:15:11','2020-12-17 01:17:40',null);
INSERT INTO complaint_statuses VALUES('9949','2929','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-17 01:16:32','2020-12-17 01:21:14',null);
INSERT INTO complaint_statuses VALUES('9950','2798','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-17 01:18:21','2020-12-17 02:09:50',null);
INSERT INTO complaint_statuses VALUES('9951','2771','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-17 01:20:23','2020-12-17 02:10:23',null);
INSERT INTO complaint_statuses VALUES('9952','2742','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-17 01:23:17','2020-12-17 02:10:53',null);
INSERT INTO complaint_statuses VALUES('9953','3037','2',null,'81',null,'16-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-17 01:25:35','2020-12-17 01:25:35',null);
INSERT INTO complaint_statuses VALUES('9954','3038','2',null,'81',null,'16-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-17 01:25:40','2020-12-17 01:25:40',null);
INSERT INTO complaint_statuses VALUES('9955','2502','8','23','56','JB UNIT SHOWROOM PA DROP HO JAY TAB COMPLETED KIJAY GA',null,'81','81','2020-12-17 01:29:36','2020-12-17 01:29:36',null);
INSERT INTO complaint_statuses VALUES('9956','2652','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-17 01:30:07','2020-12-17 02:12:12',null);
INSERT INTO complaint_statuses VALUES('9957','1647','5','25',null,'CUSTOMER NA COMPLIANT AJ CANCEL KARWA DIA','COMPLAINT CANCELLED','81','74','2020-12-17 01:33:12','2020-12-19 01:06:46',null);
INSERT INTO complaint_statuses VALUES('9958','3038','4',null,'58',null,null,'81','81','2020-12-17 01:33:32','2020-12-17 01:33:32',null);
INSERT INTO complaint_statuses VALUES('9959','3038','4',null,'58',null,null,'81','81','2020-12-17 01:33:34','2020-12-17 01:33:34',null);
INSERT INTO complaint_statuses VALUES('9960','3037','4',null,'58',null,null,'81','81','2020-12-17 01:35:42','2020-12-17 01:35:42',null);
INSERT INTO complaint_statuses VALUES('9961','2978','2',null,'81',null,null,'74','74','2020-12-17 01:43:32','2020-12-17 01:43:32',null);
INSERT INTO complaint_statuses VALUES('9962','2978','4',null,'63',null,null,'81','81','2020-12-17 01:44:23','2020-12-17 01:44:23',null);
INSERT INTO complaint_statuses VALUES('9963','2980','7','12','81','ISSUE RESOLVED',null,'87','87','2020-12-17 02:07:24','2020-12-17 02:07:24',null);
INSERT INTO complaint_statuses VALUES('9964','3039','3',null,'55',null,'16-DEC-2020
COM NO RWP-16948','92','92','2020-12-17 02:09:01','2020-12-17 02:32:02',null);
INSERT INTO complaint_statuses VALUES('9965','3040','2',null,'81',null,'16-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-17 02:26:52','2020-12-17 02:26:52',null);
INSERT INTO complaint_statuses VALUES('9966','2886','7','12','81','COMPLAINT RESOLVED.CUSOTMER KO CHECK KERWA DYA HAI',null,'79','79','2020-12-17 02:50:36','2020-12-17 02:50:36',null);
INSERT INTO complaint_statuses VALUES('9967','3041','3',null,'73',null,'17-DEC-2020
COM NO 3136','92','92','2020-12-17 19:46:20','2020-12-19 22:36:39',null);
INSERT INTO complaint_statuses VALUES('9968','3042','3',null,'52',null,'17-DEC-2020
COM NO PKRI-201219101729','92','92','2020-12-17 19:49:35','2020-12-19 19:43:32',null);
INSERT INTO complaint_statuses VALUES('9969','3038','7','28','81','////',null,'79','79','2020-12-17 20:05:23','2020-12-17 20:05:23',null);
INSERT INTO complaint_statuses VALUES('9970','2655','7','12','81','No action paid job customer not willing to pay. Close this job',null,'77','77','2020-12-17 20:11:09','2020-12-17 20:11:09',null);
INSERT INTO complaint_statuses VALUES('9971','3043','3',null,'53',null,'17-DEC-2020
COM NO 1075401','92','92','2020-12-17 20:25:12','2020-12-19 19:50:41',null);
INSERT INTO complaint_statuses VALUES('9972','3037','7','12','81','customer canncelled the compliant issue resolved switch issue',null,'79','79','2020-12-17 20:31:06','2020-12-17 20:31:06',null);
INSERT INTO complaint_statuses VALUES('9973','2905','7','12','81','gas and compressor cahnge',null,'79','79','2020-12-17 20:33:28','2020-12-17 20:33:28',null);
INSERT INTO complaint_statuses VALUES('9974','3044','3',null,'55',null,'17-DEC-2020
COM NO 705489','92','92','2020-12-17 21:09:04','2020-12-19 19:55:03',null);
INSERT INTO complaint_statuses VALUES('9975','3045','3',null,'54',null,'17-DEC-2020
COM NO 1785359','92','92','2020-12-17 21:23:54','2020-12-17 21:24:41',null);
INSERT INTO complaint_statuses VALUES('9976','3048','3',null,'54',null,'17-DEC-2020
COM NO 1785382','92','92','2020-12-17 21:39:27','2020-12-17 21:40:24',null);
INSERT INTO complaint_statuses VALUES('9977','3026','7','12','81','ISSUE RESOLVED',null,'87','87','2020-12-17 21:45:36','2020-12-17 21:45:36',null);
INSERT INTO complaint_statuses VALUES('9978','3052','2',null,'81',null,'17-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-17 21:49:15','2020-12-17 21:49:15',null);
INSERT INTO complaint_statuses VALUES('9979','3053','2',null,'81',null,'17-DEC-2020
COM FF TO USMAN MRM','92','92','2020-12-17 22:10:38','2020-12-17 22:10:38',null);
INSERT INTO complaint_statuses VALUES('9980','3008','7','24','81','Its panel is faulty but customer is insisting for new tv. Although he used it  for 7 months.',null,'77','77','2020-12-17 22:13:18','2020-12-17 22:13:18',null);
INSERT INTO complaint_statuses VALUES('9981','3054','3',null,'52',null,'17-DEC-2020
COM NO PKRI-201217105405','92','92','2020-12-17 22:21:06','2020-12-17 22:23:47',null);
INSERT INTO complaint_statuses VALUES('9982','3055','3',null,'72',null,'17-DEC-2020
COM NO','92','92','2020-12-17 22:53:06','2020-12-17 22:57:10',null);
INSERT INTO complaint_statuses VALUES('9983','3055','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','74','2020-12-17 22:59:00','2020-12-18 19:49:28',null);
INSERT INTO complaint_statuses VALUES('9984','3056','3',null,'65',null,'17-DEC-2020
COM NO 072015717','92','92','2020-12-17 23:02:12','2020-12-17 23:05:09',null);
INSERT INTO complaint_statuses VALUES('9985','3023','7','22','81','COMP',null,'87','87','2020-12-17 23:03:03','2020-12-17 23:03:03',null);
INSERT INTO complaint_statuses VALUES('9986','2669','7','12','81','customer ny abhi theek nahi ni kerwana.copmlaint closed kr dein',null,'79','79','2020-12-17 23:10:39','2020-12-17 23:10:39',null);
INSERT INTO complaint_statuses VALUES('9987','3057','3',null,'52',null,'17-DEC-2020
COM NO PKRI-201217106333','92','92','2020-12-17 23:16:52','2020-12-17 23:18:34',null);
INSERT INTO complaint_statuses VALUES('9988','3058','3',null,'65',null,'17-DEC-2020
COM NO 192019537','92','92','2020-12-17 23:28:29','2020-12-17 23:31:54',null);
INSERT INTO complaint_statuses VALUES('9989','3059','3',null,'73',null,'17-DEC-2020
COM NO 3137
NEW COMPLAINT#3590','92','74','2020-12-17 23:50:20','2021-01-24 01:23:27',null);
INSERT INTO complaint_statuses VALUES('9990','3060','3',null,'62',null,'17-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-18 00:04:35','2020-12-18 00:04:35',null);
INSERT INTO complaint_statuses VALUES('9991','3061','3',null,'52',null,'17-DEC-2020
COM NO PKRI-20121710762','92','92','2020-12-18 00:30:02','2020-12-18 00:32:53',null);
INSERT INTO complaint_statuses VALUES('9992','2502','7','12','81',null,null,'77','77','2020-12-18 00:37:33','2020-12-18 00:37:33',null);
INSERT INTO complaint_statuses VALUES('9993','3062','2',null,'81',null,'17-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-18 00:46:55','2020-12-18 00:46:55',null);
INSERT INTO complaint_statuses VALUES('9994','3063','3',null,'62',null,'17-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-18 00:52:31','2020-12-18 00:52:31',null);
INSERT INTO complaint_statuses VALUES('9995','3064','3',null,'52',null,'17-DEC-2020
COM NO PKRI-201217104199','92','92','2020-12-18 01:00:01','2020-12-18 01:00:01',null);
INSERT INTO complaint_statuses VALUES('9996','2926','7','12','81','ISSUE RESOLVED',null,'87','87','2020-12-18 01:08:23','2020-12-18 01:08:23',null);
INSERT INTO complaint_statuses VALUES('9997','3065','2',null,'81',null,'17-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-18 01:08:55','2020-12-18 01:08:55',null);
INSERT INTO complaint_statuses VALUES('9998','3037','5','15',null,null,'COMPLAINT CANCELLED ISSUE KHUD HI RESOLVED HO GAYA SWITCH KA','81','74','2020-12-18 01:29:14','2020-12-18 19:57:19',null);
INSERT INTO complaint_statuses VALUES('9999','3026','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-18 01:29:40','2020-12-18 20:19:05',null);
INSERT INTO complaint_statuses VALUES('10000','2980','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-18 01:30:13','2020-12-18 20:19:42',null);
INSERT INTO complaint_statuses VALUES('10001','2926','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-18 01:30:43','2020-12-18 20:23:27',null);
INSERT INTO complaint_statuses VALUES('10002','2905','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-18 01:31:04','2020-12-18 20:29:14',null);
INSERT INTO complaint_statuses VALUES('10003','2886','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-18 01:31:30','2020-12-18 20:34:19',null);
INSERT INTO complaint_statuses VALUES('10004','2669','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-12-18 01:32:42','2020-12-18 20:36:48',null);
INSERT INTO complaint_statuses VALUES('10005','2655','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-12-18 01:33:15','2020-12-19 23:14:20',null);
INSERT INTO complaint_statuses VALUES('10006','2231','5','15',null,null,'COMPLIANT RESOLVED','81','74','2020-12-18 01:34:14','2020-12-19 00:48:09',null);
INSERT INTO complaint_statuses VALUES('10007','3038','5','27',null,null,'COMPLAINT CLOSED','81','74','2020-12-18 01:34:55','2020-12-18 19:52:30',null);
INSERT INTO complaint_statuses VALUES('10008','3023','8','23','62',null,null,'81','81','2020-12-18 01:35:25','2020-12-18 01:35:25',null);
INSERT INTO complaint_statuses VALUES('10009','3008','8','23','56',null,null,'81','81','2020-12-18 01:35:45','2020-12-18 01:35:45',null);
INSERT INTO complaint_statuses VALUES('10010','2046','8','23','60',null,null,'81','81','2020-12-18 01:37:14','2020-12-18 01:37:14',null);
INSERT INTO complaint_statuses VALUES('10011','2967','8','23','58',null,null,'81','81','2020-12-18 01:37:37','2020-12-18 01:37:37',null);
INSERT INTO complaint_statuses VALUES('10012','3066','2',null,'81',null,'17-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-18 01:56:43','2020-12-18 01:56:43',null);
INSERT INTO complaint_statuses VALUES('10013','3067','3',null,'88',null,'17-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-18 02:06:07','2020-12-18 02:06:07',null);
INSERT INTO complaint_statuses VALUES('10014','3068','3',null,'73',null,'17-DEC-2020
COM NO 3138','92','92','2020-12-18 02:17:08','2020-12-19 22:40:16',null);
INSERT INTO complaint_statuses VALUES('10015','3069','3',null,'53',null,'17-DEC-2020
COM NO-1075249','92','74','2020-12-18 02:25:33','2020-12-18 20:52:56',null);
INSERT INTO complaint_statuses VALUES('10016','3070','3',null,'55',null,'17-DEC-2020
COM NO ISB- 10712','92','92','2020-12-18 02:42:05','2020-12-18 02:43:21',null);
INSERT INTO complaint_statuses VALUES('10017','3071','3',null,'62',null,'17-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-18 02:51:07','2020-12-18 02:51:07',null);
INSERT INTO complaint_statuses VALUES('10018','3072','2',null,'81',null,'17-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-18 02:59:39','2020-12-18 02:59:39',null);
INSERT INTO complaint_statuses VALUES('10019','3073','2',null,'81',null,'17-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-18 03:07:53','2020-12-18 03:07:53',null);
INSERT INTO complaint_statuses VALUES('10020','3074','2',null,'81',null,'17-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-18 03:18:07','2020-12-18 03:18:07',null);
INSERT INTO complaint_statuses VALUES('10021','3074','4',null,'55',null,null,'81','81','2020-12-18 19:46:39','2020-12-18 19:46:39',null);
INSERT INTO complaint_statuses VALUES('10022','3073','4',null,'55',null,null,'81','81','2020-12-18 19:46:52','2020-12-18 19:46:52',null);
INSERT INTO complaint_statuses VALUES('10023','3072','4',null,'55',null,null,'81','81','2020-12-18 19:47:02','2020-12-18 19:47:02',null);
INSERT INTO complaint_statuses VALUES('10024','3066','4',null,'62',null,null,'81','81','2020-12-18 19:47:24','2020-12-18 19:47:24',null);
INSERT INTO complaint_statuses VALUES('10025','3065','4',null,'55',null,null,'81','81','2020-12-18 19:47:36','2020-12-18 19:47:36',null);
INSERT INTO complaint_statuses VALUES('10026','3062','4',null,'58',null,null,'81','81','2020-12-18 19:47:48','2020-12-18 19:47:48',null);
INSERT INTO complaint_statuses VALUES('10027','3053','4',null,'61',null,null,'81','81','2020-12-18 19:48:00','2020-12-18 19:48:00',null);
INSERT INTO complaint_statuses VALUES('10028','3052','4',null,'55',null,null,'81','81','2020-12-18 19:48:11','2020-12-18 19:48:11',null);
INSERT INTO complaint_statuses VALUES('10029','3040','4',null,'58',null,null,'81','81','2020-12-18 19:48:25','2020-12-18 19:48:25',null);
INSERT INTO complaint_statuses VALUES('10030','3075','3',null,'55',null,'18-DEC-2020
COMPLAINT#705290
NAEEM KENWOOD','74','74','2020-12-18 19:58:10','2020-12-18 20:00:48',null);
INSERT INTO complaint_statuses VALUES('10031','3049','3',null,'73',null,null,'74','74','2020-12-18 20:05:03','2020-12-18 20:05:03',null);
INSERT INTO complaint_statuses VALUES('10032','3047','3',null,'73',null,null,'74','74','2020-12-18 20:06:23','2020-12-18 20:06:23',null);
INSERT INTO complaint_statuses VALUES('10033','3046','3',null,'73',null,null,'74','74','2020-12-18 20:06:37','2020-12-18 20:06:37',null);
INSERT INTO complaint_statuses VALUES('10034','2993','3',null,'72',null,null,'74','74','2020-12-18 20:10:34','2020-12-18 20:10:34',null);
INSERT INTO complaint_statuses VALUES('10035','3050','3',null,'53',null,null,'74','74','2020-12-18 20:16:45','2020-12-18 20:16:45',null);
INSERT INTO complaint_statuses VALUES('10036','3076','2',null,'81',null,'18-DEC-2020
FF TO B.COOL','74','74','2020-12-18 20:22:38','2020-12-18 20:22:38',null);
INSERT INTO complaint_statuses VALUES('10037','3076','4',null,'58',null,null,'81','81','2020-12-18 20:23:09','2020-12-18 20:23:09',null);
INSERT INTO complaint_statuses VALUES('10038','3077','3',null,'88',null,'18-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-18 20:45:13','2020-12-18 20:45:13',null);
INSERT INTO complaint_statuses VALUES('10039','2908','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-18 20:57:18','2020-12-18 20:57:18',null);
INSERT INTO complaint_statuses VALUES('10040','3078','3',null,'52',null,'18-DEC-2020
COMPLAINT#PKRI-201218103511','74','74','2020-12-18 20:58:43','2020-12-18 20:58:43',null);
INSERT INTO complaint_statuses VALUES('10041','2911','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-18 20:59:08','2020-12-18 20:59:08',null);
INSERT INTO complaint_statuses VALUES('10042','2903','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-12-18 21:01:48','2020-12-18 21:01:48',null);
INSERT INTO complaint_statuses VALUES('10043','2903','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-18 21:02:17','2020-12-18 21:18:41',null);
INSERT INTO complaint_statuses VALUES('10044','1393','7','12','81','devolved back at PWD branch',null,'83','83','2020-12-18 21:06:56','2020-12-18 21:06:56',null);
INSERT INTO complaint_statuses VALUES('10045','2891','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-18 21:07:21','2020-12-18 21:07:21',null);
INSERT INTO complaint_statuses VALUES('10046','2953','7','12','81','Back light replaced RS 10000/- exp 
unit at customer home  plz close job',null,'83','83','2020-12-18 21:08:33','2020-12-18 21:08:33',null);
INSERT INTO complaint_statuses VALUES('10047','3004','7','12','81','Main pcb replaced  RS 11500/- EXP 
unit picked by mr aslam.',null,'83','83','2020-12-18 21:10:57','2020-12-18 21:10:57',null);
INSERT INTO complaint_statuses VALUES('10048','2885','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-18 21:22:23','2020-12-18 21:22:23',null);
INSERT INTO complaint_statuses VALUES('10049','2881','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-18 21:23:46','2020-12-18 21:23:46',null);
INSERT INTO complaint_statuses VALUES('10050','3079','3',null,'62',null,'18-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-18 21:26:21','2020-12-18 21:26:21',null);
INSERT INTO complaint_statuses VALUES('10051','3080','3',null,'59',null,'18-DEC 2020
COMPLAINT#4240955390','74','92','2020-12-18 23:01:53','2021-01-24 22:13:32',null);
INSERT INTO complaint_statuses VALUES('10052','3081','2',null,'81',null,'18-DEC-2020
FF TO B.COOL','74','74','2020-12-18 23:09:25','2020-12-18 23:09:25',null);
INSERT INTO complaint_statuses VALUES('10053','3081','4',null,'58',null,null,'81','81','2020-12-18 23:10:03','2020-12-18 23:10:03',null);
INSERT INTO complaint_statuses VALUES('10054','3082','3',null,'61',null,'18-DEC-2020
COMPLAINT#202012005983','74','74','2020-12-18 23:19:44','2020-12-18 23:19:44',null);
INSERT INTO complaint_statuses VALUES('10055','3010','7','24','81','under repaire in svc',null,'76','76','2020-12-18 23:27:17','2020-12-18 23:27:17',null);
INSERT INTO complaint_statuses VALUES('10056','2988','7','12','81','Drain Service',null,'76','76','2020-12-18 23:28:06','2020-12-18 23:28:06',null);
INSERT INTO complaint_statuses VALUES('10057','2943','7','12','81','Packing Base Remove',null,'76','76','2020-12-18 23:30:41','2020-12-18 23:30:41',null);
INSERT INTO complaint_statuses VALUES('10058','2805','7','12','81','Water Tank Issue , No Fault In Product',null,'76','76','2020-12-18 23:31:59','2020-12-18 23:31:59',null);
INSERT INTO complaint_statuses VALUES('10059','2787','7','12','81','Drain Pipe Adjusment',null,'76','76','2020-12-18 23:32:30','2020-12-18 23:32:30',null);
INSERT INTO complaint_statuses VALUES('10060','2722','7','12','81','Demo Only , Visit Not Paid (600)',null,'76','76','2020-12-18 23:34:36','2020-12-18 23:34:36',null);
INSERT INTO complaint_statuses VALUES('10061','2717','7','12','81','Filter Service',null,'76','76','2020-12-18 23:36:14','2020-12-18 23:36:14',null);
INSERT INTO complaint_statuses VALUES('10062','2850','7','12','81','Filter Service',null,'76','76','2020-12-18 23:37:44','2020-12-18 23:37:44',null);
INSERT INTO complaint_statuses VALUES('10063','2913','7','22','81','Compressor Faulty , (150)',null,'76','76','2020-12-18 23:38:44','2020-12-18 23:38:44',null);
INSERT INTO complaint_statuses VALUES('10064','3052','7','12','81','Drain Service',null,'76','76','2020-12-18 23:42:41','2020-12-18 23:42:41',null);
INSERT INTO complaint_statuses VALUES('10065','2985','7','28','81','3052 Task Number.',null,'76','76','2020-12-18 23:43:19','2020-12-18 23:43:19',null);
INSERT INTO complaint_statuses VALUES('10066','2959','7','22','81','REF Shelf Require',null,'76','76','2020-12-18 23:45:29','2020-12-18 23:45:29',null);
INSERT INTO complaint_statuses VALUES('10067','2333','7','12','81','After Discount 3000',null,'76','76','2020-12-18 23:46:47','2020-12-18 23:46:47',null);
INSERT INTO complaint_statuses VALUES('10068','2163','7','12','81','Compressor Model Number 110 and Amount is 19500',null,'76','76','2020-12-18 23:48:20','2020-12-18 23:48:20',null);
INSERT INTO complaint_statuses VALUES('10069','2696','7','12','81','Service.',null,'76','76','2020-12-18 23:49:04','2020-12-18 23:49:04',null);
INSERT INTO complaint_statuses VALUES('10070','2749','7','12','81','Not Received IN SVC for Service',null,'76','76','2020-12-18 23:51:01','2020-12-18 23:51:01',null);
INSERT INTO complaint_statuses VALUES('10071','1300','7','12','81','no action completed',null,'77','77','2020-12-19 00:08:30','2020-12-19 00:08:30',null);
INSERT INTO complaint_statuses VALUES('10072','3052','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-19 00:31:59','2020-12-19 00:32:53',null);
INSERT INTO complaint_statuses VALUES('10073','2988','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-19 00:33:19','2020-12-19 00:34:38',null);
INSERT INTO complaint_statuses VALUES('10074','2985','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-19 00:33:49','2020-12-19 00:35:15',null);
INSERT INTO complaint_statuses VALUES('10075','2953','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-19 00:35:46','2020-12-19 00:36:32',null);
INSERT INTO complaint_statuses VALUES('10076','2943','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-19 00:36:48','2020-12-19 00:42:33',null);
INSERT INTO complaint_statuses VALUES('10077','2850','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-19 00:37:47','2020-12-19 00:43:34',null);
INSERT INTO complaint_statuses VALUES('10078','2805','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-19 00:40:14','2020-12-19 00:44:05',null);
INSERT INTO complaint_statuses VALUES('10079','2787','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-19 00:41:45','2020-12-19 00:44:31',null);
INSERT INTO complaint_statuses VALUES('10080','2749','5','25',null,'CUSTOMER NA COMPLAINT ABI CAN-CELL KARWA DI ABI S/C NI LA K AARHAY','COMPLAINT CANCELLED','81','74','2020-12-19 01:00:30','2020-12-19 01:04:53',null);
INSERT INTO complaint_statuses VALUES('10081','3004','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-19 01:03:22','2020-12-19 01:04:22',null);
INSERT INTO complaint_statuses VALUES('10082','2989','7','12','81','Auto wair change ki hy',null,'88','88','2020-12-19 05:28:26','2020-12-19 05:28:26',null);
INSERT INTO complaint_statuses VALUES('10083','2978','7','9','81','Damige pic hy satil or barnar ki choti tike or nob ni hy',null,'88','88','2020-12-19 05:32:17','2020-12-19 05:32:17',null);
INSERT INTO complaint_statuses VALUES('10084','2966','7','12','81','Girl ni chal Rahi the',null,'88','88','2020-12-19 05:33:35','2020-12-19 05:33:35',null);
INSERT INTO complaint_statuses VALUES('10085','2963','7','12','81','Gas ka masla tha',null,'88','88','2020-12-19 05:36:02','2020-12-19 05:36:02',null);
INSERT INTO complaint_statuses VALUES('10086','2877','7','9','81','Cal ni outhaty',null,'88','88','2020-12-19 05:37:23','2020-12-19 05:37:23',null);
INSERT INTO complaint_statuses VALUES('10087','2989','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-19 19:54:39','2020-12-19 20:16:08',null);
INSERT INTO complaint_statuses VALUES('10088','2966','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','74','2020-12-19 19:56:32','2020-12-19 20:16:50',null);
INSERT INTO complaint_statuses VALUES('10089','3083','2',null,'81',null,'19-DEC-2020
FF TO SHAMIM AKHTER','74','74','2020-12-19 20:03:46','2020-12-19 20:03:46',null);
INSERT INTO complaint_statuses VALUES('10090','3083','4',null,'55',null,null,'81','81','2020-12-19 20:04:58','2020-12-19 20:04:58',null);
INSERT INTO complaint_statuses VALUES('10091','2909','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 20:08:10','2020-12-19 20:08:10',null);
INSERT INTO complaint_statuses VALUES('10092','2963','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-19 20:09:58','2020-12-19 20:17:45',null);
INSERT INTO complaint_statuses VALUES('10093','3084','3',null,'57',null,'19-DEC-2020
COMPLAINT#15361','74','74','2020-12-19 20:11:51','2020-12-19 20:11:51',null);
INSERT INTO complaint_statuses VALUES('10094','2880','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 20:12:55','2020-12-19 20:12:55',null);
INSERT INTO complaint_statuses VALUES('10095','2910','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 20:15:50','2020-12-19 20:15:50',null);
INSERT INTO complaint_statuses VALUES('10096','2864','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 20:18:54','2020-12-19 20:18:54',null);
INSERT INTO complaint_statuses VALUES('10097','3085','2',null,'81',null,'19-DEC-2020
FF TO USMAN MRM','74','74','2020-12-19 20:31:08','2020-12-19 20:31:08',null);
INSERT INTO complaint_statuses VALUES('10098','3086','3',null,'53',null,'19-DEC-2020
COM NO 301075477','92','92','2020-12-19 20:41:23','2020-12-19 22:46:16',null);
INSERT INTO complaint_statuses VALUES('10099','2863','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 20:42:03','2020-12-19 20:42:03',null);
INSERT INTO complaint_statuses VALUES('10100','2917','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 20:44:13','2020-12-19 20:44:13',null);
INSERT INTO complaint_statuses VALUES('10101','3087','3',null,'62',null,'19-DEC-2020
FF TO KHURRAM 5 STAR','74','92','2020-12-19 20:48:28','2020-12-24 20:34:13',null);
INSERT INTO complaint_statuses VALUES('10102','2858','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 20:49:38','2020-12-19 20:49:38',null);
INSERT INTO complaint_statuses VALUES('10103','2822','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-19 20:52:07','2020-12-19 20:52:07',null);
INSERT INTO complaint_statuses VALUES('10104','2856','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 20:52:17','2020-12-19 20:52:17',null);
INSERT INTO complaint_statuses VALUES('10105','2851','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 20:58:40','2020-12-19 20:58:40',null);
INSERT INTO complaint_statuses VALUES('10106','3089','2',null,'81',null,'19-DEC-2020
FF TO USMAM MRM','74','74','2020-12-19 20:59:49','2020-12-19 20:59:49',null);
INSERT INTO complaint_statuses VALUES('10107','3090','2',null,'81',null,'19-DEC-2020
FF TO USMAN MRM','74','74','2020-12-19 21:01:14','2020-12-19 21:01:14',null);
INSERT INTO complaint_statuses VALUES('10108','3090','4',null,'61',null,null,'81','81','2020-12-19 21:03:10','2020-12-19 21:03:10',null);
INSERT INTO complaint_statuses VALUES('10109','3089','4',null,'61',null,null,'81','81','2020-12-19 21:03:21','2020-12-19 21:03:21',null);
INSERT INTO complaint_statuses VALUES('10110','3085','4',null,'61',null,null,'81','81','2020-12-19 21:03:39','2020-12-19 21:03:39',null);
INSERT INTO complaint_statuses VALUES('10111','2840','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 21:06:23','2020-12-19 21:06:23',null);
INSERT INTO complaint_statuses VALUES('10112','3088','3',null,'57',null,null,'74','74','2020-12-19 21:07:51','2020-12-19 21:07:51',null);
INSERT INTO complaint_statuses VALUES('10113','2832','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 21:08:47','2020-12-19 21:08:47',null);
INSERT INTO complaint_statuses VALUES('10114','2831','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 21:11:06','2020-12-19 21:11:06',null);
INSERT INTO complaint_statuses VALUES('10115','2829','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 21:12:53','2020-12-19 21:12:53',null);
INSERT INTO complaint_statuses VALUES('10116','2827','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 21:15:21','2020-12-19 21:15:21',null);
INSERT INTO complaint_statuses VALUES('10117','3091','2',null,'81',null,'19-DEC-2020
FF TO B.COOL','74','74','2020-12-19 21:15:52','2020-12-19 21:15:52',null);
INSERT INTO complaint_statuses VALUES('10118','3091','4',null,'58',null,null,'81','81','2020-12-19 21:16:19','2020-12-19 21:16:19',null);
INSERT INTO complaint_statuses VALUES('10119','2799','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 21:21:32','2020-12-19 21:21:32',null);
INSERT INTO complaint_statuses VALUES('10120','3092','3',null,'57',null,'19-DEC-2020
COM NO 15407','92','92','2020-12-19 21:34:36','2020-12-21 19:30:30',null);
INSERT INTO complaint_statuses VALUES('10121','2746','7','12','81','Custmer ky ghar phonch gea hy',null,'82','82','2020-12-19 21:37:58','2020-12-19 21:37:58',null);
INSERT INTO complaint_statuses VALUES('10122','1656','7','12','81','No action unit with customer',null,'77','77','2020-12-19 21:59:12','2020-12-19 21:59:12',null);
INSERT INTO complaint_statuses VALUES('10123','1717','7','12','81','No action',null,'77','77','2020-12-19 21:59:47','2020-12-19 21:59:47',null);
INSERT INTO complaint_statuses VALUES('10124','2746','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-19 22:04:01','2020-12-19 22:18:54',null);
INSERT INTO complaint_statuses VALUES('10125','1763','7','12','81','No action completed','PANAL DAMAGE HAIN CUSTOMER KO EX 55000 KA INFORMED KAR DIA CUSTOMER ABI NAI ATTEND KARWANA CAHAH RAHAY COMPLAINT','77','74','2020-12-19 22:05:38','2020-12-19 22:35:17',null);
INSERT INTO complaint_statuses VALUES('10126','2722','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-19 22:05:43','2020-12-19 22:58:04',null);
INSERT INTO complaint_statuses VALUES('10127','2717','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-19 22:06:10','2020-12-19 22:59:41',null);
INSERT INTO complaint_statuses VALUES('10128','2696','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-19 22:06:41','2020-12-22 02:12:04',null);
INSERT INTO complaint_statuses VALUES('10129','2758','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 22:06:54','2020-12-19 22:06:54',null);
INSERT INTO complaint_statuses VALUES('10130','2502','8','23','56','where is unit . your service center ya friends showroom',null,'81','81','2020-12-19 22:08:19','2020-12-19 22:08:19',null);
INSERT INTO complaint_statuses VALUES('10131','2333','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-19 22:08:54','2020-12-19 23:25:19',null);
INSERT INTO complaint_statuses VALUES('10132','2750','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 22:09:43','2020-12-19 22:09:43',null);
INSERT INTO complaint_statuses VALUES('10133','2163','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-19 22:14:19','2020-12-19 23:27:01',null);
INSERT INTO complaint_statuses VALUES('10134','2734','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 22:14:39','2020-12-19 22:14:39',null);
INSERT INTO complaint_statuses VALUES('10135','3051','3',null,'67',null,null,'74','74','2020-12-19 22:16:26','2020-12-19 22:16:26',null);
INSERT INTO complaint_statuses VALUES('10136','3093','3',null,'65',null,'19-DEC-2020
COMPLAINT#192019597','74','74','2020-12-19 22:16:57','2020-12-20 02:33:01',null);
INSERT INTO complaint_statuses VALUES('10137','2135','5','15',null,'washing machine return ho gahe hy 40000/ detaction ki customer sy sale mudassar sb ny pwd sy dale . grn no 33298','COMPLAINT CLOSED','81','74','2020-12-19 22:28:14','2020-12-19 23:27:58',null);
INSERT INTO complaint_statuses VALUES('10138','2624','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-19 22:28:15','2020-12-19 22:28:15',null);
INSERT INTO complaint_statuses VALUES('10139','1763','5','15',null,'CPANAL DAMAGE HAIN CUSTOMER KO PANL KI PRICE 55000 INFORMED KAR DI HAIN CUSTOMER ABI AGREE NAI  SO COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2020-12-19 22:37:46','2020-12-19 23:30:11',null);
INSERT INTO complaint_statuses VALUES('10140','1717','5','15',null,'SET PA SCRATCHES THAY CUSTOMER KI ADIL FHSS SA BAT CAHL RAHI HAIN MODEL ABI STOCK MAIN AVAIL NAI HAIN SO COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2020-12-19 22:52:01','2020-12-19 23:30:50',null);
INSERT INTO complaint_statuses VALUES('10141','1656','5','15',null,'SET MAIN ABI KOI ISSUE NAI AGR KOI ISSUE AAY GA TU CUSTOMER DIRECT KHALID SAB SA CONTACT KAR LAY GAY SO COMPLAINT CLOSED','COMPLAINT RESOLVED','81','74','2020-12-19 22:54:19','2020-12-19 23:33:35',null);
INSERT INTO complaint_statuses VALUES('10142','1393','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-19 22:55:21','2020-12-19 23:36:33',null);
INSERT INTO complaint_statuses VALUES('10143','1300','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-12-19 22:56:29','2020-12-19 23:13:41',null);
INSERT INTO complaint_statuses VALUES('10144','1249','8','23','58','gear replace kar deya hy 9000 customer ko bata deya hy',null,'81','81','2020-12-19 22:58:28','2020-12-19 22:58:28',null);
INSERT INTO complaint_statuses VALUES('10145','3094','3',null,'53',null,'19-DEC-2020
COM NO 75482','92','92','2020-12-19 23:01:19','2020-12-19 23:04:26',null);
INSERT INTO complaint_statuses VALUES('10146','2978','8','23','63','EHSAN SAB SA BT HO GEI HAIN 1-10/ BAJWA RAHAY HAIN HOB','COMPLAINT RESOLVED','81','74','2020-12-19 23:02:58','2021-01-20 20:44:23',null);
INSERT INTO complaint_statuses VALUES('10147','3010','8','23','55','explain problem',null,'81','81','2020-12-19 23:04:10','2020-12-19 23:04:10',null);
INSERT INTO complaint_statuses VALUES('10148','2959','8','23','55','i-10 sy ley len','VEGETABLE  BOX CUSTOMER KO REPLACE KAR DIA','81','74','2020-12-19 23:05:06','2020-12-31 22:41:53',null);
INSERT INTO complaint_statuses VALUES('10149','2913','8','23','55','compressor i-10 sy day deya hy kindle old compressor wapis i-10 bheg den',null,'81','81','2020-12-19 23:06:31','2020-12-19 23:06:31',null);
INSERT INTO complaint_statuses VALUES('10150','3095','2',null,'81',null,'19-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-19 23:20:45','2020-12-19 23:20:45',null);
INSERT INTO complaint_statuses VALUES('10151','3096','3',null,'52',null,'19-DEC-2020
COMPLAINT#PKRI-201219103591','74','74','2020-12-19 23:23:08','2020-12-19 23:23:08',null);
INSERT INTO complaint_statuses VALUES('10152','3095','4',null,'63',null,null,'81','81','2020-12-19 23:29:12','2020-12-19 23:29:12',null);
INSERT INTO complaint_statuses VALUES('10153','3097','3',null,'53',null,'19-DEC-2020
COM NO 1075507','92','92','2020-12-19 23:38:42','2020-12-19 23:40:55',null);
INSERT INTO complaint_statuses VALUES('10154','2706','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-19 23:40:17','2020-12-19 23:40:17',null);
INSERT INTO complaint_statuses VALUES('10155','2521','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-19 23:41:18','2020-12-19 23:41:18',null);
INSERT INTO complaint_statuses VALUES('10156','3098','2',null,'81',null,'19-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-20 00:10:05','2020-12-20 00:10:05',null);
INSERT INTO complaint_statuses VALUES('10157','3099','2',null,'81',null,'19-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-20 00:10:20','2020-12-20 00:10:20',null);
INSERT INTO complaint_statuses VALUES('10158','3100','2',null,'81',null,'19-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-20 00:10:37','2020-12-20 00:10:37',null);
INSERT INTO complaint_statuses VALUES('10159','3101','2',null,'81',null,'19-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-20 00:10:38','2020-12-20 00:10:38',null);
INSERT INTO complaint_statuses VALUES('10160','1849','7','12','81','No action. Unit not with us.',null,'77','77','2020-12-20 00:23:54','2020-12-20 00:23:54',null);
INSERT INTO complaint_statuses VALUES('10161','3101','4',null,'55',null,null,'81','81','2020-12-20 00:54:26','2020-12-20 00:54:26',null);
INSERT INTO complaint_statuses VALUES('10162','3100','4',null,'55',null,null,'81','81','2020-12-20 00:54:38','2020-12-20 00:54:38',null);
INSERT INTO complaint_statuses VALUES('10163','3099','4',null,'55',null,null,'81','81','2020-12-20 00:54:52','2020-12-20 00:54:52',null);
INSERT INTO complaint_statuses VALUES('10164','3099','4',null,'55',null,null,'81','81','2020-12-20 00:54:52','2020-12-20 00:54:52',null);
INSERT INTO complaint_statuses VALUES('10165','3098','4',null,'55',null,null,'81','81','2020-12-20 00:55:06','2020-12-20 00:55:06',null);
INSERT INTO complaint_statuses VALUES('10166','1849','5','15',null,'MORTAZA BUT KO IC SET KI MAIL AAGEI THI CLOSED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-20 00:56:04','2020-12-20 00:57:54',null);
INSERT INTO complaint_statuses VALUES('10167','3102','3',null,'52',null,'19-DEC-2020
COM NO PKRI-201219108312','92','92','2020-12-20 01:07:34','2020-12-20 01:07:34',null);
INSERT INTO complaint_statuses VALUES('10168','3103','3',null,'73',null,'19-DEC-2020
COMPLAINT#3149','74','74','2020-12-20 01:07:47','2020-12-20 01:07:47',null);
INSERT INTO complaint_statuses VALUES('10169','3104','2',null,'81',null,'19-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-20 01:30:37','2020-12-20 01:30:37',null);
INSERT INTO complaint_statuses VALUES('10170','3066','7','12','81','ISSUE REOLVED',null,'87','87','2020-12-20 01:38:20','2020-12-20 01:38:20',null);
INSERT INTO complaint_statuses VALUES('10171','2531','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-20 01:45:44','2020-12-20 01:45:44',null);
INSERT INTO complaint_statuses VALUES('10172','3105','2',null,'81',null,'19-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-20 01:47:58','2020-12-20 01:47:58',null);
INSERT INTO complaint_statuses VALUES('10173','3106','3',null,'53',null,'19-DEC-2020
COM NO 301075562','92','92','2020-12-20 02:05:59','2020-12-20 02:36:01',null);
INSERT INTO complaint_statuses VALUES('10174','3107','3',null,'68',null,'19-DEC-2020
COMPLAINT FF  MANSOOR SHARP','74','74','2020-12-20 02:18:25','2020-12-20 02:18:25',null);
INSERT INTO complaint_statuses VALUES('10175','3108','3',null,'54',null,'19-DEC-2020
COM NO 1786559','92','92','2020-12-20 02:29:59','2020-12-20 02:32:05',null);
INSERT INTO complaint_statuses VALUES('10176','3109','2',null,'81',null,'19-DEC-2020
FF TO USMAN MRM','74','74','2020-12-20 02:39:45','2020-12-20 02:39:45',null);
INSERT INTO complaint_statuses VALUES('10177','3109','4',null,'61',null,null,'81','81','2020-12-20 02:40:11','2020-12-20 02:40:11',null);
INSERT INTO complaint_statuses VALUES('10178','3105','4',null,'62',null,null,'81','81','2020-12-20 02:40:36','2020-12-20 02:40:36',null);
INSERT INTO complaint_statuses VALUES('10179','3104','4',null,'55',null,null,'81','81','2020-12-20 02:40:47','2020-12-20 02:40:47',null);
INSERT INTO complaint_statuses VALUES('10180','3066','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-20 02:41:50','2020-12-20 02:50:03',null);
INSERT INTO complaint_statuses VALUES('10181','2877','8','23','63','OTHER#03325414716',null,'81','81','2020-12-20 02:49:35','2020-12-20 02:49:35',null);
INSERT INTO complaint_statuses VALUES('10182','2784','7','12','81','Gas Recharges Payment Pending 5500/-',null,'76','76','2020-12-20 03:45:15','2020-12-20 03:45:15',null);
INSERT INTO complaint_statuses VALUES('10183','3076','7','12','81','COMPLAINT RESOLVED .NO ISSUE IN GZR',null,'79','79','2020-12-20 04:32:19','2020-12-20 04:32:19',null);
INSERT INTO complaint_statuses VALUES('10184','3040','7','12','81','COMPLAINT RSOLVED.CUOTEMER NY KH AHI K WM THEEK HO GAI HAI.NO VISIT .',null,'79','79','2020-12-20 04:34:12','2020-12-20 04:34:12',null);
INSERT INTO complaint_statuses VALUES('10185','2937','7','12','81','INLET COIL CHANGE IN WARRNY',null,'79','79','2020-12-20 04:34:49','2020-12-20 04:34:49',null);
INSERT INTO complaint_statuses VALUES('10186','3110','3',null,'52',null,'20-DEC-2020
COM NO PKRI-201220101314','92','92','2020-12-20 19:44:37','2020-12-20 19:48:15',null);
INSERT INTO complaint_statuses VALUES('10187','3111','3',null,'55',null,'20-DEC-2020
COM NO 705873','92','92','2020-12-20 20:04:20','2020-12-20 20:06:09',null);
INSERT INTO complaint_statuses VALUES('10188','3112','2',null,'81',null,'20-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-20 20:15:29','2020-12-20 20:15:29',null);
INSERT INTO complaint_statuses VALUES('10189','3113','3',null,'62',null,'20-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-20 20:30:40','2020-12-20 20:30:40',null);
INSERT INTO complaint_statuses VALUES('10190','3114','3',null,'55',null,'20-DEC-2020
COM NO 705900','92','92','2020-12-20 21:17:03','2020-12-20 21:18:08',null);
INSERT INTO complaint_statuses VALUES('10191','2404','7','22','81','B;OER ARRANGE NAHI RHA .MARKIT SY CHEK KIYE WO NAHI LG RAHY .AB KINDLY IS KA BATA DEIN KIA KERNA  HAI.. THANKS',null,'79','79','2020-12-20 21:34:38','2020-12-20 21:34:38',null);
INSERT INTO complaint_statuses VALUES('10192','2810','7','12','81','CUSTOMER BOL RAHY HAIN KUCH DIN LY KR AON GA',null,'79','79','2020-12-20 21:43:32','2020-12-20 21:43:32',null);
INSERT INTO complaint_statuses VALUES('10193','3115','3',null,'52',null,'20-DEC-2020
COM NO PKRI-201220103132','92','92','2020-12-20 21:54:03','2020-12-20 21:59:04',null);
INSERT INTO complaint_statuses VALUES('10194','3112','4',null,'58',null,null,'81','81','2020-12-20 22:01:41','2020-12-20 22:01:41',null);
INSERT INTO complaint_statuses VALUES('10195','3116','2',null,'81',null,'20-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-20 22:17:30','2020-12-20 22:17:30',null);
INSERT INTO complaint_statuses VALUES('10196','3117','2',null,'81',null,'20-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-20 22:34:30','2020-12-20 22:34:30',null);
INSERT INTO complaint_statuses VALUES('10197','3118','2',null,'81',null,'20-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-20 22:59:39','2020-12-20 22:59:39',null);
INSERT INTO complaint_statuses VALUES('10198','3119','2',null,'81',null,'20-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-20 23:35:17','2020-12-20 23:35:17',null);
INSERT INTO complaint_statuses VALUES('10199','3091','7','12','81','RELAY OVER LOAD .CHANGE KIA  COMPLIANT RESOLVED',null,'79','79','2020-12-21 00:17:09','2020-12-21 00:17:09',null);
INSERT INTO complaint_statuses VALUES('10200','3120','3',null,'90',null,'20-DEC-2020
COM NO 1260','92','92','2020-12-21 00:19:02','2020-12-21 19:33:26',null);
INSERT INTO complaint_statuses VALUES('10201','3121','2',null,'81',null,'20-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-21 00:37:31','2020-12-21 00:37:31',null);
INSERT INTO complaint_statuses VALUES('10202','3122','3',null,'52',null,'20-DEC-2020
COM NO PKRI-201220105574','92','92','2020-12-21 01:11:59','2020-12-21 01:16:13',null);
INSERT INTO complaint_statuses VALUES('10203','3078','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-21 01:19:34','2020-12-21 01:19:34',null);
INSERT INTO complaint_statuses VALUES('10204','2952','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-21 01:25:58','2020-12-21 01:25:58',null);
INSERT INTO complaint_statuses VALUES('10205','2965','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-21 01:27:37','2020-12-21 01:27:37',null);
INSERT INTO complaint_statuses VALUES('10206','3023','7','12','81','ISSUE RESOLVED GAS CHARGED + COMP',null,'87','87','2020-12-21 01:28:58','2020-12-21 01:28:58',null);
INSERT INTO complaint_statuses VALUES('10207','2982','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-21 01:31:41','2020-12-21 01:31:41',null);
INSERT INTO complaint_statuses VALUES('10208','2984','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-21 01:33:26','2020-12-21 01:33:26',null);
INSERT INTO complaint_statuses VALUES('10209','2987','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-21 01:36:21','2020-12-21 01:36:21',null);
INSERT INTO complaint_statuses VALUES('10210','2991','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-21 01:38:21','2020-12-21 01:38:21',null);
INSERT INTO complaint_statuses VALUES('10211','3009','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-21 01:44:41','2020-12-21 01:44:41',null);
INSERT INTO complaint_statuses VALUES('10212','3075','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-21 01:51:45','2020-12-21 01:51:45',null);
INSERT INTO complaint_statuses VALUES('10213','3070','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-21 01:56:33','2020-12-21 01:56:33',null);
INSERT INTO complaint_statuses VALUES('10214','3057','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-21 02:04:46','2020-12-21 02:04:46',null);
INSERT INTO complaint_statuses VALUES('10215','3056','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-21 02:06:49','2020-12-21 02:06:49',null);
INSERT INTO complaint_statuses VALUES('10216','3045','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-21 02:15:17','2020-12-21 02:15:17',null);
INSERT INTO complaint_statuses VALUES('10217','3081','7','12','81','JO NOSEL WO Laga rhy thy uska issue tha .hob mein ko issue nahi ha customer  ko check kerwa dya hai.',null,'79','79','2020-12-21 03:19:11','2020-12-21 03:19:11',null);
INSERT INTO complaint_statuses VALUES('10218','3123','2',null,'81',null,'21-DEC-2020
COM FF TO  
 SHAMMIM AKHTER','92','92','2020-12-21 19:42:17','2020-12-24 01:47:25',null);
INSERT INTO complaint_statuses VALUES('10219','3073','7','9','81',null,null,'76','76','2020-12-21 19:49:40','2020-12-21 19:49:40',null);
INSERT INTO complaint_statuses VALUES('10220','3124','3',null,'52',null,'21-DEC-2020
COM NO PKRI-201221101646','92','92','2020-12-21 19:51:18','2020-12-21 19:51:58',null);
INSERT INTO complaint_statuses VALUES('10221','2872','7','26','81','Plz sand compny forwerd',null,'82','82','2020-12-21 20:01:08','2020-12-21 20:01:08',null);
INSERT INTO complaint_statuses VALUES('10222','3123','4',null,'55',null,null,'81','81','2020-12-21 20:01:43','2020-12-21 20:01:43',null);
INSERT INTO complaint_statuses VALUES('10223','3121','4',null,'55',null,null,'81','81','2020-12-21 20:01:56','2020-12-21 20:01:56',null);
INSERT INTO complaint_statuses VALUES('10224','3119','4',null,'55',null,null,'81','81','2020-12-21 20:02:05','2020-12-21 20:02:05',null);
INSERT INTO complaint_statuses VALUES('10225','3118','4',null,'58',null,null,'81','81','2020-12-21 20:02:17','2020-12-21 20:02:17',null);
INSERT INTO complaint_statuses VALUES('10226','3117','4',null,'58',null,null,'81','81','2020-12-21 20:02:27','2020-12-21 20:02:27',null);
INSERT INTO complaint_statuses VALUES('10227','3116','4',null,'58',null,null,'81','81','2020-12-21 20:02:47','2020-12-21 20:02:47',null);
INSERT INTO complaint_statuses VALUES('10228','3091','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-12-21 20:12:11','2020-12-21 20:21:20',null);
INSERT INTO complaint_statuses VALUES('10229','3125','2',null,'81',null,'21-DEC-2020
COM FF TO KHALID SONY','92','92','2020-12-21 20:14:46','2020-12-21 20:14:46',null);
INSERT INTO complaint_statuses VALUES('10230','3076','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-21 20:20:34','2020-12-21 20:21:51',null);
INSERT INTO complaint_statuses VALUES('10231','3126','3',null,'81',null,'21-DEC-2020
COM NO 5048','92','92','2020-12-21 20:21:13','2020-12-24 19:55:27',null);
INSERT INTO complaint_statuses VALUES('10232','3073','8','23','55','ON HAIN CUSTOMER KA NO AGAIN CONTACT KARAY',null,'81','81','2020-12-21 20:28:03','2020-12-21 20:28:03',null);
INSERT INTO complaint_statuses VALUES('10233','3040','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-21 20:29:09','2020-12-21 20:29:54',null);
INSERT INTO complaint_statuses VALUES('10234','3023','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-21 20:30:24','2020-12-21 20:42:13',null);
INSERT INTO complaint_statuses VALUES('10235','2937','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-21 20:31:43','2020-12-21 20:42:57',null);
INSERT INTO complaint_statuses VALUES('10236','2872','5','15',null,'COMPLAINT ATTEND HO GEI BUT ISSUE RESOLVED NA HOA COMPANY FF KARWA DI AZHAR FCI NA','COMPLAINT CLOSED','81','74','2020-12-21 20:41:14','2020-12-21 20:43:33',null);
INSERT INTO complaint_statuses VALUES('10237','3127','3',null,'53',null,'21-DEC-2020
COMPLAINT#1075706','74','74','2020-12-21 20:41:51','2020-12-21 20:41:51',null);
INSERT INTO complaint_statuses VALUES('10238','3128','2',null,'81',null,'21-DEC-2020
COM FF TO KHALID SONY','92','92','2020-12-21 20:43:25','2020-12-21 20:43:25',null);
INSERT INTO complaint_statuses VALUES('10239','3128','4',null,'56',null,null,'81','81','2020-12-21 20:48:09','2020-12-21 20:48:09',null);
INSERT INTO complaint_statuses VALUES('10240','3125','4',null,'56',null,null,'81','81','2020-12-21 20:48:40','2020-12-21 20:48:40',null);
INSERT INTO complaint_statuses VALUES('10241','2810','5','15',null,'CUSTOMER ABI W/D SERVICES CENTER LA K AANY PA INTERESTED NAI CUSTOMER SIDE SA DELAY COMPLAINT','COMPLAINT CLOSED','81','74','2020-12-21 20:54:57','2020-12-21 21:33:43',null);
INSERT INTO complaint_statuses VALUES('10242','2955','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-21 20:58:16','2020-12-21 20:58:16',null);
INSERT INTO complaint_statuses VALUES('10243','2944','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-21 21:01:49','2020-12-21 21:01:49',null);
INSERT INTO complaint_statuses VALUES('10244','2957','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-21 21:03:41','2020-12-21 21:03:41',null);
INSERT INTO complaint_statuses VALUES('10245','2939','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-21 21:05:10','2020-12-21 21:05:10',null);
INSERT INTO complaint_statuses VALUES('10246','2936','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-12-21 21:08:53','2020-12-21 21:08:53',null);
INSERT INTO complaint_statuses VALUES('10247','2932','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-21 21:12:21','2020-12-21 21:12:21',null);
INSERT INTO complaint_statuses VALUES('10248','3129','2',null,'81',null,'21-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-21 21:22:48','2020-12-21 21:22:48',null);
INSERT INTO complaint_statuses VALUES('10249','3130','3',null,'65',null,'21-DEC-2020
COM NO 192019620','92','92','2020-12-21 21:31:32','2020-12-21 21:34:34',null);
INSERT INTO complaint_statuses VALUES('10250','1445','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-21 21:32:29','2020-12-21 21:32:29',null);
INSERT INTO complaint_statuses VALUES('10251','2927','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-21 21:36:39','2020-12-21 21:36:39',null);
INSERT INTO complaint_statuses VALUES('10252','3131','2',null,'81',null,'21-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-21 21:43:52','2020-12-21 21:43:52',null);
INSERT INTO complaint_statuses VALUES('10253','2960','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-12-21 21:51:42','2020-12-21 21:51:42',null);
INSERT INTO complaint_statuses VALUES('10254','2075','7','12','81','COMPLAINT RESOLVED',null,'88','88','2020-12-21 21:58:23','2020-12-21 21:58:23',null);
INSERT INTO complaint_statuses VALUES('10255','2916','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-12-21 21:58:53','2020-12-21 21:58:53',null);
INSERT INTO complaint_statuses VALUES('10256','3081','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-21 22:03:11','2020-12-22 20:47:49',null);
INSERT INTO complaint_statuses VALUES('10257','2916','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-21 22:03:44','2020-12-21 22:15:40',null);
INSERT INTO complaint_statuses VALUES('10258','2075','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-12-21 22:04:13','2020-12-22 02:12:38',null);
INSERT INTO complaint_statuses VALUES('10259','3129','4',null,'58',null,null,'81','81','2020-12-21 22:05:19','2020-12-21 22:05:19',null);
INSERT INTO complaint_statuses VALUES('10260','3131','4',null,'63',null,'NOT ATTEND  CALL','81','74','2020-12-21 22:05:32','2020-12-28 23:53:21',null);
INSERT INTO complaint_statuses VALUES('10261','3132','2',null,'81',null,'21-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-21 22:06:23','2020-12-21 22:06:23',null);
INSERT INTO complaint_statuses VALUES('10262','2894','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-21 22:08:51','2020-12-21 22:08:51',null);
INSERT INTO complaint_statuses VALUES('10263','3133','2',null,'81',null,'21-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-21 22:10:00','2020-12-21 22:10:00',null);
INSERT INTO complaint_statuses VALUES('10264','3133','4',null,'58',null,null,'81','81','2020-12-21 22:14:58','2020-12-21 22:14:58',null);
INSERT INTO complaint_statuses VALUES('10265','3132','4',null,'58',null,null,'81','81','2020-12-21 22:15:08','2020-12-21 22:15:08',null);
INSERT INTO complaint_statuses VALUES('10266','3134','3',null,'75',null,'21-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-21 22:16:04','2020-12-22 23:52:29',null);
INSERT INTO complaint_statuses VALUES('10267','3135','2',null,'81',null,'21-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-21 22:34:00','2020-12-21 22:34:00',null);
INSERT INTO complaint_statuses VALUES('10268','3136','3',null,'52',null,'21-DEC-2020
COM NO PKRI 201221107280','92','92','2020-12-21 22:47:29','2020-12-21 23:27:24',null);
INSERT INTO complaint_statuses VALUES('10269','3137','3',null,'53',null,'21-DEC-2020
COM NO 301075789','92','92','2020-12-21 22:59:25','2020-12-21 23:02:55',null);
INSERT INTO complaint_statuses VALUES('10270','3138','3',null,'52',null,'21-DEC-2020
COM NO PKRI-201221107240','92','92','2020-12-21 23:22:27','2020-12-21 23:25:08',null);
INSERT INTO complaint_statuses VALUES('10271','3008','7','24','81','Its panel is faulty. Cost Rs 135,000 nees approval',null,'77','77','2020-12-21 23:50:35','2020-12-21 23:50:35',null);
INSERT INTO complaint_statuses VALUES('10272','3139','2',null,'81',null,'21-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-22 00:19:49','2020-12-22 00:19:49',null);
INSERT INTO complaint_statuses VALUES('10273','3139','4',null,'58',null,null,'81','81','2020-12-22 00:32:48','2020-12-22 00:32:48',null);
INSERT INTO complaint_statuses VALUES('10274','3135','4',null,'58',null,null,'81','81','2020-12-22 00:32:59','2020-12-22 00:32:59',null);
INSERT INTO complaint_statuses VALUES('10275','2974','7','26','81','sound system customer ko gift main dia gea tha
fil hal part N/A customer system wapis ly gea hy',null,'80','80','2020-12-22 00:41:15','2020-12-22 00:41:15',null);
INSERT INTO complaint_statuses VALUES('10276','3140','3',null,'54',null,'21-DEC-2020
COMPLAINT#1787467','74','74','2020-12-22 00:43:32','2020-12-22 00:43:32',null);
INSERT INTO complaint_statuses VALUES('10277','3141','2',null,'81',null,'21-DEC-2020
FF TO USMAN MRM','74','74','2020-12-22 00:46:53','2020-12-22 00:46:53',null);
INSERT INTO complaint_statuses VALUES('10278','3141','4',null,'61',null,null,'81','81','2020-12-22 00:47:23','2020-12-22 00:47:23',null);
INSERT INTO complaint_statuses VALUES('10279','3116','7','12','81','no issue is wm chwck kerwa di hai.complaint resolved',null,'79','79','2020-12-22 00:57:56','2020-12-22 00:57:56',null);
INSERT INTO complaint_statuses VALUES('10280','3112','7','22','81','compressor issue .refer to service center',null,'79','79','2020-12-22 01:02:44','2020-12-22 01:02:44',null);
INSERT INTO complaint_statuses VALUES('10281','3116','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-22 01:05:22','2020-12-22 01:57:35',null);
INSERT INTO complaint_statuses VALUES('10282','2784','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-22 01:05:44','2020-12-24 23:52:15',null);
INSERT INTO complaint_statuses VALUES('10283','3142','3',null,'53',null,'21-DEC-2020
COM NO 301075837','92','92','2020-12-22 01:10:38','2020-12-22 01:14:13',null);
INSERT INTO complaint_statuses VALUES('10284','2848','7','12','81','Panel repair  RS 4000/-',null,'83','83','2020-12-22 01:22:47','2020-12-22 01:22:47',null);
INSERT INTO complaint_statuses VALUES('10285','2995','7','24','81','main pcb Required',null,'83','83','2020-12-22 01:27:23','2020-12-22 01:27:23',null);
INSERT INTO complaint_statuses VALUES('10286','2998','7','24','81','Panel required',null,'83','83','2020-12-22 01:27:46','2020-12-22 01:27:46',null);
INSERT INTO complaint_statuses VALUES('10287','3053','7','26','81','500 visit  customer not ready to pay   
unit khod ly k aya ga service center',null,'83','83','2020-12-22 01:28:55','2020-12-22 01:28:55',null);
INSERT INTO complaint_statuses VALUES('10288','3143','2',null,'81',null,'21-DEC-2020
COM FF TO AZHAR RAMZAN','92','92','2020-12-22 01:37:05','2020-12-22 01:37:05',null);
INSERT INTO complaint_statuses VALUES('10289','3090','7','12','81','SMPS CONECTER REPAIR  RS 1000/-',null,'83','83','2020-12-22 01:42:50','2020-12-22 01:42:50',null);
INSERT INTO complaint_statuses VALUES('10290','3089','7','12','81','IR Wire Repair RS 1000/-',null,'83','83','2020-12-22 01:43:24','2020-12-22 01:43:24',null);
INSERT INTO complaint_statuses VALUES('10291','3085','7','12','81','IR Wire Repair RS 1000/-',null,'83','83','2020-12-22 01:43:48','2020-12-22 01:43:48',null);
INSERT INTO complaint_statuses VALUES('10292','3053','5','23',null,'CUSTOMER SA BT HO GEI HAIN VISIT CHARGES [PAY KARAY GAY  AGAIN CUSTOMER SA CONTACT KAR LAY','COMPLAINT REOPEN KAR DI','81','74','2020-12-22 01:44:41','2020-12-22 02:08:06',null);
INSERT INTO complaint_statuses VALUES('10293','3143','4',null,'60',null,'COMPLAINT#301076290','81','74','2020-12-22 01:45:07','2020-12-24 00:11:20',null);
INSERT INTO complaint_statuses VALUES('10294','3144','3',null,'88',null,'21-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-22 01:45:47','2021-01-31 21:29:00',null);
INSERT INTO complaint_statuses VALUES('10295','3145','2',null,'81',null,'17-DEC-2020
COM FF TO USMAN MRM','74','74','2020-12-22 01:46:12','2020-12-22 01:46:12',null);
INSERT INTO complaint_statuses VALUES('10296','3145','4',null,'61',null,null,'81','81','2020-12-22 01:46:46','2020-12-22 01:46:46',null);
INSERT INTO complaint_statuses VALUES('10297','3105','7','12','81','ISSUE RESOLVED, RELAY OVERLOAD REPLACED',null,'87','87','2020-12-22 01:51:39','2020-12-22 01:51:39',null);
INSERT INTO complaint_statuses VALUES('10298','3105','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-22 01:52:38','2020-12-22 01:55:52',null);
INSERT INTO complaint_statuses VALUES('10299','3146','3',null,'54',null,'21-DEC-2020
COM NO 1787544','92','92','2020-12-22 01:54:40','2020-12-22 01:54:40',null);
INSERT INTO complaint_statuses VALUES('10300','3090','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-22 02:02:12','2020-12-22 02:08:40',null);
INSERT INTO complaint_statuses VALUES('10301','3089','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-22 02:02:36','2020-12-22 02:09:17',null);
INSERT INTO complaint_statuses VALUES('10302','3147','2',null,'81',null,'21-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-22 02:03:01','2020-12-22 02:03:01',null);
INSERT INTO complaint_statuses VALUES('10303','3085','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-22 02:03:03','2020-12-22 02:09:51',null);
INSERT INTO complaint_statuses VALUES('10304','3147','4',null,'62',null,null,'81','81','2020-12-22 02:03:23','2020-12-22 02:03:23',null);
INSERT INTO complaint_statuses VALUES('10305','2974','5','15',null,'CLOSED COMPLAINT','CLOSED COMPLAINT','81','74','2020-12-22 02:07:30','2020-12-22 02:10:25',null);
INSERT INTO complaint_statuses VALUES('10306','3112','8','23','58',',',null,'81','81','2020-12-22 02:13:09','2020-12-22 02:13:09',null);
INSERT INTO complaint_statuses VALUES('10307','3148','2',null,'81',null,'21-DEC-2020
COM FF TO AZHAR FCI','92','92','2020-12-22 02:17:34','2020-12-22 02:17:34',null);
INSERT INTO complaint_statuses VALUES('10308','2848','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-22 02:34:42','2020-12-22 02:36:33',null);
INSERT INTO complaint_statuses VALUES('10309','3148','4',null,'60',null,null,'81','81','2020-12-22 02:35:41','2020-12-22 02:35:41',null);
INSERT INTO complaint_statuses VALUES('10310','3147','7','12','81','ISSUE RESOLVED  ON CAL',null,'87','87','2020-12-22 02:42:21','2020-12-22 02:42:21',null);
INSERT INTO complaint_statuses VALUES('10311','3149','2',null,'81',null,'21-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-22 02:49:52','2020-12-22 02:49:52',null);
INSERT INTO complaint_statuses VALUES('10312','3150','2',null,'81',null,'21-DEC-2020
COM FF TO KHALID SONY','92','92','2020-12-22 02:54:52','2020-12-22 02:54:52',null);
INSERT INTO complaint_statuses VALUES('10313','3147','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','74','2020-12-22 03:00:19','2020-12-22 20:39:22',null);
INSERT INTO complaint_statuses VALUES('10314','3150','4',null,'56',null,null,'81','81','2020-12-22 03:00:42','2020-12-22 03:00:42',null);
INSERT INTO complaint_statuses VALUES('10315','3149','4',null,'58',null,null,'81','81','2020-12-22 03:00:53','2020-12-22 03:00:53',null);
INSERT INTO complaint_statuses VALUES('10316','3151','3',null,'57',null,'21-DEC-2020
COM NO 15435','92','92','2020-12-22 03:02:15','2020-12-22 19:28:21',null);
INSERT INTO complaint_statuses VALUES('10317','3129','7','12','81','no issue in wm complaint resolved',null,'79','79','2020-12-22 04:25:22','2020-12-22 04:25:22',null);
INSERT INTO complaint_statuses VALUES('10318','3118','7','24','81','pelsator or body ka issue hai customer  electric rod used kr rehy thy.jis ki waja sy pelsotr  melt hogya hai',null,'79','79','2020-12-22 04:28:34','2020-12-22 04:28:34',null);
INSERT INTO complaint_statuses VALUES('10319','3062','7','22','81','door glass damge hai.',null,'79','79','2020-12-22 04:29:57','2020-12-22 04:29:57',null);
INSERT INTO complaint_statuses VALUES('10320','2967','7','12','81','compliant resolved.custoerm ly gaiye hain',null,'79','79','2020-12-22 04:32:16','2020-12-22 04:32:16',null);
INSERT INTO complaint_statuses VALUES('10321','3152','3',null,'55',null,'22-DEC-2020
COM NO 706466','92','92','2020-12-22 19:41:50','2020-12-22 19:42:55',null);
INSERT INTO complaint_statuses VALUES('10322','3153','2',null,'81',null,'22-DEC-2020
COM FF TO KHALID SONY','92','92','2020-12-22 19:55:23','2020-12-22 19:55:23',null);
INSERT INTO complaint_statuses VALUES('10323','2976','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-22 19:58:26','2020-12-22 19:58:26',null);
INSERT INTO complaint_statuses VALUES('10324','2972','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-22 20:02:49','2020-12-22 20:02:49',null);
INSERT INTO complaint_statuses VALUES('10325','3154','2',null,'81',null,'22-DEC-2020
FF TO SHAMIM AKHTER','74','74','2020-12-22 20:19:53','2020-12-22 20:19:53',null);
INSERT INTO complaint_statuses VALUES('10326','3154','4',null,'55',null,null,'81','81','2020-12-22 20:20:54','2020-12-22 20:20:54',null);
INSERT INTO complaint_statuses VALUES('10327','3153','4',null,'56',null,null,'81','81','2020-12-22 20:21:06','2020-12-22 20:21:06',null);
INSERT INTO complaint_statuses VALUES('10328','3155','3',null,'85',null,'22-DEC-2020
COMPLAINT#301075934
COMPLAINT#301075935
COMPLAINT#301075936','74','74','2020-12-22 20:21:27','2020-12-22 20:21:27',null);
INSERT INTO complaint_statuses VALUES('10329','2983','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-22 20:23:46','2020-12-22 20:23:46',null);
INSERT INTO complaint_statuses VALUES('10330','3156','2',null,'81',null,'22-DEC-2020
FF TO SHAMIM AKHTER','74','74','2020-12-22 20:31:19','2020-12-22 20:31:19',null);
INSERT INTO complaint_statuses VALUES('10331','3156','4',null,'55',null,null,'81','81','2020-12-22 20:31:57','2020-12-22 20:31:57',null);
INSERT INTO complaint_statuses VALUES('10332','3129','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-22 20:32:23','2020-12-22 20:39:53',null);
INSERT INTO complaint_statuses VALUES('10333','2967','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-22 20:33:26','2020-12-24 23:50:21',null);
INSERT INTO complaint_statuses VALUES('10334','3157','2',null,'81',null,'22-DEC-2020
FF TO B. COOL','74','74','2020-12-22 20:45:11','2020-12-22 20:45:11',null);
INSERT INTO complaint_statuses VALUES('10335','3158','3',null,'54',null,'22-DEC-2020
COMPLAINT#1787827','74','74','2020-12-22 20:51:01','2020-12-22 20:51:01',null);
INSERT INTO complaint_statuses VALUES('10336','3159','3',null,'80',null,'22-DEC-2020
FF TO AMNA BOACH','74','74','2020-12-22 21:02:38','2020-12-22 21:02:38',null);
INSERT INTO complaint_statuses VALUES('10337','3160','2',null,'81',null,'22-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-22 21:08:24','2020-12-22 21:08:24',null);
INSERT INTO complaint_statuses VALUES('10338','3112','7','12','81','RELAY CHANGE KI HAI .COMPLAINT RESOLVED',null,'79','79','2020-12-22 21:15:34','2020-12-22 21:15:34',null);
INSERT INTO complaint_statuses VALUES('10339','3161','3',null,'52',null,'22-DEC-2020
COMPLAINT#PKRI-201222104059','74','74','2020-12-22 21:16:51','2020-12-22 21:16:51',null);
INSERT INTO complaint_statuses VALUES('10340','3112','5','15',null,null,'AJ S/C LA K GAY HAIN I 10 /3
COMPLAINT RESOLVED','81','74','2020-12-22 21:18:47','2020-12-29 20:21:44',null);
INSERT INTO complaint_statuses VALUES('10341','3118','8','23','58',null,null,'81','81','2020-12-22 21:20:06','2020-12-22 21:20:06',null);
INSERT INTO complaint_statuses VALUES('10342','3062','8','23','58',null,null,'81','81','2020-12-22 21:20:31','2020-12-22 21:20:31',null);
INSERT INTO complaint_statuses VALUES('10343','3162','3',null,'88',null,'22-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-22 21:22:14','2020-12-22 21:22:14',null);
INSERT INTO complaint_statuses VALUES('10344','3163','3',null,'53',null,'22-DEC-2020
COM NO 1075975','92','92','2020-12-22 21:28:31','2020-12-22 21:33:04',null);
INSERT INTO complaint_statuses VALUES('10345','2986','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-22 21:29:01','2020-12-22 21:29:01',null);
INSERT INTO complaint_statuses VALUES('10346','3122','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-22 21:36:12','2020-12-22 21:36:12',null);
INSERT INTO complaint_statuses VALUES('10347','3115','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-22 21:40:44','2020-12-22 21:40:44',null);
INSERT INTO complaint_statuses VALUES('10348','2404','8','23','58',null,null,'81','81','2020-12-22 21:51:24','2020-12-22 21:51:24',null);
INSERT INTO complaint_statuses VALUES('10349','3008','8','23','56','led i-10 bhejwa den',null,'81','81','2020-12-22 21:52:24','2020-12-22 21:52:24',null);
INSERT INTO complaint_statuses VALUES('10350','3102','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-22 22:02:29','2020-12-22 22:02:29',null);
INSERT INTO complaint_statuses VALUES('10351','3164','2',null,'81',null,'22-DEC-2020
FF TO B.COOL','74','74','2020-12-22 22:05:45','2020-12-22 22:05:45',null);
INSERT INTO complaint_statuses VALUES('10352','3164','4',null,'58',null,null,'81','81','2020-12-22 22:08:53','2020-12-22 22:08:53',null);
INSERT INTO complaint_statuses VALUES('10353','3160','4',null,'58',null,'COMPLAINT RESOLVED','81','74','2020-12-22 22:09:05','2020-12-31 00:37:21',null);
INSERT INTO complaint_statuses VALUES('10354','3157','4',null,'58',null,null,'81','81','2020-12-22 22:09:15','2020-12-22 22:09:15',null);
INSERT INTO complaint_statuses VALUES('10355','3042','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-22 22:18:57','2020-12-22 22:18:57',null);
INSERT INTO complaint_statuses VALUES('10356','3165','2',null,'81',null,'22-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-22 22:20:14','2020-12-22 22:20:14',null);
INSERT INTO complaint_statuses VALUES('10357','3157','7','12','81','COMPLINT RESOLVED.MAGNETRON CHANGE .',null,'79','79','2020-12-22 22:20:44','2020-12-22 22:20:44',null);
INSERT INTO complaint_statuses VALUES('10358','3034','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-22 22:20:56','2020-12-22 22:20:56',null);
INSERT INTO complaint_statuses VALUES('10359','3165','4',null,'63',null,'COMPLAINT RESOLVED','81','74','2020-12-22 22:21:29','2020-12-31 00:33:40',null);
INSERT INTO complaint_statuses VALUES('10360','3031','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-22 22:24:29','2020-12-22 22:24:29',null);
INSERT INTO complaint_statuses VALUES('10361','3028','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-22 22:26:21','2020-12-22 22:26:21',null);
INSERT INTO complaint_statuses VALUES('10362','3166','2',null,'81',null,'22-DEC-2020
FF TO KHALID','74','74','2020-12-22 22:27:30','2020-12-22 22:27:30',null);
INSERT INTO complaint_statuses VALUES('10363','3166','4',null,'58',null,null,'81','81','2020-12-22 22:30:17','2020-12-22 22:30:17',null);
INSERT INTO complaint_statuses VALUES('10364','3022','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-22 22:34:06','2020-12-22 22:34:06',null);
INSERT INTO complaint_statuses VALUES('10365','3018','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-22 22:35:49','2020-12-22 22:35:49',null);
INSERT INTO complaint_statuses VALUES('10366','3006','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-22 22:44:17','2020-12-22 22:44:17',null);
INSERT INTO complaint_statuses VALUES('10367','3135','7','12','81','SETTING KI HAI COMPLAINT RESOLVED',null,'79','79','2020-12-22 22:49:50','2020-12-22 22:49:50',null);
INSERT INTO complaint_statuses VALUES('10368','3166','7','12','81','??????????????',null,'79','79','2020-12-22 22:50:57','2020-12-22 22:50:57',null);
INSERT INTO complaint_statuses VALUES('10369','3166','5','15',null,'WRONG VENDOR','COMPLAINT CLOSED','81','74','2020-12-22 22:55:27','2020-12-22 23:01:09',null);
INSERT INTO complaint_statuses VALUES('10370','3167','2',null,'81',null,'22-DEC-2020
FF TO KHALID','74','74','2020-12-22 22:57:51','2020-12-22 22:57:51',null);
INSERT INTO complaint_statuses VALUES('10371','3167','4',null,'56',null,null,'81','81','2020-12-22 22:58:18','2020-12-22 22:58:18',null);
INSERT INTO complaint_statuses VALUES('10372','3012','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-22 23:05:32','2020-12-22 23:05:32',null);
INSERT INTO complaint_statuses VALUES('10373','3168','3',null,'53',null,'22-DEC-2020
COMPLAINT#1076001','74','74','2020-12-22 23:05:45','2020-12-22 23:05:45',null);
INSERT INTO complaint_statuses VALUES('10374','3048','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-22 23:09:47','2020-12-22 23:09:47',null);
INSERT INTO complaint_statuses VALUES('10375','3169','3',null,'52',null,'22-DEC-2020
COMPLAINT#PKRI-201222106460','74','74','2020-12-22 23:10:22','2020-12-22 23:11:01',null);
INSERT INTO complaint_statuses VALUES('10376','3170','3',null,'52',null,'22-DEC-2020
COMPLAINT#PKRI-201222106517','74','74','2020-12-22 23:13:33','2020-12-22 23:13:33',null);
INSERT INTO complaint_statuses VALUES('10377','3084','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-22 23:17:24','2020-12-22 23:17:24',null);
INSERT INTO complaint_statuses VALUES('10378','3171','2',null,'81',null,'22-DEC-2020
FF TO USMAN MRM','74','74','2020-12-22 23:20:46','2020-12-22 23:20:46',null);
INSERT INTO complaint_statuses VALUES('10379','3171','4',null,'61',null,null,'81','81','2020-12-22 23:21:10','2020-12-22 23:21:10',null);
INSERT INTO complaint_statuses VALUES('10380','3172','2',null,'81',null,'22-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-22 23:35:39','2020-12-22 23:35:39',null);
INSERT INTO complaint_statuses VALUES('10381','3172','4',null,'63',null,'COMPLAINT RESOLVED','81','74','2020-12-22 23:36:11','2020-12-29 23:49:51',null);
INSERT INTO complaint_statuses VALUES('10382','3173','3',null,'62',null,'22-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-22 23:38:51','2020-12-22 23:38:51',null);
INSERT INTO complaint_statuses VALUES('10383','3174','3',null,'88',null,'22-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-23 00:01:22','2020-12-23 00:01:22',null);
INSERT INTO complaint_statuses VALUES('10384','3175','3',null,'53',null,'22-DEC-2020
COMPLAINT#301076031','74','74','2020-12-23 00:32:27','2020-12-23 00:32:27',null);
INSERT INTO complaint_statuses VALUES('10385','3176','3',null,'85',null,'22-DEC-2020
COMPLAINT#301076032','74','74','2020-12-23 00:35:30','2020-12-23 00:35:30',null);
INSERT INTO complaint_statuses VALUES('10386','3177','2',null,'81',null,'22-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-23 00:42:32','2020-12-23 00:42:32',null);
INSERT INTO complaint_statuses VALUES('10387','3178','3',null,'55',null,'22-DEC-2020
FF TO NAEEM KENWOO','74','74','2020-12-23 00:46:09','2020-12-23 00:46:09',null);
INSERT INTO complaint_statuses VALUES('10388','3157','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-23 00:50:02','2020-12-23 21:34:40',null);
INSERT INTO complaint_statuses VALUES('10389','3135','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-23 00:50:27','2020-12-23 23:54:44',null);
INSERT INTO complaint_statuses VALUES('10390','2998','8','23','61','panel price',null,'81','81','2020-12-23 00:51:07','2020-12-23 00:51:07',null);
INSERT INTO complaint_statuses VALUES('10391','2995','8','23','61','pcb price',null,'81','81','2020-12-23 00:51:49','2020-12-23 00:51:49',null);
INSERT INTO complaint_statuses VALUES('10392','3179','2',null,'81',null,'22-DEC-2020
FF TO USMAN MRM','74','74','2020-12-23 00:52:18','2020-12-23 00:52:18',null);
INSERT INTO complaint_statuses VALUES('10393','2610','8','23','56','please contact aslam sb',null,'81','81','2020-12-23 00:52:21','2020-12-23 00:52:21',null);
INSERT INTO complaint_statuses VALUES('10394','3177','4',null,'58',null,null,'81','81','2020-12-23 00:52:38','2020-12-23 00:52:38',null);
INSERT INTO complaint_statuses VALUES('10395','3179','4',null,'61',null,null,'81','81','2020-12-23 00:52:54','2020-12-23 00:52:54',null);
INSERT INTO complaint_statuses VALUES('10396','3180','3',null,'52',null,'22-DEC-2020
COM NO PKRI-201222108477','92','92','2020-12-23 00:57:20','2020-12-23 01:07:22',null);
INSERT INTO complaint_statuses VALUES('10397','3139','7','9','81','CUSTOMER  NOT ATTEND CALL',null,'79','79','2020-12-23 01:01:59','2020-12-23 01:01:59',null);
INSERT INTO complaint_statuses VALUES('10398','3181','3',null,'52',null,'22-DEC-2020
COM NO PKRI-2012221084222','92','92','2020-12-23 01:03:36','2020-12-23 01:03:36',null);
INSERT INTO complaint_statuses VALUES('10399','3182','3',null,'65',null,'22-DEC-2020
COM NO 192019658
NEW COMPLAINT#192019863','92','74','2020-12-23 01:32:38','2021-01-01 01:20:54',null);
INSERT INTO complaint_statuses VALUES('10400','3183','3',null,'59',null,'22-DEC-2020
COMPLAINT#4241065306','74','74','2020-12-23 01:48:24','2020-12-23 01:48:24',null);
INSERT INTO complaint_statuses VALUES('10401','3184','2',null,'81',null,'22-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-23 01:54:51','2020-12-23 01:54:51',null);
INSERT INTO complaint_statuses VALUES('10402','3185','3',null,'73',null,'22-DEC-2020
COMPLAINT#C190','74','74','2020-12-23 02:13:42','2020-12-23 02:13:42',null);
INSERT INTO complaint_statuses VALUES('10403','3186','2',null,'81',null,'22-DEC-2020
FF TO B.COOL','74','74','2020-12-23 02:18:37','2020-12-23 02:18:37',null);
INSERT INTO complaint_statuses VALUES('10404','3186','4',null,'58',null,null,'81','81','2020-12-23 02:19:00','2020-12-23 02:19:00',null);
INSERT INTO complaint_statuses VALUES('10405','3184','4',null,'58',null,'CUSTOMER KO REPLACE KAR  DIA HAIN','81','74','2020-12-23 02:19:13','2020-12-31 00:39:34',null);
INSERT INTO complaint_statuses VALUES('10406','3187','3',null,'65',null,'22-DEC-2020
COM NO 192019661','92','92','2020-12-23 02:21:00','2020-12-23 02:21:00',null);
INSERT INTO complaint_statuses VALUES('10407','3188','3',null,'52',null,'22-DEC-2020
COM NO PKRI-201222109821','92','92','2020-12-23 02:31:27','2020-12-23 02:31:27',null);
INSERT INTO complaint_statuses VALUES('10408','3189','3',null,'66',null,'22-DEC-2020
FF TO  KASHIF TCL','74','74','2020-12-23 02:43:06','2020-12-23 02:43:06',null);
INSERT INTO complaint_statuses VALUES('10409','3190','2',null,'81',null,'22-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-23 02:44:26','2020-12-23 02:44:26',null);
INSERT INTO complaint_statuses VALUES('10410','3191','2',null,'81',null,'22-DEC-2020
FF TO B.COOL','74','74','2020-12-23 02:49:51','2020-12-23 02:49:51',null);
INSERT INTO complaint_statuses VALUES('10411','3191','4',null,'58',null,null,'81','81','2020-12-23 02:50:53','2020-12-23 02:50:53',null);
INSERT INTO complaint_statuses VALUES('10412','3190','4',null,'55',null,null,'81','81','2020-12-23 02:51:04','2020-12-23 02:51:04',null);
INSERT INTO complaint_statuses VALUES('10413','2375','7','12','81','Unit ok pls collect',null,'77','77','2020-12-23 03:00:40','2020-12-23 03:00:40',null);
INSERT INTO complaint_statuses VALUES('10414','3132','7','12','81','hood ki installation theekk  nahi thi 2 ft  ki hieght pe install tha .setting ka bol dya haihood theek hai',null,'79','79','2020-12-23 04:54:56','2020-12-23 04:54:56',null);
INSERT INTO complaint_statuses VALUES('10415','3133','7','24','81','refer to service center .service required.',null,'79','79','2020-12-23 04:56:03','2020-12-23 04:56:03',null);
INSERT INTO complaint_statuses VALUES('10416','3146','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-23 19:35:00','2020-12-23 19:35:00',null);
INSERT INTO complaint_statuses VALUES('10417','3142','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-23 19:37:05','2020-12-23 19:37:05',null);
INSERT INTO complaint_statuses VALUES('10418','3138','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-23 19:38:43','2020-12-23 19:38:43',null);
INSERT INTO complaint_statuses VALUES('10419','3192','3',null,'53',null,'23-DEC-2020
COM NO 1076169','92','92','2020-12-23 19:49:15','2020-12-23 19:50:56',null);
INSERT INTO complaint_statuses VALUES('10420','3193','3',null,'53',null,'23-DEC-2020
COM NO 1076170','92','92','2020-12-23 20:00:34','2020-12-23 20:00:34',null);
INSERT INTO complaint_statuses VALUES('10421','3003','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-23 20:02:15','2020-12-23 20:02:15',null);
INSERT INTO complaint_statuses VALUES('10422','3002','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-23 20:04:07','2020-12-23 20:04:07',null);
INSERT INTO complaint_statuses VALUES('10423','3016','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-23 20:05:44','2020-12-23 20:05:44',null);
INSERT INTO complaint_statuses VALUES('10424','3001','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-23 20:07:07','2020-12-23 20:07:07',null);
INSERT INTO complaint_statuses VALUES('10425','2999','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-23 20:13:58','2020-12-23 20:13:58',null);
INSERT INTO complaint_statuses VALUES('10426','3194','2',null,'81',null,'23-DEC-2020
COM FF TO KHALID SONY','92','92','2020-12-23 20:15:31','2020-12-23 20:15:31',null);
INSERT INTO complaint_statuses VALUES('10427','2997','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-23 20:25:01','2020-12-23 20:25:01',null);
INSERT INTO complaint_statuses VALUES('10428','3195','2',null,'81',null,'23-DEC-2020
COM FF TO AZHAR FCI','92','92','2020-12-23 20:27:11','2020-12-23 20:27:11',null);
INSERT INTO complaint_statuses VALUES('10429','3082','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-23 20:31:18','2020-12-23 20:31:18',null);
INSERT INTO complaint_statuses VALUES('10430','2992','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-12-23 20:47:17','2020-12-23 20:47:17',null);
INSERT INTO complaint_statuses VALUES('10431','3196','3',null,'65',null,'23-DEC-2020
COM NO 192019679','92','92','2020-12-23 20:56:22','2020-12-23 21:11:32',null);
INSERT INTO complaint_statuses VALUES('10432','3197','3',null,'65',null,'23-DEC-2020
COM NO 192019678','92','92','2020-12-23 21:05:24','2020-12-23 21:08:05',null);
INSERT INTO complaint_statuses VALUES('10433','3153','7','12','81','Unit ok only servces. Reseting',null,'77','77','2020-12-23 21:19:23','2020-12-23 21:19:23',null);
INSERT INTO complaint_statuses VALUES('10434','3198','3',null,'53',null,'23-DEC-2020
COM NO 301076213','92','92','2020-12-23 21:19:45','2020-12-23 21:22:11',null);
INSERT INTO complaint_statuses VALUES('10435','3024','7','12','81','On nhi ho raha tha theek kar dia  hy .lossing thi',null,'82','82','2020-12-23 21:24:03','2020-12-23 21:24:03',null);
INSERT INTO complaint_statuses VALUES('10436','2609','7','12','81','I have deleviered to blue area friends',null,'77','77','2020-12-23 21:25:42','2020-12-23 21:25:42',null);
INSERT INTO complaint_statuses VALUES('10437','3106','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-23 21:26:38','2020-12-23 21:26:38',null);
INSERT INTO complaint_statuses VALUES('10438','2610','7','12','81','Unit ok need main board approval as it is paid job.',null,'77','77','2020-12-23 21:26:54','2020-12-23 21:26:54',null);
INSERT INTO complaint_statuses VALUES('10439','3125','7','24','81','We have called to customer. He will bring unit to sony service center blue area islamabad',null,'77','77','2020-12-23 21:28:49','2020-12-23 21:28:49',null);
INSERT INTO complaint_statuses VALUES('10440','3195','4',null,'60',null,null,'81','81','2020-12-23 21:28:58','2020-12-23 21:28:58',null);
INSERT INTO complaint_statuses VALUES('10441','3194','4',null,'56',null,null,'81','81','2020-12-23 21:29:37','2020-12-23 21:29:37',null);
INSERT INTO complaint_statuses VALUES('10442','3148','7','24','81','Aaj sham ko janavhy',null,'82','82','2020-12-23 21:30:05','2020-12-23 21:30:05',null);
INSERT INTO complaint_statuses VALUES('10443','2769','7','24','81','Custmer mujhy call kar ky btaye ga kab visit kro aaj dubara baat huei hy',null,'82','82','2020-12-23 21:31:25','2020-12-23 21:31:25',null);
INSERT INTO complaint_statuses VALUES('10444','3153','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-23 21:32:16','2020-12-23 21:32:59',null);
INSERT INTO complaint_statuses VALUES('10445','3199','2',null,'81',null,'23-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-23 21:32:33','2020-12-23 21:32:33',null);
INSERT INTO complaint_statuses VALUES('10446','3200','3',null,'73',null,'23-DEC-2020
COM NO 3195','92','92','2020-12-23 21:44:28','2020-12-23 21:46:31',null);
INSERT INTO complaint_statuses VALUES('10447','3132','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-23 21:47:07','2020-12-24 20:36:57',null);
INSERT INTO complaint_statuses VALUES('10448','3024','5','15',null,null,'COMPLETED COMPLAINT','81','74','2020-12-23 21:47:40','2020-12-24 23:48:18',null);
INSERT INTO complaint_statuses VALUES('10449','3201','2',null,'81',null,'23-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-23 22:13:03','2020-12-23 22:13:03',null);
INSERT INTO complaint_statuses VALUES('10450','3141','7','11','81','wrong phone number',null,'83','83','2020-12-23 22:17:10','2020-12-23 22:17:10',null);
INSERT INTO complaint_statuses VALUES('10451','3145','7','12','81','back light replaced RS 7000/-   unit at customer home plz close job',null,'83','83','2020-12-23 22:18:07','2020-12-23 22:18:07',null);
INSERT INTO complaint_statuses VALUES('10452','3109','7','10','81','calling yesterday for visit not picking the call',null,'83','83','2020-12-23 22:18:32','2020-12-23 22:18:32',null);
INSERT INTO complaint_statuses VALUES('10453','3202','3',null,'52',null,'23-DEC-2020
COM NO PKRI-201223105421   PKRI-201223105430','92','92','2020-12-23 22:21:11','2020-12-23 22:24:09',null);
INSERT INTO complaint_statuses VALUES('10454','3203','2',null,'81',null,'23-DEC-2020
FF TO KHALID','74','74','2020-12-23 22:37:51','2020-12-23 22:41:07',null);
INSERT INTO complaint_statuses VALUES('10455','3203','4',null,'56',null,null,'81','81','2020-12-23 22:41:53','2020-12-23 22:41:53',null);
INSERT INTO complaint_statuses VALUES('10456','3201','4',null,'62',null,null,'81','81','2020-12-23 22:42:12','2020-12-23 22:42:12',null);
INSERT INTO complaint_statuses VALUES('10457','3199','4',null,'55',null,null,'81','81','2020-12-23 22:42:29','2020-12-23 22:42:29',null);
INSERT INTO complaint_statuses VALUES('10458','3199','4',null,'55',null,null,'81','81','2020-12-23 22:42:30','2020-12-23 22:42:30',null);
INSERT INTO complaint_statuses VALUES('10459','2609','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-23 22:46:31','2020-12-24 23:54:32',null);
INSERT INTO complaint_statuses VALUES('10460','2610','8','23','56','where is unit your service center ya friends show room',null,'81','81','2020-12-23 22:48:06','2020-12-23 22:48:06',null);
INSERT INTO complaint_statuses VALUES('10461','3204','2',null,'81',null,'23-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-23 22:55:41','2020-12-23 22:55:41',null);
INSERT INTO complaint_statuses VALUES('10462','3205','3',null,'53',null,'23-DEC-2020
COM NO 1076246','92','92','2020-12-23 23:03:10','2020-12-23 23:06:45',null);
INSERT INTO complaint_statuses VALUES('10463','3145','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-23 23:05:09','2020-12-23 23:30:15',null);
INSERT INTO complaint_statuses VALUES('10464','3141','8','23','61','0300-5052055 # COMPLETED KINDLY AGAIN CONTACT',null,'81','81','2020-12-23 23:09:39','2020-12-23 23:09:39',null);
INSERT INTO complaint_statuses VALUES('10465','3204','3',null,'80',null,null,'81','81','2020-12-23 23:10:10','2020-12-23 23:10:10',null);
INSERT INTO complaint_statuses VALUES('10466','3139','8','23','58',null,'COMPLIANT RESOLVED','81','74','2020-12-23 23:11:55','2021-01-01 21:25:47',null);
INSERT INTO complaint_statuses VALUES('10467','3148','8','23','60',null,null,'81','81','2020-12-23 23:12:32','2020-12-23 23:12:32',null);
INSERT INTO complaint_statuses VALUES('10468','3133','8','23','58',null,null,'81','81','2020-12-23 23:13:06','2020-12-23 23:13:06',null);
INSERT INTO complaint_statuses VALUES('10469','3206','2',null,'81',null,'23-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-23 23:22:56','2020-12-23 23:22:56',null);
INSERT INTO complaint_statuses VALUES('10470','3109','8','23','61','CUSTOMER ABI OUT OFF CITY CHLAY GAY HAIN SATURDAY KO VISIT KA TIME DIA HAIN CUSTOMER NA KINDLY AGAIN CUSTOMER SA CONTACT KAR  K ISSUE RESOLVED KARWAY',null,'81','81','2020-12-23 23:23:53','2020-12-23 23:23:53',null);
INSERT INTO complaint_statuses VALUES('10471','3206','4',null,'63',null,'COMPLAINT RESOLVED','81','74','2020-12-23 23:24:12','2020-12-31 00:10:55',null);
INSERT INTO complaint_statuses VALUES('10472','3125','8','23','56','OK  JOB COMPLETED QUKILEY',null,'81','81','2020-12-23 23:25:23','2020-12-23 23:25:23',null);
INSERT INTO complaint_statuses VALUES('10473','3207','2',null,'81',null,'23-DEC-2020
COM FF TO USMAN MRM','92','92','2020-12-23 23:44:06','2020-12-23 23:44:06',null);
INSERT INTO complaint_statuses VALUES('10474','2769','8','23','60',null,null,'81','81','2020-12-23 23:51:02','2020-12-23 23:51:02',null);
INSERT INTO complaint_statuses VALUES('10475','3208','3',null,'78',null,'23-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-24 00:01:50','2020-12-24 00:01:50',null);
INSERT INTO complaint_statuses VALUES('10476','2323','7','12','81','Ye machin samsang gai thi  wo samsang sy diricct ho gy thy',null,'82','82','2020-12-24 00:14:03','2020-12-24 00:14:03',null);
INSERT INTO complaint_statuses VALUES('10477','3209','3',null,'54',null,'23-DEC-2020
COM NO 1788703','92','92','2020-12-24 00:14:16','2020-12-24 00:14:16',null);
INSERT INTO complaint_statuses VALUES('10478','2529','7','24','81','Un sy kha tha.hamri workshop.delver kar wa dy',null,'82','82','2020-12-24 00:15:17','2020-12-24 00:15:17',null);
INSERT INTO complaint_statuses VALUES('10479','2557','7','24','81','Forner sy 3 dafa baat huwi hy unko nikal ky dena hy likin 3dafa unko kam par jata tha wait krny ka بوتا hy',null,'82','82','2020-12-24 00:17:19','2020-12-24 00:17:19',null);
INSERT INTO complaint_statuses VALUES('10480','2046','7','24','81','کسٹمر bhol gy thy delver nhi kia',null,'82','82','2020-12-24 00:18:14','2020-12-24 00:18:14',null);
INSERT INTO complaint_statuses VALUES('10481','2206','7','12','81','Moter rewind kar ky bhej dia tha plz job compleet kar dy',null,'82','82','2020-12-24 00:22:52','2020-12-24 00:22:52',null);
INSERT INTO complaint_statuses VALUES('10482','2795','7','24','81','Number sy jawab wasool.nhi hota',null,'82','82','2020-12-24 00:24:51','2020-12-24 00:24:51',null);
INSERT INTO complaint_statuses VALUES('10483','2769','7','24','81','Ji custmer sham ko btaye ga kab ana hy',null,'82','82','2020-12-24 00:25:51','2020-12-24 00:25:51',null);
INSERT INTO complaint_statuses VALUES('10484','1945','7','24','81',null,null,'82','82','2020-12-24 00:26:30','2020-12-24 00:26:30',null);
INSERT INTO complaint_statuses VALUES('10485','3195','7','24','81','Machin hamari workshop arhivhy servis issue hy',null,'82','82','2020-12-24 00:27:20','2020-12-24 00:27:20',null);
INSERT INTO complaint_statuses VALUES('10486','2263','7','12','81','Frig okay keh rehy garmio main dekhy .job compleet hy',null,'82','82','2020-12-24 00:30:04','2020-12-24 00:30:04',null);
INSERT INTO complaint_statuses VALUES('10487','2526','7','12','81',null,null,'82','82','2020-12-24 00:31:27','2020-12-24 00:31:27',null);
INSERT INTO complaint_statuses VALUES('10488','2854','7','12','81','Theek ho ky chla gea custmer ky ghar .main.chuti py tha',null,'82','82','2020-12-24 00:38:07','2020-12-24 00:38:07',null);
INSERT INTO complaint_statuses VALUES('10489','3210','3',null,'65',null,'23-DEC-2020
COM NO 192019685','92','92','2020-12-24 00:45:47','2020-12-24 00:48:13',null);
INSERT INTO complaint_statuses VALUES('10490','3207','4',null,'61',null,null,'81','81','2020-12-24 00:57:17','2020-12-24 00:57:17',null);
INSERT INTO complaint_statuses VALUES('10491','3211','3',null,'73',null,'23-DEC-2020
COM NO 3204','92','92','2020-12-24 01:18:41','2020-12-24 01:18:41',null);
INSERT INTO complaint_statuses VALUES('10492','2610','7','12','81','need approval',null,'77','77','2020-12-24 01:23:13','2020-12-24 01:23:13',null);
INSERT INTO complaint_statuses VALUES('10493','3008','7','12','81','Only services ....unit will be exchanged by friends.',null,'77','77','2020-12-24 01:25:54','2020-12-24 01:25:54',null);
INSERT INTO complaint_statuses VALUES('10494','3203','7','24','81','Powersupply repaired cost 4500. Need approval',null,'77','77','2020-12-24 01:27:50','2020-12-24 01:27:50',null);
INSERT INTO complaint_statuses VALUES('10495','3212','2',null,'81',null,'23-DEC-2020
COM FF TO NADEEM','92','92','2020-12-24 02:10:47','2020-12-24 02:10:47',null);
INSERT INTO complaint_statuses VALUES('10496','3212','4',null,'59',null,null,'81','81','2020-12-24 02:21:56','2020-12-24 02:21:56',null);
INSERT INTO complaint_statuses VALUES('10497','3213','3',null,'57',null,'23-DEC-2020
COM NO','92','92','2020-12-24 02:27:52','2020-12-24 02:27:52',null);
INSERT INTO complaint_statuses VALUES('10498','3214','2',null,'81',null,'23-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-24 02:36:41','2020-12-24 02:36:41',null);
INSERT INTO complaint_statuses VALUES('10499','3215','2',null,'81',null,'23-DEC-2020
FF TO USMAM MRM','74','92','2020-12-24 02:44:30','2021-01-03 21:07:34',null);
INSERT INTO complaint_statuses VALUES('10500','2995','7','12','81','Mian pcb replaced 13500/- 
unit hand over to mr aslam plz close the job',null,'83','83','2020-12-24 03:04:30','2020-12-24 03:04:30',null);
INSERT INTO complaint_statuses VALUES('10501','3164','7','12','81','e 5 ka error tha child lock ka fault tha ok ho gye',null,'79','79','2020-12-24 05:32:22','2020-12-24 05:32:22',null);
INSERT INTO complaint_statuses VALUES('10502','3177','7','12','81','cusomer keh raha ha k jab call kro ga tab ana abi complain cancel kr dy',null,'79','79','2020-12-24 05:33:59','2020-12-24 05:33:59',null);
INSERT INTO complaint_statuses VALUES('10503','3186','7','12','81','customer ki waja sy gezar gira ha ok kr diya ha',null,'79','79','2020-12-24 05:35:23','2020-12-24 05:35:23',null);
INSERT INTO complaint_statuses VALUES('10504','3191','7','12','81','surf issu tha ok ho gye',null,'79','79','2020-12-24 05:36:41','2020-12-24 05:36:41',null);
INSERT INTO complaint_statuses VALUES('10505','3062','7','12','81','glass changed ok',null,'79','79','2020-12-24 05:42:57','2020-12-24 05:42:57',null);
INSERT INTO complaint_statuses VALUES('10506','3215','4',null,'61',null,'COMPLAINT  RESOLVED','81','74','2020-12-24 19:28:12','2021-01-07 00:40:47',null);
INSERT INTO complaint_statuses VALUES('10507','3214','4',null,'63',null,'COMPLAINT RESOLVED','81','74','2020-12-24 19:28:25','2020-12-31 20:36:41',null);
INSERT INTO complaint_statuses VALUES('10508','3130','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-12-24 19:33:04','2020-12-24 19:33:04',null);
INSERT INTO complaint_statuses VALUES('10509','3216','3',null,'88',null,'24-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-24 19:33:18','2020-12-24 19:33:18',null);
INSERT INTO complaint_statuses VALUES('10510','3191','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-24 19:34:09','2020-12-24 19:53:23',null);
INSERT INTO complaint_statuses VALUES('10511','3188','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-24 19:36:13','2020-12-24 19:36:13',null);
INSERT INTO complaint_statuses VALUES('10512','3186','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-24 19:38:20','2020-12-24 19:53:55',null);
INSERT INTO complaint_statuses VALUES('10513','3177','5','25',null,'CUSTOMER GHR PA AVAIL NAI HAIN ABAI COMPLAINT CANCEL KRWAA DI','COMPLAINT CLOSED','81','74','2020-12-24 19:41:00','2020-12-24 20:04:24',null);
INSERT INTO complaint_statuses VALUES('10514','3164','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-24 19:42:40','2020-12-24 20:08:39',null);
INSERT INTO complaint_statuses VALUES('10515','3062','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2020-12-24 19:43:53','2020-12-24 23:47:08',null);
INSERT INTO complaint_statuses VALUES('10516','2995','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-24 19:44:55','2020-12-24 23:49:46',null);
INSERT INTO complaint_statuses VALUES('10517','3140','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-24 19:44:56','2020-12-24 19:44:56',null);
INSERT INTO complaint_statuses VALUES('10518','3217','2',null,'81',null,'24-DEC-2020
FF TO HOME SOLUTION','74','74','2020-12-24 19:46:48','2020-12-24 19:46:48',null);
INSERT INTO complaint_statuses VALUES('10519','3151','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-24 19:46:50','2020-12-24 19:46:50',null);
INSERT INTO complaint_statuses VALUES('10520','3217','4',null,'62',null,null,'81','81','2020-12-24 19:47:17','2020-12-24 19:47:17',null);
INSERT INTO complaint_statuses VALUES('10521','3137','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-24 19:48:34','2020-12-24 19:48:34',null);
INSERT INTO complaint_statuses VALUES('10522','3218','2',null,'81',null,'24-DEC-2020
FF TO AZHAR FCI','74','74','2020-12-24 19:51:38','2020-12-24 19:51:38',null);
INSERT INTO complaint_statuses VALUES('10523','3218','4',null,'60',null,null,'81','81','2020-12-24 19:52:30','2020-12-24 19:52:30',null);
INSERT INTO complaint_statuses VALUES('10524','2854','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-24 19:57:02','2020-12-24 23:50:51',null);
INSERT INTO complaint_statuses VALUES('10525','3124','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-24 19:57:15','2020-12-24 19:57:15',null);
INSERT INTO complaint_statuses VALUES('10526','3120','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-24 19:58:54','2020-12-24 19:58:54',null);
INSERT INTO complaint_statuses VALUES('10527','2795','8','23','60','0333-3432682  .
CUSTOMER NA LOCAL TECHNICIAN SA COMPLINT RESOLVED KARWA LI  COMPLAINT CLOSED',null,'81','81','2020-12-24 20:02:48','2020-12-24 20:02:48',null);
INSERT INTO complaint_statuses VALUES('10528','3111','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-24 20:04:39','2020-12-24 20:04:39',null);
INSERT INTO complaint_statuses VALUES('10529','3113','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-24 20:08:07','2020-12-24 20:08:07',null);
INSERT INTO complaint_statuses VALUES('10530','3110','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-24 20:09:36','2020-12-24 20:09:36',null);
INSERT INTO complaint_statuses VALUES('10531','2526','8','23','60','JOB COMPLETED QUKILEY',null,'81','81','2020-12-24 20:10:20','2020-12-24 20:10:20',null);
INSERT INTO complaint_statuses VALUES('10532','2323','8','23','60','COMPLAINT PROPER RESOLVED NAI HOI HAIN. W/ VIBRATE KAR RAHI HAIN AGAIN CUSTOMER SA CONTACT KAR K VISIT ARRANGE KARWAY',null,'81','81','2020-12-24 20:17:45','2020-12-24 20:17:45',null);
INSERT INTO complaint_statuses VALUES('10533','3096','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-24 20:23:06','2020-12-24 20:23:06',null);
INSERT INTO complaint_statuses VALUES('10534','2263','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-24 20:23:10','2020-12-24 23:55:53',null);
INSERT INTO complaint_statuses VALUES('10535','3094','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-24 20:25:13','2020-12-24 20:25:13',null);
INSERT INTO complaint_statuses VALUES('10536','3093','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-24 20:27:03','2020-12-24 20:27:03',null);
INSERT INTO complaint_statuses VALUES('10537','2795','7','12','81','Custmer  ny khod theek kar wa liyea hy',null,'82','82','2020-12-24 20:27:24','2020-12-24 20:27:24',null);
INSERT INTO complaint_statuses VALUES('10538','3217','7','26','81','INVALID ENTRY',null,'87','87','2020-12-24 20:34:06','2020-12-24 20:34:06',null);
INSERT INTO complaint_statuses VALUES('10539','3219','3',null,'62',null,'24-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-24 20:35:20','2020-12-24 20:35:20',null);
INSERT INTO complaint_statuses VALUES('10540','3220','3',null,'88',null,'24-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-24 20:40:16','2020-12-24 20:40:16',null);
INSERT INTO complaint_statuses VALUES('10541','3221','3',null,'52',null,'24-DEC-2020
COM NO PKRI-201224103234    PKRI-201224103264','92','92','2020-12-24 20:42:14','2020-12-24 20:47:16',null);
INSERT INTO complaint_statuses VALUES('10542','3217','5','15',null,'WRONG COMPANY','COMPLAINT CLOSED','81','74','2020-12-24 20:42:46','2020-12-24 20:47:32',null);
INSERT INTO complaint_statuses VALUES('10543','3222','2',null,'81',null,'24-DEC-2020
FF TO HOME SOLUTION','74','74','2020-12-24 20:45:21','2020-12-24 20:45:21',null);
INSERT INTO complaint_statuses VALUES('10544','3222','4',null,'62',null,null,'81','81','2020-12-24 20:46:17','2020-12-24 20:46:17',null);
INSERT INTO complaint_statuses VALUES('10545','3223','3',null,'53',null,'24-DEC-2020
COM NO 1076449','92','92','2020-12-24 20:54:37','2020-12-24 20:56:28',null);
INSERT INTO complaint_statuses VALUES('10546','3203','8','23','56','NAEEM SAB BOL RAHAY HAIN K CUSTOMER SA WARRANTY CARD MAGWAYA',null,'81','81','2020-12-24 21:05:30','2020-12-24 21:05:30',null);
INSERT INTO complaint_statuses VALUES('10547','3224','2',null,'81',null,'24-DEC-2020
COM FF TO AZHAR FCI','92','92','2020-12-24 21:10:02','2020-12-24 21:10:02',null);
INSERT INTO complaint_statuses VALUES('10548','3224','4',null,'60',null,null,'81','81','2020-12-24 21:29:41','2020-12-24 21:29:41',null);
INSERT INTO complaint_statuses VALUES('10549','3225','2',null,'81',null,'24-DEC-2020
FF TO SHAMIM AKHTER','74','74','2020-12-24 21:36:16','2020-12-24 21:36:16',null);
INSERT INTO complaint_statuses VALUES('10550','3225','4',null,'55',null,null,'81','81','2020-12-24 21:36:50','2020-12-24 21:36:50',null);
INSERT INTO complaint_statuses VALUES('10551','3226','2',null,'81',null,'24-DEC-2020
FF TO USMAN MRM','74','74','2020-12-24 21:42:27','2020-12-24 21:42:27',null);
INSERT INTO complaint_statuses VALUES('10552','3226','4',null,'61',null,null,'81','81','2020-12-24 21:43:22','2020-12-24 21:43:22',null);
INSERT INTO complaint_statuses VALUES('10553','3043','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-24 21:47:23','2020-12-24 21:47:23',null);
INSERT INTO complaint_statuses VALUES('10554','3227','3',null,'52',null,'24-DEC-2020
COMPLAINT # PKRI-201224105094','74','92','2020-12-24 22:01:48','2020-12-24 22:12:18',null);
INSERT INTO complaint_statuses VALUES('10555','3228','2',null,'81',null,'24-DEC-2020
COM FF TO USMAN MRM','92','92','2020-12-24 22:02:26','2020-12-24 22:02:26',null);
INSERT INTO complaint_statuses VALUES('10556','3229','2',null,'81',null,'24-DEC-2020
FF TO B. COOL','92','74','2020-12-24 22:05:58','2020-12-24 22:10:07',null);
INSERT INTO complaint_statuses VALUES('10557','3229','4',null,'58',null,null,'81','81','2020-12-24 22:10:31','2020-12-24 22:10:31',null);
INSERT INTO complaint_statuses VALUES('10558','3228','4',null,'61',null,null,'81','81','2020-12-24 22:10:41','2020-12-24 22:10:41',null);
INSERT INTO complaint_statuses VALUES('10559','3230','3',null,'73',null,'24-DEC-2020
COM NO 3216','92','92','2020-12-24 22:21:30','2020-12-24 22:23:45',null);
INSERT INTO complaint_statuses VALUES('10560','3054','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-24 22:32:00','2020-12-24 22:32:00',null);
INSERT INTO complaint_statuses VALUES('10561','3036','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-24 22:33:27','2020-12-24 22:33:27',null);
INSERT INTO complaint_statuses VALUES('10562','3035','5',null,null,'COMPLAIN CLOSED',null,'74','74','2020-12-24 22:35:00','2020-12-24 22:35:00',null);
INSERT INTO complaint_statuses VALUES('10563','3032','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-24 22:38:09','2020-12-24 22:38:09',null);
INSERT INTO complaint_statuses VALUES('10564','3030','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-24 22:39:35','2020-12-24 22:39:35',null);
INSERT INTO complaint_statuses VALUES('10565','3029','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-24 22:42:56','2020-12-24 22:42:56',null);
INSERT INTO complaint_statuses VALUES('10566','3231','2',null,'81',null,'24-DEC-2020
COM FF TO AZHAR FCI','92','92','2020-12-24 22:46:39','2020-12-24 22:46:39',null);
INSERT INTO complaint_statuses VALUES('10567','3231','4',null,'60',null,null,'81','81','2020-12-24 22:48:12','2020-12-24 22:48:12',null);
INSERT INTO complaint_statuses VALUES('10568','3232','3',null,'53',null,'24-DEC-2020
COM NO 301076425','92','92','2020-12-24 22:50:59','2020-12-25 00:02:15',null);
INSERT INTO complaint_statuses VALUES('10569','3011','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-24 22:58:09','2020-12-24 22:58:09',null);
INSERT INTO complaint_statuses VALUES('10570','3233','2',null,'81',null,'24-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-24 23:02:35','2020-12-24 23:02:35',null);
INSERT INTO complaint_statuses VALUES('10571','3234','3',null,'52',null,'24-DEC-2020
COM NO PKRI-2012241106368','92','92','2020-12-24 23:23:55','2020-12-24 23:25:30',null);
INSERT INTO complaint_statuses VALUES('10572','3008','5','15',null,null,'COMPLAINT CLOSED 
SET REPLACE','81','74','2020-12-24 23:25:41','2020-12-24 23:49:06',null);
INSERT INTO complaint_statuses VALUES('10573','2795','5','15',null,null,'COMPLAINT CLOSED','81','74','2020-12-24 23:26:17','2020-12-24 23:51:28',null);
INSERT INTO complaint_statuses VALUES('10574','2610','8','23','56','NAEEM SAB NA APRROVAL DA DI HAIN  SET READY KARAY',null,'81','81','2020-12-24 23:33:55','2020-12-24 23:33:55',null);
INSERT INTO complaint_statuses VALUES('10575','2375','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-24 23:36:33','2020-12-24 23:55:11',null);
INSERT INTO complaint_statuses VALUES('10576','3233','4',null,'58',null,null,'81','81','2020-12-24 23:36:48','2020-12-24 23:36:48',null);
INSERT INTO complaint_statuses VALUES('10577','2610','7','12','81','unit ok hy',null,'77','77','2020-12-24 23:37:29','2020-12-24 23:37:29',null);
INSERT INTO complaint_statuses VALUES('10578','2206','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-24 23:38:35','2020-12-24 23:56:31',null);
INSERT INTO complaint_statuses VALUES('10579','2610','5','15',null,'COMPLETED COMPLAINT 
KHALID SAB KHUD DRO KARWA RAHAY HAIN','COMPLAINT RESOLVED 
IC KA BILL FCI KA HISAB MAIN ADD HO GA','81','74','2020-12-24 23:41:09','2020-12-24 23:53:00',null);
INSERT INTO complaint_statuses VALUES('10580','3235','3',null,'66',null,'24-DEC-2020
COM FF TO MARIYAM TCL COM NO PK122420200082','92','92','2020-12-24 23:49:49','2020-12-25 00:20:14',null);
INSERT INTO complaint_statuses VALUES('10581','3086','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-25 00:07:41','2020-12-25 00:07:41',null);
INSERT INTO complaint_statuses VALUES('10582','3060','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-25 00:10:35','2020-12-25 00:10:35',null);
INSERT INTO complaint_statuses VALUES('10583','3236','3',null,'90',null,'24-DEC-2020
COMPLAINT# 1263','74','92','2020-12-25 00:14:22','2020-12-25 01:48:37',null);
INSERT INTO complaint_statuses VALUES('10584','3207','7','12','81','solved on phone call',null,'83','83','2020-12-25 00:23:45','2020-12-25 00:23:45',null);
INSERT INTO complaint_statuses VALUES('10585','3101','7','12','81','Inlet Valve service.',null,'76','76','2020-12-25 00:32:46','2020-12-25 00:32:46',null);
INSERT INTO complaint_statuses VALUES('10586','3074','7','12','81','Drain Pipe Adjustment',null,'76','76','2020-12-25 00:33:21','2020-12-25 00:33:21',null);
INSERT INTO complaint_statuses VALUES('10587','2357','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-25 00:33:33','2020-12-25 00:33:33',null);
INSERT INTO complaint_statuses VALUES('10588','3073','7','12','81','Inlet Pipe Adjutment',null,'76','76','2020-12-25 00:39:31','2020-12-25 00:39:31',null);
INSERT INTO complaint_statuses VALUES('10589','3189','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','74','2020-12-25 00:40:44','2020-12-25 00:52:59',null);
INSERT INTO complaint_statuses VALUES('10590','3083','7','12','81','Problem Solved At Customer S Home (Labor Charges Pending 2000/-)',null,'76','76','2020-12-25 00:45:13','2020-12-25 00:45:13',null);
INSERT INTO complaint_statuses VALUES('10591','3207','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2020-12-25 00:46:49','2020-12-25 00:46:49',null);
INSERT INTO complaint_statuses VALUES('10592','3237','3',null,'65',null,'24-DEC-2020
COM NO 192019722','92','92','2020-12-25 00:46:55','2020-12-25 00:51:31',null);
INSERT INTO complaint_statuses VALUES('10593','3201','7','12','81','ISSUE RESOLVED',null,'87','87','2020-12-25 00:47:44','2020-12-25 00:47:44',null);
INSERT INTO complaint_statuses VALUES('10594','3101','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-25 00:48:53','2020-12-25 01:26:17',null);
INSERT INTO complaint_statuses VALUES('10595','3201','5','15',null,'COMPLETED COMPLANT','COMPLAINT RESOLVED','81','74','2020-12-25 00:50:00','2020-12-25 00:50:51',null);
INSERT INTO complaint_statuses VALUES('10596','3083','5','15',null,'COMPLAINT  COMPLETED','COMPLAINT RESOLVED','81','74','2020-12-25 01:10:41','2020-12-25 01:25:42',null);
INSERT INTO complaint_statuses VALUES('10597','3238','3',null,'62',null,'24-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-25 01:16:58','2020-12-25 01:16:58',null);
INSERT INTO complaint_statuses VALUES('10598','3074','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-25 01:27:36','2020-12-28 23:50:39',null);
INSERT INTO complaint_statuses VALUES('10599','3218','7','24','81','Compresor issue .I10 custmer ly ja rehy hy',null,'82','82','2020-12-25 01:29:31','2020-12-25 01:29:31',null);
INSERT INTO complaint_statuses VALUES('10600','3239','2',null,'81',null,'24-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-25 01:40:30','2020-12-25 01:40:30',null);
INSERT INTO complaint_statuses VALUES('10601','3240','3',null,'52',null,'24-DEC-2020
COM NO PKRI-201224108830','92','92','2020-12-25 01:55:57','2020-12-25 01:59:50',null);
INSERT INTO complaint_statuses VALUES('10602','1116','7','12','81','Samsang sy machin theek karwa li hy .custmer ny',null,'82','82','2020-12-25 02:08:12','2020-12-25 02:08:12',null);
INSERT INTO complaint_statuses VALUES('10603','3241','2',null,'81',null,'24-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-25 02:21:37','2020-12-25 02:21:37',null);
INSERT INTO complaint_statuses VALUES('10604','3239','4',null,'62',null,null,'81','81','2020-12-25 02:21:45','2020-12-25 02:21:45',null);
INSERT INTO complaint_statuses VALUES('10605','3241','4',null,'62',null,null,'81','81','2020-12-25 02:24:32','2020-12-25 02:24:32',null);
INSERT INTO complaint_statuses VALUES('10606','3242','3',null,'52',null,'24-DEC-2020
COM NO PKRI-201224109277','92','92','2020-12-25 02:46:09','2020-12-25 02:46:09',null);
INSERT INTO complaint_statuses VALUES('10607','3071','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-25 20:20:43','2020-12-25 20:20:43',null);
INSERT INTO complaint_statuses VALUES('10608','3069','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-25 20:23:42','2020-12-25 20:23:42',null);
INSERT INTO complaint_statuses VALUES('10609','3068','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-25 20:25:04','2020-12-25 20:25:04',null);
INSERT INTO complaint_statuses VALUES('10610','3067','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-25 20:26:28','2020-12-25 20:26:28',null);
INSERT INTO complaint_statuses VALUES('10611','3064','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-25 20:27:55','2020-12-25 20:27:55',null);
INSERT INTO complaint_statuses VALUES('10612','3175','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-25 20:28:45','2020-12-25 20:28:45',null);
INSERT INTO complaint_statuses VALUES('10613','3063','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-25 20:30:01','2020-12-25 20:30:01',null);
INSERT INTO complaint_statuses VALUES('10614','3061','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-25 20:31:23','2020-12-25 20:31:23',null);
INSERT INTO complaint_statuses VALUES('10615','3204','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-25 20:34:02','2020-12-25 20:34:02',null);
INSERT INTO complaint_statuses VALUES('10616','3243','2',null,'81',null,'25-DEC-2020
FF TO KHURRAM  5 STAR','74','74','2020-12-25 20:51:54','2020-12-25 20:51:54',null);
INSERT INTO complaint_statuses VALUES('10617','3243','4',null,'63',null,null,'81','81','2020-12-25 20:52:47','2020-12-25 20:52:47',null);
INSERT INTO complaint_statuses VALUES('10618','3244','3',null,'57',null,'25-DEC-2020
COMPLAINT#15520','74','92','2020-12-25 20:53:24','2020-12-26 19:48:34',null);
INSERT INTO complaint_statuses VALUES('10619','3245','2',null,'81',null,'25-DEC-2020
FF TO KHURRAM 5 STYAR','74','74','2020-12-25 20:56:13','2020-12-25 20:56:13',null);
INSERT INTO complaint_statuses VALUES('10620','3245','4',null,'63',null,'COMPLAINT RESOLVED','81','74','2020-12-25 20:56:44','2021-01-01 21:51:43',null);
INSERT INTO complaint_statuses VALUES('10621','3246','2',null,'81',null,'25-DEC-2020
FF TO KHALID','74','74','2020-12-25 21:01:34','2020-12-25 21:02:07',null);
INSERT INTO complaint_statuses VALUES('10622','3246','4',null,'56',null,null,'81','81','2020-12-25 21:02:24','2020-12-25 21:02:24',null);
INSERT INTO complaint_statuses VALUES('10623','3247','2',null,'81',null,'25-DEC-2020
FF TO B. COOL','74','74','2020-12-25 21:08:08','2020-12-25 21:08:08',null);
INSERT INTO complaint_statuses VALUES('10624','3247','4',null,'58',null,null,'81','81','2020-12-25 21:08:39','2020-12-25 21:08:39',null);
INSERT INTO complaint_statuses VALUES('10625','3148','7','12','81','Drain pippe nechy gir gea tha .',null,'82','82','2020-12-25 23:22:56','2020-12-25 23:22:56',null);
INSERT INTO complaint_statuses VALUES('10626','3143','7','12','81','Ye complain compnyvlobfarwerd ho gai hy.
C/o azhar',null,'82','82','2020-12-25 23:27:01','2020-12-25 23:27:01',null);
INSERT INTO complaint_statuses VALUES('10627','2660','7','12','81','Ji bering dal ky bhej di hy custmer ky ghar',null,'82','82','2020-12-25 23:28:25','2020-12-25 23:28:25',null);
INSERT INTO complaint_statuses VALUES('10628','3212','7','24','81','customer say bat ho gae hy customer kehta hy visit  b kea jae free main or es k jo parts ka issue hy wo reslove kr k do free main',null,'80','80','2020-12-26 00:58:36','2020-12-26 00:58:36',null);
INSERT INTO complaint_statuses VALUES('10629','2818','7','12','81','set  ok main board repair 
Rs 4500',null,'80','80','2020-12-26 03:05:45','2020-12-26 03:05:45',null);
INSERT INTO complaint_statuses VALUES('10630','3241','7','22','81','COMP',null,'87','87','2020-12-26 20:05:00','2020-12-26 20:05:00',null);
INSERT INTO complaint_statuses VALUES('10631','3248','2',null,'81',null,'26-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-26 20:41:47','2020-12-26 20:41:47',null);
INSERT INTO complaint_statuses VALUES('10632','3249','2',null,'81',null,'26-DEC-2020
COM FF TO USMAN MRM','92','92','2020-12-26 21:06:30','2020-12-26 21:06:30',null);
INSERT INTO complaint_statuses VALUES('10633','3250','2',null,'81',null,'26-DEC-2020
COM FF TO AZHAR FCI','92','92','2020-12-26 21:24:18','2020-12-26 21:24:18',null);
INSERT INTO complaint_statuses VALUES('10634','3251','3',null,'52',null,'26-DEC-2020
COM NO PKRI-201226104610','92','92','2020-12-26 21:35:52','2020-12-26 21:37:34',null);
INSERT INTO complaint_statuses VALUES('10635','3250','4',null,'60',null,null,'81','81','2020-12-26 21:38:59','2020-12-26 21:38:59',null);
INSERT INTO complaint_statuses VALUES('10636','3249','4',null,'61',null,null,'81','81','2020-12-26 21:39:15','2020-12-26 21:39:15',null);
INSERT INTO complaint_statuses VALUES('10637','3248','4',null,'55',null,null,'81','81','2020-12-26 21:39:25','2020-12-26 21:39:25',null);
INSERT INTO complaint_statuses VALUES('10638','3252','2',null,'81',null,'26-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-26 22:04:17','2020-12-26 22:04:17',null);
INSERT INTO complaint_statuses VALUES('10639','3252','4',null,'63',null,null,'81','81','2020-12-26 22:17:27','2020-12-26 22:17:27',null);
INSERT INTO complaint_statuses VALUES('10640','3228','7','24','81','customer  ny unit blue are showroom drop kr diya ha    
unit service center bijwa dain plzzzzzzzzz',null,'83','83','2020-12-26 22:24:57','2020-12-26 22:24:57',null);
INSERT INTO complaint_statuses VALUES('10641','3253','3',null,'66',null,'26-DEC-2020
COM FF TO KASHIF TCL','92','92','2020-12-26 22:46:36','2020-12-26 22:46:36',null);
INSERT INTO complaint_statuses VALUES('10642','3254','3',null,'65',null,'26-DEC-2020
COM NO 192019739','92','92','2020-12-26 23:07:57','2020-12-26 23:08:57',null);
INSERT INTO complaint_statuses VALUES('10643','3255','3',null,'52',null,'26-DEC-2020
COM NO PKRI-201226106483','92','92','2020-12-26 23:18:12','2020-12-26 23:18:12',null);
INSERT INTO complaint_statuses VALUES('10644','3256','2',null,'81',null,'26-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-26 23:35:23','2020-12-28 22:46:28',null);
INSERT INTO complaint_statuses VALUES('10645','3257','2',null,'81',null,'26-NOV-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-26 23:42:05','2020-12-26 23:42:05',null);
INSERT INTO complaint_statuses VALUES('10646','3258','3',null,'81',null,'26-DEC-2020
COM NO 5062','92','92','2020-12-26 23:52:37','2020-12-28 20:17:27',null);
INSERT INTO complaint_statuses VALUES('10647','3259','2',null,'81',null,'26-DEC-2020
COM FF TO NADEEM AZHAR','92','92','2020-12-27 00:05:52','2020-12-27 00:05:52',null);
INSERT INTO complaint_statuses VALUES('10648','3260','2',null,'81',null,'26-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-27 00:31:04','2020-12-27 00:31:04',null);
INSERT INTO complaint_statuses VALUES('10649','3261','3',null,'88',null,'26-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-27 00:37:20','2020-12-27 00:37:20',null);
INSERT INTO complaint_statuses VALUES('10650','3262','3',null,'53',null,'26-DEC-2020
COM NO 1078049','92','92','2020-12-27 00:48:46','2021-01-03 23:26:05',null);
INSERT INTO complaint_statuses VALUES('10651','3263','3',null,'54',null,'26-DEC-2020
COM NO 1790026','92','92','2020-12-27 01:12:36','2020-12-27 01:12:36',null);
INSERT INTO complaint_statuses VALUES('10652','3264','2',null,'81',null,'26-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-27 01:28:39','2020-12-27 01:28:39',null);
INSERT INTO complaint_statuses VALUES('10653','3148','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-27 01:44:02','2020-12-28 22:49:13',null);
INSERT INTO complaint_statuses VALUES('10654','3143','8','23','60','company ko kiss ny forward ki hy aap ny ka call center ny','COMPLAINT COMPANY NA ATTEND KI HAIN  COMPLAINT  RESOLVED','81','74','2020-12-27 01:45:08','2021-01-06 03:59:45',null);
INSERT INTO complaint_statuses VALUES('10655','3073','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-27 01:45:32','2020-12-29 02:19:05',null);
INSERT INTO complaint_statuses VALUES('10656','2818','8','23','59','where is unit your service center ya customers home',null,'81','81','2020-12-27 01:46:36','2020-12-27 01:46:36',null);
INSERT INTO complaint_statuses VALUES('10657','2660','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-27 01:47:02','2020-12-29 02:22:47',null);
INSERT INTO complaint_statuses VALUES('10658','1116','5','15',null,null,'CUSTOMER NA LOCAL TECHNICIAN SA COMPLAINT ATTEND KARWA LI','81','74','2020-12-27 01:47:30','2020-12-29 02:27:46',null);
INSERT INTO complaint_statuses VALUES('10659','3241','8','23','62',null,null,'81','81','2020-12-27 01:47:46','2020-12-27 01:47:46',null);
INSERT INTO complaint_statuses VALUES('10660','3229','7','24','81',null,null,'79','79','2020-12-27 01:47:47','2020-12-27 01:47:47',null);
INSERT INTO complaint_statuses VALUES('10661','3229','8','23','58',null,null,'81','81','2020-12-27 01:51:14','2020-12-27 01:51:14',null);
INSERT INTO complaint_statuses VALUES('10662','3228','8','23','61','kindly show room par viset karva den',null,'81','81','2020-12-27 01:57:15','2020-12-27 01:57:15',null);
INSERT INTO complaint_statuses VALUES('10663','3218','8','23','60',null,null,'81','81','2020-12-27 01:57:38','2020-12-27 01:57:38',null);
INSERT INTO complaint_statuses VALUES('10664','3212','8','23','59',null,null,'81','81','2020-12-27 01:57:57','2020-12-27 01:57:57',null);
INSERT INTO complaint_statuses VALUES('10665','3195','8','23','60',null,null,'81','81','2020-12-27 01:58:34','2020-12-27 01:58:34',null);
INSERT INTO complaint_statuses VALUES('10666','2769','8','23','60','please complete this job quikly',null,'81','81','2020-12-27 02:00:16','2020-12-27 02:00:16',null);
INSERT INTO complaint_statuses VALUES('10667','2557','8','23','60',null,null,'81','81','2020-12-27 02:00:57','2020-12-27 02:00:57',null);
INSERT INTO complaint_statuses VALUES('10668','2529','8','23','60',null,null,'81','81','2020-12-27 02:01:29','2020-12-27 02:01:29',null);
INSERT INTO complaint_statuses VALUES('10669','2046','8','23','60',null,null,'81','81','2020-12-27 02:01:55','2020-12-27 02:01:55',null);
INSERT INTO complaint_statuses VALUES('10670','1945','8','23','60','please complete this job quickly',null,'81','81','2020-12-27 02:02:37','2020-12-27 02:02:37',null);
INSERT INTO complaint_statuses VALUES('10671','3195','7','12','81','Machin servis jonky custmer ky pass chli gaihy',null,'82','82','2020-12-27 02:12:59','2020-12-27 02:12:59',null);
INSERT INTO complaint_statuses VALUES('10672','3265','3',null,'52',null,'26-DEC-2020
COM NO PKRI-201226109665','92','92','2020-12-27 02:13:23','2020-12-27 02:13:23',null);
INSERT INTO complaint_statuses VALUES('10673','3231','7','24','81','Frezer ka compresor hrabvhy 
I10 delver ho gea hy',null,'82','82','2020-12-27 02:13:53','2020-12-27 02:13:53',null);
INSERT INTO complaint_statuses VALUES('10674','3224','7','24','81','H  ka error arha tha 
Frig band kea tha .2ghanty baad error dy ky band ho jata hy v.main ny subha sy on karwea hy abhi tak theek hy .subha tak chek krty hy',null,'82','82','2020-12-27 02:17:00','2020-12-27 02:17:00',null);
INSERT INTO complaint_statuses VALUES('10675','3266','3',null,'53',null,'26-NOV-2020
COM NO 1076889','92','92','2020-12-27 02:30:17','2020-12-28 20:22:33',null);
INSERT INTO complaint_statuses VALUES('10676','3267','3',null,'65',null,'26-DEC-2020
COM NO 192019756','92','92','2020-12-27 02:33:29','2020-12-28 20:30:55',null);
INSERT INTO complaint_statuses VALUES('10677','3268','3',null,'52',null,'26-DEC-2020
COM NO PKRI-201228103501','92','92','2020-12-27 02:37:15','2020-12-28 20:51:51',null);
INSERT INTO complaint_statuses VALUES('10678','3229','7','12','81','chalA K CHECK KRWANI THI OK HO GYE',null,'79','79','2020-12-27 02:42:24','2020-12-27 02:42:24',null);
INSERT INTO complaint_statuses VALUES('10679','3226','7','12','81','BACK LIGHT REPLACED  RS 6000 EXP 
PAYMENT SADIQ SB KRAIN GY 
UNIT WAPIS DROP KR DIYA HA',null,'83','83','2020-12-27 05:22:53','2020-12-27 05:22:53',null);
INSERT INTO complaint_statuses VALUES('10680','3109','7','12','81','unit ok no any problem found',null,'83','83','2020-12-27 05:26:24','2020-12-27 05:26:24',null);
INSERT INTO complaint_statuses VALUES('10681','3269','3',null,'53',null,'27-DEC-2020
COM NO 1076837','92','92','2020-12-27 23:13:34','2020-12-27 23:15:35',null);
INSERT INTO complaint_statuses VALUES('10682','3270','3',null,'52',null,'27-DEC-2020
COM NO PKRI-201227104075','92','92','2020-12-27 23:23:03','2020-12-27 23:24:02',null);
INSERT INTO complaint_statuses VALUES('10683','3231','8','23','60',null,null,'81','81','2020-12-27 23:23:12','2020-12-27 23:23:12',null);
INSERT INTO complaint_statuses VALUES('10684','3229','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-27 23:23:47','2020-12-28 21:07:07',null);
INSERT INTO complaint_statuses VALUES('10685','3226','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-27 23:24:04','2020-12-28 22:44:59',null);
INSERT INTO complaint_statuses VALUES('10686','3224','8','23','60',null,null,'81','81','2020-12-27 23:24:51','2020-12-27 23:24:51',null);
INSERT INTO complaint_statuses VALUES('10687','3195','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-27 23:25:09','2020-12-28 22:47:57',null);
INSERT INTO complaint_statuses VALUES('10688','3109','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-27 23:25:36','2020-12-28 23:49:11',null);
INSERT INTO complaint_statuses VALUES('10689','3271','3',null,'57',null,'27-DEC-2020
COM NO 15556','92','92','2020-12-27 23:31:39','2020-12-27 23:31:39',null);
INSERT INTO complaint_statuses VALUES('10690','3272','3',null,'80',null,'27-DEC-2020
FF TO AMNA BOSCH','92','92','2020-12-27 23:42:33','2021-01-06 01:31:23',null);
INSERT INTO complaint_statuses VALUES('10691','3273','2',null,'81',null,'27-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-27 23:47:37','2020-12-27 23:47:37',null);
INSERT INTO complaint_statuses VALUES('10692','3274','3',null,'53',null,'27-DEC-2020
COM NO 301076900','92','92','2020-12-27 23:56:37','2020-12-28 20:09:27',null);
INSERT INTO complaint_statuses VALUES('10693','3275','3',null,'52',null,'27-DEC-2020
COM NO PKRI-201227104712','92','92','2020-12-28 00:31:44','2020-12-28 00:33:56',null);
INSERT INTO complaint_statuses VALUES('10694','3276','3',null,'66',null,'27-DEC-2020
COM NO PK122820200170','92','92','2020-12-28 00:40:59','2020-12-29 02:46:42',null);
INSERT INTO complaint_statuses VALUES('10695','3277','3',null,'54',null,'27-DEC-2020 
COM NO 1792570','92','92','2020-12-28 00:54:38','2020-12-31 21:38:43',null);
INSERT INTO complaint_statuses VALUES('10696','3278','3',null,'66',null,'27-DEC-2020
COM NO PK123120200033
IMRAN SAB 
COMPLAINT#PK011920210041','92','74','2020-12-28 01:09:04','2021-01-19 21:09:16',null);
INSERT INTO complaint_statuses VALUES('10697','3279','2',null,'81',null,'27-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-28 01:33:31','2020-12-28 01:33:31',null);
INSERT INTO complaint_statuses VALUES('10698','3280','3',null,'53',null,'27-DEC-2020
COM NO 1076841','92','92','2020-12-28 01:42:09','2020-12-28 01:44:14',null);
INSERT INTO complaint_statuses VALUES('10699','3281','2',null,'81',null,'27-DEC-2020
COM FF TO AZHAR FCI','92','92','2020-12-28 02:06:33','2020-12-28 02:06:33',null);
INSERT INTO complaint_statuses VALUES('10700','3282','3',null,'65',null,'27-DEC-2020
COM NO 192019854
NEW COMPLAINT#192119952','92','74','2020-12-28 02:17:34','2021-01-05 21:48:41',null);
INSERT INTO complaint_statuses VALUES('10701','3283','3',null,'55',null,'27-DEC-2020
COM NO 709615','92','92','2020-12-28 02:37:01','2020-12-28 20:03:05',null);
INSERT INTO complaint_statuses VALUES('10702','3222','7','26','81','CUSTOMER NY KHD THK KRWA LI',null,'87','87','2020-12-28 03:07:29','2020-12-28 03:07:29',null);
INSERT INTO complaint_statuses VALUES('10703','3247','7','24','81','refer to work shop drum me kuch phasa howa ha jis k waja sy awaz aa rahe ha',null,'79','79','2020-12-28 03:34:13','2020-12-28 03:34:13',null);
INSERT INTO complaint_statuses VALUES('10704','3233','7','12','81','service ki hA OK HO GYE',null,'79','79','2020-12-28 03:36:21','2020-12-28 03:36:21',null);
INSERT INTO complaint_statuses VALUES('10705','3287','2',null,'81',null,'28-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-28 19:41:20','2020-12-28 19:41:20',null);
INSERT INTO complaint_statuses VALUES('10706','3100','7','28','81','Cancelled',null,'76','76','2020-12-28 19:46:05','2020-12-28 19:46:05',null);
INSERT INTO complaint_statuses VALUES('10707','3104','7','9','81','Please Provide an alternate Number',null,'76','76','2020-12-28 19:47:34','2020-12-28 19:47:34',null);
INSERT INTO complaint_statuses VALUES('10708','3099','7','28','81',null,null,'76','76','2020-12-28 19:48:01','2020-12-28 19:48:01',null);
INSERT INTO complaint_statuses VALUES('10709','3098','7','28','81',null,null,'76','76','2020-12-28 19:48:30','2020-12-28 19:48:30',null);
INSERT INTO complaint_statuses VALUES('10710','3287','4',null,'55',null,null,'81','81','2020-12-28 19:49:45','2020-12-28 19:49:45',null);
INSERT INTO complaint_statuses VALUES('10711','3281','4',null,'60',null,null,'81','81','2020-12-28 19:50:01','2020-12-28 19:50:01',null);
INSERT INTO complaint_statuses VALUES('10712','2392','7','26','81','Return Without Repairing (Inverter Board Faulty )',null,'76','76','2020-12-28 19:50:03','2020-12-28 19:50:03',null);
INSERT INTO complaint_statuses VALUES('10713','3279','4',null,'62',null,null,'81','81','2020-12-28 19:50:14','2020-12-28 19:50:14',null);
INSERT INTO complaint_statuses VALUES('10714','3273','4',null,'62',null,null,'81','81','2020-12-28 19:50:25','2020-12-28 19:50:25',null);
INSERT INTO complaint_statuses VALUES('10715','3264','4',null,'55',null,null,'81','81','2020-12-28 19:50:35','2020-12-28 19:50:35',null);
INSERT INTO complaint_statuses VALUES('10716','3260','4',null,'58',null,null,'81','81','2020-12-28 19:50:44','2020-12-28 19:50:44',null);
INSERT INTO complaint_statuses VALUES('10717','3259','4',null,'59',null,null,'81','81','2020-12-28 19:51:04','2020-12-28 19:51:04',null);
INSERT INTO complaint_statuses VALUES('10718','3257','4',null,'55',null,null,'81','81','2020-12-28 19:51:15','2020-12-28 19:51:15',null);
INSERT INTO complaint_statuses VALUES('10719','3256','4',null,'63',null,'COMA PINT RESOLVED
500 VISIT CHARGES NOT PAID','81','74','2020-12-28 19:51:25','2021-01-11 23:36:51',null);
INSERT INTO complaint_statuses VALUES('10720','2494','7','12','81','Service',null,'76','76','2020-12-28 19:53:12','2020-12-28 19:53:12',null);
INSERT INTO complaint_statuses VALUES('10721','3007','7','12','81','Service.',null,'76','76','2020-12-28 19:54:05','2020-12-28 19:54:05',null);
INSERT INTO complaint_statuses VALUES('10722','3203','7','12','81','Completed and collected by customer. Paid by customer',null,'77','77','2020-12-28 20:03:17','2020-12-28 20:03:17',null);
INSERT INTO complaint_statuses VALUES('10723','3114','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-28 20:11:56','2020-12-28 20:11:56',null);
INSERT INTO complaint_statuses VALUES('10724','3246','7','9','81','Call not attending we will try again soon',null,'77','77','2020-12-28 20:12:21','2020-12-28 20:12:21',null);
INSERT INTO complaint_statuses VALUES('10725','3108','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-28 20:14:33','2020-12-28 20:14:33',null);
INSERT INTO complaint_statuses VALUES('10726','3150','7','24','81','Phone not attending again.',null,'77','77','2020-12-28 20:14:33','2020-12-28 20:14:33',null);
INSERT INTO complaint_statuses VALUES('10727','3239','7','12','81','ISSUE RESOLVED',null,'87','87','2020-12-28 20:19:09','2020-12-28 20:19:09',null);
INSERT INTO complaint_statuses VALUES('10728','3128','7','24','81','Time commited saturday',null,'77','77','2020-12-28 20:20:31','2020-12-28 20:20:31',null);
INSERT INTO complaint_statuses VALUES('10729','3288','2',null,'81',null,'28-DEC-2020
FF TO BEST COOL','74','74','2020-12-28 20:23:05','2020-12-28 20:23:05',null);
INSERT INTO complaint_statuses VALUES('10730','3288','4',null,'58',null,null,'81','81','2020-12-28 20:23:35','2020-12-28 20:23:35',null);
INSERT INTO complaint_statuses VALUES('10731','3244','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-28 20:33:37','2020-12-28 20:33:37',null);
INSERT INTO complaint_statuses VALUES('10732','3289','3',null,'52',null,'28-DEC-2020
COMPLAINT#PKRI-201228103082','74','74','2020-12-28 20:35:56','2020-12-28 20:35:56',null);
INSERT INTO complaint_statuses VALUES('10733','3250','7','12','81','Unky plumber ny theek kar dia tha',null,'82','82','2020-12-28 20:38:45','2020-12-28 20:38:45',null);
INSERT INTO complaint_statuses VALUES('10734','3284','3',null,'52',null,null,'74','74','2020-12-28 20:39:46','2020-12-28 20:39:46',null);
INSERT INTO complaint_statuses VALUES('10735','3285','3',null,'52',null,null,'74','74','2020-12-28 20:41:15','2020-12-28 20:41:15',null);
INSERT INTO complaint_statuses VALUES('10736','3224','7','12','81','Main ny aaj inko fon kea tha frig on kar ky ayea tha parso .
Keh rehy hy aap on kar ky gy hy abhi tak theek chal raha hy .agr masla huwa to bta dy gy .filhal close kar dy',null,'82','82','2020-12-28 20:42:23','2020-12-28 20:42:23',null);
INSERT INTO complaint_statuses VALUES('10737','3286','3',null,'52',null,'COMPLAINT RESOLVED','74','74','2020-12-28 20:42:50','2021-01-02 20:45:43',null);
INSERT INTO complaint_statuses VALUES('10738','3250','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-28 20:43:45','2020-12-28 20:46:10',null);
INSERT INTO complaint_statuses VALUES('10739','3248','7','26','81','Guide to The Customer  On Telephone , No Need of Visit',null,'76','76','2020-12-28 20:44:54','2020-12-28 20:44:54',null);
INSERT INTO complaint_statuses VALUES('10740','3246','8','23','56','CUSTOMER  SA BAT HO GEI HAIN JOB COMPLETED QUKILEY',null,'81','81','2020-12-28 20:47:15','2020-12-28 20:47:15',null);
INSERT INTO complaint_statuses VALUES('10741','2769','7','24','81','Baji ny raat ko bulana tha 2din phly call.nhi kia .raat ko.ghar ati hy office main hy .call kea unho ny besy lar dia',null,'82','82','2020-12-28 20:49:52','2020-12-28 20:49:52',null);
INSERT INTO complaint_statuses VALUES('10742','3248','5','15',null,'CALL PA HI FAROOQ TECHNICIAN  NA COMPLAINT RESOLVED KAR DI COMPLAIN CLOSED','COMPLAINT RESOLVED','81','74','2020-12-28 20:50:05','2020-12-28 20:56:51',null);
INSERT INTO complaint_statuses VALUES('10743','1215','7','24','81','Custmer karachi hy wapis aye ga crona ky baad to btay gy.filhal close kar dy',null,'82','82','2020-12-28 20:52:01','2020-12-28 20:52:01',null);
INSERT INTO complaint_statuses VALUES('10744','3239','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-28 20:52:03','2020-12-28 20:59:23',null);
INSERT INTO complaint_statuses VALUES('10745','3233','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-28 20:56:05','2020-12-28 20:59:52',null);
INSERT INTO complaint_statuses VALUES('10746','3224','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-28 20:58:37','2020-12-28 22:19:02',null);
INSERT INTO complaint_statuses VALUES('10747','1945','7','24','81','Iska door switch need',null,'82','82','2020-12-28 21:03:52','2020-12-28 21:03:52',null);
INSERT INTO complaint_statuses VALUES('10748','2956','7','26','81','Dishwasher Has been Replaced .',null,'76','76','2020-12-28 21:06:35','2020-12-28 21:06:35',null);
INSERT INTO complaint_statuses VALUES('10749','2557','7','24','81','Custmer sy aaj phir baat huwi hy next week any ka kha hy.unho ny forner',null,'82','82','2020-12-28 21:07:00','2020-12-28 21:07:00',null);
INSERT INTO complaint_statuses VALUES('10750','2913','7','12','81','Compressor Replaced.',null,'76','76','2020-12-28 21:07:33','2020-12-28 21:07:33',null);
INSERT INTO complaint_statuses VALUES('10751','3222','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-28 21:08:19','2020-12-28 22:45:31',null);
INSERT INTO complaint_statuses VALUES('10752','3290','2',null,'81',null,'28-DEC-2020
COM FF TO AZHAR FCI','92','92','2020-12-28 21:08:26','2020-12-28 21:08:26',null);
INSERT INTO complaint_statuses VALUES('10753','1806','7','26','81','Return  Without Repairing.',null,'76','76','2020-12-28 21:08:54','2020-12-28 21:08:54',null);
INSERT INTO complaint_statuses VALUES('10754','3291','3',null,'53',null,'28-DEC-2020
COMPLAINT#301076927','74','74','2020-12-28 21:16:38','2020-12-28 21:16:38',null);
INSERT INTO complaint_statuses VALUES('10755','3203','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-28 21:25:35','2020-12-28 22:46:05',null);
INSERT INTO complaint_statuses VALUES('10756','3150','8','23','56','CUSTOMER SA BAT HO GEI HAIN KINDLY AGIN CONTACT KARYA CUSTOMER SA',null,'81','81','2020-12-28 21:27:18','2020-12-28 21:27:18',null);
INSERT INTO complaint_statuses VALUES('10757','3290','4',null,'60',null,null,'81','81','2020-12-28 21:29:08','2020-12-28 21:29:08',null);
INSERT INTO complaint_statuses VALUES('10758','3128','8','23','56','OK JOB COMPLETED QUKILEY','SHAHZAD TECHNICIAN  ON ROUT','81','74','2020-12-28 21:29:46','2021-01-10 00:07:15',null);
INSERT INTO complaint_statuses VALUES('10759','3100','5','15',null,'COMPLETE COMPLAINT','COMPLAINT CLOSED','81','74','2020-12-28 21:35:26','2020-12-28 23:47:26',null);
INSERT INTO complaint_statuses VALUES('10760','3099','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2020-12-28 21:35:58','2020-12-28 23:47:56',null);
INSERT INTO complaint_statuses VALUES('10761','3098','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-28 21:36:23','2020-12-28 23:50:02',null);
INSERT INTO complaint_statuses VALUES('10762','3007','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-28 21:37:13','2020-12-29 02:20:28',null);
INSERT INTO complaint_statuses VALUES('10763','3104','5','15',null,'CUSTOMER KA NO STILL P/OFF JA RAHA HAIN WAQAS FCP KO B INFORMED KAR DIA  SO COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2020-12-28 21:39:43','2020-12-28 23:46:53',null);
INSERT INTO complaint_statuses VALUES('10764','3292','3',null,'77',null,'28-DEC-2020
FF O RIZWAN TASLA','74','74','2020-12-28 21:42:45','2020-12-28 21:42:45',null);
INSERT INTO complaint_statuses VALUES('10765','3293','2',null,'81',null,'28-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-28 21:44:31','2020-12-28 21:44:31',null);
INSERT INTO complaint_statuses VALUES('10766','3123','7','24','81','First Visit Done , second Visit Require',null,'76','76','2020-12-28 21:51:31','2020-12-28 21:51:31',null);
INSERT INTO complaint_statuses VALUES('10767','3136','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-28 21:56:02','2020-12-28 21:56:02',null);
INSERT INTO complaint_statuses VALUES('10768','2975','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-28 21:57:55','2020-12-28 21:57:55',null);
INSERT INTO complaint_statuses VALUES('10769','3017','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-28 21:59:48','2020-12-28 21:59:48',null);
INSERT INTO complaint_statuses VALUES('10770','3161','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-28 22:01:12','2020-12-28 22:01:12',null);
INSERT INTO complaint_statuses VALUES('10771','3169','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-28 22:03:41','2020-12-28 22:03:41',null);
INSERT INTO complaint_statuses VALUES('10772','3170','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-28 22:05:25','2020-12-28 22:05:25',null);
INSERT INTO complaint_statuses VALUES('10773','3294','2',null,'81',null,'28-DEC-2020
FF TO B.COOL','74','74','2020-12-28 22:07:07','2020-12-28 22:07:07',null);
INSERT INTO complaint_statuses VALUES('10774','2956','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-28 22:07:58','2020-12-29 02:21:01',null);
INSERT INTO complaint_statuses VALUES('10775','3294','4',null,'58',null,null,'81','81','2020-12-28 22:08:29','2020-12-28 22:08:29',null);
INSERT INTO complaint_statuses VALUES('10776','3293','4',null,'58',null,null,'81','81','2020-12-28 22:08:41','2020-12-28 22:08:41',null);
INSERT INTO complaint_statuses VALUES('10777','2913','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-28 22:14:11','2020-12-29 02:21:35',null);
INSERT INTO complaint_statuses VALUES('10778','3202','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-28 22:14:43','2020-12-28 22:14:43',null);
INSERT INTO complaint_statuses VALUES('10779','2494','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','74','2020-12-28 22:15:15','2020-12-29 02:24:00',null);
INSERT INTO complaint_statuses VALUES('10780','3295','3',null,'54',null,'28-DEC-2020
COMPLAINT#1790745','74','74','2020-12-28 22:19:32','2020-12-28 22:19:32',null);
INSERT INTO complaint_statuses VALUES('10781','3296','2',null,'81',null,'28-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-28 22:22:36','2020-12-28 22:22:36',null);
INSERT INTO complaint_statuses VALUES('10782','3297','3',null,'52',null,'28-DEC-2020
COMPLAINT#PKRI-201228105793','74','74','2020-12-28 22:24:02','2020-12-28 22:24:02',null);
INSERT INTO complaint_statuses VALUES('10783','3298','3',null,'65',null,'28-DEC-2020
COM NO 192019763','92','92','2020-12-28 22:29:21','2020-12-28 22:33:18',null);
INSERT INTO complaint_statuses VALUES('10784','3299','3',null,'54',null,'28-DEC-2020
COM NO 1790780','92','92','2020-12-28 22:43:17','2020-12-28 22:43:17',null);
INSERT INTO complaint_statuses VALUES('10785','3296','4',null,'58',null,null,'81','81','2020-12-28 22:48:39','2020-12-28 22:48:39',null);
INSERT INTO complaint_statuses VALUES('10786','3300','2',null,'81',null,'28-DEC-2020
COM FF TO AZHAR FCI','92','92','2020-12-28 22:53:43','2020-12-28 22:53:43',null);
INSERT INTO complaint_statuses VALUES('10787','3301','2',null,'81',null,'28-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-28 23:21:16','2020-12-28 23:21:16',null);
INSERT INTO complaint_statuses VALUES('10788','3302','2',null,'81',null,'28-DEC-2020
COM FF TO KHALID SONY','92','92','2020-12-28 23:31:12','2020-12-28 23:31:12',null);
INSERT INTO complaint_statuses VALUES('10789','3302','4',null,'56',null,null,'81','81','2020-12-28 23:39:21','2020-12-28 23:39:21',null);
INSERT INTO complaint_statuses VALUES('10790','3300','4',null,'60',null,null,'81','81','2020-12-28 23:40:15','2020-12-28 23:40:15',null);
INSERT INTO complaint_statuses VALUES('10791','3301','4',null,'63',null,null,'81','81','2020-12-28 23:40:46','2020-12-28 23:40:46',null);
INSERT INTO complaint_statuses VALUES('10792','3303','3',null,'52',null,'28-DEC-2020
COM NO PKRI-201228107931','92','92','2020-12-28 23:51:39','2020-12-28 23:59:29',null);
INSERT INTO complaint_statuses VALUES('10793','3304','3',null,'53',null,'28-DEC-2020
COMPLAINT#301077033','74','74','2020-12-29 00:07:53','2020-12-29 00:07:53',null);
INSERT INTO complaint_statuses VALUES('10794','3305','3',null,'53',null,'28-DEC-2020
COMPLAINT#301077035','74','92','2020-12-29 00:11:00','2020-12-31 21:00:28',null);
INSERT INTO complaint_statuses VALUES('10795','3306','3',null,'52',null,'28-DEC-2020
COM NO PKRI-201228108137','92','73','2020-12-29 00:12:03','2020-12-30 21:04:31',null);
INSERT INTO complaint_statuses VALUES('10796','3307','2',null,'81',null,'28-DEC-2020
FF TO USMAN MRM','74','74','2020-12-29 00:14:19','2020-12-29 00:14:19',null);
INSERT INTO complaint_statuses VALUES('10797','3307','4',null,'61',null,'COMPLAINT RESOLVED','81','74','2020-12-29 00:14:56','2021-01-05 01:19:45',null);
INSERT INTO complaint_statuses VALUES('10798','1806','5','25',null,null,'CUSTOMER KO WITH OUT REPARING CUSTOMER KO WAPISE KAR DIA THA','81','74','2020-12-29 00:16:38','2021-02-17 12:09:50',null);
INSERT INTO complaint_statuses VALUES('10799','2392','5','25',null,null,'COMPLAINT RESOLVED','81','92','2020-12-29 00:17:03','2021-02-14 13:19:34',null);
INSERT INTO complaint_statuses VALUES('10800','3247','8','23','58',null,null,'81','81','2020-12-29 00:17:34','2020-12-29 00:17:34',null);
INSERT INTO complaint_statuses VALUES('10801','3123','8','23','55',null,null,'81','81','2020-12-29 00:17:56','2020-12-29 00:17:56',null);
INSERT INTO complaint_statuses VALUES('10802','2769','8','23','60','please complete this job quickly',null,'81','81','2020-12-29 00:18:56','2020-12-29 00:18:56',null);
INSERT INTO complaint_statuses VALUES('10803','2557','8','23','60','please complete this job quickly','CUSTOMER NA KAL 12 BAJY KA TIME DIA HAIN','81','74','2020-12-29 00:19:40','2021-01-06 03:52:43',null);
INSERT INTO complaint_statuses VALUES('10804','1945','8','23','60','please complete this job quickly',null,'81','81','2020-12-29 00:20:24','2020-12-29 00:20:24',null);
INSERT INTO complaint_statuses VALUES('10805','1215','8','23','60','please complete this job quickly','TUESDAY KO CUSTOMER WAPISE AARHAY HAIN WEDNESDAY KO VISIT KA TIME DIA CUSTOMER NA','81','74','2020-12-29 00:21:13','2021-01-05 00:03:38',null);
INSERT INTO complaint_statuses VALUES('10806','3119','7','22','81','PCB Panel Top Cover Require',null,'76','76','2020-12-29 00:24:49','2020-12-29 00:24:49',null);
INSERT INTO complaint_statuses VALUES('10807','3199','7','24','81','Under Repair in SVC',null,'76','76','2020-12-29 00:27:04','2020-12-29 00:27:04',null);
INSERT INTO complaint_statuses VALUES('10808','3249','7','24','81','Ya unit customer ny blue area drop kiya ha   kindly confirm unit kahan or kis k pass ha',null,'83','83','2020-12-29 00:33:15','2020-12-29 00:33:15',null);
INSERT INTO complaint_statuses VALUES('10809','3121','7','12','81','Door Adjustment Only Visit Pending',null,'76','76','2020-12-29 00:38:49','2020-12-29 00:38:49',null);
INSERT INTO complaint_statuses VALUES('10810','3241','7','12','81','ISSUE RESOLVED',null,'87','87','2020-12-29 00:43:02','2020-12-29 00:43:02',null);
INSERT INTO complaint_statuses VALUES('10811','3308','2',null,'81',null,'28-DEC-2020
COM FF TO AZHAR FCI','92','92','2020-12-29 00:47:15','2020-12-29 00:47:15',null);
INSERT INTO complaint_statuses VALUES('10812','3309','3',null,'52',null,'28-DEC-2020
COM NO PKRI-201228109070','92','92','2020-12-29 01:00:18','2020-12-29 01:00:18',null);
INSERT INTO complaint_statuses VALUES('10813','3065','7','26','81','No Need of Visit',null,'76','76','2020-12-29 01:12:58','2020-12-29 01:12:58',null);
INSERT INTO complaint_statuses VALUES('10814','3010','7','12','81','PCB Repaired and Service',null,'76','76','2020-12-29 01:15:26','2020-12-29 01:15:26',null);
INSERT INTO complaint_statuses VALUES('10815','1117','7','12','81','Unit Is Ready , But Customer Out OF Country.',null,'76','76','2020-12-29 01:19:36','2020-12-29 01:19:36',null);
INSERT INTO complaint_statuses VALUES('10816','3310','3',null,'52',null,'28-DEC-2020
COM NO PKRI-201228109289','92','92','2020-12-29 01:19:40','2020-12-29 01:25:28',null);
INSERT INTO complaint_statuses VALUES('10817','3308','4',null,'60',null,null,'81','81','2020-12-29 01:21:21','2020-12-29 01:21:21',null);
INSERT INTO complaint_statuses VALUES('10818','3021','7','26','81','Plumbering Work Issue , 
No Fault In product.',null,'76','76','2020-12-29 01:23:17','2020-12-29 01:23:17',null);
INSERT INTO complaint_statuses VALUES('10819','2830','7','12','81','Amount Pending 15500/-(Compressor Replaced )',null,'76','76','2020-12-29 01:25:19','2020-12-29 01:25:19',null);
INSERT INTO complaint_statuses VALUES('10820','2411','7','22','81','Door Damper Require',null,'76','76','2020-12-29 01:27:58','2020-12-29 01:27:58',null);
INSERT INTO complaint_statuses VALUES('10821','2767','7','22','81','Main PCB Not Repairable Need to Replace , Please Guide for Further Action.',null,'76','76','2020-12-29 01:30:51','2020-12-29 01:30:51',null);
INSERT INTO complaint_statuses VALUES('10822','3311','2',null,'81',null,'28-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-29 01:34:32','2020-12-29 01:34:32',null);
INSERT INTO complaint_statuses VALUES('10823','2290','7','26','81','Customer Will Drop His Product after Some days.',null,'76','76','2020-12-29 01:35:15','2020-12-29 01:35:15',null);
INSERT INTO complaint_statuses VALUES('10824','2879','7','26','81','Problem Solved',null,'76','76','2020-12-29 01:38:09','2020-12-29 01:38:09',null);
INSERT INTO complaint_statuses VALUES('10825','1095','7','22','81','Part in Order , Shipment Will Arrive After mid of January 2021.',null,'76','76','2020-12-29 01:39:13','2020-12-29 01:39:13',null);
INSERT INTO complaint_statuses VALUES('10826','2973','7','26','81','Its Out of City Complaint , Please Register your Complaint On Our Tool Free Number 0800-15454.',null,'76','76','2020-12-29 01:40:40','2020-12-29 01:40:40',null);
INSERT INTO complaint_statuses VALUES('10827','1336','7','26','81','Confirm to the Customer if he is Agree for Lifting.',null,'76','76','2020-12-29 01:44:11','2020-12-29 01:44:11',null);
INSERT INTO complaint_statuses VALUES('10828','3312','3',null,'53',null,'28-DEC-2020
COM NO 301077099','92','92','2020-12-29 01:46:56','2020-12-29 01:49:23',null);
INSERT INTO complaint_statuses VALUES('10829','3300','7','24','81','Wo i10 workshop la rehy hy','YHA OVEN I 10/3 DROP KAR K GAY HAIN CUSTOMER','82','74','2020-12-29 01:59:16','2020-12-29 02:44:48',null);
INSERT INTO complaint_statuses VALUES('10830','3313','3',null,'65',null,'28-DEC-2020
COM NO 192019778','92','92','2020-12-29 02:16:01','2020-12-29 02:25:42',null);
INSERT INTO complaint_statuses VALUES('10831','3314','3',null,'72',null,'28-DEC-2020
COM NO 072015902','92','92','2020-12-29 02:24:18','2020-12-29 02:24:18',null);
INSERT INTO complaint_statuses VALUES('10832','3205','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-29 02:25:19','2020-12-29 02:25:19',null);
INSERT INTO complaint_statuses VALUES('10833','3281','7','12','81','Sakit hrab thi .
Visit okay gezar theek hy',null,'82','82','2020-12-29 02:29:12','2020-12-29 02:29:12',null);
INSERT INTO complaint_statuses VALUES('10834','3311','4',null,'62',null,null,'81','81','2020-12-29 02:32:01','2020-12-29 02:32:01',null);
INSERT INTO complaint_statuses VALUES('10835','3281','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-29 02:33:56','2020-12-29 20:14:07',null);
INSERT INTO complaint_statuses VALUES('10836','3249','8','23','61','YHA BULE AREA SHOWROOM PA HI HAIN  ASLAM SIR AP K PASS MOVE KARWA DAY GAY',null,'81','81','2020-12-29 02:36:24','2020-12-29 02:36:24',null);
INSERT INTO complaint_statuses VALUES('10837','3241','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-29 02:37:18','2020-12-29 20:19:00',null);
INSERT INTO complaint_statuses VALUES('10838','3315','2',null,'81',null,'28-DEC-2020
COM FF TO KHALID SONY','92','92','2020-12-29 02:43:56','2020-12-29 02:43:56',null);
INSERT INTO complaint_statuses VALUES('10839','3260','7','24','81',null,'VISIT TO DAY','79','74','2020-12-29 03:46:44','2020-12-29 20:12:05',null);
INSERT INTO complaint_statuses VALUES('10840','3288','7','24','81',null,null,'79','79','2020-12-29 03:50:29','2020-12-29 03:50:29',null);
INSERT INTO complaint_statuses VALUES('10841','3293','7','24','81',null,null,'79','79','2020-12-29 03:52:42','2020-12-29 03:52:42',null);
INSERT INTO complaint_statuses VALUES('10842','3294','7','24','81',null,null,'79','79','2020-12-29 03:55:28','2020-12-29 03:55:28',null);
INSERT INTO complaint_statuses VALUES('10843','3296','7','24','81',null,null,'79','79','2020-12-29 03:58:36','2020-12-29 03:58:36',null);
INSERT INTO complaint_statuses VALUES('10844','3251','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-29 19:47:37','2020-12-29 19:47:37',null);
INSERT INTO complaint_statuses VALUES('10845','3237','5',null,null,'COMPLAINT RESOLVED',null,'92','92','2020-12-29 19:54:06','2020-12-29 19:54:06',null);
INSERT INTO complaint_statuses VALUES('10846','3234','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-29 19:58:21','2020-12-29 19:58:21',null);
INSERT INTO complaint_statuses VALUES('10847','3242','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-29 20:00:08','2020-12-29 20:00:08',null);
INSERT INTO complaint_statuses VALUES('10848','3315','4',null,'56',null,null,'81','81','2020-12-29 20:00:22','2020-12-29 20:00:22',null);
INSERT INTO complaint_statuses VALUES('10849','3121','8','23','55','COMPLAINT NOT RESOLVED . AGAIN VISIT KARWA K CUSTOMER KO SATISFIED KARAY CUSTOMER SATISFIED NAI',null,'81','81','2020-12-29 20:02:32','2020-12-29 20:02:32',null);
INSERT INTO complaint_statuses VALUES('10850','3231','7','12','81','Ye theek ho ky i10 sy custmer.ky ghar chla gea hy',null,'82','82','2020-12-29 20:03:21','2020-12-29 20:03:21',null);
INSERT INTO complaint_statuses VALUES('10851','3261','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-29 20:11:39','2020-12-29 20:11:39',null);
INSERT INTO complaint_statuses VALUES('10852','3065','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-29 20:15:52','2020-12-29 20:19:49',null);
INSERT INTO complaint_statuses VALUES('10853','3323','3',null,'53',null,'29-DEC-2020
COM NO 301077149','92','92','2020-12-29 20:21:42','2020-12-29 20:25:38',null);
INSERT INTO complaint_statuses VALUES('10854','3311','7','12','81','issue resolved',null,'87','87','2020-12-29 20:23:09','2020-12-29 20:23:09',null);
INSERT INTO complaint_statuses VALUES('10855','3279','7','22','81','PCB',null,'87','87','2020-12-29 20:23:34','2020-12-29 20:23:34',null);
INSERT INTO complaint_statuses VALUES('10856','3273','7','22','81','COMP',null,'87','87','2020-12-29 20:23:55','2020-12-29 20:23:55',null);
INSERT INTO complaint_statuses VALUES('10857','2792','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-29 20:27:06','2020-12-29 20:27:06',null);
INSERT INTO complaint_statuses VALUES('10858','2730','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-12-29 20:32:22','2020-12-29 20:32:22',null);
INSERT INTO complaint_statuses VALUES('10859','3311','5','15',null,'COMPLETED COMPLANT','COMPLAINT RESOLVED','81','74','2020-12-29 20:32:52','2020-12-29 21:10:22',null);
INSERT INTO complaint_statuses VALUES('10860','3231','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-29 20:34:01','2020-12-29 22:00:48',null);
INSERT INTO complaint_statuses VALUES('10861','3021','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-29 20:35:00','2020-12-29 22:04:52',null);
INSERT INTO complaint_statuses VALUES('10862','2388','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-29 20:35:37','2020-12-29 20:35:37',null);
INSERT INTO complaint_statuses VALUES('10863','3010','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-29 20:36:12','2020-12-29 22:07:08',null);
INSERT INTO complaint_statuses VALUES('10864','3324','3',null,'65',null,'29-DEC-2020
COM NO 192019790','92','92','2020-12-29 20:47:06','2020-12-29 20:49:09',null);
INSERT INTO complaint_statuses VALUES('10865','3325','3',null,'92',null,'29-DEC-2020
COMPLAINT#201229019401','74','74','2020-12-29 20:48:12','2020-12-29 20:48:12',null);
INSERT INTO complaint_statuses VALUES('10866','2362','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-29 20:48:55','2020-12-29 20:48:55',null);
INSERT INTO complaint_statuses VALUES('10867','2973','5','15',null,'OUT OFF CITY COMPLAINT HAIN 0800 PA FF KARWAI HAIN COMPLIANT','COMPLAINT CLOSED','81','74','2020-12-29 20:49:50','2020-12-30 01:42:41',null);
INSERT INTO complaint_statuses VALUES('10868','2879','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-29 20:51:52','2020-12-30 01:43:22',null);
INSERT INTO complaint_statuses VALUES('10869','2017','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-12-29 20:52:58','2020-12-29 20:52:58',null);
INSERT INTO complaint_statuses VALUES('10870','2830','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-29 20:53:45','2020-12-30 01:53:05',null);
INSERT INTO complaint_statuses VALUES('10871','3326','3',null,'54',null,'29-DEC-2020
COM NO 51642
COMPLAINT#1795158
COMPLAINT#1791828','92','74','2020-12-29 20:57:53','2021-01-05 23:15:02',null);
INSERT INTO complaint_statuses VALUES('10872','3051','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-29 20:58:51','2020-12-29 20:58:51',null);
INSERT INTO complaint_statuses VALUES('10873','3225','7','26','81','Guide to Customer on call',null,'76','76','2020-12-29 20:59:24','2020-12-29 20:59:24',null);
INSERT INTO complaint_statuses VALUES('10874','3050','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-29 20:59:50','2020-12-29 20:59:50',null);
INSERT INTO complaint_statuses VALUES('10875','3049','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2020-12-29 21:01:13','2020-12-29 21:01:13',null);
INSERT INTO complaint_statuses VALUES('10876','3156','7','26','81','shifting Bolt Removed On call.',null,'76','76','2020-12-29 21:01:29','2020-12-29 21:01:29',null);
INSERT INTO complaint_statuses VALUES('10877','3047','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-29 21:02:09','2020-12-29 21:02:09',null);
INSERT INTO complaint_statuses VALUES('10878','3046','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-29 21:03:43','2020-12-29 21:03:43',null);
INSERT INTO complaint_statuses VALUES('10879','2473','7','12','81','CUSTOMER KA NO NOT RESPONDING',null,'88','88','2020-12-29 21:06:45','2020-12-29 21:06:45',null);
INSERT INTO complaint_statuses VALUES('10880','2853','7','12','81','CUSTOMER NA LOCAL TECHNICIAN SA COMPLAINT RESOLVED KARWA LI SO CLOSED COMPLAINT',null,'88','88','2020-12-29 21:08:40','2020-12-29 21:08:40',null);
INSERT INTO complaint_statuses VALUES('10881','3327','3',null,'54',null,'29-DEC-2020
COM NO 1791297','92','92','2020-12-29 21:10:12','2020-12-29 21:13:31',null);
INSERT INTO complaint_statuses VALUES('10882','2877','7','24','81','NO  VISIT',null,'88','88','2020-12-29 21:11:24','2020-12-29 21:11:24',null);
INSERT INTO complaint_statuses VALUES('10883','2962','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-29 21:14:07','2020-12-29 21:14:07',null);
INSERT INTO complaint_statuses VALUES('10884','2138','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-29 21:16:32','2020-12-29 21:16:32',null);
INSERT INTO complaint_statuses VALUES('10885','3328','2',null,'81',null,'29-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-29 21:18:51','2020-12-29 21:18:51',null);
INSERT INTO complaint_statuses VALUES('10886','2473','5','15',null,'CUSTOMER NO STILL NOT RESPONDING','COMPLAINT CLOSED','81','74','2020-12-29 21:19:45','2020-12-30 01:53:45',null);
INSERT INTO complaint_statuses VALUES('10887','3329','3',null,'76',null,'29-DEC-2020
COM  FF TO KHURRAM FIVE STAR','92','92','2020-12-29 21:23:30','2020-12-29 21:23:30',null);
INSERT INTO complaint_statuses VALUES('10888','1117','5','15',null,'REF 3 MONTH SA READY HAIN LG S/C MAIN BUT CUSTOMER ABI OUT OF COTY HAIN JAB WAPISE AAY GAY FIR PICK KARWAY GAY','COMPLAINT CLOSED','81','74','2020-12-29 21:24:03','2020-12-30 01:54:16',null);
INSERT INTO complaint_statuses VALUES('10889','3328','4',null,'63',null,null,'81','81','2020-12-29 21:24:34','2020-12-29 21:24:34',null);
INSERT INTO complaint_statuses VALUES('10890','3328','4',null,'63',null,null,'81','81','2020-12-29 21:24:34','2020-12-29 21:24:34',null);
INSERT INTO complaint_statuses VALUES('10891','3225','5','15',null,'CUSTOMER KO CALL  PA GUIDE KAR DIA HAIN  W/M KI SERVICES KA B INFORMED KAR DIA CUSTOMER KO US K LIYA CUSTOMER KO W/M S/C LA K AANI HO GEI US K LIYA CUSTOMER NA ABI DELAY KARWA DIA SADDIQ SAB KO B INFORMED KAR DIA','COMPLAINT RESOLVED','81','74','2020-12-29 21:26:47','2020-12-29 22:03:15',null);
INSERT INTO complaint_statuses VALUES('10892','3156','5','15',null,'CUSTOMER KA ISSUE CALL PA HI RESOLVED KARWA DIA','COMPLAINT RESOLVED','81','74','2020-12-29 21:29:34','2020-12-29 22:03:55',null);
INSERT INTO complaint_statuses VALUES('10893','2853','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-29 21:30:03','2020-12-30 01:52:21',null);
INSERT INTO complaint_statuses VALUES('10894','3163','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-29 21:34:37','2020-12-29 21:34:37',null);
INSERT INTO complaint_statuses VALUES('10895','3162','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-29 21:37:45','2020-12-29 21:37:45',null);
INSERT INTO complaint_statuses VALUES('10896','3330','3',null,'68',null,'29-DEC-2020
COMPLAINT#R.W.P2153','92','74','2020-12-29 21:41:25','2020-12-30 01:41:50',null);
INSERT INTO complaint_statuses VALUES('10897','3095','7','12','81','COMPLETED  COMPLAINT',null,'88','88','2020-12-29 21:45:36','2020-12-29 21:45:36',null);
INSERT INTO complaint_statuses VALUES('10898','3243','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-12-29 21:47:00','2020-12-29 21:47:00',null);
INSERT INTO complaint_statuses VALUES('10899','3243','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-29 21:49:38','2020-12-29 22:00:15',null);
INSERT INTO complaint_statuses VALUES('10900','3331','2',null,'81',null,'29-DEC-2020
COM FF TO USMAN MRM','92','92','2020-12-29 21:50:04','2020-12-29 21:50:04',null);
INSERT INTO complaint_statuses VALUES('10901','3159','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-29 21:50:55','2020-12-29 21:50:55',null);
INSERT INTO complaint_statuses VALUES('10902','3331','4',null,'61',null,null,'81','81','2020-12-29 21:51:46','2020-12-29 21:51:46',null);
INSERT INTO complaint_statuses VALUES('10903','3095','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-29 21:54:59','2020-12-29 22:04:21',null);
INSERT INTO complaint_statuses VALUES('10904','3158','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-29 21:58:58','2020-12-29 21:58:58',null);
INSERT INTO complaint_statuses VALUES('10905','3332','3',null,'88',null,'29-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-29 22:04:16','2020-12-29 22:04:16',null);
INSERT INTO complaint_statuses VALUES('10906','3333','3',null,'52',null,'29-DEC-2020
COM NO PKRI-201230110245','92','92','2020-12-29 22:11:02','2020-12-31 02:39:47',null);
INSERT INTO complaint_statuses VALUES('10907','3334','3',null,'53',null,'29-DEC-2020
COM NO 301077234','92','92','2020-12-29 22:17:46','2020-12-29 22:22:46',null);
INSERT INTO complaint_statuses VALUES('10908','3335','3',null,'53',null,'29-DEC-2020
COM NO 301077235','92','92','2020-12-29 22:22:16','2020-12-29 22:22:16',null);
INSERT INTO complaint_statuses VALUES('10909','3133','7','12','81','Comaplint resolved..from Adil I 10',null,'79','79','2020-12-29 22:44:28','2020-12-29 22:44:28',null);
INSERT INTO complaint_statuses VALUES('10910','3336','2',null,'81',null,'29-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-29 23:02:22','2020-12-29 23:02:22',null);
INSERT INTO complaint_statuses VALUES('10911','3337','2',null,'81',null,'29-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-29 23:05:17','2020-12-29 23:05:17',null);
INSERT INTO complaint_statuses VALUES('10912','3337','4',null,'63',null,null,'81','81','2020-12-29 23:07:27','2020-12-29 23:07:27',null);
INSERT INTO complaint_statuses VALUES('10913','3336','4',null,'62',null,null,'81','81','2020-12-29 23:07:47','2020-12-29 23:07:47',null);
INSERT INTO complaint_statuses VALUES('10914','3338','2',null,'81',null,'29-DEC-2020
COM FF TO  USMAN MRM','92','92','2020-12-29 23:09:26','2020-12-29 23:09:26',null);
INSERT INTO complaint_statuses VALUES('10915','3171','7','12','81','UNIT REST DONE    UNIT OK',null,'83','83','2020-12-29 23:10:59','2020-12-29 23:10:59',null);
INSERT INTO complaint_statuses VALUES('10916','2690','7','12','81','Visit k liya kal call krty rahy cusomer phone nahi otha raha tha',null,'83','83','2020-12-29 23:11:48','2020-12-29 23:11:48',null);
INSERT INTO complaint_statuses VALUES('10917','3141','7','12','81','Unit ok   guide to customer on phone',null,'83','83','2020-12-29 23:12:29','2020-12-29 23:12:29',null);
INSERT INTO complaint_statuses VALUES('10918','3339','2',null,'81',null,'29-DEC-2020
FF TO AZHAR FCI','74','74','2020-12-29 23:28:23','2020-12-29 23:28:23',null);
INSERT INTO complaint_statuses VALUES('10919','3340','3',null,'52',null,'29-DEC-2020
COM NO PKRI-201229107096','92','92','2020-12-29 23:29:09','2020-12-29 23:29:09',null);
INSERT INTO complaint_statuses VALUES('10920','3341','2',null,'81',null,'29-DEC-2020
FF TO SHAMIM AKHTER','74','74','2020-12-29 23:30:17','2020-12-29 23:30:17',null);
INSERT INTO complaint_statuses VALUES('10921','3341','4',null,'55',null,null,'81','81','2020-12-29 23:31:16','2020-12-29 23:31:16',null);
INSERT INTO complaint_statuses VALUES('10922','3339','4',null,'60',null,null,'81','81','2020-12-29 23:31:30','2020-12-29 23:31:30',null);
INSERT INTO complaint_statuses VALUES('10923','3338','4',null,'55',null,null,'81','81','2020-12-29 23:31:48','2020-12-29 23:31:48',null);
INSERT INTO complaint_statuses VALUES('10924','3342','3',null,'52',null,'29-DEC-2020
COMPLAINT#PKRI-201229107294','74','74','2020-12-29 23:39:39','2020-12-29 23:39:39',null);
INSERT INTO complaint_statuses VALUES('10925','3343','3',null,'52',null,'29-DEC-2020
COMPLAINT#PKRI-201229107337','74','74','2020-12-29 23:42:05','2020-12-29 23:42:05',null);
INSERT INTO complaint_statuses VALUES('10926','3173','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-29 23:48:44','2020-12-29 23:48:44',null);
INSERT INTO complaint_statuses VALUES('10927','3172','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-12-29 23:50:33','2020-12-29 23:50:33',null);
INSERT INTO complaint_statuses VALUES('10928','3172','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-29 23:51:06','2020-12-29 23:51:44',null);
INSERT INTO complaint_statuses VALUES('10929','3344','2',null,'81',null,'29-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-29 23:52:05','2020-12-29 23:52:05',null);
INSERT INTO complaint_statuses VALUES('10930','3345','2',null,'81',null,'29-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-29 23:55:20','2020-12-29 23:55:20',null);
INSERT INTO complaint_statuses VALUES('10931','3346','3',null,'53',null,'29-DEC-2020
COM NO 301077285','92','92','2020-12-30 00:06:00','2020-12-30 00:35:05',null);
INSERT INTO complaint_statuses VALUES('10932','3347','3',null,'52',null,'29-DEC-2020
COM NO PKRI-201229108131','92','92','2020-12-30 00:17:20','2020-12-30 00:20:10',null);
INSERT INTO complaint_statuses VALUES('10933','3348','2',null,'81',null,'29-DEC-2020
FF TO BEST COOL','74','74','2020-12-30 00:20:52','2020-12-30 00:20:52',null);
INSERT INTO complaint_statuses VALUES('10934','3348','4',null,'58',null,null,'81','81','2020-12-30 00:21:19','2020-12-30 00:21:19',null);
INSERT INTO complaint_statuses VALUES('10935','3345','4',null,'63',null,null,'81','81','2020-12-30 00:21:30','2020-12-30 00:21:30',null);
INSERT INTO complaint_statuses VALUES('10936','3344','4',null,'56',null,null,'81','81','2020-12-30 00:21:48','2020-12-30 00:21:48',null);
INSERT INTO complaint_statuses VALUES('10937','3349','3',null,'52',null,'29-DEC-2020
COMPLAINT#PKRI-201229108364','74','74','2020-12-30 00:32:56','2020-12-30 00:32:56',null);
INSERT INTO complaint_statuses VALUES('10938','3350','3',null,'73',null,'29-DEC-2020
COM NO 3267','92','92','2020-12-30 01:14:49','2020-12-30 01:14:49',null);
INSERT INTO complaint_statuses VALUES('10939','3351','3',null,'52',null,'29-DEC-2020
COMPLAINT#PKRI-201229108395','74','74','2020-12-30 01:16:42','2020-12-30 01:16:42',null);
INSERT INTO complaint_statuses VALUES('10940','3352','3',null,'54',null,'29-DEC-2020
COM NO 1791572','92','92','2020-12-30 01:21:28','2020-12-30 01:24:29',null);
INSERT INTO complaint_statuses VALUES('10941','3353','3',null,'68',null,'29-DEC-2020
COMPLIANT#R.W.P-2152','74','92','2020-12-30 01:29:36','2021-01-04 21:20:49',null);
INSERT INTO complaint_statuses VALUES('10942','3354','3',null,'52',null,'COMPLAIN#PKRI201229109785','73','73','2020-12-30 01:48:21','2020-12-30 01:48:21',null);
INSERT INTO complaint_statuses VALUES('10943','3355','2',null,'81',null,'29-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-30 01:51:40','2020-12-30 01:51:40',null);
INSERT INTO complaint_statuses VALUES('10944','3171','8','23','61','ISSUE RESOLVED NAI HOA KINDLAY AGAIN VISIT ARRANGE KARWAY CUSTOMER NA VIDEO B SHER KI HAIN AP SA',null,'81','81','2020-12-30 01:56:51','2020-12-30 01:56:51',null);
INSERT INTO complaint_statuses VALUES('10945','3355','4',null,'58',null,null,'81','81','2020-12-30 01:57:08','2020-12-30 01:57:08',null);
INSERT INTO complaint_statuses VALUES('10946','3133','8','15','58','COMPLETED COMPLAINT',null,'81','81','2020-12-30 01:58:25','2020-12-30 01:58:25',null);
INSERT INTO complaint_statuses VALUES('10947','3319','3',null,'57',null,null,'74','74','2020-12-30 02:00:48','2020-12-30 02:00:48',null);
INSERT INTO complaint_statuses VALUES('10948','3356','3',null,'73',null,'29-DEC-2020
COM NO 3269','92','92','2020-12-30 02:01:20','2020-12-30 02:05:08',null);
INSERT INTO complaint_statuses VALUES('10949','3317','3',null,'90',null,null,'74','74','2020-12-30 02:04:07','2020-12-30 02:04:07',null);
INSERT INTO complaint_statuses VALUES('10950','3318','2',null,'81',null,null,'74','74','2020-12-30 02:04:46','2020-12-30 02:04:46',null);
INSERT INTO complaint_statuses VALUES('10951','3316','2',null,'81',null,null,'74','74','2020-12-30 02:04:55','2020-12-30 02:04:55',null);
INSERT INTO complaint_statuses VALUES('10952','3318','4',null,'58',null,null,'81','81','2020-12-30 02:05:52','2020-12-30 02:05:52',null);
INSERT INTO complaint_statuses VALUES('10953','3316','4',null,'55',null,null,'81','81','2020-12-30 02:06:04','2020-12-30 02:06:04',null);
INSERT INTO complaint_statuses VALUES('10954','3141','8','23','61','CUSTOMER KA ISSUE CALL PA RESOLVED NAI HOA HAIN KINDLY HOME VISIT ARRANGE KARWAY',null,'81','81','2020-12-30 02:18:03','2020-12-30 02:18:03',null);
INSERT INTO complaint_statuses VALUES('10955','2690','5','15',null,'ABI SET OK CHAL RAHAY HAIN CUSTOMER NA ABI VISIT DELAY KARWA DIA CLOSED COMPLAINT','COMPLAIN RESOLVED','81','74','2020-12-30 02:19:54','2020-12-30 22:37:43',null);
INSERT INTO complaint_statuses VALUES('10956','3357','2',null,'81',null,'29-DEC-2020
FF TO BEST COOL','74','74','2020-12-30 02:26:57','2020-12-30 02:26:57',null);
INSERT INTO complaint_statuses VALUES('10957','3357','4',null,'58',null,null,'81','81','2020-12-30 02:29:39','2020-12-30 02:29:39',null);
INSERT INTO complaint_statuses VALUES('10958','3358','2',null,'81',null,'29-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-30 02:31:00','2020-12-30 02:31:00',null);
INSERT INTO complaint_statuses VALUES('10959','3357','7','12','81','visit done refer to i-10 service center',null,'79','79','2020-12-30 02:32:57','2020-12-30 02:32:57',null);
INSERT INTO complaint_statuses VALUES('10960','3358','4',null,'55',null,null,'81','81','2020-12-30 02:32:59','2020-12-30 02:32:59',null);
INSERT INTO complaint_statuses VALUES('10961','3359','3',null,'52',null,'29-DEC-2020
COM NO PKRI-201229110542','92','92','2020-12-30 02:38:01','2020-12-30 02:38:01',null);
INSERT INTO complaint_statuses VALUES('10962','3190','7','12','81','Door Adjustment. Visit Pending 600/-',null,'76','76','2020-12-30 02:40:32','2020-12-30 02:40:32',null);
INSERT INTO complaint_statuses VALUES('10963','3167','7','12','81','Unit ok and deleivered to customer home. Remote sensor replaced provided by friends.',null,'77','77','2020-12-30 02:47:12','2020-12-30 02:47:12',null);
INSERT INTO complaint_statuses VALUES('10964','3344','7','12','81','Lg job noaction',null,'77','77','2020-12-30 02:47:35','2020-12-30 02:47:35',null);
INSERT INTO complaint_statuses VALUES('10965','3360','3',null,'53',null,'29-DEC-2020
COM NO 301077450','92','92','2020-12-30 02:47:43','2020-12-30 22:42:13',null);
INSERT INTO complaint_statuses VALUES('10966','3361','3',null,'53',null,'29-DEC-2020
COMPLAINT# 1077451','74','92','2020-12-30 02:47:59','2020-12-30 22:44:59',null);
INSERT INTO complaint_statuses VALUES('10967','3355','7','24','81',null,null,'79','79','2020-12-30 02:48:30','2020-12-30 02:48:30',null);
INSERT INTO complaint_statuses VALUES('10968','3348','7','24','81',null,null,'79','79','2020-12-30 02:49:30','2020-12-30 02:49:30',null);
INSERT INTO complaint_statuses VALUES('10969','3318','7','24','81',null,null,'79','79','2020-12-30 02:49:58','2020-12-30 02:49:58',null);
INSERT INTO complaint_statuses VALUES('10970','3319','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-30 02:50:28','2020-12-30 02:50:28',null);
INSERT INTO complaint_statuses VALUES('10971','3362','3',null,'52',null,'29-DEC-2020
COMPLAINT#PKRI-201229110855','74','74','2020-12-30 02:54:15','2020-12-30 02:54:15',null);
INSERT INTO complaint_statuses VALUES('10972','3336','7','22','81','PCB',null,'87','87','2020-12-30 03:41:45','2020-12-30 03:41:45',null);
INSERT INTO complaint_statuses VALUES('10973','3344','5','25',null,'wrong vender select ho gaya','COMPLAINT CLOSED','81','74','2020-12-30 08:04:16','2020-12-30 22:36:01',null);
INSERT INTO complaint_statuses VALUES('10974','3363','3',null,'52',null,'30-DEC-2020
COM NO PKRI-201230102437','92','92','2020-12-30 20:11:34','2020-12-30 20:16:12',null);
INSERT INTO complaint_statuses VALUES('10975','3364','3',null,'62',null,'30-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-30 20:27:23','2020-12-30 20:27:23',null);
INSERT INTO complaint_statuses VALUES('10976','3365','3',null,'72',null,'30-DEC-2020
COM NO 072015933','92','92','2020-12-30 20:34:30','2021-01-05 23:09:16',null);
INSERT INTO complaint_statuses VALUES('10977','3339','7','24','81','Gezar okay hy pani mix ho raha tha.job compleet hy',null,'82','82','2020-12-30 20:34:56','2020-12-30 20:34:56',null);
INSERT INTO complaint_statuses VALUES('10978','3308','7','24','81','Washing machin i10 servis center.agai hy ?card ka.masla hy',null,'82','82','2020-12-30 20:36:21','2020-12-30 20:36:21',null);
INSERT INTO complaint_statuses VALUES('10979','3366','3',null,'73',null,'30-DEC-2020
COM NO 3280','92','92','2020-12-30 20:46:53','2020-12-30 20:50:11',null);
INSERT INTO complaint_statuses VALUES('10980','3218','7','12','81','Frezer theek ho ky custmer ky ghar chla gea hy',null,'82','82','2020-12-30 20:48:39','2020-12-30 20:48:39',null);
INSERT INTO complaint_statuses VALUES('10981','3367','2',null,'81',null,'30-DEC-2020
FF TO USMAN MRM','74','74','2020-12-30 21:09:51','2020-12-30 21:09:51',null);
INSERT INTO complaint_statuses VALUES('10982','3367','4',null,'61',null,null,'81','81','2020-12-30 21:10:46','2020-12-30 21:10:46',null);
INSERT INTO complaint_statuses VALUES('10983','3218','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-30 21:22:56','2020-12-30 22:36:50',null);
INSERT INTO complaint_statuses VALUES('10984','3197','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-30 21:27:55','2020-12-30 21:27:55',null);
INSERT INTO complaint_statuses VALUES('10985','3196','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-30 21:29:56','2020-12-30 21:29:56',null);
INSERT INTO complaint_statuses VALUES('10986','3193','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-30 21:34:16','2020-12-30 21:34:16',null);
INSERT INTO complaint_statuses VALUES('10987','3192','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-30 21:35:37','2020-12-30 21:35:37',null);
INSERT INTO complaint_statuses VALUES('10988','3187','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-30 21:37:13','2020-12-30 21:37:13',null);
INSERT INTO complaint_statuses VALUES('10989','3368','3',null,'57',null,'30-DEC-2020
COM NO 15627','92','92','2020-12-30 21:45:16','2021-01-04 22:20:25',null);
INSERT INTO complaint_statuses VALUES('10990','3183','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-30 21:50:11','2020-12-30 21:50:11',null);
INSERT INTO complaint_statuses VALUES('10991','3369','2',null,'81',null,'30-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-30 21:59:35','2020-12-30 21:59:35',null);
INSERT INTO complaint_statuses VALUES('10992','3200','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-30 22:03:51','2020-12-30 22:03:51',null);
INSERT INTO complaint_statuses VALUES('10993','3185','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-30 22:05:28','2020-12-30 22:05:28',null);
INSERT INTO complaint_statuses VALUES('10994','3370','3',null,'88',null,'30-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-30 22:07:39','2020-12-30 22:07:39',null);
INSERT INTO complaint_statuses VALUES('10995','3369','4',null,'55',null,null,'81','81','2020-12-30 22:10:42','2020-12-30 22:10:42',null);
INSERT INTO complaint_statuses VALUES('10996','2165','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-30 22:15:28','2020-12-30 22:15:28',null);
INSERT INTO complaint_statuses VALUES('10997','3371','3',null,'53',null,'30-DEC-2020
COM NO 1077445','92','92','2020-12-30 22:17:26','2020-12-30 22:19:48',null);
INSERT INTO complaint_statuses VALUES('10998','3372','3',null,'53',null,'30-DEC-2020
COM NO 1077452','92','92','2020-12-30 22:34:15','2020-12-30 22:48:06',null);
INSERT INTO complaint_statuses VALUES('10999','3373','2',null,'81',null,'29-DEC-2020
COM FF TO SHAMMIM AKHTER','74','74','2020-12-30 22:34:32','2020-12-30 22:34:32',null);
INSERT INTO complaint_statuses VALUES('11000','3373','4',null,'55',null,null,'81','81','2020-12-30 22:34:47','2020-12-30 22:34:47',null);
INSERT INTO complaint_statuses VALUES('11001','3374','3',null,'88',null,'30-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-30 22:41:49','2020-12-30 22:41:49',null);
INSERT INTO complaint_statuses VALUES('11002','3375','2',null,'81',null,'30-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-30 22:49:10','2020-12-30 22:49:10',null);
INSERT INTO complaint_statuses VALUES('11003','3375','4',null,'63',null,'COMPLAINT RESOLVED','81','74','2020-12-30 22:50:07','2021-01-02 01:07:13',null);
INSERT INTO complaint_statuses VALUES('11004','3376','3',null,'52',null,'30-DEC-2020
COMPLAINT#PKRI-201230106656','74','92','2020-12-30 22:52:18','2020-12-30 23:18:25',null);
INSERT INTO complaint_statuses VALUES('11005','3377','3',null,'65',null,'30-DEC-2020
COM NO 072015944
NEW COMPLAINT#072116009','92','74','2020-12-30 22:58:51','2021-01-03 01:53:54',null);
INSERT INTO complaint_statuses VALUES('11006','3331','7','12','81','Panel damage not claimable in warranty',null,'83','83','2020-12-30 23:05:57','2020-12-30 23:05:57',null);
INSERT INTO complaint_statuses VALUES('11007','3198','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-30 23:10:00','2020-12-30 23:10:00',null);
INSERT INTO complaint_statuses VALUES('11008','3378','2',null,'81',null,'30-DEC-2020
COM FF TO NADEEM AZHAR','92','92','2020-12-30 23:13:30','2020-12-30 23:13:30',null);
INSERT INTO complaint_statuses VALUES('11009','3379','3',null,'72',null,'30-DEC -2020
COMPLAINT#072015945','74','92','2020-12-30 23:18:53','2021-01-04 22:46:52',null);
INSERT INTO complaint_statuses VALUES('11010','3380','3',null,'65',null,'30-DEC-2020
COM NO 192120220','92','92','2020-12-30 23:30:55','2021-01-16 23:59:40',null);
INSERT INTO complaint_statuses VALUES('11011','3180','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-30 23:38:30','2020-12-30 23:38:30',null);
INSERT INTO complaint_statuses VALUES('11012','3378','4',null,'55',null,null,'81','81','2020-12-30 23:46:44','2020-12-30 23:46:44',null);
INSERT INTO complaint_statuses VALUES('11013','3255','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-30 23:52:59','2020-12-30 23:52:59',null);
INSERT INTO complaint_statuses VALUES('11014','3265','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-30 23:55:40','2020-12-30 23:55:40',null);
INSERT INTO complaint_statuses VALUES('11015','3178','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-30 23:56:53','2020-12-30 23:56:53',null);
INSERT INTO complaint_statuses VALUES('11016','3270','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-30 23:58:55','2020-12-30 23:58:55',null);
INSERT INTO complaint_statuses VALUES('11017','3289','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 00:05:13','2020-12-31 00:05:13',null);
INSERT INTO complaint_statuses VALUES('11018','3297','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 00:07:06','2020-12-31 00:07:06',null);
INSERT INTO complaint_statuses VALUES('11019','3321','3',null,'93',null,null,'74','74','2020-12-31 00:07:12','2020-12-31 00:07:12',null);
INSERT INTO complaint_statuses VALUES('11020','3320','3',null,'93',null,null,'74','74','2020-12-31 00:07:48','2020-12-31 00:07:48',null);
INSERT INTO complaint_statuses VALUES('11021','3208','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 00:09:18','2020-12-31 00:09:18',null);
INSERT INTO complaint_statuses VALUES('11022','3176','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 00:13:37','2020-12-31 00:13:37',null);
INSERT INTO complaint_statuses VALUES('11023','3306','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 00:14:00','2020-12-31 00:14:00',null);
INSERT INTO complaint_statuses VALUES('11024','3174','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 00:16:10','2020-12-31 00:16:10',null);
INSERT INTO complaint_statuses VALUES('11025','3206','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-12-31 00:18:52','2020-12-31 00:18:52',null);
INSERT INTO complaint_statuses VALUES('11026','3381','3',null,'73',null,'30-DEC-2020
COM NO 3289','92','92','2020-12-31 00:23:56','2021-01-04 20:17:27',null);
INSERT INTO complaint_statuses VALUES('11027','3209','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 00:28:18','2020-12-31 00:28:18',null);
INSERT INTO complaint_statuses VALUES('11028','3206','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2020-12-31 00:31:26','2020-12-31 01:13:24',null);
INSERT INTO complaint_statuses VALUES('11029','3168','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 00:31:56','2020-12-31 00:31:56',null);
INSERT INTO complaint_statuses VALUES('11030','3165','7','12','81','COMPLETED COMPLAINT',null,'88','88','2020-12-31 00:34:40','2020-12-31 00:34:40',null);
INSERT INTO complaint_statuses VALUES('11031','3165','5','15',null,'COMPLETED  COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-31 00:40:41','2020-12-31 01:12:44',null);
INSERT INTO complaint_statuses VALUES('11032','3210','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 00:55:22','2020-12-31 00:55:22',null);
INSERT INTO complaint_statuses VALUES('11033','3382','2',null,'81',null,'30-DEC-2020
COM FF TO BEST COOL','92','92','2020-12-31 00:56:07','2020-12-31 00:56:07',null);
INSERT INTO complaint_statuses VALUES('11034','3160','7','12','81','COMPLETED COMPLAINT',null,'79','79','2020-12-31 01:02:18','2020-12-31 01:02:18',null);
INSERT INTO complaint_statuses VALUES('11035','3383','2',null,'81',null,'30-DEC-2020
COM FF TO SHAMMIM AKHTER','92','92','2020-12-31 01:02:55','2020-12-31 01:02:55',null);
INSERT INTO complaint_statuses VALUES('11036','3160','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-31 01:11:10','2020-12-31 01:13:58',null);
INSERT INTO complaint_statuses VALUES('11037','3383','4',null,'55',null,'COMPLAINT RESOLVED','81','74','2020-12-31 01:11:33','2021-01-06 01:57:24',null);
INSERT INTO complaint_statuses VALUES('11038','3382','4',null,'58',null,null,'81','81','2020-12-31 01:11:45','2020-12-31 01:11:45',null);
INSERT INTO complaint_statuses VALUES('11039','3184','7','12','81','OVEN CUSTOMER KO REPLACE KAR DIA THA .
CUSTOMER KA OVEN OK KAR  K AZEEM SAB K HANDOVER KAR DIA
JOB CLOSED',null,'79','79','2020-12-31 01:18:38','2020-12-31 01:18:38',null);
INSERT INTO complaint_statuses VALUES('11040','3184','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-31 01:19:19','2020-12-31 01:19:58',null);
INSERT INTO complaint_statuses VALUES('11041','3384','3',null,'55',null,'30-DEC-2020
COM NO 17198','92','92','2020-12-31 01:19:59','2020-12-31 02:01:11',null);
INSERT INTO complaint_statuses VALUES('11042','3149','7','12','81','CUSTOMER GHR PA AVIL NAI HAIN ABI',null,'79','79','2020-12-31 01:26:30','2020-12-31 01:26:30',null);
INSERT INTO complaint_statuses VALUES('11043','3149','8','23','58','CUSTOMER SA BAT HO GEI HAIN CUSTOMER GHR PA AVIL HAIN KINDLY CONTACT KAR K VISIT ARRANGE KARWAY',null,'81','81','2020-12-31 01:28:32','2020-12-31 01:28:32',null);
INSERT INTO complaint_statuses VALUES('11044','3385','3',null,'53',null,'30-DEC-2020
COM NO 1077596','92','92','2020-12-31 01:41:49','2020-12-31 19:59:38',null);
INSERT INTO complaint_statuses VALUES('11045','3134','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 01:44:00','2020-12-31 01:44:00',null);
INSERT INTO complaint_statuses VALUES('11046','3357','8','23','58',null,null,'81','81','2020-12-31 01:54:14','2020-12-31 01:54:14',null);
INSERT INTO complaint_statuses VALUES('11047','3331','8','23','61','kindly penal price bta den',null,'81','81','2020-12-31 01:56:09','2020-12-31 01:56:09',null);
INSERT INTO complaint_statuses VALUES('11048','3167','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-31 01:56:38','2020-12-31 20:26:09',null);
INSERT INTO complaint_statuses VALUES('11049','3190','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-31 01:56:58','2020-12-31 20:29:25',null);
INSERT INTO complaint_statuses VALUES('11050','1336','8','23','55','please complete this job quickly',null,'81','81','2020-12-31 01:58:13','2020-12-31 01:58:13',null);
INSERT INTO complaint_statuses VALUES('11051','2290','5','25',null,null,'COMPLAINT CUSTOMER KI SIDE SA DELAY HAIN COMPLAINT CUSTOMER ABI S/C NAI LA K GAY','81','74','2020-12-31 01:59:15','2021-02-17 12:06:15',null);
INSERT INTO complaint_statuses VALUES('11052','3355','8','23','58',null,null,'81','81','2020-12-31 02:00:09','2020-12-31 02:00:09',null);
INSERT INTO complaint_statuses VALUES('11053','3348','8','23','58',null,null,'81','81','2020-12-31 02:00:25','2020-12-31 02:00:25',null);
INSERT INTO complaint_statuses VALUES('11054','3339','5','15',null,null,'COMPLAINT RESOLVED','81','74','2020-12-31 02:00:44','2020-12-31 20:27:31',null);
INSERT INTO complaint_statuses VALUES('11055','3336','8','23','62',null,null,'81','81','2020-12-31 02:01:08','2020-12-31 02:01:08',null);
INSERT INTO complaint_statuses VALUES('11056','3318','8','23','58',null,null,'81','81','2020-12-31 02:01:23','2020-12-31 02:01:23',null);
INSERT INTO complaint_statuses VALUES('11057','3308','8','23','60',null,null,'81','81','2020-12-31 02:01:45','2020-12-31 02:01:45',null);
INSERT INTO complaint_statuses VALUES('11058','3300','8','23','60',null,null,'81','81','2020-12-31 02:02:06','2020-12-31 02:02:06',null);
INSERT INTO complaint_statuses VALUES('11059','3296','8','23','58',null,null,'81','81','2020-12-31 02:02:26','2020-12-31 02:02:26',null);
INSERT INTO complaint_statuses VALUES('11060','3294','8','23','58',null,null,'81','81','2020-12-31 02:02:51','2020-12-31 02:02:51',null);
INSERT INTO complaint_statuses VALUES('11061','3293','8','23','58',null,null,'81','81','2020-12-31 02:03:14','2020-12-31 02:03:14',null);
INSERT INTO complaint_statuses VALUES('11062','3288','8','23','58',null,null,'81','81','2020-12-31 02:03:34','2020-12-31 02:03:34',null);
INSERT INTO complaint_statuses VALUES('11063','3279','8','23','62',null,null,'81','81','2020-12-31 02:04:01','2020-12-31 02:04:01',null);
INSERT INTO complaint_statuses VALUES('11064','3273','8','23','62',null,null,'81','81','2020-12-31 02:04:14','2020-12-31 02:04:14',null);
INSERT INTO complaint_statuses VALUES('11065','3260','8','23','58',null,null,'81','81','2020-12-31 02:04:32','2020-12-31 02:04:32',null);
INSERT INTO complaint_statuses VALUES('11066','3199','8','23','55',null,null,'81','81','2020-12-31 02:04:54','2020-12-31 02:04:54',null);
INSERT INTO complaint_statuses VALUES('11067','3119','8','23','55',null,null,'81','81','2020-12-31 02:05:23','2020-12-31 02:05:23',null);
INSERT INTO complaint_statuses VALUES('11068','2877','8','23','63',null,null,'81','81','2020-12-31 02:05:38','2020-12-31 02:05:38',null);
INSERT INTO complaint_statuses VALUES('11069','2767','8','23','55',null,null,'81','81','2020-12-31 02:06:22','2020-12-31 02:06:22',null);
INSERT INTO complaint_statuses VALUES('11070','2411','8','23','55',null,null,'81','81','2020-12-31 02:06:52','2020-12-31 02:06:52',null);
INSERT INTO complaint_statuses VALUES('11071','1095','8','23','55',null,'CUSTOMER ABI BUSY HAIN CALL BACK KARNI
DOOR GASS KIT AGEI HAIN 9000 EXP HAIN','81','74','2020-12-31 02:07:18','2021-02-17 11:07:48',null);
INSERT INTO complaint_statuses VALUES('11072','3386','3',null,'55',null,'30-DEC-2020
COM NO 711870','92','92','2020-12-31 02:20:02','2020-12-31 02:20:02',null);
INSERT INTO complaint_statuses VALUES('11073','3246','7','12','81','Unit ok only services unit with customer.',null,'77','77','2020-12-31 02:27:56','2020-12-31 02:27:56',null);
INSERT INTO complaint_statuses VALUES('11074','3387','3',null,'73',null,'30-DEC-2020
COM NO 3291','92','92','2020-12-31 02:31:53','2020-12-31 02:33:26',null);
INSERT INTO complaint_statuses VALUES('11075','3388','2',null,'81',null,'30-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-31 02:43:46','2020-12-31 02:43:46',null);
INSERT INTO complaint_statuses VALUES('11076','3389','3',null,'88',null,'30-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-31 02:48:00','2020-12-31 02:48:00',null);
INSERT INTO complaint_statuses VALUES('11077','3390','3',null,'52',null,'30-DEC-2020
COM NO PKRI-201231102049','92','92','2020-12-31 02:59:45','2020-12-31 20:02:25',null);
INSERT INTO complaint_statuses VALUES('11078','3259','7','24','81','customer free ho k call kry ga',null,'80','80','2020-12-31 03:09:19','2020-12-31 03:09:19',null);
INSERT INTO complaint_statuses VALUES('11079','2818','7','12','81','set S/C  repair kea gea hy',null,'80','80','2020-12-31 03:11:58','2020-12-31 03:11:58',null);
INSERT INTO complaint_statuses VALUES('11080','3212','7','24','81','khuram sab ki customer say ho gae hy customer set S/C khud ly k ay ga',null,'80','80','2020-12-31 03:15:40','2020-12-31 03:15:40',null);
INSERT INTO complaint_statuses VALUES('11081','2791','7','12','81','aslam sab ny set ok karwa lia hy',null,'80','80','2020-12-31 03:18:20','2020-12-31 03:18:20',null);
INSERT INTO complaint_statuses VALUES('11082','3388','4',null,'62',null,null,'81','81','2020-12-31 20:13:36','2020-12-31 20:13:36',null);
INSERT INTO complaint_statuses VALUES('11083','3246','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-31 20:14:35','2020-12-31 20:17:48',null);
INSERT INTO complaint_statuses VALUES('11084','2818','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-31 20:15:44','2020-12-31 20:31:18',null);
INSERT INTO complaint_statuses VALUES('11085','3391','3',null,'55',null,'31-DEC-2020
COM NO 712008','92','92','2020-12-31 20:18:41','2020-12-31 20:22:02',null);
INSERT INTO complaint_statuses VALUES('11086','2791','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-31 20:22:17','2020-12-31 20:30:38',null);
INSERT INTO complaint_statuses VALUES('11087','3259','8','23','59','CUSTOMER  SA BAT HO GEI HAIN  VISIT K LIYA CONTACT KARAY CUSTOMER SA',null,'81','81','2020-12-31 20:23:58','2020-12-31 20:23:58',null);
INSERT INTO complaint_statuses VALUES('11088','3212','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2020-12-31 20:25:01','2020-12-31 20:25:01',null);
INSERT INTO complaint_statuses VALUES('11089','3392','2',null,'81',null,'31-DEC-2020
COM FF TO HOME SOLUTION','92','92','2020-12-31 20:32:59','2020-12-31 20:32:59',null);
INSERT INTO complaint_statuses VALUES('11090','3216','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 20:34:59','2020-12-31 20:34:59',null);
INSERT INTO complaint_statuses VALUES('11091','3393','2',null,'81',null,'31-DEC-2020
COM FF TO KHURRAM FIVE STAR','92','92','2020-12-31 20:36:38','2020-12-31 20:36:38',null);
INSERT INTO complaint_statuses VALUES('11092','3219','5',null,null,'COMPLIANT CLOSED','COMPLAINT RESOLVED','74','74','2020-12-31 20:37:47','2020-12-31 21:50:24',null);
INSERT INTO complaint_statuses VALUES('11093','3214','7','12','81','COMPLAINT COMPLETED',null,'88','88','2020-12-31 20:38:28','2020-12-31 20:38:28',null);
INSERT INTO complaint_statuses VALUES('11094','3214','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2020-12-31 20:39:34','2020-12-31 21:15:47',null);
INSERT INTO complaint_statuses VALUES('11095','3393','4',null,'63',null,null,'81','81','2020-12-31 20:39:53','2020-12-31 20:39:53',null);
INSERT INTO complaint_statuses VALUES('11096','3392','4',null,'62',null,null,'81','81','2020-12-31 20:40:02','2020-12-31 20:40:02',null);
INSERT INTO complaint_statuses VALUES('11097','3213','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 20:41:20','2020-12-31 20:41:20',null);
INSERT INTO complaint_statuses VALUES('11098','3331','7','12','81','Rs.249500/-
 60 days time',null,'83','83','2020-12-31 20:48:26','2020-12-31 20:48:26',null);
INSERT INTO complaint_statuses VALUES('11099','3025','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 20:52:54','2020-12-31 20:52:54',null);
INSERT INTO complaint_statuses VALUES('11100','3019','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 20:53:59','2020-12-31 20:53:59',null);
INSERT INTO complaint_statuses VALUES('11101','3027','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 20:55:57','2020-12-31 20:55:57',null);
INSERT INTO complaint_statuses VALUES('11102','3310','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 20:56:12','2020-12-31 20:56:12',null);
INSERT INTO complaint_statuses VALUES('11103','3309','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 20:57:44','2020-12-31 20:57:44',null);
INSERT INTO complaint_statuses VALUES('11104','3398','3',null,'57',null,'31-DEC-2020
COM NO 15645','92','92','2020-12-31 21:07:07','2020-12-31 21:09:11',null);
INSERT INTO complaint_statuses VALUES('11105','3033','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 21:08:08','2020-12-31 21:08:08',null);
INSERT INTO complaint_statuses VALUES('11106','3397','3',null,'93',null,'0','74','74','2020-12-31 21:10:11','2020-12-31 21:10:11',null);
INSERT INTO complaint_statuses VALUES('11107','3397','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 21:11:12','2020-12-31 21:11:12',null);
INSERT INTO complaint_statuses VALUES('11108','3396','3',null,'93',null,'0','74','74','2020-12-31 21:11:39','2020-12-31 21:11:39',null);
INSERT INTO complaint_statuses VALUES('11109','3396','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 21:12:31','2020-12-31 21:12:31',null);
INSERT INTO complaint_statuses VALUES('11110','3395','3',null,'93',null,'0','74','74','2020-12-31 21:13:06','2020-12-31 21:13:06',null);
INSERT INTO complaint_statuses VALUES('11111','3395','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 21:15:08','2020-12-31 21:15:08',null);
INSERT INTO complaint_statuses VALUES('11112','3299','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 21:15:39','2020-12-31 21:15:39',null);
INSERT INTO complaint_statuses VALUES('11113','3295','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 21:17:13','2020-12-31 21:17:13',null);
INSERT INTO complaint_statuses VALUES('11114','3291','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 21:21:15','2020-12-31 21:21:15',null);
INSERT INTO complaint_statuses VALUES('11115','3322','3',null,'66',null,null,'74','74','2020-12-31 21:22:10','2020-12-31 21:22:10',null);
INSERT INTO complaint_statuses VALUES('11116','3283','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 21:23:04','2020-12-31 21:23:04',null);
INSERT INTO complaint_statuses VALUES('11117','3280','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 21:32:41','2020-12-31 21:32:41',null);
INSERT INTO complaint_statuses VALUES('11118','1828','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 21:33:26','2020-12-31 21:33:26',null);
INSERT INTO complaint_statuses VALUES('11119','3275','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 21:40:54','2020-12-31 21:40:54',null);
INSERT INTO complaint_statuses VALUES('11120','3394','3',null,'74',null,'31-DEC-2020
COMPLAINT#270','74','92','2020-12-31 21:41:43','2021-01-04 23:51:29',null);
INSERT INTO complaint_statuses VALUES('11121','3274','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 21:42:35','2020-12-31 21:42:35',null);
INSERT INTO complaint_statuses VALUES('11122','3271','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 21:44:14','2020-12-31 21:44:14',null);
INSERT INTO complaint_statuses VALUES('11123','3269','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 21:45:39','2020-12-31 21:45:39',null);
INSERT INTO complaint_statuses VALUES('11124','3399','2',null,'81',null,'31-DEC-2020
FF TO B.COOL','74','74','2020-12-31 21:46:34','2020-12-31 21:46:34',null);
INSERT INTO complaint_statuses VALUES('11125','3399','4',null,'58',null,null,'81','81','2020-12-31 21:47:00','2020-12-31 21:47:00',null);
INSERT INTO complaint_statuses VALUES('11126','3267','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 21:48:17','2020-12-31 21:48:17',null);
INSERT INTO complaint_statuses VALUES('11127','3263','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 21:52:26','2020-12-31 21:52:26',null);
INSERT INTO complaint_statuses VALUES('11128','2355','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 21:54:00','2020-12-31 21:54:00',null);
INSERT INTO complaint_statuses VALUES('11129','3400','2',null,'81',null,'31-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-31 21:59:07','2020-12-31 21:59:07',null);
INSERT INTO complaint_statuses VALUES('11130','3400','4',null,'63',null,null,'81','81','2020-12-31 21:59:47','2020-12-31 21:59:47',null);
INSERT INTO complaint_statuses VALUES('11131','3254','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 22:01:45','2020-12-31 22:01:45',null);
INSERT INTO complaint_statuses VALUES('11132','3238','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 22:04:20','2020-12-31 22:04:20',null);
INSERT INTO complaint_statuses VALUES('11133','3401','3',null,'62',null,'31-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2020-12-31 22:05:46','2020-12-31 22:05:46',null);
INSERT INTO complaint_statuses VALUES('11134','2437','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 22:06:29','2020-12-31 22:06:29',null);
INSERT INTO complaint_statuses VALUES('11135','2524','5',null,null,'COMPLAINT CLOSED',null,'74','74','2020-12-31 22:07:57','2020-12-31 22:07:57',null);
INSERT INTO complaint_statuses VALUES('11136','3232','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 22:13:20','2020-12-31 22:13:20',null);
INSERT INTO complaint_statuses VALUES('11137','3402','2',null,'81',null,'31-DEC-2020
FF TO B.COOL','74','74','2020-12-31 22:13:23','2020-12-31 22:13:23',null);
INSERT INTO complaint_statuses VALUES('11138','3402','4',null,'58',null,null,'81','81','2020-12-31 22:14:55','2020-12-31 22:14:55',null);
INSERT INTO complaint_statuses VALUES('11139','3181','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 22:16:00','2020-12-31 22:16:00',null);
INSERT INTO complaint_statuses VALUES('11140','3127','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 22:20:19','2020-12-31 22:20:19',null);
INSERT INTO complaint_statuses VALUES('11141','3403','3',null,'52',null,'31-DEC-2020
COMPLAINT#PKRI-201231105199','74','74','2020-12-31 22:21:44','2020-12-31 22:25:29',null);
INSERT INTO complaint_statuses VALUES('11142','3404','2',null,'81',null,'31-DEC-2020
FF TO B.COOL','74','74','2020-12-31 22:33:01','2020-12-31 22:33:01',null);
INSERT INTO complaint_statuses VALUES('11143','3404','4',null,'58',null,null,'81','81','2020-12-31 22:33:28','2020-12-31 22:33:28',null);
INSERT INTO complaint_statuses VALUES('11144','3327','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 22:33:46','2020-12-31 22:33:46',null);
INSERT INTO complaint_statuses VALUES('11145','3405','3',null,'66',null,'31-DEC-2020
COMPLAINT#PK-123120200056','74','92','2020-12-31 22:36:50','2021-01-25 19:36:53',null);
INSERT INTO complaint_statuses VALUES('11146','2849','5',null,null,'COMPLIANT CLOSED',null,'74','74','2020-12-31 22:37:37','2020-12-31 22:37:37',null);
INSERT INTO complaint_statuses VALUES('11147','3092','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2020-12-31 22:45:18','2020-12-31 22:45:18',null);
INSERT INTO complaint_statuses VALUES('11148','3406','3',null,'53',null,'31-DEC-2020
COM NO 1077673','92','92','2020-12-31 23:13:11','2020-12-31 23:20:19',null);
INSERT INTO complaint_statuses VALUES('11149','3228','7','24','81','task 3307  wala unit b yahi ha kiya ?',null,'83','83','2021-01-01 00:19:45','2021-01-01 00:19:45',null);
INSERT INTO complaint_statuses VALUES('11150','3407','3',null,'52',null,'31-DEC-2020
COM NO PKRI-201231107436','92','92','2021-01-01 00:28:02','2021-01-01 01:05:07',null);
INSERT INTO complaint_statuses VALUES('11151','3408','3',null,'52',null,'31-DEC-2020
COM NO PKRI-201231108134','92','92','2021-01-01 00:41:22','2021-01-01 01:08:33',null);
INSERT INTO complaint_statuses VALUES('11152','3279','7','12','81','ISSUE RESOLVED PCB REPAIR',null,'87','87','2021-01-01 00:50:23','2021-01-01 00:50:23',null);
INSERT INTO complaint_statuses VALUES('11153','3409','3',null,'52',null,'31-DEC-2020
COM NO PKRI-201231108185','92','92','2021-01-01 00:55:39','2021-01-01 01:11:26',null);
INSERT INTO complaint_statuses VALUES('11154','3230','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-01 00:57:47','2021-01-01 00:57:47',null);
INSERT INTO complaint_statuses VALUES('11155','3410','3',null,'52',null,'31-DEC-2020
COM NO PKRI-201231108215','92','92','2021-01-01 00:59:32','2021-01-01 01:12:58',null);
INSERT INTO complaint_statuses VALUES('11156','3227','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-01 01:01:28','2021-01-01 01:01:28',null);
INSERT INTO complaint_statuses VALUES('11157','3411','3',null,'52',null,'31-DEC-2020
COMPLAINT#PKRI-210102101949','74','92','2021-01-01 01:03:42','2021-01-02 20:07:17',null);
INSERT INTO complaint_statuses VALUES('11158','3412','2',null,'81',null,'31-DEC-2020
FF TO AZHAR FCI','74','74','2021-01-01 01:07:29','2021-01-01 01:07:29',null);
INSERT INTO complaint_statuses VALUES('11159','3412','4',null,'60',null,null,'81','81','2021-01-01 01:08:15','2021-01-01 01:08:15',null);
INSERT INTO complaint_statuses VALUES('11160','3331','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-01 01:21:46','2021-01-09 19:55:41',null);
INSERT INTO complaint_statuses VALUES('11161','3337','7','12','81','COMPLETED COMPLIANT .
600 VISIT CHARGES',null,'88','88','2021-01-01 01:34:35','2021-01-01 01:34:35',null);
INSERT INTO complaint_statuses VALUES('11162','3413','2',null,'81',null,'31-DEC-2020
COM FF TO NADEEM AZHAR','92','92','2021-01-01 01:36:23','2021-01-01 01:36:23',null);
INSERT INTO complaint_statuses VALUES('11163','3328','7','12','81','COMPLAINT COMPLETED 
800 CHARGES',null,'88','88','2021-01-01 01:36:49','2021-01-01 01:36:49',null);
INSERT INTO complaint_statuses VALUES('11164','3401','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-01 01:38:44','2021-01-01 01:38:44',null);
INSERT INTO complaint_statuses VALUES('11165','3155','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-01 01:40:21','2021-01-01 01:40:21',null);
INSERT INTO complaint_statuses VALUES('11166','3337','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-01-01 01:43:49','2021-01-01 01:47:16',null);
INSERT INTO complaint_statuses VALUES('11167','3328','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-01 01:44:14','2021-01-01 02:13:39',null);
INSERT INTO complaint_statuses VALUES('11168','3279','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-01 01:44:35','2021-01-01 02:14:10',null);
INSERT INTO complaint_statuses VALUES('11169','3413','4',null,'59',null,null,'81','81','2021-01-01 01:44:54','2021-01-01 01:44:54',null);
INSERT INTO complaint_statuses VALUES('11170','3414','3',null,'52',null,'31-DEC-2020
COM NO PKRI-201231108916','92','92','2021-01-01 01:51:07','2021-01-05 22:45:26',null);
INSERT INTO complaint_statuses VALUES('11171','3415','3',null,'82',null,'31-DEC-2020
FF TO TAHIR SIEMENS','74','92','2021-01-01 01:53:08','2021-01-05 22:55:46',null);
INSERT INTO complaint_statuses VALUES('11172','3416','3',null,'65',null,'31-DEC-2020
COMPLAINT#2062000813','74','74','2021-01-01 02:02:51','2021-01-01 02:19:21',null);
INSERT INTO complaint_statuses VALUES('11173','3417','3',null,'88',null,'31-DEC-2020
FF TO KHURRAM 5 STAR','74','74','2021-01-01 02:06:22','2021-01-01 02:06:22',null);
INSERT INTO complaint_statuses VALUES('11174','3131','7','12','81','COMPLETED COMPLINT 500 CHARGES',null,'88','88','2021-01-01 02:12:32','2021-01-01 02:12:32',null);
INSERT INTO complaint_statuses VALUES('11175','3131','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-01 02:13:00','2021-01-01 02:14:53',null);
INSERT INTO complaint_statuses VALUES('11176','3418','3',null,'65',null,'31-DEC-2020
COM NO#192019868','92','74','2021-01-01 02:13:42','2021-01-01 02:21:29',null);
INSERT INTO complaint_statuses VALUES('11177','3194','7','12','81','no issue in unit. Also dont call to customer.',null,'77','77','2021-01-01 02:16:19','2021-01-01 02:16:19',null);
INSERT INTO complaint_statuses VALUES('11178','3419','3',null,'52',null,'31-DEC-2020
COMPLAINT#PKRI201231109703','74','92','2021-01-01 02:36:32','2021-01-01 02:38:08',null);
INSERT INTO complaint_statuses VALUES('11179','3420','3',null,'52',null,'31-DEC-2020
COM NO PKRI-201231109911','92','92','2021-01-01 02:45:02','2021-01-01 02:53:41',null);
INSERT INTO complaint_statuses VALUES('11180','3421','2',null,'81',null,'31-DEC-2020
FF TO NADEEM AZHAR','74','74','2021-01-01 02:46:13','2021-01-01 02:46:13',null);
INSERT INTO complaint_statuses VALUES('11181','3421','4',null,'59',null,null,'81','81','2021-01-01 02:46:37','2021-01-01 02:46:37',null);
INSERT INTO complaint_statuses VALUES('11182','3422','2',null,'81',null,'31-DEC-2020
COM FF TO BEST COOL','92','92','2021-01-01 02:48:02','2021-01-01 02:48:02',null);
INSERT INTO complaint_statuses VALUES('11183','3422','4',null,'58',null,null,'81','81','2021-01-01 02:52:14','2021-01-01 02:52:14',null);
INSERT INTO complaint_statuses VALUES('11184','3423','2',null,'81',null,'31-DEC-2020
FF TO USMAM MRM','74','74','2021-01-01 03:01:07','2021-01-01 03:01:07',null);
INSERT INTO complaint_statuses VALUES('11185','3423','4',null,'61',null,null,'81','81','2021-01-01 03:03:31','2021-01-01 03:03:31',null);
INSERT INTO complaint_statuses VALUES('11186','3273','7','12','81','ISSUE RESOLVED , GAS CHARGED + COMP REPLACED',null,'87','87','2021-01-01 03:13:29','2021-01-01 03:13:29',null);
INSERT INTO complaint_statuses VALUES('11187','3424','3',null,'62',null,'01-JAN-2021
FF TO KHURRAM 5 STAR','74','74','2021-01-01 20:30:47','2021-01-01 20:30:47',null);
INSERT INTO complaint_statuses VALUES('11188','3425','3',null,'55',null,'01-JAN-2021
FF TO NAEEM KENWOOD','74','74','2021-01-01 20:39:52','2021-01-01 20:39:52',null);
INSERT INTO complaint_statuses VALUES('11189','3426','3',null,'85',null,'01-JAN-2021
COMPLAINT#1077740','74','74','2021-01-01 21:01:24','2021-01-01 21:10:38',null);
INSERT INTO complaint_statuses VALUES('11190','3427','3',null,'53',null,'01-JAN-2021
COMPLAINT#1077739','74','74','2021-01-01 21:12:56','2021-01-01 21:12:56',null);
INSERT INTO complaint_statuses VALUES('11191','1876','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-01 21:19:05','2021-01-01 21:19:05',null);
INSERT INTO complaint_statuses VALUES('11192','3428','2',null,'81',null,'01-JAN-2021
FF TO USMAM  MRM','74','74','2021-01-01 21:26:23','2021-01-01 21:26:23',null);
INSERT INTO complaint_statuses VALUES('11193','3428','4',null,'61',null,null,'81','81','2021-01-01 21:26:45','2021-01-01 21:26:45',null);
INSERT INTO complaint_statuses VALUES('11194','3139','7','12','81','COMPLETED COMPLAINT',null,'79','79','2021-01-01 21:28:59','2021-01-01 21:28:59',null);
INSERT INTO complaint_statuses VALUES('11195','1791','7','12','81','unit ok. Pls collect the unit',null,'77','77','2021-01-01 21:29:57','2021-01-01 21:29:57',null);
INSERT INTO complaint_statuses VALUES('11196','3133','7','12','81','COMPLETED COMPLAINT',null,'79','79','2021-01-01 21:32:55','2021-01-01 21:32:55',null);
INSERT INTO complaint_statuses VALUES('11197','3429','2',null,'81',null,'01-JAN-2021
FF TO B.COOL','74','74','2021-01-01 21:36:08','2021-01-01 21:36:08',null);
INSERT INTO complaint_statuses VALUES('11198','3429','4',null,'58',null,null,'81','81','2021-01-01 21:36:37','2021-01-01 21:36:37',null);
INSERT INTO complaint_statuses VALUES('11199','3273','5','15',null,'COMPLETED COMPLAINT','COMPLIANT RESOLVED','81','74','2021-01-01 21:39:08','2021-01-01 21:50:42',null);
INSERT INTO complaint_statuses VALUES('11200','3133','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-01-01 21:39:32','2021-01-01 21:55:56',null);
INSERT INTO complaint_statuses VALUES('11201','3139','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-01 21:39:58','2021-01-01 21:55:24',null);
INSERT INTO complaint_statuses VALUES('11202','3245','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-01 21:58:53','2021-01-01 21:58:53',null);
INSERT INTO complaint_statuses VALUES('11203','3252','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-01 22:00:18','2021-01-01 22:00:18',null);
INSERT INTO complaint_statuses VALUES('11204','3421','7','24','81','customer say bat ho gae hy set  S/C ly k ay ga',null,'80','80','2021-01-01 23:19:12','2021-01-01 23:19:12',null);
INSERT INTO complaint_statuses VALUES('11205','3249','7','12','81','PANEL DAMAGE   UNIT RETURN BACK TO ASLAM 
panel not available  plz refuse to customer for repair   and suggest for new unit',null,'83','83','2021-01-01 23:50:41','2021-01-01 23:50:41',null);
INSERT INTO complaint_statuses VALUES('11206','3430','2',null,'81',null,'01-JAN-2021
FF TO AZHAR FCI','74','74','2021-01-02 00:40:40','2021-01-02 00:40:40',null);
INSERT INTO complaint_statuses VALUES('11207','3430','4',null,'60',null,null,'81','81','2021-01-02 00:42:03','2021-01-02 00:42:03',null);
INSERT INTO complaint_statuses VALUES('11208','3431','3',null,'76',null,'01-JAN-2021
FF TO KHURRAM 5 STAR','74','92','2021-01-02 00:53:43','2021-01-05 21:08:12',null);
INSERT INTO complaint_statuses VALUES('11209','3432','3',null,'53',null,'01-JAN-2021
COMPLAINT#301077797','74','74','2021-01-02 00:57:58','2021-01-02 01:06:49',null);
INSERT INTO complaint_statuses VALUES('11210','3378','7','26','81',null,null,'76','76','2021-01-02 00:58:36','2021-01-02 00:58:36',null);
INSERT INTO complaint_statuses VALUES('11211','3378','5','15',null,'WRONG WONDER SELECT HO GAY THA','COMPLAINT CLOSED','81','74','2021-01-02 01:00:25','2021-01-06 04:09:25',null);
INSERT INTO complaint_statuses VALUES('11212','3252','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-02 01:01:03','2021-01-02 01:08:59',null);
INSERT INTO complaint_statuses VALUES('11213','3375','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-02 01:13:30','2021-01-02 01:13:30',null);
INSERT INTO complaint_statuses VALUES('11214','3375','5','15',null,'COMPLAINED  COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-02 01:14:17','2021-01-02 01:15:12',null);
INSERT INTO complaint_statuses VALUES('11215','2762','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-02 01:18:56','2021-01-02 01:18:56',null);
INSERT INTO complaint_statuses VALUES('11216','2365','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-02 01:20:41','2021-01-02 01:20:41',null);
INSERT INTO complaint_statuses VALUES('11217','3433','3',null,'66',null,'PANAL MAIN LINE PROB
COMPLAINT#PK010120210069','74','74','2021-01-02 01:37:11','2021-01-02 01:37:11',null);
INSERT INTO complaint_statuses VALUES('11218','2387','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-02 01:38:13','2021-01-02 01:38:13',null);
INSERT INTO complaint_statuses VALUES('11219','2450','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-02 01:40:02','2021-01-02 01:40:02',null);
INSERT INTO complaint_statuses VALUES('11220','2928','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-02 02:11:18','2021-01-02 02:11:18',null);
INSERT INTO complaint_statuses VALUES('11221','3434','3',null,'55',null,'01-JAN-2021
FF TO NAEEM KENWOOD','74','92','2021-01-02 02:22:19','2021-01-04 23:31:23',null);
INSERT INTO complaint_statuses VALUES('11222','3125','7','20','81','Unit in no power main board faulty estimate 22700. Need approval',null,'77','77','2021-01-02 03:27:42','2021-01-02 03:27:42',null);
INSERT INTO complaint_statuses VALUES('11223','3419','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-02 20:00:02','2021-01-02 20:00:02',null);
INSERT INTO complaint_statuses VALUES('11224','3390','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-02 20:16:46','2021-01-02 20:16:46',null);
INSERT INTO complaint_statuses VALUES('11225','3386','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-02 20:18:50','2021-01-02 20:18:50',null);
INSERT INTO complaint_statuses VALUES('11226','3385','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-02 20:21:42','2021-01-02 20:21:42',null);
INSERT INTO complaint_statuses VALUES('11227','3435','2',null,'81',null,'02-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-02 20:30:16','2021-01-02 20:30:16',null);
INSERT INTO complaint_statuses VALUES('11228','3435','4',null,'58',null,null,'81','81','2021-01-02 20:34:26','2021-01-02 20:34:26',null);
INSERT INTO complaint_statuses VALUES('11229','3436','3',null,'52',null,'02-JAN-2021
COM NO PKRI-210102102885','92','92','2021-01-02 20:36:55','2021-01-02 20:38:33',null);
INSERT INTO complaint_statuses VALUES('11230','3245','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-02 20:37:08','2021-01-07 20:05:20',null);
INSERT INTO complaint_statuses VALUES('11231','3286','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-02 20:46:00','2021-01-02 20:46:00',null);
INSERT INTO complaint_statuses VALUES('11232','3223','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-02 20:47:42','2021-01-02 20:47:42',null);
INSERT INTO complaint_statuses VALUES('11233','3437','3',null,'53',null,'02-JAN-2021
COM NO 1077884','92','92','2021-01-02 20:54:41','2021-01-02 20:58:03',null);
INSERT INTO complaint_statuses VALUES('11234','3428','7','10','81',null,null,'83','83','2021-01-02 22:57:15','2021-01-02 22:57:15',null);
INSERT INTO complaint_statuses VALUES('11235','3438','2',null,'81',null,'02-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-02 23:21:31','2021-01-02 23:21:31',null);
INSERT INTO complaint_statuses VALUES('11236','3439','3',null,'73',null,'02-JAN-2021
COM NO 3323','92','92','2021-01-02 23:32:23','2021-01-03 01:42:34',null);
INSERT INTO complaint_statuses VALUES('11237','3438','4',null,'55',null,'COMPANY SIDE SA PENDING','81','74','2021-01-02 23:34:15','2021-01-06 23:19:08',null);
INSERT INTO complaint_statuses VALUES('11238','3440','2',null,'81',null,'02-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-02 23:42:45','2021-01-02 23:42:45',null);
INSERT INTO complaint_statuses VALUES('11239','3441','2',null,'81',null,'02-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-02 23:48:07','2021-01-02 23:48:07',null);
INSERT INTO complaint_statuses VALUES('11240','3442','3',null,'52',null,'02-JAN-2021
COM NO#PKRI-210102107303','92','74','2021-01-02 23:54:36','2021-01-03 00:00:23',null);
INSERT INTO complaint_statuses VALUES('11241','3443','3',null,'52',null,'02-JAN-2021
COMPLAINT#PKRI-210102107224','74','74','2021-01-02 23:55:55','2021-01-02 23:55:55',null);
INSERT INTO complaint_statuses VALUES('11242','3444','3',null,'62',null,'02-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-03 00:04:18','2021-01-03 00:04:18',null);
INSERT INTO complaint_statuses VALUES('11243','3445','3',null,'78',null,'02-JAN-2021
FF TO BHATTI 5 STAR','74','74','2021-01-03 00:15:19','2021-01-03 00:15:19',null);
INSERT INTO complaint_statuses VALUES('11244','3446','2',null,'81',null,'02-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-03 00:43:53','2021-01-03 00:43:53',null);
INSERT INTO complaint_statuses VALUES('11245','3447','2',null,'81',null,'02-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-03 00:57:16','2021-01-03 00:57:16',null);
INSERT INTO complaint_statuses VALUES('11246','3448','2',null,'81',null,'02-JAN-2021
COM FF TO HOME SOLUTION','92','92','2021-01-03 00:59:32','2021-01-03 00:59:32',null);
INSERT INTO complaint_statuses VALUES('11247','3449','3',null,'62',null,'02-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-03 01:05:15','2021-01-03 01:05:15',null);
INSERT INTO complaint_statuses VALUES('11248','3450','3',null,'73',null,'02-JAN-2021
COMPLAINT#3321','74','74','2021-01-03 01:12:41','2021-01-03 01:12:41',null);
INSERT INTO complaint_statuses VALUES('11249','3451','2',null,'81',null,'02-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-03 01:17:56','2021-01-03 01:17:56',null);
INSERT INTO complaint_statuses VALUES('11250','3452','2',null,'81',null,'02-JAN-2021
FF TO USMAN MRM','74','74','2021-01-03 01:18:28','2021-01-03 01:18:28',null);
INSERT INTO complaint_statuses VALUES('11251','3440','4',null,'63',null,'WORKING IN PROCESS','81','74','2021-01-03 01:20:20','2021-01-11 23:38:09',null);
INSERT INTO complaint_statuses VALUES('11252','3441','4',null,'58',null,null,'81','81','2021-01-03 01:20:39','2021-01-03 01:20:39',null);
INSERT INTO complaint_statuses VALUES('11253','3446','4',null,'55',null,'COMPANY SIDE SA PENDING','81','74','2021-01-03 01:21:07','2021-01-06 23:20:20',null);
INSERT INTO complaint_statuses VALUES('11254','3447','4',null,'58',null,null,'81','81','2021-01-03 01:21:29','2021-01-03 01:21:29',null);
INSERT INTO complaint_statuses VALUES('11255','3448','4',null,'62',null,null,'81','81','2021-01-03 01:21:50','2021-01-03 01:21:50',null);
INSERT INTO complaint_statuses VALUES('11256','3451','4',null,'58',null,null,'81','81','2021-01-03 01:26:36','2021-01-03 01:26:36',null);
INSERT INTO complaint_statuses VALUES('11257','3451','4',null,'58',null,'VISIT TO DAY','81','74','2021-01-03 01:26:36','2021-01-06 22:31:20',null);
INSERT INTO complaint_statuses VALUES('11258','3452','4',null,'61',null,null,'81','81','2021-01-03 01:26:56','2021-01-03 01:26:56',null);
INSERT INTO complaint_statuses VALUES('11259','3453','3',null,'62',null,'02-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-03 01:28:33','2021-01-03 01:28:33',null);
INSERT INTO complaint_statuses VALUES('11260','3454','2',null,'81',null,'02-JAN-2020
FF TO HOME SOLUTION','74','74','2021-01-03 01:34:26','2021-01-03 01:34:26',null);
INSERT INTO complaint_statuses VALUES('11261','3454','4',null,'62',null,null,'81','81','2021-01-03 01:35:01','2021-01-03 01:35:01',null);
INSERT INTO complaint_statuses VALUES('11262','3455','3',null,'66',null,'02-JAN-2021
COM NO PK010220210026','92','92','2021-01-03 01:37:25','2021-01-03 01:37:25',null);
INSERT INTO complaint_statuses VALUES('11263','3456','2',null,'81',null,'02-JAN 2021
FF TO HOME SOLUTION','74','74','2021-01-03 01:46:21','2021-01-03 01:46:21',null);
INSERT INTO complaint_statuses VALUES('11264','3456','4',null,'62',null,null,'81','81','2021-01-03 01:47:07','2021-01-03 01:47:07',null);
INSERT INTO complaint_statuses VALUES('11265','3457','2',null,'81',null,'02-JAN-2021
FF TO HOME SOLUTION','74','74','2021-01-03 02:00:10','2021-01-03 02:00:10',null);
INSERT INTO complaint_statuses VALUES('11266','3458','3',null,'52',null,'02-JAN-2021
COM NO PKRI-2101022109574','92','92','2021-01-03 02:00:34','2021-01-03 02:03:26',null);
INSERT INTO complaint_statuses VALUES('11267','3457','4',null,'62',null,null,'81','81','2021-01-03 02:05:14','2021-01-03 02:05:14',null);
INSERT INTO complaint_statuses VALUES('11268','3459','3',null,'52',null,'02-JAN-2021
COM NO PKRI210102109839','92','92','2021-01-03 02:27:04','2021-01-03 02:27:04',null);
INSERT INTO complaint_statuses VALUES('11269','3336','7','12','81','ISSUE RESOLVED',null,'87','87','2021-01-03 02:52:19','2021-01-03 02:52:19',null);
INSERT INTO complaint_statuses VALUES('11270','3388','7','12','81','ISSUE RESOLVED',null,'87','87','2021-01-03 02:52:49','2021-01-03 02:52:49',null);
INSERT INTO complaint_statuses VALUES('11271','3422','7','12','81','ok ho gye',null,'79','79','2021-01-03 05:25:44','2021-01-03 05:25:44',null);
INSERT INTO complaint_statuses VALUES('11272','3404','7','12','81','door lock khrab ha refer to work shop',null,'79','79','2021-01-03 05:29:22','2021-01-03 05:29:22',null);
INSERT INTO complaint_statuses VALUES('11273','3460','2',null,'81',null,'03-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-03 19:44:44','2021-01-03 19:44:44',null);
INSERT INTO complaint_statuses VALUES('11274','3461','2',null,'81',null,'03-JAN-2021
COM FF TO KHALID SONY','92','92','2021-01-03 19:53:49','2021-01-03 19:53:49',null);
INSERT INTO complaint_statuses VALUES('11275','3462','3',null,'53',null,'03-JAN-2021
COM NO 1078026','92','92','2021-01-03 20:03:10','2021-01-03 20:05:13',null);
INSERT INTO complaint_statuses VALUES('11276','3463','2',null,'81',null,'03-JAN-2021
COM FF TO USMAN','92','92','2021-01-03 20:27:00','2021-01-03 20:27:00',null);
INSERT INTO complaint_statuses VALUES('11277','3464','2',null,'81',null,'03-JAN-2021
COM FF TO KHALID SONY','92','92','2021-01-03 20:34:22','2021-01-03 20:34:22',null);
INSERT INTO complaint_statuses VALUES('11278','3318','7','12','81','dent issue .compliant resolved',null,'79','79','2021-01-03 20:38:45','2021-01-03 20:38:45',null);
INSERT INTO complaint_statuses VALUES('11279','3348','7','12','81','compliant reoslved .light issue',null,'79','79','2021-01-03 20:40:54','2021-01-03 20:40:54',null);
INSERT INTO complaint_statuses VALUES('11280','3288','7','12','81','service  ki hai .complaint reoslved',null,'79','79','2021-01-03 20:48:57','2021-01-03 20:48:57',null);
INSERT INTO complaint_statuses VALUES('11281','3293','7','12','81','compliant resolved.filter clean',null,'79','79','2021-01-03 20:50:01','2021-01-03 20:50:01',null);
INSERT INTO complaint_statuses VALUES('11282','3247','7','22','81','gear box ki noise hai.gear cahnge ho ga',null,'79','79','2021-01-03 20:53:00','2021-01-03 20:53:00',null);
INSERT INTO complaint_statuses VALUES('11283','3465','3',null,'73',null,'03-JAN-2021
COM NO 3346','92','92','2021-01-03 21:01:11','2021-01-05 02:31:20',null);
INSERT INTO complaint_statuses VALUES('11284','3294','7','12','81','compliant resolved',null,'79','79','2021-01-03 21:03:16','2021-01-03 21:03:16',null);
INSERT INTO complaint_statuses VALUES('11285','3402','7','12','81','8 oven 1 washing machine...dent issue',null,'79','79','2021-01-03 21:08:20','2021-01-03 21:08:20',null);
INSERT INTO complaint_statuses VALUES('11286','3357','7','12','81','visit by i 10',null,'79','79','2021-01-03 21:18:10','2021-01-03 21:18:10',null);
INSERT INTO complaint_statuses VALUES('11287','3199','7','12','81','Service.',null,'76','76','2021-01-03 21:18:30','2021-01-03 21:18:30',null);
INSERT INTO complaint_statuses VALUES('11288','3123','7','12','81','Filter Service',null,'76','76','2021-01-03 21:22:47','2021-01-03 21:22:47',null);
INSERT INTO complaint_statuses VALUES('11289','3466','3',null,'52',null,'03-JAN-2021
COM NO PKRI-210103102523','92','92','2021-01-03 21:23:13','2021-01-03 21:25:02',null);
INSERT INTO complaint_statuses VALUES('11290','3468','3',null,'73',null,'03-JAN-2021
COM NO 3332','92','74','2021-01-03 21:37:10','2021-01-04 19:51:21',null);
INSERT INTO complaint_statuses VALUES('11291','3418','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-03 22:08:39','2021-01-03 22:08:39',null);
INSERT INTO complaint_statuses VALUES('11292','3333','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-03 22:26:57','2021-01-03 22:26:57',null);
INSERT INTO complaint_statuses VALUES('11293','3343','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-03 22:33:07','2021-01-03 22:33:07',null);
INSERT INTO complaint_statuses VALUES('11294','3349','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-03 22:35:33','2021-01-03 22:35:33',null);
INSERT INTO complaint_statuses VALUES('11295','3417','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-03 22:43:06','2021-01-03 22:43:06',null);
INSERT INTO complaint_statuses VALUES('11296','3359','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-03 22:47:57','2021-01-03 22:47:57',null);
INSERT INTO complaint_statuses VALUES('11297','3362','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-03 22:49:40','2021-01-03 22:49:40',null);
INSERT INTO complaint_statuses VALUES('11298','3403','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-03 22:55:45','2021-01-03 22:55:45',null);
INSERT INTO complaint_statuses VALUES('11299','3410','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-03 23:07:40','2021-01-03 23:07:40',null);
INSERT INTO complaint_statuses VALUES('11300','3277','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-03 23:12:15','2021-01-03 23:12:15',null);
INSERT INTO complaint_statuses VALUES('11301','3384','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-03 23:17:54','2021-01-03 23:17:54',null);
INSERT INTO complaint_statuses VALUES('11302','3471','3',null,'54',null,'03-JAN-2021
COM NO 1794096','92','92','2021-01-04 00:09:58','2021-01-04 01:29:50',null);
INSERT INTO complaint_statuses VALUES('11303','3472','3',null,'52',null,'03-JAN-2021
COM NO PKRI-210103105462','92','92','2021-01-04 00:17:18','2021-01-04 01:40:10',null);
INSERT INTO complaint_statuses VALUES('11304','3473','3',null,'53',null,'03-JAN-2021
 COM NO 1078078','92','92','2021-01-04 00:25:00','2021-01-04 01:48:38',null);
INSERT INTO complaint_statuses VALUES('11305','3474','3',null,'68',null,'03-JAN-2021
COM NO RWP2167','92','92','2021-01-04 00:56:03','2021-01-04 20:21:17',null);
INSERT INTO complaint_statuses VALUES('11306','3475','3',null,'52',null,'03-JAN-2021
COM NO PKRI-210103105698','92','92','2021-01-04 01:05:30','2021-01-04 01:44:31',null);
INSERT INTO complaint_statuses VALUES('11307','3422','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-01-04 01:21:46','2021-01-06 21:37:00',null);
INSERT INTO complaint_statuses VALUES('11308','3404','5','15',null,null,'CUSTOMER NA KHUD S/C LA K JANA CUSTOMER KI SIDE SA DELAY','81','74','2021-01-04 01:23:22','2021-01-06 04:05:52',null);
INSERT INTO complaint_statuses VALUES('11309','3402','5','15',null,null,'OVEN KA ISSUE RESOLVED HO GAYA HAIN W/M KA DENT B NIKAL DIA COMPLAINT  HUK LAGNAY RAHAY GAY','81','74','2021-01-04 01:27:11','2021-01-06 21:53:37',null);
INSERT INTO complaint_statuses VALUES('11310','3388','5','15',null,null,'DOOR SWITCH CHANGE HONA HAIN ADIL BHI KO TASK# SHER KAR DIA K CUSTOMER KO CHARGES INFORMED KARNAY K LYA','81','74','2021-01-04 01:31:29','2021-01-08 02:37:35',null);
INSERT INTO complaint_statuses VALUES('11311','3357','8','23','58','VISIT BY I-10 MEANING ?','COMPLAINT RESOLVED','81','74','2021-01-04 01:32:39','2021-01-06 21:59:57',null);
INSERT INTO complaint_statuses VALUES('11312','3348','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-01-04 01:33:15','2021-01-06 04:10:50',null);
INSERT INTO complaint_statuses VALUES('11313','3336','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-04 01:33:48','2021-01-09 19:49:39',null);
INSERT INTO complaint_statuses VALUES('11314','3318','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-04 01:34:22','2021-01-10 22:10:00',null);
INSERT INTO complaint_statuses VALUES('11315','3294','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-04 01:35:51','2021-01-07 01:42:49',null);
INSERT INTO complaint_statuses VALUES('11316','3293','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-04 01:36:09','2021-01-07 19:57:58',null);
INSERT INTO complaint_statuses VALUES('11317','3288','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-04 01:36:38','2021-01-07 20:01:16',null);
INSERT INTO complaint_statuses VALUES('11318','3249','5','15',null,null,'COMPLAINT CLOSED','81','74','2021-01-04 01:37:13','2021-01-16 22:21:32',null);
INSERT INTO complaint_statuses VALUES('11319','3199','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-04 01:37:45','2021-01-10 01:37:21',null);
INSERT INTO complaint_statuses VALUES('11320','3194','5','15',null,null,'NOT VISIT TO COMPLAINT
AGAIN NEW COMPLAINT FF KAR DI HAIN SONY S/C TASK#4097','81','74','2021-01-04 01:38:20','2021-02-03 22:40:04',null);
INSERT INTO complaint_statuses VALUES('11321','3123','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-04 01:38:47','2021-01-07 19:41:39',null);
INSERT INTO complaint_statuses VALUES('11322','3476','3',null,'75',null,'03-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-04 01:55:12','2021-01-04 01:55:12',null);
INSERT INTO complaint_statuses VALUES('11323','1791','8','23','56','KINDLY CONTACT ASLAM SB',null,'81','81','2021-01-04 01:56:23','2021-01-04 01:56:23',null);
INSERT INTO complaint_statuses VALUES('11324','3421','8','23','59',null,null,'81','81','2021-01-04 01:56:47','2021-01-04 01:56:47',null);
INSERT INTO complaint_statuses VALUES('11325','3247','8','23','58','GEAR MARKET SY PARCHASE  KAR LEN',null,'81','81','2021-01-04 01:57:54','2021-01-04 01:57:54',null);
INSERT INTO complaint_statuses VALUES('11326','3477','2',null,'81',null,'03-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-04 02:06:38','2021-01-04 02:06:38',null);
INSERT INTO complaint_statuses VALUES('11327','3478','3',null,'72',null,'03-JAN-2021
COM NO 072116012','92','92','2021-01-04 02:18:18','2021-01-04 23:53:44',null);
INSERT INTO complaint_statuses VALUES('11328','3072','7','12','81','No Fault',null,'76','76','2021-01-04 02:18:56','2021-01-04 02:18:56',null);
INSERT INTO complaint_statuses VALUES('11329','3154','7','24','81','Not Cooling Issue Vegetable Box Setting Issue.',null,'76','76','2021-01-04 02:22:43','2021-01-04 02:22:43',null);
INSERT INTO complaint_statuses VALUES('11330','3479','3',null,'55',null,'03-JAN-2021
COM NO 713061','92','92','2021-01-04 02:28:02','2021-01-04 22:03:12',null);
INSERT INTO complaint_statuses VALUES('11331','3341','7','12','81','Drain Service , Visit Pending (600)',null,'76','76','2021-01-04 03:00:43','2021-01-04 03:00:43',null);
INSERT INTO complaint_statuses VALUES('11332','3358','7','12','81','Problem Solved',null,'76','76','2021-01-04 03:01:48','2021-01-04 03:01:48',null);
INSERT INTO complaint_statuses VALUES('11333','3338','7','26','81',null,null,'76','76','2021-01-04 03:03:36','2021-01-04 03:03:36',null);
INSERT INTO complaint_statuses VALUES('11334','3257','7','24','81','Customer Not At Home , he Request for Visit on Next Sunday, 10-01-2020',null,'76','76','2021-01-04 03:06:53','2021-01-04 03:06:53',null);
INSERT INTO complaint_statuses VALUES('11335','3119','7','22','81','Top Cover Price is 18500 and 45 Days Require after Part Order Confirmation',null,'76','76','2021-01-04 03:08:24','2021-01-04 03:08:24',null);
INSERT INTO complaint_statuses VALUES('11336','2411','7','22','81','Please Provide Part , or Guide For Further Action',null,'76','76','2021-01-04 03:09:31','2021-01-04 03:09:31',null);
INSERT INTO complaint_statuses VALUES('11337','2990','7','10','81','Customer Want Only Service of Dishwasher, But , Now He is Not Receiving  Calls',null,'76','76','2021-01-04 03:10:35','2021-01-04 03:10:35',null);
INSERT INTO complaint_statuses VALUES('11338','3316','7','24','81','Under Repaired In Service Center In Heating Issue',null,'76','76','2021-01-04 03:11:15','2021-01-04 03:11:15',null);
INSERT INTO complaint_statuses VALUES('11339','2767','7','22','81','Its warranty Job , Please Guide Us for Part Replacement , New PCB Not Available In our Stock.','INVOICE KHURRAM SIR KO FF KAR DI','76','74','2021-01-04 03:12:50','2021-01-06 00:05:37',null);
INSERT INTO complaint_statuses VALUES('11340','3429','7','12','81','DRAIN PIPE PUNCH.COMPLIANT REOSLVED',null,'79','79','2021-01-04 04:06:05','2021-01-04 04:06:05',null);
INSERT INTO complaint_statuses VALUES('11341','3447','7','12','81','COMPLIANT RESOLVED DRAI ISSUE',null,'79','79','2021-01-04 04:07:18','2021-01-04 04:07:18',null);
INSERT INTO complaint_statuses VALUES('11342','3355','7','24','81','REFER TO SERVICE  CENTER .CUSTOMER NPOT PIAD VISIT CAHRGES .SERVICE CENTER LY KR AYE GAIN',null,'79','79','2021-01-04 04:09:44','2021-01-04 04:09:44',null);
INSERT INTO complaint_statuses VALUES('11343','3260','7','24','81','BLOWER ISSUE .REFER TO SERVICE CNETER',null,'79','79','2021-01-04 04:10:51','2021-01-04 04:10:51',null);
INSERT INTO complaint_statuses VALUES('11344','3480','3',null,'53',null,'04-JAN-2021
COM NO 1078124','92','92','2021-01-04 19:41:50','2021-01-04 19:51:22',null);
INSERT INTO complaint_statuses VALUES('11345','3477','4',null,'58',null,null,'81','81','2021-01-04 19:45:34','2021-01-04 19:45:34',null);
INSERT INTO complaint_statuses VALUES('11346','3464','4',null,'56',null,null,'81','81','2021-01-04 19:45:46','2021-01-04 19:45:46',null);
INSERT INTO complaint_statuses VALUES('11347','3463','4',null,'61',null,'NOT ATTEND CALL USMAN + NOUMAN','81','74','2021-01-04 19:46:11','2021-01-06 21:45:46',null);
INSERT INTO complaint_statuses VALUES('11348','3461','4',null,'56',null,null,'81','81','2021-01-04 19:49:00','2021-01-04 19:49:00',null);
INSERT INTO complaint_statuses VALUES('11349','3460','4',null,'55',null,null,'81','81','2021-01-04 19:49:18','2021-01-04 19:49:18',null);
INSERT INTO complaint_statuses VALUES('11350','3457','7','26','81',null,null,'87','87','2021-01-04 19:57:17','2021-01-04 19:57:17',null);
INSERT INTO complaint_statuses VALUES('11351','3457','5','15',null,'IN VOICE GUL NOOR','COMPLAINT CLOSED','81','74','2021-01-04 19:58:51','2021-01-04 20:11:44',null);
INSERT INTO complaint_statuses VALUES('11352','3481','2',null,'81',null,'02-JAN-2021
FF TO .B.COOL','74','74','2021-01-04 20:02:20','2021-01-04 20:02:20',null);
INSERT INTO complaint_statuses VALUES('11353','3481','4',null,'58',null,null,'81','81','2021-01-04 20:02:52','2021-01-04 20:02:52',null);
INSERT INTO complaint_statuses VALUES('11354','3447','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-04 20:12:55','2021-01-05 02:14:20',null);
INSERT INTO complaint_statuses VALUES('11355','3381','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-04 20:17:49','2021-01-04 20:17:49',null);
INSERT INTO complaint_statuses VALUES('11356','3429','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-04 20:23:20','2021-01-05 02:15:44',null);
INSERT INTO complaint_statuses VALUES('11357','3428','8','23','61','CUSTOMER GHR PA AVIL HAIN  AGAIN CALL KAR LAY CUSTOMER KO',null,'81','81','2021-01-04 20:25:29','2021-01-04 20:25:29',null);
INSERT INTO complaint_statuses VALUES('11358','3358','5','15',null,'COMPLETED CMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-04 20:26:28','2021-01-06 04:12:14',null);
INSERT INTO complaint_statuses VALUES('11359','3482','3',null,'62',null,'04-JAN-2021
FF TO KHURRAM 5 STAR','74','74','2021-01-04 20:27:17','2021-01-04 20:27:17',null);
INSERT INTO complaint_statuses VALUES('11360','3341','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-04 20:27:56','2021-01-06 04:12:46',null);
INSERT INTO complaint_statuses VALUES('11361','3290','7','12','81','Demo dy ky pesy le lye hy',null,'82','82','2021-01-04 20:31:12','2021-01-04 20:31:12',null);
INSERT INTO complaint_statuses VALUES('11362','3456','7','26','81',null,null,'87','87','2021-01-04 20:37:59','2021-01-04 20:37:59',null);
INSERT INTO complaint_statuses VALUES('11363','3483','3',null,'52',null,'04-JAN-2021
COM NO PKRI-210104103241','92','92','2021-01-04 20:38:34','2021-01-04 20:40:33',null);
INSERT INTO complaint_statuses VALUES('11364','3484','2',null,'81',null,'04-JAN-2021
FF TO USMAN MRM','74','74','2021-01-04 20:40:24','2021-01-04 20:40:24',null);
INSERT INTO complaint_statuses VALUES('11365','3338','5','15',null,'WRONG VENDOR','COMPLAINT CLOSED','81','74','2021-01-04 20:40:50','2021-01-06 04:13:48',null);
INSERT INTO complaint_statuses VALUES('11366','3484','4',null,'61',null,null,'81','81','2021-01-04 20:41:05','2021-01-04 20:41:05',null);
INSERT INTO complaint_statuses VALUES('11367','3456','5','15',null,'INVOICE PED KI HAIN BUT ATTEND B.COOL NA KI HAIN INVOICE & BILL B.COOL SHER KAR DIA','COMPLAINT CLOSED','81','74','2021-01-04 20:41:53','2021-01-05 23:22:06',null);
INSERT INTO complaint_statuses VALUES('11368','3290','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-04 20:43:53','2021-01-07 19:59:18',null);
INSERT INTO complaint_statuses VALUES('11369','3485','2',null,'81',null,'02-JAN 2021
FF TO B.COOL','74','74','2021-01-04 20:44:25','2021-01-04 20:44:25',null);
INSERT INTO complaint_statuses VALUES('11370','3485','4',null,'58',null,'FF TO B. COOL','81','74','2021-01-04 20:44:43','2021-01-04 20:45:06',null);
INSERT INTO complaint_statuses VALUES('11371','3486','2',null,'81',null,'04-JAN-2021
FF TO HOME SOLUTION','74','74','2021-01-04 20:50:45','2021-01-04 20:50:45',null);
INSERT INTO complaint_statuses VALUES('11372','3324','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-04 20:51:08','2021-01-04 20:51:08',null);
INSERT INTO complaint_statuses VALUES('11373','3486','4',null,'62',null,null,'81','81','2021-01-04 20:51:12','2021-01-04 20:51:12',null);
INSERT INTO complaint_statuses VALUES('11374','3330','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-04 20:57:26','2021-01-04 20:57:26',null);
INSERT INTO complaint_statuses VALUES('11375','3487','3',null,'65',null,'04-JAN-2021
COMPLAINT#1921199301','74','74','2021-01-04 21:00:17','2021-01-04 21:00:17',null);
INSERT INTO complaint_statuses VALUES('11376','3340','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-04 21:03:32','2021-01-04 21:03:32',null);
INSERT INTO complaint_statuses VALUES('11377','3346','5',null,null,'COMPLAINT RESOLVED',null,'92','92','2021-01-04 21:07:18','2021-01-04 21:07:18',null);
INSERT INTO complaint_statuses VALUES('11378','3469','2',null,'81',null,null,'74','74','2021-01-04 21:10:01','2021-01-04 21:10:01',null);
INSERT INTO complaint_statuses VALUES('11379','3469','4',null,'55',null,null,'81','81','2021-01-04 21:10:32','2021-01-04 21:10:32',null);
INSERT INTO complaint_statuses VALUES('11380','3361','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-04 21:13:28','2021-01-04 21:13:28',null);
INSERT INTO complaint_statuses VALUES('11381','3351','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-04 21:16:53','2021-01-04 21:16:53',null);
INSERT INTO complaint_statuses VALUES('11382','3352','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-04 21:18:56','2021-01-04 21:18:56',null);
INSERT INTO complaint_statuses VALUES('11383','3488','3',null,'54',null,'04-JAN-2021
COMPLAINT#1794390','74','74','2021-01-04 21:21:14','2021-01-04 21:21:14',null);
INSERT INTO complaint_statuses VALUES('11384','3353','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-04 21:22:09','2021-01-04 21:22:09',null);
INSERT INTO complaint_statuses VALUES('11385','3489','3',null,'52',null,'04-JAN-2021
COMPLAINT#PKRI-210104104644','74','74','2021-01-04 21:28:20','2021-01-04 21:28:20',null);
INSERT INTO complaint_statuses VALUES('11386','3490','2',null,'81',null,'04-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-04 21:41:30','2021-01-04 21:41:30',null);
INSERT INTO complaint_statuses VALUES('11387','3491','3',null,'52',null,'04-JAN-2021
COM NO PKRI-210104105263','92','92','2021-01-04 21:52:32','2021-01-05 00:06:11',null);
INSERT INTO complaint_statuses VALUES('11388','3492','3',null,'85',null,'04-JAN-2021
COMPLAINT#1078187','74','74','2021-01-04 22:08:22','2021-01-04 22:08:22',null);
INSERT INTO complaint_statuses VALUES('11389','3363','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-04 22:12:34','2021-01-04 22:12:34',null);
INSERT INTO complaint_statuses VALUES('11390','3428','7','12','81','during visit   found tv working normal .  but  cusotmer no agree to open the tv for servicing  and request for product replacement.

kindly close the job as the tv working ok',null,'83','83','2021-01-04 22:14:47','2021-01-04 22:14:47',null);
INSERT INTO complaint_statuses VALUES('11391','3364','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-04 22:15:05','2021-01-04 22:15:05',null);
INSERT INTO complaint_statuses VALUES('11392','3493','3',null,'53',null,'04-JAN-2021
COMPLAINT#1078205','74','74','2021-01-04 22:20:52','2021-01-04 22:20:52',null);
INSERT INTO complaint_statuses VALUES('11393','3370','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-04 22:29:48','2021-01-04 22:29:48',null);
INSERT INTO complaint_statuses VALUES('11394','3371','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-04 22:34:39','2021-01-04 22:34:39',null);
INSERT INTO complaint_statuses VALUES('11395','3494','2',null,'81',null,'04-JAN-2021
FF TO KHALID SONY','74','74','2021-01-04 22:39:07','2021-01-04 22:39:07',null);
INSERT INTO complaint_statuses VALUES('11396','3494','4',null,'56',null,null,'81','81','2021-01-04 22:40:19','2021-01-04 22:40:19',null);
INSERT INTO complaint_statuses VALUES('11397','3490','4',null,'58',null,null,'81','81','2021-01-04 22:40:53','2021-01-04 22:40:53',null);
INSERT INTO complaint_statuses VALUES('11398','3435','7','12','81','RELAY OVER LOAD CHNAGE KIYE HAIN. COMPLAINT RESOLVED.',null,'79','79','2021-01-04 22:41:26','2021-01-04 22:41:26',null);
INSERT INTO complaint_statuses VALUES('11399','3495','3',null,'72',null,'04-JAN-2021
COMPLAINT#','74','74','2021-01-04 23:15:48','2021-01-04 23:15:48',null);
INSERT INTO complaint_statuses VALUES('11400','3435','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-01-04 23:36:10','2021-01-05 02:15:09',null);
INSERT INTO complaint_statuses VALUES('11401','3420','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-04 23:36:17','2021-01-04 23:36:17',null);
INSERT INTO complaint_statuses VALUES('11402','3072','5','15',null,null,'COMPLAINT  NOT RESOLVED
NEW COMPLAINT BANA DI COMPLAINT CLOSED','81','74','2021-01-04 23:37:33','2021-01-16 22:31:32',null);
INSERT INTO complaint_statuses VALUES('11403','3355','8','23','58',null,'YHA CUSTOMER B WEEKED PA LA K AAY GAY','81','74','2021-01-04 23:38:28','2021-01-06 01:08:01',null);
INSERT INTO complaint_statuses VALUES('11404','3316','8','23','55','PLEASE COMPLETE THIS JOB QUICKLY',null,'81','81','2021-01-04 23:39:18','2021-01-04 23:39:18',null);
INSERT INTO complaint_statuses VALUES('11405','3260','8','23','58','NEW PRODUCT HY . KINDLY ISSUE JALDI  RESOLVE KRVA DEN','CUSTOMER SATURDAY YHA SUNDAY KO HOOD DILVER KARWAY GAY','81','74','2021-01-04 23:43:46','2021-01-06 01:04:18',null);
INSERT INTO complaint_statuses VALUES('11406','3496','3',null,'65',null,'04-JAN-2021
COMPLAINT#1921119937','74','74','2021-01-04 23:51:33','2021-01-04 23:51:33',null);
INSERT INTO complaint_statuses VALUES('11407','3495','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-04 23:56:07','2021-01-04 23:56:07',null);
INSERT INTO complaint_statuses VALUES('11408','3308','7','12','81','Custmer servis center i 10 hy machin okay ho gai hy leny aye hy',null,'82','82','2021-01-05 00:03:00','2021-01-05 00:03:00',null);
INSERT INTO complaint_statuses VALUES('11409','3485','7','12','81','YAHAN  VISIT HO  GYA HAI .KASHIF SB GAYE THY.KINDLY YE COMPLINT ADIL K FORWARED KR DEIN',null,'79','79','2021-01-05 00:06:17','2021-01-05 00:06:17',null);
INSERT INTO complaint_statuses VALUES('11410','1215','7','24','81','Yaha parso jana hy',null,'82','82','2021-01-05 00:09:02','2021-01-05 00:09:02',null);
INSERT INTO complaint_statuses VALUES('11411','1780','7','12','81','Iski body damej hy hamary pass hal nhi hy',null,'82','82','2021-01-05 00:09:50','2021-01-05 00:09:50',null);
INSERT INTO complaint_statuses VALUES('11412','1945','7','24','81','Switch khuram sab sy ly ky lagana hy',null,'82','82','2021-01-05 00:10:22','2021-01-05 00:10:22',null);
INSERT INTO complaint_statuses VALUES('11413','2323','7','12','81','Is py kam compny ny kea hy .custmer khood ly ky gy thy',null,'82','82','2021-01-05 00:12:30','2021-01-05 00:12:30',null);
INSERT INTO complaint_statuses VALUES('11414','2046','7','12','81','Iska darwaza repleced kar dia hy .job okay',null,'82','82','2021-01-05 00:14:33','2021-01-05 00:14:33',null);
INSERT INTO complaint_statuses VALUES('11415','3268','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-05 00:16:12','2021-01-05 00:16:12',null);
INSERT INTO complaint_statuses VALUES('11416','2083','7','24','81',null,null,'82','82','2021-01-05 00:20:12','2021-01-05 00:20:12',null);
INSERT INTO complaint_statuses VALUES('11417','3467','3',null,'93',null,'FF TO ZAIDH MIDAS','74','74','2021-01-05 00:24:09','2021-01-06 21:05:15',null);
INSERT INTO complaint_statuses VALUES('11418','3264','7','12','81','Issue Resolved During Visit (Visit Charges Pending 600/-',null,'76','76','2021-01-05 00:41:27','2021-01-05 00:41:27',null);
INSERT INTO complaint_statuses VALUES('11419','1780','5','15',null,null,'BODY DAMAGE HAIN  CUSTOMER NA KHUD S/C MOVE KARWANI HAIN CUSTOMER KI SIDE SA DELAY HAIN COMPLAINT','81','74','2021-01-05 00:43:14','2021-02-23 18:00:40',null);
INSERT INTO complaint_statuses VALUES('11420','3369','7','12','81','Level Adjustment.',null,'76','76','2021-01-05 00:43:49','2021-01-05 00:43:49',null);
INSERT INTO complaint_statuses VALUES('11421','3373','7','24','81','Guide to the Customer on telephone , he will inform about Visit (if Nee) after 3-4 Days.',null,'76','76','2021-01-05 01:02:49','2021-01-05 01:02:49',null);
INSERT INTO complaint_statuses VALUES('11422','3305','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-05 01:07:39','2021-01-05 01:07:39',null);
INSERT INTO complaint_statuses VALUES('11423','3228','8','23','61','YHA CUSTOMER  KI  COMPLAINT  HAIN KINDLY VISIT ARRANGE KARWAY',null,'81','81','2021-01-05 01:18:13','2021-01-05 01:18:13',null);
INSERT INTO complaint_statuses VALUES('11424','3497','2',null,'81',null,'04-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-05 01:20:13','2021-01-05 01:20:13',null);
INSERT INTO complaint_statuses VALUES('11425','3498','2',null,'81',null,'04-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-05 01:20:39','2021-01-05 01:20:39',null);
INSERT INTO complaint_statuses VALUES('11426','3303','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-05 01:25:45','2021-01-05 01:25:45',null);
INSERT INTO complaint_statuses VALUES('11427','3369','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-05 01:27:35','2021-01-06 04:11:34',null);
INSERT INTO complaint_statuses VALUES('11428','3301','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-05 01:28:24','2021-01-05 01:28:24',null);
INSERT INTO complaint_statuses VALUES('11429','3499','3',null,'52',null,'04-JAN-2021
COM NO PKRI-210104110057','92','92','2021-01-05 01:28:38','2021-01-05 01:31:56',null);
INSERT INTO complaint_statuses VALUES('11430','3301','5','15',null,'COMPLETED COMPLAINT','COMPLAINT COMPLETED','81','92','2021-01-05 01:29:02','2021-01-07 01:40:55',null);
INSERT INTO complaint_statuses VALUES('11431','3498','4',null,'58',null,null,'81','81','2021-01-05 01:29:35','2021-01-05 01:29:35',null);
INSERT INTO complaint_statuses VALUES('11432','3497','4',null,'58',null,null,'81','81','2021-01-05 01:29:44','2021-01-05 01:29:44',null);
INSERT INTO complaint_statuses VALUES('11433','3264','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-05 01:35:54','2021-01-07 20:02:41',null);
INSERT INTO complaint_statuses VALUES('11434','3500','3',null,'53',null,'04-JAN-2021
COM NO 301078280','92','92','2021-01-05 01:39:55','2021-01-05 01:42:28',null);
INSERT INTO complaint_statuses VALUES('11435','3304','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-05 01:40:03','2021-01-05 01:40:03',null);
INSERT INTO complaint_statuses VALUES('11436','3298','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-05 01:41:47','2021-01-05 01:41:47',null);
INSERT INTO complaint_statuses VALUES('11437','3292','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-05 01:44:38','2021-01-05 01:44:38',null);
INSERT INTO complaint_statuses VALUES('11438','3501','3',null,'52',null,'04-JAN-2021
COM NO PKRI-210104110963','92','92','2021-01-05 01:50:07','2021-01-05 02:26:18',null);
INSERT INTO complaint_statuses VALUES('11439','3392','7','12','81','Issue resolved',null,'87','87','2021-01-05 01:52:50','2021-01-05 01:52:50',null);
INSERT INTO complaint_statuses VALUES('11440','3502','3',null,'73',null,'04-JAN-2021
COMPLAINT#3344','74','74','2021-01-05 01:54:55','2021-01-05 01:54:55',null);
INSERT INTO complaint_statuses VALUES('11441','3503','3',null,'52',null,'04-JAN-2021
COM NO PKRI-210104110869','92','92','2021-01-05 01:57:00','2021-01-05 02:20:46',null);
INSERT INTO complaint_statuses VALUES('11442','3448','7','12','81','ISSUE RESOLVED',null,'87','87','2021-01-05 02:03:54','2021-01-05 02:03:54',null);
INSERT INTO complaint_statuses VALUES('11443','3454','7','12','81','ISSUE RESOLVED',null,'87','87','2021-01-05 02:04:27','2021-01-05 02:04:27',null);
INSERT INTO complaint_statuses VALUES('11444','3228','7','9','81','Unit kahan ha ?',null,'83','83','2021-01-05 02:07:23','2021-01-05 02:07:23',null);
INSERT INTO complaint_statuses VALUES('11445','3307','7','12','81','Back light repair RS 4000/- exp',null,'83','83','2021-01-05 02:07:53','2021-01-05 02:07:53',null);
INSERT INTO complaint_statuses VALUES('11446','3504','2',null,'81',null,'04-JAN-2021
COM FF TO KHALID SONY','92','92','2021-01-05 02:10:26','2021-01-05 02:10:26',null);
INSERT INTO complaint_statuses VALUES('11447','3312','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-05 02:10:30','2021-01-05 02:10:30',null);
INSERT INTO complaint_statuses VALUES('11448','3505','2',null,'81',null,'04-JAN-2021
FF TO AZHAR FCI','74','74','2021-01-05 02:48:19','2021-01-05 02:48:19',null);
INSERT INTO complaint_statuses VALUES('11449','3505','4',null,'60',null,null,'81','81','2021-01-05 02:48:52','2021-01-05 02:48:52',null);
INSERT INTO complaint_statuses VALUES('11450','3504','4',null,'56',null,null,'81','81','2021-01-05 02:49:04','2021-01-05 02:49:04',null);
INSERT INTO complaint_statuses VALUES('11451','3470','3',null,'84',null,null,'74','74','2021-01-05 02:57:45','2021-01-05 02:57:45',null);
INSERT INTO complaint_statuses VALUES('11452','1215','8','23','60','CUSTOMER SA BT HO GEI HAIN WEDNESDAY KO VISIT ARRANGE KARWAY',null,'81','81','2021-01-05 03:02:08','2021-01-05 03:02:08',null);
INSERT INTO complaint_statuses VALUES('11453','3506','3',null,'54',null,'04-JAN-2021
COMPLAINT#1794800','74','74','2021-01-05 03:20:34','2021-01-05 03:20:34',null);
INSERT INTO complaint_statuses VALUES('11454','3507','2',null,'81',null,'04-JAN-2021
FF TO USMAN MRM.
YHA COMPLAINT KHALID SAB NA ATTEND NAI KI USMANA SAB NA KI HAIN ATTEND.','74','74','2021-01-05 03:25:36','2021-01-05 03:25:36',null);
INSERT INTO complaint_statuses VALUES('11455','3507','4',null,'61',null,null,'81','81','2021-01-05 03:38:42','2021-01-05 03:38:42',null);
INSERT INTO complaint_statuses VALUES('11456','3498','7','12','81','CUSTOMER  WORK SHOP LY AYE GAIN .ABHI CLOSED KR DEIN .',null,'79','79','2021-01-05 04:02:18','2021-01-05 04:02:18',null);
INSERT INTO complaint_statuses VALUES('11457','3507','7','12','81','Unit ok 
Naya Tel device problem  
Unit tested by other device',null,'83','83','2021-01-05 06:09:38','2021-01-05 06:09:38',null);
INSERT INTO complaint_statuses VALUES('11458','3477','7','12','81','compliant resolved .operating issue',null,'79','79','2021-01-05 19:21:07','2021-01-05 19:21:07',null);
INSERT INTO complaint_statuses VALUES('11459','3441','7','12','81','wiring issue compliant resolved',null,'79','79','2021-01-05 19:21:45','2021-01-05 19:21:45',null);
INSERT INTO complaint_statuses VALUES('11460','3469','7','9','81','Please Provide any Contact Number and Address',null,'76','76','2021-01-05 19:33:37','2021-01-05 19:33:37',null);
INSERT INTO complaint_statuses VALUES('11461','3399','7','24','81','refer to service cneter',null,'79','79','2021-01-05 19:37:26','2021-01-05 19:37:26',null);
INSERT INTO complaint_statuses VALUES('11462','3508','3',null,'52',null,'05-JAN-2021
COM NO PKRI-210105101735','92','92','2021-01-05 19:40:41','2021-01-05 19:40:41',null);
INSERT INTO complaint_statuses VALUES('11463','3509','3',null,'57',null,'05-JAN-2021
COM NO 15741','92','92','2021-01-05 19:52:25','2021-01-05 19:56:05',null);
INSERT INTO complaint_statuses VALUES('11464','3459','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-05 20:11:40','2021-01-05 20:11:40',null);
INSERT INTO complaint_statuses VALUES('11465','3510','3',null,'55',null,'05-JAN-2021
COM NO ISB-10881','92','92','2021-01-05 20:15:57','2021-01-05 20:17:24',null);
INSERT INTO complaint_statuses VALUES('11466','3458','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-05 20:17:24','2021-01-05 20:17:24',null);
INSERT INTO complaint_statuses VALUES('11467','3511','2',null,'81',null,'05-JAN-2021
COM FF TO AZHAR FCI','92','92','2021-01-05 20:44:55','2021-01-05 20:44:55',null);
INSERT INTO complaint_statuses VALUES('11468','3432','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-05 21:00:29','2021-01-05 21:00:29',null);
INSERT INTO complaint_statuses VALUES('11469','3511','4',null,'60',null,null,'81','81','2021-01-05 21:14:30','2021-01-05 21:14:30',null);
INSERT INTO complaint_statuses VALUES('11470','3425','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-05 21:17:22','2021-01-05 21:17:22',null);
INSERT INTO complaint_statuses VALUES('11471','3512','3',null,'65',null,'05-JAN-2021
COM NO 072116041','92','92','2021-01-05 21:30:28','2021-01-05 21:30:28',null);
INSERT INTO complaint_statuses VALUES('11472','3513','2',null,'81',null,'05-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-05 21:40:12','2021-01-05 21:40:12',null);
INSERT INTO complaint_statuses VALUES('11473','3514','3',null,'74',null,'05-JAN-2020
COMPLAINT#278','74','74','2021-01-05 21:40:48','2021-01-05 21:40:48',null);
INSERT INTO complaint_statuses VALUES('11474','3513','4',null,'63',null,null,'81','81','2021-01-05 21:44:02','2021-01-05 21:44:02',null);
INSERT INTO complaint_statuses VALUES('11475','3515','3',null,'55',null,'05-JAN-2021
COM NO ISB-10882','92','92','2021-01-05 21:48:57','2021-01-05 21:51:29',null);
INSERT INTO complaint_statuses VALUES('11476','3182','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-05 21:49:35','2021-01-05 21:49:35',null);
INSERT INTO complaint_statuses VALUES('11477','3377','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-05 21:51:35','2021-01-05 21:51:35',null);
INSERT INTO complaint_statuses VALUES('11478','3058','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-05 21:56:01','2021-01-05 21:56:01',null);
INSERT INTO complaint_statuses VALUES('11479','3302','7','12','81','Only service. No issue.',null,'77','77','2021-01-05 21:57:55','2021-01-05 21:57:55',null);
INSERT INTO complaint_statuses VALUES('11480','3516','3',null,'73',null,'05-JAN-2021
COM NO 3351','92','92','2021-01-05 22:09:14','2021-01-06 01:51:27',null);
INSERT INTO complaint_statuses VALUES('11481','3391','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-05 22:16:20','2021-01-05 22:16:20',null);
INSERT INTO complaint_statuses VALUES('11482','3118','7','12','81','pelsator change compliant resolved by adil',null,'79','79','2021-01-05 22:23:47','2021-01-05 22:23:47',null);
INSERT INTO complaint_statuses VALUES('11483','3406','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-05 22:29:15','2021-01-05 22:29:15',null);
INSERT INTO complaint_statuses VALUES('11484','3407','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-05 22:35:14','2021-01-05 22:35:14',null);
INSERT INTO complaint_statuses VALUES('11485','3408','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-05 22:37:17','2021-01-05 22:37:17',null);
INSERT INTO complaint_statuses VALUES('11486','3411','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-05 22:41:14','2021-01-05 22:41:14',null);
INSERT INTO complaint_statuses VALUES('11487','3416','5',null,null,'COMPLAINT COMPLETED','COMPLIANT PA AGAIN ISSUE AGAY HAIN  ASLAM SAB KO INFORMED KAE DIA','92','74','2021-01-05 23:02:37','2021-01-05 23:42:15',null);
INSERT INTO complaint_statuses VALUES('11488','3365','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-05 23:13:28','2021-01-05 23:13:28',null);
INSERT INTO complaint_statuses VALUES('11489','3485','5','15',null,'FF TO ADIL HOME SOLUTION','COMPLAINT CLOSED','81','74','2021-01-05 23:18:20','2021-01-05 23:21:32',null);
INSERT INTO complaint_statuses VALUES('11490','3517','2',null,'81',null,'02-JAN 2021
FF TO HOME SOLUTION','74','74','2021-01-05 23:18:55','2021-01-05 23:18:55',null);
INSERT INTO complaint_statuses VALUES('11491','3507','5','15',null,null,'USMAN SAB SA CONFIRM KAR K JOB CLOSED KI CUSTOMER CALL ATTEND NAI KAR RAHAY','81','74','2021-01-05 23:19:08','2021-01-05 23:46:52',null);
INSERT INTO complaint_statuses VALUES('11492','3517','4',null,'62',null,null,'81','81','2021-01-05 23:19:32','2021-01-05 23:19:32',null);
INSERT INTO complaint_statuses VALUES('11493','3368','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-05 23:19:57','2021-01-05 23:19:57',null);
INSERT INTO complaint_statuses VALUES('11494','3498','5','15',null,null,'CUSTOMER SA BAT KAR K COMPLINT CLOSED KI CUSTOMER KHUD S/C LA K AAY GAY','81','74','2021-01-05 23:21:38','2021-01-05 23:48:45',null);
INSERT INTO complaint_statuses VALUES('11495','3477','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-01-05 23:21:57','2021-01-05 23:52:39',null);
INSERT INTO complaint_statuses VALUES('11496','3469','8','23','55','CELL#03113110013
BEHIRA SHOWROOM PA VISIT ARRANGE KARWAY','REF TO S/C','81','74','2021-01-05 23:23:51','2021-01-06 20:47:10',null);
INSERT INTO complaint_statuses VALUES('11497','3454','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-05 23:24:59','2021-01-05 23:26:54',null);
INSERT INTO complaint_statuses VALUES('11498','3448','5','15',null,null,'ISSUE RESOLVED NAI HOA ADIL BHAI KO AGAIN COMPLAINT FF KAR DA TASK# 3448 SHOK REPLACE HO GAY(CUSTOMER NA KUCH B NI BATAYA ABI TAQ','81','74','2021-01-05 23:25:42','2021-02-23 18:04:59',null);
INSERT INTO complaint_statuses VALUES('11499','3441','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-01-05 23:26:11','2021-01-06 02:01:06',null);
INSERT INTO complaint_statuses VALUES('11500','3399','8','23','58','please complete this job quickly',null,'81','81','2021-01-05 23:28:47','2021-01-05 23:28:47',null);
INSERT INTO complaint_statuses VALUES('11501','3392','5','15',null,'COMPLETED COMPLANT','COMPLETED COMPLAINT','81','74','2021-01-05 23:28:57','2021-01-06 04:08:28',null);
INSERT INTO complaint_statuses VALUES('11502','3308','8','23','60','JOB COMPLETED QUKILEY',null,'81','81','2021-01-05 23:33:57','2021-01-05 23:33:57',null);
INSERT INTO complaint_statuses VALUES('11503','3373','8','23','55','new machine hy please complete this job quickly',null,'81','81','2021-01-05 23:34:17','2021-01-05 23:34:17',null);
INSERT INTO complaint_statuses VALUES('11504','3307','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-05 23:34:32','2021-01-06 04:23:35',null);
INSERT INTO complaint_statuses VALUES('11505','3302','5','15',null,null,'ISSUE NOT RESOLVED
KAL CUSTOMER KHUD  HARD DISK S/C LA K AAY GAY
YHA NEW COMPLAINT FF KAR DI KHALID SAB KO','81','74','2021-01-05 23:35:37','2021-01-13 22:23:47',null);
INSERT INTO complaint_statuses VALUES('11506','3257','8','23','55',null,null,'81','81','2021-01-05 23:36:08','2021-01-05 23:36:08',null);
INSERT INTO complaint_statuses VALUES('11507','3228','8','23','61','new unit hy please complete this job quickly',null,'81','81','2021-01-05 23:38:24','2021-01-05 23:38:24',null);
INSERT INTO complaint_statuses VALUES('11508','1945','8','23','60','part i-10 sy lay len',null,'81','81','2021-01-05 23:43:51','2021-01-05 23:43:51',null);
INSERT INTO complaint_statuses VALUES('11509','2990','8','23','55','CUSTOMER SA BAT HO GEI HAIN KINDLY AGAIN VISIT ARRANGE KARAWAY',null,'81','81','2021-01-05 23:44:37','2021-01-05 23:44:37',null);
INSERT INTO complaint_statuses VALUES('11510','2046','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-01-05 23:51:12','2021-01-06 03:31:24',null);
INSERT INTO complaint_statuses VALUES('11511','2083','8','23','60','new unit hy please complete this job quickly',null,'81','81','2021-01-05 23:52:27','2021-01-05 23:52:27',null);
INSERT INTO complaint_statuses VALUES('11512','3335','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-05 23:53:41','2021-01-05 23:53:41',null);
INSERT INTO complaint_statuses VALUES('11513','2323','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-05 23:54:36','2021-01-10 22:16:15',null);
INSERT INTO complaint_statuses VALUES('11514','3154','8','23','55','new unit hy please complete this job quickly',null,'81','81','2021-01-05 23:55:36','2021-01-05 23:55:36',null);
INSERT INTO complaint_statuses VALUES('11515','3334','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-05 23:55:52','2021-01-05 23:55:52',null);
INSERT INTO complaint_statuses VALUES('11516','3119','8','23','55','please complete this job quickly',null,'81','81','2021-01-05 23:58:40','2021-01-05 23:58:40',null);
INSERT INTO complaint_statuses VALUES('11517','3332','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-05 23:59:06','2021-01-05 23:59:06',null);
INSERT INTO complaint_statuses VALUES('11518','3118','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-05 23:59:15','2021-01-09 20:03:35',null);
INSERT INTO complaint_statuses VALUES('11519','3481','7','12','81','already visit.by adil tech',null,'79','79','2021-01-06 00:11:12','2021-01-06 00:11:12',null);
INSERT INTO complaint_statuses VALUES('11520','3481','8','15','58','GUL NOOR KI INVOICE HAIN ADIL NA JUST VISIT KARWAY THA BY MISTAKE YHA COMPLINT HOME SOLUTION FF HO GEI',null,'81','81','2021-01-06 00:24:11','2021-01-06 00:24:11',null);
INSERT INTO complaint_statuses VALUES('11521','3481','7','12','81','koi issue ni adil ko boly dekh ly ga unhy wapis behj  dein pehly visit ho shuka hai ab dubra mein tech Q beun customer pehly hi guusy mein hian',null,'79','79','2021-01-06 00:30:32','2021-01-06 00:30:32',null);
INSERT INTO complaint_statuses VALUES('11522','3518','2',null,'81',null,'05-JAN-2021
COM FF TO KHALID SONY','92','92','2021-01-06 00:30:43','2021-01-06 00:30:43',null);
INSERT INTO complaint_statuses VALUES('11523','3325','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-06 00:30:52','2021-01-06 00:30:52',null);
INSERT INTO complaint_statuses VALUES('11524','3518','4',null,'56',null,null,'81','81','2021-01-06 00:45:49','2021-01-06 00:45:49',null);
INSERT INTO complaint_statuses VALUES('11525','3423','7','24','81','kindly move unit to service center',null,'83','83','2021-01-06 00:46:28','2021-01-06 00:46:28',null);
INSERT INTO complaint_statuses VALUES('11526','3125','8','23','56','COMPANY WARRANTY MODEL HAIN',null,'81','81','2021-01-06 00:49:52','2021-01-06 00:49:52',null);
INSERT INTO complaint_statuses VALUES('11527','3519','3',null,'65',null,'05-JAN-2021
COM NO 192119979
NEW COMPLAINT 
192120028','92','74','2021-01-06 01:07:33','2021-01-08 21:27:56',null);
INSERT INTO complaint_statuses VALUES('11528','3357','7','12','81','complaint reoslved ..',null,'79','79','2021-01-06 01:11:20','2021-01-06 01:11:20',null);
INSERT INTO complaint_statuses VALUES('11529','3479','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-06 01:20:15','2021-01-06 01:20:15',null);
INSERT INTO complaint_statuses VALUES('11530','3520','2',null,'81',null,'05-JAN-2021
COM FF TO USMAN MRM','92','92','2021-01-06 01:22:47','2021-01-06 01:22:47',null);
INSERT INTO complaint_statuses VALUES('11531','3520','4',null,'61',null,null,'81','81','2021-01-06 01:42:53','2021-01-06 01:42:53',null);
INSERT INTO complaint_statuses VALUES('11532','3521','3',null,'53',null,'05-JAN-2021
COM NO 301078525','92','92','2021-01-06 01:44:03','2021-01-06 01:50:10',null);
INSERT INTO complaint_statuses VALUES('11533','3423','8','23','61','ANEEQ& ASLAM SAB KO INFORMED KAR DIA','COMPLAINT RESOLVED','81','74','2021-01-06 01:45:07','2021-01-07 02:27:16',null);
INSERT INTO complaint_statuses VALUES('11534','3428','8','23','61','CUSTOMER  SA BAT HO GEI HAIN AP AGAIN CUSTOMER SA CONTACT KAR K VISIT ARRANGE KARWAY',null,'81','81','2021-01-06 01:49:56','2021-01-06 01:49:56',null);
INSERT INTO complaint_statuses VALUES('11535','3522','3',null,'93',null,'05-JAN-2021
COM NO 15762','92','92','2021-01-06 02:09:19','2021-01-06 02:09:19',null);
INSERT INTO complaint_statuses VALUES('11536','3453','5',null,null,'COMPLAINT CLOSED','1100 CHARGES  PAID JOB','74','74','2021-01-06 02:11:11','2021-01-06 02:11:40',null);
INSERT INTO complaint_statuses VALUES('11537','3523','3',null,'66',null,'05-DEC-2021
COM NO PK010520210133
AHMED BEHIRA','92','74','2021-01-06 02:24:11','2021-01-08 20:35:09',null);
INSERT INTO complaint_statuses VALUES('11538','2709','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-06 02:32:26','2021-01-06 02:32:26',null);
INSERT INTO complaint_statuses VALUES('11539','2097','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-06 02:33:37','2021-01-06 02:33:37',null);
INSERT INTO complaint_statuses VALUES('11540','3524','3',null,'53',null,'05-JAN-2021
COM NO 301078548','92','92','2021-01-06 02:36:21','2021-01-06 19:29:01',null);
INSERT INTO complaint_statuses VALUES('11541','3525','3',null,'86',null,'05-JAN-2021
COM FF TO  ASIF ARISTON','92','92','2021-01-06 02:41:51','2021-01-22 02:18:34',null);
INSERT INTO complaint_statuses VALUES('11542','3450','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-06 02:47:12','2021-01-06 02:47:12',null);
INSERT INTO complaint_statuses VALUES('11543','3511','7','24','81',null,null,'82','82','2021-01-06 02:48:04','2021-01-06 02:48:04',null);
INSERT INTO complaint_statuses VALUES('11544','3526','2',null,'81',null,'05-JAN-2021
COM FF TO  KHURRAM FIVE STAR','92','92','2021-01-06 02:49:28','2021-01-06 02:49:28',null);
INSERT INTO complaint_statuses VALUES('11545','3527','2',null,'81',null,'05-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-06 03:04:59','2021-01-06 03:04:59',null);
INSERT INTO complaint_statuses VALUES('11546','3528','2',null,'81',null,'05-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-06 03:18:26','2021-01-06 03:18:26',null);
INSERT INTO complaint_statuses VALUES('11547','2083','7','24','81','Inki light nikal ky laye hy  kal laga dy gy',null,'82','82','2021-01-06 03:28:04','2021-01-06 03:28:04',null);
INSERT INTO complaint_statuses VALUES('11548','3529','3',null,'93',null,'05-JAN-2021
COM FF TO ZAHID MIDAS','92','92','2021-01-06 03:29:58','2021-01-06 03:29:58',null);
INSERT INTO complaint_statuses VALUES('11549','2529','7','9','81',null,null,'82','82','2021-01-06 03:35:01','2021-01-06 03:35:01',null);
INSERT INTO complaint_statuses VALUES('11550','3530','3',null,'73',null,'05-JAN-2021
COM NO 3360','92','92','2021-01-06 03:43:23','2021-01-06 19:47:57',null);
INSERT INTO complaint_statuses VALUES('11551','3143','7','12','81',null,null,'82','82','2021-01-06 04:00:21','2021-01-06 04:00:21',null);
INSERT INTO complaint_statuses VALUES('11552','3528','4',null,'58',null,null,'81','81','2021-01-06 04:00:40','2021-01-06 04:00:40',null);
INSERT INTO complaint_statuses VALUES('11553','3527','4',null,'58',null,null,'81','81','2021-01-06 04:00:51','2021-01-06 04:00:51',null);
INSERT INTO complaint_statuses VALUES('11554','3526','4',null,'63',null,null,'81','81','2021-01-06 04:01:04','2021-01-06 04:01:04',null);
INSERT INTO complaint_statuses VALUES('11555','3143','5','15',null,'YHA COMPLAINT COMPANY NA ISSUE RESOLVED KIYA COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-01-06 04:03:21','2021-01-06 04:04:01',null);
INSERT INTO complaint_statuses VALUES('11556','3300','7','12','81',null,null,'82','82','2021-01-06 04:06:46','2021-01-06 04:06:46',null);
INSERT INTO complaint_statuses VALUES('11557','2859','7','12','81','Custmer markeet sy khod pata kry gy',null,'82','82','2021-01-06 04:11:58','2021-01-06 04:11:58',null);
INSERT INTO complaint_statuses VALUES('11558','3300','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-06 04:13:23','2021-01-06 04:14:37',null);
INSERT INTO complaint_statuses VALUES('11559','3430','7','12','81','Water in let issue tha',null,'82','82','2021-01-06 04:18:51','2021-01-06 04:18:51',null);
INSERT INTO complaint_statuses VALUES('11560','2859','5','15',null,'CUSTOMER MARKET SA KHUD LIGHT CHEEKED KARAY GEI . CUSTOMER SA BT HO GEI HAIN  COMPLAINT ABI CLOSED KARWA DI CUSTOMER NA','COMPLAINT CLOSED','81','74','2021-01-06 04:19:11','2021-01-06 04:20:38',null);
INSERT INTO complaint_statuses VALUES('11561','2302','7','24','81','Subha 11 bajy jana hy inkypass',null,'82','82','2021-01-06 04:22:29','2021-01-06 04:22:29',null);
INSERT INTO complaint_statuses VALUES('11562','3430','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-01-06 04:25:31','2021-01-06 04:26:33',null);
INSERT INTO complaint_statuses VALUES('11563','2526','7','12','81',null,null,'82','82','2021-01-06 04:27:26','2021-01-06 04:27:26',null);
INSERT INTO complaint_statuses VALUES('11564','2529','8','23','60','JOB  COMPLETED QUKILEY','CUSTOMER KO ABDUL REHMAN K NO DA DIA','81','74','2021-01-06 04:28:11','2021-01-06 21:32:16',null);
INSERT INTO complaint_statuses VALUES('11565','2526','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-06 04:29:27','2021-01-07 21:27:20',null);
INSERT INTO complaint_statuses VALUES('11566','3505','7','28','81',null,null,'82','82','2021-01-06 04:35:19','2021-01-06 04:35:19',null);
INSERT INTO complaint_statuses VALUES('11567','2769','7','12','81','Medam keh rehy hy filhal uska masla nhi huea dubara aap complain close kar dy',null,'82','82','2021-01-06 19:57:38','2021-01-06 19:57:38',null);
INSERT INTO complaint_statuses VALUES('11568','3476','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-06 19:58:03','2021-01-06 19:58:03',null);
INSERT INTO complaint_statuses VALUES('11569','3531','3',null,'73',null,'06-JAN-2021
COM NO 3361','92','92','2021-01-06 20:00:29','2021-01-06 20:00:29',null);
INSERT INTO complaint_statuses VALUES('11570','3475','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-06 20:07:15','2021-01-06 20:07:15',null);
INSERT INTO complaint_statuses VALUES('11571','3532','2',null,'81',null,'06-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-06 20:10:54','2021-01-06 20:10:54',null);
INSERT INTO complaint_statuses VALUES('11572','3533','2',null,'81',null,'06-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-06 20:19:35','2021-01-06 20:19:35',null);
INSERT INTO complaint_statuses VALUES('11573','3472','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-06 20:26:17','2021-01-06 20:26:17',null);
INSERT INTO complaint_statuses VALUES('11574','3534','2',null,'81',null,'06-JAN-2021
COM FF TO NADEEM','92','92','2021-01-06 20:29:01','2021-01-06 20:29:01',null);
INSERT INTO complaint_statuses VALUES('11575','3471','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-06 20:31:35','2021-01-06 20:31:35',null);
INSERT INTO complaint_statuses VALUES('11576','3535','2',null,'81',null,'06-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-06 20:38:55','2021-01-06 20:38:55',null);
INSERT INTO complaint_statuses VALUES('11577','3536','3',null,'52',null,'06-JAN-2021
COM NO PKRI-210106103390','92','92','2021-01-06 20:46:16','2021-01-06 20:48:06',null);
INSERT INTO complaint_statuses VALUES('11578','3468','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-06 20:50:52','2021-01-06 20:50:52',null);
INSERT INTO complaint_statuses VALUES('11579','3535','4',null,'58',null,null,'81','81','2021-01-06 20:53:26','2021-01-06 20:53:26',null);
INSERT INTO complaint_statuses VALUES('11580','3534','4',null,'59',null,null,'81','81','2021-01-06 20:53:49','2021-01-06 20:53:49',null);
INSERT INTO complaint_statuses VALUES('11581','3533','4',null,'55',null,null,'81','92','2021-01-06 20:54:25','2021-02-04 17:33:19',null);
INSERT INTO complaint_statuses VALUES('11582','3532','4',null,'58',null,null,'81','81','2021-01-06 20:54:45','2021-01-06 20:54:45',null);
INSERT INTO complaint_statuses VALUES('11583','3466','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-06 20:57:48','2021-01-06 20:57:48',null);
INSERT INTO complaint_statuses VALUES('11584','3537','3',null,'66',null,'06-JAN-2021
COM FF TO MARYUM TCL PK010620210106','92','92','2021-01-06 20:58:02','2021-01-07 03:28:45',null);
INSERT INTO complaint_statuses VALUES('11585','3511','8','23','60','REF  TO S/C',null,'81','81','2021-01-06 21:14:47','2021-01-06 21:14:47',null);
INSERT INTO complaint_statuses VALUES('11586','3505','5','15',null,'DOUBLE ENTERY','COMPLAINT CLOSED','81','74','2021-01-06 21:15:56','2021-01-06 21:23:31',null);
INSERT INTO complaint_statuses VALUES('11587','3481','8','23','58','COMPLAINT AP KO HI FF HOI HAN MOTER JAB AVAIL HO GE I CUSTOMER KO INFORMED KAR DAY  GAY',null,'81','81','2021-01-06 21:22:43','2021-01-06 21:22:43',null);
INSERT INTO complaint_statuses VALUES('11588','3465','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-06 21:24:41','2021-01-06 21:24:41',null);
INSERT INTO complaint_statuses VALUES('11589','2557','7','24','81','I visited today fan hrab hy 
Yaha ghar py nhi khul raha zung ki waja sy 
Nikal ky de dia hy workshop bhejy gy',null,'82','82','2021-01-06 21:29:45','2021-01-06 21:29:45',null);
INSERT INTO complaint_statuses VALUES('11590','3538','3',null,'57',null,'06-JAN-2021
COM NO 15774','92','92','2021-01-06 21:31:46','2021-01-06 21:31:46',null);
INSERT INTO complaint_statuses VALUES('11591','3296','7','12','81','unit dielver compliant reoslved .',null,'79','79','2021-01-06 21:32:05','2021-01-06 21:32:05',null);
INSERT INTO complaint_statuses VALUES('11592','1945','7','24','81','Okay',null,'82','82','2021-01-06 21:34:59','2021-01-06 21:34:59',null);
INSERT INTO complaint_statuses VALUES('11593','3412','7','12','81','Ovenokay hy',null,'82','82','2021-01-06 21:37:09','2021-01-06 21:37:09',null);
INSERT INTO complaint_statuses VALUES('11594','2769','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-06 21:50:00','2021-01-07 21:28:58',null);
INSERT INTO complaint_statuses VALUES('11595','3357','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-01-06 21:55:15','2021-01-06 21:55:15',null);
INSERT INTO complaint_statuses VALUES('11596','3412','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-06 21:57:18','2021-01-06 21:58:44',null);
INSERT INTO complaint_statuses VALUES('11597','3462','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2021-01-06 22:02:37','2021-01-06 22:18:55',null);
INSERT INTO complaint_statuses VALUES('11598','3428','7','24','81','Wo will pay the repeated visit','KAL VISIT  HO JAY GA REMINDER DA DIA USMAN SAB KO','83','74','2021-01-06 22:06:14','2021-01-07 01:30:56',null);
INSERT INTO complaint_statuses VALUES('11599','3484','7','12','81','unit ok  only visit  rs 500/-',null,'83','83','2021-01-06 22:10:23','2021-01-06 22:10:23',null);
INSERT INTO complaint_statuses VALUES('11600','3452','7','12','81','Unit ok  ptcl device problem only visit 500','COMPLAINT ATTEND HO GEI HAIN BUT CUSTOMER NOT ATTEND CALL','83','74','2021-01-06 22:11:34','2021-01-06 22:14:18',null);
INSERT INTO complaint_statuses VALUES('11601','3539','2',null,'81',null,'06-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-06 22:31:50','2021-01-06 22:31:50',null);
INSERT INTO complaint_statuses VALUES('11602','3484','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-01-06 22:33:03','2021-01-08 01:43:45',null);
INSERT INTO complaint_statuses VALUES('11603','3540','2',null,'81',null,'06-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-06 22:39:02','2021-01-06 22:39:02',null);
INSERT INTO complaint_statuses VALUES('11604','3445','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-06 22:46:49','2021-01-06 22:46:49',null);
INSERT INTO complaint_statuses VALUES('11605','3528','7','12','81','filter clean only .compliant reoslved',null,'79','79','2021-01-06 22:48:02','2021-01-06 22:48:02',null);
INSERT INTO complaint_statuses VALUES('11606','3444','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-06 22:48:08','2021-01-06 22:48:08',null);
INSERT INTO complaint_statuses VALUES('11607','3541','3',null,'73',null,'06-JAN-2021
COM NO 3367','92','92','2021-01-06 22:52:33','2021-01-06 22:52:33',null);
INSERT INTO complaint_statuses VALUES('11608','3490','7','12','81','door switch issuw compliant resolved',null,'79','79','2021-01-06 22:58:03','2021-01-06 22:58:03',null);
INSERT INTO complaint_statuses VALUES('11609','3442','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-06 23:05:23','2021-01-06 23:05:23',null);
INSERT INTO complaint_statuses VALUES('11610','3439','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-06 23:15:56','2021-01-06 23:15:56',null);
INSERT INTO complaint_statuses VALUES('11611','3437','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-06 23:22:20','2021-01-06 23:22:20',null);
INSERT INTO complaint_statuses VALUES('11612','3540','4',null,'63',null,null,'81','81','2021-01-06 23:22:51','2021-01-06 23:22:51',null);
INSERT INTO complaint_statuses VALUES('11613','3539','4',null,'58',null,null,'81','81','2021-01-06 23:23:05','2021-01-06 23:23:05',null);
INSERT INTO complaint_statuses VALUES('11614','3528','5','15',null,'COMPLETED COMPLAINT CUSTOMER NOT ATTEND CALL','CUSTOMER STILL NOT ATTEND CALL COMPLAINT RESOLVED','81','74','2021-01-06 23:25:43','2021-01-08 21:06:41',null);
INSERT INTO complaint_statuses VALUES('11615','3490','5','15',null,'COMPLETED COMPLAINT BUT CUSTOMER NOT ATTEND CALL','COMPLAINT RESOLVED','81','92','2021-01-06 23:29:18','2021-01-07 19:30:24',null);
INSERT INTO complaint_statuses VALUES('11616','1215','7','24','81','Kal 11 bajy machin pick krni.hy',null,'82','82','2021-01-06 23:41:59','2021-01-06 23:41:59',null);
INSERT INTO complaint_statuses VALUES('11617','3308','7','24','81','Machin okay ho gai custmer ny i10 sy uthani hy',null,'82','82','2021-01-06 23:43:41','2021-01-06 23:43:41',null);
INSERT INTO complaint_statuses VALUES('11618','3511','7','24','81','Custmer sham ko waranty card ir invice  ky sath de gy',null,'82','82','2021-01-06 23:44:35','2021-01-06 23:44:35',null);
INSERT INTO complaint_statuses VALUES('11619','2529','7','24','81','Custmer sham ko vecum clener de gy',null,'82','82','2021-01-06 23:46:56','2021-01-06 23:46:56',null);
INSERT INTO complaint_statuses VALUES('11620','2361','7','24','81','Part khol lia hy aaj',null,'82','82','2021-01-06 23:48:14','2021-01-06 23:48:14',null);
INSERT INTO complaint_statuses VALUES('11621','1896','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-06 23:48:45','2021-01-06 23:48:45',null);
INSERT INTO complaint_statuses VALUES('11622','3542','2',null,'81',null,'06-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-07 00:14:30','2021-01-07 00:14:30',null);
INSERT INTO complaint_statuses VALUES('11623','3543','3',null,'80',null,'06-JAN-2021
COM FF TO AMNA BOSCH','92','92','2021-01-07 00:15:36','2021-01-07 00:15:36',null);
INSERT INTO complaint_statuses VALUES('11624','3544','2',null,'81',null,'06-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-07 00:18:01','2021-01-07 00:18:01',null);
INSERT INTO complaint_statuses VALUES('11625','3545','2',null,'81',null,'06-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-07 00:18:12','2021-01-07 00:18:12',null);
INSERT INTO complaint_statuses VALUES('11626','3546','3',null,'52',null,'06-JAN-2021
COMPLAIN#PKRI-210106107615','74','74','2021-01-07 00:21:36','2021-01-07 00:21:36',null);
INSERT INTO complaint_statuses VALUES('11627','3436','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-07 00:23:47','2021-01-07 00:23:47',null);
INSERT INTO complaint_statuses VALUES('11628','3547','3',null,'80',null,'06-JAN-2021
FF TO AMNA BOACH','74','74','2021-01-07 00:32:57','2021-01-07 00:32:57',null);
INSERT INTO complaint_statuses VALUES('11629','3548','3',null,'54',null,'06-JAN-2021
COM NO 1795869','92','92','2021-01-07 00:36:35','2021-01-07 00:36:35',null);
INSERT INTO complaint_statuses VALUES('11630','3452','5','15',null,'COMPLETED COMPLAINT  CUSTOMER PENDING','NOT ATTEND CALL
COMPLAINT RESOLVED','81','74','2021-01-07 00:43:20','2021-01-08 01:48:22',null);
INSERT INTO complaint_statuses VALUES('11631','3545','4',null,'58',null,null,'81','81','2021-01-07 00:43:59','2021-01-07 00:43:59',null);
INSERT INTO complaint_statuses VALUES('11632','3544','4',null,'58',null,null,'81','81','2021-01-07 00:44:22','2021-01-07 00:44:22',null);
INSERT INTO complaint_statuses VALUES('11633','3549','3',null,'67',null,'06-JAN-2021
COM NO ANWAR CARAVELL','92','92','2021-01-07 00:47:18','2021-01-07 01:24:50',null);
INSERT INTO complaint_statuses VALUES('11634','3534','7','24','81','set office ay ga',null,'80','80','2021-01-07 01:05:46','2021-01-07 01:05:46',null);
INSERT INTO complaint_statuses VALUES('11635','3421','7','24','81','set in s/C',null,'80','80','2021-01-07 01:07:37','2021-01-07 01:07:37',null);
INSERT INTO complaint_statuses VALUES('11636','3413','7','24','81','SET S/C AY GA','WORKING IN PROCESS','80','74','2021-01-07 01:10:48','2021-01-08 01:36:12',null);
INSERT INTO complaint_statuses VALUES('11637','3550','3',null,'52',null,'06-JAN-2021
COM NO PKRI-210106108527','92','92','2021-01-07 01:11:28','2021-01-07 01:11:28',null);
INSERT INTO complaint_statuses VALUES('11638','3259','7','12','81','VISIT HO GEA HY SOFTWARE KA MASLA THA',null,'80','80','2021-01-07 01:14:22','2021-01-07 01:14:22',null);
INSERT INTO complaint_statuses VALUES('11639','3551','2',null,'81',null,'06-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-07 01:24:26','2021-01-07 01:24:26',null);
INSERT INTO complaint_statuses VALUES('11640','3154','7','12','81','Issue Resolved , 
Also Required Shelf',null,'76','76','2021-01-07 01:25:45','2021-01-07 01:25:45',null);
INSERT INTO complaint_statuses VALUES('11641','3446','7','12','81','Shifting Bolt Remove',null,'76','76','2021-01-07 01:28:59','2021-01-07 01:28:59',null);
INSERT INTO complaint_statuses VALUES('11642','3383','7','12','81','Demo Only',null,'76','76','2021-01-07 01:34:33','2021-01-07 01:34:33',null);
INSERT INTO complaint_statuses VALUES('11643','3552','3',null,'65',null,'06-JAN-2021
COM NO 192119997','92','92','2021-01-07 01:37:36','2021-01-17 00:00:51',null);
INSERT INTO complaint_statuses VALUES('11644','2933','7','26','81','Issue Resolved',null,'76','76','2021-01-07 01:41:53','2021-01-07 01:41:53',null);
INSERT INTO complaint_statuses VALUES('11645','3551','4',null,'58',null,null,'81','81','2021-01-07 01:44:39','2021-01-07 01:44:39',null);
INSERT INTO complaint_statuses VALUES('11646','3542','4',null,'55',null,null,'81','81','2021-01-07 01:44:51','2021-01-07 01:44:51',null);
INSERT INTO complaint_statuses VALUES('11647','3511','8','23','60','JOB COMPLETED QUKILEY',null,'81','81','2021-01-07 01:45:24','2021-01-07 01:45:24',null);
INSERT INTO complaint_statuses VALUES('11648','3446','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-07 01:48:25','2021-01-07 02:04:29',null);
INSERT INTO complaint_statuses VALUES('11649','3428','8','15','61','AGAIN VISIT ARRANGE KARWAY SIR G',null,'81','81','2021-01-07 01:49:41','2021-01-07 01:49:41',null);
INSERT INTO complaint_statuses VALUES('11650','3383','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-07 01:50:51','2021-01-07 02:08:11',null);
INSERT INTO complaint_statuses VALUES('11651','3517','7','22','81','FAN MOTOR','COMPLAINT ATTEND  HO GEI HAIN PARTS DEMAND','87','74','2021-01-07 02:18:17','2021-01-08 21:39:28',null);
INSERT INTO complaint_statuses VALUES('11652','3141','7','28','81','Task  3463  is same plz cancel this job',null,'83','83','2021-01-07 02:19:05','2021-01-07 02:19:05',null);
INSERT INTO complaint_statuses VALUES('11653','3296','8','23','58','REF KK WELL OK KAR K & REF ON KAR K COMPLAINT  COMPLETED KARAY 
CUSTOMER W8 KAR RAHAY HAIN TECHNICIAN K',null,'81','81','2021-01-07 02:20:22','2021-01-07 02:20:22',null);
INSERT INTO complaint_statuses VALUES('11654','3431','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-07 03:21:50','2021-01-07 03:21:50',null);
INSERT INTO complaint_statuses VALUES('11655','3494','7','12','81','unit ok at customer home',null,'77','77','2021-01-07 03:30:33','2021-01-07 03:30:33',null);
INSERT INTO complaint_statuses VALUES('11656','3464','7','12','81','Unit ok at customer home. Only services',null,'77','77','2021-01-07 03:31:14','2021-01-07 03:31:14',null);
INSERT INTO complaint_statuses VALUES('11657','3461','7','12','81','Only services. Unit ok at customer home',null,'77','77','2021-01-07 03:31:57','2021-01-07 03:31:57',null);
INSERT INTO complaint_statuses VALUES('11658','3553','2',null,'81',null,'06-JAN-2021
COM FF TO NADEEM SIR','92','92','2021-01-07 03:34:52','2021-01-07 03:34:52',null);
INSERT INTO complaint_statuses VALUES('11659','3553','4',null,'59',null,null,'81','81','2021-01-07 03:35:11','2021-01-07 03:35:11',null);
INSERT INTO complaint_statuses VALUES('11660','3554','2',null,'81',null,'06-JAN-2021
FF TO B. COOL','74','74','2021-01-07 03:38:17','2021-01-07 03:38:17',null);
INSERT INTO complaint_statuses VALUES('11661','3554','4',null,'58',null,null,'81','81','2021-01-07 03:39:00','2021-01-07 03:39:00',null);
INSERT INTO complaint_statuses VALUES('11662','3494','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-07 03:42:47','2021-01-07 19:27:45',null);
INSERT INTO complaint_statuses VALUES('11663','3464','5','15',null,'COMPLETED COMPALINT','COMPLAINT RESOLVED','81','92','2021-01-07 03:44:03','2021-01-07 19:31:27',null);
INSERT INTO complaint_statuses VALUES('11664','3461','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-07 03:45:18','2021-01-07 19:32:48',null);
INSERT INTO complaint_statuses VALUES('11665','3553','7','12','81','SET OK',null,'80','80','2021-01-07 03:46:14','2021-01-07 03:46:14',null);
INSERT INTO complaint_statuses VALUES('11666','3555','2',null,'81',null,'06-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-07 03:49:04','2021-01-07 03:49:04',null);
INSERT INTO complaint_statuses VALUES('11667','3544','7','12','81','adjustment issue complint resolved',null,'79','79','2021-01-07 03:49:39','2021-01-07 03:49:39',null);
INSERT INTO complaint_statuses VALUES('11668','3511','7','12','81','Water disper okay tha ly gy hy plz closed kar dy',null,'82','82','2021-01-07 05:12:01','2021-01-07 05:12:01',null);
INSERT INTO complaint_statuses VALUES('11669','3296','7','12','81','???',null,'79','79','2021-01-07 20:18:22','2021-01-07 20:18:22',null);
INSERT INTO complaint_statuses VALUES('11670','3555','4',null,'55',null,null,'81','81','2021-01-07 20:19:50','2021-01-07 20:19:50',null);
INSERT INTO complaint_statuses VALUES('11671','3451','7','12','81','jet issue ,,or 2 hob thy yaha .',null,'79','79','2021-01-07 20:25:08','2021-01-07 20:25:08',null);
INSERT INTO complaint_statuses VALUES('11672','3556','2',null,'81',null,'07-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-07 20:25:36','2021-01-07 20:25:36',null);
INSERT INTO complaint_statuses VALUES('11673','3382','7','12','81','pcb reapir ki hai complint reoslced',null,'79','79','2021-01-07 20:27:43','2021-01-07 20:27:43',null);
INSERT INTO complaint_statuses VALUES('11674','3481','7','12','81','ye complint ADIL DEKH RAHA  KINLDY YAHAN SY CANNCEL KRY ADIL O FORWAERED KRY',null,'79','79','2021-01-07 20:29:41','2021-01-07 20:29:41',null);
INSERT INTO complaint_statuses VALUES('11675','3557','3',null,'72',null,'07-JAN-2021
COM NO 072116074','92','92','2021-01-07 20:55:51','2021-01-07 20:55:51',null);
INSERT INTO complaint_statuses VALUES('11676','3503','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-07 20:56:09','2021-01-07 20:56:09',null);
INSERT INTO complaint_statuses VALUES('11677','3558','3',null,'55',null,'07-JAN-2021
COM NO RWP-1730330','92','92','2021-01-07 21:06:24','2021-01-07 21:06:24',null);
INSERT INTO complaint_statuses VALUES('11678','3506','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-07 21:09:01','2021-01-07 21:09:01',null);
INSERT INTO complaint_statuses VALUES('11679','3500','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-07 21:12:16','2021-01-07 21:12:16',null);
INSERT INTO complaint_statuses VALUES('11680','3501','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-07 21:13:17','2021-01-07 21:13:17',null);
INSERT INTO complaint_statuses VALUES('11681','3559','3',null,'80',null,'07-JAN-2021
COM FF TO AMNA BOSCH','92','92','2021-01-07 21:21:38','2021-01-18 22:22:23',null);
INSERT INTO complaint_statuses VALUES('11682','3496','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-07 21:25:51','2021-01-07 21:25:51',null);
INSERT INTO complaint_statuses VALUES('11683','3556','4',null,'58',null,null,'81','81','2021-01-07 21:35:43','2021-01-07 21:35:43',null);
INSERT INTO complaint_statuses VALUES('11684','3544','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-01-07 21:37:46','2021-01-08 00:00:10',null);
INSERT INTO complaint_statuses VALUES('11685','3534','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-01-07 21:38:40','2021-01-07 21:38:40',null);
INSERT INTO complaint_statuses VALUES('11686','3511','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-01-07 21:39:45','2021-01-07 23:58:35',null);
INSERT INTO complaint_statuses VALUES('11687','3215','7','12','81','Back cover lock repair   RS 5000/-     Repaired by mr Riaz Karachi',null,'83','83','2021-01-07 21:48:58','2021-01-07 21:48:58',null);
INSERT INTO complaint_statuses VALUES('11688','3560','3',null,'54',null,'07-JAN-2021
COM NO 1796396','92','92','2021-01-07 21:50:17','2021-01-07 23:27:23',null);
INSERT INTO complaint_statuses VALUES('11689','3493','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-07 21:50:17','2021-01-07 21:50:17',null);
INSERT INTO complaint_statuses VALUES('11690','3545','7','12','81','COMPLIANT REOSLVED .GEAR ISSUE THA.',null,'79','79','2021-01-07 21:52:49','2021-01-07 21:52:49',null);
INSERT INTO complaint_statuses VALUES('11691','3561','2',null,'81',null,'07-JAN-2021
COM FF TO NADEEM','92','92','2021-01-07 22:01:46','2021-01-07 23:20:43',null);
INSERT INTO complaint_statuses VALUES('11692','1249','7','12','81','IS KO BHI COMPLETE KRY CUSTOEMR NY KB ANA KB  NI..WASHING MACHINE 1 10 PARI HAI...CUSOTEMR 1 WEEK BOL REHY ..',null,'79','79','2021-01-07 22:18:39','2021-01-07 22:18:39',null);
INSERT INTO complaint_statuses VALUES('11693','3527','7','20','81','PC ISSUE CUSOTEMR SY BT HO GAI HAI  PCB HUMY COURIER KY THRUOH BEHJ DEIN GAIN',null,'79','79','2021-01-07 22:20:47','2021-01-07 22:20:47',null);
INSERT INTO complaint_statuses VALUES('11694','3486','7','12','81','ISSUE RESOLVED,DOOR SWITCH KHRAB THA','COMPLAINT RESOLVED','87','74','2021-01-07 23:12:41','2021-01-07 23:58:01',null);
INSERT INTO complaint_statuses VALUES('11695','3562','3',null,'65',null,'07-JAN-2021
COM NO 192120017','92','92','2021-01-07 23:19:10','2021-01-07 23:19:10',null);
INSERT INTO complaint_statuses VALUES('11696','3491','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-07 23:23:25','2021-01-07 23:23:25',null);
INSERT INTO complaint_statuses VALUES('11697','3382','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-07 23:27:23','2021-01-08 02:44:10',null);
INSERT INTO complaint_statuses VALUES('11698','3561','4',null,'59',null,null,'81','81','2021-01-07 23:27:57','2021-01-07 23:27:57',null);
INSERT INTO complaint_statuses VALUES('11699','3563','3',null,'66',null,'07-JAN-2021
COM NO PK010720210061','92','92','2021-01-07 23:35:33','2021-01-07 23:39:43',null);
INSERT INTO complaint_statuses VALUES('11700','3488','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-07 23:43:37','2021-01-07 23:43:37',null);
INSERT INTO complaint_statuses VALUES('11701','3564','2',null,'81',null,'07-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-07 23:45:57','2021-01-07 23:45:57',null);
INSERT INTO complaint_statuses VALUES('11702','3487','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-07 23:50:21','2021-01-07 23:50:21',null);
INSERT INTO complaint_statuses VALUES('11703','3486','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-07 23:57:16','2021-01-08 01:42:32',null);
INSERT INTO complaint_statuses VALUES('11704','3565','3',null,'57',null,'07-JAN-2021
COM NO 15808','92','92','2021-01-07 23:57:57','2021-01-07 23:57:57',null);
INSERT INTO complaint_statuses VALUES('11705','3483','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-08 00:03:02','2021-01-08 00:03:02',null);
INSERT INTO complaint_statuses VALUES('11706','3566','3',null,'68',null,'07-JAN-2021
COM NO RWP 2185','92','92','2021-01-08 00:15:18','2021-01-08 02:09:56',null);
INSERT INTO complaint_statuses VALUES('11707','3564','4',null,'58',null,null,'81','81','2021-01-08 00:15:37','2021-01-08 00:15:37',null);
INSERT INTO complaint_statuses VALUES('11708','2361','8','23','60','JOB COMPLETED QUKILEY',null,'81','81','2021-01-08 00:18:44','2021-01-08 00:18:44',null);
INSERT INTO complaint_statuses VALUES('11709','2361','7','12','81','Part reppar kar kylaga dia hy.closed the job',null,'82','82','2021-01-08 00:19:44','2021-01-08 00:19:44',null);
INSERT INTO complaint_statuses VALUES('11710','3567','3',null,'53',null,'07-JAN-2021
COM NO 301078899','92','92','2021-01-08 00:33:24','2021-01-08 00:33:24',null);
INSERT INTO complaint_statuses VALUES('11711','3482','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-08 00:34:13','2021-01-08 00:34:13',null);
INSERT INTO complaint_statuses VALUES('11712','3480','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-08 00:40:58','2021-01-08 00:40:58',null);
INSERT INTO complaint_statuses VALUES('11713','3568','2',null,'81',null,'07-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-08 00:41:42','2021-01-08 00:41:42',null);
INSERT INTO complaint_statuses VALUES('11714','3478','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-08 00:42:20','2021-01-08 00:42:20',null);
INSERT INTO complaint_statuses VALUES('11715','3433','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-08 01:01:22','2021-01-08 01:01:22',null);
INSERT INTO complaint_statuses VALUES('11716','3569','2',null,'81',null,'07-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-08 01:20:32','2021-01-08 01:20:32',null);
INSERT INTO complaint_statuses VALUES('11717','3570','2',null,'81',null,'07-JAN-2021
COM FF TO KHALID SONY','92','92','2021-01-08 01:28:14','2021-01-08 01:28:14',null);
INSERT INTO complaint_statuses VALUES('11718','3421','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-01-08 01:29:00','2021-01-08 01:29:00',null);
INSERT INTO complaint_statuses VALUES('11719','3409','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-08 01:47:42','2021-01-08 01:47:42',null);
INSERT INTO complaint_statuses VALUES('11720','3570','4',null,'56',null,null,'81','81','2021-01-08 01:50:36','2021-01-08 01:50:36',null);
INSERT INTO complaint_statuses VALUES('11721','3569','4',null,'58',null,null,'81','81','2021-01-08 01:50:47','2021-01-08 01:50:47',null);
INSERT INTO complaint_statuses VALUES('11722','3568','4',null,'63',null,null,'81','81','2021-01-08 01:50:58','2021-01-08 01:50:58',null);
INSERT INTO complaint_statuses VALUES('11723','3571','2',null,'81',null,'07-JAN-2021
COM FF TO USMAN SIR','92','92','2021-01-08 01:51:39','2021-01-08 01:51:39',null);
INSERT INTO complaint_statuses VALUES('11724','3553','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-08 01:52:15','2021-01-08 02:09:40',null);
INSERT INTO complaint_statuses VALUES('11725','3571','4',null,'61',null,null,'81','81','2021-01-08 01:52:35','2021-01-08 01:52:35',null);
INSERT INTO complaint_statuses VALUES('11726','3545','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-01-08 01:54:51','2021-01-08 02:11:13',null);
INSERT INTO complaint_statuses VALUES('11727','2361','5','15',null,'COMPLETED COMLAINT','COMPLAINT RESOLVED','81','74','2021-01-08 01:59:09','2021-01-08 02:56:20',null);
INSERT INTO complaint_statuses VALUES('11728','3572','3',null,'80',null,'07-JAN-2021
COM FF TO AMNA BOSCH','92','92','2021-01-08 02:02:51','2021-01-08 02:02:51',null);
INSERT INTO complaint_statuses VALUES('11729','3400','7','12','81','COMPLAINT RESOLVED',null,'88','88','2021-01-08 02:05:54','2021-01-08 02:05:54',null);
INSERT INTO complaint_statuses VALUES('11730','3400','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-08 02:06:36','2021-01-08 02:24:57',null);
INSERT INTO complaint_statuses VALUES('11731','3393','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-08 02:17:18','2021-01-08 02:17:18',null);
INSERT INTO complaint_statuses VALUES('11732','3393','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-01-08 02:17:54','2021-01-08 02:32:02',null);
INSERT INTO complaint_statuses VALUES('11733','3389','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-08 02:20:12','2021-01-08 02:20:12',null);
INSERT INTO complaint_statuses VALUES('11734','3387','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-08 02:21:48','2021-01-08 02:21:48',null);
INSERT INTO complaint_statuses VALUES('11735','3121','7','12','81','Door Adjustment in Second Visit',null,'76','76','2021-01-08 02:22:15','2021-01-08 02:22:15',null);
INSERT INTO complaint_statuses VALUES('11736','3573','3',null,'52',null,'07-JAN-2021
COM NO PKRI-210107109578','92','92','2021-01-08 02:24:31','2021-01-08 02:25:51',null);
INSERT INTO complaint_statuses VALUES('11737','3376','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-08 02:28:23','2021-01-08 02:28:23',null);
INSERT INTO complaint_statuses VALUES('11738','3574','3',null,'53',null,'07-JAN-2021
COM NO 1078960','92','92','2021-01-08 02:31:54','2021-01-08 02:40:54',null);
INSERT INTO complaint_statuses VALUES('11739','3215','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-08 02:39:37','2021-01-08 02:42:40',null);
INSERT INTO complaint_statuses VALUES('11740','2933','5','25',null,'CUSTOMER KA ISSUE KHUD SA H RESOLVED HO GAYA  COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-01-08 02:42:03','2021-01-09 21:17:20',null);
INSERT INTO complaint_statuses VALUES('11741','3530','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-08 20:24:53','2021-01-08 20:24:53',null);
INSERT INTO complaint_statuses VALUES('11742','3575','3',null,'85',null,'08-01-2021
COMPLAINT#1078994','74','74','2021-01-08 20:31:07','2021-01-08 20:31:07',null);
INSERT INTO complaint_statuses VALUES('11743','3523','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-08 20:37:10','2021-01-08 20:37:10',null);
INSERT INTO complaint_statuses VALUES('11744','3576','3',null,'66',null,'08-01-2021
COMPLAINT#PK010820210029 SAJID TCL','74','92','2021-01-08 20:44:17','2021-01-19 21:38:28',null);
INSERT INTO complaint_statuses VALUES('11745','3522','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-08 20:58:07','2021-01-08 20:58:07',null);
INSERT INTO complaint_statuses VALUES('11746','3460','7','22','81','Main PCB Faulty , Customer is Claiming that he purchased ref Before 6 month Ago.',null,'76','76','2021-01-08 21:00:28','2021-01-08 21:00:28',null);
INSERT INTO complaint_statuses VALUES('11747','3521','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-08 21:03:24','2021-01-08 21:03:24',null);
INSERT INTO complaint_statuses VALUES('11748','3577','3',null,'73',null,'08-01-2021
COMPLAINT#3388','74','92','2021-01-08 21:09:43','2021-01-11 22:29:41',null);
INSERT INTO complaint_statuses VALUES('11749','3578','3',null,'52',null,'08-01-2021
COMPLAINT#PKRI-210108104301','74','74','2021-01-08 21:35:40','2021-01-08 21:44:52',null);
INSERT INTO complaint_statuses VALUES('11750','3579','3',null,'52',null,'08-JAN-2021
COMPLAINT#210108104241','74','92','2021-01-08 21:42:45','2021-01-16 20:41:47',null);
INSERT INTO complaint_statuses VALUES('11751','3580','3',null,'66',null,'20-MAY-2019
COMPLAINT#PK010820210047','74','74','2021-01-08 22:15:45','2021-01-08 22:15:45',null);
INSERT INTO complaint_statuses VALUES('11752','3581','2',null,'81',null,'08-JAN-2021
FF TO AZHAR FCI','74','74','2021-01-08 23:49:07','2021-01-08 23:49:07',null);
INSERT INTO complaint_statuses VALUES('11753','3581','4',null,'60',null,null,'81','81','2021-01-08 23:49:42','2021-01-08 23:49:42',null);
INSERT INTO complaint_statuses VALUES('11754','3582','3',null,'52',null,'08-JAN-2021
COMPLAINT#PKRI-210108106561','74','74','2021-01-08 23:57:22','2021-01-08 23:57:22',null);
INSERT INTO complaint_statuses VALUES('11755','3583','3',null,'55',null,'08-JAN-2021
COMPLAINT#ISB-10916','74','74','2021-01-09 00:01:49','2021-01-09 00:01:49',null);
INSERT INTO complaint_statuses VALUES('11756','3584','2',null,'81',null,'08-JAN-2021
FF TO NADEEM SAB','74','74','2021-01-09 00:09:32','2021-01-09 00:09:32',null);
INSERT INTO complaint_statuses VALUES('11757','3584','4',null,'59',null,null,'81','81','2021-01-09 00:10:27','2021-01-09 00:10:27',null);
INSERT INTO complaint_statuses VALUES('11758','3585','2',null,'81',null,'08-JAN-2021
FF TO AZHAR FCI','74','74','2021-01-09 00:24:48','2021-01-09 00:24:48',null);
INSERT INTO complaint_statuses VALUES('11759','3585','4',null,'60',null,null,'81','81','2021-01-09 00:26:09','2021-01-09 00:26:09',null);
INSERT INTO complaint_statuses VALUES('11760','3586','2',null,'81',null,'08-JAN-2021
FF TO SHAMIM AKHTER','74','74','2021-01-09 00:48:22','2021-01-09 00:48:22',null);
INSERT INTO complaint_statuses VALUES('11761','3586','4',null,'55',null,null,'81','81','2021-01-09 00:48:46','2021-01-09 00:48:46',null);
INSERT INTO complaint_statuses VALUES('11762','3451','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-09 01:01:04','2021-01-09 21:25:07',null);
INSERT INTO complaint_statuses VALUES('11763','3515','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-09 01:03:08','2021-01-09 01:03:08',null);
INSERT INTO complaint_statuses VALUES('11764','3513','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-09 01:19:52','2021-01-09 01:19:52',null);
INSERT INTO complaint_statuses VALUES('11765','3513','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-09 01:20:49','2021-01-09 01:21:49',null);
INSERT INTO complaint_statuses VALUES('11766','3141','5','27',null,'DOBAL COMPLAINT ENTER','COMPLAINT RESOLVED','81','92','2021-01-09 01:27:57','2021-01-09 20:01:07',null);
INSERT INTO complaint_statuses VALUES('11767','3121','5','15',null,'COMPLETED COMPLIANT','COMPLAINT RESOLVED','81','92','2021-01-09 01:29:08','2021-01-10 22:12:51',null);
INSERT INTO complaint_statuses VALUES('11768','3296','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-09 01:30:47','2021-01-09 19:57:15',null);
INSERT INTO complaint_statuses VALUES('11769','3587','3',null,'65',null,'08-JAN-2021
COMPLAINT#192120035','74','74','2021-01-09 01:43:41','2021-01-09 01:43:41',null);
INSERT INTO complaint_statuses VALUES('11770','3585','7','24','81',null,null,'82','82','2021-01-09 14:37:37','2021-01-09 14:37:37',null);
INSERT INTO complaint_statuses VALUES('11771','3532','7','12','81','operating  issue.compliant resolved',null,'79','79','2021-01-09 19:12:53','2021-01-09 19:12:53',null);
INSERT INTO complaint_statuses VALUES('11772','3535','7','12','81','inlet coil .issue ...complaint resolved..',null,'79','79','2021-01-09 19:15:24','2021-01-09 19:15:24',null);
INSERT INTO complaint_statuses VALUES('11773','3554','7','22','81','refer to service center service required',null,'79','79','2021-01-09 19:16:04','2021-01-09 19:16:04',null);
INSERT INTO complaint_statuses VALUES('11774','3551','7','12','81','compaint reoslved',null,'79','79','2021-01-09 19:30:03','2021-01-09 19:30:03',null);
INSERT INTO complaint_statuses VALUES('11775','3315','7','12','81','Unit ok and collected by Mr. Aslam pls complete the job',null,'77','77','2021-01-09 19:31:53','2021-01-09 19:31:53',null);
INSERT INTO complaint_statuses VALUES('11776','3551','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-09 20:39:00','2021-01-09 20:39:24',null);
INSERT INTO complaint_statuses VALUES('11777','3315','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-09 20:42:10','2021-01-09 20:42:56',null);
INSERT INTO complaint_statuses VALUES('11778','3535','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-09 20:45:55','2021-01-09 20:47:06',null);
INSERT INTO complaint_statuses VALUES('11779','3550','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-09 20:51:37','2021-01-09 20:51:37',null);
INSERT INTO complaint_statuses VALUES('11780','3463','7','12','81','visit done unit ok no any problem found',null,'83','83','2021-01-09 20:52:54','2021-01-09 20:52:54',null);
INSERT INTO complaint_statuses VALUES('11781','3423','7','12','81','Unit reset and firmware update  done  unit ok   plz unit pick krwa lain.  RS 1500/-',null,'83','83','2021-01-09 20:56:09','2021-01-09 20:56:09',null);
INSERT INTO complaint_statuses VALUES('11782','3532','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-09 20:58:00','2021-01-09 21:07:08',null);
INSERT INTO complaint_statuses VALUES('11783','3228','7','24','81','ya unit customer ny return kr diya tha plz check at ur end',null,'83','83','2021-01-09 20:59:48','2021-01-09 20:59:48',null);
INSERT INTO complaint_statuses VALUES('11784','3548','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-09 21:05:20','2021-01-09 21:05:20',null);
INSERT INTO complaint_statuses VALUES('11785','3588','2',null,'81',null,'09-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-09 21:11:19','2021-01-09 21:11:19',null);
INSERT INTO complaint_statuses VALUES('11786','3589','2',null,'81',null,'09-JAN-2021
FF TO USMAN  MRM','74','74','2021-01-09 21:21:35','2021-01-09 21:21:35',null);
INSERT INTO complaint_statuses VALUES('11787','3589','4',null,'61',null,null,'81','81','2021-01-09 21:22:26','2021-01-09 21:22:26',null);
INSERT INTO complaint_statuses VALUES('11788','3588','4',null,'63',null,null,'81','81','2021-01-09 21:22:35','2021-01-09 21:22:35',null);
INSERT INTO complaint_statuses VALUES('11789','3590','2',null,'81',null,'09-JAN-2021
COM FF TO KHALID SONY','92','92','2021-01-09 21:29:38','2021-01-09 21:29:38',null);
INSERT INTO complaint_statuses VALUES('11790','3591','2',null,'81',null,'09-JAN-2021
COM FF TO HOME SOLUTION','92','92','2021-01-09 21:33:20','2021-01-09 21:33:20',null);
INSERT INTO complaint_statuses VALUES('11791','3518','7','12','81','Unit ok only services. Unit with customer',null,'77','77','2021-01-09 21:36:31','2021-01-09 21:36:31',null);
INSERT INTO complaint_statuses VALUES('11792','3592','2',null,'81',null,'09-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-09 21:42:36','2021-01-09 21:42:36',null);
INSERT INTO complaint_statuses VALUES('11793','3542','7','24','81','Drain Pipe  Adjustment , 
but Customer Need Complete Demonstration, Team Will Visit on Monday',null,'76','76','2021-01-09 23:30:30','2021-01-09 23:30:30',null);
INSERT INTO complaint_statuses VALUES('11794','3586','7','24','81','Visit on Monday',null,'76','76','2021-01-09 23:34:27','2021-01-09 23:34:27',null);
INSERT INTO complaint_statuses VALUES('11795','3593','3',null,'52',null,'09-JAN-2021
COM NO PKRI-210109107133','92','92','2021-01-10 00:02:42','2021-01-10 00:04:24',null);
INSERT INTO complaint_statuses VALUES('11796','3586','8','23','55','new unit hy please complete this job quickly','VISIT TO DAY IRFAN TECHNICIAN AJ YHA COMPLAINT ATTEND KARAY GAY INFORMED BY CUSTOMER
COMPLAINT RESOLVED','81','74','2021-01-10 00:07:51','2021-01-13 01:16:15',null);
INSERT INTO complaint_statuses VALUES('11797','3585','8','23','60','please explain problem','ABDUL REHMAN KUCH DAIR TAQ UPDATE KAR RAHAY','81','74','2021-01-10 00:10:10','2021-01-11 20:44:22',null);
INSERT INTO complaint_statuses VALUES('11798','3554','8','23','58',null,null,'81','81','2021-01-10 00:10:50','2021-01-10 00:10:50',null);
INSERT INTO complaint_statuses VALUES('11799','3592','4',null,'63',null,null,'81','81','2021-01-10 00:11:18','2021-01-10 00:11:18',null);
INSERT INTO complaint_statuses VALUES('11800','3591','4',null,'62',null,null,'81','81','2021-01-10 00:11:33','2021-01-10 00:11:33',null);
INSERT INTO complaint_statuses VALUES('11801','3590','4',null,'56',null,null,'81','81','2021-01-10 00:11:43','2021-01-10 00:11:43',null);
INSERT INTO complaint_statuses VALUES('11802','3542','8','23','55','this is new unit . please complete this job quickly',null,'81','81','2021-01-10 00:14:06','2021-01-10 00:14:06',null);
INSERT INTO complaint_statuses VALUES('11803','3594','2',null,'81',null,'09-JAN-2021
COM FF TO AZHAR FCI','92','92','2021-01-10 00:14:13','2021-01-10 00:14:13',null);
INSERT INTO complaint_statuses VALUES('11804','3527','8','23','58',null,null,'81','81','2021-01-10 00:15:15','2021-01-10 00:15:15',null);
INSERT INTO complaint_statuses VALUES('11805','3517','8','23','62','please complete this job quickly',null,'81','81','2021-01-10 00:16:09','2021-01-10 00:16:09',null);
INSERT INTO complaint_statuses VALUES('11806','3413','8','23','59',null,null,'81','81','2021-01-10 00:18:47','2021-01-10 00:18:47',null);
INSERT INTO complaint_statuses VALUES('11807','3308','8','23','60',null,null,'81','81','2021-01-10 00:19:07','2021-01-10 00:19:07',null);
INSERT INTO complaint_statuses VALUES('11808','3228','8','23','61','please explain problem',null,'81','81','2021-01-10 00:20:47','2021-01-10 00:20:47',null);
INSERT INTO complaint_statuses VALUES('11809','3595','2',null,'81',null,'09-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-10 00:22:28','2021-01-10 00:22:28',null);
INSERT INTO complaint_statuses VALUES('11810','3460','8','23','55','invoice aap ko whatsup kar de hy kindly look it',null,'81','81','2021-01-10 00:23:42','2021-01-10 00:23:42',null);
INSERT INTO complaint_statuses VALUES('11811','2767','8','23','55','this is lg company warranty product',null,'81','81','2021-01-10 00:24:58','2021-01-10 00:24:58',null);
INSERT INTO complaint_statuses VALUES('11812','2557','8','23','60','please send pic of fan','INVOICE ADIL BHAI KO FF KAR DI','81','74','2021-01-10 00:26:22','2021-01-13 00:16:42',null);
INSERT INTO complaint_statuses VALUES('11813','3591','7','26','81','PLZ FRWD TO CONCERN','COMPLAINT RESOLVED','87','92','2021-01-10 00:27:00','2021-01-10 00:32:48',null);
INSERT INTO complaint_statuses VALUES('11814','3591','5','25',null,null,'COMPLAINT RESOLVED','81','92','2021-01-10 00:29:17','2021-01-10 01:34:33',null);
INSERT INTO complaint_statuses VALUES('11815','3596','2',null,'81',null,'09-JAN-2021
COM FF TO AZHAR FCI','92','92','2021-01-10 00:29:54','2021-01-10 00:29:54',null);
INSERT INTO complaint_statuses VALUES('11816','2529','8','23','60','45 days .please complete this job quickly',null,'81','81','2021-01-10 00:31:35','2021-01-10 00:31:35',null);
INSERT INTO complaint_statuses VALUES('11817','2302','8','23','60','please complete this job quickly',null,'81','81','2021-01-10 00:34:30','2021-01-10 00:34:30',null);
INSERT INTO complaint_statuses VALUES('11818','1945','8','23','60','please complete this job quickly','ABDUL REHMAN KO OLD TASK KI PIC SHER KAR DI 18787','81','74','2021-01-10 00:38:18','2021-03-01 16:23:02',null);
INSERT INTO complaint_statuses VALUES('11819','2083','8','23','60','this is new unit . please complete this job quickly',null,'81','81','2021-01-10 00:39:46','2021-01-10 00:39:46',null);
INSERT INTO complaint_statuses VALUES('11820','1215','8','23','60','this is new unit please complete this job quickly',null,'81','81','2021-01-10 00:42:28','2021-01-10 00:42:28',null);
INSERT INTO complaint_statuses VALUES('11821','3154','8','23','55','please contact customer . problem not resolve',null,'81','81','2021-01-10 00:48:02','2021-01-10 00:48:02',null);
INSERT INTO complaint_statuses VALUES('11822','3597','3',null,'55',null,'09-JAN-2021
COM NO RWP-17371','92','92','2021-01-10 00:50:52','2021-01-10 00:50:52',null);
INSERT INTO complaint_statuses VALUES('11823','3598','2',null,'81',null,'09-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-10 00:57:11','2021-01-10 00:57:11',null);
INSERT INTO complaint_statuses VALUES('11824','3460','7','24','81','Main PCB Fault, Under Repair in SVC . Lifted  on 08-01-21',null,'76','76','2021-01-10 01:03:45','2021-01-10 01:03:45',null);
INSERT INTO complaint_statuses VALUES('11825','3555','7','9','81','Customer  s Details:
051-5172262
03325894530
Mrs Col .Haroon',null,'76','76','2021-01-10 01:10:56','2021-01-10 01:10:56',null);
INSERT INTO complaint_statuses VALUES('11826','3599','2',null,'81',null,'09-JAN-2021
COM FF TO HOME SOLUTION','92','92','2021-01-10 01:13:45','2021-01-10 01:13:45',null);
INSERT INTO complaint_statuses VALUES('11827','3600','3',null,'53',null,'09-JAN-2021
COM NO 1079193','92','92','2021-01-10 01:24:08','2021-01-10 01:24:08',null);
INSERT INTO complaint_statuses VALUES('11828','3601','2',null,'81',null,'09-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-10 01:29:02','2021-01-10 01:29:02',null);
INSERT INTO complaint_statuses VALUES('11829','3547','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-10 01:30:07','2021-01-10 01:30:07',null);
INSERT INTO complaint_statuses VALUES('11830','3596','4',null,'60',null,null,'81','81','2021-01-10 01:39:57','2021-01-10 01:39:57',null);
INSERT INTO complaint_statuses VALUES('11831','3601','4',null,'55',null,null,'81','81','2021-01-10 01:40:12','2021-01-10 01:40:12',null);
INSERT INTO complaint_statuses VALUES('11832','3599','4',null,'62',null,null,'81','81','2021-01-10 01:40:43','2021-01-10 01:40:43',null);
INSERT INTO complaint_statuses VALUES('11833','3598','4',null,'63',null,null,'81','81','2021-01-10 01:40:59','2021-01-10 01:40:59',null);
INSERT INTO complaint_statuses VALUES('11834','3595','4',null,'63',null,null,'81','81','2021-01-10 01:41:08','2021-01-10 01:41:08',null);
INSERT INTO complaint_statuses VALUES('11835','3594','4',null,'60',null,null,'81','81','2021-01-10 01:41:41','2021-01-10 01:41:41',null);
INSERT INTO complaint_statuses VALUES('11836','3518','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-10 01:51:23','2021-01-10 22:05:27',null);
INSERT INTO complaint_statuses VALUES('11837','3555','8','23','55','OTHER #MRS HAROON 051-5172262','IN PROCESS HAIN IRFAN TECHNICIAN ATTEND KARAY GAY','81','74','2021-01-10 01:52:29','2021-01-12 02:04:08',null);
INSERT INTO complaint_statuses VALUES('11838','3602','2',null,'81',null,'09-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-10 01:56:43','2021-01-10 01:56:43',null);
INSERT INTO complaint_statuses VALUES('11839','3603','3',null,'52',null,'09-JAN-2021
COM NO PKRI-210109109039','92','92','2021-01-10 01:58:43','2021-01-10 02:01:33',null);
INSERT INTO complaint_statuses VALUES('11840','3463','8','23','61','CUSTOMER VISIT SA SATISFIED NAI HAIN KINDLY CUSTOMER KO SATISFIED KARAY 
SALE ADVICER MURTZA BUT KO B INFORMED KAR DI',null,'81','81','2021-01-10 02:04:30','2021-01-10 02:04:30',null);
INSERT INTO complaint_statuses VALUES('11841','3423','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-10 02:08:59','2021-01-10 22:06:47',null);
INSERT INTO complaint_statuses VALUES('11842','3602','4',null,'55',null,null,'81','81','2021-01-10 02:11:52','2021-01-10 02:11:52',null);
INSERT INTO complaint_statuses VALUES('11843','3604','2',null,'81',null,'09-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-10 02:17:31','2021-01-10 02:17:31',null);
INSERT INTO complaint_statuses VALUES('11844','3604','4',null,'63',null,null,'81','81','2021-01-10 02:19:20','2021-01-10 02:19:20',null);
INSERT INTO complaint_statuses VALUES('11845','3536','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-10 02:25:02','2021-01-10 02:25:02',null);
INSERT INTO complaint_statuses VALUES('11846','3605','3',null,'52',null,'09-JAN-2021
COM NO PKRI-210109109437','92','92','2021-01-10 02:28:55','2021-01-16 20:42:56',null);
INSERT INTO complaint_statuses VALUES('11847','3538','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2021-01-10 02:31:10','2021-01-10 22:03:39',null);
INSERT INTO complaint_statuses VALUES('11848','3606','3',null,'81',null,'09-JAN-2021
COM NO 5020','92','92','2021-01-10 02:36:57','2021-01-11 19:35:51',null);
INSERT INTO complaint_statuses VALUES('11849','3607','2',null,'81',null,'09-JAN-2021
COM FF TO NADEEM AZHAR','92','92','2021-01-10 02:52:06','2021-01-10 02:52:06',null);
INSERT INTO complaint_statuses VALUES('11850','3607','4',null,'59',null,null,'81','81','2021-01-10 02:54:16','2021-01-10 02:54:16',null);
INSERT INTO complaint_statuses VALUES('11851','3607','4',null,'59',null,null,'81','81','2021-01-10 02:54:16','2021-01-10 02:54:16',null);
INSERT INTO complaint_statuses VALUES('11852','3228','7','12','81','Ya unit kahan py ha plz confirm',null,'83','83','2021-01-10 03:09:55','2021-01-10 03:09:55',null);
INSERT INTO complaint_statuses VALUES('11853','3117','7','12','81','gas presure issue complaint reoslved',null,'79','79','2021-01-10 03:43:57','2021-01-10 03:43:57',null);
INSERT INTO complaint_statuses VALUES('11854','3260','7','24','81','aj cusotmer dy kr gaye hain',null,'79','79','2021-01-10 03:44:55','2021-01-10 03:44:55',null);
INSERT INTO complaint_statuses VALUES('11855','3497','7','12','81','complaint resolved .',null,'79','79','2021-01-10 04:24:29','2021-01-10 04:24:29',null);
INSERT INTO complaint_statuses VALUES('11856','3564','7','22','81','drain pump issue customer bol rehy k warrnty mei kry abhi kuch din huye warnty khatm huye',null,'79','79','2021-01-10 04:25:56','2021-01-10 04:25:56',null);
INSERT INTO complaint_statuses VALUES('11857','3608','3',null,'57',null,'10-JAN-2021
COM NO 15855','92','92','2021-01-10 19:35:48','2021-01-10 19:35:48',null);
INSERT INTO complaint_statuses VALUES('11858','3609','3',null,'73',null,'10-JAN-2021
COM NO P409','92','92','2021-01-10 19:46:00','2021-01-11 19:34:04',null);
INSERT INTO complaint_statuses VALUES('11859','3610','3',null,'52',null,'10-JAN-2021
COM NO PKRI-210110101387','92','92','2021-01-10 20:12:06','2021-01-12 19:56:16',null);
INSERT INTO complaint_statuses VALUES('11860','3611','3',null,'66',null,'10-JAN-2021
COM NO pk011120210008','92','92','2021-01-10 20:18:02','2021-01-11 19:23:14',null);
INSERT INTO complaint_statuses VALUES('11861','3612','3',null,'66',null,'10-JAN-2021
COM NO PK011120210009
AHMED SAB','92','74','2021-01-10 20:35:42','2021-01-13 20:59:31',null);
INSERT INTO complaint_statuses VALUES('11862','3613','2',null,'81',null,'10-JAN-2021
COM FF TO HOME SOLUTION','92','92','2021-01-10 20:55:33','2021-01-10 20:55:33',null);
INSERT INTO complaint_statuses VALUES('11863','3613','4',null,'62',null,null,'81','81','2021-01-10 21:00:32','2021-01-10 21:00:32',null);
INSERT INTO complaint_statuses VALUES('11864','3613','4',null,'62',null,null,'81','81','2021-01-10 21:00:32','2021-01-10 21:00:32',null);
INSERT INTO complaint_statuses VALUES('11865','3443','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-10 22:22:46','2021-01-10 22:22:46',null);
INSERT INTO complaint_statuses VALUES('11866','3342','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-10 22:26:39','2021-01-10 22:26:39',null);
INSERT INTO complaint_statuses VALUES('11867','3614','3',null,'55',null,'10-JUN-2021
COM NO RWP-17380','92','92','2021-01-10 22:38:57','2021-01-10 22:38:57',null);
INSERT INTO complaint_statuses VALUES('11868','3615','3',null,'66',null,'10-JAN-2021
COM NO PK011120210010
SHAKEEL SAB','92','74','2021-01-10 23:00:03','2021-01-13 21:00:58',null);
INSERT INTO complaint_statuses VALUES('11869','2606','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-10 23:15:56','2021-01-10 23:15:56',null);
INSERT INTO complaint_statuses VALUES('11870','3613','7','12','81','ISSUE RESOLVED .FILTER SAAF KYE',null,'87','87','2021-01-10 23:19:09','2021-01-10 23:19:09',null);
INSERT INTO complaint_statuses VALUES('11871','3599','7','12','81','ISSUE RESOLVED.DOOR SWICH KA ISSUE THA',null,'87','87','2021-01-10 23:19:51','2021-01-10 23:19:51',null);
INSERT INTO complaint_statuses VALUES('11872','3616','3',null,'52',null,'10-JAN-2021
COM NO PKRI-210110103678','92','92','2021-01-10 23:48:43','2021-01-10 23:52:41',null);
INSERT INTO complaint_statuses VALUES('11873','3617','3',null,'57',null,'10-JAN-2021
COM NO 15871','92','92','2021-01-11 00:00:43','2021-01-11 00:00:43',null);
INSERT INTO complaint_statuses VALUES('11874','3618','3',null,'66',null,'10-JAN-2021
COM FF TO KASHIF TCL','92','92','2021-01-11 00:48:54','2021-01-11 00:48:54',null);
INSERT INTO complaint_statuses VALUES('11875','3619','3',null,'67',null,'11-JAN-2021
COM FF TO ANWER CARAVELL','92','92','2021-01-11 19:53:02','2021-01-19 00:56:25',null);
INSERT INTO complaint_statuses VALUES('11876','3620','2',null,'81',null,'11-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-11 19:59:24','2021-01-11 19:59:24',null);
INSERT INTO complaint_statuses VALUES('11877','3620','16',null,'1',null,null,'81','81','2021-01-11 20:12:04','2021-01-11 20:12:04',null);
INSERT INTO complaint_statuses VALUES('11878','3620','16',null,'1',null,null,'81','81','2021-01-11 20:12:05','2021-01-11 20:12:05',null);
INSERT INTO complaint_statuses VALUES('11879','3620','17','19','81',null,'COMPLAINT CANCEL','1','92','2021-01-11 20:15:21','2021-01-11 20:16:31',null);
INSERT INTO complaint_statuses VALUES('11880','3587','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-11 20:29:28','2021-01-11 20:29:28',null);
INSERT INTO complaint_statuses VALUES('11881','3621','2',null,'81',null,'11-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-11 20:30:08','2021-01-11 20:30:08',null);
INSERT INTO complaint_statuses VALUES('11882','3622','3',null,'55',null,'11-JAN-2021
COM NO RWP-17387','92','92','2021-01-11 20:37:54','2021-01-11 20:39:54',null);
INSERT INTO complaint_statuses VALUES('11883','3621','4',null,'58',null,null,'81','81','2021-01-11 20:40:57','2021-01-11 20:40:57',null);
INSERT INTO complaint_statuses VALUES('11884','3623','3',null,'69',null,'11-JAN-2021
COM NO 31/37','92','92','2021-01-11 21:01:48','2021-01-11 21:01:48',null);
INSERT INTO complaint_statuses VALUES('11885','3556','7','12','81','complaint resolved shocks repair kiye hain.',null,'79','79','2021-01-11 21:11:41','2021-01-11 21:11:41',null);
INSERT INTO complaint_statuses VALUES('11886','3613','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-11 21:16:17','2021-01-12 01:36:57',null);
INSERT INTO complaint_statuses VALUES('11887','3584','7','24','81','set s/c ay ga',null,'80','80','2021-01-11 21:20:12','2021-01-11 21:20:12',null);
INSERT INTO complaint_statuses VALUES('11888','3599','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-11 21:20:28','2021-01-12 01:37:41',null);
INSERT INTO complaint_statuses VALUES('11889','3607','7','24','81','customer call n/a massage kr dia hy','AGAIN CALL KA REMINDER DA DIA','80','74','2021-01-11 21:22:02','2021-01-12 20:27:44',null);
INSERT INTO complaint_statuses VALUES('11890','3561','7','24','81','ff to faisal isl',null,'80','80','2021-01-11 21:24:12','2021-01-11 21:24:12',null);
INSERT INTO complaint_statuses VALUES('11891','3624','2',null,'81',null,'11-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-11 21:27:25','2021-01-11 21:27:25',null);
INSERT INTO complaint_statuses VALUES('11892','3546','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-11 21:27:44','2021-01-11 21:27:44',null);
INSERT INTO complaint_statuses VALUES('11893','3624','4',null,'55',null,null,'81','81','2021-01-11 21:28:33','2021-01-11 21:28:33',null);
INSERT INTO complaint_statuses VALUES('11894','3556','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-11 21:31:31','2021-01-12 01:38:48',null);
INSERT INTO complaint_statuses VALUES('11895','3625','3',null,'65',null,'11-JAN-2021
COM NO 192120155','92','92','2021-01-11 21:36:43','2021-01-14 23:48:24',null);
INSERT INTO complaint_statuses VALUES('11896','3626','3',null,'66',null,'11-JAN-2021
COM FF TO KASHIF TCL','92','92','2021-01-11 21:51:10','2021-01-18 21:46:58',null);
INSERT INTO complaint_statuses VALUES('11897','3578','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-11 21:51:19','2021-01-11 21:51:19',null);
INSERT INTO complaint_statuses VALUES('11898','3627','3',null,'52',null,'11-JAN-2021
COM NO PKRI-210111105459','92','74','2021-01-11 22:03:13','2021-01-16 20:56:31',null);
INSERT INTO complaint_statuses VALUES('11899','3575','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-11 22:17:07','2021-01-11 22:17:07',null);
INSERT INTO complaint_statuses VALUES('11900','3628','2',null,'81',null,'11-JAN-2021
COM FF TO KHALID SONY','92','92','2021-01-11 22:18:41','2021-01-11 22:18:41',null);
INSERT INTO complaint_statuses VALUES('11901','3573','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-11 22:20:50','2021-01-11 22:20:50',null);
INSERT INTO complaint_statuses VALUES('11902','3629','3',null,'61',null,'11-JAN-2021
COM NO 202101003752','92','92','2021-01-11 22:28:00','2021-01-13 00:24:17',null);
INSERT INTO complaint_statuses VALUES('11903','3628','4',null,'56',null,null,'81','81','2021-01-11 22:33:21','2021-01-11 22:33:21',null);
INSERT INTO complaint_statuses VALUES('11904','3497','5','15',null,'CUSTOMER KA ISSUE KHUD HI RESOLVED HGO GAYA THA COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-01-11 22:39:27','2021-01-12 01:42:11',null);
INSERT INTO complaint_statuses VALUES('11905','3228','5','15',null,'YHA SET CUSTOMER KO RETURNED KAR K DIA & TASK #3307 CUSTOMER KA SET OK KAR K WAPISE IQBAL SAB KO DA DIA','COMPLAINT RESOLVED','81','92','2021-01-11 22:55:45','2021-01-15 01:34:56',null);
INSERT INTO complaint_statuses VALUES('11906','3630','2',null,'81',null,'11-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-11 23:00:28','2021-01-11 23:00:28',null);
INSERT INTO complaint_statuses VALUES('11907','3631','2',null,'81',null,'11-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-11 23:07:00','2021-01-11 23:07:00',null);
INSERT INTO complaint_statuses VALUES('11908','3260','8','23','58','NEW PRODUCT HY . KINDLY ISSUE JALDI RESOLVE KRVA DEN',null,'81','81','2021-01-11 23:12:34','2021-01-11 23:12:34',null);
INSERT INTO complaint_statuses VALUES('11909','3460','8','23','55',null,'9500 EXP','81','74','2021-01-11 23:14:40','2021-01-13 02:13:37',null);
INSERT INTO complaint_statuses VALUES('11910','3598','7','12','81','Tharmostat sating',null,'88','88','2021-01-11 23:21:56','2021-01-11 23:21:56',null);
INSERT INTO complaint_statuses VALUES('11911','3561','8','23','59',null,'WORKING IN PROCESS','81','74','2021-01-11 23:22:33','2021-01-12 01:13:39',null);
INSERT INTO complaint_statuses VALUES('11912','2877','7','12','81','Nob ka masla tha',null,'88','88','2021-01-11 23:22:51','2021-01-11 23:22:51',null);
INSERT INTO complaint_statuses VALUES('11913','3564','8','23','58','50/50',null,'81','81','2021-01-11 23:23:05','2021-01-11 23:23:05',null);
INSERT INTO complaint_statuses VALUES('11914','3345','7','12','81','Sating',null,'88','88','2021-01-11 23:23:28','2021-01-11 23:23:28',null);
INSERT INTO complaint_statuses VALUES('11915','3526','7','12','81','Auto ka masla rha',null,'88','88','2021-01-11 23:24:14','2021-01-11 23:24:14',null);
INSERT INTO complaint_statuses VALUES('11916','3630','4',null,'58',null,null,'81','81','2021-01-11 23:24:58','2021-01-11 23:24:58',null);
INSERT INTO complaint_statuses VALUES('11917','3631','4',null,'58',null,null,'81','81','2021-01-11 23:25:18','2021-01-11 23:25:18',null);
INSERT INTO complaint_statuses VALUES('11918','3631','4',null,'58',null,null,'81','81','2021-01-11 23:25:19','2021-01-11 23:25:19',null);
INSERT INTO complaint_statuses VALUES('11919','3554','7','12','81','custoemr saturday ka time dya ..2 din sy call kr rehy call pick nai kr ray hood dismentle kerny thy.bt kr kr bata dein ya compliant closed kr dein',null,'79','79','2021-01-11 23:39:12','2021-01-11 23:39:12',null);
INSERT INTO complaint_statuses VALUES('11920','3632','3',null,'54',null,'11-JAN-2021
COM NO 1798139','92','92','2021-01-11 23:42:31','2021-01-11 23:44:04',null);
INSERT INTO complaint_statuses VALUES('11921','3542','7','12','81','Demonstration Only . Visit Pending 600',null,'76','76','2021-01-11 23:43:48','2021-01-11 23:43:48',null);
INSERT INTO complaint_statuses VALUES('11922','3566','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-11 23:44:26','2021-01-11 23:44:26',null);
INSERT INTO complaint_statuses VALUES('11923','3438','7','12','81','Demo Only.Visit Pending 600',null,'76','76','2021-01-12 00:02:28','2021-01-12 00:02:28',null);
INSERT INTO complaint_statuses VALUES('11924','3373','7','12','81','No Need Of Visit',null,'76','76','2021-01-12 00:04:01','2021-01-12 00:04:01',null);
INSERT INTO complaint_statuses VALUES('11925','3634','2',null,'81',null,'11-JAN-2021
FF TO ANEEQ','74','74','2021-01-12 00:05:16','2021-01-12 00:05:16',null);
INSERT INTO complaint_statuses VALUES('11926','3634','4',null,'64',null,null,'81','81','2021-01-12 00:05:39','2021-01-12 00:05:39',null);
INSERT INTO complaint_statuses VALUES('11927','3634','7','24','81','hob is already in i-10workshop. .',null,'91','91','2021-01-12 00:11:45','2021-01-12 00:11:45',null);
INSERT INTO complaint_statuses VALUES('11928','3256','7','12','81','KHURRAM 5 STAR NA YHA COMPLIANT ATTEND  KI CUSTOMER  NOT PAID CHARGES',null,'88','88','2021-01-12 00:12:52','2021-01-12 00:12:52',null);
INSERT INTO complaint_statuses VALUES('11929','3598','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-12 00:20:31','2021-01-12 01:38:06',null);
INSERT INTO complaint_statuses VALUES('11930','3635','3',null,'61',null,'11-JAN-2021
COM NO 202101003749','92','92','2021-01-12 00:20:41','2021-01-12 23:32:11',null);
INSERT INTO complaint_statuses VALUES('11931','3554','8','23','58','0300 WALAY NO PA CALL KARAY CUSTOMER KO',null,'81','81','2021-01-12 00:25:39','2021-01-12 00:25:39',null);
INSERT INTO complaint_statuses VALUES('11932','3542','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-12 00:27:34','2021-01-12 01:40:31',null);
INSERT INTO complaint_statuses VALUES('11933','3526','5','15',null,'COMPLETED COMPLIANT','COMPLAINT RESOLVED','81','92','2021-01-12 00:30:07','2021-01-12 01:41:17',null);
INSERT INTO complaint_statuses VALUES('11934','3565','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-12 00:31:55','2021-01-12 00:31:55',null);
INSERT INTO complaint_statuses VALUES('11935','3633','3',null,'93',null,null,'74','74','2021-01-12 00:32:19','2021-01-12 00:32:19',null);
INSERT INTO complaint_statuses VALUES('11936','3636','3',null,'65',null,'11-JAN-2021
COM NO 192120066','92','92','2021-01-12 00:33:30','2021-01-12 00:36:01',null);
INSERT INTO complaint_statuses VALUES('11937','3554','7','12','81','abhi dismentle nah keny jb boly gain jana hai',null,'79','79','2021-01-12 00:47:45','2021-01-12 00:47:45',null);
INSERT INTO complaint_statuses VALUES('11938','3637','3',null,'52',null,'11-JAN-2021
COMPLAINT#PKRI-210111109380','74','92','2021-01-12 01:22:56','2021-01-12 01:24:59',null);
INSERT INTO complaint_statuses VALUES('11939','3560','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-12 01:28:34','2021-01-12 01:28:34',null);
INSERT INTO complaint_statuses VALUES('11940','3438','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-12 01:30:30','2021-01-12 01:43:04',null);
INSERT INTO complaint_statuses VALUES('11941','3171','7','12','81','Unit ok  test  for 3 days in lab no any problem appear',null,'83','83','2021-01-12 01:33:47','2021-01-12 01:33:47',null);
INSERT INTO complaint_statuses VALUES('11942','3554','5','15',null,'CUSTOMER NA ABI COMPLAINT CLOSED KARWA DI AGAIN CALL KARAY GAY INFORMED BY SADDIQ SAB','COMPLAINT RESOLVED','81','92','2021-01-12 01:36:30','2021-01-12 01:39:52',null);
INSERT INTO complaint_statuses VALUES('11943','3373','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-12 01:40:19','2021-01-13 21:34:24',null);
INSERT INTO complaint_statuses VALUES('11944','3345','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-12 01:40:46','2021-01-13 21:37:40',null);
INSERT INTO complaint_statuses VALUES('11945','3558','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-12 01:49:00','2021-01-12 01:49:00',null);
INSERT INTO complaint_statuses VALUES('11946','3638','2',null,'81',null,'11-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-12 01:49:41','2021-01-12 01:49:41',null);
INSERT INTO complaint_statuses VALUES('11947','3639','2',null,'81',null,'11-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-12 01:55:32','2021-01-12 01:55:32',null);
INSERT INTO complaint_statuses VALUES('11948','3259','8','23','59','CUSTOMER VISIT SA SATISFIED  NAI HAIN AGAIN CONTACT KARAY CUSTOMER SA',null,'81','81','2021-01-12 01:56:10','2021-01-12 01:56:10',null);
INSERT INTO complaint_statuses VALUES('11949','3256','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-12 01:57:11','2021-01-15 23:20:18',null);
INSERT INTO complaint_statuses VALUES('11950','3171','5','15',null,'SET S/C  SA READY HO K CUSTOMER KA PASS GAYA HAIN COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-01-12 02:00:18','2021-01-15 01:35:39',null);
INSERT INTO complaint_statuses VALUES('11951','3640','3',null,'53',null,'11-JAN-2021
COM NO 1080683','92','92','2021-01-12 02:00:59','2021-01-18 02:18:06',null);
INSERT INTO complaint_statuses VALUES('11952','3641','3',null,'55',null,'11-JAN-2021
COM NO 78242','92','92','2021-01-12 02:17:31','2021-01-12 02:21:21',null);
INSERT INTO complaint_statuses VALUES('11953','3569','7','12','81','sensor change comaplint reoslved',null,'79','79','2021-01-12 02:22:40','2021-01-12 02:22:40',null);
INSERT INTO complaint_statuses VALUES('11954','3642','2',null,'81',null,'11-JAN-2021
COM NO PKRI-21011/10890','92','92','2021-01-12 02:44:58','2021-01-12 19:45:16',null);
INSERT INTO complaint_statuses VALUES('11955','3642','4',null,'64',null,null,'81','81','2021-01-12 02:45:39','2021-01-12 02:45:39',null);
INSERT INTO complaint_statuses VALUES('11956','3638','4',null,'55',null,null,'81','81','2021-01-12 02:46:05','2021-01-12 02:46:05',null);
INSERT INTO complaint_statuses VALUES('11957','3639','4',null,'58',null,null,'81','81','2021-01-12 02:51:33','2021-01-12 02:51:33',null);
INSERT INTO complaint_statuses VALUES('11958','3571','7','12','81','unit rest   ok 
only visit',null,'83','83','2021-01-12 03:08:53','2021-01-12 03:08:53',null);
INSERT INTO complaint_statuses VALUES('11959','3643','2',null,'81',null,'11-JAN-2021
COM NO PKRI-2101/10873','92','92','2021-01-12 03:11:34','2021-01-12 19:42:08',null);
INSERT INTO complaint_statuses VALUES('11960','3643','4',null,'64',null,null,'81','81','2021-01-12 03:12:45','2021-01-12 03:12:45',null);
INSERT INTO complaint_statuses VALUES('11961','3646','3',null,'52',null,'12-JAN-2021
COM NO PKRI-210112101215','92','92','2021-01-12 19:21:27','2021-01-12 19:24:42',null);
INSERT INTO complaint_statuses VALUES('11962','3647','2',null,'81',null,'12-JAN-2021
COM NO PKRI-210112101386','92','92','2021-01-12 19:32:51','2021-01-12 19:32:51',null);
INSERT INTO complaint_statuses VALUES('11963','3647','4',null,'64',null,null,'81','81','2021-01-12 19:34:08','2021-01-12 19:34:08',null);
INSERT INTO complaint_statuses VALUES('11964','3247','7','12','81','wm delivered.gear box  change',null,'79','79','2021-01-12 19:49:14','2021-01-12 19:49:14',null);
INSERT INTO complaint_statuses VALUES('11965','1791','7','12','81','Pls collect the unit',null,'77','77','2021-01-12 19:50:46','2021-01-12 19:50:46',null);
INSERT INTO complaint_statuses VALUES('11966','3648','2',null,'81',null,'FRWRD TO ASLAM SHERWANI','73','73','2021-01-12 19:51:07','2021-01-12 19:51:07',null);
INSERT INTO complaint_statuses VALUES('11967','3649','3',null,'52',null,'12-JAN-2021
COM NO PKRI-210112101877','92','92','2021-01-12 19:52:51','2021-01-12 19:54:00',null);
INSERT INTO complaint_statuses VALUES('11968','3539','7','12','81','heat tank change .compliant reoslved',null,'79','79','2021-01-12 19:53:08','2021-01-12 19:53:08',null);
INSERT INTO complaint_statuses VALUES('11969','3650','2',null,'81',null,'FRWRD TO ASLAM SHERWANI','73','73','2021-01-12 19:53:56','2021-01-12 19:53:56',null);
INSERT INTO complaint_statuses VALUES('11970','2465','7','12','81','Unit collcted total cost was Rs. 37615 already approved.',null,'77','77','2021-01-12 19:54:39','2021-01-12 19:54:39',null);
INSERT INTO complaint_statuses VALUES('11971','3650','4',null,'64',null,null,'81','81','2021-01-12 19:57:51','2021-01-12 19:57:51',null);
INSERT INTO complaint_statuses VALUES('11972','3504','7','9','81','Unit ok and collected cost Rs. 400 only',null,'77','77','2021-01-12 19:58:03','2021-01-12 19:58:03',null);
INSERT INTO complaint_statuses VALUES('11973','3648','4',null,'64',null,null,'81','81','2021-01-12 19:58:32','2021-01-12 19:58:32',null);
INSERT INTO complaint_statuses VALUES('11974','2160','7','12','81','System board faulty. Cost not supplyed. Pls collect the unit',null,'77','77','2021-01-12 19:59:19','2021-01-12 19:59:19',null);
INSERT INTO complaint_statuses VALUES('11975','3650','7','12','81','DELIVERD TO SHAMSABAD AND THEY WILL DELIVERD THE LED TO FCI SHOWROOM',null,'91','91','2021-01-12 20:01:21','2021-01-12 20:01:21',null);
INSERT INTO complaint_statuses VALUES('11976','3648','7','12','81','DELIVERD TO SHAMSABAD AND THEY WILL DELIVERD THE LED TO FCI SHOWROOM',null,'91','91','2021-01-12 20:01:48','2021-01-12 20:01:48',null);
INSERT INTO complaint_statuses VALUES('11977','3651','2',null,'81',null,'12-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-12 20:03:07','2021-01-12 20:03:07',null);
INSERT INTO complaint_statuses VALUES('11978','3650','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-12 20:05:36','2021-01-12 20:06:11',null);
INSERT INTO complaint_statuses VALUES('11979','3648','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-12 20:07:17','2021-01-12 20:07:47',null);
INSERT INTO complaint_statuses VALUES('11980','3571','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-12 20:09:12','2021-01-12 20:10:56',null);
INSERT INTO complaint_statuses VALUES('11981','3569','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-12 20:11:58','2021-01-12 20:14:50',null);
INSERT INTO complaint_statuses VALUES('11982','3652','2',null,'81',null,'12-JAN-2021
COM FF TO USMAN MRM','92','92','2021-01-12 20:13:48','2021-01-12 20:13:48',null);
INSERT INTO complaint_statuses VALUES('11983','3539','5','15',null,'COMPLETED  COMPLAINT','COMPLAINT CLOSED','81','74','2021-01-12 20:14:03','2021-01-12 20:15:14',null);
INSERT INTO complaint_statuses VALUES('11984','3652','4',null,'61',null,null,'81','81','2021-01-12 20:16:19','2021-01-12 20:16:19',null);
INSERT INTO complaint_statuses VALUES('11985','3652','4',null,'61',null,null,'81','81','2021-01-12 20:16:20','2021-01-12 20:16:20',null);
INSERT INTO complaint_statuses VALUES('11986','3651','4',null,'63',null,null,'81','81','2021-01-12 20:17:51','2021-01-12 20:17:51',null);
INSERT INTO complaint_statuses VALUES('11987','3651','4',null,'63',null,null,'81','81','2021-01-12 20:17:51','2021-01-12 20:17:51',null);
INSERT INTO complaint_statuses VALUES('11988','3504','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-12 20:18:01','2021-01-13 01:14:27',null);
INSERT INTO complaint_statuses VALUES('11989','3247','5','15',null,'COMPLETED COMPLAINT NOT ATTEND CALL CUSTOMER','COMPLAINT RESOLVED','81','92','2021-01-12 20:25:54','2021-01-15 01:31:45',null);
INSERT INTO complaint_statuses VALUES('11990','3259','7','12','81','visit ho gea hy customer ko bata dia hy k old modle hy youtube wapis ni ay ge software b karny say you tube ni ay ge',null,'80','80','2021-01-12 20:30:44','2021-01-12 20:30:44',null);
INSERT INTO complaint_statuses VALUES('11991','2877','5','15',null,'YHA CUSTOMER COAT MAIN HOTAY HAIN .KAL COMPLAINT ATTEND KARAY GAY KHURRAM BAHI WAQAS PWD KOINFORMED KAR DIA','COMPLAINT RESOLVED VISIT CHARGES 500','81','74','2021-01-12 20:36:59','2021-01-16 22:48:47',null);
INSERT INTO complaint_statuses VALUES('11992','3654','3',null,'55',null,'12-JAN-2021
COM NO RWP-17445','92','92','2021-01-12 20:40:18','2021-01-12 20:41:59',null);
INSERT INTO complaint_statuses VALUES('11993','3603','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-12 20:45:58','2021-01-12 20:45:58',null);
INSERT INTO complaint_statuses VALUES('11994','3549','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-12 20:51:42','2021-01-12 20:51:42',null);
INSERT INTO complaint_statuses VALUES('11995','3655','3',null,'53',null,'12-JAN-2021
COM NO 301079468','92','92','2021-01-12 20:51:58','2021-01-12 20:52:46',null);
INSERT INTO complaint_statuses VALUES('11996','3656','2',null,'81',null,'12-JAN-2021
COM FF TO HOME SOLUTION','92','92','2021-01-12 20:58:52','2021-01-12 20:58:52',null);
INSERT INTO complaint_statuses VALUES('11997','3656','4',null,'62',null,null,'81','81','2021-01-12 21:05:19','2021-01-12 21:05:19',null);
INSERT INTO complaint_statuses VALUES('11998','3656','4',null,'62',null,null,'81','81','2021-01-12 21:05:20','2021-01-12 21:05:20',null);
INSERT INTO complaint_statuses VALUES('11999','3474','5',null,null,'COMPLAINT  CLOSED',null,'74','74','2021-01-12 21:14:49','2021-01-12 21:14:49',null);
INSERT INTO complaint_statuses VALUES('12000','3634','8','23','64','bahria  show room drop kar den',null,'81','81','2021-01-12 21:19:28','2021-01-12 21:19:28',null);
INSERT INTO complaint_statuses VALUES('12001','3597','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-12 21:26:46','2021-01-12 21:26:46',null);
INSERT INTO complaint_statuses VALUES('12002','3657','3',null,'54',null,'12-JAN-2021
COM NO 1798620','92','92','2021-01-12 21:32:34','2021-01-12 21:32:34',null);
INSERT INTO complaint_statuses VALUES('12003','3607','8','23','59','please contact miss huma','REF TO S/C','81','74','2021-01-12 21:49:27','2021-01-13 22:08:20',null);
INSERT INTO complaint_statuses VALUES('12004','3584','8','23','59','this is new unit . please complete this job quickly','REMINDER DA DIA VISIT K LIYA','81','74','2021-01-12 21:51:00','2021-01-19 21:38:57',null);
INSERT INTO complaint_statuses VALUES('12005','3481','8','23','58',null,null,'81','81','2021-01-12 21:51:30','2021-01-12 21:51:30',null);
INSERT INTO complaint_statuses VALUES('12006','2465','8','23','56','where is unit . your service center ya friends show room',null,'81','81','2021-01-12 21:58:12','2021-01-12 21:58:12',null);
INSERT INTO complaint_statuses VALUES('12007','2160','8','23','56','where is unit . your service center ya friends show room',null,'81','81','2021-01-12 22:01:40','2021-01-12 22:01:40',null);
INSERT INTO complaint_statuses VALUES('12008','1791','8','23','56','kindly contact aslam sb',null,'81','81','2021-01-12 22:03:44','2021-01-12 22:03:44',null);
INSERT INTO complaint_statuses VALUES('12009','3595','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-12 23:37:48','2021-01-12 23:37:48',null);
INSERT INTO complaint_statuses VALUES('12010','3595','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-12 23:38:16','2021-01-12 23:40:57',null);
INSERT INTO complaint_statuses VALUES('12011','3644','2',null,'81',null,null,'74','74','2021-01-12 23:44:01','2021-01-12 23:44:01',null);
INSERT INTO complaint_statuses VALUES('12012','3644','4',null,'64',null,null,'81','81','2021-01-12 23:44:43','2021-01-12 23:44:43',null);
INSERT INTO complaint_statuses VALUES('12013','3658','2',null,'81',null,'12-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-12 23:54:31','2021-01-12 23:54:31',null);
INSERT INTO complaint_statuses VALUES('12014','3645','2',null,'81',null,null,'92','92','2021-01-12 23:56:24','2021-01-12 23:56:24',null);
INSERT INTO complaint_statuses VALUES('12015','3645','4',null,'64',null,null,'81','81','2021-01-12 23:56:53','2021-01-12 23:56:53',null);
INSERT INTO complaint_statuses VALUES('12016','3658','4',null,'63',null,null,'81','81','2021-01-12 23:57:09','2021-01-12 23:57:09',null);
INSERT INTO complaint_statuses VALUES('12017','3520','7','26','81','Main pcb deflective RS 6000/- exp   customer not agree for repair  
unit with customer  plz  close the job.',null,'83','83','2021-01-13 00:04:33','2021-01-13 00:04:33',null);
INSERT INTO complaint_statuses VALUES('12018','2465','7','12','81','Friends  blue area dated 21.11.20',null,'77','77','2021-01-13 00:06:05','2021-01-13 00:06:05',null);
INSERT INTO complaint_statuses VALUES('12019','3463','7','12','81','Unit main koi masala nahi  customer ko inform b kr diya ha',null,'83','83','2021-01-13 00:06:24','2021-01-13 00:06:24',null);
INSERT INTO complaint_statuses VALUES('12020','3593','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-13 00:08:13','2021-01-13 00:08:13',null);
INSERT INTO complaint_statuses VALUES('12021','3645','7','24','81','INFORM TO EHSAN THAT PLZZ DELIVER THE DISHWASHER TO US..',null,'91','91','2021-01-13 00:11:41','2021-01-13 00:11:41',null);
INSERT INTO complaint_statuses VALUES('12022','3634','7','12','81','THIS HOB WILL BE DELIVERD IN FHS ...',null,'91','91','2021-01-13 00:13:47','2021-01-13 00:13:47',null);
INSERT INTO complaint_statuses VALUES('12023','3659','3',null,'55',null,'12-JAN-2021
COM NO ISB-10969','92','92','2021-01-13 00:31:30','2021-01-13 20:11:29',null);
INSERT INTO complaint_statuses VALUES('12024','3660','3',null,'66',null,'12-JAN-2021
COM NO PK011220210112','92','92','2021-01-13 00:55:23','2021-01-13 00:55:23',null);
INSERT INTO complaint_statuses VALUES('12025','2160','7','12','81','At service center',null,'77','77','2021-01-13 01:02:30','2021-01-13 01:02:30',null);
INSERT INTO complaint_statuses VALUES('12026','3661','2',null,'81',null,'12-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-13 01:03:13','2021-01-13 01:03:13',null);
INSERT INTO complaint_statuses VALUES('12027','3661','4',null,'55',null,'complaint resolved','81','74','2021-01-13 01:08:56','2021-01-15 20:53:27',null);
INSERT INTO complaint_statuses VALUES('12028','3662','3',null,'52',null,'12-JAN-2021
COM NO PKRI-210112108832','92','92','2021-01-13 01:18:14','2021-01-13 01:24:32',null);
INSERT INTO complaint_statuses VALUES('12029','3582','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-13 01:27:12','2021-01-13 01:27:12',null);
INSERT INTO complaint_statuses VALUES('12030','3663','3',null,'52',null,'12-JAN-2021
COM NO PKRI-210112108979','92','92','2021-01-13 01:28:11','2021-01-13 01:29:50',null);
INSERT INTO complaint_statuses VALUES('12031','3664','3',null,'66',null,'12-JAN-2021
COM NO 011220210125','92','92','2021-01-13 01:36:20','2021-01-13 01:41:07',null);
INSERT INTO complaint_statuses VALUES('12032','3645','5','15',null,'FF TO HOME SOLUTION','COMPLAINT CLOSED','81','74','2021-01-13 01:46:02','2021-01-13 01:55:17',null);
INSERT INTO complaint_statuses VALUES('12033','3665','2',null,'81',null,'12-JAN-2021
FF TO HOME SOLUTION','74','74','2021-01-13 01:50:32','2021-01-13 01:50:32',null);
INSERT INTO complaint_statuses VALUES('12034','3665','4',null,'62',null,null,'81','81','2021-01-13 01:51:06','2021-01-13 01:51:06',null);
INSERT INTO complaint_statuses VALUES('12035','3666','3',null,'73',null,'12-JAN-2021
COM NO 3433
NEW COMPLAINT#3460','92','74','2021-01-13 01:54:29','2021-01-16 00:07:48',null);
INSERT INTO complaint_statuses VALUES('12036','3667','2',null,'81',null,'12-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-13 02:10:38','2021-01-13 02:10:38',null);
INSERT INTO complaint_statuses VALUES('12037','3667','4',null,'63',null,null,'81','81','2021-01-13 02:11:45','2021-01-13 02:11:45',null);
INSERT INTO complaint_statuses VALUES('12038','3668','3',null,'53',null,'12-JAN-2021
COM NO 301079751','92','92','2021-01-13 02:32:08','2021-01-13 19:18:29',null);
INSERT INTO complaint_statuses VALUES('12039','3586','7','12','81','AE Error Resolved  At Customer s Home Charges Pending (2000)',null,'76','76','2021-01-13 02:35:46','2021-01-13 02:35:46',null);
INSERT INTO complaint_statuses VALUES('12040','3639','7','12','81','COMPLAINT REOSLVED',null,'79','79','2021-01-13 02:36:08','2021-01-13 02:36:08',null);
INSERT INTO complaint_statuses VALUES('12041','3669','3',null,'66',null,'12-JAN-2021
COM NO PK011320210006 AHMED','92','74','2021-01-13 03:00:23','2021-01-15 21:25:57',null);
INSERT INTO complaint_statuses VALUES('12042','3670','2',null,'81',null,'12-JAN-2021
COM FF TO HOME SOLUTION','92','92','2021-01-13 03:07:59','2021-01-13 03:07:59',null);
INSERT INTO complaint_statuses VALUES('12043','3670','4',null,'62',null,null,'81','81','2021-01-13 03:10:54','2021-01-13 03:10:54',null);
INSERT INTO complaint_statuses VALUES('12044','3639','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-13 03:19:58','2021-01-13 21:19:53',null);
INSERT INTO complaint_statuses VALUES('12045','3671','2',null,'81',null,'13-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-13 19:21:43','2021-01-13 19:21:43',null);
INSERT INTO complaint_statuses VALUES('12046','3671','4',null,'58',null,null,'81','81','2021-01-13 19:23:29','2021-01-13 19:23:29',null);
INSERT INTO complaint_statuses VALUES('12047','3671','4',null,'58',null,null,'81','81','2021-01-13 19:23:33','2021-01-13 19:23:33',null);
INSERT INTO complaint_statuses VALUES('12048','3672','3',null,'61',null,'13-JAN-2021
COM NO 202101003926','92','92','2021-01-13 19:31:08','2021-01-13 19:31:08',null);
INSERT INTO complaint_statuses VALUES('12049','3673','3',null,'66',null,'13-JAN-2021
COM FF TO KASHIF TCL','92','92','2021-01-13 19:39:00','2021-01-13 19:39:00',null);
INSERT INTO complaint_statuses VALUES('12050','3674','3',null,'52',null,'13-JAN-2021
COM NO PKRI-210113104245','92','92','2021-01-13 19:44:03','2021-01-13 21:32:23',null);
INSERT INTO complaint_statuses VALUES('12051','3675','3',null,'52',null,'13-JAN-2021
COM NO PKRI-210113104320','92','92','2021-01-13 19:51:25','2021-01-13 21:35:51',null);
INSERT INTO complaint_statuses VALUES('12052','3676','3',null,'52',null,'13-JAN-2021
COM NO PKRI-210113104371','92','92','2021-01-13 19:55:52','2021-01-13 21:38:38',null);
INSERT INTO complaint_statuses VALUES('12053','3677','2',null,'81',null,'13-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-13 20:02:22','2021-02-28 14:38:50',null);
INSERT INTO complaint_statuses VALUES('12054','3638','7','26','81',null,null,'76','76','2021-01-13 20:05:18','2021-01-13 20:05:18',null);
INSERT INTO complaint_statuses VALUES('12055','3677','4',null,'63',null,null,'81','81','2021-01-13 20:05:22','2021-01-13 20:05:22',null);
INSERT INTO complaint_statuses VALUES('12056','3678','2',null,'81',null,'13-JAN-2021
COMPLAINT#PKRI200916102813','74','74','2021-01-13 20:16:08','2021-01-13 20:16:08',null);
INSERT INTO complaint_statuses VALUES('12057','3678','4',null,'64',null,null,'81','81','2021-01-13 20:17:58','2021-01-13 20:17:58',null);
INSERT INTO complaint_statuses VALUES('12058','3617','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-13 20:18:43','2021-01-13 20:18:43',null);
INSERT INTO complaint_statuses VALUES('12059','1170','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-13 20:19:51','2021-01-13 20:19:51',null);
INSERT INTO complaint_statuses VALUES('12060','3616','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-13 20:29:53','2021-01-13 20:29:53',null);
INSERT INTO complaint_statuses VALUES('12061','3610','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-13 20:34:13','2021-01-13 20:34:13',null);
INSERT INTO complaint_statuses VALUES('12062','3684','2',null,'81',null,'13-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-13 20:37:12','2021-01-13 20:37:12',null);
INSERT INTO complaint_statuses VALUES('12063','3685','3',null,'52',null,'13-JAN-2021
COM NO PKRI-210113103180','92','92','2021-01-13 20:44:34','2021-01-13 20:46:05',null);
INSERT INTO complaint_statuses VALUES('12064','3508','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-13 20:56:40','2021-01-13 20:56:40',null);
INSERT INTO complaint_statuses VALUES('12065','1791','7','12','81','Unit ok and collected by Aslam sab and Aneeq sab',null,'77','77','2021-01-13 20:57:12','2021-01-13 20:57:12',null);
INSERT INTO complaint_statuses VALUES('12066','3615','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-13 21:05:55','2021-01-13 21:05:55',null);
INSERT INTO complaint_statuses VALUES('12067','3686','2',null,'81',null,'13-JAN-2021
COM FF TO USMAN MRM','92','92','2021-01-13 21:10:28','2021-01-13 21:10:28',null);
INSERT INTO complaint_statuses VALUES('12068','3638','5','15',null,'BEST COOL K ABDUL REHIM NA COMPLAINT ATTEND KAR LI COMPLAINT RESOLVED','COMPLAINT CLOSED','81','74','2021-01-13 21:11:08','2021-01-13 21:20:23',null);
INSERT INTO complaint_statuses VALUES('12069','3499','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-13 21:13:39','2021-01-13 21:13:39',null);
INSERT INTO complaint_statuses VALUES('12070','3586','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-13 21:17:37','2021-01-13 21:20:56',null);
INSERT INTO complaint_statuses VALUES('12071','3687','2',null,'81',null,'13-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-13 21:18:58','2021-01-13 21:18:58',null);
INSERT INTO complaint_statuses VALUES('12072','3460','7','12','81','Main PCB Repaired  Delivered On 12/01/21.',null,'76','76','2021-01-13 21:32:03','2021-01-13 21:32:03',null);
INSERT INTO complaint_statuses VALUES('12073','3687','4',null,'58',null,null,'81','81','2021-01-13 21:43:17','2021-01-13 21:43:17',null);
INSERT INTO complaint_statuses VALUES('12074','3686','4',null,'61',null,null,'81','81','2021-01-13 21:48:50','2021-01-13 21:48:50',null);
INSERT INTO complaint_statuses VALUES('12075','3684','4',null,'58',null,null,'81','81','2021-01-13 21:49:24','2021-01-13 21:49:24',null);
INSERT INTO complaint_statuses VALUES('12076','3684','4',null,'58',null,null,'81','81','2021-01-13 21:49:25','2021-01-13 21:49:25',null);
INSERT INTO complaint_statuses VALUES('12077','3688','2',null,'81',null,'13-JAN-2021
COMPLAINT#PKRI201229109785','74','74','2021-01-13 21:53:25','2021-01-13 21:53:25',null);
INSERT INTO complaint_statuses VALUES('12078','3354','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-13 21:53:59','2021-01-13 21:53:59',null);
INSERT INTO complaint_statuses VALUES('12079','3689','2',null,'81',null,'13-JAN-2021
COM FF TO KHALID SONY','92','92','2021-01-13 21:58:17','2021-01-13 21:58:17',null);
INSERT INTO complaint_statuses VALUES('12080','3689','4',null,'56',null,null,'81','81','2021-01-13 22:01:19','2021-01-13 22:01:19',null);
INSERT INTO complaint_statuses VALUES('12081','3689','4',null,'56',null,null,'81','81','2021-01-13 22:01:19','2021-01-13 22:01:19',null);
INSERT INTO complaint_statuses VALUES('12082','3692','3',null,'52',null,'13-JAN-2021
COM NO PKRI-210113105049','92','92','2021-01-13 22:10:27','2021-01-13 22:13:20',null);
INSERT INTO complaint_statuses VALUES('12083','3693','2',null,'81',null,'13-JAN-2021
COMPLAINT#PKRI-201228103183','74','74','2021-01-13 22:12:41','2021-01-13 22:12:41',null);
INSERT INTO complaint_statuses VALUES('12084','3285','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-13 22:12:53','2021-01-13 22:12:53',null);
INSERT INTO complaint_statuses VALUES('12085','3679','2',null,'81',null,null,'92','92','2021-01-13 22:15:35','2021-01-13 22:15:35',null);
INSERT INTO complaint_statuses VALUES('12086','3679','4',null,'64',null,null,'81','81','2021-01-13 22:16:03','2021-01-13 22:16:03',null);
INSERT INTO complaint_statuses VALUES('12087','3688','4',null,'64',null,null,'81','81','2021-01-13 22:16:33','2021-01-13 22:16:33',null);
INSERT INTO complaint_statuses VALUES('12088','3693','4',null,'64',null,null,'81','81','2021-01-13 22:16:47','2021-01-13 22:16:47',null);
INSERT INTO complaint_statuses VALUES('12089','3564','7','12','81','PUMP CHANGE  COMPLAINT REOSLVED',null,'79','79','2021-01-13 22:21:49','2021-01-13 22:21:49',null);
INSERT INTO complaint_statuses VALUES('12090','3694','2',null,'81',null,'13-JAN-2021
FF TO KHALID  SONY','74','74','2021-01-13 22:22:25','2021-01-13 22:22:25',null);
INSERT INTO complaint_statuses VALUES('12091','3694','4',null,'56',null,null,'81','81','2021-01-13 22:23:13','2021-01-13 22:23:13',null);
INSERT INTO complaint_statuses VALUES('12092','2557','7','24','81','Moter stock main  nhi',null,'82','82','2021-01-13 22:25:08','2021-01-13 22:25:08',null);
INSERT INTO complaint_statuses VALUES('12093','3600','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-13 22:26:05','2021-01-13 22:26:05',null);
INSERT INTO complaint_statuses VALUES('12094','3520','5','25',null,'CUSTOMER NA KHUD COMPLAINT CANCEL KARWA DI CLOSED COMPLAINT','COMPLAINT CLOSED','81','74','2021-01-13 22:28:46','2021-01-13 23:22:21',null);
INSERT INTO complaint_statuses VALUES('12095','3564','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-13 22:32:12','2021-01-13 23:18:28',null);
INSERT INTO complaint_statuses VALUES('12096','3695','2',null,'81',null,'13-JAN-2021
COM NO PKRI-210113105285','92','92','2021-01-13 22:35:10','2021-01-14 00:08:11',null);
INSERT INTO complaint_statuses VALUES('12097','3460','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-01-13 22:54:06','2021-01-13 23:23:53',null);
INSERT INTO complaint_statuses VALUES('12098','3259','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-13 22:56:03','2021-01-14 22:16:38',null);
INSERT INTO complaint_statuses VALUES('12099','3696','3',null,'65',null,'13-JAN-2021
COM NO 192120144','92','92','2021-01-13 22:59:52','2021-01-14 20:38:55',null);
INSERT INTO complaint_statuses VALUES('12100','3117','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-13 23:06:11','2021-01-15 01:36:38',null);
INSERT INTO complaint_statuses VALUES('12101','2465','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-13 23:07:20','2021-01-15 01:38:33',null);
INSERT INTO complaint_statuses VALUES('12102','3695','4',null,'64',null,null,'81','81','2021-01-13 23:13:30','2021-01-13 23:13:30',null);
INSERT INTO complaint_statuses VALUES('12103','2160','8','23','56','OK AP KHUD BULE AREA  SHOWROOM PA DELVER KARWA K  JOB COMPLETED  KIJAY GA',null,'81','81','2021-01-13 23:15:06','2021-01-13 23:15:06',null);
INSERT INTO complaint_statuses VALUES('12104','2502','7','12','81','Unit collected by aslam sab and aneeq.
Friends showroom',null,'77','77','2021-01-13 23:20:25','2021-01-13 23:20:25',null);
INSERT INTO complaint_statuses VALUES('12105','3697','3',null,'80',null,'13-JAN-2021
COM FF TO AMNA BOSCH','92','92','2021-01-13 23:21:37','2021-01-28 01:16:32',null);
INSERT INTO complaint_statuses VALUES('12106','3596','7','12','81','Awaz arhi thi boday ki set kar dia',null,'82','82','2021-01-13 23:24:47','2021-01-13 23:24:47',null);
INSERT INTO complaint_statuses VALUES('12107','1791','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-01-13 23:25:05','2021-01-16 22:42:07',null);
INSERT INTO complaint_statuses VALUES('12108','3585','7','12','81','Door hanjiz isue tha okay kar dia hy custmer ky pass chla gea hy',null,'82','82','2021-01-13 23:26:42','2021-01-13 23:26:42',null);
INSERT INTO complaint_statuses VALUES('12109','2502','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-13 23:28:40','2021-01-15 01:37:45',null);
INSERT INTO complaint_statuses VALUES('12110','2083','7','12','81','Lights waranty main chenj kar di hy i10 servis center sy ly kar',null,'82','82','2021-01-13 23:30:09','2021-01-13 23:30:09',null);
INSERT INTO complaint_statuses VALUES('12111','3698','2',null,'81',null,'13-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-13 23:31:17','2021-01-13 23:31:17',null);
INSERT INTO complaint_statuses VALUES('12112','3698','4',null,'58',null,null,'81','81','2021-01-13 23:38:34','2021-01-13 23:38:34',null);
INSERT INTO complaint_statuses VALUES('12113','3680','3',null,'93',null,null,'74','74','2021-01-13 23:39:06','2021-01-13 23:39:06',null);
INSERT INTO complaint_statuses VALUES('12114','3681','3',null,'93',null,null,'74','74','2021-01-13 23:39:19','2021-01-13 23:39:19',null);
INSERT INTO complaint_statuses VALUES('12115','3682','3',null,'93',null,null,'74','74','2021-01-13 23:39:33','2021-01-13 23:39:33',null);
INSERT INTO complaint_statuses VALUES('12116','3653','3',null,'93',null,null,'74','74','2021-01-13 23:39:42','2021-01-13 23:39:42',null);
INSERT INTO complaint_statuses VALUES('12117','3683','3',null,'93',null,null,'74','74','2021-01-13 23:39:56','2021-01-13 23:39:56',null);
INSERT INTO complaint_statuses VALUES('12118','3683','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-13 23:41:18','2021-01-13 23:41:18',null);
INSERT INTO complaint_statuses VALUES('12119','3682','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-13 23:42:46','2021-01-13 23:42:46',null);
INSERT INTO complaint_statuses VALUES('12120','3585','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-13 23:45:43','2021-01-13 23:54:44',null);
INSERT INTO complaint_statuses VALUES('12121','2083','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-13 23:52:13','2021-01-15 01:39:43',null);
INSERT INTO complaint_statuses VALUES('12122','3690','2',null,'81',null,null,'92','92','2021-01-13 23:52:39','2021-01-13 23:52:39',null);
INSERT INTO complaint_statuses VALUES('12123','3691','2',null,'81',null,null,'92','92','2021-01-13 23:52:50','2021-01-13 23:52:50',null);
INSERT INTO complaint_statuses VALUES('12124','3690','4',null,'64',null,null,'81','81','2021-01-13 23:53:20','2021-01-13 23:53:20',null);
INSERT INTO complaint_statuses VALUES('12125','3691','4',null,'64',null,null,'81','81','2021-01-13 23:53:31','2021-01-13 23:53:31',null);
INSERT INTO complaint_statuses VALUES('12126','3594','7','10','81',null,null,'82','82','2021-01-13 23:55:15','2021-01-13 23:55:15',null);
INSERT INTO complaint_statuses VALUES('12127','3681','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-13 23:56:42','2021-01-13 23:56:42',null);
INSERT INTO complaint_statuses VALUES('12128','3699','2',null,'81',null,'13-JAN-2021
COM NO 301079882','92','74','2021-01-14 00:18:23','2021-01-14 00:28:23',null);
INSERT INTO complaint_statuses VALUES('12129','3574','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-14 00:19:14','2021-01-14 00:19:14',null);
INSERT INTO complaint_statuses VALUES('12130','3700','2',null,'81',null,'13-JAN-2021
COM NO 301079884','92','74','2021-01-14 00:20:14','2021-01-14 00:28:55',null);
INSERT INTO complaint_statuses VALUES('12131','3699','4',null,'64',null,null,'81','81','2021-01-14 00:29:35','2021-01-14 00:29:35',null);
INSERT INTO complaint_statuses VALUES('12132','3700','4',null,'64',null,'COMPLAINT RESOLVED','81','74','2021-01-14 00:29:46','2021-01-20 00:41:04',null);
INSERT INTO complaint_statuses VALUES('12133','3701','3',null,'53',null,'13-JAN-2021
COM NO 1079862','92','92','2021-01-14 00:42:30','2021-01-14 00:43:22',null);
INSERT INTO complaint_statuses VALUES('12134','3702','2',null,'81',null,'13-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-14 00:53:57','2021-01-14 00:53:57',null);
INSERT INTO complaint_statuses VALUES('12135','3282','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-14 00:57:46','2021-01-14 00:57:46',null);
INSERT INTO complaint_statuses VALUES('12136','3703','3',null,'80',null,'13-JAN-2021
COM FF TO AMNA BOSCH','92','92','2021-01-14 01:01:38','2021-01-14 01:01:38',null);
INSERT INTO complaint_statuses VALUES('12137','3704','2',null,'81',null,'13-JAN-2021
COMPLAINT#49927','74','74','2021-01-14 01:04:48','2021-01-14 01:04:48',null);
INSERT INTO complaint_statuses VALUES('12138','1502','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-14 01:05:09','2021-01-14 01:05:09',null);
INSERT INTO complaint_statuses VALUES('12139','3624','7','24','81','Reffer to SVC in Drain Heater Fault,Customer Will Drop it',null,'76','76','2021-01-14 01:12:24','2021-01-14 01:12:24',null);
INSERT INTO complaint_statuses VALUES('12140','3702','4',null,'55',null,null,'81','81','2021-01-14 01:14:10','2021-01-14 01:14:10',null);
INSERT INTO complaint_statuses VALUES('12141','3704','4',null,'64',null,null,'81','81','2021-01-14 01:14:48','2021-01-14 01:14:48',null);
INSERT INTO complaint_statuses VALUES('12142','3705','2',null,'81',null,'13-JAN-2021
COM NO 1799512','92','92','2021-01-14 01:23:26','2021-01-14 01:27:23',null);
INSERT INTO complaint_statuses VALUES('12143','3705','4',null,'64',null,null,'81','81','2021-01-14 01:28:45','2021-01-14 01:28:45',null);
INSERT INTO complaint_statuses VALUES('12144','3665','7','12','81','ISSUE RESOLVED',null,'87','87','2021-01-14 01:40:00','2021-01-14 01:40:00',null);
INSERT INTO complaint_statuses VALUES('12145','3670','7','24','81','TECH NY VISIT KIA AND SERVICE CENTER AEGA',null,'87','87','2021-01-14 01:41:04','2021-01-14 01:41:04',null);
INSERT INTO complaint_statuses VALUES('12146','3706','3',null,'73',null,'13-JAN-2021
COM NO 3540','92','92','2021-01-14 01:52:17','2021-01-14 01:52:17',null);
INSERT INTO complaint_statuses VALUES('12147','3707','3',null,'52',null,'13-JAN-2021
COM NO pkri-210114101076','92','92','2021-01-14 01:58:31','2021-01-14 19:44:20',null);
INSERT INTO complaint_statuses VALUES('12148','3708','3',null,'52',null,'13-JAN-2021
COM NO PKRI-210114101121','92','92','2021-01-14 02:07:38','2021-01-14 19:46:45',null);
INSERT INTO complaint_statuses VALUES('12149','3257','7','26','81',null,null,'76','76','2021-01-14 02:18:16','2021-01-14 02:18:16',null);
INSERT INTO complaint_statuses VALUES('12150','3601','7','24','81','Refer to SVC after Visit.',null,'76','76','2021-01-14 02:19:15','2021-01-14 02:19:15',null);
INSERT INTO complaint_statuses VALUES('12151','3709','3',null,'52',null,'13-JAN-2021
COM NO PKRI-210114101167','92','92','2021-01-14 02:21:07','2021-01-14 19:49:15',null);
INSERT INTO complaint_statuses VALUES('12152','3710','3',null,'52',null,'13-JAN-2021
COM NO PKRI-210114101303','92','92','2021-01-14 02:26:00','2021-01-14 19:56:05',null);
INSERT INTO complaint_statuses VALUES('12153','3712','3',null,'52',null,'13-JAN-2021
COM NO PKRI-210116103227','92','92','2021-01-14 02:34:42','2021-01-16 20:51:08',null);
INSERT INTO complaint_statuses VALUES('12154','3713','3',null,'53',null,'13-JAN-2021
COM NO 301079949','92','92','2021-01-14 02:39:04','2021-01-14 19:38:48',null);
INSERT INTO complaint_statuses VALUES('12155','3665','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-14 02:42:17','2021-01-14 02:44:09',null);
INSERT INTO complaint_statuses VALUES('12156','3594','8','23','60','CUSTOMER  SA BAT HO GEI  KIANDLY VISIT CONTACT KARAY',null,'81','81','2021-01-14 02:47:38','2021-01-14 02:47:38',null);
INSERT INTO complaint_statuses VALUES('12157','3684','7','12','81','DRAIN ISSUE COMOLAINT ROSLVED',null,'79','79','2021-01-14 04:10:48','2021-01-14 04:10:48',null);
INSERT INTO complaint_statuses VALUES('12158','3667','7','12','81','Auto ka masla tha',null,'88','88','2021-01-14 18:33:55','2021-01-14 18:33:55',null);
INSERT INTO complaint_statuses VALUES('12159','3658','7','26','81','Bahir say thik Kar WA Liya hy',null,'88','88','2021-01-14 18:34:39','2021-01-14 18:34:39',null);
INSERT INTO complaint_statuses VALUES('12160','3604','7','12','81','Oven ni chalta tha or hob ki auto tuti the OK how Gaya hy',null,'88','88','2021-01-14 18:35:52','2021-01-14 18:35:52',null);
INSERT INTO complaint_statuses VALUES('12161','3592','7','12','81','Tamprachar gaj ka  masla tha 2 gizar My aik my tharmokapal kharb the',null,'88','88','2021-01-14 18:37:17','2021-01-14 18:37:17',null);
INSERT INTO complaint_statuses VALUES('12162','3588','7','12','81','Alimant kharb tha change how Gaya hy',null,'88','88','2021-01-14 18:38:08','2021-01-14 18:38:08',null);
INSERT INTO complaint_statuses VALUES('12163','3540','7','12','81','Gas Wal kharb tha OK',null,'88','88','2021-01-14 18:39:04','2021-01-14 18:39:04',null);
INSERT INTO complaint_statuses VALUES('12164','3570','7','24','81','unit in service center. Panel faulty...in process',null,'77','77','2021-01-14 19:57:58','2021-01-14 19:57:58',null);
INSERT INTO complaint_statuses VALUES('12165','3714','2',null,'81',null,'14-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-14 20:09:52','2021-01-14 20:09:52',null);
INSERT INTO complaint_statuses VALUES('12166','3714','4',null,'63',null,null,'81','81','2021-01-14 20:14:57','2021-01-14 20:14:57',null);
INSERT INTO complaint_statuses VALUES('12167','3715','3',null,'65',null,'14-JAN-2021
COM NO 192120143','92','92','2021-01-14 20:35:14','2021-01-14 20:36:06',null);
INSERT INTO complaint_statuses VALUES('12168','3716','3',null,'65',null,'14-JAN-2021
COM NO 192120147','92','92','2021-01-14 20:50:32','2021-01-14 20:58:08',null);
INSERT INTO complaint_statuses VALUES('12169','3717','3',null,'55',null,'14-JAN-2021
COM NO ISB-10994','92','92','2021-01-14 21:21:37','2021-01-14 22:48:16',null);
INSERT INTO complaint_statuses VALUES('12170','3718','2',null,'81',null,'14-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-14 21:29:13','2021-01-14 21:29:13',null);
INSERT INTO complaint_statuses VALUES('12171','3644','7','12','81','completed',null,'91','91','2021-01-14 21:34:23','2021-01-14 21:34:23',null);
INSERT INTO complaint_statuses VALUES('12172','3634','5','13',null,null,'COMPLAINT RESOLVED','81','92','2021-01-14 21:35:38','2021-01-14 22:15:37',null);
INSERT INTO complaint_statuses VALUES('12173','3644','5','13',null,null,'COMPLAINT RESOLVED','81','92','2021-01-14 21:35:47','2021-01-14 22:14:05',null);
INSERT INTO complaint_statuses VALUES('12174','3705','7','12','81','resolved',null,'91','91','2021-01-14 21:39:01','2021-01-14 21:39:01',null);
INSERT INTO complaint_statuses VALUES('12175','3704','7','24','81','will be lifted to service centre',null,'91','91','2021-01-14 21:39:31','2021-01-14 21:39:31',null);
INSERT INTO complaint_statuses VALUES('12176','3705','5','13',null,null,'COMPLAINT RESOLVED','81','92','2021-01-14 21:40:05','2021-01-14 22:13:05',null);
INSERT INTO complaint_statuses VALUES('12177','3718','4',null,'55',null,null,'81','81','2021-01-14 21:40:26','2021-01-14 21:40:26',null);
INSERT INTO complaint_statuses VALUES('12178','3719','3',null,'55',null,'14-JAN-2021
COM NO 10995','92','92','2021-01-14 21:43:17','2021-01-14 22:51:39',null);
INSERT INTO complaint_statuses VALUES('12179','3647','7','24','81','lifted to service centre',null,'91','91','2021-01-14 21:52:54','2021-01-14 21:52:54',null);
INSERT INTO complaint_statuses VALUES('12180','3642','7','24','81','lifted to service centre',null,'91','91','2021-01-14 21:53:22','2021-01-14 21:53:22',null);
INSERT INTO complaint_statuses VALUES('12181','3643','7','24','81','lifted to service centre',null,'91','91','2021-01-14 21:53:58','2021-01-14 21:53:58',null);
INSERT INTO complaint_statuses VALUES('12182','3720','3',null,'55',null,'14-JAN-2021
COM NO 17510','92','92','2021-01-14 22:08:21','2021-01-14 22:54:19',null);
INSERT INTO complaint_statuses VALUES('12183','3440','7','12','81','Motar ni chal Rahi the ok',null,'88','88','2021-01-14 22:19:56','2021-01-14 22:19:56',null);
INSERT INTO complaint_statuses VALUES('12184','3594','7','12','81','Fuse ur gea tha high volteg sy .reppare kar dia hy job is done 500  is colect for visit chargis',null,'82','82','2021-01-14 22:20:36','2021-01-14 22:20:36',null);
INSERT INTO complaint_statuses VALUES('12185','3721','2',null,'81',null,'14-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-14 22:34:02','2021-01-14 22:34:02',null);
INSERT INTO complaint_statuses VALUES('12186','3721','4',null,'55',null,null,'81','81','2021-01-14 22:38:43','2021-01-14 22:38:43',null);
INSERT INTO complaint_statuses VALUES('12187','3628','7','12','81','unit ok only services and update software.unit with customer at his home. Friends warranty unit',null,'77','77','2021-01-14 22:42:17','2021-01-14 22:42:17',null);
INSERT INTO complaint_statuses VALUES('12188','3679','7','24','81','WILL BE LIFTED TO SERVICE CENTRE',null,'91','91','2021-01-14 22:45:43','2021-01-14 22:45:43',null);
INSERT INTO complaint_statuses VALUES('12189','3689','7','20','81','System board faulty.cost Rs.  37615.
Need approval',null,'77','77','2021-01-14 22:46:15','2021-01-14 22:46:15',null);
INSERT INTO complaint_statuses VALUES('12190','3722','2',null,'81',null,'14-JAN-2021
COM FF TO USMAN MRM','92','92','2021-01-14 23:19:53','2021-01-14 23:19:53',null);
INSERT INTO complaint_statuses VALUES('12191','3723','3',null,'73',null,'14-JAN-2021
COM NO 3462','92','92','2021-01-14 23:29:02','2021-01-14 23:29:02',null);
INSERT INTO complaint_statuses VALUES('12192','3722','4',null,'61',null,null,'81','81','2021-01-14 23:30:36','2021-01-14 23:30:36',null);
INSERT INTO complaint_statuses VALUES('12193','3724','2',null,'81',null,'14-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-14 23:41:21','2021-01-14 23:41:21',null);
INSERT INTO complaint_statuses VALUES('12194','3725','2',null,'81',null,'14-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-15 00:07:29','2021-01-15 00:07:29',null);
INSERT INTO complaint_statuses VALUES('12195','3724','4',null,'63',null,null,'81','81','2021-01-15 00:11:50','2021-01-15 00:11:50',null);
INSERT INTO complaint_statuses VALUES('12196','3725','4',null,'63',null,null,'81','81','2021-01-15 00:12:05','2021-01-15 00:12:05',null);
INSERT INTO complaint_statuses VALUES('12197','3726','3',null,'66',null,'14-JAN-2021
COM NO PK011420210109','92','92','2021-01-15 00:27:19','2021-01-15 01:07:10',null);
INSERT INTO complaint_statuses VALUES('12198','3727','2',null,'81',null,'14-JAN-2021
COM FF TO HOME SOLUTION','92','92','2021-01-15 01:01:45','2021-01-15 01:01:45',null);
INSERT INTO complaint_statuses VALUES('12199','3727','4',null,'62',null,null,'81','81','2021-01-15 01:08:05','2021-01-15 01:08:05',null);
INSERT INTO complaint_statuses VALUES('12200','3728','3',null,'52',null,'14-JAN-2021
COM NO PKRI-210114106009','92','92','2021-01-15 01:17:00','2021-01-15 01:18:17',null);
INSERT INTO complaint_statuses VALUES('12201','3729','3',null,'52',null,'14-JAN-2021
COM NO PKRI-210114106371','92','92','2021-01-15 01:26:45','2021-01-15 01:29:32',null);
INSERT INTO complaint_statuses VALUES('12202','3722','7','24','81','kon sy showroom py ha ya unit',null,'83','83','2021-01-15 01:31:15','2021-01-15 01:31:15',null);
INSERT INTO complaint_statuses VALUES('12203','3711','2',null,'81',null,null,'92','92','2021-01-15 01:49:01','2021-01-15 01:49:01',null);
INSERT INTO complaint_statuses VALUES('12204','3711','4',null,'64',null,null,'81','81','2021-01-15 01:49:54','2021-01-15 01:49:54',null);
INSERT INTO complaint_statuses VALUES('12205','3730','2',null,'81',null,'14-JAN-2021
COM FF TO AZHAR FCI','92','92','2021-01-15 01:53:54','2021-01-15 01:53:54',null);
INSERT INTO complaint_statuses VALUES('12206','3731','2',null,'81',null,'14-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-15 02:08:07','2021-01-15 02:08:07',null);
INSERT INTO complaint_statuses VALUES('12207','3731','4',null,'58',null,null,'81','81','2021-01-15 02:10:02','2021-01-15 02:10:02',null);
INSERT INTO complaint_statuses VALUES('12208','3730','4',null,'60',null,null,'81','81','2021-01-15 02:10:48','2021-01-15 02:10:48',null);
INSERT INTO complaint_statuses VALUES('12209','3581','7','24','81','Aaj jumay ky baad visit hy',null,'82','82','2021-01-15 20:03:38','2021-01-15 20:03:38',null);
INSERT INTO complaint_statuses VALUES('12210','3308','7','12','81','Washing machin kal raat ko custmer ky ghar ly ja ky chla ky dekha di hy okay kar ky agy hy ...
Washing machin custmer ky ghar phonch gai hy',null,'82','82','2021-01-15 20:05:52','2021-01-15 20:05:52',null);
INSERT INTO complaint_statuses VALUES('12211','2302','7','12','81','Compresor issue hy custmer btaye gy theek karwana huea to colling okay hy.plz closed kar dy',null,'82','82','2021-01-15 20:07:49','2021-01-15 20:07:49',null);
INSERT INTO complaint_statuses VALUES('12212','3732','3',null,'73',null,'15-JAN-2021
COMPLAINT#3469','74','74','2021-01-15 20:52:40','2021-01-15 20:52:40',null);
INSERT INTO complaint_statuses VALUES('12213','3733','3',null,'84',null,'15-JAN-2021
FF TO NAEEM KENWOOD','74','74','2021-01-15 21:00:19','2021-01-15 23:04:28',null);
INSERT INTO complaint_statuses VALUES('12214','3734','3',null,'53',null,'15-JAN-2021
COMPLAINT#301080328','74','74','2021-01-15 21:07:27','2021-01-15 21:07:27',null);
INSERT INTO complaint_statuses VALUES('12215','3670','8','23','62','ISSUE NOT RESOLVED KINDLY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-01-15 21:13:07','2021-01-15 21:13:07',null);
INSERT INTO complaint_statuses VALUES('12216','3735','3',null,'52',null,'15-JAN-2021
COMPLAINT#PKJM210115103974','74','74','2021-01-15 21:42:35','2021-01-15 21:42:35',null);
INSERT INTO complaint_statuses VALUES('12217','3684','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-15 23:12:23','2021-01-15 23:15:54',null);
INSERT INTO complaint_statuses VALUES('12218','3667','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-15 23:14:51','2021-01-15 23:19:01',null);
INSERT INTO complaint_statuses VALUES('12219','3658','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-01-15 23:17:19','2021-01-15 23:19:34',null);
INSERT INTO complaint_statuses VALUES('12220','3628','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-01-15 23:22:24','2021-01-15 23:25:26',null);
INSERT INTO complaint_statuses VALUES('12221','3604','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-15 23:24:11','2021-01-15 23:25:58',null);
INSERT INTO complaint_statuses VALUES('12222','3736','2',null,'81',null,'15-JAN-2021
FF TO SHAMIM AKHTER','74','74','2021-01-15 23:39:30','2021-01-15 23:39:30',null);
INSERT INTO complaint_statuses VALUES('12223','3736','4',null,'55',null,null,'81','81','2021-01-15 23:40:54','2021-01-15 23:40:54',null);
INSERT INTO complaint_statuses VALUES('12224','3664','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-15 23:51:48','2021-01-15 23:51:48',null);
INSERT INTO complaint_statuses VALUES('12225','3737','2',null,'81',null,'15-JAN-2021
COMPLAINT#PKRI-210115106044','74','74','2021-01-15 23:57:40','2021-01-15 23:57:40',null);
INSERT INTO complaint_statuses VALUES('12226','3737','4',null,'64',null,'COMPLAINT RESOLVED','81','74','2021-01-15 23:58:15','2021-01-22 00:22:38',null);
INSERT INTO complaint_statuses VALUES('12227','3689','8','23','56','NAEEM SAB NA APPROVAL DA DI SET READY KARAY',null,'81','81','2021-01-16 00:00:47','2021-01-16 00:00:47',null);
INSERT INTO complaint_statuses VALUES('12228','3738','3',null,'73',null,'15-JAN-2020
COMPLAINT#3471','74','74','2021-01-16 00:06:25','2021-01-16 00:06:25',null);
INSERT INTO complaint_statuses VALUES('12229','3661','7','12','81','Shifting Bolt Removed Visit Pending 600/-',null,'76','76','2021-01-16 00:40:59','2021-01-16 00:40:59',null);
INSERT INTO complaint_statuses VALUES('12230','3739','3',null,'73',null,'15-JAN-2021
COMPLAINT 3475','74','74','2021-01-16 02:08:14','2021-01-16 02:08:14',null);
INSERT INTO complaint_statuses VALUES('12231','3702','7','24','81','Reffer to SVC After First Visit.',null,'76','76','2021-01-16 02:15:32','2021-01-16 02:15:32',null);
INSERT INTO complaint_statuses VALUES('12232','3740','3',null,'52',null,'21-JAN-2021
COMPLAINT#PKRI-210115108297','74','74','2021-01-16 02:15:45','2021-01-16 02:15:45',null);
INSERT INTO complaint_statuses VALUES('12233','3555','7','26','81','Please Confirm to the Customer If She Need Visit.',null,'76','76','2021-01-16 02:16:26','2021-01-16 02:16:26',null);
INSERT INTO complaint_statuses VALUES('12234','3741','3',null,'61',null,'21-JAN-2021
COMPLAINT#202101004909','74','74','2021-01-16 02:22:33','2021-01-16 02:22:33',null);
INSERT INTO complaint_statuses VALUES('12235','3736','7','24','81','Customer Ko Product Service Center Drop Krany K ly Bola Hy again, Home Service not Available for MWO.',null,'76','76','2021-01-16 02:25:46','2021-01-16 02:25:46',null);
INSERT INTO complaint_statuses VALUES('12236','3663','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-16 02:26:05','2021-01-16 02:26:05',null);
INSERT INTO complaint_statuses VALUES('12237','3721','7','24','81','Customer Ko Ref Ka Model Sticker Share Krnay Ka Bola hy, Waiting from Customer Side.',null,'76','76','2021-01-16 02:27:05','2021-01-16 02:27:05',null);
INSERT INTO complaint_statuses VALUES('12238','3742','2',null,'81',null,'21-JAN-2021
FF TO B.COOL','74','74','2021-01-16 02:35:32','2021-01-16 02:35:32',null);
INSERT INTO complaint_statuses VALUES('12239','3743','3',null,'86',null,'15-JAN-2021
FF TO ASIF ARISTAN','74','74','2021-01-16 02:43:26','2021-01-16 02:43:26',null);
INSERT INTO complaint_statuses VALUES('12240','3744','2',null,'81',null,'15-JAN-2021
FF TO B.COOL','74','74','2021-01-16 02:53:27','2021-01-16 02:53:27',null);
INSERT INTO complaint_statuses VALUES('12241','3744','4',null,'58',null,null,'81','81','2021-01-16 02:54:35','2021-01-16 02:54:35',null);
INSERT INTO complaint_statuses VALUES('12242','3742','4',null,'58',null,null,'81','81','2021-01-16 02:54:47','2021-01-16 02:54:47',null);
INSERT INTO complaint_statuses VALUES('12243','3647','8','23','64','ISSUE RESOLVED KARWA K COMPLETED COMPLAINT KARAY',null,'81','81','2021-01-16 02:56:11','2021-01-16 02:56:11',null);
INSERT INTO complaint_statuses VALUES('12244','3722','8','23','61','GUL NOOR NAZ CENMA BRANCH',null,'81','81','2021-01-16 03:32:24','2021-01-16 03:32:24',null);
INSERT INTO complaint_statuses VALUES('12245','3704','8','23','64',null,'OK','81','74','2021-01-16 03:38:37','2021-01-16 23:24:04',null);
INSERT INTO complaint_statuses VALUES('12246','3702','8','23','55',null,'OK','81','74','2021-01-16 03:39:20','2021-01-16 23:26:01',null);
INSERT INTO complaint_statuses VALUES('12247','3679','8','23','64',null,'REF TO S/C','81','74','2021-01-16 03:39:41','2021-01-18 21:25:01',null);
INSERT INTO complaint_statuses VALUES('12248','3643','8','23','64',null,null,'81','81','2021-01-16 03:40:36','2021-01-16 03:40:36',null);
INSERT INTO complaint_statuses VALUES('12249','3642','8','23','64',null,null,'81','81','2021-01-16 03:40:59','2021-01-16 03:40:59',null);
INSERT INTO complaint_statuses VALUES('12250','3624','8','23','55',null,null,'81','81','2021-01-16 03:41:47','2021-01-16 03:41:47',null);
INSERT INTO complaint_statuses VALUES('12251','3601','8','23','55',null,'S/C WORKING IN PROCESS','81','74','2021-01-16 03:42:05','2021-01-23 01:09:12',null);
INSERT INTO complaint_statuses VALUES('12252','3581','8','23','60',null,null,'81','81','2021-01-16 03:44:25','2021-01-16 03:44:25',null);
INSERT INTO complaint_statuses VALUES('12253','3570','8','23','56',null,null,'81','81','2021-01-16 03:44:55','2021-01-16 03:44:55',null);
INSERT INTO complaint_statuses VALUES('12254','3652','7','26','81','Back light defected  
Complet new set 22000.
Repair 10000
With transpotaion 
Extimate  rejected',null,'83','83','2021-01-16 04:03:14','2021-01-16 04:03:14',null);
INSERT INTO complaint_statuses VALUES('12255','3687','7','12','81','complint rsolved no visit',null,'79','79','2021-01-16 19:07:38','2021-01-16 19:07:38',null);
INSERT INTO complaint_statuses VALUES('12256','3149','7','12','81','complint reoslved',null,'79','79','2021-01-16 19:08:15','2021-01-16 19:08:15',null);
INSERT INTO complaint_statuses VALUES('12257','3698','7','12','81','bulb change,compliant resolved',null,'79','79','2021-01-16 19:09:48','2021-01-16 19:09:48',null);
INSERT INTO complaint_statuses VALUES('12258','3745','3',null,'52',null,'16-JAN-2021
COM NO PKRI-210116102229(NEW COMPLAINT#PKRI-210127100393','92','74','2021-01-16 20:02:58','2021-01-31 00:35:25',null);
INSERT INTO complaint_statuses VALUES('12259','3489','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-16 20:44:45','2021-01-16 20:44:45',null);
INSERT INTO complaint_statuses VALUES('12260','3605','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-16 20:57:34','2021-01-16 20:57:34',null);
INSERT INTO complaint_statuses VALUES('12261','3710','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-16 21:15:28','2021-01-16 21:15:28',null);
INSERT INTO complaint_statuses VALUES('12262','3709','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-16 21:17:38','2021-01-16 21:17:38',null);
INSERT INTO complaint_statuses VALUES('12263','3686','7','26','81','BACK LIGHT DEFECTIVE 
RS 30000/-  FOR NEW  LED SET 
RS 10000/- for REPAIR 

CUSTOMER INTRESTED FOR NEW UNIT',null,'83','83','2021-01-16 21:19:08','2021-01-16 21:19:08',null);
INSERT INTO complaint_statuses VALUES('12264','3746','3',null,'81',null,'16-JAN-2021
COM NO 5051','92','92','2021-01-16 21:19:28','2021-01-17 01:16:14',null);
INSERT INTO complaint_statuses VALUES('12265','3698','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-16 21:22:21','2021-01-16 21:49:06',null);
INSERT INTO complaint_statuses VALUES('12266','3687','8','23','58','COMPLAINT NOT RESOLVED VISIT ARRANGE KARWAY',null,'81','81','2021-01-16 21:26:08','2021-01-16 21:26:08',null);
INSERT INTO complaint_statuses VALUES('12267','3721','8','23','55','OK JOB COMPLETED QUKILEY',null,'81','81','2021-01-16 21:26:41','2021-01-16 21:26:41',null);
INSERT INTO complaint_statuses VALUES('12268','3747','2',null,'81',null,'16-JAN-2021
COM FF TO NADEEM SIR','92','92','2021-01-16 21:30:33','2021-01-16 21:30:33',null);
INSERT INTO complaint_statuses VALUES('12269','3692','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-16 21:30:44','2021-01-16 21:30:44',null);
INSERT INTO complaint_statuses VALUES('12270','3747','4',null,'59',null,null,'81','81','2021-01-16 21:31:27','2021-01-16 21:31:27',null);
INSERT INTO complaint_statuses VALUES('12271','3686','5','15',null,'CUSTOMER NA ABI CLOSED KARWA DI COMPLINT','COMPLAINT CLOSED','81','74','2021-01-16 21:32:43','2021-01-16 21:59:50',null);
INSERT INTO complaint_statuses VALUES('12272','3661','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-16 21:34:11','2021-01-16 22:00:20',null);
INSERT INTO complaint_statuses VALUES('12273','3652','5','15',null,'CUSTOMER NA ABI COMPLAINT CLOSED KARWA DI','COMPLAINT CLOSED','81','74','2021-01-16 21:35:37','2021-01-16 22:00:49',null);
INSERT INTO complaint_statuses VALUES('12274','3596','5','15',null,'CUSTOMER STILL CALL ATTEND NAI KAR RAHAY','COMPLAINT REOPEN KAR DI AGAIN','81','74','2021-01-16 21:38:01','2021-01-16 22:01:23',null);
INSERT INTO complaint_statuses VALUES('12275','3748','2',null,'81',null,'09-JAN-2021
COM FF TO AZHAR FCI','74','74','2021-01-16 21:40:05','2021-01-16 21:40:05',null);
INSERT INTO complaint_statuses VALUES('12276','3695','7','12','81',null,null,'91','91','2021-01-16 21:42:53','2021-01-16 21:42:53',null);
INSERT INTO complaint_statuses VALUES('12277','3748','4',null,'60',null,null,'81','81','2021-01-16 21:44:13','2021-01-16 21:44:13',null);
INSERT INTO complaint_statuses VALUES('12278','3695','5','15',null,'COMPLETED  COMPLAINT','COMPLAINT CLOSED','81','74','2021-01-16 21:45:05','2021-01-16 21:59:20',null);
INSERT INTO complaint_statuses VALUES('12279','3594','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-16 21:46:02','2021-01-16 22:02:01',null);
INSERT INTO complaint_statuses VALUES('12280','3588','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-16 21:51:56','2021-01-16 22:02:31',null);
INSERT INTO complaint_statuses VALUES('12281','3555','8','23','55','NO VISIT NEXT FRIDAY KA TIME CUSTOMER NA DIA HAIN AGAIN VISIT K LIYA',null,'81','81','2021-01-16 22:04:25','2021-01-16 22:04:25',null);
INSERT INTO complaint_statuses VALUES('12282','3540','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-01-16 22:22:42','2021-01-16 22:34:25',null);
INSERT INTO complaint_statuses VALUES('12283','3463','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-16 22:23:47','2021-01-16 22:59:24',null);
INSERT INTO complaint_statuses VALUES('12284','3742','7','12','81','complaint resolved ...customer change kerwna cahata hai...',null,'79','79','2021-01-16 22:26:08','2021-01-16 22:26:08',null);
INSERT INTO complaint_statuses VALUES('12285','3749','3',null,'55',null,'16-JAN-2021
COM NO ISB-11015 COM NO 11016','92','92','2021-01-16 22:26:30','2021-01-16 22:29:31',null);
INSERT INTO complaint_statuses VALUES('12286','3750','2',null,'81',null,'16-JAN-2021
FF TO SHAMIM AKHTER','74','74','2021-01-16 22:31:07','2021-01-16 22:31:07',null);
INSERT INTO complaint_statuses VALUES('12287','3440','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-16 22:33:51','2021-01-16 22:35:08',null);
INSERT INTO complaint_statuses VALUES('12288','3688','7','12','81',null,null,'91','91','2021-01-16 22:35:22','2021-01-16 22:35:22',null);
INSERT INTO complaint_statuses VALUES('12289','3685','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-16 22:37:38','2021-01-16 22:37:38',null);
INSERT INTO complaint_statuses VALUES('12290','3676','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-16 22:40:11','2021-01-16 22:40:11',null);
INSERT INTO complaint_statuses VALUES('12291','3688','5','15',null,'COMPLETED  COMPLAINT','COMPLAINT CLOSED','81','74','2021-01-16 22:43:05','2021-01-16 22:54:07',null);
INSERT INTO complaint_statuses VALUES('12292','3149','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-01-16 22:44:51','2021-01-16 23:01:24',null);
INSERT INTO complaint_statuses VALUES('12293','3751','3',null,'57',null,'16-JAN-2021
COM NO 16015','92','92','2021-01-16 22:49:20','2021-01-16 22:49:20',null);
INSERT INTO complaint_statuses VALUES('12294','3308','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-16 22:50:15','2021-01-16 22:54:46',null);
INSERT INTO complaint_statuses VALUES('12295','3750','4',null,'55',null,null,'81','81','2021-01-16 22:50:47','2021-01-16 22:50:47',null);
INSERT INTO complaint_statuses VALUES('12296','3257','5','25',null,'CUSTOMER NA COMPLAINT CANCEL KARWA DI REF TO S/C CUSTOMER ABI S/C KHUD LA KA JANAY PA AGREE NAI CLOSED KARWA DI COMPLAINT','COMPLAINT CLOSED','81','74','2021-01-16 22:52:26','2021-01-16 23:00:05',null);
INSERT INTO complaint_statuses VALUES('12297','3752','2',null,'81',null,'16-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-16 22:54:20','2021-01-16 22:54:20',null);
INSERT INTO complaint_statuses VALUES('12298','3752','4',null,'63',null,null,'81','81','2021-01-16 22:55:26','2021-01-16 22:55:26',null);
INSERT INTO complaint_statuses VALUES('12299','3706','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-16 22:58:26','2021-01-16 22:58:26',null);
INSERT INTO complaint_statuses VALUES('12300','3703','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-16 23:15:38','2021-01-16 23:15:38',null);
INSERT INTO complaint_statuses VALUES('12301','1946','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-16 23:40:39','2021-01-16 23:40:39',null);
INSERT INTO complaint_statuses VALUES('12302','2382','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-16 23:42:02','2021-01-16 23:42:02',null);
INSERT INTO complaint_statuses VALUES('12303','3753','2',null,'81',null,'16-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-16 23:46:02','2021-01-16 23:46:02',null);
INSERT INTO complaint_statuses VALUES('12304','3659','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-16 23:47:49','2021-01-16 23:47:49',null);
INSERT INTO complaint_statuses VALUES('12305','3641','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-16 23:52:27','2021-01-16 23:52:27',null);
INSERT INTO complaint_statuses VALUES('12306','3754','2',null,'81',null,'16-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-16 23:52:38','2021-01-16 23:52:38',null);
INSERT INTO complaint_statuses VALUES('12307','3614','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-16 23:55:52','2021-01-16 23:55:52',null);
INSERT INTO complaint_statuses VALUES('12308','2529','7','24','81','Custmer ky ghar dethhuwi hy keh rehy 4din ky baad call kry',null,'82','82','2021-01-16 23:56:53','2021-01-16 23:56:53',null);
INSERT INTO complaint_statuses VALUES('12309','1215','7','24','81','Monday ko machin pic krni hy',null,'82','82','2021-01-16 23:57:22','2021-01-16 23:57:22',null);
INSERT INTO complaint_statuses VALUES('12310','3696','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 00:10:23','2021-01-17 00:10:23',null);
INSERT INTO complaint_statuses VALUES('12311','3510','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 00:12:47','2021-01-17 00:12:47',null);
INSERT INTO complaint_statuses VALUES('12312','3044','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 00:20:49','2021-01-17 00:20:49',null);
INSERT INTO complaint_statuses VALUES('12313','3689','7','12','81','unit ok and with customer. Job complete pls',null,'77','77','2021-01-17 00:22:21','2021-01-17 00:22:21',null);
INSERT INTO complaint_statuses VALUES('12314','3675','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 00:25:28','2021-01-17 00:25:28',null);
INSERT INTO complaint_statuses VALUES('12315','3152','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 00:26:55','2021-01-17 00:26:55',null);
INSERT INTO complaint_statuses VALUES('12316','3509','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-17 00:29:46','2021-01-17 00:29:46',null);
INSERT INTO complaint_statuses VALUES('12317','3743','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 00:29:55','2021-01-17 00:29:55',null);
INSERT INTO complaint_statuses VALUES('12318','3512','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-17 00:31:50','2021-01-17 00:31:50',null);
INSERT INTO complaint_statuses VALUES('12319','3674','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 00:32:02','2021-01-17 00:32:02',null);
INSERT INTO complaint_statuses VALUES('12320','3512','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-17 00:32:57','2021-01-17 00:32:57',null);
INSERT INTO complaint_statuses VALUES('12321','3592','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-17 00:34:10','2021-01-17 00:39:02',null);
INSERT INTO complaint_statuses VALUES('12322','3434','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 00:38:04','2021-01-17 00:38:04',null);
INSERT INTO complaint_statuses VALUES('12323','3755','3',null,'73',null,'16-JAN-2021
COM NO 3485','92','92','2021-01-17 00:47:54','2021-01-17 01:35:47',null);
INSERT INTO complaint_statuses VALUES('12324','3672','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 00:49:22','2021-01-17 00:49:22',null);
INSERT INTO complaint_statuses VALUES('12325','3756','3',null,'52',null,'16-JAN-2021
COM NO PKRI-210116107900','92','92','2021-01-17 00:54:13','2021-01-17 01:07:11',null);
INSERT INTO complaint_statuses VALUES('12326','3742','5','15',null,'BILAL FCP KI CUSTOMER SA BAT HO GEI HAIN CUSTOMER KO OVEN WAPISE LA  AANY KO BOLA HAIN','COMPLAINT CLOSED','81','74','2021-01-17 00:55:11','2021-01-17 01:59:36',null);
INSERT INTO complaint_statuses VALUES('12327','3757','3',null,'52',null,'16-JAN-2021
COM NO PKRI-210116107982','92','92','2021-01-17 01:01:14','2021-01-17 01:13:17',null);
INSERT INTO complaint_statuses VALUES('12328','3758','3',null,'55',null,'16-JAN-2021
COMPLIANT#RWP-17556','74','92','2021-01-17 01:11:22','2021-01-17 01:38:31',null);
INSERT INTO complaint_statuses VALUES('12329','2778','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 01:12:26','2021-01-17 01:12:26',null);
INSERT INTO complaint_statuses VALUES('12330','3669','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 01:16:03','2021-01-17 01:16:03',null);
INSERT INTO complaint_statuses VALUES('12331','3651','7','26','81','Home master hy castamar ko marree road ka Bata diya hy',null,'88','88','2021-01-17 01:29:56','2021-01-17 01:29:56',null);
INSERT INTO complaint_statuses VALUES('12332','3724','7','12','81','Sating ka masla tha',null,'88','88','2021-01-17 01:30:50','2021-01-17 01:30:50',null);
INSERT INTO complaint_statuses VALUES('12333','3736','8','23','55','CUSTOMER SA BAT HO GEI HAIN NEXT WEEK TAQ S/C LA K AAY GEI OVEN',null,'81','81','2021-01-17 01:40:16','2021-01-17 01:40:16',null);
INSERT INTO complaint_statuses VALUES('12334','3702','7','22','81','Compressor Faulty',null,'76','76','2021-01-17 01:40:58','2021-01-17 01:40:58',null);
INSERT INTO complaint_statuses VALUES('12335','3718','7','12','81','Drain Pipe Adjustment Only.Visit Pending 600/-',null,'76','76','2021-01-17 01:41:51','2021-01-17 01:41:51',null);
INSERT INTO complaint_statuses VALUES('12336','3724','5','23',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-17 01:42:01','2021-01-17 02:15:42',null);
INSERT INTO complaint_statuses VALUES('12337','3754','4',null,'63',null,null,'81','81','2021-01-17 01:42:28','2021-01-17 01:42:28',null);
INSERT INTO complaint_statuses VALUES('12338','3753','4',null,'58',null,null,'81','81','2021-01-17 01:42:40','2021-01-17 01:42:40',null);
INSERT INTO complaint_statuses VALUES('12339','2302','8','23','60','MONDAY KO AIK BAR CUSTOMER SA OR CONFIRM KAR  LAY K WO COMPRESSOR OK KARWANA CAHAH RAHAY HAIN K NAI',null,'81','81','2021-01-17 01:48:17','2021-01-17 01:48:17',null);
INSERT INTO complaint_statuses VALUES('12340','3718','5','15',null,'COMPLETED COMPLAINT','COMPLAINT  RESOLVED','81','74','2021-01-17 01:50:01','2021-01-17 02:21:23',null);
INSERT INTO complaint_statuses VALUES('12341','3689','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-17 01:51:48','2021-01-17 02:22:03',null);
INSERT INTO complaint_statuses VALUES('12342','3759','2',null,'81',null,'16-JAN-2021
COM FF TO HOME SOLUTION','92','92','2021-01-17 01:54:28','2021-01-17 01:54:28',null);
INSERT INTO complaint_statuses VALUES('12343','3651','5','25',null,'COMPLAINT CANCEL SHAHZAD BEHIRA KO B INFORMED KAR DIA','COMPLAINT CLOSED','81','74','2021-01-17 01:55:09','2021-01-17 02:22:34',null);
INSERT INTO complaint_statuses VALUES('12344','3760','2',null,'81',null,'16-JAN-2021
COM FF TO NADEEM AZHAR','92','92','2021-01-17 01:57:49','2021-01-17 01:57:49',null);
INSERT INTO complaint_statuses VALUES('12345','2920','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 01:59:10','2021-01-17 01:59:10',null);
INSERT INTO complaint_statuses VALUES('12346','3666','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 02:00:51','2021-01-17 02:00:51',null);
INSERT INTO complaint_statuses VALUES('12347','3761','3',null,'73',null,'16-NOV-2021
COM NO 3486','92','92','2021-01-17 02:04:55','2021-01-17 02:04:55',null);
INSERT INTO complaint_statuses VALUES('12348','3759','4',null,'62',null,null,'81','81','2021-01-17 02:06:08','2021-01-17 02:06:08',null);
INSERT INTO complaint_statuses VALUES('12349','3760','4',null,'59',null,null,'81','81','2021-01-17 02:06:52','2021-01-17 02:06:52',null);
INSERT INTO complaint_statuses VALUES('12350','3760','4',null,'59',null,null,'81','81','2021-01-17 02:07:00','2021-01-17 02:07:00',null);
INSERT INTO complaint_statuses VALUES('12351','3660','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 02:07:10','2021-01-17 02:07:10',null);
INSERT INTO complaint_statuses VALUES('12352','3727','7','12','81','ISSUE RESOLVED ,LIGHT REPLACED',null,'87','87','2021-01-17 02:11:26','2021-01-17 02:11:26',null);
INSERT INTO complaint_statuses VALUES('12353','3762','2',null,'81',null,'16-JAN-2021
COM FF TO USMAN SIR','92','92','2021-01-17 02:13:16','2021-01-17 02:13:16',null);
INSERT INTO complaint_statuses VALUES('12354','3657','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 02:14:33','2021-01-17 02:14:33',null);
INSERT INTO complaint_statuses VALUES('12355','3763','2',null,'81',null,'16-JAN-2020
FF TO ANEEQ','74','74','2021-01-17 02:16:48','2021-01-17 02:16:48',null);
INSERT INTO complaint_statuses VALUES('12356','2729','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 02:17:40','2021-01-17 02:17:40',null);
INSERT INTO complaint_statuses VALUES('12357','3764','3',null,'52',null,'16-JAN-2021
COM NO PKRI-210116109398','92','92','2021-01-17 02:18:54','2021-01-17 02:36:01',null);
INSERT INTO complaint_statuses VALUES('12358','3765','2',null,'81',null,'16-JAN-2021
FF TO ANEEQ','74','74','2021-01-17 02:20:03','2021-01-17 02:20:03',null);
INSERT INTO complaint_statuses VALUES('12359','2039','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 02:20:22','2021-01-17 02:20:22',null);
INSERT INTO complaint_statuses VALUES('12360','3765','4',null,'64',null,null,'81','81','2021-01-17 02:23:28','2021-01-17 02:23:28',null);
INSERT INTO complaint_statuses VALUES('12361','3763','4',null,'64',null,null,'81','81','2021-01-17 02:23:38','2021-01-17 02:23:38',null);
INSERT INTO complaint_statuses VALUES('12362','3762','4',null,'61',null,null,'81','81','2021-01-17 02:23:51','2021-01-17 02:23:51',null);
INSERT INTO complaint_statuses VALUES('12363','3766','3',null,'52',null,'16-JAN-2021
COM NO PKRI-210116109437','92','92','2021-01-17 02:26:12','2021-01-17 02:39:09',null);
INSERT INTO complaint_statuses VALUES('12364','3662','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 02:29:31','2021-01-17 02:29:31',null);
INSERT INTO complaint_statuses VALUES('12365','3767','2',null,'81',null,'16-JAN-2021
FF TO ANEEQ','74','74','2021-01-17 02:32:01','2021-01-17 02:32:01',null);
INSERT INTO complaint_statuses VALUES('12366','3767','4',null,'64',null,null,'81','81','2021-01-17 02:32:34','2021-01-17 02:32:34',null);
INSERT INTO complaint_statuses VALUES('12367','1639','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 02:33:01','2021-01-17 02:33:01',null);
INSERT INTO complaint_statuses VALUES('12368','3470','5',null,null,'COMPLAINT CLOSED','COMPLETED COMPLAINT','74','74','2021-01-17 02:41:16','2021-01-17 02:43:34',null);
INSERT INTO complaint_statuses VALUES('12369','2977','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 02:45:13','2021-01-17 02:45:13',null);
INSERT INTO complaint_statuses VALUES('12370','3768','2',null,'81',null,'16-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-17 02:45:16','2021-01-17 02:45:16',null);
INSERT INTO complaint_statuses VALUES('12371','3653','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 02:48:41','2021-01-17 02:48:41',null);
INSERT INTO complaint_statuses VALUES('12372','2786','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 02:51:24','2021-01-17 02:51:24',null);
INSERT INTO complaint_statuses VALUES('12373','3768','4',null,'55',null,null,'81','81','2021-01-17 02:51:58','2021-01-17 02:51:58',null);
INSERT INTO complaint_statuses VALUES('12374','3649','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-17 02:54:57','2021-01-17 02:54:57',null);
INSERT INTO complaint_statuses VALUES('12375','3769','3',null,'81',null,'16-JAN-2021
COM NO 5055','92','92','2021-01-17 02:56:26','2021-01-18 21:06:35',null);
INSERT INTO complaint_statuses VALUES('12376','3631','7','12','81','cpmplaint resolved complint reosolved',null,'79','79','2021-01-17 03:17:39','2021-01-17 03:17:39',null);
INSERT INTO complaint_statuses VALUES('12377','3630','7','12','81','complaint resolved',null,'79','79','2021-01-17 03:18:17','2021-01-17 03:18:17',null);
INSERT INTO complaint_statuses VALUES('12378','3517','7','12','81','Best co0l ny visit Kia fan Ka issue tha,now resolved',null,'87','87','2021-01-17 06:17:15','2021-01-17 06:17:15',null);
INSERT INTO complaint_statuses VALUES('12379','3770','3',null,'66',null,'17-JAN-2021
COM NO PK011820210027 
IMRAN   03335257003','92','92','2021-01-17 19:59:10','2021-01-18 19:38:26',null);
INSERT INTO complaint_statuses VALUES('12380','3771','2',null,'81',null,'17-JAN-2021
COM FF TO KHALID SONY','92','92','2021-01-17 20:04:33','2021-01-17 20:04:33',null);
INSERT INTO complaint_statuses VALUES('12381','3771','4',null,'56',null,null,'81','81','2021-01-17 20:08:16','2021-01-17 20:08:16',null);
INSERT INTO complaint_statuses VALUES('12382','3772','2',null,'81',null,'17-JAN-2021
COM NO 1080613','92','92','2021-01-17 20:14:09','2021-01-17 20:17:43',null);
INSERT INTO complaint_statuses VALUES('12383','3772','4',null,'64',null,null,'81','81','2021-01-17 20:18:30','2021-01-17 20:18:30',null);
INSERT INTO complaint_statuses VALUES('12384','3773','2',null,'81',null,'17-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-17 20:26:44','2021-01-17 20:26:44',null);
INSERT INTO complaint_statuses VALUES('12385','3774','2',null,'81',null,'17-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-17 20:40:10','2021-01-17 20:40:10',null);
INSERT INTO complaint_statuses VALUES('12386','3774','4',null,'58',null,null,'81','81','2021-01-17 20:42:01','2021-01-17 20:42:01',null);
INSERT INTO complaint_statuses VALUES('12387','3773','4',null,'63',null,null,'81','81','2021-01-17 20:42:50','2021-01-17 20:42:50',null);
INSERT INTO complaint_statuses VALUES('12388','3775','3',null,'81',null,'17-JAN-2021
COM NO 5056','92','92','2021-01-17 20:46:10','2021-01-18 21:07:30',null);
INSERT INTO complaint_statuses VALUES('12389','3744','7','12','81','no visit compliant resolved on call',null,'79','79','2021-01-17 20:47:49','2021-01-17 20:47:49',null);
INSERT INTO complaint_statuses VALUES('12390','3731','7','12','81','guid kr dya hai.',null,'79','79','2021-01-17 20:50:17','2021-01-17 20:50:17',null);
INSERT INTO complaint_statuses VALUES('12391','3260','7','24','81','um  y ek try ki hai bloer unbalnce hai .mgr wo phr bhi  vibrtaion kr ra hai.aj dubar visit kerna hai',null,'79','79','2021-01-17 20:51:53','2021-01-17 20:51:53',null);
INSERT INTO complaint_statuses VALUES('12392','3776','2',null,'81',null,'17-JAN-2021
COM FF TO NADEEM AZHAR','92','92','2021-01-17 21:03:25','2021-01-17 21:17:57',null);
INSERT INTO complaint_statuses VALUES('12393','3776','4',null,'59',null,null,'81','81','2021-01-17 21:18:32','2021-01-17 21:18:32',null);
INSERT INTO complaint_statuses VALUES('12394','3777','3',null,'73',null,'17-JAN-2021
COM NO 3491','92','92','2021-01-17 21:38:04','2021-01-18 19:41:29',null);
INSERT INTO complaint_statuses VALUES('12395','3778','3',null,'66',null,'17-DEC-2021
COM NO PK012520210021
SAJID TCL','92','92','2021-01-17 21:43:40','2021-01-25 19:36:04',null);
INSERT INTO complaint_statuses VALUES('12396','3779','3',null,'52',null,'17-JAN-2021
COM NO PKRI-210117103087','92','92','2021-01-17 22:04:16','2021-01-17 22:06:47',null);
INSERT INTO complaint_statuses VALUES('12397','3780','2',null,'81',null,'17-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-17 22:13:03','2021-01-17 22:13:03',null);
INSERT INTO complaint_statuses VALUES('12398','3781','2',null,'81',null,'19-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-17 22:31:35','2021-01-17 22:31:35',null);
INSERT INTO complaint_statuses VALUES('12399','3782','3',null,'52',null,'17-JAN-2021
COM NO PKRI-210117103681','92','92','2021-01-17 22:39:03','2021-01-17 23:10:19',null);
INSERT INTO complaint_statuses VALUES('12400','3780','4',null,'63',null,null,'81','81','2021-01-17 22:40:32','2021-01-17 22:40:32',null);
INSERT INTO complaint_statuses VALUES('12401','3781','4',null,'58',null,null,'81','81','2021-01-17 22:41:37','2021-01-17 22:41:37',null);
INSERT INTO complaint_statuses VALUES('12402','3783','3',null,'61',null,'17-JAN-2021
COM NO 202101005332','92','92','2021-01-17 22:53:19','2021-01-17 22:53:19',null);
INSERT INTO complaint_statuses VALUES('12403','3784','2',null,'81',null,'17-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-17 22:59:01','2021-01-17 22:59:01',null);
INSERT INTO complaint_statuses VALUES('12404','3784','4',null,'63',null,null,'81','81','2021-01-17 23:05:15','2021-01-17 23:05:15',null);
INSERT INTO complaint_statuses VALUES('12405','3785','3',null,'53',null,'17-JAN-2021
COM NO 1080673','92','92','2021-01-18 01:07:42','2021-01-18 01:29:10',null);
INSERT INTO complaint_statuses VALUES('12406','3786','3',null,'57',null,'17-JAN-2021
COM NO 16039','92','92','2021-01-18 01:17:13','2021-01-18 01:23:53',null);
INSERT INTO complaint_statuses VALUES('12407','3787','3',null,'54',null,'17-JAN-2021
COM NO 1801237','92','92','2021-01-18 01:34:32','2021-01-18 01:37:02',null);
INSERT INTO complaint_statuses VALUES('12408','3729','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-18 01:38:58','2021-01-18 01:38:58',null);
INSERT INTO complaint_statuses VALUES('12409','3728','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-18 01:40:24','2021-01-18 01:40:24',null);
INSERT INTO complaint_statuses VALUES('12410','3723','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-18 01:50:34','2021-01-18 01:50:34',null);
INSERT INTO complaint_statuses VALUES('12411','3759','7','12','81','ISSUE RESOLVED ,DOOR SWITCH KA  ISSUE THA',null,'87','87','2021-01-18 02:04:14','2021-01-18 02:04:14',null);
INSERT INTO complaint_statuses VALUES('12412','3646','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-18 02:11:32','2021-01-18 02:11:32',null);
INSERT INTO complaint_statuses VALUES('12413','3637','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-18 02:20:10','2021-01-18 02:20:10',null);
INSERT INTO complaint_statuses VALUES('12414','3687','7','12','81','defrost kia hai',null,'79','79','2021-01-18 19:25:37','2021-01-18 19:25:37',null);
INSERT INTO complaint_statuses VALUES('12415','3355','7','12','81','no is powered off .in sy poch kr compliant complete kr dein  2 din sy try kr rehy hai',null,'79','79','2021-01-18 19:40:10','2021-01-18 19:40:10',null);
INSERT INTO complaint_statuses VALUES('12416','3788','2',null,'81',null,'18-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-18 20:04:23','2021-01-18 20:04:23',null);
INSERT INTO complaint_statuses VALUES('12417','3788','4',null,'55',null,null,'81','81','2021-01-18 20:06:39','2021-01-18 20:06:39',null);
INSERT INTO complaint_statuses VALUES('12418','3744','5','15',null,'completed complaint','COMPLETED COMPLAINT','81','74','2021-01-18 20:21:06','2021-01-18 20:22:12',null);
INSERT INTO complaint_statuses VALUES('12419','3789','2',null,'81',null,'18-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-18 20:21:39','2021-01-18 20:21:39',null);
INSERT INTO complaint_statuses VALUES('12420','3790','2',null,'81',null,'18-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-18 20:31:29','2021-01-18 20:31:29',null);
INSERT INTO complaint_statuses VALUES('12421','3791','3',null,'53',null,'18-JAN-2021
COM NO 301080747','92','92','2021-01-18 20:41:58','2021-01-18 20:45:56',null);
INSERT INTO complaint_statuses VALUES('12422','3789','4',null,'63',null,null,'81','81','2021-01-18 20:47:59','2021-01-18 20:47:59',null);
INSERT INTO complaint_statuses VALUES('12423','3790','4',null,'63',null,null,'81','81','2021-01-18 20:48:14','2021-01-18 20:48:14',null);
INSERT INTO complaint_statuses VALUES('12424','3792','3',null,'65',null,'18-JAN-2021
COM NO 192120260','92','92','2021-01-18 20:54:46','2021-01-18 21:04:35',null);
INSERT INTO complaint_statuses VALUES('12425','3715','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-18 20:58:33','2021-01-18 20:58:33',null);
INSERT INTO complaint_statuses VALUES('12426','3636','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-18 21:01:29','2021-01-18 21:01:29',null);
INSERT INTO complaint_statuses VALUES('12427','3730','7','12','81','Machin main koi probmlam.nhi tha chek karwa ky 800 ruppy',null,'82','82','2021-01-18 21:06:49','2021-01-18 21:06:49',null);
INSERT INTO complaint_statuses VALUES('12428','3759','5','15',null,'COMPLETED COMPLIANT','COMPLAINT REASOLVED','81','74','2021-01-18 21:15:33','2021-01-18 22:00:05',null);
INSERT INTO complaint_statuses VALUES('12429','3519','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-18 21:21:57','2021-01-18 21:21:57',null);
INSERT INTO complaint_statuses VALUES('12430','3794','2',null,'81',null,'18-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-18 21:25:56','2021-01-18 21:25:56',null);
INSERT INTO complaint_statuses VALUES('12431','3680','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-18 21:26:31','2021-01-18 21:26:31',null);
INSERT INTO complaint_statuses VALUES('12432','3794','4',null,'58',null,null,'81','81','2021-01-18 21:27:02','2021-01-18 21:27:02',null);
INSERT INTO complaint_statuses VALUES('12433','3557','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-18 21:29:03','2021-01-18 21:29:03',null);
INSERT INTO complaint_statuses VALUES('12434','3379','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-18 21:33:15','2021-01-18 21:33:15',null);
INSERT INTO complaint_statuses VALUES('12435','3314','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-18 21:48:37','2021-01-18 21:48:37',null);
INSERT INTO complaint_statuses VALUES('12436','3313','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-18 21:51:25','2021-01-18 21:51:25',null);
INSERT INTO complaint_statuses VALUES('12437','2691','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-18 21:53:19','2021-01-18 21:53:19',null);
INSERT INTO complaint_statuses VALUES('12438','3738','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-18 21:56:05','2021-01-18 21:56:05',null);
INSERT INTO complaint_statuses VALUES('12439','3734','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-18 22:06:43','2021-01-18 22:06:43',null);
INSERT INTO complaint_statuses VALUES('12440','3795','2',null,'81',null,'18-JAN-2021
COM  FF TO BEST COOL','92','92','2021-01-18 22:12:31','2021-01-18 22:12:31',null);
INSERT INTO complaint_statuses VALUES('12441','3795','4',null,'58',null,null,'81','81','2021-01-18 22:28:12','2021-01-18 22:28:12',null);
INSERT INTO complaint_statuses VALUES('12442','3427','5',null,null,'COMPLAINT  CLOSED',null,'74','74','2021-01-18 22:31:11','2021-01-18 22:31:11',null);
INSERT INTO complaint_statuses VALUES('12443','3687','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-01-18 22:39:48','2021-01-18 22:43:28',null);
INSERT INTO complaint_statuses VALUES('12444','3796','2',null,'81',null,'18-JAN-2021
COM NO 3500','92','92','2021-01-18 22:41:08','2021-01-18 22:41:08',null);
INSERT INTO complaint_statuses VALUES('12445','3631','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-01-18 22:41:23','2021-01-18 22:47:33',null);
INSERT INTO complaint_statuses VALUES('12446','3727','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-18 22:42:46','2021-01-20 19:44:43',null);
INSERT INTO complaint_statuses VALUES('12447','3796','4',null,'64',null,null,'81','81','2021-01-18 22:46:23','2021-01-18 22:46:23',null);
INSERT INTO complaint_statuses VALUES('12448','3796','4',null,'64',null,null,'81','81','2021-01-18 22:46:23','2021-01-18 22:46:23',null);
INSERT INTO complaint_statuses VALUES('12449','3731','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-18 22:49:57','2021-01-19 00:38:24',null);
INSERT INTO complaint_statuses VALUES('12450','3797','3',null,'52',null,'18-JAN-2021
COM NO PKRI-210118106808','92','92','2021-01-18 22:52:49','2021-01-18 23:26:37',null);
INSERT INTO complaint_statuses VALUES('12451','3798','3',null,'52',null,'18-JAN-2021
COM NO PKRI 210118106721','92','92','2021-01-18 23:20:11','2021-01-18 23:22:44',null);
INSERT INTO complaint_statuses VALUES('12452','3656','7','12','81','ISSUE RESOLVED , SERVICE KIA JUST',null,'87','87','2021-01-18 23:33:39','2021-01-18 23:33:39',null);
INSERT INTO complaint_statuses VALUES('12453','3630','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-18 23:56:20','2021-01-19 00:40:43',null);
INSERT INTO complaint_statuses VALUES('12454','3799','2',null,'81',null,'18-JAN-2021
COMPLAINT# 5062','74','74','2021-01-19 00:02:59','2021-01-19 00:02:59',null);
INSERT INTO complaint_statuses VALUES('12455','2298','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 00:03:54','2021-01-19 00:03:54',null);
INSERT INTO complaint_statuses VALUES('12456','3800','3',null,'52',null,'18-JAN-2021
COM NO PKRI-210118107552','92','92','2021-01-19 00:05:04','2021-01-19 00:35:41',null);
INSERT INTO complaint_statuses VALUES('12457','3801','2',null,'81',null,'18-JAN-2021
COMPLAINT#1770196','74','74','2021-01-19 00:06:33','2021-01-19 00:06:33',null);
INSERT INTO complaint_statuses VALUES('12458','2385','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 00:06:50','2021-01-19 00:06:50',null);
INSERT INTO complaint_statuses VALUES('12459','3656','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-19 00:09:42','2021-01-19 00:40:08',null);
INSERT INTO complaint_statuses VALUES('12460','3793','2',null,'81',null,null,'92','92','2021-01-19 00:10:11','2021-01-19 00:10:11',null);
INSERT INTO complaint_statuses VALUES('12461','3793','4',null,'64',null,null,'81','81','2021-01-19 00:10:31','2021-01-19 00:10:31',null);
INSERT INTO complaint_statuses VALUES('12462','3799','4',null,'64',null,null,'81','81','2021-01-19 00:10:46','2021-01-19 00:10:46',null);
INSERT INTO complaint_statuses VALUES('12463','3801','4',null,'64',null,null,'81','81','2021-01-19 00:11:02','2021-01-19 00:11:02',null);
INSERT INTO complaint_statuses VALUES('12464','3802','2',null,'81',null,'18-JAN-2021
COM NO 51131','74','74','2021-01-19 00:18:47','2021-01-19 00:18:47',null);
INSERT INTO complaint_statuses VALUES('12465','2843','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 00:19:11','2021-01-19 00:19:11',null);
INSERT INTO complaint_statuses VALUES('12466','3517','5','15',null,'COMPLAINT FF  B./COOL','COMPLAINT RESOLVED','81','92','2021-01-19 00:23:58','2021-01-19 00:46:33',null);
INSERT INTO complaint_statuses VALUES('12467','3632','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 00:34:08','2021-01-19 00:34:08',null);
INSERT INTO complaint_statuses VALUES('12468','3635','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 00:37:56','2021-01-19 00:37:56',null);
INSERT INTO complaint_statuses VALUES('12469','3627','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 00:42:25','2021-01-19 00:42:25',null);
INSERT INTO complaint_statuses VALUES('12470','3623','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 00:45:21','2021-01-19 00:45:21',null);
INSERT INTO complaint_statuses VALUES('12471','3803','2',null,'81',null,'18-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-19 00:46:11','2021-01-19 00:46:11',null);
INSERT INTO complaint_statuses VALUES('12472','3355','5','15',null,'REF TO S/C CUSTOMER SA BAT HO GEI HAIN WO BOL RAJAY HAIN K ABI TIME NAI MARAY PASS CLOSED KARWA DI COMPLAINT','COMPLAINT CLOSED','81','92','2021-01-19 00:56:14','2021-01-20 19:48:03',null);
INSERT INTO complaint_statuses VALUES('12473','3619','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 00:57:32','2021-01-19 00:57:32',null);
INSERT INTO complaint_statuses VALUES('12474','3804','2',null,'81',null,'18-JAN-2021
COMPLAINT#R.W.P-15569','74','74','2021-01-19 01:01:23','2021-01-19 01:01:23',null);
INSERT INTO complaint_statuses VALUES('12475','3805','3',null,'73',null,'18-JAN-2021
COM NO 3506','92','92','2021-01-19 01:01:27','2021-01-19 01:20:39',null);
INSERT INTO complaint_statuses VALUES('12476','1767','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 01:02:20','2021-01-19 01:02:20',null);
INSERT INTO complaint_statuses VALUES('12477','3655','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-19 01:07:26','2021-01-19 01:07:26',null);
INSERT INTO complaint_statuses VALUES('12478','3803','4',null,'58',null,null,'81','81','2021-01-19 01:16:12','2021-01-19 01:16:12',null);
INSERT INTO complaint_statuses VALUES('12479','3609','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 01:27:26','2021-01-19 01:27:26',null);
INSERT INTO complaint_statuses VALUES('12480','3801','7','12','81','INFORM TO BILAL , CONTACT TO BILAL MANZOOR FOR MISSING PLATES',null,'91','91','2021-01-19 01:34:26','2021-01-19 01:34:26',null);
INSERT INTO complaint_statuses VALUES('12481','3799','7','12','81','INFORM TO BILAL , CONTACT TO BILAL MANZOOR FOR MISSING PLATES',null,'91','91','2021-01-19 01:34:47','2021-01-19 01:34:47',null);
INSERT INTO complaint_statuses VALUES('12482','3606','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 01:50:18','2021-01-19 01:50:18',null);
INSERT INTO complaint_statuses VALUES('12483','3806','3',null,'52',null,'18-JAN-2021
COM NO PKRI-210118110346','92','92','2021-01-19 02:07:06','2021-01-19 02:35:06',null);
INSERT INTO complaint_statuses VALUES('12484','3753','7','12','81','cusotmer not paid visit charges',null,'79','79','2021-01-19 02:16:42','2021-01-19 02:16:42',null);
INSERT INTO complaint_statuses VALUES('12485','3801','8','23','64','OK',null,'81','81','2021-01-19 02:20:59','2021-01-19 02:20:59',null);
INSERT INTO complaint_statuses VALUES('12486','3807','3',null,'52',null,'18-JAN-2021
COM NO PKRI-210118110295','92','92','2021-01-19 02:29:59','2021-01-19 02:31:01',null);
INSERT INTO complaint_statuses VALUES('12487','3579','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 02:33:19','2021-01-19 02:33:19',null);
INSERT INTO complaint_statuses VALUES('12488','3808','2',null,'81',null,'18-JAN-2021
COM NO PKRI-210118110376','92','92','2021-01-19 02:38:04','2021-01-19 02:38:04',null);
INSERT INTO complaint_statuses VALUES('12489','3577','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 02:41:08','2021-01-19 02:41:08',null);
INSERT INTO complaint_statuses VALUES('12490','3809','2',null,'81',null,'18-JAN-2021
FF TO AZHAR FCI','74','74','2021-01-19 02:54:59','2021-01-19 02:54:59',null);
INSERT INTO complaint_statuses VALUES('12491','3809','4',null,'60',null,null,'81','81','2021-01-19 02:55:43','2021-01-19 02:55:43',null);
INSERT INTO complaint_statuses VALUES('12492','3810','2',null,'81',null,'19-JAN-2021
COM FF TO USMAN SIR','92','92','2021-01-19 19:43:46','2021-01-19 19:43:46',null);
INSERT INTO complaint_statuses VALUES('12493','3769','5',null,null,'COMPLAINT CLOSED','VISIT TO DAY 
 03455547896','74','92','2021-01-19 19:48:41','2021-01-20 19:39:27',null);
INSERT INTO complaint_statuses VALUES('12494','2107','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 19:49:29','2021-01-19 19:49:29',null);
INSERT INTO complaint_statuses VALUES('12495','3810','4',null,'61',null,null,'81','81','2021-01-19 19:52:29','2021-01-19 19:52:29',null);
INSERT INTO complaint_statuses VALUES('12496','3258','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 19:55:50','2021-01-19 19:55:50',null);
INSERT INTO complaint_statuses VALUES('12497','2900','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 19:58:28','2021-01-19 19:58:28',null);
INSERT INTO complaint_statuses VALUES('12498','2178','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 20:01:23','2021-01-19 20:01:23',null);
INSERT INTO complaint_statuses VALUES('12499','3746','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 20:03:35','2021-01-19 20:03:35',null);
INSERT INTO complaint_statuses VALUES('12500','3811','3',null,'55',null,'19-JAN-2021
COM NO 719064','92','92','2021-01-19 20:21:44','2021-01-19 20:21:44',null);
INSERT INTO complaint_statuses VALUES('12501','3776','7','22','81','panel main vertical line a rhe hy set s/c ay ga',null,'80','80','2021-01-19 20:25:31','2021-01-19 20:25:31',null);
INSERT INTO complaint_statuses VALUES('12502','3812','3',null,'66',null,'19-JAN-2021
COMPLAINT#PK011920210039
SHAKEEL SAB','74','74','2021-01-19 20:26:50','2021-01-30 22:35:55',null);
INSERT INTO complaint_statuses VALUES('12503','2945','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 20:28:13','2021-01-19 20:28:13',null);
INSERT INTO complaint_statuses VALUES('12504','3760','7','24','81','customer say bat hp gae hy set S/C py ay ag',null,'80','80','2021-01-19 20:30:35','2021-01-19 20:30:35',null);
INSERT INTO complaint_statuses VALUES('12505','3813','3',null,'53',null,'19-JAN-2021
COM NO 301081146','92','92','2021-01-19 20:37:17','2021-01-19 20:40:23',null);
INSERT INTO complaint_statuses VALUES('12506','3747','7','24','81','customer ka nom off hy set s/c ay ga',null,'80','80','2021-01-19 20:37:53','2021-01-19 20:37:53',null);
INSERT INTO complaint_statuses VALUES('12507','2961','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 20:39:28','2021-01-19 20:39:28',null);
INSERT INTO complaint_statuses VALUES('12508','3607','7','24','81','set office ay ga lkn customer k gar koe ni gy es lia customer abi tak set S/C ni lay ga',null,'80','80','2021-01-19 20:41:16','2021-01-19 20:41:16',null);
INSERT INTO complaint_statuses VALUES('12509','2299','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 20:45:46','2021-01-19 20:45:46',null);
INSERT INTO complaint_statuses VALUES('12510','3235','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 20:46:49','2021-01-19 20:46:49',null);
INSERT INTO complaint_statuses VALUES('12511','3253','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-19 20:51:52','2021-01-19 20:51:52',null);
INSERT INTO complaint_statuses VALUES('12512','3814','3',null,'52',null,'19-JAN-2021
COM NO PKRI-210119103733','92','92','2021-01-19 20:51:53','2021-01-19 20:58:07',null);
INSERT INTO complaint_statuses VALUES('12513','3276','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 20:58:33','2021-01-19 20:58:33',null);
INSERT INTO complaint_statuses VALUES('12514','3126','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 21:01:03','2021-01-19 21:01:03',null);
INSERT INTO complaint_statuses VALUES('12515','3815','2',null,'81',null,'19-JAN-2021
COM FF TO KHALID SONY','92','92','2021-01-19 21:06:56','2021-01-19 21:06:56',null);
INSERT INTO complaint_statuses VALUES('12516','3815','4',null,'56',null,null,'81','81','2021-01-19 21:13:10','2021-01-19 21:13:10',null);
INSERT INTO complaint_statuses VALUES('12517','2860','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 21:17:46','2021-01-19 21:17:46',null);
INSERT INTO complaint_statuses VALUES('12518','3751','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 21:18:45','2021-01-19 21:18:45',null);
INSERT INTO complaint_statuses VALUES('12519','3816','2',null,'81',null,'19-JAN-2021
COM FF TO AZHAR FCI','92','92','2021-01-19 21:28:10','2021-01-19 21:28:10',null);
INSERT INTO complaint_statuses VALUES('12520','3816','4',null,'60',null,null,'81','81','2021-01-19 21:30:07','2021-01-19 21:30:07',null);
INSERT INTO complaint_statuses VALUES('12521','3481','7','12','81','ye adil ko forerwd kry adil dekh raha ye',null,'79','79','2021-01-19 21:40:10','2021-01-19 21:40:10',null);
INSERT INTO complaint_statuses VALUES('12522','2819','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 21:45:21','2021-01-19 21:45:21',null);
INSERT INTO complaint_statuses VALUES('12523','3817','3',null,'66',null,'21-JAN-2020
COMPLAINT#PK011920210042 AHMED TCL','74','74','2021-01-19 21:51:17','2021-01-26 22:43:01',null);
INSERT INTO complaint_statuses VALUES('12524','3278','5',null,null,'COMPLAINT CLOSED',null,'74','92','2021-01-19 21:52:33','2021-03-11 17:03:58',null);
INSERT INTO complaint_statuses VALUES('12525','3818','2',null,'81',null,'19-JAN-2021
COM FF TO USMAN SIR','92','92','2021-01-19 22:00:25','2021-01-19 22:00:25',null);
INSERT INTO complaint_statuses VALUES('12526','3818','4',null,'61',null,null,'81','81','2021-01-19 22:04:14','2021-01-19 22:04:14',null);
INSERT INTO complaint_statuses VALUES('12527','3584','7','11','81','phone no k 12 digit hn',null,'80','80','2021-01-19 22:15:26','2021-01-19 22:15:26',null);
INSERT INTO complaint_statuses VALUES('12528','3455','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-19 22:16:16','2021-01-19 22:16:16',null);
INSERT INTO complaint_statuses VALUES('12529','3819','3',null,'53',null,'19-JAN-2021
COM NO 1081215','92','92','2021-01-19 22:19:45','2021-01-19 22:45:23',null);
INSERT INTO complaint_statuses VALUES('12530','3799','5','15',null,'COMPLETED  COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-19 22:19:52','2021-01-20 19:33:22',null);
INSERT INTO complaint_statuses VALUES('12531','3776','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-01-19 22:20:41','2021-01-19 22:20:41',null);
INSERT INTO complaint_statuses VALUES('12532','3760','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-01-19 22:21:17','2021-01-19 22:21:17',null);
INSERT INTO complaint_statuses VALUES('12533','3753','5','15',null,'CUSTOMER STILL CALL ATTEND NAI KAR RAHI','COMPLAINT RESOLVED','81','92','2021-01-19 22:23:49','2021-01-20 19:44:13',null);
INSERT INTO complaint_statuses VALUES('12534','3722','7','24','81','unit service center bijwa dain   show room py ok nahi ho ga  kal visit ho gaya ha wahan',null,'83','83','2021-01-19 22:28:41','2021-01-19 22:28:41',null);
INSERT INTO complaint_statuses VALUES('12535','3820','3',null,'54',null,'19-JAN-2021
COM NO 1802303','92','92','2021-01-19 22:30:03','2021-01-19 22:30:03',null);
INSERT INTO complaint_statuses VALUES('12536','3821','3',null,'52',null,'19-JAN-2021
COM NO PKRI-210119108181','92','92','2021-01-19 22:57:56','2021-01-20 00:54:47',null);
INSERT INTO complaint_statuses VALUES('12537','3822','2',null,'81',null,'19-JAN-2021
COM FF TO AZHAR FCI','92','92','2021-01-19 23:11:27','2021-01-19 23:11:27',null);
INSERT INTO complaint_statuses VALUES('12538','3823','2',null,'81',null,'19-JAN-2021
COM FF TO AZHAR FCI','92','92','2021-01-19 23:11:33','2021-01-19 23:11:33',null);
INSERT INTO complaint_statuses VALUES('12539','3824','2',null,'81',null,'19-JAN-2021
COM FF TO HOME SOLUTION','92','92','2021-01-19 23:21:10','2021-01-19 23:21:10',null);
INSERT INTO complaint_statuses VALUES('12540','3825','2',null,'81',null,'19-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-19 23:32:39','2021-01-19 23:32:39',null);
INSERT INTO complaint_statuses VALUES('12541','3825','4',null,'58',null,null,'81','81','2021-01-19 23:34:01','2021-01-19 23:34:01',null);
INSERT INTO complaint_statuses VALUES('12542','3824','4',null,'62',null,null,'81','81','2021-01-19 23:34:17','2021-01-19 23:34:17',null);
INSERT INTO complaint_statuses VALUES('12543','3823','4',null,'60',null,null,'81','81','2021-01-19 23:35:21','2021-01-19 23:35:21',null);
INSERT INTO complaint_statuses VALUES('12544','3816','7','24','81',null,null,'82','82','2021-01-19 23:35:26','2021-01-19 23:35:26',null);
INSERT INTO complaint_statuses VALUES('12545','3822','4',null,'60',null,null,'81','81','2021-01-19 23:35:53','2021-01-19 23:35:53',null);
INSERT INTO complaint_statuses VALUES('12546','3826','2',null,'81',null,'19-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-19 23:42:59','2021-01-19 23:42:59',null);
INSERT INTO complaint_statuses VALUES('12547','3713','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-20 00:18:56','2021-01-20 00:18:56',null);
INSERT INTO complaint_statuses VALUES('12548','3808','4',null,'64',null,null,'81','81','2021-01-20 00:35:22','2021-01-20 00:35:22',null);
INSERT INTO complaint_statuses VALUES('12549','3826','4',null,'58',null,null,'81','81','2021-01-20 00:35:42','2021-01-20 00:35:42',null);
INSERT INTO complaint_statuses VALUES('12550','2143','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-20 00:36:10','2021-01-20 00:36:10',null);
INSERT INTO complaint_statuses VALUES('12551','3823','7','12','81','Drain pippe  nikli huwi thi 
500 visit okay',null,'82','82','2021-01-20 00:48:38','2021-01-20 00:48:38',null);
INSERT INTO complaint_statuses VALUES('12552','3822','7','28','81',null,null,'82','82','2021-01-20 00:58:49','2021-01-20 00:58:49',null);
INSERT INTO complaint_statuses VALUES('12553','3771','7','12','81','Unit ok company warranty. Only service unit with customer',null,'77','77','2021-01-20 01:33:25','2021-01-20 01:33:25',null);
INSERT INTO complaint_statuses VALUES('12554','3590','7','12','81','Unit ok and unit with customer friends warranty. Customer has no warranty card',null,'77','77','2021-01-20 01:34:33','2021-01-20 01:34:33',null);
INSERT INTO complaint_statuses VALUES('12555','3673','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 01:38:08','2021-01-20 01:38:08',null);
INSERT INTO complaint_statuses VALUES('12556','3097','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 01:48:37','2021-01-20 01:48:37',null);
INSERT INTO complaint_statuses VALUES('12557','3618','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 02:02:54','2021-01-20 02:02:54',null);
INSERT INTO complaint_statuses VALUES('12558','3700','7','12','81','it`s costumer complaint... not our stock complaint',null,'91','91','2021-01-20 02:03:18','2021-01-20 02:03:18',null);
INSERT INTO complaint_statuses VALUES('12559','3827','2',null,'81',null,'19-JAN-2021
COM FF TO USMAN SIR','92','92','2021-01-20 02:03:29','2021-01-20 02:03:29',null);
INSERT INTO complaint_statuses VALUES('12560','3827','4',null,'61',null,null,'81','81','2021-01-20 02:06:16','2021-01-20 02:06:16',null);
INSERT INTO complaint_statuses VALUES('12561','3626','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 02:07:41','2021-01-20 02:07:41',null);
INSERT INTO complaint_statuses VALUES('12562','3828','3',null,'53',null,'19-JAN-2021
COMPLAINT#1081310','74','92','2021-01-20 02:12:43','2021-01-20 02:25:56',null);
INSERT INTO complaint_statuses VALUES('12563','3360','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2021-01-20 02:14:01','2021-01-20 19:46:39',null);
INSERT INTO complaint_statuses VALUES('12564','3829','2',null,'81',null,'19-JAN-2021
COM FF TO AZHAR FCI','92','92','2021-01-20 02:15:57','2021-01-20 02:15:57',null);
INSERT INTO complaint_statuses VALUES('12565','3829','4',null,'60',null,null,'81','81','2021-01-20 02:18:01','2021-01-20 02:18:01',null);
INSERT INTO complaint_statuses VALUES('12566','2235','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 02:37:43','2021-01-20 02:37:43',null);
INSERT INTO complaint_statuses VALUES('12567','2585','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 02:39:21','2021-01-20 02:39:21',null);
INSERT INTO complaint_statuses VALUES('12568','2968','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 02:42:45','2021-01-20 02:42:45',null);
INSERT INTO complaint_statuses VALUES('12569','3823','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-20 02:45:40','2021-01-20 19:32:50',null);
INSERT INTO complaint_statuses VALUES('12570','3822','8','23','60','YHA AIK CUSTOMER KO 2 COMPLAINT HAIN AIK SHAP DISHWASER HAIN &AIK SIGNATURE HOOD',null,'81','81','2021-01-20 02:46:57','2021-01-20 02:46:57',null);
INSERT INTO complaint_statuses VALUES('12571','3771','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-20 02:48:51','2021-01-20 19:41:45',null);
INSERT INTO complaint_statuses VALUES('12572','3830','2',null,'81',null,'19-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-20 02:50:26','2021-01-20 02:50:26',null);
INSERT INTO complaint_statuses VALUES('12573','3830','4',null,'63',null,null,'81','81','2021-01-20 02:59:27','2021-01-20 02:59:27',null);
INSERT INTO complaint_statuses VALUES('12574','3830','4',null,'63',null,null,'81','81','2021-01-20 02:59:27','2021-01-20 02:59:27',null);
INSERT INTO complaint_statuses VALUES('12575','3827','7','12','81','Panel dame ha is ka  
only visit 500/-',null,'83','83','2021-01-20 04:47:11','2021-01-20 04:47:11',null);
INSERT INTO complaint_statuses VALUES('12576','3621','7','12','81','compressor change unit deliver,comaplint reoslved',null,'79','79','2021-01-20 19:33:22','2021-01-20 19:33:22',null);
INSERT INTO complaint_statuses VALUES('12577','3831','2',null,'81',null,'20-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-20 20:01:39','2021-01-20 20:01:39',null);
INSERT INTO complaint_statuses VALUES('12578','3787','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 20:02:46','2021-01-20 20:02:46',null);
INSERT INTO complaint_statuses VALUES('12579','3831','4',null,'58',null,null,'81','81','2021-01-20 20:03:33','2021-01-20 20:03:33',null);
INSERT INTO complaint_statuses VALUES('12580','3787','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 20:06:44','2021-01-20 20:06:44',null);
INSERT INTO complaint_statuses VALUES('12581','3832','2',null,'81',null,'20-JAN-2021
COM NO 1081414','92','92','2021-01-20 20:14:13','2021-01-20 20:18:47',null);
INSERT INTO complaint_statuses VALUES('12582','3795','7','12','81','COMPLAINT REOSLVED INLET FILTER CLEAN',null,'79','79','2021-01-20 20:20:11','2021-01-20 20:20:11',null);
INSERT INTO complaint_statuses VALUES('12583','3785','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 20:31:30','2021-01-20 20:31:30',null);
INSERT INTO complaint_statuses VALUES('12584','3833','3',null,'52',null,'20-JAN-2021
COM NO PKRI-210120104098','92','92','2021-01-20 20:34:02','2021-01-20 21:39:46',null);
INSERT INTO complaint_statuses VALUES('12585','3783','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 20:37:30','2021-01-20 20:37:30',null);
INSERT INTO complaint_statuses VALUES('12586','2981','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 20:41:50','2021-01-20 20:41:50',null);
INSERT INTO complaint_statuses VALUES('12587','3834','3',null,'52',null,'20-JAN-2021
COM NO   PKRI-210120104201','92','92','2021-01-20 20:44:34','2021-01-20 21:43:30',null);
INSERT INTO complaint_statuses VALUES('12588','2978','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-20 20:49:53','2021-01-20 20:49:53',null);
INSERT INTO complaint_statuses VALUES('12589','2978','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-01-20 20:50:21','2021-01-20 20:50:21',null);
INSERT INTO complaint_statuses VALUES('12590','3795','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-20 20:52:41','2021-01-21 01:24:19',null);
INSERT INTO complaint_statuses VALUES('12591','1215','8','15','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-01-20 20:54:01','2021-01-20 20:54:01',null);
INSERT INTO complaint_statuses VALUES('12592','2529','8','23','60','CUSTOMER JAB PICK KAR LAY TAB COMPLETED KIJAY GA JOB',null,'81','81','2021-01-20 20:55:25','2021-01-20 20:55:25',null);
INSERT INTO complaint_statuses VALUES('12593','3835','2',null,'81',null,'20-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-20 20:55:31','2021-01-20 20:55:31',null);
INSERT INTO complaint_statuses VALUES('12594','3836','2',null,'81',null,'20-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-20 21:08:59','2021-01-20 21:08:59',null);
INSERT INTO complaint_statuses VALUES('12595','3836','4',null,'55',null,null,'81','81','2021-01-20 21:10:18','2021-01-20 21:10:18',null);
INSERT INTO complaint_statuses VALUES('12596','3835','4',null,'58',null,null,'81','81','2021-01-20 21:10:35','2021-01-20 21:10:35',null);
INSERT INTO complaint_statuses VALUES('12597','3832','4',null,'64',null,null,'81','81','2021-01-20 21:10:48','2021-01-20 21:10:48',null);
INSERT INTO complaint_statuses VALUES('12598','3832','4',null,'64',null,null,'81','81','2021-01-20 21:10:48','2021-01-20 21:10:48',null);
INSERT INTO complaint_statuses VALUES('12599','3534','7','12','81','set ok main board repair in S/C 
RS 1000',null,'80','80','2021-01-20 21:21:02','2021-01-20 21:21:02',null);
INSERT INTO complaint_statuses VALUES('12600','3837','3',null,'52',null,'20-JAN-2021
COM NO PKRI-210120104236','92','92','2021-01-20 21:22:20','2021-01-20 21:47:34',null);
INSERT INTO complaint_statuses VALUES('12601','3838','3',null,'53',null,'20-JAN-2021
COMPLAINT# 301081476','74','92','2021-01-20 21:23:06','2021-01-20 21:35:53',null);
INSERT INTO complaint_statuses VALUES('12602','3607','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-01-20 21:24:29','2021-01-20 21:24:29',null);
INSERT INTO complaint_statuses VALUES('12603','3584','8','23','59','03325551169',null,'81','81','2021-01-20 21:26:04','2021-01-20 21:26:04',null);
INSERT INTO complaint_statuses VALUES('12604','3607','7','12','81','problem not found only inspection charges 
Rs 1000',null,'80','80','2021-01-20 21:27:56','2021-01-20 21:27:56',null);
INSERT INTO complaint_statuses VALUES('12605','3839','3',null,'73',null,'20-JAN-2021
COM NO 3541','92','92','2021-01-20 21:28:52','2021-01-20 23:31:00',null);
INSERT INTO complaint_statuses VALUES('12606','3262','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 21:29:18','2021-01-20 21:29:18',null);
INSERT INTO complaint_statuses VALUES('12607','2037','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 21:34:59','2021-01-20 21:34:59',null);
INSERT INTO complaint_statuses VALUES('12608','3840','2',null,'81',null,'20-JAN-2021
FF TO HOME SOLUTION','74','74','2021-01-20 21:47:48','2021-01-20 21:47:48',null);
INSERT INTO complaint_statuses VALUES('12609','3840','4',null,'62',null,null,'81','81','2021-01-20 21:48:37','2021-01-20 21:48:37',null);
INSERT INTO complaint_statuses VALUES('12610','3766','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 21:54:27','2021-01-20 21:54:27',null);
INSERT INTO complaint_statuses VALUES('12611','2825','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 21:58:40','2021-01-20 21:58:40',null);
INSERT INTO complaint_statuses VALUES('12612','3779','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 22:00:20','2021-01-20 22:00:20',null);
INSERT INTO complaint_statuses VALUES('12613','3768','7','12','81','Inlet Pipe Adjustment.Visit Not Paid (600/-)',null,'76','76','2021-01-20 22:02:36','2021-01-20 22:02:36',null);
INSERT INTO complaint_statuses VALUES('12614','3000','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 22:03:25','2021-01-20 22:03:25',null);
INSERT INTO complaint_statuses VALUES('12615','3788','7','12','81','Drain Pipe Adjustment.',null,'76','76','2021-01-20 22:04:23','2021-01-20 22:04:23',null);
INSERT INTO complaint_statuses VALUES('12616','3841','3',null,'52',null,'20-JAN-2021
COM NO PKRI-210120104669','92','92','2021-01-20 22:08:57','2021-01-20 22:08:57',null);
INSERT INTO complaint_statuses VALUES('12617','3757','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 22:09:26','2021-01-20 22:09:26',null);
INSERT INTO complaint_statuses VALUES('12618','3756','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 22:10:01','2021-01-20 22:10:01',null);
INSERT INTO complaint_statuses VALUES('12619','3842','2',null,'81',null,'20-JAN-2021
COM FF TO AZHAR FCI','92','92','2021-01-20 22:11:59','2021-01-20 22:11:59',null);
INSERT INTO complaint_statuses VALUES('12620','3103','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 22:12:35','2021-01-20 22:12:35',null);
INSERT INTO complaint_statuses VALUES('12621','3842','4',null,'60',null,null,'81','81','2021-01-20 22:17:19','2021-01-20 22:17:19',null);
INSERT INTO complaint_statuses VALUES('12622','3788','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-20 22:19:50','2021-01-21 01:24:57',null);
INSERT INTO complaint_statuses VALUES('12623','3768','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-20 22:22:07','2021-01-21 01:27:31',null);
INSERT INTO complaint_statuses VALUES('12624','3843','3',null,'53',null,'20-JAN-2021
COM NO 30101081548','92','92','2021-01-20 22:32:53','2021-01-20 22:33:58',null);
INSERT INTO complaint_statuses VALUES('12625','3266','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 22:46:47','2021-01-20 22:46:47',null);
INSERT INTO complaint_statuses VALUES('12626','3844','3',null,'52',null,'20-JAN-2021
COM NO PKRI-210120107388','92','92','2021-01-20 22:47:57','2021-01-21 00:38:01',null);
INSERT INTO complaint_statuses VALUES('12627','3350','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 22:49:03','2021-01-20 22:49:03',null);
INSERT INTO complaint_statuses VALUES('12628','3845','3',null,'54',null,'20-JAN-2021
COM NO 1803006','92','92','2021-01-20 22:59:08','2021-01-21 00:34:09',null);
INSERT INTO complaint_statuses VALUES('12629','3211','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 22:59:41','2021-01-20 22:59:41',null);
INSERT INTO complaint_statuses VALUES('12630','3846','2',null,'81',null,'20-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-20 23:06:46','2021-01-20 23:06:46',null);
INSERT INTO complaint_statuses VALUES('12631','3846','4',null,'55',null,null,'81','81','2021-01-20 23:07:41','2021-01-20 23:07:41',null);
INSERT INTO complaint_statuses VALUES('12632','3847','3',null,'52',null,'20-JAN-2021
COM NO PKRI-210120107477','92','92','2021-01-20 23:12:33','2021-01-21 00:41:40',null);
INSERT INTO complaint_statuses VALUES('12633','3848','2',null,'81',null,'20-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-20 23:20:15','2021-01-20 23:20:15',null);
INSERT INTO complaint_statuses VALUES('12634','3356','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-20 23:39:55','2021-01-20 23:39:55',null);
INSERT INTO complaint_statuses VALUES('12635','3827','5','15',null,'ABDUL REHMAN KO PANALL KI PRICE 90000 BATA DI HAIN .
BUT PANAL ABI AVAIL NAI HAIN','COMPLAINT RESOLVED','81','92','2021-01-20 23:41:16','2021-01-21 01:32:35',null);
INSERT INTO complaint_statuses VALUES('12636','3621','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-20 23:44:12','2021-01-21 01:28:45',null);
INSERT INTO complaint_statuses VALUES('12637','3590','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-20 23:48:26','2021-01-21 01:31:09',null);
INSERT INTO complaint_statuses VALUES('12638','3534','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-20 23:52:52','2021-01-23 00:21:41',null);
INSERT INTO complaint_statuses VALUES('12639','3849','3',null,'53',null,'20-JAN-2021
COM NO 301081581','92','92','2021-01-21 00:07:51','2021-01-21 00:12:40',null);
INSERT INTO complaint_statuses VALUES('12640','3848','4',null,'58',null,null,'81','81','2021-01-21 00:13:31','2021-01-21 00:13:31',null);
INSERT INTO complaint_statuses VALUES('12641','3824','7','12','81','COILKA PIPE DAMAGE THA NOW RESOLVED',null,'87','87','2021-01-21 00:21:17','2021-01-21 00:21:17',null);
INSERT INTO complaint_statuses VALUES('12642','3850','3',null,'52',null,'20-JAN-2021
COM NO PKRI-210120107536','92','92','2021-01-21 00:22:21','2021-01-21 00:45:04',null);
INSERT INTO complaint_statuses VALUES('12643','3366','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-21 00:29:42','2021-01-21 00:29:42',null);
INSERT INTO complaint_statuses VALUES('12644','3810','7','12','81','Panel Defective   
Panel not available.   informed to customer',null,'83','83','2021-01-21 00:33:00','2021-01-21 00:33:00',null);
INSERT INTO complaint_statuses VALUES('12645','2921','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-21 00:35:27','2021-01-21 00:35:27',null);
INSERT INTO complaint_statuses VALUES('12646','3516','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-21 00:57:50','2021-01-21 00:57:50',null);
INSERT INTO complaint_statuses VALUES('12647','3818','7','24','81','ya unit kahan ha',null,'83','83','2021-01-21 01:03:42','2021-01-21 01:03:42',null);
INSERT INTO complaint_statuses VALUES('12648','3589','7','12','81','Internet problem   unit working ok on mobile hotspot   
only visit',null,'83','83','2021-01-21 01:04:34','2021-01-21 01:04:34',null);
INSERT INTO complaint_statuses VALUES('12649','3829','7','12','81','Gezar okay thy 1000 visit lye hy',null,'82','82','2021-01-21 01:13:04','2021-01-21 01:13:04',null);
INSERT INTO complaint_statuses VALUES('12650','3822','7','24','81','Okay',null,'82','82','2021-01-21 01:14:01','2021-01-21 01:14:01',null);
INSERT INTO complaint_statuses VALUES('12651','3428','7','24','81','Is customer ny repeated complaint ki thi   ya masla hal ho gaha  plz confirm',null,'83','83','2021-01-21 01:14:54','2021-01-21 01:14:54',null);
INSERT INTO complaint_statuses VALUES('12652','3735','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-21 01:40:33','2021-01-21 01:40:33',null);
INSERT INTO complaint_statuses VALUES('12653','3736','7','24','81','MWO Ready Please Payment Ka Conform Kr dein k Customer Pay Kray Ga.',null,'76','76','2021-01-21 01:45:32','2021-01-21 01:45:32',null);
INSERT INTO complaint_statuses VALUES('12654','3851','3',null,'52',null,'20-JAN-2021
COM NO PKRI-210120108512','92','92','2021-01-21 01:45:58','2021-01-21 01:45:58',null);
INSERT INTO complaint_statuses VALUES('12655','3852','3',null,'52',null,'20-JAN-2021
COM NO PKRI-210120108733','92','92','2021-01-21 01:55:18','2021-01-21 02:00:37',null);
INSERT INTO complaint_statuses VALUES('12656','3853','2',null,'81',null,'20-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-21 02:21:59','2021-01-21 02:21:59',null);
INSERT INTO complaint_statuses VALUES('12657','3854','2',null,'81',null,'20-JAN-2021
FF TO HOME SOLUTION','74','74','2021-01-21 02:22:03','2021-01-21 02:22:03',null);
INSERT INTO complaint_statuses VALUES('12658','3854','4',null,'62',null,'05-DEC-2020','81','74','2021-01-21 02:22:28','2021-01-21 02:29:20',null);
INSERT INTO complaint_statuses VALUES('12659','3853','4',null,'63',null,null,'81','81','2021-01-21 02:24:03','2021-01-21 02:24:03',null);
INSERT INTO complaint_statuses VALUES('12660','3855','2',null,'81',null,'20-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-21 02:32:30','2021-01-21 02:32:30',null);
INSERT INTO complaint_statuses VALUES('12661','3829','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-21 02:37:32','2021-01-23 00:13:35',null);
INSERT INTO complaint_statuses VALUES('12662','3824','8','23','62','COMPLAINT ABI PROPER RESOLVED NAI HOI  KINDLY PROPER COMPLINT ATTEND KARWA K COMPLETED KIYA KARAY COMPLINT',null,'81','81','2021-01-21 02:40:12','2021-01-21 02:40:12',null);
INSERT INTO complaint_statuses VALUES('12663','3810','5','15',null,'CUSTOMER KO INFORMED KAR DIA HAIN K PANAL NOT AVAILABLE 
JOB CLOSED KARWA DI CUSTOMER NA','COMPLAINT CLOSED','81','74','2021-01-21 02:42:17','2021-01-23 00:14:45',null);
INSERT INTO complaint_statuses VALUES('12664','3856','2',null,'81',null,'20-JAN-2021
COM FF TO HOME SOLUTION','92','92','2021-01-21 02:43:15','2021-01-21 02:43:15',null);
INSERT INTO complaint_statuses VALUES('12665','3856','4',null,'62',null,null,'81','81','2021-01-21 02:45:27','2021-01-21 02:45:27',null);
INSERT INTO complaint_statuses VALUES('12666','3855','4',null,'58',null,null,'81','81','2021-01-21 02:45:47','2021-01-21 02:45:47',null);
INSERT INTO complaint_statuses VALUES('12667','3840','7','12','81','FRIDGE BILKUL OK HAI,JUST CUSTOMER KO DEMO DI',null,'87','87','2021-01-21 02:45:58','2021-01-21 02:45:58',null);
INSERT INTO complaint_statuses VALUES('12668','3857','3',null,'73',null,'20-JAN-2021
COM NO 3548','92','92','2021-01-21 02:52:41','2021-01-21 19:48:30',null);
INSERT INTO complaint_statuses VALUES('12669','3853','7','26','81','CUSTOMER SIDE SA CANCEL COMPAINT',null,'88','88','2021-01-21 02:55:29','2021-01-21 02:55:29',null);
INSERT INTO complaint_statuses VALUES('12670','3858','3',null,'54',null,'20-JAN-2021
COM NO 1803237','92','92','2021-01-21 03:00:47','2021-01-21 19:44:10',null);
INSERT INTO complaint_statuses VALUES('12671','3581','7','12','81','Gezar okay karky custmer ky ghar laga dia hy',null,'82','82','2021-01-21 19:46:11','2021-01-21 19:46:11',null);
INSERT INTO complaint_statuses VALUES('12672','3809','7','26','81','Kuch log aye thy techno ki tarf sy un sy nhi theek huwa plz compny sy rabta kry disply problam hy',null,'82','82','2021-01-21 19:47:25','2021-01-21 19:47:25',null);
INSERT INTO complaint_statuses VALUES('12673','2529','7','26','81','Plz custmer ki tarf sy daer hy aap cansal kar dy theek karwana huwa khod hi bhej dy gy aab','COMPLAINT CLOSED','82','74','2021-01-21 19:48:48','2021-01-23 00:31:06',null);
INSERT INTO complaint_statuses VALUES('12674','1215','7','24','81','Machin samsang servis center bhejy 2ya 3din lagy gy',null,'82','82','2021-01-21 19:50:49','2021-01-21 19:50:49',null);
INSERT INTO complaint_statuses VALUES('12675','3856','7','12','81','ISSUE RESOLVED',null,'87','87','2021-01-21 19:51:08','2021-01-21 19:51:08',null);
INSERT INTO complaint_statuses VALUES('12676','3853','5','25',null,'CUSTOMER NA COMPLAINT CANCEL KARWA DI','COMPLAINT CLOSED','81','74','2021-01-21 19:53:17','2021-01-22 23:58:44',null);
INSERT INTO complaint_statuses VALUES('12677','3859','3',null,'66',null,'21-JAN-2021
COM NO PK012120210027','92','92','2021-01-21 20:02:06','2021-01-21 20:02:06',null);
INSERT INTO complaint_statuses VALUES('12678','3856','5','15',null,'SHOWROOM PA VISIT HO GAY HAIN ISSUE RESOLVED','COMPLAINT  RESOLVED','81','74','2021-01-21 20:05:45','2021-01-22 23:57:45',null);
INSERT INTO complaint_statuses VALUES('12679','2302','7','26','81','Plz.ye  complain  closed kar custmer btay gy to theek kary gy',null,'82','82','2021-01-21 20:07:23','2021-01-21 20:07:23',null);
INSERT INTO complaint_statuses VALUES('12680','3622','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-21 20:10:20','2021-01-21 20:10:20',null);
INSERT INTO complaint_statuses VALUES('12681','3842','7','24','81',null,null,'82','82','2021-01-21 20:11:09','2021-01-21 20:11:09',null);
INSERT INTO complaint_statuses VALUES('12682','3749','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-21 20:14:34','2021-01-21 20:14:34',null);
INSERT INTO complaint_statuses VALUES('12683','3825','7','12','81','ye filter na compny k pas hai  or na markit',null,'79','79','2021-01-21 20:16:54','2021-01-21 20:16:54',null);
INSERT INTO complaint_statuses VALUES('12684','3860','3',null,'52',null,'21-JAN-2021
COM NO PKRI-210121102311','92','92','2021-01-21 20:17:14','2021-01-21 20:17:14',null);
INSERT INTO complaint_statuses VALUES('12685','3826','7','22','81','refer to service center .sound issue',null,'79','79','2021-01-21 20:17:35','2021-01-21 20:17:35',null);
INSERT INTO complaint_statuses VALUES('12686','3854','7','12','81','ISSUE RESOLVED',null,'87','87','2021-01-21 20:18:58','2021-01-21 20:18:58',null);
INSERT INTO complaint_statuses VALUES('12687','3781','7','12','81','fan motor change .compliant reoslved',null,'79','79','2021-01-21 20:19:52','2021-01-21 20:19:52',null);
INSERT INTO complaint_statuses VALUES('12688','3861','2',null,'81',null,'21-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-21 20:47:11','2021-01-21 20:47:11',null);
INSERT INTO complaint_statuses VALUES('12689','3733','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-21 20:54:42','2021-01-21 20:54:42',null);
INSERT INTO complaint_statuses VALUES('12690','3840','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-21 20:56:14','2021-01-23 00:12:59',null);
INSERT INTO complaint_statuses VALUES('12691','3862','3',null,'59',null,'21-JAN-2021
COM NO 4240955340','92','92','2021-01-21 20:57:53','2021-01-24 22:14:35',null);
INSERT INTO complaint_statuses VALUES('12692','3862','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-21 21:15:45','2021-01-21 21:15:45',null);
INSERT INTO complaint_statuses VALUES('12693','3854','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-21 21:16:57','2021-01-22 23:58:14',null);
INSERT INTO complaint_statuses VALUES('12694','3794','7','12','81','no  issue in gzr complant resolved',null,'79','79','2021-01-21 21:20:36','2021-01-21 21:20:36',null);
INSERT INTO complaint_statuses VALUES('12695','3720','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-21 21:21:15','2021-01-21 21:21:15',null);
INSERT INTO complaint_statuses VALUES('12696','3811','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-21 21:37:09','2021-01-21 21:37:09',null);
INSERT INTO complaint_statuses VALUES('12697','3807','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-21 21:38:50','2021-01-21 21:38:50',null);
INSERT INTO complaint_statuses VALUES('12698','3863','2',null,'81',null,'21-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-21 21:42:37','2021-01-21 21:42:37',null);
INSERT INTO complaint_statuses VALUES('12699','3863','4',null,'58',null,null,'81','81','2021-01-21 21:43:59','2021-01-21 21:43:59',null);
INSERT INTO complaint_statuses VALUES('12700','3861','4',null,'55',null,null,'81','81','2021-01-21 21:44:37','2021-01-21 21:44:37',null);
INSERT INTO complaint_statuses VALUES('12701','3861','4',null,'55',null,null,'81','81','2021-01-21 21:44:37','2021-01-21 21:44:37',null);
INSERT INTO complaint_statuses VALUES('12702','3825','8','23','58','SAMART ZOON KA PASS YHA PART AVAIL HAIN DEMAND KARWA DAY AP PARTS KI',null,'81','81','2021-01-21 21:45:13','2021-01-21 21:45:13',null);
INSERT INTO complaint_statuses VALUES('12703','3741','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-21 22:02:45','2021-01-21 22:02:45',null);
INSERT INTO complaint_statuses VALUES('12704','3864','3',null,'52',null,'21-JAN-2021
COM NO PKRI-210121104833','92','92','2021-01-21 22:09:26','2021-01-21 22:11:26',null);
INSERT INTO complaint_statuses VALUES('12705','3719','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-21 22:14:25','2021-01-21 22:14:25',null);
INSERT INTO complaint_statuses VALUES('12706','3842','8','23','60','explain problem',null,'81','81','2021-01-21 22:15:53','2021-01-21 22:15:53',null);
INSERT INTO complaint_statuses VALUES('12707','3826','8','23','58','model ? and explain problem',null,'81','81','2021-01-21 22:17:55','2021-01-21 22:17:55',null);
INSERT INTO complaint_statuses VALUES('12708','3865','3',null,'73',null,'21-JAN-2021
COM NO#3553','92','92','2021-01-21 22:18:11','2021-02-04 17:31:02',null);
INSERT INTO complaint_statuses VALUES('12709','3822','8','23','60',null,null,'81','81','2021-01-21 22:18:27','2021-01-21 22:18:27',null);
INSERT INTO complaint_statuses VALUES('12710','3842','7','12','81','Plumbring hand sy masla hy gezar okay hy.no visit charg',null,'82','82','2021-01-21 22:19:52','2021-01-21 22:19:52',null);
INSERT INTO complaint_statuses VALUES('12711','3816','8','23','60','explain priblem',null,'81','81','2021-01-21 22:19:54','2021-01-21 22:19:54',null);
INSERT INTO complaint_statuses VALUES('12712','3736','8','23','55','payment customer karen gey','HEAT GUN CHANGE HOI  HAIN FRIENDS WARRANTY','81','74','2021-01-21 22:24:45','2021-01-22 01:19:55',null);
INSERT INTO complaint_statuses VALUES('12713','3541','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-21 22:25:12','2021-01-21 22:25:12',null);
INSERT INTO complaint_statuses VALUES('12714','3702','8','23','55',null,null,'81','81','2021-01-21 22:28:18','2021-01-21 22:28:18',null);
INSERT INTO complaint_statuses VALUES('12715','3794','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-21 22:29:24','2021-01-23 00:15:37',null);
INSERT INTO complaint_statuses VALUES('12716','3260','8','23','58',null,null,'81','81','2021-01-21 22:29:51','2021-01-21 22:29:51',null);
INSERT INTO complaint_statuses VALUES('12717','2557','8','23','60','i-10 sy lay len',null,'81','81','2021-01-21 22:31:08','2021-01-21 22:31:08',null);
INSERT INTO complaint_statuses VALUES('12718','1215','8','23','60',null,null,'81','81','2021-01-21 22:31:30','2021-01-21 22:31:30',null);
INSERT INTO complaint_statuses VALUES('12719','3770','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-21 22:32:02','2021-01-21 22:32:02',null);
INSERT INTO complaint_statuses VALUES('12720','3842','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-21 22:33:29','2021-01-23 00:01:03',null);
INSERT INTO complaint_statuses VALUES('12721','3866','2',null,'81',null,'21-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-21 22:34:05','2021-01-21 22:34:05',null);
INSERT INTO complaint_statuses VALUES('12722','3762','7','24','81','Saturday ko visit krna ha  as per customer',null,'83','83','2021-01-21 22:36:37','2021-01-21 22:36:37',null);
INSERT INTO complaint_statuses VALUES('12723','3867','2',null,'81',null,'21-JAN-2021
COM NO PKRI-210121106281','92','92','2021-01-21 22:38:28','2021-01-21 23:46:24',null);
INSERT INTO complaint_statuses VALUES('12724','3781','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-21 22:39:23','2021-01-23 00:16:19',null);
INSERT INTO complaint_statuses VALUES('12725','3868','2',null,'81',null,'21-JAN-2021
COM NO PKRI-210121106296','92','92','2021-01-21 22:40:47','2021-01-21 23:47:07',null);
INSERT INTO complaint_statuses VALUES('12726','3730','5','15',null,'CUSTOMER STILL NOT ATTEND CALL ABDUL REHMAN SA CONFIRM KAR KA COMPLIANT COMPLETED KI','COMPLAINT RESOLVED','81','74','2021-01-21 22:41:38','2021-01-23 00:18:15',null);
INSERT INTO complaint_statuses VALUES('12727','3700','5','15',null,'BY MISTAKE COMPLETED HO GEI','COMPLAINT  CLOSED','81','74','2021-01-21 22:43:21','2021-01-23 00:19:02',null);
INSERT INTO complaint_statuses VALUES('12728','3726','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-21 22:51:56','2021-01-21 22:51:56',null);
INSERT INTO complaint_statuses VALUES('12729','3869','2',null,'81',null,'21-JAN-2021
COM FF TO HOME SOLUTION','92','92','2021-01-21 22:52:42','2021-01-21 22:52:42',null);
INSERT INTO complaint_statuses VALUES('12730','3869','4',null,'62',null,null,'81','81','2021-01-21 22:53:46','2021-01-21 22:53:46',null);
INSERT INTO complaint_statuses VALUES('12731','3607','5','15',null,'COMPLETED COMPLAINT','COMPLAINT  RESOLVED','81','74','2021-01-21 22:59:33','2021-01-23 00:20:03',null);
INSERT INTO complaint_statuses VALUES('12732','3612','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-21 23:01:07','2021-01-21 23:01:07',null);
INSERT INTO complaint_statuses VALUES('12733','3870','2',null,'81',null,'21-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-21 23:02:43','2021-01-21 23:02:43',null);
INSERT INTO complaint_statuses VALUES('12734','3871','2',null,'81',null,'21-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-21 23:13:52','2021-01-21 23:13:52',null);
INSERT INTO complaint_statuses VALUES('12735','3872','3',null,'52',null,'21-JAN-2021
COM NO PKRI-210121106338','92','92','2021-01-21 23:19:59','2021-01-21 23:49:37',null);
INSERT INTO complaint_statuses VALUES('12736','3873','3',null,'52',null,'21-JAN-2021
COM NO PKRI-210121107270 
COMPLAINT NO 210124100045','92','92','2021-01-21 23:30:12','2021-01-25 02:31:00',null);
INSERT INTO complaint_statuses VALUES('12737','3874','2',null,'81',null,'21-JAN-2021
COM FF TO HOME SOLUTION','92','92','2021-01-21 23:35:06','2021-01-22 02:07:41',null);
INSERT INTO complaint_statuses VALUES('12738','3708','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-21 23:45:31','2021-01-21 23:45:31',null);
INSERT INTO complaint_statuses VALUES('12739','3712','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-21 23:46:48','2021-01-21 23:46:48',null);
INSERT INTO complaint_statuses VALUES('12740','3871','4',null,'55',null,null,'81','81','2021-01-21 23:51:10','2021-01-21 23:51:10',null);
INSERT INTO complaint_statuses VALUES('12741','3870','4',null,'55',null,null,'81','81','2021-01-21 23:51:30','2021-01-21 23:51:30',null);
INSERT INTO complaint_statuses VALUES('12742','3868','4',null,'64',null,null,'81','81','2021-01-21 23:51:42','2021-01-21 23:51:42',null);
INSERT INTO complaint_statuses VALUES('12743','3867','4',null,'64',null,null,'81','81','2021-01-21 23:51:54','2021-01-21 23:51:54',null);
INSERT INTO complaint_statuses VALUES('12744','3866','4',null,'63',null,null,'81','81','2021-01-21 23:52:08','2021-01-21 23:52:08',null);
INSERT INTO complaint_statuses VALUES('12745','3875','3',null,'80',null,'21-JAN-2021
COM FF TO AMNA BOSCH','92','92','2021-01-21 23:56:04','2021-01-21 23:56:04',null);
INSERT INTO complaint_statuses VALUES('12746','2150','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-22 00:12:08','2021-01-22 00:12:08',null);
INSERT INTO complaint_statuses VALUES('12747','3876','3',null,'55',null,'21-JAN-2021
COM NO ISB-11070','92','92','2021-01-22 00:15:07','2021-01-22 01:11:02',null);
INSERT INTO complaint_statuses VALUES('12748','3764','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-22 00:16:08','2021-01-22 00:16:08',null);
INSERT INTO complaint_statuses VALUES('12749','3806','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-22 00:23:16','2021-01-22 00:23:16',null);
INSERT INTO complaint_statuses VALUES('12750','3760','7','24','81','set in s/c 
issue no power',null,'80','80','2021-01-22 00:27:12','2021-01-22 00:27:12',null);
INSERT INTO complaint_statuses VALUES('12751','3589','8','23','61','CUSTOMER K ISSUE NOT RESOLVED KINDLY VISIT ARRANGE KARWAY',null,'81','81','2021-01-22 00:27:34','2021-01-22 00:27:34',null);
INSERT INTO complaint_statuses VALUES('12752','3421','7','12','81','set service center py customer ly k aya tha 
set ok ho gea hy main board dal dia hy',null,'80','80','2021-01-22 00:28:16','2021-01-22 00:28:16',null);
INSERT INTO complaint_statuses VALUES('12753','3776','7','24','81','cusotmer friday ko set hmary s/c ly k ay ga',null,'80','80','2021-01-22 00:30:04','2021-01-22 00:30:04',null);
INSERT INTO complaint_statuses VALUES('12754','3581','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-22 00:32:01','2021-01-23 00:20:51',null);
INSERT INTO complaint_statuses VALUES('12755','3760','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-01-22 00:33:57','2021-01-22 00:33:57',null);
INSERT INTO complaint_statuses VALUES('12756','3877','2',null,'81',null,'21-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-22 00:36:44','2021-01-22 00:36:44',null);
INSERT INTO complaint_statuses VALUES('12757','3800','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-22 00:38:04','2021-01-22 00:38:04',null);
INSERT INTO complaint_statuses VALUES('12758','3878','3',null,'52',null,'21-JAN-2021
COM NO PKRI-210121107231','92','92','2021-01-22 00:39:21','2021-01-24 23:10:49',null);
INSERT INTO complaint_statuses VALUES('12759','3797','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-22 00:41:14','2021-01-22 00:41:14',null);
INSERT INTO complaint_statuses VALUES('12760','3877','4',null,'58',null,null,'81','81','2021-01-22 00:41:36','2021-01-22 00:41:36',null);
INSERT INTO complaint_statuses VALUES('12761','3776','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-01-22 00:42:19','2021-01-22 00:42:19',null);
INSERT INTO complaint_statuses VALUES('12762','3762','8','23','61','OK',null,'81','81','2021-01-22 00:42:54','2021-01-22 00:42:54',null);
INSERT INTO complaint_statuses VALUES('12763','3380','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-22 00:44:45','2021-01-22 00:44:45',null);
INSERT INTO complaint_statuses VALUES('12764','3747','8','23','59','PARTS JAILDE ARRANGE KARAY',null,'81','81','2021-01-22 00:47:02','2021-01-22 00:47:02',null);
INSERT INTO complaint_statuses VALUES('12765','3414','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-22 00:47:56','2021-01-22 00:47:56',null);
INSERT INTO complaint_statuses VALUES('12766','3879','3',null,'73',null,'21-JAN-2021
COM NO 3556','92','92','2021-01-22 00:55:01','2021-01-26 21:08:52',null);
INSERT INTO complaint_statuses VALUES('12767','3552','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-22 01:12:41','2021-01-22 01:12:41',null);
INSERT INTO complaint_statuses VALUES('12768','3818','8','23','61','CUSTOMER K PASS HAIN',null,'81','81','2021-01-22 01:20:14','2021-01-22 01:20:14',null);
INSERT INTO complaint_statuses VALUES('12769','3722','8','23','61','AP KINDLY KHUD PICK KARWA LAY',null,'81','81','2021-01-22 01:21:33','2021-01-22 01:21:33',null);
INSERT INTO complaint_statuses VALUES('12770','3481','5','15',null,'IC COMPLAINT KO COMPLETED NI KARNA MOTER NOT AVAIL 
JOB CLOSED NI  KARNA MISS ARREBA','PART NOT AVAIL INFORMED BY CUSTOMER','81','74','2021-01-22 01:22:46','2021-02-23 18:07:53',null);
INSERT INTO complaint_statuses VALUES('12771','3428','8','23','61','CUSTOMER KA ISSUE RESOLVED NAI HOA KINDLY AGAIN CONTACT KARAY CUSTOMER SA',null,'81','81','2021-01-22 01:24:55','2021-01-22 01:24:55',null);
INSERT INTO complaint_statuses VALUES('12772','3421','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-01-22 01:26:20','2021-01-23 00:23:06',null);
INSERT INTO complaint_statuses VALUES('12773','2529','5','15',null,'CUSTOMER SIDE SA DELAY COMPLAINT 
 JOB CLOSED',null,'81','81','2021-01-22 01:29:20','2021-01-22 01:29:20',null);
INSERT INTO complaint_statuses VALUES('12774','2302','5','15',null,'CUSTOMER ABI AGREE NAI HAIN COMPLAINT ATTEND KARWANAY MAIN','COMPLAINT CLOSED','81','74','2021-01-22 01:31:31','2021-01-24 00:31:26',null);
INSERT INTO complaint_statuses VALUES('12775','3880','3',null,'57',null,'21-JAN-2021
COM NO 16149','92','92','2021-01-22 01:46:19','2021-01-22 01:46:19',null);
INSERT INTO complaint_statuses VALUES('12776','3881','2',null,'81',null,'21-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-22 01:56:34','2021-01-22 01:56:34',null);
INSERT INTO complaint_statuses VALUES('12777','3881','4',null,'55',null,null,'81','81','2021-01-22 01:59:45','2021-01-22 01:59:45',null);
INSERT INTO complaint_statuses VALUES('12778','3882','2',null,'81',null,'21-JAN-2021
COM FF TO KHALID SONY','92','92','2021-01-22 02:12:55','2021-01-22 02:12:55',null);
INSERT INTO complaint_statuses VALUES('12779','3883','3',null,'73',null,'21-JAN-2021
COM NO 3360','92','92','2021-01-22 02:29:15','2021-01-22 02:29:15',null);
INSERT INTO complaint_statuses VALUES('12780','3882','4',null,'56',null,null,'81','81','2021-01-22 02:31:27','2021-01-22 02:31:27',null);
INSERT INTO complaint_statuses VALUES('12781','3874','4',null,'62',null,null,'81','81','2021-01-22 02:31:41','2021-01-22 02:31:41',null);
INSERT INTO complaint_statuses VALUES('12782','3831','7','12','81','compliant resolved.no issue in gzr',null,'79','79','2021-01-22 03:03:16','2021-01-22 03:03:16',null);
INSERT INTO complaint_statuses VALUES('12783','3835','7','12','81','compliant reoslved .ignition issue',null,'79','79','2021-01-22 03:11:53','2021-01-22 03:11:53',null);
INSERT INTO complaint_statuses VALUES('12784','3848','7','22','81','compressor issue',null,'79','79','2021-01-22 03:14:21','2021-01-22 03:14:21',null);
INSERT INTO complaint_statuses VALUES('12785','3869','7','12','81','ISSUE RESOLVED',null,'87','87','2021-01-22 04:33:45','2021-01-22 04:33:45',null);
INSERT INTO complaint_statuses VALUES('12786','2557','7','12','81','Oven theek kar ky custmer ky ghar chla gea hy',null,'82','82','2021-01-22 20:16:00','2021-01-22 20:16:00',null);
INSERT INTO complaint_statuses VALUES('12787','3884','2',null,'81',null,'22-JAN-2021
FF TO AZHAR FCI','74','74','2021-01-22 21:15:50','2021-01-22 21:15:50',null);
INSERT INTO complaint_statuses VALUES('12788','3884','4',null,'60',null,null,'81','81','2021-01-22 21:16:29','2021-01-22 21:16:29',null);
INSERT INTO complaint_statuses VALUES('12789','3885','3',null,'66',null,'22-JAN-2021
COMPLAINT#PK012220210029','74','74','2021-01-22 21:26:06','2021-01-22 21:26:06',null);
INSERT INTO complaint_statuses VALUES('12790','3886','3',null,'53',null,'22-JAN-2021
COMPLAINT#1081969','74','74','2021-01-22 21:54:19','2021-01-22 21:54:19',null);
INSERT INTO complaint_statuses VALUES('12791','3740','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-22 23:39:53','2021-01-22 23:39:53',null);
INSERT INTO complaint_statuses VALUES('12792','3732','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-22 23:46:13','2021-01-22 23:46:13',null);
INSERT INTO complaint_statuses VALUES('12793','3869','5','15',null,'COMPLAINT  COMPLETED','COMPLAINT RESOLVED','81','74','2021-01-22 23:49:32','2021-01-22 23:51:09',null);
INSERT INTO complaint_statuses VALUES('12794','3707','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-23 00:00:27','2021-01-23 00:00:27',null);
INSERT INTO complaint_statuses VALUES('12795','3887','2',null,'81',null,'22-JAN-2021
FF TO KHURRAM 5 STAR','74','74','2021-01-23 00:10:11','2021-01-23 00:10:11',null);
INSERT INTO complaint_statuses VALUES('12796','3887','4',null,'63',null,null,'81','81','2021-01-23 00:11:21','2021-01-23 00:11:21',null);
INSERT INTO complaint_statuses VALUES('12797','3835','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-23 00:24:55','2021-01-23 00:29:16',null);
INSERT INTO complaint_statuses VALUES('12798','3831','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-23 00:27:18','2021-01-23 00:30:06',null);
INSERT INTO complaint_statuses VALUES('12799','2557','5','15',null,'CUSTOMER CALL ATTEND NI KAR RAHAY','COMPLAINT RESOLVED','81','74','2021-01-23 00:36:02','2021-01-24 00:29:40',null);
INSERT INTO complaint_statuses VALUES('12800','3830','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-23 00:49:15','2021-01-23 00:49:15',null);
INSERT INTO complaint_statuses VALUES('12801','3830','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-01-23 00:51:13','2021-01-24 00:02:38',null);
INSERT INTO complaint_statuses VALUES('12802','2359','7','12','81','Unit ok. Pls collect.',null,'77','77','2021-01-23 00:57:33','2021-01-23 00:57:33',null);
INSERT INTO complaint_statuses VALUES('12803','3888','3',null,'66',null,'22-JAN-2021
COMPLAINT#PK012220210067','74','74','2021-01-23 01:14:58','2021-01-23 01:14:58',null);
INSERT INTO complaint_statuses VALUES('12804','3820','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-23 01:18:23','2021-01-23 01:18:23',null);
INSERT INTO complaint_statuses VALUES('12805','3855','7','12','81','complaint resolved',null,'79','79','2021-01-23 19:24:22','2021-01-23 19:24:22',null);
INSERT INTO complaint_statuses VALUES('12806','3884','7','24','81',null,null,'82','82','2021-01-23 19:47:28','2021-01-23 19:47:28',null);
INSERT INTO complaint_statuses VALUES('12807','3624','7','12','81','Drain Heater Replaced',null,'76','76','2021-01-23 20:29:49','2021-01-23 20:29:49',null);
INSERT INTO complaint_statuses VALUES('12808','3736','7','12','81','mica Sheet Replaced , and Heat Gun Repaired Charges Pending (1000) According to the Customer Invoice DOP 11-JUN-202.',null,'76','76','2021-01-23 20:31:58','2021-01-23 20:31:58',null);
INSERT INTO complaint_statuses VALUES('12809','3889','3',null,'53',null,'23-JAN-2020
COMPLAINT#301082127','74','92','2021-01-23 20:35:02','2021-01-23 20:38:10',null);
INSERT INTO complaint_statuses VALUES('12810','3671','7','12','81','complaint resolved door hinges change',null,'79','79','2021-01-23 20:43:42','2021-01-23 20:43:42',null);
INSERT INTO complaint_statuses VALUES('12811','3890','3',null,'52',null,'23-JAN-2021
COM NO PKRI-210123103664','92','92','2021-01-23 21:09:02','2021-01-23 21:14:34',null);
INSERT INTO complaint_statuses VALUES('12812','3858','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-23 21:30:13','2021-01-23 21:30:13',null);
INSERT INTO complaint_statuses VALUES('12813','3722','7','12','81','Back light repair RS 3000/-     
plz unit pic krwa lain',null,'83','83','2021-01-23 21:33:40','2021-01-23 21:33:40',null);
INSERT INTO complaint_statuses VALUES('12814','3739','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-23 21:49:07','2021-01-23 21:49:07',null);
INSERT INTO complaint_statuses VALUES('12815','3502','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-23 21:56:23','2021-01-23 21:56:23',null);
INSERT INTO complaint_statuses VALUES('12816','3861','7','12','81','Thermostat Adjustment (Visit Not Paid 600/-)',null,'76','76','2021-01-23 22:07:11','2021-01-23 22:07:11',null);
INSERT INTO complaint_statuses VALUES('12817','3891','3',null,'52',null,'23-JAN-2021
COM NO PKRI-210123104914','92','92','2021-01-23 22:10:24','2021-01-23 22:13:39',null);
INSERT INTO complaint_statuses VALUES('12818','3855','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-23 22:17:53','2021-01-24 00:02:06',null);
INSERT INTO complaint_statuses VALUES('12819','3861','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-01-23 22:18:53','2021-01-24 00:01:32',null);
INSERT INTO complaint_statuses VALUES('12820','3736','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-23 22:20:47','2021-01-24 00:25:55',null);
INSERT INTO complaint_statuses VALUES('12821','3671','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-23 22:22:47','2021-01-24 00:26:43',null);
INSERT INTO complaint_statuses VALUES('12822','3624','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-23 22:26:48','2021-01-24 00:28:40',null);
INSERT INTO complaint_statuses VALUES('12823','3576','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-23 22:29:11','2021-01-23 22:29:11',null);
INSERT INTO complaint_statuses VALUES('12824','3874','7','26','81','FRWD TO BOSCH COMPANY',null,'87','87','2021-01-23 22:34:23','2021-01-23 22:34:23',null);
INSERT INTO complaint_statuses VALUES('12825','3892','3',null,'80',null,'23-JAN-2021
FF TO AMNA','74','74','2021-01-23 22:36:32','2021-01-23 22:36:32',null);
INSERT INTO complaint_statuses VALUES('12826','3893','2',null,'81',null,'23-JAN-2021
COM FF TO ASIF ARISTON','92','92','2021-01-23 22:43:22','2021-01-23 22:49:29',null);
INSERT INTO complaint_statuses VALUES('12827','3893','4',null,'64',null,null,'81','81','2021-01-23 22:50:04','2021-01-23 22:50:04',null);
INSERT INTO complaint_statuses VALUES('12828','3894','2',null,'81',null,'23-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-23 23:08:20','2021-01-23 23:08:20',null);
INSERT INTO complaint_statuses VALUES('12829','3895','3',null,'54',null,'23-JAN-2021
COM NO 1804308','92','92','2021-01-23 23:28:05','2021-01-23 23:28:05',null);
INSERT INTO complaint_statuses VALUES('12830','3525','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-23 23:55:51','2021-01-23 23:55:51',null);
INSERT INTO complaint_statuses VALUES('12831','3896','3',null,'52',null,'23-JAN-2021
COM NO PKRI-210123106781','92','92','2021-01-23 23:56:53','2021-01-24 01:37:27',null);
INSERT INTO complaint_statuses VALUES('12832','3752','7','12','81','COMPLETED COMPLIANT',null,'88','88','2021-01-23 23:57:57','2021-01-23 23:57:57',null);
INSERT INTO complaint_statuses VALUES('12833','3752','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-23 23:59:49','2021-01-24 00:06:52',null);
INSERT INTO complaint_statuses VALUES('12834','3894','4',null,'63',null,null,'81','81','2021-01-24 00:00:16','2021-01-24 00:00:16',null);
INSERT INTO complaint_statuses VALUES('12835','3514','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-24 00:05:51','2021-01-24 00:05:51',null);
INSERT INTO complaint_statuses VALUES('12836','3881','7','12','81','No Fault found During Inspection.',null,'76','76','2021-01-24 00:06:16','2021-01-24 00:06:16',null);
INSERT INTO complaint_statuses VALUES('12837','3897','2',null,'81',null,'23-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-24 00:13:44','2021-01-24 00:13:44',null);
INSERT INTO complaint_statuses VALUES('12838','3898','2',null,'81',null,'23-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-24 00:16:45','2021-01-24 00:16:45',null);
INSERT INTO complaint_statuses VALUES('12839','3897','4',null,'55',null,null,'81','81','2021-01-24 00:18:20','2021-01-24 00:18:20',null);
INSERT INTO complaint_statuses VALUES('12840','3898','4',null,'55',null,null,'81','81','2021-01-24 00:18:43','2021-01-24 00:18:43',null);
INSERT INTO complaint_statuses VALUES('12841','3899','2',null,'81',null,'23-JAN-2021
FF TO HOME SOLUTION','74','74','2021-01-24 00:22:11','2021-01-24 00:22:11',null);
INSERT INTO complaint_statuses VALUES('12842','3899','4',null,'62',null,null,'81','81','2021-01-24 00:22:53','2021-01-24 00:22:53',null);
INSERT INTO complaint_statuses VALUES('12843','3874','5','25',null,'COMPLAINT FF TO BOACH COMPANY','COMPLAINT RESOLVED','81','74','2021-01-24 00:23:27','2021-01-24 00:24:43',null);
INSERT INTO complaint_statuses VALUES('12844','3900','3',null,'52',null,'23-JAN-2021
COM NO PKRI-210123107258','92','92','2021-01-24 00:24:32','2021-01-24 00:25:48',null);
INSERT INTO complaint_statuses VALUES('12845','3901','2',null,'81',null,'23-JAN-2021
COM NO 1804382','92','92','2021-01-24 00:48:05','2021-01-24 00:54:56',null);
INSERT INTO complaint_statuses VALUES('12846','3902','2',null,'81',null,'23-JAN-2021
COM NO 1804381','92','92','2021-01-24 00:48:12','2021-01-24 00:53:44',null);
INSERT INTO complaint_statuses VALUES('12847','3901','4',null,'64',null,null,'81','81','2021-01-24 00:58:22','2021-01-24 00:58:22',null);
INSERT INTO complaint_statuses VALUES('12848','3902','4',null,'64',null,'VISIT HO GAY HAIN REF TO S/C','81','74','2021-01-24 00:58:33','2021-01-26 20:54:39',null);
INSERT INTO complaint_statuses VALUES('12849','3903','3',null,'73',null,'23-JAN-2021
COM NO 3589','92','92','2021-01-24 01:10:33','2021-01-24 01:10:33',null);
INSERT INTO complaint_statuses VALUES('12850','3904','2',null,'81',null,'23-JAN-2021
COM FF TO KHALID SONY','92','92','2021-01-24 01:19:18','2021-01-24 01:19:18',null);
INSERT INTO complaint_statuses VALUES('12851','3904','4',null,'56',null,null,'81','81','2021-01-24 01:21:53','2021-01-24 01:21:53',null);
INSERT INTO complaint_statuses VALUES('12852','3905','3',null,'66',null,'23-JAN-2021
COM FF TO KASHIF TCL','92','92','2021-01-24 01:33:28','2021-01-26 01:26:18',null);
INSERT INTO complaint_statuses VALUES('12853','3906','2',null,'81',null,'23-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-24 02:13:45','2021-01-24 02:13:45',null);
INSERT INTO complaint_statuses VALUES('12854','3906','4',null,'55',null,null,'81','81','2021-01-24 02:14:46','2021-01-24 02:14:46',null);
INSERT INTO complaint_statuses VALUES('12855','3907','3',null,'52',null,'23-JAN-2021
COM NO PKRI-210124101822','92','92','2021-01-24 02:33:19','2021-01-24 20:43:49',null);
INSERT INTO complaint_statuses VALUES('12856','3908','3',null,'80',null,'23-JAN-2021
FF TO AMNA BOACH','74','92','2021-01-24 02:39:48','2021-01-27 20:19:28',null);
INSERT INTO complaint_statuses VALUES('12857','3824','7','12','81','ISSUE RESOLVED',null,'87','87','2021-01-24 03:54:14','2021-01-24 03:54:14',null);
INSERT INTO complaint_statuses VALUES('12858','3762','7','12','81','COMPLET BACK LIGHT WITH LGS REPALCED  RS 12000/- 
UNIT WIHT CUSOTMER PLZ CLOSE JOB',null,'83','83','2021-01-24 06:54:41','2021-01-24 06:54:41',null);
INSERT INTO complaint_statuses VALUES('12859','3909','3',null,'65',null,'24-JAN-2021
COM NO 192120409','92','92','2021-01-24 19:56:35','2021-01-24 20:33:23',null);
INSERT INTO complaint_statuses VALUES('12860','3079','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-24 19:59:38','2021-01-24 19:59:38',null);
INSERT INTO complaint_statuses VALUES('12861','3910','3',null,'53',null,'24-JAN-2021
COM NO 1082272','92','92','2021-01-24 20:09:11','2021-01-24 20:26:55',null);
INSERT INTO complaint_statuses VALUES('12862','3899','7','12','81','Issue resolved.thermostate replaced',null,'87','87','2021-01-24 20:40:51','2021-01-24 20:40:51',null);
INSERT INTO complaint_statuses VALUES('12863','2276','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-24 22:11:30','2021-01-24 22:11:30',null);
INSERT INTO complaint_statuses VALUES('12864','3911','3',null,'52',null,'24-JAN-2021
COM NO PKRI-210124103584','92','92','2021-01-24 22:37:43','2021-01-24 23:14:01',null);
INSERT INTO complaint_statuses VALUES('12865','3912','2',null,'81',null,'24-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-24 22:51:29','2021-01-24 22:51:29',null);
INSERT INTO complaint_statuses VALUES('12866','3912','4',null,'63',null,null,'81','81','2021-01-24 22:53:53','2021-01-24 22:53:53',null);
INSERT INTO complaint_statuses VALUES('12867','3912','4',null,'63',null,null,'81','81','2021-01-24 22:53:53','2021-01-24 22:53:53',null);
INSERT INTO complaint_statuses VALUES('12868','3913','3',null,'52',null,'24-JAN-2021
COM NO PKRI-21024103673','92','92','2021-01-24 23:19:21','2021-01-24 23:23:48',null);
INSERT INTO complaint_statuses VALUES('12869','3877','7','10','81','sat ko tev gaya aj ka time tha ab subha sy cll pick nahi kr rhy',null,'79','79','2021-01-24 23:23:01','2021-01-24 23:23:01',null);
INSERT INTO complaint_statuses VALUES('12870','3914','3',null,'90',null,'24-JAN-2021
COM NO 26','92','92','2021-01-25 00:24:57','2021-01-25 19:41:12',null);
INSERT INTO complaint_statuses VALUES('12871','3915','3',null,'52',null,'24-JAN-2021
COM NO PKRI-210124104654','92','92','2021-01-25 01:05:56','2021-01-25 01:05:56',null);
INSERT INTO complaint_statuses VALUES('12872','3670','7','12','81','ISSUE RESOLVED , HEATER REPLACED',null,'87','87','2021-01-25 01:39:46','2021-01-25 01:39:46',null);
INSERT INTO complaint_statuses VALUES('12873','3916','3',null,'73',null,'24-JAN-2021
COM  NO 3598','92','92','2021-01-25 02:05:27','2021-01-25 19:30:37',null);
INSERT INTO complaint_statuses VALUES('12874','3884','8','23','60','please complete this job quickly',null,'81','81','2021-01-25 02:10:33','2021-01-25 02:10:33',null);
INSERT INTO complaint_statuses VALUES('12875','3848','8','23','58',null,null,'81','81','2021-01-25 02:12:12','2021-01-25 02:12:12',null);
INSERT INTO complaint_statuses VALUES('12876','3917','2',null,'81',null,'24-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-25 02:21:35','2021-01-25 02:21:35',null);
INSERT INTO complaint_statuses VALUES('12877','3917','4',null,'63',null,null,'81','81','2021-01-25 02:22:33','2021-01-25 02:22:33',null);
INSERT INTO complaint_statuses VALUES('12878','3884','7','24','81','Budh waly din machin uthani hy',null,'82','82','2021-01-25 19:56:01','2021-01-25 19:56:01',null);
INSERT INTO complaint_statuses VALUES('12879','3822','7','10','81',null,null,'82','82','2021-01-25 19:57:15','2021-01-25 19:57:15',null);
INSERT INTO complaint_statuses VALUES('12880','3918','2',null,'81',null,'25-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-25 19:57:28','2021-01-25 19:57:28',null);
INSERT INTO complaint_statuses VALUES('12881','3748','7','24','81',null,null,'82','82','2021-01-25 19:58:21','2021-01-25 19:58:21',null);
INSERT INTO complaint_statuses VALUES('12882','1215','7','24','81',null,null,'82','82','2021-01-25 20:07:29','2021-01-25 20:07:29',null);
INSERT INTO complaint_statuses VALUES('12883','3919','2',null,'81',null,'25-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-25 20:08:24','2021-01-25 20:08:24',null);
INSERT INTO complaint_statuses VALUES('12884','3918','4',null,'55',null,null,'81','81','2021-01-25 20:10:07','2021-01-25 20:10:07',null);
INSERT INTO complaint_statuses VALUES('12885','3918','4',null,'55',null,null,'81','81','2021-01-25 20:10:07','2021-01-25 20:10:07',null);
INSERT INTO complaint_statuses VALUES('12886','3919','4',null,'58',null,null,'81','81','2021-01-25 20:10:22','2021-01-25 20:10:22',null);
INSERT INTO complaint_statuses VALUES('12887','3878','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-25 20:10:29','2021-01-25 20:10:29',null);
INSERT INTO complaint_statuses VALUES('12888','3841','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-25 20:22:29','2021-01-25 20:22:29',null);
INSERT INTO complaint_statuses VALUES('12889','3872','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-25 20:28:42','2021-01-25 20:28:42',null);
INSERT INTO complaint_statuses VALUES('12890','3919','7','22','81','is ka andle nai hai .ye complaint br br  Q BNA REHY HAIN.',null,'79','79','2021-01-25 20:32:18','2021-01-25 20:32:18',null);
INSERT INTO complaint_statuses VALUES('12891','3920','3',null,'52',null,'25-JAN-2021
COM NO PKRI-210125102786','92','92','2021-01-25 20:33:51','2021-01-28 19:48:29',null);
INSERT INTO complaint_statuses VALUES('12892','3921','3',null,'53',null,'25-JAN-2021
COM NO 301082421','92','92','2021-01-25 20:48:04','2021-01-25 20:48:04',null);
INSERT INTO complaint_statuses VALUES('12893','3864','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-25 20:51:18','2021-01-25 20:51:18',null);
INSERT INTO complaint_statuses VALUES('12894','3887','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-25 20:54:24','2021-01-25 20:54:24',null);
INSERT INTO complaint_statuses VALUES('12895','3887','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-25 20:56:03','2021-01-25 21:01:29',null);
INSERT INTO complaint_statuses VALUES('12896','3852','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-25 21:00:49','2021-01-25 21:00:49',null);
INSERT INTO complaint_statuses VALUES('12897','3922','3',null,'52',null,'25-JAN-2021
COM NO PKRI-210125103848','92','92','2021-01-25 21:04:39','2021-01-25 21:05:51',null);
INSERT INTO complaint_statuses VALUES('12898','3899','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-25 21:05:55','2021-01-25 23:05:25',null);
INSERT INTO complaint_statuses VALUES('12899','3881','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-25 21:07:06','2021-01-25 23:06:01',null);
INSERT INTO complaint_statuses VALUES('12900','3877','8','23','58','JOB COMPLETED QUKILEY',null,'81','81','2021-01-25 21:08:18','2021-01-25 21:08:18',null);
INSERT INTO complaint_statuses VALUES('12901','3824','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-01-25 21:10:43','2021-01-25 23:07:51',null);
INSERT INTO complaint_statuses VALUES('12902','3886','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-25 21:11:40','2021-01-25 21:11:40',null);
INSERT INTO complaint_statuses VALUES('12903','3822','8','23','60','CUSTOMER  SA BAT HO GEI HAIN KINDLY AGAIN CONTACT KAR K VISIT ARRANGE KARWAY',null,'81','81','2021-01-25 21:15:58','2021-01-25 21:15:58',null);
INSERT INTO complaint_statuses VALUES('12904','3851','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-25 21:22:35','2021-01-25 21:22:35',null);
INSERT INTO complaint_statuses VALUES('12905','3923','3',null,'52',null,'25-JAN-2021
COM NO PKRI-210125104434','92','92','2021-01-25 21:25:08','2021-01-25 21:27:41',null);
INSERT INTO complaint_statuses VALUES('12906','3850','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-25 21:42:37','2021-01-25 21:42:37',null);
INSERT INTO complaint_statuses VALUES('12907','3924','3',null,'93',null,'25-JAN-2021
COM FF TO ZAHID MIDAS','92','92','2021-01-25 21:45:42','2021-02-18 12:14:35',null);
INSERT INTO complaint_statuses VALUES('12908','3925','2',null,'81',null,'25-JAN-2021
COM FF TO SONY KHALID','92','92','2021-01-25 22:05:54','2021-01-25 22:05:54',null);
INSERT INTO complaint_statuses VALUES('12909','3925','4',null,'56',null,null,'81','81','2021-01-25 22:06:41','2021-01-25 22:06:41',null);
INSERT INTO complaint_statuses VALUES('12910','3762','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-25 22:07:31','2021-01-25 23:08:39',null);
INSERT INTO complaint_statuses VALUES('12911','3844','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-25 22:08:18','2021-01-25 22:08:18',null);
INSERT INTO complaint_statuses VALUES('12912','3629','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-25 22:13:40','2021-01-25 22:13:40',null);
INSERT INTO complaint_statuses VALUES('12913','3926','2',null,'81',null,'25-JAN-2021
COM FF TO AZHAR FCI','92','92','2021-01-25 22:16:07','2021-01-25 22:16:07',null);
INSERT INTO complaint_statuses VALUES('12914','3837','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-25 22:19:56','2021-01-25 22:19:56',null);
INSERT INTO complaint_statuses VALUES('12915','3926','4',null,'60',null,null,'81','81','2021-01-25 22:20:46','2021-01-25 22:20:46',null);
INSERT INTO complaint_statuses VALUES('12916','3722','8','23','61','JOB COMPLETED QUKILEY  SET ABI TESTING PA HAIN',null,'81','81','2021-01-25 22:22:41','2021-01-25 22:22:41',null);
INSERT INTO complaint_statuses VALUES('12917','3927','3',null,'65',null,'25-JAN-2021
COM NO 192120434','92','92','2021-01-25 22:26:40','2021-01-25 22:29:41',null);
INSERT INTO complaint_statuses VALUES('12918','3833','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-25 22:29:50','2021-01-25 22:29:50',null);
INSERT INTO complaint_statuses VALUES('12919','3928','3',null,'52',null,'25-JAN-2021
COM NO PKRI-210125108045','92','92','2021-01-25 22:47:32','2021-01-26 00:41:05',null);
INSERT INTO complaint_statuses VALUES('12920','3929','2',null,'81',null,'25-JAN-2021
COM FF TO HOME SOLUTION','92','92','2021-01-25 22:56:20','2021-01-25 22:56:20',null);
INSERT INTO complaint_statuses VALUES('12921','3647','7','12','81','W/M S/C SA READY HO K SAJID SAB K PASS AAI',null,'91','91','2021-01-25 22:57:10','2021-01-25 22:57:10',null);
INSERT INTO complaint_statuses VALUES('12922','3929','4',null,'62',null,null,'81','81','2021-01-25 22:58:01','2021-01-25 22:58:01',null);
INSERT INTO complaint_statuses VALUES('12923','3647','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-25 22:58:27','2021-01-25 23:09:19',null);
INSERT INTO complaint_statuses VALUES('12924','3643','7','12','81','W/M S/C SA READY HO K WAPISE SAJID SAB K PASS AAI',null,'91','91','2021-01-25 22:59:54','2021-01-25 22:59:54',null);
INSERT INTO complaint_statuses VALUES('12925','3643','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-25 23:00:46','2021-01-25 23:10:00',null);
INSERT INTO complaint_statuses VALUES('12926','3737','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-01-25 23:02:43','2021-01-25 23:02:43',null);
INSERT INTO complaint_statuses VALUES('12927','3737','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-25 23:03:44','2021-01-25 23:04:50',null);
INSERT INTO complaint_statuses VALUES('12928','3930','3',null,'66',null,'25-JAN-2021
COM  NO PK012520210076
SAJID TCL','92','92','2021-01-25 23:05:34','2021-01-25 23:06:44',null);
INSERT INTO complaint_statuses VALUES('12929','3893','7','12','81','AZEEM SAB NA YHA GEYSER SALE KAR DIA COMPLAINT RESOLVED',null,'91','91','2021-01-25 23:20:34','2021-01-25 23:20:34',null);
INSERT INTO complaint_statuses VALUES('12930','3893','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-25 23:21:01','2021-01-25 23:23:25',null);
INSERT INTO complaint_statuses VALUES('12931','3931','2',null,'81',null,'25-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-25 23:21:58','2021-01-25 23:21:58',null);
INSERT INTO complaint_statuses VALUES('12932','3714','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-25 23:30:16','2021-01-25 23:30:16',null);
INSERT INTO complaint_statuses VALUES('12933','3714','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-25 23:31:28','2021-01-26 00:01:46',null);
INSERT INTO complaint_statuses VALUES('12934','3932','3',null,'65',null,'25-JAN-2021
COM NO 192120436','92','92','2021-01-25 23:37:25','2021-01-25 23:39:50',null);
INSERT INTO complaint_statuses VALUES('12935','3933','2',null,'81',null,'25-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-25 23:49:04','2021-02-02 01:16:02',null);
INSERT INTO complaint_statuses VALUES('12936','3754','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-25 23:49:52','2021-01-25 23:49:52',null);
INSERT INTO complaint_statuses VALUES('12937','3754','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-25 23:50:48','2021-01-26 00:01:17',null);
INSERT INTO complaint_statuses VALUES('12938','3789','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-25 23:52:20','2021-01-25 23:52:20',null);
INSERT INTO complaint_statuses VALUES('12939','3789','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-01-25 23:53:21','2021-01-26 00:00:45',null);
INSERT INTO complaint_statuses VALUES('12940','3790','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-25 23:55:24','2021-01-25 23:55:24',null);
INSERT INTO complaint_statuses VALUES('12941','3790','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-25 23:56:37','2021-01-26 00:00:20',null);
INSERT INTO complaint_statuses VALUES('12942','3934','2',null,'81',null,'25-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-26 00:09:27','2021-01-26 00:09:27',null);
INSERT INTO complaint_statuses VALUES('12943','3935','3',null,'55',null,'25-JAN-2021
COM NO 721260','92','92','2021-01-26 00:21:52','2021-01-26 00:25:17',null);
INSERT INTO complaint_statuses VALUES('12944','3936','3',null,'52',null,'25-JAN-2021
COM NO PKRI-210125108096','92','92','2021-01-26 00:36:47','2021-01-26 00:43:17',null);
INSERT INTO complaint_statuses VALUES('12945','3931','4',null,'63',null,null,'81','81','2021-01-26 00:46:12','2021-01-26 00:46:12',null);
INSERT INTO complaint_statuses VALUES('12946','3933','4',null,'63',null,null,'81','81','2021-01-26 00:46:34','2021-01-26 00:46:34',null);
INSERT INTO complaint_statuses VALUES('12947','3934','4',null,'58',null,null,'81','81','2021-01-26 00:46:50','2021-01-26 00:46:50',null);
INSERT INTO complaint_statuses VALUES('12948','3939','3',null,'54',null,'25-JAN-2021
COM NO 1805407','92','92','2021-01-26 01:02:39','2021-01-26 01:04:47',null);
INSERT INTO complaint_statuses VALUES('12949','3809','5','15',null,'COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-01-26 01:11:05','2021-01-26 20:45:02',null);
INSERT INTO complaint_statuses VALUES('12950','3940','3',null,'55',null,'25-JAN-2021
COM NO RWP-17772','92','92','2021-01-26 01:18:29','2021-01-26 01:20:17',null);
INSERT INTO complaint_statuses VALUES('12951','3941','3',null,'52',null,'25-JAN-2021
COM NO PKRI-210125110119','92','92','2021-01-26 02:34:53','2021-01-26 02:34:53',null);
INSERT INTO complaint_statuses VALUES('12952','3942','3',null,'93',null,'25-JAN-2021
COM FF TO ZAHID MIDAS','92','92','2021-01-26 02:42:30','2021-01-26 02:42:30',null);
INSERT INTO complaint_statuses VALUES('12953','3882','7','12','81','unit ok and with customer',null,'77','77','2021-01-26 02:52:06','2021-01-26 02:52:06',null);
INSERT INTO complaint_statuses VALUES('12954','3877','7','12','81','sokit issue complaint reosolved',null,'79','79','2021-01-26 05:26:31','2021-01-26 05:26:31',null);
INSERT INTO complaint_statuses VALUES('12955','3399','7','12','81','complint reoslved unit dilvered compressor chnage',null,'79','79','2021-01-26 05:28:39','2021-01-26 05:28:39',null);
INSERT INTO complaint_statuses VALUES('12956','3848','7','12','81','compliant resolved.compressor chnage.unit dilevered',null,'79','79','2021-01-26 05:31:41','2021-01-26 05:31:41',null);
INSERT INTO complaint_statuses VALUES('12957','3943','2',null,'81',null,'26-JAN-2021
COM FF TO USMAN MRM','92','92','2021-01-26 19:52:50','2021-01-26 19:52:50',null);
INSERT INTO complaint_statuses VALUES('12958','3943','4',null,'61',null,null,'81','81','2021-01-26 19:54:33','2021-01-26 19:54:33',null);
INSERT INTO complaint_statuses VALUES('12959','3845','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-26 20:09:40','2021-01-26 20:09:40',null);
INSERT INTO complaint_statuses VALUES('12960','3895','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-26 20:11:22','2021-01-26 20:11:22',null);
INSERT INTO complaint_statuses VALUES('12961','3944','2',null,'81',null,'26-JAN-2021
COM NO 1805699','92','92','2021-01-26 20:14:01','2021-01-26 20:16:16',null);
INSERT INTO complaint_statuses VALUES('12962','3704','7','12','81',null,null,'91','91','2021-01-26 20:34:00','2021-01-26 20:34:00',null);
INSERT INTO complaint_statuses VALUES('12963','3704','5','15',null,'RESOLVED','COMPLAINT RESOLVED','81','74','2021-01-26 20:34:34','2021-01-26 20:47:07',null);
INSERT INTO complaint_statuses VALUES('12964','3937','2',null,'81',null,null,'74','74','2021-01-26 20:35:03','2021-01-26 20:35:03',null);
INSERT INTO complaint_statuses VALUES('12965','3690','7','12','81',null,null,'91','91','2021-01-26 20:37:43','2021-01-26 20:37:43',null);
INSERT INTO complaint_statuses VALUES('12966','3690','5','15',null,'RETURN TO COMPANY... RECEIVED CREDIT NOTE','COMPLAINT RESOLVED','81','74','2021-01-26 20:38:31','2021-01-26 20:48:14',null);
INSERT INTO complaint_statuses VALUES('12967','3938','2',null,'81',null,null,'74','74','2021-01-26 20:39:08','2021-01-26 20:39:08',null);
INSERT INTO complaint_statuses VALUES('12968','3938','4',null,'64',null,null,'81','81','2021-01-26 20:39:33','2021-01-26 20:39:33',null);
INSERT INTO complaint_statuses VALUES('12969','3945','3',null,'53',null,'26-JAN-2021
COM NO 301082749','92','92','2021-01-26 20:39:40','2021-01-26 20:47:02',null);
INSERT INTO complaint_statuses VALUES('12970','3937','4',null,'64',null,null,'81','81','2021-01-26 20:39:45','2021-01-26 20:39:45',null);
INSERT INTO complaint_statuses VALUES('12971','3802','4',null,'64',null,null,'81','81','2021-01-26 20:40:00','2021-01-26 20:40:00',null);
INSERT INTO complaint_statuses VALUES('12972','3944','4',null,'64',null,null,'81','81','2021-01-26 20:40:14','2021-01-26 20:40:14',null);
INSERT INTO complaint_statuses VALUES('12973','3767','7','12','81','RESOLVED',null,'91','91','2021-01-26 20:40:49','2021-01-26 20:40:49',null);
INSERT INTO complaint_statuses VALUES('12974','3804','4',null,'64',null,null,'81','81','2021-01-26 20:40:53','2021-01-26 20:40:53',null);
INSERT INTO complaint_statuses VALUES('12975','3767','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-01-26 20:41:32','2021-01-26 20:46:03',null);
INSERT INTO complaint_statuses VALUES('12976','3802','7','12','81','RESOLVED',null,'91','91','2021-01-26 20:42:31','2021-01-26 20:42:31',null);
INSERT INTO complaint_statuses VALUES('12977','3802','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-01-26 20:42:56','2021-01-26 20:44:27',null);
INSERT INTO complaint_statuses VALUES('12978','3326','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-26 20:51:21','2021-01-26 20:51:21',null);
INSERT INTO complaint_statuses VALUES('12979','3946','3',null,'52',null,'26-JAN-2021
COM NO PKRI-210126102871','92','92','2021-01-26 20:53:22','2021-01-26 20:53:22',null);
INSERT INTO complaint_statuses VALUES('12980','3814','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-26 20:57:18','2021-01-26 20:57:18',null);
INSERT INTO complaint_statuses VALUES('12981','3813','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-26 21:00:49','2021-01-26 21:00:49',null);
INSERT INTO complaint_statuses VALUES('12982','3903','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-26 21:04:08','2021-01-26 21:04:08',null);
INSERT INTO complaint_statuses VALUES('12983','3859','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-26 21:04:27','2021-01-26 21:04:27',null);
INSERT INTO complaint_statuses VALUES('12984','3911','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-26 21:21:03','2021-01-26 21:21:03',null);
INSERT INTO complaint_statuses VALUES('12985','3900','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-26 21:26:36','2021-01-26 21:26:36',null);
INSERT INTO complaint_statuses VALUES('12986','3947','2',null,'81',null,'26-JAN-2021
FF TO ANEEQ','74','74','2021-01-26 21:29:21','2021-01-26 21:29:21',null);
INSERT INTO complaint_statuses VALUES('12987','3947','4',null,'64',null,null,'81','81','2021-01-26 21:29:36','2021-01-26 21:29:36',null);
INSERT INTO complaint_statuses VALUES('12988','3948','2',null,'81',null,'26-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-26 21:30:03','2021-01-26 21:39:41',null);
INSERT INTO complaint_statuses VALUES('12989','3529','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-26 21:30:48','2021-01-26 21:30:48',null);
INSERT INTO complaint_statuses VALUES('12990','3467','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-26 21:31:29','2021-01-26 21:31:29',null);
INSERT INTO complaint_statuses VALUES('12991','3877','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-26 21:33:09','2021-01-26 21:37:16',null);
INSERT INTO complaint_statuses VALUES('12992','3949','2',null,'81',null,'26-JAN-2021
COM FF TO AZHAR FCI','92','92','2021-01-26 21:35:03','2021-01-26 21:35:03',null);
INSERT INTO complaint_statuses VALUES('12993','3848','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-26 21:35:07','2021-01-26 21:37:46',null);
INSERT INTO complaint_statuses VALUES('12994','3896','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-26 21:39:37','2021-01-26 21:39:37',null);
INSERT INTO complaint_statuses VALUES('12995','3948','4',null,'63',null,null,'81','81','2021-01-26 21:46:54','2021-01-26 21:46:54',null);
INSERT INTO complaint_statuses VALUES('12996','3948','4',null,'63',null,null,'81','81','2021-01-26 21:46:54','2021-01-26 21:46:54',null);
INSERT INTO complaint_statuses VALUES('12997','3948','4',null,'63',null,'COMPLAINT ATTEND HO GEI HAIN PARTS KI WAJA SA DELAY KHURRAM SAB KO PARTS KI PIC SHER KAR DI','81','74','2021-01-26 21:46:55','2021-02-04 00:36:49',null);
INSERT INTO complaint_statuses VALUES('12998','3949','4',null,'60',null,null,'81','81','2021-01-26 21:47:42','2021-01-26 21:47:42',null);
INSERT INTO complaint_statuses VALUES('12999','3892','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-26 21:49:24','2021-01-26 21:49:24',null);
INSERT INTO complaint_statuses VALUES('13000','3818','7','24','81','customer ko call ki thi   unit ok ha but  back cover main hdmi port balance nahi ha  
customer ny kaha main app ko picture share krta hoon phir  check krwa lighya ga   but abhi tak picture nahi aii',null,'83','83','2021-01-26 21:53:40','2021-01-26 21:53:40',null);
INSERT INTO complaint_statuses VALUES('13001','3891','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-26 22:00:38','2021-01-26 22:00:38',null);
INSERT INTO complaint_statuses VALUES('13002','3950','3',null,'73',null,'26-JAN-2021
COM NO 3616','92','92','2021-01-26 22:05:27','2021-01-27 00:42:59',null);
INSERT INTO complaint_statuses VALUES('13003','3890','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-26 22:08:01','2021-01-26 22:08:01',null);
INSERT INTO complaint_statuses VALUES('13004','3951','3',null,'57',null,'26-JAN-2021
COM NO 16247','92','92','2021-01-26 22:26:06','2021-01-26 22:38:44',null);
INSERT INTO complaint_statuses VALUES('13005','3819','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-26 22:44:46','2021-01-26 22:44:46',null);
INSERT INTO complaint_statuses VALUES('13006','3882','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-01-26 22:53:17','2021-01-26 22:54:14',null);
INSERT INTO complaint_statuses VALUES('13007','3952','2',null,'81',null,'26-JAN-2021
COM FF TO HOME SOLUTION','92','92','2021-01-26 23:44:22','2021-01-26 23:44:22',null);
INSERT INTO complaint_statuses VALUES('13008','3952','4',null,'62',null,null,'81','81','2021-01-26 23:46:14','2021-01-26 23:46:14',null);
INSERT INTO complaint_statuses VALUES('13009','3897','7','12','81','Demonstration Only',null,'76','76','2021-01-26 23:55:46','2021-01-26 23:55:46',null);
INSERT INTO complaint_statuses VALUES('13010','3702','7','12','81','Compressor Replaced (Balance Amount 20000/-)',null,'76','76','2021-01-26 23:57:40','2021-01-26 23:57:40',null);
INSERT INTO complaint_statuses VALUES('13011','3601','7','12','81','Labor Charges Only',null,'76','76','2021-01-26 23:58:09','2021-01-26 23:58:09',null);
INSERT INTO complaint_statuses VALUES('13012','3953','2',null,'81',null,'26-JAN-2021
COM FF TO HOME SOLUTION','92','92','2021-01-27 00:07:37','2021-01-27 00:07:37',null);
INSERT INTO complaint_statuses VALUES('13013','3929','7','12','81','ISSUE RESOLVED ,',null,'87','87','2021-01-27 00:17:13','2021-01-27 00:17:13',null);
INSERT INTO complaint_statuses VALUES('13014','3880','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-27 00:19:50','2021-01-27 00:19:50',null);
INSERT INTO complaint_statuses VALUES('13015','3954','3',null,'55',null,'26-JAN-2021
COM NO 11100 NAEEM KENWQOOD','92','74','2021-01-27 00:30:52','2021-01-31 01:55:27',null);
INSERT INTO complaint_statuses VALUES('13016','3955','3',null,'73',null,'26-JAN-2021
COM NO 3615','92','92','2021-01-27 00:40:18','2021-01-27 00:40:18',null);
INSERT INTO complaint_statuses VALUES('13017','3956','2',null,'81',null,'26-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-27 01:18:56','2021-01-27 01:18:56',null);
INSERT INTO complaint_statuses VALUES('13018','3953','4',null,'62',null,null,'81','81','2021-01-27 01:42:31','2021-01-27 01:42:31',null);
INSERT INTO complaint_statuses VALUES('13019','3956','4',null,'55',null,null,'81','81','2021-01-27 01:42:42','2021-01-27 01:42:42',null);
INSERT INTO complaint_statuses VALUES('13020','3918','7','26','81','Drain Pipe Adjustment On Call',null,'76','76','2021-01-27 02:06:42','2021-01-27 02:06:42',null);
INSERT INTO complaint_statuses VALUES('13021','3846','7','12','81','Main PCB and Door Switch Replaced',null,'76','76','2021-01-27 02:10:49','2021-01-27 02:10:49',null);
INSERT INTO complaint_statuses VALUES('13022','3958','2',null,'81',null,'26-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-27 02:12:14','2021-01-27 02:12:14',null);
INSERT INTO complaint_statuses VALUES('13023','3959','2',null,'81',null,'26-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-27 02:21:45','2021-01-27 02:21:45',null);
INSERT INTO complaint_statuses VALUES('13024','3960','3',null,'52',null,'26-JAN-2021
COM NO PKRI-210126108213','92','92','2021-01-27 02:26:28','2021-01-27 02:29:29',null);
INSERT INTO complaint_statuses VALUES('13025','3961','3',null,'53',null,'26-JAN-2021
COM NO 301083055','92','92','2021-01-27 02:52:02','2021-01-27 20:03:59',null);
INSERT INTO complaint_statuses VALUES('13026','3962','3',null,'57',null,'26-JAN-2021
COM NO 16262','92','92','2021-01-27 03:02:37','2021-01-27 21:19:36',null);
INSERT INTO complaint_statuses VALUES('13027','3963','3',null,'57',null,'27-JAN-2021
COM NO 16263','92','92','2021-01-27 19:47:43','2021-01-27 21:23:14',null);
INSERT INTO complaint_statuses VALUES('13028','3964','3',null,'55',null,'27-JAN-2021
COM NO 721880','92','92','2021-01-27 19:56:29','2021-01-27 20:12:09',null);
INSERT INTO complaint_statuses VALUES('13029','3965','2',null,'81',null,'27-JAN-2021
COM FF TO HOME SOLUTION','92','92','2021-01-27 20:37:44','2021-01-27 20:37:44',null);
INSERT INTO complaint_statuses VALUES('13030','3965','4',null,'62',null,null,'81','81','2021-01-27 20:46:39','2021-01-27 20:46:39',null);
INSERT INTO complaint_statuses VALUES('13031','3959','4',null,'63',null,null,'81','81','2021-01-27 20:46:55','2021-01-27 20:46:55',null);
INSERT INTO complaint_statuses VALUES('13032','3958','4',null,'55',null,null,'81','81','2021-01-27 20:47:07','2021-01-27 20:47:07',null);
INSERT INTO complaint_statuses VALUES('13033','3915','5',null,null,'complain complete',null,'73','73','2021-01-27 21:01:08','2021-01-27 21:01:08',null);
INSERT INTO complaint_statuses VALUES('13034','3966','2',null,'81',null,'27-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-27 21:14:37','2021-01-27 21:14:37',null);
INSERT INTO complaint_statuses VALUES('13035','3910','5',null,null,'extended complain... costumer inform again',null,'73','73','2021-01-27 21:18:48','2021-01-27 21:18:48',null);
INSERT INTO complaint_statuses VALUES('13036','3909','5',null,null,'resolved',null,'73','73','2021-01-27 21:21:25','2021-01-27 21:21:25',null);
INSERT INTO complaint_statuses VALUES('13037','3967','2',null,'81',null,'27-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-27 21:30:06','2021-01-27 21:30:06',null);
INSERT INTO complaint_statuses VALUES('13038','3966','4',null,'63',null,null,'81','81','2021-01-27 21:32:14','2021-01-27 21:32:14',null);
INSERT INTO complaint_statuses VALUES('13039','3967','4',null,'58',null,null,'81','81','2021-01-27 21:32:32','2021-01-27 21:32:32',null);
INSERT INTO complaint_statuses VALUES('13040','3907','5',null,null,'resolved',null,'73','73','2021-01-27 21:35:18','2021-01-27 21:35:18',null);
INSERT INTO complaint_statuses VALUES('13041','2500','5',null,null,'resolved',null,'73','73','2021-01-27 21:42:24','2021-01-27 21:42:24',null);
INSERT INTO complaint_statuses VALUES('13042','2619','5',null,null,'resolved',null,'73','73','2021-01-27 21:48:08','2021-01-27 21:48:08',null);
INSERT INTO complaint_statuses VALUES('13043','3968','2',null,'81',null,'27-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-27 21:49:53','2021-01-27 21:49:53',null);
INSERT INTO complaint_statuses VALUES('13044','2765','5',null,null,'completed',null,'73','73','2021-01-27 21:56:48','2021-01-27 21:56:48',null);
INSERT INTO complaint_statuses VALUES('13045','2949','5',null,null,'costumer ne geyser thik karwa lia ha... technician or hamari trf se call ki gae lekin ye available nahin thy',null,'73','73','2021-01-27 22:04:36','2021-01-27 22:04:36',null);
INSERT INTO complaint_statuses VALUES('13046','2950','5',null,null,'resolved',null,'73','73','2021-01-27 22:06:19','2021-01-27 22:06:19',null);
INSERT INTO complaint_statuses VALUES('13047','2969','5',null,null,'resolved',null,'73','73','2021-01-27 22:13:20','2021-01-27 22:13:20',null);
INSERT INTO complaint_statuses VALUES('13048','3041','5',null,null,'resolved',null,'73','73','2021-01-27 22:21:54','2021-01-27 22:21:54',null);
INSERT INTO complaint_statuses VALUES('13049','3952','7','22','81','COMP',null,'87','87','2021-01-27 22:28:56','2021-01-27 22:28:56',null);
INSERT INTO complaint_statuses VALUES('13050','3970','2',null,'81',null,'27-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-27 22:32:37','2021-01-27 22:32:37',null);
INSERT INTO complaint_statuses VALUES('13051','3080','5',null,null,'costumer ne bahar se thik karwa li ha',null,'73','73','2021-01-27 22:37:11','2021-01-27 22:37:11',null);
INSERT INTO complaint_statuses VALUES('13052','3971','3',null,'52',null,'27-JAN-2021
COM FF TO RAASHAD BAIG  HAIER','92','92','2021-01-27 22:54:35','2021-01-27 23:23:22',null);
INSERT INTO complaint_statuses VALUES('13053','3428','7','12','81','Revisited on 27-01-2020   lvds cables clean   and service only   unit working ok 
plz proceed to close the job   
RS 2500/- exp',null,'83','83','2021-01-27 22:55:51','2021-01-27 22:55:51',null);
INSERT INTO complaint_statuses VALUES('13054','3087','5',null,null,'completed',null,'73','73','2021-01-27 22:56:12','2021-01-27 22:56:12',null);
INSERT INTO complaint_statuses VALUES('13055','3722','7','12','81','Unit deliver back on show room plz proceed to close',null,'83','83','2021-01-27 22:59:28','2021-01-27 22:59:28',null);
INSERT INTO complaint_statuses VALUES('13056','3972','2',null,'81',null,'27-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-27 23:04:58','2021-01-27 23:04:58',null);
INSERT INTO complaint_statuses VALUES('13057','3973','2',null,'81',null,'27-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-27 23:10:36','2021-01-27 23:10:36',null);
INSERT INTO complaint_statuses VALUES('13058','3329','5',null,null,'resolved',null,'73','73','2021-01-27 23:15:26','2021-01-27 23:15:26',null);
INSERT INTO complaint_statuses VALUES('13059','3968','4',null,'58',null,null,'81','81','2021-01-27 23:20:23','2021-01-27 23:20:23',null);
INSERT INTO complaint_statuses VALUES('13060','3970','4',null,'58',null,'REF TO S/C','81','74','2021-01-27 23:20:34','2021-02-03 21:57:01',null);
INSERT INTO complaint_statuses VALUES('13061','3972','4',null,'55',null,null,'81','81','2021-01-27 23:20:48','2021-01-27 23:20:48',null);
INSERT INTO complaint_statuses VALUES('13062','3973','4',null,'58',null,null,'81','81','2021-01-27 23:21:13','2021-01-27 23:21:13',null);
INSERT INTO complaint_statuses VALUES('13063','3374','5',null,null,'resolved',null,'73','73','2021-01-27 23:23:36','2021-01-27 23:23:36',null);
INSERT INTO complaint_statuses VALUES('13064','3974','3',null,'52',null,'27-JAN-2021
COM NO PKRI-210127107036','92','92','2021-01-27 23:34:50','2021-01-27 23:37:00',null);
INSERT INTO complaint_statuses VALUES('13065','3394','5',null,null,'resolved',null,'73','73','2021-01-27 23:44:13','2021-01-27 23:44:13',null);
INSERT INTO complaint_statuses VALUES('13066','3424','5',null,null,'colour fade ka issue ha... inform kr dia ha wo used hoga to colour wagera fade hongy',null,'73','73','2021-01-27 23:51:40','2021-01-27 23:51:40',null);
INSERT INTO complaint_statuses VALUES('13067','3969','2',null,'81',null,null,'92','92','2021-01-27 23:53:31','2021-01-27 23:53:31',null);
INSERT INTO complaint_statuses VALUES('13068','3969','4',null,'64',null,null,'81','81','2021-01-27 23:54:04','2021-01-27 23:54:04',null);
INSERT INTO complaint_statuses VALUES('13069','3449','5',null,null,'resolved',null,'73','73','2021-01-27 23:54:21','2021-01-27 23:54:21',null);
INSERT INTO complaint_statuses VALUES('13070','3608','5',null,null,'resolved',null,'74','74','2021-01-28 00:20:58','2021-01-28 00:20:58',null);
INSERT INTO complaint_statuses VALUES('13071','3625','5',null,null,'completed',null,'74','74','2021-01-28 00:23:15','2021-01-28 00:23:15',null);
INSERT INTO complaint_statuses VALUES('13072','3633','5',null,null,'testing complaint',null,'74','74','2021-01-28 00:23:53','2021-01-28 00:23:53',null);
INSERT INTO complaint_statuses VALUES('13073','3975','3',null,'53',null,'27-JAN-2021
COM NO 301083277','92','92','2021-01-28 00:26:13','2021-01-28 00:29:53',null);
INSERT INTO complaint_statuses VALUES('13074','3863','7','12','81','complaint reoslved.compressor chnage',null,'79','79','2021-01-28 00:28:05','2021-01-28 00:28:05',null);
INSERT INTO complaint_statuses VALUES('13075','3926','7','24','81','30minat main bulab phir jal geavhy',null,'82','82','2021-01-28 00:28:38','2021-01-28 00:28:38',null);
INSERT INTO complaint_statuses VALUES('13076','3949','7','24','81','Kal visit hona.hy',null,'82','82','2021-01-28 00:30:57','2021-01-28 00:30:57',null);
INSERT INTO complaint_statuses VALUES('13077','3953','7','12','81','TIMER KA ISSUE THA, NOW RESOLVED',null,'87','87','2021-01-28 00:56:08','2021-01-28 00:56:08',null);
INSERT INTO complaint_statuses VALUES('13078','3976','2',null,'81',null,'27-JAN-2021
COM FF TO USMAN MRM','92','92','2021-01-28 01:06:07','2021-01-28 01:06:07',null);
INSERT INTO complaint_statuses VALUES('13079','3977','3',null,'54',null,'27-JAN-2021
COM NO 1806587','92','92','2021-01-28 01:09:14','2021-01-28 01:12:09',null);
INSERT INTO complaint_statuses VALUES('13080','3976','4',null,'61',null,null,'81','81','2021-01-28 01:10:39','2021-01-28 01:10:39',null);
INSERT INTO complaint_statuses VALUES('13081','3978','3',null,'65',null,'27-JAN-2021
COM NO 072116437','92','92','2021-01-28 01:37:00','2021-01-28 01:42:02',null);
INSERT INTO complaint_statuses VALUES('13082','3979','3',null,'52',null,'27-JAN-2021
COM NO PKRI-210127109652','92','92','2021-01-28 01:49:40','2021-02-11 11:07:26',null);
INSERT INTO complaint_statuses VALUES('13083','3980','2',null,'81',null,'27-JAN-2021
COM FF TO HOME SOLUTION','92','92','2021-01-28 02:00:58','2021-02-02 22:54:06',null);
INSERT INTO complaint_statuses VALUES('13084','3980','4',null,'62',null,null,'81','81','2021-01-28 02:02:59','2021-01-28 02:02:59',null);
INSERT INTO complaint_statuses VALUES('13085','3965','7','12','81','ISSUE RESOLVED',null,'87','87','2021-01-28 02:09:00','2021-01-28 02:09:00',null);
INSERT INTO complaint_statuses VALUES('13086','3981','3',null,'61',null,'27-JAN-2021
COM NO 202101009348','92','92','2021-01-28 02:14:09','2021-01-28 02:14:09',null);
INSERT INTO complaint_statuses VALUES('13087','3982','2',null,'81',null,'27-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-28 02:41:53','2021-01-28 02:41:53',null);
INSERT INTO complaint_statuses VALUES('13088','3760','7','12','81','SMPS replace  set ok  
RS 7500',null,'80','80','2021-01-28 02:42:11','2021-01-28 02:42:11',null);
INSERT INTO complaint_statuses VALUES('13089','3982','4',null,'58',null,'VISIT TO DAY','81','74','2021-01-28 02:43:18','2021-01-30 20:36:17',null);
INSERT INTO complaint_statuses VALUES('13090','3983','3',null,'52',null,'28-JAN-2021
COM NO PKRI-210128101384','92','92','2021-01-28 19:38:24','2021-01-28 19:41:29',null);
INSERT INTO complaint_statuses VALUES('13091','3984','3',null,'65',null,'28-JAN-2021
COM NO 072116443','92','92','2021-01-28 20:03:06','2021-01-28 20:08:43',null);
INSERT INTO complaint_statuses VALUES('13092','3985','3',null,'66',null,'28-JAN-2021
COM NO PK020220210097
ZAHID TCL 
COM FF TO KASHIF TCL','92','92','2021-01-28 20:43:37','2021-02-03 00:06:17',null);
INSERT INTO complaint_statuses VALUES('13093','3944','7','12','81','resolved',null,'91','91','2021-01-28 20:51:15','2021-01-28 20:51:15',null);
INSERT INTO complaint_statuses VALUES('13094','3868','7','12','81','resolved',null,'91','91','2021-01-28 20:51:38','2021-01-28 20:51:38',null);
INSERT INTO complaint_statuses VALUES('13095','3867','7','12','81','resolved',null,'91','91','2021-01-28 20:52:01','2021-01-28 20:52:01',null);
INSERT INTO complaint_statuses VALUES('13096','3772','7','12','81','resolved',null,'91','91','2021-01-28 20:52:30','2021-01-28 20:52:30',null);
INSERT INTO complaint_statuses VALUES('13097','3699','7','12','81','resolved',null,'91','91','2021-01-28 20:52:58','2021-01-28 20:52:58',null);
INSERT INTO complaint_statuses VALUES('13098','3937','7','24','81','PART IN DEMAND',null,'91','91','2021-01-28 20:54:33','2021-01-28 20:54:33',null);
INSERT INTO complaint_statuses VALUES('13099','3832','7','12','81','RESOLVED',null,'91','91','2021-01-28 20:55:23','2021-01-28 20:55:23',null);
INSERT INTO complaint_statuses VALUES('13100','3711','7','12','81','RESOLVED',null,'91','91','2021-01-28 20:56:13','2021-01-28 20:56:13',null);
INSERT INTO complaint_statuses VALUES('13101','3944','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 20:58:21','2021-01-28 21:18:39',null);
INSERT INTO complaint_statuses VALUES('13102','3868','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 20:59:04','2021-01-28 21:28:16',null);
INSERT INTO complaint_statuses VALUES('13103','3965','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 20:59:32','2021-01-28 21:15:50',null);
INSERT INTO complaint_statuses VALUES('13104','3953','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 20:59:51','2021-01-28 21:17:57',null);
INSERT INTO complaint_statuses VALUES('13105','3929','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 21:00:16','2021-01-28 21:20:59',null);
INSERT INTO complaint_statuses VALUES('13106','3897','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 21:00:45','2021-01-28 21:26:20',null);
INSERT INTO complaint_statuses VALUES('13107','3867','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 21:01:12','2021-01-28 21:29:12',null);
INSERT INTO complaint_statuses VALUES('13108','3863','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 21:01:51','2021-01-28 22:12:21',null);
INSERT INTO complaint_statuses VALUES('13109','3846','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 21:02:11','2021-01-28 22:18:10',null);
INSERT INTO complaint_statuses VALUES('13110','3832','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 21:03:01','2021-01-28 22:26:26',null);
INSERT INTO complaint_statuses VALUES('13111','3772','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 21:03:48','2021-01-28 22:30:52',null);
INSERT INTO complaint_statuses VALUES('13112','3760','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 21:04:13','2021-01-28 22:40:12',null);
INSERT INTO complaint_statuses VALUES('13113','3722','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 21:04:43','2021-01-29 01:16:37',null);
INSERT INTO complaint_statuses VALUES('13114','3711','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 21:05:05','2021-01-28 22:45:06',null);
INSERT INTO complaint_statuses VALUES('13115','3702','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 21:05:18','2021-01-28 22:58:37',null);
INSERT INTO complaint_statuses VALUES('13116','3699','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 21:05:35','2021-01-28 22:48:15',null);
INSERT INTO complaint_statuses VALUES('13117','3670','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 21:05:53','2021-01-28 22:53:06',null);
INSERT INTO complaint_statuses VALUES('13118','3601','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 21:06:14','2021-01-28 22:55:13',null);
INSERT INTO complaint_statuses VALUES('13119','3428','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 21:06:32','2021-01-28 23:01:36',null);
INSERT INTO complaint_statuses VALUES('13120','3399','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-01-28 21:08:21','2021-02-23 18:02:56',null);
INSERT INTO complaint_statuses VALUES('13121','2359','5','15',null,null,'COMPLAINT  RESOLVED','81','74','2021-01-28 21:08:40','2021-02-17 12:03:10',null);
INSERT INTO complaint_statuses VALUES('13122','1249','5','15',null,null,null,'81','81','2021-01-28 21:09:38','2021-01-28 21:09:38',null);
INSERT INTO complaint_statuses VALUES('13123','3260','7','12','81','blower change.complaint resolved.',null,'79','79','2021-01-28 21:24:40','2021-01-28 21:24:40',null);
INSERT INTO complaint_statuses VALUES('13124','3825','7','12','81','filter change complaint resolved',null,'79','79','2021-01-28 21:25:45','2021-01-28 21:25:45',null);
INSERT INTO complaint_statuses VALUES('13125','3934','7','12','81','complaint resolved .guid kr dya hai',null,'79','79','2021-01-28 21:26:31','2021-01-28 21:26:31',null);
INSERT INTO complaint_statuses VALUES('13126','3260','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 21:30:27','2021-01-29 01:22:21',null);
INSERT INTO complaint_statuses VALUES('13127','3934','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 21:31:05','2021-01-28 22:10:40',null);
INSERT INTO complaint_statuses VALUES('13128','3825','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 21:31:45','2021-01-28 22:29:51',null);
INSERT INTO complaint_statuses VALUES('13129','3918','8','23','55','plz contact him again... his machine is not working properly',null,'81','81','2021-01-28 21:36:29','2021-01-28 21:36:29',null);
INSERT INTO complaint_statuses VALUES('13130','3986','3',null,'81',null,'28-JAN-2021
COM NO 27','92','92','2021-01-28 21:41:49','2021-01-28 21:43:19',null);
INSERT INTO complaint_statuses VALUES('13131','3987','3',null,'73',null,'28-JAN-2021
COM NO 3635','92','92','2021-01-28 21:48:18','2021-01-28 22:37:17',null);
INSERT INTO complaint_statuses VALUES('13132','3988','3',null,'53',null,'28-JAN-2021
COM NO 102122147','92','92','2021-01-28 21:59:06','2021-02-01 20:36:05',null);
INSERT INTO complaint_statuses VALUES('13133','3980','7','22','81','COMP',null,'87','87','2021-01-28 22:07:33','2021-01-28 22:07:33',null);
INSERT INTO complaint_statuses VALUES('13134','3989','3',null,'52',null,'28-JAN-2021
COM NO PKRI-210128106189','92','92','2021-01-28 22:25:01','2021-01-28 23:47:35',null);
INSERT INTO complaint_statuses VALUES('13135','3826','7','12','81','wm delivered ,gear box change',null,'79','79','2021-01-28 22:34:25','2021-01-28 22:34:25',null);
INSERT INTO complaint_statuses VALUES('13136','3988','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-28 23:17:34','2021-01-28 23:17:34',null);
INSERT INTO complaint_statuses VALUES('13137','3990','2',null,'81',null,'28-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-28 23:18:55','2021-01-28 23:18:55',null);
INSERT INTO complaint_statuses VALUES('13138','3990','4',null,'55',null,null,'81','81','2021-01-28 23:23:10','2021-01-28 23:23:10',null);
INSERT INTO complaint_statuses VALUES('13139','3991','3',null,'52',null,'28-JAN-2021
COM NO PKRI-210128106231','92','92','2021-01-28 23:28:52','2021-01-28 23:50:31',null);
INSERT INTO complaint_statuses VALUES('13140','3992','2',null,'81',null,'SONY','74','74','2021-01-28 23:37:18','2021-01-28 23:37:18',null);
INSERT INTO complaint_statuses VALUES('13141','3992','4',null,'56',null,null,'81','81','2021-01-28 23:37:42','2021-01-28 23:37:42',null);
INSERT INTO complaint_statuses VALUES('13142','3957','2',null,'81',null,null,'74','74','2021-01-28 23:39:17','2021-01-28 23:39:17',null);
INSERT INTO complaint_statuses VALUES('13143','3957','4',null,'64',null,null,'81','81','2021-01-28 23:39:44','2021-01-28 23:39:44',null);
INSERT INTO complaint_statuses VALUES('13144','3957','7','12','81','testing complaint',null,'91','91','2021-01-28 23:41:04','2021-01-28 23:41:04',null);
INSERT INTO complaint_statuses VALUES('13145','3957','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-28 23:41:30','2021-01-29 00:45:25',null);
INSERT INTO complaint_statuses VALUES('13146','3993','3',null,'53',null,'28-JAN-2021
COM NO 1083615','92','92','2021-01-29 00:04:17','2021-01-29 00:06:53',null);
INSERT INTO complaint_statuses VALUES('13147','3570','7','12','81','Unit ok and hand over to customer.',null,'77','77','2021-01-29 00:15:54','2021-01-29 00:15:54',null);
INSERT INTO complaint_statuses VALUES('13148','3994','3',null,'73',null,'28-JAN-2021
COM NO 3639','92','92','2021-01-29 00:21:52','2021-01-29 00:21:52',null);
INSERT INTO complaint_statuses VALUES('13149','3980','8','23','62',null,null,'81','81','2021-01-29 00:25:57','2021-01-29 00:25:57',null);
INSERT INTO complaint_statuses VALUES('13150','3952','8','23','62',null,null,'81','81','2021-01-29 00:27:15','2021-01-29 00:27:15',null);
INSERT INTO complaint_statuses VALUES('13151','3995','2',null,'81',null,'28-JAN-2021
COM FF TO KHALID SONY','92','92','2021-01-29 00:30:19','2021-01-29 00:30:19',null);
INSERT INTO complaint_statuses VALUES('13152','3949','8','23','60',null,null,'81','81','2021-01-29 00:33:57','2021-01-29 00:33:57',null);
INSERT INTO complaint_statuses VALUES('13153','3937','8','23','64',null,null,'81','81','2021-01-29 00:34:24','2021-01-29 00:34:24',null);
INSERT INTO complaint_statuses VALUES('13154','3926','8','23','60','please complete this job quickly',null,'81','81','2021-01-29 00:36:04','2021-01-29 00:36:04',null);
INSERT INTO complaint_statuses VALUES('13155','3919','8','23','58',null,null,'81','81','2021-01-29 00:36:44','2021-01-29 00:36:44',null);
INSERT INTO complaint_statuses VALUES('13156','3996','2',null,'81',null,'28-JAN-2021
COM FF TO KHALID SONY','92','92','2021-01-29 00:37:21','2021-01-29 00:37:21',null);
INSERT INTO complaint_statuses VALUES('13157','3995','4',null,'56',null,null,'81','81','2021-01-29 00:40:00','2021-01-29 00:40:00',null);
INSERT INTO complaint_statuses VALUES('13158','3996','4',null,'56',null,null,'81','81','2021-01-29 00:40:12','2021-01-29 00:40:12',null);
INSERT INTO complaint_statuses VALUES('13159','3884','8','23','60','please complete this job quickly',null,'81','81','2021-01-29 00:40:30','2021-01-29 00:40:30',null);
INSERT INTO complaint_statuses VALUES('13160','3818','8','23','61','please complete this job quickly . this is new unit',null,'81','81','2021-01-29 00:47:10','2021-01-29 00:47:10',null);
INSERT INTO complaint_statuses VALUES('13161','3748','8','23','60',null,null,'81','81','2021-01-29 00:47:33','2021-01-29 00:47:33',null);
INSERT INTO complaint_statuses VALUES('13162','1215','8','23','60','please complete this job quickly',null,'81','81','2021-01-29 00:49:03','2021-01-29 00:49:03',null);
INSERT INTO complaint_statuses VALUES('13163','3997','2',null,'81',null,'28-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-29 01:00:36','2021-01-29 01:00:36',null);
INSERT INTO complaint_statuses VALUES('13164','3997','4',null,'55',null,null,'81','81','2021-01-29 01:07:11','2021-01-29 01:07:11',null);
INSERT INTO complaint_statuses VALUES('13165','3774','7','12','81','compliant resolved.service issue',null,'79','79','2021-01-29 01:17:55','2021-01-29 01:17:55',null);
INSERT INTO complaint_statuses VALUES('13166','3998','3',null,'53',null,'28-JAN-2021
COM NO 1083667','92','92','2021-01-29 02:25:40','2021-01-29 02:29:21',null);
INSERT INTO complaint_statuses VALUES('13167','3999','3',null,'52',null,'28-JAN-2021
COM NO PKRI-210128109154','92','92','2021-01-29 02:45:53','2021-01-29 02:48:37',null);
INSERT INTO complaint_statuses VALUES('13168','3870','7','12','81','Drain Heater Replaced',null,'76','76','2021-01-29 19:05:00','2021-01-29 19:05:00',null);
INSERT INTO complaint_statuses VALUES('13169','3602','7','12','81','Inlet Filter Service',null,'76','76','2021-01-29 19:05:41','2021-01-29 19:05:41',null);
INSERT INTO complaint_statuses VALUES('13170','3555','7','12','81','Demonstration Only (Visit Pending 600/-)',null,'76','76','2021-01-29 19:07:07','2021-01-29 19:07:07',null);
INSERT INTO complaint_statuses VALUES('13171','2990','7','12','81','Visit Complete , refer to SVC in IE Error Customer Will Inform.',null,'76','76','2021-01-29 19:08:22','2021-01-29 19:08:22',null);
INSERT INTO complaint_statuses VALUES('13172','3870','5','15',null,'completed complaint','COMPLAINT RESOLVED','81','74','2021-01-29 20:16:14','2021-01-29 21:22:43',null);
INSERT INTO complaint_statuses VALUES('13173','3826','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-29 20:24:36','2021-01-29 21:23:11',null);
INSERT INTO complaint_statuses VALUES('13174','4000','3',null,'54',null,'29-JAN-2021
COMPLAINT#1807275','74','74','2021-01-29 20:25:37','2021-01-29 20:25:37',null);
INSERT INTO complaint_statuses VALUES('13175','3774','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-29 20:29:51','2021-01-29 21:23:40',null);
INSERT INTO complaint_statuses VALUES('13176','3602','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-29 20:31:40','2021-01-29 21:27:15',null);
INSERT INTO complaint_statuses VALUES('13177','3570','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVES','81','74','2021-01-29 20:33:08','2021-01-29 21:29:27',null);
INSERT INTO complaint_statuses VALUES('13178','4001','2',null,'81',null,'29-JAN-2021
FF TO USMAN MRM','74','74','2021-01-29 20:36:02','2021-01-29 20:36:02',null);
INSERT INTO complaint_statuses VALUES('13179','4001','4',null,'61',null,'D.O.P 05-DEC-2020','81','74','2021-01-29 20:37:53','2021-01-30 02:25:02',null);
INSERT INTO complaint_statuses VALUES('13180','3555','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-29 20:39:51','2021-01-29 21:45:30',null);
INSERT INTO complaint_statuses VALUES('13181','4002','2',null,'81',null,'29-JAN-2021
FF TO KHURRAM 5 STAR','74','74','2021-01-29 20:43:52','2021-01-29 20:43:52',null);
INSERT INTO complaint_statuses VALUES('13182','4002','4',null,'63',null,'COMPLAINT RESOLVED HO GEI CUSTOMER CALL NA PICK KAR RAHAY','81','74','2021-01-29 20:45:08','2021-02-02 23:30:22',null);
INSERT INTO complaint_statuses VALUES('13183','3879','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 21:03:11','2021-01-29 21:03:11',null);
INSERT INTO complaint_statuses VALUES('13184','4003','3',null,'84',null,'29-JAN-2021
COMPLAINT FF WAQAR KENWOOD','74','74','2021-01-29 21:05:43','2021-01-29 21:05:43',null);
INSERT INTO complaint_statuses VALUES('13185','3876','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 21:08:45','2021-01-29 21:08:45',null);
INSERT INTO complaint_statuses VALUES('13186','4004','3',null,'53',null,'29-JAN-2021
COMPLAINT#301083713','74','74','2021-01-29 21:12:41','2021-01-29 21:12:41',null);
INSERT INTO complaint_statuses VALUES('13187','3875','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 21:14:56','2021-01-29 21:14:56',null);
INSERT INTO complaint_statuses VALUES('13188','3860','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 21:22:03','2021-01-29 21:22:03',null);
INSERT INTO complaint_statuses VALUES('13189','3849','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 21:31:21','2021-01-29 21:31:21',null);
INSERT INTO complaint_statuses VALUES('13190','3847','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 21:33:32','2021-01-29 21:33:32',null);
INSERT INTO complaint_statuses VALUES('13191','3885','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 21:35:58','2021-01-29 21:35:58',null);
INSERT INTO complaint_statuses VALUES('13192','3843','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 21:38:33','2021-01-29 21:38:33',null);
INSERT INTO complaint_statuses VALUES('13193','4005','2',null,'81',null,'29-JAN-2021
FF TO KHURRAM 5 STAR','74','74','2021-01-29 21:40:57','2021-01-29 21:40:57',null);
INSERT INTO complaint_statuses VALUES('13194','4005','4',null,'63',null,null,'81','81','2021-01-29 21:42:12','2021-01-29 21:42:12',null);
INSERT INTO complaint_statuses VALUES('13195','3834','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 21:46:17','2021-01-29 21:46:17',null);
INSERT INTO complaint_statuses VALUES('13196','3889','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 21:57:52','2021-01-29 21:57:52',null);
INSERT INTO complaint_statuses VALUES('13197','3908','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 22:01:27','2021-01-29 22:01:27',null);
INSERT INTO complaint_statuses VALUES('13198','3949','7','24','81','Pippe katy huwey hy custmer kehta hy hafta phly unpack kea hy',null,'82','82','2021-01-29 22:08:48','2021-01-29 22:08:48',null);
INSERT INTO complaint_statuses VALUES('13199','3926','7','24','81','380 cm ka bulb chahey',null,'82','82','2021-01-29 22:10:44','2021-01-29 22:10:44',null);
INSERT INTO complaint_statuses VALUES('13200','3884','7','24','81','Machin adil bhai ky pass hy chek kar ky btay gy',null,'82','82','2021-01-29 22:11:22','2021-01-29 22:11:22',null);
INSERT INTO complaint_statuses VALUES('13201','3748','7','24','81','Custmer btaye ga kea krna hy',null,'82','82','2021-01-29 22:13:33','2021-01-29 22:13:33',null);
INSERT INTO complaint_statuses VALUES('13202','3816','7','24','81','Azhar sab keh rehy hy compny konfarwerd kry',null,'82','82','2021-01-29 22:19:41','2021-01-29 22:19:41',null);
INSERT INTO complaint_statuses VALUES('13203','3955','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 22:41:46','2021-01-29 22:41:46',null);
INSERT INTO complaint_statuses VALUES('13204','3946','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 23:02:32','2021-01-29 23:02:32',null);
INSERT INTO complaint_statuses VALUES('13205','3946','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 23:02:36','2021-01-29 23:02:36',null);
INSERT INTO complaint_statuses VALUES('13206','3945','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 23:06:37','2021-01-29 23:06:37',null);
INSERT INTO complaint_statuses VALUES('13207','3942','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 23:10:15','2021-01-29 23:10:15',null);
INSERT INTO complaint_statuses VALUES('13208','3941','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 23:12:28','2021-01-29 23:12:28',null);
INSERT INTO complaint_statuses VALUES('13209','3940','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 23:16:55','2021-01-29 23:16:55',null);
INSERT INTO complaint_statuses VALUES('13210','3939','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 23:19:53','2021-01-29 23:19:53',null);
INSERT INTO complaint_statuses VALUES('13211','3936','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 23:22:54','2021-01-29 23:22:54',null);
INSERT INTO complaint_statuses VALUES('13212','3786','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 23:24:15','2021-01-29 23:24:15',null);
INSERT INTO complaint_statuses VALUES('13213','3935','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 23:25:40','2021-01-29 23:25:40',null);
INSERT INTO complaint_statuses VALUES('13214','3932','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 23:31:36','2021-01-29 23:31:36',null);
INSERT INTO complaint_statuses VALUES('13215','3928','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 23:36:28','2021-01-29 23:36:28',null);
INSERT INTO complaint_statuses VALUES('13216','3923','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-29 23:53:44','2021-01-29 23:53:44',null);
INSERT INTO complaint_statuses VALUES('13217','3780','7','12','81','CUSTOMER NA LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA LIYA COMPLAINT CLOSED',null,'88','88','2021-01-29 23:57:50','2021-01-29 23:57:50',null);
INSERT INTO complaint_statuses VALUES('13218','3780','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-29 23:59:09','2021-01-29 23:59:43',null);
INSERT INTO complaint_statuses VALUES('13219','3922','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-30 00:01:28','2021-01-30 00:01:28',null);
INSERT INTO complaint_statuses VALUES('13220','3777','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-30 00:06:02','2021-01-30 00:06:02',null);
INSERT INTO complaint_statuses VALUES('13221','3930','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-30 00:06:53','2021-01-30 00:06:53',null);
INSERT INTO complaint_statuses VALUES('13222','3921','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-30 00:10:14','2021-01-30 00:10:14',null);
INSERT INTO complaint_statuses VALUES('13223','3920','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-30 00:13:23','2021-01-30 00:13:23',null);
INSERT INTO complaint_statuses VALUES('13224','3917','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-30 00:17:02','2021-01-30 00:17:02',null);
INSERT INTO complaint_statuses VALUES('13225','3917','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-30 00:17:26','2021-01-30 00:18:26',null);
INSERT INTO complaint_statuses VALUES('13226','2990','5','15',null,'CUSTOMER KI SIDE SA DELAY ABI COMPLAINT CUSTOMER NA CLOSED KARWA DI  LG S/C KA NO B PROVIDE KAR DIA','COMPLAINT CLOSED','81','74','2021-01-30 00:20:32','2021-01-30 00:21:52',null);
INSERT INTO complaint_statuses VALUES('13227','3916','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-30 00:23:40','2021-01-30 00:23:40',null);
INSERT INTO complaint_statuses VALUES('13228','3906','7','12','81','Foot Level Adjustment.',null,'76','76','2021-01-30 00:28:59','2021-01-30 00:28:59',null);
INSERT INTO complaint_statuses VALUES('13229','3912','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-30 00:35:22','2021-01-30 00:35:22',null);
INSERT INTO complaint_statuses VALUES('13230','3912','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-30 00:36:25','2021-01-30 00:37:15',null);
INSERT INTO complaint_statuses VALUES('13231','3906','8','23','55','CUSTOMER MONDAY KO UPDATE KARAY GAY THEN COMPLIANT COMPLETED KIJAY GA',null,'81','81','2021-01-30 00:39:02','2021-01-30 00:39:02',null);
INSERT INTO complaint_statuses VALUES('13232','3857','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-30 00:44:22','2021-01-30 00:44:22',null);
INSERT INTO complaint_statuses VALUES('13233','3866','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-30 00:56:00','2021-01-30 00:56:00',null);
INSERT INTO complaint_statuses VALUES('13234','3866','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-01-30 00:56:45','2021-01-30 00:57:48',null);
INSERT INTO complaint_statuses VALUES('13235','4008','3',null,'53',null,'29-JAN-2021
 COMPLINT#1083867','74','74','2021-01-30 01:10:58','2021-01-30 01:10:58',null);
INSERT INTO complaint_statuses VALUES('13236','4007','2',null,'81',null,null,'74','74','2021-01-30 01:17:19','2021-01-30 01:17:19',null);
INSERT INTO complaint_statuses VALUES('13237','4006','2',null,'81',null,null,'74','74','2021-01-30 01:17:26','2021-01-30 01:17:26',null);
INSERT INTO complaint_statuses VALUES('13238','4007','4',null,'64',null,null,'81','81','2021-01-30 01:17:59','2021-01-30 01:17:59',null);
INSERT INTO complaint_statuses VALUES('13239','4006','4',null,'64',null,null,'81','81','2021-01-30 01:18:20','2021-01-30 01:18:20',null);
INSERT INTO complaint_statuses VALUES('13240','3839','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-30 01:30:26','2021-01-30 01:30:26',null);
INSERT INTO complaint_statuses VALUES('13241','3828','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-30 01:36:25','2021-01-30 01:36:25',null);
INSERT INTO complaint_statuses VALUES('13242','4001','7','24','81','warranty main ha kiya ? plz verify the case',null,'83','83','2021-01-30 02:27:24','2021-01-30 02:27:24',null);
INSERT INTO complaint_statuses VALUES('13243','4001','5','15',null,'WRONG D.O.P ENTER HO GEI','COMPLAINT CLOSED','81','74','2021-01-30 02:28:01','2021-01-30 22:03:25',null);
INSERT INTO complaint_statuses VALUES('13244','4009','2',null,'81',null,'29-JAN-2021
FF TO USMAN MRM','74','74','2021-01-30 02:28:51','2021-01-30 02:28:51',null);
INSERT INTO complaint_statuses VALUES('13245','4009','4',null,'61',null,null,'81','81','2021-01-30 02:29:06','2021-01-30 02:29:06',null);
INSERT INTO complaint_statuses VALUES('13246','4010','2',null,'81',null,'30-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-30 19:55:14','2021-01-30 19:55:14',null);
INSERT INTO complaint_statuses VALUES('13247','4010','4',null,'58',null,null,'81','81','2021-01-30 19:59:00','2021-01-30 19:59:00',null);
INSERT INTO complaint_statuses VALUES('13248','4011','3',null,'65',null,'30-JAN-2021(22-JAN COMPLAINT ENTER)
COMPLAINT#192120395
NEW COMPPLAINT#192120588','74','74','2021-01-30 20:04:41','2021-02-02 20:14:59',null);
INSERT INTO complaint_statuses VALUES('13249','4012','3',null,'54',null,'30-JAN-2021
COM NO 1807571','92','92','2021-01-30 20:08:51','2021-01-30 20:11:10',null);
INSERT INTO complaint_statuses VALUES('13250','3968','7','12','81','complaint resolved.service ki hai',null,'79','79','2021-01-30 20:20:40','2021-01-30 20:20:40',null);
INSERT INTO complaint_statuses VALUES('13251','3967','7','22','81','compressor issue',null,'79','79','2021-01-30 20:28:59','2021-01-30 20:28:59',null);
INSERT INTO complaint_statuses VALUES('13252','4013','3',null,'52',null,'30-JAN-2021
COM NO PKRI-210130102953','92','92','2021-01-30 20:31:02','2021-01-30 20:33:22',null);
INSERT INTO complaint_statuses VALUES('13253','3778','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-30 20:35:05','2021-01-30 20:35:05',null);
INSERT INTO complaint_statuses VALUES('13254','3981','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-30 20:39:28','2021-01-30 20:39:28',null);
INSERT INTO complaint_statuses VALUES('13255','3978','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-30 20:48:25','2021-01-30 20:48:25',null);
INSERT INTO complaint_statuses VALUES('13256','3838','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-30 20:56:15','2021-01-30 20:56:15',null);
INSERT INTO complaint_statuses VALUES('13257','3977','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-30 21:00:31','2021-01-30 21:00:31',null);
INSERT INTO complaint_statuses VALUES('13258','4014','3',null,'54',null,'30-JAN-2021
COM NO 1807674','92','92','2021-01-30 21:20:08','2021-01-30 21:24:10',null);
INSERT INTO complaint_statuses VALUES('13259','3975','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-30 21:22:10','2021-01-30 21:22:10',null);
INSERT INTO complaint_statuses VALUES('13260','3798','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-30 21:29:54','2021-01-30 21:29:54',null);
INSERT INTO complaint_statuses VALUES('13261','3963','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-01-30 21:35:18','2021-01-30 21:35:18',null);
INSERT INTO complaint_statuses VALUES('13262','4015','2',null,'81',null,'31-JAN-2021
COMPLAINT #PK013020210020
FF TO AHMED TCL','74','74','2021-01-30 21:39:15','2021-01-30 21:42:23',null);
INSERT INTO complaint_statuses VALUES('13263','3322','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-30 21:41:49','2021-01-30 21:41:49',null);
INSERT INTO complaint_statuses VALUES('13264','4015','4',null,'64',null,null,'81','81','2021-01-30 21:42:50','2021-01-30 21:42:50',null);
INSERT INTO complaint_statuses VALUES('13265','4016','3',null,'52',null,'30-JAN-2021
COM NO PKRI-210130104606','92','92','2021-01-30 21:47:36','2021-02-11 10:57:30',null);
INSERT INTO complaint_statuses VALUES('13266','4017','2',null,'81',null,'30-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-30 21:59:51','2021-01-30 21:59:51',null);
INSERT INTO complaint_statuses VALUES('13267','3405','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-30 22:00:33','2021-01-30 22:00:33',null);
INSERT INTO complaint_statuses VALUES('13268','4017','4',null,'63',null,null,'81','81','2021-01-30 22:02:23','2021-01-30 22:02:23',null);
INSERT INTO complaint_statuses VALUES('13269','3960','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-30 22:03:04','2021-01-30 22:03:04',null);
INSERT INTO complaint_statuses VALUES('13270','3537','5',null,null,'COMPLAIN CLOSED',null,'74','74','2021-01-30 22:09:05','2021-01-30 22:09:05',null);
INSERT INTO complaint_statuses VALUES('13271','4018','3',null,'73',null,'30-JAN-2021
COM NO 3650','92','92','2021-01-30 22:12:08','2021-01-30 22:12:08',null);
INSERT INTO complaint_statuses VALUES('13272','4019','2',null,'81',null,'30-JAN-2021
COM NO PKRI-210130107430','92','92','2021-01-30 22:23:12','2021-01-31 00:58:07',null);
INSERT INTO complaint_statuses VALUES('13273','4020','3',null,'73',null,'30-JAN-2021
COM NO 3651','92','92','2021-01-30 22:51:17','2021-01-30 22:52:58',null);
INSERT INTO complaint_statuses VALUES('13274','3927','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-30 22:51:33','2021-01-30 22:51:33',null);
INSERT INTO complaint_statuses VALUES('13275','4021','2',null,'81',null,'30-JAN-2021
COM FF TO  
KHURRAM FIVE STAR','92','92','2021-01-30 23:14:56','2021-01-30 23:19:56',null);
INSERT INTO complaint_statuses VALUES('13276','4021','4',null,'63',null,null,'81','81','2021-01-30 23:27:08','2021-01-30 23:27:08',null);
INSERT INTO complaint_statuses VALUES('13277','4022','2',null,'81',null,'30-JAN-2021
COM NO 3653','92','92','2021-01-30 23:43:25','2021-01-31 00:57:27',null);
INSERT INTO complaint_statuses VALUES('13278','4023','3',null,'52',null,'30-JAN-2021
COM NO PKRI-210130107295','92','92','2021-01-31 00:00:58','2021-01-31 00:04:00',null);
INSERT INTO complaint_statuses VALUES('13279','4024','2',null,'81',null,'30-JAN-2021
COM FF TO AZHAR FCI','92','92','2021-01-31 00:22:18','2021-01-31 00:22:18',null);
INSERT INTO complaint_statuses VALUES('13280','4025','2',null,'81',null,'30-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-31 00:30:35','2021-01-31 00:30:35',null);
INSERT INTO complaint_statuses VALUES('13281','4026','3',null,'52',null,'30-JAN-2021
COM NO PKRI-210130107880','92','92','2021-01-31 00:36:00','2021-01-31 01:24:56',null);
INSERT INTO complaint_statuses VALUES('13282','4025','4',null,'55',null,null,'81','81','2021-01-31 00:37:47','2021-01-31 00:37:47',null);
INSERT INTO complaint_statuses VALUES('13283','3971','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-31 00:37:52','2021-01-31 00:37:52',null);
INSERT INTO complaint_statuses VALUES('13284','4024','4',null,'60',null,null,'81','81','2021-01-31 00:38:04','2021-01-31 00:38:04',null);
INSERT INTO complaint_statuses VALUES('13285','3974','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-01-31 00:40:38','2021-01-31 00:40:38',null);
INSERT INTO complaint_statuses VALUES('13286','4022','4',null,'64',null,null,'81','81','2021-01-31 00:58:49','2021-01-31 00:58:49',null);
INSERT INTO complaint_statuses VALUES('13287','4019','4',null,'64',null,null,'81','81','2021-01-31 00:59:25','2021-01-31 00:59:25',null);
INSERT INTO complaint_statuses VALUES('13288','4027','3',null,'73',null,'30-JAN-2021
COM NO 3654','92','92','2021-01-31 01:05:35','2021-01-31 01:05:35',null);
INSERT INTO complaint_statuses VALUES('13289','4028','2',null,'81',null,'30-JAN-2021
COM FF TO NADEEM AZHAR','92','92','2021-01-31 01:12:47','2021-01-31 01:12:47',null);
INSERT INTO complaint_statuses VALUES('13290','3966','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-31 01:19:22','2021-01-31 01:19:22',null);
INSERT INTO complaint_statuses VALUES('13291','4029','3',null,'52',null,'30-JAN-2021
COM NO 2010130108871','92','92','2021-01-31 01:21:34','2021-01-31 01:24:31',null);
INSERT INTO complaint_statuses VALUES('13292','4028','4',null,'59',null,null,'81','81','2021-01-31 01:22:44','2021-01-31 01:22:44',null);
INSERT INTO complaint_statuses VALUES('13293','3966','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-31 01:26:21','2021-01-31 02:54:36',null);
INSERT INTO complaint_statuses VALUES('13294','3968','5','15',null,'CUSTOMER CALL ATTEND NAI KAR RAHAY CALL KAR LAYAN MISS ARREBA','COMPLAINT RESOLVED','81','92','2021-01-31 01:28:39','2021-01-31 02:53:59',null);
INSERT INTO complaint_statuses VALUES('13295','4030','2',null,'81',null,'30-JAN-2021
COM FF TO BEST COOL','92','92','2021-01-31 01:32:15','2021-01-31 01:32:15',null);
INSERT INTO complaint_statuses VALUES('13296','4031','2',null,'81',null,'30-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-31 01:35:34','2021-01-31 01:35:34',null);
INSERT INTO complaint_statuses VALUES('13297','3959','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-01-31 01:36:38','2021-01-31 01:36:38',null);
INSERT INTO complaint_statuses VALUES('13298','3959','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-01-31 01:37:49','2021-01-31 02:56:40',null);
INSERT INTO complaint_statuses VALUES('13299','4030','4',null,'58',null,null,'81','81','2021-01-31 01:40:23','2021-01-31 01:40:23',null);
INSERT INTO complaint_statuses VALUES('13300','4031','4',null,'55',null,null,'81','81','2021-01-31 01:40:40','2021-01-31 01:40:40',null);
INSERT INTO complaint_statuses VALUES('13301','4032','2',null,'81',null,'30-JAN-2021
FF TO B.COOL','74','74','2021-01-31 01:50:08','2021-01-31 01:50:08',null);
INSERT INTO complaint_statuses VALUES('13302','4032','4',null,'58',null,null,'81','81','2021-01-31 01:54:01','2021-01-31 01:54:01',null);
INSERT INTO complaint_statuses VALUES('13303','4033','3',null,'65',null,'30-JAN-2021
COM NO 192120558','92','92','2021-01-31 01:57:31','2021-01-31 02:01:00',null);
INSERT INTO complaint_statuses VALUES('13304','4034','3',null,'65',null,'30-JAN-2021
COM NO 192120559','92','92','2021-01-31 02:07:57','2021-01-31 02:10:19',null);
INSERT INTO complaint_statuses VALUES('13305','4035','2',null,'81',null,'30-JAN-2021
COM NO 192120560','92','92','2021-01-31 02:31:10','2021-02-01 19:37:52',null);
INSERT INTO complaint_statuses VALUES('13306','4036','2',null,'81',null,'30-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-31 02:42:44','2021-01-31 02:42:44',null);
INSERT INTO complaint_statuses VALUES('13307','4036','4',null,'63',null,null,'81','81','2021-01-31 02:45:41','2021-01-31 02:45:41',null);
INSERT INTO complaint_statuses VALUES('13308','4037','3',null,'55',null,'30-JAN-2021
FF TO WAQAR KENWOOD','74','74','2021-01-31 02:47:20','2021-01-31 02:47:20',null);
INSERT INTO complaint_statuses VALUES('13309','1215','7','12','81','Job is done',null,'82','82','2021-01-31 02:55:55','2021-01-31 02:55:55',null);
INSERT INTO complaint_statuses VALUES('13310','3943','7','12','81','Wifi device connecter clean  RS 2500/-  
Home visit + labor',null,'83','83','2021-01-31 03:06:35','2021-01-31 03:06:35',null);
INSERT INTO complaint_statuses VALUES('13311','3973','7','12','81','no visit cusotemr bo wm theek km kr rahi hai',null,'79','79','2021-01-31 04:45:00','2021-01-31 04:45:00',null);
INSERT INTO complaint_statuses VALUES('13312','3982','7','12','81','compliant resolved filter clean',null,'79','79','2021-01-31 04:45:38','2021-01-31 04:45:38',null);
INSERT INTO complaint_statuses VALUES('13313','4038','3',null,'52',null,'31-JAN-2021
COM NO PKRI-210131101050','92','92','2021-01-31 19:52:57','2021-01-31 19:56:25',null);
INSERT INTO complaint_statuses VALUES('13314','4039','2',null,'81',null,'31-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-31 20:40:43','2021-01-31 20:40:43',null);
INSERT INTO complaint_statuses VALUES('13315','4040','3',null,'82',null,'31-JAN-2021
COM FF TO TAHIR SIEMENS','92','92','2021-01-31 20:46:17','2021-01-31 20:46:17',null);
INSERT INTO complaint_statuses VALUES('13316','4039','4',null,'55',null,null,'81','81','2021-01-31 20:52:37','2021-01-31 20:52:37',null);
INSERT INTO complaint_statuses VALUES('13317','4041','2',null,'81',null,'31-JAN-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-01-31 21:04:18','2021-01-31 21:04:18',null);
INSERT INTO complaint_statuses VALUES('13318','4041','4',null,'55',null,null,'81','81','2021-01-31 21:05:55','2021-01-31 21:05:55',null);
INSERT INTO complaint_statuses VALUES('13319','4042','2',null,'81',null,'31-JAN-2021
COM FF TO AZHAR FCI','92','92','2021-01-31 21:47:57','2021-01-31 21:47:57',null);
INSERT INTO complaint_statuses VALUES('13320','4042','4',null,'60',null,null,'81','81','2021-01-31 21:49:36','2021-01-31 21:49:36',null);
INSERT INTO complaint_statuses VALUES('13321','4043','2',null,'81',null,'31-JAN-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-01-31 22:05:46','2021-01-31 22:05:46',null);
INSERT INTO complaint_statuses VALUES('13322','3982','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-31 23:04:24','2021-01-31 23:37:39',null);
INSERT INTO complaint_statuses VALUES('13323','3973','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-31 23:04:45','2021-02-01 00:15:44',null);
INSERT INTO complaint_statuses VALUES('13324','3943','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-01-31 23:04:57','2021-01-31 23:43:13',null);
INSERT INTO complaint_statuses VALUES('13325','1215','5','15',null,null,'COMPLETED COMPLAINT','81','74','2021-01-31 23:05:35','2021-02-03 22:42:22',null);
INSERT INTO complaint_statuses VALUES('13326','4043','4',null,'63',null,'NOT ATTEND CALL','81','74','2021-01-31 23:10:49','2021-02-03 20:23:06',null);
INSERT INTO complaint_statuses VALUES('13327','2689','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-31 23:13:40','2021-01-31 23:13:40',null);
INSERT INTO complaint_statuses VALUES('13328','2890','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-01-31 23:15:55','2021-01-31 23:15:55',null);
INSERT INTO complaint_statuses VALUES('13329','4044','2',null,'81',null,'31-JAN-2021
COM FF TO BEST COOL','92','92','2021-02-01 00:15:34','2021-02-01 00:15:34',null);
INSERT INTO complaint_statuses VALUES('13330','4044','4',null,'58',null,null,'81','81','2021-02-01 00:17:02','2021-02-01 00:17:02',null);
INSERT INTO complaint_statuses VALUES('13331','4045','2',null,'81',null,'31-JAN-2021
COM FF TO NADEEM AZHAR','92','92','2021-02-01 02:03:18','2021-02-01 02:03:18',null);
INSERT INTO complaint_statuses VALUES('13332','4045','4',null,'59',null,null,'81','81','2021-02-01 02:06:25','2021-02-01 02:06:25',null);
INSERT INTO complaint_statuses VALUES('13333','4010','7','12','81','compliant resolved .relay ovr load chnage',null,'79','79','2021-02-01 19:19:56','2021-02-01 19:19:56',null);
INSERT INTO complaint_statuses VALUES('13334','4032','7','12','81','hob mein koi issue ni tha..cusotmer bol rehy chnage kerna or ye mera 2nd visit tha .is k bd visit nahi kry gain.',null,'79','79','2021-02-01 19:24:26','2021-02-01 19:24:26',null);
INSERT INTO complaint_statuses VALUES('13335','4035','4',null,'64',null,null,'81','81','2021-02-01 19:38:48','2021-02-01 19:38:48',null);
INSERT INTO complaint_statuses VALUES('13336','4046','2',null,'81',null,'01-FEB-2021
COM FF TO KHALID SONY','92','92','2021-02-01 19:50:59','2021-02-01 19:50:59',null);
INSERT INTO complaint_statuses VALUES('13337','4047','2',null,'81',null,'01-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-01 20:03:57','2021-02-01 20:03:57',null);
INSERT INTO complaint_statuses VALUES('13338','4048','3',null,'55',null,'01-FEB-2021
COM NO RWP-17935','92','92','2021-02-01 20:16:32','2021-02-01 21:01:15',null);
INSERT INTO complaint_statuses VALUES('13339','4008','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-01 20:22:05','2021-02-01 20:22:05',null);
INSERT INTO complaint_statuses VALUES('13340','4049','3',null,'57',null,'01-FEB-2021
COM NO 16403','92','92','2021-02-01 20:27:34','2021-02-04 00:12:14',null);
INSERT INTO complaint_statuses VALUES('13341','4005','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-02-01 20:35:38','2021-02-01 20:35:38',null);
INSERT INTO complaint_statuses VALUES('13342','4005','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-01 20:36:08','2021-02-02 21:00:14',null);
INSERT INTO complaint_statuses VALUES('13343','4050','3',null,'53',null,'01-FEB-2021
COM NO 301084282','92','92','2021-02-01 20:41:30','2021-02-01 20:54:14',null);
INSERT INTO complaint_statuses VALUES('13344','4003','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-01 20:53:53','2021-02-01 20:53:53',null);
INSERT INTO complaint_statuses VALUES('13345','4051','2',null,'81',null,'01-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-01 21:10:09','2021-02-01 21:10:09',null);
INSERT INTO complaint_statuses VALUES('13346','3994','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-01 21:23:30','2021-02-01 21:23:30',null);
INSERT INTO complaint_statuses VALUES('13347','4052','3',null,'66',null,'01-FEB-2021
COM NO PK020120210068
AHMAD TCL','92','92','2021-02-01 21:28:39','2021-02-01 21:46:38',null);
INSERT INTO complaint_statuses VALUES('13348','4053','2',null,'81',null,'01-FEB-2021
COM FF TO USMAN SIR','92','92','2021-02-01 21:37:50','2021-02-01 21:37:50',null);
INSERT INTO complaint_statuses VALUES('13349','4046','4',null,'56',null,null,'81','81','2021-02-01 21:39:01','2021-02-01 21:39:01',null);
INSERT INTO complaint_statuses VALUES('13350','4047','4',null,'55',null,null,'81','81','2021-02-01 21:39:13','2021-02-01 21:39:13',null);
INSERT INTO complaint_statuses VALUES('13351','4051','4',null,'58',null,null,'81','81','2021-02-01 21:39:28','2021-02-01 21:39:28',null);
INSERT INTO complaint_statuses VALUES('13352','4053','4',null,'61',null,null,'81','81','2021-02-01 21:39:40','2021-02-01 21:39:40',null);
INSERT INTO complaint_statuses VALUES('13353','3989','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-01 21:40:13','2021-02-01 21:40:13',null);
INSERT INTO complaint_statuses VALUES('13354','3589','7','12','81','unit ok no any problem with unit  customer internet problem  mobile hotspot working ok 

for customer satisfaction we suggest to move unit service center or  showroom  but customer not ready to hand over the unit to service team  

plz close th job from our side as the unit is ok',null,'83','83','2021-02-01 21:45:36','2021-02-01 21:45:36',null);
INSERT INTO complaint_statuses VALUES('13355','3991','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-01 22:07:47','2021-02-01 22:07:47',null);
INSERT INTO complaint_statuses VALUES('13356','4054','2',null,'81',null,'01-FEB-2021
COM FF TO KHALID SONY','92','92','2021-02-01 22:16:19','2021-02-01 22:16:19',null);
INSERT INTO complaint_statuses VALUES('13357','4054','4',null,'56',null,null,'81','81','2021-02-01 22:26:21','2021-02-01 22:26:21',null);
INSERT INTO complaint_statuses VALUES('13358','4055','3',null,'68',null,'01-FEB-2021
COM FF TO MANSOOR SHARP','92','92','2021-02-01 22:40:52','2021-02-01 22:40:52',null);
INSERT INTO complaint_statuses VALUES('13359','3818','7','24','81','customer not available  still  he committed for tomorrow for the unit inspection after sending me the pictures of unit',null,'83','83','2021-02-01 22:49:07','2021-02-01 22:49:07',null);
INSERT INTO complaint_statuses VALUES('13360','4056','3',null,'52',null,'01-FEB-2021
COM NO PKRI-210201106845','92','92','2021-02-01 22:59:08','2021-02-01 23:21:28',null);
INSERT INTO complaint_statuses VALUES('13361','4057','3',null,'55',null,'01-FEB-2021
COM NO RWP-17943','92','92','2021-02-01 23:15:37','2021-02-01 23:17:53',null);
INSERT INTO complaint_statuses VALUES('13362','3918','7','12','81','Demonstration Only (Charges Pending 1000)',null,'76','76','2021-02-02 00:24:45','2021-02-02 00:24:45',null);
INSERT INTO complaint_statuses VALUES('13363','4058','3',null,'55',null,'01-FEB-2021
COM NO 1479','92','92','2021-02-02 00:25:12','2021-02-02 00:30:10',null);
INSERT INTO complaint_statuses VALUES('13364','4010','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-02 00:29:11','2021-02-02 20:59:42',null);
INSERT INTO complaint_statuses VALUES('13365','4059','2',null,'81',null,'01-FEB-2021
COMPLAINT#1808812','74','74','2021-02-02 00:33:31','2021-02-02 00:33:31',null);
INSERT INTO complaint_statuses VALUES('13366','4060','2',null,'81',null,'01-FEB-*2021
COMPLAINT# 1808815','74','74','2021-02-02 00:35:38','2021-02-02 00:35:38',null);
INSERT INTO complaint_statuses VALUES('13367','3918','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-02 00:36:41','2021-02-02 21:00:54',null);
INSERT INTO complaint_statuses VALUES('13368','4061','2',null,'81',null,'01-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-02 00:42:16','2021-02-02 00:42:16',null);
INSERT INTO complaint_statuses VALUES('13369','4062','3',null,'57',null,'01-FEB-2021
COM NO 16360','92','92','2021-02-02 00:49:39','2021-02-02 00:49:39',null);
INSERT INTO complaint_statuses VALUES('13370','4063','3',null,'66',null,'01-FEB-2021
COM NO PK020120210131','92','92','2021-02-02 01:05:38','2021-02-02 01:05:38',null);
INSERT INTO complaint_statuses VALUES('13371','4061','4',null,'62',null,null,'81','81','2021-02-02 01:09:02','2021-02-02 01:09:02',null);
INSERT INTO complaint_statuses VALUES('13372','4064','3',null,'80',null,'01-FEB-2021
FF TO TAHIR SIEMENS','74','74','2021-02-02 01:09:57','2021-02-02 01:09:57',null);
INSERT INTO complaint_statuses VALUES('13373','4065','3',null,'52',null,'01-FEB-2021
COM NO PKRI-210201109305','92','92','2021-02-02 01:19:57','2021-02-02 01:23:31',null);
INSERT INTO complaint_statuses VALUES('13374','4066','2',null,'81',null,'01-FEB-2020
FF TO NADEEM SAB','74','74','2021-02-02 01:27:22','2021-02-02 01:27:22',null);
INSERT INTO complaint_statuses VALUES('13375','4066','4',null,'59',null,null,'81','81','2021-02-02 01:27:48','2021-02-02 01:27:48',null);
INSERT INTO complaint_statuses VALUES('13376','4060','4',null,'64',null,null,'81','81','2021-02-02 01:27:58','2021-02-02 01:27:58',null);
INSERT INTO complaint_statuses VALUES('13377','4059','4',null,'64',null,null,'81','81','2021-02-02 01:28:10','2021-02-02 01:28:10',null);
INSERT INTO complaint_statuses VALUES('13378','4067','2',null,'81',null,'01-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-02 01:29:58','2021-02-02 01:29:58',null);
INSERT INTO complaint_statuses VALUES('13379','4068','2',null,'81',null,'01-FEB-2021
FF TO NADEEM AV','74','74','2021-02-02 01:30:12','2021-02-02 01:30:12',null);
INSERT INTO complaint_statuses VALUES('13380','4068','4',null,'59',null,null,'81','81','2021-02-02 01:30:30','2021-02-02 01:30:30',null);
INSERT INTO complaint_statuses VALUES('13381','4069','2',null,'81',null,'01-FEB-2021
COM NO 3673','92','92','2021-02-02 01:55:47','2021-02-02 01:59:54',null);
INSERT INTO complaint_statuses VALUES('13382','4070','2',null,'81',null,'01-FEB-2021
COM NO 3674','92','92','2021-02-02 01:58:34','2021-02-02 02:00:11',null);
INSERT INTO complaint_statuses VALUES('13383','4067','4',null,'62',null,null,'81','81','2021-02-02 02:00:50','2021-02-02 02:00:50',null);
INSERT INTO complaint_statuses VALUES('13384','4069','4',null,'64',null,null,'81','81','2021-02-02 02:01:00','2021-02-02 02:01:00',null);
INSERT INTO complaint_statuses VALUES('13385','4070','4',null,'64',null,null,'81','81','2021-02-02 02:01:08','2021-02-02 02:01:08',null);
INSERT INTO complaint_statuses VALUES('13386','4070','4',null,'64',null,'COMPLAINT RESOLVED','81','74','2021-02-02 02:01:08','2021-02-09 15:24:42',null);
INSERT INTO complaint_statuses VALUES('13387','4071','2',null,'81',null,'01-FEB-2021
FF TO SHAMIM AKHTER','74','74','2021-02-02 02:33:20','2021-02-02 02:33:20',null);
INSERT INTO complaint_statuses VALUES('13388','4072','2',null,'81',null,'01-FEB-2021
COM FF TO AZHAR FCI','92','92','2021-02-02 02:33:52','2021-02-02 02:33:52',null);
INSERT INTO complaint_statuses VALUES('13389','4073','2',null,'81',null,'01-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-02 02:38:44','2021-02-02 02:38:44',null);
INSERT INTO complaint_statuses VALUES('13390','4073','4',null,'63',null,null,'81','81','2021-02-02 02:40:58','2021-02-02 02:40:58',null);
INSERT INTO complaint_statuses VALUES('13391','4072','4',null,'60',null,null,'81','81','2021-02-02 02:41:11','2021-02-02 02:41:11',null);
INSERT INTO complaint_statuses VALUES('13392','4071','4',null,'55',null,null,'81','81','2021-02-02 02:41:24','2021-02-02 02:41:24',null);
INSERT INTO complaint_statuses VALUES('13393','4074','2',null,'81',null,'01-FEB-2021
FF TO WAQAS MULTY NET','74','74','2021-02-02 02:48:17','2021-02-02 02:48:17',null);
INSERT INTO complaint_statuses VALUES('13394','4075','3',null,'52',null,'01-FEB-2021
COM NO PKRI-210201110681','92','92','2021-02-02 02:54:54','2021-02-02 02:54:54',null);
INSERT INTO complaint_statuses VALUES('13395','3958','7','12','81','Water Inside Issue.',null,'76','76','2021-02-02 19:20:20','2021-02-02 19:20:20',null);
INSERT INTO complaint_statuses VALUES('13396','3906','7','12','81','Please Complete.',null,'76','76','2021-02-02 19:24:23','2021-02-02 19:24:23',null);
INSERT INTO complaint_statuses VALUES('13397','4076','3',null,'65',null,'02-FEB-2021
COM NO 192120595','92','92','2021-02-02 20:02:05','2021-02-02 20:08:03',null);
INSERT INTO complaint_statuses VALUES('13398','4037','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-02 20:05:42','2021-02-02 20:05:42',null);
INSERT INTO complaint_statuses VALUES('13399','3563','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-02 20:07:23','2021-02-02 20:07:23',null);
INSERT INTO complaint_statuses VALUES('13400','4077','3',null,'52',null,'02-FEB-2021
COM NO PKRI-210202104563','92','92','2021-02-02 20:09:49','2021-02-02 21:39:02',null);
INSERT INTO complaint_statuses VALUES('13401','4078','2',null,'81',null,'02-FEB-2021
COM NO 16376','92','92','2021-02-02 20:15:41','2021-02-02 20:17:51',null);
INSERT INTO complaint_statuses VALUES('13402','4078','4',null,'64',null,null,'81','81','2021-02-02 20:18:18','2021-02-02 20:18:18',null);
INSERT INTO complaint_statuses VALUES('13403','4011','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-02 20:30:03','2021-02-02 20:30:03',null);
INSERT INTO complaint_statuses VALUES('13404','4079','3',null,'52',null,'02-FEB-2021
COM NO PKRI-210202103432','92','92','2021-02-02 20:34:47','2021-02-02 20:43:24',null);
INSERT INTO complaint_statuses VALUES('13405','4060','7','12','81','DOUBLE COMPLAINT ENTER... ALREADY IN OUR NOTICE',null,'91','91','2021-02-02 20:44:20','2021-02-02 20:44:20',null);
INSERT INTO complaint_statuses VALUES('13406','4059','7','12','81','DOUBLE ENTRE COMPLAINT... ALREADY FORWARDED TO COMPANY',null,'91','91','2021-02-02 20:45:22','2021-02-02 20:45:22',null);
INSERT INTO complaint_statuses VALUES('13407','4022','7','12','81','PLZ INFORM TO SALEMAN , FOR MISSING PARTS CONTACT TO BILAL MANZOOR',null,'91','91','2021-02-02 20:46:21','2021-02-02 20:46:21',null);
INSERT INTO complaint_statuses VALUES('13408','4033','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-02 20:48:25','2021-02-02 20:48:25',null);
INSERT INTO complaint_statuses VALUES('13409','3938','7','24','81','PLZ CONFIRM, IS THIS OUR IMPORT OR COMPANY',null,'91','91','2021-02-02 20:48:34','2021-02-02 20:48:34',null);
INSERT INTO complaint_statuses VALUES('13410','4060','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-02-02 20:49:59','2021-02-02 20:58:37',null);
INSERT INTO complaint_statuses VALUES('13411','4059','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-02-02 20:50:10','2021-02-02 20:59:10',null);
INSERT INTO complaint_statuses VALUES('13412','4029','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-02 20:52:01','2021-02-02 20:52:01',null);
INSERT INTO complaint_statuses VALUES('13413','3962','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-02 21:07:46','2021-02-02 21:07:46',null);
INSERT INTO complaint_statuses VALUES('13414','4027','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-02 21:16:59','2021-02-02 21:16:59',null);
INSERT INTO complaint_statuses VALUES('13415','4026','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-02 21:23:18','2021-02-02 21:23:18',null);
INSERT INTO complaint_statuses VALUES('13416','4023','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-02 21:29:51','2021-02-02 21:29:51',null);
INSERT INTO complaint_statuses VALUES('13417','4080','3',null,'53',null,'02-FEB-2021
COM NO 1084676','92','92','2021-02-02 21:33:05','2021-02-02 21:43:59',null);
INSERT INTO complaint_statuses VALUES('13418','4081','3',null,'73',null,'02-FEB-2021
COM NO 3685','92','92','2021-02-02 21:51:48','2021-02-02 21:54:18',null);
INSERT INTO complaint_statuses VALUES('13419','4018','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-02 22:02:02','2021-02-02 22:02:02',null);
INSERT INTO complaint_statuses VALUES('13420','3758','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-02 22:47:14','2021-02-02 22:47:14',null);
INSERT INTO complaint_statuses VALUES('13421','4022','8','23','64','OK  DETAIL FF KAR DI HIAN BILAL MANZOOR KO',null,'81','81','2021-02-02 22:53:32','2021-02-02 22:53:32',null);
INSERT INTO complaint_statuses VALUES('13422','3958','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-02-02 22:54:48','2021-02-02 23:33:44',null);
INSERT INTO complaint_statuses VALUES('13423','4074','4',null,'64',null,null,'81','81','2021-02-02 22:55:42','2021-02-02 22:55:42',null);
INSERT INTO complaint_statuses VALUES('13424','3906','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-02 22:57:13','2021-02-02 23:52:46',null);
INSERT INTO complaint_statuses VALUES('13425','4014','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-02 23:18:00','2021-02-02 23:18:00',null);
INSERT INTO complaint_statuses VALUES('13426','4013','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-02 23:20:32','2021-02-02 23:20:32',null);
INSERT INTO complaint_statuses VALUES('13427','4012','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-02 23:22:28','2021-02-02 23:22:28',null);
INSERT INTO complaint_statuses VALUES('13428','4082','2',null,'81',null,'02-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-02 23:23:53','2021-02-02 23:23:53',null);
INSERT INTO complaint_statuses VALUES('13429','4004','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-02 23:24:47','2021-02-02 23:24:47',null);
INSERT INTO complaint_statuses VALUES('13430','4082','4',null,'55',null,null,'81','81','2021-02-02 23:24:58','2021-02-02 23:24:58',null);
INSERT INTO complaint_statuses VALUES('13431','4000','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-02 23:33:07','2021-02-02 23:33:07',null);
INSERT INTO complaint_statuses VALUES('13432','4002','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-02-02 23:50:43','2021-02-02 23:50:43',null);
INSERT INTO complaint_statuses VALUES('13433','4002','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-02 23:51:41','2021-02-02 23:52:12',null);
INSERT INTO complaint_statuses VALUES('13434','3933','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-02-03 00:13:42','2021-02-03 00:13:42',null);
INSERT INTO complaint_statuses VALUES('13435','3933','5','15',null,'COMPLETED COMPLAINT 
800 CHARGES NOT PAID','COMPLAINT RESOLVED','81','74','2021-02-03 00:15:31','2021-02-03 00:17:05',null);
INSERT INTO complaint_statuses VALUES('13436','4083','2',null,'81',null,'02-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-03 00:50:34','2021-02-03 00:50:34',null);
INSERT INTO complaint_statuses VALUES('13437','4084','2',null,'81',null,'02-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-03 01:00:12','2021-02-03 01:00:12',null);
INSERT INTO complaint_statuses VALUES('13438','4085','2',null,'81',null,'02-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-03 01:14:48','2021-02-03 01:14:48',null);
INSERT INTO complaint_statuses VALUES('13439','4083','4',null,'58',null,null,'81','81','2021-02-03 01:15:44','2021-02-03 01:15:44',null);
INSERT INTO complaint_statuses VALUES('13440','4084','4',null,'58',null,null,'81','81','2021-02-03 01:15:58','2021-02-03 01:15:58',null);
INSERT INTO complaint_statuses VALUES('13441','4085','4',null,'58',null,null,'81','81','2021-02-03 01:16:14','2021-02-03 01:16:14',null);
INSERT INTO complaint_statuses VALUES('13442','4053','7','11','81','kal sy phone kr rahay hain number busy ja raha ha',null,'83','83','2021-02-03 01:55:27','2021-02-03 01:55:27',null);
INSERT INTO complaint_statuses VALUES('13443','4086','3',null,'53',null,'02-FEB-2021
COM NO 1084802','92','92','2021-02-03 02:04:24','2021-02-03 02:08:09',null);
INSERT INTO complaint_statuses VALUES('13444','4087','2',null,'81',null,'02-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-03 02:13:59','2021-02-03 02:13:59',null);
INSERT INTO complaint_statuses VALUES('13445','4087','4',null,'62',null,null,'81','81','2021-02-03 02:15:27','2021-02-03 02:15:27',null);
INSERT INTO complaint_statuses VALUES('13446','4088','3',null,'53',null,'02-FEB-2021
COM NO 1084842','92','92','2021-02-03 02:32:28','2021-02-03 19:30:44',null);
INSERT INTO complaint_statuses VALUES('13447','4089','3',null,'55',null,'02-FEB-2021
COM NO RWP-17968','92','92','2021-02-03 02:38:34','2021-02-03 19:32:02',null);
INSERT INTO complaint_statuses VALUES('13448','4090','3',null,'65',null,'02-FEB-2021
COM NO 072116530','92','92','2021-02-03 02:56:45','2021-02-03 19:36:16',null);
INSERT INTO complaint_statuses VALUES('13449','4091','3',null,'53',null,'02-FEB-2021
FF TO MOSHIN
COM NO 1084856','74','92','2021-02-03 03:06:37','2021-02-03 20:25:41',null);
INSERT INTO complaint_statuses VALUES('13450','4044','7','12','81','reset ki hai wm complaint rsolved',null,'79','79','2021-02-03 04:50:25','2021-02-03 04:50:25',null);
INSERT INTO complaint_statuses VALUES('13451','4051','7','12','81','earting  issue tha compliant esolved',null,'79','79','2021-02-03 04:51:20','2021-02-03 04:51:20',null);
INSERT INTO complaint_statuses VALUES('13452','4092','3',null,'57',null,'03-FEB-2021
COM NO 16394','92','92','2021-02-03 19:46:58','2021-02-03 19:46:58',null);
INSERT INTO complaint_statuses VALUES('13453','4093','2',null,'81',null,'03-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-03 19:56:04','2021-02-03 19:56:04',null);
INSERT INTO complaint_statuses VALUES('13454','4093','4',null,'58',null,null,'81','81','2021-02-03 20:02:03','2021-02-03 20:02:03',null);
INSERT INTO complaint_statuses VALUES('13455','4093','4',null,'58',null,null,'81','81','2021-02-03 20:02:03','2021-02-03 20:02:03',null);
INSERT INTO complaint_statuses VALUES('13456','4094','2',null,'81',null,'03-FEB-2021
COM FF TO USMAN SIR','92','92','2021-02-03 20:11:55','2021-02-03 20:11:55',null);
INSERT INTO complaint_statuses VALUES('13457','4094','4',null,'61',null,null,'81','81','2021-02-03 20:16:56','2021-02-03 20:16:56',null);
INSERT INTO complaint_statuses VALUES('13458','4053','8','23','61','CONTACT # CORRECT HAINABI IC HI NO SA PA BAT HOI HAIN CUSTOMER SA MARI .KINDLY AGAIN CALL KARAY',null,'81','81','2021-02-03 20:20:32','2021-02-03 20:20:32',null);
INSERT INTO complaint_statuses VALUES('13459','4051','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-03 20:22:25','2021-02-03 21:49:36',null);
INSERT INTO complaint_statuses VALUES('13460','4044','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-03 20:23:54','2021-02-03 21:49:08',null);
INSERT INTO complaint_statuses VALUES('13461','4038','5',null,null,'complaint closed',null,'74','74','2021-02-03 20:40:26','2021-02-03 20:40:26',null);
INSERT INTO complaint_statuses VALUES('13462','4095','3',null,'57',null,'03-FEB-2021
COM NO 16397','92','92','2021-02-03 21:18:38','2021-02-03 21:18:38',null);
INSERT INTO complaint_statuses VALUES('13463','4034','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-03 21:34:23','2021-02-03 21:34:23',null);
INSERT INTO complaint_statuses VALUES('13464','4096','3',null,'52',null,'03-FEB-2021
COM NO PKRI-210203104200','92','92','2021-02-03 21:35:40','2021-02-03 21:39:45',null);
INSERT INTO complaint_statuses VALUES('13465','3372','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-03 21:42:04','2021-02-03 21:42:04',null);
INSERT INTO complaint_statuses VALUES('13466','3964','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-02-03 22:03:01','2021-02-03 22:03:01',null);
INSERT INTO complaint_statuses VALUES('13467','3524','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-03 22:20:39','2021-02-03 22:20:39',null);
INSERT INTO complaint_statuses VALUES('13468','3987','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-03 22:20:53','2021-02-03 22:20:53',null);
INSERT INTO complaint_statuses VALUES('13469','4021','7','12','81','COMPLETED COMPLAINT 
1500 NOT PAID CHARGES',null,'88','88','2021-02-03 22:29:37','2021-02-03 22:29:37',null);
INSERT INTO complaint_statuses VALUES('13470','4021','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-03 22:30:28','2021-02-03 22:31:04',null);
INSERT INTO complaint_statuses VALUES('13471','4097','2',null,'81',null,'03-FEB-2021
FF TO  KHALID SONY','74','74','2021-02-03 22:39:27','2021-02-03 22:39:27',null);
INSERT INTO complaint_statuses VALUES('13472','4097','4',null,'56',null,null,'81','81','2021-02-03 22:40:47','2021-02-03 22:40:47',null);
INSERT INTO complaint_statuses VALUES('13473','4098','3',null,'52',null,'03-FEB-2021
COM NO PKRI-210203106108','92','92','2021-02-03 22:41:55','2021-02-03 23:34:51',null);
INSERT INTO complaint_statuses VALUES('13474','4099','2',null,'81',null,'03-FEB-2021
COM NO ISB-11273','92','92','2021-02-03 23:12:21','2021-02-03 23:15:10',null);
INSERT INTO complaint_statuses VALUES('13475','4100','3',null,'52',null,'03-FEB-2021
COM NO PKRI-210203106160','92','92','2021-02-03 23:24:42','2021-02-03 23:38:50',null);
INSERT INTO complaint_statuses VALUES('13476','4101','3',null,'52',null,'03-FEB-2021
COM NO PKRI-210203106160','92','92','2021-02-03 23:27:46','2021-02-03 23:39:55',null);
INSERT INTO complaint_statuses VALUES('13477','4102','2',null,'81',null,'03-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-04 00:00:54','2021-02-04 00:00:54',null);
INSERT INTO complaint_statuses VALUES('13478','3961','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 00:05:44','2021-02-04 00:05:44',null);
INSERT INTO complaint_statuses VALUES('13479','4103','2',null,'81',null,'03-FEB-2021
COM FF TO USMAN SIR','92','92','2021-02-04 00:09:18','2021-02-04 00:09:18',null);
INSERT INTO complaint_statuses VALUES('13480','3983','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 00:11:21','2021-02-04 00:11:21',null);
INSERT INTO complaint_statuses VALUES('13481','4099','4',null,'64',null,null,'81','81','2021-02-04 00:12:43','2021-02-04 00:12:43',null);
INSERT INTO complaint_statuses VALUES('13482','4102','4',null,'63',null,null,'81','81','2021-02-04 00:12:54','2021-02-04 00:12:54',null);
INSERT INTO complaint_statuses VALUES('13483','4103','4',null,'61',null,null,'81','81','2021-02-04 00:13:05','2021-02-04 00:13:05',null);
INSERT INTO complaint_statuses VALUES('13484','3950','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 00:21:30','2021-02-04 00:21:30',null);
INSERT INTO complaint_statuses VALUES('13485','4104','3',null,'52',null,'03-FEB-2021
COM NO PKJM-210203107256','92','92','2021-02-04 00:27:26','2021-02-04 13:56:18',null);
INSERT INTO complaint_statuses VALUES('13486','3914','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 00:32:18','2021-02-04 00:32:18',null);
INSERT INTO complaint_statuses VALUES('13487','3937','7','12','81','COMPLETED COMPLAINT RIZWAN SAB NA CONFIRM KIYA',null,'91','91','2021-02-04 00:42:21','2021-02-04 00:42:21',null);
INSERT INTO complaint_statuses VALUES('13488','3937','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-04 00:42:56','2021-02-04 00:44:24',null);
INSERT INTO complaint_statuses VALUES('13489','4105','3',null,'93',null,'0','74','74','2021-02-04 00:45:32','2021-02-04 00:45:32',null);
INSERT INTO complaint_statuses VALUES('13490','4105','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 00:46:32','2021-02-04 00:46:32',null);
INSERT INTO complaint_statuses VALUES('13491','3931','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-02-04 00:57:40','2021-02-04 00:57:40',null);
INSERT INTO complaint_statuses VALUES('13492','3931','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-02-04 00:59:02','2021-02-04 00:59:40',null);
INSERT INTO complaint_statuses VALUES('13493','4106','3',null,'55',null,'03-FEB-2021
COM NO ISB-11275','92','92','2021-02-04 01:03:39','2021-02-04 01:06:18',null);
INSERT INTO complaint_statuses VALUES('13494','3913','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 01:05:25','2021-02-04 01:05:25',null);
INSERT INTO complaint_statuses VALUES('13495','3894','7','12','81','COMPLETED COMPLAINT 
C/R KI COMPLAINT THI',null,'88','88','2021-02-04 01:07:49','2021-02-04 01:07:49',null);
INSERT INTO complaint_statuses VALUES('13496','3894','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-02-04 01:08:50','2021-02-04 01:08:50',null);
INSERT INTO complaint_statuses VALUES('13497','4107','3',null,'53',null,'04-FEB-2021
COM NO 301085149','92','92','2021-02-04 11:36:08','2021-02-04 11:40:28',null);
INSERT INTO complaint_statuses VALUES('13498','4108','2',null,'81',null,'04-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-04 12:00:31','2021-02-04 12:00:31',null);
INSERT INTO complaint_statuses VALUES('13499','2971','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 12:04:43','2021-02-04 12:04:43',null);
INSERT INTO complaint_statuses VALUES('13500','4072','7','24','81','Visit compleet 
Gass issue 
I10 servis center delver ho ga',null,'82','82','2021-02-04 12:06:13','2021-02-04 12:06:13',null);
INSERT INTO complaint_statuses VALUES('13501','4009','7','12','81','BACK LIGHT REPALCED  
UNIT PIC& DROP     
RS 4000/-  Espance',null,'83','83','2021-02-04 12:10:51','2021-02-04 12:10:51',null);
INSERT INTO complaint_statuses VALUES('13502','4109','3',null,'73',null,'04-FEB-2021
COM NO 3699','92','92','2021-02-04 12:13:33','2021-02-04 12:13:33',null);
INSERT INTO complaint_statuses VALUES('13503','4110','3',null,'53',null,'04-FEB-2021
COM NO 301085224','92','92','2021-02-04 12:21:55','2021-02-04 14:21:14',null);
INSERT INTO complaint_statuses VALUES('13504','4066','7','12','81','wifi disable 
RS 3000',null,'80','80','2021-02-04 12:23:49','2021-02-04 12:23:49',null);
INSERT INTO complaint_statuses VALUES('13505','4068','7','12','81','wifi disable
RS 2500',null,'80','80','2021-02-04 12:24:24','2021-02-04 12:24:24',null);
INSERT INTO complaint_statuses VALUES('13506','4111','3',null,'85',null,'04-FEB-2020
COMPLAINT#301085162
(PESHWAR S/C 0317-9998354 M. IRFAN)','74','74','2021-02-04 12:26:05','2021-02-04 12:26:05',null);
INSERT INTO complaint_statuses VALUES('13507','4112','2',null,'81',null,'04-FEB -2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-04 12:29:26','2021-02-04 12:29:26',null);
INSERT INTO complaint_statuses VALUES('13508','4112','4',null,'55',null,null,'81','81','2021-02-04 12:34:22','2021-02-04 12:34:22',null);
INSERT INTO complaint_statuses VALUES('13509','4108','4',null,'58',null,null,'81','81','2021-02-04 12:34:48','2021-02-04 12:34:48',null);
INSERT INTO complaint_statuses VALUES('13510','4113','2',null,'81',null,'04-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-04 12:44:31','2021-02-04 12:44:31',null);
INSERT INTO complaint_statuses VALUES('13511','4058','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 12:45:45','2021-02-04 12:45:45',null);
INSERT INTO complaint_statuses VALUES('13512','4057','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 12:47:45','2021-02-04 12:47:45',null);
INSERT INTO complaint_statuses VALUES('13513','4055','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 12:52:09','2021-02-04 12:52:09',null);
INSERT INTO complaint_statuses VALUES('13514','4114','3',null,'52',null,'04-FEB-2021
COM NO PKRI-210204104312','92','92','2021-02-04 12:53:08','2021-02-04 12:54:33',null);
INSERT INTO complaint_statuses VALUES('13515','4115','3',null,'54',null,'04-FEB-2021
COM NO 1810538','92','92','2021-02-04 13:01:04','2021-02-04 14:46:33',null);
INSERT INTO complaint_statuses VALUES('13516','3888','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 13:01:33','2021-02-04 13:01:33',null);
INSERT INTO complaint_statuses VALUES('13517','4062','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 13:04:56','2021-02-04 13:04:56',null);
INSERT INTO complaint_statuses VALUES('13518','4087','7','12','81','ISSUE RESOLVED , HEAT TANK REPLACED',null,'87','87','2021-02-04 13:05:53','2021-02-04 13:05:53',null);
INSERT INTO complaint_statuses VALUES('13519','3580','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 13:12:13','2021-02-04 13:12:13',null);
INSERT INTO complaint_statuses VALUES('13520','4116','3',null,'52',null,'04-FEB-2021
COM NO PKRI-210204106055
NEW COMPLAINT#
PKRI-210208105125','92','74','2021-02-04 13:13:06','2021-02-08 13:11:00',null);
INSERT INTO complaint_statuses VALUES('13521','4050','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 13:24:42','2021-02-04 13:24:42',null);
INSERT INTO complaint_statuses VALUES('13522','4065','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 13:27:19','2021-02-04 13:27:19',null);
INSERT INTO complaint_statuses VALUES('13523','4117','3',null,'53',null,'04-FEB-2021
COM NO 301085225','92','92','2021-02-04 13:29:08','2021-02-04 15:23:24',null);
INSERT INTO complaint_statuses VALUES('13524','4087','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-04 13:36:05','2021-02-04 14:56:03',null);
INSERT INTO complaint_statuses VALUES('13525','4068','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-04 13:36:30','2021-02-04 14:56:36',null);
INSERT INTO complaint_statuses VALUES('13526','4118','3',null,'52',null,'04-FEB-2021
COM NO PKRI-210204106102','92','92','2021-02-04 13:37:27','2021-02-04 14:40:07',null);
INSERT INTO complaint_statuses VALUES('13527','4066','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-04 13:37:56','2021-02-04 14:57:09',null);
INSERT INTO complaint_statuses VALUES('13528','4119','2',null,'81',null,'04-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-04 13:46:18','2021-02-04 13:46:18',null);
INSERT INTO complaint_statuses VALUES('13529','4032','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-04 13:47:44','2021-02-04 14:57:38',null);
INSERT INTO complaint_statuses VALUES('13530','4009','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-04 13:49:32','2021-02-04 14:58:43',null);
INSERT INTO complaint_statuses VALUES('13531','4113','4',null,'63',null,null,'81','81','2021-02-04 13:55:02','2021-02-04 13:55:02',null);
INSERT INTO complaint_statuses VALUES('13532','4120','3',null,'53',null,'04-FEB-2020
COMPLAINT#301085289','74','92','2021-02-04 13:55:45','2021-02-04 15:23:50',null);
INSERT INTO complaint_statuses VALUES('13533','3926','8','23','60','OVEN KI LIGHT AJ LAGA K COMPLIANT COMPLETED KIJAY  AJ',null,'81','81','2021-02-04 13:58:50','2021-02-04 13:58:50',null);
INSERT INTO complaint_statuses VALUES('13534','4119','4',null,'58',null,null,'81','81','2021-02-04 13:59:07','2021-02-04 13:59:07',null);
INSERT INTO complaint_statuses VALUES('13535','3884','8','23','60','COMPLAINT COMPLETED QUKILEY',null,'81','81','2021-02-04 13:59:43','2021-02-04 13:59:43',null);
INSERT INTO complaint_statuses VALUES('13536','4054','7','12','81','unit damaged estmate Refused',null,'77','77','2021-02-04 14:28:30','2021-02-04 14:28:30',null);
INSERT INTO complaint_statuses VALUES('13537','4121','2',null,'81',null,'04-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-04 14:29:35','2021-02-04 14:29:35',null);
INSERT INTO complaint_statuses VALUES('13538','4122','2',null,'81',null,'04-FEB-2021
FF TO B.COOL','74','74','2021-02-04 14:32:32','2021-02-04 14:32:32',null);
INSERT INTO complaint_statuses VALUES('13539','4122','4',null,'58',null,null,'81','81','2021-02-04 14:33:35','2021-02-04 14:33:35',null);
INSERT INTO complaint_statuses VALUES('13540','4123','3',null,'65',null,'04-FEB-2021
FF TO SAAD AYUB','74','74','2021-02-04 14:37:42','2021-02-04 14:37:42',null);
INSERT INTO complaint_statuses VALUES('13541','4124','3',null,'59',null,'04-FEB-2021
FF TO COMPLAINT SAMART ZOON
COMPLAINT#082008356','74','74','2021-02-04 14:44:50','2021-02-04 14:44:50',null);
INSERT INTO complaint_statuses VALUES('13542','4121','4',null,'58',null,'VISIT TO DAY','81','74','2021-02-04 14:50:51','2021-02-04 14:54:37',null);
INSERT INTO complaint_statuses VALUES('13543','4048','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 14:59:55','2021-02-04 14:59:55',null);
INSERT INTO complaint_statuses VALUES('13544','4125','2',null,'81',null,'04-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-04 15:08:21','2021-02-04 15:08:21',null);
INSERT INTO complaint_statuses VALUES('13545','4075','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 15:20:49','2021-02-04 15:20:49',null);
INSERT INTO complaint_statuses VALUES('13546','4125','4',null,'63',null,null,'81','81','2021-02-04 15:22:16','2021-02-04 15:22:16',null);
INSERT INTO complaint_statuses VALUES('13547','3956','7','12','81','Drum Setting. Visit Charges not Paid (1500)',null,'76','76','2021-02-04 15:26:39','2021-02-04 15:26:39',null);
INSERT INTO complaint_statuses VALUES('13548','3898','7','12','81','Drain Pipe Adjustment.',null,'76','76','2021-02-04 15:27:38','2021-02-04 15:27:38',null);
INSERT INTO complaint_statuses VALUES('13549','4041','7','12','81','Inlet Filter Service',null,'76','76','2021-02-04 15:33:14','2021-02-04 15:33:14',null);
INSERT INTO complaint_statuses VALUES('13550','4031','7','24','81','Refer to SVC in Display PCB Issue , (Already Checked By Local)',null,'76','76','2021-02-04 15:35:44','2021-02-04 15:35:44',null);
INSERT INTO complaint_statuses VALUES('13551','4047','7','24','81','In Service , Bearings and Seal And Service',null,'76','76','2021-02-04 15:36:53','2021-02-04 15:36:53',null);
INSERT INTO complaint_statuses VALUES('13552','4071','7','12','81','Level Adjustment. Visit Not paid (600)',null,'76','76','2021-02-04 15:39:20','2021-02-04 15:39:20',null);
INSERT INTO complaint_statuses VALUES('13553','4126','3',null,'53',null,'04-FEB-2021
COM NO 1085351','92','92','2021-02-04 16:23:21','2021-02-13 11:46:04',null);
INSERT INTO complaint_statuses VALUES('13554','3883','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 16:38:45','2021-02-04 16:38:45',null);
INSERT INTO complaint_statuses VALUES('13555','4020','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 16:54:39','2021-02-04 16:54:39',null);
INSERT INTO complaint_statuses VALUES('13556','3999','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 17:03:07','2021-02-04 17:03:07',null);
INSERT INTO complaint_statuses VALUES('13557','4036','7','12','81','I QABZA LAGAY K DIA 1500.
& 1000 LABOUR  TOTAL BILL 2500
COMPLAINT COMPLETED',null,'88','88','2021-02-04 17:09:55','2021-02-04 17:09:55',null);
INSERT INTO complaint_statuses VALUES('13558','4071','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-04 17:11:47','2021-02-04 17:20:09',null);
INSERT INTO complaint_statuses VALUES('13559','4054','5','15',null,'COMPLAINT ATTEND HO GEI HAIN DAMAGE HAIN YHA UNIT CUSTOMER KO ESTIMATE BATA DIA HAIN KHALID SAB NA 55000 KA BUT CUSTOMER NA REFUSED KAR DIA','COMPLAINT CLOSED','81','74','2021-02-04 17:18:49','2021-02-04 17:20:41',null);
INSERT INTO complaint_statuses VALUES('13560','4041','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-04 17:21:12','2021-02-05 13:20:13',null);
INSERT INTO complaint_statuses VALUES('13561','4036','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-04 17:22:13','2021-02-05 13:20:50',null);
INSERT INTO complaint_statuses VALUES('13562','4072','8','23','60','JOB COMPLETED QUKILY',null,'81','81','2021-02-04 17:28:12','2021-02-04 17:28:12',null);
INSERT INTO complaint_statuses VALUES('13563','3107','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-04 17:57:08','2021-02-04 17:57:08',null);
INSERT INTO complaint_statuses VALUES('13564','4081','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-05 12:14:08','2021-02-05 12:14:08',null);
INSERT INTO complaint_statuses VALUES('13565','4079','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-05 12:17:01','2021-02-05 12:17:01',null);
INSERT INTO complaint_statuses VALUES('13566','4127','2',null,'81',null,'25-FEB-2021
FF TO KHURRAM 5 STAR','74','92','2021-02-05 12:18:24','2021-03-02 12:04:30',null);
INSERT INTO complaint_statuses VALUES('13567','4077','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-05 12:20:44','2021-02-05 12:20:44',null);
INSERT INTO complaint_statuses VALUES('13568','4127','4',null,'63',null,null,'81','81','2021-02-05 12:21:04','2021-02-05 12:21:04',null);
INSERT INTO complaint_statuses VALUES('13569','4080','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-05 12:26:38','2021-02-05 12:26:38',null);
INSERT INTO complaint_statuses VALUES('13570','4073','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-02-05 12:29:51','2021-02-05 12:29:51',null);
INSERT INTO complaint_statuses VALUES('13571','4073','5','15',null,'COMPLETED COMPLAINT','COMPLAINT ATTEND HO GEI HAIN ELEMINT PRICE 2500 CUSTOMER KOINFORMED KAR DIA','81','74','2021-02-05 12:31:04','2021-02-05 12:38:11',null);
INSERT INTO complaint_statuses VALUES('13572','4076','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-05 12:46:20','2021-02-05 12:46:20',null);
INSERT INTO complaint_statuses VALUES('13573','4128','3',null,'55',null,'05-FEB-2021
FF TO NAEEM KENWOOD
com no rwp-18026','74','92','2021-02-05 12:46:34','2021-02-06 11:13:21',null);
INSERT INTO complaint_statuses VALUES('13574','4129','3',null,'55',null,'05-FEB-2021
FF TO NAEEM KENWOOD
COM NO RWP-18027','74','92','2021-02-05 12:46:37','2021-02-06 11:14:55',null);
INSERT INTO complaint_statuses VALUES('13575','2598','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-05 12:57:04','2021-02-05 12:57:04',null);
INSERT INTO complaint_statuses VALUES('13576','4063','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-05 13:06:25','2021-02-05 13:06:25',null);
INSERT INTO complaint_statuses VALUES('13577','2763','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-05 13:10:16','2021-02-05 13:10:16',null);
INSERT INTO complaint_statuses VALUES('13578','4130','3',null,'85',null,'05-FEB-2021
COMPLAINT# 1085809','74','92','2021-02-05 13:14:38','2021-02-08 11:09:17',null);
INSERT INTO complaint_statuses VALUES('13579','4052','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-05 13:18:09','2021-02-05 13:18:09',null);
INSERT INTO complaint_statuses VALUES('13580','4049','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-05 13:22:52','2021-02-05 13:22:52',null);
INSERT INTO complaint_statuses VALUES('13581','4045','7','24','81','VIST KAR LIA HY SOME TIME ISSUE A RHA HY CUSTOMER SET HMARY S/C  LY K AY GA',null,'80','80','2021-02-05 16:12:35','2021-02-05 16:12:35',null);
INSERT INTO complaint_statuses VALUES('13582','4024','7','12','81','Machin khod hi theek ho gai hy',null,'82','82','2021-02-06 11:49:16','2021-02-06 11:49:16',null);
INSERT INTO complaint_statuses VALUES('13583','4042','7','24','81','Workshop i10 jay gi',null,'82','82','2021-02-06 11:49:41','2021-02-06 11:49:41',null);
INSERT INTO complaint_statuses VALUES('13584','3884','7','12','81','Machin custmer ky ghar phonch gai hy',null,'82','82','2021-02-06 11:50:26','2021-02-06 11:50:26',null);
INSERT INTO complaint_statuses VALUES('13585','4131','2',null,'81',null,'06-FEB-2021
FF TO SHAHMIM AKHTER','74','74','2021-02-06 12:02:18','2021-02-06 12:02:18',null);
INSERT INTO complaint_statuses VALUES('13586','4131','4',null,'55',null,null,'81','81','2021-02-06 12:02:47','2021-02-06 12:02:47',null);
INSERT INTO complaint_statuses VALUES('13587','4024','5','15',null,'CUSTOMER KA ISSUE KHUD HI RESOLVED HO GAYA THA VISIT CANCEL KARWA DIA COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-02-06 12:07:28','2021-02-06 13:27:17',null);
INSERT INTO complaint_statuses VALUES('13588','4132','3',null,'53',null,'06-FEB-2021
COM NO 301085458','92','92','2021-02-06 12:11:45','2021-02-08 15:18:28',null);
INSERT INTO complaint_statuses VALUES('13589','4133','3',null,'55',null,'06-FEB-2021
COM NO ISB-11298','92','92','2021-02-06 12:16:47','2021-02-06 12:16:47',null);
INSERT INTO complaint_statuses VALUES('13590','4067','7','26','81','CUSTOMER KOI RESPONSE NI KR RHY ,FROM LAST 4 DAYS',null,'87','87','2021-02-06 12:20:47','2021-02-06 12:20:47',null);
INSERT INTO complaint_statuses VALUES('13591','4061','7','12','81','DOOR SWITCH KA ISSUE THA , DIRECT KR DIA NOW RESOLVED',null,'87','87','2021-02-06 12:22:59','2021-02-06 12:22:59',null);
INSERT INTO complaint_statuses VALUES('13592','4134','2',null,'81',null,'06-JAN-2021
COM NO 1811032','92','92','2021-02-06 12:42:18','2021-02-06 12:42:18',null);
INSERT INTO complaint_statuses VALUES('13593','4135','3',null,'55',null,'06-FEB-2021
COM NO 725022','92','92','2021-02-06 13:01:19','2021-02-06 13:03:42',null);
INSERT INTO complaint_statuses VALUES('13594','4134','4',null,'64',null,null,'81','81','2021-02-06 13:04:38','2021-02-06 13:04:38',null);
INSERT INTO complaint_statuses VALUES('13595','4104','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-06 13:16:04','2021-02-06 13:16:04',null);
INSERT INTO complaint_statuses VALUES('13596','4106','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-06 13:20:02','2021-02-06 13:20:02',null);
INSERT INTO complaint_statuses VALUES('13597','4136','3',null,'53',null,'06-FEB-2021
COM NO 301085570','92','92','2021-02-06 13:23:16','2021-02-06 13:27:53',null);
INSERT INTO complaint_statuses VALUES('13598','4067','8','23','62','CUSTOMER SA BAT HO GEI HAIN KAL KA TIME DIA HAIN VISIT ARRANGE KARWAY',null,'81','81','2021-02-06 13:24:31','2021-02-06 13:24:31',null);
INSERT INTO complaint_statuses VALUES('13599','4102','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-02-06 13:25:12','2021-02-06 13:25:12',null);
INSERT INTO complaint_statuses VALUES('13600','4102','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-06 13:26:02','2021-02-06 13:26:39',null);
INSERT INTO complaint_statuses VALUES('13601','4101','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-06 13:29:54','2021-02-06 13:29:54',null);
INSERT INTO complaint_statuses VALUES('13602','4137','3',null,'52',null,'03-FEB-2021
COM NO PKJM-210203107256','74','92','2021-02-06 13:31:55','2021-02-06 14:52:40',null);
INSERT INTO complaint_statuses VALUES('13603','4138','2',null,'81',null,'06-FEB-2021
COM FF TO USMAN SIR','92','92','2021-02-06 13:33:47','2021-02-06 13:33:47',null);
INSERT INTO complaint_statuses VALUES('13604','4138','4',null,'61',null,null,'81','81','2021-02-06 13:34:55','2021-02-06 13:34:55',null);
INSERT INTO complaint_statuses VALUES('13605','4061','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-06 13:35:10','2021-02-06 14:36:16',null);
INSERT INTO complaint_statuses VALUES('13606','4100','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-06 13:36:59','2021-02-06 13:36:59',null);
INSERT INTO complaint_statuses VALUES('13607','4047','8','23','55','OK COMPLAINT COMPLETED QUKILY',null,'81','81','2021-02-06 13:37:48','2021-02-06 13:37:48',null);
INSERT INTO complaint_statuses VALUES('13608','4098','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-06 13:40:32','2021-02-06 13:40:32',null);
INSERT INTO complaint_statuses VALUES('13609','4096','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-06 13:42:18','2021-02-06 13:42:18',null);
INSERT INTO complaint_statuses VALUES('13610','4042','8','23','60','OK  REF S/C MOVE KARWA K FOLLOW UP KARAY',null,'81','81','2021-02-06 13:45:31','2021-02-06 13:45:31',null);
INSERT INTO complaint_statuses VALUES('13611','4045','8','23','59','CUSTOMER MONDAY KO SET S/C MOVE KARWA DAY GAY',null,'81','81','2021-02-06 13:48:03','2021-02-06 13:48:03',null);
INSERT INTO complaint_statuses VALUES('13612','4139','2',null,'81',null,'06-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-06 13:49:05','2021-02-06 13:49:05',null);
INSERT INTO complaint_statuses VALUES('13613','4139','4',null,'55',null,null,'81','81','2021-02-06 13:50:56','2021-02-06 13:50:56',null);
INSERT INTO complaint_statuses VALUES('13614','4095','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-06 13:50:57','2021-02-06 13:50:57',null);
INSERT INTO complaint_statuses VALUES('13615','3956','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-06 13:57:27','2021-02-06 14:36:51',null);
INSERT INTO complaint_statuses VALUES('13616','4091','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-06 13:58:37','2021-02-06 13:58:37',null);
INSERT INTO complaint_statuses VALUES('13617','4140','2',null,'81',null,'06-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-06 14:00:51','2021-02-06 14:00:51',null);
INSERT INTO complaint_statuses VALUES('13618','4140','4',null,'62',null,null,'81','81','2021-02-06 14:04:15','2021-02-06 14:04:15',null);
INSERT INTO complaint_statuses VALUES('13619','4144','3',null,'73',null,'06-FEB-2021
COM NO 3724','92','92','2021-02-06 14:09:23','2021-02-08 12:55:54',null);
INSERT INTO complaint_statuses VALUES('13620','4089','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-06 14:09:34','2021-02-06 14:09:34',null);
INSERT INTO complaint_statuses VALUES('13621','4088','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-06 14:21:00','2021-02-06 14:21:00',null);
INSERT INTO complaint_statuses VALUES('13622','4145','3',null,'52',null,'06-FEB-2021
COM NO PKRI-210206106412','92','92','2021-02-06 14:22:12','2021-02-06 14:59:04',null);
INSERT INTO complaint_statuses VALUES('13623','4086','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-06 14:24:31','2021-02-06 14:24:31',null);
INSERT INTO complaint_statuses VALUES('13624','4146','2',null,'81',null,'06-FEB-2021
FF TO HOME SOLUTION','74','74','2021-02-06 14:26:53','2021-02-06 14:26:53',null);
INSERT INTO complaint_statuses VALUES('13625','3938','5','15',null,'COMPLETED COMPLAINT YHA COMPLAINT HOME SOLUTION  FF KAR DI COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-02-06 14:27:09','2021-02-06 14:37:21',null);
INSERT INTO complaint_statuses VALUES('13626','3898','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-06 14:28:45','2021-02-06 14:38:00',null);
INSERT INTO complaint_statuses VALUES('13627','3884','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-06 14:30:47','2021-02-06 14:38:47',null);
INSERT INTO complaint_statuses VALUES('13628','4146','4',null,'62',null,null,'81','81','2021-02-06 14:31:06','2021-02-06 14:31:06',null);
INSERT INTO complaint_statuses VALUES('13629','4147','3',null,'52',null,'06-FEB-2021
COM NO PKRI-210206106385','92','92','2021-02-06 14:33:55','2021-02-06 14:56:48',null);
INSERT INTO complaint_statuses VALUES('13630','3967','8','23','58',null,null,'81','81','2021-02-06 14:34:02','2021-02-06 14:34:02',null);
INSERT INTO complaint_statuses VALUES('13631','4043','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-02-06 14:45:39','2021-02-06 14:45:39',null);
INSERT INTO complaint_statuses VALUES('13632','4043','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-06 14:46:37','2021-02-06 14:47:11',null);
INSERT INTO complaint_statuses VALUES('13633','4148','2',null,'81',null,'06-FEB-2021
COM FF TO KHALID SONY','92','92','2021-02-06 14:48:33','2021-02-06 14:48:33',null);
INSERT INTO complaint_statuses VALUES('13634','4148','4',null,'56',null,null,'81','81','2021-02-06 14:51:16','2021-02-06 14:51:16',null);
INSERT INTO complaint_statuses VALUES('13635','4149','2',null,'81',null,'06-FEB-2021
COM FF TO KHALID SONY','92','92','2021-02-06 15:06:59','2021-02-06 15:06:59',null);
INSERT INTO complaint_statuses VALUES('13636','4149','4',null,'56',null,null,'81','81','2021-02-06 15:07:54','2021-02-06 15:07:54',null);
INSERT INTO complaint_statuses VALUES('13637','4150','2',null,'81',null,'06-FEB-2021
COM FF TO KHALID SONY','92','92','2021-02-06 15:28:15','2021-02-06 15:28:15',null);
INSERT INTO complaint_statuses VALUES('13638','4150','4',null,'56',null,null,'81','81','2021-02-06 15:30:00','2021-02-06 15:30:00',null);
INSERT INTO complaint_statuses VALUES('13639','4151','2',null,'81',null,'06-FEB-2021
COM FF TO USMAN SIR','92','92','2021-02-06 16:10:11','2021-02-06 16:10:11',null);
INSERT INTO complaint_statuses VALUES('13640','4152','2',null,'81',null,'06-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-06 16:18:53','2021-02-06 16:18:53',null);
INSERT INTO complaint_statuses VALUES('13641','4151','4',null,'61',null,null,'81','81','2021-02-06 16:24:57','2021-02-06 16:24:57',null);
INSERT INTO complaint_statuses VALUES('13642','4152','4',null,'55',null,null,'81','81','2021-02-06 16:25:12','2021-02-06 16:25:12',null);
INSERT INTO complaint_statuses VALUES('13643','4153','2',null,'81',null,'06-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-06 16:44:34','2021-02-09 15:31:32',null);
INSERT INTO complaint_statuses VALUES('13644','4154','2',null,'81',null,'06-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-06 16:52:27','2021-02-06 16:52:27',null);
INSERT INTO complaint_statuses VALUES('13645','4154','4',null,'58',null,null,'81','81','2021-02-06 16:56:03','2021-02-06 16:56:03',null);
INSERT INTO complaint_statuses VALUES('13646','4153','4',null,'58',null,null,'81','81','2021-02-06 16:56:25','2021-02-06 16:56:25',null);
INSERT INTO complaint_statuses VALUES('13647','4153','4',null,'58',null,null,'81','81','2021-02-06 16:56:25','2021-02-06 16:56:25',null);
INSERT INTO complaint_statuses VALUES('13648','4155','2',null,'81',null,'06-FEB-2021
COM FF TO NADEEM AZHAR','92','92','2021-02-06 17:06:19','2021-02-06 17:06:19',null);
INSERT INTO complaint_statuses VALUES('13649','4156','2',null,'81',null,'06-FEB-2021
COM FF TO AZHAR FCI','92','92','2021-02-06 17:14:01','2021-02-06 17:14:01',null);
INSERT INTO complaint_statuses VALUES('13650','4122','7','12','81','door switc issue complaint resolved',null,'79','79','2021-02-06 17:23:51','2021-02-06 17:23:51',null);
INSERT INTO complaint_statuses VALUES('13651','4113','7','12','81','COMPLETED COMPLANT',null,'88','88','2021-02-06 17:24:52','2021-02-06 17:24:52',null);
INSERT INTO complaint_statuses VALUES('13652','4113','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-06 17:26:08','2021-02-06 17:28:44',null);
INSERT INTO complaint_statuses VALUES('13653','4122','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-06 17:27:17','2021-02-06 17:28:18',null);
INSERT INTO complaint_statuses VALUES('13654','4157','3',null,'53',null,'06-FEB-2021
COM NO 301085790','92','92','2021-02-06 17:28:25','2021-02-08 10:34:53',null);
INSERT INTO complaint_statuses VALUES('13655','4158','2',null,'81',null,'06-FEB-2021
FF TO KHURRAM 5 STAR','74','74','2021-02-06 17:32:52','2021-02-06 17:32:52',null);
INSERT INTO complaint_statuses VALUES('13656','4159','3',null,'55',null,'06-FEB-2021
COM NO 18053','92','92','2021-02-06 17:33:20','2021-02-06 17:41:45',null);
INSERT INTO complaint_statuses VALUES('13657','4158','4',null,'63',null,null,'81','81','2021-02-06 17:34:24','2021-02-06 17:34:24',null);
INSERT INTO complaint_statuses VALUES('13658','3980','7','12','81','GAS CHARGED + COMP REPLACED 
NOW RESOLVED',null,'87','87','2021-02-06 17:37:21','2021-02-06 17:37:21',null);
INSERT INTO complaint_statuses VALUES('13659','3773','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-02-06 17:38:40','2021-02-06 17:38:40',null);
INSERT INTO complaint_statuses VALUES('13660','3980','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-06 17:40:10','2021-02-06 17:42:01',null);
INSERT INTO complaint_statuses VALUES('13661','3773','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-06 17:40:56','2021-02-06 17:41:26',null);
INSERT INTO complaint_statuses VALUES('13662','3967','7','12','81','complaint resolved .only gas charged',null,'79','79','2021-02-06 17:45:40','2021-02-06 17:45:40',null);
INSERT INTO complaint_statuses VALUES('13663','4160','3',null,'73',null,'06-FEB-2021
COM NO 3723','92','92','2021-02-06 17:51:26','2021-02-08 12:54:09',null);
INSERT INTO complaint_statuses VALUES('13664','4161','3',null,'57',null,'06-FEB-2021
COM NO 16486','92','92','2021-02-06 18:00:29','2021-02-08 11:12:14',null);
INSERT INTO complaint_statuses VALUES('13665','4162','3',null,'53',null,'06-FEB-2021
COM NO 301085788','92','92','2021-02-06 18:15:08','2021-02-08 10:31:09',null);
INSERT INTO complaint_statuses VALUES('13666','4155','4',null,'59',null,null,'81','81','2021-02-06 18:33:08','2021-02-06 18:33:08',null);
INSERT INTO complaint_statuses VALUES('13667','4156','4',null,'60',null,null,'81','81','2021-02-06 18:33:43','2021-02-06 18:33:43',null);
INSERT INTO complaint_statuses VALUES('13668','4030','7','12','81','complaint resolved..gas issue',null,'79','79','2021-02-06 18:41:04','2021-02-06 18:41:04',null);
INSERT INTO complaint_statuses VALUES('13669','4163','2',null,'81',null,'09-JAN-2021
COM FF TO SHAMMIM AKHTER','73','73','2021-02-07 10:50:38','2021-02-07 10:50:38',null);
INSERT INTO complaint_statuses VALUES('13670','4164','3',null,'57',null,'COMPLAIN#16461','73','73','2021-02-07 10:54:07','2021-02-07 11:09:05',null);
INSERT INTO complaint_statuses VALUES('13671','4165','3',null,'52',null,'COMPLAIN#PKRI210207101424','73','73','2021-02-07 10:56:33','2021-02-07 11:19:29',null);
INSERT INTO complaint_statuses VALUES('13672','4166','3',null,'57',null,'COMPLAIN#16460','73','73','2021-02-07 10:59:09','2021-02-07 11:07:38',null);
INSERT INTO complaint_statuses VALUES('13673','4163','4',null,'55',null,null,'81','81','2021-02-07 11:01:00','2021-02-07 11:01:00',null);
INSERT INTO complaint_statuses VALUES('13674','4167','3',null,'80',null,'FRWRD TO AMNA BOSCH','73','73','2021-02-07 11:33:18','2021-02-07 11:33:18',null);
INSERT INTO complaint_statuses VALUES('13675','4168','3',null,'80',null,'FRWRD TO AMNA BOSCH','73','73','2021-02-07 11:33:19','2021-02-07 11:33:19',null);
INSERT INTO complaint_statuses VALUES('13676','4167','5',null,null,'DOUBLE ENTRY...',null,'73','73','2021-02-07 11:34:29','2021-02-07 11:34:29',null);
INSERT INTO complaint_statuses VALUES('13677','4083','7','12','81','inlet coil service  compliant reoslved',null,'79','79','2021-02-07 11:34:42','2021-02-07 11:34:42',null);
INSERT INTO complaint_statuses VALUES('13678','4084','7','12','81','drain coil change .compliant ressolved',null,'79','79','2021-02-07 11:35:26','2021-02-07 11:35:26',null);
INSERT INTO complaint_statuses VALUES('13679','4142','2',null,'81',null,null,'73','73','2021-02-07 11:37:17','2021-02-07 11:37:17',null);
INSERT INTO complaint_statuses VALUES('13680','4141','2',null,'81',null,null,'73','73','2021-02-07 11:37:23','2021-02-07 11:37:23',null);
INSERT INTO complaint_statuses VALUES('13681','4142','4',null,'64',null,null,'81','81','2021-02-07 11:38:07','2021-02-07 11:38:07',null);
INSERT INTO complaint_statuses VALUES('13682','4141','4',null,'63',null,null,'81','81','2021-02-07 11:38:17','2021-02-07 11:38:17',null);
INSERT INTO complaint_statuses VALUES('13683','4142','7','12','81','double entred complaint by ehsan... already forwarded to khurram 5star',null,'91','91','2021-02-07 11:42:42','2021-02-07 11:42:42',null);
INSERT INTO complaint_statuses VALUES('13684','4142','5','15',null,null,'COMPLAINT CLOSED','81','74','2021-02-07 11:43:05','2021-02-08 12:26:14',null);
INSERT INTO complaint_statuses VALUES('13685','4084','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-02-07 11:43:59','2021-02-08 12:27:26',null);
INSERT INTO complaint_statuses VALUES('13686','4083','5','15',null,null,null,'81','81','2021-02-07 11:44:15','2021-02-07 11:44:15',null);
INSERT INTO complaint_statuses VALUES('13687','4030','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-02-07 11:44:29','2021-02-08 12:32:59',null);
INSERT INTO complaint_statuses VALUES('13688','3967','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-02-07 11:44:44','2021-02-08 12:35:37',null);
INSERT INTO complaint_statuses VALUES('13689','4169','3',null,'65',null,'COMPLAIN#192120716','73','73','2021-02-07 11:50:45','2021-02-07 12:06:19',null);
INSERT INTO complaint_statuses VALUES('13690','4067','7','12','81','JUST FILTER SAF KYE,',null,'87','87','2021-02-07 11:58:55','2021-02-07 11:58:55',null);
INSERT INTO complaint_statuses VALUES('13691','4170','2',null,'81',null,null,'73','73','2021-02-07 11:59:01','2021-02-07 11:59:01',null);
INSERT INTO complaint_statuses VALUES('13692','4170','4',null,'58',null,null,'81','81','2021-02-07 11:59:24','2021-02-07 11:59:24',null);
INSERT INTO complaint_statuses VALUES('13693','4146','7','12','81','ISSUE RESOLVED, FOOT GUTKA REPLACE KYE',null,'87','87','2021-02-07 12:02:25','2021-02-07 12:02:25',null);
INSERT INTO complaint_statuses VALUES('13694','4143','3',null,'54',null,'COMPLAIN#1811473','73','73','2021-02-07 12:10:53','2021-02-07 12:10:53',null);
INSERT INTO complaint_statuses VALUES('13695','4171','2',null,'81',null,null,'73','73','2021-02-07 12:36:36','2021-02-07 12:36:36',null);
INSERT INTO complaint_statuses VALUES('13696','4171','4',null,'58',null,null,'81','81','2021-02-07 12:36:52','2021-02-07 12:36:52',null);
INSERT INTO complaint_statuses VALUES('13697','4172','2',null,'81',null,null,'73','73','2021-02-07 12:53:39','2021-02-07 12:53:39',null);
INSERT INTO complaint_statuses VALUES('13698','4172','4',null,'56',null,null,'81','81','2021-02-07 12:53:57','2021-02-07 12:53:57',null);
INSERT INTO complaint_statuses VALUES('13699','4173','3',null,'52',null,'COMPLAIN#PKRI210207102890','73','73','2021-02-07 13:02:17','2021-02-07 13:05:35',null);
INSERT INTO complaint_statuses VALUES('13700','4174','2',null,'81',null,'FRWRD TO KHURRAM 5STAR','73','73','2021-02-07 13:25:00','2021-02-07 13:25:00',null);
INSERT INTO complaint_statuses VALUES('13701','4174','4',null,'63',null,null,'81','81','2021-02-07 13:25:53','2021-02-07 13:25:53',null);
INSERT INTO complaint_statuses VALUES('13702','4175','2',null,'81',null,null,'73','73','2021-02-07 13:33:36','2021-02-07 13:33:36',null);
INSERT INTO complaint_statuses VALUES('13703','4175','4',null,'55',null,null,'81','81','2021-02-07 13:34:06','2021-02-07 13:34:06',null);
INSERT INTO complaint_statuses VALUES('13704','4176','3',null,'53',null,'COMPLAIN#1085726','73','73','2021-02-07 13:36:18','2021-02-07 13:45:46',null);
INSERT INTO complaint_statuses VALUES('13705','4177','2',null,'81',null,null,'73','73','2021-02-07 13:38:30','2021-02-07 13:38:30',null);
INSERT INTO complaint_statuses VALUES('13706','4177','4',null,'55',null,null,'81','81','2021-02-07 13:39:37','2021-02-07 13:39:37',null);
INSERT INTO complaint_statuses VALUES('13707','4178','3',null,'52',null,'COMPLAIN#PKRI210207103529','73','73','2021-02-07 13:50:42','2021-02-07 14:09:59',null);
INSERT INTO complaint_statuses VALUES('13708','4180','3',null,'55',null,'COMPLAIN#RWP-725263','73','73','2021-02-07 14:28:18','2021-02-07 14:32:44',null);
INSERT INTO complaint_statuses VALUES('13709','4179','2',null,'81',null,null,'73','73','2021-02-07 14:30:24','2021-02-07 14:30:24',null);
INSERT INTO complaint_statuses VALUES('13710','4179','4',null,'62',null,null,'81','81','2021-02-07 14:31:07','2021-02-07 14:31:07',null);
INSERT INTO complaint_statuses VALUES('13711','4181','3',null,'55',null,'COMPLAIN#725273','73','73','2021-02-07 15:24:44','2021-02-07 15:24:44',null);
INSERT INTO complaint_statuses VALUES('13712','4121','7','12','81','COMPLAINT RESLOVED.FILTER CLEAN',null,'79','79','2021-02-07 19:47:40','2021-02-07 19:47:40',null);
INSERT INTO complaint_statuses VALUES('13713','4108','7','12','81','COMPLAINT RESOLVED',null,'79','79','2021-02-07 19:51:53','2021-02-07 19:51:53',null);
INSERT INTO complaint_statuses VALUES('13714','4119','7','12','81','CUSOTMER KO GUID KR DYA HAI..WO BOL SURF REH JATY  KAPRO MEIN.',null,'79','79','2021-02-07 19:55:08','2021-02-07 19:55:08',null);
INSERT INTO complaint_statuses VALUES('13715','2404','7','12','81','CUSOTMER KO HOOD CAHNGE KR DYA HAI,.IS KI GRN IRFAN SB KO KERWANI HAI','TAHIR SAB NA COMPLETED KARWAI COMPLAINT','79','74','2021-02-07 19:57:46','2021-02-13 16:33:55',null);
INSERT INTO complaint_statuses VALUES('13716','4182','2',null,'81',null,'08-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-08 10:43:13','2021-02-08 10:43:13',null);
INSERT INTO complaint_statuses VALUES('13717','4182','4',null,'63',null,null,'81','81','2021-02-08 10:45:05','2021-02-08 10:45:05',null);
INSERT INTO complaint_statuses VALUES('13718','4146','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-02-08 10:52:50','2021-02-08 12:25:42',null);
INSERT INTO complaint_statuses VALUES('13719','4183','2',null,'81',null,'08-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-08 11:00:10','2021-02-08 11:00:10',null);
INSERT INTO complaint_statuses VALUES('13720','4128','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-08 11:00:19','2021-02-08 11:00:19',null);
INSERT INTO complaint_statuses VALUES('13721','4184','3',null,'65',null,'08-FEB-2021
COM NO 192120727','92','92','2021-02-08 11:27:58','2021-02-08 11:30:34',null);
INSERT INTO complaint_statuses VALUES('13722','4185','2',null,'81',null,'08-FEB-2021
COM FF TO KHALID SONY','92','92','2021-02-08 11:35:13','2021-02-08 11:35:13',null);
INSERT INTO complaint_statuses VALUES('13723','4184','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-08 11:38:54','2021-02-08 11:38:54',null);
INSERT INTO complaint_statuses VALUES('13724','4186','2',null,'81',null,'08-FEB-2021
FF TO KHURRAM 5 STAR','74','74','2021-02-08 11:44:36','2021-02-08 11:44:36',null);
INSERT INTO complaint_statuses VALUES('13725','4187','3',null,'52',null,'08-FEB-2021
COM NO PKRI-210208103284','92','92','2021-02-08 11:46:13','2021-02-08 11:52:23',null);
INSERT INTO complaint_statuses VALUES('13726','4183','4',null,'62',null,null,'81','81','2021-02-08 11:46:52','2021-02-08 11:46:52',null);
INSERT INTO complaint_statuses VALUES('13727','4185','4',null,'56',null,null,'81','81','2021-02-08 11:47:04','2021-02-08 11:47:04',null);
INSERT INTO complaint_statuses VALUES('13728','4186','4',null,'63',null,null,'81','81','2021-02-08 11:47:20','2021-02-08 11:47:20',null);
INSERT INTO complaint_statuses VALUES('13729','4103','7','24','81','black spot in picture  need to move unit in lab    plz confirm who will move the unit',null,'83','83','2021-02-08 12:13:21','2021-02-08 12:13:21',null);
INSERT INTO complaint_statuses VALUES('13730','4107','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-08 12:16:13','2021-02-08 12:16:13',null);
INSERT INTO complaint_statuses VALUES('13731','4188','2',null,'81',null,'08-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-08 12:17:53','2021-02-08 12:20:32',null);
INSERT INTO complaint_statuses VALUES('13732','4109','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-08 12:17:54','2021-02-08 12:17:54',null);
INSERT INTO complaint_statuses VALUES('13733','4110','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-08 12:20:22','2021-02-08 12:20:22',null);
INSERT INTO complaint_statuses VALUES('13734','4119','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-02-08 12:22:38','2021-02-08 12:23:24',null);
INSERT INTO complaint_statuses VALUES('13735','4121','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-02-08 12:41:56','2021-02-08 13:36:03',null);
INSERT INTO complaint_statuses VALUES('13736','4189','3',null,'81',null,'08-FEB-2021
COM NO 50','92','92','2021-02-08 12:42:49','2021-02-09 14:18:52',null);
INSERT INTO complaint_statuses VALUES('13737','4188','4',null,'63',null,null,'81','81','2021-02-08 12:43:36','2021-02-08 12:43:36',null);
INSERT INTO complaint_statuses VALUES('13738','4114','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-08 12:43:55','2021-02-08 12:43:55',null);
INSERT INTO complaint_statuses VALUES('13739','4191','3',null,'73',null,'08-FEB-2021
COM NO 3722','92','92','2021-02-08 12:50:25','2021-02-08 12:50:25',null);
INSERT INTO complaint_statuses VALUES('13740','4108','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-08 12:50:28','2021-02-09 12:14:29',null);
INSERT INTO complaint_statuses VALUES('13741','4117','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-08 13:13:44','2021-02-08 13:13:44',null);
INSERT INTO complaint_statuses VALUES('13742','4067','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-08 13:14:53','2021-02-09 12:11:33',null);
INSERT INTO complaint_statuses VALUES('13743','4118','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-08 13:15:52','2021-02-08 13:15:52',null);
INSERT INTO complaint_statuses VALUES('13744','4192','3',null,'57',null,'08-FEB-2021
COM NO 16497','92','92','2021-02-08 13:20:19','2021-02-08 13:22:09',null);
INSERT INTO complaint_statuses VALUES('13745','4193','2',null,'81',null,'08-FEB-2021
COM FF TO AZHAR FCI','92','92','2021-02-08 13:29:57','2021-02-08 13:29:57',null);
INSERT INTO complaint_statuses VALUES('13746','4193','4',null,'60',null,null,'81','81','2021-02-08 13:31:19','2021-02-08 13:31:19',null);
INSERT INTO complaint_statuses VALUES('13747','4193','4',null,'60',null,null,'81','81','2021-02-08 13:31:19','2021-02-08 13:31:19',null);
INSERT INTO complaint_statuses VALUES('13748','3948','7','12','81','COMPLAINT RESOLVED',null,'88','88','2021-02-08 13:39:48','2021-02-08 13:39:48',null);
INSERT INTO complaint_statuses VALUES('13749','3986','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-08 13:41:09','2021-02-08 13:41:09',null);
INSERT INTO complaint_statuses VALUES('13750','3948','8','23','63','CUSTOMER KA VOUL TOTA HOA HAIN KHURRAM SIR KO PIC SHER KI HOI HAIN',null,'81','81','2021-02-08 13:46:25','2021-02-08 13:46:25',null);
INSERT INTO complaint_statuses VALUES('13751','4194','3',null,'65',null,'08-FEB-2021
COM NO 192120739','92','92','2021-02-08 14:08:25','2021-02-08 16:36:07',null);
INSERT INTO complaint_statuses VALUES('13752','4195','3',null,'74',null,'08-FEB-2021
COM NO 305','92','92','2021-02-08 14:41:53','2021-02-08 17:53:51',null);
INSERT INTO complaint_statuses VALUES('13753','3954','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-08 14:48:18','2021-02-08 14:48:18',null);
INSERT INTO complaint_statuses VALUES('13754','4196','2',null,'81',null,'08-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-08 15:14:47','2021-04-11 14:10:42',null);
INSERT INTO complaint_statuses VALUES('13755','4140','7','12','81','ISSUE RESOLVED,FAN KA SOUND THA',null,'87','87','2021-02-08 15:27:26','2021-02-08 15:27:26',null);
INSERT INTO complaint_statuses VALUES('13756','4197','2',null,'81',null,'08-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-08 15:53:13','2021-02-08 15:53:13',null);
INSERT INTO complaint_statuses VALUES('13757','4197','4',null,'62',null,null,'81','81','2021-02-08 15:55:18','2021-02-08 15:55:18',null);
INSERT INTO complaint_statuses VALUES('13758','4196','4',null,'55',null,null,'81','81','2021-02-08 15:55:31','2021-02-08 15:55:31',null);
INSERT INTO complaint_statuses VALUES('13759','4198','3',null,'55',null,'08-FEB-2021
COM NO RWP 18080','92','92','2021-02-08 16:11:42','2021-02-08 16:11:42',null);
INSERT INTO complaint_statuses VALUES('13760','4199','2',null,'81',null,'08-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-08 16:22:54','2021-02-20 14:47:44',null);
INSERT INTO complaint_statuses VALUES('13761','4200','3',null,'53',null,'08-FEB-2021
COM NO 301086016','92','92','2021-02-08 16:46:49','2021-02-08 16:51:18',null);
INSERT INTO complaint_statuses VALUES('13762','4199','4',null,'62',null,null,'81','81','2021-02-08 16:52:22','2021-02-08 16:52:22',null);
INSERT INTO complaint_statuses VALUES('13763','4201','3',null,'55',null,'08-FEB-2021
COM NO 725672','92','92','2021-02-08 17:09:27','2021-02-08 17:09:27',null);
INSERT INTO complaint_statuses VALUES('13764','4202','2',null,'81',null,'08-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-08 17:17:55','2021-02-08 17:17:55',null);
INSERT INTO complaint_statuses VALUES('13765','4203','3',null,'52',null,'08-FEB-2021
COM NO PKRI-210208109827','92','92','2021-02-08 17:33:12','2021-02-08 17:35:16',null);
INSERT INTO complaint_statuses VALUES('13766','4171','7','9','81','no is powered off..give another no plz',null,'79','79','2021-02-08 17:39:27','2021-02-08 17:39:27',null);
INSERT INTO complaint_statuses VALUES('13767','4204','2',null,'81',null,'08-FEB-2021
COM FF TO AZHAR FCI','92','92','2021-02-08 17:59:12','2021-02-08 17:59:12',null);
INSERT INTO complaint_statuses VALUES('13768','4202','4',null,'55',null,null,'81','81','2021-02-08 18:03:54','2021-02-08 18:03:54',null);
INSERT INTO complaint_statuses VALUES('13769','4204','4',null,'60',null,null,'81','81','2021-02-08 18:04:05','2021-02-08 18:04:05',null);
INSERT INTO complaint_statuses VALUES('13770','4190','2',null,'81',null,null,'92','92','2021-02-09 11:01:09','2021-02-09 11:01:09',null);
INSERT INTO complaint_statuses VALUES('13771','4190','4',null,'64',null,null,'81','81','2021-02-09 11:01:30','2021-02-09 11:01:30',null);
INSERT INTO complaint_statuses VALUES('13772','4190','4',null,'64',null,null,'81','81','2021-02-09 11:01:30','2021-02-09 11:01:30',null);
INSERT INTO complaint_statuses VALUES('13773','4171','5','15',null,'PTCL CALL THI CUSTOMER NO STILL P/OFF','COMPLAINT RESOLVED','81','92','2021-02-09 11:02:12','2021-02-09 12:13:52',null);
INSERT INTO complaint_statuses VALUES('13774','4145','5',null,null,'COMPLAIN CLOSED',null,'74','74','2021-02-09 11:06:08','2021-02-09 11:06:08',null);
INSERT INTO complaint_statuses VALUES('13775','4183','7','12','81','ISSUE RESOLVED , WATER INLIT PIPE ALTERNATIVE POINT PE LGE HUE THY.',null,'87','87','2021-02-09 11:08:39','2021-02-09 11:08:39',null);
INSERT INTO complaint_statuses VALUES('13776','4205','3',null,'81',null,'09-FEB-2021
COM NO 62','92','92','2021-02-09 11:23:54','2021-02-09 15:13:53',null);
INSERT INTO complaint_statuses VALUES('13777','4153','7','12','81','ye complint ap  logo ny khyram ko direct bhi di hui hai.',null,'79','79','2021-02-09 11:28:56','2021-02-09 11:28:56',null);
INSERT INTO complaint_statuses VALUES('13778','4148','7','24','81','We called to customer he will bring unit to serice center',null,'77','77','2021-02-09 11:33:55','2021-02-09 11:33:55',null);
INSERT INTO complaint_statuses VALUES('13779','4150','7','24','81','Customer will bring unit to service center we have called him',null,'77','77','2021-02-09 11:40:42','2021-02-09 11:40:42',null);
INSERT INTO complaint_statuses VALUES('13780','4206','3',null,'54',null,'09-FEB-2021
COM NO 1812578','92','92','2021-02-09 11:40:55','2021-02-09 11:40:55',null);
INSERT INTO complaint_statuses VALUES('13781','4149','7','24','81','We have called to customer not attending the call',null,'77','77','2021-02-09 11:44:35','2021-02-09 11:44:35',null);
INSERT INTO complaint_statuses VALUES('13782','4172','7','9','81','Customer not attending the call',null,'77','77','2021-02-09 11:45:04','2021-02-09 11:45:04',null);
INSERT INTO complaint_statuses VALUES('13783','4046','7','24','81','Inprocess. We have called him. He will bring unit to service center',null,'77','77','2021-02-09 11:47:46','2021-02-09 11:47:46',null);
INSERT INTO complaint_statuses VALUES('13784','4162','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-09 11:48:23','2021-02-09 11:48:23',null);
INSERT INTO complaint_statuses VALUES('13785','4147','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-09 11:53:06','2021-02-09 11:53:06',null);
INSERT INTO complaint_statuses VALUES('13786','4182','7','12','81','Gas kam the OK how Gaya hy 600ok f',null,'88','88','2021-02-09 11:56:30','2021-02-09 11:56:30',null);
INSERT INTO complaint_statuses VALUES('13787','4183','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-09 11:58:31','2021-02-09 12:12:27',null);
INSERT INTO complaint_statuses VALUES('13788','4174','7','12','81','Sal kharb tha OK how Gaya hy',null,'88','88','2021-02-09 11:58:33','2021-02-09 11:58:33',null);
INSERT INTO complaint_statuses VALUES('13789','4207','3',null,'68',null,'09-FEB-2021
COMPLAINT FF FARHAN SHARP','92','74','2021-02-09 11:59:00','2021-02-10 11:05:03',null);
INSERT INTO complaint_statuses VALUES('13790','4125','7','12','81','Tharocapil kharb the change how gayi hy 1200 OK f',null,'88','88','2021-02-09 11:59:37','2021-02-09 11:59:37',null);
INSERT INTO complaint_statuses VALUES('13791','4182','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-09 12:00:07','2021-02-09 12:13:00',null);
INSERT INTO complaint_statuses VALUES('13792','4208','2',null,'81',null,'09-FEB-2021
COM FF TO NADEEM SIR','92','92','2021-02-09 12:22:50','2021-02-09 12:22:50',null);
INSERT INTO complaint_statuses VALUES('13793','4209','3',null,'52',null,'09-FEB-2021
COM NO PKRI-210209103961','92','92','2021-02-09 12:35:40','2021-02-09 12:40:04',null);
INSERT INTO complaint_statuses VALUES('13794','4208','4',null,'59',null,null,'81','81','2021-02-09 12:37:57','2021-02-09 12:37:57',null);
INSERT INTO complaint_statuses VALUES('13795','4208','4',null,'59',null,null,'81','81','2021-02-09 12:37:57','2021-02-09 12:37:57',null);
INSERT INTO complaint_statuses VALUES('13796','4193','7','12','81','Gezar okay hy unki tap ka issue hy',null,'82','82','2021-02-09 12:46:30','2021-02-09 12:46:30',null);
INSERT INTO complaint_statuses VALUES('13797','4156','7','24','81','Water inlet issue hy',null,'82','82','2021-02-09 12:47:25','2021-02-09 12:47:25',null);
INSERT INTO complaint_statuses VALUES('13798','4210','3',null,'54',null,'09-FEB-2021
COM NO 1812670','92','92','2021-02-09 12:48:47','2021-02-09 12:48:47',null);
INSERT INTO complaint_statuses VALUES('13799','4211','3',null,'55',null,'09-FEB-2021
COM NO 725924','92','92','2021-02-09 13:01:29','2021-02-09 13:04:39',null);
INSERT INTO complaint_statuses VALUES('13800','4212','3',null,'52',null,'09-FEB-2021
COM NO PKRI-210209104877','92','92','2021-02-09 13:27:27','2021-02-09 13:27:27',null);
INSERT INTO complaint_statuses VALUES('13801','4103','8','23','61','SIR PLZ IC SET KO THORA URGENT CHEEKE KIJAY GA PLZ I REQUEST U',null,'81','81','2021-02-09 13:29:06','2021-02-09 13:29:06',null);
INSERT INTO complaint_statuses VALUES('13802','4213','3',null,'66',null,'23-FEB-2019
COMPLAINT#PK020920210085','74','74','2021-02-09 13:30:19','2021-02-09 13:34:27',null);
INSERT INTO complaint_statuses VALUES('13803','4214','3',null,'73',null,'09-FEB-2021
COM NO 3742','92','92','2021-02-09 13:35:25','2021-02-09 16:29:28',null);
INSERT INTO complaint_statuses VALUES('13804','4193','8','23','60','CUSTOMER KA ISSUE RESOLVED NA HOA KINDLY AGAIN CONTACT KARAY',null,'81','81','2021-02-09 13:39:40','2021-02-09 13:39:40',null);
INSERT INTO complaint_statuses VALUES('13805','4174','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-09 13:44:46','2021-02-09 15:43:38',null);
INSERT INTO complaint_statuses VALUES('13806','4215','3',null,'52',null,'09-FEB-2021
COM NO PKRI-210209106450','92','92','2021-02-09 13:49:04','2021-02-09 14:55:49',null);
INSERT INTO complaint_statuses VALUES('13807','4216','3',null,'65',null,'09-FEB-2021
COM NO 192120755','92','92','2021-02-09 13:54:46','2021-02-09 15:20:18',null);
INSERT INTO complaint_statuses VALUES('13808','4217','3',null,'52',null,'09-FEB-2021
COM NO PKRI-210209106493','92','92','2021-02-09 14:05:50','2021-02-09 14:58:37',null);
INSERT INTO complaint_statuses VALUES('13809','4218','2',null,'81',null,'09-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-09 14:14:59','2021-02-09 14:14:59',null);
INSERT INTO complaint_statuses VALUES('13810','4219','3',null,'52',null,'09-FEB-2021
COM NO PKRI-210209106553','92','92','2021-02-09 14:50:37','2021-02-09 15:02:02',null);
INSERT INTO complaint_statuses VALUES('13811','4220','3',null,'73',null,'09-FEB-2021
COM NO 3743','92','92','2021-02-09 15:09:30','2021-02-09 16:33:01',null);
INSERT INTO complaint_statuses VALUES('13812','4218','4',null,'58',null,null,'81','81','2021-02-09 15:12:03','2021-02-09 15:12:03',null);
INSERT INTO complaint_statuses VALUES('13813','4172','8','23','56','CUSTOMER SA BAT HO GEI HAIN AGAIN CALL KAR LAY CUSTOMER KO',null,'81','81','2021-02-09 15:26:23','2021-02-09 15:26:23',null);
INSERT INTO complaint_statuses VALUES('13814','4070','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-02-09 15:41:08','2021-02-09 15:41:08',null);
INSERT INTO complaint_statuses VALUES('13815','4070','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-09 15:42:01','2021-02-09 15:42:42',null);
INSERT INTO complaint_statuses VALUES('13816','4221','3',null,'57',null,'09-FEB-2021
COM NO 16530','92','92','2021-02-09 15:45:17','2021-02-09 15:45:17',null);
INSERT INTO complaint_statuses VALUES('13817','4135','5',null,null,'COMPLAINT CLOSED','COMPLAINT CLOSED','74','74','2021-02-09 15:53:04','2021-02-10 12:14:50',null);
INSERT INTO complaint_statuses VALUES('13818','4222','2',null,'81',null,'09-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-09 15:59:18','2021-02-09 15:59:18',null);
INSERT INTO complaint_statuses VALUES('13819','4223','2',null,'81',null,'09-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-09 16:16:07','2021-02-09 16:16:07',null);
INSERT INTO complaint_statuses VALUES('13820','4222','4',null,'58',null,null,'81','81','2021-02-09 16:18:53','2021-02-09 16:18:53',null);
INSERT INTO complaint_statuses VALUES('13821','4223','4',null,'62',null,null,'81','81','2021-02-09 16:19:12','2021-02-09 16:19:12',null);
INSERT INTO complaint_statuses VALUES('13822','4197','7','22','81','Comp',null,'87','87','2021-02-09 16:31:34','2021-02-09 16:31:34',null);
INSERT INTO complaint_statuses VALUES('13823','3951','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-09 16:34:40','2021-02-09 16:34:40',null);
INSERT INTO complaint_statuses VALUES('13824','4155','7','24','81','set s/c py ay ga',null,'80','80','2021-02-09 17:11:15','2021-02-09 17:11:15',null);
INSERT INTO complaint_statuses VALUES('13825','4224','3',null,'52',null,'09-FEB-2021
COM NO PKRI-210211108039','92','92','2021-02-09 17:12:57','2021-02-11 16:48:34',null);
INSERT INTO complaint_statuses VALUES('13826','4225','2',null,'81',null,'09-FEB-2021
COM FF TO USMAN SIR','92','92','2021-02-09 17:49:59','2021-02-09 17:49:59',null);
INSERT INTO complaint_statuses VALUES('13827','4225','4',null,'61',null,null,'81','81','2021-02-09 17:50:23','2021-02-09 17:50:23',null);
INSERT INTO complaint_statuses VALUES('13828','4223','7','22','81','Pcb',null,'87','87','2021-02-09 18:00:45','2021-02-09 18:00:45',null);
INSERT INTO complaint_statuses VALUES('13829','4199','7','12','81','Filter saf lye.now resolved',null,'87','87','2021-02-09 18:01:15','2021-02-09 18:01:15',null);
INSERT INTO complaint_statuses VALUES('13830','4047','7','12','81','Bearings and Seal Replaced + Service',null,'76','76','2021-02-09 18:01:47','2021-02-09 18:01:47',null);
INSERT INTO complaint_statuses VALUES('13831','4179','7','22','81','Plates available nhi hain',null,'87','87','2021-02-09 18:01:58','2021-02-09 18:01:58',null);
INSERT INTO complaint_statuses VALUES('13832','4226','2',null,'81',null,'09-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-09 18:06:29','2021-02-09 18:06:29',null);
INSERT INTO complaint_statuses VALUES('13833','4226','4',null,'62',null,null,'81','81','2021-02-09 18:07:44','2021-02-09 18:07:44',null);
INSERT INTO complaint_statuses VALUES('13834','4226','4',null,'62',null,null,'81','81','2021-02-09 18:07:45','2021-02-09 18:07:45',null);
INSERT INTO complaint_statuses VALUES('13835','4226','7','26','81',null,null,'87','87','2021-02-09 18:11:08','2021-02-09 18:11:08',null);
INSERT INTO complaint_statuses VALUES('13836','4208','7','26','81','signature LED ki complain hy',null,'80','80','2021-02-09 18:16:26','2021-02-09 18:16:26',null);
INSERT INTO complaint_statuses VALUES('13837','4227','2',null,'81',null,'09-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-09 18:18:42','2021-02-09 18:18:42',null);
INSERT INTO complaint_statuses VALUES('13838','4227','4',null,'62',null,null,'81','81','2021-02-09 18:19:12','2021-02-09 18:19:12',null);
INSERT INTO complaint_statuses VALUES('13839','4227','4',null,'62',null,null,'81','81','2021-02-09 18:19:12','2021-02-09 18:19:12',null);
INSERT INTO complaint_statuses VALUES('13840','4139','7','12','81','Power cable Adjustment. Visit Not Paid 600/-',null,'76','76','2021-02-09 18:24:32','2021-02-09 18:24:32',null);
INSERT INTO complaint_statuses VALUES('13841','4163','7','24','81','Refer to SVC , Customer Will Deliver it.',null,'76','76','2021-02-09 18:33:00','2021-02-09 18:33:00',null);
INSERT INTO complaint_statuses VALUES('13842','4163','8','13','55',null,null,'81','81','2021-02-09 18:34:48','2021-02-09 18:34:48',null);
INSERT INTO complaint_statuses VALUES('13843','4039','7','24','81','Refer to SVC , Customer Will Drop it.',null,'76','76','2021-02-09 18:35:16','2021-02-09 18:35:16',null);
INSERT INTO complaint_statuses VALUES('13844','4228','3',null,'66',null,'10-FEB-2021
COM NO PK02102021002
SONY SAMSUNG
03219508571','92','92','2021-02-10 10:56:30','2021-02-13 11:13:11',null);
INSERT INTO complaint_statuses VALUES('13845','4180','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-10 11:05:29','2021-02-10 11:05:29',null);
INSERT INTO complaint_statuses VALUES('13846','4226','5','25',null,'ADIL BHI NA COMPLAINT CANCEL KARWA DI','COMPLAINT CLOSED','81','74','2021-02-10 11:07:18','2021-02-10 11:26:29',null);
INSERT INTO complaint_statuses VALUES('13847','4217','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-10 11:11:08','2021-02-10 11:11:08',null);
INSERT INTO complaint_statuses VALUES('13848','4178','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-10 11:12:12','2021-02-10 11:12:12',null);
INSERT INTO complaint_statuses VALUES('13849','4208','5','25',null,'WRONG VENDOR KO FF KAR DI THI COMPLIANT','COMPLAINT CLOSED','81','74','2021-02-10 11:14:08','2021-02-10 12:04:02',null);
INSERT INTO complaint_statuses VALUES('13850','4199','8','23','62','CUSTOMER KA ISSUE  RESOLVED NAI HOA KINDLY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-02-10 11:15:39','2021-02-10 11:15:39',null);
INSERT INTO complaint_statuses VALUES('13851','4177','7','26','81','No Fault.',null,'76','76','2021-02-10 11:20:13','2021-02-10 11:20:13',null);
INSERT INTO complaint_statuses VALUES('13852','4177','5','15',null,'CUSTOMER KA ISSUE ABI KHUD SA RESOLVED HO GAY HAIN ABI COMPLAINT CLOSED KARWA DI','COMPLAINT CLOSED','81','74','2021-02-10 11:24:12','2021-02-10 11:25:43',null);
INSERT INTO complaint_statuses VALUES('13853','4229','3',null,'73',null,'10-FEB-2021
COM NO 3749','92','92','2021-02-10 11:42:29','2021-02-10 11:42:29',null);
INSERT INTO complaint_statuses VALUES('13854','4202','7','24','81','Under Repair',null,'76','76','2021-02-10 11:48:10','2021-02-10 11:48:10',null);
INSERT INTO complaint_statuses VALUES('13855','4230','2',null,'81',null,'10-FEB-2021
COM FF TO NADEEM AZHAR','92','92','2021-02-10 11:50:35','2021-02-10 11:50:35',null);
INSERT INTO complaint_statuses VALUES('13856','4173','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-10 11:56:04','2021-02-10 11:56:04',null);
INSERT INTO complaint_statuses VALUES('13857','4231','2',null,'81',null,'10-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-10 11:57:20','2021-02-10 11:57:20',null);
INSERT INTO complaint_statuses VALUES('13858','4140','5','15',null,'COMPLETED COPLAINT','COMPLAINT RESOLVED','81','74','2021-02-10 11:58:07','2021-02-10 12:10:11',null);
INSERT INTO complaint_statuses VALUES('13859','4139','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-10 11:59:41','2021-02-10 12:10:40',null);
INSERT INTO complaint_statuses VALUES('13860','4169','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-02-10 12:05:26','2021-02-10 12:05:26',null);
INSERT INTO complaint_statuses VALUES('13861','4232','2',null,'81',null,'10-FEB-2021
COM NO PKRI-210210103568','92','92','2021-02-10 12:11:47','2021-02-10 12:21:05',null);
INSERT INTO complaint_statuses VALUES('13862','4166','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-10 12:19:34','2021-02-10 12:19:34',null);
INSERT INTO complaint_statuses VALUES('13863','4232','4',null,'64',null,null,'81','81','2021-02-10 12:22:24','2021-02-10 12:22:24',null);
INSERT INTO complaint_statuses VALUES('13864','4231','4',null,'55',null,null,'81','81','2021-02-10 12:22:43','2021-02-10 12:22:43',null);
INSERT INTO complaint_statuses VALUES('13865','4230','4',null,'59',null,null,'81','81','2021-02-10 12:23:15','2021-02-10 12:23:15',null);
INSERT INTO complaint_statuses VALUES('13866','4165','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-10 12:25:38','2021-02-10 12:25:38',null);
INSERT INTO complaint_statuses VALUES('13867','4125','5','13',null,'OTHER#03348885133 COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-10 12:28:32','2021-02-10 12:30:45',null);
INSERT INTO complaint_statuses VALUES('13868','4233','3',null,'52',null,'10-FEB-2021
COM NO PKRI-210210103926','92','92','2021-02-10 12:31:26','2021-02-10 12:37:46',null);
INSERT INTO complaint_statuses VALUES('13869','4161','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-10 12:34:28','2021-02-10 12:34:28',null);
INSERT INTO complaint_statuses VALUES('13870','4047','8','23','55','COMPLAINT NOT RESOLVED KINDLY AGAIN CUSTOMER SA CONTACT KARAY',null,'81','81','2021-02-10 12:35:34','2021-02-10 12:35:34',null);
INSERT INTO complaint_statuses VALUES('13871','4160','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-10 12:37:31','2021-02-10 12:37:31',null);
INSERT INTO complaint_statuses VALUES('13872','4234','2',null,'81',null,'10-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-10 12:44:07','2021-02-10 12:44:07',null);
INSERT INTO complaint_statuses VALUES('13873','4150','8','23','56','OK COMPLAINT COMPLETED QUKILEY',null,'81','81','2021-02-10 12:44:12','2021-02-10 12:44:12',null);
INSERT INTO complaint_statuses VALUES('13874','4152','7','12','81','COMPLETED COMPLAINT',null,'76','76','2021-02-10 12:49:38','2021-02-10 12:49:38',null);
INSERT INTO complaint_statuses VALUES('13875','4152','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-10 12:50:58','2021-02-10 12:52:10',null);
INSERT INTO complaint_statuses VALUES('13876','4235','2',null,'81',null,'10-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-10 12:57:28','2021-02-10 12:57:28',null);
INSERT INTO complaint_statuses VALUES('13877','4149','8','23','56','CUSTOMER SA BT HO GEI HAIN ISSUE RESOLVED HO GAY HAIN COMPLAINT COMPLETED KARAY',null,'81','81','2021-02-10 12:57:52','2021-02-10 12:57:52',null);
INSERT INTO complaint_statuses VALUES('13878','4148','8','23','56','OK COMPLAINT COMPLETED QUKILEY',null,'81','81','2021-02-10 12:58:28','2021-02-10 12:58:28',null);
INSERT INTO complaint_statuses VALUES('13879','4149','7','12','81','Only services ...unit ok',null,'77','77','2021-02-10 13:00:47','2021-02-10 13:00:47',null);
INSERT INTO complaint_statuses VALUES('13880','4136','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-02-10 13:02:30','2021-02-10 13:02:30',null);
INSERT INTO complaint_statuses VALUES('13881','4236','2',null,'81',null,'10-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-10 13:03:26','2021-02-10 13:03:26',null);
INSERT INTO complaint_statuses VALUES('13882','4155','8','23','59','COMPLAINT COMPLETED QUKILEY',null,'81','81','2021-02-10 13:05:43','2021-02-10 13:05:43',null);
INSERT INTO complaint_statuses VALUES('13883','4236','4',null,'58',null,null,'81','81','2021-02-10 13:06:06','2021-02-10 13:06:06',null);
INSERT INTO complaint_statuses VALUES('13884','4236','4',null,'58',null,null,'81','81','2021-02-10 13:06:06','2021-02-10 13:06:06',null);
INSERT INTO complaint_statuses VALUES('13885','4235','4',null,'55',null,null,'81','81','2021-02-10 13:06:16','2021-02-10 13:06:16',null);
INSERT INTO complaint_statuses VALUES('13886','4234','4',null,'62',null,null,'81','81','2021-02-10 13:06:48','2021-02-10 13:06:48',null);
INSERT INTO complaint_statuses VALUES('13887','4149','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-10 13:08:02','2021-02-10 13:30:08',null);
INSERT INTO complaint_statuses VALUES('13888','4138','7','12','81','IR REPLACED UNIT OK   AND AT CUSTOMER HOME  PLZ CLOSE JOB',null,'83','83','2021-02-10 13:16:30','2021-02-10 13:16:30',null);
INSERT INTO complaint_statuses VALUES('13889','4134','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-02-10 13:26:01','2021-02-10 13:26:01',null);
INSERT INTO complaint_statuses VALUES('13890','4134','5','15',null,'COMPLETED COMPLANT','COMPLAINT RESOLVED','81','74','2021-02-10 13:27:15','2021-02-10 13:33:27',null);
INSERT INTO complaint_statuses VALUES('13891','4237','3',null,'66',null,'10-FEB-2021
COM NO PK021020210080 SHAKEEL SAB','92','74','2021-02-10 13:28:11','2021-02-18 12:06:49',null);
INSERT INTO complaint_statuses VALUES('13892','4138','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-10 13:29:15','2021-02-10 13:32:28',null);
INSERT INTO complaint_statuses VALUES('13893','4133','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-10 13:31:09','2021-02-10 13:31:09',null);
INSERT INTO complaint_statuses VALUES('13894','4129','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-10 13:44:35','2021-02-10 13:44:35',null);
INSERT INTO complaint_statuses VALUES('13895','4238','2',null,'81',null,'10-FEB-2021
COM NO 072116632','92','92','2021-02-10 13:53:25','2021-02-10 13:53:25',null);
INSERT INTO complaint_statuses VALUES('13896','4238','4',null,'64',null,null,'81','81','2021-02-10 13:57:33','2021-02-10 13:57:33',null);
INSERT INTO complaint_statuses VALUES('13897','3990','7','24','81','Dishwasher Repaired, Collection Pending from Customer Side',null,'76','76','2021-02-10 14:00:48','2021-02-10 14:00:48',null);
INSERT INTO complaint_statuses VALUES('13898','4239','2',null,'81',null,'10-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-10 14:05:14','2021-02-10 14:05:14',null);
INSERT INTO complaint_statuses VALUES('13899','4239','4',null,'62',null,null,'81','81','2021-02-10 14:07:03','2021-02-10 14:07:03',null);
INSERT INTO complaint_statuses VALUES('13900','4223','8','23','62',null,null,'81','81','2021-02-10 14:07:41','2021-02-10 14:07:41',null);
INSERT INTO complaint_statuses VALUES('13901','4202','8','23','55',null,null,'81','81','2021-02-10 14:08:28','2021-02-10 14:08:28',null);
INSERT INTO complaint_statuses VALUES('13902','4197','8','23','62','PLEASE COMPLETE THIS JOB QUICKLY',null,'81','81','2021-02-10 14:09:05','2021-02-10 14:09:05',null);
INSERT INTO complaint_statuses VALUES('13903','4179','8','23','62',null,null,'81','81','2021-02-10 14:09:50','2021-02-10 14:09:50',null);
INSERT INTO complaint_statuses VALUES('13904','4156','8','23','60',null,null,'81','81','2021-02-10 14:10:10','2021-02-10 14:10:10',null);
INSERT INTO complaint_statuses VALUES('13905','4046','8','23','56','PLEASE COMPLETE THIS JOB QUICKLY',null,'81','81','2021-02-10 14:11:20','2021-02-10 14:11:20',null);
INSERT INTO complaint_statuses VALUES('13906','4039','8','23','55',null,null,'81','81','2021-02-10 14:11:41','2021-02-10 14:11:41',null);
INSERT INTO complaint_statuses VALUES('13907','4031','8','23','55',null,null,'81','81','2021-02-10 14:12:04','2021-02-10 14:12:04',null);
INSERT INTO complaint_statuses VALUES('13908','3990','8','23','55',null,null,'81','81','2021-02-10 14:12:26','2021-02-10 14:12:26',null);
INSERT INTO complaint_statuses VALUES('13909','3949','8','23','60','PLEASE COMPLETE THIS JOB QUICKLY',null,'81','81','2021-02-10 14:13:43','2021-02-10 14:13:43',null);
INSERT INTO complaint_statuses VALUES('13910','3816','8','23','60','PLEASE COMPLETE THIS JOB QUICKLY',null,'81','81','2021-02-10 14:18:17','2021-02-10 14:18:17',null);
INSERT INTO complaint_statuses VALUES('13911','3748','8','23','60','PLEASE COMPLETE THIS JOB QUICKLY',null,'81','81','2021-02-10 14:19:10','2021-02-10 14:19:10',null);
INSERT INTO complaint_statuses VALUES('13912','4082','7','12','81','Vegetable box adjustment only Visit Not paid 600/-',null,'76','76','2021-02-10 14:43:12','2021-02-10 14:43:12',null);
INSERT INTO complaint_statuses VALUES('13913','4222','7','12','81','wm sbhi tk instal nahi ki bs door open kerna tha',null,'79','79','2021-02-10 15:11:26','2021-02-10 15:11:26',null);
INSERT INTO complaint_statuses VALUES('13914','4218','7','12','81','no issue in wm .complaint resolved',null,'79','79','2021-02-10 15:16:25','2021-02-10 15:16:25',null);
INSERT INTO complaint_statuses VALUES('13915','4240','3',null,'73',null,'10-FEB-2021
COM  NO 3753','92','92','2021-02-10 15:23:33','2021-02-10 15:52:06',null);
INSERT INTO complaint_statuses VALUES('13916','4094','7','12','81','main pcb repair rs 5000 expanse',null,'83','83','2021-02-10 15:23:52','2021-02-10 15:23:52',null);
INSERT INTO complaint_statuses VALUES('13917','2998','7','12','81','panel replaced   plz close the job',null,'83','83','2021-02-10 15:24:33','2021-02-10 15:24:33',null);
INSERT INTO complaint_statuses VALUES('13918','4241','3',null,'52',null,'10-FEB-2021
COM NO PKRI-210210107207','92','92','2021-02-10 15:36:40','2021-02-10 15:57:26',null);
INSERT INTO complaint_statuses VALUES('13919','4242','3',null,'53',null,'10-FEB-2021
COM NO 1086739','92','92','2021-02-10 15:48:18','2021-02-10 16:27:54',null);
INSERT INTO complaint_statuses VALUES('13920','4243','3',null,'52',null,'10-FEB-2021
COM NO PKRI-210210107544','92','92','2021-02-10 16:21:17','2021-02-20 11:24:07',null);
INSERT INTO complaint_statuses VALUES('13921','4244','2',null,'81',null,'10-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-10 16:41:12','2021-02-10 16:41:12',null);
INSERT INTO complaint_statuses VALUES('13922','4245','2',null,'81',null,'10-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-10 17:03:07','2021-02-10 17:03:07',null);
INSERT INTO complaint_statuses VALUES('13923','4245','4',null,'58',null,null,'81','81','2021-02-10 17:21:55','2021-02-10 17:21:55',null);
INSERT INTO complaint_statuses VALUES('13924','4244','4',null,'55',null,null,'81','81','2021-02-10 17:22:09','2021-02-10 17:22:09',null);
INSERT INTO complaint_statuses VALUES('13925','4246','2',null,'81',null,'10-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-10 17:31:42','2021-02-10 17:31:42',null);
INSERT INTO complaint_statuses VALUES('13926','4234','7','12','81','AC mein koi fualt nhi',null,'87','87','2021-02-10 17:37:11','2021-02-10 17:37:11',null);
INSERT INTO complaint_statuses VALUES('13927','4247','3',null,'81',null,'10-FEB-2021
COM NO 68','92','92','2021-02-10 17:50:01','2021-02-11 10:47:47',null);
INSERT INTO complaint_statuses VALUES('13928','4246','4',null,'55',null,null,'81','81','2021-02-10 17:52:01','2021-02-10 17:52:01',null);
INSERT INTO complaint_statuses VALUES('13929','4248','3',null,'65',null,'10-FEB-2021
COM NO 072116648','92','92','2021-02-10 18:09:52','2021-02-11 10:36:37',null);
INSERT INTO complaint_statuses VALUES('13930','4204','7','12','81','Marium keh rahi hy main ny koi complain nhi karwai',null,'82','82','2021-02-11 10:31:49','2021-02-11 10:31:49',null);
INSERT INTO complaint_statuses VALUES('13931','4193','7','24','81','Wo gezar meri workshop py chory gy servis hona hy 2 din  baad chory gy',null,'82','82','2021-02-11 10:36:34','2021-02-11 10:36:34',null);
INSERT INTO complaint_statuses VALUES('13932','4156','7','12','81','Water inlet new laga dia hy compleet',null,'82','82','2021-02-11 10:37:21','2021-02-11 10:37:21',null);
INSERT INTO complaint_statuses VALUES('13933','4072','7','12','81','Theek ho ky custmer ky ghar phonch gea hy i 10 sy',null,'82','82','2021-02-11 10:38:07','2021-02-11 10:38:07',null);
INSERT INTO complaint_statuses VALUES('13934','3949','7','26','81','Custmer btay gy kea krna hy plz closed kar dy',null,'82','82','2021-02-11 10:39:10','2021-02-11 10:39:10',null);
INSERT INTO complaint_statuses VALUES('13935','3926','7','12','81','Bulub lagea hy plz close kar dy',null,'82','82','2021-02-11 10:39:42','2021-02-11 10:39:42',null);
INSERT INTO complaint_statuses VALUES('13936','3816','7','12','81','Plz job closed kar dy compny dekh trhy hy',null,'82','82','2021-02-11 10:40:18','2021-02-11 10:40:18',null);
INSERT INTO complaint_statuses VALUES('13937','3748','7','12','81','Plz is job ko closed kar dy custmer apni marzi sy theek karway gy .',null,'82','82','2021-02-11 10:41:06','2021-02-11 10:41:06',null);
INSERT INTO complaint_statuses VALUES('13938','3822','7','10','81',null,null,'82','82','2021-02-11 10:41:49','2021-02-11 10:41:49',null);
INSERT INTO complaint_statuses VALUES('13939','4204','8','23','60','YHA OVEN MARIYAM MADAM NA AP K S/C MOVE KARWA HOA HAIN AP K S/C MAIN OVEN HAIN NOT SHOWROOM',null,'81','81','2021-02-11 10:49:16','2021-02-11 10:49:16',null);
INSERT INTO complaint_statuses VALUES('13940','4234','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-11 10:50:46','2021-02-11 10:57:50',null);
INSERT INTO complaint_statuses VALUES('13941','4222','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-11 10:52:19','2021-02-11 10:58:18',null);
INSERT INTO complaint_statuses VALUES('13942','4203','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-11 10:57:22','2021-02-11 10:57:22',null);
INSERT INTO complaint_statuses VALUES('13943','3527','7','12','81','customer bahi bzy ain jb free hongy tu card behj dein GAIN.ABHI COMPLIANT COMPLETE KR RDEIN',null,'79','79','2021-02-11 11:02:41','2021-02-11 11:02:41',null);
INSERT INTO complaint_statuses VALUES('13944','3984','5',null,null,'COMPLAINT CMPLETED',null,'92','92','2021-02-11 11:06:02','2021-02-11 11:06:02',null);
INSERT INTO complaint_statuses VALUES('13945','4131','7','12','81','CUSTOMER NA KHUD CALL KAR K COMPLAINT CANCEL KARWA DI HAIN KHUD SA HI ISSUE RESOLVED HO GAYA',null,'76','76','2021-02-11 11:08:49','2021-02-11 11:08:49',null);
INSERT INTO complaint_statuses VALUES('13946','4131','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-11 11:09:19','2021-02-11 12:36:19',null);
INSERT INTO complaint_statuses VALUES('13947','3805','5',null,null,'COMPLAINT CLOSED',null,'92','92','2021-02-11 11:16:27','2021-02-11 11:16:27',null);
INSERT INTO complaint_statuses VALUES('13948','4170','7','12','81','CUSOTMER KO HOOD CHANGE  kr dya tha ..ye hood thek kr dya hai jo custoemr sy wapis aya tha...',null,'79','79','2021-02-11 11:20:17','2021-02-11 11:20:17',null);
INSERT INTO complaint_statuses VALUES('13949','4249','2',null,'81',null,'11-FEB-2021
FF TO KHURRAM 5 STAR','74','74','2021-02-11 11:21:29','2021-02-11 11:21:29',null);
INSERT INTO complaint_statuses VALUES('13950','4249','4',null,'63',null,null,'81','81','2021-02-11 11:22:33','2021-02-11 11:22:33',null);
INSERT INTO complaint_statuses VALUES('13951','4201','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-11 11:31:51','2021-02-11 11:31:51',null);
INSERT INTO complaint_statuses VALUES('13952','4198','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-11 11:41:46','2021-02-11 11:41:46',null);
INSERT INTO complaint_statuses VALUES('13953','4194','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-11 11:50:23','2021-02-11 11:50:23',null);
INSERT INTO complaint_statuses VALUES('13954','4156','5','23',null,'COMPLETED COMPLAINT ABDUL REHMAN SA CONFIRM KAR K CLOSED KI','COMPLAINT RESOLVED','81','74','2021-02-11 11:54:16','2021-02-11 12:31:08',null);
INSERT INTO complaint_statuses VALUES('13955','4250','3',null,'55',null,'11-FEB-2021
COM NO 18199','92','92','2021-02-11 11:55:40','2021-02-11 12:04:41',null);
INSERT INTO complaint_statuses VALUES('13956','4192','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-11 11:57:58','2021-02-11 11:57:58',null);
INSERT INTO complaint_statuses VALUES('13957','4191','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-11 11:59:57','2021-02-11 11:59:57',null);
INSERT INTO complaint_statuses VALUES('13958','4218','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-11 12:02:27','2021-02-11 12:29:43',null);
INSERT INTO complaint_statuses VALUES('13959','4193','8','23','60','OK JOB COMPLETED COMPLETED QUKILEY',null,'81','81','2021-02-11 12:03:22','2021-02-11 12:03:22',null);
INSERT INTO complaint_statuses VALUES('13960','4170','5','15',null,'YHA HOOD B.COOL PA HAIN ASLAM SIR NA AZEEM SAB KO GRN KARNI HAIN  TAHIR SIR SA CONFIRM KAR K COMPLAINT COMPLETED KI','COMPLAINT RESOLVED','81','74','2021-02-11 12:12:28','2021-02-11 12:30:38',null);
INSERT INTO complaint_statuses VALUES('13961','4204','7','12','81','Chek karwa ky bhej dia tha custmer khod ly gy hy',null,'82','82','2021-02-11 12:13:09','2021-02-11 12:13:09',null);
INSERT INTO complaint_statuses VALUES('13962','4153','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-02-11 12:13:59','2021-02-11 12:35:52',null);
INSERT INTO complaint_statuses VALUES('13963','4204','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-11 12:15:47','2021-02-11 12:30:11',null);
INSERT INTO complaint_statuses VALUES('13964','4251','2',null,'81',null,'11-FEB-2021
COM FF TO USMAN SIR','92','92','2021-02-11 12:15:54','2021-02-11 12:15:54',null);
INSERT INTO complaint_statuses VALUES('13965','4223','7','12','81','ISSUE RESOLVED,PCB REPAIRED',null,'87','87','2021-02-11 12:26:15','2021-02-11 12:26:15',null);
INSERT INTO complaint_statuses VALUES('13966','4187','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-11 12:26:28','2021-02-11 12:26:28',null);
INSERT INTO complaint_statuses VALUES('13967','4094','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-11 12:27:27','2021-02-11 12:36:46',null);
INSERT INTO complaint_statuses VALUES('13968','4252','2',null,'81',null,'06-FEB-2021
COM FF TO KHURRAM 5 STAR','74','74','2021-02-11 12:32:07','2021-02-11 12:32:07',null);
INSERT INTO complaint_statuses VALUES('13969','4252','4',null,'63',null,null,'81','81','2021-02-11 12:32:46','2021-02-11 12:32:46',null);
INSERT INTO complaint_statuses VALUES('13970','4189','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-11 12:38:42','2021-02-11 12:38:42',null);
INSERT INTO complaint_statuses VALUES('13971','4082','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-11 12:42:06','2021-02-11 12:47:19',null);
INSERT INTO complaint_statuses VALUES('13972','4253','2',null,'81',null,'11-FEB-2021
COM USMAN SIR','92','92','2021-02-11 12:42:17','2021-02-11 12:42:17',null);
INSERT INTO complaint_statuses VALUES('13973','4223','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-11 12:42:52','2021-02-11 12:46:40',null);
INSERT INTO complaint_statuses VALUES('13974','4072','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-11 12:44:03','2021-02-11 12:47:48',null);
INSERT INTO complaint_statuses VALUES('13975','4254','2',null,'81',null,'11-FEB-2021
COM FF TO USMAN SIR','92','92','2021-02-11 12:47:24','2021-02-11 12:47:24',null);
INSERT INTO complaint_statuses VALUES('13976','3926','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-02-11 13:00:00','2021-02-12 11:22:29',null);
INSERT INTO complaint_statuses VALUES('13977','4251','4',null,'61',null,null,'81','81','2021-02-11 13:01:04','2021-02-11 13:01:04',null);
INSERT INTO complaint_statuses VALUES('13978','4253','4',null,'61',null,null,'81','81','2021-02-11 13:01:17','2021-02-11 13:01:17',null);
INSERT INTO complaint_statuses VALUES('13979','4254','4',null,'61',null,null,'81','81','2021-02-11 13:01:32','2021-02-11 13:01:32',null);
INSERT INTO complaint_statuses VALUES('13980','3949','5','15',null,'CUSTOMER KO INFORMED KAR DIA HAIN ON PAYMENT JOB ATTEND HO GEI COMPLAINT CUSTOMER SIDE SA DELAY HAIN ABDUL REHMAN SAB NA COMPLINT CLOSED KARWA DI KHURRAM SIR K KNOWLAGED MAIN B HAIN','COMPLAINT CLOSED','81','74','2021-02-11 13:03:42','2021-02-12 11:21:54',null);
INSERT INTO complaint_statuses VALUES('13981','4255','3',null,'73',null,'11-FEB-2021
COM NO 3766','92','92','2021-02-11 13:13:44','2021-02-11 14:49:24',null);
INSERT INTO complaint_statuses VALUES('13982','3822','8','23','60','BAT HO GEI CUSTOMER NA AGAIN CONTACT KARAY',null,'81','81','2021-02-11 13:14:07','2021-02-11 13:14:07',null);
INSERT INTO complaint_statuses VALUES('13983','4256','2',null,'81',null,'11-FEB-2021
COM FF TO USMAN SIR','92','92','2021-02-11 13:20:33','2021-02-11 13:20:33',null);
INSERT INTO complaint_statuses VALUES('13984','3816','8','23','60','COMPLAINT PROPER COMPLAINT KARWA K COMPLETED KIJAY GA',null,'81','81','2021-02-11 13:23:33','2021-02-11 13:23:33',null);
INSERT INTO complaint_statuses VALUES('13985','4257','3',null,'52',null,'11-FEB-2021
COM NO PKRI-210211105350','92','92','2021-02-11 13:32:09','2021-02-11 14:06:47',null);
INSERT INTO complaint_statuses VALUES('13986','3748','8','23','60','CUSTOMER SA BAT HO GEI HAIN CUSTOMER SA CONTACT KAR K COMPLAINT RESOLVED KARAY  INVOICE & WARRANTY CARD ABDUL REHMAN SAB KO WHATS APP KAR DI',null,'81','81','2021-02-11 14:12:58','2021-02-11 14:12:58',null);
INSERT INTO complaint_statuses VALUES('13987','3527','5','15',null,'CUSTOMER AB I OUT OFF CITY HAIN  ABI PC CAD NAI BAJWA SKATY CUSTOMER NA KHUD COMPLAINT CLOSED KARWA DI','COMPLAINT CLOSED','81','74','2021-02-11 14:18:46','2021-02-12 11:31:50',null);
INSERT INTO complaint_statuses VALUES('13988','3589','8','23','61','COMPLAINT ABI IN PROCESS HI RAKHAY',null,'81','81','2021-02-11 14:24:42','2021-02-11 14:24:42',null);
INSERT INTO complaint_statuses VALUES('13989','4258','3',null,'54',null,'11-FEB-2021
COM NO 1813947','92','92','2021-02-11 14:35:13','2021-02-11 14:35:13',null);
INSERT INTO complaint_statuses VALUES('13990','4230','7','24','81','CUSOTMER SET s/c LY K AY GA VISIT NI KRWANA CHAHTA',null,'80','80','2021-02-11 14:38:14','2021-02-11 14:38:14',null);
INSERT INTO complaint_statuses VALUES('13991','4259','3',null,'52',null,'11-FEB-2021
COM NO PKRI-210211106037','92','92','2021-02-11 14:45:41','2021-02-20 11:18:43',null);
INSERT INTO complaint_statuses VALUES('13992','3976','7','12','81','unit replaced  
new unit delivered to customer',null,'83','83','2021-02-11 14:56:58','2021-02-11 14:56:58',null);
INSERT INTO complaint_statuses VALUES('13993','4260','3',null,'57',null,'11-FEB-2021
COM NO 16574','92','92','2021-02-11 15:04:51','2021-02-11 15:08:40',null);
INSERT INTO complaint_statuses VALUES('13994','4093','7','12','81','complaint resolved ..gear box change .',null,'79','79','2021-02-11 15:09:45','2021-02-11 15:09:45',null);
INSERT INTO complaint_statuses VALUES('13995','4154','7','12','81','compliant rsolved .cuplery chage and gas',null,'79','79','2021-02-11 15:10:32','2021-02-11 15:10:32',null);
INSERT INTO complaint_statuses VALUES('13996','4197','7','12','81','ISSUE RESOLVED, COMP REPLACED',null,'87','87','2021-02-11 15:22:45','2021-02-11 15:22:45',null);
INSERT INTO complaint_statuses VALUES('13997','4261','3',null,'65',null,'11-FEB-2021
COM NO 192120792','92','92','2021-02-11 16:07:54','2021-02-11 17:01:41',null);
INSERT INTO complaint_statuses VALUES('13998','4262','2',null,'81',null,'11-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-11 16:19:31','2021-02-11 16:19:31',null);
INSERT INTO complaint_statuses VALUES('13999','4263','3',null,'73',null,'11-FEB-2021
COM NO 3771','92','92','2021-02-11 16:31:34','2021-02-11 16:56:21',null);
INSERT INTO complaint_statuses VALUES('14000','4262','4',null,'58',null,null,'81','81','2021-02-11 16:49:54','2021-02-11 16:49:54',null);
INSERT INTO complaint_statuses VALUES('14001','4262','4',null,'58',null,null,'81','81','2021-02-11 16:49:54','2021-02-11 16:49:54',null);
INSERT INTO complaint_statuses VALUES('14002','4256','4',null,'61',null,null,'81','81','2021-02-11 16:50:28','2021-02-11 16:50:28',null);
INSERT INTO complaint_statuses VALUES('14003','4264','2',null,'81',null,'11-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-11 17:07:21','2021-02-11 17:07:21',null);
INSERT INTO complaint_statuses VALUES('14004','4219','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-11 17:14:51','2021-02-11 17:14:51',null);
INSERT INTO complaint_statuses VALUES('14005','4265','3',null,'52',null,'11-FEB-2021
COM NO PKRI-210211108606','92','92','2021-02-11 17:32:50','2021-02-11 17:34:34',null);
INSERT INTO complaint_statuses VALUES('14006','4266','2',null,'81',null,'11-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-11 17:49:35','2021-02-11 17:49:35',null);
INSERT INTO complaint_statuses VALUES('14007','4264','4',null,'63',null,null,'81','81','2021-02-11 17:50:37','2021-02-11 17:50:37',null);
INSERT INTO complaint_statuses VALUES('14008','4266','4',null,'58',null,null,'81','81','2021-02-11 17:50:50','2021-02-11 17:50:50',null);
INSERT INTO complaint_statuses VALUES('14009','4239','7','12','81','ISSUE RESOLVED, GEYSER MEIN KOI FUALT NHI',null,'87','87','2021-02-11 18:34:02','2021-02-11 18:34:02',null);
INSERT INTO complaint_statuses VALUES('14010','4253','7','12','81','Back light replaced
Rs 2000
Unit with customer.plz close job',null,'83','83','2021-02-11 22:51:28','2021-02-11 22:51:28',null);
INSERT INTO complaint_statuses VALUES('14011','4253','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-12 11:19:14','2021-02-12 11:21:25',null);
INSERT INTO complaint_statuses VALUES('14012','4197','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-12 11:27:55','2021-02-12 11:30:58',null);
INSERT INTO complaint_statuses VALUES('14013','4230','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-02-12 11:28:35','2021-02-12 11:28:35',null);
INSERT INTO complaint_statuses VALUES('14014','4267','3',null,'52',null,'12-FEB-2021
COMPLAINT#PKRI-210212102725','74','74','2021-02-12 11:51:17','2021-02-12 11:51:17',null);
INSERT INTO complaint_statuses VALUES('14015','4220','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-12 11:59:34','2021-02-12 11:59:34',null);
INSERT INTO complaint_statuses VALUES('14016','4216','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-12 12:02:05','2021-02-12 12:02:05',null);
INSERT INTO complaint_statuses VALUES('14017','4215','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-12 12:03:56','2021-02-12 12:03:56',null);
INSERT INTO complaint_statuses VALUES('14018','4213','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-12 12:14:23','2021-02-12 12:14:23',null);
INSERT INTO complaint_statuses VALUES('14019','4268','3',null,'54',null,'12-FEB-2021
COMPLAINT#1814263
LHR S/C  042-36665456','74','74','2021-02-12 12:20:52','2021-02-12 12:20:52',null);
INSERT INTO complaint_statuses VALUES('14020','4212','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-12 12:25:09','2021-02-12 12:25:09',null);
INSERT INTO complaint_statuses VALUES('14021','4239','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-02-12 12:31:59','2021-02-12 15:50:28',null);
INSERT INTO complaint_statuses VALUES('14022','4269','3',null,'52',null,'12-FEB-2021
COMPLAINT#PKRI-210212103542','74','74','2021-02-12 12:38:08','2021-02-12 12:38:08',null);
INSERT INTO complaint_statuses VALUES('14023','4270','3',null,'80',null,'12-FEB-2021
FF TO AMNA BOACH','74','74','2021-02-12 13:36:46','2021-02-12 13:36:46',null);
INSERT INTO complaint_statuses VALUES('14024','4210','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-12 13:44:14','2021-02-12 13:44:14',null);
INSERT INTO complaint_statuses VALUES('14025','4271','2',null,'81',null,'12-FEB-2021
FF TO USMAN MRM','74','74','2021-02-12 14:56:34','2021-02-12 14:56:34',null);
INSERT INTO complaint_statuses VALUES('14026','4271','4',null,'61',null,null,'81','81','2021-02-12 14:57:07','2021-02-12 14:57:07',null);
INSERT INTO complaint_statuses VALUES('14027','4272','2',null,'81',null,'12-FEB-2021
FF TO KHURRAM 5 STAR','74','74','2021-02-12 15:04:29','2021-02-12 15:04:29',null);
INSERT INTO complaint_statuses VALUES('14028','4272','4',null,'63',null,null,'81','81','2021-02-12 15:11:20','2021-02-12 15:11:20',null);
INSERT INTO complaint_statuses VALUES('14029','4209','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-12 15:18:56','2021-02-12 15:18:56',null);
INSERT INTO complaint_statuses VALUES('14030','4206','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-12 15:21:37','2021-02-12 15:21:37',null);
INSERT INTO complaint_statuses VALUES('14031','4164','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-12 15:44:11','2021-02-12 15:44:11',null);
INSERT INTO complaint_statuses VALUES('14032','4186','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-02-12 15:48:41','2021-02-12 15:48:41',null);
INSERT INTO complaint_statuses VALUES('14033','4186','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-12 15:49:37','2021-02-12 15:51:01',null);
INSERT INTO complaint_statuses VALUES('14034','4090','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-12 15:53:52','2021-02-12 15:53:52',null);
INSERT INTO complaint_statuses VALUES('14035','4116','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-12 16:11:00','2021-02-12 16:11:00',null);
INSERT INTO complaint_statuses VALUES('14036','4115','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-12 16:13:49','2021-02-12 16:13:49',null);
INSERT INTO complaint_statuses VALUES('14037','4111','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-12 16:20:28','2021-02-12 16:20:28',null);
INSERT INTO complaint_statuses VALUES('14038','4256','7','12','81','Remote cell defective  unit ok solved on phone call   
plz close job',null,'83','83','2021-02-12 16:22:55','2021-02-12 16:22:55',null);
INSERT INTO complaint_statuses VALUES('14039','4016','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-12 16:29:14','2021-02-12 16:29:14',null);
INSERT INTO complaint_statuses VALUES('14040','4040','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-12 16:31:48','2021-02-12 16:31:48',null);
INSERT INTO complaint_statuses VALUES('14041','4254','7','10','81','phone no attending',null,'83','83','2021-02-12 16:37:57','2021-02-12 16:37:57',null);
INSERT INTO complaint_statuses VALUES('14042','4271','7','10','81',null,null,'83','83','2021-02-12 16:38:13','2021-02-12 16:38:13',null);
INSERT INTO complaint_statuses VALUES('14043','3993','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-12 16:38:38','2021-02-12 16:38:38',null);
INSERT INTO complaint_statuses VALUES('14044','3761','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-12 16:50:38','2021-02-12 16:50:38',null);
INSERT INTO complaint_statuses VALUES('14045','4103','7','12','81','panel repair diffuser sheet cleaned    unit at customer plz close job.

Suzuki rent 3000/- 
charges  5000/- 
Total   8000/-',null,'83','83','2021-02-12 17:03:36','2021-02-12 17:03:36',null);
INSERT INTO complaint_statuses VALUES('14046','4273','2',null,'81',null,'12-FEB-2021
FF TO KHURRAM 5 STAR','74','74','2021-02-12 17:09:38','2021-02-12 17:09:38',null);
INSERT INTO complaint_statuses VALUES('14047','4273','4',null,'63',null,null,'81','81','2021-02-12 17:11:19','2021-02-12 17:11:19',null);
INSERT INTO complaint_statuses VALUES('14048','4274','2',null,'81',null,'12-FEB-2021
FF TO KHURRAM 5 STAR','74','74','2021-02-12 17:15:31','2021-02-12 17:15:31',null);
INSERT INTO complaint_statuses VALUES('14049','4274','4',null,'63',null,null,'81','81','2021-02-12 17:16:35','2021-02-12 17:16:35',null);
INSERT INTO complaint_statuses VALUES('14050','4245','7','24','81','wm 17 min pe ja kr hang ho jati hai.3 br function check  kerny k bd ye issue aya hai.refer to srvice center.adil ko bta dy hai',null,'79','79','2021-02-13 10:37:37','2021-02-13 10:37:37',null);
INSERT INTO complaint_statuses VALUES('14051','4236','7','12','81','complaint resolved.safty issue',null,'79','79','2021-02-13 10:49:17','2021-02-13 10:49:17',null);
INSERT INTO complaint_statuses VALUES('14052','4172','7','9','81','Time commited monday',null,'77','77','2021-02-13 10:54:02','2021-02-13 10:54:02',null);
INSERT INTO complaint_statuses VALUES('14053','3970','7','12','81','pcb card repair  complint reoslved by adil',null,'79','79','2021-02-13 11:33:59','2021-02-13 11:33:59',null);
INSERT INTO complaint_statuses VALUES('14054','4275','2',null,'81',null,'13-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-13 11:44:13','2021-02-13 11:44:13',null);
INSERT INTO complaint_statuses VALUES('14055','4276','2',null,'81',null,'13-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-13 11:53:49','2021-02-13 11:53:49',null);
INSERT INTO complaint_statuses VALUES('14056','4275','4',null,'58',null,null,'81','81','2021-02-13 11:54:16','2021-02-13 11:54:16',null);
INSERT INTO complaint_statuses VALUES('14057','4276','4',null,'55',null,null,'81','81','2021-02-13 11:54:29','2021-02-13 11:54:29',null);
INSERT INTO complaint_statuses VALUES('14058','4271','8','23','61','0300 WALAY NO PA CALL KARYA ABI MARI BAT HO GEI HAIN CUSTOMER SA',null,'81','81','2021-02-13 11:58:52','2021-02-13 11:58:52',null);
INSERT INTO complaint_statuses VALUES('14059','4277','2',null,'81',null,'13-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-13 12:02:35','2021-02-13 12:02:35',null);
INSERT INTO complaint_statuses VALUES('14060','4277','4',null,'58',null,null,'81','81','2021-02-13 12:04:30','2021-02-13 12:04:30',null);
INSERT INTO complaint_statuses VALUES('14061','4254','8','23','61','CUSTOMER SA BAT HO GEI HAIN KINDLY CONTACT KAR K VISIT ARRANGE KARWAY','YHA SET CUSTOMER KO REPLACE KAR K DA RAAHYA HAIN NAEEM SAB BA APPROVAL DA DI','81','74','2021-02-13 12:09:08','2021-02-13 13:10:17',null);
INSERT INTO complaint_statuses VALUES('14062','4236','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-13 12:13:23','2021-02-13 13:36:03',null);
INSERT INTO complaint_statuses VALUES('14063','4172','8','23','56','OK',null,'81','81','2021-02-13 12:14:25','2021-02-13 12:14:25',null);
INSERT INTO complaint_statuses VALUES('14064','4278','3',null,'65',null,'13-FEB-2021
COM NO 192120871','92','92','2021-02-13 12:19:56','2021-02-13 12:46:53',null);
INSERT INTO complaint_statuses VALUES('14065','4154','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-13 12:20:01','2021-02-13 13:34:13',null);
INSERT INTO complaint_statuses VALUES('14066','4242','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-13 12:34:39','2021-02-13 12:34:39',null);
INSERT INTO complaint_statuses VALUES('14067','4241','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-13 12:37:27','2021-02-13 12:37:27',null);
INSERT INTO complaint_statuses VALUES('14068','4279','3',null,'66',null,'13-FEB-2021
COM NO PK021320210040
2 COMPLAINT NO PK021320210043','92','92','2021-02-13 13:04:06','2021-02-13 13:04:06',null);
INSERT INTO complaint_statuses VALUES('14069','4103','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-13 13:13:53','2021-02-13 13:33:19',null);
INSERT INTO complaint_statuses VALUES('14070','4093','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-13 13:27:25','2021-02-13 13:36:44',null);
INSERT INTO complaint_statuses VALUES('14071','4280','3',null,'55',null,'13-FEB-2021
COM NO 18243','92','92','2021-02-13 13:28:14','2021-02-13 13:45:52',null);
INSERT INTO complaint_statuses VALUES('14072','4281','2',null,'81',null,'13-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-13 13:37:42','2021-02-13 13:37:42',null);
INSERT INTO complaint_statuses VALUES('14073','4240','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-13 13:38:15','2021-02-13 13:38:15',null);
INSERT INTO complaint_statuses VALUES('14074','4281','4',null,'62',null,null,'81','81','2021-02-13 13:39:21','2021-02-13 13:39:21',null);
INSERT INTO complaint_statuses VALUES('14075','4233','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-13 13:58:40','2021-02-13 13:58:40',null);
INSERT INTO complaint_statuses VALUES('14076','4229','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-13 14:01:59','2021-02-13 14:01:59',null);
INSERT INTO complaint_statuses VALUES('14077','4224','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-13 14:11:29','2021-02-13 14:11:29',null);
INSERT INTO complaint_statuses VALUES('14078','4282','3',null,'52',null,'13-FEB-2021
COM NO PKRI-210213105430','92','92','2021-02-13 14:13:49','2021-02-13 14:13:49',null);
INSERT INTO complaint_statuses VALUES('14079','3976','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-13 14:28:23','2021-02-13 15:38:59',null);
INSERT INTO complaint_statuses VALUES('14080','4283','2',null,'81',null,'13-FEB-2021
FF TO B.COOL','74','74','2021-02-13 14:33:29','2021-02-13 14:33:29',null);
INSERT INTO complaint_statuses VALUES('14081','4256','5','15',null,'COMPLETED COMPLAINT','COMPLETED RESOLVED','81','74','2021-02-13 14:34:26','2021-02-13 15:37:40',null);
INSERT INTO complaint_statuses VALUES('14082','4283','4',null,'58',null,null,'81','81','2021-02-13 14:34:57','2021-02-13 14:34:57',null);
INSERT INTO complaint_statuses VALUES('14083','3970','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-13 14:38:50','2021-02-13 15:39:26',null);
INSERT INTO complaint_statuses VALUES('14084','4283','7','12','81','compressor and gas.,,is mein modificaton.ki hia',null,'79','79','2021-02-13 14:47:35','2021-02-13 14:47:35',null);
INSERT INTO complaint_statuses VALUES('14085','4185','7','12','81','Paid job panel faulty estimate refused',null,'77','77','2021-02-13 15:10:20','2021-02-13 15:10:20',null);
INSERT INTO complaint_statuses VALUES('14086','2051','7','12','81','No action completed',null,'77','77','2021-02-13 15:18:56','2021-02-13 15:18:56',null);
INSERT INTO complaint_statuses VALUES('14087','2160','7','12','81','Not repairable',null,'77','77','2021-02-13 15:19:17','2021-02-13 15:19:17',null);
INSERT INTO complaint_statuses VALUES('14088','2643','7','12','81','Unit ok',null,'77','77','2021-02-13 15:20:02','2021-02-13 15:20:02',null);
INSERT INTO complaint_statuses VALUES('14089','3020','7','12','81','Unit ok onlyservice',null,'77','77','2021-02-13 15:20:59','2021-02-13 15:20:59',null);
INSERT INTO complaint_statuses VALUES('14090','3125','7','12','81','Collectef ok',null,'77','77','2021-02-13 15:21:47','2021-02-13 15:21:47',null);
INSERT INTO complaint_statuses VALUES('14091','3128','7','12','81','Ok and collected',null,'77','77','2021-02-13 15:22:31','2021-02-13 15:22:31',null);
INSERT INTO complaint_statuses VALUES('14092','3150','7','12','81','Ok collected',null,'77','77','2021-02-13 15:23:15','2021-02-13 15:23:15',null);
INSERT INTO complaint_statuses VALUES('14093','3694','7','12','81','Collected completed',null,'77','77','2021-02-13 15:23:46','2021-02-13 15:23:46',null);
INSERT INTO complaint_statuses VALUES('14094','3815','7','12','81','Ok competed',null,'77','77','2021-02-13 15:24:37','2021-02-13 15:24:37',null);
INSERT INTO complaint_statuses VALUES('14095','3904','7','12','81','Ok',null,'77','77','2021-02-13 15:25:37','2021-02-13 15:25:37',null);
INSERT INTO complaint_statuses VALUES('14096','4284','2',null,'81',null,'13-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-13 15:26:32','2021-02-13 15:26:32',null);
INSERT INTO complaint_statuses VALUES('14097','3992','7','20','81','In process part ordered',null,'77','77','2021-02-13 15:26:32','2021-02-13 15:26:32',null);
INSERT INTO complaint_statuses VALUES('14098','3995','7','12','81','Compled',null,'77','77','2021-02-13 15:27:03','2021-02-13 15:27:03',null);
INSERT INTO complaint_statuses VALUES('14099','3996','7','24','81','Phn not attending',null,'77','77','2021-02-13 15:27:46','2021-02-13 15:27:46',null);
INSERT INTO complaint_statuses VALUES('14100','4097','7','12','81','Ok compled',null,'77','77','2021-02-13 15:28:43','2021-02-13 15:28:43',null);
INSERT INTO complaint_statuses VALUES('14101','4283','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-13 15:33:52','2021-02-13 15:38:08',null);
INSERT INTO complaint_statuses VALUES('14102','4185','5','15',null,'CUSTOMER KO PANL PRINCE CONFIRM KAR DI HAIN BUT CUSTOMER ABI INTESTED NAI HAIN  COMPLAINT CLOSED KARWA DI','COMPLAINT CLOSED','81','74','2021-02-13 15:36:40','2021-02-13 15:38:33',null);
INSERT INTO complaint_statuses VALUES('14103','3992','8','23','56','OK JOB COMPLETED QUKILEY',null,'81','81','2021-02-13 15:43:55','2021-02-13 15:43:55',null);
INSERT INTO complaint_statuses VALUES('14104','4225','7','9','81','back light replaced   RS 2000 /-  
unit with customer  plz close job',null,'83','83','2021-02-13 15:44:02','2021-02-13 15:44:02',null);
INSERT INTO complaint_statuses VALUES('14105','4285','2',null,'81',null,'13-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-13 15:46:10','2021-02-13 15:46:10',null);
INSERT INTO complaint_statuses VALUES('14106','3904','8','23','56','PART DEMAND KAIYA  JOB COMPLETED QUKILEY',null,'81','81','2021-02-13 15:48:01','2021-02-13 15:48:01',null);
INSERT INTO complaint_statuses VALUES('14107','4286','2',null,'81',null,'13-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-13 15:51:18','2021-02-13 15:51:18',null);
INSERT INTO complaint_statuses VALUES('14108','4225','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-13 15:54:28','2021-02-13 16:37:09',null);
INSERT INTO complaint_statuses VALUES('14109','4235','7','12','81','Drain Pipe Adjustment.',null,'76','76','2021-02-13 16:00:46','2021-02-13 16:00:46',null);
INSERT INTO complaint_statuses VALUES('14110','4255','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-13 16:04:02','2021-02-13 16:04:02',null);
INSERT INTO complaint_statuses VALUES('14111','4047','7','12','81','Issue has been resolved in visit .',null,'76','76','2021-02-13 16:06:04','2021-02-13 16:06:04',null);
INSERT INTO complaint_statuses VALUES('14112','4287','3',null,'81',null,'13-FEB-2021
COM NO 75','92','92','2021-02-13 16:08:15','2021-02-15 12:21:30',null);
INSERT INTO complaint_statuses VALUES('14113','4284','4',null,'58',null,null,'81','81','2021-02-13 16:09:37','2021-02-13 16:09:37',null);
INSERT INTO complaint_statuses VALUES('14114','4285','4',null,'58',null,null,'81','81','2021-02-13 16:09:48','2021-02-13 16:09:48',null);
INSERT INTO complaint_statuses VALUES('14115','4286','4',null,'58',null,null,'81','81','2021-02-13 16:10:03','2021-02-13 16:10:03',null);
INSERT INTO complaint_statuses VALUES('14116','3815','5','15',null,'CUSTOMER NA LOCAL TECHNICIAN SA YHA COMPLAINT RESOLVED KARWAI SONY S/C SA ISSUE RESOLVED NAI HOA','COMPLAINT RESOLVED','81','92','2021-02-13 16:16:01','2021-02-13 16:39:00',null);
INSERT INTO complaint_statuses VALUES('14117','4112','7','12','81','Door Adjustment',null,'76','76','2021-02-13 16:16:18','2021-02-13 16:16:18',null);
INSERT INTO complaint_statuses VALUES('14118','4235','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-13 16:20:12','2021-02-13 16:36:27',null);
INSERT INTO complaint_statuses VALUES('14119','4288','3',null,'53',null,'13-FEB-2021
COM NO 301087803','92','92','2021-02-13 16:20:15','2021-02-13 16:20:15',null);
INSERT INTO complaint_statuses VALUES('14120','3990','7','12','81','Service Only.',null,'76','76','2021-02-13 16:20:45','2021-02-13 16:20:45',null);
INSERT INTO complaint_statuses VALUES('14121','3972','7','12','81','Rat Cutting , Drain Pipe Replaced , inlet Pipe Repaired.',null,'76','76','2021-02-13 16:21:30','2021-02-13 16:21:30',null);
INSERT INTO complaint_statuses VALUES('14122','4289','3',null,'52',null,'13-FEB-2021
COM NO PKRI-210213107647','92','92','2021-02-13 16:26:47','2021-02-13 16:34:34',null);
INSERT INTO complaint_statuses VALUES('14123','4112','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-13 16:27:52','2021-02-13 16:35:48',null);
INSERT INTO complaint_statuses VALUES('14124','4097','8','23','56','COMPLAINT NOT RESOLVED KINDLY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-02-13 16:28:31','2021-02-13 16:28:31',null);
INSERT INTO complaint_statuses VALUES('14125','4221','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-13 16:30:57','2021-02-13 16:30:57',null);
INSERT INTO complaint_statuses VALUES('14126','2404','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-13 16:36:21','2021-02-15 13:21:19',null);
INSERT INTO complaint_statuses VALUES('14127','4047','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-13 16:37:27','2021-02-13 16:37:52',null);
INSERT INTO complaint_statuses VALUES('14128','3995','8','23','56','COMPLAINT NOT RESOLVED KINDLY AGAIN VISIT',null,'81','81','2021-02-13 16:38:14','2021-02-13 16:38:14',null);
INSERT INTO complaint_statuses VALUES('14129','3990','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-13 16:41:22','2021-02-13 16:47:02',null);
INSERT INTO complaint_statuses VALUES('14130','4159','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-13 16:44:58','2021-02-13 16:44:58',null);
INSERT INTO complaint_statuses VALUES('14131','3972','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-13 16:46:57','2021-02-13 16:48:10',null);
INSERT INTO complaint_statuses VALUES('14132','4290','3',null,'52',null,'13-FEB-2021
COM NO PKRI-210213108192','92','92','2021-02-13 17:04:27','2021-02-13 17:08:48',null);
INSERT INTO complaint_statuses VALUES('14133','4281','7','22','81','COMP',null,'87','87','2021-02-13 17:17:56','2021-02-13 17:17:56',null);
INSERT INTO complaint_statuses VALUES('14134','4291','3',null,'52',null,'13-FEB-2021
COM NO PKRI-210213108644','92','92','2021-02-13 17:20:56','2021-02-13 17:46:36',null);
INSERT INTO complaint_statuses VALUES('14135','2767','7','12','81','Warranty Claim Has been Rejected by LG ( Wajid Bashir). Main PCB Replaced as OW Job, there is no payment charged from Customer Side',null,'76','76','2021-02-13 17:21:00','2021-02-13 17:21:00',null);
INSERT INTO complaint_statuses VALUES('14136','3150','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-13 17:21:56','2021-02-15 13:22:30',null);
INSERT INTO complaint_statuses VALUES('14137','3128','8','23','56','CUSTOMER KA ISSUE RESOLVED NAI HOA KINDLY MONDAY KA VISIT ARRANGE KARWAY',null,'81','81','2021-02-13 17:24:25','2021-02-13 17:24:25',null);
INSERT INTO complaint_statuses VALUES('14138','4281','8','23','62',null,null,'81','81','2021-02-13 17:34:42','2021-02-13 17:34:42',null);
INSERT INTO complaint_statuses VALUES('14139','4031','7','12','81','Please Complete the Job.Customer Not Deliver his Product till date.',null,'76','76','2021-02-13 17:36:10','2021-02-13 17:36:10',null);
INSERT INTO complaint_statuses VALUES('14140','4292','2',null,'81',null,'13-FEB-2021
COM FF TO USMAN SIR','92','92','2021-02-13 17:36:47','2021-02-13 17:36:47',null);
INSERT INTO complaint_statuses VALUES('14141','4292','4',null,'61',null,null,'81','81','2021-02-13 17:39:34','2021-02-13 17:39:34',null);
INSERT INTO complaint_statuses VALUES('14142','4245','8','23','58','PLEASE COMPLETE THIS JOB QUICKLY',null,'81','81','2021-02-13 17:41:19','2021-02-13 17:41:19',null);
INSERT INTO complaint_statuses VALUES('14143','3818','8','23','61',null,null,'81','81','2021-02-13 17:46:16','2021-02-13 17:46:16',null);
INSERT INTO complaint_statuses VALUES('14144','4294','3',null,'52',null,'13-FEB-2021
COM NO PKRI-210213108845','92','92','2021-02-13 18:12:19','2021-02-13 18:15:20',null);
INSERT INTO complaint_statuses VALUES('14145','4295','2',null,'81',null,'17-NOV-2020
FF TO SHAMIM AKHTER','74','74','2021-02-13 18:18:48','2021-02-13 18:18:48',null);
INSERT INTO complaint_statuses VALUES('14146','4295','4',null,'55',null,'MAGNETRON DIYA HAIN LG S/C WALO KO','81','74','2021-02-13 18:20:39','2021-02-13 18:23:40',null);
INSERT INTO complaint_statuses VALUES('14147','4262','7','12','81','FILTER CLEAN..COMPLAINT RESOVED',null,'79','79','2021-02-13 18:36:12','2021-02-13 18:36:12',null);
INSERT INTO complaint_statuses VALUES('14148','4296','2',null,'81',null,'14-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-14 10:55:58','2021-02-14 10:55:58',null);
INSERT INTO complaint_statuses VALUES('14149','4296','4',null,'58',null,null,'81','81','2021-02-14 10:57:01','2021-02-14 10:57:01',null);
INSERT INTO complaint_statuses VALUES('14150','4297','2',null,'81',null,'14-FEB-2021
COM NO PKRI-210214101299','92','92','2021-02-14 11:05:35','2021-02-14 11:05:35',null);
INSERT INTO complaint_statuses VALUES('14151','4298','3',null,'68',null,'14-FEB-2021
COM NO 2102RWP2277','92','92','2021-02-14 11:15:40','2021-02-15 13:11:10',null);
INSERT INTO complaint_statuses VALUES('14152','4299','2',null,'81',null,'14-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-14 11:25:58','2021-02-14 11:25:58',null);
INSERT INTO complaint_statuses VALUES('14153','4299','4',null,'58',null,null,'81','81','2021-02-14 11:29:20','2021-02-14 11:29:20',null);
INSERT INTO complaint_statuses VALUES('14154','4300','2',null,'81',null,'14-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-14 11:59:10','2021-02-20 15:14:00',null);
INSERT INTO complaint_statuses VALUES('14155','4300','4',null,'55',null,null,'81','81','2021-02-14 12:11:02','2021-02-14 12:11:02',null);
INSERT INTO complaint_statuses VALUES('14156','4269','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-14 12:34:10','2021-02-14 12:34:10',null);
INSERT INTO complaint_statuses VALUES('14157','4268','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-14 12:36:18','2021-02-14 12:36:18',null);
INSERT INTO complaint_statuses VALUES('14158','4284','7','12','81','operting  issue  custoemr not paid visit chrages',null,'79','79','2021-02-14 12:39:00','2021-02-14 12:39:00',null);
INSERT INTO complaint_statuses VALUES('14159','4293','2',null,'81',null,null,'92','92','2021-02-14 12:39:55','2021-02-14 12:39:55',null);
INSERT INTO complaint_statuses VALUES('14160','4293','4',null,'64',null,null,'81','81','2021-02-14 12:40:17','2021-02-14 12:40:17',null);
INSERT INTO complaint_statuses VALUES('14161','4297','4',null,'64',null,null,'81','81','2021-02-14 12:44:22','2021-02-14 12:44:22',null);
INSERT INTO complaint_statuses VALUES('14162','4265','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-14 12:54:34','2021-02-14 12:54:34',null);
INSERT INTO complaint_statuses VALUES('14163','4267','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-14 13:01:02','2021-02-14 13:01:02',null);
INSERT INTO complaint_statuses VALUES('14164','4261','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-14 13:03:10','2021-02-14 13:03:10',null);
INSERT INTO complaint_statuses VALUES('14165','3979','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-14 13:26:01','2021-02-14 13:26:01',null);
INSERT INTO complaint_statuses VALUES('14166','4092','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-14 13:31:19','2021-02-14 13:31:19',null);
INSERT INTO complaint_statuses VALUES('14167','4301','3',null,'52',null,'14-FEB-2021
COM NO PKRI-210214103392','92','92','2021-02-14 13:42:20','2021-02-14 14:29:40',null);
INSERT INTO complaint_statuses VALUES('14168','4258','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-14 14:13:13','2021-02-14 14:13:13',null);
INSERT INTO complaint_statuses VALUES('14169','4302','3',null,'53',null,'14-FEB-2021
COM NO 1087926','92','92','2021-02-14 15:38:50','2021-02-14 17:22:15',null);
INSERT INTO complaint_statuses VALUES('14170','4303','3',null,'54',null,'14-FEB-2021
COM NO 1815196','92','92','2021-02-14 15:46:25','2021-02-14 15:58:07',null);
INSERT INTO complaint_statuses VALUES('14171','4304','2',null,'81',null,'14-FEB-2021
COM NO 202102005850','92','92','2021-02-14 16:40:32','2021-02-14 17:17:33',null);
INSERT INTO complaint_statuses VALUES('14172','4305','3',null,'55',null,'14-FEB-2021
COM NO 727600','92','92','2021-02-14 17:12:45','2021-02-14 17:12:45',null);
INSERT INTO complaint_statuses VALUES('14173','4304','4',null,'64',null,null,'81','81','2021-02-14 17:18:10','2021-02-14 17:18:10',null);
INSERT INTO complaint_statuses VALUES('14174','4285','7','12','81','duct issue compliant resolved',null,'79','79','2021-02-14 18:05:54','2021-02-14 18:05:54',null);
INSERT INTO complaint_statuses VALUES('14175','4286','7','12','81','shocks issue complain t resovd',null,'79','79','2021-02-14 18:06:52','2021-02-14 18:06:52',null);
INSERT INTO complaint_statuses VALUES('14176','4306','3',null,'52',null,'15-FEB-2021
COM NO PKRI-210215101799','92','92','2021-02-15 10:44:05','2021-02-15 10:47:36',null);
INSERT INTO complaint_statuses VALUES('14177','4085','7','12','81','compressor behj dya hai.adil ny',null,'79','79','2021-02-15 10:56:13','2021-02-15 10:56:13',null);
INSERT INTO complaint_statuses VALUES('14178','4307','3',null,'55',null,'15-FEB-2021
COM NO 727664','92','92','2021-02-15 10:59:07','2021-02-15 11:00:54',null);
INSERT INTO complaint_statuses VALUES('14179','4308','3',null,'52',null,'15-FEB-2021
COM NO PKRI-210215102558','92','92','2021-02-15 11:07:28','2021-02-15 11:14:02',null);
INSERT INTO complaint_statuses VALUES('14180','4288','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-15 11:18:41','2021-02-15 11:18:41',null);
INSERT INTO complaint_statuses VALUES('14181','4309','2',null,'81',null,'15-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-15 11:23:21','2021-02-15 11:23:21',null);
INSERT INTO complaint_statuses VALUES('14182','4286','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-15 11:23:53','2021-02-15 11:27:36',null);
INSERT INTO complaint_statuses VALUES('14183','4309','4',null,'62',null,null,'81','81','2021-02-15 11:24:08','2021-02-15 11:24:08',null);
INSERT INTO complaint_statuses VALUES('14184','4285','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-15 11:26:43','2021-02-15 11:27:10',null);
INSERT INTO complaint_statuses VALUES('14185','4284','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-15 11:30:47','2021-02-15 13:14:46',null);
INSERT INTO complaint_statuses VALUES('14186','4262','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-15 11:32:26','2021-02-15 13:15:45',null);
INSERT INTO complaint_statuses VALUES('14187','4254','7','12','81','unit replacement by friends corporation     plz close the job',null,'83','83','2021-02-15 11:35:26','2021-02-15 11:35:26',null);
INSERT INTO complaint_statuses VALUES('14188','4053','7','12','81','panel replaced  unit with customer plz close the job',null,'83','83','2021-02-15 11:36:53','2021-02-15 11:36:53',null);
INSERT INTO complaint_statuses VALUES('14189','4310','3',null,'53',null,'15-FEB-2021
COM NO 1088086','92','92','2021-02-15 11:38:49','2021-02-15 13:46:10',null);
INSERT INTO complaint_statuses VALUES('14190','4311','2',null,'81',null,'15-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-15 11:54:48','2021-02-15 11:54:48',null);
INSERT INTO complaint_statuses VALUES('14191','4085','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-15 11:59:10','2021-02-15 13:17:25',null);
INSERT INTO complaint_statuses VALUES('14192','4312','2',null,'81',null,'15-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-15 12:07:55','2021-02-15 12:07:55',null);
INSERT INTO complaint_statuses VALUES('14193','4254','5','15',null,'IC SET  KI APRROVAL NAEEM SIR NA DI THI K SET REPLACE KARWA DAY SAME DAY MAIN SALE PERSON KO INFORMED KAR DIA THA YHA MODEL ABI STOCK MAIN NAI HAIN NEXT WEEK TAQ AAJAY GA TAB REPLACE KAR K DAY GAY INFORMED BY CUSTOMER','COMPLAINT CLOSED','81','74','2021-02-15 12:08:40','2021-02-23 18:08:47',null);
INSERT INTO complaint_statuses VALUES('14194','4053','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-15 12:10:30','2021-02-15 13:17:51',null);
INSERT INTO complaint_statuses VALUES('14195','4271','7','12','81','only setting    customer ny khod kr li hain      plz close complaint',null,'83','83','2021-02-15 12:12:45','2021-02-15 12:12:45',null);
INSERT INTO complaint_statuses VALUES('14196','4031','5','15',null,'CUSTOMER KO EXP INFORMED KAR DIA BUT CUSTOMER ABI AGREE NAI HAN COMPLAINT CLOSED KARWA DI','COMPLAINT RESOLVED','81','92','2021-02-15 12:13:00','2021-02-15 13:18:19',null);
INSERT INTO complaint_statuses VALUES('14197','4151','7','12','81','button damage  not claim in warranty  
 rs 4000/- expanse  
customer not interested for repair   plz close job',null,'83','83','2021-02-15 12:14:05','2021-02-15 12:14:05',null);
INSERT INTO complaint_statuses VALUES('14198','4271','5','15',null,'CUSTOMER AN LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA LIYA COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-02-15 12:15:05','2021-02-15 13:15:17',null);
INSERT INTO complaint_statuses VALUES('14199','3996','8','23','56','SATURDAY KO BT HO GEI HAIN AGAIN CONTACT KARY',null,'81','81','2021-02-15 12:19:33','2021-02-15 12:19:33',null);
INSERT INTO complaint_statuses VALUES('14200','4312','4',null,'58',null,null,'81','81','2021-02-15 12:19:41','2021-02-15 12:19:41',null);
INSERT INTO complaint_statuses VALUES('14201','4311','4',null,'58',null,null,'81','81','2021-02-15 12:19:52','2021-02-15 12:19:52',null);
INSERT INTO complaint_statuses VALUES('14202','3694','5','15',null,'CUSTOMER ABI TAQ HARD DISK S/C LA K NAI GAY S/C CUSTOMER KI SIDE SA DELAY COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-15 12:31:05','2021-02-16 17:35:57',null);
INSERT INTO complaint_statuses VALUES('14203','4313','3',null,'52',null,'15-FEB-2021
COM NO PKRI-210215107070','92','92','2021-02-15 12:31:10','2021-02-15 15:06:22',null);
INSERT INTO complaint_statuses VALUES('14204','3125','5','23',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-15 12:32:46','2021-02-15 13:23:05',null);
INSERT INTO complaint_statuses VALUES('14205','3020','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-15 12:34:17','2021-02-15 13:23:36',null);
INSERT INTO complaint_statuses VALUES('14206','4314','2',null,'81',null,'15-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-15 12:40:33','2021-02-15 12:45:00',null);
INSERT INTO complaint_statuses VALUES('14207','4151','5','15',null,'CUSTOMER KO EXP BATA DIA HAIN BUT CUSTOMER ABI PAY KARNA PA AGREE NAI COMPLAINT CLOSED KARWA DI','COMPLAINT RESOLVED','81','92','2021-02-15 12:43:46','2021-02-15 13:16:58',null);
INSERT INTO complaint_statuses VALUES('14208','2643','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-15 12:44:56','2021-02-15 13:21:47',null);
INSERT INTO complaint_statuses VALUES('14209','2160','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-02-15 12:47:45','2021-02-15 13:20:00',null);
INSERT INTO complaint_statuses VALUES('14210','2051','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-15 12:49:01','2021-02-15 13:19:30',null);
INSERT INTO complaint_statuses VALUES('14211','4257','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-15 12:53:55','2021-02-15 12:53:55',null);
INSERT INTO complaint_statuses VALUES('14212','4315','2',null,'81',null,'15-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-15 12:54:57','2021-02-15 12:54:57',null);
INSERT INTO complaint_statuses VALUES('14213','4316','2',null,'81',null,'15-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-15 13:07:36','2021-02-15 13:07:36',null);
INSERT INTO complaint_statuses VALUES('14214','2998','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-15 13:09:04','2021-02-15 13:24:04',null);
INSERT INTO complaint_statuses VALUES('14215','4248','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-15 13:31:42','2021-02-15 13:31:42',null);
INSERT INTO complaint_statuses VALUES('14216','4317','3',null,'53',null,'15-FEB-2021
COM NO 1088084','92','92','2021-02-15 13:32:23','2021-02-15 13:39:07',null);
INSERT INTO complaint_statuses VALUES('14217','4247','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-15 13:33:56','2021-02-15 13:33:56',null);
INSERT INTO complaint_statuses VALUES('14218','4193','7','24','81','منگل یا بدھ تک شاپ پے دلور kry گے',null,'82','82','2021-02-15 13:37:45','2021-02-15 13:37:45',null);
INSERT INTO complaint_statuses VALUES('14219','3748','7','24','81','Custmer ky frezer main bakra hy hali kar ky btay gy',null,'82','82','2021-02-15 13:39:15','2021-02-15 13:39:15',null);
INSERT INTO complaint_statuses VALUES('14220','4318','3',null,'80',null,'15-FEB-2021
COM FF TO AMNA BOSCH','92','92','2021-02-15 13:54:44','2021-02-15 13:54:44',null);
INSERT INTO complaint_statuses VALUES('14221','4319','2',null,'81',null,'15-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-15 14:05:24','2021-02-15 14:05:24',null);
INSERT INTO complaint_statuses VALUES('14222','4320','2',null,'81',null,'15-FEB-2021
COM NO PKRI-210215107108','92','92','2021-02-15 14:37:21','2021-02-15 15:09:16',null);
INSERT INTO complaint_statuses VALUES('14223','4314','4',null,'63',null,null,'81','81','2021-02-15 15:01:14','2021-02-15 15:01:14',null);
INSERT INTO complaint_statuses VALUES('14224','4315','4',null,'62',null,null,'81','81','2021-02-15 15:01:28','2021-02-15 15:01:28',null);
INSERT INTO complaint_statuses VALUES('14225','4316','4',null,'58',null,null,'81','81','2021-02-15 15:01:42','2021-02-15 15:01:42',null);
INSERT INTO complaint_statuses VALUES('14226','4319','4',null,'62',null,null,'81','81','2021-02-15 15:02:03','2021-02-15 15:02:03',null);
INSERT INTO complaint_statuses VALUES('14227','4320','4',null,'64',null,null,'81','81','2021-02-15 15:09:42','2021-02-15 15:09:42',null);
INSERT INTO complaint_statuses VALUES('14228','4321','2',null,'81',null,'15-FEB-2021
FF TO USMAN MRM','74','74','2021-02-15 15:12:34','2021-02-15 15:12:34',null);
INSERT INTO complaint_statuses VALUES('14229','4321','4',null,'61',null,null,'81','81','2021-02-15 15:15:11','2021-02-15 15:15:11',null);
INSERT INTO complaint_statuses VALUES('14230','4245','7','12','81','PCB ISSUE  SUMSUNG  CUSTOMER KO YAHNA LANA MUSKIL THA USMAN MRM KO  FORWARED KI HAI',null,'79','79','2021-02-15 15:17:32','2021-02-15 15:17:32',null);
INSERT INTO complaint_statuses VALUES('14231','4296','7','12','81','FORWERD TO USMAN MRM  .IS KY HEATER KA ISSUE THA.',null,'79','79','2021-02-15 15:20:06','2021-02-15 15:20:06',null);
INSERT INTO complaint_statuses VALUES('14232','4322','3',null,'54',null,'15-FEB-2021
COM NO 1815784','92','92','2021-02-15 15:21:04','2021-02-15 15:42:46',null);
INSERT INTO complaint_statuses VALUES('14233','2767','8','23','55','PCB EXP ADD KAR K COMPLETE KARAY COMPLAINT',null,'81','81','2021-02-15 15:34:08','2021-02-15 15:34:08',null);
INSERT INTO complaint_statuses VALUES('14234','4245','5','15',null,'COMPLAINT FF USMAN MR M COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-02-15 15:34:43','2021-02-15 15:43:31',null);
INSERT INTO complaint_statuses VALUES('14235','4323','2',null,'81',null,'15-FEB-2021
FF TO USMAN MRM','74','74','2021-02-15 15:40:02','2021-02-15 15:40:02',null);
INSERT INTO complaint_statuses VALUES('14236','4323','4',null,'61',null,null,'81','81','2021-02-15 15:40:22','2021-02-15 15:40:22',null);
INSERT INTO complaint_statuses VALUES('14237','4296','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-15 15:40:46','2021-02-15 15:44:06',null);
INSERT INTO complaint_statuses VALUES('14238','4157','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-15 15:48:43','2021-02-15 15:48:43',null);
INSERT INTO complaint_statuses VALUES('14239','4231','7','26','81','Gasket Estimate Shared with the Customer the Customer (9500/- which is valid for 20 days Only) he will inform after few days if he need.',null,'76','76','2021-02-15 16:01:12','2021-02-15 16:01:12',null);
INSERT INTO complaint_statuses VALUES('14240','4175','7','24','81','First Visit Complete , washing machine refer to the Service center in gear box issue, please confirm to the customer for lifting otherwise please close the Complaint.',null,'76','76','2021-02-15 16:03:20','2021-02-15 16:03:20',null);
INSERT INTO complaint_statuses VALUES('14241','4324','3',null,'52',null,'15-FEB-2021
COMPLAIN#PKRI-210215108271','74','74','2021-02-15 16:05:33','2021-02-15 16:05:33',null);
INSERT INTO complaint_statuses VALUES('14242','4202','7','12','81','Service.',null,'76','76','2021-02-15 16:05:49','2021-02-15 16:05:49',null);
INSERT INTO complaint_statuses VALUES('14243','4325','2',null,'81',null,'15-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-15 16:16:47','2021-02-15 16:16:47',null);
INSERT INTO complaint_statuses VALUES('14244','4326','2',null,'81',null,'15-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-15 16:25:25','2021-02-15 16:25:25',null);
INSERT INTO complaint_statuses VALUES('14245','4327','3',null,'52',null,'15-FEB-2021
COM NO PKRI-210215109429','92','92','2021-02-15 16:33:42','2021-02-15 17:24:33',null);
INSERT INTO complaint_statuses VALUES('14246','3905','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-15 16:38:41','2021-02-15 16:38:41',null);
INSERT INTO complaint_statuses VALUES('14247','4328','2',null,'81',null,'15-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-15 16:43:52','2021-02-15 16:43:52',null);
INSERT INTO complaint_statuses VALUES('14248','4325','4',null,'55',null,null,'81','81','2021-02-15 16:49:40','2021-02-15 16:49:40',null);
INSERT INTO complaint_statuses VALUES('14249','4326','4',null,'55',null,null,'81','81','2021-02-15 16:49:53','2021-02-15 16:49:53',null);
INSERT INTO complaint_statuses VALUES('14250','4328','4',null,'63',null,null,'81','81','2021-02-15 16:50:05','2021-02-15 16:50:05',null);
INSERT INTO complaint_statuses VALUES('14251','4214','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-15 17:04:04','2021-02-15 17:04:04',null);
INSERT INTO complaint_statuses VALUES('14252','4329','3',null,'73',null,'15-FEB-2021
COM NO 3805','92','92','2021-02-15 17:04:51','2021-02-16 11:03:27',null);
INSERT INTO complaint_statuses VALUES('14253','4250','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-15 17:07:08','2021-02-15 17:07:08',null);
INSERT INTO complaint_statuses VALUES('14254','4263','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-15 17:11:05','2021-02-15 17:11:05',null);
INSERT INTO complaint_statuses VALUES('14255','4330','2',null,'81',null,'15-FEB-2021
COM NO PKRI-210215109631','92','92','2021-02-15 17:38:20','2021-02-15 17:40:35',null);
INSERT INTO complaint_statuses VALUES('14256','4330','4',null,'64',null,null,'81','81','2021-02-15 17:40:56','2021-02-15 17:40:56',null);
INSERT INTO complaint_statuses VALUES('14257','4299','7','12','81','door switch issue compliant resolved',null,'79','79','2021-02-16 10:51:17','2021-02-16 10:51:17',null);
INSERT INTO complaint_statuses VALUES('14258','4331','2',null,'81',null,'16-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-16 11:01:18','2021-02-16 11:01:18',null);
INSERT INTO complaint_statuses VALUES('14259','4299','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-02-16 11:04:29','2021-02-16 11:07:50',null);
INSERT INTO complaint_statuses VALUES('14260','4231','5','15',null,'CUSTOMER NA ABI COMPLAINT CLOSED KARWA DI HAIN KHUD SA','COMPLAINT RESOLVED','81','92','2021-02-16 11:09:25','2021-02-16 12:25:52',null);
INSERT INTO complaint_statuses VALUES('14261','4309','7','26','81','BRANCH ERROR',null,'87','87','2021-02-16 11:12:46','2021-02-16 11:12:46',null);
INSERT INTO complaint_statuses VALUES('14262','4332','3',null,'55',null,'16-FEB-2021
COM NO RWP-18309','92','92','2021-02-16 11:13:20','2021-02-16 11:42:15',null);
INSERT INTO complaint_statuses VALUES('14263','4202','5','15',null,'COMPLAINT COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-16 11:14:12','2021-02-16 12:26:23',null);
INSERT INTO complaint_statuses VALUES('14264','4312','7','24','81','bearing issue refer to service center.',null,'79','79','2021-02-16 11:16:21','2021-02-16 11:16:21',null);
INSERT INTO complaint_statuses VALUES('14265','4333','2',null,'81',null,'16-JAN-2021
COM FF TO AZHAR FCI','92','92','2021-02-16 11:20:32','2021-02-16 11:20:32',null);
INSERT INTO complaint_statuses VALUES('14266','4311','7','12','81','no visit compliant resolved on call',null,'79','79','2021-02-16 11:21:29','2021-02-16 11:21:29',null);
INSERT INTO complaint_statuses VALUES('14267','4333','4',null,'60',null,null,'81','81','2021-02-16 11:21:30','2021-02-16 11:21:30',null);
INSERT INTO complaint_statuses VALUES('14268','4331','4',null,'63',null,'NOT VISIT TO COMPLAINT','81','92','2021-02-16 11:21:41','2021-02-18 11:55:35',null);
INSERT INTO complaint_statuses VALUES('14269','3821','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 11:28:03','2021-02-16 11:28:03',null);
INSERT INTO complaint_statuses VALUES('14270','4334','3',null,'53',null,'16-JAN-2021
COM NO 301088489','92','92','2021-02-16 11:33:09','2021-02-16 11:38:20',null);
INSERT INTO complaint_statuses VALUES('14271','2993','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 11:38:08','2021-02-16 11:38:08',null);
INSERT INTO complaint_statuses VALUES('14272','4335','3',null,'65',null,'16-FEB-2021
COM NO 072116736','92','92','2021-02-16 11:52:24','2021-02-17 13:29:24',null);
INSERT INTO complaint_statuses VALUES('14273','4290','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 11:52:42','2021-02-16 11:52:42',null);
INSERT INTO complaint_statuses VALUES('14274','4282','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 12:00:31','2021-02-16 12:00:31',null);
INSERT INTO complaint_statuses VALUES('14275','4309','5','15',null,'WRONG  VENDOR SELECT HO GAYA THA COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-02-16 12:02:09','2021-02-16 12:11:26',null);
INSERT INTO complaint_statuses VALUES('14276','4279','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 12:05:59','2021-02-16 12:05:59',null);
INSERT INTO complaint_statuses VALUES('14277','4278','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 12:08:25','2021-02-16 12:08:25',null);
INSERT INTO complaint_statuses VALUES('14278','4336','3',null,'53',null,'16-FEB-2021
COM NO 301088674','92','92','2021-02-16 12:15:23','2021-02-16 14:43:41',null);
INSERT INTO complaint_statuses VALUES('14279','4337','3',null,'65',null,'16-FEB-2021
COM NO 192120860','92','92','2021-02-16 12:18:40','2021-02-16 16:11:00',null);
INSERT INTO complaint_statuses VALUES('14280','4195','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 12:23:45','2021-02-16 12:23:45',null);
INSERT INTO complaint_statuses VALUES('14281','4338','3',null,'52',null,'16-FEB-2021
COM NO PKRI-210216105870','92','92','2021-02-16 12:32:25','2021-02-16 14:32:23',null);
INSERT INTO complaint_statuses VALUES('14282','4074','7','12','81','REMOTE CHANGE KAR KGAY COMPANY WALY COMPLAINT CLOSED',null,'91','91','2021-02-16 12:33:35','2021-02-16 12:33:35',null);
INSERT INTO complaint_statuses VALUES('14283','4074','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-16 12:34:12','2021-02-16 12:36:44',null);
INSERT INTO complaint_statuses VALUES('14284','4251','7','10','81',null,null,'83','83','2021-02-16 12:35:33','2021-02-16 12:35:33',null);
INSERT INTO complaint_statuses VALUES('14285','4339','2',null,'81',null,'16-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-16 13:06:40','2021-02-16 13:06:40',null);
INSERT INTO complaint_statuses VALUES('14286','4316','7','24','81','COMPRESSOR DEAD',null,'79','79','2021-02-16 13:13:29','2021-02-16 13:13:29',null);
INSERT INTO complaint_statuses VALUES('14287','4340','3',null,'52',null,'16-FEB-2021
COM NO PKRI-210216105933','92','92','2021-02-16 13:20:02','2021-02-16 14:34:53',null);
INSERT INTO complaint_statuses VALUES('14288','4207','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 13:40:15','2021-02-16 13:40:15',null);
INSERT INTO complaint_statuses VALUES('14289','4341','2',null,'81',null,'16-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-16 13:43:56','2021-02-16 13:43:56',null);
INSERT INTO complaint_statuses VALUES('14290','4069','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-02-16 13:55:04','2021-02-16 13:55:04',null);
INSERT INTO complaint_statuses VALUES('14291','4069','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-16 13:55:39','2021-02-16 13:56:18',null);
INSERT INTO complaint_statuses VALUES('14292','4316','8','23','58',null,null,'81','81','2021-02-16 14:00:36','2021-02-16 14:00:36',null);
INSERT INTO complaint_statuses VALUES('14293','4312','8','23','58',null,null,'81','81','2021-02-16 14:01:02','2021-02-16 14:01:02',null);
INSERT INTO complaint_statuses VALUES('14294','4251','8','15','61','AGAIN CALL KAR LAY',null,'81','81','2021-02-16 14:05:02','2021-02-16 14:05:02',null);
INSERT INTO complaint_statuses VALUES('14295','4272','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-02-16 14:06:33','2021-02-16 14:06:33',null);
INSERT INTO complaint_statuses VALUES('14296','4252','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-02-16 14:07:05','2021-02-16 14:07:05',null);
INSERT INTO complaint_statuses VALUES('14297','4249','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-02-16 14:07:31','2021-02-16 14:07:31',null);
INSERT INTO complaint_statuses VALUES('14298','4342','3',null,'54',null,'16-FEB-2021
COM NO 1816271','92','92','2021-02-16 14:08:14','2021-02-16 14:08:14',null);
INSERT INTO complaint_statuses VALUES('14299','4272','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-16 14:09:27','2021-02-16 16:35:20',null);
INSERT INTO complaint_statuses VALUES('14300','4252','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-16 14:09:47','2021-02-16 16:35:57',null);
INSERT INTO complaint_statuses VALUES('14301','4249','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-16 14:10:08','2021-02-16 16:36:37',null);
INSERT INTO complaint_statuses VALUES('14302','4311','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-16 14:10:31','2021-02-16 16:34:42',null);
INSERT INTO complaint_statuses VALUES('14303','4343','2',null,'81',null,'16-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-16 14:16:14','2021-02-16 14:16:14',null);
INSERT INTO complaint_statuses VALUES('14304','4344','3',null,'52',null,'16-FEB-2021
COM NO PKRI-210216105831','92','92','2021-02-16 14:27:50','2021-02-16 14:29:58',null);
INSERT INTO complaint_statuses VALUES('14305','4275','7','12','81','CUSTOMER NOT PAID VISIT CHARGES.',null,'79','79','2021-02-16 14:50:41','2021-02-16 14:50:41',null);
INSERT INTO complaint_statuses VALUES('14306','4251','7','12','81','only setting customer resolve the issue   
 ya sales man b guide kr sakta ha customer ko  
complaint register karwany sy pahly sals mans ko inform krain customer ko guide kiya krain unit opration k hawalay sy.',null,'83','83','2021-02-16 15:07:32','2021-02-16 15:07:32',null);
INSERT INTO complaint_statuses VALUES('14307','4345','3',null,'52',null,'16-FEB-2021
COM NO PKRI-

210216107272
NEW COMPLAINT#PKRI-210219102469','92','74','2021-02-16 15:11:18','2021-02-19 11:35:15',null);
INSERT INTO complaint_statuses VALUES('14308','4346','3',null,'81',null,'16-FEB-2021
COM NO 83','92','92','2021-02-16 15:19:01','2021-02-16 16:06:11',null);
INSERT INTO complaint_statuses VALUES('14309','4347','3',null,'52',null,'16-FEB-2021
COM NO PKRI-210216106861','92','92','2021-02-16 15:30:31','2021-02-16 15:35:00',null);
INSERT INTO complaint_statuses VALUES('14310','3782','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 15:30:50','2021-02-16 15:30:50',null);
INSERT INTO complaint_statuses VALUES('14311','4281','7','12','81','GAS CHARGED + COMP REPLACED',null,'87','87','2021-02-16 15:42:18','2021-02-16 15:42:18',null);
INSERT INTO complaint_statuses VALUES('14312','4348','2',null,'81',null,'16-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-16 15:44:04','2021-02-16 15:44:04',null);
INSERT INTO complaint_statuses VALUES('14313','4126','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 15:48:27','2021-02-16 15:48:27',null);
INSERT INTO complaint_statuses VALUES('14314','4349','2',null,'81',null,'16-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-16 15:51:20','2021-02-16 15:51:20',null);
INSERT INTO complaint_statuses VALUES('14315','3791','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 15:57:40','2021-02-16 15:57:40',null);
INSERT INTO complaint_statuses VALUES('14316','4339','4',null,'63',null,null,'81','81','2021-02-16 15:58:03','2021-02-16 15:58:03',null);
INSERT INTO complaint_statuses VALUES('14317','4341','4',null,'63',null,null,'81','81','2021-02-16 15:58:13','2021-02-16 15:58:13',null);
INSERT INTO complaint_statuses VALUES('14318','4343','4',null,'58',null,null,'81','81','2021-02-16 15:58:45','2021-02-16 15:58:45',null);
INSERT INTO complaint_statuses VALUES('14319','4348','4',null,'62',null,null,'81','81','2021-02-16 15:59:04','2021-02-16 15:59:04',null);
INSERT INTO complaint_statuses VALUES('14320','4349','4',null,'63',null,null,'81','81','2021-02-16 15:59:28','2021-02-16 15:59:28',null);
INSERT INTO complaint_statuses VALUES('14321','4350','2',null,'81',null,'16-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-16 16:21:14','2021-02-16 16:21:14',null);
INSERT INTO complaint_statuses VALUES('14322','4351','3',null,'55',null,'16-FEB-2021
COM NO','92','92','2021-02-16 16:32:38','2021-02-16 16:32:38',null);
INSERT INTO complaint_statuses VALUES('14323','3583','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 16:41:44','2021-02-16 16:41:44',null);
INSERT INTO complaint_statuses VALUES('14324','3701','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2021-02-16 16:43:40','2021-02-16 17:33:48',null);
INSERT INTO complaint_statuses VALUES('14325','4287','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 16:46:16','2021-02-16 16:46:16',null);
INSERT INTO complaint_statuses VALUES('14326','4291','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 16:47:57','2021-02-16 16:47:57',null);
INSERT INTO complaint_statuses VALUES('14327','4352','2',null,'81',null,'16-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-16 16:57:38','2021-02-16 16:57:38',null);
INSERT INTO complaint_statuses VALUES('14328','4353','2',null,'81',null,'16-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-16 17:09:34','2021-02-16 17:09:34',null);
INSERT INTO complaint_statuses VALUES('14329','3697','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 17:22:00','2021-02-16 17:22:00',null);
INSERT INTO complaint_statuses VALUES('14330','4019','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-02-16 17:30:58','2021-02-16 17:30:58',null);
INSERT INTO complaint_statuses VALUES('14331','4251','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-16 17:32:05','2021-02-16 17:32:35',null);
INSERT INTO complaint_statuses VALUES('14332','4019','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-16 17:32:33','2021-02-16 17:33:12',null);
INSERT INTO complaint_statuses VALUES('14333','4281','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-16 17:34:28','2021-02-16 17:56:23',null);
INSERT INTO complaint_statuses VALUES('14334','4350','4',null,'58',null,null,'81','81','2021-02-16 17:35:02','2021-02-16 17:35:02',null);
INSERT INTO complaint_statuses VALUES('14335','4352','4',null,'55',null,null,'81','81','2021-02-16 17:35:13','2021-02-16 17:35:13',null);
INSERT INTO complaint_statuses VALUES('14336','4353','4',null,'55',null,null,'81','81','2021-02-16 17:35:24','2021-02-16 17:35:24',null);
INSERT INTO complaint_statuses VALUES('14337','4270','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 17:40:34','2021-02-16 17:40:34',null);
INSERT INTO complaint_statuses VALUES('14338','4354','2',null,'81',null,'16-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-16 17:43:04','2021-02-16 17:43:04',null);
INSERT INTO complaint_statuses VALUES('14339','4354','4',null,'55',null,null,'81','81','2021-02-16 17:44:20','2021-02-16 17:44:20',null);
INSERT INTO complaint_statuses VALUES('14340','4123','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 17:45:14','2021-02-16 17:45:14',null);
INSERT INTO complaint_statuses VALUES('14341','3317','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 17:49:21','2021-02-16 17:49:21',null);
INSERT INTO complaint_statuses VALUES('14342','4007','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-02-16 17:52:55','2021-02-16 17:52:55',null);
INSERT INTO complaint_statuses VALUES('14343','4006','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-02-16 17:55:06','2021-02-16 17:55:06',null);
INSERT INTO complaint_statuses VALUES('14344','4007','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-16 17:55:34','2021-02-16 17:57:30',null);
INSERT INTO complaint_statuses VALUES('14345','4006','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-16 17:55:58','2021-02-16 17:57:00',null);
INSERT INTO complaint_statuses VALUES('14346','4056','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 17:58:49','2021-02-16 17:58:49',null);
INSERT INTO complaint_statuses VALUES('14347','1948','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-16 18:01:21','2021-02-16 18:01:21',null);
INSERT INTO complaint_statuses VALUES('14348','4305','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-17 10:59:24','2021-02-17 10:59:24',null);
INSERT INTO complaint_statuses VALUES('14349','4302','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-02-17 11:01:23','2021-02-17 11:01:23',null);
INSERT INTO complaint_statuses VALUES('14350','4301','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-17 11:09:41','2021-02-17 11:09:41',null);
INSERT INTO complaint_statuses VALUES('14351','4298','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-17 11:11:53','2021-02-17 11:11:53',null);
INSERT INTO complaint_statuses VALUES('14352','4289','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-17 11:23:40','2021-02-17 11:23:40',null);
INSERT INTO complaint_statuses VALUES('14353','4355','2',null,'81',null,'17-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-17 11:30:23','2021-02-17 11:30:23',null);
INSERT INTO complaint_statuses VALUES('14354','4356','2',null,'81',null,'17-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-17 11:30:32','2021-02-17 11:30:32',null);
INSERT INTO complaint_statuses VALUES('14355','4357','2',null,'81',null,'17-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-17 11:33:30','2021-02-17 11:33:30',null);
INSERT INTO complaint_statuses VALUES('14356','4358','3',null,'55',null,'17-FEB-2021
COM NO RWP-18344','92','92','2021-02-17 11:46:54','2021-02-17 11:48:54',null);
INSERT INTO complaint_statuses VALUES('14357','4303','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-17 11:49:00','2021-02-17 11:49:00',null);
INSERT INTO complaint_statuses VALUES('14358','4260','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-17 11:53:18','2021-02-17 11:53:18',null);
INSERT INTO complaint_statuses VALUES('14359','4359','2',null,'81',null,'17-FEB-2021
COM FF TO NADEEM AZHAR','92','92','2021-02-17 12:53:33','2021-02-17 12:53:33',null);
INSERT INTO complaint_statuses VALUES('14360','4130','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-17 13:03:14','2021-02-17 13:03:14',null);
INSERT INTO complaint_statuses VALUES('14361','4360','2',null,'81',null,'17-FEB-2021
COM FF TO AZHAR FCI','92','92','2021-02-17 13:04:02','2021-02-17 13:04:02',null);
INSERT INTO complaint_statuses VALUES('14362','4361','3',null,'73',null,'17-FEB-2021
COM NO 3824','92','74','2021-02-17 13:15:14','2021-02-22 15:33:38',null);
INSERT INTO complaint_statuses VALUES('14363','4362','3',null,'81',null,'17-FEB-2021
COM NO 87','92','92','2021-02-17 13:16:27','2021-02-17 13:16:27',null);
INSERT INTO complaint_statuses VALUES('14364','4363','3',null,'81',null,'17-FEB-2021
COM NO 86','92','92','2021-02-17 13:17:22','2021-02-20 11:31:50',null);
INSERT INTO complaint_statuses VALUES('14365','3817','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-17 13:17:48','2021-02-17 13:17:48',null);
INSERT INTO complaint_statuses VALUES('14366','4355','4',null,'58',null,null,'81','81','2021-02-17 13:43:18','2021-02-17 13:43:18',null);
INSERT INTO complaint_statuses VALUES('14367','4356','4',null,'55',null,null,'81','81','2021-02-17 13:43:36','2021-02-17 13:43:36',null);
INSERT INTO complaint_statuses VALUES('14368','4356','4',null,'55',null,null,'81','81','2021-02-17 13:43:36','2021-02-17 13:43:36',null);
INSERT INTO complaint_statuses VALUES('14369','4357','4',null,'58',null,null,'81','81','2021-02-17 13:43:54','2021-02-17 13:43:54',null);
INSERT INTO complaint_statuses VALUES('14370','4359','4',null,'59',null,null,'81','81','2021-02-17 13:44:12','2021-02-17 13:44:12',null);
INSERT INTO complaint_statuses VALUES('14371','4360','4',null,'60',null,null,'81','81','2021-02-17 13:44:27','2021-02-17 13:44:27',null);
INSERT INTO complaint_statuses VALUES('14372','4364','2',null,'81',null,'17-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-17 14:06:34','2021-02-17 14:06:34',null);
INSERT INTO complaint_statuses VALUES('14373','4364','4',null,'55',null,null,'81','81','2021-02-17 14:07:50','2021-02-17 14:07:50',null);
INSERT INTO complaint_statuses VALUES('14374','4350','7','12','81','filter clean complaint resolved',null,'79','79','2021-02-17 14:38:12','2021-02-17 14:38:12',null);
INSERT INTO complaint_statuses VALUES('14375','4343','7','12','81','compliant resolved,over loaded issue',null,'79','79','2021-02-17 14:39:28','2021-02-17 14:39:28',null);
INSERT INTO complaint_statuses VALUES('14376','4348','7','12','81','DRAIN CHOWK THI, NOW RESOLVED',null,'87','87','2021-02-17 14:41:16','2021-02-17 14:41:16',null);
INSERT INTO complaint_statuses VALUES('14377','4365','2',null,'81',null,'17-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-17 15:35:17','2021-02-17 15:35:17',null);
INSERT INTO complaint_statuses VALUES('14378','4366','2',null,'81',null,'17-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-17 15:56:02','2021-02-17 15:56:02',null);
INSERT INTO complaint_statuses VALUES('14379','4350','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-17 15:58:28','2021-02-17 17:17:14',null);
INSERT INTO complaint_statuses VALUES('14380','4367','3',null,'66',null,'17-FEB-2021
COM NO PK-021820210043','92','92','2021-02-17 16:02:14','2021-02-18 11:09:20',null);
INSERT INTO complaint_statuses VALUES('14381','4348','8','23','62','COMPLAINT PROPER RESLOVED KARWA K COMPLETED KIYA KARAY .
TECHNIVIAN 2 HOUR K BAD AGAIN VISIT KA BOL K AAY HAIN CUSTOMER KO',null,'81','81','2021-02-17 16:09:58','2021-02-17 16:09:58',null);
INSERT INTO complaint_statuses VALUES('14382','4343','5','15',null,'COMPLETED COM PLAINT','COMPLAINT RESOLVED','81','74','2021-02-17 16:11:18','2021-02-17 17:17:48',null);
INSERT INTO complaint_statuses VALUES('14383','4368','3',null,'65',null,'17-FEB-2021
COM NO 192120880','92','92','2021-02-17 16:20:01','2021-02-17 16:24:57',null);
INSERT INTO complaint_statuses VALUES('14384','4319','7','12','81','COOLING THK HAI,FRIDGE CRACK HAI',null,'87','87','2021-02-17 16:33:24','2021-02-17 16:33:24',null);
INSERT INTO complaint_statuses VALUES('14385','4369','3',null,'65',null,'17-FEB-2021
COM NO 192120881','92','92','2021-02-17 16:41:32','2021-02-17 16:42:53',null);
INSERT INTO complaint_statuses VALUES('14386','4370','3',null,'81',null,'17-FEB-2021
COM NO 91','92','92','2021-02-17 16:52:20','2021-02-17 16:52:20',null);
INSERT INTO complaint_statuses VALUES('14387','4371','2',null,'81',null,'17-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-17 17:13:25','2021-02-17 17:13:25',null);
INSERT INTO complaint_statuses VALUES('14388','4025','7','12','81','COMPLETED COMPLAINT',null,'76','76','2021-02-17 17:16:13','2021-02-17 17:16:13',null);
INSERT INTO complaint_statuses VALUES('14389','4276','7','26','81','Self Repaired By Customer',null,'76','76','2021-02-17 17:18:03','2021-02-17 17:18:03',null);
INSERT INTO complaint_statuses VALUES('14390','4372','3',null,'91',null,'17-FEB-2021
COM FF TO SAMI GABBA NATIONAL','92','92','2021-02-17 17:19:37','2021-02-24 12:31:32',null);
INSERT INTO complaint_statuses VALUES('14391','4244','7','24','81','Compressor Faulty meed to Replacement , please provide require part (part # 150)',null,'76','76','2021-02-17 17:22:03','2021-02-17 17:22:03',null);
INSERT INTO complaint_statuses VALUES('14392','4365','4',null,'58',null,null,'81','81','2021-02-17 17:24:34','2021-02-17 17:24:34',null);
INSERT INTO complaint_statuses VALUES('14393','4366','4',null,'62',null,null,'81','81','2021-02-17 17:25:00','2021-02-17 17:25:00',null);
INSERT INTO complaint_statuses VALUES('14394','4371','4',null,'58',null,null,'81','81','2021-02-17 17:25:38','2021-02-17 17:25:38',null);
INSERT INTO complaint_statuses VALUES('14395','4371','7','12','81','door change',null,'79','79','2021-02-17 17:54:36','2021-02-17 17:54:36',null);
INSERT INTO complaint_statuses VALUES('14396','4366','7','12','81','W/M BILKUL OK HAI , AND MAINY SALE PERSON KO SARI HISTORY DISCLOSE KR DI 
SO PLZ DO THE NEEDFUL',null,'87','87','2021-02-17 18:25:25','2021-02-17 18:25:25',null);
INSERT INTO complaint_statuses VALUES('14397','4329','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-18 10:38:11','2021-02-18 10:38:11',null);
INSERT INTO complaint_statuses VALUES('14398','4327','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-18 10:42:21','2021-02-18 10:42:21',null);
INSERT INTO complaint_statuses VALUES('14399','4371','5','15',null,'C/O SADDIQ SAB REF DOOR B.CCOL NA CHANG KAR K DIA','COMPLAINT RESOLVED','81','92','2021-02-18 10:46:20','2021-02-18 11:21:11',null);
INSERT INTO complaint_statuses VALUES('14400','4205','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-18 10:54:00','2021-02-18 10:54:00',null);
INSERT INTO complaint_statuses VALUES('14401','4322','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-18 10:55:31','2021-02-18 10:55:31',null);
INSERT INTO complaint_statuses VALUES('14402','4326','7','12','81','COMPLETED COMPLAINT',null,'76','76','2021-02-18 11:01:44','2021-02-18 11:01:44',null);
INSERT INTO complaint_statuses VALUES('14403','4348','7','12','81',null,null,'87','87','2021-02-18 11:02:59','2021-02-18 11:02:59',null);
INSERT INTO complaint_statuses VALUES('14404','4330','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-02-18 11:03:56','2021-02-18 11:03:56',null);
INSERT INTO complaint_statuses VALUES('14405','4330','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-18 11:05:34','2021-02-18 11:20:09',null);
INSERT INTO complaint_statuses VALUES('14406','4326','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-18 11:05:59','2021-02-18 11:19:35',null);
INSERT INTO complaint_statuses VALUES('14407','4348','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-18 11:11:59','2021-02-18 11:20:36',null);
INSERT INTO complaint_statuses VALUES('14408','4319','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-18 11:14:54','2021-02-18 11:19:06',null);
INSERT INTO complaint_statuses VALUES('14409','4276','5','15',null,'CUSTOMER KA ISSUE RESOLVED HO GAY VISIT CANCEL COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-18 11:24:48','2021-02-18 11:42:30',null);
INSERT INTO complaint_statuses VALUES('14410','4313','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-18 11:26:16','2021-02-18 11:26:16',null);
INSERT INTO complaint_statuses VALUES('14411','4310','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-18 11:27:52','2021-02-18 11:27:52',null);
INSERT INTO complaint_statuses VALUES('14412','4025','5','15',null,'COMPLETED  COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-18 11:30:26','2021-02-18 11:41:49',null);
INSERT INTO complaint_statuses VALUES('14413','4306','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-02-18 11:37:55','2021-02-18 11:37:55',null);
INSERT INTO complaint_statuses VALUES('14414','4297','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-02-18 11:42:57','2021-02-18 11:42:57',null);
INSERT INTO complaint_statuses VALUES('14415','4297','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-18 11:43:25','2021-02-18 11:44:34',null);
INSERT INTO complaint_statuses VALUES('14416','4315','7','12','81','Issue resolved
Pcb repaired',null,'87','87','2021-02-18 11:59:14','2021-02-18 11:59:14',null);
INSERT INTO complaint_statuses VALUES('14417','4246','7','12','81','CUSTOMER NA LOCAL TECHNICIAN SA COMPLAINT RESOLVED KARWA LI COMPLAINT RESOLVED',null,'76','76','2021-02-18 11:59:55','2021-02-18 11:59:55',null);
INSERT INTO complaint_statuses VALUES('14418','4246','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-18 12:00:59','2021-02-18 12:01:41',null);
INSERT INTO complaint_statuses VALUES('14419','4315','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-18 12:02:38','2021-02-18 12:03:11',null);
INSERT INTO complaint_statuses VALUES('14420','4373','2',null,'81',null,'18-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-18 12:17:27','2021-02-18 12:17:27',null);
INSERT INTO complaint_statuses VALUES('14421','4374','2',null,'81',null,'18-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-18 12:17:48','2021-02-27 16:31:12',null);
INSERT INTO complaint_statuses VALUES('14422','4375','3',null,'52',null,'18-FEB-2021
COM NO PKRI-210218103780','92','92','2021-02-18 12:25:08','2021-02-18 12:27:25',null);
INSERT INTO complaint_statuses VALUES('14423','4374','4',null,'63',null,null,'81','81','2021-02-18 12:28:48','2021-02-18 12:28:48',null);
INSERT INTO complaint_statuses VALUES('14424','4374','4',null,'63',null,null,'81','81','2021-02-18 12:28:48','2021-02-18 12:28:48',null);
INSERT INTO complaint_statuses VALUES('14425','4373','4',null,'55',null,null,'81','81','2021-02-18 12:28:58','2021-02-18 12:28:58',null);
INSERT INTO complaint_statuses VALUES('14426','4373','4',null,'55',null,null,'81','81','2021-02-18 12:28:58','2021-02-18 12:28:58',null);
INSERT INTO complaint_statuses VALUES('14427','4359','7','24','81','hmary S/C bj dyn',null,'80','80','2021-02-18 12:48:10','2021-02-18 12:48:10',null);
INSERT INTO complaint_statuses VALUES('14428','4376','3',null,'65',null,'18-FEB-2021
COM NO 192120921','92','92','2021-02-18 14:14:47','2021-02-18 14:45:28',null);
INSERT INTO complaint_statuses VALUES('14429','3997','7','12','81','YHA OVEN CUSTOMER NA REPLACE KARWA LIYA THA JOB COLSED',null,'76','76','2021-02-18 14:24:47','2021-02-18 14:24:47',null);
INSERT INTO complaint_statuses VALUES('14430','4377','3',null,'66',null,'18-FEB-2021
COM NO PK-021820210104','92','92','2021-02-18 14:24:51','2021-02-18 14:26:58',null);
INSERT INTO complaint_statuses VALUES('14431','3997','5','15',null,'OVEN REPLACE HO GAY THA MAZHAR FCP K NAAM SA COMPLAINT FF KAR DI THI COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-18 14:26:39','2021-02-18 14:29:27',null);
INSERT INTO complaint_statuses VALUES('14432','4264','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-02-18 14:32:34','2021-02-18 14:32:34',null);
INSERT INTO complaint_statuses VALUES('14433','4264','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-18 14:33:01','2021-02-18 14:33:46',null);
INSERT INTO complaint_statuses VALUES('14434','3871','7','12','81','COMPLETED COMPLAINT 4000 S/C CUSTOMER NA PAY KI C',null,'76','76','2021-02-18 14:39:28','2021-02-18 14:39:28',null);
INSERT INTO complaint_statuses VALUES('14435','4378','2',null,'81',null,'18-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-18 14:39:36','2021-02-18 14:39:36',null);
INSERT INTO complaint_statuses VALUES('14436','3871','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-18 14:40:00','2021-02-18 14:40:32',null);
INSERT INTO complaint_statuses VALUES('14437','4379','2',null,'81',null,'18-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-18 15:27:04','2021-02-18 15:27:04',null);
INSERT INTO complaint_statuses VALUES('14438','4380','2',null,'81',null,'18-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-18 15:37:38','2021-02-20 16:47:21',null);
INSERT INTO complaint_statuses VALUES('14439','4378','4',null,'58',null,null,'81','81','2021-02-18 15:38:47','2021-02-18 15:38:47',null);
INSERT INTO complaint_statuses VALUES('14440','4379','4',null,'62',null,null,'81','81','2021-02-18 15:39:01','2021-02-18 15:39:01',null);
INSERT INTO complaint_statuses VALUES('14441','4380','4',null,'58',null,null,'81','81','2021-02-18 15:39:18','2021-02-18 15:39:18',null);
INSERT INTO complaint_statuses VALUES('14442','3750','7','26','81','No Need of visit.',null,'76','76','2021-02-18 15:59:55','2021-02-18 15:59:55',null);
INSERT INTO complaint_statuses VALUES('14443','3792','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-18 16:02:04','2021-02-18 16:02:04',null);
INSERT INTO complaint_statuses VALUES('14444','3716','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-18 16:11:56','2021-02-18 16:11:56',null);
INSERT INTO complaint_statuses VALUES('14445','4381','2',null,'81',null,'18-FEB-2021
COM NO PKRI-210218108014','92','92','2021-02-18 16:14:36','2021-02-18 16:14:36',null);
INSERT INTO complaint_statuses VALUES('14446','4381','4',null,'64',null,null,'81','81','2021-02-18 16:15:12','2021-02-18 16:15:12',null);
INSERT INTO complaint_statuses VALUES('14447','4382','3',null,'57',null,'18-FEB-2021
COM NO16699','92','74','2021-02-18 16:40:44','2021-02-19 12:47:34',null);
INSERT INTO complaint_statuses VALUES('14448','4383','2',null,'81',null,'18-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-18 17:43:53','2021-02-18 17:43:53',null);
INSERT INTO complaint_statuses VALUES('14449','4383','4',null,'58',null,null,'81','81','2021-02-18 17:47:19','2021-02-18 17:47:19',null);
INSERT INTO complaint_statuses VALUES('14450','4384','2',null,'81',null,'18-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-18 18:02:31','2021-02-18 18:02:31',null);
INSERT INTO complaint_statuses VALUES('14451','4384','4',null,'58',null,null,'81','81','2021-02-18 18:02:59','2021-02-18 18:02:59',null);
INSERT INTO complaint_statuses VALUES('14452','4266','7','12','81','compliant reosolved',null,'79','79','2021-02-18 18:25:47','2021-02-18 18:25:47',null);
INSERT INTO complaint_statuses VALUES('14453','4347','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-19 11:18:32','2021-02-19 11:18:32',null);
INSERT INTO complaint_statuses VALUES('14454','4346','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-19 11:20:38','2021-02-19 11:20:38',null);
INSERT INTO complaint_statuses VALUES('14455','4344','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-19 11:36:34','2021-02-19 11:36:34',null);
INSERT INTO complaint_statuses VALUES('14456','4342','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-19 11:38:51','2021-02-19 11:38:51',null);
INSERT INTO complaint_statuses VALUES('14457','4339','7','12','81','CUSTOMER NA LOCAL TECHNICIAN SA COMPLAINT RESOLVED KARWA LI',null,'88','88','2021-02-19 11:48:01','2021-02-19 11:48:01',null);
INSERT INTO complaint_statuses VALUES('14458','4339','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-19 11:48:46','2021-02-19 11:50:19',null);
INSERT INTO complaint_statuses VALUES('14459','4338','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-19 11:51:21','2021-02-19 11:51:21',null);
INSERT INTO complaint_statuses VALUES('14460','4337','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-19 12:10:25','2021-02-19 12:10:25',null);
INSERT INTO complaint_statuses VALUES('14461','4336','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-19 12:11:23','2021-02-19 12:11:23',null);
INSERT INTO complaint_statuses VALUES('14462','4335','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-19 12:15:21','2021-02-19 12:15:21',null);
INSERT INTO complaint_statuses VALUES('14463','4331','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-02-19 12:27:20','2021-02-19 12:27:20',null);
INSERT INTO complaint_statuses VALUES('14464','4331','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-19 12:27:53','2021-02-19 12:28:29',null);
INSERT INTO complaint_statuses VALUES('14465','4385','3',null,'57',null,'19-FEB-2021
COMPLAINT#16698','74','74','2021-02-19 12:40:35','2021-02-19 12:45:19',null);
INSERT INTO complaint_statuses VALUES('14466','4386','3',null,'52',null,'19-FEB-2021
COMPLAINT#PKRI-210219104186','74','74','2021-02-19 12:51:37','2021-02-19 12:58:43',null);
INSERT INTO complaint_statuses VALUES('14467','4387','3',null,'52',null,'19-FEB-2021
COMPLAINT#PKRI-210219104234','74','74','2021-02-19 12:54:58','2021-02-19 13:01:38',null);
INSERT INTO complaint_statuses VALUES('14468','4388','2',null,'81',null,'19-FEB-2021
FF TO KHALID SONY','74','74','2021-02-19 12:59:49','2021-02-19 12:59:49',null);
INSERT INTO complaint_statuses VALUES('14469','4388','4',null,'56',null,null,'81','81','2021-02-19 13:00:43','2021-02-19 13:00:43',null);
INSERT INTO complaint_statuses VALUES('14470','4389','2',null,'81',null,'19-FEB-2021
FF TO KHURRAM 5 STAR','74','74','2021-02-19 13:14:17','2021-02-19 13:14:17',null);
INSERT INTO complaint_statuses VALUES('14471','4389','4',null,'63',null,null,'81','81','2021-02-19 13:15:55','2021-02-19 13:15:55',null);
INSERT INTO complaint_statuses VALUES('14472','4390','2',null,'81',null,'19-FEB-2021
FF TO KHURRAM 5 STAR','74','74','2021-02-19 15:25:13','2021-02-19 15:25:13',null);
INSERT INTO complaint_statuses VALUES('14473','4390','4',null,'63',null,null,'81','81','2021-02-19 15:26:01','2021-02-19 15:26:01',null);
INSERT INTO complaint_statuses VALUES('14474','4391','3',null,'63',null,'19-FEB-2021
COMPLAINT#98','74','74','2021-02-19 15:39:03','2021-02-19 15:39:03',null);
INSERT INTO complaint_statuses VALUES('14475','4392','2',null,'81',null,'19-FEB-2021
FF TO B.COOL','74','74','2021-02-19 15:43:30','2021-02-19 15:43:30',null);
INSERT INTO complaint_statuses VALUES('14476','4392','4',null,'58',null,null,'81','81','2021-02-19 15:44:27','2021-02-19 15:44:27',null);
INSERT INTO complaint_statuses VALUES('14477','4393','3',null,'52',null,'19 FEB-2021
COMPLAINT #PKRI-210219107236','74','74','2021-02-19 16:24:12','2021-02-19 16:24:12',null);
INSERT INTO complaint_statuses VALUES('14478','4394','3',null,'67',null,'19-FEB-2021
FF TO ANWAR CARVELL','74','74','2021-02-19 16:31:13','2021-02-19 16:31:13',null);
INSERT INTO complaint_statuses VALUES('14479','4357','7','12','81','panel issue compliant resolved',null,'79','79','2021-02-20 10:37:07','2021-02-20 10:37:07',null);
INSERT INTO complaint_statuses VALUES('14480','4358','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-20 10:46:18','2021-02-20 10:46:18',null);
INSERT INTO complaint_statuses VALUES('14481','4395','3',null,'52',null,'20-FEB-2021
COM NO PKRI-210220102342','92','92','2021-02-20 11:08:02','2021-02-20 11:10:57',null);
INSERT INTO complaint_statuses VALUES('14482','4355','7','12','81','in ko footgi ho gai.dubra compliant kerwyae gain',null,'79','79','2021-02-20 11:09:34','2021-02-20 11:09:34',null);
INSERT INTO complaint_statuses VALUES('14483','4396','2',null,'81',null,'20-FEB-2021
COM NO PKRI-210220102435','92','92','2021-02-20 11:17:22','2021-02-20 11:17:22',null);
INSERT INTO complaint_statuses VALUES('14484','4396','4',null,'64',null,null,'81','81','2021-02-20 11:17:45','2021-02-20 11:17:45',null);
INSERT INTO complaint_statuses VALUES('14485','4259','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-20 11:26:00','2021-02-20 11:26:00',null);
INSERT INTO complaint_statuses VALUES('14486','4200','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 11:37:18','2021-02-20 11:37:18',null);
INSERT INTO complaint_statuses VALUES('14487','4369','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 11:41:31','2021-02-20 11:41:31',null);
INSERT INTO complaint_statuses VALUES('14488','4397','2',null,'81',null,'20-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-20 11:44:53','2021-02-20 11:44:53',null);
INSERT INTO complaint_statuses VALUES('14489','4397','4',null,'58',null,null,'81','81','2021-02-20 11:45:46','2021-02-20 11:45:46',null);
INSERT INTO complaint_statuses VALUES('14490','4274','7','12','81','YHA HOB CUSTOMER KO REPLACE KAR DIA',null,'88','88','2021-02-20 11:46:09','2021-02-20 11:46:09',null);
INSERT INTO complaint_statuses VALUES('14491','4398','2',null,'81',null,'20-FEB-2021
COM NO 1818155','92','92','2021-02-20 12:09:47','2021-02-20 12:09:47',null);
INSERT INTO complaint_statuses VALUES('14492','4392','7','12','81','in sy bt hui hai customer bol rehy hian k ref theek  hi gy ahai.blue  area walo visit  kia hai',null,'79','79','2021-02-20 12:10:03','2021-02-20 12:10:03',null);
INSERT INTO complaint_statuses VALUES('14493','4275','8','23','58','COMPLAINT ATTEND KARWA DAY VISIT CHARGES CRM BILL MAIN ADD KAR DIJAY GA KURRAM SA SO DIS CAUSE KAR K COMPLIANT IN PROCESS KI',null,'81','81','2021-02-20 12:13:07','2021-02-20 12:13:07',null);
INSERT INTO complaint_statuses VALUES('14494','4399','2',null,'81',null,'20-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-20 12:13:47','2021-02-20 12:13:47',null);
INSERT INTO complaint_statuses VALUES('14495','4392','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','92','2021-02-20 12:18:28','2021-02-20 14:32:50',null);
INSERT INTO complaint_statuses VALUES('14496','4366','5','15',null,'ADIL BHAI NA YHA COMPLAINT CLOSED KARWA DI','COMPLAINT RESOLVED','81','92','2021-02-20 12:27:09','2021-02-20 14:33:35',null);
INSERT INTO complaint_statuses VALUES('14497','4351','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 12:28:56','2021-02-20 12:28:56',null);
INSERT INTO complaint_statuses VALUES('14498','4277','7','12','81','compliant reoslved,cupplry and gas.',null,'79','79','2021-02-20 12:30:23','2021-02-20 12:30:23',null);
INSERT INTO complaint_statuses VALUES('14499','3952','7','12','81','ISSUE RESOLVED , COMP REPALCED',null,'87','87','2021-02-20 12:31:16','2021-02-20 12:31:16',null);
INSERT INTO complaint_statuses VALUES('14500','4400','2',null,'81',null,'20-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-20 12:32:48','2021-02-20 12:32:48',null);
INSERT INTO complaint_statuses VALUES('14501','4357','8','23','58','COMPLAINT NOT RESOLVED',null,'81','81','2021-02-20 12:35:57','2021-02-20 12:35:57',null);
INSERT INTO complaint_statuses VALUES('14502','4359','8','23','59','OK ANEEQ & ASLAM SIR KO INFORMED KAR DIA',null,'81','81','2021-02-20 12:38:49','2021-02-20 12:38:49',null);
INSERT INTO complaint_statuses VALUES('14503','4401','2',null,'81',null,'20-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-20 12:40:56','2021-02-20 12:40:56',null);
INSERT INTO complaint_statuses VALUES('14504','4355','5','15',null,'OK SAIF FCP KO B INFORMED KAR DIA','COMPLAINT RESOLVED','81','92','2021-02-20 12:43:37','2021-02-20 14:34:43',null);
INSERT INTO complaint_statuses VALUES('14505','4398','4',null,'64',null,null,'81','81','2021-02-20 12:48:46','2021-02-20 12:48:46',null);
INSERT INTO complaint_statuses VALUES('14506','4399','4',null,'62',null,null,'81','81','2021-02-20 12:48:57','2021-02-20 12:48:57',null);
INSERT INTO complaint_statuses VALUES('14507','4400','4',null,'62',null,null,'81','81','2021-02-20 12:49:09','2021-02-20 12:49:09',null);
INSERT INTO complaint_statuses VALUES('14508','4401','4',null,'63',null,null,'81','81','2021-02-20 12:49:21','2021-02-20 12:49:21',null);
INSERT INTO complaint_statuses VALUES('14509','4402','2',null,'81',null,'20-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-20 12:54:15','2021-02-20 12:54:15',null);
INSERT INTO complaint_statuses VALUES('14510','4274','5','15',null,'YHA HOB CUSTOMER KO REPLACE KAR K DIA HAIN .ABU BAKAR KO INFORMED KAR DIA CUSTOMER WALA HO B OK HAIN SALE KAR DAY','COMPLAINT RESOLVED','81','92','2021-02-20 12:57:07','2021-02-20 14:35:25',null);
INSERT INTO complaint_statuses VALUES('14511','4403','3',null,'84',null,'20-FEB-2021
FF TO NAEEM KENWOOD','74','74','2021-02-20 13:04:23','2021-02-20 13:04:23',null);
INSERT INTO complaint_statuses VALUES('14512','4266','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-20 13:09:11','2021-02-20 14:36:05',null);
INSERT INTO complaint_statuses VALUES('14513','4384','7','22','81','shocksissue,refer to service center',null,'79','79','2021-02-20 13:16:04','2021-02-20 13:16:04',null);
INSERT INTO complaint_statuses VALUES('14514','2601','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 13:27:02','2021-02-20 13:27:02',null);
INSERT INTO complaint_statuses VALUES('14515','4404','2',null,'81',null,'20-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-20 13:28:35','2021-02-20 13:28:35',null);
INSERT INTO complaint_statuses VALUES('14516','3039','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 13:35:27','2021-02-20 13:35:27',null);
INSERT INTO complaint_statuses VALUES('14517','4405','2',null,'81',null,'20-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-20 13:37:03','2021-02-20 13:37:03',null);
INSERT INTO complaint_statuses VALUES('14518','2647','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 13:37:16','2021-02-20 13:37:16',null);
INSERT INTO complaint_statuses VALUES('14519','4064','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 13:41:53','2021-02-20 13:41:53',null);
INSERT INTO complaint_statuses VALUES('14520','4402','4',null,'63',null,null,'81','81','2021-02-20 13:48:11','2021-02-20 13:48:11',null);
INSERT INTO complaint_statuses VALUES('14521','4404','4',null,'58',null,null,'81','81','2021-02-20 13:48:22','2021-02-20 13:48:22',null);
INSERT INTO complaint_statuses VALUES('14522','4405','4',null,'58',null,null,'81','81','2021-02-20 13:48:33','2021-02-20 13:48:33',null);
INSERT INTO complaint_statuses VALUES('14523','4406','2',null,'81',null,'20-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-20 13:58:36','2021-02-20 13:58:36',null);
INSERT INTO complaint_statuses VALUES('14524','4406','4',null,'58',null,null,'81','81','2021-02-20 14:00:03','2021-02-20 14:00:03',null);
INSERT INTO complaint_statuses VALUES('14525','4407','3',null,'57',null,'20-FEB-2021
COM NO 16722','92','92','2021-02-20 14:29:21','2021-02-20 14:31:29',null);
INSERT INTO complaint_statuses VALUES('14526','3059','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 14:53:00','2021-02-20 14:53:00',null);
INSERT INTO complaint_statuses VALUES('14527','4199','7','26','81','PLZ FRWD TO CONCERN',null,'87','87','2021-02-20 14:55:37','2021-02-20 14:55:37',null);
INSERT INTO complaint_statuses VALUES('14528','4408','2',null,'81',null,'20-FEB-2021
FF TO ANEEQ','74','74','2021-02-20 15:08:19','2021-02-20 15:08:19',null);
INSERT INTO complaint_statuses VALUES('14529','4408','4',null,'64',null,null,'81','81','2021-02-20 15:08:54','2021-02-20 15:08:54',null);
INSERT INTO complaint_statuses VALUES('14530','1897','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 15:10:00','2021-02-20 15:10:00',null);
INSERT INTO complaint_statuses VALUES('14531','4409','3',null,'92',null,'20-FEB-2021
COM NO   210220041806','92','92','2021-02-20 15:11:39','2021-03-01 15:55:49',null);
INSERT INTO complaint_statuses VALUES('14532','4199','5','15',null,'YHA COMPLAINT USMAN MRM KO FF KARWA DI ADIL BHIA NA','COMPLAINT RESOLVED','81','92','2021-02-20 15:11:54','2021-02-20 15:18:36',null);
INSERT INTO complaint_statuses VALUES('14533','3952','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-20 15:12:41','2021-02-20 15:19:11',null);
INSERT INTO complaint_statuses VALUES('14534','3750','5','15',null,'CUSTOMER KA ISSUE RESOLVED HO GAYA HAIN VISIT CANCELKARWA DIA  COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-02-20 15:14:54','2021-02-20 15:19:44',null);
INSERT INTO complaint_statuses VALUES('14535','1902','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 15:23:16','2021-02-20 15:23:16',null);
INSERT INTO complaint_statuses VALUES('14536','3077','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 15:26:39','2021-02-20 15:26:39',null);
INSERT INTO complaint_statuses VALUES('14537','3144','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 15:32:52','2021-02-20 15:32:52',null);
INSERT INTO complaint_statuses VALUES('14538','4304','7','12','81','PEL K W/D HAIN COMPLAINT  COMPLETED',null,'91','91','2021-02-20 15:51:49','2021-02-20 15:51:49',null);
INSERT INTO complaint_statuses VALUES('14539','4304','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-20 15:52:20','2021-02-20 15:52:43',null);
INSERT INTO complaint_statuses VALUES('14540','4410','2',null,'81',null,'20-FEB-2021
COM FF TO USMAN MRM','92','92','2021-02-20 15:57:12','2021-02-20 15:57:12',null);
INSERT INTO complaint_statuses VALUES('14541','4410','4',null,'61',null,null,'81','81','2021-02-20 16:04:34','2021-02-20 16:04:34',null);
INSERT INTO complaint_statuses VALUES('14542','3221','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 16:16:15','2021-02-20 16:16:15',null);
INSERT INTO complaint_statuses VALUES('14543','4400','7','12','81','ISSUE RESOLVED , W/M MEIN KOI ISSUE NHI JUST OVER WEIGHTED THI',null,'87','87','2021-02-20 16:23:01','2021-02-20 16:23:01',null);
INSERT INTO complaint_statuses VALUES('14544','4411','2',null,'81',null,'20-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-20 16:25:12','2021-02-20 16:25:12',null);
INSERT INTO complaint_statuses VALUES('14545','4411','4',null,'58',null,null,'81','81','2021-02-20 16:28:24','2021-02-20 16:28:24',null);
INSERT INTO complaint_statuses VALUES('14546','3236','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 16:31:13','2021-02-20 16:31:13',null);
INSERT INTO complaint_statuses VALUES('14547','3240','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 16:33:24','2021-02-20 16:33:24',null);
INSERT INTO complaint_statuses VALUES('14548','4412','2',null,'81',null,'20-FEB-2021
COM# NAEEM KENWOOD
FF TO ANEEQ','74','74','2021-02-20 16:39:31','2021-02-20 16:39:31',null);
INSERT INTO complaint_statuses VALUES('14549','4412','4',null,'64',null,null,'81','81','2021-02-20 16:39:53','2021-02-20 16:39:53',null);
INSERT INTO complaint_statuses VALUES('14550','2684','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 16:40:50','2021-02-20 16:40:50',null);
INSERT INTO complaint_statuses VALUES('14551','4413','2',null,'81',null,'20-FEB-2021
COMPLAINT#15368
FF TO ANEEQ','74','74','2021-02-20 16:44:21','2021-02-20 16:44:21',null);
INSERT INTO complaint_statuses VALUES('14552','3088','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 16:45:07','2021-02-20 16:45:07',null);
INSERT INTO complaint_statuses VALUES('14553','4414','2',null,'81',null,'20-FEB-2021
FF TO KHURRAM 5 STAR
FF TO ANEEQ','74','74','2021-02-20 16:48:24','2021-02-20 16:48:24',null);
INSERT INTO complaint_statuses VALUES('14554','3220','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 16:49:15','2021-02-20 16:49:15',null);
INSERT INTO complaint_statuses VALUES('14555','4413','4',null,'64',null,null,'81','81','2021-02-20 16:50:32','2021-02-20 16:50:32',null);
INSERT INTO complaint_statuses VALUES('14556','4414','4',null,'64',null,null,'81','81','2021-02-20 16:50:44','2021-02-20 16:50:44',null);
INSERT INTO complaint_statuses VALUES('14557','4415','2',null,'81',null,'20-FEB-2021
COMPLAINT#PKRI-201228103151	
FF TO ANEEQ','74','74','2021-02-20 16:55:13','2021-02-20 16:55:13',null);
INSERT INTO complaint_statuses VALUES('14558','3284','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 16:56:12','2021-02-20 16:56:12',null);
INSERT INTO complaint_statuses VALUES('14559','3415','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 17:03:40','2021-02-20 17:03:40',null);
INSERT INTO complaint_statuses VALUES('14560','3323','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 17:05:44','2021-02-20 17:05:44',null);
INSERT INTO complaint_statuses VALUES('14561','3347','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 17:11:55','2021-02-20 17:11:55',null);
INSERT INTO complaint_statuses VALUES('14562','4416','2',null,'81',null,'20-FEB-2021
COM FF TO AZHAR FCI','92','92','2021-02-20 17:11:57','2021-02-20 17:11:57',null);
INSERT INTO complaint_statuses VALUES('14563','3398','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 17:13:59','2021-02-20 17:13:59',null);
INSERT INTO complaint_statuses VALUES('14564','4415','4',null,'64',null,null,'81','81','2021-02-20 17:14:10','2021-02-20 17:14:10',null);
INSERT INTO complaint_statuses VALUES('14565','4416','4',null,'60',null,null,'81','81','2021-02-20 17:14:28','2021-02-20 17:14:28',null);
INSERT INTO complaint_statuses VALUES('14566','3469','7','12','81','DAMAGE HAIN  REF TO S/C',null,'76','76','2021-02-20 17:28:24','2021-02-20 17:28:24',null);
INSERT INTO complaint_statuses VALUES('14567','4417','2',null,'81',null,'20-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-20 17:28:54','2021-02-20 17:28:54',null);
INSERT INTO complaint_statuses VALUES('14568','4417','4',null,'58',null,null,'81','81','2021-02-20 17:29:57','2021-02-20 17:29:57',null);
INSERT INTO complaint_statuses VALUES('14569','4418','3',null,'52',null,'20-FEB-2021
COMPLAINT#PKRI-210220108906','74','92','2021-02-20 17:32:33','2021-02-20 17:39:16',null);
INSERT INTO complaint_statuses VALUES('14570','3691','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-02-20 17:34:41','2021-02-20 17:34:41',null);
INSERT INTO complaint_statuses VALUES('14571','4400','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-20 17:35:55','2021-02-20 17:36:23',null);
INSERT INTO complaint_statuses VALUES('14572','3691','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','92','2021-02-20 17:36:22','2021-02-20 17:36:52',null);
INSERT INTO complaint_statuses VALUES('14573','3469','5','15',null,'COMPLETED COMPLIANT  DISHWASHER SALE B KAR DIA  EHSAN SAB NA','COMPLAINT RESOLVED','81','92','2021-02-20 17:37:07','2021-02-21 11:24:45',null);
INSERT INTO complaint_statuses VALUES('14574','3320','5',null,null,'COMPLIANT CLOSED',null,'74','74','2021-02-20 17:39:14','2021-02-20 17:39:14',null);
INSERT INTO complaint_statuses VALUES('14575','4383','7','12','81','pelsotor issue .compliant resolved',null,'79','79','2021-02-20 17:39:45','2021-02-20 17:39:45',null);
INSERT INTO complaint_statuses VALUES('14576','3321','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 17:41:58','2021-02-20 17:41:58',null);
INSERT INTO complaint_statuses VALUES('14577','4419','3',null,'53',null,'20-FEB-2021
COM NO 301090048','92','92','2021-02-20 17:47:39','2021-02-25 12:04:28',null);
INSERT INTO complaint_statuses VALUES('14578','3426','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 17:50:20','2021-02-20 17:50:20',null);
INSERT INTO complaint_statuses VALUES('14579','3492','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 17:55:58','2021-02-20 17:55:58',null);
INSERT INTO complaint_statuses VALUES('14580','3531','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 18:01:15','2021-02-20 18:01:15',null);
INSERT INTO complaint_statuses VALUES('14581','4420','2',null,'81',null,'20-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-20 18:02:03','2021-02-20 18:02:03',null);
INSERT INTO complaint_statuses VALUES('14582','3562','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 18:07:59','2021-02-20 18:07:59',null);
INSERT INTO complaint_statuses VALUES('14583','3611','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-20 18:10:15','2021-02-20 18:10:15',null);
INSERT INTO complaint_statuses VALUES('14584','4421','2',null,'81',null,'20-FEB-2021
COM NO 102','92','92','2021-02-20 18:10:17','2021-02-22 10:46:12',null);
INSERT INTO complaint_statuses VALUES('14585','4379','7','12','81','ISSUE RESOLVED,',null,'87','87','2021-02-20 18:52:13','2021-02-20 18:52:13',null);
INSERT INTO complaint_statuses VALUES('14586','4406','7','9','81','motor and gear issue ..',null,'79','79','2021-02-21 10:31:20','2021-02-21 10:31:20',null);
INSERT INTO complaint_statuses VALUES('14587','4422','3',null,'52',null,'21-FEB-2021
COM NO PKRI-210221102221','92','92','2021-02-21 10:53:11','2021-02-21 12:19:26',null);
INSERT INTO complaint_statuses VALUES('14588','4423','3',null,'52',null,'21-FEB-2021
COM NO PKRI-210221102255','92','92','2021-02-21 11:02:43','2021-02-21 12:22:53',null);
INSERT INTO complaint_statuses VALUES('14589','4424','2',null,'81',null,'21-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-21 11:08:41','2021-02-21 11:08:41',null);
INSERT INTO complaint_statuses VALUES('14590','4387','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-21 11:23:27','2021-02-21 11:23:27',null);
INSERT INTO complaint_statuses VALUES('14591','4376','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-21 11:26:23','2021-02-21 11:26:23',null);
INSERT INTO complaint_statuses VALUES('14592','4425','3',null,'53',null,'21-FEB-2021
COM NO 301090090','92','92','2021-02-21 12:06:22','2021-02-21 12:12:21',null);
INSERT INTO complaint_statuses VALUES('14593','4426','2',null,'81',null,'21-FEB-2021
COM NO PKRI-210221102278','92','92','2021-02-21 12:07:15','2021-02-21 12:27:07',null);
INSERT INTO complaint_statuses VALUES('14594','4427','3',null,'52',null,'21-FEB-2021
COM NO PKRI-210221104668','92','92','2021-02-21 12:14:34','2021-02-21 16:20:32',null);
INSERT INTO complaint_statuses VALUES('14595','4420','4',null,'58',null,null,'81','81','2021-02-21 12:27:39','2021-02-21 12:27:39',null);
INSERT INTO complaint_statuses VALUES('14596','4424','4',null,'63',null,null,'81','81','2021-02-21 12:28:04','2021-02-21 12:28:04',null);
INSERT INTO complaint_statuses VALUES('14597','4424','4',null,'63',null,null,'81','81','2021-02-21 12:28:04','2021-02-21 12:28:04',null);
INSERT INTO complaint_statuses VALUES('14598','4426','4',null,'64',null,null,'81','81','2021-02-21 12:28:14','2021-02-21 12:28:14',null);
INSERT INTO complaint_statuses VALUES('14599','3473','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-21 12:43:40','2021-02-21 12:43:40',null);
INSERT INTO complaint_statuses VALUES('14600','4406','8','23','58',null,null,'81','81','2021-02-21 12:46:01','2021-02-21 12:46:01',null);
INSERT INTO complaint_statuses VALUES('14601','4384','8','23','58',null,null,'81','81','2021-02-21 12:46:22','2021-02-21 12:46:22',null);
INSERT INTO complaint_statuses VALUES('14602','4193','8','23','60',null,null,'81','81','2021-02-21 12:47:20','2021-02-21 12:47:20',null);
INSERT INTO complaint_statuses VALUES('14603','3717','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-21 12:48:20','2021-02-21 12:48:20',null);
INSERT INTO complaint_statuses VALUES('14604','3775','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-21 12:51:46','2021-02-21 12:51:46',null);
INSERT INTO complaint_statuses VALUES('14605','4428','3',null,'66',null,'21-FEB-2021
COM NO PK022220210027
ZAHID TCL','92','92','2021-02-21 13:04:05','2021-02-22 10:44:29',null);
INSERT INTO complaint_statuses VALUES('14606','4429','2',null,'81',null,'21-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-21 15:13:24','2021-02-21 15:13:24',null);
INSERT INTO complaint_statuses VALUES('14607','4429','4',null,'55',null,null,'81','81','2021-02-21 15:32:57','2021-02-21 15:32:57',null);
INSERT INTO complaint_statuses VALUES('14608','3640','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-21 15:59:27','2021-02-21 15:59:27',null);
INSERT INTO complaint_statuses VALUES('14609','3668','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-21 16:01:39','2021-02-21 16:01:39',null);
INSERT INTO complaint_statuses VALUES('14610','4430','2',null,'81',null,'22-FEB-2021
COM FF TO USMAN MRM','92','92','2021-02-22 10:30:31','2021-02-22 10:30:31',null);
INSERT INTO complaint_statuses VALUES('14611','4431','3',null,'66',null,'22-FEB-2021
COM NO PK022220210025
SAJID TCL','92','92','2021-02-22 10:41:51','2021-02-22 10:41:51',null);
INSERT INTO complaint_statuses VALUES('14612','4421','4',null,'64',null,null,'81','81','2021-02-22 10:47:05','2021-02-22 10:47:05',null);
INSERT INTO complaint_statuses VALUES('14613','4430','4',null,'61',null,null,'81','81','2021-02-22 10:47:16','2021-02-22 10:47:16',null);
INSERT INTO complaint_statuses VALUES('14614','4420','7','12','81','customer out of city hain.3 din tk aye  ap compliant complete kr dein jb wapis aye tu dubar aenter kr dein  gain',null,'79','79','2021-02-22 10:52:07','2021-02-22 10:52:07',null);
INSERT INTO complaint_statuses VALUES('14615','4404','7','12','81','no issue in wm .visit ho gya hai',null,'79','79','2021-02-22 10:53:45','2021-02-22 10:53:45',null);
INSERT INTO complaint_statuses VALUES('14616','4417','7','12','81','secrew lose ho gya thy compliant resolved',null,'79','79','2021-02-22 10:54:35','2021-02-22 10:54:35',null);
INSERT INTO complaint_statuses VALUES('14617','4432','2',null,'81',null,'22-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-22 11:07:56','2021-02-22 11:07:56',null);
INSERT INTO complaint_statuses VALUES('14618','4433','2',null,'81',null,'22-FEB-2021
COM NO 18439','92','92','2021-02-22 11:17:05','2021-02-22 13:00:13',null);
INSERT INTO complaint_statuses VALUES('14619','4275','7','12','81','complaint resolved',null,'79','79','2021-02-22 11:18:38','2021-02-22 11:18:38',null);
INSERT INTO complaint_statuses VALUES('14620','4434','2',null,'81',null,'22-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-22 11:47:17','2021-02-22 11:47:17',null);
INSERT INTO complaint_statuses VALUES('14621','4435','2',null,'81',null,'22-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-22 12:01:19','2021-02-22 12:01:19',null);
INSERT INTO complaint_statuses VALUES('14622','4436','3',null,'55',null,'22-FEB-2021
COM NO 730200','92','92','2021-02-22 12:16:21','2021-02-22 12:19:17',null);
INSERT INTO complaint_statuses VALUES('14623','4420','5','15',null,'CUSTOMER NA ABI CANCEL KARWA DI COMPLINT','COMPLAINT RESOLVED','81','92','2021-02-22 12:34:47','2021-02-22 12:48:06',null);
INSERT INTO complaint_statuses VALUES('14624','4416','7','12','81','Frig unho ny bahir sy theek kar wa lyea hy',null,'82','82','2021-02-22 12:45:41','2021-02-22 12:45:41',null);
INSERT INTO complaint_statuses VALUES('14625','4432','4',null,'63',null,null,'81','81','2021-02-22 13:00:37','2021-02-22 13:00:37',null);
INSERT INTO complaint_statuses VALUES('14626','4433','4',null,'64',null,null,'81','81','2021-02-22 13:00:58','2021-02-22 13:00:58',null);
INSERT INTO complaint_statuses VALUES('14627','4434','4',null,'63',null,null,'81','81','2021-02-22 13:01:17','2021-02-22 13:01:17',null);
INSERT INTO complaint_statuses VALUES('14628','4435','4',null,'58',null,null,'81','81','2021-02-22 13:01:41','2021-02-22 13:01:41',null);
INSERT INTO complaint_statuses VALUES('14629','4437','2',null,'81',null,'22-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-22 13:13:37','2021-02-22 13:13:37',null);
INSERT INTO complaint_statuses VALUES('14630','4417','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-22 13:14:31','2021-02-22 13:20:46',null);
INSERT INTO complaint_statuses VALUES('14631','4437','4',null,'62',null,null,'81','81','2021-02-22 13:15:07','2021-02-22 13:15:07',null);
INSERT INTO complaint_statuses VALUES('14632','4393','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-22 13:15:33','2021-02-22 13:15:33',null);
INSERT INTO complaint_statuses VALUES('14633','4416','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','92','2021-02-22 13:17:35','2021-02-22 13:20:24',null);
INSERT INTO complaint_statuses VALUES('14634','4404','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-22 13:19:36','2021-02-22 13:21:11',null);
INSERT INTO complaint_statuses VALUES('14635','4383','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-22 13:22:05','2021-02-22 16:32:29',null);
INSERT INTO complaint_statuses VALUES('14636','4438','3',null,'52',null,'22-FEB-2021
COM NO PKRI-210222105818','92','92','2021-02-22 13:24:23','2021-02-22 13:26:35',null);
INSERT INTO complaint_statuses VALUES('14637','4379','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-22 13:27:41','2021-02-22 16:33:00',null);
INSERT INTO complaint_statuses VALUES('14638','4385','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-22 13:30:23','2021-02-22 13:30:23',null);
INSERT INTO complaint_statuses VALUES('14639','4277','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-22 13:33:39','2021-02-22 16:33:25',null);
INSERT INTO complaint_statuses VALUES('14640','4439','3',null,'65',null,'22-FEB-2021
COM NO 192121005','92','92','2021-02-22 13:45:59','2021-02-22 13:51:44',null);
INSERT INTO complaint_statuses VALUES('14641','4275','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-22 13:55:51','2021-02-22 16:34:05',null);
INSERT INTO complaint_statuses VALUES('14642','4440','2',null,'81',null,'22-FEB-2021
COM FF TO USMAN SIR','92','92','2021-02-22 14:19:37','2021-02-22 14:19:37',null);
INSERT INTO complaint_statuses VALUES('14643','4441','3',null,'55',null,'22-FEB-2021
COM NO 730429','92','92','2021-02-22 14:35:03','2021-02-22 16:24:23',null);
INSERT INTO complaint_statuses VALUES('14644','4368','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-22 14:35:46','2021-02-22 14:35:46',null);
INSERT INTO complaint_statuses VALUES('14645','4442','2',null,'81',null,'22-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-22 14:59:23','2021-02-22 14:59:23',null);
INSERT INTO complaint_statuses VALUES('14646','4370','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-22 15:20:27','2021-02-22 15:20:27',null);
INSERT INTO complaint_statuses VALUES('14647','4443','3',null,'53',null,'22-FEB-2021
COM NO 301090601','92','92','2021-02-22 15:22:00','2021-02-22 15:25:24',null);
INSERT INTO complaint_statuses VALUES('14648','4362','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-22 15:26:35','2021-02-22 15:26:35',null);
INSERT INTO complaint_statuses VALUES('14649','3567','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-22 15:32:30','2021-02-22 15:32:30',null);
INSERT INTO complaint_statuses VALUES('14650','4345','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-22 15:37:38','2021-02-22 15:37:38',null);
INSERT INTO complaint_statuses VALUES('14651','4340','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-02-22 15:42:02','2021-02-22 15:42:02',null);
INSERT INTO complaint_statuses VALUES('14652','4444','2',null,'81',null,'22-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-22 15:56:45','2021-02-22 15:56:45',null);
INSERT INTO complaint_statuses VALUES('14653','4445','3',null,'53',null,'22-FEB-2021
COM NO 301090638','92','92','2021-02-22 16:10:29','2021-02-23 11:04:55',null);
INSERT INTO complaint_statuses VALUES('14654','4446','3',null,'54',null,'22-FEB-2021
COM NO 1819422','92','92','2021-02-22 16:28:23','2021-02-22 16:32:04',null);
INSERT INTO complaint_statuses VALUES('14655','3654','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-22 16:29:38','2021-02-22 16:29:38',null);
INSERT INTO complaint_statuses VALUES('14656','4324','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-22 16:35:57','2021-02-22 16:35:57',null);
INSERT INTO complaint_statuses VALUES('14657','4447','2',null,'81',null,'22-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-22 16:45:32','2021-02-22 16:45:32',null);
INSERT INTO complaint_statuses VALUES('14658','4448','2',null,'81',null,'22-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-22 16:54:15','2021-02-22 16:54:15',null);
INSERT INTO complaint_statuses VALUES('14659','4243','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-22 16:56:49','2021-02-22 16:56:49',null);
INSERT INTO complaint_statuses VALUES('14660','4377','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-22 16:59:21','2021-02-22 16:59:21',null);
INSERT INTO complaint_statuses VALUES('14661','4449','3',null,'52',null,'22-FEB-2021
COM NO PKRI-210225102007','92','92','2021-02-22 17:02:20','2021-02-25 10:52:44',null);
INSERT INTO complaint_statuses VALUES('14662','4307','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-22 17:04:31','2021-02-22 17:04:31',null);
INSERT INTO complaint_statuses VALUES('14663','4450','3',null,'52',null,'22-FEB-2021
COM NO PKRI-210225101977','92','92','2021-02-22 17:06:58','2021-02-25 10:51:24',null);
INSERT INTO complaint_statuses VALUES('14664','3745','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-22 17:11:07','2021-02-22 17:11:07',null);
INSERT INTO complaint_statuses VALUES('14665','4437','7','22','81','COMP',null,'87','87','2021-02-22 17:11:15','2021-02-22 17:11:15',null);
INSERT INTO complaint_statuses VALUES('14666','4451','2',null,'81',null,'22-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-22 17:33:17','2021-02-22 17:33:17',null);
INSERT INTO complaint_statuses VALUES('14667','4452','2',null,'81',null,'22-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-22 17:37:44','2021-02-22 17:37:44',null);
INSERT INTO complaint_statuses VALUES('14668','4453','2',null,'81',null,'22-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-22 17:45:30','2021-02-22 17:45:30',null);
INSERT INTO complaint_statuses VALUES('14669','4454','2',null,'81',null,'22-FEB-2021
COM FF TO NADEEM AZHAR','92','92','2021-02-22 17:52:23','2021-02-22 17:52:23',null);
INSERT INTO complaint_statuses VALUES('14670','4364','7','12','81','Service',null,'76','76','2021-02-22 18:01:24','2021-02-22 18:01:24',null);
INSERT INTO complaint_statuses VALUES('14671','4440','4',null,'61',null,null,'81','81','2021-02-22 18:03:01','2021-02-22 18:03:01',null);
INSERT INTO complaint_statuses VALUES('14672','4440','4',null,'61',null,null,'81','81','2021-02-22 18:03:02','2021-02-22 18:03:02',null);
INSERT INTO complaint_statuses VALUES('14673','4442','4',null,'63',null,null,'81','81','2021-02-22 18:03:13','2021-02-22 18:03:13',null);
INSERT INTO complaint_statuses VALUES('14674','4444','4',null,'58',null,null,'81','81','2021-02-22 18:03:31','2021-02-22 18:03:31',null);
INSERT INTO complaint_statuses VALUES('14675','4447','4',null,'63',null,null,'81','81','2021-02-22 18:03:42','2021-02-22 18:03:42',null);
INSERT INTO complaint_statuses VALUES('14676','4448','4',null,'63',null,null,'81','81','2021-02-22 18:03:50','2021-02-22 18:03:50',null);
INSERT INTO complaint_statuses VALUES('14677','4451','4',null,'58',null,null,'81','81','2021-02-22 18:04:02','2021-02-22 18:04:02',null);
INSERT INTO complaint_statuses VALUES('14678','4452','4',null,'58',null,null,'81','81','2021-02-22 18:04:30','2021-02-22 18:04:30',null);
INSERT INTO complaint_statuses VALUES('14679','4453','4',null,'58',null,null,'81','81','2021-02-22 18:04:42','2021-02-22 18:04:42',null);
INSERT INTO complaint_statuses VALUES('14680','4454','4',null,'59',null,null,'81','81','2021-02-22 18:04:52','2021-02-22 18:04:52',null);
INSERT INTO complaint_statuses VALUES('14681','4196','7','12','81','Gasket Adjustment.please confirm to the customer , agar abhi b issue solved nai hua to gasket replace krni pray gi.',null,'76','76','2021-02-22 18:26:29','2021-02-22 18:26:29',null);
INSERT INTO complaint_statuses VALUES('14682','4354','7','24','81','Complaint has been forward to the Lahore HO.',null,'76','76','2021-02-22 18:27:38','2021-02-22 18:27:38',null);
INSERT INTO complaint_statuses VALUES('14683','4300','7','12','81','Service',null,'76','76','2021-02-22 18:28:07','2021-02-22 18:28:07',null);
INSERT INTO complaint_statuses VALUES('14684','4039','7','26','81','Please confirm to the customer , he will drop it , or he want visit .',null,'76','76','2021-02-22 18:31:01','2021-02-22 18:31:01',null);
INSERT INTO complaint_statuses VALUES('14685','2767','7','12','81','Part Price is 23500 without labor charges.',null,'76','76','2021-02-22 18:33:17','2021-02-22 18:33:17',null);
INSERT INTO complaint_statuses VALUES('14686','1095','7','24','81','Please confirm who will pay  part replacement charges, so that job can be complete.',null,'76','76','2021-02-22 18:34:50','2021-02-22 18:34:50',null);
INSERT INTO complaint_statuses VALUES('14687','4405','7','12','81','COONO KA GZR THA COMPLINT RESOLVED',null,'79','79','2021-02-22 19:05:30','2021-02-22 19:05:30',null);
INSERT INTO complaint_statuses VALUES('14688','4325','7','12','81','Bearings and Seal Replaced.',null,'76','76','2021-02-22 19:06:23','2021-02-22 19:06:23',null);
INSERT INTO complaint_statuses VALUES('14689','4397','7','24','81','CHOCKING ISSUE',null,'79','79','2021-02-22 19:47:48','2021-02-22 19:47:48',null);
INSERT INTO complaint_statuses VALUES('14690','4333','7','24','81','Machin ki pcb dead ho gai hy adil bhai keh rahy stock main new nhi hy ham ny reppering ky lye bheji hy',null,'82','82','2021-02-23 10:35:31','2021-02-23 10:35:31',null);
INSERT INTO complaint_statuses VALUES('14691','4193','7','24','81','Jis bhai ny gezar lana hy wo shadi py gy hy wapsi py workshop delver kry gy',null,'82','82','2021-02-23 10:56:02','2021-02-23 10:56:02',null);
INSERT INTO complaint_statuses VALUES('14692','4405','5','15',null,'completed complaint','COMPLAINT RESOLVED','81','92','2021-02-23 11:03:35','2021-02-23 12:05:24',null);
INSERT INTO complaint_statuses VALUES('14693','4364','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-23 11:10:10','2021-02-23 12:05:49',null);
INSERT INTO complaint_statuses VALUES('14694','4458','2',null,'81',null,'23-FEB-2021
COM NO PK022320210034','92','92','2021-02-23 11:13:57','2021-02-23 13:48:07',null);
INSERT INTO complaint_statuses VALUES('14695','4458','4',null,'64',null,null,'81','81','2021-02-23 11:14:20','2021-02-23 11:14:20',null);
INSERT INTO complaint_statuses VALUES('14696','4407','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-23 11:32:46','2021-02-23 11:32:46',null);
INSERT INTO complaint_statuses VALUES('14697','4459','2',null,'81',null,'23-FEB-2021
COM FF TO AZHAR FCI','92','92','2021-02-23 11:35:21','2021-02-23 11:35:21',null);
INSERT INTO complaint_statuses VALUES('14698','4459','4',null,'60',null,null,'81','81','2021-02-23 11:36:06','2021-02-23 11:36:06',null);
INSERT INTO complaint_statuses VALUES('14699','4325','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-23 11:37:13','2021-02-23 12:06:27',null);
INSERT INTO complaint_statuses VALUES('14700','4460','3',null,'53',null,'23-FEB-2021
COM NO 301090778','92','92','2021-02-23 11:43:27','2021-02-23 11:46:27',null);
INSERT INTO complaint_statuses VALUES('14701','4395','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-23 11:48:21','2021-02-23 11:48:21',null);
INSERT INTO complaint_statuses VALUES('14702','4300','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-23 11:51:37','2021-02-23 12:06:48',null);
INSERT INTO complaint_statuses VALUES('14703','3804','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-02-23 11:53:38','2021-02-23 11:53:38',null);
INSERT INTO complaint_statuses VALUES('14704','3765','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-02-23 11:54:34','2021-02-23 11:54:34',null);
INSERT INTO complaint_statuses VALUES('14705','4144','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-23 11:58:12','2021-02-23 11:58:12',null);
INSERT INTO complaint_statuses VALUES('14706','4461','2',null,'81',null,'23-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-23 12:01:03','2021-02-23 12:01:03',null);
INSERT INTO complaint_statuses VALUES('14707','4397','8','23','58',null,null,'81','81','2021-02-23 12:02:58','2021-02-23 12:02:58',null);
INSERT INTO complaint_statuses VALUES('14708','4196','8','23','55','CUSTOMER KA ISSUE RESOLVED NAI HOA HAIN .
GASS KET REPLACE KI APPROVAL DA DI  HAIN  EXP BATA DAY',null,'81','81','2021-02-23 12:03:30','2021-02-23 12:03:30',null);
INSERT INTO complaint_statuses VALUES('14709','3765','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-23 12:03:58','2021-02-23 12:08:02',null);
INSERT INTO complaint_statuses VALUES('14710','3804','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-23 12:04:20','2021-02-23 12:07:41',null);
INSERT INTO complaint_statuses VALUES('14711','4354','8','23','55','please complete this job quikcly',null,'81','81','2021-02-23 12:04:54','2021-02-23 12:04:54',null);
INSERT INTO complaint_statuses VALUES('14712','4039','8','23','55','CUSTOMER SATURDAY KO MOVE KARWAY GAY S/C KA NO B PROVIDE KAR DIA',null,'81','81','2021-02-23 12:06:50','2021-02-23 12:06:50',null);
INSERT INTO complaint_statuses VALUES('14713','1095','8','23','55','YHA PAYMENT CUSUTOMER PAY KARAY GAY CUSTOMER KO CALL KAR K 9000 EXP BATA DAY',null,'81','81','2021-02-23 12:09:59','2021-02-23 12:09:59',null);
INSERT INTO complaint_statuses VALUES('14714','4462','3',null,'65',null,'23-FEB-2021
COM NO 192121024','92','92','2021-02-23 12:10:34','2021-02-23 13:14:05',null);
INSERT INTO complaint_statuses VALUES('14715','3748','8','23','60','IN WARRANTY UNIT HY . PLEASE COMPLETE THIS JOB QUICKLY',null,'81','81','2021-02-23 12:11:39','2021-02-23 12:11:39',null);
INSERT INTO complaint_statuses VALUES('14716','4193','8','23','60',null,null,'81','81','2021-02-23 12:15:01','2021-02-23 12:15:01',null);
INSERT INTO complaint_statuses VALUES('14717','4437','8','23','62',null,null,'81','81','2021-02-23 12:19:17','2021-02-23 12:19:17',null);
INSERT INTO complaint_statuses VALUES('14718','4463','3',null,'54',null,'23-FEB-2021
COM NO 1819962','92','92','2021-02-23 12:20:08','2021-02-23 14:16:48',null);
INSERT INTO complaint_statuses VALUES('14719','4175','5','15',null,'CUSTOMER NA LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA LIYA','COMPLAINT RESOLVED','81','92','2021-02-23 12:20:15','2021-02-23 13:15:57',null);
INSERT INTO complaint_statuses VALUES('14720','4333','8','23','60',null,null,'81','81','2021-02-23 12:20:52','2021-02-23 12:20:52',null);
INSERT INTO complaint_statuses VALUES('14721','4244','8','23','55','I-10 SY LY LEN','COMPRESSOR I 10 SA LA K GAY HAIN  AJ LG S/C WALAY','81','74','2021-02-23 12:23:33','2021-02-23 17:20:26',null);
INSERT INTO complaint_statuses VALUES('14722','4465','2',null,'81',null,'23-FEB-2021
FF TO ANEEQ 
COM NO#3553','74','74','2021-02-23 12:26:08','2021-02-23 12:26:08',null);
INSERT INTO complaint_statuses VALUES('14723','4466','2',null,'81',null,'23-FEB-2021
FF TO ANEEQ 
COM NO#3553','74','74','2021-02-23 12:26:08','2021-02-23 12:26:08',null);
INSERT INTO complaint_statuses VALUES('14724','4466','4',null,'64',null,null,'81','81','2021-02-23 12:29:15','2021-02-23 12:29:15',null);
INSERT INTO complaint_statuses VALUES('14725','4466','7','12','81','DABAL COMPLAINT ENTER',null,'91','91','2021-02-23 12:29:48','2021-02-23 12:29:48',null);
INSERT INTO complaint_statuses VALUES('14726','4465','4',null,'64',null,null,'81','81','2021-02-23 12:32:50','2021-02-23 12:32:50',null);
INSERT INTO complaint_statuses VALUES('14727','4466','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-23 12:33:16','2021-02-23 13:16:21',null);
INSERT INTO complaint_statuses VALUES('14728','3865','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-23 12:33:35','2021-02-23 12:33:35',null);
INSERT INTO complaint_statuses VALUES('14729','4391','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-02-23 12:36:44','2021-02-23 12:36:44',null);
INSERT INTO complaint_statuses VALUES('14730','4468','3',null,'52',null,'23-FEB-2021
COM NO PKRI-210222101354','92','92','2021-02-23 12:45:14','2021-02-23 12:45:14',null);
INSERT INTO complaint_statuses VALUES('14731','4469','3',null,'52',null,'23-FEB-2021
COM NO PKRI-210223105008','92','92','2021-02-23 12:53:00','2021-02-23 12:53:00',null);
INSERT INTO complaint_statuses VALUES('14732','4280','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-23 13:10:10','2021-02-23 13:10:10',null);
INSERT INTO complaint_statuses VALUES('14733','4378','7','12','81','compliant reoslved,door  swtich issue',null,'79','79','2021-02-23 13:12:54','2021-02-23 13:12:54',null);
INSERT INTO complaint_statuses VALUES('14734','4470','3',null,'54',null,'23-FEB-2021
COM NO 1819966','92','92','2021-02-23 13:22:43','2021-02-23 14:19:28',null);
INSERT INTO complaint_statuses VALUES('14735','4471','3',null,'52',null,'23-FEB-2021
COM NO PKRI-210223106503','92','92','2021-02-23 13:41:31','2021-02-23 14:12:56',null);
INSERT INTO complaint_statuses VALUES('14736','4455','2',null,'81',null,null,'92','92','2021-02-23 13:43:50','2021-02-23 13:43:50',null);
INSERT INTO complaint_statuses VALUES('14737','4472','2',null,'81',null,'23-FEB-2021
FF TO BEST COOL','74','92','2021-02-23 13:43:54','2021-02-23 13:49:36',null);
INSERT INTO complaint_statuses VALUES('14738','4456','2',null,'81',null,null,'92','92','2021-02-23 13:43:58','2021-02-23 13:43:58',null);
INSERT INTO complaint_statuses VALUES('14739','4457','2',null,'81',null,null,'92','92','2021-02-23 13:44:05','2021-02-23 13:44:05',null);
INSERT INTO complaint_statuses VALUES('14740','4455','4',null,'64',null,null,'81','81','2021-02-23 13:44:28','2021-02-23 13:44:28',null);
INSERT INTO complaint_statuses VALUES('14741','4456','4',null,'64',null,null,'81','81','2021-02-23 13:44:36','2021-02-23 13:44:36',null);
INSERT INTO complaint_statuses VALUES('14742','4472','4',null,'58',null,null,'81','81','2021-02-23 13:44:42','2021-02-23 13:44:42',null);
INSERT INTO complaint_statuses VALUES('14743','4457','4',null,'64',null,null,'81','81','2021-02-23 13:44:45','2021-02-23 13:44:45',null);
INSERT INTO complaint_statuses VALUES('14744','4461','4',null,'63',null,null,'81','81','2021-02-23 13:45:11','2021-02-23 13:45:11',null);
INSERT INTO complaint_statuses VALUES('14745','4473','2',null,'81',null,'23-FEB-2021
FF TO USMAN MRM','74','74','2021-02-23 13:54:17','2021-02-23 13:54:17',null);
INSERT INTO complaint_statuses VALUES('14746','4473','4',null,'61',null,'03009181291','81','92','2021-02-23 13:54:35','2021-05-11 15:39:32',null);
INSERT INTO complaint_statuses VALUES('14747','4474','2',null,'81',null,'23-FEB-2021
FF TO AZHAR FCI','74','74','2021-02-23 14:21:15','2021-02-23 14:21:15',null);
INSERT INTO complaint_statuses VALUES('14748','4464','2',null,'81',null,null,'92','92','2021-02-23 14:22:54','2021-02-23 14:22:54',null);
INSERT INTO complaint_statuses VALUES('14749','4464','4',null,'64',null,null,'81','81','2021-02-23 14:23:20','2021-02-23 14:23:20',null);
INSERT INTO complaint_statuses VALUES('14750','4474','4',null,'60',null,null,'81','81','2021-02-23 14:23:40','2021-02-23 14:23:40',null);
INSERT INTO complaint_statuses VALUES('14751','4474','4',null,'60',null,null,'81','81','2021-02-23 14:25:47','2021-02-23 14:25:47',null);
INSERT INTO complaint_statuses VALUES('14752','4475','2',null,'81',null,'23-FEB-2021
COM FF TO AZHAR FCI','92','92','2021-02-23 14:42:30','2021-02-23 14:42:30',null);
INSERT INTO complaint_statuses VALUES('14753','4475','4',null,'60',null,null,'81','81','2021-02-23 14:43:34','2021-02-23 14:43:34',null);
INSERT INTO complaint_statuses VALUES('14754','4476','2',null,'81',null,'23-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-23 14:58:22','2021-02-23 14:58:22',null);
INSERT INTO complaint_statuses VALUES('14755','4476','4',null,'58',null,null,'81','81','2021-02-23 14:59:26','2021-02-23 14:59:26',null);
INSERT INTO complaint_statuses VALUES('14756','4477','3',null,'52',null,'23-FEB-2021
COM NO PKRI-210223107775','92','92','2021-02-23 15:22:30','2021-02-23 15:27:05',null);
INSERT INTO complaint_statuses VALUES('14757','4328','7','12','81','WRONG VENDOR SELECT HO GAYA THA COMPLAINT CLOSED',null,'88','88','2021-02-23 15:29:31','2021-02-23 15:29:31',null);
INSERT INTO complaint_statuses VALUES('14758','4378','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-23 15:31:33','2021-02-23 17:12:38',null);
INSERT INTO complaint_statuses VALUES('14759','4328','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-23 15:32:31','2021-02-23 17:13:00',null);
INSERT INTO complaint_statuses VALUES('14760','4467','2',null,'81',null,null,'92','92','2021-02-23 15:42:35','2021-02-23 15:42:35',null);
INSERT INTO complaint_statuses VALUES('14761','4467','4',null,'64',null,null,'81','81','2021-02-23 15:42:52','2021-02-23 15:42:52',null);
INSERT INTO complaint_statuses VALUES('14762','4453','7','12','81','motor issue .complaint resolved',null,'79','79','2021-02-23 15:58:00','2021-02-23 15:58:00',null);
INSERT INTO complaint_statuses VALUES('14763','4452','7','12','81','compliant resolved .drain issue',null,'79','79','2021-02-23 16:01:29','2021-02-23 16:01:29',null);
INSERT INTO complaint_statuses VALUES('14764','4444','7','9','81','visit  on Thursday',null,'79','79','2021-02-23 16:02:09','2021-02-23 16:02:09',null);
INSERT INTO complaint_statuses VALUES('14765','4435','7','22','81','inlet coil issue .chage kerni hai',null,'79','79','2021-02-23 16:02:51','2021-02-23 16:02:51',null);
INSERT INTO complaint_statuses VALUES('14766','3561','7','12','81','set ok',null,'80','80','2021-02-23 16:03:56','2021-02-23 16:03:56',null);
INSERT INTO complaint_statuses VALUES('14767','3584','7','10','81','customer call not attend',null,'80','80','2021-02-23 16:05:55','2021-02-23 16:05:55',null);
INSERT INTO complaint_statuses VALUES('14768','3776','7','12','81','set ok',null,'80','80','2021-02-23 16:06:31','2021-02-23 16:06:31',null);
INSERT INTO complaint_statuses VALUES('14769','3747','7','26','81','customer call atend ni kr rha',null,'80','80','2021-02-23 16:11:15','2021-02-23 16:11:15',null);
INSERT INTO complaint_statuses VALUES('14770','4155','7','26','81','customer set S/C ni la rha',null,'80','80','2021-02-23 16:12:51','2021-02-23 16:12:51',null);
INSERT INTO complaint_statuses VALUES('14771','4230','7','26','81','customer Set S/c ni la rha',null,'80','80','2021-02-23 16:13:43','2021-02-23 16:13:43',null);
INSERT INTO complaint_statuses VALUES('14772','4453','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-23 16:16:45','2021-02-23 16:17:17',null);
INSERT INTO complaint_statuses VALUES('14773','4452','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-23 16:18:17','2021-02-23 16:19:54',null);
INSERT INTO complaint_statuses VALUES('14774','4444','8','23','58','0337 WALAY NO PA BAT HO GEI HAIN INFORMED KAR DIA VISIT THURSDAY KO HO GA',null,'81','81','2021-02-23 16:23:25','2021-02-23 16:23:25',null);
INSERT INTO complaint_statuses VALUES('14775','4230','5','15',null,'CUSTOMER NOT ATTEND MY CALL COMPLAINT CUSTOMER KI SIDE SA DELAY HAIN','COMPLAINT RESOLVED','81','92','2021-02-23 16:26:48','2021-02-23 17:15:12',null);
INSERT INTO complaint_statuses VALUES('14776','4478','3',null,'52',null,'23-FEB-2021
COM NO PKRI-210223108916','92','92','2021-02-23 16:32:16','2021-02-23 16:32:16',null);
INSERT INTO complaint_statuses VALUES('14777','3776','8','23','59','CUSTOMER ISSUE GHR PA RESOLVE KARAY',null,'81','81','2021-02-23 16:34:04','2021-02-23 16:34:04',null);
INSERT INTO complaint_statuses VALUES('14778','4155','8','23','59','CUSTOMER ISSUE GHR PA RESOLVE KARAY','COMPLAINT CLOSED','81','74','2021-02-23 16:34:29','2021-04-27 13:29:39',null);
INSERT INTO complaint_statuses VALUES('14779','3776','7','12','81','set ok panel repair',null,'80','80','2021-02-23 16:35:13','2021-02-23 16:35:13',null);
INSERT INTO complaint_statuses VALUES('14780','3747','5','15',null,'CUSTOMER KA NO STILL P/OFF HAIN & COMPLAINT B CUSTOMER KI SIDE SA DELAY','COMPLAINT RESOLVED','81','92','2021-02-23 16:36:35','2021-02-23 17:14:33',null);
INSERT INTO complaint_statuses VALUES('14781','3776','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-23 16:37:42','2021-02-23 17:13:47',null);
INSERT INTO complaint_statuses VALUES('14782','3561','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-23 16:43:37','2021-02-23 17:16:53',null);
INSERT INTO complaint_statuses VALUES('14783','3413','7','26','81','set S/C ni aya',null,'80','80','2021-02-23 16:47:02','2021-02-23 16:47:02',null);
INSERT INTO complaint_statuses VALUES('14784','2959','7','22','81','please confirm if part available now.',null,'76','76','2021-02-23 16:49:40','2021-02-23 16:49:40',null);
INSERT INTO complaint_statuses VALUES('14785','3119','7','26','81','top cover not available.',null,'76','76','2021-02-23 16:51:28','2021-02-23 16:51:28',null);
INSERT INTO complaint_statuses VALUES('14786','3154','7','12','81','issue solved',null,'76','76','2021-02-23 16:52:53','2021-02-23 16:52:53',null);
INSERT INTO complaint_statuses VALUES('14787','3287','7','26','81','Model not register.',null,'76','76','2021-02-23 16:53:57','2021-02-23 16:53:57',null);
INSERT INTO complaint_statuses VALUES('14788','3316','7','26','81','Not Receive in SVC till Date',null,'76','76','2021-02-23 16:54:55','2021-02-23 16:54:55',null);
INSERT INTO complaint_statuses VALUES('14789','3721','7','26','81','Model Not Register.',null,'76','76','2021-02-23 16:56:02','2021-02-23 16:56:02',null);
INSERT INTO complaint_statuses VALUES('14790','3836','7','26','81','Model Not Register.',null,'76','76','2021-02-23 16:56:46','2021-02-23 16:56:46',null);
INSERT INTO complaint_statuses VALUES('14791','3413','5','15',null,'CUSTOMER KA NO STILL P/OFF COMPLAINT CUSTOMER KI SIDE SA DELY','COMPLAINT RESOLVED','81','92','2021-02-23 17:04:51','2021-02-23 17:18:54',null);
INSERT INTO complaint_statuses VALUES('14792','3584','5','15',null,'COMPLAINT CUSTOMER KI SIDE SA DELAY HAIN SET CUSTOMER NA KHUD S/C MOVE KARWANA HAIN','COMPLAINT RESOLVED','81','92','2021-02-23 17:06:30','2021-02-23 17:16:03',null);
INSERT INTO complaint_statuses VALUES('14793','4476','7','24','81','chcking issue refer t service center',null,'79','79','2021-02-23 17:10:13','2021-02-23 17:10:13',null);
INSERT INTO complaint_statuses VALUES('14794','2411','5','15',null,'DOOR DAMPER NOT AVAIL STOCK(EXP 6000)','COMPLAINT RESOLVED','81','92','2021-02-23 17:38:21','2021-02-23 17:42:06',null);
INSERT INTO complaint_statuses VALUES('14795','2959','5','15',null,'BOX CUSTOMER KO KHURAM SIR NA BAJWA DIA THA COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-02-23 17:40:34','2021-02-23 17:42:41',null);
INSERT INTO complaint_statuses VALUES('14796','3119','5','15',null,'COMPLETED COMPLAINT PARTS AVAIL NAI(FULL PCB PANAL KI EXP 25000)','COMPLAINT RESOLVED','81','92','2021-02-23 17:43:07','2021-02-23 17:50:54',null);
INSERT INTO complaint_statuses VALUES('14797','3154','5','15',null,'COMPLETED COMPLAINT (SHELF STOCK MAIN AVAIL NAI)','COMPLAINT RESOLVED','81','92','2021-02-23 17:45:12','2021-02-23 17:51:25',null);
INSERT INTO complaint_statuses VALUES('14798','3287','5','15',null,'NOT AVAIL PARTS COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-02-23 17:46:48','2021-02-23 17:51:51',null);
INSERT INTO complaint_statuses VALUES('14799','4479','2',null,'81',null,'23-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-23 17:47:26','2021-02-23 17:47:26',null);
INSERT INTO complaint_statuses VALUES('14800','3721','5','15',null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-02-23 17:48:22','2021-02-23 17:50:08',null);
INSERT INTO complaint_statuses VALUES('14801','4479','4',null,'55',null,null,'81','81','2021-02-23 17:48:34','2021-02-23 17:48:34',null);
INSERT INTO complaint_statuses VALUES('14802','3836','5','15',null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-02-23 17:49:21','2021-02-23 17:49:36',null);
INSERT INTO complaint_statuses VALUES('14803','3316','5','15',null,'ATIF SAB SA BAT KAR K COMPLAINT CLOSED KI 
ODE TIT HO RAHA','COMPLAINT RESOLVED','81','92','2021-02-23 17:52:42','2021-02-23 17:55:33',null);
INSERT INTO complaint_statuses VALUES('14804','2767','8','23','55','IN KI AGAIN COMPLAINT AAGEI HAIN KINDLY CUSTOMER SA AGAIN CONTACT KARAY','OTHER NO LG KO PROVIDE KAR DIA 03127711169','81','74','2021-02-23 17:53:50','2021-02-26 15:00:19',null);
INSERT INTO complaint_statuses VALUES('14805','4332','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-23 17:58:50','2021-02-23 17:58:50',null);
INSERT INTO complaint_statuses VALUES('14806','4459','7','24','81','Weekind main attend krni hy',null,'82','82','2021-02-23 17:59:38','2021-02-23 17:59:38',null);
INSERT INTO complaint_statuses VALUES('14807','4475','7','24','81','Kal subha visit krna 11 bajy',null,'82','82','2021-02-23 18:00:06','2021-02-23 18:00:06',null);
INSERT INTO complaint_statuses VALUES('14808','4333','7','24','81','Card reppering ky lye bheja hy',null,'82','82','2021-02-23 18:00:35','2021-02-23 18:00:35',null);
INSERT INTO complaint_statuses VALUES('14809','3748','7','24','81','Custmer next week btay gy',null,'82','82','2021-02-23 18:01:25','2021-02-23 18:01:25',null);
INSERT INTO complaint_statuses VALUES('14810','4454','7','12','81','extension board ka masla tha set ok hy',null,'80','80','2021-02-23 18:23:19','2021-02-23 18:23:19',null);
INSERT INTO complaint_statuses VALUES('14811','4480','2',null,'81',null,'24-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-24 10:59:15','2021-02-24 10:59:15',null);
INSERT INTO complaint_statuses VALUES('14812','4454','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-24 11:02:43','2021-02-24 11:17:44',null);
INSERT INTO complaint_statuses VALUES('14813','4427','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-24 11:05:38','2021-02-24 11:05:38',null);
INSERT INTO complaint_statuses VALUES('14814','4424','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-02-24 11:11:03','2021-02-24 11:11:03',null);
INSERT INTO complaint_statuses VALUES('14815','4424','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-24 11:13:07','2021-02-24 11:18:17',null);
INSERT INTO complaint_statuses VALUES('14816','4423','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-24 11:15:13','2021-02-24 11:15:13',null);
INSERT INTO complaint_statuses VALUES('14817','4481','2',null,'81',null,'24-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-24 11:16:30','2021-02-24 11:16:30',null);
INSERT INTO complaint_statuses VALUES('14818','4422','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','92','2021-02-24 11:17:06','2021-02-24 11:18:43',null);
INSERT INTO complaint_statuses VALUES('14819','4480','4',null,'63',null,null,'81','81','2021-02-24 11:19:23','2021-02-24 11:19:23',null);
INSERT INTO complaint_statuses VALUES('14820','4481','4',null,'58',null,null,'81','81','2021-02-24 11:19:34','2021-02-24 11:19:34',null);
INSERT INTO complaint_statuses VALUES('14821','4482','2',null,'81',null,'24-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-24 11:43:51','2021-02-24 11:44:19',null);
INSERT INTO complaint_statuses VALUES('14822','4483','2',null,'81',null,'24-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-24 11:47:53','2021-02-24 11:47:53',null);
INSERT INTO complaint_statuses VALUES('14823','4482','4',null,'58',null,null,'81','81','2021-02-24 11:54:34','2021-02-24 11:54:34',null);
INSERT INTO complaint_statuses VALUES('14824','4483','4',null,'58',null,null,'81','81','2021-02-24 11:54:45','2021-02-24 11:54:45',null);
INSERT INTO complaint_statuses VALUES('14825','4150','7','24','81','Not attending call. Before he told he will bring unit to service center',null,'77','77','2021-02-24 12:02:04','2021-02-24 12:02:04',null);
INSERT INTO complaint_statuses VALUES('14826','4148','7','12','81','No issue...need rest update on telephone',null,'77','77','2021-02-24 12:05:37','2021-02-24 12:05:37',null);
INSERT INTO complaint_statuses VALUES('14827','4484','3',null,'57',null,'24-FEB-2021
COM NO 16802','92','92','2021-02-24 12:09:09','2021-02-24 12:11:31',null);
INSERT INTO complaint_statuses VALUES('14828','4046','7','24','81','Customer will bring unit to service center. But now he is not attending call',null,'77','77','2021-02-24 12:11:59','2021-02-24 12:11:59',null);
INSERT INTO complaint_statuses VALUES('14829','3808','7','12','81',null,null,'91','91','2021-02-24 12:12:27','2021-02-24 12:12:27',null);
INSERT INTO complaint_statuses VALUES('14830','4099','7','12','81',null,null,'91','91','2021-02-24 12:13:33','2021-02-24 12:13:33',null);
INSERT INTO complaint_statuses VALUES('14831','4293','7','12','81',null,null,'91','91','2021-02-24 12:14:24','2021-02-24 12:14:24',null);
INSERT INTO complaint_statuses VALUES('14832','3996','7','9','81','Not attending call. If contact will bring unit to service center',null,'77','77','2021-02-24 12:15:37','2021-02-24 12:15:37',null);
INSERT INTO complaint_statuses VALUES('14833','4413','7','12','81',null,null,'91','91','2021-02-24 12:15:48','2021-02-24 12:15:48',null);
INSERT INTO complaint_statuses VALUES('14834','3995','7','9','81','Paid job not attending all closed the job',null,'77','77','2021-02-24 12:17:18','2021-02-24 12:17:18',null);
INSERT INTO complaint_statuses VALUES('14835','3992','7','24','81','Part order',null,'77','77','2021-02-24 12:17:49','2021-02-24 12:17:49',null);
INSERT INTO complaint_statuses VALUES('14836','3925','7','24','81','Unit not receive',null,'77','77','2021-02-24 12:18:24','2021-02-24 12:18:24',null);
INSERT INTO complaint_statuses VALUES('14837','3808','5','15',null,'PURCHASED RENTED   KAR DI ASLAM SIR NA GRN B HO GEI','COMPLAINT RESOLVED','81','92','2021-02-24 12:27:03','2021-02-24 12:47:56',null);
INSERT INTO complaint_statuses VALUES('14838','4451','7','12','81','guid kr dya hai complaint resolved',null,'79','79','2021-02-24 12:40:10','2021-02-24 12:40:10',null);
INSERT INTO complaint_statuses VALUES('14839','4485','3',null,'52',null,'24-FEB-2021
COM NO PKRI-210224104736','92','92','2021-02-24 12:40:22','2021-02-24 12:45:38',null);
INSERT INTO complaint_statuses VALUES('14840','4429','7','12','81','Filter Service',null,'76','76','2021-02-24 12:40:32','2021-02-24 12:40:32',null);
INSERT INTO complaint_statuses VALUES('14841','3995','5','15',null,'CUSTOMER STILL NOT ATTEND CALL COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-02-24 12:47:09','2021-02-24 12:52:20',null);
INSERT INTO complaint_statuses VALUES('14842','3996','5','15',null,'CUSTOMER STILL NOT ATTEND CALL','COMPLAINT RESOLVED','81','92','2021-02-24 13:07:21','2021-02-24 13:26:25',null);
INSERT INTO complaint_statuses VALUES('14843','4099','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-24 13:08:15','2021-02-24 13:26:48',null);
INSERT INTO complaint_statuses VALUES('14844','4486','3',null,'52',null,'24-FEB-2021
COM NO PKRI-210224105381','92','92','2021-02-24 13:10:33','2021-02-24 13:11:48',null);
INSERT INTO complaint_statuses VALUES('14845','4148','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-24 13:12:58','2021-02-24 13:27:20',null);
INSERT INTO complaint_statuses VALUES('14846','4293','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-24 13:14:02','2021-02-24 13:24:50',null);
INSERT INTO complaint_statuses VALUES('14847','4413','5','15',null,'COMPLETED COMPAINT','COMPLAINT RESOLVED','81','92','2021-02-24 13:15:00','2021-02-24 13:24:26',null);
INSERT INTO complaint_statuses VALUES('14848','4429','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-24 13:19:32','2021-02-24 13:23:55',null);
INSERT INTO complaint_statuses VALUES('14849','4451','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-24 13:26:02','2021-02-24 13:28:28',null);
INSERT INTO complaint_statuses VALUES('14850','3725','7','12','81','CUSTOMER STILL CALL ATTEND NAI KAR RAHAY HAIN COMPETED COMPLAINT',null,'88','88','2021-02-24 13:37:06','2021-02-24 13:37:06',null);
INSERT INTO complaint_statuses VALUES('14851','4487','3',null,'55',null,'24-FEB-2021
COM NO 731204','92','92','2021-02-24 13:40:17','2021-02-24 13:43:15',null);
INSERT INTO complaint_statuses VALUES('14852','3784','7','12','81','COMPLAINT CUSTOMER KI SIDE SA DELAY HAIN S/C MOVE KARWANA HAIN KHUD CUSTOMER NA 
CUSTOMER KO KHURRAM BHAI K NO B FF KAR DIA HAIN',null,'88','88','2021-02-24 13:44:41','2021-02-24 13:44:41',null);
INSERT INTO complaint_statuses VALUES('14853','4017','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-02-24 13:47:13','2021-02-24 13:47:13',null);
INSERT INTO complaint_statuses VALUES('14854','4017','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-24 13:47:47','2021-02-24 13:50:37',null);
INSERT INTO complaint_statuses VALUES('14855','3784','5','15',null,'COMPETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-24 13:48:25','2021-02-24 13:50:14',null);
INSERT INTO complaint_statuses VALUES('14856','3725','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-24 13:48:55','2021-02-24 13:49:39',null);
INSERT INTO complaint_statuses VALUES('14857','4476','8','23','58',null,'INVOICE ADIL BHAI KO SHER KAR  DI','81','74','2021-02-24 14:13:07','2021-02-25 11:03:26',null);
INSERT INTO complaint_statuses VALUES('14858','4488','3',null,'53',null,'24-FEB-2021
COM NO 301091503','92','92','2021-02-24 14:13:52','2021-02-24 14:21:56',null);
INSERT INTO complaint_statuses VALUES('14859','4475','8','23','60',null,null,'81','81','2021-02-24 14:14:05','2021-02-24 14:14:05',null);
INSERT INTO complaint_statuses VALUES('14860','4459','8','23','60',null,null,'81','81','2021-02-24 14:14:29','2021-02-24 14:14:29',null);
INSERT INTO complaint_statuses VALUES('14861','4435','8','23','58',null,null,'81','81','2021-02-24 14:14:49','2021-02-24 14:14:49',null);
INSERT INTO complaint_statuses VALUES('14862','4333','8','23','60',null,null,'81','81','2021-02-24 14:15:18','2021-02-24 14:15:18',null);
INSERT INTO complaint_statuses VALUES('14863','4188','7','12','81','CUSTOMER ABI GHR PA AVAIL NAI HAIN COMPLAINT ABI CANCEL KARWA DI THI',null,'88','88','2021-02-24 14:20:53','2021-02-24 14:20:53',null);
INSERT INTO complaint_statuses VALUES('14864','4188','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-24 14:23:04','2021-02-24 14:25:17',null);
INSERT INTO complaint_statuses VALUES('14865','4489','2',null,'81',null,'24-FEB-2021
COM FF TO AZHAR FCI','92','92','2021-02-24 14:42:46','2021-02-24 14:42:46',null);
INSERT INTO complaint_statuses VALUES('14866','4363','5',null,null,'COMPLAINT CLOSED','03379734056','74','74','2021-02-24 15:46:54','2021-03-22 15:37:13',null);
INSERT INTO complaint_statuses VALUES('14867','4489','4',null,'60',null,null,'81','81','2021-02-24 15:57:39','2021-02-24 15:57:39',null);
INSERT INTO complaint_statuses VALUES('14868','4482','7','24','81','cusotemr not paid  visit cahrges',null,'79','79','2021-02-24 16:00:37','2021-02-24 16:00:37',null);
INSERT INTO complaint_statuses VALUES('14869','3803','7','12','81','unit delivered .chochking issue by adil',null,'79','79','2021-02-24 16:05:36','2021-02-24 16:05:36',null);
INSERT INTO complaint_statuses VALUES('14870','4365','7','12','81','unit delivered .by adil',null,'79','79','2021-02-24 16:06:25','2021-02-24 16:06:25',null);
INSERT INTO complaint_statuses VALUES('14871','4490','2',null,'81',null,'24-FEB-2021
COM FF TO USMAN SIR','92','92','2021-02-24 16:08:42','2021-02-24 16:08:42',null);
INSERT INTO complaint_statuses VALUES('14872','4491','3',null,'53',null,'24-FEB-2021
COM NO 1091574','92','92','2021-02-24 16:13:32','2021-02-24 16:18:04',null);
INSERT INTO complaint_statuses VALUES('14873','4150','5','23',null,'COMPLAINT CUSTOMER KI SIDE SA DELAY HAIN 
DONO NO PA CAL KI BUT CUSTOMER NOT ATTEND MY CALL','COMPLAINT RESOLVED','81','92','2021-02-24 16:16:03','2021-02-24 16:20:48',null);
INSERT INTO complaint_statuses VALUES('14874','4490','4',null,'61',null,null,'81','81','2021-02-24 16:18:32','2021-02-24 16:18:32',null);
INSERT INTO complaint_statuses VALUES('14875','4046','5','15',null,'CUSTOMER NOT ATTEND MY CALL
COMPLAINT CUSTOMER KI SIDE SA DELAY HAIN','COMPLAINT RESOLVED','81','92','2021-02-24 16:19:44','2021-02-24 16:20:18',null);
INSERT INTO complaint_statuses VALUES('14876','3992','8','23','56','OK JOB COMPLETED QUKILEY',null,'81','81','2021-02-24 16:20:18','2021-02-24 16:20:18',null);
INSERT INTO complaint_statuses VALUES('14877','4492','2',null,'81',null,'24-FEB-2021
COM NO 16811','92','92','2021-02-24 16:26:51','2021-02-24 17:35:12',null);
INSERT INTO complaint_statuses VALUES('14878','4428','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-24 16:27:41','2021-02-24 16:27:41',null);
INSERT INTO complaint_statuses VALUES('14879','4493','2',null,'81',null,'24-FEB-2021
COM NO 16812','92','92','2021-02-24 16:29:07','2021-02-24 17:35:24',null);
INSERT INTO complaint_statuses VALUES('14880','4482','8','23','58','ISHFAQ SIR KI CUSTOMER SA BAT HO GEI HAIN CUSTOMER VISIT CHARGES PAY KARAY GAY .
KINDLY VISIT ARRANGE KARWAY',null,'81','81','2021-02-24 16:29:20','2021-02-24 16:29:20',null);
INSERT INTO complaint_statuses VALUES('14881','4367','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-24 16:30:55','2021-02-24 16:30:55',null);
INSERT INTO complaint_statuses VALUES('14882','4334','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-24 16:46:47','2021-02-24 16:46:47',null);
INSERT INTO complaint_statuses VALUES('14883','4494','2',null,'81',null,'24-FEB-2021
COM FF TO AZHAR FCI','92','92','2021-02-24 17:06:23','2021-02-24 17:06:23',null);
INSERT INTO complaint_statuses VALUES('14884','4172','7','12','81','Customer not given service charges and dont want to repaire the unit. Completed',null,'77','77','2021-02-24 17:09:11','2021-02-24 17:09:11',null);
INSERT INTO complaint_statuses VALUES('14885','4494','4',null,'60',null,null,'81','81','2021-02-24 17:22:07','2021-02-24 17:22:07',null);
INSERT INTO complaint_statuses VALUES('14886','4493','4',null,'64',null,null,'81','81','2021-02-24 17:36:09','2021-02-24 17:36:09',null);
INSERT INTO complaint_statuses VALUES('14887','4492','4',null,'64',null,null,'81','81','2021-02-24 17:36:17','2021-02-24 17:36:17',null);
INSERT INTO complaint_statuses VALUES('14888','3272','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-24 17:38:53','2021-02-24 17:38:53',null);
INSERT INTO complaint_statuses VALUES('14889','4179','7','26','81','PARTS AVAIL NHI',null,'87','87','2021-02-24 17:42:40','2021-02-24 17:42:40',null);
INSERT INTO complaint_statuses VALUES('14890','4227','7','26','81','PARTS AVAIL NHI',null,'87','87','2021-02-24 17:43:10','2021-02-24 17:43:10',null);
INSERT INTO complaint_statuses VALUES('14891','4483','7','24','81','hob k uper jo numbering  hai  wo khatanm ho eahi hain. is koi hel ni hai',null,'79','79','2021-02-24 17:44:33','2021-02-24 17:44:33',null);
INSERT INTO complaint_statuses VALUES('14892','4495','2',null,'81',null,'24-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-24 17:49:26','2021-02-24 17:49:26',null);
INSERT INTO complaint_statuses VALUES('14893','4495','4',null,'58',null,null,'81','81','2021-02-24 17:50:27','2021-02-24 17:50:27',null);
INSERT INTO complaint_statuses VALUES('14894','3559','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','74','92','2021-02-24 17:53:07','2021-02-24 17:59:40',null);
INSERT INTO complaint_statuses VALUES('14895','4482','7','22','81','touch pannel issue',null,'79','79','2021-02-24 17:56:42','2021-02-24 17:56:42',null);
INSERT INTO complaint_statuses VALUES('14896','4172','5','15',null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-02-25 10:39:01','2021-02-25 11:05:27',null);
INSERT INTO complaint_statuses VALUES('14897','4448','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-02-25 10:46:04','2021-02-25 10:46:04',null);
INSERT INTO complaint_statuses VALUES('14898','4448','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-25 10:47:49','2021-02-25 11:01:45',null);
INSERT INTO complaint_statuses VALUES('14899','4446','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-25 10:49:42','2021-02-25 10:49:42',null);
INSERT INTO complaint_statuses VALUES('14900','1095','7','12','81','Gasket Replaced.',null,'76','76','2021-02-25 10:52:46','2021-02-25 10:52:46',null);
INSERT INTO complaint_statuses VALUES('14901','4464','7','12','81',null,null,'91','91','2021-02-25 10:54:52','2021-02-25 10:54:52',null);
INSERT INTO complaint_statuses VALUES('14902','4458','7','12','81',null,null,'91','91','2021-02-25 10:55:14','2021-02-25 10:55:14',null);
INSERT INTO complaint_statuses VALUES('14903','4433','7','12','81',null,null,'91','91','2021-02-25 10:56:09','2021-02-25 10:56:09',null);
INSERT INTO complaint_statuses VALUES('14904','4426','7','12','81',null,null,'91','91','2021-02-25 10:56:33','2021-02-25 10:56:33',null);
INSERT INTO complaint_statuses VALUES('14905','4396','7','12','81',null,null,'91','91','2021-02-25 10:57:16','2021-02-25 10:57:16',null);
INSERT INTO complaint_statuses VALUES('14906','4320','7','12','81',null,null,'91','91','2021-02-25 10:58:22','2021-02-25 10:58:22',null);
INSERT INTO complaint_statuses VALUES('14907','4232','7','12','81',null,null,'91','91','2021-02-25 10:59:47','2021-02-25 10:59:47',null);
INSERT INTO complaint_statuses VALUES('14908','3902','7','12','81',null,null,'91','91','2021-02-25 11:00:46','2021-02-25 11:00:46',null);
INSERT INTO complaint_statuses VALUES('14909','3642','7','12','81',null,null,'91','91','2021-02-25 11:01:10','2021-02-25 11:01:10',null);
INSERT INTO complaint_statuses VALUES('14910','3901','7','12','81',null,null,'91','91','2021-02-25 11:01:54','2021-02-25 11:01:54',null);
INSERT INTO complaint_statuses VALUES('14911','3679','7','12','81',null,null,'91','91','2021-02-25 11:02:33','2021-02-25 11:02:33',null);
INSERT INTO complaint_statuses VALUES('14912','4464','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-25 11:04:57','2021-02-25 11:06:04',null);
INSERT INTO complaint_statuses VALUES('14913','4458','5','15',null,'ANEEQ NA COMPLETED KI COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-25 11:05:52','2021-02-25 11:06:33',null);
INSERT INTO complaint_statuses VALUES('14914','4433','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-25 11:06:38','2021-02-25 11:06:57',null);
INSERT INTO complaint_statuses VALUES('14915','4426','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-25 11:07:37','2021-02-25 11:11:13',null);
INSERT INTO complaint_statuses VALUES('14916','4396','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-25 11:08:37','2021-02-25 11:10:03',null);
INSERT INTO complaint_statuses VALUES('14917','4320','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-25 11:09:58','2021-02-25 11:10:29',null);
INSERT INTO complaint_statuses VALUES('14918','4232','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-25 11:10:44','2021-02-25 11:11:42',null);
INSERT INTO complaint_statuses VALUES('14919','3902','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-25 11:11:54','2021-02-25 11:12:08',null);
INSERT INTO complaint_statuses VALUES('14920','1095','5','15',null,'COMPLETED COMPLAINT  GASKET REPLACED  4500 CUSTOMER NA PAY KI BAKI FRIENDS SHOWROOM WALO NA PAY KIYA','COMPLAINT RESOLVED','81','92','2021-02-25 11:14:37','2021-02-25 11:18:47',null);
INSERT INTO complaint_statuses VALUES('14921','3642','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-25 11:15:18','2021-02-25 11:19:19',null);
INSERT INTO complaint_statuses VALUES('14922','4496','3',null,'65',null,'25-FEB-2021
COM NO 192121050','92','92','2021-02-25 11:15:49','2021-02-25 12:35:32',null);
INSERT INTO complaint_statuses VALUES('14923','3679','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-25 11:16:32','2021-02-25 11:20:03',null);
INSERT INTO complaint_statuses VALUES('14924','3901','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-25 11:17:40','2021-02-25 11:19:41',null);
INSERT INTO complaint_statuses VALUES('14925','4045','7','12','81','customer keh rha hy dobara set main koe problem ni i 
only visit 
RS 800',null,'80','80','2021-02-25 11:19:13','2021-02-25 11:19:13',null);
INSERT INTO complaint_statuses VALUES('14926','4227','5','15',null,'PARTS NOT AVAIL  COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-02-25 11:24:28','2021-02-25 11:40:03',null);
INSERT INTO complaint_statuses VALUES('14927','3212','7','12','81','khuram sab k refrence sy Es LED ko kese or ny deal kea hy hmry s/c sau Yea LED Repair ni hoe',null,'80','80','2021-02-25 11:29:16','2021-02-25 11:29:16',null);
INSERT INTO complaint_statuses VALUES('14928','4365','5','15',null,'YHA REF I 10 SA READY HO K DELIVER HOA HAIN COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-25 11:29:38','2021-02-25 11:39:38',null);
INSERT INTO complaint_statuses VALUES('14929','4497','2',null,'81',null,'25-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-25 11:30:06','2021-02-25 11:30:06',null);
INSERT INTO complaint_statuses VALUES('14930','4359','7','24','81','sound system abi tk S/C ni aya',null,'80','80','2021-02-25 11:30:24','2021-02-25 11:30:24',null);
INSERT INTO complaint_statuses VALUES('14931','4179','5','15',null,'PLATES NOT AVAILABLE COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-02-25 11:30:54','2021-02-25 11:40:36',null);
INSERT INTO complaint_statuses VALUES('14932','4497','4',null,'58',null,null,'81','81','2021-02-25 11:31:56','2021-02-25 11:31:56',null);
INSERT INTO complaint_statuses VALUES('14933','4045','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-25 11:32:28','2021-02-25 11:41:02',null);
INSERT INTO complaint_statuses VALUES('14934','4155','7','24','81','set watting part issue wifi',null,'80','80','2021-02-25 11:33:40','2021-02-25 11:33:40',null);
INSERT INTO complaint_statuses VALUES('14935','3803','5','15',null,'REF I  10/3 SA READY HO K DELIVER HOA HAIN COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-25 11:33:45','2021-02-25 11:41:29',null);
INSERT INTO complaint_statuses VALUES('14936','3212','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-25 11:37:44','2021-02-25 11:41:53',null);
INSERT INTO complaint_statuses VALUES('14937','4445','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-25 11:43:09','2021-02-25 11:43:09',null);
INSERT INTO complaint_statuses VALUES('14938','4498','2',null,'81',null,'25-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-25 11:49:32','2021-02-25 11:49:32',null);
INSERT INTO complaint_statuses VALUES('14939','4155','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-02-25 11:50:19','2021-02-25 11:50:19',null);
INSERT INTO complaint_statuses VALUES('14940','4498','4',null,'55',null,'COMPRESSOR LG WALAY I 10 SA LA K JA RAHAY HAIN','81','74','2021-02-25 11:52:16','2021-02-27 14:22:17',null);
INSERT INTO complaint_statuses VALUES('14941','4443','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-25 11:53:04','2021-02-25 11:53:04',null);
INSERT INTO complaint_statuses VALUES('14942','4499','3',null,'53',null,'25-FEB-2021
COM NO 301091893','92','92','2021-02-25 11:59:55','2021-02-25 12:40:45',null);
INSERT INTO complaint_statuses VALUES('14943','4500','3',null,'73',null,'25-FEB-2021
COM NO 3884','92','92','2021-02-25 12:18:03','2021-02-25 15:19:45',null);
INSERT INTO complaint_statuses VALUES('14944','4501','2',null,'81',null,'25-FEB-2021
COM FF TO USMAN SIR','92','92','2021-02-25 12:55:17','2021-02-25 12:55:17',null);
INSERT INTO complaint_statuses VALUES('14945','4502','2',null,'81',null,'25-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-25 13:15:23','2021-02-25 13:15:23',null);
INSERT INTO complaint_statuses VALUES('14946','4501','4',null,'61',null,null,'81','81','2021-02-25 13:16:40','2021-02-25 13:16:40',null);
INSERT INTO complaint_statuses VALUES('14947','4502','4',null,'58',null,null,'81','81','2021-02-25 13:17:54','2021-02-25 13:17:54',null);
INSERT INTO complaint_statuses VALUES('14948','4503','2',null,'81',null,'25-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-25 13:43:05','2021-02-25 13:52:12',null);
INSERT INTO complaint_statuses VALUES('14949','3925','8','23','56','ASLAM SIR &ANEEQ  KO INFORMED KAR DIA HAIN MOVE KARWA DAY GAY',null,'81','81','2021-02-25 13:57:33','2021-02-25 13:57:33',null);
INSERT INTO complaint_statuses VALUES('14950','4437','7','12','81','ISSUE RESOLVED GAS CHARGED + COMP',null,'87','87','2021-02-25 14:05:30','2021-02-25 14:05:30',null);
INSERT INTO complaint_statuses VALUES('14951','4504','2',null,'81',null,'25-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-25 14:06:37','2021-02-25 14:06:37',null);
INSERT INTO complaint_statuses VALUES('14952','4375','5',null,null,'COMPLAIN CLOSED',null,'74','74','2021-02-25 14:13:04','2021-02-25 14:13:04',null);
INSERT INTO complaint_statuses VALUES('14953','4505','2',null,'81',null,'25-FEB-2021
COM FF TO AZHAR FCI','92','92','2021-02-25 14:29:32','2021-02-25 14:29:32',null);
INSERT INTO complaint_statuses VALUES('14954','4505','4',null,'60',null,null,'81','81','2021-02-25 14:30:37','2021-02-25 14:30:37',null);
INSERT INTO complaint_statuses VALUES('14955','4504','4',null,'58',null,null,'81','81','2021-02-25 14:30:47','2021-02-25 14:30:47',null);
INSERT INTO complaint_statuses VALUES('14956','4503','4',null,'63',null,null,'81','81','2021-02-25 14:30:59','2021-02-25 14:30:59',null);
INSERT INTO complaint_statuses VALUES('14957','4506','2',null,'81',null,'25-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-25 14:41:56','2021-02-25 14:41:56',null);
INSERT INTO complaint_statuses VALUES('14958','4237','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-25 14:53:52','2021-02-25 14:53:52',null);
INSERT INTO complaint_statuses VALUES('14959','4483','8','23','58','OK',null,'81','81','2021-02-25 15:51:48','2021-02-25 15:51:48',null);
INSERT INTO complaint_statuses VALUES('14960','4482','8','23','58','JOB COMPLETED QUKILEY',null,'81','81','2021-02-25 15:53:09','2021-02-25 15:53:09',null);
INSERT INTO complaint_statuses VALUES('14961','4437','5','15',null,'COMPLETED  COMPLAINT','COMPLETED RESOLVED','81','74','2021-02-25 15:54:58','2021-02-25 17:41:08',null);
INSERT INTO complaint_statuses VALUES('14962','4507','3',null,'53',null,'25-FEB-2021
COMPLAINT#301092090','74','74','2021-02-25 16:06:44','2021-02-25 16:06:44',null);
INSERT INTO complaint_statuses VALUES('14963','4434','7','12','81','500 LABOUR + 300 AUTO WAIR 
TOTAL EXP 800
COMPLETED COMPLAINT',null,'88','88','2021-02-25 16:10:29','2021-02-25 16:10:29',null);
INSERT INTO complaint_statuses VALUES('14964','4434','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-02-25 16:10:59','2021-02-25 17:41:40',null);
INSERT INTO complaint_statuses VALUES('14965','4506','4',null,'63',null,null,'81','81','2021-02-25 16:18:44','2021-02-25 16:18:44',null);
INSERT INTO complaint_statuses VALUES('14966','4483','7','12','81','complaint reoslved',null,'79','79','2021-02-25 16:20:23','2021-02-25 16:20:23',null);
INSERT INTO complaint_statuses VALUES('14967','4482','7','12','81','complaint reoslved/panel change',null,'79','79','2021-02-25 16:20:54','2021-02-25 16:20:54',null);
INSERT INTO complaint_statuses VALUES('14968','4447','7','12','81','1000 CUSTOMER NOT PAID  CHARGES',null,'88','88','2021-02-25 16:29:29','2021-02-25 16:29:29',null);
INSERT INTO complaint_statuses VALUES('14969','4359','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-25 16:30:19','2021-02-27 11:30:23',null);
INSERT INTO complaint_statuses VALUES('14970','4447','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-02-25 16:30:50','2021-02-25 17:40:32',null);
INSERT INTO complaint_statuses VALUES('14971','4321','7','9','81','Main pcb defective extimate rejected',null,'83','83','2021-02-25 17:32:06','2021-02-25 17:32:06',null);
INSERT INTO complaint_statuses VALUES('14972','4323','7','9','81','Solved on phone call 
Customer ny dubara complaint nahi ki',null,'83','83','2021-02-25 17:32:42','2021-02-25 17:32:42',null);
INSERT INTO complaint_statuses VALUES('14973','4473','7','24','81','Kis ki waranty main ha ya',null,'83','83','2021-02-25 17:33:55','2021-02-25 17:33:55',null);
INSERT INTO complaint_statuses VALUES('14974','4490','7','24','81','Kis ki warrnty main ha ya',null,'83','83','2021-02-25 17:34:35','2021-02-25 17:34:35',null);
INSERT INTO complaint_statuses VALUES('14975','4508','2',null,'81',null,'25-FEB-2021
FF TO AZHAR FCI','74','74','2021-02-25 17:34:48','2021-02-25 17:34:48',null);
INSERT INTO complaint_statuses VALUES('14976','4508','4',null,'60',null,null,'81','81','2021-02-25 17:36:00','2021-02-25 17:36:00',null);
INSERT INTO complaint_statuses VALUES('14977','4323','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-25 17:39:55','2021-02-25 17:42:48',null);
INSERT INTO complaint_statuses VALUES('14978','2994','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-25 17:48:52','2021-02-25 17:48:52',null);
INSERT INTO complaint_statuses VALUES('14979','4444','7','12','81','leveling issue..compliant resolved',null,'79','79','2021-02-25 18:06:01','2021-02-25 18:06:01',null);
INSERT INTO complaint_statuses VALUES('14980','4316','7','12','81','complaint resolved.compressor ,cuplry.gas,',null,'79','79','2021-02-25 18:20:43','2021-02-25 18:20:43',null);
INSERT INTO complaint_statuses VALUES('14981','4292','7','26','81','Unit repir nahi krwa back light defective',null,'83','83','2021-02-25 19:45:59','2021-02-25 19:45:59',null);
INSERT INTO complaint_statuses VALUES('14982','4430','7','24','81','Back light k masla ha customer khid unit ly ga',null,'83','83','2021-02-25 19:47:15','2021-02-25 19:47:15',null);
INSERT INTO complaint_statuses VALUES('14983','4312','7','12','81','Unit delivered..complaint resolved',null,'79','79','2021-02-25 19:59:31','2021-02-25 19:59:31',null);
INSERT INTO complaint_statuses VALUES('14984','4380','7','12','81','Glass change in warranty..complaint resolved',null,'79','79','2021-02-25 20:00:05','2021-02-25 20:00:05',null);
INSERT INTO complaint_statuses VALUES('14985','3693','7','12','81',null,null,'91','91','2021-02-25 21:35:06','2021-02-25 21:35:06',null);
INSERT INTO complaint_statuses VALUES('14986','3793','7','12','81',null,null,'91','91','2021-02-25 21:35:37','2021-02-25 21:35:37',null);
INSERT INTO complaint_statuses VALUES('14987','4414','7','12','81',null,null,'91','91','2021-02-25 21:38:08','2021-02-25 21:38:08',null);
INSERT INTO complaint_statuses VALUES('14988','4415','7','12','81',null,null,'91','91','2021-02-25 21:38:40','2021-02-25 21:38:40',null);
INSERT INTO complaint_statuses VALUES('14989','4415','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-02-25 21:40:02','2021-02-26 12:59:13',null);
INSERT INTO complaint_statuses VALUES('14990','4414','5','15',null,null,'COMPLAINT CLOSED','81','74','2021-02-25 21:40:34','2021-02-26 12:58:21',null);
INSERT INTO complaint_statuses VALUES('14991','3793','5','15',null,null,null,'81','81','2021-02-25 21:41:01','2021-02-25 21:41:01',null);
INSERT INTO complaint_statuses VALUES('14992','3693','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-02-25 21:41:23','2021-02-26 12:54:46',null);
INSERT INTO complaint_statuses VALUES('14993','4510','3',null,'52',null,'26-FEB-2021
COMPLAINT#PKRI-210226102762','74','92','2021-02-26 11:48:44','2021-02-28 12:09:50',null);
INSERT INTO complaint_statuses VALUES('14994','4511','3',null,'81',null,'26-FEB-2021
COMPLAINT#119','74','92','2021-02-26 11:54:07','2021-02-28 10:51:33',null);
INSERT INTO complaint_statuses VALUES('14995','4478','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-26 12:02:58','2021-02-26 12:02:58',null);
INSERT INTO complaint_statuses VALUES('14996','4477','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-26 12:05:33','2021-02-26 12:05:33',null);
INSERT INTO complaint_statuses VALUES('14997','4512','3',null,'54',null,'26-FEB-2021
COMPLAINT #1821568','74','74','2021-02-26 12:12:42','2021-02-26 12:12:42',null);
INSERT INTO complaint_statuses VALUES('14998','4471','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-26 12:15:28','2021-02-26 12:15:28',null);
INSERT INTO complaint_statuses VALUES('14999','4513','2',null,'81',null,'26-FEB-2021
FF TO KHURRAM 5 STAR','74','74','2021-02-26 12:21:45','2021-02-26 12:21:45',null);
INSERT INTO complaint_statuses VALUES('15000','4470','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-26 12:24:30','2021-02-26 12:24:30',null);
INSERT INTO complaint_statuses VALUES('15001','4292','5','15',null,'CUSTOMER NA COMPLAINT KHUD SA CANCELLED KARWA DI','COMPLAINT  RESOLVED','81','74','2021-02-26 12:25:49','2021-02-26 12:51:55',null);
INSERT INTO complaint_statuses VALUES('15002','4513','4',null,'63',null,null,'81','81','2021-02-26 12:26:03','2021-02-26 12:26:03',null);
INSERT INTO complaint_statuses VALUES('15003','4469','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-26 12:27:21','2021-02-26 12:27:21',null);
INSERT INTO complaint_statuses VALUES('15004','4514','3',null,'52',null,'26-FEB-2021
COMPLAINT#PKRI-210226103714','74','74','2021-02-26 12:34:26','2021-02-26 12:34:26',null);
INSERT INTO complaint_statuses VALUES('15005','4515','2',null,'81',null,'26-FEB-2021
FF TO AZHAR RAMZAN FCI','74','74','2021-02-26 12:37:52','2021-02-26 12:37:52',null);
INSERT INTO complaint_statuses VALUES('15006','4515','4',null,'60',null,null,'81','81','2021-02-26 12:38:30','2021-02-26 12:38:30',null);
INSERT INTO complaint_statuses VALUES('15007','4516','2',null,'81',null,'26-FEB-2021
FF TO SHAMIM AKHTER','74','74','2021-02-26 12:42:50','2021-02-26 12:42:50',null);
INSERT INTO complaint_statuses VALUES('15008','4516','4',null,'55',null,null,'81','81','2021-02-26 12:43:15','2021-02-26 12:43:15',null);
INSERT INTO complaint_statuses VALUES('15009','4312','8','23','58','CUSTOMER ISSUE NOT RESOLVED','AGAIN ISSUE AGAY HAIN  B.COOL INFORMED KAR DIA','81','74','2021-02-26 12:43:44','2021-02-27 11:13:31',null);
INSERT INTO complaint_statuses VALUES('15010','4316','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-26 12:44:34','2021-02-26 12:56:32',null);
INSERT INTO complaint_statuses VALUES('15011','4321','5','15',null,'CUSTOMER NA LOCAL TECHNICIAN SA COMPLAINT RESOLVED KARWA LI','COMPLAINT CLOSED','81','74','2021-02-26 12:47:49','2021-02-26 12:57:01',null);
INSERT INTO complaint_statuses VALUES('15012','3763','7','12','81',null,null,'91','91','2021-02-26 14:28:36','2021-02-26 14:28:36',null);
INSERT INTO complaint_statuses VALUES('15013','3801','7','12','81',null,null,'91','91','2021-02-26 14:29:55','2021-02-26 14:29:55',null);
INSERT INTO complaint_statuses VALUES('15014','3763','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-26 14:40:16','2021-02-27 11:29:29',null);
INSERT INTO complaint_statuses VALUES('15015','4457','7','12','81',null,null,'91','91','2021-02-26 14:41:39','2021-02-26 14:41:39',null);
INSERT INTO complaint_statuses VALUES('15016','4456','7','12','81',null,null,'91','91','2021-02-26 14:42:01','2021-02-26 14:42:01',null);
INSERT INTO complaint_statuses VALUES('15017','4455','7','12','81',null,null,'91','91','2021-02-26 14:42:21','2021-02-26 14:42:21',null);
INSERT INTO complaint_statuses VALUES('15018','4457','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-02-26 14:42:58','2021-02-27 11:32:30',null);
INSERT INTO complaint_statuses VALUES('15019','4456','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-02-26 14:43:21','2021-02-27 11:32:01',null);
INSERT INTO complaint_statuses VALUES('15020','4455','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-02-26 14:43:39','2021-02-27 11:31:37',null);
INSERT INTO complaint_statuses VALUES('15021','4463','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-26 14:43:45','2021-02-26 14:43:45',null);
INSERT INTO complaint_statuses VALUES('15022','3801','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-02-26 14:44:04','2021-02-27 11:30:01',null);
INSERT INTO complaint_statuses VALUES('15023','4462','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-26 15:00:40','2021-02-26 15:00:40',null);
INSERT INTO complaint_statuses VALUES('15024','4442','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-02-26 15:03:12','2021-02-26 15:03:12',null);
INSERT INTO complaint_statuses VALUES('15025','4442','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-26 15:03:41','2021-02-26 15:29:49',null);
INSERT INTO complaint_statuses VALUES('15026','4517','2',null,'81',null,'26-FEB-2021
FF TO HOME SOLUTION','74','74','2021-02-26 15:14:25','2021-02-26 15:14:25',null);
INSERT INTO complaint_statuses VALUES('15027','4517','4',null,'62',null,null,'81','81','2021-02-26 15:15:35','2021-02-26 15:15:35',null);
INSERT INTO complaint_statuses VALUES('15028','4518','3',null,'65',null,'26-FEB-2021
COMPLAINT#192121069','74','74','2021-02-26 15:37:06','2021-02-26 15:37:06',null);
INSERT INTO complaint_statuses VALUES('15029','4519','3',null,'55',null,'26-FEB-2021
FF TO NAEEM KENWOOD','74','92','2021-02-26 15:47:33','2021-02-28 12:05:54',null);
INSERT INTO complaint_statuses VALUES('15030','4520','2',null,'81',null,'26-FEB-2021
FF TO B.COOL','74','74','2021-02-26 16:01:30','2021-02-26 16:01:30',null);
INSERT INTO complaint_statuses VALUES('15031','4520','4',null,'58',null,null,'81','81','2021-02-26 16:02:08','2021-02-26 16:02:08',null);
INSERT INTO complaint_statuses VALUES('15032','4521','2',null,'81',null,'26-FEB-2021
FF TO SHAMIM AKHTER','74','74','2021-02-26 16:05:40','2021-02-26 16:05:40',null);
INSERT INTO complaint_statuses VALUES('15033','4521','4',null,'55',null,null,'81','81','2021-02-26 17:01:57','2021-02-26 17:01:57',null);
INSERT INTO complaint_statuses VALUES('15034','4483','8','23','58','HOB KA ISSUE RESOLVED NAI HO KINDLY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-02-27 10:47:25','2021-02-27 10:47:25',null);
INSERT INTO complaint_statuses VALUES('15035','4444','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-27 10:50:27','2021-02-27 11:31:16',null);
INSERT INTO complaint_statuses VALUES('15036','4522','3',null,'52',null,'27-FEB-2021
COM NO PKRI-210227102364','92','92','2021-02-27 10:58:59','2021-02-27 11:00:09',null);
INSERT INTO complaint_statuses VALUES('15037','4523','2',null,'81',null,'27-FEB-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-02-27 11:11:24','2021-02-27 11:11:24',null);
INSERT INTO complaint_statuses VALUES('15038','4508','7','12','81','Shak ki complan compny ko farwerd kary',null,'82','82','2021-02-27 11:18:43','2021-02-27 11:18:43',null);
INSERT INTO complaint_statuses VALUES('15039','4490','8','23','61','FRIENDS WARRANTY',null,'81','81','2021-02-27 11:19:29','2021-02-27 11:19:29',null);
INSERT INTO complaint_statuses VALUES('15040','4380','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-27 11:20:31','2021-02-27 11:30:48',null);
INSERT INTO complaint_statuses VALUES('15041','4524','2',null,'81',null,'27-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-27 11:20:31','2021-02-27 11:20:31',null);
INSERT INTO complaint_statuses VALUES('15042','4523','4',null,'55',null,null,'81','81','2021-02-27 11:21:47','2021-02-27 11:21:47',null);
INSERT INTO complaint_statuses VALUES('15043','4524','4',null,'63',null,null,'81','81','2021-02-27 11:21:58','2021-02-27 11:21:58',null);
INSERT INTO complaint_statuses VALUES('15044','4435','7','12','81','inlet coil change complaint resolved',null,'79','79','2021-02-27 11:23:51','2021-02-27 11:23:51',null);
INSERT INTO complaint_statuses VALUES('15045','4318','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-27 11:25:16','2021-02-27 11:25:16',null);
INSERT INTO complaint_statuses VALUES('15046','4525','2',null,'81',null,'27-FEB-2021
COM FF TO HOME SOLUTION','92','92','2021-02-27 11:28:05','2021-02-27 11:28:05',null);
INSERT INTO complaint_statuses VALUES('15047','4525','4',null,'62',null,null,'81','81','2021-02-27 11:29:05','2021-02-27 11:29:05',null);
INSERT INTO complaint_statuses VALUES('15048','4381','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-02-27 11:37:09','2021-02-27 11:37:09',null);
INSERT INTO complaint_statuses VALUES('15049','4381','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-02-27 11:37:39','2021-02-27 11:41:04',null);
INSERT INTO complaint_statuses VALUES('15050','4526','2',null,'81',null,'17-FEB-2021
COM FF TO NADEEM AZHAR','74','74','2021-02-27 11:39:27','2021-02-27 11:39:27',null);
INSERT INTO complaint_statuses VALUES('15051','4526','4',null,'59',null,null,'81','81','2021-02-27 11:40:20','2021-02-27 11:40:20',null);
INSERT INTO complaint_statuses VALUES('15052','4509','2',null,'81',null,null,'92','92','2021-02-27 11:40:56','2021-02-27 11:40:56',null);
INSERT INTO complaint_statuses VALUES('15053','4509','4',null,'64',null,null,'81','81','2021-02-27 11:41:21','2021-02-27 11:41:21',null);
INSERT INTO complaint_statuses VALUES('15054','4486','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-27 11:52:50','2021-02-27 11:52:50',null);
INSERT INTO complaint_statuses VALUES('15055','4527','3',null,'73',null,'27-FEB-2021
COM NO 3891','92','92','2021-02-27 11:58:21','2021-02-27 12:02:20',null);
INSERT INTO complaint_statuses VALUES('15056','4394','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-27 12:01:38','2021-02-27 12:01:38',null);
INSERT INTO complaint_statuses VALUES('15057','4528','2',null,'81',null,'27-FEB-2021
COM FF TO BEST COOL','92','92','2021-02-27 12:16:40','2021-02-27 17:40:18',null);
INSERT INTO complaint_statuses VALUES('15058','4529','3',null,'66',null,'27-FEB-2021
COM NO pk-030120210027','92','92','2021-02-27 12:43:56','2021-03-01 10:39:28',null);
INSERT INTO complaint_statuses VALUES('15059','4530','3',null,'54',null,'27-FEB-2021
COM NO 1822063','92','92','2021-02-27 13:01:18','2021-02-27 13:02:24',null);
INSERT INTO complaint_statuses VALUES('15060','4493','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-02-27 13:14:49','2021-02-27 13:14:49',null);
INSERT INTO complaint_statuses VALUES('15061','4492','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-02-27 13:15:42','2021-02-27 13:15:42',null);
INSERT INTO complaint_statuses VALUES('15062','4493','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-27 13:16:41','2021-02-27 13:17:59',null);
INSERT INTO complaint_statuses VALUES('15063','4492','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-27 13:17:04','2021-02-27 13:17:39',null);
INSERT INTO complaint_statuses VALUES('15064','4435','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-27 13:20:48','2021-02-27 14:06:14',null);
INSERT INTO complaint_statuses VALUES('15065','4485','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-27 13:25:50','2021-02-27 13:25:50',null);
INSERT INTO complaint_statuses VALUES('15066','4531','3',null,'52',null,'27-FEB-2021
COM NO PKRI-210227106661','92','92','2021-02-27 13:30:16','2021-02-27 14:20:54',null);
INSERT INTO complaint_statuses VALUES('15067','4532','2',null,'81',null,'27-FEB-2021
FF TO SHAMIM AKHTER','74','74','2021-02-27 13:38:19','2021-02-27 13:38:19',null);
INSERT INTO complaint_statuses VALUES('15068','4532','4',null,'55',null,'03125177334  ALI ZAIB','81','74','2021-02-27 13:39:48','2021-02-27 14:14:32',null);
INSERT INTO complaint_statuses VALUES('15069','4528','4',null,'58',null,null,'81','81','2021-02-27 13:40:02','2021-02-27 13:40:02',null);
INSERT INTO complaint_statuses VALUES('15070','4533','2',null,'81',null,'27-FEB-2021
FF TO USMAN MRM,','74','74','2021-02-27 13:44:08','2021-02-27 13:44:08',null);
INSERT INTO complaint_statuses VALUES('15071','4508','5','15',null,'COMPLIANT USMAN MRM KO FF KR DI NEW TASK#4533','COMPLAINT RESOLVED','81','92','2021-02-27 13:45:36','2021-02-27 14:07:07',null);
INSERT INTO complaint_statuses VALUES('15072','4533','4',null,'61',null,null,'81','81','2021-02-27 13:45:47','2021-02-27 13:45:47',null);
INSERT INTO complaint_statuses VALUES('15073','4482','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-27 13:48:07','2021-02-27 14:06:39',null);
INSERT INTO complaint_statuses VALUES('15074','4430','5','15',null,'CUSTOMER  KI SIDE SA DELAY COMPLINT USMNA SAB NA S/C KA ADD CUSTOMER SA SHER KAR LIYA HAIN  COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-02-27 13:51:09','2021-02-27 14:05:50',null);
INSERT INTO complaint_statuses VALUES('15075','4534','3',null,'80',null,'27-FEB-2021
FF TO TAHIR SIEMENS','74','74','2021-02-27 14:04:01','2021-02-27 14:04:01',null);
INSERT INTO complaint_statuses VALUES('15076','4460','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-02-27 14:17:46','2021-02-27 14:17:46',null);
INSERT INTO complaint_statuses VALUES('15077','4535','2',null,'81',null,'27-FEB-2021
FF TO HOME SOLUTION','74','74','2021-02-27 14:20:33','2021-02-27 14:20:33',null);
INSERT INTO complaint_statuses VALUES('15078','4535','4',null,'62',null,null,'81','81','2021-02-27 14:25:02','2021-02-27 14:25:02',null);
INSERT INTO complaint_statuses VALUES('15079','4504','7','12','81','complint resolved shocks ko set kia hai',null,'79','79','2021-02-27 14:38:10','2021-02-27 14:38:10',null);
INSERT INTO complaint_statuses VALUES('15080','4535','7','12','81','THERMOSTATE REPLACED',null,'87','87','2021-02-27 14:43:04','2021-02-27 14:43:04',null);
INSERT INTO complaint_statuses VALUES('15081','4535','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-27 14:48:00','2021-02-27 15:12:18',null);
INSERT INTO complaint_statuses VALUES('15082','4473','5','23',null,'FRIENDS WARRANTY INVOICE B SHER KAR DI USMAN MRM KO','COMPLAINT RESOLVED','81','92','2021-02-27 15:06:29','2021-02-27 15:11:52',null);
INSERT INTO complaint_statuses VALUES('15083','4536','2',null,'81',null,'27-FEB-2021
FF TO HOME SOLUTION','74','74','2021-02-27 15:12:04','2021-02-27 15:12:04',null);
INSERT INTO complaint_statuses VALUES('15084','4504','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-02-27 15:12:37','2021-02-27 15:13:35',null);
INSERT INTO complaint_statuses VALUES('15085','4536','4',null,'62',null,null,'81','81','2021-02-27 15:13:10','2021-02-27 15:13:10',null);
INSERT INTO complaint_statuses VALUES('15086','4536','4',null,'62',null,null,'81','81','2021-02-27 15:13:10','2021-02-27 15:13:10',null);
INSERT INTO complaint_statuses VALUES('15087','4537','3',null,'54',null,'27-FEB-2021
COM NO 1822252','92','92','2021-02-27 15:22:48','2021-02-27 16:01:54',null);
INSERT INTO complaint_statuses VALUES('15088','3748','8','23','60',null,null,'81','81','2021-02-27 15:25:12','2021-02-27 15:25:12',null);
INSERT INTO complaint_statuses VALUES('15089','4538','3',null,'52',null,'27-FEB-2021
COM NO PKRI-210227108669','92','92','2021-02-27 15:38:30','2021-02-27 15:58:06',null);
INSERT INTO complaint_statuses VALUES('15090','4539','3',null,'54',null,'27-FEB-2021
COM NO 1822302','92','92','2021-02-27 16:25:53','2021-02-27 17:32:03',null);
INSERT INTO complaint_statuses VALUES('15091','4540','2',null,'81',null,'27-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-27 17:13:35','2021-02-27 17:13:35',null);
INSERT INTO complaint_statuses VALUES('15092','4541','2',null,'81',null,'27-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-27 17:52:27','2021-02-27 17:52:27',null);
INSERT INTO complaint_statuses VALUES('15093','4540','4',null,'63',null,null,'81','81','2021-02-27 17:54:49','2021-02-27 17:54:49',null);
INSERT INTO complaint_statuses VALUES('15094','4541','4',null,'63',null,null,'81','81','2021-02-27 17:55:02','2021-02-27 17:55:02',null);
INSERT INTO complaint_statuses VALUES('15095','4542','3',null,'55',null,'27-FEB-2021
COM FF TO NAEEM KENWOOD','92','92','2021-02-27 18:07:05','2021-03-01 12:25:41',null);
INSERT INTO complaint_statuses VALUES('15096','4373','7','12','81','Level Adjustment. Visit Pending (600)',null,'76','76','2021-02-27 18:58:24','2021-02-27 18:58:24',null);
INSERT INTO complaint_statuses VALUES('15097','4244','7','12','81','Compressor Replaced',null,'76','76','2021-02-27 19:10:31','2021-02-27 19:10:31',null);
INSERT INTO complaint_statuses VALUES('15098','4312','7','12','81','issue  resolved .',null,'79','79','2021-02-28 10:44:29','2021-02-28 10:44:29',null);
INSERT INTO complaint_statuses VALUES('15099','4497','7','12','81','no issue in oven compalint reoslved',null,'79','79','2021-02-28 10:45:07','2021-02-28 10:45:07',null);
INSERT INTO complaint_statuses VALUES('15100','4543','2',null,'81',null,'28-FEB-2021
COM FF TO KHALID SONY','92','92','2021-02-28 10:49:58','2021-02-28 10:49:58',null);
INSERT INTO complaint_statuses VALUES('15101','4544','3',null,'65',null,'28-FEB-2021
COM NO 072116925','92','92','2021-02-28 11:09:07','2021-02-28 11:23:30',null);
INSERT INTO complaint_statuses VALUES('15102','4545','3',null,'65',null,'28-FEB-2021
COM NO 19210186','92','92','2021-02-28 11:32:34','2021-02-28 12:28:40',null);
INSERT INTO complaint_statuses VALUES('15103','3947','7','12','81',null,null,'91','91','2021-02-28 11:36:05','2021-02-28 11:36:05',null);
INSERT INTO complaint_statuses VALUES('15104','4190','7','12','81',null,null,'91','91','2021-02-28 11:36:33','2021-02-28 11:36:33',null);
INSERT INTO complaint_statuses VALUES('15105','4412','7','12','81',null,null,'91','91','2021-02-28 11:36:57','2021-02-28 11:36:57',null);
INSERT INTO complaint_statuses VALUES('15106','4467','7','12','81',null,null,'91','91','2021-02-28 11:37:28','2021-02-28 11:37:28',null);
INSERT INTO complaint_statuses VALUES('15107','4467','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-02-28 11:37:53','2021-02-28 11:56:25',null);
INSERT INTO complaint_statuses VALUES('15108','4190','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-02-28 11:38:15','2021-02-28 11:54:49',null);
INSERT INTO complaint_statuses VALUES('15109','3947','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-02-28 11:38:23','2021-02-28 11:54:20',null);
INSERT INTO complaint_statuses VALUES('15110','4412','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-02-28 11:39:36','2021-02-28 11:55:54',null);
INSERT INTO complaint_statuses VALUES('15111','4546','3',null,'54',null,'28-FEB-2021
COM NO 1819962','92','92','2021-02-28 11:44:19','2021-02-28 12:23:09',null);
INSERT INTO complaint_statuses VALUES('15112','4547','3',null,'66',null,'28-FEB-2021
COM NO pk30120210025','92','92','2021-02-28 12:04:33','2021-03-01 10:35:54',null);
INSERT INTO complaint_statuses VALUES('15113','4507','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-28 12:08:03','2021-02-28 12:08:03',null);
INSERT INTO complaint_statuses VALUES('15114','4496','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-28 12:13:20','2021-02-28 12:13:20',null);
INSERT INTO complaint_statuses VALUES('15115','4425','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-02-28 12:17:07','2021-02-28 12:17:07',null);
INSERT INTO complaint_statuses VALUES('15116','4548','2',null,'81',null,'28-FEB-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-02-28 12:44:22','2021-02-28 12:44:22',null);
INSERT INTO complaint_statuses VALUES('15117','4543','4',null,'56',null,null,'81','81','2021-02-28 12:45:59','2021-02-28 12:45:59',null);
INSERT INTO complaint_statuses VALUES('15118','4548','4',null,'63',null,null,'81','81','2021-02-28 12:46:08','2021-02-28 12:46:08',null);
INSERT INTO complaint_statuses VALUES('15119','4549','3',null,'54',null,'28-FEB-2021
COM NO 1822639','92','92','2021-02-28 13:29:18','2021-02-28 13:29:18',null);
INSERT INTO complaint_statuses VALUES('15120','4550','3',null,'53',null,'28-FEB-2021
COM NO 92887','92','92','2021-02-28 13:50:54','2021-02-28 16:44:28',null);
INSERT INTO complaint_statuses VALUES('15121','4497','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-02-28 14:30:00','2021-02-28 14:55:16',null);
INSERT INTO complaint_statuses VALUES('15122','4373','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-02-28 14:32:28','2021-02-28 14:54:53',null);
INSERT INTO complaint_statuses VALUES('15123','4244','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-02-28 14:50:22','2021-02-28 14:54:03',null);
INSERT INTO complaint_statuses VALUES('15124','4312','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-02-28 14:52:23','2021-02-28 14:54:29',null);
INSERT INTO complaint_statuses VALUES('15125','4168','5',null,null,'COMPLAINT CLOSED',null,'92','92','2021-02-28 15:42:23','2021-02-28 15:42:23',null);
INSERT INTO complaint_statuses VALUES('15126','4517','7','22','81','Comp',null,'87','87','2021-02-28 18:51:32','2021-02-28 18:51:32',null);
INSERT INTO complaint_statuses VALUES('15127','4525','7','12','81','D/w replaced ho gya',null,'87','87','2021-02-28 18:52:06','2021-02-28 18:52:06',null);
INSERT INTO complaint_statuses VALUES('15128','4536','7','26','81','Customer ny refuse Kr dia',null,'87','87','2021-02-28 18:54:30','2021-02-28 18:54:30',null);
INSERT INTO complaint_statuses VALUES('15129','4551','3',null,'53',null,'01-MAR-2021
COM NO 1092975','92','92','2021-03-01 10:58:22','2021-03-01 11:00:57',null);
INSERT INTO complaint_statuses VALUES('15130','4518','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-01 11:01:40','2021-03-01 11:01:40',null);
INSERT INTO complaint_statuses VALUES('15131','4431','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-01 11:02:27','2021-03-01 11:02:27',null);
INSERT INTO complaint_statuses VALUES('15132','4418','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-01 11:04:28','2021-03-01 11:04:28',null);
INSERT INTO complaint_statuses VALUES('15133','4372','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-01 11:08:43','2021-03-01 11:08:43',null);
INSERT INTO complaint_statuses VALUES('15134','4401','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-01 11:12:46','2021-03-01 11:12:46',null);
INSERT INTO complaint_statuses VALUES('15135','4552','2',null,'81',null,'01-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-01 11:12:52','2021-03-09 13:25:22',null);
INSERT INTO complaint_statuses VALUES('15136','4401','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-01 11:13:33','2021-03-01 11:17:07',null);
INSERT INTO complaint_statuses VALUES('15137','4502','7','12','81','knobe lga di hai complaint resolved',null,'79','79','2021-03-01 11:15:07','2021-03-01 11:15:07',null);
INSERT INTO complaint_statuses VALUES('15138','4536','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-01 11:15:08','2021-03-01 11:17:57',null);
INSERT INTO complaint_statuses VALUES('15139','4525','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-01 11:16:50','2021-03-01 11:17:31',null);
INSERT INTO complaint_statuses VALUES('15140','4502','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-01 11:18:28','2021-03-01 11:31:20',null);
INSERT INTO complaint_statuses VALUES('15141','4512','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-01 11:26:27','2021-03-01 11:26:27',null);
INSERT INTO complaint_statuses VALUES('15142','4553','3',null,'81',null,'01-MAR-2021
COM NO 129','92','92','2021-03-01 11:28:40','2021-03-01 12:00:30',null);
INSERT INTO complaint_statuses VALUES('15143','4510','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-01 11:30:47','2021-03-01 11:30:47',null);
INSERT INTO complaint_statuses VALUES('15144','3755','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-01 12:05:08','2021-03-01 12:05:08',null);
INSERT INTO complaint_statuses VALUES('15145','4554','3',null,'53',null,'01-MAR-2021
COM NO 1093048','92','92','2021-03-01 12:06:59','2021-03-01 12:06:59',null);
INSERT INTO complaint_statuses VALUES('15146','4484','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-01 12:10:31','2021-03-01 12:10:31',null);
INSERT INTO complaint_statuses VALUES('15147','4468','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-01 12:12:54','2021-03-01 12:12:54',null);
INSERT INTO complaint_statuses VALUES('15148','4398','7','12','81','AGAIN WE HAVE TO LAUNCH THE COMPLAINT...',null,'91','91','2021-03-01 12:20:07','2021-03-01 12:20:07',null);
INSERT INTO complaint_statuses VALUES('15149','4514','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-01 12:20:36','2021-03-01 12:20:36',null);
INSERT INTO complaint_statuses VALUES('15150','4398','5','15',null,null,null,'81','81','2021-03-01 12:20:37','2021-03-01 12:20:37',null);
INSERT INTO complaint_statuses VALUES('15151','4555','2',null,'81',null,'20-FEB-2021
COM NO 1818155
1-MAR-2021(1823241)','73','73','2021-03-01 12:21:23','2021-03-01 13:07:03',null);
INSERT INTO complaint_statuses VALUES('15152','4449','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-01 12:29:33','2021-03-01 12:29:33',null);
INSERT INTO complaint_statuses VALUES('15153','4450','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-01 12:30:15','2021-03-01 12:30:15',null);
INSERT INTO complaint_statuses VALUES('15154','4436','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-01 12:31:41','2021-03-01 12:31:41',null);
INSERT INTO complaint_statuses VALUES('15155','4555','4',null,'64',null,null,'81','81','2021-03-01 12:32:59','2021-03-01 12:32:59',null);
INSERT INTO complaint_statuses VALUES('15156','4438','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-01 12:41:53','2021-03-01 12:41:53',null);
INSERT INTO complaint_statuses VALUES('15157','4556','3',null,'52',null,'01-MAR-2021
COM NO PKRI-210301109603','92','92','2021-03-01 12:43:27','2021-03-01 15:36:37',null);
INSERT INTO complaint_statuses VALUES('15158','4382','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-01 12:46:35','2021-03-01 12:46:35',null);
INSERT INTO complaint_statuses VALUES('15159','4557','2',null,'81',null,'01-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-01 12:57:42','2021-03-01 12:57:42',null);
INSERT INTO complaint_statuses VALUES('15160','4558','2',null,'81',null,'01-MAR-2021
COM FF TO KHALID SONY','92','92','2021-03-01 13:07:36','2021-03-01 13:07:36',null);
INSERT INTO complaint_statuses VALUES('15161','4558','4',null,'56',null,null,'81','81','2021-03-01 13:10:40','2021-03-01 13:10:40',null);
INSERT INTO complaint_statuses VALUES('15162','4557','4',null,'63',null,null,'81','81','2021-03-01 13:10:50','2021-03-01 13:10:50',null);
INSERT INTO complaint_statuses VALUES('15163','4552','4',null,'63',null,null,'81','81','2021-03-01 13:11:02','2021-03-01 13:11:02',null);
INSERT INTO complaint_statuses VALUES('15164','4476','7','12','81','gas charge complaint resolved',null,'79','79','2021-03-01 13:26:05','2021-03-01 13:26:05',null);
INSERT INTO complaint_statuses VALUES('15165','4559','3',null,'54',null,'01-MAR-2021
COM NO 1823372','92','92','2021-03-01 13:33:31','2021-03-01 13:35:51',null);
INSERT INTO complaint_statuses VALUES('15166','4560','2',null,'81',null,'01-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-01 13:47:50','2021-03-01 13:47:50',null);
INSERT INTO complaint_statuses VALUES('15167','4560','4',null,'58',null,null,'81','81','2021-03-01 13:51:56','2021-03-01 13:51:56',null);
INSERT INTO complaint_statuses VALUES('15168','4498','7','12','81','Compressor Replaced (Labor Charges 2500)Pending',null,'76','76','2021-03-01 13:59:15','2021-03-01 13:59:15',null);
INSERT INTO complaint_statuses VALUES('15169','4515','7','24','81',null,null,'82','82','2021-03-01 14:04:14','2021-03-01 14:04:14',null);
INSERT INTO complaint_statuses VALUES('15170','4494','7','9','81','Inverter frig hy plz compny ko farwerd kary',null,'82','82','2021-03-01 14:05:10','2021-03-01 14:05:10',null);
INSERT INTO complaint_statuses VALUES('15171','4489','7','12','81','Child lock tha ho hea gea hy okay',null,'82','82','2021-03-01 14:06:15','2021-03-01 14:06:15',null);
INSERT INTO complaint_statuses VALUES('15172','4360','7','12','81','Machin belanc issue tha olay kar dia tha',null,'82','82','2021-03-01 14:07:09','2021-03-01 14:07:09',null);
INSERT INTO complaint_statuses VALUES('15173','4475','7','24','81','Gezar custmer ny workshop phonchana hy',null,'82','82','2021-03-01 14:07:41','2021-03-01 14:07:41',null);
INSERT INTO complaint_statuses VALUES('15174','3748','7','26','81','Plz isko close kar custmer ka frezer main bakra hy  jab free ho ga to bhejy gy',null,'82','82','2021-03-01 14:09:30','2021-03-01 14:09:30',null);
INSERT INTO complaint_statuses VALUES('15175','4561','2',null,'81',null,'01-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-01 14:15:27','2021-03-01 14:15:27',null);
INSERT INTO complaint_statuses VALUES('15176','4352','7','12','81','Drain Heater Replaced.',null,'76','76','2021-03-01 14:41:51','2021-03-01 14:41:51',null);
INSERT INTO complaint_statuses VALUES('15177','4039','7','26','81','Miss Customer Washing Machine Ni ly k aay Please cancel the Job.',null,'76','76','2021-03-01 14:42:44','2021-03-01 14:42:44',null);
INSERT INTO complaint_statuses VALUES('15178','4562','3',null,'59',null,'01-MAR-2021
COM NO4243180947','92','74','2021-03-01 14:43:35','2021-03-01 16:33:41',null);
INSERT INTO complaint_statuses VALUES('15179','4561','4',null,'55',null,null,'81','81','2021-03-01 14:45:49','2021-03-01 14:45:49',null);
INSERT INTO complaint_statuses VALUES('15180','4563','3',null,'52',null,'01-MAR-2021
COM NO PKRI-210301110851','92','92','2021-03-01 14:57:32','2021-03-01 16:32:48',null);
INSERT INTO complaint_statuses VALUES('15181','3748','5','15',null,'COMPLAINT CUSTOMER KI SIDE SA DELAY HAIN COMPLAINT CLOSED','COMPLAINT CLOSED
RF I 10 S/C AGAY HAIN  INVOICE ADIL BHAI   KO SHER KAR DI','81','74','2021-03-01 15:16:37','2021-03-22 14:57:40',null);
INSERT INTO complaint_statuses VALUES('15182','4039','5','15',null,'COMPLAINT CUSTOMER KI SIDE SA DELAY HAIN COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-03-01 15:18:21','2021-03-01 15:33:44',null);
INSERT INTO complaint_statuses VALUES('15183','4352','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-01 15:19:59','2021-03-01 15:34:13',null);
INSERT INTO complaint_statuses VALUES('15184','4360','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-01 15:21:17','2021-03-01 15:35:13',null);
INSERT INTO complaint_statuses VALUES('15185','4476','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-01 15:22:39','2021-03-01 15:32:47',null);
INSERT INTO complaint_statuses VALUES('15186','4489','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-01 15:23:31','2021-03-01 15:32:06',null);
INSERT INTO complaint_statuses VALUES('15187','4494','5','15',null,'CUSTOMER KO SUMSUNG KA UN NO PROVIDE KAR DIA COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-03-01 15:25:49','2021-03-01 15:31:39',null);
INSERT INTO complaint_statuses VALUES('15188','4564','3',null,'54',null,'01-MAR-2021
COM 1823516','92','92','2021-03-01 15:27:09','2021-03-16 11:06:50',null);
INSERT INTO complaint_statuses VALUES('15189','4521','7','12','81','Filter Service.',null,'76','76','2021-03-01 15:27:34','2021-03-01 15:27:34',null);
INSERT INTO complaint_statuses VALUES('15190','4479','7','24','81','Reffer to SVC in SVC , Please confirm to the Customer',null,'76','76','2021-03-01 15:29:00','2021-03-01 15:29:00',null);
INSERT INTO complaint_statuses VALUES('15191','4498','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-01 15:29:53','2021-03-01 15:31:10',null);
INSERT INTO complaint_statuses VALUES('15192','4521','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-01 15:33:52','2021-03-01 15:35:48',null);
INSERT INTO complaint_statuses VALUES('15193','1311','7','26','81',null,null,'76','76','2021-03-01 16:25:04','2021-03-01 16:25:04',null);
INSERT INTO complaint_statuses VALUES('15194','1336','7','26','81',null,null,'76','76','2021-03-01 16:25:23','2021-03-01 16:25:23',null);
INSERT INTO complaint_statuses VALUES('15195','4353','7','12','81','Magnatrone Replaced.',null,'76','76','2021-03-01 16:26:24','2021-03-01 16:26:24',null);
INSERT INTO complaint_statuses VALUES('15196','4356','7','22','81','Main PCB Faulty , Estimate Hold form Customer Side.',null,'76','76','2021-03-01 16:27:11','2021-03-01 16:27:11',null);
INSERT INTO complaint_statuses VALUES('15197','4295','7','12','81','Heat gun Replaced',null,'76','76','2021-03-01 16:29:24','2021-03-01 16:29:24',null);
INSERT INTO complaint_statuses VALUES('15198','1311','5','15',null,'DOOR GASS  NOT AVAILABLE 
COMPLAINT KHURRAM SIR NA CLOSED KARWA DI','COMPLAINT RESOLVED','81','92','2021-03-01 16:34:43','2021-03-01 16:43:54',null);
INSERT INTO complaint_statuses VALUES('15199','1336','5','15',null,'COMPLAINT CUSTOMER SIDE SA DELAY HAIN COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-03-01 16:35:44','2021-03-01 16:44:24',null);
INSERT INTO complaint_statuses VALUES('15200','4295','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-01 16:37:06','2021-03-01 16:43:24',null);
INSERT INTO complaint_statuses VALUES('15201','4565','3',null,'52',null,'01-MAR-2021
COM NO PKRI-210301111097','92','92','2021-03-01 16:39:14','2021-03-01 16:42:49',null);
INSERT INTO complaint_statuses VALUES('15202','4353','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-01 16:48:19','2021-03-01 17:11:17',null);
INSERT INTO complaint_statuses VALUES('15203','4356','8','23','55','CUSTOMER SA BAT HO GEI HAIN KAL TAQ FINAL KAR K CALL KARAY GEI',null,'81','81','2021-03-01 16:51:21','2021-03-01 16:51:21',null);
INSERT INTO complaint_statuses VALUES('15204','4566','2',null,'81',null,'01-MAR-2021
COM NO PKRI-210301111460','92','92','2021-03-01 16:58:02','2021-03-01 17:04:17',null);
INSERT INTO complaint_statuses VALUES('15205','4566','4',null,'64',null,null,'81','81','2021-03-01 17:05:10','2021-03-01 17:05:10',null);
INSERT INTO complaint_statuses VALUES('15206','4567','2',null,'81',null,'01-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-01 17:30:31','2021-03-01 17:30:31',null);
INSERT INTO complaint_statuses VALUES('15207','4532','7','12','81','Problem Solved on Side Visit (Visit Pending 1000)',null,'76','76','2021-03-01 17:32:27','2021-03-01 17:32:27',null);
INSERT INTO complaint_statuses VALUES('15208','4568','2',null,'81',null,'01-MAR-2021
COM FF TO SONY KHALID','92','92','2021-03-01 17:43:56','2021-03-01 17:43:56',null);
INSERT INTO complaint_statuses VALUES('15209','4567','4',null,'55',null,null,'81','81','2021-03-01 17:45:13','2021-03-01 17:45:13',null);
INSERT INTO complaint_statuses VALUES('15210','4568','4',null,'56',null,null,'81','81','2021-03-01 17:45:24','2021-03-01 17:45:24',null);
INSERT INTO complaint_statuses VALUES('15211','4560','7','12','81','complaint resolved.',null,'79','79','2021-03-01 19:57:38','2021-03-01 19:57:38',null);
INSERT INTO complaint_statuses VALUES('15212','4528','7','22','81','compressor issue',null,'79','79','2021-03-01 19:59:17','2021-03-01 19:59:17',null);
INSERT INTO complaint_statuses VALUES('15213','4520','7','12','81','water pressure km hai .complaint resolved',null,'79','79','2021-03-01 19:59:53','2021-03-01 19:59:53',null);
INSERT INTO complaint_statuses VALUES('15214','3992','7','12','81','Completed and collected',null,'77','77','2021-03-02 10:28:37','2021-03-02 10:28:37',null);
INSERT INTO complaint_statuses VALUES('15215','4388','7','12','81','No action unit collected by aneeq',null,'77','77','2021-03-02 10:30:11','2021-03-02 10:30:11',null);
INSERT INTO complaint_statuses VALUES('15216','4569','2',null,'81',null,'02-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-02 10:54:23','2021-03-02 10:54:23',null);
INSERT INTO complaint_statuses VALUES('15217','4333','7','24','81','Pcb theek nhi huwi',null,'82','82','2021-03-02 11:12:44','2021-03-02 11:12:44',null);
INSERT INTO complaint_statuses VALUES('15218','4570','2',null,'81',null,'02-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-02 11:16:18','2021-03-02 11:16:18',null);
INSERT INTO complaint_statuses VALUES('15219','4570','4',null,'62',null,null,'81','81','2021-03-02 11:20:40','2021-03-02 11:20:40',null);
INSERT INTO complaint_statuses VALUES('15220','4569','4',null,'63',null,null,'81','81','2021-03-02 11:20:50','2021-03-02 11:20:50',null);
INSERT INTO complaint_statuses VALUES('15221','4571','2',null,'81',null,'02-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-02 11:25:57','2021-03-02 11:25:57',null);
INSERT INTO complaint_statuses VALUES('15222','4505','7','24','81','Oven i10 serves center bhej rahy heat elment hrab hy',null,'82','82','2021-03-02 11:29:03','2021-03-02 11:29:03',null);
INSERT INTO complaint_statuses VALUES('15223','4571','4',null,'55',null,null,'81','81','2021-03-02 11:30:07','2021-03-02 11:30:07',null);
INSERT INTO complaint_statuses VALUES('15224','4572','3',null,'54',null,'02-MAR-2021
COM NO 1823941','92','92','2021-03-02 11:40:29','2021-03-02 11:50:16',null);
INSERT INTO complaint_statuses VALUES('15225','4573','3',null,'55',null,'02-MAR-2021
COM NO RWP-18613','92','92','2021-03-02 11:44:03','2021-03-02 13:47:10',null);
INSERT INTO complaint_statuses VALUES('15226','4539','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-02 11:56:57','2021-03-02 11:56:57',null);
INSERT INTO complaint_statuses VALUES('15227','4574','3',null,'52',null,'02-MAR-2021
COM NO PKRI-210302104514','92','74','2021-03-02 12:03:14','2021-03-02 12:25:23',null);
INSERT INTO complaint_statuses VALUES('15228','4538','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-02 12:05:34','2021-03-02 12:05:34',null);
INSERT INTO complaint_statuses VALUES('15229','4537','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-02 12:10:03','2021-03-02 12:10:03',null);
INSERT INTO complaint_statuses VALUES('15230','4575','2',null,'81',null,'02-FEB-2021
FF TO SHAMIM AKHTER','74','74','2021-03-02 12:17:39','2021-03-02 12:17:39',null);
INSERT INTO complaint_statuses VALUES('15231','4575','4',null,'55',null,null,'81','81','2021-03-02 12:22:22','2021-03-02 12:22:22',null);
INSERT INTO complaint_statuses VALUES('15232','4531','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-02 12:29:21','2021-03-02 12:29:21',null);
INSERT INTO complaint_statuses VALUES('15233','4576','2',null,'81',null,'02-MAR-2021
COM FF TO KHALID SONY','92','92','2021-03-02 12:29:31','2021-03-02 12:29:31',null);
INSERT INTO complaint_statuses VALUES('15234','4576','4',null,'56',null,null,'81','81','2021-03-02 12:30:38','2021-03-02 12:30:38',null);
INSERT INTO complaint_statuses VALUES('15235','4577','3',null,'53',null,'02-MAR-2021
COM NO','92','92','2021-03-02 12:37:00','2021-03-02 14:09:23',null);
INSERT INTO complaint_statuses VALUES('15236','3128','7','12','81','unit already ok and collected',null,'77','77','2021-03-02 12:37:13','2021-03-02 12:37:13',null);
INSERT INTO complaint_statuses VALUES('15237','4097','7','12','81','No issue',null,'77','77','2021-03-02 12:39:12','2021-03-02 12:39:12',null);
INSERT INTO complaint_statuses VALUES('15238','3992','8','23','56','COMPLAINT BY MISTAKE COMPLETED KAR DI KHALID SIR NA',null,'81','81','2021-03-02 12:40:49','2021-03-02 12:40:49',null);
INSERT INTO complaint_statuses VALUES('15239','3128','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-02 12:42:00','2021-03-02 13:05:18',null);
INSERT INTO complaint_statuses VALUES('15240','4578','2',null,'81',null,'02-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-02 12:42:05','2021-03-02 12:42:05',null);
INSERT INTO complaint_statuses VALUES('15241','4578','4',null,'58',null,null,'81','81','2021-03-02 12:42:45','2021-03-02 12:42:45',null);
INSERT INTO complaint_statuses VALUES('15242','4097','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-02 12:46:17','2021-03-02 13:04:54',null);
INSERT INTO complaint_statuses VALUES('15243','4388','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-02 12:47:20','2021-03-02 13:04:31',null);
INSERT INTO complaint_statuses VALUES('15244','4520','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-02 12:49:09','2021-03-02 13:04:07',null);
INSERT INTO complaint_statuses VALUES('15245','4532','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-02 12:51:07','2021-03-02 13:03:40',null);
INSERT INTO complaint_statuses VALUES('15246','4579','2',null,'81',null,'02-MAR-2021
COM FF TO KHURRAM FIVE SATR','92','92','2021-03-02 12:52:11','2021-03-02 12:52:11',null);
INSERT INTO complaint_statuses VALUES('15247','4530','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-02 12:56:06','2021-03-02 12:56:06',null);
INSERT INTO complaint_statuses VALUES('15248','4560','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-02 12:59:27','2021-03-02 13:01:27',null);
INSERT INTO complaint_statuses VALUES('15249','4580','3',null,'52',null,'02+-MAR-2021
COM NO PKRI-210302106162','92','92','2021-03-02 12:59:31','2021-03-02 13:03:08',null);
INSERT INTO complaint_statuses VALUES('15250','4581','2',null,'81',null,'02-MAR-2021
COM FF TO AZHAR FCI','92','92','2021-03-02 13:28:24','2021-03-02 13:28:24',null);
INSERT INTO complaint_statuses VALUES('15251','4579','4',null,'63',null,null,'81','81','2021-03-02 13:30:38','2021-03-02 13:30:38',null);
INSERT INTO complaint_statuses VALUES('15252','4581','4',null,'60',null,null,'81','81','2021-03-02 13:30:55','2021-03-02 13:30:55',null);
INSERT INTO complaint_statuses VALUES('15253','4582','3',null,'59',null,'02-MAR-2021
COM NO 4243227511','92','92','2021-03-02 13:39:21','2021-03-02 14:59:50',null);
INSERT INTO complaint_statuses VALUES('15254','4583','2',null,'81',null,'02-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-02 14:05:48','2021-03-02 14:05:48',null);
INSERT INTO complaint_statuses VALUES('15255','4577','5',null,null,'COMPLAINT CANCEL',null,'92','92','2021-03-02 14:09:41','2021-03-02 14:09:41',null);
INSERT INTO complaint_statuses VALUES('15256','4583','4',null,'58',null,null,'81','81','2021-03-02 14:11:51','2021-03-02 14:11:51',null);
INSERT INTO complaint_statuses VALUES('15257','4584','2',null,'81',null,'02-MAR-2021
COM NO 1093868','92','92','2021-03-02 14:23:57','2021-03-02 15:26:29',null);
INSERT INTO complaint_statuses VALUES('15258','4585','2',null,'81',null,'02-MAR-2021
COM NO 1824187','92','92','2021-03-02 14:29:37','2021-03-02 14:45:56',null);
INSERT INTO complaint_statuses VALUES('15259','4585','4',null,'64',null,null,'81','81','2021-03-02 14:46:17','2021-03-02 14:46:17',null);
INSERT INTO complaint_statuses VALUES('15260','4586','3',null,'55',null,'02-MAR-2021
COM  FF TO WAQAR KENWOOD','92','92','2021-03-02 15:18:30','2021-03-10 11:13:39',null);
INSERT INTO complaint_statuses VALUES('15261','4584','4',null,'64',null,null,'81','81','2021-03-02 15:26:48','2021-03-02 15:26:48',null);
INSERT INTO complaint_statuses VALUES('15262','4587','2',null,'81',null,'02-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-02 15:39:04','2021-03-02 15:39:04',null);
INSERT INTO complaint_statuses VALUES('15263','4588','2',null,'81',null,'02-MAR-2021
COM FF TO USMAN SIR','92','92','2021-03-02 16:14:20','2021-03-02 16:14:20',null);
INSERT INTO complaint_statuses VALUES('15264','4132','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-02 16:17:57','2021-03-02 16:17:57',null);
INSERT INTO complaint_statuses VALUES('15265','4578','7','12','81','operating issue complaint reosved',null,'79','79','2021-03-02 16:23:22','2021-03-02 16:23:22',null);
INSERT INTO complaint_statuses VALUES('15266','4589','2',null,'81',null,'02-MAR-2021
COM FF TO AZHAR FCI','92','92','2021-03-02 16:28:39','2021-03-02 16:28:39',null);
INSERT INTO complaint_statuses VALUES('15267','4461','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-02 16:38:20','2021-03-02 16:38:20',null);
INSERT INTO complaint_statuses VALUES('15268','4349','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-02 16:40:59','2021-03-02 16:40:59',null);
INSERT INTO complaint_statuses VALUES('15269','4578','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-02 16:43:02','2021-03-03 10:43:28',null);
INSERT INTO complaint_statuses VALUES('15270','4461','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-02 16:43:58','2021-03-03 10:44:16',null);
INSERT INTO complaint_statuses VALUES('15271','4527','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-02 16:45:02','2021-03-02 16:45:02',null);
INSERT INTO complaint_statuses VALUES('15272','4590','3',null,'73',null,'02-MAR-2021
COM NO 4120','92','92','2021-03-02 16:45:23','2021-03-06 13:57:10',null);
INSERT INTO complaint_statuses VALUES('15273','4349','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-02 16:46:10','2021-03-03 10:44:44',null);
INSERT INTO complaint_statuses VALUES('15274','4522','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-02 16:49:37','2021-03-02 16:49:37',null);
INSERT INTO complaint_statuses VALUES('15275','4591','3',null,'55',null,'02-MAR-2021
COM NO 192121136','92','92','2021-03-02 17:10:05','2021-03-02 17:10:05',null);
INSERT INTO complaint_statuses VALUES('15276','4592','2',null,'81',null,'02-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-02 17:14:53','2021-03-02 17:14:53',null);
INSERT INTO complaint_statuses VALUES('15277','4587','4',null,'58',null,null,'81','81','2021-03-02 17:16:10','2021-03-02 17:16:10',null);
INSERT INTO complaint_statuses VALUES('15278','4589','4',null,'60',null,null,'81','81','2021-03-02 17:16:56','2021-03-02 17:16:56',null);
INSERT INTO complaint_statuses VALUES('15279','4592','4',null,'55',null,null,'81','81','2021-03-02 17:17:26','2021-03-02 17:17:26',null);
INSERT INTO complaint_statuses VALUES('15280','4593','2',null,'81',null,'02-MAR-2021
COM NO PKRI-210302112126','92','92','2021-03-02 17:37:01','2021-03-02 17:37:01',null);
INSERT INTO complaint_statuses VALUES('15281','4594','2',null,'81',null,'02-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-02 18:08:14','2021-03-02 18:08:14',null);
INSERT INTO complaint_statuses VALUES('15282','4594','4',null,'62',null,null,'81','81','2021-03-02 18:18:36','2021-03-02 18:18:36',null);
INSERT INTO complaint_statuses VALUES('15283','4593','4',null,'64',null,null,'81','81','2021-03-02 18:18:56','2021-03-02 18:18:56',null);
INSERT INTO complaint_statuses VALUES('15284','4588','4',null,'61',null,null,'81','81','2021-03-02 18:19:11','2021-03-02 18:19:11',null);
INSERT INTO complaint_statuses VALUES('15285','4490','7','12','81','Unit ok no any problem found only visit',null,'83','83','2021-03-02 22:22:39','2021-03-02 22:22:39',null);
INSERT INTO complaint_statuses VALUES('15286','4490','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-03 10:35:30','2021-03-03 10:43:53',null);
INSERT INTO complaint_statuses VALUES('15287','4550','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-03 10:45:19','2021-03-03 10:45:19',null);
INSERT INTO complaint_statuses VALUES('15288','4549','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-03 10:48:09','2021-03-03 10:48:09',null);
INSERT INTO complaint_statuses VALUES('15289','4548','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-03 10:51:37','2021-03-03 10:51:37',null);
INSERT INTO complaint_statuses VALUES('15290','4548','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-03 10:52:01','2021-03-03 10:52:20',null);
INSERT INTO complaint_statuses VALUES('15291','4472','7','12','81','glass laga dya hai.complaint resolved',null,'79','79','2021-03-03 10:54:25','2021-03-03 10:54:25',null);
INSERT INTO complaint_statuses VALUES('15292','3919','7','12','81','handle not arrange.',null,'79','79','2021-03-03 10:55:04','2021-03-03 10:55:04',null);
INSERT INTO complaint_statuses VALUES('15293','4357','7','12','81','complint resolved',null,'79','79','2021-03-03 10:55:41','2021-03-03 10:55:41',null);
INSERT INTO complaint_statuses VALUES('15294','4595','2',null,'81',null,'03-MAR-2021
COM NO 301094047','92','92','2021-03-03 11:06:35','2021-03-03 11:35:41',null);
INSERT INTO complaint_statuses VALUES('15295','4596','3',null,'52',null,'03-MAR-2021
COM NO PKRI-210303103581','92','92','2021-03-03 11:31:58','2021-03-03 11:35:19',null);
INSERT INTO complaint_statuses VALUES('15296','4595','4',null,'64',null,null,'81','81','2021-03-03 11:36:04','2021-03-03 11:36:04',null);
INSERT INTO complaint_statuses VALUES('15297','4357','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-03 11:40:59','2021-03-03 11:58:51',null);
INSERT INTO complaint_statuses VALUES('15298','4597','2',null,'81',null,'03-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-03 11:55:09','2021-03-03 11:55:09',null);
INSERT INTO complaint_statuses VALUES('15299','4598','2',null,'81',null,'03-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-03 12:06:09','2021-03-03 12:06:09',null);
INSERT INTO complaint_statuses VALUES('15300','4599','3',null,'59',null,'03-MAR-2021
COMPLAINT#4243277195','74','74','2021-03-03 12:06:23','2021-03-03 17:04:48',null);
INSERT INTO complaint_statuses VALUES('15301','4600','3',null,'57',null,'03-MAR-2021
COM NO 16957','92','92','2021-03-03 12:17:00','2021-03-03 13:34:55',null);
INSERT INTO complaint_statuses VALUES('15302','4528','8','23','58',null,null,'81','81','2021-03-03 12:29:18','2021-03-03 12:29:18',null);
INSERT INTO complaint_statuses VALUES('15303','4517','8','23','62',null,null,'81','81','2021-03-03 12:29:49','2021-03-03 12:29:49',null);
INSERT INTO complaint_statuses VALUES('15304','4515','8','23','60',null,null,'81','81','2021-03-03 12:30:20','2021-03-03 12:30:20',null);
INSERT INTO complaint_statuses VALUES('15305','4505','8','23','60',null,'SCREEN SHOT  ADIL BHI NA LA LIYA','81','74','2021-03-03 12:30:51','2021-03-29 17:00:14',null);
INSERT INTO complaint_statuses VALUES('15306','4601','2',null,'81',null,'03-MAR-2021
COM FF TO KHALID SONY','92','92','2021-03-03 12:32:00','2021-03-03 12:32:00',null);
INSERT INTO complaint_statuses VALUES('15307','4479','8','23','55','please explain the problem',null,'81','81','2021-03-03 12:32:32','2021-03-03 12:32:32',null);
INSERT INTO complaint_statuses VALUES('15308','4601','4',null,'56',null,null,'81','81','2021-03-03 12:32:47','2021-03-03 12:32:47',null);
INSERT INTO complaint_statuses VALUES('15309','4598','4',null,'62',null,null,'81','81','2021-03-03 12:33:09','2021-03-03 12:33:09',null);
INSERT INTO complaint_statuses VALUES('15310','4597','4',null,'63',null,null,'81','81','2021-03-03 12:33:19','2021-03-03 12:33:19',null);
INSERT INTO complaint_statuses VALUES('15311','4475','8','23','60','please explain the problem',null,'81','81','2021-03-03 12:39:23','2021-03-03 12:39:23',null);
INSERT INTO complaint_statuses VALUES('15312','4333','8','23','60',null,null,'81','81','2021-03-03 12:40:41','2021-03-03 12:40:41',null);
INSERT INTO complaint_statuses VALUES('15313','4602','3',null,'73',null,'03-MAR-2021
COM NO 4124','92','92','2021-03-03 12:40:50','2021-03-03 12:40:50',null);
INSERT INTO complaint_statuses VALUES('15314','3919','8','23','58','dhalai karva len',null,'81','81','2021-03-03 12:41:42','2021-03-03 12:41:42',null);
INSERT INTO complaint_statuses VALUES('15315','4583','7','12','81','INLET COIL SERVICE COMPLAINT RESOLVED',null,'79','79','2021-03-03 12:42:52','2021-03-03 12:42:52',null);
INSERT INTO complaint_statuses VALUES('15316','4513','7','12','81','DEMO DIYA HOB+ OVEN COMPLETED COMPLAINT',null,'88','88','2021-03-03 13:18:16','2021-03-03 13:18:16',null);
INSERT INTO complaint_statuses VALUES('15317','4341','7','12','81','BULB LAGAYA HAIN .
500',null,'88','88','2021-03-03 13:21:11','2021-03-03 13:21:11',null);
INSERT INTO complaint_statuses VALUES('15318','4603','3',null,'53',null,'03-MAR-2021
COM NO 301094154','92','92','2021-03-03 13:22:44','2021-03-03 13:25:06',null);
INSERT INTO complaint_statuses VALUES('15319','4341','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-03 13:22:57','2021-03-03 14:14:18',null);
INSERT INTO complaint_statuses VALUES('15320','4567','7','26','81','No Need Of Visit.',null,'76','76','2021-03-03 13:24:43','2021-03-03 13:24:43',null);
INSERT INTO complaint_statuses VALUES('15321','4513','8','15','63','COMPLETED COMPLANT',null,'81','81','2021-03-03 13:24:56','2021-03-03 13:24:56',null);
INSERT INTO complaint_statuses VALUES('15322','4479','7','24','81','Service Require , refer to SVC after visit .',null,'76','76','2021-03-03 13:25:40','2021-03-03 13:25:40',null);
INSERT INTO complaint_statuses VALUES('15323','4513','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-03 13:25:59','2021-03-03 13:25:59',null);
INSERT INTO complaint_statuses VALUES('15324','4513','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-03 13:27:31','2021-03-03 17:28:05',null);
INSERT INTO complaint_statuses VALUES('15325','4583','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','92','2021-03-03 13:30:34','2021-03-03 17:28:56',null);
INSERT INTO complaint_statuses VALUES('15326','4567','5','15',null,'COMPLAINT KA ISSUE KHUD SA RESOLVED HO GAYA THA COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-03-03 13:41:59','2021-03-03 17:28:31',null);
INSERT INTO complaint_statuses VALUES('15327','4604','2',null,'81',null,'03-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-03 13:56:36','2021-03-03 14:04:00',null);
INSERT INTO complaint_statuses VALUES('15328','4605','2',null,'81',null,'03-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-03 14:10:24','2021-03-03 14:10:24',null);
INSERT INTO complaint_statuses VALUES('15329','4605','4',null,'58',null,null,'81','81','2021-03-03 14:25:03','2021-03-03 14:25:03',null);
INSERT INTO complaint_statuses VALUES('15330','4604','4',null,'55',null,null,'81','81','2021-03-03 14:25:17','2021-03-03 14:25:17',null);
INSERT INTO complaint_statuses VALUES('15331','4606','2',null,'81',null,'03-MAR-2021
COM FF TO USMAN SIR','92','92','2021-03-03 14:46:29','2021-03-03 14:46:29',null);
INSERT INTO complaint_statuses VALUES('15332','4587','7','12','81','duckt issue complaint reoslved',null,'79','79','2021-03-03 15:20:39','2021-03-03 15:20:39',null);
INSERT INTO complaint_statuses VALUES('15333','4607','2',null,'81',null,'03-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-03 15:30:28','2021-03-03 15:30:28',null);
INSERT INTO complaint_statuses VALUES('15334','4606','4',null,'61',null,null,'81','81','2021-03-03 15:31:41','2021-03-03 15:31:41',null);
INSERT INTO complaint_statuses VALUES('15335','4607','4',null,'62',null,null,'81','81','2021-03-03 15:31:55','2021-03-03 15:31:55',null);
INSERT INTO complaint_statuses VALUES('15336','4608','2',null,'81',null,'03-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-03 16:19:29','2021-03-03 16:19:29',null);
INSERT INTO complaint_statuses VALUES('15337','4609','2',null,'81',null,'03-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-03 16:41:03','2021-03-03 16:41:03',null);
INSERT INTO complaint_statuses VALUES('15338','4432','7','24','81','YHA SIG C/R KI COMPLAINT  AP NA ATTEND KARNI HAIN',null,'88','88','2021-03-03 16:46:37','2021-03-03 16:46:37',null);
INSERT INTO complaint_statuses VALUES('15339','4432','8','23','63','COMPLAINT COMPLETED QUKILEY',null,'81','81','2021-03-03 16:47:35','2021-03-03 16:47:35',null);
INSERT INTO complaint_statuses VALUES('15340','4610','3',null,'55',null,'03-MAR-2021
COM NO 733925','92','92','2021-03-03 16:49:20','2021-03-03 16:49:20',null);
INSERT INTO complaint_statuses VALUES('15341','4587','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-03 16:51:43','2021-03-03 17:27:40',null);
INSERT INTO complaint_statuses VALUES('15342','4611','3',null,'53',null,'03-MAR-2021
COM NO 301094313','92','92','2021-03-03 16:55:33','2021-03-03 16:55:33',null);
INSERT INTO complaint_statuses VALUES('15343','4612','2',null,'81',null,'03-MAR-2021
COM FF TO NADEEM SIR','92','92','2021-03-03 16:56:50','2021-03-03 16:56:50',null);
INSERT INTO complaint_statuses VALUES('15344','4613','2',null,'81',null,'03-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-03 17:04:07','2021-03-03 17:04:07',null);
INSERT INTO complaint_statuses VALUES('15345','4386','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-03 17:12:42','2021-03-03 17:12:42',null);
INSERT INTO complaint_statuses VALUES('15346','4614','2',null,'81',null,'03-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-03 17:12:52','2021-03-03 17:12:52',null);
INSERT INTO complaint_statuses VALUES('15347','4614','4',null,'63',null,null,'81','81','2021-03-03 17:14:59','2021-03-03 17:14:59',null);
INSERT INTO complaint_statuses VALUES('15348','4613','4',null,'62',null,null,'81','81','2021-03-03 17:15:09','2021-03-03 17:15:09',null);
INSERT INTO complaint_statuses VALUES('15349','4612','4',null,'59',null,null,'81','81','2021-03-03 17:15:21','2021-03-03 17:15:21',null);
INSERT INTO complaint_statuses VALUES('15350','4542','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-03 17:15:21','2021-03-03 17:15:21',null);
INSERT INTO complaint_statuses VALUES('15351','4609','4',null,'58',null,null,'81','81','2021-03-03 17:15:46','2021-03-03 17:15:46',null);
INSERT INTO complaint_statuses VALUES('15352','4608','4',null,'62',null,null,'81','81','2021-03-03 17:16:02','2021-03-03 17:16:02',null);
INSERT INTO complaint_statuses VALUES('15353','4615','2',null,'81',null,'03-MAR-2021
COM NO PKRI-210303111252','92','92','2021-03-03 17:22:37','2021-03-03 17:22:37',null);
INSERT INTO complaint_statuses VALUES('15354','4616','3',null,'55',null,'03-MAR-2021
COM NO 18656','92','92','2021-03-03 17:37:56','2021-03-03 17:37:56',null);
INSERT INTO complaint_statuses VALUES('15355','4615','4',null,'64',null,null,'81','81','2021-03-03 17:42:20','2021-03-03 17:42:20',null);
INSERT INTO complaint_statuses VALUES('15356','4576','7','12','81','unit ok onlyvservices. Unit with customer',null,'77','77','2021-03-03 18:37:51','2021-03-03 18:37:51',null);
INSERT INTO complaint_statuses VALUES('15357','4558','7','12','81','Only services unit ok. Unit with customer',null,'77','77','2021-03-03 18:38:50','2021-03-03 18:38:50',null);
INSERT INTO complaint_statuses VALUES('15358','4541','7','22','81','Gizar change karny ka bol diya hy',null,'88','88','2021-03-03 21:04:26','2021-03-03 21:04:26',null);
INSERT INTO complaint_statuses VALUES('15359','3677','7','12','81','Tank change Kar diya hy',null,'88','88','2021-03-03 21:06:00','2021-03-03 21:06:00',null);
INSERT INTO complaint_statuses VALUES('15360','4540','7','12','81','Tharmostat kharb tha OK  how Gaya hy',null,'88','88','2021-03-03 21:07:08','2021-03-03 21:07:08',null);
INSERT INTO complaint_statuses VALUES('15361','4524','7','22','81','Alimant shat hay safety Wal ni laga castamar ko chargiz bata diya hy',null,'88','88','2021-03-03 21:09:53','2021-03-03 21:09:53',null);
INSERT INTO complaint_statuses VALUES('15362','4506','7','12','81','Nob tuti the change Kar di hy',null,'88','88','2021-03-03 21:11:43','2021-03-03 21:11:43',null);
INSERT INTO complaint_statuses VALUES('15363','4503','7','12','81','Hob auto ni chala tha aik Chula ka or boiltinoven ka balab kharb tha OK 550 f',null,'88','88','2021-03-03 21:14:06','2021-03-03 21:14:06',null);
INSERT INTO complaint_statuses VALUES('15364','4480','7','12','81','Gril ni chal Rahi the wo chala di or digital time ka samja y k Liya Tahir ka number dy diya hy',null,'88','88','2021-03-03 21:15:41','2021-03-03 21:15:41',null);
INSERT INTO complaint_statuses VALUES('15365','4389','7','12','81','Tharmostat kharb tha change Kar diya hy',null,'88','88','2021-03-03 21:17:19','2021-03-03 21:17:19',null);
INSERT INTO complaint_statuses VALUES('15366','4374','7','22','81','Tanki k nicha gizar laga hy Fasla kam hy castamar ko bata tha noritarn Wal lagna hy ni lagaya phir jal Gaya how GA',null,'88','88','2021-03-03 21:19:20','2021-03-03 21:19:20',null);
INSERT INTO complaint_statuses VALUES('15367','3948','7','22','81','Wal tuta hy',null,'88','88','2021-03-03 21:21:55','2021-03-03 21:21:55',null);
INSERT INTO complaint_statuses VALUES('15368','4273','7','12','81','Oven ka masla tha thik how Gaya hy',null,'88','88','2021-03-03 21:28:45','2021-03-03 21:28:45',null);
INSERT INTO complaint_statuses VALUES('15369','4501','7','9','81','Screen cleaned 
Unit ok 
Payment PENDING 
2500rs
Customer online pay kary ga',null,'83','83','2021-03-03 22:29:35','2021-03-03 22:29:35',null);
INSERT INTO complaint_statuses VALUES('15370','4581','7','24','81',null,null,'82','82','2021-03-04 10:33:01','2021-03-04 10:33:01',null);
INSERT INTO complaint_statuses VALUES('15371','4617','2',null,'81',null,'04-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-04 10:33:20','2021-03-04 10:33:20',null);
INSERT INTO complaint_statuses VALUES('15372','4618','2',null,'81',null,'04-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-04 10:36:35','2021-03-04 10:36:35',null);
INSERT INTO complaint_statuses VALUES('15373','4619','2',null,'81',null,'04-MAR-2021
COM NO 4130','92','92','2021-03-04 10:46:05','2021-03-04 10:46:05',null);
INSERT INTO complaint_statuses VALUES('15374','4619','4',null,'64',null,null,'81','81','2021-03-04 10:47:23','2021-03-04 10:47:23',null);
INSERT INTO complaint_statuses VALUES('15375','4618','4',null,'63',null,null,'81','81','2021-03-04 10:47:32','2021-03-04 10:47:32',null);
INSERT INTO complaint_statuses VALUES('15376','4617','4',null,'55',null,null,'81','81','2021-03-04 10:47:52','2021-03-04 10:47:52',null);
INSERT INTO complaint_statuses VALUES('15377','4620','3',null,'52',null,'04-MAR-2021
COM NO PKRI-210304102464','92','92','2021-03-04 11:02:30','2021-03-04 16:38:49',null);
INSERT INTO complaint_statuses VALUES('15378','3677','8','23','63','AIK GEYSER RAHA GAYA JAB WO TANK LAG JAY GA TAB COMPLAINT COMPLETED KLIJAY GA',null,'81','81','2021-03-04 11:18:22','2021-03-04 11:18:22',null);
INSERT INTO complaint_statuses VALUES('15379','4621','3',null,'54',null,'04-MAR-2021
COM NO 1825249','92','92','2021-03-04 11:20:29','2021-03-04 11:20:29',null);
INSERT INTO complaint_statuses VALUES('15380','4559','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-04 11:41:01','2021-03-04 11:41:01',null);
INSERT INTO complaint_statuses VALUES('15381','4483','7','12','81','no issue in hob',null,'79','79','2021-03-04 11:42:30','2021-03-04 11:42:30',null);
INSERT INTO complaint_statuses VALUES('15382','4622','2',null,'81',null,'04-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-04 11:49:14','2021-03-04 11:49:14',null);
INSERT INTO complaint_statuses VALUES('15383','4622','4',null,'58',null,null,'81','81','2021-03-04 11:50:08','2021-03-04 11:50:08',null);
INSERT INTO complaint_statuses VALUES('15384','4389','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-04 12:04:23','2021-03-04 12:59:13',null);
INSERT INTO complaint_statuses VALUES('15385','4556','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-04 12:08:29','2021-03-04 12:08:29',null);
INSERT INTO complaint_statuses VALUES('15386','1945','7','26','81','Khuram sab keh rahy closed kar dy',null,'82','82','2021-03-04 12:11:06','2021-03-04 12:11:06',null);
INSERT INTO complaint_statuses VALUES('15387','4459','7','26','81','Plz ye complain compny ko farwed kar dy',null,'82','82','2021-03-04 12:25:49','2021-03-04 12:25:49',null);
INSERT INTO complaint_statuses VALUES('15388','4475','7','26','81','Custmer abhi workshop nhi la raha 
Pla isko closed kar dy',null,'82','82','2021-03-04 12:30:03','2021-03-04 12:30:03',null);
INSERT INTO complaint_statuses VALUES('15389','4623','3',null,'53',null,'04-MAR-2021
COM NO 301094482','92','92','2021-03-04 12:31:10','2021-03-04 12:31:10',null);
INSERT INTO complaint_statuses VALUES('15390','4581','5','23',null,'JOB COMPLETED QUKILEY','COMPLAINT RESOLVED','81','92','2021-03-04 12:35:45','2021-03-04 12:55:36',null);
INSERT INTO complaint_statuses VALUES('15391','4624','2',null,'81',null,'02-MAR-2021
COM FF TO AZHAR FCI','74','74','2021-03-04 12:37:30','2021-03-04 12:37:30',null);
INSERT INTO complaint_statuses VALUES('15392','4624','4',null,'60',null,null,'81','81','2021-03-04 12:38:20','2021-03-04 12:38:20',null);
INSERT INTO complaint_statuses VALUES('15393','3816','7','12','81','Compnyvfarwerd kar dy',null,'82','82','2021-03-04 12:40:10','2021-03-04 12:40:10',null);
INSERT INTO complaint_statuses VALUES('15394','1945','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-03-04 12:40:43','2021-03-04 13:00:33',null);
INSERT INTO complaint_statuses VALUES('15395','3816','5','15',null,'COMPLAINT FF TO COMPANY','COMPLAINT CANCEL','81','92','2021-03-04 12:42:11','2021-03-04 13:00:06',null);
INSERT INTO complaint_statuses VALUES('15396','4625','3',null,'65',null,'04-MAR-2021
COM NO 192121166','92','92','2021-03-04 12:43:28','2021-03-04 13:06:03',null);
INSERT INTO complaint_statuses VALUES('15397','4273','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-04 12:43:37','2021-03-04 12:59:35',null);
INSERT INTO complaint_statuses VALUES('15398','4459','5','15',null,'COMPLAINT FF COMPANY','COMPLAINT CANCEL','81','92','2021-03-04 12:44:14','2021-03-04 12:58:41',null);
INSERT INTO complaint_statuses VALUES('15399','4475','5','15',null,'COMPLAINT CUSTOMER KI SIDE SA DELAY HAIN','COMPLAINT RESOLVED','81','92','2021-03-04 12:45:34','2021-03-04 12:57:50',null);
INSERT INTO complaint_statuses VALUES('15400','4626','3',null,'52',null,'04-MAR-2021
COM NO','92','92','2021-03-04 12:50:25','2021-03-04 12:50:25',null);
INSERT INTO complaint_statuses VALUES('15401','4480','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-04 12:50:57','2021-03-04 12:57:23',null);
INSERT INTO complaint_statuses VALUES('15402','4483','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-04 12:53:26','2021-03-04 12:56:58',null);
INSERT INTO complaint_statuses VALUES('15403','4576','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-04 12:54:49','2021-03-04 12:56:05',null);
INSERT INTO complaint_statuses VALUES('15404','4558','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-04 12:56:07','2021-03-04 12:56:32',null);
INSERT INTO complaint_statuses VALUES('15405','4472','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-04 12:56:42','2021-03-04 12:58:12',null);
INSERT INTO complaint_statuses VALUES('15406','4544','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-04 13:05:46','2021-03-04 13:05:46',null);
INSERT INTO complaint_statuses VALUES('15407','4625','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-03-04 13:11:28','2021-03-04 13:11:28',null);
INSERT INTO complaint_statuses VALUES('15408','4626','5',null,null,'COMPLAINT RESOLVED',null,'92','92','2021-03-04 13:14:18','2021-03-04 13:14:18',null);
INSERT INTO complaint_statuses VALUES('15409','4501','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-04 13:25:00','2021-03-04 13:33:11',null);
INSERT INTO complaint_statuses VALUES('15410','4540','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-04 13:26:03','2021-03-04 13:32:45',null);
INSERT INTO complaint_statuses VALUES('15411','4534','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-04 13:31:19','2021-03-04 13:31:19',null);
INSERT INTO complaint_statuses VALUES('15412','3543','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-04 13:32:36','2021-03-04 13:32:36',null);
INSERT INTO complaint_statuses VALUES('15413','4500','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-04 13:40:56','2021-03-04 13:40:56',null);
INSERT INTO complaint_statuses VALUES('15414','4627','3',null,'52',null,'04-MAR-2021
COM NO PKRI-210304107289','92','92','2021-03-04 13:43:37','2021-03-04 14:42:07',null);
INSERT INTO complaint_statuses VALUES('15415','4499','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-04 13:44:55','2021-03-04 13:44:55',null);
INSERT INTO complaint_statuses VALUES('15416','4628','2',null,'81',null,'04-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-04 13:52:26','2021-03-06 17:01:59',null);
INSERT INTO complaint_statuses VALUES('15417','4628','4',null,'58',null,null,'81','81','2021-03-04 13:53:47','2021-03-04 13:53:47',null);
INSERT INTO complaint_statuses VALUES('15418','4403','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-04 13:58:35','2021-03-04 13:58:35',null);
INSERT INTO complaint_statuses VALUES('15419','4506','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-04 14:00:03','2021-03-04 14:41:26',null);
INSERT INTO complaint_statuses VALUES('15420','4629','3',null,'81',null,'04-MAR-2021
COM NO 138','92','92','2021-03-04 14:02:23','2021-03-07 14:38:22',null);
INSERT INTO complaint_statuses VALUES('15421','4630','3',null,'65',null,'04-MAR-2021
COM NO 072116995','92','92','2021-03-04 14:34:01','2021-03-04 14:34:01',null);
INSERT INTO complaint_statuses VALUES('15422','3873','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-04 14:43:04','2021-03-04 14:43:04',null);
INSERT INTO complaint_statuses VALUES('15423','4631','2',null,'81',null,'04-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-04 15:08:45','2021-03-04 15:08:45',null);
INSERT INTO complaint_statuses VALUES('15424','4632','3',null,'55',null,'04-MAR-2021
COM NO RWP-18670','92','92','2021-03-04 15:31:10','2021-03-04 15:31:10',null);
INSERT INTO complaint_statuses VALUES('15425','4633','2',null,'81',null,'04-MAR-2021
COM FF TO SONY KHALID','92','92','2021-03-04 15:38:32','2021-03-04 15:38:32',null);
INSERT INTO complaint_statuses VALUES('15426','4633','4',null,'56',null,null,'81','81','2021-03-04 15:39:37','2021-03-04 15:39:37',null);
INSERT INTO complaint_statuses VALUES('15427','4631','4',null,'63',null,null,'81','81','2021-03-04 15:39:47','2021-03-04 15:39:47',null);
INSERT INTO complaint_statuses VALUES('15428','4028','7','12','81','one  conect cabel fix set ok',null,'80','80','2021-03-04 15:47:51','2021-03-04 15:47:51',null);
INSERT INTO complaint_statuses VALUES('15429','4634','3',null,'53',null,'04-MAR-2021
COM NO 301094950','92','92','2021-03-04 15:48:01','2021-03-04 16:15:42',null);
INSERT INTO complaint_statuses VALUES('15430','3998','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-04 15:48:04','2021-03-04 15:48:04',null);
INSERT INTO complaint_statuses VALUES('15431','4308','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-04 15:51:03','2021-03-04 15:51:03',null);
INSERT INTO complaint_statuses VALUES('15432','4120','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-04 15:54:45','2021-03-04 15:54:45',null);
INSERT INTO complaint_statuses VALUES('15433','4635','3',null,'65',null,'04-MAR-2021
COM NO 192121177','92','92','2021-03-04 15:58:50','2021-03-04 16:26:44',null);
INSERT INTO complaint_statuses VALUES('15434','4143','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-04 15:59:18','2021-03-04 15:59:18',null);
INSERT INTO complaint_statuses VALUES('15435','4028','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-03-04 16:01:26','2021-03-04 16:08:52',null);
INSERT INTO complaint_statuses VALUES('15436','4141','7','12','81','ASLAM SIR NA SAJID SAB SA IC KI GRN KARWA DI AHSAN SAB KO',null,'88','88','2021-03-04 16:05:53','2021-03-04 16:05:53',null);
INSERT INTO complaint_statuses VALUES('15437','4141','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-03-04 16:06:28','2021-03-04 16:06:28',null);
INSERT INTO complaint_statuses VALUES('15438','4503','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-04 16:06:52','2021-03-04 16:08:08',null);
INSERT INTO complaint_statuses VALUES('15439','4636','2',null,'81',null,'04-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-04 16:35:53','2021-03-04 16:35:53',null);
INSERT INTO complaint_statuses VALUES('15440','4636','4',null,'58',null,null,'81','81','2021-03-04 16:40:11','2021-03-04 16:40:11',null);
INSERT INTO complaint_statuses VALUES('15441','4637','2',null,'81',null,'04-MAR-2021
FF TO USMAN MRM','74','74','2021-03-04 16:46:49','2021-03-04 16:46:49',null);
INSERT INTO complaint_statuses VALUES('15442','4637','4',null,'61',null,null,'81','81','2021-03-04 16:47:45','2021-03-04 16:47:45',null);
INSERT INTO complaint_statuses VALUES('15443','4638','3',null,'73',null,'04-MAR-2021
COMPLAINT#4138','74','92','2021-03-04 17:06:06','2021-03-06 13:38:49',null);
INSERT INTO complaint_statuses VALUES('15444','4633','7','12','81','Unit ok no problem ....unit with customer',null,'77','77','2021-03-04 17:17:35','2021-03-04 17:17:35',null);
INSERT INTO complaint_statuses VALUES('15445','4639','3',null,'56',null,'04-MAR-2021
COM NO C07/002','92','92','2021-03-04 17:19:31','2021-03-07 11:43:35',null);
INSERT INTO complaint_statuses VALUES('15446','4640','3',null,'82',null,'04-MAR-2021
COM FF TO TAHIR SIEMENS','92','92','2021-03-04 17:33:17','2021-03-04 17:33:17',null);
INSERT INTO complaint_statuses VALUES('15447','3796','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-03-04 17:34:49','2021-03-04 17:34:49',null);
INSERT INTO complaint_statuses VALUES('15448','4624','7','12','81','Filter block thy chargis okay',null,'82','82','2021-03-04 17:35:58','2021-03-04 17:35:58',null);
INSERT INTO complaint_statuses VALUES('15449','3796','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-04 17:36:10','2021-03-04 17:41:27',null);
INSERT INTO complaint_statuses VALUES('15450','4633','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-04 17:37:30','2021-03-04 17:40:22',null);
INSERT INTO complaint_statuses VALUES('15451','4624','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-04 17:38:58','2021-03-04 17:40:53',null);
INSERT INTO complaint_statuses VALUES('15452','4641','2',null,'81',null,'04-MAR-2021
COM FF TO KHALID SONY','92','92','2021-03-04 17:39:06','2021-03-04 17:39:06',null);
INSERT INTO complaint_statuses VALUES('15453','4642','2',null,'81',null,'04-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-04 17:51:17','2021-03-04 17:51:17',null);
INSERT INTO complaint_statuses VALUES('15454','4642','4',null,'58',null,null,'81','81','2021-03-04 17:52:53','2021-03-04 17:52:53',null);
INSERT INTO complaint_statuses VALUES('15455','4641','4',null,'56',null,null,'81','81','2021-03-04 17:53:03','2021-03-04 17:53:03',null);
INSERT INTO complaint_statuses VALUES('15456','4636','7','12','81','no issue in hob marble zayda cutting kia hua hai',null,'79','79','2021-03-04 19:18:01','2021-03-04 19:18:01',null);
INSERT INTO complaint_statuses VALUES('15457','4588','7','12','81','Backlight & light guide sheet replaced
Part + service charges 
20000/-rs',null,'83','83','2021-03-05 00:25:08','2021-03-05 00:25:08',null);
INSERT INTO complaint_statuses VALUES('15458','4042','7','26','81','Banda kashmir gea hy jab aye ga to btaye ga theek karwana hy ya nhi .plz complain closed kar dy',null,'82','82','2021-03-05 11:26:03','2021-03-05 11:26:03',null);
INSERT INTO complaint_statuses VALUES('15459','4643','2',null,'81',null,'05-MAR-2021
FF TO KHURRAM 5 STAR','74','92','2021-03-05 12:29:16','2021-03-17 15:37:42',null);
INSERT INTO complaint_statuses VALUES('15460','4643','4',null,'63',null,null,'81','81','2021-03-05 12:30:29','2021-03-05 12:30:29',null);
INSERT INTO complaint_statuses VALUES('15461','4644','2',null,'81',null,'05-MAR-2021
FF TO KHALID SONY','74','74','2021-03-05 12:34:42','2021-03-05 12:34:42',null);
INSERT INTO complaint_statuses VALUES('15462','4644','4',null,'56',null,null,'81','81','2021-03-05 12:35:36','2021-03-05 12:35:36',null);
INSERT INTO complaint_statuses VALUES('15463','4617','7','12','81','Shifting Bolt Remove.',null,'76','76','2021-03-05 12:40:54','2021-03-05 12:40:54',null);
INSERT INTO complaint_statuses VALUES('15464','4561','7','12','81','Drain Heater Replaced',null,'76','76','2021-03-05 12:52:16','2021-03-05 12:52:16',null);
INSERT INTO complaint_statuses VALUES('15465','4645','3',null,'52',null,'05-MAR-2021
COMPLAINT#PKRI-210305104932','74','74','2021-03-05 12:57:07','2021-03-05 12:57:07',null);
INSERT INTO complaint_statuses VALUES('15466','4646','2',null,'81',null,'05-MAR-2021
FF TO KHURRAM 5 STAR','74','74','2021-03-05 13:00:16','2021-03-05 13:00:16',null);
INSERT INTO complaint_statuses VALUES('15467','4646','4',null,'63',null,null,'81','81','2021-03-05 13:01:17','2021-03-05 13:01:17',null);
INSERT INTO complaint_statuses VALUES('15468','4647','3',null,'54',null,'05-MAR-2021
COMPLAINT#1825862','74','74','2021-03-05 13:07:57','2021-03-05 14:44:47',null);
INSERT INTO complaint_statuses VALUES('15469','4648','2',null,'81',null,'05-MAR-2021
FF TO B.COOL','74','74','2021-03-05 14:06:21','2021-03-05 14:06:21',null);
INSERT INTO complaint_statuses VALUES('15470','4648','4',null,'58',null,null,'81','81','2021-03-05 14:08:48','2021-03-05 14:08:48',null);
INSERT INTO complaint_statuses VALUES('15471','4591','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-05 14:17:40','2021-03-05 14:17:40',null);
INSERT INTO complaint_statuses VALUES('15472','4582','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-05 14:32:50','2021-03-05 14:32:50',null);
INSERT INTO complaint_statuses VALUES('15473','4580','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-05 14:37:45','2021-03-05 14:37:45',null);
INSERT INTO complaint_statuses VALUES('15474','4649','3',null,null,null,'05-MAR-2021
COMPLAINT#PKRI-210305106624','74','74','2021-03-05 14:38:50','2021-03-05 14:38:50',null);
INSERT INTO complaint_statuses VALUES('15475','4574','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-05 14:41:06','2021-03-05 14:41:06',null);
INSERT INTO complaint_statuses VALUES('15476','4617','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-03-05 14:46:50','2021-03-05 14:47:31',null);
INSERT INTO complaint_statuses VALUES('15477','4588','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-03-05 14:48:23','2021-03-05 14:50:10',null);
INSERT INTO complaint_statuses VALUES('15478','4561','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-05 14:49:15','2021-03-05 15:00:12',null);
INSERT INTO complaint_statuses VALUES('15479','4636','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-05 14:59:21','2021-03-05 15:00:49',null);
INSERT INTO complaint_statuses VALUES('15480','4042','5','15',null,'CUSTOMER OUT OFF CITY HAIN COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-03-05 15:02:41','2021-03-06 11:56:10',null);
INSERT INTO complaint_statuses VALUES('15481','4573','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-05 15:10:52','2021-03-05 15:10:52',null);
INSERT INTO complaint_statuses VALUES('15482','4572','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-05 15:15:11','2021-03-05 15:15:11',null);
INSERT INTO complaint_statuses VALUES('15483','4650','2',null,'81',null,'05-MAR-2021
FF TO AZHAR FCI','74','74','2021-03-05 15:19:11','2021-03-05 15:19:11',null);
INSERT INTO complaint_statuses VALUES('15484','4651','2',null,'60',null,null,'73','73','2021-03-05 15:37:51','2021-03-05 15:37:51',null);
INSERT INTO complaint_statuses VALUES('15485','4652','3',null,'52',null,'05-MAR-2021
COMPLAINT#PKRI-210305106624','74','74','2021-03-05 15:52:26','2021-03-05 15:52:26',null);
INSERT INTO complaint_statuses VALUES('15486','3589','7','12','81','Ya b close kr dain',null,'83','83','2021-03-05 15:56:58','2021-03-05 15:56:58',null);
INSERT INTO complaint_statuses VALUES('15487','4653','3',null,'55',null,'05-MAR-2021
FF TO NAEEM KENWOOD','74','74','2021-03-05 16:22:29','2021-03-05 16:22:29',null);
INSERT INTO complaint_statuses VALUES('15488','4654','3',null,'53',null,'05-MAY-2021
COMPLAINT#1095247','74','74','2021-03-05 16:30:17','2021-03-05 16:30:17',null);
INSERT INTO complaint_statuses VALUES('15489','4655','3',null,'52',null,'05-MAR-2021
COMPLAINT#PKRI-210305108813','74','92','2021-03-05 16:39:16','2021-03-16 15:21:43',null);
INSERT INTO complaint_statuses VALUES('15490','4526','7','24','81','hmry s/c move krwa dyn',null,'80','80','2021-03-05 18:08:30','2021-03-05 18:08:30',null);
INSERT INTO complaint_statuses VALUES('15491','4612','7','24','81','customer k paper ho rhy hn monday tak set office ly k ay ga',null,'80','80','2021-03-05 18:14:11','2021-03-05 18:14:11',null);
INSERT INTO complaint_statuses VALUES('15492','4474','7','12','81','Shisha lag gea hy',null,'82','82','2021-03-06 11:00:40','2021-03-06 11:00:40',null);
INSERT INTO complaint_statuses VALUES('15493','4333','7','24','81',null,null,'82','82','2021-03-06 11:05:28','2021-03-06 11:05:28',null);
INSERT INTO complaint_statuses VALUES('15494','4193','7','26','81','Plz is ko closed kar dy custmer ny abhi tak delver nhi kia jab ajay ga to phir complain kar wa do ga',null,'82','82','2021-03-06 11:06:34','2021-03-06 11:06:34',null);
INSERT INTO complaint_statuses VALUES('15495','4656','3',null,'52',null,'06-MAR-2021
COM NO PKRI-210306105774','92','92','2021-03-06 11:08:31','2021-03-06 13:26:44',null);
INSERT INTO complaint_statuses VALUES('15496','4657','2',null,'81',null,'06-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-06 11:19:54','2021-03-06 11:19:54',null);
INSERT INTO complaint_statuses VALUES('15497','4658','3',null,'73',null,'06-MAR-2021
COM NO 4150','92','92','2021-03-06 11:33:58','2021-03-06 11:33:58',null);
INSERT INTO complaint_statuses VALUES('15498','4644','7','12','81','only services company warranty. Unit with customer',null,'77','77','2021-03-06 11:58:57','2021-03-06 11:58:57',null);
INSERT INTO complaint_statuses VALUES('15499','4641','7','12','81','Only service friends warranty...',null,'77','77','2021-03-06 11:59:24','2021-03-06 11:59:24',null);
INSERT INTO complaint_statuses VALUES('15500','4657','4',null,'63',null,null,'81','81','2021-03-06 11:59:37','2021-03-06 11:59:37',null);
INSERT INTO complaint_statuses VALUES('15501','4601','7','12','81','Unit ok no problem unit at customer home',null,'77','77','2021-03-06 11:59:52','2021-03-06 11:59:52',null);
INSERT INTO complaint_statuses VALUES('15502','4650','4',null,'60',null,null,'81','81','2021-03-06 11:59:52','2021-03-06 11:59:52',null);
INSERT INTO complaint_statuses VALUES('15503','4644','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-03-06 12:03:28','2021-03-06 12:49:41',null);
INSERT INTO complaint_statuses VALUES('15504','4641','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-03-06 12:05:08','2021-03-06 12:49:12',null);
INSERT INTO complaint_statuses VALUES('15505','4601','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-03-06 12:11:20','2021-03-06 12:48:48',null);
INSERT INTO complaint_statuses VALUES('15506','4659','2',null,'81',null,'06-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-06 12:20:11','2021-03-06 12:20:11',null);
INSERT INTO complaint_statuses VALUES('15507','4659','4',null,'58',null,null,'81','81','2021-03-06 12:22:32','2021-03-06 12:22:32',null);
INSERT INTO complaint_statuses VALUES('15508','4474','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-03-06 12:54:09','2021-03-06 12:58:55',null);
INSERT INTO complaint_statuses VALUES('15509','4193','5','15',null,'COMPLAINT CANCEL','COMPLAINT RESOLVED','81','92','2021-03-06 12:55:16','2021-03-06 12:59:19',null);
INSERT INTO complaint_statuses VALUES('15510','3589','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-03-06 12:57:25','2021-03-06 12:59:52',null);
INSERT INTO complaint_statuses VALUES('15511','4660','2',null,'81',null,'06-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-06 13:16:41','2021-03-06 13:18:52',null);
INSERT INTO complaint_statuses VALUES('15512','4660','4',null,'58',null,null,'81','81','2021-03-06 13:20:34','2021-03-06 13:20:34',null);
INSERT INTO complaint_statuses VALUES('15513','4611','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-03-06 13:43:00','2021-03-06 13:43:00',null);
INSERT INTO complaint_statuses VALUES('15514','4610','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-03-06 13:44:46','2021-03-06 13:44:46',null);
INSERT INTO complaint_statuses VALUES('15515','4602','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-03-06 13:48:56','2021-03-06 13:48:56',null);
INSERT INTO complaint_statuses VALUES('15516','4600','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-03-06 13:52:53','2021-03-06 13:52:53',null);
INSERT INTO complaint_statuses VALUES('15517','4596','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-03-06 13:55:53','2021-03-06 13:55:53',null);
INSERT INTO complaint_statuses VALUES('15518','4658','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-03-06 14:01:08','2021-03-06 14:01:08',null);
INSERT INTO complaint_statuses VALUES('15519','4661','2',null,'81',null,'06-MAR-2021
COM NO PKRI-210306108270','92','92','2021-03-06 15:30:46','2021-03-06 15:30:46',null);
INSERT INTO complaint_statuses VALUES('15520','4661','4',null,'64',null,null,'81','81','2021-03-06 15:36:35','2021-03-06 15:36:35',null);
INSERT INTO complaint_statuses VALUES('15521','4662','3',null,'53',null,'COM#301095566','73','92','2021-03-06 15:48:52','2021-03-06 16:01:49',null);
INSERT INTO complaint_statuses VALUES('15522','4663','3',null,'57',null,'06-MAR-2021
COM NO 17013','92','92','2021-03-06 15:54:54','2021-03-06 16:29:53',null);
INSERT INTO complaint_statuses VALUES('15523','4604','7','26','81','Local Repaired.',null,'76','76','2021-03-06 16:14:06','2021-03-06 16:14:06',null);
INSERT INTO complaint_statuses VALUES('15524','4664','3',null,'73',null,'06-MAR-2021
COM NO 4613','92','92','2021-03-06 16:14:12','2021-03-06 16:14:12',null);
INSERT INTO complaint_statuses VALUES('15525','4575','7','26','81','No Need of Visit.',null,'76','76','2021-03-06 16:16:00','2021-03-06 16:16:00',null);
INSERT INTO complaint_statuses VALUES('15526','4665','3',null,'81',null,'06-MAR-2021
COM NO 142','92','92','2021-03-06 16:27:40','2021-03-06 16:27:40',null);
INSERT INTO complaint_statuses VALUES('15527','4666','2',null,'81',null,'06-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-06 16:59:37','2021-03-06 16:59:37',null);
INSERT INTO complaint_statuses VALUES('15528','4640','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-03-06 17:11:04','2021-03-06 17:11:04',null);
INSERT INTO complaint_statuses VALUES('15529','4666','4',null,'63',null,null,'81','81','2021-03-06 17:24:25','2021-03-06 17:24:25',null);
INSERT INTO complaint_statuses VALUES('15530','4604','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-03-06 17:25:55','2021-03-06 17:31:04',null);
INSERT INTO complaint_statuses VALUES('15531','4575','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-03-06 17:29:13','2021-03-06 17:31:38',null);
INSERT INTO complaint_statuses VALUES('15532','4667','2',null,'81',null,'06-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-06 17:45:43','2021-03-06 17:45:43',null);
INSERT INTO complaint_statuses VALUES('15533','4667','4',null,'58',null,null,'81','81','2021-03-06 17:47:13','2021-03-06 17:47:13',null);
INSERT INTO complaint_statuses VALUES('15534','4648','7','12','81','custoemr ny plumber sy installation kerai thi,shippng bolt open nahi kiye huye thy,kindly customer sy pic magnwa lya kry .custmer ny  visit charges bhi ni deye.or humy zalil bhi kia,ap logo kai br bola hai asy hi complaint na bna dya kry ..',null,'79','79','2021-03-06 18:45:28','2021-03-06 18:45:28',null);
INSERT INTO complaint_statuses VALUES('15535','4609','7','12','81','seonsor change complaint resolved',null,'79','79','2021-03-06 19:34:59','2021-03-06 19:34:59',null);
INSERT INTO complaint_statuses VALUES('15536','4637','7','12','81','Main PCB replaced 
Part use from stock unit bahriy 7 showroom machine
Only visit and service charges
Rs 2000',null,'83','83','2021-03-06 21:38:14','2021-03-06 21:38:14',null);
INSERT INTO complaint_statuses VALUES('15537','4668','2',null,'81',null,'07-MAR-2021
COM FF TO AZHAR FCI','92','92','2021-03-07 11:08:17','2021-03-07 11:08:17',null);
INSERT INTO complaint_statuses VALUES('15538','4669','2',null,'81',null,'07-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-07 11:15:30','2021-03-07 11:15:30',null);
INSERT INTO complaint_statuses VALUES('15539','4670','2',null,'81',null,'07-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-07 11:15:49','2021-03-07 11:15:49',null);
INSERT INTO complaint_statuses VALUES('15540','4668','4',null,'60',null,null,'81','81','2021-03-07 11:19:38','2021-03-07 11:19:38',null);
INSERT INTO complaint_statuses VALUES('15541','4669','4',null,'58',null,null,'81','81','2021-03-07 11:19:48','2021-03-07 11:19:48',null);
INSERT INTO complaint_statuses VALUES('15542','4670','4',null,'58',null,null,'81','81','2021-03-07 11:20:26','2021-03-07 11:20:26',null);
INSERT INTO complaint_statuses VALUES('15543','4671','2',null,'81',null,'07-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-07 11:32:31','2021-03-07 11:32:31',null);
INSERT INTO complaint_statuses VALUES('15544','4659','7','24','81','refer to service center',null,'79','79','2021-03-07 11:45:44','2021-03-07 11:45:44',null);
INSERT INTO complaint_statuses VALUES('15545','4670','7','28','81','duble entery',null,'79','79','2021-03-07 11:47:24','2021-03-07 11:47:24',null);
INSERT INTO complaint_statuses VALUES('15546','4672','2',null,'81',null,'07-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-07 11:50:45','2021-03-07 11:50:45',null);
INSERT INTO complaint_statuses VALUES('15547','4672','4',null,'63',null,null,'81','81','2021-03-07 11:51:38','2021-03-07 11:51:38',null);
INSERT INTO complaint_statuses VALUES('15548','4671','4',null,'62',null,null,'81','81','2021-03-07 11:51:49','2021-03-07 11:51:49',null);
INSERT INTO complaint_statuses VALUES('15549','4608','7','26','81','ALREADY KHURRAM FIVE STAR NY VISIT KR LIA',null,'87','87','2021-03-07 11:56:07','2021-03-07 11:56:07',null);
INSERT INTO complaint_statuses VALUES('15550','4517','7','12','81','GAS CHARGED + COMP',null,'87','87','2021-03-07 11:56:42','2021-03-07 11:56:42',null);
INSERT INTO complaint_statuses VALUES('15551','4570','7','26','81','JB KRWANI HUI CL KREIN GE',null,'87','87','2021-03-07 11:57:55','2021-03-07 11:57:55',null);
INSERT INTO complaint_statuses VALUES('15552','4673','2',null,'81',null,'07-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-07 12:03:23','2021-03-07 12:03:23',null);
INSERT INTO complaint_statuses VALUES('15553','4594','7','26','81','COMP KA ISSUE HAI, JB KRWANI HUI BTAEN GE',null,'87','87','2021-03-07 12:05:01','2021-03-07 12:05:01',null);
INSERT INTO complaint_statuses VALUES('15554','4673','4',null,'63',null,null,'81','81','2021-03-07 12:07:08','2021-03-07 12:07:08',null);
INSERT INTO complaint_statuses VALUES('15555','4598','7','26','81','CLOSED FROM CUSTOMER SIDE',null,'87','87','2021-03-07 12:10:06','2021-03-07 12:10:06',null);
INSERT INTO complaint_statuses VALUES('15556','4674','3',null,'52',null,'07-MAR-2021
COM NO PKRI-210307103454','92','92','2021-03-07 13:08:32','2021-03-07 13:11:13',null);
INSERT INTO complaint_statuses VALUES('15557','4675','2',null,'81',null,'07-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-07 13:19:04','2021-03-07 13:19:04',null);
INSERT INTO complaint_statuses VALUES('15558','4675','4',null,'58',null,null,'81','81','2021-03-07 13:24:49','2021-03-07 13:24:49',null);
INSERT INTO complaint_statuses VALUES('15559','4670','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-03-07 13:25:17','2021-03-07 13:47:10',null);
INSERT INTO complaint_statuses VALUES('15560','4648','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-03-07 13:27:04','2021-03-07 13:48:11',null);
INSERT INTO complaint_statuses VALUES('15561','4637','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-03-07 13:29:02','2021-03-07 13:49:26',null);
INSERT INTO complaint_statuses VALUES('15562','4609','5','15',null,'COMPLAINT COMPLETED','COMPLAINT  RESOLVED','81','92','2021-03-07 13:30:59','2021-03-07 13:50:11',null);
INSERT INTO complaint_statuses VALUES('15563','4608','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-03-07 13:35:37','2021-03-07 13:50:47',null);
INSERT INTO complaint_statuses VALUES('15564','4598','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-03-07 13:37:43','2021-03-07 13:51:26',null);
INSERT INTO complaint_statuses VALUES('15565','4594','5','15',null,'2 DIN TAK CUSTOMER NAY REF I-10 SERVICE CENTER LAY KAR ANA HAY  COMPLAINT IN PROCESS','REOPEN COMPLAINT KAR DI','81','74','2021-03-07 13:42:26','2021-03-09 12:46:33',null);
INSERT INTO complaint_statuses VALUES('15566','4570','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-03-07 13:44:24','2021-03-07 13:52:06',null);
INSERT INTO complaint_statuses VALUES('15567','4517','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-03-07 13:46:00','2021-03-07 13:52:33',null);
INSERT INTO complaint_statuses VALUES('15568','4676','3',null,'52',null,'07-MAR-2021
COM NO PKRI-210307104223','92','92','2021-03-07 14:18:03','2021-03-07 14:18:03',null);
INSERT INTO complaint_statuses VALUES('15569','4635','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-03-07 14:28:47','2021-03-07 14:28:47',null);
INSERT INTO complaint_statuses VALUES('15570','4630','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-03-07 14:36:16','2021-03-07 14:36:16',null);
INSERT INTO complaint_statuses VALUES('15571','4627','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-03-07 14:42:47','2021-03-07 14:42:47',null);
INSERT INTO complaint_statuses VALUES('15572','4677','2',null,'81',null,'07-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-07 15:20:57','2021-03-07 15:20:57',null);
INSERT INTO complaint_statuses VALUES('15573','4678','2',null,'81',null,'07-MAR-2021
COM NO 1826959','92','92','2021-03-07 15:25:34','2021-03-07 15:27:57',null);
INSERT INTO complaint_statuses VALUES('15574','4678','4',null,'64',null,null,'81','81','2021-03-07 15:28:43','2021-03-07 15:28:43',null);
INSERT INTO complaint_statuses VALUES('15575','4677','4',null,'58',null,null,'81','81','2021-03-07 15:28:53','2021-03-07 15:28:53',null);
INSERT INTO complaint_statuses VALUES('15576','4679','3',null,'81',null,'07-MAR-2021
COM NO 143','92','92','2021-03-07 16:42:29','2021-03-08 10:34:24',null);
INSERT INTO complaint_statuses VALUES('15577','4628','7','12','81','complaint resolved',null,'79','79','2021-03-07 19:19:50','2021-03-07 19:19:50',null);
INSERT INTO complaint_statuses VALUES('15578','4667','7','12','81','drian clean complaint resolved',null,'79','79','2021-03-07 19:20:42','2021-03-07 19:20:42',null);
INSERT INTO complaint_statuses VALUES('15579','3919','7','12','81','is complaint ko closed kr dein jb parts nai hia enter Q KI HUI.. ar parts avilble hain tu bata dein',null,'79','79','2021-03-08 10:30:18','2021-03-08 10:30:18',null);
INSERT INTO complaint_statuses VALUES('15580','4384','7','12','81','customer not attend the call.adil bhi call kerta rah call attend nai ki.',null,'79','79','2021-03-08 10:31:36','2021-03-08 10:31:36',null);
INSERT INTO complaint_statuses VALUES('15581','4481','7','22','81','company warranty customer k pas warranty card nai hai ,',null,'79','79','2021-03-08 10:33:06','2021-03-08 10:33:06',null);
INSERT INTO complaint_statuses VALUES('15582','4495','7','12','81','cusotmer call pick nahi kr rehy khuram sb ny try kia or mein ny bhi',null,'79','79','2021-03-08 10:36:44','2021-03-08 10:36:44',null);
INSERT INTO complaint_statuses VALUES('15583','4605','7','12','81','yahan washing machine thi ap logo ny ef ki complaint enter  ki. complaint resolved shocks issue',null,'79','79','2021-03-08 10:38:54','2021-03-08 10:38:54',null);
INSERT INTO complaint_statuses VALUES('15584','4680','2',null,'81',null,'08-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-08 10:46:17','2021-03-08 10:46:17',null);
INSERT INTO complaint_statuses VALUES('15585','4681','2',null,'81',null,'08-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-08 11:04:07','2021-03-08 11:04:07',null);
INSERT INTO complaint_statuses VALUES('15586','4667','8','23','58','COMPLIANT NOT RESOLVED KINDLY AGAIN CONTACT KARAY',null,'81','81','2021-03-08 11:09:33','2021-03-08 11:09:33',null);
INSERT INTO complaint_statuses VALUES('15587','4528','7','12','81','cuplry gas and compresor .compaint resolved',null,'79','79','2021-03-08 11:18:34','2021-03-08 11:18:34',null);
INSERT INTO complaint_statuses VALUES('15588','4654','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-08 11:18:48','2021-03-08 11:18:48',null);
INSERT INTO complaint_statuses VALUES('15589','4682','3',null,'55',null,'08-MAR-2021
COM NO 18716','92','74','2021-03-08 11:29:35','2021-03-15 12:04:31',null);
INSERT INTO complaint_statuses VALUES('15590','4683','2',null,'81',null,'08-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-08 11:39:37','2021-03-08 11:39:37',null);
INSERT INTO complaint_statuses VALUES('15591','4605','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-03-08 11:49:26','2021-03-08 11:49:26',null);
INSERT INTO complaint_statuses VALUES('15592','4684','3',null,'81',null,'08-MAR-2021
COM NO 149','92','92','2021-03-08 11:54:01','2021-03-08 16:18:07',null);
INSERT INTO complaint_statuses VALUES('15593','4685','2',null,'81',null,'08-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-08 12:25:10','2021-03-08 12:25:10',null);
INSERT INTO complaint_statuses VALUES('15594','4685','4',null,'58',null,null,'81','81','2021-03-08 12:27:48','2021-03-08 12:27:48',null);
INSERT INTO complaint_statuses VALUES('15595','4685','4',null,'58',null,null,'81','81','2021-03-08 12:27:48','2021-03-08 12:27:48',null);
INSERT INTO complaint_statuses VALUES('15596','4683','4',null,'55',null,null,'81','81','2021-03-08 12:28:28','2021-03-08 12:28:28',null);
INSERT INTO complaint_statuses VALUES('15597','4683','4',null,'55',null,null,'81','81','2021-03-08 12:28:28','2021-03-08 12:28:28',null);
INSERT INTO complaint_statuses VALUES('15598','4659','8','23','58',null,null,'81','81','2021-03-08 12:28:34','2021-03-08 12:28:34',null);
INSERT INTO complaint_statuses VALUES('15599','4681','4',null,'55',null,null,'81','81','2021-03-08 12:28:39','2021-03-08 12:28:39',null);
INSERT INTO complaint_statuses VALUES('15600','4681','4',null,'55',null,null,'81','81','2021-03-08 12:28:39','2021-03-08 12:28:39',null);
INSERT INTO complaint_statuses VALUES('15601','4680','4',null,'63',null,null,'81','81','2021-03-08 12:28:51','2021-03-08 12:28:51',null);
INSERT INTO complaint_statuses VALUES('15602','4680','4',null,'63',null,null,'81','81','2021-03-08 12:28:51','2021-03-08 12:28:51',null);
INSERT INTO complaint_statuses VALUES('15603','4612','8','23','59',null,null,'81','81','2021-03-08 12:29:27','2021-03-08 12:29:27',null);
INSERT INTO complaint_statuses VALUES('15604','4479','8','23','55','kindly problem customer ky ghar resolve kia karen  service center na laya karen',null,'81','81','2021-03-08 12:47:32','2021-03-08 12:47:32',null);
INSERT INTO complaint_statuses VALUES('15605','4686','2',null,'81',null,'08-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-08 12:55:35','2021-03-08 12:55:35',null);
INSERT INTO complaint_statuses VALUES('15606','4652','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-08 12:56:36','2021-03-08 12:56:36',null);
INSERT INTO complaint_statuses VALUES('15607','4333','8','23','60','pcb costumer ko wapis kar den .',null,'81','81','2021-03-08 12:59:24','2021-03-08 12:59:24',null);
INSERT INTO complaint_statuses VALUES('15608','3919','8','23','58',null,null,'81','81','2021-03-08 13:00:20','2021-03-08 13:00:20',null);
INSERT INTO complaint_statuses VALUES('15609','4687','2',null,'81',null,'08-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-08 13:11:45','2021-03-08 13:11:45',null);
INSERT INTO complaint_statuses VALUES('15610','4688','2',null,'81',null,'08-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-08 13:34:05','2021-03-08 13:34:05',null);
INSERT INTO complaint_statuses VALUES('15611','4689','2',null,'81',null,'08-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-08 13:44:06','2021-03-08 13:44:06',null);
INSERT INTO complaint_statuses VALUES('15612','4646','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-08 13:54:38','2021-03-08 13:54:38',null);
INSERT INTO complaint_statuses VALUES('15613','4646','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-08 13:55:18','2021-03-08 13:55:59',null);
INSERT INTO complaint_statuses VALUES('15614','4690','3',null,'53',null,'08-MAR-2021
COM NO 1096177','92','92','2021-03-08 13:59:35','2021-03-08 16:16:36',null);
INSERT INTO complaint_statuses VALUES('15615','4628','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-08 14:01:46','2021-03-08 16:18:56',null);
INSERT INTO complaint_statuses VALUES('15616','4689','4',null,'58',null,null,'81','81','2021-03-08 14:04:37','2021-03-08 14:04:37',null);
INSERT INTO complaint_statuses VALUES('15617','4688','4',null,'55',null,null,'81','81','2021-03-08 14:04:49','2021-03-08 14:04:49',null);
INSERT INTO complaint_statuses VALUES('15618','4688','4',null,'55',null,null,'81','81','2021-03-08 14:04:49','2021-03-08 14:04:49',null);
INSERT INTO complaint_statuses VALUES('15619','4687','4',null,'63',null,null,'81','81','2021-03-08 14:05:00','2021-03-08 14:05:00',null);
INSERT INTO complaint_statuses VALUES('15620','4686','4',null,'63',null,null,'81','81','2021-03-08 14:05:10','2021-03-08 14:05:10',null);
INSERT INTO complaint_statuses VALUES('15621','4528','5','15',null,'COMPLETED COMPLAINT
1-10/3 SA READY HOA HAIN FREEZER KO  PIC KARNAY K LIYA  CALL CHALI GEI S/C SA','COMPLAINT RESOLVED','81','92','2021-03-08 14:08:33','2021-03-08 16:20:31',null);
INSERT INTO complaint_statuses VALUES('15622','4645','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-08 14:17:02','2021-03-08 14:17:02',null);
INSERT INTO complaint_statuses VALUES('15623','4691','2',null,'81',null,'08-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-08 14:28:18','2021-03-08 14:28:18',null);
INSERT INTO complaint_statuses VALUES('15624','4692','2',null,'81',null,'08-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-08 15:00:03','2021-03-08 15:00:03',null);
INSERT INTO complaint_statuses VALUES('15625','4693','2',null,'81',null,'08-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-08 15:13:13','2021-03-08 15:13:13',null);
INSERT INTO complaint_statuses VALUES('15626','4693','4',null,'55',null,null,'81','81','2021-03-08 15:23:01','2021-03-08 15:23:01',null);
INSERT INTO complaint_statuses VALUES('15627','4692','4',null,'55',null,null,'81','81','2021-03-08 15:23:15','2021-03-08 15:23:15',null);
INSERT INTO complaint_statuses VALUES('15628','4691','4',null,'63',null,null,'81','81','2021-03-08 15:23:26','2021-03-08 15:23:26',null);
INSERT INTO complaint_statuses VALUES('15629','4629','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-08 15:39:26','2021-03-08 15:39:26',null);
INSERT INTO complaint_statuses VALUES('15630','4694','2',null,'81',null,'08-MAR-2021
COM FF TO ANEEQ SIR','92','92','2021-03-08 15:48:48','2021-03-08 15:48:48',null);
INSERT INTO complaint_statuses VALUES('15631','4694','4',null,'64',null,null,'81','81','2021-03-08 15:49:28','2021-03-08 15:49:28',null);
INSERT INTO complaint_statuses VALUES('15632','4623','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-08 15:56:32','2021-03-08 15:56:32',null);
INSERT INTO complaint_statuses VALUES('15633','4695','3',null,'59',null,'08-MAR-2021
COM FF TO LUBNA SAMSUNG','92','92','2021-03-08 15:59:04','2021-03-10 13:01:14',null);
INSERT INTO complaint_statuses VALUES('15634','4616','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-08 16:00:14','2021-03-08 16:00:14',null);
INSERT INTO complaint_statuses VALUES('15635','4696','3',null,'59',null,'08-MAR-2021
COM FF TO AWAIS LAHORE','92','92','2021-03-08 16:10:51','2021-04-03 13:20:19',null);
INSERT INTO complaint_statuses VALUES('15636','4697','3',null,'73',null,'08-MAR-2021
COM NO 4171','92','92','2021-03-08 16:34:02','2021-03-08 16:36:24',null);
INSERT INTO complaint_statuses VALUES('15637','4698','3',null,'52',null,'08-MAR-2021
COM NO PKRI-210308111946','92','92','2021-03-08 17:18:50','2021-03-08 17:18:50',null);
INSERT INTO complaint_statuses VALUES('15638','4699','2',null,'81',null,'08-MAR-2021
COM FF TO USMAN SIR','92','92','2021-03-08 17:36:43','2021-03-08 17:36:43',null);
INSERT INTO complaint_statuses VALUES('15639','4699','4',null,'61',null,null,'81','81','2021-03-08 17:37:20','2021-03-08 17:37:20',null);
INSERT INTO complaint_statuses VALUES('15640','4700','2',null,'81',null,'29-DEC-2020
COM FF TO BEST COOL','74','74','2021-03-08 17:45:36','2021-03-08 17:45:36',null);
INSERT INTO complaint_statuses VALUES('15641','4700','4',null,'58',null,null,'81','81','2021-03-08 17:45:57','2021-03-08 17:45:57',null);
INSERT INTO complaint_statuses VALUES('15642','4701','2',null,'81',null,'08-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-08 18:38:36','2021-03-08 18:38:36',null);
INSERT INTO complaint_statuses VALUES('15643','4701','4',null,'62',null,null,'81','81','2021-03-08 18:40:05','2021-03-08 18:40:05',null);
INSERT INTO complaint_statuses VALUES('15644','4642','7','12','81','cocplaint resoved',null,'79','79','2021-03-09 10:22:40','2021-03-09 10:22:40',null);
INSERT INTO complaint_statuses VALUES('15645','4642','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-03-09 10:59:45','2021-03-09 12:15:00',null);
INSERT INTO complaint_statuses VALUES('15646','4663','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-09 11:03:28','2021-03-09 11:03:28',null);
INSERT INTO complaint_statuses VALUES('15647','4702','3',null,'54',null,'09-MAR-2021
COM NO 1828219','92','92','2021-03-09 11:04:58','2021-03-09 12:35:19',null);
INSERT INTO complaint_statuses VALUES('15648','4541','5','15',null,'CUSTOMER KO GEYSER REPLACE KAR  DIA HAIN  COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-09 11:08:45','2021-03-09 12:15:57',null);
INSERT INTO complaint_statuses VALUES('15649','4703','2',null,'81',null,'09-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-09 11:15:13','2021-03-09 11:15:13',null);
INSERT INTO complaint_statuses VALUES('15650','4704','2',null,'81',null,'09-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-09 11:26:45','2021-03-09 11:26:45',null);
INSERT INTO complaint_statuses VALUES('15651','4650','7','24','81','Dishwasher i10 servis center ayea hy',null,'82','82','2021-03-09 11:35:12','2021-03-09 11:35:12',null);
INSERT INTO complaint_statuses VALUES('15652','4333','7','12','81','Machin custmer ko wapis bhej di.hy card nhi mila',null,'82','82','2021-03-09 11:36:00','2021-03-09 11:36:00',null);
INSERT INTO complaint_statuses VALUES('15653','4607','7','12','81','ISSUE RESOLVED',null,'87','87','2021-03-09 11:38:27','2021-03-09 11:38:27',null);
INSERT INTO complaint_statuses VALUES('15654','4563','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-09 11:39:26','2021-03-09 11:39:26',null);
INSERT INTO complaint_statuses VALUES('15655','4705','2',null,'81',null,'09-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-09 11:40:10','2021-03-09 11:40:10',null);
INSERT INTO complaint_statuses VALUES('15656','4706','3',null,'52',null,'09-MAR-2021
COM NO PKRI-210309107008','92','92','2021-03-09 11:59:14','2021-03-09 14:06:12',null);
INSERT INTO complaint_statuses VALUES('15657','4622','7','12','81','complaint resolved',null,'79','79','2021-03-09 12:05:54','2021-03-09 12:05:54',null);
INSERT INTO complaint_statuses VALUES('15658','4707','2',null,'81',null,'09-MAR-2021
COM FF TO AZHAR FCI','92','92','2021-03-09 12:12:50','2021-03-09 12:12:50',null);
INSERT INTO complaint_statuses VALUES('15659','4707','4',null,'60',null,null,'81','81','2021-03-09 12:14:11','2021-03-09 12:14:11',null);
INSERT INTO complaint_statuses VALUES('15660','4705','4',null,'55',null,null,'81','81','2021-03-09 12:14:20','2021-03-09 12:14:20',null);
INSERT INTO complaint_statuses VALUES('15661','4704','4',null,'55',null,null,'81','81','2021-03-09 12:14:29','2021-03-09 12:14:29',null);
INSERT INTO complaint_statuses VALUES('15662','4703','4',null,'55',null,null,'81','81','2021-03-09 12:14:38','2021-03-09 12:14:38',null);
INSERT INTO complaint_statuses VALUES('15663','4687','7','12','81','COMPLAINT COMPLETED',null,'88','88','2021-03-09 12:14:43','2021-03-09 12:14:43',null);
INSERT INTO complaint_statuses VALUES('15664','4687','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-09 12:15:09','2021-03-09 12:15:24',null);
INSERT INTO complaint_statuses VALUES('15665','4650','8','23','60','JOB  COMPLETED QUKILEY',null,'81','81','2021-03-09 12:17:37','2021-03-09 12:17:37',null);
INSERT INTO complaint_statuses VALUES('15666','4622','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-09 12:22:32','2021-03-09 12:27:08',null);
INSERT INTO complaint_statuses VALUES('15667','4708','3',null,'52',null,'09-MAR-2021
COM NO PKRI-210309107257','92','92','2021-03-09 12:23:16','2021-03-09 14:10:09',null);
INSERT INTO complaint_statuses VALUES('15668','4607','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-09 12:24:19','2021-03-09 12:33:59',null);
INSERT INTO complaint_statuses VALUES('15669','4526','8','23','59','03219507474 KAMRAN SAB SA BAT KAR LAY YHA S/C MOVE KARWAY GAY',null,'81','81','2021-03-09 12:25:27','2021-03-09 12:25:27',null);
INSERT INTO complaint_statuses VALUES('15670','4495','5','15',null,'CUSTOMER KI SIDE PA GASS SUPPLY KI WORKING HO RAHI HAIN ABI TIME LAGAY GA CUSTOMER SA BAT KAR K COMPLIANT ABI CLOSED KAR DI  ISHFAQ SAB KO B INFORMED KAR DIA','COMPLAINT CLOSED','81','74','2021-03-09 12:30:38','2021-03-09 12:48:01',null);
INSERT INTO complaint_statuses VALUES('15671','4709','2',null,'81',null,'09-MAR-2021
COM NO 1828222','92','92','2021-03-09 12:31:13','2021-03-09 12:37:10',null);
INSERT INTO complaint_statuses VALUES('15672','4524','5','15',null,'CUSTOMER KO SAFETY VAL K 2500 SARGES BATA  DIYA HAIN BUT CUSTOMER K GHR K HONER ABI NI YHA ISSUE RESOLVED KARWA RAHAY CUSTOMER NA COMPLAINT CLOSED KARWA DI','COMPLAINT CLOSED','81','74','2021-03-09 12:36:23','2021-03-09 12:47:34',null);
INSERT INTO complaint_statuses VALUES('15673','4384','8','23','58','CUSTOMER SA ABI BAT HO GEI HAIN KINDLY AGAIN CALL KAR LAY CUSTOMER KO',null,'81','81','2021-03-09 12:39:54','2021-03-09 12:39:54',null);
INSERT INTO complaint_statuses VALUES('15674','4710','2',null,'81',null,'02-MAR-2021
COM FF TO HOME SOLUTION','74','74','2021-03-09 12:45:02','2021-03-09 12:45:02',null);
INSERT INTO complaint_statuses VALUES('15675','4711','2',null,'81',null,'09-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-09 12:45:05','2021-03-09 12:45:05',null);
INSERT INTO complaint_statuses VALUES('15676','4710','4',null,'62',null,null,'81','81','2021-03-09 12:45:37','2021-03-09 12:45:37',null);
INSERT INTO complaint_statuses VALUES('15677','4333','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-03-09 12:48:41','2021-03-09 13:13:43',null);
INSERT INTO complaint_statuses VALUES('15678','4712','2',null,'81',null,'09-MAR-2021
COM FF TO USMAN SIR','92','92','2021-03-09 12:54:07','2021-03-09 12:54:07',null);
INSERT INTO complaint_statuses VALUES('15679','4712','4',null,'61',null,null,'81','81','2021-03-09 12:55:14','2021-03-09 12:55:14',null);
INSERT INTO complaint_statuses VALUES('15680','4711','4',null,'62',null,null,'81','81','2021-03-09 12:55:23','2021-03-09 12:55:23',null);
INSERT INTO complaint_statuses VALUES('15681','4709','4',null,'64',null,null,'81','81','2021-03-09 12:55:38','2021-03-09 12:55:38',null);
INSERT INTO complaint_statuses VALUES('15682','4667','7','12','81','complaint resolved.drian issue',null,'79','79','2021-03-09 13:01:35','2021-03-09 13:01:35',null);
INSERT INTO complaint_statuses VALUES('15683','4553','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-09 13:04:48','2021-03-09 13:04:48',null);
INSERT INTO complaint_statuses VALUES('15684','4713','2',null,'81',null,'09-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-09 13:06:07','2021-03-09 13:06:07',null);
INSERT INTO complaint_statuses VALUES('15685','4713','4',null,'58',null,null,'81','81','2021-03-09 13:11:41','2021-03-09 13:11:41',null);
INSERT INTO complaint_statuses VALUES('15686','4547','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-09 13:13:02','2021-03-09 13:13:02',null);
INSERT INTO complaint_statuses VALUES('15687','4647','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-09 13:15:04','2021-03-09 13:15:04',null);
INSERT INTO complaint_statuses VALUES('15688','4675','7','12','81','compliant resolved',null,'79','79','2021-03-09 13:20:26','2021-03-09 13:20:26',null);
INSERT INTO complaint_statuses VALUES('15689','4632','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-09 13:27:07','2021-03-09 13:27:07',null);
INSERT INTO complaint_statuses VALUES('15690','4714','3',null,'61',null,'09-MAR-2021
COM NO 202103005018','92','92','2021-03-09 13:32:46','2021-03-09 15:17:48',null);
INSERT INTO complaint_statuses VALUES('15691','4552','7','12','81','CUSTOMER NA LOCAL  TECHNICIAN SA RESOLVED KARWA LI',null,'88','88','2021-03-09 13:35:56','2021-03-09 13:35:56',null);
INSERT INTO complaint_statuses VALUES('15692','4675','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-09 13:41:39','2021-03-09 14:05:18',null);
INSERT INTO complaint_statuses VALUES('15693','4715','3',null,'65',null,'09-MAR-2021
COM NO 192121226','92','92','2021-03-09 13:41:42','2021-03-10 10:55:36',null);
INSERT INTO complaint_statuses VALUES('15694','4552','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-03-09 13:43:41','2021-03-09 16:46:01',null);
INSERT INTO complaint_statuses VALUES('15695','4716','2',null,'81',null,'09-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-09 13:48:38','2021-03-09 13:48:38',null);
INSERT INTO complaint_statuses VALUES('15696','4710','7','12','81','ISSUE RESOLVED ,,KHD E OK KRWAI CUSTOMER NY',null,'87','87','2021-03-09 13:50:38','2021-03-09 13:50:38',null);
INSERT INTO complaint_statuses VALUES('15697','4716','4',null,'58',null,null,'81','81','2021-03-09 13:54:00','2021-03-09 13:54:00',null);
INSERT INTO complaint_statuses VALUES('15698','4717','2',null,'81',null,'09-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-09 14:00:42','2021-03-09 14:01:58',null);
INSERT INTO complaint_statuses VALUES('15699','4621','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-09 14:01:08','2021-03-09 14:01:08',null);
INSERT INTO complaint_statuses VALUES('15700','4238','7','12','81','remote replaced',null,'91','91','2021-03-09 14:02:38','2021-03-09 14:02:38',null);
INSERT INTO complaint_statuses VALUES('15701','4710','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-09 14:02:57','2021-03-09 14:04:44',null);
INSERT INTO complaint_statuses VALUES('15702','4620','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-09 14:03:37','2021-03-09 14:03:37',null);
INSERT INTO complaint_statuses VALUES('15703','4667','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-09 14:11:47','2021-03-09 16:45:09',null);
INSERT INTO complaint_statuses VALUES('15704','4509','7','12','81',null,null,'91','91','2021-03-09 14:21:07','2021-03-09 14:21:07',null);
INSERT INTO complaint_statuses VALUES('15705','4509','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-03-09 14:23:04','2021-03-09 16:46:33',null);
INSERT INTO complaint_statuses VALUES('15706','4238','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-03-09 14:24:07','2021-03-09 16:44:37',null);
INSERT INTO complaint_statuses VALUES('15707','4718','2',null,'81',null,'09-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-09 14:34:15','2021-03-09 14:34:15',null);
INSERT INTO complaint_statuses VALUES('15708','4719','3',null,'73',null,'09-MAR-2021
COM NO 4178','92','92','2021-03-09 14:42:44','2021-03-24 15:35:24',null);
INSERT INTO complaint_statuses VALUES('15709','4720','2',null,'81',null,'09-MAR-2021
COM NO 17064','92','92','2021-03-09 14:52:34','2021-03-09 14:52:34',null);
INSERT INTO complaint_statuses VALUES('15710','4720','4',null,'64',null,null,'81','81','2021-03-09 14:53:56','2021-03-09 14:53:56',null);
INSERT INTO complaint_statuses VALUES('15711','4718','4',null,'63',null,null,'81','81','2021-03-09 14:54:19','2021-03-09 14:54:19',null);
INSERT INTO complaint_statuses VALUES('15712','4717','4',null,'63',null,null,'81','81','2021-03-09 14:54:30','2021-03-09 14:54:30',null);
INSERT INTO complaint_statuses VALUES('15713','4721','3',null,'55',null,'09-MAR-2021
COM NO 736043','92','92','2021-03-09 15:09:45','2021-03-09 15:09:45',null);
INSERT INTO complaint_statuses VALUES('15714','4722','2',null,'81',null,'09-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-09 15:29:28','2021-03-09 15:29:28',null);
INSERT INTO complaint_statuses VALUES('15715','4723','2',null,'81',null,'09-MAR-2021
COM FF TO AZHAR FCI','92','92','2021-03-09 16:02:01','2021-03-09 16:02:01',null);
INSERT INTO complaint_statuses VALUES('15716','4723','4',null,'60',null,null,'81','81','2021-03-09 16:04:54','2021-03-09 16:04:54',null);
INSERT INTO complaint_statuses VALUES('15717','4722','4',null,'55',null,null,'81','81','2021-03-09 16:05:07','2021-03-09 16:05:07',null);
INSERT INTO complaint_statuses VALUES('15718','4565','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-09 16:15:52','2021-03-09 16:15:52',null);
INSERT INTO complaint_statuses VALUES('15719','4584','7','12','81','COMPLAINTCOMPLETED',null,'91','91','2021-03-09 16:20:27','2021-03-09 16:20:27',null);
INSERT INTO complaint_statuses VALUES('15720','4584','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-09 16:21:25','2021-03-09 16:45:30',null);
INSERT INTO complaint_statuses VALUES('15721','4724','3',null,'53',null,'09-MAR-2021
COM NO 301096701','92','92','2021-03-09 16:25:16','2021-03-09 16:27:57',null);
INSERT INTO complaint_statuses VALUES('15722','4725','2',null,'81',null,'09-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-09 16:38:05','2021-03-09 16:38:05',null);
INSERT INTO complaint_statuses VALUES('15723','4726','2',null,'81',null,'09-MAR-2021
COM FF TO USMAN SIR','92','92','2021-03-09 16:42:16','2021-03-09 16:42:16',null);
INSERT INTO complaint_statuses VALUES('15724','4726','4',null,'61',null,null,'81','81','2021-03-09 16:42:39','2021-03-09 16:42:39',null);
INSERT INTO complaint_statuses VALUES('15725','4725','4',null,'63',null,null,'81','81','2021-03-09 16:42:48','2021-03-09 16:42:48',null);
INSERT INTO complaint_statuses VALUES('15726','4727','2',null,'81',null,'09-MAR-2021
COM NO PKRI-210309110754','92','92','2021-03-09 16:51:37','2021-03-09 16:53:29',null);
INSERT INTO complaint_statuses VALUES('15727','4727','4',null,'64',null,null,'81','81','2021-03-09 16:53:50','2021-03-09 16:53:50',null);
INSERT INTO complaint_statuses VALUES('15728','4728','2',null,'81',null,'09-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-09 17:01:29','2021-03-09 17:01:29',null);
INSERT INTO complaint_statuses VALUES('15729','4729','3',null,'52',null,'09-MAR-2021
COM NO PKRI-210309111074','92','92','2021-03-09 17:13:08','2021-03-17 11:08:03',null);
INSERT INTO complaint_statuses VALUES('15730','4730','2',null,'81',null,'09-MAR-2021
COM NO 1096733','92','92','2021-03-09 17:58:55','2021-03-09 17:58:55',null);
INSERT INTO complaint_statuses VALUES('15731','4730','4',null,'64',null,null,'81','81','2021-03-09 18:01:01','2021-03-09 18:01:01',null);
INSERT INTO complaint_statuses VALUES('15732','4728','4',null,'58',null,null,'81','81','2021-03-09 18:01:14','2021-03-09 18:01:14',null);
INSERT INTO complaint_statuses VALUES('15733','4731','2',null,'81',null,'09-MAR-2021
COM NO 301096795','92','92','2021-03-09 18:03:56','2021-03-10 10:44:48',null);
INSERT INTO complaint_statuses VALUES('15734','4689','7','12','81','complaint resolved fan motor change',null,'79','79','2021-03-09 19:54:20','2021-03-09 19:54:20',null);
INSERT INTO complaint_statuses VALUES('15735','4669','7','12','81','cusotmewr bol rehy  k  jb kho tb ajaye ga,ap complaint closed ker dein abhi  paf base mein entery nahi hony dein gain',null,'79','79','2021-03-09 20:16:00','2021-03-09 20:16:00',null);
INSERT INTO complaint_statuses VALUES('15736','4659','7','12','81','compliant resolved   copressor issue unit delivered by adil',null,'79','79','2021-03-10 10:05:30','2021-03-10 10:05:30',null);
INSERT INTO complaint_statuses VALUES('15737','4660','7','22','81','pcb  issue cusotmer bol k ye warnty mein claim kry  kinldy un ko ap khud bi bata dein k  warnty mein nahi hai',null,'79','79','2021-03-10 10:15:38','2021-03-10 10:15:38',null);
INSERT INTO complaint_statuses VALUES('15738','4731','4',null,'64',null,null,'81','81','2021-03-10 10:45:25','2021-03-10 10:45:25',null);
INSERT INTO complaint_statuses VALUES('15739','4676','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-10 11:20:00','2021-03-10 11:20:00',null);
INSERT INTO complaint_statuses VALUES('15740','4671','7','12','81','ISSUE RESOLVED ,PCB REPLACED',null,'87','87','2021-03-10 11:35:18','2021-03-10 11:35:18',null);
INSERT INTO complaint_statuses VALUES('15741','4613','7','12','81','ISSUE RESOLVED,KHD E  OK HO GAI',null,'87','87','2021-03-10 11:37:41','2021-03-10 11:37:41',null);
INSERT INTO complaint_statuses VALUES('15742','4711','7','12','81','ISSUE RESOLVED , CHILD LOCK THA',null,'87','87','2021-03-10 11:38:05','2021-03-10 11:38:05',null);
INSERT INTO complaint_statuses VALUES('15743','4674','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-10 11:55:34','2021-03-10 11:55:34',null);
INSERT INTO complaint_statuses VALUES('15744','4733','3',null,'73',null,'10-MAR-2021
COM NO 4188','92','92','2021-03-10 11:57:58','2021-03-10 17:49:46',null);
INSERT INTO complaint_statuses VALUES('15745','4711','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-10 12:09:00','2021-03-10 12:31:39',null);
INSERT INTO complaint_statuses VALUES('15746','4689','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-03-10 12:11:08','2021-03-10 12:33:34',null);
INSERT INTO complaint_statuses VALUES('15747','4734','2',null,'81',null,'10-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-10 12:15:43','2021-03-10 12:15:43',null);
INSERT INTO complaint_statuses VALUES('15748','4735','3',null,'67',null,'10-MAR-2021
COM FF TO ANWAR CARAVELL','92','92','2021-03-10 12:23:36','2021-03-10 17:49:34',null);
INSERT INTO complaint_statuses VALUES('15749','4673','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-10 12:28:38','2021-03-10 12:28:38',null);
INSERT INTO complaint_statuses VALUES('15750','4673','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-10 12:29:19','2021-03-10 13:02:44',null);
INSERT INTO complaint_statuses VALUES('15751','4671','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-10 12:29:56','2021-03-10 13:03:14',null);
INSERT INTO complaint_statuses VALUES('15752','4736','3',null,'53',null,'10-MAR-2021
COM NO 1096758','92','92','2021-03-10 12:48:52','2021-03-10 12:50:40',null);
INSERT INTO complaint_statuses VALUES('15753','4737','2',null,'81',null,'10-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-10 12:59:24','2021-03-10 12:59:24',null);
INSERT INTO complaint_statuses VALUES('15754','4738','3',null,'54',null,'10-MAR-2021
COM NO 1828951','92','92','2021-03-10 13:05:25','2021-03-10 13:08:12',null);
INSERT INTO complaint_statuses VALUES('15755','4659','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-10 13:12:43','2021-03-10 13:36:29',null);
INSERT INTO complaint_statuses VALUES('15756','4613','5','15',null,'CUSTOMER K A ISSUE KHUD SA HI RESOLVED HO GAYA THA COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-03-10 13:14:03','2021-03-10 13:37:10',null);
INSERT INTO complaint_statuses VALUES('15757','4739','3',null,'53',null,'10-MAR-2021
COM NO 301097065','92','92','2021-03-10 13:16:06','2021-03-10 13:50:51',null);
INSERT INTO complaint_statuses VALUES('15758','4639','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-10 13:20:06','2021-03-10 13:20:06',null);
INSERT INTO complaint_statuses VALUES('15759','4669','5','15',null,'CUSTOMER SIDE SA DELAY COMPLINT INFORMED BY TARIQ FCI','COMPLAINT RESOLVED','81','74','2021-03-10 13:22:45','2021-03-10 13:35:56',null);
INSERT INTO complaint_statuses VALUES('15760','4554','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-10 13:35:21','2021-03-10 13:35:21',null);
INSERT INTO complaint_statuses VALUES('15761','4546','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-10 13:42:16','2021-03-10 13:42:16',null);
INSERT INTO complaint_statuses VALUES('15762','4740','3',null,'53',null,'10-MAR-2021
COM NO 301097063','92','92','2021-03-10 13:43:32','2021-03-10 13:47:52',null);
INSERT INTO complaint_statuses VALUES('15763','4176','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-10 13:44:12','2021-03-10 13:44:12',null);
INSERT INTO complaint_statuses VALUES('15764','4603','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-10 14:20:15','2021-03-10 14:20:15',null);
INSERT INTO complaint_statuses VALUES('15765','4741','3',null,'54',null,'10-MAR-2021
COM NO 1829047','92','92','2021-03-10 14:20:33','2021-03-10 14:21:58',null);
INSERT INTO complaint_statuses VALUES('15766','4742','2',null,'81',null,'10-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-10 14:34:14','2021-03-10 14:34:14',null);
INSERT INTO complaint_statuses VALUES('15767','4743','2',null,'81',null,'10-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-10 14:47:09','2021-03-10 14:47:09',null);
INSERT INTO complaint_statuses VALUES('15768','4743','4',null,'55',null,null,'81','81','2021-03-10 14:49:00','2021-03-10 14:49:00',null);
INSERT INTO complaint_statuses VALUES('15769','4742','4',null,'58',null,null,'81','81','2021-03-10 14:49:16','2021-03-10 14:49:16',null);
INSERT INTO complaint_statuses VALUES('15770','4737','4',null,'63',null,null,'81','81','2021-03-10 14:49:31','2021-03-10 14:49:31',null);
INSERT INTO complaint_statuses VALUES('15771','4734','4',null,'63',null,null,'81','81','2021-03-10 14:49:53','2021-03-10 14:49:53',null);
INSERT INTO complaint_statuses VALUES('15772','4419','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-10 15:00:14','2021-03-10 15:00:14',null);
INSERT INTO complaint_statuses VALUES('15773','4744','3',null,'52',null,'10-MAR-2021
COM NO PKRI-210310110441','92','92','2021-03-10 15:08:50','2021-03-10 16:58:40',null);
INSERT INTO complaint_statuses VALUES('15774','4660','8','23','58',null,null,'81','81','2021-03-10 15:09:07','2021-03-10 15:09:07',null);
INSERT INTO complaint_statuses VALUES('15775','4481','8','23','58',null,null,'81','81','2021-03-10 15:09:38','2021-03-10 15:09:38',null);
INSERT INTO complaint_statuses VALUES('15776','4374','8','23','63',null,'NOT ATTEND CALL','81','74','2021-03-10 15:10:31','2021-03-23 13:02:12',null);
INSERT INTO complaint_statuses VALUES('15777','3948','8','23','63',null,null,'81','81','2021-03-10 15:10:53','2021-03-10 15:10:53',null);
INSERT INTO complaint_statuses VALUES('15778','4745','3',null,'68',null,'10-MAR-2021
COM NO 2103RWP2328','92','92','2021-03-10 15:36:51','2021-03-10 15:36:51',null);
INSERT INTO complaint_statuses VALUES('15779','4746','2',null,'81',null,'10-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-10 15:49:08','2021-03-10 15:49:08',null);
INSERT INTO complaint_statuses VALUES('15780','4747','2',null,'81',null,'10-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-10 15:52:24','2021-03-10 15:52:24',null);
INSERT INTO complaint_statuses VALUES('15781','4748','2',null,'81',null,'10-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-10 15:55:25','2021-03-10 15:55:25',null);
INSERT INTO complaint_statuses VALUES('15782','4704','7','24','81','Under Repaired in SVC',null,'76','76','2021-03-10 16:01:34','2021-03-10 16:01:34',null);
INSERT INTO complaint_statuses VALUES('15783','4592','7','12','81','Customer Will Drop it for Service.',null,'76','76','2021-03-10 16:02:22','2021-03-10 16:02:22',null);
INSERT INTO complaint_statuses VALUES('15784','4749','2',null,'81',null,'10-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-10 16:07:30','2021-03-13 17:53:05',null);
INSERT INTO complaint_statuses VALUES('15785','4749','4',null,'63',null,null,'81','81','2021-03-10 16:08:15','2021-03-10 16:08:15',null);
INSERT INTO complaint_statuses VALUES('15786','4748','4',null,'62',null,null,'81','81','2021-03-10 16:08:36','2021-03-10 16:08:36',null);
INSERT INTO complaint_statuses VALUES('15787','4726','7','12','81','Woofer paired rs 500',null,'83','83','2021-03-10 16:10:21','2021-03-10 16:10:21',null);
INSERT INTO complaint_statuses VALUES('15788','4747','4',null,'62',null,null,'81','81','2021-03-10 16:33:48','2021-03-10 16:33:48',null);
INSERT INTO complaint_statuses VALUES('15789','4746','4',null,'62',null,null,'81','81','2021-03-10 16:33:56','2021-03-10 16:33:56',null);
INSERT INTO complaint_statuses VALUES('15790','4748','7','12','81','ISSUE RESOLVED ,SERVICE KI',null,'87','87','2021-03-10 16:35:57','2021-03-10 16:35:57',null);
INSERT INTO complaint_statuses VALUES('15791','4747','7','12','81','ISSUE RESOLVED , SERVICE KI',null,'87','87','2021-03-10 16:37:44','2021-03-10 16:37:44',null);
INSERT INTO complaint_statuses VALUES('15792','4748','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-10 16:40:30','2021-03-10 16:53:01',null);
INSERT INTO complaint_statuses VALUES('15793','4747','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-10 16:43:19','2021-03-10 16:53:31',null);
INSERT INTO complaint_statuses VALUES('15794','4746','7','12','81','ISSUE RESOLVED , SERVICE KI',null,'87','87','2021-03-10 16:47:26','2021-03-10 16:47:26',null);
INSERT INTO complaint_statuses VALUES('15795','4726','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-10 17:09:07','2021-03-10 17:12:35',null);
INSERT INTO complaint_statuses VALUES('15796','4746','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-10 17:10:44','2021-03-10 17:12:06',null);
INSERT INTO complaint_statuses VALUES('15797','4750','2',null,'81',null,'10-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-10 17:13:13','2021-03-10 17:13:13',null);
INSERT INTO complaint_statuses VALUES('15798','4592','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-03-10 17:14:21','2021-03-10 17:22:37',null);
INSERT INTO complaint_statuses VALUES('15799','4704','8','23','55','JOB COMPLETED QUKILY',null,'81','81','2021-03-10 17:16:38','2021-03-10 17:16:38',null);
INSERT INTO complaint_statuses VALUES('15800','4679','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-10 17:21:53','2021-03-10 17:21:53',null);
INSERT INTO complaint_statuses VALUES('15801','4751','2',null,'81',null,'10-MAR-2021
COM FF TO KHALID SONY','92','92','2021-03-10 17:35:27','2021-03-10 17:35:27',null);
INSERT INTO complaint_statuses VALUES('15802','4752','3',null,'73',null,'10-MAR-2021
COM NO 4194','92','92','2021-03-10 17:45:50','2021-03-10 17:45:50',null);
INSERT INTO complaint_statuses VALUES('15803','4751','4',null,'56',null,null,'81','81','2021-03-10 18:02:36','2021-03-10 18:02:36',null);
INSERT INTO complaint_statuses VALUES('15804','4750','4',null,'63',null,null,'81','81','2021-03-10 18:02:47','2021-03-10 18:02:47',null);
INSERT INTO complaint_statuses VALUES('15805','4742','7','12','81','COMPLAINT RESOLVED .SAFTY TRIP',null,'79','79','2021-03-10 19:40:16','2021-03-10 19:40:16',null);
INSERT INTO complaint_statuses VALUES('15806','4660','7','12','81','COMPLAINT RESOVLED /PCB LGA DI HAI',null,'79','79','2021-03-10 19:41:18','2021-03-10 19:41:18',null);
INSERT INTO complaint_statuses VALUES('15807','4753','2',null,'81',null,'11-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-11 10:52:27','2021-03-11 10:52:27',null);
INSERT INTO complaint_statuses VALUES('15808','4754','3',null,'52',null,'11-MAR-2021
COM NO PKRI-210311102439','92','92','2021-03-11 11:02:47','2021-03-11 11:02:47',null);
INSERT INTO complaint_statuses VALUES('15809','4728','7','12','81','complaint resloved ,safrt wire issue',null,'79','79','2021-03-11 11:04:39','2021-03-11 11:04:39',null);
INSERT INTO complaint_statuses VALUES('15810','4406','7','12','81','pcb and gear issue  change  kr dya hai',null,'79','79','2021-03-11 11:12:47','2021-03-11 11:12:47',null);
INSERT INTO complaint_statuses VALUES('15811','4755','3',null,'53',null,'11-MAR-2021
COM NO 301097300','92','92','2021-03-11 11:12:49','2021-03-11 11:12:49',null);
INSERT INTO complaint_statuses VALUES('15812','3919','7','12','81','is ka bata dein kerna kia hai.',null,'79','79','2021-03-11 11:13:32','2021-03-11 11:13:32',null);
INSERT INTO complaint_statuses VALUES('15813','4384','7','12','81','cusotemr not attend call .agr attend ho jaye tu kidly adil ko bata dein.ya adil ki bt kerwa dein',null,'79','79','2021-03-11 11:22:48','2021-03-11 11:22:48',null);
INSERT INTO complaint_statuses VALUES('15814','4756','3',null,'53',null,'11-MAR-2021
COM NO 1097316','92','92','2021-03-11 11:41:53','2021-03-11 11:41:53',null);
INSERT INTO complaint_statuses VALUES('15815','4526','7','24','81','ak 2 din tak customer set office ly k aya ga',null,'80','80','2021-03-11 11:51:01','2021-03-11 11:51:01',null);
INSERT INTO complaint_statuses VALUES('15816','4757','3',null,'66',null,'11-MAR-2021
COM NO PK-031120210048
SHAKEEL TCL','92','92','2021-03-11 12:13:18','2021-03-11 17:42:50',null);
INSERT INTO complaint_statuses VALUES('15817','4742','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-11 12:25:07','2021-03-11 12:47:02',null);
INSERT INTO complaint_statuses VALUES('15818','4728','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-11 12:27:33','2021-03-11 12:47:31',null);
INSERT INTO complaint_statuses VALUES('15819','4723','7','24','81','Pcb issue hy pcb ur wiring nikal ky laye hy',null,'82','82','2021-03-11 12:27:55','2021-03-11 12:27:55',null);
INSERT INTO complaint_statuses VALUES('15820','4660','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-11 12:29:15','2021-03-11 12:48:09',null);
INSERT INTO complaint_statuses VALUES('15821','4758','2',null,'81',null,'11-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-11 12:30:46','2021-03-11 12:30:46',null);
INSERT INTO complaint_statuses VALUES('15822','4526','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-03-11 12:32:36','2021-03-11 12:32:36',null);
INSERT INTO complaint_statuses VALUES('15823','4406','8','23','58','CUSTOMER KA ISSUE RESOLVED NAI HOA KINDLY CUSTOMER SA CONTACT KARAY',null,'81','81','2021-03-11 12:36:20','2021-03-11 12:36:20',null);
INSERT INTO complaint_statuses VALUES('15824','3919','5','15',null,'PART NOT AVAIL IN STOCK','COMPLAINT CLOSED','81','74','2021-03-11 12:42:00','2021-03-11 12:48:40',null);
INSERT INTO complaint_statuses VALUES('15825','4759','2',null,'81',null,'11-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-11 12:42:16','2021-03-11 12:42:16',null);
INSERT INTO complaint_statuses VALUES('15826','4698','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-11 12:52:17','2021-03-11 12:52:17',null);
INSERT INTO complaint_statuses VALUES('15827','4697','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-11 12:55:10','2021-03-11 12:55:10',null);
INSERT INTO complaint_statuses VALUES('15828','4760','2',null,'81',null,'11-MAR-2021
COM FF TO KHALID SONY','92','92','2021-03-11 13:13:56','2021-03-11 13:13:56',null);
INSERT INTO complaint_statuses VALUES('15829','4543','7','24','81','part demanded',null,'77','77','2021-03-11 13:16:31','2021-03-11 13:16:31',null);
INSERT INTO complaint_statuses VALUES('15830','3992','7','12','81','Unit collected by Aslam sab...',null,'77','77','2021-03-11 13:17:42','2021-03-11 13:17:42',null);
INSERT INTO complaint_statuses VALUES('15831','4568','7','9','81','Customer will bring unit to service center',null,'77','77','2021-03-11 13:18:58','2021-03-11 13:18:58',null);
INSERT INTO complaint_statuses VALUES('15832','4760','4',null,'56',null,null,'81','81','2021-03-11 13:31:54','2021-03-11 13:31:54',null);
INSERT INTO complaint_statuses VALUES('15833','4759','4',null,'63',null,null,'81','81','2021-03-11 13:32:16','2021-03-11 13:32:16',null);
INSERT INTO complaint_statuses VALUES('15834','4758','4',null,'58',null,null,'81','81','2021-03-11 13:32:26','2021-03-11 13:32:26',null);
INSERT INTO complaint_statuses VALUES('15835','4753','4',null,'63',null,null,'81','81','2021-03-11 13:32:39','2021-03-11 13:32:39',null);
INSERT INTO complaint_statuses VALUES('15836','4761','2',null,'81',null,'11-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-11 13:48:24','2021-03-11 13:48:24',null);
INSERT INTO complaint_statuses VALUES('15837','4684','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-11 13:51:58','2021-03-11 13:51:58',null);
INSERT INTO complaint_statuses VALUES('15838','4665','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-11 14:09:57','2021-03-11 14:09:57',null);
INSERT INTO complaint_statuses VALUES('15839','4760','7','12','81','No action unit ok',null,'77','77','2021-03-11 14:11:13','2021-03-11 14:11:13',null);
INSERT INTO complaint_statuses VALUES('15840','4762','2',null,'81',null,'11-MAR-2021
COM FF TO AZHAR FCI','92','92','2021-03-11 14:12:24','2021-03-11 14:12:24',null);
INSERT INTO complaint_statuses VALUES('15841','4664','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-11 14:15:33','2021-03-11 14:15:33',null);
INSERT INTO complaint_statuses VALUES('15842','4722','7','12','81','Filter Service Visit pending 600.',null,'76','76','2021-03-11 14:19:52','2021-03-11 14:19:52',null);
INSERT INTO complaint_statuses VALUES('15843','4703','7','12','81','Demo Only Visit Charges Pending 600/-',null,'76','76','2021-03-11 14:20:39','2021-03-11 14:20:39',null);
INSERT INTO complaint_statuses VALUES('15844','4705','7','12','81','belt Adjustment.',null,'76','76','2021-03-11 14:23:15','2021-03-11 14:23:15',null);
INSERT INTO complaint_statuses VALUES('15845','4683','7','12','81','Filter Service',null,'76','76','2021-03-11 14:23:57','2021-03-11 14:23:57',null);
INSERT INTO complaint_statuses VALUES('15846','4688','7','12','81','drain pipe adjustment.',null,'76','76','2021-03-11 14:26:00','2021-03-11 14:26:00',null);
INSERT INTO complaint_statuses VALUES('15847','4571','7','12','81','Defrosting sensor Replaced.',null,'76','76','2021-03-11 14:27:54','2021-03-11 14:27:54',null);
INSERT INTO complaint_statuses VALUES('15848','4763','2',null,'81',null,'11-MAR-2021
COM FF TO NADEEM AZHAR SIR','92','92','2021-03-11 14:28:58','2021-03-11 14:28:58',null);
INSERT INTO complaint_statuses VALUES('15849','4479','7','24','81','Miss Customer Sy ap ki kia bat hui, QK customer hunari Calls Ni Receive kr Rahy.',null,'76','76','2021-03-11 14:30:07','2021-03-11 14:30:07',null);
INSERT INTO complaint_statuses VALUES('15850','4516','7','12','81','As per Customer Statement. he Require Replement.',null,'76','76','2021-03-11 14:34:39','2021-03-11 14:34:39',null);
INSERT INTO complaint_statuses VALUES('15851','4764','3',null,'66',null,'11-MAR-2021
COM NO PK-031120210092
SAJID TCL','92','92','2021-03-11 14:40:14','2021-03-11 15:28:30',null);
INSERT INTO complaint_statuses VALUES('15852','4760','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-11 14:40:38','2021-03-11 14:47:11',null);
INSERT INTO complaint_statuses VALUES('15853','4763','4',null,'59',null,null,'81','81','2021-03-11 14:46:19','2021-03-11 14:46:19',null);
INSERT INTO complaint_statuses VALUES('15854','4762','4',null,'60',null,null,'81','81','2021-03-11 14:46:32','2021-03-11 14:46:32',null);
INSERT INTO complaint_statuses VALUES('15855','4761','4',null,'58',null,null,'81','81','2021-03-11 14:46:43','2021-03-11 14:46:43',null);
INSERT INTO complaint_statuses VALUES('15856','4712','7','12','81','Back light replaced unit ok and with customer plz close job',null,'83','83','2021-03-11 15:02:27','2021-03-11 15:02:27',null);
INSERT INTO complaint_statuses VALUES('15857','4440','7','24','81','Ya sound bar service center bijwa dain plz',null,'83','83','2021-03-11 15:03:12','2021-03-11 15:03:12',null);
INSERT INTO complaint_statuses VALUES('15858','4750','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-11 15:16:05','2021-03-11 15:16:05',null);
INSERT INTO complaint_statuses VALUES('15859','4750','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-11 15:16:40','2021-03-11 15:21:45',null);
INSERT INTO complaint_statuses VALUES('15860','4722','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-11 15:17:05','2021-03-11 15:22:15',null);
INSERT INTO complaint_statuses VALUES('15861','4685','7','22','81','motor issue refer to service center',null,'79','79','2021-03-11 15:21:04','2021-03-11 15:21:04',null);
INSERT INTO complaint_statuses VALUES('15862','4712','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-11 15:21:16','2021-03-11 15:22:48',null);
INSERT INTO complaint_statuses VALUES('15863','4705','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-11 15:26:15','2021-03-11 15:28:44',null);
INSERT INTO complaint_statuses VALUES('15864','4703','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-11 15:31:36','2021-03-11 15:39:19',null);
INSERT INTO complaint_statuses VALUES('15865','4765','2',null,'81',null,'11-MAR-2021
COM FF TO USMAN SIR','92','92','2021-03-11 15:33:16','2021-03-11 15:33:16',null);
INSERT INTO complaint_statuses VALUES('15866','4688','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-11 15:37:17','2021-03-11 15:39:46',null);
INSERT INTO complaint_statuses VALUES('15867','4683','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-11 15:38:34','2021-03-11 15:40:11',null);
INSERT INTO complaint_statuses VALUES('15868','4571','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-11 15:44:57','2021-03-11 15:48:55',null);
INSERT INTO complaint_statuses VALUES('15869','4677','7','12','81','compliant resolved  jet cahnge',null,'79','79','2021-03-11 15:51:07','2021-03-11 15:51:07',null);
INSERT INTO complaint_statuses VALUES('15870','4568','8','15','56','OK JOB COMPLETED QUKILEY',null,'81','81','2021-03-11 15:54:28','2021-03-11 15:54:28',null);
INSERT INTO complaint_statuses VALUES('15871','4677','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-11 15:56:36','2021-03-11 16:07:20',null);
INSERT INTO complaint_statuses VALUES('15872','4766','3',null,'52',null,'11-MAR-2021
COM NO PKRI-210311111107','92','92','2021-03-11 15:57:44','2021-03-11 17:47:06',null);
INSERT INTO complaint_statuses VALUES('15873','4543','8','23','56','OK  JOB COMPLETED QUKILEY',null,'81','81','2021-03-11 15:58:49','2021-03-11 15:58:49',null);
INSERT INTO complaint_statuses VALUES('15874','4516','5','15',null,'UMER SIR NA REF REPLACEMENT KI APPROVAL DA DI HAIN NEXT WEEK TAQ REPLACEMENT KA TIME DIA CUSTOMER KO','CUASTOMER KO REF REPLACE KAR K DA DI HAIN COMPLAINT CLOSED BILAL FHHS K PASS','81','74','2021-03-11 16:01:50','2021-03-17 13:01:54',null);
INSERT INTO complaint_statuses VALUES('15875','4767','2',null,'81',null,'11-MAR-2021
COM FF TO KHALID SONY','92','92','2021-03-11 16:06:37','2021-03-11 16:06:37',null);
INSERT INTO complaint_statuses VALUES('15876','4440','8','23','61','BILAL PWD 03335311234  IN SA CONTACT KARAY',null,'81','81','2021-03-11 16:07:26','2021-03-11 16:07:26',null);
INSERT INTO complaint_statuses VALUES('15877','4768','3',null,'52',null,'11-MAR-2021
COM NO PKRI-210311109780','92','92','2021-03-11 16:33:35','2021-03-11 16:33:35',null);
INSERT INTO complaint_statuses VALUES('15878','4769','2',null,'81',null,'11-MAR-2021
COM FF TO AZHAR FCI','92','92','2021-03-11 16:33:55','2021-03-11 16:33:55',null);
INSERT INTO complaint_statuses VALUES('15879','4384','5','15',null,'CUSTOMER  KA NO STILL NOT RESPONDING INFORMED BY JAVEED FCP ABI COMPLIANT CLOSED KAR DI','COMPLAINT CLOSED','81','74','2021-03-11 16:34:23','2021-03-11 16:36:01',null);
INSERT INTO complaint_statuses VALUES('15880','4479','8','23','55','0302  WALAY NO PA CALL KA LAY ABI HAMRI MADAM SA BAT HOI HAIN SUBHA 10 BAJAY CALL KAR LAY',null,'81','81','2021-03-11 16:46:59','2021-03-11 16:46:59',null);
INSERT INTO complaint_statuses VALUES('15881','4685','8','23','58','OK JOB COMPLETED QUKILEY',null,'81','81','2021-03-11 16:47:37','2021-03-11 16:47:37',null);
INSERT INTO complaint_statuses VALUES('15882','4723','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-03-11 16:48:16','2021-03-11 16:48:16',null);
INSERT INTO complaint_statuses VALUES('15883','4770','2',null,'81',null,'11-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-11 16:54:40','2021-03-11 16:54:40',null);
INSERT INTO complaint_statuses VALUES('15884','4771','3',null,'66',null,'11-MAR-2021
COM NO PK-031120210124
AHMED TCL','92','92','2021-03-11 17:04:29','2021-04-03 13:24:20',null);
INSERT INTO complaint_statuses VALUES('15885','4772','3',null,'60',null,'11-MAR-2021
COM FF TO AWAIS SIG LAHORE','92','92','2021-03-11 17:18:54','2021-03-23 12:48:18',null);
INSERT INTO complaint_statuses VALUES('15886','4773','3',null,'52',null,'11-MAR-2021
COM NO PKRI-210315110765','92','92','2021-03-11 18:00:18','2021-03-15 16:13:12',null);
INSERT INTO complaint_statuses VALUES('15887','4770','4',null,'58',null,null,'81','81','2021-03-11 18:06:22','2021-03-11 18:06:22',null);
INSERT INTO complaint_statuses VALUES('15888','4769','4',null,'60',null,null,'81','81','2021-03-11 18:06:32','2021-03-11 18:06:32',null);
INSERT INTO complaint_statuses VALUES('15889','4767','4',null,'56',null,null,'81','81','2021-03-11 18:06:41','2021-03-11 18:06:41',null);
INSERT INTO complaint_statuses VALUES('15890','4765','4',null,'61',null,null,'81','81','2021-03-11 18:06:50','2021-03-11 18:06:50',null);
INSERT INTO complaint_statuses VALUES('15891','4634','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-12 12:30:52','2021-03-12 12:30:52',null);
INSERT INTO complaint_statuses VALUES('15892','4618','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-12 12:42:29','2021-03-12 12:42:29',null);
INSERT INTO complaint_statuses VALUES('15893','4618','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-12 12:42:56','2021-03-12 12:43:20',null);
INSERT INTO complaint_statuses VALUES('15894','4721','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-12 12:47:27','2021-03-12 12:47:27',null);
INSERT INTO complaint_statuses VALUES('15895','4774','3',null,'54',null,'12-MARCH-2021
COMPLAINT#1830098','74','74','2021-03-12 14:13:53','2021-03-12 15:11:40',null);
INSERT INTO complaint_statuses VALUES('15896','4775','3',null,'72',null,'12-MAR-2021
COMPLAINT#2117110','74','92','2021-03-12 14:30:25','2021-03-14 12:35:06',null);
INSERT INTO complaint_statuses VALUES('15897','4752','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-12 14:36:29','2021-03-12 14:36:29',null);
INSERT INTO complaint_statuses VALUES('15898','4715','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-12 14:39:03','2021-03-12 14:39:03',null);
INSERT INTO complaint_statuses VALUES('15899','4763','7','12','81','yea customer apny  dil ki bht  sunty hn in ka dil ni hy abi set S/C lany ka visit py py karny ka dil ni 
kehty hn mod jab mery ho ga ly ao ga',null,'80','80','2021-03-12 14:48:19','2021-03-12 14:48:19',null);
INSERT INTO complaint_statuses VALUES('15900','4714','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-12 14:49:13','2021-03-12 14:49:13',null);
INSERT INTO complaint_statuses VALUES('15901','4776','3',null,'53',null,'12-MAR-2021
COMPLAINT#301097770','74','92','2021-03-12 15:08:52','2021-03-14 12:26:14',null);
INSERT INTO complaint_statuses VALUES('15902','4762','7','24','81',null,null,'82','82','2021-03-12 15:33:01','2021-03-12 15:33:01',null);
INSERT INTO complaint_statuses VALUES('15903','4707','7','12','81','Tenki main pani khatam ho gea tha',null,'82','82','2021-03-12 15:33:50','2021-03-12 15:33:50',null);
INSERT INTO complaint_statuses VALUES('15904','4692','7','12','81','Service.',null,'76','76','2021-03-12 15:53:46','2021-03-12 15:53:46',null);
INSERT INTO complaint_statuses VALUES('15905','4777','2',null,'81',null,'12-MAR-2021
FF TO KHURRAM 5 STAR','74','74','2021-03-12 16:12:44','2021-03-12 16:12:44',null);
INSERT INTO complaint_statuses VALUES('15906','4777','4',null,'63',null,null,'81','81','2021-03-12 16:14:09','2021-03-12 16:14:09',null);
INSERT INTO complaint_statuses VALUES('15907','4699','7','12','81','Unit ok no any problem found',null,'83','83','2021-03-12 17:27:56','2021-03-12 17:27:56',null);
INSERT INTO complaint_statuses VALUES('15908','4704','7','12','81','Defrosting Sensor Replaced .',null,'76','76','2021-03-13 10:04:02','2021-03-13 10:04:02',null);
INSERT INTO complaint_statuses VALUES('15909','4693','7','12','81','Compressor Replaced and Gas recharged (Charges 2500)',null,'76','76','2021-03-13 10:05:26','2021-03-13 10:05:26',null);
INSERT INTO complaint_statuses VALUES('15910','4606','7','12','81','Unit ok no any problem 
Only visit rs 500',null,'83','83','2021-03-13 10:35:52','2021-03-13 10:35:52',null);
INSERT INTO complaint_statuses VALUES('15911','4765','7','12','81','Hdmi cable problem  unit ok 
Visit only rs 500',null,'83','83','2021-03-13 10:36:38','2021-03-13 10:36:38',null);
INSERT INTO complaint_statuses VALUES('15912','4765','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-13 11:04:23','2021-03-13 12:06:12',null);
INSERT INTO complaint_statuses VALUES('15913','4763','5','15',null,'CUSTOMER SIDE SA DELAY COMPLIANT SO COMPLAINT COLOSED','COMPLAINT RESOLVED','81','92','2021-03-13 11:11:50','2021-03-13 12:08:29',null);
INSERT INTO complaint_statuses VALUES('15914','4707','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-13 11:29:00','2021-03-13 12:07:40',null);
INSERT INTO complaint_statuses VALUES('15915','4778','2',null,'81',null,'13-MAR-2021
COM FF TO AZHAR FCI','92','92','2021-03-13 11:37:54','2021-03-13 11:37:54',null);
INSERT INTO complaint_statuses VALUES('15916','4743','7','26','81','No Need of visit.',null,'76','76','2021-03-13 11:39:31','2021-03-13 11:39:31',null);
INSERT INTO complaint_statuses VALUES('15917','4779','2',null,'81',null,'13-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-13 11:46:04','2021-03-13 11:46:04',null);
INSERT INTO complaint_statuses VALUES('15918','4743','5','15',null,'CUSTOMER KA ISSUE KHUD SA HI RESOLVED HO GAYA SO COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-03-13 11:53:17','2021-03-13 12:08:07',null);
INSERT INTO complaint_statuses VALUES('15919','4704','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-13 11:54:56','2021-03-13 12:07:16',null);
INSERT INTO complaint_statuses VALUES('15920','4780','2',null,'81',null,'13-MAR-2021
COM FF TO AZHAR FCI','92','92','2021-03-13 12:04:29','2021-03-13 12:04:29',null);
INSERT INTO complaint_statuses VALUES('15921','4780','4',null,'60',null,null,'81','81','2021-03-13 12:05:26','2021-03-13 12:05:26',null);
INSERT INTO complaint_statuses VALUES('15922','4779','4',null,'62',null,null,'81','81','2021-03-13 12:05:37','2021-03-13 12:05:37',null);
INSERT INTO complaint_statuses VALUES('15923','4778','4',null,'60',null,null,'81','81','2021-03-13 12:05:48','2021-03-13 12:05:48',null);
INSERT INTO complaint_statuses VALUES('15924','4781','2',null,'81',null,'13-MAR-2021
COM FF TO AZHAR FCI','92','92','2021-03-13 12:27:00','2021-03-13 12:39:21',null);
INSERT INTO complaint_statuses VALUES('15925','4693','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-13 12:32:49','2021-03-13 12:40:43',null);
INSERT INTO complaint_statuses VALUES('15926','4692','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-13 12:34:38','2021-03-13 12:42:14',null);
INSERT INTO complaint_statuses VALUES('15927','4782','3',null,'73',null,'13-MAR-2021
COM NO 4211','92','92','2021-03-13 12:36:04','2021-05-26 12:27:00',null);
INSERT INTO complaint_statuses VALUES('15928','4606','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','92','2021-03-13 12:38:30','2021-03-13 12:41:52',null);
INSERT INTO complaint_statuses VALUES('15929','4762','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-03-13 12:39:41','2021-03-13 12:39:41',null);
INSERT INTO complaint_statuses VALUES('15930','4781','4',null,'60',null,null,'81','81','2021-03-13 12:39:55','2021-03-13 12:39:55',null);
INSERT INTO complaint_statuses VALUES('15931','4770','7','12','81','complaint resolved,',null,'79','79','2021-03-13 12:46:54','2021-03-13 12:46:54',null);
INSERT INTO complaint_statuses VALUES('15932','4783','2',null,'81',null,'13-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-13 12:59:19','2021-03-13 12:59:19',null);
INSERT INTO complaint_statuses VALUES('15933','4781','7','24','81',null,null,'82','82','2021-03-13 13:08:22','2021-03-13 13:08:22',null);
INSERT INTO complaint_statuses VALUES('15934','4716','7','12','81','compliant resolved ,thermostate issue',null,'79','79','2021-03-13 13:10:39','2021-03-13 13:10:39',null);
INSERT INTO complaint_statuses VALUES('15935','4784','3',null,'52',null,'13-MAR-2021
COM NO PKRI-210313106327','92','92','2021-03-13 13:28:09','2021-03-13 13:28:09',null);
INSERT INTO complaint_statuses VALUES('15936','4741','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-13 13:33:27','2021-03-13 13:33:27',null);
INSERT INTO complaint_statuses VALUES('15937','4785','3',null,'65',null,'13-MAR-2021
COM NO 19121264
NEW COMPLAINT#192121284','92','74','2021-03-13 13:34:09','2021-03-16 12:43:05',null);
INSERT INTO complaint_statuses VALUES('15938','4740','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-13 13:35:10','2021-03-13 13:35:10',null);
INSERT INTO complaint_statuses VALUES('15939','4739','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-13 13:37:46','2021-03-13 13:37:46',null);
INSERT INTO complaint_statuses VALUES('15940','4738','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-13 13:40:11','2021-03-13 13:40:11',null);
INSERT INTO complaint_statuses VALUES('15941','4736','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-13 13:46:17','2021-03-13 13:46:17',null);
INSERT INTO complaint_statuses VALUES('15942','4786','3',null,'59',null,'13-MAR-2021
COM NO 4243585614','92','92','2021-03-13 13:51:19','2021-03-13 14:56:35',null);
INSERT INTO complaint_statuses VALUES('15943','4761','7','12','81','complaint resolved,wiring issue',null,'79','79','2021-03-13 13:53:28','2021-03-13 13:53:28',null);
INSERT INTO complaint_statuses VALUES('15944','4733','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-13 13:56:46','2021-03-13 13:56:46',null);
INSERT INTO complaint_statuses VALUES('15945','4770','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-13 13:58:27','2021-03-13 14:10:06',null);
INSERT INTO complaint_statuses VALUES('15946','4761','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-13 13:59:44','2021-03-13 14:10:39',null);
INSERT INTO complaint_statuses VALUES('15947','4716','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-13 14:05:37','2021-03-13 14:11:05',null);
INSERT INTO complaint_statuses VALUES('15948','4787','3',null,'92',null,'13-MAR-2021
COM NO 210313059562','92','92','2021-03-13 14:09:04','2021-03-15 14:13:56',null);
INSERT INTO complaint_statuses VALUES('15949','4788','3',null,'55',null,'13-MAR-2021
COM NO 737610','92','92','2021-03-13 14:20:19','2021-03-13 14:20:19',null);
INSERT INTO complaint_statuses VALUES('15950','4789','2',null,'81',null,'13-MAR-2021
COM FF TO NADEEM SIR','92','92','2021-03-13 14:57:39','2021-03-13 14:57:39',null);
INSERT INTO complaint_statuses VALUES('15951','4790','2',null,'81',null,'13-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-13 15:01:11','2021-03-13 15:01:11',null);
INSERT INTO complaint_statuses VALUES('15952','4791','3',null,'52',null,'13-MAR-2021
COM NO PKRI-210316105627','92','92','2021-03-13 15:13:14','2021-03-17 10:52:09',null);
INSERT INTO complaint_statuses VALUES('15953','4792','3',null,'52',null,'13-MAR-2021
COM NO PKRI-210313108767','92','92','2021-03-13 15:18:40','2021-03-13 15:25:03',null);
INSERT INTO complaint_statuses VALUES('15954','4793','2',null,'81',null,'13-MAR-2021
COM FF TO KHALID SONY','92','92','2021-03-13 15:39:15','2021-03-13 15:39:15',null);
INSERT INTO complaint_statuses VALUES('15955','4793','4',null,'56',null,null,'81','81','2021-03-13 15:43:06','2021-03-13 15:43:06',null);
INSERT INTO complaint_statuses VALUES('15956','4790','4',null,'63',null,null,'81','81','2021-03-13 15:43:19','2021-03-13 15:43:19',null);
INSERT INTO complaint_statuses VALUES('15957','4789','4',null,'59',null,null,'81','81','2021-03-13 15:43:30','2021-03-13 15:43:30',null);
INSERT INTO complaint_statuses VALUES('15958','4783','4',null,'63',null,null,'81','81','2021-03-13 15:43:44','2021-03-13 15:43:44',null);
INSERT INTO complaint_statuses VALUES('15959','4732','2',null,'81',null,null,'92','92','2021-03-13 15:49:20','2021-03-13 15:49:20',null);
INSERT INTO complaint_statuses VALUES('15960','4732','4',null,'64',null,null,'81','81','2021-03-13 15:49:44','2021-03-13 15:49:44',null);
INSERT INTO complaint_statuses VALUES('15961','2767','7','12','81','Problem has been solved.',null,'76','76','2021-03-13 15:56:08','2021-03-13 15:56:08',null);
INSERT INTO complaint_statuses VALUES('15962','4794','3',null,'57',null,'13-MAR-2021
COM NO 17136','92','92','2021-03-13 16:04:07','2021-03-13 16:04:07',null);
INSERT INTO complaint_statuses VALUES('15963','4795','2',null,'81',null,'13-MAR-2021
COM FF TO USMAN SIR','92','92','2021-03-13 16:15:30','2021-03-13 16:15:30',null);
INSERT INTO complaint_statuses VALUES('15964','4795','4',null,'61',null,null,'81','81','2021-03-13 16:18:16','2021-03-13 16:18:16',null);
INSERT INTO complaint_statuses VALUES('15965','2767','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-13 16:39:23','2021-03-13 17:00:08',null);
INSERT INTO complaint_statuses VALUES('15966','4796','2',null,'81',null,'13-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-13 16:44:07','2021-03-13 16:44:07',null);
INSERT INTO complaint_statuses VALUES('15967','4706','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-13 16:51:36','2021-03-13 16:51:36',null);
INSERT INTO complaint_statuses VALUES('15968','4702','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-13 16:54:27','2021-03-13 16:54:27',null);
INSERT INTO complaint_statuses VALUES('15969','4708','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-13 16:59:19','2021-03-13 16:59:19',null);
INSERT INTO complaint_statuses VALUES('15970','4656','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-13 17:25:33','2021-03-13 17:25:33',null);
INSERT INTO complaint_statuses VALUES('15971','4797','3',null,'73',null,'13-MAR-2021
COM NO 4213','92','92','2021-03-13 17:34:22','2021-03-13 17:34:22',null);
INSERT INTO complaint_statuses VALUES('15972','4798','2',null,'81',null,'13-MAR-2021
COM NO PKRI-210313111396','92','92','2021-03-13 17:50:26','2021-03-13 17:50:26',null);
INSERT INTO complaint_statuses VALUES('15973','4799','2',null,'81',null,'13-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-13 18:06:05','2021-03-13 18:06:05',null);
INSERT INTO complaint_statuses VALUES('15974','4799','4',null,'62',null,null,'81','81','2021-03-13 18:07:24','2021-03-13 18:07:24',null);
INSERT INTO complaint_statuses VALUES('15975','4798','4',null,'64',null,null,'81','81','2021-03-13 18:07:56','2021-03-13 18:07:56',null);
INSERT INTO complaint_statuses VALUES('15976','4796','4',null,'55',null,null,'81','81','2021-03-13 18:08:09','2021-03-13 18:08:09',null);
INSERT INTO complaint_statuses VALUES('15977','4779','7','12','81','ISSUE RESOLVED',null,'87','87','2021-03-13 18:43:43','2021-03-13 18:43:43',null);
INSERT INTO complaint_statuses VALUES('15978','4127','7','26','81','Gernal tec ko dy di hy',null,'88','88','2021-03-14 09:52:44','2021-03-14 09:52:44',null);
INSERT INTO complaint_statuses VALUES('15979','4800','2',null,'81',null,'14-MAR-2021
COM FF TO USMAN SIR','92','92','2021-03-14 10:35:48','2021-03-14 10:35:48',null);
INSERT INTO complaint_statuses VALUES('15980','4801','2',null,'81',null,'14-MAR-2021
COM NO 1830966','92','92','2021-03-14 11:05:31','2021-03-29 11:38:38',null);
INSERT INTO complaint_statuses VALUES('15981','4801','4',null,'64',null,null,'81','81','2021-03-14 11:08:36','2021-03-14 11:08:36',null);
INSERT INTO complaint_statuses VALUES('15982','4800','4',null,'61',null,null,'81','81','2021-03-14 11:08:49','2021-03-14 11:08:49',null);
INSERT INTO complaint_statuses VALUES('15983','4802','2',null,'81',null,'14-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-14 11:16:54','2021-03-14 11:16:54',null);
INSERT INTO complaint_statuses VALUES('15984','4802','4',null,'62',null,null,'81','81','2021-03-14 11:17:16','2021-03-14 11:17:16',null);
INSERT INTO complaint_statuses VALUES('15985','4779','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-03-14 11:37:52','2021-03-14 12:13:58',null);
INSERT INTO complaint_statuses VALUES('15986','4699','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-03-14 12:09:38','2021-03-14 12:14:49',null);
INSERT INTO complaint_statuses VALUES('15987','4127','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-03-14 12:11:04','2021-03-14 12:15:22',null);
INSERT INTO complaint_statuses VALUES('15988','3992','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-03-14 12:12:19','2021-03-14 12:15:48',null);
INSERT INTO complaint_statuses VALUES('15989','4803','3',null,'52',null,'14-MAR-2021
COM NO PKRI-210314102970','92','92','2021-03-14 12:21:55','2021-03-14 12:25:29',null);
INSERT INTO complaint_statuses VALUES('15990','4804','2',null,'81',null,null,'92','92','2021-03-14 13:07:12','2021-03-14 13:07:12',null);
INSERT INTO complaint_statuses VALUES('15991','4804','2',null,'81',null,null,'92','92','2021-03-14 13:08:16','2021-03-14 13:08:16',null);
INSERT INTO complaint_statuses VALUES('15992','4804','4',null,'64',null,null,'81','81','2021-03-14 13:08:59','2021-03-14 13:08:59',null);
INSERT INTO complaint_statuses VALUES('15993','4804','4',null,'64',null,null,'81','81','2021-03-14 13:08:59','2021-03-14 13:08:59',null);
INSERT INTO complaint_statuses VALUES('15994','4805','2',null,'81',null,'14-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-14 14:15:01','2021-03-14 14:15:01',null);
INSERT INTO complaint_statuses VALUES('15995','4806','2',null,'81',null,'14-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-14 14:21:00','2021-03-14 14:21:00',null);
INSERT INTO complaint_statuses VALUES('15996','4806','4',null,'62',null,null,'81','81','2021-03-14 14:22:05','2021-03-14 14:22:05',null);
INSERT INTO complaint_statuses VALUES('15997','4805','4',null,'63',null,null,'81','81','2021-03-14 14:22:16','2021-03-14 14:22:16',null);
INSERT INTO complaint_statuses VALUES('15998','4406','7','12','81','complaint resolved',null,'79','79','2021-03-14 14:25:03','2021-03-14 14:25:03',null);
INSERT INTO complaint_statuses VALUES('15999','4807','2',null,'81',null,'14-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-14 16:56:54','2021-03-14 16:56:54',null);
INSERT INTO complaint_statuses VALUES('16000','4406','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-03-14 17:01:49','2021-03-14 17:02:29',null);
INSERT INTO complaint_statuses VALUES('16001','4807','4',null,'63',null,null,'81','81','2021-03-14 17:27:16','2021-03-14 17:27:16',null);
INSERT INTO complaint_statuses VALUES('16002','4808','2',null,'81',null,'15-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-15 11:00:12','2021-03-15 11:00:12',null);
INSERT INTO complaint_statuses VALUES('16003','4793','7','24','81','We have called to customer ... he will bring unit to service center..',null,'77','77','2021-03-15 11:04:07','2021-03-15 11:04:07',null);
INSERT INTO complaint_statuses VALUES('16004','4809','3',null,'52',null,'15-MAR-2021
COM NO PKRI-210315103891','92','92','2021-03-15 11:18:11','2021-03-15 11:45:21',null);
INSERT INTO complaint_statuses VALUES('16005','4780','7','12','81','Filter gandy thy',null,'82','82','2021-03-15 11:20:37','2021-03-15 11:20:37',null);
INSERT INTO complaint_statuses VALUES('16006','4777','7','12','81','COMPLETED COMPLINT',null,'88','88','2021-03-15 11:26:39','2021-03-15 11:26:39',null);
INSERT INTO complaint_statuses VALUES('16007','4777','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','74','2021-03-15 11:30:26','2021-03-15 11:31:21',null);
INSERT INTO complaint_statuses VALUES('16008','4810','3',null,'52',null,'15-MAR-2021
COM NO PKRI-210315103637','92','92','2021-03-15 11:37:19','2021-03-15 11:39:00',null);
INSERT INTO complaint_statuses VALUES('16009','4774','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-15 11:38:24','2021-03-15 11:38:24',null);
INSERT INTO complaint_statuses VALUES('16010','4808','4',null,'63',null,null,'81','81','2021-03-15 11:51:23','2021-03-15 11:51:23',null);
INSERT INTO complaint_statuses VALUES('16011','4811','3',null,'73',null,'15-MAR-2021
COM NO 4222','92','92','2021-03-15 11:55:53','2021-03-15 11:55:53',null);
INSERT INTO complaint_statuses VALUES('16012','3985','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-15 11:56:36','2021-03-15 11:56:36',null);
INSERT INTO complaint_statuses VALUES('16013','4812','3',null,'53',null,'15-MAR-2021
COMPLAINT#301085289','74','74','2021-03-15 11:59:58','2021-03-15 11:59:58',null);
INSERT INTO complaint_statuses VALUES('16014','4813','2',null,'81',null,'15-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-15 12:05:36','2021-03-15 12:05:36',null);
INSERT INTO complaint_statuses VALUES('16015','4672','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-15 12:23:10','2021-03-15 12:23:10',null);
INSERT INTO complaint_statuses VALUES('16016','4672','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-15 12:23:39','2021-03-15 12:24:34',null);
INSERT INTO complaint_statuses VALUES('16017','4768','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-15 12:27:43','2021-03-15 12:27:43',null);
INSERT INTO complaint_statuses VALUES('16018','4814','2',null,'81',null,'15-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-15 12:31:56','2021-03-15 12:31:56',null);
INSERT INTO complaint_statuses VALUES('16019','4666','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-15 12:32:09','2021-03-15 12:32:09',null);
INSERT INTO complaint_statuses VALUES('16020','4666','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-03-15 12:32:37','2021-03-15 12:32:37',null);
INSERT INTO complaint_statuses VALUES('16021','4815','2',null,'81',null,'15-MAR-2021
COM NO PKRI-210315105531','92','92','2021-03-15 12:35:19','2021-03-15 12:40:42',null);
INSERT INTO complaint_statuses VALUES('16022','4816','2',null,'81',null,'15-MAR-2021
COM NO PKRI-210315105555','92','92','2021-03-15 12:38:04','2021-03-15 12:41:10',null);
INSERT INTO complaint_statuses VALUES('16023','4796','7','26','81','installation  Fault, please forward to the concern  dealer.',null,'76','76','2021-03-15 12:40:58','2021-03-15 12:40:58',null);
INSERT INTO complaint_statuses VALUES('16024','4816','4',null,'64',null,null,'81','81','2021-03-15 12:41:32','2021-03-15 12:41:32',null);
INSERT INTO complaint_statuses VALUES('16025','4815','4',null,'64',null,null,'81','81','2021-03-15 12:41:40','2021-03-15 12:41:40',null);
INSERT INTO complaint_statuses VALUES('16026','4814','4',null,'58',null,null,'81','81','2021-03-15 12:41:50','2021-03-15 12:41:50',null);
INSERT INTO complaint_statuses VALUES('16027','4813','4',null,'55',null,null,'81','81','2021-03-15 12:41:59','2021-03-15 12:41:59',null);
INSERT INTO complaint_statuses VALUES('16028','4817','3',null,'54',null,'15-MAR-2021
COM NO 1831572','92','92','2021-03-15 12:48:55','2021-03-15 12:48:55',null);
INSERT INTO complaint_statuses VALUES('16029','4818','2',null,'81',null,'15-MAR-2021
COM FF TO KHALID SONY','92','92','2021-03-15 13:00:01','2021-03-15 13:00:01',null);
INSERT INTO complaint_statuses VALUES('16030','4819','2',null,'81',null,'15-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-15 13:16:16','2021-03-15 13:16:16',null);
INSERT INTO complaint_statuses VALUES('16031','4820','3',null,'65',null,'15-MAR-2021
COM NO 192121268
NEW COMPLAINT#192121312','92','74','2021-03-15 13:24:44','2021-03-18 12:48:24',null);
INSERT INTO complaint_statuses VALUES('16032','4776','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-15 13:24:56','2021-03-15 13:24:56',null);
INSERT INTO complaint_statuses VALUES('16033','4821','3',null,'61',null,'15-MAR-2021
COM NO 202103007916','92','92','2021-03-15 13:38:42','2021-03-15 15:46:24',null);
INSERT INTO complaint_statuses VALUES('16034','4481','7','12','81','complaint resolved,gas charged ,no issue in compressor',null,'79','79','2021-03-15 13:43:35','2021-03-15 13:43:35',null);
INSERT INTO complaint_statuses VALUES('16035','4822','3',null,'54',null,'15-MAR-2021
COM NO 1829047','92','92','2021-03-15 13:47:05','2021-03-15 13:48:45',null);
INSERT INTO complaint_statuses VALUES('16036','4756','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-15 14:07:18','2021-03-15 14:07:18',null);
INSERT INTO complaint_statuses VALUES('16037','4823','3',null,'52',null,'15-MAR-2021
COM NO PKRI-210315107622','92','92','2021-03-15 14:09:07','2021-03-15 15:41:17',null);
INSERT INTO complaint_statuses VALUES('16038','4819','4',null,'63',null,null,'81','81','2021-03-15 14:09:54','2021-03-15 14:09:54',null);
INSERT INTO complaint_statuses VALUES('16039','4818','4',null,'56',null,null,'81','81','2021-03-15 14:10:05','2021-03-15 14:10:05',null);
INSERT INTO complaint_statuses VALUES('16040','4735','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-15 14:13:35','2021-03-15 14:13:35',null);
INSERT INTO complaint_statuses VALUES('16041','4824','3',null,'81',null,'15-MAR-2021
COM NO 161','92','92','2021-03-15 14:16:40','2021-03-15 15:40:57',null);
INSERT INTO complaint_statuses VALUES('16042','4766','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-15 14:19:46','2021-03-15 14:19:46',null);
INSERT INTO complaint_statuses VALUES('16043','4754','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-15 14:21:44','2021-03-15 14:21:44',null);
INSERT INTO complaint_statuses VALUES('16044','4825','3',null,'54',null,'15-MAR-2021
COM NO 1831692','92','92','2021-03-15 14:24:10','2021-03-15 14:24:10',null);
INSERT INTO complaint_statuses VALUES('16045','4826','2',null,'81',null,'15-MAR-2021
COM NO 1831696','92','92','2021-03-15 14:28:43','2021-03-15 14:28:43',null);
INSERT INTO complaint_statuses VALUES('16046','4718','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-15 14:32:36','2021-03-15 14:32:36',null);
INSERT INTO complaint_statuses VALUES('16047','4718','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-15 14:33:24','2021-03-15 15:10:30',null);
INSERT INTO complaint_statuses VALUES('16048','4481','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-15 14:34:31','2021-03-15 15:11:00',null);
INSERT INTO complaint_statuses VALUES('16049','4780','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','74','2021-03-15 14:36:24','2021-03-15 15:09:52',null);
INSERT INTO complaint_statuses VALUES('16050','4827','3',null,'66',null,'15-MAR-2021
COM NO PK-031520210133
RK-ROSHAN 
03015002378','92','92','2021-03-15 14:42:01','2021-03-15 15:51:46',null);
INSERT INTO complaint_statuses VALUES('16051','4787','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-15 15:03:38','2021-03-15 15:03:38',null);
INSERT INTO complaint_statuses VALUES('16052','4828','2',null,'81',null,'15-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-15 15:13:34','2021-03-15 15:13:34',null);
INSERT INTO complaint_statuses VALUES('16053','4690','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-15 15:18:16','2021-03-15 15:18:16',null);
INSERT INTO complaint_statuses VALUES('16054','4678','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-03-15 15:22:26','2021-03-15 15:22:26',null);
INSERT INTO complaint_statuses VALUES('16055','4678','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-15 15:23:19','2021-03-15 15:23:54',null);
INSERT INTO complaint_statuses VALUES('16056','4829','2',null,'81',null,'15-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-15 15:24:51','2021-03-15 15:24:51',null);
INSERT INTO complaint_statuses VALUES('16057','4657','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-15 15:26:21','2021-03-15 15:26:21',null);
INSERT INTO complaint_statuses VALUES('16058','4657','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-15 15:26:49','2021-03-15 15:27:17',null);
INSERT INTO complaint_statuses VALUES('16059','4830','2',null,'81',null,'15-MAR-2021
COM FF TO KHALID SONY','92','92','2021-03-15 15:36:35','2021-03-15 15:36:35',null);
INSERT INTO complaint_statuses VALUES('16060','4831','2',null,'81',null,'15-MAR-2021
COM FF TO USMAN SIR','92','92','2021-03-15 15:56:16','2021-03-15 15:56:16',null);
INSERT INTO complaint_statuses VALUES('16061','4653','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-15 16:06:57','2021-03-15 16:06:57',null);
INSERT INTO complaint_statuses VALUES('16062','4681','7','12','81','Service.',null,'76','76','2021-03-15 16:18:25','2021-03-15 16:18:25',null);
INSERT INTO complaint_statuses VALUES('16063','4831','4',null,'61',null,null,'81','81','2021-03-15 16:20:33','2021-03-15 16:20:33',null);
INSERT INTO complaint_statuses VALUES('16064','4830','4',null,'56',null,null,'81','81','2021-03-15 16:20:44','2021-03-15 16:20:44',null);
INSERT INTO complaint_statuses VALUES('16065','4829','4',null,'63',null,null,'81','81','2021-03-15 16:21:04','2021-03-15 16:21:04',null);
INSERT INTO complaint_statuses VALUES('16066','4828','4',null,'58',null,null,'81','81','2021-03-15 16:21:17','2021-03-15 16:21:17',null);
INSERT INTO complaint_statuses VALUES('16067','4826','4',null,'64',null,null,'81','81','2021-03-15 16:21:33','2021-03-15 16:21:33',null);
INSERT INTO complaint_statuses VALUES('16068','4361','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-15 16:25:56','2021-03-15 16:25:56',null);
INSERT INTO complaint_statuses VALUES('16069','4832','3',null,'54',null,'15-MAR-2021
COM NO 1831845','92','92','2021-03-15 16:28:03','2021-03-16 10:36:41',null);
INSERT INTO complaint_statuses VALUES('16070','4638','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-15 16:28:39','2021-03-15 16:28:39',null);
INSERT INTO complaint_statuses VALUES('16071','4294','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-15 16:39:07','2021-03-15 16:39:07',null);
INSERT INTO complaint_statuses VALUES('16072','4615','7','12','81','COMPLETED COMPLINT',null,'91','91','2021-03-15 16:43:49','2021-03-15 16:43:49',null);
INSERT INTO complaint_statuses VALUES('16073','4593','7','12','81','COMPLETED COMPLAINT CONFIRM BY ANEEQ',null,'91','91','2021-03-15 16:47:52','2021-03-15 16:47:52',null);
INSERT INTO complaint_statuses VALUES('16074','4593','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-15 16:48:18','2021-03-15 16:55:30',null);
INSERT INTO complaint_statuses VALUES('16075','4615','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-15 16:48:38','2021-03-15 16:55:07',null);
INSERT INTO complaint_statuses VALUES('16076','4681','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-15 16:49:55','2021-03-15 16:54:45',null);
INSERT INTO complaint_statuses VALUES('16077','4833','2',null,'81',null,'15-MAR-2021
COM NO 301098840','92','92','2021-03-15 16:49:56','2021-03-29 14:22:54',null);
INSERT INTO complaint_statuses VALUES('16078','4590','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-15 16:55:10','2021-03-15 16:55:10',null);
INSERT INTO complaint_statuses VALUES('16079','4781','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-03-15 16:58:58','2021-03-15 16:58:58',null);
INSERT INTO complaint_statuses VALUES('16080','4727','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-03-15 17:00:57','2021-03-15 17:00:57',null);
INSERT INTO complaint_statuses VALUES('16081','4727','5','15',null,'COMPLETED COMPLAINT CONFIRM BY ANEEQ','COMPLAINT RESOLVED','81','74','2021-03-15 17:01:33','2021-03-15 17:06:34',null);
INSERT INTO complaint_statuses VALUES('16082','4793','8','23','56','OK JOB COMPLETED QUKILEY',null,'81','81','2021-03-15 17:02:06','2021-03-15 17:02:06',null);
INSERT INTO complaint_statuses VALUES('16083','4834','2',null,'81',null,'15-MAR-2021
COM FF TO AZHAR FCI','92','92','2021-03-15 17:24:12','2021-03-15 17:24:12',null);
INSERT INTO complaint_statuses VALUES('16084','4834','4',null,'60',null,null,'81','81','2021-03-15 17:30:02','2021-03-15 17:30:02',null);
INSERT INTO complaint_statuses VALUES('16085','4833','4',null,'64',null,null,'81','81','2021-03-15 17:30:17','2021-03-15 17:30:17',null);
INSERT INTO complaint_statuses VALUES('16086','4835','2',null,'81',null,'15-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-15 17:44:52','2021-03-15 17:44:52',null);
INSERT INTO complaint_statuses VALUES('16087','4836','2',null,'81',null,'15-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-15 18:09:05','2021-03-15 18:09:05',null);
INSERT INTO complaint_statuses VALUES('16088','4836','4',null,'63',null,null,'81','81','2021-03-15 18:17:30','2021-03-15 18:17:30',null);
INSERT INTO complaint_statuses VALUES('16089','4835','4',null,'63',null,null,'81','81','2021-03-15 18:17:44','2021-03-15 18:17:44',null);
INSERT INTO complaint_statuses VALUES('16090','4799','7','12','81','Issue resolved',null,'87','87','2021-03-16 10:42:23','2021-03-16 10:42:23',null);
INSERT INTO complaint_statuses VALUES('16091','4837','3',null,'52',null,'16-MAR-2021
COM NO PKRI-210316102133','92','92','2021-03-16 10:48:42','2021-03-16 10:48:42',null);
INSERT INTO complaint_statuses VALUES('16092','4838','3',null,'52',null,'16-MAR-2021
COM NO PKRI-210316102133','92','92','2021-03-16 10:48:55','2021-03-16 10:48:55',null);
INSERT INTO complaint_statuses VALUES('16093','4839','2',null,'81',null,'16-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-16 11:03:01','2021-03-16 11:03:01',null);
INSERT INTO complaint_statuses VALUES('16094','4840','2',null,'81',null,'16-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-16 11:21:39','2021-03-16 11:21:39',null);
INSERT INTO complaint_statuses VALUES('16095','4841','2',null,'81',null,'16-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-16 11:41:50','2021-03-16 11:41:50',null);
INSERT INTO complaint_statuses VALUES('16096','4842','2',null,'81',null,'16-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-16 11:46:03','2021-03-16 11:46:03',null);
INSERT INTO complaint_statuses VALUES('16097','4843','2',null,'81',null,'16-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-16 11:48:46','2021-03-16 11:48:46',null);
INSERT INTO complaint_statuses VALUES('16098','4844','2',null,'81',null,'16-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-16 11:51:37','2021-03-16 11:51:37',null);
INSERT INTO complaint_statuses VALUES('16099','4845','2',null,'81',null,'16-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-16 11:54:36','2021-03-16 11:54:36',null);
INSERT INTO complaint_statuses VALUES('16100','4781','7','24','81','Nechy wala darwza set kar dia tha oper waly darwazy ka lock nech laga ky nechy wala oper laga dia ab oper waly darwazy ki halki c awaz hy wo part chenj krna ho ga',null,'82','82','2021-03-16 11:54:44','2021-03-16 11:54:44',null);
INSERT INTO complaint_statuses VALUES('16101','4845','4',null,'62',null,null,'81','81','2021-03-16 11:55:27','2021-03-16 11:55:27',null);
INSERT INTO complaint_statuses VALUES('16102','4844','4',null,'62',null,null,'81','81','2021-03-16 11:55:36','2021-03-16 11:55:36',null);
INSERT INTO complaint_statuses VALUES('16103','4843','4',null,'62',null,null,'81','81','2021-03-16 11:55:44','2021-03-16 11:55:44',null);
INSERT INTO complaint_statuses VALUES('16104','4799','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-16 11:55:45','2021-03-16 11:56:48',null);
INSERT INTO complaint_statuses VALUES('16105','4842','4',null,'62',null,null,'81','81','2021-03-16 11:55:52','2021-03-16 11:55:52',null);
INSERT INTO complaint_statuses VALUES('16106','4841','4',null,'62',null,null,'81','81','2021-03-16 11:56:01','2021-03-16 11:56:01',null);
INSERT INTO complaint_statuses VALUES('16107','4840','4',null,'58',null,null,'81','81','2021-03-16 11:56:13','2021-03-16 11:56:13',null);
INSERT INTO complaint_statuses VALUES('16108','4839','4',null,'58',null,null,'81','81','2021-03-16 11:56:25','2021-03-16 11:56:25',null);
INSERT INTO complaint_statuses VALUES('16109','4796','5','15',null,'W/M KI INSTALLATION B.COOL NA KI HAIN DRAIN PIPE KI SETTING KARWANI INFORMED KAR DIA B.COOL VISIT K LIYA','COMPLAINT RESOLVED','81','92','2021-03-16 11:59:03','2021-03-16 13:20:22',null);
INSERT INTO complaint_statuses VALUES('16110','4769','7','12','81','Machin ki servis honi hy visit okay hy custmer ny khod delver krni hy  
Plz isko compleet kar dy',null,'82','82','2021-03-16 11:59:38','2021-03-16 11:59:38',null);
INSERT INTO complaint_statuses VALUES('16111','4762','7','24','81','Frezer i10 sy aaj custmer ky ghar jay ga',null,'82','82','2021-03-16 12:00:23','2021-03-16 12:00:23',null);
INSERT INTO complaint_statuses VALUES('16112','4589','7','12','81','Frig theek ho ky custmer ky ghar phonch gea hy compleet kar dy',null,'82','82','2021-03-16 12:01:17','2021-03-16 12:01:17',null);
INSERT INTO complaint_statuses VALUES('16113','4846','2',null,'81',null,'16-MAR-2021
COM NO 1832286','92','92','2021-03-16 12:09:53','2021-03-16 12:09:53',null);
INSERT INTO complaint_statuses VALUES('16114','4794','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-16 12:10:22','2021-03-16 12:10:22',null);
INSERT INTO complaint_statuses VALUES('16115','4846','4',null,'64',null,null,'81','81','2021-03-16 12:11:17','2021-03-16 12:11:17',null);
INSERT INTO complaint_statuses VALUES('16116','4769','5','15',null,'CUSTOMER NA LOCAL TECHNICIAN SA COMPLINT RESOLVED KARWA LI COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-03-16 12:19:56','2021-03-16 13:18:48',null);
INSERT INTO complaint_statuses VALUES('16117','4847','3',null,'53',null,'16-MAR-2021
COM NO 1099024','92','92','2021-03-16 12:20:22','2021-03-16 12:22:50',null);
INSERT INTO complaint_statuses VALUES('16118','4788','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-16 12:21:37','2021-03-16 12:21:37',null);
INSERT INTO complaint_statuses VALUES('16119','4790','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-16 12:24:05','2021-03-16 12:24:05',null);
INSERT INTO complaint_statuses VALUES('16120','4790','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-16 12:24:28','2021-03-16 13:18:18',null);
INSERT INTO complaint_statuses VALUES('16121','4317','5',null,null,'COMPLAINT CLOSED','RIFFAT KI COMPLAINT HAIN','74','74','2021-03-16 12:35:57','2021-03-16 12:36:34',null);
INSERT INTO complaint_statuses VALUES('16122','4589','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-16 12:38:02','2021-03-16 13:19:50',null);
INSERT INTO complaint_statuses VALUES('16123','4784','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-16 12:44:58','2021-03-16 12:44:58',null);
INSERT INTO complaint_statuses VALUES('16124','4744','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-16 13:07:39','2021-03-16 13:07:39',null);
INSERT INTO complaint_statuses VALUES('16125','4196','7','22','81','Gasket Price is 13500/-  Available in Stock.Please Confirm who will pay charges.',null,'76','76','2021-03-16 13:13:42','2021-03-16 13:13:42',null);
INSERT INTO complaint_statuses VALUES('16126','4764','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-16 13:17:10','2021-03-16 13:17:10',null);
INSERT INTO complaint_statuses VALUES('16127','4759','7','12','81','COMPLAINT COMPLETED',null,'88','88','2021-03-16 13:21:30','2021-03-16 13:21:30',null);
INSERT INTO complaint_statuses VALUES('16128','4757','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-16 13:23:55','2021-03-16 13:23:55',null);
INSERT INTO complaint_statuses VALUES('16129','4755','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-16 13:25:39','2021-03-16 13:25:39',null);
INSERT INTO complaint_statuses VALUES('16130','4759','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-16 13:28:04','2021-03-16 13:43:03',null);
INSERT INTO complaint_statuses VALUES('16131','4848','2',null,'81',null,'16-MAR-2021
COM FF TO AZHAR FCI','92','92','2021-03-16 13:28:18','2021-03-16 13:28:18',null);
INSERT INTO complaint_statuses VALUES('16132','4709','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-03-16 13:33:00','2021-03-16 13:33:00',null);
INSERT INTO complaint_statuses VALUES('16133','4801','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-03-16 13:34:09','2021-03-16 13:34:09',null);
INSERT INTO complaint_statuses VALUES('16134','4801','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-16 13:35:33','2021-03-16 13:42:30',null);
INSERT INTO complaint_statuses VALUES('16135','4709','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-03-16 13:35:57','2021-03-16 13:44:03',null);
INSERT INTO complaint_statuses VALUES('16136','4848','4',null,'60',null,null,'81','81','2021-03-16 13:37:54','2021-03-16 13:37:54',null);
INSERT INTO complaint_statuses VALUES('16137','4731','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-03-16 13:41:08','2021-03-16 13:41:08',null);
INSERT INTO complaint_statuses VALUES('16138','4731','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-16 13:41:38','2021-03-16 13:43:37',null);
INSERT INTO complaint_statuses VALUES('16139','4749','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-16 13:44:19','2021-03-16 13:44:19',null);
INSERT INTO complaint_statuses VALUES('16140','4829','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-16 13:44:42','2021-03-16 13:44:42',null);
INSERT INTO complaint_statuses VALUES('16141','4829','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-16 13:45:35','2021-03-16 13:46:42',null);
INSERT INTO complaint_statuses VALUES('16142','4749','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-16 13:46:01','2021-03-16 13:47:10',null);
INSERT INTO complaint_statuses VALUES('16143','4789','7','24','81','LED Hmary S/C py ay ga',null,'80','80','2021-03-16 14:00:05','2021-03-16 14:00:05',null);
INSERT INTO complaint_statuses VALUES('16144','4830','7','12','81','Unit ok....close the job',null,'77','77','2021-03-16 14:01:59','2021-03-16 14:01:59',null);
INSERT INTO complaint_statuses VALUES('16145','4793','7','20','81','Its main board is faulty need approval cost 19700.. unit in friends warranty',null,'77','77','2021-03-16 14:03:34','2021-03-16 14:03:34',null);
INSERT INTO complaint_statuses VALUES('16146','4830','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','92','2021-03-16 14:10:03','2021-03-16 15:16:26',null);
INSERT INTO complaint_statuses VALUES('16147','4767','7','12','81','unit ok...close the job pls',null,'77','77','2021-03-16 14:10:40','2021-03-16 14:10:40',null);
INSERT INTO complaint_statuses VALUES('16148','4767','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-16 14:17:29','2021-03-16 15:16:49',null);
INSERT INTO complaint_statuses VALUES('16149','4849','2',null,'81',null,'16-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-16 14:24:33','2021-03-16 14:24:33',null);
INSERT INTO complaint_statuses VALUES('16150','4850','2',null,'81',null,'16-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-16 14:30:56','2021-03-16 14:30:56',null);
INSERT INTO complaint_statuses VALUES('16151','4851','2',null,'81',null,'16-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-16 14:57:59','2021-03-16 14:57:59',null);
INSERT INTO complaint_statuses VALUES('16152','4852','3',null,'55',null,'16-MAR-2021
COM NO 18883','92','92','2021-03-16 15:07:06','2021-03-16 17:29:42',null);
INSERT INTO complaint_statuses VALUES('16153','4837','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-03-16 15:15:50','2021-03-16 15:15:50',null);
INSERT INTO complaint_statuses VALUES('16154','4078','7','12','81',null,null,'91','91','2021-03-16 15:44:35','2021-03-16 15:44:35',null);
INSERT INTO complaint_statuses VALUES('16155','4408','7','12','81',null,null,'91','91','2021-03-16 15:45:41','2021-03-16 15:45:41',null);
INSERT INTO complaint_statuses VALUES('16156','4022','7','12','81',null,null,'91','91','2021-03-16 15:46:28','2021-03-16 15:46:28',null);
INSERT INTO complaint_statuses VALUES('16157','4851','4',null,'63',null,'COMPLAINT RESOLVED','81','74','2021-03-16 15:46:55','2021-03-19 12:21:46',null);
INSERT INTO complaint_statuses VALUES('16158','4850','4',null,'63',null,null,'81','81','2021-03-16 15:47:05','2021-03-16 15:47:05',null);
INSERT INTO complaint_statuses VALUES('16159','4849','4',null,'55',null,null,'81','81','2021-03-16 15:47:15','2021-03-16 15:47:15',null);
INSERT INTO complaint_statuses VALUES('16160','4491','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-16 15:47:54','2021-03-16 15:47:54',null);
INSERT INTO complaint_statuses VALUES('16161','4035','7','12','81',null,null,'91','91','2021-03-16 15:48:36','2021-03-16 15:48:36',null);
INSERT INTO complaint_statuses VALUES('16162','4555','7','12','81',null,null,'91','91','2021-03-16 15:49:16','2021-03-16 15:49:16',null);
INSERT INTO complaint_statuses VALUES('16163','4408','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-16 15:49:17','2021-03-16 16:14:56',null);
INSERT INTO complaint_statuses VALUES('16164','4566','7','12','81',null,null,'91','91','2021-03-16 15:51:34','2021-03-16 15:51:34',null);
INSERT INTO complaint_statuses VALUES('16165','4789','8','23','59','OK  JOB COMPLETED QUKILEY',null,'81','81','2021-03-16 15:53:51','2021-03-16 15:53:51',null);
INSERT INTO complaint_statuses VALUES('16166','4566','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-16 15:54:58','2021-03-16 16:13:57',null);
INSERT INTO complaint_statuses VALUES('16167','4555','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-16 15:55:56','2021-03-16 16:14:27',null);
INSERT INTO complaint_statuses VALUES('16168','4595','7','12','81',null,null,'91','91','2021-03-16 15:56:45','2021-03-16 15:56:45',null);
INSERT INTO complaint_statuses VALUES('16169','4816','7','12','81',null,null,'91','91','2021-03-16 15:57:06','2021-03-16 15:57:06',null);
INSERT INTO complaint_statuses VALUES('16170','4815','7','12','81',null,null,'91','91','2021-03-16 15:57:26','2021-03-16 15:57:26',null);
INSERT INTO complaint_statuses VALUES('16171','4751','7','12','81','Only service unit ok......unit with customer',null,'77','77','2021-03-16 15:57:34','2021-03-16 15:57:34',null);
INSERT INTO complaint_statuses VALUES('16172','4078','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-16 16:02:57','2021-03-16 16:15:20',null);
INSERT INTO complaint_statuses VALUES('16173','4816','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-16 16:03:45','2021-03-16 16:05:55',null);
INSERT INTO complaint_statuses VALUES('16174','4815','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-16 16:04:38','2021-03-16 16:08:16',null);
INSERT INTO complaint_statuses VALUES('16175','4853','2',null,'81',null,'16-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-16 16:06:51','2021-03-16 16:06:51',null);
INSERT INTO complaint_statuses VALUES('16176','4751','8','23','56','TECHNICIAN CUSTOMER K GHR PA ABI WORKING KAR RAHAY HAIN .
PROPER COMPLAINT COMPLETED KAR K JOB CLOSED KARAY THANKS',null,'81','81','2021-03-16 16:07:17','2021-03-16 16:07:17',null);
INSERT INTO complaint_statuses VALUES('16177','4595','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-16 16:08:11','2021-03-16 16:08:44',null);
INSERT INTO complaint_statuses VALUES('16178','4035','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-16 16:13:09','2021-03-16 16:15:57',null);
INSERT INTO complaint_statuses VALUES('16179','4022','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-16 16:14:05','2021-03-16 16:16:22',null);
INSERT INTO complaint_statuses VALUES('16180','4781','8','23','60','PARTS KI PIC KHURRAM SIR SA SHER KAR DI HAIN',null,'81','81','2021-03-16 16:25:40','2021-03-16 16:25:40',null);
INSERT INTO complaint_statuses VALUES('16181','4421','7','12','81',null,null,'91','91','2021-03-16 16:26:51','2021-03-16 16:26:51',null);
INSERT INTO complaint_statuses VALUES('16182','4196','8','23','55','YHA COMPANY KA MODEL HAIN MADAM',null,'81','81','2021-03-16 16:30:01','2021-03-16 16:30:01',null);
INSERT INTO complaint_statuses VALUES('16183','4421','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-16 16:30:57','2021-03-16 16:34:23',null);
INSERT INTO complaint_statuses VALUES('16184','4854','3',null,'67',null,'16-MAR-2021
COM FF TO ANWAR CARAVELL','92','92','2021-03-16 16:32:05','2021-03-16 16:32:05',null);
INSERT INTO complaint_statuses VALUES('16185','4793','8','23','56','HEAD OFFICE SA CONFIRM KIYA YHA MODEL COMPANY MODEL HAIN .
NAEEM SIR ABI KUCH DAYS LEAVE PA HAIN',null,'81','81','2021-03-16 16:32:33','2021-03-16 16:32:33',null);
INSERT INTO complaint_statuses VALUES('16186','4762','5','15',null,'REF I 10 SA READY HO  K AJ CUSTOMER KA GHR DELVER HO
EXP 4500 ADIL BHI KO ABDUL REHMAN BAJWAY GAY','COMPLAINT RESOLVED','81','74','2021-03-16 16:39:27','2021-03-16 17:12:07',null);
INSERT INTO complaint_statuses VALUES('16187','4855','2',null,'81',null,'16-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-16 16:45:50','2021-03-16 16:45:50',null);
INSERT INTO complaint_statuses VALUES('16188','4855','4',null,'55',null,null,'81','81','2021-03-16 16:46:36','2021-03-16 16:46:36',null);
INSERT INTO complaint_statuses VALUES('16189','4853','4',null,'55',null,null,'81','81','2021-03-16 16:46:45','2021-03-16 16:46:45',null);
INSERT INTO complaint_statuses VALUES('16190','4564','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-16 17:08:54','2021-03-16 17:08:54',null);
INSERT INTO complaint_statuses VALUES('16191','4856','2',null,'81',null,'16-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-16 17:16:22','2021-03-16 17:16:22',null);
INSERT INTO complaint_statuses VALUES('16192','4856','4',null,'63',null,null,'81','81','2021-03-16 17:18:37','2021-03-16 17:18:37',null);
INSERT INTO complaint_statuses VALUES('16193','4196','7','22','81','Please Provide Complete warranty Documents, for Warranty Claim.',null,'76','76','2021-03-16 17:34:41','2021-03-16 17:34:41',null);
INSERT INTO complaint_statuses VALUES('16194','3568','7','12','81','HOB RIZWAN SIR NA SALE KAR DIA  COMPLAINT CLOSED',null,'88','88','2021-03-16 17:40:02','2021-03-16 17:40:02',null);
INSERT INTO complaint_statuses VALUES('16195','3568','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-16 17:40:58','2021-03-16 18:01:55',null);
INSERT INTO complaint_statuses VALUES('16196','4857','3',null,'67',null,'16-MAR-2021
COM FF TO ANWAR CARAVELL','92','92','2021-03-16 17:45:04','2021-03-16 17:45:04',null);
INSERT INTO complaint_statuses VALUES('16197','4845','7','12','81','Front penal replaced',null,'87','87','2021-03-16 18:18:55','2021-03-16 18:18:55',null);
INSERT INTO complaint_statuses VALUES('16198','4844','7','12','81','Timer + tray',null,'87','87','2021-03-16 18:20:27','2021-03-16 18:20:27',null);
INSERT INTO complaint_statuses VALUES('16199','4843','7','12','81','Plate missing thi',null,'87','87','2021-03-16 18:22:10','2021-03-16 18:22:10',null);
INSERT INTO complaint_statuses VALUES('16200','4842','7','12','81','Door glas replaced',null,'87','87','2021-03-16 18:23:03','2021-03-16 18:23:03',null);
INSERT INTO complaint_statuses VALUES('16201','4841','7','12','81','Front penal',null,'87','87','2021-03-16 18:23:29','2021-03-16 18:23:29',null);
INSERT INTO complaint_statuses VALUES('16202','4399','7','12','81','Issue resolved',null,'87','87','2021-03-16 18:23:45','2021-03-16 18:23:45',null);
INSERT INTO complaint_statuses VALUES('16203','4701','7','12','81','Issue resolved',null,'87','87','2021-03-16 18:39:51','2021-03-16 18:39:51',null);
INSERT INTO complaint_statuses VALUES('16204','4806','7','12','81','Issue resolved',null,'87','87','2021-03-16 18:40:11','2021-03-16 18:40:11',null);
INSERT INTO complaint_statuses VALUES('16205','4800','7','9','81','Wifi device is not working
Unit ok after 
Wifi device cleaning & service 
Service charges + visit = 3500',null,'83','83','2021-03-17 00:06:44','2021-03-17 00:06:44',null);
INSERT INTO complaint_statuses VALUES('16206','4795','7','12','81','Backlight replacement with transportation 
18000/-',null,'83','83','2021-03-17 00:10:44','2021-03-17 00:10:44',null);
INSERT INTO complaint_statuses VALUES('16207','4843','5','15',null,'GRN #3299
OVEN I 10 SA READY HO K IQBAL SAB K PASS DELVER HOAY','COMPLAINT RESOLVED','81','92','2021-03-17 10:38:53','2021-03-17 10:55:13',null);
INSERT INTO complaint_statuses VALUES('16208','4858','3',null,'67',null,'17-MAR-2021
COM FF TO ANWAR CARAVELL','92','92','2021-03-17 10:42:04','2021-03-17 10:42:04',null);
INSERT INTO complaint_statuses VALUES('16209','4795','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-17 10:42:44','2021-03-17 11:01:24',null);
INSERT INTO complaint_statuses VALUES('16210','4803','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-17 10:49:37','2021-03-17 10:49:37',null);
INSERT INTO complaint_statuses VALUES('16211','4399','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-17 10:53:15','2021-03-17 11:01:54',null);
INSERT INTO complaint_statuses VALUES('16212','4805','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-17 10:54:13','2021-03-17 10:54:13',null);
INSERT INTO complaint_statuses VALUES('16213','4805','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-17 10:55:06','2021-03-17 11:00:55',null);
INSERT INTO complaint_statuses VALUES('16214','4701','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-17 11:04:03','2021-03-17 11:07:30',null);
INSERT INTO complaint_statuses VALUES('16215','4841','5','15',null,'GRN#31848
YHA OVEN I 10 SA READY HO K IQBAL FCI DELEVER HOAY','COMPLAINT RESOLVED','81','92','2021-03-17 11:07:53','2021-03-17 11:51:34',null);
INSERT INTO complaint_statuses VALUES('16216','4814','7','12','81',',ixture open tha tha no issue in gzr',null,'79','79','2021-03-17 11:22:09','2021-03-17 11:22:09',null);
INSERT INTO complaint_statuses VALUES('16217','4828','7','12','81','no issue in wm complaint reosvd',null,'79','79','2021-03-17 11:22:44','2021-03-17 11:22:44',null);
INSERT INTO complaint_statuses VALUES('16218','4840','7','12','81','complaint resolved',null,'79','79','2021-03-17 11:23:47','2021-03-17 11:23:47',null);
INSERT INTO complaint_statuses VALUES('16219','4695','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-17 11:33:48','2021-03-17 11:33:48',null);
INSERT INTO complaint_statuses VALUES('16220','4859','3',null,'74',null,'17-MAR-2021
COM NO 325','92','92','2021-03-17 11:36:49','2021-05-26 12:32:56',null);
INSERT INTO complaint_statuses VALUES('16221','4793','7','24','81','Its your warranty.... box or ha unit or ha....not in warranty set... need your approval',null,'77','77','2021-03-17 11:38:49','2021-03-17 11:38:49',null);
INSERT INTO complaint_statuses VALUES('16222','4808','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-17 11:41:24','2021-03-17 11:41:24',null);
INSERT INTO complaint_statuses VALUES('16223','4808','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-17 11:41:57','2021-03-17 11:52:02',null);
INSERT INTO complaint_statuses VALUES('16224','4845','5','15',null,'GRN# 32261
OVEN I 10 SA READY KO K IQBAL FCI KO DELEVER HOYA','COMPLAINT RESOLVED','81','92','2021-03-17 11:43:49','2021-03-17 11:49:47',null);
INSERT INTO complaint_statuses VALUES('16225','4842','5','15',null,'GRN#32576 
OVEN I-10 SA READY HO K IQBAL FCI DELEVER HOAY','COMPLAINT RESOLVED','81','92','2021-03-17 11:45:56','2021-03-17 11:51:06',null);
INSERT INTO complaint_statuses VALUES('16226','4723','7','12','81','Pcb theek karwaky custmer ky ghar laga di hy job compleet',null,'82','82','2021-03-17 11:52:20','2021-03-17 11:52:20',null);
INSERT INTO complaint_statuses VALUES('16227','4840','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-17 11:53:12','2021-03-17 12:13:58',null);
INSERT INTO complaint_statuses VALUES('16228','4814','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-17 12:00:13','2021-03-17 12:14:20',null);
INSERT INTO complaint_statuses VALUES('16229','4806','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-17 12:03:36','2021-03-17 12:14:49',null);
INSERT INTO complaint_statuses VALUES('16230','4800','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-17 12:05:40','2021-03-17 12:15:12',null);
INSERT INTO complaint_statuses VALUES('16231','4860','2',null,'81',null,'17-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-17 12:12:53','2021-03-17 12:12:53',null);
INSERT INTO complaint_statuses VALUES('16232','4861','3',null,'53',null,'17-MAR-2021
COM NO 301099534','92','92','2021-03-17 12:20:57','2021-03-17 12:20:57',null);
INSERT INTO complaint_statuses VALUES('16233','4682','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-17 12:46:59','2021-03-17 12:46:59',null);
INSERT INTO complaint_statuses VALUES('16234','4723','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-17 12:51:18','2021-03-17 13:02:29',null);
INSERT INTO complaint_statuses VALUES('16235','4797','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-17 12:57:31','2021-03-17 12:57:31',null);
INSERT INTO complaint_statuses VALUES('16236','4862','2',null,'81',null,'17-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-17 13:06:48','2021-03-17 13:06:48',null);
INSERT INTO complaint_statuses VALUES('16237','4863','2',null,'81',null,'17-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-17 13:17:45','2021-03-17 13:17:45',null);
INSERT INTO complaint_statuses VALUES('16238','4864','2',null,'81',null,'17-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-17 13:45:43','2021-03-17 13:45:43',null);
INSERT INTO complaint_statuses VALUES('16239','4864','4',null,'55',null,null,'81','81','2021-03-17 13:46:59','2021-03-17 13:46:59',null);
INSERT INTO complaint_statuses VALUES('16240','4863','4',null,'63',null,null,'81','81','2021-03-17 13:47:10','2021-03-17 13:47:10',null);
INSERT INTO complaint_statuses VALUES('16241','4862','4',null,'58',null,null,'81','81','2021-03-17 13:47:21','2021-03-17 13:47:21',null);
INSERT INTO complaint_statuses VALUES('16242','4862','4',null,'58',null,null,'81','81','2021-03-17 13:47:25','2021-03-17 13:47:25',null);
INSERT INTO complaint_statuses VALUES('16243','4860','4',null,'63',null,null,'81','81','2021-03-17 13:47:37','2021-03-17 13:47:37',null);
INSERT INTO complaint_statuses VALUES('16244','4865','3',null,'52',null,'17-MAR-2021
COM NO PKRI-210317107790','92','92','2021-03-17 14:42:30','2021-03-17 16:43:36',null);
INSERT INTO complaint_statuses VALUES('16245','4700','7','12','81','complaint resolved ,',null,'79','79','2021-03-17 14:51:00','2021-03-17 14:51:00',null);
INSERT INTO complaint_statuses VALUES('16246','3812','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-17 14:56:11','2021-03-17 14:56:11',null);
INSERT INTO complaint_statuses VALUES('16247','4745','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-17 14:58:59','2021-03-17 14:58:59',null);
INSERT INTO complaint_statuses VALUES('16248','4866','2',null,'81',null,'17-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-17 15:10:39','2021-03-17 15:10:39',null);
INSERT INTO complaint_statuses VALUES('16249','4867','2',null,'81',null,'17-MAR-2021
COM NO 11700','92','92','2021-03-17 15:24:07','2021-03-17 15:24:07',null);
INSERT INTO complaint_statuses VALUES('16250','4867','4',null,'64',null,null,'81','81','2021-03-17 15:26:26','2021-03-17 15:26:26',null);
INSERT INTO complaint_statuses VALUES('16251','4866','4',null,'55',null,null,'81','81','2021-03-17 15:26:35','2021-03-17 15:26:35',null);
INSERT INTO complaint_statuses VALUES('16252','4868','3',null,'54',null,'17-MAR-2021
COM NO 1833303','92','92','2021-03-17 15:53:17','2021-03-17 15:58:31',null);
INSERT INTO complaint_statuses VALUES('16253','4869','2',null,'81',null,'17-MAR-2021
COM NO 4243','92','92','2021-03-17 16:15:51','2021-03-17 16:17:34',null);
INSERT INTO complaint_statuses VALUES('16254','4869','4',null,'64',null,null,'81','81','2021-03-17 16:17:55','2021-03-17 16:17:55',null);
INSERT INTO complaint_statuses VALUES('16255','4870','2',null,'81',null,'17-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-17 16:28:24','2021-03-17 16:28:24',null);
INSERT INTO complaint_statuses VALUES('16256','4870','4',null,'62',null,null,'81','81','2021-03-17 16:29:26','2021-03-17 16:29:26',null);
INSERT INTO complaint_statuses VALUES('16257','4871','3',null,'53',null,'17-MAR-2021
COM NO 1099817','92','92','2021-03-17 17:31:13','2021-03-17 17:31:13',null);
INSERT INTO complaint_statuses VALUES('16258','4872','2',null,'81',null,'17-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-17 17:39:58','2021-03-17 17:39:58',null);
INSERT INTO complaint_statuses VALUES('16259','4872','4',null,'58',null,null,'81','81','2021-03-17 17:41:16','2021-03-17 17:41:16',null);
INSERT INTO complaint_statuses VALUES('16260','4870','7','12','81','Issue resolved,filter saf kye',null,'87','87','2021-03-17 19:03:44','2021-03-17 19:03:44',null);
INSERT INTO complaint_statuses VALUES('16261','4713','7','12','81','complaint reoslved',null,'79','79','2021-03-18 09:58:05','2021-03-18 09:58:05',null);
INSERT INTO complaint_statuses VALUES('16262','4872','7','12','81','pehly confrim kry k ye model kis hai .or mjy whtas up behjy us k bd attend kerun ga,thanks',null,'79','79','2021-03-18 10:53:01','2021-03-18 10:53:01',null);
INSERT INTO complaint_statuses VALUES('16263','4862','7','22','81','gear box issue  refer tro service center',null,'79','79','2021-03-18 10:57:16','2021-03-18 10:57:16',null);
INSERT INTO complaint_statuses VALUES('16264','4853','7','12','81','Filter Service',null,'76','76','2021-03-18 11:04:29','2021-03-18 11:04:29',null);
INSERT INTO complaint_statuses VALUES('16265','4849','7','12','81','Shifting Bolt Remove Visit Pending 600/-',null,'76','76','2021-03-18 11:05:07','2021-03-18 11:05:07',null);
INSERT INTO complaint_statuses VALUES('16266','4813','7','12','81','Drain Heater Replaced.',null,'76','76','2021-03-18 11:06:37','2021-03-18 11:06:37',null);
INSERT INTO complaint_statuses VALUES('16267','4356','7','22','81','Main PCB On Demand, Estimate Approved on 17-03-2021 , Will receive in Shipment.',null,'76','76','2021-03-18 11:09:07','2021-03-18 11:09:07',null);
INSERT INTO complaint_statuses VALUES('16268','4873','3',null,'52',null,'18-MAR-2021
COM NO PKRI-210318104221','92','92','2021-03-18 11:20:59','2021-03-18 11:56:58',null);
INSERT INTO complaint_statuses VALUES('16269','4874','3',null,'52',null,'18-MAR-2021
COM NO PKRI-210318104315','92','92','2021-03-18 11:24:54','2021-03-18 12:01:16',null);
INSERT INTO complaint_statuses VALUES('16270','4870','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-18 11:31:25','2021-03-18 11:48:09',null);
INSERT INTO complaint_statuses VALUES('16271','4853','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-18 11:32:39','2021-03-18 11:48:38',null);
INSERT INTO complaint_statuses VALUES('16272','4875','2',null,'81',null,'18-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-18 11:36:36','2021-03-18 11:36:36',null);
INSERT INTO complaint_statuses VALUES('16273','4700','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-18 11:39:27','2021-03-18 11:50:02',null);
INSERT INTO complaint_statuses VALUES('16274','4849','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-18 11:44:25','2021-03-18 11:49:05',null);
INSERT INTO complaint_statuses VALUES('16275','4713','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-18 11:47:05','2021-03-18 11:49:34',null);
INSERT INTO complaint_statuses VALUES('16276','4876','3',null,'54',null,'18-MAR-2021
COM NO 1833716','92','92','2021-03-18 11:48:51','2021-03-18 11:48:51',null);
INSERT INTO complaint_statuses VALUES('16277','4875','4',null,'55',null,null,'81','81','2021-03-18 12:13:07','2021-03-18 12:13:07',null);
INSERT INTO complaint_statuses VALUES('16278','4825','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-18 12:18:00','2021-03-18 12:18:00',null);
INSERT INTO complaint_statuses VALUES('16279','4823','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-18 12:22:52','2021-03-18 12:22:52',null);
INSERT INTO complaint_statuses VALUES('16280','4877','3',null,'54',null,'18-MAR-2021
COM NO 1833773','92','92','2021-03-18 12:26:26','2021-03-18 12:26:26',null);
INSERT INTO complaint_statuses VALUES('16281','4822','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-18 12:27:16','2021-03-18 12:27:16',null);
INSERT INTO complaint_statuses VALUES('16282','4878','3',null,'65',null,'18-MAR-2021
COM NO 192121314','92','92','2021-03-18 12:35:02','2021-03-18 14:53:28',null);
INSERT INTO complaint_statuses VALUES('16283','4821','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-18 12:39:53','2021-03-18 12:39:53',null);
INSERT INTO complaint_statuses VALUES('16284','4879','3',null,'52',null,'18-MAR-2021
COM NO PKRI-210318105563','92','92','2021-03-18 12:49:45','2021-03-18 12:49:45',null);
INSERT INTO complaint_statuses VALUES('16285','4817','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-18 12:54:50','2021-03-18 12:54:50',null);
INSERT INTO complaint_statuses VALUES('16286','4880','2',null,'81',null,'18-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-18 12:56:36','2021-03-18 12:56:36',null);
INSERT INTO complaint_statuses VALUES('16287','4834','7','24','81','Frezer custmer i10 chory gy compresor issue',null,'82','82','2021-03-18 13:02:20','2021-03-18 13:02:20',null);
INSERT INTO complaint_statuses VALUES('16288','4832','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-18 13:03:12','2021-03-18 13:03:12',null);
INSERT INTO complaint_statuses VALUES('16289','4811','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-18 13:06:28','2021-03-18 13:06:28',null);
INSERT INTO complaint_statuses VALUES('16290','4881','2',null,'81',null,'18-MAR-2021
COM FF TO AZHAR SIR','92','92','2021-03-18 13:09:36','2021-03-18 13:09:36',null);
INSERT INTO complaint_statuses VALUES('16291','4810','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-18 13:10:03','2021-03-18 13:10:03',null);
INSERT INTO complaint_statuses VALUES('16292','4881','4',null,'60',null,null,'81','81','2021-03-18 13:11:53','2021-03-18 13:11:53',null);
INSERT INTO complaint_statuses VALUES('16293','4880','4',null,'58',null,null,'81','81','2021-03-18 13:12:03','2021-03-18 13:12:03',null);
INSERT INTO complaint_statuses VALUES('16294','4882','3',null,'73',null,'18-MAR-2021
COM NO 4249','92','92','2021-03-18 13:17:29','2021-03-18 13:17:29',null);
INSERT INTO complaint_statuses VALUES('16295','4883','3',null,'53',null,'18-MAR-2021
COM NO 301100143','92','92','2021-03-18 13:33:07','2021-03-18 13:35:20',null);
INSERT INTO complaint_statuses VALUES('16296','4884','2',null,'81',null,'18-MAR-2021
COM NO 739994','92','92','2021-03-18 13:38:10','2021-03-18 14:54:02',null);
INSERT INTO complaint_statuses VALUES('16297','4441','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-18 13:59:38','2021-03-18 13:59:38',null);
INSERT INTO complaint_statuses VALUES('16298','4228','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-18 14:05:24','2021-03-18 14:05:24',null);
INSERT INTO complaint_statuses VALUES('16299','4792','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-18 14:13:26','2021-03-18 14:13:26',null);
INSERT INTO complaint_statuses VALUES('16300','4884','4',null,'64',null,null,'81','81','2021-03-18 14:54:27','2021-03-18 14:54:27',null);
INSERT INTO complaint_statuses VALUES('16301','4885','3',null,'55',null,'18TH MAR-2021
FF TO NAEEM KENWOOD','74','74','2021-03-18 14:57:14','2021-03-18 14:57:14',null);
INSERT INTO complaint_statuses VALUES('16302','4872','5','15',null,'COMPLAINT FF TI TAHIR SIEMENS','COMPLAINT CLOSED','81','74','2021-03-18 15:03:41','2021-03-18 15:47:07',null);
INSERT INTO complaint_statuses VALUES('16303','4773','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-18 15:20:59','2021-03-18 15:20:59',null);
INSERT INTO complaint_statuses VALUES('16304','4732','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-03-18 15:36:47','2021-03-18 15:36:47',null);
INSERT INTO complaint_statuses VALUES('16305','4732','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-18 15:38:26','2021-03-18 15:39:11',null);
INSERT INTO complaint_statuses VALUES('16306','4886','3',null,'80',null,'18-MAR-2021
COM FF TO TAHIR SIEMENS','92','92','2021-03-18 15:46:16','2021-03-27 11:57:44',null);
INSERT INTO complaint_statuses VALUES('16307','4758','7','12','81','pcb reapir ki hai complaint reoslved',null,'79','79','2021-03-18 15:53:54','2021-03-18 15:53:54',null);
INSERT INTO complaint_statuses VALUES('16308','4813','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-18 16:01:41','2021-03-18 16:38:10',null);
INSERT INTO complaint_statuses VALUES('16309','4887','2',null,'81',null,'18-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-18 16:02:07','2021-03-18 16:02:07',null);
INSERT INTO complaint_statuses VALUES('16310','4888','2',null,'81',null,'18-MAR-2021
COM FF TO KHALID SONY','92','92','2021-03-18 16:04:39','2021-03-20 13:46:31',null);
INSERT INTO complaint_statuses VALUES('16311','4889','3',null,'61',null,'18-MAR-2021
COM NO 202103009922','92','92','2021-03-18 16:10:19','2021-03-18 16:16:14',null);
INSERT INTO complaint_statuses VALUES('16312','4890','2',null,'81',null,'18-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-18 16:21:53','2021-03-18 16:21:53',null);
INSERT INTO complaint_statuses VALUES('16313','4890','4',null,'58',null,null,'81','81','2021-03-18 16:23:01','2021-03-18 16:23:01',null);
INSERT INTO complaint_statuses VALUES('16314','4888','4',null,'56',null,null,'81','81','2021-03-18 16:23:14','2021-03-18 16:23:14',null);
INSERT INTO complaint_statuses VALUES('16315','4887','4',null,'58',null,null,'81','81','2021-03-18 16:23:24','2021-03-18 16:23:24',null);
INSERT INTO complaint_statuses VALUES('16316','4758','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-18 16:35:15','2021-03-18 17:37:29',null);
INSERT INTO complaint_statuses VALUES('16317','4891','3',null,'52',null,'18-MAR-2021
COM NO','92','92','2021-03-18 17:08:17','2021-03-18 17:08:17',null);
INSERT INTO complaint_statuses VALUES('16318','4892','2',null,'81',null,'18-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-18 17:12:31','2021-03-18 17:12:31',null);
INSERT INTO complaint_statuses VALUES('16319','4543','7','12','81','Completed unit with customer',null,'77','77','2021-03-18 17:20:47','2021-03-18 17:20:47',null);
INSERT INTO complaint_statuses VALUES('16320','4158','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-18 17:21:04','2021-03-18 17:21:04',null);
INSERT INTO complaint_statuses VALUES('16321','4751','7','12','81','Unit ok and unit with customer',null,'77','77','2021-03-18 17:21:33','2021-03-18 17:21:33',null);
INSERT INTO complaint_statuses VALUES('16322','4158','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-18 17:21:37','2021-03-18 17:40:24',null);
INSERT INTO complaint_statuses VALUES('16323','4893','2',null,'81',null,'18-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-18 17:26:54','2021-03-18 17:26:54',null);
INSERT INTO complaint_statuses VALUES('16324','4894','2',null,'81',null,'18-MAR-2021
FF TO KHALID SONY','74','74','2021-03-18 17:28:27','2021-03-18 17:28:27',null);
INSERT INTO complaint_statuses VALUES('16325','4894','4',null,'56',null,null,'81','81','2021-03-18 17:29:13','2021-03-18 17:29:13',null);
INSERT INTO complaint_statuses VALUES('16326','4895','3',null,'73',null,'18-MAR-2021
COM NO 4008','92','92','2021-03-18 17:33:13','2021-03-27 11:57:13',null);
INSERT INTO complaint_statuses VALUES('16327','4893','4',null,'63',null,null,'81','81','2021-03-18 17:36:28','2021-03-18 17:36:28',null);
INSERT INTO complaint_statuses VALUES('16328','4892','4',null,'62',null,null,'81','81','2021-03-18 17:36:48','2021-03-18 17:36:48',null);
INSERT INTO complaint_statuses VALUES('16329','3969','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-03-18 17:44:50','2021-03-18 17:44:50',null);
INSERT INTO complaint_statuses VALUES('16330','4896','2',null,'81',null,'18-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-18 17:44:52','2021-03-18 17:44:52',null);
INSERT INTO complaint_statuses VALUES('16331','3969','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-18 17:45:34','2021-03-18 17:46:08',null);
INSERT INTO complaint_statuses VALUES('16332','4751','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-18 17:48:04','2021-03-18 17:54:24',null);
INSERT INTO complaint_statuses VALUES('16333','4543','5','15',null,'COMPLETED  COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-18 17:49:53','2021-03-18 17:55:03',null);
INSERT INTO complaint_statuses VALUES('16334','4828','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-18 17:52:40','2021-03-18 17:53:06',null);
INSERT INTO complaint_statuses VALUES('16335','4896','4',null,'63',null,null,'81','81','2021-03-18 17:55:48','2021-03-18 17:55:48',null);
INSERT INTO complaint_statuses VALUES('16336','4857','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-19 11:27:46','2021-03-19 11:27:46',null);
INSERT INTO complaint_statuses VALUES('16337','4831','7','12','81','Either net cable connected with tv 
Unit ok 
Service charges & visit 
2000/-',null,'83','83','2021-03-19 11:31:09','2021-03-19 11:31:09',null);
INSERT INTO complaint_statuses VALUES('16338','4856','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-19 11:32:11','2021-03-19 11:32:11',null);
INSERT INTO complaint_statuses VALUES('16339','4856','5','15',null,'COMPLETED COMPLAINT','COMPLETED RESOLVED','81','74','2021-03-19 11:34:00','2021-03-19 11:35:22',null);
INSERT INTO complaint_statuses VALUES('16340','4848','7','24','81','Frezer moter hrab hy nikal ky laye hy markeet sy haredy gy',null,'82','82','2021-03-19 11:35:50','2021-03-19 11:35:50',null);
INSERT INTO complaint_statuses VALUES('16341','4778','7','24','81','Frig kal i10 workshop jay ga',null,'82','82','2021-03-19 11:37:45','2021-03-19 11:37:45',null);
INSERT INTO complaint_statuses VALUES('16342','4668','7','12','81','Okay ho ky i10servis center sy custmer ky pass chali gai hy job done',null,'82','82','2021-03-19 11:40:13','2021-03-19 11:40:13',null);
INSERT INTO complaint_statuses VALUES('16343','4866','7','11','81','Please provide another Number , number not reachable since yesterday.',null,'76','76','2021-03-19 12:02:50','2021-03-19 12:02:50',null);
INSERT INTO complaint_statuses VALUES('16344','4897','2',null,'81',null,'19-MAR-2021
FF TO BEST COOL','74','74','2021-03-19 12:03:24','2021-03-19 12:03:24',null);
INSERT INTO complaint_statuses VALUES('16345','4897','4',null,'58',null,null,'81','81','2021-03-19 12:03:54','2021-03-19 12:03:54',null);
INSERT INTO complaint_statuses VALUES('16346','4852','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-19 12:18:44','2021-03-19 12:18:44',null);
INSERT INTO complaint_statuses VALUES('16347','4851','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-19 12:20:37','2021-03-19 12:20:37',null);
INSERT INTO complaint_statuses VALUES('16348','4850','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-19 12:24:06','2021-03-19 12:24:06',null);
INSERT INTO complaint_statuses VALUES('16349','4851','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-19 12:26:27','2021-03-19 12:33:07',null);
INSERT INTO complaint_statuses VALUES('16350','4850','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-19 12:26:53','2021-03-19 12:33:33',null);
INSERT INTO complaint_statuses VALUES('16351','4897','7','12','81','pcb repair  complaint rsolvced',null,'79','79','2021-03-19 12:27:20','2021-03-19 12:27:20',null);
INSERT INTO complaint_statuses VALUES('16352','4848','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-03-19 12:27:42','2021-03-19 12:27:42',null);
INSERT INTO complaint_statuses VALUES('16353','4866','8','23','55','03340111673 IC NO PA CALL KAR K AJ VISIT KARWAY',null,'81','81','2021-03-19 12:29:45','2021-03-19 12:29:45',null);
INSERT INTO complaint_statuses VALUES('16354','4897','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-19 12:30:25','2021-03-19 12:32:41',null);
INSERT INTO complaint_statuses VALUES('16355','4834','8','23','60','OK','REF I 10 S/C MAIN HAIN INVOICE ADIL BHAI KO SHER KAR DI','81','74','2021-03-19 12:30:59','2021-03-22 14:57:08',null);
INSERT INTO complaint_statuses VALUES('16356','4831','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','74','2021-03-19 12:31:48','2021-03-19 12:33:58',null);
INSERT INTO complaint_statuses VALUES('16357','4847','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-19 12:36:11','2021-03-19 12:36:11',null);
INSERT INTO complaint_statuses VALUES('16358','4898','2',null,'81',null,'19-MAR-2021
FF TO SHAMIM AKHTER','74','74','2021-03-19 14:52:47','2021-03-19 14:52:47',null);
INSERT INTO complaint_statuses VALUES('16359','4898','4',null,'55',null,null,'81','81','2021-03-19 14:55:30','2021-03-19 14:55:30',null);
INSERT INTO complaint_statuses VALUES('16360','4899','3',null,'54',null,'19-MAR-2021
COMPLAINT#1834416','74','74','2021-03-19 15:00:16','2021-03-19 15:00:16',null);
INSERT INTO complaint_statuses VALUES('16361','4900','2',null,'81',null,'19-MAR-2021
FF TO AZHAR FCI','74','74','2021-03-19 15:04:18','2021-03-19 15:04:18',null);
INSERT INTO complaint_statuses VALUES('16362','4901','2',null,'81',null,'19-MAR-2021
FF TO KHURRAM 5 STAR','74','74','2021-03-19 15:10:16','2021-03-19 15:10:16',null);
INSERT INTO complaint_statuses VALUES('16363','4901','4',null,'63',null,null,'81','81','2021-03-19 15:11:33','2021-03-19 15:11:33',null);
INSERT INTO complaint_statuses VALUES('16364','4900','4',null,'60',null,null,'81','81','2021-03-19 15:11:46','2021-03-19 15:11:46',null);
INSERT INTO complaint_statuses VALUES('16365','4884','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-03-19 15:32:51','2021-03-19 15:32:51',null);
INSERT INTO complaint_statuses VALUES('16366','4884','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-19 15:33:26','2021-03-19 15:34:31',null);
INSERT INTO complaint_statuses VALUES('16367','4838','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-19 15:55:03','2021-03-19 15:55:03',null);
INSERT INTO complaint_statuses VALUES('16368','4902','3',null,'73',null,'19-MAR-2021
COMPLAINT#4259','74','74','2021-03-19 16:06:21','2021-03-19 16:06:21',null);
INSERT INTO complaint_statuses VALUES('16369','4903','2',null,'81',null,'19-MAR-2021
FF TO BEST COOL','74','74','2021-03-19 16:28:30','2021-03-19 16:28:30',null);
INSERT INTO complaint_statuses VALUES('16370','4903','4',null,'58',null,null,'81','81','2021-03-19 16:29:08','2021-03-19 16:29:08',null);
INSERT INTO complaint_statuses VALUES('16371','4904','3',null,'53',null,'19-MAR-2021
COMPLAINT#301100446','74','74','2021-03-19 16:44:36','2021-03-19 16:44:36',null);
INSERT INTO complaint_statuses VALUES('16372','4905','3',null,'52',null,'19-MAR-2021
COMPLAINT#PKRI-210319109860','74','74','2021-03-19 17:05:05','2021-03-19 17:05:05',null);
INSERT INTO complaint_statuses VALUES('16373','4906','3',null,'56',null,'19-MAR-2021
COMPLAINT#C19/009','74','74','2021-03-19 17:31:29','2021-03-19 17:31:29',null);
INSERT INTO complaint_statuses VALUES('16374','4907','2',null,'81',null,'19-MAR-2021
FF TO B.COOL','74','74','2021-03-19 17:36:21','2021-03-19 17:36:21',null);
INSERT INTO complaint_statuses VALUES('16375','4894','7','12','81','Unit Damaged only service charges. Friends warranty..',null,'77','77','2021-03-19 19:25:13','2021-03-19 19:25:13',null);
INSERT INTO complaint_statuses VALUES('16376','4900','7','12','81',null,null,'82','82','2021-03-20 11:10:13','2021-03-20 11:10:13',null);
INSERT INTO complaint_statuses VALUES('16377','4908','3',null,'52',null,'20-MAR-2021
COM NO PKRI-210320102549','92','92','2021-03-20 11:10:45','2021-03-20 11:10:45',null);
INSERT INTO complaint_statuses VALUES('16378','4900','5','15',null,'ABDUL REHMAN NA ON KAR DIA THA BUNNER SERVICES K LIYA KHURRAM BHI JAY GAY','COMPLAINT RESOLVED','81','74','2021-03-20 11:15:20','2021-03-22 11:39:50',null);
INSERT INTO complaint_statuses VALUES('16379','4909','2',null,'81',null,'20-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-20 12:02:33','2021-03-20 12:02:33',null);
INSERT INTO complaint_statuses VALUES('16380','4909','4',null,'55',null,null,'81','81','2021-03-20 12:05:50','2021-03-20 12:05:50',null);
INSERT INTO complaint_statuses VALUES('16381','4907','4',null,'58',null,null,'81','81','2021-03-20 12:06:05','2021-03-20 12:06:05',null);
INSERT INTO complaint_statuses VALUES('16382','4910','3',null,'83',null,'20-MAR-2021
COM FF TO SOHIB SIR','92','92','2021-03-20 12:19:56','2021-03-20 12:57:44',null);
INSERT INTO complaint_statuses VALUES('16383','4881','7','12','81','Pippevblock tha okay kar dia',null,'82','82','2021-03-20 12:21:32','2021-03-20 12:21:32',null);
INSERT INTO complaint_statuses VALUES('16384','4911','2',null,'81',null,'20-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-20 13:38:25','2021-03-20 13:38:25',null);
INSERT INTO complaint_statuses VALUES('16385','4911','4',null,'63',null,null,'81','81','2021-03-20 16:03:08','2021-03-20 16:03:08',null);
INSERT INTO complaint_statuses VALUES('16386','4912','3',null,'67',null,'21-MAR-2021
COM FF TO ANWAR CARAVELL','92','92','2021-03-21 11:42:08','2021-03-22 11:16:59',null);
INSERT INTO complaint_statuses VALUES('16387','4913','2',null,'81',null,'21-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-21 11:46:34','2021-03-22 12:38:44',null);
INSERT INTO complaint_statuses VALUES('16388','4914','3',null,'54',null,'21-MAR-2021
COM NO 1835057','92','92','2021-03-21 11:56:18','2021-03-21 12:01:42',null);
INSERT INTO complaint_statuses VALUES('16389','4915','2',null,'81',null,'21-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-21 12:13:37','2021-03-21 12:13:37',null);
INSERT INTO complaint_statuses VALUES('16390','4916','3',null,'55',null,'21-MAR-2021
COM NO 740873','92','92','2021-03-21 12:28:54','2021-03-21 12:31:22',null);
INSERT INTO complaint_statuses VALUES('16391','4915','4',null,'63',null,null,'81','81','2021-03-21 12:32:07','2021-03-21 12:32:07',null);
INSERT INTO complaint_statuses VALUES('16392','4913','4',null,'55',null,null,'81','81','2021-03-21 12:32:17','2021-03-21 12:32:17',null);
INSERT INTO complaint_statuses VALUES('16393','4894','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-03-21 12:36:37','2021-03-21 12:49:43',null);
INSERT INTO complaint_statuses VALUES('16394','4881','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-03-21 12:39:34','2021-03-21 12:50:08',null);
INSERT INTO complaint_statuses VALUES('16395','4668','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-03-21 12:46:17','2021-03-21 12:50:34',null);
INSERT INTO complaint_statuses VALUES('16396','4917','2',null,'81',null,'21-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-21 13:42:36','2021-03-21 13:42:36',null);
INSERT INTO complaint_statuses VALUES('16397','4917','4',null,'58',null,null,'81','81','2021-03-21 13:44:20','2021-03-21 13:44:20',null);
INSERT INTO complaint_statuses VALUES('16398','4918','3',null,'81',null,'21-MAR-2021
COM NO 180','92','92','2021-03-21 16:13:35','2021-03-22 10:44:51',null);
INSERT INTO complaint_statuses VALUES('16399','4919','2',null,'81',null,'21-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-21 16:18:10','2021-03-21 16:18:10',null);
INSERT INTO complaint_statuses VALUES('16400','4919','4',null,'63',null,null,'81','81','2021-03-21 16:21:49','2021-03-21 16:21:49',null);
INSERT INTO complaint_statuses VALUES('16401','4650','7','26','81','Custmer ko dosra dish washer de dia hy plz isko closed kar dy',null,'82','82','2021-03-22 09:48:29','2021-03-22 09:48:29',null);
INSERT INTO complaint_statuses VALUES('16402','4866','7','12','81','Inlet Valve Service , Service Charges pending 1000/-',null,'76','76','2021-03-22 10:01:02','2021-03-22 10:01:02',null);
INSERT INTO complaint_statuses VALUES('16403','4898','7','12','81','Drain Pipe Adjustment, visit pending 600/-',null,'76','76','2021-03-22 10:03:35','2021-03-22 10:03:35',null);
INSERT INTO complaint_statuses VALUES('16404','4410','7','24','81','In customer ko machine Ka problem confirm Nahi ha.   Inhonn my Kaha tha inform krain gy agar koi masla howa.   
Plz check with cusotmer',null,'83','83','2021-03-22 11:11:55','2021-03-22 11:11:55',null);
INSERT INTO complaint_statuses VALUES('16405','4898','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-22 11:12:33','2021-03-22 11:40:25',null);
INSERT INTO complaint_statuses VALUES('16406','4906','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-22 11:15:58','2021-03-22 11:15:58',null);
INSERT INTO complaint_statuses VALUES('16407','4905','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 11:19:10','2021-03-22 11:19:10',null);
INSERT INTO complaint_statuses VALUES('16408','4866','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-22 11:21:09','2021-03-22 12:13:57',null);
INSERT INTO complaint_statuses VALUES('16409','4844','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-22 11:21:56','2021-03-22 12:14:26',null);
INSERT INTO complaint_statuses VALUES('16410','4920','3',null,'66',null,'22-MAR-2021
COM NO PK032220210032
COM FF TO NADEEM SIR','92','92','2021-03-22 11:22:11','2021-03-22 11:22:11',null);
INSERT INTO complaint_statuses VALUES('16411','4904','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 11:25:01','2021-03-22 11:25:01',null);
INSERT INTO complaint_statuses VALUES('16412','4899','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 11:38:56','2021-03-22 11:38:56',null);
INSERT INTO complaint_statuses VALUES('16413','4875','7','12','81','Demo Only.',null,'76','76','2021-03-22 11:42:14','2021-03-22 11:42:14',null);
INSERT INTO complaint_statuses VALUES('16414','4650','5','15',null,'DISHWASHER I 10 SA READY KARWA K ADIL BHAI NA ASLAM SIR K HEAND OVER KAR DIA THA','COMPLAINT RESOLVED','81','74','2021-03-22 11:44:10','2021-03-22 12:14:51',null);
INSERT INTO complaint_statuses VALUES('16415','4921','3',null,'55',null,'22-MAR-2021
COM NO RWP-C-176','92','92','2021-03-22 11:45:43','2021-03-22 11:48:03',null);
INSERT INTO complaint_statuses VALUES('16416','4891','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 11:50:25','2021-03-22 11:50:25',null);
INSERT INTO complaint_statuses VALUES('16417','4922','3',null,'80',null,'22-MAR-2021
COM FF TO TAHIR SIMENS','92','92','2021-03-22 11:52:00','2021-03-22 11:52:00',null);
INSERT INTO complaint_statuses VALUES('16418','4923','2',null,'81',null,'22-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-22 12:00:52','2021-03-22 12:00:52',null);
INSERT INTO complaint_statuses VALUES('16419','4882','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 12:01:35','2021-03-22 12:01:35',null);
INSERT INTO complaint_statuses VALUES('16420','4923','4',null,'62',null,null,'81','81','2021-03-22 12:02:01','2021-03-22 12:02:01',null);
INSERT INTO complaint_statuses VALUES('16421','4879','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 12:04:00','2021-03-22 12:04:00',null);
INSERT INTO complaint_statuses VALUES('16422','4875','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-22 12:05:03','2021-03-22 12:13:26',null);
INSERT INTO complaint_statuses VALUES('16423','4778','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-03-22 12:05:53','2021-03-22 12:05:53',null);
INSERT INTO complaint_statuses VALUES('16424','4877','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 12:12:55','2021-03-22 12:12:55',null);
INSERT INTO complaint_statuses VALUES('16425','4925','2',null,'81',null,'22-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-22 12:15:42','2021-03-22 12:15:42',null);
INSERT INTO complaint_statuses VALUES('16426','4876','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 12:16:08','2021-03-22 12:16:08',null);
INSERT INTO complaint_statuses VALUES('16427','4874','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-22 12:20:05','2021-03-22 12:20:05',null);
INSERT INTO complaint_statuses VALUES('16428','4410','8','23','61','CUSTOMER OUT OFF CITY GAY HOAY THY WAPISE AAGY HAIN AIK 2 DIN MAIN W/M S/C MOVE KARWA DAY GAY ADD K LIYA NOUMAN SIR K NO PROVIDE KAR DIA CUSTOMER KO',null,'81','81','2021-03-22 12:24:39','2021-03-22 12:24:39',null);
INSERT INTO complaint_statuses VALUES('16429','4926','2',null,'81',null,'22-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-22 12:25:25','2021-04-04 14:40:38',null);
INSERT INTO complaint_statuses VALUES('16430','4926','4',null,'62',null,null,'81','81','2021-03-22 12:25:55','2021-03-22 12:25:55',null);
INSERT INTO complaint_statuses VALUES('16431','4925','4',null,'58',null,null,'81','81','2021-03-22 12:26:05','2021-03-22 12:26:05',null);
INSERT INTO complaint_statuses VALUES('16432','4927','2',null,'81',null,'22-MAR-2021
COM NO PKRI-210322106496','92','92','2021-03-22 12:32:45','2021-03-22 12:46:42',null);
INSERT INTO complaint_statuses VALUES('16433','4873','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 12:33:53','2021-03-22 12:33:53',null);
INSERT INTO complaint_statuses VALUES('16434','4928','2',null,'81',null,'22-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-22 12:36:34','2021-03-22 12:36:34',null);
INSERT INTO complaint_statuses VALUES('16435','4871','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-22 12:37:34','2021-03-22 12:37:34',null);
INSERT INTO complaint_statuses VALUES('16436','4928','4',null,'58',null,null,'81','81','2021-03-22 12:38:09','2021-03-22 12:38:09',null);
INSERT INTO complaint_statuses VALUES('16437','4878','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 12:45:19','2021-03-22 12:45:19',null);
INSERT INTO complaint_statuses VALUES('16438','4865','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 12:47:47','2021-03-22 12:47:47',null);
INSERT INTO complaint_statuses VALUES('16439','4927','4',null,'64',null,null,'81','81','2021-03-22 12:50:20','2021-03-22 12:50:20',null);
INSERT INTO complaint_statuses VALUES('16440','4924','2',null,'81',null,null,'92','92','2021-03-22 12:50:38','2021-03-22 12:50:38',null);
INSERT INTO complaint_statuses VALUES('16441','4924','4',null,'64',null,null,'81','81','2021-03-22 12:51:01','2021-03-22 12:51:01',null);
INSERT INTO complaint_statuses VALUES('16442','4861','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 12:51:47','2021-03-22 12:51:47',null);
INSERT INTO complaint_statuses VALUES('16443','4858','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 13:02:28','2021-03-22 13:02:28',null);
INSERT INTO complaint_statuses VALUES('16444','4929','3',null,'73',null,'22-MAR-2021
COM NO 4271','92','92','2021-03-22 13:05:26','2021-03-22 13:05:26',null);
INSERT INTO complaint_statuses VALUES('16445','4930','3',null,'73',null,'22-MAR-2021
COM NO 4272','92','92','2021-03-22 13:26:58','2021-03-22 13:29:34',null);
INSERT INTO complaint_statuses VALUES('16446','4931','3',null,'73',null,'22-MAR-2021
COM NO 4274','92','92','2021-03-22 13:38:38','2021-03-22 14:33:56',null);
INSERT INTO complaint_statuses VALUES('16447','4854','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 13:40:58','2021-03-22 13:40:58',null);
INSERT INTO complaint_statuses VALUES('16448','4932','2',null,'81',null,'22-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-22 13:47:43','2021-03-22 13:47:43',null);
INSERT INTO complaint_statuses VALUES('16449','4933','2',null,'81',null,'22-MAR-2021
COM FF TO HOME SOLUTION','92','92','2021-03-22 13:54:46','2021-03-22 13:54:46',null);
INSERT INTO complaint_statuses VALUES('16450','4933','4',null,'62',null,null,'81','81','2021-03-22 13:55:27','2021-03-22 13:55:27',null);
INSERT INTO complaint_statuses VALUES('16451','4932','4',null,'63',null,null,'81','81','2021-03-22 13:55:39','2021-03-22 13:55:39',null);
INSERT INTO complaint_statuses VALUES('16452','4934','3',null,'81',null,'22-MAR-2021
COM NO 195','92','92','2021-03-22 14:13:01','2021-03-27 10:54:41',null);
INSERT INTO complaint_statuses VALUES('16453','4935','3',null,'52',null,'22-MAR-2021
COM NO PKRI-210322108877','92','92','2021-03-22 14:25:04','2021-03-22 14:25:04',null);
INSERT INTO complaint_statuses VALUES('16454','4936','3',null,'54',null,'22-MAR-2021
COM NO 1835708','92','92','2021-03-22 14:47:30','2021-03-22 14:50:29',null);
INSERT INTO complaint_statuses VALUES('16455','4937','2',null,'81',null,'22-MAR-2021
FF TO AZHAR FCI','74','74','2021-03-22 15:01:20','2021-03-22 15:01:20',null);
INSERT INTO complaint_statuses VALUES('16456','4937','4',null,'60',null,null,'81','81','2021-03-22 15:01:56','2021-03-22 15:01:56',null);
INSERT INTO complaint_statuses VALUES('16457','4938','3',null,'81',null,'22-MAR-2021
COM NO 183','92','92','2021-03-22 15:03:56','2021-03-22 15:38:04',null);
INSERT INTO complaint_statuses VALUES('16458','4907','7','12','81','drain issue complaint reoslved',null,'79','79','2021-03-22 15:16:09','2021-03-22 15:16:09',null);
INSERT INTO complaint_statuses VALUES('16459','4824','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 15:56:20','2021-03-22 15:56:20',null);
INSERT INTO complaint_statuses VALUES('16460','4939','2',null,'81',null,'22-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-22 16:07:24','2021-03-22 16:07:24',null);
INSERT INTO complaint_statuses VALUES('16461','4812','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 16:12:11','2021-03-22 16:12:11',null);
INSERT INTO complaint_statuses VALUES('16462','4551','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 16:17:41','2021-03-22 16:17:41',null);
INSERT INTO complaint_statuses VALUES('16463','4907','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-22 16:19:28','2021-03-22 16:27:02',null);
INSERT INTO complaint_statuses VALUES('16464','4809','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 16:26:32','2021-03-22 16:26:32',null);
INSERT INTO complaint_statuses VALUES('16465','4940','3',null,'54',null,'22-MAR-2021
COM NO 17277','92','92','2021-03-22 16:29:00','2021-03-22 17:30:16',null);
INSERT INTO complaint_statuses VALUES('16466','4791','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-22 16:29:20','2021-03-22 16:29:20',null);
INSERT INTO complaint_statuses VALUES('16467','4926','7','26','81','PREVIOUS SOFTWARE KA TASK NO 14697 HAI, SB KCH ON PAYMENT HGA.CUSTOMER NOT AGREE',null,'87','87','2021-03-22 16:33:23','2021-03-22 16:33:23',null);
INSERT INTO complaint_statuses VALUES('16468','4941','3',null,'57',null,'22-MAR-2021
COM NO 17277','92','92','2021-03-22 16:56:06','2021-03-22 17:29:26',null);
INSERT INTO complaint_statuses VALUES('16469','4942','3',null,'54',null,'22-MAR-2021
COM NO 1835872','92','92','2021-03-22 17:11:35','2021-03-22 17:14:37',null);
INSERT INTO complaint_statuses VALUES('16470','4943','2',null,'81',null,'22-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-22 17:51:04','2021-03-22 17:51:04',null);
INSERT INTO complaint_statuses VALUES('16471','4943','4',null,'58',null,null,'81','81','2021-03-22 17:52:42','2021-03-22 17:52:42',null);
INSERT INTO complaint_statuses VALUES('16472','4939','4',null,'63',null,null,'81','81','2021-03-22 17:52:50','2021-03-22 17:52:50',null);
INSERT INTO complaint_statuses VALUES('16473','4944','2',null,'81',null,'23-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-23 11:00:48','2021-03-23 11:00:48',null);
INSERT INTO complaint_statuses VALUES('16474','4945','2',null,'81',null,'23-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-23 11:12:11','2021-03-23 11:12:11',null);
INSERT INTO complaint_statuses VALUES('16475','4946','2',null,'81',null,'23-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-23 11:31:40','2021-03-23 12:47:27',null);
INSERT INTO complaint_statuses VALUES('16476','4848','7','12','81','New moter laga di hy okay hy frig',null,'82','82','2021-03-23 11:34:49','2021-03-23 11:34:49',null);
INSERT INTO complaint_statuses VALUES('16477','4937','7','24','81','Freezer i10 servis center phonch gea hy compresor sound issue hy',null,'82','82','2021-03-23 11:35:33','2021-03-23 11:35:33',null);
INSERT INTO complaint_statuses VALUES('16478','4834','7','24','81','Frezer i10 servis phonch gea hy 
Comprrsor issue hy',null,'82','82','2021-03-23 11:36:24','2021-03-23 11:36:24',null);
INSERT INTO complaint_statuses VALUES('16479','4778','7','24','81','Friday ko frig uthana hy',null,'82','82','2021-03-23 11:36:57','2021-03-23 11:36:57',null);
INSERT INTO complaint_statuses VALUES('16480','4908','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-23 11:40:11','2021-03-23 11:40:11',null);
INSERT INTO complaint_statuses VALUES('16481','4902','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-23 11:42:13','2021-03-23 11:42:13',null);
INSERT INTO complaint_statuses VALUES('16482','4937','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-03-23 11:43:48','2021-03-23 11:43:48',null);
INSERT INTO complaint_statuses VALUES('16483','4947','3',null,'54',null,'23-MAR-2021
COM NO 1836293','92','92','2021-03-23 11:46:56','2021-03-24 10:32:24',null);
INSERT INTO complaint_statuses VALUES('16484','4948','3',null,'52',null,'23-MAR-2021
COM NO PKRI-210324102011','92','92','2021-03-23 11:57:22','2021-03-24 10:23:32',null);
INSERT INTO complaint_statuses VALUES('16485','4926','8','23','62','KHURRAM SIR SA IC COMPLAINT PA DIS CAUSE KARAY',null,'81','81','2021-03-23 11:58:37','2021-03-23 11:58:37',null);
INSERT INTO complaint_statuses VALUES('16486','4949','3',null,'52',null,'23-MAR-2021
COM NO PKRI-210324102105','92','92','2021-03-23 12:09:54','2021-03-24 10:27:02',null);
INSERT INTO complaint_statuses VALUES('16487','4950','2',null,'81',null,'23-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-23 12:24:45','2021-03-23 12:24:45',null);
INSERT INTO complaint_statuses VALUES('16488','4863','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-23 12:28:40','2021-03-23 12:28:40',null);
INSERT INTO complaint_statuses VALUES('16489','4863','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-23 12:29:21','2021-03-23 12:39:21',null);
INSERT INTO complaint_statuses VALUES('16490','4487','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-23 12:37:45','2021-03-23 12:37:45',null);
INSERT INTO complaint_statuses VALUES('16491','4848','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-23 12:39:59','2021-03-23 12:46:34',null);
INSERT INTO complaint_statuses VALUES('16492','4834','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-03-23 12:41:09','2021-03-23 12:41:09',null);
INSERT INTO complaint_statuses VALUES('16493','4778','8','23','60','OK',null,'81','81','2021-03-23 12:44:26','2021-03-23 12:44:26',null);
INSERT INTO complaint_statuses VALUES('16494','4196','8','15','55','WARRANTY CARD AP WHATS APP KAR DIA MISS',null,'81','81','2021-03-23 12:45:51','2021-03-23 12:45:51',null);
INSERT INTO complaint_statuses VALUES('16495','3677','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-23 12:51:17','2021-03-23 12:51:17',null);
INSERT INTO complaint_statuses VALUES('16496','3677','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-23 12:51:43','2021-03-23 12:52:40',null);
INSERT INTO complaint_statuses VALUES('16497','4951','3',null,'73',null,'23-MAR-2021
COM NO 4282','92','92','2021-03-23 12:58:25','2021-03-24 10:51:43',null);
INSERT INTO complaint_statuses VALUES('16498','4952','3',null,'72',null,'23-MAR-2021
COM NO 072117238','92','92','2021-03-23 13:19:06','2021-03-24 10:48:43',null);
INSERT INTO complaint_statuses VALUES('16499','4374','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-23 13:22:50','2021-03-23 13:22:50',null);
INSERT INTO complaint_statuses VALUES('16500','4953','3',null,'52',null,'23-MAR-2021
COM NO PKRI-210324102183','92','92','2021-03-23 13:23:12','2021-03-24 10:29:20',null);
INSERT INTO complaint_statuses VALUES('16501','4374','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-23 13:23:36','2021-03-23 13:24:56',null);
INSERT INTO complaint_statuses VALUES('16502','4950','4',null,'55',null,null,'81','81','2021-03-23 13:32:40','2021-03-23 13:32:40',null);
INSERT INTO complaint_statuses VALUES('16503','4946','4',null,'63',null,null,'81','81','2021-03-23 13:32:51','2021-03-23 13:32:51',null);
INSERT INTO complaint_statuses VALUES('16504','4946','4',null,'63',null,null,'81','81','2021-03-23 13:32:51','2021-03-23 13:32:51',null);
INSERT INTO complaint_statuses VALUES('16505','4945','4',null,'63',null,null,'81','81','2021-03-23 13:33:00','2021-03-23 13:33:00',null);
INSERT INTO complaint_statuses VALUES('16506','4944','4',null,'55',null,null,'81','81','2021-03-23 13:33:11','2021-03-23 13:33:11',null);
INSERT INTO complaint_statuses VALUES('16507','4954','2',null,'81',null,'23-MAR-2021
COM FF TO USMAN SIR','92','92','2021-03-23 13:54:23','2021-03-23 13:54:23',null);
INSERT INTO complaint_statuses VALUES('16508','4954','4',null,'61',null,null,'81','81','2021-03-23 13:57:09','2021-03-23 13:57:09',null);
INSERT INTO complaint_statuses VALUES('16509','4955','3',null,'54',null,'23-MAR-2021
COM NO 1836297','92','92','2021-03-23 14:17:46','2021-03-24 10:34:20',null);
INSERT INTO complaint_statuses VALUES('16510','4789','7','12','81','wifi and HDMI problem 
main board repair 
set ok',null,'80','80','2021-03-23 14:21:40','2021-03-23 14:21:40',null);
INSERT INTO complaint_statuses VALUES('16511','4956','2',null,'81',null,'23-MAR-2021
COM NO 301101414','92','74','2021-03-23 14:36:58','2021-03-24 12:46:59',null);
INSERT INTO complaint_statuses VALUES('16512','4789','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-03-23 14:45:03','2021-03-23 14:46:26',null);
INSERT INTO complaint_statuses VALUES('16513','4954','7','24','81','Ya unit Kahan py ha',null,'83','83','2021-03-23 14:46:27','2021-03-23 14:46:27',null);
INSERT INTO complaint_statuses VALUES('16514','4943','7','9','81','refetr to service center .service required',null,'79','79','2021-03-23 19:19:08','2021-03-23 19:19:08',null);
INSERT INTO complaint_statuses VALUES('16515','4928','7','12','81','complaint resolved',null,'79','79','2021-03-23 19:20:54','2021-03-23 19:20:54',null);
INSERT INTO complaint_statuses VALUES('16516','4925','7','12','81','complaint resolved',null,'79','79','2021-03-23 19:21:27','2021-03-23 19:21:27',null);
INSERT INTO complaint_statuses VALUES('16517','4954','8','23','61','YHA WOHI UNIT HAIN JO AP K PASS S/C MAIN AAY THA .
COMPLAINT KO COMPLETED KAR K WAPISE KAR DAY',null,'81','81','2021-03-24 11:08:39','2021-03-24 11:08:39',null);
INSERT INTO complaint_statuses VALUES('16518','4839','7','12','81','auto wire issue  complaint resolved',null,'79','79','2021-03-24 11:11:50','2021-03-24 11:11:50',null);
INSERT INTO complaint_statuses VALUES('16519','4957','3',null,'52',null,'24-MAR-2021
COM NO PKRI-210324103585','92','92','2021-03-24 11:19:43','2021-03-24 11:19:43',null);
INSERT INTO complaint_statuses VALUES('16520','4958','3',null,'80',null,'24-MAR-2021
COM FF TO TAHIR SEMINES','92','92','2021-03-24 11:26:05','2021-03-24 11:26:05',null);
INSERT INTO complaint_statuses VALUES('16521','4959','3',null,'54',null,'24-MAR-2021
COM NO 1836397','92','92','2021-03-24 11:31:04','2021-03-24 11:40:18',null);
INSERT INTO complaint_statuses VALUES('16522','4914','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-24 11:33:52','2021-03-24 11:33:52',null);
INSERT INTO complaint_statuses VALUES('16523','4662','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-24 11:46:24','2021-03-24 11:46:24',null);
INSERT INTO complaint_statuses VALUES('16524','4960','3',null,'66',null,'24-MAR-2021
COM NO PK-032420210067','92','92','2021-03-24 11:58:27','2021-03-24 12:00:34',null);
INSERT INTO complaint_statuses VALUES('16525','4724','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-24 12:04:29','2021-03-24 12:04:29',null);
INSERT INTO complaint_statuses VALUES('16526','4928','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-24 12:07:50','2021-03-24 12:15:15',null);
INSERT INTO complaint_statuses VALUES('16527','4911','7','12','81','COMPLETED COMPLAINT
2 HOB 1000 CUSTOMER NOT PAID CHARGES',null,'88','88','2021-03-24 12:10:33','2021-03-24 12:10:33',null);
INSERT INTO complaint_statuses VALUES('16528','4961','3',null,'59',null,'24-MAR-2021
COM NO 4243896138','92','92','2021-03-24 12:10:37','2021-03-24 12:22:48',null);
INSERT INTO complaint_statuses VALUES('16529','4943','8','23','58','JOB COMPLETED QUKILEY',null,'81','81','2021-03-24 12:12:31','2021-03-24 12:12:31',null);
INSERT INTO complaint_statuses VALUES('16530','4911','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-24 12:12:59','2021-03-24 12:16:14',null);
INSERT INTO complaint_statuses VALUES('16531','4925','5','15',null,'CUSTOMER KA ISSUE KHUD SA HI RESOLVED HO GAYA NO VISIT COMPLAINT CLOSED','COMPLAINT RESOLVED','81','74','2021-03-24 12:14:19','2021-03-24 12:15:40',null);
INSERT INTO complaint_statuses VALUES('16532','4839','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-24 12:17:31','2021-03-24 12:22:18',null);
INSERT INTO complaint_statuses VALUES('16533','4962','3',null,'59',null,'24-MAR-2021
COM NO 4243896797','92','92','2021-03-24 12:19:12','2021-03-24 12:25:06',null);
INSERT INTO complaint_statuses VALUES('16534','4883','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-24 12:23:21','2021-03-24 12:23:21',null);
INSERT INTO complaint_statuses VALUES('16535','4963','3',null,'66',null,'24-MAR-2021
COM NO PK032420210087
COM FF TO SONY SAMSUNG ELECTRONIC   03219508571','92','92','2021-03-24 12:36:18','2021-03-24 12:41:59',null);
INSERT INTO complaint_statuses VALUES('16536','4956','4',null,'64',null,null,'81','81','2021-03-24 12:47:22','2021-03-24 12:47:22',null);
INSERT INTO complaint_statuses VALUES('16537','4860','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-24 12:48:47','2021-03-24 12:48:47',null);
INSERT INTO complaint_statuses VALUES('16538','4860','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-24 12:50:03','2021-03-24 12:51:18',null);
INSERT INTO complaint_statuses VALUES('16539','4867','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-03-24 13:02:31','2021-03-24 13:02:31',null);
INSERT INTO complaint_statuses VALUES('16540','4846','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-03-24 13:02:51','2021-03-24 13:02:51',null);
INSERT INTO complaint_statuses VALUES('16541','4846','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-24 13:04:08','2021-03-24 13:06:07',null);
INSERT INTO complaint_statuses VALUES('16542','4867','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-24 13:04:46','2021-03-24 13:05:18',null);
INSERT INTO complaint_statuses VALUES('16543','4964','2',null,'81',null,'24-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-24 13:11:06','2021-03-24 13:11:06',null);
INSERT INTO complaint_statuses VALUES('16544','4964','4',null,'55',null,null,'81','81','2021-03-24 13:12:08','2021-03-24 13:12:08',null);
INSERT INTO complaint_statuses VALUES('16545','4835','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-24 13:20:56','2021-03-24 13:20:56',null);
INSERT INTO complaint_statuses VALUES('16546','4835','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-24 13:21:50','2021-03-24 13:22:16',null);
INSERT INTO complaint_statuses VALUES('16547','4965','2',null,'81',null,'24-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-24 13:24:13','2021-03-24 13:24:13',null);
INSERT INTO complaint_statuses VALUES('16548','4511','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-24 13:29:32','2021-03-24 13:29:32',null);
INSERT INTO complaint_statuses VALUES('16549','4966','3',null,'52',null,'24-MAR-2021
COM NO PKKD-210324108437','92','92','2021-03-24 13:45:59','2021-03-24 14:30:56',null);
INSERT INTO complaint_statuses VALUES('16550','4910','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-24 13:46:31','2021-03-24 13:46:31',null);
INSERT INTO complaint_statuses VALUES('16551','4912','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-24 13:48:14','2021-03-24 13:48:14',null);
INSERT INTO complaint_statuses VALUES('16552','4954','7','12','81','Lbds cable connected replaced of main PCB 
Rs 2000',null,'83','83','2021-03-24 14:10:28','2021-03-24 14:10:28',null);
INSERT INTO complaint_statuses VALUES('16553','4586','5',null,null,'COMPLAINT  CLOSED',null,'74','74','2021-03-24 14:21:29','2021-03-24 14:21:29',null);
INSERT INTO complaint_statuses VALUES('16554','4967','2',null,'81',null,'24-MAR-2021
COM NO PKRI-210324108335','92','92','2021-03-24 14:26:28','2021-03-24 14:26:28',null);
INSERT INTO complaint_statuses VALUES('16555','4967','4',null,'64',null,null,'81','81','2021-03-24 14:31:33','2021-03-24 14:31:33',null);
INSERT INTO complaint_statuses VALUES('16556','4965','4',null,'63',null,null,'81','81','2021-03-24 14:31:43','2021-03-24 14:31:43',null);
INSERT INTO complaint_statuses VALUES('16557','4968','2',null,'81',null,'24-MAR-2021
COM FF TO NADEEM AZHAR','92','92','2021-03-24 14:48:23','2021-03-24 14:48:23',null);
INSERT INTO complaint_statuses VALUES('16558','4969','2',null,'81',null,'24-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-24 15:03:47','2021-03-24 15:03:47',null);
INSERT INTO complaint_statuses VALUES('16559','4968','4',null,'59',null,null,'81','81','2021-03-24 15:06:04','2021-03-24 15:06:04',null);
INSERT INTO complaint_statuses VALUES('16560','4969','4',null,'63',null,null,'81','81','2021-03-24 15:06:12','2021-03-24 15:06:12',null);
INSERT INTO complaint_statuses VALUES('16561','4970','2',null,'81',null,'24-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-24 15:45:35','2021-03-24 15:45:35',null);
INSERT INTO complaint_statuses VALUES('16562','4970','4',null,'55',null,null,'81','81','2021-03-24 15:47:41','2021-03-24 15:47:41',null);
INSERT INTO complaint_statuses VALUES('16563','4880','7','12','81','complaint resolved',null,'79','79','2021-03-24 16:09:37','2021-03-24 16:09:37',null);
INSERT INTO complaint_statuses VALUES('16564','4971','3',null,'73',null,'24-MAR-2021
COM NO 4289','92','92','2021-03-24 16:24:26','2021-03-24 16:53:10',null);
INSERT INTO complaint_statuses VALUES('16565','4972','2',null,'81',null,'24-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-24 16:37:42','2021-03-24 16:37:42',null);
INSERT INTO complaint_statuses VALUES('16566','4973','2',null,'81',null,'24-MAR-2021
FF TO KHURRAM 5 STAR','74','74','2021-03-24 16:38:02','2021-03-24 16:38:02',null);
INSERT INTO complaint_statuses VALUES('16567','4973','4',null,'63',null,null,'81','81','2021-03-24 16:50:29','2021-03-24 16:50:29',null);
INSERT INTO complaint_statuses VALUES('16568','4972','4',null,'63',null,null,'81','81','2021-03-24 16:50:40','2021-03-24 16:50:40',null);
INSERT INTO complaint_statuses VALUES('16569','4958','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-03-24 16:51:36','2021-03-24 16:51:36',null);
INSERT INTO complaint_statuses VALUES('16570','4958','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-03-24 16:51:40','2021-03-24 16:51:40',null);
INSERT INTO complaint_statuses VALUES('16571','4954','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-24 17:00:53','2021-03-24 17:16:40',null);
INSERT INTO complaint_statuses VALUES('16572','4880','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-24 17:05:16','2021-03-24 17:17:06',null);
INSERT INTO complaint_statuses VALUES('16573','4356','8','23','55','OK JOB COMPLETED QUKILEY',null,'81','81','2021-03-24 17:32:59','2021-03-24 17:32:59',null);
INSERT INTO complaint_statuses VALUES('16574','4862','5','15',null,'CUSTOMER SIDE SA DELAY HAIN COMPLAINT WO ABI BUSY HAIN FREE JB HO GAY FIR S/C LA AAY GAY ABI JOB CLOSED KARWA DI.
INFORMED TAHIR B COOL','COMPLAINT CLOSED','81','74','2021-03-24 17:35:04','2021-03-24 17:39:47',null);
INSERT INTO complaint_statuses VALUES('16575','4915','7','12','81','COMPLETED COMPLAINT
500 CUSTOMER NOT PAID CHARGES',null,'88','88','2021-03-24 17:38:14','2021-03-24 17:38:14',null);
INSERT INTO complaint_statuses VALUES('16576','4915','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-24 17:38:46','2021-03-24 17:39:17',null);
INSERT INTO complaint_statuses VALUES('16577','4793','8','23','56','NAEEM SAB KI ASPENS MAIN KHURRAM SIR NA EXP REQUEST APPROVED KAR DI 
SET READY KARWAY',null,'81','81','2021-03-24 17:47:03','2021-03-24 17:47:03',null);
INSERT INTO complaint_statuses VALUES('16578','4974','3',null,'86',null,'24-MAR-2021
COM FF TO ASIF ARISTON','92','92','2021-03-24 17:52:26','2021-03-27 11:01:58',null);
INSERT INTO complaint_statuses VALUES('16579','4975','2',null,'81',null,'24-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-24 17:59:12','2021-03-24 17:59:12',null);
INSERT INTO complaint_statuses VALUES('16580','4976','3',null,'52',null,'24-MAR-2021
COM NO PKRI-210327108815','92','92','2021-03-24 18:03:19','2021-03-27 11:01:33',null);
INSERT INTO complaint_statuses VALUES('16581','4975','4',null,'58',null,null,'81','81','2021-03-24 18:05:22','2021-03-24 18:05:22',null);
INSERT INTO complaint_statuses VALUES('16582','4933','7','22','81','COMP',null,'87','87','2021-03-24 18:30:45','2021-03-24 18:30:45',null);
INSERT INTO complaint_statuses VALUES('16583','4977','3',null,'77',null,'25-MARCH 2021
COMPLAINT FF RIZWAN TESLA','74','74','2021-03-25 11:34:06','2021-03-25 11:34:06',null);
INSERT INTO complaint_statuses VALUES('16584','4890','7','12','81','compliant resolved ,gear box change',null,'79','79','2021-03-25 12:18:22','2021-03-25 12:18:22',null);
INSERT INTO complaint_statuses VALUES('16585','4940','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-25 12:45:55','2021-03-25 12:45:55',null);
INSERT INTO complaint_statuses VALUES('16586','4978','2',null,'81',null,'25-MAR-2021
COMPLAINT FF B.COOL','74','92','2021-03-25 13:13:22','2021-03-27 12:31:29',null);
INSERT INTO complaint_statuses VALUES('16587','4978','4',null,'58',null,null,'81','81','2021-03-25 13:13:58','2021-03-25 13:13:58',null);
INSERT INTO complaint_statuses VALUES('16588','4979','2',null,'81',null,'25-MAY-2021
FF TO AZHAR FCI','74','74','2021-03-25 13:35:45','2021-03-25 13:35:45',null);
INSERT INTO complaint_statuses VALUES('16589','4979','4',null,'60',null,null,'81','81','2021-03-25 13:36:27','2021-03-25 13:36:27',null);
INSERT INTO complaint_statuses VALUES('16590','4980','3',null,'53',null,'25-MAR-2021
COMPLAINT#301102329','74','74','2021-03-25 14:12:14','2021-03-25 14:12:14',null);
INSERT INTO complaint_statuses VALUES('16591','4981','3',null,'52',null,'25-MAR-2021
COMPLAINT#PKRI-210325107752','74','92','2021-03-25 14:16:21','2021-04-08 10:25:58',null);
INSERT INTO complaint_statuses VALUES('16592','4982','3',null,'74',null,'25-MAR-2020
COMPLAINT#327','74','92','2021-03-25 14:23:16','2021-06-06 13:39:46',null);
INSERT INTO complaint_statuses VALUES('16593','4983','2',null,'81',null,'25-MAR-2021
FF TO B.COOL','74','74','2021-03-25 14:36:39','2021-03-25 14:36:39',null);
INSERT INTO complaint_statuses VALUES('16594','4983','4',null,'58',null,null,'81','81','2021-03-25 14:37:39','2021-03-25 14:37:39',null);
INSERT INTO complaint_statuses VALUES('16595','4903','7','12','81','compressor change ,unit deilvered',null,'79','79','2021-03-25 14:38:17','2021-03-25 14:38:17',null);
INSERT INTO complaint_statuses VALUES('16596','4984','3',null,'54',null,'25-MAR-2021
COMPLAINT#1837518','74','74','2021-03-25 14:46:35','2021-03-25 14:46:35',null);
INSERT INTO complaint_statuses VALUES('16597','4923','7','26','81','Ar2 ki complaint hai plz Frwd to Khurram f-star',null,'87','87','2021-03-25 14:53:55','2021-03-25 14:53:55',null);
INSERT INTO complaint_statuses VALUES('16598','4985','2',null,'81',null,'25-MAR-2021
FF TO KHURRAM 5 STAR','74','74','2021-03-25 15:00:00','2021-03-25 15:00:00',null);
INSERT INTO complaint_statuses VALUES('16599','4985','4',null,'63',null,null,'81','81','2021-03-25 15:01:56','2021-03-25 15:01:56',null);
INSERT INTO complaint_statuses VALUES('16600','4986','2',null,'81',null,'25-MAR-2021
COMPLAINT FF KHURRAM 5 STAR','74','92','2021-03-25 15:42:53','2021-04-04 15:13:12',null);
INSERT INTO complaint_statuses VALUES('16601','4986','4',null,'63',null,null,'81','81','2021-03-25 15:47:04','2021-03-25 15:47:04',null);
INSERT INTO complaint_statuses VALUES('16602','4986','4',null,'63',null,null,'81','81','2021-03-25 15:47:13','2021-03-25 15:47:13',null);
INSERT INTO complaint_statuses VALUES('16603','4986','4',null,'63',null,null,'81','81','2021-03-25 15:47:17','2021-03-25 15:47:17',null);
INSERT INTO complaint_statuses VALUES('16604','4986','4',null,'63',null,null,'81','81','2021-03-25 15:47:18','2021-03-25 15:47:18',null);
INSERT INTO complaint_statuses VALUES('16605','4986','4',null,'63',null,null,'81','81','2021-03-25 15:47:20','2021-03-25 15:47:20',null);
INSERT INTO complaint_statuses VALUES('16606','4986','4',null,'63',null,null,'81','81','2021-03-25 15:47:20','2021-03-25 15:47:20',null);
INSERT INTO complaint_statuses VALUES('16607','4986','4',null,'63',null,null,'81','81','2021-03-25 15:47:23','2021-03-25 15:47:23',null);
INSERT INTO complaint_statuses VALUES('16608','4892','7','12','81','Issue resolved',null,'87','87','2021-03-25 16:58:26','2021-03-25 16:58:26',null);
INSERT INTO complaint_statuses VALUES('16609','4987','3',null,'52',null,'25-MAR-2021
COMPLAINT#PKRI-210325111545','74','74','2021-03-25 17:26:55','2021-03-25 17:26:55',null);
INSERT INTO complaint_statuses VALUES('16610','4988','3',null,'53',null,'25-MAR-2021
COMPLAINT#1102709','74','74','2021-03-25 17:30:22','2021-03-26 13:21:57',null);
INSERT INTO complaint_statuses VALUES('16611','4975','7','12','81','complaint resolved,no issue',null,'79','79','2021-03-25 17:36:05','2021-03-25 17:36:05',null);
INSERT INTO complaint_statuses VALUES('16612','4989','3',null,'73',null,'25-MAR-2021
COMPLAINT#4301','74','92','2021-03-25 17:41:20','2021-03-29 12:17:14',null);
INSERT INTO complaint_statuses VALUES('16613','4990','3',null,'66',null,'25-MAR-2021
COMPLAINT#PK032620210053
MAQSOOD SB 03009599821','74','74','2021-03-25 17:45:23','2021-03-26 13:29:37',null);
INSERT INTO complaint_statuses VALUES('16614','4991','3',null,'52',null,'25-MAR-2021
COMPLAINT#PKRI-210325112005','74','74','2021-03-25 17:52:42','2021-03-25 17:52:42',null);
INSERT INTO complaint_statuses VALUES('16615','4526','7','24','81','set in S/C',null,'80','80','2021-03-26 11:28:15','2021-03-26 11:28:15',null);
INSERT INTO complaint_statuses VALUES('16616','4968','7','24','81','custmoer sau bat ho gae hy aj visit ho jae ga',null,'80','80','2021-03-26 11:31:20','2021-03-26 11:31:20',null);
INSERT INTO complaint_statuses VALUES('16617','4955','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-26 11:56:09','2021-03-26 11:56:09',null);
INSERT INTO complaint_statuses VALUES('16618','4953','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-26 12:00:08','2021-03-26 12:00:08',null);
INSERT INTO complaint_statuses VALUES('16619','4952','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-26 12:04:00','2021-03-26 12:04:00',null);
INSERT INTO complaint_statuses VALUES('16620','4992','2',null,'81',null,'26 MAR 2021
FF TO SHAMIM AKHTER','74','74','2021-03-26 12:10:59','2021-03-26 12:10:59',null);
INSERT INTO complaint_statuses VALUES('16621','4992','4',null,'55',null,null,'81','81','2021-03-26 12:11:42','2021-03-26 12:11:42',null);
INSERT INTO complaint_statuses VALUES('16622','4949','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-26 12:16:46','2021-03-26 12:16:46',null);
INSERT INTO complaint_statuses VALUES('16623','4909','7','26','81','issue solved on phone.',null,'76','76','2021-03-26 12:17:46','2021-03-26 12:17:46',null);
INSERT INTO complaint_statuses VALUES('16624','4993','3',null,'73',null,'26-MAR-2021
COMPLAINT#4311','74','74','2021-03-26 12:22:46','2021-03-26 12:22:46',null);
INSERT INTO complaint_statuses VALUES('16625','4975','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-26 12:24:15','2021-03-26 13:34:03',null);
INSERT INTO complaint_statuses VALUES('16626','4968','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-03-26 12:26:55','2021-03-26 12:26:55',null);
INSERT INTO complaint_statuses VALUES('16627','4970','7','12','81','Drain Pipe Adjustment.',null,'76','76','2021-03-26 12:36:02','2021-03-26 12:36:02',null);
INSERT INTO complaint_statuses VALUES('16628','4950','7','24','81','Main PCB repairing Require, total Repairing Expense is 6500/-',null,'76','76','2021-03-26 12:39:57','2021-03-26 12:39:57',null);
INSERT INTO complaint_statuses VALUES('16629','4994','2',null,'81',null,'26-MAR-2021
FF TO B.COOL','74','74','2021-03-26 12:58:41','2021-03-26 12:58:41',null);
INSERT INTO complaint_statuses VALUES('16630','4994','4',null,'58',null,null,'81','81','2021-03-26 12:59:10','2021-03-26 12:59:10',null);
INSERT INTO complaint_statuses VALUES('16631','4995','3',null,'52',null,'26-MAR-2021
COMPLAINT#PKRI-210326105659','74','74','2021-03-26 13:08:42','2021-03-26 13:08:42',null);
INSERT INTO complaint_statuses VALUES('16632','4941','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-26 13:10:18','2021-03-26 13:10:18',null);
INSERT INTO complaint_statuses VALUES('16633','4890','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-26 13:13:14','2021-03-26 13:34:58',null);
INSERT INTO complaint_statuses VALUES('16634','4996','3',null,'73',null,'26-MAR-2021
COMPLAINT#4314','74','74','2021-03-26 13:24:04','2021-03-30 11:52:37',null);
INSERT INTO complaint_statuses VALUES('16635','4970','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-26 13:32:14','2021-03-26 13:34:32',null);
INSERT INTO complaint_statuses VALUES('16636','4903','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-26 13:36:02','2021-03-26 13:36:56',null);
INSERT INTO complaint_statuses VALUES('16637','4977','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-26 14:46:18','2021-03-26 14:46:18',null);
INSERT INTO complaint_statuses VALUES('16638','4936','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-26 14:51:57','2021-03-26 14:51:57',null);
INSERT INTO complaint_statuses VALUES('16639','4935','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-26 14:55:39','2021-03-26 14:55:39',null);
INSERT INTO complaint_statuses VALUES('16640','4997','3',null,'55',null,'26-MAR-2021
FF TO NAEEM KENWOOD','74','74','2021-03-26 15:04:19','2021-03-26 15:04:19',null);
INSERT INTO complaint_statuses VALUES('16641','4931','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-26 15:33:41','2021-03-26 15:33:41',null);
INSERT INTO complaint_statuses VALUES('16642','4930','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-26 15:35:47','2021-03-26 15:35:47',null);
INSERT INTO complaint_statuses VALUES('16643','4892','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-26 15:40:25','2021-03-26 15:41:56',null);
INSERT INTO complaint_statuses VALUES('16644','4964','7','24','81','Under Repair in SVC',null,'76','76','2021-03-26 15:42:07','2021-03-26 15:42:07',null);
INSERT INTO complaint_statuses VALUES('16645','4913','7','22','81','Only PCB In SVC.',null,'76','76','2021-03-26 15:42:44','2021-03-26 15:42:44',null);
INSERT INTO complaint_statuses VALUES('16646','4855','7','26','81','As inform to th salesman please drop it to workshop.',null,'76','76','2021-03-26 15:43:41','2021-03-26 15:43:41',null);
INSERT INTO complaint_statuses VALUES('16647','4196','7','24','81','warranty Documents are not complete for further process.',null,'76','76','2021-03-26 15:44:37','2021-03-26 15:44:37',null);
INSERT INTO complaint_statuses VALUES('16648','4998','3',null,'52',null,'26-MAR-2021
COMPLAINT#PKRI-210326102669','74','74','2021-03-26 15:48:02','2021-03-26 15:49:04',null);
INSERT INTO complaint_statuses VALUES('16649','4523','7','12','81','heat gun Repaired.',null,'76','76','2021-03-26 15:48:29','2021-03-26 15:48:29',null);
INSERT INTO complaint_statuses VALUES('16650','4889','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-26 15:50:49','2021-03-26 15:50:49',null);
INSERT INTO complaint_statuses VALUES('16651','4922','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-26 15:53:11','2021-03-26 15:53:11',null);
INSERT INTO complaint_statuses VALUES('16652','4999','3',null,'73',null,'26-MAR-2021
COMPLAINT#4313','74','74','2021-03-26 16:03:11','2021-03-26 16:03:11',null);
INSERT INTO complaint_statuses VALUES('16653','4929','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-26 16:21:10','2021-03-26 16:21:10',null);
INSERT INTO complaint_statuses VALUES('16654','4920','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-26 16:29:00','2021-03-26 16:29:00',null);
INSERT INTO complaint_statuses VALUES('16655','5000','3',null,'65',null,'26-MAR-2021
COMPLAINT#192121383
NEW COMPLAINT#192121407','74','74','2021-03-26 16:30:53','2021-03-29 11:22:42',null);
INSERT INTO complaint_statuses VALUES('16656','4916','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-26 16:32:31','2021-03-26 16:32:31',null);
INSERT INTO complaint_statuses VALUES('16657','4919','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-26 16:36:42','2021-03-26 16:36:42',null);
INSERT INTO complaint_statuses VALUES('16658','4819','7','12','81','WARRANTY MAIN SAFETY VALUE LAGA K DIA HAIN .
LABOUR CHARGES 1000 CUSTOMER NA PAY KIYA 
COMPLAINT RESOLVED',null,'88','88','2021-03-26 16:38:05','2021-03-26 16:38:05',null);
INSERT INTO complaint_statuses VALUES('16659','4523','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-26 16:39:33','2021-03-26 16:42:19',null);
INSERT INTO complaint_statuses VALUES('16660','4526','8','23','59','KAMRAN SAB SA CONTACT KARAY K S/C MOVE KARWAY',null,'81','81','2021-03-26 16:40:47','2021-03-26 16:40:47',null);
INSERT INTO complaint_statuses VALUES('16661','4919','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-26 16:41:33','2021-03-26 16:41:57',null);
INSERT INTO complaint_statuses VALUES('16662','5001','3',null,'53',null,'26-MAR-2021
COMPLAINT#301102926','74','74','2021-03-26 16:50:09','2021-03-26 16:50:09',null);
INSERT INTO complaint_statuses VALUES('16663','5002','3',null,'53',null,'26-MAR-2021
COMPLAINT#301102929','74','74','2021-03-26 16:54:43','2021-03-26 16:54:43',null);
INSERT INTO complaint_statuses VALUES('16664','4786','5',null,null,'COMPLAINT CLOSED','GAIN ISSUE AGAY HAIN S/C MAIN REMINDER & VIDEO SHER KAR DI','74','74','2021-03-26 17:04:57','2021-04-01 14:55:18',null);
INSERT INTO complaint_statuses VALUES('16665','4819','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-26 17:05:51','2021-03-26 17:07:37',null);
INSERT INTO complaint_statuses VALUES('16666','4855','8','23','55','INFORMED KAR DAI HAIN MONDAY KO MOVE KARWA DAY GAY',null,'81','81','2021-03-26 17:06:36','2021-03-26 17:06:36',null);
INSERT INTO complaint_statuses VALUES('16667','5003','2',null,'81',null,'26-MAR-2021
FF TO AZHAR FCI','74','74','2021-03-26 17:22:16','2021-03-26 17:22:16',null);
INSERT INTO complaint_statuses VALUES('16668','5003','4',null,'60',null,null,'81','81','2021-03-26 17:23:01','2021-03-26 17:23:01',null);
INSERT INTO complaint_statuses VALUES('16669','4944','7','12','81','Water Level Sensor Replaced and Inlet Valve Service.',null,'76','76','2021-03-26 18:10:44','2021-03-26 18:10:44',null);
INSERT INTO complaint_statuses VALUES('16670','5004','3',null,'54',null,'27-MAR-2021
COM  NO 1838274','92','92','2021-03-27 11:24:50','2021-03-27 11:29:20',null);
INSERT INTO complaint_statuses VALUES('16671','5005','3',null,'52',null,'27-MAR-2021
COM NO PKRI-210327104140','92','92','2021-03-27 11:53:35','2021-03-27 11:53:35',null);
INSERT INTO complaint_statuses VALUES('16672','4971','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-27 11:56:57','2021-03-27 11:56:57',null);
INSERT INTO complaint_statuses VALUES('16673','4966','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-27 12:08:39','2021-03-27 12:08:39',null);
INSERT INTO complaint_statuses VALUES('16674','4962','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-27 12:12:31','2021-03-27 12:12:31',null);
INSERT INTO complaint_statuses VALUES('16675','4961','5',null,null,'COMPLAINT  CLOSED',null,'74','74','2021-03-27 12:15:09','2021-03-27 12:15:09',null);
INSERT INTO complaint_statuses VALUES('16676','4959','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-27 12:26:14','2021-03-27 12:26:14',null);
INSERT INTO complaint_statuses VALUES('16677','4957','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-27 12:29:14','2021-03-27 12:29:14',null);
INSERT INTO complaint_statuses VALUES('16678','4948','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-27 12:32:53','2021-03-27 12:32:53',null);
INSERT INTO complaint_statuses VALUES('16679','5006','2',null,'81',null,'27-MAR-2021
COM FF TO USMAN SIR','92','92','2021-03-27 12:46:42','2021-03-27 12:46:42',null);
INSERT INTO complaint_statuses VALUES('16680','5006','4',null,'61',null,null,'81','81','2021-03-27 12:48:07','2021-03-27 12:48:07',null);
INSERT INTO complaint_statuses VALUES('16681','4785','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-27 12:53:54','2021-03-27 12:53:54',null);
INSERT INTO complaint_statuses VALUES('16682','4729','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-27 13:12:37','2021-03-27 13:12:37',null);
INSERT INTO complaint_statuses VALUES('16683','5007','2',null,'81',null,'28-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-28 10:50:26','2021-03-28 10:50:26',null);
INSERT INTO complaint_statuses VALUES('16684','4411','7','12','81','customer sy kai br rabta kia .time dy kr call attend nahi kerty',null,'79','79','2021-03-28 10:54:05','2021-03-28 10:54:05',null);
INSERT INTO complaint_statuses VALUES('16685','4983','7','12','81','customer abhi agree nahi repair kerny mein ,ocb ka issue hai',null,'79','79','2021-03-28 10:57:34','2021-03-28 10:57:34',null);
INSERT INTO complaint_statuses VALUES('16686','5008','3',null,'54',null,'28-MAR-2021
COM NO 1838703','92','92','2021-03-28 11:29:36','2021-03-28 11:32:17',null);
INSERT INTO complaint_statuses VALUES('16687','4978','7','24','81','refer to servic center washing machine kuch din ly kr aye gain',null,'79','79','2021-03-28 11:30:21','2021-03-28 11:30:21',null);
INSERT INTO complaint_statuses VALUES('16688','5009','2',null,'81',null,'28-MAR-2021
COM FF BEST COOL','92','92','2021-03-28 11:52:30','2021-03-28 11:52:30',null);
INSERT INTO complaint_statuses VALUES('16689','5009','4',null,'58',null,null,'81','81','2021-03-28 11:53:26','2021-03-28 11:53:26',null);
INSERT INTO complaint_statuses VALUES('16690','5007','4',null,'58',null,null,'81','81','2021-03-28 11:53:36','2021-03-28 11:53:36',null);
INSERT INTO complaint_statuses VALUES('16691','4979','7','10','81',null,null,'82','82','2021-03-28 11:53:49','2021-03-28 11:53:49',null);
INSERT INTO complaint_statuses VALUES('16692','4983','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-03-28 11:58:14','2021-03-29 11:51:46',null);
INSERT INTO complaint_statuses VALUES('16693','4979','5','15',null,'CUSTOMER NOT ATTEND CALL','COMPLAINT RESOLVED','81','92','2021-03-28 12:00:35','2021-03-28 14:58:57',null);
INSERT INTO complaint_statuses VALUES('16694','4944','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-03-28 12:02:04','2021-03-28 14:57:23',null);
INSERT INTO complaint_statuses VALUES('16695','4923','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-03-28 12:09:24','2021-03-28 14:57:51',null);
INSERT INTO complaint_statuses VALUES('16696','5010','3',null,'52',null,'28-MAR-2021
COM NO PKRI-210328102955','92','92','2021-03-28 12:21:07','2021-04-04 12:59:12',null);
INSERT INTO complaint_statuses VALUES('16697','5011','3',null,'53',null,'28-MAR-2021
COM NO 1103337','92','92','2021-03-28 12:47:21','2021-03-30 10:49:09',null);
INSERT INTO complaint_statuses VALUES('16698','5012','2',null,'81',null,'28-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-28 13:21:01','2021-03-28 13:21:01',null);
INSERT INTO complaint_statuses VALUES('16699','4917','7','12','81','complaint resolved,water level sensor issue',null,'79','79','2021-03-28 13:28:02','2021-03-28 13:28:02',null);
INSERT INTO complaint_statuses VALUES('16700','5013','3',null,'52',null,'28-MAR-2021
COM NO PKRI-210328106883','92','92','2021-03-28 13:31:35','2021-03-28 17:24:20',null);
INSERT INTO complaint_statuses VALUES('16701','5014','3',null,'65',null,'28-MAR-2021
COM NO 192121401','92','92','2021-03-28 13:48:04','2021-03-28 13:53:07',null);
INSERT INTO complaint_statuses VALUES('16702','5015','3',null,'52',null,'28-MAR-2021
COM NO PKRI-210328105316','92','92','2021-03-28 13:55:52','2021-03-28 17:20:20',null);
INSERT INTO complaint_statuses VALUES('16703','5016','3',null,'65',null,'28-MAR-2021
COM NO 192121402','92','92','2021-03-28 14:19:44','2021-03-28 14:19:44',null);
INSERT INTO complaint_statuses VALUES('16704','5017','2',null,'81',null,'28-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-28 14:50:02','2021-03-28 14:50:02',null);
INSERT INTO complaint_statuses VALUES('16705','5017','4',null,'58',null,null,'81','81','2021-03-28 14:56:30','2021-03-28 14:56:30',null);
INSERT INTO complaint_statuses VALUES('16706','5012','4',null,'58',null,null,'81','81','2021-03-28 14:56:41','2021-03-28 14:56:41',null);
INSERT INTO complaint_statuses VALUES('16707','5018','3',null,'65',null,'28-MAR-2021
COM NO 192121403
REOPEN COMPLAINT  NO 192121621','92','92','2021-03-28 15:45:00','2021-04-12 14:17:05',null);
INSERT INTO complaint_statuses VALUES('16708','5019','3',null,'53',null,'28-MAR-2021
COM NO 301102334','92','92','2021-03-28 16:02:32','2021-03-28 17:17:28',null);
INSERT INTO complaint_statuses VALUES('16709','5020','2',null,'81',null,'28-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-28 16:08:03','2021-03-28 16:08:03',null);
INSERT INTO complaint_statuses VALUES('16710','5020','4',null,'58',null,null,'81','81','2021-03-28 17:28:45','2021-03-28 17:28:45',null);
INSERT INTO complaint_statuses VALUES('16711','4834','7','12','81','Frezer custmer ky ghar phonch gea hy okay ho ky',null,'82','82','2021-03-29 10:37:12','2021-03-29 10:37:12',null);
INSERT INTO complaint_statuses VALUES('16712','4937','7','12','81','Frezer custmer ky ghar phonch gea okay ho ky',null,'82','82','2021-03-29 10:40:10','2021-03-29 10:40:10',null);
INSERT INTO complaint_statuses VALUES('16713','5003','7','24','81','Compreser issue hy',null,'82','82','2021-03-29 10:40:41','2021-03-29 10:40:41',null);
INSERT INTO complaint_statuses VALUES('16714','5022','2',null,'81',null,'29-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-29 10:47:06','2021-03-29 10:47:06',null);
INSERT INTO complaint_statuses VALUES('16715','5023','2',null,'81',null,'29-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-29 11:19:05','2021-03-29 11:19:05',null);
INSERT INTO complaint_statuses VALUES('16716','5024','3',null,'52',null,'29-MAR-2021
COM NO PKRI-210329102656','92','92','2021-03-29 11:25:19','2021-03-29 11:31:51',null);
INSERT INTO complaint_statuses VALUES('16717','4999','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-29 11:26:52','2021-03-29 11:26:52',null);
INSERT INTO complaint_statuses VALUES('16718','4968','7','12','81','vist + software set ok 
RS 2000',null,'80','80','2021-03-29 11:27:00','2021-03-29 11:27:00',null);
INSERT INTO complaint_statuses VALUES('16719','4411','8','23','58','CUSTOMER SA ABI BAT HOI HAIN VISIT K LIYA W8 KAR RA HAY HAIN .
CUSTOMER KO S/C K NO B PROVIDE KAR DIA',null,'81','81','2021-03-29 11:34:57','2021-03-29 11:34:57',null);
INSERT INTO complaint_statuses VALUES('16720','4968','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-03-29 11:36:41','2021-03-29 11:52:12',null);
INSERT INTO complaint_statuses VALUES('16721','5025','2',null,'81',null,'29-MAR-2021
COM NO 1839228','92','92','2021-03-29 11:40:26','2021-03-29 11:40:41',null);
INSERT INTO complaint_statuses VALUES('16722','5025','4',null,'64',null,null,'81','81','2021-03-29 11:42:20','2021-03-29 11:42:20',null);
INSERT INTO complaint_statuses VALUES('16723','5023','4',null,'63',null,null,'81','81','2021-03-29 11:42:28','2021-03-29 11:42:28',null);
INSERT INTO complaint_statuses VALUES('16724','5022','4',null,'63',null,null,'81','81','2021-03-29 11:42:38','2021-03-29 11:42:38',null);
INSERT INTO complaint_statuses VALUES('16725','4997','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-29 11:47:26','2021-03-29 11:47:26',null);
INSERT INTO complaint_statuses VALUES('16726','4995','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-29 11:51:08','2021-03-29 11:51:08',null);
INSERT INTO complaint_statuses VALUES('16727','5026','2',null,'81',null,'29-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-29 11:57:09','2021-03-29 11:57:09',null);
INSERT INTO complaint_statuses VALUES('16728','5027','2',null,'81',null,'29-MAR-2021
COM NO RWP-19072','92','92','2021-03-29 12:02:46','2021-03-29 17:16:28',null);
INSERT INTO complaint_statuses VALUES('16729','4991','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-29 12:07:13','2021-03-29 12:07:13',null);
INSERT INTO complaint_statuses VALUES('16730','4990','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-03-29 12:11:06','2021-03-29 12:11:06',null);
INSERT INTO complaint_statuses VALUES('16731','5028','3',null,'52',null,'29-MAR-2021
COM NO PKRI-210329103395','92','92','2021-03-29 12:12:02','2021-03-29 12:12:02',null);
INSERT INTO complaint_statuses VALUES('16732','5029','3',null,'65',null,'29-MAR-2021
COM NO 192121425','92','92','2021-03-29 12:22:51','2021-03-30 10:35:34',null);
INSERT INTO complaint_statuses VALUES('16733','4987','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-29 12:29:48','2021-03-29 12:29:48',null);
INSERT INTO complaint_statuses VALUES('16734','5030','2',null,'81',null,'29-MAR-2021
COM FF TO USMAN SIR','92','92','2021-03-29 12:31:51','2021-03-29 12:31:51',null);
INSERT INTO complaint_statuses VALUES('16735','5026','4',null,'63',null,null,'81','81','2021-03-29 12:32:42','2021-03-29 12:32:42',null);
INSERT INTO complaint_statuses VALUES('16736','5030','4',null,'61',null,null,'81','81','2021-03-29 12:32:52','2021-03-29 12:32:52',null);
INSERT INTO complaint_statuses VALUES('16737','4984','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-29 12:34:52','2021-03-29 12:34:52',null);
INSERT INTO complaint_statuses VALUES('16738','4981','5',null,null,'COMPLAINT CLOSED',null,'74','92','2021-03-29 12:42:16','2021-04-08 10:25:49',null);
INSERT INTO complaint_statuses VALUES('16739','5031','3',null,'57',null,'29-MAR-2021
COM NO 17365','92','92','2021-03-29 12:45:22','2021-03-29 13:37:00',null);
INSERT INTO complaint_statuses VALUES('16740','5032','3',null,'52',null,'29-MAR-2021
COM NO PKRI-210329104162','92','92','2021-03-29 12:55:16','2021-03-29 12:57:08',null);
INSERT INTO complaint_statuses VALUES('16741','4943','7','12','81','complanit resolved service ki hai',null,'79','79','2021-03-29 13:02:09','2021-03-29 13:02:09',null);
INSERT INTO complaint_statuses VALUES('16742','4976','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-29 13:03:55','2021-03-29 13:03:55',null);
INSERT INTO complaint_statuses VALUES('16743','5033','3',null,'52',null,'29-MAR-2021
COM NO PKRI-210329106796','92','92','2021-03-29 13:10:16','2021-03-29 15:34:55',null);
INSERT INTO complaint_statuses VALUES('16744','5034','3',null,'52',null,'29-MAR-2021
COM NO PKRI-210329106852','92','92','2021-03-29 13:15:38','2021-03-29 15:38:13',null);
INSERT INTO complaint_statuses VALUES('16745','4834','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-29 13:17:05','2021-03-29 13:40:23',null);
INSERT INTO complaint_statuses VALUES('16746','5035','2',null,'81',null,'29-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-29 13:41:45','2021-03-29 13:41:45',null);
INSERT INTO complaint_statuses VALUES('16747','4974','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-29 13:48:51','2021-03-29 13:48:51',null);
INSERT INTO complaint_statuses VALUES('16748','4937','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-29 13:51:59','2021-03-29 14:22:25',null);
INSERT INTO complaint_statuses VALUES('16749','5036','2',null,'81',null,'29-MAR-2021
COM FF TO USMAN SIR','92','92','2021-03-29 14:02:16','2021-03-29 14:02:16',null);
INSERT INTO complaint_statuses VALUES('16750','5036','4',null,'61',null,null,'81','81','2021-03-29 14:03:28','2021-03-29 14:03:28',null);
INSERT INTO complaint_statuses VALUES('16751','5035','4',null,'58',null,null,'81','81','2021-03-29 14:03:39','2021-03-29 14:03:39',null);
INSERT INTO complaint_statuses VALUES('16752','4798','7','12','81',null,null,'91','91','2021-03-29 14:10:46','2021-03-29 14:10:46',null);
INSERT INTO complaint_statuses VALUES('16753','4967','7','12','81',null,null,'91','91','2021-03-29 14:12:36','2021-03-29 14:12:36',null);
INSERT INTO complaint_statuses VALUES('16754','4927','7','12','81',null,null,'91','91','2021-03-29 14:13:11','2021-03-29 14:13:11',null);
INSERT INTO complaint_statuses VALUES('16755','4924','7','12','81',null,null,'91','91','2021-03-29 14:14:39','2021-03-29 14:14:39',null);
INSERT INTO complaint_statuses VALUES('16756','5037','3',null,'73',null,'29-MAR-2021
COM NO 4323','92','92','2021-03-29 14:15:35','2021-03-29 14:26:59',null);
INSERT INTO complaint_statuses VALUES('16757','5003','8','23','60',null,null,'81','81','2021-03-29 14:16:07','2021-03-29 14:16:07',null);
INSERT INTO complaint_statuses VALUES('16758','4967','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-29 14:16:17','2021-03-29 14:19:49',null);
INSERT INTO complaint_statuses VALUES('16759','4978','8','23','58',null,null,'81','81','2021-03-29 14:16:45','2021-03-29 14:16:45',null);
INSERT INTO complaint_statuses VALUES('16760','4927','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-29 14:16:46','2021-03-29 14:23:40',null);
INSERT INTO complaint_statuses VALUES('16761','4964','8','23','55',null,null,'81','81','2021-03-29 14:17:07','2021-03-29 14:17:07',null);
INSERT INTO complaint_statuses VALUES('16762','4950','8','23','55',null,null,'81','81','2021-03-29 14:17:41','2021-03-29 14:17:41',null);
INSERT INTO complaint_statuses VALUES('16763','4924','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-29 14:18:02','2021-03-29 14:24:02',null);
INSERT INTO complaint_statuses VALUES('16764','4933','8','23','62',null,null,'81','81','2021-03-29 14:18:29','2021-03-29 14:18:29',null);
INSERT INTO complaint_statuses VALUES('16765','4804','7','12','81',null,null,'91','91','2021-03-29 14:18:41','2021-03-29 14:18:41',null);
INSERT INTO complaint_statuses VALUES('16766','4798','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-29 14:19:11','2021-03-29 14:25:11',null);
INSERT INTO complaint_statuses VALUES('16767','4913','8','23','55',null,null,'81','81','2021-03-29 14:19:11','2021-03-29 14:19:11',null);
INSERT INTO complaint_statuses VALUES('16768','4730','7','12','81',null,null,'91','91','2021-03-29 14:19:50','2021-03-29 14:19:50',null);
INSERT INTO complaint_statuses VALUES('16769','4804','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-03-29 14:20:10','2021-03-29 14:24:31',null);
INSERT INTO complaint_statuses VALUES('16770','4730','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-29 14:29:18','2021-03-29 14:29:37',null);
INSERT INTO complaint_statuses VALUES('16771','5038','2',null,'81',null,'29-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-29 15:30:06','2021-03-29 15:30:06',null);
INSERT INTO complaint_statuses VALUES('16772','5038','4',null,'58',null,null,'81','81','2021-03-29 15:39:26','2021-03-29 15:39:26',null);
INSERT INTO complaint_statuses VALUES('16773','4943','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-29 16:17:28','2021-03-29 16:20:51',null);
INSERT INTO complaint_statuses VALUES('16774','4917','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-29 16:18:24','2021-03-29 16:21:19',null);
INSERT INTO complaint_statuses VALUES('16775','5039','3',null,'52',null,'29-MAR-2021
COM NO PKRI-210329107621','92','92','2021-03-29 16:29:33','2021-03-29 16:29:33',null);
INSERT INTO complaint_statuses VALUES('16776','5009','7','12','81','filter clean compliant resolved',null,'79','79','2021-03-29 16:31:35','2021-03-29 16:31:35',null);
INSERT INTO complaint_statuses VALUES('16777','5040','3',null,'55',null,'29-MAR-2021
COM FF TO NAEEM KENWOOD','92','92','2021-03-29 16:37:24','2021-03-30 14:42:36',null);
INSERT INTO complaint_statuses VALUES('16778','4885','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-29 16:47:15','2021-03-29 16:47:15',null);
INSERT INTO complaint_statuses VALUES('16779','5041','2',null,'81',null,'29-MAR-2021
COM FF TO USMAN SIR','92','92','2021-03-29 16:52:27','2021-03-29 16:52:27',null);
INSERT INTO complaint_statuses VALUES('16780','5042','3',null,'52',null,'29-MAR-2021
COM NO PKRI-210329108104','92','92','2021-03-29 16:59:43','2021-03-29 16:59:43',null);
INSERT INTO complaint_statuses VALUES('16781','5043','2',null,'81',null,'29-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-29 17:07:40','2021-03-29 17:07:40',null);
INSERT INTO complaint_statuses VALUES('16782','5043','4',null,'55',null,null,'81','81','2021-03-29 17:12:53','2021-03-29 17:12:53',null);
INSERT INTO complaint_statuses VALUES('16783','5043','4',null,'55',null,null,'81','81','2021-03-29 17:12:53','2021-03-29 17:12:53',null);
INSERT INTO complaint_statuses VALUES('16784','5041','4',null,'61',null,null,'81','81','2021-03-29 17:13:06','2021-03-29 17:13:06',null);
INSERT INTO complaint_statuses VALUES('16785','5027','4',null,'64',null,null,'81','81','2021-03-29 17:17:12','2021-03-29 17:17:12',null);
INSERT INTO complaint_statuses VALUES('16786','5044','3',null,'80',null,'29-MAR-2021
COM FF TO TAHIR SIEMENS','92','92','2021-03-29 17:32:18','2021-04-01 17:29:23',null);
INSERT INTO complaint_statuses VALUES('16787','5045','3',null,'65',null,'29-MAR-2021
COM NO 192121427','92','92','2021-03-29 17:46:46','2021-03-30 10:37:54',null);
INSERT INTO complaint_statuses VALUES('16788','4933','7','12','81','issue resolved gas + comp',null,'87','87','2021-03-29 18:51:43','2021-03-29 18:51:43',null);
INSERT INTO complaint_statuses VALUES('16789','5020','7','12','81','PCB ISSUR THA COMPLAINT RESOLVD',null,'79','79','2021-03-29 19:46:43','2021-03-29 19:46:43',null);
INSERT INTO complaint_statuses VALUES('16790','5006','7','12','81','Back light repair 
Unit deliver back to customer home 
Rs 5000 exp with pick& drop',null,'83','83','2021-03-29 22:20:30','2021-03-29 22:20:30',null);
INSERT INTO complaint_statuses VALUES('16791','5046','2',null,'81',null,'30-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-30 10:57:38','2021-03-30 10:57:38',null);
INSERT INTO complaint_statuses VALUES('16792','5047','3',null,'52',null,'30-MAR-2021
COM NO PKRI-210330104034','92','92','2021-03-30 11:24:23','2021-03-30 11:27:35',null);
INSERT INTO complaint_statuses VALUES('16793','5020','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-30 11:29:08','2021-03-30 11:39:10',null);
INSERT INTO complaint_statuses VALUES('16794','5009','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-30 11:30:58','2021-03-30 11:44:49',null);
INSERT INTO complaint_statuses VALUES('16795','5048','3',null,'59',null,'30-MAR-2021
COM NO 4244108180','92','92','2021-03-30 11:34:41','2021-03-30 11:38:02',null);
INSERT INTO complaint_statuses VALUES('16796','5005','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-30 11:37:06','2021-03-30 11:37:06',null);
INSERT INTO complaint_statuses VALUES('16797','5004','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-30 11:37:58','2021-03-30 11:37:58',null);
INSERT INTO complaint_statuses VALUES('16798','5021','2',null,'81',null,null,'92','92','2021-03-30 11:38:26','2021-03-30 11:38:26',null);
INSERT INTO complaint_statuses VALUES('16799','5046','4',null,'63',null,null,'81','81','2021-03-30 11:38:44','2021-03-30 11:38:44',null);
INSERT INTO complaint_statuses VALUES('16800','5021','4',null,'59',null,null,'81','81','2021-03-30 11:38:54','2021-03-30 11:38:54',null);
INSERT INTO complaint_statuses VALUES('16801','5002','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-30 11:40:35','2021-03-30 11:40:35',null);
INSERT INTO complaint_statuses VALUES('16802','5001','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-30 11:42:39','2021-03-30 11:42:39',null);
INSERT INTO complaint_statuses VALUES('16803','5006','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-30 11:44:12','2021-03-30 11:45:24',null);
INSERT INTO complaint_statuses VALUES('16804','5049','3',null,'52',null,'30-MAR-2021
COM NO PKRI-210330105003','92','92','2021-03-30 11:59:45','2021-03-30 11:59:45',null);
INSERT INTO complaint_statuses VALUES('16805','4933','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-30 12:03:54','2021-03-30 12:08:28',null);
INSERT INTO complaint_statuses VALUES('16806','4993','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-30 12:08:02','2021-03-30 12:08:02',null);
INSERT INTO complaint_statuses VALUES('16807','4864','7','12','81','Problem Has been Solved.',null,'76','76','2021-03-30 12:15:47','2021-03-30 12:15:47',null);
INSERT INTO complaint_statuses VALUES('16808','4942','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-30 12:16:20','2021-03-30 12:16:20',null);
INSERT INTO complaint_statuses VALUES('16809','4479','7','12','81','Service.',null,'76','76','2021-03-30 12:16:35','2021-03-30 12:16:35',null);
INSERT INTO complaint_statuses VALUES('16810','4909','5','15',null,'WHEEL RABAR STOCK MAIN AVAIL NAI HAIN CUSTOMER KI LG S/C WALO SA BAT HOI HAIN K WO ABI KALEEN K PICE LAGA K USE KAR LAY GAY','COMPLAINT RESOLVED','81','74','2021-03-30 12:20:10','2021-03-30 12:38:59',null);
INSERT INTO complaint_statuses VALUES('16811','5003','7','12','81','Custmer ky ghar chla gea hy okay ho ky i10sy',null,'82','82','2021-03-30 12:34:00','2021-03-30 12:34:00',null);
INSERT INTO complaint_statuses VALUES('16812','4950','7','22','81','Please confirm about charges who will pay??',null,'76','76','2021-03-30 12:37:01','2021-03-30 12:37:01',null);
INSERT INTO complaint_statuses VALUES('16813','5050','2',null,'81',null,'30-MAR-2021
COM FF TO USMAN SIR','92','92','2021-03-30 12:54:55','2021-03-30 12:54:55',null);
INSERT INTO complaint_statuses VALUES('16814','5050','4',null,'61',null,null,'81','81','2021-03-30 12:55:55','2021-03-30 12:55:55',null);
INSERT INTO complaint_statuses VALUES('16815','5050','4',null,'61',null,null,'81','81','2021-03-30 12:55:55','2021-03-30 12:55:55',null);
INSERT INTO complaint_statuses VALUES('16816','4972','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-30 12:55:59','2021-03-30 12:55:59',null);
INSERT INTO complaint_statuses VALUES('16817','4972','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-30 12:56:56','2021-03-30 12:57:51',null);
INSERT INTO complaint_statuses VALUES('16818','4969','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-30 13:03:17','2021-03-30 13:03:17',null);
INSERT INTO complaint_statuses VALUES('16819','4969','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-30 13:04:07','2021-03-30 13:09:48',null);
INSERT INTO complaint_statuses VALUES('16820','4950','8','23','55','DISCOUNT PLZ',null,'81','81','2021-03-30 13:14:30','2021-03-30 13:14:30',null);
INSERT INTO complaint_statuses VALUES('16821','5051','2',null,'81',null,'30-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-30 13:23:16','2021-03-30 13:23:16',null);
INSERT INTO complaint_statuses VALUES('16822','5051','4',null,'58',null,null,'81','81','2021-03-30 13:26:35','2021-03-30 13:26:35',null);
INSERT INTO complaint_statuses VALUES('16823','4901','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-30 13:28:37','2021-03-30 13:28:37',null);
INSERT INTO complaint_statuses VALUES('16824','4901','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-30 13:29:41','2021-03-30 13:31:08',null);
INSERT INTO complaint_statuses VALUES('16825','5048','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-30 13:30:04','2021-03-30 13:30:04',null);
INSERT INTO complaint_statuses VALUES('16826','4947','5',null,null,'COMPLAINT CLOSED','COM NO 1916433','74','92','2021-03-30 13:35:54','2021-06-27 15:20:17',null);
INSERT INTO complaint_statuses VALUES('16827','5055','3',null,'52',null,'30-MAR-2021
COM NO PKRI-210330110435','92','92','2021-03-30 13:38:28','2021-03-30 15:13:50',null);
INSERT INTO complaint_statuses VALUES('16828','4820','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-30 13:49:00','2021-03-30 13:49:00',null);
INSERT INTO complaint_statuses VALUES('16829','5056','3',null,'52',null,'30-MAR-2021
COM NO PKRI-210330110593','92','92','2021-03-30 13:52:34','2021-03-30 15:16:16',null);
INSERT INTO complaint_statuses VALUES('16830','5057','3',null,'73',null,'30-MAR-2021
COM NO 4331','92','92','2021-03-30 14:00:04','2021-04-15 14:57:10',null);
INSERT INTO complaint_statuses VALUES('16831','5058','3',null,'73',null,'30-MAR-2021
COM NO 4332','92','92','2021-03-30 14:07:13','2021-03-30 14:09:44',null);
INSERT INTO complaint_statuses VALUES('16832','4772','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-30 14:11:11','2021-03-30 14:11:11',null);
INSERT INTO complaint_statuses VALUES('16833','4137','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-03-30 14:16:49','2021-03-30 14:16:49',null);
INSERT INTO complaint_statuses VALUES('16834','5059','2',null,'81',null,'30-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-30 14:17:08','2021-03-30 14:17:08',null);
INSERT INTO complaint_statuses VALUES('16835','4390','7','12','81','3RD GEYSER KA TANK REPLACE COMPLAINT RESOLVED',null,'88','88','2021-03-30 14:28:18','2021-03-30 14:28:18',null);
INSERT INTO complaint_statuses VALUES('16836','4390','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-03-30 14:28:47','2021-03-30 14:29:17',null);
INSERT INTO complaint_statuses VALUES('16837','4686','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-03-30 14:49:18','2021-03-30 14:49:18',null);
INSERT INTO complaint_statuses VALUES('16838','5061','3',null,'73',null,'30-MAR-2021
COM NO 4334','92','92','2021-03-30 14:59:29','2021-03-30 15:19:31',null);
INSERT INTO complaint_statuses VALUES('16839','4686','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-03-30 15:04:35','2021-03-30 15:05:11',null);
INSERT INTO complaint_statuses VALUES('16840','5062','2',null,'81',null,'30-MAR-2021
COM FF TO AZHAR FCI','92','92','2021-03-30 15:07:16','2021-03-30 15:07:16',null);
INSERT INTO complaint_statuses VALUES('16841','5062','4',null,'60',null,null,'81','81','2021-03-30 15:09:28','2021-03-30 15:09:28',null);
INSERT INTO complaint_statuses VALUES('16842','5059','4',null,'58',null,null,'81','81','2021-03-30 15:09:42','2021-03-30 15:09:42',null);
INSERT INTO complaint_statuses VALUES('16843','4479','5','15',null,'COMPLAINT RESOLVED 
CUSTOMER STILL CALL ATTEND NAI KARA RAHAY S/C SA CONFORM KAR K COMPLAINT CLOSED KI','COMPLAINT RESOLVED','81','74','2021-03-30 15:09:55','2021-03-30 15:11:36',null);
INSERT INTO complaint_statuses VALUES('16844','5052','2',null,'81',null,null,'92','92','2021-03-30 15:28:00','2021-03-30 15:28:00',null);
INSERT INTO complaint_statuses VALUES('16845','5060','2',null,'81',null,null,'92','92','2021-03-30 15:28:09','2021-03-30 15:28:09',null);
INSERT INTO complaint_statuses VALUES('16846','5060','4',null,'64',null,null,'81','81','2021-03-30 15:28:34','2021-03-30 15:28:34',null);
INSERT INTO complaint_statuses VALUES('16847','5052','4',null,'64',null,null,'81','81','2021-03-30 15:28:42','2021-03-30 15:28:42',null);
INSERT INTO complaint_statuses VALUES('16848','5063','2',null,'81',null,'30-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-30 15:38:30','2021-03-30 15:38:30',null);
INSERT INTO complaint_statuses VALUES('16849','5064','3',null,'81',null,'30-MAR-2021
COM FF TO AZAM CORONA','92','92','2021-03-30 15:45:56','2021-03-31 17:45:59',null);
INSERT INTO complaint_statuses VALUES('16850','5065','2',null,'81',null,'30-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-30 15:54:50','2021-03-30 15:54:50',null);
INSERT INTO complaint_statuses VALUES('16851','5066','3',null,'55',null,'30-MAR-2021
COM NO 1ST 744654
2nd com no 744655','92','92','2021-03-30 16:04:03','2021-03-30 16:04:03',null);
INSERT INTO complaint_statuses VALUES('16852','5067','2',null,'81',null,'30-MAR-2021
COM NO PKRI-210330112507','92','92','2021-03-30 16:26:01','2021-03-30 17:15:36',null);
INSERT INTO complaint_statuses VALUES('16853','5068','2',null,'81',null,'30-MAR-2021
COM FF TO AZHAR FCI','92','92','2021-03-30 16:35:37','2021-03-30 16:35:37',null);
INSERT INTO complaint_statuses VALUES('16854','5068','4',null,'60',null,null,'81','81','2021-03-30 16:40:11','2021-03-30 16:40:11',null);
INSERT INTO complaint_statuses VALUES('16855','5065','4',null,'63',null,null,'81','81','2021-03-30 16:40:21','2021-03-30 16:40:21',null);
INSERT INTO complaint_statuses VALUES('16856','5063','4',null,'55',null,null,'81','81','2021-03-30 16:40:33','2021-03-30 16:40:33',null);
INSERT INTO complaint_statuses VALUES('16857','5054','2',null,'81',null,null,'92','92','2021-03-30 16:45:56','2021-03-30 16:45:56',null);
INSERT INTO complaint_statuses VALUES('16858','5054','4',null,'64',null,null,'81','81','2021-03-30 16:51:33','2021-03-30 16:51:33',null);
INSERT INTO complaint_statuses VALUES('16859','5069','3',null,'52',null,'30-MAR-2021
COM NO PKRI-210330113218','92','92','2021-03-30 16:56:52','2021-03-30 16:58:05',null);
INSERT INTO complaint_statuses VALUES('16860','5070','2',null,'81',null,'30-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-30 17:05:49','2021-03-30 17:05:49',null);
INSERT INTO complaint_statuses VALUES('16861','5070','4',null,'63',null,null,'81','81','2021-03-30 17:09:35','2021-03-30 17:09:35',null);
INSERT INTO complaint_statuses VALUES('16862','5067','4',null,'64',null,null,'81','81','2021-03-30 17:15:58','2021-03-30 17:15:58',null);
INSERT INTO complaint_statuses VALUES('16863','5071','2',null,'81',null,'KHURRAM 5STAR','92','92','2021-03-30 17:38:30','2021-03-30 17:38:30',null);
INSERT INTO complaint_statuses VALUES('16864','5071','4',null,'63',null,null,'81','81','2021-03-30 17:39:49','2021-03-30 17:39:49',null);
INSERT INTO complaint_statuses VALUES('16865','5030','7','24','81','Unit need to move service center 
Customer not interested for repair and requesting for product replacement',null,'83','83','2021-03-30 18:32:39','2021-03-30 18:32:39',null);
INSERT INTO complaint_statuses VALUES('16866','4533','7','12','81','Shoks replaced unit ok',null,'83','83','2021-03-30 18:33:14','2021-03-30 18:33:14',null);
INSERT INTO complaint_statuses VALUES('16867','4950','7','12','81','Main PCb Repaired.',null,'76','76','2021-03-31 10:37:05','2021-03-31 10:37:05',null);
INSERT INTO complaint_statuses VALUES('16868','5072','3',null,'53',null,'31-MAR-2021
COM NO 301104543','92','92','2021-03-31 10:40:46','2021-03-31 10:43:10',null);
INSERT INTO complaint_statuses VALUES('16869','5073','2',null,'81',null,'31-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-31 10:53:41','2021-03-31 10:53:41',null);
INSERT INTO complaint_statuses VALUES('16870','4411','7','12','81','compliant resolved',null,'79','79','2021-03-31 10:56:40','2021-03-31 10:56:40',null);
INSERT INTO complaint_statuses VALUES('16871','5074','2',null,'81',null,'31-MAR-2021
COM FF TO AZHAR FCI','92','92','2021-03-31 11:06:25','2021-03-31 11:06:25',null);
INSERT INTO complaint_statuses VALUES('16872','5074','4',null,'60',null,null,'81','81','2021-03-31 11:07:59','2021-03-31 11:07:59',null);
INSERT INTO complaint_statuses VALUES('16873','5073','4',null,'63',null,null,'81','81','2021-03-31 11:08:11','2021-03-31 11:08:11',null);
INSERT INTO complaint_statuses VALUES('16874','5059','7','24','81','customer  i 10 ly kr aye gain bt ho gai hai.',null,'79','79','2021-03-31 11:20:16','2021-03-31 11:20:16',null);
INSERT INTO complaint_statuses VALUES('16875','5075','3',null,'52',null,'31-MAR-2021
COM NO PKRI-210331103854','92','92','2021-03-31 11:25:29','2021-04-04 12:40:22',null);
INSERT INTO complaint_statuses VALUES('16876','5076','2',null,'81',null,'31-MAR-2021
COM FF TO KHALID SONY','92','92','2021-03-31 11:34:26','2021-03-31 11:34:26',null);
INSERT INTO complaint_statuses VALUES('16877','5076','4',null,'56',null,null,'81','81','2021-03-31 11:50:59','2021-03-31 11:50:59',null);
INSERT INTO complaint_statuses VALUES('16878','5068','7','24','81','Servis issue hy workshop drop kry gy',null,'82','82','2021-03-31 11:57:49','2021-03-31 11:57:49',null);
INSERT INTO complaint_statuses VALUES('16879','3822','7','10','81',null,null,'82','82','2021-03-31 12:03:37','2021-03-31 12:03:37',null);
INSERT INTO complaint_statuses VALUES('16880','5077','3',null,'59',null,'31-MAR-2021
COM NO 4244150805','92','92','2021-03-31 12:17:14','2021-03-31 12:29:58',null);
INSERT INTO complaint_statuses VALUES('16881','5078','2',null,'81',null,'31-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-31 12:29:39','2021-03-31 12:29:39',null);
INSERT INTO complaint_statuses VALUES('16882','5079','3',null,'53',null,'31-MAR-2021
COM NO 301104872','92','92','2021-03-31 12:52:46','2021-03-31 13:06:14',null);
INSERT INTO complaint_statuses VALUES('16883','5051','7','12','81','pcb issue company  forwered',null,'79','79','2021-03-31 13:09:33','2021-03-31 13:09:33',null);
INSERT INTO complaint_statuses VALUES('16884','5080','2',null,'81',null,'31-MAR-2021
COM FF TO USMAN SIR','92','92','2021-03-31 13:18:21','2021-03-31 13:18:21',null);
INSERT INTO complaint_statuses VALUES('16885','5081','2',null,'81',null,'31-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-31 13:22:37','2021-03-31 13:22:37',null);
INSERT INTO complaint_statuses VALUES('16886','5081','4',null,'58',null,null,'81','81','2021-03-31 13:23:35','2021-03-31 13:23:35',null);
INSERT INTO complaint_statuses VALUES('16887','5080','4',null,'61',null,null,'81','81','2021-03-31 13:23:46','2021-03-31 13:23:46',null);
INSERT INTO complaint_statuses VALUES('16888','5078','4',null,'58',null,null,'81','81','2021-03-31 13:23:57','2021-03-31 13:23:57',null);
INSERT INTO complaint_statuses VALUES('16889','5078','4',null,'58',null,null,'81','81','2021-03-31 13:23:57','2021-03-31 13:23:57',null);
INSERT INTO complaint_statuses VALUES('16890','5082','2',null,'81',null,'31-MAR-2021
COM FF TO NADEEM AZHAR','92','92','2021-03-31 13:42:34','2021-03-31 13:42:34',null);
INSERT INTO complaint_statuses VALUES('16891','5083','3',null,'52',null,'31-MAR-2021
COM NO PKRI-210331109798','92','92','2021-03-31 13:50:16','2021-03-31 14:24:38',null);
INSERT INTO complaint_statuses VALUES('16892','5081','7','12','81','COMPLAINT RESOLVED,MPTOR CHANGE',null,'79','79','2021-03-31 13:52:58','2021-03-31 13:52:58',null);
INSERT INTO complaint_statuses VALUES('16893','5084','3',null,'80',null,'31-MAR-2021
COM FF TO TAHIR SEMIENS','92','92','2021-03-31 13:58:15','2021-03-31 13:58:15',null);
INSERT INTO complaint_statuses VALUES('16894','5085','3',null,'57',null,'31-MAR-2021
COM NO 17407','92','92','2021-03-31 14:04:30','2021-03-31 14:18:37',null);
INSERT INTO complaint_statuses VALUES('16895','5086','3',null,'65',null,'31-MAR-2021
COM NO 192121452','92','92','2021-03-31 14:12:13','2021-03-31 14:18:12',null);
INSERT INTO complaint_statuses VALUES('16896','5087','2',null,'81',null,'31-MAR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-03-31 14:28:58','2021-03-31 14:28:58',null);
INSERT INTO complaint_statuses VALUES('16897','4913','7','12','81','PCB Repaired Charges Pending 6500/-',null,'76','76','2021-03-31 14:29:36','2021-03-31 14:29:36',null);
INSERT INTO complaint_statuses VALUES('16898','4964','7','12','81','Main PCB Repaired .',null,'76','76','2021-03-31 14:30:26','2021-03-31 14:30:26',null);
INSERT INTO complaint_statuses VALUES('16899','5088','3',null,'80',null,'31-MAR-2021
COM FF TO TAHIR SIEMENS','92','92','2021-03-31 14:44:15','2021-03-31 14:44:15',null);
INSERT INTO complaint_statuses VALUES('16900','5089','2',null,'81',null,'31-MAR-2021
COM FF TO AZHAR FCI','92','92','2021-03-31 15:01:50','2021-03-31 15:01:50',null);
INSERT INTO complaint_statuses VALUES('16901','5090','2',null,'81',null,'31-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-31 15:09:59','2021-04-04 14:21:24',null);
INSERT INTO complaint_statuses VALUES('16902','5082','4',null,'59',null,null,'81','81','2021-03-31 15:25:38','2021-03-31 15:25:38',null);
INSERT INTO complaint_statuses VALUES('16903','5087','4',null,'55',null,null,'81','81','2021-03-31 15:25:51','2021-03-31 15:25:51',null);
INSERT INTO complaint_statuses VALUES('16904','5089','4',null,'60',null,null,'81','81','2021-03-31 15:27:05','2021-03-31 15:27:05',null);
INSERT INTO complaint_statuses VALUES('16905','5090','4',null,'63',null,null,'81','81','2021-03-31 15:30:15','2021-03-31 15:30:15',null);
INSERT INTO complaint_statuses VALUES('16906','5091','2',null,'81',null,'31-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-03-31 15:37:37','2021-03-31 15:37:37',null);
INSERT INTO complaint_statuses VALUES('16907','5092','2',null,'81',null,'31-MAR-2021
COM FF TO BEST COOL','92','92','2021-03-31 16:11:52','2021-03-31 16:11:52',null);
INSERT INTO complaint_statuses VALUES('16908','5092','4',null,'58',null,null,'81','81','2021-03-31 16:13:52','2021-03-31 16:13:52',null);
INSERT INTO complaint_statuses VALUES('16909','5092','4',null,'58',null,null,'81','81','2021-03-31 16:13:52','2021-03-31 16:13:52',null);
INSERT INTO complaint_statuses VALUES('16910','5091','4',null,'63',null,null,'81','81','2021-03-31 16:14:02','2021-03-31 16:14:02',null);
INSERT INTO complaint_statuses VALUES('16911','5053','2',null,'81',null,null,'92','92','2021-03-31 16:19:01','2021-03-31 16:19:01',null);
INSERT INTO complaint_statuses VALUES('16912','5053','4',null,'62',null,null,'81','81','2021-03-31 16:19:20','2021-03-31 16:19:20',null);
INSERT INTO complaint_statuses VALUES('16913','5053','7','26','81','PLAT AVAIL NHI ,AND I INFORMED TO AHSAN',null,'87','87','2021-03-31 16:38:09','2021-03-31 16:38:09',null);
INSERT INTO complaint_statuses VALUES('16914','5093','2',null,'81',null,'31-MAR-2021
COM FF TO KHALID SONY','92','92','2021-03-31 16:50:34','2021-03-31 16:50:34',null);
INSERT INTO complaint_statuses VALUES('16915','5094','3',null,'53',null,'31-MAR-2021
COM NO 301105123','92','92','2021-03-31 17:08:07','2021-03-31 17:57:33',null);
INSERT INTO complaint_statuses VALUES('16916','5093','4',null,'56',null,null,'81','81','2021-03-31 17:16:11','2021-03-31 17:16:11',null);
INSERT INTO complaint_statuses VALUES('16917','5035','7','12','81','COMPLAINT RESOLVED',null,'79','79','2021-04-01 10:24:09','2021-04-01 10:24:09',null);
INSERT INTO complaint_statuses VALUES('16918','5095','3',null,'53',null,'01-APR-2021
COM NO 301105149','92','92','2021-04-01 10:29:26','2021-04-01 10:30:59',null);
INSERT INTO complaint_statuses VALUES('16919','4685','7','12','81','complaint resolved',null,'79','79','2021-04-01 10:30:32','2021-04-01 10:30:32',null);
INSERT INTO complaint_statuses VALUES('16920','5062','7','24','81','Machin servis ky lye workshop aye gi',null,'82','82','2021-04-01 10:34:32','2021-04-01 10:34:32',null);
INSERT INTO complaint_statuses VALUES('16921','5096','2',null,'81',null,'01-APR-2021
COM FF TO AZHAR FCI','92','92','2021-04-01 10:45:11','2021-04-01 10:45:11',null);
INSERT INTO complaint_statuses VALUES('16922','5081','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-04-01 11:00:05','2021-04-01 11:21:40',null);
INSERT INTO complaint_statuses VALUES('16923','5068','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-04-01 11:01:12','2021-04-01 11:01:12',null);
INSERT INTO complaint_statuses VALUES('16924','5045','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-01 11:04:06','2021-04-01 11:04:06',null);
INSERT INTO complaint_statuses VALUES('16925','5097','2',null,'81',null,'01-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-01 11:11:06','2021-04-01 11:11:06',null);
INSERT INTO complaint_statuses VALUES('16926','5062','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-04-01 11:11:37','2021-04-01 11:11:37',null);
INSERT INTO complaint_statuses VALUES('16927','5042','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-01 11:14:18','2021-04-01 11:14:18',null);
INSERT INTO complaint_statuses VALUES('16928','5053','5','15',null,'STOCK NOT AVAIL','COMPLAINT CLOSED','81','74','2021-04-01 11:15:58','2021-04-01 11:20:52',null);
INSERT INTO complaint_statuses VALUES('16929','5039','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-01 11:18:23','2021-04-01 11:18:23',null);
INSERT INTO complaint_statuses VALUES('16930','5051','5','15',null,'OK COMPLAINT FF COMPANY INFORMED BY CUSTOMER','COMPLAINT CLOSED','81','74','2021-04-01 11:19:23','2021-04-01 11:21:17',null);
INSERT INTO complaint_statuses VALUES('16931','5035','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-01 11:26:20','2021-04-01 11:53:42',null);
INSERT INTO complaint_statuses VALUES('16932','5098','2',null,'81',null,'01-APR-2021
COM FF TO HOME SOLUTION','92','92','2021-04-01 11:29:54','2021-04-01 11:29:54',null);
INSERT INTO complaint_statuses VALUES('16933','5003','8','23','60','CUSTOMER SA BAT KARAY PICK& DROP KA RENT','INVOICE ADIL BHAI KO FF KAR DI','81','74','2021-04-01 11:31:25','2021-04-02 11:17:38',null);
INSERT INTO complaint_statuses VALUES('16934','4964','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-04-01 11:32:48','2021-04-01 11:54:11',null);
INSERT INTO complaint_statuses VALUES('16935','5099','2',null,'81',null,'01-APR-2021
COM FF TO AZHAR FCI','92','92','2021-04-01 11:34:04','2021-04-01 11:34:04',null);
INSERT INTO complaint_statuses VALUES('16936','5033','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-01 11:37:52','2021-04-01 11:37:52',null);
INSERT INTO complaint_statuses VALUES('16937','5100','2',null,'81',null,'01-APR-2021
COM FF TO AZHAR FCI','92','92','2021-04-01 11:45:41','2021-04-01 11:45:41',null);
INSERT INTO complaint_statuses VALUES('16938','5100','4',null,'60',null,null,'81','81','2021-04-01 11:47:55','2021-04-01 11:47:55',null);
INSERT INTO complaint_statuses VALUES('16939','5099','4',null,'60',null,null,'81','81','2021-04-01 11:48:06','2021-04-01 11:48:06',null);
INSERT INTO complaint_statuses VALUES('16940','5098','4',null,'62',null,null,'81','81','2021-04-01 11:48:17','2021-04-01 11:48:17',null);
INSERT INTO complaint_statuses VALUES('16941','5097','4',null,'63',null,null,'81','81','2021-04-01 11:48:28','2021-04-01 11:48:28',null);
INSERT INTO complaint_statuses VALUES('16942','5096','4',null,'60',null,null,'81','81','2021-04-01 11:48:40','2021-04-01 11:48:40',null);
INSERT INTO complaint_statuses VALUES('16943','5032','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-01 11:53:03','2021-04-01 11:53:03',null);
INSERT INTO complaint_statuses VALUES('16944','5101','2',null,'81',null,'01-APR-2021
COM FF TO AZHAR FCI','92','92','2021-04-01 12:04:58','2021-04-01 12:04:58',null);
INSERT INTO complaint_statuses VALUES('16945','4411','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-01 12:09:06','2021-04-01 12:18:50',null);
INSERT INTO complaint_statuses VALUES('16946','4533','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-01 12:10:35','2021-04-01 12:18:10',null);
INSERT INTO complaint_statuses VALUES('16947','5102','2',null,'81',null,'01-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-01 12:14:00','2021-04-01 12:14:00',null);
INSERT INTO complaint_statuses VALUES('16948','3822','8','23','60','CUSTOMER SA AGAIN BAT HOI HAI KINDLY CALL KAR K VISIT ARRANGE KARWAY',null,'81','81','2021-04-01 12:14:33','2021-04-01 12:14:33',null);
INSERT INTO complaint_statuses VALUES('16949','5103','3',null,'54',null,'01-APR-2021
COM NO 1841931','92','92','2021-04-01 12:23:35','2021-04-01 12:44:51',null);
INSERT INTO complaint_statuses VALUES('16950','5029','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-01 12:31:26','2021-04-01 12:31:26',null);
INSERT INTO complaint_statuses VALUES('16951','5028','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-01 12:37:32','2021-04-01 12:37:32',null);
INSERT INTO complaint_statuses VALUES('16952','5104','3',null,'55',null,'01-APR-2021
COM NO ISB-11816','92','92','2021-04-01 12:41:11','2021-04-01 14:17:30',null);
INSERT INTO complaint_statuses VALUES('16953','4685','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-04-01 12:49:44','2021-04-01 13:03:45',null);
INSERT INTO complaint_statuses VALUES('16954','5105','3',null,'52',null,'01-APR-2021
COM NO PKRI-210401107286','92','92','2021-04-01 12:50:25','2021-04-01 12:52:59',null);
INSERT INTO complaint_statuses VALUES('16955','5026','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-01 12:50:58','2021-04-01 12:50:58',null);
INSERT INTO complaint_statuses VALUES('16956','5102','4',null,'63',null,null,'81','81','2021-04-01 12:53:38','2021-04-01 12:53:38',null);
INSERT INTO complaint_statuses VALUES('16957','5101','4',null,'60',null,null,'81','81','2021-04-01 12:53:50','2021-04-01 12:53:50',null);
INSERT INTO complaint_statuses VALUES('16958','5026','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-04-01 12:58:36','2021-04-01 13:03:22',null);
INSERT INTO complaint_statuses VALUES('16959','5106','2',null,'81',null,'01-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-01 13:00:04','2021-04-01 13:00:04',null);
INSERT INTO complaint_statuses VALUES('16960','5016','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-01 13:06:23','2021-04-01 13:06:23',null);
INSERT INTO complaint_statuses VALUES('16961','5015','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-01 13:30:28','2021-04-01 13:30:28',null);
INSERT INTO complaint_statuses VALUES('16962','5107','3',null,'67',null,'01-APR-2021
COM FF TO ANWAR CARAVELL','92','92','2021-04-01 13:30:34','2021-04-03 11:02:54',null);
INSERT INTO complaint_statuses VALUES('16963','5014','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-01 13:33:18','2021-04-01 13:33:18',null);
INSERT INTO complaint_statuses VALUES('16964','5013','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-01 13:35:19','2021-04-01 13:35:19',null);
INSERT INTO complaint_statuses VALUES('16965','5011','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-01 13:38:54','2021-04-01 13:38:54',null);
INSERT INTO complaint_statuses VALUES('16966','5108','3',null,'52',null,'01-APR-2021
COM NO PKRI-210401109617','92','92','2021-04-01 13:59:31','2021-04-01 14:13:45',null);
INSERT INTO complaint_statuses VALUES('16967','5109','2',null,'81',null,'01-APR-2021
COM FF TO BEST COOL','92','92','2021-04-01 14:08:15','2021-04-01 14:08:15',null);
INSERT INTO complaint_statuses VALUES('16968','5008','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-01 14:09:42','2021-04-01 14:09:42',null);
INSERT INTO complaint_statuses VALUES('16969','5109','4',null,'58',null,null,'81','81','2021-04-01 14:10:15','2021-04-01 14:10:15',null);
INSERT INTO complaint_statuses VALUES('16970','5106','4',null,'55',null,null,'81','81','2021-04-01 14:10:28','2021-04-01 14:10:28',null);
INSERT INTO complaint_statuses VALUES('16971','4998','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-01 14:27:59','2021-04-01 14:27:59',null);
INSERT INTO complaint_statuses VALUES('16972','4996','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-01 14:38:05','2021-04-01 14:38:05',null);
INSERT INTO complaint_statuses VALUES('16973','4973','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-01 15:15:42','2021-04-01 15:15:42',null);
INSERT INTO complaint_statuses VALUES('16974','4973','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-01 15:16:41','2021-04-01 15:17:19',null);
INSERT INTO complaint_statuses VALUES('16975','5110','2',null,'81',null,'01-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-01 15:33:37','2021-04-01 15:33:37',null);
INSERT INTO complaint_statuses VALUES('16976','5110','4',null,'55',null,null,'81','81','2021-04-01 15:36:04','2021-04-01 15:36:04',null);
INSERT INTO complaint_statuses VALUES('16977','4934','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-01 15:42:20','2021-04-01 15:42:20',null);
INSERT INTO complaint_statuses VALUES('16978','5111','3',null,'53',null,'01-APR-2021
COM NO 301105461','92','92','2021-04-01 15:59:04','2021-04-04 12:24:18',null);
INSERT INTO complaint_statuses VALUES('16979','5112','3',null,'52',null,'01-APR-2021
COM NO PKRI-210401113410','92','92','2021-04-01 16:16:13','2021-04-01 16:16:13',null);
INSERT INTO complaint_statuses VALUES('16980','4950','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-01 16:19:15','2021-04-01 16:22:36',null);
INSERT INTO complaint_statuses VALUES('16981','5113','3',null,'81',null,'01-APR-2021
COM  NO 211','92','92','2021-04-01 16:23:41','2021-04-01 16:26:18',null);
INSERT INTO complaint_statuses VALUES('16982','5114','2',null,'81',null,'01-APR-2021
COM FF TO NADEEM AZHAR SIR','92','92','2021-04-01 16:44:01','2021-04-01 16:44:01',null);
INSERT INTO complaint_statuses VALUES('16983','5114','4',null,'59',null,null,'81','81','2021-04-01 16:45:45','2021-04-01 16:45:45',null);
INSERT INTO complaint_statuses VALUES('16984','5082','7','24','81','aj visit ho ga',null,'80','80','2021-04-01 16:51:24','2021-04-01 16:51:24',null);
INSERT INTO complaint_statuses VALUES('16985','5114','7','24','81','set hamry S/C py ay ga',null,'80','80','2021-04-01 16:55:10','2021-04-01 16:55:10',null);
INSERT INTO complaint_statuses VALUES('16986','5021','7','24','81','nam???
contact number  is messing',null,'80','80','2021-04-01 16:56:39','2021-04-01 16:56:39',null);
INSERT INTO complaint_statuses VALUES('16987','5115','2',null,'81',null,'01-APR-2021
COM FF TO BEST COOL','92','92','2021-04-01 17:03:44','2021-04-06 11:04:25',null);
INSERT INTO complaint_statuses VALUES('16988','5012','7','12','81','burner change ,complaint resoved',null,'79','79','2021-04-01 18:45:18','2021-04-01 18:45:18',null);
INSERT INTO complaint_statuses VALUES('16989','5063','7','12','81','No Fault Found in Visit',null,'76','76','2021-04-02 10:12:01','2021-04-02 10:12:01',null);
INSERT INTO complaint_statuses VALUES('16990','5043','7','12','81','Refer to SVC in Service and Drain Pump , but customer not agree for repairing.',null,'76','76','2021-04-02 10:12:52','2021-04-02 10:12:52',null);
INSERT INTO complaint_statuses VALUES('16991','4992','7','12','81','Filter Service',null,'76','76','2021-04-02 10:13:34','2021-04-02 10:13:34',null);
INSERT INTO complaint_statuses VALUES('16992','5080','7','24','81','Customer not at home 
Monday Ka time Diya ha',null,'83','83','2021-04-02 11:05:49','2021-04-02 11:05:49',null);
INSERT INTO complaint_statuses VALUES('16993','5041','7','24','81','Back light defective rs 7000 exp 
Estimate approve Nahi Kiya   
App call kr lain Sajid approval dy dain',null,'83','83','2021-04-02 11:07:25','2021-04-02 11:07:25',null);
INSERT INTO complaint_statuses VALUES('16994','5114','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-04-02 11:09:42','2021-04-02 11:09:42',null);
INSERT INTO complaint_statuses VALUES('16995','5082','8','23','59','OK',null,'81','81','2021-04-02 11:10:09','2021-04-02 11:10:09',null);
INSERT INTO complaint_statuses VALUES('16996','5080','8','23','61','OK',null,'81','81','2021-04-02 11:10:47','2021-04-02 11:10:47',null);
INSERT INTO complaint_statuses VALUES('16997','5063','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-04-02 11:13:02','2021-04-02 11:18:50',null);
INSERT INTO complaint_statuses VALUES('16998','5059','8','23','58','OK',null,'81','81','2021-04-02 11:14:16','2021-04-02 11:14:16',null);
INSERT INTO complaint_statuses VALUES('16999','5043','5','15',null,'CUSTOMER KA ISSUE KHUD SA RESOLVED HO GAYA COMPLAINT CLOSED KARWA DI','COMPLAINT CLOSED','81','74','2021-04-02 11:22:50','2021-04-02 11:51:04',null);
INSERT INTO complaint_statuses VALUES('17000','5041','5','15',null,'CUSTOMER KO EXP BATA DIA HAIN AJ AGAIN CALL B KI BUT KOI RESPONSE NAI DIA COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-04-02 11:32:27','2021-04-02 11:51:34',null);
INSERT INTO complaint_statuses VALUES('17001','5021','8','23','59','NAME . ATIF SADAR SHOWROOM
CELL#0345-5662238',null,'81','81','2021-04-02 11:36:06','2021-04-02 11:36:06',null);
INSERT INTO complaint_statuses VALUES('17002','5012','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-04-02 11:37:23','2021-04-02 11:52:03',null);
INSERT INTO complaint_statuses VALUES('17003','5065','7','12','81','CUSTOMER NA LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA LIYA COMPLAINT CLOSED',null,'88','88','2021-04-02 11:39:44','2021-04-02 11:39:44',null);
INSERT INTO complaint_statuses VALUES('17004','5065','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-04-02 11:40:48','2021-04-02 11:47:48',null);
INSERT INTO complaint_statuses VALUES('17005','4992','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-02 11:41:52','2021-04-02 11:52:35',null);
INSERT INTO complaint_statuses VALUES('17006','4913','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-02 11:42:38','2021-04-02 11:53:06',null);
INSERT INTO complaint_statuses VALUES('17007','5061','5',null,null,'COMPLAINT CLOSED','CUSTOMER VISIT CHARGES PAY KARNAY PA AGREE NAI HAIN COMPLANY MAIN KHUD COMPLAINT CLOSED KARWA DI CUSTOMER NA','74','74','2021-04-02 11:43:50','2021-04-02 11:49:46',null);
INSERT INTO complaint_statuses VALUES('17008','5064','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-02 11:45:59','2021-04-02 11:45:59',null);
INSERT INTO complaint_statuses VALUES('17009','4988','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-02 12:03:36','2021-04-02 12:03:36',null);
INSERT INTO complaint_statuses VALUES('17010','5056','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-02 12:11:27','2021-04-02 12:11:27',null);
INSERT INTO complaint_statuses VALUES('17011','5055','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-02 12:14:29','2021-04-02 12:14:29',null);
INSERT INTO complaint_statuses VALUES('17012','5049','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-02 12:16:20','2021-04-02 12:16:20',null);
INSERT INTO complaint_statuses VALUES('17013','5047','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-02 12:19:03','2021-04-02 12:19:03',null);
INSERT INTO complaint_statuses VALUES('17014','5116','3',null,'67',null,'02-APRIL-2021
FF TO ANWER CARAVELL','74','92','2021-04-02 12:38:30','2021-04-04 12:11:56',null);
INSERT INTO complaint_statuses VALUES('17015','5117','3',null,'73',null,'02-APRIL-2021
COMPLAINT#4361','74','92','2021-04-02 12:41:14','2021-04-04 11:46:44',null);
INSERT INTO complaint_statuses VALUES('17016','5118','2',null,'81',null,'02-APRIL-2021
FF TO KHURRAM 5 STAR','74','74','2021-04-02 16:09:41','2021-04-02 16:09:41',null);
INSERT INTO complaint_statuses VALUES('17017','5119','2',null,'81',null,'02-APRIL-2021
FF TO ASHAMIM AKHTER','74','74','2021-04-02 16:24:15','2021-04-02 16:24:15',null);
INSERT INTO complaint_statuses VALUES('17018','5119','4',null,'55',null,null,'81','81','2021-04-02 16:24:52','2021-04-02 16:24:52',null);
INSERT INTO complaint_statuses VALUES('17019','5118','4',null,'63',null,null,'81','81','2021-04-02 16:25:32','2021-04-02 16:25:32',null);
INSERT INTO complaint_statuses VALUES('17020','5115','4',null,'58',null,null,'81','81','2021-04-02 16:25:52','2021-04-02 16:25:52',null);
INSERT INTO complaint_statuses VALUES('17021','5120','3',null,'67',null,'02-APRIL-2021
FF TO ANWER CARVELL','74','92','2021-04-02 16:31:14','2021-04-03 10:41:05',null);
INSERT INTO complaint_statuses VALUES('17022','5121','2',null,'81',null,'02-APRIL-2021
FF TO KHURRAM 5 STAR','74','74','2021-04-02 16:47:25','2021-04-02 16:47:25',null);
INSERT INTO complaint_statuses VALUES('17023','5122','3',null,'52',null,'D.O.P-02-APRIL-2020
COMPLAINT#PKRI-210402112831','74','92','2021-04-02 16:52:56','2021-04-04 11:27:28',null);
INSERT INTO complaint_statuses VALUES('17024','5062','7','24','81','Machin workshop agai hy for servis',null,'82','82','2021-04-02 16:55:05','2021-04-02 16:55:05',null);
INSERT INTO complaint_statuses VALUES('17025','5121','4',null,'63',null,null,'81','81','2021-04-02 16:55:39','2021-04-02 16:55:39',null);
INSERT INTO complaint_statuses VALUES('17026','5123','2',null,'81',null,'02-APRIL-2021
FF TO B. COOL','74','74','2021-04-02 17:12:57','2021-04-02 17:12:57',null);
INSERT INTO complaint_statuses VALUES('17027','5123','4',null,'58',null,null,'81','81','2021-04-02 17:13:47','2021-04-02 17:13:47',null);
INSERT INTO complaint_statuses VALUES('17028','5124','2',null,'81',null,'03-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-03 11:18:04','2021-04-03 11:18:04',null);
INSERT INTO complaint_statuses VALUES('17029','5124','4',null,'63',null,null,'81','81','2021-04-03 11:23:07','2021-04-03 11:23:07',null);
INSERT INTO complaint_statuses VALUES('17030','5088','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-03 12:10:58','2021-04-03 12:10:58',null);
INSERT INTO complaint_statuses VALUES('17031','5086','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-03 12:20:36','2021-04-03 12:20:36',null);
INSERT INTO complaint_statuses VALUES('17032','5085','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-03 12:34:26','2021-04-03 12:34:26',null);
INSERT INTO complaint_statuses VALUES('17033','5084','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-03 12:36:05','2021-04-03 12:36:05',null);
INSERT INTO complaint_statuses VALUES('17034','5125','2',null,'81',null,'03-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-03 12:37:59','2021-04-05 16:58:20',null);
INSERT INTO complaint_statuses VALUES('17035','5091','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-03 12:40:08','2021-04-03 12:40:08',null);
INSERT INTO complaint_statuses VALUES('17036','5126','2',null,'81',null,'03-APR-2021
COM FF TO BEST COOL','92','92','2021-04-03 12:47:19','2021-04-03 12:47:19',null);
INSERT INTO complaint_statuses VALUES('17037','5091','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-03 12:50:40','2021-04-03 12:52:13',null);
INSERT INTO complaint_statuses VALUES('17038','5083','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-03 12:51:34','2021-04-03 12:51:34',null);
INSERT INTO complaint_statuses VALUES('17039','5126','4',null,'58',null,null,'81','81','2021-04-03 12:53:14','2021-04-03 12:53:14',null);
INSERT INTO complaint_statuses VALUES('17040','5125','4',null,'63',null,null,'81','81','2021-04-03 12:53:23','2021-04-03 12:53:23',null);
INSERT INTO complaint_statuses VALUES('17041','5127','2',null,'81',null,'03-APR-2021
COM FF TO BEST COOL','92','92','2021-04-03 13:02:56','2021-04-03 13:02:56',null);
INSERT INTO complaint_statuses VALUES('17042','5127','4',null,'58',null,null,'81','81','2021-04-03 13:05:33','2021-04-03 13:05:33',null);
INSERT INTO complaint_statuses VALUES('17043','5128','2',null,'81',null,'03-APR-2021
COM FF TO BEST COOL','92','92','2021-04-03 13:16:14','2021-04-03 13:16:14',null);
INSERT INTO complaint_statuses VALUES('17044','4734','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-03 13:17:08','2021-04-03 13:17:08',null);
INSERT INTO complaint_statuses VALUES('17045','4734','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-03 13:17:42','2021-04-03 13:18:09',null);
INSERT INTO complaint_statuses VALUES('17046','5128','4',null,'58',null,null,'81','81','2021-04-03 13:17:56','2021-04-03 13:17:56',null);
INSERT INTO complaint_statuses VALUES('17047','5062','8','23','60','OK',null,'81','81','2021-04-03 13:20:05','2021-04-03 13:20:05',null);
INSERT INTO complaint_statuses VALUES('17048','5069','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-03 13:23:59','2021-04-03 13:23:59',null);
INSERT INTO complaint_statuses VALUES('17049','5058','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-03 13:26:59','2021-04-03 13:26:59',null);
INSERT INTO complaint_statuses VALUES('17050','4775','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-03 13:28:36','2021-04-03 13:28:36',null);
INSERT INTO complaint_statuses VALUES('17051','4938','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-03 13:45:55','2021-04-03 13:45:55',null);
INSERT INTO complaint_statuses VALUES('17052','4963','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-03 13:52:30','2021-04-03 13:52:30',null);
INSERT INTO complaint_statuses VALUES('17053','5087','7','26','81','Reschedule by Customer',null,'76','76','2021-04-03 15:25:02','2021-04-03 15:25:02',null);
INSERT INTO complaint_statuses VALUES('17054','4737','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-03 15:49:49','2021-04-03 15:49:49',null);
INSERT INTO complaint_statuses VALUES('17055','5129','2',null,'81',null,'04-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-04 10:35:22','2021-04-06 15:53:04',null);
INSERT INTO complaint_statuses VALUES('17056','5123','7','26','81','custoemr canncelled the compliant',null,'79','79','2021-04-04 10:51:35','2021-04-04 10:51:35',null);
INSERT INTO complaint_statuses VALUES('17057','5078','7','20','81','pcb issue',null,'79','79','2021-04-04 10:58:51','2021-04-04 10:58:51',null);
INSERT INTO complaint_statuses VALUES('17058','5130','3',null,'55',null,'04-APR-2021
COM NO 746855','92','92','2021-04-04 11:11:06','2021-04-06 12:01:49',null);
INSERT INTO complaint_statuses VALUES('17059','5129','4',null,'63',null,'NOVISIT','81','74','2021-04-04 11:13:49','2021-04-07 11:07:38',null);
INSERT INTO complaint_statuses VALUES('17060','4737','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-04-04 11:16:20','2021-04-04 11:26:38',null);
INSERT INTO complaint_statuses VALUES('17061','4864','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-04-04 11:17:36','2021-04-04 11:25:14',null);
INSERT INTO complaint_statuses VALUES('17062','5087','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-04-04 11:20:04','2021-04-04 11:24:48',null);
INSERT INTO complaint_statuses VALUES('17063','5123','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-04-04 11:21:09','2021-04-04 11:22:46',null);
INSERT INTO complaint_statuses VALUES('17064','4994','7','12','81','pcb repair ,complint reosolved',null,'79','79','2021-04-04 11:25:16','2021-04-04 11:25:16',null);
INSERT INTO complaint_statuses VALUES('17065','5117','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-04 11:48:08','2021-04-04 11:48:08',null);
INSERT INTO complaint_statuses VALUES('17066','5112','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-04 12:13:27','2021-04-04 12:13:27',null);
INSERT INTO complaint_statuses VALUES('17067','5111','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-04 12:25:13','2021-04-04 12:25:13',null);
INSERT INTO complaint_statuses VALUES('17068','5105','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-04 12:31:04','2021-04-04 12:31:04',null);
INSERT INTO complaint_statuses VALUES('17069','5107','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-04 12:32:42','2021-04-04 12:32:42',null);
INSERT INTO complaint_statuses VALUES('17070','5103','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-04 12:36:18','2021-04-04 12:36:18',null);
INSERT INTO complaint_statuses VALUES('17071','5075','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-04 12:43:30','2021-04-04 12:43:30',null);
INSERT INTO complaint_statuses VALUES('17072','5131','3',null,'59',null,'04-APR-2021
COM NO 4244266124','92','92','2021-04-04 12:52:30','2021-04-05 11:00:12',null);
INSERT INTO complaint_statuses VALUES('17073','4994','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-04-04 12:56:05','2021-04-04 12:56:44',null);
INSERT INTO complaint_statuses VALUES('17074','5010','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-04 13:00:30','2021-04-04 13:00:30',null);
INSERT INTO complaint_statuses VALUES('17075','5122','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-04 13:04:27','2021-04-04 13:04:27',null);
INSERT INTO complaint_statuses VALUES('17076','5132','3',null,'52',null,'04-APR-2021
COM NO PKRI-210404105574','92','92','2021-04-04 13:17:02','2021-04-04 13:18:58',null);
INSERT INTO complaint_statuses VALUES('17077','5133','2',null,'81',null,null,'73','73','2021-04-04 13:20:18','2021-04-04 13:20:18',null);
INSERT INTO complaint_statuses VALUES('17078','5133','4',null,'63',null,null,'81','81','2021-04-04 13:20:46','2021-04-04 13:20:46',null);
INSERT INTO complaint_statuses VALUES('17079','5133','7','12','81','TANK REPLACED',null,'88','88','2021-04-04 13:23:42','2021-04-04 13:23:42',null);
INSERT INTO complaint_statuses VALUES('17080','5133','5','15',null,null,'RESOLVED','81','73','2021-04-04 13:24:41','2021-04-04 13:25:51',null);
INSERT INTO complaint_statuses VALUES('17081','5134','3',null,'52',null,'04-APR-2021
COM NO PKRI-210404106614','92','92','2021-04-04 14:07:14','2021-04-04 14:13:55',null);
INSERT INTO complaint_statuses VALUES('17082','5017','7','12','81','compressor and gas compliant reoslved',null,'79','79','2021-04-04 14:53:00','2021-04-04 14:53:00',null);
INSERT INTO complaint_statuses VALUES('17083','5135','2',null,'81',null,'04-APR-2021
COM NO 192121495','92','92','2021-04-04 14:55:40','2021-04-04 15:01:54',null);
INSERT INTO complaint_statuses VALUES('17084','5135','4',null,'64',null,null,'81','81','2021-04-04 15:02:39','2021-04-04 15:02:39',null);
INSERT INTO complaint_statuses VALUES('17085','5098','7','12','81','ISSUE RESOLVED',null,'87','87','2021-04-04 15:38:53','2021-04-04 15:38:53',null);
INSERT INTO complaint_statuses VALUES('17086','5136','3',null,'52',null,'04-APR-2021
COM NO PKRI-210404108588','92','92','2021-04-04 15:44:23','2021-04-04 15:46:12',null);
INSERT INTO complaint_statuses VALUES('17087','5137','2',null,'81',null,'04-APR-2021
COM FF TO BEST COOL','92','92','2021-04-04 16:47:27','2021-04-04 16:47:27',null);
INSERT INTO complaint_statuses VALUES('17088','5138','2',null,'81',null,'04-APR-2021
COM FF TO KHALID SONY','92','92','2021-04-04 16:50:44','2021-04-04 16:50:44',null);
INSERT INTO complaint_statuses VALUES('17089','5139','2',null,'81',null,'04-APR-2021
COM FF TO BEST COOL','92','92','2021-04-04 16:57:43','2021-04-12 11:38:48',null);
INSERT INTO complaint_statuses VALUES('17090','5140','3',null,'52',null,'04-APR-2021
COM NO PKRI-210405103538','92','92','2021-04-04 17:03:07','2021-04-05 11:04:58',null);
INSERT INTO complaint_statuses VALUES('17091','5141','2',null,'81',null,'04-APR-2021
COM FF TO HOME SOLUTION','92','92','2021-04-04 17:27:19','2021-04-04 17:27:19',null);
INSERT INTO complaint_statuses VALUES('17092','5141','4',null,'62',null,null,'81','81','2021-04-04 17:32:02','2021-04-04 17:32:02',null);
INSERT INTO complaint_statuses VALUES('17093','5139','4',null,'58',null,null,'81','81','2021-04-04 17:32:15','2021-04-04 17:32:15',null);
INSERT INTO complaint_statuses VALUES('17094','5138','4',null,'56',null,null,'81','81','2021-04-04 17:32:32','2021-04-04 17:32:32',null);
INSERT INTO complaint_statuses VALUES('17095','5137','4',null,'58',null,null,'81','81','2021-04-04 17:32:45','2021-04-04 17:32:45',null);
INSERT INTO complaint_statuses VALUES('17096','5126','7','12','81','complaint resolved ,filter clean',null,'79','79','2021-04-05 10:30:17','2021-04-05 10:30:17',null);
INSERT INTO complaint_statuses VALUES('17097','5142','2',null,'81',null,'05-APR-2021
COM NO 747174','92','92','2021-04-05 10:49:37','2021-04-05 12:56:30',null);
INSERT INTO complaint_statuses VALUES('17098','5143','3',null,'57',null,'05-APR-2021
COM NO 17477','92','92','2021-04-05 11:27:53','2021-04-05 11:27:53',null);
INSERT INTO complaint_statuses VALUES('17099','5144','3',null,'55',null,'05-APR-2021
COM NO ISB-748367','92','92','2021-04-05 11:34:39','2021-04-06 16:26:42',null);
INSERT INTO complaint_statuses VALUES('17100','5120','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-05 11:39:58','2021-04-05 11:39:58',null);
INSERT INTO complaint_statuses VALUES('17101','5126','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-05 11:44:26','2021-04-05 12:00:17',null);
INSERT INTO complaint_statuses VALUES('17102','5145','2',null,'81',null,'05-APR-2021
COM FF TO BEST COOL','92','92','2021-04-05 11:45:10','2021-04-05 14:34:11',null);
INSERT INTO complaint_statuses VALUES('17103','5098','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-05 11:46:47','2021-04-05 12:02:55',null);
INSERT INTO complaint_statuses VALUES('17104','5146','2',null,'81',null,'05-APR-2021
COM FF TO KHALID SONY','92','92','2021-04-05 11:59:41','2021-04-05 11:59:41',null);
INSERT INTO complaint_statuses VALUES('17105','5095','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-05 12:02:29','2021-04-05 12:02:29',null);
INSERT INTO complaint_statuses VALUES('17106','5094','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-05 12:06:11','2021-04-05 12:06:11',null);
INSERT INTO complaint_statuses VALUES('17107','5017','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-05 12:09:13','2021-04-05 12:10:13',null);
INSERT INTO complaint_statuses VALUES('17108','5147','2',null,'81',null,'05-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-05 12:09:48','2021-04-05 12:09:48',null);
INSERT INTO complaint_statuses VALUES('17109','5147','4',null,'63',null,null,'81','81','2021-04-05 12:10:55','2021-04-05 12:10:55',null);
INSERT INTO complaint_statuses VALUES('17110','5146','4',null,'56',null,null,'81','81','2021-04-05 12:11:10','2021-04-05 12:11:10',null);
INSERT INTO complaint_statuses VALUES('17111','5145','4',null,'58',null,null,'81','81','2021-04-05 12:11:19','2021-04-05 12:11:19',null);
INSERT INTO complaint_statuses VALUES('17112','5024','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-05 12:16:39','2021-04-05 12:16:39',null);
INSERT INTO complaint_statuses VALUES('17113','4980','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-05 12:37:31','2021-04-05 12:37:31',null);
INSERT INTO complaint_statuses VALUES('17114','5025','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-04-05 12:39:59','2021-04-05 12:39:59',null);
INSERT INTO complaint_statuses VALUES('17115','5148','3',null,'61',null,'05-APR-2021
COM NO 202104002573','92','92','2021-04-05 12:40:04','2021-04-05 17:34:54',null);
INSERT INTO complaint_statuses VALUES('17116','5025','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-05 12:40:28','2021-04-05 12:42:27',null);
INSERT INTO complaint_statuses VALUES('17117','5149','2',null,'81',null,'05-APR-2021
COM NO 1844494','92','92','2021-04-05 12:51:29','2021-04-05 12:51:29',null);
INSERT INTO complaint_statuses VALUES('17118','5149','4',null,'64',null,null,'81','81','2021-04-05 12:56:02','2021-04-05 12:56:02',null);
INSERT INTO complaint_statuses VALUES('17119','5142','4',null,'64',null,null,'81','81','2021-04-05 12:56:52','2021-04-05 12:56:52',null);
INSERT INTO complaint_statuses VALUES('17120','4921','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-05 12:59:58','2021-04-05 12:59:58',null);
INSERT INTO complaint_statuses VALUES('17121','5114','7','24','81','set in S/C main board order',null,'80','80','2021-04-05 13:14:41','2021-04-05 13:14:41',null);
INSERT INTO complaint_statuses VALUES('17122','5082','7','12','81','main board fix set ok',null,'80','80','2021-04-05 13:15:07','2021-04-05 13:15:07',null);
INSERT INTO complaint_statuses VALUES('17123','5066','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-05 13:21:54','2021-04-05 13:21:54',null);
INSERT INTO complaint_statuses VALUES('17124','4402','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-05 13:28:30','2021-04-05 13:28:30',null);
INSERT INTO complaint_statuses VALUES('17125','5150','3',null,'66',null,'05-APR-2021
COM NO PK-040520210076','92','92','2021-04-05 13:34:06','2021-04-05 13:37:18',null);
INSERT INTO complaint_statuses VALUES('17126','5151','3',null,'52',null,'05-APR-2021
COM NO PKRI-210405109480','92','92','2021-04-05 13:49:57','2021-04-05 14:06:24',null);
INSERT INTO complaint_statuses VALUES('17127','5082','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-05 13:53:16','2021-04-05 13:54:04',null);
INSERT INTO complaint_statuses VALUES('17128','4402','5','15',null,'COMPLETED COMPLAINT','COMPLAINT REASOLVED','81','74','2021-04-05 13:53:38','2021-04-05 13:54:31',null);
INSERT INTO complaint_statuses VALUES('17129','5152','3',null,'57',null,'05-APR-2021
COM NO 172921 TACTION NO 03335158804','92','92','2021-04-05 13:58:38','2021-04-07 14:51:24',null);
INSERT INTO complaint_statuses VALUES('17130','5128','7','12','81','Complaint resolved',null,'79','79','2021-04-05 14:11:57','2021-04-05 14:11:57',null);
INSERT INTO complaint_statuses VALUES('17131','5153','3',null,'73',null,'05-APR-2021
COM NO 4380','92','92','2021-04-05 14:27:09','2021-04-06 10:53:55',null);
INSERT INTO complaint_statuses VALUES('17132','5154','3',null,'81',null,'05-APR-2021
COM NO 219','92','92','2021-04-05 14:43:56','2021-04-06 10:57:37',null);
INSERT INTO complaint_statuses VALUES('17133','5155','3',null,'53',null,'05-APR-2021
COM NO 301107497','92','92','2021-04-05 15:32:54','2021-04-06 10:49:44',null);
INSERT INTO complaint_statuses VALUES('17134','5156','3',null,'73',null,'05-APR-2021
COM NO 4381','92','92','2021-04-05 15:42:42','2021-04-05 15:42:42',null);
INSERT INTO complaint_statuses VALUES('17135','5128','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-05 15:47:17','2021-04-05 15:48:34',null);
INSERT INTO complaint_statuses VALUES('17136','5110','7','12','81','Van Adjustment Visit Charges Pending 600/-',null,'76','76','2021-04-05 15:52:06','2021-04-05 15:52:06',null);
INSERT INTO complaint_statuses VALUES('17137','5100','7','12','81','Machin servis issu hy workshop aye gi khod bhejy gy',null,'82','82','2021-04-05 15:53:02','2021-04-05 15:53:02',null);
INSERT INTO complaint_statuses VALUES('17138','5101','7','24','81','Drain pippe issue hy chenjed ho ga',null,'82','82','2021-04-05 15:53:44','2021-04-05 15:53:44',null);
INSERT INTO complaint_statuses VALUES('17139','5106','7','12','81','Demo Only.',null,'76','76','2021-04-05 15:53:59','2021-04-05 15:53:59',null);
INSERT INTO complaint_statuses VALUES('17140','4124','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-05 15:56:17','2021-04-05 15:56:17',null);
INSERT INTO complaint_statuses VALUES('17141','5157','3',null,'52',null,'05-APR-2021
COM NO PKRI-210405112764','92','92','2021-04-05 15:56:40','2021-04-05 16:01:33',null);
INSERT INTO complaint_statuses VALUES('17142','5037','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-05 16:02:36','2021-04-05 16:02:36',null);
INSERT INTO complaint_statuses VALUES('17143','5158','2',null,'81',null,'05-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-05 16:13:47','2021-04-05 16:13:47',null);
INSERT INTO complaint_statuses VALUES('17144','5158','4',null,'63',null,null,'81','81','2021-04-05 16:21:40','2021-04-05 16:21:40',null);
INSERT INTO complaint_statuses VALUES('17145','5114','8','23','59','OK','BOARD DEMAND KIYA HOA HAIN INFORMED BY CUSTOMER& ANEEQ','81','74','2021-04-05 16:21:51','2021-04-09 12:16:04',null);
INSERT INTO complaint_statuses VALUES('17146','5089','7','12','81','Water presher slow hy machin okay hy',null,'82','82','2021-04-05 16:27:39','2021-04-05 16:27:39',null);
INSERT INTO complaint_statuses VALUES('17147','5034','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-05 16:29:50','2021-04-05 16:29:50',null);
INSERT INTO complaint_statuses VALUES('17148','5159','2',null,'81',null,'05-APR-2021
COM FF TO BEST COOL','92','92','2021-04-05 16:41:57','2021-04-05 16:41:57',null);
INSERT INTO complaint_statuses VALUES('17149','5161','2',null,'81',null,'05-APR-2021
COM NO 1844906','92','92','2021-04-05 17:13:52','2021-04-05 17:13:52',null);
INSERT INTO complaint_statuses VALUES('17150','5162','2',null,'81',null,'05-APR-2021
COM NO PK040520210149
COM FF TO SAJID SIR','92','92','2021-04-05 17:24:38','2021-04-05 17:24:38',null);
INSERT INTO complaint_statuses VALUES('17151','5163','2',null,'81',null,'05-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-05 17:36:12','2021-04-05 17:36:12',null);
INSERT INTO complaint_statuses VALUES('17152','5076','7','12','81','unit ok....only services. Unit with customer',null,'77','77','2021-04-05 17:37:41','2021-04-05 17:37:41',null);
INSERT INTO complaint_statuses VALUES('17153','5030','8','23','61','JOB COMPLETED  QUKILEY (DARAZ )',null,'81','81','2021-04-05 17:38:57','2021-04-05 17:38:57',null);
INSERT INTO complaint_statuses VALUES('17154','5110','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-04-05 17:40:14','2021-04-05 18:02:23',null);
INSERT INTO complaint_statuses VALUES('17155','5106','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-04-05 17:41:26','2021-04-05 18:03:09',null);
INSERT INTO complaint_statuses VALUES('17156','5100','8','23','60','OK',null,'81','81','2021-04-05 17:42:02','2021-04-05 17:42:02',null);
INSERT INTO complaint_statuses VALUES('17157','5164','3',null,'80',null,'05-APR-2021
COM FF TO AMNA BOSCH','92','92','2021-04-05 17:43:40','2021-04-05 17:43:40',null);
INSERT INTO complaint_statuses VALUES('17158','5089','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-04-05 17:44:16','2021-04-05 18:03:35',null);
INSERT INTO complaint_statuses VALUES('17159','5076','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-04-05 17:45:56','2021-04-05 18:04:01',null);
INSERT INTO complaint_statuses VALUES('17160','5163','4',null,'55',null,null,'81','81','2021-04-05 17:46:25','2021-04-05 17:46:25',null);
INSERT INTO complaint_statuses VALUES('17161','5163','4',null,'55',null,null,'81','81','2021-04-05 17:46:38','2021-04-05 17:46:38',null);
INSERT INTO complaint_statuses VALUES('17162','5162','4',null,'64',null,null,'81','81','2021-04-05 17:46:55','2021-04-05 17:46:55',null);
INSERT INTO complaint_statuses VALUES('17163','5161','4',null,'64',null,null,'81','81','2021-04-05 17:47:06','2021-04-05 17:47:06',null);
INSERT INTO complaint_statuses VALUES('17164','5159','4',null,'58',null,null,'81','81','2021-04-05 17:48:39','2021-04-05 17:48:39',null);
INSERT INTO complaint_statuses VALUES('17165','5165','3',null,'53',null,'05-APR-2021
COM NO 301107503
2nd COM NO 301107507','92','92','2021-04-05 17:53:51','2021-04-06 10:55:54',null);
INSERT INTO complaint_statuses VALUES('17166','5141','7','12','81','ISSUE RESOLVED,SERVICE KIA',null,'87','87','2021-04-05 18:41:44','2021-04-05 18:41:44',null);
INSERT INTO complaint_statuses VALUES('17167','4978','7','12','81','cusotmer k no off hai kal sy try kr hain',null,'79','79','2021-04-06 10:30:00','2021-04-06 10:30:00',null);
INSERT INTO complaint_statuses VALUES('17168','5160','2',null,'81',null,null,'92','92','2021-04-06 10:44:39','2021-04-06 10:44:39',null);
INSERT INTO complaint_statuses VALUES('17169','5160','4',null,'56',null,null,'81','81','2021-04-06 10:44:55','2021-04-06 10:44:55',null);
INSERT INTO complaint_statuses VALUES('17170','5166','3',null,'54',null,'05-APR-2021
COM NO','92','92','2021-04-06 11:28:46','2021-04-06 11:28:46',null);
INSERT INTO complaint_statuses VALUES('17171','5167','3',null,'54',null,'05-APR-2021
COM NO 1845325','92','92','2021-04-06 11:29:14','2021-04-06 11:31:14',null);
INSERT INTO complaint_statuses VALUES('17172','5166','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-06 11:31:44','2021-04-06 11:31:44',null);
INSERT INTO complaint_statuses VALUES('17173','5168','2',null,'81',null,'06-APR-2021
COM FF TO USMAN SIR','92','92','2021-04-06 11:41:56','2021-04-06 11:41:56',null);
INSERT INTO complaint_statuses VALUES('17174','5169','3',null,'72',null,'06-APR-2021
COM NO 192121520','92','92','2021-04-06 11:48:09','2021-04-06 11:57:07',null);
INSERT INTO complaint_statuses VALUES('17175','5163','7','26','81','Self Repaired by Customer.',null,'76','76','2021-04-06 12:05:32','2021-04-06 12:05:32',null);
INSERT INTO complaint_statuses VALUES('17176','5104','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-06 12:07:11','2021-04-06 12:07:11',null);
INSERT INTO complaint_statuses VALUES('17177','5170','2',null,'81',null,'06-APR-2021
COM FF TO USMAN SIR','92','92','2021-04-06 12:19:30','2021-04-06 12:19:30',null);
INSERT INTO complaint_statuses VALUES('17178','5077','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-06 12:21:40','2021-04-06 12:21:40',null);
INSERT INTO complaint_statuses VALUES('17179','5170','4',null,'61',null,null,'81','81','2021-04-06 12:22:30','2021-04-06 12:22:30',null);
INSERT INTO complaint_statuses VALUES('17180','5168','4',null,'61',null,null,'81','81','2021-04-06 12:22:41','2021-04-06 12:22:41',null);
INSERT INTO complaint_statuses VALUES('17181','5097','7','12','81','BEST COOL NA JUT CHANGE KIYA HAIN COMPLAINT COMPLETED',null,'88','88','2021-04-06 12:24:57','2021-04-06 12:24:57',null);
INSERT INTO complaint_statuses VALUES('17182','5163','5','15',null,'CUSTOMER KA ISSUE KHUD SA RESOLVED HO GAYA AIR LOCK KA ISSUE THA','COMPLAINT RESOLVED','81','74','2021-04-06 12:26:27','2021-04-06 12:28:51',null);
INSERT INTO complaint_statuses VALUES('17183','5141','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-06 12:27:28','2021-04-06 12:29:51',null);
INSERT INTO complaint_statuses VALUES('17184','5097','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-06 12:28:21','2021-04-06 12:30:16',null);
INSERT INTO complaint_statuses VALUES('17185','5171','3',null,'54',null,'06-APR-2021
COM NO 1845442','92','92','2021-04-06 12:29:21','2021-04-06 12:31:10',null);
INSERT INTO complaint_statuses VALUES('17186','4978','5','15',null,'CUSTOMER NA COMPLAINT ABI CLOSED KARWA DI HAIN CUSTOMER NA ABI MANUAL W/M PARCHES KAR LI HAIN','COMPLAINT RESOLVESD','81','74','2021-04-06 12:33:52','2021-04-06 13:08:39',null);
INSERT INTO complaint_statuses VALUES('17187','5172','3',null,'52',null,'06-APR-2021
COM NO PKRI-210406106306','92','92','2021-04-06 12:37:23','2021-04-06 12:40:27',null);
INSERT INTO complaint_statuses VALUES('17188','5173','2',null,'81',null,'06-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-06 13:14:59','2021-04-06 13:14:59',null);
INSERT INTO complaint_statuses VALUES('17189','5174','3',null,'54',null,'06-APR-2021
COM NO 1845565','92','92','2021-04-06 13:41:57','2021-04-06 13:43:01',null);
INSERT INTO complaint_statuses VALUES('17190','5175','2',null,'81',null,'06-APR-2021
COM FF TO KHALID SONY','92','92','2021-04-06 13:50:19','2021-04-06 13:50:19',null);
INSERT INTO complaint_statuses VALUES('17191','5176','2',null,'81',null,'06-APR-2021
COM FF TO USMAN SIR','92','92','2021-04-06 13:51:56','2021-04-06 13:51:56',null);
INSERT INTO complaint_statuses VALUES('17192','5176','4',null,'61',null,null,'81','81','2021-04-06 13:53:20','2021-04-06 13:53:20',null);
INSERT INTO complaint_statuses VALUES('17193','5175','4',null,'56',null,null,'81','81','2021-04-06 13:53:31','2021-04-06 13:53:31',null);
INSERT INTO complaint_statuses VALUES('17194','5173','4',null,'63',null,null,'81','81','2021-04-06 13:53:39','2021-04-06 13:53:39',null);
INSERT INTO complaint_statuses VALUES('17195','5177','2',null,'81',null,'06-APR-2021
COM FF TO AZHAR FCI','92','92','2021-04-06 14:03:05','2021-04-06 14:03:05',null);
INSERT INTO complaint_statuses VALUES('17196','5178','2',null,'81',null,'06-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-06 14:14:54','2021-04-08 14:29:28',null);
INSERT INTO complaint_statuses VALUES('17197','5179','3',null,'73',null,'06-APR-2021
COM NO 4386','92','92','2021-04-06 14:27:53','2021-04-14 11:01:32',null);
INSERT INTO complaint_statuses VALUES('17198','5180','2',null,'81',null,'06-APR-2021
COM FF TO BEST COOL','92','92','2021-04-06 14:47:06','2021-04-06 14:47:06',null);
INSERT INTO complaint_statuses VALUES('17199','5000','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-06 14:47:35','2021-04-06 14:47:35',null);
INSERT INTO complaint_statuses VALUES('17200','5159','7','12','81','MOTOR CHANGE ,COMPLAINT ROSLVED',null,'79','79','2021-04-06 14:49:20','2021-04-06 14:49:20',null);
INSERT INTO complaint_statuses VALUES('17201','5180','4',null,'58',null,null,'81','81','2021-04-06 14:52:30','2021-04-06 14:52:30',null);
INSERT INTO complaint_statuses VALUES('17202','5178','4',null,'55',null,null,'81','81','2021-04-06 14:52:40','2021-04-06 14:52:40',null);
INSERT INTO complaint_statuses VALUES('17203','5177','4',null,'60',null,null,'81','81','2021-04-06 14:52:50','2021-04-06 14:52:50',null);
INSERT INTO complaint_statuses VALUES('17204','5181','2',null,'81',null,'06-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-06 14:59:00','2021-04-06 14:59:00',null);
INSERT INTO complaint_statuses VALUES('17205','5181','4',null,'63',null,null,'81','81','2021-04-06 15:00:32','2021-04-06 15:00:32',null);
INSERT INTO complaint_statuses VALUES('17206','5182','2',null,'81',null,'06-APRIL-2021
FF TO SHAMIM AKHTER','74','74','2021-04-06 15:15:06','2021-04-06 15:15:06',null);
INSERT INTO complaint_statuses VALUES('17207','5182','4',null,'55',null,null,'81','81','2021-04-06 15:15:39','2021-04-06 15:15:39',null);
INSERT INTO complaint_statuses VALUES('17208','5183','2',null,'81',null,'06-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-06 15:18:21','2021-04-06 15:18:21',null);
INSERT INTO complaint_statuses VALUES('17209','5184','2',null,'81',null,'06-APR-2021
COM NO PK-040620210127','92','92','2021-04-06 15:26:50','2021-04-06 16:10:57',null);
INSERT INTO complaint_statuses VALUES('17210','5185','3',null,'59',null,'06-APR-2021
COM NO 4244397748','92','92','2021-04-06 15:44:16','2021-04-08 14:24:11',null);
INSERT INTO complaint_statuses VALUES('17211','5186','2',null,'81',null,'06-APR-2021
COM FF TO BEST COOL','92','92','2021-04-06 15:51:03','2021-04-06 15:51:03',null);
INSERT INTO complaint_statuses VALUES('17212','5186','4',null,'58',null,null,'81','81','2021-04-06 16:01:49','2021-04-06 16:01:49',null);
INSERT INTO complaint_statuses VALUES('17213','5183','4',null,'55',null,null,'81','81','2021-04-06 16:02:00','2021-04-06 16:02:00',null);
INSERT INTO complaint_statuses VALUES('17214','5187','2',null,'81',null,'12-02-2021
FF TO KHURRAM 5 STAR','74','74','2021-04-06 16:06:50','2021-04-06 16:06:50',null);
INSERT INTO complaint_statuses VALUES('17215','5187','4',null,'63',null,null,'81','81','2021-04-06 16:07:06','2021-04-06 16:07:06',null);
INSERT INTO complaint_statuses VALUES('17216','5187','7','12','81','1000 CHARGES CUSTOMER NOT PAID CHARGES',null,'88','88','2021-04-06 16:08:10','2021-04-06 16:08:10',null);
INSERT INTO complaint_statuses VALUES('17217','5188','2',null,'81',null,'06-APR-2021
COM NO PK-04060210135','92','92','2021-04-06 16:09:11','2021-04-06 16:09:11',null);
INSERT INTO complaint_statuses VALUES('17218','5188','4',null,'64',null,null,'81','81','2021-04-06 16:11:30','2021-04-06 16:11:30',null);
INSERT INTO complaint_statuses VALUES('17219','5184','4',null,'64',null,null,'81','81','2021-04-06 16:11:40','2021-04-06 16:11:40',null);
INSERT INTO complaint_statuses VALUES('17220','5189','2',null,'81',null,'06-APR-2021
COM FF TO AZHAR FCI','92','92','2021-04-06 16:18:36','2021-04-06 16:18:36',null);
INSERT INTO complaint_statuses VALUES('17221','4691','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-06 16:20:15','2021-04-06 16:20:15',null);
INSERT INTO complaint_statuses VALUES('17222','5190','2',null,'81',null,'06-APR-2021
COM FF TO USMAN SIR','92','92','2021-04-06 16:43:24','2021-04-06 16:43:24',null);
INSERT INTO complaint_statuses VALUES('17223','5191','2',null,'81',null,'06-APR-2021
COM NO 1845873','92','92','2021-04-06 16:49:14','2021-04-06 16:49:14',null);
INSERT INTO complaint_statuses VALUES('17224','5191','4',null,'64',null,null,'81','81','2021-04-06 16:50:25','2021-04-06 16:50:25',null);
INSERT INTO complaint_statuses VALUES('17225','5190','4',null,'61',null,null,'81','81','2021-04-06 16:52:00','2021-04-06 16:52:00',null);
INSERT INTO complaint_statuses VALUES('17226','5189','4',null,'60',null,null,'81','81','2021-04-06 16:52:13','2021-04-06 16:52:13',null);
INSERT INTO complaint_statuses VALUES('17227','4314','7','12','81','THERMOSTAT COVER LAGA DIA HAIN COMPLAINT RESOLVED',null,'88','88','2021-04-06 16:52:58','2021-04-06 16:52:58',null);
INSERT INTO complaint_statuses VALUES('17228','3948','7','24','81','DOOR QABZAY REQUIRED INFORMED BY KHURRAM GOOGLE',null,'88','88','2021-04-06 16:54:11','2021-04-06 16:54:11',null);
INSERT INTO complaint_statuses VALUES('17229','4557','7','12','81','COMPLAINT RESOLVED',null,'88','88','2021-04-06 16:54:45','2021-04-06 16:54:45',null);
INSERT INTO complaint_statuses VALUES('17230','4569','7','12','81','COMPLAINT RESOLVED',null,'88','88','2021-04-06 16:55:32','2021-04-06 16:55:32',null);
INSERT INTO complaint_statuses VALUES('17231','4579','7','12','81','CUSTOMER KO EXP CONFIRM KARDIA HAIN BUT CUSTOMER ABI COMPLAINT ATTEND KARWANY PA AGREE NAI',null,'88','88','2021-04-06 16:56:45','2021-04-06 16:56:45',null);
INSERT INTO complaint_statuses VALUES('17232','4614','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-06 16:57:18','2021-04-06 16:57:18',null);
INSERT INTO complaint_statuses VALUES('17233','4631','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-06 16:58:00','2021-04-06 16:58:00',null);
INSERT INTO complaint_statuses VALUES('17234','4643','7','12','81','COMPLAINT RESOLVED',null,'88','88','2021-04-06 16:58:34','2021-04-06 16:58:34',null);
INSERT INTO complaint_statuses VALUES('17235','4725','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-06 16:59:25','2021-04-06 16:59:25',null);
INSERT INTO complaint_statuses VALUES('17236','5192','3',null,'80',null,'06-APR-2021
COM FF TO TAHIR SIEMIENS','92','92','2021-04-06 17:00:09','2021-04-06 17:00:09',null);
INSERT INTO complaint_statuses VALUES('17237','4753','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-06 17:00:22','2021-04-06 17:00:22',null);
INSERT INTO complaint_statuses VALUES('17238','5193','2',null,'81',null,'06-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-06 17:06:56','2021-04-06 17:06:56',null);
INSERT INTO complaint_statuses VALUES('17239','4783','7','12','81','COMPLAINT RESOLVED',null,'88','88','2021-04-06 17:09:24','2021-04-06 17:09:24',null);
INSERT INTO complaint_statuses VALUES('17240','4896','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-06 17:10:03','2021-04-06 17:10:03',null);
INSERT INTO complaint_statuses VALUES('17241','4932','7','12','81','COMPLAINT RESOLVED',null,'88','88','2021-04-06 17:12:44','2021-04-06 17:12:44',null);
INSERT INTO complaint_statuses VALUES('17242','4939','7','12','81','COMPLAINT RESOLVED',null,'88','88','2021-04-06 17:13:17','2021-04-06 17:13:17',null);
INSERT INTO complaint_statuses VALUES('17243','4945','7','12','81','COMPLAINT RESOLVED MAX HOB',null,'88','88','2021-04-06 17:14:13','2021-04-06 17:14:13',null);
INSERT INTO complaint_statuses VALUES('17244','4946','7','12','81','COMPLAINT ATTEND HO GEI HAIN .
CUSTOMER KO EXP BATA DIA HAIN BUT CUSTOMER SIDE SA NO RESPONCE',null,'88','88','2021-04-06 17:15:24','2021-04-06 17:15:24',null);
INSERT INTO complaint_statuses VALUES('17245','5187','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-04-06 17:17:08','2021-04-06 17:18:00',null);
INSERT INTO complaint_statuses VALUES('17246','5159','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-04-06 17:18:27','2021-04-06 17:46:20',null);
INSERT INTO complaint_statuses VALUES('17247','5101','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-04-06 17:19:24','2021-04-06 17:19:24',null);
INSERT INTO complaint_statuses VALUES('17248','5194','2',null,'81',null,'06-APR-2021
COM NO 2108','92','92','2021-04-06 17:20:13','2021-04-06 17:20:13',null);
INSERT INTO complaint_statuses VALUES('17249','4946','5','15',null,'5 JUT WALA BUNNER HAIN STOCK MAIN AVAIL NAI HAIN HAIN INFORMED BY CUSTOMER COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-04-06 17:22:06','2021-04-06 17:44:53',null);
INSERT INTO complaint_statuses VALUES('17250','5195','2',null,'81',null,'06-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-06 17:32:29','2021-04-06 17:32:29',null);
INSERT INTO complaint_statuses VALUES('17251','4945','5','15',null,'COMPANY SIDE SA YHA HOB REPLACE HO GAYA HAIN .BUT CUSTOMER NA ABVI TAQ REPLACE NI KARWAYA','CUSTOMER HOB CHANGE KARWA K OTHER BRAND KA LA K GAY HAIN','81','74','2021-04-06 17:35:33','2021-04-09 15:17:12',null);
INSERT INTO complaint_statuses VALUES('17252','4939','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-06 17:36:31','2021-04-06 17:43:17',null);
INSERT INTO complaint_statuses VALUES('17253','4932','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-06 17:37:58','2021-04-06 17:38:57',null);
INSERT INTO complaint_statuses VALUES('17254','5195','4',null,'55',null,null,'81','81','2021-04-06 17:38:00','2021-04-06 17:38:00',null);
INSERT INTO complaint_statuses VALUES('17255','5194','4',null,'64',null,null,'81','81','2021-04-06 17:38:15','2021-04-06 17:38:15',null);
INSERT INTO complaint_statuses VALUES('17256','5193','4',null,'63',null,null,'81','81','2021-04-06 17:38:24','2021-04-06 17:38:24',null);
INSERT INTO complaint_statuses VALUES('17257','4896','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-04-06 17:39:54','2021-04-06 17:39:54',null);
INSERT INTO complaint_statuses VALUES('17258','4783','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-04-06 17:40:53','2021-04-06 17:42:20',null);
INSERT INTO complaint_statuses VALUES('17259','5196','2',null,'81',null,'06-APR-2021
COM FF TO HOME SOLUTION','92','92','2021-04-06 17:49:31','2021-04-14 11:25:32',null);
INSERT INTO complaint_statuses VALUES('17260','4725','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-06 17:49:55','2021-04-06 17:54:59',null);
INSERT INTO complaint_statuses VALUES('17261','5196','4',null,'62',null,null,'81','81','2021-04-06 17:50:31','2021-04-06 17:50:31',null);
INSERT INTO complaint_statuses VALUES('17262','5196','4',null,'62',null,null,'81','81','2021-04-06 17:50:31','2021-04-06 17:50:31',null);
INSERT INTO complaint_statuses VALUES('17263','5196','4',null,'62',null,null,'81','81','2021-04-06 17:50:31','2021-04-06 17:50:31',null);
INSERT INTO complaint_statuses VALUES('17264','5196','4',null,'62',null,null,'81','81','2021-04-06 17:50:40','2021-04-06 17:50:40',null);
INSERT INTO complaint_statuses VALUES('17265','5196','4',null,'62',null,null,'81','81','2021-04-06 17:50:54','2021-04-06 17:50:54',null);
INSERT INTO complaint_statuses VALUES('17266','5196','4',null,'62',null,null,'81','81','2021-04-06 17:50:55','2021-04-06 17:50:55',null);
INSERT INTO complaint_statuses VALUES('17267','5196','4',null,'62',null,null,'81','81','2021-04-06 17:50:55','2021-04-06 17:50:55',null);
INSERT INTO complaint_statuses VALUES('17268','5196','4',null,'62',null,null,'81','81','2021-04-06 17:50:56','2021-04-06 17:50:56',null);
INSERT INTO complaint_statuses VALUES('17269','5196','4',null,'62',null,null,'81','81','2021-04-06 17:52:14','2021-04-06 17:52:14',null);
INSERT INTO complaint_statuses VALUES('17270','5196','4',null,'62',null,null,'81','81','2021-04-06 17:52:14','2021-04-06 17:52:14',null);
INSERT INTO complaint_statuses VALUES('17271','4753','8','23','63','COMPLAINT RESOLVED NAI HOI HAIN KINDLY AGAIN',null,'81','81','2021-04-06 17:58:11','2021-04-06 17:58:11',null);
INSERT INTO complaint_statuses VALUES('17272','4691','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-04-06 17:58:56','2021-04-06 18:00:06',null);
INSERT INTO complaint_statuses VALUES('17273','4643','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-06 18:00:27','2021-04-06 18:02:09',null);
INSERT INTO complaint_statuses VALUES('17274','4631','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-06 18:02:53','2021-04-06 18:04:01',null);
INSERT INTO complaint_statuses VALUES('17275','5197','2',null,'81',null,'06-APR-2021
COM NO 301108071','92','92','2021-04-06 18:06:00','2021-04-07 10:19:22',null);
INSERT INTO complaint_statuses VALUES('17276','4614','8','23','63','COMPLAINT NOT RESOLVED KINDLY AGAIN VISIT',null,'81','81','2021-04-06 18:08:58','2021-04-06 18:08:58',null);
INSERT INTO complaint_statuses VALUES('17277','4965','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-06 18:13:55','2021-04-06 18:13:55',null);
INSERT INTO complaint_statuses VALUES('17278','4985','7','24','81','CUSTOMER SA ABI BAT HO GEI HAIN KINDLY AGAIN CONTACT KARAY',null,'88','88','2021-04-06 18:16:46','2021-04-06 18:16:46',null);
INSERT INTO complaint_statuses VALUES('17279','5071','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-06 18:18:19','2021-04-06 18:18:19',null);
INSERT INTO complaint_statuses VALUES('17280','5073','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-06 18:21:32','2021-04-06 18:21:32',null);
INSERT INTO complaint_statuses VALUES('17281','5102','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-06 18:22:55','2021-04-06 18:22:55',null);
INSERT INTO complaint_statuses VALUES('17282','5198','2',null,'81',null,'07-APR-2021
COM NO 202104003483','92','92','2021-04-07 10:30:48','2021-04-07 10:30:48',null);
INSERT INTO complaint_statuses VALUES('17283','5198','4',null,'64',null,null,'81','81','2021-04-07 10:33:19','2021-04-07 10:33:19',null);
INSERT INTO complaint_statuses VALUES('17284','5197','4',null,'64',null,null,'81','81','2021-04-07 10:33:28','2021-04-07 10:33:28',null);
INSERT INTO complaint_statuses VALUES('17285','5199','2',null,'81',null,'07-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-07 10:41:15','2021-04-11 12:11:17',null);
INSERT INTO complaint_statuses VALUES('17286','5199','4',null,'63',null,null,'81','81','2021-04-07 10:48:02','2021-04-07 10:48:02',null);
INSERT INTO complaint_statuses VALUES('17287','5102','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-07 10:52:37','2021-04-07 11:19:52',null);
INSERT INTO complaint_statuses VALUES('17288','5136','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-07 10:53:30','2021-04-07 10:53:30',null);
INSERT INTO complaint_statuses VALUES('17289','5073','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-07 10:55:27','2021-04-07 11:20:20',null);
INSERT INTO complaint_statuses VALUES('17290','5134','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-07 10:57:40','2021-04-07 10:57:40',null);
INSERT INTO complaint_statuses VALUES('17291','5132','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-07 11:00:16','2021-04-07 11:00:16',null);
INSERT INTO complaint_statuses VALUES('17292','5071','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-07 11:01:36','2021-04-07 11:22:23',null);
INSERT INTO complaint_statuses VALUES('17293','5130','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-07 11:04:03','2021-04-07 11:04:03',null);
INSERT INTO complaint_statuses VALUES('17294','4015','7','12','81','BUTT STOCK HAVE TO DELIVERD THIS LED TO SERVICE CENTRE...',null,'91','91','2021-04-07 11:08:12','2021-04-07 11:08:12',null);
INSERT INTO complaint_statuses VALUES('17295','4965','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-07 11:16:20','2021-04-07 11:23:30',null);
INSERT INTO complaint_statuses VALUES('17296','4956','7','12','81',null,null,'91','91','2021-04-07 11:23:46','2021-04-07 11:23:46',null);
INSERT INTO complaint_statuses VALUES('17297','4579','8','23','63','DOOR QABZAOO  REQURIED',null,'81','81','2021-04-07 11:31:08','2021-04-07 11:31:08',null);
INSERT INTO complaint_statuses VALUES('17298','5116','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-07 11:32:48','2021-04-07 11:32:48',null);
INSERT INTO complaint_statuses VALUES('17299','5200','3',null,'53',null,'07-APR-2021
COM NO 30110818
2nd COM NO 301108123','92','92','2021-04-07 11:37:21','2021-04-07 11:49:49',null);
INSERT INTO complaint_statuses VALUES('17300','5201','3',null,'73',null,'07-APR-2021
COM NO 4396','92','92','2021-04-07 11:49:36','2021-04-07 11:52:29',null);
INSERT INTO complaint_statuses VALUES('17301','5079','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-07 11:57:01','2021-04-07 11:57:01',null);
INSERT INTO complaint_statuses VALUES('17302','4956','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-07 11:58:18','2021-04-07 13:25:43',null);
INSERT INTO complaint_statuses VALUES('17303','4569','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-07 12:01:23','2021-04-07 13:28:11',null);
INSERT INTO complaint_statuses VALUES('17304','5202','2',null,'81',null,'07-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-07 12:03:17','2021-04-07 12:03:17',null);
INSERT INTO complaint_statuses VALUES('17305','5203','3',null,'73',null,'07-APR-2021
COM NO 4397','92','92','2021-04-07 12:18:06','2021-04-07 12:20:25',null);
INSERT INTO complaint_statuses VALUES('17306','5204','2',null,'81',null,'07-APR-2021
COM NO 301108157','92','92','2021-04-07 12:26:55','2021-04-07 12:26:55',null);
INSERT INTO complaint_statuses VALUES('17307','5145','7','12','81','complaint resolved door change',null,'79','79','2021-04-07 12:28:31','2021-04-07 12:28:31',null);
INSERT INTO complaint_statuses VALUES('17308','5044','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-07 12:44:05','2021-04-07 12:44:05',null);
INSERT INTO complaint_statuses VALUES('17309','4833','7','12','81','RELAUNCH COMPLAINT',null,'91','91','2021-04-07 12:53:40','2021-04-07 12:53:40',null);
INSERT INTO complaint_statuses VALUES('17310','5204','4',null,'64',null,null,'81','81','2021-04-07 13:00:48','2021-04-07 13:00:48',null);
INSERT INTO complaint_statuses VALUES('17311','5160','7','9','81','No contact Number customer name etc',null,'77','77','2021-04-07 13:01:11','2021-04-07 13:01:11',null);
INSERT INTO complaint_statuses VALUES('17312','5202','4',null,'55',null,null,'81','81','2021-04-07 13:01:20','2021-04-07 13:01:20',null);
INSERT INTO complaint_statuses VALUES('17313','4833','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-04-07 13:03:19','2021-04-07 13:26:21',null);
INSERT INTO complaint_statuses VALUES('17314','5093','7','12','81','Only services. Unit ok...unit with customer',null,'77','77','2021-04-07 13:04:52','2021-04-07 13:04:52',null);
INSERT INTO complaint_statuses VALUES('17315','5205','2',null,'81',null,'07-APR-2021
COM NO 301108191','92','92','2021-04-07 13:12:38','2021-04-07 14:01:39',null);
INSERT INTO complaint_statuses VALUES('17316','5205','4',null,'64',null,null,'81','81','2021-04-07 13:13:28','2021-04-07 13:13:28',null);
INSERT INTO complaint_statuses VALUES('17317','5068','7','26','81','Wo fon nhi utha rahy unho ny khod maxhin dukan py bhejni thi aap plz closed kar de',null,'82','82','2021-04-07 13:13:52','2021-04-07 13:13:52',null);
INSERT INTO complaint_statuses VALUES('17318','5206','2',null,'81',null,'07-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-07 13:22:33','2021-04-07 13:22:33',null);
INSERT INTO complaint_statuses VALUES('17319','4557','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-04-07 13:32:03','2021-04-07 15:39:04',null);
INSERT INTO complaint_statuses VALUES('17320','5180','7','24','81','pipe sy gas leakage hia',null,'79','79','2021-04-07 13:32:57','2021-04-07 13:32:57',null);
INSERT INTO complaint_statuses VALUES('17321','5160','5','15',null,'COMPLETED COMPLAINT','COMPLAINT REOPEN','81','74','2021-04-07 13:39:42','2021-04-09 12:58:48',null);
INSERT INTO complaint_statuses VALUES('17322','5207','3',null,'57',null,'07-APR-2021
COM NO 17538','92','92','2021-04-07 13:44:12','2021-04-10 14:49:06',null);
INSERT INTO complaint_statuses VALUES('17323','5093','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-07 14:20:16','2021-04-07 15:22:38',null);
INSERT INTO complaint_statuses VALUES('17324','4015','5','15',null,'BUT STOCK KI SIDE SA DELAY COMPLAINT 
CLOSED COMPLAINT','COMPLAINT CLOSED','81','74','2021-04-07 14:21:09','2021-04-07 15:22:07',null);
INSERT INTO complaint_statuses VALUES('17325','5068','5','23',null,'CUSTOMER SIDE SA DELAY COMPLAINT','COMPLAINT RESOLVED','81','92','2021-04-07 14:22:28','2021-04-07 15:38:35',null);
INSERT INTO complaint_statuses VALUES('17326','4985','8','23','63','CUSTOMER KO KHURRAM 5 STAR KA NO DA DIA HAIN CUSTOMER KHUD CALL KAR K TIME CONFIRM KARAY GAY',null,'81','81','2021-04-07 14:27:11','2021-04-07 14:27:11',null);
INSERT INTO complaint_statuses VALUES('17327','4314','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-04-07 14:27:39','2021-04-07 15:39:29',null);
INSERT INTO complaint_statuses VALUES('17328','3948','8','23','63','PARTS ARRANGE KAR K COMPLAINT RESOLVED KARWAY',null,'81','81','2021-04-07 14:28:30','2021-04-07 14:28:30',null);
INSERT INTO complaint_statuses VALUES('17329','5208','2',null,'81',null,'07-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-07 15:08:52','2021-04-10 11:33:13',null);
INSERT INTO complaint_statuses VALUES('17330','5209','3',null,'52',null,'07-APR-2021
COM NO PKRI-210407110710','92','92','2021-04-07 15:33:28','2021-04-07 15:37:14',null);
INSERT INTO complaint_statuses VALUES('17331','5208','4',null,'63',null,null,'81','81','2021-04-07 15:37:43','2021-04-07 15:37:43',null);
INSERT INTO complaint_statuses VALUES('17332','5206','4',null,'55',null,null,'81','81','2021-04-07 15:37:59','2021-04-07 15:37:59',null);
INSERT INTO complaint_statuses VALUES('17333','5210','2',null,'81',null,'07-APRIL-2021
FF TO HOME SOLUTION','74','74','2021-04-07 15:49:41','2021-04-07 15:49:41',null);
INSERT INTO complaint_statuses VALUES('17334','5210','4',null,'62',null,null,'81','81','2021-04-07 15:50:03','2021-04-07 15:50:03',null);
INSERT INTO complaint_statuses VALUES('17335','4356','7','12','81','Display PCB Replaced.',null,'76','76','2021-04-07 16:28:47','2021-04-07 16:28:47',null);
INSERT INTO complaint_statuses VALUES('17336','5211','2',null,'81',null,'07-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-07 17:00:22','2021-04-07 17:00:22',null);
INSERT INTO complaint_statuses VALUES('17337','5211','4',null,'55',null,null,'81','81','2021-04-07 17:01:27','2021-04-07 17:01:27',null);
INSERT INTO complaint_statuses VALUES('17338','5212','2',null,'81',null,'07-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-07 17:33:40','2021-04-07 17:33:40',null);
INSERT INTO complaint_statuses VALUES('17339','5213','2',null,'81',null,'07-APR-2021
COM NO 192121559','92','92','2021-04-07 17:39:11','2021-04-07 17:45:21',null);
INSERT INTO complaint_statuses VALUES('17340','5214','3',null,'52',null,'07-APR-2021
COM NO PKRI-210407114157','92','92','2021-04-07 17:59:17','2021-04-08 10:14:49',null);
INSERT INTO complaint_statuses VALUES('17341','5213','4',null,'64',null,null,'81','81','2021-04-07 18:02:40','2021-04-07 18:02:40',null);
INSERT INTO complaint_statuses VALUES('17342','5212','4',null,'63',null,null,'81','81','2021-04-07 18:02:55','2021-04-07 18:02:55',null);
INSERT INTO complaint_statuses VALUES('17343','5186','7','12','81','drain clean .complint reoslved',null,'79','79','2021-04-07 20:16:41','2021-04-07 20:16:41',null);
INSERT INTO complaint_statuses VALUES('17344','5215','2',null,'81',null,'08-APR-2021
COM FF TO BEST COOL','92','92','2021-04-08 10:38:29','2021-04-08 10:38:29',null);
INSERT INTO complaint_statuses VALUES('17345','5215','4',null,'58',null,null,'81','81','2021-04-08 10:39:47','2021-04-08 10:39:47',null);
INSERT INTO complaint_statuses VALUES('17346','5216','2',null,'81',null,'08-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-08 10:45:50','2021-04-08 10:45:50',null);
INSERT INTO complaint_statuses VALUES('17347','5216','4',null,'55',null,null,'81','81','2021-04-08 10:49:54','2021-04-08 10:49:54',null);
INSERT INTO complaint_statuses VALUES('17348','5217','2',null,'81',null,'08-APR-2021
COM FF TO BEST COOL','92','92','2021-04-08 10:55:10','2021-04-08 10:55:10',null);
INSERT INTO complaint_statuses VALUES('17349','5217','4',null,'58',null,null,'81','81','2021-04-08 10:56:14','2021-04-08 10:56:14',null);
INSERT INTO complaint_statuses VALUES('17350','5074','7','12','81','Frig custmer ky ghar phonch gea hy',null,'82','82','2021-04-08 11:12:13','2021-04-08 11:12:13',null);
INSERT INTO complaint_statuses VALUES('17351','5218','3',null,'52',null,'08-APR-2021
COM NO PKRI-210408103758','92','92','2021-04-08 11:15:28','2021-04-08 11:15:28',null);
INSERT INTO complaint_statuses VALUES('17352','5219','3',null,'52',null,'08-APR-2021
COM NO PKRI-210408104284','92','92','2021-04-08 11:33:11','2021-04-08 11:33:11',null);
INSERT INTO complaint_statuses VALUES('17353','5220','2',null,'81',null,null,'73','73','2021-04-08 11:56:25','2021-04-08 11:56:25',null);
INSERT INTO complaint_statuses VALUES('17354','5221','2',null,'81',null,'8-APR-2021
COMPLAIN#PKRI210408105868
COMPLAIN#PKRI210408105890
COMPLAIN#PKRI210408105914','73','73','2021-04-08 11:58:48','2021-04-08 12:21:13',null);
INSERT INTO complaint_statuses VALUES('17355','5221','4',null,'64',null,null,'81','81','2021-04-08 11:59:50','2021-04-08 11:59:50',null);
INSERT INTO complaint_statuses VALUES('17356','5220','4',null,'61',null,null,'81','81','2021-04-08 12:00:00','2021-04-08 12:00:00',null);
INSERT INTO complaint_statuses VALUES('17357','5210','7','26','81',null,null,'87','87','2021-04-08 12:16:26','2021-04-08 12:16:26',null);
INSERT INTO complaint_statuses VALUES('17358','5222','3',null,'76',null,'08-APR-2021
COM NO 214606','92','92','2021-04-08 12:21:22','2021-04-08 12:21:22',null);
INSERT INTO complaint_statuses VALUES('17359','5223','2',null,'81',null,'08-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-08 12:30:22','2021-04-08 12:30:22',null);
INSERT INTO complaint_statuses VALUES('17360','5189','7','12','81','Hud filter ky lock hrab thy theek kar diye hy .likin wo tabdeel karway gy hud
Hamari tarf sy ok hy',null,'82','82','2021-04-08 12:33:24','2021-04-08 12:33:24',null);
INSERT INTO complaint_statuses VALUES('17361','5225','2',null,'81',null,'08-APR-2021
COM FF TO USMAN SIR','92','92','2021-04-08 12:40:07','2021-04-08 12:40:07',null);
INSERT INTO complaint_statuses VALUES('17362','5225','4',null,'61',null,null,'81','81','2021-04-08 12:42:13','2021-04-08 12:42:13',null);
INSERT INTO complaint_statuses VALUES('17363','5223','4',null,'55',null,null,'81','81','2021-04-08 12:42:22','2021-04-08 12:42:22',null);
INSERT INTO complaint_statuses VALUES('17364','5226','2',null,'81',null,'08-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-08 12:46:32','2021-04-08 12:46:32',null);
INSERT INTO complaint_statuses VALUES('17365','5224','2',null,'81',null,null,'92','92','2021-04-08 12:48:19','2021-04-08 12:48:19',null);
INSERT INTO complaint_statuses VALUES('17366','5226','4',null,'55',null,null,'81','81','2021-04-08 12:48:40','2021-04-08 12:48:40',null);
INSERT INTO complaint_statuses VALUES('17367','5224','4',null,'56',null,null,'81','81','2021-04-08 12:48:50','2021-04-08 12:48:50',null);
INSERT INTO complaint_statuses VALUES('17368','5003','7','12','81','Frezer okay ho ky custmer ky ghar phonch gea hy o10sy',null,'82','82','2021-04-08 13:01:03','2021-04-08 13:01:03',null);
INSERT INTO complaint_statuses VALUES('17369','5062','7','12','81','Machin servis ho ky chli gai hy',null,'82','82','2021-04-08 13:02:32','2021-04-08 13:02:32',null);
INSERT INTO complaint_statuses VALUES('17370','5227','3',null,'57',null,'08-APR-2021
COM NO 17562
03125425165','92','92','2021-04-08 13:04:38','2021-04-10 12:59:42',null);
INSERT INTO complaint_statuses VALUES('17371','5054','7','12','81',null,null,'91','91','2021-04-08 13:13:21','2021-04-08 13:13:21',null);
INSERT INTO complaint_statuses VALUES('17372','5228','2',null,'81',null,'08-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-08 13:13:30','2021-04-13 12:48:48',null);
INSERT INTO complaint_statuses VALUES('17373','5228','4',null,'63',null,null,'81','81','2021-04-08 13:13:57','2021-04-08 13:13:57',null);
INSERT INTO complaint_statuses VALUES('17374','5210','8','23','62','BILL CRM',null,'81','81','2021-04-08 13:14:45','2021-04-08 13:14:45',null);
INSERT INTO complaint_statuses VALUES('17375','5054','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-04-08 13:15:07','2021-04-08 17:45:46',null);
INSERT INTO complaint_statuses VALUES('17376','5215','7','12','81','motor changecomplint reoslved',null,'79','79','2021-04-08 13:26:15','2021-04-08 13:26:15',null);
INSERT INTO complaint_statuses VALUES('17377','5195','7','12','81','Fan Adjustment Only.',null,'76','76','2021-04-08 13:30:20','2021-04-08 13:30:20',null);
INSERT INTO complaint_statuses VALUES('17378','5229','2',null,'81',null,'08-APR-2021
COM FF TO USMAN SIR','92','92','2021-04-08 13:32:54','2021-04-08 13:32:54',null);
INSERT INTO complaint_statuses VALUES('17379','5230','3',null,'81',null,'08-APR-2021
COM NO 229','92','92','2021-04-08 13:50:23','2021-04-08 16:10:46',null);
INSERT INTO complaint_statuses VALUES('17380','5231','3',null,'73',null,'08-APR-2021
COM NO 4415','92','92','2021-04-08 14:08:07','2021-04-08 16:09:26',null);
INSERT INTO complaint_statuses VALUES('17381','5138','7','12','81','Only services. Unit with customer',null,'77','77','2021-04-08 14:33:44','2021-04-08 14:33:44',null);
INSERT INTO complaint_statuses VALUES('17382','5224','7','9','81','Customer contact numer and detail missing',null,'77','77','2021-04-08 14:34:41','2021-04-08 14:34:41',null);
INSERT INTO complaint_statuses VALUES('17383','5146','7','24','81','System board faulty..price 37,940
need approval....',null,'77','77','2021-04-08 14:40:32','2021-04-08 14:40:32',null);
INSERT INTO complaint_statuses VALUES('17384','5232','3',null,'53',null,'08-APR-2021
COM NO 301110381','92','92','2021-04-08 15:10:45','2021-04-12 15:09:19',null);
INSERT INTO complaint_statuses VALUES('17385','5233','3',null,'92',null,'08-APR-2021
COM NO 210408018514','92','92','2021-04-08 15:31:18','2021-04-13 13:58:41',null);
INSERT INTO complaint_statuses VALUES('17386','5234','3',null,'52',null,'08-APR-2021
COM NO PKRI-210408111361
AGAIN COMPLAINT REOPEND PKJM210414105933','92','74','2021-04-08 15:52:24','2021-04-14 12:36:01',null);
INSERT INTO complaint_statuses VALUES('17387','5235','3',null,'80',null,'08-APR-2021
COM FF TO TAHIR SIEMENS','92','92','2021-04-08 16:48:22','2021-04-08 16:48:22',null);
INSERT INTO complaint_statuses VALUES('17388','5109','7','12','81','compliant resolved',null,'79','79','2021-04-08 16:48:59','2021-04-08 16:48:59',null);
INSERT INTO complaint_statuses VALUES('17389','5236','3',null,'52',null,'08-APR-2021
COM NO PKRI-210408113309','92','92','2021-04-08 17:08:10','2021-04-10 13:16:46',null);
INSERT INTO complaint_statuses VALUES('17390','5237','2',null,'81',null,'08-APR-2021
COM FF TO HOME SOLUTION','92','92','2021-04-08 17:18:04','2021-04-08 17:18:04',null);
INSERT INTO complaint_statuses VALUES('17391','4793','7','12','81','completed and collected',null,'77','77','2021-04-08 17:23:31','2021-04-08 17:23:31',null);
INSERT INTO complaint_statuses VALUES('17392','5238','3',null,'52',null,'08-APR-2021
COM NO PKRI-210408113536','92','92','2021-04-08 17:25:11','2021-04-10 10:40:11',null);
INSERT INTO complaint_statuses VALUES('17393','5239','3',null,'52',null,'08-APR-2021
COM NO PKRI 210410102396','92','92','2021-04-08 17:35:00','2021-04-10 10:42:34',null);
INSERT INTO complaint_statuses VALUES('17394','5237','4',null,'62',null,null,'81','81','2021-04-08 17:38:38','2021-04-08 17:38:38',null);
INSERT INTO complaint_statuses VALUES('17395','5229','4',null,'61',null,null,'81','81','2021-04-08 17:39:34','2021-04-08 17:39:34',null);
INSERT INTO complaint_statuses VALUES('17396','5240','3',null,'90',null,'08-APR-2021
COM FF TO ARSHAD SIR','92','92','2021-04-08 17:57:44','2021-04-12 10:51:50',null);
INSERT INTO complaint_statuses VALUES('17397','5241','2',null,'81',null,'08-APR-2021
COM FF TO AZHAR FCI','92','92','2021-04-08 18:09:13','2021-04-08 18:09:13',null);
INSERT INTO complaint_statuses VALUES('17398','5241','4',null,'60',null,null,'81','81','2021-04-08 18:14:03','2021-04-08 18:14:03',null);
INSERT INTO complaint_statuses VALUES('17399','4802','7','26','81','PCB NOT AVAIL SO PLZ CLOSE IT',null,'87','87','2021-04-08 18:34:49','2021-04-08 18:34:49',null);
INSERT INTO complaint_statuses VALUES('17400','4680','7','12','81','Gas Wal kharb tha change how Gaya hy OK 1500 f',null,'88','88','2021-04-08 21:46:16','2021-04-08 21:46:16',null);
INSERT INTO complaint_statuses VALUES('17401','5181','7','22','81','Sheesha tuta hy',null,'88','88','2021-04-08 21:47:03','2021-04-08 21:47:03',null);
INSERT INTO complaint_statuses VALUES('17402','5173','7','12','81','Gas Wal ka masla tha ok',null,'88','88','2021-04-08 21:47:40','2021-04-08 21:47:40',null);
INSERT INTO complaint_statuses VALUES('17403','5158','7','12','81','Gas like karta tha OK',null,'88','88','2021-04-08 21:49:41','2021-04-08 21:49:41',null);
INSERT INTO complaint_statuses VALUES('17404','5147','7','26','81','Dusri parti k hy walcame k ni',null,'88','88','2021-04-08 21:50:33','2021-04-08 21:50:33',null);
INSERT INTO complaint_statuses VALUES('17405','5125','7','12','81','Band how jata tha ok',null,'88','88','2021-04-08 21:52:48','2021-04-08 21:52:48',null);
INSERT INTO complaint_statuses VALUES('17406','5124','7','12','81','Nab sakht the or jaliya change ki hy ok',null,'88','88','2021-04-08 21:54:15','2021-04-08 21:54:15',null);
INSERT INTO complaint_statuses VALUES('17407','5212','7','12','81','Nob outar gayi the ok',null,'88','88','2021-04-08 21:56:20','2021-04-08 21:56:20',null);
INSERT INTO complaint_statuses VALUES('17408','4836','7','12','81','Hob ki 1 auto wair kharb the or boven chalana samjaya hy OK 1300 f',null,'88','88','2021-04-08 22:00:54','2021-04-08 22:00:54',null);
INSERT INTO complaint_statuses VALUES('17409','5046','7','12','81','Gizar tank change Kar diya hy ok',null,'88','88','2021-04-08 22:02:49','2021-04-08 22:02:49',null);
INSERT INTO complaint_statuses VALUES('17410','4986','7','12','81','Thank change how Gaya hy',null,'88','88','2021-04-08 22:05:03','2021-04-08 22:05:03',null);
INSERT INTO complaint_statuses VALUES('17411','3948','7','26','81','6500 bil bataya hy castamar ny mana Kar diya hy',null,'88','88','2021-04-08 22:08:44','2021-04-08 22:08:44',null);
INSERT INTO complaint_statuses VALUES('17412','5242','3',null,'53',null,'09-APRIL-2021
COMPLAINT#301109274','74','92','2021-04-09 12:27:29','2021-04-25 14:35:25',null);
INSERT INTO complaint_statuses VALUES('17413','5190','7','12','81','Back light replaced  rs 8000
With pic&drop',null,'83','83','2021-04-09 12:30:06','2021-04-09 12:30:06',null);
INSERT INTO complaint_statuses VALUES('17414','5192','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-09 12:36:01','2021-04-09 12:36:01',null);
INSERT INTO complaint_statuses VALUES('17415','5185','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-09 12:38:46','2021-04-09 12:38:46',null);
INSERT INTO complaint_statuses VALUES('17416','5224','8','23','56','NAME . AHSAAN 
CELL#0311-3110013',null,'81','81','2021-04-09 12:39:52','2021-04-09 12:39:52',null);
INSERT INTO complaint_statuses VALUES('17417','5179','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-09 12:42:48','2021-04-09 12:42:48',null);
INSERT INTO complaint_statuses VALUES('17418','5174','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-09 12:44:50','2021-04-09 12:44:50',null);
INSERT INTO complaint_statuses VALUES('17419','5215','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-04-09 12:45:30','2021-04-09 12:45:30',null);
INSERT INTO complaint_statuses VALUES('17420','5212','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-09 12:48:40','2021-04-09 12:56:13',null);
INSERT INTO complaint_statuses VALUES('17421','5195','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-09 12:51:42','2021-04-09 12:56:40',null);
INSERT INTO complaint_statuses VALUES('17422','5190','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-09 12:53:30','2021-04-09 12:57:37',null);
INSERT INTO complaint_statuses VALUES('17423','5189','8','23','60','CUSTOMER SATISFIED NAI HAIN
FCI BRANCH MEAGER IKHLAQ SAB KO B INFORMED KAR DIA',null,'81','81','2021-04-09 13:04:53','2021-04-09 13:04:53',null);
INSERT INTO complaint_statuses VALUES('17424','5206','7','24','81','Under Repair in SVC.',null,'76','76','2021-04-09 13:22:12','2021-04-09 13:22:12',null);
INSERT INTO complaint_statuses VALUES('17425','5241','7','24','81','Monday ko frezer workshop aye ga',null,'82','82','2021-04-09 14:30:31','2021-04-09 14:30:31',null);
INSERT INTO complaint_statuses VALUES('17426','4356','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-09 14:42:54','2021-04-09 15:20:31',null);
INSERT INTO complaint_statuses VALUES('17427','5241','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-04-09 14:44:51','2021-04-09 14:44:51',null);
INSERT INTO complaint_statuses VALUES('17428','5206','8','23','55','OK JOB COMPLETED QUKILEY',null,'81','81','2021-04-09 14:50:01','2021-04-09 14:50:01',null);
INSERT INTO complaint_statuses VALUES('17429','5169','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-09 14:50:43','2021-04-09 14:50:43',null);
INSERT INTO complaint_statuses VALUES('17430','5186','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-09 14:53:17','2021-04-09 15:01:36',null);
INSERT INTO complaint_statuses VALUES('17431','5181','8','23','63','CUSTOMER KO GLASS HI REQUIRED HAIN WO STEEL KA TOP COVER NAI LAGWANA CHAHTAY
STEEL TOP COVER KA EXP 6000 CUSTOMER KO BATA DIA',null,'81','81','2021-04-09 14:58:46','2021-04-09 14:58:46',null);
INSERT INTO complaint_statuses VALUES('17432','5180','8','23','58','JOB COMPLETED QUKILEY',null,'81','81','2021-04-09 14:59:24','2021-04-09 14:59:24',null);
INSERT INTO complaint_statuses VALUES('17433','5173','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-09 15:07:02','2021-04-09 15:19:15',null);
INSERT INTO complaint_statuses VALUES('17434','5158','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-09 15:08:17','2021-04-09 15:19:56',null);
INSERT INTO complaint_statuses VALUES('17435','5243','2',null,'81',null,'09-APRIL-2021
FF TO AZHAR FCI','74','74','2021-04-09 15:10:11','2021-04-09 15:10:11',null);
INSERT INTO complaint_statuses VALUES('17436','5243','4',null,'60',null,null,'81','81','2021-04-09 15:13:52','2021-04-09 15:13:52',null);
INSERT INTO complaint_statuses VALUES('17437','5171','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-09 15:21:59','2021-04-09 15:21:59',null);
INSERT INTO complaint_statuses VALUES('17438','5138','5','15',null,'PAID JOB HAIN 1300 VISIT CHARGES HAIN 2000 TECHNICAL WORKING','COMPLAINT RESOLVED','81','74','2021-04-09 15:34:40','2021-04-09 15:37:15',null);
INSERT INTO complaint_statuses VALUES('17439','5125','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-09 15:45:50','2021-04-09 15:52:27',null);
INSERT INTO complaint_statuses VALUES('17440','5244','2',null,'81',null,'09-JULY-2021
FF TO KHURRAM 5 STAR','74','74','2021-04-09 15:48:02','2021-04-09 15:48:02',null);
INSERT INTO complaint_statuses VALUES('17441','5244','4',null,'63',null,null,'81','81','2021-04-09 15:49:27','2021-04-09 15:49:27',null);
INSERT INTO complaint_statuses VALUES('17442','5165','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-09 15:51:58','2021-04-09 15:51:58',null);
INSERT INTO complaint_statuses VALUES('17443','5245','3',null,'73',null,'09-APRIL-2021
COMPLAINT#4423','74','74','2021-04-09 15:55:48','2021-04-09 15:55:48',null);
INSERT INTO complaint_statuses VALUES('17444','5124','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-09 15:58:58','2021-04-09 16:01:36',null);
INSERT INTO complaint_statuses VALUES('17445','5164','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-09 16:00:01','2021-04-09 16:00:01',null);
INSERT INTO complaint_statuses VALUES('17446','5109','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-09 16:00:52','2021-04-09 16:02:02',null);
INSERT INTO complaint_statuses VALUES('17447','5157','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-09 16:35:43','2021-04-09 16:35:43',null);
INSERT INTO complaint_statuses VALUES('17448','5156','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-09 16:40:45','2021-04-09 16:40:45',null);
INSERT INTO complaint_statuses VALUES('17449','5155','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-09 16:54:45','2021-04-09 16:54:45',null);
INSERT INTO complaint_statuses VALUES('17450','5246','3',null,'55',null,'09-APRIL-2021
FF TO WAQAR KENWOOD','74','74','2021-04-09 16:58:46','2021-04-09 16:58:46',null);
INSERT INTO complaint_statuses VALUES('17451','5145','5','15',null,'DOOR REPLACE HO GAYA VIDEO  B.COOL KO FF KAR DI HAIN COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-04-09 17:25:55','2021-04-10 12:49:52',null);
INSERT INTO complaint_statuses VALUES('17452','5074','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-04-09 17:31:18','2021-04-10 12:51:08',null);
INSERT INTO complaint_statuses VALUES('17453','5180','7','12','81','unit replace  kr dya hai,c/o khurram sb complint resoved,',null,'79','79','2021-04-10 10:44:10','2021-04-10 10:44:10',null);
INSERT INTO complaint_statuses VALUES('17454','5127','7','12','81','compliant resolved,compressor chnage',null,'79','79','2021-04-10 10:45:04','2021-04-10 10:45:04',null);
INSERT INTO complaint_statuses VALUES('17455','5247','3',null,'52',null,'10-APR-2021
COM NO PKRI-210410102802','92','92','2021-04-10 10:58:08','2021-04-10 10:58:08',null);
INSERT INTO complaint_statuses VALUES('17456','5248','3',null,'65',null,'10-APR-2021
COM NO 072117463','92','92','2021-04-10 11:24:13','2021-04-10 11:24:13',null);
INSERT INTO complaint_statuses VALUES('17457','5249','3',null,'52',null,'10-APR-2021
COM NO PKRI-210413109570','92','92','2021-04-10 11:40:54','2021-04-13 14:35:59',null);
INSERT INTO complaint_statuses VALUES('17458','5250','2',null,'81',null,'10-APR-2021
COM FF TO BEST COOL','92','92','2021-04-10 11:51:11','2021-04-10 11:51:11',null);
INSERT INTO complaint_statuses VALUES('17459','5250','4',null,'58',null,null,'81','81','2021-04-10 11:56:12','2021-04-10 11:56:12',null);
INSERT INTO complaint_statuses VALUES('17460','4680','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-04-10 12:11:33','2021-04-10 13:09:43',null);
INSERT INTO complaint_statuses VALUES('17461','4793','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-04-10 12:14:51','2021-04-10 13:11:24',null);
INSERT INTO complaint_statuses VALUES('17462','4802','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-04-10 12:15:56','2021-04-10 13:10:30',null);
INSERT INTO complaint_statuses VALUES('17463','4836','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-04-10 12:17:03','2021-04-10 13:07:40',null);
INSERT INTO complaint_statuses VALUES('17464','4986','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-04-10 12:19:27','2021-04-13 14:11:33',null);
INSERT INTO complaint_statuses VALUES('17465','5046','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-04-10 12:20:47','2021-04-10 12:53:39',null);
INSERT INTO complaint_statuses VALUES('17466','5003','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-04-10 12:22:26','2021-04-10 13:06:30',null);
INSERT INTO complaint_statuses VALUES('17467','5062','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-04-10 12:24:30','2021-04-10 12:51:51',null);
INSERT INTO complaint_statuses VALUES('17468','5127','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-04-10 12:26:21','2021-04-10 12:50:26',null);
INSERT INTO complaint_statuses VALUES('17469','5180','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-04-10 12:27:24','2021-04-10 12:49:03',null);
INSERT INTO complaint_statuses VALUES('17470','5251','2',null,'81',null,'10-APR-2021
COM FF TO HOME SOLUTION','92','92','2021-04-10 12:47:51','2021-04-10 12:47:51',null);
INSERT INTO complaint_statuses VALUES('17471','5251','4',null,'62',null,null,'81','81','2021-04-10 12:48:36','2021-04-10 12:48:36',null);
INSERT INTO complaint_statuses VALUES('17472','5237','7','12','81','ISSUE RESOLVED',null,'87','87','2021-04-10 14:17:25','2021-04-10 14:17:25',null);
INSERT INTO complaint_statuses VALUES('17473','5252','2',null,'81',null,'10-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-10 14:40:50','2021-04-10 14:42:11',null);
INSERT INTO complaint_statuses VALUES('17474','5252','4',null,'55',null,null,'81','81','2021-04-10 14:43:48','2021-04-10 14:43:48',null);
INSERT INTO complaint_statuses VALUES('17475','5237','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-04-10 14:45:33','2021-04-10 14:46:09',null);
INSERT INTO complaint_statuses VALUES('17476','5209','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-10 14:52:26','2021-04-10 14:52:26',null);
INSERT INTO complaint_statuses VALUES('17477','5218','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-10 15:12:01','2021-04-10 15:12:01',null);
INSERT INTO complaint_statuses VALUES('17478','5137','7','12','81','Customer not paid chargers.5500 navid salesman gul noor markit waly ny payment ny issue.kia .Adil ny charges batao deye thy.. next time ye complaint enter kerwe gain tu payment ly kr.phr visit kerye gain..thanks',null,'79','79','2021-04-10 15:12:04','2021-04-10 15:12:04',null);
INSERT INTO complaint_statuses VALUES('17479','5219','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-10 15:14:22','2021-04-10 15:14:22',null);
INSERT INTO complaint_statuses VALUES('17480','5115','7','12','81','Compressor and gas..cuplery.comolaint  resolved',null,'79','79','2021-04-10 15:15:48','2021-04-10 15:15:48',null);
INSERT INTO complaint_statuses VALUES('17481','4926','7','12','81','ISSUE RESOLVED , GAS CHARGED ONLY',null,'87','87','2021-04-10 17:03:53','2021-04-10 17:03:53',null);
INSERT INTO complaint_statuses VALUES('17482','5168','7','12','81','Back light defuser clean 
Rs 4000 home service',null,'83','83','2021-04-10 19:44:51','2021-04-10 19:44:51',null);
INSERT INTO complaint_statuses VALUES('17483','5253','3',null,'67',null,'11-APR-2021
COM FF TO ANWAR CARAVELL','92','92','2021-04-11 11:41:29','2021-04-11 11:43:42',null);
INSERT INTO complaint_statuses VALUES('17484','5254','3',null,'53',null,'11-APR-2021
COM NO 301109872','92','92','2021-04-11 12:01:59','2021-04-11 12:03:05',null);
INSERT INTO complaint_statuses VALUES('17485','5255','3',null,'54',null,'11-APR-2021
COM NO 1848890','92','92','2021-04-11 12:22:24','2021-04-11 12:26:17',null);
INSERT INTO complaint_statuses VALUES('17486','5256','3',null,'52',null,'11-APR-2021
COM NO PKRI-210411104708','92','92','2021-04-11 12:36:01','2021-04-11 13:25:37',null);
INSERT INTO complaint_statuses VALUES('17487','5257','2',null,'81',null,'11-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-11 12:52:45','2021-04-11 12:52:45',null);
INSERT INTO complaint_statuses VALUES('17488','5258','2',null,'81',null,'11-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-11 13:06:57','2021-04-11 13:06:57',null);
INSERT INTO complaint_statuses VALUES('17489','5259','3',null,'54',null,'11-APR-2021
COM NO 1848938','92','92','2021-04-11 13:12:16','2021-04-11 13:14:37',null);
INSERT INTO complaint_statuses VALUES('17490','5260','3',null,'59',null,'11-APR-2021
COM NO 4244465477','92','92','2021-04-11 13:46:48','2021-04-11 13:46:48',null);
INSERT INTO complaint_statuses VALUES('17491','5261','2',null,'81',null,'11-APR-2021
COM FF TO KHALID SONY','92','92','2021-04-11 14:01:31','2021-04-11 14:01:31',null);
INSERT INTO complaint_statuses VALUES('17492','5262','3',null,'54',null,'11-APR-2021
COM NO 1848973','92','92','2021-04-11 14:08:08','2021-04-11 14:08:08',null);
INSERT INTO complaint_statuses VALUES('17493','5258','4',null,'63',null,null,'81','81','2021-04-11 14:15:18','2021-04-11 14:15:18',null);
INSERT INTO complaint_statuses VALUES('17494','5263','3',null,'57',null,'11-APR-2021
COM NO 17588','92','92','2021-04-11 14:23:16','2021-04-11 14:23:16',null);
INSERT INTO complaint_statuses VALUES('17495','5257','4',null,'63',null,null,'81','81','2021-04-11 14:28:30','2021-04-11 14:28:30',null);
INSERT INTO complaint_statuses VALUES('17496','5264','3',null,'67',null,'11-APR-2021
COM FF TO ANWAR CARAVELL','92','92','2021-04-11 14:40:13','2021-04-13 13:18:43',null);
INSERT INTO complaint_statuses VALUES('17497','5265','2',null,'81',null,'11-APR-2021
COM FF TO BEST COOL','92','92','2021-04-11 15:19:07','2021-04-11 15:19:07',null);
INSERT INTO complaint_statuses VALUES('17498','5265','4',null,'58',null,null,'81','81','2021-04-11 15:20:00','2021-04-11 15:20:00',null);
INSERT INTO complaint_statuses VALUES('17499','5266','3',null,'54',null,'11-APR-2021
COM NO 1849038','92','92','2021-04-11 15:32:14','2021-04-11 15:33:45',null);
INSERT INTO complaint_statuses VALUES('17500','4410','7','26','81','is customer ny rabta nahi kiya complaint cancel kr dain  ya customer sy check kr lain  dubara',null,'83','83','2021-04-11 17:57:09','2021-04-11 17:57:09',null);
INSERT INTO complaint_statuses VALUES('17501','5250','7','12','81','complaint resolved',null,'79','79','2021-04-11 19:56:01','2021-04-11 19:56:01',null);
INSERT INTO complaint_statuses VALUES('17502','5267','3',null,'55',null,'12-APR-2021
COM NO RWP-17864','92','92','2021-04-12 11:19:14','2021-04-12 11:20:58',null);
INSERT INTO complaint_statuses VALUES('17503','5268','2',null,'81',null,'12-APR-2021
COM FF TO BEST COOL','92','92','2021-04-12 11:35:14','2021-04-12 11:35:14',null);
INSERT INTO complaint_statuses VALUES('17504','5268','4',null,'58',null,null,'81','81','2021-04-12 11:46:08','2021-04-12 11:46:08',null);
INSERT INTO complaint_statuses VALUES('17505','5269','3',null,'52',null,'12-APR-2021
COM NO PKRI-210412106170','92','92','2021-04-12 12:20:05','2021-04-12 12:23:57',null);
INSERT INTO complaint_statuses VALUES('17506','5270','2',null,'81',null,'12-APR-2021
COM FF TO KHALID SONY','92','92','2021-04-12 12:33:25','2021-04-12 12:33:25',null);
INSERT INTO complaint_statuses VALUES('17507','5236','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-12 12:33:59','2021-04-12 12:33:59',null);
INSERT INTO complaint_statuses VALUES('17508','5250','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-04-12 12:35:46','2021-04-12 12:43:18',null);
INSERT INTO complaint_statuses VALUES('17509','5168','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-12 12:37:13','2021-04-12 13:35:44',null);
INSERT INTO complaint_statuses VALUES('17510','5235','5',null,null,'COMPLAINT CLOSED','COMPLAINT ATTEND HO GEI HAIN  CUSTOMER NA KOI CHARGES PAY NAI KIAY','74','74','2021-04-12 12:39:12','2021-04-20 15:52:16',null);
INSERT INTO complaint_statuses VALUES('17511','5101','7','26','81','Compny ky log kar gy hy',null,'82','82','2021-04-12 12:42:54','2021-04-12 12:42:54',null);
INSERT INTO complaint_statuses VALUES('17512','5270','4',null,'56',null,null,'81','81','2021-04-12 12:42:56','2021-04-12 12:42:56',null);
INSERT INTO complaint_statuses VALUES('17513','5271','2',null,'81',null,'12-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-12 12:59:31','2021-04-12 12:59:31',null);
INSERT INTO complaint_statuses VALUES('17514','5271','4',null,'55',null,null,'81','81','2021-04-12 13:19:29','2021-04-12 13:19:29',null);
INSERT INTO complaint_statuses VALUES('17515','5261','4',null,'56',null,'COMPLAINT RESOLVED','81','74','2021-04-12 13:19:44','2021-04-14 11:34:26',null);
INSERT INTO complaint_statuses VALUES('17516','5038','7','12','81','glass change ,complaint resolved',null,'79','79','2021-04-12 13:41:01','2021-04-12 13:41:01',null);
INSERT INTO complaint_statuses VALUES('17517','5272','3',null,'73',null,'12-APR-2021
COM NO 4443','92','92','2021-04-12 13:45:39','2021-04-12 13:45:39',null);
INSERT INTO complaint_statuses VALUES('17518','5217','7','12','81','max ki cooking range ,',null,'79','79','2021-04-12 13:46:54','2021-04-12 13:46:54',null);
INSERT INTO complaint_statuses VALUES('17519','5273','2',null,'81',null,'12-APR-2021
COM NO 19367','92','92','2021-04-12 13:50:37','2021-04-12 16:21:59',null);
INSERT INTO complaint_statuses VALUES('17520','5189','7','12','81','Medam mariam sy hud chenj kar wa dia hy',null,'82','82','2021-04-12 13:57:30','2021-04-12 13:57:30',null);
INSERT INTO complaint_statuses VALUES('17521','5177','7','24','81','Washing machin  hamari workshop py aye gi',null,'82','82','2021-04-12 14:02:22','2021-04-12 14:02:22',null);
INSERT INTO complaint_statuses VALUES('17522','5274','3',null,'53',null,'12-APR-2021
COM NO 1111121','92','92','2021-04-12 14:21:47','2021-04-14 10:32:18',null);
INSERT INTO complaint_statuses VALUES('17523','5275','2',null,'81',null,'12-APRIL-2021
FF TO KHALID','74','74','2021-04-12 14:26:19','2021-04-12 14:26:19',null);
INSERT INTO complaint_statuses VALUES('17524','5275','4',null,'56',null,null,'81','81','2021-04-12 14:28:01','2021-04-12 14:28:01',null);
INSERT INTO complaint_statuses VALUES('17525','5276','3',null,'67',null,'12-APR-2021
COM FF TO ANWAR CARAVELL','92','92','2021-04-12 14:32:54','2021-04-12 14:32:54',null);
INSERT INTO complaint_statuses VALUES('17526','5227','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-12 14:39:23','2021-04-12 14:39:23',null);
INSERT INTO complaint_statuses VALUES('17527','5222','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-12 14:41:08','2021-04-12 14:41:08',null);
INSERT INTO complaint_statuses VALUES('17528','5277','2',null,'81',null,'12-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-12 14:50:22','2021-04-12 15:03:13',null);
INSERT INTO complaint_statuses VALUES('17529','5007','7','12','81','complaint reolved',null,'79','79','2021-04-12 14:52:33','2021-04-12 14:52:33',null);
INSERT INTO complaint_statuses VALUES('17530','5278','2',null,'81',null,'12-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-12 14:56:08','2021-04-12 14:56:08',null);
INSERT INTO complaint_statuses VALUES('17531','5152','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-12 14:58:04','2021-04-12 14:58:04',null);
INSERT INTO complaint_statuses VALUES('17532','5151','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-12 15:17:04','2021-04-12 15:17:04',null);
INSERT INTO complaint_statuses VALUES('17533','5279','3',null,'54',null,'12-APR-2021
COM NO 1849951','92','92','2021-04-12 15:17:44','2021-04-12 15:17:44',null);
INSERT INTO complaint_statuses VALUES('17534','5217','5','15',null,'WRONG MODEL SELECT HO GAYA HIAN COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-04-12 15:23:56','2021-04-12 17:29:29',null);
INSERT INTO complaint_statuses VALUES('17535','5280','2',null,'81',null,'12-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-12 15:29:23','2021-04-12 15:29:23',null);
INSERT INTO complaint_statuses VALUES('17536','5281','3',null,'55',null,'12-APR-2021
COM NO 19365','92','92','2021-04-12 15:37:49','2021-04-12 16:16:19',null);
INSERT INTO complaint_statuses VALUES('17537','5280','4',null,'63',null,null,'81','81','2021-04-12 15:38:21','2021-04-12 15:38:21',null);
INSERT INTO complaint_statuses VALUES('17538','5278','4',null,'63',null,null,'81','81','2021-04-12 15:38:29','2021-04-12 15:38:29',null);
INSERT INTO complaint_statuses VALUES('17539','5277','4',null,'63',null,null,'81','81','2021-04-12 15:38:38','2021-04-12 15:38:38',null);
INSERT INTO complaint_statuses VALUES('17540','5282','2',null,'81',null,'12-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-12 15:50:29','2021-04-12 15:57:21',null);
INSERT INTO complaint_statuses VALUES('17541','5148','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-12 16:01:16','2021-04-12 16:01:16',null);
INSERT INTO complaint_statuses VALUES('17542','5283','3',null,'54',null,'12-APR-2021
COM NO 1845442','92','92','2021-04-12 16:05:35','2021-04-12 16:08:12',null);
INSERT INTO complaint_statuses VALUES('17543','3948','5','15',null,'EXP IN FORMED KAR DIA CUSTOMER SIDE SA DELAY COMPLAINT','COMPLAINT CLOSED','81','74','2021-04-12 16:07:41','2021-04-12 17:32:56',null);
INSERT INTO complaint_statuses VALUES('17544','4410','5','15',null,'CUSTOMER STILL NOT ATTEND CALL SO COMPLAINT CLOSED PARTY LIFTING CASE HAIN','COMPLAINT CLOSED','81','74','2021-04-12 16:12:37','2021-04-12 17:30:59',null);
INSERT INTO complaint_statuses VALUES('17545','5144','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-12 16:14:17','2021-04-12 16:14:17',null);
INSERT INTO complaint_statuses VALUES('17546','5115','8','23','58','FREEZER DELVER KARWA K COMPLAINT COMPLETED KARAY',null,'81','81','2021-04-12 16:15:19','2021-04-12 16:15:19',null);
INSERT INTO complaint_statuses VALUES('17547','5101','8','23','60','KON C COMPANY',null,'81','81','2021-04-12 16:16:33','2021-04-12 16:16:33',null);
INSERT INTO complaint_statuses VALUES('17548','5143','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-12 16:18:09','2021-04-12 16:18:09',null);
INSERT INTO complaint_statuses VALUES('17549','5282','4',null,'63',null,null,'81','81','2021-04-12 16:22:52','2021-04-12 16:22:52',null);
INSERT INTO complaint_statuses VALUES('17550','5273','4',null,'64',null,null,'81','81','2021-04-12 16:24:26','2021-04-12 16:24:26',null);
INSERT INTO complaint_statuses VALUES('17551','5284','2',null,'81',null,'12-APR-2021
COM FF TO USMAN SIR','92','92','2021-04-12 16:37:34','2021-04-15 16:36:47',null);
INSERT INTO complaint_statuses VALUES('17552','5284','4',null,'61',null,null,'81','81','2021-04-12 16:39:06','2021-04-12 16:39:06',null);
INSERT INTO complaint_statuses VALUES('17553','5285','3',null,'52',null,'12-APR-2021
COM NO PKRI-210412113404','92','92','2021-04-12 16:47:15','2021-04-12 16:47:15',null);
INSERT INTO complaint_statuses VALUES('17554','5286','2',null,'81',null,'12-APR-2021
COM FF TO AZHAR SIR','92','92','2021-04-12 16:56:01','2021-04-12 16:56:01',null);
INSERT INTO complaint_statuses VALUES('17555','5286','4',null,'60',null,null,'81','81','2021-04-12 17:04:05','2021-04-12 17:04:05',null);
INSERT INTO complaint_statuses VALUES('17556','5287','2',null,'81',null,'12-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-12 17:11:42','2021-04-12 17:11:42',null);
INSERT INTO complaint_statuses VALUES('17557','5140','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-12 17:11:51','2021-04-12 17:11:51',null);
INSERT INTO complaint_statuses VALUES('17558','5229','7','26','81','Cusotmer unit lift Krny sy mana Mr Diya ha',null,'83','83','2021-04-12 17:11:55','2021-04-12 17:11:55',null);
INSERT INTO complaint_statuses VALUES('17559','4545','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-12 17:28:32','2021-04-12 17:28:32',null);
INSERT INTO complaint_statuses VALUES('17560','5288','2',null,'81',null,'12-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-12 17:28:54','2021-04-12 17:28:54',null);
INSERT INTO complaint_statuses VALUES('17561','5131','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-12 17:32:18','2021-04-12 17:32:18',null);
INSERT INTO complaint_statuses VALUES('17562','5289','3',null,'57',null,'12-APR-2021
COM NO 17620','92','92','2021-04-12 17:35:28','2021-04-13 16:43:08',null);
INSERT INTO complaint_statuses VALUES('17563','5108','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-12 17:35:39','2021-04-12 17:35:39',null);
INSERT INTO complaint_statuses VALUES('17564','5072','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-12 17:37:23','2021-04-12 17:37:23',null);
INSERT INTO complaint_statuses VALUES('17565','5288','4',null,'55',null,null,'81','81','2021-04-12 17:42:10','2021-04-12 17:42:10',null);
INSERT INTO complaint_statuses VALUES('17566','5288','4',null,'55',null,null,'81','81','2021-04-12 17:42:11','2021-04-12 17:42:11',null);
INSERT INTO complaint_statuses VALUES('17567','5288','4',null,'55',null,null,'81','81','2021-04-12 17:42:11','2021-04-12 17:42:11',null);
INSERT INTO complaint_statuses VALUES('17568','5287','4',null,'55',null,null,'81','81','2021-04-12 17:42:22','2021-04-12 17:42:22',null);
INSERT INTO complaint_statuses VALUES('17569','5290','2',null,'81',null,'12-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-12 17:45:42','2021-04-12 17:45:42',null);
INSERT INTO complaint_statuses VALUES('17570','5290','4',null,'63',null,null,'81','81','2021-04-12 18:08:36','2021-04-12 18:08:36',null);
INSERT INTO complaint_statuses VALUES('17571','5139','7','12','81','compliant resolved,jet  issue',null,'79','79','2021-04-13 10:28:43','2021-04-13 10:28:43',null);
INSERT INTO complaint_statuses VALUES('17572','5059','7','12','81','compliant resovled',null,'79','79','2021-04-13 10:42:18','2021-04-13 10:42:18',null);
INSERT INTO complaint_statuses VALUES('17573','5291','2',null,'81',null,'13-APR-2021
COM FF TO USMAN SIR','92','92','2021-04-13 11:10:48','2021-04-13 11:10:48',null);
INSERT INTO complaint_statuses VALUES('17574','5292','3',null,'53',null,'13-APR-2021
COM NO 1111107
2ND COM NO 1111112
3rd COM NO 1111115','92','92','2021-04-13 11:16:31','2021-04-14 10:29:05',null);
INSERT INTO complaint_statuses VALUES('17575','5293','3',null,'65',null,'13-APR-2021
COM NO 192121643','92','92','2021-04-13 11:23:19','2021-04-13 11:27:06',null);
INSERT INTO complaint_statuses VALUES('17576','5294','3',null,'52',null,'13-APR-2021
COM NO PKRI-210413112143','92','92','2021-04-13 11:49:53','2021-04-13 16:18:39',null);
INSERT INTO complaint_statuses VALUES('17577','5295','2',null,'81',null,'13-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-13 11:57:53','2021-04-13 11:57:53',null);
INSERT INTO complaint_statuses VALUES('17578','5295','4',null,'55',null,null,'81','81','2021-04-13 12:00:36','2021-04-13 12:00:36',null);
INSERT INTO complaint_statuses VALUES('17579','5291','4',null,'61',null,null,'81','81','2021-04-13 12:00:50','2021-04-13 12:00:50',null);
INSERT INTO complaint_statuses VALUES('17580','5296','3',null,'52',null,'13-APR-2021
COM NO PKRI-210413105479','92','92','2021-04-13 12:10:06','2021-04-13 12:11:22',null);
INSERT INTO complaint_statuses VALUES('17581','5297','2',null,'81',null,'13-APP-2021
COM FF TO BEST COOL','92','92','2021-04-13 12:15:34','2021-04-13 12:15:34',null);
INSERT INTO complaint_statuses VALUES('17582','5297','4',null,'58',null,null,'81','81','2021-04-13 12:17:54','2021-04-13 12:17:54',null);
INSERT INTO complaint_statuses VALUES('17583','5210','7','12','81',null,null,'87','87','2021-04-13 12:25:44','2021-04-13 12:25:44',null);
INSERT INTO complaint_statuses VALUES('17584','5298','3',null,'52',null,'13-APR-2021
COM NO PKRI-210413105807','92','92','2021-04-13 12:26:14','2021-04-13 12:26:14',null);
INSERT INTO complaint_statuses VALUES('17585','5299','3',null,'65',null,'13-APR-2021
COM NO 192121647','92','92','2021-04-13 12:34:00','2021-04-13 12:37:53',null);
INSERT INTO complaint_statuses VALUES('17586','4887','7','12','81','complaint reoslved,alternate lock lgya hai',null,'79','79','2021-04-13 12:35:54','2021-04-13 12:35:54',null);
INSERT INTO complaint_statuses VALUES('17587','5229','5','15',null,'CUSTOMER NA COMPLAINT ABI KHUD SA CANCELLED KARWA DI COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-04-13 12:39:33','2021-04-13 13:11:20',null);
INSERT INTO complaint_statuses VALUES('17588','5210','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-13 12:41:49','2021-04-13 13:11:53',null);
INSERT INTO complaint_statuses VALUES('17589','5189','5','29',null,'MARIYAM MADAM NA HOOD REPLACE KARWA DI FULTY HOOD CUSTOMER SHOWROOM PA MOVE KARWA DAY GAY','COMPLAINT RESOLVED','81','74','2021-04-13 12:43:14','2021-04-13 13:12:50',null);
INSERT INTO complaint_statuses VALUES('17590','5300','3',null,'53',null,'13-APR-2021
COM NO 1111122','92','92','2021-04-13 12:43:21','2021-04-14 10:34:59',null);
INSERT INTO complaint_statuses VALUES('17591','5177','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-04-13 12:44:00','2021-04-13 12:44:00',null);
INSERT INTO complaint_statuses VALUES('17592','5301','2',null,'81',null,'13-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-13 12:57:29','2021-04-13 12:57:29',null);
INSERT INTO complaint_statuses VALUES('17593','5247','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-13 12:58:31','2021-04-13 12:58:31',null);
INSERT INTO complaint_statuses VALUES('17594','5246','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-13 13:00:59','2021-04-13 13:00:59',null);
INSERT INTO complaint_statuses VALUES('17595','5245','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-13 13:03:51','2021-04-13 13:03:51',null);
INSERT INTO complaint_statuses VALUES('17596','5302','2',null,'81',null,'13-APR-2021
COM NO PKRI-210413107332','92','92','2021-04-13 13:05:35','2021-04-13 13:05:35',null);
INSERT INTO complaint_statuses VALUES('17597','5302','4',null,'64',null,null,'81','81','2021-04-13 13:06:07','2021-04-13 13:06:07',null);
INSERT INTO complaint_statuses VALUES('17598','5172','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-13 13:06:08','2021-04-13 13:06:08',null);
INSERT INTO complaint_statuses VALUES('17599','5301','4',null,'63',null,null,'81','81','2021-04-13 13:06:15','2021-04-13 13:06:15',null);
INSERT INTO complaint_statuses VALUES('17600','5139','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-13 13:06:47','2021-04-13 13:14:05',null);
INSERT INTO complaint_statuses VALUES('17601','5302','7','12','81',null,null,'91','91','2021-04-13 13:07:04','2021-04-13 13:07:04',null);
INSERT INTO complaint_statuses VALUES('17602','5221','7','12','81',null,null,'91','91','2021-04-13 13:07:52','2021-04-13 13:07:52',null);
INSERT INTO complaint_statuses VALUES('17603','5244','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-13 13:08:30','2021-04-13 13:08:30',null);
INSERT INTO complaint_statuses VALUES('17604','5302','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-04-13 13:17:16','2021-04-13 13:33:34',null);
INSERT INTO complaint_statuses VALUES('17605','5244','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-13 13:17:59','2021-04-13 13:34:03',null);
INSERT INTO complaint_statuses VALUES('17606','5221','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-13 13:18:58','2021-04-13 13:34:38',null);
INSERT INTO complaint_statuses VALUES('17607','5303','2',null,'81',null,'13-APR-2021
COM FF TO BEST COOL','92','92','2021-04-13 13:20:15','2021-04-13 13:20:15',null);
INSERT INTO complaint_statuses VALUES('17608','5303','4',null,'58',null,null,'81','81','2021-04-13 13:21:46','2021-04-13 13:21:46',null);
INSERT INTO complaint_statuses VALUES('17609','5304','3',null,'52',null,'13-APR-2021
COM NO PKRI-210413107951','92','92','2021-04-13 13:28:09','2021-04-13 16:19:15',null);
INSERT INTO complaint_statuses VALUES('17610','5239','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-13 13:33:03','2021-04-13 13:33:03',null);
INSERT INTO complaint_statuses VALUES('17611','5238','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-13 13:40:37','2021-04-13 13:40:37',null);
INSERT INTO complaint_statuses VALUES('17612','5305','2',null,'81',null,'13-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-13 13:41:59','2021-04-14 17:05:49',null);
INSERT INTO complaint_statuses VALUES('17613','5067','7','12','81',null,null,'91','91','2021-04-13 13:42:34','2021-04-13 13:42:34',null);
INSERT INTO complaint_statuses VALUES('17614','5027','7','12','81',null,null,'91','91','2021-04-13 13:43:17','2021-04-13 13:43:17',null);
INSERT INTO complaint_statuses VALUES('17615','5161','7','12','81',null,null,'91','91','2021-04-13 13:43:46','2021-04-13 13:43:46',null);
INSERT INTO complaint_statuses VALUES('17616','5078','8','23','58','JOB COMPLETED  QUKILEY',null,'81','81','2021-04-13 13:44:10','2021-04-13 13:44:10',null);
INSERT INTO complaint_statuses VALUES('17617','5161','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-13 13:45:11','2021-04-13 14:10:16',null);
INSERT INTO complaint_statuses VALUES('17618','5067','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-04-13 13:46:20','2021-04-13 14:10:44',null);
INSERT INTO complaint_statuses VALUES('17619','5184','7','12','81',null,null,'91','91','2021-04-13 13:53:40','2021-04-13 13:53:40',null);
INSERT INTO complaint_statuses VALUES('17620','5188','7','12','81',null,null,'91','91','2021-04-13 14:00:12','2021-04-13 14:00:12',null);
INSERT INTO complaint_statuses VALUES('17621','5306','2',null,'81',null,'13-APR-2021
COM FF TO HOME SOLUTION','92','92','2021-04-13 14:04:53','2021-04-13 14:04:53',null);
INSERT INTO complaint_statuses VALUES('17622','5233','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-13 14:09:38','2021-04-13 14:09:38',null);
INSERT INTO complaint_statuses VALUES('17623','5307','2',null,'81',null,'13-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-13 14:11:18','2021-04-13 14:11:18',null);
INSERT INTO complaint_statuses VALUES('17624','5307','4',null,'55',null,null,'81','81','2021-04-13 14:13:47','2021-04-13 14:13:47',null);
INSERT INTO complaint_statuses VALUES('17625','5306','4',null,'62',null,null,'81','81','2021-04-13 14:14:06','2021-04-13 14:14:06',null);
INSERT INTO complaint_statuses VALUES('17626','5305','4',null,'55',null,null,'81','81','2021-04-13 14:14:17','2021-04-13 14:14:17',null);
INSERT INTO complaint_statuses VALUES('17627','5188','5','15',null,'COMPLETED COMPLAINT','RESOLVED','81','73','2021-04-13 14:14:29','2021-04-13 14:19:09',null);
INSERT INTO complaint_statuses VALUES('17628','5184','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-04-13 14:15:10','2021-04-13 14:15:10',null);
INSERT INTO complaint_statuses VALUES('17629','5027','5','15',null,null,null,'81','81','2021-04-13 14:18:33','2021-04-13 14:18:33',null);
INSERT INTO complaint_statuses VALUES('17630','4926','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-13 14:22:09','2021-04-13 14:23:39',null);
INSERT INTO complaint_statuses VALUES('17631','5059','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-13 14:25:33','2021-04-13 14:26:27',null);
INSERT INTO complaint_statuses VALUES('17632','4887','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-13 14:27:21','2021-04-13 15:37:20',null);
INSERT INTO complaint_statuses VALUES('17633','5007','8','23','58','COMPLAINT RESOLVED NAI HOA KINDLY AGAIN CUSTOMER SA CONTACT KARAY',null,'81','81','2021-04-13 14:30:55','2021-04-13 14:30:55',null);
INSERT INTO complaint_statuses VALUES('17634','5038','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-13 14:31:58','2021-04-13 15:36:48',null);
INSERT INTO complaint_statuses VALUES('17635','5230','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-13 14:34:52','2021-04-13 14:34:52',null);
INSERT INTO complaint_statuses VALUES('17636','5308','3',null,'52',null,'13-APR-2021
COM NO PKRI-210413112515','92','92','2021-04-13 14:53:39','2021-04-13 16:27:16',null);
INSERT INTO complaint_statuses VALUES('17637','5309','2',null,'81',null,'13-APR-2021
COM FF TO HOME SOLUTION','92','92','2021-04-13 15:12:17','2021-04-13 15:12:17',null);
INSERT INTO complaint_statuses VALUES('17638','5309','4',null,'62',null,null,'81','81','2021-04-13 15:16:47','2021-04-13 15:16:47',null);
INSERT INTO complaint_statuses VALUES('17639','5310','3',null,'73',null,'13-APR-2021
COM NO 4454','92','92','2021-04-13 15:28:34','2021-04-13 15:28:34',null);
INSERT INTO complaint_statuses VALUES('17640','5214','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-13 15:28:54','2021-04-13 15:28:54',null);
INSERT INTO complaint_statuses VALUES('17641','5030','7','12','81','Panel repair Black spot remove from defuser sheet rs 3000
Visit 500
Transportation 2000
Total 5500',null,'83','83','2021-04-13 15:29:47','2021-04-13 15:29:47',null);
INSERT INTO complaint_statuses VALUES('17642','5207','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-13 15:36:17','2021-04-13 15:36:17',null);
INSERT INTO complaint_statuses VALUES('17643','5311','3',null,'52',null,'13-APR-2021
COM NO PKPR-210413113106','92','92','2021-04-13 15:39:19','2021-04-13 16:53:14',null);
INSERT INTO complaint_statuses VALUES('17644','5312','3',null,'52',null,'13-APR-2021
COM NO PKRI-2104413112632','92','92','2021-04-13 15:50:44','2021-04-13 16:44:45',null);
INSERT INTO complaint_statuses VALUES('17645','5313','3',null,'54',null,'13-APR-2021
COM NO PKRI-21041851071','92','92','2021-04-13 16:12:13','2021-04-13 16:14:58',null);
INSERT INTO complaint_statuses VALUES('17646','5196','7','26','81','JB KRWANI HUI CL KREIN GE BY CUSTOMER',null,'87','87','2021-04-13 16:24:57','2021-04-13 16:24:57',null);
INSERT INTO complaint_statuses VALUES('17647','5314','2',null,'81',null,'13-APR-2021
COM FF TO BEST COOL','92','92','2021-04-13 17:07:01','2021-04-13 17:07:01',null);
INSERT INTO complaint_statuses VALUES('17648','5315','2',null,'81',null,'13-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-13 17:17:09','2021-04-13 17:17:09',null);
INSERT INTO complaint_statuses VALUES('17649','5316','3',null,'65',null,'13-APR-2021
COM NO 192121657','92','92','2021-04-13 17:25:12','2021-04-13 17:27:29',null);
INSERT INTO complaint_statuses VALUES('17650','5317','3',null,'52',null,'13-APR-2021
COM NO PKRI-210413114063','92','92','2021-04-13 17:31:32','2021-04-13 17:33:31',null);
INSERT INTO complaint_statuses VALUES('17651','5318','3',null,'52',null,'13-APR-2021
COM NO PKRI-210413114275','92','92','2021-04-13 17:43:49','2021-04-13 17:43:49',null);
INSERT INTO complaint_statuses VALUES('17652','5315','4',null,'55',null,null,'81','81','2021-04-13 17:46:04','2021-04-13 17:46:04',null);
INSERT INTO complaint_statuses VALUES('17653','5314','4',null,'58',null,null,'81','81','2021-04-13 17:46:18','2021-04-13 17:46:18',null);
INSERT INTO complaint_statuses VALUES('17654','5114','7','22','81','set ok 
set deliver kr dia hy par hmara main board ni aya es lia complain close ni kr rha 
main board receive bhria phas 7',null,'80','80','2021-04-13 17:47:38','2021-04-13 17:47:38',null);
INSERT INTO complaint_statuses VALUES('17655','4529','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-13 17:50:46','2021-04-13 17:50:46',null);
INSERT INTO complaint_statuses VALUES('17656','5319','2',null,'81',null,'13-APR-2021
COM FF TO KHALID SONY','92','92','2021-04-13 17:56:52','2021-04-13 17:56:52',null);
INSERT INTO complaint_statuses VALUES('17657','4519','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-13 17:59:49','2021-04-13 17:59:49',null);
INSERT INTO complaint_statuses VALUES('17658','5319','4',null,'56',null,null,'81','81','2021-04-13 18:00:06','2021-04-13 18:00:06',null);
INSERT INTO complaint_statuses VALUES('17659','5319','4',null,'56',null,null,'81','81','2021-04-13 18:00:07','2021-04-13 18:00:07',null);
INSERT INTO complaint_statuses VALUES('17660','5319','4',null,'56',null,null,'81','81','2021-04-13 18:00:07','2021-04-13 18:00:07',null);
INSERT INTO complaint_statuses VALUES('17661','5040','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-13 18:01:32','2021-04-13 18:01:32',null);
INSERT INTO complaint_statuses VALUES('17662','5150','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-13 18:06:31','2021-04-13 18:06:31',null);
INSERT INTO complaint_statuses VALUES('17663','5291','7','26','81','Unit ok Netflix problem 
Customer not interested for part replacement yet',null,'83','83','2021-04-13 18:28:30','2021-04-13 18:28:30',null);
INSERT INTO complaint_statuses VALUES('17664','5291','5','15',null,'CUSTOMER SIDE SA COMPLAINT DELAY HAIN','COMPLAINT RESOLVED','81','74','2021-04-14 11:04:21','2021-04-14 11:41:53',null);
INSERT INTO complaint_statuses VALUES('17665','5320','3',null,'65',null,'14-APR-2021
COM NO 192121661','92','92','2021-04-14 11:14:11','2021-04-14 11:17:34',null);
INSERT INTO complaint_statuses VALUES('17666','5266','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-14 11:14:40','2021-04-14 11:14:40',null);
INSERT INTO complaint_statuses VALUES('17667','5196','8','23','62','CUSTOMER SA BAI BAT HO GEI HAIN GHAR PA AVAIL HAIN KINDLY CUSTOMER SA AGAIN CONTACT KAR K ISSUE RESOLVED KARWAY',null,'81','81','2021-04-14 11:17:00','2021-04-14 11:17:00',null);
INSERT INTO complaint_statuses VALUES('17668','5262','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-14 11:28:20','2021-04-14 11:28:20',null);
INSERT INTO complaint_statuses VALUES('17669','5260','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-14 11:32:28','2021-04-14 11:32:28',null);
INSERT INTO complaint_statuses VALUES('17670','5321','2',null,'81',null,'14-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-14 11:33:05','2021-04-14 11:33:05',null);
INSERT INTO complaint_statuses VALUES('17671','5259','5',null,null,'COMPLAINT CLOSED','RANA UMER 03335284300 KAL AGAIN VISIT HO JAY GA','74','74','2021-04-14 11:36:31','2021-04-20 15:16:53',null);
INSERT INTO complaint_statuses VALUES('17672','5258','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-14 11:39:18','2021-04-14 11:39:18',null);
INSERT INTO complaint_statuses VALUES('17673','5257','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-14 11:40:22','2021-04-14 11:40:22',null);
INSERT INTO complaint_statuses VALUES('17674','5258','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-14 11:40:46','2021-04-14 11:42:30',null);
INSERT INTO complaint_statuses VALUES('17675','5257','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-14 11:41:07','2021-04-14 11:44:42',null);
INSERT INTO complaint_statuses VALUES('17676','5270','7','24','81','Power supply repaired cost   Rs. 11,980
need approval',null,'77','77','2021-04-14 11:43:46','2021-04-14 11:43:46',null);
INSERT INTO complaint_statuses VALUES('17677','5322','3',null,'69',null,'14-APR-2021
COM NO C4/61','92','92','2021-04-14 11:44:20','2021-04-14 11:50:13',null);
INSERT INTO complaint_statuses VALUES('17678','5261','7','12','81','Unit damaged. Waiting for customer approval....',null,'77','77','2021-04-14 11:44:29','2021-04-14 11:44:29',null);
INSERT INTO complaint_statuses VALUES('17679','5256','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-14 11:45:49','2021-04-14 11:45:49',null);
INSERT INTO complaint_statuses VALUES('17680','5224','7','24','81','Please send unit to service center...unit is at bahria phs 7 friends',null,'77','77','2021-04-14 11:48:49','2021-04-14 11:48:49',null);
INSERT INTO complaint_statuses VALUES('17681','5175','7','9','81',null,null,'77','77','2021-04-14 11:49:05','2021-04-14 11:49:05',null);
INSERT INTO complaint_statuses VALUES('17682','5255','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-14 11:54:52','2021-04-14 11:54:52',null);
INSERT INTO complaint_statuses VALUES('17683','5254','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-14 11:56:57','2021-04-14 11:56:57',null);
INSERT INTO complaint_statuses VALUES('17684','5323','2',null,'81',null,'14-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-14 11:59:45','2021-04-14 11:59:45',null);
INSERT INTO complaint_statuses VALUES('17685','5261','5','15',null,'CUSTOMER NA KHUD COMPLAINT CLOSED KARWA DI','COMPLAINT CLOSED','81','74','2021-04-14 12:05:13','2021-04-14 12:05:51',null);
INSERT INTO complaint_statuses VALUES('17686','5253','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-14 12:07:18','2021-04-14 12:07:18',null);
INSERT INTO complaint_statuses VALUES('17687','5324','3',null,'54',null,'14-APR-2021
COM NO 1851626','92','92','2021-04-14 12:10:16','2021-04-14 12:11:57',null);
INSERT INTO complaint_statuses VALUES('17688','5248','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-14 12:10:57','2021-04-14 12:10:57',null);
INSERT INTO complaint_statuses VALUES('17689','5201','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-14 12:18:27','2021-04-14 12:18:27',null);
INSERT INTO complaint_statuses VALUES('17690','5175','8','23','56','BAT HO GEI HAIN IQBAL SIR SA AGAIN CALL KAR LAY',null,'81','81','2021-04-14 12:19:12','2021-04-14 12:19:12',null);
INSERT INTO complaint_statuses VALUES('17691','5325','3',null,'94',null,'14-APR-2021
COM FF TO TALAL SIR','92','92','2021-04-14 12:21:09','2021-04-14 12:21:09',null);
INSERT INTO complaint_statuses VALUES('17692','5326','2',null,'81',null,'14-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-14 12:32:42','2021-04-15 14:33:28',null);
INSERT INTO complaint_statuses VALUES('17693','5030','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-14 12:41:02','2021-04-14 13:17:50',null);
INSERT INTO complaint_statuses VALUES('17694','5129','7','12','81','Darwaza ka masla tha ok',null,'88','88','2021-04-14 13:08:19','2021-04-14 13:08:19',null);
INSERT INTO complaint_statuses VALUES('17695','5327','2',null,'81',null,'14-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-14 13:10:04','2021-04-14 13:12:25',null);
INSERT INTO complaint_statuses VALUES('17696','5231','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-14 13:17:18','2021-04-14 13:17:18',null);
INSERT INTO complaint_statuses VALUES('17697','5327','4',null,'63',null,null,'81','81','2021-04-14 13:24:27','2021-04-14 13:24:27',null);
INSERT INTO complaint_statuses VALUES('17698','5326','4',null,'63',null,null,'81','81','2021-04-14 13:24:41','2021-04-14 13:24:41',null);
INSERT INTO complaint_statuses VALUES('17699','5323','4',null,'63',null,null,'81','81','2021-04-14 13:24:52','2021-04-14 13:24:52',null);
INSERT INTO complaint_statuses VALUES('17700','5321','4',null,'63',null,null,'81','81','2021-04-14 13:25:01','2021-04-14 13:25:01',null);
INSERT INTO complaint_statuses VALUES('17701','5328','2',null,'81',null,'14-APR-2021
COM FF TO BEST COOL','92','92','2021-04-14 13:31:30','2021-04-14 13:31:30',null);
INSERT INTO complaint_statuses VALUES('17702','5330','2',null,'81',null,'14-APR-2021
COM FF TO KHALID SONY','92','92','2021-04-14 14:21:21','2021-04-14 14:21:21',null);
INSERT INTO complaint_statuses VALUES('17703','5331','2',null,'81',null,'14-APR-2021
COM FF TO KHALID SONY','92','92','2021-04-14 14:25:22','2021-04-14 14:25:22',null);
INSERT INTO complaint_statuses VALUES('17704','5331','4',null,'56',null,null,'81','81','2021-04-14 14:29:32','2021-04-14 14:29:32',null);
INSERT INTO complaint_statuses VALUES('17705','5330','4',null,'56',null,null,'81','81','2021-04-14 14:29:42','2021-04-14 14:29:42',null);
INSERT INTO complaint_statuses VALUES('17706','5328','4',null,'58',null,null,'81','81','2021-04-14 14:29:53','2021-04-14 14:29:53',null);
INSERT INTO complaint_statuses VALUES('17707','5332','3',null,'52',null,'14-APR-2021
COM NO PKRI-210414109436','92','92','2021-04-14 14:36:55','2021-04-14 14:39:27',null);
INSERT INTO complaint_statuses VALUES('17708','5333','2',null,'81',null,'14-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-14 14:49:05','2021-04-14 14:49:05',null);
INSERT INTO complaint_statuses VALUES('17709','5334','3',null,'53',null,'14-APR-2021
COM NO 301111797','92','92','2021-04-14 14:59:23','2021-04-15 10:39:58',null);
INSERT INTO complaint_statuses VALUES('17710','5203','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-14 15:05:52','2021-04-14 15:05:52',null);
INSERT INTO complaint_statuses VALUES('17711','5335','3',null,'53',null,'14-APR-2021
COM NO 301111804','92','92','2021-04-14 15:07:13','2021-04-15 10:42:40',null);
INSERT INTO complaint_statuses VALUES('17712','4409','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-14 15:18:31','2021-04-14 15:18:31',null);
INSERT INTO complaint_statuses VALUES('17713','5336','2',null,'81',null,'14-APR-2021
COM FF TO BEST COOL','92','92','2021-04-14 16:12:45','2021-04-14 16:12:45',null);
INSERT INTO complaint_statuses VALUES('17714','5337','3',null,'73',null,'14-APR-2021
COM NO 4459','92','92','2021-04-14 16:23:19','2021-04-14 16:23:19',null);
INSERT INTO complaint_statuses VALUES('17715','5338','3',null,'65',null,'14-APR-2021
COM NO 072117530
NEW COMPLAINT#072117539','92','74','2021-04-14 16:39:00','2021-04-16 12:47:13',null);
INSERT INTO complaint_statuses VALUES('17716','5339','2',null,'81',null,'14-APR-2021
COM FF TO  BEST COOL','92','92','2021-04-14 16:54:34','2021-04-14 16:54:34',null);
INSERT INTO complaint_statuses VALUES('17717','5339','4',null,'58',null,null,'81','81','2021-04-14 16:59:14','2021-04-14 16:59:14',null);
INSERT INTO complaint_statuses VALUES('17718','5336','4',null,'58',null,null,'81','81','2021-04-14 16:59:25','2021-04-14 16:59:25',null);
INSERT INTO complaint_statuses VALUES('17719','5333','4',null,'63',null,null,'81','81','2021-04-14 17:00:55','2021-04-14 17:00:55',null);
INSERT INTO complaint_statuses VALUES('17720','5280','7','12','81','Barnar ka masla tha ok',null,'88','88','2021-04-14 22:38:17','2021-04-14 22:38:17',null);
INSERT INTO complaint_statuses VALUES('17721','5277','7','12','81','Gas kam the OK 600 f',null,'88','88','2021-04-14 22:39:11','2021-04-14 22:39:11',null);
INSERT INTO complaint_statuses VALUES('17722','5193','7','12','81','Barnar ni chalta tha OK 1000 f',null,'88','88','2021-04-14 22:40:39','2021-04-14 22:40:39',null);
INSERT INTO complaint_statuses VALUES('17723','5121','7','26','81','Jat band tha khud hi thek Kar Liya hy',null,'88','88','2021-04-14 22:44:00','2021-04-14 22:44:00',null);
INSERT INTO complaint_statuses VALUES('17724','4753','7','12','81','Nab outri the OK',null,'88','88','2021-04-14 22:49:14','2021-04-14 22:49:14',null);
INSERT INTO complaint_statuses VALUES('17725','4985','7','12','81','Gas kam the OK',null,'88','88','2021-04-14 22:50:26','2021-04-14 22:50:26',null);
INSERT INTO complaint_statuses VALUES('17726','5265','7','12','81','compliant resolved',null,'79','79','2021-04-15 09:58:55','2021-04-15 09:58:55',null);
INSERT INTO complaint_statuses VALUES('17727','5078','7','20','81','pcb chnage,compliant reoslved',null,'79','79','2021-04-15 10:01:07','2021-04-15 10:01:07',null);
INSERT INTO complaint_statuses VALUES('17728','5007','7','12','81','compliant resolved',null,'79','79','2021-04-15 10:02:18','2021-04-15 10:02:18',null);
INSERT INTO complaint_statuses VALUES('17729','5115','7','12','81','complaint resolved,unit brhj dye thy,',null,'79','79','2021-04-15 10:03:27','2021-04-15 10:03:27',null);
INSERT INTO complaint_statuses VALUES('17730','5329','2',null,'81',null,null,'92','92','2021-04-15 10:46:09','2021-04-15 10:46:09',null);
INSERT INTO complaint_statuses VALUES('17731','5329','4',null,'64',null,null,'81','81','2021-04-15 10:46:33','2021-04-15 10:46:33',null);
INSERT INTO complaint_statuses VALUES('17732','4619','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-04-15 10:56:51','2021-04-15 10:56:51',null);
INSERT INTO complaint_statuses VALUES('17733','4465','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-04-15 10:57:32','2021-04-15 10:57:32',null);
INSERT INTO complaint_statuses VALUES('17734','4465','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-15 10:58:20','2021-04-15 11:14:15',null);
INSERT INTO complaint_statuses VALUES('17735','4619','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-15 10:59:09','2021-04-15 11:03:21',null);
INSERT INTO complaint_statuses VALUES('17736','5280','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-15 11:00:36','2021-04-15 11:02:37',null);
INSERT INTO complaint_statuses VALUES('17737','5289','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-15 11:02:07','2021-04-15 11:02:07',null);
INSERT INTO complaint_statuses VALUES('17738','5277','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-15 11:04:46','2021-04-15 11:11:49',null);
INSERT INTO complaint_statuses VALUES('17739','5340','2',null,'81',null,'15-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-15 11:06:38','2021-04-15 11:06:38',null);
INSERT INTO complaint_statuses VALUES('17740','5340','4',null,'63',null,null,'81','81','2021-04-15 11:07:09','2021-04-15 11:07:09',null);
INSERT INTO complaint_statuses VALUES('17741','5265','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-15 11:11:20','2021-04-15 11:13:09',null);
INSERT INTO complaint_statuses VALUES('17742','4753','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-15 11:20:11','2021-04-15 11:33:40',null);
INSERT INTO complaint_statuses VALUES('17743','5341','2',null,'81',null,'15-APR-2021
COM NO 301111881','92','92','2021-04-15 11:23:35','2021-04-15 11:35:21',null);
INSERT INTO complaint_statuses VALUES('17744','5129','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-15 11:24:03','2021-04-15 11:33:10',null);
INSERT INTO complaint_statuses VALUES('17745','5342','3',null,'55',null,'15-APR-2021
COM NO 752611','92','92','2021-04-15 11:31:20','2021-04-15 11:31:20',null);
INSERT INTO complaint_statuses VALUES('17746','4719','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-15 11:31:50','2021-04-15 11:31:50',null);
INSERT INTO complaint_statuses VALUES('17747','4985','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-15 11:37:54','2021-04-15 11:39:09',null);
INSERT INTO complaint_statuses VALUES('17748','5268','7','12','81','filter issue,and surf box issue',null,'79','79','2021-04-15 11:37:59','2021-04-15 11:37:59',null);
INSERT INTO complaint_statuses VALUES('17749','5343','3',null,'56',null,'15-APR-2021
COM NO D-15/007','92','92','2021-04-15 11:41:07','2021-04-15 11:43:12',null);
INSERT INTO complaint_statuses VALUES('17750','4886','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-15 11:42:50','2021-04-15 11:42:50',null);
INSERT INTO complaint_statuses VALUES('17751','5268','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-15 11:44:43','2021-04-15 12:13:27',null);
INSERT INTO complaint_statuses VALUES('17752','5344','3',null,'53',null,'15-APR-2021
COM NO','92','92','2021-04-15 12:05:24','2021-04-15 12:05:24',null);
INSERT INTO complaint_statuses VALUES('17753','5345','2',null,'81',null,'15-APR-2021
COM NO 192121691','92','92','2021-04-15 12:08:59','2021-04-15 12:16:55',null);
INSERT INTO complaint_statuses VALUES('17754','4562','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-15 12:09:06','2021-04-15 12:09:06',null);
INSERT INTO complaint_statuses VALUES('17755','5078','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-15 12:11:41','2021-04-15 12:13:53',null);
INSERT INTO complaint_statuses VALUES('17756','5279','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-15 12:27:50','2021-04-15 12:27:50',null);
INSERT INTO complaint_statuses VALUES('17757','5345','4',null,'64',null,null,'81','81','2021-04-15 12:33:03','2021-04-15 12:33:03',null);
INSERT INTO complaint_statuses VALUES('17758','5341','4',null,'64',null,null,'81','81','2021-04-15 12:33:15','2021-04-15 12:33:15',null);
INSERT INTO complaint_statuses VALUES('17759','5274','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-15 12:40:38','2021-04-15 12:40:38',null);
INSERT INTO complaint_statuses VALUES('17760','5346','3',null,'52',null,'15-APR-2021
COM NO PKRI-210415106761','92','92','2021-04-15 12:47:06','2021-04-15 12:47:53',null);
INSERT INTO complaint_statuses VALUES('17761','5224','8','23','56','ASLAM SIR NOT AVAILABLE KINDLY AP PIC KARWA LAY',null,'81','81','2021-04-15 13:09:44','2021-04-15 13:09:44',null);
INSERT INTO complaint_statuses VALUES('17762','5347','3',null,'66',null,'15-APR-2021
COM NO PK-041520210054','92','92','2021-04-15 13:12:31','2021-04-24 14:20:19',null);
INSERT INTO complaint_statuses VALUES('17763','5193','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-15 13:14:16','2021-04-15 13:17:44',null);
INSERT INTO complaint_statuses VALUES('17764','5121','5','15',null,'CUSTOMER NA KHUD SA ISSUE RESOLVED KAR LIYA ABI COMPLINT CLOSED KARWA DI AGAIN KOI ISSUE AAY GA FIR INFORMED KAR DAY GAY','COMPLAINT CLOSED','81','74','2021-04-15 13:17:05','2021-04-15 13:19:05',null);
INSERT INTO complaint_statuses VALUES('17765','5114','8','23','59','AP K PASS JB BOARD AAJY GA PHASE 07 WLAY SET MAIN LAG K FIR COMPLETED KIJAY GA COMAPLINT','EXP 13000','81','74','2021-04-15 13:22:31','2021-04-26 14:27:47',null);
INSERT INTO complaint_statuses VALUES('17766','5348','3',null,'61',null,'15-APR-2021
COM NO 202104008831','92','92','2021-04-15 13:25:34','2021-04-15 13:25:34',null);
INSERT INTO complaint_statuses VALUES('17767','5349','2',null,'81',null,'15-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-15 14:05:16','2021-04-15 14:05:16',null);
INSERT INTO complaint_statuses VALUES('17768','5350','3',null,'52',null,'15-APR-2021
COM NO  PKRI210415109350','92','92','2021-04-15 14:18:13','2021-04-15 15:04:14',null);
INSERT INTO complaint_statuses VALUES('17769','5307','7','12','81','Wiring Repaired and Visit Charges.',null,'76','76','2021-04-15 14:18:29','2021-04-15 14:18:29',null);
INSERT INTO complaint_statuses VALUES('17770','5351','2',null,'81',null,'15-APR-2021
COM FF TO BEST COOL','92','92','2021-04-15 14:37:15','2021-04-15 15:37:32',null);
INSERT INTO complaint_statuses VALUES('17771','5252','7','12','81','Drain Pipe Adjustment.',null,'76','76','2021-04-15 14:43:51','2021-04-15 14:43:51',null);
INSERT INTO complaint_statuses VALUES('17772','5295','7','12','81','Filter Service.',null,'76','76','2021-04-15 14:44:24','2021-04-15 14:44:24',null);
INSERT INTO complaint_statuses VALUES('17773','5315','7','12','81','No fault.',null,'76','76','2021-04-15 14:45:15','2021-04-15 14:45:15',null);
INSERT INTO complaint_statuses VALUES('17774','4655','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-15 14:47:33','2021-04-15 14:47:33',null);
INSERT INTO complaint_statuses VALUES('17775','5352','3',null,'73',null,'15-APR-2021
COM NO 4465','92','92','2021-04-15 14:52:03','2021-04-15 15:52:51',null);
INSERT INTO complaint_statuses VALUES('17776','5249','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-15 15:01:53','2021-04-15 15:01:53',null);
INSERT INTO complaint_statuses VALUES('17777','5271','7','12','81','service Require , Customer will Inform.',null,'76','76','2021-04-15 15:02:49','2021-04-15 15:02:49',null);
INSERT INTO complaint_statuses VALUES('17778','5288','7','26','81','Local Repaired',null,'76','76','2021-04-15 15:04:07','2021-04-15 15:04:07',null);
INSERT INTO complaint_statuses VALUES('17779','5211','7','26','81','LED Complaint Customer Will drop it.',null,'76','76','2021-04-15 15:05:11','2021-04-15 15:05:11',null);
INSERT INTO complaint_statuses VALUES('17780','5183','7','12','81','Service.',null,'76','76','2021-04-15 15:05:52','2021-04-15 15:05:52',null);
INSERT INTO complaint_statuses VALUES('17781','5178','7','26','81','No Need of Visit.',null,'76','76','2021-04-15 15:09:00','2021-04-15 15:09:00',null);
INSERT INTO complaint_statuses VALUES('17782','5223','7','12','81','Drain Service',null,'76','76','2021-04-15 15:09:33','2021-04-15 15:09:33',null);
INSERT INTO complaint_statuses VALUES('17783','5269','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-15 15:10:05','2021-04-15 15:10:05',null);
INSERT INTO complaint_statuses VALUES('17784','5267','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-15 15:16:44','2021-04-15 15:16:44',null);
INSERT INTO complaint_statuses VALUES('17785','5023','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-15 15:22:53','2021-04-15 15:22:53',null);
INSERT INTO complaint_statuses VALUES('17786','5019','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-15 15:26:15','2021-04-15 15:26:15',null);
INSERT INTO complaint_statuses VALUES('17787','5353','2',null,'81',null,'15-APR-2021
COM FF TO HOME SOLUTION','92','92','2021-04-15 15:32:24','2021-04-15 15:32:24',null);
INSERT INTO complaint_statuses VALUES('17788','5226','7','12','81','Drain Service.',null,'76','76','2021-04-15 15:33:48','2021-04-15 15:33:48',null);
INSERT INTO complaint_statuses VALUES('17789','5202','7','24','81','Under Repaired in Service center',null,'76','76','2021-04-15 15:35:01','2021-04-15 15:35:01',null);
INSERT INTO complaint_statuses VALUES('17790','5206','7','24','81','Phone # is power Off Please provide another number.',null,'76','76','2021-04-15 15:36:39','2021-04-15 15:36:39',null);
INSERT INTO complaint_statuses VALUES('17791','5353','4',null,'62',null,null,'81','81','2021-04-15 15:54:04','2021-04-15 15:54:04',null);
INSERT INTO complaint_statuses VALUES('17792','5351','4',null,'58',null,null,'81','81','2021-04-15 15:54:15','2021-04-15 15:54:15',null);
INSERT INTO complaint_statuses VALUES('17793','5349','4',null,'63',null,null,'81','81','2021-04-15 15:54:25','2021-04-15 15:54:25',null);
INSERT INTO complaint_statuses VALUES('17794','5315','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-15 16:11:56','2021-04-15 16:16:15',null);
INSERT INTO complaint_statuses VALUES('17795','5307','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-15 16:13:40','2021-04-15 16:16:43',null);
INSERT INTO complaint_statuses VALUES('17796','5295','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-15 16:14:43','2021-04-15 16:17:16',null);
INSERT INTO complaint_statuses VALUES('17797','5288','5','15',null,'CUSTOMER NA LOCAL TECHNICIAN SA RESOLVED KARWA LI COMPLAINT','COMPLAINT CLOSED','81','74','2021-04-15 16:18:21','2021-04-15 16:22:29',null);
INSERT INTO complaint_statuses VALUES('17798','5354','2',null,'81',null,'15-APR-2021
COM FF TO NADEEM SIR','92','92','2021-04-15 16:18:37','2021-04-15 16:18:37',null);
INSERT INTO complaint_statuses VALUES('17799','5271','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-15 16:19:39','2021-04-15 16:43:27',null);
INSERT INTO complaint_statuses VALUES('17800','5355','2',null,'81',null,'15-APR-2021
COM FF TO BEST COOL','92','92','2021-04-15 16:34:24','2021-04-15 16:34:24',null);
INSERT INTO complaint_statuses VALUES('17801','5252','8','23','55','CUSTOMER KA ISSUE RESOLVED NAI HOA HAIN  KINDLY AGAIN CONTACT KARY',null,'81','81','2021-04-15 16:36:23','2021-04-15 16:36:23',null);
INSERT INTO complaint_statuses VALUES('17802','5226','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-15 16:38:31','2021-04-15 17:03:04',null);
INSERT INTO complaint_statuses VALUES('17803','5223','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-15 16:41:43','2021-04-15 17:05:34',null);
INSERT INTO complaint_statuses VALUES('17804','5356','2',null,'81',null,'15-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-15 16:52:50','2021-04-15 16:52:50',null);
INSERT INTO complaint_statuses VALUES('17805','5356','4',null,'55',null,null,'81','81','2021-04-15 16:53:30','2021-04-15 16:53:30',null);
INSERT INTO complaint_statuses VALUES('17806','5355','4',null,'58',null,null,'81','81','2021-04-15 16:53:40','2021-04-15 16:53:40',null);
INSERT INTO complaint_statuses VALUES('17807','5354','4',null,'59',null,null,'81','81','2021-04-15 16:53:54','2021-04-15 16:53:54',null);
INSERT INTO complaint_statuses VALUES('17808','5354','4',null,'59',null,null,'81','81','2021-04-15 16:53:59','2021-04-15 16:53:59',null);
INSERT INTO complaint_statuses VALUES('17809','5146','8','15','56','FULTY BOARD KHURRAM SIR KO DA DIA HAIN TASK WITH INVOICE MANSION KAR K .
EXP APPROVED KINDLY SET READY KARY',null,'81','81','2021-04-15 16:59:11','2021-04-15 16:59:11',null);
INSERT INTO complaint_statuses VALUES('17810','5357','2',null,'81',null,'15-APR-2021
COM FF TO AZHAR FCI','92','92','2021-04-15 17:02:10','2021-04-15 17:02:10',null);
INSERT INTO complaint_statuses VALUES('17811','5211','5','15',null,'CUSTOMER KO COVID HAIN ABI CUSTOMER NA LED KI COMPLAINT KARWAI THI .
ABI CANCEL KARWA DI COMPLAINT .
PARTY LIFTING CASE','COMPLAINT CLOSED','81','74','2021-04-15 17:02:18','2021-04-15 17:05:02',null);
INSERT INTO complaint_statuses VALUES('17812','5206','8','23','55','OTHER 0317-5555225 IC NO PA CONTACT KAR LAY',null,'81','81','2021-04-15 17:04:39','2021-04-15 17:04:39',null);
INSERT INTO complaint_statuses VALUES('17813','5202','8','23','55','OK JOB COMPLETED QUKILEY',null,'81','81','2021-04-15 17:06:40','2021-04-15 17:06:40',null);
INSERT INTO complaint_statuses VALUES('17814','5178','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-04-15 17:08:14','2021-04-15 17:10:11',null);
INSERT INTO complaint_statuses VALUES('17815','5357','4',null,'60',null,null,'81','81','2021-04-15 17:09:01','2021-04-15 17:09:01',null);
INSERT INTO complaint_statuses VALUES('17816','5115','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-15 17:09:06','2021-04-15 17:10:39',null);
INSERT INTO complaint_statuses VALUES('17817','5119','7','26','81','Number power off please provide another number',null,'76','76','2021-04-16 10:21:22','2021-04-16 10:21:22',null);
INSERT INTO complaint_statuses VALUES('17818','5318','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-16 11:19:25','2021-04-16 11:19:25',null);
INSERT INTO complaint_statuses VALUES('17819','5319','7','9','81','Customer out of city',null,'77','77','2021-04-16 11:20:07','2021-04-16 11:20:07',null);
INSERT INTO complaint_statuses VALUES('17820','5316','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-16 11:40:43','2021-04-16 11:40:43',null);
INSERT INTO complaint_statuses VALUES('17821','5146','7','12','81','unit ok and already and with customer.
Comleted',null,'77','77','2021-04-16 11:51:45','2021-04-16 11:51:45',null);
INSERT INTO complaint_statuses VALUES('17822','5358','3',null,'52',null,'16-APRIL-2021
COMPLAINT#PKRI-210416104512','74','92','2021-04-16 11:54:49','2021-04-18 12:55:12',null);
INSERT INTO complaint_statuses VALUES('17823','5313','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-16 12:03:35','2021-04-16 12:03:35',null);
INSERT INTO complaint_statuses VALUES('17824','5312','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-16 12:09:13','2021-04-16 12:09:13',null);
INSERT INTO complaint_statuses VALUES('17825','5311','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-16 12:11:12','2021-04-16 12:11:12',null);
INSERT INTO complaint_statuses VALUES('17826','5310','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-16 12:13:02','2021-04-16 12:13:02',null);
INSERT INTO complaint_statuses VALUES('17827','5308','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-16 12:14:48','2021-04-16 12:14:48',null);
INSERT INTO complaint_statuses VALUES('17828','5359','2',null,'81',null,'16-APRIL-2021
FF TO KHURRAM 5 STAR','74','74','2021-04-16 12:20:03','2021-04-16 12:20:03',null);
INSERT INTO complaint_statuses VALUES('17829','5304','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-16 12:21:04','2021-04-16 12:21:04',null);
INSERT INTO complaint_statuses VALUES('17830','5359','4',null,'63',null,null,'81','81','2021-04-16 12:23:08','2021-04-16 12:23:08',null);
INSERT INTO complaint_statuses VALUES('17831','5299','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-16 12:26:15','2021-04-16 12:26:15',null);
INSERT INTO complaint_statuses VALUES('17832','5319','8','23','56','CUSTOMER NA MONDAY KA TIME DIA HAIN KINDLY MONDAY KO COMPLINT ATTEND KIJAY GA',null,'81','81','2021-04-16 12:27:20','2021-04-16 12:27:20',null);
INSERT INTO complaint_statuses VALUES('17833','5270','8','23','56','POWER SUPPLY KI CLEAR PIC SHER KARAY',null,'81','81','2021-04-16 12:29:24','2021-04-16 12:29:24',null);
INSERT INTO complaint_statuses VALUES('17834','5296','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-16 12:30:11','2021-04-16 12:30:11',null);
INSERT INTO complaint_statuses VALUES('17835','5294','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-16 12:32:41','2021-04-16 12:32:41',null);
INSERT INTO complaint_statuses VALUES('17836','5183','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-16 12:34:09','2021-04-16 12:36:41',null);
INSERT INTO complaint_statuses VALUES('17837','5146','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-16 12:35:08','2021-04-16 12:37:07',null);
INSERT INTO complaint_statuses VALUES('17838','5293','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-16 12:36:08','2021-04-16 12:36:08',null);
INSERT INTO complaint_statuses VALUES('17839','5292','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-16 12:39:07','2021-04-16 12:39:07',null);
INSERT INTO complaint_statuses VALUES('17840','5324','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-16 12:41:22','2021-04-16 12:41:22',null);
INSERT INTO complaint_statuses VALUES('17841','5216','7','12','81','No Fault in Washing Machine',null,'76','76','2021-04-16 13:05:52','2021-04-16 13:05:52',null);
INSERT INTO complaint_statuses VALUES('17842','5263','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-16 13:21:54','2021-04-16 13:21:54',null);
INSERT INTO complaint_statuses VALUES('17843','5360','2',null,'81',null,'16-APRIL-2021
FF TO HOME SOLUTION','74','74','2021-04-16 13:37:50','2021-04-16 13:37:50',null);
INSERT INTO complaint_statuses VALUES('17844','5360','4',null,'62',null,null,'81','81','2021-04-16 13:38:46','2021-04-16 13:38:46',null);
INSERT INTO complaint_statuses VALUES('17845','5361','3',null,'73',null,'16-APRIL-2021
COMPLAINT#4523','74','74','2021-04-16 13:50:11','2021-04-26 12:43:08',null);
INSERT INTO complaint_statuses VALUES('17846','5216','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-16 13:52:02','2021-04-16 15:39:43',null);
INSERT INTO complaint_statuses VALUES('17847','5362','2',null,'81',null,'16-APRIL-2021
FF TO KHURRAM 5 STAR','74','74','2021-04-16 13:54:02','2021-04-16 13:54:02',null);
INSERT INTO complaint_statuses VALUES('17848','5362','4',null,'63',null,null,'81','81','2021-04-16 13:55:37','2021-04-16 13:55:37',null);
INSERT INTO complaint_statuses VALUES('17849','5272','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-16 15:38:36','2021-04-16 15:38:36',null);
INSERT INTO complaint_statuses VALUES('17850','5363','3',null,'52',null,'16-APRIL-2021
COMPLAINT#PKRI-210416110402','74','92','2021-04-16 16:14:46','2021-04-17 11:26:44',null);
INSERT INTO complaint_statuses VALUES('17851','5339','7','12','81','Complaint resolved.olny guid kerna  tha',null,'79','79','2021-04-17 09:59:11','2021-04-17 09:59:11',null);
INSERT INTO complaint_statuses VALUES('17852','5314','7','12','81','compliant reoslved,',null,'79','79','2021-04-17 10:00:57','2021-04-17 10:00:57',null);
INSERT INTO complaint_statuses VALUES('17853','5336','7','12','81','drian issue compliant resolved',null,'79','79','2021-04-17 10:02:57','2021-04-17 10:02:57',null);
INSERT INTO complaint_statuses VALUES('17854','5297','7','10','81','customer not attend the call',null,'79','79','2021-04-17 10:38:22','2021-04-17 10:38:22',null);
INSERT INTO complaint_statuses VALUES('17855','5339','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-17 10:48:09','2021-04-17 11:38:50',null);
INSERT INTO complaint_statuses VALUES('17856','5336','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED
TASK# B COOL FF KAR DIA AGAIN VISIT K LIYA','81','74','2021-04-17 11:01:43','2021-04-17 15:17:09',null);
INSERT INTO complaint_statuses VALUES('17857','5354','7','24','81','custmoer say bat ho gae hy aj visit ho jae ga',null,'80','80','2021-04-17 11:04:31','2021-04-17 11:04:31',null);
INSERT INTO complaint_statuses VALUES('17858','5364','3',null,'66',null,'17-APR-2021
COM FF TO NOMAN SIR','92','92','2021-04-17 11:04:55','2021-05-27 15:03:55',null);
INSERT INTO complaint_statuses VALUES('17859','5314','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-17 11:09:42','2021-04-17 11:39:51',null);
INSERT INTO complaint_statuses VALUES('17860','5334','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-17 11:11:37','2021-04-17 11:11:37',null);
INSERT INTO complaint_statuses VALUES('17861','4612','7','26','81','yea customer Thek ni karwana chahta new ly ga',null,'80','80','2021-04-17 11:12:50','2021-04-17 11:12:50',null);
INSERT INTO complaint_statuses VALUES('17862','5354','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-04-17 11:14:19','2021-04-17 11:14:19',null);
INSERT INTO complaint_statuses VALUES('17863','5021','7','24','81','aj yea kal bejwa dyn gy',null,'80','80','2021-04-17 11:14:49','2021-04-17 11:14:49',null);
INSERT INTO complaint_statuses VALUES('17864','4155','7','26','81','ab  wifi problem ni kar rha ak do dafa problem kea tha pher khud he thek ho gea hy',null,'80','80','2021-04-17 11:19:05','2021-04-17 11:19:05',null);
INSERT INTO complaint_statuses VALUES('17865','5297','8','23','58','0331 WALY NO PA CALL KARAY ABI IC NO PA BAT HOI HAIN',null,'81','81','2021-04-17 11:24:24','2021-04-17 11:24:24',null);
INSERT INTO complaint_statuses VALUES('17866','5023','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-17 11:25:22','2021-04-17 11:40:19',null);
INSERT INTO complaint_statuses VALUES('17867','5021','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-04-17 11:26:57','2021-04-17 11:26:57',null);
INSERT INTO complaint_statuses VALUES('17868','4155','8','23','59','CUSTOMER KA ISSUE RESOLVED NAI HOA WO PART KA W8 KAR RAHAY HAIN KINDLY MONDAY KO CUSTOMER SA CONTACT KAR KA ISSUE RESOLVED KAR K COMPLAINT CLOSED KARAY',null,'81','81','2021-04-17 11:29:59','2021-04-17 11:29:59',null);
INSERT INTO complaint_statuses VALUES('17869','4196','8','23','55','CUSTOMER SA CONTACT KAR K DOCUMENT COMPLETE KARAY',null,'81','81','2021-04-17 11:30:54','2021-04-17 11:30:54',null);
INSERT INTO complaint_statuses VALUES('17870','4612','5','15',null,'CUSTOMER NA COMPLAINT CANCELED KARWA DI COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-04-17 11:32:25','2021-04-17 11:43:06',null);
INSERT INTO complaint_statuses VALUES('17871','5007','8','23','58','CUSTOMER KA GRILL KA ISSUE RESOLVED NAI HOA',null,'81','81','2021-04-17 11:37:16','2021-04-17 11:37:16',null);
INSERT INTO complaint_statuses VALUES('17872','5337','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-17 11:37:42','2021-04-17 11:37:42',null);
INSERT INTO complaint_statuses VALUES('17873','5286','7','24','81','Frezer i10 servis center phoncha hy compresor issuee hy',null,'82','82','2021-04-17 11:53:25','2021-04-17 11:53:25',null);
INSERT INTO complaint_statuses VALUES('17874','5243','7','12','81','Glass lag gea hy new',null,'82','82','2021-04-17 11:54:06','2021-04-17 11:54:06',null);
INSERT INTO complaint_statuses VALUES('17875','5241','7','12','81','Frezer custmer ky ghar phonch chuka hy theek ho ky',null,'82','82','2021-04-17 11:54:51','2021-04-17 11:54:51',null);
INSERT INTO complaint_statuses VALUES('17876','5177','7','12','81','Machin theek ho ky custmer ky ghar phonch gai hy',null,'82','82','2021-04-17 11:55:27','2021-04-17 11:55:27',null);
INSERT INTO complaint_statuses VALUES('17877','5101','7','12','81','Samsang',null,'82','82','2021-04-17 11:56:05','2021-04-17 11:56:05',null);
INSERT INTO complaint_statuses VALUES('17878','4778','7','26','81','Ye nhi theek kar wa rahy cancel kar de plz',null,'82','82','2021-04-17 12:02:29','2021-04-17 12:02:29',null);
INSERT INTO complaint_statuses VALUES('17879','5243','5','15',null,'COMPLETED COMPLIANT .7000GLASS KI PAYMENT ABDUL REHMAN K PASS HAIN','COMPLAINT RESOLVED','81','74','2021-04-17 12:05:29','2021-04-17 12:11:44',null);
INSERT INTO complaint_statuses VALUES('17880','5286','8','23','60','OK JOB COMPLETED QUKILEY','ADIL BHI KO INVOICE FF KAR DI HAIN','81','74','2021-04-17 12:08:57','2021-04-17 14:51:17',null);
INSERT INTO complaint_statuses VALUES('17881','5241','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-17 12:10:02','2021-04-17 12:12:16',null);
INSERT INTO complaint_statuses VALUES('17882','5177','8','23','60','CUSTOMER SA BAT HOI HAIN ISSUE RESOLVED NA HOA KINDLY AGAIN CONTACT KARAY CUSTOMER SA',null,'81','81','2021-04-17 12:18:09','2021-04-17 12:18:09',null);
INSERT INTO complaint_statuses VALUES('17883','4778','5','15',null,'CUSTOMER OUT OFF CITY HAIN LOOK DOWN KI WAJA SA ABI COMPLAINT CANCEL KARWA DI','COMPLAINT CLOSED','81','74','2021-04-17 12:20:10','2021-04-17 12:22:33',null);
INSERT INTO complaint_statuses VALUES('17884','5325','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-17 12:34:50','2021-04-17 12:34:50',null);
INSERT INTO complaint_statuses VALUES('17885','5365','3',null,'65',null,'17-APR-2021
COM NO 192121720
TACTION NO 03095559751 IRFAN','92','92','2021-04-17 14:03:43','2021-04-19 11:25:14',null);
INSERT INTO complaint_statuses VALUES('17886','5366','3',null,'54',null,'17-APR-2021
COM NO 1853629','92','92','2021-04-17 14:24:47','2021-04-17 14:24:47',null);
INSERT INTO complaint_statuses VALUES('17887','5340','7','12','81','Gas payp daba huya tha OK 500f',null,'88','88','2021-04-17 14:31:23','2021-04-17 14:31:23',null);
INSERT INTO complaint_statuses VALUES('17888','5349','7','12','81','Gas Wal kharb tha change Kar diya hy OK',null,'88','88','2021-04-17 14:32:45','2021-04-17 14:32:45',null);
INSERT INTO complaint_statuses VALUES('17889','5359','7','12','81','Wal ka lock khul Gaya tha Naya laga diya hy',null,'88','88','2021-04-17 14:44:16','2021-04-17 14:44:16',null);
INSERT INTO complaint_statuses VALUES('17890','5323','7','12','81','Kala karta tha OK 500f',null,'88','88','2021-04-17 14:45:02','2021-04-17 14:45:02',null);
INSERT INTO complaint_statuses VALUES('17891','5301','7','12','81','Chula ka Ander chuwa Gaya tha tab ag nicha jati the ok',null,'88','88','2021-04-17 14:45:52','2021-04-17 14:45:52',null);
INSERT INTO complaint_statuses VALUES('17892','5290','7','12','81','Wal kharb tha change Kar diya hy OK',null,'88','88','2021-04-17 14:46:59','2021-04-17 14:46:59',null);
INSERT INTO complaint_statuses VALUES('17893','4807','7','12','81','Tank change Kar diya hy OK',null,'88','88','2021-04-17 14:47:41','2021-04-17 14:47:41',null);
INSERT INTO complaint_statuses VALUES('17894','4597','7','12','81','Karnt ni dy raha chala k chak karwa diya hy ok',null,'88','88','2021-04-17 14:48:20','2021-04-17 14:48:20',null);
INSERT INTO complaint_statuses VALUES('17895','5359','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-17 14:55:54','2021-04-17 15:02:45',null);
INSERT INTO complaint_statuses VALUES('17896','5349','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-17 14:57:22','2021-04-17 15:03:11',null);
INSERT INTO complaint_statuses VALUES('17897','5340','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-04-17 14:59:22','2021-04-17 15:03:44',null);
INSERT INTO complaint_statuses VALUES('17898','5323','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-17 15:00:15','2021-04-17 15:04:17',null);
INSERT INTO complaint_statuses VALUES('17899','5301','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-17 15:01:47','2021-04-17 15:05:04',null);
INSERT INTO complaint_statuses VALUES('17900','5290','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-17 15:06:56','2021-04-17 15:08:33',null);
INSERT INTO complaint_statuses VALUES('17901','4597','5','15',null,'COMPLAINT COMPLETED','COMPLAINTRESOLVED','81','74','2021-04-17 15:14:20','2021-04-17 15:17:45',null);
INSERT INTO complaint_statuses VALUES('17902','5367','2',null,'81',null,'17-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-17 15:17:09','2021-04-17 15:17:09',null);
INSERT INTO complaint_statuses VALUES('17903','5348','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-17 15:28:08','2021-04-17 15:28:08',null);
INSERT INTO complaint_statuses VALUES('17904','5352','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-17 15:29:48','2021-04-17 15:29:48',null);
INSERT INTO complaint_statuses VALUES('17905','5346','5',null,null,'COMPLAINT  RESOLVED',null,'74','74','2021-04-17 15:32:03','2021-04-17 15:32:03',null);
INSERT INTO complaint_statuses VALUES('17906','5343','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-17 15:34:45','2021-04-17 15:34:45',null);
INSERT INTO complaint_statuses VALUES('17907','5344','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-17 15:37:07','2021-04-17 15:37:07',null);
INSERT INTO complaint_statuses VALUES('17908','4807','5','15',null,'CUSTOMER KO INFORMED KAR DAI HAIN KAL PICK KAR LAY GEI','TANK REPLACE KAR DIA HAIN COMPLAINT RESOLVED','81','74','2021-04-17 15:39:42','2021-04-19 11:22:34',null);
INSERT INTO complaint_statuses VALUES('17909','5342','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-17 15:41:37','2021-04-17 15:41:37',null);
INSERT INTO complaint_statuses VALUES('17910','5332','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-17 15:46:44','2021-04-17 15:46:44',null);
INSERT INTO complaint_statuses VALUES('17911','5320','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-17 15:47:38','2021-04-17 15:47:38',null);
INSERT INTO complaint_statuses VALUES('17912','5317','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-17 15:54:27','2021-04-17 15:54:27',null);
INSERT INTO complaint_statuses VALUES('17913','5007','7','12','81','wo hi araz ki hai k rubber nahi hai,jo avialble ho skata kr dya hai,ap ogo k pas bhi nahi hain,right',null,'79','79','2021-04-18 09:59:51','2021-04-18 09:59:51',null);
INSERT INTO complaint_statuses VALUES('17914','5328','7','12','81','drain coil  faulty hai',null,'79','79','2021-04-18 10:23:45','2021-04-18 10:23:45',null);
INSERT INTO complaint_statuses VALUES('17915','5367','4',null,'63',null,null,'81','81','2021-04-18 10:40:03','2021-04-18 10:40:03',null);
INSERT INTO complaint_statuses VALUES('17916','5368','2',null,'81',null,'18-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-18 11:00:57','2021-04-18 11:00:57',null);
INSERT INTO complaint_statuses VALUES('17917','5355','7','20','81','display nai arha .refer to service center ,',null,'79','79','2021-04-18 11:01:46','2021-04-18 11:01:46',null);
INSERT INTO complaint_statuses VALUES('17918','5368','4',null,'55',null,null,'81','81','2021-04-18 11:09:52','2021-04-18 11:09:52',null);
INSERT INTO complaint_statuses VALUES('17919','5137','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-04-18 11:16:16','2021-04-19 10:30:55',null);
INSERT INTO complaint_statuses VALUES('17920','5119','5','15',null,'COMPLAINT COMPLETED','CUSTOMER STILL P/OFF HAIN SO COMPLAINT CLOSED
MISS AREEBA NA COMPLETE KI','81','74','2021-04-18 11:30:19','2021-04-19 11:20:44',null);
INSERT INTO complaint_statuses VALUES('17921','5101','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-04-18 11:31:24','2021-04-19 10:33:20',null);
INSERT INTO complaint_statuses VALUES('17922','5369','2',null,'81',null,'18-APR-2021
COM FF TO BEST COOL','92','92','2021-04-18 11:52:23','2021-04-18 11:52:23',null);
INSERT INTO complaint_statuses VALUES('17923','5370','2',null,'81',null,'18-APR-2021
COM FF TO USMAN SIR','92','92','2021-04-18 12:12:01','2021-04-18 12:12:01',null);
INSERT INTO complaint_statuses VALUES('17924','5309','7','12','81','ISSUE RESOLVED',null,'87','87','2021-04-18 12:28:04','2021-04-18 12:28:04',null);
INSERT INTO complaint_statuses VALUES('17925','5306','7','12','81','ISSUE RESOLVED',null,'87','87','2021-04-18 12:28:41','2021-04-18 12:28:41',null);
INSERT INTO complaint_statuses VALUES('17926','5370','4',null,'61',null,null,'81','81','2021-04-18 12:33:38','2021-04-18 12:33:38',null);
INSERT INTO complaint_statuses VALUES('17927','5369','4',null,'58',null,null,'81','81','2021-04-18 12:33:48','2021-04-18 12:33:48',null);
INSERT INTO complaint_statuses VALUES('17928','5358','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-18 12:56:14','2021-04-18 12:56:14',null);
INSERT INTO complaint_statuses VALUES('17929','5371','3',null,'55',null,'18-APR-2021
COM NO 753812
2ND COMPLAINT NO 753813NAEEM KENWOOD YHA COMPLAINT ATTEND KARWA RAHY HAIN','92','74','2021-04-18 13:11:33','2021-04-21 14:39:25',null);
INSERT INTO complaint_statuses VALUES('17930','5372','2',null,'81',null,'18-APR-2021
COM NO PKRI-210418104285','92','92','2021-04-18 13:20:29','2021-04-18 13:25:29',null);
INSERT INTO complaint_statuses VALUES('17931','5372','4',null,'64',null,null,'81','81','2021-04-18 13:25:53','2021-04-18 13:25:53',null);
INSERT INTO complaint_statuses VALUES('17932','5373','2',null,'81',null,'18-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-18 13:35:56','2021-04-18 13:35:56',null);
INSERT INTO complaint_statuses VALUES('17933','5374','3',null,'52',null,'18-APR-2021
COM NO PKRI-210419104836','92','92','2021-04-18 13:45:59','2021-04-19 12:11:55',null);
INSERT INTO complaint_statuses VALUES('17934','5375','2',null,'81',null,'18-APR-2021
COM FF TO BEST COOL','92','92','2021-04-18 13:53:35','2021-04-18 13:53:35',null);
INSERT INTO complaint_statuses VALUES('17935','5376','2',null,'81',null,'18-APR-2021
COM NO 1854046','92','92','2021-04-18 13:58:46','2021-04-18 14:01:22',null);
INSERT INTO complaint_statuses VALUES('17936','5376','4',null,'64',null,null,'81','81','2021-04-18 14:01:48','2021-04-18 14:01:48',null);
INSERT INTO complaint_statuses VALUES('17937','5375','4',null,'58',null,null,'81','81','2021-04-18 14:01:58','2021-04-18 14:01:58',null);
INSERT INTO complaint_statuses VALUES('17938','5373','4',null,'55',null,null,'81','81','2021-04-18 14:02:08','2021-04-18 14:02:08',null);
INSERT INTO complaint_statuses VALUES('17939','5377','2',null,'81',null,'18-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-18 14:11:15','2021-04-18 14:11:15',null);
INSERT INTO complaint_statuses VALUES('17940','5378','3',null,'65',null,'18-APR-2021
COM NO 192121724','92','92','2021-04-18 14:16:57','2021-04-18 14:23:23',null);
INSERT INTO complaint_statuses VALUES('17941','5379','3',null,'81',null,'18-APR-2021
COM NO 254','92','92','2021-04-18 14:27:56','2021-04-19 12:14:12',null);
INSERT INTO complaint_statuses VALUES('17942','5380','3',null,'52',null,'18-APR-2021
COM NO PKRI-210418105196','92','92','2021-04-18 14:42:43','2021-04-18 14:45:48',null);
INSERT INTO complaint_statuses VALUES('17943','5381','2',null,'81',null,'18-APR-2021
COM FF TO BEST COOL','92','92','2021-04-18 14:50:06','2021-04-18 14:50:06',null);
INSERT INTO complaint_statuses VALUES('17944','5382','3',null,'73',null,'18-APR-2021
COM NO 4478
GHULAM MURTAZA','92','74','2021-04-18 15:10:46','2021-04-30 11:53:20',null);
INSERT INTO complaint_statuses VALUES('17945','5383','3',null,'55',null,'18-APR-2021
COM NO 753833','92','92','2021-04-18 15:18:50','2021-04-18 15:19:22',null);
INSERT INTO complaint_statuses VALUES('17946','5384','3',null,'52',null,'18-APR-2021
COM NO PKRI-210418105704','92','92','2021-04-18 15:31:31','2021-04-18 15:31:31',null);
INSERT INTO complaint_statuses VALUES('17947','5385','3',null,'52',null,'18-APR-2021
COM NO PKRI-210418105827','92','92','2021-04-18 15:41:26','2021-04-18 15:41:26',null);
INSERT INTO complaint_statuses VALUES('17948','5386','2',null,'81',null,'18-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-18 16:13:54','2021-04-18 16:13:54',null);
INSERT INTO complaint_statuses VALUES('17949','5386','4',null,'63',null,null,'81','81','2021-04-18 16:15:34','2021-04-18 16:15:34',null);
INSERT INTO complaint_statuses VALUES('17950','5381','4',null,'58',null,null,'81','81','2021-04-18 16:15:44','2021-04-18 16:15:44',null);
INSERT INTO complaint_statuses VALUES('17951','5377','4',null,'63',null,null,'81','81','2021-04-18 16:15:54','2021-04-18 16:15:54',null);
INSERT INTO complaint_statuses VALUES('17952','5387','3',null,'94',null,'19-MAR-2021
COM FF TO AZEEM GENERALTEC','92','92','2021-04-19 10:41:26','2021-04-19 10:41:26',null);
INSERT INTO complaint_statuses VALUES('17953','5388','2',null,'81',null,'19-APR-2021
COM FF TO HOME SOLUTION','92','92','2021-04-19 10:48:30','2021-04-19 10:48:30',null);
INSERT INTO complaint_statuses VALUES('17954','5388','4',null,'62',null,null,'81','81','2021-04-19 10:53:43','2021-04-19 10:53:43',null);
INSERT INTO complaint_statuses VALUES('17955','5363','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-19 10:55:40','2021-04-19 10:55:40',null);
INSERT INTO complaint_statuses VALUES('17956','5328','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-19 10:57:11','2021-04-19 11:06:48',null);
INSERT INTO complaint_statuses VALUES('17957','4155','7','24','81','hmy customer keh rha hy dobara os main abi tak problem ni i lkn ap a k asy he part chang kar do',null,'80','80','2021-04-19 10:59:23','2021-04-19 10:59:23',null);
INSERT INTO complaint_statuses VALUES('17958','5350','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-19 11:04:55','2021-04-19 11:04:55',null);
INSERT INTO complaint_statuses VALUES('17959','5389','2',null,'81',null,'19-APR-2021
COM FF TO BEST COOL','92','92','2021-04-19 11:13:36','2021-04-19 11:13:36',null);
INSERT INTO complaint_statuses VALUES('17960','5333','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-19 11:16:26','2021-04-19 11:16:26',null);
INSERT INTO complaint_statuses VALUES('17961','5333','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-19 11:17:30','2021-04-19 11:18:36',null);
INSERT INTO complaint_statuses VALUES('17962','5309','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-19 11:26:17','2021-04-19 12:20:16',null);
INSERT INTO complaint_statuses VALUES('17963','5390','3',null,'66',null,'19-APR-2021
COM NO PK041920210028
SHARAZ TACTION 
MOB NO 03338426420','92','92','2021-04-19 11:31:26','2021-04-19 11:33:40',null);
INSERT INTO complaint_statuses VALUES('17964','5306','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-19 11:47:05','2021-04-19 12:20:47',null);
INSERT INTO complaint_statuses VALUES('17965','5319','7','12','81','Unit ok no problem .....unit with Customer',null,'77','77','2021-04-19 11:52:37','2021-04-19 11:52:37',null);
INSERT INTO complaint_statuses VALUES('17966','5275','7','24','81','Need approval main board and t.con
Cost Rs. 78,315.',null,'77','77','2021-04-19 11:59:16','2021-04-19 11:59:16',null);
INSERT INTO complaint_statuses VALUES('17967','5175','7','12','81','Unit ok....',null,'77','77','2021-04-19 12:00:30','2021-04-19 12:00:30',null);
INSERT INTO complaint_statuses VALUES('17968','5319','5','15',null,'SETTING KA ISSUE THA  CUSTOMER NA KHUD SA ISSUE RESOLVED KAR LIYA INFORMED BY TARIQ FCI 
 COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-04-19 12:03:34','2021-04-19 12:18:37',null);
INSERT INTO complaint_statuses VALUES('17969','5391','3',null,'52',null,'19-APR-2021
COM NO PKRI-210419104728','92','92','2021-04-19 12:05:29','2021-04-19 12:07:35',null);
INSERT INTO complaint_statuses VALUES('17970','3367','7','12','81','Unit refer to Sony service center',null,'83','83','2021-04-19 12:16:38','2021-04-19 12:16:38',null);
INSERT INTO complaint_statuses VALUES('17971','5175','8','23','56','UNIT IQBAL SAB K HAND OVER KAR K COMPLAINT COMPLETED KIJAY',null,'81','81','2021-04-19 12:17:52','2021-04-19 12:17:52',null);
INSERT INTO complaint_statuses VALUES('17972','5392','3',null,'53',null,'19-APR-2021
COM NO 301113309','92','92','2021-04-19 12:20:38','2021-04-19 12:23:49',null);
INSERT INTO complaint_statuses VALUES('17973','5007','5','15',null,'RUBBER STOK MAIN AVAIL NAI HAIN COMPLAINT CLOSED','COMPLAINT RESOLVED','81','74','2021-04-19 12:22:35','2021-04-19 12:29:29',null);
INSERT INTO complaint_statuses VALUES('17974','3367','5','15',null,'COMPLAINT FF SONY S/C','COMPLAINT CLOSED','81','74','2021-04-19 12:24:05','2021-04-19 12:30:08',null);
INSERT INTO complaint_statuses VALUES('17975','4155','8','23','59','CUSTOMER BOL RAHAY HAIN TU FIR PART CAHNGE KAR DAY .
WAISAY B PAID JOB HAIN',null,'81','81','2021-04-19 12:28:20','2021-04-19 12:28:20',null);
INSERT INTO complaint_statuses VALUES('17976','5393','3',null,'52',null,'19-APR-2021
COM NO PKRI-210419108364','92','92','2021-04-19 12:28:51','2021-04-19 14:25:14',null);
INSERT INTO complaint_statuses VALUES('17977','5355','8','23','58','CUSTOMER SA BAT HOI HAIN WO BOL RAHAY HAIN GARI AP ARRANGE KARWA DAY RENT MAIN PAY KAR DO GA
AP CUSTOMER SA BAT KAR LAY',null,'81','81','2021-04-19 12:33:24','2021-04-19 12:33:24',null);
INSERT INTO complaint_statuses VALUES('17978','5321','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-19 12:34:41','2021-04-19 12:34:41',null);
INSERT INTO complaint_statuses VALUES('17979','5321','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-19 12:35:11','2021-04-19 12:39:39',null);
INSERT INTO complaint_statuses VALUES('17980','5394','3',null,'73',null,'19-APR-2021
COM NO 4529','92','92','2021-04-19 12:41:38','2021-04-27 11:06:10',null);
INSERT INTO complaint_statuses VALUES('17981','5395','2',null,'81',null,'19-APR-2021
COM FF TO BEST COOL','92','92','2021-04-19 12:50:41','2021-04-19 12:50:41',null);
INSERT INTO complaint_statuses VALUES('17982','5396','3',null,'54',null,'19-APR-2021
COM NO 1854649','92','92','2021-04-19 12:55:24','2021-04-19 13:47:38',null);
INSERT INTO complaint_statuses VALUES('17983','5397','3',null,'55',null,'19-APR-2021
COM NO 754131','92','92','2021-04-19 13:04:25','2021-04-19 13:04:25',null);
INSERT INTO complaint_statuses VALUES('17984','5398','2',null,'81',null,'19-APR-2021
COM FF TO BEST COOL','92','92','2021-04-19 13:22:15','2021-04-19 13:22:15',null);
INSERT INTO complaint_statuses VALUES('17985','5398','4',null,'58',null,null,'81','81','2021-04-19 13:27:37','2021-04-19 13:27:37',null);
INSERT INTO complaint_statuses VALUES('17986','5395','4',null,'58',null,null,'81','81','2021-04-19 13:27:49','2021-04-19 13:27:49',null);
INSERT INTO complaint_statuses VALUES('17987','5389','4',null,'58',null,null,'81','81','2021-04-19 13:28:00','2021-04-19 13:28:00',null);
INSERT INTO complaint_statuses VALUES('17988','5399','3',null,'54',null,'19-APR-2021
COM NO 1854646','92','92','2021-04-19 13:50:32','2021-04-19 13:50:32',null);
INSERT INTO complaint_statuses VALUES('17989','5400','2',null,'81',null,'19-APR-2021
COM FF TO BEST COOL','92','92','2021-04-19 13:59:53','2021-04-19 13:59:53',null);
INSERT INTO complaint_statuses VALUES('17990','5401','3',null,'65',null,'19-APR-2021
COM NO 192121741','92','92','2021-04-19 14:11:47','2021-04-19 14:15:05',null);
INSERT INTO complaint_statuses VALUES('17991','5270','7','24','81','Clear picture already send pls check',null,'77','77','2021-04-19 14:15:10','2021-04-19 14:15:10',null);
INSERT INTO complaint_statuses VALUES('17992','5402','3',null,'54',null,'19-APR-2021
COM NO 1854883','92','92','2021-04-19 14:39:53','2021-04-19 16:09:35',null);
INSERT INTO complaint_statuses VALUES('17993','5403','3',null,'52',null,'19-APR-2021
COM NO PKRI-210419108923','92','92','2021-04-19 14:49:14','2021-04-19 14:55:34',null);
INSERT INTO complaint_statuses VALUES('17994','5404','2',null,'81',null,'19-APR-2021
COM FF TO BEST COOL','92','92','2021-04-19 15:02:34','2021-04-19 15:02:34',null);
INSERT INTO complaint_statuses VALUES('17995','5154','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-19 15:05:27','2021-04-19 15:05:27',null);
INSERT INTO complaint_statuses VALUES('17996','5405','3',null,'54',null,'19-APR-2021
COM NO 1854780','92','92','2021-04-19 15:14:30','2021-04-19 15:14:30',null);
INSERT INTO complaint_statuses VALUES('17997','5406','3',null,'52',null,'19-APR-2021
COM NO PKRI-210419109640','92','92','2021-04-19 15:21:03','2021-04-19 15:25:10',null);
INSERT INTO complaint_statuses VALUES('17998','5407','3',null,'81',null,'19-APR-2021
COM NO 270','92','92','2021-04-19 15:31:23','2021-04-22 11:16:41',null);
INSERT INTO complaint_statuses VALUES('17999','5408','2',null,'81',null,'19-APR-2021
COM FF TO BEST COOL','92','92','2021-04-19 15:45:18','2021-04-19 15:45:18',null);
INSERT INTO complaint_statuses VALUES('18000','5409','2',null,'81',null,'19-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-19 15:55:27','2021-04-19 15:55:27',null);
INSERT INTO complaint_statuses VALUES('18001','5410','3',null,'52',null,'19-APR-2021
COM NO PKRI-210419110545','92','92','2021-04-19 15:59:21','2021-04-19 16:03:46',null);
INSERT INTO complaint_statuses VALUES('18002','5409','4',null,'63',null,null,'81','81','2021-04-19 16:00:34','2021-04-19 16:00:34',null);
INSERT INTO complaint_statuses VALUES('18003','5408','4',null,'58',null,null,'81','81','2021-04-19 16:00:44','2021-04-19 16:00:44',null);
INSERT INTO complaint_statuses VALUES('18004','5404','4',null,'58',null,null,'81','81','2021-04-19 16:00:55','2021-04-19 16:00:55',null);
INSERT INTO complaint_statuses VALUES('18005','5400','4',null,'58',null,null,'81','81','2021-04-19 16:01:06','2021-04-19 16:01:06',null);
INSERT INTO complaint_statuses VALUES('18006','5387','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-19 16:36:16','2021-04-19 16:36:16',null);
INSERT INTO complaint_statuses VALUES('18007','5366','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-19 16:38:29','2021-04-19 16:38:29',null);
INSERT INTO complaint_statuses VALUES('18008','5411','2',null,'81',null,'19-APR-2021
COM NO 754890','92','92','2021-04-19 16:38:34','2021-04-21 11:28:42',null);
INSERT INTO complaint_statuses VALUES('18009','5412','3',null,'52',null,'19-APR-2021
COM NO PKRI210419111647','92','92','2021-04-19 16:55:24','2021-04-19 16:55:24',null);
INSERT INTO complaint_statuses VALUES('18010','5413','3',null,'73',null,'19-APR-2021
COM NO 4490','92','92','2021-04-19 17:05:23','2021-04-21 10:50:24',null);
INSERT INTO complaint_statuses VALUES('18011','5206','7','12','81','Door catcher and Service.',null,'76','76','2021-04-20 09:35:13','2021-04-20 09:35:13',null);
INSERT INTO complaint_statuses VALUES('18012','5297','7','12','81','complaint resolved,only light issue',null,'79','79','2021-04-20 10:01:59','2021-04-20 10:01:59',null);
INSERT INTO complaint_statuses VALUES('18013','5408','7','26','81','cancel',null,'79','79','2021-04-20 10:54:58','2021-04-20 10:54:58',null);
INSERT INTO complaint_statuses VALUES('18014','5408','5','15',null,'SELECT WRONG VENDER',null,'81','81','2021-04-20 11:01:56','2021-04-20 11:01:56',null);
INSERT INTO complaint_statuses VALUES('18015','5414','3',null,'73',null,'20-APRIL-2021
COMPLAINT#4485','74','74','2021-04-20 11:25:12','2021-04-20 11:25:12',null);
INSERT INTO complaint_statuses VALUES('18016','5275','8','23','56','NAEEM SAB NA APPROVAL DADI HAIN PART ODER KARAY & UNIT READY KARWAY',null,'81','81','2021-04-20 11:27:35','2021-04-20 11:27:35',null);
INSERT INTO complaint_statuses VALUES('18017','5415','2',null,'81',null,'19-APR-2021
COM FF TO HOME SOLUTION','74','74','2021-04-20 11:31:55','2021-04-20 11:31:55',null);
INSERT INTO complaint_statuses VALUES('18018','5297','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','73','2021-04-20 11:37:02','2021-04-20 12:02:54',null);
INSERT INTO complaint_statuses VALUES('18019','5416','3',null,'73',null,'20-APRIL-2021
COMPLAINT|#4486','74','92','2021-04-20 11:38:24','2021-04-21 13:19:27',null);
INSERT INTO complaint_statuses VALUES('18020','5388','7','12','81','ISSUE RESOLVED',null,'87','87','2021-04-20 11:50:50','2021-04-20 11:50:50',null);
INSERT INTO complaint_statuses VALUES('18021','5378','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-20 11:51:51','2021-04-20 11:51:51',null);
INSERT INTO complaint_statuses VALUES('18022','5251','7','12','81','ISSUE RESOLVED ,GAS CHARGED ONLY',null,'87','87','2021-04-20 11:52:20','2021-04-20 11:52:20',null);
INSERT INTO complaint_statuses VALUES('18023','5360','7','26','81','CUSTOMER PAYMENT K LYE AGREE NHI',null,'87','87','2021-04-20 11:53:04','2021-04-20 11:53:04',null);
INSERT INTO complaint_statuses VALUES('18024','3678','7','12','81',null,null,'91','91','2021-04-20 11:53:37','2021-04-20 11:53:37',null);
INSERT INTO complaint_statuses VALUES('18025','4585','7','12','81',null,null,'91','91','2021-04-20 11:53:50','2021-04-20 11:53:50',null);
INSERT INTO complaint_statuses VALUES('18026','4661','7','12','81',null,null,'91','91','2021-04-20 11:54:16','2021-04-20 11:54:16',null);
INSERT INTO complaint_statuses VALUES('18027','4720','7','12','81',null,null,'91','91','2021-04-20 11:54:29','2021-04-20 11:54:29',null);
INSERT INTO complaint_statuses VALUES('18028','4826','7','12','81',null,null,'91','91','2021-04-20 11:54:51','2021-04-20 11:54:51',null);
INSERT INTO complaint_statuses VALUES('18029','4869','7','12','81',null,null,'91','91','2021-04-20 11:55:12','2021-04-20 11:55:12',null);
INSERT INTO complaint_statuses VALUES('18030','5135','7','12','81',null,null,'91','91','2021-04-20 11:55:30','2021-04-20 11:55:30',null);
INSERT INTO complaint_statuses VALUES('18031','5142','7','12','81',null,null,'91','91','2021-04-20 11:55:49','2021-04-20 11:55:49',null);
INSERT INTO complaint_statuses VALUES('18032','3678','5','15',null,null,'COMPLAINT RESOLVED','81','73','2021-04-20 11:57:14','2021-04-20 12:09:19',null);
INSERT INTO complaint_statuses VALUES('18033','4585','5','15',null,null,'COMPLAINT RESOLVED','81','73','2021-04-20 11:57:26','2021-04-20 12:09:02',null);
INSERT INTO complaint_statuses VALUES('18034','4661','5','15',null,null,'COMPLAINT RESOLVED','81','73','2021-04-20 11:57:49','2021-04-20 12:08:27',null);
INSERT INTO complaint_statuses VALUES('18035','4720','5','15',null,null,'COMPLAINT RESOLVED','81','73','2021-04-20 11:58:02','2021-04-20 12:07:52',null);
INSERT INTO complaint_statuses VALUES('18036','4826','5','15',null,null,'COMPLAINT RESOLVED','81','73','2021-04-20 11:58:18','2021-04-20 12:07:15',null);
INSERT INTO complaint_statuses VALUES('18037','4869','5','15',null,null,'COMPLAINT RESOLVED','81','73','2021-04-20 11:58:42','2021-04-20 12:06:52',null);
INSERT INTO complaint_statuses VALUES('18038','5135','5','15',null,null,'COMPLAINT RESOLVED','81','73','2021-04-20 11:58:55','2021-04-20 12:06:27',null);
INSERT INTO complaint_statuses VALUES('18039','5142','5','15',null,null,'CLOSED','81','73','2021-04-20 11:59:16','2021-04-20 12:05:51',null);
INSERT INTO complaint_statuses VALUES('18040','5206','5','15',null,null,'COMPLAINT RESOLVED','81','73','2021-04-20 11:59:37','2021-04-20 12:04:32',null);
INSERT INTO complaint_statuses VALUES('18041','5251','5','15',null,null,'COMPLAINT RESOLVED','81','73','2021-04-20 11:59:54','2021-04-20 12:03:24',null);
INSERT INTO complaint_statuses VALUES('18042','5388','5','15',null,null,'COMPLAINT RESOLVED','81','73','2021-04-20 12:00:12','2021-04-20 12:02:16',null);
INSERT INTO complaint_statuses VALUES('18043','5383','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-20 12:18:29','2021-04-20 12:18:29',null);
INSERT INTO complaint_statuses VALUES('18044','5417','3',null,'95',null,'20-APRIL-2021
COMPLAINT#180916','74','74','2021-04-20 12:52:39','2021-04-20 12:52:39',null);
INSERT INTO complaint_statuses VALUES('18045','5396','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-20 12:55:38','2021-04-20 12:55:38',null);
INSERT INTO complaint_statuses VALUES('18046','5418','3',null,'54',null,'20-APRIL-2021
COMPLAINT#1855401','74','74','2021-04-20 13:04:50','2021-04-20 13:04:50',null);
INSERT INTO complaint_statuses VALUES('18047','5419','2',null,'81',null,'20-APRIL-2021
COMPLAINT#PKRI-210420106403','74','74','2021-04-20 13:10:48','2021-04-20 13:11:26',null);
INSERT INTO complaint_statuses VALUES('18048','5422','3',null,'53',null,'20-APRIL-2021
COMPLAINT NO 301116400','74','92','2021-04-20 13:31:08','2021-04-26 15:19:59',null);
INSERT INTO complaint_statuses VALUES('18049','5400','7','12','81','ye dishwasher bhi i 10 sy servcice hua hai.',null,'79','79','2021-04-20 13:45:24','2021-04-20 13:45:24',null);
INSERT INTO complaint_statuses VALUES('18050','5196','7','12','81','ISSUE RESOLVED',null,'87','87','2021-04-20 13:47:38','2021-04-20 13:47:38',null);
INSERT INTO complaint_statuses VALUES('18051','5404','7','12','81','gas leakage hai,i 10 sy repair ho ky gya hai',null,'79','79','2021-04-20 13:47:50','2021-04-20 13:47:50',null);
INSERT INTO complaint_statuses VALUES('18052','5424','2',null,'81',null,'20-APRIL-2021
FF TO SHAMIM AKHTER','74','92','2021-04-20 13:48:57','2021-04-22 12:23:25',null);
INSERT INTO complaint_statuses VALUES('18053','5424','4',null,'55',null,null,'81','81','2021-04-20 13:50:03','2021-04-20 13:50:03',null);
INSERT INTO complaint_statuses VALUES('18054','5419','4',null,'64',null,null,'81','81','2021-04-20 13:50:18','2021-04-20 13:50:18',null);
INSERT INTO complaint_statuses VALUES('18055','5415','4',null,'62',null,null,'81','81','2021-04-20 13:50:29','2021-04-20 13:50:29',null);
INSERT INTO complaint_statuses VALUES('18056','5411','4',null,'64',null,'COMPLAINT RESOLVED','81','74','2021-04-20 13:51:02','2021-04-22 11:59:30',null);
INSERT INTO complaint_statuses VALUES('18057','5404','8','23','58','AP I 10 S/C WALO SA BT KARAY',null,'81','81','2021-04-20 14:00:41','2021-04-20 14:00:41',null);
INSERT INTO complaint_statuses VALUES('18058','5400','8','23','58','AP I 10 S/C WALO SA BAT KARAY',null,'81','81','2021-04-20 14:01:07','2021-04-20 14:01:07',null);
INSERT INTO complaint_statuses VALUES('18059','5425','3',null,'62',null,'20-APRIL-2021
FF TO KHURRAM 5 STAR','74','92','2021-04-20 14:48:06','2021-05-30 13:48:42',null);
INSERT INTO complaint_statuses VALUES('18060','5426','3',null,'54',null,'20-APRIL-2021
COMPLAINT#1855583','74','74','2021-04-20 15:01:38','2021-04-20 15:01:38',null);
INSERT INTO complaint_statuses VALUES('18061','5353','7','12','81','ISSUE RESOLVED ,PANI K PRESURE KA ISSUE THA',null,'87','87','2021-04-20 15:07:04','2021-04-20 15:07:04',null);
INSERT INTO complaint_statuses VALUES('18062','5427','2',null,'81',null,'20-APRIL-2021
FF TO B.COOL','74','74','2021-04-20 15:08:55','2021-04-20 15:08:55',null);
INSERT INTO complaint_statuses VALUES('18063','5428','2',null,'81',null,'20-APRIL-2021
FF TO USMAN MRM','74','74','2021-04-20 15:14:10','2021-04-20 15:14:10',null);
INSERT INTO complaint_statuses VALUES('18064','5429','3',null,'52',null,'20-APRIL-2021
COMPLAINT#PKRI-210420109033','74','92','2021-04-20 15:23:41','2021-04-28 13:57:02',null);
INSERT INTO complaint_statuses VALUES('18065','5430','3',null,'52',null,'20-APRIL-2021
COMPLAINT#PKRI210420109081','74','74','2021-04-20 15:26:07','2021-04-20 15:26:07',null);
INSERT INTO complaint_statuses VALUES('18066','5428','4',null,'61',null,null,'81','81','2021-04-20 15:32:56','2021-04-20 15:32:56',null);
INSERT INTO complaint_statuses VALUES('18067','5427','4',null,'58',null,null,'81','81','2021-04-20 15:33:09','2021-04-20 15:33:09',null);
INSERT INTO complaint_statuses VALUES('18068','5431','2',null,'81',null,'20-APRIL-2021
FF TO  SHAMIM AKHTER','74','74','2021-04-20 15:33:23','2021-04-20 15:33:23',null);
INSERT INTO complaint_statuses VALUES('18069','5431','4',null,'55',null,null,'81','81','2021-04-20 15:34:19','2021-04-20 15:34:19',null);
INSERT INTO complaint_statuses VALUES('18070','5432','2',null,'81',null,'20-APRIL-2021
COMPLAINT#4488','74','74','2021-04-20 15:36:47','2021-04-20 15:36:47',null);
INSERT INTO complaint_statuses VALUES('18071','5433','2',null,'81',null,'20-APRIL-2021
COMPLAINT#4488','74','74','2021-04-20 15:41:03','2021-04-20 15:41:03',null);
INSERT INTO complaint_statuses VALUES('18072','5433','4',null,'64',null,null,'81','81','2021-04-20 15:41:18','2021-04-20 15:41:18',null);
INSERT INTO complaint_statuses VALUES('18073','5432','4',null,'64',null,null,'81','81','2021-04-20 15:41:33','2021-04-20 15:41:33',null);
INSERT INTO complaint_statuses VALUES('18074','5353','5','15',null,'COMPLETED COMPLAINT','COMPLAINTRESOLVED','81','74','2021-04-20 15:43:10','2021-04-21 12:14:31',null);
INSERT INTO complaint_statuses VALUES('18075','5427','7','12','81','compressor ,gas and cupplery tube change,complaint resolved',null,'79','79','2021-04-20 16:27:31','2021-04-20 16:27:31',null);
INSERT INTO complaint_statuses VALUES('18076','5368','7','12','81','No Fault in Washing Machine.',null,'76','76','2021-04-20 16:41:49','2021-04-20 16:41:49',null);
INSERT INTO complaint_statuses VALUES('18077','5305','7','12','81','Drain Pipe Adjutment.',null,'76','76','2021-04-20 16:42:27','2021-04-20 16:42:27',null);
INSERT INTO complaint_statuses VALUES('18078','5252','7','12','81','Again Visit Complete.',null,'76','76','2021-04-20 16:43:04','2021-04-20 16:43:04',null);
INSERT INTO complaint_statuses VALUES('18079','5356','7','12','81','Gasket Replaced Remaining Amount 4500/-',null,'76','76','2021-04-20 16:43:46','2021-04-20 16:43:46',null);
INSERT INTO complaint_statuses VALUES('18080','5182','7','22','81','Old PCB not Repairable , please provide new PCB.',null,'76','76','2021-04-20 16:44:44','2021-04-20 16:44:44',null);
INSERT INTO complaint_statuses VALUES('18081','5389','7','12','81','complaint resolved.no issue no sound',null,'79','79','2021-04-21 09:52:18','2021-04-21 09:52:18',null);
INSERT INTO complaint_statuses VALUES('18082','5427','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-21 10:54:45','2021-04-21 12:12:12',null);
INSERT INTO complaint_statuses VALUES('18083','5406','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-21 11:00:18','2021-04-21 11:00:18',null);
INSERT INTO complaint_statuses VALUES('18084','5434','3',null,'54',null,'21-APR-2021
COM NO 1857263','92','92','2021-04-21 11:05:59','2021-04-22 16:27:39',null);
INSERT INTO complaint_statuses VALUES('18085','5389','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-21 11:06:03','2021-04-21 12:12:44',null);
INSERT INTO complaint_statuses VALUES('18086','5405','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-21 11:10:23','2021-04-21 11:10:23',null);
INSERT INTO complaint_statuses VALUES('18087','5368','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-21 11:15:22','2021-04-21 12:13:13',null);
INSERT INTO complaint_statuses VALUES('18088','5410','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-21 11:18:58','2021-04-21 11:18:58',null);
INSERT INTO complaint_statuses VALUES('18089','5356','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-21 11:32:51','2021-04-21 12:13:40',null);
INSERT INTO complaint_statuses VALUES('18090','5420','2',null,'81',null,null,'92','92','2021-04-21 11:36:01','2021-04-21 11:36:01',null);
INSERT INTO complaint_statuses VALUES('18091','5420','4',null,'64',null,null,'81','81','2021-04-21 11:36:17','2021-04-21 11:36:17',null);
INSERT INTO complaint_statuses VALUES('18092','5403','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-21 11:36:54','2021-04-21 11:36:54',null);
INSERT INTO complaint_statuses VALUES('18093','5435','3',null,'52',null,'21-APR-2021
COM NO PKRI-210421103880','92','92','2021-04-21 11:40:59','2021-04-21 11:43:52',null);
INSERT INTO complaint_statuses VALUES('18094','5401','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-21 11:50:14','2021-04-21 11:50:14',null);
INSERT INTO complaint_statuses VALUES('18095','5436','2',null,'81',null,'21-APR-2021
COM FF TO USMAN SIR','92','92','2021-04-21 11:52:27','2021-04-21 11:52:27',null);
INSERT INTO complaint_statuses VALUES('18096','5437','3',null,'73',null,'21-APR-2021
COM NO 4493','92','92','2021-04-21 12:01:12','2021-04-21 16:04:18',null);
INSERT INTO complaint_statuses VALUES('18097','5305','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-21 12:01:41','2021-04-21 12:15:09',null);
INSERT INTO complaint_statuses VALUES('18098','5397','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-21 12:04:05','2021-04-21 12:04:05',null);
INSERT INTO complaint_statuses VALUES('18099','5270','8','23','56','less 1980 . approved by friends carporation  10000',null,'81','81','2021-04-21 12:13:31','2021-04-21 12:13:31',null);
INSERT INTO complaint_statuses VALUES('18100','5393','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-21 12:17:28','2021-04-21 12:17:28',null);
INSERT INTO complaint_statuses VALUES('18101','5438','3',null,'67',null,'21-APR-2021
COM FF TO ANWAR CARAVELL','92','92','2021-04-21 12:22:04','2021-05-30 13:49:43',null);
INSERT INTO complaint_statuses VALUES('18102','5439','2',null,'81',null,'21-APR-2021
COM FF TO AZHAR SIR','92','92','2021-04-21 12:30:30','2021-04-21 12:30:30',null);
INSERT INTO complaint_statuses VALUES('18103','5391','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-21 12:33:17','2021-04-21 12:33:17',null);
INSERT INTO complaint_statuses VALUES('18104','5440','2',null,'81',null,'21-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-21 12:34:08','2021-04-21 12:34:08',null);
INSERT INTO complaint_statuses VALUES('18105','5252','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-21 12:35:17','2021-04-21 12:42:51',null);
INSERT INTO complaint_statuses VALUES('18106','5440','4',null,'63',null,null,'81','81','2021-04-21 12:36:02','2021-04-21 12:36:02',null);
INSERT INTO complaint_statuses VALUES('18107','5439','4',null,'60',null,null,'81','81','2021-04-21 12:36:10','2021-04-21 12:36:10',null);
INSERT INTO complaint_statuses VALUES('18108','5436','4',null,'61',null,null,'81','81','2021-04-21 12:36:21','2021-04-21 12:36:21',null);
INSERT INTO complaint_statuses VALUES('18109','5385','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-21 12:42:25','2021-04-21 12:42:25',null);
INSERT INTO complaint_statuses VALUES('18110','5441','2',null,'81',null,'21-APR-2021
COM FF TO AZHAR FCI','92','92','2021-04-21 12:46:32','2021-04-21 12:46:32',null);
INSERT INTO complaint_statuses VALUES('18111','5441','4',null,'60',null,null,'81','81','2021-04-21 12:47:34','2021-04-21 12:47:34',null);
INSERT INTO complaint_statuses VALUES('18112','5380','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-21 12:54:14','2021-04-21 12:54:14',null);
INSERT INTO complaint_statuses VALUES('18113','5442','3',null,'52',null,'21-APR-2021
COM NO PKRI-210421107232','92','92','2021-04-21 12:58:40','2021-04-21 14:11:18',null);
INSERT INTO complaint_statuses VALUES('18114','5443','3',null,'52',null,'21-APR-2021
COM NO PKRI-210421107293','92','92','2021-04-21 13:04:35','2021-04-21 14:14:09',null);
INSERT INTO complaint_statuses VALUES('18115','5031','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-21 13:06:11','2021-04-21 13:06:11',null);
INSERT INTO complaint_statuses VALUES('18116','5415','7','12','81','ISSUE RESOLVED . CUSTOMER NY KHD E OK KRWA LI',null,'87','87','2021-04-21 13:13:34','2021-04-21 13:13:34',null);
INSERT INTO complaint_statuses VALUES('18117','5444','3',null,'52',null,'21-APR-2021
COM NO PKRI-210421107355','92','92','2021-04-21 13:13:57','2021-04-21 14:18:01',null);
INSERT INTO complaint_statuses VALUES('18118','5445','2',null,'81',null,'21-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-21 13:23:58','2021-04-21 13:23:58',null);
INSERT INTO complaint_statuses VALUES('18119','5446','2',null,'81',null,'21-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-21 13:30:13','2021-04-21 13:30:13',null);
INSERT INTO complaint_statuses VALUES('18120','5447','3',null,'65',null,'21-APR-2021
COM NO 192121770','92','92','2021-04-21 13:45:48','2021-04-21 13:48:11',null);
INSERT INTO complaint_statuses VALUES('18121','5448','3',null,'68',null,'21-APR-2021
COM FF TO  ZAHID  SHARP','92','92','2021-04-21 13:59:53','2021-04-21 14:20:52',null);
INSERT INTO complaint_statuses VALUES('18122','5449','3',null,'52',null,'21-APR-2021
COM NO PKRI-210421107403','92','92','2021-04-21 14:07:10','2021-04-21 14:20:17',null);
INSERT INTO complaint_statuses VALUES('18123','5450','3',null,'67',null,'21-APR-2021
COM FF TO ANWAR CARAVELL','92','92','2021-04-21 14:38:05','2021-04-21 14:38:05',null);
INSERT INTO complaint_statuses VALUES('18124','5431','7','11','81','Please provide complete phone Number.',null,'76','76','2021-04-21 15:03:59','2021-04-21 15:03:59',null);
INSERT INTO complaint_statuses VALUES('18125','5285','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-21 15:10:19','2021-04-21 15:10:19',null);
INSERT INTO complaint_statuses VALUES('18126','5451','2',null,'81',null,'21-APR-2021
COM FF TO BEST COOL','92','92','2021-04-21 15:34:34','2021-04-21 15:34:34',null);
INSERT INTO complaint_statuses VALUES('18127','5452','3',null,'52',null,'21-APR-2021
COM NO PKRI-210421109143','92','92','2021-04-21 15:41:08','2021-04-21 15:41:08',null);
INSERT INTO complaint_statuses VALUES('18128','5335','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-21 15:53:41','2021-04-21 15:53:41',null);
INSERT INTO complaint_statuses VALUES('18129','5453','3',null,'73',null,'21-APR-2021
COM NO 4496','92','92','2021-04-21 15:59:50','2021-04-21 16:06:32',null);
INSERT INTO complaint_statuses VALUES('18130','5381','7','12','81','gzr is proper working plumbering issue,',null,'79','79','2021-04-21 16:59:43','2021-04-21 16:59:43',null);
INSERT INTO complaint_statuses VALUES('18131','5092','7','12','81','no issue in ref',null,'79','79','2021-04-21 17:00:14','2021-04-21 17:00:14',null);
INSERT INTO complaint_statuses VALUES('18132','5398','7','12','81','tab change complant reslved',null,'79','79','2021-04-21 17:01:03','2021-04-21 17:01:03',null);
INSERT INTO complaint_statuses VALUES('18133','5202','7','12','81','Bearings and Seal Replaced',null,'76','76','2021-04-22 10:21:57','2021-04-22 10:21:57',null);
INSERT INTO complaint_statuses VALUES('18134','5431','8','23','55','03005189204 KINDLY VISIT ARRANGE KARWA DAY AJ',null,'81','81','2021-04-22 10:30:19','2021-04-22 10:30:19',null);
INSERT INTO complaint_statuses VALUES('18135','5454','3',null,'55',null,'22-APR-2021
COM NO 755308','92','92','2021-04-22 10:31:29','2021-04-22 10:34:27',null);
INSERT INTO complaint_statuses VALUES('18136','5416','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-22 10:33:39','2021-04-22 10:33:39',null);
INSERT INTO complaint_statuses VALUES('18137','5415','5','15',null,'CUSTOMER NA LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA LIYA','COMPLAINT RESOLVED','81','74','2021-04-22 10:35:03','2021-04-22 11:56:36',null);
INSERT INTO complaint_statuses VALUES('18138','5455','2',null,'81',null,'22-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-22 10:36:44','2021-04-22 10:36:44',null);
INSERT INTO complaint_statuses VALUES('18139','5398','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-04-22 10:39:52','2021-04-22 11:57:31',null);
INSERT INTO complaint_statuses VALUES('18140','5456','3',null,'55',null,'22-APR-2021
COM NO 19535','92','92','2021-04-22 10:45:46','2021-04-22 10:56:37',null);
INSERT INTO complaint_statuses VALUES('18141','5457','3',null,'73',null,'22-APR-2021
COM NO 4503','92','92','2021-04-22 10:49:22','2021-04-22 10:53:35',null);
INSERT INTO complaint_statuses VALUES('18142','5458','3',null,'73',null,'22-APR--2021
COM NO 4504','92','92','2021-04-22 10:51:42','2021-04-22 10:53:55',null);
INSERT INTO complaint_statuses VALUES('18143','5459','3',null,'52',null,'22-APR-2021
COM NO PKRI-210422102609','92','92','2021-04-22 11:07:12','2021-04-22 11:09:58',null);
INSERT INTO complaint_statuses VALUES('18144','5460','2',null,'81',null,'22-APR-2021
COM FF TO BEST COOL','92','92','2021-04-22 11:25:15','2021-04-22 11:25:15',null);
INSERT INTO complaint_statuses VALUES('18145','5460','4',null,'58',null,null,'81','81','2021-04-22 11:26:08','2021-04-22 11:26:08',null);
INSERT INTO complaint_statuses VALUES('18146','5455','4',null,'55',null,null,'81','81','2021-04-22 11:26:18','2021-04-22 11:26:18',null);
INSERT INTO complaint_statuses VALUES('18147','5451','4',null,'58',null,null,'81','81','2021-04-22 11:26:34','2021-04-22 11:26:34',null);
INSERT INTO complaint_statuses VALUES('18148','5446','4',null,'55',null,null,'81','81','2021-04-22 11:26:44','2021-04-22 11:26:44',null);
INSERT INTO complaint_statuses VALUES('18149','5445','4',null,'55',null,null,'81','81','2021-04-22 11:26:53','2021-04-22 11:26:53',null);
INSERT INTO complaint_statuses VALUES('18150','5461','2',null,'81',null,'22-APR-2021
COM FF TO KHALID SONY','92','92','2021-04-22 11:40:45','2021-04-22 11:40:45',null);
INSERT INTO complaint_statuses VALUES('18151','5381','5','15',null,'OK COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-04-22 11:43:43','2021-04-22 11:57:58',null);
INSERT INTO complaint_statuses VALUES('18152','5202','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-22 11:45:37','2021-04-22 11:58:27',null);
INSERT INTO complaint_statuses VALUES('18153','5462','3',null,'56',null,'22-APR-2021
COM NO D22/006','92','92','2021-04-22 11:47:11','2021-04-22 11:47:11',null);
INSERT INTO complaint_statuses VALUES('18154','5461','4',null,'56',null,null,'81','81','2021-04-22 11:48:15','2021-04-22 11:48:15',null);
INSERT INTO complaint_statuses VALUES('18155','5414','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-22 11:49:00','2021-04-22 11:49:00',null);
INSERT INTO complaint_statuses VALUES('18156','5421','3',null,'96',null,'FF TO JABAR HACWAL','74','74','2021-04-22 11:53:12','2021-04-27 13:12:54',null);
INSERT INTO complaint_statuses VALUES('18157','5463','3',null,'54',null,'22-APR-2021
COM NO 1856878','92','92','2021-04-22 12:00:15','2021-04-22 12:00:15',null);
INSERT INTO complaint_statuses VALUES('18158','5298','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-22 12:03:56','2021-04-22 12:03:56',null);
INSERT INTO complaint_statuses VALUES('18159','5464','2',null,'81',null,'22-APR-2021
COM FF TO USMAN','92','92','2021-04-22 12:07:01','2021-04-22 12:07:01',null);
INSERT INTO complaint_statuses VALUES('18160','5411','7','12','81',null,null,'91','91','2021-04-22 12:15:40','2021-04-22 12:15:40',null);
INSERT INTO complaint_statuses VALUES('18161','5465','2',null,'81',null,'22-APR-2021
COM FF TO HOME SOLUTION','92','92','2021-04-22 12:16:12','2021-04-22 12:16:12',null);
INSERT INTO complaint_statuses VALUES('18162','5411','5','15',null,null,'COMPLAINT RESOLVED','81','73','2021-04-22 12:16:22','2021-04-22 12:16:52',null);
INSERT INTO complaint_statuses VALUES('18163','5465','4',null,'62',null,null,'81','81','2021-04-22 12:17:40','2021-04-22 12:17:40',null);
INSERT INTO complaint_statuses VALUES('18164','5464','4',null,'61',null,null,'81','81','2021-04-22 12:17:46','2021-04-22 12:17:46',null);
INSERT INTO complaint_statuses VALUES('18165','5466','2',null,'81',null,'22-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-22 12:29:48','2021-04-22 12:29:48',null);
INSERT INTO complaint_statuses VALUES('18166','5467','3',null,'52',null,'22-APR-2021
COM NO PKRI-210422106096','92','92','2021-04-22 12:38:05','2021-04-22 13:43:06',null);
INSERT INTO complaint_statuses VALUES('18167','5196','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-22 12:41:05','2021-04-22 12:52:21',null);
INSERT INTO complaint_statuses VALUES('18168','5092','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-22 12:42:34','2021-04-22 12:52:52',null);
INSERT INTO complaint_statuses VALUES('18169','5468','3',null,'52',null,'22-APR-20212
COM NO PKRI-210422106045
NEW COMPLAINT#PKRI-2105031100411','92','74','2021-04-22 12:43:16','2021-05-03 16:11:44',null);
INSERT INTO complaint_statuses VALUES('18170','5182','8','23','55','please provide us new part price',null,'81','81','2021-04-22 12:44:33','2021-04-22 12:44:33',null);
INSERT INTO complaint_statuses VALUES('18171','5469','2',null,'81',null,'22-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-22 12:50:33','2021-04-22 12:50:33',null);
INSERT INTO complaint_statuses VALUES('18172','5365','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-22 12:51:45','2021-04-22 12:51:45',null);
INSERT INTO complaint_statuses VALUES('18173','5469','4',null,'55',null,null,'81','81','2021-04-22 12:51:56','2021-04-22 12:51:56',null);
INSERT INTO complaint_statuses VALUES('18174','5466','4',null,'63',null,null,'81','81','2021-04-22 12:52:09','2021-04-22 12:52:09',null);
INSERT INTO complaint_statuses VALUES('18175','5374','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-22 12:56:59','2021-04-22 12:56:59',null);
INSERT INTO complaint_statuses VALUES('18176','5395','7','26','81','cancel complint',null,'79','79','2021-04-22 13:09:01','2021-04-22 13:09:01',null);
INSERT INTO complaint_statuses VALUES('18177','5470','3',null,'52',null,'22-APR-2021
COM NO PKRI-210422105976','92','92','2021-04-22 13:22:55','2021-04-22 13:35:41',null);
INSERT INTO complaint_statuses VALUES('18178','5283','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-22 13:23:26','2021-04-22 13:23:26',null);
INSERT INTO complaint_statuses VALUES('18179','5471','3',null,'52',null,'22-APR-2021
COM NO PKJM-210422105865','92','92','2021-04-22 13:27:25','2021-04-22 13:31:38',null);
INSERT INTO complaint_statuses VALUES('18180','5448','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-22 13:47:18','2021-04-22 13:47:18',null);
INSERT INTO complaint_statuses VALUES('18181','5472','3',null,'52',null,'22-APR-2021
COM NO PKRI-210422109646','92','92','2021-04-22 13:52:27','2021-04-22 16:47:04',null);
INSERT INTO complaint_statuses VALUES('18182','5473','2',null,'81',null,'22-APRIL-2021
FF TO ATTIQ ABBOTTABAD','74','74','2021-04-22 13:54:31','2021-04-22 13:54:31',null);
INSERT INTO complaint_statuses VALUES('18183','5473','4',null,'62',null,null,'81','81','2021-04-22 13:56:50','2021-04-22 13:56:50',null);
INSERT INTO complaint_statuses VALUES('18184','5395','5','15',null,'CUSTOMER NA LOCAL TECHNICIAN SA COMPLAINT RESOLVED KARWA LI','COMPLAINT CLOSED','81','74','2021-04-22 13:59:42','2021-04-22 14:01:02',null);
INSERT INTO complaint_statuses VALUES('18185','5474','2',null,'81',null,'22-APR-2021
COM FF TO HOME SOLUTION','92','92','2021-04-22 14:09:24','2021-04-22 14:09:24',null);
INSERT INTO complaint_statuses VALUES('18186','5474','4',null,'62',null,null,'81','81','2021-04-22 14:10:40','2021-04-22 14:10:40',null);
INSERT INTO complaint_statuses VALUES('18187','5475','2',null,'81',null,'22-APR-2021
COM FF TO HOME SOLUTION','92','92','2021-04-22 14:22:05','2021-04-22 14:22:05',null);
INSERT INTO complaint_statuses VALUES('18188','5476','2',null,'81',null,'22-APR-2021
COM NO 192121790','92','92','2021-04-22 14:28:58','2021-04-22 14:28:58',null);
INSERT INTO complaint_statuses VALUES('18189','5477','2',null,'81',null,'22-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-22 14:36:53','2021-04-22 14:36:53',null);
INSERT INTO complaint_statuses VALUES('18190','5478','3',null,'52',null,'22-APR-2021
COM NO PKRI-210422107512','92','92','2021-04-22 14:55:15','2021-04-22 16:49:12',null);
INSERT INTO complaint_statuses VALUES('18191','5479','2',null,'81',null,'22-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-22 15:06:29','2021-04-22 15:06:29',null);
INSERT INTO complaint_statuses VALUES('18192','5480','2',null,'81',null,'22-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-22 15:21:14','2021-04-22 15:21:14',null);
INSERT INTO complaint_statuses VALUES('18193','5281','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-22 15:25:24','2021-04-22 15:25:24',null);
INSERT INTO complaint_statuses VALUES('18194','5436','7','24','81','Panel defective 
RS 120,000/-
7 days time',null,'83','83','2021-04-22 15:32:41','2021-04-22 15:32:41',null);
INSERT INTO complaint_statuses VALUES('18195','5481','3',null,'52',null,'22-APR-2021
COM NO PKRI-210422108309','92','92','2021-04-22 15:32:49','2021-04-22 15:34:07',null);
INSERT INTO complaint_statuses VALUES('18196','5482','2',null,'81',null,'22-APR-2021
COM FF TO BEST COOL','92','92','2021-04-22 15:47:53','2021-04-22 15:47:53',null);
INSERT INTO complaint_statuses VALUES('18197','5482','4',null,'58',null,null,'81','81','2021-04-22 15:49:43','2021-04-22 15:49:43',null);
INSERT INTO complaint_statuses VALUES('18198','5480','4',null,'63',null,null,'81','81','2021-04-22 15:49:57','2021-04-22 15:49:57',null);
INSERT INTO complaint_statuses VALUES('18199','5479','4',null,'63',null,null,'81','81','2021-04-22 15:50:06','2021-04-22 15:50:06',null);
INSERT INTO complaint_statuses VALUES('18200','5477','4',null,'63',null,null,'81','81','2021-04-22 15:50:15','2021-04-22 15:50:15',null);
INSERT INTO complaint_statuses VALUES('18201','5477','4',null,'63',null,null,'81','81','2021-04-22 15:50:15','2021-04-22 15:50:15',null);
INSERT INTO complaint_statuses VALUES('18202','5476','4',null,'64',null,null,'81','81','2021-04-22 15:50:23','2021-04-22 15:50:23',null);
INSERT INTO complaint_statuses VALUES('18203','5475','4',null,'62',null,null,'81','81','2021-04-22 15:50:33','2021-04-22 15:50:33',null);
INSERT INTO complaint_statuses VALUES('18204','5475','4',null,'62',null,null,'81','81','2021-04-22 15:50:34','2021-04-22 15:50:34',null);
INSERT INTO complaint_statuses VALUES('18205','5483','2',null,'81',null,'22-APR-2021
COM FF TO BEST COOL','92','92','2021-04-22 16:17:52','2021-04-22 16:17:52',null);
INSERT INTO complaint_statuses VALUES('18206','5483','4',null,'58',null,null,'81','81','2021-04-22 16:19:01','2021-04-22 16:19:01',null);
INSERT INTO complaint_statuses VALUES('18207','5484','2',null,'81',null,'22-APR-2021
COM FF TO BEST COOL','92','92','2021-04-22 16:39:01','2021-04-22 16:39:01',null);
INSERT INTO complaint_statuses VALUES('18208','5485','3',null,'73',null,'22-APR-2021
COM NO 4514','92','74','2021-04-22 16:56:20','2021-04-24 10:36:53',null);
INSERT INTO complaint_statuses VALUES('18209','5484','4',null,'58',null,null,'81','81','2021-04-22 16:59:10','2021-04-22 16:59:10',null);
INSERT INTO complaint_statuses VALUES('18210','5452','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-23 11:11:48','2021-04-23 11:11:48',null);
INSERT INTO complaint_statuses VALUES('18211','5450','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-23 11:18:52','2021-04-23 11:18:52',null);
INSERT INTO complaint_statuses VALUES('18212','5447','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-23 11:33:23','2021-04-23 11:33:23',null);
INSERT INTO complaint_statuses VALUES('18213','5444','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-23 11:35:21','2021-04-23 11:35:21',null);
INSERT INTO complaint_statuses VALUES('18214','5486','3',null,'71',null,'23-APRIL-2021
COMPLAINT#C4/82','74','74','2021-04-23 11:48:38','2021-04-23 11:48:38',null);
INSERT INTO complaint_statuses VALUES('18215','5487','3',null,'85',null,'23-APRIL-2021
COMPLAINT#301115279','74','92','2021-04-23 12:27:56','2021-04-24 11:15:31',null);
INSERT INTO complaint_statuses VALUES('18216','5488','3',null,'66',null,'23-APRIL-2021
COMPLAINT#PK042320210037','74','74','2021-04-23 12:39:32','2021-04-29 13:01:23',null);
INSERT INTO complaint_statuses VALUES('18217','5489','3',null,'66',null,'23-APRIL-2021
COMPLAINT#PK042320210041','74','74','2021-04-23 12:39:50','2021-04-23 12:57:54',null);
INSERT INTO complaint_statuses VALUES('18218','5490','3',null,'66',null,'23-APRIL-2021
COMPLAINT#PK040620210071
MURSALEEN SAB','74','74','2021-04-23 12:52:42','2021-04-27 11:21:28',null);
INSERT INTO complaint_statuses VALUES('18219','5491','3',null,'52',null,'23-APRIL-2021
COMPLAINT#PKRI-210423105053','74','74','2021-04-23 13:30:43','2021-04-23 13:30:43',null);
INSERT INTO complaint_statuses VALUES('18220','5442','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-23 15:17:15','2021-04-23 15:17:15',null);
INSERT INTO complaint_statuses VALUES('18221','5463','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-23 15:18:41','2021-04-23 15:18:41',null);
INSERT INTO complaint_statuses VALUES('18222','5437','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-23 15:26:48','2021-04-23 15:26:48',null);
INSERT INTO complaint_statuses VALUES('18223','5418','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-23 15:37:14','2021-04-23 15:37:14',null);
INSERT INTO complaint_statuses VALUES('18224','5426','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-23 15:40:00','2021-04-23 15:40:00',null);
INSERT INTO complaint_statuses VALUES('18225','5413','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-23 15:44:24','2021-04-23 15:44:24',null);
INSERT INTO complaint_statuses VALUES('18226','5357','7','12','81','Thimbal jala huwa tha',null,'82','82','2021-04-23 16:01:58','2021-04-23 16:01:58',null);
INSERT INTO complaint_statuses VALUES('18227','5375','7','12','81','ignition and safty,compliant reoslved',null,'79','79','2021-04-24 10:28:04','2021-04-24 10:28:04',null);
INSERT INTO complaint_statuses VALUES('18228','5369','7','12','81','fan motor change',null,'79','79','2021-04-24 10:28:51','2021-04-24 10:28:51',null);
INSERT INTO complaint_statuses VALUES('18229','5482','7','12','81','pcb repair compliant resolved',null,'79','79','2021-04-24 10:29:40','2021-04-24 10:29:40',null);
INSERT INTO complaint_statuses VALUES('18230','5482','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-24 10:38:49','2021-04-24 10:55:52',null);
INSERT INTO complaint_statuses VALUES('18231','5483','7','12','81','agr ye max ki complint wo humnahi kry gain',null,'79','79','2021-04-24 10:39:18','2021-04-24 10:39:18',null);
INSERT INTO complaint_statuses VALUES('18232','5483','5','15',null,'complaint cancel','COMPLAINT CLOSED','81','74','2021-04-24 10:43:02','2021-04-24 10:54:46',null);
INSERT INTO complaint_statuses VALUES('18233','5478','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-24 10:44:36','2021-04-24 10:44:36',null);
INSERT INTO complaint_statuses VALUES('18234','5472','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-24 10:47:19','2021-04-24 10:47:19',null);
INSERT INTO complaint_statuses VALUES('18235','5492','2',null,'81',null,'24-APR-2021
COM FF TO BEST COOL','92','92','2021-04-24 10:47:30','2021-04-24 10:47:30',null);
INSERT INTO complaint_statuses VALUES('18236','5492','4',null,'63',null,null,'81','81','2021-04-24 10:48:24','2021-04-24 10:48:24',null);
INSERT INTO complaint_statuses VALUES('18237','5470','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-24 10:49:10','2021-04-24 10:49:10',null);
INSERT INTO complaint_statuses VALUES('18238','5480','7','12','81','COMPLAINT CLOSED',null,'88','88','2021-04-24 10:59:36','2021-04-24 10:59:36',null);
INSERT INTO complaint_statuses VALUES('18239','5492','7','12','81','WRONG VENDOR  SELECT KIYA',null,'88','88','2021-04-24 11:00:51','2021-04-24 11:00:51',null);
INSERT INTO complaint_statuses VALUES('18240','5493','2',null,'81',null,'24-APR-2021
COM FF TO BEST COOL','92','92','2021-04-24 11:04:14','2021-04-24 11:04:14',null);
INSERT INTO complaint_statuses VALUES('18241','5492','5','15',null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-04-24 11:04:25','2021-04-24 11:34:08',null);
INSERT INTO complaint_statuses VALUES('18242','5493','4',null,'58',null,null,'81','81','2021-04-24 11:04:41','2021-04-24 11:04:41',null);
INSERT INTO complaint_statuses VALUES('18243','5480','5','15',null,'ALREADY IN PROCESS COMPLAINT','COMPLAINT CLOSED','81','74','2021-04-24 11:04:48','2021-04-24 11:35:59',null);
INSERT INTO complaint_statuses VALUES('18244','5494','3',null,'54',null,'24-APR-2021
COM NO 1857784','92','92','2021-04-24 11:07:25','2021-04-24 11:11:11',null);
INSERT INTO complaint_statuses VALUES('18245','5367','7','12','81','COMPLETED COMPLAINT 
SAFTY VALUE REPLACE KIYA 2000 PARTS EXP & 1000 LAB OUR CHARGES
TOTAL 3000 EXP COMPLAINT RESOLVED',null,'88','88','2021-04-24 11:14:59','2021-04-24 11:14:59',null);
INSERT INTO complaint_statuses VALUES('18246','5367','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-24 11:16:09','2021-04-24 11:37:42',null);
INSERT INTO complaint_statuses VALUES('18247','5369','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-04-24 11:17:27','2021-04-24 11:37:06',null);
INSERT INTO complaint_statuses VALUES('18248','5357','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-24 11:21:48','2021-04-24 11:38:09',null);
INSERT INTO complaint_statuses VALUES('18249','5375','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-24 11:24:20','2021-04-24 11:36:30',null);
INSERT INTO complaint_statuses VALUES('18250','5431','7','24','81','Customer not agree for paying visit charges.',null,'76','76','2021-04-24 11:26:27','2021-04-24 11:26:27',null);
INSERT INTO complaint_statuses VALUES('18251','5495','3',null,'66',null,'24-APR-2021
COM NO PK-042320210060','92','92','2021-04-24 11:30:02','2021-04-24 11:30:02',null);
INSERT INTO complaint_statuses VALUES('18252','5462','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-24 11:47:20','2021-04-24 11:47:20',null);
INSERT INTO complaint_statuses VALUES('18253','5456','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-24 11:51:03','2021-04-24 11:51:03',null);
INSERT INTO complaint_statuses VALUES('18254','5457','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-24 11:52:17','2021-04-24 11:52:17',null);
INSERT INTO complaint_statuses VALUES('18255','5458','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-24 11:57:30','2021-04-24 11:57:30',null);
INSERT INTO complaint_statuses VALUES('18256','5496','3',null,'52',null,'24-APR-2021
COM NO PKRI-210424103865','92','92','2021-04-24 12:25:30','2021-04-24 13:52:20',null);
INSERT INTO complaint_statuses VALUES('18257','5497','3',null,'53',null,'24-APR-2021
COM NO 301115689','92','92','2021-04-24 12:57:53','2021-04-24 12:57:53',null);
INSERT INTO complaint_statuses VALUES('18258','5498','2',null,'81',null,'18-APR-2021
COM FF TO BEST COOL','74','74','2021-04-24 13:15:22','2021-04-24 13:15:22',null);
INSERT INTO complaint_statuses VALUES('18259','5234','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-24 13:19:22','2021-04-24 13:19:22',null);
INSERT INTO complaint_statuses VALUES('18260','5499','2',null,'81',null,'24-APR-2021
COM FF TO HOME SOLUTION','92','92','2021-04-24 13:23:25','2021-04-24 13:23:25',null);
INSERT INTO complaint_statuses VALUES('18261','5474','7','12','81','ISSUE RESOLVED',null,'87','87','2021-04-24 13:26:31','2021-04-24 13:26:31',null);
INSERT INTO complaint_statuses VALUES('18262','5476','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-04-24 13:26:36','2021-04-24 13:26:36',null);
INSERT INTO complaint_statuses VALUES('18263','5476','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-24 13:27:28','2021-04-24 13:32:19',null);
INSERT INTO complaint_statuses VALUES('18264','5465','7','12','81','ISSUE RESOLVED',null,'87','87','2021-04-24 13:28:08','2021-04-24 13:28:08',null);
INSERT INTO complaint_statuses VALUES('18265','5474','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-24 13:29:46','2021-04-24 13:33:03',null);
INSERT INTO complaint_statuses VALUES('18266','5465','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-24 13:31:38','2021-04-24 13:33:35',null);
INSERT INTO complaint_statuses VALUES('18267','5500','3',null,'65',null,'24-APR-2021
COM NO 072117630','92','92','2021-04-24 13:34:58','2021-04-24 13:34:58',null);
INSERT INTO complaint_statuses VALUES('18268','5501','3',null,'53',null,'24-APR-2021
COM NO 301115721','92','92','2021-04-24 13:40:50','2021-04-24 13:53:21',null);
INSERT INTO complaint_statuses VALUES('18269','5502','2',null,'81',null,'24-APR-2021
COM FF TO USMAN SIR','92','92','2021-04-24 13:50:06','2021-04-24 13:50:06',null);
INSERT INTO complaint_statuses VALUES('18270','5498','4',null,'58',null,null,'81','81','2021-04-24 13:54:06','2021-04-24 13:54:06',null);
INSERT INTO complaint_statuses VALUES('18271','5499','4',null,'62',null,null,'81','81','2021-04-24 13:54:14','2021-04-24 13:54:14',null);
INSERT INTO complaint_statuses VALUES('18272','5502','4',null,'61',null,null,'81','81','2021-04-24 13:54:22','2021-04-24 13:54:22',null);
INSERT INTO complaint_statuses VALUES('18273','5445','7','24','81','Reffer to SVc In Door Switch Fault.',null,'76','76','2021-04-24 15:09:41','2021-04-24 15:09:41',null);
INSERT INTO complaint_statuses VALUES('18274','5446','7','12','81','Only Demo',null,'76','76','2021-04-24 15:10:19','2021-04-24 15:10:19',null);
INSERT INTO complaint_statuses VALUES('18275','5424','7','12','81','Demo Only Visit Charges Pending 600/-',null,'76','76','2021-04-24 15:10:56','2021-04-24 15:10:56',null);
INSERT INTO complaint_statuses VALUES('18276','5469','7','12','81','Filter Service.',null,'76','76','2021-04-24 15:12:16','2021-04-24 15:12:16',null);
INSERT INTO complaint_statuses VALUES('18277','5503','3',null,'54',null,'25-APR-2021
COM NO 1858339','92','92','2021-04-25 10:42:13','2021-04-25 12:27:02',null);
INSERT INTO complaint_statuses VALUES('18278','5504','3',null,'52',null,'25-APR-2021
COM NO PKRI-210425102339','92','92','2021-04-25 10:49:08','2021-04-25 12:31:34',null);
INSERT INTO complaint_statuses VALUES('18279','5505','2',null,'81',null,'25-APR-2021
COM NO D25/003','92','92','2021-04-25 10:56:39','2021-04-25 12:38:47',null);
INSERT INTO complaint_statuses VALUES('18280','5506','2',null,'81',null,'25-APR-2021
COM FF TO BEST COOL','92','92','2021-04-25 11:15:54','2021-04-25 11:15:54',null);
INSERT INTO complaint_statuses VALUES('18281','5507','2',null,'81',null,'25-APR-2021
COM NO 301115821','92','92','2021-04-25 11:20:34','2021-04-25 12:35:55',null);
INSERT INTO complaint_statuses VALUES('18282','5507','4',null,'64',null,null,'81','81','2021-04-25 11:40:00','2021-04-25 11:40:00',null);
INSERT INTO complaint_statuses VALUES('18283','5505','4',null,'64',null,null,'81','81','2021-04-25 11:40:11','2021-04-25 11:40:11',null);
INSERT INTO complaint_statuses VALUES('18284','5469','5','15',null,'NOT ATTEND CALL','COMPLAINT RESOLVED','81','92','2021-04-25 11:43:31','2021-04-25 11:53:53',null);
INSERT INTO complaint_statuses VALUES('18285','5446','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-04-25 11:45:22','2021-04-25 11:51:20',null);
INSERT INTO complaint_statuses VALUES('18286','5424','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-04-25 11:47:57','2021-04-25 11:50:54',null);
INSERT INTO complaint_statuses VALUES('18287','5506','4',null,'58',null,null,'81','81','2021-04-25 11:55:55','2021-04-25 11:55:55',null);
INSERT INTO complaint_statuses VALUES('18288','5508','3',null,'73',null,'25-APR-2021
COM NO 4520','92','92','2021-04-25 12:00:37','2021-04-27 11:03:25',null);
INSERT INTO complaint_statuses VALUES('18289','5509','3',null,'73',null,'25-APR-2021
COM NO 4518','92','92','2021-04-25 12:10:21','2021-04-26 10:36:30',null);
INSERT INTO complaint_statuses VALUES('18290','5510','3',null,'56',null,'25-APR-2021
COM NO D25/004','92','92','2021-04-25 12:20:32','2021-04-25 12:40:16',null);
INSERT INTO complaint_statuses VALUES('18291','5511','2',null,'81',null,'25-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-25 13:03:22','2021-04-25 13:03:22',null);
INSERT INTO complaint_statuses VALUES('18292','5459','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-25 13:20:44','2021-04-25 13:20:44',null);
INSERT INTO complaint_statuses VALUES('18293','5467','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-25 13:22:17','2021-04-25 13:22:17',null);
INSERT INTO complaint_statuses VALUES('18294','5481','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-25 13:35:58','2021-04-25 13:35:58',null);
INSERT INTO complaint_statuses VALUES('18295','5511','4',null,'55',null,null,'81','81','2021-04-25 13:45:47','2021-04-25 13:45:47',null);
INSERT INTO complaint_statuses VALUES('18296','5512','2',null,'81',null,'25-APR-2021
COM FF TO BEST COOL','92','92','2021-04-25 13:57:28','2021-04-25 13:57:28',null);
INSERT INTO complaint_statuses VALUES('18297','5512','4',null,'58',null,null,'81','81','2021-04-25 14:19:25','2021-04-25 14:19:25',null);
INSERT INTO complaint_statuses VALUES('18298','5513','3',null,'81',null,'25-APR-2021
COMPLAINT FF AZAM CORNA','92','74','2021-04-25 14:24:34','2021-04-28 12:42:30',null);
INSERT INTO complaint_statuses VALUES('18299','5379','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-04-25 14:32:05','2021-04-25 14:32:05',null);
INSERT INTO complaint_statuses VALUES('18300','5514','2',null,'81',null,'25-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-25 15:36:19','2021-04-25 15:36:19',null);
INSERT INTO complaint_statuses VALUES('18301','5515','2',null,'81',null,'25-APR-2021
COM FF TO BEST COOL','92','92','2021-04-25 15:42:31','2021-04-25 15:42:31',null);
INSERT INTO complaint_statuses VALUES('18302','5516','2',null,'81',null,'25-APR-2021
COM FF TO BEST COOL','92','92','2021-04-25 15:52:43','2021-04-25 15:52:43',null);
INSERT INTO complaint_statuses VALUES('18303','5517','2',null,'81',null,'25-APR-2021
COM FF TO NADEEM  SIR','92','92','2021-04-25 15:56:57','2021-04-25 15:56:57',null);
INSERT INTO complaint_statuses VALUES('18304','5518','3',null,'54',null,'25-APR-2021
COM NO 1858559','92','92','2021-04-25 16:05:16','2021-04-25 16:05:16',null);
INSERT INTO complaint_statuses VALUES('18305','5519','2',null,'81',null,'25-APR-2021
COM FF TO BEST COOL','92','92','2021-04-25 16:15:58','2021-04-25 16:15:58',null);
INSERT INTO complaint_statuses VALUES('18306','5520','2',null,'81',null,'25-APR-2021
COM FF TO BEST COOL','92','92','2021-04-25 16:23:34','2021-04-25 16:23:34',null);
INSERT INTO complaint_statuses VALUES('18307','5521','2',null,'81',null,'25-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-25 16:29:35','2021-04-25 16:29:35',null);
INSERT INTO complaint_statuses VALUES('18308','5521','4',null,'55',null,null,'81','81','2021-04-25 16:30:46','2021-04-25 16:30:46',null);
INSERT INTO complaint_statuses VALUES('18309','5520','4',null,'58',null,null,'81','81','2021-04-25 16:30:55','2021-04-25 16:30:55',null);
INSERT INTO complaint_statuses VALUES('18310','5519','4',null,'58',null,null,'81','81','2021-04-25 16:31:05','2021-04-25 16:31:05',null);
INSERT INTO complaint_statuses VALUES('18311','5517','4',null,'59',null,null,'81','81','2021-04-25 16:31:14','2021-04-25 16:31:14',null);
INSERT INTO complaint_statuses VALUES('18312','5516','4',null,'58',null,null,'81','81','2021-04-25 16:31:22','2021-04-25 16:31:22',null);
INSERT INTO complaint_statuses VALUES('18313','5515','4',null,'58',null,null,'81','81','2021-04-25 16:31:32','2021-04-25 16:31:32',null);
INSERT INTO complaint_statuses VALUES('18314','5514','4',null,'63',null,null,'81','81','2021-04-25 16:31:40','2021-04-25 16:31:40',null);
INSERT INTO complaint_statuses VALUES('18315','5484','7','12','81','compliant resolved,no issue in ref',null,'79','79','2021-04-26 09:49:43','2021-04-26 09:49:43',null);
INSERT INTO complaint_statuses VALUES('18316','5522','2',null,'81',null,'26-APR-2021
COM FF TO BEST COOL','92','92','2021-04-26 10:43:03','2021-04-26 10:43:03',null);
INSERT INTO complaint_statuses VALUES('18317','5522','4',null,'58',null,null,'81','81','2021-04-26 10:44:17','2021-04-26 10:44:17',null);
INSERT INTO complaint_statuses VALUES('18318','5517','7','24','81','bilal bahi say bat ho gae hy panel line hy set hmary S/C ay ga',null,'80','80','2021-04-26 10:48:08','2021-04-26 10:48:08',null);
INSERT INTO complaint_statuses VALUES('18319','5491','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-26 10:58:23','2021-04-26 10:58:23',null);
INSERT INTO complaint_statuses VALUES('18320','5523','3',null,'52',null,'26-APR-2021
COM NO PKRI-210426102882','92','92','2021-04-26 11:09:45','2021-04-26 11:12:27',null);
INSERT INTO complaint_statuses VALUES('18321','5485','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-26 11:16:27','2021-04-26 11:16:27',null);
INSERT INTO complaint_statuses VALUES('18322','5471','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-26 11:19:12','2021-04-26 11:19:12',null);
INSERT INTO complaint_statuses VALUES('18323','5445','8','23','55','OK JOB COMPLETED QUKILEY',null,'81','81','2021-04-26 11:21:32','2021-04-26 11:21:32',null);
INSERT INTO complaint_statuses VALUES('18324','5454','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-26 11:23:37','2021-04-26 11:23:37',null);
INSERT INTO complaint_statuses VALUES('18325','5484','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-26 11:24:20','2021-04-26 11:41:36',null);
INSERT INTO complaint_statuses VALUES('18326','5524','3',null,'54',null,'COM NO 1858973','73','92','2021-04-26 11:26:34','2021-05-26 13:58:27',null);
INSERT INTO complaint_statuses VALUES('18327','5525','3',null,'81',null,'26-APR-2021
COMPLAINT FF TO AZAM CORNA','92','74','2021-04-26 11:27:04','2021-04-30 14:50:58',null);
INSERT INTO complaint_statuses VALUES('18328','5453','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-26 11:27:47','2021-04-26 11:27:47',null);
INSERT INTO complaint_statuses VALUES('18329','5526','3',null,'53',null,'26-APR-2021
COM NO 301116073','92','92','2021-04-26 11:38:19','2021-04-26 11:45:17',null);
INSERT INTO complaint_statuses VALUES('18330','5377','7','12','81','NEW BURNER LAGA K DIA HAIN COMPLAINT RESOLVED',null,'88','88','2021-04-26 11:38:24','2021-04-26 11:38:24',null);
INSERT INTO complaint_statuses VALUES('18331','5377','8','15','63','COMPLETED COMPLAINT',null,'81','81','2021-04-26 11:40:56','2021-04-26 11:40:56',null);
INSERT INTO complaint_statuses VALUES('18332','5527','2',null,'81',null,'26-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-26 11:56:56','2021-04-26 11:56:56',null);
INSERT INTO complaint_statuses VALUES('18333','5278','7','12','81','Nob dy di hy',null,'88','88','2021-04-26 12:08:58','2021-04-26 12:08:58',null);
INSERT INTO complaint_statuses VALUES('18334','5232','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-26 12:12:14','2021-04-26 12:12:14',null);
INSERT INTO complaint_statuses VALUES('18335','5278','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-26 12:16:37','2021-04-26 12:28:06',null);
INSERT INTO complaint_statuses VALUES('18336','5341','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-04-26 12:18:15','2021-04-26 12:18:15',null);
INSERT INTO complaint_statuses VALUES('18337','5341','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-26 12:18:41','2021-04-26 12:27:29',null);
INSERT INTO complaint_statuses VALUES('18338','5431','5','15',null,'CUSTOMER STILL NOT PICK UP CALL SO COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-04-26 12:21:41','2021-04-26 12:26:45',null);
INSERT INTO complaint_statuses VALUES('18339','5436','8','23','61','USMAN SAB SA BT HOI HAIN WO BOL RAHY HAIN K SET REPLACEMENT KI SIDE PA CHALA GAYA',null,'81','81','2021-04-26 12:25:20','2021-04-26 12:25:20',null);
INSERT INTO complaint_statuses VALUES('18340','5436','7','12','81','Unit replacement approved by Sadiq SB as per  Mr khuram',null,'83','83','2021-04-26 12:28:13','2021-04-26 12:28:13',null);
INSERT INTO complaint_statuses VALUES('18341','4440','7','24','81','Ya unit b Nahi aya abhi tak lab main',null,'83','83','2021-04-26 12:28:52','2021-04-26 12:28:52',null);
INSERT INTO complaint_statuses VALUES('18342','3818','7','26','81','Is customer by b rabta Nahi Kiya 
Is ko b close Mr dain',null,'83','83','2021-04-26 12:29:53','2021-04-26 12:29:53',null);
INSERT INTO complaint_statuses VALUES('18343','5528','3',null,'52',null,'26-APR-2021
COM NO PKRI-210426104834','92','92','2021-04-26 12:32:42','2021-04-26 16:20:59',null);
INSERT INTO complaint_statuses VALUES('18344','5529','2',null,'81',null,'26-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-26 12:46:48','2021-04-26 12:46:48',null);
INSERT INTO complaint_statuses VALUES('18345','5529','4',null,'63',null,null,'81','81','2021-04-26 12:47:17','2021-04-26 12:47:17',null);
INSERT INTO complaint_statuses VALUES('18346','5527','4',null,'63',null,null,'81','81','2021-04-26 12:47:28','2021-04-26 12:47:28',null);
INSERT INTO complaint_statuses VALUES('18347','5286','7','12','81','Frezer custmer lu ghar phonch gea hy',null,'82','82','2021-04-26 12:53:51','2021-04-26 12:53:51',null);
INSERT INTO complaint_statuses VALUES('18348','5384','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-26 12:54:04','2021-04-26 12:54:04',null);
INSERT INTO complaint_statuses VALUES('18349','5096','7','12','81','Filter gandy thy',null,'82','82','2021-04-26 12:54:36','2021-04-26 12:54:36',null);
INSERT INTO complaint_statuses VALUES('18350','5412','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-26 12:55:35','2021-04-26 12:55:35',null);
INSERT INTO complaint_statuses VALUES('18351','5530','3',null,'65',null,'26-APR-2021
COM NO 192121825','92','92','2021-04-26 13:21:15','2021-04-26 13:21:15',null);
INSERT INTO complaint_statuses VALUES('18352','5407','5',null,null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','74','74','2021-04-26 13:22:04','2021-04-26 14:07:59',null);
INSERT INTO complaint_statuses VALUES('18353','5517','8','23','59','BILAL FHSS SA BAT HO GEI HAIN WO KHUD GARI ARRANGE KARWA K SET MOVE KARWAY GAY',null,'81','81','2021-04-26 13:26:43','2021-04-26 13:26:43',null);
INSERT INTO complaint_statuses VALUES('18354','5360','8','15','62','CUSTOMER BOLA RAHAY HAIN REF PA ALREADY 3 VISIT HO GAYA HAIN 
CUSTOMER K PASS BILL KI B KOI DETAIL NAI HAIN .
ADIL BHAI NA B CUSTOMER KO CALL KI NA WO VISIT PA AGREE R NA CHARGING',null,'81','81','2021-04-26 13:34:00','2021-04-26 13:34:00',null);
INSERT INTO complaint_statuses VALUES('18355','5176','7','12','81','LVDS CABLE CLEAN + pick&drop 
Service charges  rs 2000/-',null,'83','83','2021-04-26 13:34:29','2021-04-26 13:34:29',null);
INSERT INTO complaint_statuses VALUES('18356','5225','7','12','81','Speaker lead conecter repair   
RS 2000 
pic&drop RS 1000',null,'83','83','2021-04-26 13:44:34','2021-04-26 13:44:34',null);
INSERT INTO complaint_statuses VALUES('18357','5284','7','12','81','back light repair   
RS 5000  
PICK&DROP  RS 1000',null,'83','83','2021-04-26 13:46:51','2021-04-26 13:46:51',null);
INSERT INTO complaint_statuses VALUES('18358','5531','3',null,'52',null,'26-APR-2021
COM NO pkri-210427101822','92','92','2021-04-26 13:50:18','2021-04-27 10:17:53',null);
INSERT INTO complaint_statuses VALUES('18359','5225','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-26 13:51:37','2021-04-26 14:50:33',null);
INSERT INTO complaint_statuses VALUES('18360','5284','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-26 13:52:38','2021-04-26 14:50:05',null);
INSERT INTO complaint_statuses VALUES('18361','5096','8','23','60','CUSTOMER KA ISSUE RESOLVED NAI HOA KINDLY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-04-26 14:04:54','2021-04-26 14:04:54',null);
INSERT INTO complaint_statuses VALUES('18362','5532','2',null,'81',null,'26-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-26 14:07:20','2021-04-26 14:07:20',null);
INSERT INTO complaint_statuses VALUES('18363','5300','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-26 14:07:22','2021-04-26 14:07:22',null);
INSERT INTO complaint_statuses VALUES('18364','5533','3',null,'57',null,'26-APR-2021
COM NO 017807','92','92','2021-04-26 14:20:54','2021-04-26 14:23:47',null);
INSERT INTO complaint_statuses VALUES('18365','5351','7','12','81','compliant  resolved,jet issue',null,'79','79','2021-04-26 14:22:21','2021-04-26 14:22:21',null);
INSERT INTO complaint_statuses VALUES('18366','5532','4',null,'55',null,null,'81','81','2021-04-26 14:24:37','2021-04-26 14:24:37',null);
INSERT INTO complaint_statuses VALUES('18367','5493','7','12','81','compliant resolved,onlu guid kia hai',null,'79','79','2021-04-26 14:25:44','2021-04-26 14:25:44',null);
INSERT INTO complaint_statuses VALUES('18368','5461','7','24','81','damaged unit cost Rs. 100,000. Pending for approval. Inform to Mr. Badil',null,'77','77','2021-04-26 14:26:23','2021-04-26 14:26:23',null);
INSERT INTO complaint_statuses VALUES('18369','5175','7','12','81','Unit ok and send back to friends blue area. So please close the job',null,'77','77','2021-04-26 14:27:10','2021-04-26 14:27:10',null);
INSERT INTO complaint_statuses VALUES('18370','5114','7','22','81','main board expense 13000
plz app ly dyn ta k board order kr do',null,'80','80','2021-04-26 14:28:52','2021-04-26 14:28:52',null);
INSERT INTO complaint_statuses VALUES('18371','5534','2',null,'81',null,'26-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-26 14:44:40','2021-04-26 15:14:06',null);
INSERT INTO complaint_statuses VALUES('18372','5176','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-26 15:04:03','2021-04-26 15:44:26',null);
INSERT INTO complaint_statuses VALUES('18373','5535','3',null,'53',null,'26-APR-2021
COM NO 301116398','92','92','2021-04-26 15:10:46','2021-04-26 15:17:02',null);
INSERT INTO complaint_statuses VALUES('18374','5534','4',null,'63',null,null,'81','81','2021-04-26 15:21:32','2021-04-26 15:21:32',null);
INSERT INTO complaint_statuses VALUES('18375','5537','2',null,'81',null,'26-APR-2021
COM NO 17813','92','92','2021-04-26 15:33:56','2021-04-26 15:48:23',null);
INSERT INTO complaint_statuses VALUES('18376','5428','7','24','81','Back light replaced rs 3000 expance 
Payment pending from ikhlaq SB',null,'83','83','2021-04-26 15:55:25','2021-04-26 15:55:25',null);
INSERT INTO complaint_statuses VALUES('18377','5538','2',null,'81',null,'26-APR-2021
COM NO 17815','92','92','2021-04-26 15:55:49','2021-04-26 15:55:49',null);
INSERT INTO complaint_statuses VALUES('18378','5370','7','24','81','2 units 40inch signatur 
Rs 8000 expance total 
Payment pending by customer',null,'83','83','2021-04-26 15:56:22','2021-04-26 15:56:22',null);
INSERT INTO complaint_statuses VALUES('18379','5538','4',null,'64',null,null,'81','81','2021-04-26 15:57:18','2021-04-26 15:57:18',null);
INSERT INTO complaint_statuses VALUES('18380','5537','4',null,'64',null,null,'81','81','2021-04-26 15:57:35','2021-04-26 15:57:35',null);
INSERT INTO complaint_statuses VALUES('18381','4599','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-26 16:03:51','2021-04-26 16:03:51',null);
INSERT INTO complaint_statuses VALUES('18382','5286','5','15',null,'COMPLETED COMPLAINT 
COMPRESSOR WARRANTY MAIN REPLACE KIYA HAIN 
GASS +  RENT CHARGES CUSTOMER NA KHUD PAY KIYA HAIN','COMPLAINT RESOLVED','81','74','2021-04-26 16:06:47','2021-04-27 10:45:20',null);
INSERT INTO complaint_statuses VALUES('18383','5428','8','23','61','IC KA COMPLAINT KA BILL IKHLAQ SAB KO DANA HAIN',null,'81','81','2021-04-26 16:09:01','2021-04-26 16:09:01',null);
INSERT INTO complaint_statuses VALUES('18384','5539','3',null,'73',null,'26-APR-2021
COM NO 4528','92','92','2021-04-26 16:12:23','2021-04-27 11:02:15',null);
INSERT INTO complaint_statuses VALUES('18385','5540','2',null,'81',null,'26-APR-2021
COM FF TO BEST COOL','92','92','2021-04-26 16:38:12','2021-04-26 16:38:12',null);
INSERT INTO complaint_statuses VALUES('18386','5541','2',null,'81',null,'26-APR-2021
COM FF TO BEST COOL','92','92','2021-04-26 16:45:27','2021-04-26 16:45:27',null);
INSERT INTO complaint_statuses VALUES('18387','5542','2',null,'81',null,'26-APR-2021
COM FF TO BEST COOL','92','92','2021-04-26 16:45:41','2021-04-26 16:45:41',null);
INSERT INTO complaint_statuses VALUES('18388','5543','2',null,'81',null,'26-APR-2021
COM NO PKRI-210426110281','92','92','2021-04-26 16:52:24','2021-04-26 16:55:49',null);
INSERT INTO complaint_statuses VALUES('18389','5543','4',null,'64',null,null,'81','81','2021-04-27 10:22:16','2021-04-27 10:22:16',null);
INSERT INTO complaint_statuses VALUES('18390','5542','4',null,'58',null,null,'81','81','2021-04-27 10:22:25','2021-04-27 10:22:25',null);
INSERT INTO complaint_statuses VALUES('18391','5541','4',null,'58',null,null,'81','81','2021-04-27 10:22:33','2021-04-27 10:22:33',null);
INSERT INTO complaint_statuses VALUES('18392','5540','4',null,'58',null,null,'81','81','2021-04-27 10:22:43','2021-04-27 10:22:43',null);
INSERT INTO complaint_statuses VALUES('18393','5544','3',null,'55',null,'27-APR-2021
COM NO 19601','92','92','2021-04-27 10:36:56','2021-04-27 10:38:41',null);
INSERT INTO complaint_statuses VALUES('18394','5441','7','12','81','Drum belanc hrab tha okay kar dia hy',null,'82','82','2021-04-27 10:37:05','2021-04-27 10:37:05',null);
INSERT INTO complaint_statuses VALUES('18395','5518','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-27 10:42:59','2021-04-27 10:42:59',null);
INSERT INTO complaint_statuses VALUES('18396','5545','3',null,'52',null,'27-APR-2021
COM NO PKRI-210427102533','92','92','2021-04-27 10:43:37','2021-04-27 10:45:39',null);
INSERT INTO complaint_statuses VALUES('18397','5409','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-27 10:50:36','2021-04-27 10:50:36',null);
INSERT INTO complaint_statuses VALUES('18398','5409','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-04-27 10:51:43','2021-04-27 12:01:31',null);
INSERT INTO complaint_statuses VALUES('18399','5270','7','12','81','unit ok and with customer',null,'77','77','2021-04-27 10:57:06','2021-04-27 10:57:06',null);
INSERT INTO complaint_statuses VALUES('18400','5503','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-27 11:09:10','2021-04-27 11:09:10',null);
INSERT INTO complaint_statuses VALUES('18401','5546','3',null,'59',null,'27-APR-2021
COM NO 4244919922','92','92','2021-04-27 11:22:25','2021-04-27 15:20:49',null);
INSERT INTO complaint_statuses VALUES('18402','5547','2',null,'81',null,'27-APR-2021
COM NO D27/006','92','92','2021-04-27 11:30:07','2021-04-27 11:31:54',null);
INSERT INTO complaint_statuses VALUES('18403','5114','8','23','59','NAEEM SAB NA APPROVAL DA DI HAIN BOARD DEMAND KAR K COMPLAINT RESOLVED KARWAY',null,'81','81','2021-04-27 11:35:38','2021-04-27 11:35:38',null);
INSERT INTO complaint_statuses VALUES('18404','5548','3',null,'65',null,'27-APR-2021
COM FF TO SAAD AYUB CASSET','92','92','2021-04-27 11:44:04','2021-05-03 15:48:26',null);
INSERT INTO complaint_statuses VALUES('18405','5493','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-27 11:47:14','2021-04-27 12:00:39',null);
INSERT INTO complaint_statuses VALUES('18406','5547','4',null,'64',null,null,'81','81','2021-04-27 11:47:29','2021-04-27 11:47:29',null);
INSERT INTO complaint_statuses VALUES('18407','5499','7','12','81','ISSUE RESOLVED',null,'87','87','2021-04-27 11:47:32','2021-04-27 11:47:32',null);
INSERT INTO complaint_statuses VALUES('18408','5475','7','12','81','TOUCH PENAL REPAIRED , NOW RESOLVED',null,'87','87','2021-04-27 11:48:10','2021-04-27 11:48:10',null);
INSERT INTO complaint_statuses VALUES('18409','5360','7','12','81',null,null,'87','87','2021-04-27 11:49:09','2021-04-27 11:49:09',null);
INSERT INTO complaint_statuses VALUES('18410','5510','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-27 11:51:25','2021-04-27 11:51:25',null);
INSERT INTO complaint_statuses VALUES('18411','5522','7','12','81','compliant resolved, earthing issue',null,'79','79','2021-04-27 11:52:02','2021-04-27 11:52:02',null);
INSERT INTO complaint_statuses VALUES('18412','5114','7','22','81','set office ain move krwadyn',null,'80','80','2021-04-27 11:53:20','2021-04-27 11:53:20',null);
INSERT INTO complaint_statuses VALUES('18413','4155','7','26','81','part N/A',null,'80','80','2021-04-27 11:54:34','2021-04-27 11:54:34',null);
INSERT INTO complaint_statuses VALUES('18414','5549','2',null,'81',null,'27-APR-2021
COM FF TO AZHAR SIR','92','92','2021-04-27 11:55:12','2021-04-27 11:55:12',null);
INSERT INTO complaint_statuses VALUES('18415','5550','2',null,'81',null,'27-APR-2021
COM FF TO AZHAR SIR','92','92','2021-04-27 11:58:50','2021-04-27 11:58:50',null);
INSERT INTO complaint_statuses VALUES('18416','5497','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-27 11:59:28','2021-04-27 11:59:28',null);
INSERT INTO complaint_statuses VALUES('18417','5542','7','28','81','???',null,'79','79','2021-04-27 12:00:33','2021-04-27 12:00:33',null);
INSERT INTO complaint_statuses VALUES('18418','5399','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-27 12:06:17','2021-04-27 12:06:17',null);
INSERT INTO complaint_statuses VALUES('18419','5499','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-27 12:09:06','2021-04-27 12:38:22',null);
INSERT INTO complaint_statuses VALUES('18420','5420','7','12','81',null,null,'91','91','2021-04-27 12:18:31','2021-04-27 12:18:31',null);
INSERT INTO complaint_statuses VALUES('18421','5551','3',null,'61',null,'27-APR-2021
COM NO 202104015375','92','92','2021-04-27 12:18:44','2021-05-03 11:30:42',null);
INSERT INTO complaint_statuses VALUES('18422','5052','7','12','81',null,null,'91','91','2021-04-27 12:19:42','2021-04-27 12:19:42',null);
INSERT INTO complaint_statuses VALUES('18423','5550','4',null,'60',null,null,'81','81','2021-04-27 12:20:10','2021-04-27 12:20:10',null);
INSERT INTO complaint_statuses VALUES('18424','5162','7','12','81',null,null,'91','91','2021-04-27 12:20:19','2021-04-27 12:20:19',null);
INSERT INTO complaint_statuses VALUES('18425','5549','4',null,'60',null,null,'81','81','2021-04-27 12:20:20','2021-04-27 12:20:20',null);
INSERT INTO complaint_statuses VALUES('18426','5552','3',null,'57',null,'27-APR-2021
COM NO 17833','92','92','2021-04-27 12:27:45','2021-04-27 15:24:49',null);
INSERT INTO complaint_statuses VALUES('18427','5204','7','12','81',null,null,'91','91','2021-04-27 12:28:30','2021-04-27 12:28:30',null);
INSERT INTO complaint_statuses VALUES('18428','5205','7','12','81',null,null,'91','91','2021-04-27 12:28:50','2021-04-27 12:28:50',null);
INSERT INTO complaint_statuses VALUES('18429','5197','7','12','81',null,null,'91','91','2021-04-27 12:29:33','2021-04-27 12:29:33',null);
INSERT INTO complaint_statuses VALUES('18430','5329','7','12','81',null,null,'91','91','2021-04-27 12:30:14','2021-04-27 12:30:14',null);
INSERT INTO complaint_statuses VALUES('18431','5542','5','15',null,'OK COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-04-27 12:30:14','2021-04-27 12:33:39',null);
INSERT INTO complaint_statuses VALUES('18432','5213','7','12','81',null,null,'91','91','2021-04-27 12:30:56','2021-04-27 12:30:56',null);
INSERT INTO complaint_statuses VALUES('18433','5505','7','12','81',null,null,'91','91','2021-04-27 12:32:13','2021-04-27 12:32:13',null);
INSERT INTO complaint_statuses VALUES('18434','5553','2',null,'81',null,'27-APR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-04-27 12:32:53','2021-04-27 12:32:53',null);
INSERT INTO complaint_statuses VALUES('18435','5494','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-27 12:32:54','2021-04-27 12:32:54',null);
INSERT INTO complaint_statuses VALUES('18436','5505','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-04-27 12:33:44','2021-04-27 12:34:55',null);
INSERT INTO complaint_statuses VALUES('18437','5420','5','15',null,null,'COMPLETED COMPLAINT','81','74','2021-04-27 12:34:41','2021-04-27 12:39:39',null);
INSERT INTO complaint_statuses VALUES('18438','5329','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-04-27 12:34:59','2021-04-27 12:41:05',null);
INSERT INTO complaint_statuses VALUES('18439','5213','5','15',null,null,'COMPLETED COMPLAINT','81','74','2021-04-27 12:35:15','2021-04-27 12:41:56',null);
INSERT INTO complaint_statuses VALUES('18440','5522','5','15',null,'COMPLETED COMPLAINT','OTHER# 03155128457','81','74','2021-04-27 12:35:20','2021-04-27 12:36:28',null);
INSERT INTO complaint_statuses VALUES('18441','5205','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-04-27 12:35:31','2021-04-27 12:43:19',null);
INSERT INTO complaint_statuses VALUES('18442','5204','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-04-27 12:35:45','2021-04-27 12:48:16',null);
INSERT INTO complaint_statuses VALUES('18443','5197','5','15',null,null,null,'81','81','2021-04-27 12:35:57','2021-04-27 12:35:57',null);
INSERT INTO complaint_statuses VALUES('18444','5162','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-04-27 12:36:16','2021-04-27 12:52:08',null);
INSERT INTO complaint_statuses VALUES('18445','5052','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-04-27 12:36:37','2021-04-27 12:53:30',null);
INSERT INTO complaint_statuses VALUES('18446','5475','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-27 12:36:44','2021-04-27 12:39:02',null);
INSERT INTO complaint_statuses VALUES('18447','5114','8','23','59','BOARD SHOWROOM PE HI LAGA DEIN...',null,'81','81','2021-04-27 12:37:44','2021-04-27 12:37:44',null);
INSERT INTO complaint_statuses VALUES('18448','5080','7','26','81','Customer interested for repair',null,'83','83','2021-04-27 12:42:22','2021-04-27 12:42:22',null);
INSERT INTO complaint_statuses VALUES('18449','5441','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED
ABDUL REHNAN KO AGAIN VISIT K LIYA REMINDER DA DIA','81','74','2021-04-27 12:49:26','2021-04-28 12:12:22',null);
INSERT INTO complaint_statuses VALUES('18450','5554','2',null,'81',null,'27-APR-2021
COM FF TO HOME SOLUTION','92','92','2021-04-27 12:58:38','2021-04-27 12:58:38',null);
INSERT INTO complaint_statuses VALUES('18451','5360','5','15',null,'COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-04-27 13:02:14','2021-04-27 13:17:00',null);
INSERT INTO complaint_statuses VALUES('18452','5554','4',null,'62',null,null,'81','81','2021-04-27 13:15:05','2021-04-27 13:15:05',null);
INSERT INTO complaint_statuses VALUES('18453','5553','4',null,'63',null,null,'81','81','2021-04-27 13:15:19','2021-04-27 13:15:19',null);
INSERT INTO complaint_statuses VALUES('18454','5270','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-27 13:16:14','2021-04-27 13:27:45',null);
INSERT INTO complaint_statuses VALUES('18455','5351','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-27 13:17:33','2021-04-27 13:25:43',null);
INSERT INTO complaint_statuses VALUES('18456','5175','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-27 13:19:12','2021-04-27 13:29:09',null);
INSERT INTO complaint_statuses VALUES('18457','5555','2',null,'81',null,'27-APR-2021
COM FF TO BEST COOL','92','92','2021-04-27 13:19:51','2021-04-27 13:19:51',null);
INSERT INTO complaint_statuses VALUES('18458','5555','4',null,'58',null,null,'81','81','2021-04-27 13:20:57','2021-04-27 13:20:57',null);
INSERT INTO complaint_statuses VALUES('18459','5555','4',null,'58',null,null,'81','81','2021-04-27 13:21:00','2021-04-27 13:21:00',null);
INSERT INTO complaint_statuses VALUES('18460','3818','5','13',null,'CUSTOMER SA BT HO GEI HAIN ABI CUSTOMER NA KHUD SA CLOSED KARWA DI COMPLAINT','COMPLAINT CLOSED','81','74','2021-04-27 13:22:43','2021-04-27 13:30:07',null);
INSERT INTO complaint_statuses VALUES('18461','4155','5','15',null,'PART STOCK MAIN AVAIL NAI HAIN COMPLAINT CLOSED',null,'81','81','2021-04-27 13:24:21','2021-04-27 13:24:21',null);
INSERT INTO complaint_statuses VALUES('18462','5455','7','12','81','Issue Solved.',null,'76','76','2021-04-27 13:24:31','2021-04-27 13:24:31',null);
INSERT INTO complaint_statuses VALUES('18463','5455','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-27 13:26:51','2021-04-27 13:28:11',null);
INSERT INTO complaint_statuses VALUES('18464','5556','2',null,'81',null,'27-APR-2021
COM NO','92','92','2021-04-27 13:30:15','2021-04-27 13:30:15',null);
INSERT INTO complaint_statuses VALUES('18465','4696','5',null,null,'COMPLAINT CLOSED','CONFIRM MODEL 55JU6400','74','74','2021-04-27 13:32:17','2021-04-30 15:21:40',null);
INSERT INTO complaint_statuses VALUES('18466','5417','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-27 13:36:29','2021-04-27 13:36:29',null);
INSERT INTO complaint_statuses VALUES('18467','4771','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-27 13:43:25','2021-04-27 13:43:25',null);
INSERT INTO complaint_statuses VALUES('18468','5557','3',null,'66',null,'27-APR-2021
COM NO PK042720210095
NEW COMPLAINT#PK043020210038','92','74','2021-04-27 13:48:12','2021-04-30 11:34:07',null);
INSERT INTO complaint_statuses VALUES('18469','5276','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-27 13:59:02','2021-04-27 13:59:02',null);
INSERT INTO complaint_statuses VALUES('18470','5461','8','23','56','CUSTOMER NA PANAL KI APPROVAL NAI NAI DI HAIN AP SET WAPISE BADAL FCI KO BAJWA DAY 
CUSTOMER SIDE SA CANCEL COMPLAINT',null,'81','81','2021-04-27 14:14:58','2021-04-27 14:14:58',null);
INSERT INTO complaint_statuses VALUES('18471','5242','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-27 14:21:51','2021-04-27 14:21:51',null);
INSERT INTO complaint_statuses VALUES('18472','5347','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-27 14:23:40','2021-04-27 14:23:40',null);
INSERT INTO complaint_statuses VALUES('18473','5558','2',null,'81',null,'27-APR-2021
COM FF TO BEST COOL','92','92','2021-04-27 14:27:24','2021-04-27 14:27:24',null);
INSERT INTO complaint_statuses VALUES('18474','5080','5','15',null,'CUSTOMER NA JOB CLOSED KARWA DI KHUD SA','COMPLAINT RESOLVED','81','74','2021-04-27 14:27:31','2021-04-27 14:29:00',null);
INSERT INTO complaint_statuses VALUES('18475','4951','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-27 14:29:31','2021-04-27 14:29:31',null);
INSERT INTO complaint_statuses VALUES('18476','5057','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-27 14:34:08','2021-04-27 14:34:08',null);
INSERT INTO complaint_statuses VALUES('18477','4989','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-27 14:37:52','2021-04-27 14:37:52',null);
INSERT INTO complaint_statuses VALUES('18478','5559','3',null,'65',null,'27-APR-2021
COM NO 192121855','92','92','2021-04-27 14:42:41','2021-04-27 14:44:50',null);
INSERT INTO complaint_statuses VALUES('18479','5560','2',null,'81',null,'27-APR-2021
COM FF TO KHALID SONY','92','92','2021-04-27 14:52:52','2021-04-27 14:52:52',null);
INSERT INTO complaint_statuses VALUES('18480','5561','3',null,'52',null,'27-APR-2021
COM NO PKRI-210427109308','92','92','2021-04-27 15:06:01','2021-04-27 15:28:43',null);
INSERT INTO complaint_statuses VALUES('18481','5562','3',null,'54',null,'27-APR-2021
COM NO 1860159','92','92','2021-04-27 15:16:38','2021-04-27 15:19:09',null);
INSERT INTO complaint_statuses VALUES('18482','5563','2',null,'81',null,'27-APR-2021
COM FF TO BEST COOL','92','92','2021-04-27 15:46:11','2021-04-29 15:49:08',null);
INSERT INTO complaint_statuses VALUES('18483','5564','3',null,'53',null,'27-APR-2021
COM NO 301117090','92','92','2021-04-27 16:04:24','2021-04-28 10:39:18',null);
INSERT INTO complaint_statuses VALUES('18484','5511','7','12','81','No Fault In Product.',null,'76','76','2021-04-27 16:10:51','2021-04-27 16:10:51',null);
INSERT INTO complaint_statuses VALUES('18485','5511','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-27 16:22:57','2021-04-27 16:33:31',null);
INSERT INTO complaint_statuses VALUES('18486','5565','2',null,'81',null,'27-APR-2021
COM FF TO BEST COOL','92','92','2021-04-27 16:23:14','2021-04-27 16:23:14',null);
INSERT INTO complaint_statuses VALUES('18487','5370','8','23','61','OK JOB COMPLETED QUKILEY',null,'81','81','2021-04-27 16:24:41','2021-04-27 16:24:41',null);
INSERT INTO complaint_statuses VALUES('18488','5566','3',null,'67',null,'27-APR-2021
COM FF TO BABAR CARAVELL','92','92','2021-04-27 16:58:23','2021-04-27 16:58:23',null);
INSERT INTO complaint_statuses VALUES('18489','5565','4',null,'58',null,null,'81','81','2021-04-27 17:02:51','2021-04-27 17:02:51',null);
INSERT INTO complaint_statuses VALUES('18490','5563','4',null,'58',null,null,'81','81','2021-04-27 17:02:59','2021-04-27 17:02:59',null);
INSERT INTO complaint_statuses VALUES('18491','5560','4',null,'56',null,null,'81','81','2021-04-27 17:03:09','2021-04-27 17:03:09',null);
INSERT INTO complaint_statuses VALUES('18492','5558','4',null,'58',null,null,'81','81','2021-04-27 17:03:21','2021-04-27 17:03:21',null);
INSERT INTO complaint_statuses VALUES('18493','5556','4',null,'64',null,null,'81','81','2021-04-27 17:03:33','2021-04-27 17:03:33',null);
INSERT INTO complaint_statuses VALUES('18494','5536','2',null,'81',null,null,'92','92','2021-04-27 17:03:52','2021-04-27 17:03:52',null);
INSERT INTO complaint_statuses VALUES('18495','5536','4',null,'64',null,null,'81','81','2021-04-27 17:04:50','2021-04-27 17:04:50',null);
INSERT INTO complaint_statuses VALUES('18496','5555','7','12','81','compliant resolved,steel toplaga dya hai',null,'79','79','2021-04-28 09:48:35','2021-04-28 09:48:35',null);
INSERT INTO complaint_statuses VALUES('18497','5515','7','12','81','drain issue compliant resolved',null,'79','79','2021-04-28 09:50:29','2021-04-28 09:50:29',null);
INSERT INTO complaint_statuses VALUES('18498','5567','3',null,'65',null,'28-APR-2021
COM NO 072117675','92','92','2021-04-28 10:48:03','2021-04-29 10:42:30',null);
INSERT INTO complaint_statuses VALUES('18499','5516','7','12','81','complaint resolved,inlet coil change',null,'79','79','2021-04-28 10:50:50','2021-04-28 10:50:50',null);
INSERT INTO complaint_statuses VALUES('18500','5568','2',null,'81',null,'28-APR-2021
COM NO PKRI-210428102887','92','92','2021-04-28 10:51:36','2021-04-28 10:51:36',null);
INSERT INTO complaint_statuses VALUES('18501','5569','2',null,'81',null,'28-APR-2021
COM FF TO BEST COOL','92','92','2021-04-28 10:59:30','2021-04-28 10:59:30',null);
INSERT INTO complaint_statuses VALUES('18502','5555','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-28 10:59:50','2021-04-28 11:02:56',null);
INSERT INTO complaint_statuses VALUES('18503','5570','2',null,'81',null,'28-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-28 11:05:42','2021-04-28 11:05:42',null);
INSERT INTO complaint_statuses VALUES('18504','5571','3',null,'59',null,'28-APR-2021
COM NO 4244960827','92','92','2021-04-28 11:10:58','2021-04-28 11:23:26',null);
INSERT INTO complaint_statuses VALUES('18505','5516','5','15',null,'COMPLETED COMAPLINT','COMPLETED COMPLAINT','81','74','2021-04-28 11:13:21','2021-04-28 11:15:37',null);
INSERT INTO complaint_statuses VALUES('18506','5422','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-28 11:18:27','2021-04-28 11:18:27',null);
INSERT INTO complaint_statuses VALUES('18507','5515','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-28 11:19:55','2021-04-28 11:24:18',null);
INSERT INTO complaint_statuses VALUES('18508','5430','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-28 11:28:56','2021-04-28 11:28:56',null);
INSERT INTO complaint_statuses VALUES('18509','5572','2',null,'81',null,'28-APR-2021
COM FF TO AZHAR FCI','92','92','2021-04-28 11:33:31','2021-04-28 11:33:31',null);
INSERT INTO complaint_statuses VALUES('18510','4440','8','23','61','BILAL SAB KO REMINDER DA DIA HAIN AP B CALL KAR LAY',null,'81','81','2021-04-28 11:33:43','2021-04-28 11:33:43',null);
INSERT INTO complaint_statuses VALUES('18511','5433','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-04-28 11:34:20','2021-04-28 11:34:20',null);
INSERT INTO complaint_statuses VALUES('18512','5572','4',null,'60',null,null,'81','81','2021-04-28 11:34:43','2021-04-28 11:34:43',null);
INSERT INTO complaint_statuses VALUES('18513','5433','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-28 11:35:00','2021-04-28 11:35:41',null);
INSERT INTO complaint_statuses VALUES('18514','5570','4',null,'55',null,null,'81','81','2021-04-28 11:35:05','2021-04-28 11:35:05',null);
INSERT INTO complaint_statuses VALUES('18515','5569','4',null,'58',null,null,'81','81','2021-04-28 11:35:16','2021-04-28 11:35:16',null);
INSERT INTO complaint_statuses VALUES('18516','5568','4',null,'64',null,null,'81','81','2021-04-28 11:35:25','2021-04-28 11:35:25',null);
INSERT INTO complaint_statuses VALUES('18517','5153','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-28 11:49:55','2021-04-28 11:49:55',null);
INSERT INTO complaint_statuses VALUES('18518','5361','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-28 11:53:34','2021-04-28 11:53:34',null);
INSERT INTO complaint_statuses VALUES('18519','5508','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-28 11:58:42','2021-04-28 11:58:42',null);
INSERT INTO complaint_statuses VALUES('18520','5573','3',null,'54',null,'28-APR-21
COMPLAINT#1860617','73','73','2021-04-28 11:59:03','2021-04-28 12:02:42',null);
INSERT INTO complaint_statuses VALUES('18521','5535','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-28 12:02:01','2021-04-28 12:02:01',null);
INSERT INTO complaint_statuses VALUES('18522','5574','3',null,'76',null,'28-APR-2021
COM FF TO VARIOLINE S/C','92','92','2021-04-28 12:14:54','2021-04-28 12:18:06',null);
INSERT INTO complaint_statuses VALUES('18523','5240','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-28 12:25:31','2021-04-28 12:25:31',null);
INSERT INTO complaint_statuses VALUES('18524','5575','3',null,'56',null,'28-APR-2021
COM NO D28/006','92','92','2021-04-28 12:26:21','2021-04-28 12:52:37',null);
INSERT INTO complaint_statuses VALUES('18525','5496','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-28 12:29:22','2021-04-28 12:29:22',null);
INSERT INTO complaint_statuses VALUES('18526','5531','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-28 12:46:00','2021-04-28 12:46:00',null);
INSERT INTO complaint_statuses VALUES('18527','5576','2',null,'81',null,'28-APR-2021
COM FF TO BEST COOL','92','92','2021-04-28 12:57:15','2021-04-28 12:57:15',null);
INSERT INTO complaint_statuses VALUES('18528','5576','4',null,'58',null,null,'81','81','2021-04-28 12:58:10','2021-04-28 12:58:10',null);
INSERT INTO complaint_statuses VALUES('18529','5576','4',null,'58',null,null,'81','81','2021-04-28 12:58:11','2021-04-28 12:58:11',null);
INSERT INTO complaint_statuses VALUES('18530','5576','7','12','81','motor change,complaint resolved',null,'79','79','2021-04-28 13:01:55','2021-04-28 13:01:55',null);
INSERT INTO complaint_statuses VALUES('18531','5577','2',null,'81',null,'28-APR-2021
COM NO PKRI-210428106710','92','92','2021-04-28 13:09:32','2021-04-28 13:22:36',null);
INSERT INTO complaint_statuses VALUES('18532','5386','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-28 13:41:52','2021-04-28 13:41:52',null);
INSERT INTO complaint_statuses VALUES('18533','5386','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-28 13:44:00','2021-04-28 13:50:25',null);
INSERT INTO complaint_statuses VALUES('18534','5578','2',null,'81',null,'28-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-28 13:52:07','2021-04-28 13:52:07',null);
INSERT INTO complaint_statuses VALUES('18535','5579','3',null,'52',null,'28-APR-2021
COM NO PKRI-210428110870','92','92','2021-04-28 14:14:54','2021-04-28 16:32:59',null);
INSERT INTO complaint_statuses VALUES('18536','5580','3',null,'52',null,'28-APR-2021
COM NO PKRI210428110920','92','92','2021-04-28 14:19:24','2021-04-28 16:35:08',null);
INSERT INTO complaint_statuses VALUES('18537','5581','3',null,'52',null,'29-APR-2021
COM NO PKRI-210428110961','92','92','2021-04-28 14:23:52','2021-04-28 16:37:10',null);
INSERT INTO complaint_statuses VALUES('18538','5578','4',null,'55',null,null,'81','81','2021-04-28 14:25:44','2021-04-28 14:25:44',null);
INSERT INTO complaint_statuses VALUES('18539','5577','4',null,'64',null,null,'81','81','2021-04-28 14:25:51','2021-04-28 14:25:51',null);
INSERT INTO complaint_statuses VALUES('18540','5582','2',null,'81',null,'28-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-28 14:39:36','2021-04-28 14:39:36',null);
INSERT INTO complaint_statuses VALUES('18541','5583','3',null,'53',null,'28-APR-2021
COM NO 301117533','92','92','2021-04-28 14:57:00','2021-04-28 14:58:07',null);
INSERT INTO complaint_statuses VALUES('18542','5584','3',null,'57',null,'28-APR-2021
COM NO 17854','92','92','2021-04-28 15:06:26','2021-04-28 16:29:28',null);
INSERT INTO complaint_statuses VALUES('18543','5585','3',null,'55',null,'28-APR-2021
COM NO 19535','92','92','2021-04-28 15:32:23','2021-04-29 16:26:08',null);
INSERT INTO complaint_statuses VALUES('18544','5586','3',null,'52',null,'28-APR-2021
COM NO pkri-210429102661','92','92','2021-04-28 15:43:43','2021-04-29 10:49:40',null);
INSERT INTO complaint_statuses VALUES('18545','5587','2',null,'81',null,null,'73','73','2021-04-28 16:11:56','2021-04-28 16:11:56',null);
INSERT INTO complaint_statuses VALUES('18546','5588','2',null,'81',null,null,'73','73','2021-04-28 16:12:44','2021-04-28 16:12:44',null);
INSERT INTO complaint_statuses VALUES('18547','5589','2',null,'81',null,null,'73','73','2021-04-28 16:13:32','2021-04-28 16:13:32',null);
INSERT INTO complaint_statuses VALUES('18548','5589','4',null,'61',null,null,'81','81','2021-04-28 16:14:06','2021-04-28 16:14:06',null);
INSERT INTO complaint_statuses VALUES('18549','5588','4',null,'61',null,null,'81','81','2021-04-28 16:14:15','2021-04-28 16:14:15',null);
INSERT INTO complaint_statuses VALUES('18550','5587','4',null,'61',null,null,'81','81','2021-04-28 16:14:24','2021-04-28 16:14:24',null);
INSERT INTO complaint_statuses VALUES('18551','5582','4',null,'55',null,null,'81','81','2021-04-28 16:14:33','2021-04-28 16:14:33',null);
INSERT INTO complaint_statuses VALUES('18552','5590','2',null,'81',null,'28-APR-2021
COM FF TO BEST COOL','92','92','2021-04-28 16:14:49','2021-04-28 16:14:49',null);
INSERT INTO complaint_statuses VALUES('18553','5591','2',null,'81',null,'28-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-28 16:24:27','2021-04-28 16:24:27',null);
INSERT INTO complaint_statuses VALUES('18554','5592','2',null,'81',null,'28-APR-2021
COM FF TO KHALID SONY','92','92','2021-04-28 16:45:29','2021-04-28 16:45:29',null);
INSERT INTO complaint_statuses VALUES('18555','5592','4',null,'56',null,null,'81','81','2021-04-28 16:47:59','2021-04-28 16:47:59',null);
INSERT INTO complaint_statuses VALUES('18556','5591','4',null,'55',null,null,'81','81','2021-04-28 16:48:08','2021-04-28 16:48:08',null);
INSERT INTO complaint_statuses VALUES('18557','5590','4',null,'58',null,null,'81','81','2021-04-28 16:48:17','2021-04-28 16:48:17',null);
INSERT INTO complaint_statuses VALUES('18558','5050','7','12','81','Tcon board replaced 
Rs 48500 expance 
Unit with customer',null,'83','83','2021-04-28 16:56:08','2021-04-28 16:56:08',null);
INSERT INTO complaint_statuses VALUES('18559','5593','3',null,'59',null,'28-APR-2021
COM NO 4245012212','92','92','2021-04-28 17:10:57','2021-04-29 14:41:40',null);
INSERT INTO complaint_statuses VALUES('18560','5303','7','12','81','compliant reoslved,',null,'79','79','2021-04-29 10:15:19','2021-04-29 10:15:19',null);
INSERT INTO complaint_statuses VALUES('18561','5594','2',null,'81',null,'29-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-29 11:02:25','2021-04-29 11:02:25',null);
INSERT INTO complaint_statuses VALUES('18562','5544','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-29 11:02:54','2021-04-29 11:02:54',null);
INSERT INTO complaint_statuses VALUES('18563','5303','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-29 11:08:42','2021-04-29 11:24:53',null);
INSERT INTO complaint_statuses VALUES('18564','5595','3',null,'52',null,'29-APR-2021
COM NO PKRI-210428104755','92','92','2021-04-29 11:10:54','2021-04-29 11:10:54',null);
INSERT INTO complaint_statuses VALUES('18565','5596','2',null,'81',null,'29-APR-2021
COM FF TO HOME SOLUTION','92','92','2021-04-29 11:16:37','2021-04-29 11:16:37',null);
INSERT INTO complaint_statuses VALUES('18566','5596','4',null,'62',null,null,'81','81','2021-04-29 11:20:04','2021-04-29 11:20:04',null);
INSERT INTO complaint_statuses VALUES('18567','5594','4',null,'55',null,null,'81','81','2021-04-29 11:20:14','2021-04-29 11:20:14',null);
INSERT INTO complaint_statuses VALUES('18568','5594','4',null,'55',null,null,'81','81','2021-04-29 11:20:14','2021-04-29 11:20:14',null);
INSERT INTO complaint_statuses VALUES('18569','5050','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-29 11:20:20','2021-04-29 11:25:18',null);
INSERT INTO complaint_statuses VALUES('18570','5597','3',null,'54',null,'29-APR-2021
COM NO 1861437','92','92','2021-04-29 11:32:21','2021-04-29 11:34:11',null);
INSERT INTO complaint_statuses VALUES('18571','5554','7','12','81','ISSUE RESOLVED',null,'87','87','2021-04-29 11:33:40','2021-04-29 11:33:40',null);
INSERT INTO complaint_statuses VALUES('18572','5533','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-29 11:34:09','2021-04-29 11:34:09',null);
INSERT INTO complaint_statuses VALUES('18573','5436','5','15',null,'GRN 33432
CUSTOMER KO UNIT REPLACE KAR K DIA HAINN
YHA UNIT USMAN MRM K PASS HAIN','COMPLAINT CLOSED','81','74','2021-04-29 11:37:37','2021-04-29 11:43:23',null);
INSERT INTO complaint_statuses VALUES('18574','5147','5','15',null,'AZEEM SAB SA CONFIRM KAR K COMPLAINT CLOSED KI B.COOL NA B CHEEKED KIYA BUT WO THEEK NAI HO RHJAY YHA HOM COMPANY KO RETUREND HO GAY','COMPLAINT CLOSED','81','74','2021-04-29 11:40:21','2021-04-29 11:44:43',null);
INSERT INTO complaint_statuses VALUES('18575','5598','3',null,'52',null,'29-APR-2021
COM NO PKRI-210429104027','92','92','2021-04-29 11:42:25','2021-04-29 11:46:15',null);
INSERT INTO complaint_statuses VALUES('18576','5576','5','15',null,'COMPLETED COMPLAINT 
AJ BEHIRA WALI BRANCH PA DROP KARWA DAY GAY B.COOL WALAY','COMPLAINT RESOLVED','81','74','2021-04-29 11:42:31','2021-04-29 11:43:56',null);
INSERT INTO complaint_statuses VALUES('18577','5554','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-29 11:45:13','2021-04-29 11:46:33',null);
INSERT INTO complaint_statuses VALUES('18578','5599','3',null,'53',null,'29-APR-2021
COM NO 301128377','92','92','2021-04-29 11:54:42','2021-05-26 10:29:33',null);
INSERT INTO complaint_statuses VALUES('18579','5564','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-29 11:55:41','2021-04-29 11:55:41',null);
INSERT INTO complaint_statuses VALUES('18580','5600','3',null,'73',null,'29-APR-2021
COM NO 4540','92','92','2021-04-29 12:10:12','2021-05-04 11:46:19',null);
INSERT INTO complaint_statuses VALUES('18581','5507','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-04-29 12:13:02','2021-04-29 12:13:02',null);
INSERT INTO complaint_statuses VALUES('18582','5507','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-29 12:13:23','2021-04-29 12:13:52',null);
INSERT INTO complaint_statuses VALUES('18583','5495','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-29 12:15:22','2021-04-29 12:15:22',null);
INSERT INTO complaint_statuses VALUES('18584','5526','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-29 12:18:09','2021-04-29 12:18:09',null);
INSERT INTO complaint_statuses VALUES('18585','5601','3',null,'55',null,'29-APR-2021
COM NO 12194','92','92','2021-04-29 12:23:53','2021-04-29 12:27:17',null);
INSERT INTO complaint_statuses VALUES('18586','5536','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-04-29 12:24:45','2021-04-29 12:24:45',null);
INSERT INTO complaint_statuses VALUES('18587','5536','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-29 12:25:29','2021-04-29 12:25:56',null);
INSERT INTO complaint_statuses VALUES('18588','5435','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-29 12:34:03','2021-04-29 12:34:03',null);
INSERT INTO complaint_statuses VALUES('18589','5487','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-29 12:41:38','2021-04-29 12:41:38',null);
INSERT INTO complaint_statuses VALUES('18590','5602','3',null,'55',null,'29-APR-2021
COM NO 758526','92','92','2021-04-29 12:43:46','2021-04-29 13:18:02',null);
INSERT INTO complaint_statuses VALUES('18591','5559','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-29 12:44:09','2021-04-29 12:44:09',null);
INSERT INTO complaint_statuses VALUES('18592','5562','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-29 12:47:33','2021-04-29 12:47:33',null);
INSERT INTO complaint_statuses VALUES('18593','5603','3',null,'52',null,'29-APR-2021
COM NO PKRI-210429105904','92','92','2021-04-29 12:51:07','2021-04-29 12:54:19',null);
INSERT INTO complaint_statuses VALUES('18594','5504','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-29 12:59:39','2021-04-29 12:59:39',null);
INSERT INTO complaint_statuses VALUES('18595','5445','7','12','81','Door Switch Replaced',null,'76','76','2021-04-29 13:01:06','2021-04-29 13:01:06',null);
INSERT INTO complaint_statuses VALUES('18596','5604','3',null,'52',null,'29-APR-2021
COM NO PKRI-210429106177','92','92','2021-04-29 13:03:30','2021-04-29 13:05:48',null);
INSERT INTO complaint_statuses VALUES('18597','5466','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-04-29 13:08:08','2021-04-29 13:08:08',null);
INSERT INTO complaint_statuses VALUES('18598','5466','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-29 13:08:50','2021-04-29 13:09:32',null);
INSERT INTO complaint_statuses VALUES('18599','5605','2',null,'81',null,'29-APR-2021
COM NO PKRI-210429106222','92','92','2021-04-29 13:09:50','2021-04-29 13:09:50',null);
INSERT INTO complaint_statuses VALUES('18600','5445','5','15',null,'COMPLETED COMPLAIN T','COMPLAINT RESOLVED','81','74','2021-04-29 13:10:15','2021-04-29 13:10:57',null);
INSERT INTO complaint_statuses VALUES('18601','5605','4',null,'64',null,null,'81','81','2021-04-29 13:18:26','2021-04-29 13:18:26',null);
INSERT INTO complaint_statuses VALUES('18602','5581','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-29 13:23:35','2021-04-29 13:23:35',null);
INSERT INTO complaint_statuses VALUES('18603','5608','3',null,'53',null,'29-APR-2021
COM #0331103906','92','74','2021-04-29 13:32:46','2021-04-29 13:51:49',null);
INSERT INTO complaint_statuses VALUES('18604','5534','7','12','81','AUTO KIT CHANGE 1000',null,'88','88','2021-04-29 13:34:19','2021-04-29 13:34:19',null);
INSERT INTO complaint_statuses VALUES('18605','5534','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-29 13:35:04','2021-04-29 13:35:44',null);
INSERT INTO complaint_statuses VALUES('18606','5610','3',null,'53',null,'29-APR-2021
COM NO  1117824','92','92','2021-04-29 13:45:03','2021-05-01 11:02:10',null);
INSERT INTO complaint_statuses VALUES('18607','5611','3',null,'53',null,'29-APR-2021
COM NO 301118124','92','92','2021-04-29 13:55:43','2021-04-29 13:55:43',null);
INSERT INTO complaint_statuses VALUES('18608','3533','7','26','81','OLD PCB Not Repairable , replacement require',null,'76','76','2021-04-29 13:59:45','2021-04-29 13:59:45',null);
INSERT INTO complaint_statuses VALUES('18609','5550','7','24','81','Part is not availble',null,'82','82','2021-04-29 14:02:44','2021-04-29 14:02:44',null);
INSERT INTO complaint_statuses VALUES('18610','5572','7','24','81',null,null,'82','82','2021-04-29 14:11:51','2021-04-29 14:11:51',null);
INSERT INTO complaint_statuses VALUES('18611','5612','2',null,'81',null,'29-APR-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-04-29 14:26:56','2021-04-29 14:26:56',null);
INSERT INTO complaint_statuses VALUES('18612','5612','4',null,'55',null,null,'81','81','2021-04-29 14:46:16','2021-04-29 14:46:16',null);
INSERT INTO complaint_statuses VALUES('18613','5613','3',null,'55',null,'29-APR-2021
COM FF TO NAEEM KENWOOD','92','92','2021-04-29 14:51:22','2021-05-01 11:00:13',null);
INSERT INTO complaint_statuses VALUES('18614','5614','3',null,'52',null,'29-APR-2021
COM NO PKRI-210429108701','92','92','2021-04-29 14:56:58','2021-04-29 14:59:18',null);
INSERT INTO complaint_statuses VALUES('18615','5615','3',null,'53',null,'29-APR-2021
COM NO 301118923','92','92','2021-04-29 15:08:24','2021-05-03 10:47:43',null);
INSERT INTO complaint_statuses VALUES('18616','5616','2',null,'81',null,'29-APR-2021
COM FF TO BEST COOL','92','92','2021-04-29 15:17:12','2021-04-29 15:17:12',null);
INSERT INTO complaint_statuses VALUES('18617','5617','3',null,'52',null,'29-APR-2021
COM NO PKRI-210429109354','92','92','2021-04-29 15:24:26','2021-04-29 15:29:21',null);
INSERT INTO complaint_statuses VALUES('18618','5618','3',null,'53',null,'29-APR-2021
COM NO 301119252','92','92','2021-04-29 15:35:41','2021-05-26 10:31:01',null);
INSERT INTO complaint_statuses VALUES('18619','5619','3',null,'66',null,'29-APR-2021
COM NO PK-042920210100','92','92','2021-04-29 15:43:12','2021-04-29 15:47:22',null);
INSERT INTO complaint_statuses VALUES('18620','5620','3',null,'52',null,'29-APR-2021
COM NO PKRI-210429110042','92','92','2021-04-29 16:03:20','2021-04-29 16:03:20',null);
INSERT INTO complaint_statuses VALUES('18621','5621','2',null,'81',null,'29-APR-2021
COM FF TO BEST COOL','92','92','2021-04-29 16:19:45','2021-04-29 16:19:45',null);
INSERT INTO complaint_statuses VALUES('18622','5373','7','26','81','customer Not attending calls',null,'76','76','2021-04-29 16:20:05','2021-04-29 16:20:05',null);
INSERT INTO complaint_statuses VALUES('18623','5622','2',null,'81',null,'29-APR-2021
COM FF TO USMAN SIR','92','92','2021-04-29 16:31:44','2021-04-29 16:31:44',null);
INSERT INTO complaint_statuses VALUES('18624','5622','4',null,'61',null,null,'81','81','2021-04-29 16:33:34','2021-04-29 16:33:34',null);
INSERT INTO complaint_statuses VALUES('18625','5621','4',null,'58',null,null,'81','81','2021-04-29 16:33:43','2021-04-29 16:33:43',null);
INSERT INTO complaint_statuses VALUES('18626','5616','4',null,'58',null,null,'81','81','2021-04-29 16:33:55','2021-04-29 16:33:55',null);
INSERT INTO complaint_statuses VALUES('18627','5590','7','12','81','no visit compliant eoslved',null,'79','79','2021-04-29 16:45:40','2021-04-29 16:45:40',null);
INSERT INTO complaint_statuses VALUES('18628','5520','7','12','81','no visit complaint resolved,',null,'79','79','2021-04-29 16:46:44','2021-04-29 16:46:44',null);
INSERT INTO complaint_statuses VALUES('18629','5569','7','12','81','complaint reoslved,,drain isue',null,'79','79','2021-04-29 16:48:10','2021-04-29 16:48:10',null);
INSERT INTO complaint_statuses VALUES('18630','5558','7','12','81','filter cleancomplaint resolved',null,'79','79','2021-04-29 16:48:59','2021-04-29 16:48:59',null);
INSERT INTO complaint_statuses VALUES('18631','5096','7','12','81','Dubara ja ky samjha dia hy koi masla nhi hy machin main',null,'82','82','2021-04-30 10:31:17','2021-04-30 10:31:17',null);
INSERT INTO complaint_statuses VALUES('18632','5100','7','12','81',null,null,'82','82','2021-04-30 10:32:14','2021-04-30 10:32:14',null);
INSERT INTO complaint_statuses VALUES('18633','5623','2',null,'81',null,'30-APRIL-2021
FF TO SHAMIM AKHTER','74','74','2021-04-30 11:15:37','2021-04-30 11:15:37',null);
INSERT INTO complaint_statuses VALUES('18634','5590','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-30 11:16:17','2021-04-30 11:32:12',null);
INSERT INTO complaint_statuses VALUES('18635','5623','4',null,'55',null,null,'81','81','2021-04-30 11:18:16','2021-04-30 11:18:16',null);
INSERT INTO complaint_statuses VALUES('18636','5572','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-04-30 11:18:49','2021-04-30 11:18:49',null);
INSERT INTO complaint_statuses VALUES('18637','5569','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-30 11:20:33','2021-04-30 11:32:41',null);
INSERT INTO complaint_statuses VALUES('18638','5624','3',null,'54',null,'30-APRIL-2021
COMPLAINT#','74','74','2021-04-30 11:31:50','2021-04-30 11:31:50',null);
INSERT INTO complaint_statuses VALUES('18639','5558','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-04-30 11:42:22','2021-04-30 14:14:49',null);
INSERT INTO complaint_statuses VALUES('18640','5583','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-04-30 11:45:36','2021-04-30 11:45:36',null);
INSERT INTO complaint_statuses VALUES('18641','5550','8','23','60','HANDAL IKHLAQ SAB KO DIKHA DAY PHLAY',null,'81','81','2021-04-30 12:09:09','2021-04-30 12:09:09',null);
INSERT INTO complaint_statuses VALUES('18642','5625','3',null,'53',null,'30-APRIL-2021
COMPLAINT#301118402','74','74','2021-04-30 12:11:22','2021-04-30 12:11:22',null);
INSERT INTO complaint_statuses VALUES('18643','5520','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-04-30 12:13:34','2021-05-01 15:59:01',null);
INSERT INTO complaint_statuses VALUES('18644','5579','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-04-30 12:14:00','2021-04-30 12:14:00',null);
INSERT INTO complaint_statuses VALUES('18645','5626','3',null,'52',null,'30-APRIL-2021
COMPLAINT#PKRI210430104848','74','74','2021-04-30 12:16:08','2021-04-30 12:24:14',null);
INSERT INTO complaint_statuses VALUES('18646','5627','3',null,'52',null,'30-APRIL-2021
COMPLAINT#PKRI-210430105811','74','74','2021-04-30 12:56:36','2021-04-30 12:56:36',null);
INSERT INTO complaint_statuses VALUES('18647','5373','8','23','55','CUSTOMER SA 0302 WALY NO PA CALL KAR LAY VISIT ARRANGE KARWAY',null,'81','81','2021-04-30 12:59:13','2021-04-30 12:59:13',null);
INSERT INTO complaint_statuses VALUES('18648','5628','3',null,'53',null,'30-APRIL-2021
COMPLAINT#118573','74','74','2021-04-30 13:04:25','2021-04-30 13:04:25',null);
INSERT INTO complaint_statuses VALUES('18649','5629','2',null,'81',null,'30-APRIL-2021
FF TO B.COOL','74','74','2021-04-30 13:19:10','2021-04-30 13:19:10',null);
INSERT INTO complaint_statuses VALUES('18650','5629','4',null,'58',null,null,'81','81','2021-04-30 13:21:20','2021-04-30 13:21:20',null);
INSERT INTO complaint_statuses VALUES('18651','5630','3',null,'52',null,'30-APRIL-2021
COMPLAINT#PKRI-210430107455','74','92','2021-04-30 14:23:31','2021-05-04 13:45:50',null);
INSERT INTO complaint_statuses VALUES('18652','5631','2',null,'81',null,'30-APRIL-2021
FF TO SHAMIM AKHTER','74','74','2021-04-30 14:32:29','2021-04-30 14:32:29',null);
INSERT INTO complaint_statuses VALUES('18653','5631','4',null,'55',null,null,'81','81','2021-04-30 14:32:54','2021-04-30 14:32:54',null);
INSERT INTO complaint_statuses VALUES('18654','5632','3',null,'65',null,'30-MAY-2021
COMPLAINT#192121942','74','74','2021-04-30 14:39:24','2021-04-30 14:39:24',null);
INSERT INTO complaint_statuses VALUES('18655','5532','7','26','81','Customer Not home',null,'76','76','2021-04-30 14:43:34','2021-04-30 14:43:34',null);
INSERT INTO complaint_statuses VALUES('18656','5633','3',null,'65',null,'30-APRIL-2021
COMPLAINT#192121943','74','92','2021-04-30 14:44:13','2021-05-03 12:36:03',null);
INSERT INTO complaint_statuses VALUES('18657','5634','3',null,'85',null,'30-MAY-2021
COMPLAINT#301118705','74','74','2021-04-30 15:39:04','2021-04-30 15:39:04',null);
INSERT INTO complaint_statuses VALUES('18658','5635','3',null,'53',null,'30-APRIL-2021
COMPLAINT#301118711','74','92','2021-04-30 15:57:32','2021-05-08 11:04:32',null);
INSERT INTO complaint_statuses VALUES('18659','5636','3',null,'53',null,'30-APRIL-2021
COMPLAINT#301118712','74','92','2021-04-30 16:01:47','2021-06-17 11:46:11',null);
INSERT INTO complaint_statuses VALUES('18660','5529','7','12','81','Tharmokapal kharb the ok',null,'88','88','2021-04-30 16:03:43','2021-04-30 16:03:43',null);
INSERT INTO complaint_statuses VALUES('18661','5514','7','12','81','Tharmostat kharb tha OK how Gaya hy',null,'88','88','2021-04-30 16:04:26','2021-04-30 16:04:26',null);
INSERT INTO complaint_statuses VALUES('18662','5479','7','12','81','Gas ok',null,'88','88','2021-04-30 16:05:06','2021-04-30 16:05:06',null);
INSERT INTO complaint_statuses VALUES('18663','5377','7','12','81',null,null,'88','88','2021-04-30 16:06:21','2021-04-30 16:06:21',null);
INSERT INTO complaint_statuses VALUES('18664','5362','7','12','81','Aik hob thik Kar diya hay aik dukan py Aya GA OK 1000 f',null,'88','88','2021-04-30 16:07:14','2021-04-30 16:07:14',null);
INSERT INTO complaint_statuses VALUES('18665','5327','7','12','81','Timer kharb tha ok',null,'88','88','2021-04-30 16:07:54','2021-04-30 16:07:54',null);
INSERT INTO complaint_statuses VALUES('18666','5326','7','12','81','Timer kharb tha ok',null,'88','88','2021-04-30 16:08:31','2021-04-30 16:08:31',null);
INSERT INTO complaint_statuses VALUES('18667','5199','7','12','81','Tank change Kar diya hy OK',null,'88','88','2021-04-30 16:09:09','2021-04-30 16:09:09',null);
INSERT INTO complaint_statuses VALUES('18668','5464','7','12','81','SMPS REPAIR RS 5000 EXPANCE',null,'83','83','2021-04-30 16:10:39','2021-04-30 16:10:39',null);
INSERT INTO complaint_statuses VALUES('18669','5220','7','12','81','KEY PCB REPAIR     RS 2000/-',null,'83','83','2021-04-30 16:11:24','2021-04-30 16:11:24',null);
INSERT INTO complaint_statuses VALUES('18670','5587','7','12','81','MAIN PCB SHUFFLE WITH EACH OTHER  
SERVICE   RS 2000
UNIT DROP TO I10    RS 1000 
TOTAL  3000',null,'83','83','2021-04-30 16:20:33','2021-04-30 16:20:33',null);
INSERT INTO complaint_statuses VALUES('18671','5404','7','12','81','complaint resolved gas charged',null,'79','79','2021-05-01 09:42:32','2021-05-01 09:42:32',null);
INSERT INTO complaint_statuses VALUES('18672','5570','7','12','81','Demo Only',null,'76','76','2021-05-01 10:00:49','2021-05-01 10:00:49',null);
INSERT INTO complaint_statuses VALUES('18673','5578','7','22','81','PCB Problem , PCB In SVC.',null,'76','76','2021-05-01 10:03:50','2021-05-01 10:03:50',null);
INSERT INTO complaint_statuses VALUES('18674','5637','3',null,'52',null,'01-MAY-2021
COM NO PKRI-2105022102734','92','74','2021-05-01 11:25:36','2021-05-04 11:58:11',null);
INSERT INTO complaint_statuses VALUES('18675','5638','2',null,'81',null,'01-MAY-2021
COM FF TO USMAN SIR','92','92','2021-05-01 11:57:22','2021-05-01 11:57:22',null);
INSERT INTO complaint_statuses VALUES('18676','5638','4',null,'61',null,null,'81','81','2021-05-01 11:59:45','2021-05-01 11:59:45',null);
INSERT INTO complaint_statuses VALUES('18677','5639','3',null,'57',null,'01-MAY-2021
COM NO 18003','92','92','2021-05-01 12:08:01','2021-05-05 13:31:43',null);
INSERT INTO complaint_statuses VALUES('18678','5640','3',null,'55',null,'01-MAY-2021
COM NO 759138','92','92','2021-05-01 12:16:16','2021-05-02 10:28:25',null);
INSERT INTO complaint_statuses VALUES('18679','5540','7','12','81','complaint rsolve earth issue',null,'79','79','2021-05-01 12:18:28','2021-05-01 12:18:28',null);
INSERT INTO complaint_statuses VALUES('18680','5541','7','28','81','????',null,'79','79','2021-05-01 12:19:02','2021-05-01 12:19:02',null);
INSERT INTO complaint_statuses VALUES('18681','5641','3',null,'52',null,'01-MAY-2021
COM NO PKRI-210505103642','92','92','2021-05-01 12:24:33','2021-05-05 11:26:31',null);
INSERT INTO complaint_statuses VALUES('18682','5642','3',null,'52',null,'01-MAY-2021
COM NO PKRI-210502102768','92','92','2021-05-01 12:58:08','2021-05-02 12:52:25',null);
INSERT INTO complaint_statuses VALUES('18683','5621','7','12','81','complant resolved,',null,'79','79','2021-05-01 12:59:14','2021-05-01 12:59:14',null);
INSERT INTO complaint_statuses VALUES('18684','5643','3',null,'52',null,'01-MAY-2021
COM NO','92','92','2021-05-01 13:14:48','2021-05-01 13:14:48',null);
INSERT INTO complaint_statuses VALUES('18685','5643','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-01 13:33:07','2021-05-01 13:33:07',null);
INSERT INTO complaint_statuses VALUES('18686','5644','2',null,'81',null,'01-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-01 13:35:15','2021-05-31 11:59:57',null);
INSERT INTO complaint_statuses VALUES('18687','5645','2',null,'81',null,'01-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-01 13:47:34','2021-05-01 13:47:34',null);
INSERT INTO complaint_statuses VALUES('18688','5645','4',null,'58',null,null,'81','81','2021-05-01 13:48:38','2021-05-01 13:48:38',null);
INSERT INTO complaint_statuses VALUES('18689','5644','4',null,'63',null,null,'81','81','2021-05-01 13:48:57','2021-05-01 13:48:57',null);
INSERT INTO complaint_statuses VALUES('18690','5621','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-05-01 13:59:11','2021-05-01 15:50:09',null);
INSERT INTO complaint_statuses VALUES('18691','5570','5','15',null,'COMPLAINT COMPLETED',null,'81','81','2021-05-01 14:01:12','2021-05-01 14:01:12',null);
INSERT INTO complaint_statuses VALUES('18692','5540','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-05-01 14:02:45','2021-05-01 15:52:08',null);
INSERT INTO complaint_statuses VALUES('18693','5532','5','15',null,'COMPLAINT CANCEL','COMPLAINT RESOLVED','81','92','2021-05-01 14:03:26','2021-05-01 15:53:27',null);
INSERT INTO complaint_statuses VALUES('18694','5529','5','15',null,'COMPLAINT COMPLETED','complaint resolved','81','92','2021-05-01 14:06:03','2021-05-01 16:11:39',null);
INSERT INTO complaint_statuses VALUES('18695','5514','5','15',null,'COMPLAINT COMPLETED','complaint resolved','81','92','2021-05-01 14:06:28','2021-05-01 16:12:55',null);
INSERT INTO complaint_statuses VALUES('18696','5479','5','15',null,'COMPLAINT COMPLETED','complaint resolved','81','92','2021-05-01 14:06:51','2021-05-01 16:13:17',null);
INSERT INTO complaint_statuses VALUES('18697','5404','5','15',null,'COMPLAINT COMPLETED','complaint resolved','81','92','2021-05-01 14:08:04','2021-05-01 16:14:36',null);
INSERT INTO complaint_statuses VALUES('18698','5377','5','15',null,'COMPLAINT COMPLETED','complaint resolved','81','92','2021-05-01 14:08:55','2021-05-01 16:16:46',null);
INSERT INTO complaint_statuses VALUES('18699','5362','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-05-01 14:09:26','2021-05-03 12:11:01',null);
INSERT INTO complaint_statuses VALUES('18700','5591','7','12','81','Balance Adjustment.Visit Pending.600',null,'76','76','2021-05-01 14:16:33','2021-05-01 14:16:33',null);
INSERT INTO complaint_statuses VALUES('18701','5327','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-05-01 14:17:31','2021-05-01 16:02:17',null);
INSERT INTO complaint_statuses VALUES('18702','5326','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-05-01 14:17:52','2021-05-01 16:01:42',null);
INSERT INTO complaint_statuses VALUES('18703','5199','5','15',null,'COMPLAINT COMPLETED','complaint resolved','81','92','2021-05-01 14:18:51','2021-05-01 16:15:11',null);
INSERT INTO complaint_statuses VALUES('18704','5096','5','15',null,'CUSTOMER NOT ATTEND CALL','COMPLAINT RESOLVED','81','74','2021-05-01 14:21:48','2021-05-03 12:12:04',null);
INSERT INTO complaint_statuses VALUES('18705','5591','5','15',null,'COMPLAINT COMPLETED','COMPALINT RESOLVED','81','92','2021-05-01 14:23:13','2021-05-01 15:50:36',null);
INSERT INTO complaint_statuses VALUES('18706','5100','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-05-01 14:28:39','2021-05-03 12:11:39',null);
INSERT INTO complaint_statuses VALUES('18707','5587','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-05-01 14:53:23','2021-05-01 15:51:10',null);
INSERT INTO complaint_statuses VALUES('18708','5220','5','15',null,'COMPLAINT COMPLETED','COMPLAIN RESOLVED','81','92','2021-05-01 14:54:05','2021-05-01 15:49:39',null);
INSERT INTO complaint_statuses VALUES('18709','5646','2',null,'81',null,'01-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-01 15:15:02','2021-05-01 15:15:02',null);
INSERT INTO complaint_statuses VALUES('18710','5646','4',null,'58',null,null,'81','81','2021-05-01 15:17:40','2021-05-01 15:17:40',null);
INSERT INTO complaint_statuses VALUES('18711','5647','3',null,'52',null,'01-MAY-2021
COM NO PKHD-210505103894','92','92','2021-05-01 15:25:28','2021-05-05 11:36:23',null);
INSERT INTO complaint_statuses VALUES('18712','5648','3',null,'80',null,'01-MAY-2021
COM FF TO TAHIR SIEMENS','92','92','2021-05-01 15:45:33','2021-05-01 15:45:33',null);
INSERT INTO complaint_statuses VALUES('18713','5595','5',null,null,'complaint completed',null,'92','92','2021-05-01 16:19:50','2021-05-01 16:19:50',null);
INSERT INTO complaint_statuses VALUES('18714','5597','5',null,null,'complaint completed',null,'92','92','2021-05-01 16:22:16','2021-05-01 16:22:16',null);
INSERT INTO complaint_statuses VALUES('18715','5567','5',null,null,'complaint completed',null,'92','92','2021-05-01 16:33:04','2021-05-01 16:33:04',null);
INSERT INTO complaint_statuses VALUES('18716','5649','3',null,'56',null,'02-MAY-2021
COM NO AE02/003','92','92','2021-05-02 10:54:56','2021-05-29 15:20:24',null);
INSERT INTO complaint_statuses VALUES('18717','5650','3',null,'65',null,'02-MAY-2021
COM NO 192121951','92','92','2021-05-02 11:12:33','2021-05-02 12:22:13',null);
INSERT INTO complaint_statuses VALUES('18718','5651','3',null,'73',null,'02-MAY-2021
COM NO 4554','92','92','2021-05-02 11:27:56','2021-05-03 12:48:25',null);
INSERT INTO complaint_statuses VALUES('18719','5652','3',null,'52',null,'02-MAY-2021
COM NO PKRI-210502102890','92','92','2021-05-02 11:39:27','2021-05-02 13:01:18',null);
INSERT INTO complaint_statuses VALUES('18720','5653','3',null,'73',null,'02-MAY-2021
COM NO','92','92','2021-05-02 11:54:25','2021-05-02 11:54:25',null);
INSERT INTO complaint_statuses VALUES('18721','5654','3',null,'65',null,'02-MAY-2021
COM NO 072117685','92','92','2021-05-02 12:01:15','2021-05-02 12:04:09',null);
INSERT INTO complaint_statuses VALUES('18722','5655','3',null,'65',null,'02-MAY-2021
COM NO 192121950','92','92','2021-05-02 12:14:13','2021-05-02 12:18:02',null);
INSERT INTO complaint_statuses VALUES('18723','5656','3',null,'68',null,'02-MAY-2021
COM NO RWP-2448','92','92','2021-05-02 12:39:45','2021-05-03 11:04:25',null);
INSERT INTO complaint_statuses VALUES('18724','5657','2',null,'81',null,'02-MAY-2021
COM FF TO USMAN SIR','92','92','2021-05-02 13:02:02','2021-05-02 13:02:02',null);
INSERT INTO complaint_statuses VALUES('18725','5657','4',null,'61',null,null,'81','81','2021-05-02 13:08:34','2021-05-02 13:08:34',null);
INSERT INTO complaint_statuses VALUES('18726','5658','3',null,'52',null,'02-MAY-2021
COM NO PKRI-210503107294','92','92','2021-05-02 13:15:35','2021-05-03 13:50:27',null);
INSERT INTO complaint_statuses VALUES('18727','5659','3',null,'53',null,'02-MAY-2021
COM NO 301119006','92','92','2021-05-02 13:39:36','2021-05-03 10:52:24',null);
INSERT INTO complaint_statuses VALUES('18728','5660','2',null,'81',null,'02-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-02 13:51:48','2021-05-02 13:51:48',null);
INSERT INTO complaint_statuses VALUES('18729','5661','2',null,'81',null,'02-MAY-2021
COM FF TO USMAN SIR','92','92','2021-05-02 14:08:04','2021-05-02 14:08:04',null);
INSERT INTO complaint_statuses VALUES('18730','5661','4',null,'61',null,null,'81','81','2021-05-02 14:09:28','2021-05-02 14:09:28',null);
INSERT INTO complaint_statuses VALUES('18731','5660','4',null,'58',null,null,'81','81','2021-05-02 14:09:40','2021-05-02 14:09:40',null);
INSERT INTO complaint_statuses VALUES('18732','5662','3',null,'53',null,'02-MAY-2021
COM NO 301119019','92','92','2021-05-02 14:33:55','2021-05-03 10:56:02',null);
INSERT INTO complaint_statuses VALUES('18733','5663','3',null,'53',null,'02-MAY-2021
COM NO 301119021','92','92','2021-05-02 14:41:43','2021-05-03 10:59:09',null);
INSERT INTO complaint_statuses VALUES('18734','5664','2',null,'81',null,'02-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-02 14:48:40','2021-05-02 14:48:40',null);
INSERT INTO complaint_statuses VALUES('18735','5665','2',null,'81',null,'02-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-02 14:58:37','2021-05-02 14:58:37',null);
INSERT INTO complaint_statuses VALUES('18736','5665','4',null,'58',null,null,'81','81','2021-05-02 14:59:54','2021-05-02 14:59:54',null);
INSERT INTO complaint_statuses VALUES('18737','5664','4',null,'58',null,null,'81','81','2021-05-02 15:00:03','2021-05-02 15:00:03',null);
INSERT INTO complaint_statuses VALUES('18738','5607','2',null,'81',null,null,'92','92','2021-05-02 15:00:36','2021-05-02 15:00:36',null);
INSERT INTO complaint_statuses VALUES('18739','5666','2',null,'81',null,'02-MAY-2021
COM NO PKRI-210502104440','92','92','2021-05-02 15:10:19','2021-05-11 10:46:06',null);
INSERT INTO complaint_statuses VALUES('18740','5609','2',null,'81',null,null,'92','92','2021-05-02 15:15:39','2021-05-02 15:15:39',null);
INSERT INTO complaint_statuses VALUES('18741','5666','4',null,'64',null,null,'81','81','2021-05-02 15:20:22','2021-05-02 15:20:22',null);
INSERT INTO complaint_statuses VALUES('18742','5666','4',null,'64',null,null,'81','81','2021-05-02 15:20:22','2021-05-02 15:20:22',null);
INSERT INTO complaint_statuses VALUES('18743','5609','4',null,'64',null,null,'81','81','2021-05-02 15:20:31','2021-05-02 15:20:31',null);
INSERT INTO complaint_statuses VALUES('18744','5607','4',null,'64',null,null,'81','81','2021-05-02 15:20:38','2021-05-02 15:20:38',null);
INSERT INTO complaint_statuses VALUES('18745','5607','4',null,'64',null,null,'81','81','2021-05-02 15:20:38','2021-05-02 15:20:38',null);
INSERT INTO complaint_statuses VALUES('18746','5622','7','12','81','Unit ok no any problem found 
Cusoter comparing the picture quality with Samsung unit 

Visit only. Rs 500',null,'83','83','2021-05-02 15:26:38','2021-05-02 15:26:38',null);
INSERT INTO complaint_statuses VALUES('18747','5667','3',null,'52',null,'02-MAY-2021
COM NO PKRI-210503107333','92','92','2021-05-02 15:35:50','2021-05-03 13:52:59',null);
INSERT INTO complaint_statuses VALUES('18748','5460','7','12','81','complaint reoslved',null,'79','79','2021-05-03 09:51:11','2021-05-03 09:51:11',null);
INSERT INTO complaint_statuses VALUES('18749','5616','7','12','81','complain tresolved',null,'79','79','2021-05-03 09:52:39','2021-05-03 09:52:39',null);
INSERT INTO complaint_statuses VALUES('18750','5645','7','12','81','tab change complaint resolved',null,'79','79','2021-05-03 09:54:00','2021-05-03 09:54:00',null);
INSERT INTO complaint_statuses VALUES('18751','5606','2',null,'81',null,null,'92','92','2021-05-03 10:38:26','2021-05-03 10:38:26',null);
INSERT INTO complaint_statuses VALUES('18752','5606','4',null,'64',null,null,'81','81','2021-05-03 10:39:07','2021-05-03 10:39:07',null);
INSERT INTO complaint_statuses VALUES('18753','5355','7','12','81','cusotmer  ko adil ny kai br call ki hai wo attend nahi kr rehy ,agr inho ny repair nahi kerwana tu kinldy compliant losed ker dein',null,'79','79','2021-05-03 11:04:19','2021-05-03 11:04:19',null);
INSERT INTO complaint_statuses VALUES('18754','5645','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-03 11:15:32','2021-05-03 11:37:51',null);
INSERT INTO complaint_statuses VALUES('18755','5668','3',null,'55',null,'03-MAY-2021
COM NO 19717','92','92','2021-05-03 11:22:13','2021-05-03 11:22:13',null);
INSERT INTO complaint_statuses VALUES('18756','5423','2',null,'81',null,null,'74','74','2021-05-03 11:22:44','2021-05-03 11:22:44',null);
INSERT INTO complaint_statuses VALUES('18757','5194','7','12','81',null,null,'91','91','2021-05-03 11:23:43','2021-05-03 11:23:43',null);
INSERT INTO complaint_statuses VALUES('18758','5273','7','12','81',null,null,'91','91','2021-05-03 11:24:57','2021-05-03 11:24:57',null);
INSERT INTO complaint_statuses VALUES('18759','5423','4',null,'59',null,null,'81','81','2021-05-03 11:25:03','2021-05-03 11:25:03',null);
INSERT INTO complaint_statuses VALUES('18760','5432','7','12','81',null,null,'91','91','2021-05-03 11:25:28','2021-05-03 11:25:28',null);
INSERT INTO complaint_statuses VALUES('18761','5593','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-03 11:26:12','2021-05-03 11:26:12',null);
INSERT INTO complaint_statuses VALUES('18762','5616','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-03 11:27:44','2021-05-03 11:38:19',null);
INSERT INTO complaint_statuses VALUES('18763','5605','7','12','81',null,null,'91','91','2021-05-03 11:30:38','2021-05-03 11:30:38',null);
INSERT INTO complaint_statuses VALUES('18764','5568','7','12','81',null,null,'91','91','2021-05-03 11:30:58','2021-05-03 11:30:58',null);
INSERT INTO complaint_statuses VALUES('18765','5345','7','12','81',null,null,'91','91','2021-05-03 11:31:19','2021-05-03 11:31:19',null);
INSERT INTO complaint_statuses VALUES('18766','5541','5','15',null,'OK 5542 COMPLETED COMPLAINT HAIN','COMPLAINT CLOSED','81','74','2021-05-03 11:31:22','2021-05-03 11:43:45',null);
INSERT INTO complaint_statuses VALUES('18767','5605','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-03 11:34:54','2021-05-03 11:39:14',null);
INSERT INTO complaint_statuses VALUES('18768','5568','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-03 11:35:35','2021-05-03 11:40:45',null);
INSERT INTO complaint_statuses VALUES('18769','5464','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-03 11:36:56','2021-05-03 11:44:44',null);
INSERT INTO complaint_statuses VALUES('18770','5669','3',null,'61',null,'03-MAY-2021
COM NO 02105000703','92','92','2021-05-03 11:37:31','2021-05-03 11:37:31',null);
INSERT INTO complaint_statuses VALUES('18771','5609','7','12','81',null,null,'91','91','2021-05-03 11:44:12','2021-05-03 11:44:12',null);
INSERT INTO complaint_statuses VALUES('18772','5577','7','12','81',null,null,'91','91','2021-05-03 11:44:50','2021-05-03 11:44:50',null);
INSERT INTO complaint_statuses VALUES('18773','5556','7','12','81',null,null,'91','91','2021-05-03 11:45:13','2021-05-03 11:45:13',null);
INSERT INTO complaint_statuses VALUES('18774','5198','7','12','81',null,null,'91','91','2021-05-03 11:45:48','2021-05-03 11:45:48',null);
INSERT INTO complaint_statuses VALUES('18775','5538','7','12','81',null,null,'91','91','2021-05-03 11:46:19','2021-05-03 11:46:19',null);
INSERT INTO complaint_statuses VALUES('18776','5149','7','12','81',null,null,'91','91','2021-05-03 11:47:55','2021-05-03 11:47:55',null);
INSERT INTO complaint_statuses VALUES('18777','5060','7','12','81',null,null,'91','91','2021-05-03 11:50:34','2021-05-03 11:50:34',null);
INSERT INTO complaint_statuses VALUES('18778','5355','8','23','58','ADIL BHAI SA CALL KARWA DAY CUSTOMER W8 KAR RAHAY HAIN',null,'81','81','2021-05-03 11:51:38','2021-05-03 11:51:38',null);
INSERT INTO complaint_statuses VALUES('18779','5609','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-03 11:52:26','2021-05-03 11:59:10',null);
INSERT INTO complaint_statuses VALUES('18780','5577','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-03 11:53:16','2021-05-03 12:00:23',null);
INSERT INTO complaint_statuses VALUES('18781','5556','5','15',null,'COMPLETED COMPLAINT','COMPLAINT  RESOLVED','81','74','2021-05-03 11:54:02','2021-05-03 12:01:43',null);
INSERT INTO complaint_statuses VALUES('18782','5538','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-03 11:55:36','2021-05-03 12:02:09',null);
INSERT INTO complaint_statuses VALUES('18783','5460','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-03 11:56:57','2021-05-03 12:03:26',null);
INSERT INTO complaint_statuses VALUES('18784','5432','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-03 11:59:55','2021-05-03 12:06:20',null);
INSERT INTO complaint_statuses VALUES('18785','5502','7','22','81','Panel defective 
Panel not in stock',null,'83','83','2021-05-03 12:00:08','2021-05-03 12:00:08',null);
INSERT INTO complaint_statuses VALUES('18786','5345','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-03 12:13:32','2021-05-03 12:25:21',null);
INSERT INTO complaint_statuses VALUES('18787','5273','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-03 12:17:01','2021-05-03 12:25:44',null);
INSERT INTO complaint_statuses VALUES('18788','5198','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-03 12:17:43','2021-05-03 12:26:13',null);
INSERT INTO complaint_statuses VALUES('18789','5194','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-03 12:23:11','2021-05-03 12:27:30',null);
INSERT INTO complaint_statuses VALUES('18790','5149','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-03 12:23:52','2021-05-03 12:28:00',null);
INSERT INTO complaint_statuses VALUES('18791','5060','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-03 12:29:48','2021-05-03 12:30:40',null);
INSERT INTO complaint_statuses VALUES('18792','5670','3',null,'53',null,'03-MAY-2021
COM NO 301119245','92','92','2021-05-03 12:31:33','2021-05-03 12:31:33',null);
INSERT INTO complaint_statuses VALUES('18793','5167','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-03 12:38:47','2021-05-03 12:38:47',null);
INSERT INTO complaint_statuses VALUES('18794','5671','2',null,'81',null,'03-MAY-2021
COM NO 17931
COMPLAINT REOPEN#20184','92','74','2021-05-03 12:40:23','2021-07-15 17:16:39',null);
INSERT INTO complaint_statuses VALUES('18795','3533','5','15',null,'CUSTOMER STILL CALL ATTEND NAI KAR RAHAY HAIN  
EXP CUSTOMER KO INFORMED KARNA HAIN
ADIL FHSS KO INFORMED KAR KA COMPLAINT CLOSED KI DISHWASHER KA CARD LG S/C MAIN HAIN','COMPLAINT CLOSED','81','74','2021-05-03 12:46:53','2021-05-03 12:52:45',null);
INSERT INTO complaint_statuses VALUES('18796','5429','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-03 12:50:07','2021-05-03 12:50:07',null);
INSERT INTO complaint_statuses VALUES('18797','5671','4',null,'64',null,null,'81','81','2021-05-03 12:58:48','2021-05-03 12:58:48',null);
INSERT INTO complaint_statuses VALUES('18798','5672','3',null,'52',null,'03-MAY-2021
COM NO PKRI-210503107368','92','92','2021-05-03 13:16:25','2021-05-04 10:49:34',null);
INSERT INTO complaint_statuses VALUES('18799','5673','2',null,'81',null,'03-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-03 13:24:50','2021-05-03 13:24:50',null);
INSERT INTO complaint_statuses VALUES('18800','5673','4',null,'58',null,null,'81','81','2021-05-03 13:30:56','2021-05-03 13:30:56',null);
INSERT INTO complaint_statuses VALUES('18801','5674','3',null,'52',null,'03-MAY-2021
COM NO pkri-210503107406
NEW COM NO PKRI-210529110400','92','92','2021-05-03 13:33:54','2021-05-29 16:34:17',null);
INSERT INTO complaint_statuses VALUES('18802','5675','3',null,'52',null,'03-MAY-2021
COM NO pkri-210503107427','92','92','2021-05-03 13:36:48','2021-05-04 10:50:41',null);
INSERT INTO complaint_statuses VALUES('18803','5676','2',null,'81',null,'03-MAY-2021
COM NO 759868
2nd COM NO 759870','92','73','2021-05-03 13:40:00','2021-05-03 13:51:20',null);
INSERT INTO complaint_statuses VALUES('18804','5676','4',null,'64',null,null,'81','81','2021-05-03 13:45:38','2021-05-03 13:45:38',null);
INSERT INTO complaint_statuses VALUES('18805','5676','4',null,'64',null,null,'81','81','2021-05-03 13:45:38','2021-05-03 13:45:38',null);
INSERT INTO complaint_statuses VALUES('18806','5677','2',null,'81',null,'03-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-03 14:05:41','2021-05-03 14:05:41',null);
INSERT INTO complaint_statuses VALUES('18807','5677','4',null,'58',null,null,'81','81','2021-05-03 14:06:26','2021-05-03 14:06:26',null);
INSERT INTO complaint_statuses VALUES('18808','5678','2',null,'81',null,'03-MAY-2021
COM FF TO KHALID SIR','92','92','2021-05-03 14:12:35','2021-05-03 14:12:35',null);
INSERT INTO complaint_statuses VALUES('18809','5679','2',null,'81',null,'03-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-03 14:18:00','2021-05-03 14:18:00',null);
INSERT INTO complaint_statuses VALUES('18810','5679','4',null,'58',null,null,'81','81','2021-05-03 14:19:07','2021-05-03 14:19:07',null);
INSERT INTO complaint_statuses VALUES('18811','5678','4',null,'56',null,null,'81','81','2021-05-03 14:19:15','2021-05-03 14:19:15',null);
INSERT INTO complaint_statuses VALUES('18812','5680','3',null,'52',null,'03-MAY-2021
COM NO PKRI-210503108209','92','92','2021-05-03 14:38:32','2021-05-05 11:07:21',null);
INSERT INTO complaint_statuses VALUES('18813','5681','3',null,'52',null,null,'73','73','2021-05-03 14:38:37','2021-05-03 14:38:37',null);
INSERT INTO complaint_statuses VALUES('18814','5682','2',null,'81',null,'03-MAY-2021
COM NO PKRI-210503108491','92','92','2021-05-03 14:44:15','2021-05-03 14:52:06',null);
INSERT INTO complaint_statuses VALUES('18815','5394','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-03 14:44:47','2021-05-03 14:44:47',null);
INSERT INTO complaint_statuses VALUES('18816','5566','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-03 14:58:24','2021-05-03 14:58:24',null);
INSERT INTO complaint_statuses VALUES('18817','5683','3',null,'55',null,'03-MAY-2021
COM NO 760253','92','92','2021-05-03 15:00:05','2021-05-04 10:40:33',null);
INSERT INTO complaint_statuses VALUES('18818','5684','3',null,'53',null,'03-MAY-2021
COM NO 301119819','92','92','2021-05-03 15:05:30','2021-05-04 10:45:14',null);
INSERT INTO complaint_statuses VALUES('18819','5685','3',null,'61',null,'03-MAY-2021
COM NO 202105002264','92','92','2021-05-03 15:21:48','2021-05-04 16:45:32',null);
INSERT INTO complaint_statuses VALUES('18820','5528','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-03 15:25:28','2021-05-03 15:25:28',null);
INSERT INTO complaint_statuses VALUES('18821','5530','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-03 15:28:37','2021-05-03 15:28:37',null);
INSERT INTO complaint_statuses VALUES('18822','5513','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-03 15:36:38','2021-05-03 15:36:38',null);
INSERT INTO complaint_statuses VALUES('18823','5523','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-03 15:38:58','2021-05-03 15:38:58',null);
INSERT INTO complaint_statuses VALUES('18824','5686','3',null,'53',null,'03-MAY-2021
COM NO 301119839','92','92','2021-05-03 15:40:45','2021-05-04 10:57:59',null);
INSERT INTO complaint_statuses VALUES('18825','5687','3',null,'73',null,'03-MAY-2021
COM NO 4563','92','92','2021-05-03 15:45:11','2021-05-04 11:46:11',null);
INSERT INTO complaint_statuses VALUES('18826','5509','5',null,null,'COMPLAINT CLOSED','CUSTOMER KO S/C & MUNWAR SB K NO WHATSAPP KAR DIA','74','74','2021-05-03 15:52:58','2021-05-05 11:30:31',null);
INSERT INTO complaint_statuses VALUES('18827','5500','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-03 15:57:28','2021-05-03 15:57:28',null);
INSERT INTO complaint_statuses VALUES('18828','5578','8','23','55','OK JOB COMPLETED QUKILEY',null,'81','81','2021-05-03 15:59:40','2021-05-03 15:59:40',null);
INSERT INTO complaint_statuses VALUES('18829','5688','3',null,'54',null,'03-MAY-2021
COM NO 1864898','92','92','2021-05-03 16:00:23','2021-05-03 16:00:23',null);
INSERT INTO complaint_statuses VALUES('18830','5689','2',null,'81',null,'03-MAY-2021
COM FF TO AZHAR SIR','92','92','2021-05-03 16:08:08','2021-05-03 16:08:08',null);
INSERT INTO complaint_statuses VALUES('18831','5678','7','24','81','It is friend warranty customer has only friends slip...',null,'77','77','2021-05-03 16:11:44','2021-05-03 16:11:44',null);
INSERT INTO complaint_statuses VALUES('18832','5461','7','24','81','Panel damaged cost Rs. 100,000',null,'77','77','2021-05-03 16:12:37','2021-05-03 16:12:37',null);
INSERT INTO complaint_statuses VALUES('18833','5461','8','23','56','CUSTOMER NA PANAL KI APPROVAL NAI DI COMPLAINT COMPLETED KAR DAY',null,'81','81','2021-05-03 16:20:09','2021-05-03 16:20:09',null);
INSERT INTO complaint_statuses VALUES('18834','5461','7','12','81','refused',null,'77','77','2021-05-03 16:25:18','2021-05-03 16:25:18',null);
INSERT INTO complaint_statuses VALUES('18835','5622','8','23','61','CUSTOMER VISIT SA SATISFIED NAI HAIN CH ANAL KA ISSUE AARHA HAIN KINDLY AGAIN CONTACT KAR LAY CUSTOMER SA',null,'81','81','2021-05-03 16:26:08','2021-05-03 16:26:08',null);
INSERT INTO complaint_statuses VALUES('18836','5461','5','15',null,'CUSTOMER SIDE SA REFUSED COMPLAINT','COMPLAINT CLOSED','81','74','2021-05-03 16:27:16','2021-05-03 16:28:03',null);
INSERT INTO complaint_statuses VALUES('18837','5690','3',null,'65',null,'03-MAY-2021
COM NO 192122050','92','92','2021-05-03 16:33:16','2021-05-04 11:03:02',null);
INSERT INTO complaint_statuses VALUES('18838','5521','7','12','81','Wiring Repaired , Sensor Replaced and Labor Charges.',null,'76','76','2021-05-03 16:39:40','2021-05-03 16:39:40',null);
INSERT INTO complaint_statuses VALUES('18839','5691','3',null,'53',null,'03-MAY-2021
COM NO 301119825','92','92','2021-05-03 16:40:38','2021-05-04 10:48:20',null);
INSERT INTO complaint_statuses VALUES('18840','5689','4',null,'60',null,null,'81','81','2021-05-04 10:34:54','2021-05-04 10:34:54',null);
INSERT INTO complaint_statuses VALUES('18841','5682','4',null,'64',null,null,'81','81','2021-05-04 10:35:05','2021-05-04 10:35:05',null);
INSERT INTO complaint_statuses VALUES('18842','5648','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-04 10:56:50','2021-05-04 10:56:50',null);
INSERT INTO complaint_statuses VALUES('18843','5677','7','12','81','NO ISSUE IN  REF ONLY  TEMPRATURE SETTING ,',null,'79','79','2021-05-04 11:01:45','2021-05-04 11:01:45',null);
INSERT INTO complaint_statuses VALUES('18844','5665','7','12','81','NO ISSUE REF,COMPLINT RESOLVED',null,'79','79','2021-05-04 11:03:21','2021-05-04 11:03:21',null);
INSERT INTO complaint_statuses VALUES('18845','5565','7','12','81','INLET PIPE CAHNGE',null,'79','79','2021-05-04 11:04:44','2021-05-04 11:04:44',null);
INSERT INTO complaint_statuses VALUES('18846','5692','2',null,'81',null,'04-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-04 11:07:19','2021-05-04 11:07:19',null);
INSERT INTO complaint_statuses VALUES('18847','5642','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-04 11:08:45','2021-05-04 11:08:45',null);
INSERT INTO complaint_statuses VALUES('18848','5678','8','23','56','OK NAEEM SIR SA DIS CAUSE KIYA WO BOL RAHAY CHEEK KARAY KUCH UNIT WITHOUT WARRANTY CARD K B THY',null,'81','81','2021-05-04 11:18:44','2021-05-04 11:18:44',null);
INSERT INTO complaint_statuses VALUES('18849','5693','3',null,'92',null,'04-MAY-2021
COM NO 210505071056','92','92','2021-05-04 11:18:55','2021-05-05 13:46:24',null);
INSERT INTO complaint_statuses VALUES('18850','5677','8','23','58','CALL PA ISSUE RESOLVED NAI HOA KINDLY AGAIN CONTACT KAR K VISIT ARRANGE KARWAY',null,'81','81','2021-05-04 11:27:28','2021-05-04 11:27:28',null);
INSERT INTO complaint_statuses VALUES('18851','5665','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-04 11:28:38','2021-05-04 11:29:40',null);
INSERT INTO complaint_statuses VALUES('18852','5694','2',null,'81',null,'04-MAY-2021
COM FF TO AZHAR FCI','92','92','2021-05-04 11:29:36','2021-05-04 11:29:36',null);
INSERT INTO complaint_statuses VALUES('18853','5694','4',null,'60',null,null,'81','81','2021-05-04 11:31:05','2021-05-04 11:31:05',null);
INSERT INTO complaint_statuses VALUES('18854','5692','4',null,'63',null,null,'81','81','2021-05-04 11:31:12','2021-05-04 11:31:12',null);
INSERT INTO complaint_statuses VALUES('18855','5695','3',null,'53',null,'04-MAY-2021
COM NO 1120268','92','92','2021-05-04 11:35:49','2021-05-04 14:11:10',null);
INSERT INTO complaint_statuses VALUES('18856','5679','7','12','81','YE LG SERVICE CNETER BEHJ RAH AHUN',null,'79','79','2021-05-04 11:45:35','2021-05-04 11:45:35',null);
INSERT INTO complaint_statuses VALUES('18857','5637','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-04 12:01:34','2021-05-04 12:01:34',null);
INSERT INTO complaint_statuses VALUES('18858','5696','3',null,'55',null,'04-MAY-2021
COM NO 760409','92','92','2021-05-04 12:15:26','2021-05-04 12:16:44',null);
INSERT INTO complaint_statuses VALUES('18859','5658','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-04 12:18:54','2021-05-04 12:18:54',null);
INSERT INTO complaint_statuses VALUES('18860','5678','7','20','81','Unit in no power its main board is faulty...cost Rs.  36,740
Need approval.',null,'77','77','2021-05-04 12:21:20','2021-05-04 12:21:20',null);
INSERT INTO complaint_statuses VALUES('18861','5679','8','23','58','OK JOB COMPLETED QUKILEY',null,'81','81','2021-05-04 12:34:34','2021-05-04 12:34:34',null);
INSERT INTO complaint_statuses VALUES('18862','5624','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-04 12:59:46','2021-05-04 12:59:46',null);
INSERT INTO complaint_statuses VALUES('18863','5640','5',null,null,'COMPLAINT CLOSED','YHA REF CUSTOMER KO REPLACE KAR K DIA HAIN CUSTOMER WALA REF KENWOOD PINDI S/C MAIN   WORKING IN PROCESS HAIN','74','74','2021-05-04 13:00:51','2021-08-10 16:33:46',null);
INSERT INTO complaint_statuses VALUES('18864','5697','2',null,'81',null,'04-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-04 13:01:59','2021-05-04 13:01:59',null);
INSERT INTO complaint_statuses VALUES('18865','5697','4',null,'55',null,null,'81','81','2021-05-04 13:05:15','2021-05-04 13:05:15',null);
INSERT INTO complaint_statuses VALUES('18866','5698','3',null,'52',null,'04-MAY-2021
COM NO PKRI-210505102857','92','92','2021-05-04 13:12:49','2021-05-05 10:52:44',null);
INSERT INTO complaint_statuses VALUES('18867','5676','7','12','81',null,null,'91','91','2021-05-04 13:23:35','2021-05-04 13:23:35',null);
INSERT INTO complaint_statuses VALUES('18868','5699','2',null,'81',null,'04-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-04 13:25:23','2021-05-04 13:25:23',null);
INSERT INTO complaint_statuses VALUES('18869','5700','3',null,'53',null,'04-MAY-2021
COM NO 1120293','92','92','2021-05-04 13:32:29','2021-05-04 14:13:42',null);
INSERT INTO complaint_statuses VALUES('18870','5701','3',null,'73',null,'04-MAY-2021
COM NO 4568','92','92','2021-05-04 13:36:24','2021-05-04 14:16:56',null);
INSERT INTO complaint_statuses VALUES('18871','5614','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-04 13:41:39','2021-05-04 13:41:39',null);
INSERT INTO complaint_statuses VALUES('18872','5617','5',null,null,'COMPLAIN CLOSED',null,'74','74','2021-05-04 13:43:52','2021-05-04 13:43:52',null);
INSERT INTO complaint_statuses VALUES('18873','5620','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-04 13:47:16','2021-05-04 13:47:16',null);
INSERT INTO complaint_statuses VALUES('18874','5619','5',null,null,'COMPLAINT  RESOLVED',null,'74','74','2021-05-04 13:51:52','2021-05-04 13:51:52',null);
INSERT INTO complaint_statuses VALUES('18875','5702','2',null,'81',null,'04-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-04 13:51:56','2021-05-04 13:51:56',null);
INSERT INTO complaint_statuses VALUES('18876','5702','4',null,'58',null,null,'81','81','2021-05-04 13:52:56','2021-05-04 13:52:56',null);
INSERT INTO complaint_statuses VALUES('18877','5699','4',null,'62',null,'ADIL BHAI KO INVOICE SHER KAR DI','81','74','2021-05-04 13:53:07','2021-05-07 11:17:06',null);
INSERT INTO complaint_statuses VALUES('18878','5625','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-04 14:05:56','2021-05-04 14:05:56',null);
INSERT INTO complaint_statuses VALUES('18879','5678','8','23','56','LED KI BACK PIC 
FAULTY BOARD KI PIC &BAR COAD KI PIC SHER KARAY',null,'81','81','2021-05-04 14:11:10','2021-05-04 14:11:10',null);
INSERT INTO complaint_statuses VALUES('18880','5703','3',null,'52',null,'04-MAY-2021
COM NO PKRI-210505102917','92','92','2021-05-04 14:28:38','2021-05-05 10:55:28',null);
INSERT INTO complaint_statuses VALUES('18881','5704','3',null,'53',null,'04-MAY-2021
COM NO 301120711','92','92','2021-05-04 14:35:21','2021-05-05 11:41:20',null);
INSERT INTO complaint_statuses VALUES('18882','5705','3',null,'52',null,'04-MAY-2021
COM NO PKRI-210505103014','92','92','2021-05-04 14:44:46','2021-05-05 10:59:32',null);
INSERT INTO complaint_statuses VALUES('18883','5602','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-04 14:47:11','2021-05-04 14:47:11',null);
INSERT INTO complaint_statuses VALUES('18884','5676','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-04 14:48:58','2021-05-04 14:50:13',null);
INSERT INTO complaint_statuses VALUES('18885','5565','8','23','58','ISSUE NOT RESOLVED',null,'81','81','2021-05-04 14:49:33','2021-05-04 14:49:33',null);
INSERT INTO complaint_statuses VALUES('18886','5706','3',null,'52',null,'04-MAY-2021
COM NO PKRI-210505103082','92','92','2021-05-04 14:51:20','2021-05-05 11:02:46',null);
INSERT INTO complaint_statuses VALUES('18887','5611','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-04 14:54:52','2021-05-04 14:54:52',null);
INSERT INTO complaint_statuses VALUES('18888','5707','2',null,'81',null,'04-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-04 15:04:15','2021-05-04 15:04:15',null);
INSERT INTO complaint_statuses VALUES('18889','5708','2',null,'81',null,'04-MAY-2021
COM FF TO USMAN SIR','92','92','2021-05-04 15:12:33','2021-05-04 15:12:33',null);
INSERT INTO complaint_statuses VALUES('18890','5708','4',null,'61',null,null,'81','81','2021-05-04 15:15:37','2021-05-04 15:15:37',null);
INSERT INTO complaint_statuses VALUES('18891','5707','4',null,'62',null,null,'81','81','2021-05-04 15:15:46','2021-05-04 15:15:46',null);
INSERT INTO complaint_statuses VALUES('18892','5586','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-04 15:17:01','2021-05-04 15:17:01',null);
INSERT INTO complaint_statuses VALUES('18893','5709','2',null,'81',null,'04-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-04 15:23:36','2021-05-04 15:23:36',null);
INSERT INTO complaint_statuses VALUES('18894','5710','3',null,'52',null,'04-MAY-2021
COM NO PKRI-210505103178
NEW COMPLAINT#PKRI-210503100814','92','74','2021-05-04 15:33:01','2021-05-08 11:46:35',null);
INSERT INTO complaint_statuses VALUES('18895','5521','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-04 15:33:35','2021-05-04 15:49:57',null);
INSERT INTO complaint_statuses VALUES('18896','5711','2',null,'81',null,'04-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-04 15:39:56','2021-05-04 15:39:56',null);
INSERT INTO complaint_statuses VALUES('18897','5678','7','24','81','picture send',null,'77','77','2021-05-04 15:44:17','2021-05-04 15:44:17',null);
INSERT INTO complaint_statuses VALUES('18898','5712','2',null,'81',null,'04-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-04 15:47:42','2021-05-04 15:47:42',null);
INSERT INTO complaint_statuses VALUES('18899','5118','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-05-04 15:52:24','2021-05-04 15:52:24',null);
INSERT INTO complaint_statuses VALUES('18900','5118','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-05-04 15:53:27','2021-05-04 15:57:56',null);
INSERT INTO complaint_statuses VALUES('18901','5713','2',null,'81',null,'04-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-04 16:08:05','2021-05-04 16:08:05',null);
INSERT INTO complaint_statuses VALUES('18902','5713','4',null,'63',null,null,'81','81','2021-05-04 16:10:12','2021-05-04 16:10:12',null);
INSERT INTO complaint_statuses VALUES('18903','5712','4',null,'62',null,null,'81','81','2021-05-04 16:10:30','2021-05-04 16:10:30',null);
INSERT INTO complaint_statuses VALUES('18904','5712','4',null,'62',null,null,'81','81','2021-05-04 16:10:34','2021-05-04 16:10:34',null);
INSERT INTO complaint_statuses VALUES('18905','5711','4',null,'55',null,null,'81','81','2021-05-04 16:10:47','2021-05-04 16:10:47',null);
INSERT INTO complaint_statuses VALUES('18906','5709','4',null,'63',null,null,'81','81','2021-05-04 16:11:00','2021-05-04 16:11:00',null);
INSERT INTO complaint_statuses VALUES('18907','5714','3',null,'53',null,'04-MAY-2021
COM NO 301120717','92','92','2021-05-04 16:17:49','2021-05-05 11:43:43',null);
INSERT INTO complaint_statuses VALUES('18908','5715','2',null,'81',null,'04-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-04 16:21:38','2021-05-04 16:21:38',null);
INSERT INTO complaint_statuses VALUES('18909','5716','3',null,'74',null,'04-MAY-2021
COM NO 54','92','92','2021-05-04 16:34:04','2021-05-05 12:04:33',null);
INSERT INTO complaint_statuses VALUES('18910','5717','3',null,'61',null,'04-MAY-2021
COM NO 202105002271','92','92','2021-05-04 16:50:51','2021-05-04 16:50:51',null);
INSERT INTO complaint_statuses VALUES('18911','5718','3',null,'65',null,'04-MAY-2021
COM NO 072117741','92','92','2021-05-04 16:55:01','2021-05-05 12:50:23',null);
INSERT INTO complaint_statuses VALUES('18912','5719','3',null,'65',null,'04-MAY-2021
COM NO 192122115','92','92','2021-05-04 16:59:29','2021-05-05 12:53:07',null);
INSERT INTO complaint_statuses VALUES('18913','5678','8','23','56','OK KHURRAM SIRKO FF KAR DI',null,'81','81','2021-05-04 17:00:29','2021-05-04 17:00:29',null);
INSERT INTO complaint_statuses VALUES('18914','5551','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-04 17:03:11','2021-05-04 17:03:11',null);
INSERT INTO complaint_statuses VALUES('18915','5552','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-04 17:05:21','2021-05-04 17:05:21',null);
INSERT INTO complaint_statuses VALUES('18916','5498','7','12','81','complaint resolved.',null,'79','79','2021-05-04 20:02:57','2021-05-04 20:02:57',null);
INSERT INTO complaint_statuses VALUES('18917','5646','7','9','81','complaint resolved',null,'79','79','2021-05-04 20:03:35','2021-05-04 20:03:35',null);
INSERT INTO complaint_statuses VALUES('18918','5677','7','12','81','no issue in ref compalint resolvd visit ho gya hai',null,'79','79','2021-05-04 20:04:25','2021-05-04 20:04:25',null);
INSERT INTO complaint_statuses VALUES('18919','5679','7','12','81','ye complaint lg forwered kr dein .oven waha behj raha hun',null,'79','79','2021-05-04 20:05:09','2021-05-04 20:05:09',null);
INSERT INTO complaint_statuses VALUES('18920','5664','7','12','81','unblance thi complaint resolved',null,'79','79','2021-05-04 20:07:51','2021-05-04 20:07:51',null);
INSERT INTO complaint_statuses VALUES('18921','5715','4',null,'58',null,null,'81','81','2021-05-05 10:44:01','2021-05-05 10:44:01',null);
INSERT INTO complaint_statuses VALUES('18922','5667','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-05 10:47:32','2021-05-05 10:47:32',null);
INSERT INTO complaint_statuses VALUES('18923','5655','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-05 10:52:47','2021-05-05 10:52:47',null);
INSERT INTO complaint_statuses VALUES('18924','5677','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-05-05 11:02:31','2021-05-05 11:02:31',null);
INSERT INTO complaint_statuses VALUES('18925','5720','3',null,'52',null,'05-MAY-2021
COM NO PKRI-210506102659','92','92','2021-05-05 11:11:30','2021-05-06 10:46:45',null);
INSERT INTO complaint_statuses VALUES('18926','5652','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-05 11:17:03','2021-05-05 11:17:03',null);
INSERT INTO complaint_statuses VALUES('18927','5664','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-05 11:18:32','2021-05-05 11:32:10',null);
INSERT INTO complaint_statuses VALUES('18928','5646','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-05 11:20:46','2021-05-05 11:32:48',null);
INSERT INTO complaint_statuses VALUES('18929','5651','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-05 11:36:19','2021-05-05 11:36:19',null);
INSERT INTO complaint_statuses VALUES('18930','5721','3',null,'53',null,'05-MAY-2021
COM NO 301120724','92','92','2021-05-05 11:36:48','2021-05-05 11:47:34',null);
INSERT INTO complaint_statuses VALUES('18931','5722','3',null,'52',null,'05-MAY-2021
COM NO PKRI-210504109758
NEW COMPLAINT# PKRI-21052218196','92','74','2021-05-05 11:55:02','2021-05-22 16:41:54',null);
INSERT INTO complaint_statuses VALUES('18932','5549','7','12','81','Filtr block thy',null,'82','82','2021-05-05 11:59:30','2021-05-05 11:59:30',null);
INSERT INTO complaint_statuses VALUES('18933','5572','7','24','81','Pcb theek krny bheji hy',null,'82','82','2021-05-05 12:00:02','2021-05-05 12:00:02',null);
INSERT INTO complaint_statuses VALUES('18934','5723','3',null,'52',null,'05-MAY-2021
COM NO PKRI-210506102709','92','92','2021-05-05 12:13:31','2021-05-06 10:48:36',null);
INSERT INTO complaint_statuses VALUES('18935','5662','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-05 12:13:39','2021-05-05 12:13:39',null);
INSERT INTO complaint_statuses VALUES('18936','5659','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-05 12:15:20','2021-05-05 12:15:20',null);
INSERT INTO complaint_statuses VALUES('18937','5572','8','23','60','OK',null,'81','81','2021-05-05 12:17:08','2021-05-05 12:17:08',null);
INSERT INTO complaint_statuses VALUES('18938','5724','3',null,'52',null,'05-MAY-2021
COM NO PKRI-210506102761','92','92','2021-05-05 12:30:53','2021-05-06 10:49:57',null);
INSERT INTO complaint_statuses VALUES('18939','5725','2',null,'81',null,'05-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-05 12:37:58','2021-05-05 12:37:58',null);
INSERT INTO complaint_statuses VALUES('18940','5725','4',null,'55',null,null,'81','81','2021-05-05 12:38:41','2021-05-05 12:38:41',null);
INSERT INTO complaint_statuses VALUES('18941','5571','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-05 12:39:17','2021-05-05 12:39:17',null);
INSERT INTO complaint_statuses VALUES('18942','5679','5','15',null,'B COOL NA OVEN LG S/C MAIN FF KAR DIA 
NEW TASK#5725','COMPLAINT FF TO LG S/C','81','74','2021-05-05 12:40:15','2021-05-05 12:54:24',null);
INSERT INTO complaint_statuses VALUES('18943','5726','3',null,'52',null,'05-MAY-2021
COM NO PKRI-210506102840','92','92','2021-05-05 12:45:33','2021-05-06 10:53:04',null);
INSERT INTO complaint_statuses VALUES('18944','5613','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-05 12:53:46','2021-05-05 12:53:46',null);
INSERT INTO complaint_statuses VALUES('18945','5549','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-05 13:08:46','2021-05-05 13:10:35',null);
INSERT INTO complaint_statuses VALUES('18946','5727','3',null,'55',null,'05-MAY-2021
COM NO ISB-12272','92','92','2021-05-05 13:11:07','2021-05-25 11:13:37',null);
INSERT INTO complaint_statuses VALUES('18947','5678','7','9','81','Need approval',null,'77','77','2021-05-05 13:36:10','2021-05-05 13:36:10',null);
INSERT INTO complaint_statuses VALUES('18948','5728','3',null,'67',null,'05-MAY-2021
COM FF TO BABAR CARAVELL','92','92','2021-05-05 13:49:03','2021-05-05 13:49:03',null);
INSERT INTO complaint_statuses VALUES('18949','5729','2',null,'81',null,'05-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-05 14:14:11','2021-05-05 14:14:11',null);
INSERT INTO complaint_statuses VALUES('18950','5730','3',null,'52',null,'05-MAY-2021
COM NO PKRI-2105061022906','92','92','2021-05-05 14:23:29','2021-05-06 10:56:14',null);
INSERT INTO complaint_statuses VALUES('18951','5627','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-05 14:26:33','2021-05-05 14:26:33',null);
INSERT INTO complaint_statuses VALUES('18952','5731','3',null,'52',null,'05-MAY-2021
COM NO','92','92','2021-05-05 14:31:52','2021-05-05 14:31:52',null);
INSERT INTO complaint_statuses VALUES('18953','5443','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-05 14:43:01','2021-05-05 14:43:01',null);
INSERT INTO complaint_statuses VALUES('18954','5732','3',null,'53',null,'05-MAY-2021
COM NO 301121077','92','92','2021-05-05 14:44:07','2021-05-05 14:47:39',null);
INSERT INTO complaint_statuses VALUES('18955','5733','3',null,'53',null,'05-MAY-2021
COM NO 301121104','92','92','2021-05-05 15:00:17','2021-05-05 15:26:45',null);
INSERT INTO complaint_statuses VALUES('18956','5734','2',null,'81',null,'05-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-05 15:11:31','2021-05-05 15:11:31',null);
INSERT INTO complaint_statuses VALUES('18957','5734','4',null,'62',null,null,'81','81','2021-05-05 15:12:37','2021-05-05 15:12:37',null);
INSERT INTO complaint_statuses VALUES('18958','5729','4',null,'63',null,null,'81','81','2021-05-05 15:12:45','2021-05-05 15:12:45',null);
INSERT INTO complaint_statuses VALUES('18959','5688','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-05 15:14:42','2021-05-05 15:14:42',null);
INSERT INTO complaint_statuses VALUES('18960','5633','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-05 15:19:31','2021-05-05 15:19:31',null);
INSERT INTO complaint_statuses VALUES('18961','5735','3',null,'53',null,'05-MAY-2021
COM NO 301121101','92','92','2021-05-05 15:20:39','2021-05-05 15:27:11',null);
INSERT INTO complaint_statuses VALUES('18962','5684','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-05 15:32:28','2021-05-05 15:32:28',null);
INSERT INTO complaint_statuses VALUES('18963','5681','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-05 15:38:42','2021-05-05 15:38:42',null);
INSERT INTO complaint_statuses VALUES('18964','5736','3',null,'65',null,'05-MAY-2021
COM NO 192122136','92','92','2021-05-05 15:46:30','2021-05-05 15:47:10',null);
INSERT INTO complaint_statuses VALUES('18965','5683','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-05 15:50:27','2021-05-05 15:50:27',null);
INSERT INTO complaint_statuses VALUES('18966','5737','3',null,'52',null,'05-MAY-2021
COM NO PKRI-210506103153','92','92','2021-05-05 16:00:10','2021-05-06 11:06:15',null);
INSERT INTO complaint_statuses VALUES('18967','5738','2',null,'81',null,'05-MAY-2021
COM FF TO AZHAR FCI','92','92','2021-05-05 16:33:31','2021-05-05 16:33:31',null);
INSERT INTO complaint_statuses VALUES('18968','5738','4',null,'60',null,null,'81','81','2021-05-05 16:37:32','2021-05-05 16:37:32',null);
INSERT INTO complaint_statuses VALUES('18969','5739','2',null,'81',null,'05-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-05 16:44:00','2021-05-05 16:44:00',null);
INSERT INTO complaint_statuses VALUES('18970','5740','2',null,'81',null,'05-MAY-2021
COM NO 4578','92','92','2021-05-05 16:49:56','2021-05-08 11:19:36',null);
INSERT INTO complaint_statuses VALUES('18971','5741','3',null,'52',null,'05-MAY-2021
COM NO PKRI-210506102967','92','92','2021-05-05 16:56:55','2021-05-06 11:04:17',null);
INSERT INTO complaint_statuses VALUES('18972','5740','4',null,'64',null,null,'81','81','2021-05-05 16:59:54','2021-05-05 16:59:54',null);
INSERT INTO complaint_statuses VALUES('18973','5739','4',null,'62',null,null,'81','81','2021-05-05 17:00:02','2021-05-05 17:00:02',null);
INSERT INTO complaint_statuses VALUES('18974','5708','7','26','81','Unit already checked by some other technician',null,'83','83','2021-05-05 17:50:02','2021-05-05 17:50:02',null);
INSERT INTO complaint_statuses VALUES('18975','5661','7','12','81','WiFi device clean unit ok rs 4000 espance',null,'83','83','2021-05-05 17:50:39','2021-05-05 17:50:39',null);
INSERT INTO complaint_statuses VALUES('18976','5694','7','12','81','Oven theek hy xtenchion wire kamzor thi',null,'82','82','2021-05-06 04:22:54','2021-05-06 04:22:54',null);
INSERT INTO complaint_statuses VALUES('18977','5673','7','12','81','CUSOTMER KO 3 DIN SY CALL KR REHY HAIN ..CALL ATTNED NAHI KERTY ,A YE COMAPLINT EID K BD ATTEND HO GI',null,'79','79','2021-05-06 11:12:41','2021-05-06 11:12:41',null);
INSERT INTO complaint_statuses VALUES('18978','5423','7','24','81','phone nom ni hy',null,'80','80','2021-05-06 11:25:51','2021-05-06 11:25:51',null);
INSERT INTO complaint_statuses VALUES('18979','5742','3',null,'53',null,'06-MAY-2021
COM NO 301121718','92','92','2021-05-06 11:32:13','2021-05-06 16:17:17',null);
INSERT INTO complaint_statuses VALUES('18980','5743','2',null,'81',null,'06-MAY-2021
COM FF TO AZHAR FCI','92','92','2021-05-06 11:40:25','2021-05-06 11:40:25',null);
INSERT INTO complaint_statuses VALUES('18981','5744','3',null,'73',null,'06-MAY-2021
COM NO 4576','92','92','2021-05-06 11:50:51','2021-05-06 16:42:27',null);
INSERT INTO complaint_statuses VALUES('18982','5745','3',null,'53',null,'06-MAY-2021
COM NO 301121722','92','92','2021-05-06 11:58:29','2021-05-06 16:24:33',null);
INSERT INTO complaint_statuses VALUES('18983','5743','4',null,'60',null,null,'81','81','2021-05-06 12:05:36','2021-05-06 12:05:36',null);
INSERT INTO complaint_statuses VALUES('18984','5746','2',null,'81',null,'06-MAY-2021
COM FF TO USMAN SIR','92','92','2021-05-06 12:21:01','2021-05-06 12:21:01',null);
INSERT INTO complaint_statuses VALUES('18985','5747','2',null,'81',null,'06-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-06 12:24:37','2021-05-08 12:08:12',null);
INSERT INTO complaint_statuses VALUES('18986','5748','2',null,'81',null,'06-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-06 12:32:58','2021-05-06 12:32:58',null);
INSERT INTO complaint_statuses VALUES('18987','5749','2',null,'81',null,'06-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-06 13:07:00','2021-05-06 13:07:00',null);
INSERT INTO complaint_statuses VALUES('18988','5749','4',null,'62',null,null,'81','81','2021-05-06 13:07:37','2021-05-06 13:07:37',null);
INSERT INTO complaint_statuses VALUES('18989','5748','4',null,'55',null,null,'81','81','2021-05-06 13:07:47','2021-05-06 13:07:47',null);
INSERT INTO complaint_statuses VALUES('18990','5748','4',null,'55',null,null,'81','81','2021-05-06 13:07:47','2021-05-06 13:07:47',null);
INSERT INTO complaint_statuses VALUES('18991','5747','4',null,'63',null,null,'81','81','2021-05-06 13:07:59','2021-05-06 13:07:59',null);
INSERT INTO complaint_statuses VALUES('18992','5746','4',null,'61',null,null,'81','81','2021-05-06 13:08:09','2021-05-06 13:08:09',null);
INSERT INTO complaint_statuses VALUES('18993','5750','3',null,'53',null,'06-MAY-2021
COM NO 301121733','92','92','2021-05-06 13:43:57','2021-05-06 16:28:28',null);
INSERT INTO complaint_statuses VALUES('18994','5751','3',null,'65',null,'06-MAY-2021
COM NO 192122169','92','74','2021-05-06 13:54:28','2021-05-08 11:26:22',null);
INSERT INTO complaint_statuses VALUES('18995','5712','7','22','81','TIMER',null,'87','87','2021-05-06 14:01:43','2021-05-06 14:01:43',null);
INSERT INTO complaint_statuses VALUES('18996','5752','3',null,'53',null,'06-MAY-2021
COM NO 301121720','92','92','2021-05-06 14:05:18','2021-05-06 16:20:59',null);
INSERT INTO complaint_statuses VALUES('18997','5753','2',null,'81',null,'06-MAY-2021
COM FF TO NADEEM SIR','92','92','2021-05-06 14:14:12','2021-05-06 14:14:12',null);
INSERT INTO complaint_statuses VALUES('18998','5754','3',null,'54',null,'06-MAY-2021
COM NO 1867876','92','92','2021-05-06 14:22:13','2021-05-06 14:26:17',null);
INSERT INTO complaint_statuses VALUES('18999','5755','2',null,'81',null,'06-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-06 14:52:00','2021-05-06 14:52:00',null);
INSERT INTO complaint_statuses VALUES('19000','5756','3',null,'52',null,'06-MAY-2021
COM NO PKRI-210506108356','92','92','2021-05-06 15:00:49','2021-05-06 15:06:55',null);
INSERT INTO complaint_statuses VALUES('19001','5757','3',null,'53',null,'06-MAY-2021
COM NO 301121735','92','92','2021-05-06 15:20:22','2021-05-06 16:33:07',null);
INSERT INTO complaint_statuses VALUES('19002','5758','3',null,'65',null,'06-MAY-2021
COM NO 192122178','92','92','2021-05-06 15:28:13','2021-05-06 15:29:45',null);
INSERT INTO complaint_statuses VALUES('19003','5759','2',null,'81',null,'06-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-06 15:39:27','2021-05-06 15:39:27',null);
INSERT INTO complaint_statuses VALUES('19004','5760','3',null,'56',null,'06-MAY-2021
COM NO 306/024','92','92','2021-05-06 15:50:53','2021-05-06 15:50:53',null);
INSERT INTO complaint_statuses VALUES('19005','5749','7','12','81','ANEEQ 500',null,'87','87','2021-05-06 15:51:47','2021-05-06 15:51:47',null);
INSERT INTO complaint_statuses VALUES('19006','5761','3',null,'52',null,'06-MAY-2021
COM NO PKRI-210506109160','92','92','2021-05-06 16:01:27','2021-05-06 16:12:10',null);
INSERT INTO complaint_statuses VALUES('19007','5762','2',null,'81',null,'06-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-06 17:02:58','2021-05-06 17:02:58',null);
INSERT INTO complaint_statuses VALUES('19008','5762','4',null,'62',null,null,'81','81','2021-05-06 17:10:30','2021-05-06 17:10:30',null);
INSERT INTO complaint_statuses VALUES('19009','5759','4',null,'55',null,null,'81','81','2021-05-06 17:10:47','2021-05-06 17:10:47',null);
INSERT INTO complaint_statuses VALUES('19010','5755','4',null,'58',null,null,'81','81','2021-05-06 17:10:56','2021-05-06 17:10:56',null);
INSERT INTO complaint_statuses VALUES('19011','5753','4',null,'59',null,null,'81','81','2021-05-06 17:11:07','2021-05-06 17:11:07',null);
INSERT INTO complaint_statuses VALUES('19012','5763','3',null,'54',null,'06-MAY-2021
COM NO 643780','92','92','2021-05-06 17:15:10','2021-05-08 10:59:03',null);
INSERT INTO complaint_statuses VALUES('19013','5764','2',null,'81',null,'06-MAY-2021
COM FF TO AZHAR SIR','92','92','2021-05-06 17:17:58','2021-05-06 17:17:58',null);
INSERT INTO complaint_statuses VALUES('19014','5764','4',null,'60',null,null,'81','81','2021-05-06 17:21:50','2021-05-06 17:21:50',null);
INSERT INTO complaint_statuses VALUES('19015','5703','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-07 10:56:01','2021-05-07 10:56:01',null);
INSERT INTO complaint_statuses VALUES('19016','5696','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-07 10:58:44','2021-05-07 10:58:44',null);
INSERT INTO complaint_statuses VALUES('19017','5736','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-07 11:06:11','2021-05-07 11:06:11',null);
INSERT INTO complaint_statuses VALUES('19018','5765','3',null,'65',null,'07-MAY-2021
COMPLAINT#192122200','74','74','2021-05-07 11:12:17','2021-05-07 11:12:17',null);
INSERT INTO complaint_statuses VALUES('19019','5615','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-07 11:26:41','2021-05-07 11:26:41',null);
INSERT INTO complaint_statuses VALUES('19020','5743','7','12','81','Tariq ny repleced kar dia hy',null,'82','82','2021-05-07 11:27:26','2021-05-07 11:27:26',null);
INSERT INTO complaint_statuses VALUES('19021','5766','3',null,'52',null,'07-MAY 2021
COMPLAINT#PKRI-1210507104019','74','74','2021-05-07 12:23:47','2021-05-07 12:23:47',null);
INSERT INTO complaint_statuses VALUES('19022','5767','3',null,'52',null,'07-MAY-2021
COMPLAINT#PKRI-1210507104310','74','74','2021-05-07 12:28:38','2021-05-07 12:28:38',null);
INSERT INTO complaint_statuses VALUES('19023','5768','3',null,'52',null,'07-MAY-2021
COMPLAINT|#PKRI-210507104572','74','92','2021-05-07 12:45:26','2021-05-30 12:25:00',null);
INSERT INTO complaint_statuses VALUES('19024','5769','3',null,'52',null,'07-MAY-2021
COMPLAINT#PKRI-210507104629
NEW COMPLAINT#PKRI 201519107358
03105068546  shahid taction','74','92','2021-05-07 12:47:45','2021-05-31 17:01:01',null);
INSERT INTO complaint_statuses VALUES('19025','5770','3',null,'54',null,'07-MAY-2021
COMPLAINT#1867876','74','74','2021-05-07 12:52:31','2021-05-07 12:52:31',null);
INSERT INTO complaint_statuses VALUES('19026','5771','3',null,'52',null,'07-MAY-2021
COMPLAINT#PKRI-21057105570','74','74','2021-05-07 13:47:32','2021-05-07 13:47:32',null);
INSERT INTO complaint_statuses VALUES('19027','5772','2',null,'81',null,'07-MAY-2021
FF TO KHURRAM 5 STAR','74','74','2021-05-07 13:52:37','2021-05-07 13:52:37',null);
INSERT INTO complaint_statuses VALUES('19028','5772','4',null,'63',null,null,'81','81','2021-05-07 13:53:25','2021-05-07 13:53:25',null);
INSERT INTO complaint_statuses VALUES('19029','5773','2',null,'81',null,'07-MAY-2021
FF TO HOME SOLUTION','74','74','2021-05-07 14:12:40','2021-05-07 14:12:40',null);
INSERT INTO complaint_statuses VALUES('19030','5623','7','12','81','Gas Recharged',null,'76','76','2021-05-07 14:13:26','2021-05-07 14:13:26',null);
INSERT INTO complaint_statuses VALUES('19031','5773','4',null,'62',null,null,'81','81','2021-05-07 14:13:55','2021-05-07 14:13:55',null);
INSERT INTO complaint_statuses VALUES('19032','5774','3',null,'53',null,'07-MAY-2021
COMPLAINT#1122036','74','74','2021-05-07 14:19:21','2021-05-07 14:19:21',null);
INSERT INTO complaint_statuses VALUES('19033','5749','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-07 14:23:34','2021-05-07 14:31:47',null);
INSERT INTO complaint_statuses VALUES('19034','5743','8','23','60','YHA CUSTOMER SA CLEAR KAR K FIR COMPLAINT OMPLETED KIJAY',null,'81','81','2021-05-07 14:27:59','2021-05-07 14:27:59',null);
INSERT INTO complaint_statuses VALUES('19035','5712','8','23','62','JOB COMPLETED QUKILEY',null,'81','81','2021-05-07 14:29:35','2021-05-07 14:29:35',null);
INSERT INTO complaint_statuses VALUES('19036','5699','7','22','81','COMP',null,'87','87','2021-05-07 14:35:31','2021-05-07 14:35:31',null);
INSERT INTO complaint_statuses VALUES('19037','5699','8','23','62','OK JOB COMPLETED QUKILY',null,'81','81','2021-05-07 16:04:48','2021-05-07 16:04:48',null);
INSERT INTO complaint_statuses VALUES('19038','5699','7','12','81','ISSUE RESOLVED, GAS CHARGED + COMP',null,'87','87','2021-05-07 16:06:01','2021-05-07 16:06:01',null);
INSERT INTO complaint_statuses VALUES('19039','5702','7','22','81','lightmarkit mein avialbe nahi hai..is light sy ki jagh ni lag sakti sb jahag try kr lya hai,',null,'79','79','2021-05-08 10:11:35','2021-05-08 10:11:35',null);
INSERT INTO complaint_statuses VALUES('19040','5506','7','12','81','ye i 10 ly kr aye gain..yahan sy complaint closed kr jb ly kr aye tb abna dein',null,'79','79','2021-05-08 10:18:11','2021-05-08 10:18:11',null);
INSERT INTO complaint_statuses VALUES('19041','5775','3',null,'52',null,'08-MAY-2021
COM NO PKRI-210508106080','92','92','2021-05-08 11:02:51','2021-05-08 15:20:29',null);
INSERT INTO complaint_statuses VALUES('19042','5776','2',null,'81',null,'08-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-08 11:10:39','2021-05-08 11:10:39',null);
INSERT INTO complaint_statuses VALUES('19043','5689','7','24','81','Frezer i10 servos center hy',null,'82','82','2021-05-08 11:19:43','2021-05-08 11:19:43',null);
INSERT INTO complaint_statuses VALUES('19044','5777','3',null,'52',null,'08-MAY-2021
COM NO PKRI-210508106014','92','92','2021-05-08 11:28:22','2021-05-08 15:12:14',null);
INSERT INTO complaint_statuses VALUES('19045','5699','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-08 11:29:42','2021-05-08 12:21:45',null);
INSERT INTO complaint_statuses VALUES('19046','5694','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-08 11:34:15','2021-05-08 12:22:18',null);
INSERT INTO complaint_statuses VALUES('19047','5689','8','23','60','OK JOB COMPLETED QUKILY',null,'81','81','2021-05-08 11:34:52','2021-05-08 11:34:52',null);
INSERT INTO complaint_statuses VALUES('19048','5776','4',null,'58',null,null,'81','81','2021-05-08 11:35:41','2021-05-08 11:35:41',null);
INSERT INTO complaint_statuses VALUES('19049','5673','8','23','58','OTHER#03315446994  IC NO PA CALL KAR K AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-05-08 11:36:55','2021-05-08 11:36:55',null);
INSERT INTO complaint_statuses VALUES('19050','5498','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-08 11:42:22','2021-05-08 12:22:50',null);
INSERT INTO complaint_statuses VALUES('19051','5778','3',null,'52',null,'08-MAY-2021
COM NO PKRI-21050810606049','92','92','2021-05-08 11:58:58','2021-05-08 15:20:09',null);
INSERT INTO complaint_statuses VALUES('19052','5678','8','23','56','45 DAYS TAQ AGR WARRANTY CARD FRIENDS NA AP KO PROVIDE KAR DIA FIR FRIENDS EXP PAY NAI KARAY GEI 
R AGAR NA DIA FIR WARRANTY CARD FIR FRIENDS PAY KARAY GEI',null,'81','81','2021-05-08 12:01:21','2021-05-08 12:01:21',null);
INSERT INTO complaint_statuses VALUES('19053','5779','3',null,'52',null,'08-MAY-2021
COM NO PKRI-210508106101','92','92','2021-05-08 12:09:41','2021-05-08 15:20:57',null);
INSERT INTO complaint_statuses VALUES('19054','5780','2',null,'81',null,'08-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-08 12:22:43','2021-05-08 12:22:43',null);
INSERT INTO complaint_statuses VALUES('19055','5735','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-08 12:25:14','2021-05-08 12:25:14',null);
INSERT INTO complaint_statuses VALUES('19056','5780','4',null,'62',null,null,'81','81','2021-05-08 12:29:02','2021-05-08 12:29:02',null);
INSERT INTO complaint_statuses VALUES('19057','5781','3',null,'54',null,'08-MAY-2021
COM NO 643990','92','92','2021-05-08 12:35:43','2021-05-08 12:39:23',null);
INSERT INTO complaint_statuses VALUES('19058','5733','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-08 12:39:26','2021-05-08 12:39:26',null);
INSERT INTO complaint_statuses VALUES('19059','5708','8','23','61','CUSTOMER NA IST COMPLIANT 0800 WALAY NO PA KARWAI THI SZ NA ATTEND KAR K ISSUE RESOLVED KAR DIA TH A
AB AGAIN COMPLINT FRIENDS PA AAI HAIN SO KINDLY CUSTOMER SA CONTACT KAR K VISIT ARRANGE KARWAY',null,'81','81','2021-05-08 12:48:39','2021-05-08 12:48:39',null);
INSERT INTO complaint_statuses VALUES('19060','5661','5','15',null,'COMPLETED COMPLAINT 
TASK # MOSHIN KO FF KAR DIA HAIN 
CHARGES CONFIRM KARNAY K LIYA','COMPLAINT RESOLVED','81','74','2021-05-08 12:50:05','2021-05-08 12:52:06',null);
INSERT INTO complaint_statuses VALUES('19061','5423','8','23','59','NAME AHSAN SAB 
CELL# 0311-3110013 IN SA CONTACT KAR LAY',null,'81','81','2021-05-08 12:51:07','2021-05-08 12:51:07',null);
INSERT INTO complaint_statuses VALUES('19062','5782','3',null,'54',null,'08-MAY-2021
COM NO 644016
NEW  COMPLAINT#1872118','92','74','2021-05-08 12:56:06','2021-05-18 14:21:18',null);
INSERT INTO complaint_statuses VALUES('19063','5728','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-08 12:57:04','2021-05-08 12:57:04',null);
INSERT INTO complaint_statuses VALUES('19064','5731','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-08 13:01:31','2021-05-08 13:01:31',null);
INSERT INTO complaint_statuses VALUES('19065','5641','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-08 13:03:11','2021-05-08 13:03:11',null);
INSERT INTO complaint_statuses VALUES('19066','5732','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-08 13:07:50','2021-05-08 13:07:50',null);
INSERT INTO complaint_statuses VALUES('19067','5784','3',null,'55',null,'08-MAY-2021
COM NO  0912264331 
PESHWAR S/C NO','92','92','2021-05-08 13:27:10','2021-05-11 12:37:28',null);
INSERT INTO complaint_statuses VALUES('19068','5751','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-08 13:53:44','2021-05-08 13:53:44',null);
INSERT INTO complaint_statuses VALUES('19069','5785','3',null,'61',null,'08-MAY-2021
COM NO 202105004919','92','92','2021-05-08 13:56:19','2021-05-08 15:46:19',null);
INSERT INTO complaint_statuses VALUES('19070','5786','2',null,'81',null,'08-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-08 14:18:05','2021-05-11 12:12:55',null);
INSERT INTO complaint_statuses VALUES('19071','5786','4',null,'58',null,null,'81','81','2021-05-08 14:20:33','2021-05-08 14:20:33',null);
INSERT INTO complaint_statuses VALUES('19072','5717','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-08 14:31:21','2021-05-08 14:31:21',null);
INSERT INTO complaint_statuses VALUES('19073','5787','2',null,'81',null,'08-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-08 14:31:37','2021-05-08 14:31:37',null);
INSERT INTO complaint_statuses VALUES('19074','5755','7','22','81','pcb faulty hai customer change kerwana chat hia,cusotmer ko bat adya hai crad nwe lg sakta hai chnage nahi ho ga',null,'79','79','2021-05-08 14:33:22','2021-05-08 14:33:22',null);
INSERT INTO complaint_statuses VALUES('19075','5788','3',null,'53',null,'08-MAY-2021
COM NO 301122342','92','92','2021-05-08 14:41:07','2021-05-08 14:44:43',null);
INSERT INTO complaint_statuses VALUES('19076','5789','2',null,'81',null,'08-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-08 14:52:13','2021-05-11 15:43:45',null);
INSERT INTO complaint_statuses VALUES('19077','5789','4',null,'62',null,null,'81','81','2021-05-08 14:54:02','2021-05-08 14:54:02',null);
INSERT INTO complaint_statuses VALUES('19078','5787','4',null,'55',null,null,'81','81','2021-05-08 14:54:22','2021-05-08 14:54:22',null);
INSERT INTO complaint_statuses VALUES('19079','5790','3',null,'53',null,'08-MAY-2021
COM NO 301122345','92','92','2021-05-08 15:04:07','2021-05-08 15:05:40',null);
INSERT INTO complaint_statuses VALUES('19080','5791','3',null,'52',null,'08-MAY-2021
COM NO PKRI-210508106696','92','92','2021-05-08 15:52:54','2021-05-11 11:34:46',null);
INSERT INTO complaint_statuses VALUES('19081','5776','7','12','81','complian resolved,darain issue',null,'79','79','2021-05-09 10:49:54','2021-05-09 10:49:54',null);
INSERT INTO complaint_statuses VALUES('19082','5565','7','12','81','complaint resolved',null,'79','79','2021-05-09 10:50:27','2021-05-09 10:50:27',null);
INSERT INTO complaint_statuses VALUES('19083','5660','7','12','81','compliant rsolved',null,'79','79','2021-05-09 10:51:12','2021-05-09 10:51:12',null);
INSERT INTO complaint_statuses VALUES('19084','5792','3',null,'54',null,'REQUEST#644825','92','92','2021-05-09 11:17:06','2021-05-09 14:17:05',null);
INSERT INTO complaint_statuses VALUES('19085','5793','3',null,'84',null,'COMPLAINt#762352','92','92','2021-05-09 11:24:21','2021-05-09 11:55:58',null);
INSERT INTO complaint_statuses VALUES('19086','5794','2',null,'81',null,null,'92','92','2021-05-09 12:50:35','2021-05-09 12:50:35',null);
INSERT INTO complaint_statuses VALUES('19087','5794','4',null,'55',null,null,'81','81','2021-05-09 12:53:58','2021-05-09 12:53:58',null);
INSERT INTO complaint_statuses VALUES('19088','5795','2',null,'81',null,null,'92','92','2021-05-09 14:28:47','2021-05-09 14:28:47',null);
INSERT INTO complaint_statuses VALUES('19089','5795','4',null,'56',null,null,'81','81','2021-05-09 14:29:09','2021-05-09 14:29:09',null);
INSERT INTO complaint_statuses VALUES('19090','5796','3',null,'52',null,'COMPLAINT#PKRI210509104909','92','92','2021-05-09 15:06:23','2021-05-09 15:06:23',null);
INSERT INTO complaint_statuses VALUES('19091','5689','7','12','81','Frezer custmer ky ghr phonch gea hy',null,'82','82','2021-05-10 11:05:47','2021-05-10 11:05:47',null);
INSERT INTO complaint_statuses VALUES('19092','5439','7','12','81','H',null,'82','82','2021-05-10 11:06:57','2021-05-10 11:06:57',null);
INSERT INTO complaint_statuses VALUES('19093','5678','7','12','81','Unit ok and hand over to customer. Pls close the job',null,'77','77','2021-05-10 11:25:27','2021-05-10 11:25:27',null);
INSERT INTO complaint_statuses VALUES('19094','5331','7','12','81','Closed the job customer not attending the call',null,'77','77','2021-05-10 11:27:01','2021-05-10 11:27:01',null);
INSERT INTO complaint_statuses VALUES('19095','5330','7','12','81','Closed the job customer not attending the call',null,'77','77','2021-05-10 11:27:40','2021-05-10 11:27:40',null);
INSERT INTO complaint_statuses VALUES('19096','5797','3',null,'55',null,'10-MAY-2021
FF TO WAQAR KEWOOD','74','74','2021-05-10 11:32:03','2021-05-10 11:32:03',null);
INSERT INTO complaint_statuses VALUES('19097','5629','7','12','81','complaint resoled.gas charge and sensor change',null,'79','79','2021-05-10 11:44:13','2021-05-10 11:44:13',null);
INSERT INTO complaint_statuses VALUES('19098','5512','7','12','81','gs chrged and condensor change,complint resolved',null,'79','79','2021-05-10 11:45:10','2021-05-10 11:45:10',null);
INSERT INTO complaint_statuses VALUES('19099','5776','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-05-10 11:49:44','2021-05-10 11:49:44',null);
INSERT INTO complaint_statuses VALUES('19100','5689','5','15',null,'COMPLETED COMPLAINT','COMPLAINT  RESOLVED','81','74','2021-05-10 11:52:00','2021-05-10 11:55:07',null);
INSERT INTO complaint_statuses VALUES('19101','5738','7','10','81','Fon nhi utha rahy',null,'82','82','2021-05-10 12:13:36','2021-05-10 12:13:36',null);
INSERT INTO complaint_statuses VALUES('19102','5798','3',null,'65',null,'10-MAY-2021
COMPLAINT#192122247
NEW COMPLAINT#192122319','74','74','2021-05-10 12:46:07','2021-05-19 11:42:06',null);
INSERT INTO complaint_statuses VALUES('19103','5799','3',null,'53',null,'10-MAY-2021
COMPLAINT#30112274','74','74','2021-05-10 13:39:41','2021-05-10 13:39:41',null);
INSERT INTO complaint_statuses VALUES('19104','5800','3',null,'53',null,'10-MAY-2021
COMPLAINT#1122679','74','74','2021-05-10 14:04:48','2021-05-10 14:04:48',null);
INSERT INTO complaint_statuses VALUES('19105','5801','3',null,'53',null,'10 MAY-2021
COMPLAINT#3011226847','74','73','2021-05-10 14:27:00','2021-05-22 14:21:41',null);
INSERT INTO complaint_statuses VALUES('19106','5802','3',null,'52',null,'10-MAY-2021
COMPLAINT#PKRI-210510105414','74','74','2021-05-10 14:35:32','2021-05-10 14:35:32',null);
INSERT INTO complaint_statuses VALUES('19107','5803','3',null,'52',null,'10-MAY-2021
COMPLAINT#PKRI-210510105577','74','74','2021-05-10 14:50:58','2021-05-10 14:50:58',null);
INSERT INTO complaint_statuses VALUES('19108','5804','2',null,'81',null,'10-MAY-2021
FF TO AZHAR FCI','74','74','2021-05-10 15:11:52','2021-05-10 15:11:52',null);
INSERT INTO complaint_statuses VALUES('19109','5804','4',null,'60',null,null,'81','81','2021-05-10 15:12:58','2021-05-10 15:12:58',null);
INSERT INTO complaint_statuses VALUES('19110','5330','5','15',null,'CUSTOMER NOT ATTEND CALL','COMPLAINT REOPEND','81','74','2021-05-11 10:59:11','2021-05-19 14:32:01',null);
INSERT INTO complaint_statuses VALUES('19111','5331','5','15',null,'CUSTOMER NOT ATTEND CALL','REOPEND COMPLAINT SET KHALID SAB KA S/C MAN HAIN','81','74','2021-05-11 10:59:38','2021-05-19 14:29:59',null);
INSERT INTO complaint_statuses VALUES('19112','5512','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-05-11 11:13:48','2021-05-11 11:29:36',null);
INSERT INTO complaint_statuses VALUES('19113','5565','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-05-11 11:15:39','2021-05-11 11:29:59',null);
INSERT INTO complaint_statuses VALUES('19114','5623','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-05-11 11:17:03','2021-05-11 11:30:28',null);
INSERT INTO complaint_statuses VALUES('19115','5629','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-05-11 11:19:20','2021-05-11 11:30:53',null);
INSERT INTO complaint_statuses VALUES('19116','5660','5','15',null,'CUSTOMER NOT ATTEND CALL','COMPLAINT RESOLVED','81','74','2021-05-11 11:24:25','2021-05-17 11:01:01',null);
INSERT INTO complaint_statuses VALUES('19117','5678','5','15',null,'CUSTOMER NOT ATTEND CALL','COMPLAINT RESOLVED','81','74','2021-05-11 11:27:28','2021-05-17 11:00:02',null);
INSERT INTO complaint_statuses VALUES('19118','5779','5',null,null,'COMPLAINT RESOLVED',null,'92','92','2021-05-11 11:42:57','2021-05-11 11:42:57',null);
INSERT INTO complaint_statuses VALUES('19119','5781','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-11 11:43:35','2021-05-11 11:43:35',null);
INSERT INTO complaint_statuses VALUES('19120','5777','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-11 11:46:53','2021-05-11 11:46:53',null);
INSERT INTO complaint_statuses VALUES('19121','5805','2',null,'81',null,'11-APR-2021
COM FF TO BEST COOL','92','92','2021-05-11 13:58:17','2021-05-11 13:58:17',null);
INSERT INTO complaint_statuses VALUES('19122','5805','4',null,'58',null,null,'81','81','2021-05-11 14:00:21','2021-05-11 14:00:21',null);
INSERT INTO complaint_statuses VALUES('19123','5806','3',null,'81',null,'07-APR-2021
COM NO 288','92','92','2021-05-11 14:21:36','2021-05-17 10:41:11',null);
INSERT INTO complaint_statuses VALUES('19124','5807','2',null,'81',null,'11-MAY-2021
COM FF TO USMAN SIR','92','92','2021-05-11 15:54:33','2021-05-11 15:54:33',null);
INSERT INTO complaint_statuses VALUES('19125','5807','4',null,'61',null,null,'81','81','2021-05-11 15:56:50','2021-05-11 15:56:50',null);
INSERT INTO complaint_statuses VALUES('19126','5808','2',null,'81',null,'11-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-11 16:03:03','2021-05-11 16:03:03',null);
INSERT INTO complaint_statuses VALUES('19127','5808','4',null,'58',null,null,'81','81','2021-05-11 16:04:41','2021-05-11 16:04:41',null);
INSERT INTO complaint_statuses VALUES('19128','5789','7','12','81','Task no 5554
Resolved',null,'87','87','2021-05-11 18:29:08','2021-05-11 18:29:08',null);
INSERT INTO complaint_statuses VALUES('19129','5519','7','12','81','complaint  resolved',null,'79','79','2021-05-17 10:23:24','2021-05-17 10:23:24',null);
INSERT INTO complaint_statuses VALUES('19130','5775','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-17 10:58:23','2021-05-17 10:58:23',null);
INSERT INTO complaint_statuses VALUES('19131','5809','2',null,'81',null,'17-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-17 11:00:01','2021-05-17 11:00:01',null);
INSERT INTO complaint_statuses VALUES('19132','5810','3',null,'54',null,'17-MAY-2021
COM NO 1869636','92','92','2021-05-17 11:14:54','2021-05-17 11:21:08',null);
INSERT INTO complaint_statuses VALUES('19133','5792','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 11:17:57','2021-05-17 11:17:57',null);
INSERT INTO complaint_statuses VALUES('19134','5738','8','23','60','AGAIN TRY KARAY',null,'81','81','2021-05-17 11:19:18','2021-05-17 11:19:18',null);
INSERT INTO complaint_statuses VALUES('19135','5811','3',null,'52',null,'17-MAY-2021
COM NO PKRI-210517108762','92','92','2021-05-17 11:22:41','2021-05-17 16:32:06',null);
INSERT INTO complaint_statuses VALUES('19136','5790','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-17 11:25:32','2021-05-17 11:25:32',null);
INSERT INTO complaint_statuses VALUES('19137','5439','8','23','60','CUSTOMER SA BAT HOI HAIN WO BOL RAHAY HAIN K KISE NA B VISIT NAI KIYA .
JAB COMPLAINT ATTEND NAI HOI TU COMPLETED Q KI',null,'81','81','2021-05-17 11:26:23','2021-05-17 11:26:23',null);
INSERT INTO complaint_statuses VALUES('19138','5506','5','15',null,'IQBAL SAB SA BAT HO GEI HAIN AIR COOLER OK KARWA KA SALE B KAR DIA COMPLAINT CLOSED','COMPLAINT RESOLVED','81','74','2021-05-17 11:33:50','2021-05-17 11:41:43',null);
INSERT INTO complaint_statuses VALUES('19139','5716','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-17 11:35:15','2021-05-17 11:35:15',null);
INSERT INTO complaint_statuses VALUES('19140','5719','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 11:37:23','2021-05-17 11:37:23',null);
INSERT INTO complaint_statuses VALUES('19141','5803','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 11:39:45','2021-05-17 11:39:45',null);
INSERT INTO complaint_statuses VALUES('19142','5519','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-17 11:40:34','2021-05-17 11:41:17',null);
INSERT INTO complaint_statuses VALUES('19143','5797','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 11:47:42','2021-05-17 11:47:42',null);
INSERT INTO complaint_statuses VALUES('19144','5812','3',null,'53',null,'17-MAY-2021
COM NO 1123265','92','92','2021-05-17 11:48:06','2021-05-17 11:48:06',null);
INSERT INTO complaint_statuses VALUES('19145','5789','8','23','62','HOOD KI AGAIN COMPLAINT AAI HAIN .
KINDLY CUSTOMER SA CONTACT KAR K ISSUE RESOLVED KARWAY',null,'81','81','2021-05-17 11:48:54','2021-05-17 11:48:54',null);
INSERT INTO complaint_statuses VALUES('19146','5802','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 11:50:04','2021-05-17 11:50:04',null);
INSERT INTO complaint_statuses VALUES('19147','5813','3',null,'65',null,'17-MAY-2021
COM NO 192122275','92','92','2021-05-17 11:55:50','2021-05-17 11:55:50',null);
INSERT INTO complaint_statuses VALUES('19148','5800','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 12:06:06','2021-05-17 12:06:06',null);
INSERT INTO complaint_statuses VALUES('19149','5814','2',null,'81',null,'17-MAY-2021
COM NO 1869790','92','92','2021-05-17 12:07:36','2021-05-17 12:10:12',null);
INSERT INTO complaint_statuses VALUES('19150','5814','4',null,'64',null,null,'81','81','2021-05-17 12:16:47','2021-05-17 12:16:47',null);
INSERT INTO complaint_statuses VALUES('19151','5809','4',null,'63',null,null,'81','81','2021-05-17 12:17:10','2021-05-17 12:17:10',null);
INSERT INTO complaint_statuses VALUES('19152','5783','2',null,'81',null,null,'92','92','2021-05-17 12:17:32','2021-05-17 12:17:32',null);
INSERT INTO complaint_statuses VALUES('19153','5783','4',null,'64',null,null,'81','81','2021-05-17 12:17:49','2021-05-17 12:17:49',null);
INSERT INTO complaint_statuses VALUES('19154','5784','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 12:34:28','2021-05-17 12:34:28',null);
INSERT INTO complaint_statuses VALUES('19155','5815','3',null,'66',null,'17-MAY-2021
COM NO PK-051720210120','92','92','2021-05-17 12:36:09','2021-05-17 12:41:20',null);
INSERT INTO complaint_statuses VALUES('19156','5816','2',null,'81',null,'17-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-17 12:39:46','2021-05-17 12:39:46',null);
INSERT INTO complaint_statuses VALUES('19157','5785','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 12:40:08','2021-05-17 12:40:08',null);
INSERT INTO complaint_statuses VALUES('19158','5817','3',null,'52',null,'17-MAY-2021
COM NO PKRI-210517108812','92','92','2021-05-17 12:53:59','2021-05-17 16:35:03',null);
INSERT INTO complaint_statuses VALUES('19159','5818','3',null,'53',null,'17-MAY-2021
COM NO 1123745
2nd COM NO 1123749
3rd COM NO 1123752
4rd COM NO 1123756
5th COM NO 1123758','92','92','2021-05-17 13:03:40','2021-05-17 16:26:31',null);
INSERT INTO complaint_statuses VALUES('19160','5819','2',null,'81',null,'17-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-17 13:12:57','2021-05-17 13:12:57',null);
INSERT INTO complaint_statuses VALUES('19161','5820','2',null,'81',null,'17-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-17 13:25:31','2021-05-17 13:25:31',null);
INSERT INTO complaint_statuses VALUES('19162','5820','4',null,'58',null,null,'81','81','2021-05-17 13:26:15','2021-05-17 13:26:15',null);
INSERT INTO complaint_statuses VALUES('19163','5819','4',null,'55',null,null,'81','81','2021-05-17 13:26:27','2021-05-17 13:26:27',null);
INSERT INTO complaint_statuses VALUES('19164','5816','4',null,'62',null,null,'81','81','2021-05-17 13:26:35','2021-05-17 13:26:35',null);
INSERT INTO complaint_statuses VALUES('19165','5821','3',null,'52',null,'17-MAY-2021
COM NO PKRI-210517108853','92','92','2021-05-17 13:38:31','2021-05-17 16:37:22',null);
INSERT INTO complaint_statuses VALUES('19166','5765','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 13:40:58','2021-05-17 13:40:58',null);
INSERT INTO complaint_statuses VALUES('19167','5760','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 13:42:59','2021-05-17 13:42:59',null);
INSERT INTO complaint_statuses VALUES('19168','5761','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-17 13:44:35','2021-05-17 13:44:35',null);
INSERT INTO complaint_statuses VALUES('19169','5794','7','12','81','condenser fan adjustment.',null,'76','76','2021-05-17 13:52:15','2021-05-17 13:52:15',null);
INSERT INTO complaint_statuses VALUES('19170','5748','7','26','81','Local Repaired',null,'76','76','2021-05-17 13:52:46','2021-05-17 13:52:46',null);
INSERT INTO complaint_statuses VALUES('19171','5787','7','26','81','Local Repaired',null,'76','76','2021-05-17 13:53:04','2021-05-17 13:53:04',null);
INSERT INTO complaint_statuses VALUES('19172','5373','7','26','81','Customer not Answering calls .',null,'76','76','2021-05-17 13:55:03','2021-05-17 13:55:03',null);
INSERT INTO complaint_statuses VALUES('19173','5742','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 14:03:37','2021-05-17 14:03:37',null);
INSERT INTO complaint_statuses VALUES('19174','5822','3',null,'57',null,'17-MAY-2021
COM NO 18093','92','92','2021-05-17 14:06:44','2021-05-17 16:49:39',null);
INSERT INTO complaint_statuses VALUES('19175','5737','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 14:10:27','2021-05-17 14:10:27',null);
INSERT INTO complaint_statuses VALUES('19176','5794','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-17 14:12:12','2021-05-17 14:15:22',null);
INSERT INTO complaint_statuses VALUES('19177','5823','2',null,'81',null,'17-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-17 14:14:19','2021-05-17 14:14:19',null);
INSERT INTO complaint_statuses VALUES('19178','5787','5','15',null,'CUSTOMER KA ISSUE KHUD SA HI RESOLVED HO GAYA  COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-05-17 14:14:23','2021-05-17 14:15:53',null);
INSERT INTO complaint_statuses VALUES('19179','5748','5','15',null,'CUSTOMER NA LOKAL TECHNICIAN SA ISSUE RESOLVED KARWA LITYA','COMPLAINT RESOLVED','81','74','2021-05-17 14:17:57','2021-05-17 14:23:40',null);
INSERT INTO complaint_statuses VALUES('19180','5824','2',null,'81',null,'17-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-17 14:18:20','2021-05-17 14:18:20',null);
INSERT INTO complaint_statuses VALUES('19181','5685','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 14:18:48','2021-05-17 14:18:48',null);
INSERT INTO complaint_statuses VALUES('19182','5825','3',null,'81',null,'17-MAY-2021
COM NO 292','92','92','2021-05-17 14:31:52','2021-05-18 10:44:49',null);
INSERT INTO complaint_statuses VALUES('19183','5604','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 14:32:49','2021-05-17 14:32:49',null);
INSERT INTO complaint_statuses VALUES('19184','5449','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 14:35:50','2021-05-17 14:35:50',null);
INSERT INTO complaint_statuses VALUES('19185','5826','2',null,'81',null,'17-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-17 14:40:41','2021-05-17 14:40:41',null);
INSERT INTO complaint_statuses VALUES('19186','5826','4',null,'63',null,null,'81','81','2021-05-17 14:42:29','2021-05-17 14:42:29',null);
INSERT INTO complaint_statuses VALUES('19187','5824','4',null,'58',null,null,'81','81','2021-05-17 14:42:39','2021-05-17 14:42:39',null);
INSERT INTO complaint_statuses VALUES('19188','5823','4',null,'62',null,null,'81','81','2021-05-17 14:42:49','2021-05-17 14:42:49',null);
INSERT INTO complaint_statuses VALUES('19189','5827','3',null,'80',null,'17-MAY-2021
COM FF TO TAHIR SIEMENS','92','92','2021-05-17 14:53:20','2021-05-25 10:48:08',null);
INSERT INTO complaint_statuses VALUES('19190','5828','2',null,'81',null,'17-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-17 15:09:03','2021-05-17 15:09:03',null);
INSERT INTO complaint_statuses VALUES('19191','5828','4',null,'58',null,null,'81','81','2021-05-17 15:10:08','2021-05-17 15:10:08',null);
INSERT INTO complaint_statuses VALUES('19192','5829','2',null,'81',null,'17-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-17 15:17:33','2021-05-17 15:17:33',null);
INSERT INTO complaint_statuses VALUES('19193','5580','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 15:25:51','2021-05-17 15:25:51',null);
INSERT INTO complaint_statuses VALUES('19194','5573','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 15:29:42','2021-05-17 15:29:42',null);
INSERT INTO complaint_statuses VALUES('19195','5830','3',null,'52',null,'17-MAY-2021
COM NO PKRI-210517108892','92','92','2021-05-17 15:32:30','2021-05-17 16:39:59',null);
INSERT INTO complaint_statuses VALUES('19196','5754','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 15:33:02','2021-05-17 15:33:02',null);
INSERT INTO complaint_statuses VALUES('19197','5598','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 15:34:10','2021-05-17 15:34:10',null);
INSERT INTO complaint_statuses VALUES('19198','5831','3',null,'53',null,'17-MAY-2021
COM NO 301123737','92','92','2021-05-17 15:35:22','2021-05-17 16:13:13',null);
INSERT INTO complaint_statuses VALUES('19199','5373','5','15',null,'CUSTOMER STILL NOT ATTENDING CALL SO COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-05-17 15:36:27','2021-05-17 15:40:23',null);
INSERT INTO complaint_statuses VALUES('19200','5763','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 15:38:57','2021-05-17 15:38:57',null);
INSERT INTO complaint_statuses VALUES('19201','5832','2',null,'81',null,'17-MAY-2021
COM FF TO KHALID SONY','92','92','2021-05-17 15:40:03','2021-05-17 15:40:03',null);
INSERT INTO complaint_statuses VALUES('19202','5832','4',null,'56',null,null,'81','81','2021-05-17 15:41:08','2021-05-17 15:41:08',null);
INSERT INTO complaint_statuses VALUES('19203','5829','4',null,'58',null,null,'81','81','2021-05-17 15:41:19','2021-05-17 15:41:19',null);
INSERT INTO complaint_statuses VALUES('19204','5021','7','12','81','40N5300 k 2 set they 
main board repair set ok 
RS 5000',null,'80','80','2021-05-17 15:44:20','2021-05-17 15:44:20',null);
INSERT INTO complaint_statuses VALUES('19205','5770','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 15:45:55','2021-05-17 15:45:55',null);
INSERT INTO complaint_statuses VALUES('19206','5833','3',null,'54',null,'17-MAY-2021
COM NO 1870727','92','92','2021-05-17 16:03:07','2021-05-17 16:43:50',null);
INSERT INTO complaint_statuses VALUES('19207','5834','2',null,'81',null,'17-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-17 16:22:12','2021-05-17 16:22:12',null);
INSERT INTO complaint_statuses VALUES('19208','5835','2',null,'81',null,'17-MAY-2021
COM FF TO USMAN SIR','92','92','2021-05-17 17:07:18','2021-05-17 17:07:18',null);
INSERT INTO complaint_statuses VALUES('19209','5771','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 17:07:51','2021-05-17 17:07:51',null);
INSERT INTO complaint_statuses VALUES('19210','5835','4',null,'61',null,null,'81','81','2021-05-17 17:08:02','2021-05-17 17:08:02',null);
INSERT INTO complaint_statuses VALUES('19211','5834','4',null,'58',null,null,'81','81','2021-05-17 17:08:11','2021-05-17 17:08:11',null);
INSERT INTO complaint_statuses VALUES('19212','5767','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-17 17:10:12','2021-05-17 17:10:12',null);
INSERT INTO complaint_statuses VALUES('19213','5836','2',null,'81',null,'17-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-17 17:13:21','2021-05-17 17:13:21',null);
INSERT INTO complaint_statuses VALUES('19214','5837','3',null,'52',null,'17-MAY-2021
COM NOPKRI-210522108257','92','74','2021-05-17 17:18:09','2021-05-22 16:47:44',null);
INSERT INTO complaint_statuses VALUES('19215','5838','2',null,'81',null,'17-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-17 17:30:56','2021-05-17 17:30:56',null);
INSERT INTO complaint_statuses VALUES('19216','5839','3',null,'55',null,'17-MAY-2021
COM NO 764766
NEW COMPLAINT#768846','92','74','2021-05-17 17:34:39','2021-05-25 11:35:02',null);
INSERT INTO complaint_statuses VALUES('19217','5840','2',null,'81',null,'17-MAY-2021
COM FF TO AZHAR FCI','92','92','2021-05-17 17:42:16','2021-05-17 17:42:16',null);
INSERT INTO complaint_statuses VALUES('19218','5841','3',null,'59',null,'17-MAY-2021
COM NO 4245512306','92','92','2021-05-17 17:48:33','2021-05-19 11:03:01',null);
INSERT INTO complaint_statuses VALUES('19219','5712','7','12','81','Issue resolved','COMPLAINTRESOLVED','87','74','2021-05-18 09:06:41','2021-05-19 12:20:42',null);
INSERT INTO complaint_statuses VALUES('19220','5840','4',null,'60',null,null,'81','81','2021-05-18 10:41:25','2021-05-18 10:41:25',null);
INSERT INTO complaint_statuses VALUES('19221','5838','4',null,'62',null,null,'81','81','2021-05-18 10:41:34','2021-05-18 10:41:34',null);
INSERT INTO complaint_statuses VALUES('19222','5836','4',null,'58',null,null,'81','81','2021-05-18 10:41:54','2021-05-18 10:41:54',null);
INSERT INTO complaint_statuses VALUES('19223','5842','2',null,'81',null,'18-MAY-2021
COM NO E-18/005','92','92','2021-05-18 11:14:03','2021-05-18 11:16:47',null);
INSERT INTO complaint_statuses VALUES('19224','5843','3',null,'53',null,'18-MAY-2021
COM NO#301124993','92','74','2021-05-18 11:28:41','2021-05-19 12:33:57',null);
INSERT INTO complaint_statuses VALUES('19225','5844','2',null,'81',null,'18-MAY-2021
COM FF TO USMAN SIR','92','92','2021-05-18 11:38:42','2021-05-18 11:38:42',null);
INSERT INTO complaint_statuses VALUES('19226','5845','2',null,'81',null,'18-MAY-2021
FF TO AZHAR FCI','74','74','2021-05-18 11:41:17','2021-05-18 11:41:17',null);
INSERT INTO complaint_statuses VALUES('19227','5842','4',null,'64',null,null,'81','81','2021-05-18 11:42:18','2021-05-18 11:42:18',null);
INSERT INTO complaint_statuses VALUES('19228','5844','4',null,'61',null,null,'81','81','2021-05-18 11:42:28','2021-05-18 11:42:28',null);
INSERT INTO complaint_statuses VALUES('19229','5845','4',null,'60',null,null,'81','81','2021-05-18 11:42:37','2021-05-18 11:42:37',null);
INSERT INTO complaint_statuses VALUES('19230','5846','3',null,'54',null,'18-may-2021
com no 1871644','92','92','2021-05-18 11:54:32','2021-05-18 11:54:32',null);
INSERT INTO complaint_statuses VALUES('19231','5847','3',null,'86',null,'18-MAY-2021
COM NO 215675','92','92','2021-05-18 12:05:18','2021-05-18 12:05:18',null);
INSERT INTO complaint_statuses VALUES('19232','5774','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-18 12:15:31','2021-05-18 12:15:31',null);
INSERT INTO complaint_statuses VALUES('19233','5799','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-18 12:18:43','2021-05-18 12:18:43',null);
INSERT INTO complaint_statuses VALUES('19234','5848','3',null,'73',null,'18-MAY-2021
COM NO 4602','92','92','2021-05-18 12:19:05','2021-05-19 11:36:27',null);
INSERT INTO complaint_statuses VALUES('19235','5849','3',null,'53',null,'18-MAY-2021
COM NO 30115525375','92','92','2021-05-18 12:30:02','2021-05-19 16:56:08',null);
INSERT INTO complaint_statuses VALUES('19236','5778','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-18 12:31:21','2021-05-18 12:31:21',null);
INSERT INTO complaint_statuses VALUES('19237','5654','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-18 12:35:57','2021-05-18 12:35:57',null);
INSERT INTO complaint_statuses VALUES('19238','5744','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-18 12:38:22','2021-05-18 12:38:22',null);
INSERT INTO complaint_statuses VALUES('19239','5850','3',null,'81',null,'18-MAY-2021
COM NO 295','92','92','2021-05-18 12:42:03','2021-05-19 11:39:56',null);
INSERT INTO complaint_statuses VALUES('19240','5668','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-18 12:57:13','2021-05-18 12:57:13',null);
INSERT INTO complaint_statuses VALUES('19241','5851','2',null,'81',null,'18-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-18 12:57:32','2021-05-18 12:57:32',null);
INSERT INTO complaint_statuses VALUES('19242','5852','3',null,'52',null,'18-MAY-2021
COM NO PKRI-210518105687','92','92','2021-05-18 13:06:00','2021-05-18 13:29:24',null);
INSERT INTO complaint_statuses VALUES('19243','5853','2',null,'81',null,'18-MAY-2021
COM NO PKRI-210519103535','92','92','2021-05-18 13:12:35','2021-05-19 11:30:09',null);
INSERT INTO complaint_statuses VALUES('19244','5851','4',null,'55',null,null,'81','81','2021-05-18 13:13:37','2021-05-18 13:13:37',null);
INSERT INTO complaint_statuses VALUES('19245','5669','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-18 13:14:15','2021-05-18 13:14:15',null);
INSERT INTO complaint_statuses VALUES('19246','5670','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-18 13:16:03','2021-05-18 13:16:03',null);
INSERT INTO complaint_statuses VALUES('19247','5630','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-18 13:20:11','2021-05-18 13:20:11',null);
INSERT INTO complaint_statuses VALUES('19248','5854','2',null,'81',null,'18-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-18 13:41:09','2021-05-18 13:41:09',null);
INSERT INTO complaint_statuses VALUES('19249','5855','2',null,'81',null,'18-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-18 13:56:25','2021-05-18 13:56:25',null);
INSERT INTO complaint_statuses VALUES('19250','5486','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-18 14:04:09','2021-05-18 14:04:09',null);
INSERT INTO complaint_statuses VALUES('19251','5856','2',null,'81',null,'18-MAY-2021
COM FF TO KHALID SONY','92','92','2021-05-18 14:05:00','2021-05-18 14:05:00',null);
INSERT INTO complaint_statuses VALUES('19252','5857','2',null,'81',null,'18-MAY-2021
COM FF TO USMAN SIR','92','92','2021-05-18 14:10:31','2021-05-18 14:10:31',null);
INSERT INTO complaint_statuses VALUES('19253','5858','2',null,'81',null,'18-MAY-2021
COM FF TO USMAN SIR','92','92','2021-05-18 14:15:35','2021-05-18 14:15:35',null);
INSERT INTO complaint_statuses VALUES('19254','5858','4',null,'61',null,null,'81','81','2021-05-18 14:22:33','2021-05-18 14:22:33',null);
INSERT INTO complaint_statuses VALUES('19255','5858','4',null,'61',null,null,'81','81','2021-05-18 14:22:33','2021-05-18 14:22:33',null);
INSERT INTO complaint_statuses VALUES('19256','5857','4',null,'61',null,null,'81','81','2021-05-18 14:22:41','2021-05-18 14:22:41',null);
INSERT INTO complaint_statuses VALUES('19257','5856','4',null,'56',null,null,'81','81','2021-05-18 14:22:56','2021-05-18 14:22:56',null);
INSERT INTO complaint_statuses VALUES('19258','5855','4',null,'62',null,null,'81','81','2021-05-18 14:23:13','2021-05-18 14:23:13',null);
INSERT INTO complaint_statuses VALUES('19259','5854','4',null,'58',null,null,'81','81','2021-05-18 14:23:33','2021-05-18 14:23:33',null);
INSERT INTO complaint_statuses VALUES('19260','5859','2',null,'81',null,'18-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-18 14:30:40','2021-05-18 14:30:40',null);
INSERT INTO complaint_statuses VALUES('19261','5860','3',null,'65',null,'18-MAY-2021
COM NO 192122365','92','92','2021-05-18 14:33:41','2021-05-19 11:07:52',null);
INSERT INTO complaint_statuses VALUES('19262','5861','3',null,'65',null,'18-MAY-2021
COM NO 192122342
NEW COMPLAINT#192122549','92','74','2021-05-18 14:49:32','2021-05-22 14:33:54',null);
INSERT INTO complaint_statuses VALUES('19263','5862','3',null,'52',null,'18-MAY-2021
COM NO PKRI-210519110325
NEW COM NO PKRI-210529104579','92','92','2021-05-18 15:18:00','2021-05-29 11:58:49',null);
INSERT INTO complaint_statuses VALUES('19264','5863','2',null,'81',null,'18-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-18 15:46:56','2021-05-18 15:46:56',null);
INSERT INTO complaint_statuses VALUES('19265','5864','3',null,'65',null,'18-MAY-2021
COM NO 192122367','92','92','2021-05-18 16:06:58','2021-05-19 11:10:06',null);
INSERT INTO complaint_statuses VALUES('19266','5865','3',null,'53',null,'18-MAY-2021
COM NO 301125361','92','92','2021-05-18 16:10:17','2021-05-19 16:59:19',null);
INSERT INTO complaint_statuses VALUES('19267','5866','2',null,'81',null,'18-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-18 16:15:50','2021-05-18 16:15:50',null);
INSERT INTO complaint_statuses VALUES('19268','5867','3',null,'52',null,'18-MAY-2021
COM NO PKRI-210519103363
NEW COM NO PKRI-210526107742','92','92','2021-05-18 16:21:20','2021-05-26 15:13:51',null);
INSERT INTO complaint_statuses VALUES('19269','5868','3',null,'52',null,'18-MAY-2021
COM NO PKRI-210519103472','92','92','2021-05-18 16:28:02','2021-05-19 11:28:37',null);
INSERT INTO complaint_statuses VALUES('19270','5869','3',null,'52',null,'18-MAY-2021
COM NO PKRI-210227106661','92','74','2021-05-18 16:31:31','2021-05-18 16:40:50',null);
INSERT INTO complaint_statuses VALUES('19271','5866','4',null,'63',null,null,'81','81','2021-05-18 16:33:52','2021-05-18 16:33:52',null);
INSERT INTO complaint_statuses VALUES('19272','5863','4',null,'63',null,null,'81','81','2021-05-18 16:34:00','2021-05-18 16:34:00',null);
INSERT INTO complaint_statuses VALUES('19273','5859','4',null,'55',null,null,'81','81','2021-05-18 16:34:10','2021-05-18 16:34:10',null);
INSERT INTO complaint_statuses VALUES('19274','5870','3',null,'53',null,'18-MAY-2021
COM NO','92','92','2021-05-18 16:44:32','2021-05-18 16:44:32',null);
INSERT INTO complaint_statuses VALUES('19275','5639','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-18 16:53:20','2021-05-18 16:53:20',null);
INSERT INTO complaint_statuses VALUES('19276','5653','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-18 17:04:11','2021-05-18 17:04:11',null);
INSERT INTO complaint_statuses VALUES('19277','5871','3',null,'61',null,'18-MAY-2021
COM NO 202105008965','92','92','2021-05-18 17:06:48','2021-05-19 12:33:15',null);
INSERT INTO complaint_statuses VALUES('19278','5650','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-18 17:15:07','2021-05-18 17:15:07',null);
INSERT INTO complaint_statuses VALUES('19279','5872','3',null,'52',null,'18-MAY-2021
COM NO PKRI-210519103585','92','92','2021-05-18 17:17:21','2021-05-19 11:32:28',null);
INSERT INTO complaint_statuses VALUES('19280','5873','2',null,'81',null,'18-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-18 17:27:50','2021-05-18 17:27:50',null);
INSERT INTO complaint_statuses VALUES('19281','5874','2',null,'81',null,'18-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-18 17:35:32','2021-05-18 17:35:32',null);
INSERT INTO complaint_statuses VALUES('19282','5875','2',null,'81',null,'18-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-18 17:41:49','2021-05-18 17:43:19',null);
INSERT INTO complaint_statuses VALUES('19283','5875','4',null,'63',null,null,'81','81','2021-05-18 17:51:12','2021-05-18 17:51:12',null);
INSERT INTO complaint_statuses VALUES('19284','5874','4',null,'55',null,null,'81','81','2021-05-18 17:51:20','2021-05-18 17:51:20',null);
INSERT INTO complaint_statuses VALUES('19285','5873','4',null,'58',null,null,'81','81','2021-05-18 17:51:30','2021-05-18 17:51:30',null);
INSERT INTO complaint_statuses VALUES('19286','5823','7','12','81','Moter Ka issue h Frwd to company',null,'87','87','2021-05-18 19:13:45','2021-05-18 19:13:45',null);
INSERT INTO complaint_statuses VALUES('19287','5743','7','12','81','Oven phoncha dia hy',null,'82','82','2021-05-19 10:54:45','2021-05-19 10:54:45',null);
INSERT INTO complaint_statuses VALUES('19288','5845','7','12','81','Drain problam thivokayvhy',null,'82','82','2021-05-19 10:55:24','2021-05-19 10:55:24',null);
INSERT INTO complaint_statuses VALUES('19289','5572','7','12','81','Pcb eid sy pehly laga di thi',null,'82','82','2021-05-19 11:00:53','2021-05-19 11:00:53',null);
INSERT INTO complaint_statuses VALUES('19290','5876','3',null,'53',null,'18-MAY-2021
COMPLAINT#301124833','74','74','2021-05-19 11:04:45','2021-05-19 11:04:45',null);
INSERT INTO complaint_statuses VALUES('19291','5823','5','15',null,'COMPLAINT COMPANY FF KARWA DI COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-05-19 11:05:27','2021-05-19 11:06:22',null);
INSERT INTO complaint_statuses VALUES('19292','5845','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-19 11:09:13','2021-05-19 11:18:26',null);
INSERT INTO complaint_statuses VALUES('19293','5870','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-19 11:17:20','2021-05-19 11:17:20',null);
INSERT INTO complaint_statuses VALUES('19294','5743','8','23','60','KAHA PA OVEN BAJWAYA AZHAR SAB SA CONFIRM KARAY',null,'81','81','2021-05-19 11:40:14','2021-05-19 11:40:14',null);
INSERT INTO complaint_statuses VALUES('19295','5877','2',null,'81',null,'19-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-19 11:43:13','2021-05-19 11:43:13',null);
INSERT INTO complaint_statuses VALUES('19296','5878','3',null,'54',null,'19-MAY-2021
COM NO 1874402','92','92','2021-05-19 11:48:12','2021-05-20 10:39:51',null);
INSERT INTO complaint_statuses VALUES('19297','5743','7','24','81','Oven glass demej hy i10servis center phoncha dia hy',null,'82','82','2021-05-19 11:53:55','2021-05-19 11:53:55',null);
INSERT INTO complaint_statuses VALUES('19298','5584','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-19 11:58:33','2021-05-19 11:58:33',null);
INSERT INTO complaint_statuses VALUES('19299','5879','2',null,'81',null,'19-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-19 11:58:52','2021-05-19 11:58:52',null);
INSERT INTO complaint_statuses VALUES('19300','5743','8','23','60','CUSTOMER KO 7500 GLASS KI PRICE CONFIRM KAR DI HAIN 
CUSTOMER NA EXP APPROVED KAR DIA HAIN 
3 DIN KA TIME LIYA CUSTOMER SA',null,'81','81','2021-05-19 11:59:09','2021-05-19 11:59:09',null);
INSERT INTO complaint_statuses VALUES('19301','5712','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-05-19 12:00:07','2021-05-19 12:00:07',null);
INSERT INTO complaint_statuses VALUES('19302','5880','2',null,'81',null,'19-MAY-2021
COM FF TO AZHAR SIR','92','92','2021-05-19 12:03:46','2021-05-19 12:03:46',null);
INSERT INTO complaint_statuses VALUES('19303','5880','4',null,'60',null,null,'81','81','2021-05-19 12:04:28','2021-05-19 12:04:28',null);
INSERT INTO complaint_statuses VALUES('19304','5879','4',null,'62',null,null,'81','81','2021-05-19 12:04:51','2021-05-19 12:04:51',null);
INSERT INTO complaint_statuses VALUES('19305','5877','4',null,'55',null,null,'81','81','2021-05-19 12:05:02','2021-05-19 12:05:02',null);
INSERT INTO complaint_statuses VALUES('19306','5853','4',null,'64',null,null,'81','81','2021-05-19 12:05:13','2021-05-19 12:05:13',null);
INSERT INTO complaint_statuses VALUES('19307','5720','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-19 12:20:07','2021-05-19 12:20:07',null);
INSERT INTO complaint_statuses VALUES('19308','5881','3',null,'81',null,'19-MAY-2021
COM NO 300
 NEW COMPLAINT #4646','92','74','2021-05-19 12:37:02','2021-05-26 13:26:00',null);
INSERT INTO complaint_statuses VALUES('19309','5882','2',null,'81',null,'18-MAY-2021
FF TO SHAMIM AKHTER','74','74','2021-05-19 12:41:06','2021-05-19 12:41:06',null);
INSERT INTO complaint_statuses VALUES('19310','5882','4',null,'55',null,null,'81','81','2021-05-19 12:41:38','2021-05-19 12:41:38',null);
INSERT INTO complaint_statuses VALUES('19311','4868','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-19 12:43:01','2021-05-19 12:43:01',null);
INSERT INTO complaint_statuses VALUES('19312','5883','3',null,'52',null,'19-MAY-2021
COM NO pkri-210520101874','92','92','2021-05-19 12:46:48','2021-05-20 10:21:39',null);
INSERT INTO complaint_statuses VALUES('19313','5884','3',null,'55',null,'19-MAY-2021
COM NO 765062','92','92','2021-05-19 12:57:45','2021-05-19 13:19:39',null);
INSERT INTO complaint_statuses VALUES('19314','5885','2',null,'81',null,'19-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-19 13:03:26','2021-05-19 13:03:26',null);
INSERT INTO complaint_statuses VALUES('19315','5070','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-05-19 13:03:31','2021-05-19 13:03:31',null);
INSERT INTO complaint_statuses VALUES('19316','5863','7','12','81','THIS IS HOOD COMPLAINT NOT HOB COMPLAINT
KINDLY JOB THIS COMPLAINT',null,'88','88','2021-05-19 13:05:01','2021-05-19 13:05:01',null);
INSERT INTO complaint_statuses VALUES('19317','5863','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-05-19 13:05:34','2021-05-19 13:08:27',null);
INSERT INTO complaint_statuses VALUES('19318','5070','5','15',null,'COMPLAINT COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-19 13:07:01','2021-05-19 13:08:53',null);
INSERT INTO complaint_statuses VALUES('19319','5886','3',null,'73',null,'19-MAY-2021
COM NO 4607','92','92','2021-05-19 13:07:15','2021-05-20 11:30:58',null);
INSERT INTO complaint_statuses VALUES('19320','5887','3',null,'52',null,'18-MAY-2021
COMPLAINT#PKRI-21059105737','74','74','2021-05-19 13:16:24','2021-05-19 13:16:24',null);
INSERT INTO complaint_statuses VALUES('19321','5888','2',null,'81',null,'19-MAY-2021
COM FF TO KHALID SONY','92','92','2021-05-19 13:26:12','2021-05-19 13:26:12',null);
INSERT INTO complaint_statuses VALUES('19322','5889','3',null,'52',null,'18-MAY-2021
COMPLIANT#PKRI-210519100035','74','74','2021-05-19 13:29:08','2021-05-19 13:29:08',null);
INSERT INTO complaint_statuses VALUES('19323','5810','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-19 13:41:16','2021-05-19 13:41:16',null);
INSERT INTO complaint_statuses VALUES('19324','5890','2',null,'81',null,'19-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-19 13:45:30','2021-05-19 13:45:30',null);
INSERT INTO complaint_statuses VALUES('19325','5890','4',null,'58',null,null,'81','81','2021-05-19 13:46:47','2021-05-19 13:46:47',null);
INSERT INTO complaint_statuses VALUES('19326','5888','4',null,'56',null,null,'81','81','2021-05-19 13:46:58','2021-05-19 13:46:58',null);
INSERT INTO complaint_statuses VALUES('19327','5885','4',null,'58',null,null,'81','81','2021-05-19 13:47:06','2021-05-19 13:47:06',null);
INSERT INTO complaint_statuses VALUES('19328','5891','3',null,'52',null,'19-MAY-2021
COM NO pkri-210520101966','92','92','2021-05-19 13:53:02','2021-05-20 10:25:55',null);
INSERT INTO complaint_statuses VALUES('19329','5113','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-19 13:54:20','2021-05-19 13:54:20',null);
INSERT INTO complaint_statuses VALUES('19330','5892','3',null,'54',null,'19-MAY-2021
COM NO 1874395','92','92','2021-05-19 14:06:39','2021-05-20 10:38:08',null);
INSERT INTO complaint_statuses VALUES('19331','5893','3',null,'66',null,'19-MAY-2021
COM NO PK051920210107
NEW COM NO PK052720210042
ZAFAR SIR  03009825120','92','92','2021-05-19 14:12:49','2021-05-27 11:51:16',null);
INSERT INTO complaint_statuses VALUES('19332','5894','2',null,'81',null,'19-MAY-2021
COM FF TO ASIF ARISTAN','92','92','2021-05-19 14:23:05','2021-05-19 14:23:05',null);
INSERT INTO complaint_statuses VALUES('19333','5895','2',null,'81',null,'14-APR-2021
COM FF TO KHALID SONY','74','74','2021-05-19 14:24:35','2021-05-19 14:24:35',null);
INSERT INTO complaint_statuses VALUES('19334','5895','4',null,'56',null,null,'81','81','2021-05-19 14:25:19','2021-05-19 14:25:19',null);
INSERT INTO complaint_statuses VALUES('19335','5894','4',null,'64',null,null,'81','81','2021-05-19 14:26:13','2021-05-19 14:26:13',null);
INSERT INTO complaint_statuses VALUES('19336','5896','2',null,'81',null,'14-APR-2021
COM FF TO KHALID SONY','74','74','2021-05-19 14:31:05','2021-05-19 14:31:05',null);
INSERT INTO complaint_statuses VALUES('19337','5896','4',null,'56',null,null,'81','81','2021-05-19 14:32:36','2021-05-19 14:32:36',null);
INSERT INTO complaint_statuses VALUES('19338','5572','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-05-19 14:33:35','2021-05-19 14:55:33',null);
INSERT INTO complaint_statuses VALUES('19339','5021','5','15',null,'COMPLETED  COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-19 14:36:25','2021-05-19 14:57:36',null);
INSERT INTO complaint_statuses VALUES('19340','5821','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-19 14:54:23','2021-05-19 14:54:23',null);
INSERT INTO complaint_statuses VALUES('19341','5897','2',null,'81',null,'19-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-19 14:58:54','2021-05-19 14:58:54',null);
INSERT INTO complaint_statuses VALUES('19342','5897','4',null,'58',null,null,'81','81','2021-05-19 15:03:16','2021-05-19 15:03:16',null);
INSERT INTO complaint_statuses VALUES('19343','5898','2',null,'81',null,'19-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-19 15:12:21','2021-05-27 14:42:36',null);
INSERT INTO complaint_statuses VALUES('19344','5899','3',null,'57',null,'19-MAY-2021
COM NO 18196','92','92','2021-05-19 15:46:58','2021-05-20 15:44:05',null);
INSERT INTO complaint_statuses VALUES('19345','5900','3',null,'67',null,'19-MAY-2021
COM FF TO BILAL CARAVELL','92','92','2021-05-19 16:00:18','2021-05-20 11:26:29',null);
INSERT INTO complaint_statuses VALUES('19346','5901','2',null,'81',null,'19-MAY-2021
COM FF TO AZHAR FCI','92','92','2021-05-19 16:07:29','2021-05-19 16:07:29',null);
INSERT INTO complaint_statuses VALUES('19347','5700','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-19 16:12:24','2021-05-19 16:12:24',null);
INSERT INTO complaint_statuses VALUES('19348','5902','3',null,'55',null,'19-MAY-2021
COM #765347','92','74','2021-05-19 16:13:32','2021-05-19 16:17:09',null);
INSERT INTO complaint_statuses VALUES('19349','5903','3',null,'53',null,'19-MAY-2021
COM NO 301127893','92','92','2021-05-19 16:22:23','2021-05-26 10:32:37',null);
INSERT INTO complaint_statuses VALUES('19350','5901','4',null,'60',null,null,'81','81','2021-05-19 16:24:23','2021-05-19 16:24:23',null);
INSERT INTO complaint_statuses VALUES('19351','5898','4',null,'63',null,null,'81','81','2021-05-19 16:24:30','2021-05-19 16:24:30',null);
INSERT INTO complaint_statuses VALUES('19352','5904','3',null,'55',null,'19-MAY-2021
COM NO 765655','92','92','2021-05-19 16:28:49','2021-05-20 10:45:17',null);
INSERT INTO complaint_statuses VALUES('19353','5758','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-19 16:58:53','2021-05-19 16:58:53',null);
INSERT INTO complaint_statuses VALUES('19354','5905','3',null,'57',null,'19-MAY-2021
COM NO 18197','92','92','2021-05-19 17:09:25','2021-05-20 15:45:32',null);
INSERT INTO complaint_statuses VALUES('19355','5906','3',null,'81',null,'19-MAY-2021
COM NO 301','92','92','2021-05-19 17:14:47','2021-05-20 11:25:36',null);
INSERT INTO complaint_statuses VALUES('19356','5907','2',null,'81',null,'19-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-19 17:20:08','2021-05-19 17:20:08',null);
INSERT INTO complaint_statuses VALUES('19357','5908','2',null,'81',null,'19-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-19 17:29:06','2021-05-19 17:29:06',null);
INSERT INTO complaint_statuses VALUES('19358','5908','4',null,'58',null,null,'81','81','2021-05-19 17:30:45','2021-05-19 17:30:45',null);
INSERT INTO complaint_statuses VALUES('19359','5907','4',null,'58',null,null,'81','81','2021-05-19 17:30:56','2021-05-19 17:30:56',null);
INSERT INTO complaint_statuses VALUES('19360','5909','3',null,'73',null,'19-MAY-2021
COM NO 4630','92','92','2021-05-19 17:43:23','2021-05-24 16:45:25',null);
INSERT INTO complaint_statuses VALUES('19361','5910','3',null,'54',null,'19-MAY-2021
COM NO 1875010','92','92','2021-05-19 17:47:13','2021-05-20 15:26:31',null);
INSERT INTO complaint_statuses VALUES('19362','5911','3',null,'53',null,'19-5-21 (TALAL)
COMPLAINT#301126005','73','92','2021-05-19 17:51:56','2021-05-20 16:30:19',null);
INSERT INTO complaint_statuses VALUES('19363','5912','2',null,'81',null,'19-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-19 17:55:10','2021-05-19 17:55:10',null);
INSERT INTO complaint_statuses VALUES('19364','5913','2',null,'81',null,'19-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-19 18:13:37','2021-05-19 18:13:37',null);
INSERT INTO complaint_statuses VALUES('19365','5913','4',null,'58',null,null,'81','81','2021-05-19 18:15:46','2021-05-19 18:15:46',null);
INSERT INTO complaint_statuses VALUES('19366','5912','4',null,'62',null,null,'81','81','2021-05-19 18:16:00','2021-05-19 18:16:00',null);
INSERT INTO complaint_statuses VALUES('19367','5914','3',null,'52',null,'20-MAY-2021
COM NO PKRI-210520106489','92','92','2021-05-20 10:51:40','2021-05-20 14:20:34',null);
INSERT INTO complaint_statuses VALUES('19368','5915','2',null,'81',null,'20-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-20 10:55:14','2021-05-20 10:55:14',null);
INSERT INTO complaint_statuses VALUES('19369','5916','2',null,'81',null,'20-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-20 11:02:40','2021-05-20 11:02:40',null);
INSERT INTO complaint_statuses VALUES('19370','5917','2',null,'81',null,'20-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-20 11:08:01','2021-05-20 11:08:01',null);
INSERT INTO complaint_statuses VALUES('19371','5917','4',null,'62',null,null,'81','81','2021-05-20 11:12:17','2021-05-20 11:12:17',null);
INSERT INTO complaint_statuses VALUES('19372','5916','4',null,'63',null,null,'81','81','2021-05-20 11:12:30','2021-05-20 11:12:30',null);
INSERT INTO complaint_statuses VALUES('19373','5915','4',null,'55',null,null,'81','81','2021-05-20 11:12:51','2021-05-20 11:12:51',null);
INSERT INTO complaint_statuses VALUES('19374','5918','3',null,'52',null,'20-MAY-2021
COM NO PKRI-210520106512','92','92','2021-05-20 11:28:47','2021-05-20 14:22:29',null);
INSERT INTO complaint_statuses VALUES('19375','5919','2',null,'81',null,'20-MAY-2021
COM FF TO AZHAR FCI','92','92','2021-05-20 11:43:10','2021-05-20 11:43:10',null);
INSERT INTO complaint_statuses VALUES('19376','5920','3',null,'52',null,'20-MAY-2021
COM NO PKRI-210520100584','92','92','2021-05-20 12:21:22','2021-05-20 14:23:27',null);
INSERT INTO complaint_statuses VALUES('19377','5919','4',null,'60',null,null,'81','81','2021-05-20 12:22:53','2021-05-20 12:22:53',null);
INSERT INTO complaint_statuses VALUES('19378','5921','3',null,'86',null,'20-MAY-2021
COM FF TO ASIF  ARISTON','92','92','2021-05-20 12:27:45','2021-05-20 14:42:19',null);
INSERT INTO complaint_statuses VALUES('19379','5922','3',null,'55',null,'20-MAY-2021
COM NO ISB-12363','92','92','2021-05-20 12:36:07','2021-05-20 15:39:20',null);
INSERT INTO complaint_statuses VALUES('19380','5835','7','12','81','Panel damage rs117000 exp not approved',null,'83','83','2021-05-20 12:37:07','2021-05-20 12:37:07',null);
INSERT INTO complaint_statuses VALUES('19381','5923','3',null,'53',null,'20-MAY-2021
COM NO 301125834','92','92','2021-05-20 12:55:42','2021-05-26 10:33:51',null);
INSERT INTO complaint_statuses VALUES('19382','5924','2',null,'81',null,'20-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-20 13:00:37','2021-05-20 13:00:37',null);
INSERT INTO complaint_statuses VALUES('19383','5840','7','24','81','Custmer ny frig khali kar ky fon krna hy dubara visit ho ga',null,'82','82','2021-05-20 13:04:18','2021-05-20 13:04:18',null);
INSERT INTO complaint_statuses VALUES('19384','5738','7','24','81','Oven ka glass tota hy utar ky workshop laye hy',null,'82','82','2021-05-20 13:05:52','2021-05-20 13:05:52',null);
INSERT INTO complaint_statuses VALUES('19385','5439','7','24','81','Oven pcb hang problam utar ky dy aye hy servis center phonchay gy',null,'82','82','2021-05-20 13:07:19','2021-05-20 13:07:19',null);
INSERT INTO complaint_statuses VALUES('19386','5925','2',null,'81',null,'20-MAY-2021
COM FF TO AZHAR FCI','92','74','2021-05-20 13:08:29','2021-05-25 15:59:28',null);
INSERT INTO complaint_statuses VALUES('19387','5926','2',null,'81',null,'20-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-20 13:12:47','2021-05-20 13:12:47',null);
INSERT INTO complaint_statuses VALUES('19388','5927','2',null,'81',null,'20-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-20 13:22:44','2021-05-20 13:22:44',null);
INSERT INTO complaint_statuses VALUES('19389','5928','2',null,'81',null,'20-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-20 13:26:16','2021-05-20 13:26:16',null);
INSERT INTO complaint_statuses VALUES('19390','5928','4',null,'55',null,null,'81','81','2021-05-20 13:27:28','2021-05-20 13:27:28',null);
INSERT INTO complaint_statuses VALUES('19391','5927','4',null,'55',null,null,'81','81','2021-05-20 13:27:36','2021-05-20 13:27:36',null);
INSERT INTO complaint_statuses VALUES('19392','5926','4',null,'55',null,null,'81','81','2021-05-20 13:27:45','2021-05-20 13:27:45',null);
INSERT INTO complaint_statuses VALUES('19393','5925','4',null,'60',null,null,'81','81','2021-05-20 13:27:53','2021-05-20 13:27:53',null);
INSERT INTO complaint_statuses VALUES('19394','5924','4',null,'58',null,null,'81','81','2021-05-20 13:28:02','2021-05-20 13:28:02',null);
INSERT INTO complaint_statuses VALUES('19395','5929','3',null,'52',null,'20-MAY-2021
COM NO PKRI-210520106641','92','92','2021-05-20 13:55:19','2021-05-20 14:29:16',null);
INSERT INTO complaint_statuses VALUES('19396','5912','7','12','81','Issue resolved',null,'87','87','2021-05-20 14:07:01','2021-05-20 14:07:01',null);
INSERT INTO complaint_statuses VALUES('19397','5816','7','22','81','Comp',null,'87','87','2021-05-20 14:10:05','2021-05-20 14:10:05',null);
INSERT INTO complaint_statuses VALUES('19398','5930','3',null,'53',null,'20-MAY-2021
COM FF TO COMPAINE','92','92','2021-05-20 14:11:16','2021-05-20 14:33:48',null);
INSERT INTO complaint_statuses VALUES('19399','5596','7','12','81','Issue resolved',null,'87','87','2021-05-20 14:16:35','2021-05-20 14:16:35',null);
INSERT INTO complaint_statuses VALUES('19400','5739','7','22','81','Glass',null,'87','87','2021-05-20 14:40:40','2021-05-20 14:40:40',null);
INSERT INTO complaint_statuses VALUES('19401','5759','7','26','81','Local Repaired',null,'76','76','2021-05-20 14:46:33','2021-05-20 14:46:33',null);
INSERT INTO complaint_statuses VALUES('19402','5631','7','26','81','Customer Not answering Calls',null,'76','76','2021-05-20 14:46:54','2021-05-20 14:46:54',null);
INSERT INTO complaint_statuses VALUES('19403','4163','7','12','81','Main And Display PCB Replaced ( Payment Pending 25000/-)',null,'76','76','2021-05-20 14:48:22','2021-05-20 14:48:22',null);
INSERT INTO complaint_statuses VALUES('19404','5931','3',null,'55',null,'20-MAY-2021
COM NO RWP-19989','92','92','2021-05-20 14:56:36','2021-05-20 15:40:58',null);
INSERT INTO complaint_statuses VALUES('19405','5932','3',null,'91',null,'20-MAY-2021
COM FF TO SAMI GABA','92','92','2021-05-20 15:07:29','2021-05-27 15:23:23',null);
INSERT INTO complaint_statuses VALUES('19406','5933','2',null,'81',null,'20-MAY-2021
COM FF TO KHALID SONY','92','92','2021-05-20 15:21:28','2021-05-20 15:21:28',null);
INSERT INTO complaint_statuses VALUES('19407','5934','2',null,'81',null,'20-MAY-2021
COM NO tkri210521102442','92','92','2021-05-20 15:27:41','2021-05-21 11:07:37',null);
INSERT INTO complaint_statuses VALUES('19408','5746','7','26','81','Back light defective customer no agree for repair 
Estimate rejected',null,'83','83','2021-05-20 15:31:21','2021-05-20 15:31:21',null);
INSERT INTO complaint_statuses VALUES('19409','5935','3',null,'52',null,'20-MAY-2021
COM NO pkri 210521102698','92','92','2021-05-20 15:54:46','2021-05-21 11:28:35',null);
INSERT INTO complaint_statuses VALUES('19410','5936','3',null,'53',null,'20-MAY-2021
COM NO 301125964','92','92','2021-05-20 16:05:16','2021-05-20 16:05:16',null);
INSERT INTO complaint_statuses VALUES('19411','5937','3',null,'53',null,'20-MAY-2021
COM NO 301125996','92','92','2021-05-20 16:26:00','2021-05-29 10:56:42',null);
INSERT INTO complaint_statuses VALUES('19412','5933','4',null,'56',null,null,'81','81','2021-05-20 16:35:48','2021-05-20 16:35:48',null);
INSERT INTO complaint_statuses VALUES('19413','5938','3',null,'53',null,'20-MAY-2021
COM NO 301126266','92','92','2021-05-20 16:39:59','2021-05-21 11:53:53',null);
INSERT INTO complaint_statuses VALUES('19414','5939','2',null,'81',null,'20-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-20 16:50:57','2021-05-20 16:50:57',null);
INSERT INTO complaint_statuses VALUES('19415','5638','7','26','81','Estimate rejected',null,'83','83','2021-05-20 16:54:48','2021-05-20 16:54:48',null);
INSERT INTO complaint_statuses VALUES('19416','5940','3',null,'53',null,'20-MAY-2021
COM NO 301126268','92','92','2021-05-20 17:12:06','2021-05-21 11:57:39',null);
INSERT INTO complaint_statuses VALUES('19417','5941','2',null,'81',null,'20-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-20 17:22:49','2021-05-20 17:22:49',null);
INSERT INTO complaint_statuses VALUES('19418','5942','3',null,'52',null,'20-MAY-2021
COM NO pkri 210521102789','92','92','2021-05-20 17:33:01','2021-05-21 11:28:26',null);
INSERT INTO complaint_statuses VALUES('19419','5943','2',null,'81',null,'20-MAY-2021
COM FF TO AZHAR SIR','92','92','2021-05-20 17:42:25','2021-05-20 17:42:25',null);
INSERT INTO complaint_statuses VALUES('19420','5711','7','12','81','Refer to svc in Dispenser issue , customer will inform for lifting',null,'76','76','2021-05-20 17:59:59','2021-05-20 17:59:59',null);
INSERT INTO complaint_statuses VALUES('19421','5582','7','12','81','No Fult.',null,'76','76','2021-05-20 18:01:44','2021-05-20 18:01:44',null);
INSERT INTO complaint_statuses VALUES('19422','5612','7','12','81','PCB Adjustment.',null,'76','76','2021-05-20 18:06:33','2021-05-20 18:06:33',null);
INSERT INTO complaint_statuses VALUES('19423','5944','3',null,'57',null,'20-MAY-2021
COM NO 18219','92','92','2021-05-20 18:08:36','2021-05-22 11:21:05',null);
INSERT INTO complaint_statuses VALUES('19424','5943','4',null,'60',null,null,'81','81','2021-05-20 18:09:11','2021-05-20 18:09:11',null);
INSERT INTO complaint_statuses VALUES('19425','5941','4',null,'55',null,null,'81','81','2021-05-20 18:09:20','2021-05-20 18:09:20',null);
INSERT INTO complaint_statuses VALUES('19426','5939','4',null,'62',null,null,'81','81','2021-05-20 18:09:28','2021-05-20 18:09:28',null);
INSERT INTO complaint_statuses VALUES('19427','5697','7','12','81','No Fault.Visit Pending 600/-',null,'76','76','2021-05-20 18:09:49','2021-05-20 18:09:49',null);
INSERT INTO complaint_statuses VALUES('19428','5928','7','24','81','Refer to SVC in Door Switch and Service',null,'76','76','2021-05-20 18:15:23','2021-05-20 18:15:23',null);
INSERT INTO complaint_statuses VALUES('19429','5819','7','24','81','Service',null,'76','76','2021-05-20 18:16:03','2021-05-20 18:16:03',null);
INSERT INTO complaint_statuses VALUES('19430','5945','2',null,'81',null,'20-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-20 18:16:47','2021-05-20 18:16:47',null);
INSERT INTO complaint_statuses VALUES('19431','4196','7','26','81','Complete Warranty Card not Provided By Customer.',null,'76','76','2021-05-20 18:16:56','2021-05-20 18:16:56',null);
INSERT INTO complaint_statuses VALUES('19432','4354','7','26','81',null,null,'76','76','2021-05-20 18:18:30','2021-05-20 18:18:30',null);
INSERT INTO complaint_statuses VALUES('19433','4855','7','26','81','unit not Received Till date.',null,'76','76','2021-05-20 18:19:12','2021-05-20 18:19:12',null);
INSERT INTO complaint_statuses VALUES('19434','5287','7','26','81','Door Handle was Damage , model Not Register.',null,'76','76','2021-05-20 18:19:51','2021-05-20 18:19:51',null);
INSERT INTO complaint_statuses VALUES('19435','5594','7','22','81','No Fault in Product , Waiting for Label Image , not Provided By customer till Date.',null,'76','76','2021-05-20 18:21:12','2021-05-20 18:21:12',null);
INSERT INTO complaint_statuses VALUES('19436','5946','2',null,'81',null,'20-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-20 18:25:35','2021-05-20 18:25:35',null);
INSERT INTO complaint_statuses VALUES('19437','5947','3',null,'53',null,'20-MAY-2021
COM NO 301126272','92','92','2021-05-20 18:29:17','2021-05-21 12:01:06',null);
INSERT INTO complaint_statuses VALUES('19438','5946','4',null,'58',null,null,'81','81','2021-05-20 18:42:33','2021-05-20 18:42:33',null);
INSERT INTO complaint_statuses VALUES('19439','5945','4',null,'63',null,null,'81','81','2021-05-20 18:42:44','2021-05-20 18:42:44',null);
INSERT INTO complaint_statuses VALUES('19440','5948','3',null,'52',null,'2554411548152452','74','74','2021-05-20 19:13:36','2021-05-20 19:13:36',null);
INSERT INTO complaint_statuses VALUES('19441','5949','3',null,'80',null,'03005511255','74','74','2021-05-20 19:19:13','2021-05-20 19:19:13',null);
INSERT INTO complaint_statuses VALUES('19442','5829','7','12','81','ok',null,'79','79','2021-05-20 20:51:17','2021-05-20 20:51:17',null);
INSERT INTO complaint_statuses VALUES('19443','5834','7','12','81','refer to i-10',null,'79','79','2021-05-20 20:53:29','2021-05-20 20:53:29',null);
INSERT INTO complaint_statuses VALUES('19444','5890','7','12','81','customer ne khud thek krwa li ha',null,'79','79','2021-05-20 20:54:31','2021-05-20 20:54:31',null);
INSERT INTO complaint_statuses VALUES('19445','5715','7','12','81','Compressor and gas cahrged',null,'79','79','2021-05-20 20:55:57','2021-05-20 20:55:57',null);
INSERT INTO complaint_statuses VALUES('19446','5786','7','12','81','Compressor and gas charged',null,'79','79','2021-05-20 20:56:55','2021-05-20 20:56:55',null);
INSERT INTO complaint_statuses VALUES('19447','5908','7','12','81','compressor issu refer to i-10',null,'79','79','2021-05-20 20:59:52','2021-05-20 20:59:52',null);
INSERT INTO complaint_statuses VALUES('19448','5762','7','12','81','Issue resolved',null,'87','87','2021-05-20 22:19:14','2021-05-20 22:19:14',null);
INSERT INTO complaint_statuses VALUES('19449','5789','7','12','81','Issue resolved',null,'87','87','2021-05-20 22:22:36','2021-05-20 22:22:36',null);
INSERT INTO complaint_statuses VALUES('19450','5844','7','12','81','Unit ok no any problem found 
Hdmi  ports ok 
Only visit rs 500',null,'83','83','2021-05-21 10:44:06','2021-05-21 10:44:06',null);
INSERT INTO complaint_statuses VALUES('19451','5875','7','12','81','Tharmokapal kharb the',null,'88','88','2021-05-21 10:48:42','2021-05-21 10:48:42',null);
INSERT INTO complaint_statuses VALUES('19452','5866','7','12','81','Auto wair kharb the',null,'88','88','2021-05-21 10:50:30','2021-05-21 10:50:30',null);
INSERT INTO complaint_statuses VALUES('19453','5772','7','12','81','Tharmostat kharb tha OK',null,'88','88','2021-05-21 10:51:45','2021-05-21 10:51:45',null);
INSERT INTO complaint_statuses VALUES('19454','5747','7','22','81','Barnar ni Ata ic ka cancel',null,'88','88','2021-05-21 10:53:05','2021-05-21 10:53:05',null);
INSERT INTO complaint_statuses VALUES('19455','5729','7','10','81','Cal ni outhaty',null,'88','88','2021-05-21 10:54:10','2021-05-21 10:54:10',null);
INSERT INTO complaint_statuses VALUES('19456','5713','7','12','81','Gas',null,'88','88','2021-05-21 10:55:07','2021-05-21 10:55:07',null);
INSERT INTO complaint_statuses VALUES('19457','5692','7','12','81','Auto parablam ok',null,'88','88','2021-05-21 10:56:18','2021-05-21 10:56:18',null);
INSERT INTO complaint_statuses VALUES('19458','5952','2',null,'81',null,'21-MAY-2021
FF TO USMAN MRM','74','74','2021-05-21 11:18:21','2021-05-21 11:18:21',null);
INSERT INTO complaint_statuses VALUES('19459','5912','8','23','62','GASS REFIL KARNAY K BAD B ISSUE RESOLVED NAI HOA KAINDLY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-05-21 11:20:43','2021-05-21 11:20:43',null);
INSERT INTO complaint_statuses VALUES('19460','5952','4',null,'61',null,null,'81','81','2021-05-21 11:23:05','2021-05-21 11:23:05',null);
INSERT INTO complaint_statuses VALUES('19461','5934','4',null,'64',null,null,'81','81','2021-05-21 11:23:25','2021-05-21 11:23:25',null);
INSERT INTO complaint_statuses VALUES('19462','5908','8','23','58','OK JOB COMPLETED QUKILEY',null,'81','81','2021-05-21 11:34:13','2021-05-21 11:34:13',null);
INSERT INTO complaint_statuses VALUES('19463','5890','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-05-21 11:39:16','2021-05-21 12:19:30',null);
INSERT INTO complaint_statuses VALUES('19464','5953','2',null,'81',null,'21-MAY-2021
FF TO SHAMIM AKHTER','74','74','2021-05-21 11:50:17','2021-05-21 11:50:17',null);
INSERT INTO complaint_statuses VALUES('19465','5953','4',null,'55',null,null,'81','81','2021-05-21 11:52:54','2021-05-21 11:52:54',null);
INSERT INTO complaint_statuses VALUES('19466','5851','7','12','81','Filter Service.',null,'76','76','2021-05-21 12:18:24','2021-05-21 12:18:24',null);
INSERT INTO complaint_statuses VALUES('19467','5875','8','23','63','CUSTOMER KA ISSUE RESOLVED NAI HOA KINDLY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-05-21 12:26:24','2021-05-21 12:26:24',null);
INSERT INTO complaint_statuses VALUES('19468','5866','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','74','2021-05-21 12:34:47','2021-05-21 12:52:41',null);
INSERT INTO complaint_statuses VALUES('19469','5851','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-05-21 12:36:33','2021-05-21 12:51:38',null);
INSERT INTO complaint_statuses VALUES('19470','5880','7','24','81','Refer to i10 servis center .custmer khud ly ky aye gy',null,'82','82','2021-05-21 12:47:48','2021-05-21 12:47:48',null);
INSERT INTO complaint_statuses VALUES('19471','5877','7','24','81','Gasket and Service',null,'76','76','2021-05-21 13:10:01','2021-05-21 13:10:01',null);
INSERT INTO complaint_statuses VALUES('19472','5954','3',null,'53',null,'21-MAY-2021
COMPLAINT #1126335','74','92','2021-05-21 13:10:25','2021-05-29 10:34:36',null);
INSERT INTO complaint_statuses VALUES('19473','5955','3',null,'85',null,'18-MAY-2021
COMPLAINT#1126336','74','74','2021-05-21 13:13:46','2021-05-21 13:13:46',null);
INSERT INTO complaint_statuses VALUES('19474','5956','2',null,'81',null,'18-MAY-2021
COMPLAINT#1126338','74','74','2021-05-21 13:16:31','2021-05-21 13:16:31',null);
INSERT INTO complaint_statuses VALUES('19475','5957','2',null,'81',null,'21-MAY-2021
COMPLAINT#1126340','74','74','2021-05-21 13:18:17','2021-05-21 13:18:17',null);
INSERT INTO complaint_statuses VALUES('19476','5874','7','12','81','Drain cap Adjustment.',null,'76','76','2021-05-21 13:21:57','2021-05-21 13:21:57',null);
INSERT INTO complaint_statuses VALUES('19477','5958','2',null,'81',null,'21-MAY-2021
COMPLAINT#PKRI210521104794','74','74','2021-05-21 13:22:24','2021-05-21 13:22:24',null);
INSERT INTO complaint_statuses VALUES('19478','5959','3',null,'55',null,'21-MAY-2021
FF TO NAEEM KENWOOD','74','74','2021-05-21 13:32:14','2021-05-21 13:32:14',null);
INSERT INTO complaint_statuses VALUES('19479','5710','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-21 14:06:20','2021-05-21 14:06:20',null);
INSERT INTO complaint_statuses VALUES('19480','5960','2',null,'81',null,'21-MAY-2021
FF TO KHURRAM SADAR','74','74','2021-05-21 14:09:33','2021-05-21 14:09:33',null);
INSERT INTO complaint_statuses VALUES('19481','5844','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-21 14:10:58','2021-05-21 15:36:51',null);
INSERT INTO complaint_statuses VALUES('19482','5928','8','23','55','OK JOB COMPLETED QUKILEY',null,'81','81','2021-05-21 14:11:47','2021-05-21 14:11:47',null);
INSERT INTO complaint_statuses VALUES('19483','5880','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-05-21 14:12:28','2021-05-21 14:12:28',null);
INSERT INTO complaint_statuses VALUES('19484','5877','8','23','55','JOB COMPLETED QUKILEY',null,'81','81','2021-05-21 14:13:17','2021-05-21 14:13:17',null);
INSERT INTO complaint_statuses VALUES('19485','5874','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-21 14:14:12','2021-05-21 15:34:34',null);
INSERT INTO complaint_statuses VALUES('19486','5840','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-05-21 14:15:24','2021-05-21 14:15:24',null);
INSERT INTO complaint_statuses VALUES('19487','5960','4',null,'63',null,null,'81','81','2021-05-21 14:18:41','2021-05-21 14:18:41',null);
INSERT INTO complaint_statuses VALUES('19488','5958','4',null,'64',null,null,'81','81','2021-05-21 14:18:52','2021-05-21 14:18:52',null);
INSERT INTO complaint_statuses VALUES('19489','5957','4',null,'64',null,null,'81','81','2021-05-21 14:19:36','2021-05-21 14:19:36',null);
INSERT INTO complaint_statuses VALUES('19490','5956','4',null,'64',null,null,'81','81','2021-05-21 14:20:01','2021-05-21 14:20:01',null);
INSERT INTO complaint_statuses VALUES('19491','5835','5','15',null,'CUSTOMER NA EXP APPROVED NAI KIYA CLOSED KARWA DI COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-21 14:22:05','2021-05-21 15:37:25',null);
INSERT INTO complaint_statuses VALUES('19492','5834','8','23','58','CUSTOMER KO INFORMED KARAY K REF S/C MOVE HONA HAIN',null,'81','81','2021-05-21 14:25:02','2021-05-21 14:25:02',null);
INSERT INTO complaint_statuses VALUES('19493','5961','2',null,'81',null,'21-MAY-2021
FF TO B.COOL','74','74','2021-05-21 14:28:05','2021-05-21 14:28:05',null);
INSERT INTO complaint_statuses VALUES('19494','5829','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-21 14:28:55','2021-05-21 15:38:04',null);
INSERT INTO complaint_statuses VALUES('19495','5961','4',null,'58',null,null,'81','81','2021-05-21 14:29:43','2021-05-21 14:29:43',null);
INSERT INTO complaint_statuses VALUES('19496','5789','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-21 14:35:33','2021-05-21 15:39:00',null);
INSERT INTO complaint_statuses VALUES('19497','5819','8','23','55','OK JOB COMPLETED QUKILEY',null,'81','81','2021-05-21 14:35:58','2021-05-21 14:35:58',null);
INSERT INTO complaint_statuses VALUES('19498','5814','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-05-21 14:37:19','2021-05-21 14:37:19',null);
INSERT INTO complaint_statuses VALUES('19499','5814','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-21 14:38:05','2021-05-21 15:38:32',null);
INSERT INTO complaint_statuses VALUES('19500','5816','8','23','62','PARS ARRAN KAR K JOB COMPLETED KARAY','INVOICE ADIL BHI KO SHER KAR DI','81','74','2021-05-21 14:40:31','2021-05-22 15:28:16',null);
INSERT INTO complaint_statuses VALUES('19501','5786','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-21 14:46:01','2021-05-21 15:39:33',null);
INSERT INTO complaint_statuses VALUES('19502','5772','8','23','63','KOI VISIT NAI HOA AGIN CONTACT KAR K VISIT ARRANGE KARWAY',null,'81','81','2021-05-21 14:53:00','2021-05-21 14:53:00',null);
INSERT INTO complaint_statuses VALUES('19503','4440','7','26','81','Ya unit Nahi aya abhi tak job cancel or dain plz',null,'83','83','2021-05-21 14:54:11','2021-05-21 14:54:11',null);
INSERT INTO complaint_statuses VALUES('19504','5962','3',null,'52',null,'21-MAY-2021
COMPLAINT#PKRI-201521105788','74','74','2021-05-21 14:58:54','2021-05-21 14:58:54',null);
INSERT INTO complaint_statuses VALUES('19505','5762','8','23','62','CUSTOMER KA ISSUE RESOLVED NI HOA  KNDLY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-05-21 15:01:24','2021-05-21 15:01:24',null);
INSERT INTO complaint_statuses VALUES('19506','5759','5','15',null,'CUSTOMER NA KHUD SA ISSUE RESOLVED KARWA LIYA','COMPLAINT RESOLVED','81','74','2021-05-21 15:02:53','2021-05-21 15:40:06',null);
INSERT INTO complaint_statuses VALUES('19507','5963','3',null,'72',null,'21-MAY-2021
COMPLAINT#072117860','74','92','2021-05-21 15:14:57','2021-05-29 10:28:27',null);
INSERT INTO complaint_statuses VALUES('19508','5889','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-21 15:33:06','2021-05-21 15:33:06',null);
INSERT INTO complaint_statuses VALUES('19509','5746','5','15',null,'CUSTOMER NA EXP REJECT KAR DIA COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-05-21 15:42:07','2021-05-21 15:43:24',null);
INSERT INTO complaint_statuses VALUES('19510','5891','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-21 15:46:34','2021-05-21 15:46:34',null);
INSERT INTO complaint_statuses VALUES('19511','5872','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-21 15:48:39','2021-05-21 15:48:39',null);
INSERT INTO complaint_statuses VALUES('19512','5729','8','23','63','AGAIN TRY KARAY',null,'81','81','2021-05-21 16:01:41','2021-05-21 16:01:41',null);
INSERT INTO complaint_statuses VALUES('19513','4163','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-05-21 16:05:54','2021-05-21 16:05:54',null);
INSERT INTO complaint_statuses VALUES('19514','5926','7','12','81','Door Adjustment.',null,'76','76','2021-05-21 16:12:03','2021-05-21 16:12:03',null);
INSERT INTO complaint_statuses VALUES('19515','5612','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-21 16:13:27','2021-05-21 16:45:38',null);
INSERT INTO complaint_statuses VALUES('19516','5875','7','12','81','Ok',null,'88','88','2021-05-21 16:16:35','2021-05-21 16:16:35',null);
INSERT INTO complaint_statuses VALUES('19517','5859','7','12','81','Demo Only.',null,'76','76','2021-05-21 16:42:53','2021-05-21 16:42:53',null);
INSERT INTO complaint_statuses VALUES('19518','5887','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-21 16:44:50','2021-05-21 16:44:50',null);
INSERT INTO complaint_statuses VALUES('19519','5711','5','15',null,'CUSTOMER REF S/C MOVE KRWANY PA AGREE NAI HAIN COMPLAINT CLANCEL KARWA DI
INFORMED BY KABEER FCI','COMPLAINT CANCEL','81','74','2021-05-21 17:15:48','2021-05-22 11:30:26',null);
INSERT INTO complaint_statuses VALUES('19520','5967','3',null,'73',null,'21/5/2021 
COMPLAIN NO 4615','92','73','2021-05-21 17:34:21','2021-05-22 11:57:16',null);
INSERT INTO complaint_statuses VALUES('19521','5968','3',null,'52',null,'21-MAY-2021
COMPLAINT#PKRI-210521108513','74','74','2021-05-21 17:46:42','2021-05-21 17:46:42',null);
INSERT INTO complaint_statuses VALUES('19522','5927','7','12','81','Refer to SVC in In Service , Customer Will Inform after some days.',null,'76','76','2021-05-21 18:02:08','2021-05-21 18:02:08',null);
INSERT INTO complaint_statuses VALUES('19523','5969','2',null,'81',null,'21-MAY2021
FF TO KHURRAM 5 STAR','74','74','2021-05-21 18:23:18','2021-05-21 18:23:18',null);
INSERT INTO complaint_statuses VALUES('19524','5969','4',null,'63',null,null,'81','81','2021-05-21 18:24:52','2021-05-21 18:24:52',null);
INSERT INTO complaint_statuses VALUES('19525','5927','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-05-22 11:00:35','2021-05-22 11:26:17',null);
INSERT INTO complaint_statuses VALUES('19526','5926','8','23','55','CUSTOMER KA ISSUE RESOLVED NAI HOA KINDLY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-05-22 11:04:32','2021-05-22 11:04:32',null);
INSERT INTO complaint_statuses VALUES('19527','5875','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-22 11:07:14','2021-05-22 11:26:59',null);
INSERT INTO complaint_statuses VALUES('19528','5859','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-22 11:08:42','2021-05-22 11:28:48',null);
INSERT INTO complaint_statuses VALUES('19529','5692','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-22 11:10:50','2021-05-22 11:31:43',null);
INSERT INTO complaint_statuses VALUES('19530','5970','3',null,'55',null,'22-MAY-2021
COM NO NAEEM KENWOOD
24-5-2021
complain#768634','92','73','2021-05-22 11:16:38','2021-05-24 18:40:58',null);
INSERT INTO complaint_statuses VALUES('19531','5747','5','15',null,'BURNAR STOCK MAIN AVAIL NAI HAIN CUSTOMER KO B INFORMED KAR DIA COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-05-22 11:23:23','2021-05-22 11:29:15',null);
INSERT INTO complaint_statuses VALUES('19532','5715','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-22 11:28:01','2021-05-22 11:29:54',null);
INSERT INTO complaint_statuses VALUES('19533','5971','3',null,'65',null,'22-MAY-2021
COM NO 192122565','92','92','2021-05-22 11:33:30','2021-05-22 17:43:13',null);
INSERT INTO complaint_statuses VALUES('19534','5713','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-05-22 11:36:27','2021-05-22 11:36:27',null);
INSERT INTO complaint_statuses VALUES('19535','5972','2',null,'81',null,'22-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-22 11:42:10','2021-05-22 11:42:10',null);
INSERT INTO complaint_statuses VALUES('19536','5904','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-22 11:45:08','2021-05-22 11:45:08',null);
INSERT INTO complaint_statuses VALUES('19537','5697','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-22 11:46:26','2021-05-22 11:55:01',null);
INSERT INTO complaint_statuses VALUES('19538','5638','8','23','61','CUSTOMER SA BT HOI HAIN WO BOL RAHAY HAIN K KISE NA KOI ESTIMATE NAI DIA
KINDLY CUSTOMER SA AGAIN CONTACT KARAY',null,'81','81','2021-05-22 11:53:29','2021-05-22 11:53:29',null);
INSERT INTO complaint_statuses VALUES('19539','5973','3',null,'53',null,'22-MAY-2021
COM NO 301126916','92','92','2021-05-22 11:54:51','2021-05-22 17:22:37',null);
INSERT INTO complaint_statuses VALUES('19540','5631','5','15',null,'CUSTOMER SA BT HOI HAIN UNHAY PATA HI NAI COMPLAINT KA CLOSED KARWA DI COMPLAINT','COMPLAINT CANCEL','81','74','2021-05-22 11:59:15','2021-05-22 12:20:16',null);
INSERT INTO complaint_statuses VALUES('19541','5974','3',null,'53',null,'22-MAY-2021
COM NO 26918','92','92','2021-05-22 12:00:25','2021-05-22 17:25:22',null);
INSERT INTO complaint_statuses VALUES('19542','5791','5',null,null,'COMPLAIN RESOLVED','22-5-21
COMPLAIN NO PKRI 210522106136','73','73','2021-05-22 12:01:15','2021-05-22 14:27:02',null);
INSERT INTO complaint_statuses VALUES('19543','5788','5',null,null,'COMPLAIN RESOLVED',null,'73','73','2021-05-22 12:12:04','2021-05-22 12:12:04',null);
INSERT INTO complaint_statuses VALUES('19544','5868','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-22 12:13:46','2021-05-22 12:13:46',null);
INSERT INTO complaint_statuses VALUES('19545','5596','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-22 12:14:14','2021-05-22 12:20:46',null);
INSERT INTO complaint_statuses VALUES('19546','5582','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-22 12:16:32','2021-05-22 12:21:17',null);
INSERT INTO complaint_statuses VALUES('19547','5975','3',null,'73',null,'22-MAY-2021
COM NO 4622','92','92','2021-05-22 12:26:22','2021-05-22 17:45:49',null);
INSERT INTO complaint_statuses VALUES('19548','5594','5','15',null,'CUSTOMER K REF MAIN KOI ISSUE NAI HAIN  JUST REF KA BOX CHAHIYA US K LIYA LG S/C KA NO PROVIDE KAR DIA CUSTOMER KO','COMPLAINT CANCEL','81','74','2021-05-22 12:26:40','2021-05-22 13:02:26',null);
INSERT INTO complaint_statuses VALUES('19549','5606','7','12','81',null,null,'91','91','2021-05-22 12:58:48','2021-05-22 12:58:48',null);
INSERT INTO complaint_statuses VALUES('19550','5811','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-22 12:59:19','2021-05-22 12:59:19',null);
INSERT INTO complaint_statuses VALUES('19551','5376','7','12','81',null,null,'91','91','2021-05-22 12:59:49','2021-05-22 12:59:49',null);
INSERT INTO complaint_statuses VALUES('19552','5537','7','12','81',null,null,'91','91','2021-05-22 13:00:18','2021-05-22 13:00:18',null);
INSERT INTO complaint_statuses VALUES('19553','5543','7','12','81',null,null,'91','91','2021-05-22 13:00:41','2021-05-22 13:00:41',null);
INSERT INTO complaint_statuses VALUES('19554','5607','7','12','81',null,null,'91','91','2021-05-22 13:01:12','2021-05-22 13:01:12',null);
INSERT INTO complaint_statuses VALUES('19555','5812','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-22 13:01:34','2021-05-22 13:01:34',null);
INSERT INTO complaint_statuses VALUES('19556','5376','5','15',null,null,null,'81','81','2021-05-22 13:02:40','2021-05-22 13:02:40',null);
INSERT INTO complaint_statuses VALUES('19557','5607','5','15',null,null,null,'81','81','2021-05-22 13:02:59','2021-05-22 13:02:59',null);
INSERT INTO complaint_statuses VALUES('19558','5537','5','15',null,null,null,'81','81','2021-05-22 13:03:26','2021-05-22 13:03:26',null);
INSERT INTO complaint_statuses VALUES('19559','5543','5','15',null,null,null,'81','81','2021-05-22 13:03:40','2021-05-22 13:03:40',null);
INSERT INTO complaint_statuses VALUES('19560','5606','5','15',null,null,null,'81','81','2021-05-22 13:04:04','2021-05-22 13:04:04',null);
INSERT INTO complaint_statuses VALUES('19561','5766','5',null,null,'COMPLAIN CLOSED',null,'73','73','2021-05-22 13:08:13','2021-05-22 13:08:13',null);
INSERT INTO complaint_statuses VALUES('19562','5864','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-22 13:27:42','2021-05-22 13:27:42',null);
INSERT INTO complaint_statuses VALUES('19563','5860','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-22 13:34:39','2021-05-22 13:34:39',null);
INSERT INTO complaint_statuses VALUES('19564','5287','8','15','55','HANDAL STOCK MAIN AVAIL NAI HAIN CUSTOMER KO B INFORMED KAR DIA COMPLAINT CLOSED',null,'81','81','2021-05-22 13:51:12','2021-05-22 13:51:12',null);
INSERT INTO complaint_statuses VALUES('19565','5750','5',null,null,'COMPLAIN CLOSED',null,'73','73','2021-05-22 13:56:22','2021-05-22 13:56:22',null);
INSERT INTO complaint_statuses VALUES('19566','5813','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-22 13:58:59','2021-05-22 13:58:59',null);
INSERT INTO complaint_statuses VALUES('19567','4855','5','15',null,'ABI TAQ SADAR BARNCH  NA OVEN LG S/C MOVE NAI KARWAY 
KHURRAM SADAR SA CONFIRM KAR K COMPLAINT CLOSED KI.
JAB OVEN S/C MOVE KARAY GAY FIR AGAIN COMPLAINT ENTER KARWAY GAY','COMPLAINT CANCELED','81','74','2021-05-22 14:00:33','2021-05-22 14:02:06',null);
INSERT INTO complaint_statuses VALUES('19568','5929','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-22 14:06:53','2021-05-22 14:06:53',null);
INSERT INTO complaint_statuses VALUES('19569','5949','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-22 14:12:34','2021-05-22 14:12:34',null);
INSERT INTO complaint_statuses VALUES('19570','5942','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-22 14:27:21','2021-05-22 14:27:21',null);
INSERT INTO complaint_statuses VALUES('19571','5935','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-22 14:52:37','2021-05-22 14:52:37',null);
INSERT INTO complaint_statuses VALUES('19572','5730','5',null,null,'COMPLAIN COLSED',null,'73','73','2021-05-22 14:55:39','2021-05-22 14:55:39',null);
INSERT INTO complaint_statuses VALUES('19573','5726','5',null,null,'COMPLAIN CLOSED',null,'73','73','2021-05-22 15:04:59','2021-05-22 15:04:59',null);
INSERT INTO complaint_statuses VALUES('19574','5920','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-22 15:05:51','2021-05-22 15:05:51',null);
INSERT INTO complaint_statuses VALUES('19575','5525','5',null,null,'COMPLAIN CLOSED',null,'73','73','2021-05-22 15:18:03','2021-05-22 15:18:03',null);
INSERT INTO complaint_statuses VALUES('19576','5841','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-22 15:31:13','2021-05-22 15:31:13',null);
INSERT INTO complaint_statuses VALUES('19577','5976','2',null,'81',null,'AZHAR FCI','73','73','2021-05-22 15:47:20','2021-05-22 15:47:20',null);
INSERT INTO complaint_statuses VALUES('19578','5952','7','12','81','Panel damage not cover in warranty',null,'83','83','2021-05-22 15:47:37','2021-05-22 15:47:37',null);
INSERT INTO complaint_statuses VALUES('19579','5972','4',null,'63',null,null,'81','81','2021-05-22 15:48:06','2021-05-22 15:48:06',null);
INSERT INTO complaint_statuses VALUES('19580','5972','4',null,'63',null,null,'81','81','2021-05-22 15:48:06','2021-05-22 15:48:06',null);
INSERT INTO complaint_statuses VALUES('19581','5976','4',null,'60',null,null,'81','81','2021-05-22 15:48:28','2021-05-22 15:48:28',null);
INSERT INTO complaint_statuses VALUES('19582','5977','3',null,'53',null,'22-MAY-2021
COMPLAINT#1126850','74','73','2021-05-22 16:00:52','2021-05-22 18:04:02',null);
INSERT INTO complaint_statuses VALUES('19583','5978','3',null,'52',null,'22-5-21
complaint#PKRI210522107788','73','73','2021-05-22 16:01:20','2021-05-22 17:09:05',null);
INSERT INTO complaint_statuses VALUES('19584','5796','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-22 16:09:23','2021-05-22 16:09:23',null);
INSERT INTO complaint_statuses VALUES('19585','5724','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-22 16:12:01','2021-05-22 16:12:01',null);
INSERT INTO complaint_statuses VALUES('19586','5979','3',null,'55',null,'22-5-21
COMPLAIN NO 767333','73','73','2021-05-22 16:12:38','2021-05-22 17:52:49',null);
INSERT INTO complaint_statuses VALUES('19587','5980','3',null,'73',null,'22-5-21
COPLAIN NO 4623','73','73','2021-05-22 16:23:52','2021-05-22 17:50:56',null);
INSERT INTO complaint_statuses VALUES('19588','5981','3',null,'53',null,'22-5-2021
COMPLAIN NO 26921','73','73','2021-05-22 16:26:16','2021-05-22 17:47:11',null);
INSERT INTO complaint_statuses VALUES('19589','5982','2',null,'81',null,'ADIL','73','73','2021-05-22 16:32:46','2021-05-22 16:32:46',null);
INSERT INTO complaint_statuses VALUES('19590','5983','3',null,'55',null,'22-5-2021
COMPLAIN NO 767384','73','73','2021-05-22 16:36:15','2021-05-22 17:29:05',null);
INSERT INTO complaint_statuses VALUES('19591','5984','3',null,'55',null,'22-5-2021
COMPLAIN NO 767378','73','73','2021-05-22 16:36:42','2021-05-22 17:31:01',null);
INSERT INTO complaint_statuses VALUES('19592','5985','3',null,'53',null,'22-5-2021
COMPLAIN NO 301126920','73','73','2021-05-22 16:43:32','2021-05-22 17:45:23',null);
INSERT INTO complaint_statuses VALUES('19593','5982','4',null,'62',null,null,'81','81','2021-05-22 16:52:48','2021-05-22 16:52:48',null);
INSERT INTO complaint_statuses VALUES('19594','5632','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-22 16:53:19','2021-05-22 16:53:19',null);
INSERT INTO complaint_statuses VALUES('19595','5986','3',null,'52',null,'22-5-2021
COMPLAIN NO PKRI-21052210852','73','73','2021-05-22 16:55:00','2021-05-22 17:27:53',null);
INSERT INTO complaint_statuses VALUES('19596','5852','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-22 16:56:37','2021-05-22 16:56:37',null);
INSERT INTO complaint_statuses VALUES('19597','5706','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-22 17:03:15','2021-05-22 17:03:15',null);
INSERT INTO complaint_statuses VALUES('19598','4354','8','23','55','MADAM PLZ ATTIQ SAB SA BAT KAR LAY',null,'81','81','2021-05-22 17:19:31','2021-05-22 17:19:31',null);
INSERT INTO complaint_statuses VALUES('19599','5847','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-22 17:36:09','2021-05-22 17:36:09',null);
INSERT INTO complaint_statuses VALUES('19600','5698','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-22 17:48:02','2021-05-22 17:48:02',null);
INSERT INTO complaint_statuses VALUES('19601','5656','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-22 17:52:18','2021-05-22 17:52:18',null);
INSERT INTO complaint_statuses VALUES('19602','5987','2',null,'81',null,'22-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-22 18:10:58','2021-05-22 18:10:58',null);
INSERT INTO complaint_statuses VALUES('19603','5988','2',null,'81',null,'22-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-22 18:20:29','2021-05-22 18:20:29',null);
INSERT INTO complaint_statuses VALUES('19604','5857','7','12','81','Led ok 
Aux cable replaced 
Visit 500
Cable 200',null,'83','83','2021-05-22 18:20:54','2021-05-22 18:20:54',null);
INSERT INTO complaint_statuses VALUES('19605','5858','7','12','81','Unit ok 
Aux cable replaced',null,'83','83','2021-05-22 18:21:19','2021-05-22 18:21:19',null);
INSERT INTO complaint_statuses VALUES('19606','5968','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-24 12:17:39','2021-05-24 12:17:39',null);
INSERT INTO complaint_statuses VALUES('19607','5952','8','23','61','PANEL KI PRICE  CONFIRM KARAY',null,'81','81','2021-05-24 12:18:54','2021-05-24 12:18:54',null);
INSERT INTO complaint_statuses VALUES('19608','5967','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-24 12:21:37','2021-05-24 12:21:37',null);
INSERT INTO complaint_statuses VALUES('19609','5989','3',null,'54',null,'24-MAY-2021
COM NO 1877021','92','92','2021-05-24 12:26:49','2021-05-24 12:26:49',null);
INSERT INTO complaint_statuses VALUES('19610','5990','2',null,'81',null,'24-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-24 12:38:51','2021-05-24 12:38:51',null);
INSERT INTO complaint_statuses VALUES('19611','5858','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-24 12:44:39','2021-05-24 13:16:04',null);
INSERT INTO complaint_statuses VALUES('19612','5857','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-24 12:47:03','2021-05-24 13:16:28',null);
INSERT INTO complaint_statuses VALUES('19613','5991','3',null,'54',null,'24-MAY-2021
COM NO 1877071','92','92','2021-05-24 12:48:00','2021-05-29 13:12:34',null);
INSERT INTO complaint_statuses VALUES('19614','5287','7','26','81','Please close  it.',null,'76','76','2021-05-24 12:48:01','2021-05-24 12:48:01',null);
INSERT INTO complaint_statuses VALUES('19615','5877','7','12','81','Service and Gasket Replaced.',null,'76','76','2021-05-24 12:50:17','2021-05-24 12:50:17',null);
INSERT INTO complaint_statuses VALUES('19616','5877','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-24 12:54:13','2021-05-24 13:15:36',null);
INSERT INTO complaint_statuses VALUES('19617','5264','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-24 12:55:34','2021-05-24 12:55:34',null);
INSERT INTO complaint_statuses VALUES('19618','5992','3',null,'52',null,'24-MAY-2021
COM NO PKRI-210523102834','92','74','2021-05-24 12:56:19','2021-05-25 15:42:38',null);
INSERT INTO complaint_statuses VALUES('19619','5287','5','15',null,'HANDAL STOCK MAINM AVAIL NAI HAIN','COMPLAINT CLOSED','81','74','2021-05-24 12:56:50','2021-05-24 13:16:53',null);
INSERT INTO complaint_statuses VALUES('19620','5900','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-24 12:59:21','2021-05-24 12:59:21',null);
INSERT INTO complaint_statuses VALUES('19621','5993','2',null,'81',null,'24-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-24 13:05:25','2021-05-24 13:05:25',null);
INSERT INTO complaint_statuses VALUES('19622','5965','2',null,'81',null,null,'74','74','2021-05-24 13:09:32','2021-05-24 13:09:32',null);
INSERT INTO complaint_statuses VALUES('19623','5966','2',null,'81',null,null,'74','74','2021-05-24 13:11:24','2021-05-24 13:11:24',null);
INSERT INTO complaint_statuses VALUES('19624','5994','2',null,'81',null,'24-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-24 13:14:54','2021-05-24 13:14:54',null);
INSERT INTO complaint_statuses VALUES('19625','5993','4',null,'64',null,null,'81','81','2021-05-24 13:17:32','2021-05-24 13:17:32',null);
INSERT INTO complaint_statuses VALUES('19626','5962','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-24 13:18:49','2021-05-24 13:18:49',null);
INSERT INTO complaint_statuses VALUES('19627','5995','3',null,'55',null,'24-MAY-2021
COM NO 787568','92','92','2021-05-24 13:21:00','2021-05-26 11:52:05',null);
INSERT INTO complaint_statuses VALUES('19628','5959','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-24 13:21:25','2021-05-24 13:21:25',null);
INSERT INTO complaint_statuses VALUES('19629','5955','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-24 13:23:36','2021-05-24 13:23:36',null);
INSERT INTO complaint_statuses VALUES('19630','5539','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-24 13:25:58','2021-05-24 13:25:58',null);
INSERT INTO complaint_statuses VALUES('19631','5996','3',null,'52',null,'24-MAY-2021
COM NO PKRI-2105231034841','92','92','2021-05-24 13:25:58','2021-05-24 13:25:58',null);
INSERT INTO complaint_statuses VALUES('19632','5952','7','12','81','Panel not available',null,'83','83','2021-05-24 13:27:20','2021-05-24 13:27:20',null);
INSERT INTO complaint_statuses VALUES('19633','5950','2',null,'81',null,null,'73','73','2021-05-24 13:27:33','2021-05-24 13:27:33',null);
INSERT INTO complaint_statuses VALUES('19634','5994','4',null,'55',null,null,'81','81','2021-05-24 13:28:23','2021-05-24 13:28:23',null);
INSERT INTO complaint_statuses VALUES('19635','5990','4',null,'63',null,null,'81','81','2021-05-24 13:28:31','2021-05-24 13:28:31',null);
INSERT INTO complaint_statuses VALUES('19636','5988','4',null,'63',null,null,'81','81','2021-05-24 13:28:39','2021-05-24 13:28:39',null);
INSERT INTO complaint_statuses VALUES('19637','5987','4',null,'63',null,null,'81','81','2021-05-24 13:28:47','2021-05-24 13:28:47',null);
INSERT INTO complaint_statuses VALUES('19638','5966','4',null,'64',null,null,'81','81','2021-05-24 13:29:16','2021-05-24 13:29:16',null);
INSERT INTO complaint_statuses VALUES('19639','5965','4',null,'64',null,null,'81','81','2021-05-24 13:29:23','2021-05-24 13:29:23',null);
INSERT INTO complaint_statuses VALUES('19640','5950','4',null,'64',null,null,'81','81','2021-05-24 13:29:33','2021-05-24 13:29:33',null);
INSERT INTO complaint_statuses VALUES('19641','5966','7','12','81','DOUBLE ENTRY',null,'91','91','2021-05-24 13:30:47','2021-05-24 13:30:47',null);
INSERT INTO complaint_statuses VALUES('19642','5993','7','26','81','PLZ FORWARD TO RELATED VENDOR...',null,'91','91','2021-05-24 13:32:05','2021-05-24 13:32:05',null);
INSERT INTO complaint_statuses VALUES('19643','5965','7','12','81','DOUBLE ENTRY',null,'91','91','2021-05-24 13:32:44','2021-05-24 13:32:44',null);
INSERT INTO complaint_statuses VALUES('19644','5951','2',null,'81',null,null,'73','73','2021-05-24 13:35:15','2021-05-24 13:35:15',null);
INSERT INTO complaint_statuses VALUES('19645','5997','2',null,'81',null,'24-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-24 13:39:02','2021-05-24 13:39:02',null);
INSERT INTO complaint_statuses VALUES('19646','5940','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-24 13:40:32','2021-05-24 13:40:32',null);
INSERT INTO complaint_statuses VALUES('19647','5997','4',null,'63',null,null,'81','81','2021-05-24 13:40:49','2021-05-24 13:40:49',null);
INSERT INTO complaint_statuses VALUES('19648','5998','2',null,'81',null,'24-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-24 13:45:51','2021-05-24 13:45:51',null);
INSERT INTO complaint_statuses VALUES('19649','5964','3',null,'53',null,'24-5-2021
COMPLAIN NO 1127545','73','92','2021-05-24 13:49:18','2021-06-17 13:37:35',null);
INSERT INTO complaint_statuses VALUES('19650','5999','2',null,'81',null,'24-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-24 13:54:18','2021-05-24 13:54:18',null);
INSERT INTO complaint_statuses VALUES('19651','5966','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-05-24 14:01:07','2021-05-24 14:23:26',null);
INSERT INTO complaint_statuses VALUES('19652','5965','5','15',null,'COMPLAINT COMPLAINT','COMPLAINT CLOSED','81','74','2021-05-24 14:03:01','2021-05-24 14:23:52',null);
INSERT INTO complaint_statuses VALUES('19653','6000','2',null,'81',null,'24-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-24 14:05:58','2021-05-24 14:05:58',null);
INSERT INTO complaint_statuses VALUES('19654','6001','2',null,'81',null,'24-MAY-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-05-24 14:11:37','2021-05-24 14:11:37',null);
INSERT INTO complaint_statuses VALUES('19655','6002','2',null,'81',null,'24-MAY-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-05-24 14:17:38','2021-05-24 14:17:38',null);
INSERT INTO complaint_statuses VALUES('19656','5782','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-24 14:19:08','2021-05-24 14:19:08',null);
INSERT INTO complaint_statuses VALUES('19657','5822','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-24 14:22:56','2021-05-24 14:22:56',null);
INSERT INTO complaint_statuses VALUES('19658','6003','2',null,'81',null,'24-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-24 14:24:12','2021-05-24 14:24:12',null);
INSERT INTO complaint_statuses VALUES('19659','6004','2',null,'81',null,'24-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-24 14:33:20','2021-05-24 14:33:20',null);
INSERT INTO complaint_statuses VALUES('19660','6005','2',null,'81',null,'24-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-24 14:38:16','2021-05-24 14:38:16',null);
INSERT INTO complaint_statuses VALUES('19661','6006','2',null,'81',null,'24-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-24 14:44:00','2021-05-24 14:44:00',null);
INSERT INTO complaint_statuses VALUES('19662','6007','3',null,'65',null,'24-MAY-2021
COM NO 192122605','92','92','2021-05-24 14:50:54','2021-05-24 14:54:08',null);
INSERT INTO complaint_statuses VALUES('19663','5208','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-05-24 14:54:59','2021-05-24 14:54:59',null);
INSERT INTO complaint_statuses VALUES('19664','5817','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-24 14:59:09','2021-05-24 14:59:09',null);
INSERT INTO complaint_statuses VALUES('19665','5930','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-24 15:05:18','2021-05-24 15:05:18',null);
INSERT INTO complaint_statuses VALUES('19666','5809','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-05-24 15:14:49','2021-05-24 15:14:49',null);
INSERT INTO complaint_statuses VALUES('19667','5993','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-24 15:15:25','2021-05-24 15:17:02',null);
INSERT INTO complaint_statuses VALUES('19668','5809','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-24 15:16:00','2021-05-24 15:17:27',null);
INSERT INTO complaint_statuses VALUES('19669','6006','4',null,'58',null,null,'81','81','2021-05-24 15:16:31','2021-05-24 15:16:31',null);
INSERT INTO complaint_statuses VALUES('19670','6005','4',null,'62',null,null,'81','81','2021-05-24 15:16:39','2021-05-24 15:16:39',null);
INSERT INTO complaint_statuses VALUES('19671','6004','4',null,'58',null,null,'81','81','2021-05-24 15:16:49','2021-05-24 15:16:49',null);
INSERT INTO complaint_statuses VALUES('19672','6003','4',null,'62',null,null,'81','81','2021-05-24 15:17:37','2021-05-24 15:17:37',null);
INSERT INTO complaint_statuses VALUES('19673','6002','4',null,'63',null,null,'81','81','2021-05-24 15:17:47','2021-05-24 15:17:47',null);
INSERT INTO complaint_statuses VALUES('19674','6001','4',null,'55',null,null,'81','81','2021-05-24 15:17:56','2021-05-24 15:17:56',null);
INSERT INTO complaint_statuses VALUES('19675','6000','4',null,'62',null,null,'81','81','2021-05-24 15:18:05','2021-05-24 15:18:05',null);
INSERT INTO complaint_statuses VALUES('19676','5999','4',null,'55',null,null,'81','81','2021-05-24 15:18:17','2021-05-24 15:18:17',null);
INSERT INTO complaint_statuses VALUES('19677','5998','4',null,'55',null,null,'81','81','2021-05-24 15:18:27','2021-05-24 15:18:27',null);
INSERT INTO complaint_statuses VALUES('19678','5918','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-24 15:20:21','2021-05-24 15:20:21',null);
INSERT INTO complaint_statuses VALUES('19679','5936','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-24 15:23:32','2021-05-24 15:23:32',null);
INSERT INTO complaint_statuses VALUES('19680','6008','3',null,'52',null,'24-MAY-2021
COM NO PKRI-210523105555','92','92','2021-05-24 15:25:31','2021-05-24 15:25:31',null);
INSERT INTO complaint_statuses VALUES('19681','5793','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-24 15:30:10','2021-05-24 15:30:10',null);
INSERT INTO complaint_statuses VALUES('19682','5931','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-24 15:45:13','2021-05-24 15:45:13',null);
INSERT INTO complaint_statuses VALUES('19683','6009','3',null,'66',null,'24-MAY-2021
COM NO PK052420210173','92','92','2021-05-24 15:53:43','2021-05-26 12:01:11',null);
INSERT INTO complaint_statuses VALUES('19684','6010','3',null,'65',null,'24-MAY-2021
COM NO 192122610','92','92','2021-05-24 16:07:41','2021-05-26 11:57:42',null);
INSERT INTO complaint_statuses VALUES('19685','6011','3',null,'65',null,'24-MAY-2021
COM NO 072117879','92','92','2021-05-24 16:15:51','2021-05-26 12:04:10',null);
INSERT INTO complaint_statuses VALUES('19686','5608','5',null,null,'again issue','COMPLAINT RESOLVED','73','74','2021-05-24 16:17:08','2021-05-25 11:17:31',null);
INSERT INTO complaint_statuses VALUES('19687','6012','3',null,'59',null,'24-MAY-2021
COM NO 4245644204','92','92','2021-05-24 16:33:51','2021-05-26 12:07:23',null);
INSERT INTO complaint_statuses VALUES('19688','6013','3',null,'53',null,'OTHER#03005174050
25-5-2021
COMPLAINT#301127840','73','73','2021-05-24 16:35:26','2021-05-25 10:31:45',null);
INSERT INTO complaint_statuses VALUES('19689','5914','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-24 16:41:42','2021-05-24 16:41:42',null);
INSERT INTO complaint_statuses VALUES('19690','6014','3',null,'81',null,'25-5-2021
COMPLAINT#316','73','73','2021-05-24 16:42:09','2021-05-25 10:52:37',null);
INSERT INTO complaint_statuses VALUES('19691','6015','2',null,'81',null,'24-MAY-2021
COM FF TO AZHAR FCI','92','92','2021-05-24 16:53:13','2021-05-24 16:53:13',null);
INSERT INTO complaint_statuses VALUES('19692','6016','2',null,'81',null,'20-FEB-2021
COM FF TO HOME SOLUTION','73','73','2021-05-24 16:53:25','2021-05-24 16:53:25',null);
INSERT INTO complaint_statuses VALUES('19693','6015','4',null,'60',null,null,'81','81','2021-05-24 16:54:13','2021-05-24 16:54:13',null);
INSERT INTO complaint_statuses VALUES('19694','6016','4',null,'62',null,null,'81','81','2021-05-24 16:54:28','2021-05-24 16:54:28',null);
INSERT INTO complaint_statuses VALUES('19695','6017','3',null,'52',null,'24-5-2021
complain no pkri-210524110251','73','73','2021-05-24 16:56:54','2021-05-24 17:22:31',null);
INSERT INTO complaint_statuses VALUES('19696','6018','3',null,'67',null,'24-MAY-2021
COM FF TO BABAR CARAVELL','92','92','2021-05-24 17:02:40','2021-05-26 12:08:57',null);
INSERT INTO complaint_statuses VALUES('19697','6019','3',null,'52',null,'24-MAY-2021
COM NO PKRI-210523105996','92','92','2021-05-24 17:08:31','2021-05-26 11:17:35',null);
INSERT INTO complaint_statuses VALUES('19698','6020','3',null,'52',null,'24-5-2021
complain no pkri-210524110572','73','73','2021-05-24 17:09:45','2021-05-24 17:43:46',null);
INSERT INTO complaint_statuses VALUES('19699','4397','7','12','81','ye i ref i10 hai ye enternal leakge mein aya hua hai.',null,'79','79','2021-05-24 17:11:18','2021-05-24 17:11:18',null);
INSERT INTO complaint_statuses VALUES('19700','6021','3',null,'52',null,'24-MAY-2021
COM NO PKRI-210523103627','92','92','2021-05-24 17:12:13','2021-05-26 11:21:50',null);
INSERT INTO complaint_statuses VALUES('19701','5451','7','12','81','2 br inko bol dya tha k work shop behj dein mgr nahi behji',null,'79','79','2021-05-24 17:12:48','2021-05-24 17:12:48',null);
INSERT INTO complaint_statuses VALUES('19702','5673','7','12','81','complaint resolved',null,'79','79','2021-05-24 17:14:05','2021-05-24 17:14:05',null);
INSERT INTO complaint_statuses VALUES('19703','6022','3',null,'66',null,'25-5-2021
COMPLAIN#PK-452520210021','73','73','2021-05-24 17:15:16','2021-05-25 10:44:02',null);
INSERT INTO complaint_statuses VALUES('19704','5563','7','12','81','pcb issue i 10 adil ki pas hai',null,'79','79','2021-05-24 17:15:21','2021-05-24 17:15:21',null);
INSERT INTO complaint_statuses VALUES('19705','6023','3',null,'81',null,'24-MAY-2021
COMPLAINT#315','74','74','2021-05-24 17:15:23','2021-05-24 17:17:33',null);
INSERT INTO complaint_statuses VALUES('19706','5908','7','12','81','copreesor ..cupplery..gas charged',null,'79','79','2021-05-24 17:17:15','2021-05-24 17:17:15',null);
INSERT INTO complaint_statuses VALUES('19707','5897','7','12','81','complaint resolved',null,'79','79','2021-05-24 17:17:47','2021-05-24 17:17:47',null);
INSERT INTO complaint_statuses VALUES('19708','6024','3',null,'54',null,'24-MAY-2021
COM NO 1877230','92','92','2021-05-24 17:17:51','2021-05-26 11:39:33',null);
INSERT INTO complaint_statuses VALUES('19709','5834','7','12','81','pcb change complint resolved',null,'79','79','2021-05-24 17:18:20','2021-05-24 17:18:20',null);
INSERT INTO complaint_statuses VALUES('19710','5836','7','12','81','uit ka koi issue nai hai cusotemr end sy issue hai concealed piping thi kal ho jaye gi.',null,'79','79','2021-05-24 17:20:00','2021-05-24 17:20:00',null);
INSERT INTO complaint_statuses VALUES('19711','5808','7','12','81','gas charged only ..complinat resolved',null,'79','79','2021-05-24 17:20:45','2021-05-24 17:20:45',null);
INSERT INTO complaint_statuses VALUES('19712','6025','3',null,'54',null,'24-MAY-2021
COM NO 1877250','92','92','2021-05-24 17:21:22','2021-05-24 17:21:22',null);
INSERT INTO complaint_statuses VALUES('19713','6026','3',null,'52',null,'24-MAY-2021
COM NO PKRI-210523105282
5-6-21
NEW COMPLAINT#PKRI-210605107844','92','73','2021-05-24 17:23:57','2021-06-05 14:43:36',null);
INSERT INTO complaint_statuses VALUES('19714','6027','2',null,'81',null,'B.COOL','73','73','2021-05-24 17:24:17','2021-05-24 17:24:17',null);
INSERT INTO complaint_statuses VALUES('19715','5820','7','12','81','compliantr resolved',null,'79','79','2021-05-24 17:25:48','2021-05-24 17:25:48',null);
INSERT INTO complaint_statuses VALUES('19716','6028','3',null,'52',null,'24-5-2021
complain#
pkir-21052411121','73','73','2021-05-24 17:27:26','2021-05-24 18:26:55',null);
INSERT INTO complaint_statuses VALUES('19717','6029','3',null,'59',null,'24-MAY-2021
COM NO 4245642724','92','92','2021-05-24 17:28:11','2021-05-24 17:28:11',null);
INSERT INTO complaint_statuses VALUES('19718','5588','7','12','81','1 unit main pcb replaced   RS 3500 
3 unit  minor adjustment only  rs 1500 
1 unit damage 
all unit return back',null,'83','83','2021-05-24 17:30:19','2021-05-24 17:30:19',null);
INSERT INTO complaint_statuses VALUES('19719','5924','7','12','81','drain coil change compliant resolved',null,'79','79','2021-05-24 17:30:29','2021-05-24 17:30:29',null);
INSERT INTO complaint_statuses VALUES('19720','6030','3',null,'52',null,'24-MAY-2021
COM NO PKRI-210523105346','92','92','2021-05-24 17:31:17','2021-05-26 11:28:40',null);
INSERT INTO complaint_statuses VALUES('19721','6031','3',null,'52',null,'24-MAY-2021
COMPLAINT# PKRI-210524110385','74','74','2021-05-24 17:31:28','2021-05-25 15:45:48',null);
INSERT INTO complaint_statuses VALUES('19722','6032','2',null,'81',null,'FRWRD TO KHURRAM 5STAR','73','73','2021-05-24 17:34:40','2021-05-24 17:34:40',null);
INSERT INTO complaint_statuses VALUES('19723','6033','3',null,'55',null,'24-MAY-2021
FF TO NAEEM KEWOOD
complain#768622','74','73','2021-05-24 17:39:17','2021-05-24 18:16:44',null);
INSERT INTO complaint_statuses VALUES('19724','6034','3',null,'53',null,'24-MAY-2021
COM NO 301127267','92','92','2021-05-24 17:40:28','2021-05-26 11:01:43',null);
INSERT INTO complaint_statuses VALUES('19725','5708','7','26','81','cusotmer is in karachi   and  shared wife number  03218551144  but she is not attending the phone .',null,'83','83','2021-05-24 17:43:03','2021-05-24 17:43:03',null);
INSERT INTO complaint_statuses VALUES('19726','5807','7','12','81','Main pcb repair  RS 6000
suzuki rent   pick &drop   2000

total  7000',null,'83','83','2021-05-24 17:48:04','2021-05-24 17:48:04',null);
INSERT INTO complaint_statuses VALUES('19727','6035','3',null,'65',null,'COMPLAIN#192122592','73','73','2021-05-24 17:53:12','2021-05-24 17:53:12',null);
INSERT INTO complaint_statuses VALUES('19728','6036','3',null,'53',null,'24-MAY-2021
COMPLAINT#301127759','74','92','2021-05-24 17:58:48','2021-05-26 10:51:07',null);
INSERT INTO complaint_statuses VALUES('19729','6037','2',null,'81',null,'FIVESTAR','73','73','2021-05-24 17:58:56','2021-05-24 17:58:56',null);
INSERT INTO complaint_statuses VALUES('19730','6038','3',null,'53',null,'24-MAY-2021
COMPLAINT#301127763','74','74','2021-05-24 18:03:42','2021-05-24 18:03:42',null);
INSERT INTO complaint_statuses VALUES('19731','3179','7','26','81','Plz contact with mr arshad 03005011003 for mrm stock unit warrnty claim 
unit is in bahriya 7 service center',null,'83','83','2021-05-24 18:03:54','2021-05-24 18:03:54',null);
INSERT INTO complaint_statuses VALUES('19732','6039','3',null,'52',null,'24-5-21
COMPLAINt#pkri210523106091','73','73','2021-05-24 18:05:56','2021-05-24 18:05:56',null);
INSERT INTO complaint_statuses VALUES('19733','6040','3',null,'53',null,'24-MAY-2021
COM NO
301127837','92','73','2021-05-24 18:07:49','2021-05-25 10:32:34',null);
INSERT INTO complaint_statuses VALUES('19734','6027','4',null,'58',null,null,'81','81','2021-05-24 18:10:09','2021-05-24 18:10:09',null);
INSERT INTO complaint_statuses VALUES('19735','6037','4',null,'63',null,null,'81','81','2021-05-24 18:14:07','2021-05-24 18:14:07',null);
INSERT INTO complaint_statuses VALUES('19736','6032','4',null,'63',null,null,'81','81','2021-05-24 18:14:20','2021-05-24 18:14:20',null);
INSERT INTO complaint_statuses VALUES('19737','5951','4',null,'64',null,null,'81','81','2021-05-24 18:16:39','2021-05-24 18:16:39',null);
INSERT INTO complaint_statuses VALUES('19738','6041','3',null,'84',null,'24-MAY-2021
FF TO NAEEM KENWOOD','74','92','2021-05-24 18:24:54','2021-05-27 14:26:47',null);
INSERT INTO complaint_statuses VALUES('19739','6042','2',null,'81',null,'24-MAY-2021
COM FF TO NADEEM AZHAR','92','92','2021-05-24 18:26:44','2021-05-24 18:26:44',null);
INSERT INTO complaint_statuses VALUES('19740','6043','2',null,'81',null,'24-MAY-2021
COM FF TO BEST COOL','92','92','2021-05-24 18:31:37','2021-05-24 18:31:37',null);
INSERT INTO complaint_statuses VALUES('19741','6043','4',null,'58',null,null,'81','81','2021-05-24 18:33:30','2021-05-24 18:33:30',null);
INSERT INTO complaint_statuses VALUES('19742','6042','4',null,'59',null,null,'81','81','2021-05-24 18:33:52','2021-05-24 18:33:52',null);
INSERT INTO complaint_statuses VALUES('19743','6044','3',null,'67',null,'FRWRD TO ANWER CARAVELL','73','73','2021-05-24 18:36:02','2021-05-24 18:36:02',null);
INSERT INTO complaint_statuses VALUES('19744','6045','2',null,'81',null,'24-MAY-2021
COM FF TO HOME SOLUTION','92','92','2021-05-24 18:38:33','2021-05-24 18:38:33',null);
INSERT INTO complaint_statuses VALUES('19745','6045','4',null,'62',null,null,'81','81','2021-05-24 18:39:58','2021-05-24 18:39:58',null);
INSERT INTO complaint_statuses VALUES('19746','6046','3',null,'52',null,'24-MAY-2021
COMPLAINT#PKRI-210524111285','74','74','2021-05-24 18:40:06','2021-05-24 18:40:06',null);
INSERT INTO complaint_statuses VALUES('19747','5917','7','12','81','ISSUE RESOLVED',null,'87','87','2021-05-24 18:55:45','2021-05-24 18:55:45',null);
INSERT INTO complaint_statuses VALUES('19748','6047','2',null,'81',null,'24-MAY-2021
FF TO KHALID SONY','74','74','2021-05-24 19:02:48','2021-05-24 19:02:48',null);
INSERT INTO complaint_statuses VALUES('19749','6047','4',null,'56',null,null,'81','81','2021-05-24 19:03:23','2021-05-24 19:03:23',null);
INSERT INTO complaint_statuses VALUES('19750','5816','7','12','81','GAS CHARGED + COMP REPLACED',null,'87','87','2021-05-24 19:14:06','2021-05-24 19:14:06',null);
INSERT INTO complaint_statuses VALUES('19751','5838','7','26','81','PLZ CHECK TASK NO 5773',null,'87','87','2021-05-24 19:16:50','2021-05-24 19:16:50',null);
INSERT INTO complaint_statuses VALUES('19752','5939','7','12','81','ISSUE RESOLVED , SERVICE KIA',null,'87','87','2021-05-24 19:25:29','2021-05-24 19:25:29',null);
INSERT INTO complaint_statuses VALUES('19753','6016','7','12','81','ISSUE RESOLVED BY CUSTOMER HIMSELF',null,'87','87','2021-05-24 19:37:22','2021-05-24 19:37:22',null);
INSERT INTO complaint_statuses VALUES('19754','5879','7','12','81','ISSUE RESOLVED ,TAB REPLACED',null,'87','87','2021-05-24 19:51:28','2021-05-24 19:51:28',null);
INSERT INTO complaint_statuses VALUES('19755','5780','7','12','81','ISSUE RESOLVED',null,'87','87','2021-05-24 19:52:01','2021-05-24 19:52:01',null);
INSERT INTO complaint_statuses VALUES('19756','5987','7','12','81','G tech',null,'88','88','2021-05-24 20:23:20','2021-05-24 20:23:20',null);
INSERT INTO complaint_statuses VALUES('19757','5969','7','12','81','G tec',null,'88','88','2021-05-24 20:23:45','2021-05-24 20:23:45',null);
INSERT INTO complaint_statuses VALUES('19758','5945','7','26','81','Hood',null,'88','88','2021-05-24 20:25:11','2021-05-24 20:25:11',null);
INSERT INTO complaint_statuses VALUES('19759','5762','7','12','81','DOOR SWITCH DIRECT KR K CUSTOMER KO SATISFIED KR DIA HAI',null,'87','87','2021-05-24 22:23:45','2021-05-24 22:23:45',null);
INSERT INTO complaint_statuses VALUES('19760','6005','7','26','81','CUSTOMER KO CL KI BUT CUSTOMER NY KAHA KOI COMPLAINT NHI HAI',null,'87','87','2021-05-24 22:24:50','2021-05-24 22:24:50',null);
INSERT INTO complaint_statuses VALUES('19761','5982','7','26','81','PLZ CHECK TASK NO 6003',null,'87','87','2021-05-24 22:29:30','2021-05-24 22:29:30',null);
INSERT INTO complaint_statuses VALUES('19762','5856','7','12','81','Unit ok with setting. Unit with Customer',null,'77','77','2021-05-25 10:27:54','2021-05-25 10:27:54',null);
INSERT INTO complaint_statuses VALUES('19763','5837','5',null,null,'complaint completed',null,'92','92','2021-05-25 10:39:48','2021-05-25 10:39:48',null);
INSERT INTO complaint_statuses VALUES('19764','5833','5',null,null,'complaint completed',null,'92','92','2021-05-25 10:41:50','2021-05-25 10:41:50',null);
INSERT INTO complaint_statuses VALUES('19765','5830','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-25 10:46:32','2021-05-25 10:46:32',null);
INSERT INTO complaint_statuses VALUES('19766','6016','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-25 10:57:51','2021-05-25 11:15:58',null);
INSERT INTO complaint_statuses VALUES('19767','6048','2',null,'81',null,'ADIL','73','73','2021-05-25 10:58:21','2021-05-25 10:58:21',null);
INSERT INTO complaint_statuses VALUES('19768','5756','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-25 10:59:15','2021-05-25 10:59:15',null);
INSERT INTO complaint_statuses VALUES('19769','6049','2',null,'81',null,'25-MAY-2021
COM FF TO SHAMMIM AKHTER','73','73','2021-05-25 11:00:29','2021-05-25 11:01:30',null);
INSERT INTO complaint_statuses VALUES('19770','5752','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-25 11:01:18','2021-05-25 11:01:18',null);
INSERT INTO complaint_statuses VALUES('19771','6005','8','23','62','NAME JHANZAIB.
CELL#03345343905  IC NO PA CONTACT KAR COMPLAINT RESOLVED KARWAY',null,'81','81','2021-05-25 11:01:37','2021-05-25 11:01:37',null);
INSERT INTO complaint_statuses VALUES('19772','6050','3',null,'53',null,'25-5-2021
COMPLAINT#301128270','73','73','2021-05-25 11:08:48','2021-05-25 16:41:42',null);
INSERT INTO complaint_statuses VALUES('19773','6051','3',null,'60',null,'25-MAY-2021
FF TO MISS RABIA SIG + GENERAL TECH','74','74','2021-05-25 11:08:52','2021-05-25 11:08:52',null);
INSERT INTO complaint_statuses VALUES('19774','5987','5','15',null,'COMPLAINT MISS RABIA KO LHR FF KARWA DI COMPLAINT RESOLVED','COMPLAINT FF TO COMPANY','81','74','2021-05-25 11:10:46','2021-05-25 11:16:39',null);
INSERT INTO complaint_statuses VALUES('19775','5741','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-25 11:12:02','2021-05-25 11:12:02',null);
INSERT INTO complaint_statuses VALUES('19776','6052','3',null,'52',null,'25-5-2021 
COPLAINT#PKRI-210525106455','73','73','2021-05-25 11:14:43','2021-05-25 14:42:35',null);
INSERT INTO complaint_statuses VALUES('19777','6053','2',null,'81',null,'AZHAR FCI','73','73','2021-05-25 11:17:54','2021-05-25 11:17:54',null);
INSERT INTO complaint_statuses VALUES('19778','6054','2',null,'81',null,'ADIL','73','73','2021-05-25 11:20:03','2021-05-25 11:20:03',null);
INSERT INTO complaint_statuses VALUES('19779','5982','5','15',null,'JUST AIR COOLER KI COMPLAINT HAIN W/D KI NAI HAIN CUSTOMER SA B CONFIRM KAR LIYA','COMPLAINT CANCELED','81','74','2021-05-25 11:20:54','2021-05-25 11:44:12',null);
INSERT INTO complaint_statuses VALUES('19780','6055','3',null,'52',null,'25-5-2021
complain#PKRI-210522104581','73','73','2021-05-25 11:23:58','2021-05-25 14:41:29',null);
INSERT INTO complaint_statuses VALUES('19781','6056','3',null,'53',null,'25-5-2021
COMPLAIN#301128272','73','73','2021-05-25 11:27:55','2021-05-25 16:44:53',null);
INSERT INTO complaint_statuses VALUES('19782','6057','3',null,'60',null,'25-MAY-2021
FF TO MISS RABIA SIG + GENERTEC','74','74','2021-05-25 11:28:08','2021-05-25 11:28:08',null);
INSERT INTO complaint_statuses VALUES('19783','6058','3',null,'73',null,'COMPLAINT#4658','73','74','2021-05-25 11:33:37','2021-05-28 17:17:14',null);
INSERT INTO complaint_statuses VALUES('19784','6059','3',null,'52',null,'25-5-2021
copmlaint#pkri-21055105830','73','73','2021-05-25 11:38:45','2021-05-25 13:31:30',null);
INSERT INTO complaint_statuses VALUES('19785','5969','5','15',null,'COMPLAINT MIS RABIA KO WHATS APP PA FF KAR DI HAIN COMPLAINT COMPLETED','COMPLAINT FF TO COMPANY','81','74','2021-05-25 11:40:22','2021-05-25 11:44:57',null);
INSERT INTO complaint_statuses VALUES('19786','6060','3',null,'52',null,'25-5-2021
complaint#pkri-210525105775','73','73','2021-05-25 11:43:10','2021-05-25 13:26:19',null);
INSERT INTO complaint_statuses VALUES('19787','5986','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-25 11:52:38','2021-05-25 11:52:38',null);
INSERT INTO complaint_statuses VALUES('19788','4440','5','25',null,'COMPLAINT COMPLAETED','COMPLAINT CANCEL','81','92','2021-05-25 11:52:51','2021-05-25 12:04:37',null);
INSERT INTO complaint_statuses VALUES('19789','6061','3',null,'52',null,'25-5-2021
copmlaint#pkri-210525105696','73','73','2021-05-25 11:55:33','2021-05-25 13:22:29',null);
INSERT INTO complaint_statuses VALUES('19790','6062','2',null,'81',null,'LG','73','73','2021-05-25 11:59:38','2021-05-25 11:59:38',null);
INSERT INTO complaint_statuses VALUES('19791','6063','3',null,'53',null,'COM NO 301128293','73','92','2021-05-25 12:05:01','2021-05-25 16:58:53',null);
INSERT INTO complaint_statuses VALUES('19792','5208','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-25 12:11:57','2021-05-25 14:38:01',null);
INSERT INTO complaint_statuses VALUES('19793','6064','3',null,'54',null,'COM NO 1879975','73','92','2021-05-25 12:12:55','2021-05-25 17:41:37',null);
INSERT INTO complaint_statuses VALUES('19794','6065','2',null,'81',null,'25-MAY-2021
FF TO NADEEM AV','74','74','2021-05-25 12:13:35','2021-05-25 12:13:35',null);
INSERT INTO complaint_statuses VALUES('19795','5451','8','13','58','ISHFAQ SIR SAY BAT HUAI HAY AJ W/M S/C BAJH DAY GAY',null,'81','81','2021-05-25 12:16:17','2021-05-25 12:16:17',null);
INSERT INTO complaint_statuses VALUES('19796','5588','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-25 12:17:57','2021-05-25 14:40:43',null);
INSERT INTO complaint_statuses VALUES('19797','6066','3',null,'55',null,'25-5-2021
COMPLAINT#ISB-12436','73','73','2021-05-25 12:18:06','2021-05-25 17:06:04',null);
INSERT INTO complaint_statuses VALUES('19798','6065','4',null,'59',null,null,'81','81','2021-05-25 12:18:42','2021-05-25 12:18:42',null);
INSERT INTO complaint_statuses VALUES('19799','6062','4',null,'55',null,null,'81','81','2021-05-25 12:18:53','2021-05-25 12:18:53',null);
INSERT INTO complaint_statuses VALUES('19800','5502','5','15',null,'customer ko led replace kar de hy        ....... GRN 33437','COMPLAINT CLOSED','81','74','2021-05-25 12:19:12','2021-05-25 12:20:04',null);
INSERT INTO complaint_statuses VALUES('19801','5673','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-05-25 12:19:28','2021-05-25 12:20:31',null);
INSERT INTO complaint_statuses VALUES('19802','5983','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-25 12:19:38','2021-05-25 12:19:38',null);
INSERT INTO complaint_statuses VALUES('19803','6054','4',null,'64',null,null,'81','81','2021-05-25 12:21:26','2021-05-25 12:21:26',null);
INSERT INTO complaint_statuses VALUES('19804','6067','2',null,'81',null,'5STAR','73','73','2021-05-25 12:21:31','2021-05-25 12:21:31',null);
INSERT INTO complaint_statuses VALUES('19805','5708','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-25 12:22:50','2021-05-25 14:41:37',null);
INSERT INTO complaint_statuses VALUES('19806','5762','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-25 12:23:54','2021-05-25 14:44:15',null);
INSERT INTO complaint_statuses VALUES('19807','6068','3',null,'53',null,'COM NO 301128294','73','92','2021-05-25 12:27:46','2021-05-25 17:09:32',null);
INSERT INTO complaint_statuses VALUES('19808','6069','2',null,'81',null,'KHALID','73','73','2021-05-25 12:29:26','2021-05-25 12:29:26',null);
INSERT INTO complaint_statuses VALUES('19809','5780','8','13','62','VISIT HO GAYA THA ISSUE NOT RESOLVED AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-05-25 12:30:41','2021-05-25 12:30:41',null);
INSERT INTO complaint_statuses VALUES('19810','5807','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-25 12:32:26','2021-05-25 14:45:54',null);
INSERT INTO complaint_statuses VALUES('19811','6070','3',null,'53',null,'25-5-2021
 COMPLAINT#301128288','73','73','2021-05-25 12:33:23','2021-05-25 16:48:47',null);
INSERT INTO complaint_statuses VALUES('19812','6069','4',null,'56',null,null,'81','81','2021-05-25 12:34:19','2021-05-25 12:34:19',null);
INSERT INTO complaint_statuses VALUES('19813','6067','4',null,'63',null,null,'81','81','2021-05-25 12:34:33','2021-05-25 12:34:33',null);
INSERT INTO complaint_statuses VALUES('19814','6053','4',null,'60',null,null,'81','81','2021-05-25 12:34:43','2021-05-25 12:34:43',null);
INSERT INTO complaint_statuses VALUES('19815','6049','4',null,'55',null,null,'81','81','2021-05-25 12:34:56','2021-05-25 12:34:56',null);
INSERT INTO complaint_statuses VALUES('19816','5808','8','13','58','SIR VISIT HO GAYA HAY ISSUE NOT RESOLVED AGAIN VISIT ARANGE  KARWAY',null,'81','81','2021-05-25 12:35:19','2021-05-25 12:35:19',null);
INSERT INTO complaint_statuses VALUES('19817','6048','4',null,'62',null,null,'81','81','2021-05-25 12:35:23','2021-05-25 12:35:23',null);
INSERT INTO complaint_statuses VALUES('19818','6071','2',null,'81',null,'ADIL','73','73','2021-05-25 12:36:27','2021-05-25 12:36:27',null);
INSERT INTO complaint_statuses VALUES('19819','5989','5',null,null,'COMPLAINT  RESOLVED',null,'74','74','2021-05-25 12:37:33','2021-05-25 12:37:33',null);
INSERT INTO complaint_statuses VALUES('19820','6072','2',null,'81',null,'5STAR','73','73','2021-05-25 12:41:43','2021-05-25 12:41:43',null);
INSERT INTO complaint_statuses VALUES('19821','6073','3',null,'91',null,'FRWRD TO SHAKEELNATIONAL','73','73','2021-05-25 12:57:29','2021-05-25 12:57:29',null);
INSERT INTO complaint_statuses VALUES('19822','6074','3',null,'54',null,'COM NO 1879989','73','92','2021-05-25 13:02:17','2021-05-25 17:49:11',null);
INSERT INTO complaint_statuses VALUES('19823','6075','3',null,'53',null,'COM NO 301128295','73','92','2021-05-25 13:04:00','2021-05-25 17:09:55',null);
INSERT INTO complaint_statuses VALUES('19824','6076','2',null,'81',null,'25-APR-2021
COM FF TO BEST COOL','92','92','2021-05-25 13:04:40','2021-05-25 13:04:40',null);
INSERT INTO complaint_statuses VALUES('19825','5945','5','25',null,'COMPLAINT COMPLETED',null,'81','81','2021-05-25 13:06:30','2021-05-25 13:06:30',null);
INSERT INTO complaint_statuses VALUES('19826','6076','4',null,'58',null,null,'81','81','2021-05-25 13:07:48','2021-05-25 13:07:48',null);
INSERT INTO complaint_statuses VALUES('19827','5828','7','12','81','motor change  complaint resolved',null,'79','79','2021-05-25 13:11:06','2021-05-25 13:11:06',null);
INSERT INTO complaint_statuses VALUES('19828','6077','2',null,'81',null,'B.COOL','73','73','2021-05-25 13:11:59','2021-05-25 13:11:59',null);
INSERT INTO complaint_statuses VALUES('19829','6078','3',null,'54',null,'COM NO 1879992','73','92','2021-05-25 13:18:13','2021-05-25 17:51:41',null);
INSERT INTO complaint_statuses VALUES('19830','5820','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-25 13:23:17','2021-05-25 14:42:40',null);
INSERT INTO complaint_statuses VALUES('19831','6045','7','12','81','ISSUE RESOLVED',null,'87','87','2021-05-25 13:24:00','2021-05-25 13:24:00',null);
INSERT INTO complaint_statuses VALUES('19832','5828','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-25 13:24:56','2021-05-25 14:36:52',null);
INSERT INTO complaint_statuses VALUES('19833','6079','2',null,'81',null,'OTHER#03005010330
03425913199
LG','73','73','2021-05-25 13:25:01','2021-05-25 14:33:52',null);
INSERT INTO complaint_statuses VALUES('19834','5834','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-25 13:25:53','2021-05-25 14:36:13',null);
INSERT INTO complaint_statuses VALUES('19835','5885','7','12','81','compliant resolved motor change',null,'79','79','2021-05-25 13:26:25','2021-05-25 13:26:25',null);
INSERT INTO complaint_statuses VALUES('19836','6005','7','12','81','ISSUE RESOLVED',null,'87','87','2021-05-25 13:28:20','2021-05-25 13:28:20',null);
INSERT INTO complaint_statuses VALUES('19837','6080','3',null,'53',null,'COM NO 301128298','73','92','2021-05-25 13:34:46','2021-05-25 17:17:13',null);
INSERT INTO complaint_statuses VALUES('19838','5773','7','12','81','ISSUE RESOLVED',null,'87','87','2021-05-25 13:36:14','2021-05-25 13:36:14',null);
INSERT INTO complaint_statuses VALUES('19839','5838','5','15',null,'DABAL ENTRY','COMPLAINT COMPLETED','81','92','2021-05-25 13:36:33','2021-05-25 14:35:40',null);
INSERT INTO complaint_statuses VALUES('19840','5856','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-25 13:38:48','2021-05-25 14:34:15',null);
INSERT INTO complaint_statuses VALUES('19841','5879','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLAETED','81','92','2021-05-25 13:41:01','2021-05-25 14:33:24',null);
INSERT INTO complaint_statuses VALUES('19842','6081','2',null,'81',null,'LG','73','73','2021-05-25 13:41:11','2021-05-25 13:41:11',null);
INSERT INTO complaint_statuses VALUES('19843','5915','7','12','81','Hose Pipe Replaced +Visit  Charges (Charges Pending 2000)',null,'76','76','2021-05-25 13:43:24','2021-05-25 13:43:24',null);
INSERT INTO complaint_statuses VALUES('19844','5897','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-25 13:44:09','2021-05-25 14:27:32',null);
INSERT INTO complaint_statuses VALUES('19845','5908','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-25 13:46:54','2021-05-25 14:26:51',null);
INSERT INTO complaint_statuses VALUES('19846','6082','3',null,'53',null,'COM NO 301128303','73','92','2021-05-25 13:47:12','2021-05-25 17:25:11',null);
INSERT INTO complaint_statuses VALUES('19847','5915','8','23','55','VISIT HO GAYA HAY ISSUE NOT RESOLVED AGAIN VISIT ARANGE KARWAY',null,'81','81','2021-05-25 13:50:57','2021-05-25 13:50:57',null);
INSERT INTO complaint_statuses VALUES('19848','5917','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-25 13:52:54','2021-05-25 14:25:19',null);
INSERT INTO complaint_statuses VALUES('19849','5855','7','26','81','CUSTOMER NY KHUD E OK KRWAI',null,'87','87','2021-05-25 13:53:20','2021-05-25 13:53:20',null);
INSERT INTO complaint_statuses VALUES('19850','5924','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-25 13:54:18','2021-05-25 14:24:37',null);
INSERT INTO complaint_statuses VALUES('19851','5855','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-25 13:56:58','2021-05-25 14:35:03',null);
INSERT INTO complaint_statuses VALUES('19852','5939','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-25 13:58:37','2021-05-25 14:22:47',null);
INSERT INTO complaint_statuses VALUES('19853','6045','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-25 14:01:20','2021-05-25 14:20:49',null);
INSERT INTO complaint_statuses VALUES('19854','6083','3',null,'52',null,'25-5-2021
COMPLAINT#PKRI-210525107008','73','73','2021-05-25 14:01:32','2021-05-25 14:46:16',null);
INSERT INTO complaint_statuses VALUES('19855','5885','5','15',null,'CUSTOMER NOT ATTEND CALL','COMPLAINT COMPLETED','81','92','2021-05-25 14:01:49','2021-05-25 14:29:10',null);
INSERT INTO complaint_statuses VALUES('19856','5816','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-25 14:03:09','2021-05-25 14:43:24',null);
INSERT INTO complaint_statuses VALUES('19857','5757','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-25 14:03:32','2021-05-25 14:03:32',null);
INSERT INTO complaint_statuses VALUES('19858','6081','4',null,'55',null,null,'81','81','2021-05-25 14:05:45','2021-05-25 14:05:45',null);
INSERT INTO complaint_statuses VALUES('19859','6079','4',null,'55',null,null,'81','81','2021-05-25 14:05:56','2021-05-25 14:05:56',null);
INSERT INTO complaint_statuses VALUES('19860','6077','4',null,'58',null,null,'81','81','2021-05-25 14:06:09','2021-05-25 14:06:09',null);
INSERT INTO complaint_statuses VALUES('19861','6072','4',null,'63',null,null,'81','81','2021-05-25 14:06:19','2021-05-25 14:06:19',null);
INSERT INTO complaint_statuses VALUES('19862','6071','4',null,'62',null,null,'81','81','2021-05-25 14:06:44','2021-05-25 14:06:44',null);
INSERT INTO complaint_statuses VALUES('19863','6084','3',null,'80',null,'FRWRD TO TAHIR SIEMENS','73','73','2021-05-25 14:07:45','2021-05-25 14:07:45',null);
INSERT INTO complaint_statuses VALUES('19864','4397','5','15',null,'COMPLAINT INPROCESS',null,'81','81','2021-05-25 14:09:07','2021-05-25 14:09:07',null);
INSERT INTO complaint_statuses VALUES('19865','6085','3',null,'80',null,'FRWRD TO TAHIR SIEMENS','73','73','2021-05-25 14:10:10','2021-05-25 14:10:10',null);
INSERT INTO complaint_statuses VALUES('19866','5773','5','15',null,'CUSTOMER NOT ATTEND CALL','COMPLAINT COMPLETED','81','92','2021-05-25 14:17:09','2021-05-25 18:05:22',null);
INSERT INTO complaint_statuses VALUES('19867','6005','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-25 14:20:04','2021-05-25 14:21:20',null);
INSERT INTO complaint_statuses VALUES('19868','6086','3',null,'53',null,'COM NO 301128308','73','92','2021-05-25 14:20:21','2021-05-25 17:25:31',null);
INSERT INTO complaint_statuses VALUES('19869','6087','2',null,'81',null,'LG','73','73','2021-05-25 14:23:42','2021-05-25 14:23:42',null);
INSERT INTO complaint_statuses VALUES('19870','6088','2',null,'81',null,'LG','73','73','2021-05-25 14:28:06','2021-05-25 14:28:06',null);
INSERT INTO complaint_statuses VALUES('19871','6089','3',null,'57',null,'25-5-2021
COMPLAIN#18307','73','73','2021-05-25 14:32:19','2021-05-25 17:09:20',null);
INSERT INTO complaint_statuses VALUES('19872','6090','3',null,'52',null,'25-*MAY-2021
COMPLAINT#PKRI-210525106832','74','92','2021-05-25 14:36:49','2021-05-27 12:38:51',null);
INSERT INTO complaint_statuses VALUES('19873','5473','7','12','81','ISSUE RESOLVED ,',null,'87','87','2021-05-25 14:46:22','2021-05-25 14:46:22',null);
INSERT INTO complaint_statuses VALUES('19874','5850','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-25 14:53:07','2021-05-25 14:53:07',null);
INSERT INTO complaint_statuses VALUES('19875','5854','7','12','81','complaint resolved auto wire change',null,'79','79','2021-05-25 14:54:10','2021-05-25 14:54:10',null);
INSERT INTO complaint_statuses VALUES('19876','5907','7','12','81','auto kit change complaint resolved',null,'79','79','2021-05-25 14:55:36','2021-05-25 14:55:36',null);
INSERT INTO complaint_statuses VALUES('19877','6029','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-25 14:57:27','2021-05-25 14:57:27',null);
INSERT INTO complaint_statuses VALUES('19878','6044','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-25 14:59:33','2021-05-25 14:59:33',null);
INSERT INTO complaint_statuses VALUES('19879','6088','4',null,'55',null,null,'81','81','2021-05-25 15:04:04','2021-05-25 15:04:04',null);
INSERT INTO complaint_statuses VALUES('19880','6087','4',null,'55',null,null,'81','81','2021-05-25 15:04:15','2021-05-25 15:04:15',null);
INSERT INTO complaint_statuses VALUES('19881','6091','3',null,'52',null,'25-5-2021
COMPLAIN#PKRI-210525108691','73','73','2021-05-25 15:11:11','2021-05-25 16:30:26',null);
INSERT INTO complaint_statuses VALUES('19882','6039','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-25 15:12:04','2021-05-25 15:12:04',null);
INSERT INTO complaint_statuses VALUES('19883','6092','3',null,'53',null,'2-6-21
COMPLAINT#301132154','73','73','2021-05-25 15:16:41','2021-06-02 11:31:19',null);
INSERT INTO complaint_statuses VALUES('19884','6093','2',null,'81',null,'25-MAY-2021
FF TO NADEEM AV','74','74','2021-05-25 15:21:03','2021-05-25 15:21:03',null);
INSERT INTO complaint_statuses VALUES('19885','6093','4',null,'59',null,null,'81','81','2021-05-25 15:21:27','2021-05-25 15:21:27',null);
INSERT INTO complaint_statuses VALUES('19886','5952','5','15',null,'PANEL STOCK MAIN AVAIL NI
 COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-05-25 15:23:38','2021-05-25 17:04:01',null);
INSERT INTO complaint_statuses VALUES('19887','6094','2',null,'81',null,'B.COOL','73','73','2021-05-25 15:23:39','2021-05-25 15:23:39',null);
INSERT INTO complaint_statuses VALUES('19888','6094','4',null,'58',null,null,'81','81','2021-05-25 15:24:31','2021-05-25 15:24:31',null);
INSERT INTO complaint_statuses VALUES('19889','5907','8','23','58','NOB KA ISSUE RESOLVED HO GAYA.
BUNNER KA ISSUE RESOLVED NAI HOA',null,'81','81','2021-05-25 15:27:22','2021-05-25 15:27:22',null);
INSERT INTO complaint_statuses VALUES('19890','5854','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-25 15:30:40','2021-05-25 15:55:25',null);
INSERT INTO complaint_statuses VALUES('19891','6095','3',null,'52',null,'25-5-2021
COMPLAINT#PKRI-1210515108632','73','73','2021-05-25 15:42:54','2021-05-25 16:26:07',null);
INSERT INTO complaint_statuses VALUES('19892','6096','2',null,'81',null,'B.COOL','73','73','2021-05-25 15:52:05','2021-05-25 15:52:05',null);
INSERT INTO complaint_statuses VALUES('19893','6096','4',null,'58',null,null,'81','81','2021-05-25 15:52:26','2021-05-25 15:52:26',null);
INSERT INTO complaint_statuses VALUES('19894','6097','3',null,'53',null,'2-6-21
COMPLAINT#301132246','73','73','2021-05-25 15:56:43','2021-06-02 11:58:55',null);
INSERT INTO complaint_statuses VALUES('19895','6047','7','24','81','We called to customer. He will bring his unit to service center on friday',null,'77','77','2021-05-25 16:14:00','2021-05-25 16:14:00',null);
INSERT INTO complaint_statuses VALUES('19896','6098','2',null,'81',null,'KHALID','73','73','2021-05-25 16:15:18','2021-05-25 16:15:18',null);
INSERT INTO complaint_statuses VALUES('19897','6098','4',null,'56',null,null,'81','81','2021-05-25 16:15:37','2021-05-25 16:15:37',null);
INSERT INTO complaint_statuses VALUES('19898','5795','7','9','81','Call not attending time 4.22 today',null,'77','77','2021-05-25 16:22:39','2021-05-25 16:22:39',null);
INSERT INTO complaint_statuses VALUES('19899','6099','2',null,'81',null,'25-MAY-2021
COM NO 1879862','92','92','2021-05-25 16:37:44','2021-05-25 16:37:44',null);
INSERT INTO complaint_statuses VALUES('19900','6099','4',null,'64',null,null,'81','81','2021-05-25 16:38:34','2021-05-25 16:38:34',null);
INSERT INTO complaint_statuses VALUES('19901','6100','3',null,'52',null,'25-MAY-2021
COMPLAINT#PKRI-210525108929','74','92','2021-05-25 16:40:40','2021-05-27 12:47:36',null);
INSERT INTO complaint_statuses VALUES('19902','5836','8','23','58','CUSTOMER KA DONO UNIT MAIN ISSUE AARHA HAIN KINDLY  CUSTOMER SA CONTACT KAR K ISSUE RESOLVED KARAY',null,'81','81','2021-05-25 16:57:44','2021-05-25 16:57:44',null);
INSERT INTO complaint_statuses VALUES('19903','6101','3',null,'52',null,'25-5-2021
COMPLAINT#PKRI-210525109442
TACTION NO 03455088808 ADEEL 
03451512233 HANAN','73','92','2021-05-25 17:00:16','2021-05-27 16:07:32',null);
INSERT INTO complaint_statuses VALUES('19904','6102','3',null,'65',null,'25-5-2021
COMPLAINT#192122674','73','73','2021-05-25 17:04:56','2021-05-25 17:27:03',null);
INSERT INTO complaint_statuses VALUES('19905','5795','8','23','56','0332 WALYA NO PA CALL KARAY HUMARI CUSTOMER SA IC NO PA BAT HOI HAIN',null,'81','81','2021-05-25 17:07:24','2021-05-25 17:07:24',null);
INSERT INTO complaint_statuses VALUES('19906','6047','8','23','56','OK JOB COMPLETED QUKILEY',null,'81','81','2021-05-25 17:08:03','2021-05-25 17:08:03',null);
INSERT INTO complaint_statuses VALUES('19907','6103','3',null,'61',null,'25-5-2021
COMPLAINT#202105014175','73','73','2021-05-25 17:14:34','2021-05-25 17:47:03',null);
INSERT INTO complaint_statuses VALUES('19908','6104','2',null,'81',null,'25-MAY-2021
FF TO ANEEQ','74','74','2021-05-25 17:19:09','2021-05-25 17:19:09',null);
INSERT INTO complaint_statuses VALUES('19909','6105','2',null,'81',null,'B.COOL','73','73','2021-05-25 17:19:09','2021-05-25 17:19:09',null);
INSERT INTO complaint_statuses VALUES('19910','6104','4',null,'64',null,null,'81','81','2021-05-25 17:19:35','2021-05-25 17:19:35',null);
INSERT INTO complaint_statuses VALUES('19911','6105','4',null,'58',null,null,'81','81','2021-05-25 17:19:47','2021-05-25 17:19:47',null);
INSERT INTO complaint_statuses VALUES('19912','5563','8','23','58','PARTS STOCK MAIN AVAIL NAI HAIN KINDLY AP CUSTOMER KO INFORMED KAR DAY',null,'81','81','2021-05-25 17:20:57','2021-05-25 17:20:57',null);
INSERT INTO complaint_statuses VALUES('19913','6106','2',null,'81',null,'MRM','73','73','2021-05-25 17:22:54','2021-05-25 17:22:54',null);
INSERT INTO complaint_statuses VALUES('19914','6003','7','12','81','ISSUE RESOLVED , SERVICE KIA',null,'87','87','2021-05-25 17:23:38','2021-05-25 17:23:38',null);
INSERT INTO complaint_statuses VALUES('19915','6106','4',null,'61',null,null,'81','81','2021-05-25 17:23:55','2021-05-25 17:23:55',null);
INSERT INTO complaint_statuses VALUES('19916','5473','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-05-25 17:25:11','2021-05-25 18:10:30',null);
INSERT INTO complaint_statuses VALUES('19917','5738','8','23','60','CUSTOMER SA BAT KARAY UNHAY GALASS KA EXP BATAYA',null,'81','81','2021-05-25 17:32:26','2021-05-25 17:32:26',null);
INSERT INTO complaint_statuses VALUES('19918','6003','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-05-25 17:34:39','2021-05-25 18:09:59',null);
INSERT INTO complaint_statuses VALUES('19919','6001','7','12','81','Demo Only.Visit Pending 600/-',null,'76','76','2021-05-25 18:04:22','2021-05-25 18:04:22',null);
INSERT INTO complaint_statuses VALUES('19920','6107','3',null,'74',null,'FRWRD TO SAJID FISCHER 
COMPLAINT#63 SANA MADAM','73','74','2021-05-25 18:10:38','2021-05-26 10:57:00',null);
INSERT INTO complaint_statuses VALUES('19921','6001','5','15',null,'COMPLETED COMLAINT','COMPLAINT RESOLVED','81','92','2021-05-25 18:15:32','2021-05-25 18:19:49',null);
INSERT INTO complaint_statuses VALUES('19922','5439','5','23',null,'OK JOB COMPLETED QUKILEY','COMPLAINT REOPEND','81','74','2021-05-25 18:16:42','2021-05-26 10:59:11',null);
INSERT INTO complaint_statuses VALUES('19923','6108','2',null,'81',null,'21-APR-2021
COM FF TO AZHAR SIR','74','74','2021-05-25 18:17:09','2021-05-25 18:17:09',null);
INSERT INTO complaint_statuses VALUES('19924','6109','3',null,'53',null,'26-52021
COMPLAINT#301128418','73','73','2021-05-25 18:26:03','2021-05-26 10:25:53',null);
INSERT INTO complaint_statuses VALUES('19925','6108','4',null,'62',null,null,'81','81','2021-05-25 18:26:55','2021-05-25 18:26:55',null);
INSERT INTO complaint_statuses VALUES('19926','6108','7','26','81',null,null,'87','87','2021-05-25 18:43:43','2021-05-25 18:43:43',null);
INSERT INTO complaint_statuses VALUES('19927','6000','7','26','81','IT'S A REQUEST INVOICE KO ZRA ACHY SE DKH LIA KREIN THEN LAUNCH KIA KREIN,,, TASK NO 3273',null,'87','87','2021-05-25 18:45:49','2021-05-25 18:45:49',null);
INSERT INTO complaint_statuses VALUES('19928','6048','7','10','81','I TRIED 3 T0 4 TIME.',null,'87','87','2021-05-25 18:50:50','2021-05-25 18:50:50',null);
INSERT INTO complaint_statuses VALUES('19929','5912','7','12','81','HAMARY END SE COMPLAINT OK HAI, PROBLEM CUSTOMER K END SE HAI SO PLZ CLOSE IT.',null,'87','87','2021-05-25 19:38:48','2021-05-25 19:38:48',null);
INSERT INTO complaint_statuses VALUES('19930','5925','7','12','81','Hud theek tha nechy oven chly to uski grill ki awaz thi',null,'82','82','2021-05-25 20:16:46','2021-05-25 20:16:46',null);
INSERT INTO complaint_statuses VALUES('19931','6108','5','15',null,'wrong vender select','COMPLAINT CLOSED','81','74','2021-05-26 10:33:16','2021-05-26 10:50:22',null);
INSERT INTO complaint_statuses VALUES('19932','4960','5',null,null,'AGAIN LAUNCH',null,'73','73','2021-05-26 10:33:21','2021-05-26 10:33:21',null);
INSERT INTO complaint_statuses VALUES('19933','6110','2',null,'81',null,'21-APR-2021
COM FF TO AZHAR SIR','74','74','2021-05-26 10:34:25','2021-05-26 10:34:25',null);
INSERT INTO complaint_statuses VALUES('19934','6110','4',null,'60',null,null,'81','81','2021-05-26 10:34:49','2021-05-26 10:34:49',null);
INSERT INTO complaint_statuses VALUES('19935','6111','3',null,'66',null,'26-MAY-2021
COMPLAINT#PK-052620210027','73','73','2021-05-26 10:38:33','2021-05-26 10:43:28',null);
INSERT INTO complaint_statuses VALUES('19936','6046','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-26 10:44:47','2021-05-26 10:44:47',null);
INSERT INTO complaint_statuses VALUES('19937','6038','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-26 10:47:36','2021-05-26 10:47:36',null);
INSERT INTO complaint_statuses VALUES('19938','6112','2',null,'81',null,'B.COOL','73','73','2021-05-26 10:48:20','2021-05-26 10:48:20',null);
INSERT INTO complaint_statuses VALUES('19939','6112','4',null,'58',null,null,'81','81','2021-05-26 10:54:06','2021-05-26 10:54:06',null);
INSERT INTO complaint_statuses VALUES('19940','6113','3',null,'52',null,'COMPLAINT#PKRI-210526102975','73','73','2021-05-26 11:04:14','2021-05-26 11:08:44',null);
INSERT INTO complaint_statuses VALUES('19941','6048','8','23','62','AGAIN TRY KAR LAY',null,'81','81','2021-05-26 11:04:29','2021-05-26 11:04:29',null);
INSERT INTO complaint_statuses VALUES('19942','5984','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-26 11:08:11','2021-05-26 11:08:11',null);
INSERT INTO complaint_statuses VALUES('19943','5992','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-26 11:11:02','2021-05-26 11:11:02',null);
INSERT INTO complaint_statuses VALUES('19944','5925','5','15',null,'COMPLAINT RESOLVED',null,'81','81','2021-05-26 11:13:03','2021-05-26 11:13:03',null);
INSERT INTO complaint_statuses VALUES('19945','6114','3',null,'53',null,'26-5-2021
COMPLAIN#301128669','73','73','2021-05-26 11:13:13','2021-05-26 13:50:38',null);
INSERT INTO complaint_statuses VALUES('19946','5996','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-26 11:13:21','2021-05-26 11:13:21',null);
INSERT INTO complaint_statuses VALUES('19947','6008','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-26 11:14:46','2021-05-26 11:14:46',null);
INSERT INTO complaint_statuses VALUES('19948','6000','8','23','62','KAYA DAKHAY AGIN FREEZER MAIN ISSUE AAGAY HAIN AGAIN VISIT KARWAY',null,'81','81','2021-05-26 11:16:13','2021-05-26 11:16:13',null);
INSERT INTO complaint_statuses VALUES('19949','6021','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-26 11:22:16','2021-05-26 11:22:16',null);
INSERT INTO complaint_statuses VALUES('19950','5912','8','23','62','CUSTOMER KA ISSUE RESOLVED NAI HOA R KUCH CHARGES KI B BAT KAR RAHAY HAIN WO B CLEA KAR 
CUSTOMER KO SATISFIED KAR K COMPLAINT COMPLETED KIYA KARAY',null,'81','81','2021-05-26 11:22:42','2021-05-26 11:22:42',null);
INSERT INTO complaint_statuses VALUES('19951','6115','3',null,'52',null,'COM NO PKRI-210526106953','73','92','2021-05-26 11:23:37','2021-05-26 14:32:53',null);
INSERT INTO complaint_statuses VALUES('19952','6028','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-26 11:24:21','2021-05-26 11:24:21',null);
INSERT INTO complaint_statuses VALUES('19953','5980','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-26 11:25:50','2021-05-26 11:25:50',null);
INSERT INTO complaint_statuses VALUES('19954','6030','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-26 11:29:19','2021-05-26 11:29:19',null);
INSERT INTO complaint_statuses VALUES('19955','6116','3',null,'66',null,'26-5-2021
COMPLAINT#PK-052620210125','73','73','2021-05-26 11:31:55','2021-05-26 14:56:16',null);
INSERT INTO complaint_statuses VALUES('19956','6117','3',null,'55',null,'26-5-2021
COMPLAINT#ISB-769935
03105953456 SHAROZ TACTION','73','92','2021-05-26 11:36:44','2021-05-31 11:49:00',null);
INSERT INTO complaint_statuses VALUES('19957','6118','3',null,'54',null,'26-5-2021
COMPLAINT#1880845','73','73','2021-05-26 11:42:03','2021-05-26 14:38:14',null);
INSERT INTO complaint_statuses VALUES('19958','6025','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-26 11:44:09','2021-05-26 11:44:09',null);
INSERT INTO complaint_statuses VALUES('19959','5755','8','23','58','CUSTOMER SA AGAIN BAT KAR LAY AGR WO NEW CARD LAGWANY MAIN INT RESTED HAIN',null,'81','81','2021-05-26 11:53:27','2021-05-26 11:53:27',null);
INSERT INTO complaint_statuses VALUES('19960','6119','2',null,'81',null,'B.COOL','73','73','2021-05-26 12:00:40','2021-05-26 12:00:40',null);
INSERT INTO complaint_statuses VALUES('19961','6120','3',null,'53',null,'26-5-2021
COMPLAIN#301128686','73','73','2021-05-26 12:03:34','2021-05-26 13:58:19',null);
INSERT INTO complaint_statuses VALUES('19962','5878','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-26 12:06:04','2021-05-26 12:06:04',null);
INSERT INTO complaint_statuses VALUES('19963','5876','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-26 12:07:27','2021-05-26 12:07:27',null);
INSERT INTO complaint_statuses VALUES('19964','6012','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-26 12:07:44','2021-05-26 12:07:44',null);
INSERT INTO complaint_statuses VALUES('19965','6121','3',null,'52',null,'COM NO PKRI-210526107086','73','92','2021-05-26 12:08:47','2021-05-26 14:39:34',null);
INSERT INTO complaint_statuses VALUES('19966','6122','3',null,'73',null,'COM NO 4649','73','92','2021-05-26 12:14:30','2021-05-26 14:59:55',null);
INSERT INTO complaint_statuses VALUES('19967','4488','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-26 12:25:37','2021-05-26 12:25:37',null);
INSERT INTO complaint_statuses VALUES('19968','6119','4',null,'58',null,null,'81','81','2021-05-26 12:26:00','2021-05-26 12:26:00',null);
INSERT INTO complaint_statuses VALUES('19969','6123','3',null,'52',null,'COM NO PKRI-210526107188','73','92','2021-05-26 12:27:38','2021-05-26 14:44:27',null);
INSERT INTO complaint_statuses VALUES('19970','4782','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-26 12:31:01','2021-05-26 12:31:01',null);
INSERT INTO complaint_statuses VALUES('19971','6124','3',null,'52',null,'26-5-2021
COMPLAINT#1880868','73','73','2021-05-26 12:37:18','2021-05-26 14:45:55',null);
INSERT INTO complaint_statuses VALUES('19972','5912','7','12','81','NOW RESOLVED',null,'87','87','2021-05-26 13:00:18','2021-05-26 13:00:18',null);
INSERT INTO complaint_statuses VALUES('19973','5434','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-26 13:02:36','2021-05-26 13:02:36',null);
INSERT INTO complaint_statuses VALUES('19974','5739','8','23','62','JOB COMPLETED QUKILEY',null,'81','81','2021-05-26 13:05:06','2021-05-26 13:05:06',null);
INSERT INTO complaint_statuses VALUES('19975','6125','2',null,'81',null,'B.COOL','73','73','2021-05-26 13:05:07','2021-05-26 13:05:07',null);
INSERT INTO complaint_statuses VALUES('19976','5912','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-05-26 13:06:21','2021-05-26 13:07:28',null);
INSERT INTO complaint_statuses VALUES('19977','6126','2',null,'81',null,'LG','73','73','2021-05-26 13:09:08','2021-05-26 13:09:08',null);
INSERT INTO complaint_statuses VALUES('19978','5702','8','23','58','CUSTOMER KO CONFIRM KAR K CLOSED KARAY COMPLAINT',null,'81','81','2021-05-26 13:10:37','2021-05-26 13:10:37',null);
INSERT INTO complaint_statuses VALUES('19979','6127','2',null,'81',null,'MRM','73','73','2021-05-26 13:11:08','2021-05-26 13:11:08',null);
INSERT INTO complaint_statuses VALUES('19980','5886','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-26 13:12:31','2021-05-26 13:12:31',null);
INSERT INTO complaint_statuses VALUES('19981','6127','4',null,'61',null,null,'81','81','2021-05-26 13:14:06','2021-05-26 13:14:06',null);
INSERT INTO complaint_statuses VALUES('19982','6126','4',null,'55',null,null,'81','81','2021-05-26 13:14:22','2021-05-26 13:14:22',null);
INSERT INTO complaint_statuses VALUES('19983','6125','4',null,'58',null,null,'81','81','2021-05-26 13:14:34','2021-05-26 13:14:34',null);
INSERT INTO complaint_statuses VALUES('19984','5883','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-26 13:15:57','2021-05-26 13:15:57',null);
INSERT INTO complaint_statuses VALUES('19985','5971','5',null,null,'COMAPLAINT COMPLETED',null,'92','92','2021-05-26 13:19:18','2021-05-26 13:19:18',null);
INSERT INTO complaint_statuses VALUES('19986','6128','3',null,'85',null,'26-5-2021
COMPLAIN#301128672','73','73','2021-05-26 13:27:16','2021-05-26 13:54:14',null);
INSERT INTO complaint_statuses VALUES('19987','6129','3',null,'61',null,'COM NO 202105014829','73','92','2021-05-26 13:46:48','2021-05-26 15:09:09',null);
INSERT INTO complaint_statuses VALUES('19988','5743','7','12','81','Oven fit kar dia hy sheshy ki pyment ly ayea ho',null,'82','82','2021-05-26 14:01:51','2021-05-26 14:01:51',null);
INSERT INTO complaint_statuses VALUES('19989','4505','7','24','81','Plz in sy pochy ky oven bhejna hy ya nhi .to phir closed kar de complain',null,'82','82','2021-05-26 14:14:39','2021-05-26 14:14:39',null);
INSERT INTO complaint_statuses VALUES('19990','6130','2',null,'81',null,'B.COOL','73','73','2021-05-26 14:15:03','2021-05-26 14:15:03',null);
INSERT INTO complaint_statuses VALUES('19991','6110','7','24','81','Ye oven custmer ko utar ky de ayea tha inho ny workshop bhejna hy',null,'82','82','2021-05-26 14:15:33','2021-05-26 14:15:33',null);
INSERT INTO complaint_statuses VALUES('19992','6053','7','24','81','Azhar bhai ko farwerd kar di hy karway gy isko',null,'82','82','2021-05-26 14:16:38','2021-05-26 14:16:38',null);
INSERT INTO complaint_statuses VALUES('19993','6130','4',null,'58',null,null,'81','81','2021-05-26 14:16:49','2021-05-26 14:16:49',null);
INSERT INTO complaint_statuses VALUES('19994','5840','7','24','81','Custmer ny dubara rabta nhi kea',null,'82','82','2021-05-26 14:17:25','2021-05-26 14:17:25',null);
INSERT INTO complaint_statuses VALUES('19995','6131','3',null,'85',null,'COM NO 301128768','73','92','2021-05-26 14:20:16','2021-05-26 15:35:16',null);
INSERT INTO complaint_statuses VALUES('19996','6132','3',null,'54',null,'26-MAY-2021
COM NO 1880807','92','92','2021-05-26 14:25:19','2021-05-26 14:47:41',null);
INSERT INTO complaint_statuses VALUES('19997','6133','3',null,'53',null,'COM NO 301128790','73','92','2021-05-26 14:26:40','2021-05-26 15:43:41',null);
INSERT INTO complaint_statuses VALUES('19998','6134','2',null,'81',null,'MRM','73','73','2021-05-26 14:28:54','2021-05-26 14:28:54',null);
INSERT INTO complaint_statuses VALUES('19999','6134','4',null,'61',null,null,'81','81','2021-05-26 14:29:36','2021-05-26 14:29:36',null);
INSERT INTO complaint_statuses VALUES('20000','6135','3',null,'52',null,'COM NO PKRI-210526107233','73','92','2021-05-26 14:34:16','2021-05-26 14:46:36',null);
INSERT INTO complaint_statuses VALUES('20001','5865','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-26 14:35:17','2021-05-26 14:35:17',null);
INSERT INTO complaint_statuses VALUES('20002','6110','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-05-26 14:44:13','2021-05-26 14:44:13',null);
INSERT INTO complaint_statuses VALUES('20003','6127','7','12','81','FACTORY RESET  UNIT OK  
RS 500/- 
UNIT DELIVER BACK TO CUSTOMER',null,'83','83','2021-05-26 14:44:35','2021-05-26 14:44:35',null);
INSERT INTO complaint_statuses VALUES('20004','6136','3',null,'53',null,'26-5-2021
COMPLAINT#RWP-30128760','73','73','2021-05-26 14:48:09','2021-05-26 15:35:16',null);
INSERT INTO complaint_statuses VALUES('20005','5808','7','12','81','adil ny check kerwa dya hai  issue resoved ho gya tha',null,'79','79','2021-05-26 14:52:59','2021-05-26 14:52:59',null);
INSERT INTO complaint_statuses VALUES('20006','6137','3',null,'55',null,'26-5-2021
COMPLAINT#RWP-2054','73','73','2021-05-26 14:54:24','2021-05-26 15:18:26',null);
INSERT INTO complaint_statuses VALUES('20007','5901','7','24','81','Farwerd to orient plz',null,'82','82','2021-05-26 14:54:56','2021-05-26 14:54:56',null);
INSERT INTO complaint_statuses VALUES('20008','6027','7','12','81','complaint resolved.gas charged',null,'79','79','2021-05-26 14:57:51','2021-05-26 14:57:51',null);
INSERT INTO complaint_statuses VALUES('20009','6127','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-26 14:59:00','2021-05-26 15:08:25',null);
INSERT INTO complaint_statuses VALUES('20010','6053','8','23','60','JOB COMPLETED QUKILEY',null,'81','81','2021-05-26 15:02:16','2021-05-26 15:02:16',null);
INSERT INTO complaint_statuses VALUES('20011','6027','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-05-26 15:04:17','2021-05-26 15:09:48',null);
INSERT INTO complaint_statuses VALUES('20012','5901','5','15',null,'COMPLAINT FF TO COMPANY','COMPLAINT FF TO COMPANY','81','74','2021-05-26 15:05:36','2021-05-26 15:09:10',null);
INSERT INTO complaint_statuses VALUES('20013','6138','2',null,'81',null,'19-MAY-2021
COM FF TO AZHAR FCI','74','74','2021-05-26 15:07:49','2021-05-26 15:07:49',null);
INSERT INTO complaint_statuses VALUES('20014','6138','4',null,'60',null,null,'81','81','2021-05-26 15:08:58','2021-05-26 15:08:58',null);
INSERT INTO complaint_statuses VALUES('20015','5896','7','9','81','No action paid job closed.',null,'77','77','2021-05-26 15:29:14','2021-05-26 15:29:14',null);
INSERT INTO complaint_statuses VALUES('20016','6139','3',null,'53',null,'COM NO 301128801','73','92','2021-05-26 15:30:12','2021-05-26 15:50:28',null);
INSERT INTO complaint_statuses VALUES('20017','6140','2',null,'81',null,'LG','73','73','2021-05-26 15:33:39','2021-05-26 15:33:39',null);
INSERT INTO complaint_statuses VALUES('20018','6140','4',null,'55',null,null,'81','81','2021-05-26 15:34:31','2021-05-26 15:34:31',null);
INSERT INTO complaint_statuses VALUES('20019','5895','7','9','81','No action closed the job paid job...',null,'77','77','2021-05-26 15:35:32','2021-05-26 15:35:32',null);
INSERT INTO complaint_statuses VALUES('20020','6047','7','9','81','We have called him....customer will bring unit to service center.',null,'77','77','2021-05-26 15:36:47','2021-05-26 15:36:47',null);
INSERT INTO complaint_statuses VALUES('20021','5884','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-26 15:37:10','2021-05-26 15:37:10',null);
INSERT INTO complaint_statuses VALUES('20022','5714','5',null,null,'COMPLAINT RESOLVED','03117777773  SUPER WAISER','74','92','2021-05-26 15:38:42','2021-06-15 13:33:33',null);
INSERT INTO complaint_statuses VALUES('20023','6141','3',null,'52',null,'26-5-2021
COMPLAINT#PKRI-210526108321','73','73','2021-05-26 15:39:19','2021-05-26 15:50:40',null);
INSERT INTO complaint_statuses VALUES('20024','5978','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-26 15:44:12','2021-05-26 15:44:12',null);
INSERT INTO complaint_statuses VALUES('20025','6142','3',null,'56',null,'COM NO E26/018
NEW COMPLAINT #E28/008','73','74','2021-05-26 15:48:06','2021-05-28 16:18:15',null);
INSERT INTO complaint_statuses VALUES('20026','6143','3',null,'53',null,'COM NO 301128875','73','92','2021-05-26 15:56:48','2021-05-26 16:33:07',null);
INSERT INTO complaint_statuses VALUES('20027','6071','7','22','81','COMP',null,'87','87','2021-05-26 15:58:12','2021-05-26 15:58:12',null);
INSERT INTO complaint_statuses VALUES('20028','6144','3',null,'55',null,'26-5-20121
COMPLAINT#RWP-0163','73','73','2021-05-26 16:04:50','2021-05-26 16:27:01',null);
INSERT INTO complaint_statuses VALUES('20029','6145','2',null,'81',null,'LG','73','73','2021-05-26 16:20:27','2021-05-26 16:20:27',null);
INSERT INTO complaint_statuses VALUES('20030','6145','4',null,'55',null,null,'81','81','2021-05-26 16:21:23','2021-05-26 16:21:23',null);
INSERT INTO complaint_statuses VALUES('20031','5869','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-26 16:21:23','2021-05-26 16:21:23',null);
INSERT INTO complaint_statuses VALUES('20032','6071','8','23','62','JOB COMPLETED QUKILE',null,'81','81','2021-05-26 16:22:21','2021-05-26 16:22:21',null);
INSERT INTO complaint_statuses VALUES('20033','6047','8','23','56','OK JOB COMPLETED QUKILEY',null,'81','81','2021-05-26 16:24:01','2021-05-26 16:24:01',null);
INSERT INTO complaint_statuses VALUES('20034','5896','5','15',null,'OK','SET SONY S/C MAIN HAIN','81','74','2021-05-26 16:24:35','2021-05-26 16:27:26',null);
INSERT INTO complaint_statuses VALUES('20035','5895','5','15',null,'OK','COMPLAINT RESOLVED','81','92','2021-05-26 16:27:46','2021-05-26 16:44:13',null);
INSERT INTO complaint_statuses VALUES('20036','5808','8','23','58','CUSTOMER BOL RAHAY UN KA ISSUE RESOLVED NI HOA',null,'81','81','2021-05-26 16:31:02','2021-05-26 16:31:02',null);
INSERT INTO complaint_statuses VALUES('20037','5743','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-05-26 16:34:29','2021-05-26 16:42:44',null);
INSERT INTO complaint_statuses VALUES('20038','5840','5','15',null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-05-26 16:35:40','2021-05-26 16:43:24',null);
INSERT INTO complaint_statuses VALUES('20039','6146','2',null,'81',null,'KHALID','73','73','2021-05-26 16:36:29','2021-05-26 16:36:29',null);
INSERT INTO complaint_statuses VALUES('20040','6147','2',null,'81',null,'INVOICE|#20590
D.O.P#18-APR-2021','73','73','2021-05-26 16:36:39','2021-05-26 16:54:44',null);
INSERT INTO complaint_statuses VALUES('20041','4505','8','23','60','CUSTOMER S BT HO GEI HAIN WO TU BOL RAHI HAIN K OVEN OK HO GAYA HAIN
CLOSED KARAY COMPLAINT',null,'81','81','2021-05-26 16:38:39','2021-05-26 16:38:39',null);
INSERT INTO complaint_statuses VALUES('20042','6047','7','9','81','Only services unit ok unit with Customer.
Rs. 1000 friends warranty',null,'77','77','2021-05-26 16:45:00','2021-05-26 16:45:00',null);
INSERT INTO complaint_statuses VALUES('20043','6148','3',null,'55',null,'COM NO ISB-12455','73','92','2021-05-26 16:45:06','2021-05-26 16:51:37',null);
INSERT INTO complaint_statuses VALUES('20044','6035','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-26 16:55:22','2021-05-26 16:55:22',null);
INSERT INTO complaint_statuses VALUES('20045','6147','4',null,'55',null,null,'81','81','2021-05-26 16:56:13','2021-05-26 16:56:13',null);
INSERT INTO complaint_statuses VALUES('20046','6146','4',null,'56',null,null,'81','81','2021-05-26 16:56:25','2021-05-26 16:56:25',null);
INSERT INTO complaint_statuses VALUES('20047','6024','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-26 16:57:27','2021-05-26 16:57:27',null);
INSERT INTO complaint_statuses VALUES('20048','5687','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-26 17:08:54','2021-05-26 17:08:54',null);
INSERT INTO complaint_statuses VALUES('20049','6047','8','23','56','IC HI NO PA BAT HOI HAIN ABI MARI',null,'81','81','2021-05-26 17:09:45','2021-05-26 17:09:45',null);
INSERT INTO complaint_statuses VALUES('20050','6149','3',null,'52',null,'26-5-2021
COMPLAINT#PKRI-210526109673','73','73','2021-05-26 17:11:06','2021-05-26 17:14:40',null);
INSERT INTO complaint_statuses VALUES('20051','4895','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-26 17:11:42','2021-05-26 17:11:42',null);
INSERT INTO complaint_statuses VALUES('20052','5745','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-26 17:16:53','2021-05-26 17:16:53',null);
INSERT INTO complaint_statuses VALUES('20053','5801','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-26 17:18:05','2021-05-26 17:18:05',null);
INSERT INTO complaint_statuses VALUES('20054','6093','7','24','81','panel damage hy coustmer ko panel ki price dy di hy coustmer 2 din tak soch bechar kar k baty ga',null,'80','80','2021-05-26 17:22:42','2021-05-26 17:22:42',null);
INSERT INTO complaint_statuses VALUES('20055','6065','7','22','81','customer keh rha hy main ny set replace karwa lia hy',null,'80','80','2021-05-26 17:23:16','2021-05-26 17:23:16',null);
INSERT INTO complaint_statuses VALUES('20056','5672','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-26 17:23:46','2021-05-26 17:23:46',null);
INSERT INTO complaint_statuses VALUES('20057','6042','7','24','81','internet problem hy
tech visit k lia gea hoa hy',null,'80','80','2021-05-26 17:23:46','2021-05-26 17:23:46',null);
INSERT INTO complaint_statuses VALUES('20058','6150','3',null,'54',null,'COM NO 1881155','73','92','2021-05-26 17:26:37','2021-05-26 17:35:11',null);
INSERT INTO complaint_statuses VALUES('20059','6047','7','12','81','ونٹ ٹھیک ھو کر واپس بھی چلا گیا ھے۔',null,'77','77','2021-05-26 17:33:05','2021-05-26 17:33:05',null);
INSERT INTO complaint_statuses VALUES('20060','6151','3',null,'53',null,'COM NO 301128949','73','92','2021-05-26 17:35:27','2021-05-26 17:42:29',null);
INSERT INTO complaint_statuses VALUES('20061','5666','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-05-26 17:37:56','2021-05-26 17:37:56',null);
INSERT INTO complaint_statuses VALUES('20062','5666','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-26 17:38:34','2021-05-26 17:59:08',null);
INSERT INTO complaint_statuses VALUES('20063','6047','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-05-26 17:39:48','2021-05-26 17:59:36',null);
INSERT INTO complaint_statuses VALUES('20064','6093','8','23','59','OK',null,'81','81','2021-05-26 17:40:11','2021-05-26 17:40:11',null);
INSERT INTO complaint_statuses VALUES('20065','6065','8','23','59','YHA SET AP K S/C  MAIN AAYA HOA HAIN.
CUSTOMER KO TU REPLACE KAR DIA',null,'81','81','2021-05-26 17:41:11','2021-05-26 17:41:11',null);
INSERT INTO complaint_statuses VALUES('20066','6042','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-05-26 17:41:46','2021-05-26 17:41:46',null);
INSERT INTO complaint_statuses VALUES('20067','6146','7','24','81','یونٹ میں دسٹ ھے۔ جب اسکرین واٸٹ بیک گراونڈ میں ھو تو نظر آتی ھے۔ کسٹمر کو بتا دیا اگر سروس چاھۓ تو بتا دیں۔ 
2000 technical charges
3000 pick and drop charges.
Plus parts like if in side sheet need to change....its aprx cost Rs 40,000....',null,'77','77','2021-05-26 17:42:16','2021-05-26 17:42:16',null);
INSERT INTO complaint_statuses VALUES('20068','6152','3',null,'53',null,'25-5-21
COMPLAINT#301128955','73','73','2021-05-26 17:42:37','2021-05-26 17:51:49',null);
INSERT INTO complaint_statuses VALUES('20069','5946','7','22','81','glass damage ,customer out city kal tk wapis aye gain',null,'79','79','2021-05-26 19:09:27','2021-05-26 19:09:27',null);
INSERT INTO complaint_statuses VALUES('20070','6153','3',null,'53',null,'COM NO 301129519','73','92','2021-05-27 10:40:53','2021-05-27 16:24:32',null);
INSERT INTO complaint_statuses VALUES('20071','6154','3',null,'54',null,'27-5-21
COMPLAINT#1882256','73','73','2021-05-27 10:42:47','2021-05-27 15:43:04',null);
INSERT INTO complaint_statuses VALUES('20072','6155','2',null,'81',null,'5STAR','73','73','2021-05-27 10:50:03','2021-05-27 10:50:03',null);
INSERT INTO complaint_statuses VALUES('20073','6156','3',null,'54',null,'27-5-21
COMPLAINT#1882251','73','73','2021-05-27 10:56:43','2021-05-27 15:44:06',null);
INSERT INTO complaint_statuses VALUES('20074','6157','3',null,'72',null,'27-5-21
COMPLAINT#192122793','73','73','2021-05-27 11:03:24','2021-05-27 16:15:35',null);
INSERT INTO complaint_statuses VALUES('20075','6107','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-27 11:09:54','2021-05-27 11:09:54',null);
INSERT INTO complaint_statuses VALUES('20076','6158','3',null,'52',null,'27-5-21
COMPLAINT#PKRI-210527108973','73','73','2021-05-27 11:14:08','2021-05-27 16:04:58',null);
INSERT INTO complaint_statuses VALUES('20077','6010','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-27 11:14:14','2021-05-27 11:14:14',null);
INSERT INTO complaint_statuses VALUES('20078','6159','3',null,'65',null,'27-MAY-2021
COM NO 272105094','92','92','2021-05-27 11:14:58','2021-05-27 11:17:34',null);
INSERT INTO complaint_statuses VALUES('20079','6009','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-27 11:39:47','2021-05-27 11:39:47',null);
INSERT INTO complaint_statuses VALUES('20080','6160','3',null,'57',null,'27-5-21
COMPLAINT#018374','73','73','2021-05-27 11:50:52','2021-05-27 16:34:32',null);
INSERT INTO complaint_statuses VALUES('20081','6161','3',null,'55',null,'27-5-21
COMPLAINT#770818','73','73','2021-05-27 11:53:17','2021-05-27 17:03:59',null);
INSERT INTO complaint_statuses VALUES('20082','6162','3',null,'73',null,'27-5-21
COMPLAT#4722','73','92','2021-05-27 11:53:37','2021-06-07 15:31:36',null);
INSERT INTO complaint_statuses VALUES('20083','5892','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-27 11:59:07','2021-05-27 11:59:07',null);
INSERT INTO complaint_statuses VALUES('20084','6163','3',null,'55',null,'27-5-21
COMPLAINT#12463','73','73','2021-05-27 12:04:27','2021-05-27 16:52:12',null);
INSERT INTO complaint_statuses VALUES('20085','6088','7','26','81','Problem Solved',null,'76','76','2021-05-27 12:11:03','2021-05-27 12:11:03',null);
INSERT INTO complaint_statuses VALUES('20086','6164','3',null,'52',null,'27-5-21
COMPLAINT#PKRI-210527107659','73','73','2021-05-27 12:11:12','2021-05-27 14:56:40',null);
INSERT INTO complaint_statuses VALUES('20087','6165','2',null,'81',null,'ADIL','73','73','2021-05-27 12:15:17','2021-05-27 12:15:17',null);
INSERT INTO complaint_statuses VALUES('20088','6166','2',null,'81',null,'MRM','73','73','2021-05-27 12:20:25','2021-05-27 12:20:25',null);
INSERT INTO complaint_statuses VALUES('20089','6167','3',null,'52',null,'27-5-21
PKRI-210527107572','73','73','2021-05-27 12:26:22','2021-05-27 14:53:26',null);
INSERT INTO complaint_statuses VALUES('20090','6055','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-27 12:26:42','2021-05-27 12:26:42',null);
INSERT INTO complaint_statuses VALUES('20091','6168','3',null,'55',null,'27-5-21
COMPLAINT#20227','73','73','2021-05-27 12:27:27','2021-05-27 16:48:49',null);
INSERT INTO complaint_statuses VALUES('20092','6169','3',null,'52',null,'27-MAY-2021
COMPLAINT#PKRI-1210526109673','74','92','2021-05-27 12:28:46','2021-05-29 12:44:25',null);
INSERT INTO complaint_statuses VALUES('20093','6059','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-27 12:29:11','2021-05-27 12:29:11',null);
INSERT INTO complaint_statuses VALUES('20094','6170','3',null,'53',null,'COM NO 301129526','73','92','2021-05-27 12:35:28','2021-05-27 16:29:57',null);
INSERT INTO complaint_statuses VALUES('20095','6061','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-27 12:36:04','2021-05-27 12:36:04',null);
INSERT INTO complaint_statuses VALUES('20096','6171','2',null,'81',null,'KHALID','73','73','2021-05-27 12:37:53','2021-05-27 12:37:53',null);
INSERT INTO complaint_statuses VALUES('20097','6091','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-27 12:43:41','2021-05-27 12:43:41',null);
INSERT INTO complaint_statuses VALUES('20098','6172','3',null,'52',null,'27-5-21
COMPLAINT#PKRI-210527107457','73','73','2021-05-27 12:49:46','2021-05-27 14:48:27',null);
INSERT INTO complaint_statuses VALUES('20099','6052','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-27 13:02:54','2021-05-27 13:02:54',null);
INSERT INTO complaint_statuses VALUES('20100','6060','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-27 13:04:14','2021-05-27 13:04:14',null);
INSERT INTO complaint_statuses VALUES('20101','6173','3',null,'54',null,'OTHER#03129627971
27-5-21
COMPLAINT#1882247','73','73','2021-05-27 13:04:59','2021-05-27 15:39:43',null);
INSERT INTO complaint_statuses VALUES('20102','6100','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-27 13:05:25','2021-05-27 13:05:25',null);
INSERT INTO complaint_statuses VALUES('20103','6174','2',null,'81',null,'LG','73','73','2021-05-27 13:08:36','2021-05-27 13:08:36',null);
INSERT INTO complaint_statuses VALUES('20104','5861','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-27 13:13:56','2021-05-27 13:13:56',null);
INSERT INTO complaint_statuses VALUES('20105','6175','3',null,'53',null,'COM NO 301129531','73','92','2021-05-27 13:15:26','2021-05-27 16:36:07',null);
INSERT INTO complaint_statuses VALUES('20106','5922','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-27 13:16:48','2021-05-27 13:16:48',null);
INSERT INTO complaint_statuses VALUES('20107','6174','4',null,'55',null,null,'81','81','2021-05-27 13:25:09','2021-05-27 13:25:09',null);
INSERT INTO complaint_statuses VALUES('20108','6171','4',null,'56',null,null,'81','81','2021-05-27 13:25:19','2021-05-27 13:25:19',null);
INSERT INTO complaint_statuses VALUES('20109','6166','4',null,'61',null,null,'81','81','2021-05-27 13:25:29','2021-05-27 13:25:29',null);
INSERT INTO complaint_statuses VALUES('20110','6165','4',null,'62',null,null,'81','81','2021-05-27 13:25:40','2021-05-27 13:25:40',null);
INSERT INTO complaint_statuses VALUES('20111','6155','4',null,'63',null,null,'81','81','2021-05-27 13:26:32','2021-05-27 13:26:32',null);
INSERT INTO complaint_statuses VALUES('20112','6176','3',null,'53',null,'COM NO 301129537','73','92','2021-05-27 13:37:21','2021-05-27 16:40:57',null);
INSERT INTO complaint_statuses VALUES('20113','5905','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-27 13:45:40','2021-05-27 13:45:40',null);
INSERT INTO complaint_statuses VALUES('20114','5036','7','12','81','Optical cable added by cusotmer unit ok 
Plz close job',null,'83','83','2021-05-27 13:56:02','2021-05-27 13:56:02',null);
INSERT INTO complaint_statuses VALUES('20115','6094','7','12','81','inlet coil service .complaint resolved',null,'79','79','2021-05-27 13:56:24','2021-05-27 13:56:24',null);
INSERT INTO complaint_statuses VALUES('20116','6177','3',null,'56',null,'27-5-21
COMPLAINT#E27/028','73','73','2021-05-27 13:59:02','2021-05-27 17:56:15',null);
INSERT INTO complaint_statuses VALUES('20117','6033','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-27 14:04:17','2021-05-27 14:04:17',null);
INSERT INTO complaint_statuses VALUES('20118','5899','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-27 14:15:03','2021-05-27 14:15:03',null);
INSERT INTO complaint_statuses VALUES('20119','6178','3',null,'66',null,'27-5-21
COMPLAINT#PK-052720210116','73','73','2021-05-27 14:18:07','2021-05-27 15:56:30',null);
INSERT INTO complaint_statuses VALUES('20120','6109','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-27 14:20:53','2021-05-27 14:20:53',null);
INSERT INTO complaint_statuses VALUES('20121','6041','5',null,null,'COMPLAINT COMPLETED',null,'92','74','2021-05-27 14:27:44','2021-06-01 18:18:57',null);
INSERT INTO complaint_statuses VALUES('20122','5635','5',null,null,'COMPLAINT CLLSED',null,'74','74','2021-05-27 14:37:30','2021-05-27 14:37:30',null);
INSERT INTO complaint_statuses VALUES('20123','6179','3',null,'84',null,'27-5-21
COMPLAINT#20225','73','73','2021-05-27 14:39:18','2021-05-27 16:45:43',null);
INSERT INTO complaint_statuses VALUES('20124','6180','2',null,'81',null,'MRM','73','73','2021-05-27 14:43:21','2021-05-27 14:43:21',null);
INSERT INTO complaint_statuses VALUES('20125','6180','4',null,'61',null,null,'81','81','2021-05-27 14:47:46','2021-05-27 14:47:46',null);
INSERT INTO complaint_statuses VALUES('20126','6181','3',null,'55',null,'27-5-21
COMPLAINT#12461','73','73','2021-05-27 14:47:58','2021-05-27 16:43:09',null);
INSERT INTO complaint_statuses VALUES('20127','6182','2',null,'81',null,'B.COOL','73','73','2021-05-27 14:51:19','2021-05-27 14:51:19',null);
INSERT INTO complaint_statuses VALUES('20128','5815','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-27 14:52:09','2021-05-27 14:52:09',null);
INSERT INTO complaint_statuses VALUES('20129','6182','4',null,'58',null,null,'81','81','2021-05-27 14:52:27','2021-05-27 14:52:27',null);
INSERT INTO complaint_statuses VALUES('20130','6074','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-27 14:52:30','2021-05-27 14:52:30',null);
INSERT INTO complaint_statuses VALUES('20131','5557','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-27 14:55:17','2021-05-27 14:55:17',null);
INSERT INTO complaint_statuses VALUES('20132','6183','3',null,'52',null,'27-5-21
COMPLAINT#PKRI-210527108929','73','73','2021-05-27 15:09:43','2021-05-27 16:02:24',null);
INSERT INTO complaint_statuses VALUES('20133','5036','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-27 15:14:17','2021-05-27 15:47:27',null);
INSERT INTO complaint_statuses VALUES('20134','5575','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-27 15:25:25','2021-05-27 15:25:25',null);
INSERT INTO complaint_statuses VALUES('20135','6138','7','24','81','Ye ac compny waly utar ky le gy internal issue hy',null,'82','82','2021-05-27 15:29:19','2021-05-27 15:29:19',null);
INSERT INTO complaint_statuses VALUES('20136','6184','2',null,'81',null,'B.COOL','73','73','2021-05-27 15:30:37','2021-05-27 15:30:37',null);
INSERT INTO complaint_statuses VALUES('20137','6184','4',null,'58',null,null,'81','81','2021-05-27 15:31:30','2021-05-27 15:31:30',null);
INSERT INTO complaint_statuses VALUES('20138','5468','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-27 15:32:01','2021-05-27 15:32:01',null);
INSERT INTO complaint_statuses VALUES('20139','5585','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-27 15:39:20','2021-05-27 15:39:20',null);
INSERT INTO complaint_statuses VALUES('20140','6185','2',null,'81',null,null,'73','73','2021-05-27 15:41:18','2021-05-27 15:41:18',null);
INSERT INTO complaint_statuses VALUES('20141','6185','4',null,'60',null,null,'81','81','2021-05-27 15:41:50','2021-05-27 15:41:50',null);
INSERT INTO complaint_statuses VALUES('20142','5729','7','12','81','COMPLETED COMPLAINT',null,'88','88','2021-05-27 15:43:40','2021-05-27 15:43:40',null);
INSERT INTO complaint_statuses VALUES('20143','6094','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-27 15:46:27','2021-05-27 15:46:57',null);
INSERT INTO complaint_statuses VALUES('20144','5634','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-27 16:09:29','2021-05-27 16:09:29',null);
INSERT INTO complaint_statuses VALUES('20145','5846','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-27 16:11:45','2021-05-27 16:11:45',null);
INSERT INTO complaint_statuses VALUES('20146','6186','3',null,'52',null,'27-5-21
COMPLAINT#PKRI-210527110422','73','73','2021-05-27 16:33:04','2021-05-27 17:28:04',null);
INSERT INTO complaint_statuses VALUES('20147','5729','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-05-27 16:44:17','2021-05-27 17:04:01',null);
INSERT INTO complaint_statuses VALUES('20148','6088','5','15',null,'KHUD SA CUSTOMER KA ISSUE RESOLVED HO GAYA COMPLAINT CLOSED','COMPLAINT RESOLVED','81','74','2021-05-27 16:46:34','2021-05-27 16:47:48',null);
INSERT INTO complaint_statuses VALUES('20149','6187','3',null,'52',null,'27-5-21
COMPLAINT#PKRI-210505106662','73','73','2021-05-27 16:50:04','2021-05-27 17:34:11',null);
INSERT INTO complaint_statuses VALUES('20150','6188','3',null,'52',null,'27-5-21
COMPLAINT#PKRI-210527110594','73','73','2021-05-27 17:07:03','2021-05-27 17:40:51',null);
INSERT INTO complaint_statuses VALUES('20151','6189','3',null,'80',null,'FRWRD TO AMNA BOSCH','73','73','2021-05-27 17:12:15','2021-05-27 17:12:52',null);
INSERT INTO complaint_statuses VALUES('20152','6190','3',null,'52',null,'27-5-21
COMPLAINT#PKRI-210527110725','73','73','2021-05-27 17:18:19','2021-05-27 17:46:36',null);
INSERT INTO complaint_statuses VALUES('20153','6191','2',null,'81',null,'27-MAY-2021
FF TO  KHURRAM 5 STAR','74','74','2021-05-27 17:20:18','2021-05-27 17:21:47',null);
INSERT INTO complaint_statuses VALUES('20154','6191','4',null,'63',null,null,'81','81','2021-05-27 17:22:09','2021-05-27 17:22:09',null);
INSERT INTO complaint_statuses VALUES('20155','6192','3',null,'66',null,'29-5-21
COMPLAINT#PK-052920210006','73','73','2021-05-27 17:23:20','2021-05-29 10:43:39',null);
INSERT INTO complaint_statuses VALUES('20156','4859','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-27 17:27:37','2021-05-27 17:27:37',null);
INSERT INTO complaint_statuses VALUES('20157','5546','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-27 17:34:05','2021-05-27 17:34:05',null);
INSERT INTO complaint_statuses VALUES('20158','6180','7','12','81','Unit reset done ok 
Visit only rs 500',null,'83','83','2021-05-27 19:52:19','2021-05-27 19:52:19',null);
INSERT INTO complaint_statuses VALUES('20159','6072','7','12','81','OK gas ka masla tha',null,'88','88','2021-05-28 10:32:36','2021-05-28 10:32:36',null);
INSERT INTO complaint_statuses VALUES('20160','6037','7','12','81','Tharmostat kharb tha OK',null,'88','88','2021-05-28 10:33:10','2021-05-28 10:33:10',null);
INSERT INTO complaint_statuses VALUES('20161','5999','7','10','81','Customer Not Answering Calls',null,'76','76','2021-05-28 10:33:23','2021-05-28 10:33:23',null);
INSERT INTO complaint_statuses VALUES('20162','6002','7','12','81','Chula thik hy OK 500f',null,'88','88','2021-05-28 10:33:50','2021-05-28 10:33:50',null);
INSERT INTO complaint_statuses VALUES('20163','5941','7','12','81','Refer to SVC in Service , Customer will Inform',null,'76','76','2021-05-28 10:34:03','2021-05-28 10:34:03',null);
INSERT INTO complaint_statuses VALUES('20164','5990','7','12','81','Jat band tha ok',null,'88','88','2021-05-28 10:34:21','2021-05-28 10:34:21',null);
INSERT INTO complaint_statuses VALUES('20165','5819','7','12','81','Service and Inlet Coil Replaced.',null,'76','76','2021-05-28 10:34:54','2021-05-28 10:34:54',null);
INSERT INTO complaint_statuses VALUES('20166','5988','7','28','81','Ok',null,'88','88','2021-05-28 10:34:56','2021-05-28 10:34:56',null);
INSERT INTO complaint_statuses VALUES('20167','5972','7','12','81','Ok',null,'88','88','2021-05-28 10:35:20','2021-05-28 10:35:20',null);
INSERT INTO complaint_statuses VALUES('20168','6049','7','24','81','Refer to SVC.',null,'76','76','2021-05-28 10:35:45','2021-05-28 10:35:45',null);
INSERT INTO complaint_statuses VALUES('20169','5960','7','12','81','OK tar tuti the OK',null,'88','88','2021-05-28 10:35:59','2021-05-28 10:35:59',null);
INSERT INTO complaint_statuses VALUES('20170','5928','7','12','81','Door Switch Replaced',null,'76','76','2021-05-28 10:36:22','2021-05-28 10:36:22',null);
INSERT INTO complaint_statuses VALUES('20171','5916','7','12','81','Auto wair 800 f ok',null,'88','88','2021-05-28 10:37:04','2021-05-28 10:37:04',null);
INSERT INTO complaint_statuses VALUES('20172','5826','7','12','81','G tec sand',null,'88','88','2021-05-28 10:38:43','2021-05-28 10:38:43',null);
INSERT INTO complaint_statuses VALUES('20173','5772','7','12','81','Nob ka masla tha OK',null,'88','88','2021-05-28 10:39:28','2021-05-28 10:39:28',null);
INSERT INTO complaint_statuses VALUES('20174','5477','7','12','81','Ok',null,'88','88','2021-05-28 10:41:38','2021-05-28 10:41:38',null);
INSERT INTO complaint_statuses VALUES('20175','4717','7','12','81','Gas parablam ok',null,'88','88','2021-05-28 10:43:26','2021-05-28 10:43:26',null);
INSERT INTO complaint_statuses VALUES('20176','6193','3',null,'52',null,'28-MAY-2021
COMPLAINT#PKRI-210528103901
NEW COM NO PKRI-210530103489','74','92','2021-05-28 11:42:56','2021-05-30 12:12:09',null);
INSERT INTO complaint_statuses VALUES('20177','6194','3',null,'54',null,'28-MAY-2021
COMPLAINT#1882832','74','92','2021-05-28 11:50:47','2021-06-01 11:33:42',null);
INSERT INTO complaint_statuses VALUES('20178','6195','2',null,'81',null,'28-MAY-2021
FF TO KHURRAM 5 STAR','74','74','2021-05-28 12:02:41','2021-05-28 12:02:41',null);
INSERT INTO complaint_statuses VALUES('20179','6195','4',null,'63',null,null,'81','81','2021-05-28 12:03:06','2021-05-28 12:03:06',null);
INSERT INTO complaint_statuses VALUES('20180','6196','3',null,'52',null,'28-MAY-2021
COMPLAINT#PKRI-210528104536','74','92','2021-05-28 12:12:25','2021-05-30 11:50:17',null);
INSERT INTO complaint_statuses VALUES('20181','6197','3',null,'65',null,'28-MAY-2021
COMPLAINT#192122829','74','92','2021-05-28 12:58:15','2021-05-30 11:46:03',null);
INSERT INTO complaint_statuses VALUES('20182','6198','3',null,'52',null,'28-MAY-2021
COMPLAINT#PKRI-210528105641','74','92','2021-05-28 13:07:00','2021-05-30 11:28:42',null);
INSERT INTO complaint_statuses VALUES('20183','5998','7','12','81','Filter Service.',null,'76','76','2021-05-28 13:53:15','2021-05-28 13:53:15',null);
INSERT INTO complaint_statuses VALUES('20184','6199','2',null,'81',null,'28-MAY-2021
FF TO KHALID SONY','74','92','2021-05-28 13:54:41','2021-05-30 14:15:06',null);
INSERT INTO complaint_statuses VALUES('20185','6199','4',null,'56',null,null,'81','81','2021-05-28 13:55:15','2021-05-28 13:55:15',null);
INSERT INTO complaint_statuses VALUES('20186','6062','7','24','81','Door Switch and Service .',null,'76','76','2021-05-28 14:03:21','2021-05-28 14:03:21',null);
INSERT INTO complaint_statuses VALUES('20187','6200','3',null,'97',null,'28-MAY-2021
COMPLAINT#202105016289','74','92','2021-05-28 14:15:41','2021-05-30 14:17:52',null);
INSERT INTO complaint_statuses VALUES('20188','6110','7','10','81',null,null,'82','82','2021-05-28 14:37:21','2021-05-28 14:37:21',null);
INSERT INTO complaint_statuses VALUES('20189','6015','7','24','81','Pcb jal gai hy un sy kha hy pcb bhejy islamabad',null,'82','82','2021-05-28 14:52:12','2021-05-28 14:52:12',null);
INSERT INTO complaint_statuses VALUES('20190','6201','3',null,'52',null,'28-MAY-2021
COMPLAINT#PKRI-210528107148','74','74','2021-05-28 14:54:32','2021-05-28 14:54:32',null);
INSERT INTO complaint_statuses VALUES('20191','5943','7','26','81','Wo keh rahy workshop nai bhejna main yaha local sy karwa leta ho',null,'82','82','2021-05-28 14:55:16','2021-05-28 14:55:16',null);
INSERT INTO complaint_statuses VALUES('20192','6202','2',null,'81',null,'28-MAY-2021
FF TO KHURRAM 5 STAR','74','74','2021-05-28 14:58:27','2021-05-28 14:58:27',null);
INSERT INTO complaint_statuses VALUES('20193','6202','4',null,'63',null,'03008544580','81','74','2021-05-28 14:59:25','2021-05-28 15:01:49',null);
INSERT INTO complaint_statuses VALUES('20194','5804','7','24','81','Pcb hrab hy theek nhi ho sakti',null,'82','82','2021-05-28 15:04:58','2021-05-28 15:04:58',null);
INSERT INTO complaint_statuses VALUES('20195','6203','3',null,'54',null,'28-MAY-2021
COMPLAINT|#1882989','74','92','2021-05-28 15:08:34','2021-05-30 11:17:06',null);
INSERT INTO complaint_statuses VALUES('20196','5177','7','26','81','Plz isko closed karcde',null,'82','82','2021-05-28 15:08:35','2021-05-28 15:08:35',null);
INSERT INTO complaint_statuses VALUES('20197','4505','7','12','81','G theek ho gea hy',null,'82','82','2021-05-28 15:12:57','2021-05-28 15:12:57',null);
INSERT INTO complaint_statuses VALUES('20198','6204','3',null,'97',null,'28-MAY-2021
COMPLAINT#202105016338','74','92','2021-05-28 15:14:58','2021-05-29 16:15:23',null);
INSERT INTO complaint_statuses VALUES('20199','4515','7','12','81','Okay ho gea hy light blinking issue tha 2maheny phely theek kar ayea tha',null,'82','82','2021-05-28 15:15:13','2021-05-28 15:15:13',null);
INSERT INTO complaint_statuses VALUES('20200','5764','7','26','81','Unho ny kar walia hy',null,'82','82','2021-05-28 15:50:24','2021-05-28 15:50:24',null);
INSERT INTO complaint_statuses VALUES('20201','5550','7','26','81','Handal nhi hy servies center main',null,'82','82','2021-05-28 15:51:58','2021-05-28 15:51:58',null);
INSERT INTO complaint_statuses VALUES('20202','6205','3',null,'65',null,'28-MAY-2021
COMPLAINT#192122849','74','92','2021-05-28 15:53:42','2021-05-30 11:13:09',null);
INSERT INTO complaint_statuses VALUES('20203','5738','7','24','81',null,null,'82','82','2021-05-28 15:55:00','2021-05-28 15:55:00',null);
INSERT INTO complaint_statuses VALUES('20204','6206','3',null,'52',null,'28-MAY-2021
COMPLAINT#PKRI-210528108423','74','92','2021-05-28 16:09:53','2021-05-30 11:07:52',null);
INSERT INTO complaint_statuses VALUES('20205','6174','7','12','81','drain Pipe Adjustment.',null,'76','76','2021-05-28 16:46:51','2021-05-28 16:46:51',null);
INSERT INTO complaint_statuses VALUES('20206','6207','2',null,'81',null,'28-MAY-2021
FF TO AZHAR RAMZAN','74','74','2021-05-28 16:48:09','2021-05-28 16:48:09',null);
INSERT INTO complaint_statuses VALUES('20207','6207','4',null,'60',null,null,'81','81','2021-05-28 16:48:39','2021-05-28 16:48:39',null);
INSERT INTO complaint_statuses VALUES('20208','6208','2',null,'81',null,'28-MAY-2021
FF TO AZHAR FCI','74','74','2021-05-28 16:51:19','2021-05-28 16:51:19',null);
INSERT INTO complaint_statuses VALUES('20209','6208','4',null,'60',null,null,'81','81','2021-05-28 16:51:35','2021-05-28 16:51:35',null);
INSERT INTO complaint_statuses VALUES('20210','6209','3',null,'66',null,'28-MAY-2021
COMPLAINT#PK052820210093','74','73','2021-05-28 17:02:01','2021-05-29 10:35:08',null);
INSERT INTO complaint_statuses VALUES('20211','6210','2',null,'81',null,'28-MAY-2021
FF TO B.COOL','74','74','2021-05-28 17:33:44','2021-05-28 17:33:44',null);
INSERT INTO complaint_statuses VALUES('20212','6210','4',null,'58',null,null,'81','81','2021-05-28 17:34:12','2021-05-28 17:34:12',null);
INSERT INTO complaint_statuses VALUES('20213','6211','2',null,'81',null,'28 MAY-2021
FF TO HOME SOLUTION','74','74','2021-05-28 17:51:00','2021-05-28 17:51:54',null);
INSERT INTO complaint_statuses VALUES('20214','6211','4',null,'62',null,null,'81','81','2021-05-28 17:52:25','2021-05-28 17:52:25',null);
INSERT INTO complaint_statuses VALUES('20215','6211','4',null,'62',null,null,'81','81','2021-05-28 18:15:47','2021-05-28 18:15:47',null);
INSERT INTO complaint_statuses VALUES('20216','6125','7','12','81','No-issue  in ac ..',null,'79','79','2021-05-28 20:51:55','2021-05-28 20:51:55',null);
INSERT INTO complaint_statuses VALUES('20217','6145','7','12','81','Filter Service.',null,'76','76','2021-05-29 09:53:53','2021-05-29 09:53:53',null);
INSERT INTO complaint_statuses VALUES('20218','6087','7','12','81','Door Adjustment. Visit Pending 600/-',null,'76','76','2021-05-29 09:54:55','2021-05-29 09:54:55',null);
INSERT INTO complaint_statuses VALUES('20219','6152','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-29 10:25:54','2021-05-29 10:25:54',null);
INSERT INTO complaint_statuses VALUES('20220','6180','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 10:27:06','2021-05-29 10:36:03',null);
INSERT INTO complaint_statuses VALUES('20221','6174','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-05-29 10:32:12','2021-05-29 10:36:29',null);
INSERT INTO complaint_statuses VALUES('20222','6146','5','15',null,'CUSTOMER NA EXP APPROVAL ANI DI COMPLAINT CLOSED KARWA DI','COMPLAINT CLOSED','81','74','2021-05-29 10:34:58','2021-05-29 10:36:53',null);
INSERT INTO complaint_statuses VALUES('20223','6149','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-29 10:40:32','2021-05-29 10:40:32',null);
INSERT INTO complaint_statuses VALUES('20224','6145','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 10:40:51','2021-05-29 10:41:57',null);
INSERT INTO complaint_statuses VALUES('20225','6138','5','15',null,'UNIT COMPANY S/C SA READY HO K KAL INSTALL HO GAYA HAIN COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-05-29 10:42:56','2021-05-29 10:48:28',null);
INSERT INTO complaint_statuses VALUES('20226','6125','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 10:45:03','2021-05-29 10:48:56',null);
INSERT INTO complaint_statuses VALUES('20227','6148','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-29 10:47:09','2021-05-29 10:47:09',null);
INSERT INTO complaint_statuses VALUES('20228','6110','8','23','60','AIK BAR R TRY KAR LAY',null,'81','81','2021-05-29 10:50:00','2021-05-29 10:50:00',null);
INSERT INTO complaint_statuses VALUES('20229','5958','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-05-29 10:52:29','2021-05-29 10:52:29',null);
INSERT INTO complaint_statuses VALUES('20230','6212','2',null,'81',null,'B.COOL','73','73','2021-05-29 10:52:55','2021-05-29 10:52:55',null);
INSERT INTO complaint_statuses VALUES('20231','5934','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-05-29 10:53:05','2021-05-29 10:53:05',null);
INSERT INTO complaint_statuses VALUES('20232','5934','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 10:54:20','2021-05-29 10:56:41',null);
INSERT INTO complaint_statuses VALUES('20233','5958','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 10:54:57','2021-05-29 10:56:15',null);
INSERT INTO complaint_statuses VALUES('20234','6121','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-29 10:55:43','2021-05-29 10:55:43',null);
INSERT INTO complaint_statuses VALUES('20235','6213','2',null,'81',null,'CARE','73','73','2021-05-29 10:57:37','2021-05-29 10:57:37',null);
INSERT INTO complaint_statuses VALUES('20236','5937','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 10:57:50','2021-05-29 10:57:50',null);
INSERT INTO complaint_statuses VALUES('20237','6087','8','23','55','CUSTOMER KA ISSUE PROPER RESOLVED NAI HOA KINDLY CONTACT  KAR K ISSUE RESOLVED KARAY',null,'81','81','2021-05-29 11:00:02','2021-05-29 11:00:02',null);
INSERT INTO complaint_statuses VALUES('20238','6144','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-29 11:02:06','2021-05-29 11:02:06',null);
INSERT INTO complaint_statuses VALUES('20239','6214','2',null,'81',null,'LG','73','73','2021-05-29 11:03:07','2021-05-29 11:03:07',null);
INSERT INTO complaint_statuses VALUES('20240','6135','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-29 11:04:34','2021-05-29 11:04:34',null);
INSERT INTO complaint_statuses VALUES('20241','6072','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-05-29 11:06:19','2021-05-29 11:08:53',null);
INSERT INTO complaint_statuses VALUES('20242','6119','7','12','81','complaint resolved .joint sy leakge nahi hai,agr dubara issue hota hai,to coapmany jaye ga ac',null,'79','79','2021-05-29 11:07:13','2021-05-29 11:07:13',null);
INSERT INTO complaint_statuses VALUES('20243','6142','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-29 11:07:38','2021-05-29 11:07:38',null);
INSERT INTO complaint_statuses VALUES('20244','5451','7','12','81','ye complaint closed kr dein thanks.',null,'79','79','2021-05-29 11:08:01','2021-05-29 11:08:01',null);
INSERT INTO complaint_statuses VALUES('20245','5702','7','12','81','reapir kr di hai,or laga di hai',null,'79','79','2021-05-29 11:10:19','2021-05-29 11:10:19',null);
INSERT INTO complaint_statuses VALUES('20246','6215','2',null,'81',null,'B.COOL','73','73','2021-05-29 11:12:05','2021-05-29 11:12:05',null);
INSERT INTO complaint_statuses VALUES('20247','5824','7','12','81','compliant resolved',null,'79','79','2021-05-29 11:13:33','2021-05-29 11:13:33',null);
INSERT INTO complaint_statuses VALUES('20248','5836','7','12','81','complaint resolved humra issue nahi tha',null,'79','79','2021-05-29 11:14:30','2021-05-29 11:14:30',null);
INSERT INTO complaint_statuses VALUES('20249','6143','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-29 11:15:02','2021-05-29 11:15:02',null);
INSERT INTO complaint_statuses VALUES('20250','6037','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-05-29 11:16:36','2021-05-29 11:16:36',null);
INSERT INTO complaint_statuses VALUES('20251','6062','8','23','55','OK JOB COMPLETED QUKILEY',null,'81','81','2021-05-29 11:17:37','2021-05-29 11:17:37',null);
INSERT INTO complaint_statuses VALUES('20252','6049','8','23','55','OK',null,'81','81','2021-05-29 11:17:58','2021-05-29 11:17:58',null);
INSERT INTO complaint_statuses VALUES('20253','6216','2',null,'81',null,'ADIL','73','73','2021-05-29 11:18:33','2021-05-29 11:18:33',null);
INSERT INTO complaint_statuses VALUES('20254','6015','8','23','60','OK JOB COMPLETED QUKILY',null,'81','81','2021-05-29 11:19:09','2021-05-29 11:19:09',null);
INSERT INTO complaint_statuses VALUES('20255','6216','4',null,'62',null,null,'81','81','2021-05-29 11:19:36','2021-05-29 11:19:36',null);
INSERT INTO complaint_statuses VALUES('20256','6215','4',null,'58',null,null,'81','81','2021-05-29 11:19:51','2021-05-29 11:19:51',null);
INSERT INTO complaint_statuses VALUES('20257','6214','4',null,'55',null,null,'81','81','2021-05-29 11:20:02','2021-05-29 11:20:02',null);
INSERT INTO complaint_statuses VALUES('20258','6137','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-29 11:22:01','2021-05-29 11:22:01',null);
INSERT INTO complaint_statuses VALUES('20259','6213','4',null,'60',null,null,'81','81','2021-05-29 11:22:11','2021-05-29 11:22:11',null);
INSERT INTO complaint_statuses VALUES('20260','6105','7','12','81','filter issue complaint reoslved',null,'79','79','2021-05-29 11:22:23','2021-05-29 11:22:23',null);
INSERT INTO complaint_statuses VALUES('20261','6212','4',null,'58',null,null,'81','81','2021-05-29 11:22:50','2021-05-29 11:22:50',null);
INSERT INTO complaint_statuses VALUES('20262','6136','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-29 11:25:27','2021-05-29 11:25:27',null);
INSERT INTO complaint_statuses VALUES('20263','6217','3',null,'53',null,'29-5-21
COMPLAINT#301129705','73','73','2021-05-29 11:28:51','2021-05-29 13:55:02',null);
INSERT INTO complaint_statuses VALUES('20264','5921','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 11:32:10','2021-05-29 11:32:10',null);
INSERT INTO complaint_statuses VALUES('20265','6133','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-29 11:32:55','2021-05-29 11:32:55',null);
INSERT INTO complaint_statuses VALUES('20266','6218','3',null,'54',null,'29-5-21
COMPLAINT#1883712','73','73','2021-05-29 11:35:07','2021-05-29 12:58:26',null);
INSERT INTO complaint_statuses VALUES('20267','6132','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-29 11:37:33','2021-05-29 11:37:33',null);
INSERT INTO complaint_statuses VALUES('20268','6219','2',null,'81',null,'MRM','73','73','2021-05-29 11:42:32','2021-05-29 11:42:32',null);
INSERT INTO complaint_statuses VALUES('20269','6077','7','12','81','COMPLAINT CANCELLED BY CUSTOEMR',null,'79','79','2021-05-29 11:44:44','2021-05-29 11:44:44',null);
INSERT INTO complaint_statuses VALUES('20270','6220','3',null,'65',null,'29-5-21
C0MPLAINT#072117964','73','73','2021-05-29 11:45:56','2021-05-29 13:35:51',null);
INSERT INTO complaint_statuses VALUES('20271','6131','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-29 11:47:01','2021-05-29 11:47:01',null);
INSERT INTO complaint_statuses VALUES('20272','6221','3',null,'73',null,'29-5-21
COMPLAINT#4664','73','73','2021-05-29 11:48:45','2021-05-29 13:21:15',null);
INSERT INTO complaint_statuses VALUES('20273','5881','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 11:49:22','2021-05-29 11:49:22',null);
INSERT INTO complaint_statuses VALUES('20274','6129','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-29 11:56:14','2021-05-29 11:56:14',null);
INSERT INTO complaint_statuses VALUES('20275','6222','3',null,'65',null,'29-5-21
COMPLAINT#192122892','73','73','2021-05-29 12:00:52','2021-05-29 13:41:45',null);
INSERT INTO complaint_statuses VALUES('20276','6223','3',null,'54',null,'29-5-21
COMPLAINT#1883715','73','73','2021-05-29 12:03:01','2021-05-29 13:00:54',null);
INSERT INTO complaint_statuses VALUES('20277','6224','2',null,'81',null,'B.COOL','73','73','2021-05-29 12:05:48','2021-05-29 12:05:48',null);
INSERT INTO complaint_statuses VALUES('20278','5849','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 12:07:08','2021-05-29 12:07:08',null);
INSERT INTO complaint_statuses VALUES('20279','6215','7','12','81','YE AC HUN NY INSTALL NAI KIA',null,'79','79','2021-05-29 12:08:56','2021-05-29 12:08:56',null);
INSERT INTO complaint_statuses VALUES('20280','6215','5','13',null,null,'FF TO ORIENT COMPANY','81','74','2021-05-29 12:12:17','2021-05-29 15:08:02',null);
INSERT INTO complaint_statuses VALUES('20281','6225','3',null,'53',null,'29-5-21
COMPLAINT#301129717','73','73','2021-05-29 12:15:34','2021-05-29 14:04:31',null);
INSERT INTO complaint_statuses VALUES('20282','6226','2',null,'81',null,'B.COOL','73','73','2021-05-29 12:18:48','2021-05-29 12:18:48',null);
INSERT INTO complaint_statuses VALUES('20283','6226','4',null,'58',null,null,'81','81','2021-05-29 12:19:42','2021-05-29 12:19:42',null);
INSERT INTO complaint_statuses VALUES('20284','6224','4',null,'58',null,null,'81','81','2021-05-29 12:19:52','2021-05-29 12:19:52',null);
INSERT INTO complaint_statuses VALUES('20285','6219','4',null,'61',null,null,'81','81','2021-05-29 12:20:02','2021-05-29 12:20:02',null);
INSERT INTO complaint_statuses VALUES('20286','5818','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 12:20:05','2021-05-29 12:20:05',null);
INSERT INTO complaint_statuses VALUES('20287','6123','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-29 12:22:12','2021-05-29 12:22:12',null);
INSERT INTO complaint_statuses VALUES('20288','6227','2',null,'81',null,'B.COOL','73','73','2021-05-29 12:27:20','2021-05-29 12:27:20',null);
INSERT INTO complaint_statuses VALUES('20289','6119','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 12:27:34','2021-05-29 13:28:33',null);
INSERT INTO complaint_statuses VALUES('20290','6228','3',null,'52',null,'29-5-21
COMPLAINT#PKRI-210529106652','73','73','2021-05-29 12:29:28','2021-05-29 13:26:34',null);
INSERT INTO complaint_statuses VALUES('20291','6105','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 12:29:35','2021-05-29 13:29:09',null);
INSERT INTO complaint_statuses VALUES('20292','6229','2',null,'81',null,'CARE','73','73','2021-05-29 12:32:57','2021-05-29 12:32:57',null);
INSERT INTO complaint_statuses VALUES('20293','6230','3',null,'65',null,'29-5-21
COMPLAINT#192122893','73','73','2021-05-29 12:35:23','2021-05-29 13:40:53',null);
INSERT INTO complaint_statuses VALUES('20294','6158','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 12:39:59','2021-05-29 12:39:59',null);
INSERT INTO complaint_statuses VALUES('20295','6229','4',null,'60',null,null,'81','81','2021-05-29 12:40:49','2021-05-29 12:40:49',null);
INSERT INTO complaint_statuses VALUES('20296','6227','4',null,'58',null,null,'81','81','2021-05-29 12:41:03','2021-05-29 12:41:03',null);
INSERT INTO complaint_statuses VALUES('20297','6164','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 12:41:45','2021-05-29 12:41:45',null);
INSERT INTO complaint_statuses VALUES('20298','6167','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 12:43:32','2021-05-29 12:43:32',null);
INSERT INTO complaint_statuses VALUES('20299','5589','7','12','81','Main PCB replaced 
rs 17000  expance',null,'83','83','2021-05-29 12:45:53','2021-05-29 12:45:53',null);
INSERT INTO complaint_statuses VALUES('20300','6183','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 12:57:51','2021-05-29 12:57:51',null);
INSERT INTO complaint_statuses VALUES('20301','6071','7','12','81','GAS CHARGED + COMP',null,'87','87','2021-05-29 12:59:46','2021-05-29 12:59:46',null);
INSERT INTO complaint_statuses VALUES('20302','6186','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 12:59:56','2021-05-29 12:59:56',null);
INSERT INTO complaint_statuses VALUES('20303','6165','7','12','81','ISSUE RESOLVED',null,'87','87','2021-05-29 13:07:15','2021-05-29 13:07:15',null);
INSERT INTO complaint_statuses VALUES('20304','6048','7','26','81','END FROM CUSTOMER SIDE',null,'87','87','2021-05-29 13:08:03','2021-05-29 13:08:03',null);
INSERT INTO complaint_statuses VALUES('20305','5707','7','12','81','ISSUE RESOLVED',null,'87','87','2021-05-29 13:09:47','2021-05-29 13:09:47',null);
INSERT INTO complaint_statuses VALUES('20306','6165','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 13:10:22','2021-05-29 13:27:09',null);
INSERT INTO complaint_statuses VALUES('20307','6077','5','15',null,'CUSTOMER NA COMPLAINT LOCAL TECHNICIAN SA OK KARWA LI COMPLAINT CLOSED','COMPLAINT RESOLVED','81','74','2021-05-29 13:15:11','2021-05-29 13:30:06',null);
INSERT INTO complaint_statuses VALUES('20308','6064','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 13:16:57','2021-05-29 13:16:57',null);
INSERT INTO complaint_statuses VALUES('20309','6231','3',null,'53',null,'29-5-21
COMPLAINT#301129721','73','74','2021-05-29 13:17:27','2021-05-31 10:35:44',null);
INSERT INTO complaint_statuses VALUES('20310','6071','5','15',null,'COMPLETED COMPLAINT REF DELVER HO GAYA I 10/ S/C SA','COMPLAINT RESOLVED','81','74','2021-05-29 13:21:29','2021-05-29 13:30:41',null);
INSERT INTO complaint_statuses VALUES('20311','5727','5',null,null,'COMPLAINT COMPLETED','1-6-21
COMPLAINT#773630','92','74','2021-05-29 13:40:33','2021-06-01 12:49:18',null);
INSERT INTO complaint_statuses VALUES('20312','6066','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 13:50:02','2021-05-29 13:50:02',null);
INSERT INTO complaint_statuses VALUES('20313','6232','3',null,'65',null,'29-5-21
COMPLAINT#192122899','73','73','2021-05-29 13:52:28','2021-05-29 14:21:59',null);
INSERT INTO complaint_statuses VALUES('20314','6161','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 13:53:11','2021-05-29 13:53:11',null);
INSERT INTO complaint_statuses VALUES('20315','6163','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 13:54:53','2021-05-29 13:54:53',null);
INSERT INTO complaint_statuses VALUES('20316','5873','7','12','81','COMPLAINT RESOLVED,',null,'79','79','2021-05-29 14:01:15','2021-05-29 14:01:15',null);
INSERT INTO complaint_statuses VALUES('20317','3179','5','23',null,null,null,'81','81','2021-05-29 14:07:21','2021-05-29 14:07:21',null);
INSERT INTO complaint_statuses VALUES('20318','6181','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 14:09:07','2021-05-29 14:09:07',null);
INSERT INTO complaint_statuses VALUES('20319','6233','2',null,'81',null,'22-DEC-20
(USMAN SB FORWARD SAMSUNG)','73','73','2021-05-29 14:11:49','2021-05-29 14:11:49',null);
INSERT INTO complaint_statuses VALUES('20320','6233','4',null,'64',null,null,'81','81','2021-05-29 14:12:09','2021-05-29 14:12:09',null);
INSERT INTO complaint_statuses VALUES('20321','6004','7','20','81','PCB KA ISSUE  REFER TO SERVICE CENTER',null,'79','79','2021-05-29 14:30:13','2021-05-29 14:30:13',null);
INSERT INTO complaint_statuses VALUES('20322','6179','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 14:52:40','2021-05-29 14:52:40',null);
INSERT INTO complaint_statuses VALUES('20323','6234','3',null,'52',null,'27-5-21
COMPLAINT#PKRI-21052910613
03155141792 FARYAD','73','92','2021-05-29 14:53:32','2021-06-02 12:16:35',null);
INSERT INTO complaint_statuses VALUES('20324','4505','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 14:54:25','2021-05-29 15:19:59',null);
INSERT INTO complaint_statuses VALUES('20325','6089','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 14:55:56','2021-05-29 14:55:56',null);
INSERT INTO complaint_statuses VALUES('20326','6235','3',null,'52',null,'29-5-21
COMPLAINT#PKRI-210529108664','73','73','2021-05-29 14:56:10','2021-05-29 15:09:31',null);
INSERT INTO complaint_statuses VALUES('20327','6002','5','15',null,'CUSTOMER K GHR KA HOB OK HO GAYA  COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-05-29 14:56:33','2021-05-29 15:06:30',null);
INSERT INTO complaint_statuses VALUES('20328','6004','8','23','58','MONDAY TAQ CUSTOMER S/C LA K AAI GEI',null,'81','81','2021-05-29 14:59:41','2021-05-29 14:59:41',null);
INSERT INTO complaint_statuses VALUES('20329','5998','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 15:00:35','2021-05-29 15:07:00',null);
INSERT INTO complaint_statuses VALUES('20330','6048','8','23','62','AGAIN TRY',null,'81','81','2021-05-29 15:02:37','2021-05-29 15:02:37',null);
INSERT INTO complaint_statuses VALUES('20331','6236','3',null,'55',null,'29-5-21
COMPLAINT#20301','73','73','2021-05-29 15:03:56','2021-05-29 17:06:19',null);
INSERT INTO complaint_statuses VALUES('20332','5990','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 15:04:56','2021-05-29 15:19:19',null);
INSERT INTO complaint_statuses VALUES('20333','5988','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-05-29 15:21:51','2021-05-29 15:27:18',null);
INSERT INTO complaint_statuses VALUES('20334','5972','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 15:22:50','2021-05-29 15:29:13',null);
INSERT INTO complaint_statuses VALUES('20335','5960','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 15:25:14','2021-05-29 15:29:41',null);
INSERT INTO complaint_statuses VALUES('20336','5691','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-29 15:28:13','2021-05-29 15:28:13',null);
INSERT INTO complaint_statuses VALUES('20337','5999','8','23','55','AGAIN TRY',null,'81','81','2021-05-29 15:30:14','2021-05-29 15:30:14',null);
INSERT INTO complaint_statuses VALUES('20338','6177','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 15:32:34','2021-05-29 15:32:34',null);
INSERT INTO complaint_statuses VALUES('20339','5686','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-05-29 15:33:27','2021-05-29 15:33:27',null);
INSERT INTO complaint_statuses VALUES('20340','5941','5','15',null,'EXP KI WAJA SA CUSTOMER NA COMPLAINT CLOSED KARWA DI','COMPLAINT CLOSED','81','74','2021-05-29 15:34:09','2021-05-29 16:04:35',null);
INSERT INTO complaint_statuses VALUES('20341','6237','2',null,'81',null,'ADIL','73','73','2021-05-29 15:46:01','2021-05-29 15:46:01',null);
INSERT INTO complaint_statuses VALUES('20342','6237','4',null,'62',null,null,'81','81','2021-05-29 15:46:48','2021-05-29 15:46:48',null);
INSERT INTO complaint_statuses VALUES('20343','5705','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-29 16:03:29','2021-05-29 16:03:29',null);
INSERT INTO complaint_statuses VALUES('20344','5928','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 16:07:15','2021-05-29 16:35:03',null);
INSERT INTO complaint_statuses VALUES('20345','5979','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 16:10:37','2021-05-29 16:10:37',null);
INSERT INTO complaint_statuses VALUES('20346','5680','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-29 16:13:07','2021-05-29 16:13:07',null);
INSERT INTO complaint_statuses VALUES('20347','5953','7','12','81','Drain Heater Replaced.',null,'76','76','2021-05-29 16:14:04','2021-05-29 16:14:04',null);
INSERT INTO complaint_statuses VALUES('20348','5916','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-05-29 16:14:43','2021-05-29 16:37:15',null);
INSERT INTO complaint_statuses VALUES('20349','5953','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 16:18:18','2021-05-29 16:33:36',null);
INSERT INTO complaint_statuses VALUES('20350','5873','8','23','58','CUSTOMER KA ISSUE RESOLVED NAI HOA AGAIN VISIT',null,'81','81','2021-05-29 16:20:33','2021-05-29 16:20:33',null);
INSERT INTO complaint_statuses VALUES('20351','5663','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 16:24:55','2021-05-29 16:24:55',null);
INSERT INTO complaint_statuses VALUES('20352','5836','5','15',null,'COMPLETED COMPLAINT','COMPLAINTRESOLVED','81','74','2021-05-29 16:26:51','2021-05-29 16:42:58',null);
INSERT INTO complaint_statuses VALUES('20353','5826','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-05-29 16:28:35','2021-05-29 16:43:32',null);
INSERT INTO complaint_statuses VALUES('20354','6238','2',null,'81',null,'CARE','73','73','2021-05-29 16:29:32','2021-05-29 16:29:32',null);
INSERT INTO complaint_statuses VALUES('20355','5943','5','15',null,'COMPLAINT NA COMPLAINT CANCEL KARWA DI COMPLAINT CLOSED','COMPLAINT CANCELED','81','74','2021-05-29 16:31:04','2021-05-29 16:34:10',null);
INSERT INTO complaint_statuses VALUES('20356','6238','4',null,'60',null,null,'81','81','2021-05-29 16:31:42','2021-05-29 16:31:42',null);
INSERT INTO complaint_statuses VALUES('20357','5824','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 16:35:26','2021-05-29 16:44:07',null);
INSERT INTO complaint_statuses VALUES('20358','5819','8','23','55','CUSTOMER KA ISSUE RESOLVED NAI HOA KINDLY VISIT ARRANGE KARWAY',null,'81','81','2021-05-29 16:39:13','2021-05-29 16:39:13',null);
INSERT INTO complaint_statuses VALUES('20359','5804','8','23','60','DISCUS BY KHURRAM SIR',null,'81','81','2021-05-29 16:39:59','2021-05-29 16:39:59',null);
INSERT INTO complaint_statuses VALUES('20360','5695','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 16:40:08','2021-05-29 16:40:08',null);
INSERT INTO complaint_statuses VALUES('20361','5772','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 16:40:56','2021-05-29 16:46:20',null);
INSERT INTO complaint_statuses VALUES('20362','5693','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 16:42:36','2021-05-29 16:42:36',null);
INSERT INTO complaint_statuses VALUES('20363','5704','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-29 16:44:28','2021-05-29 16:44:28',null);
INSERT INTO complaint_statuses VALUES('20364','6042','7','24','81','Visit ho gea hy set replace ho ga 
main board ka issue ha set office move krwa dyn dyn',null,'80','80','2021-05-29 16:47:37','2021-05-29 16:47:37',null);
INSERT INTO complaint_statuses VALUES('20365','5707','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 16:48:26','2021-05-29 17:04:05',null);
INSERT INTO complaint_statuses VALUES('20366','4515','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 16:49:10','2021-05-29 17:05:12',null);
INSERT INTO complaint_statuses VALUES('20367','5721','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-29 16:50:43','2021-05-29 16:50:43',null);
INSERT INTO complaint_statuses VALUES('20368','5200','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-05-29 16:52:26','2021-05-29 16:52:26',null);
INSERT INTO complaint_statuses VALUES('20369','6239','3',null,'53',null,'29-5-21
COMPLAINT#301130127','73','74','2021-05-29 16:54:02','2021-05-31 10:32:39',null);
INSERT INTO complaint_statuses VALUES('20370','5764','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 16:56:00','2021-05-29 17:00:18',null);
INSERT INTO complaint_statuses VALUES('20371','6042','8','23','59','CUSTOMER KO ASET REPLACE KAR DIA HAIN
CUSTOMER KA SET BEHIRA SHOWROOM PA AAGAY HAIN KINDLY SHOWROOM PA COMPLAINT ATTEND KARWAY',null,'81','81','2021-05-29 17:03:25','2021-05-29 17:03:25',null);
INSERT INTO complaint_statuses VALUES('20372','5702','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 17:06:45','2021-05-29 17:20:58',null);
INSERT INTO complaint_statuses VALUES('20373','5589','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 17:11:42','2021-05-29 17:21:27',null);
INSERT INTO complaint_statuses VALUES('20374','5477','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 17:13:34','2021-05-29 17:22:05',null);
INSERT INTO complaint_statuses VALUES('20375','5946','8','23','58','OK',null,'81','81','2021-05-29 17:14:56','2021-05-29 17:14:56',null);
INSERT INTO complaint_statuses VALUES('20376','5451','5','15',null,'ISHFAQ SIR NA W/M ABI S/C NI BAJI HAIN  JB BAJY GAY FIR NEW COMPLAINT ENTER  KARWA DAY GAY','COMPLAINT CLOSED','81','74','2021-05-29 17:19:47','2021-05-29 17:22:56',null);
INSERT INTO complaint_statuses VALUES('20377','4717','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-05-29 17:23:35','2021-05-29 17:31:32',null);
INSERT INTO complaint_statuses VALUES('20378','5177','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-05-29 17:24:54','2021-05-29 17:31:03',null);
INSERT INTO complaint_statuses VALUES('20379','5738','8','23','60','JOB COMPLETED QUKILEY',null,'81','81','2021-05-29 17:27:00','2021-05-29 17:27:00',null);
INSERT INTO complaint_statuses VALUES('20380','5550','8','15','60','HANDAL STOCK MAIN AVAIL NAI HAIN',null,'81','81','2021-05-29 17:28:30','2021-05-29 17:28:30',null);
INSERT INTO complaint_statuses VALUES('20381','6240','2',null,'81',null,'ADIL','73','73','2021-05-29 18:03:51','2021-05-29 18:03:51',null);
INSERT INTO complaint_statuses VALUES('20382','6240','4',null,'62',null,null,'81','81','2021-05-29 18:04:29','2021-05-29 18:04:29',null);
INSERT INTO complaint_statuses VALUES('20383','6241','3',null,'54',null,'30-5-21
COMPLAINT#RWP-1884390','73','74','2021-05-30 10:38:23','2021-05-30 10:56:45',null);
INSERT INTO complaint_statuses VALUES('20384','6242','2',null,'81',null,'CARE','73','73','2021-05-30 10:46:44','2021-05-30 10:46:44',null);
INSERT INTO complaint_statuses VALUES('20385','6242','4',null,'62',null,null,'81','81','2021-05-30 10:50:50','2021-05-30 10:50:50',null);
INSERT INTO complaint_statuses VALUES('20386','6206','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-30 11:09:15','2021-05-30 11:09:15',null);
INSERT INTO complaint_statuses VALUES('20387','6201','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-30 11:21:41','2021-05-30 11:21:41',null);
INSERT INTO complaint_statuses VALUES('20388','6198','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-30 11:29:50','2021-05-30 11:29:50',null);
INSERT INTO complaint_statuses VALUES('20389','6196','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-30 11:50:58','2021-05-30 11:50:58',null);
INSERT INTO complaint_statuses VALUES('20390','6243','3',null,'57',null,'30-5-21
COMPLAINT#18459','73','74','2021-05-30 11:54:24','2021-05-30 12:10:36',null);
INSERT INTO complaint_statuses VALUES('20391','6244','2',null,'81',null,'MRM','73','73','2021-05-30 12:01:33','2021-05-30 12:01:33',null);
INSERT INTO complaint_statuses VALUES('20392','6244','4',null,'61',null,null,'81','81','2021-05-30 12:02:13','2021-05-30 12:02:13',null);
INSERT INTO complaint_statuses VALUES('20393','6245','2',null,'81',null,'B.COOL','73','73','2021-05-30 12:10:08','2021-05-30 12:10:08',null);
INSERT INTO complaint_statuses VALUES('20394','6246','3',null,'54',null,'30-5-21
COMPLAIN#1884522','73','74','2021-05-30 12:12:44','2021-05-30 12:20:25',null);
INSERT INTO complaint_statuses VALUES('20395','6245','4',null,'58',null,null,'81','81','2021-05-30 12:13:01','2021-05-30 12:13:01',null);
INSERT INTO complaint_statuses VALUES('20396','6247','3',null,'65',null,'30-5-21
COMPLAINT#192122928','73','74','2021-05-30 12:18:54','2021-05-30 12:33:33',null);
INSERT INTO complaint_statuses VALUES('20397','6248','2',null,'81',null,'B.COOL','73','73','2021-05-30 12:26:50','2021-05-30 12:26:50',null);
INSERT INTO complaint_statuses VALUES('20398','6248','4',null,'58',null,null,'81','81','2021-05-30 12:28:02','2021-05-30 12:28:02',null);
INSERT INTO complaint_statuses VALUES('20399','6249','2',null,'81',null,null,'73','73','2021-05-30 12:35:32','2021-05-30 12:35:32',null);
INSERT INTO complaint_statuses VALUES('20400','6249','4',null,'63',null,null,'81','81','2021-05-30 12:36:01','2021-05-30 12:36:01',null);
INSERT INTO complaint_statuses VALUES('20401','6250','3',null,'65',null,'30-MAY-2021
COM NO 192122931','92','92','2021-05-30 12:44:04','2021-05-30 12:45:42',null);
INSERT INTO complaint_statuses VALUES('20402','5338','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-30 12:53:58','2021-05-30 12:53:58',null);
INSERT INTO complaint_statuses VALUES('20403','6251','3',null,'54',null,'30-5-21
COMPLAINT#1884631','73','74','2021-05-30 13:03:48','2021-05-30 13:33:36',null);
INSERT INTO complaint_statuses VALUES('20404','6252','2',null,'81',null,'MRM','73','73','2021-05-30 13:06:43','2021-05-30 13:06:43',null);
INSERT INTO complaint_statuses VALUES('20405','6253','3',null,'55',null,'30-5-21
 COMPLAINT#772139','73','74','2021-05-30 13:17:48','2021-05-30 13:50:45',null);
INSERT INTO complaint_statuses VALUES('20406','6254','3',null,'52',null,'30-5-21
COMPLAINT#PKRI-210530106124','73','74','2021-05-30 13:20:44','2021-05-30 15:06:35',null);
INSERT INTO complaint_statuses VALUES('20407','5382','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-30 13:30:27','2021-05-30 13:30:27',null);
INSERT INTO complaint_statuses VALUES('20408','5946','7','12','81','CUSTOMER  GLASS KHUD LGAYE GAIN,SO COMPLANT CLOSED',null,'79','79','2021-05-30 13:38:48','2021-05-30 13:38:48',null);
INSERT INTO complaint_statuses VALUES('20409','6255','3',null,'52',null,'30-5-21
COMPLAIN#PKRI-210530106258','73','74','2021-05-30 13:59:42','2021-05-30 15:16:15',null);
INSERT INTO complaint_statuses VALUES('20410','5981','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-30 14:01:24','2021-05-30 14:01:24',null);
INSERT INTO complaint_statuses VALUES('20411','6256','3',null,'52',null,'30-5-21
COMPLAINT#PKRI-210530106303','73','74','2021-05-30 14:09:02','2021-05-30 15:19:02',null);
INSERT INTO complaint_statuses VALUES('20412','6257','2',null,'81',null,'CARE','73','73','2021-05-30 14:15:04','2021-05-30 14:15:04',null);
INSERT INTO complaint_statuses VALUES('20413','6257','4',null,'60',null,null,'81','81','2021-05-30 14:15:49','2021-05-30 14:15:49',null);
INSERT INTO complaint_statuses VALUES('20414','6252','4',null,'61',null,null,'81','81','2021-05-30 14:16:01','2021-05-30 14:16:01',null);
INSERT INTO complaint_statuses VALUES('20415','6200','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-30 14:19:39','2021-05-30 14:19:39',null);
INSERT INTO complaint_statuses VALUES('20416','6258','3',null,'54',null,'30-5-21
COMPLAINT#1884712','73','74','2021-05-30 14:33:48','2021-05-30 14:43:03',null);
INSERT INTO complaint_statuses VALUES('20417','6259','3',null,'52',null,'30-5-21
COMPLAINT#PKRI-210530106214','73','74','2021-05-30 14:36:18','2021-05-30 15:12:40',null);
INSERT INTO complaint_statuses VALUES('20418','6260','3',null,'56',null,'30-5-21
COMPLAINT#E30/101','73','74','2021-05-30 14:39:28','2021-05-30 15:25:16',null);
INSERT INTO complaint_statuses VALUES('20419','6261','2',null,'81',null,'B.COOL','73','73','2021-05-30 14:58:37','2021-05-30 14:58:37',null);
INSERT INTO complaint_statuses VALUES('20420','6261','4',null,'58',null,null,'81','81','2021-05-30 14:59:07','2021-05-30 14:59:07',null);
INSERT INTO complaint_statuses VALUES('20421','6188','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-30 15:02:28','2021-05-30 15:02:28',null);
INSERT INTO complaint_statuses VALUES('20422','6262','2',null,'81',null,'B.COOL','73','73','2021-05-30 15:11:32','2021-05-30 15:11:32',null);
INSERT INTO complaint_statuses VALUES('20423','6262','4',null,'58',null,null,'81','81','2021-05-30 15:11:55','2021-05-30 15:11:55',null);
INSERT INTO complaint_statuses VALUES('20424','6263','3',null,'53',null,'30-5-21
COMPLAINT#RWP-130079','73','74','2021-05-30 15:16:28','2021-05-30 15:35:40',null);
INSERT INTO complaint_statuses VALUES('20425','6264','2',null,'81',null,'CARE','73','73','2021-05-30 15:30:00','2021-05-30 15:30:00',null);
INSERT INTO complaint_statuses VALUES('20426','6265','3',null,'65',null,'30-5-21
COMPLAINT#192122938','73','74','2021-05-30 15:36:13','2021-05-30 15:58:04',null);
INSERT INTO complaint_statuses VALUES('20427','6266','3',null,'52',null,'30-5-21
COMPLAINT#PKRI-210530106999','73','74','2021-05-30 15:49:10','2021-05-30 16:11:52',null);
INSERT INTO complaint_statuses VALUES('20428','6264','4',null,'60',null,'31-5-21
COMPLAINT#192122964','81','74','2021-05-30 16:07:09','2021-05-31 10:47:15',null);
INSERT INTO complaint_statuses VALUES('20429','6267','3',null,'52',null,'30-5-21
COMPLAINT#PKRI-210530107298','73','74','2021-05-30 16:24:25','2021-05-30 16:34:46',null);
INSERT INTO complaint_statuses VALUES('20430','6268','2',null,'81',null,'31-5-21
FRWRD TO SAJJAD BHATTI','73','73','2021-05-30 16:59:13','2021-05-31 17:24:43',null);
INSERT INTO complaint_statuses VALUES('20431','6269','2',null,'81',null,'B.COOL','73','73','2021-05-30 17:09:19','2021-05-30 17:09:19',null);
INSERT INTO complaint_statuses VALUES('20432','6269','4',null,'58',null,null,'81','81','2021-05-30 17:09:56','2021-05-30 17:09:56',null);
INSERT INTO complaint_statuses VALUES('20433','6269','4',null,'58',null,null,'81','81','2021-05-30 17:09:57','2021-05-30 17:09:57',null);
INSERT INTO complaint_statuses VALUES('20434','6270','3',null,'53',null,'31-5-21
COMPLAINT#301130406','73','74','2021-05-30 17:10:26','2021-05-31 10:31:14',null);
INSERT INTO complaint_statuses VALUES('20435','6271','3',null,'52',null,'30-5-21
COMPLAINT#PKJM-210530108182','73','74','2021-05-30 17:26:55','2021-05-30 17:34:49',null);
INSERT INTO complaint_statuses VALUES('20436','6272','3',null,'65',null,'30-5-21
COMPLAINT#192122941','73','74','2021-05-30 17:28:39','2021-05-30 17:39:43',null);
INSERT INTO complaint_statuses VALUES('20437','6273','2',null,'81',null,null,'73','73','2021-05-30 17:51:56','2021-05-30 17:51:56',null);
INSERT INTO complaint_statuses VALUES('20438','6273','4',null,'62',null,null,'81','81','2021-05-30 17:52:23','2021-05-30 17:52:23',null);
INSERT INTO complaint_statuses VALUES('20439','6216','7','12','81','issue resolved',null,'87','87','2021-05-30 20:37:34','2021-05-30 20:37:34',null);
INSERT INTO complaint_statuses VALUES('20440','6237','7','26','81','TECH CUSTOMER K GHR GAE BUTT NA TO CUSTOMER NY CAL PICK KI AUR NA DOOR OPEN KIA , AND ALSO INFORMED TO SHAHZAD SO PLZ NOW CANCEL IT. JB DOBRARA CL KREIN GE TO LUANCH KR DJYE GA',null,'87','87','2021-05-30 20:40:10','2021-05-30 20:40:10',null);
INSERT INTO complaint_statuses VALUES('20441','6240','7','12','81','GAS CHARGED + COMP',null,'87','87','2021-05-30 20:40:37','2021-05-30 20:40:37',null);
INSERT INTO complaint_statuses VALUES('20442','6210','7','12','81','complaint reoslved ,gas kit set kr di hai',null,'79','79','2021-05-30 21:06:41','2021-05-30 21:06:41',null);
INSERT INTO complaint_statuses VALUES('20443','6195','7','12','81','Wal like tha ok',null,'88','88','2021-05-31 09:32:26','2021-05-31 09:32:26',null);
INSERT INTO complaint_statuses VALUES('20444','6202','7','10','81',null,null,'88','88','2021-05-31 09:32:51','2021-05-31 09:32:51',null);
INSERT INTO complaint_statuses VALUES('20445','6067','7','12','81','Nob tuti the OK',null,'88','88','2021-05-31 09:34:20','2021-05-31 09:34:20',null);
INSERT INTO complaint_statuses VALUES('20446','6032','7','26','81','Bahir say thik karwa Liya hy',null,'88','88','2021-05-31 09:35:04','2021-05-31 09:35:04',null);
INSERT INTO complaint_statuses VALUES('20447','5898','7','12','81','Tharmokapal change ki hy ok',null,'88','88','2021-05-31 09:36:12','2021-05-31 09:36:12',null);
INSERT INTO complaint_statuses VALUES('20448','6274','3',null,'66',null,'31-5-21
COMPLAINT#PK-053120210040','73','92','2021-05-31 10:34:28','2021-06-05 13:51:05',null);
INSERT INTO complaint_statuses VALUES('20449','6275','3',null,'84',null,'31-5-21
COMPLAINT#772535','73','74','2021-05-31 10:39:49','2021-05-31 11:54:33',null);
INSERT INTO complaint_statuses VALUES('20450','6219','7','12','81','WiFi signal low unit working ok ok mobile hotspot
Guided to customer to increase WiFi signal 
Unit ok',null,'83','83','2021-05-31 10:42:41','2021-05-31 10:42:41',null);
INSERT INTO complaint_statuses VALUES('20451','6276','2',null,'81',null,'ADIL','73','73','2021-05-31 10:46:54','2021-05-31 10:46:54',null);
INSERT INTO complaint_statuses VALUES('20452','6276','4',null,'62',null,null,'81','81','2021-05-31 10:47:55','2021-05-31 10:47:55',null);
INSERT INTO complaint_statuses VALUES('20453','5768','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-05-31 10:47:59','2021-05-31 10:47:59',null);
INSERT INTO complaint_statuses VALUES('20454','6277','3',null,'66',null,'FRWRD TO KASHIF TCL','73','73','2021-05-31 10:51:12','2021-05-31 10:51:12',null);
INSERT INTO complaint_statuses VALUES('20455','6278','2',null,'81',null,'B.COOL','73','73','2021-05-31 11:03:42','2021-05-31 11:03:42',null);
INSERT INTO complaint_statuses VALUES('20456','6278','4',null,'58',null,null,'81','81','2021-05-31 11:04:11','2021-05-31 11:04:11',null);
INSERT INTO complaint_statuses VALUES('20457','6279','3',null,'57',null,'31-5-21
COMPLAINT#18500','73','74','2021-05-31 11:08:41','2021-05-31 11:36:37',null);
INSERT INTO complaint_statuses VALUES('20458','6280','3',null,'57',null,'30-5-21
COMPLAINT#18501','73','74','2021-05-31 11:14:46','2021-05-31 11:38:46',null);
INSERT INTO complaint_statuses VALUES('20459','6216','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-31 11:14:51','2021-05-31 11:47:05',null);
INSERT INTO complaint_statuses VALUES('20460','5898','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-31 11:17:40','2021-05-31 12:20:37',null);
INSERT INTO complaint_statuses VALUES('20461','6281','3',null,'55',null,'31-5-21
COMPLAINT#772540','73','74','2021-05-31 11:18:46','2021-05-31 11:50:32',null);
INSERT INTO complaint_statuses VALUES('20462','6032','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-31 11:21:32','2021-05-31 11:56:07',null);
INSERT INTO complaint_statuses VALUES('20463','6067','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-31 11:23:10','2021-05-31 11:55:28',null);
INSERT INTO complaint_statuses VALUES('20464','6282','3',null,'65',null,'31-5-21
COMPLAINT#192123000','73','74','2021-05-31 11:23:28','2021-05-31 12:23:56',null);
INSERT INTO complaint_statuses VALUES('20465','6195','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-31 11:24:44','2021-05-31 11:53:53',null);
INSERT INTO complaint_statuses VALUES('20466','6210','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-31 11:26:34','2021-05-31 11:49:55',null);
INSERT INTO complaint_statuses VALUES('20467','6283','2',null,'81',null,'B.COOL','73','73','2021-05-31 11:26:37','2021-05-31 11:26:37',null);
INSERT INTO complaint_statuses VALUES('20468','6237','8','13','62','CUSTOMER NAY CALL PICK KAR LE HAY AJ VISIT ARANGE KARWAY',null,'81','81','2021-05-31 11:29:13','2021-05-31 11:29:13',null);
INSERT INTO complaint_statuses VALUES('20469','6283','4',null,'58',null,null,'81','81','2021-05-31 11:29:29','2021-05-31 11:29:29',null);
INSERT INTO complaint_statuses VALUES('20470','6284','3',null,'53',null,'31-5-21
COMPLAINT#301130581','73','74','2021-05-31 11:31:19','2021-05-31 12:09:04',null);
INSERT INTO complaint_statuses VALUES('20471','5946','5','25',null,'COMPLAINT RESOLVED','COMPLAINT  COMPLETED','81','92','2021-05-31 11:34:14','2021-05-31 11:58:54',null);
INSERT INTO complaint_statuses VALUES('20472','6285','2',null,'81',null,'LG','73','73','2021-05-31 11:35:44','2021-05-31 11:35:44',null);
INSERT INTO complaint_statuses VALUES('20473','6285','4',null,'55',null,null,'81','81','2021-05-31 11:36:11','2021-05-31 11:36:11',null);
INSERT INTO complaint_statuses VALUES('20474','6286','3',null,'57',null,'31-5-21
COMPLAINT#18515','73','74','2021-05-31 11:39:28','2021-05-31 13:03:15',null);
INSERT INTO complaint_statuses VALUES('20475','6126','7','12','81','Inlet Valve Replaced.',null,'76','76','2021-05-31 11:59:11','2021-05-31 11:59:11',null);
INSERT INTO complaint_statuses VALUES('20476','6287','3',null,'55',null,'31-5-21
COMPLAINT#12574','73','92','2021-05-31 12:01:06','2021-06-03 15:55:47',null);
INSERT INTO complaint_statuses VALUES('20477','6147','7','12','81','Salt Issue , Guide to Customer. Visit Pending 600/-',null,'76','76','2021-05-31 12:01:32','2021-05-31 12:01:32',null);
INSERT INTO complaint_statuses VALUES('20478','5999','7','12','81','Balance Adjustment. Visit Pending 600/-',null,'76','76','2021-05-31 12:02:35','2021-05-31 12:02:35',null);
INSERT INTO complaint_statuses VALUES('20479','5994','7','12','81','Refer to SVC in Service , Customer Will Drop it after some days .',null,'76','76','2021-05-31 12:03:37','2021-05-31 12:03:37',null);
INSERT INTO complaint_statuses VALUES('20480','6288','2',null,'81',null,'ADIL','73','73','2021-05-31 12:05:31','2021-05-31 12:05:31',null);
INSERT INTO complaint_statuses VALUES('20481','6289','3',null,'65',null,'31-5-21
COMPLAINT#192123008','73','74','2021-05-31 12:19:02','2021-05-31 12:43:13',null);
INSERT INTO complaint_statuses VALUES('20482','6171','7','9','81','unit Model is 65x7500h and unit is under process with service center ....its in no display....','65X9500H-CC','77','73','2021-05-31 12:21:44','2021-05-31 13:36:57',null);
INSERT INTO complaint_statuses VALUES('20483','6257','7','12','81','Brecker cheng kar diye hy',null,'82','82','2021-05-31 12:24:26','2021-05-31 12:24:26',null);
INSERT INTO complaint_statuses VALUES('20484','6264','7','12','81','No instaltion fault .
Compny ko farwerd kar di hy',null,'82','82','2021-05-31 12:25:55','2021-05-31 12:25:55',null);
INSERT INTO complaint_statuses VALUES('20485','5999','5','15',null,'COMPLAINT RESOLVED','complaint completed','81','92','2021-05-31 12:26:04','2021-05-31 17:25:49',null);
INSERT INTO complaint_statuses VALUES('20486','6290','3',null,'53',null,'31-5-21
COMPLAINT#301130678','73','74','2021-05-31 12:26:27','2021-05-31 16:48:42',null);
INSERT INTO complaint_statuses VALUES('20487','6238','7','12','81','Filter gandy thy clear kar dia hy',null,'82','82','2021-05-31 12:27:04','2021-05-31 12:27:04',null);
INSERT INTO complaint_statuses VALUES('20488','6126','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-31 12:27:07','2021-05-31 14:08:59',null);
INSERT INTO complaint_statuses VALUES('20489','6291','2',null,'81',null,'CARE','73','73','2021-05-31 12:28:13','2021-05-31 12:28:13',null);
INSERT INTO complaint_statuses VALUES('20490','6171','8','23','56','COMPLAINT RESOLVED NAI HUAI SIR',null,'81','81','2021-05-31 12:32:14','2021-05-31 12:32:14',null);
INSERT INTO complaint_statuses VALUES('20491','6292','2',null,'81',null,null,'73','73','2021-05-31 12:32:51','2021-05-31 12:32:51',null);
INSERT INTO complaint_statuses VALUES('20492','6292','4',null,'56',null,null,'81','81','2021-05-31 12:33:12','2021-05-31 12:33:12',null);
INSERT INTO complaint_statuses VALUES('20493','6291','4',null,'60',null,null,'81','81','2021-05-31 12:33:29','2021-05-31 12:33:29',null);
INSERT INTO complaint_statuses VALUES('20494','6288','4',null,'62',null,null,'81','81','2021-05-31 12:33:43','2021-05-31 12:33:43',null);
INSERT INTO complaint_statuses VALUES('20495','6238','5','15',null,'CUSTOMER NAY LOCAL TACTION SAY OK KARWA DEYA HAY COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-31 12:36:09','2021-05-31 14:06:59',null);
INSERT INTO complaint_statuses VALUES('20496','6257','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-31 12:37:12','2021-05-31 13:08:46',null);
INSERT INTO complaint_statuses VALUES('20497','6264','5','15',null,'COMPLAINT COMPAINE MAY KARWA DE HAY COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-05-31 12:39:35','2021-05-31 12:48:15',null);
INSERT INTO complaint_statuses VALUES('20498','5994','8','23','55','COMPLAINT ABI RESOLVED NAI HUAI',null,'81','81','2021-05-31 12:41:33','2021-05-31 12:41:33',null);
INSERT INTO complaint_statuses VALUES('20499','6240','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-05-31 12:43:51','2021-05-31 13:10:13',null);
INSERT INTO complaint_statuses VALUES('20500','6293','2',null,'81',null,'B.COOL','73','73','2021-05-31 12:46:24','2021-05-31 12:46:24',null);
INSERT INTO complaint_statuses VALUES('20501','6293','4',null,'58',null,null,'81','81','2021-05-31 12:48:05','2021-05-31 12:48:05',null);
INSERT INTO complaint_statuses VALUES('20502','6294','3',null,'54',null,'31-5-21
COMPLAINT#1885795','73','74','2021-05-31 12:56:49','2021-05-31 13:34:20',null);
INSERT INTO complaint_statuses VALUES('20503','6295','3',null,'65',null,'31-5-21
COMPLAINT#1921230215','73','74','2021-05-31 12:59:16','2021-05-31 13:47:15',null);
INSERT INTO complaint_statuses VALUES('20504','6296','2',null,'81',null,'LG','73','73','2021-05-31 13:07:20','2021-05-31 13:07:20',null);
INSERT INTO complaint_statuses VALUES('20505','6296','4',null,'55',null,null,'81','81','2021-05-31 13:07:47','2021-05-31 13:07:47',null);
INSERT INTO complaint_statuses VALUES('20506','6297','2',null,'81',null,'ADIL','73','73','2021-05-31 13:11:51','2021-05-31 13:11:51',null);
INSERT INTO complaint_statuses VALUES('20507','6297','4',null,'62',null,null,'81','81','2021-05-31 13:12:17','2021-05-31 13:12:17',null);
INSERT INTO complaint_statuses VALUES('20508','6298','3',null,'56',null,'31-5-21
COMPLAINT#E31/021','73','74','2021-05-31 13:17:59','2021-05-31 13:51:07',null);
INSERT INTO complaint_statuses VALUES('20509','6299','3',null,'54',null,'31-5-21
COMPLAIN-1885808','73','74','2021-05-31 13:22:23','2021-05-31 13:37:44',null);
INSERT INTO complaint_statuses VALUES('20510','6300','2',null,'81',null,'ADIL','73','73','2021-05-31 13:27:15','2021-05-31 13:27:15',null);
INSERT INTO complaint_statuses VALUES('20511','6300','4',null,'62',null,null,'81','81','2021-05-31 13:27:36','2021-05-31 13:27:36',null);
INSERT INTO complaint_statuses VALUES('20512','5994','7','12','81','Madam ki machine ki service hony wali hy abhi close kr dein , kch din k bad madam SVC bhjwain gi.',null,'76','76','2021-05-31 13:29:14','2021-05-31 13:29:14',null);
INSERT INTO complaint_statuses VALUES('20513','6301','2',null,'81',null,null,'73','73','2021-05-31 13:31:07','2021-05-31 13:31:07',null);
INSERT INTO complaint_statuses VALUES('20514','6301','4',null,'62',null,null,'81','81','2021-05-31 13:33:08','2021-05-31 13:33:08',null);
INSERT INTO complaint_statuses VALUES('20515','6302','3',null,'54',null,'31-5-21
COMPLAINT#1885886','73','74','2021-05-31 13:41:47','2021-05-31 14:02:54',null);
INSERT INTO complaint_statuses VALUES('20516','6303','3',null,'52',null,'31-5-21
COMPLAINT#PKRI-210531108996','73','74','2021-05-31 13:44:48','2021-05-31 14:10:12',null);
INSERT INTO complaint_statuses VALUES('20517','6304','3',null,'52',null,'31-5-21
COMPLAINT#PKRI-210531109048','73','74','2021-05-31 13:47:54','2021-05-31 14:11:49',null);
INSERT INTO complaint_statuses VALUES('20518','6292','7','24','81','need approval of wifi card , connector assy and flexible flat30 pin .... Cost Rs. 28980...need approval....also send its back cover to sony service center.',null,'77','77','2021-05-31 13:51:03','2021-05-31 13:51:03',null);
INSERT INTO complaint_statuses VALUES('20519','5873','7','12','81','compliant resolved  no issure in ac,,',null,'79','79','2021-05-31 13:53:39','2021-05-31 13:53:39',null);
INSERT INTO complaint_statuses VALUES('20520','6305','3',null,'52',null,'31-5-21
COMPLAIN#PKRI-210531109140','73','74','2021-05-31 13:56:17','2021-05-31 14:14:33',null);
INSERT INTO complaint_statuses VALUES('20521','6306','3',null,'55',null,'31-5-21
complaint# 772943','73','74','2021-05-31 13:59:43','2021-05-31 15:13:23',null);
INSERT INTO complaint_statuses VALUES('20522','5873','5','15',null,'COMPLAINT RESOLVED','complaint completed','81','92','2021-05-31 14:02:29','2021-05-31 17:25:17',null);
INSERT INTO complaint_statuses VALUES('20523','6202','8','23','63','AGAIN CALL KAR LAY',null,'81','81','2021-05-31 14:02:59','2021-05-31 14:02:59',null);
INSERT INTO complaint_statuses VALUES('20524','6307','3',null,'52',null,'31-5-21
COMPLAINT#PKR-210531109214','73','74','2021-05-31 14:05:31','2021-05-31 14:17:32',null);
INSERT INTO complaint_statuses VALUES('20525','6308','3',null,'53',null,'31-5-21
COMPLAINT#30131077','73','74','2021-05-31 14:14:04','2021-05-31 16:40:51',null);
INSERT INTO complaint_statuses VALUES('20526','6309','3',null,'52',null,'31-5-21
COMPLAIMT#PKRI-210531111246','73','74','2021-05-31 14:17:05','2021-05-31 15:31:03',null);
INSERT INTO complaint_statuses VALUES('20527','6185','7','24','81','Visit compleet hanjez need',null,'82','82','2021-05-31 14:17:56','2021-05-31 14:17:56',null);
INSERT INTO complaint_statuses VALUES('20528','6310','3',null,'53',null,'31-5-21
COMPLAINT#301131084','73','74','2021-05-31 14:21:52','2021-05-31 16:43:51',null);
INSERT INTO complaint_statuses VALUES('20529','6311','3',null,'53',null,'31-5-21
COMPLAINT#301131093','73','74','2021-05-31 14:29:18','2021-05-31 16:47:34',null);
INSERT INTO complaint_statuses VALUES('20530','6312','2',null,'81',null,'FRWRD TO RABIA GENERAL TEC','73','73','2021-05-31 14:35:57','2021-05-31 14:41:35',null);
INSERT INTO complaint_statuses VALUES('20531','6312','3',null,'60',null,null,'81','81','2021-05-31 14:39:41','2021-05-31 14:39:41',null);
INSERT INTO complaint_statuses VALUES('20532','6313','2',null,'81',null,'ADIL','73','73','2021-05-31 14:39:59','2021-05-31 14:39:59',null);
INSERT INTO complaint_statuses VALUES('20533','6314','3',null,'52',null,'31-5-21
complaint#pkri-210531110998','73','74','2021-05-31 14:43:34','2021-05-31 15:22:12',null);
INSERT INTO complaint_statuses VALUES('20534','6209','5',null,null,'complaint  completed',null,'92','92','2021-05-31 15:08:08','2021-05-31 15:08:08',null);
INSERT INTO complaint_statuses VALUES('20535','6315','3',null,'53',null,'31-5-21
COMPLAINT#30113119','73','74','2021-05-31 15:13:09','2021-05-31 17:12:11',null);
INSERT INTO complaint_statuses VALUES('20536','6316','2',null,'81',null,'ADIL','73','73','2021-05-31 15:20:21','2021-05-31 15:20:21',null);
INSERT INTO complaint_statuses VALUES('20537','6317','2',null,'81',null,'B.COOL','73','73','2021-05-31 15:23:29','2021-05-31 15:23:29',null);
INSERT INTO complaint_statuses VALUES('20538','6317','4',null,'58',null,null,'81','81','2021-05-31 15:23:55','2021-05-31 15:23:55',null);
INSERT INTO complaint_statuses VALUES('20539','6316','4',null,'62',null,null,'81','81','2021-05-31 15:24:11','2021-05-31 15:24:11',null);
INSERT INTO complaint_statuses VALUES('20540','6313','4',null,'56',null,null,'81','81','2021-05-31 15:24:25','2021-05-31 15:24:25',null);
INSERT INTO complaint_statuses VALUES('20541','6318','3',null,'53',null,'31-5-21
COMPLAINT# 301131179','73','74','2021-05-31 15:30:51','2021-05-31 18:01:34',null);
INSERT INTO complaint_statuses VALUES('20542','5657','7','12','81','Dot clean 
2000 pic&drop 
3000 service',null,'83','83','2021-05-31 15:42:27','2021-05-31 15:42:27',null);
INSERT INTO complaint_statuses VALUES('20543','5622','7','12','81','Unit ok ha   unit main koi masla Nahi',null,'83','83','2021-05-31 15:43:23','2021-05-31 15:43:23',null);
INSERT INTO complaint_statuses VALUES('20544','6319','2',null,'81',null,'CARE','73','73','2021-05-31 15:43:27','2021-05-31 15:43:27',null);
INSERT INTO complaint_statuses VALUES('20545','6319','4',null,'60',null,null,'81','81','2021-05-31 15:44:11','2021-05-31 15:44:11',null);
INSERT INTO complaint_statuses VALUES('20546','6320','3',null,'52',null,'ALREADY LAUNCHED COMPLAINT#PKRI210528106864','73','73','2021-05-31 15:49:36','2021-05-31 16:24:06',null);
INSERT INTO complaint_statuses VALUES('20547','6140','7','22','81','Heat Gun Faulty , According to DOP seems in warranty , please provide Heat gun.',null,'76','76','2021-05-31 15:50:08','2021-05-31 15:50:08',null);
INSERT INTO complaint_statuses VALUES('20548','6321','3',null,'53',null,'31-5-21
COMPLAINT#301131115','73','74','2021-05-31 15:53:55','2021-05-31 17:08:04',null);
INSERT INTO complaint_statuses VALUES('20549','6322','3',null,'57',null,'COMPLAINT#18539','73','73','2021-05-31 16:11:53','2021-05-31 17:48:25',null);
INSERT INTO complaint_statuses VALUES('20550','6323','3',null,'52',null,'31-5-21
COMPLAINT#PKJM-210531114204','73','74','2021-05-31 16:35:08','2021-05-31 17:25:23',null);
INSERT INTO complaint_statuses VALUES('20551','6249','7','12','81','Sating',null,'88','88','2021-05-31 16:35:13','2021-05-31 16:35:13',null);
INSERT INTO complaint_statuses VALUES('20552','5644','7','12','81','Gas Wal like tha ok',null,'88','88','2021-05-31 16:36:26','2021-05-31 16:36:26',null);
INSERT INTO complaint_statuses VALUES('20553','6155','7','12','81','Auto ka masla tha OK 500f',null,'88','88','2021-05-31 16:36:59','2021-05-31 16:36:59',null);
INSERT INTO complaint_statuses VALUES('20554','6324','3',null,'52',null,'31-5-21
COMPLAINT#PKRI-210531114293','73','74','2021-05-31 16:39:04','2021-05-31 17:28:55',null);
INSERT INTO complaint_statuses VALUES('20555','6325','3',null,'85',null,'31-5-21
COMPLAINT#1131173','73','74','2021-05-31 16:41:51','2021-05-31 17:58:24',null);
INSERT INTO complaint_statuses VALUES('20556','6326','3',null,'52',null,'31-5-21
COMPLAINT#PKRI-210531114337','73','74','2021-05-31 16:48:08','2021-05-31 17:31:14',null);
INSERT INTO complaint_statuses VALUES('20557','6327','2',null,'81',null,null,'73','73','2021-05-31 16:52:54','2021-05-31 16:52:54',null);
INSERT INTO complaint_statuses VALUES('20558','6327','4',null,'55',null,null,'81','81','2021-05-31 16:53:26','2021-05-31 16:53:26',null);
INSERT INTO complaint_statuses VALUES('20559','6328','3',null,'52',null,'31-5-21
COMPLAINT#PKRI-21053111680','73','74','2021-05-31 17:00:23','2021-05-31 17:47:58',null);
INSERT INTO complaint_statuses VALUES('20560','6242','7','22','81','COMP',null,'87','87','2021-05-31 17:16:06','2021-05-31 17:16:06',null);
INSERT INTO complaint_statuses VALUES('20561','6268','3',null,'80',null,null,'81','81','2021-05-31 17:17:39','2021-05-31 17:17:39',null);
INSERT INTO complaint_statuses VALUES('20562','6329','3',null,'52',null,'31-5-21
COMPLAINT#PKRI-21051114586','73','74','2021-05-31 17:19:37','2021-05-31 17:43:42',null);
INSERT INTO complaint_statuses VALUES('20563','6249','5','15',null,'COMPLETED COMPALINT','complaint resolved','81','92','2021-05-31 17:19:37','2021-05-31 18:08:32',null);
INSERT INTO complaint_statuses VALUES('20564','6237','7','24','81','CUSTOMER KO CL KR K 600 VISIT CHARGES BTAEN ,AGR SERVICE CHARGES OK KRTY THEN TECH JAEN GE AB AUR MAINY SHAHZAD SALE MAN KO INFORM KR DIA H',null,'87','87','2021-05-31 17:20:53','2021-05-31 17:20:53',null);
INSERT INTO complaint_statuses VALUES('20565','6147','8','23','55','customer ka issue resolved nai hua',null,'81','81','2021-05-31 17:22:27','2021-05-31 17:22:27',null);
INSERT INTO complaint_statuses VALUES('20566','6219','8','23','61','CUSTOMER ABI SET CEEKED KAR K KAL AUP DTAE KARAY GAY',null,'81','81','2021-05-31 17:22:51','2021-05-31 17:22:51',null);
INSERT INTO complaint_statuses VALUES('20567','6155','5','15',null,'COMPLETED COMPLAINT','complaint resolved','81','92','2021-05-31 17:29:31','2021-05-31 18:13:40',null);
INSERT INTO complaint_statuses VALUES('20568','5739','7','26','81','GLASS KI PAYMENT CUSTOMER KO BTA DI HAI , BUT CUSTOMER REFUSED',null,'87','87','2021-05-31 17:30:37','2021-05-31 17:30:37',null);
INSERT INTO complaint_statuses VALUES('20569','5994','5','15',null,'OK JOB CLOSED','complaint resolved','81','92','2021-05-31 17:31:29','2021-05-31 18:10:41',null);
INSERT INTO complaint_statuses VALUES('20570','6330','2',null,'81',null,null,'73','73','2021-05-31 17:38:19','2021-05-31 17:38:19',null);
INSERT INTO complaint_statuses VALUES('20571','6330','4',null,'55',null,null,'81','81','2021-05-31 17:39:02','2021-05-31 17:39:02',null);
INSERT INTO complaint_statuses VALUES('20572','5644','5','15',null,'COMPLETED COMPLAINT','complaint resolved','81','92','2021-05-31 17:39:42','2021-05-31 17:41:51',null);
INSERT INTO complaint_statuses VALUES('20573','6273','7','22','81','COMP',null,'87','87','2021-05-31 19:18:59','2021-05-31 19:18:59',null);
INSERT INTO complaint_statuses VALUES('20574','5780','7','10','81',null,null,'87','87','2021-05-31 20:11:52','2021-05-31 20:11:52',null);
INSERT INTO complaint_statuses VALUES('20575','6245','7','12','81','complint resolved .',null,'79','79','2021-05-31 21:51:44','2021-05-31 21:51:44',null);
INSERT INTO complaint_statuses VALUES('20576','6212','7','12','81','drain coil change complaint resolved',null,'79','79','2021-05-31 21:53:00','2021-05-31 21:53:00',null);
INSERT INTO complaint_statuses VALUES('20577','6331','3',null,'55',null,'1-6-21
COMPLAINT#773619','73','74','2021-06-01 10:35:39','2021-06-01 12:44:13',null);
INSERT INTO complaint_statuses VALUES('20578','6332','2',null,'81',null,null,'73','73','2021-06-01 10:39:31','2021-06-01 10:39:31',null);
INSERT INTO complaint_statuses VALUES('20579','6332','4',null,'58',null,null,'81','81','2021-06-01 10:39:57','2021-06-01 10:39:57',null);
INSERT INTO complaint_statuses VALUES('20580','6333','2',null,'81',null,null,'73','73','2021-06-01 10:41:48','2021-06-01 10:41:48',null);
INSERT INTO complaint_statuses VALUES('20581','6333','4',null,'61',null,null,'81','81','2021-06-01 10:42:52','2021-06-01 10:42:52',null);
INSERT INTO complaint_statuses VALUES('20582','6334','3',null,'54',null,'1-6-21
COMPLAINT# 188719','73','74','2021-06-01 10:44:40','2021-06-01 12:58:53',null);
INSERT INTO complaint_statuses VALUES('20583','6335','2',null,'81',null,null,'73','73','2021-06-01 10:47:46','2021-06-01 10:47:46',null);
INSERT INTO complaint_statuses VALUES('20584','6335','4',null,'62',null,null,'81','81','2021-06-01 10:48:21','2021-06-01 10:48:21',null);
INSERT INTO complaint_statuses VALUES('20585','6336','3',null,'84',null,'1-6-21
COMPLAINT#773614','73','74','2021-06-01 10:55:16','2021-06-01 12:42:22',null);
INSERT INTO complaint_statuses VALUES('20586','6337','2',null,'81',null,null,'73','73','2021-06-01 11:01:06','2021-06-01 11:01:06',null);
INSERT INTO complaint_statuses VALUES('20587','6337','4',null,'55',null,null,'81','81','2021-06-01 11:01:31','2021-06-01 11:01:31',null);
INSERT INTO complaint_statuses VALUES('20588','6245','5','15',null,'COMPLAINT RESOLVED','COMPLALINT COMPLETED','81','92','2021-06-01 11:05:20','2021-06-01 11:18:16',null);
INSERT INTO complaint_statuses VALUES('20589','6212','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-01 11:06:11','2021-06-01 11:19:34',null);
INSERT INTO complaint_statuses VALUES('20590','5739','5','25',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-01 11:11:25','2021-06-01 11:27:22',null);
INSERT INTO complaint_statuses VALUES('20591','6292','8','23','56','NAEEM SAB APPROVAL DA DI HAIN SET READY KARAY',null,'81','81','2021-06-01 11:12:47','2021-06-01 11:12:47',null);
INSERT INTO complaint_statuses VALUES('20592','6273','8','23','62','OK JOB COMPLETED QUKILEY',null,'81','81','2021-06-01 11:13:36','2021-06-01 11:13:36',null);
INSERT INTO complaint_statuses VALUES('20593','6242','8','23','62','OK JOB COMPLETED QUKILEY',null,'81','81','2021-06-01 11:14:16','2021-06-01 11:14:16',null);
INSERT INTO complaint_statuses VALUES('20594','5657','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-01 11:14:20','2021-06-01 11:27:44',null);
INSERT INTO complaint_statuses VALUES('20595','6237','8','23','62','KHURRAM SIR SA BAT KAR K VISIT ARRANGE KARWAY',null,'81','81','2021-06-01 11:16:04','2021-06-01 11:16:04',null);
INSERT INTO complaint_statuses VALUES('20596','5622','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-01 11:16:55','2021-06-01 11:28:17',null);
INSERT INTO complaint_statuses VALUES('20597','6185','8','23','60','HANJEZ ARRANGE KAR KA JOB COMPLETED KAEAY',null,'81','81','2021-06-01 11:19:44','2021-06-01 11:19:44',null);
INSERT INTO complaint_statuses VALUES('20598','6204','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-01 11:22:34','2021-06-01 11:22:34',null);
INSERT INTO complaint_statuses VALUES('20599','5780','8','23','62','CUSTOMER SA CONTACT KAR K ISSUE RESOLVED KARWAY',null,'81','81','2021-06-01 11:22:39','2021-06-01 11:22:39',null);
INSERT INTO complaint_statuses VALUES('20600','6338','3',null,'52',null,'1-6-21
COMPLAINT#PKRI-210601106866','73','74','2021-06-01 11:23:18','2021-06-01 13:09:04',null);
INSERT INTO complaint_statuses VALUES('20601','6205','5',null,null,'COMAPLINT COMPLETED',null,'92','92','2021-06-01 11:24:08','2021-06-01 11:24:08',null);
INSERT INTO complaint_statuses VALUES('20602','6203','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-01 11:25:54','2021-06-01 11:25:54',null);
INSERT INTO complaint_statuses VALUES('20603','6339','2',null,'81',null,null,'73','73','2021-06-01 11:29:50','2021-06-01 11:29:50',null);
INSERT INTO complaint_statuses VALUES('20604','6339','4',null,'58',null,null,'81','81','2021-06-01 11:30:37','2021-06-01 11:30:37',null);
INSERT INTO complaint_statuses VALUES('20605','6197','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-01 11:32:20','2021-06-01 11:32:20',null);
INSERT INTO complaint_statuses VALUES('20606','6340','3',null,'52',null,'1-6-21
COMPLAINT#PKRI-210601107023','73','74','2021-06-01 11:35:19','2021-06-01 13:13:40',null);
INSERT INTO complaint_statuses VALUES('20607','6193','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-01 11:40:42','2021-06-01 11:40:42',null);
INSERT INTO complaint_statuses VALUES('20608','6341','2',null,'81',null,null,'73','73','2021-06-01 11:46:31','2021-06-01 11:46:31',null);
INSERT INTO complaint_statuses VALUES('20609','6341','4',null,'60',null,null,'81','81','2021-06-01 11:47:59','2021-06-01 11:47:59',null);
INSERT INTO complaint_statuses VALUES('20610','6342','2',null,'81',null,null,'73','73','2021-06-01 11:49:05','2021-06-01 11:49:05',null);
INSERT INTO complaint_statuses VALUES('20611','6342','4',null,'55',null,null,'81','81','2021-06-01 11:49:30','2021-06-01 11:49:30',null);
INSERT INTO complaint_statuses VALUES('20612','6343','3',null,'55',null,'1-6-21
COMPLAINT# 773623','73','74','2021-06-01 11:51:36','2021-06-01 12:48:00',null);
INSERT INTO complaint_statuses VALUES('20613','5601','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-01 11:57:26','2021-06-01 11:57:26',null);
INSERT INTO complaint_statuses VALUES('20614','6344','3',null,'73',null,'1-6-21
COMPLAINT','73','74','2021-06-01 12:05:18','2021-06-01 13:43:07',null);
INSERT INTO complaint_statuses VALUES('20615','6345','3',null,'53',null,'1-6-21
COMPLAINT#301131564','73','74','2021-06-01 12:11:32','2021-06-01 13:26:14',null);
INSERT INTO complaint_statuses VALUES('20616','6346','2',null,'81',null,'31-MAY-2021
FF TO SHAMIM AKHTER','73','92','2021-06-01 12:14:17','2021-07-08 14:39:30',null);
INSERT INTO complaint_statuses VALUES('20617','6347','2',null,'81',null,null,'73','73','2021-06-01 12:26:22','2021-06-01 12:26:22',null);
INSERT INTO complaint_statuses VALUES('20618','6347','4',null,'55',null,null,'81','81','2021-06-01 12:28:39','2021-06-01 12:28:39',null);
INSERT INTO complaint_statuses VALUES('20619','6227','7','12','81','complaint resolved,jet issue',null,'79','79','2021-06-01 12:37:03','2021-06-01 12:37:03',null);
INSERT INTO complaint_statuses VALUES('20620','6348','2',null,'81',null,null,'73','73','2021-06-01 12:44:20','2021-06-01 12:44:20',null);
INSERT INTO complaint_statuses VALUES('20621','6346','4',null,'55',null,'12-JUNE-2021
COMPLAINT#210629096942','81','92','2021-06-01 12:44:53','2021-07-08 15:07:46',null);
INSERT INTO complaint_statuses VALUES('20622','6348','4',null,'63',null,null,'81','81','2021-06-01 12:45:08','2021-06-01 12:45:08',null);
INSERT INTO complaint_statuses VALUES('20623','6227','5','23',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-06-01 12:45:54','2021-06-01 12:57:48',null);
INSERT INTO complaint_statuses VALUES('20624','6349','3',null,'53',null,'1-6-21
COMPLAINT#301131554 COMPLAINT REOPEN #301157409','73','74','2021-06-01 12:55:58','2021-07-18 12:08:44',null);
INSERT INTO complaint_statuses VALUES('20625','6350','2',null,'81',null,null,'73','73','2021-06-01 13:01:50','2021-06-01 13:01:50',null);
INSERT INTO complaint_statuses VALUES('20626','6350','4',null,'55',null,null,'81','81','2021-06-01 13:02:40','2021-06-01 13:02:40',null);
INSERT INTO complaint_statuses VALUES('20627','6351','2',null,'81',null,null,'73','73','2021-06-01 13:04:49','2021-06-01 13:04:49',null);
INSERT INTO complaint_statuses VALUES('20628','6351','4',null,'58',null,null,'81','81','2021-06-01 13:05:35','2021-06-01 13:05:35',null);
INSERT INTO complaint_statuses VALUES('20629','6098','7','12','81','unit ok...no issue',null,'77','77','2021-06-01 13:05:44','2021-06-01 13:05:44',null);
INSERT INTO complaint_statuses VALUES('20630','6352','2',null,'81',null,null,'73','73','2021-06-01 13:08:43','2021-06-01 13:08:43',null);
INSERT INTO complaint_statuses VALUES('20631','6098','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-01 13:10:13','2021-06-01 13:21:49',null);
INSERT INTO complaint_statuses VALUES('20632','6352','4',null,'55',null,null,'81','81','2021-06-01 13:10:57','2021-06-01 13:10:57',null);
INSERT INTO complaint_statuses VALUES('20633','6353','3',null,'81',null,'1-6-251
COMPLAINT#339','73','74','2021-06-01 13:14:40','2021-06-01 16:02:26',null);
INSERT INTO complaint_statuses VALUES('20634','6266','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-01 13:17:06','2021-06-01 13:17:06',null);
INSERT INTO complaint_statuses VALUES('20635','6354','2',null,'81',null,null,'73','73','2021-06-01 13:19:16','2021-06-01 13:19:16',null);
INSERT INTO complaint_statuses VALUES('20636','6355','2',null,'81',null,null,'73','73','2021-06-01 13:19:19','2021-06-01 13:19:19',null);
INSERT INTO complaint_statuses VALUES('20637','6354','4',null,'55',null,null,'81','81','2021-06-01 13:19:56','2021-06-01 13:19:56',null);
INSERT INTO complaint_statuses VALUES('20638','6355','4',null,'60',null,null,'81','81','2021-06-01 13:20:09','2021-06-01 13:20:09',null);
INSERT INTO complaint_statuses VALUES('20639','6292','7','9','81','Please send its back cover',null,'77','77','2021-06-01 13:26:47','2021-06-01 13:26:47',null);
INSERT INTO complaint_statuses VALUES('20640','6254','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-01 13:27:35','2021-06-01 13:27:35',null);
INSERT INTO complaint_statuses VALUES('20641','6228','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-01 13:32:37','2021-06-01 13:32:37',null);
INSERT INTO complaint_statuses VALUES('20642','6190','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-01 13:36:14','2021-06-01 13:36:14',null);
INSERT INTO complaint_statuses VALUES('20643','6356','3',null,'53',null,'2-6-21
COMPLAINT#301132056','73','73','2021-06-01 13:36:29','2021-06-02 10:37:23',null);
INSERT INTO complaint_statuses VALUES('20644','6187','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-01 13:49:58','2021-06-01 13:49:58',null);
INSERT INTO complaint_statuses VALUES('20645','6357','3',null,'65',null,'FRWRD TO SAAD AYUB SB','73','73','2021-06-01 14:01:46','2021-06-01 14:01:46',null);
INSERT INTO complaint_statuses VALUES('20646','6000','7','12','81','GAS CHARGED ONLY',null,'87','87','2021-06-01 14:04:14','2021-06-01 14:04:14',null);
INSERT INTO complaint_statuses VALUES('20647','6141','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-01 14:04:46','2021-06-01 14:04:46',null);
INSERT INTO complaint_statuses VALUES('20648','6301','7','24','81','DELAY FROM CUSTOMER SIDE',null,'87','87','2021-06-01 14:06:22','2021-06-01 14:06:22',null);
INSERT INTO complaint_statuses VALUES('20649','6300','7','26','81','LEAKAGE ,PLZ FRWD TO COMPANY',null,'87','87','2021-06-01 14:07:32','2021-06-01 14:07:32',null);
INSERT INTO complaint_statuses VALUES('20650','6358','3',null,'52',null,'1-6-21
COMPLAINT#PKRI-21060111081','73','74','2021-06-01 14:09:05','2021-06-01 16:21:11',null);
INSERT INTO complaint_statuses VALUES('20651','6260','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-01 14:10:56','2021-06-01 14:10:56',null);
INSERT INTO complaint_statuses VALUES('20652','6335','7','12','81','ISSUE RESOLVED ,GAS CHARGED',null,'87','87','2021-06-01 14:12:20','2021-06-01 14:12:20',null);
INSERT INTO complaint_statuses VALUES('20653','6252','7','22','81','Panel defective  new panel rs 33000/-   aproval required',null,'83','83','2021-06-01 14:15:12','2021-06-01 14:15:12',null);
INSERT INTO complaint_statuses VALUES('20654','6359','3',null,'51',null,'2-6-21
COMPLAINT# FF TO MUBISHER','73','73','2021-06-01 14:28:36','2021-06-02 11:12:16',null);
INSERT INTO complaint_statuses VALUES('20655','6000','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-01 14:30:05','2021-06-01 14:39:22',null);
INSERT INTO complaint_statuses VALUES('20656','6300','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-01 14:34:00','2021-06-01 14:38:05',null);
INSERT INTO complaint_statuses VALUES('20657','6335','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-01 14:34:23','2021-06-01 14:35:23',null);
INSERT INTO complaint_statuses VALUES('20658','6341','7','24','81','Compreor issue hy workshop aye ga',null,'82','82','2021-06-01 14:41:57','2021-06-01 14:41:57',null);
INSERT INTO complaint_statuses VALUES('20659','3925','7','12','81','Clsed the job parts supply end',null,'77','77','2021-06-01 14:43:35','2021-06-01 14:43:35',null);
INSERT INTO complaint_statuses VALUES('20660','4568','7','12','81','یہ ٹاسک کولوز کر دیں۔ کسٹمر یونٹ نہیں لا رھا',null,'77','77','2021-06-01 14:45:35','2021-06-01 14:45:35',null);
INSERT INTO complaint_statuses VALUES('20661','4818','7','12','81','اس جاب کوکولز کردیں',null,'77','77','2021-06-01 14:46:14','2021-06-01 14:46:14',null);
INSERT INTO complaint_statuses VALUES('20662','4888','7','12','81','Only service unit ok..unit with customer',null,'77','77','2021-06-01 14:48:03','2021-06-01 14:48:03',null);
INSERT INTO complaint_statuses VALUES('20663','5224','7','9','81','Send unit to service centet',null,'77','77','2021-06-01 14:48:35','2021-06-01 14:48:35',null);
INSERT INTO complaint_statuses VALUES('20664','6360','3',null,'54',null,'1-6-21
COMPLAINT#1887705','73','74','2021-06-01 15:05:58','2021-06-01 16:44:02',null);
INSERT INTO complaint_statuses VALUES('20665','6361','3',null,'54',null,'1-6-21
COMPLAINT#1887712','73','74','2021-06-01 15:20:20','2021-06-01 16:43:31',null);
INSERT INTO complaint_statuses VALUES('20666','4818','5','25',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-01 15:23:33','2021-06-01 16:15:35',null);
INSERT INTO complaint_statuses VALUES('20667','6362','2',null,'81',null,null,'73','73','2021-06-01 15:24:22','2021-06-01 15:24:22',null);
INSERT INTO complaint_statuses VALUES('20668','4888','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-01 15:24:41','2021-06-01 16:02:44',null);
INSERT INTO complaint_statuses VALUES('20669','6362','4',null,'62',null,null,'81','81','2021-06-01 15:25:02','2021-06-01 15:25:02',null);
INSERT INTO complaint_statuses VALUES('20670','6363','3',null,'53',null,'2-6-21
COMPLAINT#301132063','73','73','2021-06-01 15:27:15','2021-06-02 10:37:51',null);
INSERT INTO complaint_statuses VALUES('20671','6364','3',null,'53',null,'2-5-21
COMPLAINT#301132070','73','73','2021-06-01 15:31:50','2021-06-02 10:41:21',null);
INSERT INTO complaint_statuses VALUES('20672','6365','2',null,'81',null,null,'73','73','2021-06-01 15:42:29','2021-06-01 15:42:29',null);
INSERT INTO complaint_statuses VALUES('20673','6365','4',null,'58',null,null,'81','81','2021-06-01 15:43:10','2021-06-01 15:43:10',null);
INSERT INTO complaint_statuses VALUES('20674','6366','2',null,'81',null,null,'73','73','2021-06-01 15:51:25','2021-06-01 15:51:25',null);
INSERT INTO complaint_statuses VALUES('20675','6366','4',null,'58',null,null,'81','81','2021-06-01 16:03:32','2021-06-01 16:03:32',null);
INSERT INTO complaint_statuses VALUES('20676','4568','8','23','56','SIR CUSTOMER KO AP KA NO PROVIDE KAR DEYA HAY CONTACT KAR LAY CUSTOMER SAY ADRESS BATA DAY CUSTOMER S/C KA',null,'81','81','2021-06-01 16:05:33','2021-06-01 16:05:33',null);
INSERT INTO complaint_statuses VALUES('20677','6292','8','23','56','NAEEM SAB BOL RAHAY HAIN K AP SET ON KAR K DA DAY
 BACK COVER HUM KHUD KAR LAY GAY',null,'81','81','2021-06-01 16:11:19','2021-06-01 16:11:19',null);
INSERT INTO complaint_statuses VALUES('20678','3925','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-01 16:26:05','2021-06-01 16:36:08',null);
INSERT INTO complaint_statuses VALUES('20679','6243','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-01 16:36:55','2021-06-01 16:36:55',null);
INSERT INTO complaint_statuses VALUES('20680','6362','7','22','81','COMP',null,'87','87','2021-06-01 16:57:12','2021-06-01 16:57:12',null);
INSERT INTO complaint_statuses VALUES('20681','6367','3',null,'82',null,'FRWRD TO TAHIR SIEMENS','73','73','2021-06-01 17:53:24','2021-06-01 17:53:24',null);
INSERT INTO complaint_statuses VALUES('20682','6241','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-01 17:54:05','2021-06-01 17:54:05',null);
INSERT INTO complaint_statuses VALUES('20683','6368','3',null,'84',null,'1-6-21
COMPLAINT#774106','73','74','2021-06-01 18:19:58','2021-06-01 18:20:51',null);
INSERT INTO complaint_statuses VALUES('20684','6369','3',null,'85',null,'2-6-21
COMPLAINT#301132081','73','73','2021-06-01 18:21:51','2021-06-02 10:48:21',null);
INSERT INTO complaint_statuses VALUES('20685','6229','7','24','81','Kal subha workshop phonchs rahy hy',null,'82','82','2021-06-01 18:24:32','2021-06-01 18:24:32',null);
INSERT INTO complaint_statuses VALUES('20686','6355','7','24','81',null,null,'82','82','2021-06-01 18:25:00','2021-06-01 18:25:00',null);
INSERT INTO complaint_statuses VALUES('20687','6291','7','12','81','Drain piipe issue resolve',null,'82','82','2021-06-01 18:25:30','2021-06-01 18:25:30',null);
INSERT INTO complaint_statuses VALUES('20688','6207','7','24','81','Hafty ko jana hy',null,'82','82','2021-06-01 18:25:58','2021-06-01 18:25:58',null);
INSERT INTO complaint_statuses VALUES('20689','5913','7','12','81','complaint resolved,gas charged only',null,'79','79','2021-06-01 19:53:32','2021-06-01 19:53:32',null);
INSERT INTO complaint_statuses VALUES('20690','5400','7','12','81','is ka seosor nahi mil raha adil sy poch kr is ko clsed kerwa dein',null,'79','79','2021-06-01 19:55:09','2021-06-01 19:55:09',null);
INSERT INTO complaint_statuses VALUES('20691','5563','7','12','81','khuram sb is ka kia kerna hai',null,'79','79','2021-06-01 19:57:21','2021-06-01 19:57:21',null);
INSERT INTO complaint_statuses VALUES('20692','5805','7','12','81','complaint resolved.pcb reapir ki thi wohi sy texhnician arrnge kiye thy',null,'79','79','2021-06-01 20:02:55','2021-06-01 20:02:55',null);
INSERT INTO complaint_statuses VALUES('20693','5808','7','12','81','compliant resolved hai kindly koi issue hai tu adil ko bula kr customer sy bt kerwa dein',null,'79','79','2021-06-01 20:06:56','2021-06-01 20:06:56',null);
INSERT INTO complaint_statuses VALUES('20694','6348','7','12','81','Nob outar jati the OK 500f',null,'88','88','2021-06-02 08:22:57','2021-06-02 08:22:57',null);
INSERT INTO complaint_statuses VALUES('20695','5709','7','22','81','Glass damige',null,'88','88','2021-06-02 08:23:43','2021-06-02 08:23:43',null);
INSERT INTO complaint_statuses VALUES('20696','5282','7','26','81','Bahir say thik karwa Liya hy',null,'88','88','2021-06-02 08:26:06','2021-06-02 08:26:06',null);
INSERT INTO complaint_statuses VALUES('20697','4432','7','22','81','Hangiz chiya sat',null,'88','88','2021-06-02 08:26:46','2021-06-02 08:26:46',null);
INSERT INTO complaint_statuses VALUES('20698','4579','7','9','81','Glass damige',null,'88','88','2021-06-02 08:27:16','2021-06-02 08:27:16',null);
INSERT INTO complaint_statuses VALUES('20699','4893','7','22','81','Glass damige',null,'88','88','2021-06-02 08:30:07','2021-06-02 08:30:07',null);
INSERT INTO complaint_statuses VALUES('20700','5228','7','22','81','Tharmostat kharb hy campny say mangwayi hy',null,'88','88','2021-06-02 08:32:18','2021-06-02 08:32:18',null);
INSERT INTO complaint_statuses VALUES('20701','5090','7','22','81','Glass damige hy khurram sab NY castamar say bat ki the',null,'88','88','2021-06-02 08:33:41','2021-06-02 08:33:41',null);
INSERT INTO complaint_statuses VALUES('20702','5553','7','26','81',null,null,'88','88','2021-06-02 08:35:30','2021-06-02 08:35:30',null);
INSERT INTO complaint_statuses VALUES('20703','6278','7','12','81','cusotmer cancelled coplaint',null,'79','79','2021-06-02 09:41:56','2021-06-02 09:41:56',null);
INSERT INTO complaint_statuses VALUES('20704','6293','7','12','81','complaint resolved,filter clean',null,'79','79','2021-06-02 09:45:50','2021-06-02 09:45:50',null);
INSERT INTO complaint_statuses VALUES('20705','6370','3',null,'53',null,'OTHER#03345811104
2-6-21-
COMPLAINT#301132331','73','73','2021-06-02 10:45:41','2021-06-02 13:01:25',null);
INSERT INTO complaint_statuses VALUES('20706','6371','3',null,'52',null,'2-6-21
COMPLAINT#PKRI-210602106450','73','73','2021-06-02 10:45:43','2021-06-02 12:49:29',null);
INSERT INTO complaint_statuses VALUES('20707','6372','3',null,'52',null,'2-6-21
COMPLAINT#PKRI-210602102276','73','73','2021-06-02 10:58:04','2021-06-02 12:22:48',null);
INSERT INTO complaint_statuses VALUES('20708','6373','2',null,'81',null,null,'73','73','2021-06-02 11:04:37','2021-06-02 11:04:37',null);
INSERT INTO complaint_statuses VALUES('20709','6373','4',null,'62',null,null,'81','81','2021-06-02 11:05:25','2021-06-02 11:05:25',null);
INSERT INTO complaint_statuses VALUES('20710','6374','3',null,'52',null,'2-6-21
COMPLAINT#PKRI-210602105824','73','73','2021-06-02 11:14:43','2021-06-02 12:25:15',null);
INSERT INTO complaint_statuses VALUES('20711','6375','2',null,'81',null,null,'73','73','2021-06-02 11:33:52','2021-06-02 11:38:50',null);
INSERT INTO complaint_statuses VALUES('20712','6376','3',null,'52',null,'2-6-21
COMPLAINT#PKRI-210602105956','73','73','2021-06-02 11:36:57','2021-06-02 12:30:22',null);
INSERT INTO complaint_statuses VALUES('20713','6375','4',null,'61',null,null,'81','81','2021-06-02 11:39:34','2021-06-02 11:39:34',null);
INSERT INTO complaint_statuses VALUES('20714','5282','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-02 11:40:04','2021-06-02 13:00:00',null);
INSERT INTO complaint_statuses VALUES('20715','6377','3',null,'52',null,'2-6-21-
COMPLAINT#PKGT-210602106245','73','73','2021-06-02 11:45:21','2021-06-02 12:40:27',null);
INSERT INTO complaint_statuses VALUES('20716','6378','3',null,'66',null,'2-6-21-
COMPLAINTPK-060220210061','73','73','2021-06-02 11:50:50','2021-06-02 13:30:24',null);
INSERT INTO complaint_statuses VALUES('20717','5553','5','15',null,'COMPLAINT RESOLVED','Phone Number
03335588414','81','92','2021-06-02 11:55:16','2021-06-02 12:56:58',null);
INSERT INTO complaint_statuses VALUES('20718','5805','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-02 11:55:56','2021-06-02 12:54:10',null);
INSERT INTO complaint_statuses VALUES('20719','5808','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-02 11:56:39','2021-06-02 12:51:43',null);
INSERT INTO complaint_statuses VALUES('20720','5913','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-02 11:58:21','2021-06-02 12:49:57',null);
INSERT INTO complaint_statuses VALUES('20721','6278','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-02 12:00:28','2021-06-02 12:48:49',null);
INSERT INTO complaint_statuses VALUES('20722','6291','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-02 12:07:16','2021-06-02 12:41:31',null);
INSERT INTO complaint_statuses VALUES('20723','6293','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-02 12:07:55','2021-06-02 12:39:01',null);
INSERT INTO complaint_statuses VALUES('20724','5400','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-02 12:08:28','2021-06-03 17:55:57',null);
INSERT INTO complaint_statuses VALUES('20725','6348','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-02 12:08:53','2021-06-02 12:37:41',null);
INSERT INTO complaint_statuses VALUES('20726','6379','3',null,'54',null,'2-6-21-
COMPLAINT#1888603','73','73','2021-06-02 12:20:25','2021-06-02 13:18:18',null);
INSERT INTO complaint_statuses VALUES('20727','6380','3',null,'53',null,'2-6-21-
COMPLAINT#301132339','73','73','2021-06-02 12:25:28','2021-06-02 13:06:03',null);
INSERT INTO complaint_statuses VALUES('20728','6004','7','12','81','abhi nahi laye gain',null,'79','79','2021-06-02 12:28:20','2021-06-02 12:28:20',null);
INSERT INTO complaint_statuses VALUES('20729','6226','7','22','81','motor issue 1-10 ly kr arhy hain',null,'79','79','2021-06-02 12:41:58','2021-06-02 12:41:58',null);
INSERT INTO complaint_statuses VALUES('20730','6381','3',null,'55',null,'2-6-21-
COMPLAINT# 774615','73','73','2021-06-02 12:47:00','2021-06-02 15:23:29',null);
INSERT INTO complaint_statuses VALUES('20731','6362','8','23','62','approval aap ko dy de hy replace kr den',null,'81','81','2021-06-02 13:01:49','2021-06-02 13:01:49',null);
INSERT INTO complaint_statuses VALUES('20732','6355','8','23','60','viset hova ya nahe',null,'81','81','2021-06-02 13:04:47','2021-06-02 13:04:47',null);
INSERT INTO complaint_statuses VALUES('20733','6341','8','23','60','ok in ki invoice receve ho gahe hy rent oor gas charging customer pay kare ga comprassor warranty me hy',null,'81','81','2021-06-02 13:06:50','2021-06-02 13:06:50',null);
INSERT INTO complaint_statuses VALUES('20734','6332','7','12','81','door replace kr dya hai.',null,'79','79','2021-06-02 13:07:01','2021-06-02 13:07:01',null);
INSERT INTO complaint_statuses VALUES('20735','6382','3',null,'97',null,'2-6-21-
COMPLAINT#202106001476','73','73','2021-06-02 13:07:51','2021-06-02 13:42:47',null);
INSERT INTO complaint_statuses VALUES('20736','6301','8','23','62','customer ko bta kr complaint cancel kr den',null,'81','81','2021-06-02 13:09:35','2021-06-02 13:09:35',null);
INSERT INTO complaint_statuses VALUES('20737','6383','2',null,'81',null,null,'73','73','2021-06-02 13:11:42','2021-06-02 13:11:42',null);
INSERT INTO complaint_statuses VALUES('20738','6384','3',null,'97',null,'2-6-21-
COMPLAINT#RWP-202106001487','73','73','2021-06-02 13:17:53','2021-06-02 13:49:48',null);
INSERT INTO complaint_statuses VALUES('20739','6385','2',null,'81',null,null,'73','73','2021-06-02 13:22:25','2021-06-02 13:22:25',null);
INSERT INTO complaint_statuses VALUES('20740','6385','4',null,'55',null,null,'81','81','2021-06-02 13:24:06','2021-06-02 13:24:06',null);
INSERT INTO complaint_statuses VALUES('20741','6383','4',null,'62',null,null,'81','81','2021-06-02 13:24:15','2021-06-02 13:24:15',null);
INSERT INTO complaint_statuses VALUES('20742','6332','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-02 13:26:38','2021-06-02 13:27:41',null);
INSERT INTO complaint_statuses VALUES('20743','6386','2',null,'81',null,null,'73','73','2021-06-02 13:27:39','2021-06-02 13:27:39',null);
INSERT INTO complaint_statuses VALUES('20744','6229','8','23','60','lifting case 3 din me complte kr den',null,'81','81','2021-06-02 13:30:06','2021-06-02 13:30:06',null);
INSERT INTO complaint_statuses VALUES('20745','6387','3',null,'65',null,'2-6-21-
COMPLAINT#192123178','73','73','2021-06-02 13:32:24','2021-06-02 14:02:34',null);
INSERT INTO complaint_statuses VALUES('20746','6388','2',null,'81',null,null,'73','73','2021-06-02 13:36:23','2021-06-02 13:36:23',null);
INSERT INTO complaint_statuses VALUES('20747','6207','8','23','60',null,null,'81','81','2021-06-02 13:40:59','2021-06-02 13:40:59',null);
INSERT INTO complaint_statuses VALUES('20748','6389','3',null,'52',null,'2-6-21-
COMPLAINT#PKRI-2106021098168','73','73','2021-06-02 13:41:12','2021-06-02 15:12:21',null);
INSERT INTO complaint_statuses VALUES('20749','6390','2',null,'81',null,null,'73','73','2021-06-02 13:44:43','2021-06-02 13:44:43',null);
INSERT INTO complaint_statuses VALUES('20750','6390','4',null,'58',null,null,'81','81','2021-06-02 13:45:18','2021-06-02 13:45:18',null);
INSERT INTO complaint_statuses VALUES('20751','6388','4',null,'55',null,null,'81','81','2021-06-02 13:45:27','2021-06-02 13:45:27',null);
INSERT INTO complaint_statuses VALUES('20752','6386','4',null,'58',null,null,'81','81','2021-06-02 13:45:38','2021-06-02 13:45:38',null);
INSERT INTO complaint_statuses VALUES('20753','6391','3',null,'66',null,'2-6-21-
COMPLAINT#PK-060220210067','73','73','2021-06-02 13:47:41','2021-06-02 14:07:40',null);
INSERT INTO complaint_statuses VALUES('20754','6392','3',null,'57',null,'2-6-21-
COMPLAINT#18632','73','73','2021-06-02 13:52:23','2021-06-02 14:11:00',null);
INSERT INTO complaint_statuses VALUES('20755','6393','3',null,'53',null,'2-6-21-
COMPLAINT#301132511','73','73','2021-06-02 13:54:45','2021-06-02 15:17:58',null);
INSERT INTO complaint_statuses VALUES('20756','6394','2',null,'81',null,null,'73','73','2021-06-02 14:00:36','2021-06-02 14:00:36',null);
INSERT INTO complaint_statuses VALUES('20757','6394','4',null,'61',null,null,'81','81','2021-06-02 14:02:00','2021-06-02 14:02:00',null);
INSERT INTO complaint_statuses VALUES('20758','6390','7','12','81','compliant resovled .motor change',null,'79','79','2021-06-02 14:05:31','2021-06-02 14:05:31',null);
INSERT INTO complaint_statuses VALUES('20759','6225','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-02 14:30:50','2021-06-02 14:30:50',null);
INSERT INTO complaint_statuses VALUES('20760','6395','2',null,'81',null,null,'73','73','2021-06-02 14:38:34','2021-06-02 14:38:34',null);
INSERT INTO complaint_statuses VALUES('20761','6396','3',null,'54',null,'2-6-21-
COMPLAINT#1888868','73','73','2021-06-02 14:40:32','2021-06-02 15:30:16',null);
INSERT INTO complaint_statuses VALUES('20762','6235','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-02 14:46:27','2021-06-02 14:46:27',null);
INSERT INTO complaint_statuses VALUES('20763','6397','2',null,'81',null,null,'73','73','2021-06-02 14:47:26','2021-06-02 14:47:26',null);
INSERT INTO complaint_statuses VALUES('20764','6390','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-02 14:51:27','2021-06-02 14:53:33',null);
INSERT INTO complaint_statuses VALUES('20765','6124','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-02 14:55:36','2021-06-02 14:55:36',null);
INSERT INTO complaint_statuses VALUES('20766','6398','3',null,'65',null,'2-6-21-
COMPLAINT#192123194','73','73','2021-06-02 14:58:38','2021-06-02 15:39:14',null);
INSERT INTO complaint_statuses VALUES('20767','6399','2',null,'81',null,null,'73','73','2021-06-02 15:01:19','2021-06-02 15:01:19',null);
INSERT INTO complaint_statuses VALUES('20768','6399','4',null,'60',null,null,'81','81','2021-06-02 15:01:50','2021-06-02 15:01:50',null);
INSERT INTO complaint_statuses VALUES('20769','6397','4',null,'60',null,null,'81','81','2021-06-02 15:02:00','2021-06-02 15:02:00',null);
INSERT INTO complaint_statuses VALUES('20770','6395','4',null,'58',null,null,'81','81','2021-06-02 15:02:12','2021-06-02 15:02:12',null);
INSERT INTO complaint_statuses VALUES('20771','6122','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-02 15:03:53','2021-06-02 15:03:53',null);
INSERT INTO complaint_statuses VALUES('20772','6400','2',null,'81',null,null,'73','73','2021-06-02 15:08:52','2021-06-02 15:08:52',null);
INSERT INTO complaint_statuses VALUES('20773','6400','4',null,'55',null,null,'81','81','2021-06-02 15:11:00','2021-06-02 15:11:00',null);
INSERT INTO complaint_statuses VALUES('20774','6400','4',null,'55',null,null,'81','81','2021-06-02 15:11:00','2021-06-02 15:11:00',null);
INSERT INTO complaint_statuses VALUES('20775','6401','2',null,'81',null,null,'73','73','2021-06-02 15:21:06','2021-06-02 15:21:06',null);
INSERT INTO complaint_statuses VALUES('20776','6401','4',null,'61',null,null,'81','81','2021-06-02 15:21:37','2021-06-02 15:21:37',null);
INSERT INTO complaint_statuses VALUES('20777','6329','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-02 15:21:54','2021-06-02 15:21:54',null);
INSERT INTO complaint_statuses VALUES('20778','6328','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-02 15:27:59','2021-06-02 15:27:59',null);
INSERT INTO complaint_statuses VALUES('20779','6402','2',null,'81',null,null,'73','73','2021-06-02 15:31:18','2021-06-02 15:31:18',null);
INSERT INTO complaint_statuses VALUES('20780','6403','2',null,'81',null,null,'73','73','2021-06-02 15:32:48','2021-06-02 15:32:48',null);
INSERT INTO complaint_statuses VALUES('20781','6403','4',null,'55',null,null,'81','81','2021-06-02 15:33:57','2021-06-02 15:33:57',null);
INSERT INTO complaint_statuses VALUES('20782','6402','4',null,'55',null,null,'81','81','2021-06-02 15:34:06','2021-06-02 15:34:06',null);
INSERT INTO complaint_statuses VALUES('20783','6199','7','9','81','یہ یونٹ کسٹمر سروس سنٹر لے کے آۓ گا۔
اور یونٹ کی وربٹی ختم ھے۔کسٹمر کو انفارم کر دیا',null,'77','77','2021-06-02 15:39:03','2021-06-02 15:39:03',null);
INSERT INTO complaint_statuses VALUES('20784','6404','2',null,'81',null,null,'73','73','2021-06-02 15:44:28','2021-06-02 15:44:28',null);
INSERT INTO complaint_statuses VALUES('20785','6404','4',null,'62',null,null,'81','81','2021-06-02 15:44:52','2021-06-02 15:44:52',null);
INSERT INTO complaint_statuses VALUES('20786','6405','3',null,'97',null,'2-6-21-
COMPLAINT#202106001795','73','73','2021-06-02 15:48:13','2021-06-02 16:45:06',null);
INSERT INTO complaint_statuses VALUES('20787','4781','7','12','81',null,null,'82','82','2021-06-02 15:49:42','2021-06-02 15:49:42',null);
INSERT INTO complaint_statuses VALUES('20788','6406','3',null,'52',null,'2-6-21-
COMPLAINT#PKRI-210602111781','73','73','2021-06-02 15:52:57','2021-06-02 16:38:25',null);
INSERT INTO complaint_statuses VALUES('20789','6069','7','24','81','System board damaged.....need to replace...not cover in warranty due to damaged. Cost Rs. 18300.....kindly approve for further action....',null,'77','77','2021-06-02 15:56:57','2021-06-02 15:56:57',null);
INSERT INTO complaint_statuses VALUES('20790','6324','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-02 15:57:29','2021-06-02 15:57:29',null);
INSERT INTO complaint_statuses VALUES('20791','6407','3',null,'52',null,'2-6-21-
COMPLAINT#PKRI-210602111665','73','73','2021-06-02 15:57:31','2021-06-02 16:33:12',null);
INSERT INTO complaint_statuses VALUES('20792','6325','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-02 15:59:15','2021-06-02 15:59:15',null);
INSERT INTO complaint_statuses VALUES('20793','6408','3',null,'72',null,'2-6-21-
COMPLAINT#072118018','73','73','2021-06-02 16:02:26','2021-06-02 16:55:30',null);
INSERT INTO complaint_statuses VALUES('20794','4432','5','29',null,null,'COMPLAINT RESOLVED','81','92','2021-06-02 16:05:48','2021-06-02 16:06:25',null);
INSERT INTO complaint_statuses VALUES('20795','6409','3',null,'65',null,'2-6-21-
COMPLAINT#192123201','73','92','2021-06-02 16:08:22','2021-06-07 13:44:30',null);
INSERT INTO complaint_statuses VALUES('20796','6410','3',null,'53',null,'2-6-21
COMPLAINT#301132670','73','73','2021-06-02 16:09:43','2021-06-02 17:41:12',null);
INSERT INTO complaint_statuses VALUES('20797','4781','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-06-02 16:11:13','2021-06-02 16:13:33',null);
INSERT INTO complaint_statuses VALUES('20798','4893','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-06-02 16:15:21','2021-06-02 16:16:48',null);
INSERT INTO complaint_statuses VALUES('20799','5090','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-06-02 16:18:54','2021-06-02 16:21:20',null);
INSERT INTO complaint_statuses VALUES('20800','6411','2',null,'81',null,null,'73','73','2021-06-02 16:26:53','2021-06-02 16:26:53',null);
INSERT INTO complaint_statuses VALUES('20801','6322','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-02 16:27:25','2021-06-02 16:27:25',null);
INSERT INTO complaint_statuses VALUES('20802','6411','4',null,'63',null,null,'81','81','2021-06-02 16:30:30','2021-06-02 16:30:30',null);
INSERT INTO complaint_statuses VALUES('20803','6314','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-02 16:33:31','2021-06-02 16:33:31',null);
INSERT INTO complaint_statuses VALUES('20804','6182','7','24','81','custoerm ko pehly bhi call ki thi or aj bhi cusotmer call attend nahi kr rahy ...ab custome rsy bol k hood service center behj dein',null,'79','79','2021-06-02 16:40:33','2021-06-02 16:40:33',null);
INSERT INTO complaint_statuses VALUES('20805','6412','3',null,'66',null,'2-6-21-
COMPLAINT#060220210119','73','73','2021-06-02 16:51:58','2021-06-02 17:25:40',null);
INSERT INTO complaint_statuses VALUES('20806','6305','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-02 16:54:15','2021-06-02 16:54:15',null);
INSERT INTO complaint_statuses VALUES('20807','6413','3',null,'52',null,'2-6-21-
COMPLAINT#PKRI-210602112813','73','73','2021-06-02 16:55:46','2021-06-02 17:29:30',null);
INSERT INTO complaint_statuses VALUES('20808','6302','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-02 16:56:40','2021-06-02 16:56:40',null);
INSERT INTO complaint_statuses VALUES('20809','6299','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-02 16:59:55','2021-06-02 16:59:55',null);
INSERT INTO complaint_statuses VALUES('20810','6414','3',null,'52',null,'2-6-21-
COMPLAINT#PKRI-210602112843','73','73','2021-06-02 17:02:30','2021-06-02 17:30:58',null);
INSERT INTO complaint_statuses VALUES('20811','6415','3',null,'52',null,'2-6-21-
COMPLAINT#PKRI-210602110991','73','73','2021-06-02 17:08:35','2021-06-02 17:31:50',null);
INSERT INTO complaint_statuses VALUES('20812','6416','3',null,'54',null,'2-6-21
COMPLAINT#1889110','73','73','2021-06-02 17:11:28','2021-06-02 17:44:02',null);
INSERT INTO complaint_statuses VALUES('20813','6298','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-02 17:22:06','2021-06-02 17:22:06',null);
INSERT INTO complaint_statuses VALUES('20814','6417','3',null,'65',null,'2-6-21
COMPLAINT#192123206','73','73','2021-06-02 17:23:18','2021-06-02 17:48:19',null);
INSERT INTO complaint_statuses VALUES('20815','6418','3',null,'52',null,'2-6-21
COMPLAINT#PKRI-210602113226','73','73','2021-06-02 17:26:35','2021-06-02 17:52:23',null);
INSERT INTO complaint_statuses VALUES('20816','6294','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-02 17:27:35','2021-06-02 17:27:35',null);
INSERT INTO complaint_statuses VALUES('20817','6289','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-02 17:30:32','2021-06-02 17:30:32',null);
INSERT INTO complaint_statuses VALUES('20818','6327','7','24','81','Under Repaire in SVC( Service).',null,'76','76','2021-06-02 17:35:49','2021-06-02 17:35:49',null);
INSERT INTO complaint_statuses VALUES('20819','6419','3',null,'52',null,'2-6-21
COMPLAINT#PKRI-210602113268','73','73','2021-06-02 17:43:03','2021-06-02 17:55:40',null);
INSERT INTO complaint_statuses VALUES('20820','6420','3',null,'52',null,'2-6-21
COMPLAINT#PKRI-210602113303','73','73','2021-06-02 17:47:49','2021-06-02 17:57:50',null);
INSERT INTO complaint_statuses VALUES('20821','6339','7','12','81','compliant resolved.no issue  in wm',null,'79','79','2021-06-02 17:49:54','2021-06-02 17:49:54',null);
INSERT INTO complaint_statuses VALUES('20822','6317','7','12','81','on pay ent baher sy kerw arah ahun,yaha sy  complete kr dein',null,'79','79','2021-06-02 17:52:05','2021-06-02 17:52:05',null);
INSERT INTO complaint_statuses VALUES('20823','6261','7','12','81','complaint resolved,no issue in ref',null,'79','79','2021-06-02 17:54:25','2021-06-02 17:54:25',null);
INSERT INTO complaint_statuses VALUES('20824','6076','7','12','81','motor change complaint reoslved',null,'79','79','2021-06-02 18:03:07','2021-06-02 18:03:07',null);
INSERT INTO complaint_statuses VALUES('20825','6171','7','9','81','waiting for warranty card.....pls',null,'77','77','2021-06-02 18:27:10','2021-06-02 18:27:10',null);
INSERT INTO complaint_statuses VALUES('20826','6006','7','12','81','compliant resolved burner stting',null,'79','79','2021-06-02 18:27:19','2021-06-02 18:27:19',null);
INSERT INTO complaint_statuses VALUES('20827','6276','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-02 19:10:29','2021-06-02 19:10:29',null);
INSERT INTO complaint_statuses VALUES('20828','6211','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-02 19:11:04','2021-06-02 19:11:04',null);
INSERT INTO complaint_statuses VALUES('20829','6301','7','26','81','CUSTOMER SE BAT HO GAI HAI PLZ CANCEL KR DEIN , CUSTOMER KHD CL KREIN THEN MAI OK KRWA DNGA',null,'87','87','2021-06-02 19:24:30','2021-06-02 19:24:30',null);
INSERT INTO complaint_statuses VALUES('20830','6237','7','12','81','SPLIT MEIN KOI PROBLEM NHI HAI, FURTHER SATISFACTION K LYE COMPANY BJHWA DJYE GA',null,'87','87','2021-06-02 19:26:57','2021-06-02 19:26:57',null);
INSERT INTO complaint_statuses VALUES('20831','6316','7','10','81',null,null,'87','87','2021-06-02 19:27:43','2021-06-02 19:27:43',null);
INSERT INTO complaint_statuses VALUES('20832','6297','7','10','81',null,null,'87','87','2021-06-02 19:28:24','2021-06-02 19:28:24',null);
INSERT INTO complaint_statuses VALUES('20833','6355','7','12','81','Servis issue tha ho geachy',null,'82','82','2021-06-03 09:30:46','2021-06-03 09:30:46',null);
INSERT INTO complaint_statuses VALUES('20834','6341','7','24','81','Frig i10workshop phonchi hy',null,'82','82','2021-06-03 09:31:25','2021-06-03 09:31:25',null);
INSERT INTO complaint_statuses VALUES('20835','6053','7','12','81',null,null,'82','82','2021-06-03 10:18:57','2021-06-03 10:18:57',null);
INSERT INTO complaint_statuses VALUES('20836','6319','7','12','81','Servis issue tha ho gea hy',null,'82','82','2021-06-03 10:19:31','2021-06-03 10:19:31',null);
INSERT INTO complaint_statuses VALUES('20837','6208','7','12','81','Ac servis',null,'82','82','2021-06-03 10:21:41','2021-06-03 10:21:41',null);
INSERT INTO complaint_statuses VALUES('20838','6213','7','12','81','Gassvissue tha',null,'82','82','2021-06-03 10:24:40','2021-06-03 10:24:40',null);
INSERT INTO complaint_statuses VALUES('20839','6355','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-03 10:37:25','2021-06-03 11:40:57',null);
INSERT INTO complaint_statuses VALUES('20840','6341','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-06-03 10:38:17','2021-06-03 10:38:17',null);
INSERT INTO complaint_statuses VALUES('20841','6339','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-03 10:39:17','2021-06-03 11:42:54',null);
INSERT INTO complaint_statuses VALUES('20842','6327','8','23','55','OK JOB COMPLETED QUKILEY',null,'81','81','2021-06-03 10:40:00','2021-06-03 10:40:00',null);
INSERT INTO complaint_statuses VALUES('20843','6073','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-03 10:41:19','2021-06-03 10:41:19',null);
INSERT INTO complaint_statuses VALUES('20844','6421','3',null,'97',null,'3-6-21
COMPLAINT#202106002642','73','73','2021-06-03 10:42:37','2021-06-03 16:26:49',null);
INSERT INTO complaint_statuses VALUES('20845','6319','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-06-03 10:43:18','2021-06-03 11:43:23',null);
INSERT INTO complaint_statuses VALUES('20846','6422','3',null,'53',null,'3-6-21
COMPLAINT#30113295','73','73','2021-06-03 10:48:28','2021-06-03 12:49:14',null);
INSERT INTO complaint_statuses VALUES('20847','6316','8','23','62','AGAIN TYR KAR LAY AJ',null,'81','81','2021-06-03 10:50:40','2021-06-03 10:50:40',null);
INSERT INTO complaint_statuses VALUES('20848','6423','3',null,'52',null,'3-6-21
COMPLAINT#PKRI-210603107643','73','73','2021-06-03 10:52:00','2021-06-03 14:06:57',null);
INSERT INTO complaint_statuses VALUES('20849','6301','5','15',null,'OK CUSTOMER SIDE SA DELAY HAIN','COMPLAINT RESOLVED','81','92','2021-06-03 10:52:27','2021-06-03 11:50:14',null);
INSERT INTO complaint_statuses VALUES('20850','6297','8','23','62','AJA AGAIN TRY KAR LAY',null,'81','81','2021-06-03 10:54:24','2021-06-03 10:54:24',null);
INSERT INTO complaint_statuses VALUES('20851','6276','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-03 10:55:25','2021-06-03 11:47:41',null);
INSERT INTO complaint_statuses VALUES('20852','6261','5','15',null,'COMPLETED COMPLETED','COMPLAINT RESOLVED','81','92','2021-06-03 10:56:23','2021-06-03 11:59:34',null);
INSERT INTO complaint_statuses VALUES('20853','6076','5','15',null,'COMPLETED COMPLAINT .
INSTALL CUASTOMER NA KHUD SA KARWNA HAIN','COMPLAINT RESOLVED','81','92','2021-06-03 11:02:38','2021-06-03 12:22:03',null);
INSERT INTO complaint_statuses VALUES('20854','6213','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-03 11:11:42','2021-06-03 12:02:44',null);
INSERT INTO complaint_statuses VALUES('20855','6211','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-03 11:12:55','2021-06-03 12:06:20',null);
INSERT INTO complaint_statuses VALUES('20856','6424','2',null,'81',null,null,'73','73','2021-06-03 11:13:57','2021-06-03 11:13:57',null);
INSERT INTO complaint_statuses VALUES('20857','6199','8','23','56','OK JOB COMPLETED QUKILEY',null,'81','81','2021-06-03 11:14:38','2021-06-03 11:14:38',null);
INSERT INTO complaint_statuses VALUES('20858','6424','4',null,'63',null,null,'81','81','2021-06-03 11:14:55','2021-06-03 11:14:55',null);
INSERT INTO complaint_statuses VALUES('20859','6425','3',null,'54',null,'3-6-21
COMPLAINT#1889773','73','73','2021-06-03 11:21:57','2021-06-03 13:35:51',null);
INSERT INTO complaint_statuses VALUES('20860','6053','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-03 11:25:16','2021-06-03 12:23:17',null);
INSERT INTO complaint_statuses VALUES('20861','6208','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-03 11:26:28','2021-06-03 12:08:43',null);
INSERT INTO complaint_statuses VALUES('20862','6006','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-03 11:27:59','2021-06-03 12:25:58',null);
INSERT INTO complaint_statuses VALUES('20863','6426','3',null,'52',null,'3-6-21
COMPLAINT#PKRI-210603106047','73','73','2021-06-03 11:28:59','2021-06-03 12:56:13',null);
INSERT INTO complaint_statuses VALUES('20864','5228','8','23','63','OK JOB COMPLETED QUKILEY',null,'81','81','2021-06-03 11:29:57','2021-06-03 11:29:57',null);
INSERT INTO complaint_statuses VALUES('20865','6427','3',null,'52',null,'3-6-21
COMPLAINT#PKRI-210603106096','73','73','2021-06-03 11:38:14','2021-06-03 12:58:26',null);
INSERT INTO complaint_statuses VALUES('20866','6428','3',null,'56',null,'3-6-21
COMPLAINT#F03/008','73','73','2021-06-03 11:40:26','2021-06-03 14:24:03',null);
INSERT INTO complaint_statuses VALUES('20867','6171','8','23','56','KINDLY CONTACT TO CUSTOMER',null,'81','81','2021-06-03 11:41:25','2021-06-03 11:41:25',null);
INSERT INTO complaint_statuses VALUES('20868','6317','8','23','58','EXP ENTER KAR K COMPLAINT COMPLETED KARAY',null,'81','81','2021-06-03 11:47:38','2021-06-03 11:47:38',null);
INSERT INTO complaint_statuses VALUES('20869','6429','2',null,'81',null,null,'73','73','2021-06-03 11:49:41','2021-06-03 11:49:41',null);
INSERT INTO complaint_statuses VALUES('20870','6429','4',null,'58',null,null,'81','81','2021-06-03 11:50:19','2021-06-03 11:50:19',null);
INSERT INTO complaint_statuses VALUES('20871','6004','5','15',null,'OUT OFF WARRANTY COMPLAINT HAIN CUSTOMER KI SIDE SA DEALY COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-06-03 11:51:05','2021-06-03 12:27:25',null);
INSERT INTO complaint_statuses VALUES('20872','6430','3',null,'81',null,'5-6-2021
COMPLAINT#852','73','73','2021-06-03 11:54:12','2021-06-05 13:00:52',null);
INSERT INTO complaint_statuses VALUES('20873','6431','2',null,'81',null,null,'73','73','2021-06-03 11:56:58','2021-06-03 11:56:58',null);
INSERT INTO complaint_statuses VALUES('20874','6431','4',null,'55',null,null,'81','81','2021-06-03 11:57:28','2021-06-03 11:57:28',null);
INSERT INTO complaint_statuses VALUES('20875','6432','2',null,'81',null,null,'73','73','2021-06-03 11:59:57','2021-06-03 11:59:57',null);
INSERT INTO complaint_statuses VALUES('20876','6433','2',null,'81',null,null,'73','73','2021-06-03 12:09:15','2021-06-03 12:09:15',null);
INSERT INTO complaint_statuses VALUES('20877','6432','4',null,'58',null,null,'81','81','2021-06-03 12:09:40','2021-06-03 12:09:40',null);
INSERT INTO complaint_statuses VALUES('20878','6433','4',null,'63',null,null,'81','81','2021-06-03 12:10:30','2021-06-03 12:10:30',null);
INSERT INTO complaint_statuses VALUES('20879','6434','3',null,'53',null,'3-6-21
COMPLAINT#301132966
08-06-2021
NEW COMPLAINT#1135265
08-06-2021
COMPLAINT#  1132966','73','73','2021-06-03 12:14:35','2021-06-08 11:33:09',null);
INSERT INTO complaint_statuses VALUES('20880','6237','5','15',null,'FRIENDS  INSTALLER KI SAIDE SA KOI ISSUE NAI COMPLAINT FF TO COMPAMY','COMPLAINT RESOLVED','81','92','2021-06-03 12:14:43','2021-06-03 12:20:50',null);
INSERT INTO complaint_statuses VALUES('20881','6435','2',null,'81',null,null,'73','73','2021-06-03 12:20:39','2021-06-03 12:20:39',null);
INSERT INTO complaint_statuses VALUES('20882','6435','4',null,'63',null,null,'81','81','2021-06-03 12:21:25','2021-06-03 12:21:25',null);
INSERT INTO complaint_statuses VALUES('20883','6436','3',null,'53',null,'3-6-21
COMPLAINT#301132972','73','73','2021-06-03 12:23:26','2021-06-03 12:46:49',null);
INSERT INTO complaint_statuses VALUES('20884','5709','5','15',null,'CUSTOMER KO GLASS LAG K DA DIA HAIN','COMPLAINT RESOLVED','81','92','2021-06-03 12:26:22','2021-06-03 12:30:17',null);
INSERT INTO complaint_statuses VALUES('20885','6437','3',null,'53',null,'3-6-21
COMPLAINT#301132980','73','73','2021-06-03 12:27:07','2021-06-03 12:45:55',null);
INSERT INTO complaint_statuses VALUES('20886','6438','2',null,'81',null,null,'73','73','2021-06-03 12:32:05','2021-06-03 12:32:05',null);
INSERT INTO complaint_statuses VALUES('20887','6438','4',null,'58',null,null,'81','81','2021-06-03 12:34:00','2021-06-03 12:34:00',null);
INSERT INTO complaint_statuses VALUES('20888','4579','8','23','63','GLASS 

 
GLASS DAMAGE NAI HAIIN DOOR HANGS  KA ISSUE HAIN 
KINDLY CONTACT TO KHURRAM SIR',null,'81','81','2021-06-03 12:35:40','2021-06-03 12:35:40',null);
INSERT INTO complaint_statuses VALUES('20889','6171','7','20','81','No warranty card. Its main board faulty.
Cost of board is 38,900 need approval.
Unit has no warranty card',null,'77','77','2021-06-03 12:40:06','2021-06-03 12:40:06',null);
INSERT INTO complaint_statuses VALUES('20890','6439','3',null,'65',null,'3-6-21
COMPLAINT#192123231','73','73','2021-06-03 12:45:38','2021-06-03 13:51:16',null);
INSERT INTO complaint_statuses VALUES('20891','5224','8','23','56','ASLAM SIR KO REMINDER DA DIA HAIN MONDAY TUESDAY TAQ UNIT AP K S/C AAJAY GA',null,'81','81','2021-06-03 12:48:40','2021-06-03 12:48:40',null);
INSERT INTO complaint_statuses VALUES('20892','6440','3',null,'65',null,'3-6-21
COMPLAINT#292123232','73','73','2021-06-03 12:55:34','2021-06-03 13:56:01',null);
INSERT INTO complaint_statuses VALUES('20893','6441','2',null,'81',null,null,'73','73','2021-06-03 13:05:52','2021-06-03 13:05:52',null);
INSERT INTO complaint_statuses VALUES('20894','6441','4',null,'63',null,null,'81','81','2021-06-03 13:06:23','2021-06-03 13:06:23',null);
INSERT INTO complaint_statuses VALUES('20895','6442','3',null,'65',null,'3-6-21
COMPLAINT#192123233','73','73','2021-06-03 13:12:49','2021-06-03 13:59:12',null);
INSERT INTO complaint_statuses VALUES('20896','6096','7','12','81','compliant resolved,pcb and wire issue,pcb change',null,'79','79','2021-06-03 13:21:20','2021-06-03 13:21:20',null);
INSERT INTO complaint_statuses VALUES('20897','6219','7','12','81','plz check with customer and close job',null,'83','83','2021-06-03 13:23:55','2021-06-03 13:23:55',null);
INSERT INTO complaint_statuses VALUES('20898','6166','7','12','81','water inlet valve replaced  unit ok',null,'83','83','2021-06-03 13:25:56','2021-06-03 13:25:56',null);
INSERT INTO complaint_statuses VALUES('20899','4526','7','22','81','main board required',null,'80','80','2021-06-03 13:26:49','2021-06-03 13:26:49',null);
INSERT INTO complaint_statuses VALUES('20900','5114','7','22','81','sho room say set a gea hy working inprosess',null,'80','80','2021-06-03 13:27:35','2021-06-03 13:27:35',null);
INSERT INTO complaint_statuses VALUES('20901','6443','2',null,'81',null,null,'73','73','2021-06-03 13:27:50','2021-06-03 13:27:50',null);
INSERT INTO complaint_statuses VALUES('20902','6443','4',null,'63',null,null,'81','81','2021-06-03 13:28:20','2021-06-03 13:28:20',null);
INSERT INTO complaint_statuses VALUES('20903','5423','7','24','81','set office bajyn gy abi tak set ni aya hmary pas',null,'80','80','2021-06-03 13:28:57','2021-06-03 13:28:57',null);
INSERT INTO complaint_statuses VALUES('20904','6220','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-03 13:31:14','2021-06-03 13:31:14',null);
INSERT INTO complaint_statuses VALUES('20905','6042','7','24','81','move krwa dyn',null,'80','80','2021-06-03 13:31:18','2021-06-03 13:31:18',null);
INSERT INTO complaint_statuses VALUES('20906','6065','7','24','81','set in s/c working in inprosess',null,'80','80','2021-06-03 13:32:10','2021-06-03 13:32:10',null);
INSERT INTO complaint_statuses VALUES('20907','6093','7','9','81','coustmer say bat hoe hy coustmer ko asstimate dia hy panel ka',null,'80','80','2021-06-03 13:33:27','2021-06-03 13:33:27',null);
INSERT INTO complaint_statuses VALUES('20908','6252','8','23','61','OK',null,'81','81','2021-06-03 13:37:31','2021-06-03 13:37:31',null);
INSERT INTO complaint_statuses VALUES('20909','6194','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-03 13:38:24','2021-06-03 13:38:24',null);
INSERT INTO complaint_statuses VALUES('20910','5170','7','24','81','unit nahi milla abhi tak mujhay',null,'83','83','2021-06-03 13:39:34','2021-06-03 13:39:34',null);
INSERT INTO complaint_statuses VALUES('20911','5354','7','12','81','coustmer ny set office ly k ana tha par , wifi ka problem tha , coustmer ny ether cable py net chala lia hy complain close kr dyn',null,'80','80','2021-06-03 13:39:39','2021-06-03 13:39:39',null);
INSERT INTO complaint_statuses VALUES('20912','4579','7','22','81','Hangiz chiya',null,'88','88','2021-06-03 13:40:01','2021-06-03 13:40:01',null);
INSERT INTO complaint_statuses VALUES('20913','5517','7','24','81','set s/c ni aya',null,'80','80','2021-06-03 13:40:21','2021-06-03 13:40:21',null);
INSERT INTO complaint_statuses VALUES('20914','5370','7','24','81','payment pending from customer side  unit at customer  home',null,'83','83','2021-06-03 13:40:26','2021-06-03 13:40:26',null);
INSERT INTO complaint_statuses VALUES('20915','6226','8','23','58','abi i-10 nahe aya',null,'81','81','2021-06-03 13:40:50','2021-06-03 13:40:50',null);
INSERT INTO complaint_statuses VALUES('20916','5428','7','24','81','payment pending',null,'83','83','2021-06-03 13:40:52','2021-06-03 13:40:52',null);
INSERT INTO complaint_statuses VALUES('20917','6444','3',null,'52',null,'3-6-21
COMPLAINT#PKRI210603107717','73','73','2021-06-03 13:41:16','2021-06-03 14:11:03',null);
INSERT INTO complaint_statuses VALUES('20918','5638','7','12','81','estimate Rejected',null,'83','83','2021-06-03 13:41:55','2021-06-03 13:41:55',null);
INSERT INTO complaint_statuses VALUES('20919','6219','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-06-03 13:42:15','2021-06-03 14:06:35',null);
INSERT INTO complaint_statuses VALUES('20920','6106','7','24','81','part in order main pcb defective',null,'83','83','2021-06-03 13:42:44','2021-06-03 13:42:44',null);
INSERT INTO complaint_statuses VALUES('20921','5181','7','22','81','Hob ka shesha tuta hy',null,'88','88','2021-06-03 13:42:59','2021-06-03 13:42:59',null);
INSERT INTO complaint_statuses VALUES('20922','5438','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-03 13:43:09','2021-06-03 13:43:09',null);
INSERT INTO complaint_statuses VALUES('20923','6134','7','24','81','back light replaced rs 4000  with pick& drop  payment pending.',null,'83','83','2021-06-03 13:43:29','2021-06-03 13:43:29',null);
INSERT INTO complaint_statuses VALUES('20924','6244','7','24','81','customer 4-5 din bad availible ho ga',null,'83','83','2021-06-03 13:44:33','2021-06-03 13:44:33',null);
INSERT INTO complaint_statuses VALUES('20925','5440','7','9','81','Cal ni outha raha  3 06 21',null,'88','88','2021-06-03 13:45:02','2021-06-03 13:45:02',null);
INSERT INTO complaint_statuses VALUES('20926','6445','3',null,'54',null,'3-6-21
COMPLAINT#1889869','73','73','2021-06-03 13:45:09','2021-06-03 14:36:05',null);
INSERT INTO complaint_statuses VALUES('20927','6333','7','12','81','unit nahi milla abhi tak',null,'83','83','2021-06-03 13:45:41','2021-06-03 13:45:41',null);
INSERT INTO complaint_statuses VALUES('20928','5753','7','12','81','panel line hy set hy coustmer ny move krna hy lkn abi tak ni kea jb free ho ga tab set office ly k ay ga','03000301019','80','92','2021-06-03 13:46:02','2021-06-03 16:21:32',null);
INSERT INTO complaint_statuses VALUES('20929','6401','7','24','81','next week mian check krni ha',null,'83','83','2021-06-03 13:46:58','2021-06-03 13:46:58',null);
INSERT INTO complaint_statuses VALUES('20930','6252','7','12','81','unit replaced   visit only  rs 500',null,'83','83','2021-06-03 13:48:08','2021-06-03 13:48:08',null);
INSERT INTO complaint_statuses VALUES('20931','5022','7','10','81','Cal ni outha raha',null,'88','88','2021-06-03 13:49:23','2021-06-03 13:49:23',null);
INSERT INTO complaint_statuses VALUES('20932','6202','7','9','81','Cal ni outha raha',null,'88','88','2021-06-03 13:51:34','2021-06-03 13:51:34',null);
INSERT INTO complaint_statuses VALUES('20933','6191','7','22','81','Gujranwala my gizar hay faktari my',null,'88','88','2021-06-03 13:52:40','2021-06-03 13:52:40',null);
INSERT INTO complaint_statuses VALUES('20934','5228','7','22','81','Tharmostat kharb hay 02 06  21 ko a Gaya hy',null,'88','88','2021-06-03 13:54:07','2021-06-03 13:54:07',null);
INSERT INTO complaint_statuses VALUES('20935','5527','7','10','81','AL ni outha raha',null,'88','88','2021-06-03 13:56:09','2021-06-03 13:56:09',null);
INSERT INTO complaint_statuses VALUES('20936','4614','7','22','81','Steel tap change hona hy','CUSTOMER NA 2 MONTH SA KOI CONTACT NAI KIYA IC LIYA COMPLAINT CLOSED KAR RAHAY HAIN','88','74','2021-06-03 13:57:18','2021-06-04 16:24:19',null);
INSERT INTO complaint_statuses VALUES('20937','6429','7','12','81','complaint resolved ,no issue in ac',null,'79','79','2021-06-03 13:58:03','2021-06-03 13:58:03',null);
INSERT INTO complaint_statuses VALUES('20938','6446','2',null,'81',null,null,'73','73','2021-06-03 14:02:57','2021-06-03 14:02:57',null);
INSERT INTO complaint_statuses VALUES('20939','6446','4',null,'63',null,null,'81','81','2021-06-03 14:03:25','2021-06-03 14:03:25',null);
INSERT INTO complaint_statuses VALUES('20940','5915','7','12','81','Motor Replaced In Warranty.',null,'76','76','2021-06-03 14:05:50','2021-06-03 14:05:50',null);
INSERT INTO complaint_statuses VALUES('20941','5985','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-03 14:07:33','2021-06-03 14:07:33',null);
INSERT INTO complaint_statuses VALUES('20942','6447','2',null,'81',null,null,'73','73','2021-06-03 14:07:57','2021-06-03 14:07:57',null);
INSERT INTO complaint_statuses VALUES('20943','6447','4',null,'62',null,null,'81','81','2021-06-03 14:08:26','2021-06-03 14:08:26',null);
INSERT INTO complaint_statuses VALUES('20944','6448','2',null,'81',null,null,'73','73','2021-06-03 14:13:37','2021-06-03 14:13:37',null);
INSERT INTO complaint_statuses VALUES('20945','6448','4',null,'58',null,null,'81','81','2021-06-03 14:13:59','2021-06-03 14:13:59',null);
INSERT INTO complaint_statuses VALUES('20946','6313','7','9','81','we have called to customer...unit panel line... 
کسٹمر یونٹ سروس سنٹر لے کر آۓ گا کل',null,'77','77','2021-06-03 14:17:21','2021-06-03 14:17:21',null);
INSERT INTO complaint_statuses VALUES('20947','6232','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-03 14:17:36','2021-06-03 14:17:36',null);
INSERT INTO complaint_statuses VALUES('20948','6292','7','9','81','پارٹ آرڈر ھوچکے',null,'77','77','2021-06-03 14:17:54','2021-06-03 14:17:54',null);
INSERT INTO complaint_statuses VALUES('20949','6449','2',null,'81',null,null,'73','73','2021-06-03 14:17:58','2021-06-03 14:17:58',null);
INSERT INTO complaint_statuses VALUES('20950','6449','4',null,'61',null,null,'81','81','2021-06-03 14:18:21','2021-06-03 14:18:21',null);
INSERT INTO complaint_statuses VALUES('20951','6279','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-03 14:19:51','2021-06-03 14:19:51',null);
INSERT INTO complaint_statuses VALUES('20952','5888','7','12','81','nayatel issue was. unit ok ha. job complete.... unit with customer',null,'77','77','2021-06-03 14:21:09','2021-06-03 14:21:09',null);
INSERT INTO complaint_statuses VALUES('20953','5832','7','9','81','waiting for part.',null,'77','77','2021-06-03 14:21:41','2021-06-03 14:21:41',null);
INSERT INTO complaint_statuses VALUES('20954','6429','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-03 14:25:15','2021-06-03 16:56:34',null);
INSERT INTO complaint_statuses VALUES('20955','6450','3',null,'65',null,'3-6-21
COMPLAINT#192123247','73','73','2021-06-03 14:26:58','2021-06-03 16:21:20',null);
INSERT INTO complaint_statuses VALUES('20956','6229','7','24','81','Cu',null,'82','82','2021-06-03 14:38:35','2021-06-03 14:38:35',null);
INSERT INTO complaint_statuses VALUES('20957','6333','8','23','61','ASLAM SB KO REMINDER DA DIYA HAIN  SET SATURDAY KO AP K PASS MOVE KARWAY GAY',null,'81','81','2021-06-03 14:39:21','2021-06-03 14:39:21',null);
INSERT INTO complaint_statuses VALUES('20958','5976','7','12','81','Okay kar ky wapis bhej dia hy',null,'82','82','2021-06-03 14:40:32','2021-06-03 14:40:32',null);
INSERT INTO complaint_statuses VALUES('20959','6015','7','24','81','Pcb tcs karwa di hy custmer ny abhi nhi phonchi',null,'82','82','2021-06-03 14:41:33','2021-06-03 14:41:33',null);
INSERT INTO complaint_statuses VALUES('20960','6451','3',null,'52',null,'3-6-21
COMPLAINT#PKRI-210603110803','73','73','2021-06-03 14:54:52','2021-06-03 16:39:24',null);
INSERT INTO complaint_statuses VALUES('20961','6313','8','23','56','OK JOB COMPLETED QUKILEY',null,'81','81','2021-06-03 14:56:56','2021-06-03 14:56:56',null);
INSERT INTO complaint_statuses VALUES('20962','6401','8','23','61','OK',null,'81','81','2021-06-03 14:57:18','2021-06-03 14:57:18',null);
INSERT INTO complaint_statuses VALUES('20963','6292','8','23','56','OK  JOB COMPLETED QUKILEY',null,'81','81','2021-06-03 14:58:02','2021-06-03 14:58:02',null);
INSERT INTO complaint_statuses VALUES('20964','6452','3',null,'52',null,'3-6-21
COMPLAINT#PKRI-210603110881','73','73','2021-06-03 14:58:49','2021-06-03 16:43:13',null);
INSERT INTO complaint_statuses VALUES('20965','6244','8','23','61','OK  JOB COMPLETED QUKILEY',null,'81','81','2021-06-03 15:02:26','2021-06-03 15:02:26',null);
INSERT INTO complaint_statuses VALUES('20966','6229','8','23','60','OK',null,'81','81','2021-06-03 15:05:27','2021-06-03 15:05:27',null);
INSERT INTO complaint_statuses VALUES('20967','6453','2',null,'81',null,null,'73','73','2021-06-03 15:08:37','2021-06-03 15:08:37',null);
INSERT INTO complaint_statuses VALUES('20968','6307','5',null,null,'COMPLAINT CLOSE',null,'73','73','2021-06-03 15:10:04','2021-06-03 15:10:04',null);
INSERT INTO complaint_statuses VALUES('20969','6304','5',null,null,'COMPLAINT CLOSE',null,'73','73','2021-06-03 15:11:43','2021-06-03 15:11:43',null);
INSERT INTO complaint_statuses VALUES('20970','6303','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-03 15:12:59','2021-06-03 15:12:59',null);
INSERT INTO complaint_statuses VALUES('20971','6202','8','23','63','03008544580
IC NO PA BAT HO GEI HAIN  AGAIN CALL KARAY',null,'81','81','2021-06-03 15:20:15','2021-06-03 15:20:15',null);
INSERT INTO complaint_statuses VALUES('20972','6171','8','23','56','NAEEM SAB NA APPROVAL DA DI HAIN  SET READY KARAY .
PURANA BOARD HAMAY BAJWA DAY',null,'81','81','2021-06-03 15:25:25','2021-06-03 15:25:25',null);
INSERT INTO complaint_statuses VALUES('20973','6361','5',null,null,'complaint completed',null,'92','92','2021-06-03 15:32:58','2021-06-03 15:32:58',null);
INSERT INTO complaint_statuses VALUES('20974','6285','7','24','81','Service and Drain Cap Issue',null,'76','76','2021-06-03 15:34:06','2021-06-03 15:34:06',null);
INSERT INTO complaint_statuses VALUES('20975','6360','5',null,null,'complaint completed',null,'92','92','2021-06-03 15:34:51','2021-06-03 15:34:51',null);
INSERT INTO complaint_statuses VALUES('20976','6359','5',null,null,'complaint completed',null,'92','92','2021-06-03 15:37:54','2021-06-03 15:37:54',null);
INSERT INTO complaint_statuses VALUES('20977','6171','7','12','81','unit ok....and hand over to customer...job closed pls',null,'77','77','2021-06-03 15:41:18','2021-06-03 15:41:18',null);
INSERT INTO complaint_statuses VALUES('20978','6171','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-03 15:44:09','2021-06-03 17:05:58',null);
INSERT INTO complaint_statuses VALUES('20979','5888','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-03 15:46:01','2021-06-03 17:54:21',null);
INSERT INTO complaint_statuses VALUES('20980','6166','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-03 15:47:23','2021-06-03 17:13:23',null);
INSERT INTO complaint_statuses VALUES('20981','6454','3',null,'54',null,'3-6-21
COMPLAINT#1890083','73','73','2021-06-03 15:47:48','2021-06-03 16:54:08',null);
INSERT INTO complaint_statuses VALUES('20982','6048','7','26','81','ANEEQ SE CONFIRM KR K CANCEL KR DEIN PLZ',null,'87','87','2021-06-03 15:51:45','2021-06-03 15:51:45',null);
INSERT INTO complaint_statuses VALUES('20983','6455','3',null,'52',null,'3-6-21
COMPLAINT#PKRI210603110949','73','73','2021-06-03 15:52:13','2021-06-03 16:46:25',null);
INSERT INTO complaint_statuses VALUES('20984','6316','7','26','81','ANEEQ SE CONFIRM KR K CANCEL KR DEIN PLZ',null,'87','87','2021-06-03 15:53:33','2021-06-03 15:53:33',null);
INSERT INTO complaint_statuses VALUES('20985','6112','7','12','81','tab damage  thi tehnician ny lga di thi custemr [ay nahi r rehy thy tab wapis utar li .ab dubara.na in ki traf jaye gain water dispwnser work shop hi aye ga. thanks',null,'79','79','2021-06-03 15:53:40','2021-06-03 15:53:40',null);
INSERT INTO complaint_statuses VALUES('20986','6447','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-03 15:54:52','2021-06-03 15:54:52',null);
INSERT INTO complaint_statuses VALUES('20987','6404','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-03 15:55:38','2021-06-03 15:55:38',null);
INSERT INTO complaint_statuses VALUES('20988','6346','7','24','81','Forward to Lahore','04235124848 LG S/C NO HEAD OFFICE NO','76','92','2021-06-03 15:57:48','2021-07-10 13:11:59',null);
INSERT INTO complaint_statuses VALUES('20989','6373','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-03 16:00:10','2021-06-03 16:00:10',null);
INSERT INTO complaint_statuses VALUES('20990','6096','8','23','58','CUSTOMER  KO AIK CALLKAR K COMPLAINT COMPLETED KARAY',null,'81','81','2021-06-03 16:00:48','2021-06-03 16:00:48',null);
INSERT INTO complaint_statuses VALUES('20991','6447','8','23','62','WRONG FOLLOWUP',null,'81','81','2021-06-03 16:01:33','2021-06-03 16:01:33',null);
INSERT INTO complaint_statuses VALUES('20992','6253','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-03 16:01:42','2021-06-03 16:01:42',null);
INSERT INTO complaint_statuses VALUES('20993','6453','4',null,'58',null,null,'81','81','2021-06-03 16:07:11','2021-06-03 16:07:11',null);
INSERT INTO complaint_statuses VALUES('20994','6404','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-03 16:08:08','2021-06-03 16:57:06',null);
INSERT INTO complaint_statuses VALUES('20995','6031','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-03 16:12:05','2021-06-03 16:12:05',null);
INSERT INTO complaint_statuses VALUES('20996','6316','8','15','62','COMPLAINT CUSTOMER SIDE SA DELAY SO COMPLAINT CLOSED',null,'81','81','2021-06-03 16:12:15','2021-06-03 16:12:15',null);
INSERT INTO complaint_statuses VALUES('20997','6112','5','15',null,'COMPLETED COMPLAINT  TAB K 1000 CHARGES CUSTOMER NA PAY KAR DIYA HAIN .','COMPLAINT RESOLVED','81','92','2021-06-03 16:25:49','2021-06-03 17:22:06',null);
INSERT INTO complaint_statuses VALUES('20998','6386','7','12','81','complaint canncelled by customer',null,'79','79','2021-06-03 16:30:16','2021-06-03 16:30:16',null);
INSERT INTO complaint_statuses VALUES('20999','6456','3',null,'53',null,'3-6-21
COMPLAINT#301133272','73','73','2021-06-03 16:33:14','2021-06-03 16:46:41',null);
INSERT INTO complaint_statuses VALUES('21000','5976','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-03 16:34:58','2021-06-03 17:48:28',null);
INSERT INTO complaint_statuses VALUES('21001','6386','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-03 16:36:09','2021-06-03 16:59:31',null);
INSERT INTO complaint_statuses VALUES('21002','5915','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-03 16:37:32','2021-06-03 17:53:41',null);
INSERT INTO complaint_statuses VALUES('21003','5753','5','15',null,'CUSTOMER STILL NOT ATTEND MY CALL SO PLZ COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-06-03 16:40:09','2021-06-05 12:32:38',null);
INSERT INTO complaint_statuses VALUES('21004','6383','7','12','81','ISSUE RESOLVED ,',null,'87','87','2021-06-03 16:40:31','2021-06-03 16:40:31',null);
INSERT INTO complaint_statuses VALUES('21005','6383','8','23','62','CUSTOMER KA ISSUE RESOLVED NAI HO RAHA KINDLY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-06-03 16:43:56','2021-06-03 16:43:56',null);
INSERT INTO complaint_statuses VALUES('21006','6093','5','15',null,'CUSTOMER NA EXP APPROVED NAI KIYA COMPLAINT CUSTOMER NA KHUD CLOSED KARWA DI','COMPLAINT RESOLVED','81','92','2021-06-03 16:45:43','2021-06-03 17:37:49',null);
INSERT INTO complaint_statuses VALUES('21007','6457','2',null,'81',null,null,'73','73','2021-06-03 16:46:32','2021-06-03 16:46:32',null);
INSERT INTO complaint_statuses VALUES('21008','6048','5','15',null,'CUSTOMER CALL ATTEND NI KAR RAHAY COMPLAINT AJ CLOSED KAR DI HAIN .
SALE PERSON KO B INFORMED KAR DIA','COMPLAINT RESOLVED','81','92','2021-06-03 16:47:26','2021-06-03 17:47:51',null);
INSERT INTO complaint_statuses VALUES('21009','6458','3',null,'52',null,'3-6-21
COMPLAINT#PKRI-210603111314','73','73','2021-06-03 16:52:21','2021-06-03 17:05:45',null);
INSERT INTO complaint_statuses VALUES('21010','6457','4',null,'62',null,null,'81','81','2021-06-03 16:53:56','2021-06-03 16:53:56',null);
INSERT INTO complaint_statuses VALUES('21011','5734','7','22','81','PCB PENAL',null,'87','87','2021-06-03 17:05:09','2021-06-03 17:05:09',null);
INSERT INTO complaint_statuses VALUES('21012','5354','5','15',null,'CUSTOMER KO ABI KOI ISSUE NAI AARHA COMPLAINT CLOSED KARWA DI','COMPLAINT RESOLVED','81','92','2021-06-03 17:16:11','2021-06-03 17:56:34',null);
INSERT INTO complaint_statuses VALUES('21013','6115','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','73','92','2021-06-03 17:25:16','2021-06-03 17:27:04',null);
INSERT INTO complaint_statuses VALUES('21014','4526','8','23','59','BOARD HAMARY PASS B AVAIL NAI HAIN AGAR AP SA BOARD ARRANGE HO SAKTA TU THEEK OTHERWISE PACK KAR K WAPISE KAR DAY ASLAM SIR PIC KAR LAY GAY',null,'81','81','2021-06-03 17:28:12','2021-06-03 17:28:12',null);
INSERT INTO complaint_statuses VALUES('21015','6373','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-03 17:34:54','2021-06-03 17:42:25',null);
INSERT INTO complaint_statuses VALUES('21016','5832','8','23','56','OK JOB COMPLETED QUKILEY',null,'81','81','2021-06-03 17:36:04','2021-06-03 17:36:04',null);
INSERT INTO complaint_statuses VALUES('21017','5638','5','15',null,'CUSTOMER NA EXP APPROVED NAI KIYA SO COMPLAINT CLOSED','COMPLAINT RESOLVED 
MAMM','81','92','2021-06-03 17:38:02','2021-06-05 15:16:17',null);
INSERT INTO complaint_statuses VALUES('21018','6172','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-03 17:42:03','2021-06-03 17:42:03',null);
INSERT INTO complaint_statuses VALUES('21019','5563','8','23','58','YHA W/M I 10 SA WAPISE MAGWA LAY',null,'81','81','2021-06-03 17:46:18','2021-06-03 17:46:18',null);
INSERT INTO complaint_statuses VALUES('21020','6459','2',null,'81',null,null,'73','73','2021-06-03 17:56:54','2021-06-03 17:56:54',null);
INSERT INTO complaint_statuses VALUES('21021','6459','4',null,'62',null,null,'81','81','2021-06-03 17:57:35','2021-06-03 17:57:35',null);
INSERT INTO complaint_statuses VALUES('21022','6342','7','24','81','under repair in Service',null,'76','76','2021-06-03 18:03:59','2021-06-03 18:03:59',null);
INSERT INTO complaint_statuses VALUES('21023','6441','7','24','81','Yawar bhai ko sand ki hy',null,'88','88','2021-06-03 18:20:42','2021-06-03 18:20:42',null);
INSERT INTO complaint_statuses VALUES('21024','5961','7','12','81','complaint resolved,pcb chnage and door wire issue',null,'79','79','2021-06-03 21:25:04','2021-06-03 21:25:04',null);
INSERT INTO complaint_statuses VALUES('21025','6043','7','12','81','glass change ..complain resolved',null,'79','79','2021-06-03 21:28:00','2021-06-03 21:28:00',null);
INSERT INTO complaint_statuses VALUES('21026','6460','3',null,'53',null,'4-6-2021
COMPLAINT-301133663','73','73','2021-06-04 10:56:40','2021-06-04 17:39:05',null);
INSERT INTO complaint_statuses VALUES('21027','6420','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-04 11:57:18','2021-06-04 11:57:18',null);
INSERT INTO complaint_statuses VALUES('21028','6367','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-04 12:01:08','2021-06-04 12:01:08',null);
INSERT INTO complaint_statuses VALUES('21029','6461','2',null,'81',null,'4-6-2021
FF TO SHAMIM AKTER','73','73','2021-06-04 12:05:40','2021-06-04 12:05:40',null);
INSERT INTO complaint_statuses VALUES('21030','6461','4',null,'55',null,null,'81','81','2021-06-04 12:06:06','2021-06-04 12:06:06',null);
INSERT INTO complaint_statuses VALUES('21031','6462','2',null,'81',null,'4-6-2021','73','73','2021-06-04 12:35:03','2021-06-04 12:35:03',null);
INSERT INTO complaint_statuses VALUES('21032','6358','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-04 12:52:04','2021-06-04 12:52:04',null);
INSERT INTO complaint_statuses VALUES('21033','6462','4',null,'58',null,null,'81','81','2021-06-04 12:54:35','2021-06-04 12:54:35',null);
INSERT INTO complaint_statuses VALUES('21034','6356','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-04 12:57:38','2021-06-04 12:57:38',null);
INSERT INTO complaint_statuses VALUES('21035','6353','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-04 12:59:39','2021-06-04 12:59:39',null);
INSERT INTO complaint_statuses VALUES('21036','6463','2',null,'81',null,'4-6-2021
FF TO AZHAR FCI','73','92','2021-06-04 13:09:47','2021-06-09 14:40:50',null);
INSERT INTO complaint_statuses VALUES('21037','5880','7','12','81','Frig theek ho ky chla gea hy',null,'82','82','2021-06-04 14:15:30','2021-06-04 14:15:30',null);
INSERT INTO complaint_statuses VALUES('21038','5181','5','25',null,null,'CUSTOMER NA EXP APPROVED NAI KIYA COMPLAINT CLOSED KARWA DI','81','74','2021-06-04 15:40:52','2021-06-04 15:42:45',null);
INSERT INTO complaint_statuses VALUES('21039','4579','8','23','63','HANFIZ 1-10 SA LAY 
4500 EXP HAIN',null,'81','81','2021-06-04 16:01:15','2021-06-04 16:01:15',null);
INSERT INTO complaint_statuses VALUES('21040','6464','2',null,'81',null,'4-6-2017
FF TO HOME SALUTION','73','73','2021-06-04 16:18:00','2021-06-04 16:18:00',null);
INSERT INTO complaint_statuses VALUES('21041','6268','5',null,null,'COMPLAINT TRESOLVED',null,'74','74','2021-06-04 16:22:30','2021-06-04 16:22:30',null);
INSERT INTO complaint_statuses VALUES('21042','4614','5','15',null,'CUSTOMER NA 2 MONTH SA KOI CONTACT NAI KIYA .
IC LIYA COMPLAINT CLOSED KAR ARAHY AJ','COMPLAINT RESOLVED','81','92','2021-06-04 16:25:17','2021-06-05 12:17:49',null);
INSERT INTO complaint_statuses VALUES('21043','5022','8','15','63','CUSTOMER STILL NOT ATTENDING MY CALL IC LIYA COMPLAINT AJ CLOSED KAR RAHAY',null,'81','81','2021-06-04 16:29:18','2021-06-04 16:29:18',null);
INSERT INTO complaint_statuses VALUES('21044','5114','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-06-04 16:30:59','2021-06-04 16:30:59',null);
INSERT INTO complaint_statuses VALUES('21045','5228','8','23','63','OK JOB COMPLETED QUKILEY',null,'81','81','2021-06-04 16:35:14','2021-06-04 16:35:14',null);
INSERT INTO complaint_statuses VALUES('21046','5428','8','23','61','NAME AZHAR SIR
CELL#322 9559900.
SET PAYMENT 3000 IN K PASS HAIN AZHAR SAB SA CONTACT KAR K PAYMENT REVIVED KARWA LAY',null,'81','81','2021-06-04 16:41:59','2021-06-04 16:41:59',null);
INSERT INTO complaint_statuses VALUES('21047','6464','4',null,'62',null,null,'81','81','2021-06-04 16:42:57','2021-06-04 16:42:57',null);
INSERT INTO complaint_statuses VALUES('21048','6463','4',null,'60',null,null,'81','81','2021-06-04 16:43:17','2021-06-04 16:43:17',null);
INSERT INTO complaint_statuses VALUES('21049','5440','5','15',null,'CUSTOMER STILL NOT ATTENDING CALL SO COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-06-04 16:45:13','2021-06-05 12:25:43',null);
INSERT INTO complaint_statuses VALUES('21050','5527','5','15',null,'CUSTOMER STILL NOT ATTENDING CALL SO COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-06-04 16:46:43','2021-06-05 12:28:29',null);
INSERT INTO complaint_statuses VALUES('21051','6465','3',null,'52',null,'4-6-2021
COMPLAINT-PKRI-210604110092','73','73','2021-06-04 16:47:16','2021-06-04 17:29:41',null);
INSERT INTO complaint_statuses VALUES('21052','5880','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-06-04 16:48:17','2021-06-04 16:48:17',null);
INSERT INTO complaint_statuses VALUES('21053','5961','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-06-04 16:49:31','2021-06-04 16:49:31',null);
INSERT INTO complaint_statuses VALUES('21054','6043','5','15',null,'GLASS REPLACE KAR DIA COMPLAINT RESOLVED',null,'81','81','2021-06-04 16:51:59','2021-06-04 16:51:59',null);
INSERT INTO complaint_statuses VALUES('21055','6466','2',null,'81',null,'4-6-2021
FF TO BESTCOOL','73','73','2021-06-04 17:01:37','2021-06-04 17:01:37',null);
INSERT INTO complaint_statuses VALUES('21056','6394','7','12','81','Unit ok   demo only',null,'83','83','2021-06-04 17:02:27','2021-06-04 17:02:27',null);
INSERT INTO complaint_statuses VALUES('21057','6337','7','12','81','Drain Pipe Adjustment. visit Pending 600/-',null,'76','76','2021-06-04 17:03:49','2021-06-04 17:03:49',null);
INSERT INTO complaint_statuses VALUES('21058','6106','8','23','61','AGR 3 DAYS MAIN PART AAJAT HAIN TU THEEK OTHERWAISE SET HAMAY WAPISE BAJWA DA',null,'81','81','2021-06-04 17:12:11','2021-06-04 17:12:11',null);
INSERT INTO complaint_statuses VALUES('21059','6467','3',null,'52',null,'4-6-2021
COMPLAINT-PKRI-210604110113','73','73','2021-06-04 17:12:17','2021-06-04 17:31:24',null);
INSERT INTO complaint_statuses VALUES('21060','6140','8','23','55','HEAT GUN AGR AP K PASS AVAIL HAIN TU ISSUE RESOLVED KAR DAY 
HEAT GUN KI PRICE B CONFIRM KAR DAY .&
BILL MAIN PAYMENT CLEAR HO JAY GEI AP KO',null,'81','81','2021-06-04 17:16:23','2021-06-04 17:16:23',null);
INSERT INTO complaint_statuses VALUES('21061','6468','3',null,'53',null,'4-6-2021
COMPLAINT-301133665','73','73','2021-06-04 17:20:44','2021-06-04 17:42:16',null);
INSERT INTO complaint_statuses VALUES('21062','6182','8','23','58','CUSTOMER KO KAL VISIT KA TIME DIA .
TAHIR SENIOUR SIR KAL KHUD IC COMPLAINT PA VISIT KARAY GAY  
KINDLY VISIT ARRANGE KAR K ISSUE RESOLVED KARWAY',null,'81','81','2021-06-04 17:23:09','2021-06-04 17:23:09',null);
INSERT INTO complaint_statuses VALUES('21063','6296','7','24','81','Under Repaired in Workshop, not cooling',null,'76','76','2021-06-04 17:25:18','2021-06-04 17:25:18',null);
INSERT INTO complaint_statuses VALUES('21064','6352','7','12','81','Drain Pipe Adjustment.',null,'76','76','2021-06-04 17:25:43','2021-06-04 17:25:43',null);
INSERT INTO complaint_statuses VALUES('21065','6252','8','23','61','CUSTOMER KA SET KAHA PA HAIN',null,'81','81','2021-06-04 17:27:06','2021-06-04 17:27:06',null);
INSERT INTO complaint_statuses VALUES('21066','6285','8','23','55','OK JOB COMPLETED QUKILEY',null,'81','81','2021-06-04 17:32:32','2021-06-04 17:32:32',null);
INSERT INTO complaint_statuses VALUES('21067','6296','8','23','55','YH JOB KITNAY DIN MAIN CLEAR HO JAY GEI 
PLZ REPLAY ME',null,'81','81','2021-06-04 17:34:20','2021-06-04 17:34:20',null);
INSERT INTO complaint_statuses VALUES('21068','6337','5','15',null,'COMPLAINT RESOLVED',null,'81','81','2021-06-04 17:38:38','2021-06-04 17:38:38',null);
INSERT INTO complaint_statuses VALUES('21069','6400','7','12','81','Thermostat Adjustment. Visit Pending 600/-',null,'76','76','2021-06-04 17:39:38','2021-06-04 17:39:38',null);
INSERT INTO complaint_statuses VALUES('21070','6352','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-06-04 17:39:46','2021-06-04 17:39:46',null);
INSERT INTO complaint_statuses VALUES('21071','6466','4',null,'58',null,null,'81','81','2021-06-04 17:40:18','2021-06-04 17:40:18',null);
INSERT INTO complaint_statuses VALUES('21072','6394','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-06-04 17:40:46','2021-06-04 17:40:46',null);
INSERT INTO complaint_statuses VALUES('21073','6403','7','12','81','Thermostate Adjustment. Visit Pending 600/-',null,'76','76','2021-06-04 17:41:00','2021-06-04 17:41:00',null);
INSERT INTO complaint_statuses VALUES('21074','6400','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-04 17:42:54','2021-06-04 17:44:39',null);
INSERT INTO complaint_statuses VALUES('21075','6330','7','26','81','Customer Not at home.',null,'76','76','2021-06-04 17:43:42','2021-06-04 17:43:42',null);
INSERT INTO complaint_statuses VALUES('21076','6403','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-04 17:43:55','2021-06-04 17:46:07',null);
INSERT INTO complaint_statuses VALUES('21077','6062','7','12','81','Door Switch Replaced + Service.',null,'76','76','2021-06-04 17:44:52','2021-06-04 17:44:52',null);
INSERT INTO complaint_statuses VALUES('21078','5578','7','12','81','Main PCB Replaced , Part Received from Friends Stock -1-10.',null,'76','76','2021-06-04 17:47:22','2021-06-04 17:47:22',null);
INSERT INTO complaint_statuses VALUES('21079','4354','7','26','81',null,null,'76','76','2021-06-04 17:48:36','2021-06-04 17:48:36',null);
INSERT INTO complaint_statuses VALUES('21080','5182','7','12','81','Main PCB Replaced , Part Received form I-10 Stock.',null,'76','76','2021-06-04 17:49:33','2021-06-04 17:49:33',null);
INSERT INTO complaint_statuses VALUES('21081','6469','3',null,'54',null,'05-06-2021
COMPLAINT#1891060','73','73','2021-06-04 17:58:43','2021-06-05 11:08:29',null);
INSERT INTO complaint_statuses VALUES('21082','6470','2',null,'81',null,'4-6-2021
FF TO AZHAR','73','73','2021-06-04 18:08:49','2021-06-04 18:08:49',null);
INSERT INTO complaint_statuses VALUES('21083','6354','7','26','81','Only service Require Customer Will Deliver it on Monday.',null,'76','76','2021-06-04 18:11:52','2021-06-04 18:11:52',null);
INSERT INTO complaint_statuses VALUES('21084','6079','7','10','81','Customer not Answering Calls.',null,'76','76','2021-06-04 18:14:03','2021-06-04 18:14:03',null);
INSERT INTO complaint_statuses VALUES('21085','6402','7','12','81','Filter Service Visit Pending 600/-',null,'76','76','2021-06-04 18:18:41','2021-06-04 18:18:41',null);
INSERT INTO complaint_statuses VALUES('21086','6350','7','12','81','Inlet Valve Service.',null,'76','76','2021-06-04 18:20:33','2021-06-04 18:20:33',null);
INSERT INTO complaint_statuses VALUES('21087','5022','7','10','81',null,null,'88','88','2021-06-04 18:26:22','2021-06-04 18:26:22',null);
INSERT INTO complaint_statuses VALUES('21088','6214','7','26','81','No Need of Visit.',null,'76','76','2021-06-04 18:27:56','2021-06-04 18:27:56',null);
INSERT INTO complaint_statuses VALUES('21089','6471','3',null,'52',null,'05-06-2021
COMPLAINT#PKRI-210605103480','73','73','2021-06-04 18:28:36','2021-06-05 11:23:31',null);
INSERT INTO complaint_statuses VALUES('21090','6472','3',null,'52',null,'05-06-2021
COMPLAINT#PKRI-210605103445','73','73','2021-06-04 18:35:38','2021-06-05 11:21:59',null);
INSERT INTO complaint_statuses VALUES('21091','6365','7','12','81','gzr theek tha ,elctrix supply ka issue tha',null,'79','79','2021-06-05 10:17:34','2021-06-05 10:17:34',null);
INSERT INTO complaint_statuses VALUES('21092','6433','7','28','81',null,null,'88','88','2021-06-05 10:22:06','2021-06-05 10:22:06',null);
INSERT INTO complaint_statuses VALUES('21093','6411','7','12','81','2 nob kharb the ok',null,'88','88','2021-06-05 10:23:22','2021-06-05 10:23:22',null);
INSERT INTO complaint_statuses VALUES('21094','6473','2',null,'81',null,null,'73','73','2021-06-05 10:48:35','2021-06-05 10:48:35',null);
INSERT INTO complaint_statuses VALUES('21095','6473','4',null,'56',null,null,'81','81','2021-06-05 10:49:02','2021-06-05 10:49:02',null);
INSERT INTO complaint_statuses VALUES('21096','6470','4',null,'60',null,null,'81','81','2021-06-05 10:49:33','2021-06-05 10:49:33',null);
INSERT INTO complaint_statuses VALUES('21097','6411','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-05 11:08:50','2021-06-05 12:42:07',null);
INSERT INTO complaint_statuses VALUES('21098','6402','8','23','55','CUSTOMER KA ISSUE RESOLVED NAI HOA KINDLY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-06-05 11:11:08','2021-06-05 11:11:08',null);
INSERT INTO complaint_statuses VALUES('21099','6365','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-05 11:12:43','2021-06-05 12:40:04',null);
INSERT INTO complaint_statuses VALUES('21100','6350','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-05 11:23:14','2021-06-05 12:36:38',null);
INSERT INTO complaint_statuses VALUES('21101','6214','8','15','55','CUSTOMER NA KHUD SA COMPLAINT CANCEL KARWA DI LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA LIYA.
COMPLAINT CLOSED',null,'81','81','2021-06-05 11:27:12','2021-06-05 11:27:12',null);
INSERT INTO complaint_statuses VALUES('21102','3924','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-05 11:33:20','2021-06-05 11:33:20',null);
INSERT INTO complaint_statuses VALUES('21103','5170','5','15',null,'YHA SET ABI B PWD SHOWROOM PA HAIN BUT PWD SA CONFIRM KAR K COMPLAINT CLOSED KI',null,'81','81','2021-06-05 11:42:26','2021-06-05 11:42:26',null);
INSERT INTO complaint_statuses VALUES('21104','6256','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 11:44:05','2021-06-05 11:44:05',null);
INSERT INTO complaint_statuses VALUES('21105','6062','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-05 11:44:08','2021-06-05 12:34:47',null);
INSERT INTO complaint_statuses VALUES('21106','6173','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-05 11:44:58','2021-06-05 11:44:58',null);
INSERT INTO complaint_statuses VALUES('21107','5907','7','12','81','burner change kr diye hain compliant reoslved',null,'79','79','2021-06-05 11:46:53','2021-06-05 11:46:53',null);
INSERT INTO complaint_statuses VALUES('21108','4211','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-05 11:47:17','2021-06-05 11:47:17',null);
INSERT INTO complaint_statuses VALUES('21109','6150','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-05 11:48:08','2021-06-05 11:48:08',null);
INSERT INTO complaint_statuses VALUES('21110','5545','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 11:50:09','2021-06-05 11:50:09',null);
INSERT INTO complaint_statuses VALUES('21111','6474','3',null,'65',null,'05-06-2021
COMPLAINT#192123310','73','73','2021-06-05 11:51:21','2021-06-05 13:05:39',null);
INSERT INTO complaint_statuses VALUES('21112','6475','3',null,'84',null,'05-06-2021
COMPLAINT#20506','73','73','2021-06-05 11:54:47','2021-06-05 13:10:51',null);
INSERT INTO complaint_statuses VALUES('21113','6476','2',null,'81',null,null,'73','73','2021-06-05 11:55:12','2021-06-05 11:55:12',null);
INSERT INTO complaint_statuses VALUES('21114','6476','4',null,'56',null,null,'81','81','2021-06-05 11:55:47','2021-06-05 11:55:47',null);
INSERT INTO complaint_statuses VALUES('21115','5561','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 12:00:21','2021-06-05 12:00:21',null);
INSERT INTO complaint_statuses VALUES('21116','6477','2',null,'81',null,null,'73','73','2021-06-05 12:01:00','2021-06-05 12:01:00',null);
INSERT INTO complaint_statuses VALUES('21117','6477','4',null,'63',null,null,'81','81','2021-06-05 12:01:33','2021-06-05 12:01:33',null);
INSERT INTO complaint_statuses VALUES('21118','5626','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 12:03:47','2021-06-05 12:03:47',null);
INSERT INTO complaint_statuses VALUES('21119','6478','3',null,'54',null,'05-06-2021
COMPLAINT#1891281','73','73','2021-06-05 12:03:50','2021-06-05 13:14:19',null);
INSERT INTO complaint_statuses VALUES('21120','6479','2',null,'81',null,null,'73','73','2021-06-05 12:06:33','2021-06-05 12:06:33',null);
INSERT INTO complaint_statuses VALUES('21121','6479','4',null,'55',null,null,'81','81','2021-06-05 12:06:55','2021-06-05 12:06:55',null);
INSERT INTO complaint_statuses VALUES('21122','5182','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-05 12:11:23','2021-06-05 12:23:08',null);
INSERT INTO complaint_statuses VALUES('21123','6480','2',null,'81',null,null,'73','73','2021-06-05 12:12:43','2021-06-05 12:12:43',null);
INSERT INTO complaint_statuses VALUES('21124','5647','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 12:12:55','2021-06-05 12:12:55',null);
INSERT INTO complaint_statuses VALUES('21125','6480','4',null,'58',null,null,'81','81','2021-06-05 12:13:16','2021-06-05 12:13:16',null);
INSERT INTO complaint_statuses VALUES('21126','6481','2',null,'81',null,null,'73','73','2021-06-05 12:21:37','2021-06-05 12:21:37',null);
INSERT INTO complaint_statuses VALUES('21127','6481','4',null,'62',null,null,'81','81','2021-06-05 12:22:07','2021-06-05 12:22:07',null);
INSERT INTO complaint_statuses VALUES('21128','6297','7','26','81','CALL NI PICK KR RHY PLZ CANCEL IT.',null,'87','87','2021-06-05 12:26:02','2021-06-05 12:26:02',null);
INSERT INTO complaint_statuses VALUES('21129','6482','3',null,'66',null,'05-06-2021
COMPLAINT#PK-060520210070','73','73','2021-06-05 12:28:01','2021-06-05 13:34:17',null);
INSERT INTO complaint_statuses VALUES('21130','6083','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-05 12:38:03','2021-06-05 12:38:03',null);
INSERT INTO complaint_statuses VALUES('21131','6464','7','26','81',null,null,'87','87','2021-06-05 12:38:39','2021-06-05 12:38:39',null);
INSERT INTO complaint_statuses VALUES('21132','6464','5','25',null,'FORWARDED TO USMAN SB...','COMPLAINT RESOLVED','81','92','2021-06-05 12:39:38','2021-06-05 17:23:41',null);
INSERT INTO complaint_statuses VALUES('21133','6457','7','10','81','MSG KR DIA',null,'87','87','2021-06-05 12:42:07','2021-06-05 12:42:07',null);
INSERT INTO complaint_statuses VALUES('21134','6354','5','15',null,'CUSTOMER KI SIDE SA DELAY HAIN COMPLAINT REF TO S/C','COMPLAINT RESOLVED','81','92','2021-06-05 12:42:24','2021-06-05 14:38:55',null);
INSERT INTO complaint_statuses VALUES('21135','6457','8','23','62','CUTOMER SA ABI BAT HO GEI HAIN AP AGAIN CALL KAR  K VISIT ARRANGE KARWAY',null,'81','81','2021-06-05 12:45:17','2021-06-05 12:45:17',null);
INSERT INTO complaint_statuses VALUES('21136','6096','7','12','81','customer not attend call .wesy complaint reoslvd hai',null,'79','79','2021-06-05 12:45:44','2021-06-05 12:45:44',null);
INSERT INTO complaint_statuses VALUES('21137','6383','7','12','81','ISSUE KCH B NHI ,HMRE END SE KOI PROBLEM NHI MAZEED SATISFACTION K LYE COMPANY FRWD KRWA DEIN',null,'87','87','2021-06-05 12:48:11','2021-06-05 12:48:11',null);
INSERT INTO complaint_statuses VALUES('21138','6288','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-05 12:49:03','2021-06-05 12:49:03',null);
INSERT INTO complaint_statuses VALUES('21139','6458','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-05 12:58:36','2021-06-05 12:58:36',null);
INSERT INTO complaint_statuses VALUES('21140','6297','5','15',null,'CUSTOMER STILL NOT ATTEND CALL INFORMED BY KAMRAN PWD','COMPLAINT RESOLVED','81','92','2021-06-05 13:02:06','2021-06-05 14:29:06',null);
INSERT INTO complaint_statuses VALUES('21141','5780','7','10','81','TECH NY 3-JUNE-2021 KO CUSTOMER KO CL KI BUT NO RESPONSE',null,'87','87','2021-06-05 13:04:27','2021-06-05 13:04:27',null);
INSERT INTO complaint_statuses VALUES('21142','6330','8','23','55','CUSTOMER SA BAT HO GEI HAIN CUSTOMER 12 SA 3 K TIME GHR PA AVAIL HOTI HAIN KINDLY A TECHNICIAN JANAY SA PHLAY AIK GHANTA PHLAY CALL KAR LAY',null,'81','81','2021-06-05 13:11:12','2021-06-05 13:11:12',null);
INSERT INTO complaint_statuses VALUES('21143','6271','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 13:11:34','2021-06-05 13:11:34',null);
INSERT INTO complaint_statuses VALUES('21144','6288','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-05 13:12:43','2021-06-05 14:56:25',null);
INSERT INTO complaint_statuses VALUES('21145','6096','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-05 13:13:59','2021-06-05 15:07:17',null);
INSERT INTO complaint_statuses VALUES('21146','6452','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 13:16:41','2021-06-05 13:16:41',null);
INSERT INTO complaint_statuses VALUES('21147','6383','5','15',null,'INSTALLER KI SIDE SA KOI ISSUE NAI HAIN CUSTOMER KI SATISFACTION K LIY COMPLAINT COMPANY FF KARWA RAHAY HAIN.
CUSTOMER KO B INFORMED KAR DIA',null,'81','81','2021-06-05 13:19:26','2021-06-05 13:19:26',null);
INSERT INTO complaint_statuses VALUES('21148','6444','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 13:19:56','2021-06-05 13:19:56',null);
INSERT INTO complaint_statuses VALUES('21149','6427','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 13:26:15','2021-06-05 13:26:15',null);
INSERT INTO complaint_statuses VALUES('21150','6483','3',null,'53',null,'5-5-21
COMPLAINT#301133954','73','73','2021-06-05 13:27:21','2021-06-05 14:36:45',null);
INSERT INTO complaint_statuses VALUES('21151','6426','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 13:29:35','2021-06-05 13:29:35',null);
INSERT INTO complaint_statuses VALUES('21152','5907','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED 
MAMM','81','92','2021-06-05 13:29:43','2021-06-05 15:14:06',null);
INSERT INTO complaint_statuses VALUES('21153','6423','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 13:31:54','2021-06-05 13:31:54',null);
INSERT INTO complaint_statuses VALUES('21154','6447','7','24','81','W/M MEIN JUST DEMO KA PROBLEM HAI ,LRKY NY CL KI THI CUSTOMER NY KAHA JB CL KRON TB AA JANA SO PLZ CLOSE IT . JB JB CL KREN GE TO OK KRWA DNGA',null,'87','87','2021-06-05 13:34:07','2021-06-05 13:34:07',null);
INSERT INTO complaint_statuses VALUES('21155','5578','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED 
MAMM','81','92','2021-06-05 13:35:21','2021-06-05 15:15:41',null);
INSERT INTO complaint_statuses VALUES('21156','6484','2',null,'81',null,null,'73','73','2021-06-05 13:41:42','2021-06-05 13:41:42',null);
INSERT INTO complaint_statuses VALUES('21157','6484','4',null,'63',null,null,'81','81','2021-06-05 13:42:57','2021-06-05 13:42:57',null);
INSERT INTO complaint_statuses VALUES('21158','5951','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-06-05 13:46:17','2021-06-05 13:46:17',null);
INSERT INTO complaint_statuses VALUES('21159','5950','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-06-05 13:47:19','2021-06-05 13:47:19',null);
INSERT INTO complaint_statuses VALUES('21160','6192','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 13:48:19','2021-06-05 13:48:19',null);
INSERT INTO complaint_statuses VALUES('21161','5725','7','24','81','Heat Gun Faulty , estimate share with the Customer , and Approved , Please inform to the customer for Collocation.',null,'76','76','2021-06-05 13:49:49','2021-06-05 13:49:49',null);
INSERT INTO complaint_statuses VALUES('21162','5355','7','12','81','COMPLAINT REOSLVED  .YE REF USMAN SB THEEK KEREWYA HAI.UNIT DEILIVERD',null,'79','79','2021-06-05 13:50:11','2021-06-05 13:50:11',null);
INSERT INTO complaint_statuses VALUES('21163','6069','8','23','56','DAMAGE CARD HMAY WAPISE BAJWA DAY',null,'81','81','2021-06-05 13:51:03','2021-06-05 13:51:03',null);
INSERT INTO complaint_statuses VALUES('21164','5951','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-05 13:51:33','2021-06-05 15:07:46',null);
INSERT INTO complaint_statuses VALUES('21165','5950','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-05 13:52:10','2021-06-05 15:11:20',null);
INSERT INTO complaint_statuses VALUES('21166','6274','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 13:56:36','2021-06-05 13:56:36',null);
INSERT INTO complaint_statuses VALUES('21167','5355','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED 
MAMM','81','92','2021-06-05 13:57:29','2021-06-05 15:14:57',null);
INSERT INTO complaint_statuses VALUES('21168','5882','7','28','81',null,null,'76','76','2021-06-05 13:59:58','2021-06-05 13:59:58',null);
INSERT INTO complaint_statuses VALUES('21169','6347','7','12','81','issue Solved at Customer Home , Visit and Labor Charges 2000/-',null,'76','76','2021-06-05 14:02:46','2021-06-05 14:02:46',null);
INSERT INTO complaint_statuses VALUES('21170','5867','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','73','92','2021-06-05 14:10:15','2021-06-05 15:17:01',null);
INSERT INTO complaint_statuses VALUES('21171','6443','7','12','81','Auto or gas ok',null,'88','88','2021-06-05 14:12:10','2021-06-05 14:12:10',null);
INSERT INTO complaint_statuses VALUES('21172','5780','8','23','62','OTHER#3010-2444531
IC NO PA CALL KAR LAY',null,'81','81','2021-06-05 14:13:22','2021-06-05 14:13:22',null);
INSERT INTO complaint_statuses VALUES('21173','6443','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-05 14:28:50','2021-06-05 14:37:03',null);
INSERT INTO complaint_statuses VALUES('21174','6485','2',null,'81',null,null,'73','73','2021-06-05 14:28:57','2021-06-05 14:28:57',null);
INSERT INTO complaint_statuses VALUES('21175','6485','4',null,'61',null,null,'81','81','2021-06-05 14:29:47','2021-06-05 14:29:47',null);
INSERT INTO complaint_statuses VALUES('21176','6347','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-05 14:33:54','2021-06-05 14:46:50',null);
INSERT INTO complaint_statuses VALUES('21177','5882','5','15',null,'DABUL COMPLAINT ENTER
RESOLVED TASK6347','COMPLAINT RESOLVED','81','74','2021-06-05 14:38:56','2021-06-08 12:34:58',null);
INSERT INTO complaint_statuses VALUES('21178','6079','8','23','55','OTHER#0315-5037139
ABI BAT HO GEI HAIN CUSTOMER SA OTHER #PA CALL KAR K VISIT ARRANGE KARWAY',null,'81','81','2021-06-05 14:42:10','2021-06-05 14:42:10',null);
INSERT INTO complaint_statuses VALUES('21179','6470','7','24','81','Monday ko jana hy ghar py nhi hy',null,'82','82','2021-06-05 14:42:42','2021-06-05 14:42:42',null);
INSERT INTO complaint_statuses VALUES('21180','6463','7','24','81','Visit kar ayea ho i10 aye gi compresor issue hy',null,'82','82','2021-06-05 14:43:21','2021-06-05 14:43:21',null);
INSERT INTO complaint_statuses VALUES('21181','6447','5','15',null,'CUSTOMER KI SIDE SA DELAY COMPLAINT INFORMED BY BILAL PWD','COMPLAINT RESOLVED','81','92','2021-06-05 14:47:31','2021-06-05 14:49:22',null);
INSERT INTO complaint_statuses VALUES('21182','6433','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-05 14:49:02','2021-06-05 14:52:27',null);
INSERT INTO complaint_statuses VALUES('21183','6346','5','15',null,'COMPLAINT FF LHR UN #','COMPLAINT RESOLVED
04235125353 LG HEAD OFFICE NO  LAHORE    03135798744','81','92','2021-06-05 14:55:22','2021-07-10 13:23:22',null);
INSERT INTO complaint_statuses VALUES('21184','5423','5','15',null,'SET AHSAN SAB K PASS HAIN FLOOR PA HAIN .INFORMED KAR DIA HAIN JAB SET I 10 BJAWAY GAY TAB NEW COMPLAINT ENTER KARWA DIKAJY GA',null,'81','81','2021-06-05 15:03:42','2021-06-05 15:03:42',null);
INSERT INTO complaint_statuses VALUES('21185','6486','3',null,'52',null,'5-6-2021
COMPLAINT#PKRI-210605109598','73','73','2021-06-05 15:13:04','2021-06-05 16:15:46',null);
INSERT INTO complaint_statuses VALUES('21186','6370','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 15:20:20','2021-06-05 15:20:20',null);
INSERT INTO complaint_statuses VALUES('21187','6252','7','12','81','service center main',null,'83','83','2021-06-05 15:20:20','2021-06-05 15:20:20',null);
INSERT INTO complaint_statuses VALUES('21188','6371','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 15:25:55','2021-06-05 15:25:55',null);
INSERT INTO complaint_statuses VALUES('21189','5022','5','15',null,'CUSTOMER STILL TECHNICIAN KI CALL ATTEND NAI KAR RAHAY HAIN
AJ BAT HOI HAIN CUSTOMER SA HAMRI UNHO NA HUM SA DIRECT TECHNICIAN K NO LA LIYA HAIN .
SO COMPLAINT CLOSED INFORMED BY MISS MARRIYAM FCI','COMPLAINT ATTEND HO GAE HAY BILL BANA KAR KHURRAM FIVE STAR SIR KO SEND KAR DEYA HAY COMPLAINT RESOLVED','81','92','2021-06-05 15:25:56','2021-06-07 12:27:39',null);
INSERT INTO complaint_statuses VALUES('21190','4354','5','15',null,'YHA COMPLAINT ATTIQ SAB ATTEND KAR RAHYA HAIN LOOB MAIN CUSTOMER ATTIQ SAB KPARTS KI PRICE KI SARI DETAIL CUSTOMER SA SHER KAR LI HAIN ATTIQ SAB NA 
ADIL FHHS KO B INFORMED KAR DIA DUBAI SA AANA PARTS',null,'81','81','2021-06-05 15:34:41','2021-06-05 15:34:41',null);
INSERT INTO complaint_statuses VALUES('21191','5228','7','12','81','Tharmostat laga diya hyok',null,'88','88','2021-06-05 15:56:05','2021-06-05 15:56:05',null);
INSERT INTO complaint_statuses VALUES('21192','6424','7','22','81','Aik such or hangiz kharb hy',null,'88','88','2021-06-05 15:59:05','2021-06-05 15:59:05',null);
INSERT INTO complaint_statuses VALUES('21193','5228','5','15',null,'COMPLAINT RESOLVED',null,'81','81','2021-06-05 16:05:40','2021-06-05 16:05:40',null);
INSERT INTO complaint_statuses VALUES('21194','6272','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 16:21:05','2021-06-05 16:21:05',null);
INSERT INTO complaint_statuses VALUES('21195','6487','3',null,'86',null,'FRWRDED TO ASIF ARISTON','73','73','2021-06-05 16:24:04','2021-06-05 16:24:04',null);
INSERT INTO complaint_statuses VALUES('21196','6258','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 16:24:31','2021-06-05 16:24:31',null);
INSERT INTO complaint_statuses VALUES('21197','5517','5','15',null,'SET  BILAL SAB K PASS HAIN FLOOR PA INFORMED KAR DIA HAIN BILAL SAB KO JAB SET S/C MOVE KARWAY GAY ASLAM SIR TAB NEW COMPLAINT ENTER KARWIYA GA ABI CLOSED KAR RAHAY COMPLAINT HUM','COMPLAINT RESOLVED','81','92','2021-06-05 16:27:05','2021-06-05 17:26:10',null);
INSERT INTO complaint_statuses VALUES('21198','6102','5',null,null,'COMPLAINT CLOSE',null,'73','73','2021-06-05 16:32:16','2021-06-05 16:32:16',null);
INSERT INTO complaint_statuses VALUES('21199','6230','5',null,null,'COMPLAINT CLOSE',null,'73','73','2021-06-05 16:33:12','2021-06-05 16:33:12',null);
INSERT INTO complaint_statuses VALUES('21200','6488','3',null,'65',null,'5-6-21
COMPLAINT#192123325
NEW
08-07-2021
COMPLAINT#191223468','73','73','2021-06-05 16:36:22','2021-06-08 14:06:11',null);
INSERT INTO complaint_statuses VALUES('21201','6280','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 16:39:43','2021-06-05 16:39:43',null);
INSERT INTO complaint_statuses VALUES('21202','6022','5',null,null,'COMPLAINT CLOSE',null,'73','73','2021-06-05 16:50:53','2021-06-05 16:50:53',null);
INSERT INTO complaint_statuses VALUES('21203','6282','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 17:03:13','2021-06-05 17:03:13',null);
INSERT INTO complaint_statuses VALUES('21204','6309','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 17:10:50','2021-06-05 17:10:50',null);
INSERT INTO complaint_statuses VALUES('21205','5769','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 17:22:19','2021-06-05 17:22:19',null);
INSERT INTO complaint_statuses VALUES('21206','6442','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 17:40:28','2021-06-05 17:40:28',null);
INSERT INTO complaint_statuses VALUES('21207','6440','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 17:42:56','2021-06-05 17:42:56',null);
INSERT INTO complaint_statuses VALUES('21208','6419','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-05 17:51:02','2021-06-05 17:51:02',null);
INSERT INTO complaint_statuses VALUES('21209','6395','7','22','81','DEFROSTING HEATER  FAULTY HAI',null,'79','79','2021-06-06 10:04:47','2021-06-06 10:04:47',null);
INSERT INTO complaint_statuses VALUES('21210','6262','7','12','81','PELSATOR   ISSUE.COMPLAITN RESOLVED',null,'79','79','2021-06-06 10:18:31','2021-06-06 10:18:31',null);
INSERT INTO complaint_statuses VALUES('21211','6489','2',null,'81',null,null,'73','73','2021-06-06 10:39:07','2021-06-06 10:39:07',null);
INSERT INTO complaint_statuses VALUES('21212','6489','4',null,'55',null,null,'81','81','2021-06-06 10:39:40','2021-06-06 10:39:40',null);
INSERT INTO complaint_statuses VALUES('21213','6490','2',null,'81',null,null,'73','73','2021-06-06 10:47:02','2021-06-06 10:47:02',null);
INSERT INTO complaint_statuses VALUES('21214','6490','4',null,'58',null,null,'81','81','2021-06-06 10:47:43','2021-06-06 10:47:43',null);
INSERT INTO complaint_statuses VALUES('21215','6491','3',null,'53',null,'6-6-21 
COMPLAINT #301134237','73','73','2021-06-06 11:00:55','2021-06-06 13:06:18',null);
INSERT INTO complaint_statuses VALUES('21216','6459','7','12','81','ISSUE RESOLVED , TAB REPLACED',null,'87','87','2021-06-06 11:09:20','2021-06-06 11:09:20',null);
INSERT INTO complaint_statuses VALUES('21217','6467','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 11:10:55','2021-06-06 11:10:55',null);
INSERT INTO complaint_statuses VALUES('21218','6362','7','12','81','COMP ANEEQ  K HAND OVER KR DIA HAI',null,'87','87','2021-06-06 11:17:45','2021-06-06 11:17:45',null);
INSERT INTO complaint_statuses VALUES('21219','6492','2',null,'81',null,null,'73','73','2021-06-06 11:23:54','2021-06-06 11:23:54',null);
INSERT INTO complaint_statuses VALUES('21220','6492','4',null,'58',null,null,'81','81','2021-06-06 11:24:13','2021-06-06 11:24:13',null);
INSERT INTO complaint_statuses VALUES('21221','6456','5',null,null,'COMPLAINT COMPLETED','COMPLAINT COMPAINE WALO NAY RESOLVED NAI KI TAHIR BEST COOL SIR NAY KI HAY UNIT REPLACE KAR K','92','92','2021-06-06 11:25:12','2021-06-06 13:51:14',null);
INSERT INTO complaint_statuses VALUES('21222','6493','2',null,'81',null,null,'73','73','2021-06-06 11:34:27','2021-06-06 11:34:27',null);
INSERT INTO complaint_statuses VALUES('21223','6493','4',null,'56',null,null,'81','81','2021-06-06 11:34:45','2021-06-06 11:34:45',null);
INSERT INTO complaint_statuses VALUES('21224','6340','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-06 11:34:54','2021-06-06 11:34:54',null);
INSERT INTO complaint_statuses VALUES('21225','6338','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-06 11:36:18','2021-06-06 11:36:18',null);
INSERT INTO complaint_statuses VALUES('21226','6495','2',null,'81',null,null,'73','73','2021-06-06 11:37:57','2021-06-06 11:37:57',null);
INSERT INTO complaint_statuses VALUES('21227','6495','4',null,'58',null,null,'81','81','2021-06-06 11:38:31','2021-06-06 11:38:31',null);
INSERT INTO complaint_statuses VALUES('21228','6494','2',null,'81',null,null,'73','73','2021-06-06 11:39:28','2021-06-06 11:39:28',null);
INSERT INTO complaint_statuses VALUES('21229','6494','4',null,'61',null,null,'81','81','2021-06-06 11:39:48','2021-06-06 11:39:48',null);
INSERT INTO complaint_statuses VALUES('21230','6496','2',null,'81',null,null,'73','73','2021-06-06 11:41:39','2021-06-06 11:41:39',null);
INSERT INTO complaint_statuses VALUES('21231','6496','4',null,'61',null,null,'81','81','2021-06-06 11:41:56','2021-06-06 11:41:56',null);
INSERT INTO complaint_statuses VALUES('21232','6437','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 11:57:30','2021-06-06 11:57:30',null);
INSERT INTO complaint_statuses VALUES('21233','6436','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 12:04:03','2021-06-06 12:04:03',null);
INSERT INTO complaint_statuses VALUES('21234','6267','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-06 12:14:43','2021-06-06 12:14:43',null);
INSERT INTO complaint_statuses VALUES('21235','6242','7','12','81','GAS CHARGED + CAPILARY +COMP',null,'87','87','2021-06-06 12:16:02','2021-06-06 12:16:02',null);
INSERT INTO complaint_statuses VALUES('21236','6497','3',null,'52',null,'6-6-21
COMPLAINT#PKRI-210606104048','73','73','2021-06-06 12:16:41','2021-06-06 13:11:04',null);
INSERT INTO complaint_statuses VALUES('21237','6015','8','23','60','3 days me complete karen',null,'81','81','2021-06-06 12:29:21','2021-06-06 12:29:21',null);
INSERT INTO complaint_statuses VALUES('21238','6418','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 12:29:34','2021-06-06 12:29:34',null);
INSERT INTO complaint_statuses VALUES('21239','6134','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-06-06 12:36:55','2021-06-06 16:42:36',null);
INSERT INTO complaint_statuses VALUES('21240','5370','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-06-06 12:37:38','2021-06-06 16:40:21',null);
INSERT INTO complaint_statuses VALUES('21241','6342','8','23','55','3 din me job complete kar den',null,'81','81','2021-06-06 12:41:15','2021-06-06 12:41:15',null);
INSERT INTO complaint_statuses VALUES('21242','6498','3',null,'53',null,'06-06-2021
COMPLAINT#301134303','73','73','2021-06-06 12:41:18','2021-06-06 15:22:19',null);
INSERT INTO complaint_statuses VALUES('21243','6248','7','12','81','complaint resolved gas and compressor',null,'79','79','2021-06-06 12:42:49','2021-06-06 12:42:49',null);
INSERT INTO complaint_statuses VALUES('21244','6414','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 12:58:00','2021-06-06 12:58:00',null);
INSERT INTO complaint_statuses VALUES('21245','6395','8','23','58','market sy ly len nahe milta to i-10 sy ly len',null,'81','81','2021-06-06 13:03:56','2021-06-06 13:03:56',null);
INSERT INTO complaint_statuses VALUES('21246','6459','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-06-06 13:06:32','2021-06-06 16:33:01',null);
INSERT INTO complaint_statuses VALUES('21247','6410','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 13:07:21','2021-06-06 13:07:21',null);
INSERT INTO complaint_statuses VALUES('21248','6262','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-06-06 13:09:03','2021-06-06 16:34:39',null);
INSERT INTO complaint_statuses VALUES('21249','6248','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-06-06 13:10:10','2021-06-07 13:06:06',null);
INSERT INTO complaint_statuses VALUES('21250','6242','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-06-06 13:10:32','2021-06-07 11:39:20',null);
INSERT INTO complaint_statuses VALUES('21251','6499','2',null,'81',null,null,'73','73','2021-06-06 13:13:21','2021-06-06 13:13:21',null);
INSERT INTO complaint_statuses VALUES('21252','6499','4',null,'55',null,null,'81','81','2021-06-06 13:13:47','2021-06-06 13:13:47',null);
INSERT INTO complaint_statuses VALUES('21253','6407','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 13:21:20','2021-06-06 13:21:20',null);
INSERT INTO complaint_statuses VALUES('21254','6090','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-06 13:21:23','2021-06-06 13:21:23',null);
INSERT INTO complaint_statuses VALUES('21255','4439','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 13:29:28','2021-06-06 13:29:28',null);
INSERT INTO complaint_statuses VALUES('21256','6500','3',null,'72',null,'6-6-21
COMPLAINT#072118060','73','73','2021-06-06 13:33:49','2021-06-06 15:28:04',null);
INSERT INTO complaint_statuses VALUES('21257','6501','3',null,'52',null,'06-06-2021
COMPLAINT#PKRI-210606105438','73','73','2021-06-06 13:35:19','2021-06-06 15:13:26',null);
INSERT INTO complaint_statuses VALUES('21258','6502','3',null,'52',null,'06-06-2021
COMPLAINT#PKRI-210606105408','73','73','2021-06-06 13:47:14','2021-06-06 15:10:17',null);
INSERT INTO complaint_statuses VALUES('21259','6398','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 13:56:32','2021-06-06 13:56:32',null);
INSERT INTO complaint_statuses VALUES('21260','6396','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 13:59:32','2021-06-06 13:59:32',null);
INSERT INTO complaint_statuses VALUES('21261','6392','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 14:06:02','2021-06-06 14:06:02',null);
INSERT INTO complaint_statuses VALUES('21262','6387','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 14:18:22','2021-06-06 14:18:22',null);
INSERT INTO complaint_statuses VALUES('21263','6381','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 14:41:11','2021-06-06 14:41:11',null);
INSERT INTO complaint_statuses VALUES('21264','6377','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 14:51:40','2021-06-06 14:51:40',null);
INSERT INTO complaint_statuses VALUES('21265','6374','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 15:00:34','2021-06-06 15:00:34',null);
INSERT INTO complaint_statuses VALUES('21266','6364','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 15:15:10','2021-06-06 15:15:10',null);
INSERT INTO complaint_statuses VALUES('21267','6503','2',null,'81',null,null,'73','73','2021-06-06 15:18:41','2021-06-06 15:18:41',null);
INSERT INTO complaint_statuses VALUES('21268','6503','4',null,'58',null,null,'81','81','2021-06-06 15:21:01','2021-06-06 15:21:01',null);
INSERT INTO complaint_statuses VALUES('21269','6504','2',null,'81',null,null,'73','73','2021-06-06 15:22:52','2021-06-06 15:22:52',null);
INSERT INTO complaint_statuses VALUES('21270','6504','4',null,'58',null,null,'81','81','2021-06-06 15:23:18','2021-06-06 15:23:18',null);
INSERT INTO complaint_statuses VALUES('21271','6345','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 15:25:20','2021-06-06 15:25:20',null);
INSERT INTO complaint_statuses VALUES('21272','6505','2',null,'81',null,null,'73','73','2021-06-06 15:29:17','2021-06-06 15:29:17',null);
INSERT INTO complaint_statuses VALUES('21273','6505','4',null,'60',null,null,'81','81','2021-06-06 15:29:43','2021-06-06 15:29:43',null);
INSERT INTO complaint_statuses VALUES('21274','6343','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 15:30:49','2021-06-06 15:30:49',null);
INSERT INTO complaint_statuses VALUES('21275','6369','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-06 15:35:56','2021-06-06 15:35:56',null);
INSERT INTO complaint_statuses VALUES('21276','6331','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 15:39:03','2021-06-06 15:39:03',null);
INSERT INTO complaint_statuses VALUES('21277','6481','7','12','81','ISSUE RESOLVED , FAN MOTOR REPLACED',null,'87','87','2021-06-06 15:43:23','2021-06-06 15:43:23',null);
INSERT INTO complaint_statuses VALUES('21278','6321','5',null,null,'COMPLAINT COMPLETED','07-06-2021
COMPLAINT#301135048','92','73','2021-06-06 15:45:45','2021-06-07 17:20:54',null);
INSERT INTO complaint_statuses VALUES('21279','6315','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 15:48:53','2021-06-06 15:48:53',null);
INSERT INTO complaint_statuses VALUES('21280','5722','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-06 15:50:20','2021-06-06 15:50:20',null);
INSERT INTO complaint_statuses VALUES('21281','6311','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 15:54:50','2021-06-06 15:54:50',null);
INSERT INTO complaint_statuses VALUES('21282','6308','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 16:04:59','2021-06-06 16:04:59',null);
INSERT INTO complaint_statuses VALUES('21283','6130','7','12','81','cusotemr abhi nahi kerwaye gain bat hui hai',null,'79','79','2021-06-06 16:07:58','2021-06-06 16:07:58',null);
INSERT INTO complaint_statuses VALUES('21284','6506','3',null,'53',null,'6-6-2021
COMPLAINT#301134325','73','73','2021-06-06 16:10:33','2021-06-06 16:48:24',null);
INSERT INTO complaint_statuses VALUES('21285','6007','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-06 16:14:57','2021-06-06 16:14:57',null);
INSERT INTO complaint_statuses VALUES('21286','6310','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 16:18:15','2021-06-06 16:18:15',null);
INSERT INTO complaint_statuses VALUES('21287','6284','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 16:22:26','2021-06-06 16:22:26',null);
INSERT INTO complaint_statuses VALUES('21288','6507','3',null,'65',null,'07-06-2021
COMPLAINT# 192123349','73','73','2021-06-06 16:24:59','2021-06-07 11:23:26',null);
INSERT INTO complaint_statuses VALUES('21289','6508','3',null,'53',null,'6-6-2021
COMPLAINT#301134326','73','73','2021-06-06 16:35:58','2021-06-06 16:50:44',null);
INSERT INTO complaint_statuses VALUES('21290','6283','7','12','81','adil ny call ki thi cusotemr ny kha k call kr ky batau ga .aj call pick nahi kr rehy',null,'79','79','2021-06-06 16:41:20','2021-06-06 16:41:20',null);
INSERT INTO complaint_statuses VALUES('21291','6399','7','12','81','Custmer satysfde  nhi ho raha ac bilkul theek hy',null,'82','82','2021-06-06 16:42:38','2021-06-06 16:42:38',null);
INSERT INTO complaint_statuses VALUES('21292','6341','7','12','81','Frig custmer ky ghar phonch gai hy',null,'82','82','2021-06-06 16:43:36','2021-06-06 16:43:36',null);
INSERT INTO complaint_statuses VALUES('21293','6207','7','12','81','Frig okay hy menual defrost hona tha',null,'82','82','2021-06-06 16:44:24','2021-06-06 16:44:24',null);
INSERT INTO complaint_statuses VALUES('21294','6397','7','24','81','Parso 9 bajy jana hy',null,'82','82','2021-06-06 16:47:15','2021-06-06 16:47:15',null);
INSERT INTO complaint_statuses VALUES('21295','6509','3',null,'53',null,'07-06-2021
COMPLAINT#301134505','73','73','2021-06-06 17:00:11','2021-06-07 11:15:14',null);
INSERT INTO complaint_statuses VALUES('21296','6481','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-06 17:06:09','2021-06-06 17:06:51',null);
INSERT INTO complaint_statuses VALUES('21297','6485','7','12','81','DRAIN PIPE BLOCKEGE CLEAR UNIT OK',null,'83','83','2021-06-06 17:15:50','2021-06-06 17:15:50',null);
INSERT INTO complaint_statuses VALUES('21298','6375','7','12','81','THE CUSTOMER STILL NOT PROVIDE THE WARRANTY CARD',null,'83','83','2021-06-06 17:17:38','2021-06-06 17:17:38',null);
INSERT INTO complaint_statuses VALUES('21299','6306','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-06 17:26:31','2021-06-06 17:26:31',null);
INSERT INTO complaint_statuses VALUES('21300','6078','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-06 17:51:43','2021-06-06 17:51:43',null);
INSERT INTO complaint_statuses VALUES('21301','6017','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-06 18:02:23','2021-06-06 18:02:23',null);
INSERT INTO complaint_statuses VALUES('21302','6316','7','12','81',null,null,'87','87','2021-06-06 18:23:50','2021-06-06 18:23:50',null);
INSERT INTO complaint_statuses VALUES('21303','6317','7','12','81','abhi is ko closed kr dein customer bol kuch din tk ly aon ga',null,'79','79','2021-06-06 18:26:34','2021-06-06 18:26:34',null);
INSERT INTO complaint_statuses VALUES('21304','6510','2',null,'81',null,null,'73','73','2021-06-07 10:40:31','2021-06-07 10:40:31',null);
INSERT INTO complaint_statuses VALUES('21305','6510','4',null,'58',null,null,'81','81','2021-06-07 10:41:06','2021-06-07 10:41:06',null);
INSERT INTO complaint_statuses VALUES('21306','6511','2',null,'81',null,null,'73','73','2021-06-07 10:44:36','2021-06-07 10:44:36',null);
INSERT INTO complaint_statuses VALUES('21307','6511','4',null,'63',null,null,'81','81','2021-06-07 10:45:01','2021-06-07 10:45:01',null);
INSERT INTO complaint_statuses VALUES('21308','6512','3',null,'52',null,'07-06-2021
COMPLAINT#PKRI-210606105203','73','73','2021-06-07 10:47:58','2021-06-07 11:46:02',null);
INSERT INTO complaint_statuses VALUES('21309','6513','3',null,'73',null,'07-06-2021
COMPLAINT#4716','73','73','2021-06-07 10:57:20','2021-06-07 12:01:44',null);
INSERT INTO complaint_statuses VALUES('21310','6375','5','15',null,'CUSTOMER SA CONFIRM KAR K COMPLAINT COMPLETED KI','COMPLAINT RESOLVED','81','92','2021-06-07 11:03:01','2021-06-07 11:16:05',null);
INSERT INTO complaint_statuses VALUES('21311','6485','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-07 11:04:48','2021-06-07 11:14:04',null);
INSERT INTO complaint_statuses VALUES('21312','6399','5','15',null,'DONO NO PA CUSTOMER SA BBT HOI HAIN CUSTOMER BOL RAHAY HAIN K HUM NA KOI COMPLAINT NAI KARWAI SO COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-06-07 11:08:28','2021-06-07 16:41:25',null);
INSERT INTO complaint_statuses VALUES('21313','6362','5','15',null,'CUSTOMER KO COMPRESSOR DA DIA HAIN NEW 
COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-06-07 11:09:53','2021-06-07 11:16:44',null);
INSERT INTO complaint_statuses VALUES('21314','6341','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-07 11:11:21','2021-06-07 11:17:35',null);
INSERT INTO complaint_statuses VALUES('21315','6317','5','15',null,'CUSTOMER NA KHUD S/C LA K AANA HAIN CLOOR CUSTOMER SIDE SA DELAY COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-07 11:13:06','2021-06-07 11:20:02',null);
INSERT INTO complaint_statuses VALUES('21316','6502','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 11:13:13','2021-06-07 11:13:13',null);
INSERT INTO complaint_statuses VALUES('21317','6316','5','15',null,'CUSTOMER STILL NOT ATTENDING MY CALL SO COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-06-07 11:17:07','2021-06-07 11:20:56',null);
INSERT INTO complaint_statuses VALUES('21318','6514','3',null,'52',null,'07-06-2021
COMPLAINT#PKRI-21060710588','73','73','2021-06-07 11:18:59','2021-06-07 11:42:35',null);
INSERT INTO complaint_statuses VALUES('21319','6283','5','15',null,'CUSTOMER SA BAT HOI HAIN WO BOL RAHAY HAIN K ISSUE RESOLVED HO GAY HAIN','COMPLAINT RESOLVED','81','92','2021-06-07 11:19:15','2021-06-07 11:34:36',null);
INSERT INTO complaint_statuses VALUES('21320','6515','3',null,'55',null,'07-06-2021
COMPLAINT#RWP-
777205','73','73','2021-06-07 11:21:51','2021-06-07 11:53:53',null);
INSERT INTO complaint_statuses VALUES('21321','6516','2',null,'81',null,null,'73','73','2021-06-07 11:23:32','2021-06-07 11:23:32',null);
INSERT INTO complaint_statuses VALUES('21322','6516','4',null,'58',null,null,'81','81','2021-06-07 11:24:28','2021-06-07 11:24:28',null);
INSERT INTO complaint_statuses VALUES('21323','6207','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-07 11:26:04','2021-06-07 11:38:48',null);
INSERT INTO complaint_statuses VALUES('21324','6130','5','15',null,'CUSTOMER NA EXP KI WAJA SA COMPLAINT CLOSED KARWA DI LOCAL MARKET SA OK KARWAY GAY','COMPLAINT RESOLVED','81','92','2021-06-07 11:27:48','2021-06-07 11:38:10',null);
INSERT INTO complaint_statuses VALUES('21325','6517','3',null,'66',null,'07-06-2021
COMPLAINT#PK-060720210064','73','73','2021-06-07 11:27:51','2021-06-07 12:07:08',null);
INSERT INTO complaint_statuses VALUES('21326','3822','7','26','81',null,null,'82','82','2021-06-07 11:28:00','2021-06-07 11:28:00',null);
INSERT INTO complaint_statuses VALUES('21327','4526','7','12','81','main board n/a please collect kr lyn',null,'80','80','2021-06-07 11:29:49','2021-06-07 11:29:49',null);
INSERT INTO complaint_statuses VALUES('21328','3822','5','15',null,'ABDUL REHMAN SA CONFIRM KAR K COMPLAINT COMPLETED HOI','COMPLAINT RESOLVED','81','92','2021-06-07 11:30:35','2021-06-07 13:12:07',null);
INSERT INTO complaint_statuses VALUES('21329','6518','3',null,'54',null,'07-06-2021
COMPLAINT#1892813','73','73','2021-06-07 11:31:59','2021-06-07 12:18:32',null);
INSERT INTO complaint_statuses VALUES('21330','6519','2',null,'81',null,null,'73','73','2021-06-07 11:35:10','2021-06-07 11:35:10',null);
INSERT INTO complaint_statuses VALUES('21331','6519','4',null,'58',null,null,'81','81','2021-06-07 11:35:44','2021-06-07 11:35:44',null);
INSERT INTO complaint_statuses VALUES('21332','6477','7','12','81','Tharmokapal kharb the ok',null,'88','88','2021-06-07 11:39:45','2021-06-07 11:39:45',null);
INSERT INTO complaint_statuses VALUES('21333','6520','3',null,'52',null,'07-06-2021
COMPLAINT#PKRI-210607108100','73','73','2021-06-07 11:42:15','2021-06-07 13:19:36',null);
INSERT INTO complaint_statuses VALUES('21334','6366','7','9','81','custoerm k pas invice nahi hai',null,'79','79','2021-06-07 11:43:37','2021-06-07 11:43:37',null);
INSERT INTO complaint_statuses VALUES('21335','6521','3',null,'65',null,'07-06-2021
COMPLAINT#192123371','73','73','2021-06-07 11:44:29','2021-06-07 12:59:19',null);
INSERT INTO complaint_statuses VALUES('21336','5402','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-07 11:46:35','2021-06-07 11:46:35',null);
INSERT INTO complaint_statuses VALUES('21337','6477','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-07 11:48:06','2021-06-07 11:50:49',null);
INSERT INTO complaint_statuses VALUES('21338','6522','3',null,'67',null,'FRWRD TO ANWER CARAVELL','73','73','2021-06-07 11:50:07','2021-06-07 11:50:07',null);
INSERT INTO complaint_statuses VALUES('21339','5390','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-07 11:54:13','2021-06-07 11:54:13',null);
INSERT INTO complaint_statuses VALUES('21340','6523','2',null,'81',null,null,'73','73','2021-06-07 11:55:04','2021-06-07 11:55:04',null);
INSERT INTO complaint_statuses VALUES('21341','6523','4',null,'55',null,null,'81','81','2021-06-07 11:55:31','2021-06-07 11:55:31',null);
INSERT INTO complaint_statuses VALUES('21342','6524','2',null,'81',null,null,'73','73','2021-06-07 11:59:07','2021-06-07 11:59:07',null);
INSERT INTO complaint_statuses VALUES('21343','6273','7','12','81','GAS CHARGED + COMP+CAPILLARY',null,'87','87','2021-06-07 11:59:11','2021-06-07 11:59:11',null);
INSERT INTO complaint_statuses VALUES('21344','6524','4',null,'58',null,null,'81','81','2021-06-07 11:59:35','2021-06-07 11:59:35',null);
INSERT INTO complaint_statuses VALUES('21345','5421','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-07 12:00:42','2021-06-07 12:00:42',null);
INSERT INTO complaint_statuses VALUES('21346','6525','3',null,'85',null,'07-06-2021
COMPLAINT#301134665','73','73','2021-06-07 12:20:31','2021-06-07 12:45:38',null);
INSERT INTO complaint_statuses VALUES('21347','6493','7','24','81','please send unit to service centet',null,'77','77','2021-06-07 12:21:08','2021-06-07 12:21:08',null);
INSERT INTO complaint_statuses VALUES('21348','6476','7','9','81','wifi card faulty...customer approved...soon will be ok',null,'77','77','2021-06-07 12:24:23','2021-06-07 12:24:23',null);
INSERT INTO complaint_statuses VALUES('21349','6473','7','24','81','send unit to service center',null,'77','77','2021-06-07 12:24:52','2021-06-07 12:24:52',null);
INSERT INTO complaint_statuses VALUES('21350','3904','7','12','81','no action close the job....old case',null,'77','77','2021-06-07 12:25:20','2021-06-07 12:25:20',null);
INSERT INTO complaint_statuses VALUES('21351','4568','7','12','81','closed the job pls',null,'77','77','2021-06-07 12:26:05','2021-06-07 12:26:05',null);
INSERT INTO complaint_statuses VALUES('21352','5224','7','24','81','send to service center',null,'77','77','2021-06-07 12:26:38','2021-06-07 12:26:38',null);
INSERT INTO complaint_statuses VALUES('21353','5734','5','15',null,'OVEN READY KAR K BEHIRA SHOWROOM PA DILVER KARWA DIA RIZWAN SAB NA CUSTOMER KO B INFORMED KAR DAI AJ CUSTOMER PICK KAR LAY GAY','COMPLAINT RESOLVED','81','92','2021-06-07 12:27:07','2021-06-07 13:10:02',null);
INSERT INTO complaint_statuses VALUES('21354','6526','3',null,'53',null,'07-06-2021
COMPLAINT#301134661','73','73','2021-06-07 12:27:33','2021-06-07 12:42:49',null);
INSERT INTO complaint_statuses VALUES('21355','6292','7','9','81','pls send its back cover to service center',null,'77','77','2021-06-07 12:28:43','2021-06-07 12:28:43',null);
INSERT INTO complaint_statuses VALUES('21356','6476','8','23','56','CUSTOMER KO CARD KA EXP CONFIRM KAR DAY',null,'81','81','2021-06-07 12:30:32','2021-06-07 12:30:32',null);
INSERT INTO complaint_statuses VALUES('21357','6273','5','15',null,'CUSTOMER KO CALL KAR DI HAIN FREEZER AJ DILVER HO J AY GA COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-06-07 12:32:25','2021-06-07 13:02:49',null);
INSERT INTO complaint_statuses VALUES('21358','6527','2',null,'81',null,null,'73','73','2021-06-07 12:33:08','2021-06-07 12:33:08',null);
INSERT INTO complaint_statuses VALUES('21359','6527','4',null,'55',null,null,'81','81','2021-06-07 12:33:33','2021-06-07 12:33:33',null);
INSERT INTO complaint_statuses VALUES('21360','6292','8','23','56','AP PART LAGA K COMPLAINT OK KARAY BACK COVER KI BAT NAEEM SAB SA KAR LAY',null,'81','81','2021-06-07 12:34:56','2021-06-07 12:34:56',null);
INSERT INTO complaint_statuses VALUES('21361','4568','5','15',null,'CUSTOMER SIDE SA DELAY COMPLAINT COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-06-07 12:40:51','2021-06-07 13:11:24',null);
INSERT INTO complaint_statuses VALUES('21362','3904','5','15',null,'CUSTOMER STILL NOT ATTENDING MAY CALL KHALID SAB SA CONFIRM KAR K JOB CLOSE KI','COMPLAINT RESOLVED','81','92','2021-06-07 12:43:04','2021-06-07 13:10:36',null);
INSERT INTO complaint_statuses VALUES('21363','6528','2',null,'81',null,null,'73','73','2021-06-07 12:45:35','2021-06-07 12:45:35',null);
INSERT INTO complaint_statuses VALUES('21364','5725','8','23','55','LG MAIN OVEN READY HO GAYA HAIN .
HEAT GUN REPLACE.
EXP 9000.
KINDLY OVEN LG SA S/C SA PICK KARWA LAY',null,'81','81','2021-06-07 12:55:58','2021-06-07 12:55:58',null);
INSERT INTO complaint_statuses VALUES('21365','6529','2',null,'81',null,null,'73','73','2021-06-07 12:57:39','2021-06-07 12:57:39',null);
INSERT INTO complaint_statuses VALUES('21366','6529','4',null,'58',null,null,'81','81','2021-06-07 12:58:27','2021-06-07 12:58:27',null);
INSERT INTO complaint_statuses VALUES('21367','6530','3',null,'52',null,'07-06-2021
COMPLAINT#PKRI-210607108177','73','73','2021-06-07 13:03:06','2021-06-07 13:22:23',null);
INSERT INTO complaint_statuses VALUES('21368','6531','3',null,'56',null,'07-06-2021
COMPLAINT#S07/018','73','73','2021-06-07 13:06:06','2021-06-07 13:33:38',null);
INSERT INTO complaint_statuses VALUES('21369','5488','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-06-07 13:10:56','2021-06-07 13:10:56',null);
INSERT INTO complaint_statuses VALUES('21370','6532','2',null,'81',null,null,'73','73','2021-06-07 13:14:47','2021-06-07 13:14:47',null);
INSERT INTO complaint_statuses VALUES('21371','6532','4',null,'55',null,null,'81','81','2021-06-07 13:15:11','2021-06-07 13:15:11',null);
INSERT INTO complaint_statuses VALUES('21372','6533','3',null,'85',null,'07-06-2021
COMPLAINT#301134902','73','73','2021-06-07 13:19:05','2021-06-07 15:44:52',null);
INSERT INTO complaint_statuses VALUES('21373','6534','3',null,'53',null,'07-06-2021
COMPLAINT#301134893','73','73','2021-06-07 13:21:52','2021-06-07 15:40:40',null);
INSERT INTO complaint_statuses VALUES('21374','6535','3',null,'53',null,'07-06-2021
COMPLAINT#301134910','73','73','2021-06-07 13:26:59','2021-06-07 15:45:22',null);
INSERT INTO complaint_statuses VALUES('21375','6536','3',null,'57',null,'08-06-2021
COMPLAINT#18806','73','73','2021-06-07 13:34:42','2021-06-08 10:15:21',null);
INSERT INTO complaint_statuses VALUES('21376','6537','2',null,'81',null,null,'73','73','2021-06-07 13:37:13','2021-06-07 13:37:13',null);
INSERT INTO complaint_statuses VALUES('21377','6537','4',null,'55',null,null,'81','81','2021-06-07 13:37:47','2021-06-07 13:37:47',null);
INSERT INTO complaint_statuses VALUES('21378','6376','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-06-07 13:45:36','2021-06-07 13:45:36',null);
INSERT INTO complaint_statuses VALUES('21379','6287','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 13:50:29','2021-06-07 13:50:29',null);
INSERT INTO complaint_statuses VALUES('21380','5548','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-07 13:50:36','2021-06-07 13:50:36',null);
INSERT INTO complaint_statuses VALUES('21381','6417','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-07 13:51:37','2021-06-07 13:51:37',null);
INSERT INTO complaint_statuses VALUES('21382','6538','3',null,'54',null,'07-06-2021
COMPLAINT#1893356','73','73','2021-06-07 13:53:50','2021-06-07 15:57:45',null);
INSERT INTO complaint_statuses VALUES('21383','6539','3',null,'53',null,'07-06-2021
COMPLAINT#301149834','73','74','2021-06-07 13:55:49','2021-06-18 17:58:42',null);
INSERT INTO complaint_statuses VALUES('21384','6540','3',null,'97',null,'FRWRD TO MUBASHIR VARIOLINE','73','73','2021-06-07 13:57:20','2021-06-08 15:12:37',null);
INSERT INTO complaint_statuses VALUES('21385','5600','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-06-07 13:58:42','2021-06-07 13:58:42',null);
INSERT INTO complaint_statuses VALUES('21386','6541','2',null,'81',null,null,'73','73','2021-06-07 14:03:06','2021-06-07 14:03:06',null);
INSERT INTO complaint_statuses VALUES('21387','6326','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-07 14:08:18','2021-06-07 14:08:18',null);
INSERT INTO complaint_statuses VALUES('21388','6542','2',null,'81',null,null,'73','73','2021-06-07 14:08:47','2021-06-07 14:08:47',null);
INSERT INTO complaint_statuses VALUES('21389','6541','4',null,'61',null,null,'81','81','2021-06-07 14:09:28','2021-06-07 14:09:28',null);
INSERT INTO complaint_statuses VALUES('21390','6542','4',null,'63',null,null,'81','81','2021-06-07 14:10:14','2021-06-07 14:10:14',null);
INSERT INTO complaint_statuses VALUES('21391','5610','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-07 14:13:02','2021-06-07 14:13:02',null);
INSERT INTO complaint_statuses VALUES('21392','5618','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-07 14:15:16','2021-06-07 14:15:16',null);
INSERT INTO complaint_statuses VALUES('21393','6295','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 14:15:52','2021-06-07 14:15:52',null);
INSERT INTO complaint_statuses VALUES('21394','6153','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 14:20:00','2021-06-07 14:20:00',null);
INSERT INTO complaint_statuses VALUES('21395','5628','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-07 14:20:02','2021-06-07 14:20:02',null);
INSERT INTO complaint_statuses VALUES('21396','6543','3',null,'53',null,'07-06-2021
COMPLAINT#301134988','73','73','2021-06-07 14:20:37','2021-06-07 16:23:54',null);
INSERT INTO complaint_statuses VALUES('21397','6544','3',null,'53',null,'07-06-2021
COMPLAINT#301135007','73','73','2021-06-07 14:22:48','2021-06-07 16:35:45',null);
INSERT INTO complaint_statuses VALUES('21398','6545','3',null,'52',null,'07-06-2021
COMPLAINT#PKRI-210607113511','73','73','2021-06-07 14:27:06','2021-06-07 16:58:40',null);
INSERT INTO complaint_statuses VALUES('21399','6156','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 14:28:57','2021-06-07 14:28:57',null);
INSERT INTO complaint_statuses VALUES('21400','6157','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 14:32:41','2021-06-07 14:32:41',null);
INSERT INTO complaint_statuses VALUES('21401','6189','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 14:37:39','2021-06-07 14:37:39',null);
INSERT INTO complaint_statuses VALUES('21402','6546','3',null,'55',null,'07-06-2021
COMPLAINT#ISB-12633','73','73','2021-06-07 14:38:03','2021-06-07 17:28:10',null);
INSERT INTO complaint_statuses VALUES('21403','6547','2',null,'81',null,null,'73','73','2021-06-07 14:45:05','2021-06-07 14:45:05',null);
INSERT INTO complaint_statuses VALUES('21404','6547','4',null,'58',null,null,'81','81','2021-06-07 14:48:18','2021-06-07 14:48:18',null);
INSERT INTO complaint_statuses VALUES('21405','6548','3',null,'53',null,'07-06-2021
COMPLAINT#301135050','73','73','2021-06-07 14:54:07','2021-06-07 17:21:37',null);
INSERT INTO complaint_statuses VALUES('21406','6549','3',null,'52',null,null,'73','73','2021-06-07 14:57:04','2021-06-07 14:57:04',null);
INSERT INTO complaint_statuses VALUES('21407','5701','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-07 15:02:37','2021-06-07 15:02:37',null);
INSERT INTO complaint_statuses VALUES('21408','6550','3',null,'52',null,'ALREADY COSTUMER NE HAIER MEIN COMPLAINT LAUNCH KARWAI HOI HA. . HAMARI TRF SE LAUNCH NAHI HOI','73','73','2021-06-07 15:04:47','2021-06-07 15:04:47',null);
INSERT INTO complaint_statuses VALUES('21409','5690','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-07 15:09:48','2021-06-07 15:09:48',null);
INSERT INTO complaint_statuses VALUES('21410','6551','3',null,'52',null,'07-06-2021
COMPLAINT#PKRI-210607113571','73','73','2021-06-07 15:10:49','2021-06-07 17:01:39',null);
INSERT INTO complaint_statuses VALUES('21411','5649','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-07 15:13:32','2021-06-07 15:13:32',null);
INSERT INTO complaint_statuses VALUES('21412','6552','2',null,'81',null,'16-FEB-2021
COM FF TO SHAMMIM AKHTER','74','74','2021-06-07 15:14:32','2021-06-07 15:14:32',null);
INSERT INTO complaint_statuses VALUES('21413','6553','3',null,'56',null,'08-06-2021
COMPLAINT# F08/006','73','73','2021-06-07 15:14:50','2021-06-08 10:25:52',null);
INSERT INTO complaint_statuses VALUES('21414','6178','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 15:19:35','2021-06-07 15:19:35',null);
INSERT INTO complaint_statuses VALUES('21415','6549','5',null,null,'replaced hoga',null,'73','73','2021-06-07 15:20:46','2021-06-07 15:20:46',null);
INSERT INTO complaint_statuses VALUES('21416','6160','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 15:23:30','2021-06-07 15:23:30',null);
INSERT INTO complaint_statuses VALUES('21417','6554','3',null,'55',null,'08-06-2021
COMPLAINT# ISB-778063','73','73','2021-06-07 15:27:29','2021-06-08 11:43:19',null);
INSERT INTO complaint_statuses VALUES('21418','6555','2',null,'81',null,null,'73','73','2021-06-07 15:32:32','2021-06-07 15:32:32',null);
INSERT INTO complaint_statuses VALUES('21419','6555','4',null,'58',null,null,'81','81','2021-06-07 15:35:29','2021-06-07 15:35:29',null);
INSERT INTO complaint_statuses VALUES('21420','6552','4',null,'55',null,null,'81','81','2021-06-07 15:35:38','2021-06-07 15:35:38',null);
INSERT INTO complaint_statuses VALUES('21421','5018','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 15:36:23','2021-06-07 15:36:23',null);
INSERT INTO complaint_statuses VALUES('21422','6556','3',null,'59',null,'08-06-2021
COMPLAINT# 4246132291','73','73','2021-06-07 15:44:52','2021-06-08 11:53:41',null);
INSERT INTO complaint_statuses VALUES('21423','6170','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 15:54:42','2021-06-07 15:54:42',null);
INSERT INTO complaint_statuses VALUES('21424','5956','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-06-07 16:07:05','2021-06-07 16:07:05',null);
INSERT INTO complaint_statuses VALUES('21425','5894','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-06-07 16:09:06','2021-06-07 16:09:06',null);
INSERT INTO complaint_statuses VALUES('21426','6557','2',null,'81',null,null,'73','73','2021-06-07 16:09:10','2021-06-07 16:09:10',null);
INSERT INTO complaint_statuses VALUES('21427','5682','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-06-07 16:09:35','2021-06-07 16:09:35',null);
INSERT INTO complaint_statuses VALUES('21428','6558','3',null,'52',null,'07-06-2021
COMPLAINT#PKRI-210607113614','73','73','2021-06-07 16:17:37','2021-06-07 17:03:53',null);
INSERT INTO complaint_statuses VALUES('21429','5956','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-07 16:18:30','2021-06-07 16:51:23',null);
INSERT INTO complaint_statuses VALUES('21430','6559','3',null,'52',null,'08-06-2021
COMPLAINT# PKRI-210608103791','73','73','2021-06-07 16:20:01','2021-06-08 10:50:16',null);
INSERT INTO complaint_statuses VALUES('21431','5894','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-07 16:20:04','2021-06-07 16:50:50',null);
INSERT INTO complaint_statuses VALUES('21432','5682','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-07 16:20:50','2021-06-07 16:49:14',null);
INSERT INTO complaint_statuses VALUES('21433','6175','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 16:21:43','2021-06-07 16:21:43',null);
INSERT INTO complaint_statuses VALUES('21434','6560','3',null,'52',null,'08-06-2021
COMPLAINT# PKRI210608103833','73','73','2021-06-07 16:29:26','2021-06-08 10:55:58',null);
INSERT INTO complaint_statuses VALUES('21435','6561','3',null,'54',null,'07-06-2021
COMPLAINT#1893438','73','73','2021-06-07 16:36:48','2021-06-07 17:43:27',null);
INSERT INTO complaint_statuses VALUES('21436','6562','2',null,'81',null,null,'73','73','2021-06-07 16:47:06','2021-06-07 16:47:06',null);
INSERT INTO complaint_statuses VALUES('21437','6563','3',null,'65',null,'COMPLAINT#192123364','73','73','2021-06-07 17:07:15','2021-06-07 17:07:15',null);
INSERT INTO complaint_statuses VALUES('21438','6564','2',null,'81',null,null,'73','73','2021-06-07 17:12:29','2021-06-07 17:12:29',null);
INSERT INTO complaint_statuses VALUES('21439','6564','4',null,'61',null,null,'81','81','2021-06-07 17:13:08','2021-06-07 17:13:08',null);
INSERT INTO complaint_statuses VALUES('21440','6562','4',null,'55',null,null,'81','81','2021-06-07 17:13:16','2021-06-07 17:13:16',null);
INSERT INTO complaint_statuses VALUES('21441','6557','4',null,'58',null,null,'81','81','2021-06-07 17:13:24','2021-06-07 17:13:24',null);
INSERT INTO complaint_statuses VALUES('21442','6327','7','12','81','Inlet Valve Repalced.',null,'76','76','2021-06-07 17:14:49','2021-06-07 17:14:49',null);
INSERT INTO complaint_statuses VALUES('21443','6285','7','12','81','Service and Drain Cap Replaced.',null,'76','76','2021-06-07 17:15:28','2021-06-07 17:15:28',null);
INSERT INTO complaint_statuses VALUES('21444','6565','2',null,'81',null,null,'73','73','2021-06-07 17:16:14','2021-06-07 17:16:14',null);
INSERT INTO complaint_statuses VALUES('21445','6565','4',null,'60',null,null,'81','81','2021-06-07 17:17:12','2021-06-07 17:17:12',null);
INSERT INTO complaint_statuses VALUES('21446','6566','3',null,'73',null,'08-06-2021
COMPLAINT# 4729','73','73','2021-06-07 17:18:48','2021-06-08 11:05:15',null);
INSERT INTO complaint_statuses VALUES('21447','6413','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 17:20:17','2021-06-07 17:20:17',null);
INSERT INTO complaint_statuses VALUES('21448','6567','3',null,'52',null,'08-06-2021
COMPLAINT# PKRI-210608103897','73','73','2021-06-07 17:21:29','2021-06-08 10:56:00',null);
INSERT INTO complaint_statuses VALUES('21449','6469','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 17:22:17','2021-06-07 17:22:17',null);
INSERT INTO complaint_statuses VALUES('21450','6568','3',null,'53',null,'08-06-2021
COMPLAINT# 1135259','73','73','2021-06-07 17:28:31','2021-06-08 11:21:53',null);
INSERT INTO complaint_statuses VALUES('21451','5428','7','12','81','Plz close job',null,'83','83','2021-06-07 17:38:01','2021-06-07 17:38:01',null);
INSERT INTO complaint_statuses VALUES('21452','6342','7','12','81','Drain Heater Replaced.',null,'76','76','2021-06-07 17:39:14','2021-06-07 17:39:14',null);
INSERT INTO complaint_statuses VALUES('21453','6454','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 17:39:16','2021-06-07 17:39:16',null);
INSERT INTO complaint_statuses VALUES('21454','6569','3',null,'54',null,'08-06-2021
COMPLAINT# 1894425','73','73','2021-06-07 17:40:13','2021-06-08 12:03:32',null);
INSERT INTO complaint_statuses VALUES('21455','6510','7','24','81','sensor issue ye compliant adil dekh rehy',null,'79','79','2021-06-07 17:40:17','2021-06-07 17:40:17',null);
INSERT INTO complaint_statuses VALUES('21456','6570','3',null,'56',null,null,'73','73','2021-06-07 17:42:56','2021-06-07 17:42:56',null);
INSERT INTO complaint_statuses VALUES('21457','6421','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 17:44:22','2021-06-07 17:44:22',null);
INSERT INTO complaint_statuses VALUES('21458','6571','2',null,'81',null,null,'73','73','2021-06-07 17:45:32','2021-06-07 17:45:32',null);
INSERT INTO complaint_statuses VALUES('21459','6571','4',null,'61',null,null,'81','81','2021-06-07 17:46:06','2021-06-07 17:46:06',null);
INSERT INTO complaint_statuses VALUES('21460','6572','3',null,'65',null,'08-07-2021
COMPLAINT#192123448
REOPEN COM NO 192125178','73','92','2021-06-07 17:50:32','2021-07-01 17:19:47',null);
INSERT INTO complaint_statuses VALUES('21461','6573','3',null,'96',null,'FORWARD TO JABBAR HACWELL','73','73','2021-06-07 17:54:40','2021-06-07 17:54:40',null);
INSERT INTO complaint_statuses VALUES('21462','6574','3',null,'53',null,'08-06-2021
COMPLAINT# 1135265','73','73','2021-06-07 18:01:09','2021-06-08 11:29:22',null);
INSERT INTO complaint_statuses VALUES('21463','6409','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 18:01:35','2021-06-07 18:01:35',null);
INSERT INTO complaint_statuses VALUES('21464','6379','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 18:06:32','2021-06-07 18:06:32',null);
INSERT INTO complaint_statuses VALUES('21465','6372','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 18:08:54','2021-06-07 18:08:54',null);
INSERT INTO complaint_statuses VALUES('21466','6286','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-07 18:12:57','2021-06-07 18:12:57',null);
INSERT INTO complaint_statuses VALUES('21467','6435','7','12','81','Auto kharb the ok',null,'88','88','2021-06-08 09:38:44','2021-06-08 09:38:44',null);
INSERT INTO complaint_statuses VALUES('21468','6511','7','22','81','2 barnar kharb hy',null,'88','88','2021-06-08 09:39:23','2021-06-08 09:39:23',null);
INSERT INTO complaint_statuses VALUES('21469','6182','7','22','81','is ka hood issue hai,smoke suck nahi  kr raha.',null,'79','79','2021-06-08 10:21:28','2021-06-08 10:21:28',null);
INSERT INTO complaint_statuses VALUES('21470','6224','7','12','81','gas and compressor ,complaint resolved',null,'79','79','2021-06-08 10:25:18','2021-06-08 10:25:18',null);
INSERT INTO complaint_statuses VALUES('21471','6453','7','12','81','compliant reoslved ,,insalltion ka koi issue nhai hai.or ac bhi theek kam kr raha hia',null,'79','79','2021-06-08 10:27:22','2021-06-08 10:27:22',null);
INSERT INTO complaint_statuses VALUES('21472','6575','2',null,'81',null,'ADIL','73','73','2021-06-08 10:39:47','2021-06-08 10:39:47',null);
INSERT INTO complaint_statuses VALUES('21473','6575','4',null,'62',null,null,'81','81','2021-06-08 10:40:16','2021-06-08 10:40:16',null);
INSERT INTO complaint_statuses VALUES('21474','6576','2',null,'81',null,null,'73','73','2021-06-08 10:43:56','2021-06-08 10:43:56',null);
INSERT INTO complaint_statuses VALUES('21475','6576','4',null,'60',null,null,'81','81','2021-06-08 10:44:40','2021-06-08 10:44:40',null);
INSERT INTO complaint_statuses VALUES('21476','6577','3',null,'52',null,'08-07-2021
COMPLAINT#PKRI-210608107344','73','73','2021-06-08 10:49:27','2021-06-08 12:42:30',null);
INSERT INTO complaint_statuses VALUES('21477','6578','2',null,'81',null,null,'73','73','2021-06-08 11:04:17','2021-06-08 11:04:17',null);
INSERT INTO complaint_statuses VALUES('21478','6578','4',null,'56',null,null,'81','81','2021-06-08 11:04:51','2021-06-08 11:04:51',null);
INSERT INTO complaint_statuses VALUES('21479','6505','7','12','81','Out door unit cover tha',null,'82','82','2021-06-08 11:13:10','2021-06-08 11:13:10',null);
INSERT INTO complaint_statuses VALUES('21480','6579','2',null,'81',null,null,'73','73','2021-06-08 11:17:04','2021-06-08 11:17:04',null);
INSERT INTO complaint_statuses VALUES('21481','6579','4',null,'62',null,null,'81','81','2021-06-08 11:17:32','2021-06-08 11:17:32',null);
INSERT INTO complaint_statuses VALUES('21482','6580','3',null,'54',null,'08-06-2021
COMPLAINT#184657','73','73','2021-06-08 11:24:12','2021-06-08 13:16:38',null);
INSERT INTO complaint_statuses VALUES('21483','6342','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-08 11:33:50','2021-06-08 12:19:47',null);
INSERT INTO complaint_statuses VALUES('21484','6581','3',null,'52',null,'08-07-2021
COMPLAINT#PKRI-210608107481','73','73','2021-06-08 11:38:21','2021-06-08 12:46:09',null);
INSERT INTO complaint_statuses VALUES('21485','6453','5','15',null,'INSTALLATIONS KO KOI FILT NAI HAIN FIR  B CUSTOMER KI SATISFACTION K LIYA COMPLAINT COMPANY FF KARWA DI HAIN COMPLAINT CLOSED','COMPLAINT RESOLVED','81','74','2021-06-08 11:42:04','2021-06-08 11:55:28',null);
INSERT INTO complaint_statuses VALUES('21486','6582','3',null,'52',null,'08-07-2021
COMPLAINT#PKRI-210608107548','73','73','2021-06-08 11:42:18','2021-06-08 12:48:31',null);
INSERT INTO complaint_statuses VALUES('21487','6583','2',null,'81',null,null,'73','73','2021-06-08 11:44:02','2021-06-08 11:44:02',null);
INSERT INTO complaint_statuses VALUES('21488','6435','5','15',null,'COMPLAINT COMPLETED',null,'81','81','2021-06-08 11:44:50','2021-06-08 11:44:50',null);
INSERT INTO complaint_statuses VALUES('21489','6584','2',null,'81',null,null,'73','73','2021-06-08 11:48:49','2021-06-08 11:48:49',null);
INSERT INTO complaint_statuses VALUES('21490','6327','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-08 11:52:03','2021-06-08 12:21:41',null);
INSERT INTO complaint_statuses VALUES('21491','6585','2',null,'81',null,null,'73','73','2021-06-08 11:53:47','2021-06-08 11:53:47',null);
INSERT INTO complaint_statuses VALUES('21492','6585','4',null,'58',null,null,'81','81','2021-06-08 11:54:23','2021-06-08 11:54:23',null);
INSERT INTO complaint_statuses VALUES('21493','6584','4',null,'63',null,null,'81','81','2021-06-08 11:54:35','2021-06-08 11:54:35',null);
INSERT INTO complaint_statuses VALUES('21494','6583','4',null,'55',null,null,'81','81','2021-06-08 11:54:44','2021-06-08 11:54:44',null);
INSERT INTO complaint_statuses VALUES('21495','6313','7','9','81','please  share purchasing slip....',null,'77','77','2021-06-08 11:57:11','2021-06-08 11:57:11',null);
INSERT INTO complaint_statuses VALUES('21496','6285','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-08 11:59:09','2021-06-08 12:32:13',null);
INSERT INTO complaint_statuses VALUES('21497','6586','3',null,'65',null,'08-07-2021
COMPLAINT#192123447','73','73','2021-06-08 12:00:13','2021-06-08 12:22:30',null);
INSERT INTO complaint_statuses VALUES('21498','6224','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-08 12:02:04','2021-06-08 12:33:30',null);
INSERT INTO complaint_statuses VALUES('21499','6587','3',null,'52',null,'08-07-2021
COMPLAINT#PKRI-210608108825','73','73','2021-06-08 12:02:13','2021-06-08 13:36:43',null);
INSERT INTO complaint_statuses VALUES('21500','6313','8','23','56','INVOICE WHATS APP KAR DI HAIN AP KO',null,'81','81','2021-06-08 12:05:01','2021-06-08 12:05:01',null);
INSERT INTO complaint_statuses VALUES('21501','6588','3',null,'52',null,'08-07-2021
COMPLAINT#PKRI-210608108961','73','73','2021-06-08 12:12:14','2021-06-08 13:31:14',null);
INSERT INTO complaint_statuses VALUES('21502','6589','3',null,'57',null,'08-07-2021
COMPLAINT#18850
2nd TIME COMPLAINT 19359','73','92','2021-06-08 12:15:17','2021-06-20 15:05:59',null);
INSERT INTO complaint_statuses VALUES('21503','6590','3',null,'54',null,'08-07-2021
COMPLAINT#1894608','73','73','2021-06-08 12:20:19','2021-06-08 13:01:27',null);
INSERT INTO complaint_statuses VALUES('21504','6505','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-08 12:20:28','2021-06-08 12:24:31',null);
INSERT INTO complaint_statuses VALUES('21505','6490','7','12','81','filter clean complaint resolved',null,'79','79','2021-06-08 12:26:24','2021-06-08 12:26:24',null);
INSERT INTO complaint_statuses VALUES('21506','6501','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-08 12:27:58','2021-06-08 12:27:58',null);
INSERT INTO complaint_statuses VALUES('21507','6448','7','12','81','complaint resolved  no issue in ref',null,'79','79','2021-06-08 12:28:37','2021-06-08 12:28:37',null);
INSERT INTO complaint_statuses VALUES('21508','6466','7','12','81','flter clean complaint reoslved',null,'79','79','2021-06-08 12:29:18','2021-06-08 12:29:18',null);
INSERT INTO complaint_statuses VALUES('21509','6591','3',null,'52',null,'OTHER£03365181316
08-07-2021
COMPLAINT#PKIRI-210608109046','73','73','2021-06-08 12:33:16','2021-06-08 13:35:48',null);
INSERT INTO complaint_statuses VALUES('21510','6490','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-08 12:36:23','2021-06-08 12:48:51',null);
INSERT INTO complaint_statuses VALUES('21511','6592','3',null,'59',null,'08-07-2021
COMPLAINT#4246142261','73','73','2021-06-08 12:39:08','2021-06-08 14:18:30',null);
INSERT INTO complaint_statuses VALUES('21512','6593','2',null,'81',null,null,'73','73','2021-06-08 12:43:03','2021-06-08 12:43:03',null);
INSERT INTO complaint_statuses VALUES('21513','6594','3',null,'52',null,'08-07-2021
COMPLAINT#PKRI-210608109990','73','73','2021-06-08 12:45:20','2021-06-08 14:22:41',null);
INSERT INTO complaint_statuses VALUES('21514','6595','2',null,'81',null,null,'73','73','2021-06-08 12:48:13','2021-06-08 12:48:13',null);
INSERT INTO complaint_statuses VALUES('21515','6595','4',null,'62',null,null,'81','81','2021-06-08 12:48:45','2021-06-08 12:48:45',null);
INSERT INTO complaint_statuses VALUES('21516','6593','4',null,'63',null,null,'81','81','2021-06-08 12:48:58','2021-06-08 12:48:58',null);
INSERT INTO complaint_statuses VALUES('21517','6466','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-08 12:51:40','2021-06-09 14:45:39',null);
INSERT INTO complaint_statuses VALUES('21518','6596','3',null,'54',null,'08-07-2021
COMPLAINT#1894664','73','73','2021-06-08 12:53:46','2021-06-08 13:18:30',null);
INSERT INTO complaint_statuses VALUES('21519','6448','8','23','58','COOLING KA ISSUE RESOLVED NAI HOA AGAIN VISIT',null,'81','81','2021-06-08 12:54:18','2021-06-08 12:54:18',null);
INSERT INTO complaint_statuses VALUES('21520','6597','3',null,'52',null,'08-07-2021
COMPLAINT#PKRI-210608110051','73','73','2021-06-08 12:58:24','2021-06-08 14:25:36',null);
INSERT INTO complaint_statuses VALUES('21521','6564','7','26','81','plz cordinate with arshad sb for mrm stock unit  claim',null,'83','83','2021-06-08 12:58:35','2021-06-08 12:58:35',null);
INSERT INTO complaint_statuses VALUES('21522','6598','2',null,'81',null,null,'73','73','2021-06-08 13:01:41','2021-06-08 13:01:41',null);
INSERT INTO complaint_statuses VALUES('21523','6598','4',null,'58',null,null,'81','81','2021-06-08 13:02:02','2021-06-08 13:02:02',null);
INSERT INTO complaint_statuses VALUES('21524','6576','7','12','81','Water inlet quile servis',null,'82','82','2021-06-08 13:02:11','2021-06-08 13:02:11',null);
INSERT INTO complaint_statuses VALUES('21525','5919','7','26','81','Tariq bhai ky ghar frezer hy workshop phonchay gy keh dia hy unko',null,'82','82','2021-06-08 13:03:51','2021-06-08 13:03:51',null);
INSERT INTO complaint_statuses VALUES('21526','6599','2',null,'81',null,null,'73','73','2021-06-08 13:07:00','2021-06-08 13:07:00',null);
INSERT INTO complaint_statuses VALUES('21527','6599','4',null,'58',null,null,'81','81','2021-06-08 13:07:24','2021-06-08 13:07:24',null);
INSERT INTO complaint_statuses VALUES('21528','6449','7','12','81','drain blockage clear unit ok .',null,'83','83','2021-06-08 13:12:53','2021-06-08 13:12:53',null);
INSERT INTO complaint_statuses VALUES('21529','6600','3',null,'82',null,'FRWRD TO TAHIR SIEMENS','73','73','2021-06-08 13:13:51','2021-06-08 13:13:51',null);
INSERT INTO complaint_statuses VALUES('21530','6601','3',null,'52',null,'08-07-2021
COMPLAINT# PKRI-210608110232','73','73','2021-06-08 13:18:29','2021-06-08 14:32:33',null);
INSERT INTO complaint_statuses VALUES('21531','6388','7','12','81','Filter Service.',null,'76','76','2021-06-08 13:19:00','2021-06-08 13:19:00',null);
INSERT INTO complaint_statuses VALUES('21532','6296','7','22','81','Compressor Issue, Please Provide the Compressor.',null,'76','76','2021-06-08 13:19:53','2021-06-08 13:19:53',null);
INSERT INTO complaint_statuses VALUES('21533','6602','3',null,'52',null,'08-07-2021
COMPLAINT#PKRI-210608110901','73','73','2021-06-08 13:21:12','2021-06-08 14:56:17',null);
INSERT INTO complaint_statuses VALUES('21534','6069','7','12','81','completed and collected. faulty board and unit send to friends blue area.iqbal....also slip is with Aslam....
unit send by service center.....',null,'77','77','2021-06-08 13:23:34','2021-06-08 13:23:34',null);
INSERT INTO complaint_statuses VALUES('21535','6140','7','12','81','MWO Ready hy, Please collect Krwa lain.',null,'76','76','2021-06-08 13:23:44','2021-06-08 13:23:44',null);
INSERT INTO complaint_statuses VALUES('21536','6603','3',null,'65',null,'08-07-2021
COMPLAINT#192123467','73','73','2021-06-08 13:24:18','2021-06-08 14:03:22',null);
INSERT INTO complaint_statuses VALUES('21537','5428','5','15',null,'COMPLETED COMPLAINT  PAYMENT ANEEQ K PASS HAIN 3000','COMPLAINT RESOLVED','81','92','2021-06-08 13:24:27','2021-06-09 15:42:10',null);
INSERT INTO complaint_statuses VALUES('21538','6576','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-08 13:26:34','2021-06-08 15:29:12',null);
INSERT INTO complaint_statuses VALUES('21539','5099','7','26','81','Ye kehty hy oven frainds py dia hy likin hamy nhi pata inka oven kidhir hy',null,'82','82','2021-06-08 13:30:21','2021-06-08 13:30:21',null);
INSERT INTO complaint_statuses VALUES('21540','5550','7','26','81','Part is not in stock',null,'82','82','2021-06-08 13:31:18','2021-06-08 13:31:18',null);
INSERT INTO complaint_statuses VALUES('21541','6479','7','22','81','Customer Want shelf but model not register in software.',null,'76','76','2021-06-08 13:31:25','2021-06-08 13:31:25',null);
INSERT INTO complaint_statuses VALUES('21542','6229','7','26','81','Custmer masrof hy 3 bar keh chuky hy ly ky aao ga',null,'82','82','2021-06-08 13:32:10','2021-06-08 13:32:10',null);
INSERT INTO complaint_statuses VALUES('21543','6110','7','12','81','Inka oven ready hy unho ny khod pic krna lekin 4 din sy nhi aye inform kea huwa hy',null,'82','82','2021-06-08 13:33:19','2021-06-08 13:33:19',null);
INSERT INTO complaint_statuses VALUES('21544','6015','7','24','81','Unho ny sirf card bheja tha disply ab tcs kea hy',null,'82','82','2021-06-08 13:34:23','2021-06-08 13:34:23',null);
INSERT INTO complaint_statuses VALUES('21545','6604','2',null,'81',null,null,'73','73','2021-06-08 13:35:25','2021-06-08 13:35:25',null);
INSERT INTO complaint_statuses VALUES('21546','6486','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-08 13:36:00','2021-06-08 13:36:00',null);
INSERT INTO complaint_statuses VALUES('21547','6451','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-08 13:53:52','2021-06-08 13:53:52',null);
INSERT INTO complaint_statuses VALUES('21548','6605','3',null,'53',null,'08-07-2021
COMPLAINT#301133570','73','73','2021-06-08 13:54:43','2021-06-08 14:43:06',null);
INSERT INTO complaint_statuses VALUES('21549','6606','2',null,'81',null,null,'73','73','2021-06-08 13:58:45','2021-06-08 13:58:45',null);
INSERT INTO complaint_statuses VALUES('21550','6607','2',null,'81',null,null,'73','73','2021-06-08 14:01:50','2021-06-08 14:01:50',null);
INSERT INTO complaint_statuses VALUES('21551','6607','4',null,'61',null,null,'81','81','2021-06-08 14:02:35','2021-06-08 14:02:35',null);
INSERT INTO complaint_statuses VALUES('21552','6606','4',null,'60',null,null,'81','81','2021-06-08 14:02:45','2021-06-08 14:02:45',null);
INSERT INTO complaint_statuses VALUES('21553','6564','5','15',null,'COMPLAINT FF ARSHAD INFORMED BY ANEEQ',null,'81','81','2021-06-08 14:02:47','2021-06-08 14:02:47',null);
INSERT INTO complaint_statuses VALUES('21554','6604','4',null,'58',null,null,'81','81','2021-06-08 14:02:53','2021-06-08 14:02:53',null);
INSERT INTO complaint_statuses VALUES('21555','5780','7','22','81','PCB',null,'87','87','2021-06-08 14:03:30','2021-06-08 14:03:30',null);
INSERT INTO complaint_statuses VALUES('21556','6608','3',null,'55',null,'08-07-2021
COMPLAINT#ISB-12665','73','73','2021-06-08 14:07:47','2021-06-08 14:48:14',null);
INSERT INTO complaint_statuses VALUES('21557','6449','8','15','61','COMPLETED COMPLAINT',null,'81','81','2021-06-08 14:07:54','2021-06-08 14:07:54',null);
INSERT INTO complaint_statuses VALUES('21558','6609','2',null,'81',null,null,'73','73','2021-06-08 14:22:36','2021-06-08 14:22:36',null);
INSERT INTO complaint_statuses VALUES('21559','6609','4',null,'60',null,null,'81','81','2021-06-08 14:23:05','2021-06-08 14:23:05',null);
INSERT INTO complaint_statuses VALUES('21560','6388','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-08 14:31:39','2021-06-09 14:46:35',null);
INSERT INTO complaint_statuses VALUES('21561','5550','5','15',null,'PARTS STOCK MAIN AVAIL NAI HAIN COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-06-08 14:38:56','2021-06-09 14:48:20',null);
INSERT INTO complaint_statuses VALUES('21562','6610','2',null,'81',null,null,'73','73','2021-06-08 14:40:37','2021-06-08 14:40:37',null);
INSERT INTO complaint_statuses VALUES('21563','6611','3',null,'52',null,'08-07-2021
COMPLAINT#PKRI-210608110965','73','73','2021-06-08 14:45:36','2021-06-08 14:59:13',null);
INSERT INTO complaint_statuses VALUES('21564','6612','3',null,'55',null,'08-07-2021
COMPLAINT#RWP-778417','73','73','2021-06-08 14:51:00','2021-06-08 15:07:03',null);
INSERT INTO complaint_statuses VALUES('21565','6610','4',null,'58',null,null,'81','81','2021-06-08 14:53:56','2021-06-08 14:53:56',null);
INSERT INTO complaint_statuses VALUES('21566','6613','3',null,'54',null,'08-07-2021
COMPLAINT#1895016','73','73','2021-06-08 15:18:03','2021-06-08 15:36:34',null);
INSERT INTO complaint_statuses VALUES('21567','6614','3',null,'53',null,'08-06-2021
COMPLAINT#RWP-301135628','73','73','2021-06-08 15:23:46','2021-06-08 17:38:04',null);
INSERT INTO complaint_statuses VALUES('21568','6496','7','12','81','Plz contact Arshad SB for mrm stock units',null,'83','83','2021-06-08 15:29:38','2021-06-08 15:29:38',null);
INSERT INTO complaint_statuses VALUES('21569','6615','2',null,'81',null,null,'73','73','2021-06-08 15:36:33','2021-06-08 15:36:33',null);
INSERT INTO complaint_statuses VALUES('21570','6616','2',null,'81',null,null,'73','73','2021-06-08 15:40:14','2021-06-08 15:40:14',null);
INSERT INTO complaint_statuses VALUES('21571','6616','4',null,'62',null,null,'81','81','2021-06-08 15:40:55','2021-06-08 15:40:55',null);
INSERT INTO complaint_statuses VALUES('21572','6615','4',null,'61',null,null,'81','81','2021-06-08 15:41:06','2021-06-08 15:41:06',null);
INSERT INTO complaint_statuses VALUES('21573','6617','2',null,'81',null,null,'73','73','2021-06-08 15:47:23','2021-06-08 15:47:23',null);
INSERT INTO complaint_statuses VALUES('21574','6615','7','12','81','Unit reset ok 
WiFi ok',null,'83','83','2021-06-08 15:53:52','2021-06-08 15:53:52',null);
INSERT INTO complaint_statuses VALUES('21575','6579','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-08 16:09:48','2021-06-08 16:09:48',null);
INSERT INTO complaint_statuses VALUES('21576','6618','3',null,'65',null,'8-6-21
COMPLAINT#192123509
REOPEN COM NO 192125179','73','92','2021-06-08 16:22:51','2021-07-01 17:28:36',null);
INSERT INTO complaint_statuses VALUES('21577','6619','3',null,'52',null,'8-6-21
COMPLAINT#PKRI-210608114068','73','73','2021-06-08 16:29:22','2021-06-08 16:53:21',null);
INSERT INTO complaint_statuses VALUES('21578','6620','3',null,'52',null,'8-6-21
COMPLAINT#PKRI-210608114206','73','73','2021-06-08 16:33:03','2021-06-08 16:51:29',null);
INSERT INTO complaint_statuses VALUES('21579','6617','4',null,'63',null,null,'81','81','2021-06-08 16:34:00','2021-06-08 16:34:00',null);
INSERT INTO complaint_statuses VALUES('21580','6621','2',null,'81',null,null,'73','73','2021-06-08 16:40:22','2021-06-08 16:40:22',null);
INSERT INTO complaint_statuses VALUES('21581','6621','4',null,'56',null,null,'81','81','2021-06-08 16:42:47','2021-06-08 16:42:47',null);
INSERT INTO complaint_statuses VALUES('21582','6622','3',null,'53',null,'8-6-21
COMPLAINT#301135702','73','73','2021-06-08 16:56:37','2021-06-08 17:32:31',null);
INSERT INTO complaint_statuses VALUES('21583','6615','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-08 17:04:29','2021-06-09 13:47:24',null);
INSERT INTO complaint_statuses VALUES('21584','6579','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-08 17:05:20','2021-06-09 13:52:40',null);
INSERT INTO complaint_statuses VALUES('21585','6623','2',null,'81',null,null,'73','73','2021-06-08 17:06:11','2021-06-08 17:06:11',null);
INSERT INTO complaint_statuses VALUES('21586','6623','4',null,'62',null,null,'81','81','2021-06-08 17:07:28','2021-06-08 17:07:28',null);
INSERT INTO complaint_statuses VALUES('21587','6484','7','12','81','Ok',null,'88','88','2021-06-08 17:33:24','2021-06-08 17:33:24',null);
INSERT INTO complaint_statuses VALUES('21588','6624','3',null,'53',null,'8-6-21
COMPLAINT#301135715','73','73','2021-06-08 17:35:03','2021-06-08 17:45:40',null);
INSERT INTO complaint_statuses VALUES('21589','6625','3',null,'57',null,'8-6-21
COMPLAINT#18877','73','73','2021-06-08 17:43:01','2021-06-08 17:48:58',null);
INSERT INTO complaint_statuses VALUES('21590','6626','3',null,'65',null,'8-6-21
COMPLAINT#192123520','73','73','2021-06-08 17:47:41','2021-06-08 17:57:58',null);
INSERT INTO complaint_statuses VALUES('21591','6627','3',null,'55',null,'OTHER#03335084878
COMPLAINT#778656','73','73','2021-06-08 17:51:31','2021-06-08 17:58:01',null);
INSERT INTO complaint_statuses VALUES('21592','5804','7','26','81','Custmer pcb ham sy ly ge hy jo repperd nhi ho sakti ur stock main nhi hy',null,'82','82','2021-06-09 10:40:11','2021-06-09 10:40:11',null);
INSERT INTO complaint_statuses VALUES('21593','6269','7','12','81','hood change kr dya hai ,ye theek kr ky aslam ko dena hai',null,'79','79','2021-06-09 10:52:49','2021-06-09 10:52:49',null);
INSERT INTO complaint_statuses VALUES('21594','6462','7','12','81','ye cusptmer bahi nahi laye gain agr ata hai tu hum agian complaint enter kerwa dein gain',null,'79','79','2021-06-09 10:56:57','2021-06-09 10:56:57',null);
INSERT INTO complaint_statuses VALUES('21595','6480','7','12','81','customer k ghr koi ssue hai jis ki waja sy wo complaint attend nai kerwa rehy ,unhy bol dya hai k jb ap  ny bulna ho tb new complaint enter kerwa dein',null,'79','79','2021-06-09 11:00:57','2021-06-09 11:00:57',null);
INSERT INTO complaint_statuses VALUES('21596','6628','3',null,'54',null,'09-JUNE-2021
COMPLAINT#1895856','74','73','2021-06-09 11:20:28','2021-06-09 13:18:27',null);
INSERT INTO complaint_statuses VALUES('21597','6629','3',null,'53',null,'09-JUNE-2021
COMPLAINT#301135952','74','73','2021-06-09 11:29:18','2021-06-09 13:18:42',null);
INSERT INTO complaint_statuses VALUES('21598','6541','7','12','81','backlight + LGP sheet replaced   unit ok   and with customer plz close job',null,'83','83','2021-06-09 11:31:54','2021-06-09 11:31:54',null);
INSERT INTO complaint_statuses VALUES('21599','6484','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-09 11:33:40','2021-06-09 11:47:55',null);
INSERT INTO complaint_statuses VALUES('21600','6569','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-09 11:41:14','2021-06-09 11:41:14',null);
INSERT INTO complaint_statuses VALUES('21601','6630','3',null,'55',null,'09-JUNE-2021
COMPLAINT# R.W.P-20649','74','92','2021-06-09 11:45:06','2021-06-14 15:35:06',null);
INSERT INTO complaint_statuses VALUES('21602','6631','3',null,'54',null,'09-JUNE-2021
COMPLAINT#1895969','74','92','2021-06-09 11:59:53','2021-06-14 15:33:30',null);
INSERT INTO complaint_statuses VALUES('21603','6558','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-09 12:07:56','2021-06-09 12:07:56',null);
INSERT INTO complaint_statuses VALUES('21604','6632','3',null,'57',null,'09-JUNE-2021
COMPLAINT#18890','74','73','2021-06-09 12:11:42','2021-06-09 13:19:52',null);
INSERT INTO complaint_statuses VALUES('21605','6633','3',null,'54',null,'09-JUNE-2021
COMPLAINT#1896005','74','73','2021-06-09 12:17:38','2021-06-09 13:20:04',null);
INSERT INTO complaint_statuses VALUES('21606','6634','3',null,'52',null,'09-JUNE-2021
COMPLAINT#PKRI-210609107649','74','74','2021-06-09 12:35:27','2021-06-09 12:35:27',null);
INSERT INTO complaint_statuses VALUES('21607','6635','3',null,'52',null,'09-JUNE-2021
COMPLAINT#PKRI-210609107869','74','74','2021-06-09 12:42:22','2021-06-09 12:42:22',null);
INSERT INTO complaint_statuses VALUES('21608','6623','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-09 12:42:46','2021-06-09 12:42:46',null);
INSERT INTO complaint_statuses VALUES('21609','6560','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-09 12:45:10','2021-06-09 12:45:10',null);
INSERT INTO complaint_statuses VALUES('21610','6636','2',null,'81',null,'09-JUNE-2021
FF TO AZHAR FCI','74','74','2021-06-09 12:46:11','2021-06-09 12:46:11',null);
INSERT INTO complaint_statuses VALUES('21611','6637','2',null,'81',null,'09-JUNE-2021
FF TO B COOL','74','74','2021-06-09 12:56:23','2021-06-09 12:56:23',null);
INSERT INTO complaint_statuses VALUES('21612','6471','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-09 12:56:49','2021-06-09 12:56:49',null);
INSERT INTO complaint_statuses VALUES('21613','6637','4',null,'58',null,null,'81','81','2021-06-09 12:57:25','2021-06-09 12:57:25',null);
INSERT INTO complaint_statuses VALUES('21614','6636','4',null,'60',null,null,'81','81','2021-06-09 12:57:35','2021-06-09 12:57:35',null);
INSERT INTO complaint_statuses VALUES('21615','6528','4',null,'60',null,null,'81','81','2021-06-09 12:58:14','2021-06-09 12:58:14',null);
INSERT INTO complaint_statuses VALUES('21616','6497','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-09 12:58:52','2021-06-09 12:58:52',null);
INSERT INTO complaint_statuses VALUES('21617','6530','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-09 13:04:23','2021-06-09 13:04:23',null);
INSERT INTO complaint_statuses VALUES('21618','6545','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-09 13:08:18','2021-06-09 13:08:18',null);
INSERT INTO complaint_statuses VALUES('21619','6638','2',null,'81',null,'09-JUNE-2021
FF TO KHALID SONY','74','74','2021-06-09 13:17:03','2021-06-09 13:17:03',null);
INSERT INTO complaint_statuses VALUES('21620','6638','4',null,'56',null,null,'81','81','2021-06-09 13:17:40','2021-06-09 13:17:40',null);
INSERT INTO complaint_statuses VALUES('21621','6639','3',null,'65',null,'09-JUNE-2021
COMPLAINT#192123578','74','73','2021-06-09 13:18:24','2021-06-09 13:27:56',null);
INSERT INTO complaint_statuses VALUES('21622','6640','3',null,'65',null,'09-JUNE-2021
COMPLAINT#192123580','74','73','2021-06-09 13:18:32','2021-06-09 13:30:44',null);
INSERT INTO complaint_statuses VALUES('21623','6251','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-09 13:26:17','2021-06-09 13:26:17',null);
INSERT INTO complaint_statuses VALUES('21624','6641','2',null,'81',null,'09-JUNE-2021
FF TO USMAM MRM','74','74','2021-06-09 13:29:55','2021-06-09 13:29:55',null);
INSERT INTO complaint_statuses VALUES('21625','6641','4',null,'61',null,null,'81','81','2021-06-09 13:31:40','2021-06-09 13:31:40',null);
INSERT INTO complaint_statuses VALUES('21626','6416','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-09 13:37:11','2021-06-09 13:37:11',null);
INSERT INTO complaint_statuses VALUES('21627','6541','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-09 13:41:09','2021-06-09 14:42:34',null);
INSERT INTO complaint_statuses VALUES('21628','6642','3',null,'55',null,'09-JUNE-2021
COMPLAINT#RWP-779217','74','73','2021-06-09 13:41:34','2021-06-09 13:46:56',null);
INSERT INTO complaint_statuses VALUES('21629','6623','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-09 13:44:07','2021-06-09 13:46:35',null);
INSERT INTO complaint_statuses VALUES('21630','6496','5','15',null,'STOCK KI COMPLAINT ARSHAD SAB KO FF HO GEI INFORMED BY ANEEQ','COMPLAINT RESOLVED','81','92','2021-06-09 13:46:03','2021-06-09 14:45:17',null);
INSERT INTO complaint_statuses VALUES('21631','6643','3',null,'52',null,'09-JUNE-2021
COMPLAINT #PKRI-210609114256','74','73','2021-06-09 13:50:49','2021-06-09 16:23:02',null);
INSERT INTO complaint_statuses VALUES('21632','6644','3',null,'52',null,'09-JUN-2021
COMPLAINT#PKRI-210609114369
NEW COMPLAINT|#PKRI-210629113118','74','74','2021-06-09 14:00:43','2021-06-29 16:31:53',null);
INSERT INTO complaint_statuses VALUES('21633','6645','3',null,'54',null,'09-JUNE-2021
COMPLAINT#1896288','74','73','2021-06-09 14:08:09','2021-06-09 14:18:42',null);
INSERT INTO complaint_statuses VALUES('21634','6537','7','26','81','Please Refer this complaint to Installer.',null,'76','76','2021-06-09 14:09:04','2021-06-09 14:09:04',null);
INSERT INTO complaint_statuses VALUES('21635','6480','8','23','58','CUSTOMER GHAR PA AVAIL HAIN KINDLY CONTACT KAR K VISIT ARRANGE KARWA DAY',null,'81','81','2021-06-09 14:09:31','2021-06-09 14:09:31',null);
INSERT INTO complaint_statuses VALUES('21636','6402','7','26','81','Replacement Taken form Dealer.',null,'76','76','2021-06-09 14:11:15','2021-06-09 14:11:15',null);
INSERT INTO complaint_statuses VALUES('21637','6462','8','23','58','CUSTOMER SA BT HO GEI  HAIN KAL LA K AAY GEI  S/C',null,'81','81','2021-06-09 14:15:51','2021-06-09 14:15:51',null);
INSERT INTO complaint_statuses VALUES('21638','6507','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-09 14:17:45','2021-06-09 14:17:45',null);
INSERT INTO complaint_statuses VALUES('21639','6646','2',null,'81',null,'09-JUNE-2021
FF TO B.COOL','74','74','2021-06-09 14:18:15','2021-06-09 14:18:15',null);
INSERT INTO complaint_statuses VALUES('21640','6521','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-09 14:19:17','2021-06-09 14:19:17',null);
INSERT INTO complaint_statuses VALUES('21641','6646','4',null,'58',null,null,'81','81','2021-06-09 14:19:33','2021-06-09 14:19:33',null);
INSERT INTO complaint_statuses VALUES('21642','6402','5','15',null,'CUSTOMER NA LG W/M REPLACEMENT KARWA LI','COMPLAINT RESOLVED','81','92','2021-06-09 14:22:18','2021-06-09 14:46:12',null);
INSERT INTO complaint_statuses VALUES('21643','6269','5','15',null,'CUSTOMER KA HOOD REPLACE HO GAY HAIN COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-06-09 14:25:43','2021-06-09 14:47:38',null);
INSERT INTO complaint_statuses VALUES('21644','6525','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-09 14:30:35','2021-06-09 14:30:35',null);
INSERT INTO complaint_statuses VALUES('21645','6366','5','15',null,'CUSTOMER NA ABI TAQ INVOICE SHER NAI KI COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-06-09 14:33:30','2021-06-09 14:47:08',null);
INSERT INTO complaint_statuses VALUES('21646','6647','3',null,'65',null,'09-JUNE-2021
COMPLAINT#192123594','74','73','2021-06-09 14:35:54','2021-06-09 15:01:58',null);
INSERT INTO complaint_statuses VALUES('21647','6648','2',null,'81',null,'09-JUNE-2021
FF TO KHURRAM 5 STAR','74','74','2021-06-09 14:41:51','2021-06-09 14:41:51',null);
INSERT INTO complaint_statuses VALUES('21648','6079','7','12','81','Service Only.',null,'76','76','2021-06-09 14:45:43','2021-06-09 14:45:43',null);
INSERT INTO complaint_statuses VALUES('21649','6649','2',null,'81',null,'09-JUNE-2021
FF TO SHAMIN AKHTER','74','74','2021-06-09 15:01:08','2021-06-09 15:01:08',null);
INSERT INTO complaint_statuses VALUES('21650','6650','3',null,'53',null,'09-JUNE-2021
COMPLAINT#1136453','74','73','2021-06-09 15:02:44','2021-06-09 16:34:36',null);
INSERT INTO complaint_statuses VALUES('21651','6648','4',null,'63',null,null,'81','81','2021-06-09 15:04:02','2021-06-09 15:04:02',null);
INSERT INTO complaint_statuses VALUES('21652','6649','4',null,'55',null,null,'81','81','2021-06-09 15:04:38','2021-06-09 15:04:38',null);
INSERT INTO complaint_statuses VALUES('21653','6651','3',null,'55',null,'09-JUNE-2021
COMPLAINT#779465','74','73','2021-06-09 15:11:38','2021-06-09 16:11:38',null);
INSERT INTO complaint_statuses VALUES('21654','6652','3',null,'51',null,'09-JUNE-2021
COMPLAINT FF MUBASHIR VARIOLINE','74','74','2021-06-09 15:42:37','2021-06-11 15:57:29',null);
INSERT INTO complaint_statuses VALUES('21655','6653','3',null,'65',null,'09-JUNE-2021
COMPLAINT#','74','92','2021-06-09 15:52:45','2021-07-06 17:14:48',null);
INSERT INTO complaint_statuses VALUES('21656','6654','3',null,'55',null,'09-JUNE-2021
COMPLAINT#779465','74','73','2021-06-09 15:59:12','2021-06-09 16:15:28',null);
INSERT INTO complaint_statuses VALUES('21657','6655','3',null,'53',null,'09-JUNE-2021
COMPLAINT#1136457','74','73','2021-06-09 16:09:46','2021-06-09 16:36:50',null);
INSERT INTO complaint_statuses VALUES('21658','6101','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-09 16:15:39','2021-06-09 16:15:39',null);
INSERT INTO complaint_statuses VALUES('21659','6217','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-09 16:17:37','2021-06-09 16:17:37',null);
INSERT INTO complaint_statuses VALUES('21660','5599','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-09 16:20:30','2021-06-09 16:20:30',null);
INSERT INTO complaint_statuses VALUES('21661','6656','3',null,'53',null,'09-JUNE-2021
COMPLAINT#1136463','74','73','2021-06-09 16:25:38','2021-06-09 16:39:13',null);
INSERT INTO complaint_statuses VALUES('21662','6128','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-09 16:27:34','2021-06-09 16:27:34',null);
INSERT INTO complaint_statuses VALUES('21663','6231','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-09 16:31:02','2021-06-09 16:31:02',null);
INSERT INTO complaint_statuses VALUES('21664','6657','3',null,'55',null,'09-JUNE-2021
COMPLAINT#RPW-779512','74','73','2021-06-09 16:34:05','2021-06-09 16:48:47',null);
INSERT INTO complaint_statuses VALUES('21665','6658','3',null,'55',null,'09-JUNE-2021
COMPLAINT#RWP-779516','74','73','2021-06-09 16:39:49','2021-06-09 16:50:32',null);
INSERT INTO complaint_statuses VALUES('21666','6659','3',null,'54',null,'09-JUNE-2021
COMPLAINT#1896704','74','73','2021-06-09 16:47:33','2021-06-09 17:08:33',null);
INSERT INTO complaint_statuses VALUES('21667','6660','3',null,'57',null,'09-JUNE-2021
COM NO 189941','74','73','2021-06-09 16:55:10','2021-06-10 11:57:45',null);
INSERT INTO complaint_statuses VALUES('21668','6661','3',null,'55',null,'09-JUNE-2021
COM NO-779556
AGAIN COM NO 793800','74','92','2021-06-09 17:02:59','2021-06-30 14:05:26',null);
INSERT INTO complaint_statuses VALUES('21669','6662','3',null,'65',null,'09-JUNE-2021
COM NO-192123632','74','73','2021-06-09 17:10:36','2021-06-09 17:20:32',null);
INSERT INTO complaint_statuses VALUES('21670','6504','7','12','81','COMPLAINT REOSLVED',null,'79','79','2021-06-09 17:18:44','2021-06-09 17:18:44',null);
INSERT INTO complaint_statuses VALUES('21671','6663','3',null,'53',null,'09-JUNE-2021
COMPLAINT#301136556','74','73','2021-06-09 17:20:34','2021-06-09 17:35:13',null);
INSERT INTO complaint_statuses VALUES('21672','6664','2',null,'81',null,'09-JUNE-2021
FF TO B COOL','74','74','2021-06-09 17:28:49','2021-06-09 17:28:49',null);
INSERT INTO complaint_statuses VALUES('21673','6665','3',null,'65',null,'09-JUNE-2021
COMPLAINT#192123642','74','73','2021-06-09 17:29:56','2021-06-09 17:58:20',null);
INSERT INTO complaint_statuses VALUES('21674','6666','3',null,'52',null,'09-JUNE-2021
COM NO-PKRI210609116631','74','73','2021-06-09 17:33:44','2021-06-09 17:58:55',null);
INSERT INTO complaint_statuses VALUES('21675','6667','3',null,'65',null,'09-JNUE-2021
COMPLAINT#192123645','74','73','2021-06-09 17:44:23','2021-06-09 17:59:31',null);
INSERT INTO complaint_statuses VALUES('21676','6668','3',null,'73',null,'09-JUNE-2021
COM NO 4751','74','92','2021-06-09 17:45:36','2021-06-10 11:32:29',null);
INSERT INTO complaint_statuses VALUES('21677','6669','3',null,'65',null,'10-JUNE-2021
COMPLAINT#192123675','74','73','2021-06-09 17:58:00','2021-06-10 12:08:46',null);
INSERT INTO complaint_statuses VALUES('21678','6670','2',null,'81',null,'09-JUNE-2021
FF TO HOME SOLUTION','74','74','2021-06-09 18:10:42','2021-06-09 18:10:42',null);
INSERT INTO complaint_statuses VALUES('21679','6670','4',null,'62',null,null,'81','81','2021-06-09 18:11:17','2021-06-09 18:11:17',null);
INSERT INTO complaint_statuses VALUES('21680','6664','4',null,'58',null,null,'81','81','2021-06-09 18:11:54','2021-06-09 18:11:54',null);
INSERT INTO complaint_statuses VALUES('21681','6671','3',null,'53',null,'09-JUNE-2021
COM NO 1136816','74','92','2021-06-09 18:12:51','2021-06-10 11:15:00',null);
INSERT INTO complaint_statuses VALUES('21682','6672','3',null,'65',null,'10-JUNE-2021
COMPLAINT#19212677','74','73','2021-06-09 18:15:59','2021-06-10 12:12:15',null);
INSERT INTO complaint_statuses VALUES('21683','6673','3',null,'53',null,'09-JUNE-2021
COM NO 1136813','74','92','2021-06-09 18:19:32','2021-06-10 11:12:51',null);
INSERT INTO complaint_statuses VALUES('21684','6674','3',null,'53',null,'09-JUNE-2021
COMPLAINT#301136764','74','92','2021-06-09 18:21:14','2021-06-10 10:48:18',null);
INSERT INTO complaint_statuses VALUES('21685','6675','2',null,'81',null,'09-JUN E-2021
FF TO B.COOL','74','74','2021-06-09 18:24:23','2021-06-09 18:24:23',null);
INSERT INTO complaint_statuses VALUES('21686','6675','4',null,'58',null,null,'81','81','2021-06-09 18:24:46','2021-06-09 18:24:46',null);
INSERT INTO complaint_statuses VALUES('21687','6676','2',null,'81',null,'09-JUNE-2021
COM FF TO HOME SOLUTION','74','74','2021-06-09 18:31:02','2021-06-09 18:31:02',null);
INSERT INTO complaint_statuses VALUES('21688','6677','3',null,'52',null,'09-JUNE-2021
COMPLAINT#PKRI-210609117843','74','73','2021-06-09 18:31:17','2021-06-09 18:35:55',null);
INSERT INTO complaint_statuses VALUES('21689','6678','2',null,'81',null,'09-JULY-2021
FF TO B.COOL','74','74','2021-06-09 18:43:26','2021-06-09 18:43:26',null);
INSERT INTO complaint_statuses VALUES('21690','6676','4',null,'62',null,null,'81','81','2021-06-09 18:44:09','2021-06-09 18:44:09',null);
INSERT INTO complaint_statuses VALUES('21691','6679','3',null,'53',null,'09-JUNE-2021
COM NO 301136770','74','92','2021-06-09 18:47:07','2021-06-10 10:51:42',null);
INSERT INTO complaint_statuses VALUES('21692','6494','7','24','81','Is unit k panel black spots ha unit service center move krna ho ga 
Plz confirm kon move kry ga',null,'83','83','2021-06-09 19:22:53','2021-06-09 19:22:53',null);
INSERT INTO complaint_statuses VALUES('21693','6680','3',null,'53',null,'10-JUNE-2021
COMPLAINT#301136758','74','92','2021-06-10 11:01:29','2021-06-17 17:24:10',null);
INSERT INTO complaint_statuses VALUES('21694','6681','3',null,'82',null,'10-JAN-2021
FF TO TAHIR SIEMENS','74','74','2021-06-10 11:07:50','2021-06-10 11:07:50',null);
INSERT INTO complaint_statuses VALUES('21695','6682','3',null,'73',null,'10-JUNE-2021
COMPLAINT#4752','74','92','2021-06-10 11:15:26','2021-06-10 11:34:15',null);
INSERT INTO complaint_statuses VALUES('21696','6683','3',null,'65',null,'10-JUNE-2021
COMPLAINT#192123678','74','73','2021-06-10 11:23:02','2021-06-10 12:14:53',null);
INSERT INTO complaint_statuses VALUES('21697','6684','3',null,'52',null,'10-JUNE-2021
COMPLAINT#PKRI-210610108242','74','73','2021-06-10 11:27:24','2021-06-10 12:42:10',null);
INSERT INTO complaint_statuses VALUES('21698','6685','3',null,'52',null,'10-JUNE-2021
COMPLAINT#PKRI-210610108431','74','73','2021-06-10 11:43:23','2021-06-10 12:46:39',null);
INSERT INTO complaint_statuses VALUES('21699','6686','3',null,'85',null,'10-JUNE-2021
COMPLAINT#301136954','74','73','2021-06-10 11:45:40','2021-06-10 13:00:02',null);
INSERT INTO complaint_statuses VALUES('21700','6687','2',null,'81',null,'10-JUNE-2021
COM FF TO BEST COOL','74','74','2021-06-10 11:46:07','2021-06-10 11:46:07',null);
INSERT INTO complaint_statuses VALUES('21701','6578','7','24','81','ھم نے کسٹمر کو کال کر دی ھے۔ وہ خود سروس سنٹر لے کے آۓ گا۔',null,'77','77','2021-06-10 11:48:13','2021-06-10 11:48:13',null);
INSERT INTO complaint_statuses VALUES('21702','6199','7','12','81','یونٹ ok
unit with customer  ....closed job',null,'77','77','2021-06-10 11:49:08','2021-06-10 11:49:08',null);
INSERT INTO complaint_statuses VALUES('21703','6504','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','74','2021-06-10 11:50:58','2021-06-14 13:44:57',null);
INSERT INTO complaint_statuses VALUES('21704','6199','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-06-10 11:51:50','2021-06-18 17:06:30',null);
INSERT INTO complaint_statuses VALUES('21705','6489','7','12','81','No Fault.',null,'76','76','2021-06-10 11:56:25','2021-06-10 11:56:25',null);
INSERT INTO complaint_statuses VALUES('21706','6489','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','74','2021-06-10 12:01:17','2021-06-14 13:47:58',null);
INSERT INTO complaint_statuses VALUES('21707','6688','3',null,'73',null,'10-JUNE-2021
COMPLAINT#4754','74','73','2021-06-10 12:06:07','2021-06-10 12:24:23',null);
INSERT INTO complaint_statuses VALUES('21708','6689','3',null,'53',null,'10-JUNE-2021
COMPLAINT#301136961
03151595795 WASEEM','74','92','2021-06-10 12:11:11','2021-06-12 15:51:05',null);
INSERT INTO complaint_statuses VALUES('21709','6690','3',null,'65',null,'10-JUNE-2021
COMPLAINT#192123695','74','73','2021-06-10 12:21:42','2021-06-10 13:19:14',null);
INSERT INTO complaint_statuses VALUES('21710','6692','3',null,'52',null,'10-JUNE-2021
COMPLAINT#PKRI-210610111426','74','73','2021-06-10 12:29:28','2021-06-10 14:23:47',null);
INSERT INTO complaint_statuses VALUES('21711','5910','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-10 12:30:44','2021-06-10 12:30:44',null);
INSERT INTO complaint_statuses VALUES('21712','6693','3',null,'52',null,'10-JUNE-2021
COMPLAINT#210610111467/.
210610111450','74','73','2021-06-10 12:35:03','2021-06-10 14:31:55',null);
INSERT INTO complaint_statuses VALUES('21713','6312','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-10 12:38:04','2021-06-10 12:38:04',null);
INSERT INTO complaint_statuses VALUES('21714','6694','3',null,'73',null,'10-JUNE-2021
COM NO-4766
AGAIN COM NO 4918','74','92','2021-06-10 12:42:56','2021-06-24 13:27:44',null);
INSERT INTO complaint_statuses VALUES('21715','6695','3',null,'65',null,'10-JUNE-2021
COMPLAINT#192123697','74','73','2021-06-10 12:46:35','2021-06-10 13:21:46',null);
INSERT INTO complaint_statuses VALUES('21716','6696','2',null,'81',null,'10-JUNE-2021
COM FF TO AZHAR SIR','74','74','2021-06-10 12:59:33','2021-06-10 12:59:33',null);
INSERT INTO complaint_statuses VALUES('21717','6697','3',null,'54',null,'10-JUNE-2021
COMPLAINT#1897789','74','73','2021-06-10 13:00:54','2021-06-10 13:39:23',null);
INSERT INTO complaint_statuses VALUES('21718','6246','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-10 13:02:01','2021-06-10 13:02:01',null);
INSERT INTO complaint_statuses VALUES('21719','6457','7','24','81','DELAY FROM CUSTOMER SIDE',null,'87','87','2021-06-10 13:03:35','2021-06-10 13:03:35',null);
INSERT INTO complaint_statuses VALUES('21720','6698','3',null,'65',null,'10-JUNE-2021
COMPLAINT#192123698','74','73','2021-06-10 13:04:20','2021-06-10 13:24:23',null);
INSERT INTO complaint_statuses VALUES('21721','6518','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-10 13:06:24','2021-06-10 13:06:24',null);
INSERT INTO complaint_statuses VALUES('21722','6538','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-10 13:09:05','2021-06-10 13:09:05',null);
INSERT INTO complaint_statuses VALUES('21723','6596','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-10 13:13:29','2021-06-10 13:13:29',null);
INSERT INTO complaint_statuses VALUES('21724','6699','3',null,'52',null,'10-JUNE-2021
COMPLAINT#PKRI-210610111550','74','73','2021-06-10 13:13:36','2021-06-10 16:09:39',null);
INSERT INTO complaint_statuses VALUES('21725','6613','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-10 13:15:27','2021-06-10 13:15:27',null);
INSERT INTO complaint_statuses VALUES('21726','6700','3',null,'53',null,'10-JUNE-2021
COMPLAINT#1137129','74','73','2021-06-10 13:17:37','2021-06-10 14:43:34',null);
INSERT INTO complaint_statuses VALUES('21727','5674','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-10 13:24:03','2021-06-10 13:24:03',null);
INSERT INTO complaint_statuses VALUES('21728','5675','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-10 13:26:37','2021-06-10 13:26:37',null);
INSERT INTO complaint_statuses VALUES('21729','6701','2',null,'81',null,'10-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-10 13:39:04','2021-06-10 13:39:04',null);
INSERT INTO complaint_statuses VALUES('21730','6701','4',null,'55',null,null,'81','81','2021-06-10 13:39:44','2021-06-10 13:39:44',null);
INSERT INTO complaint_statuses VALUES('21731','6696','4',null,'60',null,null,'81','81','2021-06-10 13:39:56','2021-06-10 13:39:56',null);
INSERT INTO complaint_statuses VALUES('21732','6687','4',null,'58',null,null,'81','81','2021-06-10 13:40:07','2021-06-10 13:40:07',null);
INSERT INTO complaint_statuses VALUES('21733','6702','3',null,'67',null,'10-JUNE-2021
FF TO BABAR LHR','74','74','2021-06-10 13:44:21','2021-06-10 13:44:21',null);
INSERT INTO complaint_statuses VALUES('21734','6255','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-10 13:49:13','2021-06-10 13:49:13',null);
INSERT INTO complaint_statuses VALUES('21735','6703','3',null,'52',null,'10-JUNE-2021
COMPLAINT#PKRI-210610114793','74','73','2021-06-10 13:49:58','2021-06-10 16:13:29',null);
INSERT INTO complaint_statuses VALUES('21736','6465','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-10 14:03:41','2021-06-10 14:03:41',null);
INSERT INTO complaint_statuses VALUES('21737','6704','2',null,'81',null,'10-JNE-2021
FF TO B.COOL','74','74','2021-06-10 14:03:44','2021-06-10 14:03:44',null);
INSERT INTO complaint_statuses VALUES('21738','6704','4',null,'58',null,null,'81','81','2021-06-10 14:04:08','2021-06-10 14:04:08',null);
INSERT INTO complaint_statuses VALUES('21739','6705','3',null,'52',null,'10-JUNE-2021
COM NOPKRI-210610114904','74','73','2021-06-10 14:13:51','2021-06-10 16:16:02',null);
INSERT INTO complaint_statuses VALUES('21740','6113','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-10 14:19:37','2021-06-10 14:19:37',null);
INSERT INTO complaint_statuses VALUES('21741','6706','3',null,'52',null,'10-JUNE-2021
COMPLAINT#PKJM-210610115015','74','73','2021-06-10 14:20:37','2021-06-10 16:20:24',null);
INSERT INTO complaint_statuses VALUES('21742','5862','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-10 14:23:53','2021-06-10 14:23:53',null);
INSERT INTO complaint_statuses VALUES('21743','6707','2',null,'81',null,'10-JUNE-2021
FF TO B.COOL','74','74','2021-06-10 14:24:19','2021-06-10 14:24:19',null);
INSERT INTO complaint_statuses VALUES('21744','6234','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-10 14:29:52','2021-06-10 14:29:52',null);
INSERT INTO complaint_statuses VALUES('21745','6708','2',null,'81',null,'10-JUNE-2021
FF TO B.COOL','74','74','2021-06-10 14:31:05','2021-06-10 14:31:05',null);
INSERT INTO complaint_statuses VALUES('21746','6708','4',null,'58',null,null,'81','81','2021-06-10 14:31:34','2021-06-10 14:31:34',null);
INSERT INTO complaint_statuses VALUES('21747','6707','4',null,'58',null,null,'81','81','2021-06-10 14:31:43','2021-06-10 14:31:43',null);
INSERT INTO complaint_statuses VALUES('21748','6571','7','12','81','Back light defective.  Cusotmer not interested to move unit in lab 
Will confirm later for repair',null,'83','83','2021-06-10 14:32:45','2021-06-10 14:32:45',null);
INSERT INTO complaint_statuses VALUES('21749','6678','4',null,'58',null,null,'81','81','2021-06-10 14:32:55','2021-06-10 14:32:55',null);
INSERT INTO complaint_statuses VALUES('21750','6406','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-10 14:36:08','2021-06-10 14:36:08',null);
INSERT INTO complaint_statuses VALUES('21751','6709','3',null,'52',null,'10-JUNE-2021
COMPLAINT#PKRI-210610115809','74','73','2021-06-10 14:38:19','2021-06-10 16:45:55',null);
INSERT INTO complaint_statuses VALUES('21752','6710','2',null,'81',null,'10-JUNE-2021
FF TO B.COOL','74','74','2021-06-10 14:49:24','2021-06-10 14:49:24',null);
INSERT INTO complaint_statuses VALUES('21753','6648','7','26','81','Hamara apny banda ny thik Kar liya',null,'88','88','2021-06-10 14:58:12','2021-06-10 14:58:12',null);
INSERT INTO complaint_statuses VALUES('21754','6542','7','12','81','OK 500f gas ka masla tha ok',null,'88','88','2021-06-10 14:58:58','2021-06-10 14:58:58',null);
INSERT INTO complaint_statuses VALUES('21755','6711','3',null,'53',null,'10-JUNE-2021
COMPLAINT#301137322','74','73','2021-06-10 15:05:32','2021-06-10 16:33:50',null);
INSERT INTO complaint_statuses VALUES('21756','6648','5','15',null,'COMPLAINT RESOLVED',null,'81','81','2021-06-10 15:09:53','2021-06-10 15:09:53',null);
INSERT INTO complaint_statuses VALUES('21757','6571','5','15',null,'COMPLAINT CLOSED','COMPLAINT COMPLETED','81','92','2021-06-10 15:12:38','2021-06-16 15:30:22',null);
INSERT INTO complaint_statuses VALUES('21758','6542','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-10 15:16:29','2021-06-10 15:20:34',null);
INSERT INTO complaint_statuses VALUES('21759','6584','7','12','81','Ok',null,'88','88','2021-06-10 15:21:05','2021-06-10 15:21:05',null);
INSERT INTO complaint_statuses VALUES('21760','6712','2',null,'81',null,'10-JUNE-2021
FF TO HOME SOLUTION','74','74','2021-06-10 15:23:58','2021-06-10 15:23:58',null);
INSERT INTO complaint_statuses VALUES('21761','6712','4',null,'62',null,null,'81','81','2021-06-10 15:25:23','2021-06-10 15:25:23',null);
INSERT INTO complaint_statuses VALUES('21762','6710','4',null,'58',null,null,'81','81','2021-06-10 15:27:08','2021-06-10 15:27:08',null);
INSERT INTO complaint_statuses VALUES('21763','6570','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-10 15:27:43','2021-06-10 15:27:43',null);
INSERT INTO complaint_statuses VALUES('21764','6577','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-10 15:32:48','2021-06-10 15:32:48',null);
INSERT INTO complaint_statuses VALUES('21765','6713','3',null,'53',null,'10-JUNE-2021
COMPLAINT#301137326','74','73','2021-06-10 15:47:23','2021-06-10 16:34:46',null);
INSERT INTO complaint_statuses VALUES('21766','6714','3',null,'65',null,'10-JUN-2021
COMPLAINT#192123835','74','73','2021-06-10 15:51:20','2021-06-11 13:06:48',null);
INSERT INTO complaint_statuses VALUES('21767','6715','2',null,'81',null,'10-JUNE-2021
FF TO B.COOL','74','74','2021-06-10 16:02:57','2021-06-10 16:02:57',null);
INSERT INTO complaint_statuses VALUES('21768','6715','4',null,'58',null,null,'81','81','2021-06-10 16:04:19','2021-06-10 16:04:19',null);
INSERT INTO complaint_statuses VALUES('21769','6584','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','74','2021-06-10 16:08:36','2021-06-14 13:43:38',null);
INSERT INTO complaint_statuses VALUES('21770','6716','3',null,'55',null,'10-JUNE-2021
COMPLAINT#RWP-780504','74','73','2021-06-10 16:10:15','2021-06-10 17:06:40',null);
INSERT INTO complaint_statuses VALUES('21771','6582','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-10 16:14:04','2021-06-10 16:14:04',null);
INSERT INTO complaint_statuses VALUES('21772','6717','3',null,'52',null,'10-JUNE-2021
COMPLAINT#PKRI-210610115978','74','73','2021-06-10 16:15:35','2021-06-10 16:51:46',null);
INSERT INTO complaint_statuses VALUES('21773','6587','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-10 16:20:15','2021-06-10 16:20:15',null);
INSERT INTO complaint_statuses VALUES('21774','6718','3',null,'52',null,'10-JUNE-2021
COMPLAINT#210610116108','74','73','2021-06-10 16:21:37','2021-06-10 16:57:27',null);
INSERT INTO complaint_statuses VALUES('21775','6719','3',null,'54',null,'10-JUNE-2021
COM NO-1898310','74','73','2021-06-10 16:25:49','2021-06-10 17:14:50',null);
INSERT INTO complaint_statuses VALUES('21776','6720','2',null,'81',null,'10-JUNE-2021
FF TO B.COOL','74','74','2021-06-10 16:30:51','2021-06-10 16:30:51',null);
INSERT INTO complaint_statuses VALUES('21777','6720','4',null,'58',null,null,'81','81','2021-06-10 16:31:27','2021-06-10 16:31:27',null);
INSERT INTO complaint_statuses VALUES('21778','6721','3',null,'73',null,'10-JUNE-2021
COM NO','74','92','2021-06-10 16:32:45','2021-07-06 15:56:17',null);
INSERT INTO complaint_statuses VALUES('21779','6722','2',null,'81',null,'10-JUNE-2021
FF TO USMAN MRM','74','74','2021-06-10 16:34:07','2021-06-10 16:34:07',null);
INSERT INTO complaint_statuses VALUES('21780','6722','4',null,'61',null,null,'81','81','2021-06-10 16:35:03','2021-06-10 16:35:03',null);
INSERT INTO complaint_statuses VALUES('21781','6724','3',null,'85',null,'10-JUNE-2021
COMPLAINT-301137372','74','73','2021-06-10 16:38:50','2021-06-10 17:34:24',null);
INSERT INTO complaint_statuses VALUES('21782','6691','2',null,'81',null,null,'74','74','2021-06-10 16:39:45','2021-06-10 16:39:45',null);
INSERT INTO complaint_statuses VALUES('21783','6725','3',null,'65',null,'10-JUNE-2021
COM NO-192123836','74','73','2021-06-10 16:39:49','2021-06-11 13:09:20',null);
INSERT INTO complaint_statuses VALUES('21784','6691','4',null,'64',null,null,'81','81','2021-06-10 16:40:11','2021-06-10 16:40:11',null);
INSERT INTO complaint_statuses VALUES('21785','6726','3',null,'52',null,'10-JUNE-2021
COMPLAINT#PKRI-210610117918','74','73','2021-06-10 16:44:26','2021-06-10 18:08:12',null);
INSERT INTO complaint_statuses VALUES('21786','6727','3',null,'53',null,'10-JUNE-2021
COM NO-301137370','74','73','2021-06-10 16:45:38','2021-06-10 17:31:50',null);
INSERT INTO complaint_statuses VALUES('21787','6728','3',null,'65',null,'10-JUNE-2021
COMPLAINT#192124068','74','74','2021-06-10 16:50:06','2021-06-14 12:29:35',null);
INSERT INTO complaint_statuses VALUES('21788','6729','2',null,'81',null,'10-JUNE-2021
COM NO','74','74','2021-06-10 16:55:47','2021-06-10 16:55:47',null);
INSERT INTO complaint_statuses VALUES('21789','6730','2',null,'81',null,'10-JUNE-2021
FF TO B.COOL','74','74','2021-06-10 16:58:09','2021-06-10 16:58:09',null);
INSERT INTO complaint_statuses VALUES('21790','6730','4',null,'58',null,null,'81','81','2021-06-10 16:59:07','2021-06-10 16:59:07',null);
INSERT INTO complaint_statuses VALUES('21791','6729','4',null,'63',null,null,'81','81','2021-06-10 16:59:16','2021-06-10 16:59:16',null);
INSERT INTO complaint_statuses VALUES('21792','6732','3',null,'53',null,'10-JUNE-2021
COMPLAINT#301137375','74','73','2021-06-10 17:14:03','2021-06-10 17:35:15',null);
INSERT INTO complaint_statuses VALUES('21793','6733','3',null,'53',null,'11-JUNE-2021
COMPLAINT#301137877','74','73','2021-06-10 17:19:15','2021-06-11 14:25:04',null);
INSERT INTO complaint_statuses VALUES('21794','6734','3',null,'53',null,'11-JUNE-2021
COM NO-30117882','74','73','2021-06-10 17:20:44','2021-06-11 14:28:59',null);
INSERT INTO complaint_statuses VALUES('21795','6735','3',null,'53',null,'10-JUNE-2021
COMPLAINT#301137379','74','73','2021-06-10 17:27:15','2021-06-10 17:50:45',null);
INSERT INTO complaint_statuses VALUES('21796','6736','2',null,'81',null,'10-JUNE-*2021
FF TO HOME SOLUTION','74','74','2021-06-10 17:31:18','2021-06-10 17:31:18',null);
INSERT INTO complaint_statuses VALUES('21797','6737','3',null,'54',null,'10-JUNE-2021
COM NO-1898423','74','73','2021-06-10 17:32:33','2021-06-10 18:13:07',null);
INSERT INTO complaint_statuses VALUES('21798','6736','4',null,'62',null,null,'81','81','2021-06-10 17:32:52','2021-06-10 17:32:52',null);
INSERT INTO complaint_statuses VALUES('21799','6738','2',null,'81',null,'10-JUNE-2021
FF TO HOME SOLUTION','74','74','2021-06-10 17:46:49','2021-06-10 17:46:49',null);
INSERT INTO complaint_statuses VALUES('21800','6738','4',null,'62',null,null,'81','81','2021-06-10 17:47:58','2021-06-10 17:47:58',null);
INSERT INTO complaint_statuses VALUES('21801','6739','3',null,'53',null,'11-JUNE-2021
COM NO-301137884','74','73','2021-06-10 17:49:10','2021-06-11 14:32:15',null);
INSERT INTO complaint_statuses VALUES('21802','6740','2',null,'81',null,'10-JUNE-2021
COM FF TO BEST COOL','74','74','2021-06-10 18:20:41','2021-06-10 18:20:41',null);
INSERT INTO complaint_statuses VALUES('21803','6741','3',null,'53',null,'11-JUNE-2021
COMPLAINT#301137892','74','73','2021-06-10 18:22:15','2021-06-11 14:46:23',null);
INSERT INTO complaint_statuses VALUES('21804','6559','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-10 18:24:34','2021-06-10 18:24:34',null);
INSERT INTO complaint_statuses VALUES('21805','6551','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-10 18:26:39','2021-06-10 18:26:39',null);
INSERT INTO complaint_statuses VALUES('21806','6742','3',null,'52',null,'11-JUNE-2021
COM NO-PKRI-210611111231','74','73','2021-06-10 18:27:50','2021-06-11 15:19:27',null);
INSERT INTO complaint_statuses VALUES('21807','6550','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-10 18:29:21','2021-06-10 18:29:21',null);
INSERT INTO complaint_statuses VALUES('21808','6743','3',null,'56',null,'11-JUNE-2021
COM NO-F11/016','74','73','2021-06-10 18:35:11','2021-06-11 15:05:06',null);
INSERT INTO complaint_statuses VALUES('21809','6744','3',null,'72',null,'10-JUNE-2021
COMPLAINT#192123838','74','73','2021-06-10 18:37:42','2021-06-11 13:12:49',null);
INSERT INTO complaint_statuses VALUES('21810','6745','3',null,'53',null,'11-JUNE-2021
COMPLAINT#301137897','74','73','2021-06-10 18:43:08','2021-06-11 14:48:17',null);
INSERT INTO complaint_statuses VALUES('21811','6746','3',null,'56',null,'11-JUNE-2021
COM NO-F11/017','74','73','2021-06-10 18:45:18','2021-06-11 15:06:34',null);
INSERT INTO complaint_statuses VALUES('21812','6740','4',null,'58',null,null,'81','81','2021-06-10 18:47:49','2021-06-10 18:47:49',null);
INSERT INTO complaint_statuses VALUES('21813','6747','3',null,'65',null,'10-JUNE-2021
COMPLAINT#192123862','74','73','2021-06-10 18:55:59','2021-06-11 16:00:22',null);
INSERT INTO complaint_statuses VALUES('21814','6748','3',null,'55',null,'11-JUNE-2021
COM NO-RWP-781039','74','73','2021-06-10 19:00:26','2021-06-11 15:50:08',null);
INSERT INTO complaint_statuses VALUES('21815','6749','3',null,'56',null,'11-JUNE-2021
COM NO-F11/018','74','73','2021-06-10 19:07:30','2021-06-11 15:08:26',null);
INSERT INTO complaint_statuses VALUES('21816','6750','3',null,'52',null,'11-JUNE-2021
COM NO-PKRI-210611111288','74','73','2021-06-10 19:11:38','2021-06-11 15:30:20',null);
INSERT INTO complaint_statuses VALUES('21817','6617','7','12','81','Auto wair OK 800 f',null,'88','88','2021-06-10 19:15:16','2021-06-10 19:15:16',null);
INSERT INTO complaint_statuses VALUES('21818','6641','7','10','81','phone not atending',null,'83','83','2021-06-10 19:25:30','2021-06-10 19:25:30',null);
INSERT INTO complaint_statuses VALUES('21819','6751','3',null,'52',null,'11-JUNE-2021
COMPLAINT#PKRI-210611104630','74','74','2021-06-11 10:30:50','2021-06-11 11:24:05',null);
INSERT INTO complaint_statuses VALUES('21820','6752','2',null,'81',null,'11-JUNE-2021
FF TO B.COOL','74','74','2021-06-11 10:36:04','2021-06-11 10:36:04',null);
INSERT INTO complaint_statuses VALUES('21821','6752','4',null,'58',null,null,'81','81','2021-06-11 10:36:57','2021-06-11 10:36:57',null);
INSERT INTO complaint_statuses VALUES('21822','6753','3',null,'52',null,'11-JUNE-2021
COMPLAINT#PKRI-210611104544
COMPLAINT#PKRI-210611104523.
COMPLAINT#PKRI-210611104458','74','73','2021-06-11 10:58:31','2021-06-11 14:50:37',null);
INSERT INTO complaint_statuses VALUES('21823','6754','3',null,'65',null,'11-JUNE-2021
COMPLAINT#192123785','74','74','2021-06-11 11:15:49','2021-06-11 11:18:48',null);
INSERT INTO complaint_statuses VALUES('21824','6755','3',null,'52',null,'11-JUNE-2021
COMPLAINT#PKRI-210611105430','74','74','2021-06-11 11:35:36','2021-06-11 11:50:14',null);
INSERT INTO complaint_statuses VALUES('21825','6756','3',null,'52',null,'11-JUNE-2021
COMPLAINT#PKJM2



10611105314
NEW COMPLAINT#PKJM210804105950','74','74','2021-06-11 11:35:42','2021-08-04 12:47:13',null);
INSERT INTO complaint_statuses VALUES('21826','6757','3',null,'53',null,'11-JUNE-2021
COMPLAINT#301137683','74','92','2021-06-11 11:44:03','2021-06-17 15:23:53',null);
INSERT INTO complaint_statuses VALUES('21827','6607','7','12','81','Unit ok temperature setting guide to cusotmer
Oy visit rs 500',null,'83','83','2021-06-11 12:05:23','2021-06-11 12:05:23',null);
INSERT INTO complaint_statuses VALUES('21828','6758','3',null,'80',null,'11-JUNE-2021
FF TO MISS AYSHA  LHR','74','92','2021-06-11 12:05:25','2021-06-13 13:36:52',null);
INSERT INTO complaint_statuses VALUES('21829','6678','7','12','81','mobie no plz',null,'79','79','2021-06-11 12:08:41','2021-06-11 12:08:41',null);
INSERT INTO complaint_statuses VALUES('21830','6759','3',null,'90',null,'11-JUNE-2021
COMPLAINT#1407','74','74','2021-06-11 12:13:47','2021-06-11 12:13:47',null);
INSERT INTO complaint_statuses VALUES('21831','6710','7','12','81','complaint resolved',null,'79','79','2021-06-11 12:17:10','2021-06-11 12:17:10',null);
INSERT INTO complaint_statuses VALUES('21832','6760','3',null,'54',null,'11-JUNE-2021
COMPLAINT#1898996','74','92','2021-06-11 12:20:09','2021-06-23 11:26:17',null);
INSERT INTO complaint_statuses VALUES('21833','6720','7','12','81','pwd sy purchase  hai kindly dekh liyakry  ,wesy complaint resolved hai,',null,'79','79','2021-06-11 12:42:20','2021-06-11 12:42:20',null);
INSERT INTO complaint_statuses VALUES('21834','6761','3',null,'55',null,'11-JUNE-2021
COMPLAINT#RWP-781043','74','73','2021-06-11 12:44:10','2021-06-11 15:49:57',null);
INSERT INTO complaint_statuses VALUES('21835','6762','3',null,'66',null,'11-JUNE-2021
COMPLAINT#PK061120210057','74','73','2021-06-11 12:54:17','2021-06-11 16:23:41',null);
INSERT INTO complaint_statuses VALUES('21836','6763','3',null,'54',null,'11-JUNE-2021
COMPLAINT#1899309','74','73','2021-06-11 13:01:45','2021-06-11 16:29:03',null);
INSERT INTO complaint_statuses VALUES('21837','6764','3',null,'63',null,'11-JUNE-2021
COMPLAINT#874','74','73','2021-06-11 13:07:36','2021-06-11 16:05:51',null);
INSERT INTO complaint_statuses VALUES('21838','6765','3',null,'52',null,'11-JUNE-2021
COMPLAINT#PKRI-210611111439','74','73','2021-06-11 13:13:20','2021-06-11 15:29:55',null);
INSERT INTO complaint_statuses VALUES('21839','6448','7','12','81','in ka ref ka koi issue temp  bhi theek hai',null,'79','79','2021-06-11 13:17:09','2021-06-11 13:17:09',null);
INSERT INTO complaint_statuses VALUES('21840','6555','7','12','81','complaint reoslved',null,'79','79','2021-06-11 13:19:39','2021-06-11 13:19:39',null);
INSERT INTO complaint_statuses VALUES('21841','6432','7','12','81','cistoerm ny i 10 ly kr ana tha agr nahi lye tu close k dein complaint',null,'79','79','2021-06-11 13:20:42','2021-06-11 13:20:42',null);
INSERT INTO complaint_statuses VALUES('21842','6766','2',null,'81',null,'11-JUNE-2021
FF TO B.COOL','74','74','2021-06-11 13:20:56','2021-06-11 13:20:56',null);
INSERT INTO complaint_statuses VALUES('21843','6462','7','12','81','customer nai ly kr aye kindly is ko bhi closed kr dein .',null,'79','79','2021-06-11 13:21:42','2021-06-11 13:21:42',null);
INSERT INTO complaint_statuses VALUES('21844','6519','7','12','81','complaint reoslved',null,'79','79','2021-06-11 13:23:55','2021-06-11 13:23:55',null);
INSERT INTO complaint_statuses VALUES('21845','6547','7','12','81','complaint resolved',null,'79','79','2021-06-11 13:24:51','2021-06-11 13:24:51',null);
INSERT INTO complaint_statuses VALUES('21846','6766','4',null,'58',null,null,'81','81','2021-06-11 13:26:41','2021-06-11 13:26:41',null);
INSERT INTO complaint_statuses VALUES('21847','6529','7','12','81','complaint resolved',null,'79','79','2021-06-11 13:26:58','2021-06-11 13:26:58',null);
INSERT INTO complaint_statuses VALUES('21848','6767','3',null,'52',null,'11-JUNE-2021 
COMPLAINT#pkri-210611113379','74','73','2021-06-11 13:31:28','2021-06-11 16:50:10',null);
INSERT INTO complaint_statuses VALUES('21849','6557','7','12','81','ye cusotmer service center  ly kr yae gain ,,abhi tk nahi lai ,or na call pick kr rahy',null,'79','79','2021-06-11 13:31:37','2021-06-11 13:31:37',null);
INSERT INTO complaint_statuses VALUES('21850','6768','3',null,'65',null,'11-JUNE-2021
COMPLAINT#192123864','74','73','2021-06-11 13:42:53','2021-06-11 16:02:59',null);
INSERT INTO complaint_statuses VALUES('21851','6769','3',null,'52',null,'11-JUNE-2021
COMPLAINT#PKRI-210611114544','74','73','2021-06-11 13:48:16','2021-06-11 17:43:32',null);
INSERT INTO complaint_statuses VALUES('21852','6770','3',null,'52',null,'11-JUNE-2021
COMPLAINT#pkri-210611114617','74','73','2021-06-11 13:57:59','2021-06-11 17:42:14',null);
INSERT INTO complaint_statuses VALUES('21853','6771','2',null,'81',null,'11-JUNE-2021
FF TO USMAN MRM','74','74','2021-06-11 14:05:11','2021-06-11 14:05:11',null);
INSERT INTO complaint_statuses VALUES('21854','6771','4',null,'61',null,null,'81','81','2021-06-11 14:05:34','2021-06-11 14:05:34',null);
INSERT INTO complaint_statuses VALUES('21855','6772','3',null,'66',null,'11-JUNE-2021
COMPLAINT#PK-061120210089
REOPEN COM NO PK070620210105
FF  TO 03335123979','74','92','2021-06-11 14:26:55','2021-07-06 15:16:31',null);
INSERT INTO complaint_statuses VALUES('21856','6773','3',null,'73',null,'11-JUNE-2021
COMPLAINT#4777','74','73','2021-06-11 14:33:07','2021-06-11 16:10:50',null);
INSERT INTO complaint_statuses VALUES('21857','6774','3',null,'66',null,'14-JUNE-2021
COMPLAINT#PK-061420210133','74','73','2021-06-11 14:45:16','2021-06-14 15:50:22',null);
INSERT INTO complaint_statuses VALUES('21858','6775','2',null,'81',null,'11-JUNE-2021
FF TO HOME SOLUTION','74','74','2021-06-11 14:50:07','2021-06-11 14:50:07',null);
INSERT INTO complaint_statuses VALUES('21859','6775','4',null,'62',null,null,'81','81','2021-06-11 14:50:33','2021-06-11 14:50:33',null);
INSERT INTO complaint_statuses VALUES('21860','6776','3',null,'68',null,'11-JUNE-2021 
COMPLAINT#R.W.P-2617','74','74','2021-06-11 15:15:30','2021-06-11 15:18:09',null);
INSERT INTO complaint_statuses VALUES('21861','6777','2',null,'81',null,'11-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-11 15:23:19','2021-06-11 15:23:19',null);
INSERT INTO complaint_statuses VALUES('21862','6777','4',null,'55',null,null,'81','81','2021-06-11 15:24:17','2021-06-11 15:24:17',null);
INSERT INTO complaint_statuses VALUES('21863','6778','2',null,'81',null,'11-JUNE-2021.
FF TO SHAMIM AKHTER','74','74','2021-06-11 15:37:52','2021-06-11 15:37:52',null);
INSERT INTO complaint_statuses VALUES('21864','6778','4',null,'55',null,null,'81','81','2021-06-11 15:38:18','2021-06-11 15:38:18',null);
INSERT INTO complaint_statuses VALUES('21865','6779','3',null,'54',null,'11-JUNE-2021
COMPLAINT#1899313','74','73','2021-06-11 15:44:19','2021-06-11 16:30:30',null);
INSERT INTO complaint_statuses VALUES('21866','6780','3',null,'54',null,'11-JUNE-2021
COMPLAINT#1899324','74','73','2021-06-11 15:49:45','2021-06-11 16:32:55',null);
INSERT INTO complaint_statuses VALUES('21867','6781','2',null,'81',null,'11-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-11 16:08:19','2021-06-11 16:08:19',null);
INSERT INTO complaint_statuses VALUES('21868','6781','4',null,'55',null,null,'81','81','2021-06-11 16:08:39','2021-06-11 16:08:39',null);
INSERT INTO complaint_statuses VALUES('21869','6782','3',null,'65',null,'11-JUNE-2021
COMPLAINT#192123880','74','73','2021-06-11 16:10:19','2021-06-11 17:06:17',null);
INSERT INTO complaint_statuses VALUES('21870','6783','3',null,'53',null,'11-JUNE-2021
COMPLAINT#301138029','74','73','2021-06-11 16:19:37','2021-06-11 17:26:34',null);
INSERT INTO complaint_statuses VALUES('21871','6606','7','26','81','Farwerd to orent plz',null,'82','82','2021-06-11 16:42:20','2021-06-11 16:42:20',null);
INSERT INTO complaint_statuses VALUES('21872','6784','3',null,'54',null,'11-JUNE-2021
COMPLAINT#1899400','74','73','2021-06-11 17:01:08','2021-06-11 17:13:27',null);
INSERT INTO complaint_statuses VALUES('21873','6785','3',null,'65',null,'11-JUNE-2021
COMPLAINT#192123885','74','73','2021-06-11 17:07:46','2021-06-11 17:21:06',null);
INSERT INTO complaint_statuses VALUES('21874','6786','3',null,'53',null,'11-JUNE-2021
COMPLAINT#301138031','74','73','2021-06-11 17:16:08','2021-06-11 17:30:25',null);
INSERT INTO complaint_statuses VALUES('21875','4526','8','23','59',null,null,'81','81','2021-06-11 17:27:12','2021-06-11 17:27:12',null);
INSERT INTO complaint_statuses VALUES('21876','6042','8','23','59','AGR AP K PASS PANAL AVAIL HAIN TU READY KAR DAY SET OTHER WAISE HAMAY WAPISE BAJWA DAY',null,'81','81','2021-06-11 17:30:51','2021-06-11 17:30:51',null);
INSERT INTO complaint_statuses VALUES('21877','6787','3',null,'55',null,'11-JUNE-2021
COMPLAINT#RWP-20824','74','73','2021-06-11 17:33:32','2021-06-11 17:48:41',null);
INSERT INTO complaint_statuses VALUES('21878','6788','2',null,'81',null,'11-JUNE-2021
FF TO KHURRAM 5 STAR','74','74','2021-06-11 17:51:01','2021-06-11 17:51:01',null);
INSERT INTO complaint_statuses VALUES('21879','6788','4',null,'63',null,null,'81','81','2021-06-11 17:55:35','2021-06-11 17:55:35',null);
INSERT INTO complaint_statuses VALUES('21880','6789','3',null,'55',null,'11-JUNE-2021
COMPLAINT#RWP-781166','74','73','2021-06-11 17:58:40','2021-06-11 18:08:10',null);
INSERT INTO complaint_statuses VALUES('21881','4526','7','12','81','es ka main board khen say b ni mel raha complain close kr dyn',null,'80','80','2021-06-11 18:03:08','2021-06-11 18:03:08',null);
INSERT INTO complaint_statuses VALUES('21882','6042','7','12','81','set main panel line the aslam say ly k ay thy naeem sab say bat hoe the es LED ka panel repair ni ho skta edge panel hy open krny say panel damge b ho skta hy naeem sb ny appovel ni di aslam sb ny set pick kr lia hy',null,'80','80','2021-06-11 18:04:57','2021-06-11 18:04:57',null);
INSERT INTO complaint_statuses VALUES('21883','6636','7','24','81','Hafty ko jana hy',null,'82','82','2021-06-11 18:24:52','2021-06-11 18:24:52',null);
INSERT INTO complaint_statuses VALUES('21884','6790','3',null,'53',null,'12-JUNE-2021
COMPLAINT#301138254','74','73','2021-06-12 11:14:06','2021-06-12 11:40:45',null);
INSERT INTO complaint_statuses VALUES('21885','6791','3',null,'65',null,'12-JUNE-2021
COMPLAINT#192123926','74','73','2021-06-12 11:58:26','2021-06-12 12:06:00',null);
INSERT INTO complaint_statuses VALUES('21886','6792','3',null,'55',null,'12-JUNE-2021
COMPLAINT#RWP-20847','74','73','2021-06-12 12:01:43','2021-06-12 12:10:45',null);
INSERT INTO complaint_statuses VALUES('21887','6793','3',null,'52',null,'12-JUNE-2020
COMPLAINT#PKRI-210612110443','74','73','2021-06-12 12:06:29','2021-06-12 14:44:31',null);
INSERT INTO complaint_statuses VALUES('21888','6794','3',null,'55',null,'12-JUNE-2021
COMPLAINT#RWP-781528','74','73','2021-06-12 12:11:15','2021-06-12 13:17:39',null);
INSERT INTO complaint_statuses VALUES('21889','6795','3',null,'53',null,'12-JUNE-2021
COMPLAINT#301138344','74','73','2021-06-12 12:14:31','2021-06-12 12:22:59',null);
INSERT INTO complaint_statuses VALUES('21890','6796','3',null,'65',null,'12-JUNE-2021
COMPLAINT#192123933','74','73','2021-06-12 12:25:58','2021-06-12 12:36:07',null);
INSERT INTO complaint_statuses VALUES('21891','6797','2',null,'81',null,'12-JUNE-2021
FF TO B.COOL','74','74','2021-06-12 12:33:05','2021-06-12 12:33:05',null);
INSERT INTO complaint_statuses VALUES('21892','6797','4',null,'58',null,null,'81','81','2021-06-12 12:34:09','2021-06-12 12:34:09',null);
INSERT INTO complaint_statuses VALUES('21893','6798','2',null,'81',null,'12-JUNE-2021
FF TO B.COOL','74','74','2021-06-12 12:41:44','2021-06-12 12:41:44',null);
INSERT INTO complaint_statuses VALUES('21894','6798','4',null,'58',null,null,'81','81','2021-06-12 12:43:00','2021-06-12 12:43:00',null);
INSERT INTO complaint_statuses VALUES('21895','6720','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-12 12:47:19','2021-06-12 13:42:04',null);
INSERT INTO complaint_statuses VALUES('21896','6710','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-12 12:48:53','2021-06-12 13:42:39',null);
INSERT INTO complaint_statuses VALUES('21897','6641','5','25',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-12 12:50:03','2021-06-12 14:27:47',null);
INSERT INTO complaint_statuses VALUES('21898','6799','3',null,'55',null,'12-JUNE-2021
COMPLAINT#ISB-781531','74','73','2021-06-12 12:51:29','2021-06-12 13:19:15',null);
INSERT INTO complaint_statuses VALUES('21899','6617','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-12 12:53:47','2021-06-12 14:30:10',null);
INSERT INTO complaint_statuses VALUES('21900','6800','3',null,'52',null,'12-JUNE-2021
COMPLAINT#PKRI-210612110729','74','73','2021-06-12 12:55:22','2021-06-12 14:49:52',null);
INSERT INTO complaint_statuses VALUES('21901','6607','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-12 12:55:53','2021-06-12 14:33:46',null);
INSERT INTO complaint_statuses VALUES('21902','6557','5','25',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-12 12:57:58','2021-06-12 14:35:42',null);
INSERT INTO complaint_statuses VALUES('21903','6555','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-12 12:59:04','2021-06-12 14:39:28',null);
INSERT INTO complaint_statuses VALUES('21904','6529','8','23','58','COMPLAINT PAR VISIT HO GAYA HAY BUT ISSUE NOT RESOLVED',null,'81','81','2021-06-12 13:03:43','2021-06-12 13:03:43',null);
INSERT INTO complaint_statuses VALUES('21905','6547','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-12 13:06:25','2021-06-12 14:41:38',null);
INSERT INTO complaint_statuses VALUES('21906','6801','3',null,'53',null,'12-JUN-2021
COMPLAINT#301138338','74','73','2021-06-12 13:09:48','2021-06-12 15:00:34',null);
INSERT INTO complaint_statuses VALUES('21907','6519','8','23','58','SIR CUSTOMER SAY BAT HUAI HAY VISIT NAI HUA VISIT ARRANGE KARWAY',null,'81','81','2021-06-12 13:11:57','2021-06-12 13:11:57',null);
INSERT INTO complaint_statuses VALUES('21908','6462','5','25',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-12 13:14:25','2021-06-12 14:44:00',null);
INSERT INTO complaint_statuses VALUES('21909','6432','8','23','58','CUSTOMER SAY BAT HUAI HAY KAL S/C LAY KAR AYN GAY UNIT CUSTOMER',null,'81','81','2021-06-12 13:17:14','2021-06-12 13:17:14',null);
INSERT INTO complaint_statuses VALUES('21910','6229','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-12 13:19:27','2021-06-12 14:46:09',null);
INSERT INTO complaint_statuses VALUES('21911','6802','3',null,'53',null,'12-JUNE-2021
COMPLAINT#301138509','74','73','2021-06-12 13:20:00','2021-06-12 15:04:30',null);
INSERT INTO complaint_statuses VALUES('21912','6079','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-12 13:21:50','2021-06-12 14:47:42',null);
INSERT INTO complaint_statuses VALUES('21913','6684','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-12 13:27:23','2021-06-12 13:27:23',null);
INSERT INTO complaint_statuses VALUES('21914','6693','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-12 13:30:55','2021-06-12 13:30:55',null);
INSERT INTO complaint_statuses VALUES('21915','6692','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-12 13:32:15','2021-06-12 13:32:15',null);
INSERT INTO complaint_statuses VALUES('21916','6699','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-12 13:34:38','2021-06-12 13:34:38',null);
INSERT INTO complaint_statuses VALUES('21917','6706','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-12 13:46:00','2021-06-12 13:46:00',null);
INSERT INTO complaint_statuses VALUES('21918','6742','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-12 13:55:04','2021-06-12 13:55:04',null);
INSERT INTO complaint_statuses VALUES('21919','6803','2',null,'81',null,'12-JUNE-2020
FF TO SHAMIMAKHTER','74','74','2021-06-12 13:57:55','2021-06-12 13:57:55',null);
INSERT INTO complaint_statuses VALUES('21920','6804','3',null,'52',null,'12-JUNE-2021
COMPLAINT#PKRI-210612110889','74','73','2021-06-12 14:06:51','2021-06-12 14:53:48',null);
INSERT INTO complaint_statuses VALUES('21921','6805','2',null,'81',null,'12-JUNE-2021
FF TO HOME SOLUTION','74','74','2021-06-12 14:38:18','2021-06-12 14:38:18',null);
INSERT INTO complaint_statuses VALUES('21922','6805','4',null,'62',null,null,'81','81','2021-06-12 14:38:49','2021-06-12 14:38:49',null);
INSERT INTO complaint_statuses VALUES('21923','6803','4',null,'55',null,null,'81','81','2021-06-12 14:39:09','2021-06-12 14:39:09',null);
INSERT INTO complaint_statuses VALUES('21924','6806','3',null,'53',null,'12-JUNE-2021
COMPLAINT#301138596','74','73','2021-06-12 14:43:54','2021-06-12 15:08:38',null);
INSERT INTO complaint_statuses VALUES('21925','6807','2',null,'81',null,'12-JUNE-2021
FF TO B.COOL','74','74','2021-06-12 14:50:29','2021-06-12 14:50:29',null);
INSERT INTO complaint_statuses VALUES('21926','6807','4',null,'58',null,null,'81','81','2021-06-12 14:51:03','2021-06-12 14:51:03',null);
INSERT INTO complaint_statuses VALUES('21927','6808','3',null,'65',null,'12-JUNE-2021
COMPLAINT#192123965','74','73','2021-06-12 14:52:58','2021-06-12 15:44:47',null);
INSERT INTO complaint_statuses VALUES('21928','6809','2',null,'81',null,'12-JUNE-2021
FF TO HOME SOLUTION','74','74','2021-06-12 15:01:33','2021-06-12 15:01:33',null);
INSERT INTO complaint_statuses VALUES('21929','6809','4',null,'62',null,null,'81','81','2021-06-12 15:02:58','2021-06-12 15:02:58',null);
INSERT INTO complaint_statuses VALUES('21930','6810','2',null,'81',null,'12-JUNE-2021
FF TO B.COOL','74','74','2021-06-12 15:06:29','2021-06-12 15:06:29',null);
INSERT INTO complaint_statuses VALUES('21931','6811','2',null,'81',null,'12-JUNE-2021
COM FF TO BEST COOL','74','74','2021-06-12 15:07:06','2021-06-12 15:07:06',null);
INSERT INTO complaint_statuses VALUES('21932','6811','4',null,'58',null,null,'81','81','2021-06-12 15:07:26','2021-06-12 15:07:26',null);
INSERT INTO complaint_statuses VALUES('21933','6810','4',null,'58',null,null,'81','81','2021-06-12 15:07:27','2021-06-12 15:07:27',null);
INSERT INTO complaint_statuses VALUES('21934','6633','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-12 15:21:59','2021-06-12 15:21:59',null);
INSERT INTO complaint_statuses VALUES('21935','6812','2',null,'81',null,'12-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-12 15:23:18','2021-06-12 15:23:18',null);
INSERT INTO complaint_statuses VALUES('21936','6812','4',null,'55',null,null,'81','81','2021-06-12 15:24:46','2021-06-12 15:24:46',null);
INSERT INTO complaint_statuses VALUES('21937','6813','2',null,'81',null,'12-JUNE-2021
FF TO HOME SOLUTION','74','74','2021-06-12 15:29:28','2021-06-12 15:29:28',null);
INSERT INTO complaint_statuses VALUES('21938','6813','4',null,'62',null,null,'81','81','2021-06-12 15:29:51','2021-06-12 15:29:51',null);
INSERT INTO complaint_statuses VALUES('21939','6719','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-12 15:32:06','2021-06-12 15:32:06',null);
INSERT INTO complaint_statuses VALUES('21940','6814','3',null,'52',null,'12-JUNE-2021
COMPLAINT#PKRI-210612113361','74','73','2021-06-12 15:33:57','2021-06-12 16:35:16',null);
INSERT INTO complaint_statuses VALUES('21941','6815','3',null,'53',null,'12-JUNE-2021
COMPLAINT#301138665','74','73','2021-06-12 15:36:18','2021-06-12 15:50:13',null);
INSERT INTO complaint_statuses VALUES('21942','6816','3',null,'52',null,'12-JUNE-2021
COMPLAINT#PKRI-210612113445','74','73','2021-06-12 15:45:14','2021-06-12 16:39:18',null);
INSERT INTO complaint_statuses VALUES('21943','6817','3',null,'52',null,'12-JUNE-2021
COMPLAINT#PKRP-210612113491','74','73','2021-06-12 15:53:49','2021-06-12 16:42:24',null);
INSERT INTO complaint_statuses VALUES('21944','6818','3',null,'52',null,'12-JUNE-2021
COMPLAINT#PKRI-210612113780','74','73','2021-06-12 15:59:16','2021-06-12 17:02:07',null);
INSERT INTO complaint_statuses VALUES('21945','6475','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-12 15:59:27','2021-06-12 15:59:27',null);
INSERT INTO complaint_statuses VALUES('21946','6819','3',null,'65',null,'12-JUNE-2021
COMPLAINT#192123980','74','73','2021-06-12 16:09:32','2021-06-12 17:08:05',null);
INSERT INTO complaint_statuses VALUES('21947','6678','8','23','58','03335594748',null,'81','81','2021-06-12 16:14:36','2021-06-12 16:14:36',null);
INSERT INTO complaint_statuses VALUES('21948','6722','7','12','81','Defrosting problem  
bio metal repalced unit ok 
plz close job',null,'83','83','2021-06-12 16:25:53','2021-06-12 16:25:53',null);
INSERT INTO complaint_statuses VALUES('21949','6820','3',null,'52',null,'12-JUNE-2021
COMPLAINT#PKRI-210612113856','74','73','2021-06-12 16:26:50','2021-06-12 16:59:45',null);
INSERT INTO complaint_statuses VALUES('21950','6821','3',null,'54',null,'12-JUNE-2021
COMPLAINT#1900575','74','73','2021-06-12 16:34:40','2021-06-12 17:15:18',null);
INSERT INTO complaint_statuses VALUES('21951','6822','2',null,'81',null,'12-JUNE-2021
COM FF TO HOME SOLUTION','74','74','2021-06-12 16:41:07','2021-06-12 16:41:07',null);
INSERT INTO complaint_statuses VALUES('21952','6823','3',null,'53',null,'12-JUNE-2021
COMPLAINT#301138739','74','73','2021-06-12 16:42:58','2021-06-12 17:29:50',null);
INSERT INTO complaint_statuses VALUES('21953','6824','3',null,'72',null,'12-JUNE-2021
COMPLAINT#072118129 REOPEN COM NO 072118432','74','92','2021-06-12 16:44:36','2021-07-06 13:24:35',null);
INSERT INTO complaint_statuses VALUES('21954','6825','2',null,'81',null,'12-JUNE-2021
COM FF TO HOME SOLUTION','74','74','2021-06-12 16:44:56','2021-06-12 16:44:56',null);
INSERT INTO complaint_statuses VALUES('21955','6826','3',null,'97',null,'12-JUNE-2021
COMPLAINT#202106010037','74','73','2021-06-12 16:48:11','2021-06-12 17:45:14',null);
INSERT INTO complaint_statuses VALUES('21956','6827','2',null,'81',null,'12-JUNE-2021
COM FF TO HOME SOLUTION','74','74','2021-06-12 16:48:50','2021-06-12 16:48:50',null);
INSERT INTO complaint_statuses VALUES('21957','6827','4',null,'62',null,null,'81','81','2021-06-12 16:49:24','2021-06-12 16:49:24',null);
INSERT INTO complaint_statuses VALUES('21958','6827','4',null,'62',null,null,'81','81','2021-06-12 16:49:24','2021-06-12 16:49:24',null);
INSERT INTO complaint_statuses VALUES('21959','6825','4',null,'62',null,null,'81','81','2021-06-12 16:49:33','2021-06-12 16:49:33',null);
INSERT INTO complaint_statuses VALUES('21960','6822','4',null,'62',null,null,'81','81','2021-06-12 16:49:40','2021-06-12 16:49:40',null);
INSERT INTO complaint_statuses VALUES('21961','6822','4',null,'62',null,null,'81','81','2021-06-12 16:49:40','2021-06-12 16:49:40',null);
INSERT INTO complaint_statuses VALUES('21962','6828','2',null,'81',null,'12-JUNE-2021
FF TO KHURRAM FIVE STAR','74','74','2021-06-12 16:51:23','2021-06-12 16:56:13',null);
INSERT INTO complaint_statuses VALUES('21963','6829','3',null,'53',null,'12-JUNE-2021
COM NO-301138740','74','73','2021-06-12 16:54:44','2021-06-12 17:33:05',null);
INSERT INTO complaint_statuses VALUES('21964','6828','4',null,'63',null,null,'81','81','2021-06-12 16:57:01','2021-06-12 16:57:01',null);
INSERT INTO complaint_statuses VALUES('21965','6771','7','10','81','Phone not attending',null,'83','83','2021-06-12 16:59:44','2021-06-12 16:59:44',null);
INSERT INTO complaint_statuses VALUES('21966','6830','3',null,'85',null,'12-JUNE-2021
COMPLAINT#301138742','74','73','2021-06-12 17:04:17','2021-06-12 17:33:20',null);
INSERT INTO complaint_statuses VALUES('21967','6831','3',null,'65',null,'12-JUNE-2021
COM NO-192123988','74','73','2021-06-12 17:05:13','2021-06-12 17:50:57',null);
INSERT INTO complaint_statuses VALUES('21968','6832','2',null,'81',null,'12-JUNE-2021
COMPLAINT#','74','74','2021-06-12 17:08:40','2021-06-12 17:14:18',null);
INSERT INTO complaint_statuses VALUES('21969','6833','2',null,'81',null,'12-JUNE-2021
FF TO USMAN MRM','74','74','2021-06-12 17:12:51','2021-06-12 17:12:51',null);
INSERT INTO complaint_statuses VALUES('21970','6833','4',null,'61',null,null,'81','81','2021-06-12 17:13:20','2021-06-12 17:13:20',null);
INSERT INTO complaint_statuses VALUES('21971','6832','4',null,'64',null,null,'81','81','2021-06-12 17:14:48','2021-06-12 17:14:48',null);
INSERT INTO complaint_statuses VALUES('21972','6595','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-12 17:28:15','2021-06-12 17:28:15',null);
INSERT INTO complaint_statuses VALUES('21973','6616','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-12 17:30:24','2021-06-12 17:30:24',null);
INSERT INTO complaint_statuses VALUES('21974','6670','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-12 17:31:07','2021-06-12 17:31:07',null);
INSERT INTO complaint_statuses VALUES('21975','6834','3',null,'53',null,'12-JUNE-2021
COMPLAINT#301138809','74','73','2021-06-12 17:35:13','2021-06-13 11:24:26',null);
INSERT INTO complaint_statuses VALUES('21976','6723','2',null,'81',null,null,'74','74','2021-06-12 17:39:19','2021-06-12 17:39:19',null);
INSERT INTO complaint_statuses VALUES('21977','6723','4',null,'64',null,null,'81','81','2021-06-12 17:39:42','2021-06-12 17:39:42',null);
INSERT INTO complaint_statuses VALUES('21978','6825','7','26','81','DOUBLE 
TASN NO 6822',null,'87','87','2021-06-12 17:44:20','2021-06-12 17:44:20',null);
INSERT INTO complaint_statuses VALUES('21979','6738','7','26','81','SELF INSTALLED ,FRWD TO COMPANY',null,'87','87','2021-06-12 17:53:25','2021-06-12 17:53:25',null);
INSERT INTO complaint_statuses VALUES('21980','6835','3',null,'52',null,'12-JUNE-2021
COMPLAINTPKRI-210612115124','74','73','2021-06-12 17:53:41','2021-06-12 18:01:53',null);
INSERT INTO complaint_statuses VALUES('21981','6738','5','15',null,'FF TO COMPANY','COMPLAINT COMPLETED','81','92','2021-06-12 17:55:58','2021-06-15 12:39:43',null);
INSERT INTO complaint_statuses VALUES('21982','6836','3',null,'65',null,'13-JUNE-2021
COMPLAINT#192123996','74','73','2021-06-12 17:56:59','2021-06-13 11:44:16',null);
INSERT INTO complaint_statuses VALUES('21983','6837','2',null,'81',null,'12-JUN-2021
COMPLAINT#301138813','74','73','2021-06-12 18:01:40','2021-06-13 11:27:39',null);
INSERT INTO complaint_statuses VALUES('21984','6837','4',null,'64',null,null,'81','81','2021-06-12 18:02:42','2021-06-12 18:02:42',null);
INSERT INTO complaint_statuses VALUES('21985','6838','3',null,'52',null,'13-JUNE-2021
COMPLAINT#PKRI-210613106445','74','73','2021-06-12 18:12:30','2021-06-13 14:23:02',null);
INSERT INTO complaint_statuses VALUES('21986','6740','7','12','81','compliant resolved.no issue in ac,',null,'79','79','2021-06-12 19:51:58','2021-06-12 19:51:58',null);
INSERT INTO complaint_statuses VALUES('21987','6480','7','12','81','water pressure issue, wm ka koi issue nahi ,custoemr ko bata dy ahai',null,'79','79','2021-06-12 20:41:00','2021-06-12 20:41:00',null);
INSERT INTO complaint_statuses VALUES('21988','6708','7','24','81','ye work shop ly kr aye gain inho ny khud ,open kia hua hai','YHA HOOD I 10/ SC LA AAY HAIN CUSTOMER','79','74','2021-06-12 20:42:59','2021-06-14 13:15:37',null);
INSERT INTO complaint_statuses VALUES('21989','6687','7','12','81','filter issue ,complaint reoslved',null,'79','79','2021-06-12 20:43:32','2021-06-12 20:43:32',null);
INSERT INTO complaint_statuses VALUES('21990','6664','7','12','81','cusotemr call kry gain tb jana hai',null,'79','79','2021-06-12 20:53:58','2021-06-12 20:53:58',null);
INSERT INTO complaint_statuses VALUES('21991','6810','7','12','81','ye ac pwd sy salre hua hai',null,'79','79','2021-06-13 10:19:00','2021-06-13 10:19:00',null);
INSERT INTO complaint_statuses VALUES('21992','6839','3',null,'65',null,'13-JUNE-2021
COM NO#192123995','92','73','2021-06-13 10:42:22','2021-06-13 11:41:11',null);
INSERT INTO complaint_statuses VALUES('21993','6519','7','12','81','compliant resolved',null,'79','79','2021-06-13 10:45:00','2021-06-13 10:45:00',null);
INSERT INTO complaint_statuses VALUES('21994','6840','2',null,'81',null,'13-JUNE-2021
COM FF TO BEST COOL','92','92','2021-06-13 11:01:34','2021-06-13 11:01:34',null);
INSERT INTO complaint_statuses VALUES('21995','6841','2',null,'81',null,'13-JUNE-2021
COM FF TO HOME SOLUTION','92','92','2021-06-13 11:16:32','2021-06-13 11:16:32',null);
INSERT INTO complaint_statuses VALUES('21996','6842','3',null,'55',null,'13-JUNE-2021
COM NO#RWP-781976','92','73','2021-06-13 11:31:03','2021-06-13 12:08:23',null);
INSERT INTO complaint_statuses VALUES('21997','6843','3',null,'55',null,'13-JUNE-2021
COM NO#RWP-781977','92','73','2021-06-13 11:35:15','2021-06-13 12:08:36',null);
INSERT INTO complaint_statuses VALUES('21998','6715','7','12','81','voltage ka issue tha ac ka koi issue nahi, hai kindly  company ka bhi visit  kerwe adein custoperm bol rehy',null,'79','79','2021-06-13 11:46:23','2021-06-13 11:46:23',null);
INSERT INTO complaint_statuses VALUES('21999','6844','2',null,'81',null,'13-JUNE-2021
COM FF TO BEST COOL','92','92','2021-06-13 11:46:47','2021-06-13 11:46:47',null);
INSERT INTO complaint_statuses VALUES('22000','6845','3',null,'55',null,'13-JUNE-2021
COM NO#782040-ISB-12809','92','73','2021-06-13 12:07:57','2021-06-13 13:11:43',null);
INSERT INTO complaint_statuses VALUES('22001','6846','3',null,'53',null,'13-JUNE-2021
COM NO-301138972','92','73','2021-06-13 12:14:53','2021-06-13 14:42:47',null);
INSERT INTO complaint_statuses VALUES('22002','6847','2',null,'81',null,'13-JUNE-2021
COM FF TO BEST COOL','92','92','2021-06-13 12:25:01','2021-06-13 12:25:01',null);
INSERT INTO complaint_statuses VALUES('22003','6848','3',null,'81',null,'14-JUNE-2021
COM NO-879','92','73','2021-06-13 12:47:42','2021-06-14 13:32:19',null);
INSERT INTO complaint_statuses VALUES('22004','6849','3',null,'56',null,'13-JUNE-2021
COM NO#F13/007','92','73','2021-06-13 12:55:16','2021-06-13 13:22:04',null);
INSERT INTO complaint_statuses VALUES('22005','6850','3',null,'55',null,'13-JUNE-2021
COM NO#781951-ISB-12808','92','73','2021-06-13 13:01:14','2021-06-13 13:13:15',null);
INSERT INTO complaint_statuses VALUES('22006','6847','4',null,'58',null,null,'81','81','2021-06-13 13:01:38','2021-06-13 13:01:38',null);
INSERT INTO complaint_statuses VALUES('22007','6844','4',null,'58',null,null,'81','81','2021-06-13 13:01:54','2021-06-13 13:01:54',null);
INSERT INTO complaint_statuses VALUES('22008','6841','4',null,'62',null,null,'81','81','2021-06-13 13:02:02','2021-06-13 13:02:02',null);
INSERT INTO complaint_statuses VALUES('22009','6840','4',null,'58',null,null,'81','81','2021-06-13 13:02:12','2021-06-13 13:02:12',null);
INSERT INTO complaint_statuses VALUES('22010','6851','3',null,'65',null,'13-JUNE-2021
COM NO-192124007','92','73','2021-06-13 13:13:13','2021-06-13 14:46:59',null);
INSERT INTO complaint_statuses VALUES('22011','6852','3',null,'52',null,'13-JUNE-2021
COM NO#PKRI-210613106402
AGAIN REOPEN COMPLAINT  PKRI-2106112022109329
PKRI-210628104854','92','92','2021-06-13 13:53:53','2021-06-28 11:46:23',null);
INSERT INTO complaint_statuses VALUES('22012','6853','3',null,'56',null,'13-JUNE-2021
COM NO-F13/012','92','73','2021-06-13 14:16:42','2021-06-13 14:51:36',null);
INSERT INTO complaint_statuses VALUES('22013','6854','3',null,'52',null,'13-JUNE-2021
COM NO-PKRI-210613107122','92','73','2021-06-13 14:25:36','2021-06-13 14:58:51',null);
INSERT INTO complaint_statuses VALUES('22014','6855','3',null,'54',null,'13-JUNE-2021
COM NO 1901212','92','92','2021-06-13 14:40:07','2021-06-15 11:47:54',null);
INSERT INTO complaint_statuses VALUES('22015','6856','3',null,'53',null,'13-JUNE-2021
COM NO-1138996','92','73','2021-06-13 14:50:11','2021-06-13 15:06:39',null);
INSERT INTO complaint_statuses VALUES('22016','6857','2',null,'81',null,'13-JUNE-2021
COM FF TO BEST COOL','92','92','2021-06-13 14:53:12','2021-06-13 14:53:12',null);
INSERT INTO complaint_statuses VALUES('22017','6858','3',null,'71',null,'14-JUNE-2021
COM NO-C6/258','92','73','2021-06-13 15:12:12','2021-06-14 13:36:54',null);
INSERT INTO complaint_statuses VALUES('22018','6859','3',null,'52',null,'13-JUNE-2021
COM NO#PKRI-210613108239','92','73','2021-06-13 15:23:50','2021-06-13 15:51:34',null);
INSERT INTO complaint_statuses VALUES('22019','6860','3',null,'54',null,'13-JUNE-2021
COM NO-1901359','92','73','2021-06-13 15:35:54','2021-06-13 16:45:27',null);
INSERT INTO complaint_statuses VALUES('22020','6861','3',null,'53',null,'13-JUNE-2021
COM NO-1139035','92','73','2021-06-13 15:45:57','2021-06-13 16:50:24',null);
INSERT INTO complaint_statuses VALUES('22021','6862','3',null,'65',null,'13-JUNE-2021
COM NO-192124013','92','73','2021-06-13 15:50:44','2021-06-13 16:54:15',null);
INSERT INTO complaint_statuses VALUES('22022','6863','2',null,'81',null,'13-JUNE-2021
COM FF TO AZHAR SIR','92','92','2021-06-13 16:00:44','2021-06-15 10:48:52',null);
INSERT INTO complaint_statuses VALUES('22023','6864','3',null,'52',null,'13-JUNE-2021
COM NO£PKRI-210613109765','92','73','2021-06-13 16:28:23','2021-06-13 17:28:00',null);
INSERT INTO complaint_statuses VALUES('22024','6865','3',null,'53',null,'13-JUNE-2021
COM NO-301139559','92','73','2021-06-13 17:03:21','2021-06-14 13:43:24',null);
INSERT INTO complaint_statuses VALUES('22025','6866','3',null,'53',null,'13-JUNE-2021
COM NO-301139563','92','73','2021-06-13 17:11:40','2021-06-14 13:46:16',null);
INSERT INTO complaint_statuses VALUES('22026','6867','3',null,'52',null,'13-JUNE-2021
COM NOPKRI-210613109855','92','73','2021-06-13 17:20:08','2021-06-13 17:34:28',null);
INSERT INTO complaint_statuses VALUES('22027','6868','3',null,'53',null,'14-JUNE-2021
COM NO-301139568
NEW
22-JUNE-2021
COMPLAINT#301143969','92','73','2021-06-13 17:26:40','2021-06-22 14:36:09',null);
INSERT INTO complaint_statuses VALUES('22028','6844','7','12','81',',,,',null,'79','79','2021-06-13 17:41:09','2021-06-13 17:41:09',null);
INSERT INTO complaint_statuses VALUES('22029','6707','7','12','81','compliant resovd by other technicain',null,'79','79','2021-06-13 17:42:01','2021-06-13 17:42:01',null);
INSERT INTO complaint_statuses VALUES('22030','6869','2',null,'81',null,'13-JUNE-2021
COM NO-1901432','92','73','2021-06-13 17:44:05','2021-06-13 17:48:16',null);
INSERT INTO complaint_statuses VALUES('22031','6870','2',null,'81',null,'13-JUNE-2021
COM NO-1901434','92','73','2021-06-13 17:48:10','2021-06-13 17:50:08',null);
INSERT INTO complaint_statuses VALUES('22032','6871','3',null,'53',null,'13-JUNE-2021
COM NO-301139571','92','73','2021-06-13 17:54:28','2021-06-14 14:04:20',null);
INSERT INTO complaint_statuses VALUES('22033','6704','7','12','81','compliant rosved inlet coil service',null,'79','79','2021-06-13 20:23:23','2021-06-13 20:23:23',null);
INSERT INTO complaint_statuses VALUES('22034','6678','7','22','81','inko filter chaye ,inho ny miss ko btaybhi th magr humy nahi bya gya,',null,'79','79','2021-06-13 20:36:35','2021-06-13 20:36:35',null);
INSERT INTO complaint_statuses VALUES('22035','6585','7','12','81','compliant resolved',null,'79','79','2021-06-13 21:41:10','2021-06-13 21:41:10',null);
INSERT INTO complaint_statuses VALUES('22036','6516','7','12','81','complaint resolved,safty wire issue',null,'79','79','2021-06-13 21:42:15','2021-06-13 21:42:15',null);
INSERT INTO complaint_statuses VALUES('22037','6788','7','12','81','Auto parablam',null,'88','88','2021-06-14 08:48:17','2021-06-14 08:48:17',null);
INSERT INTO complaint_statuses VALUES('22038','6593','7','12','81','Ok',null,'88','88','2021-06-14 08:48:46','2021-06-14 08:48:46',null);
INSERT INTO complaint_statuses VALUES('22039','6872','3',null,'90',null,'14-JUNE-2021
COMPLAINT#202106011063','74','92','2021-06-14 11:21:52','2021-06-22 17:00:00',null);
INSERT INTO complaint_statuses VALUES('22040','6873','2',null,'81',null,'14-JUNE-2021
FF TO SHAMIN AKHTER','74','74','2021-06-14 11:31:25','2021-06-14 11:31:25',null);
INSERT INTO complaint_statuses VALUES('22041','6873','4',null,'55',null,null,'81','81','2021-06-14 11:32:08','2021-06-14 11:32:08',null);
INSERT INTO complaint_statuses VALUES('22042','6870','4',null,'64',null,null,'81','81','2021-06-14 11:32:24','2021-06-14 11:32:24',null);
INSERT INTO complaint_statuses VALUES('22043','6869','4',null,'64',null,null,'81','81','2021-06-14 11:32:31','2021-06-14 11:32:31',null);
INSERT INTO complaint_statuses VALUES('22044','6863','4',null,'60',null,null,'81','81','2021-06-14 11:32:40','2021-06-14 11:32:40',null);
INSERT INTO complaint_statuses VALUES('22045','6857','4',null,'58',null,null,'81','81','2021-06-14 11:32:48','2021-06-14 11:32:48',null);
INSERT INTO complaint_statuses VALUES('22046','6874','3',null,'97',null,'14-JUNE-2021
COMPLAINT#202106010885','74','74','2021-06-14 11:38:48','2021-06-14 11:42:35',null);
INSERT INTO complaint_statuses VALUES('22047','6875','3',null,'54',null,'13-JUNE-2021
COMPLAINT#1902028','74','92','2021-06-14 11:53:50','2021-06-23 11:47:18',null);
INSERT INTO complaint_statuses VALUES('22048','6844','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','74','2021-06-14 11:56:08','2021-06-14 12:30:25',null);
INSERT INTO complaint_statuses VALUES('22049','6876','3',null,'65',null,'14-JUNE-2021
COM NO 192124058','74','74','2021-06-14 12:09:23','2021-06-14 12:13:29',null);
INSERT INTO complaint_statuses VALUES('22050','5755','7','12','81','ye hood chnage ho gya hai',null,'79','79','2021-06-14 12:31:47','2021-06-14 12:31:47',null);
INSERT INTO complaint_statuses VALUES('22051','6825','5','15',null,'COMPLAINT CLOSED','COMPLAINT COMPLETED','81','74','2021-06-14 12:32:59','2021-06-14 13:37:19',null);
INSERT INTO complaint_statuses VALUES('22052','6877','2',null,'81',null,'14-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-14 12:37:36','2021-06-14 12:37:36',null);
INSERT INTO complaint_statuses VALUES('22053','6877','4',null,'55',null,null,'81','81','2021-06-14 12:38:13','2021-06-14 12:38:13',null);
INSERT INTO complaint_statuses VALUES('22054','6788','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','74','2021-06-14 12:41:15','2021-06-14 13:38:46',null);
INSERT INTO complaint_statuses VALUES('22055','6771','8','23','61','SIR AB CALL KAR LAY CUSTOMER CALL ATTEND KAR LAY GAY',null,'81','81','2021-06-14 12:43:30','2021-06-14 12:43:30',null);
INSERT INTO complaint_statuses VALUES('22056','6740','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','74','2021-06-14 12:44:35','2021-06-14 13:39:40',null);
INSERT INTO complaint_statuses VALUES('22057','6878','3',null,'53',null,'14-JUNE-2021
COMPLAINT#301139592','74','73','2021-06-14 12:56:50','2021-06-14 14:04:52',null);
INSERT INTO complaint_statuses VALUES('22058','6879','2',null,'81',null,'14-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-14 13:00:15','2021-06-14 13:00:15',null);
INSERT INTO complaint_statuses VALUES('22059','6707','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','74','2021-06-14 13:00:35','2021-06-14 13:40:28',null);
INSERT INTO complaint_statuses VALUES('22060','6879','4',null,'55',null,null,'81','81','2021-06-14 13:00:47','2021-06-14 13:00:47',null);
INSERT INTO complaint_statuses VALUES('22061','6704','8','23','58','SIR IN KA ISSUE RESOLVED NAI HUA',null,'81','81','2021-06-14 13:02:46','2021-06-14 13:02:46',null);
INSERT INTO complaint_statuses VALUES('22062','6687','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','74','2021-06-14 13:04:49','2021-06-14 13:40:55',null);
INSERT INTO complaint_statuses VALUES('22063','6670','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','74','2021-06-14 13:05:54','2021-06-14 13:42:20',null);
INSERT INTO complaint_statuses VALUES('22064','6664','8','23','58','SIR AB CALL KARAY CUSTOMER KO',null,'81','81','2021-06-14 13:08:10','2021-06-14 13:08:10',null);
INSERT INTO complaint_statuses VALUES('22065','6616','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','74','2021-06-14 13:10:02','2021-06-14 13:41:50',null);
INSERT INTO complaint_statuses VALUES('22066','6595','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-14 13:12:15','2021-06-16 15:29:19',null);
INSERT INTO complaint_statuses VALUES('22067','6593','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','74','2021-06-14 13:16:09','2021-06-14 13:42:45',null);
INSERT INTO complaint_statuses VALUES('22068','6585','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','74','2021-06-14 13:17:18','2021-06-14 13:43:13',null);
INSERT INTO complaint_statuses VALUES('22069','6696','7','10','81',null,null,'82','82','2021-06-14 13:17:33','2021-06-14 13:17:33',null);
INSERT INTO complaint_statuses VALUES('22070','6609','7','12','81','Fiter cleen issue tha okay ho gea hy',null,'82','82','2021-06-14 13:18:17','2021-06-14 13:18:17',null);
INSERT INTO complaint_statuses VALUES('22071','6519','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','74','2021-06-14 13:18:23','2021-06-14 13:44:20',null);
INSERT INTO complaint_statuses VALUES('22072','6880','3',null,'56',null,'14-JUNE-2021
COMPLAINT#F14/030','74','73','2021-06-14 13:20:09','2021-06-14 14:33:17',null);
INSERT INTO complaint_statuses VALUES('22073','6881','3',null,'55',null,'14-JUNE-2021
COMPLAINT#782914-ISB-12832','74','73','2021-06-14 13:30:46','2021-06-14 14:17:24',null);
INSERT INTO complaint_statuses VALUES('22074','6882','2',null,'81',null,'14-JUNE-2021
COM FF TO HOME SOLUTION','74','74','2021-06-14 13:31:31','2021-06-14 13:31:31',null);
INSERT INTO complaint_statuses VALUES('22075','6882','4',null,'62',null,null,'81','81','2021-06-14 13:31:59','2021-06-14 13:31:59',null);
INSERT INTO complaint_statuses VALUES('22076','6883','3',null,'52',null,'14-JUNE-2021
COMPLAINT#PKRI-210614113372','74','73','2021-06-14 13:38:49','2021-06-14 16:11:55',null);
INSERT INTO complaint_statuses VALUES('22077','6884','3',null,'55',null,'14-JUNE-2021
COMPLAINT#78291
8-ISB-C-17
REOPEN COM NO 797374','74','92','2021-06-14 13:43:14','2021-07-05 16:42:54',null);
INSERT INTO complaint_statuses VALUES('22078','6675','7','12','81','asir bahi bol rehy i 10 hi water dispnser..',null,'79','79','2021-06-14 14:02:52','2021-06-14 14:02:52',null);
INSERT INTO complaint_statuses VALUES('22079','6677','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-14 14:06:01','2021-06-14 14:06:01',null);
INSERT INTO complaint_statuses VALUES('22080','6885','3',null,'55',null,'14-JUNE-2021
COMPLAINT#783036-ISB-13838','74','73','2021-06-14 14:09:59','2021-06-14 15:21:21',null);
INSERT INTO complaint_statuses VALUES('22081','6674','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-14 14:20:29','2021-06-14 14:20:29',null);
INSERT INTO complaint_statuses VALUES('22082','6673','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-14 14:22:51','2021-06-14 14:22:51',null);
INSERT INTO complaint_statuses VALUES('22083','6886','3',null,'85',null,'14-JUNE-2021
COMPLAINT#301139671','74','73','2021-06-14 14:24:56','2021-06-14 15:01:30',null);
INSERT INTO complaint_statuses VALUES('22084','6669','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-14 14:26:25','2021-06-14 14:26:25',null);
INSERT INTO complaint_statuses VALUES('22085','6887','3',null,'80',null,'14-JUNE-2021
FF TO TAHIR SIEMENS','74','74','2021-06-14 14:34:07','2021-06-14 18:19:53',null);
INSERT INTO complaint_statuses VALUES('22086','6666','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-14 14:35:18','2021-06-14 14:35:18',null);
INSERT INTO complaint_statuses VALUES('22087','6888','3',null,'53',null,'14-JUNE-2021
COM NO','74','74','2021-06-14 14:46:03','2021-06-14 14:46:03',null);
INSERT INTO complaint_statuses VALUES('22088','6665','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-14 14:48:12','2021-06-14 14:48:12',null);
INSERT INTO complaint_statuses VALUES('22089','6662','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-14 14:50:48','2021-06-14 14:50:48',null);
INSERT INTO complaint_statuses VALUES('22090','6658','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-14 14:59:11','2021-06-14 14:59:11',null);
INSERT INTO complaint_statuses VALUES('22091','6651','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-14 15:02:52','2021-06-14 15:02:52',null);
INSERT INTO complaint_statuses VALUES('22092','6645','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-14 15:05:08','2021-06-14 15:05:08',null);
INSERT INTO complaint_statuses VALUES('22093','6889','3',null,'56',null,'14-JUNE-2021
COMPLAINT #F14/038','74','73','2021-06-14 15:12:59','2021-06-14 15:26:35',null);
INSERT INTO complaint_statuses VALUES('22094','6639','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-14 15:19:48','2021-06-14 15:19:48',null);
INSERT INTO complaint_statuses VALUES('22095','6828','7','12','81','Ok',null,'88','88','2021-06-14 15:20:52','2021-06-14 15:20:52',null);
INSERT INTO complaint_statuses VALUES('22096','6635','5',null,null,'COMPLIANT COMPLETED',null,'92','92','2021-06-14 15:24:27','2021-06-14 15:24:27',null);
INSERT INTO complaint_statuses VALUES('22097','6634','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-14 15:26:47','2021-06-14 15:26:47',null);
INSERT INTO complaint_statuses VALUES('22098','6632','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-14 15:28:30','2021-06-14 15:28:30',null);
INSERT INTO complaint_statuses VALUES('22099','6890','3',null,'53',null,'14-JUNE-2021
COMPLAINT#301139796','74','73','2021-06-14 15:33:14','2021-06-14 16:30:17',null);
INSERT INTO complaint_statuses VALUES('22100','6891','3',null,'54',null,'14-JUNE-2021
COMPLAINT#1902803','74','73','2021-06-14 15:40:32','2021-06-14 16:39:05',null);
INSERT INTO complaint_statuses VALUES('22101','6627','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-14 15:41:33','2021-06-14 15:41:33',null);
INSERT INTO complaint_statuses VALUES('22102','6892','3',null,'52',null,'14-JUNE-2021
COMPLAINT#PKRI-210614113748','74','73','2021-06-14 15:42:45','2021-06-14 16:19:30',null);
INSERT INTO complaint_statuses VALUES('22103','6893','3',null,'53',null,'14-JUNE-2021
COMPLAINT#301139798','74','73','2021-06-14 15:53:07','2021-06-14 16:32:38',null);
INSERT INTO complaint_statuses VALUES('22104','6894','3',null,'53',null,'14-JUNE-2021
COMPLAINT#301139804','74','73','2021-06-14 15:53:09','2021-06-14 16:35:03',null);
INSERT INTO complaint_statuses VALUES('22105','6620','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-14 15:54:42','2021-06-14 15:54:42',null);
INSERT INTO complaint_statuses VALUES('22106','6895','3',null,'53',null,'14-JUNE-2021
COMPLAINT#301139809','74','73','2021-06-14 15:58:15','2021-06-14 16:35:25',null);
INSERT INTO complaint_statuses VALUES('22107','6619','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-14 16:00:25','2021-06-14 16:00:25',null);
INSERT INTO complaint_statuses VALUES('22108','6495','7','12','81','burner issue complaint resolved',null,'79','79','2021-06-14 16:01:05','2021-06-14 16:01:05',null);
INSERT INTO complaint_statuses VALUES('22109','6730','7','12','81','compliant resolved',null,'79','79','2021-06-14 16:02:12','2021-06-14 16:02:12',null);
INSERT INTO complaint_statuses VALUES('22110','6896','3',null,'52',null,'14-JUN-2021
COMPLAINT#PKRI-210614106636','74','73','2021-06-14 16:02:53','2021-06-14 16:51:17',null);
INSERT INTO complaint_statuses VALUES('22111','6554','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-14 16:05:01','2021-06-14 16:05:01',null);
INSERT INTO complaint_statuses VALUES('22112','6621','7','12','81','panel damaed...closed the job..',null,'77','77','2021-06-14 16:06:40','2021-06-14 16:06:40',null);
INSERT INTO complaint_statuses VALUES('22113','6897','3',null,'52',null,'14-JUNE-2021
COMPLAINT#PKRI-210614114875','74','73','2021-06-14 16:08:58','2021-06-14 16:54:39',null);
INSERT INTO complaint_statuses VALUES('22114','6546','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-14 16:26:03','2021-06-14 16:26:03',null);
INSERT INTO complaint_statuses VALUES('22115','6898','3',null,'54',null,'14-JUNE-2021
COMPLAINT#1902806','74','73','2021-06-14 16:27:34','2021-06-14 16:41:41',null);
INSERT INTO complaint_statuses VALUES('22116','6543','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-14 16:28:06','2021-06-14 16:28:06',null);
INSERT INTO complaint_statuses VALUES('22117','6536','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-14 16:34:07','2021-06-14 16:34:07',null);
INSERT INTO complaint_statuses VALUES('22118','6535','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-14 16:36:39','2021-06-14 16:36:39',null);
INSERT INTO complaint_statuses VALUES('22119','6899','2',null,'81',null,'14-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-14 16:37:31','2021-06-14 16:37:31',null);
INSERT INTO complaint_statuses VALUES('22120','6899','4',null,'55',null,null,'81','81','2021-06-14 16:41:44','2021-06-14 16:41:44',null);
INSERT INTO complaint_statuses VALUES('22121','6900','2',null,'81',null,'14-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-14 16:43:50','2021-06-14 16:43:50',null);
INSERT INTO complaint_statuses VALUES('22122','6900','4',null,'55',null,null,'81','81','2021-06-14 16:44:52','2021-06-14 16:44:52',null);
INSERT INTO complaint_statuses VALUES('22123','6901','3',null,'52',null,'14-JUNE-2021
COMPLAINT#210614115020','74','73','2021-06-14 16:47:45','2021-06-14 16:59:43',null);
INSERT INTO complaint_statuses VALUES('22124','6736','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-14 16:58:39','2021-06-14 16:58:39',null);
INSERT INTO complaint_statuses VALUES('22125','6828','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-14 17:02:20','2021-06-14 17:10:10',null);
INSERT INTO complaint_statuses VALUES('22126','6736','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-14 17:07:10','2021-06-14 17:10:53',null);
INSERT INTO complaint_statuses VALUES('22127','6902','3',null,'55',null,'14-JUNE-2021
COMPLAINT#783284-ISB-12842','74','73','2021-06-14 17:07:49','2021-06-14 17:39:21',null);
INSERT INTO complaint_statuses VALUES('22128','6730','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-14 17:09:02','2021-06-14 17:11:16',null);
INSERT INTO complaint_statuses VALUES('22129','6903','3',null,'52',null,'14-JUNE-2021
COMPLAINT#PKRI-210615108405','74','73','2021-06-14 17:13:39','2021-06-15 13:06:57',null);
INSERT INTO complaint_statuses VALUES('22130','6430','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-14 17:24:08','2021-06-14 17:24:08',null);
INSERT INTO complaint_statuses VALUES('22131','6363','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-14 17:34:19','2021-06-14 17:34:19',null);
INSERT INTO complaint_statuses VALUES('22132','6904','3',null,'56',null,'14-JUNE-2021
COMPLAINT#F14/048','74','73','2021-06-14 17:39:09','2021-06-14 17:48:42',null);
INSERT INTO complaint_statuses VALUES('22133','6905','3',null,'65',null,'14-JUNE-2021
COMPLAINT#212117418','74','73','2021-06-14 17:50:03','2021-06-14 18:01:15',null);
INSERT INTO complaint_statuses VALUES('22134','6906','3',null,'66',null,'14-JUNE-2021
COMPLAINT#PK-061520210096
03100865385 MURSALEEN TACTION','74','92','2021-06-14 17:50:53','2021-07-05 16:16:19',null);
INSERT INTO complaint_statuses VALUES('22135','6907','2',null,'81',null,'14-JUNE-2021
COM FF TO BEST COOL','74','74','2021-06-14 17:55:45','2021-06-14 17:55:45',null);
INSERT INTO complaint_statuses VALUES('22136','6908','2',null,'81',null,'14-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-14 18:05:49','2021-06-14 18:05:49',null);
INSERT INTO complaint_statuses VALUES('22137','6908','4',null,'55',null,null,'81','81','2021-06-14 18:06:24','2021-06-14 18:06:24',null);
INSERT INTO complaint_statuses VALUES('22138','6907','4',null,'58',null,null,'81','81','2021-06-14 18:06:39','2021-06-14 18:06:39',null);
INSERT INTO complaint_statuses VALUES('22139','6909','3',null,'52',null,'14-JUNE-2021
COMPLAINT#PKRI-210615108482','74','73','2021-06-14 18:10:07','2021-06-15 13:02:24',null);
INSERT INTO complaint_statuses VALUES('22140','6910','3',null,'65',null,'14-JUNE-2021
COM NO','74','74','2021-06-14 18:25:23','2021-06-14 18:25:23',null);
INSERT INTO complaint_statuses VALUES('22141','6911','3',null,'65',null,'14-JUNE-2021
COM NO','74','74','2021-06-14 18:25:24','2021-06-14 18:25:24',null);
INSERT INTO complaint_statuses VALUES('22142','6912','3',null,'65',null,'14-JUNE-2021
COM NO','74','74','2021-06-14 18:25:27','2021-06-14 18:25:27',null);
INSERT INTO complaint_statuses VALUES('22143','6913','3',null,'65',null,'14-JUNE-2021
COM NO','74','74','2021-06-14 18:26:43','2021-06-14 18:26:43',null);
INSERT INTO complaint_statuses VALUES('22144','6887','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-14 18:33:49','2021-06-14 18:33:49',null);
INSERT INTO complaint_statuses VALUES('22145','6914','2',null,'81',null,'14-JUNE-201
FF TO B.COOL','74','74','2021-06-14 19:09:20','2021-06-14 19:09:20',null);
INSERT INTO complaint_statuses VALUES('22146','6914','4',null,'58',null,null,'81','81','2021-06-14 19:10:14','2021-06-14 19:10:14',null);
INSERT INTO complaint_statuses VALUES('22147','6915','3',null,'57',null,'15-JUNE-2021
COMPLAINT#19184','74','73','2021-06-14 19:31:51','2021-06-15 13:30:28',null);
INSERT INTO complaint_statuses VALUES('22148','6847','7','12','81','complaint resolved no issue in ref theek working kr rha hai',null,'79','79','2021-06-14 21:10:46','2021-06-14 21:10:46',null);
INSERT INTO complaint_statuses VALUES('22149','6847','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-06-15 10:43:32','2021-06-15 11:16:19',null);
INSERT INTO complaint_statuses VALUES('22150','6810','5','15',null,'COMPLAINT FF TO HOME SOLUTION','COMPLAINT CLOSED','81','74','2021-06-15 10:47:13','2021-06-15 10:54:52',null);
INSERT INTO complaint_statuses VALUES('22151','6916','3',null,'53',null,'15-JUNE-2021
COMPLAINT#301140292','74','73','2021-06-15 10:48:43','2021-06-15 14:50:07',null);
INSERT INTO complaint_statuses VALUES('22152','6917','3',null,'85',null,'12-JUNE-2021
COMPLAINT#301140352','74','73','2021-06-15 10:53:40','2021-06-15 14:53:36',null);
INSERT INTO complaint_statuses VALUES('22153','6528','7','26','81','Plz isko dekhy out off citty ki hy',null,'82','82','2021-06-15 10:59:10','2021-06-15 10:59:10',null);
INSERT INTO complaint_statuses VALUES('22154','6722','8','23','61','CUSTOMER KA ISSUE RESOLVED NI HOA  KINDLY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-06-15 11:03:33','2021-06-15 11:03:33',null);
INSERT INTO complaint_statuses VALUES('22155','6918','3',null,'57',null,'15-JUNE-2021
COMPLAINT#19185','74','73','2021-06-15 11:06:10','2021-06-15 13:32:14',null);
INSERT INTO complaint_statuses VALUES('22156','6715','5','15',null,'INSTALLER KI SIDE SA KOI FULT NAI HAIN CUSTOMER KI SATISFACTION K LIYA COMPANY MAIN COMPLAINT FF KARWA DI','COMPLAINT COMPLETED','81','92','2021-06-15 11:15:49','2021-06-16 16:36:54',null);
INSERT INTO complaint_statuses VALUES('22157','6919','3',null,'52',null,'15-JUNE-2021
COMPLAINT#PKRI-210615108579','74','73','2021-06-15 11:23:28','2021-06-15 13:05:43',null);
INSERT INTO complaint_statuses VALUES('22158','6920','3',null,'65',null,'15-JUNE-2021
COMPLAINT#192124202','74','73','2021-06-15 11:34:49','2021-06-15 13:45:30',null);
INSERT INTO complaint_statuses VALUES('22159','6791','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 11:51:15','2021-06-15 11:51:15',null);
INSERT INTO complaint_statuses VALUES('22160','6921','2',null,'81',null,'15-JUNE-2021
FF TO HOME SOLUTION','74','74','2021-06-15 11:51:32','2021-06-15 11:51:32',null);
INSERT INTO complaint_statuses VALUES('22161','6921','4',null,'62',null,null,'81','81','2021-06-15 11:52:10','2021-06-15 11:52:10',null);
INSERT INTO complaint_statuses VALUES('22162','6922','3',null,'84',null,'15-JUNE-2021
COMPLAINT#783861-RWP-21025REOPENE#805621','74','74','2021-06-15 11:59:52','2021-07-18 12:42:34',null);
INSERT INTO complaint_statuses VALUES('22163','6696','8','23','60','AGAIN TRY KAR LAY AJ',null,'81','81','2021-06-15 12:00:39','2021-06-15 12:00:39',null);
INSERT INTO complaint_statuses VALUES('22164','6923','3',null,'97',null,'15-JUNE-2021
COMPLAINT#202106012231','74','92','2021-06-15 12:09:56','2021-06-15 12:16:14',null);
INSERT INTO complaint_statuses VALUES('22165','6924','3',null,'65',null,'15-JUNE-2021
COMPLAINT#192124203','74','73','2021-06-15 12:16:17','2021-06-15 13:48:06',null);
INSERT INTO complaint_statuses VALUES('22166','6792','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 12:29:08','2021-06-15 12:29:08',null);
INSERT INTO complaint_statuses VALUES('22167','6925','3',null,'65',null,'15-JUNE-2021
COMPLAINT#192124204','74','73','2021-06-15 12:33:16','2021-06-15 13:51:16',null);
INSERT INTO complaint_statuses VALUES('22168','6911','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 12:36:37','2021-06-15 12:36:37',null);
INSERT INTO complaint_statuses VALUES('22169','6912','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 12:37:15','2021-06-15 12:37:15',null);
INSERT INTO complaint_statuses VALUES('22170','6913','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 12:37:47','2021-06-15 12:37:47',null);
INSERT INTO complaint_statuses VALUES('22171','6910','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 12:39:02','2021-06-15 12:39:02',null);
INSERT INTO complaint_statuses VALUES('22172','6794','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 12:41:05','2021-06-15 12:41:05',null);
INSERT INTO complaint_statuses VALUES('22173','6926','3',null,'52',null,'15-JUNE-2021
COMPLAINT#PKRI-21061511023','74','73','2021-06-15 12:42:57','2021-06-15 14:15:33',null);
INSERT INTO complaint_statuses VALUES('22174','6927','3',null,'53',null,'15-JUNE-2021
COMPLAINT#301140357/
301140359','74','73','2021-06-15 12:44:24','2021-06-15 15:02:02',null);
INSERT INTO complaint_statuses VALUES('22175','6928','3',null,'55',null,'15-JUNE-*2021
COMPLAINT#783865-ISB-12864','74','73','2021-06-15 12:45:52','2021-06-15 13:59:00',null);
INSERT INTO complaint_statuses VALUES('22176','6796','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 13:04:25','2021-06-15 13:04:25',null);
INSERT INTO complaint_statuses VALUES('22177','6929','3',null,'56',null,'15-JUNE-2021
COMPLAINT#F15/023','74','73','2021-06-15 13:04:32','2021-06-15 14:22:27',null);
INSERT INTO complaint_statuses VALUES('22178','6801','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 13:09:02','2021-06-15 13:09:02',null);
INSERT INTO complaint_statuses VALUES('22179','6752','7','12','81','COMPLAINT RESOLVED',null,'79','79','2021-06-15 13:21:35','2021-06-15 13:21:35',null);
INSERT INTO complaint_statuses VALUES('22180','6930','3',null,'54',null,'15-JUNE-2021
COMPLAINT#1903924','74','73','2021-06-15 13:28:15','2021-06-15 14:27:24',null);
INSERT INTO complaint_statuses VALUES('22181','6931','3',null,'52',null,'15-JUNE-2021
COMPLAINT#PKRI-210615110333','74','73','2021-06-15 13:41:02','2021-06-15 14:13:10',null);
INSERT INTO complaint_statuses VALUES('22182','6932','3',null,'53',null,'15-JUNE-2021
COMPLAINT#301140367','74','73','2021-06-15 13:55:03','2021-06-15 15:02:22',null);
INSERT INTO complaint_statuses VALUES('22183','6561','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 13:55:07','2021-06-15 13:55:07',null);
INSERT INTO complaint_statuses VALUES('22184','6802','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 13:58:55','2021-06-15 13:58:55',null);
INSERT INTO complaint_statuses VALUES('22185','6933','3',null,'52',null,'15-JUNE-2021
COMPLAINT#PKRI-210622107640','74','92','2021-06-15 14:02:59','2021-06-22 12:54:59',null);
INSERT INTO complaint_statuses VALUES('22186','6425','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 14:03:55','2021-06-15 14:03:55',null);
INSERT INTO complaint_statuses VALUES('22187','6934','3',null,'81',null,'15-JUNE-2020
COMPLAINT#883','74','73','2021-06-15 14:08:47','2021-06-15 15:24:57',null);
INSERT INTO complaint_statuses VALUES('22188','6882','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-15 14:11:39','2021-06-15 14:11:39',null);
INSERT INTO complaint_statuses VALUES('22189','6712','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-15 14:12:19','2021-06-15 14:12:19',null);
INSERT INTO complaint_statuses VALUES('22190','5991','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 14:13:18','2021-06-15 14:13:18',null);
INSERT INTO complaint_statuses VALUES('22191','6775','7','22','81','COMP',null,'87','87','2021-06-15 14:16:26','2021-06-15 14:16:26',null);
INSERT INTO complaint_statuses VALUES('22192','6676','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-15 14:17:28','2021-06-15 14:17:28',null);
INSERT INTO complaint_statuses VALUES('22193','6712','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-15 14:24:47','2021-06-16 15:26:11',null);
INSERT INTO complaint_statuses VALUES('22194','6822','7','26','81','PLZ FRWD TO USMAN',null,'87','87','2021-06-15 14:27:32','2021-06-15 14:27:32',null);
INSERT INTO complaint_statuses VALUES('22195','6935','3',null,'52',null,'15-JUNE-2021
COMPLAINT#','74','74','2021-06-15 14:28:19','2021-06-15 14:28:19',null);
INSERT INTO complaint_statuses VALUES('22196','6809','7','22','81','MOTER',null,'87','87','2021-06-15 14:31:24','2021-06-15 14:31:24',null);
INSERT INTO complaint_statuses VALUES('22197','6936','3',null,'66',null,'15-JUNE-2021
COMPLAINT#PK-061520210081','74','73','2021-06-15 14:36:36','2021-06-15 15:20:48',null);
INSERT INTO complaint_statuses VALUES('22198','6752','5','15',null,'CUSTOMER KA UNIT OK HAY BUT CUSTOMER UNIT REPLACE KARWANA CHATAY HAY HASSAN SIR KO INFORM KAR DEYA HAY COMPLAINT CLOSED','COMPLAINT RESOLVED','81','74','2021-06-15 14:37:23','2021-06-15 18:37:25',null);
INSERT INTO complaint_statuses VALUES('22199','6882','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','74','2021-06-15 14:39:05','2021-06-15 18:35:56',null);
INSERT INTO complaint_statuses VALUES('22200','6937','2',null,'81',null,'15-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-15 14:41:30','2021-06-15 14:41:30',null);
INSERT INTO complaint_statuses VALUES('22201','6937','4',null,'55',null,null,'81','81','2021-06-15 14:42:16','2021-06-15 14:42:16',null);
INSERT INTO complaint_statuses VALUES('22202','6860','5',null,null,'COMPLAINT CLOSED',null,'92','92','2021-06-15 14:55:38','2021-06-15 14:55:38',null);
INSERT INTO complaint_statuses VALUES('22203','6938','3',null,'92',null,'16-JUNE-2021
COMPLAINT#210616012100','74','73','2021-06-15 14:59:41','2021-06-16 12:44:36',null);
INSERT INTO complaint_statuses VALUES('22204','6939','3',null,'52',null,'15-JUNE-2021
COMPLAINT#PKRI-210615114419','74','73','2021-06-15 15:12:08','2021-06-15 16:37:51',null);
INSERT INTO complaint_statuses VALUES('22205','6940','3',null,'65',null,'15-JUNE-2021
COMPLAINT#102124227
COMPLAINT #192126214
REOPEN COM NO 192126679','74','92','2021-06-15 15:20:51','2021-08-02 12:55:32',null);
INSERT INTO complaint_statuses VALUES('22206','6784','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 15:27:08','2021-06-15 15:27:08',null);
INSERT INTO complaint_statuses VALUES('22207','6765','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 15:34:55','2021-06-15 15:34:55',null);
INSERT INTO complaint_statuses VALUES('22208','6941','3',null,'53',null,'15-JUNE-2021
COMPLAINT#301140525
AGAIN COM NO 301147126','74','92','2021-06-15 15:37:29','2021-06-28 17:28:52',null);
INSERT INTO complaint_statuses VALUES('22209','6914','7','12','81','LPG SY CHNAGE KI A HAI CUSOTERM Y CHARGES NAHI DEYE',null,'79','79','2021-06-15 15:44:21','2021-06-15 15:44:21',null);
INSERT INTO complaint_statuses VALUES('22210','6737','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 15:47:08','2021-06-15 15:47:08',null);
INSERT INTO complaint_statuses VALUES('22211','6779','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 15:48:12','2021-06-15 15:48:12',null);
INSERT INTO complaint_statuses VALUES('22212','6763','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 15:49:53','2021-06-15 15:49:53',null);
INSERT INTO complaint_statuses VALUES('22213','6697','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 15:53:22','2021-06-15 15:53:22',null);
INSERT INTO complaint_statuses VALUES('22214','6685','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 16:01:00','2021-06-15 16:01:00',null);
INSERT INTO complaint_statuses VALUES('22215','6942','3',null,'53',null,'15-JUNE-2021
COMPLAINT#301140527','74','73','2021-06-15 16:03:45','2021-06-15 17:15:48',null);
INSERT INTO complaint_statuses VALUES('22216','6703','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 16:05:25','2021-06-15 16:05:25',null);
INSERT INTO complaint_statuses VALUES('22217','6943','3',null,'52',null,'15-JUNE-2021
COMPLAINT#PKRI-210615114552','74','73','2021-06-15 16:08:59','2021-06-15 16:42:34',null);
INSERT INTO complaint_statuses VALUES('22218','6709','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 16:10:32','2021-06-15 16:10:32',null);
INSERT INTO complaint_statuses VALUES('22219','6717','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 16:12:22','2021-06-15 16:12:22',null);
INSERT INTO complaint_statuses VALUES('22220','6944','3',null,'52',null,'15-JUNE-2021
COMPLAINT#PKRI-210615114676','74','73','2021-06-15 16:15:32','2021-06-15 16:47:19',null);
INSERT INTO complaint_statuses VALUES('22221','6726','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 16:17:58','2021-06-15 16:17:58',null);
INSERT INTO complaint_statuses VALUES('22222','6945','2',null,'81',null,'15-JUNE-2021
FF TO B COOL','74','74','2021-06-15 16:30:26','2021-06-15 16:30:26',null);
INSERT INTO complaint_statuses VALUES('22223','6867','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 16:31:18','2021-06-15 16:31:18',null);
INSERT INTO complaint_statuses VALUES('22224','6945','4',null,'58',null,null,'81','81','2021-06-15 16:31:46','2021-06-15 16:31:46',null);
INSERT INTO complaint_statuses VALUES('22225','6859','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 16:33:30','2021-06-15 16:33:30',null);
INSERT INTO complaint_statuses VALUES('22226','6946','3',null,'52',null,'15-JUNE-2021
COMPLAINT#PKRI-210615115717','74','73','2021-06-15 16:39:24','2021-06-15 17:26:12',null);
INSERT INTO complaint_statuses VALUES('22227','6947','2',null,'81',null,'15-JUNE-2021
FF TO B.COOL','74','74','2021-06-15 16:44:52','2021-06-15 16:44:52',null);
INSERT INTO complaint_statuses VALUES('22228','6947','4',null,'58',null,null,'81','81','2021-06-15 16:45:33','2021-06-15 16:45:33',null);
INSERT INTO complaint_statuses VALUES('22229','6948','3',null,'57',null,'15-JUNE-2021
COMPLAINT#19209','74','73','2021-06-15 16:51:05','2021-06-15 17:04:18',null);
INSERT INTO complaint_statuses VALUES('22230','6949','2',null,'81',null,'15-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-15 16:55:58','2021-06-15 16:55:58',null);
INSERT INTO complaint_statuses VALUES('22231','6949','4',null,'55',null,null,'81','81','2021-06-15 16:56:22','2021-06-15 16:56:22',null);
INSERT INTO complaint_statuses VALUES('22232','6614','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 16:58:29','2021-06-15 16:58:29',null);
INSERT INTO complaint_statuses VALUES('22233','6611','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-15 17:00:28','2021-06-15 17:00:28',null);
INSERT INTO complaint_statuses VALUES('22234','6950','3',null,'55',null,'15-JUNE-2021
COMPLAINT#784171-RWPREOPEN#805593-RWP','74','74','2021-06-15 17:10:55','2021-07-18 12:24:23',null);
INSERT INTO complaint_statuses VALUES('22235','6951','3',null,'53',null,'15-JUNE-2021
COM NO-301140546','74','73','2021-06-15 17:13:27','2021-06-15 17:49:26',null);
INSERT INTO complaint_statuses VALUES('22236','6952','3',null,'52',null,'15-JUNE-2021
COMPLAINT#PKRI-210615115821','74','73','2021-06-15 17:20:47','2021-06-15 17:29:53',null);
INSERT INTO complaint_statuses VALUES('22237','6953','3',null,'52',null,'15-JUNE-2021
COMPLAINT#PKRI-210615115877','74','73','2021-06-15 17:29:48','2021-06-15 17:31:48',null);
INSERT INTO complaint_statuses VALUES('22238','6553','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-15 17:30:05','2021-06-15 17:30:05',null);
INSERT INTO complaint_statuses VALUES('22239','6954','3',null,'52',null,'15-JUNE-2021
COMPLAINT#PKRI-210615116399','74','73','2021-06-15 17:31:42','2021-06-15 17:57:41',null);
INSERT INTO complaint_statuses VALUES('22240','6955','3',null,'66',null,'16-JUNE-2021
COMPLAINT#PK-061620210045','74','73','2021-06-15 17:42:20','2021-06-16 11:33:33',null);
INSERT INTO complaint_statuses VALUES('22241','6945','7','12','81','COMPLAINT REOSLVED',null,'79','79','2021-06-15 17:47:26','2021-06-15 17:47:26',null);
INSERT INTO complaint_statuses VALUES('22242','6956','3',null,'52',null,'15-JUNE-2021
COMPLAINT#PKRI-210615116462','74','73','2021-06-15 17:50:21','2021-06-15 17:59:45',null);
INSERT INTO complaint_statuses VALUES('22243','6957','2',null,'81',null,'15-JUNE-2021
FF TO KHURRAM FIVE STAR','74','74','2021-06-15 17:55:59','2021-06-15 17:55:59',null);
INSERT INTO complaint_statuses VALUES('22244','6957','4',null,'63',null,null,'81','81','2021-06-15 17:57:17','2021-06-15 17:57:17',null);
INSERT INTO complaint_statuses VALUES('22245','6958','2',null,'81',null,'15-JUNE-2021
FF TO B.COOL','74','74','2021-06-15 18:01:33','2021-06-15 18:01:33',null);
INSERT INTO complaint_statuses VALUES('22246','6958','4',null,'58',null,null,'81','81','2021-06-15 18:01:55','2021-06-15 18:01:55',null);
INSERT INTO complaint_statuses VALUES('22247','6592','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-15 18:02:34','2021-06-15 18:02:34',null);
INSERT INTO complaint_statuses VALUES('22248','6590','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-15 18:22:39','2021-06-15 18:22:39',null);
INSERT INTO complaint_statuses VALUES('22249','6580','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-15 18:25:21','2021-06-15 18:25:21',null);
INSERT INTO complaint_statuses VALUES('22250','6960','2',null,'81',null,'15-JUNE-2021
FF TO USMAM MRM','74','74','2021-06-15 18:30:08','2021-06-15 18:30:08',null);
INSERT INTO complaint_statuses VALUES('22251','6960','4',null,'61',null,null,'81','81','2021-06-15 18:30:27','2021-06-15 18:30:27',null);
INSERT INTO complaint_statuses VALUES('22252','6960','7','24','81','plz correct the model # in task',null,'83','83','2021-06-15 18:35:25','2021-06-15 18:35:25',null);
INSERT INTO complaint_statuses VALUES('22253','6961','2',null,'81',null,'15-JUNE-2021
FF TO NADEEN AV','74','74','2021-06-15 18:48:15','2021-06-15 18:48:15',null);
INSERT INTO complaint_statuses VALUES('22254','6961','4',null,'59',null,null,'81','81','2021-06-15 18:48:30','2021-06-15 18:48:30',null);
INSERT INTO complaint_statuses VALUES('22255','6962','2',null,'81',null,'15-JUNE-2021
COM FF TO MAMM SHAMMIM','74','74','2021-06-15 18:50:34','2021-06-15 18:50:34',null);
INSERT INTO complaint_statuses VALUES('22256','6963','3',null,'53',null,'16-JUNE-2021
COM NO-1140729','74','73','2021-06-15 18:58:55','2021-06-16 11:47:09',null);
INSERT INTO complaint_statuses VALUES('22257','6964','3',null,'65',null,'16-JUNE-2021
COM NO#192124252','74','73','2021-06-15 19:09:13','2021-06-16 11:52:31',null);
INSERT INTO complaint_statuses VALUES('22258','6184','7','12','81','fan motor change  complaint resolved',null,'79','79','2021-06-16 10:40:28','2021-06-16 10:40:28',null);
INSERT INTO complaint_statuses VALUES('22259','6965','3',null,'52',null,'16-JUNE-2021
COMPLAINT#PKRI-21061610718','74','73','2021-06-16 11:04:48','2021-06-16 12:08:51',null);
INSERT INTO complaint_statuses VALUES('22260','6966','2',null,'81',null,'16-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-16 11:11:08','2021-06-16 11:11:08',null);
INSERT INTO complaint_statuses VALUES('22261','6966','4',null,'55',null,null,'81','81','2021-06-16 11:11:36','2021-06-16 11:11:36',null);
INSERT INTO complaint_statuses VALUES('22262','6962','4',null,'55',null,null,'81','81','2021-06-16 11:12:14','2021-06-16 11:12:14',null);
INSERT INTO complaint_statuses VALUES('22263','6967','3',null,'52',null,'16-JUNE-2021
COMPLAINT#PKRI-210616105779','74','73','2021-06-16 11:15:13','2021-06-16 12:14:01',null);
INSERT INTO complaint_statuses VALUES('22264','6968','3',null,'52',null,'16-JUNE-2021
COMPLIANT#PKRI-210616105955','74','73','2021-06-16 11:20:06','2021-06-16 12:18:17',null);
INSERT INTO complaint_statuses VALUES('22265','6969','3',null,'97',null,'16-JUNE-2021
COMPLAINT#202106013341','74','73','2021-06-16 11:26:10','2021-06-16 12:56:49',null);
INSERT INTO complaint_statuses VALUES('22266','6970','3',null,'53',null,'16-JUNE-2021
COMPLAINT#1140732','74','73','2021-06-16 11:35:37','2021-06-16 11:47:37',null);
INSERT INTO complaint_statuses VALUES('22267','6971','3',null,'73',null,'16-JUNE-2021
COMPLAINT#4840','74','73','2021-06-16 11:38:48','2021-06-16 13:00:04',null);
INSERT INTO complaint_statuses VALUES('22268','6972','2',null,'81',null,'16-JUNE-2021
FF TO B.COOL','74','74','2021-06-16 11:45:03','2021-06-16 11:45:03',null);
INSERT INTO complaint_statuses VALUES('22269','6972','4',null,'58',null,null,'81','81','2021-06-16 11:45:18','2021-06-16 11:45:18',null);
INSERT INTO complaint_statuses VALUES('22270','6973','3',null,'53',null,'16-JUNE-2021
COMPLAINT#1140909','74','73','2021-06-16 11:51:32','2021-06-16 13:26:51',null);
INSERT INTO complaint_statuses VALUES('22271','6961','7','24','81','main board+back light replace 16000
app ly dyn',null,'80','80','2021-06-16 12:01:01','2021-06-16 12:01:01',null);
INSERT INTO complaint_statuses VALUES('22272','6974','3',null,'52',null,'16-JUNE-2021
COM NO210616106065','74','73','2021-06-16 12:01:11','2021-06-16 12:23:01',null);
INSERT INTO complaint_statuses VALUES('22273','6975','3',null,'57',null,'16-JUNE-2021
COMPLAINT#19237','74','73','2021-06-16 12:03:02','2021-06-16 13:09:12',null);
INSERT INTO complaint_statuses VALUES('22274','6945','8','23','58','COMPLAINT NOT RESOLVED',null,'81','81','2021-06-16 12:05:31','2021-06-16 12:05:31',null);
INSERT INTO complaint_statuses VALUES('22275','6976','3',null,'53',null,'16-JUNE-2021
COMPLAINT#1140912
COMPLAINT REOPEN#1155126','74','74','2021-06-16 12:12:58','2021-07-13 17:02:17',null);
INSERT INTO complaint_statuses VALUES('22276','6275','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-16 12:14:44','2021-06-16 12:14:44',null);
INSERT INTO complaint_statuses VALUES('22277','6277','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-16 12:19:40','2021-06-16 12:19:40',null);
INSERT INTO complaint_statuses VALUES('22278','6977','3',null,'52',null,'16-JUNE-2021
COMPLAINT#PKPR-210616110503
COM NO PKRI-210607110757','74','92','2021-06-16 12:33:43','2021-06-28 16:33:19',null);
INSERT INTO complaint_statuses VALUES('22279','6978','3',null,'65',null,'16-JUBNE-2021
COMPLAINT#192124264','74','73','2021-06-16 12:37:49','2021-06-16 13:14:59',null);
INSERT INTO complaint_statuses VALUES('22280','6871','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-16 12:38:31','2021-06-16 12:38:31',null);
INSERT INTO complaint_statuses VALUES('22281','6318','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-16 12:41:56','2021-06-16 12:41:56',null);
INSERT INTO complaint_statuses VALUES('22282','6344','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-16 13:03:02','2021-06-16 13:03:02',null);
INSERT INTO complaint_statuses VALUES('22283','6979','3',null,'85',null,'16-JUNE-2021
COMPLAINT#301141087','74','73','2021-06-16 13:20:00','2021-06-16 16:56:40',null);
INSERT INTO complaint_statuses VALUES('22284','6980','3',null,'52',null,'16-JUNE-2021
COMPLAINT#PKRI-210616110621','74','73','2021-06-16 13:21:43','2021-06-16 15:12:39',null);
INSERT INTO complaint_statuses VALUES('22285','6378','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-16 13:21:55','2021-06-16 13:21:55',null);
INSERT INTO complaint_statuses VALUES('22286','6382','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-16 13:24:33','2021-06-16 13:24:33',null);
INSERT INTO complaint_statuses VALUES('22287','6384','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-16 13:26:24','2021-06-16 13:26:24',null);
INSERT INTO complaint_statuses VALUES('22288','6833','7','22','81','FAN REQ',null,'83','83','2021-06-16 13:34:17','2021-06-16 13:34:17',null);
INSERT INTO complaint_statuses VALUES('22289','6982','3',null,'57',null,'16-JUNE-2021
COMPLAINT#19249','74','73','2021-06-16 13:34:53','2021-06-16 15:39:46',null);
INSERT INTO complaint_statuses VALUES('22290','4827','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-16 13:43:02','2021-06-16 13:43:02',null);
INSERT INTO complaint_statuses VALUES('22291','4918','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-16 13:44:15','2021-06-16 13:44:15',null);
INSERT INTO complaint_statuses VALUES('22292','6983','3',null,'54',null,'16-JUNE-2021
COMPLAINT#1905466','74','73','2021-06-16 13:47:14','2021-06-16 16:00:24',null);
INSERT INTO complaint_statuses VALUES('22293','6984','3',null,'52',null,'16-JUNE-2021
COMPLAINT#PKRI-210616110865','74','73','2021-06-16 13:52:59','2021-06-16 15:22:53',null);
INSERT INTO complaint_statuses VALUES('22294','6985','3',null,'52',null,'16-JUNE-2021
COMPLAINT#PKRI-210616110930','74','73','2021-06-16 13:57:03','2021-06-16 15:25:40',null);
INSERT INTO complaint_statuses VALUES('22295','6986','2',null,'81',null,'16-JUNE-2017
FF TO AZHAR FCI','74','74','2021-06-16 13:59:17','2021-06-16 13:59:17',null);
INSERT INTO complaint_statuses VALUES('22296','6986','4',null,'60',null,null,'81','81','2021-06-16 13:59:49','2021-06-16 13:59:49',null);
INSERT INTO complaint_statuses VALUES('22297','6529','7','12','81','complaint reoslved',null,'79','79','2021-06-16 13:59:59','2021-06-16 13:59:59',null);
INSERT INTO complaint_statuses VALUES('22298','6664','7','12','81','complaint reoslved',null,'79','79','2021-06-16 14:02:17','2021-06-16 14:02:17',null);
INSERT INTO complaint_statuses VALUES('22299','6987','3',null,'52',null,'16-JUNE-2021
COMPLAINT#PKRI-210616110993','74','73','2021-06-16 14:06:15','2021-06-16 15:28:29',null);
INSERT INTO complaint_statuses VALUES('22300','6960','5','15',null,'OK','COMPLAINT CLOSED','81','74','2021-06-16 14:11:07','2021-06-18 16:00:56',null);
INSERT INTO complaint_statuses VALUES('22301','6988','2',null,'81',null,'15-JUNE-2021
FF TO USMAM MRM','74','74','2021-06-16 14:14:11','2021-06-16 14:14:11',null);
INSERT INTO complaint_statuses VALUES('22302','6988','4',null,'61',null,null,'81','81','2021-06-16 14:15:06','2021-06-16 14:15:06',null);
INSERT INTO complaint_statuses VALUES('22303','5099','8','23','60','MISS MARIYAM SY CANFARM KAR LEN',null,'81','81','2021-06-16 14:16:01','2021-06-16 14:16:01',null);
INSERT INTO complaint_statuses VALUES('22304','6988','7','12','81','PANEL REPAIR RS 15000/- EXPANCE',null,'83','83','2021-06-16 14:16:22','2021-06-16 14:16:22',null);
INSERT INTO complaint_statuses VALUES('22305','6643','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-16 14:17:55','2021-06-16 14:17:55',null);
INSERT INTO complaint_statuses VALUES('22306','6989','3',null,'55',null,'16-JUNE-2021
COMPLAINT#-RWP-21074
NEW
22-JUNE-2021
COMPLAINT#788732-RWP','74','73','2021-06-16 14:19:12','2021-06-22 14:52:27',null);
INSERT INTO complaint_statuses VALUES('22307','6990','3',null,'54',null,'16-JUNE-2021
COMPLAINT#1905471
REOPEN COM NO 1924372','74','92','2021-06-16 14:34:49','2021-07-04 17:14:24',null);
INSERT INTO complaint_statuses VALUES('22308','6991','3',null,'98',null,'16-JUNE-2021
COM NO 217168','74','92','2021-06-16 14:35:25','2021-06-17 16:24:32',null);
INSERT INTO complaint_statuses VALUES('22309','6992','3',null,'65',null,'16-JUNE-2021
COMPLAINT#192124294 
REOPEN COM NO 192125306','74','92','2021-06-16 14:36:39','2021-07-04 17:07:52',null);
INSERT INTO complaint_statuses VALUES('22310','6993','3',null,'54',null,'16-JUNE-2021
COM NO1905587','74','73','2021-06-16 14:42:58','2021-06-16 17:03:46',null);
INSERT INTO complaint_statuses VALUES('22311','6839','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-16 14:55:37','2021-06-16 14:55:37',null);
INSERT INTO complaint_statuses VALUES('22312','6586','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-16 14:59:51','2021-06-16 14:59:51',null);
INSERT INTO complaint_statuses VALUES('22313','6603','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-16 15:03:01','2021-06-16 15:03:01',null);
INSERT INTO complaint_statuses VALUES('22314','6914','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-16 15:09:10','2021-06-16 15:24:23',null);
INSERT INTO complaint_statuses VALUES('22315','6994','3',null,'90',null,'16-JUBNE-2021
COMPLAINT#202106013727','74','73','2021-06-16 15:11:31','2021-06-16 16:49:17',null);
INSERT INTO complaint_statuses VALUES('22316','6676','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-16 15:12:06','2021-06-16 15:27:16',null);
INSERT INTO complaint_statuses VALUES('22317','6664','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-16 15:13:34','2021-06-17 12:59:58',null);
INSERT INTO complaint_statuses VALUES('22318','6981','2',null,'81',null,null,'74','74','2021-06-16 15:15:55','2021-06-16 15:15:55',null);
INSERT INTO complaint_statuses VALUES('22319','6959','2',null,'81',null,null,'74','74','2021-06-16 15:16:02','2021-06-16 15:16:02',null);
INSERT INTO complaint_statuses VALUES('22320','6731','2',null,'81',null,null,'74','74','2021-06-16 15:16:12','2021-06-16 15:16:12',null);
INSERT INTO complaint_statuses VALUES('22321','6621','5','15',null,'COMPLAINT CLOSED','COMPLAINT COMPLETED','81','92','2021-06-16 15:18:49','2021-06-16 16:37:53',null);
INSERT INTO complaint_statuses VALUES('22322','6609','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-16 15:19:42','2021-06-16 15:28:43',null);
INSERT INTO complaint_statuses VALUES('22323','6516','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-16 15:21:50','2021-06-17 13:03:44',null);
INSERT INTO complaint_statuses VALUES('22324','6529','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-16 15:23:30','2021-06-17 13:02:51',null);
INSERT INTO complaint_statuses VALUES('22325','6995','3',null,'52',null,'16-JUNE-2021
COMPLAINT#PKRI-210616111122','74','73','2021-06-16 15:25:06','2021-06-16 15:31:55',null);
INSERT INTO complaint_statuses VALUES('22326','6996','3',null,'53',null,'16-JUNE-2021
COMPLAINT#301141092','74','73','2021-06-16 15:29:20','2021-06-16 16:58:42',null);
INSERT INTO complaint_statuses VALUES('22327','6997','3',null,'65',null,'16-JUNE-2021
COMPLAINT#192124296','74','73','2021-06-16 15:34:28','2021-06-16 16:39:42',null);
INSERT INTO complaint_statuses VALUES('22328','6998','3',null,'90',null,'16-JUNE-2021
COM NO-202106013723','74','73','2021-06-16 15:36:00','2021-06-16 16:47:12',null);
INSERT INTO complaint_statuses VALUES('22329','6999','3',null,'55',null,'16-JUNE-2021
COMPLAINT#RWP-21075','74','73','2021-06-16 15:38:13','2021-06-16 16:13:43',null);
INSERT INTO complaint_statuses VALUES('22330','7000','3',null,'53',null,'16-JUNE-2021
COMPLAINT#301141104','74','73','2021-06-16 15:45:11','2021-06-16 16:59:16',null);
INSERT INTO complaint_statuses VALUES('22331','7001','2',null,'81',null,'16-JUNE-2021
FF TO KHURRAM 5 STAR','74','92','2021-06-16 15:54:12','2021-06-20 17:18:17',null);
INSERT INTO complaint_statuses VALUES('22332','7002','3',null,'52',null,'16-JUNE-2021
COMPLAINT#PKRI-


210616113967
INSTALLASTION REQUEST PKRI-210821103269
COMPLAINT REOPEN#PKRI210715107400','74','74','2021-06-16 16:02:52','2021-08-21 11:33:14',null);
INSERT INTO complaint_statuses VALUES('22333','6988','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-06-16 16:04:43','2021-06-18 16:00:22',null);
INSERT INTO complaint_statuses VALUES('22334','6833','8','23','61','OUT OF WARRANTY HY ON PAYMENT JOB',null,'81','81','2021-06-16 16:09:09','2021-06-16 16:09:09',null);
INSERT INTO complaint_statuses VALUES('22335','6809','8','23','62','MOTER  YA GEAR',null,'81','81','2021-06-16 16:11:17','2021-06-16 16:11:17',null);
INSERT INTO complaint_statuses VALUES('22336','6938','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-16 16:23:34','2021-06-16 16:23:34',null);
INSERT INTO complaint_statuses VALUES('22337','6184','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-06-16 16:27:23','2021-06-18 17:07:06',null);
INSERT INTO complaint_statuses VALUES('22338','7003','3',null,'68',null,'16-JUNE-2021
COMPLAINT#2106RWP-2662','74','74','2021-06-16 16:28:50','2021-06-22 16:33:14',null);
INSERT INTO complaint_statuses VALUES('22339','5804','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-06-16 16:29:05','2021-06-18 17:17:36',null);
INSERT INTO complaint_statuses VALUES('22340','7004','3',null,'52',null,'16-JUNE-2021
COMPLAINT#PKRI-210616114068','74','73','2021-06-16 16:34:01','2021-06-16 17:30:27',null);
INSERT INTO complaint_statuses VALUES('22341','7005','2',null,'81',null,'16-JUN-2021
FF TO KHURRAM 5 STAR','74','74','2021-06-16 16:38:46','2021-06-16 16:38:46',null);
INSERT INTO complaint_statuses VALUES('22342','7005','4',null,'63',null,null,'81','81','2021-06-16 16:39:50','2021-06-16 16:39:50',null);
INSERT INTO complaint_statuses VALUES('22343','7006','3',null,'54',null,'16-JUNE-2021
COMPLAINT#1905591','74','73','2021-06-16 16:50:49','2021-06-16 17:05:45',null);
INSERT INTO complaint_statuses VALUES('22344','7007','2',null,'81',null,'16-JUNE-2021
FF TO B.COOL','74','74','2021-06-16 16:55:22','2021-06-16 16:55:22',null);
INSERT INTO complaint_statuses VALUES('22345','7007','4',null,'58',null,null,'81','81','2021-06-16 16:55:42','2021-06-16 16:55:42',null);
INSERT INTO complaint_statuses VALUES('22346','7001','4',null,'63',null,null,'81','81','2021-06-16 16:55:52','2021-06-16 16:55:52',null);
INSERT INTO complaint_statuses VALUES('22347','6981','4',null,'64',null,null,'81','81','2021-06-16 16:56:00','2021-06-16 16:56:00',null);
INSERT INTO complaint_statuses VALUES('22348','6959','4',null,'64',null,null,'81','81','2021-06-16 16:56:07','2021-06-16 16:56:07',null);
INSERT INTO complaint_statuses VALUES('22349','6731','4',null,'64',null,null,'81','81','2021-06-16 16:56:27','2021-06-16 16:56:27',null);
INSERT INTO complaint_statuses VALUES('22350','7008','3',null,'52',null,'16-JUNE-2021
COMPLAINT#PKRI-210616114120','74','73','2021-06-16 16:59:20','2021-06-16 17:32:56',null);
INSERT INTO complaint_statuses VALUES('22351','7009','3',null,'52',null,'16-JUNE-2021
COMPLAINT#PKRI-210616114363','74','73','2021-06-16 17:06:09','2021-06-16 17:44:36',null);
INSERT INTO complaint_statuses VALUES('22352','7010','3',null,'52',null,'16-JUNE-2021
COM NOPKRI-210616114405','74','73','2021-06-16 17:16:53','2021-06-16 17:46:29',null);
INSERT INTO complaint_statuses VALUES('22353','7011','3',null,'92',null,'16-MAY-2021
COMPLAINT#210616015936','74','73','2021-06-16 17:20:50','2021-06-16 17:59:44',null);
INSERT INTO complaint_statuses VALUES('22354','7012','3',null,'65',null,'16-JUNE-2021
COMPLAINT#192124303','74','92','2021-06-16 17:28:43','2021-06-24 17:28:44',null);
INSERT INTO complaint_statuses VALUES('22355','7013','3',null,'53',null,'17-JUNE-2021
COM NO-301141315','74','73','2021-06-16 17:34:38','2021-06-17 11:03:43',null);
INSERT INTO complaint_statuses VALUES('22356','7014','2',null,'81',null,'16-JUNE-2021
FF TO KHURRAM 5 STAR','74','74','2021-06-16 17:45:46','2021-06-16 17:45:46',null);
INSERT INTO complaint_statuses VALUES('22357','7014','4',null,'63',null,null,'81','81','2021-06-16 17:46:25','2021-06-16 17:46:25',null);
INSERT INTO complaint_statuses VALUES('22358','7015','3',null,'55',null,'16-JUNE-2021
COM NO785014-RWP-21080','74','73','2021-06-16 17:50:49','2021-06-16 18:05:28',null);
INSERT INTO complaint_statuses VALUES('22359','7016','2',null,'81',null,'16-JUNE-2021
COM FF TO AZHAR SIR','74','74','2021-06-16 17:59:57','2021-06-16 17:59:57',null);
INSERT INTO complaint_statuses VALUES('22360','7016','4',null,'60',null,null,'81','81','2021-06-16 18:02:17','2021-06-16 18:02:17',null);
INSERT INTO complaint_statuses VALUES('22361','7017','3',null,'53',null,'17-JUNE-2021
COM NO-301141317','92','73','2021-06-16 18:14:26','2021-06-17 11:04:24',null);
INSERT INTO complaint_statuses VALUES('22362','7018','3',null,'52',null,'16-JUNE-2021
COMPLAINT#PKRI-210616115268
AGAIN COM NO PKRI-210619109462
PKRI-210704107864
REOPEN COM','74','92','2021-06-16 18:20:06','2021-07-04 16:25:44',null);
INSERT INTO complaint_statuses VALUES('22363','7019','2',null,'81',null,'16-JUNE-2021
COM FF TO HOME SOLUTION','92','92','2021-06-16 18:25:22','2021-06-16 18:25:22',null);
INSERT INTO complaint_statuses VALUES('22364','7020','2',null,'81',null,'16-JUNE-2021
FF TO KHURRAM 5 STAR','74','74','2021-06-16 18:26:30','2021-06-16 18:26:30',null);
INSERT INTO complaint_statuses VALUES('22365','7020','4',null,'63',null,null,'81','81','2021-06-16 18:29:08','2021-06-16 18:29:08',null);
INSERT INTO complaint_statuses VALUES('22366','7019','4',null,'62',null,null,'81','81','2021-06-16 18:29:52','2021-06-16 18:29:52',null);
INSERT INTO complaint_statuses VALUES('22367','7021','3',null,'65',null,'16-JUNE-2021
COMPLAINT#192124325','74','73','2021-06-16 18:32:53','2021-06-17 11:53:26',null);
INSERT INTO complaint_statuses VALUES('22368','7022','3',null,'52',null,'16-JUNE-2021
COMPLAINT#PKRI-210616115522','74','73','2021-06-16 18:39:49','2021-06-16 18:42:28',null);
INSERT INTO complaint_statuses VALUES('22369','7023','3',null,'52',null,'16-JUNE-2021
COMPLAINT#PKRI-210617106169','74','73','2021-06-16 18:43:51','2021-06-17 12:15:48',null);
INSERT INTO complaint_statuses VALUES('22370','6431','7','12','81','Inlet Valve Faulty , Customer Want Local Solution.',null,'76','76','2021-06-16 19:54:31','2021-06-16 19:54:31',null);
INSERT INTO complaint_statuses VALUES('22371','6330','7','12','81','Thermostat Adjustment. Visit Pending 600/-',null,'76','76','2021-06-16 19:56:21','2021-06-16 19:56:21',null);
INSERT INTO complaint_statuses VALUES('22372','6562','7','12','81','Thermostate Adjustment.visit Pending 600/-',null,'76','76','2021-06-16 19:57:52','2021-06-16 19:57:52',null);
INSERT INTO complaint_statuses VALUES('22373','6777','7','12','81','Condenser Service.',null,'76','76','2021-06-16 20:00:10','2021-06-16 20:00:10',null);
INSERT INTO complaint_statuses VALUES('22374','6778','7','12','81','Condenser Service.',null,'76','76','2021-06-16 20:01:17','2021-06-16 20:01:17',null);
INSERT INTO complaint_statuses VALUES('22375','6781','7','22','81','Compressor Fault.',null,'76','76','2021-06-16 20:03:20','2021-06-16 20:03:20',null);
INSERT INTO complaint_statuses VALUES('22376','6583','7','12','81','Filter Service.',null,'76','76','2021-06-16 20:03:58','2021-06-16 20:03:58',null);
INSERT INTO complaint_statuses VALUES('22377','6873','7','12','81','Thermostat Adjustment.',null,'76','76','2021-06-17 10:30:00','2021-06-17 10:30:00',null);
INSERT INTO complaint_statuses VALUES('22378','6877','7','12','81','Drain Service.',null,'76','76','2021-06-17 10:31:28','2021-06-17 10:31:28',null);
INSERT INTO complaint_statuses VALUES('22379','6877','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-17 10:51:28','2021-06-17 12:57:38',null);
INSERT INTO complaint_statuses VALUES('22380','6873','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-17 10:56:20','2021-06-17 12:58:05',null);
INSERT INTO complaint_statuses VALUES('22381','6778','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-17 10:57:21','2021-06-17 12:58:28',null);
INSERT INTO complaint_statuses VALUES('22382','6777','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-17 10:58:22','2021-06-17 12:58:53',null);
INSERT INTO complaint_statuses VALUES('22383','6729','7','12','81','COMPLETED COMPLAINT 
LPG CONVERT',null,'88','88','2021-06-17 11:02:19','2021-06-17 11:02:19',null);
INSERT INTO complaint_statuses VALUES('22384','6202','7','12','81','CUSTOMER NA LOCAL TECHNICIAN SA COMPLAINT RESOLVED HO GEI HAIN',null,'88','88','2021-06-17 11:06:23','2021-06-17 11:06:23',null);
INSERT INTO complaint_statuses VALUES('22385','6511','5','15',null,'BUNNER REPLACE KAR DIYA HAIN COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-06-17 11:07:50','2021-06-18 15:03:55',null);
INSERT INTO complaint_statuses VALUES('22386','6424','5','23',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-17 11:09:05','2021-06-18 17:00:36',null);
INSERT INTO complaint_statuses VALUES('22387','6729','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-17 11:09:32','2021-06-17 12:59:22',null);
INSERT INTO complaint_statuses VALUES('22388','6606','5','15',null,'INSTALLER KA VISIT HO GAYA HINA 
CUSTOMER KI SATISFACTION K LIYA COMPANY FF KARWA RAHAY COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-17 11:13:45','2021-06-17 13:01:07',null);
INSERT INTO complaint_statuses VALUES('22389','7024','3',null,'53',null,'17-JUNE-2021
COMPLAINT# RE OPEN','74','73','2021-06-17 11:14:57','2021-06-17 12:44:51',null);
INSERT INTO complaint_statuses VALUES('22390','7025','2',null,'81',null,'17-JUNE-2021
FF TO AZHAR FCI','74','74','2021-06-17 11:17:02','2021-06-17 11:17:02',null);
INSERT INTO complaint_statuses VALUES('22391','6515','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 11:20:13','2021-06-17 11:20:13',null);
INSERT INTO complaint_statuses VALUES('22392','7025','4',null,'60',null,null,'81','81','2021-06-17 11:22:42','2021-06-17 11:22:42',null);
INSERT INTO complaint_statuses VALUES('22393','6608','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 11:32:25','2021-06-17 11:32:25',null);
INSERT INTO complaint_statuses VALUES('22394','7026','2',null,'81',null,'17-JUNE-2021
FF TO KHURRAM 5 STAR','74','74','2021-06-17 11:37:25','2021-06-17 11:37:25',null);
INSERT INTO complaint_statuses VALUES('22395','7026','4',null,'63',null,null,'81','81','2021-06-17 11:37:51','2021-06-17 11:37:51',null);
INSERT INTO complaint_statuses VALUES('22396','5636','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 11:49:09','2021-06-17 11:49:09',null);
INSERT INTO complaint_statuses VALUES('22397','7027','3',null,'56',null,'17-JUNE-2021
COMPLAINT#F17/008','74','73','2021-06-17 11:49:44','2021-06-17 12:49:01',null);
INSERT INTO complaint_statuses VALUES('22398','7028','3',null,'67',null,'17-JUNE-2021
FF TO BABAR LHR','74','92','2021-06-17 11:55:23','2021-06-21 14:38:31',null);
INSERT INTO complaint_statuses VALUES('22399','5843','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 11:57:44','2021-06-17 11:57:44',null);
INSERT INTO complaint_statuses VALUES('22400','6575','7','12','81','GAS CHARGED + CONDENSER REPLACED',null,'87','87','2021-06-17 12:00:52','2021-06-17 12:00:52',null);
INSERT INTO complaint_statuses VALUES('22401','7029','3',null,'52',null,'17-JUNE-2021
COMPLAINT#PKRI-210617106250','74','73','2021-06-17 12:01:55','2021-06-17 12:18:35',null);
INSERT INTO complaint_statuses VALUES('22402','5911','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 12:02:31','2021-06-17 12:02:31',null);
INSERT INTO complaint_statuses VALUES('22403','6675','8','23','58','PLEASE CONTACT ADIL FOR WORKSHOP 03005511255',null,'81','81','2021-06-17 12:06:31','2021-06-17 12:06:31',null);
INSERT INTO complaint_statuses VALUES('22404','6583','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-06-17 12:06:58','2021-06-17 13:01:34',null);
INSERT INTO complaint_statuses VALUES('22405','6575','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-06-17 12:07:26','2021-06-18 16:06:15',null);
INSERT INTO complaint_statuses VALUES('22406','6562','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-06-17 12:07:41','2021-06-17 13:02:12',null);
INSERT INTO complaint_statuses VALUES('22407','5923','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 12:11:03','2021-06-17 12:11:03',null);
INSERT INTO complaint_statuses VALUES('22408','6495','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-06-17 12:13:46','2021-06-18 16:10:04',null);
INSERT INTO complaint_statuses VALUES('22409','6480','5','15',null,null,'AGAIN COMPLAINT REOPEND KARWA DI','81','74','2021-06-17 12:14:39','2021-06-18 16:28:42',null);
INSERT INTO complaint_statuses VALUES('22410','6431','5','15',null,null,'CUSTOMER NA ABI TAQ W/M S/C MOVE NAI KARWAI CLOSED COMPLAINT','81','74','2021-06-17 12:15:12','2021-06-28 12:06:10',null);
INSERT INTO complaint_statuses VALUES('22411','7030','3',null,'85',null,'17-JUNE-2021
COMPLAINT#301141449','74','73','2021-06-17 12:15:27','2021-06-17 12:44:33',null);
INSERT INTO complaint_statuses VALUES('22412','6202','5','15',null,null,'COMPLAINT CLOSED','81','74','2021-06-17 12:16:34','2021-06-18 15:21:13',null);
INSERT INTO complaint_statuses VALUES('22413','6069','5','15',null,null,'CARD IQBAL SAB NA KHURRAM SAB KO BAJWA DIA HAIN COMPLAINT CLOSED','81','74','2021-06-17 12:17:07','2021-06-28 12:24:13',null);
INSERT INTO complaint_statuses VALUES('22414','4196','5','25',null,null,'CUSTOMER NA PROPER DOCUMENT SHER NI KIYA SO COMPLAINT CLOSED','81','74','2021-06-17 12:18:26','2021-06-28 15:49:32',null);
INSERT INTO complaint_statuses VALUES('22415','7031','3',null,'74',null,'17-JUNE-2021
COMPLAINT#124','74','74','2021-06-17 12:20:29','2021-06-19 17:31:20',null);
INSERT INTO complaint_statuses VALUES('22416','6678','8','23','58','OUT OF STOKE',null,'81','81','2021-06-17 12:28:13','2021-06-17 12:28:13',null);
INSERT INTO complaint_statuses VALUES('22417','6636','8','23','60','UPDATE',null,'81','81','2021-06-17 12:28:51','2021-06-17 12:28:51',null);
INSERT INTO complaint_statuses VALUES('22418','6578','8','23','56','UP DATE',null,'81','81','2021-06-17 12:29:29','2021-06-17 12:29:29',null);
INSERT INTO complaint_statuses VALUES('22419','6708','8','23','58','ANY UPDATE',null,'81','81','2021-06-17 12:30:11','2021-06-17 12:30:11',null);
INSERT INTO complaint_statuses VALUES('22420','6510','8','23','58','CUSTOMER IS VERY HAIPER . PLEASE COMPLET THIS JOB QUICKLY',null,'81','81','2021-06-17 12:31:42','2021-06-17 12:31:42',null);
INSERT INTO complaint_statuses VALUES('22421','6493','8','23','56','AAP LEFT KR LEN',null,'81','81','2021-06-17 12:33:35','2021-06-17 12:33:35',null);
INSERT INTO complaint_statuses VALUES('22422','6470','8','23','60','ANY NEW UPDATE',null,'81','81','2021-06-17 12:34:11','2021-06-17 12:34:11',null);
INSERT INTO complaint_statuses VALUES('22423','6479','8','23','55','MODEL REGISTER ME KITNA TIME LAGE GA',null,'81','81','2021-06-17 12:38:30','2021-06-17 12:38:30',null);
INSERT INTO complaint_statuses VALUES('22424','6473','8','23','56','AAP LIFT KAR LEN',null,'81','81','2021-06-17 12:39:33','2021-06-17 12:39:33',null);
INSERT INTO complaint_statuses VALUES('22425','6463','8','23','60','REFRIGERATOR I-10 NAHE HY . CUSTOMER IS VERY HIPER . REF KAHAN HY',null,'81','81','2021-06-17 12:40:50','2021-06-17 12:40:50',null);
INSERT INTO complaint_statuses VALUES('22426','6448','5','15',null,null,'COMPLAINT REOPEND','81','74','2021-06-17 12:41:21','2021-06-18 16:49:16',null);
INSERT INTO complaint_statuses VALUES('22427','7032','3',null,'80',null,'17-JUNE-2021
FF TO LHR AYSHA','74','74','2021-06-17 12:42:42','2021-06-17 12:42:42',null);
INSERT INTO complaint_statuses VALUES('22428','6441','8','23','63','UP DATE',null,'81','81','2021-06-17 12:44:03','2021-06-17 12:44:03',null);
INSERT INTO complaint_statuses VALUES('22429','6330','8','15','55',null,null,'81','81','2021-06-17 12:45:48','2021-06-17 12:45:48',null);
INSERT INTO complaint_statuses VALUES('22430','6182','8','23','58','UP DATE',null,'81','81','2021-06-17 12:46:25','2021-06-17 12:46:25',null);
INSERT INTO complaint_statuses VALUES('22431','6191','8','23','63','UP DATE',null,'81','81','2021-06-17 12:46:52','2021-06-17 12:46:52',null);
INSERT INTO complaint_statuses VALUES('22432','6140','8','23','55','NEW 
UP DATE',null,'81','81','2021-06-17 12:47:35','2021-06-17 12:47:35',null);
INSERT INTO complaint_statuses VALUES('22433','6110','8','23','60','UP DATE',null,'81','81','2021-06-17 12:48:11','2021-06-17 12:48:11',null);
INSERT INTO complaint_statuses VALUES('22434','5755','5','15',null,null,'HIOOD REPLACE HO GAYA','81','74','2021-06-17 12:53:55','2021-06-28 12:32:10',null);
INSERT INTO complaint_statuses VALUES('22435','6281','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 12:54:39','2021-06-17 12:54:39',null);
INSERT INTO complaint_statuses VALUES('22436','6015','8','23','60','NEW UP DATE KREN',null,'81','81','2021-06-17 12:54:40','2021-06-17 12:54:40',null);
INSERT INTO complaint_statuses VALUES('22437','6065','8','23','59','NEW UPDATE KREN',null,'81','81','2021-06-17 12:55:52','2021-06-17 12:55:52',null);
INSERT INTO complaint_statuses VALUES('22438','6528','8','15','60',null,'COMPLAINT  KHURRAM GOOGLE NA ATTEN KARWAI','81','74','2021-06-17 12:56:22','2021-06-25 17:28:30',null);
INSERT INTO complaint_statuses VALUES('22439','6457','8','23','62','NEW UPDATE KREN',null,'81','81','2021-06-17 12:57:45','2021-06-17 12:57:45',null);
INSERT INTO complaint_statuses VALUES('22440','7033','3',null,'52',null,'17-JUNE-2021
COMPLAINT#PKRI-210617110471','74','73','2021-06-17 12:58:35','2021-06-17 14:53:16',null);
INSERT INTO complaint_statuses VALUES('22441','6042','5','15',null,null,'ASLAM SIR WAPISE LA K AAGAY HAIN COMPLAINT CLOSED','81','74','2021-06-17 12:59:00','2021-06-28 15:46:05',null);
INSERT INTO complaint_statuses VALUES('22442','5780','8','23','62','NEW UPDATE KREN',null,'81','81','2021-06-17 13:02:45','2021-06-17 13:02:45',null);
INSERT INTO complaint_statuses VALUES('22443','5919','8','23','60','NEW UPDATE',null,'81','81','2021-06-17 13:03:37','2021-06-17 13:03:37',null);
INSERT INTO complaint_statuses VALUES('22444','6578','7','12','81','completed collected',null,'77','77','2021-06-17 13:04:21','2021-06-17 13:04:21',null);
INSERT INTO complaint_statuses VALUES('22445','6476','7','12','81','completed and collected',null,'77','77','2021-06-17 13:04:58','2021-06-17 13:04:58',null);
INSERT INTO complaint_statuses VALUES('22446','6296','8','23','55','NEW COMPRESSOR AAP KO RECEVE HO GEYA HY . OLD COMPRESSOR AAP NY WAPIS NAHE KIA',null,'81','81','2021-06-17 13:05:39','2021-06-17 13:05:39',null);
INSERT INTO complaint_statuses VALUES('22447','6063','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 13:05:39','2021-06-17 13:05:39',null);
INSERT INTO complaint_statuses VALUES('22448','6252','8','23','61','NEW UPDATE',null,'81','81','2021-06-17 13:07:02','2021-06-17 13:07:02',null);
INSERT INTO complaint_statuses VALUES('22449','7034','3',null,'73',null,'19-JUNE-2021
COMPLAINT#4855','74','73','2021-06-17 13:07:06','2021-06-17 13:28:59',null);
INSERT INTO complaint_statuses VALUES('22450','6397','8','23','60','NEW UPDATE',null,'81','81','2021-06-17 13:07:29','2021-06-17 13:07:29',null);
INSERT INTO complaint_statuses VALUES('22451','6476','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-06-17 13:08:24','2021-06-18 16:42:36',null);
INSERT INTO complaint_statuses VALUES('22452','6070','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 13:09:00','2021-06-17 13:09:00',null);
INSERT INTO complaint_statuses VALUES('22453','6578','5','15',null,null,'CUSTOMER KO BORD KI PRICE CONFIRM KAR DI HAIN 18000 BUT CUSTOMER NA APPROVAL NAI DI COMPLINT CLOSED KARWA DI','81','74','2021-06-17 13:09:31','2021-06-18 13:49:04',null);
INSERT INTO complaint_statuses VALUES('22454','6775','8','23','62','NEW UPDATE',null,'81','81','2021-06-17 13:10:40','2021-06-17 13:10:40',null);
INSERT INTO complaint_statuses VALUES('22455','6781','8','23','55','INVOICE 03215511255 PER SEND KAREN',null,'81','81','2021-06-17 13:12:09','2021-06-17 13:12:09',null);
INSERT INTO complaint_statuses VALUES('22456','6822','8','23','62','UP DATE KREN',null,'81','81','2021-06-17 13:12:48','2021-06-17 13:12:48',null);
INSERT INTO complaint_statuses VALUES('22457','6080','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 13:13:04','2021-06-17 13:13:04',null);
INSERT INTO complaint_statuses VALUES('22458','7035','3',null,'65',null,'17-JUNE-2021
COMPLAINT#192124346','74','73','2021-06-17 13:14:11','2021-06-17 15:01:53',null);
INSERT INTO complaint_statuses VALUES('22459','6082','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 13:15:43','2021-06-17 13:15:43',null);
INSERT INTO complaint_statuses VALUES('22460','6176','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-17 13:25:42','2021-06-17 13:25:42',null);
INSERT INTO complaint_statuses VALUES('22461','7036','2',null,'81',null,'17-JUNE-2021
COMPLAINT#','74','74','2021-06-17 13:26:57','2021-06-17 13:26:57',null);
INSERT INTO complaint_statuses VALUES('22462','7036','4',null,'55',null,null,'81','81','2021-06-17 13:27:53','2021-06-17 13:27:53',null);
INSERT INTO complaint_statuses VALUES('22463','5938','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 13:27:57','2021-06-17 13:27:57',null);
INSERT INTO complaint_statuses VALUES('22464','5947','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 13:30:07','2021-06-17 13:30:07',null);
INSERT INTO complaint_statuses VALUES('22465','5964','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 13:38:10','2021-06-17 13:38:10',null);
INSERT INTO complaint_statuses VALUES('22466','6509','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-17 13:38:48','2021-06-17 13:38:48',null);
INSERT INTO complaint_statuses VALUES('22467','5973','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 13:40:16','2021-06-17 13:40:16',null);
INSERT INTO complaint_statuses VALUES('22468','7037','3',null,'65',null,'17-JUNE-2021
COMPLAINT#192124347','74','73','2021-06-17 13:40:21','2021-06-17 15:04:21',null);
INSERT INTO complaint_statuses VALUES('22469','6865','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-17 13:41:50','2021-06-17 13:41:50',null);
INSERT INTO complaint_statuses VALUES('22470','5819','7','12','81','Gear Box Replaced.',null,'76','76','2021-06-17 13:43:38','2021-06-17 13:43:38',null);
INSERT INTO complaint_statuses VALUES('22471','6092','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-17 13:43:40','2021-06-17 13:43:40',null);
INSERT INTO complaint_statuses VALUES('22472','6081','7','12','81','Display PCB Repaired.',null,'76','76','2021-06-17 13:44:19','2021-06-17 13:44:19',null);
INSERT INTO complaint_statuses VALUES('22473','6140','7','12','81','Heat gun Repaired.',null,'76','76','2021-06-17 13:44:59','2021-06-17 13:44:59',null);
INSERT INTO complaint_statuses VALUES('22474','6214','7','26','81','Local repaired by Customer.',null,'76','76','2021-06-17 13:45:37','2021-06-17 13:45:37',null);
INSERT INTO complaint_statuses VALUES('22475','6147','7','26','81','Customer Want replacement. not agree for repairing.',null,'76','76','2021-06-17 13:46:34','2021-06-17 13:46:34',null);
INSERT INTO complaint_statuses VALUES('22476','6013','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 13:47:19','2021-06-17 13:47:19',null);
INSERT INTO complaint_statuses VALUES('22477','6087','7','26','81','Customer want replacement, door  Problem.',null,'76','76','2021-06-17 13:47:25','2021-06-17 13:47:25',null);
INSERT INTO complaint_statuses VALUES('22478','6460','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-17 13:49:07','2021-06-17 13:49:07',null);
INSERT INTO complaint_statuses VALUES('22479','6056','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 13:49:24','2021-06-17 13:49:24',null);
INSERT INTO complaint_statuses VALUES('22480','6097','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 13:51:18','2021-06-17 13:51:18',null);
INSERT INTO complaint_statuses VALUES('22481','7038','3',null,'53',null,'17-JUNE-2021
COMPLAINT#301141652','74','73','2021-06-17 13:55:12','2021-06-17 15:35:49',null);
INSERT INTO complaint_statuses VALUES('22482','6151','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 13:55:41','2021-06-17 13:55:41',null);
INSERT INTO complaint_statuses VALUES('22483','6506','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-17 13:57:10','2021-06-17 13:57:10',null);
INSERT INTO complaint_statuses VALUES('22484','7039','2',null,'81',null,'17-JUNE-2021
FF TO AZHAR FCI','74','74','2021-06-17 14:00:06','2021-06-17 14:00:06',null);
INSERT INTO complaint_statuses VALUES('22485','7039','4',null,'60',null,null,'81','81','2021-06-17 14:00:34','2021-06-17 14:00:34',null);
INSERT INTO complaint_statuses VALUES('22486','6823','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-17 14:01:45','2021-06-17 14:01:45',null);
INSERT INTO complaint_statuses VALUES('22487','6815','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','73','74','2021-06-17 14:08:08','2021-06-18 16:04:27',null);
INSERT INTO complaint_statuses VALUES('22488','6671','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-17 14:08:39','2021-06-17 14:08:39',null);
INSERT INTO complaint_statuses VALUES('22489','7040','3',null,'52',null,'17-JUNE-2021
COMPLAINT#PKRI-210617110332','74','73','2021-06-17 14:13:07','2021-06-17 14:48:37',null);
INSERT INTO complaint_statuses VALUES('22490','6422','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 14:14:32','2021-06-17 14:14:32',null);
INSERT INTO complaint_statuses VALUES('22491','6945','7','12','81','complaint resolved.',null,'79','79','2021-06-17 14:17:18','2021-06-17 14:17:18',null);
INSERT INTO complaint_statuses VALUES('22492','6637','7','12','81','complaint reoslved',null,'79','79','2021-06-17 14:18:18','2021-06-17 14:18:18',null);
INSERT INTO complaint_statuses VALUES('22493','6492','7','12','81','complaint resolved',null,'79','79','2021-06-17 14:22:28','2021-06-17 14:22:28',null);
INSERT INTO complaint_statuses VALUES('22494','6498','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 14:22:36','2021-06-17 14:22:36',null);
INSERT INTO complaint_statuses VALUES('22495','6610','7','12','81','complaint resolved,auto wire cahnge',null,'79','79','2021-06-17 14:24:01','2021-06-17 14:24:01',null);
INSERT INTO complaint_statuses VALUES('22496','7041','3',null,'54',null,'17-JUNE-2021
COMPLAINT#1906671','74','73','2021-06-17 14:38:15','2021-06-17 15:49:51',null);
INSERT INTO complaint_statuses VALUES('22497','6786','5',null,null,'COMPLAINT CLOSED',null,'73','73','2021-06-17 14:38:50','2021-06-17 14:38:50',null);
INSERT INTO complaint_statuses VALUES('22498','6650','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 14:40:45','2021-06-17 14:40:45',null);
INSERT INTO complaint_statuses VALUES('22499','6655','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 14:42:31','2021-06-17 14:42:31',null);
INSERT INTO complaint_statuses VALUES('22500','7042','3',null,'65',null,'17-JUNE-2021
COMPLAINT#192124348
COMPLAINT REOPEN#192126151','74','74','2021-06-17 14:44:26','2021-07-18 16:28:46',null);
INSERT INTO complaint_statuses VALUES('22501','6809','7','22','81','TECH NY MOTER KA BTAYA',null,'87','87','2021-06-17 14:46:30','2021-06-17 14:46:30',null);
INSERT INTO complaint_statuses VALUES('22502','6696','7','12','81','Frig temp issue tha okay kar dis hy',null,'82','82','2021-06-17 14:49:35','2021-06-17 14:49:35',null);
INSERT INTO complaint_statuses VALUES('22503','6463','7','24','81','Best cool py bheji hy',null,'82','82','2021-06-17 14:52:03','2021-06-17 14:52:03',null);
INSERT INTO complaint_statuses VALUES('22504','6822','7','26','81','PLZ FRWD TO USMAN',null,'87','87','2021-06-17 14:52:37','2021-06-17 14:52:37',null);
INSERT INTO complaint_statuses VALUES('22505','5919','7','26','81','Tariq fci khod bhejyvgy',null,'82','82','2021-06-17 14:52:43','2021-06-17 14:52:43',null);
INSERT INTO complaint_statuses VALUES('22506','6822','5','15',null,'FF TO USMAN','COMPLAINT CLOSED','81','74','2021-06-17 14:53:41','2021-06-18 13:33:51',null);
INSERT INTO complaint_statuses VALUES('22507','6689','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 14:54:14','2021-06-17 14:54:14',null);
INSERT INTO complaint_statuses VALUES('22508','7043','3',null,'85',null,'17-JUNE-2021
COMPLAINT#301141656','74','73','2021-06-17 14:57:27','2021-06-17 15:36:19',null);
INSERT INTO complaint_statuses VALUES('22509','6711','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 14:59:15','2021-06-17 14:59:15',null);
INSERT INTO complaint_statuses VALUES('22510','6812','7','12','81','Condenser  Service.Visit Pending 600/-',null,'76','76','2021-06-17 15:04:50','2021-06-17 15:04:50',null);
INSERT INTO complaint_statuses VALUES('22511','6727','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 15:04:56','2021-06-17 15:04:56',null);
INSERT INTO complaint_statuses VALUES('22512','6732','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 15:06:41','2021-06-17 15:06:41',null);
INSERT INTO complaint_statuses VALUES('22513','5725','7','12','81','MWO Please Collect Krwa Lain.',null,'76','76','2021-06-17 15:07:56','2021-06-17 15:07:56',null);
INSERT INTO complaint_statuses VALUES('22514','6734','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 15:12:04','2021-06-17 15:12:04',null);
INSERT INTO complaint_statuses VALUES('22515','6741','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 15:17:42','2021-06-17 15:17:42',null);
INSERT INTO complaint_statuses VALUES('22516','6827','7','26','81','PLZ CANCEL IT, CUSTOMER CL NHI PICK KR RHY MAINY KAMRAN SB KO INFORM KR DIA HAI',null,'87','87','2021-06-17 15:21:33','2021-06-17 15:21:33',null);
INSERT INTO complaint_statuses VALUES('22517','6841','7','26','81','KHD E OK KRWA LI',null,'87','87','2021-06-17 15:22:27','2021-06-17 15:22:27',null);
INSERT INTO complaint_statuses VALUES('22518','7044','3',null,'52',null,'17-JUNE-2021
COMPLAINT#PKRI-210617113280','74','73','2021-06-17 15:28:54','2021-06-17 16:52:19',null);
INSERT INTO complaint_statuses VALUES('22519','7045','3',null,'53',null,'17-JUNE-2021
COMPLAINT#301141759','74','73','2021-06-17 16:16:27','2021-06-17 17:21:53',null);
INSERT INTO complaint_statuses VALUES('22520','7046','3',null,'54',null,'17-JUNE-2021
COMPLAINT#1906743','74','73','2021-06-17 16:16:32','2021-06-17 16:35:22',null);
INSERT INTO complaint_statuses VALUES('22521','7047','2',null,'81',null,'17-JUNE-2021
FF TO KHURRAM 5 STAR','74','74','2021-06-17 16:22:39','2021-06-17 16:22:39',null);
INSERT INTO complaint_statuses VALUES('22522','7047','4',null,'63',null,null,'81','81','2021-06-17 16:23:07','2021-06-17 16:23:07',null);
INSERT INTO complaint_statuses VALUES('22523','7048','3',null,'52',null,'17-JUN-2021
COMPLAINT£ PKRI-210617113384
NEW COMPLAINT#PKRI-210701115015','74','74','2021-06-17 16:33:38','2021-07-01 17:04:04',null);
INSERT INTO complaint_statuses VALUES('22524','6239','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 16:35:05','2021-06-17 16:35:05',null);
INSERT INTO complaint_statuses VALUES('22525','6483','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 16:49:56','2021-06-17 16:49:56',null);
INSERT INTO complaint_statuses VALUES('22526','6574','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 16:54:53','2021-06-17 16:54:53',null);
INSERT INTO complaint_statuses VALUES('22527','7049','3',null,'53',null,'17-JUNE-2021
COMPLAINT#301141760','74','73','2021-06-17 16:55:26','2021-06-17 17:24:56',null);
INSERT INTO complaint_statuses VALUES('22528','6292','7','12','81','unit completed and collected by Aslam sab',null,'77','77','2021-06-17 17:00:40','2021-06-17 17:00:40',null);
INSERT INTO complaint_statuses VALUES('22529','7050','3',null,'59',null,'17-OCT-2021
COMPLAINT#4246454949','74','73','2021-06-17 17:02:22','2021-06-17 17:12:12',null);
INSERT INTO complaint_statuses VALUES('22530','6568','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-17 17:08:08','2021-06-17 17:08:08',null);
INSERT INTO complaint_statuses VALUES('22531','7051','3',null,'56',null,'17-JUNE-2021
COMPLAINT#F22/043','74','92','2021-06-17 17:38:05','2021-06-22 15:58:40',null);
INSERT INTO complaint_statuses VALUES('22532','7052','2',null,'81',null,'17-JUNE-2021
FF TO KHURRAM 5 STAR','74','74','2021-06-17 18:01:31','2021-06-17 18:01:31',null);
INSERT INTO complaint_statuses VALUES('22533','7052','4',null,'63',null,null,'81','81','2021-06-17 18:03:22','2021-06-17 18:03:22',null);
INSERT INTO complaint_statuses VALUES('22534','6313','7','12','81','completed and collected. close the job',null,'77','77','2021-06-17 18:05:58','2021-06-17 18:05:58',null);
INSERT INTO complaint_statuses VALUES('22535','6636','7','12','81','Filter cleen issue tha okay kar di hy',null,'82','82','2021-06-17 18:13:24','2021-06-17 18:13:24',null);
INSERT INTO complaint_statuses VALUES('22536','6470','7','24','81','Ji visit kar liea hy',null,'82','82','2021-06-17 18:15:17','2021-06-17 18:15:17',null);
INSERT INTO complaint_statuses VALUES('22537','6527','7','26','81','Customer Out Of City.',null,'76','76','2021-06-17 18:18:44','2021-06-17 18:18:44',null);
INSERT INTO complaint_statuses VALUES('22538','7053','3',null,'73',null,'17-JUNE-2021
COMPLAINT#4919','74','92','2021-06-17 18:21:26','2021-06-24 13:29:31',null);
INSERT INTO complaint_statuses VALUES('22539','5780','7','12','81','Issue resolved,pcb replaced',null,'87','87','2021-06-17 19:37:23','2021-06-17 19:37:23',null);
INSERT INTO complaint_statuses VALUES('22540','6972','7','12','81','fiter clean complaint resovled',null,'79','79','2021-06-17 21:26:05','2021-06-17 21:26:05',null);
INSERT INTO complaint_statuses VALUES('22541','6857','7','12','81','dukt issue compliant resolved',null,'79','79','2021-06-17 21:30:10','2021-06-17 21:30:10',null);
INSERT INTO complaint_statuses VALUES('22542','6524','7','12','81','complaint resolved',null,'79','79','2021-06-17 21:30:59','2021-06-17 21:30:59',null);
INSERT INTO complaint_statuses VALUES('22543','6840','7','12','81','complaint reoslved,pipe issue',null,'79','79','2021-06-17 21:31:28','2021-06-17 21:31:28',null);
INSERT INTO complaint_statuses VALUES('22544','6704','7','12','81','inlet value change complaint reoslved',null,'79','79','2021-06-17 21:32:50','2021-06-17 21:32:50',null);
INSERT INTO complaint_statuses VALUES('22545','6766','7','12','81','pump  chnage inwarnty',null,'79','79','2021-06-17 21:35:40','2021-06-17 21:35:40',null);
INSERT INTO complaint_statuses VALUES('22546','6503','7','12','81','complaint resolved motor issue',null,'79','79','2021-06-17 21:36:43','2021-06-17 21:36:43',null);
INSERT INTO complaint_statuses VALUES('22547','6972','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-06-18 11:47:34','2021-06-18 11:50:08',null);
INSERT INTO complaint_statuses VALUES('22548','6945','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-18 11:50:56','2021-06-18 11:52:04',null);
INSERT INTO complaint_statuses VALUES('22549','7054','3',null,'52',null,'18-JUNE-2021
COMPLAINT#PKRI-210618104939','74','92','2021-06-18 12:09:15','2021-06-21 12:08:32',null);
INSERT INTO complaint_statuses VALUES('22550','7026','7','12','81','Chula thik hy aik jat kala karta tha wo thik kiya hy',null,'88','88','2021-06-18 12:14:54','2021-06-18 12:14:54',null);
INSERT INTO complaint_statuses VALUES('22551','6957','7','12','81','Chuha Gaya tha tab ag nicha jati the OK hy',null,'88','88','2021-06-18 12:15:44','2021-06-18 12:15:44',null);
INSERT INTO complaint_statuses VALUES('22552','6857','5','15',null,'COMPLETED  COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-18 12:16:39','2021-06-18 13:33:05',null);
INSERT INTO complaint_statuses VALUES('22553','7026','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-18 12:20:03','2021-06-18 13:23:34',null);
INSERT INTO complaint_statuses VALUES('22554','7055','3',null,'52',null,'18-JUNE-2021
COMPLAINT#PKRI-210621112829','74','92','2021-06-18 12:23:20','2021-06-21 16:32:25',null);
INSERT INTO complaint_statuses VALUES('22555','6957','5','15',null,'COMPLETED COMPLINT','COMPLAINT RESOLVED','81','74','2021-06-18 13:22:22','2021-06-18 13:29:41',null);
INSERT INTO complaint_statuses VALUES('22556','7056','2',null,'81',null,'18-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-18 13:26:35','2021-06-18 13:26:35',null);
INSERT INTO complaint_statuses VALUES('22557','7056','4',null,'55',null,null,'81','81','2021-06-18 13:27:22','2021-06-18 13:27:22',null);
INSERT INTO complaint_statuses VALUES('22558','7057','3',null,'53',null,'18-JUNE-2021 
COMPLAINT#1142031','74','92','2021-06-18 13:33:23','2021-06-21 12:13:58',null);
INSERT INTO complaint_statuses VALUES('22559','6701','7','26','81','No  Fualt.',null,'76','76','2021-06-18 13:33:42','2021-06-18 13:33:42',null);
INSERT INTO complaint_statuses VALUES('22560','6523','7','26','81','Local Repaired.',null,'76','76','2021-06-18 13:35:29','2021-06-18 13:35:29',null);
INSERT INTO complaint_statuses VALUES('22561','6499','7','12','81','Service.',null,'76','76','2021-06-18 13:35:54','2021-06-18 13:35:54',null);
INSERT INTO complaint_statuses VALUES('22562','6899','7','24','81','Under Repaired In SVC.',null,'76','76','2021-06-18 13:37:48','2021-06-18 13:37:48',null);
INSERT INTO complaint_statuses VALUES('22563','7058','3',null,'52',null,'18-JUNE-2021
COMPLAINT#PKRI-210618109488','74','74','2021-06-18 13:40:38','2021-06-18 15:37:22',null);
INSERT INTO complaint_statuses VALUES('22564','6879','7','12','81','Refer to SVC in Defrosting Issue , Customer Will Inform.',null,'76','76','2021-06-18 13:44:00','2021-06-18 13:44:00',null);
INSERT INTO complaint_statuses VALUES('22565','7059','3',null,'52',null,'18-JUNE-2021
COMPLAINT#PKRI-210618109591','74','74','2021-06-18 13:45:13','2021-06-18 15:43:46',null);
INSERT INTO complaint_statuses VALUES('22566','7060','3',null,'54',null,'18-JUNE-2021
COMPLAINT#1907439','74','74','2021-06-18 13:55:28','2021-06-18 15:47:09',null);
INSERT INTO complaint_statuses VALUES('22567','7061','2',null,'81',null,'18-JUNE-2021
FF TO HOME SOLUTION','74','74','2021-06-18 14:01:05','2021-06-18 14:01:05',null);
INSERT INTO complaint_statuses VALUES('22568','7061','4',null,'62',null,null,'81','81','2021-06-18 14:02:23','2021-06-18 14:02:23',null);
INSERT INTO complaint_statuses VALUES('22569','6696','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-18 14:03:46','2021-06-18 14:04:39',null);
INSERT INTO complaint_statuses VALUES('22570','7062','3',null,'65',null,'18-JUNE-2021
COMPLAINT#192124408','74','92','2021-06-18 14:10:30','2021-06-21 13:21:57',null);
INSERT INTO complaint_statuses VALUES('22571','7063','3',null,'55',null,'18-JUNE-2021
COMPLAINT# R.W.P-21159','74','74','2021-06-18 14:16:01','2021-06-18 15:54:31',null);
INSERT INTO complaint_statuses VALUES('22572','6492','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-18 14:17:06','2021-06-18 16:12:47',null);
INSERT INTO complaint_statuses VALUES('22573','6704','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-18 14:18:12','2021-06-18 14:19:36',null);
INSERT INTO complaint_statuses VALUES('22574','6636','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-18 14:19:10','2021-06-18 14:20:03',null);
INSERT INTO complaint_statuses VALUES('22575','6766','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-18 14:20:56','2021-06-18 14:29:52',null);
INSERT INTO complaint_statuses VALUES('22576','6701','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-18 14:22:37','2021-06-18 14:30:19',null);
INSERT INTO complaint_statuses VALUES('22577','6637','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-18 14:26:57','2021-06-18 14:31:43',null);
INSERT INTO complaint_statuses VALUES('22578','6313','5','15',null,'COMPLETED COMAPLINT','COMPLETED COMPLAINT','81','74','2021-06-18 14:30:52','2021-06-18 17:05:13',null);
INSERT INTO complaint_statuses VALUES('22579','6879','8','23','55','CUSTOMER KA ISSUE RESOLVED NAI HOA KINDLY AGAIN CUSTOMER SA CONTACT KAR K ISSUE RESOLVED KARWAY',null,'81','81','2021-06-18 14:47:31','2021-06-18 14:47:31',null);
INSERT INTO complaint_statuses VALUES('22580','6841','5','15',null,'CUSTOMER NA KHUD HI ISSUE RESOLVED KARWA LIYA','COMPLAINT CLOSED','81','74','2021-06-18 14:50:20','2021-06-18 15:02:48',null);
INSERT INTO complaint_statuses VALUES('22581','6840','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-18 14:52:59','2021-06-18 16:02:53',null);
INSERT INTO complaint_statuses VALUES('22582','6827','8','23','62','CUSTOMER SA BT HO GEI HAIN IC HI NO PA CONTACT KAR K ISSUE RESOLVED KARWAY',null,'81','81','2021-06-18 14:55:37','2021-06-18 14:55:37',null);
INSERT INTO complaint_statuses VALUES('22583','6610','8','23','58','COMPLAINT NOT RESOLVED KINDLY AGAIN VISIT KARWAY',null,'81','81','2021-06-18 14:58:14','2021-06-18 14:58:14',null);
INSERT INTO complaint_statuses VALUES('22584','6527','5','15',null,'CUSTOMER ABI OUT OFF CITY HAIN JAB WAPISE AAY GAY FIR COMPLAINT KARWAY GAY ABI CLOSED KARWA DI COMPLAINT','COMPLAINT CLOSED','81','74','2021-06-18 15:01:40','2021-06-18 15:03:18',null);
INSERT INTO complaint_statuses VALUES('22585','6524','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-18 15:06:29','2021-06-18 16:07:37',null);
INSERT INTO complaint_statuses VALUES('22586','5780','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-18 15:09:17','2021-06-18 15:20:00',null);
INSERT INTO complaint_statuses VALUES('22587','6292','5','15',null,'COMPLETED COMPLAINT','COMPLAINTRESOLVED','81','74','2021-06-18 15:26:02','2021-06-18 17:05:41',null);
INSERT INTO complaint_statuses VALUES('22588','6397','7','12','81','Machin chek kar ky bhej di hy wapis okay thi koi awaz nhi thi',null,'82','82','2021-06-18 15:35:52','2021-06-18 15:35:52',null);
INSERT INTO complaint_statuses VALUES('22589','6528','7','12','81','Okay',null,'82','82','2021-06-18 15:36:31','2021-06-18 15:36:31',null);
INSERT INTO complaint_statuses VALUES('22590','6863','7','24','81','Water dispencer hamariworkshop auya hy tap chenj ho ga',null,'82','82','2021-06-18 15:38:21','2021-06-18 15:38:21',null);
INSERT INTO complaint_statuses VALUES('22591','6916','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-18 15:57:42','2021-06-18 15:57:42',null);
INSERT INTO complaint_statuses VALUES('22592','6946','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-18 15:59:21','2021-06-18 15:59:21',null);
INSERT INTO complaint_statuses VALUES('22593','6956','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-06-18 16:08:57','2021-06-18 16:08:57',null);
INSERT INTO complaint_statuses VALUES('22594','6965','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-18 16:11:41','2021-06-18 16:11:41',null);
INSERT INTO complaint_statuses VALUES('22595','6565','7','12','81','Tepm setting issue tha okay kar dia',null,'82','82','2021-06-18 16:18:25','2021-06-18 16:18:25',null);
INSERT INTO complaint_statuses VALUES('22596','6954','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-18 16:24:56','2021-06-18 16:24:56',null);
INSERT INTO complaint_statuses VALUES('22597','7064','2',null,'81',null,'18-JUNE-2021
FF TO B COOL','74','74','2021-06-18 16:28:29','2021-06-18 16:28:29',null);
INSERT INTO complaint_statuses VALUES('22598','6565','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-18 16:29:10','2021-06-18 16:40:55',null);
INSERT INTO complaint_statuses VALUES('22599','7064','4',null,'58',null,null,'81','81','2021-06-18 16:29:22','2021-06-18 16:29:22',null);
INSERT INTO complaint_statuses VALUES('22600','7065','2',null,'81',null,'18-JUNE-2021
FF TO B.COOL','74','74','2021-06-18 16:48:49','2021-06-18 16:48:49',null);
INSERT INTO complaint_statuses VALUES('22601','6812','8','23','55','COOLING KA ISSUE RESOLVED NAI HOA AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-06-18 16:50:36','2021-06-18 16:50:36',null);
INSERT INTO complaint_statuses VALUES('22602','7065','4',null,'58',null,null,'81','81','2021-06-18 16:51:00','2021-06-18 16:51:00',null);
INSERT INTO complaint_statuses VALUES('22603','7066','2',null,'81',null,'18-JUNE-2021
FF TO HOME SOLUTION','74','74','2021-06-18 17:14:33','2021-06-18 17:14:33',null);
INSERT INTO complaint_statuses VALUES('22604','7066','4',null,'62',null,null,'81','81','2021-06-18 17:15:02','2021-06-18 17:15:02',null);
INSERT INTO complaint_statuses VALUES('22605','7067','2',null,'81',null,'18-JUNE-2021
FF TO AZHAR FCI','74','74','2021-06-18 17:28:26','2021-06-18 17:28:26',null);
INSERT INTO complaint_statuses VALUES('22606','7067','4',null,'60',null,null,'81','81','2021-06-18 17:28:42','2021-06-18 17:28:42',null);
INSERT INTO complaint_statuses VALUES('22607','7068','3',null,'55',null,'18-JUNE-2021
COMPLAINT# ISB-12926','74','74','2021-06-18 17:36:31','2021-06-18 17:36:31',null);
INSERT INTO complaint_statuses VALUES('22608','7069','3',null,'54',null,'18-JUNE-2021
COMPLAINT#1907594','74','92','2021-06-18 17:47:01','2021-06-21 13:39:06',null);
INSERT INTO complaint_statuses VALUES('22609','7070','3',null,'85',null,'18-JUNE-2021
COMPLAINT#301142195
COMPLAINT#301142197','74','92','2021-06-18 17:51:06','2021-06-26 16:59:21',null);
INSERT INTO complaint_statuses VALUES('22610','6678','7','12','81','out of stock hain tu complaint closed kry .please.','COMPLAINT CLOSED','79','74','2021-06-19 10:18:05','2021-06-22 15:02:03',null);
INSERT INTO complaint_statuses VALUES('22611','6182','7','12','81','compliant rseolved,hood change kr dya hai',null,'79','79','2021-06-19 10:19:18','2021-06-19 10:19:18',null);
INSERT INTO complaint_statuses VALUES('22612','6598','7','12','81','motor change compliant resolved',null,'79','79','2021-06-19 10:22:02','2021-06-19 10:22:02',null);
INSERT INTO complaint_statuses VALUES('22613','6798','7','12','81','tab change compliant reoslved',null,'79','79','2021-06-19 10:27:48','2021-06-19 10:27:48',null);
INSERT INTO complaint_statuses VALUES('22614','6797','7','12','81','compliant resolved.no issue in ref',null,'79','79','2021-06-19 10:28:56','2021-06-19 10:28:56',null);
INSERT INTO complaint_statuses VALUES('22615','6646','7','12','81','customer not attend call kai br call ki hai',null,'79','79','2021-06-19 10:29:49','2021-06-19 10:29:49',null);
INSERT INTO complaint_statuses VALUES('22616','6351','7','12','81','customer ko 4 br bol dya hai k hood ly aye mgr custoerm time dy kr nai aty.',null,'79','79','2021-06-19 10:31:05','2021-06-19 10:31:05',null);
INSERT INTO complaint_statuses VALUES('22617','6798','5','15',null,'complaint resolved','COMPLAINT COMPLETED','81','92','2021-06-19 11:03:00','2021-06-19 13:45:12',null);
INSERT INTO complaint_statuses VALUES('22618','6646','8','23','58','SIR AB CALL KAR LAY CUSTOMER KO',null,'81','81','2021-06-19 11:07:05','2021-06-19 11:07:05',null);
INSERT INTO complaint_statuses VALUES('22619','6523','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-19 11:11:26','2021-06-19 12:12:25',null);
INSERT INTO complaint_statuses VALUES('22620','6499','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-06-19 11:14:52','2021-06-23 11:36:12',null);
INSERT INTO complaint_statuses VALUES('22621','6397','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-19 11:17:07','2021-06-19 12:38:36',null);
INSERT INTO complaint_statuses VALUES('22622','6214','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-19 11:19:46','2021-06-19 12:39:10',null);
INSERT INTO complaint_statuses VALUES('22623','7025','7','12','81','Water inlet  issue tha  okay kar dia hu',null,'82','82','2021-06-19 11:45:30','2021-06-19 11:45:30',null);
INSERT INTO complaint_statuses VALUES('22624','7071','3',null,'55',null,'19-JUNE-2021
COMPLAINT#24143','74','92','2021-06-19 11:55:53','2021-06-21 14:23:18',null);
INSERT INTO complaint_statuses VALUES('22625','7072','2',null,'81',null,'19-JUNE-2021
COM FF TO SHAMMIM AKHTER','74','74','2021-06-19 12:00:48','2021-06-19 12:00:48',null);
INSERT INTO complaint_statuses VALUES('22626','7072','4',null,'55',null,null,'81','81','2021-06-19 12:02:33','2021-06-19 12:02:33',null);
INSERT INTO complaint_statuses VALUES('22627','7073','3',null,'52',null,'19-JUNE-2021
COMPLAINT# PKRI-210619105160','74','74','2021-06-19 12:03:19','2021-06-19 12:07:46',null);
INSERT INTO complaint_statuses VALUES('22628','7074','3',null,'92',null,'19-JUNE-2021
COMPLAINT#210616012755
FF TO EHTESHAM LHR','74','74','2021-06-19 12:27:50','2021-06-19 17:53:23',null);
INSERT INTO complaint_statuses VALUES('22629','7075','3',null,'97',null,'19-JUNE-2021
COMPLAINT#202106015778','74','92','2021-06-19 12:40:42','2021-06-21 12:49:43',null);
INSERT INTO complaint_statuses VALUES('22630','6968','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-19 12:43:34','2021-06-19 12:43:34',null);
INSERT INTO complaint_statuses VALUES('22631','7076','2',null,'81',null,'19-JUNE-2021
FF TO AZHAR FCI','74','74','2021-06-19 12:43:48','2021-06-19 12:43:48',null);
INSERT INTO complaint_statuses VALUES('22632','7076','4',null,'60',null,null,'81','81','2021-06-19 12:44:15','2021-06-19 12:44:15',null);
INSERT INTO complaint_statuses VALUES('22633','6969','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-19 12:45:23','2021-06-19 12:45:23',null);
INSERT INTO complaint_statuses VALUES('22634','6971','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-19 12:50:54','2021-06-19 12:50:54',null);
INSERT INTO complaint_statuses VALUES('22635','6974','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-19 12:57:53','2021-06-19 12:57:53',null);
INSERT INTO complaint_statuses VALUES('22636','7036','7','26','81','Local Repaired.',null,'76','76','2021-06-19 13:01:09','2021-06-19 13:01:09',null);
INSERT INTO complaint_statuses VALUES('22637','6978','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-19 13:07:16','2021-06-19 13:07:16',null);
INSERT INTO complaint_statuses VALUES('22638','7079','3',null,'52',null,'19-JUNE-2021
COMPLAINT#PKRI-210619107144','74','74','2021-06-19 13:10:23','2021-06-19 13:10:23',null);
INSERT INTO complaint_statuses VALUES('22639','7080','3',null,'92',null,'19-JUNE-2021
COMPLAINT#210619030918','74','92','2021-06-19 13:17:42','2021-06-21 12:22:37',null);
INSERT INTO complaint_statuses VALUES('22640','6902','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-19 13:19:51','2021-06-19 13:19:51',null);
INSERT INTO complaint_statuses VALUES('22641','6983','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-19 13:22:05','2021-06-19 13:22:05',null);
INSERT INTO complaint_statuses VALUES('22642','7081','3',null,'52',null,'19-JUNE-2021
COMPLAINT#PKRI-210619105278','74','92','2021-06-19 13:28:53','2021-06-28 12:19:02',null);
INSERT INTO complaint_statuses VALUES('22643','6985','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-19 13:35:32','2021-06-19 13:35:32',null);
INSERT INTO complaint_statuses VALUES('22644','6827','7','26','81','MEAM NY B CL KI BUTT NOT PICKING',null,'87','87','2021-06-19 13:36:48','2021-06-19 13:36:48',null);
INSERT INTO complaint_statuses VALUES('22645','6987','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-19 13:42:29','2021-06-19 13:42:29',null);
INSERT INTO complaint_statuses VALUES('22646','7082','3',null,'90',null,'19-JUNE-2021
COMPLAINT#202106015888','74','74','2021-06-19 13:44:45','2021-06-19 13:44:45',null);
INSERT INTO complaint_statuses VALUES('22647','6993','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-19 13:52:17','2021-06-19 13:52:17',null);
INSERT INTO complaint_statuses VALUES('22648','6994','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-19 13:54:27','2021-06-19 13:54:27',null);
INSERT INTO complaint_statuses VALUES('22649','7083','3',null,'57',null,'19-JUNE-2021
COMPLAINT#19317','74','92','2021-06-19 13:56:27','2021-06-22 16:44:31',null);
INSERT INTO complaint_statuses VALUES('22650','7084','2',null,'81',null,'19-JUNE-2021
COM FF TO USMAN SIR','74','74','2021-06-19 14:01:11','2021-06-19 14:01:11',null);
INSERT INTO complaint_statuses VALUES('22651','7084','4',null,'61',null,null,'81','81','2021-06-19 14:01:48','2021-06-19 14:01:48',null);
INSERT INTO complaint_statuses VALUES('22652','7085','3',null,'94',null,'19-JUNE-2021
FF TO THASEEN SAB','74','92','2021-06-19 14:10:05','2021-06-30 16:05:19',null);
INSERT INTO complaint_statuses VALUES('22653','7000','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-19 14:17:29','2021-06-19 14:17:29',null);
INSERT INTO complaint_statuses VALUES('22654','7004','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-19 14:22:52','2021-06-19 14:22:52',null);
INSERT INTO complaint_statuses VALUES('22655','7006','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-19 14:26:13','2021-06-19 14:26:13',null);
INSERT INTO complaint_statuses VALUES('22656','7086','3',null,'52',null,'18-JUNE-2021
COMPLAIN#PKRI-210619108784','74','74','2021-06-19 14:29:28','2021-06-19 14:29:28',null);
INSERT INTO complaint_statuses VALUES('22657','7009','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-19 14:31:31','2021-06-19 14:31:31',null);
INSERT INTO complaint_statuses VALUES('22658','7078','2',null,'81',null,null,'74','74','2021-06-19 14:32:25','2021-06-19 14:32:25',null);
INSERT INTO complaint_statuses VALUES('22659','7077','2',null,'81',null,null,'74','74','2021-06-19 14:33:36','2021-06-19 14:33:36',null);
INSERT INTO complaint_statuses VALUES('22660','7010','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-19 14:35:37','2021-06-19 14:35:37',null);
INSERT INTO complaint_statuses VALUES('22661','7078','4',null,'64',null,null,'81','81','2021-06-19 14:35:55','2021-06-19 14:35:55',null);
INSERT INTO complaint_statuses VALUES('22662','7077','4',null,'64',null,null,'81','81','2021-06-19 14:36:05','2021-06-19 14:36:05',null);
INSERT INTO complaint_statuses VALUES('22663','7087','2',null,'81',null,'19-JUNE-2021
FF TO HOME SOLUTION','74','74','2021-06-19 14:38:42','2021-06-19 14:38:42',null);
INSERT INTO complaint_statuses VALUES('22664','7087','4',null,'62',null,null,'81','81','2021-06-19 14:41:15','2021-06-19 14:41:15',null);
INSERT INTO complaint_statuses VALUES('22665','6833','7','12','81','Fan replaced unit ok 
Plz close job',null,'83','83','2021-06-19 14:46:35','2021-06-19 14:46:35',null);
INSERT INTO complaint_statuses VALUES('22666','6722','7','12','81','Heater replaced unit ok plz close job',null,'83','83','2021-06-19 14:47:03','2021-06-19 14:47:03',null);
INSERT INTO complaint_statuses VALUES('22667','7067','7','24','81','Pcb burn ho gea hy replecment',null,'82','82','2021-06-19 15:02:27','2021-06-19 15:02:27',null);
INSERT INTO complaint_statuses VALUES('22668','7088','2',null,'81',null,'19-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-19 15:06:53','2021-06-19 15:06:53',null);
INSERT INTO complaint_statuses VALUES('22669','7088','4',null,'55',null,null,'81','81','2021-06-19 15:07:21','2021-06-19 15:07:21',null);
INSERT INTO complaint_statuses VALUES('22670','6951','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-19 15:10:56','2021-06-19 15:10:56',null);
INSERT INTO complaint_statuses VALUES('22671','7089','2',null,'81',null,'19-JUNE-2021
COMPLAINT#1908462','74','92','2021-06-19 15:14:19','2021-08-01 13:26:02',null);
INSERT INTO complaint_statuses VALUES('22672','6932','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-19 15:14:51','2021-06-19 15:14:51',null);
INSERT INTO complaint_statuses VALUES('22673','6942','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-19 15:17:02','2021-06-19 15:17:02',null);
INSERT INTO complaint_statuses VALUES('22674','6893','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-19 15:20:56','2021-06-19 15:20:56',null);
INSERT INTO complaint_statuses VALUES('22675','7025','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-19 15:28:16','2021-06-19 15:36:32',null);
INSERT INTO complaint_statuses VALUES('22676','6833','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-19 15:29:25','2021-06-19 15:41:50',null);
INSERT INTO complaint_statuses VALUES('22677','6797','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-19 15:31:02','2021-06-19 15:42:35',null);
INSERT INTO complaint_statuses VALUES('22678','6598','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-19 15:32:51','2021-06-19 15:43:38',null);
INSERT INTO complaint_statuses VALUES('22679','6503','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-06-19 15:34:24','2021-06-21 12:29:36',null);
INSERT INTO complaint_statuses VALUES('22680','7076','7','12','81','Child lock tha ok ho gai',null,'82','82','2021-06-19 15:38:05','2021-06-19 15:38:05',null);
INSERT INTO complaint_statuses VALUES('22681','6986','7','28','81',null,null,'82','82','2021-06-19 15:38:35','2021-06-19 15:38:35',null);
INSERT INTO complaint_statuses VALUES('22682','7089','4',null,'64',null,null,'81','81','2021-06-19 15:43:19','2021-06-19 15:43:19',null);
INSERT INTO complaint_statuses VALUES('22683','7039','7','24','81','Sunday subha jana hy',null,'82','82','2021-06-19 15:52:06','2021-06-19 15:52:06',null);
INSERT INTO complaint_statuses VALUES('22684','7016','7','10','81',null,null,'82','82','2021-06-19 15:54:21','2021-06-19 15:54:21',null);
INSERT INTO complaint_statuses VALUES('22685','7052','7','12','81','Barnar kharb tha OK',null,'88','88','2021-06-19 15:59:15','2021-06-19 15:59:15',null);
INSERT INTO complaint_statuses VALUES('22686','7090','2',null,'81',null,'19-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-19 16:11:28','2021-06-19 16:11:28',null);
INSERT INTO complaint_statuses VALUES('22687','7090','4',null,'55',null,null,'81','81','2021-06-19 16:11:57','2021-06-19 16:11:57',null);
INSERT INTO complaint_statuses VALUES('22688','7091','3',null,'98',null,'19-JUNE-2021
COMPLAINT#192124463','74','74','2021-06-19 16:16:52','2021-06-24 17:46:57',null);
INSERT INTO complaint_statuses VALUES('22689','7092','3',null,'57',null,'19-JUNE-2021
COM NO 19328','74','74','2021-06-19 16:24:16','2021-06-19 16:28:11',null);
INSERT INTO complaint_statuses VALUES('22690','7047','7','22','81','Tank like hy',null,'88','88','2021-06-19 16:24:58','2021-06-19 16:24:58',null);
INSERT INTO complaint_statuses VALUES('22691','7093','2',null,'81',null,'19-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-19 16:31:10','2021-06-19 16:31:10',null);
INSERT INTO complaint_statuses VALUES('22692','7093','4',null,'55',null,null,'81','81','2021-06-19 16:31:49','2021-06-19 16:31:49',null);
INSERT INTO complaint_statuses VALUES('22693','7094','3',null,'66',null,'19-JUNE-2021
COM NO PK-06190210107  ZAFAR TACTION 03009825120','74','74','2021-06-19 16:40:15','2021-06-19 16:41:44',null);
INSERT INTO complaint_statuses VALUES('22694','7095','3',null,'55',null,'19-JUNE-2021
COMPLAINT#786919','74','92','2021-06-19 16:46:11','2021-06-29 15:30:41',null);
INSERT INTO complaint_statuses VALUES('22695','7096','3',null,'81',null,'19-JUNE-2021
COM NO 895','74','92','2021-06-19 17:00:53','2021-06-21 11:39:11',null);
INSERT INTO complaint_statuses VALUES('22696','7097','3',null,'72',null,'19-JUNE-2021
COMPLAINT#192124467','74','92','2021-06-19 17:04:09','2021-06-30 15:33:12',null);
INSERT INTO complaint_statuses VALUES('22697','7098','3',null,'73',null,'19-JUNE-2021
COM NO 4870','74','74','2021-06-19 17:09:19','2021-06-19 17:12:02',null);
INSERT INTO complaint_statuses VALUES('22698','7099','3',null,'65',null,'19-JUNE-2021
COMPLAINT#192124469','74','74','2021-06-19 17:12:18','2021-06-24 17:48:23',null);
INSERT INTO complaint_statuses VALUES('22699','7100','2',null,'81',null,'19-JUNE-2021
COM FF TO AZHAR SIR','74','74','2021-06-19 17:20:51','2021-06-19 17:20:51',null);
INSERT INTO complaint_statuses VALUES('22700','6807','7','12','81','complaint resolved .relay chnage',null,'79','79','2021-06-19 17:28:10','2021-06-19 17:28:10',null);
INSERT INTO complaint_statuses VALUES('22701','7101','3',null,'74',null,'19-JUNE-2021
COMPLAINT#123','74','92','2021-06-19 17:30:42','2021-06-30 15:14:03',null);
INSERT INTO complaint_statuses VALUES('22702','7102','3',null,'52',null,'19-JUNE-2021
COMPLAINT#PKRI-210619113066','74','74','2021-06-19 17:40:07','2021-06-19 17:40:07',null);
INSERT INTO complaint_statuses VALUES('22703','7103','3',null,'52',null,'19-JUNE-2021
COMPLAINT#PKRI-210619113103','74','92','2021-06-19 17:42:28','2021-06-28 13:03:21',null);
INSERT INTO complaint_statuses VALUES('22704','7104','2',null,'81',null,'19-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-19 17:46:27','2021-06-19 17:46:27',null);
INSERT INTO complaint_statuses VALUES('22705','7104','4',null,'55',null,null,'81','81','2021-06-19 17:47:08','2021-06-19 17:47:08',null);
INSERT INTO complaint_statuses VALUES('22706','7100','4',null,'60',null,null,'81','81','2021-06-19 17:47:17','2021-06-19 17:47:17',null);
INSERT INTO complaint_statuses VALUES('22707','7105','3',null,'52',null,'19-JUNE-2021
COM NO PKRI-210630111680','74','92','2021-06-19 17:51:07','2021-06-30 15:10:17',null);
INSERT INTO complaint_statuses VALUES('22708','7106','3',null,'52',null,'19-JUNE-2021
COM NO PKRI-210619113394','74','74','2021-06-19 17:57:47','2021-06-19 18:00:53',null);
INSERT INTO complaint_statuses VALUES('22709','7107','3',null,'54',null,'19-JUNE-2021
COMPLAINT#1908670','74','92','2021-06-19 17:59:37','2021-06-23 12:07:17',null);
INSERT INTO complaint_statuses VALUES('22710','7108','2',null,'81',null,'19-JUNE-2021
COM FF TO KHURRAM FIVE STAR','74','74','2021-06-19 18:07:42','2021-06-19 18:07:42',null);
INSERT INTO complaint_statuses VALUES('22711','7109','3',null,'54',null,'19-JUNE-2021
COM NO 1909964','74','92','2021-06-19 18:15:08','2021-06-21 12:33:39',null);
INSERT INTO complaint_statuses VALUES('22712','6907','7','12','81','ye ac hum ny nahi lgya or complaint check kr liya hai',null,'79','79','2021-06-19 19:45:04','2021-06-19 19:45:04',null);
INSERT INTO complaint_statuses VALUES('22713','7076','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-20 10:39:02','2021-06-20 14:46:16',null);
INSERT INTO complaint_statuses VALUES('22714','6986','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-20 10:42:55','2021-06-20 14:45:49',null);
INSERT INTO complaint_statuses VALUES('22715','7110','2',null,'81',null,'20-JUNE-2021
COM FF TO BEST COOL','92','92','2021-06-20 10:45:51','2021-06-20 10:45:51',null);
INSERT INTO complaint_statuses VALUES('22716','7110','4',null,'58',null,null,'81','81','2021-06-20 10:48:08','2021-06-20 10:48:08',null);
INSERT INTO complaint_statuses VALUES('22717','7108','4',null,'63',null,null,'81','81','2021-06-20 10:48:19','2021-06-20 10:48:19',null);
INSERT INTO complaint_statuses VALUES('22718','7108','4',null,'63',null,null,'81','81','2021-06-20 10:48:19','2021-06-20 10:48:19',null);
INSERT INTO complaint_statuses VALUES('22719','7020','7','12','81','Barnar kharb tha Naya laga diya hy OK',null,'88','88','2021-06-20 11:00:23','2021-06-20 11:00:23',null);
INSERT INTO complaint_statuses VALUES('22720','7111','3',null,'52',null,'20-JUNE-2021
COM NO PKRI-210620104707','92','92','2021-06-20 11:07:59','2021-06-20 14:11:14',null);
INSERT INTO complaint_statuses VALUES('22721','7112','3',null,'54',null,'20-JUNE-2021
COM NO 1909151','92','92','2021-06-20 11:21:08','2021-06-20 13:41:33',null);
INSERT INTO complaint_statuses VALUES('22722','7113','3',null,'65',null,'20-JUNE-2021
COM NO 192124489','92','92','2021-06-20 11:37:34','2021-06-20 13:56:40',null);
INSERT INTO complaint_statuses VALUES('22723','7115','3',null,'53',null,'20-JUNE-2021
COM NO 301142859','92','92','2021-06-20 12:05:59','2021-06-20 14:03:18',null);
INSERT INTO complaint_statuses VALUES('22724','7116','2',null,'81',null,'20-JUNE-2021
COM FF TO BEST COOL','92','92','2021-06-20 12:12:22','2021-06-20 12:12:22',null);
INSERT INTO complaint_statuses VALUES('22725','7117','2',null,'81',null,'20-JUNE-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-06-20 12:18:40','2021-06-20 12:18:40',null);
INSERT INTO complaint_statuses VALUES('22726','7118','3',null,'57',null,'20-JUNE-2021
COM NO 19355','92','92','2021-06-20 12:26:58','2021-06-20 13:37:28',null);
INSERT INTO complaint_statuses VALUES('22727','7119','3',null,'53',null,'20-JUNE-2021
COM NO 301142862','92','92','2021-06-20 12:32:15','2021-06-20 14:06:01',null);
INSERT INTO complaint_statuses VALUES('22728','7120','3',null,'52',null,'20-JUNE-2021
COM NO PKRI-210620104778','92','92','2021-06-20 12:40:39','2021-06-20 14:15:07',null);
INSERT INTO complaint_statuses VALUES('22729','7121','2',null,'81',null,'20-JUNE-2021
COM FF TO HOME SOLUTION','92','92','2021-06-20 12:54:33','2021-06-20 12:54:33',null);
INSERT INTO complaint_statuses VALUES('22730','7121','4',null,'62',null,null,'81','81','2021-06-20 12:55:51','2021-06-20 12:55:51',null);
INSERT INTO complaint_statuses VALUES('22731','7117','4',null,'55',null,null,'81','81','2021-06-20 12:56:07','2021-06-20 12:56:07',null);
INSERT INTO complaint_statuses VALUES('22732','7116','4',null,'58',null,null,'81','81','2021-06-20 12:56:16','2021-06-20 12:56:16',null);
INSERT INTO complaint_statuses VALUES('22733','7122','3',null,'65',null,'20-JUNE-2021
COM NO 192124490','92','92','2021-06-20 13:06:51','2021-06-20 13:59:22',null);
INSERT INTO complaint_statuses VALUES('22734','7123','3',null,'55',null,'20-JUNE-2021
COM NO 787179','92','92','2021-06-20 13:13:01','2021-06-20 13:33:53',null);
INSERT INTO complaint_statuses VALUES('22735','7124','3',null,'54',null,'20-JUNE-2021
COM NO 1909154','92','92','2021-06-20 13:27:30','2021-06-20 13:44:31',null);
INSERT INTO complaint_statuses VALUES('22736','7125','3',null,'65',null,'20-JUNE-2021
COM NO 192124494','92','92','2021-06-20 14:24:05','2021-06-20 17:50:47',null);
INSERT INTO complaint_statuses VALUES('22737','7126','2',null,'81',null,'20-JUNE-2021
COM FF TO HOME SOLUTION','92','92','2021-06-20 14:40:15','2021-06-20 14:40:15',null);
INSERT INTO complaint_statuses VALUES('22738','7126','4',null,'62',null,null,'81','81','2021-06-20 14:45:19','2021-06-20 14:45:19',null);
INSERT INTO complaint_statuses VALUES('22739','7127','2',null,'81',null,'20-JUNE-2021
COM FF TO BEST COOL','92','92','2021-06-20 15:01:12','2021-06-20 15:01:12',null);
INSERT INTO complaint_statuses VALUES('22740','7129','2',null,'81',null,'20-JUNE-2021
COM FF TO BEST COOL','92','92','2021-06-20 16:05:31','2021-06-20 16:05:31',null);
INSERT INTO complaint_statuses VALUES('22741','7130','3',null,'53',null,'20-JUNE-2021
COM NO 301143093','92','92','2021-06-20 16:16:47','2021-06-22 12:49:51',null);
INSERT INTO complaint_statuses VALUES('22742','7131','3',null,'57',null,'20-JUNE-2021
COM NO 19364','92','74','2021-06-20 16:39:00','2021-06-24 14:15:02',null);
INSERT INTO complaint_statuses VALUES('22743','7132','3',null,'65',null,'20-JUNE-2021
COM NO 192124495','92','92','2021-06-20 16:58:19','2021-06-20 17:55:04',null);
INSERT INTO complaint_statuses VALUES('22744','7133','3',null,'53',null,'20-JUNE-2021
COM NO 43088','92','92','2021-06-20 17:07:59','2021-06-22 12:51:09',null);
INSERT INTO complaint_statuses VALUES('22745','7136','2',null,'81',null,'20-JUNE-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-06-20 17:31:22','2021-06-20 17:31:22',null);
INSERT INTO complaint_statuses VALUES('22746','7139','3',null,'74',null,'20-JUNE-2021
COM NO 132','92','92','2021-06-20 17:40:04','2021-06-24 10:55:31',null);
INSERT INTO complaint_statuses VALUES('22747','6432','7','12','81','confirm kr ky closed kr dein',null,'79','79','2021-06-20 20:47:14','2021-06-20 20:47:14',null);
INSERT INTO complaint_statuses VALUES('22748','7145','2',null,'81',null,'21-JUNE-2021
COM FF TO AZHAR SIR','92','92','2021-06-21 11:09:41','2021-06-21 11:09:41',null);
INSERT INTO complaint_statuses VALUES('22749','7145','4',null,'60',null,null,'81','81','2021-06-21 11:10:52','2021-06-21 11:10:52',null);
INSERT INTO complaint_statuses VALUES('22750','7136','4',null,'63',null,null,'81','81','2021-06-21 11:11:03','2021-06-21 11:11:03',null);
INSERT INTO complaint_statuses VALUES('22751','7129','4',null,'58',null,null,'81','81','2021-06-21 11:11:13','2021-06-21 11:11:13',null);
INSERT INTO complaint_statuses VALUES('22752','7127','4',null,'58',null,null,'81','81','2021-06-21 11:11:22','2021-06-21 11:11:22',null);
INSERT INTO complaint_statuses VALUES('22753','7146','3',null,'53',null,'21-JUNE-2021
COM NO 301143101','92','92','2021-06-21 11:25:57','2021-06-24 13:47:58',null);
INSERT INTO complaint_statuses VALUES('22754','7110','7','12','81','compliant reoslved',null,'79','79','2021-06-21 11:26:39','2021-06-21 11:26:39',null);
INSERT INTO complaint_statuses VALUES('22755','7001','7','12','81','Jat ka masla tha ok',null,'88','88','2021-06-21 11:31:42','2021-06-21 11:31:42',null);
INSERT INTO complaint_statuses VALUES('22756','7110','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-21 11:39:06','2021-06-21 12:07:19',null);
INSERT INTO complaint_statuses VALUES('22757','7147','2',null,'81',null,'21-JUNE-2021
FF TO B COOL','74','74','2021-06-21 11:43:20','2021-06-21 11:43:20',null);
INSERT INTO complaint_statuses VALUES('22758','7052','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-21 11:43:47','2021-06-21 12:09:03',null);
INSERT INTO complaint_statuses VALUES('22759','7147','4',null,'58',null,null,'81','81','2021-06-21 11:44:38','2021-06-21 11:44:38',null);
INSERT INTO complaint_statuses VALUES('22760','7036','5','15',null,'CUSTOMER NA LOCAL TECHNICIAN SA OK KARWA LIYA ISSUE RESOLVED.
COMPLAINT CLOSED','COMPLAINT CANCELED','81','74','2021-06-21 11:47:06','2021-06-21 12:09:29',null);
INSERT INTO complaint_statuses VALUES('22761','7020','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-21 11:48:57','2021-06-21 12:14:54',null);
INSERT INTO complaint_statuses VALUES('22762','7016','8','23','60','CUSTOMER GHR PA AVAIL HAIN KINDLY CONTACT KAR K ISSUE RESOLVED KARWAY',null,'81','81','2021-06-21 11:50:40','2021-06-21 11:50:40',null);
INSERT INTO complaint_statuses VALUES('22763','7001','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-21 11:52:31','2021-06-21 12:18:26',null);
INSERT INTO complaint_statuses VALUES('22764','7148','3',null,'65',null,'21-JUNE-2021
COMPLAINT#192124512','74','74','2021-06-21 11:55:07','2021-06-21 11:55:07',null);
INSERT INTO complaint_statuses VALUES('22765','6827','5','25',null,'COMPLAINT RESOLVED','COMPLAINT CLOSED','81','74','2021-06-21 11:56:25','2021-06-21 12:21:06',null);
INSERT INTO complaint_statuses VALUES('22766','7128','2',null,'81',null,null,'74','74','2021-06-21 11:57:16','2021-06-21 11:57:16',null);
INSERT INTO complaint_statuses VALUES('22767','7114','2',null,'81',null,null,'74','74','2021-06-21 11:57:45','2021-06-21 11:57:45',null);
INSERT INTO complaint_statuses VALUES('22768','6807','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-06-21 11:58:49','2021-06-21 12:26:59',null);
INSERT INTO complaint_statuses VALUES('22769','7128','4',null,'64',null,null,'81','81','2021-06-21 11:59:09','2021-06-21 11:59:09',null);
INSERT INTO complaint_statuses VALUES('22770','7114','4',null,'55',null,null,'81','81','2021-06-21 11:59:27','2021-06-21 11:59:27',null);
INSERT INTO complaint_statuses VALUES('22771','6722','8','23','61','SIR IN KA AGAIN ISSUE AY GAYA HAY DOBARA VISIT KARWAY',null,'81','81','2021-06-21 12:01:56','2021-06-21 12:01:56',null);
INSERT INTO complaint_statuses VALUES('22772','7149','3',null,'52',null,'21-JUNE-2021
COMPLAINT# PKRI-210621105697','74','74','2021-06-21 12:02:38','2021-06-24 14:42:39',null);
INSERT INTO complaint_statuses VALUES('22773','7054','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-21 12:09:51','2021-06-21 12:09:51',null);
INSERT INTO complaint_statuses VALUES('22774','7141','2',null,'81',null,null,'74','74','2021-06-21 12:10:54','2021-06-21 12:10:54',null);
INSERT INTO complaint_statuses VALUES('22775','7141','4',null,'64',null,null,'81','81','2021-06-21 12:11:16','2021-06-21 12:11:16',null);
INSERT INTO complaint_statuses VALUES('22776','6907','5','15',null,'INSTALLER KI SIDE SA KOI ISSUE NAI COMPLAINT COMAPNY FF KARWA DI','COMPLAINT CLOSED','81','74','2021-06-21 12:11:50','2021-06-21 12:19:39',null);
INSERT INTO complaint_statuses VALUES('22777','7108','7','22','81','Nob kharb hy',null,'88','88','2021-06-21 12:16:44','2021-06-21 12:16:44',null);
INSERT INTO complaint_statuses VALUES('22778','7150','3',null,'65',null,'21-JUNE-2021
COMPLAINT#192124519','74','74','2021-06-21 12:17:49','2021-06-21 12:27:56',null);
INSERT INTO complaint_statuses VALUES('22779','7058','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-21 12:17:53','2021-06-21 12:17:53',null);
INSERT INTO complaint_statuses VALUES('22780','6537','5','13',null,'DRAIN PIPE HANDAL  REQUIRED  
CUSTOMER STILL NOT ATTEND MY CALL','COMPLAINT CLOSED','81','74','2021-06-21 12:25:51','2021-06-21 12:29:01',null);
INSERT INTO complaint_statuses VALUES('22781','6678','5','15',null,'FILTER STOCK MAIN AVAIL NAI HAIN CUSTOMER KO B INFORMED KAR DIA',null,'81','81','2021-06-21 12:42:08','2021-06-21 12:42:08',null);
INSERT INTO complaint_statuses VALUES('22782','7155','3',null,'66',null,'21-JUNE-2021
COMPLAINT#PK062120210083','74','92','2021-06-21 12:54:12','2021-06-29 16:11:01',null);
INSERT INTO complaint_statuses VALUES('22783','7157','3',null,'52',null,'21-JUNE-2021
COMPLAINT#PKRI-210621107729','74','74','2021-06-21 13:12:12','2021-06-21 13:19:59',null);
INSERT INTO complaint_statuses VALUES('22784','6929','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-21 13:14:13','2021-06-21 13:14:13',null);
INSERT INTO complaint_statuses VALUES('22785','7158','3',null,'52',null,'21-JUNE-2021
COMPLAINT#PKRI-210621107831','74','74','2021-06-21 13:16:52','2021-06-21 13:23:16',null);
INSERT INTO complaint_statuses VALUES('22786','7159','3',null,'52',null,'21-JUNE-2021
COMPLAINT#PKRI-210621107790','74','74','2021-06-21 13:22:00','2021-06-24 15:11:42',null);
INSERT INTO complaint_statuses VALUES('22787','7062','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-21 13:22:20','2021-06-21 13:22:20',null);
INSERT INTO complaint_statuses VALUES('22788','7063','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-21 13:25:21','2021-06-21 13:25:21',null);
INSERT INTO complaint_statuses VALUES('22789','6949','7','26','81','Local Repaired.',null,'76','76','2021-06-21 13:26:46','2021-06-21 13:26:46',null);
INSERT INTO complaint_statuses VALUES('22790','7160','3',null,'52',null,'21-JUNE-2021
COMPLAINT#PKRI-210621110184','74','74','2021-06-21 13:39:40','2021-06-21 14:50:57',null);
INSERT INTO complaint_statuses VALUES('22791','7068','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-21 13:43:03','2021-06-21 13:43:03',null);
INSERT INTO complaint_statuses VALUES('22792','7161','3',null,'57',null,'21-JUNE-2021
COMPLAINT # 19384','74','74','2021-06-21 13:50:04','2021-06-21 13:57:59',null);
INSERT INTO complaint_statuses VALUES('22793','7066','7','12','81','Issue resolved',null,'87','87','2021-06-21 13:55:47','2021-06-21 13:55:47',null);
INSERT INTO complaint_statuses VALUES('22794','7126','7','12','81','Issue resolved',null,'87','87','2021-06-21 13:59:10','2021-06-21 13:59:10',null);
INSERT INTO complaint_statuses VALUES('22795','6813','7','12','81','Issue resolved',null,'87','87','2021-06-21 13:59:39','2021-06-21 13:59:39',null);
INSERT INTO complaint_statuses VALUES('22796','7162','3',null,'59',null,'21-JUNE-2021
COM NO 4246548758','92','92','2021-06-21 14:05:37','2021-06-21 15:59:05',null);
INSERT INTO complaint_statuses VALUES('22797','7126','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-21 14:09:07','2021-06-21 14:16:43',null);
INSERT INTO complaint_statuses VALUES('22798','7066','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-21 14:11:50','2021-06-21 14:17:16',null);
INSERT INTO complaint_statuses VALUES('22799','6949','5','25',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-21 14:13:15','2021-06-21 14:17:46',null);
INSERT INTO complaint_statuses VALUES('22800','6813','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-06-21 14:15:12','2021-06-22 15:00:31',null);
INSERT INTO complaint_statuses VALUES('22801','7027','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-21 14:20:33','2021-06-21 14:20:33',null);
INSERT INTO complaint_statuses VALUES('22802','7028','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-21 14:38:55','2021-06-21 14:38:55',null);
INSERT INTO complaint_statuses VALUES('22803','7164','3',null,'65',null,'21-JUNE-2021
COMPLAINT#192124542','74','74','2021-06-21 14:42:25','2021-06-21 15:51:55',null);
INSERT INTO complaint_statuses VALUES('22804','7165','2',null,'81',null,'21-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-21 14:44:26','2021-06-21 14:44:26',null);
INSERT INTO complaint_statuses VALUES('22805','7165','4',null,'55',null,null,'81','81','2021-06-21 14:44:58','2021-06-21 14:44:58',null);
INSERT INTO complaint_statuses VALUES('22806','7151','2',null,'81',null,null,'74','74','2021-06-21 14:55:26','2021-06-21 14:55:26',null);
INSERT INTO complaint_statuses VALUES('22807','7151','4',null,'64',null,null,'81','81','2021-06-21 14:55:40','2021-06-21 14:55:40',null);
INSERT INTO complaint_statuses VALUES('22808','7032','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-21 15:04:39','2021-06-21 15:04:39',null);
INSERT INTO complaint_statuses VALUES('22809','7134','2',null,'81',null,null,'74','74','2021-06-21 15:13:14','2021-06-21 15:13:14',null);
INSERT INTO complaint_statuses VALUES('22810','7135','2',null,'81',null,null,'74','74','2021-06-21 15:13:22','2021-06-21 15:13:22',null);
INSERT INTO complaint_statuses VALUES('22811','7135','4',null,'64',null,null,'81','81','2021-06-21 15:13:50','2021-06-21 15:13:50',null);
INSERT INTO complaint_statuses VALUES('22812','7134','4',null,'64',null,null,'81','81','2021-06-21 15:14:03','2021-06-21 15:14:03',null);
INSERT INTO complaint_statuses VALUES('22813','6967','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-21 15:19:45','2021-06-21 15:19:45',null);
INSERT INTO complaint_statuses VALUES('22814','7166','3',null,'53',null,'21-JUNE-2021
COMPLAINT#301143419','74','74','2021-06-21 15:20:33','2021-06-21 16:15:39',null);
INSERT INTO complaint_statuses VALUES('22815','7167','3',null,'52',null,'21-JUNE-2021
COMPLAINT#PKRI-210621111467','74','74','2021-06-21 15:22:53','2021-06-24 15:26:35',null);
INSERT INTO complaint_statuses VALUES('22816','7084','7','12','81','Call center py krwa dain ya complaint',null,'83','83','2021-06-21 15:31:29','2021-06-21 15:31:29',null);
INSERT INTO complaint_statuses VALUES('22817','7168','2',null,'81',null,'21-JUNE-2021
FF TO AZHAR FCI','74','74','2021-06-21 15:37:21','2021-06-21 15:37:21',null);
INSERT INTO complaint_statuses VALUES('22818','7168','4',null,'60',null,null,'81','81','2021-06-21 15:38:02','2021-06-21 15:38:02',null);
INSERT INTO complaint_statuses VALUES('22819','7169','3',null,'52',null,'21-JUNE-2021
COMPLAINT#PKRI-210621111643','74','74','2021-06-21 15:46:03','2021-06-21 15:47:40',null);
INSERT INTO complaint_statuses VALUES('22820','7014','7','12','81','2hob jat change 1200 ok f',null,'88','88','2021-06-21 15:51:33','2021-06-21 15:51:33',null);
INSERT INTO complaint_statuses VALUES('22821','7170','2',null,'81',null,'21-JUNE-2021
FF TO AZHAR RAMZAN FCI','74','74','2021-06-21 15:59:52','2021-06-21 15:59:52',null);
INSERT INTO complaint_statuses VALUES('22822','7170','4',null,'60',null,null,'81','81','2021-06-21 16:00:27','2021-06-21 16:00:27',null);
INSERT INTO complaint_statuses VALUES('22823','7171','2',null,'81',null,'21-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-21 16:07:02','2021-06-21 16:07:02',null);
INSERT INTO complaint_statuses VALUES('22824','7171','4',null,'55',null,null,'81','81','2021-06-21 16:07:41','2021-06-21 16:07:41',null);
INSERT INTO complaint_statuses VALUES('22825','7163','2',null,'81',null,null,'74','74','2021-06-21 16:17:28','2021-06-21 16:17:28',null);
INSERT INTO complaint_statuses VALUES('22826','7163','4',null,'64',null,null,'81','81','2021-06-21 16:17:51','2021-06-21 16:17:51',null);
INSERT INTO complaint_statuses VALUES('22827','7154','2',null,'81',null,null,'74','74','2021-06-21 16:19:22','2021-06-21 16:19:22',null);
INSERT INTO complaint_statuses VALUES('22828','7154','4',null,'64',null,null,'81','81','2021-06-21 16:19:34','2021-06-21 16:19:34',null);
INSERT INTO complaint_statuses VALUES('22829','7172','2',null,'81',null,'21-JUNE-2021
COMPLAINT#301143450
FF TO B COOL','74','74','2021-06-21 16:30:12','2021-06-22 11:56:07',null);
INSERT INTO complaint_statuses VALUES('22830','7173','2',null,'81',null,'21-JKUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-21 16:30:18','2021-06-21 16:30:18',null);
INSERT INTO complaint_statuses VALUES('22831','7173','4',null,'55',null,null,'81','81','2021-06-21 16:32:41','2021-06-21 16:32:41',null);
INSERT INTO complaint_statuses VALUES('22832','7153','2',null,'81',null,null,'74','74','2021-06-21 16:36:19','2021-06-21 16:36:19',null);
INSERT INTO complaint_statuses VALUES('22833','7153','4',null,'64',null,null,'81','81','2021-06-21 16:36:41','2021-06-21 16:36:41',null);
INSERT INTO complaint_statuses VALUES('22834','7152','2',null,'81',null,null,'74','74','2021-06-21 16:38:32','2021-06-21 16:38:32',null);
INSERT INTO complaint_statuses VALUES('22835','7152','4',null,'64',null,null,'81','81','2021-06-21 16:39:32','2021-06-21 16:39:32',null);
INSERT INTO complaint_statuses VALUES('22836','7174','3',null,'97',null,'21-JUNE-2021
COMPLAINT#202106017632','74','74','2021-06-21 16:44:42','2021-06-24 13:57:19',null);
INSERT INTO complaint_statuses VALUES('22837','7175','3',null,'97',null,'21-JUNE-2021
COMPLAINT#202106017636','74','92','2021-06-21 16:49:10','2021-07-04 15:17:14',null);
INSERT INTO complaint_statuses VALUES('22838','7176','3',null,'52',null,'21-JUNE-2021
COM NO PKRI-210621112911
REOPEN COM NO PKRI-210624111964','74','74','2021-06-21 16:54:46','2021-06-24 16:10:33',null);
INSERT INTO complaint_statuses VALUES('22839','6368','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-21 17:00:35','2021-06-21 17:00:35',null);
INSERT INTO complaint_statuses VALUES('22840','6336','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-21 17:03:21','2021-06-21 17:03:21',null);
INSERT INTO complaint_statuses VALUES('22841','7087','7','12','81','Issue resolved',null,'87','87','2021-06-21 17:15:08','2021-06-21 17:15:08',null);
INSERT INTO complaint_statuses VALUES('22842','6921','7','12','81','Issue resolved',null,'87','87','2021-06-21 17:15:29','2021-06-21 17:15:29',null);
INSERT INTO complaint_statuses VALUES('22843','6334','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-21 17:15:57','2021-06-21 17:15:57',null);
INSERT INTO complaint_statuses VALUES('22844','6805','7','26','81','Customer not at home',null,'87','87','2021-06-21 17:16:05','2021-06-21 17:16:05',null);
INSERT INTO complaint_statuses VALUES('22845','7177','2',null,'81',null,'21-JUNE-2021
FF TO USMAN MRM','74','74','2021-06-21 17:18:33','2021-06-21 17:18:33',null);
INSERT INTO complaint_statuses VALUES('22846','7178','3',null,'53',null,'21-JAN-2021
COMPLAINT#301143498','74','92','2021-06-21 17:18:47','2021-07-01 15:24:25',null);
INSERT INTO complaint_statuses VALUES('22847','7177','4',null,'61',null,null,'81','81','2021-06-21 17:20:07','2021-06-21 17:20:07',null);
INSERT INTO complaint_statuses VALUES('22848','7179','2',null,'81',null,'21-JUNE-2021
FF TO USMAN MRM','74','74','2021-06-21 17:24:18','2021-06-21 17:24:18',null);
INSERT INTO complaint_statuses VALUES('22849','7179','4',null,'61',null,null,'81','81','2021-06-21 17:27:57','2021-06-21 17:27:57',null);
INSERT INTO complaint_statuses VALUES('22850','7180','3',null,'52',null,'21-JUNE-2021
COM NO PKRI-210621114166','74','74','2021-06-21 17:34:04','2021-06-21 17:34:04',null);
INSERT INTO complaint_statuses VALUES('22851','7181','3',null,'73',null,'21-JUNE-2021
COMPLAINT#4880','74','92','2021-06-21 17:36:51','2021-06-24 13:13:11',null);
INSERT INTO complaint_statuses VALUES('22852','7182','3',null,'53',null,'21-JUNE-2021
COMPLAINT#301143516','74','92','2021-06-21 17:49:00','2021-06-30 13:40:52',null);
INSERT INTO complaint_statuses VALUES('22853','7121','7','22','81','Moter',null,'87','87','2021-06-21 17:52:59','2021-06-21 17:52:59',null);
INSERT INTO complaint_statuses VALUES('22854','7144','2',null,'81',null,null,'74','74','2021-06-21 17:53:50','2021-06-21 17:53:50',null);
INSERT INTO complaint_statuses VALUES('22855','7143','2',null,'81',null,null,'74','74','2021-06-21 17:55:06','2021-06-21 17:55:06',null);
INSERT INTO complaint_statuses VALUES('22856','7144','4',null,'64',null,null,'81','81','2021-06-21 17:55:40','2021-06-21 17:55:40',null);
INSERT INTO complaint_statuses VALUES('22857','7143','4',null,'64',null,null,'81','81','2021-06-21 17:55:52','2021-06-21 17:55:52',null);
INSERT INTO complaint_statuses VALUES('22858','7183','2',null,'81',null,'21-JUNE-2021
FF TO KHURRAM 5 STAR','74','74','2021-06-21 18:12:40','2021-06-21 18:13:21',null);
INSERT INTO complaint_statuses VALUES('22859','7183','4',null,'63',null,null,'81','81','2021-06-21 18:16:51','2021-06-21 18:16:51',null);
INSERT INTO complaint_statuses VALUES('22860','7184','3',null,'65',null,'21-JUNE-2021
COMPLAINT#192124562','74','74','2021-06-21 18:18:42','2021-06-22 11:38:07',null);
INSERT INTO complaint_statuses VALUES('22861','7185','3',null,'52',null,'22-JUNE-2021
COMPLAINT#PKRI-210622103328','74','92','2021-06-22 10:52:58','2021-06-28 13:49:11',null);
INSERT INTO complaint_statuses VALUES('22862','7186','2',null,'81',null,'22-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-22 10:57:09','2021-06-22 10:57:09',null);
INSERT INTO complaint_statuses VALUES('22863','6020','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 11:02:46','2021-06-22 11:02:46',null);
INSERT INTO complaint_statuses VALUES('22864','7187','3',null,'55',null,'22-JUNE-2021
COMPLAINT#R.W.P-788366','74','92','2021-06-22 11:03:59','2021-06-29 15:36:20',null);
INSERT INTO complaint_statuses VALUES('22865','7186','4',null,'55',null,null,'81','81','2021-06-22 11:07:28','2021-06-22 11:07:28',null);
INSERT INTO complaint_statuses VALUES('22866','6026','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 11:07:52','2021-06-22 11:07:52',null);
INSERT INTO complaint_statuses VALUES('22867','7188','3',null,'55',null,'22-JUNE-2021
COMPLAINT#PKRI-210622104283','74','92','2021-06-22 11:13:17','2021-06-28 14:06:15',null);
INSERT INTO complaint_statuses VALUES('22868','6389','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 11:16:17','2021-06-22 11:16:17',null);
INSERT INTO complaint_statuses VALUES('22869','7189','3',null,'55',null,'22-JUNE-2021
COMPLAINT#R.W.P-788424','74','92','2021-06-22 11:33:58','2021-07-04 15:08:16',null);
INSERT INTO complaint_statuses VALUES('22870','6567','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 11:34:16','2021-06-22 11:34:16',null);
INSERT INTO complaint_statuses VALUES('22871','7190','2',null,'81',null,'22-JUNE-2021
FF TO KHURRAM 5 STAR','74','74','2021-06-22 11:43:15','2021-06-22 11:43:15',null);
INSERT INTO complaint_statuses VALUES('22872','7190','4',null,'63',null,null,'81','81','2021-06-22 11:43:44','2021-06-22 11:43:44',null);
INSERT INTO complaint_statuses VALUES('22873','7191','2',null,'81',null,'22-JUNE-2021
FF TO B.COOL','74','74','2021-06-22 11:48:16','2021-06-22 11:48:16',null);
INSERT INTO complaint_statuses VALUES('22874','7191','4',null,'58',null,null,'81','81','2021-06-22 11:48:57','2021-06-22 11:48:57',null);
INSERT INTO complaint_statuses VALUES('22875','6581','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 11:52:22','2021-06-22 11:52:22',null);
INSERT INTO complaint_statuses VALUES('22876','7192','3',null,'55',null,'22-JUNE-2021
COMPLAINT#R.W.P-788467','74','92','2021-06-22 11:54:49','2021-06-23 17:45:30',null);
INSERT INTO complaint_statuses VALUES('22877','6588','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 11:56:13','2021-06-22 11:56:13',null);
INSERT INTO complaint_statuses VALUES('22878','7172','4',null,'58',null,null,'81','81','2021-06-22 11:56:26','2021-06-22 11:56:26',null);
INSERT INTO complaint_statuses VALUES('22879','6591','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 11:58:09','2021-06-22 11:58:09',null);
INSERT INTO complaint_statuses VALUES('22880','7142','2',null,'81',null,null,'74','74','2021-06-22 12:01:26','2021-06-22 12:01:26',null);
INSERT INTO complaint_statuses VALUES('22881','7142','4',null,'64',null,null,'81','81','2021-06-22 12:01:40','2021-06-22 12:01:40',null);
INSERT INTO complaint_statuses VALUES('22882','6601','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 12:01:52','2021-06-22 12:01:52',null);
INSERT INTO complaint_statuses VALUES('22883','7140','2',null,'81',null,null,'74','74','2021-06-22 12:04:00','2021-06-22 12:04:00',null);
INSERT INTO complaint_statuses VALUES('22884','7140','4',null,'64',null,null,'81','81','2021-06-22 12:04:23','2021-06-22 12:04:23',null);
INSERT INTO complaint_statuses VALUES('22885','7138','2',null,'81',null,null,'74','74','2021-06-22 12:06:09','2021-06-22 12:06:09',null);
INSERT INTO complaint_statuses VALUES('22886','7138','4',null,'64',null,null,'81','81','2021-06-22 12:06:23','2021-06-22 12:06:23',null);
INSERT INTO complaint_statuses VALUES('22887','7137','2',null,'81',null,null,'74','74','2021-06-22 12:07:59','2021-06-22 12:07:59',null);
INSERT INTO complaint_statuses VALUES('22888','7137','4',null,'64',null,null,'81','81','2021-06-22 12:08:14','2021-06-22 12:08:14',null);
INSERT INTO complaint_statuses VALUES('22889','6750','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 12:17:33','2021-06-22 12:17:33',null);
INSERT INTO complaint_statuses VALUES('22890','6751','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 12:19:20','2021-06-22 12:19:20',null);
INSERT INTO complaint_statuses VALUES('22891','6755','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 12:21:07','2021-06-22 12:21:07',null);
INSERT INTO complaint_statuses VALUES('22892','7193','2',null,'81',null,'22-*JUNE-2021
FF TO KHURRAM 5 STAR','74','74','2021-06-22 12:22:24','2021-06-22 12:22:24',null);
INSERT INTO complaint_statuses VALUES('22893','6767','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 12:22:55','2021-06-22 12:22:55',null);
INSERT INTO complaint_statuses VALUES('22894','7193','4',null,'63',null,null,'81','81','2021-06-22 12:23:47','2021-06-22 12:23:47',null);
INSERT INTO complaint_statuses VALUES('22895','6770','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 12:27:21','2021-06-22 12:27:21',null);
INSERT INTO complaint_statuses VALUES('22896','7194','3',null,'57',null,'22-JUNE-2021
COMPLAINT#19422','74','74','2021-06-22 12:29:40','2021-06-22 12:34:53',null);
INSERT INTO complaint_statuses VALUES('22897','6793','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 12:33:50','2021-06-22 12:33:50',null);
INSERT INTO complaint_statuses VALUES('22898','7195','3',null,'80',null,'22-JUNE-2021
22-JUNE-2021 
FF TO AMNA BOACH','74','74','2021-06-22 12:34:33','2021-06-22 12:34:33',null);
INSERT INTO complaint_statuses VALUES('22899','7196','2',null,'81',null,'22-JUNE-2021
FF TO HOME SOLUTION','74','74','2021-06-22 12:43:09','2021-06-22 12:43:09',null);
INSERT INTO complaint_statuses VALUES('22900','7197','3',null,'55',null,'22-JUNE-2021
COMPLAINT#R.W.P-21300','74','74','2021-06-22 12:48:15','2021-06-22 12:48:15',null);
INSERT INTO complaint_statuses VALUES('22901','7196','4',null,'62',null,null,'81','81','2021-06-22 12:49:42','2021-06-22 12:49:42',null);
INSERT INTO complaint_statuses VALUES('22902','7198','3',null,'53',null,'22-JUNE-2021
COMPLAINT#301143937','74','73','2021-06-22 12:57:48','2021-06-22 14:08:34',null);
INSERT INTO complaint_statuses VALUES('22903','7199','2',null,'81',null,'22-JUNE-2021
FF TO AZHAR FCI','74','74','2021-06-22 13:02:36','2021-06-22 13:02:36',null);
INSERT INTO complaint_statuses VALUES('22904','7199','4',null,'60',null,null,'81','81','2021-06-22 13:04:07','2021-06-22 13:04:07',null);
INSERT INTO complaint_statuses VALUES('22905','6814','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 13:04:48','2021-06-22 13:04:48',null);
INSERT INTO complaint_statuses VALUES('22906','6818','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 13:09:30','2021-06-22 13:09:30',null);
INSERT INTO complaint_statuses VALUES('22907','6820','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 13:12:24','2021-06-22 13:12:24',null);
INSERT INTO complaint_statuses VALUES('22908','7104','7','26','81','local repaired.',null,'76','76','2021-06-22 13:19:48','2021-06-22 13:19:48',null);
INSERT INTO complaint_statuses VALUES('22909','7201','3',null,'53',null,'22-JUNE-2021
COMPLAINT#301143938','74','73','2021-06-22 13:37:22','2021-06-22 14:09:00',null);
INSERT INTO complaint_statuses VALUES('22910','7202','2',null,'81',null,'22-JUNE-2021
FF TO B COOL','74','74','2021-06-22 13:48:57','2021-06-22 13:48:57',null);
INSERT INTO complaint_statuses VALUES('22911','7202','4',null,'58',null,null,'81','81','2021-06-22 13:49:36','2021-06-22 13:49:36',null);
INSERT INTO complaint_statuses VALUES('22912','7203','2',null,'81',null,'22-JUNE-2021
COM FF TO BEST COOL','92','92','2021-06-22 13:51:36','2021-06-22 13:51:36',null);
INSERT INTO complaint_statuses VALUES('22913','7203','4',null,'58',null,null,'81','81','2021-06-22 13:52:39','2021-06-22 13:52:39',null);
INSERT INTO complaint_statuses VALUES('22914','7203','7','12','81','compressor change in warnty',null,'79','79','2021-06-22 13:54:09','2021-06-22 13:54:09',null);
INSERT INTO complaint_statuses VALUES('22915','6463','5','15',null,'UNIT BEST COOL TAHIR SIR NAY OK KI HAY','COMPLAINT RESOLVED','81','92','2021-06-22 13:54:24','2021-06-23 11:43:23',null);
INSERT INTO complaint_statuses VALUES('22916','7204','3',null,'55',null,'22-JUNE-2021
COMPLAINT#ISB-788691','74','73','2021-06-22 14:07:16','2021-06-22 14:20:24',null);
INSERT INTO complaint_statuses VALUES('22917','6599','7','12','81','complaint resolved',null,'79','79','2021-06-22 14:08:55','2021-06-22 14:08:55',null);
INSERT INTO complaint_statuses VALUES('22918','7170','7','24','81','Gass issue hy custmer keh rahy ho waha hi sy theek kar wa ly gy',null,'82','82','2021-06-22 14:10:36','2021-06-22 14:10:36',null);
INSERT INTO complaint_statuses VALUES('22919','7172','7','12','81','ye ac hum ny install nahi kiye',null,'79','79','2021-06-22 14:11:01','2021-06-22 14:11:01',null);
INSERT INTO complaint_statuses VALUES('22920','7205','3',null,'52',null,'22-JUNE-2021
COMPLAINT#PKRI-210622110774','74','73','2021-06-22 14:11:30','2021-06-22 15:01:08',null);
INSERT INTO complaint_statuses VALUES('22921','6958','7','12','81','burmer ka issue hai customer yahan sy pick kry gain',null,'79','79','2021-06-22 14:12:27','2021-06-22 14:12:27',null);
INSERT INTO complaint_statuses VALUES('22922','6947','7','12','81','complaint resolved,tab service kr di hai.',null,'79','79','2021-06-22 14:17:57','2021-06-22 14:17:57',null);
INSERT INTO complaint_statuses VALUES('22923','7206','3',null,'52',null,'22-JUNE-2021
COMPLAINT#PKRI-210622110927','74','73','2021-06-22 14:18:46','2021-06-22 15:06:58',null);
INSERT INTO complaint_statuses VALUES('22924','7207','3',null,'52',null,'22-JUNE-2021
COMPLAINT#PKRI-210622111437','74','73','2021-06-22 14:25:01','2021-06-22 15:28:16',null);
INSERT INTO complaint_statuses VALUES('22925','7200','2',null,'81',null,null,'74','74','2021-06-22 14:41:35','2021-06-22 14:41:35',null);
INSERT INTO complaint_statuses VALUES('22926','7208','2',null,'81',null,'22-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-22 14:46:03','2021-06-22 14:46:03',null);
INSERT INTO complaint_statuses VALUES('22927','7208','4',null,'55',null,null,'81','81','2021-06-22 14:48:33','2021-06-22 14:48:33',null);
INSERT INTO complaint_statuses VALUES('22928','5547','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-06-22 14:53:58','2021-06-22 14:53:58',null);
INSERT INTO complaint_statuses VALUES('22929','7209','3',null,'52',null,'22-JUNE-2021
COMPLAINT#PKRI-210622111597','74','73','2021-06-22 14:54:31','2021-06-22 15:32:32',null);
INSERT INTO complaint_statuses VALUES('22930','5547','5','15',null,null,'COMPLETED COMPLAINT','81','74','2021-06-22 14:55:26','2021-06-28 12:34:13',null);
INSERT INTO complaint_statuses VALUES('22931','6743','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 14:57:19','2021-06-22 14:57:19',null);
INSERT INTO complaint_statuses VALUES('22932','6746','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 14:58:58','2021-06-22 14:58:58',null);
INSERT INTO complaint_statuses VALUES('22933','6749','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 15:00:31','2021-06-22 15:00:31',null);
INSERT INTO complaint_statuses VALUES('22934','6849','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 15:02:58','2021-06-22 15:02:58',null);
INSERT INTO complaint_statuses VALUES('22935','7203','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-22 15:05:50','2021-06-23 11:08:06',null);
INSERT INTO complaint_statuses VALUES('22936','7210','3',null,'67',null,'22-MAR-2021
FF TO BABER LHR','74','92','2021-06-22 15:08:42','2021-06-24 11:00:59',null);
INSERT INTO complaint_statuses VALUES('22937','6889','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 15:08:52','2021-06-22 15:08:52',null);
INSERT INTO complaint_statuses VALUES('22938','7172','5','15',null,'COMPLETED  FF TO COMPANY','COMPLAINT RESOLVED','81','92','2021-06-22 15:09:08','2021-06-23 11:09:37',null);
INSERT INTO complaint_statuses VALUES('22939','7211','2',null,'81',null,'22-JUNE-2021
FF TO KHURRAM 5 STAR','74','74','2021-06-22 15:20:49','2021-06-22 15:20:49',null);
INSERT INTO complaint_statuses VALUES('22940','7211','4',null,'63',null,null,'81','81','2021-06-22 15:21:18','2021-06-22 15:21:18',null);
INSERT INTO complaint_statuses VALUES('22941','7200','4',null,'64',null,null,'81','81','2021-06-22 15:21:51','2021-06-22 15:21:51',null);
INSERT INTO complaint_statuses VALUES('22942','7104','5','15',null,'CUSTOMER NA LOCAL TECHNICIAN SA COMPLAINT RESOLVED KARWA DI','COMPLAINT CLOSED','81','74','2021-06-22 15:23:18','2021-06-23 11:24:51',null);
INSERT INTO complaint_statuses VALUES('22943','7087','8','23','62','CUSTOMER K ISSUE RESOLVED NAI HOA KINDLY AGAIN CONTACT KARY',null,'81','81','2021-06-22 15:25:41','2021-06-22 15:25:41',null);
INSERT INTO complaint_statuses VALUES('22944','7212','2',null,'81',null,'22-JUNE-2021
FF TO KHURRAM 5 STAR','74','74','2021-06-22 15:34:35','2021-06-22 15:34:35',null);
INSERT INTO complaint_statuses VALUES('22945','7212','4',null,'63',null,null,'81','81','2021-06-22 15:35:43','2021-06-22 15:35:43',null);
INSERT INTO complaint_statuses VALUES('22946','7214','3',null,'65',null,'22-JUN-2021
COMPLAINT#192124603','74','73','2021-06-22 15:43:51','2021-06-22 16:31:02',null);
INSERT INTO complaint_statuses VALUES('22947','7215','3',null,'68',null,'22-JUNE-2021
COMPLAINT#2661','74','74','2021-06-22 15:58:32','2021-06-22 16:26:23',null);
INSERT INTO complaint_statuses VALUES('22948','6428','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 16:02:21','2021-06-22 16:02:21',null);
INSERT INTO complaint_statuses VALUES('22949','7216','3',null,'53',null,'22-JUNE-2021
COMPLAINT#301144103','74','73','2021-06-22 16:05:17','2021-06-22 16:37:57',null);
INSERT INTO complaint_statuses VALUES('22950','6660','5',null,null,'COMPALINT COMPLETED',null,'92','92','2021-06-22 16:24:14','2021-06-22 16:24:14',null);
INSERT INTO complaint_statuses VALUES('22951','6918','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 16:27:52','2021-06-22 16:27:52',null);
INSERT INTO complaint_statuses VALUES('22952','7217','3',null,'74',null,'22-JUNE-2021
COMPLAINT#133','74','92','2021-06-22 16:42:43','2021-06-24 10:57:46',null);
INSERT INTO complaint_statuses VALUES('22953','7179','7','12','81','Service only 
WiFi device repair 
Rs 1500
Unit ready ha collect krwa lain',null,'83','83','2021-06-22 16:44:41','2021-06-22 16:44:41',null);
INSERT INTO complaint_statuses VALUES('22954','7092','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 16:47:48','2021-06-22 16:47:48',null);
INSERT INTO complaint_statuses VALUES('22955','7218','2',null,'81',null,'22-JUNE-2021
FF TO HOME SOLUTION','74','74','2021-06-22 16:54:30','2021-06-22 16:54:30',null);
INSERT INTO complaint_statuses VALUES('22956','7218','4',null,'62',null,null,'81','81','2021-06-22 16:55:01','2021-06-22 16:55:01',null);
INSERT INTO complaint_statuses VALUES('22957','7219','3',null,'52',null,'22-JUNE-2021
COMPLAINT#PKRI-210622114038','74','73','2021-06-22 17:00:06','2021-06-22 17:12:11',null);
INSERT INTO complaint_statuses VALUES('22958','6872','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 17:00:29','2021-06-22 17:00:29',null);
INSERT INTO complaint_statuses VALUES('22959','7220','2',null,'81',null,'22-JUNE-2021
FF TO B.COOL','74','74','2021-06-22 17:07:34','2021-06-22 17:07:34',null);
INSERT INTO complaint_statuses VALUES('22960','7220','4',null,'58',null,null,'81','81','2021-06-22 17:08:20','2021-06-22 17:08:20',null);
INSERT INTO complaint_statuses VALUES('22961','6874','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 17:10:35','2021-06-22 17:10:35',null);
INSERT INTO complaint_statuses VALUES('22962','6891','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 17:13:03','2021-06-22 17:13:03',null);
INSERT INTO complaint_statuses VALUES('22963','7213','2',null,'81',null,null,'74','74','2021-06-22 17:17:56','2021-06-22 17:17:56',null);
INSERT INTO complaint_statuses VALUES('22964','7221','3',null,'54',null,'22-*JUNE-2021
COMPLAINT#1911943','74','73','2021-06-22 17:20:42','2021-06-22 17:32:51',null);
INSERT INTO complaint_statuses VALUES('22965','7222','2',null,'81',null,'22-JUNE-2021
FF TO B COOL','74','74','2021-06-22 17:24:48','2021-06-22 17:24:48',null);
INSERT INTO complaint_statuses VALUES('22966','7213','4',null,'64',null,null,'81','81','2021-06-22 17:25:05','2021-06-22 17:25:05',null);
INSERT INTO complaint_statuses VALUES('22967','7222','4',null,'58',null,null,'81','81','2021-06-22 17:26:02','2021-06-22 17:26:02',null);
INSERT INTO complaint_statuses VALUES('22968','6982','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 17:28:43','2021-06-22 17:28:43',null);
INSERT INTO complaint_statuses VALUES('22969','7223','3',null,'84',null,'22-JUNE-2021
COMPLAINT#RWP-21324','74','73','2021-06-22 17:31:11','2021-06-22 17:36:09',null);
INSERT INTO complaint_statuses VALUES('22970','6930','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 17:32:16','2021-06-22 17:32:16',null);
INSERT INTO complaint_statuses VALUES('22971','6928','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 17:34:41','2021-06-22 17:34:41',null);
INSERT INTO complaint_statuses VALUES('22972','6927','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 17:35:41','2021-06-22 17:35:41',null);
INSERT INTO complaint_statuses VALUES('22973','6919','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-22 17:39:15','2021-06-22 17:39:15',null);
INSERT INTO complaint_statuses VALUES('22974','7224','3',null,'57',null,'22-JUNE-2021
COMPLAINT#19447','74','73','2021-06-22 17:39:34','2021-06-22 17:46:58',null);
INSERT INTO complaint_statuses VALUES('22975','7225','3',null,'66',null,'22-JUNE-2021
COMPLAINT#PK062320210070','74','74','2021-06-22 17:49:04','2021-06-23 13:05:56',null);
INSERT INTO complaint_statuses VALUES('22976','6604','7','12','81','COMPRESSOR AND GAS  COMPLAINT  COMPLAINT REOSOVED',null,'79','79','2021-06-22 17:59:48','2021-06-22 17:59:48',null);
INSERT INTO complaint_statuses VALUES('22977','7226','3',null,'52',null,'22-JUNE-2021
COMPLAINT#PKRI-210629113930','74','92','2021-06-22 18:01:48','2021-06-29 17:03:02',null);
INSERT INTO complaint_statuses VALUES('22978','7227','2',null,'81',null,'22-JUNE-2021
FF TO AZHAR FCI','74','74','2021-06-22 18:05:40','2021-06-22 18:05:40',null);
INSERT INTO complaint_statuses VALUES('22979','7227','4',null,'60',null,null,'81','81','2021-06-22 18:06:22','2021-06-22 18:06:22',null);
INSERT INTO complaint_statuses VALUES('22980','7121','8','23','62','OK JOB COMPLETED QUKILY',null,'81','81','2021-06-22 18:09:30','2021-06-22 18:09:30',null);
INSERT INTO complaint_statuses VALUES('22981','7145','7','12','81','Dishwasher salt ka masla tha  expir salt sy masla tha samjha dia hy ghar walo ko',null,'82','82','2021-06-22 18:23:03','2021-06-22 18:23:03',null);
INSERT INTO complaint_statuses VALUES('22982','7005','7','22','81','2no barnar kharb hy',null,'88','88','2021-06-22 18:46:53','2021-06-22 18:46:53',null);
INSERT INTO complaint_statuses VALUES('22983','6811','7','12','81','COMPLAINT RESOLVED',null,'79','79','2021-06-22 19:56:00','2021-06-22 19:56:00',null);
INSERT INTO complaint_statuses VALUES('22984','7121','7','12','81','Moter replaced',null,'87','87','2021-06-23 02:52:45','2021-06-23 02:52:45',null);
INSERT INTO complaint_statuses VALUES('22985','7186','7','12','81','No Fault In Product , Extension Problem Visit Pending, 600/-',null,'76','76','2021-06-23 10:35:26','2021-06-23 10:35:26',null);
INSERT INTO complaint_statuses VALUES('22986','7156','2',null,'81',null,null,'74','74','2021-06-23 10:56:34','2021-06-23 10:56:34',null);
INSERT INTO complaint_statuses VALUES('22987','7186','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-23 10:56:48','2021-06-23 11:08:37',null);
INSERT INTO complaint_statuses VALUES('22988','7156','4',null,'64',null,null,'81','81','2021-06-23 10:57:01','2021-06-23 10:57:01',null);
INSERT INTO complaint_statuses VALUES('22989','7145','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-06-23 10:59:02','2021-06-23 11:10:02',null);
INSERT INTO complaint_statuses VALUES('22990','7179','5','15',null,'SET OK HO GAY HAIN ASLAM SAB KO TASK # WHATSAPP KAR DIA HAIN SET PICK KARNAY K LIYA','COMPLAINT RESOLVED','81','92','2021-06-23 11:00:15','2021-06-23 11:09:13',null);
INSERT INTO complaint_statuses VALUES('22991','7121','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-06-23 11:00:32','2021-06-23 11:10:24',null);
INSERT INTO complaint_statuses VALUES('22992','7014','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-06-23 11:06:00','2021-06-23 11:33:13',null);
INSERT INTO complaint_statuses VALUES('22993','6432','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-06-23 11:07:01','2021-06-23 11:43:57',null);
INSERT INTO complaint_statuses VALUES('22994','6803','7','12','81','Gas  Issue , Please forward to Installer. Visit Pending 600/-',null,'76','76','2021-06-23 11:07:08','2021-06-23 11:07:08',null);
INSERT INTO complaint_statuses VALUES('22995','7228','3',null,'53',null,'23-JUNE-2021
COMPLAINT#301144424','74','74','2021-06-23 11:07:57','2021-06-23 11:53:40',null);
INSERT INTO complaint_statuses VALUES('22996','6330','7','12','81',null,null,'76','76','2021-06-23 11:08:13','2021-06-23 11:08:13',null);
INSERT INTO complaint_statuses VALUES('22997','7084','5','15',null,'COMPLAINT FF TO COMPANY','COMPLAINT RESOLVED','81','92','2021-06-23 11:08:13','2021-06-23 11:32:24',null);
INSERT INTO complaint_statuses VALUES('22998','6296','7','12','81','Compressor Replaced.',null,'76','76','2021-06-23 11:08:45','2021-06-23 11:08:45',null);
INSERT INTO complaint_statuses VALUES('22999','6958','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-23 11:12:28','2021-06-23 11:33:36',null);
INSERT INTO complaint_statuses VALUES('23000','6947','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-23 11:14:10','2021-06-23 11:34:05',null);
INSERT INTO complaint_statuses VALUES('23001','7229','3',null,'52',null,'23-JUNE-2021
COMPLAINT#PKRI-210623106687','74','92','2021-06-23 11:16:07','2021-06-28 14:53:57',null);
INSERT INTO complaint_statuses VALUES('23002','6921','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-23 11:17:03','2021-06-23 11:34:30',null);
INSERT INTO complaint_statuses VALUES('23003','6631','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-23 11:21:18','2021-06-23 11:21:18',null);
INSERT INTO complaint_statuses VALUES('23004','7230','3',null,'55',null,'23-JUNE-2021
COMPLAINT#R.W.P 21346','74','74','2021-06-23 11:22:58','2021-06-23 12:27:24',null);
INSERT INTO complaint_statuses VALUES('23005','6811','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-23 11:23:16','2021-06-23 11:34:59',null);
INSERT INTO complaint_statuses VALUES('23006','6659','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-23 11:24:26','2021-06-23 11:24:26',null);
INSERT INTO complaint_statuses VALUES('23007','6760','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-23 11:27:04','2021-06-23 11:27:04',null);
INSERT INTO complaint_statuses VALUES('23008','6805','5','15',null,'CUSTOMER SA BT HOI HAIN WO BOL RAHAY HAIN MARI KOI COMPLAINT NAI HAIN  SO COMPLAINT CLOSED','COMPLAINT CANCELED','81','74','2021-06-23 11:31:50','2021-06-23 11:35:33',null);
INSERT INTO complaint_statuses VALUES('23009','6821','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-23 11:41:38','2021-06-23 11:41:38',null);
INSERT INTO complaint_statuses VALUES('23010','7231','3',null,'53',null,'23-JUNE-2021
COMPLAINT#301144417','74','74','2021-06-23 11:48:27','2021-06-23 11:52:07',null);
INSERT INTO complaint_statuses VALUES('23011','6875','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-23 11:52:29','2021-06-23 11:52:29',null);
INSERT INTO complaint_statuses VALUES('23012','6675','7','12','81','adil ny ready kr liya hai  yasir bahi ko bhi bata dya hai',null,'79','79','2021-06-23 11:57:43','2021-06-23 11:57:43',null);
INSERT INTO complaint_statuses VALUES('23013','7065','7','12','81','fan k pechy paper agya tha,',null,'79','79','2021-06-23 12:01:00','2021-06-23 12:01:00',null);
INSERT INTO complaint_statuses VALUES('23014','7232','2',null,'81',null,'23-JUNE-2021
FF TO B.COOL','74','74','2021-06-23 12:03:11','2021-06-23 12:03:11',null);
INSERT INTO complaint_statuses VALUES('23015','7061','7','26','81','CUSTOMER OUT OF CITY HAIN JB AEIN GE CAL KREIN GE, THEN MAI VISIT KRWA DNGA PLZ CANCEL IT.',null,'87','87','2021-06-23 12:03:27','2021-06-23 12:03:27',null);
INSERT INTO complaint_statuses VALUES('23016','7100','7','24','81','Brecker issue hy keh rahi wo chek karwaky 2ya 3din main aap ko btati ho',null,'82','82','2021-06-23 12:05:18','2021-06-23 12:05:18',null);
INSERT INTO complaint_statuses VALUES('23017','7199','7','24','81','Bulab jalta bujhta hy aaj visit ho ga',null,'82','82','2021-06-23 12:07:14','2021-06-23 12:07:14',null);
INSERT INTO complaint_statuses VALUES('23018','7107','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-23 12:08:05','2021-06-23 12:08:05',null);
INSERT INTO complaint_statuses VALUES('23019','7168','7','24','81','Aaj 2bajy ky baad visit ho ga time huwa hy',null,'82','82','2021-06-23 12:08:08','2021-06-23 12:08:08',null);
INSERT INTO complaint_statuses VALUES('23020','7041','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-23 12:14:30','2021-06-23 12:14:30',null);
INSERT INTO complaint_statuses VALUES('23021','7233','3',null,'57',null,'23-JUNE-2021
COMPLAINT#19467','74','92','2021-06-23 12:18:13','2021-06-30 12:43:04',null);
INSERT INTO complaint_statuses VALUES('23022','7234','2',null,'81',null,'23-JUNE-2021
FF TO B.COOL','74','74','2021-06-23 12:20:19','2021-06-23 12:20:19',null);
INSERT INTO complaint_statuses VALUES('23023','7234','4',null,'58',null,null,'81','81','2021-06-23 12:21:04','2021-06-23 12:21:04',null);
INSERT INTO complaint_statuses VALUES('23024','7232','4',null,'58',null,null,'81','81','2021-06-23 12:21:14','2021-06-23 12:21:14',null);
INSERT INTO complaint_statuses VALUES('23025','7235','3',null,'52',null,'23-JUNE-2021
COMPLAINT#PKRI-210623106552','74','92','2021-06-23 12:38:24','2021-06-28 14:56:03',null);
INSERT INTO complaint_statuses VALUES('23026','7236','3',null,'55',null,'23-JUNE-2021
COM NO 12985','92','92','2021-06-23 12:52:10','2021-06-23 12:52:10',null);
INSERT INTO complaint_statuses VALUES('23027','7237','3',null,'53',null,'23-JUNE-2021
COMPLAINT#301144494','74','92','2021-06-23 12:56:46','2021-07-04 14:46:54',null);
INSERT INTO complaint_statuses VALUES('23028','7238','2',null,'81',null,'23-JUNE-2021
FF TO USMAN MRM','74','74','2021-06-23 13:00:38','2021-06-23 13:00:38',null);
INSERT INTO complaint_statuses VALUES('23029','7238','4',null,'61',null,null,'81','81','2021-06-23 13:01:02','2021-06-23 13:01:02',null);
INSERT INTO complaint_statuses VALUES('23030','6333','7','26','81','dublicate job   with  task 7179    plz cancel this job',null,'83','83','2021-06-23 13:33:39','2021-06-23 13:33:39',null);
INSERT INTO complaint_statuses VALUES('23031','7239','3',null,'53',null,'23-JUNE-2021
COMPLAINT#301144559','74','74','2021-06-23 13:35:42','2021-06-23 13:48:46',null);
INSERT INTO complaint_statuses VALUES('23032','7240','3',null,'54',null,'23-JUNE-2021
COMPLAINT#1912466','74','74','2021-06-23 13:42:52','2021-06-24 14:01:45',null);
INSERT INTO complaint_statuses VALUES('23033','7241','3',null,'53',null,'23-JUNE-2021
COMPLAINT#301144563','74','74','2021-06-23 13:52:37','2021-06-23 13:52:37',null);
INSERT INTO complaint_statuses VALUES('23034','6652','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-23 14:06:24','2021-06-23 14:06:24',null);
INSERT INTO complaint_statuses VALUES('23035','7243','3',null,'54',null,'23-JUNE-2021
COMPLAINT#1895969','74','74','2021-06-23 14:08:40','2021-06-23 14:08:40',null);
INSERT INTO complaint_statuses VALUES('23036','6668','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-23 14:09:37','2021-06-23 14:09:37',null);
INSERT INTO complaint_statuses VALUES('23037','7244','3',null,'52',null,'23-JUNE-2021
COMPLAINT#PKRI-210623109099','74','74','2021-06-23 14:14:57','2021-06-23 14:14:57',null);
INSERT INTO complaint_statuses VALUES('23038','6600','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-23 14:17:31','2021-06-23 14:17:31',null);
INSERT INTO complaint_statuses VALUES('23039','6573','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-23 14:20:02','2021-06-23 14:20:02',null);
INSERT INTO complaint_statuses VALUES('23040','7177','7','24','81','Customer requesting for replacement 
Video clip already shared with khuram SB',null,'83','83','2021-06-23 14:26:18','2021-06-23 14:26:18',null);
INSERT INTO complaint_statuses VALUES('23041','6566','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-23 14:58:41','2021-06-23 14:58:41',null);
INSERT INTO complaint_statuses VALUES('23042','7245','2',null,'81',null,'23-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-23 14:59:46','2021-06-23 14:59:46',null);
INSERT INTO complaint_statuses VALUES('23043','6556','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-23 15:01:11','2021-06-23 15:01:11',null);
INSERT INTO complaint_statuses VALUES('23044','7245','4',null,'55',null,null,'81','81','2021-06-23 15:02:26','2021-06-23 15:02:26',null);
INSERT INTO complaint_statuses VALUES('23045','7246','3',null,'97',null,'23-JUNE-2021
COMPLAINT#202106019417','74','92','2021-06-23 15:11:48','2021-07-01 15:05:32',null);
INSERT INTO complaint_statuses VALUES('23046','7247','3',null,'57',null,'23-JUNE-2021
COMPLAINT#19488','74','74','2021-06-23 15:47:26','2021-06-23 15:47:26',null);
INSERT INTO complaint_statuses VALUES('23047','7064','7','12','81','customer out of city hain  jb aye gain tu complaint kerwaye gain',null,'79','79','2021-06-23 15:48:31','2021-06-23 15:48:31',null);
INSERT INTO complaint_statuses VALUES('23048','7248','3',null,'52',null,'23-JUNE-2021
COMPLAINT#PKRI-
21062311210
COMPLAINT REOPEN#PKRI210715109563','74','74','2021-06-23 16:14:07','2021-07-15 14:48:51',null);
INSERT INTO complaint_statuses VALUES('23049','7249','2',null,'81',null,'23-JUN-2021
FF TO B COOL','74','74','2021-06-23 16:20:11','2021-06-23 16:20:11',null);
INSERT INTO complaint_statuses VALUES('23050','7250','2',null,'81',null,'23-JUNE-2021
COM FF TO HOME SOLUTION','92','92','2021-06-23 16:28:48','2021-06-23 16:28:48',null);
INSERT INTO complaint_statuses VALUES('23051','6830','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-23 16:29:24','2021-06-23 16:29:24',null);
INSERT INTO complaint_statuses VALUES('23052','5909','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-23 16:36:06','2021-06-23 16:36:06',null);
INSERT INTO complaint_statuses VALUES('23053','7251','2',null,'81',null,'23-JUNE-2021
FF TO KHURRAM STAR','74','74','2021-06-23 16:36:56','2021-06-23 16:36:56',null);
INSERT INTO complaint_statuses VALUES('23054','6058','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-23 16:38:05','2021-06-23 16:38:05',null);
INSERT INTO complaint_statuses VALUES('23055','7251','4',null,'63',null,null,'81','81','2021-06-23 16:38:13','2021-06-23 16:38:13',null);
INSERT INTO complaint_statuses VALUES('23056','7250','4',null,'62',null,null,'81','81','2021-06-23 16:38:26','2021-06-23 16:38:26',null);
INSERT INTO complaint_statuses VALUES('23057','7249','4',null,'58',null,null,'81','81','2021-06-23 16:38:36','2021-06-23 16:38:36',null);
INSERT INTO complaint_statuses VALUES('23058','7252','3',null,'54',null,'23-JUNE-2021
COMPLAINT#1913145','74','74','2021-06-23 16:48:38','2021-06-23 16:51:53',null);
INSERT INTO complaint_statuses VALUES('23059','7220','7','12','81','complaint reoslved',null,'79','79','2021-06-23 17:04:09','2021-06-23 17:04:09',null);
INSERT INTO complaint_statuses VALUES('23060','7253','2',null,'81',null,'23-JUNE-2021
FF TO HOME SOLUTION','74','74','2021-06-23 17:11:08','2021-06-23 17:11:08',null);
INSERT INTO complaint_statuses VALUES('23061','7253','4',null,'62',null,null,'81','81','2021-06-23 17:11:39','2021-06-23 17:11:39',null);
INSERT INTO complaint_statuses VALUES('23062','7254','3',null,'54',null,'23-JUNE-2021
COMPLAINT#1913201','74','74','2021-06-23 17:23:19','2021-06-23 17:23:19',null);
INSERT INTO complaint_statuses VALUES('23063','7255','2',null,'81',null,'23-JUNE-2021
FF TO HOME SOLUTION','74','74','2021-06-23 17:30:35','2021-06-23 17:30:35',null);
INSERT INTO complaint_statuses VALUES('23064','7255','4',null,'62',null,null,'81','81','2021-06-23 17:31:58','2021-06-23 17:31:58',null);
INSERT INTO complaint_statuses VALUES('23065','7256','3',null,'55',null,'23-JUNE-2021
COMPLAINT# R.W.P-21367','74','92','2021-06-23 17:36:35','2021-06-29 15:43:24',null);
INSERT INTO complaint_statuses VALUES('23066','7257','3',null,'80',null,'23-JAN-2021
FF TO AMNA BOACH','74','74','2021-06-23 17:48:37','2021-06-23 17:48:37',null);
INSERT INTO complaint_statuses VALUES('23067','7218','7','12','81','ISSUE RESOLVED ,',null,'87','87','2021-06-23 17:51:36','2021-06-23 17:51:36',null);
INSERT INTO complaint_statuses VALUES('23068','7220','5','15',null,'complaint resolved','COMPLAINT COMPLETED','81','92','2021-06-24 11:15:11','2021-06-24 13:36:47',null);
INSERT INTO complaint_statuses VALUES('23069','7258','3',null,'53',null,'24-JUNE-2021
COMPLAINT#1145201','74','74','2021-06-24 11:15:49','2021-06-24 12:46:44',null);
INSERT INTO complaint_statuses VALUES('23070','7218','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-24 11:16:16','2021-06-24 13:37:46',null);
INSERT INTO complaint_statuses VALUES('23071','7065','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-24 11:17:49','2021-06-24 13:38:20',null);
INSERT INTO complaint_statuses VALUES('23072','7064','5','25',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-06-24 11:18:29','2021-06-24 13:39:03',null);
INSERT INTO complaint_statuses VALUES('23073','6604','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-24 11:20:16','2021-06-24 13:44:04',null);
INSERT INTO complaint_statuses VALUES('23074','6330','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-06-24 11:20:20','2021-06-28 12:10:16',null);
INSERT INTO complaint_statuses VALUES('23075','7259','3',null,'52',null,'24-JUNE-2021
COMPLAINT#PKRI-210624107418','74','74','2021-06-24 11:26:58','2021-06-24 13:08:16',null);
INSERT INTO complaint_statuses VALUES('23076','7127','7','20','81','pcb issue',null,'79','79','2021-06-24 11:29:08','2021-06-24 11:29:08',null);
INSERT INTO complaint_statuses VALUES('23077','7260','3',null,'54',null,'24-JUNE-2021
COMPLAINT#1912799','74','74','2021-06-24 11:33:10','2021-06-24 13:27:53',null);
INSERT INTO complaint_statuses VALUES('23078','7261','3',null,'65',null,'24-JUNE-2021
COMPLAINT#192124742','74','74','2021-06-24 11:34:47','2021-06-24 12:41:38',null);
INSERT INTO complaint_statuses VALUES('23079','7262','3',null,'65',null,'24-JUNE-2021
COMPLAINT#192124741','74','74','2021-06-24 12:09:18','2021-06-24 12:39:39',null);
INSERT INTO complaint_statuses VALUES('23080','7263','2',null,'81',null,'24-JUNE-2021
FF TO KHURRAM 5 STAR','74','73','2021-06-24 12:14:07','2021-07-08 13:43:43',null);
INSERT INTO complaint_statuses VALUES('23081','7059','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-24 12:15:13','2021-06-24 12:15:13',null);
INSERT INTO complaint_statuses VALUES('23082','6773','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-24 12:34:12','2021-06-24 12:34:12',null);
INSERT INTO complaint_statuses VALUES('23083','7264','3',null,'66',null,'24-JUNE-2021
COMPLAINT#PK062420210054','74','74','2021-06-24 12:34:52','2021-06-24 13:16:57',null);
INSERT INTO complaint_statuses VALUES('23084','7034','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-24 12:37:41','2021-06-24 12:37:41',null);
INSERT INTO complaint_statuses VALUES('23085','7061','5','25',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-06-24 12:41:26','2021-06-24 13:39:44',null);
INSERT INTO complaint_statuses VALUES('23086','7098','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-24 12:43:50','2021-06-24 12:43:50',null);
INSERT INTO complaint_statuses VALUES('23087','7181','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-24 13:13:36','2021-06-24 13:13:36',null);
INSERT INTO complaint_statuses VALUES('23088','7007','7','12','81','compliant resolved,gas charged',null,'79','79','2021-06-24 13:44:26','2021-06-24 13:44:26',null);
INSERT INTO complaint_statuses VALUES('23089','7265','3',null,'52',null,'24-JUNE-2021
COMPLAINT#PKRI-210624109232','74','74','2021-06-24 13:48:55','2021-06-24 14:17:58',null);
INSERT INTO complaint_statuses VALUES('23090','7266','2',null,'81',null,'24-JUNE-2021
COM FF TO HOME SOLUTION','74','74','2021-06-24 13:55:32','2021-06-24 13:55:32',null);
INSERT INTO complaint_statuses VALUES('23091','7267','3',null,'52',null,'24-JUNE-2021
COMPLAINT#210624109327','74','74','2021-06-24 13:57:30','2021-06-24 14:22:31',null);
INSERT INTO complaint_statuses VALUES('23092','7174','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-24 13:58:18','2021-06-24 13:58:18',null);
INSERT INTO complaint_statuses VALUES('23093','7148','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-24 14:02:33','2021-06-24 14:02:33',null);
INSERT INTO complaint_statuses VALUES('23094','7268','2',null,'81',null,'24-JUNE-2021
FF TO KHURRAM 5 STAR','74','74','2021-06-24 14:18:41','2021-06-24 14:18:41',null);
INSERT INTO complaint_statuses VALUES('23095','7269','3',null,'52',null,'24-JUNE-2021
COMPLAINT#PKRI210624109375','74','74','2021-06-24 14:24:23','2021-06-24 14:24:23',null);
INSERT INTO complaint_statuses VALUES('23096','7270','3',null,'52',null,'24-JUNE-2021
COMPLAINT#PKRI-210624109462
COMPLAINT#PKRI210624109504','74','74','2021-06-24 14:29:54','2021-06-24 14:29:54',null);
INSERT INTO complaint_statuses VALUES('23097','7271','3',null,'72',null,'24--JUNE-2021
COMPLAINT#192124752','74','74','2021-06-24 14:32:46','2021-06-24 14:32:46',null);
INSERT INTO complaint_statuses VALUES('23098','7272','3',null,'65',null,'24-JUNE-2021
COMPLAINT#192124753','74','92','2021-06-24 14:36:30','2021-06-26 11:59:48',null);
INSERT INTO complaint_statuses VALUES('23099','7273','3',null,'52',null,'24-JUNE-2021
COMPLAINT#PKRI-210624109809','74','73','2021-06-24 14:43:04','2021-06-28 14:11:45',null);
INSERT INTO complaint_statuses VALUES('23100','7149','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-24 14:43:20','2021-06-24 14:43:20',null);
INSERT INTO complaint_statuses VALUES('23101','7157','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-24 14:45:35','2021-06-24 14:45:35',null);
INSERT INTO complaint_statuses VALUES('23102','7150','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-24 14:50:42','2021-06-24 14:50:42',null);
INSERT INTO complaint_statuses VALUES('23103','7274','2',null,'81',null,'24-JUNE-2021
FF TO .COOL','74','74','2021-06-24 14:51:44','2021-06-24 14:51:44',null);
INSERT INTO complaint_statuses VALUES('23104','7274','4',null,'58',null,'OTHER#03335195402','81','73','2021-06-24 14:52:20','2021-06-29 11:43:32',null);
INSERT INTO complaint_statuses VALUES('23105','7268','4',null,'63',null,null,'81','81','2021-06-24 14:52:30','2021-06-24 14:52:30',null);
INSERT INTO complaint_statuses VALUES('23106','7266','4',null,'62',null,null,'81','81','2021-06-24 14:52:54','2021-06-24 14:52:54',null);
INSERT INTO complaint_statuses VALUES('23107','7263','4',null,'63',null,null,'81','81','2021-06-24 14:53:10','2021-06-24 14:53:10',null);
INSERT INTO complaint_statuses VALUES('23108','7266','7','26','81','Plz dkh lia krein ,u should know about branch and product',null,'87','87','2021-06-24 14:57:21','2021-06-24 14:57:21',null);
INSERT INTO complaint_statuses VALUES('23109','7275','3',null,'97',null,'24-JUNE-2021
COMPLAINT#202106020336','74','74','2021-06-24 15:03:34','2021-06-24 15:03:34',null);
INSERT INTO complaint_statuses VALUES('23110','7159','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-24 15:12:37','2021-06-24 15:12:37',null);
INSERT INTO complaint_statuses VALUES('23111','7276','3',null,'80',null,'24-JUNE-2021
COMPLAINT FF MISS AYSHA LHR (MOMIN ELE)','74','74','2021-06-24 15:12:57','2021-06-24 15:12:57',null);
INSERT INTO complaint_statuses VALUES('23112','7266','5','15',null,'OK  WRONG VENDOR SELECT HO GAYA','FF TO B.COOL','81','74','2021-06-24 15:18:30','2021-06-25 15:33:13',null);
INSERT INTO complaint_statuses VALUES('23113','7164','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-24 15:22:01','2021-06-24 15:22:01',null);
INSERT INTO complaint_statuses VALUES('23114','6470','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-24 15:23:00','2021-06-25 17:30:46',null);
INSERT INTO complaint_statuses VALUES('23115','6863','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-24 15:24:05','2021-06-24 18:10:58',null);
INSERT INTO complaint_statuses VALUES('23116','7168','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-24 15:25:07','2021-06-24 18:10:04',null);
INSERT INTO complaint_statuses VALUES('23117','7166','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-24 15:25:21','2021-06-24 15:25:21',null);
INSERT INTO complaint_statuses VALUES('23118','7167','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-24 15:28:37','2021-06-24 15:28:37',null);
INSERT INTO complaint_statuses VALUES('23119','7277','3',null,'95',null,'24-JUNE-2021
COMPLAINT#190635','74','74','2021-06-24 15:32:41','2021-06-24 15:32:41',null);
INSERT INTO complaint_statuses VALUES('23120','6528','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-06-24 15:33:12','2021-06-24 15:33:12',null);
INSERT INTO complaint_statuses VALUES('23121','7170','8','23','60','CUSTOMER SA DETAIL SA BT KAR K REF LIFT KARWIYA GA',null,'81','81','2021-06-24 15:33:39','2021-06-24 15:33:39',null);
INSERT INTO complaint_statuses VALUES('23122','7130','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-24 15:38:00','2021-06-24 15:38:00',null);
INSERT INTO complaint_statuses VALUES('23123','7278','3',null,'52',null,'24-JUNE-2021
COMPLIANT#PKRI-210624111490','74','74','2021-06-24 15:50:00','2021-06-24 15:50:00',null);
INSERT INTO complaint_statuses VALUES('23124','6803','8','23','55','CUSTOMER NA APNAY INTALLER SA GASS REFIL KARWA LI HAIN FIR B COOLING NAI HO RAHI KINDLY AGAIN VISIT ARRANGE KARWA K ISSUE RESOLVED KARWAY',null,'81','81','2021-06-24 15:55:26','2021-06-24 15:55:26',null);
INSERT INTO complaint_statuses VALUES('23125','7279','3',null,'54',null,'24-JUNE-2021
COMPLAINT#1913916','74','92','2021-06-24 16:03:31','2021-07-04 14:29:13',null);
INSERT INTO complaint_statuses VALUES('23126','7211','7','12','81','Lpg say gas  ok1000 f',null,'88','88','2021-06-24 16:09:58','2021-06-24 16:09:58',null);
INSERT INTO complaint_statuses VALUES('23127','7280','3',null,'53',null,'24-JUNE-2021
COMPLAINT#301145433','74','74','2021-06-24 16:20:16','2021-06-24 16:20:16',null);
INSERT INTO complaint_statuses VALUES('23128','6351','8','23','58','XTREEM HOOD CUSTOMER AP K S/C KHUD DROP KAR K GAY HAIN',null,'81','81','2021-06-24 16:27:04','2021-06-24 16:27:04',null);
INSERT INTO complaint_statuses VALUES('23129','7072','7','26','81','NO Fault.',null,'76','76','2021-06-24 16:31:49','2021-06-24 16:31:49',null);
INSERT INTO complaint_statuses VALUES('23130','6296','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-24 16:32:04','2021-06-28 12:13:08',null);
INSERT INTO complaint_statuses VALUES('23131','7117','7','12','81','Reffer to SVC  not Cooling , Customer Will Inform.',null,'76','76','2021-06-24 16:32:34','2021-06-24 16:32:34',null);
INSERT INTO complaint_statuses VALUES('23132','7211','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-24 16:33:09','2021-06-24 18:08:57',null);
INSERT INTO complaint_statuses VALUES('23133','7281','3',null,'72',null,'24-JUNE-2021
COMPLAINT#072118290','74','92','2021-06-24 16:42:06','2021-06-28 16:09:27',null);
INSERT INTO complaint_statuses VALUES('23134','7282','2',null,'81',null,'24-JUNE-2021
FF TO B.COOL','74','92','2021-06-24 16:46:10','2021-06-26 17:50:55',null);
INSERT INTO complaint_statuses VALUES('23135','7282','4',null,'58',null,null,'81','81','2021-06-24 16:47:46','2021-06-24 16:47:46',null);
INSERT INTO complaint_statuses VALUES('23136','7117','8','23','55','CUSTOMER ABI SHAHDI MAIN BUSY HAIN MONDAY KO MOVE KARWAY GAY','03444455583 OTHER MOBILE NO','81','92','2021-06-24 16:50:24','2021-06-26 12:42:45',null);
INSERT INTO complaint_statuses VALUES('23137','7007','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-24 16:51:50','2021-06-24 18:10:32',null);
INSERT INTO complaint_statuses VALUES('23138','7283','2',null,'81',null,'24-JUNE-2021
FF TO HOME SOLUTION','74','74','2021-06-24 16:55:55','2021-06-24 16:55:55',null);
INSERT INTO complaint_statuses VALUES('23139','6675','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-24 16:56:07','2021-06-25 17:27:11',null);
INSERT INTO complaint_statuses VALUES('23140','7283','4',null,'62',null,null,'81','81','2021-06-24 16:57:01','2021-06-24 16:57:01',null);
INSERT INTO complaint_statuses VALUES('23141','6920','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-24 17:09:10','2021-06-24 17:09:10',null);
INSERT INTO complaint_statuses VALUES('23142','6924','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-24 17:10:44','2021-06-24 17:10:44',null);
INSERT INTO complaint_statuses VALUES('23143','6964','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-24 17:14:25','2021-06-24 17:14:25',null);
INSERT INTO complaint_statuses VALUES('23144','7284','3',null,'52',null,'24-JUNE-2021
COMPLAINT#PKRI-210624113736','74','92','2021-06-24 17:27:54','2021-06-26 11:39:48',null);
INSERT INTO complaint_statuses VALUES('23145','7021','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-24 17:36:11','2021-06-24 17:36:11',null);
INSERT INTO complaint_statuses VALUES('23146','7285','3',null,'65',null,'24-JUNE-2021
COM NO 192124779','74','74','2021-06-24 17:44:15','2021-06-24 17:44:15',null);
INSERT INTO complaint_statuses VALUES('23147','7037','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-24 17:45:27','2021-06-24 17:45:27',null);
INSERT INTO complaint_statuses VALUES('23148','7286','3',null,'52',null,'24-JUNE-2021
COMPLAINT#PKRI-210624114134
COMPLAINT#210624114083
COMPLAINT#210624114034','74','74','2021-06-24 17:46:39','2021-06-24 17:46:39',null);
INSERT INTO complaint_statuses VALUES('23149','7125','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-06-24 17:52:20','2021-06-24 17:52:20',null);
INSERT INTO complaint_statuses VALUES('23150','7287','2',null,'81',null,'24-JUNE-2021
FF TO NADEEM AV','74','74','2021-06-24 17:54:59','2021-06-24 17:54:59',null);
INSERT INTO complaint_statuses VALUES('23151','7287','4',null,'59',null,null,'81','81','2021-06-24 17:55:34','2021-06-24 17:55:34',null);
INSERT INTO complaint_statuses VALUES('23152','7072','8','23','55','CUSTOMER KA ISSUE RESOLVED NAI HUA COOLING ISSUE AGAIN VISIT KARWAY COMPLAINT PAR',null,'81','81','2021-06-24 17:58:01','2021-06-24 17:58:01',null);
INSERT INTO complaint_statuses VALUES('23153','6855','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-24 18:01:34','2021-06-24 18:01:34',null);
INSERT INTO complaint_statuses VALUES('23154','7288','3',null,'52',null,'24-JUNE-2021
COMPLAINT#PKRI-210624114588
REOPEN COM NO PKRI-210706113322','74','92','2021-06-24 18:09:18','2021-07-06 16:23:01',null);
INSERT INTO complaint_statuses VALUES('23155','7289','2',null,'81',null,'24-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-24 18:21:20','2021-06-24 18:21:20',null);
INSERT INTO complaint_statuses VALUES('23156','7289','4',null,'55',null,null,'81','81','2021-06-24 18:22:08','2021-06-24 18:22:08',null);
INSERT INTO complaint_statuses VALUES('23157','7250','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-24 19:37:31','2021-06-24 19:37:31',null);
INSERT INTO complaint_statuses VALUES('23158','7290','2',null,'81',null,'25-JUNE-2021
FF TO SHAMIM AKHTER','74','92','2021-06-25 12:06:52','2021-07-04 17:42:08',null);
INSERT INTO complaint_statuses VALUES('23159','7290','4',null,'55',null,null,'81','81','2021-06-25 12:09:11','2021-06-25 12:09:11',null);
INSERT INTO complaint_statuses VALUES('23160','7291','2',null,'81',null,'25-JUNE-2021
FF TO HOME SOLUTION','74','74','2021-06-25 12:14:58','2021-06-25 12:14:58',null);
INSERT INTO complaint_statuses VALUES('23161','7291','4',null,'62',null,null,'81','81','2021-06-25 12:15:44','2021-06-25 12:15:44',null);
INSERT INTO complaint_statuses VALUES('23162','7292','3',null,'52',null,'25-JUNE-2021
COMPLAINT#PKRI-210625105997','74','74','2021-06-25 12:52:01','2021-06-25 12:52:01',null);
INSERT INTO complaint_statuses VALUES('23163','7293','3',null,'73',null,'25-JUNE-2021
COMPLAINT#4932','74','74','2021-06-25 13:00:44','2021-06-25 15:19:03',null);
INSERT INTO complaint_statuses VALUES('23164','7294','3',null,'73',null,'25-JUBNE-2021
FF TO MUNWAR CANNON YHA ATTEND KARWAY GAY ABBTOABAD MAIN COMPLAINT','74','92','2021-06-25 13:07:18','2021-07-25 16:33:11',null);
INSERT INTO complaint_statuses VALUES('23165','7295','2',null,'81',null,'25-JUNE-2021
FF TO KHURRAM 5 STAR','74','74','2021-06-25 13:34:23','2021-06-25 13:34:23',null);
INSERT INTO complaint_statuses VALUES('23166','7295','4',null,'63',null,null,'81','81','2021-06-25 13:36:57','2021-06-25 13:36:57',null);
INSERT INTO complaint_statuses VALUES('23167','7296','2',null,'81',null,'25-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-06-25 13:42:01','2021-06-25 13:42:01',null);
INSERT INTO complaint_statuses VALUES('23168','7296','4',null,'55',null,null,'81','81','2021-06-25 13:42:32','2021-06-25 13:42:32',null);
INSERT INTO complaint_statuses VALUES('23169','7297','3',null,'52',null,'25-JUNE-2021
COMPLAINT#PKRI-210625108251','74','92','2021-06-25 14:30:35','2021-06-28 15:13:51',null);
INSERT INTO complaint_statuses VALUES('23170','7298','2',null,'81',null,'25-JUNE-2021
FF TO KHURRAM 5 STAR','74','74','2021-06-25 14:50:00','2021-06-25 14:50:00',null);
INSERT INTO complaint_statuses VALUES('23171','7298','4',null,'63',null,null,'81','81','2021-06-25 14:51:37','2021-06-25 14:51:37',null);
INSERT INTO complaint_statuses VALUES('23172','7299','3',null,'55',null,'25-JUNE-2021
COMPLAINT#ISB -790713','74','74','2021-06-25 15:00:37','2021-06-25 15:06:41',null);
INSERT INTO complaint_statuses VALUES('23173','7300','3',null,'65',null,'25-JUNE-2021
COMPLAINT#192124795','74','74','2021-06-25 15:12:42','2021-06-25 15:12:42',null);
INSERT INTO complaint_statuses VALUES('23174','7242','2',null,'81',null,null,'74','74','2021-06-25 15:18:38','2021-06-25 15:18:38',null);
INSERT INTO complaint_statuses VALUES('23175','7242','4',null,'64',null,null,'81','81','2021-06-25 15:19:25','2021-06-25 15:19:25',null);
INSERT INTO complaint_statuses VALUES('23176','7250','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-25 15:22:46','2021-06-25 15:34:01',null);
INSERT INTO complaint_statuses VALUES('23177','7301','2',null,'81',null,'25-JUNE-2021
FF TO B.COOL','74','74','2021-06-25 15:28:49','2021-06-25 15:28:49',null);
INSERT INTO complaint_statuses VALUES('23178','7301','4',null,'58',null,null,'81','81','2021-06-25 15:29:22','2021-06-25 15:29:22',null);
INSERT INTO complaint_statuses VALUES('23179','6599','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-25 15:29:48','2021-06-25 17:27:39',null);
INSERT INTO complaint_statuses VALUES('23180','7199','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-06-25 15:30:22','2021-06-25 15:30:22',null);
INSERT INTO complaint_statuses VALUES('23181','6182','5','15',null,'HOOD REPLACE HO GAYA COMPLAINT RESOLVED','COMPLAINT CLOSED','81','74','2021-06-25 15:32:32','2021-06-28 12:14:14',null);
INSERT INTO complaint_statuses VALUES('23182','7302','2',null,'81',null,'25-JUNE-2021
FF TO KHURRAM 5 STAR','74','74','2021-06-25 15:36:25','2021-06-25 15:36:25',null);
INSERT INTO complaint_statuses VALUES('23183','6333','5','15',null,'OK DABAL COMPLAINT ENTER','COMPLAINT  CLOSED','81','74','2021-06-25 15:38:49','2021-06-28 12:09:00',null);
INSERT INTO complaint_statuses VALUES('23184','7302','4',null,'63',null,null,'81','81','2021-06-25 15:39:55','2021-06-25 15:39:55',null);
INSERT INTO complaint_statuses VALUES('23185','7303','3',null,'97',null,'25-JUNE-2021
COMPLAINT#202106020948','74','92','2021-06-25 15:54:02','2021-07-19 16:25:11',null);
INSERT INTO complaint_statuses VALUES('23186','7304','2',null,'81',null,'25-JUNE-2021
COMPLAINT#PKRI-210625111060
COMPLAINT#PKRI-210625111032','74','74','2021-06-25 16:44:13','2021-06-25 16:44:13',null);
INSERT INTO complaint_statuses VALUES('23187','7304','4',null,'64',null,null,'81','81','2021-06-25 16:48:38','2021-06-25 16:48:38',null);
INSERT INTO complaint_statuses VALUES('23188','7305','3',null,'53',null,'25-JUNE-2021
COMPLAINT#1145648','74','74','2021-06-25 16:53:33','2021-06-25 16:53:33',null);
INSERT INTO complaint_statuses VALUES('23189','6140','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-25 17:26:05','2021-06-28 12:15:43',null);
INSERT INTO complaint_statuses VALUES('23190','6081','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-25 17:28:59','2021-06-28 12:19:57',null);
INSERT INTO complaint_statuses VALUES('23191','6087','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-25 17:30:13','2021-06-28 12:16:15',null);
INSERT INTO complaint_statuses VALUES('23192','5819','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-25 17:37:59','2021-06-28 12:30:02',null);
INSERT INTO complaint_statuses VALUES('23193','5725','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-25 17:40:39','2021-06-28 12:33:03',null);
INSERT INTO complaint_statuses VALUES('23194','6899','8','23','55','INVOICE WHATSAPP KAR DI MADAM KO',null,'81','81','2021-06-25 17:42:55','2021-06-25 17:42:55',null);
INSERT INTO complaint_statuses VALUES('23195','6479','7','26','81','Ref pay jo Model Label  Hy Wo Incomplete hy , so Model Register Ni ho Skta.',null,'76','76','2021-06-25 18:21:14','2021-06-25 18:21:14',null);
INSERT INTO complaint_statuses VALUES('23196','6937','7','26','81','Customer not answering the Calls.',null,'76','76','2021-06-25 18:21:56','2021-06-25 18:21:56',null);
INSERT INTO complaint_statuses VALUES('23197','7088','7','22','81','Main PCB faulty.',null,'76','76','2021-06-25 18:23:15','2021-06-25 18:23:15',null);
INSERT INTO complaint_statuses VALUES('23198','7173','7','12','81','No Fault',null,'76','76','2021-06-25 18:51:43','2021-06-25 18:51:43',null);
INSERT INTO complaint_statuses VALUES('23199','7171','7','12','81','Refer to SVC in Service , Customer Will Inform After Some Days.',null,'76','76','2021-06-25 18:52:18','2021-06-25 18:52:18',null);
INSERT INTO complaint_statuses VALUES('23200','7196','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-26 11:27:28','2021-06-26 11:27:28',null);
INSERT INTO complaint_statuses VALUES('23201','7291','7','26','81','WRONG NO',null,'87','87','2021-06-26 11:31:32','2021-06-26 11:31:32',null);
INSERT INTO complaint_statuses VALUES('23202','7306','3',null,'53',null,'26-JUNE-2021
COM NO 1145996','92','92','2021-06-26 11:38:05','2021-07-04 14:15:34',null);
INSERT INTO complaint_statuses VALUES('23203','7307','3',null,'54',null,'26-JUNE-2021
COM NO 1915253','92','92','2021-06-26 11:52:39','2021-06-26 11:55:22',null);
INSERT INTO complaint_statuses VALUES('23204','7308','2',null,'81',null,'26-JUNE-2021
COM FF TO BEST COOL','92','92','2021-06-26 12:16:30','2021-06-26 12:16:30',null);
INSERT INTO complaint_statuses VALUES('23205','7309','3',null,'56',null,'26-JUNE-2021
COM NO 26010','92','92','2021-06-26 12:28:53','2021-06-26 12:28:53',null);
INSERT INTO complaint_statuses VALUES('23206','7310','3',null,'52',null,'26-JUNE-2021
COM NO PKRI-210621115940','92','92','2021-06-26 12:37:56','2021-06-26 16:11:16',null);
INSERT INTO complaint_statuses VALUES('23207','7311','3',null,'90',null,'26-JUNE-2021
COM NO 202106023168
PANASONIC COM NO 202106023195','92','92','2021-06-26 12:51:42','2021-06-28 16:23:15',null);
INSERT INTO complaint_statuses VALUES('23208','7312','2',null,'81',null,'26-JUNE-2021
COM FF TO SHAMMIM AKHTER','92','92','2021-06-26 13:11:22','2021-06-26 13:11:22',null);
INSERT INTO complaint_statuses VALUES('23209','7312','4',null,'55',null,null,'81','81','2021-06-26 13:12:13','2021-06-26 13:12:13',null);
INSERT INTO complaint_statuses VALUES('23210','7308','4',null,'58',null,null,'81','81','2021-06-26 13:12:21','2021-06-26 13:12:21',null);
INSERT INTO complaint_statuses VALUES('23211','7313','2',null,'81',null,'26-JUNE-2021
COM FF TO HOME SOLUTION','92','92','2021-06-26 13:28:16','2021-06-26 13:28:16',null);
INSERT INTO complaint_statuses VALUES('23212','7314','3',null,'52',null,'26-JUNE-2021
COM NO PKRI-210626110677','92','92','2021-06-26 13:35:34','2021-06-26 16:14:06',null);
INSERT INTO complaint_statuses VALUES('23213','7093','7','26','81','Local Repaired',null,'76','76','2021-06-26 13:36:09','2021-06-26 13:36:09',null);
INSERT INTO complaint_statuses VALUES('23214','7315','2',null,'81',null,'26-JUNE-2021
COM FF TO BEST COOL','92','92','2021-06-26 13:50:31','2021-06-26 13:50:31',null);
INSERT INTO complaint_statuses VALUES('23215','7316','2',null,'81',null,'26-JUNE-2021
COM FF TO BEST COOL','92','92','2021-06-26 14:02:10','2021-06-26 14:02:10',null);
INSERT INTO complaint_statuses VALUES('23216','6771','7','26','81','Forige ko aag lag gai thi not claimable in warranty',null,'83','83','2021-06-26 14:07:05','2021-06-26 14:07:05',null);
INSERT INTO complaint_statuses VALUES('23217','6401','7','26','81','Cusotmer not available',null,'83','83','2021-06-26 14:07:32','2021-06-26 14:07:32',null);
INSERT INTO complaint_statuses VALUES('23218','7317','3',null,'54',null,'26-JUNE-2021
COM NO 1915532','92','92','2021-06-26 14:09:34','2021-06-26 14:14:20',null);
INSERT INTO complaint_statuses VALUES('23219','7283','7','12','81','ISSUE  RESOLVED',null,'87','87','2021-06-26 14:29:35','2021-06-26 14:29:35',null);
INSERT INTO complaint_statuses VALUES('23220','7087','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-26 14:30:13','2021-06-26 14:30:13',null);
INSERT INTO complaint_statuses VALUES('23221','7318','3',null,'55',null,'26-JUNE-2021
COM NO 791253','92','92','2021-06-26 14:44:33','2021-06-26 14:45:38',null);
INSERT INTO complaint_statuses VALUES('23222','7319','2',null,'81',null,'26-JUNE-2021
COM FF TO NADEEM AZHAR','92','92','2021-06-26 15:00:42','2021-06-27 10:55:06',null);
INSERT INTO complaint_statuses VALUES('23223','7320','2',null,'81',null,'26-JUNE-2021
COM FF TO KHALID SONY','92','92','2021-06-26 15:13:21','2021-06-26 15:13:21',null);
INSERT INTO complaint_statuses VALUES('23224','7321','3',null,'52',null,'26-JUNE-2021
COM NO PKRI-210626110747','92','92','2021-06-26 15:19:47','2021-06-26 16:16:54',null);
INSERT INTO complaint_statuses VALUES('23225','7322','3',null,'53',null,'26-JUNE-2021
COM NO 301146229','92','92','2021-06-26 15:38:22','2021-07-15 17:04:30',null);
INSERT INTO complaint_statuses VALUES('23226','7323','3',null,'59',null,'26-JUNE-2021
COM NO 4246741208','92','92','2021-06-26 15:55:27','2021-06-26 17:32:36',null);
INSERT INTO complaint_statuses VALUES('23227','7320','4',null,'56',null,null,'81','81','2021-06-26 16:02:19','2021-06-26 16:02:19',null);
INSERT INTO complaint_statuses VALUES('23228','7320','4',null,'56',null,null,'81','81','2021-06-26 16:02:20','2021-06-26 16:02:20',null);
INSERT INTO complaint_statuses VALUES('23229','7316','4',null,'58',null,null,'81','81','2021-06-26 16:02:28','2021-06-26 16:02:28',null);
INSERT INTO complaint_statuses VALUES('23230','7315','4',null,'58',null,null,'81','81','2021-06-26 16:02:37','2021-06-26 16:02:37',null);
INSERT INTO complaint_statuses VALUES('23231','7313','4',null,'62',null,null,'81','81','2021-06-26 16:02:47','2021-06-26 16:02:47',null);
INSERT INTO complaint_statuses VALUES('23232','7324','2',null,'81',null,'26-JUNE-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-06-26 16:18:32','2021-06-26 16:18:32',null);
INSERT INTO complaint_statuses VALUES('23233','7325','2',null,'81',null,'26-JUNE-2021
COM FF TO BEST COOL','92','92','2021-06-26 16:30:06','2021-07-17 13:36:23',null);
INSERT INTO complaint_statuses VALUES('23234','7326','3',null,'53',null,'26-JUNE-2021
COM NO 1146329','92','92','2021-06-26 17:09:06','2021-06-27 11:03:32',null);
INSERT INTO complaint_statuses VALUES('23235','7327','3',null,'52',null,'26-JUNE-2021
COM NO PKRI-210626111927','92','92','2021-06-26 17:11:27','2021-06-26 17:16:04',null);
INSERT INTO complaint_statuses VALUES('23236','7328','3',null,'52',null,'26-JUNE-2021
COM NO PKRI-210626112493
REOPEN COM NO PKRI-210701106494','92','92','2021-06-26 17:37:58','2021-07-01 12:27:51',null);
INSERT INTO complaint_statuses VALUES('23237','7329','2',null,'81',null,'26-JUNE-2021
COM FF TO HOME SOLUTION','92','92','2021-06-26 17:47:43','2021-06-26 17:47:43',null);
INSERT INTO complaint_statuses VALUES('23238','7330','3',null,'57',null,'26-JUNE-2021
COM NO 217678','92','92','2021-06-26 18:04:45','2021-06-28 10:43:13',null);
INSERT INTO complaint_statuses VALUES('23239','7331','3',null,'54',null,'26-JUNE-2021
COM NO 1915851','92','92','2021-06-26 18:14:37','2021-06-27 10:58:12',null);
INSERT INTO complaint_statuses VALUES('23240','7332','2',null,'81',null,'26-JUNE-2021
COM FF TO BEST COOL','92','92','2021-06-26 18:33:32','2021-06-26 18:33:32',null);
INSERT INTO complaint_statuses VALUES('23241','7332','4',null,'58',null,null,'81','81','2021-06-27 10:49:41','2021-06-27 10:49:41',null);
INSERT INTO complaint_statuses VALUES('23242','7329','4',null,'62',null,null,'81','81','2021-06-27 10:50:13','2021-06-27 10:50:13',null);
INSERT INTO complaint_statuses VALUES('23243','7325','4',null,'58',null,null,'81','81','2021-06-27 10:50:25','2021-06-27 10:50:25',null);
INSERT INTO complaint_statuses VALUES('23244','7324','4',null,'63',null,null,'81','81','2021-06-27 10:50:36','2021-06-27 10:50:36',null);
INSERT INTO complaint_statuses VALUES('23245','7333','2',null,'81',null,'27-JUNE-2021
COM FF TO SHAMMIM AHTER','92','92','2021-06-27 11:11:55','2021-06-27 11:11:55',null);
INSERT INTO complaint_statuses VALUES('23246','7334','3',null,'52',null,'27-JUNE-2021
COM NO PKRI-210627102608','92','92','2021-06-27 11:22:50','2021-06-27 11:22:50',null);
INSERT INTO complaint_statuses VALUES('23247','7335','2',null,'81',null,'27-JUNE-2021
COM FF TO KHALID SONY','92','92','2021-06-27 11:27:00','2021-06-27 11:27:00',null);
INSERT INTO complaint_statuses VALUES('23248','7336','3',null,'53',null,'27-JUNE-2021
COM NO 301146358','92','92','2021-06-27 11:30:03','2021-06-27 11:31:41',null);
INSERT INTO complaint_statuses VALUES('23249','6646','7','12','81','compliant reosved',null,'79','79','2021-06-27 11:33:13','2021-06-27 11:33:13',null);
INSERT INTO complaint_statuses VALUES('23250','7116','7','12','81','complint reoslved body ka issue hai is ka koi hel ni',null,'79','79','2021-06-27 11:36:17','2021-06-27 11:36:17',null);
INSERT INTO complaint_statuses VALUES('23251','7337','3',null,'65',null,'27-JUNE-2021
COM NO 192124876','92','92','2021-06-27 11:37:54','2021-06-27 11:40:08',null);
INSERT INTO complaint_statuses VALUES('23252','7338','3',null,'54',null,'27-JUNE-2021
COM NO 1916211','92','92','2021-06-27 11:47:56','2021-06-30 11:29:21',null);
INSERT INTO complaint_statuses VALUES('23253','7335','4',null,'56',null,null,'81','81','2021-06-27 11:50:43','2021-06-27 11:50:43',null);
INSERT INTO complaint_statuses VALUES('23254','7333','4',null,'55',null,null,'81','81','2021-06-27 11:50:54','2021-06-27 11:50:54',null);
INSERT INTO complaint_statuses VALUES('23255','7319','4',null,'59',null,null,'81','81','2021-06-27 11:51:03','2021-06-27 11:51:03',null);
INSERT INTO complaint_statuses VALUES('23256','7339','3',null,'52',null,'27-JUNE-2021
COM NO PKRI-210627103374','92','92','2021-06-27 12:05:12','2021-07-01 12:13:56',null);
INSERT INTO complaint_statuses VALUES('23257','7340','2',null,'81',null,'27-JUNE-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-06-27 12:20:21','2021-06-27 12:20:21',null);
INSERT INTO complaint_statuses VALUES('23258','7341','2',null,'81',null,'27-JUNE-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-06-27 12:46:44','2021-06-27 12:46:44',null);
INSERT INTO complaint_statuses VALUES('23259','7342','3',null,'52',null,'27-JUNE-2021
COM NO PKRI-210627107898','92','92','2021-06-27 12:53:22','2021-06-27 17:57:52',null);
INSERT INTO complaint_statuses VALUES('23260','7343','3',null,'52',null,'27-JUNE-2021
COM NO PKRI-210627105458','92','92','2021-06-27 13:13:12','2021-06-27 14:27:23',null);
INSERT INTO complaint_statuses VALUES('23261','7341','4',null,'63',null,null,'81','81','2021-06-27 13:15:49','2021-06-27 13:15:49',null);
INSERT INTO complaint_statuses VALUES('23262','7340','4',null,'63',null,null,'81','81','2021-06-27 13:15:58','2021-06-27 13:15:58',null);
INSERT INTO complaint_statuses VALUES('23263','7344','2',null,'81',null,'27-JUNE-2021
COM FF TO USMAN','92','92','2021-06-27 13:20:53','2021-06-27 13:20:53',null);
INSERT INTO complaint_statuses VALUES('23264','7345','3',null,'72',null,'27-JUNE-2021
COM NO 192124880
COMPLAINT REOPEN #192126153','92','74','2021-06-27 13:32:27','2021-07-18 17:32:28',null);
INSERT INTO complaint_statuses VALUES('23265','7346','3',null,'55',null,'27-JUNE-2021
COM NO 791819','92','92','2021-06-27 13:51:26','2021-06-28 10:47:37',null);
INSERT INTO complaint_statuses VALUES('23266','7347','2',null,'81',null,'27-JUNE-2021
COM FF TO HOME SOLUTION','92','92','2021-06-27 14:17:23','2021-06-27 14:17:23',null);
INSERT INTO complaint_statuses VALUES('23267','7348','3',null,'52',null,'27-JUNE-2021
COM NO PKRI-210627105404
reopen com no PKRI-210705103609','92','92','2021-06-27 14:23:17','2021-07-05 10:54:54',null);
INSERT INTO complaint_statuses VALUES('23268','7349','3',null,'52',null,'27-JUNE-2021
COM NO PKRI-210627105540','92','92','2021-06-27 14:29:46','2021-06-27 14:31:32',null);
INSERT INTO complaint_statuses VALUES('23269','7350','2',null,'81',null,'27-JUNE-2021
COM FF TO BEST COOL','92','92','2021-06-27 14:46:07','2021-06-27 14:46:07',null);
INSERT INTO complaint_statuses VALUES('23270','7351','2',null,'81',null,'27-JULY-2021
COM FF TO BEST COOL','92','92','2021-06-27 14:54:35','2021-06-27 14:54:35',null);
INSERT INTO complaint_statuses VALUES('23271','7352','3',null,'54',null,'27-JUNE-2021
COM NO 1916433','92','92','2021-06-27 15:30:53','2021-07-01 15:34:30',null);
INSERT INTO complaint_statuses VALUES('23272','7353','2',null,'81',null,'27-JUNE-2021
COM FF TO NADEEM AZHAR','92','92','2021-06-27 15:37:42','2021-06-27 15:37:42',null);
INSERT INTO complaint_statuses VALUES('23273','7354','2',null,'81',null,'27-JUNE-2021
COM FF TO BEST COOL','92','92','2021-06-27 15:51:54','2021-06-27 15:51:54',null);
INSERT INTO complaint_statuses VALUES('23274','7355','2',null,'81',null,'27-JUNE-2021
COM FF TO HOME SOLUTION','92','92','2021-06-27 16:00:18','2021-06-27 16:00:18',null);
INSERT INTO complaint_statuses VALUES('23275','7356','3',null,'65',null,'27-JUNE-2021
COM NO 192124885','92','92','2021-06-27 16:16:11','2021-06-27 16:20:47',null);
INSERT INTO complaint_statuses VALUES('23276','7357','3',null,'55',null,'27-JUNE-2021
COM NO 791700','92','92','2021-06-27 16:55:36','2021-06-28 10:44:19',null);
INSERT INTO complaint_statuses VALUES('23277','7358','3',null,'52',null,'27-JUNE-2021
COM NO PKRI210627107638
REOPEN COM NO PKRI-210701105096','92','92','2021-06-27 17:16:33','2021-07-01 11:34:42',null);
INSERT INTO complaint_statuses VALUES('23278','7359','3',null,'52',null,'27-JUNE-2021
COM NO PKRI-210627107666','92','92','2021-06-27 17:26:47','2021-06-27 17:33:47',null);
INSERT INTO complaint_statuses VALUES('23279','7212','7','26','81','Microven hy',null,'88','88','2021-06-27 17:40:31','2021-06-27 17:40:31',null);
INSERT INTO complaint_statuses VALUES('23280','7136','7','12','81','Tar tuti the ok',null,'88','88','2021-06-27 17:43:06','2021-06-27 17:43:06',null);
INSERT INTO complaint_statuses VALUES('23281','7360','3',null,'66',null,'27-JUNE-2021
COM FF TO KASHIF TCL','92','92','2021-06-27 17:43:47','2021-07-04 13:05:39',null);
INSERT INTO complaint_statuses VALUES('23282','7183','7','22','81','Dabal intare',null,'88','88','2021-06-27 17:44:28','2021-06-27 17:44:28',null);
INSERT INTO complaint_statuses VALUES('23283','7329','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-27 19:16:34','2021-06-27 19:16:34',null);
INSERT INTO complaint_statuses VALUES('23284','7316','7','12','81','Complaint resolved',null,'79','79','2021-06-28 10:13:23','2021-06-28 10:13:23',null);
INSERT INTO complaint_statuses VALUES('23285','7308','7','12','81','Complaint resolved',null,'79','79','2021-06-28 10:15:06','2021-06-28 10:15:06',null);
INSERT INTO complaint_statuses VALUES('23286','7282','7','12','81','Complaint resloved',null,'79','79','2021-06-28 10:15:40','2021-06-28 10:15:40',null);
INSERT INTO complaint_statuses VALUES('23287','7362','3',null,'73',null,'28-JUNE-2021
COM NO-4956','92','73','2021-06-28 10:56:37','2021-06-28 11:57:29',null);
INSERT INTO complaint_statuses VALUES('23288','7363','2',null,'81',null,'28-JUNE-2021
COM FF TO BEST COOL','92','92','2021-06-28 11:03:31','2021-06-28 11:03:31',null);
INSERT INTO complaint_statuses VALUES('23289','7363','4',null,'58',null,null,'81','81','2021-06-28 11:05:17','2021-06-28 11:05:17',null);
INSERT INTO complaint_statuses VALUES('23290','7355','4',null,'62',null,null,'81','81','2021-06-28 11:05:37','2021-06-28 11:05:37',null);
INSERT INTO complaint_statuses VALUES('23291','7354','4',null,'58',null,null,'81','81','2021-06-28 11:05:56','2021-06-28 11:05:56',null);
INSERT INTO complaint_statuses VALUES('23292','7353','4',null,'59',null,null,'81','81','2021-06-28 11:06:06','2021-06-28 11:06:06',null);
INSERT INTO complaint_statuses VALUES('23293','7351','4',null,'58',null,null,'81','81','2021-06-28 11:06:18','2021-06-28 11:06:18',null);
INSERT INTO complaint_statuses VALUES('23294','7350','4',null,'58',null,null,'81','81','2021-06-28 11:06:27','2021-06-28 11:06:27',null);
INSERT INTO complaint_statuses VALUES('23295','7347','4',null,'62',null,null,'81','81','2021-06-28 11:06:36','2021-06-28 11:06:36',null);
INSERT INTO complaint_statuses VALUES('23296','7344','4',null,'61',null,null,'81','81','2021-06-28 11:06:47','2021-06-28 11:06:47',null);
INSERT INTO complaint_statuses VALUES('23297','7361','2',null,'81',null,null,'74','74','2021-06-28 11:19:29','2021-06-28 11:19:29',null);
INSERT INTO complaint_statuses VALUES('23298','7364','2',null,'81',null,'28-JUNE-2021
COM FF TO AZHAR FCI','92','92','2021-06-28 11:19:43','2021-06-28 11:19:43',null);
INSERT INTO complaint_statuses VALUES('23299','7361','4',null,'62',null,null,'81','81','2021-06-28 11:19:50','2021-06-28 11:19:50',null);
INSERT INTO complaint_statuses VALUES('23300','7329','5','15',null,'COMPLETED COMPLETED','COMPLAINT RESOLVED','81','74','2021-06-28 11:22:38','2021-06-28 11:26:36',null);
INSERT INTO complaint_statuses VALUES('23301','7316','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-28 11:24:16','2021-06-28 11:27:01',null);
INSERT INTO complaint_statuses VALUES('23302','7308','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-28 11:25:37','2021-06-28 11:44:05',null);
INSERT INTO complaint_statuses VALUES('23303','7191','7','12','81','Customer abhi agree nahi hai.. Reapur kerwany k liye',null,'79','79','2021-06-28 11:26:54','2021-06-28 11:26:54',null);
INSERT INTO complaint_statuses VALUES('23304','7365','3',null,'98',null,'28-JUNE-2021
COM FF TO AMMAD HASSAN VATTI','92','92','2021-06-28 11:28:57','2021-07-04 12:55:38',null);
INSERT INTO complaint_statuses VALUES('23305','7366','3',null,'65',null,'29-JUNE-2021
COMPLAINT#192124908','74','73','2021-06-28 11:31:43','2021-06-28 12:01:34',null);
INSERT INTO complaint_statuses VALUES('23306','7291','8','23','62','03215371204 IC NO PA CONTACT KARAY',null,'81','81','2021-06-28 11:35:17','2021-06-28 11:35:17',null);
INSERT INTO complaint_statuses VALUES('23307','7367','3',null,'52',null,'28-JUN-21
COMPLAINT#PKRI210628109276','73','73','2021-06-28 11:39:22','2021-06-28 14:09:26',null);
INSERT INTO complaint_statuses VALUES('23308','7283','8','23','62','ERROR PROB CUSTOMER KA ISSUE RESOLVED NAI HAO KINDLY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-06-28 11:39:43','2021-06-28 11:39:43',null);
INSERT INTO complaint_statuses VALUES('23309','7282','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-28 11:40:35','2021-06-28 11:45:52',null);
INSERT INTO complaint_statuses VALUES('23310','7212','5','15',null,'COMPLAINT FF B.COOL','COMPLAINT CLOSED','81','74','2021-06-28 11:41:34','2021-06-28 11:47:04',null);
INSERT INTO complaint_statuses VALUES('23311','7368','3',null,'57',null,'28-JUN-21
COMPLAINT#19610','73','73','2021-06-28 11:41:36','2021-06-28 12:05:00',null);
INSERT INTO complaint_statuses VALUES('23312','7196','5','15',null,'COMPLETED COMPALINT','COMPLAINT CLOSED','81','74','2021-06-28 11:42:53','2021-06-28 11:49:12',null);
INSERT INTO complaint_statuses VALUES('23313','7191','5','15',null,'CUSTOMER NA LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA LIYA COMPLAINT CLOSED',null,'81','81','2021-06-28 11:45:07','2021-06-28 11:45:07',null);
INSERT INTO complaint_statuses VALUES('23314','7173','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-28 11:46:20','2021-06-28 11:51:44',null);
INSERT INTO complaint_statuses VALUES('23315','7171','5','15',null,'COMPLAINT PA VISIT HO GAYA HAIN REF TO S/C BUT CUSTOMER ABI AGREE NAI S/C MOVE KARWANAY K LIYA CLOSED KARWA DI COMPLAINT','COMPLAINT CLOSED','81','74','2021-06-28 11:48:35','2021-06-28 11:54:08',null);
INSERT INTO complaint_statuses VALUES('23316','7136','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-28 11:50:00','2021-06-28 11:54:43',null);
INSERT INTO complaint_statuses VALUES('23317','7116','5','15',null,'COMPLETED COMPLAINT','COMPLAINT COMPLETED','81','74','2021-06-28 11:52:23','2021-06-28 11:55:37',null);
INSERT INTO complaint_statuses VALUES('23318','7093','8','23','55','CUSTOMER KA ISSUE RESOLVED NI HO AGAIN CALL KARAY REF KI PIC B CUSTOMER NA SHAMIM MADAM KO SHER KI BUT KOI RESPONSE NAI MILA CUSTOMER KO',null,'81','81','2021-06-28 11:57:47','2021-06-28 11:57:47',null);
INSERT INTO complaint_statuses VALUES('23319','7087','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-28 11:59:30','2021-06-28 12:06:35',null);
INSERT INTO complaint_statuses VALUES('23320','6937','5','15',null,'CUSTOMER NA LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA LIYA','COMPLAINT CLOSED','81','74','2021-06-28 12:02:05','2021-06-28 12:07:02',null);
INSERT INTO complaint_statuses VALUES('23321','7286','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 12:12:44','2021-06-28 12:12:44',null);
INSERT INTO complaint_statuses VALUES('23322','7369','3',null,'73',null,'28-JUN-2021
COMPLAINT#4957','73','73','2021-06-28 12:13:36','2021-06-28 14:05:53',null);
INSERT INTO complaint_statuses VALUES('23323','7285','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 12:14:41','2021-06-28 12:14:41',null);
INSERT INTO complaint_statuses VALUES('23324','7370','2',null,'81',null,null,'73','73','2021-06-28 12:16:43','2021-06-28 12:16:43',null);
INSERT INTO complaint_statuses VALUES('23325','7079','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 12:16:50','2021-06-28 12:16:50',null);
INSERT INTO complaint_statuses VALUES('23326','7370','4',null,'58',null,null,'81','81','2021-06-28 12:17:51','2021-06-28 12:17:51',null);
INSERT INTO complaint_statuses VALUES('23327','7364','4',null,'60',null,null,'81','81','2021-06-28 12:18:03','2021-06-28 12:18:03',null);
INSERT INTO complaint_statuses VALUES('23328','7081','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 12:21:36','2021-06-28 12:21:36',null);
INSERT INTO complaint_statuses VALUES('23329','7371','3',null,'54',null,'28-JUN-21
COMPLAINT#1917321','73','73','2021-06-28 12:23:50','2021-06-28 14:01:53',null);
INSERT INTO complaint_statuses VALUES('23330','7086','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 12:26:16','2021-06-28 12:26:16',null);
INSERT INTO complaint_statuses VALUES('23331','6646','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-28 12:28:13','2021-06-28 12:29:21',null);
INSERT INTO complaint_statuses VALUES('23332','7102','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 12:29:56','2021-06-28 12:29:56',null);
INSERT INTO complaint_statuses VALUES('23333','7372','2',null,'81',null,null,'73','73','2021-06-28 12:33:34','2021-06-28 12:33:34',null);
INSERT INTO complaint_statuses VALUES('23334','7372','4',null,'55',null,null,'81','81','2021-06-28 12:33:57','2021-06-28 12:33:57',null);
INSERT INTO complaint_statuses VALUES('23335','5919','8','23','60','TARIQ SAB SA BT HOI HAIN KAL TAQ MOVE KARWA DYA',null,'81','81','2021-06-28 12:36:35','2021-06-28 12:36:35',null);
INSERT INTO complaint_statuses VALUES('23336','4526','8','23','59','PACK KAR K WAOISE BAJWA DAY',null,'81','81','2021-06-28 12:37:48','2021-06-28 12:37:48',null);
INSERT INTO complaint_statuses VALUES('23337','5224','8','23','56','SHOWROOM PA VISIT KARWAY YHA FIR AP KHUD PICK KARWAY LAY KINDLY SHOWROOM COMPLIANT HAIN PLZ AS SOON AS POSSIBLE RESOLVED KARWAY',null,'81','81','2021-06-28 12:44:02','2021-06-28 12:44:02',null);
INSERT INTO complaint_statuses VALUES('23338','6401','8','23','61','CUSTOMER SA BT HO GEI HAIN KAL KA TIME DIA HAIN CUSTOMER NA AB B AGAIN BAT KAR K TIME DEICED KAR LAY',null,'81','81','2021-06-28 12:47:02','2021-06-28 12:47:02',null);
INSERT INTO complaint_statuses VALUES('23339','7280','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-06-28 12:52:30','2021-06-28 12:52:30',null);
INSERT INTO complaint_statuses VALUES('23340','7373','2',null,'81',null,null,'73','73','2021-06-28 12:52:56','2021-06-28 12:52:56',null);
INSERT INTO complaint_statuses VALUES('23341','7374','2',null,'81',null,null,'73','73','2021-06-28 12:58:48','2021-06-28 12:58:48',null);
INSERT INTO complaint_statuses VALUES('23342','7374','4',null,'60',null,null,'81','81','2021-06-28 12:59:22','2021-06-28 12:59:22',null);
INSERT INTO complaint_statuses VALUES('23343','7373','4',null,'58',null,null,'81','81','2021-06-28 12:59:33','2021-06-28 12:59:33',null);
INSERT INTO complaint_statuses VALUES('23344','7375','2',null,'81',null,'B.COOL','73','73','2021-06-28 13:01:32','2021-06-28 13:01:32',null);
INSERT INTO complaint_statuses VALUES('23345','7375','4',null,'58',null,null,'81','81','2021-06-28 13:01:57','2021-06-28 13:01:57',null);
INSERT INTO complaint_statuses VALUES('23346','7103','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 13:05:06','2021-06-28 13:05:06',null);
INSERT INTO complaint_statuses VALUES('23347','7355','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-28 13:05:13','2021-06-28 13:05:13',null);
INSERT INTO complaint_statuses VALUES('23348','7291','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-28 13:07:38','2021-06-28 13:07:38',null);
INSERT INTO complaint_statuses VALUES('23349','7120','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 13:13:23','2021-06-28 13:13:23',null);
INSERT INTO complaint_statuses VALUES('23350','7361','7','24','81','OVEN KAHAN HAI',null,'87','87','2021-06-28 13:14:03','2021-06-28 13:14:03',null);
INSERT INTO complaint_statuses VALUES('23351','7376','3',null,'97',null,'28-JUN-21(PANASONIC)
COMPLAINT#202106024827','73','92','2021-06-28 13:14:50','2021-06-30 12:26:22',null);
INSERT INTO complaint_statuses VALUES('23352','7158','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 13:17:56','2021-06-28 13:17:56',null);
INSERT INTO complaint_statuses VALUES('23353','7377','3',null,'72',null,'28-JUN-21
COMPLAINT#072118355','73','73','2021-06-28 13:21:36','2021-06-28 13:51:57',null);
INSERT INTO complaint_statuses VALUES('23354','7279','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 13:22:28','2021-06-28 13:22:28',null);
INSERT INTO complaint_statuses VALUES('23355','7278','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 13:24:09','2021-06-28 13:24:09',null);
INSERT INTO complaint_statuses VALUES('23356','7378','3',null,'80',null,'28-JUN-2021
FRWRD TO TAHIR  SIEMENS','73','74','2021-06-28 13:24:23','2021-07-02 16:16:14',null);
INSERT INTO complaint_statuses VALUES('23357','7160','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 13:24:28','2021-06-28 13:24:28',null);
INSERT INTO complaint_statuses VALUES('23358','7379','3',null,'53',null,'28-JUN-2021
COMPLAINT#301146950','73','73','2021-06-28 13:30:13','2021-06-28 15:12:37',null);
INSERT INTO complaint_statuses VALUES('23359','6762','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 13:30:44','2021-06-28 13:30:44',null);
INSERT INTO complaint_statuses VALUES('23360','7183','8','23','63','CANCEL KAR DAY COMPLAINT',null,'81','81','2021-06-28 13:33:37','2021-06-28 13:33:37',null);
INSERT INTO complaint_statuses VALUES('23361','7380','3',null,'65',null,'28-JUN-21
COMPLAINT#192124927','73','73','2021-06-28 13:33:58','2021-06-28 13:54:48',null);
INSERT INTO complaint_statuses VALUES('23362','7381','2',null,'81',null,null,'73','73','2021-06-28 13:36:40','2021-06-28 13:36:40',null);
INSERT INTO complaint_statuses VALUES('23363','6774','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 13:37:50','2021-06-28 13:37:50',null);
INSERT INTO complaint_statuses VALUES('23364','7341','7','12','81','Gas to lpg',null,'88','88','2021-06-28 13:38:45','2021-06-28 13:38:45',null);
INSERT INTO complaint_statuses VALUES('23365','7381','4',null,'55',null,null,'81','81','2021-06-28 13:41:23','2021-06-28 13:41:23',null);
INSERT INTO complaint_statuses VALUES('23366','7382','3',null,'52',null,'28-JUNE-2021
COM NO PKRI-210626102805','92','73','2021-06-28 13:42:51','2021-06-28 14:29:14',null);
INSERT INTO complaint_statuses VALUES('23367','7277','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 13:43:49','2021-06-28 13:43:49',null);
INSERT INTO complaint_statuses VALUES('23368','7276','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 13:46:01','2021-06-28 13:46:01',null);
INSERT INTO complaint_statuses VALUES('23369','7180','5',null,null,'COMPLAINT RESOLVED',null,'92','92','2021-06-28 13:46:16','2021-06-28 13:46:16',null);
INSERT INTO complaint_statuses VALUES('23370','7275','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 13:47:39','2021-06-28 13:47:39',null);
INSERT INTO complaint_statuses VALUES('23371','6449','7','12','81','YES',null,'83','83','2021-06-28 13:50:36','2021-06-28 13:50:36',null);
INSERT INTO complaint_statuses VALUES('23372','7320','7','24','81','in a day today customer will bring unit to service center.',null,'77','77','2021-06-28 13:59:35','2021-06-28 13:59:35',null);
INSERT INTO complaint_statuses VALUES('23373','7185','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 14:03:46','2021-06-28 14:03:46',null);
INSERT INTO complaint_statuses VALUES('23374','7188','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 14:07:06','2021-06-28 14:07:06',null);
INSERT INTO complaint_statuses VALUES('23375','6395','7','12','81','compliant resolved,heate lga dya hai.i 10 sy ref humry pas aye thy un mein synikal kr  laga dya hai',null,'79','79','2021-06-28 14:10:34','2021-06-28 14:10:34',null);
INSERT INTO complaint_statuses VALUES('23376','7383','3',null,'52',null,'28-JUN-2021
COMPLAINT#PKRI210628110015','73','73','2021-06-28 14:22:34','2021-06-28 14:34:53',null);
INSERT INTO complaint_statuses VALUES('23377','7205','5',null,null,'COMPLIANT COMPLETED',null,'92','92','2021-06-28 14:23:58','2021-06-28 14:23:58',null);
INSERT INTO complaint_statuses VALUES('23378','7206','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 14:40:52','2021-06-28 14:40:52',null);
INSERT INTO complaint_statuses VALUES('23379','7262','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 14:41:07','2021-06-28 14:41:07',null);
INSERT INTO complaint_statuses VALUES('23380','6449','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-28 14:44:57','2021-06-28 14:53:08',null);
INSERT INTO complaint_statuses VALUES('23381','7384','2',null,'81',null,null,'73','73','2021-06-28 14:46:15','2021-06-28 14:46:15',null);
INSERT INTO complaint_statuses VALUES('23382','7384','4',null,'58',null,null,'81','81','2021-06-28 14:46:56','2021-06-28 14:46:56',null);
INSERT INTO complaint_statuses VALUES('23383','7355','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-28 14:47:32','2021-06-28 14:52:07',null);
INSERT INTO complaint_statuses VALUES('23384','7209','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 14:48:04','2021-06-28 14:48:04',null);
INSERT INTO complaint_statuses VALUES('23385','7341','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-28 14:49:53','2021-06-28 14:52:38',null);
INSERT INTO complaint_statuses VALUES('23386','7207','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 14:50:20','2021-06-28 14:50:20',null);
INSERT INTO complaint_statuses VALUES('23387','7385','3',null,'53',null,'28-JUN-2021
COMPLAINT#301147011','73','73','2021-06-28 14:53:12','2021-06-28 15:12:01',null);
INSERT INTO complaint_statuses VALUES('23388','7386','3',null,'52',null,'28-JUN-2021
COMPLAINT#PKRI210628110858','73','73','2021-06-28 14:56:36','2021-06-28 15:05:40',null);
INSERT INTO complaint_statuses VALUES('23389','7244','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 14:57:45','2021-06-28 14:57:45',null);
INSERT INTO complaint_statuses VALUES('23390','7387','2',null,'81',null,null,'73','73','2021-06-28 14:59:42','2021-06-28 14:59:42',null);
INSERT INTO complaint_statuses VALUES('23391','7291','5','15',null,'COMPLETED COMPLAINT
0345-8566052','COMPLAINT RESOLVED','81','74','2021-06-28 15:00:38','2021-06-28 15:01:58',null);
INSERT INTO complaint_statuses VALUES('23392','7387','4',null,'60',null,null,'81','81','2021-06-28 15:01:19','2021-06-28 15:01:19',null);
INSERT INTO complaint_statuses VALUES('23393','7259','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 15:03:07','2021-06-28 15:03:07',null);
INSERT INTO complaint_statuses VALUES('23394','7258','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 15:04:11','2021-06-28 15:04:11',null);
INSERT INTO complaint_statuses VALUES('23395','7272','5',null,null,'COMPLAINT  CLOSED',null,'74','74','2021-06-28 15:06:18','2021-06-28 15:06:18',null);
INSERT INTO complaint_statuses VALUES('23396','7267','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 15:06:41','2021-06-28 15:06:41',null);
INSERT INTO complaint_statuses VALUES('23397','5490','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 15:07:25','2021-06-28 15:07:25',null);
INSERT INTO complaint_statuses VALUES('23398','7353','7','24','81','coustmer say bat ho gae hy kal tak visit ho jae ga wifi ka issue hy',null,'80','80','2021-06-28 15:07:47','2021-06-28 15:07:47',null);
INSERT INTO complaint_statuses VALUES('23399','7270','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 15:09:15','2021-06-28 15:09:15',null);
INSERT INTO complaint_statuses VALUES('23400','7260','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 15:09:38','2021-06-28 15:09:38',null);
INSERT INTO complaint_statuses VALUES('23401','7319','7','24','81','aj visit ho jae ga set no picture main hy',null,'80','80','2021-06-28 15:12:08','2021-06-28 15:12:08',null);
INSERT INTO complaint_statuses VALUES('23402','7257','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 15:17:32','2021-06-28 15:17:32',null);
INSERT INTO complaint_statuses VALUES('23403','7287','7','24','81','panel main spot hy set service center ay ga',null,'80','80','2021-06-28 15:24:31','2021-06-28 15:24:31',null);
INSERT INTO complaint_statuses VALUES('23404','6065','7','22','81','panel fulty',null,'80','80','2021-06-28 15:25:07','2021-06-28 15:25:07',null);
INSERT INTO complaint_statuses VALUES('23405','4526','7','12','81','pick krwa lyn sound bar',null,'80','80','2021-06-28 15:26:03','2021-06-28 15:26:03',null);
INSERT INTO complaint_statuses VALUES('23406','7252','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 15:37:52','2021-06-28 15:37:52',null);
INSERT INTO complaint_statuses VALUES('23407','6898','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 15:38:02','2021-06-28 15:38:02',null);
INSERT INTO complaint_statuses VALUES('23408','6395','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-28 15:38:41','2021-06-28 15:42:00',null);
INSERT INTO complaint_statuses VALUES('23409','7388','3',null,'97',null,'28-JUN-2021
COMPLAINT#202106023222','73','73','2021-06-28 15:38:43','2021-06-28 16:53:46',null);
INSERT INTO complaint_statuses VALUES('23410','7361','8','23','62','MORTAZA BUT PWD SA CONFIRM KARAY',null,'81','81','2021-06-28 15:39:24','2021-06-28 15:39:24',null);
INSERT INTO complaint_statuses VALUES('23411','7300','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 15:41:24','2021-06-28 15:41:24',null);
INSERT INTO complaint_statuses VALUES('23412','7254','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 15:43:56','2021-06-28 15:43:56',null);
INSERT INTO complaint_statuses VALUES('23413','7060','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 15:50:48','2021-06-28 15:50:48',null);
INSERT INTO complaint_statuses VALUES('23414','7247','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 15:54:43','2021-06-28 15:54:43',null);
INSERT INTO complaint_statuses VALUES('23415','7109','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-28 15:55:09','2021-06-28 15:55:09',null);
INSERT INTO complaint_statuses VALUES('23416','7353','8','23','59','OK  KOB COMPLETED QUKILEY',null,'81','81','2021-06-28 15:57:55','2021-06-28 15:57:55',null);
INSERT INTO complaint_statuses VALUES('23417','7320','8','23','56','CUSTOMER 2 DIN TAQ SET S/C MOVE KARWAY GAY',null,'81','81','2021-06-28 15:59:55','2021-06-28 15:59:55',null);
INSERT INTO complaint_statuses VALUES('23418','7319','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-06-28 16:00:32','2021-06-28 16:00:32',null);
INSERT INTO complaint_statuses VALUES('23419','7287','8','23','59','CUSTOMER KAL TAQ SET S/C MOVE KARWA DAY GEI',null,'81','81','2021-06-28 16:02:04','2021-06-28 16:02:04',null);
INSERT INTO complaint_statuses VALUES('23420','7389','2',null,'81',null,null,'73','73','2021-06-28 16:04:10','2021-06-28 16:04:10',null);
INSERT INTO complaint_statuses VALUES('23421','7243','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 16:04:35','2021-06-28 16:04:35',null);
INSERT INTO complaint_statuses VALUES('23422','7389','4',null,'62',null,null,'81','81','2021-06-28 16:04:45','2021-06-28 16:04:45',null);
INSERT INTO complaint_statuses VALUES('23423','4526','8','23','59','OK ASLAM SIR KO INFORMED KARTAY',null,'81','81','2021-06-28 16:07:19','2021-06-28 16:07:19',null);
INSERT INTO complaint_statuses VALUES('23424','7241','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-28 16:10:02','2021-06-28 16:10:02',null);
INSERT INTO complaint_statuses VALUES('23425','7390','3',null,'52',null,'28-6-21
COMPLAINT#PKRI210628112752','73','73','2021-06-28 16:12:04','2021-06-28 16:14:17',null);
INSERT INTO complaint_statuses VALUES('23426','6455','5',null,null,'REOPEN',null,'73','73','2021-06-28 16:21:34','2021-06-28 16:21:34',null);
INSERT INTO complaint_statuses VALUES('23427','7391','3',null,'52',null,'28-JUN-2021
COMPLAINT#PKRI210628114146','73','73','2021-06-28 16:24:24','2021-06-28 17:13:32',null);
INSERT INTO complaint_statuses VALUES('23428','7392','3',null,'80',null,'FRWRD TO SAJJAD BHATTI','73','73','2021-06-28 16:34:08','2021-06-28 16:34:08',null);
INSERT INTO complaint_statuses VALUES('23429','7347','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-28 16:50:16','2021-06-28 16:50:16',null);
INSERT INTO complaint_statuses VALUES('23430','7393','3',null,'81',null,'28-JUN-2021
COMPLAINT#917','73','73','2021-06-28 16:50:26','2021-06-29 10:17:31',null);
INSERT INTO complaint_statuses VALUES('23431','7019','7','26','81','PLZ AREEBA SE DISCUSS KR LEIN ABOUT COMPLAINT',null,'87','87','2021-06-28 16:55:00','2021-06-28 16:55:00',null);
INSERT INTO complaint_statuses VALUES('23432','7394','3',null,'65',null,'28-JUN-2021
COMPLAINT#192124948
REOPEN COM NO 19215141','73','92','2021-06-28 17:02:17','2021-07-01 13:36:14',null);
INSERT INTO complaint_statuses VALUES('23433','7395','3',null,'65',null,'28-JUN-2021
COMPLAINT#192124949','73','73','2021-06-28 17:22:57','2021-06-28 17:33:14',null);
INSERT INTO complaint_statuses VALUES('23434','7353','7','24','81','tech visit k lia ja raha tha  coustmer ki call i hy one week k lia visit panding kr dyn mjy lahore jana par gea hy emergence',null,'80','80','2021-06-28 17:46:07','2021-06-28 17:46:07',null);
INSERT INTO complaint_statuses VALUES('23435','7319','7','24','81','coustmer keh rha hy main ny set thek ni krwna set replace krwna hy visit k lia tech ko mat bajyn main set ko hath ni lagany do ga set main problem sometime ata hy',null,'80','80','2021-06-28 17:47:25','2021-06-28 17:47:25',null);
INSERT INTO complaint_statuses VALUES('23436','7313','7','12','81','ISSUE RESOLVED',null,'87','87','2021-06-28 18:31:54','2021-06-28 18:31:54',null);
INSERT INTO complaint_statuses VALUES('23437','7396','3',null,'53',null,'29-JUN-21
COMPLAINT#301147382','73','73','2021-06-29 10:29:41','2021-06-29 12:13:24',null);
INSERT INTO complaint_statuses VALUES('23438','7397','3',null,'57',null,'29-JUN-2021
COMPLAINT#19648','73','73','2021-06-29 10:31:33','2021-06-29 11:51:00',null);
INSERT INTO complaint_statuses VALUES('23439','7398','2',null,'81',null,null,'73','73','2021-06-29 10:33:36','2021-06-29 10:33:36',null);
INSERT INTO complaint_statuses VALUES('23440','7399','2',null,'81',null,null,'73','73','2021-06-29 10:36:46','2021-06-29 10:36:46',null);
INSERT INTO complaint_statuses VALUES('23441','7399','4',null,'58',null,null,'81','81','2021-06-29 10:37:54','2021-06-29 10:37:54',null);
INSERT INTO complaint_statuses VALUES('23442','7398','4',null,'55',null,null,'81','81','2021-06-29 10:38:04','2021-06-29 10:38:04',null);
INSERT INTO complaint_statuses VALUES('23443','7400','3',null,'65',null,'29-JUN-2021
COMPLAINT#192124969','73','73','2021-06-29 10:49:04','2021-06-29 11:55:19',null);
INSERT INTO complaint_statuses VALUES('23444','7401','2',null,'81',null,null,'73','73','2021-06-29 10:57:54','2021-06-29 10:57:54',null);
INSERT INTO complaint_statuses VALUES('23445','7401','4',null,'58',null,null,'81','81','2021-06-29 11:00:39','2021-06-29 11:00:39',null);
INSERT INTO complaint_statuses VALUES('23446','7402','2',null,'81',null,null,'73','73','2021-06-29 11:02:55','2021-06-29 11:02:55',null);
INSERT INTO complaint_statuses VALUES('23447','7402','4',null,'60',null,null,'81','81','2021-06-29 11:03:45','2021-06-29 11:03:45',null);
INSERT INTO complaint_statuses VALUES('23448','7403','3',null,'52',null,'29-JUN-2021
COMPLAINT#PKRI210629105729','73','73','2021-06-29 11:07:50','2021-06-29 12:02:38',null);
INSERT INTO complaint_statuses VALUES('23449','7151','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-06-29 11:15:25','2021-06-29 11:15:25',null);
INSERT INTO complaint_statuses VALUES('23450','7091','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 11:15:45','2021-06-29 11:15:45',null);
INSERT INTO complaint_statuses VALUES('23451','7071','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 11:16:39','2021-06-29 11:16:39',null);
INSERT INTO complaint_statuses VALUES('23452','7151','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-29 11:18:21','2021-06-29 11:20:26',null);
INSERT INTO complaint_statuses VALUES('23453','7404','3',null,'66',null,'29-JUN-2020
COMPLAINT#PK062920210058','73','73','2021-06-29 11:23:46','2021-06-29 12:07:05',null);
INSERT INTO complaint_statuses VALUES('23454','7221','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 11:31:00','2021-06-29 11:31:00',null);
INSERT INTO complaint_statuses VALUES('23455','7405','3',null,'52',null,'29-JUN-2021
COMPLAINT#PKRI210629105657','73','73','2021-06-29 11:33:04','2021-06-29 12:00:17',null);
INSERT INTO complaint_statuses VALUES('23456','7406','2',null,'81',null,null,'73','73','2021-06-29 11:35:11','2021-06-29 11:35:11',null);
INSERT INTO complaint_statuses VALUES('23457','7406','4',null,'62',null,null,'81','81','2021-06-29 11:35:40','2021-06-29 11:35:40',null);
INSERT INTO complaint_statuses VALUES('23458','7106','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-06-29 11:36:50','2021-06-29 11:36:50',null);
INSERT INTO complaint_statuses VALUES('23459','7217','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 11:39:24','2021-06-29 11:39:24',null);
INSERT INTO complaint_statuses VALUES('23460','7407','2',null,'81',null,null,'73','73','2021-06-29 11:39:30','2021-06-29 11:39:30',null);
INSERT INTO complaint_statuses VALUES('23461','7408','3',null,'92',null,'29-JUNE-2021
COM NO 210629094196','92','73','2021-06-29 11:40:36','2021-06-30 11:30:15',null);
INSERT INTO complaint_statuses VALUES('23462','7198','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 11:44:14','2021-06-29 11:44:14',null);
INSERT INTO complaint_statuses VALUES('23463','7230','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 11:46:18','2021-06-29 11:46:18',null);
INSERT INTO complaint_statuses VALUES('23464','7407','4',null,'62',null,null,'81','81','2021-06-29 11:47:17','2021-06-29 11:47:17',null);
INSERT INTO complaint_statuses VALUES('23465','7231','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 11:54:14','2021-06-29 11:54:14',null);
INSERT INTO complaint_statuses VALUES('23466','7239','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 12:00:43','2021-06-29 12:00:43',null);
INSERT INTO complaint_statuses VALUES('23467','7292','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 12:02:09','2021-06-29 12:02:09',null);
INSERT INTO complaint_statuses VALUES('23468','7236','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 12:06:05','2021-06-29 12:06:05',null);
INSERT INTO complaint_statuses VALUES('23469','7409','3',null,'53',null,'26-JUN-2021
COMPLAINT#301146003','73','73','2021-06-29 12:19:08','2021-06-29 12:23:44',null);
INSERT INTO complaint_statuses VALUES('23470','7307','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 12:21:48','2021-06-29 12:21:48',null);
INSERT INTO complaint_statuses VALUES('23471','7318','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 12:22:11','2021-06-29 12:22:11',null);
INSERT INTO complaint_statuses VALUES('23472','7410','2',null,'81',null,null,'73','73','2021-06-29 12:29:26','2021-06-29 12:29:26',null);
INSERT INTO complaint_statuses VALUES('23473','7305','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 12:31:14','2021-06-29 12:31:14',null);
INSERT INTO complaint_statuses VALUES('23474','7410','4',null,'55',null,null,'81','81','2021-06-29 12:31:46','2021-06-29 12:31:46',null);
INSERT INTO complaint_statuses VALUES('23475','6642','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 12:34:20','2021-06-29 12:34:20',null);
INSERT INTO complaint_statuses VALUES('23476','7309','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 12:35:07','2021-06-29 12:35:07',null);
INSERT INTO complaint_statuses VALUES('23477','6657','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 12:37:56','2021-06-29 12:37:56',null);
INSERT INTO complaint_statuses VALUES('23478','7195','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 12:41:49','2021-06-29 12:41:49',null);
INSERT INTO complaint_statuses VALUES('23479','7411','3',null,'65',null,'29-JUN-2021
COMPLAINT#192124991','73','73','2021-06-29 12:44:28','2021-06-29 15:08:59',null);
INSERT INTO complaint_statuses VALUES('23480','6716','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 12:54:03','2021-06-29 12:54:03',null);
INSERT INTO complaint_statuses VALUES('23481','7414','3',null,'65',null,'29-JUN-2021
COMPLAINT#192124989','73','73','2021-06-29 12:57:50','2021-06-29 15:06:20',null);
INSERT INTO complaint_statuses VALUES('23482','7133','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 12:57:55','2021-06-29 12:57:55',null);
INSERT INTO complaint_statuses VALUES('23483','6654','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 12:57:59','2021-06-29 12:57:59',null);
INSERT INTO complaint_statuses VALUES('23484','5970','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 13:10:16','2021-06-29 13:10:16',null);
INSERT INTO complaint_statuses VALUES('23485','7162','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 13:17:36','2021-06-29 13:17:36',null);
INSERT INTO complaint_statuses VALUES('23486','7415','2',null,'81',null,null,'73','73','2021-06-29 13:17:57','2021-06-29 13:17:57',null);
INSERT INTO complaint_statuses VALUES('23487','7415','4',null,'58',null,null,'81','81','2021-06-29 13:19:38','2021-06-29 13:19:38',null);
INSERT INTO complaint_statuses VALUES('23488','6461','7','26','81','Issue Solved By Customer.',null,'76','76','2021-06-29 13:20:42','2021-06-29 13:20:42',null);
INSERT INTO complaint_statuses VALUES('23489','7416','2',null,'81',null,null,'73','73','2021-06-29 13:23:27','2021-06-29 13:23:27',null);
INSERT INTO complaint_statuses VALUES('23490','7197','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 13:23:50','2021-06-29 13:23:50',null);
INSERT INTO complaint_statuses VALUES('23491','7416','4',null,'61',null,null,'81','81','2021-06-29 13:24:00','2021-06-29 13:24:00',null);
INSERT INTO complaint_statuses VALUES('23492','6117','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 13:27:52','2021-06-29 13:27:52',null);
INSERT INTO complaint_statuses VALUES('23493','6168','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 13:30:39','2021-06-29 13:30:39',null);
INSERT INTO complaint_statuses VALUES('23494','7417','2',null,'81',null,'D.O.P:30-3-2017','73','73','2021-06-29 13:32:08','2021-07-01 13:18:35',null);
INSERT INTO complaint_statuses VALUES('23495','7417','4',null,'58',null,null,'81','81','2021-06-29 13:32:58','2021-06-29 13:32:58',null);
INSERT INTO complaint_statuses VALUES('23496','7418','3',null,'56',null,'29-JUN-2021
COMPLAINT#19669','73','73','2021-06-29 13:34:52','2021-06-29 15:12:07',null);
INSERT INTO complaint_statuses VALUES('23497','6612','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 13:36:22','2021-06-29 13:36:22',null);
INSERT INTO complaint_statuses VALUES('23498','7413','3',null,'52',null,'29-JUN-2021
COMPLAINT#PKRI210629111872','73','73','2021-06-29 13:37:26','2021-06-29 15:42:45',null);
INSERT INTO complaint_statuses VALUES('23499','7412','3',null,'55',null,'29-JUN-2021
COMPLAINT#rwp792932','73','73','2021-06-29 13:37:38','2021-06-29 13:44:32',null);
INSERT INTO complaint_statuses VALUES('23500','6748','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 13:40:31','2021-06-29 13:40:31',null);
INSERT INTO complaint_statuses VALUES('23501','5563','7','12','81','cusotmer ko check kerwa di hai ,washig maxhine theek hai',null,'79','79','2021-06-29 13:48:04','2021-06-29 13:48:04',null);
INSERT INTO complaint_statuses VALUES('23502','6761','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 13:48:58','2021-06-29 13:48:58',null);
INSERT INTO complaint_statuses VALUES('23503','6226','7','12','81','ye i 10 ly kr ana tha kindly adil sy poch kr complete kr  dein',null,'79','79','2021-06-29 13:48:59','2021-06-29 13:48:59',null);
INSERT INTO complaint_statuses VALUES('23504','6510','7','12','81','cusotemr hihper hain tu adil sy pochy kia kerna hai ye i 10 sy service  ho kr gya tha',null,'79','79','2021-06-29 13:49:56','2021-06-29 13:49:56',null);
INSERT INTO complaint_statuses VALUES('23505','6610','7','12','81','theek hai hob',null,'79','79','2021-06-29 13:51:01','2021-06-29 13:51:01',null);
INSERT INTO complaint_statuses VALUES('23506','7096','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 13:51:02','2021-06-29 13:51:02',null);
INSERT INTO complaint_statuses VALUES('23507','6708','7','12','81','ye hood i 10 ana tha ,adil sy poch kr complete kry',null,'79','79','2021-06-29 13:51:49','2021-06-29 13:51:49',null);
INSERT INTO complaint_statuses VALUES('23508','6787','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 13:52:15','2021-06-29 13:52:15',null);
INSERT INTO complaint_statuses VALUES('23509','7035','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 13:53:06','2021-06-29 13:53:06',null);
INSERT INTO complaint_statuses VALUES('23510','7419','2',null,'81',null,null,'73','73','2021-06-29 13:54:03','2021-06-29 13:54:03',null);
INSERT INTO complaint_statuses VALUES('23511','7419','4',null,'60',null,null,'81','81','2021-06-29 13:54:27','2021-06-29 13:54:27',null);
INSERT INTO complaint_statuses VALUES('23512','7274','7','12','81','coamplaint resolved,drian pipe',null,'79','79','2021-06-29 13:56:50','2021-06-29 13:56:50',null);
INSERT INTO complaint_statuses VALUES('23513','7129','7','9','81','motor issue complaint resolved aj install ho ja ye ga',null,'79','79','2021-06-29 13:58:24','2021-06-29 13:58:24',null);
INSERT INTO complaint_statuses VALUES('23514','7420','2',null,'81',null,null,'73','73','2021-06-29 14:02:37','2021-06-29 14:02:37',null);
INSERT INTO complaint_statuses VALUES('23515','7420','4',null,'55',null,null,'81','81','2021-06-29 14:03:10','2021-06-29 14:03:10',null);
INSERT INTO complaint_statuses VALUES('23516','7421','2',null,'81',null,null,'73','73','2021-06-29 14:13:39','2021-06-29 14:13:39',null);
INSERT INTO complaint_statuses VALUES('23517','7421','4',null,'55',null,null,'81','81','2021-06-29 14:14:10','2021-06-29 14:14:10',null);
INSERT INTO complaint_statuses VALUES('23518','7289','7','12','81','No fault found in AC During Inspection.',null,'76','76','2021-06-29 14:18:42','2021-06-29 14:18:42',null);
INSERT INTO complaint_statuses VALUES('23519','7333','7','26','81','Body Damage, No spare Body Available.',null,'76','76','2021-06-29 14:19:24','2021-06-29 14:19:24',null);
INSERT INTO complaint_statuses VALUES('23520','7422','2',null,'81',null,null,'73','73','2021-06-29 14:19:32','2021-06-29 14:19:32',null);
INSERT INTO complaint_statuses VALUES('23521','7422','4',null,'62',null,null,'81','81','2021-06-29 14:20:11','2021-06-29 14:20:11',null);
INSERT INTO complaint_statuses VALUES('23522','7410','7','24','81','Directly REF Received IN SVC  without visit at customer s home.',null,'76','76','2021-06-29 14:20:12','2021-06-29 14:20:12',null);
INSERT INTO complaint_statuses VALUES('23523','7290','7','24','81','Under Repaire in SVC',null,'76','76','2021-06-29 14:20:34','2021-06-29 14:20:34',null);
INSERT INTO complaint_statuses VALUES('23524','7165','7','12','81','Dispenser Setting.',null,'76','76','2021-06-29 14:21:01','2021-06-29 14:21:01',null);
INSERT INTO complaint_statuses VALUES('23525','7023','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 14:35:01','2021-06-29 14:35:01',null);
INSERT INTO complaint_statuses VALUES('23526','7029','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 14:35:47','2021-06-29 14:35:47',null);
INSERT INTO complaint_statuses VALUES('23527','7044','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 14:37:31','2021-06-29 14:37:31',null);
INSERT INTO complaint_statuses VALUES('23528','7363','7','12','81','signature ref hai ,',null,'79','79','2021-06-29 14:38:12','2021-06-29 14:38:12',null);
INSERT INTO complaint_statuses VALUES('23529','7423','2',null,'81',null,null,'73','73','2021-06-29 14:40:35','2021-06-29 14:40:35',null);
INSERT INTO complaint_statuses VALUES('23530','7423','4',null,'62',null,null,'81','81','2021-06-29 14:41:18','2021-06-29 14:41:18',null);
INSERT INTO complaint_statuses VALUES('23531','7424','2',null,'81',null,null,'73','73','2021-06-29 14:44:52','2021-06-29 14:44:52',null);
INSERT INTO complaint_statuses VALUES('23532','7424','4',null,'62',null,null,'81','81','2021-06-29 14:45:18','2021-06-29 14:45:18',null);
INSERT INTO complaint_statuses VALUES('23533','7425','3',null,'84',null,'29-JUN-2021
COMPLAINT#ISB-13054','73','73','2021-06-29 14:53:35','2021-06-29 15:23:06',null);
INSERT INTO complaint_statuses VALUES('23534','7426','3',null,'52',null,'29-JUN-2021
COMPLAINT#PKRI210629111798','73','73','2021-06-29 14:58:18','2021-06-29 15:40:21',null);
INSERT INTO complaint_statuses VALUES('23535','6799','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 15:02:59','2021-06-29 15:02:59',null);
INSERT INTO complaint_statuses VALUES('23536','6850','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 15:07:22','2021-06-29 15:07:22',null);
INSERT INTO complaint_statuses VALUES('23537','6881','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 15:09:53','2021-06-29 15:09:53',null);
INSERT INTO complaint_statuses VALUES('23538','6953','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-06-29 15:13:54','2021-06-29 15:13:54',null);
INSERT INTO complaint_statuses VALUES('23539','6885','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 15:15:09','2021-06-29 15:15:09',null);
INSERT INTO complaint_statuses VALUES('23540','6952','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 15:15:31','2021-06-29 15:15:31',null);
INSERT INTO complaint_statuses VALUES('23541','6948','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 15:20:27','2021-06-29 15:20:27',null);
INSERT INTO complaint_statuses VALUES('23542','7427','3',null,'65',null,'29-JUN-2021
COMPLAIN#192124994','73','73','2021-06-29 15:27:20','2021-06-29 15:33:23',null);
INSERT INTO complaint_statuses VALUES('23543','7428','2',null,'81',null,null,'73','73','2021-06-29 15:31:16','2021-06-29 15:31:16',null);
INSERT INTO complaint_statuses VALUES('23544','7428','4',null,'62',null,null,'81','81','2021-06-29 15:31:57','2021-06-29 15:31:57',null);
INSERT INTO complaint_statuses VALUES('23545','7095','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 15:32:03','2021-06-29 15:32:03',null);
INSERT INTO complaint_statuses VALUES('23546','7429','3',null,'85',null,'29-JUN-2021
COMPLAINT#301147655','73','73','2021-06-29 15:36:21','2021-06-29 16:18:43',null);
INSERT INTO complaint_statuses VALUES('23547','7204','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 15:42:27','2021-06-29 15:42:27',null);
INSERT INTO complaint_statuses VALUES('23548','7299','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 15:44:36','2021-06-29 15:44:36',null);
INSERT INTO complaint_statuses VALUES('23549','6680','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 15:47:39','2021-06-29 15:47:39',null);
INSERT INTO complaint_statuses VALUES('23550','6998','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 15:51:56','2021-06-29 15:51:56',null);
INSERT INTO complaint_statuses VALUES('23551','6923','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 15:54:51','2021-06-29 15:54:51',null);
INSERT INTO complaint_statuses VALUES('23552','7430','3',null,'92',null,'29-JUN-2021
COMPLAINT#210629097958','73','73','2021-06-29 15:55:18','2021-06-29 16:22:26',null);
INSERT INTO complaint_statuses VALUES('23553','7431','3',null,'52',null,'29-JUN-2021
COMPLAINT#PKRI210629113161','73','73','2021-06-29 15:59:44','2021-06-29 16:34:01',null);
INSERT INTO complaint_statuses VALUES('23554','7432','3',null,'52',null,'29-JUN-2021
COMPLAINT#PKRI210629113318','73','73','2021-06-29 16:01:43','2021-06-29 16:40:49',null);
INSERT INTO complaint_statuses VALUES('23555','7161','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 16:07:31','2021-06-29 16:07:31',null);
INSERT INTO complaint_statuses VALUES('23556','7433','3',null,'53',null,'29-JUN-2021
COMPLAINT#301147590','73','92','2021-06-29 16:11:19','2021-07-03 14:53:06',null);
INSERT INTO complaint_statuses VALUES('23557','6640','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 16:11:45','2021-06-29 16:11:45',null);
INSERT INTO complaint_statuses VALUES('23558','7139','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 16:19:27','2021-06-29 16:19:27',null);
INSERT INTO complaint_statuses VALUES('23559','6629','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-29 16:19:47','2021-06-29 16:19:47',null);
INSERT INTO complaint_statuses VALUES('23560','7434','3',null,'67',null,'29-JUN-2021
FRWRD TO ANWER CARAVELL','73','73','2021-06-29 16:27:53','2021-06-29 16:28:44',null);
INSERT INTO complaint_statuses VALUES('23561','7122','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-29 16:46:11','2021-06-29 16:46:11',null);
INSERT INTO complaint_statuses VALUES('23562','7435','3',null,'52',null,'30-JUN-2021
COMPLAINT#PKRI210630102870','73','73','2021-06-29 16:51:41','2021-06-30 10:27:25',null);
INSERT INTO complaint_statuses VALUES('23563','7436','3',null,'65',null,'29-JUNE-2021
COM NO 192125007','92','92','2021-06-29 16:53:29','2021-07-03 14:46:19',null);
INSERT INTO complaint_statuses VALUES('23564','7437','3',null,'65',null,'29-JUN-2021
COMPLAINT#192125009','73','73','2021-06-29 16:57:33','2021-06-29 17:09:21',null);
INSERT INTO complaint_statuses VALUES('23565','7438','3',null,'52',null,'30-JUN-2021
COMPLAINT#pkri210630102802','73','73','2021-06-29 17:27:07','2021-06-30 10:27:32',null);
INSERT INTO complaint_statuses VALUES('23566','7439','3',null,'90',null,'29-JUN-2021
COMPLAINT#202106024411
REOPEN COM NO 202107-006549','73','92','2021-06-29 17:53:32','2021-07-08 16:31:49',null);
INSERT INTO complaint_statuses VALUES('23567','7440','3',null,'66',null,'29-JUN-2021
FRWRD TO KASHIF TCL','73','73','2021-06-29 17:58:04','2021-06-29 17:59:02',null);
INSERT INTO complaint_statuses VALUES('23568','7296','7','12','81','Reset Only.',null,'76','76','2021-06-29 19:29:44','2021-06-29 19:29:44',null);
INSERT INTO complaint_statuses VALUES('23569','6966','7','12','81','No Fault. Visit Pending 600/-',null,'76','76','2021-06-29 19:30:26','2021-06-29 19:30:26',null);
INSERT INTO complaint_statuses VALUES('23570','7340','7','9','81','Boshe ko sand Kar di hy madam ny',null,'88','88','2021-06-29 19:58:20','2021-06-29 19:58:20',null);
INSERT INTO complaint_statuses VALUES('23571','7263','7','22','81','Tank like hy yawar bhai ko sand Kar di hy video',null,'88','88','2021-06-29 19:59:54','2021-06-29 19:59:54',null);
INSERT INTO complaint_statuses VALUES('23572','7251','7','12','81','Ok',null,'88','88','2021-06-29 20:00:21','2021-06-29 20:00:21',null);
INSERT INTO complaint_statuses VALUES('23573','7190','7','12','81','Gas chalty huya band how jati the OK 1200 f',null,'88','88','2021-06-29 20:01:12','2021-06-29 20:01:12',null);
INSERT INTO complaint_statuses VALUES('23574','7375','7','12','81','flute pipe issue compaint reoslved',null,'79','79','2021-06-29 21:10:28','2021-06-29 21:10:28',null);
INSERT INTO complaint_statuses VALUES('23575','6722','7','12','81','Heater replaced',null,'83','83','2021-06-29 22:18:28','2021-06-29 22:18:28',null);
INSERT INTO complaint_statuses VALUES('23576','6106','7','12','81','Main PCB replaced rs 17500 exp',null,'83','83','2021-06-29 22:19:20','2021-06-29 22:19:20',null);
INSERT INTO complaint_statuses VALUES('23577','6244','7','26','81','Customer not available',null,'83','83','2021-06-29 22:19:38','2021-06-29 22:19:38',null);
INSERT INTO complaint_statuses VALUES('23578','7238','7','12','81','Filter block 
Cleaned unit ok',null,'83','83','2021-06-29 22:20:53','2021-06-29 22:20:53',null);
INSERT INTO complaint_statuses VALUES('23579','7332','7','12','81','compliant resolved,inkofilter chaye jo k humry pas nahi hai,',null,'79','79','2021-06-30 10:02:13','2021-06-30 10:02:13',null);
INSERT INTO complaint_statuses VALUES('23580','7398','7','22','81','Only Part Require ( Heater).',null,'76','76','2021-06-30 10:04:41','2021-06-30 10:04:41',null);
INSERT INTO complaint_statuses VALUES('23581','7441','3',null,'55',null,'30-JUN-2021
COMPLAINT#ISB-13065','73','73','2021-06-30 10:34:47','2021-06-30 12:13:20',null);
INSERT INTO complaint_statuses VALUES('23582','7442','3',null,'55',null,'30-JUN-2021
COMPLAINT#ISB-13067','73','73','2021-06-30 10:37:30','2021-06-30 12:15:08',null);
INSERT INTO complaint_statuses VALUES('23583','7375','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-30 10:38:48','2021-06-30 11:06:56',null);
INSERT INTO complaint_statuses VALUES('23584','7363','5','25',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-06-30 10:39:27','2021-06-30 11:07:29',null);
INSERT INTO complaint_statuses VALUES('23585','7443','3',null,'67',null,'FRWRD TO ANWER CARAVELL','73','73','2021-06-30 10:40:18','2021-06-30 10:40:18',null);
INSERT INTO complaint_statuses VALUES('23586','7347','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-30 10:40:46','2021-06-30 11:08:26',null);
INSERT INTO complaint_statuses VALUES('23587','7444','3',null,'52',null,'30-JUN-2021
COMPLAINT#PKRI210630107797
REOPEN#PKRI210802109467','73','106','2021-06-30 10:42:21','2021-08-02 14:37:18',null);
INSERT INTO complaint_statuses VALUES('23588','7313','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-30 10:42:41','2021-06-30 11:09:26',null);
INSERT INTO complaint_statuses VALUES('23589','7251','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-30 10:53:29','2021-06-30 11:10:15',null);
INSERT INTO complaint_statuses VALUES('23590','7238','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-30 10:55:00','2021-06-30 11:10:46',null);
INSERT INTO complaint_statuses VALUES('23591','7165','5','23',null,'CUSTOMER KA ISSUE RESOLVED NAI HUA AGAIN VISIT KARWAY','COMPLAINT COMPLETED','81','92','2021-06-30 10:58:48','2021-06-30 11:15:22',null);
INSERT INTO complaint_statuses VALUES('23592','7445','2',null,'81',null,null,'73','73','2021-06-30 10:59:37','2021-06-30 10:59:37',null);
INSERT INTO complaint_statuses VALUES('23593','7445','4',null,'55',null,null,'81','81','2021-06-30 11:00:24','2021-06-30 11:00:24',null);
INSERT INTO complaint_statuses VALUES('23594','6966','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-30 11:01:32','2021-06-30 11:11:46',null);
INSERT INTO complaint_statuses VALUES('23595','7446','2',null,'81',null,null,'73','73','2021-06-30 11:02:47','2021-06-30 11:02:47',null);
INSERT INTO complaint_statuses VALUES('23596','7446','4',null,'55',null,null,'81','81','2021-06-30 11:03:24','2021-06-30 11:03:24',null);
INSERT INTO complaint_statuses VALUES('23597','7416','7','26','81','Customer not ready to py visit charges',null,'83','83','2021-06-30 11:06:56','2021-06-30 11:06:56',null);
INSERT INTO complaint_statuses VALUES('23598','7447','3',null,'97',null,'30-JUN-2021
COMPLAINT#202106-024948','73','73','2021-06-30 11:12:18','2021-06-30 13:24:25',null);
INSERT INTO complaint_statuses VALUES('23599','7448','2',null,'81',null,'21-JUNE-2021
FF TO SHAMIM AKHTER','92','92','2021-06-30 11:12:20','2021-06-30 11:12:20',null);
INSERT INTO complaint_statuses VALUES('23600','7448','4',null,'55',null,null,'81','81','2021-06-30 11:14:57','2021-06-30 11:14:57',null);
INSERT INTO complaint_statuses VALUES('23601','7331','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 11:18:57','2021-06-30 11:18:57',null);
INSERT INTO complaint_statuses VALUES('23602','6517','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 11:24:36','2021-06-30 11:24:36',null);
INSERT INTO complaint_statuses VALUES('23603','7416','5','15',null,'CUSTOMER KO EXP BATA DIA HAIN BUT CUSTOMER AGREE NAI HAIN PAY KARNAY K LIYA COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-06-30 11:27:12','2021-06-30 11:31:58',null);
INSERT INTO complaint_statuses VALUES('23604','7449','2',null,'81',null,'KITCHEN HOOD
A1','73','73','2021-06-30 11:29:33','2021-06-30 12:29:54',null);
INSERT INTO complaint_statuses VALUES('23605','7334','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 11:29:34','2021-06-30 11:29:34',null);
INSERT INTO complaint_statuses VALUES('23606','7449','4',null,'58',null,null,'81','81','2021-06-30 11:30:04','2021-06-30 11:30:04',null);
INSERT INTO complaint_statuses VALUES('23607','7450','2',null,'81',null,null,'73','73','2021-06-30 11:44:46','2021-06-30 11:44:46',null);
INSERT INTO complaint_statuses VALUES('23608','7450','4',null,'58',null,null,'81','81','2021-06-30 11:45:17','2021-06-30 11:45:17',null);
INSERT INTO complaint_statuses VALUES('23609','7451','3',null,'54',null,'30-JUN-2021
COMPLAINT#1919866','73','73','2021-06-30 11:50:03','2021-06-30 13:28:24',null);
INSERT INTO complaint_statuses VALUES('23610','7452','3',null,'55',null,'30-JUN-2021
COMPLAINT#RWP-793608','73','73','2021-06-30 11:53:03','2021-06-30 12:10:56',null);
INSERT INTO complaint_statuses VALUES('23611','7453','3',null,'92',null,'30-JUN-2021
KASHMIR SERVICE NOT AVAILABLE ... COSTUMER HAVE TO BRING UNIT IN RWP CENTRE','73','73','2021-06-30 11:55:40','2021-06-30 13:54:49',null);
INSERT INTO complaint_statuses VALUES('23612','7454','3',null,'59',null,'REQUEST TO USMAN SB','73','73','2021-06-30 11:58:36','2021-06-30 11:58:36',null);
INSERT INTO complaint_statuses VALUES('23613','7455','3',null,'53',null,'30-JUN-2021
COMPLAINT#301148076','73','73','2021-06-30 12:05:58','2021-06-30 14:09:07',null);
INSERT INTO complaint_statuses VALUES('23614','7456','3',null,'73',null,'30-JUNE-2021
REFFERED TO SERVICE CENTRE','74','73','2021-06-30 12:10:07','2021-06-30 14:03:04',null);
INSERT INTO complaint_statuses VALUES('23615','5718','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 12:17:05','2021-06-30 12:17:05',null);
INSERT INTO complaint_statuses VALUES('23616','4982','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 12:22:05','2021-06-30 12:22:05',null);
INSERT INTO complaint_statuses VALUES('23617','5364','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 12:23:56','2021-06-30 12:23:56',null);
INSERT INTO complaint_statuses VALUES('23618','7457','3',null,'65',null,'30-JUN-2021
COMPLAINT#192125074','73','73','2021-06-30 12:26:26','2021-06-30 14:53:55',null);
INSERT INTO complaint_statuses VALUES('23619','5371','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 12:26:41','2021-06-30 12:26:41',null);
INSERT INTO complaint_statuses VALUES('23620','5392','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 12:29:50','2021-06-30 12:29:50',null);
INSERT INTO complaint_statuses VALUES('23621','7458','3',null,'52',null,'30-JUN-2021
COMPLAINT#PKRI210630107693','73','73','2021-06-30 12:31:46','2021-06-30 12:58:36',null);
INSERT INTO complaint_statuses VALUES('23622','7332','5','15',null,'FILTER STOCK MAIN AVAIL NAI HAIN COMPLAINT  CLOSED','COMPLAINT CLOSED','81','74','2021-06-30 12:32:22','2021-06-30 12:39:03',null);
INSERT INTO complaint_statuses VALUES('23623','6826','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 12:34:49','2021-06-30 12:34:49',null);
INSERT INTO complaint_statuses VALUES('23624','7459','3',null,'52',null,'30-JUN-2021
COMPLAINT#PKRI210630107554','73','73','2021-06-30 12:41:58','2021-06-30 12:55:27',null);
INSERT INTO complaint_statuses VALUES('23625','7389','7','26','81','GEAR KA PROBLEM HAI,CUSTOMER KO PAYMENT BTA DI HAI BUTT CUSTOMER AGREE NHI GEAR CHANGE KRWANY K LYE SO PLZ CANCEL IT',null,'87','87','2021-06-30 12:43:03','2021-06-30 12:43:03',null);
INSERT INTO complaint_statuses VALUES('23626','7460','2',null,'81',null,null,'73','73','2021-06-30 12:44:42','2021-06-30 12:44:42',null);
INSERT INTO complaint_statuses VALUES('23627','7233','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 12:44:57','2021-06-30 12:44:57',null);
INSERT INTO complaint_statuses VALUES('23628','7460','4',null,'58',null,null,'81','81','2021-06-30 12:45:18','2021-06-30 12:45:18',null);
INSERT INTO complaint_statuses VALUES('23629','5489','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 12:45:50','2021-06-30 12:45:50',null);
INSERT INTO complaint_statuses VALUES('23630','5501','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 12:46:48','2021-06-30 12:46:48',null);
INSERT INTO complaint_statuses VALUES('23631','7422','7','22','81','COMP ,,  VISIT B.C NY E KRWAYA',null,'87','87','2021-06-30 12:47:43','2021-06-30 12:47:43',null);
INSERT INTO complaint_statuses VALUES('23632','7296','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-30 12:55:18','2021-06-30 13:11:15',null);
INSERT INTO complaint_statuses VALUES('23633','7389','5','15',null,'CUSTOMER AGREE NAI HAIN ON PAYMENT PA ISSUE RESOLVED KARWANAY PA COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-06-30 12:57:18','2021-06-30 13:10:13',null);
INSERT INTO complaint_statuses VALUES('23634','7461','3',null,'67',null,'30-JUNE-2021
COMPLAINT#217814','74','74','2021-06-30 12:59:07','2021-06-30 12:59:07',null);
INSERT INTO complaint_statuses VALUES('23635','5574','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 12:59:37','2021-06-30 12:59:37',null);
INSERT INTO complaint_statuses VALUES('23636','7333','5','15',null,'SPARE BODY STOCK MAIN AVAIL NAI HAIN COMPLIANT CLOSED','COMPLAINT CLOSED','81','74','2021-06-30 13:00:44','2021-06-30 13:10:44',null);
INSERT INTO complaint_statuses VALUES('23637','7225','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 13:01:39','2021-06-30 13:01:39',null);
INSERT INTO complaint_statuses VALUES('23638','5603','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 13:02:27','2021-06-30 13:02:27',null);
INSERT INTO complaint_statuses VALUES('23639','5798','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 13:04:25','2021-06-30 13:04:25',null);
INSERT INTO complaint_statuses VALUES('23640','7283','7','26','81','USMAN SB KO FRWD KR DEIN PLZ',null,'87','87','2021-06-30 13:06:53','2021-06-30 13:06:53',null);
INSERT INTO complaint_statuses VALUES('23641','7283','5','15',null,'COMPLAINT FF TO USMAN MRM','COMPLAINT CLOSED','81','74','2021-06-30 13:08:29','2021-06-30 13:11:56',null);
INSERT INTO complaint_statuses VALUES('23642','7462','3',null,'52',null,'30-JUN-2021
COMPLAINT#PKJM210630111799','73','73','2021-06-30 13:08:36','2021-06-30 15:15:18',null);
INSERT INTO complaint_statuses VALUES('23643','7223','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 13:09:27','2021-06-30 13:09:27',null);
INSERT INTO complaint_statuses VALUES('23644','7463','3',null,'53',null,'30-JUN-2021
COMPLAINT#301148083','73','73','2021-06-30 13:11:23','2021-06-30 14:12:50',null);
INSERT INTO complaint_statuses VALUES('23645','7219','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 13:12:12','2021-06-30 13:12:12',null);
INSERT INTO complaint_statuses VALUES('23646','7464','3',null,'65',null,'30-JUN-2021
COMPLAINT#192125075','73','73','2021-06-30 13:13:52','2021-06-30 14:55:49',null);
INSERT INTO complaint_statuses VALUES('23647','7289','8','23','55','CUSTOMER KA ISSUE RESOLVED NAI HOA UNIT TRIP HO RAHA HAIN',null,'81','81','2021-06-30 13:16:05','2021-06-30 13:16:05',null);
INSERT INTO complaint_statuses VALUES('23648','7465','2',null,'81',null,null,'73','73','2021-06-30 13:17:01','2021-06-30 13:17:01',null);
INSERT INTO complaint_statuses VALUES('23649','7465','4',null,'58',null,null,'81','81','2021-06-30 13:17:29','2021-06-30 13:17:29',null);
INSERT INTO complaint_statuses VALUES('23650','7274','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-30 13:24:14','2021-06-30 13:32:23',null);
INSERT INTO complaint_statuses VALUES('23651','5806','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 13:25:21','2021-06-30 13:25:21',null);
INSERT INTO complaint_statuses VALUES('23652','7190','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-30 13:25:47','2021-06-30 13:33:09',null);
INSERT INTO complaint_statuses VALUES('23653','7123','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 13:28:19','2021-06-30 13:28:19',null);
INSERT INTO complaint_statuses VALUES('23654','7466','2',null,'81',null,'03455335265 TAJEED TACTION','73','92','2021-06-30 13:29:12','2021-07-01 12:21:22',null);
INSERT INTO complaint_statuses VALUES('23655','7466','4',null,'61',null,null,'81','81','2021-06-30 13:29:42','2021-06-30 13:29:42',null);
INSERT INTO complaint_statuses VALUES('23656','7129','5','15',null,'HOOD INSTALLATION K LIYA CUSTOMER KO WASEEM TECHNICIAN KI CALL AAGEI HAIN COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-30 13:30:14','2021-06-30 13:33:41',null);
INSERT INTO complaint_statuses VALUES('23657','5825','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 13:31:35','2021-06-30 13:31:35',null);
INSERT INTO complaint_statuses VALUES('23658','5827','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 13:33:17','2021-06-30 13:33:17',null);
INSERT INTO complaint_statuses VALUES('23659','7467','3',null,'55',null,'30-JUNE-2021
COM NO 793769','92','92','2021-06-30 13:34:54','2021-06-30 13:39:34',null);
INSERT INTO complaint_statuses VALUES('23660','7468','3',null,'65',null,'30-JUN-2021
COMPLAINT#192125077','73','73','2021-06-30 13:36:43','2021-06-30 14:57:43',null);
INSERT INTO complaint_statuses VALUES('23661','5831','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 13:39:30','2021-06-30 13:39:30',null);
INSERT INTO complaint_statuses VALUES('23662','7344','7','12','81','PANEL ISUEE  CUSOTMER NOT AGREE FOR REPAIR   
KINDY PROCCED WITH REPLACMENT   AS DISCUSE WITH KHURAM SB 
PICTURE SHARED WITH KHURAM SB  
ONLY VISIT RS 500',null,'83','83','2021-06-30 13:41:19','2021-06-30 13:41:19',null);
INSERT INTO complaint_statuses VALUES('23663','5839','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 13:44:46','2021-06-30 13:44:46',null);
INSERT INTO complaint_statuses VALUES('23664','7469','3',null,'53',null,'30-JUN-2021
COMPLAINT#301148088','73','73','2021-06-30 13:46:59','2021-06-30 14:13:52',null);
INSERT INTO complaint_statuses VALUES('23665','5848','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 13:57:56','2021-06-30 13:57:56',null);
INSERT INTO complaint_statuses VALUES('23666','7470','2',null,'81',null,null,'73','73','2021-06-30 13:58:18','2021-06-30 13:58:18',null);
INSERT INTO complaint_statuses VALUES('23667','7470','4',null,'55',null,null,'81','81','2021-06-30 13:59:17','2021-06-30 13:59:17',null);
INSERT INTO complaint_statuses VALUES('23668','7471','3',null,'81',null,'30-JUN-2021
COMPLAINT#930','73','73','2021-06-30 14:03:54','2021-06-30 15:24:04',null);
INSERT INTO complaint_statuses VALUES('23669','5871','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 14:03:55','2021-06-30 14:03:55',null);
INSERT INTO complaint_statuses VALUES('23670','5893','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 14:07:17','2021-06-30 14:07:17',null);
INSERT INTO complaint_statuses VALUES('23671','6722','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-06-30 14:08:45','2021-06-30 14:23:45',null);
INSERT INTO complaint_statuses VALUES('23672','5114','7','24','81','company say  27000 ka main board a rha hy
local board mangwya hy board thek ni 
agr ap compny ka kehty hn to aj he app dy dayn board mangwa lety hn hm 
or agr ap local ka kehty hn to wi8 krna pary ga',null,'80','80','2021-06-30 14:11:52','2021-06-30 14:11:52',null);
INSERT INTO complaint_statuses VALUES('23673','5906','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 14:15:22','2021-06-30 14:15:22',null);
INSERT INTO complaint_statuses VALUES('23674','5932','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 14:17:06','2021-06-30 14:17:06',null);
INSERT INTO complaint_statuses VALUES('23675','5944','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 14:18:32','2021-06-30 14:18:32',null);
INSERT INTO complaint_statuses VALUES('23676','7472','3',null,'52',null,'30-JUN-2021
COMPLAINT#PKRI210630111904','73','73','2021-06-30 14:18:39','2021-06-30 15:18:03',null);
INSERT INTO complaint_statuses VALUES('23677','7194','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 14:20:00','2021-06-30 14:20:00',null);
INSERT INTO complaint_statuses VALUES('23678','5954','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 14:22:36','2021-06-30 14:22:36',null);
INSERT INTO complaint_statuses VALUES('23679','7473','2',null,'81',null,null,'73','73','2021-06-30 14:31:27','2021-06-30 14:31:27',null);
INSERT INTO complaint_statuses VALUES('23680','7473','4',null,'63',null,null,'81','81','2021-06-30 14:32:39','2021-06-30 14:32:39',null);
INSERT INTO complaint_statuses VALUES('23681','5563','8','23','58','ISSUE RESOLVED NAI HO RAHA SPINNER PROB & CURRENT PROB  KINDLY AGAIN  VISIT ARRANGE',null,'81','81','2021-06-30 14:33:07','2021-06-30 14:33:07',null);
INSERT INTO complaint_statuses VALUES('23682','7210','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 14:37:15','2021-06-30 14:37:15',null);
INSERT INTO complaint_statuses VALUES('23683','7474','3',null,'52',null,'30-JUN-2021
COMPLAINT#PKRI210630111993','73','73','2021-06-30 14:37:43','2021-06-30 15:21:49',null);
INSERT INTO complaint_statuses VALUES('23684','7475','3',null,'65',null,'30-JUN-2021
COMPLAINT#192125073','73','73','2021-06-30 14:40:43','2021-06-30 14:51:55',null);
INSERT INTO complaint_statuses VALUES('23685','5963','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 14:41:11','2021-06-30 14:41:11',null);
INSERT INTO complaint_statuses VALUES('23686','7192','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 14:44:43','2021-06-30 14:44:43',null);
INSERT INTO complaint_statuses VALUES('23687','5974','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 14:44:57','2021-06-30 14:44:57',null);
INSERT INTO complaint_statuses VALUES('23688','6106','5','15',null,'OK COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-06-30 14:45:20','2021-06-30 15:18:05',null);
INSERT INTO complaint_statuses VALUES('23689','7476','3',null,'53',null,'30-JUN-2021
COMPLAINT#301148166','73','73','2021-06-30 14:45:50','2021-06-30 15:06:04',null);
INSERT INTO complaint_statuses VALUES('23690','5977','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 14:49:08','2021-06-30 14:49:08',null);
INSERT INTO complaint_statuses VALUES('23691','6011','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 15:03:34','2021-06-30 15:03:34',null);
INSERT INTO complaint_statuses VALUES('23692','6014','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 15:07:51','2021-06-30 15:07:51',null);
INSERT INTO complaint_statuses VALUES('23693','6018','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 15:09:48','2021-06-30 15:09:48',null);
INSERT INTO complaint_statuses VALUES('23694','6019','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 15:11:25','2021-06-30 15:11:25',null);
INSERT INTO complaint_statuses VALUES('23695','6023','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 15:14:53','2021-06-30 15:14:53',null);
INSERT INTO complaint_statuses VALUES('23696','6034','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 15:17:17','2021-06-30 15:17:17',null);
INSERT INTO complaint_statuses VALUES('23697','7101','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 15:18:27','2021-06-30 15:18:27',null);
INSERT INTO complaint_statuses VALUES('23698','6036','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 15:21:09','2021-06-30 15:21:09',null);
INSERT INTO complaint_statuses VALUES('23699','7099','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 15:26:07','2021-06-30 15:26:07',null);
INSERT INTO complaint_statuses VALUES('23700','7477','2',null,'81',null,null,'73','73','2021-06-30 15:32:30','2021-06-30 15:32:30',null);
INSERT INTO complaint_statuses VALUES('23701','7477','4',null,'60',null,null,'81','81','2021-06-30 15:33:01','2021-06-30 15:33:01',null);
INSERT INTO complaint_statuses VALUES('23702','7478','3',null,'56',null,'30-JUN-2021
COMPLAINT#F30/035','73','73','2021-06-30 15:41:37','2021-06-30 15:43:56',null);
INSERT INTO complaint_statuses VALUES('23703','6050','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 15:42:22','2021-06-30 15:42:22',null);
INSERT INTO complaint_statuses VALUES('23704','6051','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 15:44:41','2021-06-30 15:44:41',null);
INSERT INTO complaint_statuses VALUES('23705','6057','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 15:47:59','2021-06-30 15:47:59',null);
INSERT INTO complaint_statuses VALUES('23706','7479','3',null,'52',null,'30-JUN-2021
COMPLAINT#PKRI210630113434','73','73','2021-06-30 15:49:28','2021-06-30 16:17:33',null);
INSERT INTO complaint_statuses VALUES('23707','6068','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 15:52:23','2021-06-30 15:52:23',null);
INSERT INTO complaint_statuses VALUES('23708','6075','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 15:54:37','2021-06-30 15:54:37',null);
INSERT INTO complaint_statuses VALUES('23709','7480','3',null,'74',null,'30-JUN-2021
COMPLAINT#147','73','73','2021-06-30 15:56:17','2021-06-30 16:09:23',null);
INSERT INTO complaint_statuses VALUES('23710','6084','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 15:57:27','2021-06-30 15:57:27',null);
INSERT INTO complaint_statuses VALUES('23711','7097','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 15:59:17','2021-06-30 15:59:17',null);
INSERT INTO complaint_statuses VALUES('23712','7481','3',null,'73',null,'30-JUN-2021
COMPLAINT#4978','73','73','2021-06-30 15:59:28','2021-06-30 16:12:50',null);
INSERT INTO complaint_statuses VALUES('23713','6085','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 15:59:56','2021-06-30 15:59:56',null);
INSERT INTO complaint_statuses VALUES('23714','7094','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 16:02:33','2021-06-30 16:02:33',null);
INSERT INTO complaint_statuses VALUES('23715','6086','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 16:04:17','2021-06-30 16:04:17',null);
INSERT INTO complaint_statuses VALUES('23716','6103','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 16:08:49','2021-06-30 16:08:49',null);
INSERT INTO complaint_statuses VALUES('23717','7085','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 16:12:52','2021-06-30 16:12:52',null);
INSERT INTO complaint_statuses VALUES('23718','7083','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 16:21:14','2021-06-30 16:21:14',null);
INSERT INTO complaint_statuses VALUES('23719','7483','2',null,'81',null,null,'73','73','2021-06-30 16:21:49','2021-06-30 16:21:49',null);
INSERT INTO complaint_statuses VALUES('23720','7483','4',null,'62',null,null,'81','81','2021-06-30 16:22:45','2021-06-30 16:22:45',null);
INSERT INTO complaint_statuses VALUES('23721','7482','3',null,'52',null,'30-JUN-2021
COMPLAINT#PKRI210630114101','73','73','2021-06-30 16:23:40','2021-06-30 16:37:09',null);
INSERT INTO complaint_statuses VALUES('23722','7082','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 16:24:34','2021-06-30 16:24:34',null);
INSERT INTO complaint_statuses VALUES('23723','7484','2',null,'81',null,null,'73','73','2021-06-30 16:41:19','2021-06-30 16:41:19',null);
INSERT INTO complaint_statuses VALUES('23724','7484','4',null,'61',null,null,'81','81','2021-06-30 16:41:58','2021-06-30 16:41:58',null);
INSERT INTO complaint_statuses VALUES('23725','6139','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 16:44:42','2021-06-30 16:44:42',null);
INSERT INTO complaint_statuses VALUES('23726','7075','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 16:57:49','2021-06-30 16:57:49',null);
INSERT INTO complaint_statuses VALUES('23727','7485','2',null,'81',null,null,'73','73','2021-06-30 17:03:48','2021-06-30 17:03:48',null);
INSERT INTO complaint_statuses VALUES('23728','7485','4',null,'58',null,null,'81','81','2021-06-30 17:04:24','2021-06-30 17:04:24',null);
INSERT INTO complaint_statuses VALUES('23729','6147','5','15',null,'CUSTOMER KO DISHWASHER REPLACE KARWA DIA','COMPLAINT RESOLVED','81','92','2021-06-30 17:06:10','2021-06-30 17:23:17',null);
INSERT INTO complaint_statuses VALUES('23730','7486','2',null,'81',null,null,'73','73','2021-06-30 17:07:39','2021-06-30 17:07:39',null);
INSERT INTO complaint_statuses VALUES('23731','7486','4',null,'60',null,null,'81','81','2021-06-30 17:08:12','2021-06-30 17:08:12',null);
INSERT INTO complaint_statuses VALUES('23732','7069','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 17:08:23','2021-06-30 17:08:23',null);
INSERT INTO complaint_statuses VALUES('23733','7019','5','25',null,'CUSTOMER SAY BAT KI HAY CUSTOMER BOL RAHY HAY K ABI COMPLAINT CLOSED KAR DAY JAB LAY KAR AYN GAY TAB COMPLAINT REOPEN KARWA DAY GAY','COMPLAINT COMPLETED','81','92','2021-06-30 17:14:11','2021-06-30 17:22:14',null);
INSERT INTO complaint_statuses VALUES('23734','6159','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-06-30 17:15:47','2021-06-30 17:15:47',null);
INSERT INTO complaint_statuses VALUES('23735','6510','5','15',null,'KHURRAM SIR & ADIL BHAI SA CONFIRM KAR K COMPLAINT COMPLETED KI 
CUSTOMER CALL ATTEND NAI KAR RAHAY THAY ISSUE RESOLVED','COMPLAINT COMPLETED','81','92','2021-06-30 17:21:09','2021-06-30 17:22:50',null);
INSERT INTO complaint_statuses VALUES('23736','6244','5','25',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-06-30 17:25:53','2021-06-30 17:26:30',null);
INSERT INTO complaint_statuses VALUES('23737','7487','3',null,'65',null,'30-JUN-2021
COMPLAINT#192125093','73','92','2021-06-30 17:35:49','2021-07-03 14:31:16',null);
INSERT INTO complaint_statuses VALUES('23738','7046','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 17:41:48','2021-06-30 17:41:48',null);
INSERT INTO complaint_statuses VALUES('23739','7314','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 17:46:47','2021-06-30 17:46:47',null);
INSERT INTO complaint_statuses VALUES('23740','7317','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-06-30 17:51:18','2021-06-30 17:51:18',null);
INSERT INTO complaint_statuses VALUES('23741','7488','3',null,'65',null,'30-JUN-2021
COMPLAINT#1921125097','73','92','2021-06-30 18:01:00','2021-07-03 12:01:47',null);
INSERT INTO complaint_statuses VALUES('23742','7460','7','12','81','ye complaint hob k hai ,',null,'79','79','2021-07-01 09:50:51','2021-07-01 09:50:51',null);
INSERT INTO complaint_statuses VALUES('23743','7489','2',null,'81',null,null,'73','73','2021-07-01 10:25:03','2021-07-01 10:25:03',null);
INSERT INTO complaint_statuses VALUES('23744','7489','4',null,'62',null,null,'81','81','2021-07-01 10:25:43','2021-07-01 10:25:43',null);
INSERT INTO complaint_statuses VALUES('23745','7490','3',null,'52',null,'1-JUL-2021
COMPLAINT#PKRI210701108593','73','73','2021-07-01 10:32:14','2021-07-01 13:25:41',null);
INSERT INTO complaint_statuses VALUES('23746','7460','5','15',null,'FF TO KHURRAM 5 STAR','COMPLAINT CLOSED','81','74','2021-07-01 10:33:20','2021-07-01 10:40:58',null);
INSERT INTO complaint_statuses VALUES('23747','7491','2',null,'81',null,'1ST JULY-2021
FF TO KHURRAM 5 STAR','74','74','2021-07-01 10:35:39','2021-07-01 10:35:39',null);
INSERT INTO complaint_statuses VALUES('23748','7492','3',null,'85',null,'1-JUL-2021
COMPLAINT#301148962','73','73','2021-07-01 10:36:39','2021-07-01 16:21:03',null);
INSERT INTO complaint_statuses VALUES('23749','7493','3',null,'81',null,'1-JUL-2021
COMPLAINT#933','73','73','2021-07-01 10:41:50','2021-07-01 14:05:19',null);
INSERT INTO complaint_statuses VALUES('23750','7494','3',null,'65',null,'1-JUL-2021
COMPLAINT#192125148','73','73','2021-07-01 10:45:18','2021-07-01 13:57:44',null);
INSERT INTO complaint_statuses VALUES('23751','6222','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 10:48:16','2021-07-01 10:48:16',null);
INSERT INTO complaint_statuses VALUES('23752','7495','3',null,'53',null,'1-JUL-2021
COMPLAINT#301148957','73','73','2021-07-01 10:49:29','2021-07-01 16:17:37',null);
INSERT INTO complaint_statuses VALUES('23753','6221','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 10:51:00','2021-07-01 10:51:00',null);
INSERT INTO complaint_statuses VALUES('23754','7496','2',null,'81',null,null,'73','73','2021-07-01 10:58:14','2021-07-01 10:58:14',null);
INSERT INTO complaint_statuses VALUES('23755','7497','3',null,'54',null,'1ST JULY-2021
COMPLAINT#1921208
REOPEN COM NO 1943279
REOPEN#196682','74','106','2021-07-01 11:00:05','2021-08-21 14:55:32',null);
INSERT INTO complaint_statuses VALUES('23756','6223','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 11:01:08','2021-07-01 11:01:08',null);
INSERT INTO complaint_statuses VALUES('23757','7498','3',null,'58',null,'1-JUL-2021
COMPLAINT#210701012279','73','73','2021-07-01 11:01:09','2021-07-01 14:36:05',null);
INSERT INTO complaint_statuses VALUES('23758','6236','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 11:07:35','2021-07-01 11:07:35',null);
INSERT INTO complaint_statuses VALUES('23759','7499','3',null,'85',null,'COMLAINT#301147827
COSTUMER NE COMPLAIN COMPANY MEIN KHUD LAUNCH KARWAI HOI HA','73','92','2021-07-01 11:07:58','2021-07-01 11:13:28',null);
INSERT INTO complaint_statuses VALUES('23760','6247','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 11:11:32','2021-07-01 11:11:32',null);
INSERT INTO complaint_statuses VALUES('23761','7500','3',null,'65',null,'1-JUL-2021
COMPLAINT#192125147','73','73','2021-07-01 11:14:07','2021-07-01 13:55:26',null);
INSERT INTO complaint_statuses VALUES('23762','7383','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 11:15:42','2021-07-01 11:15:42',null);
INSERT INTO complaint_statuses VALUES('23763','7386','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 11:21:15','2021-07-01 11:21:15',null);
INSERT INTO complaint_statuses VALUES('23764','6250','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 11:21:37','2021-07-01 11:21:37',null);
INSERT INTO complaint_statuses VALUES('23765','7501','3',null,'85',null,'1-JUL-2021
COMPLAINT#301148935','73','73','2021-07-01 11:23:38','2021-07-01 15:55:24',null);
INSERT INTO complaint_statuses VALUES('23766','7359','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 11:25:34','2021-07-01 11:25:34',null);
INSERT INTO complaint_statuses VALUES('23767','7502','2',null,'81',null,null,'73','73','2021-07-01 11:29:32','2021-07-01 11:29:32',null);
INSERT INTO complaint_statuses VALUES('23768','7502','4',null,'62',null,null,'81','81','2021-07-01 11:30:46','2021-07-01 11:30:46',null);
INSERT INTO complaint_statuses VALUES('23769','7496','4',null,'58',null,null,'81','81','2021-07-01 11:31:16','2021-07-01 11:31:16',null);
INSERT INTO complaint_statuses VALUES('23770','7491','4',null,'63',null,null,'81','81','2021-07-01 11:31:26','2021-07-01 11:31:26',null);
INSERT INTO complaint_statuses VALUES('23771','7503','3',null,'52',null,'1ST-JULY-2021
COMPLAINT#PKRI210701108231','74','73','2021-07-01 11:34:49','2021-07-01 13:14:51',null);
INSERT INTO complaint_statuses VALUES('23772','7504','2',null,'81',null,null,'73','73','2021-07-01 11:35:11','2021-07-01 11:35:11',null);
INSERT INTO complaint_statuses VALUES('23773','6594','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 11:35:34','2021-07-01 11:35:34',null);
INSERT INTO complaint_statuses VALUES('23774','7504','4',null,'58',null,null,'81','81','2021-07-01 11:35:51','2021-07-01 11:35:51',null);
INSERT INTO complaint_statuses VALUES('23775','6626','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 11:41:38','2021-07-01 11:41:38',null);
INSERT INTO complaint_statuses VALUES('23776','7505','2',null,'81',null,null,'73','73','2021-07-01 11:43:26','2021-07-01 11:43:26',null);
INSERT INTO complaint_statuses VALUES('23777','7505','4',null,'60',null,null,'81','81','2021-07-01 11:44:05','2021-07-01 11:44:05',null);
INSERT INTO complaint_statuses VALUES('23778','7399','7','12','81','cusotemr sy bt hui thi  wo bol rehy humri complaint nahi  kal sy call kr rehy ab attend nai kr rahy',null,'79','79','2021-07-01 11:44:09','2021-07-01 11:44:09',null);
INSERT INTO complaint_statuses VALUES('23779','7349','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 11:45:31','2021-07-01 11:45:31',null);
INSERT INTO complaint_statuses VALUES('23780','7350','7','12','81','complaint resolved drian issue',null,'79','79','2021-07-01 11:50:02','2021-07-01 11:50:02',null);
INSERT INTO complaint_statuses VALUES('23781','7506','3',null,'54',null,'1-JUL-2021
COMPLAINT#1921205','73','73','2021-07-01 11:50:55','2021-07-01 13:45:50',null);
INSERT INTO complaint_statuses VALUES('23782','7507','3',null,'97',null,'1ST-JULY-2021
COMPLAINT#202107000260','74','92','2021-07-01 11:54:07','2021-07-25 15:31:46',null);
INSERT INTO complaint_statuses VALUES('23783','6405','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 11:55:12','2021-07-01 11:55:12',null);
INSERT INTO complaint_statuses VALUES('23784','7428','7','26','81','CUSTOMER NY KHD OK KRWAYA',null,'87','87','2021-07-01 11:55:38','2021-07-01 11:55:38',null);
INSERT INTO complaint_statuses VALUES('23785','7508','2',null,'81',null,null,'73','73','2021-07-01 11:55:41','2021-07-01 11:55:41',null);
INSERT INTO complaint_statuses VALUES('23786','7508','4',null,'62',null,null,'81','81','2021-07-01 11:56:41','2021-07-01 11:56:41',null);
INSERT INTO complaint_statuses VALUES('23787','7424','7','24','81','LEAK',null,'87','87','2021-07-01 11:57:49','2021-07-01 11:57:49',null);
INSERT INTO complaint_statuses VALUES('23788','7509','3',null,'53',null,'1-JUL-2021
COMPLAINT#301148938','73','73','2021-07-01 11:58:59','2021-07-01 15:57:47',null);
INSERT INTO complaint_statuses VALUES('23789','6775','7','12','81','COMP + GAS CHARGED',null,'87','87','2021-07-01 11:59:24','2021-07-01 11:59:24',null);
INSERT INTO complaint_statuses VALUES('23790','7253','7','12','81','TAB REPLACED','COMPLAINT RESOLVED','87','74','2021-07-01 12:00:13','2021-07-01 13:56:35',null);
INSERT INTO complaint_statuses VALUES('23791','6500','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 12:00:43','2021-07-01 12:00:43',null);
INSERT INTO complaint_statuses VALUES('23792','7423','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-01 12:00:58','2021-07-01 12:00:58',null);
INSERT INTO complaint_statuses VALUES('23793','7342','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 12:06:23','2021-07-01 12:06:23',null);
INSERT INTO complaint_statuses VALUES('23794','7510','2',null,'81',null,null,'73','73','2021-07-01 12:07:42','2021-07-01 12:07:42',null);
INSERT INTO complaint_statuses VALUES('23795','7511','2',null,'81',null,'1ST-JULY-2021
FF TO AZHAR FCI','74','74','2021-07-01 12:08:19','2021-07-01 12:08:19',null);
INSERT INTO complaint_statuses VALUES('23796','7512','2',null,'81',null,'OTHER#03239697123','73','73','2021-07-01 12:12:26','2021-07-01 12:14:50',null);
INSERT INTO complaint_statuses VALUES('23797','7512','4',null,'62',null,null,'81','81','2021-07-01 12:13:40','2021-07-01 12:13:40',null);
INSERT INTO complaint_statuses VALUES('23798','7511','4',null,'60',null,null,'81','81','2021-07-01 12:13:51','2021-07-01 12:13:51',null);
INSERT INTO complaint_statuses VALUES('23799','7510','4',null,'55',null,null,'81','81','2021-07-01 12:14:01','2021-07-01 12:14:01',null);
INSERT INTO complaint_statuses VALUES('23800','7513','3',null,'66',null,'FRWRD TO KASHIF TCL','73','73','2021-07-01 12:18:49','2021-07-01 12:18:49',null);
INSERT INTO complaint_statuses VALUES('23801','7514','3',null,'52',null,'1-JUL-2021
COMPLAINT#PKRI210701108118','73','73','2021-07-01 12:21:29','2021-07-01 13:11:45',null);
INSERT INTO complaint_statuses VALUES('23802','7515','3',null,'54',null,'1-JUL-2021
COMPLAINT#1921197','73','73','2021-07-01 12:31:53','2021-07-01 13:43:31',null);
INSERT INTO complaint_statuses VALUES('23803','7327','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 12:37:29','2021-07-01 12:37:29',null);
INSERT INTO complaint_statuses VALUES('23804','7516','3',null,'67',null,'FRWRD TO ANWER CARAVELL','73','73','2021-07-01 12:38:08','2021-07-01 12:38:08',null);
INSERT INTO complaint_statuses VALUES('23805','7517','2',null,'81',null,null,'73','73','2021-07-01 12:40:30','2021-07-01 12:40:30',null);
INSERT INTO complaint_statuses VALUES('23806','7517','4',null,'59',null,null,'81','81','2021-07-01 12:40:57','2021-07-01 12:40:57',null);
INSERT INTO complaint_statuses VALUES('23807','7518','3',null,'85',null,'1-JUL-2021
COMPLAINT#301148932','73','73','2021-07-01 12:43:05','2021-07-01 15:52:02',null);
INSERT INTO complaint_statuses VALUES('23808','7297','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 12:47:11','2021-07-01 12:47:11',null);
INSERT INTO complaint_statuses VALUES('23809','7519','3',null,'53',null,'1-JUL-2021
COMPLAINT#301148929','73','73','2021-07-01 12:48:51','2021-07-01 15:49:31',null);
INSERT INTO complaint_statuses VALUES('23810','7284','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 12:50:08','2021-07-01 12:50:08',null);
INSERT INTO complaint_statuses VALUES('23811','7520','3',null,'65',null,'1-JUL-2021
COMPLAINT#192125146','73','73','2021-07-01 12:51:40','2021-07-01 13:53:15',null);
INSERT INTO complaint_statuses VALUES('23812','6843','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 12:59:41','2021-07-01 12:59:41',null);
INSERT INTO complaint_statuses VALUES('23813','7273','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 13:09:22','2021-07-01 13:09:22',null);
INSERT INTO complaint_statuses VALUES('23814','7423','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-07-01 13:19:28','2021-07-01 13:32:32',null);
INSERT INTO complaint_statuses VALUES('23815','7395','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 13:22:51','2021-07-01 13:22:51',null);
INSERT INTO complaint_statuses VALUES('23816','7340','5','15',null,'THIS IS BOACH HOB NOT SIGNATURE','COMPLAINT CLOSED','81','74','2021-07-01 13:28:47','2021-07-01 13:31:35',null);
INSERT INTO complaint_statuses VALUES('23817','7521','3',null,'80',null,'IST JULY  2021
FF TO TAHIR BOACH','74','92','2021-07-01 13:31:08','2021-07-19 14:52:57',null);
INSERT INTO complaint_statuses VALUES('23818','7522','2',null,'81',null,null,'73','73','2021-07-01 13:33:40','2021-07-01 13:33:40',null);
INSERT INTO complaint_statuses VALUES('23819','7523','3',null,'52',null,'1-JUL-2021
COMPLAINT#PKRI210701109617','73','73','2021-07-01 13:38:58','2021-07-01 14:09:43',null);
INSERT INTO complaint_statuses VALUES('23820','7428','8','23','62','CUSTOMER KA ISSUE RESOLVED NAI HOA LEAKAGE PROB',null,'81','81','2021-07-01 13:39:07','2021-07-01 13:39:07',null);
INSERT INTO complaint_statuses VALUES('23821','7522','4',null,'61',null,null,'81','81','2021-07-01 13:40:07','2021-07-01 13:40:07',null);
INSERT INTO complaint_statuses VALUES('23822','7399','5','15',null,'CUSTOMER NA COMPLAINT ABI CLOSED KARWA DI HAIN COMPLAINT CLOSED','COMPLAINT COMPLETED','81','92','2021-07-01 13:41:05','2021-07-01 13:46:25',null);
INSERT INTO complaint_statuses VALUES('23823','7350','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-01 13:43:54','2021-07-01 13:50:13',null);
INSERT INTO complaint_statuses VALUES('23824','7253','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-07-01 13:52:12','2021-07-01 13:52:12',null);
INSERT INTO complaint_statuses VALUES('23825','7265','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 13:54:58','2021-07-01 13:54:58',null);
INSERT INTO complaint_statuses VALUES('23826','7229','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 13:59:15','2021-07-01 13:59:15',null);
INSERT INTO complaint_statuses VALUES('23827','6775','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-07-01 13:59:34','2021-07-01 14:37:08',null);
INSERT INTO complaint_statuses VALUES('23828','7226','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 14:02:53','2021-07-01 14:02:53',null);
INSERT INTO complaint_statuses VALUES('23829','7524','3',null,'65',null,'1-JUL-2021
COMPLAINT#192125151','73','73','2021-07-01 14:03:09','2021-07-01 14:16:19',null);
INSERT INTO complaint_statuses VALUES('23830','6461','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-07-01 14:06:21','2021-07-01 14:37:41',null);
INSERT INTO complaint_statuses VALUES('23831','7281','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 14:35:06','2021-07-01 14:35:06',null);
INSERT INTO complaint_statuses VALUES('23832','7525','2',null,'81',null,null,'73','73','2021-07-01 14:41:39','2021-07-01 14:41:39',null);
INSERT INTO complaint_statuses VALUES('23833','7525','4',null,'59',null,null,'81','81','2021-07-01 14:43:09','2021-07-01 14:43:09',null);
INSERT INTO complaint_statuses VALUES('23834','7526','2',null,'81',null,null,'73','73','2021-07-01 14:46:54','2021-07-01 14:46:54',null);
INSERT INTO complaint_statuses VALUES('23835','7526','4',null,'62',null,null,'81','81','2021-07-01 14:47:25','2021-07-01 14:47:25',null);
INSERT INTO complaint_statuses VALUES('23836','7527','3',null,'52',null,'1-JUL-2021
COMPLAINT#PKRI210701114246','73','73','2021-07-01 14:50:44','2021-07-01 16:32:27',null);
INSERT INTO complaint_statuses VALUES('23837','7528','3',null,'52',null,'1-JUL-2021
COMPLAINT#PKRI210701114333','73','73','2021-07-01 14:54:57','2021-07-01 16:34:55',null);
INSERT INTO complaint_statuses VALUES('23838','7529','2',null,'81',null,null,'73','73','2021-07-01 14:58:31','2021-07-01 14:58:31',null);
INSERT INTO complaint_statuses VALUES('23839','7529','4',null,'63',null,null,'81','81','2021-07-01 14:59:11','2021-07-01 14:59:11',null);
INSERT INTO complaint_statuses VALUES('23840','7530','3',null,'56',null,'1-JUL-2021
COMPLAINT#G01/016','73','73','2021-07-01 15:00:30','2021-07-01 16:05:09',null);
INSERT INTO complaint_statuses VALUES('23841','7531','2',null,'81',null,null,'73','73','2021-07-01 15:03:18','2021-07-01 15:03:18',null);
INSERT INTO complaint_statuses VALUES('23842','7531','4',null,'55',null,null,'81','81','2021-07-01 15:04:09','2021-07-01 15:04:09',null);
INSERT INTO complaint_statuses VALUES('23843','7256','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 15:04:14','2021-07-01 15:04:14',null);
INSERT INTO complaint_statuses VALUES('23844','7532','3',null,'53',null,'1-JUL-2021
COMPLAINT#301148924','73','73','2021-07-01 15:06:49','2021-07-01 15:46:35',null);
INSERT INTO complaint_statuses VALUES('23845','6259','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 15:08:06','2021-07-01 15:08:06',null);
INSERT INTO complaint_statuses VALUES('23846','6320','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 15:09:14','2021-07-01 15:09:14',null);
INSERT INTO complaint_statuses VALUES('23847','6323','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 15:10:34','2021-07-01 15:10:34',null);
INSERT INTO complaint_statuses VALUES('23848','7533','3',null,'52',null,'1-JUL-2021
COMPLAINT#PKRI210701114385','73','73','2021-07-01 15:13:01','2021-07-01 16:37:16',null);
INSERT INTO complaint_statuses VALUES('23849','6415','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 15:16:31','2021-07-01 15:16:31',null);
INSERT INTO complaint_statuses VALUES('23850','7240','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 15:16:32','2021-07-01 15:16:32',null);
INSERT INTO complaint_statuses VALUES('23851','7534','3',null,'52',null,'1-JUL-2021
COMPLAINT#PKRI210701114492','73','73','2021-07-01 15:19:17','2021-07-01 16:42:47',null);
INSERT INTO complaint_statuses VALUES('23852','5419','7','12','81','IQBAL SAB SA CONFIRM KAR K COMPLAINT COMPLETED KI',null,'91','91','2021-07-01 15:22:16','2021-07-01 15:22:16',null);
INSERT INTO complaint_statuses VALUES('23853','5419','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-07-01 15:22:51','2021-07-01 15:22:51',null);
INSERT INTO complaint_statuses VALUES('23854','7178','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 15:25:19','2021-07-01 15:25:19',null);
INSERT INTO complaint_statuses VALUES('23855','7361','7','26','81','PLZ GRN',null,'87','87','2021-07-01 15:25:33','2021-07-01 15:25:33',null);
INSERT INTO complaint_statuses VALUES('23856','7176','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 15:27:33','2021-07-01 15:27:33',null);
INSERT INTO complaint_statuses VALUES('23857','6472','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 15:29:43','2021-07-01 15:29:43',null);
INSERT INTO complaint_statuses VALUES('23858','7131','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 15:30:12','2021-07-01 15:30:12',null);
INSERT INTO complaint_statuses VALUES('23859','7352','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 15:36:28','2021-07-01 15:36:28',null);
INSERT INTO complaint_statuses VALUES('23860','7535','3',null,'52',null,'1-JUL-2021
COMPLAINT#PKRI210701114614','73','73','2021-07-01 15:36:28','2021-07-01 16:45:16',null);
INSERT INTO complaint_statuses VALUES('23861','6597','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 15:39:53','2021-07-01 15:39:53',null);
INSERT INTO complaint_statuses VALUES('23862','7536','3',null,'52',null,'1-JUL-2021
COMPLAINT#PKRI210701114680','73','73','2021-07-01 15:41:44','2021-07-01 16:48:31',null);
INSERT INTO complaint_statuses VALUES('23863','6602','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-07-01 15:46:18','2021-07-01 15:46:18',null);
INSERT INTO complaint_statuses VALUES('23864','7040','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 15:49:16','2021-07-01 15:49:16',null);
INSERT INTO complaint_statuses VALUES('23865','6705','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 15:50:17','2021-07-01 15:50:17',null);
INSERT INTO complaint_statuses VALUES('23866','6800','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 15:58:18','2021-07-01 15:58:18',null);
INSERT INTO complaint_statuses VALUES('23867','7537','2',null,'81',null,null,'73','73','2021-07-01 16:12:26','2021-07-01 16:12:26',null);
INSERT INTO complaint_statuses VALUES('23868','7537','4',null,'62',null,null,'81','81','2021-07-01 16:12:53','2021-07-01 16:12:53',null);
INSERT INTO complaint_statuses VALUES('23869','7358','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 16:15:23','2021-07-01 16:15:23',null);
INSERT INTO complaint_statuses VALUES('23870','6838','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 16:18:22','2021-07-01 16:18:22',null);
INSERT INTO complaint_statuses VALUES('23871','7380','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 16:21:58','2021-07-01 16:21:58',null);
INSERT INTO complaint_statuses VALUES('23872','6963','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 16:30:05','2021-07-01 16:30:05',null);
INSERT INTO complaint_statuses VALUES('23873','6852','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 16:34:41','2021-07-01 16:34:41',null);
INSERT INTO complaint_statuses VALUES('23874','6915','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 16:35:04','2021-07-01 16:35:04',null);
INSERT INTO complaint_statuses VALUES('23875','6864','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 16:38:05','2021-07-01 16:38:05',null);
INSERT INTO complaint_statuses VALUES('23876','6883','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 16:41:11','2021-07-01 16:41:11',null);
INSERT INTO complaint_statuses VALUES('23877','6917','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 16:46:08','2021-07-01 16:46:08',null);
INSERT INTO complaint_statuses VALUES('23878','6903','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 16:48:49','2021-07-01 16:48:49',null);
INSERT INTO complaint_statuses VALUES('23879','7538','2',null,'81',null,null,'73','73','2021-07-01 16:50:02','2021-07-01 16:50:02',null);
INSERT INTO complaint_statuses VALUES('23880','7538','4',null,'63',null,null,'81','81','2021-07-01 16:50:25','2021-07-01 16:50:25',null);
INSERT INTO complaint_statuses VALUES('23881','6474','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-01 16:51:26','2021-07-01 16:51:26',null);
INSERT INTO complaint_statuses VALUES('23882','6926','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 16:52:09','2021-07-01 16:52:09',null);
INSERT INTO complaint_statuses VALUES('23883','7539','3',null,'52',null,'1-JUL-2021
COMPLAINT#PKRI210701115036','73','73','2021-07-01 17:05:11','2021-07-01 17:05:39',null);
INSERT INTO complaint_statuses VALUES('23884','7540','2',null,'81',null,null,'73','73','2021-07-01 17:11:38','2021-07-01 17:11:38',null);
INSERT INTO complaint_statuses VALUES('23885','7540','4',null,'61',null,null,'81','81','2021-07-01 17:12:03','2021-07-01 17:12:03',null);
INSERT INTO complaint_statuses VALUES('23886','7033','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 17:14:27','2021-07-01 17:14:27',null);
INSERT INTO complaint_statuses VALUES('23887','7541','3',null,'67',null,'FRWRD TO ANWER CARAVELL','73','73','2021-07-01 17:16:03','2021-07-01 17:16:03',null);
INSERT INTO complaint_statuses VALUES('23888','6892','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 17:25:25','2021-07-01 17:25:25',null);
INSERT INTO complaint_statuses VALUES('23889','7111','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 17:29:47','2021-07-01 17:29:47',null);
INSERT INTO complaint_statuses VALUES('23890','7022','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 17:40:31','2021-07-01 17:40:31',null);
INSERT INTO complaint_statuses VALUES('23891','6731','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-07-01 17:45:56','2021-07-01 17:45:56',null);
INSERT INTO complaint_statuses VALUES('23892','7361','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-01 17:46:41','2021-07-01 17:49:19',null);
INSERT INTO complaint_statuses VALUES('23893','6959','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-07-01 17:46:41','2021-07-01 17:46:41',null);
INSERT INTO complaint_statuses VALUES('23894','6731','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-01 17:47:20','2021-07-01 17:50:09',null);
INSERT INTO complaint_statuses VALUES('23895','6959','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-01 17:47:42','2021-07-01 17:50:31',null);
INSERT INTO complaint_statuses VALUES('23896','7078','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-07-01 17:48:18','2021-07-01 17:48:18',null);
INSERT INTO complaint_statuses VALUES('23897','7542','2',null,'81',null,null,'73','73','2021-07-01 17:48:31','2021-07-01 17:48:31',null);
INSERT INTO complaint_statuses VALUES('23898','7078','5','15',null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-07-01 17:48:41','2021-07-01 17:49:42',null);
INSERT INTO complaint_statuses VALUES('23899','7542','4',null,'55',null,null,'81','81','2021-07-01 17:49:05','2021-07-01 17:49:05',null);
INSERT INTO complaint_statuses VALUES('23900','5853','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-07-01 17:50:40','2021-07-01 17:50:40',null);
INSERT INTO complaint_statuses VALUES('23901','5853','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-01 17:51:23','2021-07-01 17:51:52',null);
INSERT INTO complaint_statuses VALUES('23902','6935','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 17:53:26','2021-07-01 17:53:26',null);
INSERT INTO complaint_statuses VALUES('23903','6718','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 18:05:29','2021-07-01 18:05:29',null);
INSERT INTO complaint_statuses VALUES('23904','6854','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 18:12:49','2021-07-01 18:12:49',null);
INSERT INTO complaint_statuses VALUES('23905','6896','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 18:14:26','2021-07-01 18:14:26',null);
INSERT INTO complaint_statuses VALUES('23906','6931','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 18:18:52','2021-07-01 18:18:52',null);
INSERT INTO complaint_statuses VALUES('23907','6939','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-01 18:21:09','2021-07-01 18:21:09',null);
INSERT INTO complaint_statuses VALUES('23908','7406','7','26','81','GEAR PROBLEM , CUSTOMER KO CHARGES BTA DYE BUTT WO OK NHI KRWANA CHAHTY',null,'87','87','2021-07-01 19:14:11','2021-07-01 19:14:11',null);
INSERT INTO complaint_statuses VALUES('23909','7407','7','26','81','I THINK YH COMPLAINT GREE COMPANY KO B FRWD HUI V HAI , GREE K TECH NY VISIT KR LIA HAI SO PLZ CLOSE IT',null,'87','87','2021-07-01 19:17:31','2021-07-01 19:17:31',null);
INSERT INTO complaint_statuses VALUES('23910','7428','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-01 19:19:12','2021-07-01 19:19:12',null);
INSERT INTO complaint_statuses VALUES('23911','6809','8','23','62',null,null,'81','81','2021-07-01 19:22:05','2021-07-01 19:22:05',null);
INSERT INTO complaint_statuses VALUES('23912','7502','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-01 19:22:57','2021-07-01 19:22:57',null);
INSERT INTO complaint_statuses VALUES('23913','7428','8','23','62',null,null,'81','81','2021-07-01 19:23:01','2021-07-01 19:23:01',null);
INSERT INTO complaint_statuses VALUES('23914','7424','8','23','62',null,null,'81','81','2021-07-01 19:23:18','2021-07-01 19:23:18',null);
INSERT INTO complaint_statuses VALUES('23915','7422','8','23','62',null,null,'81','81','2021-07-01 19:23:36','2021-07-01 19:23:36',null);
INSERT INTO complaint_statuses VALUES('23916','7508','7','26','81','PLZ FRWD TO COMPANY ,  COMP PROBLEM',null,'87','87','2021-07-01 19:24:23','2021-07-01 19:24:23',null);
INSERT INTO complaint_statuses VALUES('23917','7424','7','12','81','CUSTOMER KA UNIT CHANGE HO GYA SO PLZ CLOSE IT .',null,'87','87','2021-07-01 19:25:12','2021-07-01 19:25:12',null);
INSERT INTO complaint_statuses VALUES('23918','7537','7','26','81','PLZ FRWD TO USMAN SB.',null,'87','87','2021-07-01 19:27:01','2021-07-01 19:27:01',null);
INSERT INTO complaint_statuses VALUES('23919','7466','7','12','81','PCB REPAIR 
UNIT OK   
RS 5000 BILL',null,'83','83','2021-07-01 21:24:24','2021-07-01 21:24:24',null);
INSERT INTO complaint_statuses VALUES('23920','7170','7','26','81',null,null,'82','82','2021-07-02 09:36:10','2021-07-02 09:36:10',null);
INSERT INTO complaint_statuses VALUES('23921','7543','3',null,'52',null,'02-JULY-2021
COMPLAINT#PKRI-210702106099','74','74','2021-07-02 11:59:56','2021-07-02 12:09:29',null);
INSERT INTO complaint_statuses VALUES('23922','7544','3',null,'52',null,'02-JULY-2021
COMPLAINT#PKRI-210702106218','74','74','2021-07-02 12:02:42','2021-07-02 12:14:27',null);
INSERT INTO complaint_statuses VALUES('23923','7545','3',null,'52',null,'02-JULY-2021
COMPLAINT#PKRI-210702106165','74','92','2021-07-02 12:12:31','2021-07-04 11:43:12',null);
INSERT INTO complaint_statuses VALUES('23924','7546','2',null,'81',null,'02-JULY-2021
FF TO KHURRAM 5 STAR','74','74','2021-07-02 12:35:48','2021-07-02 12:35:48',null);
INSERT INTO complaint_statuses VALUES('23925','7546','4',null,'63',null,null,'81','81','2021-07-02 12:39:30','2021-07-02 12:39:30',null);
INSERT INTO complaint_statuses VALUES('23926','7502','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-02 12:57:32','2021-07-02 16:17:14',null);
INSERT INTO complaint_statuses VALUES('23927','7547','3',null,'53',null,'02-JULY-2021
COMPLAINT#301149089','74','74','2021-07-02 12:58:54','2021-07-02 12:58:54',null);
INSERT INTO complaint_statuses VALUES('23928','7548','3',null,'52',null,'02-JULY-2021
COMPLAINT#PKRI-210702107999','74','92','2021-07-02 13:17:52','2021-07-05 12:17:08',null);
INSERT INTO complaint_statuses VALUES('23929','7549','3',null,'90',null,'02-JULY-2021
COMPLAINT#202107001302','74','74','2021-07-02 14:39:51','2021-07-02 14:42:27',null);
INSERT INTO complaint_statuses VALUES('23930','7550','3',null,'66',null,'02-JULY-2021
COMPLAINT#PK070220210059','74','92','2021-07-02 15:10:26','2021-07-19 14:40:21',null);
INSERT INTO complaint_statuses VALUES('23931','7551','3',null,'90',null,'02-JULY-2021
COMPLAINT#202107001334','74','73','2021-07-02 15:15:26','2021-07-06 16:08:34',null);
INSERT INTO complaint_statuses VALUES('23932','7552','3',null,'54',null,'02-JULY-2021
COMPLAINT#1922399','74','92','2021-07-02 16:09:01','2021-07-07 17:30:45',null);
INSERT INTO complaint_statuses VALUES('23933','7553','2',null,'81',null,'02-JULY-2021
FF TO USMAN MRM','74','74','2021-07-02 16:13:09','2021-07-02 16:13:09',null);
INSERT INTO complaint_statuses VALUES('23934','7553','4',null,'61',null,null,'81','81','2021-07-02 16:13:43','2021-07-02 16:13:43',null);
INSERT INTO complaint_statuses VALUES('23935','7554','3',null,'54',null,'02-JULY-2021
COMPLAINT#1922437COMPLAINT REOPEN#
1938270','74','74','2021-07-02 16:21:06','2021-07-16 15:12:21',null);
INSERT INTO complaint_statuses VALUES('23936','6434','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-02 16:40:08','2021-07-02 16:40:08',null);
INSERT INTO complaint_statuses VALUES('23937','7555','2',null,'81',null,'02-JULY-2021
FF TO B.COOL','74','74','2021-07-02 17:17:34','2021-07-02 17:17:34',null);
INSERT INTO complaint_statuses VALUES('23938','7555','4',null,'58',null,null,'81','81','2021-07-02 17:17:54','2021-07-02 17:17:54',null);
INSERT INTO complaint_statuses VALUES('23939','7553','7','22','81','Main pcb defective  17500/- expance  aproval required',null,'83','83','2021-07-02 17:28:42','2021-07-02 17:28:42',null);
INSERT INTO complaint_statuses VALUES('23940','7556','3',null,'52',null,'02-JULY-2021
COMPLAINT#PKRI-PKRI-210702114186','74','73','2021-07-02 17:36:48','2021-07-06 16:07:57',null);
INSERT INTO complaint_statuses VALUES('23941','7557','3',null,'53',null,'06-JULY-2021(ANEEQ)
COMPLAINT#1151297','74','74','2021-07-02 17:41:21','2021-07-06 15:24:40',null);
INSERT INTO complaint_statuses VALUES('23942','7445','7','28','81',null,null,'76','76','2021-07-02 18:11:34','2021-07-02 18:11:34',null);
INSERT INTO complaint_statuses VALUES('23943','7056','7','12','81','No Fault. Visit Charges Pending 600/-',null,'76','76','2021-07-02 18:30:11','2021-07-02 18:30:11',null);
INSERT INTO complaint_statuses VALUES('23944','7381','7','12','81','Drain Adjustment.',null,'76','76','2021-07-02 18:31:43','2021-07-02 18:31:43',null);
INSERT INTO complaint_statuses VALUES('23945','7446','7','12','81','Demo Only Visit pending 600/-',null,'76','76','2021-07-02 18:32:31','2021-07-02 18:32:31',null);
INSERT INTO complaint_statuses VALUES('23946','7312','7','26','81','Issue Solved.',null,'76','76','2021-07-02 18:33:03','2021-07-02 18:33:03',null);
INSERT INTO complaint_statuses VALUES('23947','7372','7','12','81','Main PCB Repaired and Labor Charges.',null,'76','76','2021-07-02 18:35:00','2021-07-02 18:35:00',null);
INSERT INTO complaint_statuses VALUES('23948','7245','7','12','81','Drain Pipe Adjustment Visit Pending 600/-',null,'76','76','2021-07-02 18:35:48','2021-07-02 18:35:48',null);
INSERT INTO complaint_statuses VALUES('23949','6900','7','12','81','No Fault Found.',null,'76','76','2021-07-02 18:37:27','2021-07-02 18:37:27',null);
INSERT INTO complaint_statuses VALUES('23950','6781','7','12','81','Compressor Replaced. Amount Pending 25000/-',null,'76','76','2021-07-02 18:38:57','2021-07-02 18:38:57',null);
INSERT INTO complaint_statuses VALUES('23951','6438','7','12','81','compliant reoslved',null,'79','79','2021-07-03 09:52:21','2021-07-03 09:52:21',null);
INSERT INTO complaint_statuses VALUES('23952','7127','8','13','58',null,null,'81','81','2021-07-03 10:31:47','2021-07-03 10:31:47',null);
INSERT INTO complaint_statuses VALUES('23953','7489','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-03 10:39:14','2021-07-03 10:39:14',null);
INSERT INTO complaint_statuses VALUES('23954','7558','3',null,'80',null,'3-JUL-2021
FRWRD TO AMNA BOSCH','73','73','2021-07-03 10:45:30','2021-07-03 11:11:16',null);
INSERT INTO complaint_statuses VALUES('23955','7559','3',null,'53',null,'3-JUL-2021
COMPLAINT#301149631','73','73','2021-07-03 10:49:07','2021-07-03 12:57:49',null);
INSERT INTO complaint_statuses VALUES('23956','7537','5','25',null,null,'COMPLAINT COMPLETED','81','92','2021-07-03 10:50:24','2021-07-03 15:19:52',null);
INSERT INTO complaint_statuses VALUES('23957','7560','2',null,'81',null,null,'73','73','2021-07-03 10:53:10','2021-07-03 10:53:10',null);
INSERT INTO complaint_statuses VALUES('23958','7560','4',null,'61',null,null,'81','81','2021-07-03 10:53:32','2021-07-03 10:53:32',null);
INSERT INTO complaint_statuses VALUES('23959','7561','2',null,'81',null,null,'73','73','2021-07-03 10:57:04','2021-07-03 10:57:04',null);
INSERT INTO complaint_statuses VALUES('23960','7561','4',null,'55',null,null,'81','81','2021-07-03 10:57:29','2021-07-03 10:57:29',null);
INSERT INTO complaint_statuses VALUES('23961','6438','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-03 10:59:13','2021-07-03 11:37:13',null);
INSERT INTO complaint_statuses VALUES('23962','7127','7','12','81','cusotmer pcb ly gaye hain,bol rehy k mein khud  is ko dekhu ga ,',null,'79','79','2021-07-03 11:01:19','2021-07-03 11:01:19',null);
INSERT INTO complaint_statuses VALUES('23963','6781','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-03 11:01:33','2021-07-03 11:36:20',null);
INSERT INTO complaint_statuses VALUES('23964','7056','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-03 11:03:34','2021-07-03 11:35:24',null);
INSERT INTO complaint_statuses VALUES('23965','7562','3',null,'52',null,'3-JUL-2021
COMPLAINT#PKRI210703103962','73','73','2021-07-03 11:09:56','2021-07-03 11:18:01',null);
INSERT INTO complaint_statuses VALUES('23966','7312','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-03 11:14:07','2021-07-03 11:34:37',null);
INSERT INTO complaint_statuses VALUES('23967','7372','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-03 11:15:38','2021-07-03 11:33:50',null);
INSERT INTO complaint_statuses VALUES('23968','7381','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-03 11:16:58','2021-07-03 11:32:53',null);
INSERT INTO complaint_statuses VALUES('23969','7508','5','25',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-07-03 11:19:33','2021-07-03 11:31:09',null);
INSERT INTO complaint_statuses VALUES('23970','7489','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-07-03 11:21:09','2021-07-03 11:31:34',null);
INSERT INTO complaint_statuses VALUES('23971','7424','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-03 11:25:11','2021-07-03 11:32:27',null);
INSERT INTO complaint_statuses VALUES('23972','7563','2',null,'81',null,'VISIT TO DAY INFORM BY CUSTOMER','73','92','2021-07-03 11:29:10','2021-07-05 17:28:35',null);
INSERT INTO complaint_statuses VALUES('23973','7445','5','25',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-07-03 11:29:57','2021-07-03 11:32:02',null);
INSERT INTO complaint_statuses VALUES('23974','7563','4',null,'55',null,null,'81','81','2021-07-03 11:31:10','2021-07-03 11:31:10',null);
INSERT INTO complaint_statuses VALUES('23975','7564','2',null,'81',null,null,'73','73','2021-07-03 11:46:07','2021-07-03 11:46:07',null);
INSERT INTO complaint_statuses VALUES('23976','7564','4',null,'55',null,null,'81','81','2021-07-03 11:46:24','2021-07-03 11:46:24',null);
INSERT INTO complaint_statuses VALUES('23977','7565','3',null,'52',null,'3-JUL-2021
COMPLAINT#PKRI210703107293','73','73','2021-07-03 11:50:18','2021-07-03 13:03:02',null);
INSERT INTO complaint_statuses VALUES('23978','7566','3',null,'53',null,'3-JUL-2021
COMPLAINT#301149664','73','73','2021-07-03 11:53:36','2021-07-03 12:56:50',null);
INSERT INTO complaint_statuses VALUES('23979','7567','3',null,'54',null,'3-JUL-2021
COMPLAINT#1923396','73','73','2021-07-03 12:01:44','2021-07-03 14:53:28',null);
INSERT INTO complaint_statuses VALUES('23980','7568','3',null,'52',null,'3-JUL-2021
COMPLAINT#PKRI210703107249','73','73','2021-07-03 12:12:16','2021-07-03 13:01:36',null);
INSERT INTO complaint_statuses VALUES('23981','7193','7','28','81',null,null,'88','88','2021-07-03 12:16:46','2021-07-03 12:16:46',null);
INSERT INTO complaint_statuses VALUES('23982','7569','3',null,'54',null,'3-JUL-2021
COMPLAINT#1923390','73','73','2021-07-03 12:17:42','2021-07-03 14:51:53',null);
INSERT INTO complaint_statuses VALUES('23983','7570','2',null,'81',null,null,'73','73','2021-07-03 12:20:16','2021-07-03 12:20:16',null);
INSERT INTO complaint_statuses VALUES('23984','7570','4',null,'58',null,null,'81','81','2021-07-03 12:20:46','2021-07-03 12:20:46',null);
INSERT INTO complaint_statuses VALUES('23985','7571','2',null,'81',null,null,'73','73','2021-07-03 12:29:54','2021-07-03 12:29:54',null);
INSERT INTO complaint_statuses VALUES('23986','7571','4',null,'62',null,null,'81','81','2021-07-03 12:30:32','2021-07-03 12:30:32',null);
INSERT INTO complaint_statuses VALUES('23987','7572','3',null,'57',null,'3-JUL-2021
COMPLAINT#19799','73','73','2021-07-03 12:33:53','2021-07-03 12:50:44',null);
INSERT INTO complaint_statuses VALUES('23988','7573','2',null,'81',null,null,'73','73','2021-07-03 12:42:19','2021-07-03 12:42:19',null);
INSERT INTO complaint_statuses VALUES('23989','7573','4',null,'63',null,null,'81','81','2021-07-03 12:43:18','2021-07-03 12:43:18',null);
INSERT INTO complaint_statuses VALUES('23990','7455','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 12:51:52','2021-07-03 12:51:52',null);
INSERT INTO complaint_statuses VALUES('23991','7457','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 12:59:43','2021-07-03 12:59:43',null);
INSERT INTO complaint_statuses VALUES('23992','7458','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 13:03:28','2021-07-03 13:03:28',null);
INSERT INTO complaint_statuses VALUES('23993','7459','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 13:06:16','2021-07-03 13:06:16',null);
INSERT INTO complaint_statuses VALUES('23994','7463','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 13:11:49','2021-07-03 13:11:49',null);
INSERT INTO complaint_statuses VALUES('23995','7469','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 13:18:13','2021-07-03 13:18:13',null);
INSERT INTO complaint_statuses VALUES('23996','7472','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 13:22:31','2021-07-03 13:22:31',null);
INSERT INTO complaint_statuses VALUES('23997','7474','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 13:24:20','2021-07-03 13:24:20',null);
INSERT INTO complaint_statuses VALUES('23998','7485','7','12','81','complaint resolved',null,'79','79','2021-07-03 13:25:27','2021-07-03 13:25:27',null);
INSERT INTO complaint_statuses VALUES('23999','7574','3',null,'66',null,'3-JUL-2021
COMPLAINT#PK070320210082
03009825120  ZAFAR TACTION','73','92','2021-07-03 13:25:57','2021-07-05 14:21:05',null);
INSERT INTO complaint_statuses VALUES('24000','7575','3',null,'85',null,'3-JUL-2021
COMPLAINT#301149579','73','73','2021-07-03 13:32:02','2021-07-03 14:23:45',null);
INSERT INTO complaint_statuses VALUES('24001','7576','3',null,'54',null,'3-JUL-2021
COMPLAINT#1923383','73','73','2021-07-03 13:35:48','2021-07-03 14:48:27',null);
INSERT INTO complaint_statuses VALUES('24002','7577','2',null,'81',null,null,'73','73','2021-07-03 13:37:41','2021-07-03 13:37:41',null);
INSERT INTO complaint_statuses VALUES('24003','7577','4',null,'63',null,null,'81','81','2021-07-03 13:39:02','2021-07-03 13:39:02',null);
INSERT INTO complaint_statuses VALUES('24004','7475','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 13:41:29','2021-07-03 13:41:29',null);
INSERT INTO complaint_statuses VALUES('24005','7578','3',null,'53',null,'3-JUL-2021
COMPLAINT#301149766','73','73','2021-07-03 13:55:42','2021-07-03 14:26:31',null);
INSERT INTO complaint_statuses VALUES('24006','7579','3',null,'53',null,'3-JUL-2021
COMPLAINT#301149771','73','73','2021-07-03 13:58:13','2021-07-03 14:29:03',null);
INSERT INTO complaint_statuses VALUES('24007','7580','3',null,'53',null,'3-JUL-2021
COMPLAINT#301149773','73','73','2021-07-03 14:03:24','2021-07-03 14:31:43',null);
INSERT INTO complaint_statuses VALUES('24008','7480','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 14:28:07','2021-07-03 14:28:07',null);
INSERT INTO complaint_statuses VALUES('24009','7481','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 14:30:18','2021-07-03 14:30:18',null);
INSERT INTO complaint_statuses VALUES('24010','7488','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 14:33:32','2021-07-03 14:33:32',null);
INSERT INTO complaint_statuses VALUES('24011','7581','2',null,'81',null,null,'73','73','2021-07-03 14:35:02','2021-07-03 14:35:02',null);
INSERT INTO complaint_statuses VALUES('24012','7581','4',null,'63',null,null,'81','81','2021-07-03 14:36:25','2021-07-03 14:36:25',null);
INSERT INTO complaint_statuses VALUES('24013','7582','3',null,'55',null,'3-JUL-2021
COMPLAINT#RWP-796088','73','73','2021-07-03 14:39:33','2021-07-03 15:06:26',null);
INSERT INTO complaint_statuses VALUES('24014','7583','3',null,'53',null,'3-JUL-2021
COMPLAINT#301149855','73','73','2021-07-03 14:43:01','2021-07-03 15:31:11',null);
INSERT INTO complaint_statuses VALUES('24015','7437','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 14:44:09','2021-07-03 14:44:09',null);
INSERT INTO complaint_statuses VALUES('24016','7436','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 14:46:55','2021-07-03 14:46:55',null);
INSERT INTO complaint_statuses VALUES('24017','7435','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 14:49:03','2021-07-03 14:49:03',null);
INSERT INTO complaint_statuses VALUES('24018','7428','7','12','81','PLZ CLOSE IT',null,'87','87','2021-07-03 14:59:13','2021-07-03 14:59:13',null);
INSERT INTO complaint_statuses VALUES('24019','7431','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 15:01:38','2021-07-03 15:01:38',null);
INSERT INTO complaint_statuses VALUES('24020','7584','3',null,'85',null,'3-JUL-2021
COMPLAINT#301149858','73','73','2021-07-03 15:13:28','2021-07-03 15:34:10',null);
INSERT INTO complaint_statuses VALUES('24021','7427','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 15:22:34','2021-07-03 15:22:34',null);
INSERT INTO complaint_statuses VALUES('24022','7585','3',null,'52',null,'3-JUL-2021
COMPLINT#PKRI210703111806','73','73','2021-07-03 15:23:39','2021-07-03 15:56:43',null);
INSERT INTO complaint_statuses VALUES('24023','7426','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 15:24:49','2021-07-03 15:24:49',null);
INSERT INTO complaint_statuses VALUES('24024','7425','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 15:27:09','2021-07-03 15:27:09',null);
INSERT INTO complaint_statuses VALUES('24025','7414','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 15:35:13','2021-07-03 15:35:13',null);
INSERT INTO complaint_statuses VALUES('24026','7586','3',null,'53',null,'3-JUL-2021
COMPLAINT#301149884','73','73','2021-07-03 15:36:01','2021-07-03 15:50:38',null);
INSERT INTO complaint_statuses VALUES('24027','7587','3',null,'90',null,'3-JUL-2021
COMPLAINT#202107002154','73','73','2021-07-03 15:39:12','2021-07-03 15:45:54',null);
INSERT INTO complaint_statuses VALUES('24028','7411','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 15:40:55','2021-07-03 15:40:55',null);
INSERT INTO complaint_statuses VALUES('24029','7422','7','12','81','ISSUE RESOLVED ,GAS + COMP',null,'87','87','2021-07-03 15:45:09','2021-07-03 15:45:09',null);
INSERT INTO complaint_statuses VALUES('24030','7588','2',null,'81',null,null,'73','73','2021-07-03 16:01:54','2021-07-03 16:01:54',null);
INSERT INTO complaint_statuses VALUES('24031','7588','4',null,'55',null,null,'81','81','2021-07-03 16:02:18','2021-07-03 16:02:18',null);
INSERT INTO complaint_statuses VALUES('24032','7409','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 16:03:48','2021-07-03 16:03:48',null);
INSERT INTO complaint_statuses VALUES('24033','7589','2',null,'81',null,null,'73','73','2021-07-03 16:05:07','2021-07-03 16:05:07',null);
INSERT INTO complaint_statuses VALUES('24034','7589','4',null,'58',null,null,'81','81','2021-07-03 16:06:01','2021-07-03 16:06:01',null);
INSERT INTO complaint_statuses VALUES('24035','7405','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 16:07:25','2021-07-03 16:07:25',null);
INSERT INTO complaint_statuses VALUES('24036','7400','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 16:16:34','2021-07-03 16:16:34',null);
INSERT INTO complaint_statuses VALUES('24037','7396','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 16:26:22','2021-07-03 16:26:22',null);
INSERT INTO complaint_statuses VALUES('24038','7590','2',null,'81',null,'VISIT TO DAY INFORM BY CUSTOMER','73','92','2021-07-03 16:28:48','2021-07-06 11:56:28',null);
INSERT INTO complaint_statuses VALUES('24039','7590','4',null,'55',null,null,'81','81','2021-07-03 16:29:09','2021-07-03 16:29:09',null);
INSERT INTO complaint_statuses VALUES('24040','7394','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 16:29:15','2021-07-03 16:29:15',null);
INSERT INTO complaint_statuses VALUES('24041','7415','7','12','81','COMPLAINT REOSLVED DOOR SWITCH ISSUE',null,'79','79','2021-07-03 16:35:22','2021-07-03 16:35:22',null);
INSERT INTO complaint_statuses VALUES('24042','7370','7','12','81','COMPLAINT RESOLVED',null,'79','79','2021-07-03 16:36:04','2021-07-03 16:36:04',null);
INSERT INTO complaint_statuses VALUES('24043','7591','3',null,'52',null,'3-JUL-2021
COMPLAINT#PKRI210703114378','73','73','2021-07-03 16:36:31','2021-07-03 17:45:29',null);
INSERT INTO complaint_statuses VALUES('24044','7384','7','12','81','COMPLIANT RESOLVED  PANNEL ISSUE',null,'79','79','2021-07-03 16:36:36','2021-07-03 16:36:36',null);
INSERT INTO complaint_statuses VALUES('24045','7592','3',null,'53',null,'3-JUL-2021
COMPLAINT#301150005','73','73','2021-07-03 16:39:16','2021-07-03 17:55:40',null);
INSERT INTO complaint_statuses VALUES('24046','7593','3',null,'52',null,'3-JUL-2021
COMPLAINT#PKRI210703114350','73','73','2021-07-03 16:41:10','2021-07-03 17:44:34',null);
INSERT INTO complaint_statuses VALUES('24047','7594','3',null,'66',null,'3-JUL-2021
COMPLAINT#PK060320210116','73','92','2021-07-03 16:45:21','2021-07-19 14:27:51',null);
INSERT INTO complaint_statuses VALUES('24048','7595','2',null,'81',null,null,'73','73','2021-07-03 16:51:07','2021-07-03 16:51:07',null);
INSERT INTO complaint_statuses VALUES('24049','7595','4',null,'55',null,null,'81','81','2021-07-03 16:51:53','2021-07-03 16:51:53',null);
INSERT INTO complaint_statuses VALUES('24050','7388','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 16:58:18','2021-07-03 16:58:18',null);
INSERT INTO complaint_statuses VALUES('24051','7596','3',null,'65',null,'3-JUL-2021
COMPLAINT#192125287','73','73','2021-07-03 17:05:38','2021-07-03 17:36:13',null);
INSERT INTO complaint_statuses VALUES('24052','7597','2',null,'81',null,null,'73','73','2021-07-03 17:06:48','2021-07-03 17:06:48',null);
INSERT INTO complaint_statuses VALUES('24053','7597','4',null,'63',null,null,'81','81','2021-07-03 17:07:57','2021-07-03 17:07:57',null);
INSERT INTO complaint_statuses VALUES('24054','7377','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-03 17:12:50','2021-07-03 17:12:50',null);
INSERT INTO complaint_statuses VALUES('24055','7511','7','26','81',null,null,'82','82','2021-07-03 17:44:11','2021-07-03 17:44:11',null);
INSERT INTO complaint_statuses VALUES('24056','7598','3',null,'53',null,'COSTUMER NE COMPLAIN THURSDAY KO KHUD LAUNCH KARWA DI THI','73','73','2021-07-03 18:03:45','2021-07-03 18:05:27',null);
INSERT INTO complaint_statuses VALUES('24057','7589','7','12','81','AC BLUE AREA SY AZHER K TECHNICAIN  HARIS NY LGAYA HAI',null,'79','79','2021-07-03 18:18:09','2021-07-03 18:18:09',null);
INSERT INTO complaint_statuses VALUES('24058','7571','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-03 19:39:26','2021-07-03 19:39:26',null);
INSERT INTO complaint_statuses VALUES('24059','7526','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-03 19:39:48','2021-07-03 19:39:48',null);
INSERT INTO complaint_statuses VALUES('24060','7522','7','12','81','Y main defective 
Board replaced unit ok 
Plz close job',null,'83','83','2021-07-03 20:47:47','2021-07-03 20:47:47',null);
INSERT INTO complaint_statuses VALUES('24061','7484','7','9','81','Black spots 
Defuser sheet clean    service and pick drop
Unit with customer',null,'83','83','2021-07-03 20:49:45','2021-07-03 20:49:45',null);
INSERT INTO complaint_statuses VALUES('24062','7599','3',null,'97',null,'5-JUL-2021
COMPLAINT#202107002723','73','73','2021-07-04 10:32:00','2021-07-05 10:27:33',null);
INSERT INTO complaint_statuses VALUES('24063','7600','3',null,'53',null,'4-JUL-2021
COMPLAINT#301150076','73','73','2021-07-04 10:36:26','2021-07-04 11:43:20',null);
INSERT INTO complaint_statuses VALUES('24064','7601','2',null,'81',null,null,'73','73','2021-07-04 10:44:15','2021-07-04 10:44:15',null);
INSERT INTO complaint_statuses VALUES('24065','7601','4',null,'62',null,null,'81','81','2021-07-04 10:44:48','2021-07-04 10:44:48',null);
INSERT INTO complaint_statuses VALUES('24066','7589','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-07-04 10:45:13','2021-07-04 11:51:54',null);
INSERT INTO complaint_statuses VALUES('24067','7602','3',null,'52',null,'4-JUL-2021
COMPLAINT#PKRI210704103541','73','73','2021-07-04 10:47:51','2021-07-04 11:50:13',null);
INSERT INTO complaint_statuses VALUES('24068','7526','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-04 10:49:55','2021-07-04 11:53:18',null);
INSERT INTO complaint_statuses VALUES('24069','7511','5','25',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-07-04 10:54:10','2021-07-04 11:53:50',null);
INSERT INTO complaint_statuses VALUES('24070','7485','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-04 10:55:26','2021-07-04 11:58:15',null);
INSERT INTO complaint_statuses VALUES('24071','7603','3',null,'53',null,'4-JUL-2021
COMPLAINT#301150079','73','73','2021-07-04 10:55:26','2021-07-04 11:46:29',null);
INSERT INTO complaint_statuses VALUES('24072','7466','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-04 10:58:43','2021-07-04 11:59:36',null);
INSERT INTO complaint_statuses VALUES('24073','7446','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-04 11:00:15','2021-07-04 12:03:09',null);
INSERT INTO complaint_statuses VALUES('24074','7604','3',null,'66',null,'5-jul-2021
frwrd toMURSALEEN  TACTION 
COM NO 071920210086 
ZAFAR TACTION','73','92','2021-07-04 11:02:41','2021-07-19 14:24:43',null);
INSERT INTO complaint_statuses VALUES('24075','7422','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-04 11:03:16','2021-07-04 12:06:25',null);
INSERT INTO complaint_statuses VALUES('24076','7415','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-04 11:04:29','2021-07-04 12:06:55',null);
INSERT INTO complaint_statuses VALUES('24077','7407','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-04 11:06:40','2021-07-04 12:07:57',null);
INSERT INTO complaint_statuses VALUES('24078','7605','2',null,'81',null,null,'73','73','2021-07-04 11:09:05','2021-07-04 11:09:05',null);
INSERT INTO complaint_statuses VALUES('24079','7605','4',null,'61',null,null,'81','81','2021-07-04 11:09:35','2021-07-04 11:09:35',null);
INSERT INTO complaint_statuses VALUES('24080','7384','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-04 11:10:16','2021-07-04 12:08:29',null);
INSERT INTO complaint_statuses VALUES('24081','7606','3',null,'54',null,'4-JUL-2021
COMPLAINT#1924006','73','73','2021-07-04 11:17:35','2021-07-04 11:37:12',null);
INSERT INTO complaint_statuses VALUES('24082','7245','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-04 11:18:52','2021-07-04 12:08:52',null);
INSERT INTO complaint_statuses VALUES('24083','7607','3',null,'52',null,'4-JUL-2021
COMPLAINT#PKRI210704103588','73','73','2021-07-04 11:20:53','2021-07-04 11:52:24',null);
INSERT INTO complaint_statuses VALUES('24084','7571','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-04 11:21:56','2021-07-04 11:52:22',null);
INSERT INTO complaint_statuses VALUES('24085','7127','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-04 11:25:24','2021-07-04 12:09:54',null);
INSERT INTO complaint_statuses VALUES('24086','7608','2',null,'81',null,null,'73','73','2021-07-04 11:26:05','2021-07-04 11:26:05',null);
INSERT INTO complaint_statuses VALUES('24087','7608','4',null,'62',null,null,'81','81','2021-07-04 11:27:00','2021-07-04 11:27:00',null);
INSERT INTO complaint_statuses VALUES('24088','7419','7','24','81','Vegitable box frainds py chory gy',null,'82','82','2021-07-04 11:44:12','2021-07-04 11:44:12',null);
INSERT INTO complaint_statuses VALUES('24089','7545','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 11:45:59','2021-07-04 11:45:59',null);
INSERT INTO complaint_statuses VALUES('24090','7486','7','12','81','Ac theek hy visit okay',null,'82','82','2021-07-04 11:47:04','2021-07-04 11:47:04',null);
INSERT INTO complaint_statuses VALUES('24091','7402','7','12','81','Ye ac theek hy .visit okay',null,'82','82','2021-07-04 11:48:03','2021-07-04 11:48:03',null);
INSERT INTO complaint_statuses VALUES('24092','7387','7','12','81','Okay hy ac',null,'82','82','2021-07-04 11:48:38','2021-07-04 11:48:38',null);
INSERT INTO complaint_statuses VALUES('24093','7227','7','12','81','Servis kar di thi',null,'82','82','2021-07-04 11:49:12','2021-07-04 11:49:12',null);
INSERT INTO complaint_statuses VALUES('24094','7609','3',null,'53',null,'4-JUL-2021
COMPLAINT#301150094','73','73','2021-07-04 12:12:45','2021-07-04 12:23:39',null);
INSERT INTO complaint_statuses VALUES('24095','7390','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 12:25:54','2021-07-04 12:25:54',null);
INSERT INTO complaint_statuses VALUES('24096','7610','3',null,'53',null,'4-JUL-2021
COMPLAINT#3011500101','73','73','2021-07-04 12:38:59','2021-07-04 12:44:17',null);
INSERT INTO complaint_statuses VALUES('24097','7371','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 12:42:44','2021-07-04 12:42:44',null);
INSERT INTO complaint_statuses VALUES('24098','7369','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 12:45:29','2021-07-04 12:45:29',null);
INSERT INTO complaint_statuses VALUES('24099','7368','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 12:48:56','2021-07-04 12:48:56',null);
INSERT INTO complaint_statuses VALUES('24100','7367','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 12:51:32','2021-07-04 12:51:32',null);
INSERT INTO complaint_statuses VALUES('24101','7365','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 12:56:31','2021-07-04 12:56:31',null);
INSERT INTO complaint_statuses VALUES('24102','7362','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 12:58:29','2021-07-04 12:58:29',null);
INSERT INTO complaint_statuses VALUES('24103','7611','3',null,'52',null,'4-JUL-2021
COMPLAINT#PKRI210704105932','73','73','2021-07-04 13:05:33','2021-07-04 14:22:23',null);
INSERT INTO complaint_statuses VALUES('24104','7360','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 13:13:18','2021-07-04 13:13:18',null);
INSERT INTO complaint_statuses VALUES('24105','7612','3',null,'65',null,'4-JUL-2021
COMPLAINT#192125298','73','73','2021-07-04 13:13:22','2021-07-04 13:41:45',null);
INSERT INTO complaint_statuses VALUES('24106','7357','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 13:16:22','2021-07-04 13:16:22',null);
INSERT INTO complaint_statuses VALUES('24107','7356','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 13:20:00','2021-07-04 13:20:00',null);
INSERT INTO complaint_statuses VALUES('24108','7613','3',null,'56',null,'4-JUL-2021
COMPLAINT#G04/004','73','73','2021-07-04 13:20:38','2021-07-04 13:38:13',null);
INSERT INTO complaint_statuses VALUES('24109','7614','3',null,'85',null,'4-JUL-2021
COMPLAINT#301150136','73','73','2021-07-04 13:26:34','2021-07-04 13:47:04',null);
INSERT INTO complaint_statuses VALUES('24110','7346','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 13:28:50','2021-07-04 13:28:50',null);
INSERT INTO complaint_statuses VALUES('24111','7615','2',null,'81',null,null,'73','73','2021-07-04 13:29:07','2021-07-04 13:29:07',null);
INSERT INTO complaint_statuses VALUES('24112','7616','2',null,'81',null,null,'73','73','2021-07-04 13:31:27','2021-07-04 13:31:27',null);
INSERT INTO complaint_statuses VALUES('24113','7616','4',null,'62',null,null,'81','81','2021-07-04 13:32:12','2021-07-04 13:32:12',null);
INSERT INTO complaint_statuses VALUES('24114','7615','4',null,'60',null,null,'81','81','2021-07-04 13:32:22','2021-07-04 13:32:22',null);
INSERT INTO complaint_statuses VALUES('24115','7339','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 13:43:30','2021-07-04 13:43:30',null);
INSERT INTO complaint_statuses VALUES('24116','7617','3',null,'66',null,'5-JUL-2021
COMPLAINT#PK070520210030','73','73','2021-07-04 13:52:13','2021-07-05 10:56:21',null);
INSERT INTO complaint_statuses VALUES('24117','7323','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 13:56:18','2021-07-04 13:56:18',null);
INSERT INTO complaint_statuses VALUES('24118','7310','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 14:14:14','2021-07-04 14:14:14',null);
INSERT INTO complaint_statuses VALUES('24119','7401','7','12','81','PUMP NOT AVIALBLE ,CUSOTMER KO BATADYA AI,AGR NAHI OT ATU SERVICE CNTER LY AYE GAIN',null,'79','79','2021-07-04 14:17:29','2021-07-04 14:17:29',null);
INSERT INTO complaint_statuses VALUES('24120','7618','2',null,'81',null,null,'73','73','2021-07-04 14:17:48','2021-07-04 14:17:48',null);
INSERT INTO complaint_statuses VALUES('24121','7618','4',null,'58',null,null,'81','81','2021-07-04 14:18:12','2021-07-04 14:18:12',null);
INSERT INTO complaint_statuses VALUES('24122','7619','2',null,'81',null,null,'73','73','2021-07-04 14:50:20','2021-07-04 14:50:20',null);
INSERT INTO complaint_statuses VALUES('24123','7620','3',null,'52',null,'4-JUL-2021
COMPLAINT#PKRI210704106800','73','73','2021-07-04 14:50:23','2021-07-04 15:06:34',null);
INSERT INTO complaint_statuses VALUES('24124','7619','4',null,'62',null,null,'81','81','2021-07-04 14:51:03','2021-07-04 14:51:03',null);
INSERT INTO complaint_statuses VALUES('24125','7199','7','12','81','Switch ka jack lose tha okay kar dia hy filhal',null,'82','82','2021-07-04 14:53:34','2021-07-04 14:53:34',null);
INSERT INTO complaint_statuses VALUES('24126','7201','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 15:06:37','2021-07-04 15:06:37',null);
INSERT INTO complaint_statuses VALUES('24127','7189','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 15:09:45','2021-07-04 15:09:45',null);
INSERT INTO complaint_statuses VALUES('24128','7621','2',null,'81',null,null,'73','73','2021-07-04 15:10:20','2021-07-04 15:10:20',null);
INSERT INTO complaint_statuses VALUES('24129','7621','4',null,'62',null,null,'81','81','2021-07-04 15:10:57','2021-07-04 15:10:57',null);
INSERT INTO complaint_statuses VALUES('24130','7622','3',null,'54',null,'4-JUL-2021
COMPLAINT#1902448','73','92','2021-07-04 15:16:52','2021-07-07 13:53:39',null);
INSERT INTO complaint_statuses VALUES('24131','7623','2',null,'81',null,null,'73','73','2021-07-04 15:19:24','2021-07-04 15:19:24',null);
INSERT INTO complaint_statuses VALUES('24132','7623','4',null,'58',null,null,'81','81','2021-07-04 15:19:49','2021-07-04 15:19:49',null);
INSERT INTO complaint_statuses VALUES('24133','7118','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 15:32:41','2021-07-04 15:32:41',null);
INSERT INTO complaint_statuses VALUES('24134','7113','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 15:49:30','2021-07-04 15:49:30',null);
INSERT INTO complaint_statuses VALUES('24135','7105','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 15:52:38','2021-07-04 15:52:38',null);
INSERT INTO complaint_statuses VALUES('24136','7486','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-04 15:59:37','2021-07-04 17:36:11',null);
INSERT INTO complaint_statuses VALUES('24137','7624','3',null,'53',null,'4-JUL-2021
COMPLAINT#301150219','73','73','2021-07-04 16:02:01','2021-07-04 16:25:57',null);
INSERT INTO complaint_statuses VALUES('24138','7074','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 16:11:20','2021-07-04 16:11:20',null);
INSERT INTO complaint_statuses VALUES('24139','6991','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 16:19:59','2021-07-04 16:19:59',null);
INSERT INTO complaint_statuses VALUES('24140','7012','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 16:34:01','2021-07-04 16:34:01',null);
INSERT INTO complaint_statuses VALUES('24141','7003','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 16:39:21','2021-07-04 16:39:21',null);
INSERT INTO complaint_statuses VALUES('24142','7625','2',null,'81',null,null,'73','73','2021-07-04 16:42:15','2021-07-04 16:42:15',null);
INSERT INTO complaint_statuses VALUES('24143','7625','4',null,'55',null,null,'81','81','2021-07-04 16:43:13','2021-07-04 16:43:13',null);
INSERT INTO complaint_statuses VALUES('24144','7626','2',null,'81',null,null,'73','73','2021-07-04 16:49:26','2021-07-04 16:49:26',null);
INSERT INTO complaint_statuses VALUES('24145','7626','4',null,'62',null,null,'81','81','2021-07-04 16:49:57','2021-07-04 16:49:57',null);
INSERT INTO complaint_statuses VALUES('24146','7627','3',null,'54',null,'4-JUL-2021
COMPLAINT#1924392','73','73','2021-07-04 17:27:10','2021-07-04 17:31:52',null);
INSERT INTO complaint_statuses VALUES('24147','7193','8','23','63','SIR DOUBLE ENTRY NAI HAY AK DAFA HI AP KO FF KI HAY',null,'81','81','2021-07-04 17:28:53','2021-07-04 17:28:53',null);
INSERT INTO complaint_statuses VALUES('24148','7199','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-04 17:31:22','2021-07-04 17:38:18',null);
INSERT INTO complaint_statuses VALUES('24149','7227','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-04 17:33:27','2021-07-04 17:36:34',null);
INSERT INTO complaint_statuses VALUES('24150','6980','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-04 17:47:42','2021-07-04 17:47:42',null);
INSERT INTO complaint_statuses VALUES('24151','7626','7','12','81','ZAHID SB NY COMPNAY  FRWD KRNY K LYE INVOICE BJHI HAI,PLZ COMPANY FRWD',null,'87','87','2021-07-04 18:25:17','2021-07-04 18:25:17',null);
INSERT INTO complaint_statuses VALUES('24152','7597','7','12','81','Tharmostat kharb tha OK',null,'88','88','2021-07-05 09:58:05','2021-07-05 09:58:05',null);
INSERT INTO complaint_statuses VALUES('24153','7538','7','12','81','Nob tuti the ok',null,'88','88','2021-07-05 09:59:46','2021-07-05 09:59:46',null);
INSERT INTO complaint_statuses VALUES('24154','7529','7','12','81','Gas tha lpg kiya hy ok',null,'88','88','2021-07-05 10:00:20','2021-07-05 10:00:20',null);
INSERT INTO complaint_statuses VALUES('24155','7491','7','12','81','Barnar band how jata tha ok',null,'88','88','2021-07-05 10:01:01','2021-07-05 10:01:01',null);
INSERT INTO complaint_statuses VALUES('24156','7473','7','12','81','Band how jata tha OK 500f',null,'88','88','2021-07-05 10:01:44','2021-07-05 10:01:44',null);
INSERT INTO complaint_statuses VALUES('24157','7302','7','12','81','Wal jam thay OK',null,'88','88','2021-07-05 10:02:28','2021-07-05 10:02:28',null);
INSERT INTO complaint_statuses VALUES('24158','7628','3',null,'65',null,'5-JUL-2021
COMPLAINT#192125317','73','73','2021-07-05 10:45:45','2021-07-05 10:51:49',null);
INSERT INTO complaint_statuses VALUES('24159','7629','3',null,'54',null,'24-JUNE-2021
COMPLAINT#1913916','92','92','2021-07-05 10:51:09','2021-07-05 11:39:44',null);
INSERT INTO complaint_statuses VALUES('24160','7630','3',null,'52',null,'5-JUL-2021
COMPLAINT#PKRI210705111262','73','73','2021-07-05 11:00:58','2021-07-05 15:10:40',null);
INSERT INTO complaint_statuses VALUES('24161','7626','5','15',null,'COMPLAINT FF TO COMPAINE','COMPLAINT  RESOLVED','81','92','2021-07-05 11:08:00','2021-07-05 11:49:05',null);
INSERT INTO complaint_statuses VALUES('24162','7597','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','92','2021-07-05 11:08:51','2021-07-05 11:49:57',null);
INSERT INTO complaint_statuses VALUES('24163','7538','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-05 11:10:01','2021-07-05 11:50:24',null);
INSERT INTO complaint_statuses VALUES('24164','7529','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-05 11:12:20','2021-07-05 11:52:40',null);
INSERT INTO complaint_statuses VALUES('24165','7491','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-05 11:14:43','2021-07-05 11:53:42',null);
INSERT INTO complaint_statuses VALUES('24166','7473','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-05 11:16:18','2021-07-05 11:54:43',null);
INSERT INTO complaint_statuses VALUES('24167','7428','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-05 11:17:19','2021-07-05 11:56:13',null);
INSERT INTO complaint_statuses VALUES('24168','7406','5','25',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-07-05 11:20:38','2021-07-05 11:58:41',null);
INSERT INTO complaint_statuses VALUES('24169','7402','8','23','60','CUSTOMER SAY BAT HUAI HAY AGAIN ISSUE AY GAYA HAY AGAIN VISIT KARWAY',null,'81','81','2021-07-05 11:22:27','2021-07-05 11:22:27',null);
INSERT INTO complaint_statuses VALUES('24170','7465','7','12','81','complaint reoslved',null,'79','79','2021-07-05 11:22:38','2021-07-05 11:22:38',null);
INSERT INTO complaint_statuses VALUES('24171','7387','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-05 11:24:05','2021-07-05 11:59:07',null);
INSERT INTO complaint_statuses VALUES('24172','7465','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-05 11:25:09','2021-07-05 11:55:42',null);
INSERT INTO complaint_statuses VALUES('24173','6905','5',null,null,'COMPLAINT RESOLVED',null,'73','73','2021-07-05 11:28:03','2021-07-05 11:28:03',null);
INSERT INTO complaint_statuses VALUES('24174','7302','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-05 11:28:37','2021-07-05 12:00:00',null);
INSERT INTO complaint_statuses VALUES('24175','7631','3',null,'65',null,'5-JUL-2021
COMPLAINT#192125341','73','73','2021-07-05 11:30:08','2021-07-05 12:28:42',null);
INSERT INTO complaint_statuses VALUES('24176','7632','3',null,'65',null,'5-JUL-2021
COMPLAINT#192125340','73','73','2021-07-05 11:37:19','2021-07-05 12:25:28',null);
INSERT INTO complaint_statuses VALUES('24177','7633','3',null,'65',null,'5-JUL-2021
COMPLAINT#192125339
REOPEN COM NO 192125554','73','92','2021-07-05 11:39:21','2021-07-08 15:30:22',null);
INSERT INTO complaint_statuses VALUES('24178','7634','3',null,'52',null,'5-JUL-2021
COMPLAINT#PKGT210705111192','73','73','2021-07-05 11:43:50','2021-07-05 15:08:20',null);
INSERT INTO complaint_statuses VALUES('24179','7635','3',null,'53',null,'5-JUL-2021
COMPLAINT#301150555','73','73','2021-07-05 11:49:28','2021-07-05 13:59:00',null);
INSERT INTO complaint_statuses VALUES('24180','7636','3',null,'52',null,'5-JUL-2021
COMPLAINT#PKRI210705111114','73','73','2021-07-05 11:53:53','2021-07-05 15:04:47',null);
INSERT INTO complaint_statuses VALUES('24181','7637','3',null,'53',null,'5-JUL-2021
COMPLAINT#301150548','73','73','2021-07-05 12:02:40','2021-07-05 13:55:43',null);
INSERT INTO complaint_statuses VALUES('24182','7638','3',null,'65',null,'5-JUL-2021
COMPLAINT#192125337','73','73','2021-07-05 12:09:39','2021-07-05 12:20:21',null);
INSERT INTO complaint_statuses VALUES('24183','7639','3',null,'54',null,'5-JUL-2021
COMPLAINT#1924977','73','73','2021-07-05 12:11:30','2021-07-05 12:34:16',null);
INSERT INTO complaint_statuses VALUES('24184','7640','3',null,'52',null,'5-JUL-2021
COMPLAINT#PKRI210705111058','73','73','2021-07-05 12:44:09','2021-07-05 15:02:25',null);
INSERT INTO complaint_statuses VALUES('24185','7038','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 12:45:29','2021-07-05 12:45:29',null);
INSERT INTO complaint_statuses VALUES('24186','7641','3',null,'92',null,'5-JUL-2021
COMPLAINT#210705032567','73','73','2021-07-05 12:50:31','2021-07-05 14:03:14',null);
INSERT INTO complaint_statuses VALUES('24187','7031','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 12:54:34','2021-07-05 12:54:34',null);
INSERT INTO complaint_statuses VALUES('24188','7030','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 12:57:20','2021-07-05 12:57:20',null);
INSERT INTO complaint_statuses VALUES('24189','7642','2',null,'81',null,null,'73','73','2021-07-05 13:00:47','2021-07-05 13:00:47',null);
INSERT INTO complaint_statuses VALUES('24190','7642','4',null,'58',null,null,'81','81','2021-07-05 13:02:39','2021-07-05 13:02:39',null);
INSERT INTO complaint_statuses VALUES('24191','7015','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 13:04:22','2021-07-05 13:04:22',null);
INSERT INTO complaint_statuses VALUES('24192','7008','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 13:19:35','2021-07-05 13:19:35',null);
INSERT INTO complaint_statuses VALUES('24193','7643','3',null,'53',null,'5-JUL-2021
COMPLAINT#301150546','73','73','2021-07-05 13:20:13','2021-07-05 13:53:03',null);
INSERT INTO complaint_statuses VALUES('24194','7644','3',null,'55',null,'5-JUL-2021
COMPLAINT#ISB-13185','73','73','2021-07-05 13:22:36','2021-07-05 14:09:56',null);
INSERT INTO complaint_statuses VALUES('24195','6999','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 13:26:21','2021-07-05 13:26:21',null);
INSERT INTO complaint_statuses VALUES('24196','6996','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 14:11:10','2021-07-05 14:11:10',null);
INSERT INTO complaint_statuses VALUES('24197','7645','3',null,'52',null,'5-JUL-2021
COMPLAINT#PKRI210705111017','73','73','2021-07-05 14:16:09','2021-07-05 15:01:01',null);
INSERT INTO complaint_statuses VALUES('24198','7646','3',null,'53',null,'6-JUL-2021
COMPLAINT#301150914','73','73','2021-07-05 14:19:59','2021-07-06 10:30:40',null);
INSERT INTO complaint_statuses VALUES('24199','7647','2',null,'81',null,null,'73','73','2021-07-05 14:25:02','2021-07-05 14:25:02',null);
INSERT INTO complaint_statuses VALUES('24200','7647','4',null,'55',null,null,'81','81','2021-07-05 14:25:34','2021-07-05 14:25:34',null);
INSERT INTO complaint_statuses VALUES('24201','7648','3',null,'53',null,'5-JUL-2021
COMPLAINT#301150791','73','73','2021-07-05 14:34:48','2021-07-05 17:13:17',null);
INSERT INTO complaint_statuses VALUES('24202','6970','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 14:34:51','2021-07-05 14:34:51',null);
INSERT INTO complaint_statuses VALUES('24203','7649','3',null,'54',null,'5-JUL-2021
COMLAINT#1925583','73','73','2021-07-05 14:37:39','2021-07-05 16:59:33',null);
INSERT INTO complaint_statuses VALUES('24204','7650','3',null,'65',null,'5-JUL-2021
COMPLAINT#192125367','73','73','2021-07-05 14:39:04','2021-07-05 15:29:51',null);
INSERT INTO complaint_statuses VALUES('24205','7651','3',null,'97',null,'5-JUL-2021
COMPLAINT#202107003479','73','73','2021-07-05 14:47:13','2021-07-05 15:17:51',null);
INSERT INTO complaint_statuses VALUES('24206','6975','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 14:48:42','2021-07-05 14:48:42',null);
INSERT INTO complaint_statuses VALUES('24207','6944','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 14:52:11','2021-07-05 14:52:11',null);
INSERT INTO complaint_statuses VALUES('24208','6943','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 14:54:13','2021-07-05 14:54:13',null);
INSERT INTO complaint_statuses VALUES('24209','6934','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 15:14:13','2021-07-05 15:14:13',null);
INSERT INTO complaint_statuses VALUES('24210','7652','3',null,'52',null,'5-7-21
COMPLAINT#PKRI-210705111611','92','73','2021-07-05 15:22:16','2021-07-05 15:44:16',null);
INSERT INTO complaint_statuses VALUES('24211','7653','3',null,'55',null,'5-JUL-2021
COMPLAINT#RWP-797396','73','73','2021-07-05 15:34:26','2021-07-05 16:54:12',null);
INSERT INTO complaint_statuses VALUES('24212','7654','2',null,'81',null,null,'73','73','2021-07-05 15:47:42','2021-07-05 15:47:42',null);
INSERT INTO complaint_statuses VALUES('24213','6925','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 15:47:50','2021-07-05 15:47:50',null);
INSERT INTO complaint_statuses VALUES('24214','7654','4',null,'61',null,null,'81','81','2021-07-05 15:48:37','2021-07-05 15:48:37',null);
INSERT INTO complaint_statuses VALUES('24215','7655','3',null,'53',null,'6-jul-2021
COMPLAINT#301150910','73','73','2021-07-05 16:02:52','2021-07-06 10:28:46',null);
INSERT INTO complaint_statuses VALUES('24216','7232','7','12','81','ye cusotmer abhi nahi la rahy or inho  ny baher sy rapir kerya hai',null,'79','79','2021-07-05 16:06:00','2021-07-05 16:06:00',null);
INSERT INTO complaint_statuses VALUES('24217','7581','7','24','81','Agly Monday ko Jana hy',null,'88','88','2021-07-05 16:06:30','2021-07-05 16:06:30',null);
INSERT INTO complaint_statuses VALUES('24218','7577','7','12','81','2 auto wair 600 laber 500 total 1100 f',null,'88','88','2021-07-05 16:07:13','2021-07-05 16:07:13',null);
INSERT INTO complaint_statuses VALUES('24219','7234','7','12','81','compressor ,gas and cupplry tube complaint resolved',null,'79','79','2021-07-05 16:11:35','2021-07-05 16:11:35',null);
INSERT INTO complaint_statuses VALUES('24220','7656','3',null,'52',null,'5-JUL-2021
COMPLAINT#PKRI210705115374','73','73','2021-07-05 16:11:39','2021-07-05 17:47:23',null);
INSERT INTO complaint_statuses VALUES('24221','6909','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 16:11:52','2021-07-05 16:11:52',null);
INSERT INTO complaint_statuses VALUES('24222','7657','3',null,'52',null,'5-JUL-2021
COMPLAINT#PKRI210705115300','73','73','2021-07-05 16:20:52','2021-07-05 17:44:21',null);
INSERT INTO complaint_statuses VALUES('24223','7268','7','26','81','Thik how Gaya hy',null,'88','88','2021-07-05 16:25:28','2021-07-05 16:25:28',null);
INSERT INTO complaint_statuses VALUES('24224','6897','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 16:29:25','2021-07-05 16:29:25',null);
INSERT INTO complaint_statuses VALUES('24225','6890','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 16:33:30','2021-07-05 16:33:30',null);
INSERT INTO complaint_statuses VALUES('24226','6886','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 16:36:20','2021-07-05 16:36:20',null);
INSERT INTO complaint_statuses VALUES('24227','7658','2',null,'81',null,null,'73','73','2021-07-05 16:44:41','2021-07-05 16:44:41',null);
INSERT INTO complaint_statuses VALUES('24228','7658','4',null,'55',null,null,'81','81','2021-07-05 16:45:08','2021-07-05 16:45:08',null);
INSERT INTO complaint_statuses VALUES('24229','6878','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 16:51:06','2021-07-05 16:51:06',null);
INSERT INTO complaint_statuses VALUES('24230','7659','3',null,'73',null,'5-JUL-2021
COMPLAINT#5019','73','73','2021-07-05 17:03:39','2021-07-05 17:26:00',null);
INSERT INTO complaint_statuses VALUES('24231','6876','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 17:06:26','2021-07-05 17:06:26',null);
INSERT INTO complaint_statuses VALUES('24232','6868','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 17:08:06','2021-07-05 17:08:06',null);
INSERT INTO complaint_statuses VALUES('24233','6866','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 17:09:40','2021-07-05 17:09:40',null);
INSERT INTO complaint_statuses VALUES('24234','6858','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 17:14:00','2021-07-05 17:14:00',null);
INSERT INTO complaint_statuses VALUES('24235','6853','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 17:17:15','2021-07-05 17:17:15',null);
INSERT INTO complaint_statuses VALUES('24236','7660','3',null,'52',null,'5-JUL-2021
COMPLAINT#PKRI210705115228','73','73','2021-07-05 17:17:29','2021-07-05 17:40:38',null);
INSERT INTO complaint_statuses VALUES('24237','6851','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 17:18:53','2021-07-05 17:18:53',null);
INSERT INTO complaint_statuses VALUES('24238','6848','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 17:21:50','2021-07-05 17:21:50',null);
INSERT INTO complaint_statuses VALUES('24239','7661','3',null,'52',null,'5-JUL-2021
COMPLAINT#PKRI210705115154','73','73','2021-07-05 17:23:05','2021-07-05 17:36:59',null);
INSERT INTO complaint_statuses VALUES('24240','6493','7','12','81','no problem unit is ok and hand over to Aslam sab',null,'77','77','2021-07-05 17:29:38','2021-07-05 17:29:38',null);
INSERT INTO complaint_statuses VALUES('24241','6846','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 17:30:02','2021-07-05 17:30:02',null);
INSERT INTO complaint_statuses VALUES('24242','6836','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 17:40:10','2021-07-05 17:40:10',null);
INSERT INTO complaint_statuses VALUES('24243','6834','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 17:42:30','2021-07-05 17:42:30',null);
INSERT INTO complaint_statuses VALUES('24244','6829','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 17:55:35','2021-07-05 17:55:35',null);
INSERT INTO complaint_statuses VALUES('24245','7577','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-05 18:10:32','2021-07-06 12:55:42',null);
INSERT INTO complaint_statuses VALUES('24246','6806','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 18:16:43','2021-07-05 18:16:43',null);
INSERT INTO complaint_statuses VALUES('24247','6785','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-05 18:27:03','2021-07-05 18:27:03',null);
INSERT INTO complaint_statuses VALUES('24248','7546','7','12','81','Ok',null,'88','88','2021-07-05 18:49:59','2021-07-05 18:49:59',null);
INSERT INTO complaint_statuses VALUES('24249','7193','7','12','81','Nob change Kar di hy OK 800 f',null,'88','88','2021-07-05 18:51:36','2021-07-05 18:51:36',null);
INSERT INTO complaint_statuses VALUES('24250','7573','7','12','81','OK gas parablam',null,'88','88','2021-07-05 19:33:47','2021-07-05 19:33:47',null);
INSERT INTO complaint_statuses VALUES('24251','7662','3',null,'56',null,'6,july,2021
complaint# G06-004','73','74','2021-07-06 10:37:32','2021-07-06 12:18:24',null);
INSERT INTO complaint_statuses VALUES('24252','7663','2',null,'81',null,null,'73','73','2021-07-06 10:46:07','2021-07-06 10:46:07',null);
INSERT INTO complaint_statuses VALUES('24253','7663','4',null,'62',null,null,'81','81','2021-07-06 10:46:38','2021-07-06 10:46:38',null);
INSERT INTO complaint_statuses VALUES('24254','7664','2',null,'81',null,null,'73','73','2021-07-06 10:55:52','2021-07-06 10:55:52',null);
INSERT INTO complaint_statuses VALUES('24255','7664','4',null,'63',null,null,'81','81','2021-07-06 10:57:03','2021-07-06 10:57:03',null);
INSERT INTO complaint_statuses VALUES('24256','7665','3',null,'52',null,'6,july2021
complaint#PKRI120706106586','73','74','2021-07-06 11:11:18','2021-07-06 15:46:50',null);
INSERT INTO complaint_statuses VALUES('24257','7573','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-06 11:13:51','2021-07-06 13:16:59',null);
INSERT INTO complaint_statuses VALUES('24258','7546','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-06 11:14:15','2021-07-07 11:37:32',null);
INSERT INTO complaint_statuses VALUES('24259','7484','5','25',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-07-06 11:28:55','2021-07-08 12:55:49',null);
INSERT INTO complaint_statuses VALUES('24260','7666','3',null,'54',null,'6,july,2021
complaint#1926076','73','74','2021-07-06 11:30:29','2021-07-06 12:32:13',null);
INSERT INTO complaint_statuses VALUES('24261','7315','7','12','81','complaint reoslved.filter issue',null,'79','79','2021-07-06 11:33:52','2021-07-06 11:33:52',null);
INSERT INTO complaint_statuses VALUES('24262','7667','3',null,'66',null,'6-JUL-2021
COMPLAINT FRWRD TO KASHIF TCL','73','73','2021-07-06 11:38:29','2021-07-06 11:39:58',null);
INSERT INTO complaint_statuses VALUES('24263','7668','3',null,'52',null,'6-JULY-2021
COMPLAINT#PKRI210706112235','73','74','2021-07-06 11:47:56','2021-07-06 15:45:31',null);
INSERT INTO complaint_statuses VALUES('24264','7647','7','22','81','Surf Box Damage. Please guide how to entertain the Complaint.',null,'76','76','2021-07-06 11:54:10','2021-07-06 11:54:10',null);
INSERT INTO complaint_statuses VALUES('24265','7669','2',null,'81',null,null,'73','73','2021-07-06 11:54:26','2021-07-06 11:54:26',null);
INSERT INTO complaint_statuses VALUES('24266','7670','2',null,'81',null,'B.COOL','73','73','2021-07-06 11:56:01','2021-07-06 11:56:01',null);
INSERT INTO complaint_statuses VALUES('24267','7670','4',null,'58',null,null,'81','81','2021-07-06 11:56:45','2021-07-06 11:56:45',null);
INSERT INTO complaint_statuses VALUES('24268','7669','4',null,'58',null,null,'81','81','2021-07-06 11:56:54','2021-07-06 11:56:54',null);
INSERT INTO complaint_statuses VALUES('24269','7470','7','26','81','Guide to the customer on call , no need of visit.',null,'76','76','2021-07-06 11:59:29','2021-07-06 11:59:29',null);
INSERT INTO complaint_statuses VALUES('24270','7595','7','26','81','Drain Pipe Adjustment.',null,'76','76','2021-07-06 12:00:07','2021-07-06 12:00:07',null);
INSERT INTO complaint_statuses VALUES('24271','7595','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-06 12:05:23','2021-07-08 12:53:37',null);
INSERT INTO complaint_statuses VALUES('24272','7401','5','15',null,'COMPLAINT  RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-06 12:07:44','2021-07-08 15:42:00',null);
INSERT INTO complaint_statuses VALUES('24273','7470','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-06 12:09:43','2021-07-08 12:56:43',null);
INSERT INTO complaint_statuses VALUES('24274','7370','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-06 12:11:22','2021-07-06 12:58:53',null);
INSERT INTO complaint_statuses VALUES('24275','7315','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-06 12:13:07','2021-07-06 12:58:24',null);
INSERT INTO complaint_statuses VALUES('24276','7268','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-06 12:14:31','2021-07-08 15:42:43',null);
INSERT INTO complaint_statuses VALUES('24277','7671','2',null,'81',null,null,'73','73','2021-07-06 12:15:10','2021-07-06 12:15:10',null);
INSERT INTO complaint_statuses VALUES('24278','7671','4',null,'55',null,null,'81','81','2021-07-06 12:15:35','2021-07-06 12:15:35',null);
INSERT INTO complaint_statuses VALUES('24279','7234','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-06 12:17:49','2021-07-06 12:57:30',null);
INSERT INTO complaint_statuses VALUES('24280','7672','3',null,'52',null,'6-JUL-2021
COMPLAINT#PKRI210706112449','73','73','2021-07-06 12:18:57','2021-07-06 15:53:22',null);
INSERT INTO complaint_statuses VALUES('24281','7673','3',null,'57',null,'6,JULY,2021
COMPLAINT#19873','73','74','2021-07-06 12:26:06','2021-07-06 12:38:53',null);
INSERT INTO complaint_statuses VALUES('24282','6493','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-06 12:28:33','2021-07-06 12:56:23',null);
INSERT INTO complaint_statuses VALUES('24283','7232','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-06 12:30:49','2021-07-06 12:57:02',null);
INSERT INTO complaint_statuses VALUES('24284','7674','3',null,'52',null,'6-JUL-2021
COMPLAINT#PKRI210706112580','73','73','2021-07-06 12:33:15','2021-07-06 15:56:19',null);
INSERT INTO complaint_statuses VALUES('24285','7623','7','12','81','inlet value issue.complaint reoslved',null,'79','79','2021-07-06 12:38:57','2021-07-06 12:38:57',null);
INSERT INTO complaint_statuses VALUES('24286','7492','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 12:39:53','2021-07-06 12:39:53',null);
INSERT INTO complaint_statuses VALUES('24287','7675','3',null,'53',null,'6,JULY,2021
COMPLAINT#601151077','73','74','2021-07-06 12:43:18','2021-07-06 12:53:23',null);
INSERT INTO complaint_statuses VALUES('24288','7676','3',null,'66',null,'6,JULY,2021
COMPLAINT#PK070620210067','73','74','2021-07-06 12:46:13','2021-07-06 13:01:25',null);
INSERT INTO complaint_statuses VALUES('24289','7147','7','12','81','motor issue bearing chnage kiye hai',null,'79','79','2021-07-06 13:03:26','2021-07-06 13:03:26',null);
INSERT INTO complaint_statuses VALUES('24290','7587','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 13:05:15','2021-07-06 13:05:15',null);
INSERT INTO complaint_statuses VALUES('24291','7677','3',null,'55',null,'6,JULY2021
COMPLAINT#797910','73','74','2021-07-06 13:08:01','2021-07-06 13:18:50',null);
INSERT INTO complaint_statuses VALUES('24292','7678','2',null,'81',null,null,'73','73','2021-07-06 13:17:45','2021-07-06 13:17:45',null);
INSERT INTO complaint_statuses VALUES('24293','7678','4',null,'58',null,null,'81','81','2021-07-06 13:22:04','2021-07-06 13:22:04',null);
INSERT INTO complaint_statuses VALUES('24294','7679','2',null,'81',null,null,'73','73','2021-07-06 13:24:39','2021-07-06 13:24:39',null);
INSERT INTO complaint_statuses VALUES('24295','7679','4',null,'55',null,null,'81','81','2021-07-06 13:25:11','2021-07-06 13:25:11',null);
INSERT INTO complaint_statuses VALUES('24296','7517','7','24','81','coustmer 2 say 3 din k andr Apni LED hmry S/C mover karwa dy ga back light ka issue hy',null,'80','80','2021-07-06 13:28:52','2021-07-06 13:28:52',null);
INSERT INTO complaint_statuses VALUES('24297','7680','2',null,'81',null,null,'73','73','2021-07-06 13:29:34','2021-07-06 13:29:34',null);
INSERT INTO complaint_statuses VALUES('24298','7680','4',null,'58',null,null,'81','81','2021-07-06 13:30:13','2021-07-06 13:30:13',null);
INSERT INTO complaint_statuses VALUES('24299','6819','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 13:32:43','2021-07-06 13:32:43',null);
INSERT INTO complaint_statuses VALUES('24300','7681','3',null,'52',null,'6-JUL-2021
COMPLAINT#PKRI210706112826','73','73','2021-07-06 13:33:28','2021-07-06 16:01:30',null);
INSERT INTO complaint_statuses VALUES('24301','7635','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 13:40:34','2021-07-06 13:40:34',null);
INSERT INTO complaint_statuses VALUES('24302','7287','7','24','81','customer keh rha hy meri firends walo say bat hoe hy wohe ayn gy set pack kr k ly k jaen gy s/c thek krwany hmy nekalna or gari main rakh k lana khatra lag rha hy',null,'80','80','2021-07-06 13:41:05','2021-07-06 13:41:05',null);
INSERT INTO complaint_statuses VALUES('24303','7682','3',null,'57',null,'6,JULY,2021
COMPLAINT#19885','73','74','2021-07-06 13:42:56','2021-07-06 13:56:44',null);
INSERT INTO complaint_statuses VALUES('24304','4526','7','12','81','parts N/A please collect this set',null,'80','80','2021-07-06 13:43:44','2021-07-06 13:43:44',null);
INSERT INTO complaint_statuses VALUES('24305','7683','2',null,'81',null,null,'73','73','2021-07-06 13:45:18','2021-07-06 13:45:18',null);
INSERT INTO complaint_statuses VALUES('24306','7683','4',null,'63',null,null,'81','81','2021-07-06 13:49:42','2021-07-06 13:49:42',null);
INSERT INTO complaint_statuses VALUES('24307','7525','7','24','81','wifi ka issue hy coustmer aj visit kary ga',null,'80','80','2021-07-06 13:53:06','2021-07-06 13:53:06',null);
INSERT INTO complaint_statuses VALUES('24308','7024','5',null,null,'AGAIN COMPLAINT REOPENED',null,'73','73','2021-07-06 13:55:04','2021-07-06 13:55:04',null);
INSERT INTO complaint_statuses VALUES('24309','6888','5',null,null,'ISSUE NOT RESOLVEING',null,'73','73','2021-07-06 13:55:50','2021-07-06 13:55:50',null);
INSERT INTO complaint_statuses VALUES('24310','7684','3',null,'53',null,'6-JUL-2021
COMPLAINT#301148437','73','74','2021-07-06 14:01:03','2021-07-06 14:52:07',null);
INSERT INTO complaint_statuses VALUES('24311','7183','7','12','81','Change Kar diya hy',null,'88','88','2021-07-06 14:18:48','2021-07-06 14:18:48',null);
INSERT INTO complaint_statuses VALUES('24312','6446','7','12','81','Tub change Kar diya hy',null,'88','88','2021-07-06 14:20:05','2021-07-06 14:20:05',null);
INSERT INTO complaint_statuses VALUES('24313','6808','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 14:23:30','2021-07-06 14:23:30',null);
INSERT INTO complaint_statuses VALUES('24314','7685','3',null,'52',null,'6-JUL-2021
COMPLAINT#PKRI210706112900','73','73','2021-07-06 14:25:40','2021-07-06 16:04:55',null);
INSERT INTO complaint_statuses VALUES('24315','7686','3',null,'53',null,'6,JULY,2021
COMPLAINT#1151204','73','74','2021-07-06 14:32:26','2021-07-06 14:40:51',null);
INSERT INTO complaint_statuses VALUES('24316','7505','7','12','81','Azhar bhai ny karwai hy main chuti py tha',null,'82','82','2021-07-06 14:49:13','2021-07-06 14:49:13',null);
INSERT INTO complaint_statuses VALUES('24317','7364','7','12','81','Khuram sab ny karwai hy',null,'82','82','2021-07-06 14:50:15','2021-07-06 14:50:15',null);
INSERT INTO complaint_statuses VALUES('24318','6185','7','24','81','Hanjis chang keye hy butt andr waly bhi garbar kar raha hy',null,'82','82','2021-07-06 14:51:14','2021-07-06 14:51:14',null);
INSERT INTO complaint_statuses VALUES('24319','7687','3',null,'59',null,'6,JULY,2021
COMPLAINT#2241760872','73','74','2021-07-06 14:56:19','2021-07-06 15:18:57',null);
INSERT INTO complaint_statuses VALUES('24320','7688','2',null,'81',null,null,'73','73','2021-07-06 15:08:46','2021-07-06 15:08:46',null);
INSERT INTO complaint_statuses VALUES('24321','7688','4',null,'61',null,null,'81','81','2021-07-06 15:10:53','2021-07-06 15:10:53',null);
INSERT INTO complaint_statuses VALUES('24322','6769','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 15:18:19','2021-07-06 15:18:19',null);
INSERT INTO complaint_statuses VALUES('24323','7689','2',null,'81',null,null,'73','73','2021-07-06 15:19:13','2021-07-06 15:19:13',null);
INSERT INTO complaint_statuses VALUES('24324','6768','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 15:19:38','2021-07-06 15:19:38',null);
INSERT INTO complaint_statuses VALUES('24325','7689','4',null,'58',null,null,'81','81','2021-07-06 15:19:55','2021-07-06 15:19:55',null);
INSERT INTO complaint_statuses VALUES('24326','6758','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 15:21:42','2021-07-06 15:21:42',null);
INSERT INTO complaint_statuses VALUES('24327','6757','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 15:23:48','2021-07-06 15:23:48',null);
INSERT INTO complaint_statuses VALUES('24328','6754','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 15:25:50','2021-07-06 15:25:50',null);
INSERT INTO complaint_statuses VALUES('24329','6753','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 15:27:58','2021-07-06 15:27:58',null);
INSERT INTO complaint_statuses VALUES('24330','6745','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 15:33:01','2021-07-06 15:33:01',null);
INSERT INTO complaint_statuses VALUES('24331','6744','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 15:36:15','2021-07-06 15:36:15',null);
INSERT INTO complaint_statuses VALUES('24332','6733','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 15:46:18','2021-07-06 15:46:18',null);
INSERT INTO complaint_statuses VALUES('24333','6725','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 15:53:06','2021-07-06 15:53:06',null);
INSERT INTO complaint_statuses VALUES('24334','6724','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 15:55:44','2021-07-06 15:55:44',null);
INSERT INTO complaint_statuses VALUES('24335','6721','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 15:58:18','2021-07-06 15:58:18',null);
INSERT INTO complaint_statuses VALUES('24336','6713','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 16:02:53','2021-07-06 16:02:53',null);
INSERT INTO complaint_statuses VALUES('24337','6702','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 16:10:28','2021-07-06 16:10:28',null);
INSERT INTO complaint_statuses VALUES('24338','6700','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 16:16:52','2021-07-06 16:16:52',null);
INSERT INTO complaint_statuses VALUES('24339','7690','2',null,'81',null,null,'74','74','2021-07-06 16:20:43','2021-07-06 16:20:43',null);
INSERT INTO complaint_statuses VALUES('24340','7690','4',null,'61',null,null,'81','81','2021-07-06 16:31:32','2021-07-06 16:31:32',null);
INSERT INTO complaint_statuses VALUES('24341','7690','4',null,'61',null,null,'81','81','2021-07-06 16:31:32','2021-07-06 16:31:32',null);
INSERT INTO complaint_statuses VALUES('24342','7691','3',null,'65',null,'6-JULY-2021
COMPLAINT#192125439','74','92','2021-07-06 16:33:37','2021-07-10 14:07:53',null);
INSERT INTO complaint_statuses VALUES('24343','6695','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 16:34:46','2021-07-06 16:34:46',null);
INSERT INTO complaint_statuses VALUES('24344','6694','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 16:36:33','2021-07-06 16:36:33',null);
INSERT INTO complaint_statuses VALUES('24345','6688','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 16:40:24','2021-07-06 16:40:24',null);
INSERT INTO complaint_statuses VALUES('24346','7692','2',null,'81',null,null,'73','73','2021-07-06 16:41:30','2021-07-06 16:41:30',null);
INSERT INTO complaint_statuses VALUES('24347','7692','4',null,'56',null,null,'81','81','2021-07-06 16:41:55','2021-07-06 16:41:55',null);
INSERT INTO complaint_statuses VALUES('24348','6979','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 16:48:20','2021-07-06 16:48:20',null);
INSERT INTO complaint_statuses VALUES('24349','7693','2',null,'81',null,null,'73','73','2021-07-06 16:48:58','2021-07-06 16:48:58',null);
INSERT INTO complaint_statuses VALUES('24350','7693','4',null,'60',null,null,'81','81','2021-07-06 16:49:49','2021-07-06 16:49:49',null);
INSERT INTO complaint_statuses VALUES('24351','7694','2',null,'81',null,null,'73','73','2021-07-06 16:52:31','2021-07-06 16:52:31',null);
INSERT INTO complaint_statuses VALUES('24352','7694','4',null,'60',null,null,'81','81','2021-07-06 16:53:40','2021-07-06 16:53:40',null);
INSERT INTO complaint_statuses VALUES('24353','6683','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 16:54:53','2021-07-06 16:54:53',null);
INSERT INTO complaint_statuses VALUES('24354','6682','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 16:57:41','2021-07-06 16:57:41',null);
INSERT INTO complaint_statuses VALUES('24355','6681','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 17:00:52','2021-07-06 17:00:52',null);
INSERT INTO complaint_statuses VALUES('24356','6679','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 17:02:23','2021-07-06 17:02:23',null);
INSERT INTO complaint_statuses VALUES('24357','7695','3',null,'67',null,'FRWRD TO AMAAD HASSAN VATTI','73','73','2021-07-06 17:03:56','2021-07-06 17:03:56',null);
INSERT INTO complaint_statuses VALUES('24358','7696','3',null,'52',null,'6-JULY-2021
COMPLAINT#PKRI210706114934','73','74','2021-07-06 17:21:31','2021-07-06 17:26:46',null);
INSERT INTO complaint_statuses VALUES('24359','7697','3',null,'52',null,'6-JULY-2021
COMPLAINT#PKRI210706115189','73','74','2021-07-06 17:31:36','2021-07-06 17:39:46',null);
INSERT INTO complaint_statuses VALUES('24360','6628','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 17:34:41','2021-07-06 17:34:41',null);
INSERT INTO complaint_statuses VALUES('24361','7698','2',null,'81',null,null,'73','73','2021-07-06 17:35:32','2021-07-06 17:35:32',null);
INSERT INTO complaint_statuses VALUES('24362','7698','4',null,'58',null,null,'81','81','2021-07-06 17:36:02','2021-07-06 17:36:02',null);
INSERT INTO complaint_statuses VALUES('24363','7699','3',null,'65',null,'6-JULY-2021
COMPLAINT#192125446','73','74','2021-07-06 17:38:17','2021-07-06 17:52:31',null);
INSERT INTO complaint_statuses VALUES('24364','7700','3',null,'53',null,'06-JULY-2021
COM NO 301151476','73','92','2021-07-06 17:41:36','2021-07-06 17:48:44',null);
INSERT INTO complaint_statuses VALUES('24365','7701','2',null,'81',null,null,'73','73','2021-07-06 17:50:26','2021-07-06 17:50:26',null);
INSERT INTO complaint_statuses VALUES('24366','7701','4',null,'61',null,null,'81','81','2021-07-06 17:51:00','2021-07-06 17:51:00',null);
INSERT INTO complaint_statuses VALUES('24367','6624','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 17:51:34','2021-07-06 17:51:34',null);
INSERT INTO complaint_statuses VALUES('24368','6605','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-06 18:00:37','2021-07-06 18:00:37',null);
INSERT INTO complaint_statuses VALUES('24369','7689','7','12','81','ye ac hum ny nahi lgya ..',null,'79','79','2021-07-07 09:58:10','2021-07-07 09:58:10',null);
INSERT INTO complaint_statuses VALUES('24370','7702','3',null,'52',null,'7-JULY-2021
COMPLAINT#PKRI210707111498','73','74','2021-07-07 10:36:31','2021-07-07 15:14:53',null);
INSERT INTO complaint_statuses VALUES('24371','7703','3',null,'52',null,'7-JULY-2021
COMPLAINT#PKRI210707111676','73','74','2021-07-07 10:40:18','2021-07-07 15:20:24',null);
INSERT INTO complaint_statuses VALUES('24372','7704','3',null,'53',null,'7-JUL-2021
COMPLAINT#301151924','73','73','2021-07-07 10:42:39','2021-07-07 14:32:01',null);
INSERT INTO complaint_statuses VALUES('24373','7623','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-07 10:44:46','2021-07-07 11:29:33',null);
INSERT INTO complaint_statuses VALUES('24374','7705','3',null,'52',null,'7-JULY-2021
COMPLAINT#PKRI21070711725','73','74','2021-07-07 10:45:23','2021-07-07 15:22:02',null);
INSERT INTO complaint_statuses VALUES('24375','7505','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-07 10:46:59','2021-07-08 12:54:45',null);
INSERT INTO complaint_statuses VALUES('24376','7706','2',null,'81',null,null,'73','73','2021-07-07 10:49:25','2021-07-07 10:49:25',null);
INSERT INTO complaint_statuses VALUES('24377','7706','4',null,'58',null,null,'81','81','2021-07-07 10:49:49','2021-07-07 10:49:49',null);
INSERT INTO complaint_statuses VALUES('24378','7183','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-07 10:54:12','2021-07-08 15:43:21',null);
INSERT INTO complaint_statuses VALUES('24379','7707','3',null,'52',null,'07-JULY-2021 COM NO PKRI- 2107061164','73','92','2021-07-07 10:54:23','2021-07-07 14:59:35',null);
INSERT INTO complaint_statuses VALUES('24380','7147','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-07 10:56:39','2021-07-10 17:57:57',null);
INSERT INTO complaint_statuses VALUES('24381','7708','3',null,'97',null,'7-JUL-2021
COMPLAINT#202107005315','73','73','2021-07-07 11:03:02','2021-07-07 13:39:13',null);
INSERT INTO complaint_statuses VALUES('24382','7709','2',null,'81',null,null,'73','73','2021-07-07 11:05:26','2021-07-07 11:05:26',null);
INSERT INTO complaint_statuses VALUES('24383','7709','4',null,'62',null,null,'81','81','2021-07-07 11:05:57','2021-07-07 11:05:57',null);
INSERT INTO complaint_statuses VALUES('24384','6653','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 11:09:22','2021-07-07 11:09:22',null);
INSERT INTO complaint_statuses VALUES('24385','7710','2',null,'81',null,null,'73','73','2021-07-07 11:15:17','2021-07-07 11:15:17',null);
INSERT INTO complaint_statuses VALUES('24386','7710','4',null,'63',null,null,'81','81','2021-07-07 11:15:46','2021-07-07 11:15:46',null);
INSERT INTO complaint_statuses VALUES('24387','7443','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-07 11:20:30','2021-07-07 11:20:30',null);
INSERT INTO complaint_statuses VALUES('24388','6663','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 11:26:56','2021-07-07 11:26:56',null);
INSERT INTO complaint_statuses VALUES('24389','7440','5',null,null,'COMPLAIN COMPLETED',null,'74','74','2021-07-07 11:27:30','2021-07-07 11:27:30',null);
INSERT INTO complaint_statuses VALUES('24390','7711','3',null,'52',null,'7-JULY-2021
COMPLAINT#PKRI210707111831','73','74','2021-07-07 11:29:27','2021-07-07 15:26:37',null);
INSERT INTO complaint_statuses VALUES('24391','7712','2',null,'81',null,null,'73','73','2021-07-07 11:34:16','2021-07-07 11:34:16',null);
INSERT INTO complaint_statuses VALUES('24392','7438','5',null,null,'ISSUED RESSOLVED',null,'74','74','2021-07-07 11:34:34','2021-07-07 11:34:34',null);
INSERT INTO complaint_statuses VALUES('24393','7712','4',null,'63',null,null,'81','81','2021-07-07 11:37:25','2021-07-07 11:37:25',null);
INSERT INTO complaint_statuses VALUES('24394','7713','3',null,'52',null,'7-JULY-2021
COMPLAINT#-PKRI210707112319','73','74','2021-07-07 11:40:16','2021-07-07 15:44:29',null);
INSERT INTO complaint_statuses VALUES('24395','7714','3',null,'53',null,'7-JUL-2021
COMPLAINT#301151948','73','73','2021-07-07 11:46:55','2021-07-07 14:47:08',null);
INSERT INTO complaint_statuses VALUES('24396','7715','3',null,'52',null,'7-JULY-2021
COMPLAINT#210707112499','73','74','2021-07-07 11:51:22','2021-07-07 15:52:29',null);
INSERT INTO complaint_statuses VALUES('24397','7716','3',null,'52',null,'7-JULY-2021
COMPLAINT#210707112465','73','74','2021-07-07 11:52:27','2021-07-07 15:51:31',null);
INSERT INTO complaint_statuses VALUES('24398','7432','5',null,null,'ISSUED RESOLVED',null,'74','74','2021-07-07 11:56:01','2021-07-07 11:56:01',null);
INSERT INTO complaint_statuses VALUES('24399','7717','3',null,'80',null,'FRWRD TO AMNA BOSCH& SAJJAD BHATTI&TAHIR','73','73','2021-07-07 11:58:37','2021-07-07 17:28:02',null);
INSERT INTO complaint_statuses VALUES('24400','7718','3',null,'53',null,'7-JUL-2021
COMPLAINT#301151943','73','73','2021-07-07 12:01:06','2021-07-07 14:43:20',null);
INSERT INTO complaint_statuses VALUES('24401','7429','5',null,null,'ISSUED RESOLVED COMPLAIN COMPLETED',null,'74','74','2021-07-07 12:03:44','2021-07-07 12:03:44',null);
INSERT INTO complaint_statuses VALUES('24402','7719','3',null,'52',null,'7-JULY-2021
COMPLAINT#210707112378','73','74','2021-07-07 12:05:41','2021-07-07 15:50:38',null);
INSERT INTO complaint_statuses VALUES('24403','7621','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-07 12:10:33','2021-07-07 12:10:33',null);
INSERT INTO complaint_statuses VALUES('24404','7720','3',null,'53',null,'7-JUL-2021
COMPLAINT#301151938','73','73','2021-07-07 12:11:35','2021-07-07 14:39:29',null);
INSERT INTO complaint_statuses VALUES('24405','7619','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-07 12:11:51','2021-07-07 12:11:51',null);
INSERT INTO complaint_statuses VALUES('24406','7721','3',null,'52',null,'7-JULY-2021
COMPLAINT#210707110570','73','74','2021-07-07 12:14:52','2021-07-07 14:47:04',null);
INSERT INTO complaint_statuses VALUES('24407','7616','7','26','81','CUSTOMER GHR NHI, CL KREIN GE TO RESOLVE KRWA DNGA MAI SO PLZ NOW CLOSE IT',null,'87','87','2021-07-07 12:15:17','2021-07-07 12:15:17',null);
INSERT INTO complaint_statuses VALUES('24408','7722','2',null,'81',null,null,'73','73','2021-07-07 12:23:08','2021-07-07 12:23:08',null);
INSERT INTO complaint_statuses VALUES('24409','7722','4',null,'58',null,null,'81','81','2021-07-07 12:23:36','2021-07-07 12:23:36',null);
INSERT INTO complaint_statuses VALUES('24410','7408','5',null,null,'ISSUED RESOLVED COMPLAIN COMPLETED',null,'74','74','2021-07-07 12:24:16','2021-07-07 12:24:16',null);
INSERT INTO complaint_statuses VALUES('24411','7723','3',null,'53',null,'7-JUL-2021
COMPLAINT#301151930','73','73','2021-07-07 12:25:52','2021-07-07 14:35:28',null);
INSERT INTO complaint_statuses VALUES('24412','7724','3',null,'52',null,'7-JULY-2021
COMPLAINT#PKRI210707110480','73','74','2021-07-07 12:27:49','2021-07-07 14:45:55',null);
INSERT INTO complaint_statuses VALUES('24413','7403','5',null,null,'COMPLAINT CAOMPLETED ISSUED RESOLVED',null,'74','74','2021-07-07 12:32:02','2021-07-07 12:32:02',null);
INSERT INTO complaint_statuses VALUES('24414','7725','3',null,'52',null,'7-JULY-2021
COMPLAINT#PKRI2
10707110424
COMPLAINT REOPEN#PKRI210713109193','73','74','2021-07-07 12:33:57','2021-07-13 14:13:55',null);
INSERT INTO complaint_statuses VALUES('24415','7726','3',null,'65',null,'7-JUL-2021
COMPLAINT#192125479','73','73','2021-07-07 12:42:16','2021-07-07 13:34:40',null);
INSERT INTO complaint_statuses VALUES('24416','5975','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 12:51:57','2021-07-07 12:51:57',null);
INSERT INTO complaint_statuses VALUES('24417','7727','3',null,'52',null,'7-JULY-2021
COMPLAINT#210707112566','73','74','2021-07-07 13:08:00','2021-07-07 15:52:59',null);
INSERT INTO complaint_statuses VALUES('24418','7385','5',null,null,'ISSUED RESOLVED COMPLAINT COMPLETED',null,'74','74','2021-07-07 13:08:02','2021-07-07 13:08:02',null);
INSERT INTO complaint_statuses VALUES('24419','7728','3',null,'54',null,'7-JLUY-2021
COMPLAINT#1928029','73','74','2021-07-07 13:13:09','2021-07-07 15:04:00',null);
INSERT INTO complaint_statuses VALUES('24420','6120','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 13:16:28','2021-07-07 13:16:28',null);
INSERT INTO complaint_statuses VALUES('24421','7729','3',null,'52',null,'7-JULY-2021
COMPLAINT#PKRI210707110254','73','74','2021-07-07 13:17:18','2021-07-07 14:33:39',null);
INSERT INTO complaint_statuses VALUES('24422','7378','5',null,null,'COMPLAINED CLOSED ISSUE RESOLVED',null,'74','74','2021-07-07 13:18:29','2021-07-07 13:18:29',null);
INSERT INTO complaint_statuses VALUES('24423','6162','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 13:20:50','2021-07-07 13:20:50',null);
INSERT INTO complaint_statuses VALUES('24424','7376','5',null,null,'ISSUED RESOLVED COMPLAINT  CLOSED',null,'74','74','2021-07-07 13:21:06','2021-07-07 13:21:06',null);
INSERT INTO complaint_statuses VALUES('24425','7553','8','23','61','approved',null,'81','81','2021-07-07 13:22:44','2021-07-07 13:22:44',null);
INSERT INTO complaint_statuses VALUES('24426','7730','3',null,'65',null,'7-JUL-2021
COMPLAINT#192125478','73','73','2021-07-07 13:22:54','2021-07-07 13:32:20',null);
INSERT INTO complaint_statuses VALUES('24427','7731','2',null,'81',null,null,'73','73','2021-07-07 13:22:56','2021-07-07 13:22:56',null);
INSERT INTO complaint_statuses VALUES('24428','7366','5',null,null,'ISSUED RESOLVED',null,'74','74','2021-07-07 13:23:50','2021-07-07 13:23:50',null);
INSERT INTO complaint_statuses VALUES('24429','6263','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 13:24:35','2021-07-07 13:24:35',null);
INSERT INTO complaint_statuses VALUES('24430','7731','4',null,'63',null,null,'81','81','2021-07-07 13:24:46','2021-07-07 13:24:46',null);
INSERT INTO complaint_statuses VALUES('24431','7343','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-07 13:38:25','2021-07-07 13:38:25',null);
INSERT INTO complaint_statuses VALUES('24432','6412','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 13:41:09','2021-07-07 13:41:09',null);
INSERT INTO complaint_statuses VALUES('24433','7732','2',null,'81',null,null,'73','73','2021-07-07 13:42:10','2021-07-07 13:42:10',null);
INSERT INTO complaint_statuses VALUES('24434','7732','4',null,'60',null,null,'81','81','2021-07-07 13:43:14','2021-07-07 13:43:14',null);
INSERT INTO complaint_statuses VALUES('24435','7733','3',null,'52',null,'7-JULY-2021 COMPLAINT#PKRI2107071100142','73','74','2021-07-07 13:49:13','2021-07-07 14:30:34',null);
INSERT INTO complaint_statuses VALUES('24436','7734','2',null,'81',null,null,'73','73','2021-07-07 13:53:29','2021-07-07 13:53:29',null);
INSERT INTO complaint_statuses VALUES('24437','7622','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 13:57:33','2021-07-07 13:57:33',null);
INSERT INTO complaint_statuses VALUES('24438','7620','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 14:00:56','2021-07-07 14:00:56',null);
INSERT INTO complaint_statuses VALUES('24439','7735','2',null,'81',null,null,'73','73','2021-07-07 14:02:16','2021-07-07 14:02:16',null);
INSERT INTO complaint_statuses VALUES('24440','7734','4',null,'60',null,null,'81','81','2021-07-07 14:03:23','2021-07-07 14:03:23',null);
INSERT INTO complaint_statuses VALUES('24441','7735','4',null,'63',null,null,'81','81','2021-07-07 14:03:34','2021-07-07 14:03:34',null);
INSERT INTO complaint_statuses VALUES('24442','7614','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 14:09:38','2021-07-07 14:09:38',null);
INSERT INTO complaint_statuses VALUES('24443','7613','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 14:12:17','2021-07-07 14:12:17',null);
INSERT INTO complaint_statuses VALUES('24444','7736','2',null,'81',null,'7-JULY-2021
COMPLAINT#1152144','73','74','2021-07-07 14:15:24','2021-07-07 17:34:01',null);
INSERT INTO complaint_statuses VALUES('24445','7736','4',null,'58',null,null,'81','81','2021-07-07 14:20:56','2021-07-07 14:20:56',null);
INSERT INTO complaint_statuses VALUES('24446','7607','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 14:36:05','2021-07-07 14:36:05',null);
INSERT INTO complaint_statuses VALUES('24447','7606','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 14:39:18','2021-07-07 14:39:18',null);
INSERT INTO complaint_statuses VALUES('24448','7709','7','22','81','COMP',null,'87','87','2021-07-07 14:42:51','2021-07-07 14:42:51',null);
INSERT INTO complaint_statuses VALUES('24449','7603','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 14:43:53','2021-07-07 14:43:53',null);
INSERT INTO complaint_statuses VALUES('24450','7663','7','26','81','CUSTOMER GHR PER NHI, CL KREIN GE TO OK KRWA DNGA',null,'87','87','2021-07-07 14:44:17','2021-07-07 14:44:17',null);
INSERT INTO complaint_statuses VALUES('24451','7512','7','12','81','ISSUE RESOLVED BY KHURRAM SB',null,'87','87','2021-07-07 15:00:24','2021-07-07 15:00:24',null);
INSERT INTO complaint_statuses VALUES('24452','7737','2',null,'81',null,null,'73','73','2021-07-07 15:01:36','2021-07-07 15:01:36',null);
INSERT INTO complaint_statuses VALUES('24453','7737','4',null,'55',null,null,'81','81','2021-07-07 15:02:02','2021-07-07 15:02:02',null);
INSERT INTO complaint_statuses VALUES('24454','7738','3',null,'52',null,'7-JULY-2021
COMPLAINT#PKRI210707113117','73','74','2021-07-07 15:04:12','2021-07-07 16:11:36',null);
INSERT INTO complaint_statuses VALUES('24455','7596','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 15:04:59','2021-07-07 15:04:59',null);
INSERT INTO complaint_statuses VALUES('24456','7642','7','12','81','compliant resolved servic kiahia',null,'79','79','2021-07-07 15:09:50','2021-07-07 15:09:50',null);
INSERT INTO complaint_statuses VALUES('24457','7585','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 15:11:48','2021-07-07 15:11:48',null);
INSERT INTO complaint_statuses VALUES('24458','7739','2',null,'81',null,null,'73','73','2021-07-07 15:13:56','2021-07-07 15:13:56',null);
INSERT INTO complaint_statuses VALUES('24459','7739','4',null,'55',null,null,'81','81','2021-07-07 15:14:47','2021-07-07 15:14:47',null);
INSERT INTO complaint_statuses VALUES('24460','7740','2',null,'81',null,null,'73','73','2021-07-07 15:20:03','2021-07-07 15:20:03',null);
INSERT INTO complaint_statuses VALUES('24461','7740','4',null,'62',null,null,'81','81','2021-07-07 15:20:31','2021-07-07 15:20:31',null);
INSERT INTO complaint_statuses VALUES('24462','7576','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 15:34:04','2021-07-07 15:34:04',null);
INSERT INTO complaint_statuses VALUES('24463','7741','2',null,'81',null,null,'73','73','2021-07-07 15:34:54','2021-07-07 15:34:54',null);
INSERT INTO complaint_statuses VALUES('24464','7741','4',null,'58',null,null,'81','81','2021-07-07 15:35:17','2021-07-07 15:35:17',null);
INSERT INTO complaint_statuses VALUES('24465','7742','3',null,'52',null,'7-JULY-2021
COMPLAINT#PKRI210707113220','73','74','2021-07-07 15:50:11','2021-07-07 16:14:43',null);
INSERT INTO complaint_statuses VALUES('24466','7743','2',null,'81',null,null,'73','73','2021-07-07 15:54:49','2021-07-07 15:54:49',null);
INSERT INTO complaint_statuses VALUES('24467','7743','4',null,'58',null,null,'81','81','2021-07-07 15:55:16','2021-07-07 15:55:16',null);
INSERT INTO complaint_statuses VALUES('24468','7744','3',null,'55',null,'7-JUL-2021
COMPLAINT#ISB-798896','73','73','2021-07-07 16:11:19','2021-07-07 16:37:36',null);
INSERT INTO complaint_statuses VALUES('24469','7745','3',null,'52',null,'7-JULY-2021
COMPLAINT#PKRI210707113760','73','74','2021-07-07 16:17:56','2021-07-07 16:36:48',null);
INSERT INTO complaint_statuses VALUES('24470','7559','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 16:30:14','2021-07-07 16:30:14',null);
INSERT INTO complaint_statuses VALUES('24471','7746','3',null,'59',null,'REF TO SAQIB FCP(WHOLESALE)
COMPLAINT#4247131363','73','73','2021-07-07 16:30:32','2021-07-07 16:50:14',null);
INSERT INTO complaint_statuses VALUES('24472','7569','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 16:33:54','2021-07-07 16:44:28',null);
INSERT INTO complaint_statuses VALUES('24473','7572','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 16:50:59','2021-07-07 16:50:59',null);
INSERT INTO complaint_statuses VALUES('24474','7736','7','12','81','ye ac hum ny nahi lgya',null,'79','79','2021-07-07 17:00:14','2021-07-07 17:00:14',null);
INSERT INTO complaint_statuses VALUES('24475','7747','3',null,'55',null,'7-JUL-2021
COMPLAINT#798970','73','73','2021-07-07 17:02:00','2021-07-07 17:32:01',null);
INSERT INTO complaint_statuses VALUES('24476','7558','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 17:05:10','2021-07-07 17:05:10',null);
INSERT INTO complaint_statuses VALUES('24477','7748','3',null,'55',null,'7-JUL-2021
COMPLAINT#ISB-798966','73','73','2021-07-07 17:13:03','2021-07-07 17:30:21',null);
INSERT INTO complaint_statuses VALUES('24478','7749','3',null,'53',null,'7-JULY-2021
COMPLAINT#301152127','73','74','2021-07-07 17:17:37','2021-07-07 17:30:54',null);
INSERT INTO complaint_statuses VALUES('24479','7750','3',null,'65',null,'7-JUL-2021
COMPLAINT#192125497','73','73','2021-07-07 17:19:42','2021-07-07 17:24:02',null);
INSERT INTO complaint_statuses VALUES('24480','7552','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 17:31:47','2021-07-07 17:31:47',null);
INSERT INTO complaint_statuses VALUES('24481','7556','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 17:33:36','2021-07-07 17:33:36',null);
INSERT INTO complaint_statuses VALUES('24482','7751','3',null,'53',null,'7-JUL-2021
COMPLAINT#301152146','73','92','2021-07-07 17:36:37','2021-07-09 15:18:32',null);
INSERT INTO complaint_statuses VALUES('24483','7752','3',null,'55',null,'7-JULY-2021
COMPLAINT#798981','73','74','2021-07-07 17:39:39','2021-07-07 17:48:17',null);
INSERT INTO complaint_statuses VALUES('24484','7753','2',null,'81',null,null,'73','73','2021-07-07 17:44:11','2021-07-07 17:44:11',null);
INSERT INTO complaint_statuses VALUES('24485','7608','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-07 17:51:47','2021-07-07 17:51:47',null);
INSERT INTO complaint_statuses VALUES('24486','7753','4',null,'62',null,null,'81','81','2021-07-07 17:53:02','2021-07-07 17:53:02',null);
INSERT INTO complaint_statuses VALUES('24487','7548','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 17:53:20','2021-07-07 17:53:20',null);
INSERT INTO complaint_statuses VALUES('24488','7547','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 17:57:10','2021-07-07 17:57:10',null);
INSERT INTO complaint_statuses VALUES('24489','7544','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 17:59:42','2021-07-07 17:59:42',null);
INSERT INTO complaint_statuses VALUES('24490','7754','3',null,'65',null,'8-JUL-2021
COMPLAINT#192125508','73','73','2021-07-07 18:00:19','2021-07-08 10:32:15',null);
INSERT INTO complaint_statuses VALUES('24491','7536','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-07 18:02:14','2021-07-07 18:02:14',null);
INSERT INTO complaint_statuses VALUES('24492','7755','3',null,'53',null,'8-JUL-2021
COMPLAINT#301152262','73','73','2021-07-07 18:04:07','2021-07-08 10:35:19',null);
INSERT INTO complaint_statuses VALUES('24493','7756','2',null,'81',null,null,'73','73','2021-07-07 18:33:27','2021-07-07 18:33:27',null);
INSERT INTO complaint_statuses VALUES('24494','7757','2',null,'81',null,null,'73','73','2021-07-07 18:34:29','2021-07-07 18:34:29',null);
INSERT INTO complaint_statuses VALUES('24495','7757','4',null,'61',null,null,'81','81','2021-07-07 18:35:09','2021-07-07 18:35:09',null);
INSERT INTO complaint_statuses VALUES('24496','7756','4',null,'61',null,null,'81','81','2021-07-07 18:35:19','2021-07-07 18:35:19',null);
INSERT INTO complaint_statuses VALUES('24497','7680','7','12','81','compliant resolved,drain pipe issue',null,'79','79','2021-07-07 18:52:02','2021-07-07 18:52:02',null);
INSERT INTO complaint_statuses VALUES('24498','7756','7','12','81','smps repair  5000/- 
uni ok plz arange collection',null,'83','83','2021-07-07 20:05:41','2021-07-07 20:05:41',null);
INSERT INTO complaint_statuses VALUES('24499','7757','7','12','81','usb port repair  2000/- 
plz arange collection of unit',null,'83','83','2021-07-07 20:06:51','2021-07-07 20:06:51',null);
INSERT INTO complaint_statuses VALUES('24500','7664','7','12','81','Gas like the ok',null,'88','88','2021-07-08 10:04:46','2021-07-08 10:04:46',null);
INSERT INTO complaint_statuses VALUES('24501','7758','3',null,'55',null,'8-JUL-2021
COMPLAINT#ISB-13241','73','73','2021-07-08 10:39:20','2021-07-08 13:33:06',null);
INSERT INTO complaint_statuses VALUES('24502','7759','3',null,'53',null,'8-JUL-2021
COMPLAINT#301152518','73','73','2021-07-08 10:44:13','2021-07-08 13:42:27',null);
INSERT INTO complaint_statuses VALUES('24503','7760','2',null,'81',null,null,'73','73','2021-07-08 10:56:02','2021-07-08 10:56:02',null);
INSERT INTO complaint_statuses VALUES('24504','7760','4',null,'60',null,null,'81','81','2021-07-08 10:58:40','2021-07-08 10:58:40',null);
INSERT INTO complaint_statuses VALUES('24505','7736','5','15',null,'COMPLAINT FF COMPAINE','COMPLAINT RESOLVED','81','92','2021-07-08 11:00:11','2021-07-08 15:40:31',null);
INSERT INTO complaint_statuses VALUES('24506','7689','5','15',null,'COMPLAINT FF TO COMPAINE','COMPLAINT COMPLETED','81','92','2021-07-08 11:01:00','2021-07-08 15:41:03',null);
INSERT INTO complaint_statuses VALUES('24507','7680','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-08 11:02:07','2021-07-08 12:38:07',null);
INSERT INTO complaint_statuses VALUES('24508','7664','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-08 11:03:22','2021-07-08 12:38:55',null);
INSERT INTO complaint_statuses VALUES('24509','7642','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-08 11:05:36','2021-07-08 12:39:50',null);
INSERT INTO complaint_statuses VALUES('24510','7621','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-08 11:08:59','2021-07-08 12:40:52',null);
INSERT INTO complaint_statuses VALUES('24511','7619','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-08 11:09:49','2021-07-08 12:51:16',null);
INSERT INTO complaint_statuses VALUES('24512','7706','7','12','81','complaint resolved,darin issue',null,'79','79','2021-07-08 11:10:33','2021-07-08 11:10:33',null);
INSERT INTO complaint_statuses VALUES('24513','7608','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-08 11:14:14','2021-07-08 12:51:46',null);
INSERT INTO complaint_statuses VALUES('24514','7301','7','12','81','agr ho gya hai tu closed  kr dein',null,'79','79','2021-07-08 11:20:40','2021-07-08 11:20:40',null);
INSERT INTO complaint_statuses VALUES('24515','7761','2',null,'81',null,null,'73','73','2021-07-08 11:21:02','2021-07-08 11:21:02',null);
INSERT INTO complaint_statuses VALUES('24516','7500','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 11:21:57','2021-07-08 11:21:57',null);
INSERT INTO complaint_statuses VALUES('24517','7761','4',null,'58',null,null,'81','81','2021-07-08 11:22:18','2021-07-08 11:22:18',null);
INSERT INTO complaint_statuses VALUES('24518','7762','3',null,'55',null,'8-JUL-2021
COMPLAINT#RWP-21904','73','73','2021-07-08 11:29:05','2021-07-08 13:29:17',null);
INSERT INTO complaint_statuses VALUES('24519','7661','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-08 11:35:03','2021-07-08 11:35:03',null);
INSERT INTO complaint_statuses VALUES('24520','7763','3',null,'52',null,'8-JUL-2021
COSTUMER ALREADY LAUNCHED COMPLAINT....','73','73','2021-07-08 11:36:55','2021-07-08 12:05:42',null);
INSERT INTO complaint_statuses VALUES('24521','7764','2',null,'81',null,null,'73','73','2021-07-08 11:43:06','2021-07-08 11:43:06',null);
INSERT INTO complaint_statuses VALUES('24522','7764','4',null,'60',null,null,'81','81','2021-07-08 11:44:37','2021-07-08 11:44:37',null);
INSERT INTO complaint_statuses VALUES('24523','7490','5',null,null,'ISSUED RESOLVED COMPLAINT CLEARED',null,'74','74','2021-07-08 11:49:59','2021-07-08 11:49:59',null);
INSERT INTO complaint_statuses VALUES('24524','7479','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 11:57:07','2021-07-08 11:57:07',null);
INSERT INTO complaint_statuses VALUES('24525','7653','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-08 12:04:54','2021-07-08 12:04:54',null);
INSERT INTO complaint_statuses VALUES('24526','7476','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 12:06:38','2021-07-08 12:06:38',null);
INSERT INTO complaint_statuses VALUES('24527','7471','5',null,null,'ISSUED RESOLVED',null,'74','74','2021-07-08 12:09:24','2021-07-08 12:09:24',null);
INSERT INTO complaint_statuses VALUES('24528','7765','3',null,'52',null,'8-JUL-2021
COMPLAINT#PKRI210708112786','73','73','2021-07-08 12:10:57','2021-07-08 16:05:32',null);
INSERT INTO complaint_statuses VALUES('24529','7468','5',null,null,'ISSUED RESOLVED COMPLAINT COMPLETED',null,'74','74','2021-07-08 12:13:25','2021-07-08 12:13:25',null);
INSERT INTO complaint_statuses VALUES('24530','7464','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 12:18:27','2021-07-08 12:18:27',null);
INSERT INTO complaint_statuses VALUES('24531','7561','7','12','81','Drain Pipe Adjustment.','COMPLAINT RESOLVED','76','74','2021-07-08 12:25:01','2021-07-14 14:04:02',null);
INSERT INTO complaint_statuses VALUES('24532','7698','7','12','81','next in ki visit nahi kry gain  ,issue bhi custoemr ki tarf sy tha .or visit charges bhi nahi deye...hum next tb visit kry gainjb ye pwnding celar kry gain',null,'79','79','2021-07-08 12:25:10','2021-07-08 12:25:10',null);
INSERT INTO complaint_statuses VALUES('24533','7766','3',null,'53',null,'8-JUL-2021
COMPLAINT#301152514','73','73','2021-07-08 12:25:21','2021-07-08 13:42:07',null);
INSERT INTO complaint_statuses VALUES('24534','7650','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-08 12:28:14','2021-07-08 12:28:14',null);
INSERT INTO complaint_statuses VALUES('24535','7767','2',null,'81',null,null,'73','73','2021-07-08 12:30:16','2021-07-08 12:30:16',null);
INSERT INTO complaint_statuses VALUES('24536','7649','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-08 12:30:29','2021-07-08 12:30:29',null);
INSERT INTO complaint_statuses VALUES('24537','7767','4',null,'61',null,null,'81','81','2021-07-08 12:31:01','2021-07-08 12:31:01',null);
INSERT INTO complaint_statuses VALUES('24538','7648','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-08 12:34:27','2021-07-08 12:34:27',null);
INSERT INTO complaint_statuses VALUES('24539','7453','5',null,null,'COMPLAIN COMPLETED',null,'74','74','2021-07-08 12:37:41','2021-07-08 12:37:41',null);
INSERT INTO complaint_statuses VALUES('24540','7768','3',null,'52',null,'8-JUL-2021
COMPLAINT#PKRI210708112554','73','73','2021-07-08 12:37:42','2021-07-08 16:01:01',null);
INSERT INTO complaint_statuses VALUES('24541','7451','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 12:41:03','2021-07-08 12:41:03',null);
INSERT INTO complaint_statuses VALUES('24542','7769','2',null,'81',null,'INVOICE#135818
D.O.P#11-JUN-2017
MODEL#SY35D','73','73','2021-07-08 12:49:40','2021-07-12 12:01:35',null);
INSERT INTO complaint_statuses VALUES('24543','7658','7','12','81','Drain Pipe Adjustment.',null,'76','76','2021-07-08 12:49:54','2021-07-08 12:49:54',null);
INSERT INTO complaint_statuses VALUES('24544','7590','7','12','81','PCB IN SVC(No Power)',null,'76','76','2021-07-08 12:51:20','2021-07-08 12:51:20',null);
INSERT INTO complaint_statuses VALUES('24545','7770','3',null,'67',null,'8-JUL-2021
FRWRD TO ANWER CARAVELL','73','73','2021-07-08 13:07:02','2021-07-08 13:11:54',null);
INSERT INTO complaint_statuses VALUES('24546','7771','2',null,'81',null,null,'73','73','2021-07-08 13:15:02','2021-07-08 13:15:02',null);
INSERT INTO complaint_statuses VALUES('24547','7771','4',null,'58',null,null,'81','81','2021-07-08 13:21:53','2021-07-08 13:21:53',null);
INSERT INTO complaint_statuses VALUES('24548','7769','4',null,'58',null,null,'81','81','2021-07-08 13:22:01','2021-07-08 13:22:01',null);
INSERT INTO complaint_statuses VALUES('24549','7306','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 13:30:07','2021-07-08 13:30:07',null);
INSERT INTO complaint_statuses VALUES('24550','7288','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 13:39:20','2021-07-08 13:39:20',null);
INSERT INTO complaint_statuses VALUES('24551','5933','7','12','81','collected by aslam sab',null,'77','77','2021-07-08 13:48:39','2021-07-08 13:48:39',null);
INSERT INTO complaint_statuses VALUES('24552','5275','7','12','81','completed and collectef',null,'77','77','2021-07-08 13:49:11','2021-07-08 13:49:11',null);
INSERT INTO complaint_statuses VALUES('24553','7640','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-08 13:54:07','2021-07-08 13:54:07',null);
INSERT INTO complaint_statuses VALUES('24554','7246','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 14:02:09','2021-07-08 14:02:09',null);
INSERT INTO complaint_statuses VALUES('24555','7772','2',null,'81',null,null,'73','73','2021-07-08 14:04:19','2021-07-08 14:04:19',null);
INSERT INTO complaint_statuses VALUES('24556','7237','5',null,null,'COMPLAINT COMPLEDTED',null,'74','74','2021-07-08 14:04:36','2021-07-08 14:04:36',null);
INSERT INTO complaint_statuses VALUES('24557','7772','4',null,'58',null,null,'81','81','2021-07-08 14:05:29','2021-07-08 14:05:29',null);
INSERT INTO complaint_statuses VALUES('24558','7636','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-08 14:18:51','2021-07-08 14:18:51',null);
INSERT INTO complaint_statuses VALUES('24559','7773','2',null,'81',null,null,'73','73','2021-07-08 14:24:28','2021-07-08 14:24:28',null);
INSERT INTO complaint_statuses VALUES('24560','7773','4',null,'58',null,null,'81','81','2021-07-08 14:25:05','2021-07-08 14:25:05',null);
INSERT INTO complaint_statuses VALUES('24561','7601','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-08 14:42:06','2021-07-08 14:42:06',null);
INSERT INTO complaint_statuses VALUES('24562','7155','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 14:48:39','2021-07-08 14:48:39',null);
INSERT INTO complaint_statuses VALUES('24563','7132','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 14:54:07','2021-07-08 14:54:07',null);
INSERT INTO complaint_statuses VALUES('24564','7774','3',null,'72',null,'8-JUL-2021
COMPLAINT#192125562','73','73','2021-07-08 15:18:46','2021-07-08 16:18:40',null);
INSERT INTO complaint_statuses VALUES('24565','7775','2',null,'81',null,null,'73','73','2021-07-08 15:21:16','2021-07-08 15:21:16',null);
INSERT INTO complaint_statuses VALUES('24566','7776','3',null,'65',null,'8-JUL-2021
COMPLAINT#192125561','73','73','2021-07-08 15:28:41','2021-07-08 16:13:38',null);
INSERT INTO complaint_statuses VALUES('24567','7670','7','12','81','ye insatll kerna tha , complaint nahi hai',null,'79','79','2021-07-08 15:30:15','2021-07-08 15:30:15',null);
INSERT INTO complaint_statuses VALUES('24568','7777','2',null,'81',null,null,'73','73','2021-07-08 15:32:06','2021-07-08 15:32:06',null);
INSERT INTO complaint_statuses VALUES('24569','7632','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-08 15:35:55','2021-07-08 15:35:55',null);
INSERT INTO complaint_statuses VALUES('24570','7778','3',null,'52',null,'8-JUL-2021
COMLAINT#PKRI210708112416','73','73','2021-07-08 15:37:10','2021-07-08 15:56:41',null);
INSERT INTO complaint_statuses VALUES('24571','7779','2',null,'81',null,null,'73','73','2021-07-08 15:40:44','2021-07-08 15:40:44',null);
INSERT INTO complaint_statuses VALUES('24572','7779','4',null,'62',null,null,'81','81','2021-07-08 15:41:46','2021-07-08 15:41:46',null);
INSERT INTO complaint_statuses VALUES('24573','7777','4',null,'58',null,null,'81','81','2021-07-08 15:41:52','2021-07-08 15:41:52',null);
INSERT INTO complaint_statuses VALUES('24574','7775','4',null,'58',null,null,'81','81','2021-07-08 15:42:02','2021-07-08 15:42:02',null);
INSERT INTO complaint_statuses VALUES('24575','7051','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 15:43:54','2021-07-08 15:43:54',null);
INSERT INTO complaint_statuses VALUES('24576','7780','2',null,'81',null,null,'73','73','2021-07-08 15:45:26','2021-07-08 15:45:26',null);
INSERT INTO complaint_statuses VALUES('24577','7780','4',null,'55',null,null,'81','81','2021-07-08 15:45:48','2021-07-08 15:45:48',null);
INSERT INTO complaint_statuses VALUES('24578','7049','5',null,null,'ISSUED SOLVED',null,'74','74','2021-07-08 15:50:24','2021-07-08 15:50:24',null);
INSERT INTO complaint_statuses VALUES('24579','7048','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 15:53:25','2021-07-08 15:53:25',null);
INSERT INTO complaint_statuses VALUES('24580','7630','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-08 15:55:15','2021-07-08 15:55:15',null);
INSERT INTO complaint_statuses VALUES('24581','7018','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 16:03:42','2021-07-08 16:03:42',null);
INSERT INTO complaint_statuses VALUES('24582','7017','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 16:07:11','2021-07-08 16:07:11',null);
INSERT INTO complaint_statuses VALUES('24583','6995','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 16:19:29','2021-07-08 16:19:29',null);
INSERT INTO complaint_statuses VALUES('24584','7781','3',null,'52',null,'8-JUL-2021
COMPLAINT#PKRI210708113560','73','73','2021-07-08 16:32:54','2021-07-08 16:36:46',null);
INSERT INTO complaint_statuses VALUES('24585','7757','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-07-08 16:33:00','2021-07-08 17:33:03',null);
INSERT INTO complaint_statuses VALUES('24586','7756','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-07-08 16:34:11','2021-07-08 17:33:29',null);
INSERT INTO complaint_statuses VALUES('24587','6989','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 16:34:33','2021-07-08 16:34:33',null);
INSERT INTO complaint_statuses VALUES('24588','7706','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-07-08 16:34:42','2021-07-10 17:12:01',null);
INSERT INTO complaint_statuses VALUES('24589','7698','5','15',null,null,'COMPLAINT COMPLETED','81','92','2021-07-08 16:35:19','2021-07-10 17:17:50',null);
INSERT INTO complaint_statuses VALUES('24590','7670','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-07-08 16:35:48','2021-07-10 17:38:14',null);
INSERT INTO complaint_statuses VALUES('24591','7663','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-07-08 16:36:18','2021-07-10 17:39:07',null);
INSERT INTO complaint_statuses VALUES('24592','7658','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-07-08 16:36:33','2021-07-10 17:40:17',null);
INSERT INTO complaint_statuses VALUES('24593','6984','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 16:36:38','2021-07-08 16:36:38',null);
INSERT INTO complaint_statuses VALUES('24594','7628','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-08 16:36:43','2021-07-08 16:36:43',null);
INSERT INTO complaint_statuses VALUES('24595','7601','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-07-08 16:38:31','2021-07-10 17:49:56',null);
INSERT INTO complaint_statuses VALUES('24596','7590','8','23','55','NEW UPDATE',null,'81','81','2021-07-08 16:39:28','2021-07-08 16:39:28',null);
INSERT INTO complaint_statuses VALUES('24597','7561','5','15',null,null,null,'81','81','2021-07-08 16:39:43','2021-07-08 16:39:43',null);
INSERT INTO complaint_statuses VALUES('24598','7522','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-07-08 16:40:05','2021-07-14 14:47:34',null);
INSERT INTO complaint_statuses VALUES('24599','7512','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-07-08 16:40:43','2021-07-10 17:53:35',null);
INSERT INTO complaint_statuses VALUES('24600','7364','8','23','60','KHURRAM SB NY NAHE KARVAHI  . APP UP DATE KAREN',null,'81','81','2021-07-08 16:41:52','2021-07-08 16:41:52',null);
INSERT INTO complaint_statuses VALUES('24601','7344','5','15',null,null,'COMPLAINT CLOSED','81','74','2021-07-08 16:43:00','2021-07-15 10:43:50',null);
INSERT INTO complaint_statuses VALUES('24602','7301','8','23','58','NEW UPDATE',null,'81','81','2021-07-08 16:43:52','2021-07-08 16:43:52',null);
INSERT INTO complaint_statuses VALUES('24603','7193','8','23','63','ISSUE NOT RESOLVED',null,'81','81','2021-07-08 16:44:31','2021-07-08 16:44:31',null);
INSERT INTO complaint_statuses VALUES('24604','7170','5','15',null,null,'COMPLAINT CLOSED','81','74','2021-07-08 16:45:10','2021-07-15 10:47:37',null);
INSERT INTO complaint_statuses VALUES('24605','6900','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-07-08 16:45:31','2021-07-15 11:01:32',null);
INSERT INTO complaint_statuses VALUES('24606','6479','5','15',null,null,'COMPLAINT CLOSED','81','74','2021-07-08 16:45:53','2021-07-15 11:24:40',null);
INSERT INTO complaint_statuses VALUES('24607','6708','8','23','58','I-10 ME HOOD KY LEYA TACNITION NAHE HY',null,'81','81','2021-07-08 16:47:05','2021-07-08 16:47:05',null);
INSERT INTO complaint_statuses VALUES('24608','6610','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-07-08 16:47:33','2021-07-15 11:23:57',null);
INSERT INTO complaint_statuses VALUES('24609','6771','5','15',null,null,'COMPLAINT CLOSED','81','74','2021-07-08 16:48:20','2021-07-15 11:09:34',null);
INSERT INTO complaint_statuses VALUES('24610','6446','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-07-08 16:48:38','2021-07-15 11:25:13',null);
INSERT INTO complaint_statuses VALUES('24611','6226','8','23','58','NEW UP DATE',null,'81','81','2021-07-08 16:49:28','2021-07-08 16:49:28',null);
INSERT INTO complaint_statuses VALUES('24612','7624','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-08 16:49:37','2021-07-08 16:49:37',null);
INSERT INTO complaint_statuses VALUES('24613','5933','5','15',null,null,'COMPLAINT CLOSED','81','74','2021-07-08 16:49:47','2021-07-15 11:27:48',null);
INSERT INTO complaint_statuses VALUES('24614','5275','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-07-08 16:50:15','2021-07-15 11:28:52',null);
INSERT INTO complaint_statuses VALUES('24615','7709','8','23','62','NEW UP DATE',null,'81','81','2021-07-08 16:51:03','2021-07-08 16:51:03',null);
INSERT INTO complaint_statuses VALUES('24616','7647','8','23','55','NEW UP DATE',null,'81','81','2021-07-08 16:51:47','2021-07-08 16:51:47',null);
INSERT INTO complaint_statuses VALUES('24617','7616','8','23','62','NEW UPDATE',null,'81','81','2021-07-08 16:52:24','2021-07-08 16:52:24',null);
INSERT INTO complaint_statuses VALUES('24618','7782','2',null,'81',null,null,'73','73','2021-07-08 16:53:22','2021-07-08 16:53:22',null);
INSERT INTO complaint_statuses VALUES('24619','7525','8','23','59','NEW UPDATE',null,'81','81','2021-07-08 16:53:26','2021-07-08 16:53:26',null);
INSERT INTO complaint_statuses VALUES('24620','7517','8','23','59','NEW UP DATE',null,'81','81','2021-07-08 16:53:58','2021-07-08 16:53:58',null);
INSERT INTO complaint_statuses VALUES('24621','7782','4',null,'62',null,null,'81','81','2021-07-08 16:54:24','2021-07-08 16:54:24',null);
INSERT INTO complaint_statuses VALUES('24622','7610','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-08 16:55:27','2021-07-08 16:55:27',null);
INSERT INTO complaint_statuses VALUES('24623','7419','8','23','60','AP KY PASS HY TO DE DEN FOOD BOX HM95 KA FOOD BOX HAMARE PAS NAHE HY',null,'81','81','2021-07-08 16:55:37','2021-07-08 16:55:37',null);
INSERT INTO complaint_statuses VALUES('24624','6941','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 16:56:02','2021-07-08 16:56:02',null);
INSERT INTO complaint_statuses VALUES('24625','7410','8','23','55','NEW UP DATE',null,'81','81','2021-07-08 16:56:12','2021-07-08 16:56:12',null);
INSERT INTO complaint_statuses VALUES('24626','7398','8','23','55','NEW UP DATE',null,'81','81','2021-07-08 16:56:41','2021-07-08 16:56:41',null);
INSERT INTO complaint_statuses VALUES('24627','7353','8','23','59','SAD NEWS',null,'81','81','2021-07-08 17:00:40','2021-07-08 17:00:40',null);
INSERT INTO complaint_statuses VALUES('24628','7783','3',null,'53',null,'8-JULY-2021
COMPLAINT#301152769','73','74','2021-07-08 17:00:53','2021-07-08 17:32:26',null);
INSERT INTO complaint_statuses VALUES('24629','7319','8','23','59',null,null,'81','81','2021-07-08 17:02:14','2021-07-08 17:02:14',null);
INSERT INTO complaint_statuses VALUES('24630','7290','8','13','55','NEW UPDATE',null,'81','81','2021-07-08 17:03:00','2021-07-08 17:03:00',null);
INSERT INTO complaint_statuses VALUES('24631','7287','8','23','59','NEW UPDATE',null,'81','81','2021-07-08 17:04:10','2021-07-08 17:04:10',null);
INSERT INTO complaint_statuses VALUES('24632','7263','8','23','63','NEW UPDATE',null,'81','81','2021-07-08 17:04:45','2021-07-08 17:04:45',null);
INSERT INTO complaint_statuses VALUES('24633','7784','3',null,'80',null,'8-JUL-2021
FRWRD TO SAJJAD BHATTI  03000308012','73','92','2021-07-08 17:05:18','2021-07-12 15:47:15',null);
INSERT INTO complaint_statuses VALUES('24634','6906','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 17:10:06','2021-07-08 17:10:06',null);
INSERT INTO complaint_statuses VALUES('24635','6904','5',null,null,'ISSUED RESOLVED',null,'74','74','2021-07-08 17:13:42','2021-07-08 17:13:42',null);
INSERT INTO complaint_statuses VALUES('24636','7785','3',null,'65',null,'8-JUL-2021
COMPLAINT#192125571','73','73','2021-07-08 17:15:58','2021-07-08 17:25:08',null);
INSERT INTO complaint_statuses VALUES('24637','6901','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-08 17:16:26','2021-07-08 17:16:26',null);
INSERT INTO complaint_statuses VALUES('24638','7786','3',null,'65',null,'8-JUL-2021
COMPLAINT#192125572','73','73','2021-07-08 17:18:46','2021-07-08 17:26:55',null);
INSERT INTO complaint_statuses VALUES('24639','7567','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-08 17:25:41','2021-07-08 17:25:41',null);
INSERT INTO complaint_statuses VALUES('24640','7398','7','12','81','Estmate Share to the Customer 7500/-, she will inform',null,'76','76','2021-07-08 17:36:39','2021-07-08 17:36:39',null);
INSERT INTO complaint_statuses VALUES('24641','7208','7','12','81','Drain Pipe Adjustment, Visit Pending 600/-',null,'76','76','2021-07-08 17:39:33','2021-07-08 17:39:33',null);
INSERT INTO complaint_statuses VALUES('24642','7678','7','12','81','no issue in hood',null,'79','79','2021-07-08 17:40:02','2021-07-08 17:40:02',null);
INSERT INTO complaint_statuses VALUES('24643','6899','7','12','81','Compressor Replaced , Main PCB Repaired.',null,'76','76','2021-07-08 17:41:02','2021-07-08 17:41:02',null);
INSERT INTO complaint_statuses VALUES('24644','7072','7','12','81','Issue Resolved.',null,'76','76','2021-07-08 17:42:32','2021-07-08 17:42:32',null);
INSERT INTO complaint_statuses VALUES('24645','6649','7','26','81',null,null,'76','76','2021-07-08 17:43:02','2021-07-08 17:43:02',null);
INSERT INTO complaint_statuses VALUES('24646','6962','7','12','81','Drain Heater Repalced.',null,'76','76','2021-07-08 17:44:07','2021-07-08 17:44:07',null);
INSERT INTO complaint_statuses VALUES('24647','7654','7','12','81','filter clean unit ok',null,'83','83','2021-07-08 18:14:31','2021-07-08 18:14:31',null);
INSERT INTO complaint_statuses VALUES('24648','6226','7','12','81','cusotmer ny baher sy reapir kerwa liya hai',null,'79','79','2021-07-08 19:00:24','2021-07-08 19:00:24',null);
INSERT INTO complaint_statuses VALUES('24649','7741','7','12','81','Relay over load change complaint resolved',null,'79','79','2021-07-08 21:40:18','2021-07-08 21:40:18',null);
INSERT INTO complaint_statuses VALUES('24650','7618','7','12','81','Service kia hai.comp resolved',null,'79','79','2021-07-08 21:40:59','2021-07-08 21:40:59',null);
INSERT INTO complaint_statuses VALUES('24651','7510','7','12','81','HALL SENSOR REPLACED AND SERVICE',null,'76','76','2021-07-09 11:26:55','2021-07-09 11:26:55',null);
INSERT INTO complaint_statuses VALUES('24652','7625','7','12','81','NO FAULT',null,'76','76','2021-07-09 11:33:39','2021-07-09 11:33:39',null);
INSERT INTO complaint_statuses VALUES('24653','7671','7','12','81','DRAIN PIPE ADJUSTMENT',null,'76','76','2021-07-09 11:34:38','2021-07-09 11:34:38',null);
INSERT INTO complaint_statuses VALUES('24654','7787','3',null,'53',null,'09-JULY-2021
COM NO 301152080','92','92','2021-07-09 12:08:30','2021-07-10 11:30:17',null);
INSERT INTO complaint_statuses VALUES('24655','7788','2',null,'81',null,'09-JULY-2021
COM FF TO AZHAR SIR','92','92','2021-07-09 12:24:46','2021-07-09 12:24:46',null);
INSERT INTO complaint_statuses VALUES('24656','7789','3',null,'55',null,'09-JULY-2021
COM NO 13285','92','92','2021-07-09 12:46:07','2021-07-09 17:07:27',null);
INSERT INTO complaint_statuses VALUES('24657','7790','3',null,'56',null,'09-JULY-2021
COM NO G09/013','92','92','2021-07-09 13:29:28','2021-07-09 14:36:50',null);
INSERT INTO complaint_statuses VALUES('24658','7791','3',null,'65',null,'09-JULY-2021
COM NO 192125620','92','92','2021-07-09 13:35:48','2021-07-09 13:41:02',null);
INSERT INTO complaint_statuses VALUES('24659','7764','7','12','81','Demo',null,'82','82','2021-07-09 13:59:31','2021-07-09 13:59:31',null);
INSERT INTO complaint_statuses VALUES('24660','7792','3',null,'52',null,'09-JULY-2021
COM NO PKRI-210709113083','92','92','2021-07-09 14:00:44','2021-07-09 17:24:30',null);
INSERT INTO complaint_statuses VALUES('24661','7067','8','23','60','SIR ISSUE NOT RESOLVED AGAIN VISIT KARWAY',null,'81','81','2021-07-09 14:16:13','2021-07-09 14:16:13',null);
INSERT INTO complaint_statuses VALUES('24662','7793','3',null,'54',null,'09-JULY-2021
COM NO 1930525','92','92','2021-07-09 14:23:51','2021-07-09 17:16:25',null);
INSERT INTO complaint_statuses VALUES('24663','7794','3',null,'54',null,'09-JULY-2021
COM NO 1930527','92','92','2021-07-09 14:30:36','2021-07-09 17:18:16',null);
INSERT INTO complaint_statuses VALUES('24664','7795','3',null,'52',null,'09-JULY-2021
COM NO PKRI-210707110001','92','92','2021-07-09 14:46:33','2021-07-09 17:26:04',null);
INSERT INTO complaint_statuses VALUES('24665','7717','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-09 14:52:52','2021-07-09 14:52:52',null);
INSERT INTO complaint_statuses VALUES('24666','7764','5','15',null,'COMPLAINT  RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-09 14:55:37','2021-07-10 17:10:20',null);
INSERT INTO complaint_statuses VALUES('24667','7741','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-09 14:56:50','2021-07-10 17:11:09',null);
INSERT INTO complaint_statuses VALUES('24668','7678','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-09 14:59:55','2021-07-10 17:22:17',null);
INSERT INTO complaint_statuses VALUES('24669','7654','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-09 15:05:09','2021-07-10 17:41:29',null);
INSERT INTO complaint_statuses VALUES('24670','7618','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-09 15:07:57','2021-07-10 17:48:42',null);
INSERT INTO complaint_statuses VALUES('24671','7510','8','23','55','CUSTOMER KA ISSUE RESOLVED NAI HUA AGAIN VISIT KARWAY',null,'81','81','2021-07-09 15:09:49','2021-07-09 15:09:49',null);
INSERT INTO complaint_statuses VALUES('24672','7208','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-09 15:13:11','2021-07-10 17:56:00',null);
INSERT INTO complaint_statuses VALUES('24673','7072','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-09 15:14:29','2021-07-10 17:58:34',null);
INSERT INTO complaint_statuses VALUES('24674','6962','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-09 15:15:28','2021-07-10 17:59:07',null);
INSERT INTO complaint_statuses VALUES('24675','7788','4',null,'60',null,null,'81','81','2021-07-09 15:15:53','2021-07-09 15:15:53',null);
INSERT INTO complaint_statuses VALUES('24676','7788','4',null,'60',null,null,'81','81','2021-07-09 15:15:53','2021-07-09 15:15:53',null);
INSERT INTO complaint_statuses VALUES('24677','7796','3',null,'71',null,'09-JULY-2021
COM NO C7/96','92','92','2021-07-09 15:30:26','2021-07-10 13:52:55',null);
INSERT INTO complaint_statuses VALUES('24678','7797','2',null,'81',null,'09-JULY-2021
COM FF TO AZHAR SIR','92','92','2021-07-09 15:39:47','2021-07-09 15:39:47',null);
INSERT INTO complaint_statuses VALUES('24679','7798','3',null,'65',null,'09-JULY-2021
COM NO 192125641','92','92','2021-07-09 15:51:13','2021-07-09 17:12:56',null);
INSERT INTO complaint_statuses VALUES('24680','7799','3',null,'73',null,'09-JULY-2021
COM NO 5059','92','92','2021-07-09 16:10:39','2021-07-12 11:26:19',null);
INSERT INTO complaint_statuses VALUES('24681','7800','3',null,'73',null,'09-JULY-2021
COM NO 5060','92','92','2021-07-09 16:17:18','2021-07-12 11:24:56',null);
INSERT INTO complaint_statuses VALUES('24682','7801','3',null,'90',null,'09-JULY-2021
COM NO 202107007107','92','92','2021-07-09 16:35:25','2021-07-10 15:29:19',null);
INSERT INTO complaint_statuses VALUES('24683','7802','3',null,'54',null,'09-JULY-2021
COM NO 1930532','92','92','2021-07-09 16:49:24','2021-07-09 17:20:34',null);
INSERT INTO complaint_statuses VALUES('24684','7803','3',null,'52',null,'09-JULY-2021
COM NO PKRI-210709113207','92','92','2021-07-09 16:54:46','2021-07-09 17:29:58',null);
INSERT INTO complaint_statuses VALUES('24685','7804','3',null,'52',null,'09-JULY-2021
COM NO PKRI-210709113360','92','92','2021-07-09 16:59:14','2021-07-09 17:37:32',null);
INSERT INTO complaint_statuses VALUES('24686','7805','3',null,'65',null,'09-JULY-2021
COM NO 192125644                                              
NEW COMPLAINT#192127111','92','74','2021-07-09 17:55:40','2021-08-09 11:56:28',null);
INSERT INTO complaint_statuses VALUES('24687','7683','7','26','81','Khud laya gay hood or hob',null,'88','88','2021-07-10 11:00:49','2021-07-10 11:00:49',null);
INSERT INTO complaint_statuses VALUES('24688','7797','4',null,'60',null,null,'81','81','2021-07-10 11:02:34','2021-07-10 11:02:34',null);
INSERT INTO complaint_statuses VALUES('24689','7806','2',null,'81',null,null,'73','73','2021-07-10 11:04:16','2021-07-10 11:04:16',null);
INSERT INTO complaint_statuses VALUES('24690','7806','4',null,'58',null,null,'81','81','2021-07-10 11:04:45','2021-07-10 11:04:45',null);
INSERT INTO complaint_statuses VALUES('24691','7807','3',null,'66',null,'10-JUL-2021
COMPLAINT#PK071020210039','73','73','2021-07-10 11:09:03','2021-07-10 14:30:10',null);
INSERT INTO complaint_statuses VALUES('24692','7808','2',null,'81',null,null,'73','73','2021-07-10 11:14:45','2021-07-10 11:14:45',null);
INSERT INTO complaint_statuses VALUES('24693','7808','4',null,'60',null,null,'81','81','2021-07-10 11:15:13','2021-07-10 11:15:13',null);
INSERT INTO complaint_statuses VALUES('24694','7809','3',null,'53',null,'10-JULY-2021
COMPLAINT#1153682','73','74','2021-07-10 11:19:37','2021-07-10 15:34:39',null);
INSERT INTO complaint_statuses VALUES('24695','7810','3',null,'55',null,'10-JUL-2021
COMPLAINT#RWP-21986','73','73','2021-07-10 11:23:29','2021-07-10 14:38:40',null);
INSERT INTO complaint_statuses VALUES('24696','7701','7','12','81','Unit working ok 
Only visit','03335387107','83','92','2021-07-10 11:23:35','2021-07-10 17:14:46',null);
INSERT INTO complaint_statuses VALUES('24697','7560','7','10','81',null,null,'83','83','2021-07-10 11:24:21','2021-07-10 11:24:21',null);
INSERT INTO complaint_statuses VALUES('24698','7811','3',null,'57',null,'10-JUL-2021
COMPLAINT#20020','73','73','2021-07-10 11:27:46','2021-07-10 14:34:23',null);
INSERT INTO complaint_statuses VALUES('24699','7812','3',null,'53',null,'10-JULY-2021
COMPLAINT#1153685','73','74','2021-07-10 11:30:15','2021-07-10 15:37:04',null);
INSERT INTO complaint_statuses VALUES('24700','7813','3',null,'52',null,'10-JUL-2021
COMPLAINT#PKRI210710113401','73','73','2021-07-10 11:36:28','2021-07-10 16:58:53',null);
INSERT INTO complaint_statuses VALUES('24701','7814','2',null,'81',null,null,'73','73','2021-07-10 11:41:52','2021-07-10 11:41:52',null);
INSERT INTO complaint_statuses VALUES('24702','7814','4',null,'55',null,null,'81','81','2021-07-10 11:42:28','2021-07-10 11:42:28',null);
INSERT INTO complaint_statuses VALUES('24703','7815','3',null,'52',null,'10-JUL-2021
COMPLAINT#PKRI210710113511','73','73','2021-07-10 12:00:44','2021-07-10 17:02:16',null);
INSERT INTO complaint_statuses VALUES('24704','7816','3',null,'53',null,'10-JULY-2021
COMPLAINT#1153689','73','74','2021-07-10 12:05:40','2021-07-10 15:39:54',null);
INSERT INTO complaint_statuses VALUES('24705','7817','2',null,'81',null,null,'73','73','2021-07-10 12:17:44','2021-07-10 12:17:44',null);
INSERT INTO complaint_statuses VALUES('24706','7817','4',null,'58',null,null,'81','81','2021-07-10 12:18:14','2021-07-10 12:18:14',null);
INSERT INTO complaint_statuses VALUES('24707','7818','3',null,'54',null,'1-JUL-2021
COMPLAINT#1931378','73','73','2021-07-10 12:21:05','2021-07-10 14:48:25',null);
INSERT INTO complaint_statuses VALUES('24708','7819','2',null,'81',null,'OTHER#03364822833','73','73','2021-07-10 12:23:16','2021-07-10 12:45:50',null);
INSERT INTO complaint_statuses VALUES('24709','7819','4',null,'60',null,null,'81','81','2021-07-10 12:25:47','2021-07-10 12:25:47',null);
INSERT INTO complaint_statuses VALUES('24710','7708','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-10 12:30:15','2021-07-10 12:30:15',null);
INSERT INTO complaint_statuses VALUES('24711','7820','2',null,'81',null,null,'73','73','2021-07-10 12:31:22','2021-07-10 12:31:22',null);
INSERT INTO complaint_statuses VALUES('24712','7820','4',null,'55',null,null,'81','81','2021-07-10 12:32:09','2021-07-10 12:32:09',null);
INSERT INTO complaint_statuses VALUES('24713','7821','2',null,'81',null,null,'73','73','2021-07-10 12:36:18','2021-07-10 12:36:18',null);
INSERT INTO complaint_statuses VALUES('24714','7821','4',null,'62',null,null,'81','81','2021-07-10 12:36:38','2021-07-10 12:36:38',null);
INSERT INTO complaint_statuses VALUES('24715','7822','2',null,'81',null,null,'73','73','2021-07-10 12:38:06','2021-07-10 12:38:06',null);
INSERT INTO complaint_statuses VALUES('24716','7822','4',null,'62',null,null,'81','81','2021-07-10 12:38:21','2021-07-10 12:38:21',null);
INSERT INTO complaint_statuses VALUES('24717','7701','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-10 12:42:49','2021-07-10 17:14:04',null);
INSERT INTO complaint_statuses VALUES('24718','7823','3',null,'52',null,'10-JUL-2021
COMPLAINT#PKRI210710112336','73','73','2021-07-10 12:44:04','2021-07-10 16:18:00',null);
INSERT INTO complaint_statuses VALUES('24719','7683','5','25',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-07-10 12:45:12','2021-07-10 17:21:38',null);
INSERT INTO complaint_statuses VALUES('24720','7824','2',null,'81',null,null,'73','73','2021-07-10 12:48:04','2021-07-10 12:48:04',null);
INSERT INTO complaint_statuses VALUES('24721','6644','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 12:48:29','2021-07-10 12:48:29',null);
INSERT INTO complaint_statuses VALUES('24722','7824','4',null,'58',null,null,'81','81','2021-07-10 12:48:35','2021-07-10 12:48:35',null);
INSERT INTO complaint_statuses VALUES('24723','7671','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-07-10 12:51:17','2021-07-14 13:55:51',null);
INSERT INTO complaint_statuses VALUES('24724','7825','3',null,'84',null,'10-JUL-2021
COMPLAINT#ISB-13294','73','73','2021-07-10 12:52:22','2021-07-10 14:40:07',null);
INSERT INTO complaint_statuses VALUES('24725','7625','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-10 12:52:34','2021-07-10 17:47:21',null);
INSERT INTO complaint_statuses VALUES('24726','7826','2',null,'81',null,null,'73','73','2021-07-10 12:55:26','2021-07-10 12:55:26',null);
INSERT INTO complaint_statuses VALUES('24727','7826','4',null,'60',null,null,'81','81','2021-07-10 12:55:56','2021-07-10 12:55:56',null);
INSERT INTO complaint_statuses VALUES('24728','7827','2',null,'81',null,null,'73','73','2021-07-10 12:59:16','2021-07-10 12:59:16',null);
INSERT INTO complaint_statuses VALUES('24729','7827','4',null,'55',null,'COMPLAINT RESOLVED','81','74','2021-07-10 12:59:36','2021-07-18 13:25:56',null);
INSERT INTO complaint_statuses VALUES('24730','7828','3',null,'52',null,'10-JULY-2021
COMPLAINT#PKRI-210609114369
NEW COMPLAINT|#PKRI-210710107000','74','73','2021-07-10 13:00:14','2021-07-10 15:58:41',null);
INSERT INTO complaint_statuses VALUES('24731','7829','2',null,'81',null,null,'73','73','2021-07-10 13:08:46','2021-07-10 13:08:46',null);
INSERT INTO complaint_statuses VALUES('24732','7829','4',null,'63',null,null,'81','81','2021-07-10 13:11:09','2021-07-10 13:11:09',null);
INSERT INTO complaint_statuses VALUES('24733','6804','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-10 13:11:34','2021-07-10 13:11:34',null);
INSERT INTO complaint_statuses VALUES('24734','7830','2',null,'81',null,null,'73','73','2021-07-10 13:22:05','2021-07-10 13:22:05',null);
INSERT INTO complaint_statuses VALUES('24735','7328','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 13:22:41','2021-07-10 13:22:41',null);
INSERT INTO complaint_statuses VALUES('24736','7755','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-10 13:27:47','2021-07-10 13:27:47',null);
INSERT INTO complaint_statuses VALUES('24737','7348','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-10 13:28:47','2021-07-10 13:28:47',null);
INSERT INTO complaint_statuses VALUES('24738','7754','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-10 13:30:29','2021-07-10 13:30:29',null);
INSERT INTO complaint_statuses VALUES('24739','7831','3',null,'52',null,'10-JUL-2021
COMPLAINT#PKRI21071011220
REOPEN COM NO PKRI210724108708','73','92','2021-07-10 13:32:07','2021-07-24 14:35:54',null);
INSERT INTO complaint_statuses VALUES('24740','7832','3',null,'52',null,'10-JUL-2021
COMPLAINT#PKRI210710112147','73','73','2021-07-10 13:34:10','2021-07-10 16:11:16',null);
INSERT INTO complaint_statuses VALUES('24741','7833','3',null,'53',null,'10-JULY-2021
COMPLAINT#301153699','73','74','2021-07-10 13:37:35','2021-07-10 15:47:25',null);
INSERT INTO complaint_statuses VALUES('24742','7834','3',null,'85',null,'10-JULY-2021
COMPLAINT#301153700','73','74','2021-07-10 13:43:22','2021-07-10 15:51:58',null);
INSERT INTO complaint_statuses VALUES('24743','7503','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 13:48:33','2021-07-10 13:48:33',null);
INSERT INTO complaint_statuses VALUES('24744','7690','7','12','81','SMPS REPAIR  RS 5000
SUZUKI RENT  RS 1500 
UNIT OK   HAND OVER TO MR ASLAM   with remtoe and usermanual',null,'83','83','2021-07-10 13:52:29','2021-07-10 13:52:29',null);
INSERT INTO complaint_statuses VALUES('24745','7514','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 13:52:49','2021-07-10 13:52:49',null);
INSERT INTO complaint_statuses VALUES('24746','7835','3',null,'67',null,'FRWRD TO MUBASHIR VARIOLINE&MUNAWAR VARIOLINE','73','73','2021-07-10 13:54:57','2021-07-10 14:18:40',null);
INSERT INTO complaint_statuses VALUES('24747','6473','7','12','81','unit ok. pls collect as soon as possible',null,'77','77','2021-07-10 13:55:23','2021-07-10 13:55:23',null);
INSERT INTO complaint_statuses VALUES('24748','7748','5',null,null,'COMPLAINT COMPLETED','ISB-13508','92','92','2021-07-10 13:57:35','2021-07-26 16:50:45',null);
INSERT INTO complaint_statuses VALUES('24749','7527','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 13:59:00','2021-07-10 13:59:00',null);
INSERT INTO complaint_statuses VALUES('24750','7528','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 14:01:12','2021-07-10 14:01:12',null);
INSERT INTO complaint_statuses VALUES('24751','7836','3',null,'65',null,'10-JUL-2021
COMPLAINT#192125694','73','73','2021-07-10 14:04:39','2021-07-10 14:53:35',null);
INSERT INTO complaint_statuses VALUES('24752','7745','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-10 14:06:53','2021-07-10 14:06:53',null);
INSERT INTO complaint_statuses VALUES('24753','7616','7','12','81','ISSUE RESOLVED, CUSTOMER NY KHD OK KRWAI',null,'87','87','2021-07-10 14:11:13','2021-07-10 14:11:13',null);
INSERT INTO complaint_statuses VALUES('24754','7740','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-10 14:11:52','2021-07-10 14:11:52',null);
INSERT INTO complaint_statuses VALUES('24755','7837','3',null,'52',null,'10-JUL-2021
COMPLAINT#PKRI210710112061','73','73','2021-07-10 14:18:01','2021-07-10 16:08:04',null);
INSERT INTO complaint_statuses VALUES('24756','7543','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 14:21:10','2021-07-10 14:21:10',null);
INSERT INTO complaint_statuses VALUES('24757','7543','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 14:21:11','2021-07-10 14:21:11',null);
INSERT INTO complaint_statuses VALUES('24758','7838','2',null,'81',null,null,'73','73','2021-07-10 14:22:48','2021-07-10 14:22:48',null);
INSERT INTO complaint_statuses VALUES('24759','7838','4',null,'60',null,null,'81','81','2021-07-10 14:23:17','2021-07-10 14:23:17',null);
INSERT INTO complaint_statuses VALUES('24760','7830','4',null,'58',null,null,'81','81','2021-07-10 14:23:34','2021-07-10 14:23:34',null);
INSERT INTO complaint_statuses VALUES('24761','7562','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 14:25:33','2021-07-10 14:25:33',null);
INSERT INTO complaint_statuses VALUES('24762','7839','3',null,'54',null,'10-JUL-2021
COMPLAINT#1931372','73','73','2021-07-10 14:25:55','2021-07-10 14:46:13',null);
INSERT INTO complaint_statuses VALUES('24763','7568','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 14:31:49','2021-07-10 14:31:49',null);
INSERT INTO complaint_statuses VALUES('24764','7728','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-10 14:37:12','2021-07-10 14:37:12',null);
INSERT INTO complaint_statuses VALUES('24765','7611','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 14:38:43','2021-07-10 14:38:43',null);
INSERT INTO complaint_statuses VALUES('24766','7634','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 14:41:15','2021-07-10 14:41:15',null);
INSERT INTO complaint_statuses VALUES('24767','7645','5',null,null,'COMPLIANT COMPLETED',null,'74','74','2021-07-10 14:44:10','2021-07-10 14:44:10',null);
INSERT INTO complaint_statuses VALUES('24768','7691','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-10 14:50:25','2021-07-10 14:50:25',null);
INSERT INTO complaint_statuses VALUES('24769','7840','3',null,'54',null,'10-JULY-2021
COMPLAINT#1931444','73','74','2021-07-10 14:53:06','2021-07-10 15:24:59',null);
INSERT INTO complaint_statuses VALUES('24770','7665','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 15:05:42','2021-07-10 15:05:42',null);
INSERT INTO complaint_statuses VALUES('24771','7841','2',null,'81',null,null,'73','73','2021-07-10 15:20:03','2021-07-10 15:20:03',null);
INSERT INTO complaint_statuses VALUES('24772','7841','4',null,'62',null,null,'81','81','2021-07-10 15:20:25','2021-07-10 15:20:25',null);
INSERT INTO complaint_statuses VALUES('24773','7842','3',null,'53',null,'10-JULY-2021
COMPLAINT#301153703','73','74','2021-07-10 15:25:17','2021-07-10 15:53:18',null);
INSERT INTO complaint_statuses VALUES('24774','7843','3',null,'52',null,'10-JUL-2021
COMPLAINT#PKRI210710111976','73','73','2021-07-10 15:28:21','2021-07-10 16:05:07',null);
INSERT INTO complaint_statuses VALUES('24775','7844','2',null,'81',null,null,'73','73','2021-07-10 15:32:04','2021-07-10 15:32:04',null);
INSERT INTO complaint_statuses VALUES('24776','7844','4',null,'60',null,null,'81','81','2021-07-10 15:32:35','2021-07-10 15:32:35',null);
INSERT INTO complaint_statuses VALUES('24777','7845','3',null,'73',null,'10-JUL-2021
COMPLAINT#5067','73','73','2021-07-10 15:34:37','2021-07-10 15:38:48',null);
INSERT INTO complaint_statuses VALUES('24778','7801','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-10 15:43:58','2021-07-10 15:43:58',null);
INSERT INTO complaint_statuses VALUES('24779','7846','2',null,'81',null,'09-JULY-2021
COM FF TO BEST COOL','92','92','2021-07-10 15:45:45','2021-07-10 15:45:45',null);
INSERT INTO complaint_statuses VALUES('24780','7847','3',null,'53',null,'10-JULY-2021
COMPLAINT#301153710','73','74','2021-07-10 15:46:13','2021-07-10 15:59:42',null);
INSERT INTO complaint_statuses VALUES('24781','7846','4',null,'58',null,null,'81','81','2021-07-10 15:51:27','2021-07-10 15:51:27',null);
INSERT INTO complaint_statuses VALUES('24782','7563','7','12','81','Drain Heater Replaced.',null,'76','76','2021-07-10 16:03:14','2021-07-10 16:03:14',null);
INSERT INTO complaint_statuses VALUES('24783','7672','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 16:11:44','2021-07-10 16:11:44',null);
INSERT INTO complaint_statuses VALUES('24784','7674','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 16:13:45','2021-07-10 16:13:45',null);
INSERT INTO complaint_statuses VALUES('24785','7674','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 16:13:51','2021-07-10 16:13:51',null);
INSERT INTO complaint_statuses VALUES('24786','7674','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 16:13:59','2021-07-10 16:13:59',null);
INSERT INTO complaint_statuses VALUES('24787','7674','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 16:14:04','2021-07-10 16:14:04',null);
INSERT INTO complaint_statuses VALUES('24788','7674','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 16:14:31','2021-07-10 16:14:31',null);
INSERT INTO complaint_statuses VALUES('24789','6468','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-10 16:18:37','2021-07-10 16:18:37',null);
INSERT INTO complaint_statuses VALUES('24790','7848','3',null,'53',null,'10-JUL-2021
COMPLAINT#301153731','73','73','2021-07-10 16:24:15','2021-07-10 16:24:15',null);
INSERT INTO complaint_statuses VALUES('24791','7849','3',null,'53',null,'10-JUL-2021
COMPLAINT#301153732','73','92','2021-07-10 16:26:56','2021-07-13 12:16:04',null);
INSERT INTO complaint_statuses VALUES('24792','7848','5',null,null,'GREE AC ISSUE',null,'73','73','2021-07-10 16:30:25','2021-07-10 16:30:25',null);
INSERT INTO complaint_statuses VALUES('24793','7850','3',null,'53',null,'10-JULY-2021
COM NO 301153737','92','73','2021-07-10 16:36:13','2021-07-10 16:39:59',null);
INSERT INTO complaint_statuses VALUES('24794','7851','3',null,'65',null,'10-JUL-2021
COMPLAINT#192125710','73','73','2021-07-10 16:38:49','2021-07-10 16:40:15',null);
INSERT INTO complaint_statuses VALUES('24795','7852','2',null,'81',null,null,'73','73','2021-07-10 16:58:25','2021-07-10 16:58:25',null);
INSERT INTO complaint_statuses VALUES('24796','7779','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-10 16:58:27','2021-07-10 16:58:27',null);
INSERT INTO complaint_statuses VALUES('24797','7724','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-10 16:59:06','2021-07-10 16:59:06',null);
INSERT INTO complaint_statuses VALUES('24798','7821','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-10 16:59:23','2021-07-10 16:59:23',null);
INSERT INTO complaint_statuses VALUES('24799','7852','4',null,'58',null,null,'81','81','2021-07-10 17:00:32','2021-07-10 17:00:32',null);
INSERT INTO complaint_statuses VALUES('24800','7853','3',null,'52',null,'10-JUL-2021
COMPLAINT#PKRI210710113562','73','73','2021-07-10 17:05:11','2021-07-10 17:05:11',null);
INSERT INTO complaint_statuses VALUES('24801','7854','3',null,'52',null,'10-JUL-2021
COMPLAINT#PKRI210710114162','73','73','2021-07-10 17:27:56','2021-07-10 17:33:19',null);
INSERT INTO complaint_statuses VALUES('24802','7855','2',null,'81',null,'03-MAR-2021
COM FF TO KHURRAM FIVE STAR','92','92','2021-07-10 17:35:48','2021-07-10 17:35:48',null);
INSERT INTO complaint_statuses VALUES('24803','7856','3',null,'53',null,'10-JUL-2021
COMPLAINT#301153812','73','73','2021-07-10 17:48:48','2021-07-10 17:59:04',null);
INSERT INTO complaint_statuses VALUES('24804','7855','4',null,'63',null,null,'81','81','2021-07-10 17:52:10','2021-07-10 17:52:10',null);
INSERT INTO complaint_statuses VALUES('24805','7822','7','26','81','INTERNAL LEAK,PLZ FRWD TO COMPANY',null,'87','87','2021-07-10 18:52:38','2021-07-10 18:52:38',null);
INSERT INTO complaint_statuses VALUES('24806','7777','7','12','81','fan motor cahnge complaint reoslved',null,'79','79','2021-07-10 21:02:17','2021-07-10 21:02:17',null);
INSERT INTO complaint_statuses VALUES('24807','7761','7','12','81','wire issue complaint reoslvd',null,'79','79','2021-07-10 21:03:10','2021-07-10 21:03:10',null);
INSERT INTO complaint_statuses VALUES('24808','7771','7','12','81','cusotemr not at home jb aye gain tb jana hai',null,'79','79','2021-07-10 21:04:02','2021-07-10 21:04:02',null);
INSERT INTO complaint_statuses VALUES('24809','7722','7','24','81','ye ref i 10 aya ua hai',null,'79','79','2021-07-10 21:06:44','2021-07-10 21:06:44',null);
INSERT INTO complaint_statuses VALUES('24810','7857','3',null,'65',null,'11-JULY-2021
COMPLAINT#192125737','73','74','2021-07-11 10:30:49','2021-07-11 12:25:01',null);
INSERT INTO complaint_statuses VALUES('24811','7858','3',null,'53',null,'11-JUL-2021
COMPLAINT#301153997','73','73','2021-07-11 10:37:08','2021-07-11 15:27:25',null);
INSERT INTO complaint_statuses VALUES('24812','7859','3',null,'55',null,'11-JULY-2021
COMPLAINT#RWP22006','73','74','2021-07-11 10:40:28','2021-07-11 13:37:14',null);
INSERT INTO complaint_statuses VALUES('24813','7860','3',null,'67',null,'FRWRD TO ANWER CARAVELL','73','73','2021-07-11 10:43:45','2021-07-11 10:43:45',null);
INSERT INTO complaint_statuses VALUES('24814','7861','3',null,'52',null,'11-JULY-2021
COMPLAINT#PKRI210711105671','73','74','2021-07-11 10:49:43','2021-07-11 13:33:54',null);
INSERT INTO complaint_statuses VALUES('24815','7862','3',null,'52',null,'11-JULY-2021
COMPLAINT#PKRI21071115308','73','74','2021-07-11 10:54:30','2021-07-11 13:14:49',null);
INSERT INTO complaint_statuses VALUES('24816','7863','2',null,'81',null,null,'73','73','2021-07-11 11:01:05','2021-07-11 11:01:05',null);
INSERT INTO complaint_statuses VALUES('24817','7864','2',null,'81',null,null,'73','73','2021-07-11 11:01:13','2021-07-11 11:01:13',null);
INSERT INTO complaint_statuses VALUES('24818','7864','4',null,'62',null,null,'81','81','2021-07-11 11:01:57','2021-07-11 11:01:57',null);
INSERT INTO complaint_statuses VALUES('24819','7863','4',null,'58',null,null,'81','81','2021-07-11 11:02:08','2021-07-11 11:02:08',null);
INSERT INTO complaint_statuses VALUES('24820','7865','2',null,'81',null,null,'73','73','2021-07-11 11:04:40','2021-07-11 11:04:40',null);
INSERT INTO complaint_statuses VALUES('24821','7865','4',null,'55',null,null,'81','81','2021-07-11 11:05:08','2021-07-11 11:05:08',null);
INSERT INTO complaint_statuses VALUES('24822','7866','2',null,'81',null,null,'73','73','2021-07-11 11:11:57','2021-07-11 11:11:57',null);
INSERT INTO complaint_statuses VALUES('24823','7866','4',null,'62',null,null,'81','81','2021-07-11 11:12:16','2021-07-11 11:12:16',null);
INSERT INTO complaint_statuses VALUES('24824','7867','3',null,'53',null,'11-JUL-2021
COMPLAINT#301153996','73','73','2021-07-11 11:15:44','2021-07-11 15:26:25',null);
INSERT INTO complaint_statuses VALUES('24825','7733','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-11 11:19:14','2021-07-11 11:19:14',null);
INSERT INTO complaint_statuses VALUES('24826','7868','3',null,'52',null,'11-JULY-2021
COMPLAINT#PKRI210711104978','73','74','2021-07-11 11:21:30','2021-07-11 12:57:51',null);
INSERT INTO complaint_statuses VALUES('24827','7765','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-11 11:24:25','2021-07-11 11:24:25',null);
INSERT INTO complaint_statuses VALUES('24828','7869','2',null,'81',null,null,'73','73','2021-07-11 11:25:25','2021-07-11 11:25:25',null);
INSERT INTO complaint_statuses VALUES('24829','7768','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-11 11:26:23','2021-07-11 11:26:23',null);
INSERT INTO complaint_statuses VALUES('24830','7870','3',null,'52',null,'11-JULY-2021
COMPLAINT#PKRI21071115260','73','74','2021-07-11 11:27:19','2021-07-11 13:11:16',null);
INSERT INTO complaint_statuses VALUES('24831','7869','4',null,'63',null,null,'81','81','2021-07-11 11:27:30','2021-07-11 11:27:30',null);
INSERT INTO complaint_statuses VALUES('24832','7822','5','13',null,null,'COMPLAINT RESOLVED','81','92','2021-07-11 11:29:40','2021-07-12 17:09:38',null);
INSERT INTO complaint_statuses VALUES('24833','7871','3',null,'65',null,'11-JULY-2021
COMPLAINT#192125739','73','74','2021-07-11 11:31:44','2021-07-11 12:27:15',null);
INSERT INTO complaint_statuses VALUES('24834','7792','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-11 11:35:07','2021-07-11 11:35:07',null);
INSERT INTO complaint_statuses VALUES('24835','7795','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-11 11:37:46','2021-07-11 11:37:46',null);
INSERT INTO complaint_statuses VALUES('24836','7872','3',null,'52',null,'11-JULY-2021
COMPLAINT#PKRI210711105178','73','74','2021-07-11 11:43:25','2021-07-11 13:06:32',null);
INSERT INTO complaint_statuses VALUES('24837','7803','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-11 11:43:36','2021-07-11 11:43:36',null);
INSERT INTO complaint_statuses VALUES('24838','7873','3',null,'65',null,'11-JULY-2021
COMPLAINT#192125738','73','74','2021-07-11 11:48:09','2021-07-11 12:24:55',null);
INSERT INTO complaint_statuses VALUES('24839','7874','3',null,'53',null,'11-JUL-2021
COMPLAINT#301153992','73','73','2021-07-11 11:55:28','2021-07-11 15:22:57',null);
INSERT INTO complaint_statuses VALUES('24840','7864','7','26','81','SELF INSTALLED ,PLZ FRWD TO COMPANY',null,'87','87','2021-07-11 11:57:36','2021-07-11 11:57:36',null);
INSERT INTO complaint_statuses VALUES('24841','7875','3',null,'85',null,'11-JUL-2021
COMPLAINT#301153991','73','73','2021-07-11 12:01:59','2021-07-11 15:22:50',null);
INSERT INTO complaint_statuses VALUES('24842','7876','3',null,'53',null,'11-JUL-2021
COMPLAINT#301153989','73','73','2021-07-11 12:09:32','2021-07-11 15:17:19',null);
INSERT INTO complaint_statuses VALUES('24843','7877','3',null,'54',null,'11-JUL-2021
COMPLAINT#1932243','73','73','2021-07-11 12:11:01','2021-07-11 13:19:49',null);
INSERT INTO complaint_statuses VALUES('24844','7878','3',null,'52',null,'11-JULY-2021
COMPLAINT#PKRI210711105087','73','74','2021-07-11 12:12:31','2021-07-11 13:02:01',null);
INSERT INTO complaint_statuses VALUES('24845','7879','2',null,'81',null,null,'73','73','2021-07-11 12:17:05','2021-07-11 12:17:05',null);
INSERT INTO complaint_statuses VALUES('24846','7879','4',null,'56',null,null,'81','81','2021-07-11 12:17:37','2021-07-11 12:17:37',null);
INSERT INTO complaint_statuses VALUES('24847','7880','3',null,'67',null,'FRWRD TO ANWER CARAVELL','73','73','2021-07-11 12:21:18','2021-07-11 12:21:18',null);
INSERT INTO complaint_statuses VALUES('24848','7881','2',null,'81',null,null,'73','73','2021-07-11 12:45:34','2021-07-11 12:45:34',null);
INSERT INTO complaint_statuses VALUES('24849','7881','4',null,'63',null,null,'81','81','2021-07-11 12:46:57','2021-07-11 12:46:57',null);
INSERT INTO complaint_statuses VALUES('24850','7882','3',null,'54',null,'11-JUL-2021
COMPLAINT#1932241','73','73','2021-07-11 12:50:10','2021-07-11 13:17:57',null);
INSERT INTO complaint_statuses VALUES('24851','7883','2',null,'81',null,null,'73','73','2021-07-11 12:55:27','2021-07-11 12:55:27',null);
INSERT INTO complaint_statuses VALUES('24852','7883','4',null,'61',null,null,'81','81','2021-07-11 12:56:07','2021-07-11 12:56:07',null);
INSERT INTO complaint_statuses VALUES('24853','7884','3',null,'54',null,'11-JUL-2021
COMPLAINT#1932237','73','73','2021-07-11 13:00:47','2021-07-11 13:14:34',null);
INSERT INTO complaint_statuses VALUES('24854','7885','3',null,'52',null,'11-JUL-2021
COMPLAINT#PKRI21071117878','73','73','2021-07-11 13:41:16','2021-07-11 15:50:17',null);
INSERT INTO complaint_statuses VALUES('24855','7886','3',null,'53',null,'11-JUL-2021
COMPLAINT#301153988','73','73','2021-07-11 13:53:43','2021-07-11 15:25:36',null);
INSERT INTO complaint_statuses VALUES('24856','7555','7','12','81','ref ab thhek kam rha hai custoemr sy bt ho gai hai',null,'79','79','2021-07-11 13:53:46','2021-07-11 13:53:46',null);
INSERT INTO complaint_statuses VALUES('24857','7887','3',null,'65',null,'11-JUL-2021
COMPLAINT#192125744','73','73','2021-07-11 14:03:09','2021-07-11 15:30:35',null);
INSERT INTO complaint_statuses VALUES('24858','6514','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-11 14:15:22','2021-07-11 14:15:22',null);
INSERT INTO complaint_statuses VALUES('24859','7888','3',null,'73',null,'12-JUL-2021
COMPLAINT#5073','73','73','2021-07-11 14:19:44','2021-07-12 10:31:46',null);
INSERT INTO complaint_statuses VALUES('24860','7301','7','12','81','mjy is ka kuch ni pata',null,'79','79','2021-07-11 14:24:14','2021-07-11 14:24:14',null);
INSERT INTO complaint_statuses VALUES('24861','7889','2',null,'81',null,null,'73','73','2021-07-11 14:24:47','2021-07-11 14:24:47',null);
INSERT INTO complaint_statuses VALUES('24862','7889','4',null,'63',null,null,'81','81','2021-07-11 14:25:46','2021-07-11 14:25:46',null);
INSERT INTO complaint_statuses VALUES('24863','7890','3',null,'52',null,'11-JUL-2021
COMPLAINT#PKRI21071117840','73','73','2021-07-11 14:31:56','2021-07-11 15:47:28',null);
INSERT INTO complaint_statuses VALUES('24864','7891','3',null,'53',null,'11-JUL-2021
COMPLAINT#301153987','73','73','2021-07-11 14:38:11','2021-07-11 15:23:52',null);
INSERT INTO complaint_statuses VALUES('24865','7539','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-11 14:49:13','2021-07-11 14:49:13',null);
INSERT INTO complaint_statuses VALUES('24866','7354','7','12','81','yacustomer sy kal bt aj ka time dya ,aj custoemr ko cal bhi kerty rehy or msg bhi kia hai mge koi response nahi aya.jb ye compl enter hui thi ,us waqat ye  out of city hain',null,'79','79','2021-07-11 15:03:35','2021-07-11 15:03:35',null);
INSERT INTO complaint_statuses VALUES('24867','7696','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-11 15:21:22','2021-07-11 15:21:22',null);
INSERT INTO complaint_statuses VALUES('24868','7602','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-11 15:24:07','2021-07-11 15:24:07',null);
INSERT INTO complaint_statuses VALUES('24869','7697','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-11 15:26:24','2021-07-11 15:26:24',null);
INSERT INTO complaint_statuses VALUES('24870','7892','3',null,'52',null,'11-JUL-2021
COMPLAINT#PKRI21071110780','73','73','2021-07-11 15:38:45','2021-07-11 15:45:00',null);
INSERT INTO complaint_statuses VALUES('24871','7893','3',null,'53',null,'11-JUL-2021
COMPLAINT#301154025','73','73','2021-07-11 15:55:22','2021-07-11 16:04:46',null);
INSERT INTO complaint_statuses VALUES('24872','7721','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-11 15:56:23','2021-07-11 15:56:23',null);
INSERT INTO complaint_statuses VALUES('24873','7727','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-11 16:13:06','2021-07-11 16:13:06',null);
INSERT INTO complaint_statuses VALUES('24874','7806','7','12','81','complaint resolved no issue  in ref .side garm ho rahi csutoerm ko guid kr dya hai',null,'79','79','2021-07-11 16:31:48','2021-07-11 16:31:48',null);
INSERT INTO complaint_statuses VALUES('24875','6065','8','23','59','PENAL EXPENCE',null,'81','81','2021-07-11 16:33:21','2021-07-11 16:33:21',null);
INSERT INTO complaint_statuses VALUES('24876','6185','8','23','60','ANDR WALY BE CHANG KAR DEN',null,'81','81','2021-07-11 16:34:56','2021-07-11 16:34:56',null);
INSERT INTO complaint_statuses VALUES('24877','6226','5','15',null,null,'COMPLAINT CLOSED','81','74','2021-07-11 16:35:34','2021-07-15 11:26:22',null);
INSERT INTO complaint_statuses VALUES('24878','6473','8','23','56','PLZ CONTACT IQBAL SB',null,'81','81','2021-07-11 16:37:07','2021-07-11 16:37:07',null);
INSERT INTO complaint_statuses VALUES('24879','6649','8','15','55',null,null,'81','81','2021-07-11 16:38:53','2021-07-11 16:38:53',null);
INSERT INTO complaint_statuses VALUES('24880','6899','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-07-11 16:39:25','2021-07-14 15:21:40',null);
INSERT INTO complaint_statuses VALUES('24881','7005','8','23','63','MARKET SY LY LO EXPANCE BTA DO',null,'81','81','2021-07-11 16:44:11','2021-07-11 16:44:11',null);
INSERT INTO complaint_statuses VALUES('24882','7039','8','23','60','NEW UP DATE',null,'81','81','2021-07-11 16:44:49','2021-07-11 16:44:49',null);
INSERT INTO complaint_statuses VALUES('24883','7047','8','23','63','REPLACE KR DO',null,'81','81','2021-07-11 16:45:36','2021-07-11 16:45:36',null);
INSERT INTO complaint_statuses VALUES('24884','7088','8','23','55','EXPENSES',null,'81','81','2021-07-11 16:47:52','2021-07-11 16:47:52',null);
INSERT INTO complaint_statuses VALUES('24885','7373','7','12','81','complaint resolved  comprssor cahnge',null,'79','79','2021-07-11 16:50:04','2021-07-11 16:50:04',null);
INSERT INTO complaint_statuses VALUES('24886','7100','8','23','60','NEW UP DATE',null,'81','81','2021-07-11 16:50:07','2021-07-11 16:50:07',null);
INSERT INTO complaint_statuses VALUES('24887','7108','8','23','63','REPLACE KR DO',null,'81','81','2021-07-11 16:50:47','2021-07-11 16:50:47',null);
INSERT INTO complaint_statuses VALUES('24888','7570','7','12','81','cuplery,gas and compressor change,compliant resolved',null,'79','79','2021-07-11 16:50:56','2021-07-11 16:50:56',null);
INSERT INTO complaint_statuses VALUES('24889','7177','5','15',null,'LED REPLACE HO GAHE HY','COMPLAINT COMPLETED','81','92','2021-07-11 16:51:54','2021-07-14 15:18:29',null);
INSERT INTO complaint_statuses VALUES('24890','7301','8','23','58','PLZ CONTACT KHURRAM GAS APP',null,'81','81','2021-07-11 16:52:55','2021-07-11 16:52:55',null);
INSERT INTO complaint_statuses VALUES('24891','7321','5',null,null,'complaint completed',null,'74','74','2021-07-11 16:53:14','2021-07-11 16:53:14',null);
INSERT INTO complaint_statuses VALUES('24892','7354','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-07-11 16:53:54','2021-07-14 15:05:33',null);
INSERT INTO complaint_statuses VALUES('24893','7373','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-07-11 16:54:55','2021-07-14 15:04:40',null);
INSERT INTO complaint_statuses VALUES('24894','7398','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-07-11 16:55:33','2021-07-14 15:02:32',null);
INSERT INTO complaint_statuses VALUES('24895','7555','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-07-11 16:56:05','2021-07-14 14:33:08',null);
INSERT INTO complaint_statuses VALUES('24896','7560','5','23',null,'PLZ CONTACT MR ZESHAN 03110159819','CUSTOMER NOT AT HOME SO COMPLAINT CLOSED
NEW TASK SA COMPLAINT FF KAR DI','81','74','2021-07-11 16:57:41','2021-07-15 16:08:40',null);
INSERT INTO complaint_statuses VALUES('24897','7563','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-07-11 16:58:55','2021-07-14 14:02:53',null);
INSERT INTO complaint_statuses VALUES('24898','7570','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-07-11 17:00:00','2021-07-14 14:01:56',null);
INSERT INTO complaint_statuses VALUES('24899','7581','8','23','63','NEW UPDATE',null,'81','81','2021-07-11 17:00:32','2021-07-11 17:00:32',null);
INSERT INTO complaint_statuses VALUES('24900','7616','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-07-11 17:01:05','2021-07-14 14:00:15',null);
INSERT INTO complaint_statuses VALUES('24901','7690','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-07-11 17:01:34','2021-07-14 13:52:57',null);
INSERT INTO complaint_statuses VALUES('24902','7894','2',null,'81',null,null,'73','73','2021-07-11 17:01:41','2021-07-11 17:01:41',null);
INSERT INTO complaint_statuses VALUES('24903','7722','8','23','58','PLZ CONTACT ADIL 03005511255',null,'81','81','2021-07-11 17:02:19','2021-07-11 17:02:19',null);
INSERT INTO complaint_statuses VALUES('24904','7740','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-07-11 17:02:39','2021-07-14 13:16:07',null);
INSERT INTO complaint_statuses VALUES('24905','7761','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-07-11 17:03:02','2021-07-12 17:32:33',null);
INSERT INTO complaint_statuses VALUES('24906','7771','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-07-11 17:03:23','2021-07-12 17:27:50',null);
INSERT INTO complaint_statuses VALUES('24907','7777','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-07-11 17:03:37','2021-07-12 17:22:06',null);
INSERT INTO complaint_statuses VALUES('24908','7779','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-07-11 17:04:03','2021-07-12 17:20:56',null);
INSERT INTO complaint_statuses VALUES('24909','7806','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-07-11 17:04:24','2021-07-12 17:17:02',null);
INSERT INTO complaint_statuses VALUES('24910','7821','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-07-11 17:04:40','2021-07-12 17:11:39',null);
INSERT INTO complaint_statuses VALUES('24911','7864','5','15',null,null,'COMPLAINT RESOLVED','81','92','2021-07-11 17:06:27','2021-07-12 17:08:36',null);
INSERT INTO complaint_statuses VALUES('24912','7894','4',null,'61',null,null,'81','81','2021-07-11 17:07:43','2021-07-11 17:07:43',null);
INSERT INTO complaint_statuses VALUES('24913','7895','3',null,'65',null,'11-JUL-2021
COMPLAINT#192125753','73','73','2021-07-11 17:09:13','2021-07-11 18:01:35',null);
INSERT INTO complaint_statuses VALUES('24914','7896','3',null,'52',null,'11-JUL-2021
COMPLAINT#PKJM210711109726','73','73','2021-07-11 17:12:17','2021-07-11 17:55:07',null);
INSERT INTO complaint_statuses VALUES('24915','7719','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-11 17:17:18','2021-07-11 17:17:18',null);
INSERT INTO complaint_statuses VALUES('24916','7897','2',null,'81',null,null,'73','73','2021-07-11 17:17:37','2021-07-11 17:17:37',null);
INSERT INTO complaint_statuses VALUES('24917','7897','4',null,'55',null,null,'81','81','2021-07-11 17:27:18','2021-07-11 17:27:18',null);
INSERT INTO complaint_statuses VALUES('24918','7382','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-11 17:30:39','2021-07-11 17:30:39',null);
INSERT INTO complaint_statuses VALUES('24919','7898','3',null,'52',null,'11-JUL-2021
COMPLAINT#PKRI210711109692','73','73','2021-07-11 17:40:08','2021-07-11 17:50:40',null);
INSERT INTO complaint_statuses VALUES('24920','7899','2',null,'81',null,null,'73','73','2021-07-11 17:42:43','2021-07-11 17:42:43',null);
INSERT INTO complaint_statuses VALUES('24921','7899','4',null,'55',null,null,'81','81','2021-07-11 17:43:45','2021-07-11 17:43:45',null);
INSERT INTO complaint_statuses VALUES('24922','7817','7','12','81','wiring issue complaint resolved,',null,'79','79','2021-07-11 17:49:33','2021-07-11 17:49:33',null);
INSERT INTO complaint_statuses VALUES('24923','7722','7','12','81','complaint resolved only relay cahnge',null,'79','79','2021-07-11 17:51:13','2021-07-11 17:51:13',null);
INSERT INTO complaint_statuses VALUES('24924','7301','7','12','81','gas app ki compliant direc khurram ko batye ap logo ko batabhi dya tha,,',null,'79','79','2021-07-11 17:52:51','2021-07-11 17:52:51',null);
INSERT INTO complaint_statuses VALUES('24925','7900','3',null,'52',null,'12-JUL-2021
COMPLAINT#PKRI210712102476','73','73','2021-07-11 18:00:52','2021-07-12 10:28:09',null);
INSERT INTO complaint_statuses VALUES('24926','7863','7','12','81','complaint resolve dno issue in ac',null,'79','79','2021-07-11 19:59:20','2021-07-11 19:59:20',null);
INSERT INTO complaint_statuses VALUES('24927','7782','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-11 20:53:23','2021-07-11 20:53:23',null);
INSERT INTO complaint_statuses VALUES('24928','7830','7','12','81','complaint resolved,shoscks issue,',null,'79','79','2021-07-11 21:01:11','2021-07-11 21:01:11',null);
INSERT INTO complaint_statuses VALUES('24929','7901','3',null,'65',null,'12-JUL-2021
COMPLAINT#192125805','73','73','2021-07-12 10:37:30','2021-07-12 14:24:36',null);
INSERT INTO complaint_statuses VALUES('24930','7902','3',null,'52',null,'12-JUL-2021
COMPLAINT#PKRI210712110730','73','73','2021-07-12 10:42:39','2021-07-12 15:13:29',null);
INSERT INTO complaint_statuses VALUES('24931','7903','3',null,'53',null,'12-JUL-2021
COMPLAINT#301154232','73','73','2021-07-12 10:47:25','2021-07-12 11:21:12',null);
INSERT INTO complaint_statuses VALUES('24932','7904','3',null,'52',null,'12-JUL-2021
COMPLAINT#PKRI210712110639','73','73','2021-07-12 10:51:05','2021-07-12 15:09:43',null);
INSERT INTO complaint_statuses VALUES('24933','7826','7','24','81','Custmer ghar py nhi hy',null,'82','82','2021-07-12 10:55:10','2021-07-12 10:55:10',null);
INSERT INTO complaint_statuses VALUES('24934','7838','7','12','81','Okay hy drain balti main rakhi thi',null,'82','82','2021-07-12 10:55:37','2021-07-12 10:55:37',null);
INSERT INTO complaint_statuses VALUES('24935','7905','3',null,'66',null,'12-JUL-2021
COMPLAINT#PK071220210054
ZAFAR TACTION  03009825120','73','92','2021-07-12 10:56:14','2021-07-14 11:11:18',null);
INSERT INTO complaint_statuses VALUES('24936','7819','7','12','81','Compny ko farwerd kar dia hy 
Custmer ka waham hy',null,'82','82','2021-07-12 10:56:28','2021-07-12 10:56:28',null);
INSERT INTO complaint_statuses VALUES('24937','7863','5','15',null,'COMPLAINT FF TO COMPAINE','COMPLAINT COMPLETED','81','92','2021-07-12 10:58:25','2021-07-12 11:15:36',null);
INSERT INTO complaint_statuses VALUES('24938','7838','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-12 10:59:39','2021-07-12 11:16:34',null);
INSERT INTO complaint_statuses VALUES('24939','7830','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-12 11:02:07','2021-07-12 11:16:04',null);
INSERT INTO complaint_statuses VALUES('24940','7819','5','15',null,'COMPLAINT FF TO COMPANY','COMPLAINT COMPLETED','81','92','2021-07-12 11:03:06','2021-07-12 11:18:17',null);
INSERT INTO complaint_statuses VALUES('24941','7906','3',null,'53',null,'12-JUL-2021
COMPLAINT#301154230','73','73','2021-07-12 11:04:49','2021-07-12 11:20:43',null);
INSERT INTO complaint_statuses VALUES('24942','7692','7','12','81','refused close the job',null,'77','77','2021-07-12 11:05:47','2021-07-12 11:05:47',null);
INSERT INTO complaint_statuses VALUES('24943','7722','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-07-12 11:08:36','2021-07-14 13:14:44',null);
INSERT INTO complaint_statuses VALUES('24944','7692','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-07-12 11:10:01','2021-07-14 13:43:29',null);
INSERT INTO complaint_statuses VALUES('24945','7907','3',null,'66',null,'12-JUL-2021
COMPLAINT#PK071220210055
MURSALEEN TACTION','73','92','2021-07-12 11:13:09','2021-07-13 11:56:04',null);
INSERT INTO complaint_statuses VALUES('24946','7908','2',null,'81',null,null,'73','73','2021-07-12 11:17:41','2021-07-12 11:17:41',null);
INSERT INTO complaint_statuses VALUES('24947','7669','7','12','81','door switch issue complaint reoslved',null,'79','79','2021-07-12 11:24:50','2021-07-12 11:24:50',null);
INSERT INTO complaint_statuses VALUES('24948','7909','3',null,'65',null,'12-JUL-2021
COMPLAINT#192125806','73','73','2021-07-12 11:25:07','2021-07-12 14:27:23',null);
INSERT INTO complaint_statuses VALUES('24949','7908','4',null,'62',null,null,'81','81','2021-07-12 11:25:57','2021-07-12 11:25:57',null);
INSERT INTO complaint_statuses VALUES('24950','7804','5',null,null,'complaint closed',null,'74','74','2021-07-12 11:26:47','2021-07-12 11:26:47',null);
INSERT INTO complaint_statuses VALUES('24951','7910','3',null,'52',null,'12-JUL-2021
COMPLAINT#PKRI210712104566','73','73','2021-07-12 11:29:59','2021-07-12 11:33:46',null);
INSERT INTO complaint_statuses VALUES('24952','7911','2',null,'81',null,null,'73','73','2021-07-12 11:38:36','2021-07-12 11:38:36',null);
INSERT INTO complaint_statuses VALUES('24953','7911','4',null,'55',null,null,'81','81','2021-07-12 11:39:01','2021-07-12 11:39:01',null);
INSERT INTO complaint_statuses VALUES('24954','7796','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-12 11:39:17','2021-07-12 11:39:17',null);
INSERT INTO complaint_statuses VALUES('24955','7525','7','12','81','es model main 5G ki sport ni hy customer es model main 5 G ues krna chah rha hy 
visit+servicing = 1000',null,'80','80','2021-07-12 11:41:10','2021-07-12 11:41:10',null);
INSERT INTO complaint_statuses VALUES('24956','7912','3',null,'90',null,'12-JUL-2021
COMPLAINT#202107009259','73','73','2021-07-12 11:43:00','2021-07-12 13:51:51',null);
INSERT INTO complaint_statuses VALUES('24957','7913','2',null,'81',null,null,'73','73','2021-07-12 11:48:25','2021-07-12 11:48:25',null);
INSERT INTO complaint_statuses VALUES('24958','7353','7','24','81','one week guzar gea hy lkn customer call pic ni kr rha',null,'80','80','2021-07-12 11:48:33','2021-07-12 11:48:33',null);
INSERT INTO complaint_statuses VALUES('24959','7913','4',null,'61',null,null,'81','81','2021-07-12 11:48:50','2021-07-12 11:48:50',null);
INSERT INTO complaint_statuses VALUES('24960','7319','7','24','81','es set ka kea keya hy agr ap ny ser replace kr dia hy to bata dyn complain close kr do',null,'80','80','2021-07-12 11:49:26','2021-07-12 11:49:26',null);
INSERT INTO complaint_statuses VALUES('24961','7914','3',null,'65',null,'12-JULY-2021
COM NO 192125782','92','73','2021-07-12 11:50:47','2021-07-12 11:52:58',null);
INSERT INTO complaint_statuses VALUES('24962','7915','3',null,'52',null,'12-JUL-2021
COMPLAINT#PKRI210712110566','73','73','2021-07-12 11:52:02','2021-07-12 15:06:54',null);
INSERT INTO complaint_statuses VALUES('24963','7287','7','24','81','customer ka kehna hy set ko pack krny main time lag rha hy 1 2 din dyn hm set s/c puncha dyn gy',null,'80','80','2021-07-12 11:52:18','2021-07-12 11:52:18',null);
INSERT INTO complaint_statuses VALUES('24964','7916','3',null,'65',null,'12-JUL-2021
COMPLAINT#192125804','73','73','2021-07-12 11:55:27','2021-07-12 14:21:07',null);
INSERT INTO complaint_statuses VALUES('24965','6563','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 11:55:33','2021-07-12 11:55:33',null);
INSERT INTO complaint_statuses VALUES('24966','6572','5',null,null,'COMPALINT CLOSED',null,'74','74','2021-07-12 11:57:52','2021-07-12 11:57:52',null);
INSERT INTO complaint_statuses VALUES('24967','7917','2',null,'81',null,null,'73','73','2021-07-12 11:58:44','2021-07-12 11:58:44',null);
INSERT INTO complaint_statuses VALUES('24968','6488','5',null,null,'COMPALINT COMPLETED',null,'74','74','2021-07-12 11:59:01','2021-07-12 11:59:01',null);
INSERT INTO complaint_statuses VALUES('24969','7917','4',null,'58',null,null,'81','81','2021-07-12 11:59:08','2021-07-12 11:59:08',null);
INSERT INTO complaint_statuses VALUES('24970','6618','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 12:01:57','2021-07-12 12:01:57',null);
INSERT INTO complaint_statuses VALUES('24971','7918','3',null,'92',null,'12-JUL-2021
COMPLAINT#021712081693','73','73','2021-07-12 12:18:19','2021-07-12 12:29:18',null);
INSERT INTO complaint_statuses VALUES('24972','7919','2',null,'81',null,null,'73','73','2021-07-12 12:29:03','2021-07-12 12:29:03',null);
INSERT INTO complaint_statuses VALUES('24973','7920','2',null,'81',null,null,'73','73','2021-07-12 12:31:25','2021-07-12 12:31:25',null);
INSERT INTO complaint_statuses VALUES('24974','6690','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 12:36:38','2021-07-12 12:36:38',null);
INSERT INTO complaint_statuses VALUES('24975','6690','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 12:36:41','2021-07-12 12:36:41',null);
INSERT INTO complaint_statuses VALUES('24976','6698','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 12:38:33','2021-07-12 12:38:33',null);
INSERT INTO complaint_statuses VALUES('24977','7921','3',null,'52',null,'12-JUL-2021
COMPLAINT#PKRI210712110522','73','73','2021-07-12 12:42:47','2021-07-12 15:04:51',null);
INSERT INTO complaint_statuses VALUES('24978','7920','4',null,'61',null,null,'81','81','2021-07-12 12:43:34','2021-07-12 12:43:34',null);
INSERT INTO complaint_statuses VALUES('24979','7919','4',null,'61',null,null,'81','81','2021-07-12 12:43:41','2021-07-12 12:43:41',null);
INSERT INTO complaint_statuses VALUES('24980','7879','7','12','81','unit has no problem....only cable problem......',null,'77','77','2021-07-12 12:47:35','2021-07-12 12:47:35',null);
INSERT INTO complaint_statuses VALUES('24981','7922','3',null,'57',null,'12-JUL-2021
COMPLAINT#20090','73','73','2021-07-12 12:47:37','2021-07-12 13:44:28',null);
INSERT INTO complaint_statuses VALUES('24982','6747','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 12:54:31','2021-07-12 12:54:31',null);
INSERT INTO complaint_statuses VALUES('24983','6782','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 13:01:30','2021-07-12 13:01:30',null);
INSERT INTO complaint_statuses VALUES('24984','7517','7','12','81','customer ka set already pehly say damage tha cusmtomer panel replace ni karwna chahta',null,'80','80','2021-07-12 13:02:44','2021-07-12 13:02:44',null);
INSERT INTO complaint_statuses VALUES('24985','7923','3',null,'60',null,'FRWRD TO RABIA &TALAL SB','73','73','2021-07-12 13:06:23','2021-07-12 13:06:23',null);
INSERT INTO complaint_statuses VALUES('24986','7924','2',null,'81',null,null,'73','73','2021-07-12 13:15:10','2021-07-12 13:15:10',null);
INSERT INTO complaint_statuses VALUES('24987','7924','4',null,'60',null,null,'81','81','2021-07-12 13:15:28','2021-07-12 13:15:28',null);
INSERT INTO complaint_statuses VALUES('24988','6862','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 13:19:14','2021-07-12 13:19:14',null);
INSERT INTO complaint_statuses VALUES('24989','7925','3',null,'67',null,'FRWRD TO ANWER CARAVELL','73','73','2021-07-12 13:20:18','2021-07-12 13:20:18',null);
INSERT INTO complaint_statuses VALUES('24990','7793','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-12 13:21:11','2021-07-12 13:21:11',null);
INSERT INTO complaint_statuses VALUES('24991','7926','3',null,'54',null,'12-JUL-2021
COMPLAINT#1933259','73','73','2021-07-12 13:26:10','2021-07-12 13:57:59',null);
INSERT INTO complaint_statuses VALUES('24992','7927','2',null,'81',null,null,'73','73','2021-07-12 13:30:25','2021-07-12 13:30:25',null);
INSERT INTO complaint_statuses VALUES('24993','7927','4',null,'62',null,null,'81','81','2021-07-12 13:31:41','2021-07-12 13:31:41',null);
INSERT INTO complaint_statuses VALUES('24994','6992','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-12 13:33:33','2021-07-12 13:33:33',null);
INSERT INTO complaint_statuses VALUES('24995','7928','2',null,'81',null,null,'73','73','2021-07-12 13:36:52','2021-07-12 13:36:52',null);
INSERT INTO complaint_statuses VALUES('24996','7791','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-12 13:37:39','2021-07-12 13:37:39',null);
INSERT INTO complaint_statuses VALUES('24997','7928','4',null,'63',null,null,'81','81','2021-07-12 13:37:51','2021-07-12 13:37:51',null);
INSERT INTO complaint_statuses VALUES('24998','7841','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-12 13:39:49','2021-07-12 13:39:49',null);
INSERT INTO complaint_statuses VALUES('24999','7790','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-12 13:40:38','2021-07-12 13:40:38',null);
INSERT INTO complaint_statuses VALUES('25000','7787','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-12 13:43:11','2021-07-12 13:43:11',null);
INSERT INTO complaint_statuses VALUES('25001','7781','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-12 13:54:21','2021-07-12 13:54:21',null);
INSERT INTO complaint_statuses VALUES('25002','7337','5',null,null,'ISSUED RESOLVED',null,'74','74','2021-07-12 13:58:31','2021-07-12 13:58:31',null);
INSERT INTO complaint_statuses VALUES('25003','7929','3',null,'52',null,'12-JUL-2021
COMPLAINT#PKRI210712110437','73','73','2021-07-12 14:01:48','2021-07-12 15:01:45',null);
INSERT INTO complaint_statuses VALUES('25004','7520','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 14:08:04','2021-07-12 14:08:04',null);
INSERT INTO complaint_statuses VALUES('25005','7930','3',null,'81',null,'12-JUL-2021
COMPLAINT#958','73','73','2021-07-12 14:09:50','2021-07-12 14:17:08',null);
INSERT INTO complaint_statuses VALUES('25006','7524','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 14:14:35','2021-07-12 14:14:35',null);
INSERT INTO complaint_statuses VALUES('25007','7800','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-12 14:18:34','2021-07-12 14:18:34',null);
INSERT INTO complaint_statuses VALUES('25008','7612','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 14:19:05','2021-07-12 14:19:05',null);
INSERT INTO complaint_statuses VALUES('25009','7631','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 14:20:59','2021-07-12 14:20:59',null);
INSERT INTO complaint_statuses VALUES('25010','7846','7','12','81','customer charges,pay nhi kr raha .',null,'79','79','2021-07-12 14:21:20','2021-07-12 14:21:20',null);
INSERT INTO complaint_statuses VALUES('25011','7633','5',null,null,'ISSUED RESOLVED',null,'74','74','2021-07-12 14:22:55','2021-07-12 14:22:55',null);
INSERT INTO complaint_statuses VALUES('25012','7776','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-12 14:23:45','2021-07-12 14:23:45',null);
INSERT INTO complaint_statuses VALUES('25013','7638','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 14:24:46','2021-07-12 14:24:46',null);
INSERT INTO complaint_statuses VALUES('25014','7699','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 14:26:42','2021-07-12 14:26:42',null);
INSERT INTO complaint_statuses VALUES('25015','7774','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-12 14:27:22','2021-07-12 14:27:22',null);
INSERT INTO complaint_statuses VALUES('25016','7351','7','12','81','motor issue custoerm hood ly gaye hain',null,'79','79','2021-07-12 14:37:28','2021-07-12 14:37:28',null);
INSERT INTO complaint_statuses VALUES('25017','7766','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-12 14:50:48','2021-07-12 14:50:48',null);
INSERT INTO complaint_statuses VALUES('25018','7750','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 14:54:38','2021-07-12 14:54:38',null);
INSERT INTO complaint_statuses VALUES('25019','7931','2',null,'81',null,null,'73','73','2021-07-12 14:55:32','2021-07-12 14:55:32',null);
INSERT INTO complaint_statuses VALUES('25020','7931','4',null,'60',null,null,'81','81','2021-07-12 14:56:03','2021-07-12 14:56:03',null);
INSERT INTO complaint_statuses VALUES('25021','4181','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-12 15:06:07','2021-07-12 15:06:07',null);
INSERT INTO complaint_statuses VALUES('25022','7932','3',null,'66',null,'12-JUL-2021
COMPLAINT#PK071220210169','73','73','2021-07-12 15:06:44','2021-07-12 16:38:34',null);
INSERT INTO complaint_statuses VALUES('25023','7836','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 15:12:07','2021-07-12 15:12:07',null);
INSERT INTO complaint_statuses VALUES('25024','7933','2',null,'81',null,null,'73','73','2021-07-12 15:21:26','2021-07-12 15:21:26',null);
INSERT INTO complaint_statuses VALUES('25025','7934','2',null,'81',null,null,'73','73','2021-07-12 15:25:29','2021-07-12 15:25:29',null);
INSERT INTO complaint_statuses VALUES('25026','7935','3',null,'52',null,'07-06-2021
COMPLAINT#PKRI-210702113433
REOPEN COM NO PKRI-210719116750','92','92','2021-07-12 15:25:40','2021-07-19 17:37:01',null);
INSERT INTO complaint_statuses VALUES('25027','7934','4',null,'63',null,null,'81','81','2021-07-12 15:27:05','2021-07-12 15:27:05',null);
INSERT INTO complaint_statuses VALUES('25028','7933','4',null,'63',null,null,'81','81','2021-07-12 15:27:14','2021-07-12 15:27:14',null);
INSERT INTO complaint_statuses VALUES('25029','6780','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 15:32:59','2021-07-12 15:32:59',null);
INSERT INTO complaint_statuses VALUES('25030','7936','3',null,'65',null,'12-JUL-2021
COMPLAINT#192125823','73','73','2021-07-12 15:33:20','2021-07-12 16:11:42',null);
INSERT INTO complaint_statuses VALUES('25031','7937','2',null,'81',null,null,'73','73','2021-07-12 15:41:30','2021-07-12 15:41:30',null);
INSERT INTO complaint_statuses VALUES('25032','7937','4',null,'62',null,null,'81','81','2021-07-12 15:41:44','2021-07-12 15:41:44',null);
INSERT INTO complaint_statuses VALUES('25033','7938','2',null,'81',null,null,'73','73','2021-07-12 15:43:58','2021-07-12 15:43:58',null);
INSERT INTO complaint_statuses VALUES('25034','7938','4',null,'55',null,null,'81','81','2021-07-12 15:44:37','2021-07-12 15:44:37',null);
INSERT INTO complaint_statuses VALUES('25035','7939','3',null,'53',null,'12-JUL-2021
COMPLAINT#301154561','73','73','2021-07-12 15:48:06','2021-07-12 16:58:24',null);
INSERT INTO complaint_statuses VALUES('25036','7752','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-12 15:50:15','2021-07-12 15:50:15',null);
INSERT INTO complaint_statuses VALUES('25037','7749','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-12 15:55:27','2021-07-12 15:55:27',null);
INSERT INTO complaint_statuses VALUES('25038','7940','2',null,'81',null,null,'73','73','2021-07-12 15:59:15','2021-07-12 15:59:15',null);
INSERT INTO complaint_statuses VALUES('25039','7940','4',null,'63',null,null,'81','81','2021-07-12 16:00:03','2021-07-12 16:00:03',null);
INSERT INTO complaint_statuses VALUES('25040','7506','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 16:05:25','2021-07-12 16:05:25',null);
INSERT INTO complaint_statuses VALUES('25041','7941','2',null,'81',null,null,'73','73','2021-07-12 16:21:09','2021-07-12 16:21:09',null);
INSERT INTO complaint_statuses VALUES('25042','7941','4',null,'58',null,null,'81','81','2021-07-12 16:21:45','2021-07-12 16:21:45',null);
INSERT INTO complaint_statuses VALUES('25043','7639','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 16:36:20','2021-07-12 16:36:20',null);
INSERT INTO complaint_statuses VALUES('25044','7666','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 16:37:54','2021-07-12 16:37:54',null);
INSERT INTO complaint_statuses VALUES('25045','7802','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 16:45:06','2021-07-12 16:45:06',null);
INSERT INTO complaint_statuses VALUES('25046','7839','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-12 16:46:43','2021-07-12 16:46:43',null);
INSERT INTO complaint_statuses VALUES('25047','7942','3',null,'53',null,'12-JUL-2021
COMPLAINT#301154562','73','73','2021-07-12 16:48:57','2021-07-12 16:58:41',null);
INSERT INTO complaint_statuses VALUES('25048','7813','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-12 16:49:12','2021-07-12 16:49:12',null);
INSERT INTO complaint_statuses VALUES('25049','7943','2',null,'81',null,null,'73','73','2021-07-12 17:07:08','2021-07-12 17:07:08',null);
INSERT INTO complaint_statuses VALUES('25050','7943','4',null,'60',null,null,'81','81','2021-07-12 17:07:30','2021-07-12 17:07:30',null);
INSERT INTO complaint_statuses VALUES('25051','7694','7','12','81','Water levwl senser issue tha',null,'82','82','2021-07-12 17:19:01','2021-07-12 17:19:01',null);
INSERT INTO complaint_statuses VALUES('25052','7944','2',null,'81',null,null,'73','73','2021-07-12 17:23:01','2021-07-12 17:23:01',null);
INSERT INTO complaint_statuses VALUES('25053','7944','4',null,'62',null,null,'81','81','2021-07-12 17:23:37','2021-07-12 17:23:37',null);
INSERT INTO complaint_statuses VALUES('25054','7879','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-07-12 17:37:00','2021-07-14 13:38:19',null);
INSERT INTO complaint_statuses VALUES('25055','7841','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-07-12 17:39:19','2021-07-14 13:34:28',null);
INSERT INTO complaint_statuses VALUES('25056','7927','7','22','81','COMP',null,'87','87','2021-07-12 17:41:29','2021-07-12 17:41:29',null);
INSERT INTO complaint_statuses VALUES('25057','7945','2',null,'81',null,null,'73','73','2021-07-12 17:43:10','2021-07-12 17:43:10',null);
INSERT INTO complaint_statuses VALUES('25058','7945','4',null,'63',null,null,'81','81','2021-07-12 17:44:43','2021-07-12 17:44:43',null);
INSERT INTO complaint_statuses VALUES('25059','7946','2',null,'81',null,null,'73','73','2021-07-12 17:54:52','2021-07-12 17:54:52',null);
INSERT INTO complaint_statuses VALUES('25060','7946','4',null,'62',null,null,'81','81','2021-07-12 17:55:27','2021-07-12 17:55:27',null);
INSERT INTO complaint_statuses VALUES('25061','7947','3',null,'52',null,'13-jul-2021
complaint#pkri210713102236
REOPEN COM NO PKRI-210724105713','73','92','2021-07-12 17:57:17','2021-07-24 12:28:38',null);
INSERT INTO complaint_statuses VALUES('25062','7782','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-07-12 17:57:32','2021-07-14 13:26:23',null);
INSERT INTO complaint_statuses VALUES('25063','7948','2',null,'81',null,null,'73','73','2021-07-12 18:00:10','2021-07-12 18:00:10',null);
INSERT INTO complaint_statuses VALUES('25064','7694','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-07-12 18:00:35','2021-07-14 13:12:55',null);
INSERT INTO complaint_statuses VALUES('25065','7948','4',null,'55',null,null,'81','81','2021-07-12 18:01:11','2021-07-12 18:01:11',null);
INSERT INTO complaint_statuses VALUES('25066','7669','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-07-12 18:01:37','2021-07-14 13:57:18',null);
INSERT INTO complaint_statuses VALUES('25067','7949','3',null,'52',null,'13-jul-2021
complaint#pkri210713102341','73','73','2021-07-12 18:03:33','2021-07-13 10:21:26',null);
INSERT INTO complaint_statuses VALUES('25068','7525','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-07-12 18:04:37','2021-07-14 14:46:51',null);
INSERT INTO complaint_statuses VALUES('25069','7950','3',null,'72',null,'13-JUL-2021
COMPLAINT#192125841','73','73','2021-07-12 18:06:15','2021-07-13 10:30:36',null);
INSERT INTO complaint_statuses VALUES('25070','7920','7','22','81','Main pcb issue  RS 17000/-  expance 
Aproval required',null,'83','83','2021-07-12 18:06:41','2021-07-12 18:06:41',null);
INSERT INTO complaint_statuses VALUES('25071','7351','8','23','58','SIR INSTALL B KARWA DAY HOOD CUSTOMER KO',null,'81','81','2021-07-12 18:11:04','2021-07-12 18:11:04',null);
INSERT INTO complaint_statuses VALUES('25072','7951','3',null,'52',null,'13-jul-2021
complaint#pkri210713102431','73','73','2021-07-12 18:12:02','2021-07-13 10:26:34',null);
INSERT INTO complaint_statuses VALUES('25073','7952','3',null,'53',null,'13-JUL-2021
COMPLAINT#301154703','73','73','2021-07-12 18:15:41','2021-07-13 10:35:25',null);
INSERT INTO complaint_statuses VALUES('25074','7953','3',null,'59',null,'13-JUL-2021
COMPLAINT#4247301768','73','73','2021-07-12 18:19:18','2021-07-13 10:48:44',null);
INSERT INTO complaint_statuses VALUES('25075','7931','7','24','81','Compresor issue hy',null,'82','82','2021-07-12 18:27:09','2021-07-12 18:27:09',null);
INSERT INTO complaint_statuses VALUES('25076','7808','7','12','81','Moter shart hy custmer ny hud repleced kar lyea hy',null,'82','82','2021-07-12 19:50:39','2021-07-12 19:50:39',null);
INSERT INTO complaint_statuses VALUES('25077','7844','7','12','81','Instalion issue tha solve kar dia hyinstalki hy',null,'82','82','2021-07-12 19:51:48','2021-07-12 19:51:48',null);
INSERT INTO complaint_statuses VALUES('25078','7775','7','12','81','complaint resolved,only guid kia  hai',null,'79','79','2021-07-12 20:41:56','2021-07-12 20:41:56',null);
INSERT INTO complaint_statuses VALUES('25079','7824','7','12','81','tripping issue cusotmer ko guid kr dya hai',null,'79','79','2021-07-12 20:43:16','2021-07-12 20:43:16',null);
INSERT INTO complaint_statuses VALUES('25080','7954','2',null,'81',null,null,'73','73','2021-07-13 11:00:39','2021-07-13 11:00:39',null);
INSERT INTO complaint_statuses VALUES('25081','7954','4',null,'63',null,null,'81','81','2021-07-13 11:01:07','2021-07-13 11:01:07',null);
INSERT INTO complaint_statuses VALUES('25082','7955','3',null,'52',null,'13-JUL-2021
COMPLAINT#PKRI210713104651','73','73','2021-07-13 11:07:05','2021-07-13 12:14:32',null);
INSERT INTO complaint_statuses VALUES('25083','7854','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-13 11:08:06','2021-07-13 11:08:06',null);
INSERT INTO complaint_statuses VALUES('25084','7851','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-13 11:36:28','2021-07-13 11:36:28',null);
INSERT INTO complaint_statuses VALUES('25085','7931','8','23','60','NEW UP DATE KARAY',null,'81','81','2021-07-13 11:41:23','2021-07-13 11:41:23',null);
INSERT INTO complaint_statuses VALUES('25086','7927','8','23','62','JOB COMPLETED QUKILEY',null,'81','81','2021-07-13 11:42:20','2021-07-13 11:42:20',null);
INSERT INTO complaint_statuses VALUES('25087','7956','3',null,'92',null,'13-JUL-2021
COMPLAINT#210713089904','73','73','2021-07-13 11:49:03','2021-07-13 12:30:09',null);
INSERT INTO complaint_statuses VALUES('25088','7844','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-13 11:53:51','2021-07-14 13:34:58',null);
INSERT INTO complaint_statuses VALUES('25089','7824','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-13 11:55:33','2021-07-14 13:33:50',null);
INSERT INTO complaint_statuses VALUES('25090','7920','8','23','61','YHA SET ASLAM SIR AP SA WAPISE LA JAY GAY 
IC KO OK NAI KARWANA',null,'81','81','2021-07-13 12:01:57','2021-07-13 12:01:57',null);
INSERT INTO complaint_statuses VALUES('25091','7957','2',null,'81',null,null,'73','73','2021-07-13 12:05:46','2021-07-13 12:05:46',null);
INSERT INTO complaint_statuses VALUES('25092','7846','8','23','58','CUSTOMER VISIT K LIYA W8 KAR RAHI HAIN 
03005101700 IC NO PA CONTACT KARAY',null,'81','81','2021-07-13 12:06:11','2021-07-13 12:06:11',null);
INSERT INTO complaint_statuses VALUES('25093','7957','4',null,'62',null,null,'81','81','2021-07-13 12:06:12','2021-07-13 12:06:12',null);
INSERT INTO complaint_statuses VALUES('25094','7826','8','23','60','CUSTOMER GHR PA AVAIL HAIN .KINDLY CUSTOMER SA AGAIN CONTACT KARAY',null,'81','81','2021-07-13 12:08:26','2021-07-13 12:08:26',null);
INSERT INTO complaint_statuses VALUES('25095','7817','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-13 12:09:13','2021-07-14 13:33:01',null);
INSERT INTO complaint_statuses VALUES('25096','7847','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-13 12:19:22','2021-07-13 12:19:22',null);
INSERT INTO complaint_statuses VALUES('25097','7958','3',null,'54',null,'13-JUL-2021
COMPLAINT#1934399','73','73','2021-07-13 12:20:41','2021-07-13 12:43:23',null);
INSERT INTO complaint_statuses VALUES('25098','7775','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-13 12:24:49','2021-07-14 13:25:42',null);
INSERT INTO complaint_statuses VALUES('25099','7582','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-13 12:29:09','2021-07-13 12:29:09',null);
INSERT INTO complaint_statuses VALUES('25100','7959','3',null,'52',null,'13-JUL-2021
COMPLAINT#PKRI210713107034','73','73','2021-07-13 12:39:43','2021-07-13 12:48:52',null);
INSERT INTO complaint_statuses VALUES('25101','7842','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-13 12:40:21','2021-07-13 12:40:21',null);
INSERT INTO complaint_statuses VALUES('25102','7747','5',null,null,'ISSUED RESOLVED',null,'74','74','2021-07-13 12:42:00','2021-07-13 12:42:00',null);
INSERT INTO complaint_statuses VALUES('25103','7937','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-13 12:43:34','2021-07-13 12:43:34',null);
INSERT INTO complaint_statuses VALUES('25104','7840','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-13 12:46:33','2021-07-13 12:46:33',null);
INSERT INTO complaint_statuses VALUES('25105','7301','5','15',null,'FF TO KHURRAM  STAR','STEEL TOP LAGA DIA COMPLAINT RESOLVED','81','74','2021-07-13 12:46:39','2021-07-15 10:45:41',null);
INSERT INTO complaint_statuses VALUES('25106','7937','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-13 12:53:00','2021-07-14 13:40:43',null);
INSERT INTO complaint_statuses VALUES('25107','7517','5','15',null,'CUSTOMER KO EXP CONFIRM KAR DIA HAIN BUT CUSTOMER NA EXP APPROVED NAI KIYA COMPLAINT CLOSED','COMPLAINT RESOLVED','81','74','2021-07-13 13:04:52','2021-07-14 14:48:17',null);
INSERT INTO complaint_statuses VALUES('25108','7943','7','10','81','Addres theek nhi  hy call pick nhi kar rahy',null,'82','82','2021-07-13 13:10:48','2021-07-13 13:10:48',null);
INSERT INTO complaint_statuses VALUES('25109','7931','7','24','81','I10 workshop ageahy',null,'82','82','2021-07-13 13:12:07','2021-07-13 13:12:07',null);
INSERT INTO complaint_statuses VALUES('25110','7960','3',null,'97',null,'13-JUL-2021
COMPLAINT#202107010267','73','73','2021-07-13 13:15:18','2021-07-13 14:00:58',null);
INSERT INTO complaint_statuses VALUES('25111','7808','8','23','60','CUSTOMER KA ISSUE RESOLVED NAI HOA AGAIN CONTACT KARAY CUSTOMER SA',null,'81','81','2021-07-13 13:16:53','2021-07-13 13:16:53',null);
INSERT INTO complaint_statuses VALUES('25112','7832','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-13 13:17:30','2021-07-13 13:17:30',null);
INSERT INTO complaint_statuses VALUES('25113','7943','8','23','60','AGAIN TRY KAR LAY',null,'81','81','2021-07-13 13:19:26','2021-07-13 13:19:26',null);
INSERT INTO complaint_statuses VALUES('25114','7931','8','23','60','OK',null,'81','81','2021-07-13 13:20:25','2021-07-13 13:20:25',null);
INSERT INTO complaint_statuses VALUES('25115','7961','3',null,'57',null,'13-JUL-2021
COMPLAINT#20131','73','73','2021-07-13 13:21:18','2021-07-13 14:37:09',null);
INSERT INTO complaint_statuses VALUES('25116','7353','5','15',null,'CUSTOMER NA KHUD SA COMPLAINT RESOLVED KARWA LI COMPLAINT CLOSED','COMPLAINT COMPLETED','81','92','2021-07-13 13:21:58','2021-07-14 15:08:44',null);
INSERT INTO complaint_statuses VALUES('25117','7962','3',null,'65',null,'13-JUL-2021
COMPLAINT#192125883
NEW COMPLAINT#192126118','73','74','2021-07-13 13:23:35','2021-07-17 17:01:19',null);
INSERT INTO complaint_statuses VALUES('25118','7319','5','15',null,'CUSTOMER NA SET REPLACE KARWA LIYA HAIN
ASLAM SIR NA USMAN MRM SA SETK KARWA K PINDI SHOWROOM PA DA DI HAIN COMPLAINT CLOSED','COMPLAINT RESOLVED','81','92','2021-07-13 13:29:03','2021-07-14 15:09:36',null);
INSERT INTO complaint_statuses VALUES('25119','7924','7','24','81','Custmer kal workshop phonchay gy',null,'82','82','2021-07-13 13:33:03','2021-07-13 13:33:03',null);
INSERT INTO complaint_statuses VALUES('25120','7963','3',null,'60',null,'FRWRD TO RABIA GENERAL TEC','73','73','2021-07-13 13:33:25','2021-07-13 13:33:25',null);
INSERT INTO complaint_statuses VALUES('25121','7715','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-13 13:39:20','2021-07-13 13:39:20',null);
INSERT INTO complaint_statuses VALUES('25122','7707','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-13 13:48:08','2021-07-13 13:48:08',null);
INSERT INTO complaint_statuses VALUES('25123','7964','3',null,'53',null,'13-JUL-2021
COMPLAINT#301154990','73','73','2021-07-13 13:48:43','2021-07-13 14:30:08',null);
INSERT INTO complaint_statuses VALUES('25124','7823','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-13 13:50:59','2021-07-13 13:50:59',null);
INSERT INTO complaint_statuses VALUES('25125','7965','3',null,'65',null,'13-JUL-2021
COMPLAINT#192125884','73','73','2021-07-13 13:51:01','2021-07-13 14:16:29',null);
INSERT INTO complaint_statuses VALUES('25126','7966','3',null,'54',null,'13-JUL-2021
COMPLAINT#1934631','73','73','2021-07-13 13:55:42','2021-07-13 14:23:57',null);
INSERT INTO complaint_statuses VALUES('25127','7605','7','22','81','power supply defective    
repair rs 5000
new power board  RS 10500

approval required',null,'83','83','2021-07-13 14:05:55','2021-07-13 14:05:55',null);
INSERT INTO complaint_statuses VALUES('25128','7967','3',null,'65',null,'13-JUL-2021
COMPLAINT#192125885','73','73','2021-07-13 14:06:07','2021-07-13 14:19:29',null);
INSERT INTO complaint_statuses VALUES('25129','4579','7','12','81','COMPLAINT RESOLVED',null,'88','88','2021-07-13 14:11:40','2021-07-13 14:11:40',null);
INSERT INTO complaint_statuses VALUES('25130','6441','7','12','81','COMPLAINT RESOLVED',null,'88','88','2021-07-13 14:12:07','2021-07-13 14:12:07',null);
INSERT INTO complaint_statuses VALUES('25131','4579','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-13 14:13:15','2021-07-15 11:29:36',null);
INSERT INTO complaint_statuses VALUES('25132','6441','5','15',null,'GLASS LAGA DIA COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-07-13 14:20:28','2021-07-15 11:25:47',null);
INSERT INTO complaint_statuses VALUES('25133','7681','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-13 14:24:27','2021-07-13 14:24:27',null);
INSERT INTO complaint_statuses VALUES('25134','7656','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-13 14:34:19','2021-07-13 14:34:19',null);
INSERT INTO complaint_statuses VALUES('25135','7593','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-13 14:35:58','2021-07-13 14:35:58',null);
INSERT INTO complaint_statuses VALUES('25136','7591','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-13 14:36:51','2021-07-13 14:36:51',null);
INSERT INTO complaint_statuses VALUES('25137','7968','2',null,'81',null,'13-JUL-2021
COMPLAINT#301155001','73','73','2021-07-13 14:39:54','2021-07-13 14:44:11',null);
INSERT INTO complaint_statuses VALUES('25138','7788','7','24','81','Penal utar ky laye hy',null,'82','82','2021-07-13 14:40:09','2021-07-13 14:40:09',null);
INSERT INTO complaint_statuses VALUES('25139','7763','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-13 14:41:16','2021-07-13 14:41:16',null);
INSERT INTO complaint_statuses VALUES('25140','7968','3',null,'53',null,null,'81','81','2021-07-13 14:41:23','2021-07-13 14:41:23',null);
INSERT INTO complaint_statuses VALUES('25141','7763','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-13 14:41:26','2021-07-13 14:41:26',null);
INSERT INTO complaint_statuses VALUES('25142','7304','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-07-13 14:42:51','2021-07-13 14:42:51',null);
INSERT INTO complaint_statuses VALUES('25143','7657','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-13 14:43:23','2021-07-13 14:43:23',null);
INSERT INTO complaint_statuses VALUES('25144','7540','7','12','81','machine ok   voltage issue',null,'83','83','2021-07-13 14:47:44','2021-07-13 14:47:44',null);
INSERT INTO complaint_statuses VALUES('25145','7894','7','12','81','cusotmer ko call ki thi    unit ok chal raha ha as per customer',null,'83','83','2021-07-13 14:48:58','2021-07-13 14:48:58',null);
INSERT INTO complaint_statuses VALUES('25146','7894','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-13 14:57:43','2021-07-14 13:39:22',null);
INSERT INTO complaint_statuses VALUES('25147','7969','3',null,'53',null,'13-JUL-2021
COMPLAINT#301155028','73','73','2021-07-13 14:59:26','2021-07-13 15:06:22',null);
INSERT INTO complaint_statuses VALUES('25148','7533','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-13 15:05:52','2021-07-13 15:05:52',null);
INSERT INTO complaint_statuses VALUES('25149','7709','7','26','81','PLZ CANCEL IT ,CONFRIMATION CL K BAD',null,'87','87','2021-07-13 15:10:28','2021-07-13 15:10:28',null);
INSERT INTO complaint_statuses VALUES('25150','7815','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-13 15:11:33','2021-07-13 15:11:33',null);
INSERT INTO complaint_statuses VALUES('25151','7540','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-13 15:13:31','2021-07-14 14:45:58',null);
INSERT INTO complaint_statuses VALUES('25152','7304','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-07-13 15:14:01','2021-07-14 15:10:46',null);
INSERT INTO complaint_statuses VALUES('25153','7391','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-13 15:15:09','2021-07-13 15:15:09',null);
INSERT INTO complaint_statuses VALUES('25154','7970','3',null,'95',null,'13-JUL-2021
COMPLAINT#194057','73','73','2021-07-13 15:20:53','2021-07-13 15:23:23',null);
INSERT INTO complaint_statuses VALUES('25155','7482','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-13 15:26:50','2021-07-13 15:26:50',null);
INSERT INTO complaint_statuses VALUES('25156','7799','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-13 15:28:52','2021-07-13 15:28:52',null);
INSERT INTO complaint_statuses VALUES('25157','7709','5','23',null,'CUSTOMER NA COMPLAINT ABI CANCEL KARWA DI COMPLAINT CLOSED','COMPLAINT RESOLVED','81','74','2021-07-13 15:29:16','2021-07-14 13:13:22',null);
INSERT INTO complaint_statuses VALUES('25158','7798','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-13 15:33:44','2021-07-13 15:33:44',null);
INSERT INTO complaint_statuses VALUES('25159','7798','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-13 15:33:50','2021-07-13 15:33:50',null);
INSERT INTO complaint_statuses VALUES('25160','7941','7','24','81','YE CUSOTMER SERVICE CETER LY AYE GAIN',null,'79','79','2021-07-13 15:36:26','2021-07-13 15:36:26',null);
INSERT INTO complaint_statuses VALUES('25161','6835','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-13 15:41:18','2021-07-13 15:41:18',null);
INSERT INTO complaint_statuses VALUES('25162','7450','7','12','81','COMPREEOR CAHNGE COMPLIANT RESOLVED',null,'79','79','2021-07-13 15:41:40','2021-07-13 15:41:40',null);
INSERT INTO complaint_statuses VALUES('25163','6933','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-13 15:44:28','2021-07-13 15:44:28',null);
INSERT INTO complaint_statuses VALUES('25164','7971','3',null,'52',null,'13-JUL-2021
COMPLAINT#PKRI210713112257','73','73','2021-07-13 15:46:48','2021-07-13 16:05:58',null);
INSERT INTO complaint_statuses VALUES('25165','7746','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-13 15:48:13','2021-07-13 15:48:13',null);
INSERT INTO complaint_statuses VALUES('25166','7693','7','12','81','Visit okay frig main koi hrabi nhi
Kehty hy ice dear sy banti hy frezer sy smoke niklta hy ice ka darwaza kholny py',null,'82','82','2021-07-13 15:49:37','2021-07-13 15:49:37',null);
INSERT INTO complaint_statuses VALUES('25167','7402','7','26','81','Ac main koi masla nhi hy',null,'82','82','2021-07-13 15:50:08','2021-07-13 15:50:08',null);
INSERT INTO complaint_statuses VALUES('25168','7972','3',null,'52',null,'13-JUL-2021
COMPLAINT#PKRI210713112194
REOPEN COM NO PKRI210717109463','73','92','2021-07-13 15:50:52','2021-07-17 14:23:43',null);
INSERT INTO complaint_statuses VALUES('25169','7973','3',null,'52',null,'13-JUL-2021
COMPLAINT#PKRI210713112132','73','73','2021-07-13 15:54:28','2021-07-13 16:00:53',null);
INSERT INTO complaint_statuses VALUES('25170','7941','8','23','58','OK',null,'81','81','2021-07-13 15:59:01','2021-07-13 15:59:01',null);
INSERT INTO complaint_statuses VALUES('25171','7693','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-13 16:01:07','2021-07-14 13:41:25',null);
INSERT INTO complaint_statuses VALUES('25172','7579','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-13 16:03:55','2021-07-13 16:03:55',null);
INSERT INTO complaint_statuses VALUES('25173','7732','7','12','81','Solved gass kam thi',null,'82','82','2021-07-13 16:04:20','2021-07-13 16:04:20',null);
INSERT INTO complaint_statuses VALUES('25174','7974','2',null,'81',null,null,'73','73','2021-07-13 16:14:56','2021-07-13 16:14:56',null);
INSERT INTO complaint_statuses VALUES('25175','7974','4',null,'58',null,null,'81','81','2021-07-13 16:15:24','2021-07-13 16:15:24',null);
INSERT INTO complaint_statuses VALUES('25176','7326','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-13 16:15:34','2021-07-13 16:15:34',null);
INSERT INTO complaint_statuses VALUES('25177','7216','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-13 16:25:20','2021-07-13 16:25:20',null);
INSERT INTO complaint_statuses VALUES('25178','7402','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-13 16:25:30','2021-07-14 15:01:26',null);
INSERT INTO complaint_statuses VALUES('25179','7732','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-13 16:26:39','2021-07-14 13:15:13',null);
INSERT INTO complaint_statuses VALUES('25180','7450','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-13 16:28:30','2021-07-14 15:00:49',null);
INSERT INTO complaint_statuses VALUES('25181','7924','8','23','60','OK',null,'81','81','2021-07-13 16:29:00','2021-07-13 16:29:00',null);
INSERT INTO complaint_statuses VALUES('25182','7146','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-13 16:32:23','2021-07-13 16:32:23',null);
INSERT INTO complaint_statuses VALUES('25183','7936','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-13 16:37:24','2021-07-13 16:37:24',null);
INSERT INTO complaint_statuses VALUES('25184','7115','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-13 16:39:29','2021-07-13 16:39:29',null);
INSERT INTO complaint_statuses VALUES('25185','6895','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-13 17:19:43','2021-07-13 17:19:43',null);
INSERT INTO complaint_statuses VALUES('25186','6894','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-13 17:22:29','2021-07-13 17:22:29',null);
INSERT INTO complaint_statuses VALUES('25187','7975','3',null,'57',null,'13-JUL-2021
COMPLAINT#20147','73','73','2021-07-13 17:30:42','2021-07-13 17:37:14',null);
INSERT INTO complaint_statuses VALUES('25188','7976','3',null,'53',null,'13-JUL-2021
COMPLIANT#301155151','73','73','2021-07-13 17:42:21','2021-07-13 17:50:52',null);
INSERT INTO complaint_statuses VALUES('25189','7977','2',null,'81',null,null,'73','73','2021-07-13 17:45:38','2021-07-13 17:45:38',null);
INSERT INTO complaint_statuses VALUES('25190','7889','7','12','81','THAR MO C APPLE  REPLACE 
COMPLAINT RESOLVED',null,'88','88','2021-07-13 17:46:03','2021-07-13 17:46:03',null);
INSERT INTO complaint_statuses VALUES('25191','7977','4',null,'62',null,null,'81','81','2021-07-13 17:46:17','2021-07-13 17:46:17',null);
INSERT INTO complaint_statuses VALUES('25192','7869','7','12','81','GAS PERISHER  .
COMPLAINT RESOLVED',null,'88','88','2021-07-13 17:47:13','2021-07-13 17:47:13',null);
INSERT INTO complaint_statuses VALUES('25193','7855','7','12','81','STEEL REPLACE &AUTO WIR REPLACE
COMPLAINT RESOLVED',null,'88','88','2021-07-13 17:48:00','2021-07-13 17:48:00',null);
INSERT INTO complaint_statuses VALUES('25194','7712','7','12','81','THAR MO C APPLE REPLACE',null,'88','88','2021-07-13 17:49:16','2021-07-13 17:49:16',null);
INSERT INTO complaint_statuses VALUES('25195','7295','7','12','81','NOB REPLACE COMPLAINT RESOLVED',null,'88','88','2021-07-13 17:50:36','2021-07-13 17:50:36',null);
INSERT INTO complaint_statuses VALUES('25196','7263','7','12','81','TANK REPLACED
COMPLAINT RESOLVED',null,'88','88','2021-07-13 17:51:12','2021-07-13 17:51:12',null);
INSERT INTO complaint_statuses VALUES('25197','7193','7','12','81','COMPLETED COMPLIANT
DOB AL COMPLAINT ENTER',null,'88','88','2021-07-13 17:52:06','2021-07-13 17:52:06',null);
INSERT INTO complaint_statuses VALUES('25198','7108','7','12','81','NOB REPLACED 
COMPLAINT RESOLVD',null,'88','88','2021-07-13 17:52:45','2021-07-13 17:52:45',null);
INSERT INTO complaint_statuses VALUES('25199','7889','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-13 17:55:20','2021-07-14 13:38:50',null);
INSERT INTO complaint_statuses VALUES('25200','7869','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-13 17:55:45','2021-07-14 13:36:17',null);
INSERT INTO complaint_statuses VALUES('25201','7855','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-13 17:56:59','2021-07-14 13:35:32',null);
INSERT INTO complaint_statuses VALUES('25202','7712','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-13 17:59:52','2021-07-14 13:14:07',null);
INSERT INTO complaint_statuses VALUES('25203','7978','3',null,'52',null,'13-JUL-2021
COMPLAINT#PKRI210713115084','73','73','2021-07-13 18:06:04','2021-07-13 18:10:25',null);
INSERT INTO complaint_statuses VALUES('25204','7773','7','12','81','gear box k screw loose thy .work shop ly  aye thy check kr  li hai .agr dubra issue ata hai ti drum chnage ho ga',null,'79','79','2021-07-13 19:01:28','2021-07-13 19:01:28',null);
INSERT INTO complaint_statuses VALUES('25205','6708','7','12','81','kafi time sy cusotmer ko call kr rehy hai no nahi mil raha in ka ,',null,'79','79','2021-07-13 19:03:46','2021-07-13 19:03:46',null);
INSERT INTO complaint_statuses VALUES('25206','7504','7','12','81','cusotmer sy bt hui  hai k hum is mein alternate pump lg adein gain jis k liye cooler  serice cener ly  aye .mgr customer agree nahi hai or wo bol rehy k alternate nahi kerwana,',null,'79','79','2021-07-13 19:06:14','2021-07-13 19:06:14',null);
INSERT INTO complaint_statuses VALUES('25207','7917','7','12','81','screw loose thy handle ky  complaint reosolved',null,'79','79','2021-07-13 19:33:50','2021-07-13 19:33:50',null);
INSERT INTO complaint_statuses VALUES('25208','7979','2',null,'81',null,null,'73','73','2021-07-14 10:16:28','2021-07-14 10:16:28',null);
INSERT INTO complaint_statuses VALUES('25209','7979','4',null,'62',null,null,'81','81','2021-07-14 10:17:00','2021-07-14 10:17:00',null);
INSERT INTO complaint_statuses VALUES('25210','7980','2',null,'81',null,null,'73','73','2021-07-14 10:23:01','2021-07-14 10:23:01',null);
INSERT INTO complaint_statuses VALUES('25211','7980','4',null,'61',null,null,'81','81','2021-07-14 10:23:34','2021-07-14 10:23:34',null);
INSERT INTO complaint_statuses VALUES('25212','7981','3',null,'60',null,'FRWRD TO RABIA G.TECH','73','73','2021-07-14 10:26:34','2021-07-14 10:26:34',null);
INSERT INTO complaint_statuses VALUES('25213','7982','3',null,'60',null,'FRWRD TO RABIA G.TECH','73','73','2021-07-14 10:29:29','2021-07-14 10:29:29',null);
INSERT INTO complaint_statuses VALUES('25214','7983','2',null,'81',null,null,'73','73','2021-07-14 10:32:20','2021-07-14 10:32:20',null);
INSERT INTO complaint_statuses VALUES('25215','7983','4',null,'63',null,null,'81','81','2021-07-14 10:32:43','2021-07-14 10:32:43',null);
INSERT INTO complaint_statuses VALUES('25216','7984','3',null,'73',null,'14-JUL-2021
COMPLAINT#5098','73','73','2021-07-14 10:36:05','2021-07-14 11:47:15',null);
INSERT INTO complaint_statuses VALUES('25217','7985','3',null,'52',null,'14-JUL-2021
COMPLAINT#PKRI210714109147','73','73','2021-07-14 10:38:04','2021-07-14 14:42:29',null);
INSERT INTO complaint_statuses VALUES('25218','7917','5','15',null,'complaint resolved','COMPLAINT RESOLVED','81','74','2021-07-14 10:39:22','2021-07-14 13:39:53',null);
INSERT INTO complaint_statuses VALUES('25219','7986','2',null,'81',null,null,'73','73','2021-07-14 10:41:26','2021-07-14 10:41:26',null);
INSERT INTO complaint_statuses VALUES('25220','7986','4',null,'60',null,null,'81','81','2021-07-14 10:41:42','2021-07-14 10:41:42',null);
INSERT INTO complaint_statuses VALUES('25221','7263','5','15',null,'complaint resolved','COMPLAINT COMPLETED','81','92','2021-07-14 10:45:34','2021-07-14 15:14:26',null);
INSERT INTO complaint_statuses VALUES('25222','7193','5','15',null,'COMPLETED COMPLAINT 
DOBAL ENTER','COMPLAINT CLOSED','81','74','2021-07-14 10:52:58','2021-07-15 10:46:43',null);
INSERT INTO complaint_statuses VALUES('25223','7773','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-14 10:55:08','2021-07-14 13:20:28',null);
INSERT INTO complaint_statuses VALUES('25224','7987','3',null,'52',null,'14-JUL-2021
COMPLAINT#PKRI210713119072
REOPEN COM NO PKRI-210724108333','73','92','2021-07-14 10:55:08','2021-07-24 14:20:40',null);
INSERT INTO complaint_statuses VALUES('25225','7788','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-07-14 10:55:56','2021-07-14 10:55:56',null);
INSERT INTO complaint_statuses VALUES('25226','7295','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-14 10:56:29','2021-07-15 10:46:10',null);
INSERT INTO complaint_statuses VALUES('25227','7108','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-14 10:56:58','2021-07-15 10:51:49',null);
INSERT INTO complaint_statuses VALUES('25228','7988','3',null,'65',null,'14-JUL-2021
COMPLAINT#192125927','73','73','2021-07-14 11:06:23','2021-07-14 11:43:47',null);
INSERT INTO complaint_statuses VALUES('25229','7989','3',null,'52',null,'14-JUL-2021
COMPLAINT#PKRI210713117165','73','73','2021-07-14 11:15:32','2021-07-14 14:34:42',null);
INSERT INTO complaint_statuses VALUES('25230','7916','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-14 11:16:01','2021-07-14 11:16:01',null);
INSERT INTO complaint_statuses VALUES('25231','7990','2',null,'81',null,null,'73','73','2021-07-14 11:26:16','2021-07-14 11:26:16',null);
INSERT INTO complaint_statuses VALUES('25232','7990','4',null,'61',null,null,'81','81','2021-07-14 11:27:42','2021-07-14 11:27:42',null);
INSERT INTO complaint_statuses VALUES('25233','7627','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-14 11:29:20','2021-07-14 11:29:20',null);
INSERT INTO complaint_statuses VALUES('25234','7991','3',null,'65',null,'14-JUL-2021
COMPLAINT#192125926','73','73','2021-07-14 11:38:09','2021-07-14 11:41:46',null);
INSERT INTO complaint_statuses VALUES('25235','6990','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-14 11:43:51','2021-07-14 11:43:51',null);
INSERT INTO complaint_statuses VALUES('25236','7893','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-14 11:49:52','2021-07-14 11:49:52',null);
INSERT INTO complaint_statuses VALUES('25237','7892','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-14 11:51:48','2021-07-14 11:51:48',null);
INSERT INTO complaint_statuses VALUES('25238','7992','3',null,'57',null,'14-JUL-2021
COMPLAINT#20157','73','73','2021-07-14 11:52:50','2021-07-14 13:43:48',null);
INSERT INTO complaint_statuses VALUES('25239','7891','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-14 11:53:18','2021-07-14 11:53:18',null);
INSERT INTO complaint_statuses VALUES('25240','7993','2',null,'81',null,null,'73','73','2021-07-14 11:56:46','2021-07-14 11:56:46',null);
INSERT INTO complaint_statuses VALUES('25241','7888','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-14 11:58:19','2021-07-14 11:58:19',null);
INSERT INTO complaint_statuses VALUES('25242','7994','2',null,'81',null,null,'73','73','2021-07-14 11:59:41','2021-07-14 11:59:41',null);
INSERT INTO complaint_statuses VALUES('25243','7993','4',null,'55',null,null,'81','81','2021-07-14 12:00:03','2021-07-14 12:00:03',null);
INSERT INTO complaint_statuses VALUES('25244','7994','4',null,'60',null,null,'81','81','2021-07-14 12:00:18','2021-07-14 12:00:18',null);
INSERT INTO complaint_statuses VALUES('25245','5995','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-14 12:03:20','2021-07-14 12:03:20',null);
INSERT INTO complaint_statuses VALUES('25246','7995','3',null,'54',null,'14-JUL-2021
COMPLAINT#1935770','73','73','2021-07-14 12:05:28','2021-07-14 13:51:07',null);
INSERT INTO complaint_statuses VALUES('25247','7996','3',null,'65',null,'14-JUL-2021
COMPLAINT#192125934','73','73','2021-07-14 12:15:41','2021-07-14 12:30:46',null);
INSERT INTO complaint_statuses VALUES('25248','7997','2',null,'81',null,null,'73','73','2021-07-14 12:19:28','2021-07-14 12:19:28',null);
INSERT INTO complaint_statuses VALUES('25249','7997','4',null,'58',null,null,'81','81','2021-07-14 12:20:18','2021-07-14 12:20:18',null);
INSERT INTO complaint_statuses VALUES('25250','7797','7','12','81','Drain pippe setting hrab thi 
Set kar di hy',null,'82','82','2021-07-14 12:22:10','2021-07-14 12:22:10',null);
INSERT INTO complaint_statuses VALUES('25251','7998','3',null,'65',null,'14-JUL-2021
COMPLAINT#192125935
REOPEN#192126371','73','74','2021-07-14 12:23:46','2021-07-26 11:46:20',null);
INSERT INTO complaint_statuses VALUES('25252','6218','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-14 12:28:47','2021-07-14 12:28:47',null);
INSERT INTO complaint_statuses VALUES('25253','7880','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-14 12:31:31','2021-07-14 12:31:31',null);
INSERT INTO complaint_statuses VALUES('25254','6110','7','12','81','Penal ki servis ki hy custmer ky ghar bhej dia hy',null,'82','82','2021-07-14 12:36:07','2021-07-14 12:36:07',null);
INSERT INTO complaint_statuses VALUES('25255','7039','7','26','81','Custmer ny machin nhi bheji servis issue hy',null,'82','82','2021-07-14 12:38:45','2021-07-14 12:38:45',null);
INSERT INTO complaint_statuses VALUES('25256','7100','7','12','81','Visit okay',null,'82','82','2021-07-14 12:39:46','2021-07-14 12:39:46',null);
INSERT INTO complaint_statuses VALUES('25257','7999','3',null,'54',null,'14-JUL-2021
COMPLAINT#1935661','73','73','2021-07-14 12:42:34','2021-07-14 12:48:43',null);
INSERT INTO complaint_statuses VALUES('25258','7477','7','12','81','Ic okay',null,'82','82','2021-07-14 12:43:11','2021-07-14 12:43:11',null);
INSERT INTO complaint_statuses VALUES('25259','7615','7','12','81','Ic okay hy',null,'82','82','2021-07-14 12:44:09','2021-07-14 12:44:09',null);
INSERT INTO complaint_statuses VALUES('25260','7875','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-14 12:46:57','2021-07-14 12:46:57',null);
INSERT INTO complaint_statuses VALUES('25261','7797','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-14 12:48:39','2021-07-14 13:27:03',null);
INSERT INTO complaint_statuses VALUES('25262','7615','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-14 12:49:56','2021-07-14 14:00:49',null);
INSERT INTO complaint_statuses VALUES('25263','5099','7','26','81','Mariam ko koi information nhi hy closed kar dy',null,'82','82','2021-07-14 12:50:21','2021-07-14 12:50:21',null);
INSERT INTO complaint_statuses VALUES('25264','7874','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-14 12:50:24','2021-07-14 12:50:24',null);
INSERT INTO complaint_statuses VALUES('25265','7873','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-14 12:52:19','2021-07-14 12:52:19',null);
INSERT INTO complaint_statuses VALUES('25266','5919','7','12','81','Custmer ka frezer i10 servis center  hu compresor chenj huwa hy aaj pick karway gy pesy nhi dy rahy',null,'82','82','2021-07-14 12:53:14','2021-07-14 12:53:14',null);
INSERT INTO complaint_statuses VALUES('25267','7504','5','15',null,'CUSTOMER AGREE NAI HAIN COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-07-14 12:53:24','2021-07-14 14:49:07',null);
INSERT INTO complaint_statuses VALUES('25268','7477','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-14 12:54:37','2021-07-14 15:00:11',null);
INSERT INTO complaint_statuses VALUES('25269','7872','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-14 12:54:54','2021-07-14 12:54:54',null);
INSERT INTO complaint_statuses VALUES('25270','7100','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-07-14 12:55:24','2021-07-14 15:19:29',null);
INSERT INTO complaint_statuses VALUES('25271','7039','5','15',null,'CUSTOMER SIDE SA COMPLAINT DELAY HAIN COMPLAINT CLOSED','COMPLAINT COMPLETED','81','92','2021-07-14 12:56:11','2021-07-14 15:20:03',null);
INSERT INTO complaint_statuses VALUES('25272','6494','8','23','61','AP HI SHOWROOM SA PICK KARWA LAY AGR EASY HO TU',null,'81','81','2021-07-14 12:57:41','2021-07-14 12:57:41',null);
INSERT INTO complaint_statuses VALUES('25273','6110','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-14 12:58:59','2021-07-15 11:27:05',null);
INSERT INTO complaint_statuses VALUES('25274','7870','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-14 13:00:04','2021-07-14 13:00:04',null);
INSERT INTO complaint_statuses VALUES('25275','8000','3',null,'71',null,'14-JUL-2021
COMPLAINT#C7/149
REOPEN COM NO C7/190','73','92','2021-07-14 13:08:58','2021-07-17 14:56:31',null);
INSERT INTO complaint_statuses VALUES('25276','8001','2',null,'81',null,null,'73','73','2021-07-14 13:13:39','2021-07-14 13:13:39',null);
INSERT INTO complaint_statuses VALUES('25277','8001','4',null,'58',null,null,'81','81','2021-07-14 13:14:02','2021-07-14 13:14:02',null);
INSERT INTO complaint_statuses VALUES('25278','8002','3',null,'80',null,'14-JUL-2021
FRWRD TO SAJAD BHATTI','73','73','2021-07-14 13:19:40','2021-07-14 13:22:13',null);
INSERT INTO complaint_statuses VALUES('25279','8003','2',null,'81',null,null,'73','73','2021-07-14 13:25:21','2021-07-14 13:25:21',null);
INSERT INTO complaint_statuses VALUES('25280','8003','4',null,'61',null,null,'81','81','2021-07-14 13:25:41','2021-07-14 13:25:41',null);
INSERT INTO complaint_statuses VALUES('25281','7700','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-14 13:40:49','2021-07-14 13:40:49',null);
INSERT INTO complaint_statuses VALUES('25282','7919','7','22','81','Main PCB defective 
17000 expance',null,'83','83','2021-07-14 13:41:15','2021-07-14 13:41:15',null);
INSERT INTO complaint_statuses VALUES('25283','7687','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','74','2021-07-14 14:02:54','2021-07-14 14:03:34',null);
INSERT INTO complaint_statuses VALUES('25284','7682','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-14 14:05:49','2021-07-14 14:05:49',null);
INSERT INTO complaint_statuses VALUES('25285','8004','2',null,'81',null,null,'73','73','2021-07-14 14:07:37','2021-07-14 14:07:37',null);
INSERT INTO complaint_statuses VALUES('25286','8004','4',null,'58',null,null,'81','81','2021-07-14 14:08:41','2021-07-14 14:08:41',null);
INSERT INTO complaint_statuses VALUES('25287','7675','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-14 14:09:24','2021-07-14 14:09:24',null);
INSERT INTO complaint_statuses VALUES('25288','8005','2',null,'81',null,null,'73','73','2021-07-14 14:13:49','2021-07-14 14:13:49',null);
INSERT INTO complaint_statuses VALUES('25289','7673','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-14 14:13:51','2021-07-14 14:13:51',null);
INSERT INTO complaint_statuses VALUES('25290','8005','4',null,'62',null,null,'81','81','2021-07-14 14:14:21','2021-07-14 14:14:21',null);
INSERT INTO complaint_statuses VALUES('25291','8006','3',null,'85',null,'14-JUL-2021
COMPLAINT#301155532','73','73','2021-07-14 14:21:22','2021-07-14 14:31:21',null);
INSERT INTO complaint_statuses VALUES('25292','7652','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-14 14:22:54','2021-07-14 14:22:54',null);
INSERT INTO complaint_statuses VALUES('25293','8007','3',null,'97',null,'14-JUL-2021
COMPLAINT#20210013951','73','92','2021-07-14 14:51:29','2021-07-17 12:12:33',null);
INSERT INTO complaint_statuses VALUES('25294','8008','2',null,'81',null,null,'73','73','2021-07-14 15:00:55','2021-07-14 15:00:55',null);
INSERT INTO complaint_statuses VALUES('25295','8008','4',null,'61',null,null,'81','81','2021-07-14 15:01:31','2021-07-14 15:01:31',null);
INSERT INTO complaint_statuses VALUES('25296','8009','3',null,'52',null,'14-JUL-2021
COMPLAINT#PKRI210714111338','73','73','2021-07-14 15:33:48','2021-07-14 15:57:48',null);
INSERT INTO complaint_statuses VALUES('25297','8010','3',null,'53',null,'14-JUL-2021
COMPLAINT#301155609','73','73','2021-07-14 15:40:21','2021-07-14 15:49:58',null);
INSERT INTO complaint_statuses VALUES('25298','8011','3',null,'65',null,'14-JUL-2021
COMPLAINT#192125959','73','73','2021-07-14 16:35:24','2021-07-14 16:43:33',null);
INSERT INTO complaint_statuses VALUES('25299','5099','8','23','60','OVEN CUSTOMER KA PASS NAI HAIN KINDLY MARIYAM  MADAM SA CONFIRM KARAY SHOWROOM PA CUTOMER DROP KAR K GAY HAIN',null,'81','81','2021-07-14 16:43:56','2021-07-14 16:43:56',null);
INSERT INTO complaint_statuses VALUES('25300','8012','2',null,'81',null,null,'73','73','2021-07-14 16:58:40','2021-07-14 16:58:40',null);
INSERT INTO complaint_statuses VALUES('25301','8012','4',null,'58',null,null,'81','81','2021-07-14 16:59:19','2021-07-14 16:59:19',null);
INSERT INTO complaint_statuses VALUES('25302','8013','3',null,'52',null,'14-JUL-2021
COMPLAINT#PKRI210714112983','73','73','2021-07-14 17:02:05','2021-07-14 17:06:32',null);
INSERT INTO complaint_statuses VALUES('25303','8014','2',null,'81',null,null,'73','73','2021-07-14 17:22:02','2021-07-14 17:22:02',null);
INSERT INTO complaint_statuses VALUES('25304','8014','4',null,'62',null,null,'81','81','2021-07-14 17:22:21','2021-07-14 17:22:21',null);
INSERT INTO complaint_statuses VALUES('25305','8015','2',null,'81',null,null,'73','73','2021-07-14 17:25:46','2021-07-14 17:25:46',null);
INSERT INTO complaint_statuses VALUES('25306','8015','4',null,'61',null,null,'81','81','2021-07-14 17:26:31','2021-07-14 17:26:31',null);
INSERT INTO complaint_statuses VALUES('25307','8016','2',null,'81',null,null,'73','73','2021-07-14 17:46:05','2021-07-14 17:46:05',null);
INSERT INTO complaint_statuses VALUES('25308','8016','4',null,'63',null,null,'81','81','2021-07-14 17:46:56','2021-07-14 17:46:56',null);
INSERT INTO complaint_statuses VALUES('25309','7946','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-14 19:07:05','2021-07-14 19:07:05',null);
INSERT INTO complaint_statuses VALUES('25310','6809','7','26','81','W/M K PCB + COIL + GAER KA PROBLEM HAI . SO PLZ CANCEL IT AFTER CONFERMATION CL',null,'87','87','2021-07-14 19:08:36','2021-07-14 19:08:36',null);
INSERT INTO complaint_statuses VALUES('25311','7449','7','12','81','kitchen hood  tha pcb issue complaint resolved,moel A1 
dop 30-mar-2021',null,'79','79','2021-07-14 20:21:47','2021-07-14 20:21:47',null);
INSERT INTO complaint_statuses VALUES('25312','8016','7','28','81','Dabil inrary',null,'88','88','2021-07-15 09:37:07','2021-07-15 09:37:07',null);
INSERT INTO complaint_statuses VALUES('25313','7928','7','12','81','Kala karta tha ok',null,'88','88','2021-07-15 09:37:45','2021-07-15 09:37:45',null);
INSERT INTO complaint_statuses VALUES('25314','7829','7','12','81','Hot palt or auto kharb tha OK 500 f',null,'88','88','2021-07-15 09:38:36','2021-07-15 09:38:36',null);
INSERT INTO complaint_statuses VALUES('25315','8017','3',null,'54',null,'15-JUL-2021
COMPLAINT#1936740','73','73','2021-07-15 10:03:04','2021-07-15 10:49:58',null);
INSERT INTO complaint_statuses VALUES('25316','8018','3',null,'54',null,'15-JUL-2021
COMPLAINT#1936743','73','73','2021-07-15 10:03:16','2021-07-15 10:51:01',null);
INSERT INTO complaint_statuses VALUES('25317','8019','3',null,'53',null,'15-JUL-2021
COMPLAINT#301155900','73','73','2021-07-15 10:03:27','2021-07-15 10:58:15',null);
INSERT INTO complaint_statuses VALUES('25318','8020','3',null,'53',null,'15-JUL-2021
COMPLAINT#301155902','73','73','2021-07-15 10:03:36','2021-07-15 10:58:50',null);
INSERT INTO complaint_statuses VALUES('25319','8021','2',null,'81',null,null,'73','73','2021-07-15 10:11:22','2021-07-15 10:11:22',null);
INSERT INTO complaint_statuses VALUES('25320','8021','4',null,'58',null,null,'81','81','2021-07-15 10:12:14','2021-07-15 10:12:14',null);
INSERT INTO complaint_statuses VALUES('25321','8022','3',null,'52',null,'15-JUL-2021
COMPLAINT#PKRI210715103295','73','73','2021-07-15 10:14:08','2021-07-15 11:08:38',null);
INSERT INTO complaint_statuses VALUES('25322','8023','2',null,'81',null,null,'73','73','2021-07-15 10:17:25','2021-07-15 10:17:25',null);
INSERT INTO complaint_statuses VALUES('25323','8023','4',null,'63',null,null,'81','81','2021-07-15 10:18:13','2021-07-15 10:18:13',null);
INSERT INTO complaint_statuses VALUES('25324','8024','2',null,'81',null,null,'73','73','2021-07-15 10:19:32','2021-07-15 10:19:32',null);
INSERT INTO complaint_statuses VALUES('25325','8024','4',null,'61',null,null,'81','81','2021-07-15 10:19:53','2021-07-15 10:19:53',null);
INSERT INTO complaint_statuses VALUES('25326','8025','3',null,'65',null,'15-JUL-2021
COMPLAINT#192125976','73','73','2021-07-15 10:27:14','2021-07-15 11:22:08',null);
INSERT INTO complaint_statuses VALUES('25327','8026','2',null,'81',null,null,'73','73','2021-07-15 10:29:56','2021-07-15 10:29:56',null);
INSERT INTO complaint_statuses VALUES('25328','8026','4',null,'63',null,null,'81','81','2021-07-15 10:31:56','2021-07-15 10:31:56',null);
INSERT INTO complaint_statuses VALUES('25329','8027','2',null,'81',null,null,'73','73','2021-07-15 10:37:22','2021-07-15 10:37:22',null);
INSERT INTO complaint_statuses VALUES('25330','8027','4',null,'55',null,null,'81','81','2021-07-15 10:39:45','2021-07-15 10:39:45',null);
INSERT INTO complaint_statuses VALUES('25331','8028','3',null,'53',null,'15-JUL-2021
COMPLAINT#301155899','73','73','2021-07-15 10:40:27','2021-07-15 10:55:46',null);
INSERT INTO complaint_statuses VALUES('25332','8029','3',null,'97',null,'15-JUL-2021
COMPLAINT#202107012058','73','73','2021-07-15 10:45:53','2021-07-15 11:13:59',null);
INSERT INTO complaint_statuses VALUES('25333','8016','5','15',null,'ALREADY COMPLAINT ENTER HOI V HAIN TASK#7005','COMPLAINT CLOSED','81','74','2021-07-15 10:50:22','2021-07-15 10:51:17',null);
INSERT INTO complaint_statuses VALUES('25334','7946','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-15 10:53:58','2021-07-15 11:00:53',null);
INSERT INTO complaint_statuses VALUES('25335','7928','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-15 11:02:00','2021-07-15 11:23:24',null);
INSERT INTO complaint_statuses VALUES('25336','8003','7','12','81','Unit ok',null,'83','83','2021-07-15 11:14:26','2021-07-15 11:14:26',null);
INSERT INTO complaint_statuses VALUES('25337','8030','3',null,'65',null,'15-JUL-2021
COMPLAINT#192125975
COMPLAINT REOPEN #192126374','73','74','2021-07-15 11:16:38','2021-07-26 11:58:27',null);
INSERT INTO complaint_statuses VALUES('25338','7609','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-15 11:19:20','2021-07-15 11:19:20',null);
INSERT INTO complaint_statuses VALUES('25339','7921','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 11:22:24','2021-07-15 11:22:24',null);
INSERT INTO complaint_statuses VALUES('25340','7878','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-15 11:30:18','2021-07-15 11:30:18',null);
INSERT INTO complaint_statuses VALUES('25341','8031','3',null,'52',null,'15-JUN-2021
COMPLAINT#PKRI210715104337','73','73','2021-07-15 11:33:50','2021-07-15 11:36:47',null);
INSERT INTO complaint_statuses VALUES('25342','7925','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 11:37:41','2021-07-15 11:37:41',null);
INSERT INTO complaint_statuses VALUES('25343','7943','7','10','81','Aaj bhi fon nhi utha rahy apko call aye to mera numbr unko dy de',null,'82','82','2021-07-15 11:38:29','2021-07-15 11:38:29',null);
INSERT INTO complaint_statuses VALUES('25344','7915','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 11:45:21','2021-07-15 11:45:21',null);
INSERT INTO complaint_statuses VALUES('25345','7914','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 11:46:53','2021-07-15 11:46:53',null);
INSERT INTO complaint_statuses VALUES('25346','7837','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-15 11:47:07','2021-07-15 11:47:07',null);
INSERT INTO complaint_statuses VALUES('25347','7826','7','12','81','Visit okay remort control issue tha setting ka',null,'82','82','2021-07-15 11:47:31','2021-07-15 11:47:31',null);
INSERT INTO complaint_statuses VALUES('25348','8032','3',null,'52',null,'15-JUL-2021
COMPLAINT#PKRI210715105029','73','73','2021-07-15 11:51:41','2021-07-15 11:59:59',null);
INSERT INTO complaint_statuses VALUES('25349','7952','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 11:54:16','2021-07-15 11:54:16',null);
INSERT INTO complaint_statuses VALUES('25350','7729','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-15 12:03:35','2021-07-15 12:03:35',null);
INSERT INTO complaint_statuses VALUES('25351','7924','7','12','81','Gun +feuse+abraq sheet 
3050/rs lagy hy waranty main repleced kar dia hy',null,'82','82','2021-07-15 12:04:34','2021-07-15 12:04:34',null);
INSERT INTO complaint_statuses VALUES('25352','7903','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 12:09:47','2021-07-15 12:09:47',null);
INSERT INTO complaint_statuses VALUES('25353','7829','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-15 12:10:24','2021-07-15 12:21:13',null);
INSERT INTO complaint_statuses VALUES('25354','7924','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-15 12:11:42','2021-07-15 12:18:37',null);
INSERT INTO complaint_statuses VALUES('25355','8033','3',null,'54',null,'15-JUL-2021
COMPLAINT#1936963','73','73','2021-07-15 12:13:34','2021-07-15 12:32:08',null);
INSERT INTO complaint_statuses VALUES('25356','7876','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 12:15:26','2021-07-15 12:15:26',null);
INSERT INTO complaint_statuses VALUES('25357','8034','3',null,'73',null,'15-JUL-2021
COMPLAINT#5111','73','73','2021-07-15 12:18:41','2021-07-15 12:43:32',null);
INSERT INTO complaint_statuses VALUES('25358','8035','3',null,'52',null,'15-JUL-2021
COMPLAINT#PKRI210715106505','73','73','2021-07-15 12:22:06','2021-07-15 12:50:41',null);
INSERT INTO complaint_statuses VALUES('25359','7867','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 12:24:15','2021-07-15 12:24:15',null);
INSERT INTO complaint_statuses VALUES('25360','7943','5','15',null,'CUSTOMER STILL NOT ATTEND MY CALL SO COMPLAIN T CLOSED','COMPLAINT CLOSED','81','74','2021-07-15 12:24:49','2021-07-15 12:45:10',null);
INSERT INTO complaint_statuses VALUES('25361','7826','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-15 12:27:44','2021-07-15 12:46:29',null);
INSERT INTO complaint_statuses VALUES('25362','7685','5',null,null,'COMPLAIN T COMPLETED',null,'74','74','2021-07-15 12:28:32','2021-07-15 12:28:32',null);
INSERT INTO complaint_statuses VALUES('25363','8036','3',null,'54',null,'15-JUL-2021
COMPLAINT#1936967','73','73','2021-07-15 12:28:43','2021-07-15 12:34:05',null);
INSERT INTO complaint_statuses VALUES('25364','7449','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-15 12:29:01','2021-07-15 12:45:50',null);
INSERT INTO complaint_statuses VALUES('25365','7858','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 12:29:22','2021-07-15 12:29:22',null);
INSERT INTO complaint_statuses VALUES('25366','8037','3',null,'53',null,'15-JUL-2021
COMPLAINT#301156040','73','73','2021-07-15 12:35:42','2021-07-15 12:54:58',null);
INSERT INTO complaint_statuses VALUES('25367','7565','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-15 12:37:11','2021-07-15 12:37:11',null);
INSERT INTO complaint_statuses VALUES('25368','7605','8','23','61','APPROVED BY KHURRAM SIR
JOB COMPLETED QUKILEY',null,'81','81','2021-07-15 12:49:37','2021-07-15 12:49:37',null);
INSERT INTO complaint_statuses VALUES('25369','7919','8','23','61','APPROVED BY KHURRAM SIR
JOB COMPLETED QUKILEY',null,'81','81','2021-07-15 12:50:18','2021-07-15 12:50:18',null);
INSERT INTO complaint_statuses VALUES('25370','8003','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-07-15 12:50:51','2021-07-15 12:50:51',null);
INSERT INTO complaint_statuses VALUES('25371','7784','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 12:50:57','2021-07-15 12:50:57',null);
INSERT INTO complaint_statuses VALUES('25372','7287','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-07-15 12:52:02','2021-07-15 12:52:02',null);
INSERT INTO complaint_statuses VALUES('25373','7523','5',null,null,'COMPLAIN T COMPLETED',null,'74','74','2021-07-15 12:54:04','2021-07-15 12:54:04',null);
INSERT INTO complaint_statuses VALUES('25374','7833','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 12:56:10','2021-07-15 12:56:10',null);
INSERT INTO complaint_statuses VALUES('25375','6667','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-15 12:56:57','2021-07-15 12:56:57',null);
INSERT INTO complaint_statuses VALUES('25376','8038','2',null,'81',null,'15-JUL-2021
COMPLAINT#192125993','73','73','2021-07-15 13:00:45','2021-07-15 13:00:45',null);
INSERT INTO complaint_statuses VALUES('25377','8038','4',null,'60',null,null,'81','81','2021-07-15 13:01:39','2021-07-15 13:01:39',null);
INSERT INTO complaint_statuses VALUES('25378','6831','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-15 13:01:58','2021-07-15 13:01:58',null);
INSERT INTO complaint_statuses VALUES('25379','8039','2',null,'81',null,null,'73','73','2021-07-15 13:07:18','2021-07-15 13:07:18',null);
INSERT INTO complaint_statuses VALUES('25380','8039','4',null,'61',null,null,'81','81','2021-07-15 13:07:41','2021-07-15 13:07:41',null);
INSERT INTO complaint_statuses VALUES('25381','7920','7','24','81','is main wrong coments enter ho gy hain by mistake 

RS 500 espance  
unit already ok kr k aslam k hand over kr diya tha',null,'83','83','2021-07-15 13:10:35','2021-07-15 13:10:35',null);
INSERT INTO complaint_statuses VALUES('25382','8040','3',null,'65',null,'15-JUL-2021
COMPLAINT#192125998','73','73','2021-07-15 13:11:52','2021-07-15 13:18:17',null);
INSERT INTO complaint_statuses VALUES('25383','6252','7','12','81','customer ko set replace kr diya tha 

stock set  ki new complaint genrate kr dain plz.',null,'83','83','2021-07-15 13:29:00','2021-07-15 13:29:00',null);
INSERT INTO complaint_statuses VALUES('25384','6252','8','23','61','ic hi task pa working kar lay remaks main likh dijay ga k set customer ko replace kar dia hain
stock set hain',null,'81','81','2021-07-15 13:39:43','2021-07-15 13:39:43',null);
INSERT INTO complaint_statuses VALUES('25385','7809','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 13:40:30','2021-07-15 13:40:30',null);
INSERT INTO complaint_statuses VALUES('25386','7005','7','12','81','Okk 2300 f',null,'88','88','2021-07-15 13:41:21','2021-07-15 13:41:21',null);
INSERT INTO complaint_statuses VALUES('25387','6252','7','12','81','stock unit   
Panel repair  RS12500/- espance',null,'83','83','2021-07-15 13:41:23','2021-07-15 13:41:23',null);
INSERT INTO complaint_statuses VALUES('25388','7945','7','12','81','OK gas parablam',null,'88','88','2021-07-15 13:41:51','2021-07-15 13:41:51',null);
INSERT INTO complaint_statuses VALUES('25389','8041','2',null,'81',null,null,'73','73','2021-07-15 14:01:33','2021-07-15 14:01:33',null);
INSERT INTO complaint_statuses VALUES('25390','8042','3',null,'52',null,'15-JUL-2021
COMPLAINT#PKRI210715110430','73','73','2021-07-15 14:02:25','2021-07-15 15:19:34',null);
INSERT INTO complaint_statuses VALUES('25391','8041','4',null,'62',null,null,'81','81','2021-07-15 14:02:49','2021-07-15 14:02:49',null);
INSERT INTO complaint_statuses VALUES('25392','7169','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-15 14:08:48','2021-07-15 14:08:48',null);
INSERT INTO complaint_statuses VALUES('25393','7716','5',null,null,'COMPLAINT CLOSED','COMPLAINT RESOLVED','74','74','2021-07-15 14:09:29','2021-07-15 14:37:47',null);
INSERT INTO complaint_statuses VALUES('25394','7668','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-15 14:10:50','2021-07-15 14:10:50',null);
INSERT INTO complaint_statuses VALUES('25395','8043','2',null,'81',null,null,'73','73','2021-07-15 14:11:13','2021-07-15 14:11:13',null);
INSERT INTO complaint_statuses VALUES('25396','8043','4',null,'55',null,null,'81','81','2021-07-15 14:11:36','2021-07-15 14:11:36',null);
INSERT INTO complaint_statuses VALUES('25397','6380','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-15 14:12:45','2021-07-15 14:12:45',null);
INSERT INTO complaint_statuses VALUES('25398','7269','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-15 14:13:49','2021-07-15 14:13:49',null);
INSERT INTO complaint_statuses VALUES('25399','6169','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-15 14:15:55','2021-07-15 14:15:55',null);
INSERT INTO complaint_statuses VALUES('25400','8044','2',null,'81',null,null,'73','73','2021-07-15 14:16:24','2021-07-15 14:16:24',null);
INSERT INTO complaint_statuses VALUES('25401','6520','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-15 14:17:54','2021-07-15 14:17:54',null);
INSERT INTO complaint_statuses VALUES('25402','8044','4',null,'55',null,null,'81','81','2021-07-15 14:18:20','2021-07-15 14:18:20',null);
INSERT INTO complaint_statuses VALUES('25403','6357','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-15 14:20:08','2021-07-15 14:20:08',null);
INSERT INTO complaint_statuses VALUES('25404','6393','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-15 14:26:03','2021-07-15 14:26:03',null);
INSERT INTO complaint_statuses VALUES('25405','8045','2',null,'81',null,null,'73','73','2021-07-15 14:30:04','2021-07-15 14:30:04',null);
INSERT INTO complaint_statuses VALUES('25406','8045','4',null,'58',null,null,'81','81','2021-07-15 14:30:29','2021-07-15 14:30:29',null);
INSERT INTO complaint_statuses VALUES('25407','6391','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-07-15 14:31:04','2021-07-15 14:31:04',null);
INSERT INTO complaint_statuses VALUES('25408','7720','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 14:31:38','2021-07-15 14:31:38',null);
INSERT INTO complaint_statuses VALUES('25409','8046','3',null,'52',null,'15-JUL-2021
COMPLAINT#PKRI210715110232','73','73','2021-07-15 14:32:07','2021-07-15 15:16:33',null);
INSERT INTO complaint_statuses VALUES('25410','6270','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-15 14:36:37','2021-07-15 14:36:37',null);
INSERT INTO complaint_statuses VALUES('25411','6439','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-15 14:40:06','2021-07-15 14:40:06',null);
INSERT INTO complaint_statuses VALUES('25412','6265','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-15 14:44:36','2021-07-15 14:44:36',null);
INSERT INTO complaint_statuses VALUES('25413','8047','3',null,'65',null,'15-JUL-2021
COMPLAINT#192126011','73','73','2021-07-15 14:44:55','2021-07-15 15:04:32',null);
INSERT INTO complaint_statuses VALUES('25414','7235','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-15 14:55:06','2021-07-15 14:55:06',null);
INSERT INTO complaint_statuses VALUES('25415','8048','3',null,'65',null,'15-JUL-2021
COMPLAINT#192126013','73','73','2021-07-15 15:08:06','2021-07-15 15:12:35',null);
INSERT INTO complaint_statuses VALUES('25416','7945','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-15 15:19:04','2021-07-15 15:46:32',null);
INSERT INTO complaint_statuses VALUES('25417','7005','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-07-15 15:21:25','2021-07-15 15:47:02',null);
INSERT INTO complaint_statuses VALUES('25418','6252','8','23','61','TESTING SA OK HO JAY FIR COMPLETED KIJAY GA',null,'81','81','2021-07-15 15:31:21','2021-07-15 15:31:21',null);
INSERT INTO complaint_statuses VALUES('25419','7662','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-15 15:31:36','2021-07-15 15:31:36',null);
INSERT INTO complaint_statuses VALUES('25420','8049','2',null,'81',null,null,'73','73','2021-07-15 15:34:22','2021-07-15 15:34:22',null);
INSERT INTO complaint_statuses VALUES('25421','8049','4',null,'59',null,null,'81','81','2021-07-15 15:34:40','2021-07-15 15:34:40',null);
INSERT INTO complaint_statuses VALUES('25422','7643','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 15:43:19','2021-07-15 15:43:19',null);
INSERT INTO complaint_statuses VALUES('25423','7530','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-15 15:44:27','2021-07-15 15:44:27',null);
INSERT INTO complaint_statuses VALUES('25424','8050','3',null,'56',null,'15-JULY-2021
COMPLAINT#G15/034','74','73','2021-07-15 15:44:53','2021-07-15 16:14:47',null);
INSERT INTO complaint_statuses VALUES('25425','8051','3',null,'54',null,'15-JUL-2021
COMPLAINT#1937407','73','73','2021-07-15 15:44:59','2021-07-15 15:47:37',null);
INSERT INTO complaint_statuses VALUES('25426','6880','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-15 15:46:01','2021-07-15 15:46:01',null);
INSERT INTO complaint_statuses VALUES('25427','6531','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','74','74','2021-07-15 15:47:11','2021-07-15 15:47:33',null);
INSERT INTO complaint_statuses VALUES('25428','8049','7','24','81','panel problem hy customer set hmary s/c ly k ay ga',null,'80','80','2021-07-15 15:51:02','2021-07-15 15:51:02',null);
INSERT INTO complaint_statuses VALUES('25429','7242','7','12','81','COMPLAINT RESOLVED',null,'91','91','2021-07-15 15:52:59','2021-07-15 15:52:59',null);
INSERT INTO complaint_statuses VALUES('25430','7200','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-07-15 15:53:21','2021-07-15 15:53:21',null);
INSERT INTO complaint_statuses VALUES('25431','8052','2',null,'81',null,null,'73','73','2021-07-15 15:54:07','2021-07-15 15:54:07',null);
INSERT INTO complaint_statuses VALUES('25432','7242','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-07-15 15:54:33','2021-07-15 15:56:09',null);
INSERT INTO complaint_statuses VALUES('25433','7592','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 15:54:54','2021-07-15 15:54:54',null);
INSERT INTO complaint_statuses VALUES('25434','7200','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-15 15:54:56','2021-07-15 15:57:18',null);
INSERT INTO complaint_statuses VALUES('25435','8052','4',null,'63',null,null,'81','81','2021-07-15 15:56:25','2021-07-15 15:56:25',null);
INSERT INTO complaint_statuses VALUES('25436','7586','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','74','2021-07-15 15:56:31','2021-07-15 15:56:56',null);
INSERT INTO complaint_statuses VALUES('25437','7583','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 15:58:56','2021-07-15 15:58:56',null);
INSERT INTO complaint_statuses VALUES('25438','8053','3',null,'52',null,'15-JUL-2021
COMPLAINT#PKRI210715111809','73','73','2021-07-15 15:59:10','2021-07-15 16:22:26',null);
INSERT INTO complaint_statuses VALUES('25439','8054','3',null,'56',null,'15-JUL-2021
COMPLAINT#G15/033','73','73','2021-07-15 16:01:55','2021-07-15 16:11:24',null);
INSERT INTO complaint_statuses VALUES('25440','7718','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 16:02:32','2021-07-15 16:02:32',null);
INSERT INTO complaint_statuses VALUES('25441','7566','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 16:08:05','2021-07-15 16:08:05',null);
INSERT INTO complaint_statuses VALUES('25442','7974','7','12','81','complaint resolved.blet issue',null,'79','79','2021-07-15 16:12:13','2021-07-15 16:12:13',null);
INSERT INTO complaint_statuses VALUES('25443','8055','3',null,'84',null,'15-JUL-2021
COMPLAINT#804185','73','73','2021-07-15 16:17:35','2021-07-15 16:28:57',null);
INSERT INTO complaint_statuses VALUES('25444','7478','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-15 16:20:57','2021-07-15 16:20:57',null);
INSERT INTO complaint_statuses VALUES('25445','8056','2',null,'81',null,null,'73','73','2021-07-15 16:30:50','2021-07-15 16:30:50',null);
INSERT INTO complaint_statuses VALUES('25446','8056','4',null,'62',null,null,'81','81','2021-07-15 16:31:14','2021-07-15 16:31:14',null);
INSERT INTO complaint_statuses VALUES('25447','7509','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 16:36:13','2021-07-15 16:36:13',null);
INSERT INTO complaint_statuses VALUES('25448','7922','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-15 16:39:43','2021-07-15 16:39:43',null);
INSERT INTO complaint_statuses VALUES('25449','8057','2',null,'81',null,null,'73','73','2021-07-15 16:42:39','2021-07-15 16:42:39',null);
INSERT INTO complaint_statuses VALUES('25450','8057','4',null,'58',null,null,'81','81','2021-07-15 16:43:23','2021-07-15 16:43:23',null);
INSERT INTO complaint_statuses VALUES('25451','7495','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 16:47:17','2021-07-15 16:47:17',null);
INSERT INTO complaint_statuses VALUES('25452','7433','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 16:49:41','2021-07-15 16:49:41',null);
INSERT INTO complaint_statuses VALUES('25453','8058','3',null,'80',null,'15-JUL-2021
COMPLAINT FRWRD TO AMNA BOSCH','73','73','2021-07-15 16:58:09','2021-07-15 16:58:09',null);
INSERT INTO complaint_statuses VALUES('25454','8059','3',null,'73',null,'15-JUL-2021
COMPLAINT#5118','73','73','2021-07-15 17:00:18','2021-07-15 17:05:54',null);
INSERT INTO complaint_statuses VALUES('25455','7760','7','24','81',null,null,'82','82','2021-07-15 17:07:09','2021-07-15 17:07:09',null);
INSERT INTO complaint_statuses VALUES('25456','7994','7','24','81','Visit huwa aik ur visit ho ga',null,'82','82','2021-07-15 17:14:59','2021-07-15 17:14:59',null);
INSERT INTO complaint_statuses VALUES('25457','7788','7','24','81','Pcb set kar dia hy likin custmer ghar py nhi hy aaj',null,'82','82','2021-07-15 17:15:39','2021-07-15 17:15:39',null);
INSERT INTO complaint_statuses VALUES('25458','6589','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-15 17:20:44','2021-07-15 17:20:44',null);
INSERT INTO complaint_statuses VALUES('25459','8060','3',null,'55',null,'15-JUL-2021
COMPLAINT#RWP-804268','73','73','2021-07-15 17:25:27','2021-07-15 17:33:07',null);
INSERT INTO complaint_statuses VALUES('25460','8061','3',null,'53',null,'16-JUL-2021
COMPLAINT#301155909','73','73','2021-07-15 17:30:56','2021-07-16 10:23:15',null);
INSERT INTO complaint_statuses VALUES('25461','8062','3',null,'52',null,'15-JUL-2021
COMPLAINT#PKRI210715113620','73','73','2021-07-15 17:36:08','2021-07-15 17:43:05',null);
INSERT INTO complaint_statuses VALUES('25462','8063','3',null,'53',null,'16-JUL-2021
COMPLAINT#301156398','73','73','2021-07-15 17:40:02','2021-07-16 10:26:43',null);
INSERT INTO complaint_statuses VALUES('25463','7942','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-15 17:41:40','2021-07-15 17:41:40',null);
INSERT INTO complaint_statuses VALUES('25464','8064','2',null,'81',null,'15-JUL-2021
COMPLAINT#192126032','73','73','2021-07-15 17:47:26','2021-07-16 12:17:14',null);
INSERT INTO complaint_statuses VALUES('25465','8064','4',null,'58',null,null,'81','81','2021-07-15 17:47:47','2021-07-15 17:47:47',null);
INSERT INTO complaint_statuses VALUES('25466','8012','7','12','81','no issue  in  dish washer,',null,'79','79','2021-07-15 19:48:20','2021-07-15 19:48:20',null);
INSERT INTO complaint_statuses VALUES('25467','7769','7','12','81','compressor change complaint resolved',null,'79','79','2021-07-16 10:28:24','2021-07-16 10:28:24',null);
INSERT INTO complaint_statuses VALUES('25468','7846','7','12','81','compliant resolved',null,'79','79','2021-07-16 10:29:31','2021-07-16 10:29:31',null);
INSERT INTO complaint_statuses VALUES('25469','8065','3',null,'55',null,'16-JUL-2021
COMPLAINT#RWP-13403','73','73','2021-07-16 10:31:39','2021-07-16 11:29:46',null);
INSERT INTO complaint_statuses VALUES('25470','8066','3',null,'54',null,'16-JUL-2021
COMPLAINT#1938034','73','73','2021-07-16 10:33:18','2021-07-16 11:38:30',null);
INSERT INTO complaint_statuses VALUES('25471','8067','3',null,'54',null,'16-JUL-2021
COMPLAINT#1938026','73','73','2021-07-16 10:37:53','2021-07-16 11:36:18',null);
INSERT INTO complaint_statuses VALUES('25472','8068','3',null,'57',null,'16-JUL-2021
COMPLAINT#20194','73','73','2021-07-16 10:57:23','2021-07-16 12:29:54',null);
INSERT INTO complaint_statuses VALUES('25473','7980','7','12','81','Ice box stuck   repaired unit ok 
Rs 2000 espance',null,'83','83','2021-07-16 10:59:33','2021-07-16 10:59:33',null);
INSERT INTO complaint_statuses VALUES('25474','8069','3',null,'80',null,'16-JUL-21
FRWRD TO TAHIR SIEMENS','73','73','2021-07-16 11:00:12','2021-07-16 11:00:12',null);
INSERT INTO complaint_statuses VALUES('25475','8070','3',null,'55',null,'16-JUL-2021
COMPLAINT#RWP-22192','73','73','2021-07-16 11:04:12','2021-07-16 11:32:08',null);
INSERT INTO complaint_statuses VALUES('25476','8071','3',null,'52',null,'16-JUL-2021
COMPLAINT#PKRI210716105752','73','73','2021-07-16 11:06:49','2021-07-16 12:22:36',null);
INSERT INTO complaint_statuses VALUES('25477','8072','3',null,'53',null,'16-JUL-2021
COMPLAINT#301156455
COMPLAINT#301156461','73','73','2021-07-16 11:11:02','2021-07-16 11:51:57',null);
INSERT INTO complaint_statuses VALUES('25478','8073','3',null,'55',null,'16-JUL-2021
COMPLAINT#RWP-22193','73','73','2021-07-16 11:15:45','2021-07-16 11:33:38',null);
INSERT INTO complaint_statuses VALUES('25479','8012','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-16 11:40:37','2021-07-16 11:55:04',null);
INSERT INTO complaint_statuses VALUES('25480','6790','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-16 11:45:24','2021-07-16 11:45:24',null);
INSERT INTO complaint_statuses VALUES('25481','7974','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-16 11:49:26','2021-07-16 11:53:40',null);
INSERT INTO complaint_statuses VALUES('25482','7980','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-07-16 11:53:03','2021-07-16 11:57:24',null);
INSERT INTO complaint_statuses VALUES('25483','8074','3',null,'53',null,'16-JUL-2021
COMPLAINT#301156464','73','73','2021-07-16 11:54:18','2021-07-16 12:02:52',null);
INSERT INTO complaint_statuses VALUES('25484','7846','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-16 11:54:48','2021-07-16 11:58:06',null);
INSERT INTO complaint_statuses VALUES('25485','8049','8','23','59','OK JOB COMPLETED QUKILEY',null,'81','81','2021-07-16 11:55:34','2021-07-16 11:55:34',null);
INSERT INTO complaint_statuses VALUES('25486','8075','2',null,'81',null,null,'73','73','2021-07-16 11:59:13','2021-07-16 11:59:13',null);
INSERT INTO complaint_statuses VALUES('25487','7994','8','23','60','KB HO GA AGAIN VISIT','ABDUL REHMAN COMPLAINT ATTEND KAR AAY HAIN TESTING PA LAGA K AAY HAIN','81','74','2021-07-16 11:59:15','2021-07-17 18:12:53',null);
INSERT INTO complaint_statuses VALUES('25488','8075','4',null,'60',null,null,'81','81','2021-07-16 11:59:49','2021-07-16 11:59:49',null);
INSERT INTO complaint_statuses VALUES('25489','6776','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-16 12:01:13','2021-07-16 12:01:13',null);
INSERT INTO complaint_statuses VALUES('25490','8076','3',null,'65',null,'16-JUL-2021
COMPLAINT#192126048','73','73','2021-07-16 12:01:53','2021-07-16 12:14:08',null);
INSERT INTO complaint_statuses VALUES('25491','6772','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-16 12:04:17','2021-07-16 12:04:17',null);
INSERT INTO complaint_statuses VALUES('25492','7045','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-16 12:04:38','2021-07-16 12:04:38',null);
INSERT INTO complaint_statuses VALUES('25493','7920','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-16 12:06:36','2021-07-16 12:17:42',null);
INSERT INTO complaint_statuses VALUES('25494','6739','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-16 12:11:27','2021-07-16 12:11:27',null);
INSERT INTO complaint_statuses VALUES('25495','6735','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-16 12:15:13','2021-07-16 12:15:13',null);
INSERT INTO complaint_statuses VALUES('25496','6686','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-16 12:22:37','2021-07-16 12:22:37',null);
INSERT INTO complaint_statuses VALUES('25497','6672','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-16 12:25:51','2021-07-16 12:25:51',null);
INSERT INTO complaint_statuses VALUES('25498','6661','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-16 12:27:52','2021-07-16 12:27:52',null);
INSERT INTO complaint_statuses VALUES('25499','6783','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-16 12:39:12','2021-07-16 12:39:12',null);
INSERT INTO complaint_statuses VALUES('25500','6622','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-16 12:41:39','2021-07-16 12:41:39',null);
INSERT INTO complaint_statuses VALUES('25501','6544','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-16 12:48:59','2021-07-16 12:48:59',null);
INSERT INTO complaint_statuses VALUES('25502','6534','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-16 12:52:28','2021-07-16 12:52:28',null);
INSERT INTO complaint_statuses VALUES('25503','6508','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-16 12:59:15','2021-07-16 12:59:15',null);
INSERT INTO complaint_statuses VALUES('25504','6491','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-16 13:09:11','2021-07-16 13:09:11',null);
INSERT INTO complaint_statuses VALUES('25505','8077','3',null,'67',null,'FRWRD TO ANWER CARAVELL','73','73','2021-07-16 13:13:18','2021-07-16 13:13:18',null);
INSERT INTO complaint_statuses VALUES('25506','7769','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-16 13:18:15','2021-07-16 13:21:13',null);
INSERT INTO complaint_statuses VALUES('25507','7404','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-16 14:00:35','2021-07-16 14:00:35',null);
INSERT INTO complaint_statuses VALUES('25508','8006','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-16 14:18:59','2021-07-16 14:18:59',null);
INSERT INTO complaint_statuses VALUES('25509','8078','3',null,'52',null,'16-JUL-2021
COMPLAINT#PKRI210716108761','73','73','2021-07-16 14:34:18','2021-07-16 14:38:39',null);
INSERT INTO complaint_statuses VALUES('25510','7820','7','22','81','Drain Heater Heater Issue.Est 8500/-',null,'76','76','2021-07-16 14:45:18','2021-07-16 14:45:18',null);
INSERT INTO complaint_statuses VALUES('25511','7808','7','12','81','Hud repleced',null,'82','82','2021-07-16 14:46:22','2021-07-16 14:46:22',null);
INSERT INTO complaint_statuses VALUES('25512','8038','7','12','81','Azhar bhai keh rahy colmpny sy kar way gy',null,'82','82','2021-07-16 14:48:23','2021-07-16 14:48:23',null);
INSERT INTO complaint_statuses VALUES('25513','7578','5',null,null,'COMLAINT COMPLETED',null,'74','74','2021-07-16 14:54:11','2021-07-16 14:54:11',null);
INSERT INTO complaint_statuses VALUES('25514','7575','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-16 15:00:38','2021-07-16 15:00:38',null);
INSERT INTO complaint_statuses VALUES('25515','7968','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-16 15:05:31','2021-07-16 15:05:31',null);
INSERT INTO complaint_statuses VALUES('25516','8079','3',null,'52',null,'16-JUL-2021
COMPLAINT#PKRI210716110010','73','73','2021-07-16 15:12:09','2021-07-16 15:24:12',null);
INSERT INTO complaint_statuses VALUES('25517','7714','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-16 15:16:21','2021-07-16 15:16:21',null);
INSERT INTO complaint_statuses VALUES('25518','8080','2',null,'81',null,null,'73','73','2021-07-16 15:17:17','2021-07-16 15:17:17',null);
INSERT INTO complaint_statuses VALUES('25519','8080','4',null,'63',null,null,'81','81','2021-07-16 15:18:30','2021-07-16 15:18:30',null);
INSERT INTO complaint_statuses VALUES('25520','7541','5',null,null,'COMPALINT COMPLETED',null,'74','74','2021-07-16 15:25:24','2021-07-16 15:25:24',null);
INSERT INTO complaint_statuses VALUES('25521','8081','3',null,'54',null,'16-JUL-2021
COMPLAINT#1938365','73','73','2021-07-16 16:01:47','2021-07-16 16:05:21',null);
INSERT INTO complaint_statuses VALUES('25522','8082','2',null,'81',null,null,'73','73','2021-07-16 16:18:45','2021-07-16 16:18:45',null);
INSERT INTO complaint_statuses VALUES('25523','8082','4',null,'61',null,null,'81','81','2021-07-16 16:19:57','2021-07-16 16:19:57',null);
INSERT INTO complaint_statuses VALUES('25524','8083','2',null,'81',null,null,'73','73','2021-07-16 16:24:06','2021-07-16 16:24:06',null);
INSERT INTO complaint_statuses VALUES('25525','8083','4',null,'58',null,null,'81','81','2021-07-16 16:24:20','2021-07-16 16:24:20',null);
INSERT INTO complaint_statuses VALUES('25526','8084','3',null,'53',null,'16-JUL-2021
COMPLAINT#301156702','73','73','2021-07-16 16:54:54','2021-07-16 17:13:37',null);
INSERT INTO complaint_statuses VALUES('25527','5738','7','12','81','Shisha lag gea hy',null,'82','82','2021-07-16 16:59:44','2021-07-16 16:59:44',null);
INSERT INTO complaint_statuses VALUES('25528','7737','7','20','81','Main PCB Faulty.',null,'76','76','2021-07-16 17:20:21','2021-07-16 17:20:21',null);
INSERT INTO complaint_statuses VALUES('25529','8085','2',null,'81',null,'REF TO LHR SIGNATURE','73','73','2021-07-16 17:29:16','2021-07-16 17:29:16',null);
INSERT INTO complaint_statuses VALUES('25530','8085','4',null,'60',null,null,'81','81','2021-07-16 17:29:35','2021-07-16 17:29:35',null);
INSERT INTO complaint_statuses VALUES('25531','8086','3',null,'52',null,'16-JUL-2021
COMPLAINT#PKRI210716112867','73','92','2021-07-16 17:33:19','2021-07-24 14:07:52',null);
INSERT INTO complaint_statuses VALUES('25532','7940','7','22','81','Tank like',null,'88','88','2021-07-17 09:56:13','2021-07-17 09:56:13',null);
INSERT INTO complaint_statuses VALUES('25533','7934','7','12','81','Ok',null,'88','88','2021-07-17 09:56:33','2021-07-17 09:56:33',null);
INSERT INTO complaint_statuses VALUES('25534','8023','7','12','81','Gas sating',null,'88','88','2021-07-17 10:06:46','2021-07-17 10:06:46',null);
INSERT INTO complaint_statuses VALUES('25535','8087','3',null,'52',null,'17-JUL-2021
COMPLAINT#PKRI210717103649','73','73','2021-07-17 10:29:04','2021-07-17 11:08:26',null);
INSERT INTO complaint_statuses VALUES('25536','8088','3',null,'65',null,'17-JUL-2021
COMPLAINT#192126096','73','73','2021-07-17 10:32:20','2021-07-17 11:28:37',null);
INSERT INTO complaint_statuses VALUES('25537','8089','2',null,'81',null,'17-JUL-2021
COMPLAINT#1938924','73','73','2021-07-17 10:38:30','2021-07-17 11:20:56',null);
INSERT INTO complaint_statuses VALUES('25538','7997','7','12','81','pcb chamge compliant resolved',null,'79','79','2021-07-17 10:38:33','2021-07-17 10:38:33',null);
INSERT INTO complaint_statuses VALUES('25539','8089','4',null,'58',null,null,'81','81','2021-07-17 10:38:51','2021-07-17 10:38:51',null);
INSERT INTO complaint_statuses VALUES('25540','8090','3',null,'54',null,'17-JUL-2021
COMPLAINT#1938916','73','73','2021-07-17 10:43:22','2021-07-17 11:18:03',null);
INSERT INTO complaint_statuses VALUES('25541','8091','3',null,'55',null,'17-JUL-2021
COMPLAINT#ISB-13419','73','73','2021-07-17 10:46:05','2021-07-17 11:12:12',null);
INSERT INTO complaint_statuses VALUES('25542','8092','3',null,'54',null,'17-JUL-2021
COMPLAINT#1938912','73','73','2021-07-17 10:56:01','2021-07-17 11:15:57',null);
INSERT INTO complaint_statuses VALUES('25543','7351','7','12','81','ok',null,'79','79','2021-07-17 10:56:19','2021-07-17 10:56:19',null);
INSERT INTO complaint_statuses VALUES('25544','8038','5','15',null,'AZHAR SAB NA UNIT INSTALL NAI KIYA HAIN COMPLAINT COMPANY FF KAR RHAYA HAIN INFORMED BY CUSTOMER','COMPLAINT FF TO COMPANY','81','74','2021-07-17 10:59:56','2021-07-17 11:06:19',null);
INSERT INTO complaint_statuses VALUES('25545','8093','3',null,'65',null,'17-JUL-2021
COMPLAINT#192126095','73','73','2021-07-17 11:01:40','2021-07-17 11:26:39',null);
INSERT INTO complaint_statuses VALUES('25546','8094','3',null,'65',null,'15-JUL-2021
COMPLAINT#192125993','74','73','2021-07-17 11:03:34','2021-07-17 11:22:16',null);
INSERT INTO complaint_statuses VALUES('25547','8023','5','15',null,'`COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-17 11:09:54','2021-07-17 11:14:23',null);
INSERT INTO complaint_statuses VALUES('25548','7997','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-17 11:10:51','2021-07-17 11:14:55',null);
INSERT INTO complaint_statuses VALUES('25549','7940','8','23','63','TANK DEMAND KAR K JAILDE JOB COMPLETE KARAY',null,'81','81','2021-07-17 11:11:56','2021-07-17 11:11:56',null);
INSERT INTO complaint_statuses VALUES('25550','7934','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-17 11:13:00','2021-07-17 11:18:35',null);
INSERT INTO complaint_statuses VALUES('25551','7808','5','15',null,'OK COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-07-17 11:16:19','2021-07-17 11:19:03',null);
INSERT INTO complaint_statuses VALUES('25552','7973','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 11:20:04','2021-07-17 11:20:04',null);
INSERT INTO complaint_statuses VALUES('25553','7788','8','23','60','AJ AGAIN TYR KARAY CUSTOMER KO CALL KAR K',null,'81','81','2021-07-17 11:22:11','2021-07-17 11:22:11',null);
INSERT INTO complaint_statuses VALUES('25554','7978','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 11:24:13','2021-07-17 11:24:13',null);
INSERT INTO complaint_statuses VALUES('25555','8095','3',null,'53',null,'17-JUL-2021
COMPLAINT#301156927','73','73','2021-07-17 11:25:56','2021-07-17 11:39:33',null);
INSERT INTO complaint_statuses VALUES('25556','7351','8','23','58','HOOD INSTALL KAR K COMPLAINT COMPLETED KIJAY PLZ',null,'81','81','2021-07-17 11:27:45','2021-07-17 11:27:45',null);
INSERT INTO complaint_statuses VALUES('25557','8096','3',null,'56',null,'17-JUL-2021
COMPLAINT#G17/012','73','73','2021-07-17 11:32:46','2021-07-17 11:55:25',null);
INSERT INTO complaint_statuses VALUES('25558','7963','5',null,null,'complaint completed',null,'92','92','2021-07-17 11:33:45','2021-07-17 11:33:45',null);
INSERT INTO complaint_statuses VALUES('25559','7959','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-17 11:34:42','2021-07-17 11:34:42',null);
INSERT INTO complaint_statuses VALUES('25560','7967','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-17 11:37:28','2021-07-17 11:37:28',null);
INSERT INTO complaint_statuses VALUES('25561','8097','2',null,'81',null,null,'73','73','2021-07-17 11:38:20','2021-07-17 11:38:20',null);
INSERT INTO complaint_statuses VALUES('25562','8097','4',null,'58',null,null,'81','81','2021-07-17 11:38:57','2021-07-17 11:38:57',null);
INSERT INTO complaint_statuses VALUES('25563','7988','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-17 11:41:45','2021-07-17 11:41:45',null);
INSERT INTO complaint_statuses VALUES('25564','7949','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-17 11:43:09','2021-07-17 11:43:09',null);
INSERT INTO complaint_statuses VALUES('25565','8011','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-17 11:43:35','2021-07-17 11:43:35',null);
INSERT INTO complaint_statuses VALUES('25566','8098','3',null,'53',null,'17-JUL-2021
COMPLAINT#301156943','73','73','2021-07-17 11:46:08','2021-07-17 11:52:07',null);
INSERT INTO complaint_statuses VALUES('25567','7929','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 11:53:13','2021-07-17 11:53:13',null);
INSERT INTO complaint_statuses VALUES('25568','7910','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 11:55:03','2021-07-17 11:55:03',null);
INSERT INTO complaint_statuses VALUES('25569','7904','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 11:56:38','2021-07-17 11:56:38',null);
INSERT INTO complaint_statuses VALUES('25570','7902','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 11:58:11','2021-07-17 11:58:11',null);
INSERT INTO complaint_statuses VALUES('25571','7900','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 12:02:28','2021-07-17 12:02:28',null);
INSERT INTO complaint_statuses VALUES('25572','7909','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-17 12:05:21','2021-07-17 12:05:21',null);
INSERT INTO complaint_statuses VALUES('25573','5738','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-07-17 12:07:06','2021-07-17 12:21:04',null);
INSERT INTO complaint_statuses VALUES('25574','7890','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-17 12:10:36','2021-07-17 12:10:36',null);
INSERT INTO complaint_statuses VALUES('25575','8099','2',null,'81',null,null,'73','73','2021-07-17 12:14:49','2021-07-17 12:14:49',null);
INSERT INTO complaint_statuses VALUES('25576','8099','4',null,'62',null,null,'81','81','2021-07-17 12:15:48','2021-07-17 12:15:48',null);
INSERT INTO complaint_statuses VALUES('25577','7868','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 12:17:13','2021-07-17 12:17:13',null);
INSERT INTO complaint_statuses VALUES('25578','8080','7','12','81','OK 800 f',null,'88','88','2021-07-17 12:23:27','2021-07-17 12:23:27',null);
INSERT INTO complaint_statuses VALUES('25579','7857','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-17 12:29:27','2021-07-17 12:29:27',null);
INSERT INTO complaint_statuses VALUES('25580','8080','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-07-17 12:33:27','2021-07-17 12:36:12',null);
INSERT INTO complaint_statuses VALUES('25581','8100','3',null,'52',null,'17-JUL-2021
COMPLAINT#PKRI210717106491','73','73','2021-07-17 12:36:43','2021-07-17 12:37:32',null);
INSERT INTO complaint_statuses VALUES('25582','7984','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-17 12:40:36','2021-07-17 12:40:36',null);
INSERT INTO complaint_statuses VALUES('25583','8101','3',null,'66',null,'17-JUL-2021
COMPLAINT#PK071720210064','73','73','2021-07-17 12:44:15','2021-07-17 12:44:40',null);
INSERT INTO complaint_statuses VALUES('25584','7735','7','12','81','Nob change ki hy om',null,'88','88','2021-07-17 12:44:42','2021-07-17 12:44:42',null);
INSERT INTO complaint_statuses VALUES('25585','7713','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 12:46:07','2021-07-17 12:46:07',null);
INSERT INTO complaint_statuses VALUES('25586','7786','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-17 12:47:53','2021-07-17 12:47:53',null);
INSERT INTO complaint_statuses VALUES('25587','7711','5',null,null,'COMPALINT COMPLETED',null,'74','74','2021-07-17 12:49:19','2021-07-17 12:49:19',null);
INSERT INTO complaint_statuses VALUES('25588','8102','3',null,'65',null,'17-JUL-2021
COMPLAINT#192126108','73','92','2021-07-17 12:52:22','2021-07-24 13:02:14',null);
INSERT INTO complaint_statuses VALUES('25589','7986','7','12','81','Ic ka msla tha compny walo nyset kar dia hy',null,'82','82','2021-07-17 12:52:48','2021-07-17 12:52:48',null);
INSERT INTO complaint_statuses VALUES('25590','7982','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-17 13:07:15','2021-07-17 13:07:15',null);
INSERT INTO complaint_statuses VALUES('25591','5919','5','15',null,'ADIL BHAI KI BT AZHAR SAB SA HO FREEZER DILVER KARWA DIA.
COMPLETED COMPLAINT.','COMPLAINT CLOSED','81','74','2021-07-17 13:08:34','2021-07-17 13:29:25',null);
INSERT INTO complaint_statuses VALUES('25592','6809','5','15',null,'CUSTOMER KO EXP BATA DIA HAIN BUT CUSTOMER AGREE NAI HAIN .
CUSTOMER KI SIDE SA DELAY COMPLAINT ADIL BHAI SA B CONFIRM KAR K COMPLAINTCLOSED KI','COMPLAINT CLOSED','81','74','2021-07-17 13:11:11','2021-07-17 13:28:32',null);
INSERT INTO complaint_statuses VALUES('25593','7986','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-17 13:21:29','2021-07-17 13:27:31',null);
INSERT INTO complaint_statuses VALUES('25594','7735','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-07-17 13:23:55','2021-07-17 13:28:01',null);
INSERT INTO complaint_statuses VALUES('25595','7760','8','23','60','OK JOB COMPLETED QUKILY',null,'81','81','2021-07-17 13:25:01','2021-07-17 13:25:01',null);
INSERT INTO complaint_statuses VALUES('25596','7581','7','22','81','Barnar or oven hangiz',null,'88','88','2021-07-17 13:25:29','2021-07-17 13:25:29',null);
INSERT INTO complaint_statuses VALUES('25597','8103','3',null,'52',null,'14-JUL-2021
COMPLAINT#PKRI210717108956
REOPEN COM NO PKRI210805106482','73','92','2021-07-17 13:31:50','2021-08-05 13:02:42',null);
INSERT INTO complaint_statuses VALUES('25598','8104','3',null,'53',null,'17-JUL-2021
COMPLAINT#301157115','73','73','2021-07-17 13:32:01','2021-07-17 13:53:04',null);
INSERT INTO complaint_statuses VALUES('25599','8047','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 13:32:09','2021-07-17 13:32:09',null);
INSERT INTO complaint_statuses VALUES('25600','8046','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 13:33:55','2021-07-17 13:33:55',null);
INSERT INTO complaint_statuses VALUES('25601','8042','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 13:36:01','2021-07-17 13:36:01',null);
INSERT INTO complaint_statuses VALUES('25602','8040','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 13:37:41','2021-07-17 13:37:41',null);
INSERT INTO complaint_statuses VALUES('25603','8105','3',null,'52',null,'14-JUL-2021
COMPLAINT#PKRI210717109064','73','73','2021-07-17 13:37:46','2021-07-17 14:12:12',null);
INSERT INTO complaint_statuses VALUES('25604','8037','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 13:40:08','2021-07-17 13:40:08',null);
INSERT INTO complaint_statuses VALUES('25605','7325','7','12','81','issue resolved',null,'79','79','2021-07-17 13:52:20','2021-07-17 13:52:20',null);
INSERT INTO complaint_statuses VALUES('25606','8106','2',null,'81',null,null,'73','73','2021-07-17 13:55:49','2021-07-17 13:55:49',null);
INSERT INTO complaint_statuses VALUES('25607','8106','4',null,'55',null,null,'81','81','2021-07-17 13:56:06','2021-07-17 13:56:06',null);
INSERT INTO complaint_statuses VALUES('25608','8035','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 13:59:02','2021-07-17 13:59:02',null);
INSERT INTO complaint_statuses VALUES('25609','8034','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-17 14:01:23','2021-07-17 14:01:23',null);
INSERT INTO complaint_statuses VALUES('25610','8107','3',null,'53',null,'17-JUL-2021
COMPLAINT#301157160','73','73','2021-07-17 14:22:05','2021-07-17 14:48:05',null);
INSERT INTO complaint_statuses VALUES('25611','7970','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-17 14:31:14','2021-07-17 14:31:14',null);
INSERT INTO complaint_statuses VALUES('25612','7966','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-17 14:37:12','2021-07-17 14:37:12',null);
INSERT INTO complaint_statuses VALUES('25613','8108','2',null,'81',null,null,'73','73','2021-07-17 14:40:59','2021-07-17 14:40:59',null);
INSERT INTO complaint_statuses VALUES('25614','7958','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-17 14:41:43','2021-07-17 14:41:43',null);
INSERT INTO complaint_statuses VALUES('25615','8108','4',null,'55',null,null,'81','81','2021-07-17 14:42:02','2021-07-17 14:42:02',null);
INSERT INTO complaint_statuses VALUES('25616','8109','3',null,'53',null,'17-JUL-2021
COMPLAINT#301157161','73','73','2021-07-17 14:43:51','2021-07-17 14:48:29',null);
INSERT INTO complaint_statuses VALUES('25617','7953','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-17 14:44:19','2021-07-17 14:44:19',null);
INSERT INTO complaint_statuses VALUES('25618','7950','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-17 14:46:42','2021-07-17 14:46:42',null);
INSERT INTO complaint_statuses VALUES('25619','8109','5',null,null,'OUT OF STATION COMPLAINT... ORIENT NUMBER PROVIDED TO COSTUMER',null,'73','73','2021-07-17 14:56:33','2021-07-17 14:56:33',null);
INSERT INTO complaint_statuses VALUES('25620','8025','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 14:58:46','2021-07-17 14:58:46',null);
INSERT INTO complaint_statuses VALUES('25621','7214','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-17 14:59:56','2021-07-17 14:59:56',null);
INSERT INTO complaint_statuses VALUES('25622','8112','3',null,'53',null,'17-JUL-2021
COMPLAINT#301157206','73','73','2021-07-17 15:01:37','2021-07-17 15:43:08',null);
INSERT INTO complaint_statuses VALUES('25623','8010','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 15:05:29','2021-07-17 15:05:29',null);
INSERT INTO complaint_statuses VALUES('25624','8110','3',null,'54',null,'17-JUL-2021
COMPLAINT#1939555','73','73','2021-07-17 15:06:08','2021-07-17 15:51:23',null);
INSERT INTO complaint_statuses VALUES('25625','8111','3',null,'65',null,'17-JUL-2021
COMPLAINT#192126127','73','73','2021-07-17 15:06:20','2021-07-17 16:03:35',null);
INSERT INTO complaint_statuses VALUES('25626','7912','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-17 15:08:40','2021-07-17 15:08:40',null);
INSERT INTO complaint_statuses VALUES('25627','8113','3',null,'73',null,'17-JUL-2021
COMPLAINT#5141','73','73','2021-07-17 15:09:55','2021-07-17 15:46:59',null);
INSERT INTO complaint_statuses VALUES('25628','8002','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 15:11:58','2021-07-17 15:11:58',null);
INSERT INTO complaint_statuses VALUES('25629','7907','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-17 15:12:50','2021-07-17 15:12:50',null);
INSERT INTO complaint_statuses VALUES('25630','7979','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-17 15:16:17','2021-07-17 15:16:17',null);
INSERT INTO complaint_statuses VALUES('25631','8014','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-17 15:16:40','2021-07-17 15:16:40',null);
INSERT INTO complaint_statuses VALUES('25632','7944','7','26','81','CUSTOMER NOT AT HOME',null,'87','87','2021-07-17 15:18:55','2021-07-17 15:18:55',null);
INSERT INTO complaint_statuses VALUES('25633','7927','7','12','81','COMP  + GAS, ISSUE RESOLVED',null,'87','87','2021-07-17 15:19:30','2021-07-17 15:19:30',null);
INSERT INTO complaint_statuses VALUES('25634','7866','7','12','81','COMP + GAS ,ISSUE RESOLVED',null,'87','87','2021-07-17 15:21:13','2021-07-17 15:21:13',null);
INSERT INTO complaint_statuses VALUES('25635','8056','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-17 15:21:54','2021-07-17 15:21:54',null);
INSERT INTO complaint_statuses VALUES('25636','7983','7','12','81','Ok',null,'88','88','2021-07-17 15:24:47','2021-07-17 15:24:47',null);
INSERT INTO complaint_statuses VALUES('25637','8114','3',null,'53',null,'17-JUL-2021
COMPLAINT#301156365','73','73','2021-07-17 15:36:26','2021-07-17 15:42:49',null);
INSERT INTO complaint_statuses VALUES('25638','8064','7','12','81','cusotemr call pick nahi kr rehy or tech team ghr bhi agye door open  nahi kia,ab ye eid k bd attend kry gain',null,'79','79','2021-07-17 15:46:58','2021-07-17 15:46:58',null);
INSERT INTO complaint_statuses VALUES('25639','7995','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-17 15:50:58','2021-07-17 15:50:58',null);
INSERT INTO complaint_statuses VALUES('25640','7991','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-17 16:07:27','2021-07-17 16:07:27',null);
INSERT INTO complaint_statuses VALUES('25641','7906','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 16:14:13','2021-07-17 16:14:13',null);
INSERT INTO complaint_statuses VALUES('25642','7743','7','12','81','pcb issue .pcb repaired ki hi complaint resolved',null,'79','79','2021-07-17 16:15:16','2021-07-17 16:15:16',null);
INSERT INTO complaint_statuses VALUES('25643','8064','8','23','58','OK  SALE PERSON KO B WHATSAPP PA INFORMED KAR DIA',null,'81','81','2021-07-17 16:15:58','2021-07-17 16:15:58',null);
INSERT INTO complaint_statuses VALUES('25644','8056','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-17 16:17:11','2021-07-17 16:23:55',null);
INSERT INTO complaint_statuses VALUES('25645','8014','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-17 16:19:43','2021-07-17 16:25:29',null);
INSERT INTO complaint_statuses VALUES('25646','8049','7','12','81','back light fix set ok',null,'80','80','2021-07-17 16:20:10','2021-07-17 16:20:10',null);
INSERT INTO complaint_statuses VALUES('25647','8049','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-17 16:22:36','2021-07-17 16:24:37',null);
INSERT INTO complaint_statuses VALUES('25648','7983','5','15',null,'COMPLAINT COMPLETED','COMPLAINT  RESOLVED','81','74','2021-07-17 16:23:43','2021-07-17 16:26:14',null);
INSERT INTO complaint_statuses VALUES('25649','8115','3',null,'52',null,'17-JULY-2021
COMPLAINT#PKRI21017113682','73','74','2021-07-17 16:27:02','2021-07-17 17:14:35',null);
INSERT INTO complaint_statuses VALUES('25650','7979','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-17 16:27:46','2021-07-17 16:28:15',null);
INSERT INTO complaint_statuses VALUES('25651','7944','5','15',null,'CUSTOMER KA ISSUE KHUD SA HI RESOLVED HO GAYA HAIN COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-07-17 16:31:10','2021-07-17 16:39:37',null);
INSERT INTO complaint_statuses VALUES('25652','7927','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-17 16:32:10','2021-07-17 16:40:06',null);
INSERT INTO complaint_statuses VALUES('25653','7866','5','15',null,'REF S/C SA READY HO K DILVER HOA HAIN COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-07-17 16:33:40','2021-07-17 16:40:39',null);
INSERT INTO complaint_statuses VALUES('25654','7743','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-17 16:35:22','2021-07-17 16:41:14',null);
INSERT INTO complaint_statuses VALUES('25655','7887','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 16:36:52','2021-07-17 16:36:52',null);
INSERT INTO complaint_statuses VALUES('25656','7989','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-17 16:39:07','2021-07-17 16:39:07',null);
INSERT INTO complaint_statuses VALUES('25657','8116','3',null,'52',null,'17-JULY-2021
COMPLAINT#PKRI210717113800','73','74','2021-07-17 16:47:45','2021-07-17 17:20:59',null);
INSERT INTO complaint_statuses VALUES('25658','7882','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-17 16:50:47','2021-07-17 16:50:47',null);
INSERT INTO complaint_statuses VALUES('25659','7325','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-17 16:52:10','2021-07-17 16:55:02',null);
INSERT INTO complaint_statuses VALUES('25660','8117','2',null,'81',null,null,'73','73','2021-07-17 16:53:37','2021-07-17 16:53:37',null);
INSERT INTO complaint_statuses VALUES('25661','8117','4',null,'63',null,null,'81','81','2021-07-17 16:54:42','2021-07-17 16:54:42',null);
INSERT INTO complaint_statuses VALUES('25662','8118','3',null,'85',null,'17-JUL-2021
COMPLAINT#301157274','73','73','2021-07-17 17:01:09','2021-07-17 17:13:32',null);
INSERT INTO complaint_statuses VALUES('25663','7726','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-17 17:02:59','2021-07-17 17:02:59',null);
INSERT INTO complaint_statuses VALUES('25664','7860','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 17:07:19','2021-07-17 17:07:19',null);
INSERT INTO complaint_statuses VALUES('25665','8119','3',null,'52',null,'17-JULY-2021
COMPLAINT#PKRI210717113736','73','74','2021-07-17 17:07:37','2021-07-17 17:17:23',null);
INSERT INTO complaint_statuses VALUES('25666','7859','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-17 17:08:41','2021-07-17 17:08:41',null);
INSERT INTO complaint_statuses VALUES('25667','8120','3',null,'52',null,'17-JUL-2021
COMPLAINT#PKRI210717109679','73','73','2021-07-17 17:30:43','2021-07-17 17:45:06',null);
INSERT INTO complaint_statuses VALUES('25668','8121','3',null,'52',null,'17-JUL-2021
COMPLAINT#PKRI210717114300
COMPLAINT#PKRI210719111051','73','74','2021-07-17 17:41:09','2021-07-19 14:35:55',null);
INSERT INTO complaint_statuses VALUES('25669','8122','2',null,'81',null,'17-JUL-2021
COMPLAINT#210717024358','73','73','2021-07-17 17:47:13','2021-07-17 17:56:11',null);
INSERT INTO complaint_statuses VALUES('25670','8122','4',null,'55',null,null,'81','81','2021-07-17 17:47:56','2021-07-17 17:47:56',null);
INSERT INTO complaint_statuses VALUES('25671','7911','7','26','81','socket Problem.',null,'76','76','2021-07-17 18:11:03','2021-07-17 18:11:03',null);
INSERT INTO complaint_statuses VALUES('25672','6191','7','12','81','TANK REPLACE CUSTOMER KO GEYSER RECIVED H GAY HAIN 
WHATS APP WALAY NO SA CONFIRM KIYA COMPLAINT COMPLETED',null,'88','88','2021-07-17 18:20:18','2021-07-17 18:20:18',null);
INSERT INTO complaint_statuses VALUES('25673','6191','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-17 18:21:06','2021-07-17 18:30:03',null);
INSERT INTO complaint_statuses VALUES('25674','8005','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-17 18:39:07','2021-07-17 18:39:07',null);
INSERT INTO complaint_statuses VALUES('25675','8083','7','12','81','unblance thi complaint resolved',null,'79','79','2021-07-17 19:07:07','2021-07-17 19:07:07',null);
INSERT INTO complaint_statuses VALUES('25676','8057','7','12','81','drai pipe issue compliant resolved',null,'79','79','2021-07-17 19:08:11','2021-07-17 19:08:11',null);
INSERT INTO complaint_statuses VALUES('25677','8082','7','12','81','Solved on phone call',null,'83','83','2021-07-17 19:24:27','2021-07-17 19:24:27',null);
INSERT INTO complaint_statuses VALUES('25678','7990','7','12','81','Remote repair 
Unit ok',null,'83','83','2021-07-17 19:25:29','2021-07-17 19:25:29',null);
INSERT INTO complaint_statuses VALUES('25679','7913','7','12','81','Back light replaced   rs 13000
With special discount',null,'83','83','2021-07-17 19:27:00','2021-07-17 19:27:00',null);
INSERT INTO complaint_statuses VALUES('25680','8123','3',null,'73',null,'19-JUL-2021
COMPLAINT#5146','73','73','2021-07-18 10:43:02','2021-07-19 12:20:55',null);
INSERT INTO complaint_statuses VALUES('25681','8124','3',null,'52',null,'18-JUL-2021
COMPLAINT#PKRI20718104128','73','73','2021-07-18 10:46:15','2021-07-18 12:25:54',null);
INSERT INTO complaint_statuses VALUES('25682','8125','3',null,'54',null,'18-JUL-2021
COMPLAINT#1940176','73','73','2021-07-18 10:47:29','2021-07-18 12:02:50',null);
INSERT INTO complaint_statuses VALUES('25683','8126','2',null,'81',null,null,'73','73','2021-07-18 10:49:22','2021-07-18 10:49:22',null);
INSERT INTO complaint_statuses VALUES('25684','8083','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-18 10:54:37','2021-07-18 11:11:21',null);
INSERT INTO complaint_statuses VALUES('25685','8082','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-18 10:56:08','2021-07-18 11:12:20',null);
INSERT INTO complaint_statuses VALUES('25686','8127','3',null,'66',null,'LED SERVICE CENTRE JAE GI... DAMAGED HA','73','73','2021-07-18 10:57:05','2021-07-19 12:38:18',null);
INSERT INTO complaint_statuses VALUES('25687','8057','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-18 10:58:06','2021-07-18 11:14:06',null);
INSERT INTO complaint_statuses VALUES('25688','8126','4',null,'63',null,null,'81','81','2021-07-18 10:58:26','2021-07-18 10:58:26',null);
INSERT INTO complaint_statuses VALUES('25689','8128','2',null,'81',null,null,'73','73','2021-07-18 11:04:34','2021-07-18 11:04:34',null);
INSERT INTO complaint_statuses VALUES('25690','8005','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-18 11:04:36','2021-07-18 11:14:46',null);
INSERT INTO complaint_statuses VALUES('25691','8128','4',null,'58',null,null,'81','81','2021-07-18 11:05:23','2021-07-18 11:05:23',null);
INSERT INTO complaint_statuses VALUES('25692','8129','3',null,'55',null,'18-JUL-2021
COMPLAINT#ISB-805561','73','73','2021-07-18 11:08:08','2021-07-18 11:51:24',null);
INSERT INTO complaint_statuses VALUES('25693','7913','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-18 11:09:27','2021-07-18 11:15:19',null);
INSERT INTO complaint_statuses VALUES('25694','7911','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-18 11:10:45','2021-07-18 11:16:08',null);
INSERT INTO complaint_statuses VALUES('25695','8130','2',null,'81',null,null,'73','73','2021-07-18 11:12:50','2021-07-18 11:12:50',null);
INSERT INTO complaint_statuses VALUES('25696','8130','4',null,'62',null,null,'81','81','2021-07-18 11:13:10','2021-07-18 11:13:10',null);
INSERT INTO complaint_statuses VALUES('25697','8131','3',null,'53',null,'18-JUL-2021
COMPLAINT#301157423','73','74','2021-07-18 11:16:49','2021-07-18 12:12:49',null);
INSERT INTO complaint_statuses VALUES('25698','7930','5',null,null,'complaint completed',null,'74','74','2021-07-18 11:21:50','2021-07-18 11:21:50',null);
INSERT INTO complaint_statuses VALUES('25699','8132','3',null,'52',null,'18-JUL-2021
COMPLAINT#PKRI210718104171','73','73','2021-07-18 11:23:21','2021-07-18 12:28:56',null);
INSERT INTO complaint_statuses VALUES('25700','7926','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-18 11:24:03','2021-07-18 11:24:03',null);
INSERT INTO complaint_statuses VALUES('25701','7923','5',null,null,'COMPLAINT COMPLETED','03358851908','74','92','2021-07-18 11:25:58','2021-08-13 17:36:44',null);
INSERT INTO complaint_statuses VALUES('25702','7905','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-18 11:29:41','2021-07-18 11:29:41',null);
INSERT INTO complaint_statuses VALUES('25703','8133','3',null,'52',null,'18-JUL-2021
COMPLAINT#PKRI210718104237','73','73','2021-07-18 11:30:06','2021-07-18 12:31:26',null);
INSERT INTO complaint_statuses VALUES('25704','7898','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-18 11:35:14','2021-07-18 11:35:14',null);
INSERT INTO complaint_statuses VALUES('25705','8134','3',null,'90',null,'18-JUL-2021
COMPLAINT#202107014778','73','73','2021-07-18 11:38:24','2021-07-18 12:16:37',null);
INSERT INTO complaint_statuses VALUES('25706','7785','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-18 11:40:11','2021-07-18 11:40:11',null);
INSERT INTO complaint_statuses VALUES('25707','6482','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 11:44:13','2021-07-18 11:44:13',null);
INSERT INTO complaint_statuses VALUES('25708','6478','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 11:49:14','2021-07-18 11:49:14',null);
INSERT INTO complaint_statuses VALUES('25709','8135','2',null,'81',null,null,'73','73','2021-07-18 11:53:36','2021-07-18 11:53:36',null);
INSERT INTO complaint_statuses VALUES('25710','8135','4',null,'55',null,null,'81','81','2021-07-18 11:54:13','2021-07-18 11:54:13',null);
INSERT INTO complaint_statuses VALUES('25711','8063','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 12:04:22','2021-07-18 12:04:22',null);
INSERT INTO complaint_statuses VALUES('25712','8136','2',null,'81',null,null,'73','73','2021-07-18 12:11:27','2021-07-18 12:11:27',null);
INSERT INTO complaint_statuses VALUES('25713','8136','4',null,'58',null,null,'81','81','2021-07-18 12:12:31','2021-07-18 12:12:31',null);
INSERT INTO complaint_statuses VALUES('25714','6408','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-18 12:30:27','2021-07-18 12:30:27',null);
INSERT INTO complaint_statuses VALUES('25715','8060','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 12:32:03','2021-07-18 12:32:03',null);
INSERT INTO complaint_statuses VALUES('25716','8059','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 12:34:06','2021-07-18 12:34:06',null);
INSERT INTO complaint_statuses VALUES('25717','8045','7','12','81','customer ny ref  sale kr dya hai',null,'79','79','2021-07-18 12:35:24','2021-07-18 12:35:24',null);
INSERT INTO complaint_statuses VALUES('25718','8137','3',null,'55',null,'18-JULY-2021
COMPLAINT #805627','73','74','2021-07-18 12:39:35','2021-07-18 12:44:59',null);
INSERT INTO complaint_statuses VALUES('25719','8054','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 12:42:59','2021-07-18 12:42:59',null);
INSERT INTO complaint_statuses VALUES('25720','8053','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 12:45:05','2021-07-18 12:45:05',null);
INSERT INTO complaint_statuses VALUES('25721','8138','3',null,'52',null,'18-JUL-2021
COMPLAINT#PKRI210718105009','73','73','2021-07-18 12:48:30','2021-07-18 13:15:19',null);
INSERT INTO complaint_statuses VALUES('25722','8139','3',null,'52',null,'18-JUL-2021
COMPLAINT#PKRI21071810503
REOPEN COM NO PKRI-210727108119','73','92','2021-07-18 12:51:33','2021-07-27 13:16:28',null);
INSERT INTO complaint_statuses VALUES('25723','8050','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 12:52:12','2021-07-18 12:52:12',null);
INSERT INTO complaint_statuses VALUES('25724','8140','2',null,'81',null,'18 JULY-2021
FF TO NADEEM AV','74','74','2021-07-18 12:53:33','2021-07-18 12:53:33',null);
INSERT INTO complaint_statuses VALUES('25725','8036','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 12:57:27','2021-07-18 12:57:27',null);
INSERT INTO complaint_statuses VALUES('25726','8140','4',null,'59',null,null,'81','81','2021-07-18 13:02:43','2021-07-18 13:02:43',null);
INSERT INTO complaint_statuses VALUES('25727','8031','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 13:12:16','2021-07-18 13:12:16',null);
INSERT INTO complaint_statuses VALUES('25728','7600','5',null,null,'COMPALINT COMPLETED',null,'74','74','2021-07-18 13:13:54','2021-07-18 13:13:54',null);
INSERT INTO complaint_statuses VALUES('25729','7599','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-18 13:16:22','2021-07-18 13:16:22',null);
INSERT INTO complaint_statuses VALUES('25730','5723','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-18 13:16:35','2021-07-18 13:16:35',null);
INSERT INTO complaint_statuses VALUES('25731','6487','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-18 13:20:36','2021-07-18 13:20:36',null);
INSERT INTO complaint_statuses VALUES('25732','8028','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 13:21:29','2021-07-18 13:21:29',null);
INSERT INTO complaint_statuses VALUES('25733','8141','3',null,'55',null,'18-JUL-2021
COMPLAINT#RWP-22223','73','73','2021-07-18 13:27:38','2021-07-18 13:37:33',null);
INSERT INTO complaint_statuses VALUES('25734','8013','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 13:28:59','2021-07-18 13:28:59',null);
INSERT INTO complaint_statuses VALUES('25735','6054','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-07-18 13:34:26','2021-07-18 13:34:26',null);
INSERT INTO complaint_statuses VALUES('25736','8045','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-18 13:37:14','2021-07-18 13:43:18',null);
INSERT INTO complaint_statuses VALUES('25737','7990','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-07-18 13:38:26','2021-07-18 13:48:42',null);
INSERT INTO complaint_statuses VALUES('25738','6054','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-07-18 13:39:07','2021-07-18 13:49:20',null);
INSERT INTO complaint_statuses VALUES('25739','8142','2',null,'81',null,null,'73','73','2021-07-18 13:53:27','2021-07-18 13:53:27',null);
INSERT INTO complaint_statuses VALUES('25740','8142','4',null,'62',null,null,'81','81','2021-07-18 13:55:57','2021-07-18 13:55:57',null);
INSERT INTO complaint_statuses VALUES('25741','7996','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 14:01:02','2021-07-18 14:01:02',null);
INSERT INTO complaint_statuses VALUES('25742','8143','3',null,'53',null,'18-JUL-2021
COMPLAINT#301157529','73','73','2021-07-18 14:05:07','2021-07-18 15:11:34',null);
INSERT INTO complaint_statuses VALUES('25743','8144','2',null,'81',null,null,'73','73','2021-07-18 14:09:17','2021-07-18 14:09:17',null);
INSERT INTO complaint_statuses VALUES('25744','8144','4',null,'55',null,null,'81','81','2021-07-18 14:09:42','2021-07-18 14:09:42',null);
INSERT INTO complaint_statuses VALUES('25745','7975','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 14:13:51','2021-07-18 14:13:51',null);
INSERT INTO complaint_statuses VALUES('25746','7655','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-18 14:34:15','2021-07-18 14:34:15',null);
INSERT INTO complaint_statuses VALUES('25747','7659','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-18 14:37:56','2021-07-18 14:37:56',null);
INSERT INTO complaint_statuses VALUES('25748','7677','5',null,null,'COMPLAINT COMPLETED','COMPLETED COMPLAINT','74','74','2021-07-18 14:52:48','2021-07-18 14:55:00',null);
INSERT INTO complaint_statuses VALUES('25749','7695','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-18 14:57:35','2021-07-18 14:57:35',null);
INSERT INTO complaint_statuses VALUES('25750','8145','3',null,'52',null,'18-JUL-2021
COMPLAINT#PKRI210718108147','74','73','2021-07-18 15:07:18','2021-07-18 16:24:22',null);
INSERT INTO complaint_statuses VALUES('25751','6095','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-07-18 15:10:40','2021-07-18 15:10:40',null);
INSERT INTO complaint_statuses VALUES('25752','7827','7','12','81','Drain Pipe Adjustment.  Visit Pending 600/-',null,'76','76','2021-07-18 15:28:58','2021-07-18 15:28:58',null);
INSERT INTO complaint_statuses VALUES('25753','7794','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-18 15:30:14','2021-07-18 15:30:14',null);
INSERT INTO complaint_statuses VALUES('25754','8146','3',null,'52',null,'18-JUL-2021
COMPLAINT#PKRI210718108189','73','73','2021-07-18 15:49:05','2021-07-18 16:26:56',null);
INSERT INTO complaint_statuses VALUES('25755','7895','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 15:52:22','2021-07-18 15:52:22',null);
INSERT INTO complaint_statuses VALUES('25756','7456','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-18 15:52:25','2021-07-18 15:52:25',null);
INSERT INTO complaint_statuses VALUES('25757','8147','3',null,'65',null,'18-JULY-2021
COMPLAINT#192126152','73','74','2021-07-18 15:53:26','2021-07-18 16:32:52',null);
INSERT INTO complaint_statuses VALUES('25758','8148','3',null,'66',null,'19-JUL-2021
COMPLAINT#PK071920210058','73','73','2021-07-18 15:57:51','2021-07-19 12:41:21',null);
INSERT INTO complaint_statuses VALUES('25759','8149','3',null,'53',null,'18-JUL-2021
COMPLAINT#301157620','73','73','2021-07-18 16:02:55','2021-07-18 16:39:09',null);
INSERT INTO complaint_statuses VALUES('25760','7827','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-07-18 16:05:54','2021-07-18 16:07:22',null);
INSERT INTO complaint_statuses VALUES('25761','7886','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 16:07:45','2021-07-18 16:07:45',null);
INSERT INTO complaint_statuses VALUES('25762','7542','7','12','81','No Fault',null,'76','76','2021-07-18 16:08:34','2021-07-18 16:08:34',null);
INSERT INTO complaint_statuses VALUES('25763','8150','3',null,'85',null,'18-JUL-2021
COMPLAINT#301157622','73','73','2021-07-18 16:09:10','2021-07-18 16:41:50',null);
INSERT INTO complaint_statuses VALUES('25764','7410','7','12','81','PCB Repaired.',null,'76','76','2021-07-18 16:10:39','2021-07-18 16:10:39',null);
INSERT INTO complaint_statuses VALUES('25765','7590','7','22','81','Main PCB Faulty ,PCB Repairing Charges 4500/-',null,'76','76','2021-07-18 16:11:48','2021-07-18 16:11:48',null);
INSERT INTO complaint_statuses VALUES('25766','7510','7','12','81','Hall Sensor Replaced and Service Charges .',null,'76','76','2021-07-18 16:12:40','2021-07-18 16:12:40',null);
INSERT INTO complaint_statuses VALUES('25767','7564','7','12','81','Drain Heater Repalced.',null,'76','76','2021-07-18 16:13:07','2021-07-18 16:13:07',null);
INSERT INTO complaint_statuses VALUES('25768','7093','7','26','81','Only Part Query.',null,'76','76','2021-07-18 16:14:04','2021-07-18 16:14:04',null);
INSERT INTO complaint_statuses VALUES('25769','7117','7','12','81','PCB Repaired.',null,'76','76','2021-07-18 16:14:30','2021-07-18 16:14:30',null);
INSERT INTO complaint_statuses VALUES('25770','8151','3',null,'52',null,'18-JUL-2021
COMPLAINT#PKRI210718108125','73','73','2021-07-18 16:15:26','2021-07-18 16:22:33',null);
INSERT INTO complaint_statuses VALUES('25771','7877','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 16:15:51','2021-07-18 16:15:51',null);
INSERT INTO complaint_statuses VALUES('25772','6879','7','12','81','Drain Heater Replaced.',null,'76','76','2021-07-18 16:16:21','2021-07-18 16:16:21',null);
INSERT INTO complaint_statuses VALUES('25773','6040','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-18 16:16:41','2021-07-18 16:16:41',null);
INSERT INTO complaint_statuses VALUES('25774','7420','7','12','81','Service.',null,'76','76','2021-07-18 16:16:43','2021-07-18 16:16:43',null);
INSERT INTO complaint_statuses VALUES('25775','7780','7','12','81','No Fault.Visit Pending.',null,'76','76','2021-07-18 16:17:27','2021-07-18 16:17:27',null);
INSERT INTO complaint_statuses VALUES('25776','7862','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 16:20:51','2021-07-18 16:20:51',null);
INSERT INTO complaint_statuses VALUES('25777','7993','7','26','81','Customer Need Only Service , Will Be lifted after Eid Holidays.',null,'76','76','2021-07-18 16:21:44','2021-07-18 16:21:44',null);
INSERT INTO complaint_statuses VALUES('25778','7850','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 16:22:50','2021-07-18 16:22:50',null);
INSERT INTO complaint_statuses VALUES('25779','7843','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 16:24:18','2021-07-18 16:24:18',null);
INSERT INTO complaint_statuses VALUES('25780','7845','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 16:26:21','2021-07-18 16:26:21',null);
INSERT INTO complaint_statuses VALUES('25781','8152','3',null,'52',null,'18-JUL-2021
COMPLAINT#PKRI210718108250','73','92','2021-07-18 16:32:30','2021-07-24 13:46:18',null);
INSERT INTO complaint_statuses VALUES('25782','7050','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-18 16:38:45','2021-07-18 16:38:45',null);
INSERT INTO complaint_statuses VALUES('25783','7564','5','15',null,'completed complaint','COMPLAINT RESOLVED','81','74','2021-07-18 16:39:47','2021-07-18 16:46:59',null);
INSERT INTO complaint_statuses VALUES('25784','7780','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-18 16:41:27','2021-07-18 16:43:53',null);
INSERT INTO complaint_statuses VALUES('25785','7542','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-18 16:43:11','2021-07-18 16:47:37',null);
INSERT INTO complaint_statuses VALUES('25786','7510','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-18 16:44:36','2021-07-18 16:52:02',null);
INSERT INTO complaint_statuses VALUES('25787','7828','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 16:45:17','2021-07-18 16:45:17',null);
INSERT INTO complaint_statuses VALUES('25788','7420','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-07-18 16:45:45','2021-07-18 17:09:54',null);
INSERT INTO complaint_statuses VALUES('25789','7410','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-07-18 16:48:13','2021-07-18 17:10:39',null);
INSERT INTO complaint_statuses VALUES('25790','8153','2',null,'81',null,null,'73','73','2021-07-18 16:48:25','2021-07-18 16:48:25',null);
INSERT INTO complaint_statuses VALUES('25791','7117','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-18 16:49:47','2021-07-18 17:23:32',null);
INSERT INTO complaint_statuses VALUES('25792','8153','4',null,'62',null,null,'81','81','2021-07-18 16:50:13','2021-07-18 16:50:13',null);
INSERT INTO complaint_statuses VALUES('25793','7993','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-18 16:50:45','2021-07-18 17:03:10',null);
INSERT INTO complaint_statuses VALUES('25794','7057','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-18 16:51:51','2021-07-18 16:51:51',null);
INSERT INTO complaint_statuses VALUES('25795','7093','5','15',null,'REF PART REQUIRED THA 
CUSTOMER NA KOI PIC SHER KI R NA HI MODEL KI DETAIL CUSTOMER SIDE SA DELAY COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-18 16:54:34','2021-07-18 17:32:13',null);
INSERT INTO complaint_statuses VALUES('25796','8043','7','9','81','not Answering Calls',null,'76','76','2021-07-18 16:56:52','2021-07-18 16:56:52',null);
INSERT INTO complaint_statuses VALUES('25797','7531','7','26','81','Filter Service  by customer.',null,'76','76','2021-07-18 16:57:54','2021-07-18 16:57:54',null);
INSERT INTO complaint_statuses VALUES('25798','6879','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-18 16:58:45','2021-07-18 17:33:34',null);
INSERT INTO complaint_statuses VALUES('25799','6908','7','12','81','Thermostate Adjutment. Visit Pending 600/-',null,'76','76','2021-07-18 16:59:45','2021-07-18 16:59:45',null);
INSERT INTO complaint_statuses VALUES('25800','7112','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-18 17:00:57','2021-07-18 17:00:57',null);
INSERT INTO complaint_statuses VALUES('25801','8043','8','23','55','AGAIN TRY KAR LAY',null,'81','81','2021-07-18 17:00:59','2021-07-18 17:00:59',null);
INSERT INTO complaint_statuses VALUES('25802','6908','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-18 17:02:36','2021-07-18 17:32:58',null);
INSERT INTO complaint_statuses VALUES('25803','7807','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 17:05:11','2021-07-18 17:05:11',null);
INSERT INTO complaint_statuses VALUES('25804','8154','2',null,'81',null,'14-JUNE-2021
FF TO SHAMIM AKHTER','74','74','2021-07-18 17:11:26','2021-07-18 17:11:26',null);
INSERT INTO complaint_statuses VALUES('25805','8154','4',null,'55',null,null,'81','81','2021-07-18 17:11:56','2021-07-18 17:11:56',null);
INSERT INTO complaint_statuses VALUES('25806','7311','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-18 17:17:39','2021-07-18 17:17:39',null);
INSERT INTO complaint_statuses VALUES('25807','8058','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-07-18 17:19:01','2021-07-18 17:19:01',null);
INSERT INTO complaint_statuses VALUES('25808','8155','3',null,'52',null,'18-JUL-2021
COMPLAINT#PKRI210718109397','73','73','2021-07-18 17:21:14','2021-07-18 17:42:52',null);
INSERT INTO complaint_statuses VALUES('25809','7948','7','22','81','Under repair in compressor issue',null,'76','76','2021-07-18 17:21:49','2021-07-18 17:21:49',null);
INSERT INTO complaint_statuses VALUES('25810','7783','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 17:24:07','2021-07-18 17:24:07',null);
INSERT INTO complaint_statuses VALUES('25811','7770','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 17:29:36','2021-07-18 17:29:36',null);
INSERT INTO complaint_statuses VALUES('25812','7751','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 17:35:50','2021-07-18 17:35:50',null);
INSERT INTO complaint_statuses VALUES('25813','8156','3',null,'53',null,'7-JUL-2021
COMPLAINT#301152146','92','92','2021-07-18 17:38:43','2021-07-25 12:52:03',null);
INSERT INTO complaint_statuses VALUES('25814','6526','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-18 17:43:35','2021-07-18 17:43:35',null);
INSERT INTO complaint_statuses VALUES('25815','6533','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-18 17:46:00','2021-07-18 17:46:00',null);
INSERT INTO complaint_statuses VALUES('25816','7499','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-18 17:48:22','2021-07-18 17:48:22',null);
INSERT INTO complaint_statuses VALUES('25817','6539','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-18 17:49:50','2021-07-18 17:49:50',null);
INSERT INTO complaint_statuses VALUES('25818','7704','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-18 17:52:04','2021-07-18 17:52:04',null);
INSERT INTO complaint_statuses VALUES('25819','7487','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-18 17:52:19','2021-07-18 17:52:19',null);
INSERT INTO complaint_statuses VALUES('25820','6513','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-18 17:52:53','2021-07-18 17:52:53',null);
INSERT INTO complaint_statuses VALUES('25821','7461','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-18 17:54:06','2021-07-18 17:54:06',null);
INSERT INTO complaint_statuses VALUES('25822','8157','3',null,'65',null,'18-JUL-2021
COMPLAINT#192126156','73','73','2021-07-18 17:55:08','2021-07-18 17:59:01',null);
INSERT INTO complaint_statuses VALUES('25823','6548','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-18 17:55:08','2021-07-18 17:55:08',null);
INSERT INTO complaint_statuses VALUES('25824','7532','5',null,null,'COMPALINT CLOSED',null,'74','74','2021-07-18 17:56:42','2021-07-18 17:56:42',null);
INSERT INTO complaint_statuses VALUES('25825','7820','8','23','55','KHURRAM SIR NA APPROVAL DA DI HAIN REF READY KARWAY
JOB COMPLETED QUKILEY',null,'81','81','2021-07-18 17:58:30','2021-07-18 17:58:30',null);
INSERT INTO complaint_statuses VALUES('25826','7948','8','23','55','OK JOB COMPLETED QUKILEY',null,'81','81','2021-07-18 17:59:09','2021-07-18 17:59:09',null);
INSERT INTO complaint_statuses VALUES('25827','7590','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-07-18 18:00:48','2021-07-18 18:02:12',null);
INSERT INTO complaint_statuses VALUES('25828','8158','2',null,'81',null,null,'73','73','2021-07-18 18:02:04','2021-07-18 18:02:04',null);
INSERT INTO complaint_statuses VALUES('25829','8158','4',null,'58',null,null,'81','81','2021-07-18 18:03:01','2021-07-18 18:03:01',null);
INSERT INTO complaint_statuses VALUES('25830','6832','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-07-18 18:04:48','2021-07-18 18:04:48',null);
INSERT INTO complaint_statuses VALUES('25831','6832','5','15',null,'ASLAM SB NA REPAIR KRWA K DIA HA 
COMPLAINT COMPLETED',null,'81','81','2021-07-18 18:05:48','2021-07-18 18:05:48',null);
INSERT INTO complaint_statuses VALUES('25832','6812','7','12','81','Issue Solved',null,'76','76','2021-07-18 18:23:05','2021-07-18 18:23:05',null);
INSERT INTO complaint_statuses VALUES('25833','7938','7','12','81','Fan Adjustment. Visit pending 600/-',null,'76','76','2021-07-18 19:00:40','2021-07-18 19:00:40',null);
INSERT INTO complaint_statuses VALUES('25834','7897','7','26','81','Customer out of city , she will inform',null,'76','76','2021-07-18 19:01:51','2021-07-18 19:01:51',null);
INSERT INTO complaint_statuses VALUES('25835','7865','7','12','81','Service.',null,'76','76','2021-07-18 19:33:29','2021-07-18 19:33:29',null);
INSERT INTO complaint_statuses VALUES('25836','7899','7','12','81','Filter Service , Visit Pending 600/-',null,'76','76','2021-07-18 19:34:22','2021-07-18 19:34:22',null);
INSERT INTO complaint_statuses VALUES('25837','7753','7','12','81','ISSUE RESOLVED',null,'87','87','2021-07-18 19:53:47','2021-07-18 19:53:47',null);
INSERT INTO complaint_statuses VALUES('25838','6457','7','12','81','PLZ CLOSE IT',null,'87','87','2021-07-18 19:54:34','2021-07-18 19:54:34',null);
INSERT INTO complaint_statuses VALUES('25839','7483','7','12','81','ISSUE RESOLVED , FRIDGE I-10 MEIN E HAI',null,'87','87','2021-07-18 19:55:10','2021-07-18 19:55:10',null);
INSERT INTO complaint_statuses VALUES('25840','8128','7','12','81','old compliant 7127,,ye hum attend nahi kry  compreeosr issue hai work shop ana hai,',null,'79','79','2021-07-18 19:57:59','2021-07-18 19:57:59',null);
INSERT INTO complaint_statuses VALUES('25841','8097','7','12','81','Drian pipe issue complaint resolved',null,'79','79','2021-07-18 21:05:30','2021-07-18 21:05:30',null);
INSERT INTO complaint_statuses VALUES('25842','8117','7','12','81','Lpg to gas OK 1000 f',null,'88','88','2021-07-19 10:24:50','2021-07-19 10:24:50',null);
INSERT INTO complaint_statuses VALUES('25843','7954','7','12','81','Ok',null,'88','88','2021-07-19 10:25:16','2021-07-19 10:25:16',null);
INSERT INTO complaint_statuses VALUES('25844','7710','7','12','81','3 arth Pati lagayi hay wala Sara gum jata tha OK 400 f',null,'88','88','2021-07-19 10:26:18','2021-07-19 10:26:18',null);
INSERT INTO complaint_statuses VALUES('25845','8159','3',null,'65',null,'19-JUL-2021
COMPLAINT#192126183','73','73','2021-07-19 10:38:30','2021-07-19 12:48:55',null);
INSERT INTO complaint_statuses VALUES('25846','8160','3',null,'65',null,'19-JUL-2021
COMPLAINT#192126185','73','73','2021-07-19 10:42:40','2021-07-20 13:23:29',null);
INSERT INTO complaint_statuses VALUES('25847','8161','3',null,'52',null,'19-JUL-2021
COMPLAINT#PKRI210719108949','73','73','2021-07-19 10:44:23','2021-07-19 13:13:20',null);
INSERT INTO complaint_statuses VALUES('25848','8162','3',null,'52',null,'19-JUL-2021
COMPLAINT#PKRI210719109122','73','73','2021-07-19 10:53:30','2021-07-19 13:17:54',null);
INSERT INTO complaint_statuses VALUES('25849','8163','3',null,'65',null,'19-JUL-2021
COMPLAINT#192126188','73','73','2021-07-19 10:56:12','2021-07-19 12:54:25',null);
INSERT INTO complaint_statuses VALUES('25850','8164','3',null,'81',null,'19-JUL-2021
COMPLAINT#985','73','73','2021-07-19 11:05:14','2021-07-19 15:23:42',null);
INSERT INTO complaint_statuses VALUES('25851','8165','3',null,'52',null,'19-JUL-2021
COMPLAINT#PKRI210719109250','73','73','2021-07-19 11:10:53','2021-07-19 13:22:05',null);
INSERT INTO complaint_statuses VALUES('25852','8004','7','12','81','complint resolved',null,'79','79','2021-07-19 11:13:14','2021-07-19 11:13:14',null);
INSERT INTO complaint_statuses VALUES('25853','8166','3',null,'65',null,'19-JUL-2021
COMPLAINT#192126190','73','73','2021-07-19 11:15:21','2021-07-19 12:57:18',null);
INSERT INTO complaint_statuses VALUES('25854','8167','2',null,'81',null,null,'73','73','2021-07-19 11:17:28','2021-07-19 11:17:28',null);
INSERT INTO complaint_statuses VALUES('25855','8167','4',null,'58',null,null,'81','81','2021-07-19 11:18:06','2021-07-19 11:18:06',null);
INSERT INTO complaint_statuses VALUES('25856','8168','3',null,'52',null,'19-JUL-2021
COMPLAINT#PKRI210719109316','73','73','2021-07-19 11:31:08','2021-07-19 13:24:34',null);
INSERT INTO complaint_statuses VALUES('25857','6884','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-19 11:31:31','2021-07-19 11:31:31',null);
INSERT INTO complaint_statuses VALUES('25858','7788','7','12','81','Laga di hy',null,'82','82','2021-07-19 11:33:37','2021-07-19 11:33:37',null);
INSERT INTO complaint_statuses VALUES('25859','8169','3',null,'55',null,'COM NO 806067','92','92','2021-07-19 11:34:46','2021-07-19 11:39:10',null);
INSERT INTO complaint_statuses VALUES('25860','8088','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-19 11:36:13','2021-07-19 11:36:13',null);
INSERT INTO complaint_statuses VALUES('25861','8170','3',null,'55',null,'19-JUL-2021
COMPLAINT#RWP-806306','73','73','2021-07-19 11:37:39','2021-07-19 13:44:00',null);
INSERT INTO complaint_statuses VALUES('25862','8064','7','12','81','no issue in ac',null,'79','79','2021-07-19 11:42:35','2021-07-19 11:42:35',null);
INSERT INTO complaint_statuses VALUES('25863','8171','2',null,'81',null,null,'73','73','2021-07-19 11:45:03','2021-07-19 11:45:03',null);
INSERT INTO complaint_statuses VALUES('25864','8171','4',null,'62',null,null,'81','81','2021-07-19 11:45:31','2021-07-19 11:45:31',null);
INSERT INTO complaint_statuses VALUES('25865','8172','3',null,'52',null,'19-JUL-2021
COMPLAINT#PKRI210719109394','73','73','2021-07-19 11:48:40','2021-07-19 13:27:36',null);
INSERT INTO complaint_statuses VALUES('25866','8173','2',null,'81',null,null,'73','73','2021-07-19 11:51:47','2021-07-19 11:51:47',null);
INSERT INTO complaint_statuses VALUES('25867','8174','3',null,'52',null,'10-JULY-2021
COMPLAINT#PKRI-210719106079 
2nd com no PKRI-210719106057
3RD COM NO PKRI-210719106032','92','92','2021-07-19 11:53:21','2021-07-19 12:00:06',null);
INSERT INTO complaint_statuses VALUES('25868','8175','2',null,'81',null,null,'73','73','2021-07-19 11:58:26','2021-07-19 11:58:26',null);
INSERT INTO complaint_statuses VALUES('25869','8175','4',null,'61',null,null,'81','81','2021-07-19 11:59:10','2021-07-19 11:59:10',null);
INSERT INTO complaint_statuses VALUES('25870','8173','4',null,'63',null,null,'81','81','2021-07-19 11:59:17','2021-07-19 11:59:17',null);
INSERT INTO complaint_statuses VALUES('25871','8117','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-19 12:05:03','2021-07-19 12:58:19',null);
INSERT INTO complaint_statuses VALUES('25872','8097','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-19 12:14:56','2021-07-19 12:58:55',null);
INSERT INTO complaint_statuses VALUES('25873','8167','7','12','81','customer ko guid kr dya hai, body heatup hoti hai,is pr visit nahi call pr guid kia hai',null,'79','79','2021-07-19 12:24:17','2021-07-19 12:24:17',null);
INSERT INTO complaint_statuses VALUES('25874','8089','7','12','81','complaint resolved',null,'79','79','2021-07-19 12:26:11','2021-07-19 12:26:11',null);
INSERT INTO complaint_statuses VALUES('25875','8176','3',null,'54',null,'19-JUL-2021
COMPLAINT#1941546','73','73','2021-07-19 12:31:01','2021-07-19 13:40:28',null);
INSERT INTO complaint_statuses VALUES('25876','8068','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-19 12:31:02','2021-07-19 12:31:02',null);
INSERT INTO complaint_statuses VALUES('25877','8069','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-19 12:33:43','2021-07-19 12:33:43',null);
INSERT INTO complaint_statuses VALUES('25878','8177','3',null,'79',null,'FRWRD TO TAHSEEN SB','73','73','2021-07-19 12:34:50','2021-07-19 12:34:50',null);
INSERT INTO complaint_statuses VALUES('25879','8070','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-19 12:38:54','2021-07-19 12:38:54',null);
INSERT INTO complaint_statuses VALUES('25880','8071','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-19 12:40:06','2021-07-19 12:40:06',null);
INSERT INTO complaint_statuses VALUES('25881','8167','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-07-19 12:44:17','2021-07-19 12:57:43',null);
INSERT INTO complaint_statuses VALUES('25882','8026','7','26','81','Paysa bohat zayda hy 4500',null,'88','88','2021-07-19 12:46:45','2021-07-19 12:46:45',null);
INSERT INTO complaint_statuses VALUES('25883','8089','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-07-19 12:46:55','2021-07-19 13:01:27',null);
INSERT INTO complaint_statuses VALUES('25884','8074','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-19 12:46:59','2021-07-19 12:46:59',null);
INSERT INTO complaint_statuses VALUES('25885','8064','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-19 12:48:33','2021-07-19 13:02:02',null);
INSERT INTO complaint_statuses VALUES('25886','8026','5','15',null,'COMPLAINT CANCEL','COMPLAINT CANCEL','81','74','2021-07-19 12:49:16','2021-07-19 13:05:02',null);
INSERT INTO complaint_statuses VALUES('25887','8004','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-19 12:50:28','2021-07-19 13:05:44',null);
INSERT INTO complaint_statuses VALUES('25888','8178','3',null,'65',null,'19-JUL-2021
COMPLAINT#192126192','73','73','2021-07-19 12:52:57','2021-07-19 12:59:46',null);
INSERT INTO complaint_statuses VALUES('25889','8076','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-19 12:55:04','2021-07-19 12:55:04',null);
INSERT INTO complaint_statuses VALUES('25890','8175','7','26','81',null,null,'83','83','2021-07-19 13:00:14','2021-07-19 13:00:14',null);
INSERT INTO complaint_statuses VALUES('25891','8081','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-19 13:01:20','2021-07-19 13:01:20',null);
INSERT INTO complaint_statuses VALUES('25892','8079','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-19 13:03:02','2021-07-19 13:03:02',null);
INSERT INTO complaint_statuses VALUES('25893','8179','3',null,'52',null,'19-JUL-2021
COMPLAINT#PKRI210719103537','73','73','2021-07-19 13:07:09','2021-07-19 13:33:02',null);
INSERT INTO complaint_statuses VALUES('25894','8175','5','15',null,'CUSTOMER KA ISSUE KHUD SA RESOLVED HO GAYA COMPLAINT CLOSED','COMPLETED RESOLVED','81','74','2021-07-19 13:11:35','2021-07-19 14:20:57',null);
INSERT INTO complaint_statuses VALUES('25895','7954','5','15',null,'COMPLETED OMPLAINT','COMPLETED COMPLAINT','81','74','2021-07-19 13:12:42','2021-07-19 14:21:33',null);
INSERT INTO complaint_statuses VALUES('25896','7938','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-19 13:15:00','2021-07-19 14:22:14',null);
INSERT INTO complaint_statuses VALUES('25897','7899','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-19 13:16:54','2021-07-19 14:23:03',null);
INSERT INTO complaint_statuses VALUES('25898','8066','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-19 13:23:07','2021-07-19 13:23:07',null);
INSERT INTO complaint_statuses VALUES('25899','8065','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-19 13:27:35','2021-07-19 13:27:35',null);
INSERT INTO complaint_statuses VALUES('25900','7897','5','15',null,'CUSTOMER OUT OFF CITY HAIN COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-07-19 13:28:49','2021-07-19 14:39:08',null);
INSERT INTO complaint_statuses VALUES('25901','7865','5','15',null,'W/M S/C SA READY  HO K CUSTOMER KO DILVER HO GEI
COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-19 13:33:24','2021-07-19 14:40:01',null);
INSERT INTO complaint_statuses VALUES('25902','7788','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-19 13:35:11','2021-07-19 14:41:42',null);
INSERT INTO complaint_statuses VALUES('25903','7753','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-07-19 13:36:41','2021-07-19 14:42:34',null);
INSERT INTO complaint_statuses VALUES('25904','7971','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-19 13:39:48','2021-07-19 13:39:48',null);
INSERT INTO complaint_statuses VALUES('25905','7549','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-19 13:40:06','2021-07-19 13:40:06',null);
INSERT INTO complaint_statuses VALUES('25906','7737','5','23',null,'JOB COMPLETED QUKILEY','REOPEND COMPLAINT KAR DI BY MISTAKE COMPLAINT COMPLETED HO GEI','81','74','2021-07-19 13:41:17','2021-07-19 14:44:15',null);
INSERT INTO complaint_statuses VALUES('25907','7710','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-19 13:43:58','2021-07-19 14:45:03',null);
INSERT INTO complaint_statuses VALUES('25908','7531','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-07-19 13:48:05','2021-07-19 14:49:59',null);
INSERT INTO complaint_statuses VALUES('25909','7483','5','15',null,'ADIL BHAI SA CONFIRM KAR K COMPLAINT COMPLETED KI HAIN','COMPLAINT RESOLVED','81','74','2021-07-19 13:51:51','2021-07-19 14:51:31',null);
INSERT INTO complaint_statuses VALUES('25910','8180','3',null,'54',null,'19-JUL-2021
COMPLAINT#1941616','73','73','2021-07-19 14:00:08','2021-07-19 14:09:20',null);
INSERT INTO complaint_statuses VALUES('25911','7617','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-19 14:12:40','2021-07-19 14:12:40',null);
INSERT INTO complaint_statuses VALUES('25912','8181','2',null,'81',null,'07 JULY 2021
FF TO SHAMIM AKHTER','74','74','2021-07-19 14:18:25','2021-07-19 14:18:25',null);
INSERT INTO complaint_statuses VALUES('25913','8181','4',null,'55',null,null,'81','81','2021-07-19 14:19:24','2021-07-19 14:19:24',null);
INSERT INTO complaint_statuses VALUES('25914','7594','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-19 14:28:56','2021-07-19 14:28:56',null);
INSERT INTO complaint_statuses VALUES('25915','7584','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-19 14:30:54','2021-07-19 14:30:54',null);
INSERT INTO complaint_statuses VALUES('25916','8182','3',null,'84',null,'19-JUL-2021
COMPLAINT#806368','73','92','2021-07-19 14:31:28','2021-07-27 15:24:10',null);
INSERT INTO complaint_statuses VALUES('25917','8183','2',null,'81',null,null,'73','73','2021-07-19 14:45:24','2021-07-19 14:45:24',null);
INSERT INTO complaint_statuses VALUES('25918','8183','4',null,'62',null,null,'81','81','2021-07-19 14:45:55','2021-07-19 14:45:55',null);
INSERT INTO complaint_statuses VALUES('25919','8009','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-19 14:56:07','2021-07-19 14:56:07',null);
INSERT INTO complaint_statuses VALUES('25920','7521','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-19 14:58:45','2021-07-19 14:58:45',null);
INSERT INTO complaint_statuses VALUES('25921','8022','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-19 14:59:25','2021-07-19 14:59:25',null);
INSERT INTO complaint_statuses VALUES('25922','8029','5',null,null,'COMPLAINT PROCESSING',null,'74','74','2021-07-19 15:02:38','2021-07-19 15:02:38',null);
INSERT INTO complaint_statuses VALUES('25923','6812','8','23','55','ISSUE RESOLVED NI HOA  EID K BAD VISIT KARWAY',null,'81','81','2021-07-19 15:02:42','2021-07-19 15:02:42',null);
INSERT INTO complaint_statuses VALUES('25924','7516','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-19 15:10:18','2021-07-19 15:10:18',null);
INSERT INTO complaint_statuses VALUES('25925','8184','3',null,'65',null,'19-JUL-2021
COMPLAINT#192126208','73','73','2021-07-19 15:12:23','2021-07-19 15:18:37',null);
INSERT INTO complaint_statuses VALUES('25926','7885','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-19 15:15:27','2021-07-19 15:15:27',null);
INSERT INTO complaint_statuses VALUES('25927','8048','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-19 15:18:33','2021-07-19 15:18:33',null);
INSERT INTO complaint_statuses VALUES('25928','8055','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-19 15:29:03','2021-07-19 15:29:03',null);
INSERT INTO complaint_statuses VALUES('25929','8140','7','24','81','new board 27000 ka compnay say ay ga app dy dyn',null,'80','80','2021-07-19 15:40:02','2021-07-19 15:40:02',null);
INSERT INTO complaint_statuses VALUES('25930','5114','5','15',null,'IMRAN STOCK KI COMPLAINT NEW TASK SA BANA DI HAIN COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-07-19 15:41:28','2021-07-19 15:43:12',null);
INSERT INTO complaint_statuses VALUES('25931','7884','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-19 15:46:05','2021-07-19 15:46:05',null);
INSERT INTO complaint_statuses VALUES('25932','8185','3',null,'55',null,'19-JUL-2021
FRWRD TO NAEEM KENWOOD','73','73','2021-07-19 16:04:26','2021-07-19 16:40:25',null);
INSERT INTO complaint_statuses VALUES('25933','6816','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-19 16:05:45','2021-07-19 16:05:45',null);
INSERT INTO complaint_statuses VALUES('25934','8186','3',null,'59',null,'24-JULY-2021(AREEBA)
COM NO 4247633941','73','73','2021-07-19 16:22:22','2021-07-24 12:46:55',null);
INSERT INTO complaint_statuses VALUES('25935','6714','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-19 16:24:58','2021-07-19 16:24:58',null);
INSERT INTO complaint_statuses VALUES('25936','6118','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-19 16:40:35','2021-07-19 16:40:35',null);
INSERT INTO complaint_statuses VALUES('25937','7055','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-19 16:42:46','2021-07-19 16:42:46',null);
INSERT INTO complaint_statuses VALUES('25938','8187','3',null,'52',null,'18-JUNE-2021
COMPLAINT#PKRI-210719115500','92','92','2021-07-19 16:44:19','2021-07-19 16:49:59',null);
INSERT INTO complaint_statuses VALUES('25939','8188','3',null,'85',null,'19-JUL-2021
COMPLAINT#301158183','73','73','2021-07-19 16:58:17','2021-07-19 17:37:30',null);
INSERT INTO complaint_statuses VALUES('25940','8189','2',null,'81',null,null,'73','73','2021-07-19 17:07:59','2021-07-19 17:07:59',null);
INSERT INTO complaint_statuses VALUES('25941','8189','4',null,'62',null,null,'81','81','2021-07-19 17:08:28','2021-07-19 17:08:28',null);
INSERT INTO complaint_statuses VALUES('25942','8052','7','12','81','Wal ka masla tha ok',null,'88','88','2021-07-19 17:27:14','2021-07-19 17:27:14',null);
INSERT INTO complaint_statuses VALUES('25943','8190','3',null,'59',null,'24-JUL-2021(AREEBA)
COM NO 4247633752','73','73','2021-07-19 17:56:13','2021-07-24 12:47:29',null);
INSERT INTO complaint_statuses VALUES('25944','8189','7','26','81','PLZ FRWD TO USMAN',null,'87','87','2021-07-19 19:01:59','2021-07-19 19:01:59',null);
INSERT INTO complaint_statuses VALUES('25945','8183','7','26','81','KHURRAM SB SE UPDATE LE PLZ',null,'87','87','2021-07-19 19:03:16','2021-07-19 19:03:16',null);
INSERT INTO complaint_statuses VALUES('25946','8153','7','24','81','DUCT MOTER',null,'87','87','2021-07-19 19:43:06','2021-07-19 19:43:06',null);
INSERT INTO complaint_statuses VALUES('25947','8142','7','24','81','LEAKAGE',null,'87','87','2021-07-19 19:43:33','2021-07-19 19:43:33',null);
INSERT INTO complaint_statuses VALUES('25948','8130','7','12','81','INKI KOI COMPLAINT NHI',null,'87','87','2021-07-19 19:44:07','2021-07-19 19:44:07',null);
INSERT INTO complaint_statuses VALUES('25949','7977','7','22','81','LOCK',null,'87','87','2021-07-19 19:45:29','2021-07-19 19:45:29',null);
INSERT INTO complaint_statuses VALUES('25950','8191','2',null,'81',null,null,'73','73','2021-07-20 10:35:27','2021-07-20 10:35:27',null);
INSERT INTO complaint_statuses VALUES('25951','8191','4',null,'62',null,null,'81','81','2021-07-20 10:36:01','2021-07-20 10:36:01',null);
INSERT INTO complaint_statuses VALUES('25952','8192','2',null,'81',null,null,'73','73','2021-07-20 10:38:51','2021-07-20 10:38:51',null);
INSERT INTO complaint_statuses VALUES('25953','8192','4',null,'62',null,null,'81','81','2021-07-20 10:39:08','2021-07-20 10:39:08',null);
INSERT INTO complaint_statuses VALUES('25954','8193','3',null,'65',null,'20-JUL-2021
COMPLAINT#192126226','73','73','2021-07-20 10:49:03','2021-07-20 10:53:11',null);
INSERT INTO complaint_statuses VALUES('25955','8194','2',null,'81',null,null,'73','73','2021-07-20 11:05:29','2021-07-20 11:05:29',null);
INSERT INTO complaint_statuses VALUES('25956','8194','4',null,'55',null,null,'81','81','2021-07-20 11:05:45','2021-07-20 11:05:45',null);
INSERT INTO complaint_statuses VALUES('25957','8021','7','12','81','cuplery gas and compressor',null,'79','79','2021-07-20 11:35:37','2021-07-20 11:35:37',null);
INSERT INTO complaint_statuses VALUES('25958','8195','2',null,'81',null,null,'73','73','2021-07-20 11:41:30','2021-07-20 11:41:30',null);
INSERT INTO complaint_statuses VALUES('25959','8195','4',null,'62',null,null,'81','81','2021-07-20 11:41:50','2021-07-20 11:41:50',null);
INSERT INTO complaint_statuses VALUES('25960','8196','2',null,'81',null,null,'73','73','2021-07-20 12:08:33','2021-07-20 12:08:33',null);
INSERT INTO complaint_statuses VALUES('25961','8196','4',null,'63',null,null,'81','81','2021-07-20 12:08:51','2021-07-20 12:08:51',null);
INSERT INTO complaint_statuses VALUES('25962','8197','3',null,'52',null,'20-JUL-2021
COMPLAINT#PKRI210720106758','73','73','2021-07-20 13:30:30','2021-07-20 13:30:30',null);
INSERT INTO complaint_statuses VALUES('25963','8181','7','12','81','Main PCB Replaced.',null,'76','76','2021-07-23 10:30:00','2021-07-23 10:30:00',null);
INSERT INTO complaint_statuses VALUES('25964','7948','7','12','81','Compressor Replaced. Labor and Gas Charges Pending 2500/-',null,'76','76','2021-07-23 10:31:18','2021-07-23 10:31:18',null);
INSERT INTO complaint_statuses VALUES('25965','7820','7','12','81','Drain Heater Replaced.',null,'76','76','2021-07-23 10:32:37','2021-07-23 10:32:37',null);
INSERT INTO complaint_statuses VALUES('25966','7739','7','12','81','Service.',null,'76','76','2021-07-23 10:35:25','2021-07-23 10:35:25',null);
INSERT INTO complaint_statuses VALUES('25967','7421','7','26','81','Self Repaired by Customer.',null,'76','76','2021-07-23 10:36:48','2021-07-23 10:36:48',null);
INSERT INTO complaint_statuses VALUES('25968','6049','7','22','81','Door Switch On Demand , Will Receive in Coming Shipment.',null,'76','76','2021-07-23 10:38:53','2021-07-23 10:38:53',null);
INSERT INTO complaint_statuses VALUES('25969','6385','7','26','81','Only Surf box damage Issue, many times Calls to the Customer but he was not answering calls ,',null,'76','76','2021-07-23 10:42:18','2021-07-23 10:42:18',null);
INSERT INTO complaint_statuses VALUES('25970','7088','7','22','81','Customer Was not Agree for part Replacement,he want Replacement of product.',null,'76','76','2021-07-23 10:43:18','2021-07-23 10:43:18',null);
INSERT INTO complaint_statuses VALUES('25971','7289','7','12','81','two time Visit at customer s home , but customer not satisfied with the performance of AC.',null,'76','76','2021-07-23 10:44:14','2021-07-23 10:44:14',null);
INSERT INTO complaint_statuses VALUES('25972','7114','7','11','81','Please provide contact Number , and where is product locate ??',null,'76','76','2021-07-23 10:46:35','2021-07-23 10:46:35',null);
INSERT INTO complaint_statuses VALUES('25973','8027','7','22','81','Second Visit Require',null,'76','76','2021-07-23 18:03:19','2021-07-23 18:03:19',null);
INSERT INTO complaint_statuses VALUES('25974','8181','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-24 10:42:29','2021-07-24 10:58:55',null);
INSERT INTO complaint_statuses VALUES('25975','8130','8','23','62','CUSTOMER SAY BAT HUAI HAY IN KI COMPLAINT HAY PART ISSUE HAY',null,'81','81','2021-07-24 10:45:12','2021-07-24 10:45:12',null);
INSERT INTO complaint_statuses VALUES('25976','8198','3',null,'56',null,'24-JUL-2021
COMPLAINT#G24/010
REOPEN COM NO G27/020','73','92','2021-07-24 10:46:36','2021-07-27 16:47:08',null);
INSERT INTO complaint_statuses VALUES('25977','8052','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-24 10:46:37','2021-07-24 11:00:08',null);
INSERT INTO complaint_statuses VALUES('25978','7948','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-24 10:48:31','2021-07-24 11:00:35',null);
INSERT INTO complaint_statuses VALUES('25979','8199','2',null,'81',null,null,'73','73','2021-07-24 10:50:43','2021-07-24 10:50:43',null);
INSERT INTO complaint_statuses VALUES('25980','8199','4',null,'60',null,null,'81','81','2021-07-24 10:51:15','2021-07-24 10:51:15',null);
INSERT INTO complaint_statuses VALUES('25981','7739','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-24 10:51:51','2021-07-24 11:01:10',null);
INSERT INTO complaint_statuses VALUES('25982','7421','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-24 10:55:13','2021-07-24 11:01:36',null);
INSERT INTO complaint_statuses VALUES('25983','8189','8','23','62','S WALA STOCK HAY SIR AP HI ATTEND KARWAY GAY COMPLAINT',null,'81','81','2021-07-24 10:58:00','2021-07-24 10:58:00',null);
INSERT INTO complaint_statuses VALUES('25984','8200','3',null,'52',null,'24-JUL-2021
COMPLAINT#PKRI210724107982','73','73','2021-07-24 10:59:51','2021-07-24 14:06:35',null);
INSERT INTO complaint_statuses VALUES('25985','8201','3',null,'52',null,'24-JUL-2021
COMPLAINT#PKRI210724108064','73','73','2021-07-24 11:02:53','2021-07-24 14:15:15',null);
INSERT INTO complaint_statuses VALUES('25986','8202','2',null,'81',null,null,'73','73','2021-07-24 11:07:24','2021-07-24 11:07:24',null);
INSERT INTO complaint_statuses VALUES('25987','8202','4',null,'62',null,null,'81','81','2021-07-24 11:07:42','2021-07-24 11:07:42',null);
INSERT INTO complaint_statuses VALUES('25988','8203','2',null,'81',null,null,'73','73','2021-07-24 11:18:59','2021-07-24 11:18:59',null);
INSERT INTO complaint_statuses VALUES('25989','8203','4',null,'60',null,null,'81','81','2021-07-24 11:19:28','2021-07-24 11:19:28',null);
INSERT INTO complaint_statuses VALUES('25990','8197','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 11:22:28','2021-07-24 11:22:28',null);
INSERT INTO complaint_statuses VALUES('25991','8204','2',null,'81',null,null,'73','73','2021-07-24 11:23:59','2021-07-24 11:23:59',null);
INSERT INTO complaint_statuses VALUES('25992','8204','4',null,'62',null,null,'81','81','2021-07-24 11:24:20','2021-07-24 11:24:20',null);
INSERT INTO complaint_statuses VALUES('25993','8153','8','23','62','OK JOB COMPLETED QUKILEY',null,'81','81','2021-07-24 11:28:09','2021-07-24 11:28:09',null);
INSERT INTO complaint_statuses VALUES('25994','8205','2',null,'81',null,null,'73','73','2021-07-24 11:32:19','2021-07-24 11:32:19',null);
INSERT INTO complaint_statuses VALUES('25995','8021','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-07-24 11:32:59','2021-07-24 11:48:53',null);
INSERT INTO complaint_statuses VALUES('25996','8205','4',null,'63',null,null,'81','81','2021-07-24 11:33:40','2021-07-24 11:33:40',null);
INSERT INTO complaint_statuses VALUES('25997','7820','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-07-24 11:34:14','2021-07-24 11:49:51',null);
INSERT INTO complaint_statuses VALUES('25998','8206','3',null,'56',null,'24-JUL-2021
COMPLAINT#G24/011
REOPEN COM NO G31/008','73','92','2021-07-24 11:35:34','2021-07-31 13:34:43',null);
INSERT INTO complaint_statuses VALUES('25999','8207','3',null,'66',null,'12-JUL-2021
COMPLAINT#PK071220210103','73','73','2021-07-24 11:37:44','2021-07-24 13:33:11',null);
INSERT INTO complaint_statuses VALUES('26000','8208','3',null,'65',null,'24-JUL-2021
COMPLAINT#192126299','73','73','2021-07-24 11:39:19','2021-07-24 12:57:43',null);
INSERT INTO complaint_statuses VALUES('26001','7114','8','23','55','311 3110013
 BEHIRA BRANCH PHASE 07 MAIN HAIN',null,'81','81','2021-07-24 11:41:02','2021-07-24 11:41:02',null);
INSERT INTO complaint_statuses VALUES('26002','8209','3',null,'66',null,'24-JUL-2021
COMPLAINT#PK072420210055','73','73','2021-07-24 11:42:00','2021-07-24 13:36:09',null);
INSERT INTO complaint_statuses VALUES('26003','8094','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 11:42:16','2021-07-24 11:42:16',null);
INSERT INTO complaint_statuses VALUES('26004','8210','2',null,'81',null,null,'73','73','2021-07-24 11:44:12','2021-07-24 11:44:12',null);
INSERT INTO complaint_statuses VALUES('26005','8210','4',null,'55',null,null,'81','81','2021-07-24 11:44:35','2021-07-24 11:44:35',null);
INSERT INTO complaint_statuses VALUES('26006','6540','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-24 11:46:10','2021-07-24 11:46:10',null);
INSERT INTO complaint_statuses VALUES('26007','8093','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-24 11:48:23','2021-07-24 11:48:23',null);
INSERT INTO complaint_statuses VALUES('26008','8211','2',null,'81',null,null,'73','73','2021-07-24 11:49:53','2021-07-24 11:49:53',null);
INSERT INTO complaint_statuses VALUES('26009','8211','4',null,'61',null,null,'81','81','2021-07-24 11:50:29','2021-07-24 11:50:29',null);
INSERT INTO complaint_statuses VALUES('26010','8212','2',null,'81',null,null,'73','73','2021-07-24 11:51:55','2021-07-24 11:51:55',null);
INSERT INTO complaint_statuses VALUES('26011','8213','2',null,'81',null,null,'73','73','2021-07-24 12:04:00','2021-07-24 12:04:00',null);
INSERT INTO complaint_statuses VALUES('26012','8213','4',null,'62',null,null,'81','81','2021-07-24 12:06:00','2021-07-24 12:06:00',null);
INSERT INTO complaint_statuses VALUES('26013','8212','4',null,'63',null,null,'81','81','2021-07-24 12:06:08','2021-07-24 12:06:08',null);
INSERT INTO complaint_statuses VALUES('26014','8107','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-24 12:10:46','2021-07-24 12:10:46',null);
INSERT INTO complaint_statuses VALUES('26015','8214','3',null,'65',null,'24-JUL-2021
COMPLAINT#192126300','73','73','2021-07-24 12:12:08','2021-07-24 12:59:56',null);
INSERT INTO complaint_statuses VALUES('26016','8215','3',null,'56',null,'24-JUL-2021
COMPLAINT#G24/012','73','73','2021-07-24 12:14:19','2021-07-24 13:10:01',null);
INSERT INTO complaint_statuses VALUES('26017','7013','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 12:21:09','2021-07-24 12:21:09',null);
INSERT INTO complaint_statuses VALUES('26018','8216','3',null,'65',null,'24-JUL-2021
COMPLAINT#192126301','73','73','2021-07-24 12:22:32','2021-07-24 13:02:26',null);
INSERT INTO complaint_statuses VALUES('26019','8217','3',null,'52',null,'24-JUL-2021
COMPLAINT#PKRI210724108262','73','73','2021-07-24 12:28:04','2021-07-24 14:18:19',null);
INSERT INTO complaint_statuses VALUES('26020','8001','7','12','81','hood motor change  hood bhi lga dya hai',null,'79','79','2021-07-24 12:30:47','2021-07-24 12:30:47',null);
INSERT INTO complaint_statuses VALUES('26021','7351','7','12','81','install ok',null,'79','79','2021-07-24 12:31:27','2021-07-24 12:31:27',null);
INSERT INTO complaint_statuses VALUES('26022','8180','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 12:31:30','2021-07-24 12:31:30',null);
INSERT INTO complaint_statuses VALUES('26023','8218','3',null,'80',null,'24-JUL-2021
FRWRD TO AMNA BOSCH','73','73','2021-07-24 12:31:44','2021-07-24 12:31:44',null);
INSERT INTO complaint_statuses VALUES('26024','8219','3',null,'52',null,'24-JUL-2021
COMPLAINT#PKRI210724108334','73','73','2021-07-24 12:34:25','2021-07-24 14:21:19',null);
INSERT INTO complaint_statuses VALUES('26025','7043','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 12:35:55','2021-07-24 12:35:55',null);
INSERT INTO complaint_statuses VALUES('26026','8220','2',null,'81',null,null,'73','73','2021-07-24 12:37:27','2021-07-24 12:37:27',null);
INSERT INTO complaint_statuses VALUES('26027','8220','4',null,'58',null,null,'81','81','2021-07-24 12:37:42','2021-07-24 12:37:42',null);
INSERT INTO complaint_statuses VALUES('26028','8221','3',null,'52',null,'24-JUL-2021
COMPLAINT#PKRI210724108420','73','73','2021-07-24 12:40:47','2021-07-24 14:24:29',null);
INSERT INTO complaint_statuses VALUES('26029','8222','3',null,'59',null,'24-JUL-2021
COMPLAINT#4247635418','73','73','2021-07-24 13:04:02','2021-07-24 13:27:40',null);
INSERT INTO complaint_statuses VALUES('26030','8223','3',null,'73',null,'24-JUL-2021
COMPLAINT#5161','73','73','2021-07-24 13:15:20','2021-07-24 13:49:41',null);
INSERT INTO complaint_statuses VALUES('26031','8100','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 13:20:12','2021-07-24 13:20:12',null);
INSERT INTO complaint_statuses VALUES('26032','8124','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 13:21:20','2021-07-24 13:21:20',null);
INSERT INTO complaint_statuses VALUES('26033','8133','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 13:24:31','2021-07-24 13:24:31',null);
INSERT INTO complaint_statuses VALUES('26034','8138','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 13:26:23','2021-07-24 13:26:23',null);
INSERT INTO complaint_statuses VALUES('26035','8132','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 13:30:44','2021-07-24 13:30:44',null);
INSERT INTO complaint_statuses VALUES('26036','8121','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 13:34:42','2021-07-24 13:34:42',null);
INSERT INTO complaint_statuses VALUES('26037','8120','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 13:37:00','2021-07-24 13:37:00',null);
INSERT INTO complaint_statuses VALUES('26038','8224','3',null,'52',null,'24-JUL-2021
COMPLAINT#PKRI210724108492
24-JUL-2021
COMPLAINT#PKRI210724108474','73','73','2021-07-24 13:39:10','2021-07-24 14:28:02',null);
INSERT INTO complaint_statuses VALUES('26039','8225','2',null,'81',null,null,'73','73','2021-07-24 13:41:17','2021-07-24 13:41:17',null);
INSERT INTO complaint_statuses VALUES('26040','8225','4',null,'58',null,'COMPLAINT RESOLVED','81','74','2021-07-24 13:41:50','2021-07-30 12:57:57',null);
INSERT INTO complaint_statuses VALUES('26041','8119','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 13:44:15','2021-07-24 13:44:15',null);
INSERT INTO complaint_statuses VALUES('26042','8152','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 13:46:50','2021-07-24 13:46:50',null);
INSERT INTO complaint_statuses VALUES('26043','8116','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 13:58:15','2021-07-24 13:58:15',null);
INSERT INTO complaint_statuses VALUES('26044','8226','3',null,'80',null,'24-JUL-2021
FRWRD TO SAJAD BHATTI','73','73','2021-07-24 13:59:42','2021-07-24 14:00:31',null);
INSERT INTO complaint_statuses VALUES('26045','8087','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 14:07:04','2021-07-24 14:07:04',null);
INSERT INTO complaint_statuses VALUES('26046','8078','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 14:10:59','2021-07-24 14:10:59',null);
INSERT INTO complaint_statuses VALUES('26047','8032','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 14:13:51','2021-07-24 14:13:51',null);
INSERT INTO complaint_statuses VALUES('26048','7351','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-07-24 14:26:02','2021-07-24 14:29:26',null);
INSERT INTO complaint_statuses VALUES('26049','8227','2',null,'81',null,null,'73','73','2021-07-24 14:34:57','2021-07-24 14:34:57',null);
INSERT INTO complaint_statuses VALUES('26050','8227','4',null,'58',null,null,'81','81','2021-07-24 14:35:30','2021-07-24 14:35:30',null);
INSERT INTO complaint_statuses VALUES('26051','8228','3',null,'52',null,'24-JUL-2021
COMPLAINT#PKRI210724110868','73','73','2021-07-24 14:36:36','2021-07-24 16:08:52',null);
INSERT INTO complaint_statuses VALUES('26052','7742','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 14:40:12','2021-07-24 14:40:12',null);
INSERT INTO complaint_statuses VALUES('26053','8229','3',null,'52',null,'24-JUL-2021
COMPLAINT#PKRI210724110938','73','73','2021-07-24 14:40:50','2021-07-24 16:11:55',null);
INSERT INTO complaint_statuses VALUES('26054','7725','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 14:44:59','2021-07-24 14:44:59',null);
INSERT INTO complaint_statuses VALUES('26055','8230','3',null,'54',null,'24-JUL-2021
COMPLAINT#1943322','73','73','2021-07-24 14:46:05','2021-07-24 16:04:30',null);
INSERT INTO complaint_statuses VALUES('26056','8231','3',null,'54',null,'19-JUL-2021
COMPLAINT#1940469','73','73','2021-07-24 14:47:55','2021-07-24 16:01:57',null);
INSERT INTO complaint_statuses VALUES('26057','8183','5','15',null,'COMPLETE',null,'81','92','2021-07-24 14:48:22','2021-07-24 14:52:39',null);
INSERT INTO complaint_statuses VALUES('26058','8142','8','23','62','NEW UPDATE',null,'81','81','2021-07-24 14:49:17','2021-07-24 14:49:17',null);
INSERT INTO complaint_statuses VALUES('26059','8232','2',null,'81',null,null,'73','73','2021-07-24 14:50:57','2021-07-24 14:50:57',null);
INSERT INTO complaint_statuses VALUES('26060','8232','4',null,'58',null,null,'81','81','2021-07-24 14:51:25','2021-07-24 14:51:25',null);
INSERT INTO complaint_statuses VALUES('26061','8128','8','23','58','VISET HOA YA NAHE',null,'81','81','2021-07-24 14:51:31','2021-07-24 14:51:31',null);
INSERT INTO complaint_statuses VALUES('26062','8027','8','23','55','NEW UPDATE',null,'81','81','2021-07-24 14:53:45','2021-07-24 14:53:45',null);
INSERT INTO complaint_statuses VALUES('26063','8001','5','15',null,null,'COMPLETED COMPLAINT','81','74','2021-07-24 14:54:12','2021-07-24 14:56:01',null);
INSERT INTO complaint_statuses VALUES('26064','8233','3',null,'52',null,'24-JUL-2021
COMPLAINT#PKRI210724111054','73','73','2021-07-24 14:55:31','2021-07-24 16:16:15',null);
INSERT INTO complaint_statuses VALUES('26065','7977','8','23','62','LOCK MEAN GHAR LOCK HY YA HOOD LOCK HY
EXPLAIN KAREN',null,'81','81','2021-07-24 14:55:57','2021-07-24 14:55:57',null);
INSERT INTO complaint_statuses VALUES('26066','7581','8','23','63','NEW UP DATE',null,'81','81','2021-07-24 14:58:06','2021-07-24 14:58:06',null);
INSERT INTO complaint_statuses VALUES('26067','7289','8','23','55','CUSTOMER NOT STESFIDE . PLZ AGAIN VISET',null,'81','81','2021-07-24 14:59:19','2021-07-24 14:59:19',null);
INSERT INTO complaint_statuses VALUES('26068','8234','3',null,'92',null,'24-JUL-2021
COMPLAINT#210724056897','73','73','2021-07-24 14:59:32','2021-07-24 15:39:38',null);
INSERT INTO complaint_statuses VALUES('26069','6385','5','15',null,'CUSTOMER KA ISSUE KHUD SA RESOLVED HO GAYA HAIN COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-07-24 15:01:34','2021-07-24 15:02:44',null);
INSERT INTO complaint_statuses VALUES('26070','8235','3',null,'53',null,'24-JUL-2021
COMPLAINT#301158812','73','73','2021-07-24 15:02:42','2021-07-24 15:55:44',null);
INSERT INTO complaint_statuses VALUES('26071','6708','8','23','58','D.O.P 12-SEP 2020
PLZ CONTACT ANEEQ',null,'81','81','2021-07-24 15:06:03','2021-07-24 15:06:03',null);
INSERT INTO complaint_statuses VALUES('26072','6457','5','15',null,null,'COMPLAINT  KHURRAM SIR NA CLOSED KI','81','74','2021-07-24 15:07:27','2021-07-24 15:38:59',null);
INSERT INTO complaint_statuses VALUES('26073','6049','8','23','55','NEW UPDATE KAREN',null,'81','81','2021-07-24 15:08:21','2021-07-24 15:08:21',null);
INSERT INTO complaint_statuses VALUES('26074','8236','3',null,'53',null,'24-JUL-2021
COMPLAINT#301158808','73','73','2021-07-24 15:13:04','2021-07-24 15:52:04',null);
INSERT INTO complaint_statuses VALUES('26075','8237','3',null,'65',null,'24-JUL-2021
COMPLAINT#192126315','73','73','2021-07-24 15:17:17','2021-07-24 15:35:55',null);
INSERT INTO complaint_statuses VALUES('26076','8238','2',null,'81',null,null,'73','73','2021-07-24 15:28:02','2021-07-24 15:28:02',null);
INSERT INTO complaint_statuses VALUES('26077','8238','4',null,'58',null,null,'81','81','2021-07-24 15:28:36','2021-07-24 15:28:36',null);
INSERT INTO complaint_statuses VALUES('26078','8239','2',null,'81',null,'NUMBER#03335132607
OTHER#+92-3092244039','73','73','2021-07-24 15:39:03','2021-07-25 11:41:34',null);
INSERT INTO complaint_statuses VALUES('26079','8239','4',null,'58',null,null,'81','81','2021-07-24 15:41:08','2021-07-24 15:41:08',null);
INSERT INTO complaint_statuses VALUES('26080','5902','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-24 15:43:45','2021-07-24 15:43:45',null);
INSERT INTO complaint_statuses VALUES('26081','7515','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 15:48:05','2021-07-24 15:48:05',null);
INSERT INTO complaint_statuses VALUES('26082','6349','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-24 15:52:27','2021-07-24 15:52:27',null);
INSERT INTO complaint_statuses VALUES('26083','6290','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-24 15:54:27','2021-07-24 15:54:27',null);
INSERT INTO complaint_statuses VALUES('26084','6111','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-24 15:56:58','2021-07-24 15:56:58',null);
INSERT INTO complaint_statuses VALUES('26085','6795','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 16:17:29','2021-07-24 16:17:29',null);
INSERT INTO complaint_statuses VALUES('26086','7518','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 16:35:29','2021-07-24 16:35:29',null);
INSERT INTO complaint_statuses VALUES('26087','8240','3',null,'85',null,'24-JUL-2021
COMPLAINT#301148932','92','73','2021-07-24 16:38:19','2021-07-24 16:46:13',null);
INSERT INTO complaint_statuses VALUES('26088','8241','3',null,'52',null,'24-JUL-2021
COMPLAINT#PKRI210724111756','73','73','2021-07-24 16:45:41','2021-07-24 16:52:11',null);
INSERT INTO complaint_statuses VALUES('26089','7686','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','92','92','2021-07-24 16:49:17','2021-07-24 16:53:55',null);
INSERT INTO complaint_statuses VALUES('26090','8242','3',null,'52',null,'24-JUL-2021
COMPLAINT#PKRI210724112016','73','73','2021-07-24 17:04:28','2021-07-24 17:04:28',null);
INSERT INTO complaint_statuses VALUES('26091','7939','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-24 17:08:55','2021-07-24 17:08:55',null);
INSERT INTO complaint_statuses VALUES('26092','8243','2',null,'81',null,null,'73','73','2021-07-24 17:28:00','2021-07-24 17:28:00',null);
INSERT INTO complaint_statuses VALUES('26093','8243','4',null,'55',null,null,'81','81','2021-07-24 17:28:23','2021-07-24 17:28:23',null);
INSERT INTO complaint_statuses VALUES('26094','8244','2',null,'81',null,null,'73','73','2021-07-24 17:55:43','2021-07-24 17:55:43',null);
INSERT INTO complaint_statuses VALUES('26095','8244','4',null,'62',null,null,'81','81','2021-07-24 17:56:28','2021-07-24 17:56:28',null);
INSERT INTO complaint_statuses VALUES('26096','8245','3',null,'65',null,'25-JUL-2021
COMPLAINT#192126329','73','73','2021-07-25 10:41:14','2021-07-25 11:10:14',null);
INSERT INTO complaint_statuses VALUES('26097','8246','3',null,'55',null,'25-JUL-2021
COMPLAINT#RWP-22293','73','73','2021-07-25 10:44:10','2021-07-25 11:17:19',null);
INSERT INTO complaint_statuses VALUES('26098','8247','2',null,'81',null,null,'73','73','2021-07-25 10:47:56','2021-07-25 10:47:56',null);
INSERT INTO complaint_statuses VALUES('26099','8247','4',null,'58',null,null,'81','81','2021-07-25 10:48:25','2021-07-25 10:48:25',null);
INSERT INTO complaint_statuses VALUES('26100','8248','3',null,'54',null,'25-JUL-2021
COMPLAINT#1943883','73','73','2021-07-25 10:50:14','2021-07-25 11:13:32',null);
INSERT INTO complaint_statuses VALUES('26101','8249','2',null,'81',null,null,'73','73','2021-07-25 10:55:53','2021-07-25 10:55:53',null);
INSERT INTO complaint_statuses VALUES('26102','8249','4',null,'58',null,null,'81','81','2021-07-25 10:56:19','2021-07-25 10:56:19',null);
INSERT INTO complaint_statuses VALUES('26103','8151','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 11:02:26','2021-07-25 11:02:26',null);
INSERT INTO complaint_statuses VALUES('26104','8250','2',null,'81',null,null,'73','73','2021-07-25 11:23:12','2021-07-25 11:23:12',null);
INSERT INTO complaint_statuses VALUES('26105','8250','4',null,'58',null,null,'81','81','2021-07-25 11:23:40','2021-07-25 11:23:40',null);
INSERT INTO complaint_statuses VALUES('26106','8232','7','12','81','socket  issue complaint resolved',null,'79','79','2021-07-25 11:24:18','2021-07-25 11:24:18',null);
INSERT INTO complaint_statuses VALUES('26107','8251','2',null,'81',null,null,'73','73','2021-07-25 11:35:11','2021-07-25 11:35:11',null);
INSERT INTO complaint_statuses VALUES('26108','8118','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 11:35:33','2021-07-25 11:35:33',null);
INSERT INTO complaint_statuses VALUES('26109','8251','4',null,'55',null,null,'81','81','2021-07-25 11:35:41','2021-07-25 11:35:41',null);
INSERT INTO complaint_statuses VALUES('26110','8134','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 11:37:00','2021-07-25 11:37:00',null);
INSERT INTO complaint_statuses VALUES('26111','8252','2',null,'81',null,'25-JULY-2021
COM FF TO BEST COOL','92','92','2021-07-25 11:41:47','2021-07-25 11:41:47',null);
INSERT INTO complaint_statuses VALUES('26112','8253','2',null,'81',null,null,'73','73','2021-07-25 11:55:43','2021-07-25 11:55:43',null);
INSERT INTO complaint_statuses VALUES('26113','8252','4',null,'58',null,null,'81','81','2021-07-25 11:56:08','2021-07-25 11:56:08',null);
INSERT INTO complaint_statuses VALUES('26114','8253','4',null,'63',null,null,'81','81','2021-07-25 11:56:17','2021-07-25 11:56:17',null);
INSERT INTO complaint_statuses VALUES('26115','8254','3',null,'90',null,'25-JUL-2021
COMPLAINT#202107017569
REOPEN COM NO 202108002815','73','92','2021-07-25 12:00:20','2021-08-04 18:09:53',null);
INSERT INTO complaint_statuses VALUES('26116','8232','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-25 12:02:08','2021-07-25 12:02:39',null);
INSERT INTO complaint_statuses VALUES('26117','8255','3',null,'52',null,'25-JUL-2021
COMPLAINT#PKRI210725105710','73','73','2021-07-25 12:07:35','2021-07-25 15:00:20',null);
INSERT INTO complaint_statuses VALUES('26118','8258','3',null,'53',null,'25-JUL-2021
COMPLAINT#301159053','73','73','2021-07-25 12:17:48','2021-07-25 15:55:46',null);
INSERT INTO complaint_statuses VALUES('26119','8257','2',null,'81',null,null,'73','73','2021-07-25 12:20:48','2021-07-25 12:20:48',null);
INSERT INTO complaint_statuses VALUES('26120','8256','2',null,'81',null,null,'73','73','2021-07-25 12:20:55','2021-07-25 12:20:55',null);
INSERT INTO complaint_statuses VALUES('26121','8257','4',null,'56',null,null,'81','81','2021-07-25 12:21:18','2021-07-25 12:21:18',null);
INSERT INTO complaint_statuses VALUES('26122','8256','4',null,'62',null,null,'81','81','2021-07-25 12:21:28','2021-07-25 12:21:28',null);
INSERT INTO complaint_statuses VALUES('26123','8259','3',null,'81',null,'26-jul-2021
complaint#987','73','73','2021-07-25 12:23:16','2021-07-26 10:16:09',null);
INSERT INTO complaint_statuses VALUES('26124','8115','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 12:28:39','2021-07-25 12:28:39',null);
INSERT INTO complaint_statuses VALUES('26125','8114','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 12:33:13','2021-07-25 12:33:13',null);
INSERT INTO complaint_statuses VALUES('26126','8113','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 12:35:28','2021-07-25 12:35:28',null);
INSERT INTO complaint_statuses VALUES('26127','8260','2',null,'81',null,null,'73','73','2021-07-25 12:35:47','2021-07-25 12:35:47',null);
INSERT INTO complaint_statuses VALUES('26128','8260','4',null,'62',null,null,'81','81','2021-07-25 12:36:10','2021-07-25 12:36:10',null);
INSERT INTO complaint_statuses VALUES('26129','8129','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 12:40:06','2021-07-25 12:40:06',null);
INSERT INTO complaint_statuses VALUES('26130','8104','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 13:00:19','2021-07-25 13:00:19',null);
INSERT INTO complaint_statuses VALUES('26131','8098','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 13:02:41','2021-07-25 13:02:41',null);
INSERT INTO complaint_statuses VALUES('26132','8261','3',null,'52',null,'25-JUL-2021
COMPLAINT#PKRI210725105804','73','73','2021-07-25 13:04:48','2021-07-25 15:04:08',null);
INSERT INTO complaint_statuses VALUES('26133','8262','3',null,'85',null,'25-JUL-2021
COMPLAINT#301159054','73','73','2021-07-25 13:10:43','2021-07-25 15:56:04',null);
INSERT INTO complaint_statuses VALUES('26134','8263','3',null,'52',null,'25-JUL-2021
COMPLAINT#PKRI210725105846','73','73','2021-07-25 13:26:21','2021-07-25 15:06:48',null);
INSERT INTO complaint_statuses VALUES('26135','8264','3',null,'55',null,'25-JUL-2021
COMPLAINT#22296','73','73','2021-07-25 13:31:35','2021-07-25 16:00:24',null);
INSERT INTO complaint_statuses VALUES('26136','8265','3',null,'85',null,'25-JUL-2021
COMPLAINT#301159055','73','73','2021-07-25 13:34:57','2021-07-25 15:56:22',null);
INSERT INTO complaint_statuses VALUES('26137','8266','3',null,'52',null,'24-JUL-2021
COMPLAINT#PKRI210724109594','73','73','2021-07-25 13:41:04','2021-07-25 13:48:10',null);
INSERT INTO complaint_statuses VALUES('26138','8267','2',null,'81',null,null,'73','73','2021-07-25 13:43:53','2021-07-25 13:43:53',null);
INSERT INTO complaint_statuses VALUES('26139','8267','4',null,'60',null,null,'81','81','2021-07-25 13:44:17','2021-07-25 13:44:17',null);
INSERT INTO complaint_statuses VALUES('26140','8268','3',null,'53',null,'25-JUL-2021
COMPLAINT#301159062','73','73','2021-07-25 13:47:03','2021-07-25 16:10:19',null);
INSERT INTO complaint_statuses VALUES('26141','7951','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 13:52:07','2021-07-25 13:52:07',null);
INSERT INTO complaint_statuses VALUES('26142','7871','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 13:59:03','2021-07-25 13:59:03',null);
INSERT INTO complaint_statuses VALUES('26143','8269','2',null,'81',null,'COMPLAINT#192126333','73','73','2021-07-25 14:05:15','2021-07-25 14:43:35',null);
INSERT INTO complaint_statuses VALUES('26144','8269','4',null,'60',null,null,'81','81','2021-07-25 14:06:03','2021-07-25 14:06:03',null);
INSERT INTO complaint_statuses VALUES('26145','7810','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 14:11:29','2021-07-25 14:11:29',null);
INSERT INTO complaint_statuses VALUES('26146','8270','2',null,'81',null,null,'73','73','2021-07-25 14:11:48','2021-07-25 14:11:48',null);
INSERT INTO complaint_statuses VALUES('26147','8270','4',null,'58',null,null,'81','81','2021-07-25 14:12:34','2021-07-25 14:12:34',null);
INSERT INTO complaint_statuses VALUES('26148','8073','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 14:19:31','2021-07-25 14:19:31',null);
INSERT INTO complaint_statuses VALUES('26149','8271','2',null,'81',null,null,'73','73','2021-07-25 14:40:21','2021-07-25 14:40:21',null);
INSERT INTO complaint_statuses VALUES('26150','8271','4',null,'55',null,null,'81','81','2021-07-25 14:40:51','2021-07-25 14:40:51',null);
INSERT INTO complaint_statuses VALUES('26151','7651','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 14:41:12','2021-07-25 14:41:12',null);
INSERT INTO complaint_statuses VALUES('26152','7644','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 14:47:26','2021-07-25 14:47:26',null);
INSERT INTO complaint_statuses VALUES('26153','8272','3',null,'52',null,'25-JUL-2021
COMPLAINT#PKRI210725105912','73','73','2021-07-25 15:11:57','2021-07-25 15:11:57',null);
INSERT INTO complaint_statuses VALUES('26154','7550','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 15:12:24','2021-07-25 15:12:24',null);
INSERT INTO complaint_statuses VALUES('26155','8273','3',null,'53',null,'25-JUL-2021
COMPLAINT#301159064','73','73','2021-07-25 15:18:02','2021-07-25 16:12:39',null);
INSERT INTO complaint_statuses VALUES('26156','7513','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 15:21:17','2021-07-25 15:21:17',null);
INSERT INTO complaint_statuses VALUES('26157','8274','3',null,'52',null,'25-JUL-2021
COMPLAINT#PKRI21072510114','73','73','2021-07-25 15:29:22','2021-07-25 16:22:07',null);
INSERT INTO complaint_statuses VALUES('26158','8275','3',null,'53',null,'25-JUL-2021
COMPLAINT#301159066','73','73','2021-07-25 15:33:27','2021-07-25 16:13:20',null);
INSERT INTO complaint_statuses VALUES('26159','8276','3',null,'55',null,'25-JUL-2021
COMPLAINT#ISB-13485
REOPEN COM NO 811453','73','92','2021-07-25 15:35:47','2021-07-29 17:13:00',null);
INSERT INTO complaint_statuses VALUES('26160','7507','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 15:48:57','2021-07-25 15:48:57',null);
INSERT INTO complaint_statuses VALUES('26161','7494','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 15:53:57','2021-07-25 15:53:57',null);
INSERT INTO complaint_statuses VALUES('26162','8277','3',null,'65',null,'25-JULY-2021
COM NO 192126337','92','92','2021-07-25 15:56:26','2021-07-25 16:00:24',null);
INSERT INTO complaint_statuses VALUES('26163','7462','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 16:04:03','2021-07-25 16:04:03',null);
INSERT INTO complaint_statuses VALUES('26164','7447','5',null,null,'COMPLIANT COMPLETED',null,'92','92','2021-07-25 16:08:44','2021-07-25 16:08:44',null);
INSERT INTO complaint_statuses VALUES('26165','7439','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 16:11:26','2021-07-25 16:11:26',null);
INSERT INTO complaint_statuses VALUES('26166','7345','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 16:21:36','2021-07-25 16:21:36',null);
INSERT INTO complaint_statuses VALUES('26167','7303','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 16:29:01','2021-07-25 16:29:01',null);
INSERT INTO complaint_statuses VALUES('26168','7264','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 16:38:54','2021-07-25 16:38:54',null);
INSERT INTO complaint_statuses VALUES('26169','7224','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-25 16:46:17','2021-07-25 16:46:17',null);
INSERT INTO complaint_statuses VALUES('26170','8278','3',null,'57',null,'25-JULY-2021
COM NO 20455','92','92','2021-07-25 16:48:47','2021-07-27 15:04:52',null);
INSERT INTO complaint_statuses VALUES('26171','8279','2',null,'81',null,null,'73','73','2021-07-25 17:15:29','2021-07-25 17:15:29',null);
INSERT INTO complaint_statuses VALUES('26172','8279','4',null,'58',null,null,'81','81','2021-07-25 17:16:14','2021-07-25 17:16:14',null);
INSERT INTO complaint_statuses VALUES('26173','8189','7','26','81','Khurram sb se confirm kr k Usman ko frwd ko krein plz',null,'87','87','2021-07-25 18:04:25','2021-07-25 18:04:25',null);
INSERT INTO complaint_statuses VALUES('26174','8227','7','12','81','CUSOTEMR BOL REHY HAIN K MACHINE THEEK KAM KR RAHI HAI',null,'79','79','2021-07-25 20:36:08','2021-07-25 20:36:08',null);
INSERT INTO complaint_statuses VALUES('26175','8239','7','12','81','03092244039 is no pr call ki ye bol rehy humri koi complaint nahi hai,oo dosra attend hi nahi krty',null,'79','79','2021-07-26 10:12:13','2021-07-26 10:12:13',null);
INSERT INTO complaint_statuses VALUES('26176','8280','3',null,'52',null,'26-JUL-2021
COMPLAINT#PKRI210726103370','73','73','2021-07-26 10:19:58','2021-07-26 10:54:50',null);
INSERT INTO complaint_statuses VALUES('26177','8281','3',null,'67',null,'26-JUL-2021
FRWRD TO MUNAWWAR VARIOLINE','73','73','2021-07-26 10:24:23','2021-07-26 10:24:23',null);
INSERT INTO complaint_statuses VALUES('26178','8282','3',null,'52',null,'26-JUL-2021
COMPLAINT#PKRI210726103786','73','73','2021-07-26 10:27:21','2021-07-26 11:06:18',null);
INSERT INTO complaint_statuses VALUES('26179','8283','3',null,'54',null,'26-JUL-2021
COMPLAINT#1944680','73','73','2021-07-26 10:32:24','2021-07-26 10:48:45',null);
INSERT INTO complaint_statuses VALUES('26180','8284','2',null,'81',null,null,'73','73','2021-07-26 10:41:47','2021-07-26 10:41:47',null);
INSERT INTO complaint_statuses VALUES('26181','8284','4',null,'62',null,null,'81','81','2021-07-26 10:42:03','2021-07-26 10:42:03',null);
INSERT INTO complaint_statuses VALUES('26182','8285','3',null,'52',null,'26-JUL-2021
COMPLAINT#PKRI210726103861','73','73','2021-07-26 10:44:30','2021-07-26 11:09:23',null);
INSERT INTO complaint_statuses VALUES('26183','8286','3',null,'97',null,'25-july-2021
COMPLAINT#202107018053','92','92','2021-07-26 10:45:24','2021-07-26 11:47:34',null);
INSERT INTO complaint_statuses VALUES('26184','8287','3',null,'52',null,'26-JUL-2021
COMPLAINT#PKRI210726103922','73','73','2021-07-26 10:56:41','2021-07-26 11:10:48',null);
INSERT INTO complaint_statuses VALUES('26185','8288','2',null,'81',null,null,'73','73','2021-07-26 11:01:05','2021-07-26 11:01:05',null);
INSERT INTO complaint_statuses VALUES('26186','8288','4',null,'63',null,null,'81','81','2021-07-26 11:03:28','2021-07-26 11:03:28',null);
INSERT INTO complaint_statuses VALUES('26187','8289','2',null,'81',null,null,'73','73','2021-07-26 11:16:35','2021-07-26 11:16:35',null);
INSERT INTO complaint_statuses VALUES('26188','8289','4',null,'55',null,null,'81','81','2021-07-26 11:17:02','2021-07-26 11:17:02',null);
INSERT INTO complaint_statuses VALUES('26189','8290','2',null,'81',null,null,'73','73','2021-07-26 11:22:58','2021-07-26 11:22:58',null);
INSERT INTO complaint_statuses VALUES('26190','8290','4',null,'60',null,null,'81','81','2021-07-26 11:23:38','2021-07-26 11:23:38',null);
INSERT INTO complaint_statuses VALUES('26191','8239','5','15',null,'CUSTOMER NOT ATTEND MY CALL CLOSED COMPLAINT','COMPLAINT CLOSED','81','74','2021-07-26 11:28:35','2021-07-26 11:52:45',null);
INSERT INTO complaint_statuses VALUES('26192','8227','5','15',null,'CUSTOMER KA ISSUE KHUD SA HI RESOLVED HO GAYA COMPLAINT CLOSED','COMPLAINTT CLOSED','81','74','2021-07-26 11:30:06','2021-07-26 11:53:53',null);
INSERT INTO complaint_statuses VALUES('26193','8291','2',null,'81',null,null,'73','73','2021-07-26 11:34:03','2021-07-26 11:34:03',null);
INSERT INTO complaint_statuses VALUES('26194','8291','4',null,'63',null,null,'81','81','2021-07-26 11:34:45','2021-07-26 11:34:45',null);
INSERT INTO complaint_statuses VALUES('26195','8051','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-26 11:39:19','2021-07-26 11:39:19',null);
INSERT INTO complaint_statuses VALUES('26196','8293','3',null,'52',null,'26-JULY-2021
COM#PKRI210726113335
02ND COM NO                 PKRI-210729110415','73','92','2021-07-26 11:41:02','2021-07-29 15:30:32',null);
INSERT INTO complaint_statuses VALUES('26197','6691','7','12','81','COMPLAINT CLOSED',null,'91','91','2021-07-26 11:41:06','2021-07-26 11:41:06',null);
INSERT INTO complaint_statuses VALUES('26198','8292','2',null,'81',null,null,'73','73','2021-07-26 11:41:59','2021-07-26 11:41:59',null);
INSERT INTO complaint_statuses VALUES('26199','8292','4',null,'62',null,null,'81','81','2021-07-26 11:42:31','2021-07-26 11:42:31',null);
INSERT INTO complaint_statuses VALUES('26200','8294','3',null,'52',null,'26-JULY-2021
COM#PKRI210726113614','73','74','2021-07-26 11:48:29','2021-07-26 16:12:46',null);
INSERT INTO complaint_statuses VALUES('26201','8000','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-26 11:49:01','2021-07-26 11:49:01',null);
INSERT INTO complaint_statuses VALUES('26202','6656','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-26 11:49:20','2021-07-26 11:49:20',null);
INSERT INTO complaint_statuses VALUES('26203','6691','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-26 11:52:10','2021-07-26 11:55:00',null);
INSERT INTO complaint_statuses VALUES('26204','8295','3',null,'85',null,'26-JULY-2021
COMPLAINT#301159522','73','74','2021-07-26 11:58:56','2021-07-26 14:02:00',null);
INSERT INTO complaint_statuses VALUES('26205','8296','3',null,'55',null,'26-JUL-2021
COMPLAINT#808372','73','73','2021-07-26 12:01:27','2021-07-26 13:53:42',null);
INSERT INTO complaint_statuses VALUES('26206','8033','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-26 12:01:27','2021-07-26 12:01:27',null);
INSERT INTO complaint_statuses VALUES('26207','8297','3',null,'65',null,'26-JUL-2021
COMPLAINT#192126398','73','73','2021-07-26 12:01:48','2021-07-26 13:40:11',null);
INSERT INTO complaint_statuses VALUES('26208','8298','3',null,'52',null,'26-JULY-2021
COMPLAINT#PKRI210726113890','73','74','2021-07-26 12:02:14','2021-07-26 16:20:27',null);
INSERT INTO complaint_statuses VALUES('26209','8299','3',null,'54',null,'26-JUL-2021
COMPLAINT#1945133','73','73','2021-07-26 12:14:07','2021-07-26 14:03:39',null);
INSERT INTO complaint_statuses VALUES('26210','8203','7','10','81',null,null,'82','82','2021-07-26 12:16:50','2021-07-26 12:16:50',null);
INSERT INTO complaint_statuses VALUES('26211','8092','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-26 12:23:07','2021-07-26 12:23:07',null);
INSERT INTO complaint_statuses VALUES('26212','8300','3',null,'54',null,'26-JUL-2021
COMPLAINT#1945139','73','73','2021-07-26 12:24:00','2021-07-26 14:06:27',null);
INSERT INTO complaint_statuses VALUES('26213','7067','7','12','81','Frezercustmer ky ghar phonch gea tha eid sy phly',null,'82','82','2021-07-26 12:27:50','2021-07-26 12:27:50',null);
INSERT INTO complaint_statuses VALUES('26214','8101','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-26 12:29:15','2021-07-26 12:29:15',null);
INSERT INTO complaint_statuses VALUES('26215','7187','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-26 12:35:33','2021-07-26 12:35:33',null);
INSERT INTO complaint_statuses VALUES('26216','8301','2',null,'81',null,null,'73','73','2021-07-26 12:39:38','2021-07-26 12:39:38',null);
INSERT INTO complaint_statuses VALUES('26217','8301','4',null,'58',null,null,'81','81','2021-07-26 12:39:59','2021-07-26 12:39:59',null);
INSERT INTO complaint_statuses VALUES('26218','8302','3',null,'85',null,'26-JULY-2021
COMPLAINT#301159517','73','74','2021-07-26 12:44:11','2021-07-26 13:59:23',null);
INSERT INTO complaint_statuses VALUES('26219','8303','2',null,'81',null,'26-JULY-2021
COM FF TO BEST COOL','92','73','2021-07-26 12:46:41','2021-07-26 13:00:07',null);
INSERT INTO complaint_statuses VALUES('26220','7182','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-26 12:52:40','2021-07-26 12:52:40',null);
INSERT INTO complaint_statuses VALUES('26221','8203','8','23','60','AGAIN TRY',null,'81','81','2021-07-26 12:52:53','2021-07-26 12:52:53',null);
INSERT INTO complaint_statuses VALUES('26222','8304','2',null,'81',null,null,'73','73','2021-07-26 12:53:28','2021-07-26 12:53:28',null);
INSERT INTO complaint_statuses VALUES('26223','8304','4',null,'58',null,null,'81','81','2021-07-26 12:53:50','2021-07-26 12:53:50',null);
INSERT INTO complaint_statuses VALUES('26224','7215','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-26 12:55:34','2021-07-26 12:55:34',null);
INSERT INTO complaint_statuses VALUES('26225','8305','3',null,'52',null,'26-JULY-2021
COMP#PKRI210726114007','73','74','2021-07-26 12:58:30','2021-07-26 16:25:15',null);
INSERT INTO complaint_statuses VALUES('26226','8303','4',null,'58',null,null,'81','81','2021-07-26 13:00:32','2021-07-26 13:00:32',null);
INSERT INTO complaint_statuses VALUES('26227','5740','7','12','81','COMPLAINT COMPLETED',null,'91','91','2021-07-26 13:04:12','2021-07-26 13:04:12',null);
INSERT INTO complaint_statuses VALUES('26228','5842','7','12','81','COMPLAINT COMPLETED',null,'91','91','2021-07-26 13:05:01','2021-07-26 13:05:01',null);
INSERT INTO complaint_statuses VALUES('26229','8306','2',null,'81',null,null,'73','73','2021-07-26 13:07:04','2021-07-26 13:07:04',null);
INSERT INTO complaint_statuses VALUES('26230','8306','4',null,'60',null,null,'81','81','2021-07-26 13:07:33','2021-07-26 13:07:33',null);
INSERT INTO complaint_statuses VALUES('26231','5842','5','15',null,'COMPLETED COMPLAINT','COMPLAINT  RESOLVED','81','74','2021-07-26 13:08:58','2021-07-26 13:16:15',null);
INSERT INTO complaint_statuses VALUES('26232','8307','2',null,'81',null,null,'73','73','2021-07-26 13:09:36','2021-07-26 13:09:36',null);
INSERT INTO complaint_statuses VALUES('26233','5740','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-07-26 13:09:58','2021-07-26 13:17:15',null);
INSERT INTO complaint_statuses VALUES('26234','8307','4',null,'58',null,'COMPLAINT RESOLVED','81','74','2021-07-26 13:11:51','2021-07-29 17:31:58',null);
INSERT INTO complaint_statuses VALUES('26235','7067','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-26 13:12:14','2021-07-26 13:14:44',null);
INSERT INTO complaint_statuses VALUES('26236','8308','3',null,'52',null,'26-JULY-2021
COMPLAINT#PKRI210726114090','73','74','2021-07-26 13:16:06','2021-07-26 16:28:04',null);
INSERT INTO complaint_statuses VALUES('26237','6759','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-26 13:19:25','2021-07-26 13:19:25',null);
INSERT INTO complaint_statuses VALUES('26238','6625','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-26 13:23:45','2021-07-26 13:23:45',null);
INSERT INTO complaint_statuses VALUES('26239','8309','3',null,'81',null,'26-JULY-2021
COMPLAINT#995','73','74','2021-07-26 13:31:12','2021-07-26 15:47:56',null);
INSERT INTO complaint_statuses VALUES('26240','8310','3',null,'53',null,'26-JULY-2021
COM NO#301159511','92','74','2021-07-26 13:48:14','2021-07-26 13:55:31',null);
INSERT INTO complaint_statuses VALUES('26241','8311','3',null,'52',null,'22-JULY-2021
COMPLAINT#PKRI210722103772','73','73','2021-07-26 13:49:57','2021-07-26 17:53:11',null);
INSERT INTO complaint_statuses VALUES('26242','8312','2',null,'81',null,null,'73','73','2021-07-26 13:51:23','2021-07-26 13:51:23',null);
INSERT INTO complaint_statuses VALUES('26243','8312','4',null,'62',null,null,'81','81','2021-07-26 13:51:47','2021-07-26 13:51:47',null);
INSERT INTO complaint_statuses VALUES('26244','8249','7','12','81','inlet pipe issue complait reoslved',null,'79','79','2021-07-26 13:53:27','2021-07-26 13:53:27',null);
INSERT INTO complaint_statuses VALUES('26245','8279','7','12','81','compliant resolved,child lock issue tha',null,'79','79','2021-07-26 13:55:37','2021-07-26 13:55:37',null);
INSERT INTO complaint_statuses VALUES('26246','8313','3',null,'61',null,'26-JULY-2021
COMPLAINT#202107018573','73','74','2021-07-26 14:04:54','2021-07-26 15:01:01',null);
INSERT INTO complaint_statuses VALUES('26247','7961','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-26 14:05:02','2021-07-26 14:05:02',null);
INSERT INTO complaint_statuses VALUES('26248','8314','3',null,'81',null,'26-JULY-2021
COMPLAINT#996','73','74','2021-07-26 14:13:22','2021-07-26 15:49:31',null);
INSERT INTO complaint_statuses VALUES('26249','8315','2',null,'81',null,null,'73','73','2021-07-26 14:19:05','2021-07-26 14:19:05',null);
INSERT INTO complaint_statuses VALUES('26250','8315','4',null,'55',null,null,'81','81','2021-07-26 14:20:27','2021-07-26 14:20:27',null);
INSERT INTO complaint_statuses VALUES('26251','8316','3',null,'65',null,'26-JULY-2021
COMPLAINT#192126411','73','74','2021-07-26 14:23:48','2021-07-26 15:12:55',null);
INSERT INTO complaint_statuses VALUES('26252','8317','3',null,'52',null,'26-JULY-2021
COMPLAINT#PKRI210726115749','73','74','2021-07-26 14:26:12','2021-07-26 17:27:44',null);
INSERT INTO complaint_statuses VALUES('26253','8318','3',null,'65',null,'26-JULY-2021
COMPLAINT#192126410','73','74','2021-07-26 14:31:06','2021-07-26 15:10:47',null);
INSERT INTO complaint_statuses VALUES('26254','8319','3',null,'65',null,'26-JULY-2021
COMPLAINT#192126409','73','74','2021-07-26 14:35:25','2021-07-26 15:08:20',null);
INSERT INTO complaint_statuses VALUES('26255','8279','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-26 14:37:44','2021-07-26 14:41:15',null);
INSERT INTO complaint_statuses VALUES('26256','8249','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-26 14:40:34','2021-07-26 14:57:36',null);
INSERT INTO complaint_statuses VALUES('26257','7124','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-26 14:44:29','2021-07-26 14:44:29',null);
INSERT INTO complaint_statuses VALUES('26258','7119','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-26 14:46:40','2021-07-26 14:46:40',null);
INSERT INTO complaint_statuses VALUES('26259','8320','3',null,'54',null,'26-JULY-2021
COMPLAINT#1945405','73','74','2021-07-26 14:47:24','2021-07-26 15:22:47',null);
INSERT INTO complaint_statuses VALUES('26260','7080','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-26 14:48:35','2021-07-26 14:48:35',null);
INSERT INTO complaint_statuses VALUES('26261','8187','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-26 14:54:09','2021-07-26 14:54:09',null);
INSERT INTO complaint_statuses VALUES('26262','8321','3',null,'74',null,'26-JUL-2021(MAM)
COMPLAINT#177','73','73','2021-07-26 14:55:29','2021-07-26 15:52:42',null);
INSERT INTO complaint_statuses VALUES('26263','8179','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-26 14:55:51','2021-07-26 14:55:51',null);
INSERT INTO complaint_statuses VALUES('26264','8322','3',null,'53',null,'26-JULY-2021
COMPLAINT#301159672','73','74','2021-07-26 14:57:40','2021-07-26 15:37:40',null);
INSERT INTO complaint_statuses VALUES('26265','8220','7','12','81','ice  zayda thi customer  clean kr ky check kry gain agr dubara koi issue hot aai tu bat adein gain',null,'79','79','2021-07-26 15:00:21','2021-07-26 15:00:21',null);
INSERT INTO complaint_statuses VALUES('26266','8172','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-26 15:01:12','2021-07-26 15:01:12',null);
INSERT INTO complaint_statuses VALUES('26267','8168','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-26 15:03:10','2021-07-26 15:03:10',null);
INSERT INTO complaint_statuses VALUES('26268','8323','3',null,'54',null,'26-JULY-2021
COMPLAINT#1945414','73','74','2021-07-26 15:04:57','2021-07-26 15:25:09',null);
INSERT INTO complaint_statuses VALUES('26269','8324','3',null,'55',null,'26-JULY-2021
COMPLAINT#808616','73','74','2021-07-26 15:07:32','2021-07-26 15:44:14',null);
INSERT INTO complaint_statuses VALUES('26270','8165','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-26 15:07:36','2021-07-26 15:07:36',null);
INSERT INTO complaint_statuses VALUES('26271','8161','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-26 15:11:06','2021-07-26 15:11:06',null);
INSERT INTO complaint_statuses VALUES('26272','8325','3',null,'54',null,'26-JULY-2021
COMPLAINT#1945420','73','74','2021-07-26 15:11:26','2021-07-26 15:27:11',null);
INSERT INTO complaint_statuses VALUES('26273','8326','2',null,'81',null,null,'73','73','2021-07-26 15:15:10','2021-07-26 15:15:10',null);
INSERT INTO complaint_statuses VALUES('26274','8326','4',null,'63',null,null,'81','81','2021-07-26 15:16:12','2021-07-26 15:16:12',null);
INSERT INTO complaint_statuses VALUES('26275','5524','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-26 15:21:15','2021-07-26 15:21:15',null);
INSERT INTO complaint_statuses VALUES('26276','8105','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-26 15:27:07','2021-07-26 15:27:07',null);
INSERT INTO complaint_statuses VALUES('26277','8086','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-26 15:33:22','2021-07-26 15:33:22',null);
INSERT INTO complaint_statuses VALUES('26278','7554','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-26 15:34:43','2021-07-26 15:34:43',null);
INSERT INTO complaint_statuses VALUES('26279','8327','2',null,'81',null,null,'73','73','2021-07-26 15:36:03','2021-07-26 15:36:03',null);
INSERT INTO complaint_statuses VALUES('26280','8327','4',null,'62',null,null,'81','81','2021-07-26 15:38:36','2021-07-26 15:38:36',null);
INSERT INTO complaint_statuses VALUES('26281','8328','3',null,'52',null,'26-JULU-2021
COMPLAINT#PKRI210726115818','73','74','2021-07-26 15:40:01','2021-07-26 17:30:03',null);
INSERT INTO complaint_statuses VALUES('26282','8329','2',null,'81',null,null,'73','73','2021-07-26 15:47:49','2021-07-26 15:47:49',null);
INSERT INTO complaint_statuses VALUES('26283','8329','4',null,'58',null,null,'81','81','2021-07-26 15:48:17','2021-07-26 15:48:17',null);
INSERT INTO complaint_statuses VALUES('26284','8330','3',null,'53',null,'26-JUL-2021
COMPLAINT#301159733','73','73','2021-07-26 16:00:36','2021-07-26 16:17:23',null);
INSERT INTO complaint_statuses VALUES('26285','7896','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-26 16:01:51','2021-07-26 16:01:51',null);
INSERT INTO complaint_statuses VALUES('26286','8331','3',null,'65',null,'26-JUL-2021
COMPLAINT#192126435','73','73','2021-07-26 16:04:12','2021-07-26 16:52:33',null);
INSERT INTO complaint_statuses VALUES('26287','8176','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-26 16:05:54','2021-07-26 16:05:54',null);
INSERT INTO complaint_statuses VALUES('26288','8332','3',null,'53',null,'26-JUL-2021
COMPLAINT#301159728','73','73','2021-07-26 16:06:56','2021-07-26 16:14:35',null);
INSERT INTO complaint_statuses VALUES('26289','8333','2',null,'81',null,null,'73','73','2021-07-26 16:20:39','2021-07-26 16:20:39',null);
INSERT INTO complaint_statuses VALUES('26290','8333','4',null,'58',null,null,'81','81','2021-07-26 16:21:05','2021-07-26 16:21:05',null);
INSERT INTO complaint_statuses VALUES('26291','8334','3',null,'57',null,'26-JUL-2021
COMPLAINT#20400','73','73','2021-07-26 16:26:25','2021-07-26 17:24:12',null);
INSERT INTO complaint_statuses VALUES('26292','8335','3',null,'54',null,'26-JUL-2021
COMPLAINT#1945745','73','73','2021-07-26 16:32:41','2021-07-26 17:06:59',null);
INSERT INTO complaint_statuses VALUES('26293','8336','3',null,'55',null,'26-JULY-2021
COM NO RWP-15567','73','92','2021-07-26 16:35:28','2021-07-26 16:54:14',null);
INSERT INTO complaint_statuses VALUES('26294','8337','3',null,'61',null,'26-JUL-2021
COMPLAINT#202107018854','73','73','2021-07-26 16:39:47','2021-07-26 17:19:22',null);
INSERT INTO complaint_statuses VALUES('26295','8338','3',null,'55',null,'26-JULY-2021
COM NO 808762','92','92','2021-07-26 16:48:06','2021-07-26 17:33:51',null);
INSERT INTO complaint_statuses VALUES('26296','8339','3',null,'53',null,'26-JUL-2021
COMPLAINT#301159779','73','73','2021-07-26 16:48:46','2021-07-26 16:58:28',null);
INSERT INTO complaint_statuses VALUES('26297','8340','3',null,'54',null,'26-JUL-2021
COMPLAINT#1945741','73','73','2021-07-26 17:00:53','2021-07-26 17:05:03',null);
INSERT INTO complaint_statuses VALUES('26298','8341','3',null,'65',null,'26-JULY-2021
COM#192126442','73','74','2021-07-26 17:12:26','2021-07-26 17:41:48',null);
INSERT INTO complaint_statuses VALUES('26299','8342','3',null,'53',null,'26-JUL-2021
COMPLAINT#301159812','73','73','2021-07-26 17:14:03','2021-07-26 17:38:55',null);
INSERT INTO complaint_statuses VALUES('26300','8343','3',null,'53',null,'26-JUL-2021
COMPLAINT#301159810','73','73','2021-07-26 17:25:37','2021-07-26 17:35:41',null);
INSERT INTO complaint_statuses VALUES('26301','7070','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-26 17:46:00','2021-07-26 17:46:00',null);
INSERT INTO complaint_statuses VALUES('26302','8344','3',null,'52',null,'16-JULY-2021
COMPLAINT#PKRI210726116291','73','74','2021-07-26 17:47:42','2021-07-26 17:51:27',null);
INSERT INTO complaint_statuses VALUES('26303','8345','3',null,'73',null,'27-JUL-2021
COMPLAINT#5188','73','73','2021-07-27 10:20:39','2021-07-27 14:15:08',null);
INSERT INTO complaint_statuses VALUES('26304','8346','2',null,'81',null,null,'73','73','2021-07-27 10:25:58','2021-07-27 10:25:58',null);
INSERT INTO complaint_statuses VALUES('26305','8346','4',null,'63',null,null,'81','81','2021-07-27 10:26:21','2021-07-27 10:26:21',null);
INSERT INTO complaint_statuses VALUES('26306','8136','7','12','81','issue reoslved',null,'79','79','2021-07-27 10:26:29','2021-07-27 10:26:29',null);
INSERT INTO complaint_statuses VALUES('26307','6351','7','12','81','hood ready hai custoemr call pick kr rahy',null,'79','79','2021-07-27 10:27:06','2021-07-27 10:27:06',null);
INSERT INTO complaint_statuses VALUES('26308','8347','2',null,'81',null,'27-july-2021
COM FF TO BEST COOL','92','92','2021-07-27 10:32:47','2021-07-27 10:32:47',null);
INSERT INTO complaint_statuses VALUES('26309','6708','7','12','81','custoemr ka no off  hai is complaint ko closed kr dein plz',null,'79','79','2021-07-27 10:35:10','2021-07-27 10:35:10',null);
INSERT INTO complaint_statuses VALUES('26310','7772','7','24','81','ye service center aye gi mgr abhi tk nahi aye',null,'79','79','2021-07-27 10:36:31','2021-07-27 10:36:31',null);
INSERT INTO complaint_statuses VALUES('26311','7417','7','12','81','gear box ka issue hai,service center ano thi kai br cusotmer ko bola mgr nahi laye',null,'79','79','2021-07-27 10:38:13','2021-07-27 10:38:13',null);
INSERT INTO complaint_statuses VALUES('26312','7852','7','12','81','customer ny apny technicain sy theek kerwa liya hai',null,'79','79','2021-07-27 10:42:22','2021-07-27 10:42:22',null);
INSERT INTO complaint_statuses VALUES('26313','8158','7','12','81','2 no off hai ek o sy call pick nahi kr rehy  mazher sb ko bhi bata dya tha ,or techn kal bhi try kerty rehy',null,'79','79','2021-07-27 10:43:38','2021-07-27 10:43:38',null);
INSERT INTO complaint_statuses VALUES('26314','8305','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-27 10:44:45','2021-07-27 10:44:45',null);
INSERT INTO complaint_statuses VALUES('26315','8348','3',null,'52',null,'27-JUL-2021
COMPLAINT#PKRI210727109816','73','73','2021-07-27 10:44:48','2021-07-27 14:31:45',null);
INSERT INTO complaint_statuses VALUES('26316','8349','3',null,'52',null,'27-JUL-2021
COMPLAINT#PKRI210727100001','73','73','2021-07-27 10:48:45','2021-07-27 14:34:30',null);
INSERT INTO complaint_statuses VALUES('26317','8350','3',null,'52',null,'27-JUL-2021
COMPLAINT#PKRI210727100124','73','73','2021-07-27 10:50:42','2021-07-27 14:36:25',null);
INSERT INTO complaint_statuses VALUES('26318','8351','2',null,'81',null,null,'73','73','2021-07-27 10:52:24','2021-07-27 10:52:24',null);
INSERT INTO complaint_statuses VALUES('26319','8351','4',null,'58',null,null,'81','81','2021-07-27 10:52:50','2021-07-27 10:52:50',null);
INSERT INTO complaint_statuses VALUES('26320','8347','4',null,'58',null,null,'81','81','2021-07-27 10:52:59','2021-07-27 10:52:59',null);
INSERT INTO complaint_statuses VALUES('26321','8193','5',null,null,'COMPALINT COMPLETED',null,'74','74','2021-07-27 10:53:05','2021-07-27 10:53:05',null);
INSERT INTO complaint_statuses VALUES('26322','8184','5',null,null,'COMPALINT COMPLETED',null,'74','74','2021-07-27 10:54:55','2021-07-27 10:54:55',null);
INSERT INTO complaint_statuses VALUES('26323','8352','3',null,'52',null,'27-JUL-2021
COMPLAINT#PKRI210727109679','73','73','2021-07-27 10:55:01','2021-07-27 14:28:19',null);
INSERT INTO complaint_statuses VALUES('26324','8353','3',null,'52',null,'27-JULY-2021
COMPLAINT#210727112042
REOPEN COM NO PKRI-210804106899','73','92','2021-07-27 10:58:23','2021-08-04 13:17:32',null);
INSERT INTO complaint_statuses VALUES('26325','8166','5',null,null,'COMPALINT COMPLETED',null,'74','74','2021-07-27 10:58:44','2021-07-27 10:58:44',null);
INSERT INTO complaint_statuses VALUES('26326','8354','3',null,'65',null,'26-JULY-2021
COMPLAINT#192126483','73','74','2021-07-27 11:00:04','2021-07-27 13:57:12',null);
INSERT INTO complaint_statuses VALUES('26327','8233','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-27 11:02:22','2021-07-27 11:02:22',null);
INSERT INTO complaint_statuses VALUES('26328','8355','3',null,'52',null,'27-JULY-2021
COMPLAINT#PKRI210727112101','73','74','2021-07-27 11:17:39','2021-07-27 15:42:12',null);
INSERT INTO complaint_statuses VALUES('26329','8201','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-27 11:28:28','2021-07-27 11:28:28',null);
INSERT INTO complaint_statuses VALUES('26330','8356','3',null,'52',null,'27-JULY-2021
COMPLAINT#PKRI210727112179','73','74','2021-07-27 11:33:43','2021-07-27 15:44:44',null);
INSERT INTO complaint_statuses VALUES('26331','8241','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-07-27 11:34:23','2021-07-27 11:34:23',null);
INSERT INTO complaint_statuses VALUES('26332','8242','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-27 11:37:13','2021-07-27 11:37:13',null);
INSERT INTO complaint_statuses VALUES('26333','8357','3',null,'52',null,'27-JULY-2021
COMPLAINT#PKRI210727112240','73','74','2021-07-27 11:37:21','2021-07-27 15:47:41',null);
INSERT INTO complaint_statuses VALUES('26334','8220','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-27 11:39:40','2021-07-27 12:11:19',null);
INSERT INTO complaint_statuses VALUES('26335','8358','2',null,'81',null,null,'73','73','2021-07-27 11:40:32','2021-07-27 11:40:32',null);
INSERT INTO complaint_statuses VALUES('26336','8358','4',null,'55',null,null,'81','81','2021-07-27 11:41:07','2021-07-27 11:41:07',null);
INSERT INTO complaint_statuses VALUES('26337','8158','5','15',null,'CUSTOMER 3NO NO SA CALL ATTEND NAI KAR RAHAY SO CLOSE THIS JOB','COMPLAINT CLOSED','81','74','2021-07-27 11:43:13','2021-07-27 12:14:48',null);
INSERT INTO complaint_statuses VALUES('26338','8359','3',null,'53',null,'24-JUL-2021
COMPLAINT#301158578','73','73','2021-07-27 11:44:32','2021-07-27 11:46:34',null);
INSERT INTO complaint_statuses VALUES('26339','8224','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-27 11:45:34','2021-07-27 11:45:34',null);
INSERT INTO complaint_statuses VALUES('26340','8360','2',null,'81',null,null,'73','73','2021-07-27 11:46:00','2021-07-27 11:46:00',null);
INSERT INTO complaint_statuses VALUES('26341','6824','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-27 11:47:27','2021-07-27 11:47:27',null);
INSERT INTO complaint_statuses VALUES('26342','8361','3',null,'65',null,'27-JULY-2021
COMPLAINT#192126484','73','73','2021-07-27 11:50:55','2021-08-02 12:46:34',null);
INSERT INTO complaint_statuses VALUES('26343','8219','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-27 11:51:13','2021-07-27 11:51:13',null);
INSERT INTO complaint_statuses VALUES('26344','7271','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-27 11:52:04','2021-07-27 11:52:04',null);
INSERT INTO complaint_statuses VALUES('26345','8136','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-07-27 11:55:35','2021-07-27 12:16:57',null);
INSERT INTO complaint_statuses VALUES('26346','8362','2',null,'81',null,null,'73','73','2021-07-27 11:56:06','2021-07-27 11:56:06',null);
INSERT INTO complaint_statuses VALUES('26347','8360','4',null,'55',null,null,'81','81','2021-07-27 11:56:23','2021-07-27 11:56:23',null);
INSERT INTO complaint_statuses VALUES('26348','8362','4',null,'55',null,null,'81','81','2021-07-27 11:56:37','2021-07-27 11:56:37',null);
INSERT INTO complaint_statuses VALUES('26349','6065','7','24','81','110000 panel price one lack 10 thousands',null,'80','80','2021-07-27 11:57:22','2021-07-27 11:57:22',null);
INSERT INTO complaint_statuses VALUES('26350','7852','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-07-27 11:59:40','2021-07-27 12:38:52',null);
INSERT INTO complaint_statuses VALUES('26351','8277','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-27 12:02:32','2021-07-27 12:02:32',null);
INSERT INTO complaint_statuses VALUES('26352','8363','3',null,'54',null,'27-JUL-2021
COMPLAINT#1947017','73','73','2021-07-27 12:04:00','2021-07-27 15:18:18',null);
INSERT INTO complaint_statuses VALUES('26353','8364','2',null,'81',null,null,'73','73','2021-07-27 12:09:54','2021-07-27 12:09:54',null);
INSERT INTO complaint_statuses VALUES('26354','8237','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-27 12:11:05','2021-07-27 12:11:05',null);
INSERT INTO complaint_statuses VALUES('26355','8364','4',null,'63',null,null,'81','81','2021-07-27 12:11:19','2021-07-27 12:11:19',null);
INSERT INTO complaint_statuses VALUES('26356','8365','3',null,'73',null,'27-JUL-2021
COMPLAINT#5189','73','73','2021-07-27 12:12:14','2021-07-27 14:16:31',null);
INSERT INTO complaint_statuses VALUES('26357','8366','3',null,'85',null,'27-JUL-2021
COMPLAINT#301160346','73','73','2021-07-27 12:17:10','2021-07-27 16:23:34',null);
INSERT INTO complaint_statuses VALUES('26358','5560','7','12','81','no action complet the job',null,'77','77','2021-07-27 12:18:12','2021-07-27 12:18:12',null);
INSERT INTO complaint_statuses VALUES('26359','5592','7','12','81','closed the job',null,'77','77','2021-07-27 12:18:44','2021-07-27 12:18:44',null);
INSERT INTO complaint_statuses VALUES('26360','8200','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-27 12:18:50','2021-07-27 12:18:50',null);
INSERT INTO complaint_statuses VALUES('26361','5795','7','12','81','closed the job',null,'77','77','2021-07-27 12:19:18','2021-07-27 12:19:18',null);
INSERT INTO complaint_statuses VALUES('26362','8214','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-27 12:19:36','2021-07-27 12:19:36',null);
INSERT INTO complaint_statuses VALUES('26363','5832','7','12','81','ok closed',null,'77','77','2021-07-27 12:19:39','2021-07-27 12:19:39',null);
INSERT INTO complaint_statuses VALUES('26364','6473','7','12','81','closed job ok',null,'77','77','2021-07-27 12:20:16','2021-07-27 12:20:16',null);
INSERT INTO complaint_statuses VALUES('26365','6638','7','12','81','closed',null,'77','77','2021-07-27 12:20:37','2021-07-27 12:20:37',null);
INSERT INTO complaint_statuses VALUES('26366','7320','7','12','81','closed job',null,'77','77','2021-07-27 12:21:19','2021-07-27 12:21:19',null);
INSERT INTO complaint_statuses VALUES('26367','8257','7','9','81','pls share customer detail and adress',null,'77','77','2021-07-27 12:22:21','2021-07-27 12:22:21',null);
INSERT INTO complaint_statuses VALUES('26368','6922','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-27 12:24:42','2021-07-27 12:24:42',null);
INSERT INTO complaint_statuses VALUES('26369','8367','3',null,'53',null,'27-JUL-2021
COMPLAINT#301160353','73','73','2021-07-27 12:25:05','2021-07-27 16:24:12',null);
INSERT INTO complaint_statuses VALUES('26370','8163','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-27 12:30:20','2021-07-27 12:30:20',null);
INSERT INTO complaint_statuses VALUES('26371','8085','7','12','81','Vist oky',null,'82','82','2021-07-27 12:31:23','2021-07-27 12:31:23',null);
INSERT INTO complaint_statuses VALUES('26372','8160','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-27 12:32:10','2021-07-27 12:32:10',null);
INSERT INTO complaint_statuses VALUES('26373','7535','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-27 12:33:44','2021-07-27 12:33:44',null);
INSERT INTO complaint_statuses VALUES('26374','8368','3',null,'52',null,'27-JUL-2021
COMPLAINT#PKRI210727109622','73','73','2021-07-27 12:35:33','2021-07-27 14:25:46',null);
INSERT INTO complaint_statuses VALUES('26375','8369','2',null,'81',null,null,'73','73','2021-07-27 12:38:57','2021-07-27 12:38:57',null);
INSERT INTO complaint_statuses VALUES('26376','8369','4',null,'58',null,null,'81','81','2021-07-27 12:48:56','2021-07-27 12:48:56',null);
INSERT INTO complaint_statuses VALUES('26377','8370','2',null,'81',null,null,'73','73','2021-07-27 12:55:21','2021-07-27 12:55:21',null);
INSERT INTO complaint_statuses VALUES('26378','8370','4',null,'58',null,null,'81','81','2021-07-27 12:55:34','2021-07-27 12:55:34',null);
INSERT INTO complaint_statuses VALUES('26379','7825','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-27 12:57:47','2021-07-27 12:57:47',null);
INSERT INTO complaint_statuses VALUES('26380','8371','2',null,'81',null,null,'73','73','2021-07-27 13:01:29','2021-07-27 13:01:29',null);
INSERT INTO complaint_statuses VALUES('26381','6638','8','23','56','CUSTOMER KI COMPLAINT PA VISIT NI HOA FIR KAISAY CLOSED HO GEI COMPLAINT',null,'81','81','2021-07-27 13:01:45','2021-07-27 13:01:45',null);
INSERT INTO complaint_statuses VALUES('26382','8085','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-27 13:02:45','2021-07-27 13:09:03',null);
INSERT INTO complaint_statuses VALUES('26383','8371','4',null,'58',null,null,'81','81','2021-07-27 13:03:33','2021-07-27 13:03:33',null);
INSERT INTO complaint_statuses VALUES('26384','5560','5','15',null,'CUSTOMER NA KHUD SA ISSUE RESOLVED KARWA LIYA COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-07-27 13:05:33','2021-07-27 13:13:30',null);
INSERT INTO complaint_statuses VALUES('26385','8301','7','12','81','is pr khuram sb ny visit kerwa dya hai  issue resolved nahi hua,abhi kindly ye complaint  khuram sb ko behj dein',null,'79','79','2021-07-27 13:06:28','2021-07-27 13:06:28',null);
INSERT INTO complaint_statuses VALUES('26386','5592','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-27 13:06:48','2021-07-27 13:12:23',null);
INSERT INTO complaint_statuses VALUES('26387','8372','3',null,'84',null,'27-JUL-2021
COMPLAINT#ISB-123111','74','92','2021-07-27 13:10:04','2021-07-31 15:13:12',null);
INSERT INTO complaint_statuses VALUES('26388','8373','2',null,'81',null,null,'73','73','2021-07-27 13:12:31','2021-07-27 13:12:31',null);
INSERT INTO complaint_statuses VALUES('26389','8373','4',null,'62',null,null,'81','81','2021-07-27 13:13:08','2021-07-27 13:13:08',null);
INSERT INTO complaint_statuses VALUES('26390','6473','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-27 13:15:56','2021-07-27 13:30:03',null);
INSERT INTO complaint_statuses VALUES('26391','8374','3',null,'52',null,'27-JULY-2021
COMPLAINT#PKRI210727111978','73','74','2021-07-27 13:16:15','2021-07-27 15:39:04',null);
INSERT INTO complaint_statuses VALUES('26392','7417','5','15',null,'CUSTOMER KI SIDE SA DELAY COMPLAINT COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-07-27 13:18:14','2021-07-27 13:26:35',null);
INSERT INTO complaint_statuses VALUES('26393','7320','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-27 13:20:25','2021-07-27 13:29:24',null);
INSERT INTO complaint_statuses VALUES('26394','8375','3',null,'52',null,'23-JULY-2021
COMPLAINT#PKRI210723102878','73','74','2021-07-27 13:22:25','2021-07-27 15:59:59',null);
INSERT INTO complaint_statuses VALUES('26395','6351','8','23','58','CUSTOMER SA BAT HO GEI HAIN AGAIN CALL KAR LAY CUSTOMER KO',null,'81','81','2021-07-27 13:22:27','2021-07-27 13:22:27',null);
INSERT INTO complaint_statuses VALUES('26396','5832','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-27 13:25:41','2021-07-27 13:31:42',null);
INSERT INTO complaint_statuses VALUES('26397','5795','8','23','56','CUSTOMER KA ISSUE RESOLVED NAI HOA KINDLY 0332 WALY NO PA CONTACT KAR K CUSTOMER K ISSUE RESOLVED KARWAY',null,'81','81','2021-07-27 13:28:07','2021-07-27 13:28:07',null);
INSERT INTO complaint_statuses VALUES('26398','8376','2',null,'81',null,null,'73','73','2021-07-27 13:30:46','2021-07-27 13:30:46',null);
INSERT INTO complaint_statuses VALUES('26399','8376','4',null,'62',null,null,'81','81','2021-07-27 13:31:09','2021-07-27 13:31:09',null);
INSERT INTO complaint_statuses VALUES('26400','8377','3',null,'73',null,'27-JUL-2021
COMPLAINT#5190','73','73','2021-07-27 13:34:51','2021-07-27 14:18:16',null);
INSERT INTO complaint_statuses VALUES('26401','7972','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-27 13:39:24','2021-07-27 13:39:24',null);
INSERT INTO complaint_statuses VALUES('26402','8378','3',null,'54',null,'27-JULY-2021
COM NO 1947117','92','92','2021-07-27 13:41:11','2021-07-27 15:55:05',null);
INSERT INTO complaint_statuses VALUES('26403','6997','5',null,null,'COMPALINT COMPLETED',null,'74','74','2021-07-27 13:42:37','2021-07-27 13:42:37',null);
INSERT INTO complaint_statuses VALUES('26404','8257','8','23','56','STOCK KI COMPLAINT HAIN BEHIRA SHOWROOM
CELL#03113110013',null,'81','81','2021-07-27 13:44:20','2021-07-27 13:44:20',null);
INSERT INTO complaint_statuses VALUES('26405','8379','3',null,'54',null,'27-JUL-2021
COMPLAINT#1947026','73','73','2021-07-27 13:47:13','2021-07-27 15:20:40',null);
INSERT INTO complaint_statuses VALUES('26406','7778','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-27 13:50:33','2021-07-27 13:50:33',null);
INSERT INTO complaint_statuses VALUES('26407','8146','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-27 13:50:51','2021-07-27 13:50:51',null);
INSERT INTO complaint_statuses VALUES('26408','8380','3',null,'52',null,'27-JULY-2021
COM NO PKRI-210727115202','92','92','2021-07-27 13:54:33','2021-07-27 17:50:48',null);
INSERT INTO complaint_statuses VALUES('26409','8381','3',null,'65',null,'26-JULY-2021
COMPLAINT#192126485','73','73','2021-07-27 13:56:37','2021-07-27 14:03:33',null);
INSERT INTO complaint_statuses VALUES('26410','8382','3',null,'52',null,'27-JULY-2021
COMPLAINT#PKRI210727112622','73','74','2021-07-27 14:00:07','2021-07-27 16:06:08',null);
INSERT INTO complaint_statuses VALUES('26411','7738','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-27 14:00:37','2021-07-27 14:00:37',null);
INSERT INTO complaint_statuses VALUES('26412','6728','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-27 14:04:34','2021-07-27 14:04:34',null);
INSERT INTO complaint_statuses VALUES('26413','8230','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-27 14:15:26','2021-07-27 14:15:26',null);
INSERT INTO complaint_statuses VALUES('26414','7073','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-27 14:42:27','2021-07-27 14:42:27',null);
INSERT INTO complaint_statuses VALUES('26415','8077','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-27 14:45:16','2021-07-27 14:45:16',null);
INSERT INTO complaint_statuses VALUES('26416','7434','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-27 14:48:53','2021-07-27 14:48:53',null);
INSERT INTO complaint_statuses VALUES('26417','8383','3',null,'63',null,'27-JUL-2021
COMPLAINT#1003','73','73','2021-07-27 14:50:19','2021-07-27 16:47:09',null);
INSERT INTO complaint_statuses VALUES('26418','8123','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-27 14:55:07','2021-07-27 14:55:07',null);
INSERT INTO complaint_statuses VALUES('26419','8384','3',null,'65',null,'27-JULY-2021
COMPLAINT#192126500','73','74','2021-07-27 14:57:05','2021-07-27 16:16:35',null);
INSERT INTO complaint_statuses VALUES('26420','8385','2',null,'81',null,null,'73','73','2021-07-27 14:57:34','2021-07-27 14:57:34',null);
INSERT INTO complaint_statuses VALUES('26421','8385','4',null,'55',null,null,'81','81','2021-07-27 14:58:04','2021-07-27 14:58:04',null);
INSERT INTO complaint_statuses VALUES('26422','8329','7','12','81','realy over load change kia hai complaint reoslved',null,'79','79','2021-07-27 15:00:46','2021-07-27 15:00:46',null);
INSERT INTO complaint_statuses VALUES('26423','8386','3',null,'80',null,'27-JUL-2021
FRWRD TO AMNA BOSCH','73','92','2021-07-27 15:02:08','2021-07-31 12:49:12',null);
INSERT INTO complaint_statuses VALUES('26424','7397','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-27 15:08:59','2021-07-27 15:08:59',null);
INSERT INTO complaint_statuses VALUES('26425','8387','3',null,'54',null,'27-JUL-2021
COMPLAIN#1947035','73','73','2021-07-27 15:14:17','2021-07-27 15:23:26',null);
INSERT INTO complaint_statuses VALUES('26426','7992','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-27 15:22:05','2021-07-27 15:22:05',null);
INSERT INTO complaint_statuses VALUES('26427','8182','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-27 15:24:47','2021-07-27 15:24:47',null);
INSERT INTO complaint_statuses VALUES('26428','8388','3',null,'85',null,'27-JUL-2021
COMPLAINT#301160356','73','73','2021-07-27 15:35:08','2021-07-27 16:24:14',null);
INSERT INTO complaint_statuses VALUES('26429','8389','3',null,'57',null,'27-JULY-2021
COMPLAINT#20465','73','74','2021-07-27 15:37:34','2021-07-27 16:28:57',null);
INSERT INTO complaint_statuses VALUES('26430','8390','2',null,'81',null,'27-JUL-2021
COMPLAINT#301160341','73','73','2021-07-27 15:45:30','2021-07-27 16:23:23',null);
INSERT INTO complaint_statuses VALUES('26431','8390','4',null,'58',null,null,'81','81','2021-07-27 15:46:17','2021-07-27 15:46:17',null);
INSERT INTO complaint_statuses VALUES('26432','8391','3',null,'84',null,'27-JULY-2021
COM NO 809687','92','92','2021-07-27 15:51:27','2021-07-31 12:29:11',null);
INSERT INTO complaint_statuses VALUES('26433','8392','3',null,'52',null,'27-JULY-2021
COMPLAINT#PKRI210727112730','73','74','2021-07-27 15:53:34','2021-07-27 16:10:54',null);
INSERT INTO complaint_statuses VALUES('26434','8303','7','12','81','ac theek working kr  raha hai koi issue nahi room size bar ahai',null,'79','79','2021-07-27 15:57:29','2021-07-27 15:57:29',null);
INSERT INTO complaint_statuses VALUES('26435','8393','3',null,'57',null,'27-JULY-2021
COMPLAINT#20464
REOPEN COM NO 20860','73','92','2021-07-27 16:03:33','2021-08-07 16:08:36',null);
INSERT INTO complaint_statuses VALUES('26436','8394','3',null,'65',null,'27-JULY-2021
COMPLAINT#192126502','73','74','2021-07-27 16:30:55','2021-07-27 16:40:11',null);
INSERT INTO complaint_statuses VALUES('26437','8395','3',null,'65',null,'27-JULY-2021
COMPLAINT#192126503','73','74','2021-07-27 16:33:41','2021-07-27 16:43:15',null);
INSERT INTO complaint_statuses VALUES('26438','8199','7','24','81','Visit okay vap moter hrab hy',null,'82','82','2021-07-27 16:37:54','2021-07-27 16:37:54',null);
INSERT INTO complaint_statuses VALUES('26439','8396','3',null,'55',null,'27-JUL-2021
COMPLAINT#ISB-809810','73','73','2021-07-27 16:39:06','2021-07-27 17:00:01',null);
INSERT INTO complaint_statuses VALUES('26440','8397','3',null,'52',null,'27-JUL-2021
COMPLAINT#PKRI210727113776','73','73','2021-07-27 16:42:23','2021-07-27 16:53:35',null);
INSERT INTO complaint_statuses VALUES('26441','6842','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-27 16:53:18','2021-07-27 16:53:18',null);
INSERT INTO complaint_statuses VALUES('26442','8398','3',null,'52',null,'27-JUL-2021
COMPLAINT#PKRI210727114159','73','73','2021-07-27 16:59:50','2021-07-27 17:05:19',null);
INSERT INTO complaint_statuses VALUES('26443','8265','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','74','74','2021-07-27 17:00:39','2021-07-28 11:47:09',null);
INSERT INTO complaint_statuses VALUES('26444','6845','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-27 17:03:24','2021-07-27 17:03:24',null);
INSERT INTO complaint_statuses VALUES('26445','8264','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-27 17:10:58','2021-07-27 17:10:58',null);
INSERT INTO complaint_statuses VALUES('26446','8215','5',null,null,'COMPLIANT COMPLETED',null,'74','74','2021-07-27 17:12:51','2021-07-27 17:12:51',null);
INSERT INTO complaint_statuses VALUES('26447','8275','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-27 17:19:48','2021-07-27 17:19:48',null);
INSERT INTO complaint_statuses VALUES('26448','8399','2',null,'81',null,null,'73','73','2021-07-27 17:22:30','2021-07-27 17:22:30',null);
INSERT INTO complaint_statuses VALUES('26449','8399','4',null,'63',null,null,'81','81','2021-07-27 17:23:44','2021-07-27 17:23:44',null);
INSERT INTO complaint_statuses VALUES('26450','7467','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-27 17:28:19','2021-07-27 17:28:19',null);
INSERT INTO complaint_statuses VALUES('26451','8400','3',null,'52',null,'27-JULY-2021(AREEBA)
COMPLAINT#PKRI-210727115264','73','73','2021-07-27 17:29:31','2021-07-27 18:01:56',null);
INSERT INTO complaint_statuses VALUES('26452','8329','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-27 17:41:51','2021-07-27 17:42:45',null);
INSERT INTO complaint_statuses VALUES('26453','8401','2',null,'81',null,null,'73','73','2021-07-27 18:00:07','2021-07-27 18:00:07',null);
INSERT INTO complaint_statuses VALUES('26454','8401','4',null,'58',null,null,'81','81','2021-07-27 18:00:36','2021-07-27 18:00:36',null);
INSERT INTO complaint_statuses VALUES('26455','8331','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-27 18:19:10','2021-07-27 18:19:10',null);
INSERT INTO complaint_statuses VALUES('26456','8376','7','24','81','forward khurram gas app ko forward ki hy',null,'87','87','2021-07-27 19:40:49','2021-07-27 19:40:49',null);
INSERT INTO complaint_statuses VALUES('26457','8312','7','24','81',null,null,'87','87','2021-07-27 20:30:04','2021-07-27 20:30:04',null);
INSERT INTO complaint_statuses VALUES('26458','8292','7','24','81',null,null,'87','87','2021-07-27 20:33:54','2021-07-27 20:33:54',null);
INSERT INTO complaint_statuses VALUES('26459','8284','7','24','81',null,null,'87','87','2021-07-27 20:38:25','2021-07-27 20:38:25',null);
INSERT INTO complaint_statuses VALUES('26460','8260','7','24','81',null,null,'87','87','2021-07-27 20:42:11','2021-07-27 20:42:11',null);
INSERT INTO complaint_statuses VALUES('26461','8256','7','24','81',null,null,'87','87','2021-07-27 20:43:39','2021-07-27 20:43:39',null);
INSERT INTO complaint_statuses VALUES('26462','8244','7','24','81',null,null,'87','87','2021-07-27 20:49:13','2021-07-27 20:49:13',null);
INSERT INTO complaint_statuses VALUES('26463','8213','7','24','81',null,null,'87','87','2021-07-27 20:53:21','2021-07-27 20:53:21',null);
INSERT INTO complaint_statuses VALUES('26464','8204','7','24','81',null,null,'87','87','2021-07-27 20:59:13','2021-07-27 20:59:13',null);
INSERT INTO complaint_statuses VALUES('26465','8369','7','12','81','ye tu ap log coampa walo sy magnwa sakty hain,glass arrge nahi ho sakta',null,'79','79','2021-07-27 21:01:17','2021-07-27 21:01:17',null);
INSERT INTO complaint_statuses VALUES('26466','8202','7','24','81',null,null,'87','87','2021-07-27 21:04:21','2021-07-27 21:04:21',null);
INSERT INTO complaint_statuses VALUES('26467','8195','7','24','81',null,null,'87','87','2021-07-27 21:07:18','2021-07-27 21:07:18',null);
INSERT INTO complaint_statuses VALUES('26468','8192','7','24','81',null,null,'87','87','2021-07-27 21:21:32','2021-07-27 21:21:32',null);
INSERT INTO complaint_statuses VALUES('26469','8402','3',null,'52',null,'28-JUL-2021(MAM)
COMPLAINT#PKRI-210728110561','73','73','2021-07-28 10:55:02','2021-07-28 15:54:43',null);
INSERT INTO complaint_statuses VALUES('26470','8403','3',null,'52',null,'28-JUL-2021(MAM)
COMPLAINT#PKRI-210728108280','73','73','2021-07-28 11:02:07','2021-07-28 15:55:13',null);
INSERT INTO complaint_statuses VALUES('26471','8404','3',null,'53',null,'28-JUL-2021
COMPLAINT#301160841','73','73','2021-07-28 11:05:16','2021-07-28 14:52:27',null);
INSERT INTO complaint_statuses VALUES('26472','8405','3',null,'53',null,'28-JUL-2021
COMPLAINT#301160845','73','73','2021-07-28 11:16:34','2021-07-28 14:52:16',null);
INSERT INTO complaint_statuses VALUES('26473','8343','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-28 11:16:41','2021-07-28 11:16:41',null);
INSERT INTO complaint_statuses VALUES('26474','8406','3',null,'65',null,'28-JUL-2021
COMPLAINT#192126545','73','73','2021-07-28 11:28:44','2021-07-28 13:52:55',null);
INSERT INTO complaint_statuses VALUES('26475','8332','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-28 11:30:13','2021-07-28 11:30:13',null);
INSERT INTO complaint_statuses VALUES('26476','8407','3',null,'52',null,'28-JUL-2021(MAM)
COMPLAINT#PKRI-210728110740','73','73','2021-07-28 11:32:28','2021-07-28 15:56:26',null);
INSERT INTO complaint_statuses VALUES('26477','8408','3',null,'52',null,'28-JUL-2021(MAM)
COMPLAINT#PKRI-210728110803','73','73','2021-07-28 11:36:30','2021-07-28 15:57:15',null);
INSERT INTO complaint_statuses VALUES('26478','8322','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-28 11:36:50','2021-07-28 11:36:50',null);
INSERT INTO complaint_statuses VALUES('26479','8303','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-28 11:37:20','2021-07-28 11:46:36',null);
INSERT INTO complaint_statuses VALUES('26480','8260','8','23','62','OK JOB COMPLETED QUKILEY',null,'81','81','2021-07-28 11:39:34','2021-07-28 11:39:34',null);
INSERT INTO complaint_statuses VALUES('26481','8292','8','23','62','JOB COMPLETED QUKILEY',null,'81','81','2021-07-28 11:40:06','2021-07-28 11:40:06',null);
INSERT INTO complaint_statuses VALUES('26482','8409','2',null,'81',null,null,'73','73','2021-07-28 11:40:47','2021-07-28 11:40:47',null);
INSERT INTO complaint_statuses VALUES('26483','8409','4',null,'62',null,null,'81','81','2021-07-28 11:41:10','2021-07-28 11:41:10',null);
INSERT INTO complaint_statuses VALUES('26484','8284','8','23','62','OK JOB COMPLETED QUKILEY',null,'81','81','2021-07-28 11:41:19','2021-07-28 11:41:19',null);
INSERT INTO complaint_statuses VALUES('26485','8244','8','23','62','JOB COMPLETED QUKILEY',null,'81','81','2021-07-28 11:42:07','2021-07-28 11:42:07',null);
INSERT INTO complaint_statuses VALUES('26486','8410','2',null,'81',null,null,'73','73','2021-07-28 11:42:48','2021-07-28 11:42:48',null);
INSERT INTO complaint_statuses VALUES('26487','8410','4',null,'62',null,null,'81','81','2021-07-28 11:43:17','2021-07-28 11:43:17',null);
INSERT INTO complaint_statuses VALUES('26488','8273','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-28 11:45:46','2021-07-28 11:45:46',null);
INSERT INTO complaint_statuses VALUES('26489','8411','3',null,'55',null,'28-JUL-2021
COMPLAINT#810392
COMPLAINT#810398','73','73','2021-07-28 11:46:24','2021-07-28 14:12:42',null);
INSERT INTO complaint_statuses VALUES('26490','8412','3',null,'54',null,'28-JUL-2021
COMPLAINT#1948157','73','73','2021-07-28 11:47:34','2021-07-28 14:02:41',null);
INSERT INTO complaint_statuses VALUES('26491','8413','2',null,'81',null,null,'73','73','2021-07-28 11:54:15','2021-07-28 11:54:15',null);
INSERT INTO complaint_statuses VALUES('26492','8413','4',null,'55',null,null,'81','81','2021-07-28 11:54:38','2021-07-28 11:54:38',null);
INSERT INTO complaint_statuses VALUES('26493','8414','3',null,'52',null,'28-JUL-2021(MAM)
COMPLAINT#PKRI-210728110906','73','73','2021-07-28 11:59:15','2021-07-28 15:57:52',null);
INSERT INTO complaint_statuses VALUES('26494','8376','8','23','62','COMPLAINT COMPLETED QUKILEY',null,'81','81','2021-07-28 12:02:58','2021-07-28 12:02:58',null);
INSERT INTO complaint_statuses VALUES('26495','8312','8','23','62','OK JOB COMPLETED QUKILEY',null,'81','81','2021-07-28 12:04:25','2021-07-28 12:04:25',null);
INSERT INTO complaint_statuses VALUES('26496','8256','8','23','62','OK JOB COMPLETED QUKILEY',null,'81','81','2021-07-28 12:05:49','2021-07-28 12:05:49',null);
INSERT INTO complaint_statuses VALUES('26497','6936','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-28 12:06:58','2021-07-28 12:06:58',null);
INSERT INTO complaint_statuses VALUES('26498','8213','8','23','62','JOB COMPLETED QUKILEY',null,'81','81','2021-07-28 12:08:58','2021-07-28 12:08:58',null);
INSERT INTO complaint_statuses VALUES('26499','6861','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-28 12:10:21','2021-07-28 12:10:21',null);
INSERT INTO complaint_statuses VALUES('26500','8415','3',null,'55',null,'28-JUL-2021
COMPLAINT#810410','73','73','2021-07-28 12:10:26','2021-07-28 14:17:41',null);
INSERT INTO complaint_statuses VALUES('26501','6950','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-28 12:15:14','2021-07-28 12:15:14',null);
INSERT INTO complaint_statuses VALUES('26502','8416','3',null,'53',null,'28-JUL-2021
COMPLAINT#301160850','73','73','2021-07-28 12:15:28','2021-07-28 14:52:06',null);
INSERT INTO complaint_statuses VALUES('26503','8236','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-28 12:21:38','2021-07-28 12:21:38',null);
INSERT INTO complaint_statuses VALUES('26504','6955','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-28 12:21:47','2021-07-28 12:21:47',null);
INSERT INTO complaint_statuses VALUES('26505','8417','3',null,'60',null,'FRWRD TO RABIA GENERALTEC','73','73','2021-07-28 12:22:04','2021-07-28 12:22:04',null);
INSERT INTO complaint_statuses VALUES('26506','7442','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-28 12:22:19','2021-07-28 12:22:19',null);
INSERT INTO complaint_statuses VALUES('26507','8418','3',null,'52',null,'28-JULY-2021
COMPLAINT#PKRI210728111673','73','74','2021-07-28 12:24:20','2021-07-28 16:18:35',null);
INSERT INTO complaint_statuses VALUES('26508','8419','3',null,'52',null,'28-JULY-2021
COMPLAINT#PKRI20728112224','73','74','2021-07-28 12:27:50','2021-07-28 16:40:04',null);
INSERT INTO complaint_statuses VALUES('26509','7441','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-28 12:28:46','2021-07-28 12:28:46',null);
INSERT INTO complaint_statuses VALUES('26510','8156','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-28 12:29:24','2021-07-28 12:29:24',null);
INSERT INTO complaint_statuses VALUES('26511','8420','3',null,'52',null,'27-JULY-2021
COMPLAINT#PKRI210728112419','73','74','2021-07-28 12:34:31','2021-07-28 16:48:02',null);
INSERT INTO complaint_statuses VALUES('26512','8421','3',null,'52',null,'27-JULY-2021
COMP#PKRI210728112462','73','74','2021-07-28 12:39:57','2021-07-28 16:50:25',null);
INSERT INTO complaint_statuses VALUES('26513','8084','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-28 12:43:07','2021-07-28 12:43:07',null);
INSERT INTO complaint_statuses VALUES('26514','8422','3',null,'52',null,'SAMSUNG OUT WARRANTY KI COMPLAINT HA IN KI','73','73','2021-07-28 12:46:27','2021-07-28 12:53:31',null);
INSERT INTO complaint_statuses VALUES('26515','7976','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-28 12:46:30','2021-07-28 12:46:30',null);
INSERT INTO complaint_statuses VALUES('26516','8422','5',null,null,'COMPLAINT CANCEL','USMAN SB KA NUMBER FORWARD KAR DIA','73','73','2021-07-28 12:53:08','2021-07-28 12:53:49',null);
INSERT INTO complaint_statuses VALUES('26517','7969','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-28 12:54:47','2021-07-28 12:54:47',null);
INSERT INTO complaint_statuses VALUES('26518','8423','3',null,'55',null,'28-JUL-2021
COMPLAINT#810403','73','73','2021-07-28 12:56:04','2021-07-28 14:15:13',null);
INSERT INTO complaint_statuses VALUES('26519','7816','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-28 13:02:14','2021-07-28 13:02:14',null);
INSERT INTO complaint_statuses VALUES('26520','8424','3',null,'65',null,'28-JUL-2021
COMPLAINT#192126546 
AGAIN REOPEN COMPLAINT #192126677
REOPEN COM NO 192127266','73','92','2021-07-28 13:06:34','2021-08-11 13:06:51',null);
INSERT INTO complaint_statuses VALUES('26521','5563','7','12','81','koi issue nahi  tha machine mein',null,'79','79','2021-07-28 13:29:54','2021-07-28 13:29:54',null);
INSERT INTO complaint_statuses VALUES('26522','8425','3',null,'57',null,'28-JUL-2021
COMPLAINT#20496','73','73','2021-07-28 13:31:32','2021-07-28 14:19:56',null);
INSERT INTO complaint_statuses VALUES('26523','8268','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-28 13:38:58','2021-07-28 13:38:58',null);
INSERT INTO complaint_statuses VALUES('26524','8274','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-28 13:40:24','2021-07-28 13:40:24',null);
INSERT INTO complaint_statuses VALUES('26525','8347','7','12','81','drain pump issue tha service kia hai,complaint reoslved',null,'79','79','2021-07-28 13:43:08','2021-07-28 13:43:08',null);
INSERT INTO complaint_statuses VALUES('26526','8426','2',null,'81',null,'COMPLAINT#301160887','73','73','2021-07-28 13:43:24','2021-07-28 15:29:38',null);
INSERT INTO complaint_statuses VALUES('26527','8266','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-28 13:44:30','2021-07-28 13:44:30',null);
INSERT INTO complaint_statuses VALUES('26528','8426','4',null,'58',null,null,'81','81','2021-07-28 13:48:03','2021-07-28 13:48:03',null);
INSERT INTO complaint_statuses VALUES('26529','7646','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-28 13:49:37','2021-07-28 13:49:37',null);
INSERT INTO complaint_statuses VALUES('26530','8263','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-28 13:50:36','2021-07-28 13:50:36',null);
INSERT INTO complaint_statuses VALUES('26531','8427','3',null,'65',null,'28-JUL-2021
COMPLAINT#192126547','73','73','2021-07-28 13:54:14','2021-07-28 13:57:25',null);
INSERT INTO complaint_statuses VALUES('26532','8261','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-28 13:54:50','2021-07-28 13:54:50',null);
INSERT INTO complaint_statuses VALUES('26533','7637','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-28 13:57:32','2021-07-28 13:57:32',null);
INSERT INTO complaint_statuses VALUES('26534','8255','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-28 14:01:35','2021-07-28 14:01:35',null);
INSERT INTO complaint_statuses VALUES('26535','8248','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-28 14:04:07','2021-07-28 14:04:07',null);
INSERT INTO complaint_statuses VALUES('26536','8245','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-28 14:08:07','2021-07-28 14:08:07',null);
INSERT INTO complaint_statuses VALUES('26537','8428','3',null,'52',null,'27-JULY-2021
COMP#PKRI210728112630','73','74','2021-07-28 14:08:17','2021-07-28 16:56:01',null);
INSERT INTO complaint_statuses VALUES('26538','7580','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-28 14:08:43','2021-07-28 14:08:43',null);
INSERT INTO complaint_statuses VALUES('26539','8234','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-28 14:19:03','2021-07-28 14:19:03',null);
INSERT INTO complaint_statuses VALUES('26540','8429','2',null,'81',null,null,'73','73','2021-07-28 14:22:45','2021-07-28 14:22:45',null);
INSERT INTO complaint_statuses VALUES('26541','8429','4',null,'58',null,null,'81','81','2021-07-28 14:23:14','2021-07-28 14:23:14',null);
INSERT INTO complaint_statuses VALUES('26542','8430','3',null,'53',null,'28-JUL-2021
COMPLAINT#301160839','73','73','2021-07-28 14:25:05','2021-07-28 14:52:51',null);
INSERT INTO complaint_statuses VALUES('26543','7322','5',null,null,'ISSUED RESOLVED',null,'74','74','2021-07-28 14:25:55','2021-07-28 14:25:55',null);
INSERT INTO complaint_statuses VALUES('26544','7228','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-28 14:27:47','2021-07-28 14:27:47',null);
INSERT INTO complaint_statuses VALUES('26545','7249','7','12','81','cusotmer reapir nahi kerwa raha kafi br in sy bt ki hai ref ly jaye i 10 mein  majood hai,inko call kr ky bata dein','CUSTOMER SA AJ AGAIN BT KI HAIN ADIL BHAI KA NO CUSTOMER KO PROVIDE KAR DIA 
INFORMED BY B COOL','79','74','2021-07-28 14:31:46','2021-08-04 15:40:00',null);
INSERT INTO complaint_statuses VALUES('26546','8431','3',null,'53',null,'28-JUL-2021
COMPLAINT#301160835','73','73','2021-07-28 14:31:49','2021-07-28 14:52:47',null);
INSERT INTO complaint_statuses VALUES('26547','6973','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-28 14:32:37','2021-07-28 14:32:37',null);
INSERT INTO complaint_statuses VALUES('26548','7947','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-28 14:34:29','2021-07-28 14:34:29',null);
INSERT INTO complaint_statuses VALUES('26549','8432','2',null,'81',null,null,'73','73','2021-07-28 14:35:25','2021-07-28 14:35:25',null);
INSERT INTO complaint_statuses VALUES('26550','8432','4',null,'55',null,null,'81','81','2021-07-28 14:36:01','2021-07-28 14:36:01',null);
INSERT INTO complaint_statuses VALUES('26551','8433','3',null,'52',null,'28-JULY-2021
COMP#PKRI210728112889','73','74','2021-07-28 14:39:15','2021-07-28 17:06:51',null);
INSERT INTO complaint_statuses VALUES('26552','6114','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-28 14:43:34','2021-07-28 14:43:34',null);
INSERT INTO complaint_statuses VALUES('26553','8351','7','12','81','inelt coil service and darin serviece complaint resolved',null,'79','79','2021-07-28 14:45:02','2021-07-28 14:45:02',null);
INSERT INTO complaint_statuses VALUES('26554','5903','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-28 14:45:25','2021-07-28 14:45:25',null);
INSERT INTO complaint_statuses VALUES('26555','8434','3',null,'59',null,'28-JULY-2021
COM NO 4247776790','73','92','2021-07-28 14:46:43','2021-07-28 15:36:42',null);
INSERT INTO complaint_statuses VALUES('26556','7501','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-28 14:50:19','2021-07-28 14:50:19',null);
INSERT INTO complaint_statuses VALUES('26557','8209','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-28 15:02:34','2021-07-28 15:02:34',null);
INSERT INTO complaint_statuses VALUES('26558','7964','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-28 15:03:07','2021-07-28 15:03:07',null);
INSERT INTO complaint_statuses VALUES('26559','8435','2',null,'81',null,null,'73','73','2021-07-28 15:07:12','2021-07-28 15:07:12',null);
INSERT INTO complaint_statuses VALUES('26560','8435','4',null,'60',null,null,'81','81','2021-07-28 15:07:56','2021-07-28 15:07:56',null);
INSERT INTO complaint_statuses VALUES('26561','8351','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-07-28 15:09:47','2021-07-28 17:22:37',null);
INSERT INTO complaint_statuses VALUES('26562','8347','5','15',null,null,'COMPLAINT RESOLVED','81','74','2021-07-28 15:10:09','2021-07-28 17:23:26',null);
INSERT INTO complaint_statuses VALUES('26563','8207','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-28 15:13:00','2021-07-28 15:13:00',null);
INSERT INTO complaint_statuses VALUES('26564','8426','7','12','81','ye ac hum ny nahi lgya',null,'79','79','2021-07-28 15:17:07','2021-07-28 15:17:07',null);
INSERT INTO complaint_statuses VALUES('26565','8436','3',null,'65',null,'28-JUL-2021
COMPLAINT#272106295','73','73','2021-07-28 15:35:00','2021-07-28 16:21:54',null);
INSERT INTO complaint_statuses VALUES('26566','8437','2',null,'81',null,null,'73','73','2021-07-28 15:38:56','2021-07-28 15:38:56',null);
INSERT INTO complaint_statuses VALUES('26567','8437','4',null,'58',null,null,'81','81','2021-07-28 15:39:33','2021-07-28 15:39:33',null);
INSERT INTO complaint_statuses VALUES('26568','8437','7','12','81','forwered t company plz',null,'79','79','2021-07-28 15:46:31','2021-07-28 15:46:31',null);
INSERT INTO complaint_statuses VALUES('26569','8186','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-28 15:48:38','2021-07-28 15:48:38',null);
INSERT INTO complaint_statuses VALUES('26570','8438','3',null,'53',null,'28-JUL-2021
COMPLAINT#301160990','73','73','2021-07-28 15:49:13','2021-07-28 16:49:33',null);
INSERT INTO complaint_statuses VALUES('26571','8185','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-28 15:50:39','2021-07-28 15:50:39',null);
INSERT INTO complaint_statuses VALUES('26572','8437','8','23','58',null,null,'81','81','2021-07-28 15:51:20','2021-07-28 15:51:20',null);
INSERT INTO complaint_statuses VALUES('26573','8439','2',null,'81',null,null,'73','73','2021-07-28 16:04:15','2021-07-28 16:04:15',null);
INSERT INTO complaint_statuses VALUES('26574','8440','2',null,'81',null,null,'73','73','2021-07-28 16:06:28','2021-07-28 16:06:28',null);
INSERT INTO complaint_statuses VALUES('26575','8440','4',null,'62',null,null,'81','81','2021-07-28 16:07:31','2021-07-28 16:07:31',null);
INSERT INTO complaint_statuses VALUES('26576','8439','4',null,'55',null,null,'81','81','2021-07-28 16:07:39','2021-07-28 16:07:39',null);
INSERT INTO complaint_statuses VALUES('26577','8177','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-28 16:13:29','2021-07-28 16:13:29',null);
INSERT INTO complaint_statuses VALUES('26578','8441','3',null,'52',null,'28-JULY-2021
COMPLAINT#PKRI210728112964','73','74','2021-07-28 16:15:49','2021-07-28 17:10:58',null);
INSERT INTO complaint_statuses VALUES('26579','8426','5','15',null,'FF TO COMPANY','COMPLAINT CLOSED','81','74','2021-07-28 16:40:49','2021-07-29 11:59:42',null);
INSERT INTO complaint_statuses VALUES('26580','8204','8','23','62','OK JOB COMPLETED QUKILEY',null,'81','81','2021-07-28 16:44:21','2021-07-28 16:44:21',null);
INSERT INTO complaint_statuses VALUES('26581','8202','8','23','62','JOB COMPLETED QUKELY',null,'81','81','2021-07-28 16:45:08','2021-07-28 16:45:08',null);
INSERT INTO complaint_statuses VALUES('26582','5563','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-28 16:46:30','2021-07-28 17:24:15',null);
INSERT INTO complaint_statuses VALUES('26583','8442','2',null,'81',null,'OTHER#03212025821','73','73','2021-07-28 16:47:16','2021-07-28 16:48:21',null);
INSERT INTO complaint_statuses VALUES('26584','8199','8','23','60','JOB COMPLETED QUKILEY',null,'81','81','2021-07-28 16:47:21','2021-07-28 16:47:21',null);
INSERT INTO complaint_statuses VALUES('26585','8442','4',null,'62',null,null,'81','81','2021-07-28 16:47:54','2021-07-28 16:47:54',null);
INSERT INTO complaint_statuses VALUES('26586','8195','8','23','62','OK JOB COMPLETED QUKILEY',null,'81','81','2021-07-28 17:00:25','2021-07-28 17:00:25',null);
INSERT INTO complaint_statuses VALUES('26587','8443','3',null,'66',null,'REF TO PTCL(WARRANTY CARD)
29-JUL-2021
COMPLAINT#PK072820210129','73','74','2021-07-28 17:01:19','2021-07-28 17:22:48',null);
INSERT INTO complaint_statuses VALUES('26588','8192','8','23','62','OK JOB COMPLETED QUKILEY',null,'81','81','2021-07-28 17:02:25','2021-07-28 17:02:25',null);
INSERT INTO complaint_statuses VALUES('26589','8444','2',null,'81',null,null,'73','73','2021-07-28 17:03:35','2021-07-28 17:03:35',null);
INSERT INTO complaint_statuses VALUES('26590','8444','4',null,'55',null,null,'81','81','2021-07-28 17:03:51','2021-07-28 17:03:51',null);
INSERT INTO complaint_statuses VALUES('26591','8445','3',null,'52',null,'28-JULY-2021
COMPLAINT#PKRI210728113028','73','74','2021-07-28 17:08:03','2021-07-28 17:12:42',null);
INSERT INTO complaint_statuses VALUES('26592','8189','5','15',null,'FF TO USMAN MRM','COMPLAINT CLOSED','81','74','2021-07-28 17:12:35','2021-07-28 17:21:53',null);
INSERT INTO complaint_statuses VALUES('26593','8409','7','24','81',null,null,'87','87','2021-07-28 17:19:44','2021-07-28 17:19:44',null);
INSERT INTO complaint_statuses VALUES('26594','8446','2',null,'81',null,'28-JULY-2021
FF TO USMAN MRM','74','74','2021-07-28 17:21:11','2021-07-28 17:21:11',null);
INSERT INTO complaint_statuses VALUES('26595','8447','3',null,'97',null,'28-JULY-2021
COM NO 202107021129','73','92','2021-07-28 17:24:49','2021-07-28 17:35:01',null);
INSERT INTO complaint_statuses VALUES('26596','8410','7','24','81',null,null,'87','87','2021-07-28 17:25:06','2021-07-28 17:25:06',null);
INSERT INTO complaint_statuses VALUES('26597','7772','5','15',null,'CUSTOMER SIDE SA DELAY COMPLAINT COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-07-28 17:25:32','2021-07-29 12:08:52',null);
INSERT INTO complaint_statuses VALUES('26598','8448','2',null,'81',null,null,'73','73','2021-07-28 17:26:14','2021-07-28 17:26:14',null);
INSERT INTO complaint_statuses VALUES('26599','8448','4',null,'58',null,null,'81','81','2021-07-28 17:26:46','2021-07-28 17:26:46',null);
INSERT INTO complaint_statuses VALUES('26600','8446','4',null,'61',null,null,'81','81','2021-07-28 17:26:56','2021-07-28 17:26:56',null);
INSERT INTO complaint_statuses VALUES('26601','8440','7','24','81',null,null,'87','87','2021-07-28 17:29:27','2021-07-28 17:29:27',null);
INSERT INTO complaint_statuses VALUES('26602','8440','8','23','62','OK JOB COMPLETED QUKILEY',null,'81','81','2021-07-28 17:32:35','2021-07-28 17:32:35',null);
INSERT INTO complaint_statuses VALUES('26603','8449','3',null,'97',null,'28-JULY-2021
COM NO 202107021216','92','92','2021-07-28 17:32:46','2021-07-31 11:22:09',null);
INSERT INTO complaint_statuses VALUES('26604','8442','7','24','81',null,null,'87','87','2021-07-28 17:33:10','2021-07-28 17:33:10',null);
INSERT INTO complaint_statuses VALUES('26605','8410','8','23','62','OK JOB COMPLETED QUKLIEY',null,'81','81','2021-07-28 17:37:20','2021-07-28 17:37:20',null);
INSERT INTO complaint_statuses VALUES('26606','8450','2',null,'81',null,'19-JAN-2021
COM FF TO AZHAR FCI','92','92','2021-07-28 17:37:35','2021-07-28 17:37:35',null);
INSERT INTO complaint_statuses VALUES('26607','8376','7','26','81',null,null,'87','87','2021-07-28 17:37:46','2021-07-28 17:37:46',null);
INSERT INTO complaint_statuses VALUES('26608','8451','2',null,'81',null,null,'73','73','2021-07-28 17:41:46','2021-07-28 17:41:46',null);
INSERT INTO complaint_statuses VALUES('26609','8450','4',null,'60',null,null,'81','81','2021-07-28 17:42:11','2021-07-28 17:42:11',null);
INSERT INTO complaint_statuses VALUES('26610','8451','4',null,'63',null,null,'81','81','2021-07-28 17:42:58','2021-07-28 17:42:58',null);
INSERT INTO complaint_statuses VALUES('26611','8155','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-28 17:47:53','2021-07-28 17:47:53',null);
INSERT INTO complaint_statuses VALUES('26612','8371','7','12','81','cooling theek thi ref ki .temp  setting kia hai',null,'79','79','2021-07-28 17:51:04','2021-07-28 17:51:04',null);
INSERT INTO complaint_statuses VALUES('26613','8452','3',null,'52',null,'28-JUL-2021
COMPLAINT#PKRI210728114079
COMPLAINT#PKRI210728114055
COMPLAINT#PKRI210728114055-79','73','73','2021-07-28 17:59:14','2021-07-28 18:07:36',null);
INSERT INTO complaint_statuses VALUES('26614','8371','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-07-28 18:00:54','2021-07-28 18:01:28',null);
INSERT INTO complaint_statuses VALUES('26615','7287','7','26','81','customer ko waqat ni mel rha LED S/C lany k lia complian close kr dyn customer keh rha hy jb main LED lao ga New complain banwa lo ga',null,'80','80','2021-07-28 18:03:01','2021-07-28 18:03:01',null);
INSERT INTO complaint_statuses VALUES('26616','8267','7','12','81','Clutch issie tha',null,'82','82','2021-07-28 18:58:40','2021-07-28 18:58:40',null);
INSERT INTO complaint_statuses VALUES('26617','8284','7','12','81','Issue resolved',null,'87','87','2021-07-28 20:10:15','2021-07-28 20:10:15',null);
INSERT INTO complaint_statuses VALUES('26618','8195','7','12','81','Issue resolved',null,'87','87','2021-07-28 20:12:10','2021-07-28 20:12:10',null);
INSERT INTO complaint_statuses VALUES('26619','8437','7','12','81','complaint  reslved gas charged',null,'79','79','2021-07-28 20:18:25','2021-07-28 20:18:25',null);
INSERT INTO complaint_statuses VALUES('26620','8429','7','12','81','compliant reoslved',null,'79','79','2021-07-28 20:19:49','2021-07-28 20:19:49',null);
INSERT INTO complaint_statuses VALUES('26621','8008','7','12','81','Defrosting only. Unit ok',null,'83','83','2021-07-28 20:28:33','2021-07-28 20:28:33',null);
INSERT INTO complaint_statuses VALUES('26622','8453','3',null,'53',null,'29-JUL-2021
COMPLAINT#301161139','73','73','2021-07-29 10:41:24','2021-07-29 11:31:15',null);
INSERT INTO complaint_statuses VALUES('26623','8454','3',null,'52',null,'29-JUL-2021
COMPLAINT#PKRI210729104377','73','73','2021-07-29 10:49:51','2021-07-29 11:42:39',null);
INSERT INTO complaint_statuses VALUES('26624','8340','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-29 10:50:12','2021-07-29 10:50:12',null);
INSERT INTO complaint_statuses VALUES('26625','8455','3',null,'53',null,'29-JUL-2021
COMPLAINT#301161145','73','73','2021-07-29 10:56:03','2021-07-29 11:34:37',null);
INSERT INTO complaint_statuses VALUES('26626','8337','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-29 10:57:08','2021-07-29 10:57:08',null);
INSERT INTO complaint_statuses VALUES('26627','8456','2',null,'81',null,null,'73','73','2021-07-29 10:58:19','2021-07-29 10:58:19',null);
INSERT INTO complaint_statuses VALUES('26628','8456','4',null,'60',null,null,'81','81','2021-07-29 10:59:14','2021-07-29 10:59:14',null);
INSERT INTO complaint_statuses VALUES('26629','8457','3',null,'66',null,'OTHER#03135081891
COMPLAINT#PK072920210047 
REOPEN COM NO PK-0810202180188','73','106','2021-07-29 11:01:55','2021-08-17 16:30:24',null);
INSERT INTO complaint_statuses VALUES('26630','8458','2',null,'81',null,null,'73','73','2021-07-29 11:04:38','2021-07-29 11:04:38',null);
INSERT INTO complaint_statuses VALUES('26631','8458','4',null,'63',null,null,'81','81','2021-07-29 11:05:06','2021-07-29 11:05:06',null);
INSERT INTO complaint_statuses VALUES('26632','8336','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-29 11:09:12','2021-07-29 11:09:12',null);
INSERT INTO complaint_statuses VALUES('26633','8335','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-29 11:10:49','2021-07-29 11:10:49',null);
INSERT INTO complaint_statuses VALUES('26634','7011','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-29 11:11:07','2021-07-29 11:11:07',null);
INSERT INTO complaint_statuses VALUES('26635','8442','5','23',null,'OK JOB COMPLETED QUKILEY','REOPEND  KAR DI COMPLAINT','81','74','2021-07-29 11:12:36','2021-07-29 11:56:17',null);
INSERT INTO complaint_statuses VALUES('26636','8459','2',null,'81',null,'OTHER#03212025821','74','74','2021-07-29 11:15:12','2021-07-29 11:15:12',null);
INSERT INTO complaint_statuses VALUES('26637','8459','4',null,'62',null,null,'81','81','2021-07-29 11:15:58','2021-07-29 11:15:58',null);
INSERT INTO complaint_statuses VALUES('26638','8437','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-07-29 11:16:20','2021-07-29 11:57:08',null);
INSERT INTO complaint_statuses VALUES('26639','8429','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-29 11:17:58','2021-07-29 11:58:15',null);
INSERT INTO complaint_statuses VALUES('26640','8409','8','23','62','OK JOB COMPLETED QUKILEY',null,'81','81','2021-07-29 11:18:31','2021-07-29 11:18:31',null);
INSERT INTO complaint_statuses VALUES('26641','8460','3',null,'65',null,'29-JUL-2021
COMPLAINT#192126591','73','73','2021-07-29 11:19:51','2021-07-29 11:23:47',null);
INSERT INTO complaint_statuses VALUES('26642','8284','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-29 11:20:35','2021-07-29 12:00:53',null);
INSERT INTO complaint_statuses VALUES('26643','8267','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-29 11:23:52','2021-07-29 12:02:52',null);
INSERT INTO complaint_statuses VALUES('26644','8195','5','15',null,'CUSTOMER NA LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA LIYA COMPLAINT CLOSED','COMPLAINT RESOLVED','81','74','2021-07-29 11:26:28','2021-07-29 12:04:37',null);
INSERT INTO complaint_statuses VALUES('26645','8008','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-29 11:27:52','2021-07-29 12:06:11',null);
INSERT INTO complaint_statuses VALUES('26646','7287','5','15',null,'OK COMPLAINT CUSTOMER SIDE SA DELAY HAIN COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-07-29 11:29:31','2021-07-29 12:05:27',null);
INSERT INTO complaint_statuses VALUES('26647','5224','7','9','81',null,null,'77','77','2021-07-29 11:39:31','2021-07-29 11:39:31',null);
INSERT INTO complaint_statuses VALUES('26648','8461','2',null,'81',null,null,'73','73','2021-07-29 11:44:20','2021-07-29 11:44:20',null);
INSERT INTO complaint_statuses VALUES('26649','8461','4',null,'56',null,null,'81','81','2021-07-29 11:44:48','2021-07-29 11:44:48',null);
INSERT INTO complaint_statuses VALUES('26650','7574','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-29 11:45:59','2021-07-29 11:45:59',null);
INSERT INTO complaint_statuses VALUES('26651','8462','3',null,'80',null,'29-JUL-2021
COMPLAINT FORWARD TO SAJJAD BHATTI&AMNA BOSCH','73','73','2021-07-29 11:53:16','2021-07-29 11:59:33',null);
INSERT INTO complaint_statuses VALUES('26652','7932','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-29 11:53:23','2021-07-29 11:53:23',null);
INSERT INTO complaint_statuses VALUES('26653','8463','2',null,'81',null,null,'73','73','2021-07-29 11:57:31','2021-07-29 11:57:31',null);
INSERT INTO complaint_statuses VALUES('26654','8463','4',null,'55',null,null,'81','81','2021-07-29 12:00:19','2021-07-29 12:00:19',null);
INSERT INTO complaint_statuses VALUES('26655','8280','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-29 12:06:32','2021-07-29 12:06:32',null);
INSERT INTO complaint_statuses VALUES('26656','7604','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-29 12:08:14','2021-07-29 12:08:14',null);
INSERT INTO complaint_statuses VALUES('26657','8281','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-29 12:10:16','2021-07-29 12:10:16',null);
INSERT INTO complaint_statuses VALUES('26658','8464','3',null,'54',null,'29-JUL-2021
COMPLAINT#1949237','73','73','2021-07-29 12:10:44','2021-07-29 12:19:50',null);
INSERT INTO complaint_statuses VALUES('26659','8465','2',null,'81',null,'29-july-2021
COM FF TO HOME SOLUTION','92','92','2021-07-29 12:12:47','2021-07-29 12:12:47',null);
INSERT INTO complaint_statuses VALUES('26660','8252','7','12','81','complaint reoslved,panel dry  kia hai',null,'79','79','2021-07-29 12:18:11','2021-07-29 12:18:11',null);
INSERT INTO complaint_statuses VALUES('26661','7667','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-29 12:18:43','2021-07-29 12:18:43',null);
INSERT INTO complaint_statuses VALUES('26662','8285','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-29 12:21:27','2021-07-29 12:21:27',null);
INSERT INTO complaint_statuses VALUES('26663','8287','5',null,null,'COMPALINT COMPLETED',null,'74','74','2021-07-29 12:25:08','2021-07-29 12:25:08',null);
INSERT INTO complaint_statuses VALUES('26664','8295','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-29 12:31:24','2021-07-29 12:31:24',null);
INSERT INTO complaint_statuses VALUES('26665','8466','3',null,'65',null,'29-JUL-2021
COMPLAINT#192126607','73','73','2021-07-29 12:33:22','2021-07-29 13:19:27',null);
INSERT INTO complaint_statuses VALUES('26666','8446','7','12','81','Customer machine is ok 
He will complaint if any issues face',null,'83','83','2021-07-29 12:34:38','2021-07-29 12:34:38',null);
INSERT INTO complaint_statuses VALUES('26667','8467','3',null,'81',null,'29-JUL-2021
COMPLAINT#1007','73','73','2021-07-29 12:36:29','2021-07-29 13:31:06',null);
INSERT INTO complaint_statuses VALUES('26668','8297','5',null,null,'COMPLIANT COMPLETED',null,'74','74','2021-07-29 12:39:12','2021-07-29 12:39:12',null);
INSERT INTO complaint_statuses VALUES('26669','8298','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-29 12:45:14','2021-07-29 12:45:14',null);
INSERT INTO complaint_statuses VALUES('26670','8468','2',null,'81',null,null,'73','73','2021-07-29 12:53:04','2021-07-29 12:53:29',null);
INSERT INTO complaint_statuses VALUES('26671','8465','4',null,'62',null,null,'81','81','2021-07-29 12:54:02','2021-07-29 12:54:02',null);
INSERT INTO complaint_statuses VALUES('26672','8468','4',null,'61',null,null,'81','81','2021-07-29 12:54:11','2021-07-29 12:54:11',null);
INSERT INTO complaint_statuses VALUES('26673','8469','3',null,'56',null,'29-JUL-2021
COMPLAINT#G29/009','73','73','2021-07-29 12:59:03','2021-07-29 13:27:19',null);
INSERT INTO complaint_statuses VALUES('26674','7392','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-29 12:59:55','2021-07-29 12:59:55',null);
INSERT INTO complaint_statuses VALUES('26675','8470','3',null,'72',null,'29-JUL-2021
COMPLAINT#072118617','73','73','2021-07-29 13:01:51','2021-07-29 13:16:54',null);
INSERT INTO complaint_statuses VALUES('26676','8471','3',null,'65',null,'29-JUL-2021
COMPLAINT#192126605','73','73','2021-07-29 13:04:54','2021-07-29 13:14:33',null);
INSERT INTO complaint_statuses VALUES('26677','8472','3',null,'54',null,'29-JUL-2021
COMPLAINT#1949420','73','73','2021-07-29 13:10:07','2021-07-29 14:05:22',null);
INSERT INTO complaint_statuses VALUES('26678','8473','3',null,'80',null,'FRWRD TO SAJJAD BHATTI
29-JULY-2021','92','92','2021-07-29 13:17:33','2021-08-07 10:50:44',null);
INSERT INTO complaint_statuses VALUES('26679','8316','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-29 13:31:50','2021-07-29 13:31:50',null);
INSERT INTO complaint_statuses VALUES('26680','8383','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-29 13:49:11','2021-07-29 13:49:11',null);
INSERT INTO complaint_statuses VALUES('26681','8323','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-29 13:52:45','2021-07-29 13:52:45',null);
INSERT INTO complaint_statuses VALUES('26682','8307','7','12','81','complaint resolved,pwd behj di hai',null,'79','79','2021-07-29 14:00:45','2021-07-29 14:00:45',null);
INSERT INTO complaint_statuses VALUES('26683','8320','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-29 14:01:45','2021-07-29 14:01:45',null);
INSERT INTO complaint_statuses VALUES('26684','8318','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-29 14:14:22','2021-07-29 14:14:22',null);
INSERT INTO complaint_statuses VALUES('26685','8474','3',null,'68',null,'29-JUL-2021
COMPLAINT#RWP-2749','73','73','2021-07-29 14:14:22','2021-07-29 14:31:25',null);
INSERT INTO complaint_statuses VALUES('26686','8211','7','12','81','Demo only 
Visit 500',null,'83','83','2021-07-29 14:16:59','2021-07-29 14:16:59',null);
INSERT INTO complaint_statuses VALUES('26687','8475','3',null,'67',null,'29-JUL-2021
COMPLAINT FORWRD TO ANWER CARAVELL','73','73','2021-07-29 14:19:54','2021-07-29 14:19:54',null);
INSERT INTO complaint_statuses VALUES('26688','8476','3',null,'52',null,'29-JUL-2021
COMPLAINT#PKRI210729108482','73','73','2021-07-29 14:20:54','2021-07-29 14:48:24',null);
INSERT INTO complaint_statuses VALUES('26689','8313','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-29 14:21:03','2021-07-29 14:21:03',null);
INSERT INTO complaint_statuses VALUES('26690','8477','2',null,'81',null,null,'73','73','2021-07-29 14:23:30','2021-07-29 14:23:30',null);
INSERT INTO complaint_statuses VALUES('26691','8477','4',null,'58',null,null,'81','81','2021-07-29 14:23:49','2021-07-29 14:23:49',null);
INSERT INTO complaint_statuses VALUES('26692','8299','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-29 14:34:20','2021-07-29 14:34:20',null);
INSERT INTO complaint_statuses VALUES('26693','8478','3',null,'52',null,'29-JUL-2021
COMPLAINT#PKRI210729109714','73','73','2021-07-29 14:53:48','2021-07-29 14:59:43',null);
INSERT INTO complaint_statuses VALUES('26694','8218','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-29 15:13:55','2021-07-29 15:13:55',null);
INSERT INTO complaint_statuses VALUES('26695','8479','2',null,'81',null,null,'73','73','2021-07-29 15:15:34','2021-07-29 15:15:34',null);
INSERT INTO complaint_statuses VALUES('26696','8479','4',null,'55',null,null,'81','81','2021-07-29 15:15:59','2021-07-29 15:15:59',null);
INSERT INTO complaint_statuses VALUES('26697','8480','2',null,'81',null,'COMPLAINT#301161449','73','73','2021-07-29 15:18:15','2021-07-29 15:33:35',null);
INSERT INTO complaint_statuses VALUES('26698','8480','4',null,'62',null,null,'81','81','2021-07-29 15:18:47','2021-07-29 15:18:47',null);
INSERT INTO complaint_statuses VALUES('26699','8481','3',null,'85',null,'29-JUL-2021
COMPLAINT#301161448','73','73','2021-07-29 15:24:39','2021-07-29 15:31:51',null);
INSERT INTO complaint_statuses VALUES('26700','8190','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-29 15:29:10','2021-07-29 15:29:10',null);
INSERT INTO complaint_statuses VALUES('26701','8188','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-29 15:31:06','2021-07-29 15:31:06',null);
INSERT INTO complaint_statuses VALUES('26702','8096','5',null,null,'COMPALINT COMPLETED',null,'74','74','2021-07-29 15:40:03','2021-07-29 15:40:03',null);
INSERT INTO complaint_statuses VALUES('26703','8112','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','74','74','2021-07-29 15:45:31','2021-07-29 17:22:02',null);
INSERT INTO complaint_statuses VALUES('26704','8030','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-29 15:53:58','2021-07-29 15:53:58',null);
INSERT INTO complaint_statuses VALUES('26705','8259','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-29 15:57:16','2021-07-29 15:57:16',null);
INSERT INTO complaint_statuses VALUES('26706','8258','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-29 16:02:34','2021-07-29 16:02:34',null);
INSERT INTO complaint_statuses VALUES('26707','8061','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-07-29 16:05:08','2021-07-29 16:05:08',null);
INSERT INTO complaint_statuses VALUES('26708','8482','3',null,'65',null,'29-JUL-2021
COMPLAINT#192126633','73','106','2021-07-29 16:26:51','2021-08-01 14:12:33',null);
INSERT INTO complaint_statuses VALUES('26709','8483','3',null,'53',null,'17-JUL-2021
COMPLAINT#301157206','74','92','2021-07-29 16:46:58','2021-08-02 13:34:13',null);
INSERT INTO complaint_statuses VALUES('26710','8178','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-29 17:06:52','2021-07-29 17:06:52',null);
INSERT INTO complaint_statuses VALUES('26711','8211','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-29 17:17:59','2021-07-29 17:21:27',null);
INSERT INTO complaint_statuses VALUES('26712','8446','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-29 17:24:08','2021-07-29 17:25:17',null);
INSERT INTO complaint_statuses VALUES('26713','8252','8','23','58','CUSTOMER KA ISSUE RESOLVED NI HOA KINDLY AGAIN CUSTOMER SA CONTACT KAR K VISIT ARRANGE KARWAY',null,'81','81','2021-07-29 17:29:59','2021-07-29 17:29:59',null);
INSERT INTO complaint_statuses VALUES('26714','8307','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-07-29 17:30:55','2021-07-29 17:30:55',null);
INSERT INTO complaint_statuses VALUES('26715','7336','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-29 17:33:36','2021-07-29 17:33:36',null);
INSERT INTO complaint_statuses VALUES('26716','7960','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-29 17:58:36','2021-07-29 17:58:36',null);
INSERT INTO complaint_statuses VALUES('26717','7393','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-29 18:01:54','2021-07-29 18:01:54',null);
INSERT INTO complaint_statuses VALUES('26718','8485','3',null,'52',null,'29-JULY-2021
COM NO PKRI-210729114371','92','92','2021-07-29 18:37:09','2021-08-05 15:42:23',null);
INSERT INTO complaint_statuses VALUES('26719','8390','7','12','81','issue resolved kr dya hai pipe ka issue tha',null,'79','79','2021-07-29 19:01:59','2021-07-29 19:01:59',null);
INSERT INTO complaint_statuses VALUES('26720','8459','7','24','81',null,null,'87','87','2021-07-29 20:30:44','2021-07-29 20:30:44',null);
INSERT INTO complaint_statuses VALUES('26721','8465','7','24','81',null,null,'87','87','2021-07-29 20:36:41','2021-07-29 20:36:41',null);
INSERT INTO complaint_statuses VALUES('26722','8480','7','24','81',null,null,'87','87','2021-07-29 20:41:35','2021-07-29 20:41:35',null);
INSERT INTO complaint_statuses VALUES('26723','8451','7','12','81','Tharmokapal Luz the',null,'88','88','2021-07-29 21:05:24','2021-07-29 21:05:24',null);
INSERT INTO complaint_statuses VALUES('26724','8399','7','22','81','Tank like hy fasial bhai ko bata diya hy',null,'88','88','2021-07-29 21:06:30','2021-07-29 21:06:30',null);
INSERT INTO complaint_statuses VALUES('26725','8326','7','12','81','Ok',null,'88','88','2021-07-29 21:07:06','2021-07-29 21:07:06',null);
INSERT INTO complaint_statuses VALUES('26726','8291','7','22','81','Tank like hy fasial bhai ko bata diya hy',null,'88','88','2021-07-29 21:07:54','2021-07-29 21:07:54',null);
INSERT INTO complaint_statuses VALUES('26727','8288','7','12','81','OK jat band tha ok',null,'88','88','2021-07-29 21:08:33','2021-07-29 21:08:33',null);
INSERT INTO complaint_statuses VALUES('26728','8253','7','12','81','Sating ka masla tha ok',null,'88','88','2021-07-29 21:09:22','2021-07-29 21:09:22',null);
INSERT INTO complaint_statuses VALUES('26729','8212','7','12','81','Gas kam the OK 500f',null,'88','88','2021-07-29 21:09:57','2021-07-29 21:09:57',null);
INSERT INTO complaint_statuses VALUES('26730','8205','7','22','81','Safti Sal kharb hy',null,'88','88','2021-07-29 21:10:58','2021-07-29 21:10:58',null);
INSERT INTO complaint_statuses VALUES('26731','8196','7','12','81','Sal kharb tha darakt Kar diya hay OK',null,'88','88','2021-07-29 21:11:47','2021-07-29 21:11:47',null);
INSERT INTO complaint_statuses VALUES('26732','8173','7','26','81','Bahir say thik karwa Liya hy',null,'88','88','2021-07-29 21:12:28','2021-07-29 21:12:28',null);
INSERT INTO complaint_statuses VALUES('26733','7940','7','22','81','Tank like hy fasial bhai ko bata diya hy',null,'88','88','2021-07-29 21:13:25','2021-07-29 21:13:25',null);
INSERT INTO complaint_statuses VALUES('26734','7881','7','22','81','Hangiz kharb hy ya in hy stak my',null,'88','88','2021-07-29 21:14:29','2021-07-29 21:14:29',null);
INSERT INTO complaint_statuses VALUES('26735','7933','7','22','81','Fasial bhai ko bata diya tha',null,'88','88','2021-07-29 21:15:18','2021-07-29 21:15:18',null);
INSERT INTO complaint_statuses VALUES('26736','7581','7','22','81','Hob ka barnar kharb hy or oven ka hangiz khurram sab ko bata diya hy',null,'88','88','2021-07-29 21:17:00','2021-07-29 21:17:00',null);
INSERT INTO complaint_statuses VALUES('26737','8486','3',null,'53',null,'25-JUL-2021
COMPLAINT#301159062','74','74','2021-07-30 12:10:33','2021-07-30 12:10:33',null);
INSERT INTO complaint_statuses VALUES('26738','8487','2',null,'81',null,'30-JULY-2021
FF TO SHAMIM AKHTER','74','74','2021-07-30 12:13:56','2021-07-30 12:13:56',null);
INSERT INTO complaint_statuses VALUES('26739','8487','4',null,'55',null,null,'81','81','2021-07-30 12:15:47','2021-07-30 12:15:47',null);
INSERT INTO complaint_statuses VALUES('26740','8488','2',null,'81',null,'30-JULY-2021
FF TO KHURRAM 5 STAR','74','74','2021-07-30 12:34:19','2021-07-30 12:34:19',null);
INSERT INTO complaint_statuses VALUES('26741','8488','4',null,'63',null,null,'81','81','2021-07-30 12:35:42','2021-07-30 12:35:42',null);
INSERT INTO complaint_statuses VALUES('26742','8489','3',null,'52',null,'30-JULY-2021
COMPLAINT#PKRI-210730105657','74','92','2021-07-30 12:47:12','2021-07-31 11:46:05',null);
INSERT INTO complaint_statuses VALUES('26743','8490','3',null,'97',null,'30-JULY-2021
COMPLAINT#202107022401','74','92','2021-07-30 13:04:30','2021-08-03 17:36:11',null);
INSERT INTO complaint_statuses VALUES('26744','8484','3',null,'55',null,'COMPLAINT R,EP 20310','74','74','2021-07-30 13:11:00','2021-07-30 13:11:00',null);
INSERT INTO complaint_statuses VALUES('26745','8484','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-30 13:11:46','2021-07-30 13:11:46',null);
INSERT INTO complaint_statuses VALUES('26746','8492','2',null,'81',null,'30-JULY-2021
FF TO AZHAR FCI','74','74','2021-07-30 13:15:45','2021-07-30 13:15:45',null);
INSERT INTO complaint_statuses VALUES('26747','8492','4',null,'60',null,null,'81','81','2021-07-30 13:16:17','2021-07-30 13:16:17',null);
INSERT INTO complaint_statuses VALUES('26748','7918','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-30 13:25:54','2021-07-30 13:25:54',null);
INSERT INTO complaint_statuses VALUES('26749','8493','3',null,'84',null,'30-JULY-2021
COMPLAINT#-R.W.P-22534','74','74','2021-07-30 13:37:14','2021-07-30 13:37:14',null);
INSERT INTO complaint_statuses VALUES('26750','8494','2',null,'81',null,'30-JULY-2021
FF TO B.COOL','74','74','2021-07-30 13:45:07','2021-07-30 13:45:07',null);
INSERT INTO complaint_statuses VALUES('26751','8494','4',null,'58',null,null,'81','81','2021-07-30 13:45:29','2021-07-30 13:45:29',null);
INSERT INTO complaint_statuses VALUES('26752','8495','3',null,'55',null,'30-JULY-2021
COMPLAINT#ISB-13597','74','74','2021-07-30 13:53:21','2021-07-30 13:53:21',null);
INSERT INTO complaint_statuses VALUES('26753','8450','7','12','81','Bettry issue tha',null,'82','82','2021-07-30 14:16:00','2021-07-30 14:16:00',null);
INSERT INTO complaint_statuses VALUES('26754','8496','3',null,'52',null,'30-JULY-2021
COMPLAINT#PKRI-210730107446','74','92','2021-07-30 14:27:12','2021-08-08 16:47:20',null);
INSERT INTO complaint_statuses VALUES('26755','8497','3',null,'53',null,'30-JULY-2021
COMPLAINT#301161758','74','92','2021-07-30 15:28:46','2021-08-02 13:31:55',null);
INSERT INTO complaint_statuses VALUES('26756','8491','3',null,'73',null,'30-JULY-2021
COMPLAINT#5209','74','92','2021-07-30 15:36:08','2021-08-03 15:44:49',null);
INSERT INTO complaint_statuses VALUES('26757','8498','3',null,'53',null,'30-JULY-2021
COMPLAINT #301161768','74','92','2021-07-30 15:42:53','2021-08-02 13:20:03',null);
INSERT INTO complaint_statuses VALUES('26758','8499','3',null,'72',null,'30-JULY-2021
COMPLAINT#19212695','74','92','2021-07-30 16:01:36','2021-08-07 15:09:59',null);
INSERT INTO complaint_statuses VALUES('26759','8500','3',null,'52',null,'30-JULY-2021
COMPLAINT#PKRI-210730110057','74','74','2021-07-30 16:33:41','2021-07-30 16:33:41',null);
INSERT INTO complaint_statuses VALUES('26760','8501','3',null,'66',null,'30-JULY-2021
COMPLAINT#PK073020210104','74','92','2021-07-30 16:37:23','2021-08-08 13:13:02',null);
INSERT INTO complaint_statuses VALUES('26761','8502','3',null,'62',null,'30-JULY-2021
FF TO KHURRAM 5 STAR','74','74','2021-07-30 16:52:31','2021-07-30 16:52:31',null);
INSERT INTO complaint_statuses VALUES('26762','8503','3',null,'53',null,'30-JULY-2021
COMPLAINT#01161818','74','92','2021-07-30 17:17:31','2021-08-02 13:14:24',null);
INSERT INTO complaint_statuses VALUES('26763','8468','7','12','81','Temperature settings only 
Rs 500 visit only',null,'83','83','2021-07-30 18:50:04','2021-07-30 18:50:04',null);
INSERT INTO complaint_statuses VALUES('26764','7605','7','12','81','Smps replaced new unit at Blue area showroom',null,'83','83','2021-07-30 23:30:04','2021-07-30 23:30:04',null);
INSERT INTO complaint_statuses VALUES('26765','6252','7','12','81','Unit hand over to aslam',null,'83','83','2021-07-30 23:33:07','2021-07-30 23:33:07',null);
INSERT INTO complaint_statuses VALUES('26766','8015','7','12','81','Speaker repair  
Rs1500',null,'83','83','2021-07-30 23:34:07','2021-07-30 23:34:07',null);
INSERT INTO complaint_statuses VALUES('26767','8225','7','12','81','compliant resolved,pcb changed and door reapirng',null,'79','79','2021-07-31 10:30:54','2021-07-31 10:30:54',null);
INSERT INTO complaint_statuses VALUES('26768','8238','7','10','81','cusoptmer pick nahi kr rahy 2 br kiye hain',null,'79','79','2021-07-31 10:33:07','2021-07-31 10:33:07',null);
INSERT INTO complaint_statuses VALUES('26769','8431','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 10:56:57','2021-07-31 10:56:57',null);
INSERT INTO complaint_statuses VALUES('26770','8477','7','12','81','isssue resolved',null,'79','79','2021-07-31 11:00:34','2021-07-31 11:00:34',null);
INSERT INTO complaint_statuses VALUES('26771','8486','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 11:06:49','2021-07-31 11:06:49',null);
INSERT INTO complaint_statuses VALUES('26772','8504','2',null,'81',null,null,'73','73','2021-07-31 11:13:18','2021-07-31 11:13:18',null);
INSERT INTO complaint_statuses VALUES('26773','8505','3',null,'90',null,'31-JUL-2021
COMPLAINT#202107023137','73','73','2021-07-31 11:15:50','2021-07-31 13:47:15',null);
INSERT INTO complaint_statuses VALUES('26774','8506','3',null,'53',null,'31-JULY-2021
COMP#301162141','73','74','2021-07-31 11:18:45','2021-07-31 15:57:25',null);
INSERT INTO complaint_statuses VALUES('26775','8441','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 11:27:01','2021-07-31 11:27:01',null);
INSERT INTO complaint_statuses VALUES('26776','8445','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 11:30:56','2021-07-31 11:30:56',null);
INSERT INTO complaint_statuses VALUES('26777','8507','3',null,'65',null,'31-JUL-2021
COMPLAINT#192126732','73','73','2021-07-31 11:35:38','2021-07-31 16:11:25',null);
INSERT INTO complaint_statuses VALUES('26778','8508','3',null,'52',null,'31-JULY-2021
COMP#PKRI210731111618','73','74','2021-07-31 11:39:16','2021-07-31 17:10:23',null);
INSERT INTO complaint_statuses VALUES('26779','8377','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 11:45:10','2021-07-31 11:45:10',null);
INSERT INTO complaint_statuses VALUES('26780','8509','3',null,'52',null,'31-JULY-2021
COMPLAINT#PKRI210731111835','73','74','2021-07-31 11:46:22','2021-07-31 17:17:30',null);
INSERT INTO complaint_statuses VALUES('26781','8510','3',null,'54',null,null,'73','73','2021-07-31 11:48:08','2021-07-31 11:48:08',null);
INSERT INTO complaint_statuses VALUES('26782','8511','3',null,'90',null,'31-JUL-2021
COMPLAINT#202107023141','73','73','2021-07-31 11:56:27','2021-07-31 13:49:41',null);
INSERT INTO complaint_statuses VALUES('26783','8381','5',null,null,'COMPLIANT COMPLETED',null,'74','74','2021-07-31 11:56:41','2021-07-31 11:56:41',null);
INSERT INTO complaint_statuses VALUES('26784','8512','3',null,'84',null,'31-JUL-2021
COMPLAINT#812368','73','73','2021-07-31 12:01:51','2021-07-31 16:20:20',null);
INSERT INTO complaint_statuses VALUES('26785','8513','3',null,'52',null,'31-JULY-2021
COMPLAINT#PKRI21071111911','73','74','2021-07-31 12:05:26','2021-07-31 17:22:06',null);
INSERT INTO complaint_statuses VALUES('26786','8514','2',null,'81',null,null,'73','73','2021-07-31 12:08:07','2021-07-31 12:08:07',null);
INSERT INTO complaint_statuses VALUES('26787','8515','3',null,'57',null,'31-JUL-2021
COMPLAINT#20631','73','73','2021-07-31 12:10:54','2021-07-31 16:17:27',null);
INSERT INTO complaint_statuses VALUES('26788','8477','5','15',null,'completed complaint','COMPLETED COMPLAINT','81','74','2021-07-31 12:15:18','2021-07-31 12:34:22',null);
INSERT INTO complaint_statuses VALUES('26789','8480','5','23',null,'OK JOB COMPLETED QUKILEY','REOPEN KAR DI AGAIN COMPLAINT','81','74','2021-07-31 12:15:47','2021-07-31 12:33:45',null);
INSERT INTO complaint_statuses VALUES('26790','8468','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-31 12:16:52','2021-07-31 12:34:54',null);
INSERT INTO complaint_statuses VALUES('26791','8430','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 12:17:01','2021-07-31 12:17:01',null);
INSERT INTO complaint_statuses VALUES('26792','8465','5','23',null,'OK JOB COMPLETED QUKILEY','REOPEN KARWA DI COMPLAINT','81','74','2021-07-31 12:17:23','2021-07-31 12:37:06',null);
INSERT INTO complaint_statuses VALUES('26793','8459','5','23',null,'OK JOB COMPLETED QUKILEY','REOPEN COMPLAINT','81','74','2021-07-31 12:17:55','2021-07-31 12:49:40',null);
INSERT INTO complaint_statuses VALUES('26794','8399','8','23','63','OK JOB COMPLETED QUKILEY',null,'81','81','2021-07-31 12:18:32','2021-07-31 12:18:32',null);
INSERT INTO complaint_statuses VALUES('26795','8376','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-07-31 12:20:50','2021-07-31 12:51:47',null);
INSERT INTO complaint_statuses VALUES('26796','8451','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-31 12:21:22','2021-07-31 12:50:19',null);
INSERT INTO complaint_statuses VALUES('26797','8516','3',null,'66',null,'31-JUL-2021
COMPLAINT#PK073120210103','73','73','2021-07-31 12:21:51','2021-07-31 16:28:15',null);
INSERT INTO complaint_statuses VALUES('26798','8425','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 12:23:12','2021-07-31 12:23:12',null);
INSERT INTO complaint_statuses VALUES('26799','8450','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-31 12:23:26','2021-07-31 12:51:11',null);
INSERT INTO complaint_statuses VALUES('26800','8392','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 12:27:09','2021-07-31 12:27:09',null);
INSERT INTO complaint_statuses VALUES('26801','8423','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 12:30:27','2021-07-31 12:30:27',null);
INSERT INTO complaint_statuses VALUES('26802','8517','2',null,'81',null,'COMPLAINT#301161449','74','74','2021-07-31 12:31:58','2021-07-31 12:31:58',null);
INSERT INTO complaint_statuses VALUES('26803','8389','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 12:31:59','2021-07-31 12:31:59',null);
INSERT INTO complaint_statuses VALUES('26804','8517','4',null,'62',null,null,'81','81','2021-07-31 12:32:46','2021-07-31 12:32:46',null);
INSERT INTO complaint_statuses VALUES('26805','8391','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 12:33:12','2021-07-31 12:33:12',null);
INSERT INTO complaint_statuses VALUES('26806','8518','2',null,'81',null,null,'73','73','2021-07-31 12:33:27','2021-07-31 12:33:27',null);
INSERT INTO complaint_statuses VALUES('26807','8504','4',null,'63',null,null,'81','81','2021-07-31 12:33:55','2021-07-31 12:33:55',null);
INSERT INTO complaint_statuses VALUES('26808','8514','4',null,'55',null,null,'81','81','2021-07-31 12:34:05','2021-07-31 12:34:05',null);
INSERT INTO complaint_statuses VALUES('26809','8519','2',null,'81',null,'29-july-2021
COM FF TO HOME SOLUTION','74','74','2021-07-31 12:35:46','2021-07-31 12:35:46',null);
INSERT INTO complaint_statuses VALUES('26810','8519','4',null,'62',null,null,'81','81','2021-07-31 12:36:08','2021-07-31 12:36:08',null);
INSERT INTO complaint_statuses VALUES('26811','8518','4',null,'63',null,null,'81','81','2021-07-31 12:37:45','2021-07-31 12:37:45',null);
INSERT INTO complaint_statuses VALUES('26812','8390','8','23','58','ISSUE NOT RESOLVED',null,'81','81','2021-07-31 12:37:49','2021-07-31 12:37:49',null);
INSERT INTO complaint_statuses VALUES('26813','8420','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 12:38:41','2021-07-31 12:38:41',null);
INSERT INTO complaint_statuses VALUES('26814','8520','3',null,'54',null,'31-JUL-2021
COMPLAINT#1951115','73','73','2021-07-31 12:39:19','2021-07-31 14:19:04',null);
INSERT INTO complaint_statuses VALUES('26815','8419','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 12:40:21','2021-07-31 12:40:21',null);
INSERT INTO complaint_statuses VALUES('26816','8521','2',null,'81',null,'OTHER#03212025821','74','74','2021-07-31 12:40:43','2021-07-31 12:40:43',null);
INSERT INTO complaint_statuses VALUES('26817','8521','4',null,'62',null,null,'81','81','2021-07-31 12:41:03','2021-07-31 12:41:03',null);
INSERT INTO complaint_statuses VALUES('26818','8416','5',null,null,'COMPLAINT COMPLETED','UNIT S/C MAIN READY HAIN DELVER GARI KI WAJA SA PENDING HAIN','74','74','2021-07-31 12:44:35','2021-08-11 16:19:23',null);
INSERT INTO complaint_statuses VALUES('26819','8522','3',null,'80',null,'31-JUL-2021
FRWRD TO AYESHA BOSCH','73','92','2021-07-31 12:44:37','2021-08-03 14:18:53',null);
INSERT INTO complaint_statuses VALUES('26820','5224','8','23','56','SET KHALID SIR S/C LA AAY HAIN',null,'81','81','2021-07-31 12:46:53','2021-07-31 12:46:53',null);
INSERT INTO complaint_statuses VALUES('26821','8523','3',null,'52',null,'31-JULY-2021
COMPLAINT#PKRI21071111977','73','74','2021-07-31 12:47:34','2021-07-31 17:26:04',null);
INSERT INTO complaint_statuses VALUES('26822','8524','2',null,'81',null,null,'73','73','2021-07-31 12:48:23','2021-07-31 12:48:23',null);
INSERT INTO complaint_statuses VALUES('26823','8326','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-31 12:48:39','2021-07-31 12:52:35',null);
INSERT INTO complaint_statuses VALUES('26824','8414','5',null,null,'COMPALINT CLOSED',null,'74','74','2021-07-31 12:52:16','2021-07-31 12:52:16',null);
INSERT INTO complaint_statuses VALUES('26825','8344','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 12:53:01','2021-07-31 12:53:01',null);
INSERT INTO complaint_statuses VALUES('26826','8288','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-07-31 12:53:07','2021-07-31 14:56:38',null);
INSERT INTO complaint_statuses VALUES('26827','8407','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 13:01:43','2021-07-31 13:01:43',null);
INSERT INTO complaint_statuses VALUES('26828','8396','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 13:02:22','2021-07-31 13:02:22',null);
INSERT INTO complaint_statuses VALUES('26829','8253','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-31 13:02:30','2021-07-31 16:10:55',null);
INSERT INTO complaint_statuses VALUES('26830','8525','2',null,'81',null,null,'73','73','2021-07-31 13:02:55','2021-07-31 13:02:55',null);
INSERT INTO complaint_statuses VALUES('26831','8406','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-31 13:03:38','2021-07-31 13:03:38',null);
INSERT INTO complaint_statuses VALUES('26832','8524','4',null,'55',null,null,'81','81','2021-07-31 13:03:47','2021-07-31 13:03:47',null);
INSERT INTO complaint_statuses VALUES('26833','8525','4',null,'63',null,null,'81','81','2021-07-31 13:04:45','2021-07-31 13:04:45',null);
INSERT INTO complaint_statuses VALUES('26834','8272','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 13:06:25','2021-07-31 13:06:25',null);
INSERT INTO complaint_statuses VALUES('26835','8291','8','23','63','OK JOB COMPLETED QUKILEY',null,'81','81','2021-07-31 13:07:01','2021-07-31 13:07:01',null);
INSERT INTO complaint_statuses VALUES('26836','8309','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 13:11:21','2021-07-31 13:11:21',null);
INSERT INTO complaint_statuses VALUES('26837','8314','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 13:13:16','2021-07-31 13:13:16',null);
INSERT INTO complaint_statuses VALUES('26838','8333','7','12','81','complaint resolved',null,'79','79','2021-07-31 13:13:39','2021-07-31 13:13:39',null);
INSERT INTO complaint_statuses VALUES('26839','8238','5','15',null,'CUSTOMER DONO NO SA CALL ATTEND NAI KAR RAHAY HAIN SO CLOSED THIS COMPLAINT','COMPLAINT CLOSED','81','74','2021-07-31 13:13:52','2021-07-31 16:11:41',null);
INSERT INTO complaint_statuses VALUES('26840','8402','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 13:15:28','2021-07-31 13:15:28',null);
INSERT INTO complaint_statuses VALUES('26841','7493','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 13:16:05','2021-07-31 13:16:05',null);
INSERT INTO complaint_statuses VALUES('26842','8405','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 13:18:03','2021-07-31 13:18:03',null);
INSERT INTO complaint_statuses VALUES('26843','8333','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-07-31 13:18:24','2021-07-31 14:55:38',null);
INSERT INTO complaint_statuses VALUES('26844','8526','3',null,'54',null,'31-JUL-2021
COMPLAINT#1951121','73','73','2021-07-31 13:22:18','2021-07-31 14:20:55',null);
INSERT INTO complaint_statuses VALUES('26845','8369','8','23','58','HOOD KI PIC SHER KARAY IC NO PA 0321-5511255',null,'81','81','2021-07-31 13:22:55','2021-07-31 13:22:55',null);
INSERT INTO complaint_statuses VALUES('26846','8225','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-07-31 13:25:37','2021-07-31 16:12:21',null);
INSERT INTO complaint_statuses VALUES('26847','8205','8','23','63','sel change kr do',null,'81','81','2021-07-31 13:26:59','2021-07-31 13:26:59',null);
INSERT INTO complaint_statuses VALUES('26848','8527','2',null,'81',null,'1-AUG-2021
COMPLAINT#812570','73','73','2021-07-31 13:28:52','2021-08-01 11:25:26',null);
INSERT INTO complaint_statuses VALUES('26849','8527','4',null,'62',null,null,'81','81','2021-07-31 13:29:37','2021-07-31 13:29:37',null);
INSERT INTO complaint_statuses VALUES('26850','8388','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 13:34:34','2021-07-31 13:34:34',null);
INSERT INTO complaint_statuses VALUES('26851','8528','2',null,'81',null,null,'73','73','2021-07-31 13:56:47','2021-07-31 13:56:47',null);
INSERT INTO complaint_statuses VALUES('26852','8528','4',null,'56',null,null,'81','81','2021-07-31 13:57:11','2021-07-31 13:57:11',null);
INSERT INTO complaint_statuses VALUES('26853','8345','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 13:58:10','2021-07-31 13:58:10',null);
INSERT INTO complaint_statuses VALUES('26854','8349','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 14:01:50','2021-07-31 14:01:50',null);
INSERT INTO complaint_statuses VALUES('26855','8348','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 14:02:48','2021-07-31 14:02:48',null);
INSERT INTO complaint_statuses VALUES('26856','8350','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 14:04:07','2021-07-31 14:04:07',null);
INSERT INTO complaint_statuses VALUES('26857','8398','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 14:06:31','2021-07-31 14:06:31',null);
INSERT INTO complaint_statuses VALUES('26858','8529','2',null,'81',null,null,'73','73','2021-07-31 14:07:14','2021-07-31 14:07:14',null);
INSERT INTO complaint_statuses VALUES('26859','8529','4',null,'58',null,null,'81','81','2021-07-31 14:07:35','2021-07-31 14:07:35',null);
INSERT INTO complaint_statuses VALUES('26860','8352','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 14:08:35','2021-07-31 14:08:35',null);
INSERT INTO complaint_statuses VALUES('26861','8530','3',null,'54',null,'31-JUL-2021
COMPLAINT#1951131','73','73','2021-07-31 14:09:47','2021-07-31 14:26:30',null);
INSERT INTO complaint_statuses VALUES('26862','8127','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 14:17:33','2021-07-31 14:17:33',null);
INSERT INTO complaint_statuses VALUES('26863','8125','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 14:20:02','2021-07-31 14:20:02',null);
INSERT INTO complaint_statuses VALUES('26864','8137','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 14:24:32','2021-07-31 14:24:32',null);
INSERT INTO complaint_statuses VALUES('26865','8357','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 14:27:33','2021-07-31 14:27:33',null);
INSERT INTO complaint_statuses VALUES('26866','8095','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 14:29:02','2021-07-31 14:29:02',null);
INSERT INTO complaint_statuses VALUES('26867','8531','3',null,'53',null,'31-JULY-2021 COMP#301149766','73','74','2021-07-31 14:35:07','2021-07-31 15:57:21',null);
INSERT INTO complaint_statuses VALUES('26868','8367','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 14:44:12','2021-07-31 14:44:12',null);
INSERT INTO complaint_statuses VALUES('26869','8532','3',null,'66',null,'31-JUL-2021
COMPLAINT#PK073120210104','73','73','2021-07-31 14:45:54','2021-07-31 16:31:23',null);
INSERT INTO complaint_statuses VALUES('26870','8374','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 14:47:44','2021-07-31 14:47:44',null);
INSERT INTO complaint_statuses VALUES('26871','8492','7','24','81','Visit okay',null,'82','82','2021-07-31 14:51:29','2021-07-31 14:51:29',null);
INSERT INTO complaint_statuses VALUES('26872','8141','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 14:57:23','2021-07-31 14:57:23',null);
INSERT INTO complaint_statuses VALUES('26873','8421','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-07-31 14:59:02','2021-07-31 14:59:02',null);
INSERT INTO complaint_statuses VALUES('26874','8324','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 15:04:43','2021-07-31 15:04:43',null);
INSERT INTO complaint_statuses VALUES('26875','8533','3',null,'53',null,'31-JULY-2021 COMPLAINT#3011625139','73','74','2021-07-31 15:05:06','2021-07-31 15:51:46',null);
INSERT INTO complaint_statuses VALUES('26876','8229','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-07-31 15:07:46','2021-07-31 15:07:46',null);
INSERT INTO complaint_statuses VALUES('26877','8170','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 15:08:37','2021-07-31 15:08:37',null);
INSERT INTO complaint_statuses VALUES('26878','8534','3',null,'52',null,'31-JULY-2021
COMPLAINT#PKRI21071111054','73','74','2021-07-31 15:09:06','2021-07-31 17:30:49',null);
INSERT INTO complaint_statuses VALUES('26879','8456','7','12','81','Water filter issue tha',null,'82','82','2021-07-31 15:13:02','2021-07-31 15:13:02',null);
INSERT INTO complaint_statuses VALUES('26880','8372','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 15:13:36','2021-07-31 15:13:36',null);
INSERT INTO complaint_statuses VALUES('26881','8203','7','12','81','Hud replece ho gea hy',null,'82','82','2021-07-31 15:13:41','2021-07-31 15:13:41',null);
INSERT INTO complaint_statuses VALUES('26882','7931','7','12','81','Frezer phonch gea custmer ky ghar',null,'82','82','2021-07-31 15:14:18','2021-07-31 15:14:18',null);
INSERT INTO complaint_statuses VALUES('26883','6015','7','12','81','Pcb theek kar waky sakrdo bhej di hy',null,'82','82','2021-07-31 15:15:34','2021-07-31 15:15:34',null);
INSERT INTO complaint_statuses VALUES('26884','8535','3',null,'53',null,'31-JUL-2021
COMPLAINT#301161176','73','73','2021-07-31 15:16:09','2021-07-31 16:42:58',null);
INSERT INTO complaint_statuses VALUES('26885','7994','7','12','81','Farwerd to anneq',null,'82','82','2021-07-31 15:29:23','2021-07-31 15:29:23',null);
INSERT INTO complaint_statuses VALUES('26886','8536','2',null,'81',null,null,'73','73','2021-07-31 15:30:52','2021-07-31 15:30:52',null);
INSERT INTO complaint_statuses VALUES('26887','8536','4',null,'63',null,null,'81','81','2021-07-31 15:31:44','2021-07-31 15:31:44',null);
INSERT INTO complaint_statuses VALUES('26888','8537','3',null,'65',null,'31-JUL-2021
COMPLAINT#192126733','73','73','2021-07-31 15:32:48','2021-07-31 16:12:58',null);
INSERT INTO complaint_statuses VALUES('26889','8290','7','12','81','Filtir problam 
Ac okay',null,'82','82','2021-07-31 15:33:22','2021-07-31 15:33:22',null);
INSERT INTO complaint_statuses VALUES('26890','7994','5','25',null,'FORWARDED TO SAMSUNG',null,'81','81','2021-07-31 15:33:56','2021-07-31 15:33:56',null);
INSERT INTO complaint_statuses VALUES('26891','8269','7','12','81','Compny farwerd azhar sab',null,'82','82','2021-07-31 15:33:59','2021-07-31 15:33:59',null);
INSERT INTO complaint_statuses VALUES('26892','8538','2',null,'81',null,null,'73','73','2021-07-31 15:35:52','2021-07-31 15:35:52',null);
INSERT INTO complaint_statuses VALUES('26893','8538','4',null,'61',null,null,'81','81','2021-07-31 15:36:14','2021-07-31 15:36:14',null);
INSERT INTO complaint_statuses VALUES('26894','7744','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 15:39:06','2021-07-31 15:39:06',null);
INSERT INTO complaint_statuses VALUES('26895','7758','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 15:41:06','2021-07-31 15:41:06',null);
INSERT INTO complaint_statuses VALUES('26896','8387','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 15:48:10','2021-07-31 15:48:10',null);
INSERT INTO complaint_statuses VALUES('26897','8363','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 16:07:29','2021-07-31 16:07:29',null);
INSERT INTO complaint_statuses VALUES('26898','8378','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 16:11:31','2021-07-31 16:11:31',null);
INSERT INTO complaint_statuses VALUES('26899','8456','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-07-31 16:14:28','2021-07-31 16:21:34',null);
INSERT INTO complaint_statuses VALUES('26900','8492','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-07-31 16:15:04','2021-07-31 16:15:04',null);
INSERT INTO complaint_statuses VALUES('26901','8290','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-07-31 16:16:43','2021-07-31 16:22:18',null);
INSERT INTO complaint_statuses VALUES('26902','8269','5','15',null,'AZHAR SIR SA BT KAR K COMPLAINT COMPLETED KI CUSTOMER CALL ATTEND NI KAR RAHAY','COMPLAINT CLOSED','81','74','2021-07-31 16:23:41','2021-07-31 16:24:41',null);
INSERT INTO complaint_statuses VALUES('26903','8539','3',null,'65',null,'31-JULY-2021
COM NO 192126734','92','92','2021-07-31 16:24:01','2021-08-05 14:20:52',null);
INSERT INTO complaint_statuses VALUES('26904','8212','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-07-31 16:27:54','2021-07-31 17:23:39',null);
INSERT INTO complaint_statuses VALUES('26905','8203','5','15',null,'HOOD REPLACE HO GAY COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-07-31 16:31:01','2021-07-31 17:24:19',null);
INSERT INTO complaint_statuses VALUES('26906','8196','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-07-31 16:33:27','2021-08-01 10:57:08',null);
INSERT INTO complaint_statuses VALUES('26907','8540','2',null,'81',null,null,'73','73','2021-07-31 16:33:40','2021-07-31 16:33:40',null);
INSERT INTO complaint_statuses VALUES('26908','8540','4',null,'59',null,null,'81','81','2021-07-31 16:34:08','2021-07-31 16:34:08',null);
INSERT INTO complaint_statuses VALUES('26909','8541','3',null,'53',null,'31-JUL-2021
COMPLAINT#301161177','73','73','2021-07-31 16:36:03','2021-07-31 16:43:01',null);
INSERT INTO complaint_statuses VALUES('26910','8173','5','15',null,'CUSTOMER NA KHUD SA LOCAL TECHNICIAN SA OK KARWA LIYA COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-07-31 16:36:27','2021-08-01 10:57:46',null);
INSERT INTO complaint_statuses VALUES('26911','8542','3',null,'98',null,'31-JUL-2021
FRWRD TO MUNAWWAR VARIOLINE','73','73','2021-07-31 16:52:41','2021-07-31 16:52:41',null);
INSERT INTO complaint_statuses VALUES('26912','8447','5',null,null,'COMPLAIN TLOSED',null,'74','74','2021-07-31 17:38:03','2021-07-31 17:38:03',null);
INSERT INTO complaint_statuses VALUES('26913','7641','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 17:40:24','2021-07-31 17:40:24',null);
INSERT INTO complaint_statuses VALUES('26914','8543','3',null,'52',null,null,'73','73','2021-07-31 17:54:10','2021-07-31 17:54:10',null);
INSERT INTO complaint_statuses VALUES('26915','8543','5',null,null,'complaint completed',null,'106','106','2021-07-31 17:58:08','2021-07-31 17:58:08',null);
INSERT INTO complaint_statuses VALUES('26916','8390','7','12','81','comliant resolved cusotemr ko check kerwa dya hai,or khud bhi bt ki hai customer satisfy hain',null,'79','79','2021-07-31 18:10:33','2021-07-31 18:10:33',null);
INSERT INTO complaint_statuses VALUES('26917','7557','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-07-31 18:23:22','2021-07-31 18:23:22',null);
INSERT INTO complaint_statuses VALUES('26918','7553','7','12','81','Unit ready ha pick krwa lain',null,'83','83','2021-07-31 18:46:56','2021-07-31 18:46:56',null);
INSERT INTO complaint_statuses VALUES('26919','6494','7','26','81','Complaint canceled by sale man 
Unit repair k liya Nahi dya  gari pick krna bijwai thi',null,'83','83','2021-07-31 18:52:42','2021-07-31 18:52:42',null);
INSERT INTO complaint_statuses VALUES('26920','8471','5',null,null,'INSTALLER FAULT',null,'73','73','2021-08-01 10:21:16','2021-08-01 10:21:16',null);
INSERT INTO complaint_statuses VALUES('26921','8544','2',null,'81',null,null,'73','73','2021-08-01 10:22:15','2021-08-01 10:22:15',null);
INSERT INTO complaint_statuses VALUES('26922','8544','4',null,'62',null,null,'81','81','2021-08-01 10:23:06','2021-08-01 10:23:06',null);
INSERT INTO complaint_statuses VALUES('26923','8545','3',null,'65',null,'1-AUG-2021
COMPLAINT#192126739','73','73','2021-08-01 10:25:58','2021-08-01 11:29:12',null);
INSERT INTO complaint_statuses VALUES('26924','8546','3',null,'73',null,'2-AUG-2021
COMPLAINT#5218','73','73','2021-08-01 10:28:04','2021-08-02 10:51:43',null);
INSERT INTO complaint_statuses VALUES('26925','8547','3',null,'52',null,'1-AUG-2021
COMPLAINT#PKRI210801102355','73','73','2021-08-01 10:32:50','2021-08-01 11:36:10',null);
INSERT INTO complaint_statuses VALUES('26926','8390','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 10:44:17','2021-08-01 10:56:20',null);
INSERT INTO complaint_statuses VALUES('26927','8015','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-08-01 10:46:32','2021-08-02 12:47:40',null);
INSERT INTO complaint_statuses VALUES('26928','7931','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-08-01 10:48:07','2021-08-02 12:50:57',null);
INSERT INTO complaint_statuses VALUES('26929','8544','7','26','81','CUSTOMER NY UNIT KHD INSTALL KRWAYA THA , FRWD TO COMPANY',null,'87','87','2021-08-01 10:54:45','2021-08-01 10:54:45',null);
INSERT INTO complaint_statuses VALUES('26930','8548','3',null,'53',null,'1-AUG-2021
COMPLAINT#301162248','73','73','2021-08-01 10:58:59','2021-08-01 11:21:47',null);
INSERT INTO complaint_statuses VALUES('26931','8549','2',null,'81',null,null,'73','73','2021-08-01 11:00:54','2021-08-01 11:00:54',null);
INSERT INTO complaint_statuses VALUES('26932','8549','4',null,'60',null,null,'81','81','2021-08-01 11:01:14','2021-08-01 11:01:14',null);
INSERT INTO complaint_statuses VALUES('26933','7834','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-01 11:03:07','2021-08-01 11:03:07',null);
INSERT INTO complaint_statuses VALUES('26934','8550','2',null,'81',null,null,'73','73','2021-08-01 11:03:34','2021-08-01 11:03:34',null);
INSERT INTO complaint_statuses VALUES('26935','8550','4',null,'55',null,null,'81','81','2021-08-01 11:04:16','2021-08-01 11:04:16',null);
INSERT INTO complaint_statuses VALUES('26936','8150','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-01 11:08:22','2021-08-01 11:08:22',null);
INSERT INTO complaint_statuses VALUES('26937','8551','3',null,'60',null,'FRWRD TO RABIA G.TECH','73','73','2021-08-01 11:12:10','2021-08-01 11:12:10',null);
INSERT INTO complaint_statuses VALUES('26938','8478','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-01 11:13:43','2021-08-01 11:13:43',null);
INSERT INTO complaint_statuses VALUES('26939','8454','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-01 11:17:19','2021-08-01 11:17:19',null);
INSERT INTO complaint_statuses VALUES('26940','8481','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-01 11:24:37','2021-08-01 11:24:37',null);
INSERT INTO complaint_statuses VALUES('26941','8462','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-01 11:39:08','2021-08-01 11:39:08',null);
INSERT INTO complaint_statuses VALUES('26942','8466','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-01 11:42:23','2021-08-01 11:42:23',null);
INSERT INTO complaint_statuses VALUES('26943','8472','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-01 11:44:54','2021-08-01 11:44:54',null);
INSERT INTO complaint_statuses VALUES('26944','8552','3',null,'53',null,'1-AUG-2021
COMPLAINT#301162260','73','73','2021-08-01 11:45:11','2021-08-01 11:51:19',null);
INSERT INTO complaint_statuses VALUES('26945','8553','2',null,'81',null,null,'73','73','2021-08-01 12:01:37','2021-08-01 12:01:37',null);
INSERT INTO complaint_statuses VALUES('26946','8554','2',null,'81',null,null,'73','73','2021-08-01 12:02:24','2021-08-01 12:02:24',null);
INSERT INTO complaint_statuses VALUES('26947','8555','2',null,'81',null,null,'73','73','2021-08-01 12:03:13','2021-08-01 12:03:13',null);
INSERT INTO complaint_statuses VALUES('26948','8556','2',null,'81',null,null,'73','73','2021-08-01 12:04:16','2021-08-01 12:04:16',null);
INSERT INTO complaint_statuses VALUES('26949','8557','2',null,'81',null,null,'73','73','2021-08-01 12:04:59','2021-08-01 12:04:59',null);
INSERT INTO complaint_statuses VALUES('26950','8557','4',null,'62',null,null,'81','81','2021-08-01 12:06:35','2021-08-01 12:06:35',null);
INSERT INTO complaint_statuses VALUES('26951','8556','4',null,'62',null,null,'81','81','2021-08-01 12:06:43','2021-08-01 12:06:43',null);
INSERT INTO complaint_statuses VALUES('26952','8555','4',null,'62',null,null,'81','81','2021-08-01 12:06:51','2021-08-01 12:06:51',null);
INSERT INTO complaint_statuses VALUES('26953','8554','4',null,'62',null,null,'81','81','2021-08-01 12:07:00','2021-08-01 12:07:00',null);
INSERT INTO complaint_statuses VALUES('26954','8553','4',null,'62',null,null,'81','81','2021-08-01 12:07:09','2021-08-01 12:07:09',null);
INSERT INTO complaint_statuses VALUES('26955','8558','2',null,'81',null,null,'73','73','2021-08-01 12:07:13','2021-08-01 12:07:13',null);
INSERT INTO complaint_statuses VALUES('26956','8558','4',null,'62',null,null,'81','81','2021-08-01 12:07:36','2021-08-01 12:07:36',null);
INSERT INTO complaint_statuses VALUES('26957','8559','3',null,'56',null,'1-AUG-2021
COMPLAINT#H01/005','73','73','2021-08-01 12:12:07','2021-08-01 12:15:26',null);
INSERT INTO complaint_statuses VALUES('26958','8560','2',null,'81',null,null,'73','73','2021-08-01 12:26:04','2021-08-01 12:26:04',null);
INSERT INTO complaint_statuses VALUES('26959','8561','3',null,'73',null,'2-AUG-2021
COMPLAINT#5219','73','73','2021-08-01 12:27:55','2021-08-02 10:53:20',null);
INSERT INTO complaint_statuses VALUES('26960','8560','4',null,'62',null,null,'81','81','2021-08-01 12:29:09','2021-08-01 12:29:09',null);
INSERT INTO complaint_statuses VALUES('26961','7519','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-01 12:30:14','2021-08-01 12:30:14',null);
INSERT INTO complaint_statuses VALUES('26962','7598','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-01 12:32:39','2021-08-01 12:32:39',null);
INSERT INTO complaint_statuses VALUES('26963','8529','7','12','81','complaint resolved,filter clean',null,'79','79','2021-08-01 12:41:12','2021-08-01 12:41:12',null);
INSERT INTO complaint_statuses VALUES('26964','8562','2',null,'81',null,null,'73','73','2021-08-01 12:45:11','2021-08-01 12:45:11',null);
INSERT INTO complaint_statuses VALUES('26965','8562','4',null,'55',null,null,'81','81','2021-08-01 12:45:29','2021-08-01 12:45:29',null);
INSERT INTO complaint_statuses VALUES('26966','7957','7','12','81','WATER TANK LEAKAGE CUSTOMER REPAIR NAHE KARVANA CHATA COM PLAINT CLOSE KR DEN',null,'87','87','2021-08-01 12:55:03','2021-08-01 12:55:03',null);
INSERT INTO complaint_statuses VALUES('26967','8563','2',null,'81',null,null,'73','73','2021-08-01 12:56:34','2021-08-01 12:56:34',null);
INSERT INTO complaint_statuses VALUES('26968','8563','4',null,'61',null,null,'81','81','2021-08-01 12:56:56','2021-08-01 12:56:56',null);
INSERT INTO complaint_statuses VALUES('26969','7767','7','26','81','Unit already tempered not repairable',null,'83','83','2021-08-01 12:57:22','2021-08-01 12:57:22',null);
INSERT INTO complaint_statuses VALUES('26970','8564','2',null,'81',null,null,'73','73','2021-08-01 13:08:53','2021-08-01 13:08:53',null);
INSERT INTO complaint_statuses VALUES('26971','8564','4',null,'62',null,null,'81','81','2021-08-01 13:09:21','2021-08-01 13:09:21',null);
INSERT INTO complaint_statuses VALUES('26972','8300','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-01 13:16:05','2021-08-01 13:16:05',null);
INSERT INTO complaint_statuses VALUES('26973','8283','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-01 13:18:19','2021-08-01 13:18:19',null);
INSERT INTO complaint_statuses VALUES('26974','8565','2',null,'81',null,null,'73','73','2021-08-01 13:19:45','2021-08-01 13:19:45',null);
INSERT INTO complaint_statuses VALUES('26975','8041','7','12','81','HOOD MOTER REPLACE COMPLAINT COMPLETE',null,'87','87','2021-08-01 13:20:16','2021-08-01 13:20:16',null);
INSERT INTO complaint_statuses VALUES('26976','8565','4',null,'58',null,null,'81','81','2021-08-01 13:20:25','2021-08-01 13:20:25',null);
INSERT INTO complaint_statuses VALUES('26977','8296','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-01 13:24:29','2021-08-01 13:24:29',null);
INSERT INTO complaint_statuses VALUES('26978','7977','7','12','81','GLASS LOCK OUT OF STOKE  . PLEASE CLOSE THIS JOB',null,'87','87','2021-08-01 13:24:37','2021-08-01 13:24:37',null);
INSERT INTO complaint_statuses VALUES('26979','5372','7','12','81',null,null,'91','91','2021-08-01 13:34:54','2021-08-01 13:34:54',null);
INSERT INTO complaint_statuses VALUES('26980','5671','7','12','81',null,null,'91','91','2021-08-01 13:35:16','2021-08-01 13:35:16',null);
INSERT INTO complaint_statuses VALUES('26981','5957','7','12','81',null,null,'91','91','2021-08-01 13:35:43','2021-08-01 13:35:43',null);
INSERT INTO complaint_statuses VALUES('26982','8130','7','12','81','GEAR SOUND PENDING CUSTOMER SIDE . CLOSE KR DEN',null,'87','87','2021-08-01 13:35:59','2021-08-01 13:35:59',null);
INSERT INTO complaint_statuses VALUES('26983','6099','7','12','81',null,null,'91','91','2021-08-01 13:36:23','2021-08-01 13:36:23',null);
INSERT INTO complaint_statuses VALUES('26984','6837','7','12','81',null,null,'91','91','2021-08-01 13:37:33','2021-08-01 13:37:33',null);
INSERT INTO complaint_statuses VALUES('26985','8142','7','24','81','FREEZER IN SERVICE CENTER',null,'87','87','2021-08-01 13:37:37','2021-08-01 13:37:37',null);
INSERT INTO complaint_statuses VALUES('26986','6869','7','12','81',null,null,'91','91','2021-08-01 13:38:01','2021-08-01 13:38:01',null);
INSERT INTO complaint_statuses VALUES('26987','6870','7','12','81',null,null,'91','91','2021-08-01 13:38:33','2021-08-01 13:38:33',null);
INSERT INTO complaint_statuses VALUES('26988','7213','7','12','81',null,null,'91','91','2021-08-01 13:39:48','2021-08-01 13:39:48',null);
INSERT INTO complaint_statuses VALUES('26989','7163','7','12','81',null,null,'91','91','2021-08-01 13:40:04','2021-08-01 13:40:04',null);
INSERT INTO complaint_statuses VALUES('26990','8153','7','12','81','DUCK MOTER SET KR DE HY JOB COMPLETE',null,'87','87','2021-08-01 13:40:23','2021-08-01 13:40:23',null);
INSERT INTO complaint_statuses VALUES('26991','7153','7','12','81',null,null,'91','91','2021-08-01 13:40:29','2021-08-01 13:40:29',null);
INSERT INTO complaint_statuses VALUES('26992','7152','7','12','81',null,null,'91','91','2021-08-01 13:41:33','2021-08-01 13:41:33',null);
INSERT INTO complaint_statuses VALUES('26993','7144','7','12','81',null,null,'91','91','2021-08-01 13:41:49','2021-08-01 13:41:49',null);
INSERT INTO complaint_statuses VALUES('26994','7140','7','12','81',null,null,'91','91','2021-08-01 13:42:06','2021-08-01 13:42:06',null);
INSERT INTO complaint_statuses VALUES('26995','7137','7','12','81',null,null,'91','91','2021-08-01 13:42:22','2021-08-01 13:42:22',null);
INSERT INTO complaint_statuses VALUES('26996','5783','7','12','81',null,null,'91','91','2021-08-01 13:43:17','2021-08-01 13:43:17',null);
INSERT INTO complaint_statuses VALUES('26997','6723','7','12','81',null,null,'91','91','2021-08-01 13:43:40','2021-08-01 13:43:40',null);
INSERT INTO complaint_statuses VALUES('26998','7077','7','12','81',null,null,'91','91','2021-08-01 13:44:32','2021-08-01 13:44:32',null);
INSERT INTO complaint_statuses VALUES('26999','8171','7','26','81','CENCAL KR DEN NEW TASK NO 8192',null,'87','87','2021-08-01 13:45:15','2021-08-01 13:45:15',null);
INSERT INTO complaint_statuses VALUES('27000','8191','7','24','81','LEFT IN I 10 SERVICE CENTER . COMPRASSOR ISSUE',null,'87','87','2021-08-01 13:46:21','2021-08-01 13:46:21',null);
INSERT INTO complaint_statuses VALUES('27001','7213','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 13:46:24','2021-08-01 14:03:34',null);
INSERT INTO complaint_statuses VALUES('27002','7163','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 13:46:48','2021-08-01 14:04:04',null);
INSERT INTO complaint_statuses VALUES('27003','7153','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 13:47:07','2021-08-01 14:04:35',null);
INSERT INTO complaint_statuses VALUES('27004','8192','7','12','81','NO FAULT .COMPLAINT CLOSE',null,'87','87','2021-08-01 13:47:24','2021-08-01 13:47:24',null);
INSERT INTO complaint_statuses VALUES('27005','7152','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 13:47:24','2021-08-01 14:05:00',null);
INSERT INTO complaint_statuses VALUES('27006','7144','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 13:47:45','2021-08-01 14:05:39',null);
INSERT INTO complaint_statuses VALUES('27007','7140','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 13:48:09','2021-08-01 14:06:04',null);
INSERT INTO complaint_statuses VALUES('27008','8566','3',null,'52',null,'1-AUG-2021
COMPLAINT#PKRI210801104612','73','73','2021-08-01 13:48:14','2021-08-01 14:17:32',null);
INSERT INTO complaint_statuses VALUES('27009','8382','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-01 13:48:23','2021-08-01 13:48:23',null);
INSERT INTO complaint_statuses VALUES('27010','7137','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 13:48:26','2021-08-01 14:06:32',null);
INSERT INTO complaint_statuses VALUES('27011','7077','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 13:48:43','2021-08-01 14:07:00',null);
INSERT INTO complaint_statuses VALUES('27012','8204','7','12','81','NO FAULT . COMPLAINT CLOSE',null,'87','87','2021-08-01 13:48:47','2021-08-01 13:48:47',null);
INSERT INTO complaint_statuses VALUES('27013','6723','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 13:49:03','2021-08-01 14:07:26',null);
INSERT INTO complaint_statuses VALUES('27014','6494','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 13:49:35','2021-08-01 14:07:55',null);
INSERT INTO complaint_statuses VALUES('27015','5783','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 13:49:59','2021-08-01 14:08:18',null);
INSERT INTO complaint_statuses VALUES('27016','8213','7','24','81','LEFT IN I 10 SERVICE CENTER . COMPRASSOR ISSUE',null,'87','87','2021-08-01 13:50:07','2021-08-01 13:50:07',null);
INSERT INTO complaint_statuses VALUES('27017','5372','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 13:50:49','2021-08-01 14:13:12',null);
INSERT INTO complaint_statuses VALUES('27018','5671','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 13:51:14','2021-08-01 14:12:48',null);
INSERT INTO complaint_statuses VALUES('27019','8244','7','12','81','FILTER CLEAN . JOB COMPLETE',null,'87','87','2021-08-01 13:51:57','2021-08-01 13:51:57',null);
INSERT INTO complaint_statuses VALUES('27020','5957','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 13:52:05','2021-08-01 14:12:19',null);
INSERT INTO complaint_statuses VALUES('27021','6099','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 13:52:33','2021-08-01 14:11:45',null);
INSERT INTO complaint_statuses VALUES('27022','8260','7','12','81','FILTER CLEAN . JOB COMPLETE',null,'87','87','2021-08-01 13:52:59','2021-08-01 13:52:59',null);
INSERT INTO complaint_statuses VALUES('27023','8327','7','12','81','SOKIT ISSUE . COMPLAINT COMPLETE',null,'87','87','2021-08-01 13:55:43','2021-08-01 13:55:43',null);
INSERT INTO complaint_statuses VALUES('27024','8409','7','12','81','DOOR SWITCH REPLACE . COMPLAINT COMPLETE',null,'87','87','2021-08-01 13:57:57','2021-08-01 13:57:57',null);
INSERT INTO complaint_statuses VALUES('27025','6837','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 13:58:03','2021-08-01 14:11:18',null);
INSERT INTO complaint_statuses VALUES('27026','6869','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 13:58:32','2021-08-01 14:10:48',null);
INSERT INTO complaint_statuses VALUES('27027','6870','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 13:59:34','2021-08-01 14:10:12',null);
INSERT INTO complaint_statuses VALUES('27028','8410','7','24','81','COMPEASSOR ISSUE',null,'87','87','2021-08-01 14:00:27','2021-08-01 14:00:27',null);
INSERT INTO complaint_statuses VALUES('27029','8440','7','12','81','RELLY REPLACE . ISSUE RESOLVE IN CUSTOMERS HOME . JOB COMPLETE',null,'87','87','2021-08-01 14:01:43','2021-08-01 14:01:43',null);
INSERT INTO complaint_statuses VALUES('27030','8517','7','24','81','CUSTOMER NY KHUD HE ISSUE RESOLVE KARVA LIA HY . JOM COMPLETE',null,'87','87','2021-08-01 14:03:24','2021-08-01 14:03:24',null);
INSERT INTO complaint_statuses VALUES('27031','8519','7','12','81','PANASONICE KI W/M HY . BUT ISSUE RESOLVE . JOB COMPLETE',null,'87','87','2021-08-01 14:05:36','2021-08-01 14:05:36',null);
INSERT INTO complaint_statuses VALUES('27032','8521','7','12','81','NO FAULT . JOB COMPLETE',null,'87','87','2021-08-01 14:06:34','2021-08-01 14:06:34',null);
INSERT INTO complaint_statuses VALUES('27033','8527','7','26','81','COMPANY FORWARD HO GAHE HY',null,'87','87','2021-08-01 14:09:17','2021-08-01 14:09:17',null);
INSERT INTO complaint_statuses VALUES('27034','8567','3',null,'56',null,'1-AUG-2021
COMPLAINT#H01/006','73','73','2021-08-01 14:14:04','2021-08-01 14:21:39',null);
INSERT INTO complaint_statuses VALUES('27035','8529','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 14:21:21','2021-08-01 15:35:29',null);
INSERT INTO complaint_statuses VALUES('27036','8521','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 14:22:44','2021-08-01 15:37:25',null);
INSERT INTO complaint_statuses VALUES('27037','8519','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 14:24:37','2021-08-01 15:37:51',null);
INSERT INTO complaint_statuses VALUES('27038','8544','5','13',null,null,'COMPLAIN T CLOSED','81','74','2021-08-01 14:25:33','2021-08-02 11:21:13',null);
INSERT INTO complaint_statuses VALUES('27039','8440','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 14:25:51','2021-08-01 15:38:35',null);
INSERT INTO complaint_statuses VALUES('27040','8560','7','24','81',null,null,'87','87','2021-08-01 14:26:16','2021-08-01 14:26:16',null);
INSERT INTO complaint_statuses VALUES('27041','8409','5','15',null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','92','2021-08-01 14:27:52','2021-08-01 15:40:16',null);
INSERT INTO complaint_statuses VALUES('27042','8327','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 14:28:56','2021-08-01 15:59:04',null);
INSERT INTO complaint_statuses VALUES('27043','8260','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 14:30:02','2021-08-01 16:00:10',null);
INSERT INTO complaint_statuses VALUES('27044','8244','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 14:31:26','2021-08-01 16:01:13',null);
INSERT INTO complaint_statuses VALUES('27045','8564','7','24','81',null,null,'87','87','2021-08-01 14:32:00','2021-08-01 14:32:00',null);
INSERT INTO complaint_statuses VALUES('27046','8474','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-01 14:34:57','2021-08-01 14:34:57',null);
INSERT INTO complaint_statuses VALUES('27047','8204','8','23','62','COMPRESSOR ISSUE HAY COMPLAINT IN PROCESS',null,'81','81','2021-08-01 14:35:11','2021-08-01 14:35:11',null);
INSERT INTO complaint_statuses VALUES('27048','8568','3',null,'52',null,'1-AUG-2021
COMPLAINT#PKRI210801104921','73','73','2021-08-01 14:36:47','2021-08-01 14:40:28',null);
INSERT INTO complaint_statuses VALUES('27049','8192','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 14:37:45','2021-08-01 16:04:11',null);
INSERT INTO complaint_statuses VALUES('27050','8171','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 14:39:04','2021-08-01 16:04:51',null);
INSERT INTO complaint_statuses VALUES('27051','8153','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 14:40:30','2021-08-01 16:08:28',null);
INSERT INTO complaint_statuses VALUES('27052','8469','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-01 14:41:07','2021-08-01 14:41:07',null);
INSERT INTO complaint_statuses VALUES('27053','8130','8','23','62','CUSTOMER SAY BAT KAR LAY',null,'81','81','2021-08-01 14:53:52','2021-08-01 14:53:52',null);
INSERT INTO complaint_statuses VALUES('27054','8041','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-01 14:55:09','2021-08-01 16:07:44',null);
INSERT INTO complaint_statuses VALUES('27055','8569','3',null,'54',null,'1-AUG-2021
COMPLAINT#1951820','73','73','2021-08-01 15:16:29','2021-08-01 15:21:03',null);
INSERT INTO complaint_statuses VALUES('27056','8527','5','15',null,'COMPLAINT CLOSED','COMPLAINT COMPLETED','81','92','2021-08-01 15:19:07','2021-08-01 15:36:41',null);
INSERT INTO complaint_statuses VALUES('27057','8570','3',null,'55',null,'1-AUG-2021
COMPLAINT#812570','73','73','2021-08-01 15:25:31','2021-08-01 15:25:31',null);
INSERT INTO complaint_statuses VALUES('27058','7767','5','15',null,'COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-08-01 15:29:28','2021-08-02 12:53:23',null);
INSERT INTO complaint_statuses VALUES('27059','7957','5','15',null,'BILAL PWD SIR KO INFORM KAR DEYA HAY','COMPLAINT CLOSED','81','74','2021-08-01 15:33:06','2021-08-02 12:49:19',null);
INSERT INTO complaint_statuses VALUES('27060','8571','3',null,'52',null,'1-AUG-2021
COMPLAINT#PKRI210801106038','73','73','2021-08-01 16:10:12','2021-08-01 16:14:27',null);
INSERT INTO complaint_statuses VALUES('27061','8572','3',null,'53',null,'1-AUG-2021
COMPLAINT#301162364','73','73','2021-08-01 16:36:44','2021-08-01 16:42:12',null);
INSERT INTO complaint_statuses VALUES('27062','8573','3',null,'52',null,'1-AUG-2021
COMPLAINT#PKRI210801106542','73','73','2021-08-01 16:55:51','2021-08-01 16:55:51',null);
INSERT INTO complaint_statuses VALUES('27063','8443','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-01 17:14:30','2021-08-01 17:14:30',null);
INSERT INTO complaint_statuses VALUES('27064','8574','2',null,'81',null,null,'73','73','2021-08-01 17:45:16','2021-08-01 17:45:16',null);
INSERT INTO complaint_statuses VALUES('27065','8574','4',null,'61',null,null,'81','81','2021-08-01 17:45:48','2021-08-01 17:45:48',null);
INSERT INTO complaint_statuses VALUES('27066','8575','2',null,'81',null,null,'73','73','2021-08-01 17:56:54','2021-08-01 17:56:54',null);
INSERT INTO complaint_statuses VALUES('27067','8575','4',null,'56',null,null,'81','81','2021-08-01 17:57:19','2021-08-01 17:57:19',null);
INSERT INTO complaint_statuses VALUES('27068','8369','7','12','81','ye hood ha kha ..jis sale man ny compliant kerwai thi us mangwa lein ..or ye complaint  compete kry ...',null,'79','79','2021-08-02 10:08:08','2021-08-02 10:08:08',null);
INSERT INTO complaint_statuses VALUES('27069','6351','7','12','81','cusotmer ko call kr di hai  abhi tk nahi aye leny',null,'79','79','2021-08-02 10:19:48','2021-08-02 10:19:48',null);
INSERT INTO complaint_statuses VALUES('27070','8576','2',null,'81',null,null,'73','73','2021-08-02 10:26:36','2021-08-02 10:26:36',null);
INSERT INTO complaint_statuses VALUES('27071','8576','4',null,'62',null,null,'81','81','2021-08-02 10:26:55','2021-08-02 10:26:55',null);
INSERT INTO complaint_statuses VALUES('27072','8577','2',null,'81',null,null,'73','73','2021-08-02 10:30:52','2021-08-02 10:30:52',null);
INSERT INTO complaint_statuses VALUES('27073','8577','4',null,'60',null,null,'81','81','2021-08-02 10:31:18','2021-08-02 10:31:18',null);
INSERT INTO complaint_statuses VALUES('27074','8578','3',null,'82',null,'2-AUG-2021
FRWRD TO TAHIR SIEMENS','73','73','2021-08-02 10:36:15','2021-08-02 10:36:15',null);
INSERT INTO complaint_statuses VALUES('27075','8579','3',null,'65',null,'2-AUG-2021
COMPLAINT#192126755','73','73','2021-08-02 10:40:11','2021-08-02 10:56:43',null);
INSERT INTO complaint_statuses VALUES('27076','8580','2',null,'81',null,null,'73','73','2021-08-02 10:48:38','2021-08-02 10:48:38',null);
INSERT INTO complaint_statuses VALUES('27077','8580','4',null,'58',null,null,'81','81','2021-08-02 10:49:03','2021-08-02 10:49:03',null);
INSERT INTO complaint_statuses VALUES('27078','8319','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-02 10:56:27','2021-08-02 10:56:27',null);
INSERT INTO complaint_statuses VALUES('27079','8564','8','23','62','OK JOB COMPLETED QUKILEY',null,'81','81','2021-08-02 11:17:52','2021-08-02 11:17:52',null);
INSERT INTO complaint_statuses VALUES('27080','8560','8','23','62','OK JOB COMPLETED QUKILEY',null,'81','81','2021-08-02 11:18:19','2021-08-02 11:18:19',null);
INSERT INTO complaint_statuses VALUES('27081','8581','2',null,'81',null,null,'73','73','2021-08-02 11:24:59','2021-08-02 11:24:59',null);
INSERT INTO complaint_statuses VALUES('27082','8581','4',null,'58',null,null,'81','81','2021-08-02 11:25:18','2021-08-02 11:25:18',null);
INSERT INTO complaint_statuses VALUES('27083','8517','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-08-02 11:30:10','2021-08-02 12:44:40',null);
INSERT INTO complaint_statuses VALUES('27084','8410','8','23','62','OK  COMPLETED QUKILEY',null,'81','81','2021-08-02 11:30:54','2021-08-02 11:30:54',null);
INSERT INTO complaint_statuses VALUES('27085','8582','3',null,'84',null,'2-AUG-2021
COMPLAINT#22592','73','73','2021-08-02 11:31:17','2021-08-02 11:59:40',null);
INSERT INTO complaint_statuses VALUES('27086','8583','2',null,'81',null,null,'73','73','2021-08-02 11:34:21','2021-08-02 11:34:21',null);
INSERT INTO complaint_statuses VALUES('27087','8583','4',null,'58',null,null,'81','81','2021-08-02 11:34:57','2021-08-02 11:34:57',null);
INSERT INTO complaint_statuses VALUES('27088','6015','5','15',null,'CUSTOMER DONO NO SA CALL ATTEND NAI KAR RAHAY 
PCB OK KARWA  BAJWA DI HAIN CUSTOMER KHUD SA INSTALL KARWAY GAY COMPLAINT COMPLETED','COMPLAINT RESOLVED','81','74','2021-08-02 11:38:58','2021-08-02 12:59:20',null);
INSERT INTO complaint_statuses VALUES('27089','8213','8','23','62','OK JOB COMPLETED QUKILEY',null,'81','81','2021-08-02 11:39:37','2021-08-02 11:39:37',null);
INSERT INTO complaint_statuses VALUES('27090','8191','8','23','62','OK JOB COMPLETED QUKILEY',null,'81','81','2021-08-02 11:40:10','2021-08-02 11:40:10',null);
INSERT INTO complaint_statuses VALUES('27091','8584','2',null,'81',null,null,'73','73','2021-08-02 11:40:17','2021-08-02 11:40:17',null);
INSERT INTO complaint_statuses VALUES('27092','8584','4',null,'55',null,null,'81','81','2021-08-02 11:40:39','2021-08-02 11:40:39',null);
INSERT INTO complaint_statuses VALUES('27093','8142','8','23','62','OK',null,'81','81','2021-08-02 11:40:48','2021-08-02 11:40:48',null);
INSERT INTO complaint_statuses VALUES('27094','8585','3',null,'52',null,'2-AUG-2021
COMPLAINT#PKRI210802105794','73','73','2021-08-02 11:42:15','2021-08-02 12:16:38',null);
INSERT INTO complaint_statuses VALUES('27095','7940','8','23','63','OK JOB COMPLETED QUKILY','TANK HAMRAY S/C AAGAY HAIN','81','74','2021-08-02 11:51:47','2021-08-09 12:38:12',null);
INSERT INTO complaint_statuses VALUES('27096','7933','8','23','63','OK JOB COMPLETED QUKILEY',null,'81','81','2021-08-02 11:54:51','2021-08-02 11:54:51',null);
INSERT INTO complaint_statuses VALUES('27097','8586','3',null,'53',null,'2-AUG-2021
COMPLAINT#301162628','73','73','2021-08-02 12:01:26','2021-08-02 14:46:27',null);
INSERT INTO complaint_statuses VALUES('27098','6252','5','15',null,'OK COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-02 12:09:44','2021-08-02 12:54:27',null);
INSERT INTO complaint_statuses VALUES('27099','8587','2',null,'81',null,null,'73','73','2021-08-02 12:13:18','2021-08-02 12:13:18',null);
INSERT INTO complaint_statuses VALUES('27100','8587','4',null,'56',null,null,'81','81','2021-08-02 12:13:50','2021-08-02 12:13:50',null);
INSERT INTO complaint_statuses VALUES('27101','8502','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-02 12:15:50','2021-08-02 12:15:50',null);
INSERT INTO complaint_statuses VALUES('27102','8500','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-02 12:23:00','2021-08-02 12:23:00',null);
INSERT INTO complaint_statuses VALUES('27103','8270','7','10','81','EK TU CALL PICK NAHI KERTY,,PHR KABHI IN KA NO IUT IFF REACHED HOTA HAI.EK BR BAT HUI BOLTY HAIN K MEIN BATAO GA,,DUBAR ARABTA BHI NAHI KIA,OR AJ NO NAHI MIL RAHA ,,ASY HI LAST TIME HUA THA,IN SY BT KR KY HUMY AP LOG BATA DEIN  PLZ',null,'79','79','2021-08-02 12:23:12','2021-08-02 12:23:12',null);
INSERT INTO complaint_statuses VALUES('27104','8581','7','12','81','GALSS KHA SY ARRANGE KRY',null,'79','79','2021-08-02 12:30:33','2021-08-02 12:30:33',null);
INSERT INTO complaint_statuses VALUES('27105','8369','5','15',null,'ASLAM SIR NA IC HOOD KI GRN KAR DI HAIN COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-08-02 12:40:50','2021-08-02 12:45:25',null);
INSERT INTO complaint_statuses VALUES('27106','8581','5','15',null,'ASLAM SIR YHA HOOD I 10 LA K AAY GAY','COMPLAINT CLOSED','81','74','2021-08-02 12:41:43','2021-08-02 12:43:50',null);
INSERT INTO complaint_statuses VALUES('27107','8588','3',null,'52',null,'2-AUG-2021
COMPLAINT#PKRI210802107039','73','73','2021-08-02 12:51:06','2021-08-02 13:00:16',null);
INSERT INTO complaint_statuses VALUES('27108','8489','5',null,null,'COMPLAINT COMPLETED','COMPLAINT RESOLVED','106','74','2021-08-02 12:51:07','2021-08-02 12:51:50',null);
INSERT INTO complaint_statuses VALUES('27109','8589','3',null,'81',null,'2-AUG-2021
COMPLAINT#1019','73','73','2021-08-02 13:03:14','2021-08-02 13:12:37',null);
INSERT INTO complaint_statuses VALUES('27110','8590','2',null,'81',null,'OTHER#03208518078','73','73','2021-08-02 13:05:23','2021-08-03 12:08:04',null);
INSERT INTO complaint_statuses VALUES('27111','8590','4',null,'61',null,null,'81','81','2021-08-02 13:07:21','2021-08-02 13:07:21',null);
INSERT INTO complaint_statuses VALUES('27112','8591','3',null,'52',null,'2-AUG-2019
COMPLAINT#PKRI210802107615','73','73','2021-08-02 13:08:40','2021-08-02 13:22:02',null);
INSERT INTO complaint_statuses VALUES('27113','8373','7','26','81','CUSTOMER SIDE END',null,'87','87','2021-08-02 13:11:21','2021-08-02 13:11:21',null);
INSERT INTO complaint_statuses VALUES('27114','8564','7','12','81','ISSUE RESOLVED',null,'87','87','2021-08-02 13:11:54','2021-08-02 13:11:54',null);
INSERT INTO complaint_statuses VALUES('27115','8312','7','26','81','USMAN KO FRWD KI HUI H',null,'87','87','2021-08-02 13:13:15','2021-08-02 13:13:15',null);
INSERT INTO complaint_statuses VALUES('27116','8592','3',null,'52',null,'2-AUG-2021
COMPLAINT#PKRI210802102800','73','73','2021-08-02 13:25:39','2021-08-02 13:31:31',null);
INSERT INTO complaint_statuses VALUES('27117','8099','7','12','81','ISSUE RESOLVED',null,'87','87','2021-08-02 13:27:08','2021-08-02 13:27:08',null);
INSERT INTO complaint_statuses VALUES('27118','8497','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-02 13:32:52','2021-08-02 13:32:52',null);
INSERT INTO complaint_statuses VALUES('27119','8593','3',null,'54',null,'2-AUG-2021
COMPLAINT#1952451','73','73','2021-08-02 13:36:51','2021-08-02 13:57:08',null);
INSERT INTO complaint_statuses VALUES('27120','8594','3',null,'85',null,'2-AUG-2021
COMPLAINT#301162633','73','73','2021-08-02 13:50:16','2021-08-02 14:49:37',null);
INSERT INTO complaint_statuses VALUES('27121','8595','3',null,'73',null,'2-AUG-2021
COMPLAINT#5229','73','73','2021-08-02 14:07:53','2021-08-02 14:38:23',null);
INSERT INTO complaint_statuses VALUES('27122','8270','5','15',null,'CUSTOMER STILL NOT PICK UP CALL SO COMPLAINT CLOSED',null,'81','81','2021-08-02 14:23:57','2021-08-02 14:23:57',null);
INSERT INTO complaint_statuses VALUES('27123','8596','2',null,'81',null,null,'73','73','2021-08-02 14:26:13','2021-08-02 14:26:13',null);
INSERT INTO complaint_statuses VALUES('27124','8596','4',null,'63',null,null,'81','81','2021-08-02 14:27:25','2021-08-02 14:27:25',null);
INSERT INTO complaint_statuses VALUES('27125','8597','3',null,'52',null,'02-AUG-2021
COMPLAINT#PKRI210802109569','73','106','2021-08-02 14:35:33','2021-08-02 14:42:35',null);
INSERT INTO complaint_statuses VALUES('27126','8598','3',null,'52',null,'2-AUG-2021
COMPLAINT#PKRI210802109995','73','73','2021-08-02 14:50:23','2021-08-02 14:59:27',null);
INSERT INTO complaint_statuses VALUES('27127','8599','3',null,'65',null,'COSTUMER NE COMPANY MEIN KHUD COMPLAINT FORWARD KARWAI HOI HA.... 24-JUL-2021','73','73','2021-08-02 14:59:06','2021-08-02 14:59:06',null);
INSERT INTO complaint_statuses VALUES('27128','8439','7','26','81','Reschedule by Customer',null,'76','76','2021-08-02 14:59:24','2021-08-02 14:59:24',null);
INSERT INTO complaint_statuses VALUES('27129','7723','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-02 15:02:30','2021-08-02 15:02:30',null);
INSERT INTO complaint_statuses VALUES('27130','8315','7','26','81','Local Repaired.',null,'76','76','2021-08-02 15:03:47','2021-08-02 15:03:47',null);
INSERT INTO complaint_statuses VALUES('27131','7703','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-02 15:08:04','2021-08-02 15:08:04',null);
INSERT INTO complaint_statuses VALUES('27132','7684','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-02 15:09:47','2021-08-02 15:09:47',null);
INSERT INTO complaint_statuses VALUES('27133','8600','2',null,'81',null,null,'73','73','2021-08-02 15:14:02','2021-08-02 15:14:02',null);
INSERT INTO complaint_statuses VALUES('27134','8600','4',null,'61',null,null,'81','81','2021-08-02 15:14:35','2021-08-02 15:14:35',null);
INSERT INTO complaint_statuses VALUES('27135','8601','3',null,'53',null,'2-AUG-2021
COMPLAINT#3011311119','73','92','2021-08-02 15:26:30','2021-08-07 15:01:11',null);
INSERT INTO complaint_statuses VALUES('27136','8408','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-02 15:40:35','2021-08-02 15:40:35',null);
INSERT INTO complaint_statuses VALUES('27137','8602','3',null,'52',null,'2-AUG-2021
COMPLAINT#PKRI210802111543','73','73','2021-08-02 15:41:39','2021-08-02 16:00:47',null);
INSERT INTO complaint_statuses VALUES('27138','8403','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-02 15:43:09','2021-08-02 15:43:09',null);
INSERT INTO complaint_statuses VALUES('27139','8564','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-02 15:43:50','2021-08-02 15:57:49',null);
INSERT INTO complaint_statuses VALUES('27140','8439','5','15',null,'CUSTOMER K GHR ABI GUEST AAY WAY HAIN IC WAJA SA COMPLAINT CANCELED KARWA DI',null,'81','81','2021-08-02 15:45:49','2021-08-02 15:45:49',null);
INSERT INTO complaint_statuses VALUES('27141','7534','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-02 15:48:19','2021-08-02 15:48:19',null);
INSERT INTO complaint_statuses VALUES('27142','8373','5','15',null,'CUSTOMER KA ISSUE KHUD SA HI RESOLVED HO GAYA COMPLAINT CLOSED',null,'81','81','2021-08-02 15:50:22','2021-08-02 15:50:22',null);
INSERT INTO complaint_statuses VALUES('27143','8603','3',null,'65',null,'2-AUG-2021
COMPLAINT#192126785
COMPLAINT#192126787','73','92','2021-08-02 15:53:05','2021-08-09 12:30:54',null);
INSERT INTO complaint_statuses VALUES('27144','8315','5','15',null,'CUSTOMER KA ISSUE KHUD SA RESOLVED HO GAYA  SO COMPLAINT CLOSED',null,'81','81','2021-08-02 15:53:34','2021-08-02 15:53:34',null);
INSERT INTO complaint_statuses VALUES('27145','8312','8','23','62','OK',null,'81','81','2021-08-02 15:56:35','2021-08-02 15:56:35',null);
INSERT INTO complaint_statuses VALUES('27146','7551','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-02 15:57:23','2021-08-02 15:57:23',null);
INSERT INTO complaint_statuses VALUES('27147','8099','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-08-02 16:00:45','2021-08-02 16:00:45',null);
INSERT INTO complaint_statuses VALUES('27148','6351','8','23','58','CUSTOMER SA BT HOI HAIN WO BOL RAHAY K NAVEED FCP NA HOOD DILVER KARWANAY MAIN NA PICK KARNAY',null,'81','81','2021-08-02 16:03:47','2021-08-02 16:03:47',null);
INSERT INTO complaint_statuses VALUES('27149','7977','5','15',null,'GLASS STOCK MAIN AVAIL NAI  ADIL BHAI S CONFIRM KAR K COMPLAINT CLOSED KI',null,'81','81','2021-08-02 16:11:24','2021-08-02 16:11:24',null);
INSERT INTO complaint_statuses VALUES('27150','8604','3',null,'52',null,'2-AUG-2021
COMPLAINT#PKRI210802111954
REOPEN COM NO PKRI-210810104549','73','92','2021-08-02 16:11:30','2021-08-10 11:40:09',null);
INSERT INTO complaint_statuses VALUES('27151','7962','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-02 16:11:43','2021-08-02 16:11:43',null);
INSERT INTO complaint_statuses VALUES('27152','6450','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-02 16:21:36','2021-08-02 16:21:36',null);
INSERT INTO complaint_statuses VALUES('27153','8605','2',null,'81',null,'02-AUG-2021
COM FF TO HOME SOLUTION','92','92','2021-08-02 16:41:08','2021-08-03 12:58:08',null);
INSERT INTO complaint_statuses VALUES('27154','8606','3',null,'73',null,'2-AUG-2021
COMPLAINT#5233','73','73','2021-08-02 16:44:40','2021-08-02 17:13:10',null);
INSERT INTO complaint_statuses VALUES('27155','8607','3',null,'54',null,'2-AUG-2021
COMPLAINT#1952799','73','73','2021-08-02 16:48:29','2021-08-02 17:23:35',null);
INSERT INTO complaint_statuses VALUES('27156','8608','2',null,'81',null,null,'73','73','2021-08-02 16:50:12','2021-08-02 16:50:12',null);
INSERT INTO complaint_statuses VALUES('27157','8608','4',null,'55',null,null,'81','81','2021-08-02 16:50:55','2021-08-02 16:50:55',null);
INSERT INTO complaint_statuses VALUES('27158','8609','2',null,'81',null,null,'73','73','2021-08-02 17:03:34','2021-08-02 17:03:34',null);
INSERT INTO complaint_statuses VALUES('27159','8610','2',null,'81',null,null,'73','73','2021-08-02 17:05:15','2021-08-02 17:05:15',null);
INSERT INTO complaint_statuses VALUES('27160','8610','4',null,'58',null,null,'81','81','2021-08-02 17:05:46','2021-08-02 17:05:46',null);
INSERT INTO complaint_statuses VALUES('27161','8609','4',null,'58',null,null,'81','81','2021-08-02 17:05:54','2021-08-02 17:05:54',null);
INSERT INTO complaint_statuses VALUES('27162','8611','3',null,'53',null,'3-AUG-2021
COMPLAINT#03000200247','73','73','2021-08-02 17:08:51','2021-08-03 10:17:02',null);
INSERT INTO complaint_statuses VALUES('27163','7881','5','15',null,'CUSTOMER STILL  CALL NI ATTEND KAR RAHI .
HAMGIZ OUT OFF STOCK HAIN REPAIRING KA ESTIMATE CUSTOMER KO INFORMED KAR DIA BUT CUSTOMER NA APPROVEL NAI DI 7-8HAZAR KA EXP','COMPLAINT CLOSED','81','74','2021-08-02 17:18:25','2021-08-04 12:15:44',null);
INSERT INTO complaint_statuses VALUES('27164','7605','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-08-02 17:21:33','2021-08-03 13:55:06',null);
INSERT INTO complaint_statuses VALUES('27165','7553','8','23','61','INFO MED BY ASLAM SIR',null,'81','81','2021-08-02 17:22:43','2021-08-02 17:22:43',null);
INSERT INTO complaint_statuses VALUES('27166','8415','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-02 17:23:37','2021-08-02 17:23:37',null);
INSERT INTO complaint_statuses VALUES('27167','8580','7','12','81','COMAPLAINT REOSLVED  VOLTAGE ISSUE',null,'79','79','2021-08-02 17:43:13','2021-08-02 17:43:13',null);
INSERT INTO complaint_statuses VALUES('27168','8565','7','12','81','FLUTE VALVE ISSUE  COMPAINT RESOLVED',null,'79','79','2021-08-02 17:46:36','2021-08-02 17:46:36',null);
INSERT INTO complaint_statuses VALUES('27169','8394','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-02 18:04:27','2021-08-02 18:04:27',null);
INSERT INTO complaint_statuses VALUES('27170','8131','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-02 18:16:32','2021-08-02 18:16:32',null);
INSERT INTO complaint_statuses VALUES('27171','8413','7','24','81','Refer to SVC in Drain Pump.',null,'76','76','2021-08-02 18:29:25','2021-08-02 18:29:25',null);
INSERT INTO complaint_statuses VALUES('27172','8135','7','12','81','Main PCB Repaired.',null,'76','76','2021-08-02 18:32:05','2021-08-02 18:32:05',null);
INSERT INTO complaint_statuses VALUES('27173','8487','7','12','81','No Fault.',null,'76','76','2021-08-02 18:33:29','2021-08-02 18:33:29',null);
INSERT INTO complaint_statuses VALUES('27174','8479','7','12','81','Shifting bolt remove.',null,'76','76','2021-08-02 18:44:49','2021-08-02 18:44:49',null);
INSERT INTO complaint_statuses VALUES('27175','8612','3',null,'65',null,'3-AUG-2021
COMPLAINT#192126838','73','73','2021-08-03 10:17:37','2021-08-03 14:19:46',null);
INSERT INTO complaint_statuses VALUES('27176','8613','3',null,'65',null,'3-AUG-2021
COMPLAINT#192126839 NEW COMPLAINT#192127219','73','106','2021-08-03 10:31:41','2021-08-10 15:24:33',null);
INSERT INTO complaint_statuses VALUES('27177','8614','3',null,'65',null,'3-AUG-2021
COMPLAINT#192126840','73','73','2021-08-03 10:34:18','2021-08-03 14:23:34',null);
INSERT INTO complaint_statuses VALUES('27178','8615','3',null,'55',null,'3-AUG-2021
COMPLAINT#813789','73','73','2021-08-03 10:51:10','2021-08-03 14:59:03',null);
INSERT INTO complaint_statuses VALUES('27179','8534','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-03 11:01:35','2021-08-03 11:01:35',null);
INSERT INTO complaint_statuses VALUES('27180','8616','3',null,'53',null,'3-AUG-2021
COMPLAINT#03359899677
COM NO 301164615','73','92','2021-08-03 11:02:59','2021-08-08 16:22:18',null);
INSERT INTO complaint_statuses VALUES('27181','8617','2',null,'81',null,null,'73','73','2021-08-03 11:08:46','2021-08-03 11:08:46',null);
INSERT INTO complaint_statuses VALUES('27182','8617','4',null,'61',null,null,'81','81','2021-08-03 11:09:56','2021-08-03 11:09:56',null);
INSERT INTO complaint_statuses VALUES('27183','8135','5','15',null,'complaint resolved','COMPLAINT COMPLETED','81','92','2021-08-03 11:14:15','2021-08-03 13:53:02',null);
INSERT INTO complaint_statuses VALUES('27184','8043','7','12','81','No Fault.Visit Pending 600/-',null,'76','76','2021-08-03 11:15:29','2021-08-03 11:15:29',null);
INSERT INTO complaint_statuses VALUES('27185','8580','5','15',null,'complaint resolved','COMPLAINT COMPLETED','81','92','2021-08-03 11:16:49','2021-08-03 13:36:43',null);
INSERT INTO complaint_statuses VALUES('27186','8565','5','15',null,'complaint resolved','COMPLAINT COMPLETED','81','92','2021-08-03 11:17:58','2021-08-03 13:37:20',null);
INSERT INTO complaint_statuses VALUES('27187','8487','5','15',null,'complaint resolved','COMPLAINT COMPLETED','81','92','2021-08-03 11:19:11','2021-08-03 13:49:33',null);
INSERT INTO complaint_statuses VALUES('27188','8479','5','15',null,'complaint resolved','COMPLAINT COMPLETED','81','92','2021-08-03 11:20:21','2021-08-03 13:50:46',null);
INSERT INTO complaint_statuses VALUES('27189','8618','3',null,'65',null,'2-AUG-2021
COMPLAINT#192126751','73','73','2021-08-03 11:23:11','2021-08-03 11:24:39',null);
INSERT INTO complaint_statuses VALUES('27190','8043','8','23','55','MAMM IN KA ISSUE RESOLVED NAI HUA HAY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-08-03 11:26:39','2021-08-03 11:26:39',null);
INSERT INTO complaint_statuses VALUES('27191','8619','2',null,'81',null,null,'73','73','2021-08-03 11:27:36','2021-08-03 11:27:36',null);
INSERT INTO complaint_statuses VALUES('27192','8619','4',null,'60',null,null,'81','81','2021-08-03 11:28:09','2021-08-03 11:28:09',null);
INSERT INTO complaint_statuses VALUES('27193','8620','3',null,'52',null,'03-AUG-2021
COMPLAINT#PKRI20803109005','73','106','2021-08-03 11:31:57','2021-08-03 15:01:26',null);
INSERT INTO complaint_statuses VALUES('27194','8490','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-03 11:34:02','2021-08-03 11:34:02',null);
INSERT INTO complaint_statuses VALUES('27195','8621','3',null,'52',null,'03-AUG-2021
COMPLAINT#PKRI210803109078','73','106','2021-08-03 11:40:20','2021-08-03 15:01:45',null);
INSERT INTO complaint_statuses VALUES('27196','8622','2',null,'81',null,null,'73','73','2021-08-03 11:44:53','2021-08-03 11:44:53',null);
INSERT INTO complaint_statuses VALUES('27197','8622','4',null,'59',null,null,'81','81','2021-08-03 11:45:20','2021-08-03 11:45:20',null);
INSERT INTO complaint_statuses VALUES('27198','8623','3',null,'65',null,'3-AUG-2021
FRWRD TO SAAD AYUB','73','73','2021-08-03 11:52:18','2021-08-03 14:38:22',null);
INSERT INTO complaint_statuses VALUES('27199','8624','2',null,'81',null,'CONTACT#03235907018','73','73','2021-08-03 11:58:12','2021-08-03 12:01:09',null);
INSERT INTO complaint_statuses VALUES('27200','8495','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-03 12:01:17','2021-08-03 12:01:17',null);
INSERT INTO complaint_statuses VALUES('27201','8624','4',null,'55',null,null,'81','81','2021-08-03 12:01:20','2021-08-03 12:01:20',null);
INSERT INTO complaint_statuses VALUES('27202','8625','3',null,'52',null,'03-AUG-2021
COMPLAINT#PKRI210803109158
REOPEN COM NO PKRI-210811104778','73','92','2021-08-03 12:03:17','2021-08-11 11:50:11',null);
INSERT INTO complaint_statuses VALUES('27203','8548','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-03 12:04:22','2021-08-03 12:04:22',null);
INSERT INTO complaint_statuses VALUES('27204','8547','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-03 12:06:07','2021-08-03 12:06:07',null);
INSERT INTO complaint_statuses VALUES('27205','8626','2',null,'81',null,null,'73','73','2021-08-03 12:13:46','2021-08-03 12:13:46',null);
INSERT INTO complaint_statuses VALUES('27206','8626','4',null,'60',null,null,'81','81','2021-08-03 12:14:02','2021-08-03 12:14:02',null);
INSERT INTO complaint_statuses VALUES('27207','8545','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-03 12:15:18','2021-08-03 12:15:18',null);
INSERT INTO complaint_statuses VALUES('27208','8627','2',null,'81',null,null,'73','73','2021-08-03 12:27:02','2021-08-03 12:27:02',null);
INSERT INTO complaint_statuses VALUES('27209','8627','4',null,'61',null,null,'81','81','2021-08-03 12:27:27','2021-08-03 12:27:27',null);
INSERT INTO complaint_statuses VALUES('27210','8628','3',null,'53',null,'3-AUG-2021
COMPLAINT#03224004433','73','73','2021-08-03 12:30:55','2021-08-03 15:36:31',null);
INSERT INTO complaint_statuses VALUES('27211','8629','2',null,'81',null,null,'73','73','2021-08-03 12:35:35','2021-08-03 12:35:35',null);
INSERT INTO complaint_statuses VALUES('27212','8629','4',null,'55',null,null,'81','81','2021-08-03 12:36:01','2021-08-03 12:36:01',null);
INSERT INTO complaint_statuses VALUES('27213','8482','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-03 12:43:33','2021-08-03 12:43:33',null);
INSERT INTO complaint_statuses VALUES('27214','8630','2',null,'81',null,null,'73','73','2021-08-03 12:44:58','2021-08-03 12:44:58',null);
INSERT INTO complaint_statuses VALUES('27215','8630','4',null,'56',null,null,'81','81','2021-08-03 12:45:30','2021-08-03 12:45:30',null);
INSERT INTO complaint_statuses VALUES('27216','8631','2',null,'81',null,null,'73','73','2021-08-03 12:51:17','2021-08-03 12:51:17',null);
INSERT INTO complaint_statuses VALUES('27217','8631','4',null,'62',null,null,'81','81','2021-08-03 12:51:47','2021-08-03 12:51:47',null);
INSERT INTO complaint_statuses VALUES('27218','8632','3',null,'65',null,'3-AUG-2021
COMPLAINT#192126842','73','73','2021-08-03 12:55:04','2021-08-03 14:27:18',null);
INSERT INTO complaint_statuses VALUES('27219','8633','2',null,'81',null,null,'73','73','2021-08-03 12:56:23','2021-08-03 12:56:23',null);
INSERT INTO complaint_statuses VALUES('27220','8633','4',null,'63',null,null,'81','81','2021-08-03 12:57:09','2021-08-03 12:57:09',null);
INSERT INTO complaint_statuses VALUES('27221','8498','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-03 12:58:45','2021-08-03 12:58:45',null);
INSERT INTO complaint_statuses VALUES('27222','8634','3',null,'52',null,'03-AUG-2021
COMPLAINT#PKRI210803109232/216/193','73','106','2021-08-03 13:00:51','2021-08-03 15:07:13',null);
INSERT INTO complaint_statuses VALUES('27223','8635','2',null,'81',null,null,'73','73','2021-08-03 13:07:37','2021-08-03 13:07:37',null);
INSERT INTO complaint_statuses VALUES('27224','8636','2',null,'81',null,null,'73','73','2021-08-03 13:11:46','2021-08-03 13:11:46',null);
INSERT INTO complaint_statuses VALUES('27225','8605','4',null,'62',null,null,'81','81','2021-08-03 13:12:06','2021-08-03 13:12:06',null);
INSERT INTO complaint_statuses VALUES('27226','8635','4',null,'63',null,null,'81','81','2021-08-03 13:12:19','2021-08-03 13:12:19',null);
INSERT INTO complaint_statuses VALUES('27227','8636','4',null,'63',null,null,'81','81','2021-08-03 13:12:28','2021-08-03 13:12:28',null);
INSERT INTO complaint_statuses VALUES('27228','8635','7','12','81','Auto wair kharb the OK 800 f',null,'88','88','2021-08-03 13:13:57','2021-08-03 13:13:57',null);
INSERT INTO complaint_statuses VALUES('27229','8525','7','12','81','Ok',null,'88','88','2021-08-03 13:15:23','2021-08-03 13:15:23',null);
INSERT INTO complaint_statuses VALUES('27230','8488','7','12','81','2021 date of salhy OK 500f',null,'88','88','2021-08-03 13:18:04','2021-08-03 13:18:04',null);
INSERT INTO complaint_statuses VALUES('27231','8346','7','12','81','Gas parablam tha OK how Gaya hy 1000 f out city',null,'88','88','2021-08-03 13:24:08','2021-08-03 13:24:08',null);
INSERT INTO complaint_statuses VALUES('27232','8518','7','12','81','Tharmokapal kharb the OK 2000 f',null,'88','88','2021-08-03 13:24:51','2021-08-03 13:24:51',null);
INSERT INTO complaint_statuses VALUES('27233','8637','3',null,'80',null,'3-AUG-2021
FRWRD TO AMNA BOSCH','73','92','2021-08-03 13:24:56','2021-08-07 15:40:08',null);
INSERT INTO complaint_statuses VALUES('27234','8488','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-03 13:25:58','2021-08-03 13:43:10',null);
INSERT INTO complaint_statuses VALUES('27235','8638','2',null,'81',null,null,'73','73','2021-08-03 13:26:22','2021-08-03 13:26:22',null);
INSERT INTO complaint_statuses VALUES('27236','8638','4',null,'63',null,null,'81','81','2021-08-03 13:27:13','2021-08-03 13:27:13',null);
INSERT INTO complaint_statuses VALUES('27237','8518','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-03 13:27:25','2021-08-03 13:34:32',null);
INSERT INTO complaint_statuses VALUES('27238','8530','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-03 13:29:16','2021-08-03 13:29:16',null);
INSERT INTO complaint_statuses VALUES('27239','8525','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-03 13:29:20','2021-08-03 13:38:06',null);
INSERT INTO complaint_statuses VALUES('27240','8639','2',null,'81',null,null,'73','73','2021-08-03 13:29:52','2021-08-03 13:29:52',null);
INSERT INTO complaint_statuses VALUES('27241','8639','4',null,'58',null,null,'81','81','2021-08-03 13:30:09','2021-08-03 13:30:09',null);
INSERT INTO complaint_statuses VALUES('27242','8346','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-03 13:30:35','2021-08-03 13:51:46',null);
INSERT INTO complaint_statuses VALUES('27243','8635','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-03 13:33:08','2021-08-03 13:34:57',null);
INSERT INTO complaint_statuses VALUES('27244','8640','3',null,'52',null,'03-AUG-2021
COMPLAINT#PKRI210803109502','73','106','2021-08-03 13:38:05','2021-08-03 15:18:21',null);
INSERT INTO complaint_statuses VALUES('27245','8641','3',null,'54',null,'03-AUG-2021
COMPLAINT#1953631','73','73','2021-08-03 13:41:29','2021-08-03 15:08:52',null);
INSERT INTO complaint_statuses VALUES('27246','8642','3',null,'52',null,'03-AUG-2021
COMPLAINT#PKRI210803109462','73','73','2021-08-03 13:57:58','2021-08-03 15:53:05',null);
INSERT INTO complaint_statuses VALUES('27247','8507','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-03 14:09:57','2021-08-03 14:09:57',null);
INSERT INTO complaint_statuses VALUES('27248','8643','3',null,'85',null,'03-AUG-2021
COM NO03333300117','92','73','2021-08-03 14:13:57','2021-08-03 15:35:25',null);
INSERT INTO complaint_statuses VALUES('27249','8549','7','12','81','Visit okay normal froast arhi hy',null,'82','82','2021-08-03 14:16:53','2021-08-03 14:16:53',null);
INSERT INTO complaint_statuses VALUES('27250','8644','3',null,'53',null,'3-AUG-2021
COMPLAINT#03366344480','73','73','2021-08-03 14:18:37','2021-08-03 15:36:00',null);
INSERT INTO complaint_statuses VALUES('27251','8645','3',null,'52',null,'03-AUG-2021
COMPLAINT#PKRI210803109394/9368','73','106','2021-08-03 14:47:26','2021-08-03 15:14:40',null);
INSERT INTO complaint_statuses VALUES('27252','8575','7','9','81','send unit to service center...as line in screen...',null,'77','77','2021-08-03 14:51:50','2021-08-03 14:51:50',null);
INSERT INTO complaint_statuses VALUES('27253','8461','7','12','81','unit ok...at customer home',null,'77','77','2021-08-03 14:53:00','2021-08-03 14:53:00',null);
INSERT INTO complaint_statuses VALUES('27254','6817','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-03 15:07:10','2021-08-03 15:07:10',null);
INSERT INTO complaint_statuses VALUES('27255','8646','3',null,'74',null,'3-AUG-2021
COMPLAINT#142','73','73','2021-08-03 15:15:12','2021-08-03 15:19:54',null);
INSERT INTO complaint_statuses VALUES('27256','8549','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-03 15:29:45','2021-08-03 15:32:46',null);
INSERT INTO complaint_statuses VALUES('27257','8647','2',null,'81',null,null,'73','73','2021-08-03 15:30:54','2021-08-03 15:30:54',null);
INSERT INTO complaint_statuses VALUES('27258','8647','4',null,'62',null,null,'81','81','2021-08-03 15:31:27','2021-08-03 15:31:27',null);
INSERT INTO complaint_statuses VALUES('27259','8461','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-03 15:31:42','2021-08-03 15:33:45',null);
INSERT INTO complaint_statuses VALUES('27260','8491','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-03 15:46:45','2021-08-03 15:46:45',null);
INSERT INTO complaint_statuses VALUES('27261','7812','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-03 15:54:16','2021-08-03 15:54:16',null);
INSERT INTO complaint_statuses VALUES('27262','8648','3',null,'52',null,'3-AUG-2021
COMPLAINT#PKRI210803110426','73','73','2021-08-03 15:56:01','2021-08-03 16:06:24',null);
INSERT INTO complaint_statuses VALUES('27263','8649','2',null,'81',null,null,'73','73','2021-08-03 15:59:57','2021-08-03 15:59:57',null);
INSERT INTO complaint_statuses VALUES('27264','8649','4',null,'63',null,null,'81','81','2021-08-03 16:00:24','2021-08-03 16:00:24',null);
INSERT INTO complaint_statuses VALUES('27265','8512','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-03 16:05:25','2021-08-03 16:05:25',null);
INSERT INTO complaint_statuses VALUES('27266','8334','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-03 16:18:48','2021-08-03 16:18:48',null);
INSERT INTO complaint_statuses VALUES('27267','7175','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-03 16:24:46','2021-08-03 16:24:46',null);
INSERT INTO complaint_statuses VALUES('27268','8650','3',null,'52',null,'03-AUG-2021
COMPLAINT#PKRI210803111865','73','106','2021-08-03 16:26:51','2021-08-03 17:14:34',null);
INSERT INTO complaint_statuses VALUES('27269','8651','2',null,'81',null,null,'73','73','2021-08-03 16:30:49','2021-08-03 16:30:49',null);
INSERT INTO complaint_statuses VALUES('27270','8651','4',null,'62',null,null,'81','81','2021-08-03 16:31:26','2021-08-03 16:31:26',null);
INSERT INTO complaint_statuses VALUES('27271','8627','7','12','81',null,null,'83','83','2021-08-03 16:35:16','2021-08-03 16:35:16',null);
INSERT INTO complaint_statuses VALUES('27272','8627','5','15',null,null,'COMPLETED COMPLAINT','81','74','2021-08-03 16:36:19','2021-08-04 12:08:32',null);
INSERT INTO complaint_statuses VALUES('27273','8652','3',null,'59',null,'3-AUG-2021
COMPLAINT#4248002584','73','73','2021-08-03 16:38:33','2021-08-03 16:57:10',null);
INSERT INTO complaint_statuses VALUES('27274','8653','2',null,'81',null,null,'73','73','2021-08-03 16:42:04','2021-08-03 16:42:04',null);
INSERT INTO complaint_statuses VALUES('27275','8653','4',null,'63',null,null,'81','81','2021-08-03 16:42:28','2021-08-03 16:42:28',null);
INSERT INTO complaint_statuses VALUES('27276','8515','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-03 16:46:03','2021-08-03 16:46:03',null);
INSERT INTO complaint_statuses VALUES('27277','8418','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-03 16:49:29','2021-08-03 16:49:29',null);
INSERT INTO complaint_statuses VALUES('27278','8656','3',null,'65',null,null,'73','73','2021-08-03 16:52:32','2021-08-03 16:52:32',null);
INSERT INTO complaint_statuses VALUES('27279','8427','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-03 16:52:52','2021-08-03 16:52:52',null);
INSERT INTO complaint_statuses VALUES('27280','8655','3',null,'55',null,'3-AUG-2021
COMPLAINT#813955','73','73','2021-08-03 16:53:39','2021-08-03 17:33:02',null);
INSERT INTO complaint_statuses VALUES('27281','8654','3',null,'55',null,'3-AUG-2021
COMPLAINT#813958','73','73','2021-08-03 16:53:48','2021-08-03 17:33:58',null);
INSERT INTO complaint_statuses VALUES('27282','8657','3',null,'65',null,'03-AUG-2021
COM NO 192127207','92','92','2021-08-03 16:56:57','2021-08-10 13:25:58',null);
INSERT INTO complaint_statuses VALUES('27283','8656','5',null,null,'DOUBLE ENTRY',null,'73','73','2021-08-03 17:00:03','2021-08-03 17:00:03',null);
INSERT INTO complaint_statuses VALUES('27284','8658','2',null,'81',null,null,'73','73','2021-08-03 17:14:54','2021-08-03 17:14:54',null);
INSERT INTO complaint_statuses VALUES('27285','8658','4',null,'62',null,null,'81','81','2021-08-03 17:15:35','2021-08-03 17:15:35',null);
INSERT INTO complaint_statuses VALUES('27286','8618','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-03 17:16:18','2021-08-03 17:16:18',null);
INSERT INTO complaint_statuses VALUES('27287','8540','7','24','81','back light ka issue hy set S/C ay ga',null,'80','80','2021-08-03 17:16:39','2021-08-03 17:16:39',null);
INSERT INTO complaint_statuses VALUES('27288','8622','7','11','81','ap ny jo nom mention kea hy coustmer k against yea wrong nom hy',null,'80','80','2021-08-03 17:17:29','2021-08-03 17:17:29',null);
INSERT INTO complaint_statuses VALUES('27289','8659','2',null,'81',null,null,'73','73','2021-08-03 17:18:53','2021-08-03 17:18:53',null);
INSERT INTO complaint_statuses VALUES('27290','8659','4',null,'55',null,null,'81','81','2021-08-03 17:19:16','2021-08-03 17:19:16',null);
INSERT INTO complaint_statuses VALUES('27291','8660','3',null,'54',null,'03-AUG-2021
COMPLAINT#1953813','73','106','2021-08-03 17:21:59','2021-08-03 17:30:22',null);
INSERT INTO complaint_statuses VALUES('27292','8661','3',null,'55',null,'3-AUG-2021
COMPLAINT#813954','73','73','2021-08-03 17:26:11','2021-08-03 17:30:17',null);
INSERT INTO complaint_statuses VALUES('27293','8662','3',null,'65',null,'3-AUG-2021
COMPLAINT#192126868','73','73','2021-08-03 17:38:06','2021-08-03 17:41:54',null);
INSERT INTO complaint_statuses VALUES('27294','8663','2',null,'81',null,'ADIL FHS
INVOICE=47520	
D.O.P:1-APR-2021	
MODEL=680HLCU-CC','73','92','2021-08-03 17:46:50','2021-08-04 18:21:59',null);
INSERT INTO complaint_statuses VALUES('27295','8663','4',null,'55',null,null,'81','81','2021-08-03 17:47:25','2021-08-03 17:47:25',null);
INSERT INTO complaint_statuses VALUES('27296','8226','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-03 18:03:24','2021-08-03 18:03:24',null);
INSERT INTO complaint_statuses VALUES('27297','8664','3',null,'97',null,'03-AUG-2021
COMPLAINT#202108001990','92','92','2021-08-03 18:11:14','2021-08-04 11:35:52',null);
INSERT INTO complaint_statuses VALUES('27298','8563','7','22','81','Compressor defective',null,'83','83','2021-08-03 18:19:37','2021-08-03 18:19:37',null);
INSERT INTO complaint_statuses VALUES('27299','8665','2',null,'81',null,null,'73','73','2021-08-03 18:26:12','2021-08-03 18:26:12',null);
INSERT INTO complaint_statuses VALUES('27300','8665','4',null,'55',null,null,'81','81','2021-08-03 18:26:41','2021-08-03 18:26:41',null);
INSERT INTO complaint_statuses VALUES('27301','8596','7','12','81','Om',null,'88','88','2021-08-03 21:27:53','2021-08-03 21:27:53',null);
INSERT INTO complaint_statuses VALUES('27302','8536','7','12','81','Gas ka masla tha ok',null,'88','88','2021-08-03 21:28:50','2021-08-03 21:28:50',null);
INSERT INTO complaint_statuses VALUES('27303','8504','7','12','81','Ok',null,'88','88','2021-08-03 21:29:37','2021-08-03 21:29:37',null);
INSERT INTO complaint_statuses VALUES('27304','8666','3',null,'53',null,'4-AUG-2021
COMPLAINT#301162829','73','73','2021-08-04 10:29:44','2021-08-04 11:06:32',null);
INSERT INTO complaint_statuses VALUES('27305','8667','3',null,'52',null,'4-AUG-2021
COMPLAINT#PKRI210804103102','73','73','2021-08-04 10:43:40','2021-08-04 10:58:28',null);
INSERT INTO complaint_statuses VALUES('27306','8668','2',null,'81',null,null,'73','73','2021-08-04 10:44:41','2021-08-04 10:44:41',null);
INSERT INTO complaint_statuses VALUES('27307','8669','3',null,'73',null,'4-AUG-2021
COMPLAINT#5245','73','73','2021-08-04 10:48:17','2021-08-04 11:01:41',null);
INSERT INTO complaint_statuses VALUES('27308','8668','4',null,'62',null,null,'81','81','2021-08-04 10:49:29','2021-08-04 10:49:29',null);
INSERT INTO complaint_statuses VALUES('27309','8670','2',null,'81',null,null,'73','73','2021-08-04 11:34:16','2021-08-04 11:34:16',null);
INSERT INTO complaint_statuses VALUES('27310','8670','4',null,'55',null,null,'81','81','2021-08-04 11:34:32','2021-08-04 11:34:32',null);
INSERT INTO complaint_statuses VALUES('27311','8624','7','11','81','Please provide phone number.',null,'76','76','2021-08-04 11:36:43','2021-08-04 11:36:43',null);
INSERT INTO complaint_statuses VALUES('27312','8671','3',null,'53',null,'4-AUG-2021
COMPLAINT#301162913','73','73','2021-08-04 11:37:36','2021-08-04 11:45:52',null);
INSERT INTO complaint_statuses VALUES('27313','8622','8','23','59','OTHER 03127156557 
JIS NO S COMPLAINT HAIN USI NO PA MARI MADAM SA BT HOI HAIN 
OTHER# B SHER KAR DIA AP KO',null,'81','81','2021-08-04 11:39:00','2021-08-04 11:39:00',null);
INSERT INTO complaint_statuses VALUES('27314','8624','8','23','55','0323-5907018 IC NO PA CONTACT KAR LAY',null,'81','81','2021-08-04 11:48:24','2021-08-04 11:48:24',null);
INSERT INTO complaint_statuses VALUES('27315','8583','7','12','81','complinat resovled   inlet coil services',null,'79','79','2021-08-04 11:49:47','2021-08-04 11:49:47',null);
INSERT INTO complaint_statuses VALUES('27316','8672','3',null,'66',null,'04-AUG-2021
COM NO PK080420210045
ZAFAR TECHNICIAN','92','73','2021-08-04 11:55:05','2021-08-04 11:59:02',null);
INSERT INTO complaint_statuses VALUES('27317','8571','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-04 11:59:45','2021-08-04 11:59:45',null);
INSERT INTO complaint_statuses VALUES('27318','8250','7','12','81','complaint resolved.',null,'79','79','2021-08-04 12:05:05','2021-08-04 12:05:05',null);
INSERT INTO complaint_statuses VALUES('27319','8568','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-04 12:12:20','2021-08-04 12:12:20',null);
INSERT INTO complaint_statuses VALUES('27320','8567','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-04 12:14:34','2021-08-04 12:14:34',null);
INSERT INTO complaint_statuses VALUES('27321','8673','3',null,'53',null,'4-AUG-2021
COMPLAINT#301162966','73','92','2021-08-04 12:15:54','2021-08-07 13:51:41',null);
INSERT INTO complaint_statuses VALUES('27322','8674','3',null,'52',null,'4-AUG-2021
COMPLAINT#PKRI210804105890','73','73','2021-08-04 12:19:15','2021-08-04 12:35:26',null);
INSERT INTO complaint_statuses VALUES('27323','8400','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-04 12:19:53','2021-08-04 12:19:53',null);
INSERT INTO complaint_statuses VALUES('27324','8561','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-04 12:21:10','2021-08-04 12:21:10',null);
INSERT INTO complaint_statuses VALUES('27325','8675','2',null,'81',null,null,'73','73','2021-08-04 12:22:14','2021-08-04 12:22:14',null);
INSERT INTO complaint_statuses VALUES('27326','8675','4',null,'62',null,null,'81','81','2021-08-04 12:22:44','2021-08-04 12:22:44',null);
INSERT INTO complaint_statuses VALUES('27327','8596','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-08-04 12:23:15','2021-08-04 12:26:20',null);
INSERT INTO complaint_statuses VALUES('27328','8542','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-04 12:26:06','2021-08-04 12:26:06',null);
INSERT INTO complaint_statuses VALUES('27329','8676','3',null,'53',null,'4-AUG-2021
COMPLAINT#301162989','73','92','2021-08-04 12:30:06','2021-08-07 13:46:49',null);
INSERT INTO complaint_statuses VALUES('27330','8417','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-04 12:31:32','2021-08-04 12:31:32',null);
INSERT INTO complaint_statuses VALUES('27331','8583','5','15',null,'completed complaint','COMPLAINT RESOLVED','81','74','2021-08-04 12:44:35','2021-08-04 13:08:01',null);
INSERT INTO complaint_statuses VALUES('27332','8541','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-04 12:51:30','2021-08-04 12:51:30',null);
INSERT INTO complaint_statuses VALUES('27333','8677','2',null,'81',null,null,'73','73','2021-08-04 12:53:09','2021-08-04 12:53:09',null);
INSERT INTO complaint_statuses VALUES('27334','8677','4',null,'62',null,null,'81','81','2021-08-04 12:53:47','2021-08-04 12:53:47',null);
INSERT INTO complaint_statuses VALUES('27335','8533','5',null,null,'COSTUMER NE DOSRA NUMBER PROVIDE KIA HA...',null,'73','73','2021-08-04 12:57:22','2021-08-04 12:57:22',null);
INSERT INTO complaint_statuses VALUES('27336','6981','7','12','81','COMPLETED COMPLAINT',null,'91','91','2021-08-04 12:57:55','2021-08-04 12:57:55',null);
INSERT INTO complaint_statuses VALUES('27337','8111','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-04 13:01:37','2021-08-04 13:01:37',null);
INSERT INTO complaint_statuses VALUES('27338','7412','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-04 13:02:51','2021-08-04 13:02:51',null);
INSERT INTO complaint_statuses VALUES('27339','8110','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-04 13:04:03','2021-08-04 13:04:03',null);
INSERT INTO complaint_statuses VALUES('27340','8678','3',null,'53',null,'4-AUG-2021
COMPLAINT#301163024','73','73','2021-08-04 13:04:05','2021-08-04 13:04:51',null);
INSERT INTO complaint_statuses VALUES('27341','8019','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-04 13:05:43','2021-08-04 13:05:43',null);
INSERT INTO complaint_statuses VALUES('27342','8355','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-04 13:05:45','2021-08-04 13:05:45',null);
INSERT INTO complaint_statuses VALUES('27343','8679','3',null,'52',null,'4-AUG-2021
COMPLAINT#PKRI210804108413','73','73','2021-08-04 13:17:39','2021-08-04 14:29:59',null);
INSERT INTO complaint_statuses VALUES('27344','8460','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-04 13:18:13','2021-08-04 13:18:13',null);
INSERT INTO complaint_statuses VALUES('27345','8680','3',null,'54',null,'4-AUG-2021
COMPLAINT#1954440','73','73','2021-08-04 13:21:23','2021-08-04 14:16:50',null);
INSERT INTO complaint_statuses VALUES('27346','8520','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-04 13:26:02','2021-08-04 13:26:02',null);
INSERT INTO complaint_statuses VALUES('27347','8511','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-04 13:38:53','2021-08-04 13:38:53',null);
INSERT INTO complaint_statuses VALUES('27348','8681','2',null,'81',null,null,'73','73','2021-08-04 13:40:32','2021-08-04 13:40:32',null);
INSERT INTO complaint_statuses VALUES('27349','8681','4',null,'58',null,null,'81','81','2021-08-04 13:42:55','2021-08-04 13:42:55',null);
INSERT INTO complaint_statuses VALUES('27350','8536','8','23','63','ISSUE RESOLVED NAI HAO  KHURRAM BAHI AGAIN COMPLAINT PA VISIT KARWAY',null,'81','81','2021-08-04 13:43:17','2021-08-04 13:43:17',null);
INSERT INTO complaint_statuses VALUES('27351','8682','3',null,'52',null,'4-AUG-2021
COMPLAINT#PKRI210804108342','73','73','2021-08-04 13:48:49','2021-08-04 14:27:14',null);
INSERT INTO complaint_statuses VALUES('27352','8504','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-04 13:53:36','2021-08-04 14:24:28',null);
INSERT INTO complaint_statuses VALUES('27353','8276','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-04 14:03:10','2021-08-04 14:03:10',null);
INSERT INTO complaint_statuses VALUES('27354','8683','3',null,'55',null,'04-AUG-2021
REOPEN COM NO 811453','92','92','2021-08-04 14:05:19','2021-08-04 14:06:15',null);
INSERT INTO complaint_statuses VALUES('27355','8250','8','23','58','ISSUE NOT RESOLVED KINDLY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-08-04 14:08:29','2021-08-04 14:08:29',null);
INSERT INTO complaint_statuses VALUES('27356','8526','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-08-04 14:12:28','2021-08-04 14:12:28',null);
INSERT INTO complaint_statuses VALUES('27357','8453','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-04 14:22:10','2021-08-04 14:22:10',null);
INSERT INTO complaint_statuses VALUES('27358','6981','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-04 14:22:30','2021-08-04 14:25:06',null);
INSERT INTO complaint_statuses VALUES('27359','8684','3',null,'65',null,'3-6-21
COMPLAINT#192123247','92','92','2021-08-04 14:23:06','2021-08-07 12:57:43',null);
INSERT INTO complaint_statuses VALUES('27360','8523','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-04 14:32:07','2021-08-04 14:32:07',null);
INSERT INTO complaint_statuses VALUES('27361','8476','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-04 14:41:58','2021-08-04 14:41:58',null);
INSERT INTO complaint_statuses VALUES('27362','8149','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-04 14:44:41','2021-08-04 14:44:41',null);
INSERT INTO complaint_statuses VALUES('27363','8667','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-08-04 14:45:55','2021-08-04 14:45:55',null);
INSERT INTO complaint_statuses VALUES('27364','8143','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-04 14:47:26','2021-08-04 14:47:26',null);
INSERT INTO complaint_statuses VALUES('27365','8072','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-04 14:49:43','2021-08-04 14:49:43',null);
INSERT INTO complaint_statuses VALUES('27366','8685','2',null,'81',null,null,'73','73','2021-08-04 14:51:32','2021-08-04 14:51:32',null);
INSERT INTO complaint_statuses VALUES('27367','8685','4',null,'58',null,null,'81','81','2021-08-04 14:51:50','2021-08-04 14:51:50',null);
INSERT INTO complaint_statuses VALUES('27368','8493','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-08-04 14:51:53','2021-08-04 14:51:53',null);
INSERT INTO complaint_statuses VALUES('27369','8513','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-04 14:55:31','2021-08-04 14:55:31',null);
INSERT INTO complaint_statuses VALUES('27370','7856','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-04 14:56:41','2021-08-04 14:56:41',null);
INSERT INTO complaint_statuses VALUES('27371','8686','2',null,'81',null,null,'73','73','2021-08-04 14:59:11','2021-08-04 14:59:11',null);
INSERT INTO complaint_statuses VALUES('27372','8686','4',null,'62',null,null,'81','81','2021-08-04 14:59:34','2021-08-04 14:59:34',null);
INSERT INTO complaint_statuses VALUES('27373','8286','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-04 14:59:42','2021-08-04 14:59:42',null);
INSERT INTO complaint_statuses VALUES('27374','8247','7','12','81','aj no off hai pehly call pyba hui thi jo time tha .technician  gya tha mgr call atend nhai ki',null,'79','79','2021-08-04 15:01:17','2021-08-04 15:01:17',null);
INSERT INTO complaint_statuses VALUES('27375','8687','3',null,'53',null,'04-AUG-2021
COM NO 301163160','92','92','2021-08-04 15:03:15','2021-08-07 11:30:55',null);
INSERT INTO complaint_statuses VALUES('27376','8433','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-04 15:04:34','2021-08-04 15:04:34',null);
INSERT INTO complaint_statuses VALUES('27377','7849','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-04 15:08:39','2021-08-04 15:08:39',null);
INSERT INTO complaint_statuses VALUES('27378','6116','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-04 15:09:04','2021-08-04 15:09:04',null);
INSERT INTO complaint_statuses VALUES('27379','8647','7','12','81','Issue resolved',null,'87','87','2021-08-04 15:17:56','2021-08-04 15:17:56',null);
INSERT INTO complaint_statuses VALUES('27380','7759','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-04 15:20:48','2021-08-04 15:20:48',null);
INSERT INTO complaint_statuses VALUES('27381','8688','3',null,'53',null,'8-JUL-2021
COMPLAINT#301152518','92','92','2021-08-04 15:22:37','2021-08-07 12:54:12',null);
INSERT INTO complaint_statuses VALUES('27382','8689','3',null,'52',null,'4-AUG-2021
COMPLAINT#PKRI210804111717/11704','73','73','2021-08-04 15:31:13','2021-08-04 17:09:03',null);
INSERT INTO complaint_statuses VALUES('27383','8293','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-08-04 15:34:30','2021-08-04 15:34:30',null);
INSERT INTO complaint_statuses VALUES('27384','8690','3',null,'52',null,'04-AUG-2021
COM NO PKRI-210804109831','92','92','2021-08-04 15:46:51','2021-08-08 14:14:08',null);
INSERT INTO complaint_statuses VALUES('27385','8559','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-08-04 15:49:49','2021-08-04 15:49:49',null);
INSERT INTO complaint_statuses VALUES('27386','8247','5','15',null,'CUSTOMER KA ISSUE KHUD SA RESOLVED HO Gay  CUSTOME NA MAZHAR FCP KO B INFORMED KAR DIA TEMPERATURE SETTING KA ISSUE THA','COMPLAINT CLOSED','81','74','2021-08-04 15:50:05','2021-08-04 15:59:15',null);
INSERT INTO complaint_statuses VALUES('27387','8467','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-04 16:09:15','2021-08-04 16:09:15',null);
INSERT INTO complaint_statuses VALUES('27388','8691','2',null,'81',null,null,'73','73','2021-08-04 16:14:20','2021-08-04 16:14:20',null);
INSERT INTO complaint_statuses VALUES('27389','8691','4',null,'58',null,null,'81','81','2021-08-04 16:15:42','2021-08-04 16:15:42',null);
INSERT INTO complaint_statuses VALUES('27390','8692','3',null,'97',null,'4-AUG-2021
COMPLAINT#202108002760','73','73','2021-08-04 16:20:37','2021-08-04 17:02:57',null);
INSERT INTO complaint_statuses VALUES('27391','8693','2',null,'81',null,'04-AUG-2021
COMPLAINT#301163301','73','73','2021-08-04 16:24:55','2021-08-05 11:30:31',null);
INSERT INTO complaint_statuses VALUES('27392','8693','4',null,'60',null,null,'81','81','2021-08-04 16:25:21','2021-08-04 16:25:21',null);
INSERT INTO complaint_statuses VALUES('27393','8694','2',null,'81',null,null,'73','73','2021-08-04 16:26:36','2021-08-04 16:26:36',null);
INSERT INTO complaint_statuses VALUES('27394','8694','4',null,'61',null,null,'81','81','2021-08-04 16:27:40','2021-08-04 16:27:40',null);
INSERT INTO complaint_statuses VALUES('27395','8695','3',null,'59',null,'REQUEST FORWARDED TO USMAN MRM FOR RACK','73','73','2021-08-04 16:34:56','2021-08-04 16:34:56',null);
INSERT INTO complaint_statuses VALUES('27396','8584','7','24','81','refer to svc in hall sensor.',null,'76','76','2021-08-04 16:43:51','2021-08-04 16:43:51',null);
INSERT INTO complaint_statuses VALUES('27397','8271','7','12','81','Drain Pipe Adjustment.',null,'76','76','2021-08-04 16:44:24','2021-08-04 16:44:24',null);
INSERT INTO complaint_statuses VALUES('27398','8608','7','12','81','Drain Pipe Adjustment.',null,'76','76','2021-08-04 16:44:56','2021-08-04 16:44:56',null);
INSERT INTO complaint_statuses VALUES('27399','8608','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-04 17:23:31','2021-08-04 17:37:10',null);
INSERT INTO complaint_statuses VALUES('27400','8271','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-04 17:24:34','2021-08-04 17:37:50',null);
INSERT INTO complaint_statuses VALUES('27401','8647','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-08-04 17:34:07','2021-08-05 11:47:50',null);
INSERT INTO complaint_statuses VALUES('27402','8368','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-04 17:35:37','2021-08-04 17:35:37',null);
INSERT INTO complaint_statuses VALUES('27403','8696','3',null,'65',null,'4-AUG-2021
COMPLAINT#192126928','73','73','2021-08-04 17:47:51','2021-08-04 17:50:56',null);
INSERT INTO complaint_statuses VALUES('27404','8464','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-04 18:03:19','2021-08-04 18:03:19',null);
INSERT INTO complaint_statuses VALUES('27405','8697','3',null,'54',null,'I10 S/C','106','106','2021-08-04 18:13:25','2021-08-04 18:13:25',null);
INSERT INTO complaint_statuses VALUES('27406','8698','3',null,'55',null,'I-10 S/C','106','106','2021-08-04 18:15:15','2021-08-04 18:15:15',null);
INSERT INTO complaint_statuses VALUES('27407','8699','3',null,'53',null,'I-10 S/C','106','106','2021-08-04 18:18:00','2021-08-04 18:18:00',null);
INSERT INTO complaint_statuses VALUES('27408','8700','3',null,'53',null,'I-10 S/C','106','106','2021-08-04 18:19:29','2021-08-04 18:19:29',null);
INSERT INTO complaint_statuses VALUES('27409','8675','7','12','81','Issue resolved',null,'87','87','2021-08-04 21:25:37','2021-08-04 21:25:37',null);
INSERT INTO complaint_statuses VALUES('27410','8677','7','12','81','Issues resolved',null,'87','87','2021-08-04 21:25:58','2021-08-04 21:25:58',null);
INSERT INTO complaint_statuses VALUES('27411','8686','7','12','81','Issue resolved',null,'87','87','2021-08-04 21:26:51','2021-08-04 21:26:51',null);
INSERT INTO complaint_statuses VALUES('27412','8631','7','22','81','Moter',null,'87','87','2021-08-04 21:28:02','2021-08-04 21:28:02',null);
INSERT INTO complaint_statuses VALUES('27413','8701','3',null,'54',null,'5-AUG-2021
COMPLAINT#1955105','73','73','2021-08-05 10:32:41','2021-08-05 10:55:39',null);
INSERT INTO complaint_statuses VALUES('27414','8702','3',null,'54',null,'5-AUG-2021
COMPLAINT#1955108','73','73','2021-08-05 10:40:41','2021-08-05 10:57:46',null);
INSERT INTO complaint_statuses VALUES('27415','8250','7','12','81','issue clear hai,',null,'79','79','2021-08-05 10:40:58','2021-08-05 10:40:58',null);
INSERT INTO complaint_statuses VALUES('27416','8703','3',null,'65',null,'5-AUG-2021
COMPLAINT#192126941','73','73','2021-08-05 10:51:25','2021-08-05 11:23:27',null);
INSERT INTO complaint_statuses VALUES('27417','8630','7','24','81','its HDMI not working syatem board faulty.... total cost Rs. 44,780 including all charges.... need approval',null,'77','77','2021-08-05 10:53:10','2021-08-05 10:53:10',null);
INSERT INTO complaint_statuses VALUES('27418','8675','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-05 10:54:07','2021-08-05 11:00:00',null);
INSERT INTO complaint_statuses VALUES('27419','8587','7','12','81','closed job....due to two time enter in syatem...',null,'77','77','2021-08-05 10:54:46','2021-08-05 10:54:46',null);
INSERT INTO complaint_statuses VALUES('27420','5224','7','24','81','its wifi card faulty....Total Cost Rs 12,780

need approval',null,'77','77','2021-08-05 10:55:50','2021-08-05 10:55:50',null);
INSERT INTO complaint_statuses VALUES('27421','8686','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-05 10:57:10','2021-08-05 10:58:01',null);
INSERT INTO complaint_statuses VALUES('27422','8677','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-05 10:57:31','2021-08-05 10:59:08',null);
INSERT INTO complaint_statuses VALUES('27423','8566','5',null,null,'issued resolved',null,'106','106','2021-08-05 10:58:13','2021-08-05 10:58:13',null);
INSERT INTO complaint_statuses VALUES('27424','6638','7','12','81','tv ka koi masla nahi wasy he waham ha... pls as job ko closes kr do...',null,'77','77','2021-08-05 10:59:10','2021-08-05 10:59:10',null);
INSERT INTO complaint_statuses VALUES('27425','8704','2',null,'81',null,null,'73','73','2021-08-05 11:01:11','2021-08-05 11:01:11',null);
INSERT INTO complaint_statuses VALUES('27426','8704','4',null,'58',null,null,'81','81','2021-08-05 11:01:35','2021-08-05 11:01:35',null);
INSERT INTO complaint_statuses VALUES('27427','8578','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-05 11:08:38','2021-08-05 11:08:38',null);
INSERT INTO complaint_statuses VALUES('27428','8705','3',null,'52',null,null,'73','73','2021-08-05 11:09:34','2021-08-05 11:09:34',null);
INSERT INTO complaint_statuses VALUES('27429','8582','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-05 11:11:45','2021-08-05 11:11:45',null);
INSERT INTO complaint_statuses VALUES('27430','8706','3',null,'52',null,'5-AUG-2021
COMPLAINT#PKRI210805104146','73','73','2021-08-05 11:12:00','2021-08-05 11:35:04',null);
INSERT INTO complaint_statuses VALUES('27431','8705','5',null,null,'WRONG ENTRED',null,'73','73','2021-08-05 11:12:18','2021-08-05 11:12:18',null);
INSERT INTO complaint_statuses VALUES('27432','8707','3',null,'52',null,'5-AUG-2021
COMPLAINT#PKRI210805104214','73','73','2021-08-05 11:13:28','2021-08-05 11:38:08',null);
INSERT INTO complaint_statuses VALUES('27433','8708','2',null,'81',null,'5-AUG-2021
COMPLAINT#192126939','73','73','2021-08-05 11:17:03','2021-08-05 11:21:07',null);
INSERT INTO complaint_statuses VALUES('27434','8708','4',null,'60',null,null,'81','81','2021-08-05 11:18:42','2021-08-05 11:18:42',null);
INSERT INTO complaint_statuses VALUES('27435','8709','2',null,'81',null,null,'73','73','2021-08-05 11:27:33','2021-08-05 11:27:33',null);
INSERT INTO complaint_statuses VALUES('27436','8709','4',null,'56',null,null,'81','81','2021-08-05 11:28:02','2021-08-05 11:28:02',null);
INSERT INTO complaint_statuses VALUES('27437','8586','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-05 11:28:59','2021-08-05 11:28:59',null);
INSERT INTO complaint_statuses VALUES('27438','8321','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-05 11:31:04','2021-08-05 11:31:04',null);
INSERT INTO complaint_statuses VALUES('27439','8589','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-05 11:39:48','2021-08-05 11:39:48',null);
INSERT INTO complaint_statuses VALUES('27440','8710','3',null,'52',null,'5-AUG-2021
COMPLAINT#PKRI210805104300','73','73','2021-08-05 11:42:28','2021-08-05 11:43:20',null);
INSERT INTO complaint_statuses VALUES('27441','8605','7','12','81','ISSUE RESOLVED',null,'87','87','2021-08-05 11:42:59','2021-08-05 11:42:59',null);
INSERT INTO complaint_statuses VALUES('27442','8410','7','12','81','ISSUE RESOLVED',null,'87','87','2021-08-05 11:45:28','2021-08-05 11:45:28',null);
INSERT INTO complaint_statuses VALUES('27443','8626','7','24','81',null,null,'82','82','2021-08-05 11:45:30','2021-08-05 11:45:30',null);
INSERT INTO complaint_statuses VALUES('27444','8312','7','12','81',null,null,'87','87','2021-08-05 11:46:03','2021-08-05 11:46:03',null);
INSERT INTO complaint_statuses VALUES('27445','8592','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-05 11:46:37','2021-08-05 11:46:37',null);
INSERT INTO complaint_statuses VALUES('27446','8213','7','12','81','ISSUE RESOLVED , GAS + COMP',null,'87','87','2021-08-05 11:46:55','2021-08-05 11:46:55',null);
INSERT INTO complaint_statuses VALUES('27447','8191','7','12','81','GAS + COMP ISSUE RESOLVED',null,'87','87','2021-08-05 11:49:11','2021-08-05 11:49:11',null);
INSERT INTO complaint_statuses VALUES('27448','8711','2',null,'81',null,null,'73','73','2021-08-05 11:51:48','2021-08-05 11:51:48',null);
INSERT INTO complaint_statuses VALUES('27449','8711','4',null,'63',null,null,'81','81','2021-08-05 11:52:55','2021-08-05 11:52:55',null);
INSERT INTO complaint_statuses VALUES('27450','8593','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-05 11:55:57','2021-08-05 11:55:57',null);
INSERT INTO complaint_statuses VALUES('27451','8712','2',null,'81',null,null,'73','73','2021-08-05 11:56:11','2021-08-05 11:56:11',null);
INSERT INTO complaint_statuses VALUES('27452','8712','4',null,'56',null,null,'81','81','2021-08-05 11:56:24','2021-08-05 11:56:24',null);
INSERT INTO complaint_statuses VALUES('27453','8651','7','12','81','ISSUE RESOLVED',null,'87','87','2021-08-05 12:04:33','2021-08-05 12:04:33',null);
INSERT INTO complaint_statuses VALUES('27454','8325','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-05 12:04:52','2021-08-05 12:04:52',null);
INSERT INTO complaint_statuses VALUES('27455','8713','2',null,'81',null,null,'73','73','2021-08-05 12:05:16','2021-08-05 12:05:16',null);
INSERT INTO complaint_statuses VALUES('27456','8713','4',null,'63',null,null,'81','81','2021-08-05 12:05:37','2021-08-05 12:05:37',null);
INSERT INTO complaint_statuses VALUES('27457','8714','3',null,'53',null,'05-AUG-2021
COM NO 1163535','92','92','2021-08-05 12:10:44','2021-08-05 12:10:44',null);
INSERT INTO complaint_statuses VALUES('27458','8598','5',null,null,'COMLAINT COMPLETED',null,'106','106','2021-08-05 12:14:04','2021-08-05 12:14:04',null);
INSERT INTO complaint_statuses VALUES('27459','8600','7','26','81','Sales man NY unit Nahi diya',null,'83','83','2021-08-05 12:20:24','2021-08-05 12:20:24',null);
INSERT INTO complaint_statuses VALUES('27460','8538','7','12','81','Defrost sensor defective 
Sensor replaced  
Rs4500 exp
Friends warranty product',null,'83','83','2021-08-05 12:22:11','2021-08-05 12:22:11',null);
INSERT INTO complaint_statuses VALUES('27461','8574','7','12','81','Setting only unit ok 
500 visit',null,'83','83','2021-08-05 12:23:42','2021-08-05 12:23:42',null);
INSERT INTO complaint_statuses VALUES('27462','8715','2',null,'81',null,null,'73','73','2021-08-05 12:44:38','2021-08-05 12:44:38',null);
INSERT INTO complaint_statuses VALUES('27463','8715','4',null,'63',null,null,'81','81','2021-08-05 12:46:30','2021-08-05 12:46:30',null);
INSERT INTO complaint_statuses VALUES('27464','8651','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-05 12:49:51','2021-08-05 13:39:14',null);
INSERT INTO complaint_statuses VALUES('27465','8611','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-05 12:59:10','2021-08-05 12:59:10',null);
INSERT INTO complaint_statuses VALUES('27466','8463','7','12','81','Water Level Sensor Replaced.',null,'76','76','2021-08-05 13:06:37','2021-08-05 13:06:37',null);
INSERT INTO complaint_statuses VALUES('27467','8552','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-05 13:07:21','2021-08-05 13:07:21',null);
INSERT INTO complaint_statuses VALUES('27468','8360','7','12','81','Shifting Bolt Removed.',null,'76','76','2021-08-05 13:11:33','2021-08-05 13:11:33',null);
INSERT INTO complaint_statuses VALUES('27469','8444','7','12','81','Demo Only.',null,'76','76','2021-08-05 13:11:56','2021-08-05 13:11:56',null);
INSERT INTO complaint_statuses VALUES('27470','8106','7','12','81','Service and PCB Repaire,',null,'76','76','2021-08-05 13:13:14','2021-08-05 13:13:14',null);
INSERT INTO complaint_statuses VALUES('27471','8716','2',null,'81',null,null,'73','73','2021-08-05 13:13:54','2021-08-05 13:13:54',null);
INSERT INTO complaint_statuses VALUES('27472','8716','4',null,'63',null,null,'81','81','2021-08-05 13:14:33','2021-08-05 13:14:33',null);
INSERT INTO complaint_statuses VALUES('27473','8432','7','12','81','Pressure Switch Replaced.',null,'76','76','2021-08-05 13:14:33','2021-08-05 13:14:33',null);
INSERT INTO complaint_statuses VALUES('27474','8027','7','28','81',null,null,'76','76','2021-08-05 13:18:51','2021-08-05 13:18:51',null);
INSERT INTO complaint_statuses VALUES('27475','8717','3',null,'65',null,'5-AUG-2021
COMPLAINT#192126964','73','73','2021-08-05 13:25:54','2021-08-05 13:59:30',null);
INSERT INTO complaint_statuses VALUES('27476','8653','7','12','81','Ok',null,'88','88','2021-08-05 13:27:41','2021-08-05 13:27:41',null);
INSERT INTO complaint_statuses VALUES('27477','8649','7','12','81','Auto wair or Sal ok',null,'88','88','2021-08-05 13:28:10','2021-08-05 13:28:10',null);
INSERT INTO complaint_statuses VALUES('27478','8205','7','12','81','Tharmokapal or Sal kharb tha OK 500 f3 chakar aik k 500 castamar ny diya thay',null,'88','88','2021-08-05 13:29:22','2021-08-05 13:29:22',null);
INSERT INTO complaint_statuses VALUES('27479','8536','7','12','81','Ok',null,'88','88','2021-08-05 13:29:51','2021-08-05 13:29:51',null);
INSERT INTO complaint_statuses VALUES('27480','8358','7','12','81','Visit Charges Pending 600/- Drain Service',null,'76','76','2021-08-05 13:36:51','2021-08-05 13:36:51',null);
INSERT INTO complaint_statuses VALUES('27481','8289','7','20','81','No Fault',null,'76','76','2021-08-05 13:37:49','2021-08-05 13:37:49',null);
INSERT INTO complaint_statuses VALUES('27482','6647','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-05 13:39:35','2021-08-05 13:39:35',null);
INSERT INTO complaint_statuses VALUES('27483','7290','7','12','81','Compressor Replaced',null,'76','76','2021-08-05 13:42:16','2021-08-05 13:42:16',null);
INSERT INTO complaint_statuses VALUES('27484','8044','7','12','81','Issue solved.',null,'76','76','2021-08-05 13:42:43','2021-08-05 13:42:43',null);
INSERT INTO complaint_statuses VALUES('27485','6940','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-05 13:42:53','2021-08-05 13:42:53',null);
INSERT INTO complaint_statuses VALUES('27486','6812','7','12','81','No Fault.',null,'76','76','2021-08-05 13:43:23','2021-08-05 13:43:23',null);
INSERT INTO complaint_statuses VALUES('27487','6649','7','12','81',null,null,'76','76','2021-08-05 13:43:54','2021-08-05 13:43:54',null);
INSERT INTO complaint_statuses VALUES('27488','8653','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-08-05 13:44:51','2021-08-05 13:44:51',null);
INSERT INTO complaint_statuses VALUES('27489','8649','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-08-05 13:46:09','2021-08-05 13:46:09',null);
INSERT INTO complaint_statuses VALUES('27490','7184','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-05 13:49:31','2021-08-05 13:49:31',null);
INSERT INTO complaint_statuses VALUES('27491','8210','7','9','81','Customer not answering calls.',null,'76','76','2021-08-05 13:52:02','2021-08-05 13:52:02',null);
INSERT INTO complaint_statuses VALUES('27492','8718','2',null,'81',null,null,'73','73','2021-08-05 14:01:40','2021-08-05 14:01:40',null);
INSERT INTO complaint_statuses VALUES('27493','8718','4',null,'56',null,null,'81','81','2021-08-05 14:02:26','2021-08-05 14:02:26',null);
INSERT INTO complaint_statuses VALUES('27494','8605','8','23','62','ISSUE NOT RESOLVED KNDLY AGAIN CONTACT KARAY',null,'81','81','2021-08-05 14:07:08','2021-08-05 14:07:08',null);
INSERT INTO complaint_statuses VALUES('27495','8605','7','12','81','Issue resolved,plz reconfirm',null,'87','87','2021-08-05 14:12:26','2021-08-05 14:12:26',null);
INSERT INTO complaint_statuses VALUES('27496','8228','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-05 14:12:40','2021-08-05 14:12:40',null);
INSERT INTO complaint_statuses VALUES('27497','8449','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-05 14:12:46','2021-08-05 14:12:46',null);
INSERT INTO complaint_statuses VALUES('27498','8062','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-05 14:14:00','2021-08-05 14:14:00',null);
INSERT INTO complaint_statuses VALUES('27499','8605','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-08-05 14:26:40','2021-08-05 14:26:40',null);
INSERT INTO complaint_statuses VALUES('27500','8600','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-08-05 14:32:08','2021-08-05 14:32:08',null);
INSERT INTO complaint_statuses VALUES('27501','8626','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-08-05 14:32:55','2021-08-05 14:32:55',null);
INSERT INTO complaint_statuses VALUES('27502','8719','2',null,'81',null,'COSTUMER DIRECT LAUNCH THE COMPLAINT TO LG UAN','73','73','2021-08-05 14:32:59','2021-08-05 14:32:59',null);
INSERT INTO complaint_statuses VALUES('27503','8159','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-05 14:33:14','2021-08-05 14:33:14',null);
INSERT INTO complaint_statuses VALUES('27504','8719','4',null,'55',null,null,'81','81','2021-08-05 14:33:41','2021-08-05 14:33:41',null);
INSERT INTO complaint_statuses VALUES('27505','8584','8','23','55','OK JOB COMPLETED QUKILEY',null,'81','81','2021-08-05 14:37:04','2021-08-05 14:37:04',null);
INSERT INTO complaint_statuses VALUES('27506','8157','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-05 14:37:24','2021-08-05 14:37:24',null);
INSERT INTO complaint_statuses VALUES('27507','8720','2',null,'81',null,'COSTUMER DIRECT LAUNCH THE COMPLAINT TO LG UAN','73','73','2021-08-05 14:39:59','2021-08-05 14:42:03',null);
INSERT INTO complaint_statuses VALUES('27508','8575','8','23','56','ASLAM SIR SA CONTACT KARAY
 HO SAKHAY TU SET AP KHUD HI LIFT KARWA LO',null,'81','81','2021-08-05 14:40:18','2021-08-05 14:40:18',null);
INSERT INTO complaint_statuses VALUES('27509','8720','4',null,'55',null,null,'81','81','2021-08-05 14:40:23','2021-08-05 14:40:23',null);
INSERT INTO complaint_statuses VALUES('27510','8719','7','12','81','Compressor Faulty.',null,'76','76','2021-08-05 14:41:15','2021-08-05 14:41:15',null);
INSERT INTO complaint_statuses VALUES('27511','8574','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-08-05 14:41:18','2021-08-05 14:41:18',null);
INSERT INTO complaint_statuses VALUES('27512','8720','7','22','81','Compressor Require',null,'76','76','2021-08-05 14:42:29','2021-08-05 14:42:29',null);
INSERT INTO complaint_statuses VALUES('27513','8721','3',null,'52',null,'5-AUG-2021
COMPLAINT#PKRI210805109121','73','73','2021-08-05 14:45:32','2021-08-05 15:04:49',null);
INSERT INTO complaint_statuses VALUES('27514','8475','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-05 14:46:54','2021-08-05 14:46:54',null);
INSERT INTO complaint_statuses VALUES('27515','8538','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-08-05 14:59:15','2021-08-05 15:43:59',null);
INSERT INTO complaint_statuses VALUES('27516','8722','3',null,'53',null,'05-AUG-2021
COMPLAINT#301163723','106','106','2021-08-05 14:59:30','2021-08-05 15:07:47',null);
INSERT INTO complaint_statuses VALUES('27517','8536','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-08-05 15:00:12','2021-08-05 15:44:23',null);
INSERT INTO complaint_statuses VALUES('27518','8723','2',null,'81',null,'31 JULY-2021
FF TO KHURRAM 5 STAR','74','74','2021-08-05 15:04:16','2021-08-05 15:04:16',null);
INSERT INTO complaint_statuses VALUES('27519','8723','4',null,'63',null,null,'81','81','2021-08-05 15:04:38','2021-08-05 15:04:38',null);
INSERT INTO complaint_statuses VALUES('27520','8463','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-08-05 15:08:54','2021-08-05 15:45:04',null);
INSERT INTO complaint_statuses VALUES('27521','8364','7','12','81','OK nob outar jati the 1000 f',null,'88','88','2021-08-05 15:16:57','2021-08-05 15:16:57',null);
INSERT INTO complaint_statuses VALUES('27522','8724','3',null,'52',null,'5-AUG-2021
COMPLAINT#PKRI210805109181','73','73','2021-08-05 15:18:09','2021-08-05 15:23:09',null);
INSERT INTO complaint_statuses VALUES('27523','8591','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-05 15:22:32','2021-08-05 15:22:32',null);
INSERT INTO complaint_statuses VALUES('27524','8444','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-08-05 15:25:14','2021-08-05 15:45:50',null);
INSERT INTO complaint_statuses VALUES('27525','8432','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-08-05 15:26:27','2021-08-05 15:46:59',null);
INSERT INTO complaint_statuses VALUES('27526','8588','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-05 15:27:00','2021-08-05 15:27:00',null);
INSERT INTO complaint_statuses VALUES('27527','8725','2',null,'81',null,null,'73','73','2021-08-05 15:27:29','2021-08-05 15:27:29',null);
INSERT INTO complaint_statuses VALUES('27528','8725','4',null,'55',null,null,'81','81','2021-08-05 15:28:11','2021-08-05 15:28:11',null);
INSERT INTO complaint_statuses VALUES('27529','8726','3',null,'66',null,'5-AUG-2021
COMPLAINT#PK080520210109','73','73','2021-08-05 15:28:21','2021-08-05 16:00:36',null);
INSERT INTO complaint_statuses VALUES('27530','8410','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-08-05 15:28:32','2021-08-05 15:47:41',null);
INSERT INTO complaint_statuses VALUES('27531','8360','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-08-05 15:29:05','2021-08-05 15:48:33',null);
INSERT INTO complaint_statuses VALUES('27532','8727','3',null,'54',null,'5-AUG-2021
COMPLAINT#1955550','73','73','2021-08-05 15:31:00','2021-08-05 15:50:17',null);
INSERT INTO complaint_statuses VALUES('27533','8364','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-08-05 15:31:20','2021-08-05 15:48:07',null);
INSERT INTO complaint_statuses VALUES('27534','8509','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-05 15:32:57','2021-08-05 15:32:57',null);
INSERT INTO complaint_statuses VALUES('27535','8358','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-08-05 15:34:23','2021-08-05 15:49:13',null);
INSERT INTO complaint_statuses VALUES('27536','8312','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-08-05 15:45:12','2021-08-05 15:50:08',null);
INSERT INTO complaint_statuses VALUES('27537','8250','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-08-05 15:46:20','2021-08-05 15:50:43',null);
INSERT INTO complaint_statuses VALUES('27538','8213','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-08-05 15:47:32','2021-08-05 15:51:18',null);
INSERT INTO complaint_statuses VALUES('27539','8712','7','12','81','main board faulty....total cost 22000..  
need approval',null,'77','77','2021-08-05 15:47:41','2021-08-05 15:47:41',null);
INSERT INTO complaint_statuses VALUES('27540','8728','3',null,'55',null,'IN I-10 SERVICE CENTRE','106','106','2021-08-05 15:53:30','2021-08-05 15:53:30',null);
INSERT INTO complaint_statuses VALUES('27541','8308','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-05 15:58:04','2021-08-05 15:58:04',null);
INSERT INTO complaint_statuses VALUES('27542','8709','7','22','81','main board faulty cost 22000 need approval',null,'77','77','2021-08-05 15:58:39','2021-08-05 15:58:39',null);
INSERT INTO complaint_statuses VALUES('27543','6649','8','23','55','DISPLAY ISSUE NOT RESOLVED CUSTOMER VISIOT SA SATISFIED NAI',null,'81','81','2021-08-05 16:02:49','2021-08-05 16:02:49',null);
INSERT INTO complaint_statuses VALUES('27544','8221','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-05 16:03:32','2021-08-05 16:03:32',null);
INSERT INTO complaint_statuses VALUES('27545','8729','3',null,'65',null,'5-AUG-2021
COMPLAINT#192126981','73','73','2021-08-05 16:06:07','2021-08-05 16:06:07',null);
INSERT INTO complaint_statuses VALUES('27546','8162','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-05 16:07:54','2021-08-05 16:07:54',null);
INSERT INTO complaint_statuses VALUES('27547','7987','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-05 16:14:37','2021-08-05 16:14:37',null);
INSERT INTO complaint_statuses VALUES('27548','8311','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-05 16:22:46','2021-08-05 16:22:46',null);
INSERT INTO complaint_statuses VALUES('27549','8587','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-08-05 16:26:47','2021-08-05 16:26:47',null);
INSERT INTO complaint_statuses VALUES('27550','7935','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-05 16:27:00','2021-08-05 16:27:00',null);
INSERT INTO complaint_statuses VALUES('27551','8712','8','23','56','NAEEM SIR NA APPROVAL DA DI  HAIN SET READY KARWAY',null,'81','81','2021-08-05 16:28:08','2021-08-05 16:28:08',null);
INSERT INTO complaint_statuses VALUES('27552','8709','8','23','56','NAEEM SIR NA APPROVAL DA DI HAIN',null,'81','81','2021-08-05 16:28:55','2021-08-05 16:28:55',null);
INSERT INTO complaint_statuses VALUES('27553','8210','8','23','55','0300 WALAY NO PA CALL KARAY ABI BAT HOI HAIN HAMARI',null,'81','81','2021-08-05 16:31:51','2021-08-05 16:31:51',null);
INSERT INTO complaint_statuses VALUES('27554','8106','5','15',null,'COMPLAINT RESOLVED',null,'81','81','2021-08-05 16:43:47','2021-08-05 16:43:47',null);
INSERT INTO complaint_statuses VALUES('27555','8730','2',null,'81',null,null,'73','73','2021-08-05 16:50:05','2021-08-05 16:50:05',null);
INSERT INTO complaint_statuses VALUES('27556','8730','4',null,'55',null,null,'81','81','2021-08-05 16:50:29','2021-08-05 16:50:29',null);
INSERT INTO complaint_statuses VALUES('27557','8731','2',null,'81',null,null,'73','73','2021-08-05 16:54:12','2021-08-05 16:54:12',null);
INSERT INTO complaint_statuses VALUES('27558','8731','4',null,'55',null,null,'81','81','2021-08-05 16:54:53','2021-08-05 16:54:53',null);
INSERT INTO complaint_statuses VALUES('27559','8732','2',null,'81',null,'OTHER#03341956487','73','73','2021-08-05 17:02:54','2021-08-05 17:04:08',null);
INSERT INTO complaint_statuses VALUES('27560','8732','4',null,'58',null,null,'81','81','2021-08-05 17:03:20','2021-08-05 17:03:20',null);
INSERT INTO complaint_statuses VALUES('27561','8302','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-05 17:04:58','2021-08-05 17:04:58',null);
INSERT INTO complaint_statuses VALUES('27562','8733','3',null,'52',null,'5-AUG-2021
COMPLAINT#PKRI210805111858','73','73','2021-08-05 17:12:19','2021-08-05 17:25:58',null);
INSERT INTO complaint_statuses VALUES('27563','8734','2',null,'81',null,null,'73','73','2021-08-05 17:15:45','2021-08-05 17:15:45',null);
INSERT INTO complaint_statuses VALUES('27564','8734','4',null,'60',null,null,'81','81','2021-08-05 17:18:31','2021-08-05 17:18:31',null);
INSERT INTO complaint_statuses VALUES('27565','8735','3',null,'56',null,'5-AUG-2021
COMPLAINT#H05/018','73','92','2021-08-05 17:23:33','2021-08-08 15:28:23',null);
INSERT INTO complaint_statuses VALUES('27566','8505','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-05 17:36:07','2021-08-05 17:36:07',null);
INSERT INTO complaint_statuses VALUES('27567','8205','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-05 17:42:37','2021-08-05 17:46:18',null);
INSERT INTO complaint_statuses VALUES('27568','8191','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-05 17:44:20','2021-08-05 17:46:55',null);
INSERT INTO complaint_statuses VALUES('27569','8731','7','24','81','Main PCB Repaired , Repairing est 5500/- need Approval.',null,'76','76','2021-08-05 17:46:06','2021-08-05 17:46:06',null);
INSERT INTO complaint_statuses VALUES('27570','8204','7','12','81','CUSTOMER SE BAT HO GAI HAI FILHAL COMP THK HAI , AGR ISSUE HOGA THEN WO CL KR LEIN GE SO PLZ CLOSE IT.',null,'87','87','2021-08-05 17:50:30','2021-08-05 17:50:30',null);
INSERT INTO complaint_statuses VALUES('27571','8718','7','12','81','panel Faulty...estimate refuses...
pls close the job',null,'77','77','2021-08-05 18:36:48','2021-08-05 18:36:48',null);
INSERT INTO complaint_statuses VALUES('27572','8736','2',null,'81',null,'06-AUG-2021
FF TO SHAMIM AKHTER','74','92','2021-08-06 11:57:08','2021-08-16 17:59:34',null);
INSERT INTO complaint_statuses VALUES('27573','8736','4',null,'55',null,null,'81','81','2021-08-06 11:58:25','2021-08-06 11:58:25',null);
INSERT INTO complaint_statuses VALUES('27574','8718','5','15',null,'CUSTOMER KO PANEL KA EXP BATA DIA BUT CUSTOMER NA APPROVED NI KIYA SO COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-08-06 12:02:48','2021-08-07 12:22:23',null);
INSERT INTO complaint_statuses VALUES('27575','8737','2',null,'81',null,'06-AU GUEST-2021
FF TO NADEEM AV','74','74','2021-08-06 12:15:02','2021-08-06 12:15:02',null);
INSERT INTO complaint_statuses VALUES('27576','8737','4',null,'59',null,null,'81','81','2021-08-06 12:15:33','2021-08-06 12:15:33',null);
INSERT INTO complaint_statuses VALUES('27577','8626','7','24','81','Cluth coile hrab hy nikal ky laye hy',null,'82','82','2021-08-06 12:20:51','2021-08-06 12:20:51',null);
INSERT INTO complaint_statuses VALUES('27578','8738','3',null,'52',null,'06-AUG-2021
COMPLAINT#PKRI-210806105315','74','92','2021-08-06 12:34:56','2021-08-10 11:11:57',null);
INSERT INTO complaint_statuses VALUES('27579','8739','3',null,'55',null,'06-AUG-2021
COMPLAINT#ISB-1900','74','74','2021-08-06 12:40:40','2021-08-06 12:44:11',null);
INSERT INTO complaint_statuses VALUES('27580','8740','2',null,'81',null,'06-AUG-2021
FF TO B COOL','74','74','2021-08-06 12:52:06','2021-08-06 12:52:06',null);
INSERT INTO complaint_statuses VALUES('27581','8740','4',null,'58',null,null,'81','81','2021-08-06 12:52:58','2021-08-06 12:52:58',null);
INSERT INTO complaint_statuses VALUES('27582','8741','3',null,'56',null,'06-AUG-2021
COMPLAINT# H06/004','74','73','2021-08-06 14:41:38','2021-08-07 11:29:17',null);
INSERT INTO complaint_statuses VALUES('27583','8617','7','12','81','unit ok only door gaskit required to customer',null,'83','83','2021-08-06 14:52:33','2021-08-06 14:52:33',null);
INSERT INTO complaint_statuses VALUES('27584','8742','3',null,'80',null,'06-AUG-2021
COMPLAINT#SHOAIB MOMIN BOACH','74','92','2021-08-06 14:57:49','2021-08-10 12:26:40',null);
INSERT INTO complaint_statuses VALUES('27585','8743','3',null,'55',null,'06-AUG-2021
COMPLAINT# R.W.P 815365','74','74','2021-08-06 15:18:43','2021-08-06 15:19:42',null);
INSERT INTO complaint_statuses VALUES('27586','6638','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-06 16:25:29','2021-08-07 12:26:59',null);
INSERT INTO complaint_statuses VALUES('27587','8617','5','15',null,'COMPLETED COMPLAINT 
REF BAG LAY PA HAIN','REF OK HAIN USMAN MRM SA CONFIRM KAR K COMPLAINT CLOSED KI GASS KIT KI PRICE CUSTOMER K SATH SHER KARNI HAIN','81','74','2021-08-06 16:52:56','2021-08-07 14:31:32',null);
INSERT INTO complaint_statuses VALUES('27588','8626','8','23','60','OK JOB COMPLETED QUKILEY',null,'81','81','2021-08-06 17:01:54','2021-08-06 17:01:54',null);
INSERT INTO complaint_statuses VALUES('27589','8744','3',null,'55',null,'06-AUG-2021
COMPLAINT#R.W.P22773','74','74','2021-08-06 17:09:15','2021-08-06 17:10:47',null);
INSERT INTO complaint_statuses VALUES('27590','8745','3',null,'53',null,'06-AUG-2021
CPMPLAINT#301164107','74','74','2021-08-06 17:16:07','2021-08-06 17:20:39',null);
INSERT INTO complaint_statuses VALUES('27591','8746','3',null,'53',null,'06-AUG-2021
COMPLAINT#301164108','74','74','2021-08-06 17:23:02','2021-08-06 17:23:02',null);
INSERT INTO complaint_statuses VALUES('27592','6401','7','26','81','call center py karwa dain ya complaint',null,'83','83','2021-08-06 20:53:37','2021-08-06 20:53:37',null);
INSERT INTO complaint_statuses VALUES('27593','8747','3',null,'53',null,'7-AUG-2021
COMPLAINT#301164177','73','73','2021-08-07 10:34:38','2021-08-07 11:19:15',null);
INSERT INTO complaint_statuses VALUES('27594','8748','3',null,'54',null,'7-AUG-2021
COMPLAINT#1956473','73','73','2021-08-07 10:43:56','2021-08-07 11:23:09',null);
INSERT INTO complaint_statuses VALUES('27595','8749','2',null,'81',null,null,'73','73','2021-08-07 10:54:51','2021-08-07 10:54:51',null);
INSERT INTO complaint_statuses VALUES('27596','8750','2',null,'81',null,null,'73','73','2021-08-07 10:55:39','2021-08-07 10:55:39',null);
INSERT INTO complaint_statuses VALUES('27597','8749','4',null,'62',null,null,'81','81','2021-08-07 10:56:39','2021-08-07 10:56:39',null);
INSERT INTO complaint_statuses VALUES('27598','8750','4',null,'58',null,null,'81','81','2021-08-07 10:56:50','2021-08-07 10:56:50',null);
INSERT INTO complaint_statuses VALUES('27599','8751','2',null,'81',null,null,'73','73','2021-08-07 11:06:43','2021-08-07 11:06:43',null);
INSERT INTO complaint_statuses VALUES('27600','8751','4',null,'58',null,null,'81','81','2021-08-07 11:07:09','2021-08-07 11:07:09',null);
INSERT INTO complaint_statuses VALUES('27601','8752','2',null,'81',null,null,'73','73','2021-08-07 11:09:47','2021-08-07 11:09:47',null);
INSERT INTO complaint_statuses VALUES('27602','8752','4',null,'56',null,null,'81','81','2021-08-07 11:11:54','2021-08-07 11:11:54',null);
INSERT INTO complaint_statuses VALUES('27603','6351','7','12','81','navid sb ko bata dya hai.mgr ki resoponse nahi aya',null,'79','79','2021-08-07 11:16:46','2021-08-07 11:16:46',null);
INSERT INTO complaint_statuses VALUES('27604','8370','7','12','81','oven theek kr dya hai',null,'79','79','2021-08-07 11:20:50','2021-08-07 11:20:50',null);
INSERT INTO complaint_statuses VALUES('27605','8682','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-07 11:26:35','2021-08-07 11:26:35',null);
INSERT INTO complaint_statuses VALUES('27606','8681','7','12','81','complaint resolved',null,'79','79','2021-08-07 11:30:21','2021-08-07 11:30:21',null);
INSERT INTO complaint_statuses VALUES('27607','7496','7','24','81','enternal issue hai,koi update nahi hai kb  theek hai',null,'79','79','2021-08-07 11:36:28','2021-08-07 11:36:28',null);
INSERT INTO complaint_statuses VALUES('27608','8753','2',null,'81',null,null,'73','73','2021-08-07 11:57:48','2021-08-07 11:57:48',null);
INSERT INTO complaint_statuses VALUES('27609','8753','4',null,'55',null,null,'81','81','2021-08-07 11:58:19','2021-08-07 11:58:19',null);
INSERT INTO complaint_statuses VALUES('27610','8680','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-07 12:04:48','2021-08-07 12:04:48',null);
INSERT INTO complaint_statuses VALUES('27611','8370','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-08-07 12:05:33','2021-08-07 12:26:20',null);
INSERT INTO complaint_statuses VALUES('27612','8681','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-08-07 12:06:41','2021-08-07 12:24:03',null);
INSERT INTO complaint_statuses VALUES('27613','8731','8','23','55','approved sadeeq sb 5500/=',null,'81','81','2021-08-07 12:12:41','2021-08-07 12:12:41',null);
INSERT INTO complaint_statuses VALUES('27614','7955','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-07 12:23:18','2021-08-07 12:23:18',null);
INSERT INTO complaint_statuses VALUES('27615','8719','8','23','55','approved by sadeeq sb 25000/=',null,'81','81','2021-08-07 12:25:06','2021-08-07 12:25:06',null);
INSERT INTO complaint_statuses VALUES('27616','8514','7','12','81','Water Level Sensor Replaced.',null,'76','76','2021-08-07 12:28:06','2021-08-07 12:28:06',null);
INSERT INTO complaint_statuses VALUES('27617','8448','7','12','81','pehly 2 din dety rehy phr inhi ny call attend nahi ki',null,'79','79','2021-08-07 12:28:17','2021-08-07 12:28:17',null);
INSERT INTO complaint_statuses VALUES('27618','8642','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-08-07 12:38:47','2021-08-07 12:38:47',null);
INSERT INTO complaint_statuses VALUES('27619','8640','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-07 12:46:50','2021-08-07 12:46:50',null);
INSERT INTO complaint_statuses VALUES('27620','8044','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-07 12:48:49','2021-08-07 13:48:41',null);
INSERT INTO complaint_statuses VALUES('27621','8641','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-07 13:00:10','2021-08-07 13:00:10',null);
INSERT INTO complaint_statuses VALUES('27622','8678','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-07 13:13:44','2021-08-07 13:13:44',null);
INSERT INTO complaint_statuses VALUES('27623','8754','3',null,'53',null,'7-AUG-2021
COMPLAINT#301164269','73','73','2021-08-07 13:39:07','2021-08-07 13:53:18',null);
INSERT INTO complaint_statuses VALUES('27624','8632','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-07 13:42:04','2021-08-07 13:42:04',null);
INSERT INTO complaint_statuses VALUES('27625','8630','8','23','56','EXP APPROVED BY NAEEM NASEER',null,'81','81','2021-08-07 13:45:02','2021-08-07 13:45:02',null);
INSERT INTO complaint_statuses VALUES('27626','8755','3',null,'53',null,'7-AUG-2021
COMPLAINT#3011642274','73','73','2021-08-07 13:46:53','2021-08-07 13:55:45',null);
INSERT INTO complaint_statuses VALUES('27627','8644','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-07 13:46:57','2021-08-07 13:46:57',null);
INSERT INTO complaint_statuses VALUES('27628','8676','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-07 13:47:27','2021-08-07 13:47:27',null);
INSERT INTO complaint_statuses VALUES('27629','8674','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-07 13:50:02','2021-08-07 13:50:02',null);
INSERT INTO complaint_statuses VALUES('27630','8650','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-07 13:53:36','2021-08-07 13:53:36',null);
INSERT INTO complaint_statuses VALUES('27631','5224','5','23',null,'APPROVED','AGAIN REOPEN','81','74','2021-08-07 14:09:25','2021-08-07 15:09:57',null);
INSERT INTO complaint_statuses VALUES('27632','8514','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-07 14:10:42','2021-08-07 14:32:13',null);
INSERT INTO complaint_statuses VALUES('27633','7290','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-07 14:13:07','2021-08-07 14:38:32',null);
INSERT INTO complaint_statuses VALUES('27634','8289','5','15',null,'COMPLAINT COMPLETED','COMPLETED COMPLAINT','81','74','2021-08-07 14:19:28','2021-08-07 14:34:29',null);
INSERT INTO complaint_statuses VALUES('27635','8413','8','23','55','OK JOB COMPLETED QUKILEY',null,'81','81','2021-08-07 14:20:23','2021-08-07 14:20:23',null);
INSERT INTO complaint_statuses VALUES('27636','8204','5','15',null,'COMPLETED COMPLAINT','ADIL BHAI SA CONFIRM KAR K  
 CLOSED','81','74','2021-08-07 14:23:16','2021-08-07 14:37:07',null);
INSERT INTO complaint_statuses VALUES('27637','8662','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-07 14:36:56','2021-08-07 14:36:56',null);
INSERT INTO complaint_statuses VALUES('27638','8756','3',null,'95',null,'7-AUG-2021
COMPLAINT FRWRD TO ZULFIQAR & UAN','73','73','2021-08-07 14:44:37','2021-08-07 15:59:16',null);
INSERT INTO complaint_statuses VALUES('27639','8531','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-07 14:46:32','2021-08-07 14:46:32',null);
INSERT INTO complaint_statuses VALUES('27640','8757','2',null,'81',null,null,'73','73','2021-08-07 14:51:05','2021-08-07 14:51:05',null);
INSERT INTO complaint_statuses VALUES('27641','8757','4',null,'58',null,null,'81','81','2021-08-07 14:51:53','2021-08-07 14:51:53',null);
INSERT INTO complaint_statuses VALUES('27642','6401','8','23','61','OK JOB COMPLETED QUKILEY',null,'81','81','2021-08-07 14:54:49','2021-08-07 14:54:49',null);
INSERT INTO complaint_statuses VALUES('27643','8758','3',null,'53',null,'2-6-21
COMPLAINT#301132246','92','92','2021-08-07 15:12:15','2021-08-07 15:12:15',null);
INSERT INTO complaint_statuses VALUES('27644','8448','8','23','58','CUSTOMER SA BAT HO GEI HAIN AP AGAIN CONTACT KAR K VISIT ARRANGE KARWAY',null,'81','81','2021-08-07 15:12:26','2021-08-07 15:12:26',null);
INSERT INTO complaint_statuses VALUES('27645','8027','5','15',null,'CUSTOMER NA LOCAL TECHNICIAN SA ISSUE RESOLVED KARWA LI COMPLAINT CLOSED','COMPLAINT RESOLVED','81','74','2021-08-07 15:15:11','2021-08-07 15:29:37',null);
INSERT INTO complaint_statuses VALUES('27646','8470','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-07 15:18:27','2021-08-07 15:18:27',null);
INSERT INTO complaint_statuses VALUES('27647','8306','7','12','81','Filter clreing',null,'82','82','2021-08-07 15:58:00','2021-08-07 15:58:00',null);
INSERT INTO complaint_statuses VALUES('27648','8623','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-07 16:14:36','2021-08-07 16:14:36',null);
INSERT INTO complaint_statuses VALUES('27649','8614','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-07 16:15:55','2021-08-07 16:15:55',null);
INSERT INTO complaint_statuses VALUES('27650','8759','2',null,'81',null,null,'74','74','2021-08-07 16:27:25','2021-08-07 16:27:25',null);
INSERT INTO complaint_statuses VALUES('27651','8759','4',null,'56',null,null,'81','81','2021-08-07 16:27:46','2021-08-07 16:27:46',null);
INSERT INTO complaint_statuses VALUES('27652','8579','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-07 16:33:17','2021-08-07 16:33:17',null);
INSERT INTO complaint_statuses VALUES('27653','8760','2',null,'81',null,null,'106','106','2021-08-07 16:36:49','2021-08-07 16:36:49',null);
INSERT INTO complaint_statuses VALUES('27654','8760','4',null,'58',null,null,'81','81','2021-08-07 16:38:57','2021-08-07 16:38:57',null);
INSERT INTO complaint_statuses VALUES('27655','8761','3',null,'53',null,'7-AUG-2021
COMPLAINT#301164434','73','73','2021-08-07 16:44:58','2021-08-07 16:58:38',null);
INSERT INTO complaint_statuses VALUES('27656','8246','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-07 16:46:31','2021-08-07 16:46:31',null);
INSERT INTO complaint_statuses VALUES('27657','7998','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-07 17:08:28','2021-08-07 17:08:28',null);
INSERT INTO complaint_statuses VALUES('27658','8306','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-07 17:57:57','2021-08-07 17:59:09',null);
INSERT INTO complaint_statuses VALUES('27659','8732','7','12','81','complaint resolved .inlet coil change,',null,'79','79','2021-08-08 13:11:11','2021-08-08 13:11:11',null);
INSERT INTO complaint_statuses VALUES('27660','8762','3',null,'53',null,'8-AUG-2021
COMPLAINT#301164507','73','92','2021-08-08 13:11:44','2021-08-09 16:11:38',null);
INSERT INTO complaint_statuses VALUES('27661','8704','7','12','81','complaint  resolved,safety wire issue',null,'79','79','2021-08-08 13:13:31','2021-08-08 13:13:31',null);
INSERT INTO complaint_statuses VALUES('27662','8763','3',null,'52',null,'8-AUG-2021
COMPLAINT#PKRI210808102914','73','73','2021-08-08 13:14:06','2021-08-08 13:14:06',null);
INSERT INTO complaint_statuses VALUES('27663','8639','7','12','81','complaint resolved,no issue in ref',null,'79','79','2021-08-08 13:15:06','2021-08-08 13:15:06',null);
INSERT INTO complaint_statuses VALUES('27664','8764','3',null,'52',null,'8-AUG-2021
COMPLAINT#PKRI210808102956','73','73','2021-08-08 13:15:57','2021-08-08 13:15:57',null);
INSERT INTO complaint_statuses VALUES('27665','8765','3',null,'66',null,'9-AUG-2021
COMPLAINT#PK080920210031','73','73','2021-08-08 13:18:36','2021-08-09 10:39:47',null);
INSERT INTO complaint_statuses VALUES('27666','8717','5',null,null,'complaint completed',null,'92','92','2021-08-08 13:19:07','2021-08-08 13:19:07',null);
INSERT INTO complaint_statuses VALUES('27667','8766','2',null,'81',null,null,'73','73','2021-08-08 13:20:20','2021-08-08 13:20:20',null);
INSERT INTO complaint_statuses VALUES('27668','8766','4',null,'62',null,null,'81','81','2021-08-08 13:20:43','2021-08-08 13:20:43',null);
INSERT INTO complaint_statuses VALUES('27669','8710','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-08 13:24:24','2021-08-08 13:24:24',null);
INSERT INTO complaint_statuses VALUES('27670','8723','7','12','81','Ok',null,'88','88','2021-08-08 13:26:22','2021-08-08 13:26:22',null);
INSERT INTO complaint_statuses VALUES('27671','8716','7','12','81','OK 500f',null,'88','88','2021-08-08 13:26:46','2021-08-08 13:26:46',null);
INSERT INTO complaint_statuses VALUES('27672','8732','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-08 13:26:46','2021-08-08 13:52:37',null);
INSERT INTO complaint_statuses VALUES('27673','8767','3',null,'52',null,'8-AUG-2021
COMPLAINT#PKRI210808101585','73','73','2021-08-08 13:26:54','2021-08-08 14:24:15',null);
INSERT INTO complaint_statuses VALUES('27674','8713','7','12','81','2 outo wair tuti the OK 1100 f',null,'88','88','2021-08-08 13:27:22','2021-08-08 13:27:22',null);
INSERT INTO complaint_statuses VALUES('27675','8723','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-08-08 13:27:36','2021-08-09 14:13:41',null);
INSERT INTO complaint_statuses VALUES('27676','8711','7','9','81','OK timer kharb tha OK',null,'88','88','2021-08-08 13:28:03','2021-08-08 13:28:03',null);
INSERT INTO complaint_statuses VALUES('27677','8636','7','12','81','OK auto wair or sating',null,'88','88','2021-08-08 13:28:43','2021-08-08 13:28:43',null);
INSERT INTO complaint_statuses VALUES('27678','8768','3',null,'52',null,'8-AUG-2021
COMPLANT#PKRI210808105221','73','73','2021-08-08 13:28:58','2021-08-08 14:27:32',null);
INSERT INTO complaint_statuses VALUES('27679','8639','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-08 13:29:57','2021-08-08 13:53:35',null);
INSERT INTO complaint_statuses VALUES('27680','8636','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-08-08 13:30:45','2021-08-09 14:17:38',null);
INSERT INTO complaint_statuses VALUES('27681','8704','5','15',null,'COMPLAINT RESOLVED','COMPLIANT COMPLETED','81','92','2021-08-08 13:32:05','2021-08-08 13:54:12',null);
INSERT INTO complaint_statuses VALUES('27682','8711','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-08 13:34:40','2021-08-08 13:54:55',null);
INSERT INTO complaint_statuses VALUES('27683','8769','3',null,'66',null,'9-AUG-2021
COMPLAINT#PK080920210036','73','73','2021-08-08 13:35:51','2021-08-09 10:43:53',null);
INSERT INTO complaint_statuses VALUES('27684','8713','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-08-08 13:37:54','2021-08-09 14:14:35',null);
INSERT INTO complaint_statuses VALUES('27685','8770','3',null,'54',null,'8-AUG-2021
COMPLAINT#1957210','73','73','2021-08-08 13:40:19','2021-08-08 14:42:00',null);
INSERT INTO complaint_statuses VALUES('27686','8771','3',null,'52',null,'8-AUG-2021
COMPLANT#PKRI210808105258 
REOPEN COM NO PKRI-210811110197','73','92','2021-08-08 13:44:40','2021-08-12 11:33:42',null);
INSERT INTO complaint_statuses VALUES('27687','8772','3',null,'65',null,'08-AUG-2021
COM NO 192127083','92','92','2021-08-08 13:46:02','2021-08-08 13:46:51',null);
INSERT INTO complaint_statuses VALUES('27688','8773','2',null,'81',null,null,'73','73','2021-08-08 13:48:00','2021-08-08 13:48:00',null);
INSERT INTO complaint_statuses VALUES('27689','8774','2',null,'81',null,null,'73','73','2021-08-08 13:49:01','2021-08-08 13:49:01',null);
INSERT INTO complaint_statuses VALUES('27690','8774','4',null,'61',null,null,'81','81','2021-08-08 13:49:29','2021-08-08 13:49:29',null);
INSERT INTO complaint_statuses VALUES('27691','8773','4',null,'61',null,null,'81','81','2021-08-08 13:49:40','2021-08-08 13:49:40',null);
INSERT INTO complaint_statuses VALUES('27692','8707','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-08 13:51:46','2021-08-08 13:51:46',null);
INSERT INTO complaint_statuses VALUES('27693','8775','2',null,'81',null,null,'73','73','2021-08-08 13:52:32','2021-08-08 13:52:32',null);
INSERT INTO complaint_statuses VALUES('27694','8775','4',null,'55',null,null,'81','81','2021-08-08 13:53:15','2021-08-08 13:53:15',null);
INSERT INTO complaint_statuses VALUES('27695','8776','3',null,'65',null,'8-AUG-2021
COMPLAINT#192127085','73','73','2021-08-08 13:54:38','2021-08-08 14:38:28',null);
INSERT INTO complaint_statuses VALUES('27696','8777','2',null,'81',null,null,'73','73','2021-08-08 14:05:29','2021-08-08 14:05:29',null);
INSERT INTO complaint_statuses VALUES('27697','8777','4',null,'58',null,null,'81','81','2021-08-08 14:06:00','2021-08-08 14:06:00',null);
INSERT INTO complaint_statuses VALUES('27698','8701','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-08 14:07:58','2021-08-08 14:07:58',null);
INSERT INTO complaint_statuses VALUES('27699','8778','3',null,'53',null,'8-AUG-2021
COMPLAINT#301164587','73','73','2021-08-08 14:14:48','2021-08-08 14:34:32',null);
INSERT INTO complaint_statuses VALUES('27700','8690','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-08 14:14:58','2021-08-08 14:14:58',null);
INSERT INTO complaint_statuses VALUES('27701','8687','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-08 14:17:29','2021-08-08 14:17:29',null);
INSERT INTO complaint_statuses VALUES('27702','8669','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-08 14:28:20','2021-08-08 14:28:20',null);
INSERT INTO complaint_statuses VALUES('27703','8779','2',null,'81',null,null,'73','73','2021-08-08 14:31:50','2021-08-08 14:31:50',null);
INSERT INTO complaint_statuses VALUES('27704','8779','4',null,'62',null,null,'81','81','2021-08-08 14:33:02','2021-08-08 14:33:02',null);
INSERT INTO complaint_statuses VALUES('27705','8780','2',null,'81',null,null,'73','73','2021-08-08 15:08:17','2021-08-08 15:08:17',null);
INSERT INTO complaint_statuses VALUES('27706','8780','4',null,'62',null,null,'81','81','2021-08-08 15:09:43','2021-08-08 15:09:43',null);
INSERT INTO complaint_statuses VALUES('27707','8729','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-08 15:14:30','2021-08-08 15:14:30',null);
INSERT INTO complaint_statuses VALUES('27708','8781','2',null,'81',null,null,'73','73','2021-08-08 15:20:55','2021-08-08 15:20:55',null);
INSERT INTO complaint_statuses VALUES('27709','8781','4',null,'58',null,null,'81','81','2021-08-08 15:22:33','2021-08-08 15:22:33',null);
INSERT INTO complaint_statuses VALUES('27710','8706','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-08 15:28:31','2021-08-08 15:28:31',null);
INSERT INTO complaint_statuses VALUES('27711','8782','2',null,'81',null,null,'73','73','2021-08-08 15:38:44','2021-08-08 15:38:44',null);
INSERT INTO complaint_statuses VALUES('27712','8782','4',null,'58',null,null,'81','81','2021-08-08 15:39:05','2021-08-08 15:39:05',null);
INSERT INTO complaint_statuses VALUES('27713','8783','3',null,'53',null,'9-AUG-2021
COMPLAINT#301164773','73','73','2021-08-08 15:48:11','2021-08-09 10:53:11',null);
INSERT INTO complaint_statuses VALUES('27714','8716','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-08 15:48:52','2021-08-08 15:51:18',null);
INSERT INTO complaint_statuses VALUES('27715','8607','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-08 15:59:51','2021-08-08 15:59:51',null);
INSERT INTO complaint_statuses VALUES('27716','8780','7','26','81','KHD E OK HO GAI',null,'87','87','2021-08-08 16:02:28','2021-08-08 16:02:28',null);
INSERT INTO complaint_statuses VALUES('27717','8601','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-08 16:02:38','2021-08-08 16:02:38',null);
INSERT INTO complaint_statuses VALUES('27718','8597','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-08 16:06:33','2021-08-08 16:06:33',null);
INSERT INTO complaint_statuses VALUES('27719','8784','3',null,'52',null,'8-AUG-2021
COMPLAINT#PKRI210808107094','73','73','2021-08-08 16:07:46','2021-08-08 16:57:53',null);
INSERT INTO complaint_statuses VALUES('27720','8570','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-08 16:08:58','2021-08-08 16:08:58',null);
INSERT INTO complaint_statuses VALUES('27721','8572','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-08 16:10:05','2021-08-08 16:10:05',null);
INSERT INTO complaint_statuses VALUES('27722','8785','3',null,'54',null,'8-AUG-2021
COMPLAINT#1957298','73','73','2021-08-08 16:21:59','2021-08-08 16:53:22',null);
INSERT INTO complaint_statuses VALUES('27723','8786','3',null,'66',null,'9-AUG-2021
COMPLAINT#PK080920210039','73','73','2021-08-08 16:29:45','2021-08-09 10:49:11',null);
INSERT INTO complaint_statuses VALUES('27724','8787','2',null,'81',null,null,'73','73','2021-08-08 16:35:33','2021-08-08 16:35:33',null);
INSERT INTO complaint_statuses VALUES('27725','8787','4',null,'58',null,null,'81','81','2021-08-08 16:36:03','2021-08-08 16:36:03',null);
INSERT INTO complaint_statuses VALUES('27726','8788','3',null,'52',null,'8-AUG-2021
COMPLAINT#PKRI2108087142','73','73','2021-08-08 16:40:14','2021-08-08 17:00:59',null);
INSERT INTO complaint_statuses VALUES('27727','8789','2',null,'81',null,null,'73','73','2021-08-08 16:52:04','2021-08-08 16:52:04',null);
INSERT INTO complaint_statuses VALUES('27728','8789','4',null,'58',null,null,'81','81','2021-08-08 16:52:40','2021-08-08 16:52:40',null);
INSERT INTO complaint_statuses VALUES('27729','8780','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-08 16:56:16','2021-08-08 16:57:28',null);
INSERT INTO complaint_statuses VALUES('27730','8790','3',null,'53',null,'9-AUG-2021
COMPLAINT#301164776','73','73','2021-08-08 17:00:34','2021-08-09 10:55:18',null);
INSERT INTO complaint_statuses VALUES('27731','8791','2',null,'81',null,null,'73','73','2021-08-08 17:04:46','2021-08-08 17:04:46',null);
INSERT INTO complaint_statuses VALUES('27732','8791','4',null,'58',null,null,'81','81','2021-08-08 17:05:18','2021-08-08 17:05:18',null);
INSERT INTO complaint_statuses VALUES('27733','6976','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-08 17:08:28','2021-08-08 17:08:28',null);
INSERT INTO complaint_statuses VALUES('27734','8792','3',null,'61',null,'8-AUG-2021
COMPLAINT#202108005223','73','73','2021-08-08 17:13:39','2021-08-08 17:18:58',null);
INSERT INTO complaint_statuses VALUES('27735','8339','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-08 17:25:00','2021-08-08 17:25:00',null);
INSERT INTO complaint_statuses VALUES('27736','8793','2',null,'81',null,'90G9-S
REF TO ADIL FHHS','73','73','2021-08-08 17:36:07','2021-08-08 17:38:22',null);
INSERT INTO complaint_statuses VALUES('27737','8793','4',null,'58',null,null,'81','81','2021-08-08 17:36:22','2021-08-08 17:36:22',null);
INSERT INTO complaint_statuses VALUES('27738','8621','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-08 17:46:41','2021-08-08 17:46:41',null);
INSERT INTO complaint_statuses VALUES('27739','8727','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-08 17:49:01','2021-08-08 17:49:01',null);
INSERT INTO complaint_statuses VALUES('27740','8794','2',null,'81',null,null,'73','73','2021-08-09 11:01:31','2021-08-09 11:01:31',null);
INSERT INTO complaint_statuses VALUES('27741','8794','4',null,'62',null,null,'81','81','2021-08-09 11:01:53','2021-08-09 11:01:53',null);
INSERT INTO complaint_statuses VALUES('27742','8795','2',null,'81',null,null,'73','73','2021-08-09 11:04:32','2021-08-09 11:04:32',null);
INSERT INTO complaint_statuses VALUES('27743','8795','4',null,'63',null,null,'81','81','2021-08-09 11:05:23','2021-08-09 11:05:23',null);
INSERT INTO complaint_statuses VALUES('27744','8796','3',null,'59',null,'9-AUG-2021
COMPLAINT#4248185538
REOPEN COMPLAINT#4248309457','73','106','2021-08-09 11:07:44','2021-08-12 13:29:55',null);
INSERT INTO complaint_statuses VALUES('27745','8797','2',null,'81',null,null,'73','73','2021-08-09 11:10:59','2021-08-09 11:10:59',null);
INSERT INTO complaint_statuses VALUES('27746','8797','4',null,'55',null,null,'81','81','2021-08-09 11:11:26','2021-08-09 11:11:26',null);
INSERT INTO complaint_statuses VALUES('27747','8798','2',null,'81',null,null,'73','73','2021-08-09 11:13:29','2021-08-09 11:13:29',null);
INSERT INTO complaint_statuses VALUES('27748','8798','4',null,'61',null,null,'81','81','2021-08-09 11:13:50','2021-08-09 11:13:50',null);
INSERT INTO complaint_statuses VALUES('27749','8799','2',null,'81',null,null,'73','73','2021-08-09 11:17:35','2021-08-09 11:17:35',null);
INSERT INTO complaint_statuses VALUES('27750','8799','4',null,'63',null,null,'81','81','2021-08-09 11:18:03','2021-08-09 11:18:03',null);
INSERT INTO complaint_statuses VALUES('27751','8759','7','24','81','wifi card faulty...total cost Rs..12,700...
need approval',null,'77','77','2021-08-09 11:19:46','2021-08-09 11:19:46',null);
INSERT INTO complaint_statuses VALUES('27752','8712','7','12','81','cimpleted and collected by Mr. Aslam',null,'77','77','2021-08-09 11:20:33','2021-08-09 11:20:33',null);
INSERT INTO complaint_statuses VALUES('27753','8709','7','12','81','unit completed and collected by Mr. Aslam',null,'77','77','2021-08-09 11:21:02','2021-08-09 11:21:02',null);
INSERT INTO complaint_statuses VALUES('27754','8800','3',null,'53',null,'1-AUG-2021
COMPLAINT#301162364
NEW COMPLAINT#301164802','106','106','2021-08-09 11:24:06','2021-08-09 11:32:18',null);
INSERT INTO complaint_statuses VALUES('27755','8801','3',null,'90',null,'9-AUG-2021
FRWRD TO TAHSEEN SB','73','73','2021-08-09 11:27:15','2021-08-09 12:04:27',null);
INSERT INTO complaint_statuses VALUES('27756','8802','2',null,'81',null,null,'73','73','2021-08-09 11:29:50','2021-08-09 11:29:50',null);
INSERT INTO complaint_statuses VALUES('27757','8802','4',null,'58',null,null,'81','81','2021-08-09 11:31:15','2021-08-09 11:31:15',null);
INSERT INTO complaint_statuses VALUES('27758','8803','3',null,'66',null,'09-AUG-2021(AREEBA)
COMPLAINT NOPK080920210189','73','73','2021-08-09 11:36:35','2021-08-09 15:16:23',null);
INSERT INTO complaint_statuses VALUES('27759','8766','7','12','81','ISSUE RESOLVED',null,'87','87','2021-08-09 11:38:50','2021-08-09 11:38:50',null);
INSERT INTO complaint_statuses VALUES('27760','8749','7','12','81','FLOAT BALL REPLACED, NOW RESOLVED',null,'87','87','2021-08-09 11:39:34','2021-08-09 11:39:34',null);
INSERT INTO complaint_statuses VALUES('27761','8804','2',null,'81',null,null,'73','73','2021-08-09 11:44:25','2021-08-09 11:44:25',null);
INSERT INTO complaint_statuses VALUES('27762','8804','4',null,'58',null,null,'81','81','2021-08-09 11:44:49','2021-08-09 11:44:49',null);
INSERT INTO complaint_statuses VALUES('27763','8805','3',null,'73',null,'9-AUG-2021
COMPLAINT#5271','73','73','2021-08-09 11:46:37','2021-08-09 15:14:43',null);
INSERT INTO complaint_statuses VALUES('27764','8806','3',null,'52',null,'9-AUG-2021
COMPLAINT#PKRI210809112798','73','73','2021-08-09 11:49:52','2021-08-09 16:45:48',null);
INSERT INTO complaint_statuses VALUES('27765','8807','3',null,'52',null,'9-AUG-2021
COMPLAINT#PKRI210809112827','73','73','2021-08-09 11:51:41','2021-08-09 16:47:45',null);
INSERT INTO complaint_statuses VALUES('27766','8808','3',null,'97',null,'9-AUG-2021
COMPLAINT#202108005956','73','73','2021-08-09 11:56:16','2021-08-09 15:29:06',null);
INSERT INTO complaint_statuses VALUES('27767','8683','5',null,null,'ISSUED NOT RESOOLVED',null,'106','106','2021-08-09 11:57:13','2021-08-09 11:57:13',null);
INSERT INTO complaint_statuses VALUES('27768','8809','3',null,'55',null,'9-AUG-2021
COMPLAINT#RWP-22840','73','73','2021-08-09 11:59:46','2021-08-09 16:04:07',null);
INSERT INTO complaint_statuses VALUES('27769','8810','3',null,'52',null,'9-AUG-2021
COMPLAINT#PKRI210809112916','73','73','2021-08-09 12:02:18','2021-08-09 16:51:11',null);
INSERT INTO complaint_statuses VALUES('27770','8757','7','12','81','relay change ki hai complaint reoslved',null,'79','79','2021-08-09 12:02:40','2021-08-09 12:02:40',null);
INSERT INTO complaint_statuses VALUES('27771','8811','3',null,'52',null,'9-AUG-2021
COMPLAINT#PKRI210809112981','73','73','2021-08-09 12:09:17','2021-08-09 16:54:20',null);
INSERT INTO complaint_statuses VALUES('27772','8812','3',null,'80',null,'9-AUG-2021
FRWRD TO AMNA BOSCH','73','73','2021-08-09 12:14:25','2021-08-09 12:14:25',null);
INSERT INTO complaint_statuses VALUES('27773','8813','2',null,'81',null,null,'73','73','2021-08-09 12:17:21','2021-08-09 12:17:21',null);
INSERT INTO complaint_statuses VALUES('27774','8813','4',null,'62',null,null,'81','81','2021-08-09 12:17:41','2021-08-09 12:17:41',null);
INSERT INTO complaint_statuses VALUES('27775','8739','5',null,null,'COMPLAINT RESOLVED',null,'106','106','2021-08-09 12:20:53','2021-08-09 12:20:53',null);
INSERT INTO complaint_statuses VALUES('27776','8814','2',null,'81',null,null,'73','73','2021-08-09 12:25:03','2021-08-09 12:25:03',null);
INSERT INTO complaint_statuses VALUES('27777','8814','4',null,'63',null,null,'81','81','2021-08-09 12:26:17','2021-08-09 12:26:17',null);
INSERT INTO complaint_statuses VALUES('27778','8815','3',null,'55',null,'9-AUG-2021
COMPLAINT#ISB-13756','73','73','2021-08-09 12:35:11','2021-08-09 16:04:11',null);
INSERT INTO complaint_statuses VALUES('27779','8816','2',null,'81',null,'9-AUG-2021
COMPLAINT#1958444','73','73','2021-08-09 12:39:54','2021-08-09 15:34:17',null);
INSERT INTO complaint_statuses VALUES('27780','8816','4',null,'58',null,null,'81','81','2021-08-09 12:40:49','2021-08-09 12:40:49',null);
INSERT INTO complaint_statuses VALUES('27781','8817','3',null,'55',null,'9-AUG-2021
COMPLAINT#RWP-22841','73','73','2021-08-09 12:45:16','2021-08-09 16:04:15',null);
INSERT INTO complaint_statuses VALUES('27782','8818','2',null,'81',null,'9-AUG-2021
COMPLAINT#192127151','73','73','2021-08-09 12:48:38','2021-08-09 17:35:04',null);
INSERT INTO complaint_statuses VALUES('27783','8818','4',null,'62',null,null,'81','81','2021-08-09 12:49:12','2021-08-09 12:49:12',null);
INSERT INTO complaint_statuses VALUES('27784','8819','3',null,'52',null,'9-AUG-2021
COMPLAINT#PKRI210809112866','73','73','2021-08-09 12:54:39','2021-08-09 16:49:06',null);
INSERT INTO complaint_statuses VALUES('27785','8820','2',null,'81',null,null,'73','73','2021-08-09 13:04:10','2021-08-09 13:04:10',null);
INSERT INTO complaint_statuses VALUES('27786','8820','4',null,'62',null,null,'81','81','2021-08-09 13:04:24','2021-08-09 13:04:24',null);
INSERT INTO complaint_statuses VALUES('27787','8821','3',null,'53',null,'9-AUG-2021
COMPLAINT#301165152','73','73','2021-08-09 13:04:53','2021-08-09 16:16:00',null);
INSERT INTO complaint_statuses VALUES('27788','8822','2',null,'81',null,null,'73','73','2021-08-09 13:06:00','2021-08-09 13:06:00',null);
INSERT INTO complaint_statuses VALUES('27789','8822','4',null,'63',null,null,'81','81','2021-08-09 13:07:22','2021-08-09 13:07:22',null);
INSERT INTO complaint_statuses VALUES('27790','8789','7','12','81','complaint resolved,',null,'79','79','2021-08-09 13:22:21','2021-08-09 13:22:21',null);
INSERT INTO complaint_statuses VALUES('27791','8766','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-08-09 13:22:31','2021-08-09 14:03:17',null);
INSERT INTO complaint_statuses VALUES('27792','8789','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-08-09 13:23:34','2021-08-09 13:40:08',null);
INSERT INTO complaint_statuses VALUES('27793','8757','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-08-09 13:25:03','2021-08-09 14:03:57',null);
INSERT INTO complaint_statuses VALUES('27794','8749','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','92','2021-08-09 13:26:10','2021-08-09 14:04:35',null);
INSERT INTO complaint_statuses VALUES('27795','8712','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-09 13:27:39','2021-08-09 14:15:24',null);
INSERT INTO complaint_statuses VALUES('27796','8709','5','15',null,'COMPLETED COMPLAINT .
SET REDIVIDE BY NAEEM NASEER','COMPLAINT RESOLVED','81','74','2021-08-09 13:28:59','2021-08-09 14:16:26',null);
INSERT INTO complaint_statuses VALUES('27797','8781','7','26','81','cancel kerwa di hai',null,'79','79','2021-08-09 13:34:56','2021-08-09 13:34:56',null);
INSERT INTO complaint_statuses VALUES('27798','6812','5','15',null,'COMPLETED COMPLAINT
CUSTOMER STILL CALL ATTEND NAI KAR RAHAY S/C SA CONFIRM KAR K ISSUE RESOLVED','COMPLAINT RESOLVED','81','74','2021-08-09 13:37:09','2021-08-09 14:18:17',null);
INSERT INTO complaint_statuses VALUES('27799','8816','7','12','81','hum ny install nahi kia',null,'79','79','2021-08-09 13:38:32','2021-08-09 13:38:32',null);
INSERT INTO complaint_statuses VALUES('27800','8823','3',null,'85',null,'9-AUG-2021
COMPLAINT#301165108','73','73','2021-08-09 13:42:09','2021-08-09 16:18:10',null);
INSERT INTO complaint_statuses VALUES('27801','8622','7','24','81','coustmer say bat ho gae the aj k din ka time dia tha aj tech visit kry ga',null,'80','80','2021-08-09 13:42:26','2021-08-09 13:42:26',null);
INSERT INTO complaint_statuses VALUES('27802','8777','7','22','81','compressor issue ref to service center i 10',null,'79','79','2021-08-09 13:43:35','2021-08-09 13:43:35',null);
INSERT INTO complaint_statuses VALUES('27803','8737','7','26','81','coustmer keh rha hy set ab thek chal raha hy jab problem ay ge complain pher banwa lyn gy',null,'80','80','2021-08-09 13:45:44','2021-08-09 13:45:44',null);
INSERT INTO complaint_statuses VALUES('27804','8824','3',null,'52',null,'9-AUG-2021
COMPLAINT#PKRI210809113167','73','73','2021-08-09 13:55:11','2021-08-09 17:02:30',null);
INSERT INTO complaint_statuses VALUES('27805','8744','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-09 13:58:30','2021-08-09 13:58:30',null);
INSERT INTO complaint_statuses VALUES('27806','8825','2',null,'81',null,null,'73','73','2021-08-09 14:00:06','2021-08-09 14:00:06',null);
INSERT INTO complaint_statuses VALUES('27807','8825','4',null,'62',null,null,'81','81','2021-08-09 14:00:28','2021-08-09 14:00:28',null);
INSERT INTO complaint_statuses VALUES('27808','8804','7','12','81','istall hum ny nahi kia',null,'79','79','2021-08-09 14:02:46','2021-08-09 14:02:46',null);
INSERT INTO complaint_statuses VALUES('27809','8826','3',null,'52',null,'9-AUG-2021
COMPLAINT#PKRI210809113228','73','73','2021-08-09 14:02:59','2021-08-09 17:05:02',null);
INSERT INTO complaint_statuses VALUES('27810','8379','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-09 14:05:56','2021-08-09 14:05:56',null);
INSERT INTO complaint_statuses VALUES('27811','8827','3',null,'56',null,'9-AUG-2021
COMPLAINT#H09/015','73','73','2021-08-09 14:18:04','2021-08-09 15:39:05',null);
INSERT INTO complaint_statuses VALUES('27812','8799','7','12','81','Barnar title oulte parthi the OK 500f',null,'88','88','2021-08-09 14:19:56','2021-08-09 14:19:56',null);
INSERT INTO complaint_statuses VALUES('27813','8828','2',null,'81',null,null,'73','73','2021-08-09 14:23:31','2021-08-09 14:23:31',null);
INSERT INTO complaint_statuses VALUES('27814','8828','4',null,'56',null,null,'81','81','2021-08-09 14:23:57','2021-08-09 14:23:57',null);
INSERT INTO complaint_statuses VALUES('27815','8091','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-09 14:24:44','2021-08-09 14:24:44',null);
INSERT INTO complaint_statuses VALUES('27816','8722','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-09 14:30:43','2021-08-09 14:30:43',null);
INSERT INTO complaint_statuses VALUES('27817','8829','3',null,'81',null,'9-AUG-2021
COMPLAINT#1036','73','73','2021-08-09 14:35:22','2021-08-09 15:46:26',null);
INSERT INTO complaint_statuses VALUES('27818','8830','2',null,'81',null,null,'73','73','2021-08-09 14:36:02','2021-08-09 14:36:02',null);
INSERT INTO complaint_statuses VALUES('27819','8503','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-09 14:36:09','2021-08-09 14:36:09',null);
INSERT INTO complaint_statuses VALUES('27820','8830','4',null,'63',null,null,'81','81','2021-08-09 14:40:07','2021-08-09 14:40:07',null);
INSERT INTO complaint_statuses VALUES('27821','8831','3',null,'53',null,'9-AUG-2021
COMPLAINT#301165157','73','73','2021-08-09 14:44:09','2021-08-09 16:19:52',null);
INSERT INTO complaint_statuses VALUES('27822','8804','8','23','58',null,null,'81','81','2021-08-09 14:46:10','2021-08-09 14:46:10',null);
INSERT INTO complaint_statuses VALUES('27823','8832','3',null,'53',null,'9-AUG-2021
COMPLAINT#301165161','73','73','2021-08-09 14:49:45','2021-08-09 16:22:45',null);
INSERT INTO complaint_statuses VALUES('27824','8814','7','12','81','500 gas sating okf',null,'88','88','2021-08-09 14:59:43','2021-08-09 14:59:43',null);
INSERT INTO complaint_statuses VALUES('27825','8833','3',null,'52',null,'9-AUG-2021
COMPLAINT#PKRI210809113351','73','73','2021-08-09 15:06:33','2021-08-09 17:12:49',null);
INSERT INTO complaint_statuses VALUES('27826','6708','8','15','58','HOOD I 10 S/C MAIN  WORKING IN PROCESS .
CUSTOMER KO ONE WEEK KA TIME DIA HAIN.
B COOL KI SIDE SA COMPLAINT CLOSED KAR DI .
INFORMED BY KHURRAM SIR& TAHIR SIR',null,'81','81','2021-08-09 15:19:48','2021-08-09 15:19:48',null);
INSERT INTO complaint_statuses VALUES('27827','8834','2',null,'81',null,null,'73','73','2021-08-09 15:20:04','2021-08-09 15:20:04',null);
INSERT INTO complaint_statuses VALUES('27828','8834','4',null,'61',null,null,'81','81','2021-08-09 15:20:32','2021-08-09 15:20:32',null);
INSERT INTO complaint_statuses VALUES('27829','8814','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-09 15:22:26','2021-08-09 16:56:19',null);
INSERT INTO complaint_statuses VALUES('27830','8835','3',null,'52',null,'9-AUG-2021
COMPLAINT#PKRI210809113516','73','73','2021-08-09 15:23:40','2021-08-09 17:20:59',null);
INSERT INTO complaint_statuses VALUES('27831','8799','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-09 15:24:07','2021-08-10 14:28:56',null);
INSERT INTO complaint_statuses VALUES('27832','8781','5','15',null,'CUSTOMER SIDE COMPLAINT CANCEL HO GEI 
COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-08-09 15:28:30','2021-08-10 14:26:31',null);
INSERT INTO complaint_statuses VALUES('27833','8737','5','23',null,'CUSTOMER KA ISSUE KHUD SA RESOLVED HO GAYA HAIN SO COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-08-09 15:31:39','2021-08-10 14:24:54',null);
INSERT INTO complaint_statuses VALUES('27834','8777','8','23','58','OK',null,'81','81','2021-08-09 15:35:13','2021-08-09 15:35:13',null);
INSERT INTO complaint_statuses VALUES('27835','8836','2',null,'81',null,null,'73','73','2021-08-09 15:42:14','2021-08-09 15:42:14',null);
INSERT INTO complaint_statuses VALUES('27836','8836','4',null,'63',null,null,'81','81','2021-08-09 15:42:52','2021-08-09 15:42:52',null);
INSERT INTO complaint_statuses VALUES('27837','8837','2',null,'81',null,null,'73','73','2021-08-09 15:54:45','2021-08-09 15:54:45',null);
INSERT INTO complaint_statuses VALUES('27838','8837','4',null,'58',null,null,'81','81','2021-08-09 15:55:12','2021-08-09 15:55:12',null);
INSERT INTO complaint_statuses VALUES('27839','8620','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-09 15:59:39','2021-08-09 15:59:39',null);
INSERT INTO complaint_statuses VALUES('27840','8837','7','12','81','glass set kr dya hai,',null,'79','79','2021-08-09 16:02:30','2021-08-09 16:02:30',null);
INSERT INTO complaint_statuses VALUES('27841','8838','3',null,'74',null,'9-AUG-2021
COMPLAINT#207','73','73','2021-08-09 16:09:40','2021-08-09 16:31:04',null);
INSERT INTO complaint_statuses VALUES('27842','6708','7','12','81','closed kry',null,'79','79','2021-08-09 16:15:36','2021-08-09 16:15:36',null);
INSERT INTO complaint_statuses VALUES('27843','8802','7','12','81','no issue  in ac complaint resolved',null,'79','79','2021-08-09 16:17:42','2021-08-09 16:17:42',null);
INSERT INTO complaint_statuses VALUES('27844','6708','5','15',null,'I I0 MAIN WORKING IN PROCESS',null,'81','81','2021-08-09 16:19:54','2021-08-09 16:19:54',null);
INSERT INTO complaint_statuses VALUES('27845','8837','5','15',null,'COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-08-09 16:21:37','2021-08-09 16:54:01',null);
INSERT INTO complaint_statuses VALUES('27846','8816','5','15',null,'FF TO COMPNAY','COMPANY SIDE SA ISSUE RESOLVED HO GAYA COMPLAINT CLOSED','81','74','2021-08-09 16:28:50','2021-08-13 12:06:24',null);
INSERT INTO complaint_statuses VALUES('27847','8802','5','15',null,'COMPLAINT FF TO COMPNAY','COMPLAINT RESOLVED','81','74','2021-08-09 16:30:43','2021-08-11 12:45:38',null);
INSERT INTO complaint_statuses VALUES('27848','8839','3',null,'52',null,'9-AUG-2021
COMPLAINT#PKRI210809113547','73','73','2021-08-09 16:36:27','2021-08-09 17:22:35',null);
INSERT INTO complaint_statuses VALUES('27849','7248','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-09 16:42:26','2021-08-09 16:42:26',null);
INSERT INTO complaint_statuses VALUES('27850','8633','7','12','81','Gas sating ok',null,'88','88','2021-08-09 16:48:53','2021-08-09 16:48:53',null);
INSERT INTO complaint_statuses VALUES('27851','8840','3',null,'52',null,'9-AUG-2021
COMPLAINT#PKRI210809113644
reopen com no pkri-210812103479','73','92','2021-08-09 16:56:40','2021-08-12 11:09:14',null);
INSERT INTO complaint_statuses VALUES('27852','8342','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-09 17:08:35','2021-08-09 17:08:35',null);
INSERT INTO complaint_statuses VALUES('27853','8067','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-09 17:12:23','2021-08-09 17:12:23',null);
INSERT INTO complaint_statuses VALUES('27854','8841','2',null,'81',null,'INVOICE=44707
MODEL=32M71207F-S
D.O.P=6-DEC-2020','73','73','2021-08-09 17:16:49','2021-08-09 17:44:55',null);
INSERT INTO complaint_statuses VALUES('27855','8842','3',null,'67',null,'9-AUG-2021
FRWRD TO ANWER CARAVELL','73','73','2021-08-09 17:20:08','2021-08-09 17:48:42',null);
INSERT INTO complaint_statuses VALUES('27856','8633','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-09 17:20:57','2021-08-09 17:21:32',null);
INSERT INTO complaint_statuses VALUES('27857','8841','4',null,'61',null,null,'81','81','2021-08-09 17:21:55','2021-08-09 17:21:55',null);
INSERT INTO complaint_statuses VALUES('27858','8818','7','26','81','PLZ COMPANY FRWD',null,'87','87','2021-08-09 17:24:38','2021-08-09 17:24:38',null);
INSERT INTO complaint_statuses VALUES('27859','8540','8','23','59',null,null,'81','81','2021-08-09 17:38:39','2021-08-09 17:38:39',null);
INSERT INTO complaint_statuses VALUES('27860','8750','7','12','81','03350058313  YE COMPLAINT ADIL NY ADIL KERWA DI HAI,,WO KESY GYA  Q GYA,,,',null,'79','79','2021-08-09 17:40:45','2021-08-09 17:40:45',null);
INSERT INTO complaint_statuses VALUES('27861','8804','7','12','81','COMPLAINT RESOLVED',null,'79','79','2021-08-09 17:41:27','2021-08-09 17:41:27',null);
INSERT INTO complaint_statuses VALUES('27862','8540','7','26','81','customer back light ni dalwana chahta',null,'80','80','2021-08-09 17:42:24','2021-08-09 17:42:24',null);
INSERT INTO complaint_statuses VALUES('27863','8843','2',null,'81',null,null,'73','73','2021-08-09 17:51:55','2021-08-09 17:51:55',null);
INSERT INTO complaint_statuses VALUES('27864','8843','4',null,'58',null,null,'81','81','2021-08-09 17:52:53','2021-08-09 17:52:53',null);
INSERT INTO complaint_statuses VALUES('27865','8844','3',null,'54',null,'9-AUG-2021
COMPLAINT#1958748','73','73','2021-08-09 17:56:55','2021-08-09 17:59:27',null);
INSERT INTO complaint_statuses VALUES('27866','8845','2',null,'81',null,null,'106','106','2021-08-09 18:07:20','2021-08-09 18:07:20',null);
INSERT INTO complaint_statuses VALUES('27867','8845','4',null,'63',null,null,'81','81','2021-08-09 18:07:35','2021-08-09 18:07:35',null);
INSERT INTO complaint_statuses VALUES('27868','7255','7','12','81','PLZ CLOSE IT',null,'87','87','2021-08-09 18:30:59','2021-08-09 18:30:59',null);
INSERT INTO complaint_statuses VALUES('27869','7908','7','12','81','PLZ CLOSE IT',null,'87','87','2021-08-09 18:31:19','2021-08-09 18:31:19',null);
INSERT INTO complaint_statuses VALUES('27870','8668','7','12','81','ISSUE RESOLVED',null,'87','87','2021-08-09 18:31:46','2021-08-09 18:31:46',null);
INSERT INTO complaint_statuses VALUES('27871','8782','7','12','81','COMPLAINT REOSLVED,SERVICE  ISSUE',null,'79','79','2021-08-09 19:08:19','2021-08-09 19:08:19',null);
INSERT INTO complaint_statuses VALUES('27872','8846','3',null,'54',null,'10-AUG-2021
COMPLAINT#1959193','73','73','2021-08-10 10:34:17','2021-08-10 11:09:22',null);
INSERT INTO complaint_statuses VALUES('27873','8560','7','12','81','BUTTON REPLACED ,NOW RESOLVED',null,'87','87','2021-08-10 10:36:39','2021-08-10 10:36:39',null);
INSERT INTO complaint_statuses VALUES('27874','6961','8','23','59',null,null,'81','81','2021-08-10 10:37:56','2021-08-10 10:37:56',null);
INSERT INTO complaint_statuses VALUES('27875','8847','3',null,'66',null,'10-AUG-2021
COMPLAINT#PK081020210055
ZAFAR TECHNICIAN','73','92','2021-08-10 10:48:23','2021-08-12 11:39:24',null);
INSERT INTO complaint_statuses VALUES('27876','8848','3',null,'52',null,'10-AUG-2021
COMPLAINT#PKRI210810104010','73','73','2021-08-10 10:52:56','2021-08-10 11:20:17',null);
INSERT INTO complaint_statuses VALUES('27877','8849','2',null,'81',null,null,'73','73','2021-08-10 10:56:49','2021-08-10 10:56:49',null);
INSERT INTO complaint_statuses VALUES('27878','8849','4',null,'58',null,null,'81','81','2021-08-10 10:57:13','2021-08-10 10:57:13',null);
INSERT INTO complaint_statuses VALUES('27879','8752','7','24','81','unit at service center...panel faulty. company warranty....',null,'77','77','2021-08-10 11:13:44','2021-08-10 11:13:44',null);
INSERT INTO complaint_statuses VALUES('27880','8630','7','20','81','the part is demanded...waiting for part',null,'77','77','2021-08-10 11:14:22','2021-08-10 11:14:22',null);
INSERT INTO complaint_statuses VALUES('27881','8738','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 11:14:33','2021-08-10 11:14:33',null);
INSERT INTO complaint_statuses VALUES('27882','8257','7','12','81','unit ok...pls collect...',null,'77','77','2021-08-10 11:18:26','2021-08-10 11:18:26',null);
INSERT INTO complaint_statuses VALUES('27883','8721','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 11:18:47','2021-08-10 11:18:47',null);
INSERT INTO complaint_statuses VALUES('27884','8679','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 11:23:36','2021-08-10 11:23:36',null);
INSERT INTO complaint_statuses VALUES('27885','8648','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 11:25:21','2021-08-10 11:25:21',null);
INSERT INTO complaint_statuses VALUES('27886','8645','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 11:29:40','2021-08-10 11:29:40',null);
INSERT INTO complaint_statuses VALUES('27887','8850','2',null,'81',null,null,'73','73','2021-08-10 11:47:09','2021-08-10 11:47:09',null);
INSERT INTO complaint_statuses VALUES('27888','8850','4',null,'55',null,null,'81','81','2021-08-10 11:47:49','2021-08-10 11:47:49',null);
INSERT INTO complaint_statuses VALUES('27889','8714','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-10 12:04:39','2021-08-10 12:04:39',null);
INSERT INTO complaint_statuses VALUES('27890','8851','3',null,'90',null,'10-AUG-2021
COMPLAINT#202108006470','73','73','2021-08-10 12:12:53','2021-08-10 12:23:31',null);
INSERT INTO complaint_statuses VALUES('27891','8852','3',null,'66',null,'REF TO TAHA SOHAIL
COMPLAINT#PK081020210100','73','73','2021-08-10 12:15:34','2021-08-10 13:03:10',null);
INSERT INTO complaint_statuses VALUES('27892','8853','3',null,'73',null,'10-AUG-2021
COMPLAINT#5282','73','73','2021-08-10 12:32:36','2021-08-10 12:52:29',null);
INSERT INTO complaint_statuses VALUES('27893','8818','5','15',null,'OK FF TO COMPANY','MASOOD KHAN 03095559758 VISIT TO DAY
COMPANY SIDE SA ISSUE  RESOLVED HO GAYA','81','74','2021-08-10 12:34:47','2021-08-11 12:42:18',null);
INSERT INTO complaint_statuses VALUES('27894','8688','5',null,null,'COMPLAINT CLOSED','03065262088 QASAR TECHNICIAN','106','92','2021-08-10 12:39:31','2021-08-21 12:24:26',null);
INSERT INTO complaint_statuses VALUES('27895','8804','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-10 12:40:58','2021-08-10 13:22:13',null);
INSERT INTO complaint_statuses VALUES('27896','8854','3',null,'52',null,'10-AUG-2021
COMPLAINT#PKRI210810106593','73','73','2021-08-10 12:41:56','2021-08-10 12:56:43',null);
INSERT INTO complaint_statuses VALUES('27897','8782','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-10 12:43:49','2021-08-10 14:27:33',null);
INSERT INTO complaint_statuses VALUES('27898','8752','8','23','56','JOB COMPLETED QUKILEY',null,'81','81','2021-08-10 12:44:39','2021-08-10 12:44:39',null);
INSERT INTO complaint_statuses VALUES('27899','8750','5','23',null,'TASK NO 8749 ,INVOICE NO 251 ,YH INVOICE PWD BRANCH KI HAI IS LYE ADIL NY VISIT KRWAYA . KINDLY CHECK IT.','COMPLAINT RESOLVED','81','74','2021-08-10 12:52:10','2021-08-10 13:01:08',null);
INSERT INTO complaint_statuses VALUES('27900','8828','7','24','81','please ahare it purchased  inovice...',null,'77','77','2021-08-10 12:52:51','2021-08-10 12:52:51',null);
INSERT INTO complaint_statuses VALUES('27901','8855','3',null,'52',null,'10-AUG-2021
COMPLAINT#PKRI210810107326/7250','73','73','2021-08-10 13:09:30','2021-08-10 13:22:35',null);
INSERT INTO complaint_statuses VALUES('27902','8828','8','23','56','INVOICE SHER KAR DI HAIN CHEEK KAR LAY',null,'81','81','2021-08-10 13:15:26','2021-08-10 13:15:26',null);
INSERT INTO complaint_statuses VALUES('27903','8668','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-10 13:23:34','2021-08-10 14:25:38',null);
INSERT INTO complaint_statuses VALUES('27904','8856','3',null,'52',null,'10-AUG-2021
COMPLAINT#PKRI210810107507','73','73','2021-08-10 13:24:22','2021-08-10 13:24:22',null);
INSERT INTO complaint_statuses VALUES('27905','8560','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-10 13:25:48','2021-08-10 14:24:00',null);
INSERT INTO complaint_statuses VALUES('27906','8540','5','15',null,'CUSTOMER KO BACK LIGHT KA EXP BATA DIA HAIN BUT CUSTOMER NA REJECT KAR DIA HAIN COMPLAINT CLOSED','COMPLAINT RESOLVED','81','74','2021-08-10 13:31:06','2021-08-10 14:23:15',null);
INSERT INTO complaint_statuses VALUES('27907','8257','8','23','56','INFORMED BY ASLAM SIR',null,'81','81','2021-08-10 13:31:59','2021-08-10 13:31:59',null);
INSERT INTO complaint_statuses VALUES('27908','8235','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 13:36:50','2021-08-10 13:36:50',null);
INSERT INTO complaint_statuses VALUES('27909','8857','3',null,'52',null,'10-AUG-2021
COMPLAINT#PKRI210810109856','73','73','2021-08-10 13:43:18','2021-08-10 15:09:01',null);
INSERT INTO complaint_statuses VALUES('27910','6630','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-10 13:53:45','2021-08-10 13:53:45',null);
INSERT INTO complaint_statuses VALUES('27911','8310','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 13:54:31','2021-08-10 13:54:31',null);
INSERT INTO complaint_statuses VALUES('27912','8359','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 13:57:22','2021-08-10 13:57:22',null);
INSERT INTO complaint_statuses VALUES('27913','8858','2',null,'81',null,null,'73','73','2021-08-10 13:58:03','2021-08-10 13:58:03',null);
INSERT INTO complaint_statuses VALUES('27914','8858','4',null,'56',null,null,'81','81','2021-08-10 13:58:19','2021-08-10 13:58:19',null);
INSERT INTO complaint_statuses VALUES('27915','8859','3',null,'65',null,'10-AUG-2021
COMPLAINT#192127214','73','73','2021-08-10 14:04:09','2021-08-10 14:27:04',null);
INSERT INTO complaint_statuses VALUES('27916','8616','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 14:05:23','2021-08-10 14:05:23',null);
INSERT INTO complaint_statuses VALUES('27917','8535','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 14:09:14','2021-08-10 14:09:14',null);
INSERT INTO complaint_statuses VALUES('27918','8860','2',null,'81',null,null,'73','73','2021-08-10 14:12:05','2021-08-10 14:12:05',null);
INSERT INTO complaint_statuses VALUES('27919','8860','4',null,'58',null,null,'81','81','2021-08-10 14:12:33','2021-08-10 14:12:33',null);
INSERT INTO complaint_statuses VALUES('27920','8666','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 14:13:03','2021-08-10 14:13:03',null);
INSERT INTO complaint_statuses VALUES('27921','8828','7','12','81','unit ok...pls closed the job',null,'77','77','2021-08-10 14:20:44','2021-08-10 14:20:44',null);
INSERT INTO complaint_statuses VALUES('27922','8861','3',null,'66',null,'10-AUG-2021
COMPLAINT#PK081020210168','73','73','2021-08-10 14:28:45','2021-08-10 15:56:35',null);
INSERT INTO complaint_statuses VALUES('27923','8858','7','9','81','we have forwarded coplaine to our Lahore branch.... they will call him...',null,'77','77','2021-08-10 14:29:47','2021-08-10 14:29:47',null);
INSERT INTO complaint_statuses VALUES('27924','8862','3',null,'52',null,'10-AUG-2021
COMPLAINT#PKRI210810106243','73','73','2021-08-10 14:32:17','2021-08-10 15:10:31',null);
INSERT INTO complaint_statuses VALUES('27925','7730','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 14:34:00','2021-08-10 14:34:00',null);
INSERT INTO complaint_statuses VALUES('27926','8147','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 14:43:40','2021-08-10 14:43:40',null);
INSERT INTO complaint_statuses VALUES('27927','8863','3',null,'57',null,'10-AUG-2021
COMPLAINT#20962','73','73','2021-08-10 14:43:58','2021-08-10 15:35:05',null);
INSERT INTO complaint_statuses VALUES('27928','8654','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-10 14:45:58','2021-08-10 14:45:58',null);
INSERT INTO complaint_statuses VALUES('27929','8787','7','12','81','complaint resolved motor change  in wrnty',null,'79','79','2021-08-10 14:46:56','2021-08-10 14:46:56',null);
INSERT INTO complaint_statuses VALUES('27930','8208','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 14:47:45','2021-08-10 14:47:45',null);
INSERT INTO complaint_statuses VALUES('27931','7981','5',null,null,'COMPLAINT COMPLETED',null,'74','74','2021-08-10 15:09:46','2021-08-10 15:09:46',null);
INSERT INTO complaint_statuses VALUES('27932','7294','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 15:11:29','2021-08-10 15:11:29',null);
INSERT INTO complaint_statuses VALUES('27933','8864','2',null,'81',null,null,'73','73','2021-08-10 15:18:56','2021-08-10 15:18:56',null);
INSERT INTO complaint_statuses VALUES('27934','8864','4',null,'63',null,null,'81','81','2021-08-10 15:19:48','2021-08-10 15:19:48',null);
INSERT INTO complaint_statuses VALUES('27935','8865','2',null,'81',null,null,'73','73','2021-08-10 15:22:48','2021-08-10 15:22:48',null);
INSERT INTO complaint_statuses VALUES('27936','8865','4',null,'62',null,null,'81','81','2021-08-10 15:23:11','2021-08-10 15:23:11',null);
INSERT INTO complaint_statuses VALUES('27937','8866','2',null,'81',null,null,'73','73','2021-08-10 15:27:55','2021-08-10 15:27:55',null);
INSERT INTO complaint_statuses VALUES('27938','8866','4',null,'63',null,null,'81','81','2021-08-10 15:28:15','2021-08-10 15:28:15',null);
INSERT INTO complaint_statuses VALUES('27939','8867','3',null,'53',null,'10-AUG-2021
COMPLAINT#301165677','73','73','2021-08-10 15:32:29','2021-08-10 15:39:33',null);
INSERT INTO complaint_statuses VALUES('27940','8858','8','23','56','OK JOB COMPLETED QUKILY',null,'81','81','2021-08-10 15:33:14','2021-08-10 15:33:14',null);
INSERT INTO complaint_statuses VALUES('27941','8828','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-08-10 15:34:45','2021-08-11 12:36:03',null);
INSERT INTO complaint_statuses VALUES('27942','8223','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 16:05:19','2021-08-10 16:05:19',null);
INSERT INTO complaint_statuses VALUES('27943','8791','7','12','81','flute valve issue customer ko check krwa di hai.',null,'79','79','2021-08-10 16:12:55','2021-08-10 16:12:55',null);
INSERT INTO complaint_statuses VALUES('27944','8868','3',null,'57',null,'10-AUG-2021
COMPLAINT#20966','73','73','2021-08-10 16:14:05','2021-08-10 16:16:00',null);
INSERT INTO complaint_statuses VALUES('27945','8685','7','12','81','customer ki estamte batya abhi tk koi response nahi mila,13500 door rabber or 2000 visit ka.,call bhi attend nahi kr rhay or na hi  msg ka nas dy rehy hai',null,'79','79','2021-08-10 16:17:02','2021-08-10 16:17:02',null);
INSERT INTO complaint_statuses VALUES('27946','7202','7','12','81','cusotmer ny ref service cneter behjna hai,abhi tk nahi aya kindly is ko poch lien',null,'79','79','2021-08-10 16:20:39','2021-08-10 16:20:39',null);
INSERT INTO complaint_statuses VALUES('27947','8869','3',null,'52',null,'10-AUG-2021
COMPLAINT#PKRI210810111876','73','73','2021-08-10 16:25:35','2021-08-10 16:34:40',null);
INSERT INTO complaint_statuses VALUES('27948','8870','3',null,'52',null,'10-AUG-2021
COMPLAINT#PKRI210810111983
NEW COMPLAINT#PKRI210817105928','73','74','2021-08-10 16:30:35','2021-08-17 12:15:19',null);
INSERT INTO complaint_statuses VALUES('27949','8871','2',null,'81',null,null,'73','73','2021-08-10 17:02:59','2021-08-10 17:02:59',null);
INSERT INTO complaint_statuses VALUES('27950','8871','4',null,'63',null,null,'81','81','2021-08-10 17:03:17','2021-08-10 17:03:17',null);
INSERT INTO complaint_statuses VALUES('27951','8871','7','12','81','Gas wal change kiya hy OK 1000f',null,'88','88','2021-08-10 17:04:22','2021-08-10 17:04:22',null);
INSERT INTO complaint_statuses VALUES('27952','7330','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 17:04:52','2021-08-10 17:04:52',null);
INSERT INTO complaint_statuses VALUES('27953','5997','7','28','81','Dubara a gayi hy',null,'88','88','2021-08-10 17:07:17','2021-08-10 17:07:17',null);
INSERT INTO complaint_statuses VALUES('27954','8872','3',null,'55',null,'10-AUG-2021
COMPLAINT#RWP-22886','73','73','2021-08-10 17:26:29','2021-08-10 17:39:36',null);
INSERT INTO complaint_statuses VALUES('27955','7629','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 17:33:19','2021-08-10 17:33:19',null);
INSERT INTO complaint_statuses VALUES('27956','8873','2',null,'81',null,null,'73','73','2021-08-10 17:57:47','2021-08-10 17:57:47',null);
INSERT INTO complaint_statuses VALUES('27957','8873','4',null,'62',null,null,'81','81','2021-08-10 17:58:15','2021-08-10 17:58:15',null);
INSERT INTO complaint_statuses VALUES('27958','8145','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 18:00:20','2021-08-10 18:00:20',null);
INSERT INTO complaint_statuses VALUES('27959','8874','3',null,'52',null,'09-AUG-2021
COMPLAINT#PKRI210809109174','73','73','2021-08-10 18:03:38','2021-08-10 18:08:29',null);
INSERT INTO complaint_statuses VALUES('27960','8148','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-10 18:04:29','2021-08-10 18:04:29',null);
INSERT INTO complaint_statuses VALUES('27961','8793','7','12','81','Complaint cancel by customer',null,'79','79','2021-08-10 20:29:07','2021-08-10 20:29:07',null);
INSERT INTO complaint_statuses VALUES('27962','8875','3',null,'54',null,'11-AUG-2021
COMPLAINT#1960467','73','73','2021-08-11 10:14:34','2021-08-11 11:15:14',null);
INSERT INTO complaint_statuses VALUES('27963','8876','2',null,'81',null,null,'73','73','2021-08-11 10:17:55','2021-08-11 10:17:55',null);
INSERT INTO complaint_statuses VALUES('27964','8876','4',null,'58',null,null,'81','81','2021-08-11 10:18:30','2021-08-11 10:18:30',null);
INSERT INTO complaint_statuses VALUES('27965','8877','2',null,'81',null,null,'73','73','2021-08-11 10:23:49','2021-08-11 10:23:49',null);
INSERT INTO complaint_statuses VALUES('27966','8877','4',null,'55',null,null,'81','81','2021-08-11 10:25:15','2021-08-11 10:25:15',null);
INSERT INTO complaint_statuses VALUES('27967','8878','3',null,'90',null,'11-AUG-2021
COMPLAINT#202108007228/7229','73','73','2021-08-11 10:37:04','2021-08-11 11:04:20',null);
INSERT INTO complaint_statuses VALUES('27968','8879','3',null,'66',null,'11-AUG-2021
COMPLAINT#PK081120210043
COM FF TO MURSALEEN','73','92','2021-08-11 10:40:45','2021-08-17 15:23:39',null);
INSERT INTO complaint_statuses VALUES('27969','8880','3',null,'52',null,'11-AUG-2021
COMPLAINT#PKRI210811103992','73','73','2021-08-11 10:43:14','2021-08-11 11:23:47',null);
INSERT INTO complaint_statuses VALUES('27970','8787','5','15',null,'complaint resolved','COMPLAINT COMPLETED','81','92','2021-08-11 10:48:44','2021-08-11 10:51:40',null);
INSERT INTO complaint_statuses VALUES('27971','8793','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-08-11 10:50:46','2021-08-11 12:46:19',null);
INSERT INTO complaint_statuses VALUES('27972','8881','3',null,'90',null,'11-AUG-2021
COMPLAINT#202108007232','73','73','2021-08-11 10:56:35','2021-08-11 11:05:10',null);
INSERT INTO complaint_statuses VALUES('27973','8792','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-11 11:01:51','2021-08-11 11:01:51',null);
INSERT INTO complaint_statuses VALUES('27974','8748','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-11 11:12:23','2021-08-11 11:12:23',null);
INSERT INTO complaint_statuses VALUES('27975','8882','3',null,'54',null,'11-AUG-2021
COMPLAINT#1960474','73','73','2021-08-11 11:17:53','2021-08-11 11:20:23',null);
INSERT INTO complaint_statuses VALUES('27976','8871','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-08-11 11:28:36','2021-08-11 12:33:53',null);
INSERT INTO complaint_statuses VALUES('27977','8883','3',null,'53',null,'11-AUG-2021
COMPLAINT#301165982','73','73','2021-08-11 11:30:09','2021-08-11 11:34:22',null);
INSERT INTO complaint_statuses VALUES('27978','8756','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-11 11:31:46','2021-08-11 11:31:46',null);
INSERT INTO complaint_statuses VALUES('27979','8791','5','15',null,'03325160772 OTHER# PA BAT KAR K COMPLAINT COMPLETED KI','COMPLAINT RESOLVED','81','74','2021-08-11 11:34:12','2021-08-11 12:47:03',null);
INSERT INTO complaint_statuses VALUES('27980','8761','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-11 11:34:12','2021-08-11 11:34:12',null);
INSERT INTO complaint_statuses VALUES('27981','8763','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-11 11:38:19','2021-08-11 11:38:19',null);
INSERT INTO complaint_statuses VALUES('27982','8685','8','23','58','IC NO PA  CUSTOMER  03088206677  SA BAT KAR LAY 
CUSTOMER INTERESTED HAIN  ISSUE RESOLVED KARWANY K LIYA',null,'81','81','2021-08-11 11:42:50','2021-08-11 11:42:50',null);
INSERT INTO complaint_statuses VALUES('27983','8631','8','23','62','OK JOB COMPLETED QUKILEY',null,'81','81','2021-08-11 11:43:26','2021-08-11 11:43:26',null);
INSERT INTO complaint_statuses VALUES('27984','7908','5','15',null,'GRILL  STOCK MAIN AVAIL NAI HAIN ADIL BAHI SA CONFIRM KAR K COMPLAINT COMPLETED KI','COMPLAINT CLOSED','81','74','2021-08-11 11:46:17','2021-08-11 12:47:45',null);
INSERT INTO complaint_statuses VALUES('27985','8884','3',null,'52',null,'11-AUG-2021
COMPLAINT#PKRI210811104727','73','73','2021-08-11 11:47:49','2021-08-11 11:47:49',null);
INSERT INTO complaint_statuses VALUES('27986','6961','7','12','81','set ok main board+back light fix LED aslam SB k hand over kar di hy',null,'80','80','2021-08-11 11:47:57','2021-08-11 11:47:57',null);
INSERT INTO complaint_statuses VALUES('27987','7255','5','15',null,'CARD REPLACE KAR DIA HAIN COMPLAINT ADIL BHAI SA CONFIRM KAR K  COMPLETED KI HAIN','COMPLAINT CLOSED','81','74','2021-08-11 11:49:35','2021-08-11 12:48:17',null);
INSERT INTO complaint_statuses VALUES('27988','8622','8','23','59',null,null,'81','81','2021-08-11 11:52:42','2021-08-11 11:52:42',null);
INSERT INTO complaint_statuses VALUES('27989','6961','5','15',null,'COMPLAINT COMPLETED','COMPLAINT CLOSED','81','74','2021-08-11 11:54:07','2021-08-11 12:49:24',null);
INSERT INTO complaint_statuses VALUES('27990','8788','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-11 11:56:04','2021-08-11 11:56:04',null);
INSERT INTO complaint_statuses VALUES('27991','8885','3',null,'52',null,'11-AUG-2021
COMPLAINT#PKRI210811105694','73','73','2021-08-11 12:02:11','2021-08-11 12:25:33',null);
INSERT INTO complaint_statuses VALUES('27992','8886','3',null,'60',null,'11-8-2021
COMPLAINT FORWARD TO RABIA LAHR','73','73','2021-08-11 12:04:19','2021-08-11 12:07:56',null);
INSERT INTO complaint_statuses VALUES('27993','8785','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-11 12:07:34','2021-08-11 12:07:34',null);
INSERT INTO complaint_statuses VALUES('27994','8501','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-11 12:07:49','2021-08-11 12:07:49',null);
INSERT INTO complaint_statuses VALUES('27995','8784','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-11 12:09:54','2021-08-11 12:09:54',null);
INSERT INTO complaint_statuses VALUES('27996','8887','2',null,'81',null,null,'73','73','2021-08-11 12:12:19','2021-08-11 12:12:19',null);
INSERT INTO complaint_statuses VALUES('27997','8887','4',null,'59',null,null,'81','81','2021-08-11 12:13:28','2021-08-11 12:13:28',null);
INSERT INTO complaint_statuses VALUES('27998','8888','3',null,'54',null,'11-AUG-2021
COMPLAINT#1960631','73','73','2021-08-11 12:16:20','2021-08-11 12:22:15',null);
INSERT INTO complaint_statuses VALUES('27999','7202','8','23','58','CUSTOMER NA LOCAL TECHNICIAN SA REF OK KARWA LIYA HAIN 
R JO CARD AP NA BAJWAYA THA WO NI LAGA BAKI CUSTOMER SA BAT KAR K COMPLAINT CLOSED KARAY',null,'81','81','2021-08-11 12:16:33','2021-08-11 12:16:33',null);
INSERT INTO complaint_statuses VALUES('28000','6351','5','15',null,'NAVEED FCP KO INFORMED KAR DIA HAIN .
GARI ARRANGE KARWA K HOOD B.CCOL SA PICK KARWA K CUSTOMER KO DILVER KAR DAY GAY','COMPLAINT CLOSED','81','74','2021-08-11 12:22:58','2021-08-11 12:50:16',null);
INSERT INTO complaint_statuses VALUES('28001','7249','8','23','58','5000 SERVICES CHARGES
CUSTOMER NA APPROVAL DA DI HAIN
KINDLY CONTACT KAR K VISIT ARRANGE KARWAY',null,'81','81','2021-08-11 12:31:28','2021-08-11 12:31:28',null);
INSERT INTO complaint_statuses VALUES('28002','8889','3',null,'66',null,'11-AUG-2021
COMPLAINT#PK081120210085','73','73','2021-08-11 12:31:42','2021-08-11 12:39:22',null);
INSERT INTO complaint_statuses VALUES('28003','8776','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-11 12:32:04','2021-08-11 12:32:04',null);
INSERT INTO complaint_statuses VALUES('28004','5997','5','15',null,'DABAL COMPLAINT ENTER .IST COMPLAINT PA 5000 EXP KI APPROVAL DA DI HAIN','COMPLAINT CLOSED','81','74','2021-08-11 12:54:20','2021-08-11 12:55:30',null);
INSERT INTO complaint_statuses VALUES('28005','8770','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-11 12:56:53','2021-08-11 12:56:53',null);
INSERT INTO complaint_statuses VALUES('28006','8890','2',null,'81',null,null,'73','73','2021-08-11 13:01:30','2021-08-11 13:01:30',null);
INSERT INTO complaint_statuses VALUES('28007','8890','4',null,'55',null,null,'81','81','2021-08-11 13:02:14','2021-08-11 13:02:14',null);
INSERT INTO complaint_statuses VALUES('28008','8139','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-11 13:02:57','2021-08-11 13:02:57',null);
INSERT INTO complaint_statuses VALUES('28009','8891','3',null,'66',null,'11-AUG-2021
COMPLAINT#PK081120210102
FF TO MURSALEEN','73','92','2021-08-11 13:05:56','2021-08-16 17:23:36',null);
INSERT INTO complaint_statuses VALUES('28010','8892','2',null,'81',null,null,'73','73','2021-08-11 13:11:55','2021-08-11 13:11:55',null);
INSERT INTO complaint_statuses VALUES('28011','8892','4',null,'61',null,null,'81','81','2021-08-11 13:12:40','2021-08-11 13:12:40',null);
INSERT INTO complaint_statuses VALUES('28012','8452','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-11 13:14:30','2021-08-11 13:14:30',null);
INSERT INTO complaint_statuses VALUES('28013','8603','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-11 13:21:52','2021-08-11 13:21:52',null);
INSERT INTO complaint_statuses VALUES('28014','8893','3',null,'52',null,'11-AUG-2021
COMPLAINT#PKRI210811108582','73','73','2021-08-11 13:34:02','2021-08-11 14:39:43',null);
INSERT INTO complaint_statuses VALUES('28015','8894','3',null,'67',null,'11-AUG-2021
FRWRD TO ANWER CARAVELL','73','73','2021-08-11 13:45:56','2021-08-11 13:45:56',null);
INSERT INTO complaint_statuses VALUES('28016','8895','2',null,'81',null,null,'73','73','2021-08-11 13:52:05','2021-08-11 13:52:05',null);
INSERT INTO complaint_statuses VALUES('28017','8895','4',null,'63',null,null,'81','81','2021-08-11 13:54:52','2021-08-11 13:54:52',null);
INSERT INTO complaint_statuses VALUES('28018','8896','3',null,'54',null,'11-AUG-2021(AREEBA)
COM NO 1960865','73','73','2021-08-11 13:58:43','2021-08-11 14:33:47',null);
INSERT INTO complaint_statuses VALUES('28019','6756','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-11 13:59:19','2021-08-11 13:59:19',null);
INSERT INTO complaint_statuses VALUES('28020','7338','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-11 14:01:11','2021-08-11 14:01:11',null);
INSERT INTO complaint_statuses VALUES('28021','8528','7','24','81','warranty card missing panel fauly. waiting from customer side.   our visit completed',null,'77','77','2021-08-11 14:01:51','2021-08-11 14:01:51',null);
INSERT INTO complaint_statuses VALUES('28022','6977','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-11 14:05:45','2021-08-11 14:05:45',null);
INSERT INTO complaint_statuses VALUES('28023','8897','2',null,'81',null,null,'73','73','2021-08-11 14:06:37','2021-08-11 14:06:37',null);
INSERT INTO complaint_statuses VALUES('28024','8897','4',null,'62',null,null,'81','81','2021-08-11 14:07:16','2021-08-11 14:07:16',null);
INSERT INTO complaint_statuses VALUES('28025','8898','3',null,'54',null,'27-JUNE-2021
COM NO 1916211
REOPEN COM NO 1960849','92','92','2021-08-11 14:07:48','2021-08-11 14:16:53',null);
INSERT INTO complaint_statuses VALUES('28026','8899','3',null,'53',null,'11-AUG-2021
COMPLAINT#301166197','73','73','2021-08-11 14:10:04','2021-08-11 14:46:28',null);
INSERT INTO complaint_statuses VALUES('28027','8900','3',null,'55',null,'11-AUG-2021
COMPLAINT#818186','73','73','2021-08-11 14:15:20','2021-08-11 14:52:30',null);
INSERT INTO complaint_statuses VALUES('28028','8901','3',null,'97',null,'11-AUG-2021
COMPLAINT#202108007659','73','73','2021-08-11 14:19:48','2021-08-11 15:03:29',null);
INSERT INTO complaint_statuses VALUES('28029','8902','3',null,'74',null,'11-AUG-2021
COMPLAINT#214','73','73','2021-08-11 14:24:28','2021-08-11 15:14:29',null);
INSERT INTO complaint_statuses VALUES('28030','8903','2',null,'81',null,null,'73','73','2021-08-11 14:27:50','2021-08-11 14:27:50',null);
INSERT INTO complaint_statuses VALUES('28031','8903','4',null,'58',null,null,'81','81','2021-08-11 14:29:22','2021-08-11 14:29:22',null);
INSERT INTO complaint_statuses VALUES('28032','8904','2',null,'81',null,null,'73','73','2021-08-11 14:48:39','2021-08-11 14:48:39',null);
INSERT INTO complaint_statuses VALUES('28033','8904','4',null,'55',null,null,'81','81','2021-08-11 14:49:04','2021-08-11 14:49:04',null);
INSERT INTO complaint_statuses VALUES('28034','8755','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-11 14:49:21','2021-08-11 14:49:21',null);
INSERT INTO complaint_statuses VALUES('28035','8747','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-11 14:52:03','2021-08-11 14:52:03',null);
INSERT INTO complaint_statuses VALUES('28036','8905','3',null,'52',null,'11-AUG-2021
COMPLAINT#PKRI210811109350','73','73','2021-08-11 15:00:19','2021-08-11 15:09:27',null);
INSERT INTO complaint_statuses VALUES('28037','8628','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-11 15:05:32','2021-08-11 15:05:32',null);
INSERT INTO complaint_statuses VALUES('28038','8628','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-11 15:05:34','2021-08-11 15:05:34',null);
INSERT INTO complaint_statuses VALUES('28039','8790','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-11 15:07:47','2021-08-11 15:07:47',null);
INSERT INTO complaint_statuses VALUES('28040','8906','3',null,'54',null,'24-JUNE-2021
COMPLAINT#1913916','92','92','2021-08-11 15:16:18','2021-08-11 15:17:05',null);
INSERT INTO complaint_statuses VALUES('28041','8907','3',null,'52',null,'11-AUG-2021
COMPLAINT#PKRI210811109800','73','73','2021-08-11 15:20:08','2021-08-11 15:29:18',null);
INSERT INTO complaint_statuses VALUES('28042','8908','3',null,'65',null,'11-AUG-2021
COMPLAINT#192127297','73','73','2021-08-11 15:44:17','2021-08-11 15:54:31',null);
INSERT INTO complaint_statuses VALUES('28043','8866','7','12','81','OK',null,'88','88','2021-08-11 15:58:00','2021-08-11 15:58:00',null);
INSERT INTO complaint_statuses VALUES('28044','8638','7','12','81','Barnar or bas or auto wair 2600 OK f',null,'88','88','2021-08-11 15:59:01','2021-08-11 15:59:01',null);
INSERT INTO complaint_statuses VALUES('28045','8795','7','12','81','Tharmokapal kharb the OK',null,'88','88','2021-08-11 15:59:35','2021-08-11 15:59:35',null);
INSERT INTO complaint_statuses VALUES('28046','8845','7','22','81','Tank like hy fasial bhai ko bata diya hy',null,'88','88','2021-08-11 16:09:55','2021-08-11 16:09:55',null);
INSERT INTO complaint_statuses VALUES('28047','8126','7','22','81','Faktari bhaj diya hy castamar wapic dy k dusra ly gaya hy',null,'88','88','2021-08-11 16:11:13','2021-08-11 16:11:13',null);
INSERT INTO complaint_statuses VALUES('28048','8909','3',null,'53',null,'11-AUG-2021
COMPLAINT#301166378','73','73','2021-08-11 16:20:55','2021-08-11 17:24:01',null);
INSERT INTO complaint_statuses VALUES('28049','8910','2',null,'81',null,null,'73','73','2021-08-11 16:32:52','2021-08-11 16:32:52',null);
INSERT INTO complaint_statuses VALUES('28050','8910','4',null,'55',null,null,'81','81','2021-08-11 16:33:35','2021-08-11 16:33:35',null);
INSERT INTO complaint_statuses VALUES('28051','8911','2',null,'81',null,null,'73','73','2021-08-11 16:47:13','2021-08-11 16:47:13',null);
INSERT INTO complaint_statuses VALUES('28052','8911','4',null,'60',null,null,'81','81','2021-08-11 16:47:35','2021-08-11 16:47:35',null);
INSERT INTO complaint_statuses VALUES('28053','8912','2',null,'81',null,null,'73','73','2021-08-11 16:49:18','2021-08-11 16:49:18',null);
INSERT INTO complaint_statuses VALUES('28054','8912','4',null,'62',null,null,'81','81','2021-08-11 16:50:13','2021-08-11 16:50:13',null);
INSERT INTO complaint_statuses VALUES('28055','8913','2',null,'81',null,null,'73','73','2021-08-11 16:52:49','2021-08-11 16:52:49',null);
INSERT INTO complaint_statuses VALUES('28056','8913','4',null,'61',null,null,'81','81','2021-08-11 16:53:20','2021-08-11 16:53:20',null);
INSERT INTO complaint_statuses VALUES('28057','8353','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-11 16:54:43','2021-08-11 16:54:43',null);
INSERT INTO complaint_statuses VALUES('28058','8795','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-11 16:56:27','2021-08-11 17:04:49',null);
INSERT INTO complaint_statuses VALUES('28059','8866','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-11 16:59:44','2021-08-11 17:03:26',null);
INSERT INTO complaint_statuses VALUES('28060','8638','5','15',null,'COMPLAINT RESOLVED','COMPLAINT COMPLETED','81','92','2021-08-11 17:01:42','2021-08-11 17:05:40',null);
INSERT INTO complaint_statuses VALUES('28061','8914','3',null,'53',null,'11-AUG-2021
COMPLAINT#301166379','73','73','2021-08-11 17:15:27','2021-08-11 17:27:03',null);
INSERT INTO complaint_statuses VALUES('28062','8845','8','23','63','OK JOB COMPLETED QUKILEY',null,'81','81','2021-08-11 17:22:48','2021-08-11 17:22:48',null);
INSERT INTO complaint_statuses VALUES('28063','8775','7','12','81','Filter Service.',null,'76','76','2021-08-11 17:33:23','2021-08-11 17:33:23',null);
INSERT INTO complaint_statuses VALUES('28064','8725','7','12','81','child lock  open.',null,'76','76','2021-08-11 17:39:42','2021-08-11 17:39:42',null);
INSERT INTO complaint_statuses VALUES('28065','8659','7','12','81','Thermostat Adjustment,.',null,'76','76','2021-08-11 17:40:23','2021-08-11 17:40:23',null);
INSERT INTO complaint_statuses VALUES('28066','8841','7','10','81','call attend nahi kr rhay',null,'83','83','2021-08-11 17:54:27','2021-08-11 17:54:27',null);
INSERT INTO complaint_statuses VALUES('28067','8915','2',null,'81',null,null,'73','73','2021-08-11 18:00:56','2021-08-11 18:00:56',null);
INSERT INTO complaint_statuses VALUES('28068','8915','4',null,'61',null,null,'81','81','2021-08-11 18:01:31','2021-08-11 18:01:31',null);
INSERT INTO complaint_statuses VALUES('28069','8834','7','12','81','power cable isuee',null,'83','83','2021-08-11 18:06:20','2021-08-11 18:06:20',null);
INSERT INTO complaint_statuses VALUES('28070','8916','3',null,'52',null,'12-AUG-2021
COMPLAINT#PKRI210812102906','73','73','2021-08-12 10:20:01','2021-08-12 10:47:32',null);
INSERT INTO complaint_statuses VALUES('28071','8917','2',null,'81',null,null,'73','73','2021-08-12 10:22:29','2021-08-12 10:22:29',null);
INSERT INTO complaint_statuses VALUES('28072','8918','2',null,'81',null,null,'73','73','2021-08-12 10:23:28','2021-08-12 10:23:28',null);
INSERT INTO complaint_statuses VALUES('28073','8919','2',null,'81',null,null,'73','73','2021-08-12 10:24:23','2021-08-12 10:24:23',null);
INSERT INTO complaint_statuses VALUES('28074','8917','4',null,'61',null,null,'81','81','2021-08-12 10:24:43','2021-08-12 10:24:43',null);
INSERT INTO complaint_statuses VALUES('28075','8918','4',null,'61',null,null,'81','81','2021-08-12 10:24:53','2021-08-12 10:24:53',null);
INSERT INTO complaint_statuses VALUES('28076','8919','4',null,'63',null,null,'81','81','2021-08-12 10:25:57','2021-08-12 10:25:57',null);
INSERT INTO complaint_statuses VALUES('28077','8920','2',null,'81',null,null,'73','73','2021-08-12 10:29:12','2021-08-12 10:29:12',null);
INSERT INTO complaint_statuses VALUES('28078','8920','4',null,'63',null,null,'81','81','2021-08-12 10:30:33','2021-08-12 10:30:33',null);
INSERT INTO complaint_statuses VALUES('28079','8921','2',null,'81',null,null,'73','73','2021-08-12 10:36:26','2021-08-12 10:36:26',null);
INSERT INTO complaint_statuses VALUES('28080','8921','4',null,'55',null,null,'81','81','2021-08-12 10:36:51','2021-08-12 10:36:51',null);
INSERT INTO complaint_statuses VALUES('28081','8922','3',null,'74',null,'12-AUG-2021
COMPLAINT#215','73','73','2021-08-12 11:17:14','2021-08-12 11:23:48',null);
INSERT INTO complaint_statuses VALUES('28082','8923','3',null,'57',null,'26-JUNE-2021
COM NO 217678','92','92','2021-08-12 11:22:50','2021-08-17 14:13:55',null);
INSERT INTO complaint_statuses VALUES('28083','8924','2',null,'81',null,'16-AUG-2021
COMPLAINT#RWP-23016','73','73','2021-08-12 11:32:53','2021-08-16 12:02:42',null);
INSERT INTO complaint_statuses VALUES('28084','8924','4',null,'62',null,null,'81','81','2021-08-12 11:33:14','2021-08-12 11:33:14',null);
INSERT INTO complaint_statuses VALUES('28085','8860','7','12','81','customer ny apny  technician sy kerwa liya hai,wo bol rehy hain k 5 din sy complaint kerwai hui hai',null,'79','79','2021-08-12 11:40:09','2021-08-12 11:40:09',null);
INSERT INTO complaint_statuses VALUES('28086','7413','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-12 11:49:18','2021-08-12 11:49:18',null);
INSERT INTO complaint_statuses VALUES('28087','8925','3',null,'55',null,'12-AUG-2021
COMPLAINT#22942','73','73','2021-08-12 11:50:22','2021-08-12 12:31:17',null);
INSERT INTO complaint_statuses VALUES('28088','8768','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-12 11:52:45','2021-08-12 11:52:45',null);
INSERT INTO complaint_statuses VALUES('28089','8768','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-12 11:52:47','2021-08-12 11:52:47',null);
INSERT INTO complaint_statuses VALUES('28090','8926','2',null,'81',null,null,'73','73','2021-08-12 11:54:38','2021-08-12 11:54:38',null);
INSERT INTO complaint_statuses VALUES('28091','7135','7','12','81','completed complant',null,'91','91','2021-08-12 11:55:42','2021-08-12 11:55:42',null);
INSERT INTO complaint_statuses VALUES('28092','8926','4',null,'55',null,null,'81','81','2021-08-12 11:55:45','2021-08-12 11:55:45',null);
INSERT INTO complaint_statuses VALUES('28093','7134','7','12','81','completed complaint',null,'91','91','2021-08-12 11:56:10','2021-08-12 11:56:10',null);
INSERT INTO complaint_statuses VALUES('28094','8860','5','15',null,'CUSTOMER NA LOCAL TECHNICIAN ISSUE RESOLVED KARWA LIYA',null,'81','81','2021-08-12 12:00:51','2021-08-12 12:00:51',null);
INSERT INTO complaint_statuses VALUES('28095','8844','5',null,null,'COMPLAINT CLOSED',null,'92','92','2021-08-12 12:01:47','2021-08-12 12:01:47',null);
INSERT INTO complaint_statuses VALUES('28096','8927','3',null,'54',null,'12-AUG-2021
COMPLAINT#1961882','73','73','2021-08-12 12:12:13','2021-08-12 12:28:00',null);
INSERT INTO complaint_statuses VALUES('28097','8622','7','12','81','line ka issue tha set service 
set ok',null,'80','80','2021-08-12 12:13:13','2021-08-12 12:13:13',null);
INSERT INTO complaint_statuses VALUES('28098','8835','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-12 12:13:38','2021-08-12 12:13:38',null);
INSERT INTO complaint_statuses VALUES('28099','8928','3',null,'74',null,'12-AUG-2021
COMPLAINT#217','73','73','2021-08-12 12:14:43','2021-08-12 14:18:19',null);
INSERT INTO complaint_statuses VALUES('28100','8929','2',null,'81',null,null,'73','73','2021-08-12 12:17:24','2021-08-12 12:17:24',null);
INSERT INTO complaint_statuses VALUES('28101','8833','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-12 12:18:33','2021-08-12 12:18:33',null);
INSERT INTO complaint_statuses VALUES('28102','8929','4',null,'63',null,null,'81','81','2021-08-12 12:19:01','2021-08-12 12:19:01',null);
INSERT INTO complaint_statuses VALUES('28103','8930','3',null,'54',null,'12-AUG-2021
COMPLAINT#1962010','73','73','2021-08-12 12:49:24','2021-08-12 14:07:35',null);
INSERT INTO complaint_statuses VALUES('28104','8931','2',null,'81',null,null,'73','73','2021-08-12 12:56:37','2021-08-12 12:56:37',null);
INSERT INTO complaint_statuses VALUES('28105','8931','4',null,'60',null,null,'81','81','2021-08-12 12:57:00','2021-08-12 12:57:00',null);
INSERT INTO complaint_statuses VALUES('28106','8932','3',null,'52',null,'12-AUG-2021
COMPLAINT#PKRI210812108397','73','73','2021-08-12 12:59:30','2021-08-12 14:22:03',null);
INSERT INTO complaint_statuses VALUES('28107','8933','3',null,'66',null,'12-AUG-2021
COMPLAINT#PK081220210085','73','106','2021-08-12 13:02:39','2021-08-12 13:40:19',null);
INSERT INTO complaint_statuses VALUES('28108','8934','3',null,'65',null,'12-AUG-2021
COMPLAINT#192127346','73','106','2021-08-12 13:08:56','2021-08-12 13:34:24',null);
INSERT INTO complaint_statuses VALUES('28109','8657','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-12 13:10:16','2021-08-12 13:10:16',null);
INSERT INTO complaint_statuses VALUES('28110','8935','2',null,'81',null,null,'73','73','2021-08-12 13:12:18','2021-08-12 13:12:18',null);
INSERT INTO complaint_statuses VALUES('28111','8935','4',null,'60',null,null,'81','81','2021-08-12 13:12:34','2021-08-12 13:12:34',null);
INSERT INTO complaint_statuses VALUES('28112','8912','7','26','81','W/D OK H',null,'87','87','2021-08-12 13:13:21','2021-08-12 13:13:21',null);
INSERT INTO complaint_statuses VALUES('28113','8936','3',null,'74',null,'12-AUG-2021
COMPLAINT#216','73','73','2021-08-12 13:15:09','2021-08-12 14:16:54',null);
INSERT INTO complaint_statuses VALUES('28114','8838','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-12 13:20:35','2021-08-12 13:20:35',null);
INSERT INTO complaint_statuses VALUES('28115','8937','2',null,'81',null,null,'73','73','2021-08-12 13:24:05','2021-08-12 13:24:05',null);
INSERT INTO complaint_statuses VALUES('28116','8937','4',null,'63',null,null,'81','81','2021-08-12 13:25:07','2021-08-12 13:25:07',null);
INSERT INTO complaint_statuses VALUES('28117','8938','3',null,'52',null,'12-AUG-2021
COMPLAINT#PKRI210812108421','73','73','2021-08-12 13:26:45','2021-08-12 14:23:07',null);
INSERT INTO complaint_statuses VALUES('28118','8939','2',null,'81',null,null,'73','73','2021-08-12 13:34:11','2021-08-12 13:34:11',null);
INSERT INTO complaint_statuses VALUES('28119','8939','4',null,'58',null,null,'81','81','2021-08-12 13:34:35','2021-08-12 13:34:35',null);
INSERT INTO complaint_statuses VALUES('28120','8940','3',null,'52',null,'12-AUG-2021
COMPLAINT#PKRI210812108444','73','73','2021-08-12 13:37:32','2021-08-12 14:24:17',null);
INSERT INTO complaint_statuses VALUES('28121','8912','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-12 13:38:05','2021-08-12 13:46:47',null);
INSERT INTO complaint_statuses VALUES('28122','8841','8','23','61','0300WALAY NO PA CALL KAR LAY ABI BAT HOI HAIN CUSTOMER SA',null,'81','81','2021-08-12 13:40:27','2021-08-12 13:40:27',null);
INSERT INTO complaint_statuses VALUES('28123','8834','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-12 13:41:50','2021-08-12 13:48:23',null);
INSERT INTO complaint_statuses VALUES('28124','8775','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-12 13:44:16','2021-08-12 13:49:13',null);
INSERT INTO complaint_statuses VALUES('28125','8832','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-12 13:44:42','2021-08-12 13:44:42',null);
INSERT INTO complaint_statuses VALUES('28126','8941','3',null,'52',null,'150-1678HWM
COMPLAINT#PKRI210812108512','73','73','2021-08-12 13:45:02','2021-08-12 14:26:54',null);
INSERT INTO complaint_statuses VALUES('28127','8725','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-08-12 13:45:41','2021-08-12 13:50:31',null);
INSERT INTO complaint_statuses VALUES('28128','8942','3',null,'55',null,'12-AUG-2021
COMPLAINT#818828','73','73','2021-08-12 13:49:21','2021-08-12 14:14:18',null);
INSERT INTO complaint_statuses VALUES('28129','8765','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-12 13:52:33','2021-08-12 13:52:33',null);
INSERT INTO complaint_statuses VALUES('28130','8765','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-12 13:52:51','2021-08-12 13:52:51',null);
INSERT INTO complaint_statuses VALUES('28131','8659','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED','81','74','2021-08-12 13:58:44','2021-08-12 14:04:05',null);
INSERT INTO complaint_statuses VALUES('28132','8943','3',null,'55',null,'12-AUG-2021
COMPLAINT#818832','73','73','2021-08-12 14:00:19','2021-08-12 14:14:41',null);
INSERT INTO complaint_statuses VALUES('28133','8622','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-12 14:01:03','2021-08-12 14:04:41',null);
INSERT INTO complaint_statuses VALUES('28134','7135','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-12 14:02:27','2021-08-12 14:06:44',null);
INSERT INTO complaint_statuses VALUES('28135','7134','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-12 14:02:58','2021-08-12 14:05:17',null);
INSERT INTO complaint_statuses VALUES('28136','8944','3',null,'54',null,'12-AUG-2021
COMPLAINT#19622012','73','73','2021-08-12 14:10:06','2021-08-12 14:12:42',null);
INSERT INTO complaint_statuses VALUES('28137','8670','7','22','81','compressor require ,',null,'76','76','2021-08-12 14:12:41','2021-08-12 14:12:41',null);
INSERT INTO complaint_statuses VALUES('28138','8945','3',null,'53',null,'24-JUL-2021
COMPLAINT#301158812','92','73','2021-08-12 14:25:00','2021-08-12 14:44:33',null);
INSERT INTO complaint_statuses VALUES('28139','8823','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-12 14:35:14','2021-08-12 14:35:14',null);
INSERT INTO complaint_statuses VALUES('28140','8821','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-12 14:40:23','2021-08-12 14:40:23',null);
INSERT INTO complaint_statuses VALUES('28141','8946','2',null,'81',null,'12-AUG-2021
COMPLAINT#192127359','73','73','2021-08-12 14:41:23','2021-08-12 14:46:06',null);
INSERT INTO complaint_statuses VALUES('28142','8946','4',null,'62',null,null,'81','81','2021-08-12 14:41:55','2021-08-12 14:41:55',null);
INSERT INTO complaint_statuses VALUES('28143','8812','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-12 14:43:25','2021-08-12 14:43:25',null);
INSERT INTO complaint_statuses VALUES('28144','8811','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-12 14:45:32','2021-08-12 14:45:32',null);
INSERT INTO complaint_statuses VALUES('28145','8918','7','24','81','customer sy bat ho gai ha   
s/n send krta ha tu part arange krty hain      
unit already smartzone ny check kr liya ha   mother board defective ha',null,'83','83','2021-08-12 15:17:56','2021-08-12 15:17:56',null);
INSERT INTO complaint_statuses VALUES('28146','8892','7','9','81','number off ja rha ha',null,'83','83','2021-08-12 15:18:57','2021-08-12 15:18:57',null);
INSERT INTO complaint_statuses VALUES('28147','8590','7','12','81','back light replaced 
unit with  customer',null,'83','83','2021-08-12 15:19:52','2021-08-12 15:19:52',null);
INSERT INTO complaint_statuses VALUES('28148','8947','2',null,'81',null,null,'73','73','2021-08-12 15:22:17','2021-08-12 15:22:17',null);
INSERT INTO complaint_statuses VALUES('28149','8947','4',null,'56',null,null,'81','81','2021-08-12 15:22:52','2021-08-12 15:22:52',null);
INSERT INTO complaint_statuses VALUES('28150','8948','2',null,'81',null,null,'73','73','2021-08-12 15:25:41','2021-08-12 15:25:41',null);
INSERT INTO complaint_statuses VALUES('28151','8948','4',null,'58',null,null,'81','81','2021-08-12 15:26:22','2021-08-12 15:26:22',null);
INSERT INTO complaint_statuses VALUES('28152','8809','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-12 15:29:42','2021-08-12 15:29:42',null);
INSERT INTO complaint_statuses VALUES('28153','8039','7','22','81','need to replalce main pcb 
Rs 6000/- exp  need approval',null,'83','83','2021-08-12 15:49:52','2021-08-12 15:49:52',null);
INSERT INTO complaint_statuses VALUES('28154','8569','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-12 16:15:01','2021-08-12 16:15:01',null);
INSERT INTO complaint_statuses VALUES('28155','8949','3',null,'52',null,'12-AUG-2021
COM NO PKRI-210812111183','92','73','2021-08-12 16:21:49','2021-08-12 16:48:44',null);
INSERT INTO complaint_statuses VALUES('28156','8950','2',null,'81',null,null,'73','73','2021-08-12 16:46:42','2021-08-12 16:46:42',null);
INSERT INTO complaint_statuses VALUES('28157','8950','4',null,'55',null,null,'81','81','2021-08-12 16:46:57','2021-08-12 16:46:57',null);
INSERT INTO complaint_statuses VALUES('28158','8951','2',null,'81',null,null,'73','73','2021-08-12 16:47:47','2021-08-12 16:47:47',null);
INSERT INTO complaint_statuses VALUES('28159','8951','4',null,'58',null,null,'81','81','2021-08-12 16:48:18','2021-08-12 16:48:18',null);
INSERT INTO complaint_statuses VALUES('28160','8585','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-12 16:51:25','2021-08-12 16:51:25',null);
INSERT INTO complaint_statuses VALUES('28161','8892','8','23','61','AGAIN TRY',null,'81','81','2021-08-12 16:54:53','2021-08-12 16:54:53',null);
INSERT INTO complaint_statuses VALUES('28162','8952','3',null,'53',null,'12-AUG-2021
COMPLAINT#301166860','73','73','2021-08-12 17:15:18','2021-08-12 17:33:19',null);
INSERT INTO complaint_statuses VALUES('28163','8953','3',null,'54',null,'UNIT IS IN SERVICE CENTRE... 
C/O KHURRAM SB','73','92','2021-08-12 17:21:31','2021-08-23 16:15:45',null);
INSERT INTO complaint_statuses VALUES('28164','8954','2',null,'81',null,null,'73','73','2021-08-12 17:23:28','2021-08-12 17:23:28',null);
INSERT INTO complaint_statuses VALUES('28165','8954','4',null,'62',null,null,'81','81','2021-08-12 17:24:35','2021-08-12 17:24:35',null);
INSERT INTO complaint_statuses VALUES('28166','8955','2',null,'81',null,null,'73','73','2021-08-12 17:30:39','2021-08-12 17:30:39',null);
INSERT INTO complaint_statuses VALUES('28167','8955','4',null,'63',null,null,'81','81','2021-08-12 17:31:59','2021-08-12 17:31:59',null);
INSERT INTO complaint_statuses VALUES('28168','8956','3',null,'54',null,'12-AUG-2021
COMPLAINT#1962332','73','73','2021-08-12 17:35:08','2021-08-12 17:38:25',null);
INSERT INTO complaint_statuses VALUES('28169','8957','2',null,'81',null,null,'73','73','2021-08-12 17:43:33','2021-08-12 17:43:33',null);
INSERT INTO complaint_statuses VALUES('28170','8957','4',null,'55',null,null,'81','81','2021-08-12 17:44:02','2021-08-12 17:44:02',null);
INSERT INTO complaint_statuses VALUES('28171','8951','7','12','81','compliant resolved',null,'79','79','2021-08-13 10:33:37','2021-08-13 10:33:37',null);
INSERT INTO complaint_statuses VALUES('28172','8958','3',null,'57',null,'13-AUG-2021
COMPLAINT#21073','73','73','2021-08-13 10:38:51','2021-08-13 11:33:45',null);
INSERT INTO complaint_statuses VALUES('28173','8959','2',null,'81',null,null,'73','73','2021-08-13 10:43:55','2021-08-13 10:43:55',null);
INSERT INTO complaint_statuses VALUES('28174','8959','4',null,'58',null,null,'81','81','2021-08-13 10:44:46','2021-08-13 10:44:46',null);
INSERT INTO complaint_statuses VALUES('28175','8960','3',null,'53',null,'13-AUG-2021
COMPLAINT#301166992','73','73','2021-08-13 10:47:38','2021-08-13 11:42:04',null);
INSERT INTO complaint_statuses VALUES('28176','8961','3',null,'52',null,'13-AUG-2021
COMPLAINT#PKRI210813104822','73','73','2021-08-13 10:50:42','2021-08-13 12:12:52',null);
INSERT INTO complaint_statuses VALUES('28177','8962','3',null,'63',null,'13-AUG-2021
COMPLAINT#1048','73','73','2021-08-13 10:54:08','2021-08-13 12:08:07',null);
INSERT INTO complaint_statuses VALUES('28178','8963','2',null,'81',null,null,'73','73','2021-08-13 10:58:52','2021-08-13 10:58:52',null);
INSERT INTO complaint_statuses VALUES('28179','8963','4',null,'63',null,null,'81','81','2021-08-13 10:59:51','2021-08-13 10:59:51',null);
INSERT INTO complaint_statuses VALUES('28180','8964','2',null,'81',null,null,'73','73','2021-08-13 11:02:46','2021-08-13 11:02:46',null);
INSERT INTO complaint_statuses VALUES('28181','8964','4',null,'63',null,null,'81','81','2021-08-13 11:03:36','2021-08-13 11:03:36',null);
INSERT INTO complaint_statuses VALUES('28182','8965','3',null,'65',null,'12-AUG-2021
COMPLAINT#192127393','73','73','2021-08-13 11:05:34','2021-08-13 12:01:53',null);
INSERT INTO complaint_statuses VALUES('28183','8966','3',null,'73',null,'13-AUG-2021
COMPLAINT#08/00568','73','73','2021-08-13 11:43:55','2021-08-13 16:02:39',null);
INSERT INTO complaint_statuses VALUES('28184','8951','5','15',null,'COMPLETED COMPLAINT',null,'81','81','2021-08-13 11:48:54','2021-08-13 11:48:54',null);
INSERT INTO complaint_statuses VALUES('28185','8918','8','23','61','OK',null,'81','81','2021-08-13 11:50:00','2021-08-13 11:50:00',null);
INSERT INTO complaint_statuses VALUES('28186','8740','7','12','81','complaint  resolved ,pcb issue',null,'79','79','2021-08-13 11:51:53','2021-08-13 11:51:53',null);
INSERT INTO complaint_statuses VALUES('28187','8967','2',null,'81',null,'12-AUG-2021
COMPLAINT#202108008854','73','73','2021-08-13 11:52:41','2021-08-13 11:58:46',null);
INSERT INTO complaint_statuses VALUES('28188','8967','4',null,'58',null,null,'81','81','2021-08-13 11:52:59','2021-08-13 11:52:59',null);
INSERT INTO complaint_statuses VALUES('28189','8691','7','12','81','wire change  complaint reoslved',null,'79','79','2021-08-13 11:53:00','2021-08-13 11:53:00',null);
INSERT INTO complaint_statuses VALUES('28190','8857','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-13 11:53:09','2021-08-13 11:53:09',null);
INSERT INTO complaint_statuses VALUES('28191','8869','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-13 11:58:28','2021-08-13 11:58:28',null);
INSERT INTO complaint_statuses VALUES('28192','8740','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-13 11:58:47','2021-08-13 12:04:33',null);
INSERT INTO complaint_statuses VALUES('28193','8691','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-13 12:00:01','2021-08-13 12:05:05',null);
INSERT INTO complaint_statuses VALUES('28194','8862','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-13 12:01:21','2021-08-13 12:01:21',null);
INSERT INTO complaint_statuses VALUES('28195','8861','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-13 12:06:39','2021-08-13 12:06:39',null);
INSERT INTO complaint_statuses VALUES('28196','8590','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-13 12:08:09','2021-08-13 12:18:06',null);
INSERT INTO complaint_statuses VALUES('28197','8859','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-13 12:08:39','2021-08-13 12:08:39',null);
INSERT INTO complaint_statuses VALUES('28198','8968','3',null,'52',null,'13-AUG-2021
COMPLAINT#PKRI210813104890','73','73','2021-08-13 12:15:06','2021-08-13 12:15:47',null);
INSERT INTO complaint_statuses VALUES('28199','8854','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-13 12:21:40','2021-08-13 12:21:40',null);
INSERT INTO complaint_statuses VALUES('28200','8848','5',null,null,'COMPLAINT RESOLVED',null,'74','74','2021-08-13 12:26:10','2021-08-13 12:26:10',null);
INSERT INTO complaint_statuses VALUES('28201','8969','3',null,'59',null,'13-AUG-2021
COMPLAINT#4248348148','73','73','2021-08-13 12:27:30','2021-08-13 13:52:50',null);
INSERT INTO complaint_statuses VALUES('28202','8853','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-13 12:28:36','2021-08-13 12:28:36',null);
INSERT INTO complaint_statuses VALUES('28203','8851','5',null,null,'COMPLAINT COMPLETED','0514916257 S/C NO WAH CANTT','92','92','2021-08-13 12:34:30','2021-08-13 12:37:33',null);
INSERT INTO complaint_statuses VALUES('28204','8874','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-13 12:38:18','2021-08-13 12:38:18',null);
INSERT INTO complaint_statuses VALUES('28205','8846','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-13 12:46:44','2021-08-13 12:46:44',null);
INSERT INTO complaint_statuses VALUES('28206','8826','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-13 12:47:10','2021-08-13 12:47:10',null);
INSERT INTO complaint_statuses VALUES('28207','8824','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-13 12:51:31','2021-08-13 12:51:31',null);
INSERT INTO complaint_statuses VALUES('28208','8827','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-13 13:02:21','2021-08-13 13:02:21',null);
INSERT INTO complaint_statuses VALUES('28209','8970','3',null,'55',null,'13-AUG-2021
COM NO 819300','92','92','2021-08-13 13:10:55','2021-08-13 13:10:55',null);
INSERT INTO complaint_statuses VALUES('28210','8971','3',null,'52',null,'13-AUG-2021
COM NO PKRI-210813106165','92','73','2021-08-13 13:18:09','2021-08-13 13:38:45',null);
INSERT INTO complaint_statuses VALUES('28211','8815','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-13 13:51:04','2021-08-13 13:51:04',null);
INSERT INTO complaint_statuses VALUES('28212','8805','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-13 13:56:38','2021-08-13 13:56:38',null);
INSERT INTO complaint_statuses VALUES('28213','8803','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-13 13:59:04','2021-08-13 13:59:04',null);
INSERT INTO complaint_statuses VALUES('28214','8801','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-13 14:02:36','2021-08-13 14:02:36',null);
INSERT INTO complaint_statuses VALUES('28215','8786','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-13 14:20:08','2021-08-13 14:20:08',null);
INSERT INTO complaint_statuses VALUES('28216','8726','5',null,null,'COMPLAINT COMPLETED','COM NO PK-081620210154','92','92','2021-08-13 14:37:52','2021-08-16 15:02:29',null);
INSERT INTO complaint_statuses VALUES('28217','8696','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-13 14:44:47','2021-08-13 14:44:47',null);
INSERT INTO complaint_statuses VALUES('28218','8673','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-13 14:54:49','2021-08-13 14:54:49',null);
INSERT INTO complaint_statuses VALUES('28219','8972','3',null,'65',null,'12-AUG-2021
COMPLAINT#192127412','73','73','2021-08-13 15:21:54','2021-08-13 15:54:56',null);
INSERT INTO complaint_statuses VALUES('28220','8974','2',null,'81',null,null,'73','73','2021-08-13 16:17:56','2021-08-13 16:17:56',null);
INSERT INTO complaint_statuses VALUES('28221','8974','4',null,'60',null,null,'81','81','2021-08-13 16:19:06','2021-08-13 16:19:06',null);
INSERT INTO complaint_statuses VALUES('28222','8973','3',null,'97',null,'13-AUG-2021
COMPLAINT#202108009020','73','73','2021-08-13 16:20:17','2021-08-13 16:49:53',null);
INSERT INTO complaint_statuses VALUES('28223','8817','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-13 16:23:40','2021-08-13 16:23:40',null);
INSERT INTO complaint_statuses VALUES('28224','8975','3',null,'61',null,'13-AUG-2021
COMPLAINT#202108009016','73','73','2021-08-13 16:31:37','2021-08-13 16:46:14',null);
INSERT INTO complaint_statuses VALUES('28225','8658','7','12','81','ISSUE RESOLVED',null,'87','87','2021-08-13 16:32:23','2021-08-13 16:32:23',null);
INSERT INTO complaint_statuses VALUES('28226','8779','7','12','81','PCB REPLACED , NOW RESOLVED',null,'87','87','2021-08-13 16:33:38','2021-08-13 16:33:38',null);
INSERT INTO complaint_statuses VALUES('28227','8865','7','26','81','LEAK , VISIT HO GYA HAI',null,'87','87','2021-08-13 16:35:49','2021-08-13 16:35:49',null);
INSERT INTO complaint_statuses VALUES('28228','8873','7','12','81','ISSUE RESOLVED',null,'87','87','2021-08-13 16:36:50','2021-08-13 16:36:50',null);
INSERT INTO complaint_statuses VALUES('28229','8767','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-13 16:37:32','2021-08-13 16:37:32',null);
INSERT INTO complaint_statuses VALUES('28230','8613','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-13 16:42:19','2021-08-13 16:42:19',null);
INSERT INTO complaint_statuses VALUES('28231','8328','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-13 16:43:44','2021-08-13 16:43:44',null);
INSERT INTO complaint_statuses VALUES('28232','8328','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-13 16:44:47','2021-08-13 16:44:47',null);
INSERT INTO complaint_statuses VALUES('28233','8976','3',null,'60',null,'13-AUG-2021
FRWRD TO HASSAN VATTI','73','92','2021-08-13 17:08:43','2021-08-21 13:26:37',null);
INSERT INTO complaint_statuses VALUES('28234','8873','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-13 17:09:05','2021-08-13 17:14:40',null);
INSERT INTO complaint_statuses VALUES('28235','8977','3',null,'59',null,'13-AUG-2021
COMPLAINT#4248360712','73','73','2021-08-13 17:57:25','2021-08-13 18:08:10',null);
INSERT INTO complaint_statuses VALUES('28236','8978','3',null,'52',null,'13-AUG-2021
COM NO PKRI-210813111500','73','92','2021-08-13 17:58:49','2021-08-13 18:03:35',null);
INSERT INTO complaint_statuses VALUES('28237','8903','7','12','81','Complint resolved',null,'79','79','2021-08-15 10:04:32','2021-08-15 10:04:32',null);
INSERT INTO complaint_statuses VALUES('28238','8760','7','12','81','Inlet coil change.cimolint resolved',null,'79','79','2021-08-15 10:06:19','2021-08-15 10:06:19',null);
INSERT INTO complaint_statuses VALUES('28239','8955','7','12','81','Gas parablam',null,'88','88','2021-08-15 10:49:55','2021-08-15 10:49:55',null);
INSERT INTO complaint_statuses VALUES('28240','8895','7','12','81','Sarvice kiya hy ok',null,'88','88','2021-08-15 10:51:05','2021-08-15 10:51:05',null);
INSERT INTO complaint_statuses VALUES('28241','8715','7','12','81','Ok',null,'88','88','2021-08-15 10:51:45','2021-08-15 10:51:45',null);
INSERT INTO complaint_statuses VALUES('28242','8967','7','12','81','is ac ka custoemr end sy issue hai ,out door shift kerna hai in ka',null,'79','79','2021-08-16 09:55:35','2021-08-16 09:55:35',null);
INSERT INTO complaint_statuses VALUES('28243','8959','7','12','81','no visit customer bol rahy hain k complaint solve ho gaihai',null,'79','79','2021-08-16 09:58:52','2021-08-16 09:58:52',null);
INSERT INTO complaint_statuses VALUES('28244','8948','7','12','81','cusotmer call pick nahi kr rahy ,2 din call kr rhy',null,'79','79','2021-08-16 09:59:51','2021-08-16 09:59:51',null);
INSERT INTO complaint_statuses VALUES('28245','8979','3',null,'52',null,'16-AUG-2021
COMPLAINT#PKRI210816104754','73','73','2021-08-16 10:30:19','2021-08-16 11:34:22',null);
INSERT INTO complaint_statuses VALUES('28246','8980','2',null,'81',null,null,'73','73','2021-08-16 10:34:23','2021-08-16 10:34:23',null);
INSERT INTO complaint_statuses VALUES('28247','8980','4',null,'60',null,null,'81','81','2021-08-16 10:34:49','2021-08-16 10:34:49',null);
INSERT INTO complaint_statuses VALUES('28248','8981','3',null,'96',null,'16-AUG-2021
FRWRD TO JABBAR HACWELL','73','73','2021-08-16 10:39:30','2021-08-16 10:39:30',null);
INSERT INTO complaint_statuses VALUES('28249','8959','5','15',null,'complaint resolved','MISS AREEBA NA COMPLAINT COMPLETE KI HAIN','81','74','2021-08-16 10:42:18','2021-08-17 11:23:42',null);
INSERT INTO complaint_statuses VALUES('28250','8982','3',null,'81',null,'16-AUG-2021
COMPLAINT#1053','73','73','2021-08-16 10:42:30','2021-08-16 11:25:35',null);
INSERT INTO complaint_statuses VALUES('28251','8955','5','15',null,'complaint resolved','MISS AREEBA NA COMPLETE KI','81','74','2021-08-16 10:43:20','2021-08-17 11:26:50',null);
INSERT INTO complaint_statuses VALUES('28252','8983','2',null,'81',null,null,'73','73','2021-08-16 10:44:40','2021-08-16 10:44:40',null);
INSERT INTO complaint_statuses VALUES('28253','8983','4',null,'63',null,null,'81','81','2021-08-16 10:45:20','2021-08-16 10:45:20',null);
INSERT INTO complaint_statuses VALUES('28254','8964','7','12','81','Ok',null,'88','88','2021-08-16 10:48:00','2021-08-16 10:48:00',null);
INSERT INTO complaint_statuses VALUES('28255','8903','5','15',null,'complaint resolved','MISS AREEBA NA COMPLETED COMPLAINT','81','74','2021-08-16 10:48:05','2021-08-17 11:47:12',null);
INSERT INTO complaint_statuses VALUES('28256','8948','5','15',null,'customer nay local technician say issue resolved karwa leya hay','MISS AREEBA NA COMPLETE KI COMPLAINT','81','74','2021-08-16 10:49:05','2021-08-17 11:27:32',null);
INSERT INTO complaint_statuses VALUES('28257','8984','2',null,'81',null,null,'73','73','2021-08-16 10:49:43','2021-08-16 10:49:43',null);
INSERT INTO complaint_statuses VALUES('28258','8919','7','22','81','I 10 Aya gi',null,'88','88','2021-08-16 10:49:57','2021-08-16 10:49:57',null);
INSERT INTO complaint_statuses VALUES('28259','8984','4',null,'55',null,null,'81','81','2021-08-16 10:50:07','2021-08-16 10:50:07',null);
INSERT INTO complaint_statuses VALUES('28260','8836','7','12','81','Auto wair kharb the OK',null,'88','88','2021-08-16 10:50:41','2021-08-16 10:50:41',null);
INSERT INTO complaint_statuses VALUES('28261','8896','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-16 10:50:49','2021-08-16 10:50:49',null);
INSERT INTO complaint_statuses VALUES('28262','8964','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED MISS AREEBA NA COMPLETE KI','81','74','2021-08-16 10:50:54','2021-08-17 11:22:14',null);
INSERT INTO complaint_statuses VALUES('28263','8895','5','15',null,'COMPLAINT RESOLVED','MISS AREEBA NA COMPLETED KI','81','74','2021-08-16 10:51:59','2021-08-17 12:01:49',null);
INSERT INTO complaint_statuses VALUES('28264','8760','5','15',null,'COMPLAINT RESOLVED','MISS AREEBA NA YHA COMPLETED KI COMPLAINT','81','74','2021-08-16 10:53:13','2021-08-17 12:28:53',null);
INSERT INTO complaint_statuses VALUES('28265','8779','5','15',null,'COMPLAINT RESOLVED','MISS AREEBA NA COMPLAINT COMPLETED KI','81','74','2021-08-16 10:54:29','2021-08-17 12:03:13',null);
INSERT INTO complaint_statuses VALUES('28266','8715','5','15',null,'COMPLAINT RESOLVED','MISS AREEBA NA COMPLETED KI COMPLAINT','81','74','2021-08-16 10:55:32','2021-08-17 12:29:41',null);
INSERT INTO complaint_statuses VALUES('28267','8985','3',null,'52',null,'16-AUG-2021
COMPLAINT#PKRI210816104847','73','73','2021-08-16 10:56:26','2021-08-16 11:35:24',null);
INSERT INTO complaint_statuses VALUES('28268','8658','5','15',null,'COMPLAINT RESOLVED','MISS AREEBA NA COMPLAINT COMPLETED KI','81','74','2021-08-16 11:00:07','2021-08-17 12:32:14',null);
INSERT INTO complaint_statuses VALUES('28269','8986','3',null,'90',null,'OTHER#03123366166
COMPLAINT#202108009698','73','73','2021-08-16 11:02:14','2021-08-16 11:23:24',null);
INSERT INTO complaint_statuses VALUES('28270','8987','3',null,'52',null,'16-AUG-2021
COMPLAINT#PKRI21

0816104909
NEW COMPLAINT #PKRI-210820110828','73','74','2021-08-16 11:06:02','2021-08-20 16:39:19',null);
INSERT INTO complaint_statuses VALUES('28271','8988','3',null,'52',null,'16-AUG-2021
COMPLAINT#PKRI210816104970','73','73','2021-08-16 11:08:08','2021-08-16 11:38:32',null);
INSERT INTO complaint_statuses VALUES('28272','8989','3',null,'97',null,'COSTUMER DIRECT LAUNCH COMPLAINT... WARRANTY CARD NOT AVAILABLE','73','73','2021-08-16 11:16:02','2021-08-16 11:16:02',null);
INSERT INTO complaint_statuses VALUES('28273','8693','7','24','81','Compny farwerd kry',null,'82','82','2021-08-16 11:19:29','2021-08-16 11:19:29',null);
INSERT INTO complaint_statuses VALUES('28274','8626','7','12','81','Okay kar di thi',null,'82','82','2021-08-16 11:20:41','2021-08-16 11:20:41',null);
INSERT INTO complaint_statuses VALUES('28275','8075','7','12','81','Okay kar ky bhej di hy',null,'82','82','2021-08-16 11:22:00','2021-08-16 11:22:00',null);
INSERT INTO complaint_statuses VALUES('28276','8902','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-16 11:22:49','2021-08-16 11:22:49',null);
INSERT INTO complaint_statuses VALUES('28277','8905','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-16 11:24:51','2021-08-16 11:24:51',null);
INSERT INTO complaint_statuses VALUES('28278','8907','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-16 11:26:51','2021-08-16 11:26:51',null);
INSERT INTO complaint_statuses VALUES('28279','8915','7','9','81','main pcb defective  unit check by smartzone also 
customer out of city now  will b back after 3-4 days',null,'83','83','2021-08-16 11:29:10','2021-08-16 11:29:10',null);
INSERT INTO complaint_statuses VALUES('28280','8914','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-16 11:34:10','2021-08-16 11:34:10',null);
INSERT INTO complaint_statuses VALUES('28281','8202','7','12','81','issue resolved',null,'87','87','2021-08-16 11:37:00','2021-08-16 11:37:00',null);
INSERT INTO complaint_statuses VALUES('28282','8576','7','12','81','issue resolved',null,'87','87','2021-08-16 11:37:52','2021-08-16 11:37:52',null);
INSERT INTO complaint_statuses VALUES('28283','8990','3',null,'53',null,'16-AUG-2021
COMPLAINT#301167454','73','73','2021-08-16 11:48:11','2021-08-16 12:09:25',null);
INSERT INTO complaint_statuses VALUES('28284','8930','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-16 11:48:14','2021-08-16 11:48:14',null);
INSERT INTO complaint_statuses VALUES('28285','8932','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-16 11:50:16','2021-08-16 11:50:16',null);
INSERT INTO complaint_statuses VALUES('28286','8978','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-16 11:54:48','2021-08-16 11:54:48',null);
INSERT INTO complaint_statuses VALUES('28287','8972','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-16 11:57:02','2021-08-16 11:57:02',null);
INSERT INTO complaint_statuses VALUES('28288','7419','7','26','81','Abhi tak unho ny dubara koi rabta nhi kea ur na hi box hamy phonchay hy aap plz closed kar dy',null,'82','82','2021-08-16 11:57:27','2021-08-16 11:57:27',null);
INSERT INTO complaint_statuses VALUES('28289','8991','3',null,'52',null,'16-AUG-2021
COMPLAINT#PKRI210816106326','73','106','2021-08-16 11:59:40','2021-08-16 12:22:16',null);
INSERT INTO complaint_statuses VALUES('28290','8931','7','24','81','Kal visit krna hy custmer aaj masroof hy',null,'82','82','2021-08-16 12:00:22','2021-08-16 12:00:22',null);
INSERT INTO complaint_statuses VALUES('28291','8938','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-16 12:02:37','2021-08-16 12:02:37',null);
INSERT INTO complaint_statuses VALUES('28292','8577','7','12','81','Drain hang nhi kea tha okay kar dia hy',null,'82','82','2021-08-16 12:07:47','2021-08-16 12:07:47',null);
INSERT INTO complaint_statuses VALUES('28293','8992','3',null,'52',null,'16-AUG-2021
COMPLAINT#PKRI210816106274','73','106','2021-08-16 12:11:40','2021-08-16 12:19:11',null);
INSERT INTO complaint_statuses VALUES('28294','8993','2',null,'81',null,null,'73','73','2021-08-16 12:15:22','2021-08-16 12:15:22',null);
INSERT INTO complaint_statuses VALUES('28295','8993','4',null,'63',null,null,'81','81','2021-08-16 12:16:06','2021-08-16 12:16:06',null);
INSERT INTO complaint_statuses VALUES('28296','8619','7','24','81',null,null,'82','82','2021-08-16 12:22:28','2021-08-16 12:22:28',null);
INSERT INTO complaint_statuses VALUES('28297','8994','3',null,'53',null,'16-AUG-2021
COMPLAINT#301167583','73','73','2021-08-16 12:24:49','2021-08-16 13:22:22',null);
INSERT INTO complaint_statuses VALUES('28298','8935','7','12','81','Door switch zang laga huwa tha okay kar dia',null,'82','82','2021-08-16 12:26:46','2021-08-16 12:26:46',null);
INSERT INTO complaint_statuses VALUES('28299','8941','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-16 12:27:17','2021-08-16 12:27:17',null);
INSERT INTO complaint_statuses VALUES('28300','8995','2',null,'81',null,null,'73','73','2021-08-16 12:29:41','2021-08-16 12:29:41',null);
INSERT INTO complaint_statuses VALUES('28301','8995','4',null,'58',null,null,'81','81','2021-08-16 12:30:06','2021-08-16 12:30:06',null);
INSERT INTO complaint_statuses VALUES('28302','8996','3',null,'66',null,'16-AUG-2021
COMPLAINT#PK080920210031','73','73','2021-08-16 12:44:40','2021-08-16 14:09:19',null);
INSERT INTO complaint_statuses VALUES('28303','8997','2',null,'81',null,null,'73','73','2021-08-16 12:47:27','2021-08-16 12:47:27',null);
INSERT INTO complaint_statuses VALUES('28304','8998','2',null,'81',null,null,'73','73','2021-08-16 12:51:26','2021-08-16 12:51:26',null);
INSERT INTO complaint_statuses VALUES('28305','8998','4',null,'62',null,null,'81','81','2021-08-16 12:52:51','2021-08-16 12:52:51',null);
INSERT INTO complaint_statuses VALUES('28306','8997','4',null,'58',null,null,'81','81','2021-08-16 12:53:11','2021-08-16 12:53:11',null);
INSERT INTO complaint_statuses VALUES('28307','8999','2',null,'81',null,null,'73','73','2021-08-16 12:54:21','2021-08-16 12:54:21',null);
INSERT INTO complaint_statuses VALUES('28308','8999','4',null,'58',null,null,'81','81','2021-08-16 12:54:49','2021-08-16 12:54:49',null);
INSERT INTO complaint_statuses VALUES('28309','9000','3',null,'72',null,'16-AUG-2021
COMPLAINT#192127453','73','73','2021-08-16 13:00:22','2021-08-16 13:31:33',null);
INSERT INTO complaint_statuses VALUES('28310','8999','7','12','81','motor change complaint reoslved',null,'79','79','2021-08-16 13:03:19','2021-08-16 13:03:19',null);
INSERT INTO complaint_statuses VALUES('28311','9001','2',null,'81',null,null,'73','73','2021-08-16 13:08:12','2021-08-16 13:08:12',null);
INSERT INTO complaint_statuses VALUES('28312','9001','4',null,'60',null,null,'81','81','2021-08-16 13:08:36','2021-08-16 13:08:36',null);
INSERT INTO complaint_statuses VALUES('28313','9002','3',null,'52',null,'16-AUG-2021
COMPLAINT#PKRI210816105042','73','73','2021-08-16 13:08:46','2021-08-16 13:08:46',null);
INSERT INTO complaint_statuses VALUES('28314','8899','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-16 13:12:22','2021-08-16 13:12:22',null);
INSERT INTO complaint_statuses VALUES('28315','9003','2',null,'81',null,null,'73','73','2021-08-16 13:14:10','2021-08-16 13:14:10',null);
INSERT INTO complaint_statuses VALUES('28316','9003','4',null,'58',null,null,'81','81','2021-08-16 13:14:40','2021-08-16 13:14:40',null);
INSERT INTO complaint_statuses VALUES('28317','9004','3',null,'52',null,'13-JUL-2021
COMPLAINT#PKRI210713107034
REOPEN#PKRI210816111309','106','106','2021-08-16 13:20:19','2021-08-16 15:11:06',null);
INSERT INTO complaint_statuses VALUES('28318','9005','3',null,'57',null,'16-AUG-2021
COMPLAINT#21126','73','106','2021-08-16 13:34:40','2021-08-16 14:39:01',null);
INSERT INTO complaint_statuses VALUES('28319','9006','3',null,'52',null,'16-AUG-2021
COMPLAINT#PKRI2108161126','73','106','2021-08-16 13:36:37','2021-08-16 15:08:24',null);
INSERT INTO complaint_statuses VALUES('28320','9007','2',null,'81',null,null,'73','73','2021-08-16 13:44:03','2021-08-16 13:44:03',null);
INSERT INTO complaint_statuses VALUES('28321','9007','4',null,'58',null,null,'81','81','2021-08-16 13:44:48','2021-08-16 13:44:48',null);
INSERT INTO complaint_statuses VALUES('28322','9007','4',null,'58',null,null,'81','81','2021-08-16 13:44:48','2021-08-16 13:44:48',null);
INSERT INTO complaint_statuses VALUES('28323','8884','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-16 13:49:31','2021-08-16 13:49:31',null);
INSERT INTO complaint_statuses VALUES('28324','8882','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-16 13:56:17','2021-08-16 13:56:17',null);
INSERT INTO complaint_statuses VALUES('28325','9008','2',null,'81',null,null,'73','73','2021-08-16 13:58:32','2021-08-16 13:58:32',null);
INSERT INTO complaint_statuses VALUES('28326','9008','4',null,'55',null,null,'81','81','2021-08-16 13:58:59','2021-08-16 13:58:59',null);
INSERT INTO complaint_statuses VALUES('28327','9009','3',null,'66',null,'16-AUG-2021
COMPLAINT#PK081620210140','73','73','2021-08-16 14:02:32','2021-08-16 14:12:39',null);
INSERT INTO complaint_statuses VALUES('28328','9010','2',null,'81',null,null,'73','73','2021-08-16 14:24:24','2021-08-16 14:24:24',null);
INSERT INTO complaint_statuses VALUES('28329','9010','4',null,'62',null,null,'81','81','2021-08-16 14:24:39','2021-08-16 14:24:39',null);
INSERT INTO complaint_statuses VALUES('28330','9011','3',null,'52',null,'16-AUG-2021
COM NO PKRI-210816109947','92','92','2021-08-16 14:33:07','2021-08-16 14:33:41',null);
INSERT INTO complaint_statuses VALUES('28331','8995','7','12','81','complaint reoslved filter clean',null,'79','79','2021-08-16 15:03:17','2021-08-16 15:03:17',null);
INSERT INTO complaint_statuses VALUES('28332','9012','3',null,'66',null,'5-AUG-2021
COMPLAINT#PK-081620210154
FF TO IMRAN TCL','92','73','2021-08-16 15:13:15','2021-08-16 16:11:22',null);
INSERT INTO complaint_statuses VALUES('28333','8836','5','15',null,'COMPLAINT RESOLVED','MISS AREEBA NA COMPLAINT COMPLETED KI','81','74','2021-08-16 15:16:41','2021-08-17 12:02:32',null);
INSERT INTO complaint_statuses VALUES('28334','8935','5','15',null,'COMPLAINT RESOLVED','MISS AREEBA NA COMPLETED KI','81','74','2021-08-16 15:20:11','2021-08-17 11:39:23',null);
INSERT INTO complaint_statuses VALUES('28335','8995','5','15',null,'COMPLAINT RESOLVED','COMPLAINT RESOLVED MISS AREEBA NA COMPLETED KI','81','74','2021-08-16 15:20:36','2021-08-17 11:19:51',null);
INSERT INTO complaint_statuses VALUES('28336','8576','5','15',null,'COMPLAINT RESOLVED','MISS AREEBA NA COMPLAINT COMPLETE KI','81','74','2021-08-16 15:26:21','2021-08-17 12:35:04',null);
INSERT INTO complaint_statuses VALUES('28337','8577','5','15',null,'COMPLAINT RESOLVED','MISS AREEBA NA COMPLAINT COMPLETED KI','81','74','2021-08-16 15:27:29','2021-08-17 12:34:09',null);
INSERT INTO complaint_statuses VALUES('28338','8831','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-16 15:35:41','2021-08-16 15:35:41',null);
INSERT INTO complaint_statuses VALUES('28339','8965','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-16 15:39:21','2021-08-16 15:39:21',null);
INSERT INTO complaint_statuses VALUES('28340','9013','3',null,'53',null,'16-AUG-2021
COM NO','92','92','2021-08-16 15:47:43','2021-08-16 15:47:43',null);
INSERT INTO complaint_statuses VALUES('28341','8960','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-16 15:48:52','2021-08-16 15:48:52',null);
INSERT INTO complaint_statuses VALUES('28342','8939','7','12','81','complnt resolved duckt issue',null,'79','79','2021-08-16 15:52:04','2021-08-16 15:52:04',null);
INSERT INTO complaint_statuses VALUES('28343','9014','3',null,'65',null,'16-AUG-2021
COMPLAINT#192127485','73','106','2021-08-16 16:10:18','2021-08-16 16:56:14',null);
INSERT INTO complaint_statuses VALUES('28344','9013','5',null,null,'DOUBLE ENTRY',null,'73','73','2021-08-16 16:12:03','2021-08-16 16:12:03',null);
INSERT INTO complaint_statuses VALUES('28345','9015','2',null,'81',null,null,'73','73','2021-08-16 16:14:57','2021-08-16 16:14:57',null);
INSERT INTO complaint_statuses VALUES('28346','9015','4',null,'62',null,null,'81','81','2021-08-16 16:15:34','2021-08-16 16:15:34',null);
INSERT INTO complaint_statuses VALUES('28347','9016','2',null,'81',null,null,'73','73','2021-08-16 16:17:28','2021-08-16 16:17:28',null);
INSERT INTO complaint_statuses VALUES('28348','9016','4',null,'62',null,null,'81','81','2021-08-16 16:17:51','2021-08-16 16:17:51',null);
INSERT INTO complaint_statuses VALUES('28349','9017','2',null,'81',null,null,'73','73','2021-08-16 16:29:30','2021-08-16 16:29:30',null);
INSERT INTO complaint_statuses VALUES('28350','9018','2',null,'81',null,null,'73','73','2021-08-16 16:29:33','2021-08-16 16:29:33',null);
INSERT INTO complaint_statuses VALUES('28351','9018','4',null,'61',null,null,'81','81','2021-08-16 16:30:17','2021-08-16 16:30:17',null);
INSERT INTO complaint_statuses VALUES('28352','9017','4',null,'61',null,null,'81','81','2021-08-16 16:30:35','2021-08-16 16:30:35',null);
INSERT INTO complaint_statuses VALUES('28353','9018','7','26','81',null,null,'83','83','2021-08-16 16:32:20','2021-08-16 16:32:20',null);
INSERT INTO complaint_statuses VALUES('28354','9018','5','15',null,null,'COMPLAINT RESOLVED MISS AREEBA NA COMPLETED KI','81','74','2021-08-16 16:33:19','2021-08-17 11:08:09',null);
INSERT INTO complaint_statuses VALUES('28355','9019','2',null,'81',null,null,'73','73','2021-08-16 16:34:19','2021-08-16 16:34:19',null);
INSERT INTO complaint_statuses VALUES('28356','9019','4',null,'55',null,null,'81','81','2021-08-16 16:34:53','2021-08-16 16:34:53',null);
INSERT INTO complaint_statuses VALUES('28357','8754','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-16 16:40:02','2021-08-16 16:40:02',null);
INSERT INTO complaint_statuses VALUES('28358','8762','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-16 16:44:17','2021-08-16 16:44:17',null);
INSERT INTO complaint_statuses VALUES('28359','9020','2',null,'81',null,null,'73','73','2021-08-16 16:45:31','2021-08-16 16:45:31',null);
INSERT INTO complaint_statuses VALUES('28360','9020','4',null,'62',null,null,'81','81','2021-08-16 16:45:55','2021-08-16 16:45:55',null);
INSERT INTO complaint_statuses VALUES('28361','9021','3',null,'65',null,'16-AUG-2021
COMPLAINT#192127487','73','106','2021-08-16 16:55:24','2021-08-16 17:02:15',null);
INSERT INTO complaint_statuses VALUES('28362','7940','7','12','81','Tank change Kar diya hy ok',null,'88','88','2021-08-16 17:10:46','2021-08-16 17:10:46',null);
INSERT INTO complaint_statuses VALUES('28363','8830','7','12','81','Ok',null,'88','88','2021-08-16 17:11:14','2021-08-16 17:11:14',null);
INSERT INTO complaint_statuses VALUES('28364','8929','7','12','81','Oven my gas k the or aik a utook',null,'88','88','2021-08-16 17:13:20','2021-08-16 17:13:20',null);
INSERT INTO complaint_statuses VALUES('28365','5322','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-16 17:45:13','2021-08-16 17:45:13',null);
INSERT INTO complaint_statuses VALUES('28366','9022','3',null,'52',null,'16-AUG-2021
COMPLAINT#PKRI210816115068','73','73','2021-08-16 17:45:32','2021-08-16 17:59:31',null);
INSERT INTO complaint_statuses VALUES('28367','9023','2',null,'81',null,null,'73','73','2021-08-16 17:48:01','2021-08-16 17:48:01',null);
INSERT INTO complaint_statuses VALUES('28368','9023','4',null,'60',null,null,'81','81','2021-08-16 17:48:35','2021-08-16 17:48:35',null);
INSERT INTO complaint_statuses VALUES('28369','9024','3',null,'52',null,'16-AUG-2021
COMPLAINT#PKRI210816115146','73','73','2021-08-16 17:56:43','2021-08-16 18:01:29',null);
INSERT INTO complaint_statuses VALUES('28370','9025','2',null,'81',null,null,'73','73','2021-08-17 10:48:32','2021-08-17 10:48:32',null);
INSERT INTO complaint_statuses VALUES('28371','9025','4',null,'56',null,null,'81','81','2021-08-17 10:49:16','2021-08-17 10:49:16',null);
INSERT INTO complaint_statuses VALUES('28372','8999','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-17 11:00:55','2021-08-17 11:18:58',null);
INSERT INTO complaint_statuses VALUES('28373','8939','8','23','58','CUSTOMER KA ISSUE RESOLVED NAI HOA HAIN KINDLY AGAIN VISIT ARRANGE KARWAY',null,'81','81','2021-08-17 11:04:17','2021-08-17 11:04:17',null);
INSERT INTO complaint_statuses VALUES('28374','8931','8','23','60','OK AJ AGAIN CONTACT KAR K CUSTOMER K ISSUE RESOLVED KARAY',null,'81','81','2021-08-17 11:05:33','2021-08-17 11:05:33',null);
INSERT INTO complaint_statuses VALUES('28375','8929','5','15',null,'COMPLETED COMPLAINT','COMPLETED COMPLAINT','81','74','2021-08-17 11:06:58','2021-08-17 11:40:26',null);
INSERT INTO complaint_statuses VALUES('28376','8919','8','23','63','OK',null,'81','81','2021-08-17 11:09:06','2021-08-17 11:09:06',null);
INSERT INTO complaint_statuses VALUES('28377','8915','8','23','61','OK JOB COMPLETED QUKILEY',null,'81','81','2021-08-17 11:09:58','2021-08-17 11:09:58',null);
INSERT INTO complaint_statuses VALUES('28378','8830','8','15','63','COMPLETED COMPLAINT',null,'81','81','2021-08-17 11:13:46','2021-08-17 11:13:46',null);
INSERT INTO complaint_statuses VALUES('28379','8980','7','24','81','Frig i10phonch gra hy',null,'82','82','2021-08-17 11:14:05','2021-08-17 11:14:05',null);
INSERT INTO complaint_statuses VALUES('28380','8974','7','24','81','ManOor mulazim ny khah hy apky log theek kar gy hy',null,'82','82','2021-08-17 11:14:53','2021-08-17 11:14:53',null);
INSERT INTO complaint_statuses VALUES('28381','8626','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-17 11:16:41','2021-08-17 12:33:03',null);
INSERT INTO complaint_statuses VALUES('28382','8940','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-17 11:21:23','2021-08-17 11:21:23',null);
INSERT INTO complaint_statuses VALUES('28383','8980','8','23','60','OK',null,'81','81','2021-08-17 11:24:47','2021-08-17 11:24:47',null);
INSERT INTO complaint_statuses VALUES('28384','9026','2',null,'81',null,null,'73','73','2021-08-17 11:30:08','2021-08-17 11:30:08',null);
INSERT INTO complaint_statuses VALUES('28385','9026','4',null,'56',null,null,'81','81','2021-08-17 11:30:23','2021-08-17 11:30:23',null);
INSERT INTO complaint_statuses VALUES('28386','9027','3',null,'53',null,'17-AUG-2021
COMPLAINT#301168026','73','73','2021-08-17 11:35:01','2021-08-17 13:25:41',null);
INSERT INTO complaint_statuses VALUES('28387','9028','2',null,'81',null,null,'73','73','2021-08-17 11:37:45','2021-08-17 11:37:45',null);
INSERT INTO complaint_statuses VALUES('28388','9028','4',null,'62',null,null,'81','81','2021-08-17 11:38:11','2021-08-17 11:38:11',null);
INSERT INTO complaint_statuses VALUES('28389','8886','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-17 11:44:32','2021-08-17 11:44:32',null);
INSERT INTO complaint_statuses VALUES('28390','8880','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-17 11:45:45','2021-08-17 11:45:45',null);
INSERT INTO complaint_statuses VALUES('28391','9029','2',null,'81',null,null,'73','73','2021-08-17 11:45:57','2021-08-17 11:45:57',null);
INSERT INTO complaint_statuses VALUES('28392','9029','4',null,'63',null,null,'81','81','2021-08-17 11:47:08','2021-08-17 11:47:08',null);
INSERT INTO complaint_statuses VALUES('28393','8974','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-17 11:56:25','2021-08-17 12:00:31',null);
INSERT INTO complaint_statuses VALUES('28394','8967','5','15',null,'COMPLETED CIOMPLAINT','COMPLETED COMPLAINT','81','74','2021-08-17 11:57:25','2021-08-17 12:01:06',null);
INSERT INTO complaint_statuses VALUES('28395','7553','7','12','81','unit collect karwa lain',null,'83','83','2021-08-17 12:01:07','2021-08-17 12:01:07',null);
INSERT INTO complaint_statuses VALUES('28396','7688','7','12','81','main pcb replaced 
17500/-   exp 

plz unit collect karwa lain',null,'83','83','2021-08-17 12:06:08','2021-08-17 12:06:08',null);
INSERT INTO complaint_statuses VALUES('28397','7919','7','12','81','plz unit collect karwa lain',null,'83','83','2021-08-17 12:08:14','2021-08-17 12:08:14',null);
INSERT INTO complaint_statuses VALUES('28398','8969','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-17 12:08:31','2021-08-17 12:08:31',null);
INSERT INTO complaint_statuses VALUES('28399','8968','5',null,null,'COMPLAINT RESOLVED',null,'92','92','2021-08-17 12:10:43','2021-08-17 12:10:43',null);
INSERT INTO complaint_statuses VALUES('28400','9030','2',null,'81',null,null,'73','73','2021-08-17 12:16:05','2021-08-17 12:16:05',null);
INSERT INTO complaint_statuses VALUES('28401','9030','4',null,'55',null,null,'81','81','2021-08-17 12:16:25','2021-08-17 12:16:25',null);
INSERT INTO complaint_statuses VALUES('28402','9031','2',null,'81',null,null,'73','73','2021-08-17 12:22:25','2021-08-17 12:22:25',null);
INSERT INTO complaint_statuses VALUES('28403','9031','4',null,'62',null,null,'81','81','2021-08-17 12:22:47','2021-08-17 12:22:47',null);
INSERT INTO complaint_statuses VALUES('28404','9032','3',null,'53',null,'17-AUG-2021
COMPLAINT#301168029','73','73','2021-08-17 12:25:13','2021-08-17 13:25:24',null);
INSERT INTO complaint_statuses VALUES('28405','8694','7','24','81','unit svc move karva dain   panel main spot ha lab main repair ho ga',null,'83','83','2021-08-17 12:26:08','2021-08-17 12:26:08',null);
INSERT INTO complaint_statuses VALUES('28406','9033','3',null,'52',null,'17-AUG-2021
COMPLAINT#PKRI210817108943','73','73','2021-08-17 12:28:11','2021-08-17 14:14:59',null);
INSERT INTO complaint_statuses VALUES('28407','8773','7','24','81','unit lab move krna ho ga  
plz confirm  aslam sb ly k ain gy  ya hum khod colect karwa lain',null,'83','83','2021-08-17 12:28:43','2021-08-17 12:28:43',null);
INSERT INTO complaint_statuses VALUES('28408','9034','2',null,'81',null,null,'106','106','2021-08-17 12:30:42','2021-08-17 12:30:42',null);
INSERT INTO complaint_statuses VALUES('28409','9035','3',null,'65',null,'17-AUG-2021
COMPLAINT#192127521','73','73','2021-08-17 12:30:55','2021-08-17 13:48:16',null);
INSERT INTO complaint_statuses VALUES('28410','9036','3',null,'84',null,'17-AUG-2021
COMPLAINT#820717','73','73','2021-08-17 12:34:12','2021-08-17 13:52:04',null);
INSERT INTO complaint_statuses VALUES('28411','6401','7','12','81',null,null,'83','83','2021-08-17 12:35:12','2021-08-17 12:35:12',null);
INSERT INTO complaint_statuses VALUES('28412','9037','3',null,'95',null,'17-AUG-2021
COMPLAINT#199008','73','73','2021-08-17 12:37:16','2021-08-17 14:27:11',null);
INSERT INTO complaint_statuses VALUES('28413','9034','4',null,'58',null,null,'81','81','2021-08-17 12:41:13','2021-08-17 12:41:13',null);
INSERT INTO complaint_statuses VALUES('28414','8604','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-17 12:41:32','2021-08-17 12:41:32',null);
INSERT INTO complaint_statuses VALUES('28415','8956','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-17 12:44:11','2021-08-17 12:44:11',null);
INSERT INTO complaint_statuses VALUES('28416','8625','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-17 12:51:12','2021-08-17 12:51:12',null);
INSERT INTO complaint_statuses VALUES('28417','9038','2',null,'81',null,null,'73','73','2021-08-17 12:54:17','2021-08-17 12:54:17',null);
INSERT INTO complaint_statuses VALUES('28418','9038','4',null,'56',null,null,'81','81','2021-08-17 12:54:45','2021-08-17 12:54:45',null);
INSERT INTO complaint_statuses VALUES('28419','9039','3',null,'52',null,null,'73','73','2021-08-17 12:57:51','2021-08-17 12:57:51',null);
INSERT INTO complaint_statuses VALUES('28420','8435','7','28','81',null,null,'82','82','2021-08-17 13:03:52','2021-08-17 13:03:52',null);
INSERT INTO complaint_statuses VALUES('28421','8810','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-17 13:05:11','2021-08-17 13:05:11',null);
INSERT INTO complaint_statuses VALUES('28422','9039','5',null,null,'OUT OF WARRANTY... PEL REF COMPLAINT',null,'73','73','2021-08-17 13:08:07','2021-08-17 13:08:07',null);
INSERT INTO complaint_statuses VALUES('28423','9040','3',null,'52',null,'17-AUG-2021
COMPLAINT#PKRI210817109002
REOPEN COM NO PKRI-210823109361','73','92','2021-08-17 13:14:23','2021-08-23 14:39:39',null);
INSERT INTO complaint_statuses VALUES('28424','9041','2',null,'81',null,null,'73','73','2021-08-17 13:32:57','2021-08-17 13:32:57',null);
INSERT INTO complaint_statuses VALUES('28425','9041','4',null,'61',null,null,'81','81','2021-08-17 13:33:49','2021-08-17 13:33:49',null);
INSERT INTO complaint_statuses VALUES('28426','9042','3',null,'55',null,'17-AUG-2021
COMPLAINT#820720','73','73','2021-08-17 13:37:34','2021-08-17 13:53:36',null);
INSERT INTO complaint_statuses VALUES('28427','9043','2',null,'81',null,null,'73','73','2021-08-17 13:58:03','2021-08-17 13:58:03',null);
INSERT INTO complaint_statuses VALUES('28428','9043','4',null,'55',null,null,'81','81','2021-08-17 13:58:22','2021-08-17 13:58:22',null);
INSERT INTO complaint_statuses VALUES('28429','9044','3',null,'52',null,'17-AUG-2021
COMPLAINT#PKRI210817109095','73','73','2021-08-17 13:59:34','2021-08-17 14:21:21',null);
INSERT INTO complaint_statuses VALUES('28430','8944','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-17 14:01:49','2021-08-17 14:01:49',null);
INSERT INTO complaint_statuses VALUES('28431','8904','7','26','81','Local Repair By Customer.',null,'76','76','2021-08-17 14:02:25','2021-08-17 14:02:25',null);
INSERT INTO complaint_statuses VALUES('28432','8943','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-17 14:03:32','2021-08-17 14:03:32',null);
INSERT INTO complaint_statuses VALUES('28433','8730','7','12','81','Drain Cap Adjustment. Visit Pending 600/-',null,'76','76','2021-08-17 14:04:24','2021-08-17 14:04:24',null);
INSERT INTO complaint_statuses VALUES('28434','8942','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-17 14:05:32','2021-08-17 14:05:32',null);
INSERT INTO complaint_statuses VALUES('28435','8753','7','12','81','Refer to SVC in Service , Customer Will Drop It. Visit also not paid.',null,'76','76','2021-08-17 14:05:44','2021-08-17 14:05:44',null);
INSERT INTO complaint_statuses VALUES('28436','8921','7','12','81','Tube Damage. Visit Charges Pending 600/-',null,'76','76','2021-08-17 14:06:18','2021-08-17 14:06:18',null);
INSERT INTO complaint_statuses VALUES('28437','9045','2',null,'81',null,null,'73','73','2021-08-17 14:08:50','2021-08-17 14:08:50',null);
INSERT INTO complaint_statuses VALUES('28438','9045','4',null,'56',null,null,'81','81','2021-08-17 14:09:12','2021-08-17 14:09:12',null);
INSERT INTO complaint_statuses VALUES('28439','8957','7','26','81','Self Repair By customer',null,'76','76','2021-08-17 14:18:19','2021-08-17 14:18:19',null);
INSERT INTO complaint_statuses VALUES('28440','8926','7','12','81','General Inspection Only , Visit Pending 600/-',null,'76','76','2021-08-17 14:19:08','2021-08-17 14:19:08',null);
INSERT INTO complaint_statuses VALUES('28441','8950','7','24','81','Under Repaire In SVC',null,'76','76','2021-08-17 14:19:36','2021-08-17 14:19:36',null);
INSERT INTO complaint_statuses VALUES('28442','8877','7','12','81','Water Level Sensor Replaced.',null,'76','76','2021-08-17 14:20:10','2021-08-17 14:20:10',null);
INSERT INTO complaint_statuses VALUES('28443','8910','7','12','81','No Fault.',null,'76','76','2021-08-17 14:20:43','2021-08-17 14:20:43',null);
INSERT INTO complaint_statuses VALUES('28444','8890','7','24','81','Under Repair In SVC',null,'76','76','2021-08-17 14:21:11','2021-08-17 14:21:11',null);
INSERT INTO complaint_statuses VALUES('28445','8909','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-17 14:24:54','2021-08-17 14:24:54',null);
INSERT INTO complaint_statuses VALUES('28446','8731','7','12','81','Main PCB Repair Charges Pending 5500/-',null,'76','76','2021-08-17 14:26:07','2021-08-17 14:26:07',null);
INSERT INTO complaint_statuses VALUES('28447','8624','7','24','81','Under Repair in SVC.',null,'76','76','2021-08-17 14:27:58','2021-08-17 14:27:58',null);
INSERT INTO complaint_statuses VALUES('28448','8594','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-17 14:28:34','2021-08-17 14:28:34',null);
INSERT INTO complaint_statuses VALUES('28449','8663','7','12','81','Defrosting Sensor Replaced at Customer s Home.Charges Pending 4500/-',null,'76','76','2021-08-17 14:29:08','2021-08-17 14:29:08',null);
INSERT INTO complaint_statuses VALUES('28450','8413','7','12','81','Inlet Valve Replaced.',null,'76','76','2021-08-17 14:31:53','2021-08-17 14:31:53',null);
INSERT INTO complaint_statuses VALUES('28451','7448','7','12','81','Issue Solved',null,'76','76','2021-08-17 14:32:38','2021-08-17 14:32:38',null);
INSERT INTO complaint_statuses VALUES('28452','8670','8','23','55','COMPRESSOR NA I 10 SA LG  S/C WALO KO DA DIA
JOB COMPLETED QUKILEY',null,'81','81','2021-08-17 14:34:08','2021-08-17 14:34:08',null);
INSERT INTO complaint_statuses VALUES('28453','8550','7','12','81','No Fault fond in Machine Visit Pending 600*-',null,'76','76','2021-08-17 14:36:44','2021-08-17 14:36:44',null);
INSERT INTO complaint_statuses VALUES('28454','8957','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-17 14:39:50','2021-08-17 15:31:58',null);
INSERT INTO complaint_statuses VALUES('28455','8950','8','23','55','OK JOB COMPLETED QUKILEY',null,'81','81','2021-08-17 14:40:55','2021-08-17 14:40:55',null);
INSERT INTO complaint_statuses VALUES('28456','8797','7','9','81','Please Provide another Number.',null,'76','76','2021-08-17 14:43:14','2021-08-17 14:43:14',null);
INSERT INTO complaint_statuses VALUES('28457','8894','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-17 14:43:33','2021-08-17 14:43:33',null);
INSERT INTO complaint_statuses VALUES('28458','8983','7','12','81','OK f 500f',null,'88','88','2021-08-17 14:45:33','2021-08-17 14:45:33',null);
INSERT INTO complaint_statuses VALUES('28459','7047','7','12','81','Tank change Kar diya hy OK',null,'88','88','2021-08-17 14:45:56','2021-08-17 14:45:56',null);
INSERT INTO complaint_statuses VALUES('28460','8584','7','12','81','Hall Sensor Replaced .',null,'76','76','2021-08-17 14:47:35','2021-08-17 14:47:35',null);
INSERT INTO complaint_statuses VALUES('28461','8385','7','12','81','Shifting Bolt Remove.',null,'76','76','2021-08-17 14:48:33','2021-08-17 14:48:33',null);
INSERT INTO complaint_statuses VALUES('28462','8629','7','12','81','Refer to SVC in PCB Dailer and Gasket issue, Customer Will Inform for Lifting and Reparing.',null,'76','76','2021-08-17 14:52:05','2021-08-17 14:52:05',null);
INSERT INTO complaint_statuses VALUES('28463','8524','7','26','81',null,null,'76','76','2021-08-17 14:52:43','2021-08-17 14:52:43',null);
INSERT INTO complaint_statuses VALUES('28464','8926','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-17 14:53:18','2021-08-17 15:32:29',null);
INSERT INTO complaint_statuses VALUES('28465','8243','7','26','81','Self Repair By Customer.',null,'76','76','2021-08-17 14:56:19','2021-08-17 14:56:19',null);
INSERT INTO complaint_statuses VALUES('28466','8670','7','12','81','Compressor Replaced and Deliver.',null,'76','76','2021-08-17 14:57:01','2021-08-17 14:57:01',null);
INSERT INTO complaint_statuses VALUES('28467','8983','5','15',null,'SAFTY WALA HOB HAIN 
 COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-17 14:58:28','2021-08-17 15:31:24',null);
INSERT INTO complaint_statuses VALUES('28468','8993','7','26','81','Jali ki Rabat ni ati',null,'88','88','2021-08-17 15:00:40','2021-08-17 15:00:40',null);
INSERT INTO complaint_statuses VALUES('28469','9046','3',null,'59',null,'17-AUG-2021
COMPLAINT#4248452824','73','92','2021-08-17 15:01:06','2021-08-21 10:54:38',null);
INSERT INTO complaint_statuses VALUES('28470','8908','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-17 15:01:44','2021-08-17 15:01:44',null);
INSERT INTO complaint_statuses VALUES('28471','7581','5','15',null,'completed complaint','COMPLAINT RESOLVED','81','74','2021-08-17 15:06:52','2021-08-17 15:39:39',null);
INSERT INTO complaint_statuses VALUES('28472','8993','5','15',null,'JALI STOCK MAIN AVAIL NAI INFORMED BY CUSTOMER','COMPLAINT CLOSED','81','74','2021-08-17 15:07:39','2021-08-17 15:30:50',null);
INSERT INTO complaint_statuses VALUES('28473','8251','7','26','81','Filter Service by Customer',null,'76','76','2021-08-17 15:08:20','2021-08-17 15:08:20',null);
INSERT INTO complaint_statuses VALUES('28474','8830','7','12','81','Tharmokapal sating 0k',null,'88','88','2021-08-17 15:08:25','2021-08-17 15:08:25',null);
INSERT INTO complaint_statuses VALUES('28475','8830','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-17 15:08:57','2021-08-17 15:36:19',null);
INSERT INTO complaint_statuses VALUES('28476','7940','5','15',null,'TANK REPLACE COMPLETED COMPLAINT','TANK I 10 S/C MAIN REPLACE HOA HAIN','81','74','2021-08-17 15:10:06','2021-08-17 15:38:31',null);
INSERT INTO complaint_statuses VALUES('28477','8910','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-17 15:11:16','2021-08-17 15:33:44',null);
INSERT INTO complaint_statuses VALUES('28478','8126','5','15',null,'C/R CUSTOMER KO REPLACE KAR DIA 
COMPLETED COMPLAINT','COMPLAINT CLOSED','81','74','2021-08-17 15:12:22','2021-08-17 15:37:03',null);
INSERT INTO complaint_statuses VALUES('28479','8904','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-17 15:12:44','2021-08-17 15:34:56',null);
INSERT INTO complaint_statuses VALUES('28480','8889','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-17 15:13:28','2021-08-17 15:13:28',null);
INSERT INTO complaint_statuses VALUES('28481','8386','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-17 15:14:23','2021-08-17 15:14:23',null);
INSERT INTO complaint_statuses VALUES('28482','8890','8','23','55','OK JOB COMPLETED QUKILEY',null,'81','81','2021-08-17 15:15:05','2021-08-17 15:15:05',null);
INSERT INTO complaint_statuses VALUES('28483','7324','7','12','81','Apna and py thik karwa Liya hy',null,'88','88','2021-08-17 15:16:07','2021-08-17 15:16:07',null);
INSERT INTO complaint_statuses VALUES('28484','8875','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-17 15:20:06','2021-08-17 15:20:06',null);
INSERT INTO complaint_statuses VALUES('28485','8210','7','28','81','Compressor Replaced.',null,'76','76','2021-08-17 15:25:06','2021-08-17 15:25:06',null);
INSERT INTO complaint_statuses VALUES('28486','8720','8','23','55','OK JOB COMPLETED QUKILEY',null,'81','81','2021-08-17 15:26:43','2021-08-17 15:26:43',null);
INSERT INTO complaint_statuses VALUES('28487','8720','7','12','81','Compressor Replaced.',null,'76','76','2021-08-17 15:28:37','2021-08-17 15:28:37',null);
INSERT INTO complaint_statuses VALUES('28488','8877','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-17 15:28:44','2021-08-17 15:35:40',null);
INSERT INTO complaint_statuses VALUES('28489','9047','3',null,'52',null,'17-AUG-2021
COMPLAINT#PKRI210817111280','73','73','2021-08-17 15:38:50','2021-08-17 15:56:23',null);
INSERT INTO complaint_statuses VALUES('28490','9048','3',null,'95',null,'17-AUG-2021
COMPLAINT#198828','73','73','2021-08-17 15:40:00','2021-08-17 15:52:55',null);
INSERT INTO complaint_statuses VALUES('28491','9049','2',null,'81',null,null,'73','73','2021-08-17 15:42:14','2021-08-17 15:42:14',null);
INSERT INTO complaint_statuses VALUES('28492','9049','4',null,'63',null,null,'81','81','2021-08-17 15:43:01','2021-08-17 15:43:01',null);
INSERT INTO complaint_statuses VALUES('28493','9050','2',null,'81',null,null,'73','73','2021-08-17 15:47:27','2021-08-17 15:47:27',null);
INSERT INTO complaint_statuses VALUES('28494','9050','4',null,'56',null,null,'81','81','2021-08-17 15:50:00','2021-08-17 15:50:00',null);
INSERT INTO complaint_statuses VALUES('28495','9051','3',null,'53',null,'17-AUG-2021
COMPLAINT#301168169','106','106','2021-08-17 15:53:40','2021-08-17 15:58:48',null);
INSERT INTO complaint_statuses VALUES('28496','7430','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-17 16:02:06','2021-08-17 16:02:06',null);
INSERT INTO complaint_statuses VALUES('28497','8829','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-17 16:05:28','2021-08-17 16:05:28',null);
INSERT INTO complaint_statuses VALUES('28498','9052','2',null,'81',null,null,'73','73','2021-08-17 16:08:07','2021-08-17 16:08:07',null);
INSERT INTO complaint_statuses VALUES('28499','8753','5','15',null,'CUSTOMER SIDE SA DELAY COMPLAINT 
COMPLAINT CLOSED','COMPLAINT CLOSED','81','74','2021-08-17 16:08:32','2021-08-17 16:10:34',null);
INSERT INTO complaint_statuses VALUES('28500','9052','4',null,'63',null,null,'81','81','2021-08-17 16:09:28','2021-08-17 16:09:28',null);
INSERT INTO complaint_statuses VALUES('28501','8731','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-17 16:09:44','2021-08-17 16:46:58',null);
INSERT INTO complaint_statuses VALUES('28502','8730','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-17 16:11:20','2021-08-17 16:50:34',null);
INSERT INTO complaint_statuses VALUES('28503','8670','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-17 16:13:12','2021-08-17 16:53:55',null);
INSERT INTO complaint_statuses VALUES('28504','8438','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-17 16:13:47','2021-08-17 16:13:47',null);
INSERT INTO complaint_statuses VALUES('28505','8720','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-17 16:18:50','2021-08-17 16:53:06',null);
INSERT INTO complaint_statuses VALUES('28506','9055','3',null,'55',null,'17-AUG-2021
COM NO 23078','92','92','2021-08-17 16:43:32','2021-08-23 15:31:50',null);
INSERT INTO complaint_statuses VALUES('28507','9056','3',null,'52',null,'17-AUG-2021
COM NO PKRI-210817112651','92','92','2021-08-17 17:05:56','2021-08-17 17:05:56',null);
INSERT INTO complaint_statuses VALUES('28508','9053','2',null,'81',null,null,'92','92','2021-08-17 17:07:49','2021-08-17 17:07:49',null);
INSERT INTO complaint_statuses VALUES('28509','9054','2',null,'81',null,null,'92','92','2021-08-17 17:15:06','2021-08-17 17:15:06',null);
INSERT INTO complaint_statuses VALUES('28510','9054','4',null,'64',null,null,'81','81','2021-08-17 17:15:38','2021-08-17 17:15:38',null);
INSERT INTO complaint_statuses VALUES('28511','9053','4',null,'64',null,null,'81','81','2021-08-17 17:15:58','2021-08-17 17:15:58',null);
INSERT INTO complaint_statuses VALUES('28512','8693','5','15',null,'CUSTOMER KA ISSUE COMPANY NA RESOLVED KIYA','COMPLAINT RESOLVED','81','74','2021-08-17 17:19:20','2021-08-20 11:27:20',null);
INSERT INTO complaint_statuses VALUES('28513','8663','5','15',null,'COMPLETED COMPLAINT','COMPLAINT RESOLVED','81','74','2021-08-17 17:22:19','2021-08-20 11:28:10',null);
INSERT INTO complaint_statuses VALUES('28514','8984','7','24','81','Refer to SVC in Service and IE Error , We be Lifted on Monday',null,'76','76','2021-08-17 17:25:00','2021-08-17 17:25:00',null);
INSERT INTO complaint_statuses VALUES('28515','9008','7','24','81','Refer to SVC in Service',null,'76','76','2021-08-17 17:28:50','2021-08-17 17:28:50',null);
INSERT INTO complaint_statuses VALUES('28516','9019','7','24','81','Refer to SVC in Service',null,'76','76','2021-08-17 17:29:24','2021-08-17 17:29:24',null);
INSERT INTO complaint_statuses VALUES('28517','8684','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-17 18:00:58','2021-08-17 18:00:58',null);
INSERT INTO complaint_statuses VALUES('28518','8736','7','12','81','Drain Pipe Adjustment.',null,'76','76','2021-08-17 18:59:10','2021-08-17 18:59:10',null);
INSERT INTO complaint_statuses VALUES('28519','9003','7','12','81','compliant resolved ,pump service kia hai',null,'79','79','2021-08-20 10:16:20','2021-08-20 10:16:20',null);
INSERT INTO complaint_statuses VALUES('28520','9007','7','12','81','complaint resolved,pump service kia hiais ka bhi',null,'79','79','2021-08-20 10:19:33','2021-08-20 10:19:33',null);
INSERT INTO complaint_statuses VALUES('28521','9057','2',null,'81',null,'20-AUG-2021
COM FF TO HOME SOLUTION','92','92','2021-08-20 11:38:11','2021-08-20 11:38:11',null);
INSERT INTO complaint_statuses VALUES('28522','9057','4',null,'62',null,null,'92','92','2021-08-20 11:38:11','2021-08-20 11:38:11',null);
INSERT INTO complaint_statuses VALUES('28523','9058','3',null,'52',null,'20-AUG-2021
COM NO PKJM-210820109585','92','92','2021-08-20 11:49:39','2021-08-20 15:39:11',null);
INSERT INTO complaint_statuses VALUES('28524','9059','3',null,'52',null,'20-AUG-2021
COM NO PKRI-210820109677','92','92','2021-08-20 12:01:27','2021-08-20 15:42:48',null);
INSERT INTO complaint_statuses VALUES('28525','9019','8','23','55','OK JOB COMPLETED QUKILEY',null,'74','74','2021-08-20 12:12:04','2021-08-20 12:12:04',null);
INSERT INTO complaint_statuses VALUES('28526','9008','8','23','55','OK JOB COMPLETED QUKILEY',null,'74','74','2021-08-20 12:13:55','2021-08-20 12:13:55',null);
INSERT INTO complaint_statuses VALUES('28527','9007','8','15','58','COMPLETED COMPLAINT',null,'74','74','2021-08-20 12:15:26','2021-08-20 12:15:26',null);
INSERT INTO complaint_statuses VALUES('28528','9003','8','15','58','COMPLETED COMPLAINT',null,'74','74','2021-08-20 12:16:38','2021-08-20 12:16:38',null);
INSERT INTO complaint_statuses VALUES('28529','8984','8','23','55','OK JOB COMPLETED QUKILEY',null,'74','74','2021-08-20 12:18:06','2021-08-20 12:18:06',null);
INSERT INTO complaint_statuses VALUES('28530','9023','7','24','81','Rubbr hrab hy',null,'82','82','2021-08-20 12:39:41','2021-08-20 12:39:41',null);
INSERT INTO complaint_statuses VALUES('28531','9060','3',null,'65',null,'20-AUG-2021
COM NO 192127577','92','92','2021-08-20 12:40:53','2021-08-20 13:59:12',null);
INSERT INTO complaint_statuses VALUES('28532','9061','2',null,'81',null,'20-AUG-2021
COM FF TO SHAMIM MAMM','92','92','2021-08-20 12:47:12','2021-08-20 12:47:12',null);
INSERT INTO complaint_statuses VALUES('28533','9061','4',null,'55',null,null,'92','92','2021-08-20 12:47:12','2021-08-20 12:47:12',null);
INSERT INTO complaint_statuses VALUES('28534','9062','2',null,'81',null,'20-AUG-2021
COM FF TO SHAMIM AKHTER','92','92','2021-08-20 13:03:50','2021-08-21 15:12:10',null);
INSERT INTO complaint_statuses VALUES('28535','9062','4',null,'55',null,null,'92','92','2021-08-20 13:03:50','2021-08-20 13:03:50',null);
INSERT INTO complaint_statuses VALUES('28536','9063','3',null,'54',null,'20-AUG-2021
COM NO 1966022','92','92','2021-08-20 13:10:22','2021-08-20 15:49:43',null);
INSERT INTO complaint_statuses VALUES('28537','9064','3',null,'53',null,'20-AUG-2021
COM NO 301168753','92','92','2021-08-20 14:48:08','2021-08-21 11:39:58',null);
INSERT INTO complaint_statuses VALUES('28538','9065','2',null,'81',null,'20-AUG-2021
COM FF TO HOME SOLUTION','92','73','2021-08-20 14:53:48','2021-08-22 10:27:27',null);
INSERT INTO complaint_statuses VALUES('28539','9065','4',null,'62',null,null,'92','92','2021-08-20 14:53:48','2021-08-20 14:53:48',null);
INSERT INTO complaint_statuses VALUES('28540','6401','8','15','61','COMPLAINT FF COMPANY',null,'74','74','2021-08-20 14:55:40','2021-08-20 14:55:40',null);
INSERT INTO complaint_statuses VALUES('28541','9023','8','23','60','OK JOB COMPLETED QUKILEY',null,'74','74','2021-08-20 14:56:29','2021-08-20 14:56:29',null);
INSERT INTO complaint_statuses VALUES('28542','9066','3',null,'55',null,'20-AUG-2021
COM NO ISB-13874','92','92','2021-08-20 14:58:40','2021-08-20 15:57:51',null);
INSERT INTO complaint_statuses VALUES('28543','8797','8','15','55','CUSTOMER#STILL P/OFF  HAIN OTHER NO K LIYA ADIL BHAI KO INFORMED KIYA PAR UNHO NA KOI RESPONSE NI DIA SO COMPLAINT CLOSED',null,'74','74','2021-08-20 14:59:59','2021-08-20 14:59:59',null);
INSERT INTO complaint_statuses VALUES('28544','8736','8','15','55','COMPLETED COMPLAINT',null,'74','74','2021-08-20 15:02:02','2021-08-20 15:02:02',null);
INSERT INTO complaint_statuses VALUES('28545','9067','3',null,'52',null,'20-AUG-2021
COM NO PKRI-210820109782','92','92','2021-08-20 15:11:01','2021-08-20 15:46:06',null);
INSERT INTO complaint_statuses VALUES('28546','4526','8','15','59','SOUND BAR CUSTOMER KA THA NA DEEM SAB NA DIRECTLY CUSTOMER RETURNED KAR DIA  
CUSTOMER K SOUND BAR THA KAMRAN SIR NA APNY NAAM PA COMPLAINT ENTER KARWAI THI
COMPLAINT CLOSED',null,'81','81','2021-08-20 15:14:36','2021-08-20 15:14:36',null);
INSERT INTO complaint_statuses VALUES('28547','9068','3',null,'53',null,'20-AUG-2021
COM NO 1168540','92','92','2021-08-20 15:19:57','2021-08-20 15:53:02',null);
INSERT INTO complaint_statuses VALUES('28548','7088','8','23','55','NEW W/M SALE HO KA MANDHI BAHUDDIN GEI THI 
COMPLAINT  AAI LG S/C MAIN 6 MOTH WORKING IN PROCESS MAIN RAHI W/M S/C OK HO K GUJAR KHAN GEI W/M MAIN AGAIN ISSUE AGAY W/M AGAIN LG S/C MAIN HAIN',null,'81','81','2021-08-20 15:27:47','2021-08-20 15:27:47',null);
INSERT INTO complaint_statuses VALUES('28549','9069','3',null,'53',null,'20-AUG-2021
COM NO 1168541','92','92','2021-08-20 15:28:32','2021-08-20 15:55:02',null);
INSERT INTO complaint_statuses VALUES('28550','7553','8','23','61','USMAN SAB NA DIRECT NAEEM SIR SA CALL PA SET K APPROVAL LI 
ASLAM SIR JAB SET COLLECT KAR LAY GAY FIR COMPLAINT COMPLETED KIJAY GA',null,'81','81','2021-08-20 15:35:16','2021-08-20 15:35:16',null);
INSERT INTO complaint_statuses VALUES('28551','7919','8','23','61','INFORMED BY ASLAM SIR.
UNIT JB COLLECT HO JAY FIR COMPLAINT COMPLETED KARAY',null,'81','81','2021-08-20 15:38:00','2021-08-20 15:38:00',null);
INSERT INTO complaint_statuses VALUES('28552','8736','7','12','81','Please complete.',null,'76','76','2021-08-20 15:40:25','2021-08-20 15:40:25',null);
INSERT INTO complaint_statuses VALUES('28553','7324','8','15','63','GLASS CUSTOMER NA KHUD SA LAGWA LIYA
COMPLETED COMPLAINT',null,'74','74','2021-08-20 16:09:12','2021-08-20 16:09:12',null);
INSERT INTO complaint_statuses VALUES('28554','9070','3',null,'65',null,'20-AUG-2021
COM NO 192127596','92','92','2021-08-20 16:11:22','2021-08-21 10:34:48',null);
INSERT INTO complaint_statuses VALUES('28555','8629','8','15','55','CUSTOMER W/M S/C MOVE KARWANA NAI CHAH RAHAY COMPLAINT CLOSED KARWA DI',null,'74','74','2021-08-20 16:13:59','2021-08-20 16:13:59',null);
INSERT INTO complaint_statuses VALUES('28556','8624','8','23','55','OK',null,'74','74','2021-08-20 16:15:00','2021-08-20 16:15:00',null);
INSERT INTO complaint_statuses VALUES('28557','9071','3',null,'52',null,'20-AUG-2021
COM NO pkri-210821101916','92','92','2021-08-20 16:20:42','2021-08-21 10:39:13',null);
INSERT INTO complaint_statuses VALUES('28558','6049','7','12','81','Door Switch and Verio Motor Replaced.',null,'76','76','2021-08-20 16:21:24','2021-08-20 16:21:24',null);
INSERT INTO complaint_statuses VALUES('28559','8524','8','15','55','CUSTOMER STILL NOT ATTEND MY CALL SO COMPLAINT CLOSED',null,'74','74','2021-08-20 16:25:25','2021-08-20 16:25:25',null);
INSERT INTO complaint_statuses VALUES('28560','7448','8','15','55','COMPLETED COMPLAINT',null,'74','74','2021-08-20 16:27:49','2021-08-20 16:27:49',null);
INSERT INTO complaint_statuses VALUES('28561','8243','8','15','55','COMPLETED COMPLAINT',null,'74','74','2021-08-20 16:29:00','2021-08-20 16:29:00',null);
INSERT INTO complaint_statuses VALUES('28562','9072','3',null,'73',null,'20-AUG-2021
COM NO 00774','92','92','2021-08-20 16:41:02','2021-08-20 16:42:55',null);
INSERT INTO complaint_statuses VALUES('28563','8546','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-20 16:46:19','2021-08-20 16:46:19',null);
INSERT INTO complaint_statuses VALUES('28564','8979','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-20 16:49:32','2021-08-20 16:49:32',null);
INSERT INTO complaint_statuses VALUES('28565','8988','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-20 16:51:52','2021-08-20 16:51:52',null);
INSERT INTO complaint_statuses VALUES('28566','8630','8','23','56','OK JOB COMPLETED QUKILEY 
INVOICE KHURRAM SIR KO SHER KAR DI',null,'81','81','2021-08-20 16:54:27','2021-08-20 16:54:27',null);
INSERT INTO complaint_statuses VALUES('28567','8992','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-20 17:01:33','2021-08-20 17:01:33',null);
INSERT INTO complaint_statuses VALUES('28568','9073','3',null,'52',null,'20-AUG-2021
COM NO PKRI-210820111261','92','92','2021-08-20 17:02:32','2021-08-20 17:02:32',null);
INSERT INTO complaint_statuses VALUES('28569','8254','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-20 17:03:24','2021-08-20 17:03:24',null);
INSERT INTO complaint_statuses VALUES('28570','9074','3',null,'74',null,'20-AUG-2021
COM NO 222','92','92','2021-08-20 17:14:05','2021-08-20 17:14:05',null);
INSERT INTO complaint_statuses VALUES('28571','9075','3',null,'52',null,'20-AUG-2021
COM NO PKRI-210820112304','92','92','2021-08-20 17:28:15','2021-08-20 18:01:50',null);
INSERT INTO complaint_statuses VALUES('28572','9076','2',null,'81',null,'20-AUG-2021
COM FF TO BEST COOL','92','92','2021-08-20 17:53:19','2021-08-20 17:53:19',null);
INSERT INTO complaint_statuses VALUES('28573','9076','4',null,'58',null,null,'92','92','2021-08-20 17:53:19','2021-08-20 17:53:19',null);
INSERT INTO complaint_statuses VALUES('28574','9077','3',null,'52',null,'20-AUG-2021
COM NO PKRI-210820112231','92','92','2021-08-20 17:59:36','2021-08-20 17:59:36',null);
INSERT INTO complaint_statuses VALUES('28575','9065','7','26','81','Plz frwd to usman',null,'87','87','2021-08-20 19:18:29','2021-08-20 19:18:29',null);
INSERT INTO complaint_statuses VALUES('28576','9057','7','26','81','Plz frwd to usman',null,'87','87','2021-08-20 19:18:56','2021-08-20 19:18:56',null);
INSERT INTO complaint_statuses VALUES('28577','9078','3',null,'53',null,'21-AUG-2021
COMPLAINT#301168740','73','73','2021-08-21 10:37:06','2021-08-21 11:30:10',null);
INSERT INTO complaint_statuses VALUES('28578','9079','2',null,'81',null,null,'73','73','2021-08-21 10:53:09','2021-08-21 10:53:09',null);
INSERT INTO complaint_statuses VALUES('28579','9079','4',null,'58',null,null,'73','73','2021-08-21 10:53:09','2021-08-21 10:53:09',null);
INSERT INTO complaint_statuses VALUES('28580','9047','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-21 10:53:40','2021-08-21 10:53:40',null);
INSERT INTO complaint_statuses VALUES('28581','9046','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-21 10:56:37','2021-08-21 10:56:37',null);
INSERT INTO complaint_statuses VALUES('28582','9080','2',null,'81',null,null,'73','73','2021-08-21 11:01:48','2021-08-21 11:01:48',null);
INSERT INTO complaint_statuses VALUES('28583','9080','4',null,'55',null,null,'73','73','2021-08-21 11:01:48','2021-08-21 11:01:48',null);
INSERT INTO complaint_statuses VALUES('28584','9081','2',null,'81',null,null,'73','73','2021-08-21 11:04:43','2021-08-21 11:04:43',null);
INSERT INTO complaint_statuses VALUES('28585','9081','4',null,'58',null,null,'73','73','2021-08-21 11:04:43','2021-08-21 11:04:43',null);
INSERT INTO complaint_statuses VALUES('28586','9044','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-21 11:08:29','2021-08-21 11:08:29',null);
INSERT INTO complaint_statuses VALUES('28587','9042','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-21 11:10:08','2021-08-21 11:10:08',null);
INSERT INTO complaint_statuses VALUES('28588','8751','7','12','81','gear box change compliant resolved',null,'79','79','2021-08-21 11:12:56','2021-08-21 11:12:56',null);
INSERT INTO complaint_statuses VALUES('28589','9007','7','12','81','complaint complete',null,'79','79','2021-08-21 11:14:58','2021-08-21 11:14:58',null);
INSERT INTO complaint_statuses VALUES('28590','9003','7','12','81','complaint reoslved',null,'79','79','2021-08-21 11:15:46','2021-08-21 11:15:46',null);
INSERT INTO complaint_statuses VALUES('28591','9003','8','15','58','COMPLAINT COMPLETED',null,'74','74','2021-08-21 11:22:41','2021-08-21 11:22:41',null);
INSERT INTO complaint_statuses VALUES('28592','9007','8','15','58','COMPLETED COMPLAINT',null,'74','74','2021-08-21 11:23:57','2021-08-21 11:23:57',null);
INSERT INTO complaint_statuses VALUES('28593','9033','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-21 11:29:34','2021-08-21 11:29:34',null);
INSERT INTO complaint_statuses VALUES('28594','8994','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-21 11:32:00','2021-08-21 11:32:00',null);
INSERT INTO complaint_statuses VALUES('28595','9082','2',null,'81',null,null,'73','73','2021-08-21 11:34:25','2021-08-21 11:34:25',null);
INSERT INTO complaint_statuses VALUES('28596','9082','4',null,'62',null,null,'73','73','2021-08-21 11:34:25','2021-08-21 11:34:25',null);
INSERT INTO complaint_statuses VALUES('28597','7002','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-21 11:34:45','2021-08-21 11:34:45',null);
INSERT INTO complaint_statuses VALUES('28598','9022','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-21 11:35:41','2021-08-21 11:35:41',null);
INSERT INTO complaint_statuses VALUES('28599','9002','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-21 11:37:26','2021-08-21 11:37:26',null);
INSERT INTO complaint_statuses VALUES('28600','9083','2',null,'81',null,null,'73','73','2021-08-21 11:38:11','2021-08-21 11:38:11',null);
INSERT INTO complaint_statuses VALUES('28601','9083','4',null,'55',null,null,'73','73','2021-08-21 11:38:11','2021-08-21 11:38:11',null);
INSERT INTO complaint_statuses VALUES('28602','9084','2',null,'81',null,null,'73','73','2021-08-21 11:39:22','2021-08-21 11:39:22',null);
INSERT INTO complaint_statuses VALUES('28603','9084','4',null,'55',null,null,'73','73','2021-08-21 11:39:22','2021-08-21 11:39:22',null);
INSERT INTO complaint_statuses VALUES('28604','9085','3',null,'73',null,'21-AUG-2021
COMPLAINT#00799','73','73','2021-08-21 11:42:39','2021-08-21 11:48:07',null);
INSERT INTO complaint_statuses VALUES('28605','8925','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-21 11:44:53','2021-08-21 11:44:53',null);
INSERT INTO complaint_statuses VALUES('28606','9004','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-21 11:51:44','2021-08-21 11:51:44',null);
INSERT INTO complaint_statuses VALUES('28607','8615','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-21 11:54:14','2021-08-21 11:54:14',null);
INSERT INTO complaint_statuses VALUES('28608','9086','2',null,'81',null,null,'106','106','2021-08-21 12:01:31','2021-08-21 12:01:31',null);
INSERT INTO complaint_statuses VALUES('28609','9086','4',null,'62',null,null,'106','106','2021-08-21 12:01:31','2021-08-21 12:01:31',null);
INSERT INTO complaint_statuses VALUES('28610','9065','8','23','62','KHUURAM SIR SA CONFIRM KARAY PHALAY',null,'74','74','2021-08-21 12:01:45','2021-08-21 12:01:45',null);
INSERT INTO complaint_statuses VALUES('28611','9057','8','23','62','KHURRAM SIR SA CONFIRM KAR PHALAY',null,'74','74','2021-08-21 12:03:05','2021-08-21 12:03:05',null);
INSERT INTO complaint_statuses VALUES('28612','9082','7','12','81','D/w ok hai',null,'87','87','2021-08-21 12:04:52','2021-08-21 12:04:52',null);
INSERT INTO complaint_statuses VALUES('28613','9082','8','15','62','COMPLETED COMPLAINT',null,'74','74','2021-08-21 12:09:36','2021-08-21 12:09:36',null);
INSERT INTO complaint_statuses VALUES('28614','8751','8','15','58','COMPLETED COMPLAINT',null,'74','74','2021-08-21 12:11:10','2021-08-21 12:11:10',null);
INSERT INTO complaint_statuses VALUES('28615','8128','7','12','81','ye ref i 10 ana tha cusoterm bol rehy abhi time nahi hai.jb free hun ga ly aon  ga',null,'79','79','2021-08-21 12:12:50','2021-08-21 12:12:50',null);
INSERT INTO complaint_statuses VALUES('28616','8736','8','15','55','COMPLETED COMPLAINT',null,'74','74','2021-08-21 12:13:42','2021-08-21 12:13:42',null);
INSERT INTO complaint_statuses VALUES('28617','8584','8','15','55','COMPLETED COMPLAINT',null,'74','74','2021-08-21 12:15:49','2021-08-21 12:15:49',null);
INSERT INTO complaint_statuses VALUES('28618','8550','8','15','55','COMPLETED COMPLAINT',null,'74','74','2021-08-21 12:17:49','2021-08-21 12:17:49',null);
INSERT INTO complaint_statuses VALUES('28619','9035','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-21 12:17:57','2021-08-21 12:17:57',null);
INSERT INTO complaint_statuses VALUES('28620','9087','2',null,'81',null,'model=AA5761S
D.O.P:8-DEC-2020','73','73','2021-08-21 12:18:39','2021-08-22 11:34:13',null);
INSERT INTO complaint_statuses VALUES('28621','9087','4',null,'63',null,'INVOICE=44956','73','73','2021-08-21 12:18:39','2021-08-22 11:34:25',null);
INSERT INTO complaint_statuses VALUES('28622','9021','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-21 12:19:51','2021-08-21 12:19:51',null);
INSERT INTO complaint_statuses VALUES('28623','8777','7','12','81','complaint resolved compressor change',null,'79','79','2021-08-21 12:21:45','2021-08-21 12:21:45',null);
INSERT INTO complaint_statuses VALUES('28624','9088','2',null,'81',null,null,'106','106','2021-08-21 12:25:40','2021-08-21 12:25:40',null);
INSERT INTO complaint_statuses VALUES('28625','9088','4',null,'60',null,null,'106','106','2021-08-21 12:25:40','2021-08-21 12:25:40',null);
INSERT INTO complaint_statuses VALUES('28626','8777','8','15','58','COMPLETED COMPLAINT',null,'74','74','2021-08-21 12:30:15','2021-08-21 12:30:15',null);
INSERT INTO complaint_statuses VALUES('28627','8619','8','23','60','OK JOB COMPLETED QUKILEY',null,'74','74','2021-08-21 12:32:10','2021-08-21 12:32:10',null);
INSERT INTO complaint_statuses VALUES('28628','8435','8','23','60','KISAY DOBLE ENTRY',null,'74','74','2021-08-21 12:33:54','2021-08-21 12:33:54',null);
INSERT INTO complaint_statuses VALUES('28629','8949','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-21 12:35:11','2021-08-21 12:35:11',null);
INSERT INTO complaint_statuses VALUES('28630','8413','8','15','55','COMPLETED COMPLAINT',null,'74','74','2021-08-21 12:36:46','2021-08-21 12:36:46',null);
INSERT INTO complaint_statuses VALUES('28631','9014','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-21 12:37:03','2021-08-21 12:37:03',null);
INSERT INTO complaint_statuses VALUES('28632','9001','7','12','81','واٹر inlet isseu tha',null,'82','82','2021-08-21 12:38:48','2021-08-21 12:38:48',null);
INSERT INTO complaint_statuses VALUES('28633','8934','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-21 12:39:00','2021-08-21 12:39:00',null);
INSERT INTO complaint_statuses VALUES('28634','8980','7','24','81','Frig i10 ayea hy compresor issue hy',null,'82','82','2021-08-21 12:40:12','2021-08-21 12:40:12',null);
INSERT INTO complaint_statuses VALUES('28635','8385','8','15','55','COMPLETED COMPLAINT',null,'74','74','2021-08-21 12:40:28','2021-08-21 12:40:28',null);
INSERT INTO complaint_statuses VALUES('28636','8199','7','12','81','Lag gai thi moter',null,'82','82','2021-08-21 12:41:24','2021-08-21 12:41:24',null);
INSERT INTO complaint_statuses VALUES('28637','9032','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-21 12:52:56','2021-08-21 12:52:56',null);
INSERT INTO complaint_statuses VALUES('28638','8362','7','12','81','No Fault.',null,'76','76','2021-08-21 12:56:14','2021-08-21 12:56:14',null);
INSERT INTO complaint_statuses VALUES('28639','9043','7','12','81','Demo Only , Visit Pending 600/-',null,'76','76','2021-08-21 12:57:08','2021-08-21 12:57:08',null);
INSERT INTO complaint_statuses VALUES('28640','8984','7','12','81','Please close task number , customer will inform.',null,'76','76','2021-08-21 13:03:08','2021-08-21 13:03:08',null);
INSERT INTO complaint_statuses VALUES('28641','8797','7','9','81','Please close,',null,'76','76','2021-08-21 13:04:16','2021-08-21 13:04:16',null);
INSERT INTO complaint_statuses VALUES('28642','9001','8','15','60','COMPLETED COMPLAINT',null,'74','74','2021-08-21 13:05:29','2021-08-21 13:05:29',null);
INSERT INTO complaint_statuses VALUES('28643','9043','8','15','55','COMPLETED COMPLAINT',null,'74','74','2021-08-21 13:11:37','2021-08-21 13:11:37',null);
INSERT INTO complaint_statuses VALUES('28644','8984','8','15','55','CUSTOMER SIDE SA DELAY HAIN COMPLAINT COMPLAINT CLOSED',null,'74','74','2021-08-21 13:12:39','2021-08-21 13:12:39',null);
INSERT INTO complaint_statuses VALUES('28645','6049','8','15','55','COMPLETED COMPLAINT',null,'74','74','2021-08-21 13:17:13','2021-08-21 13:17:13',null);
INSERT INTO complaint_statuses VALUES('28646','8980','8','23','60','OK',null,'74','74','2021-08-21 13:17:50','2021-08-21 13:17:50',null);
INSERT INTO complaint_statuses VALUES('28647','8797','8','15','55','COMPLAINT CLOSED',null,'74','74','2021-08-21 13:18:41','2021-08-21 13:18:41',null);
INSERT INTO complaint_statuses VALUES('28648','8362','8','15','55','COMPLETED COMPLAINT',null,'74','74','2021-08-21 13:20:46','2021-08-21 13:20:46',null);
INSERT INTO complaint_statuses VALUES('28649','8301','8','15','58','COMPLETED COMPLAINT',null,'74','74','2021-08-21 13:22:29','2021-08-21 13:22:29',null);
INSERT INTO complaint_statuses VALUES('28650','8251','8','15','55','COMPLETED COMPLAINT',null,'74','74','2021-08-21 13:24:00','2021-08-21 13:24:00',null);
INSERT INTO complaint_statuses VALUES('28651','9089','3',null,'53',null,'8-JUL-2021
COMPLAINT#301152518
REOPEN COM NO 301168886','92','92','2021-08-21 13:24:08','2021-08-23 12:19:21',null);
INSERT INTO complaint_statuses VALUES('28652','8920','7','12','81','OK arth Pati tuti the 
ok',null,'88','88','2021-08-21 13:28:15','2021-08-21 13:28:15',null);
INSERT INTO complaint_statuses VALUES('28653','8210','8','15','55','REF CUSTOMER K GHR DILVER HO GAYA HAIN COMPLAINT COMPLETED',null,'74','74','2021-08-21 13:28:32','2021-08-21 13:28:32',null);
INSERT INTO complaint_statuses VALUES('28654','9090','3',null,'54',null,'21-AUG-2021
COMPLAINT#1966810','73','73','2021-08-21 13:41:45','2021-08-21 14:18:00',null);
INSERT INTO complaint_statuses VALUES('28655','8921','8','15','55','HASSAN NA CUSTOMER KO W/M REPLACE KAR DI 
KHURRAM SIR K KNOWLEDGE MAIN HAIN',null,'74','74','2021-08-21 13:42:39','2021-08-21 13:42:39',null);
INSERT INTO complaint_statuses VALUES('28656','8920','8','15','63','COMPLETED COMPLAINT',null,'74','74','2021-08-21 13:45:06','2021-08-21 13:45:06',null);
INSERT INTO complaint_statuses VALUES('28657','9065','7','12','81','Completed',null,'87','87','2021-08-21 13:47:19','2021-08-21 13:47:19',null);
INSERT INTO complaint_statuses VALUES('28658','9057','7','12','81','Completed',null,'87','87','2021-08-21 13:47:40','2021-08-21 13:47:40',null);
INSERT INTO complaint_statuses VALUES('28659','8773','8','23','61','INFORMED BY ASLAM SIR',null,'74','74','2021-08-21 13:49:37','2021-08-21 13:49:37',null);
INSERT INTO complaint_statuses VALUES('28660','9065','8','15','62','FF TO USMAN MRM',null,'74','74','2021-08-21 13:52:48','2021-08-21 13:52:48',null);
INSERT INTO complaint_statuses VALUES('28661','9057','8','15','62',null,null,'73','73','2021-08-21 13:55:56','2021-08-21 13:55:56',null);
INSERT INTO complaint_statuses VALUES('28662','9012','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-21 13:57:25','2021-08-21 13:57:25',null);
INSERT INTO complaint_statuses VALUES('28663','8759','8','23','56','APPROVAL K LIYA SUPER WISER KI ID MAIN REQUEST FF KARAY',null,'74','74','2021-08-21 13:58:23','2021-08-21 13:58:23',null);
INSERT INTO complaint_statuses VALUES('28664','8702','5',null,null,'COMPLAINT CLOSED',null,'106','106','2021-08-21 13:58:29','2021-08-21 13:58:29',null);
INSERT INTO complaint_statuses VALUES('28665','9091','2',null,'81',null,'21-AUG-2021
COM FF TO USMAN SIR','92','92','2021-08-21 14:01:36','2021-08-21 14:01:36',null);
INSERT INTO complaint_statuses VALUES('28666','9091','4',null,'61',null,null,'92','92','2021-08-21 14:01:36','2021-08-21 14:01:36',null);
INSERT INTO complaint_statuses VALUES('28667','9005','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-21 14:02:09','2021-08-21 14:02:09',null);
INSERT INTO complaint_statuses VALUES('28668','8202','8','15','62','COMPLETED COMPLAINT',null,'74','74','2021-08-21 14:07:56','2021-08-21 14:07:56',null);
INSERT INTO complaint_statuses VALUES('28669','9092','2',null,'81',null,'INVOICE MONDAY KO FORWARD HOGI... SHOP BAND HONY KI WJA SE NAI HA','73','73','2021-08-21 14:12:10','2021-08-21 14:12:10',null);
INSERT INTO complaint_statuses VALUES('28670','9092','4',null,'55',null,null,'73','73','2021-08-21 14:12:10','2021-08-21 14:12:10',null);
INSERT INTO complaint_statuses VALUES('28671','8982','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-21 14:13:24','2021-08-21 14:13:24',null);
INSERT INTO complaint_statuses VALUES('28672','8528','8','23','56','AGAIN CUSTOMER SA CONFIRM KAR LAY',null,'74','74','2021-08-21 14:20:10','2021-08-21 14:20:10',null);
INSERT INTO complaint_statuses VALUES('28673','9093','2',null,'81',null,'21-AUG-2021
COM FF TO USMAN SIR','92','73','2021-08-21 14:34:54','2021-08-22 10:27:58',null);
INSERT INTO complaint_statuses VALUES('28674','9093','4',null,'61',null,null,'92','92','2021-08-21 14:34:54','2021-08-21 14:34:54',null);
INSERT INTO complaint_statuses VALUES('28675','5425','5',null,null,'COMAPLAINT COMPLETED',null,'106','106','2021-08-21 14:35:46','2021-08-21 14:35:46',null);
INSERT INTO complaint_statuses VALUES('28676','7293','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-21 14:42:11','2021-08-21 14:42:11',null);
INSERT INTO complaint_statuses VALUES('28677','8199','8','15','60','COMPLETED COMPLAINT',null,'74','74','2021-08-21 14:43:03','2021-08-21 14:43:03',null);
INSERT INTO complaint_statuses VALUES('28678','8140','8','23','59','APPROVAL K LIYA SUPER WISER KI ID MAIN REQUEST FF KARY',null,'74','74','2021-08-21 14:44:08','2021-08-21 14:44:08',null);
INSERT INTO complaint_statuses VALUES('28679','7418','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-21 14:45:16','2021-08-21 14:45:16',null);
INSERT INTO complaint_statuses VALUES('28680','8128','8','15','58','CUSTOMER SIDE SA DELAY COMPLAINT',null,'74','74','2021-08-21 14:48:12','2021-08-21 14:48:12',null);
INSERT INTO complaint_statuses VALUES('28681','8075','8','15','60','COMPLETED COMPLAINT',null,'74','74','2021-08-21 14:49:29','2021-08-21 14:49:29',null);
INSERT INTO complaint_statuses VALUES('28682','7688','8','23','61','APPROVAL REQUEST SUPER WISER KI ID MAIN FF KARAY',null,'74','74','2021-08-21 14:50:45','2021-08-21 14:50:45',null);
INSERT INTO complaint_statuses VALUES('28683','7762','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-21 14:57:27','2021-08-21 14:57:27',null);
INSERT INTO complaint_statuses VALUES('28684','9094','2',null,'81',null,null,'73','73','2021-08-21 14:59:03','2021-08-21 14:59:03',null);
INSERT INTO complaint_statuses VALUES('28685','9094','4',null,'58',null,null,'73','73','2021-08-21 14:59:03','2021-08-21 14:59:03',null);
INSERT INTO complaint_statuses VALUES('28686','8231','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-21 15:04:21','2021-08-21 15:04:21',null);
INSERT INTO complaint_statuses VALUES('28687','8963','7','9','81','IC number py cal ni jati',null,'88','88','2021-08-21 15:31:16','2021-08-21 15:31:16',null);
INSERT INTO complaint_statuses VALUES('28688','8920','7','12','81','Ok',null,'88','88','2021-08-21 15:32:18','2021-08-21 15:32:18',null);
INSERT INTO complaint_statuses VALUES('28689','9003','7','12','81','ok',null,'79','79','2021-08-21 15:41:46','2021-08-21 15:41:46',null);
INSERT INTO complaint_statuses VALUES('28690','9003','8','15','58','COMPLETED COMPLAINT',null,'74','74','2021-08-21 15:42:39','2021-08-21 15:42:39',null);
INSERT INTO complaint_statuses VALUES('28691','8777','7','12','81','ok',null,'79','79','2021-08-21 15:45:52','2021-08-21 15:45:52',null);
INSERT INTO complaint_statuses VALUES('28692','8751','7','12','81','ok',null,'79','79','2021-08-21 15:46:16','2021-08-21 15:46:16',null);
INSERT INTO complaint_statuses VALUES('28693','9007','7','12','81','ok',null,'79','79','2021-08-21 15:46:44','2021-08-21 15:46:44',null);
INSERT INTO complaint_statuses VALUES('28694','8876','7','12','81','complaint reoslved',null,'79','79','2021-08-21 15:48:31','2021-08-21 15:48:31',null);
INSERT INTO complaint_statuses VALUES('28695','9007','8','15','58','COMPLETED COMPLAINT',null,'74','74','2021-08-21 15:50:55','2021-08-21 15:50:55',null);
INSERT INTO complaint_statuses VALUES('28696','9095','2',null,'81',null,null,'73','73','2021-08-21 15:51:55','2021-08-21 15:51:55',null);
INSERT INTO complaint_statuses VALUES('28697','9095','4',null,'55',null,null,'73','73','2021-08-21 15:51:55','2021-08-21 15:51:55',null);
INSERT INTO complaint_statuses VALUES('28698','8963','8','15','63','CUSTOMER SA BT HOI HAIN WO BOL RAHAY K HAMRI KOI COMPLAINT NAI COMPLAINT CLOSED',null,'74','74','2021-08-21 15:53:32','2021-08-21 15:53:32',null);
INSERT INTO complaint_statuses VALUES('28699','8920','8','15','63','COMPLETED COMPLAINT',null,'74','74','2021-08-21 15:55:40','2021-08-21 15:55:40',null);
INSERT INTO complaint_statuses VALUES('28700','9096','2',null,'81',null,null,'73','73','2021-08-21 15:56:08','2021-08-21 15:56:08',null);
INSERT INTO complaint_statuses VALUES('28701','9096','4',null,'55',null,null,'73','73','2021-08-21 15:56:08','2021-08-21 15:56:08',null);
INSERT INTO complaint_statuses VALUES('28702','9097','2',null,'81',null,null,'73','73','2021-08-21 15:56:42','2021-08-21 15:56:42',null);
INSERT INTO complaint_statuses VALUES('28703','9097','4',null,'61',null,null,'73','73','2021-08-21 15:56:42','2021-08-21 15:56:42',null);
INSERT INTO complaint_statuses VALUES('28704','8876','8','15','58','COMPLETED COMPLAINT',null,'74','74','2021-08-21 15:57:48','2021-08-21 15:57:48',null);
INSERT INTO complaint_statuses VALUES('28705','8777','8','15','58','COMPLETED COMPLAINT',null,'74','74','2021-08-21 15:58:54','2021-08-21 15:58:54',null);
INSERT INTO complaint_statuses VALUES('28706','8646','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-21 16:05:59','2021-08-21 16:05:59',null);
INSERT INTO complaint_statuses VALUES('28707','8661','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-21 16:09:59','2021-08-21 16:09:59',null);
INSERT INTO complaint_statuses VALUES('28708','9003','7','12','81','Ok',null,'79','79','2021-08-21 16:36:23','2021-08-21 16:36:23',null);
INSERT INTO complaint_statuses VALUES('28709','8855','5',null,null,'COSTUMER ISSUE SOLVED',null,'73','73','2021-08-21 16:53:29','2021-08-21 16:53:29',null);
INSERT INTO complaint_statuses VALUES('28710','8724','5',null,null,'RESOLVED',null,'73','73','2021-08-21 16:54:21','2021-08-21 16:54:21',null);
INSERT INTO complaint_statuses VALUES('28711','9098','3',null,'52',null,'21-AUG-2021
COMPLAINT#PKRI210821110648','73','73','2021-08-21 16:58:58','2021-08-21 17:02:42',null);
INSERT INTO complaint_statuses VALUES('28712','8751','8','15','58','COMPLETED COMPLAINT',null,'74','74','2021-08-21 18:16:34','2021-08-21 18:16:34',null);
INSERT INTO complaint_statuses VALUES('28713','9003','8','15','58','COMPLETED COMPLAINT',null,'74','74','2021-08-21 18:18:08','2021-08-21 18:18:08',null);
INSERT INTO complaint_statuses VALUES('28714','7419','8','15','60','OK',null,'74','74','2021-08-21 18:18:59','2021-08-21 18:18:59',null);
INSERT INTO complaint_statuses VALUES('28715','9099','3',null,'52',null,'22-AUG-2021
COMPLAINT#PKRI210822102486','73','73','2021-08-22 11:37:12','2021-08-22 12:18:49',null);
INSERT INTO complaint_statuses VALUES('28716','9100','3',null,'52',null,'22-AUG-2021
COMPLAINT#PKRI210822102524','73','73','2021-08-22 11:41:28','2021-08-22 12:22:13',null);
INSERT INTO complaint_statuses VALUES('28717','9101','2',null,'81',null,null,'73','73','2021-08-22 11:45:41','2021-08-22 11:45:41',null);
INSERT INTO complaint_statuses VALUES('28718','9101','4',null,'63',null,null,'81','81','2021-08-22 11:46:46','2021-08-22 11:46:46',null);
INSERT INTO complaint_statuses VALUES('28719','9102','2',null,'81',null,null,'73','73','2021-08-22 11:54:55','2021-08-22 11:54:55',null);
INSERT INTO complaint_statuses VALUES('28720','9102','4',null,'63',null,null,'73','73','2021-08-22 11:54:55','2021-08-22 11:54:55',null);
INSERT INTO complaint_statuses VALUES('28721','9103','3',null,'55',null,'22-AUG-2021
COMPLAINT#RWP-822167','73','73','2021-08-22 12:09:35','2021-08-22 12:30:45',null);
INSERT INTO complaint_statuses VALUES('28722','9067','5',null,null,'complaint closed',null,'106','106','2021-08-22 12:43:12','2021-08-22 12:43:12',null);
INSERT INTO complaint_statuses VALUES('28723','9104','3',null,'90',null,'22-AUG-2021
complaint#202108012425','106','106','2021-08-22 12:50:56','2021-08-22 12:57:21',null);
INSERT INTO complaint_statuses VALUES('28724','9066','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-22 13:33:04','2021-08-22 13:33:04',null);
INSERT INTO complaint_statuses VALUES('28725','8039','8','23','61','6000/= approved by sadeeq sb',null,'81','81','2021-08-22 13:44:18','2021-08-22 13:44:18',null);
INSERT INTO complaint_statuses VALUES('28726','9060','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-22 13:51:15','2021-08-22 13:51:15',null);
INSERT INTO complaint_statuses VALUES('28727','9056','5',null,null,'COMPLAINT COMPLETED',null,'106','106','2021-08-22 14:01:08','2021-08-22 14:01:08',null);
INSERT INTO complaint_statuses VALUES('28728','9105','2',null,'81',null,null,'73','73','2021-08-22 14:34:37','2021-08-22 14:34:37',null);
INSERT INTO complaint_statuses VALUES('28729','9105','4',null,'55',null,null,'73','73','2021-08-22 14:34:37','2021-08-22 14:34:37',null);
INSERT INTO complaint_statuses VALUES('28730','9106','2',null,'81',null,null,'73','73','2021-08-22 14:37:00','2021-08-22 14:37:00',null);
INSERT INTO complaint_statuses VALUES('28731','9106','4',null,'58',null,null,'73','73','2021-08-22 14:37:00','2021-08-22 14:37:00',null);
INSERT INTO complaint_statuses VALUES('28732','8822','7','12','81','Sarvice kiya hy ok',null,'88','88','2021-08-22 14:46:59','2021-08-22 14:46:59',null);
INSERT INTO complaint_statuses VALUES('28733','9107','3',null,'52',null,'22-AUG-2021
COMPLAINT#PKRI210822104957','73','73','2021-08-22 15:01:17','2021-08-22 15:35:03',null);
INSERT INTO complaint_statuses VALUES('28734','9108','2',null,'81',null,null,'73','73','2021-08-22 15:50:31','2021-08-22 15:50:31',null);
INSERT INTO complaint_statuses VALUES('28735','9108','4',null,'58',null,null,'73','73','2021-08-22 15:50:31','2021-08-22 15:50:31',null);
INSERT INTO complaint_statuses VALUES('28736','9081','7','12','81','yahan lg ki machine  thi or lg ka ref tha',null,'79','79','2021-08-23 11:09:58','2021-08-23 11:09:58',null);
INSERT INTO complaint_statuses VALUES('28737','9102','7','22','81','Visat how Gaya hy tank like hy',null,'88','88','2021-08-23 11:11:45','2021-08-23 11:11:45',null);
INSERT INTO complaint_statuses VALUES('28738','9052','7','12','81','Gas like ok',null,'88','88','2021-08-23 11:12:10','2021-08-23 11:12:10',null);
INSERT INTO complaint_statuses VALUES('28739','9029','7','12','81','OK hy nob Garam hoti hy OK 1000 f',null,'88','88','2021-08-23 11:13:11','2021-08-23 11:13:11',null);
INSERT INTO complaint_statuses VALUES('28740','9034','7','12','81','customer bol raha jb  mein khao   tb ana hai',null,'79','79','2021-08-23 11:15:06','2021-08-23 11:15:06',null);
INSERT INTO complaint_statuses VALUES('28741','9075','5',null,null,'complaint completed',null,'92','92','2021-08-23 11:15:13','2021-08-23 11:15:13',null);
INSERT INTO complaint_statuses VALUES('28742','8252','7','12','81','issue reosove hai',null,'79','79','2021-08-23 11:16:00','2021-08-23 11:16:00',null);
INSERT INTO complaint_statuses VALUES('28743','9007','7','12','81','ok',null,'79','79','2021-08-23 11:19:31','2021-08-23 11:19:31',null);
INSERT INTO complaint_statuses VALUES('28744','9003','7','12','81','ok',null,'79','79','2021-08-23 11:19:56','2021-08-23 11:19:56',null);
INSERT INTO complaint_statuses VALUES('28745','9094','7','12','81','complaint resolved',null,'79','79','2021-08-23 11:20:26','2021-08-23 11:20:26',null);
INSERT INTO complaint_statuses VALUES('28746','8939','7','12','81','ref theek tha',null,'79','79','2021-08-23 11:21:02','2021-08-23 11:21:02',null);
INSERT INTO complaint_statuses VALUES('28747','9109','3',null,'55',null,'23-AUG-2021
COMPLAINT#822771','73','73','2021-08-23 11:46:01','2021-08-23 13:42:41',null);
INSERT INTO complaint_statuses VALUES('28748','9110','3',null,'65',null,'23-AUG-2021
COMPLAINT#192127684','73','73','2021-08-23 11:48:44','2021-08-23 13:07:18',null);
INSERT INTO complaint_statuses VALUES('28749','9111','2',null,'81',null,null,'73','73','2021-08-23 11:51:33','2021-08-23 11:51:33',null);
INSERT INTO complaint_statuses VALUES('28750','9111','4',null,'62',null,null,'73','73','2021-08-23 11:51:33','2021-08-23 11:51:33',null);
INSERT INTO complaint_statuses VALUES('28751','9112','2',null,'81',null,null,'73','73','2021-08-23 11:54:34','2021-08-23 11:54:34',null);
INSERT INTO complaint_statuses VALUES('28752','9112','4',null,'63',null,null,'73','73','2021-08-23 11:54:34','2021-08-23 11:54:34',null);
INSERT INTO complaint_statuses VALUES('28753','8843','7','12','81','complaint reoslved',null,'79','79','2021-08-23 11:56:41','2021-08-23 11:56:41',null);
INSERT INTO complaint_statuses VALUES('28754','9113','3',null,'67',null,'FRWRD TO ANWER CARAVELL','73','73','2021-08-23 11:57:53','2021-08-23 11:57:53',null);
INSERT INTO complaint_statuses VALUES('28755','8876','7','12','81','ok',null,'79','79','2021-08-23 11:59:43','2021-08-23 11:59:43',null);
INSERT INTO complaint_statuses VALUES('28756','9114','2',null,'81',null,null,'73','73','2021-08-23 12:00:42','2021-08-23 12:00:42',null);
INSERT INTO complaint_statuses VALUES('28757','9114','4',null,'56',null,null,'73','73','2021-08-23 12:00:42','2021-08-23 12:00:42',null);
INSERT INTO complaint_statuses VALUES('28758','8494','7','12','81','complaint reoslved',null,'79','79','2021-08-23 12:02:23','2021-08-23 12:02:23',null);
INSERT INTO complaint_statuses VALUES('28759','9115','3',null,'56',null,'23-AUG-2021
COMPLAINT#H23/009','73','73','2021-08-23 12:03:25','2021-08-23 13:13:43',null);
INSERT INTO complaint_statuses VALUES('28760','9116','2',null,'81',null,null,'73','73','2021-08-23 12:10:14','2021-08-23 12:10:14',null);
INSERT INTO complaint_statuses VALUES('28761','9116','4',null,'60',null,null,'73','73','2021-08-23 12:10:14','2021-08-23 12:10:14',null);
INSERT INTO complaint_statuses VALUES('28762','9117','3',null,'90',null,'23-AUG-2021
COMPLAINT#202108012813','73','73','2021-08-23 12:15:44','2021-08-23 12:15:44',null);
INSERT INTO complaint_statuses VALUES('28763','8892','7','22','81','line in panel   
new panel rs 32000/-  need approval',null,'83','83','2021-08-23 12:17:24','2021-08-23 12:17:24',null);
INSERT INTO complaint_statuses VALUES('28764','9118','3',null,'55',null,'23-AUG-2021
COMPLAINT#822780','73','73','2021-08-23 12:19:16','2021-08-23 13:40:45',null);
INSERT INTO complaint_statuses VALUES('28765','9119','3',null,'60',null,'FRWRD TO RABIA GENERAL TEC','73','73','2021-08-23 12:22:30','2021-08-23 12:22:30',null);
INSERT INTO complaint_statuses VALUES('28766','9071','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-23 12:25:44','2021-08-23 12:25:44',null);
INSERT INTO complaint_statuses VALUES('28767','9120','3',null,'65',null,'23-AUG-2021
COMPLAINT#192127685','73','73','2021-08-23 12:26:40','2021-08-23 13:09:41',null);
INSERT INTO complaint_statuses VALUES('28768','9094','8','15','58','COMPLETED COMPLAINT',null,'74','74','2021-08-23 12:28:20','2021-08-23 12:28:20',null);
INSERT INTO complaint_statuses VALUES('28769','9121','2',null,'81',null,null,'73','73','2021-08-23 12:28:37','2021-08-23 12:28:37',null);
INSERT INTO complaint_statuses VALUES('28770','9121','4',null,'56',null,null,'73','73','2021-08-23 12:28:37','2021-08-23 12:28:37',null);
INSERT INTO complaint_statuses VALUES('28771','9122','3',null,'54',null,'23-AUG-2021
COMPLAINT#1968610','73','73','2021-08-23 12:30:31','2021-08-23 14:19:24',null);
INSERT INTO complaint_statuses VALUES('28772','9052','8','15','63','COMPLAINT COMPLETED',null,'74','74','2021-08-23 12:32:21','2021-08-23 12:32:21',null);
INSERT INTO complaint_statuses VALUES('28773','9123','2',null,'81',null,null,'73','73','2021-08-23 12:32:37','2021-08-23 12:32:37',null);
INSERT INTO complaint_statuses VALUES('28774','9123','4',null,'55',null,null,'73','73','2021-08-23 12:32:37','2021-08-23 12:32:37',null);
INSERT INTO complaint_statuses VALUES('28775','9124','2',null,'81',null,null,'73','73','2021-08-23 12:33:58','2021-08-23 12:33:58',null);
INSERT INTO complaint_statuses VALUES('28776','9124','4',null,'58',null,null,'73','73','2021-08-23 12:33:58','2021-08-23 12:33:58',null);
INSERT INTO complaint_statuses VALUES('28777','8742','5',null,null,'REPLACED',null,'73','73','2021-08-23 12:37:03','2021-08-23 12:37:03',null);
INSERT INTO complaint_statuses VALUES('28778','9070','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-23 12:37:39','2021-08-23 12:37:39',null);
INSERT INTO complaint_statuses VALUES('28779','9125','3',null,'80',null,'23-AUG-2021
FRWRD TO SOHAIB MOMIN BOSCH','73','73','2021-08-23 12:38:43','2021-08-23 12:38:43',null);
INSERT INTO complaint_statuses VALUES('28780','9034','8','23','58','DISPLAY B.COOL K TECHNICIAN LA K AAY HAIN 
JOB COMPLETED QUKILEY',null,'74','74','2021-08-23 12:39:52','2021-08-23 12:39:52',null);
INSERT INTO complaint_statuses VALUES('28781','9007','8','15','58','COMPLETED COMPLAINT',null,'74','74','2021-08-23 12:41:14','2021-08-23 12:41:14',null);
INSERT INTO complaint_statuses VALUES('28782','9126','3',null,'57',null,'23-AUG-2021
COMPLAINT#21264','73','73','2021-08-23 12:41:52','2021-08-23 13:22:11',null);
INSERT INTO complaint_statuses VALUES('28783','9127','3',null,'85',null,'23-AUG-2021
COMPLAINT#301169585','73','73','2021-08-23 12:43:58','2021-08-23 13:26:34',null);
INSERT INTO complaint_statuses VALUES('28784','9128','3',null,'52',null,'23-AUG-2021
COMPLAINT#PKRI210823108532','73','73','2021-08-23 12:46:50','2021-08-23 14:05:33',null);
INSERT INTO complaint_statuses VALUES('28785','9081','8','15','58','WRONG COMPLAINT ENTRY',null,'74','74','2021-08-23 12:48:29','2021-08-23 12:48:29',null);
INSERT INTO complaint_statuses VALUES('28786','9129','3',null,'52',null,'23-AUG-2021
COMPLAINT#PKRI210823108596','73','73','2021-08-23 12:49:33','2021-08-23 14:07:46',null);
INSERT INTO complaint_statuses VALUES('28787','9007','7','12','81','COMPLAINT RESOLVED',null,'79','79','2021-08-23 12:49:55','2021-08-23 12:49:55',null);
INSERT INTO complaint_statuses VALUES('28788','9069','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-23 12:49:58','2021-08-23 12:49:58',null);
INSERT INTO complaint_statuses VALUES('28789','9130','3',null,'54',null,'23-AUG-2021
COMPLAINT#1968617','73','73','2021-08-23 12:54:12','2021-08-23 14:21:55',null);
INSERT INTO complaint_statuses VALUES('28790','9131','2',null,'81',null,null,'73','73','2021-08-23 12:56:01','2021-08-23 12:56:01',null);
INSERT INTO complaint_statuses VALUES('28791','9131','4',null,'59',null,null,'73','73','2021-08-23 12:56:01','2021-08-23 12:56:01',null);
INSERT INTO complaint_statuses VALUES('28792','9131','7','22','81','main board repair expence 4500 please app day dyn',null,'80','80','2021-08-23 13:08:51','2021-08-23 13:08:51',null);
INSERT INTO complaint_statuses VALUES('28793','9024','5',null,null,'COMPLAINT CLOSED',null,'74','74','2021-08-23 13:11:51','2021-08-23 13:11:51',null);
INSERT INTO complaint_statuses VALUES('28794','9132','3',null,'52',null,'23-AUG-2021
COMPLAINT#PKRI210823108673','73','73','2021-08-23 13:16:19','2021-08-23 14:12:38',null);
INSERT INTO complaint_statuses VALUES('28795','9063','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-23 13:16:31','2021-08-23 13:16:31',null);
INSERT INTO complaint_statuses VALUES('28796','8257','7','12','81','pls collect the unit',null,'77','77','2021-08-23 13:29:34','2021-08-23 13:29:34',null);
INSERT INTO complaint_statuses VALUES('28797','8448','7','12','81','custoerm not attend call',null,'79','79','2021-08-23 13:30:04','2021-08-23 13:30:04',null);
INSERT INTO complaint_statuses VALUES('28798','9133','3',null,'54',null,'23-AUG-2021
COMPLAINT#1968782','73','73','2021-08-23 13:30:08','2021-08-23 15:19:33',null);
INSERT INTO complaint_statuses VALUES('28799','8921','7','12','81','Please close this task number.',null,'76','76','2021-08-23 13:33:47','2021-08-23 13:33:47',null);
INSERT INTO complaint_statuses VALUES('28800','9062','7','24','81','Service Require',null,'76','76','2021-08-23 13:34:20','2021-08-23 13:34:20',null);
INSERT INTO complaint_statuses VALUES('28801','8736','7','12','81','Please Complete It.',null,'76','76','2021-08-23 13:49:02','2021-08-23 13:49:02',null);
INSERT INTO complaint_statuses VALUES('28802','8584','7','12','81','Deliver Job.',null,'76','76','2021-08-23 13:49:31','2021-08-23 13:49:31',null);
INSERT INTO complaint_statuses VALUES('28803','9134','3',null,'53',null,'23-AUG-2021
COMPLAINT#301169608','73','73','2021-08-23 13:49:38','2021-08-23 13:50:45',null);
INSERT INTO complaint_statuses VALUES('28804','9029','8','15','63','COMPLETED COMPLAINT',null,'74','74','2021-08-23 14:01:45','2021-08-23 14:01:45',null);
INSERT INTO complaint_statuses VALUES('28805','9062','8','23','55','OK JOB COMPLETED QUKILEY',null,'74','74','2021-08-23 14:03:21','2021-08-23 14:03:21',null);
INSERT INTO complaint_statuses VALUES('28806','9007','8','15','58','COMPLETED COMPLAINT',null,'74','74','2021-08-23 14:05:32','2021-08-23 14:05:32',null);
INSERT INTO complaint_statuses VALUES('28807','9003','8','15','58','COMPLETED COMPLAINT',null,'74','74','2021-08-23 14:06:56','2021-08-23 14:06:56',null);
INSERT INTO complaint_statuses VALUES('28808','9082','7','12','81','PLZ CLOSE IT',null,'87','87','2021-08-23 14:10:13','2021-08-23 14:10:13',null);
INSERT INTO complaint_statuses VALUES('28809','9065','7','12','81','PLZ CLOSE IT',null,'87','87','2021-08-23 14:10:42','2021-08-23 14:10:42',null);
INSERT INTO complaint_statuses VALUES('28810','9057','7','12','81','PLZ CLOSE IT.',null,'87','87','2021-08-23 14:11:11','2021-08-23 14:11:11',null);
INSERT INTO complaint_statuses VALUES('28811','9135','3',null,'53',null,'23-AUG-2021
COMPLAINT#301169708','73','73','2021-08-23 14:24:46','2021-08-23 15:23:41',null);
INSERT INTO complaint_statuses VALUES('28812','9050','7','12','81','panel faulty. no action refused....
so please close the job.... it is paid job',null,'77','77','2021-08-23 14:25:50','2021-08-23 14:25:50',null);
INSERT INTO complaint_statuses VALUES('28813','9038','7','12','81','panel faulty. estimate refused. close the job',null,'77','77','2021-08-23 14:26:31','2021-08-23 14:26:31',null);
INSERT INTO complaint_statuses VALUES('28814','9136','3',null,'52',null,null,'73','73','2021-08-23 14:31:01','2021-08-23 14:31:01',null);
INSERT INTO complaint_statuses VALUES('28815','9041','7','22','81','new android board  with YouTube working  6500/- expanse 
plz confirm who will pay 
customer or friends  ?',null,'83','83','2021-08-23 14:32:26','2021-08-23 14:32:26',null);
INSERT INTO complaint_statuses VALUES('28816','8385','7','12','81','shifting Bolt Remove.',null,'76','76','2021-08-23 14:38:49','2021-08-23 14:38:49',null);
INSERT INTO complaint_statuses VALUES('28817','8362','7','12','81','No Fault.',null,'76','76','2021-08-23 14:39:32','2021-08-23 14:39:32',null);
INSERT INTO complaint_statuses VALUES('28818','8210','7','12','81','Compressor Replaced',null,'76','76','2021-08-23 14:40:48','2021-08-23 14:40:48',null);
INSERT INTO complaint_statuses VALUES('28819','9137','3',null,'97',null,'COSTUMER ALREADY DROP UNIT IN SERVICE CENTRE... COMPLAINT HAMARI TRF SE LAUNCH NAHI HOI','73','73','2021-08-23 14:58:13','2021-08-23 14:58:13',null);
INSERT INTO complaint_statuses VALUES('28820','9138','2',null,'81',null,null,'73','73','2021-08-23 15:07:48','2021-08-23 15:07:48',null);
INSERT INTO complaint_statuses VALUES('28821','9138','4',null,'62',null,null,'73','73','2021-08-23 15:07:48','2021-08-23 15:07:48',null);
INSERT INTO complaint_statuses VALUES('28822','9139','3',null,'73',null,'23-AUG-2021
COMPLAINT#00887','73','73','2021-08-23 15:13:49','2021-08-23 15:29:41',null);
INSERT INTO complaint_statuses VALUES('28823','9049','7','12','81','OK nob or sarvice',null,'88','88','2021-08-23 15:28:43','2021-08-23 15:28:43',null);
INSERT INTO complaint_statuses VALUES('28824','9140','3',null,'65',null,null,'73','73','2021-08-23 15:34:38','2021-08-23 15:34:38',null);
INSERT INTO complaint_statuses VALUES('28825','9141','3',null,'52',null,null,'73','73','2021-08-23 15:42:34','2021-08-23 15:42:34',null);
INSERT INTO complaint_statuses VALUES('28826','9142','3',null,'66',null,null,'73','73','2021-08-23 15:44:18','2021-08-23 15:44:18',null);
INSERT INTO complaint_statuses VALUES('28827','9143','3',null,'52',null,null,'73','73','2021-08-23 15:47:24','2021-08-23 15:47:24',null);
INSERT INTO complaint_statuses VALUES('28828','9144','3',null,'53',null,null,'73','73','2021-08-23 15:56:44','2021-08-23 15:56:44',null);
INSERT INTO complaint_statuses VALUES('28829','9145','3',null,'54',null,null,'73','73','2021-08-23 15:58:03','2021-08-23 15:58:03',null);
INSERT INTO complaint_statuses VALUES('28830','9146','3',null,'85',null,null,'73','73','2021-08-23 16:00:42','2021-08-23 16:00:42',null);
INSERT INTO complaint_statuses VALUES('28831','9027','5',null,null,'COMPLAINT COMPLETED',null,'92','92','2021-08-23 16:00:46','2021-08-23 16:00:46',null);
INSERT INTO complaint_statuses VALUES('28832','9147','3',null,'65',null,null,'73','73','2021-08-23 16:05:22','2021-08-23 16:05:22',null);



CREATE TABLE `complaints` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `branch_id` bigint(20) unsigned DEFAULT NULL,
  `salesman_id` bigint(20) unsigned DEFAULT NULL,
  `invoice_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `item_make` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `serial_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dop` date DEFAULT NULL,
  `dop_manual` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'in case manual guess date csr wants to enter',
  `model` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `problem` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `warranty_status` enum('Yes','No') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status_id` bigint(20) unsigned DEFAULT 1,
  `feedback` text COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'final feedback by csr',
  `company_assigned_complain_no` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `complaint_type` enum('customer','showroom') COLLATE utf8mb4_unicode_ci DEFAULT 'customer',
  `reopened` tinyint(2) DEFAULT 0 COMMENT 'if completed  complaint is reopend',
  `prev_complaint_id` int(11) DEFAULT NULL COMMENT 'if complaint reopened then prev complaint_id ',
  `created_by` bigint(20) unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `view_status` int(11) NOT NULL DEFAULT 0,
  `company_complaint_id` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `alert_complaint` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `complaints_branch_id_foreign` (`branch_id`),
  KEY `complaints_salesman_id_foreign` (`salesman_id`),
  KEY `complaints_created_by_foreign` (`created_by`),
  CONSTRAINT `complaints_branch_id_foreign` FOREIGN KEY (`branch_id`) REFERENCES `branches` (`id`),
  CONSTRAINT `complaints_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`),
  CONSTRAINT `complaints_salesman_id_foreign` FOREIGN KEY (`salesman_id`) REFERENCES `salesmen` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9148 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO complaints VALUES('1','COL NAUMAN','03325347309','H NO 144 ST NO 25  SEC B ASKARI 14 ADYALA ROAD RWP','6','12','28708','TCL','2006VLR301179A00361','2020-07-28',null,'55P8US - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 15:20:16','2020-08-25 23:46:47',null,'1',null,'0');
INSERT INTO complaints VALUES('2','NADEEM AKHTER','03455252881','NEAR ZIRAT STREET AFSHAN COLONY RANGE ROAD RWP','9','19','140512','DAWLANCE','0','2017-09-12',null,'91996GD-INV-BDY - 885','REFRIGERATOR','GAS KIT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 15:26:57','2020-08-20 23:41:30',null,'1',null,'0');
INSERT INTO complaints VALUES('3','MUHAMMAD AKHTER','03135154288 ,  03445205993','RAWAT INDUSTRIAL ZONE 2 INDUSTRIAL AREA RAWAT ISB','4','7','14207','ORIENT','0','2020-05-29',null,'12G-ORBIT - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 15:35:49','2020-08-21 00:03:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4','YASIR SB','03109775555','B-3/745 ST NO 8 KHURRAM COLONY CHONGI NO 8 RWP','9','26','188171','SIGNATURE','0','2020-03-13',null,'SCF-HM12 - 956','FREEZER','HEAT UP',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 15:38:41','2020-08-20 22:42:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5','IKHLAQ','03315551373','H NO 359 ST NO 64 SEC I/8-3 ISB','5','28','0','GE','0','2012-11-11',null,'409 - 119','WASHING MACHINE','PIPE ADJUSTMENT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 15:45:46','2020-09-08 20:46:03',null,'1',null,'0');
INSERT INTO complaints VALUES('6','SHAKEEL BUKHARI','03009682305','LANE NO 7 PESHAWAR ROAD RWP CANTT','7','49','0','SAMSUNG','0','2010-01-01',null,'90G9-S - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-06 15:50:39','2020-08-25 23:44:52',null,'1',null,'0');
INSERT INTO complaints VALUES('7','SHAKEEL BUKHARI','03009682305','LANE NO 7 PESHAWAR ROAD RWP CANTT','7','49','0','SAMSUNG','0','2010-01-01',null,'90G9-S - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 15:51:16','2020-08-25 23:45:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8','UMAIR MOHSIN','03005586131','H NO 6B MAIN MARGALLA ROAD SEC F/8-3 ISB','8','37','34079','SAMSUNG','0','2019-05-21',null,'11J5710-S - 905','WASHING MACHINE','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 16:55:12','2020-08-25 23:48:24',null,'1',null,'0');
INSERT INTO complaints VALUES('9','MRS NADIR','03212704947','H NO 374 RIVER VIEW ROAD PHASE 4 B.TOWN RWP','6','12','27752','DAWLANCE','0','2020-06-15',null,'1045CVT-VF - 1467','FREEZER','PANEL PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 16:58:37','2020-08-25 23:50:45',null,'1',null,'0');
INSERT INTO complaints VALUES('10','WAQAR ALI','03335581558','ZEESHAN STREET CHAKLALA SCHEME 3 BOSTAN KHAN ROAD RWP','8','38','37272','SIGNATURE','0','2019-10-22',null,'SWM-JD50C - 902','WASHING MACHINE','NEED SERVICE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 17:13:58','2020-08-25 23:51:58',null,'1',null,'0');
INSERT INTO complaints VALUES('11','SHAHID SB','03315895927','FLAT NO 7 BLOCK 11A SEC I/8-1 ISB','9','24','179820','LG','0','2019-10-09',null,'2J3QDNP0-S - 1483','WASHING MACHINE','ERROR CL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 17:27:57','2020-08-25 23:54:27',null,'1',null,'0');
INSERT INTO complaints VALUES('12','MRS KHAN','03330501333','H NO 31 LANE NO 3 ASKARI 10 RWP','4','10','15666','SAMSUNG','0','2020-08-04',null,'1STMG-MRM - 904','REFRIGERATOR','HEAT UP',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-06 17:35:35','2020-08-25 23:58:59',null,'1',null,'0');
INSERT INTO complaints VALUES('13','ABDULLAH ABBASI','03345084789','H NO 426 ST NO 25 MARGALLA TOWN PHASE 1 ISB','8','39','40454','GREE','0','2020-06-23',null,'12CITH11W - 913','AIR CONDITIONER','HC ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 17:37:26','2020-08-21 20:09:29',null,'1',null,'0');
INSERT INTO complaints VALUES('14','NOMAN AHMED','03165333643','MUHAMMADI CHOWK KHAYABAN-E-SIRSYED RWP','9','22','187163','SHARP','0','2020-02-20',null,'650RD3 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 17:59:59','2020-08-26 00:02:03',null,'1',null,'0');
INSERT INTO complaints VALUES('15','PKP EXPLORATION','03126661934','FREINDS CORPORTAION NEAR WALLAYAT COMPLEX RABI CENTRE PHASE 7 B.TOWN RWP','6','12','115999','SIGNATURE','0','2020-04-22',null,'AC24','MICROWAVE OVEN','LIGHT PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-06 18:03:43','2020-08-26 00:33:17',null,'1',null,'0');
INSERT INTO complaints VALUES('16','ASIF','03339393843 , 0518813802','NADRA STORE NEAR WARAN CNG PUMP OPP 786 BRICKS RING ROAD PESHAWAR','8','47','22738','HOMAGE','0','2020-07-02',null,'45HWD - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 18:05:55','2020-08-21 00:18:11',null,'1',null,'0');
INSERT INTO complaints VALUES('17','DR  ARSHAD','03335325938','H NO 439B ST NO 4 PHASE 4 OPP LALQILA MARQE GULREZ COLONY RWP','8','37','0','ORIENT','0','2016-01-01',null,'CRYSTAL-C-BLK - 993','WATER DISPENSER','TAB AND LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 18:13:42','2020-09-01 19:14:29',null,'1',null,'0');
INSERT INTO complaints VALUES('18','MR JANI','03337508001','H NO 493 ST NO 65H MAIN ROAD PAKISTAN TOWN PHASE 1','4','9','3982','SIGNATURE','0','2018-06-04',null,'SRF-WB90M - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-06 18:18:08','2020-08-26 00:35:06',null,'1',null,'0');
INSERT INTO complaints VALUES('19','MRS ATIQ','03008560259','H NO 1878 ROAD I PHASE 3 B.TOWN RWP','4','5','14259','ORIENT','0','2020-05-31',null,'24G-PLUS-SG - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-06 18:20:45','2020-08-26 00:36:15',null,'1',null,'0');
INSERT INTO complaints VALUES('20','MR ASIF','03181575909','LANE NO 5 CHAKLALA SCHEME 1 RWP CANTT','9','51','184977','TCL','1909VLR300964A00163','2020-01-02',null,'55P8M - 942','FLAT PANEL TV','LINE',null,'5','double entry',null,'customer','0',null,'73','2020-08-06 18:27:56','2020-09-16 01:46:49',null,'1',null,'0');
INSERT INTO complaints VALUES('21','MADAD KHAN','03008220599','34 ST NO 13 KHAYABAN-E-KASHMIR SEC F/15- ISB','7','49','16949','KENWOOD','0','2018-05-30',null,'1813S-INVERTER - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','TAHIR SAB K BOLNAY B SYSTEM WALI COMPLINT CLOSED KA CUSTOMER NA 24 AUG KO DIRECT TAHIR SAB KO NEW COMPLAINT ENTER KARWAI',null,'customer','0',null,'73','2020-08-06 18:31:12','2020-08-26 00:46:15',null,'1',null,'0');
INSERT INTO complaints VALUES('22','RASHID SAB','03458501825','HO#585 ST#03 A LLAMA IQBAL COLONY NEAR TECH BHAT AKHARI STOP R.W.PTA','9','26','127283','SIGNATURE','0','2017-01-28',null,'SWM-SR45 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-06 19:11:16','2020-09-17 23:14:33',null,'1',null,'0');
INSERT INTO complaints VALUES('23','KHURSHEED','03459348110','GALI#07 NEAR MASJID HASSAN KARA MAN GHAZIABAD DHOK SYEDHA R.W.P','9','21','193527','HAIER','0','2020-07-24',null,'438IDRT - 896','REFRIGERATOR','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-06 19:21:17','2020-09-06 00:28:28',null,'1',null,'0');
INSERT INTO complaints VALUES('24','SALMAN SB','03355551970','H NO 1130 ST NO 9 PHASE 2 EXTENSION BAHRIA TOWN RWP','6','16','28617','LG','0','2020-07-24',null,'1066NEFTW-S - 902','WASHING MACHINE','NOT WORKING',null,'5','CUSTOMER KI KHUD SA WAPISE CALL AGEI THI COMPLIANT RESOLVED',null,'customer','0',null,'73','2020-08-06 19:21:19','2020-08-26 00:53:14',null,'1',null,'0');
INSERT INTO complaints VALUES('25','DR AMIR','03065050509','H NO 1513 ST NO 8 OVERSEAS SEC 5 PHASE 8 B.TOWN RWP','6','12','28621','GREE','0','2020-07-24',null,'310G-CP1 - 894','REFRIGERATOR','SOUND PROBLEM',null,'5','COMPLIANT CLOSED',null,'customer','0',null,'73','2020-08-06 19:27:19','2020-08-26 00:51:40',null,'1',null,'0');
INSERT INTO complaints VALUES('26','JIBRAN','03405117714','HO#94/A St#81/A SEC G-7/4 ISB','5','35','119081','GREE','0','2020-07-13',null,'8890EG-CB1 - 896','REFRIGERATOR','GAS KIT PROB',null,'5','COMPLAINT COMPLETED',null,'customer','0',null,'74','2020-08-06 19:34:12','2020-08-20 23:32:51',null,'1',null,'0');
INSERT INTO complaints VALUES('27','QASIM','03215089014','H NO 148 LANE NO 2 DEHRI HASNABAD RWP','9','26','191313','ORIENT','0','2020-06-24',null,'CRYSTAL-C-BLK - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 19:59:51','2020-08-21 00:40:02',null,'1',null,'0');
INSERT INTO complaints VALUES('28','MR IJAZ','03336709124','H NO 301 A1 RA BAZAR RWP','7','49','1759','ORIENT','0','2011-05-11',null,'19MF22AG - 914','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 20:07:12','2020-09-01 19:18:30',null,'1',null,'0');
INSERT INTO complaints VALUES('29','MUGHAL','03379877831','H NO 348 MAIN SERVICE ROAD SEC G/10-1 ISB','9','24','0','HAIER','0','2019-02-13',null,'85-1708HWM - 945','WASHING MACHINE','ERROR E4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 20:08:47','2020-08-21 00:46:17',null,'1',null,'0');
INSERT INTO complaints VALUES('30','RASHID IQBAL','03458501825','H NO 585 ST NO 3 ALLAMA IQBAL COLONY NEAR AKHRI STOP RW[P','9','21','127283','SIGNATURE','0','2017-01-28',null,'SWM-SR45 - 899','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT  NOT  RESOLVED',null,'customer','0',null,'73','2020-08-06 20:11:09','2020-09-12 19:36:14',null,'1',null,'0');
INSERT INTO complaints VALUES('31','SARFRAZ AHMED','03424543333','H NO 1648 MAIN BULYWARD BLOCK MEDIA TOWN ISB','6','12','27982','DAWLANCE','0','2020-06-24',null,'1045CVT-VF - 1467','FREEZER','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 20:40:10','2020-09-03 22:29:23',null,'1',null,'0');
INSERT INTO complaints VALUES('32','DR MEHMOOD','03215335333','H NO 61 JINNAH AVENUE SEC J DHA 2 ISB','8','37','0','CARAVELL','0','2018-01-01',null,'1000C - 6','CHILLER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-06 20:46:24','2020-08-21 00:51:20',null,'1',null,'0');
INSERT INTO complaints VALUES('33','MR NOMI','03315252028','KASAI GALLI WAQAR','9','22','192391','GREE','0','2020-07-08',null,'18LM5L - 914','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT COMPLETED',null,'customer','0',null,'73','2020-08-06 20:52:07','2020-08-20 23:30:59',null,'1',null,'0');
INSERT INTO complaints VALUES('34','MRS ASLAM KHAN','03335164256','HO#596 ST#36 E-11/3 ISB','5','31','0','SAMSUNG','0','2012-01-01',null,'49N5000-S - 1629','FLAT PANEL TV','YOU TUBE ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-08-06 20:57:48','2020-08-26 00:55:33',null,'1',null,'0');
INSERT INTO complaints VALUES('35','HANIF','03317575740','H NO 10 ST NO 144 SEC G/13-4 ISB','5','36','117166','SONY','0','2020-06-03',null,'40RT-HT','FLAT PANEL TV','SOUND PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-06 21:44:16','2020-09-05 20:58:11',null,'1',null,'0');
INSERT INTO complaints VALUES('36','SHAKEEL HUSSAIN','03215058524','HO#366 ST#03 SEC 4 AMEEN TOWN KHAYABAN SAYEED R.W.P','9','21','189064','HAIER','0','2020-06-20',null,'18HFAA-G INV - 915','AIR CONDITIONER','OUT DOOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-07 16:12:54','2020-08-21 01:06:46',null,'1',null,'0');
INSERT INTO complaints VALUES('37','ANAS AFTAB','03008565105','SSERENA BUSINESS COMPLEX KHAYABAN-E SHER WARID NEAR SERENA HOTEL ISB','8','47','20139','SONY','0','2019-11-16',null,'85X8500-S - 1627','FLAT PANEL TV','ON OFF ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-08-07 17:05:26','2020-08-26 22:23:13',null,'1',null,'0');
INSERT INTO complaints VALUES('38','BILAL FHSS','03120578711','FRIENDS HOME SHAMSHABAD R.W,P','8','41','0','DAWLANCE','0','0000-01-01',null,'162HZP - 1602','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-07 17:25:54','2020-09-12 20:16:23',null,'1',null,'0');
INSERT INTO complaints VALUES('39','ALI','03125091656','FRIENDS CORPORATION BULE AREA ISB','5','33','116869','ORIENT','0','2020-05-30',null,'529OWR - 128','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-07 17:55:34','2020-08-21 01:08:48',null,'1',null,'0');
INSERT INTO complaints VALUES('40','BRIG KHIZAR  SULTAN RAJA','03350975222','HO#493 ST#19 SEC B ASKARI 14 R.W.P','7','49','21110','KENWOOD','0','2020-06-05',null,'1230S-HC INV - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-07 20:37:26','2020-09-01 20:05:17',null,'1',null,'0');
INSERT INTO complaints VALUES('41','TARIQ JAVED','03005383908','HO#10 A ST#10 BLOCK B SAWAN GARDEN','4','9','15649','HAIER','0','2020-07-31',null,'336EBD - 894','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-07 21:06:41','2020-08-21 01:11:11',null,'1',null,'0');
INSERT INTO complaints VALUES('42','TARIQ SHAFT','03129127730','HO#19 ST#59 JINHA GARDEN ISB','4','9','15292','HAIER','0','2020-07-16',null,'438IDB - 896','REFRIGERATOR','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-07 21:18:42','2020-08-23 01:43:46',null,'1',null,'0');
INSERT INTO complaints VALUES('43','SHERIZ SALEEM','03347777519','H 69 LANE 2 SEC E DHA 2','6','14','22954','SIGNATURE','0000','0005-09-20',null,null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'1','2020-08-07 21:52:44','2020-08-26 01:01:36',null,'1',null,'0');
INSERT INTO complaints VALUES('44','waleed ahmed','03135000106','near ojri camp shamsabad murree road rwp','9','19','0','SIGNATURE','0','2019-01-01',null,'signature hob','BUILT IN APPLLIANCES','burner problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 15:00:17','2020-09-07 20:10:54',null,'1',null,'0');
INSERT INTO complaints VALUES('45','DR SHABBIR','03428016733','H NO 286E ST NO 27 SEC F/11-2 ISB','5','28','0','GREE','0','2019-04-03',null,'12LM4 - 912','AIR CONDITIONER','COMPRESSOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 15:19:45','2020-08-21 01:17:14',null,'1',null,'0');
INSERT INTO complaints VALUES('46','USAMA','03345501073','H NO 1710B ST NO 36 SEC F/10-1 ISB','7','49','21031','ORIENT','0','2020-05-28',null,'18G-ORBIT - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-08 15:40:11','2020-08-26 01:11:31',null,'1',null,'0');
INSERT INTO complaints VALUES('47','ASLAM SAB','0300_8557478.','FRIENDS  CORPORATION PHAS E07 STOCK UNIT','6','17','0','SHARP','0','0000-01-01',null,'24HCP-INV - 917','AIR CONDITIONER','UNIT MAIN GASS NAI HAIN',null,'5','ASLAM SB NE COMPANY MEIN RETURNED KARWA DIA',null,'customer','0',null,'74','2020-08-08 16:09:02','2020-09-28 00:45:32',null,'1',null,'0');
INSERT INTO complaints VALUES('48','MAZHAR','03005814690','502 WORKSHOP NEAR TULSA ROAD ADYALA ROAD RWP','9','27','192958','ORIENT','0','2020-07-16',null,'48G-ULTIMATE-SW-HC - 1820','AIR CONDITIONER','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 16:12:14','2020-08-21 01:24:47',null,'1',null,'0');
INSERT INTO complaints VALUES('49','omer inaam','03008554755','h no 67 st no 1 fechs korang town isb','4','5','15389','DAWLANCE','0','2020-07-01',null,'9190LFD-G BROWN - 896','REFRIGERATOR','water problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 17:07:47','2020-08-21 01:27:05',null,'1',null,'0');
INSERT INTO complaints VALUES('50','OMER FAROOQ','03365722079','flat i 4th floor block d8 army appartments opp DAEWOO BUS TERMINAL GOLRA RWP','9','19','177777','KENWOOD','0','2019-08-25',null,'480GD-BKG - 885','REFRIGERATOR','cooling problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 17:16:13','2021-08-17 18:10:38',null,'1',null,'1');
INSERT INTO complaints VALUES('51','ALI HUSSAIN','03005008382','HO#390/-A ST#04 PHASE 03 GULRAIZ HOUSING SOCITY R.W.P','7','49','16617','PEL','0','2018-04-07',null,'18K-PINV-LIFE - 915','AIR CONDITIONER','OUT DOOR WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-08 17:30:58','2020-09-01 19:44:41',null,'1',null,'0');
INSERT INTO complaints VALUES('52','MASOOD SB','03335138175','H NO 86 ST NO 28 SEC A1 DHA 1 RWP','6','16','19149','LG','0','2019-02-05',null,'65UK6100-S - 1443','FLAT PANEL TV','contrast problem',null,'5','MRS MASOOD KI NADEEM SAB SA BAT HO GEI HAIN 17000 MAIN SET OK KARNAY KI APPROVAL DA DIA HAIN',null,'customer','0',null,'73','2020-08-08 17:36:21','2020-08-26 01:40:39',null,'1',null,'0');
INSERT INTO complaints VALUES('53','MR AHMED','03085050150','H NO 189 ST NO 69 SEC F/10-3 ISB','5','32','119991','CORONA','0','2020-07-29',null,'351C - 1533','COOKING RANGE','not working',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 17:37:57','2020-08-23 02:09:22',null,'1',null,'0');
INSERT INTO complaints VALUES('54','UMER FAROOQ','03005215861','H NO 1457 ST NO 11 BLOCK B  sec 4 AIRPORT SOCIETY RWP','8','38','41579','SUPER ASIA','0','2020-08-06',null,'555SD - 528','WASHING MACHINE','not working',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 17:41:09','2020-08-21 01:47:33',null,'1',null,'0');
INSERT INTO complaints VALUES('55','SHAHZAD SAFDAR','03336870929','H NO 36 ST NO 88 SEC J DHA 2 ISB','6','14','27173','GREE','0','2020-05-12',null,'500FC - 993','WATER DISPENSER','cooling problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 17:44:17','2020-08-21 01:53:47',null,'1',null,'0');
INSERT INTO complaints VALUES('56','SOHAIL AMIN','03217324092','H NO 160 LANE NO 5 ASKARI 13 RWP','6','14','20864','LG','0','2020-07-31',null,'442HQHU-S - 746','REFRIGERATOR','cooling problem',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-08 17:46:39','2020-08-26 22:26:09',null,'1',null,'0');
INSERT INTO complaints VALUES('57','ASIF KHAN','03022229333 , 03005000069','H NO 1 MAIN BOLYWARD PHASE 2 NEW CITY WAAH CANTT','5','29','118941','DAIKIN','0','2020-07-09',null,'50AXV1-INV - 915','AIR CONDITIONER','pcb card',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 17:54:19','2020-08-21 01:52:03',null,'1',null,'0');
INSERT INTO complaints VALUES('58','TARIQ','03005402399','opp fg boys school ra bazar rwp cantt','9','19','192849','HAIER','0','2020-07-15',null,'150-1789HWM - 1706','WASHING MACHINE','not working',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 18:00:26','2020-08-21 01:56:28',null,'1',null,'0');
INSERT INTO complaints VALUES('59','arshad butt','03315114873','d1142 muhhal imnabad asghar mall chowk near delicious hotel rwp','9','51','0','DAWLANCE','0','2019-12-02',null,'91996ES-PLUS - 885','REFRIGERATOR','cooling problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 18:11:03','2020-08-21 01:56:54',null,'1',null,'0');
INSERT INTO complaints VALUES('60','AMEER KHAN','03005580685','HO#38 ST#154 D-12/4 ISB','5','32','0','SAMSUNG','0','2016-07-12',null,'11J5710 - 905','WASHING MACHINE','SOUND ISSUE',null,'5','CUSTOMER CLOSED',null,'customer','0',null,'74','2020-08-08 18:12:28','2020-08-26 22:28:45',null,'1',null,'0');
INSERT INTO complaints VALUES('61','RANA SAJID','03331522413','h no 4/1c st no 24 sec g/7-2 isb','5','30','96048','LG','0','2018-07-09',null,'4V5RGP2T-S - 899','WASHING MACHINE','water problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 18:27:00','2020-09-08 20:27:54',null,'1',null,'0');
INSERT INTO complaints VALUES('62','YASIR SB','03109775555','B-3/745 ST NO 8 KHURRAM COLONY CHONGI NO 8 RWP','9','26','188171','SIGNATURE','0','2020-03-13',null,'SCF-HM12 - 956','FREEZER','heat up',null,'5','COMPLAINT RESOLVE',null,'customer','0',null,'73','2020-08-08 18:54:45','2020-08-26 22:36:17',null,'1',null,'0');
INSERT INTO complaints VALUES('63','MR AMIR','03355521872','app no 815 MARGALLA HILS INTERNATIONAL SEC E/11-1 ISB','9','21','189587','ORIENT','0','2020-05-30',null,'18G-HYPER-SW - 915','AIR CONDITIONER','error e3',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 18:58:04','2020-08-21 02:03:16',null,'1',null,'0');
INSERT INTO complaints VALUES('64','MUHAMMAD ASGHAR','03345038205','H NO 10 ST NO 9 IQBAL TOWN SERVICE ROAD RWP','8','41','35717','DAWLANCE','0','2019-07-21',null,'9170WBES-PLUS - 883','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 19:46:51','2020-08-21 02:05:10',null,'1',null,'0');
INSERT INTO complaints VALUES('65','OLIVER PETER','03005296061','H NO 352 ROAD B PHASE 4 B.TOWN RWP','6','13','28840','CORONA','0','2020-08-06',null,'125C-AUTO - 1074','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 20:00:19','2020-08-21 02:06:44',null,'1',null,'0');
INSERT INTO complaints VALUES('66','ALI RAZA','03209559077','H NO 380K ST NO 20 BAHRIA SPRINGS NORTH PHASE 7 B.TOWN RWP','6','14','28795','HAIER','0','2020-07-31',null,'398EPCW - 884','REFRIGERATOR','sound problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 20:06:55','2020-08-21 02:07:42',null,'1',null,'0');
INSERT INTO complaints VALUES('67','COL SARFARAZ SADDIQ','03218572666','HO#730 ST#18 OVERSEAS 03 PHASE 08 BEHIRA','9','26','141589','SIGNATURE','0','2017-10-12',null,'SRF-HM100 - 908','REFRIGERATOR','DOOR PROB',null,'5','reopend',null,'customer','0',null,'74','2020-08-08 20:22:57','2020-09-24 01:48:08',null,'1',null,'0');
INSERT INTO complaints VALUES('68','COL SARFARAZ SIDDIQI','03218572666','HO#730 ST#18 OVERSEAS 03 PHASE 08 BEHIRA','9','26','141589','SIGNATURE','(HOB)','2017-10-12',null,'F90G - 1122','BUILT IN APPLLIANCES','IGNITION  PRB &HOB SERVICES REQUIRED',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-08-08 20:29:24','2020-08-26 22:39:53',null,'1',null,'0');
INSERT INTO complaints VALUES('69','MRS SHABEER','03438888007','HO#19 BLOCK A MAIN BOLYWARD','5','31','120388','SHARP','0','2020-07-01',null,'650SL3 - 885','REFRIGERATOR','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-08 20:44:59','2020-09-05 21:16:24',null,'1',null,'0');
INSERT INTO complaints VALUES('70','MR SHABEER','03438888007','MR SHABEER','5','31','120388','SHARP','0','2020-08-07',null,'650SL3 - 885','REFRIGERATOR','LEVEL PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 21:16:56','2020-09-05 21:15:37',null,'1',null,'0');
INSERT INTO complaints VALUES('71','MR ASAD','03155218817','KHAWAJA NAZEER MARKET NEAR QASAI GALI SARAFA BAZAR GUJAR KHAN','6','15','16893','TCL','1802VLR300488A00113','2018-09-24',null,'43P6US - 869','FLAT PANEL TV','SCREEN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 21:59:18','2020-09-15 19:44:02',null,'1',null,'0');
INSERT INTO complaints VALUES('72','ATIF  SHAHRAZI','03018221414','HO#191 ST#24 PAKISTAN TOWN PHASE 02 ISB','9','27','187028','HAIER','0','2020-02-16',null,'336IDBT - 2116','REFRIGERATOR','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-08 22:01:47','2020-08-28 21:49:17',null,'1',null,'0');
INSERT INTO complaints VALUES('73','GHULAM IRTAZA','03005050272','FAZAL TOWN PHASE 2 NEAR VICTORIA SCHOOL OLD AIRPORT ROAD RWP','9','51','187433','SONY','0','2020-02-25',null,'40W650D-S - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 22:02:45','2020-09-12 20:18:55',null,'1',null,'0');
INSERT INTO complaints VALUES('74','AZMAT ULLAH KHAN','03009123007','KHAN ALLIGMENT SUPPLY ROAD GAWALMANDI RWP','9','19','177611','KENWOOD','0','2019-08-21',null,'1016SA - 1712','WASHING MACHINE','WASH TUB PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 22:03:24','2020-08-21 02:19:49',null,'1',null,'0');
INSERT INTO complaints VALUES('75','DR MOOSA','03209399938','HO#20 ST#95 I-8/4 ISB','5','30','117433','HAIER','KITCHEN HOOD','2020-06-10',null,'21EBG - 1123','BUILT IN APPLLIANCES','NOISE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-08 22:06:44','2020-08-21 02:23:28',null,'1',null,'0');
INSERT INTO complaints VALUES('76','RUBINA SULEMAN','03009501035','H NO 5 ST NO 14 ORCHARD B DHA 1 RWP','6','16','19000','ORIENT','0','2019-01-26',null,'32S-TRUMPET - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-08 22:09:32','2020-08-21 02:26:16',null,'1',null,'0');
INSERT INTO complaints VALUES('77','ahmed sb','03325372817','APP NO 206 2ND FLOOR ALFALAH ARCADE RIVER VIEW COMMERCIAL EXPRESSWAY PHASE 7 B.TOWN RWP','9','19','191954','ORIENT','0','2020-07-02',null,'CRYSTAL-C-BLK - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 14:44:57','2020-08-21 02:27:29',null,'1',null,'0');
INSERT INTO complaints VALUES('78','RAUF SB','03005010689 , 03005363881','AZIZ MARKET NILORE','9','19','189258','HAIER','0','2020-05-23',null,'368IDBT - 860','REFRIGERATOR','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 14:46:44','2020-08-21 02:30:56',null,'1',null,'0');
INSERT INTO complaints VALUES('79','SOHAIL SB','03335500025','H NO 705 ST NO 92 SEC G/9-4 ISB','5','35','120264','HAIER','0','2020-08-05',null,'18HRO-W','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 14:50:29','2020-09-01 19:50:57',null,'1',null,'0');
INSERT INTO complaints VALUES('80','TAUHEED SB','03348567154','H NO 415 ST NO 9 PHASE 5 B.TOWN RWP','5','28','0','LG','0','2018-01-01',null,'LG REF','REFRIGERATOR','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 14:54:01','2020-09-05 21:18:33',null,'1',null,'0');
INSERT INTO complaints VALUES('81','KHURRAM HANIF','03085206563','H NO 1 MAIN AIRPORT ROAD FAISAL COLONY RWP','6','12','21459','ORIENT','0','2019-06-15',null,'18G-BOLD-UW-INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-09 14:55:37','2020-08-26 22:09:07',null,'1',null,'0');
INSERT INTO complaints VALUES('82','KASHIF IQBAL SB','03008548768 , 03138548768','H NO 46C SEC 2 KHAYABAN-E-SIRSYED RWP','8','37','41533','HAIER','0','2020-08-05',null,'150-1678HWM - 1484','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 15:01:07','2020-08-21 02:49:00',null,'1',null,'0');
INSERT INTO complaints VALUES('83','KHURRAM','03225192788','NEAR NADRA OFFICE JARAI STOP ADYALA ROAD RWP CANTT','9','20','138974','SIGNATURE','0','2017-08-15',null,'SWM-FW1610S - 902','WASHING MACHINE','WASH TUB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 15:03:55','2020-09-05 21:22:31',null,'1',null,'0');
INSERT INTO complaints VALUES('84','KHURRAM','03225192788','NEAR NADRA OFFICE JARAI STOP ADYALA ROAD RWP CANTT','9','20','143992','DAWLANCE','0','2017-12-06',null,'9190LFD-G BROWN - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 15:05:12','2020-08-21 02:55:54',null,'1',null,'0');
INSERT INTO complaints VALUES('85','MR ASAD','03008519999','H NO 246 CENTRAL AVENUE  NEARV SHAHEEN CHEMIST PHASE 6 B.TOWN RWP','6','14','24654','BOSCH','0','2019-12-14',null,'135D0GC - 907','WASHING MACHINE','VIBRATION',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-09 15:09:14','2020-08-26 23:17:48',null,'1',null,'0');
INSERT INTO complaints VALUES('86','KAMRAN BHR-7','03219507474','FREINDS CORPORTAION NEAR WALLAYAT COMPLEX RABI CENTRE PHASE 7 B.TOWN RWP','6','14','0','HAIER','0','2020-08-09',null,'80-000S - 69','WASHING MACHINE','FILTER MISSING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 15:10:19','2020-08-21 02:55:10',null,'1',null,'0');
INSERT INTO complaints VALUES('87','REHAN SB','03338945934','SEC G/9-4 ISB','9','24','192534','CARAVELL','0','2020-07-10',null,'450MEC - 1651','CHILLER','LIGHT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 15:11:51','2020-09-07 20:06:43',null,'1',null,'0');
INSERT INTO complaints VALUES('88','FAISAL','03219465058','H NO 28 ST NO 44 MARGALLA VIEW HOUSING SOCIETY SEC D/17ISB','9','24','192560','HAIER','0','2020-08-10',null,'95-1678HWM - 1817','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 15:13:14','2020-09-03 22:49:31',null,'1',null,'0');
INSERT INTO complaints VALUES('89','M IDREES','03335285262','H NO 23 ST NO 11 RIVER GARDEN ISB','4','9','15076','GREE','0','2020-07-06',null,'9978EG-CW3 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 15:15:56','2020-09-01 19:55:23',null,'1',null,'0');
INSERT INTO complaints VALUES('90','AHMED','03005164800','H NO 806M ST NO 38 BLOCK C PWD','4','5','10196','DAWLANCE','0','2019-08-03',null,'1035WBSS-VF - 689','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 15:18:11','2020-08-21 23:52:55',null,'1',null,'0');
INSERT INTO complaints VALUES('91','SHERIYAR KHAN','03002800257','VILLAGE DHOKRI TEHSIL FATEH JANG DISTRICT ATTOCK','5','36','117381','SAMSUNG','08BA36GN100152E','2020-06-09',null,'55RU7100-SZ - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 15:20:34','2020-08-21 22:38:44',null,'1',null,'0');
INSERT INTO complaints VALUES('92','MISS NOUREEN','03357281281','H NO 284 ESTONIYA AVENUE SAFARI  VILLAS 3 RWP','4','11','15420','DAWLANCE','0','2020-07-23',null,'91998H-SIGNATURE - 958','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 15:22:54','2020-09-01 20:17:58',null,'1',null,'0');
INSERT INTO complaints VALUES('93','RANA UBAID UR REHMAN','03137441788','H NO 461 BLOCK B ST NO 23 MULTI GARDENS SEC B/17 ISB','8','38','39123','LG','0','2020-02-15',null,'1366NEFTFS-C - 907','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-09 15:25:11','2020-08-26 22:12:08',null,'1',null,'0');
INSERT INTO complaints VALUES('94','MOBIN FAHAD','03172424192','H NO 12 ST NO 7 MARGALLA VIEW HOUSING SOCIETY SEC D/17 ISB','5','28','82601','SIGNATURE','0','2017-03-30',null,'SVF-CG1SS - 956','FREEZER','HANDLE DAMAGED',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-09 15:27:16','2020-08-26 22:14:06',null,'1',null,'0');
INSERT INTO complaints VALUES('95','ATUB RIZWAN','03006100794','H NO 430Y ST NO 5/1 BLOCK D NPF ISB','4','5','15648','HAIER','0','2020-07-31',null,'438IPB - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-09 15:32:56','2020-08-23 02:34:51',null,'1',null,'0');
INSERT INTO complaints VALUES('96','WAQAS AHMED','03235578200','H NO 915/1 ST NO 4 KAMALABAD RWP','9','22','192021','HAIER','0','2020-07-03',null,'285SD - 956','FREEZER','EARTH PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-09 15:49:51','2020-08-23 02:41:11',null,'1',null,'0');
INSERT INTO complaints VALUES('97','EMAAN','03114821013','H NO 2 MAIN BOLYWARD  ALI BLOCK USMAN GHANI AVENUE PHASE 8 B.TOWN RWP','6','13','28716','HAIER','0','2020-07-28',null,'12HFCE-W-INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 15:53:05','2020-08-22 00:52:10',null,'1',null,'0');
INSERT INTO complaints VALUES('98','CHAIRMAN DEE','03335178315','H NO 186 ST NO 11 BLOCK  C CBR TOWN','4','7','13673','KENWOOD','0','2020-03-21',null,'1015SA - 902','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 15:56:50','2020-08-22 00:50:12',null,'1',null,'0');
INSERT INTO complaints VALUES('99','IMRAN','03455104405','FREINDS GULNOOR MARKET RWP','9','51','0','ORIENT','0','2020-08-09',null,'39HDAC','FLAT PANEL TV','PIXELS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 16:04:35','2020-09-01 20:27:00',null,'1',null,'0');
INSERT INTO complaints VALUES('100','HIFAZATULLAH KHAN','03335242506','H NO 19 ST NO 7 BLOCK C NAVAL ENCOURAGE ISB','4','9','15741','GREE','0','2020-08-08',null,'9978EG-CR2 - 2116','REFRIGERATOR','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 16:19:14','2020-08-21 23:56:09',null,'1',null,'0');
INSERT INTO complaints VALUES('101','WAHID','03175045900 , 03165853309','NEAR MEHMOOD PLAZA GIRJA ROAD DHOK SYEDAN RWP','5','30','119158','ORIENT','0','2020-07-14',null,'18G-DELTA-GW - 914','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 16:30:36','2020-09-03 22:53:11',null,'1',null,'0');
INSERT INTO complaints VALUES('102','DR HASHIR','03369179304','H NO 20A ST NO 12 SEC G DHA 2 ISB','6','12','19830','TCL','1910VLR300768A00012','2019-03-24',null,'55P6US - 942','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-09 16:37:35','2020-08-21 23:58:40',null,'1',null,'0');
INSERT INTO complaints VALUES('103','MR MUNEEB','03369179304','H NO 20A ST NO 12 SEC G DHA 2 ISB','6','12','7333','KENWOOD','0','2019-01-24',null,'2420FHG-INV - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 16:48:16','2020-09-08 23:13:22',null,'1',null,'0');
INSERT INTO complaints VALUES('104','DR NADEEM','03009593132','H NO 1179 MAIN BOLYWARD USMAN BLOCK PHASE 8 B.TOWN RWP','6','14','26846','TCL','2006VLR301179A00361','2020-04-20',null,'65C6US - 1443','FLAT PANEL TV','WIFI PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-09 16:49:26','2020-09-23 01:54:56',null,'1',null,'0');
INSERT INTO complaints VALUES('105','FAZLA MUQEEM','03422444426','H NO 30 ST NO 62 SEC G/13/2 ISB','9','19','0','SIGNATURE','0','2020-08-09',null,'AC22','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-09 17:00:29','2020-08-26 22:15:23',null,'1',null,'0');
INSERT INTO complaints VALUES('106','AHMED','03216666000 , 03222888666 , 03005566006','H NO 5 HILL ROAD SEC F/6-2 ISB','5','31','103982','SONY','0','2019-04-23',null,'65X9000F-S - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-09 17:04:16','2020-08-26 22:15:55',null,'1',null,'0');
INSERT INTO complaints VALUES('107','WAHEED SB','03365599714','PARK ROAD CHAK SHAZAD ISB','8','42','26741','SIGNATURE','0','2018-04-04',null,'SWD-HD10-GR - 994','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-09 17:06:09','2020-09-05 21:23:17',null,'1',null,'0');
INSERT INTO complaints VALUES('108','MUHAMMAD SAFEER','03009196650','H NO 320 ST NO 14 CHAKLALA SCHEME 3 RWP','9','27','184133','DAWLANCE','0','2019-12-18',null,'9000DS','FREEZER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 17:07:56','2020-09-07 21:11:30',null,'1',null,'0');
INSERT INTO complaints VALUES('109','MISHAL','03455006666 , 03008555161','H NO 138 B ST NO 38 SEC D/12/2 ISB','5','31','117165','KENWOOD','0','2020-06-03',null,'1230S-HC INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','CUSTOMER VISIT PA SATISFIED NAI HAIN  ABI KHUD CUSTOMER NA COMPLAINT CLOSED KARWA DI HAIN',null,'customer','0',null,'73','2020-08-09 17:10:15','2020-08-26 22:22:17',null,'1',null,'0');
INSERT INTO complaints VALUES('110','NADEEM KHAN','03335100080','H NO 6 ST NO 3B SEC F/10-2 ISB','5','31','105182','BOSCH','0','2019-05-25',null,'736357M - 1902','COOKING RANGE','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 17:13:25','2020-08-22 00:44:57',null,'1',null,'0');
INSERT INTO complaints VALUES('111','ALI','03005818915','H NO 4  ST NO 5 MISKEENABAD CHRISTIAN COLONY BARAF KHANA CHOWK RWP','9','25','193928','HAIER','0000','2020-08-04',null,'246EBD - 857','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 17:19:31','2020-08-22 00:46:46',null,'1',null,'0');
INSERT INTO complaints VALUES('112','AZHAR ALI','03335389836','H NO 9A ST NO 3 BLOCK D SOAN GARDEN ISB','4','10','15587','ORIENT','0','2020-07-29',null,'12G-HYPER-SW - 913','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'73','2020-08-09 17:33:19','2020-09-13 19:23:15',null,'1',null,'0');
INSERT INTO complaints VALUES('113','COL USMAN','03000677770','H NO 941 BAHRIA AVENUE PHASE 7 B.TOWN RWP','8','39','31389','SIGNATURE','0','2018-12-23',null,'SRF-HM100 - 908','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-09 17:35:44','2020-09-05 21:40:43',null,'1',null,'0');
INSERT INTO complaints VALUES('114','MALIK MUDASSIR','03009806414','H NO 1489 ST NO 48 RAFI BLOCK PHASE 8 B.TOWN RWP','6','14','28478','HAIER','0','2020-07-17',null,'622IBS - 908','REFRIGERATOR','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 18:15:54','2020-08-22 00:48:07',null,'1',null,'0');
INSERT INTO complaints VALUES('115','BABAR QAYYUM','03335166292 , 0515493211','H NO 1690 ST NO 37 SEC I/14-2 ISB','9','26','83139','CORONA','0','2013-09-20',null,'225C/R - 14','COOKING RANGE','NOB AND BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 18:23:37','2020-08-22 01:00:39',null,'1',null,'0');
INSERT INTO complaints VALUES('116','DR KIRAN','03045699809','I HILL ROAD JEHLUM ROAD RWP NEAR KIDNEY CENTRE RWP','9','26','158455','LG','0','2018-10-16',null,'4V5RGP2T-S - 899','WASHING MACHINE','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 18:27:33','2020-09-05 21:39:37',null,'1',null,'0');
INSERT INTO complaints VALUES('117','MR ASIF','03005329796','LANE NO 5 DEAD END CHAKLALA SCHEME 1 RWP CANTT','9','51','184977','TCL','1910VLR300964A00163','2020-01-02',null,'55P8M - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 18:41:51','2020-09-24 23:27:04',null,'1',null,'0');
INSERT INTO complaints VALUES('118','MUHAMMAD HASSAN','03468559441','H NO 432 ST NO 3A PHASE 4B GHAURI TOWN ISB','9','26','179829','ORIENT','0','2019-10-10',null,'CRYSTAL-C-BLK - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 18:44:30','2020-09-03 23:08:26',null,'1',null,'0');
INSERT INTO complaints VALUES('119','EJAZ','03245735272','H NO 1801 ST NO 25 SEC I/10-1 ISB','9','22','119438','PEL','0','2016-07-27',null,'130PDF-APP - 957','FREEZER','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 19:48:39','2020-08-22 01:32:56',null,'1',null,'0');
INSERT INTO complaints VALUES('120','MRS AMJAD','03088884444 , 03005562555','H NO 212 ST NO 74 SEC I/8-3 ISB','9','19','121212','SIGNATURE','0','2016-09-04',null,'CG1-SS - 956','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 20:00:29','2020-09-12 20:23:09',null,'1',null,'0');
INSERT INTO complaints VALUES('121','shandanea','03312198969','h no 157 askari 14 adyala road rwp cantt','6','12','15545','SIGNATURE','0','2018-07-22',null,'SRF-HM99 - 908','REFRIGERATOR','cooling problem',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-09 20:36:57','2020-09-05 21:46:54',null,'1',null,'0');
INSERT INTO complaints VALUES('122','SHABANA INAM','03345468783 , 051573117','H NO 925 ST NO 44 PHASE B.TOWN RWP','4','7','13256','ORIENT','0','2020-02-19',null,'CRYSTAL-C-BLK - 993','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 21:23:50','2020-08-22 01:36:02',null,'1',null,'0');
INSERT INTO complaints VALUES('123','AZHAR SB','03219540853','H NO 85 ST NO 5 GULRAIZ SCHEME 3 RWP','4','6','5442','SAMSUNG','0','2018-09-26',null,'72K6360SP','REFRIGERATOR','THERMOSTATE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-09 21:24:48','2020-09-05 21:48:30',null,'1',null,'0');
INSERT INTO complaints VALUES('124','IRFAN ALI','03215177274 , 03000777274','H NO 332 ST NO 14 SEC 3  AIRPORT HOUSING SOCIETY RWP','9','22','122555','SAMSUNG','0','2020-08-09',null,'S7Edge - 625','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CANCELLED',null,'customer','0',null,'73','2020-08-09 21:26:14','2020-09-05 21:52:13',null,'1',null,'0');
INSERT INTO complaints VALUES('125','IRFAN ALI','03215177274 , 03000777274','H NO 332 ST NO 14 SEC 3  AIRPORT HOUSING SOCIETY RWP','9','22','122555','SAMSUNG','0','2016-10-02',null,'7ZNPN-S','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CANCELLED',null,'customer','0',null,'73','2020-08-09 21:33:17','2020-09-05 21:54:18',null,'1',null,'0');
INSERT INTO complaints VALUES('126','MR NASEER','03125638007','H NO SA606 GALI NO 4 SERVICE ROAD RWP','8','38','36689','HAIER','0','2019-09-14',null,'40B9200M - 938','FLAT PANEL TV','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 21:34:49','2020-08-22 01:37:43',null,'1',null,'0');
INSERT INTO complaints VALUES('127','ZAHID SB','03430533197','MASHALLAH CNG STATION OPP PEOPLES COLONY ATTOCK','9','22','21674','GREE','0','2020-04-23',null,'500FC - 993','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 21:54:01','2020-09-14 02:29:39',null,'1',null,'0');
INSERT INTO complaints VALUES('128','SYED FAHAD','03323551524','H NO 1 ST NO 10 LAKE VIEW JUNCTION PHASE 8 B.TOWN RWP','6','15','16345','TCL','1802VFR000494A00160','2018-09-12',null,'28B2520B - 1423','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-09 22:03:48','2020-09-03 23:14:42',null,'1',null,'0');
INSERT INTO complaints VALUES('129','KAMRAN ASLAM','03215100014','BARI IMAM ISB','5','34','0','SIGNATURE','0','2019-08-11',null,'SCF-HM09 - 954','FREEZER','COOLING PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-08-10 03:55:17','2020-09-05 21:56:21',null,'1',null,'0');
INSERT INTO complaints VALUES('130','ALMAS','03005064853','HO#20  ST# 02 E=16-3 ISB','5','34','88349','SIGNATURE','OVEN','2017-09-25',null,'25G - 1731','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-10 04:01:08','2020-09-13 01:43:52',null,'1',null,'0');
INSERT INTO complaints VALUES('131','MRS PASHA','03002867844','HO#591 ST#06 SEC G-11/1 ISB','8','42','8615','KENWOOD','0','2019-05-01',null,'1826S-INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-10 04:06:23','2020-09-01 22:21:46',null,'1',null,'0');
INSERT INTO complaints VALUES('132','TANVEER RAJPOOT','03335720887','FLAT#06 BLOCK 5 CATE 03 SE E I-9/4 ISB','6','13','34553','DAWLANCE','0','2019-06-11',null,'15INSPIREPLUS INVERTER - 912','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-10 04:11:59','2020-09-03 23:17:40',null,'1',null,'0');
INSERT INTO complaints VALUES('133','SHAMSUL ZAMA','03225071911','HO#62 ST#19 PHASE 02 MODEL TOWN WHA CANNT','5','28','103575','TCL','1901VLR300728A00904','2019-04-10',null,'40S6500 - 938','FLAT PANEL TV','PANAL PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-10 04:19:27','2020-08-22 02:32:20',null,'1',null,'0');
INSERT INTO complaints VALUES('134','MRS IKRAM','03335492005','HO#21 ST#09 SEC G-17/2 ISB','9','22','193418','SIGNATURE','HOB','2020-07-23',null,'3712 - 1122','BUILT IN APPLLIANCES','IGNATION ROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-08-10 04:27:01','2020-09-05 21:57:59',null,'1',null,'0');
INSERT INTO complaints VALUES('135','KHAWAR HASHMI','03225071911','HO# J 418 UMER ROAD DHOK ELAHI BAKSH R.W.P','9','20','191683','GREE','0','2020-06-29',null,'9978EG-CB3 - 2116','REFRIGERATOR','COOLING PRB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-10 05:02:25','2020-09-02 01:13:48',null,'1',null,'0');
INSERT INTO complaints VALUES('136','faisal SHAKOOR','03145254070 , 03365374960','LANE NO 3 SHERZAMAN COLONY NEAR MANO SALWA BAKERS RWP','9','22','0','PEL','0','2017-01-01',null,'AC PEL','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-10 15:23:30','2020-09-15 19:53:07',null,'1',null,'0');
INSERT INTO complaints VALUES('137','IMRAN','03238513338','H NO 41 ST NO 25 SAFARI HOMES SEC B  PHASE 8 B.TOWN RWP','6','15','21268','HAIER','0','2019-06-03',null,'18HFAB-W INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-10 15:26:52','2020-09-05 03:07:11',null,'1',null,'0');
INSERT INTO complaints VALUES('138','SHADAB SB','03444455793 , 03330926733','PEMRA HEAD QUATERS 2ND FLOOR MONETRING HALL SEC G/8-1 PESHAWAR MOR ISB','8','39','40182','GREE','0','2020-06-11',null,'48FW - 826','AIR CONDITIONER','OUTDOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-10 16:04:54','2020-09-08 23:52:42',null,'1',null,'0');
INSERT INTO complaints VALUES('139','M KAMRAN','03218006282','H NO 1009 ST NO 42 PHASE 3 B.TOWN RWP','6','14','12268','SAMSUNG','0','2018-01-07',null,'70H4000-MRM - 1548','WASHING MACHINE','ERROR PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-10 16:07:00','2020-09-05 22:00:32',null,'1',null,'0');
INSERT INTO complaints VALUES('140','FARHAN BAIG','03454004808','H NO 14 ST NO 17 JINNAH GARDEN PHASE 1','8','42','10944','SAMSUNG','0','2019-10-06',null,'32N5300-S - 936','FLAT PANEL TV','PANEL LINE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-10 16:19:23','2020-09-05 22:02:19',null,'1',null,'0');
INSERT INTO complaints VALUES('141','ABDUL WAHEED','03214860854','FLAT NO 8 BLOCK 53 DTYPE DHA APPRTMENTS SEC G/11-4 ISB','5','28','0','KENWOOD','0','2020-05-08',null,'1214HC-INVERTER - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-10 16:31:53','2020-09-06 02:00:45',null,'1',null,'0');
INSERT INTO complaints VALUES('142','FAWAD','03008222617','H NO 12 ST NO 25 SEC A BAHRIA ENCLAVE ISB','5','34','120412','CARAVELL','0','2020-08-08',null,'450MEC - 1651','CHILLER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-10 16:34:05','2020-09-06 02:02:59',null,'1',null,'0');
INSERT INTO complaints VALUES('143','HAMZA TAHIR','03455160115','HO#50 LANE#TULSA ROAD LALZAR R.W,P','9','26','133304','KENWOOD','0','2017-06-10',null,'1818S-INVERTER - 915','AIR CONDITIONER','ISSUE ERROR F 3',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-10 16:41:39','2020-09-03 23:32:10',null,'1',null,'0');
INSERT INTO complaints VALUES('144','MRS ANWER','03352431151','GATE NO 2 MAIN CITY WAAH CANTT','6','12','40764','SIGNATURE','0','2020-07-04',null,'MD99SS-S - 1723','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-10 16:48:01','2020-09-05 22:04:50',null,'1',null,'0');
INSERT INTO complaints VALUES('145','YASIR','03008521838','H NO 1119 ST NO 54 PHASE 7 B.TOWN RWP','6','12','28111','SIGNATURE','0','2020-07-01',null,'HC-5900G - 1122','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-10 17:22:37','2020-09-01 21:13:33',null,'1',null,'0');
INSERT INTO complaints VALUES('146','TAHIR SB','03323355333','H NO 64 ST NO 3 PHASE 5 B.TOWN RWP','4','7','9854','GREE','0','2019-07-11',null,'18CITH12W - 915','AIR CONDITIONER','CARD PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-10 17:32:08','2020-09-01 21:10:05',null,'1',null,'0');
INSERT INTO complaints VALUES('147','AZHAR SB','03217425676','H NO 8 ST NO 3 BILAL TOWN LETHRAR ROAD NEAR MCB BANK ISB','9','51','179422','TCL','1904VLR300839A00748','2019-10-01',null,'32S6500 - 936','FLAT PANEL TV','PANEL LINE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-10 17:48:07','2020-09-01 21:12:27',null,'1',null,'0');
INSERT INTO complaints VALUES('148','COL AAMIR KHAN','03215370322','FLAT NO 6C ARMY OFF APP TAMIZUDDIN ROAD RWP','7','49','17971','SIGNATURE','0','2018-11-24',null,'SWM-JD56 - 1643','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-10 17:50:30','2020-09-05 22:06:44',null,'1',null,'0');
INSERT INTO complaints VALUES('149','USMAN','03135332007','COL AMANULLAH ROAD SATTI STREET BAHRA KAHO ISB','8','38','41153','GREE','0','2020-07-17',null,'8768EG-CW2 - 884','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-10 17:53:26','2020-09-01 21:08:15',null,'1',null,'0');
INSERT INTO complaints VALUES('150','FAWAD ZAFAR','03377288841','H NO 90 ST NO 22 SEC J DHA 2 ISB','9','22','192824','LG','0','2020-07-15',null,'4J6TMP8S-C - 899','WASHING MACHINE','VIBRATION',null,'5','CAMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-10 17:56:24','2020-09-12 20:25:40',null,'1',null,'0');
INSERT INTO complaints VALUES('151','SAMEER SB','03335621377 , 03325161337','ST NO 18 RAHAT STREET GAROTI STREET KAMALABAD RWP','7','49','19779','ORIENT','0','2019-10-18',null,'12G-HYPER-SW - 913','AIR CONDITIONER','ERROR E5',null,'5','COMPLAINT SOLVED',null,'customer','0',null,'73','2020-08-10 18:06:29','2020-09-23 01:51:58',null,'1',null,'0');
INSERT INTO complaints VALUES('152','IQBAL SB','03465166132','FREINDS HOME BEWAL PLAZA BLUE AREA ISB','5','28','0','ORIENT','0','2020-08-10',null,'12G-HYPER-SW - 913','AIR CONDITIONER','LED PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-10 18:14:25','2020-09-01 21:03:12',null,'1',null,'0');
INSERT INTO complaints VALUES('153','SHAHID AZEEM','03008558355','HO#124 ST#11 SEC E-11 ISB','8','47','0','MITSUBISHI','0','2018-07-10',null,'35VA - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-10 18:25:31','2020-09-23 23:57:23',null,'1',null,'0');
INSERT INTO complaints VALUES('154','MALIK SHAHZAD','03352431151','GATE NO 2 MAIN CITY WAAH CANTT','8','38','40764','SIGNATURE','0','2020-07-04',null,'MD99SS-S - 1723','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-10 18:26:48','2020-09-14 02:32:35',null,'1',null,'0');
INSERT INTO complaints VALUES('158','shahpaar','03212823194 , 03332107627','h no 27 1st floor st no 14 sec h dha 2 isb','6','12','15656','SIGNATURE','0',null,'31-JUL-2018','SCF-HM08 - 954','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-11 19:55:17','2020-09-12 20:28:41',null,'1',null,'0');
INSERT INTO complaints VALUES('159','GENERAL USMANI','03355594047','H NO 101 LANE NO 1 ASKARI 12 CHAKLALA CANTT','8','48','41587','DAWLANCE','0',null,'7-AUG-2020','1035WBGD-VF - 1467','FREEZER','LIGHT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-11 20:25:53','2020-08-23 01:07:27',null,'1',null,'0');
INSERT INTO complaints VALUES('160','SOHAIB','03344677996','H NO 9/943-N ST NO 2 BLOCK B ZAIB COLONY GUJRAT','8','38','34893','LG','0',null,'23-JUN-2019','502HMHU-S - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-11 20:29:25','2020-09-14 02:35:02',null,'1',null,'0');
INSERT INTO complaints VALUES('161','safdar sb','03005206829','H NO 46 ST NO MARGALLA TOWN  PHASE 2 ISB','9','25','192298','SAMSUNG','0',null,'7-JUL-2020','11J5710-S - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-11 20:40:00','2020-09-12 20:31:12',null,'1',null,'0');
INSERT INTO complaints VALUES('162','FAWAD KHAN','03006010089','H NO 53 ST NO 32 SEC F/6-1 ISB','5','32','109170','SONY','0',null,'5-SEP-2019','32W600D-S - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-11 20:57:27','2020-09-16 21:20:06',null,'1',null,'0');
INSERT INTO complaints VALUES('163','FAWAD KHAN','03006010089','H NO 53 ST NO 32 SEC F/6-1 ISB','5','32','109170','SONY','0',null,'5-SEP-2019','32W600D-S - 936','FLAT PANEL TV','NOT WORKING',null,'5','NOT ATTEND CALL',null,'customer','0',null,'73','2020-08-11 20:57:56','2020-09-12 20:35:29',null,'1',null,'0');
INSERT INTO complaints VALUES('164','MR USMAN','03094262908','Tariq Arcade, P2163, National Police Foundation, Pwd Double Road, Opposite Block D entrance before Media Town. Buildco Building.','4','5','15521','ORIENT','0','2020-07-28',null,'18G-DELTA-GW - 914','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-11 21:02:35','2020-09-01 21:17:03',null,'1',null,'0');
INSERT INTO complaints VALUES('165','sajid sb','03215507716','House 377, street 3, F 15/1','8','37','30869','PANASONIC','0',null,'8-dec-2018','49MSAS-S - 885','REFRIGERATOR','cooling problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-11 21:13:19','2020-09-12 20:40:12',null,'1',null,'0');
INSERT INTO complaints VALUES('166','arslan rashid','03125474015','h no b1331 4th b road b block satelitte town rwp','9','51','193692','SIGNATURE','0',null,'27-jul-2020','22AC','MICROWAVE OVEN','not working',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-11 21:16:32','2020-08-25 23:04:42',null,'1',null,'0');
INSERT INTO complaints VALUES('167','mrs khurram','03015588022','h no 55b najam shaheed road near madni masjid westridge 1 rwp','9','23','132020','SIGNATURE','0',null,'23-apr-2017','JX1-GR - 1708','WATER DISPENSER','not working',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-11 21:26:16','2020-09-13 19:35:01',null,'1',null,'0');
INSERT INTO complaints VALUES('168','KHURRAM','03238508012','muslimtown khurram colony rwp h no v3751 st no 26','9','24','47213','PANASONIC','0',null,'15-SEP-2010','601BY','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT RECLOSED',null,'customer','0',null,'73','2020-08-11 21:31:10','2020-09-12 20:45:06',null,'1',null,'0');
INSERT INTO complaints VALUES('169','MUHAMMAD ALI','03005113913','64D LANE NO 56 GULISTAN COLONY RWP','9','19','0','SIGNATURE','0',null,'3 YEARS AGO','TOP LOAD W/MACHINE','WASHING MACHINE','ERROR E4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-11 21:33:44','2020-09-13 19:37:07',null,'1',null,'0');
INSERT INTO complaints VALUES('170','abdul hafeez','03335234400 , 0518738324','House No.4,Street No.8 Hostel City Lane No.10 Chatta Bakthawar, Park Road Islamabad.','9','20','185268','FIVE STAR','0',null,'8-jan-2020','900C-FS - 1965','COOKING RANGE','not working',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-11 23:25:25','2020-09-23 21:37:25',null,'1',null,'0');
INSERT INTO complaints VALUES('171','hassan ameen','03335995077','h no 30 main bolyward sec a phase 8 b.town rwp','6','14','13984','KENWOOD','0',null,'26-4-2018','240FH-ELEMENT - 917','AIR CONDITIONER','not working',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-11 23:26:56','2020-09-01 21:18:25',null,'1',null,'0');
INSERT INTO complaints VALUES('172','ZULFIQAR SB','03455948915 , 03145050401','st no 11 ghaziabad dhok syedan rwp cantt','9','24','166497','HAIER','0','2019-02-23',null,'12SGF-S-INV - 913','AIR CONDITIONER','cooling problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-11 23:35:30','2020-09-01 21:20:13',null,'1',null,'0');
INSERT INTO complaints VALUES('173','MR ASIF','03215111162','H NO 205A HILL SIDE ROAD SEC E7 ISB','5','31','73277','SAMSUNG','0','2016-06-17',null,'60K6130SP','WASHING MACHINE','NOT WORKING',null,'5','complaint resolved',null,'customer','0',null,'73','2020-08-11 23:37:35','2020-08-14 02:37:27',null,'1',null,'0');
INSERT INTO complaints VALUES('174','mr shahid','03215155450','House Number B1-1196, street number 5, Muslim Town, Sadiqabad Rawalpindi,','8','47','20056','SIGNATURE','0',null,'31-dec-2016','SWM-JD51 - 902','WASHING MACHINE','not working',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-11 23:39:14','2020-09-12 20:51:42',null,'1',null,'0');
INSERT INTO complaints VALUES('175','MR WAQAS','03325727969','H NO 31 ST NO 33 SEC F/8-1 ISB','5','28','119759','HAIER','0',null,'27-jul-2020','438IDBT - 896','REFRIGERATOR','water problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-11 23:42:48','2020-09-01 21:22:19',null,'1',null,'0');
INSERT INTO complaints VALUES('176','col liaqat','03461113395','h no 17 st no 3 sec b dha 2 isb','6','16','17800','LG','0',null,'8-dec-2018','7566NEFPF-S','WASHING MACHINE','water problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-11 23:48:01','2020-09-13 19:41:59',null,'1',null,'0');
INSERT INTO complaints VALUES('177','MASOOD SB','03215897950','h no 576 st no 43 sec g/10-4 isb','9','23','192975','canon','0',null,'16-jul-2020','204b','WATER DISPENSER','cooling problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-11 23:50:08','2020-09-01 21:25:09',null,'1',null,'0');
INSERT INTO complaints VALUES('178','ibraheem murtaza','03331945363','h no 772 muhammad hussain street saddar','6','14','26973','HAIER','0',null,'23-apr-2020','100AS-WM - 69','WASHING MACHINE','drain problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 00:09:49','2020-09-01 21:26:08',null,'1',null,'0');
INSERT INTO complaints VALUES('179','ibraheem murtaza','03331945363','h no 772 muhammad hussain street saddar','6','14','26973','HAIER','0',null,'23-apr-2020','100AS-WM - 69','WASHING MACHINE','drain problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 00:09:49','2020-09-01 21:27:02',null,'1',null,'0');
INSERT INTO complaints VALUES('180','col nawaz','03224529016','H NO 42 SEC B ST POWER AVENUE DHA 2 ISB','6','15','22124','GREE','0',null,'16-jul-2019','18FITH1W - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 00:28:16','2020-09-06 02:21:50',null,'1',null,'0');
INSERT INTO complaints VALUES('181','ZAFAR MANSOOR','03331551000','H NO 5 BLOCK E Q ROAD NAVAL ENCOURAGE ISB','5','28','0','SIGNATURE','0',null,'1 YEAR AGO','C.RANGE','COOKING RANGE','LID PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 00:31:32','2020-09-06 02:23:38',null,'1',null,'0');
INSERT INTO complaints VALUES('182','MRS AMIR MAJEED','03310222042','H NO 39 LLANE NO CHAKLALA SCHEME 1 RWP','6','12','15296','SAMSUNG','0','0009-02-01',null,'11J5710-SZ - 905','WASHING MACHINE','ERROR 4C',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 00:33:38','2020-09-13 19:45:16',null,'1',null,'0');
INSERT INTO complaints VALUES('183','QAZI ARSHAD','03345081903','LANE NO 2 LALAZAR STATE NEAR SHER ZAMAN COLONY TULSA ROAD RWP','7','49','18949','GREE','0',null,'30-apr-2019','18FITH1W - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-12 00:59:23','2020-09-05 20:54:24',null,'1',null,'0');
INSERT INTO complaints VALUES('184','awan electronics','03335185677','rwp','9','51','150702','SIGNATURE','0',null,'19-apr-2018','24DN6 - 934','FLAT PANEL TV','not working',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 01:16:53','2020-09-23 21:39:24',null,'1',null,'0');
INSERT INTO complaints VALUES('185','WAQAR ALI','03335581558','ZEESHAN STREET CHAKLALA SCHEME 3 BOSTAN KHAN ROAD RWP','8','38','37272','SIGNATURE','0',null,'22-oct-2019','SWM-JD51 - 902','WASHING MACHINE','not working',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 02:09:10','2020-09-12 21:10:17',null,'1',null,'0');
INSERT INTO complaints VALUES('186','SHAKEEL HUSSAIN','03215058524','H NO 366 ST NO 3 SEC 4 AMEEN TOWN KHAYABAN-E-SIRSYED RWP','9','21','189064','HAIER','0',null,'20-may-2020','18HFAA-G INV - 915','AIR CONDITIONER','not working',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 02:14:06','2020-09-14 02:42:01',null,'1',null,'0');
INSERT INTO complaints VALUES('187','aksa','03335248052','plot no 359 st no 5 sec i/9-3 isb','7','49','21622','ORIENT','0',null,'8-aug-2020','529BL - 128','WATER DISPENSER','cooling problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 02:15:53','2020-09-12 21:16:22',null,'1',null,'0');
INSERT INTO complaints VALUES('188','abdul hameed','03005807982','h no 663 st no 32 sec g/10-1 isb','8','43','120028','HAIER','0',null,'29-jul-2020','285SD - 956','FREEZER','not working',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 02:42:35','2020-09-04 00:49:38',null,'1',null,'0');
INSERT INTO complaints VALUES('189','RANA UBAID UR REHMAN','03137441788','H NO 461 BLOCK B ST NO 23 MULTI GARDENS SEC B/17 ISB','8','38','39123','LG','0',null,'15-feb-2020','1366NEFTF-C - 1894','WASHING MACHINE','not working',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 03:01:27','2020-09-11 20:15:04',null,'1',null,'0');
INSERT INTO complaints VALUES('190','malik rizwan','03005220611','h no 90 st no 25a chaklala scheme 3 ext rwp','9','19','190764','TCL','1912vlr301004a00011',null,'17-jun-2020','55P8M - 942','FLAT PANEL TV','not working',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 03:07:40','2020-09-04 00:53:28',null,'1',null,'0');
INSERT INTO complaints VALUES('191','aneeq ahmed','03125331799','rwp','3','3','123456','HAIER','0',null,'8-jun-2020','12LTC - 912','AIR CONDITIONER','cooling problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 05:10:24','2020-09-16 21:24:31',null,'1',null,'0');
INSERT INTO complaints VALUES('192','mcg technologies','03145319662','office no 789 1ST FLOOR SELECT CENTRE SEC F/11 MARKAZ ISB','5','34','113205','HAIER','0',null,'23-DEC-2019','24HDZ-G INV - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 19:53:26','2020-09-16 21:27:37',null,'1',null,'0');
INSERT INTO complaints VALUES('193','UMER SHARIF','03009733384 , 03318077387','NDU SEC F/7 ISB','9','24','194120','SHARP','0',null,'7-AUG-2020','650BK3 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 20:00:18','2020-09-23 02:48:50',null,'1',null,'0');
INSERT INTO complaints VALUES('194','SULEMAN','03009808160','DK75A DHOK KASHMERIAN SATELLITE TOWN RWP','9','51','157279','SIGNATURE','0',null,'19-AUG-2018','65V800 - 1443','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 20:04:08','2020-09-13 19:59:16',null,'1',null,'0');
INSERT INTO complaints VALUES('195','AMER KHAN','03335580685','HO#38 ST#154 D-12/4','5','30','0','SAMSUNG','OUT FF WARRANTY','2016-11-20',null,'11F5S4GT - 905','WASHING MACHINE','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-12 20:15:37','2020-09-16 01:11:10',null,'1',null,'0');
INSERT INTO complaints VALUES('196','KHURRAM','03005548081','FREINDS SADDAR RWP','7','49','0','TCL','2001VLR301029A00738',null,'0','32D310 - 936','FLAT PANEL TV','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 20:15:51','2020-09-24 01:00:44',null,'1',null,'0');
INSERT INTO complaints VALUES('197','TARIQ JAMEEL','03448895238 , 03235062311','H NO D87 RAFEEQI ROAD CHAKLALA GARRISON RWP','7','49','19335','GREE','0',null,'27-JUN-2019','18CITH11B - 915','AIR CONDITIONER','COMPRESSOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 20:18:08','2020-09-13 20:03:39',null,'1',null,'0');
INSERT INTO complaints VALUES('198','OWAIS','03355377335','H NO 1599 ST NO 55 PHASE  3 B.TOWN RWP','9','27','174451','ORIENT','0',null,'4-JUL-2019','18G-ATLANTIC-GW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 20:21:17','2020-09-14 02:45:18',null,'1',null,'0');
INSERT INTO complaints VALUES('199','OWAIS','03355377335','H NO 1599 ST NO 55 PHASE  3 B.TOWN RWP','9','27','174451','ORIENT','0',null,'4-JUL-2019','18G-ATLANTIC-GW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','problem',null,'customer','0',null,'73','2020-08-12 20:26:18','2020-08-13 23:17:29',null,'1',null,'0');
INSERT INTO complaints VALUES('200','COL ZOHAIB','03345018743','H NO 16 AUN M RIZVI ROAD SEC G/10-2 ISB','5','31','117132','TCL','0',null,'3-JUN-2020','49C6US - 1629','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 20:42:18','2020-09-12 21:23:46',null,'1',null,'0');
INSERT INTO complaints VALUES('201','DR FAHAD','03335164202','H NO 284 ST NO 14 SEC F/10-2 ISB','9','26','194379','LG','0',null,'10-AUG-2020','502HMHU-S - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 20:59:24','2020-09-12 21:27:47',null,'1',null,'0');
INSERT INTO complaints VALUES('202','KHALIL UR REHMAN','03215115411','H NO 192 ST NO 19 SEC I/9-1 ISB','9','26','141938','LG','0',null,'11-OCT-2017','672GBPR-S - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 21:02:13','2020-09-13 20:08:37',null,'1',null,'0');
INSERT INTO complaints VALUES('203','SAJID MEHMOOD','03135215425','H NO 759 1ST FLOOR ST NO 19 SEC I/8-2 ISB','9','26','184137','LG','0',null,'15-DEC-2019','9588NEHVA-S - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 21:04:46','2020-09-13 20:13:28',null,'1',null,'0');
INSERT INTO complaints VALUES('204','MUHAMMAD SALEEM','03335182773','H NO 1830 ST NO 70 ALI BLOCK PHASE 8 B.TOWN RWP','6','12','28136','HAIER','0',null,'2-JUL-2020','18HNI-B-INV - 915','AIR CONDITIONER','REMOTE SENSOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 21:07:05','2020-08-23 00:35:03',null,'1',null,'0');
INSERT INTO complaints VALUES('205','SUNNY','03181430770','H NO 770 SERVICE ROAD EAST G/14-4 ISB','8','39','30814','SIGNATURE','0',null,'6-DEC-2018','FS2-5G - 1078','COOKING RANGE','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 21:09:46','2020-09-12 21:31:11',null,'1',null,'0');
INSERT INTO complaints VALUES('206','MR AAMIR','03345255666','55B ASLAM SHAHEED ROAD LALAZAR COLONY RWP','7','49','6321','MITSUBISHI','0',null,'17-MAR-2014','62SS-MRF - 87','REFRIGERATOR','WATER AND DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 21:12:26','2020-09-13 20:15:43',null,'1',null,'0');
INSERT INTO complaints VALUES('207','MR NAEEM','03459907799','H NO 73 ST NO 6 PHASE 7 B.TOWN RWP','6','16','28871','HAIER','0',null,'7-AUG-2020','438IDBT - 896','REFRIGERATOR','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 21:14:56','2020-08-23 00:24:30',null,'1',null,'0');
INSERT INTO complaints VALUES('208','JABIR','03315320945 , 03366427777','H NO 427 ST NO 4 MODEL TOWN HUMAK','6','14','15736','HAIER','0',null,'4-AUG-2018','618HRF-SS - 903','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 21:34:45','2020-08-23 00:16:40',null,'1',null,'0');
INSERT INTO complaints VALUES('209','MUHAMMAD AHMER','03335409877','H NO 119 ST NO 83 SEC G/9-4 ISB','9','19','135469','SIGNATURE','0',null,'3-JUN-2017','SRF-HM99 - 908','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 21:43:39','2020-09-13 20:19:38',null,'1',null,'0');
INSERT INTO complaints VALUES('210','JAHANZAIB KHAN','03348567103','H NO 323 ST NO 18 SEC F/10-2 ISB','5','31','118855','HAIER','0','0008-02-01',null,'18HFAA-S INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 21:53:33','2020-08-23 00:14:56',null,'1',null,'0');
INSERT INTO complaints VALUES('211','TAJ MUHAMMAD','03455515844','H NO 1025/A-6 MUHALLAH HARIPURA RWP','9','19','190593','HAIER','0',null,'15-JUN-2020','336EPB - 894','REFRIGERATOR','WATER LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 22:14:32','2020-09-04 01:00:04',null,'1',null,'0');
INSERT INTO complaints VALUES('212','MR AFTAB','03215007082','H NO 735 ST NO 27 BLOCK F1 PHASE 8 NEAR GRID STATIION','4','7','4502','SIGNATURE','0',null,'17-JUL-2018','SWM-SR45 - 899','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 22:40:17','2020-09-16 01:07:39',null,'1',null,'0');
INSERT INTO complaints VALUES('213','KIRAN EHSAN','03338929775','H NO 3 ST NO 5 BLOCK E SOAN GARDEN ISB','4','7','238','SIGNATURE','0',null,'12-OCT-2017','SRF-HM99 - 908','REFRIGERATOR','BODY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 22:42:21','2020-09-23 21:45:37',null,'1',null,'0');
INSERT INTO complaints VALUES('214','EHTESIAM','03335173176 , 03325189147','H NO 11 NEAR TAMZARA GALLERY MAIN ROAD SAIDPUR VILLAGE ISB','5','29','99829','TCL','1810VLR300657A00621',null,'7-DEC-2018','40S6500 - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 22:55:36','2020-09-04 01:02:00',null,'1',null,'0');
INSERT INTO complaints VALUES('215','KIRAMATULLA SB','03005329271','H NO 24A ST NO 39 SEC I/8-2 ISB','8','37','41426','HAIER','0',null,'28-JUL-2020','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 23:22:51','2020-09-12 21:36:33',null,'1',null,'0');
INSERT INTO complaints VALUES('216','ZULQARNAIN','03085274646','GAON NALLA SEER GHARBI DIS ABBOTABAD','9','23','169872','DAWLANCE','0',null,'27-APR-2019','9175WBLVS - 883','REFRIGERATOR','COMPRESSOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 23:40:16','2020-09-23 00:44:03',null,'1',null,'0');
INSERT INTO complaints VALUES('217','awais aziz','03008564955','H NO 43B ST NO 15 CHAK SHAHZAD PARK ROAD ISB','5','28','116146','ORIENT','0',null,'5-MAY-2020','18G-BOLD-UW-INV - 915','AIR CONDITIONER','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 23:55:16','2020-08-22 23:54:42',null,'1',null,'0');
INSERT INTO complaints VALUES('218','QASIM ALI','03364461999','CB-1973/6 ST NO 6 GALI ZOHARA DAI ABADI NO 2 TENCH BHATTA RWP CANTT','9','21','193357','HAIER','0',null,'22-JUL-2020','398IDBT - 884','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-12 23:58:49','2020-08-22 23:53:03',null,'1',null,'0');
INSERT INTO complaints VALUES('219','FAISAL','03149550007','H NO B2/203 ST NO 10 MUSLIM TOWN SADIQABAD RWP','9','21','192925','GREE','0',null,'16-jul-2020','9978EG-CR2 - 2116','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 00:06:40','2020-08-22 23:51:20',null,'1',null,'0');
INSERT INTO complaints VALUES('220','SALEEM WASTI','03215168597','H NO 55 ST COLLLEGE ROAD SAFARI VILLAS B.TOWN RWP','4','9','81321','SAMSUNG','0',null,'31-JAN-2017','1STMG - 903','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 00:09:26','2020-09-23 21:48:39',null,'1',null,'0');
INSERT INTO complaints VALUES('221','ASIF RAZA','03215300663','H NO 4A ST NO 34 SEC F/8-1 ISB','5','28','159463','SIGNATURE','0',null,'13-OCT-2018',null,'BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 01:06:49','2020-08-22 23:49:27',null,'1',null,'0');
INSERT INTO complaints VALUES('222','NOMAN AZIZ','03321554430','H NO 43 ST NO 10 SEC G/13-3 ISB','8','37','0','GREE','0',null,'2 YEARS AGO','1.5 TON','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 01:09:53','2020-08-22 23:42:52',null,'1',null,'0');
INSERT INTO complaints VALUES('223','SHAREEF SB','03235524694 , 4913005','AQSA MASJID SAVE MART SAIDPURROAD RWP','9','22','170878','DAWLANCE','0',null,'8-MAY-2019','91998H-SIGNATURE - 958','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 01:13:06','2020-09-04 01:07:31',null,'1',null,'0');
INSERT INTO complaints VALUES('224','TARIQ SB','03459490707','H NO 81 ST NO 14 LETHRAR ROAD FALCON COMPLEX','9','22','193918','GREE','0',null,'4-AUG-2020','8768EG-CB1 - 884','REFRIGERATOR','TURBO FAN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 01:15:12','2020-08-22 23:39:51',null,'1',null,'0');
INSERT INTO complaints VALUES('225','UMER SB','03008509374','H NO 98A1 PARK LANE NISAR ROAD WESTRIDGE 2 RWP','9','22','171943','MITSUBISHI','0',null,'30-MAY-2019','50VA - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 01:18:28','2020-09-17 20:52:32',null,'1',null,'0');
INSERT INTO complaints VALUES('226','WAQAS SB','03145050509','H NO 6 ST NO 1 BLOCK C SOAN GARDEN ISB','4','6','1256','LG','0',null,'15-OCT-2017','542HLCL-C - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 01:27:16','2020-09-16 01:04:47',null,'1',null,'0');
INSERT INTO complaints VALUES('227','SHAFQAT SB','03008359121','BANK STOP MUHALLA KHOKHAR NEAR ALLAMA IQBAL SCHOOL ALI PUR ISB','5','28','116805','HAIER','0',null,'29-MAY-2020','12HRP-W-INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 01:30:34','2020-08-22 23:38:46',null,'1',null,'0');
INSERT INTO complaints VALUES('228','TAMEER FOUNDATION','03143210503','H NO 68 ST NO 10 SEC G/13-3 ISB','5','31','118390','ORIENT','0',null,'29-JUN-2020','18G-ORBIT - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 01:42:41','2020-09-02 00:58:16',null,'1',null,'0');
INSERT INTO complaints VALUES('229','TAMEER FOUNDATION','03143210503','H NO 68 ST NO 10 SEC G/13-3 ISB','5','31','118390','ORIENT','0',null,'29-JUN-2020','18G-ORBIT - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 01:49:47','2020-09-29 23:34:28',null,'1',null,'0');
INSERT INTO complaints VALUES('230','IDREES SB','03008913833 , 03338913833','H NO 845 LOWER PORTION ST NO  13 SEC G/11-1 ISB','5','30','117498','HAIER','0',null,'11-JUN-2020','18HFCE-W-INV - 915','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 01:53:31','2020-08-22 23:25:39',null,'1',null,'0');
INSERT INTO complaints VALUES('231','SYED JAWAD SB','03335599316','H NO 719 ST NO 10 SCHEME 3 RWP','6','16','9855','SIGNATURE','0',null,'20-JUL-2017','SRF-WB100-S - 860','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 01:57:10','2020-09-12 21:48:01',null,'1',null,'0');
INSERT INTO complaints VALUES('232','ZULQARNAIN','03335402040','CB983 ST NO 5 CANTT VIEW COLONY MISRIAL ROAD RWP','9','27','189523','KENWOOD','0',null,'30-MAY-2020','400VCM-BHL - 895','REFRIGERATOR','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 02:03:20','2020-08-22 23:17:30',null,'1',null,'0');
INSERT INTO complaints VALUES('233','USAMA REHMAN','03335479969','H NO 841 MAIN SERVICE ROAD SEC I/10-4 ISB','9','22','171712','SIGNATURE','0',null,'26-MAY-2019','AC24','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 02:06:09','2020-09-13 20:28:12',null,'1',null,'0');
INSERT INTO complaints VALUES('234','HAFIZ RAZA','03325831979','H NO 84  ST NO 7 ARIAN MUHALLAH 2 MURREE TROAD RWP','9','22','74326','DAWLANCE','0',null,'15-JAN-2013','250DWT - 902','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 02:08:44','2020-09-24 23:54:44',null,'1',null,'0');
INSERT INTO complaints VALUES('235','QASRE NOOR','03005386413','KHOR COMPANY NEAR KAINAAT TRAVELS DIS ATTOCK','9','19','184455','HAIER','0',null,'24-DEC-2019','276EPB - 858','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 02:12:47','2020-09-04 02:07:24',null,'1',null,'0');
INSERT INTO complaints VALUES('236','UBAID UR REHMAN','03005811696','85 HARLEY STREET LANE NO 4 RWP CANTT','9','21','193575','GREE','0',null,'27-jul-2020','9978EG-CB1 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 02:18:13','2020-08-22 22:56:56',null,'1',null,'0');
INSERT INTO complaints VALUES('237','ABDUL REHMAN','03144455587','H NO 15 ST NO 5 DOCTORS TOWN ISB','4','6','9407','ORIENT','0',null,'17-JUN-2019','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 02:21:26','2020-10-01 00:53:55',null,'1',null,'0');
INSERT INTO complaints VALUES('238','TAYYAB','03335347766','H NO 272 ST NO 74 SEC G/11-2 ISB','5','35','118359','ORIENT','0',null,'29-JUN-2020','18G-HYPER-SW - 915','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-13 02:27:29','2020-08-22 22:48:06',null,'1',null,'0');
INSERT INTO complaints VALUES('239','RASHID','03008505560','H NO 4 ST NO 2 KORANG TOWN ISB','9','19','185389','HAIER','0',null,'11-JAN-2020','622IBG - 908','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 02:36:37','2020-08-22 22:46:12',null,'1',null,'0');
INSERT INTO complaints VALUES('240','COL BABER','03445085357','H NO 334 E LANE NO 5 PESHAWAR ROAD RWP CANTT','9','21','188731','HAIER','0',null,'11-MAY-2020','18HNM-INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 02:39:29','2020-08-22 22:44:43',null,'1',null,'0');
INSERT INTO complaints VALUES('241','ADIL SALEEM','03335552198','H NO 231 ST NO 335 SEC F/10-1 ISB','5','33','120123','DAWLANCE','0',null,'30-JUL-2020','10500DW - 906','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 02:41:37','2020-08-22 22:42:42',null,'1',null,'0');
INSERT INTO complaints VALUES('242','HAMZA FAROOQ','03245977416','PAF BASE KALAR KAHAR','9','51','194208','TCL','2005VLR301170A00264',null,'8-aug-2020','43S6500 - 869','FLAT PANEL TV','POWER ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-13 02:50:25','2020-08-22 23:22:32',null,'1',null,'0');
INSERT INTO complaints VALUES('243','KAMRAN BHR-7','03219507474','FREINDS CORPORTAION NEAR WALLAYAT COMPLEX RABI CENTRE PHASE 7 B.TOWN RWP','6','14','0','DAWLANCE','0',null,'0','132S , 393GSS(2-PC)','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 02:54:18','2020-08-22 22:30:31',null,'1',null,'0');
INSERT INTO complaints VALUES('244','AHSAN MEHMOOD','03335212082','E94/A BLOCK E SATELLITE TOWN RWP','6','12','0','SIGNATURE','0',null,'2 YEARS AGO','SIDE BY SIDE','REFRIGERATOR','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 03:14:39','2020-09-16 01:00:37',null,'1',null,'0');
INSERT INTO complaints VALUES('245','mr MEHMOOD','03335543080','H NO 7 ST NO 15 SEC G DHA 5 ISB','8','42','758','GREE','0',null,'21-MAY-2020','500FC - 993','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 19:17:41','2020-09-02 01:09:26',null,'1',null,'0');
INSERT INTO complaints VALUES('246','sanam AHSAN','03035908039','OPP BUTT KARAHI BLOCK B DHEER PLAZA POLICE FOUNDATION ISB','4','6','9765','HAIER','0',null,'7-JUL-2019','306EBS - 859','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-13 19:52:46','2020-08-22 22:26:23',null,'1',null,'0');
INSERT INTO complaints VALUES('247','COL SAIF','03027612133','H NO 9 LANE NO 9 SEC E  DHA 2 ISB','6','16','28823','SIGNATURE','0',null,'5-AUG-2020','HC-3764G - 1122','BUILT IN APPLLIANCES','FLAME PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-13 21:47:47','2020-08-22 22:24:25',null,'1',null,'0');
INSERT INTO complaints VALUES('248','ALI','03330556955','H NO 40 ST NO 13 SEC F/15-1 ISB','5','29','1162002','TCL','2001VLR301051A00080',null,'9-5-2020','65C8US - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 21:56:15','2020-09-25 22:00:12',null,'1',null,'0');
INSERT INTO complaints VALUES('249','SAQIB QAZI','03335288515','H NO 70 ST NO 3 SHAHZAD TOWN ISB','8','42','40352','TCL','0',null,'18-JUN-2020','18T3B - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 22:03:50','2020-09-13 20:33:34',null,'1',null,'0');
INSERT INTO complaints VALUES('250','MUZAMMIL PARACHA','03318345781','H NO 1238 ST NO 49 PHASE 3 B.TOWN RWP','6','13','27665','HAIER','0',null,'9-JUN-2020','120-1678HWM - 906','WASHING MACHINE','WASH TUB PROBLEM',null,'5','complaint resolved',null,'customer','0',null,'73','2020-08-13 22:11:15','2020-08-22 22:18:36',null,'1',null,'0');
INSERT INTO complaints VALUES('251','03334893543','SOHAIB SB','H NO 1048 ST NO 32 PHASE 2 B.TOWN RWP','8','47','23131','TCL','2006VLR301178A00056',null,'21-JUL-2020','50P8US - 871','FLAT PANEL TV','NOT WORKING',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-13 22:17:50','2020-08-22 22:16:12',null,'1',null,'0');
INSERT INTO complaints VALUES('252','ASIF KHAN','03022229333 , 03005000069','H NO 1 MAIN BOLYWARD PHASE 2 NEW CITY WAAH CANTT','5','29','118941','DAIKIN','0',null,'9-JUL-2020','50AXV1-INV - 915','AIR CONDITIONER','NOT WORKING',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-13 22:23:52','2020-08-22 22:13:34',null,'1',null,'0');
INSERT INTO complaints VALUES('253','MAZHAR','03212390069','H NO 13 ST NO 2 SEC B DHA 2 ISB','4','6','15780','HAIER','0',null,'9-AUG-2020','438IDBT - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 22:26:46','2020-09-04 01:34:53',null,'1',null,'0');
INSERT INTO complaints VALUES('254','MR HAMZA','03335467622 , 03354555445','H NO 119B SERVICE ROAD SEC G/11-3 ISB','5','34','97225','HAIER','0',null,'18-AUG-2018','568TGG - 908','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 22:29:21','2020-09-16 21:43:12',null,'1',null,'0');
INSERT INTO complaints VALUES('255','MASROOR ALI','03329052626','H NO 12 ST NO 119 SEC G/13-4 ISB','9','22','194395','HAIER','0',null,'10-AUG-2020','438IDBT - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-13 22:31:40','2020-08-22 22:06:25',null,'1',null,'0');
INSERT INTO complaints VALUES('256','SAJJAD HUSSAIN','03014094123','54B JUDICIAL TOWN CHATTER ISB','5','35','120620','DAWLANCE','0',null,'12-AUG-2020','9150LFDS-GB - 858','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 22:33:50','2020-09-04 01:45:42',null,'1',null,'0');
INSERT INTO complaints VALUES('257','BILAL ABBASI','03335490894 , 03331419574','H NO 165 ST NO 35 MARGALLA TOWN PH 2 ISB','8','38','37408','SIGNATURE','0',null,'2-NOV-2019','SWM-SJ40 - 1548','WASHING MACHINE','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 22:36:59','2020-09-16 00:57:26',null,'1',null,'0');
INSERT INTO complaints VALUES('258','NAVEED AHMED','03345150888','SHELL PUMP KHWAJA CORPORATION MAIN ADYALA ROAD RWP CANTT','8','39','41518','HAIER','0',null,'5-AUG-2020','438IDBT - 896','REFRIGERATOR','WATER PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-13 22:40:01','2020-08-22 22:03:04',null,'1',null,'0');
INSERT INTO complaints VALUES('259','MRS NASEER','03215656895','H NO 456 ST NO 21 SEC G/8-2 ISB','8','39','40410','GREE','0',null,'22-JUN-2020','9978EG-CR1 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 22:42:02','2020-09-04 01:44:07',null,'1',null,'0');
INSERT INTO complaints VALUES('260','ABDUL MAJEED','03005038505 , 03215151945','ST NO 2 FAROOQ-E-AZAM ROAD RWP','9','24','161500','SUPER ASIA','0',null,'25-NOV-2018','290SA - 522','WASHING MACHINE','SOUND PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-13 23:09:43','2020-08-22 21:26:04',null,'1',null,'0');
INSERT INTO complaints VALUES('261','KASHIF SALEEM','03215029960','H NO 289 ST NO 10 PHASE 4B GHAURI TOWN ISB','8','42','40600','ORIENT','0',null,'30-JUN-2020','AUTO10 - 902','WASHING MACHINE','NOT WORKING',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-13 23:38:53','2020-09-09 03:10:09',null,'1',null,'0');
INSERT INTO complaints VALUES('262','ALI MAISUM','03343147117','H NO 623 ST NO 20 USMAN BLOCK PHASE 8 B.TOWN RWP','8','42','41212','CARAVELL','0',null,'21-JUL-2020','204b','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-13 23:45:35','2020-08-22 21:04:10',null,'1',null,'0');
INSERT INTO complaints VALUES('263','COL QASIM','03108806352','214/5 ORDANANCE ROAD NEYAR ORD MESS LALKURTI RWP','7','49','18831','HAIER','0',null,'11-APR-2019','18SNS-INV-BU - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-14 00:25:44','2020-09-04 02:02:22',null,'1',null,'0');
INSERT INTO complaints VALUES('264','MARWAR USMANI','03002996019 , 03005364272','H NO 142 1ST FLOOR ST NO 12 CHAMARZAR COLONY RWP','8','40','40076','ORIENT','0',null,'8-JUN-2020','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-14 00:32:27','2020-09-12 21:51:38',null,'1',null,'0');
INSERT INTO complaints VALUES('265','OSAMA PEERZADA','03336377017 , 03014669705','H NO 634/1 ST NO 1 SEC 1 AIRPORT HOUSING SOCIETY RWP','5','32','91204','TCL','1712VLR300416A00177',null,'27-JAN-2018','43P6US - 869','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-14 00:36:55','2020-08-22 20:59:43',null,'1',null,'0');
INSERT INTO complaints VALUES('266','FARHAT NAQVI','033355131527','H NO 272 ST NO 28 SEC G/14-4 ISB','5','30','105948','ORIENT','0',null,'14-JUN-2019','CRYSTAL-C-BLK - 993','WATER DISPENSER','NOT WORKING',null,'5','complain closed',null,'customer','0',null,'73','2020-08-14 00:43:36','2020-09-14 22:25:39',null,'1',null,'0');
INSERT INTO complaints VALUES('267','FARRUKH SB','03352588150','H NO 581 ST NO 30 SEC F DEFENCE VILLAS PHASE 8 B.TOWN RWP','6','15','25242','HAIER','0',null,'22-DEC-2019','24HDZ-W INV - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-14 01:04:51','2020-09-16 21:29:56',null,'1',null,'0');
INSERT INTO complaints VALUES('268','RUBINA SULEMAN','03009501035','H NO 5 ST NO 14 ORCHARD B DHA 1 RWP','6','16','19000','LG','0',null,'OUT OF WARRANTY','32LJ570-P - 936','FLAT PANEL TV','ON OFF PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-14 01:31:00','2020-09-13 20:37:46',null,'1',null,'0');
INSERT INTO complaints VALUES('269','SHAHNAZ','03136989866','HO#568 ST#29 SEC F DEFENECE VILLAS PHAS 07 B.TOWN','9','22','0','MAYTAG','GALANZ COMPANY OUT OFF WARRANTY','0201-10-21',null,'0513AGW-S - 1653','DISH WASHER','D/W NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-14 01:34:29','2020-09-17 22:53:29',null,'1',null,'0');
INSERT INTO complaints VALUES('270','NABI AHMED','03365287934','H NO 1705B-1 ROAD  PHASE 7 B.TOWN RWP','6','12','28456','HAIER','0',null,'16-JUL2020','120-1678HWM - 906','WASHING MACHINE','NOT WORLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-14 01:57:13','2020-08-22 20:32:56',null,'1',null,'0');
INSERT INTO complaints VALUES('271','SOHAIL USMANI','03005701890','H NO 19 ST NO 7 SEC C DHA 2 ISB','9','24','179238','HAIER','0',null,'28-SEP-2019','95-1678HWM - 1817','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-14 02:30:25','2020-08-22 20:30:54',null,'1',null,'0');
INSERT INTO complaints VALUES('272','SOHAIB SB','03334893543','H NO 1048 ST NO 32 BAHRIA PHASE 2 RWP','8','47','23131','TCL','2006VLR301178A00056',null,'28-JUL-2020','50P8US - 871','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-14 03:02:06','2020-08-22 20:29:10',null,'1',null,'0');
INSERT INTO complaints VALUES('273','MRS SOHAIL','03218547783 , 4833668','H NO 811E SEC 2 ST NO 35 KHAYABAN-E-SIRSYED RWP','9','19','0','ORIENT','0',null,'26-MAR-2018','12-JUPITER-SW INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-15 20:06:29','2020-10-29 19:11:08',null,'1',null,'0');
INSERT INTO complaints VALUES('274','SHAHZAD SB','03335580007','SHOP NO 27 UNITED CENTRE PLAZA SHAMSABAD RWP','9','26','192037','CARAVELL','0',null,'3-JUL-2020','600MEC - 1652','CHILLER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-15 20:52:19','2020-09-04 01:22:53',null,'1',null,'0');
INSERT INTO complaints VALUES('275','SHAHISTA QASIER','03215192890','HO#1326 ST#04 BLOCK C O9 NPF ISB','4','7','1094','SAMSUNG','0','2017-10-15',null,'40J5200-P - 938','FLAT PANEL TV','DEAD PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-15 20:57:08','2020-09-13 20:40:53',null,'1',null,'0');
INSERT INTO complaints VALUES('276','KHAWAR QAYYUM','03315394733','KAHUTA','9','51','169168','SONY','0',null,'13-APR-2019','32W600D-S - 936','FLAT PANEL TV','WIFI PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-15 20:59:46','2020-09-16 00:52:59',null,'1',null,'0');
INSERT INTO complaints VALUES('277','SHAHISTA QASIER','03215192890','HO#1326 ST#04 BLOCK C O9 NPF ISB','4','9','7655','KENWOOD','0','2019-02-19',null,'1824HC - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-15 21:17:32','2020-08-25 23:18:10',null,'1',null,'0');
INSERT INTO complaints VALUES('278','BILAL GILLANI','03045577216','H NO 517A ST NO 7 SEC A PHASE 8 B.TOWN RWP','6','12','0','SAMSUNG','0',null,'1 YEAR AGO','FRONT LOAD','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-15 21:17:35','2020-09-13 20:44:02',null,'1',null,'0');
INSERT INTO complaints VALUES('279','03005548081','03005548081','FREINDS SADDAR RWP','7','49','0','DAWLANCE','0',null,'0','9144FPR - 857','REFRIGERATOR','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-15 22:15:45','2020-08-25 23:25:34',null,'1',null,'0');
INSERT INTO complaints VALUES('280','HUMA','03358851908','XYZ','5','32','0','KENWOOD','0','2020-08-15',null,'1231S-HC INV - 913','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-15 22:32:04','2020-08-22 23:57:04',null,'1',null,'0');
INSERT INTO complaints VALUES('281','ABC','03358851908','XYZ','7','49','0','HAIER','0','2020-08-15',null,'12LTH - 912','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-15 22:36:34','2020-08-23 00:00:59',null,'1',null,'0');
INSERT INTO complaints VALUES('282','ANEEQ','03008851908','XYZ','6','12','0','KENWOOD','0','2020-08-15',null,'1231S-HC INV - 913','AIR CONDITIONER','XYZ',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-15 22:45:35','2020-08-22 23:59:01',null,'1',null,'0');
INSERT INTO complaints VALUES('283','IMRAN FCP','03335331105 , 03125331105','FREINDS GULNOOR MARKET RWP','9','51','0','KENWOOD','0',null,'0','3 TON FLOOR STANDING','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-15 23:07:56','2020-09-23 21:42:17',null,'1',null,'0');
INSERT INTO complaints VALUES('284','ABRAR SHAH','03005143993','GALANI ST ST#05 LIFT SIDE SHABEER LANE','9','51','174567','ORIENT','0','2019-07-06',null,'18G-HYPER-SW - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-15 23:10:33','2020-09-29 19:42:36',null,'1',null,'0');
INSERT INTO complaints VALUES('285','03000733388','03000733388','H NO 189A IQBAL ROAD SEC 2 AIRPORT HOUSING SOCIETY RWP','9','19','0','SIGNATURE','0',null,'OUT OF WARRANTY','SWD-HD10-GR - 994','WATER DISPENSER','TAB DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-15 23:12:39','2020-09-19 20:39:13',null,'1',null,'0');
INSERT INTO complaints VALUES('286','UZAIR SB','03455885057','NEAR GOL MARKET SEC F/7 MARKAZ ISB','9','22','193310','CARAVELL','0',null,'22-JUL-2020','204b','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-15 23:17:25','2020-09-15 20:28:43',null,'1',null,'0');
INSERT INTO complaints VALUES('287','MR ABDULLAH','03104606677','H NO 388 ST NO 18 PHASE 3 B.TOWN RWP','6','13','24670','PANASONIC','0',null,'14-DEC-2019','564W - 1606','MICROWAVE OVEN','ON OFF PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-15 23:22:13','2020-09-16 00:48:40',null,'1',null,'0');
INSERT INTO complaints VALUES('288','ATTIQ SB','03350845904','H NO 3963 ST NO 42 ALLAMA IQBAL COLONY TENCH BHATTA RWP','9','24','190527','SIGNATURE','0',null,'15-JUN-2020','SBC-ADELAIDE-90 - 1123','BUILT IN APPLLIANCES','FILTER AND LIGHT PROBLEM',null,'5','complaint resolved',null,'customer','0',null,'73','2020-08-15 23:25:07','2020-08-27 19:35:40',null,'1',null,'0');
INSERT INTO complaints VALUES('289','AALIA KHAN','03335793000','H NO 5 ST NO 5 OVERSEAS SEC 7 PHASE 8 B.TOWN RWP','6','16','23872','KENWOOD','0',null,'9-NOV-2019','1012SA - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-15 23:32:47','2020-09-29 02:37:48',null,'1',null,'0');
INSERT INTO complaints VALUES('290','ASIF ALI','03329882038 , 03349433745','DG TOURISM OLYMPIC PLAZA QAYYUM STADIUM PESHAWAR','8','37','20658','KENWOOD','0',null,'10-FEB-2020','2430F-IMPERIAL - 916','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-15 23:38:22','2020-09-15 20:31:49',null,'1',null,'0');
INSERT INTO complaints VALUES('291','HASSAN SAB','03201100521','APP#LG06 SPRING APP R.W.P','4','5','2732','SIGNATURE','OTHER#03215544889','2018-02-26',null,'SWM-JD46 - 945','WASHING MACHINE','ISSUE ERROR L1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-15 23:39:03','2020-09-16 21:37:27',null,'1',null,'0');
INSERT INTO complaints VALUES('292','AHMED ALI','03008554941','H NO 29 ST NO 5 SEC A DHA 1 RWP','6','12','9253','SIGNATURE','0',null,'12-JUN-2017','SRF-HM100 - 908','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-15 23:41:12','2020-09-12 22:09:27',null,'1',null,'0');
INSERT INTO complaints VALUES('293','SYED AWAIS','03002344370','UNIT 3 CHINAB CENTRE MAIN JINNAH AVENUE BLUE AREA OPP UFONE TOWER ISB','8','37','31750','KENWOOD','0',null,'15-JAN-2019','1224HC-INV - 913','AIR CONDITIONER','COMPRESSOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-15 23:43:22','2020-09-27 01:23:36',null,'1',null,'0');
INSERT INTO complaints VALUES('294','HAJI NAEEM SB','03005026010','KHALID ZARGARLI SHOP MAIN SARAFA BAZAR TEXILLA','9','20','173338','ORIENT','0',null,'19-JUN-2019','18G-HYPER-SW - 915','AIR CONDITIONER','E5 ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-15 23:53:57','2020-08-23 00:12:49',null,'1',null,'0');
INSERT INTO complaints VALUES('295','AYAZ KHAN','03002694793','CHAT INTERCHNAGE  PINDI SE ADHA GHNTA KA FASLA','8','39','37850','LG','0',null,'12-DEC-2019','287SLUV-S - 909','REFRIGERATOR','COOLING PROBLEM',null,'5','completed',null,'customer','0',null,'73','2020-08-15 23:59:07','2020-09-24 01:48:43',null,'1',null,'0');
INSERT INTO complaints VALUES('296','DR IRFAN','03319838469','H NO 21A ST NO 3 SEC A DHA 2 ISB','4','11','15733','GREE','0',null,'8-AUG-2020','18FITH1C - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 00:00:07','2020-08-23 00:05:27',null,'1',null,'0');
INSERT INTO complaints VALUES('297','SHAHID SB','03454894470','H NOO 200 ST NO 8 PHASE 3 B.TOWN RWP','4','6','12176','SIGNATURE','0',null,'15-DEC-2019','MD99SS-S - 1723','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 00:02:46','2020-09-13 20:59:57',null,'1',null,'0');
INSERT INTO complaints VALUES('298','MR ZEESHAN','03325556589','725G ST NO 1F SEC D PHASE 8 B.TOWN RWP','6','16','28930','HAIER','0',null,'9-AUG-2020','12HFCA-G-INV - 913','AIR CONDITIONER','ERROR E7',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 00:05:51','2020-08-23 00:22:59',null,'1',null,'0');
INSERT INTO complaints VALUES('299','JAWAD','03214146464','FAISAL MOSQUE','8','38','34216','CARAVELL','0',null,'30-MAY-2019','1500MEC - 979','CHILLER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 00:15:25','2020-09-30 01:08:01',null,'1',null,'0');
INSERT INTO complaints VALUES('300','YOUSAF AMANAT','03335616133','H NO 164A ST NO 36 SEC F/10-1 ISB','5','28','0','LG','0',null,'OUT OF WARRANTY','47LB6520','FLAT PANEL TV','SCREEN BLINK',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 00:16:59','2020-09-12 22:11:32',null,'1',null,'0');
INSERT INTO complaints VALUES('301','MUHAMMAD ASGHAR','03339465487','H NO 421 ST NO 1 SEC I/8-4 ISB','5','34','113479','HAIER','0',null,'1-JAN-2020','95-1678HWM - 1817','WASHING MACHINE','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 00:21:39','2020-09-17 02:35:12',null,'1',null,'0');
INSERT INTO complaints VALUES('302','IKHWAN AHMED','03055481182','VILLAGE CHATRU KAHUTA ROAD RWP','8','37','17496','SIGNATURE','0',null,'26-SEP-2018','SRF-WB100-S - 860','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 00:27:29','2020-09-12 22:16:22',null,'1',null,'0');
INSERT INTO complaints VALUES('303','BRIG QAISER','03214072229','H NO 13 LANE NO 2A SEC H DHA 2 ISB','6','14','25825','SONY','0','2020-08-15',null,'65X9500G-S - 1443','FLAT PANEL TV','WIFI PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 00:27:56','2020-09-12 22:18:51',null,'1',null,'0');
INSERT INTO complaints VALUES('304','BILAL','03165085164','JINNAH SUPER MARKET SEC F/7 ISB','5','28','0','SIGNATURE','0',null,'8 MONTHS BACK','40V600 - 938','FLAT PANEL TV','DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 00:32:28','2020-09-12 22:21:23',null,'1',null,'0');
INSERT INTO complaints VALUES('305','MR NADEEM','03346276399','H NO C310 ST NO 49 SEC F/7-4 ISB','5','36','116665','GREE','0',null,'23-MAY-2020','8890EG-CR1 - 896','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 00:32:52','2020-08-23 00:55:16',null,'1',null,'0');
INSERT INTO complaints VALUES('306','ZAFAR HAIDER','03335144490','H NO 37 ST NO 59 SEC I/8-3 ISB','5','28','118400','HAIER','0',null,'29-JUN-2020','95-1678HWM - 1817','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 00:36:33','2020-09-12 22:23:46',null,'1',null,'0');
INSERT INTO complaints VALUES('307','NAYAR ZADHI','03219595659','HO#415 COL SHAH KHAN ROAD SEC F-11/3 ISB','5','28','89000','SIGNATURE','0',null,'28-10-2017','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-16 00:37:35','2020-09-12 22:31:28',null,'1',null,'0');
INSERT INTO complaints VALUES('308','COL NASIR KIYANI','03215502323','4901A LANE NO 6B SHERZAMAN COLONY TULSA ROAD LALAZAR RWP','9','19','192931','SAMSUNG','0',null,'16-JUL-2016','11J5710-S - 905','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 00:44:56','2020-09-16 00:36:10',null,'1',null,'0');
INSERT INTO complaints VALUES('309','C/O UMER SB','03455587338','H NO 1580 PHASE 7 B.TOWN RWP','8','37','0','SAMSUNG','0',null,'2 YEARS AGO','TOP LOAD W/MACHINE','WASHING MACHINE','ERROR PROBLEM',null,'5','COMPLAIN RESOLVED',null,'customer','0',null,'73','2020-08-16 00:48:17','2020-09-13 21:27:47',null,'1',null,'0');
INSERT INTO complaints VALUES('310','HASSAN MOONIS','03008511168','APP#206 TARIQ HIGHT F-11/1 ISB','8','37','34727','DAWLANCE','03379851920',null,'16/JUNE/2019','PRO-ACTIVE15-INV - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-16 00:51:54','2020-09-13 21:09:27',null,'1',null,'0');
INSERT INTO complaints VALUES('311','ALI JAMAL','03215077305','H NO 383/1B LANE NO 7 PESHAWAR ROAD RWP','9','20','155895','SIGNATURE','0',null,'21-JUL-2018','SRF-WB52-B - 887','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 00:53:03','2020-09-16 21:39:46',null,'1',null,'0');
INSERT INTO complaints VALUES('312','UMER SB','03215424687','H NO 719 ST NO 31 ROAD D PHASE 3 B.TOWN RWP','6','14','18397','LG','0',null,'17-DEC-2018','1066NEFTF-S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 00:58:18','2020-09-16 00:29:34',null,'1',null,'0');
INSERT INTO complaints VALUES('313','SULEMAN KHAN','03455254496','H NO 19E ST NO 8 BLOCK B MAIN JINNAH ROAD SEC 4 AIRPORT HOUSING SOCIETY  RWP','6','14','18939','SIGNATURE','0',null,'20-JAN-2019','SWM-SJ40 - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 01:00:51','2020-09-13 21:14:53',null,'1',null,'0');
INSERT INTO complaints VALUES('314','AZEEM FCP','03315420488','FREINDS GULNOOR MARKET RWP','9','50','0','SIGNATURE','0',null,'0','WB65GD','REFRIGERATOR','COOLING PROBLEM',null,'5','DELIVERD',null,'customer','0',null,'73','2020-08-16 01:02:16','2020-09-28 02:10:30',null,'1',null,'0');
INSERT INTO complaints VALUES('315','TARIQ MALIK','03018512200 , 03325009749','FLAT NO 4C BLOCK 12 ASKARI TOWER 1 RWP','6','15','23941','KENWOOD','0',null,'13-NOV-2019','1010SA - 902','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 01:05:13','2020-08-25 21:06:04',null,'1',null,'0');
INSERT INTO complaints VALUES('316','MOHSIN ABBAS','03239733152','H NO 535 ST NO 85 SEC C GULSHANABAD ASKARI 14 RWP','6','15','16973','SAMSUNG','0',null,'30-OCT-2018','60H6050FS-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 01:07:17','2020-09-23 22:16:58',null,'1',null,'0');
INSERT INTO complaints VALUES('317','JAVED SB','03005106883','H NO CB 2936 MISRIAL ROAD FREINDS COLONY ST OMORE FAROOQ RWP','9','19','177858','HAIER','0',null,'26-AUG-2019','18HNF-INV-G - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 01:10:49','2020-08-25 21:30:39',null,'1',null,'0');
INSERT INTO complaints VALUES('318','SHAHID SB','03454894470','H NOO 200 ST NO 8 PHASE 3 B.TOWN RWP','4','6','12176','SIGNATURE','0',null,'15-DEC-2019','MD99SS-S - 1723','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 01:30:10','2020-09-11 20:40:20',null,'1',null,'0');
INSERT INTO complaints VALUES('319','AHSAN AZEEM','03005113249','H NO 76 ST NO 237 SEC F/11-1 ISB','8','37','0','HAIER','0',null,'IN WARRANTY','18SGF-INV - 915','AIR CONDITIONER','FINS PPROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 01:32:24','2020-09-16 00:25:12',null,'1',null,'0');
INSERT INTO complaints VALUES('320','SALMAN CHEEMA','03335189845','H NO 278/4 JAMMI LANE NEAR ROMI PARK PESHAWAR ROAD RWP CANTT','9','27','193609','DAWLANCE','0',null,'27-jul-2020','400P/STUCCO - 141','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 01:47:16','2020-09-12 22:38:40',null,'1',null,'0');
INSERT INTO complaints VALUES('321','QAZI UMAR','03215241182','LANE NO 1 RANGE ROAD NEAR QASIM MARKET RWP','9','27','194622','HAIER','0',null,'13-AUG-2020','12HNR-G-INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-16 01:49:13','2020-09-29 21:15:45',null,'1',null,'0');
INSERT INTO complaints VALUES('322','NADIR ALI','03018889888','H NO 33 ST NO 8 NEAR QASIM MARKET REHMAN SHADI HALL GARDEN TOWN KHANNAPULL ISB','9','26','142275','SIGNATURE','0',null,'25-OCT-2017','SWM-FW1412S - 906','WASHING MACHINE','SERVICE REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 02:06:06','2020-09-12 22:40:54',null,'1',null,'0');
INSERT INTO complaints VALUES('323','NIAZ AHMED','03009707037','H NO 224 ST NO 50 SEC F/10-4 ISB','5','34','113747','SONY','0',null,'10-JAN-2020','65X8577G-S - 1443','FLAT PANEL TV','WIFI PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 02:07:52','2020-09-12 22:42:54',null,'1',null,'0');
INSERT INTO complaints VALUES('324','NASIR MEHMOOD','03335505505','H NOCB 335 DHAMIAL ROAD OPP ZIARAT BABA GOHAR ALI SHAH RWP','9','26','189324','SUPER ASIA','0',null,'27-MAY-2020','4500ECM - 1577','AIR COOLER','WATER PUMP',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 02:11:02','2020-09-16 21:58:56',null,'1',null,'0');
INSERT INTO complaints VALUES('325','ABDUL REHMAN','03008562710','H NO 1559 ST NO 127A SEC 1 GULSHANABAD ADYALA ROAD RWP','9','26','140582','SIGNATURE','0',null,'13-SEP-2017','SCF-HM10 - 955','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 02:25:54','2020-09-13 21:20:27',null,'1',null,'0');
INSERT INTO complaints VALUES('326','RIZWAN','03125232023','ST NO 12 ABDULLAH GARDEN NEAR BAHRIA ENCLAVE PARK ROAD ISB','9','27','185108','DAWLANCE','0',null,'5-JAN-2020','9188WBGD-INV-GREEN - 746','REFRIGERATOR','GAS KIT PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-16 02:34:13','2020-09-05 02:17:10',null,'1',null,'0');
INSERT INTO complaints VALUES('327','RAJA HABEEB','03355808322 , 03458509728','LANE NO 1 NADIR STREET SOHAIB MANZIL ADYALA ROAD RWP CANTT','9','19','134661','SAMSUNG','0',null,'10-MAY-2016','25FAJEDWW - - 858','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 02:47:44','2020-09-16 21:56:07',null,'1',null,'0');
INSERT INTO complaints VALUES('328','ADIL FHS','03225566006','FREINDS SHAMSABAD RWP','8','38','0','HAIER','0',null,'0','438IDBT - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','.',null,'customer','0',null,'73','2020-08-16 19:12:08','2020-09-28 00:47:55',null,'1',null,'0');
INSERT INTO complaints VALUES('329','C/O SADDIQ SB','03445667777','H NO 9 ST NO 64 SEC F/8-4 ISB','8','37','0','SAMSUNG','0',null,'2 YEARS AGO','REF SAMSUNG','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 19:26:24','2020-09-16 22:01:20',null,'1',null,'0');
INSERT INTO complaints VALUES('330','MRS NOMAN','03335184092','H NO 2 SUNSET STREET GREEN AVENUE CHTHA BAKHTAWAR ISB','8','38','41848','KENWOOD','0',null,'15-AUG-2020','1826S-INV - 915','AIR CONDITIONER','ERROR E5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 20:08:03','2020-09-13 21:24:29',null,'1',null,'0');
INSERT INTO complaints VALUES('331','TAHIR NADEEM','03335359799','OPP ST NO 29 DHOK SYEDAN ROAD KAMALABAD RWP','9','21','148411','MITSUBISHI','0',null,'10-MAR-2018','71VA - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-16 20:15:12','2020-08-22 21:14:45',null,'1',null,'0');
INSERT INTO complaints VALUES('332','EJAZ AHMED','03455682288','H NO 3A LANE NO 2 SEC F DHA 2 ISB','6','14','28994','GREE','03044771193',null,'11-AUG-2020','340G-CR1 - 884','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 20:21:23','2020-09-13 21:26:50',null,'1',null,'0');
INSERT INTO complaints VALUES('333','DANISH KHAN','03013109189','H NO 662 ST NO 23 SEC F1 PHASE 8 B.TOWN RWP','6','15','22531','LG','0',null,'6-AUG-2019','247SMUV-S - 909','REFRIGERATOR','LIGHT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 20:28:50','2020-09-27 20:18:58',null,'1',null,'0');
INSERT INTO complaints VALUES('334','MR WAQAR','03005101700','H NO 294 ST NO 28 PARK ENCLAVE ISB','8','38','37963','SHARP','03484554452',null,'14-DEC-2019','18HCP-INV - 915','AIR CONDITIONER','COOLING AND SNOW',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 20:35:04','2020-09-16 00:20:47',null,'1',null,'0');
INSERT INTO complaints VALUES('335','BUTT PWD','03115006051','FREINDS NEAR TEHZEEB BAKERS PWD','4','7','0','HAIER','0',null,'0','24HNI AND 18HFB','AIR CONDITIONER','GAS AND CARD PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 20:56:42','2020-08-25 20:39:01',null,'1',null,'0');
INSERT INTO complaints VALUES('336','MUHAMMAD ASIF','03178882198','G391 ST NO 3 DAV COLLEGE ROAD RWP','9','19','0','SIGNATURE','0',null,'0','JX1-BL - 1708','WATER DISPENSER','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 21:37:32','2020-09-16 00:18:26',null,'1',null,'0');
INSERT INTO complaints VALUES('337','MR WAHEED','03345471123','VILLAGE MUNG  KHANPUR ROAD PAK ESTRIA UNIVERSITY HARIPUR','9','20','192397','ORIENT','03135094357',null,'8-JUL-2020','18G-BOLD-UW-INV - 915','AIR CONDITIONER','GAS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 21:45:51','2020-08-25 20:08:20',null,'1',null,'0');
INSERT INTO complaints VALUES('338','NAEEM AKHTER','03136222022','H NO 11 MADINA STATE NEAR GHOURI TOWN ISB','4','7','14873','GREE','0',null,'26-JUN-2020','8890EG-CW3 - 2116','REFRIGERATOR','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 21:47:29','2020-08-25 20:19:57',null,'1',null,'0');
INSERT INTO complaints VALUES('339','MUHAMMAD IRFAN','03455536480','VILLAGE KOTLA P/O MEHRA MORA DIS RWP','9','19','180860','DAWLANCE','0',null,'3-NOV-2019','9188WBHZ - 83','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 21:49:54','2020-08-25 19:47:51',null,'1',null,'0');
INSERT INTO complaints VALUES('340','MIAN G','03005551280','CROWN VISTA PLAZA NEAR SAVE MART GHOURI TOWN PHASE5 ISB','9','27','194495','CARAVELL','0',null,'12-AUG-2020','450MEC - 1651','CHILLER','LED PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 21:58:09','2020-09-17 21:18:22',null,'1',null,'0');
INSERT INTO complaints VALUES('341','muhammad omer','03338422212','h no 4 st no 16c mehrban town near hadiyat masjid tarlai chowk rwp','9','19','182618','KENWOOD','03107821123',null,'7-dec-2019','400GD-BKG - 895','REFRIGERATOR','door problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 23:26:08','2020-08-25 19:55:05',null,'1',null,'0');
INSERT INTO complaints VALUES('342','muhammad omer','03338422212','h no 4 st no 16c mehrban town near hadiyat masjid tarlai chowk rwp','9','19','182618','HAIER','03107821123',null,'7-dec-2019','90-1789HWM - 901','WASHING MACHINE','not working',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 23:26:15','2020-08-25 19:54:20',null,'1',null,'0');
INSERT INTO complaints VALUES('343','MOHD AMIN','03335745850','h no 45 st no 6 gardezi house barma town letrar road isb','9','21','182815','KENWOOD','0',null,'11-DEC-2019','1015SA - 902','WASHING MACHINE','water problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 23:34:15','2020-09-12 23:03:41',null,'1',null,'0');
INSERT INTO complaints VALUES('344','hanan KHAN','03009560663','H NO 100/1 OFFICERS COLONY LALA RUKH WAAH CANTT','6','14','28633','SHARP','0',null,'24-JUL-2020','24HCP-INV - 917','AIR CONDITIONER','COOLING AND SNOW',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 23:40:01','2020-08-25 19:42:29',null,'1',null,'0');
INSERT INTO complaints VALUES('345','COL MUDASSIR','03215800537','H NO 25 ST NO 4 SEC F DHA 2 ISB','6','14','24408','SIGNATURE','03335394471',null,'11-DEC-2019','3763S - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 23:42:27','2020-09-17 21:16:45',null,'1',null,'0');
INSERT INTO complaints VALUES('346','ASLAM PERVAIZ','03008548422','H NO 1/A CIRCULAR AVENUE SAFARI VILLAS 1 RWP','6','14','29051','SAMSUNG','0',null,'13-AUG-2020','32M71207F-S - 1468','FREEZER','DOOR REPLACED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 23:48:38','2020-09-13 21:33:25',null,'1',null,'0');
INSERT INTO complaints VALUES('347','DR MARIYAM','03215162772','363 ST NO 20 BAHRIA SPRINGS PHASE 7 B.TOWN RWP','6','14','13246','DAIKIN','0',null,'25-MAR-2018','50AXV1-INV - 915','AIR CONDITIONER','NOT WORKING',null,'5','complain resolved',null,'customer','0',null,'73','2020-08-16 23:54:52','2020-09-13 22:10:54',null,'1',null,'0');
INSERT INTO complaints VALUES('348','KAMRAN BHR-7','03219507474','FREINDS CORPORTAION NEAR WALLAYAT COMPLEX RABI CENTRE PHASE 7 B.TOWN RWP','6','15','29083','HAIER','0',null,'15-AUG-2020','18HD-G-INV - 915','AIR CONDITIONER','BOARD MISSING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-16 23:59:20','2020-08-25 19:39:07',null,'1',null,'0');
INSERT INTO complaints VALUES('349','ANWAR GANI','03355377790','347 ST NO 7 USMAN BLOCK PHASE 8 B.TOWN RWP','6','13','29004','ORIENT','0',null,'11-AUG-2020','531BL - 993','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-17 00:03:11','2020-08-25 19:38:35',null,'1',null,'0');
INSERT INTO complaints VALUES('350','ZAFAR IQBAL','03365553282','H NO 579 ST NO 11/1 BLOCK B NPF ISB','6','16','12971','SIGNATURE','0',null,'6-MAR-2018','SRF-KK90S - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 00:08:03','2020-09-13 21:37:53',null,'1',null,'0');
INSERT INTO complaints VALUES('351','HAMZA SB','03335832282','H NO 473/388 7TH ROAD SATELLITE TOWN NEAR BRIGHT HALL SCHOOL RWP','9','19','173095','SAMSUNG','0',null,'16-JUN-2019','13J5730-S - 907','WASHING MACHINE','RINS PROBLEM',null,'5','NOT ATTEND CALL',null,'customer','0',null,'73','2020-08-17 01:11:30','2020-09-12 20:05:02',null,'1',null,'0');
INSERT INTO complaints VALUES('352','AZEEM FCP','03335500550','FREINDS GULNOOR MARKET RWP','9','19','194471','SAMSUNG','0',null,'11-AUG-2020','40N5300-MRM - 938','FLAT PANEL TV','REF TO SAQIB FCP',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 01:14:17','2020-09-13 21:40:33',null,'1',null,'0');
INSERT INTO complaints VALUES('353','ZEESHANUL HAQ','03335360977','H NO 356 ST NO 2D PHASE 5 GHAURI TOWN ISB','5','35','117800','HAIER','0',null,'17-JUN-2020','12HFCE-W-INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 02:34:27','2020-09-12 20:10:50',null,'1',null,'0');
INSERT INTO complaints VALUES('354','OSAMA','03165271441','H NO 1176 ST NO 2 BLOCK C NPF O9 ISB','5','35','120699','ORIENT','0',null,'13-AUG-2020','18G-HYPER-SW - 915','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 02:34:33','2020-09-16 00:14:01',null,'1',null,'0');
INSERT INTO complaints VALUES('355','HAIDER ABBAS','03005112662','H NO 466 ST NO 74 SEC G/8-1 ISB','9','22','191824','GREE','0',null,'1-JUL-2020','340DG-CP2 - 884','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 02:35:27','2020-09-23 00:56:12',null,'1',null,'0');
INSERT INTO complaints VALUES('356','NIGHAT SULTANA','03216652503','H NO 704 ST NO 106 SEC 3 GULSHANABAD ADYALA ROAD RWP CANTT','9','51','190100','TCL','1907VLR300894A00119',null,'8-JUN-2020','65C6US - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 02:39:41','2020-10-07 20:01:25',null,'1',null,'0');
INSERT INTO complaints VALUES('357','MUHAMMAD KHAN','03013111031','88 MAIN MARGALLA ROAD SEC F/6-2 ISB','5','28','0','SIGNATURE','0',null,'3 YEARS AGO','SWD-MD1 - 994','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 19:46:17','2020-09-13 21:43:28',null,'1',null,'0');
INSERT INTO complaints VALUES('358','IMTIAZ KIYANI','03005140117','ANGORI ROAD 17MEEL NEAR BARAKAHO ISB','9','27','150285','SUPER ASIA','03215172137',null,'12-APR-2018','5000ECM - 309','AIR COOLER','FAN MOTOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 20:03:21','2020-08-25 19:24:54',null,'1',null,'0');
INSERT INTO complaints VALUES('359','KHAWAR ASHRAF','03335240827','H NO 397D ST NO 18 BLOCK D PWD ISB','4','7','8638','WAVES','0515155764',null,'1-MAY-2019','313WDF - 956','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 20:07:13','2020-08-25 19:16:14',null,'1',null,'0');
INSERT INTO complaints VALUES('360','NAVEED MUSTAFA','03126222210','FLAT NO 309 3RD FLOOR PARADIGM HEIGHTS NEAR QUAID-E-AZAM JUNCTION PHASE 8 B.TOWN RWP','8','38','39509','XTREEM','0',null,'15-MAR-20','788','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 20:12:35','2020-09-19 20:49:58',null,'1',null,'0');
INSERT INTO complaints VALUES('361','TAHA RASOOL','03335374273','H NO 63 ST NO 62 SEC G/13-2 ISB','4','5','14235','HAIER','0',null,'30-MAY-2020','438IDBT - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 20:22:03','2020-10-01 00:42:36',null,'1',null,'0');
INSERT INTO complaints VALUES('362','JAVED IQBAL','03335261717','H NO CB492 AFSHAN COLONY KHAWAJA S TREET RANGE ROAD RWP','9','22','101634','SAMSUNG','0',null,'7-JUN-2015','64H5120EW - 909','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 20:24:28','2020-09-13 21:46:24',null,'1',null,'0');
INSERT INTO complaints VALUES('363','AOQIA KHAN','03325200234','H NO 310 ST NO 31 SEC F/11-2 ISB','5','30','73270','PANASONIC','0',null,'25-FEB-2016','148VB3 - 899','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 20:38:31','2020-09-16 00:09:42',null,'1',null,'0');
INSERT INTO complaints VALUES('364','BRIG ASHER','03215380910','H NO 39 LANE NO 2 ASKARI 13 ADYALA ROAD RWP','9','19','175683','HAIER','0',null,'21-JUL-2019','618HRF-SS - 903','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 21:11:36','2020-08-25 19:05:10',null,'1',null,'0');
INSERT INTO complaints VALUES('365','nadeem testing','03215854833','Rwp','3','3','0000','BOSS','00000','2020-08-17',null,'6000ECM - 1705','AIR COOLER','cooling problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 21:24:06','2020-09-13 21:52:28',null,'1',null,'0');
INSERT INTO complaints VALUES('366','nadeem testing 1','03120056709','adyala','3','3','1111','ETALY','3333','2020-08-17',null,'1120AP - 2062','AIR PURIFIER','not purifying',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 21:26:39','2020-09-23 22:20:50',null,'1',null,'0');
INSERT INTO complaints VALUES('367','nadeem testing 2','034658548444','aslam market','3','3','2222','LG','2222','2020-08-17',null,'185GV - 954','FREEZER','not making ice',null,'5','work is good',null,'customer','0',null,'73','2020-08-17 21:28:32','2020-08-17 22:23:05',null,'1',null,'0');
INSERT INTO complaints VALUES('368','MISS SAMINA','03335494921','H NO 122 ST NO 5 ASKARI 10 RWP','5','28','117975','ORIENT','0',null,'22-JUN-2020','18G-ORBIT - 915','AIR CONDITIONER','DEAD',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-17 21:37:43','2020-08-25 19:07:20',null,'1',null,'0');
INSERT INTO complaints VALUES('369','SUNDUS ZAHID','03328598304','H NO 10 LANE NO 1 BILAL BLOCK SEC I PHASE 8 B.TOWN RWP','6','14','0','ORIENT','0',null,'0','AC ORIENT','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 22:58:28','2020-08-25 19:11:31',null,'1',null,'0');
INSERT INTO complaints VALUES('370','SHAHEEN PERVAIZ','03455900243','H NO 404 ST NO 10 PHASE 5 B.TOWN RWP','6','12','0','SIGNATURE','0',null,'0','JX1-RD - 1708','WATER DISPENSER','TAB PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 23:06:21','2020-09-16 00:07:16',null,'1',null,'0');
INSERT INTO complaints VALUES('371','KHAWAJA MANSOOR','03005146805','H NO 12 ST NO 31 KORANG TOWN ISB','8','42','11129','SIGNATURE','0',null,'22-oct-2019','SBH-AC750C','BUILT IN APPLLIANCES','IGNITION PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 23:11:08','2020-09-16 00:03:43',null,'1',null,'0');
INSERT INTO complaints VALUES('372','AHMED FAROOQ','03228874020','H NO 249 ST NO 3 MARGALLA TOWN PHASE 1 ISB','5','28','120817','HAIER','0',null,'15-AUG-2020','438IDBT - 896','REFRIGERATOR','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 23:12:20','2020-09-16 00:01:13',null,'1',null,'0');
INSERT INTO complaints VALUES('373','MUHAMMAD MUNAWAR','03115554526','H NO 307 ST NO 101 SEC E/11-1 ISB','8','37','18966','SIGNATURE','0',null,'6-NOV-2016','MD99SS-S - 1723','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 23:25:33','2020-09-13 22:07:55',null,'1',null,'0');
INSERT INTO complaints VALUES('374','FIDA HUSSAIN','03315803100','RAMZAN MARKET MAIN ROAD BANNI GALA ISB','9','19','187142','ECOSTAR','0',null,'19-FEB-2020','32U571 - 936','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 23:34:59','2020-08-25 18:56:04',null,'1',null,'0');
INSERT INTO complaints VALUES('375','SHAFIQUR REHMAN','03466403747','H NO 496 ST NO 2 PHASE 4C2 GHOURI TOWN ISB','9','23','13106','SIGNATURE','0',null,'12-APR-2017','SWM-FW1610S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 23:38:43','2020-09-15 23:59:17',null,'1',null,'0');
INSERT INTO complaints VALUES('376','RASHID RIAZ','03133333089','JHANG MOR SULTANA FOUNDATION TRAMARY CHOWK ISB','9','27','194696','HAIER','0',null,'15-AUG-2020','398IDBT - 884','REFRIGERATOR','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 23:43:53','2020-08-25 18:50:36',null,'1',null,'0');
INSERT INTO complaints VALUES('377','HABIB UR REHMAN','03355612810','H NO 1175 USMAN BLOCK PHASE 8 B.TOWN RWP','6','13','27271','SUPER ASIA','0',null,'20-may-2020','280SA - 522','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-17 23:55:01','2020-08-27 01:36:52',null,'1',null,'0');
INSERT INTO complaints VALUES('378','MR YASIR','03455956511','APP NO C1 FOREIGN OFFICE LODGES NEAR SERENA HOTEL G/5 ISB','5','32','104693','SIGNATURE','0',null,'9-MAY-2019','SCR-FSS3-5G - 1076','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 00:24:47','2020-09-15 23:56:58',null,'1',null,'0');
INSERT INTO complaints VALUES('379','MRS ZEESHAN','03441520394','H NO 1653 ST NO 58 PHASE 3 B.TOWN RWP','6','12','24410','SONY','0',null,'11-DEC-2019','55X8077G-S - 942','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 00:52:35','2020-09-23 22:04:05',null,'1',null,'0');
INSERT INTO complaints VALUES('380','ALI SB','03218424483','H NO 57C LANE NO 6 ASKARI 2 RWP','6','15','15867','SIGNATURE','0',null,'12-AUG-2018','SCV-MQ22 - 1071','VACUUM CLEANER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 00:59:44','2020-09-16 21:53:31',null,'1',null,'0');
INSERT INTO complaints VALUES('381','SYED ABBAS','03358092222','H NO 360 ST NO 49 PAKISTAN TOWN PHASE 1 ISB','4','6','15570','ORIENT','0',null,'29-jul-2020','18G-ORBIT - 915','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 01:05:49','2020-08-25 18:44:21',null,'1',null,'0');
INSERT INTO complaints VALUES('382','MUNIB MUFTI','03333102777','H NO 505 ST NO 23 ROAD E PHASE 3 B.TOWN RWP','6','14','26115','ORIENT','0',null,'12-FEB-2020','24G-PLUS-SW - 917','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 01:09:33','2020-09-16 21:51:03',null,'1',null,'0');
INSERT INTO complaints VALUES('383','RAFIQUE AMAD','0512256907','H NO 23 ST NO 10 SEC F/8-3 ISB','5','29','98857','SAMSUNG','0',null,'30-OCT-2018','49M5000-S - 1629','FLAT PANEL TV','PICTURE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 01:22:31','2020-09-15 23:30:48',null,'1',null,'0');
INSERT INTO complaints VALUES('384','SAMIULLAH','03005018506','H NO 1080 ST NO 67/83 SAFARI VALLEY UMER BLOCK PHASE 8 B.TOWN RWP','6','13','28780','SIGNATURE','0',null,'30-JUL-2020','SBH-AA901G - 1122','BUILT IN APPLLIANCES','NOB PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-18 01:38:15','2020-09-15 23:26:13',null,'1',null,'0');
INSERT INTO complaints VALUES('385','USAMA SB','03345501073','H NO 170B ST NO 36 SEC F/10-1 ISB','7','49','21031','ORIENT','0',null,'28-MAY-2020','18G-ORBIT - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 01:44:59','2020-09-03 02:45:45',null,'1',null,'0');
INSERT INTO complaints VALUES('386','MR AURANGZAIB','03365180897','RWP','9','27','183847','SIGNATURE','0',null,'15-DEC-2019','HC-5861S - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 01:47:37','2020-09-15 23:22:26',null,'1',null,'0');
INSERT INTO complaints VALUES('387','RIZWAN','03335241448','H NO 369 JOHAR ROAD AIRPORT HOUSING SOCIETY SEC 4 RWP','5','30','114332','ORIENT','0',null,'30-JAN-2020','18G-ATLANTIC-GW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 01:56:48','2020-08-25 22:54:18',null,'1',null,'0');
INSERT INTO complaints VALUES('388','KAMRAN','03335511215','H NO 107C ST NO 5 KHALID BLOCK PHASE 8 B.TOWN RWP','7','49','15244','SIGNATURE','0',null,'25-JUL-2017','SRF-KK95G - 903','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 02:10:25','2020-09-19 20:53:08',null,'1',null,'0');
INSERT INTO complaints VALUES('389','ABDULLAH ASIF','03315005759','CB1083 LANE NO 5 NEAR MALIK AZAM STREET RANGE ROAD RWP','9','24','156807','SIGNATURE','0',null,'9-AUG-2018','SWM-JD56 - 1643','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 02:16:03','2020-09-15 23:17:19',null,'1',null,'0');
INSERT INTO complaints VALUES('390','FAIZAN','03165400159','H NO 114A ST NO 7 OVERSEAS SEC 6 PHASE 8 B.TOWN RWP','6','16','27915','KENWOOD','0',null,'23-JUN-2020','1239S-INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 02:19:08','2020-09-15 23:13:10',null,'1',null,'0');
INSERT INTO complaints VALUES('391','SAAD BILAL','03026735620','H NO 360 ST NO 7 NEAR MASJID ALHUDA PESHAWAR ROAD RWP CANTT','9','21','194666','HAIER','0',null,'15-AUG-2020','12HRO-W-INV - 913','AIR CONDITIONER','OUTDOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 02:21:46','2020-08-25 18:38:40',null,'1',null,'0');
INSERT INTO complaints VALUES('392','MR AAMIR','03150154397','H NO 1359 ST NO 61 AMARPURA MURREE ROAD RWP','9','19','153486','SUPER ASIA','0',null,'5-JUN-2018','6500ECM - 1577','AIR COOLER','NOT WORKING',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-18 02:25:02','2020-08-25 18:36:52',null,'1',null,'0');
INSERT INTO complaints VALUES('393','MUHAMMAD TALHA','03335300663','H NO 84 MAIN DOUBLE ROAD RAWAL TOWN NEAR RAWAL DAM CHOWK ISB','9','23','146823','LG','0',null,'27-JAN-2018','10C3QDP2 - 122','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 02:27:37','2020-09-17 02:51:48',null,'1',null,'0');
INSERT INTO complaints VALUES('394','MUHAMMAD MUNIB','03005237523','H NO 4803 ST NO 1 SIRAT GUNJ GAWALMANDI RWP','8','37','0','SIGNATURE','0',null,'3 YEARS AGO','SMALL FREEZER SIGNATURE','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 02:32:23','2020-09-17 22:45:20',null,'1',null,'0');
INSERT INTO complaints VALUES('395','GOHAR AZIZ','03344888300','FAISAL COLONY NEAR LAL MASJID PORANI ABADI TENCH BHATTA RWP','7','49','21589','ORIENT','0',null,'5-AUG-2020','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 02:32:49','2020-09-19 20:55:03',null,'1',null,'0');
INSERT INTO complaints VALUES('396','JAVED IQBAL','03335261717','H NO CB492 AFSHAN COLONY KHAWAJA S TREET RANGE ROAD RWP','9','22','101634','SAMSUNG','0',null,'7-JUN-2015','64H5120EW - 909','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 17:57:30','2020-09-15 23:08:35',null,'1',null,'0');
INSERT INTO complaints VALUES('397','IFTIKHAR AHMED','03238552888','H NO 45 ST NO 4 PHASE 1 B.TOWN RWP','5','30','75453','SAMSUNG','0',null,'21-MAY-2016','1STMG-90','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 21:59:51','2020-09-15 23:04:48',null,'1',null,'0');
INSERT INTO complaints VALUES('398','MR IMRAN','03335130916','H NO 22D ST NO 55 SEC G/6-4 ISB','5','31','120753','HAIER','0',null,'13-AUG-2020','438IDBT - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 22:37:13','2020-08-25 22:52:53',null,'1',null,'0');
INSERT INTO complaints VALUES('399','JAWERIA','03355595522','H NO E658 SEC 3 KHAYABAN-E-SIRSYED RWP','9','22','190907','GREE','0',null,'18-JUN-2020','9978EG-CB3 - 2116','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-18 23:58:02','2020-08-26 00:03:33',null,'1',null,'0');
INSERT INTO complaints VALUES('400','AZEEM SB','03315420488','FREINDS GULNOOR MARKET RWP','9','19','0','KENWOOD','0',null,'0','1012SA - 902','WASHING MACHINE','DOOR DAMAGED',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-19 00:07:02','2020-09-16 20:43:24',null,'1',null,'0');
INSERT INTO complaints VALUES('401','UMAIR','03005558111','H NO 7 ST NO 17 SEC F/17-2 ISB','8','37','18838','PANASONIC','0',null,'25-APR-2019','647ASQA-S - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 00:32:14','2020-09-17 02:29:37',null,'1',null,'0');
INSERT INTO complaints VALUES('402','RIZWAN','03465393039','FLAT NO 2 BLOCK 82 IAND E CENTRE SEC G/10-1 ISB','9','26','93573','PEL','0',null,'30-SEP-2014','160PRA - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','NOT ATTEND CALL',null,'customer','0',null,'73','2020-08-19 00:58:40','2020-09-12 20:01:28',null,'1',null,'0');
INSERT INTO complaints VALUES('403','MR SALMAN','03218555051','H NO 281 GOMAL ROAD SEC E/7 ISB','5','31','114999','HAIER','0',null,'28-FEB-2020','438EBS - 896','REFRIGERATOR','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 01:01:18','2020-09-22 23:35:19',null,'1',null,'0');
INSERT INTO complaints VALUES('404','CH ISHFAQ','03355599844','H NO 1393 ST NO 46 RAFI BLOCK PHASE 8 B.TOWN RWP','4','8','15816','HAIER','0',null,'11-AUG-2020','18LTH - 914','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 01:02:39','2020-10-01 20:59:56',null,'1',null,'0');
INSERT INTO complaints VALUES('405','MOHIB ASAD','03218557227','H NO 59A ST NO 21 SEC A BAHRIA ENCLAVE ISB','5','35','119088','TCL','0',null,'13-JUL-2020','18T3B - 915','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 01:04:54','2020-08-26 23:32:32',null,'1',null,'0');
INSERT INTO complaints VALUES('406','MEHREEN','03008555071','H NO 32 ST NO 29 SEC F/8-1 ISB','5','35','120799','HAIER','0',null,'15-AUG-2020','438IDBT - 896','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 01:06:48','2020-08-26 01:35:01',null,'1',null,'0');
INSERT INTO complaints VALUES('407','ASIF BUKHARI','03035808394','H NO 263 ST NO 2 DEFENCE VILLAS PHASE 7 B.TOWN RWP','6','13','29510','HAIER','0',null,'14-AUG-2020','85-1708HWM - 945','WASHING MACHINE','DRUM PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 01:09:30','2020-08-26 01:33:42',null,'1',null,'0');
INSERT INTO complaints VALUES('408','ROHI HASHMI','03429375669','IMRAN KHAN CHOWK NORTH BANNI GALA MEDIA STREET ISB','6','13','35371','HAIER','0',null,'7-JUL-2019','18HNR-G - 915','AIR CONDITIONER','COMPRESSOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 01:11:02','2020-08-26 01:31:20',null,'1',null,'0');
INSERT INTO complaints VALUES('409','ASLAM HAYAT','03468505242','H NO 823 ST NO 13 SEC G/11-1 ISB','8','37','28077','SIGNATURE','0',null,'9-JUN-2018','SWM-JD46 - 945','WASHING MACHINE','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 01:14:13','2020-09-13 00:21:33',null,'1',null,'0');
INSERT INTO complaints VALUES('410','UMER ZEESHAN','03455105616','1181 ST NO 12 SEC G/11-1 ISB','9','19',null,'SIGNATURE','0',null,'3 YEARS AGO','SWM-FW1610S - 902','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 01:27:27','2020-09-13 00:17:10',null,'1',null,'0');
INSERT INTO complaints VALUES('411','AJMAL HAMEED','03458562178','H NO 509 ST NO 2 SEC B PHASE 8 B.TOWN','6','12','0','SUPER ASIA','0',null,'0','500SHD - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 01:34:05','2020-10-01 00:37:02',null,'1',null,'0');
INSERT INTO complaints VALUES('412','ISHFAQ SHAH','03335102305','H NO 227 PRINCES STREET GREEN AVENUE CHAK SHAZAD ISB','8','37','24946','SAMSUNG','03365007334',null,'29-NOV-2017','50K5920SL - 75','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 01:35:33','2020-09-17 02:26:18',null,'1',null,'0');
INSERT INTO complaints VALUES('413','SAIRA JAWED','03335946021','D29 PINSTICK COLONY NILORE ISB','9','22','152280','SAMSUNG','03207952500',null,'15-MAY-2018','35H66107F - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 01:37:24','2020-09-17 21:20:23',null,'1',null,'0');
INSERT INTO complaints VALUES('414','IMTIAZ ALI','03455204682','H NO 5 ST NO 32 SEC G/6-2 ISB','5','31','119479','SONY','0',null,'20-JUL-2020','49W800G-CC - 1629','FLAT PANEL TV','YOUTUBE',null,'5','COMPLAINT   CLOSED',null,'customer','0',null,'73','2020-08-19 01:41:08','2020-09-12 19:41:10',null,'1',null,'0');
INSERT INTO complaints VALUES('415','MR AWAIS','03355377335','H NO 1599 ST NO 55 PHASE 3 B.TOWN RWP','9','27','190831','HAIER','0',null,'18-JUN-2020','438IDBT - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 01:44:32','2020-09-13 00:34:02',null,'1',null,'0');
INSERT INTO complaints VALUES('416','ISHTIAQ ALI','03334982505','H NO 80 EMMAR DHA PHASE 5 ISB','8','39','32724','SIGNATURE','0',null,'13-MAR-2019','SBH-AA901G - 1122','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 01:49:14','2020-09-17 23:03:45',null,'1',null,'0');
INSERT INTO complaints VALUES('417','RAFFAQ SB','03453503039','H NO 9A ST CLUB AVENUE SEC E DHA 2 ISB','6','15','27540','GREE','0',null,'22-JUN-2020','500FS - 993','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 01:57:15','2020-09-11 01:23:55',null,'1',null,'0');
INSERT INTO complaints VALUES('418','MRS ADIL','03455280262','H NO 4 ST NO 39 SEC G/6-2 ISB','5','32','67200','PEL','0',null,'23-APR-2015','140PRA - 884','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 01:59:16','2020-08-26 23:11:57',null,'1',null,'0');
INSERT INTO complaints VALUES('419','SHAHZAD','03319396160','H NO 55A ST NO 1B GHOURI TOWN PHASE 5A ISB','9','26','190098','HAIER','0',null,'8-JUN-2020','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 02:01:29','2020-08-26 23:08:38',null,'1',null,'0');
INSERT INTO complaints VALUES('420','JAHANZAIB','03138556695','H NO 308 ST NO 49 SEC 2 GULSHANABAD RWP','9','26','193927','HAIER','0',null,'4-AUG-2020','519DGG - 1122','BUILT IN APPLLIANCES','HEATUP',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 02:03:55','2020-09-22 01:33:21',null,'1',null,'0');
INSERT INTO complaints VALUES('421','HASHIM','03336286965','H NO 94R ST NO 40 SEC I/8-2 ISB','5','31','117642','ORIENT','0',null,'15-JUN-2020','12G-HYPER-SW - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 02:05:37','2020-09-17 02:17:17',null,'1',null,'0');
INSERT INTO complaints VALUES('422','MR ASIF','03225364015','H NO 205A HILL SIDE ROAD SEC E7 ISB','5','31','96884','LG','0',null,'6-AUG-2018','4J6TMP8S-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 02:07:24','2020-09-13 00:39:10',null,'1',null,'0');
INSERT INTO complaints VALUES('423','QASIM KHAN','03424081000','H NO 3 ST NO 69 SEC F/8-3 ISB','5','31','119454','DAWLANCE','0',null,'20-JUL-2020','9188WBGD-INV-BDY - 884','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 02:13:43','2020-09-22 23:31:54',null,'1',null,'0');
INSERT INTO complaints VALUES('424','MRS MANSOOR','03424210579','H NO 26/1-A ST NO 3 SEC A DHA 1 ISB','6','14','0','MITSUBISHI','0',null,'0','50VA','AIR CONDITIONER','REMOTE SENSOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 02:16:43','2020-08-26 21:48:11',null,'1',null,'0');
INSERT INTO complaints VALUES('425','MRS JAMIL','03219565519','NA203/253 7TH ROAD SATELLITE TOWN RWP','9','19','182922','SAMSUNG','0',null,'12-DEC-2019','70H4200-S - 1483','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 02:19:59','2020-09-17 02:15:29',null,'1',null,'0');
INSERT INTO complaints VALUES('426','ASLAM PERVAIZ','03008548422','H NO 1A CIRCULAR AVENUE SAFARI VILLAS 1 RWP','6','14','0','LG','0',null,'OUT OF WARRANTY','65 INCHES','FLAT PANEL TV','DISPLAY',null,'5','COSTUMER SERVICE CENTRE BIJHWANA NAHIN CHAHTY. . UNO NE CANCEL KARWA DI HA COMPLAIN',null,'customer','0',null,'73','2020-08-19 02:23:47','2020-09-13 21:33:41',null,'1',null,'0');
INSERT INTO complaints VALUES('427','M YASIN','03325584327','H NO 1094 ST NO 38 ALI BLOCK PHASE 8 B.TOWN RWP','6','14','23438','HAIER','0',null,'12-OCT-2019','336EBS - 894','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 02:25:59','2020-08-26 21:36:40',null,'1',null,'0');
INSERT INTO complaints VALUES('428','ALI KHAN','03329888715','H NO 165B ST NO 1 SEC C EXT SAFARI HOMES PHASE 8','6','14','28982','LG','0',null,'11-AUG-2020','512FPS-S - 1653','DISH WASHER','NEED DEMO',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 02:38:30','2020-09-17 21:34:22',null,'1',null,'0');
INSERT INTO complaints VALUES('429','MUZAMMIL PARACHA','03355044559','H NO 1238 ST NO 49 PHASE 3 B.TOWN RWP','6','13','27665','HAIER','0','2020-08-18',null,'120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 02:46:11','2020-09-03 00:36:52',null,'1',null,'0');
INSERT INTO complaints VALUES('430','MR NADEEM','03335526233','NOGRAN  CHOWK PINDORIAN KRL TECHNICAL COLLEGETEHSIL KAHUTA','5','29','119301','HAIER','0',null,'16-jul-2020','306EPR-HRF - 859','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 02:58:17','2020-10-01 00:41:16',null,'1',null,'0');
INSERT INTO complaints VALUES('431','MR REHAN','03348333286','H NO 25 GALI NO 5 WAQEEL COLONY  RWP','9','19','184541','FIVE STAR','0',null,'26-DEC-2019','35G-TWIN-FS - 1759','GEYSER','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 03:01:56','2020-09-17 21:36:25',null,'1',null,'0');
INSERT INTO complaints VALUES('432','MR IMRAN','03323867774','H NO 34 ST NO 38 SEC F/6-1 ISB','9','19','192858','HAIER','0',null,'15-JUL-2020','18HFAA-B INV - 915','AIR CONDITIONER','OUTDOOR PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-19 03:03:18','2020-08-26 22:59:53',null,'1',null,'0');
INSERT INTO complaints VALUES('433','ZAFAR ALI','03458302112','SHAHEEN TOWN NEAR WHITE HOUSE SCHOOL SULTANA FOUNDATION ISB','9','24','194381','HAIER','0',null,'10-AUG-2020','90-1789HWM - 901','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 03:09:11','2020-09-10 22:28:26',null,'1',null,'0');
INSERT INTO complaints VALUES('434','MRS MAMONA','03335377044','H NO 426 GROUND FLOOR ST NO 20 SEC G/15-4 ISB','5','33','111582','SIGNATURE','0',null,'7-dec-2019','40S600 - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 03:10:44','2020-09-17 02:07:44',null,'1',null,'0');
INSERT INTO complaints VALUES('435','NOKHAIZ','03359726677','H NO 446 ST NO 48 PHASE 2 MARGALLA TOWN ISB','5','34','98900','HAIER','0',null,'1-NOV-2018','95-1678HWM - 1817','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 03:11:51','2020-08-26 21:07:42',null,'1',null,'0');
INSERT INTO complaints VALUES('436','TARIQ MEHMOOD','03455171477','PINALI STOP QADEER GARDEN NEAR DUBAI MART  KAHUTA ROAD KAHUTA ROAD','8','37','20791','ORIENT','0',null,'3-FEB-20','529BL - 128','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 03:15:13','2020-09-30 20:47:06',null,'1',null,'0');
INSERT INTO complaints VALUES('437','IMRAN SHAH','03339407877','H NO 174 ST NO 7 FREINDS COLONY QADEER ROAD KHANA PULL ISB','8','37','19775','SAMSUNG','0',null,'18-SEP-2019','32N5000-S - 936','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 03:17:44','2020-09-17 02:01:12',null,'1',null,'0');
INSERT INTO complaints VALUES('438','SAEED IQBAL','03009754591','CANTONMENT BOARD REST HOUSE OPP PIA OFFICE SADDAR RWP','7','49','21668','MITSUBISHI','0',null,'15-AUG-2020','50VA - 915','AIR CONDITIONER','GAS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 03:20:15','2020-08-26 20:53:09',null,'1',null,'0');
INSERT INTO complaints VALUES('439','MUHAMMAD ALI','03337805359','H NO SN 322 ABBASI STREET DHOK KALA KHAN RWP','8','38','36883','DAWLANCE','0',null,'28-SEP-2019','91996ES-PLUS - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 03:24:42','2020-10-06 21:36:09',null,'1',null,'0');
INSERT INTO complaints VALUES('440','HAMIDULLAH','03333132264','FALT NO FF03 BLOCK 5 PHA TYPE C APPARTMENTS AK BAROHI ROAD SEC G/11-4 ISB','5','28','88763','SIGNATURE','0',null,'17-OCT-2017','SWM-SR40 - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 20:01:50','2020-09-26 21:52:20',null,'1',null,'0');
INSERT INTO complaints VALUES('441','MUHAMMAD ALI','03334942018','H NO NA85E ST NO 9 7TH ROAD NEW MALPUR BAZAR RWP','8','37','35904','XTREEM','0',null,'29-JUL-2019','88A - 1122','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 21:19:24','2020-09-17 01:54:53',null,'1',null,'0');
INSERT INTO complaints VALUES('442','SAAD SHARIF','03348887088','H NO 190B ST NO 12 PHASE 1 B.TOWN RWP','6','12','19641','KENWOOD','0',null,'13-MAR-2019','2420FHG-INV - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 21:27:18','2020-09-17 01:52:43',null,'1',null,'0');
INSERT INTO complaints VALUES('443','ADNAN MALIK','03008541970','26B/1 ST NO 3 CHAK SHAHZAD FARMS PARK ROAD ISB','5','28','0','SAMSUNG','0',null,'OUT OF WARRANTY','REF SAMSUNG','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 21:32:47','2020-09-17 01:50:27',null,'1',null,'0');
INSERT INTO complaints VALUES('444','RAJA ASAD','03002513579','C2493 DAR HOUSE GULSHAN ZAHEER TENCH BHATTA RWP','7','49','21627','ORIENT','0',null,'10-AUG-2020','531BL - 993','WATER DISPENSER','COOLING AND LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 22:18:31','2020-08-26 22:48:05',null,'1',null,'0');
INSERT INTO complaints VALUES('445','MR SAJID','03005171787','H NO 26 ST NO 8 SEC A PHASE 1 DHA RWP','6','14','9422','SIGNATURE','0',null,'22-JUN-2017','SRF-HM99 - 908','REFRIGERATOR','ON OFF PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 22:22:25','2020-09-19 20:59:40',null,'1',null,'0');
INSERT INTO complaints VALUES('446','ASIF RAZA','03335103753','H NO 741 ST NO 75 SEC I/8-3 ISB','8','40','41750','HAIER','0',null,'12-AUG-2020','438EBD - 896','REFRIGERATOR','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 22:29:15','2020-09-25 00:33:44',null,'1',null,'0');
INSERT INTO complaints VALUES('447','ASIF RAZA','03335103753','H NO 741 ST NO 75 SEC I/8-3 ISB','8','40','41750','HAIER','0',null,'12-AUG-2020','438EBD - 896','REFRIGERATOR','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 22:32:52','2020-09-27 02:12:22',null,'1',null,'0');
INSERT INTO complaints VALUES('448','HASHAM AHMED','03000039095','H NO 3 BLOCK D ST NO 4A SOAN GARDEN ISB','4','8','11407','SIGNATURE','0',null,'16-NOV-2019','SWM-JD4','WASHING MACHINE','NOT WORKING',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-19 22:40:09','2020-09-12 02:08:13',null,'1',null,'0');
INSERT INTO complaints VALUES('449','MR ZEESHAN','03359696960','H NO 74 ST NO 34 SEC G/14-4 ISB','5','32','118925','WAVES','0',null,'9-JUL-2019','313WDF - 956','FREEZER','LIGHT BLINK',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 22:45:55','2020-08-26 22:50:08',null,'1',null,'0');
INSERT INTO complaints VALUES('450','UZAIR AHMED','03028561089','H NO P1383D  OPP BANNI THANA KARTAR PURA RWP','8','39','41640','HAIER','0',null,'8-aug-2020','60S4MGB1 - 1124','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 22:51:13','2020-09-02 23:51:37',null,'1',null,'0');
INSERT INTO complaints VALUES('451','SHAH SALAAR','03009552150','H NO 77B AFFANDI COLONY RWP','8','37','33940','ORIENT','0',null,'13-MAY-2019','18MAX-SW - 915','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 22:53:17','2020-09-12 20:13:42',null,'1',null,'0');
INSERT INTO complaints VALUES('452','MR KHUBAIB','03315105466','H NO NA163/H NEW MALPUR 7TH ROAD RWP','9','27','190721','ORIENT','0',null,'16-JUN-2020','18G-DIVINE - 915','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 22:57:04','2020-09-17 01:43:10',null,'1',null,'0');
INSERT INTO complaints VALUES('453','MR ALI','03458543711','OFFICE NO 123 1ST FLOOR PLAZA NO 139 CIVIC CENTRE PHASE 4 B.TOWN RWP','4','11','13317','HAIER','0',null,'24-FEB-2020','18HNR-G - 915','AIR CONDITIONER','INTERNAL LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 23:00:14','2020-11-18 21:27:18',null,'1',null,'0');
INSERT INTO complaints VALUES('454','WAHEED SB','03000500616','H NO 285A ST NO 78 SEC F/11-1 ISB','8','37','0','LG','0',null,'0','LG FLAT PANEL TV','FLAT PANEL TV','COLOURS PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-19 23:03:21','2020-09-13 23:42:56',null,'1',null,'0');
INSERT INTO complaints VALUES('455','ZAIGHAM ABBAS','03325226476','H NO 197 ST NO 4 KHALID BLOCK PHASE 8 B.TOWN RWP','6','12','0','VARIOLINE','0',null,'14-4-2019','W.DISPENCER','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 23:05:03','2020-08-26 23:09:59',null,'1',null,'0');
INSERT INTO complaints VALUES('456','NAVEED SB','03000755528','H NO 113 ST NO 17 BAHRIA SPRINGS PHASE 7 B.TOWN RWP','5','31','83510','SAMSUNG','03085551014',null,'22-APR-2017','10V5-WM - 168','WASHING MACHINE','ERROR 4C',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 23:09:15','2020-09-17 01:40:13',null,'1',null,'0');
INSERT INTO complaints VALUES('457','MALIK ASIF','03444999903','NAVAL ARMY FARMS HOUSE NO 18 PHASE 1 SIMLY DAM ROAD ISB','5','32','120325','HAIER','0',null,'6-AUG-2020','438IDBT - 896','REFRIGERATOR','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 23:19:33','2020-08-26 23:36:17',null,'1',null,'0');
INSERT INTO complaints VALUES('458','MUTAHIR','03122226666','H NO 747 ST NO 84C SEC I/8-4 ISB','8','37','0','GREE','0',null,'IN WARRANTY','215G-CD1Y - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 23:24:38','2020-11-03 20:17:15',null,'1',null,'0');
INSERT INTO complaints VALUES('459','AURANGZAIB','03105573761','H NO 372 ST NO 25 SEC I/10-4 ISB','9','24','190967','GREE','0',null,'19-JUN-2020','9978EG-CB1 - 885','REFRIGERATOR','DOOR GAS KIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-19 23:41:47','2020-09-28 22:33:17',null,'1',null,'0');
INSERT INTO complaints VALUES('460','MUSA MEHAR','03040003778','H NO 1A MEHAR HOUSE ST NO 29 SEC F/7-1 ISB','5','29','120610','TCL','1912VLR301003A00105',null,'11-AUG-20','65P8M - 1443','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAIN CLOSED',null,'customer','0',null,'73','2020-08-19 23:49:38','2020-08-20 21:16:02',null,'1',null,'0');
INSERT INTO complaints VALUES('461','M ARIF','03335536600','NEAR PSO PUMP MORA CHAPPAR GULSHAN SITE 2 CHAKRI ROAD RWP CANTT','9','51','150674','ORIENT','0',null,'19-APR-2018','40S-TRUMPET - 938','FLAT PANEL TV','WIFI PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 00:09:58','2020-10-07 00:19:46',null,'1',null,'0');
INSERT INTO complaints VALUES('462','ZAHRA','03365512888','H NO 49 SEC B ST NO 30/1 BAHRIA ENCLAVE ISB','5','32','119125','GREE','0',null,'13-JUL-2020','9978EG-CR1 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-20 00:16:38','2020-08-27 00:39:17',null,'1',null,'0');
INSERT INTO complaints VALUES('463','MR FARHAN','03325975829','H NO 315 ST NO 49 SEC 2 GULSHANABAD ADYALA RWP','9','27','130575','PEL','0',null,'3-APR-2017','160PRGD-M - 895','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 00:19:47','2020-09-07 23:25:37',null,'1',null,'0');
INSERT INTO complaints VALUES('464','AZIZ AHMED','03328922634','H NO 86A ST NO 6 SEC E/7 ISB','5','32','119212','HAIER','0',null,'15-JUL-2020','438EBS - 896','REFRIGERATOR','MOISTURIZER',null,'5','complaint resolved',null,'customer','0',null,'73','2020-08-20 00:23:25','2020-08-27 00:27:34',null,'1',null,'0');
INSERT INTO complaints VALUES('465','AAMIR','03008567185','H NO 1 ST NO 87 SEC G/6-3 ISB','5','31','120975','GENERALTEC','0',null,'18-AUG-2020','98DFF','COOKING RANGE','OVEN NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 00:24:41','2020-09-17 01:37:09',null,'1',null,'0');
INSERT INTO complaints VALUES('466','AMMAR ABBASI','03365590721','H NO 828 ST NO 85 SEC I/8-4 ISB','6','13','35558','ORIENT','0',null,'14-JUL-2019','CRYSTAL-RD-BLK - 993','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 00:52:08','2020-09-02 23:10:48',null,'1',null,'0');
INSERT INTO complaints VALUES('467','MUHAMMAD FAROOQ','03335264396','W592 RATTA ROAD  NEAR PSO PUMP RWP','9','19','0','SIGNATURE','0',null,'10-JAN-2017','SWM-JD51 - 902','WASHING MACHINE','ERROR F1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 02:19:25','2020-09-13 01:48:20',null,'1',null,'0');
INSERT INTO complaints VALUES('468','DR SADIA','03345313352','H NO 1A ST NO 18 SEC F/7-2 ISB','5','31','117720','LG','0',null,'16-JUN-2020','4J6TMP8S-C - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 02:31:53','2020-09-17 01:34:46',null,'1',null,'0');
INSERT INTO complaints VALUES('469','SAQIB FCP','03335257003','FREINDS GULNOOR MARKET RWP','9','51','194208','TCL','2005VLR301170A00264',null,'8-aug-2020','43S6500 - 869','FLAT PANEL TV','HANG PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 02:58:55','2020-09-02 22:30:00',null,'1',null,'0');
INSERT INTO complaints VALUES('470','SHABAZ SB','03335432122','H NO 160 ST NO 67 SEC F/10-3 ISB','8','37','0','TCL','0',null,'IN WARRANTY','TCL LED','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-20 03:05:15','2020-10-30 01:56:56',null,'1',null,'0');
INSERT INTO complaints VALUES('471','C/O SADDIQ SB','03345022595','H NO 508 ST NO 2 SEC  G/8-2 ISB','8','37','0','HAIER','0',null,'IN WARRANTY','REF HAIER','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 03:10:32','2020-08-27 20:05:16',null,'1',null,'0');
INSERT INTO complaints VALUES('472','FAHAD','03088305555 , 03005532973','H NO 528 ST NO 66 PAKISTAN TOWN PHASE 1','4','11','0','TCL','1907VLR300891A00432',null,'2-OCT-2019','55P65US - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 03:16:26','2020-08-27 20:03:38',null,'1',null,'0');
INSERT INTO complaints VALUES('473','KHURRAM SDDR','03005548081','FREINDS SADDAR RWP','7','49','0','ORIENT','0',null,'0','CRYSTAL-C-BLK - 993','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 03:24:11','2020-10-14 21:08:25',null,'1',null,'0');
INSERT INTO complaints VALUES('474','MOSHIN SAB','03335261483','PLOT#126 NEAR NUST UNI GEAT #03 H-13/ 4 ISB','8','37','36867','SAMSUNG','LS32N5300S',null,'26-SEP-2019',null,'FLAT PANEL TV','DEAD ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-20 20:03:55','2020-09-19 21:05:45',null,'1',null,'0');
INSERT INTO complaints VALUES('475','NIDAT GULZAR','03363173000','H NO 6 LANE NO 4 ST NO 75 SEC B DHA HOMES KALLAR SYEDAN ROAD RWP','9','19','0','SIGNATURE','03125773461',null,'2YEARS AGO','SWM-SR40 - 1548','WASHING MACHINE','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 20:16:11','2020-09-17 21:41:52',null,'1',null,'0');
INSERT INTO complaints VALUES('476','NIDAT GULZAR','03363173000','H NO 6 LANE NO 4 ST NO 75 SEC B DHA HOMES KALLAR SYEDAN ROAD RWP','9','19','0','SIGNATURE','03125773461',null,'2 YEARS AGO','SRF-WB100-S - 860','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 20:16:13','2020-09-13 01:51:34',null,'1',null,'0');
INSERT INTO complaints VALUES('477','RASHID BUTT','03005385948','H NO P334 ST NO 1 PAKISTAN ROAD MUHALLA IMAM BARA BANNI RWP','9','51','193019','GREE','0',null,'17-JUL-2020','8890EG-CR2 - 2116','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 20:22:58','2020-08-27 20:54:50',null,'1',null,'0');
INSERT INTO complaints VALUES('478','ABID AGA','03018502829','HO#73 ST#23 SEC A BEHIRA ENCLAVE ISB','8','37','28861','SIGNATURE','0',null,'23-JULY-2018','SWM-SR45 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-20 20:27:25','2020-09-17 20:34:28',null,'1',null,'0');
INSERT INTO complaints VALUES('479','JAVED AKHTER','03331006353','H NO 25 ST NO 38 SEC D/17-2 ISB','9','19','186837','PANASONIC','0',null,'12-FEB-2020','40MSAS-S - 884','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 21:22:42','2020-09-17 01:30:49',null,'1',null,'0');
INSERT INTO complaints VALUES('480','EJAZ HANIF','03345591233','H NO 79 ST NO 7 SEC E SAFARI HOMES  PHASE 8 B.TOWN RWP','8','37','0','HAIER','0',null,'5-11-2019','95-1678HWM - 1817','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 21:32:20','2020-09-02 22:03:04',null,'1',null,'0');
INSERT INTO complaints VALUES('481','MUHAMMAD ARSHHAD','03215290680','H NO BB671 ST NO 9 EID GAH NEAR PUMA CNG RWP','9','26','192669','LG','0',null,'13-JULL-2020','1066NEFTW-S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 22:08:00','2020-09-13 00:30:56',null,'1',null,'0');
INSERT INTO complaints VALUES('482','RAO SHOAIB','03338549998','H NO 164 ST NO 8 SEC F DHA VILLAS SEC F PHASE 7 B.TOWN RWP','6','16','22866','SONY','0',null,'29-AUG-2019','49X7000F-S - 1629','FLAT PANEL TV','PANEL LINE',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-20 22:22:48','2020-09-13 00:10:38',null,'1',null,'0');
INSERT INTO complaints VALUES('483','MAHAM MUHAMMAD','03005207608','H NO 32 EXECUTIVE LODGES PHASE 3 B.TOWN RWP','8','39','41763','SIGNATURE','0',null,'10-AUG-2020','HC3900G','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 22:28:24','2020-09-15 22:26:11',null,'1',null,'0');
INSERT INTO complaints VALUES('484','ABBAS','03017978514','SHAHPUR STOP ADYALA ROAD RWP CANTT','9','21','183954','SIGNATURE','0',null,'16-DEC-2019','MD49-W - 1980','REFRIGERATOR','COOLING PROBLEM',null,'5','CUSTOMER K PASS SIG REF K DOCUMENT NAI HAIN ABI COMPLAINT CLOSED KARWA DI IN CUSTOMER K SERVANT NA',null,'customer','0',null,'73','2020-08-20 22:31:03','2020-08-26 21:45:01',null,'1',null,'0');
INSERT INTO complaints VALUES('485','MR FAHIM','03325437798','PLOT NO 6 ST NO 36 BLOCK H SOAN GARDEN ISB','4','11','14616','HAIER','0',null,'17-JUN-2020','18HFAA-B INV - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 22:34:12','2020-09-01 00:35:01',null,'1',null,'0');
INSERT INTO complaints VALUES('486','MISS MASOOMA','03362186175','H NO 336 ST NO 9 SEC A ASKARI 14 ADYALA ROAD RWP','8','37','21854','SIGNATURE','0',null,'25-APR-2020','WB53S - 1980','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-20 22:39:41','2020-08-26 21:30:22',null,'1',null,'0');
INSERT INTO complaints VALUES('487','BINA IRUM','03335317049','H NO 148 ST NO 2 SHAHZAD TOWN ISB','4','10','296','SONY','0',null,'4-MAY-2020','55X8000G-CC - 942','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 22:41:02','2020-08-26 21:29:09',null,'1',null,'0');
INSERT INTO complaints VALUES('488','BINA IRUM','03335317049','H NO 148 ST NO 2 SHAHZAD TOWN ISB','4','10','296','SONY','0',null,'4-MAY-2020','55X8000G-CC - 942','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-20 22:41:59','2020-08-26 21:27:52',null,'1',null,'0');
INSERT INTO complaints VALUES('489','MAJ MUJEEB','03459307110','H NO 113 2ND AVENUE MANGLA CANTT','9','24','178131','LG','03165352415',null,'2-SEP-2019','502HMHU-S - 896','REFRIGERATOR','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 22:45:42','2020-10-17 19:55:24',null,'1',null,'0');
INSERT INTO complaints VALUES('490','MR TOUSEEF','03335119655','H NO 1662 ST NO 74 BLOCK B SEC B/17 MULTIGARDEN ISB','8','39','21210','SIGNATURE','0',null,'28-MAR-2017','SBH-AB750S - 1122','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-20 22:52:38','2020-08-26 21:24:40',null,'1',null,'0');
INSERT INTO complaints VALUES('491','HAROON ALTAF','03005124337','H NO 770 ST NO 11 SEC G/11-1 ISB','5','34','119343','SIGNATURE','0',null,'17-JUL-2020','SCF-HM09 - 954','FREEZER','NOISE PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-20 22:55:34','2020-08-26 21:19:15',null,'1',null,'0');
INSERT INTO complaints VALUES('492','UMAR SB','03215367445','H NO 250 CORNER STREET NO 12 RACE COURSE ROAD NEAR QASIM MARKET RWP','7','49','20440','DAWLANCE','03215367447',null,'27-DEC-2019','91996GD-INV-BDY - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 23:01:30','2020-09-23 02:57:21',null,'1',null,'0');
INSERT INTO complaints VALUES('493','AHMED BURHAN','03219571677','H NO 42 ST NO 3 PHASE 2 B.TOWN RWP','4','6','12792','GREE','0',null,'15-JAN-2020','24CITH11W - 917','AIR CONDITIONER','SMELL PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 23:20:38','2020-09-13 01:55:23',null,'1',null,'0');
INSERT INTO complaints VALUES('494','rao naeem','03336223375','PLOT NO 197 ST NO  SEC I/10-3 ISB','8','38','28606','SIGNATURE','0',null,'11-JUL-2018','SWD-HD10-GR - 994','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 23:30:12','2020-09-12 20:08:03',null,'1',null,'0');
INSERT INTO complaints VALUES('495','ADIL FHS','03403339967','FREINDS SHAMSABAD RWP','8','38','0','SHARP','0',null,'0','18HCP-INV - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 23:32:10','2020-10-14 21:11:18',null,'1',null,'0');
INSERT INTO complaints VALUES('496','MUNIR AHMED','03335162872 , 03148005224','H NO 6 SERVICE ROAD SEC D/12-1 ISB','5','31','106668','HAIER','0',null,'1-JUL-2019','50K6500UA - 871','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 23:36:00','2020-08-21 22:34:24',null,'1',null,'0');
INSERT INTO complaints VALUES('497','ABDUL KHALIQ','03455122066','H NO 1030 ST NO 32 PHASE 2 EXT B.TOWN RWP','9','19','0','SIGNATURE','0',null,'2 YEARS AGO','JX1','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-20 23:47:49','2020-08-26 21:12:40',null,'1',null,'0');
INSERT INTO complaints VALUES('498','MR ALBERT','03325580747','H NO 212 ST NO 7 MUBARAK LANE ADYALA ROAD RWP','6','14','28079','FIVE STAR','0',null,'30-JUN-2020','601C-FS - 1077','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-20 23:51:20','2020-08-26 21:05:36',null,'1',null,'0');
INSERT INTO complaints VALUES('499','MR SALEEM','03434703430','CANTAURUS MALL ALFATAH STORE SEC  F/8-4 ISB','5','31','119500','CANON','0',null,'21-JUL-2020','65-SWC - 1988','WATER COOLER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-20 23:56:23','2020-10-29 19:12:33',null,'1',null,'0');
INSERT INTO complaints VALUES('500','RAJA TOUSEEF','03115377720','FREINDS SHAMSABAD RWP','8','38','30145','SIGNATURE','0',null,'21-OCT-2018','SCV-MQ20 - 1069','VACUUM CLEANER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-21 00:06:53','2020-09-17 01:27:00',null,'1',null,'0');
INSERT INTO complaints VALUES('501','DR ILYAS','03005064853','H NO 20 ST NO 2 SEC E/16-3 ISB','5','34','88349','SIGNATURE','0',null,'25-SEP-2017','25G-1221','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-21 00:11:44','2020-09-15 22:23:38',null,'1',null,'0');
INSERT INTO complaints VALUES('502','MR SALEEM','0343703430','NEAR MASJID ALNOOR DHOK JILANI BARAKAHO ISB','5','28','116694','SUPER ASIA','0',null,'27-MAY-2020','6500ECM - 1577','AIR COOLER','WATER PUMP',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-21 00:15:40','2020-09-01 00:06:30',null,'1',null,'0');
INSERT INTO complaints VALUES('503','HAMAYUN KHAN','03339471727','H NO B22 QUAID-E-AZAM UNIVERSITY COLONY NEAR BARI IMAM ISB','5','28','117144','SAMSUNG','0',null,'3-JUN-2020','11J5710-S - 905','WASHING MACHINE','ERROR PROBLEM',null,'5','NOT ATTEND CALL',null,'customer','0',null,'73','2020-08-21 00:35:11','2020-09-12 19:58:20',null,'1',null,'0');
INSERT INTO complaints VALUES('504','MRS MUKHTAR','03360157686','GANGRILA STATION MANDRA GT ROAD TEHSIL RWP','6','15','28644','HAIER','0',null,'27-jul-2020','85-7288 - 69','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-21 01:08:22','2020-09-01 00:03:52',null,'1',null,'0');
INSERT INTO complaints VALUES('505','MISS HALIMA','03335243001','H NO 250 ST NO 16 PHASE 7 B.TOWN RWP','9','24','188562','LG','0',null,'18-MAR-2020','4GTDYGSW-S','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-21 01:13:38','2020-09-13 00:10:17',null,'1',null,'0');
INSERT INTO complaints VALUES('506','ARSLAN','03049526665','H NO 250ST NO 14 PHASE B.TOWN RWP','6','14','10541','DAWLANCE','0',null,'7-SEP-2017','8200 - 118','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-21 01:16:44','2020-09-01 00:07:59',null,'1',null,'0');
INSERT INTO complaints VALUES('507','SALEEM RAZA','03009280612','ABBAS PLAZA MADIT WORK NEAR ASKARI BANK SEC G/8 MARKAZ ISB','5','29','120744','WHIRLPOOL','0',null,'13-AUG-2020','422TJ-HC INV - 917','AIR CONDITIONER','TRIPPING  PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-21 01:36:30','2020-09-10 02:23:52',null,'1',null,'0');
INSERT INTO complaints VALUES('508','SHAKEEL AHMED','03115108913','H NO 269 JINNAH ROAD SEC 1 AIRPORT HOUSING SOCIETY RWP','4','5','15943','DAWLANCE','0',null,'16-AUG-2020','388DW - 1199','MICROWAVE OVEN','TRAY ROTATE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-21 01:40:01','2020-08-31 23:30:36',null,'1',null,'0');
INSERT INTO complaints VALUES('509','ZAHEER','03315414817','H NO 3 LANE NO 10 SEC B   DHA 2 ISB','9','27','185851','HAIER','0',null,'13-FEB-2020','18HNM-W-INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-21 01:42:38','2020-08-31 23:28:52',null,'1',null,'0');
INSERT INTO complaints VALUES('510','M QASIM','03328542885','H NO 103 PARK ROAD CHATTHA BAKHTAWAR ISB','9','24','192532','SAMSUNG','0',null,'10-JUL-2020','58K6467SL-S - 909','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-21 01:51:08','2020-09-13 00:06:56',null,'1',null,'0');
INSERT INTO complaints VALUES('511','SADIA AKHTER','03132249549','HO#512 SILVER OAKS F-10/ ISB','8','37','0','HAIER','ONE YEAR AGO',null,'28-04-2019',null,'WASHING MACHINE','POWER BUTTON NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-21 20:14:06','2020-09-02 21:44:33',null,'1',null,'0');
INSERT INTO complaints VALUES('512','MRS AFZAL HUSSAIN','03008226515','H NO 416 UPPER FLOOR MAIN NAZIMUDDIN ROAD SEC F/11-1 ISB','5','28','0','SIGNATURE','5 MONTH K BAD AGAIN COMPLIANT',null,'NOV -2018','SWM-SR45 - 899','WASHING MACHINE','SPINNER PROB',null,'5','NOT ATTEND CALL',null,'customer','0',null,'74','2020-08-21 20:38:54','2020-08-26 00:28:51',null,'1',null,'0');
INSERT INTO complaints VALUES('513','IQRA MIRAZ','03329048674','APP#403 4TH FLOOR PHASE 07  BEHIRA TOWN','9','24','22019','SIGNATURE','0',null,'01-MAY-2020','WB53W - 1980','REFRIGERATOR','COOLING PROB',null,'5','COMPLANIT  RESOLVED',null,'customer','0',null,'74','2020-08-21 20:45:35','2020-09-12 19:28:46',null,'1',null,'0');
INSERT INTO complaints VALUES('514','AZMAT ULLAH KHAN','03009123007','KHAN ALLIGMENT SUPPLY ROAD GAWALMANDI RWP','9','19','177611','KENWOOD','0',null,'21-08-2019','1016SA - 1712','WASHING MACHINE','WASH TUB MAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-21 21:19:02','2020-08-31 23:21:26',null,'1',null,'0');
INSERT INTO complaints VALUES('515','FAISAL','03335243001','DHOK DOLIYA WHA THE TEXTILE&DISTRICT R.W.P','9','24','188562','LG','0',null,'18-MAR-2020','4G7TDYG5W-S - 899','WASHING MACHINE','DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-21 21:21:28','2020-09-14 00:49:03',null,'1',null,'0');
INSERT INTO complaints VALUES('516','MR SHAFQAT','03068886969','HO#670 ST MAZAR ST PHASE 01 WHA MODEL TOWN','5','31','120372','LG','0',null,'07-AUG-2020','4V5RGP2T-S - 899','WASHING MACHINE','WASHING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-21 21:41:05','2020-09-14 00:52:05',null,'1',null,'0');
INSERT INTO complaints VALUES('517','MRS TALAT NAQVI','03314570281','HO#09 LANE#06 SEC -D DHA 02 ISB','5','31','67227','DAWLANCE','0',null,'24-APR-2015','9170WBMDS - 83','REFRIGERATOR','COOLING PROB+ SERVICES',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-21 21:48:33','2020-08-31 23:18:51',null,'1',null,'0');
INSERT INTO complaints VALUES('518','IQBAL (STOCK)','03465166132','FRIENDS COOPERATION BULE AREA ISB','5','28','0','LG','DISPLAY UNIT',null,'01-JULY-2019','702HEHU-S - 885','REFRIGERATOR','COMPRESSOR  FAN DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-21 22:18:39','2020-09-15 22:20:28',null,'1',null,'0');
INSERT INTO complaints VALUES('519','MR EHTASHAM','03330531914','COL AMAN ULLAH ROAD MA AGO TOWN NEAR AZIZ &SONS STORE BARA KAHO ISB','5','35','120837','ORIENT','0',null,'15-AUG-2020','18G-HYPER-SW - 915','AIR CONDITIONER','REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-21 22:30:34','2020-08-31 23:05:21',null,'1',null,'0');
INSERT INTO complaints VALUES('520','GHULAM  IRTAZA','03455932676','SHOP FRESH CO GLASS FACTORY CHOWK  R.W.P','9','22','192994','CARAVELL','0',null,'16-JULY-2020','600MEC - 1652','CHILLER','LIGHT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-21 22:47:57','2020-09-02 21:35:40',null,'1',null,'0');
INSERT INTO complaints VALUES('521','ZIRVA PVT','03215504183','OFFICE# 05 2ND FLOOR SARDAR BAGAM PLAZA  BULE AREA ISB','8','42','40645','ORIENT','0',null,'01-JULY-2020','531OWR - 993','WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-21 23:37:57','2020-08-31 23:03:11',null,'1',null,'0');
INSERT INTO complaints VALUES('522','NAHEED MAJEED','03318872997','HO#69 GULSHAN E SAYED CHAKRI ROAD NEAR ZAFAR PLAZA R.W.P','9','20','147990','SIGNATURE','0',null,'28-FEB-2018','SWM-JD51 - 902','WASHING MACHINE','ERROR 04 PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-08-21 23:48:55','2020-08-26 00:26:01',null,'1',null,'0');
INSERT INTO complaints VALUES('523','NABEEL','03005554771','HO#13 ST#26 JINNHA GARDEN PHASE 01 ISB','4','5','14968','GREE','ALI MURTAZA',null,'01-JULY-2020','18FITH1S - 915','AIR CONDITIONER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-22 01:23:02','2020-08-31 23:01:20',null,'1',null,'0');
INSERT INTO complaints VALUES('524','ZULFIQAR','03024822328','502 MODEL COLLAGE FOR BOYS NEW LALAZAR  R.W.P','7','49','21699','ORIENT','0',null,'19-AUG-2020','CRYSTAL-C-BLK - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-22 01:29:36','2020-08-31 22:58:48',null,'1',null,'0');
INSERT INTO complaints VALUES('525','NISER AHMED','03415224924','HO#20 ST#37 MELODY ISB','8','37','22183','HAIER','SHAYAAN',null,'06-MAY-2020','85-1708HWM - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-22 02:18:10','2020-08-31 22:56:43',null,'1',null,'0');
INSERT INTO complaints VALUES('526','MR FARYAZ','03005211116','HO#1335 ST#172 G-11/1 ISB','5','35','120769','LG','9085NDKVH-C-122','2020-08-21',null,null,'WASHING MACHINE','LEAKAGE PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-08-22 02:23:16','2020-08-26 00:24:24',null,'1',null,'0');
INSERT INTO complaints VALUES('527','MR AMIR','03219743176','H NO 4 LANE NO 1 LALAZAR 2 DHAMIAL ROAD NEAR EDUCATOR SCHOOL RWP','8','37','21370','TCL','1910VLR300964A00150',null,'18-APR-2020','55P8M - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-22 19:57:31','2020-09-02 21:33:53',null,'1',null,'0');
INSERT INTO complaints VALUES('528','MR USMAN','03133339955','H NO 518 ST NO 109 SEC I/8-4 ISB','5','34','557','SAMSUNG','0',null,'11-APR-2015','55H6400-P','FLAT PANEL TV','PANEL SPOT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-22 20:22:19','2020-09-14 00:59:49',null,'1',null,'0');
INSERT INTO complaints VALUES('529','MUHAMMAD JALIL','03055599317','H NO 23 KAGHAN ROAD SEC F/8-3 ISB','5','35','119006','LG','0',null,'10-JUL-2020','4V5RYP2T-S - 899','WASHING MACHINE','VIBRATION',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-22 20:30:35','2020-09-13 00:57:55',null,'1',null,'0');
INSERT INTO complaints VALUES('530','WAQAR HAMDI','03005389090','H NO 22 HAROON STREET BANNI GALA ISB','5','31','95268','SIGNATURE','0',null,'7-JUN-2018','FGG4','COOKING RANGE','NOB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-22 20:32:07','2020-09-29 22:45:46',null,'1',null,'0');
INSERT INTO complaints VALUES('531','RAJA GHULAM','03165105757','JIGYOT ROAD NEAR ZIARAT ALI PUR FARASH TRAMARY CHOWK ISB','8','40','39901','GREE','0',null,'30-MAY-2020','500FS - 993','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-22 20:35:28','2020-09-02 21:32:03',null,'1',null,'0');
INSERT INTO complaints VALUES('532','RASHEED','03155381536','H NO 12 ST NO 10 SEC G DHA 2 ISB','6','15','29028','SAMSUNG','0',null,'12-AUG-2020','15J5730SS-S','WASHING MACHINE','NOT WORKING',null,'5','ISSUE RESOLVED NAI HAU THA DUBARA COMPLAINT REOPEN KI HA',null,'customer','0',null,'73','2020-08-22 20:40:30','2020-09-14 01:07:55',null,'1',null,'0');
INSERT INTO complaints VALUES('533','FAREED AKRAM','03145179218','H NO 303 ST NO 38 SEC G/9-1 ISB','5','32','119335','ECOSTAR','0',null,'17-JUL-2020','300FS - 2122','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-22 20:42:49','2020-09-23 00:48:27',null,'1',null,'0');
INSERT INTO complaints VALUES('534','MR ADNAN','03449013975','H NO 23B ST NO 37 SEC F/8-1 ISB','5','32','108446','LG','0',null,'10-AUG-2019','1366NEFTF-S-C','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-22 20:53:40','2020-09-13 00:55:02',null,'1',null,'0');
INSERT INTO complaints VALUES('535','MR SHAHZAD','03335212251','H NO 132 ST NO 34 OVERSEAS SEC 5 PHASE 8 B.TOWN RWP','6','13','27867','HOMAGE','0',null,'19-JUN-2020','86HWD - 993','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-22 21:26:44','2020-08-31 22:51:07',null,'1',null,'0');
INSERT INTO complaints VALUES('536','COL SAJJAD','03334189189','H NO 222 ST NO 39 SEC F/11-3 ISB','5','28','115816','HAIER','0',null,'20-MAR-2020','40B9200M - 938','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-22 21:30:05','2020-08-31 22:44:53',null,'1',null,'0');
INSERT INTO complaints VALUES('537','AMJAD ALI','03339271107','H NO 2350 ST NO 56 ABUBAKAR BLOCK PHASE 8 B.TOWN RWP','6','12','10764','LG','0',null,'24-SEP-2017','4J6TMP0W-C - 1850','WASHING MACHINE','NOT WORKING',null,'5','CASTAMER ISSUE RESOLVED',null,'customer','0',null,'73','2020-08-22 21:49:28','2020-09-12 19:24:00',null,'1',null,'0');
INSERT INTO complaints VALUES('538','MR PASHA','03005067040','H NO 1187 ST NO 47 PHASE 3 B.TOWN RWP','4','6','15935','CARAVELL','03245143670',null,'16-AUG-2020','204B','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-22 21:52:03','2020-08-31 22:41:46',null,'1',null,'0');
INSERT INTO complaints VALUES('539','KHURRAM SDDR','03005548081','FREINDS SADDAR RWP','7','49','0','MITSUBISHI','0',null,'0','CASETTE','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-22 22:19:54','2020-08-31 22:37:49',null,'1',null,'0');
INSERT INTO complaints VALUES('540','MR GHUFRAN','03155087668','H NO 1387 ST NO 18 UMER BLOCK PHASE 8 B.TOWN RWP','6','15','22835','LG','03105271339',null,'27-AUG-2019','442HMHU-S - 746','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-22 22:30:13','2020-09-24 23:53:16',null,'1',null,'0');
INSERT INTO complaints VALUES('541','ASIF RANA','03315888126','H NO 108D ST NO 46 SEC I/8-2 ISB','5','34','116642','GREE','0',null,'23-MAY-2020','9978EG-CR1 - 885','REFRIGERATOR','GAS KIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-22 22:35:55','2020-09-23 00:51:31',null,'1',null,'0');
INSERT INTO complaints VALUES('542','MAJ SOHAIL','03235599289','H NO 2 ST NO 7A SEC D DHA 2 ISB','4','10','14280','ORIENT','03016413655',null,'11-JUN-2020','12G-HYPER-SW - 913','AIR CONDITIONER','ERROR L1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-22 22:47:58','2020-08-31 22:24:17',null,'1',null,'0');
INSERT INTO complaints VALUES('543','SARIM','03349689344','H NO 35 ST NO 13 JKCHS SEC F/15-1 ISB','9','26','145145','SIGNATURE','0512328090',null,'25-DEC-2017','SWM-FW1409S - 901','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-22 23:11:23','2020-09-23 22:29:06',null,'1',null,'0');
INSERT INTO complaints VALUES('544','MR FAHAD','03228002454','H NO 323 ST NO 22 BAHRIA SPRINGS PHASE 7 B.TOWN RWP','8','39','38387','HAIER','0',null,'25-DEC-2019','519DGG - 1122','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-22 23:27:56','2020-09-02 21:11:07',null,'1',null,'0');
INSERT INTO complaints VALUES('545','ANAS AFTAB','03008565105','SERENA BUSINESS COMPLEX KHAYABAN-E-SHER WARDI NEAR SERENA HOTEL ISB','8','47','20139','SONY','0',null,'16-NOV-2019','85X8500-S - 1627','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-22 23:34:18','2020-08-26 00:14:33',null,'1',null,'0');
INSERT INTO complaints VALUES('546','USAMA','03455243848','H NO 309 ST NO 20 SEC 1 GULZAR-E-QUAIDE RWP','9','19','150101','ORIENT','0',null,'8-APR-2018','18GPLUS-SS - 915','AIR CONDITIONER','ERROR E4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-22 23:38:15','2020-09-02 21:07:39',null,'1',null,'0');
INSERT INTO complaints VALUES('547','BILAL NADEEM','03341534153','H NO 55 ST NO 21 KORANG TOWN ISB','5','28','0','LG','0',null,'8 YEARS AGO','TOP LOAD W/MACHINE','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-23 00:34:16','2020-09-13 00:51:18',null,'1',null,'0');
INSERT INTO complaints VALUES('548','BRIG MEHMOOD','03215014099','H NO 24 ST NO 10 SEC C DHA 2 ISB','9','20','149159','SIGNATURE','0',null,'25-MAR-2018','SRF-HM100 - 908','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-23 01:39:40','2020-08-26 20:49:20',null,'1',null,'0');
INSERT INTO complaints VALUES('549','RIZWAN MALIK','03002011798','H NO 1249 ST NO 17 PHASE 2 EXT B.TOWN RWP','4','8','11222','ORIENT','0',null,'31-OCT-2019','32HD-FALCON - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-23 01:48:47','2020-08-31 22:16:00',null,'1',null,'0');
INSERT INTO complaints VALUES('550','KASHIF','03335627521','H NO 7D FLAT NO 3 IBN-E-SINA ROAD SEC G/9-2 ISB','5','34','113193','HAIER','0',null,'21-DEC-2019','90-1789HWM - 901','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-23 01:51:49','2020-08-31 22:13:46',null,'1',null,'0');
INSERT INTO complaints VALUES('551','AMIR GHAFOOR','03215174408','H NO 34 BLOCK 4 JINNAH COMPLEX NEAR COMSAT CHAK SHAHZAD ISB','8','37','11274','SAMSUNG','0',null,'18-APR-2015','1STMG - 903','REFRIGERATOR','NOT WORKING',null,'5','CUSTOMER NA KHUD SA COMPLAINT CANCELLED KARWAI CLOSED COMPLAINT',null,'customer','0',null,'73','2020-08-23 01:54:26','2020-08-26 00:11:02',null,'1',null,'0');
INSERT INTO complaints VALUES('552','HAFIZ AZIZ','03345025522','H NO B108 COMMERCIAL MARKET RWP','9','24','190638','HAIER','0',null,'16-JUN-2020','150-1708HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-23 01:55:24','2020-08-31 22:12:27',null,'1',null,'0');
INSERT INTO complaints VALUES('553','FAROOQ','03238556115','H NO 79 ST NO 9 OVERSEAS SEC 5 PHASE 8 B.TOWN RWP','6','16','21221','HAIER','0',null,'2-JUN-2019','24HNI-W-INV - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-23 02:09:28','2020-08-31 22:10:24',null,'1',null,'0');
INSERT INTO complaints VALUES('554','MUHAMMAD IQBAL','03366413176','PN FARM 101 SIMLY DAM ROAD BARAKAHO ISB','8','38','41424','ORIENT','03003345029',null,'28-JUL-2020','24G-PLUS-SG - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-23 02:10:50','2020-09-14 01:12:13',null,'1',null,'0');
INSERT INTO complaints VALUES('555','USMAN GHAZANFAR','03018558679','H NO 129 LANE NO 7 ASKARI 7 ADYALA ROAD RWP CANTT','8','37','41825','FIVE STAR','0',null,'15-AUG-2020','35G-TWIN SUPREME - 963','GEYSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-23 02:34:06','2020-08-31 22:04:42',null,'1',null,'0');
INSERT INTO complaints VALUES('556','SHAHZAD AHMED','03215680195','ZAFAR PLAZA CHAKRI ROAD NEAR GULSHAN SAEED RWP CANTT','7','49','20049','SIGNATURE','03325014459',null,'19-NOV-2019','SWM-JD45 - 945','WASHING MACHINE','WASHING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-23 02:38:29','2020-08-26 20:46:12',null,'1',null,'0');
INSERT INTO complaints VALUES('557','KASHIF ASHRAF','03322080999','HO#701 ST#05 SEC C PHASE 08 B TOWN','4','5','9339','MIDEA','0','2020-08-22',null,'18HRFN1-MSMTD - 915','AIR CONDITIONER','E-3 ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-23 02:57:00','2020-09-02 21:05:40',null,'1',null,'0');
INSERT INTO complaints VALUES('558','MR SAFDAR','03339309987','KARIMABAD HUNZA GILGIT BALTISTAN','8','38','36023','WAVES','0',null,'4-AUG-2019','313WDF - 956','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-23 03:02:31','2020-10-06 22:06:14',null,'1',null,'0');
INSERT INTO complaints VALUES('559','SHERIYAR SB','03459010353','H NO 1277 ST NO 79 OMER BLOCK PHASE 8 B.TOWN RWP','6','15','28513','ORIENT','0',null,'20-JUL-2020','18G-BOLD-UW-INV - 915','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-23 19:57:33','2020-09-29 23:33:19',null,'1',null,'0');
INSERT INTO complaints VALUES('560','AZHAR MEHMOOD','03325152213','LANE NO 8 NEAR MASJID ABUBAKAR SIDDIQUE CHATHA BAKHTAWAR','8','38','41375','HAIER','0',null,'27-jul-2020','368EPR - 860','REFRIGERATOR','ADJUSTMENT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-23 20:00:58','2020-09-02 20:32:58',null,'1',null,'0');
INSERT INTO complaints VALUES('561','RAJA ZAHID','03328552097','H NO 646 ROAD D PHASE 5 B.TOWN RWP','9','51','131376','LG','0',null,'16-APR-2017','49UH654-P-986','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','CUSTOMER SIDE SA CANCELLED',null,'customer','0',null,'73','2020-08-23 20:13:19','2020-08-26 00:10:01',null,'1',null,'0');
INSERT INTO complaints VALUES('562','AREENA','03315174389','h no 360 st no 19 pHase 7 b.town rwp','9','24','193079','FIVE STAR','0',null,'20-JUL-2020','3000-WC','AIR COOLER','FAN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-23 21:10:42','2020-08-31 21:51:57',null,'1',null,'0');
INSERT INTO complaints VALUES('563','MUHAMMAD WAHEED','03453133824','H NO 5 ALHADI STREET MAIN BANNI GALA ROAD NEAR ALLIED BANK ISB','8','38','31172','ORIENT','0',null,'10-DEC-2018','18MAX-SW - 915','AIR CONDITIONER','ERROR E8',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-23 21:54:17','2020-09-02 00:13:23',null,'1',null,'0');
INSERT INTO complaints VALUES('564','M LAEEQ QURESHI','03328492349','H NO 2018 ST NO 30 FARASH TOWN NEAR SULTANA FOUNDATION ISB','9','19','125490','PEL','0',null,'18-DEC-2016','150PRGD-M - 884','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-23 22:04:25','2020-09-25 01:03:27',null,'1',null,'0');
INSERT INTO complaints VALUES('565','RAJA HAMAD','03315272946','KORAL ISB','8','38','23406','LG','0',null,'11-JUL-2017','622HLCL-C - 885','REFRIGERATOR','PCB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-23 22:43:29','2020-09-12 23:47:52',null,'1',null,'0');
INSERT INTO complaints VALUES('566','M ZEESHAN','03455520777','H NO 5 ST NO 6 BLOCK C SOAN GARDEN ISB','8','38','5030','SIGNATURE','0',null,'21-AUG-2018','SCF-HM08 - 954','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-23 22:54:26','2020-09-26 22:11:42',null,'1',null,'0');
INSERT INTO complaints VALUES('567','RAJA KHALID SB','03368555572','H NO 3 ST NO 1 SEC G/13-3 ISB','8','37','34642','HAIER','0',null,'13-JUN-2019','336ITB - 860','REFRIGERATOR','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-23 23:04:35','2020-09-10 22:44:14',null,'1',null,'0');
INSERT INTO complaints VALUES('568','RAJA ADIL','03215838896','MORA DAROGHA VILLAGE NEAR SADAF CLINIC RAWAT ISB','6','12','28322','HOMAGE','0',null,'9-JUL-2020','87HWD - 993','WATER DISPENSER','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-23 23:16:52','2020-09-02 20:27:55',null,'1',null,'0');
INSERT INTO complaints VALUES('569','MR ABBAS','03018559788','H NO 1151 ST NO 2 BLOCK C NPF O9 ISB','9','19','126689','SIGNATURE','0',null,'14-JAN-2017','SWM-SR45 - 899','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-23 23:21:25','2020-10-07 20:40:53',null,'1',null,'0');
INSERT INTO complaints VALUES('570','MR TAUSEEF','03224422529','H NO 33 PHA HOUSING SOCIETY KURI ROAD CHAK SHAHZAD ISB','8','38','41634','DAWLANCE','0',null,'8-aug-2020','10500DW - 906','WASHING MACHINE','DRYER PROBLM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 00:27:06','2020-08-31 21:36:44',null,'1',null,'0');
INSERT INTO complaints VALUES('571','HASSAN MANSOOR','03215372031','H NO 23A ST NO 11 SEC A DHA 1 RWP','6','13','0','ORIENT','0',null,'6-AUG-2019','CRYSTAL-C-BLK - 993','WATER DISPENSER','TAB PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 00:29:09','2020-08-31 21:31:43',null,'1',null,'0');
INSERT INTO complaints VALUES('572','IMRAN AHMED','03325625010','H NO 1395 ST NO 84 SEC D/12-1 ISB','8','40','41765','HAIER','0',null,'12-AUG-2020','398IPB - 884','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 01:10:51','2020-09-01 01:19:36',null,'1',null,'0');
INSERT INTO complaints VALUES('573','ATIF SB','03315292837','H NO 66 ST NO 10 NEAR KRL ROAD RWP','8','38','36654','LG','0',null,'2-SEP-2019','2J3QDNPO-S','WASHING MACHINE','DRUM PROBLEM',null,'5','CAMPLAINT  RESOLVED',null,'customer','0',null,'73','2020-08-24 01:20:18','2020-09-12 19:11:00',null,'1',null,'0');
INSERT INTO complaints VALUES('574','AZHAR SB','03035593083','FHS SHOWROOM SHAMSABAD RWP','8','42','29376','SIGNATURE','0',null,'21-AUG-2018','SCF-HM08 - 954','FREEZER','COMPRESSOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 01:36:37','2020-09-12 23:50:40',null,'1',null,'0');
INSERT INTO complaints VALUES('575','NAEEM KHAN','03339111577','ST NO 2 NEAR JAMIA MASJID ELAHI DHOK RATTA RWP','9','24','130367','PEL','03335355712',null,'1-APR-2017','6300EW - 88','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 01:59:57','2020-08-31 21:09:02',null,'1',null,'0');
INSERT INTO complaints VALUES('577','samiullah sb','03005018506','H NO 1080 ST NO 67/83 SAFARI VALLEY UMER BLOCK PHASE 8 B.TOWN RWP','6','13','28780','SIGNATURE','0',null,'30-JUL-2020','SBH-AA901G - 1122','BUILT IN APPLLIANCES','NOT WORNG',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 19:23:07','2020-09-28 01:54:42',null,'1',null,'0');
INSERT INTO complaints VALUES('578','MRS AKRAM','03458550833','H NO 10 ST NO 15E SEC A BAHRIA ENCLAVE ISB','6','15','28991','CARAVELL','0',null,'11-AUG-2020','204b','WATER DISPENSER','HEATING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 19:28:40','2020-08-31 21:27:42',null,'1',null,'0');
INSERT INTO complaints VALUES('579','SAAD HASSAN','03355126664','H NO 17 ST NO 19 SEC C DHA 1 RWP','6','15','15719','SIGNATURE','0',null,'4-AUG-2018','F90G - 1122','BUILT IN APPLLIANCES','NOB PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 19:31:03','2020-11-04 00:16:54',null,'1',null,'0');
INSERT INTO complaints VALUES('580','MUHAMMAD SHABRAZ','03045142755 , 03105071777','H NO 2 BLOCK D MEDIA TOWN ISB','4','8','13264','SAMSUNG','0',null,'20-FEB-2020','70H4200-S - 1483','WASHING MACHINE','NOT WORKING',null,'5','CAMPLAINT   NOT  RESOLVED',null,'customer','0',null,'73','2020-08-24 19:33:40','2020-09-12 19:52:10',null,'1',null,'0');
INSERT INTO complaints VALUES('581','MUHAMMAD NASEEM','03018552209','H NO 242 ST NO 44 SEC F SAFARI HOMES PHASE 8 B.TOWN RWP','4','5','14316','ORIENT','0',null,'22-JUN-2020','18G-SUPER - 915','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 19:50:56','2020-08-31 20:44:38',null,'1',null,'0');
INSERT INTO complaints VALUES('582','MUHAMMAD NASEEM','03018552209','H NO 242 ST NO 44 SEC F SAFARI HOMES PHASE 8 B.TOWN RWP','4','5','14316','HAIER','0',null,'22-JUN-2020','24HYD - 917','AIR CONDITIONER','SOUND PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-24 19:50:59','2020-08-31 20:42:19',null,'1',null,'0');
INSERT INTO complaints VALUES('583','UMER ALI CHEEMA','03318040004','H NO 1332 ST NO 53 SEC I/11-2 ISB','9','21','195239','ORIENT','0',null,'23-AUG-2020','AUTO6-GREY','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 20:08:51','2020-08-31 21:26:32',null,'1',null,'0');
INSERT INTO complaints VALUES('584','MISS LAILA','03075774888','H NO 508 ST NO 66 PAKITAN TOWN PHASE 1 RWP','10','44','0','HAIER','0',null,'3DAYS BACK IN WARRANTY','438IDBT - 896','REFRIGERATOR','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 20:22:00','2020-09-14 01:14:17',null,'1',null,'0');
INSERT INTO complaints VALUES('585','DR MAHMOOD','03335501851','H NO 42 GROUND ST NO 23 SEC F/10-2 ISB','5','34','98695','SIGNATURE','0',null,'22-OCT-2018','SCF-HM08 - 954','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 20:30:22','2020-09-15 22:10:19',null,'1',null,'0');
INSERT INTO complaints VALUES('586','Hamza testing 2','03215854833','Abc','3','3','00','ACSON','1234','2020-08-24',null,'A5WMY15LR - 913','AIR CONDITIONER','Not cooling .',null,'5','CLOSED COMPLAINT',null,'customer','0',null,'67','2020-08-24 21:04:58','2020-08-26 00:09:10',null,'1',null,'0');
INSERT INTO complaints VALUES('587','GEN SAJAD SB','03245080774','PLOT NO 7/8 MAIN MACDONALD DHA 2 ISB','9','19','194183','HAIER','0',null,'8-aug-2020','12HRO-W-INV - 913','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 21:05:40','2020-08-31 21:24:55',null,'1',null,'0');
INSERT INTO complaints VALUES('588','SHAKEEL AHMED','03115108913','H NO 269 JINNAH ROAD SEC 1 AIRPORT HOUSING SOCIETY RWP','4','11','15943','HAIER','0',null,'16-AUG-2020','18HFAA-B INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 21:08:17','2020-08-31 21:11:20',null,'1',null,'0');
INSERT INTO complaints VALUES('589','MUHAMMAD AWWAB','03365543457','524/ F BLOCK SATELLITE TOWN RWP','9','19','155919','SIGNATURE','0',null,'22-JUL-2018','SRF-KK95G - 903','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 21:10:41','2020-09-15 22:07:43',null,'1',null,'0');
INSERT INTO complaints VALUES('590','MRS WASEEM','03035533512 , 03215668647','H NO PD576 ABBASIABAD SHARAH-E-STADIUM RWP','6','14','29250','LG','0',null,'22-AUG-2020','622GLHL-S - 17','REFRIGERATOR','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 21:13:35','2020-10-08 02:11:12',null,'1',null,'0');
INSERT INTO complaints VALUES('591','NAEEM SB','03458505606','H NO 217 ST NO 36 SEC G/14-4 ISB','8','37','22792','HAIER','0',null,'7-JUL-2020','100BS-WM - 69','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 21:44:42','2020-08-31 22:01:02',null,'1',null,'0');
INSERT INTO complaints VALUES('592',null,null,null,'3',null,null,'DAIKIN','8888',null,null,'15JXV1P - 912','AIR CONDITIONER','Compressor',null,'5','CLOSED',null,'showroom','0',null,'90','2020-08-24 22:27:07','2020-08-26 00:02:52',null,'1',null,'0');
INSERT INTO complaints VALUES('593','ISHFAQ FHHS','03135001212','FREINDS SHAMSABAD RWP','8','39','0','FIVE STAR','0',null,'0','900C-FS - 1965','COOKING RANGE','NOB PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 22:56:48','2020-08-31 23:16:18',null,'1',null,'0');
INSERT INTO complaints VALUES('594','BRIG KHIZAR','03350975222','H NO 493 ST NO 19 SEC B ASKARI 14 RWP','7','49','21110','KENWOOD','0',null,'15-JUN-2020','1230S-HC INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 22:59:41','2020-08-31 23:14:54',null,'1',null,'0');
INSERT INTO complaints VALUES('595','SALMAN SB','03200662666 , 03008545880','H NO 14 ST NO 85 SEC G/6-4 ISB','5','32','118851','SONY','0',null,'8-JUL-2020','65X8077G-S - 1443','FLAT PANEL TV','NET PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 23:02:21','2020-08-25 23:49:48',null,'1',null,'0');
INSERT INTO complaints VALUES('596','MUHAMMAD HANEEF','03335103225','23C ST NO 2 TULSA ROAD LALAZAR RWP','6','12','11797','SAMSUNG','0',null,'4-DEC-2017','49K5300GT - 1629','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-24 23:29:49','2020-09-17 01:08:09',null,'1',null,'0');
INSERT INTO complaints VALUES('597','MUHAMMAD ATIF','03458501259','H NO 303 ST NO 80 SEC G/11-2 ISB','5','28','87907','SAMSUNG','0',null,'5-SEP-2017','0704-REU - 899','WASHING MACHINE','ERROR 4E',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-24 23:44:30','2020-08-26 01:39:16',null,'1',null,'0');
INSERT INTO complaints VALUES('598','SHAFQAT SB','03008500638','H NO 670 ST MAZHAR PHASE 1 WAAH MODEL TOWN','5','31','120372','LG','0',null,'7-AUG-2020','4V5RGP2T-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 00:13:22','2020-09-17 01:05:40',null,'1',null,'0');
INSERT INTO complaints VALUES('599','ch naeem','03328585777','H NO 228B SATELLITE TOWN 4TH ROAD COMMERCIAL MARKET RWP','9','23','194400','ORIENT','0',null,'10-AUG-2020','24G-PREMIER-SW - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 00:17:31','2020-09-18 02:37:58',null,'1',null,'0');
INSERT INTO complaints VALUES('600','SALEEM ABID','03356716685','H NO 16 ST URBAN BOLYWARD SEC A BAHRIA ENCLAVE ISB','8','39','37562','SIGNATURE','0',null,'13-NOV-2019','HC3766G','BUILT IN APPLLIANCES','FLAME PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 00:19:25','2020-09-30 23:57:18',null,'1',null,'0');
INSERT INTO complaints VALUES('601','HASSAM RAIS','03042121212','H NO 347 ROAD B PHASE 3 B.TOWN RWP','6','12','29273','ORIENT','0',null,'23-AUG-2020','AUTO10 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 00:22:35','2020-09-01 02:34:57',null,'1',null,'0');
INSERT INTO complaints VALUES('602','TANVEER SB','03005209745','H NO 741 NEAR 22 NUMBER ADRA RWP CANTT','9','20','165072','HAIER','0',null,'23-JAN-2019','568TBG - 908','REFRIGERATOR','COOLING PROBLEM',null,'5','complain completed',null,'customer','0',null,'73','2020-08-25 00:24:15','2020-09-24 00:40:31',null,'1',null,'0');
INSERT INTO complaints VALUES('603','HUSSAIN SHAHZAD','03225154861 , 03009550079','H NO 717 ST NO 2 SHAHZAD TOWN ISB','5','36','77500','SIGNATURE','0',null,'5-AUG-2016','MD2-S - 1708','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 00:25:42','2020-09-17 21:50:48',null,'1',null,'0');
INSERT INTO complaints VALUES('604','FAWAD SB','03092224138','MAIN KHUSHAB ROAD JOHRABAD NEAR HASCOL PUMP SARGODHA','9','24','195028','ORIENT','0',null,'19-AUG-2020','529BL - 128','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 00:29:02','2020-09-23 01:34:41',null,'1',null,'0');
INSERT INTO complaints VALUES('605','DR MUNAWAR','03335150646','H NO 8 ST NO 5 SEC C BAHRIA ENCLAVE ISB','6','13','28712','LG','0',null,'15-JUL-2018','4J6TMP8S-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 00:32:52','2020-09-08 22:30:28',null,'1',null,'0');
INSERT INTO complaints VALUES('606','MAROOF ANJUM','03002599935','OFFICE NO 1 REHMAN PLAZA IDREES MARKIT SEC I/10-2 ISB','5','31','121011','HAIER','0',null,'19-AUG-2020','12HFCE-W-INV - 913','AIR CONDITIONER','GAS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 00:59:57','2020-09-02 20:11:24',null,'1',null,'0');
INSERT INTO complaints VALUES('607','SHAKEEL MALIK','03000181108','H NO 2 ST NO 17 SEC A DHA 1 RWP','6','13','21852','ORIENT','0',null,'4-JUL-2019','25AE2-SL - 917','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 01:09:25','2020-09-01 23:43:26',null,'1',null,'0');
INSERT INTO complaints VALUES('608','MR ADNAN','03335131355','H NO 799 ST NO 30 GHOURI TOWN 4A ISB','8','40','25413','SIGNATURE','0',null,'1-JAN-2018','SWM-JD51 - 902','WASHING MACHINE','PANEL PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 01:13:45','2020-09-17 21:52:37',null,'1',null,'0');
INSERT INTO complaints VALUES('609','IRSHAD','03435260092','H NO 2 ST NO 1 BLOCK A PHASE 2 WAAH CANTT','8','42','41776','GREE','0',null,'12-AUG-2020','12FITH1C - 913','AIR CONDITIONER','SMELL PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-25 01:15:48','2020-09-01 02:16:18',null,'1',null,'0');
INSERT INTO complaints VALUES('610','ATIQ UR REHMAN','03425199486','H NO 511 ST SUNSET GREEN AVENUE ISB','8','39','41093','ORIENT','0',null,'15-JUL-2020','12G-HYPER-SW - 913','AIR CONDITIONER','ERROR L5',null,'5','complaint closed',null,'customer','0',null,'73','2020-08-25 01:24:23','2020-09-01 02:14:27',null,'1',null,'0');
INSERT INTO complaints VALUES('611','MALIK IJAZ','03335127155 , 03449440369','H NO 175 ST NO 15 SEC E7 ISB','4','5','3961','LG','0',null,'4-JUN-2018','650GLHL-S - 909','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 02:16:21','2020-09-23 22:45:10',null,'1',null,'0');
INSERT INTO complaints VALUES('612','TAHSEEN MALIK','03333505106','H NO 134-135 SEC D JUDICIAL TOWN NEAR CHATTAR PARK ISB','9','22','193323','HAIER','0',null,'22-JUL-2020','622ICG - 908','REFRIGERATOR','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 03:18:26','2020-09-01 23:33:15',null,'1',null,'0');
INSERT INTO complaints VALUES('613','MANSOOR SAQIB','03077526780','NEAR BILAL MASJID BARAF KHANA CHOWK MISRIAL ROAD RWP CANTT','7','49','21217','HAIER','0',null,'18-JUN-2020','246EBS - 857','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 03:22:57','2020-09-01 23:30:08',null,'1',null,'0');
INSERT INTO complaints VALUES('614','MR ADEEL','03314599996','H NO A320 GULISTAN COLONY WAAH CANTT','6','14','29151','HAIER','0',null,'16-AUG-2020','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 03:24:35','2020-09-23 02:17:44',null,'1',null,'0');
INSERT INTO complaints VALUES('615','SAJID HUSSAIN','03367284616','H NO 666 ST NO 65C PHASE 1 PAKISTAN TOWN ISB','4','6','3805','KENWOOD','0',null,'27-MAY-2018','2420FHW-INV - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 03:26:33','2020-09-05 20:39:55',null,'1',null,'0');
INSERT INTO complaints VALUES('616','ZEESHAN SB','03325287962','H NO 478 ST NO 38 BLOCK C PWD ISB','4','9','12847','HAIER','0',null,'19-JAN-2020','438IDB - 896','REFRIGERATOR','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 03:27:53','2020-09-01 23:25:25',null,'1',null,'0');
INSERT INTO complaints VALUES('617','ADEEL MAQSOOD','03085557223','H NO 2002 ST NO 8 BLOCK F NPF ISB','4','8','8643','MITSUBISHI','0',null,'2-MAY-2019','50VA - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 19:40:09','2020-09-23 22:50:01',null,'1',null,'0');
INSERT INTO complaints VALUES('618','SHAHID AHMED','03455160120','41597/B BLOCK 4 MUSLIM TOWN RWP','9','20','109583','SIGNATURE','0',null,'25-JAN-2016','35GEG - 1537','GEYSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 19:56:26','2020-09-29 23:07:49',null,'1',null,'0');
INSERT INTO complaints VALUES('619','FAHAD ANJUM','03326546666 , 03335910516','H NO CB640J EIDGAH SHAREEF ASGHAR MALL SCHEME RWP','9','20','156717','HAIER','0',null,'7-AUG-2018','95-1678HWM - 1817','WASHING MACHINE','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 19:57:34','2020-09-10 00:12:08',null,'1',null,'0');
INSERT INTO complaints VALUES('620','UZAIR AMIR','03345516610','H NO 71 ST NO 10 AWAMI VILLAS PHASE 8 RWP','6','13','16183','SIGNATURE','0',null,'30-AUG-2018','SWM-SR40 - 1548','WASHING MACHINE','ERROR E0',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 20:04:00','2020-09-12 23:55:43',null,'1',null,'0');
INSERT INTO complaints VALUES('621','ABDUL QADIR','03216631381','H NO 678 BLOCK B NEAR REHMANIA MASJID PEOPLES COLONY NO 1 FAISALABAD','8','42','22155','HAIER','0',null,'5-MAY-2020','18HFCD-W-INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 20:08:59','2020-09-02 19:59:02',null,'1',null,'0');
INSERT INTO complaints VALUES('622','JAFAR HUSSAIN','03005700935','H NO B9 ST NO 1 GOLDEN JUBILEE SOCIETY SOAN NEAR HAMRAHI TERMINAL GT ROAD ISB','9','21','191383','HAIER','0',null,'24-JUN-2020','18HNF-INV-S - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 20:15:26','2020-09-01 20:49:25',null,'1',null,'0');
INSERT INTO complaints VALUES('623','ZEESHAN KHAN','03425372528 , 03007888866','H NO 727 ST NO 89 SEC 3 GULSHANABAD ADYALA ROAD RWP','4','9','14823','DAWLANCE','0',null,'24-JUN-2020','1051-GB','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 20:20:43','2020-09-01 22:33:57',null,'1',null,'0');
INSERT INTO complaints VALUES('624','ROHAIL KIYANI','03215512344 , 03228516881','3RD FLOOR RBS TOWER BUSINESS PARK OPP COFFEE PLANET  GULBERG GREEN ISB','6','15','28989','CARAVELL','0',null,'11-AUG-2020','204B','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 20:27:37','2020-09-09 20:54:22',null,'1',null,'0');
INSERT INTO complaints VALUES('625','HAJI M. FAROOQ','03335150807','PLOT OPP GARDEN VILLAS ADYALA ROAD R.W.P','9','26','172508','SIGNATURE','0',null,'090JUNE 2019','SVF-HM95-BLK - 900','REFRIGERATOR','COMPRESSOR NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-25 20:36:41','2020-09-16 22:42:49',null,'1',null,'0');
INSERT INTO complaints VALUES('626','BUTT PWD','03115006051','FREINDS NEAR TEHZEEB BAKERS PWD','4','7',null,'HAIER','18HFB','2020-08-25',null,null,'AIR CONDITIONER','CARD KA PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-25 20:38:46','2020-09-01 22:31:12',null,'1',null,'0');
INSERT INTO complaints VALUES('627','SHAHZAD AHMED','03367523339 , 0515595999','H NO 10 LANE NO 6 ST NO 1 GULRAIZ 2 RWP','9','19','165624','SIGNATURE','0',null,'4-FEB-2019','MT-99FHS-I - 908','REFRIGERATOR','HEATUP AND LEAKAGE',null,'5','COMPLAINT   RESOLVED',null,'customer','0',null,'73','2020-08-25 20:41:16','2020-09-12 19:46:29',null,'1',null,'0');
INSERT INTO complaints VALUES('628','MR AAMIR','03129122196','PESHAWAR','5','31','94339','SIGNATURE','0',null,'10-MAY-2018','SRF-WB90M - 885','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 21:19:14','2020-10-29 00:51:09',null,'1',null,'0');
INSERT INTO complaints VALUES('629','USMAN AHMED MALIK','03121069999','H NO 3 LANE NO 9 GULISTAN COLONY RWP','9','51','126900','SIGNATURE','0',null,'18-JAN-2017','SCR-FSB3-5G - 1605','COOKING RANGE','DOOR PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-25 21:49:39','2020-09-19 20:26:18',null,'1',null,'0');
INSERT INTO complaints VALUES('630','MR HAROON','03212212345','PLOT NO 2 5TH FLOOR APP NO 504L1 SAVOY RESIDENCE SEC F/11-1 ISB','5','30','77777','DAWLANCE','0',null,'17-AUG-2016','91996GD - 885','REFRIGERATOR','LIGHTS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 22:04:48','2020-09-01 22:29:21',null,'1',null,'0');
INSERT INTO complaints VALUES('631','BUSHRA AKHTER','03119564356','H NO 9B ST NO 61 SEC F/11-4 ISB','8','37','775','GREE','0',null,'22-MAY-2020','18CITH12G - 915','AIR CONDITIONER','ERROR HC',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 22:07:37','2020-09-01 22:28:07',null,'1',null,'0');
INSERT INTO complaints VALUES('632','NOMAN SB','03215573143','H NO 16 ST NO 3 PHASE 1 AIRPORT ROAD RWP','9','51','193643','HAIER','0',null,'27-jul-2020','32B9200M - 936','FLAT PANEL TV','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 22:47:11','2020-09-01 23:19:50',null,'1',null,'0');
INSERT INTO complaints VALUES('633','MALIK SHABBIR','03145232881','H NO 61/19 ST NO 1 USMAN GHANI LANE BILAL COLONY DHOK KASHMERIAN','9','27','193916','HAIER','0',null,'4-AUG-2020','120-14','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 23:46:31','2020-09-02 19:55:43',null,'1',null,'0');
INSERT INTO complaints VALUES('634','EJAZ AHMED','03335218542','H NO 929 ST NO 91 SEC D/12-1 ISB','5','28','82133','SAMSUNG','0',null,'9-MAR-2017','65KU7000-S','FLAT PANEL TV','INTERNET PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 23:49:13','2020-09-12 23:59:54',null,'1',null,'0');
INSERT INTO complaints VALUES('635','ABBAS SHAH','03218500007','H NO 109 ST NO 64 SEC F/10-3 ISB','5','28','91530','SONY','0',null,'10-FEB-2018','65X7000-C - 1443','FLAT PANEL TV','INTERNET',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 23:53:16','2020-09-23 22:47:32',null,'1',null,'0');
INSERT INTO complaints VALUES('636','MUHAMMAD UMER','03237746146','H NO 320/C ST NO 23 HASHMET ALI COOLEGE JAMIA SCHOOL DHOK KASHMERIAN RWP','9','23','165381','SIGNATURE','0',null,'30-JAN-2019','SWM-SJ40 - 1548','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-25 23:55:34','2020-09-13 01:20:04',null,'1',null,'0');
INSERT INTO complaints VALUES('637','MRS MAMONA','03335377044','H NO 426 GROUND FLOOR ST NO 20 SEC G/15-4 ISB','5','33','111582','SIGNATURE','0',null,'7-dec-2019','40S600 - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 00:03:18','2020-09-14 01:41:58',null,'1',null,'0');
INSERT INTO complaints VALUES('638','IHSAN UL HAQ','03008550729','H NO 446 ST NO 28 SEC E/11-4 ISB','5','31','66140','LG','0',null,'20-FEB-2015','1809S - 1585','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 00:09:55','2020-10-24 01:01:48',null,'1',null,'0');
INSERT INTO complaints VALUES('639','GOLD MIAN','03306222206','FIRST FLOOR CHAUDHARY ARCADE OPP GT ROAD RAHAT BAKERS PHASE 4 B.TOWN RWP','6','12','26380','KENWOOD','0',null,'2-MAR-2020','2430F-IMPERIAL - 916','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 00:37:40','2020-09-09 23:39:54',null,'1',null,'0');
INSERT INTO complaints VALUES('640','MUHAMMAD ALI','03335118723','H NO 158/2 LANE NO 2 CMH OFFICERS COLONY LAHORE CANTT','8','37','16657','LG','0',null,'31-MAY-2016','1496ADT24-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 00:45:16','2020-10-17 20:03:41',null,'1',null,'0');
INSERT INTO complaints VALUES('641','SYED MALIK','03015199323','H NO 886 GALI NO 43 SEC G/10-4 ISB','5','32','113698','KENWOOD','0',null,'8-jan-2020','320GD-BKG - 883','REFRIGERATOR','OVER COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 00:50:37','2020-09-02 20:47:44',null,'1',null,'0');
INSERT INTO complaints VALUES('642','MR WAQAS','03145276200','PHONES 4 U ALASEEF PLAZA NEAR D WATSON SEC I/10 MARKAZ ISB','6','12','21990','DAWLANCE','0',null,'8-JUL-2019','PRO-ACTIVE30-INV - 915','AIR CONDITIONER','ERROR E2',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 01:03:40','2020-09-02 19:47:45',null,'1',null,'0');
INSERT INTO complaints VALUES('643','BRIG KHALID','03025353855','H NO 334 E LANE NO 5 PESHAWAR ROAD RWP CANTT','5','34','105081','SONY','0',null,'22-MAY-2019','100SF-S-1176','SOUND SYSTEMS','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 01:03:49','2020-09-16 22:45:42',null,'1',null,'0');
INSERT INTO complaints VALUES('644','BISHARAT KIYANI','03025239397','IMAMBARGHA CHOWK DHAMAN MOR ADYALA ROAD RWP CANTT','7','49','21649','MITSUBISHI','0',null,'12-AUG-2020','50VA - 915','AIR CONDITIONER','FINS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 01:30:28','2020-10-01 01:04:48',null,'1',null,'0');
INSERT INTO complaints VALUES('645','TAJ HUSSAIN','03000171109','FLAT NO 5C NEAR TO AFIT RWP CANTT','7','49','19240','ORIENT','0',null,'13-JUN-2019','18G-HYPER-SW - 915','AIR CONDITIONER','ERROR CL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 01:38:10','2020-09-02 01:48:38',null,'1',null,'0');
INSERT INTO complaints VALUES('646','IQBAL SB','03465166132','FREINDS HOME BEWAL PLAZA BLUE AREA ISB','5','28','0','SIGNATURE','0',null,'0','FRS-WB65KB - 893','REFRIGERATOR','GAS PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-26 02:03:43','2020-09-08 22:22:50',null,'1',null,'0');
INSERT INTO complaints VALUES('647','IQBAL SB','03465166132','FREINDS HOME BEWAL PLAZA BLUE AREA ISB','5','28','0','SHARP','0',null,'0','612V-SS3 - 1547','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 02:05:56','2020-09-08 22:22:13',null,'1',null,'0');
INSERT INTO complaints VALUES('648','IQBAL SB','03465166132','FREINDS HOME BEWAL PLAZA BLUE AREA ISB','5','28','0','SIGNATURE','0',null,'0','SRF-HM50-S - 887','REFRIGERATOR','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 02:09:52','2020-09-08 22:21:36',null,'1',null,'0');
INSERT INTO complaints VALUES('649','BILAL GHAZI','03335136149','H NO 748 BLOCK F SATELLITE TOWN RWP','9','19','134648','ORIENT','0',null,'25-MAY-2017','13K7PSB-HC - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 02:55:28','2020-09-07 21:32:37',null,'1',null,'0');
INSERT INTO complaints VALUES('650','ARIF SB','03216800059','H NO 606 ST NO 14 SEC C PHASE 8 B.TOWN RWP','6','12','13337','GREE','0',null,'31-MAR-2018','18FITH1W - 915','AIR CONDITIONER','TRIPPING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 03:04:53','2020-09-02 19:40:32',null,'1',null,'0');
INSERT INTO complaints VALUES('651','MRS AMIR','03238505744','H NO 248 ST NO 7 PHASE 4 B.TOWN RWP','6','16','22803','SIGNATURE','0',null,'25-AUG-2019','SWM-JD55C - 1643','WASHING MACHINE','ERROR E4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 03:08:40','2020-09-16 22:48:32',null,'1',null,'0');
INSERT INTO complaints VALUES('652','MR SOHAIL','03075484885 , 03315671351','H NO 1316 ST NO 21 SEC G/14-4 ISB','9','19','193746','GREE','0',null,'28-JUL-2020','9978EG-CB2 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 20:44:50','2020-10-06 22:27:21',null,'1',null,'0');
INSERT INTO complaints VALUES('653','MAHAD AHMED','03330788897 , 03105500338','H NO 53 ST NO 4 SEC E/11-2 ISB','8','38','11812','SAMSUNG','0',null,'30-MAY-2015','55H8000P-942','FLAT PANEL TV','DISPPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 20:47:48','2020-09-08 22:26:17',null,'1',null,'0');
INSERT INTO complaints VALUES('654','MR FAHAD','03335402040','CB983 ST NO 5 CANTT VIEW COLONY MISRIAL ROAD RWP','9','27','189523','KENWOOD','0',null,'30-MAY-2020','400VCM-BHL - 895','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 20:51:13','2020-09-03 21:06:10',null,'1',null,'0');
INSERT INTO complaints VALUES('655','HASNAIN AMIN','03125111247','H NO 458 ST NO 16 CHAKLALA SCHEME 3 RWP CANTT','4','5','8999','LG','0',null,'27-MAY-2019','247CABV-S - 909','REFRIGERATOR','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 20:55:25','2020-09-14 02:05:11',null,'1',null,'0');
INSERT INTO complaints VALUES('656','JAHANZAIB BHATTI','03088888213','FRM NO C7 MAIN PARK ROAD CHAK SHAHZAD ISB','4','6','15558','TCL','2003VLR301106A00018',null,'29-jul-2020','65P8M - 1443','FLAT PANEL TV','DISPALY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 21:28:24','2020-09-07 20:44:25',null,'1',null,'0');
INSERT INTO complaints VALUES('657','SHAFIQUR REHMAN','03466403747','H NO 496 ST NO 2 PHASE 4C2 GHOURI TOWN ISB','9','19','180777','KENWOOD','0',null,'2-NOV-2019','480GD-BKG - 885','REFRIGERATOR','GAS KIT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 21:40:28','2020-09-02 21:42:40',null,'1',null,'0');
INSERT INTO complaints VALUES('658','GHULAM RABBANI','03335127120','ALI CLINIC ST NO 3 DHOK KALA KHABBA RWP','9','20','141591','SIGNATURE','0',null,'12-OCT-2017','PN1-RD - 1708','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 22:10:56','2020-09-16 22:51:04',null,'1',null,'0');
INSERT INTO complaints VALUES('659','HAYAT KHAN','03003000999','H NO 392 ST NO 20 BLOCK A GULBERG GREEN ISB','4','6','13627','HAIER','0',null,'17-MAR-2020','24HNI-W-INV - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 22:14:02','2020-09-03 21:11:14',null,'1',null,'0');
INSERT INTO complaints VALUES('660','MR BILAL','03335118883','H NO 248/5 AZIZ BHATTI ROAD LALKURTI RWP','4','6','16012','GREE','0',null,'19-AUG-2020','9978EG-CB1 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 22:16:15','2020-09-03 20:59:24',null,'1',null,'0');
INSERT INTO complaints VALUES('661','TAIMOOR ALI','03135024808 , 0515740004','PLAZA NO 17 BASEMENT FLOOR NEAR HBL BANK MAIN PWD ROAD OPP DWATSON OPTICAL ISB','6','16','28480','ESQUIRE','0',null,'17-JUL-2020','1212T-FM - 1110','AIR CURTAIN','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 22:20:34','2020-09-08 22:35:34',null,'1',null,'0');
INSERT INTO complaints VALUES('662','ZAHID RASOOL','03342966733','H NO 540 BLOCK B MIAN AKHTER AVENUE GATE 2 MULTI GARDEN SEC B/17','5','33','115378','GREE','0',null,'11-MAR-2020','12CITH12G - 913','AIR CONDITIONER','OUTDOOR SMOKE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 22:22:11','2020-09-03 20:53:35',null,'1',null,'0');
INSERT INTO complaints VALUES('663','MR FARHAN','03339954440','CB1212 NEAR MASJID TEBA AHLE HADIS RAWAL TOWN TENCH BHATTA RWP','9','25','189970','WAVES','0',null,'5-JUN-2020','315WDFT - 958','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 22:24:40','2020-09-02 22:32:34',null,'1',null,'0');
INSERT INTO complaints VALUES('664','NASIRUL HASSAN','03335172379','H NO 112 MAIN STREET FAZAL TOWN PHASE 1 NEAR ALFALAH BANK SHAH KHALID COLONY RWP','9','19','185943','FIVE STAR','0',null,'22-JAN-2020','900C-FS - 1965','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 22:37:31','2020-09-28 23:41:04',null,'1',null,'0');
INSERT INTO complaints VALUES('665','MUHAMMAD AMJAD','03335051616','H NO 4 ST NO 5 IQBAL TOWN KURI ROAD NEAR KHANNAPULL','9','24','193344','FIVE STAR','0',null,'22-JUL-2020','777C-FS - 1073','COOKING RANGE','NOB PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 22:40:02','2020-09-03 20:51:37',null,'1',null,'0');
INSERT INTO complaints VALUES('666','ziggest restaurant','03315521212','REHMAN PLAZA SHOP NO 1&2 SEC G/11 MAIN MARKAZ ISB','9','19','40895','ORIENT','0',null,'8-JUL-2020','24UNIQUE - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-26 23:02:35','2020-09-22 23:23:01',null,'1',null,'0');
INSERT INTO complaints VALUES('667','MUHAMMAD HUSSAIN','03005243596','MH GOLD LAB SOOQE IDREES MARKETOPP GULNOOR MARKET MURREE ROAD RWP','9','26','168691','MITSUBISHI','0',null,'7-APR-2019','50VA - 915','AIR CONDITIONER','OUTDOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 23:50:27','2020-09-02 23:53:21',null,'1',null,'0');
INSERT INTO complaints VALUES('668','MUHAMMAD IZZAT KHAN','03335145652','H NO 370 LANE NO 3 GULRAIZ PHASE 3 RWP','4','11','11679','HAIER','0',null,'7-dec-2019','438EPB - 896','REFRIGERATOR','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-26 23:52:09','2020-09-02 23:55:09',null,'1',null,'0');
INSERT INTO complaints VALUES('669','ABDUL RAZZAQ','03334412085','H NO 213/B ALBARNI STREET ORDINANCE ROAD RWP CANTT','9','19','168113','DAWLANCE','0',null,'30-MAR-2019','9188WBLVS - 895','REFRIGERATOR','LEAKAGE PEOBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-27 00:03:41','2020-09-15 02:21:27',null,'1',null,'0');
INSERT INTO complaints VALUES('671','MR ANSAAR','03335700090','HO#388 ST#52 PAKISTAN TOWN PHASE 01','4','9','15704','TCL','0',null,'06-AUG-2020','12HEB - 913','AIR CONDITIONER','REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-27 19:40:34','2020-09-03 20:48:03',null,'1',null,'0');
INSERT INTO complaints VALUES('672','hamza testing','03120056709','abc','3','3','000','LG','0000','2020-08-27',null,'315F - 1098','ACCESSORIES','Not working',null,'5','done',null,'customer','0',null,'67','2020-08-27 19:52:06','2020-08-27 20:10:07',null,'1',null,'0');
INSERT INTO complaints VALUES('673','hamza testing','03120056709','abc','3','3','000','LG','0000','2020-08-27',null,'315F - 1098','ACCESSORIES','Not working',null,'5','Done',null,'customer','1','672','67','2020-08-27 19:54:33','2020-08-27 20:09:49',null,'1',null,'0');
INSERT INTO complaints VALUES('674','hamza testing','03120056709','abc','3','3','000','LG','0000','2020-08-27',null,'315F - 1098','ACCESSORIES','Not working',null,'5','COMPLAINT CLOSED',null,'customer','1','673','74','2020-08-27 20:06:56','2020-09-08 22:12:53',null,'1',null,'0');
INSERT INTO complaints VALUES('675','SARWAT IQBAL HUSSAIN','03313692369','HO#54 ST#02 PHASE 04 B.TOWN','4','7','6278','LG','0',null,'06-DEC-2018','1666NEFT-S - 1643','WASHING MACHINE','ON OFF PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-27 20:11:56','2020-09-14 02:13:11',null,'1',null,'0');
INSERT INTO complaints VALUES('676','NOSHEEN','03005107202','HO#551 STY#10-A F-10/2 ISB','5','33','117262','LG','0',null,'05-JUNE-2020','502HMHU-S - 896','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-27 20:30:34','2020-09-08 22:04:52',null,'1',null,'0');
INSERT INTO complaints VALUES('677','MISS NOSHEEN','03005107202','HO#551 ST#10-A F-10/2 OSB','5','33','117262','LG','0',null,'05-JUNE-2020','502HMHU-S - 896','REFRIGERATOR','NOT WORKING',null,'5','COMPLIANT CLOSED',null,'customer','0',null,'74','2020-08-27 20:42:04','2020-09-13 02:48:00',null,'1',null,'0');
INSERT INTO complaints VALUES('678','TAMOOR NAWAZ','03115129139','HO#07 ST#09 SEC E DHA 01 ISB','6','15','18606','LG','0',null,'30-DEC-2018','65SK7900-S - 1443','FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-27 21:03:11','2020-09-08 21:47:06',null,'1',null,'0');
INSERT INTO complaints VALUES('679','MR AJMAL','03028512712','HO#321-A ST#06 ARY BAZAAR SADAR( MUSLIM BAZAR) R.W.P','6','15','23992','KENWOOD','0',null,'17-NOV-2019','400VCM-BHL - 895','REFRIGERATOR','COOLING PROB  FREEZER SIDE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-27 21:39:09','2020-09-16 20:55:08',null,'1',null,'0');
INSERT INTO complaints VALUES('680','M.MAHFOOZ','03329094434','HO#1577 ST#31 RAWAL TOWN R.W.P','6','15','13393','ORIENT','0',null,'01-APR-2018','32S-TRUMPET - 936','FLAT PANEL TV','WIFI  NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-27 21:52:47','2020-11-03 20:21:09',null,'1',null,'0');
INSERT INTO complaints VALUES('681','NOOR ASLAM KHAN SAB','03018754665','HO#1681 STY#26 I-10/2 ISB','8','37','30838','LG','0',null,'07-DEC-2018','4G1JCHK6N-C - 1874','WASHING MACHINE','PANAL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-27 22:28:20','2020-09-15 21:40:39',null,'1',null,'0');
INSERT INTO complaints VALUES('682','SAMEER ABBASI','03015159006','IMRAN KHAN CHOWK RESIDENTIAL NEAR BANNI GALLA ISB','8','48','40146','SIGNATURE','0','2020-08-27',null,'SBO-AR10 - 1124','BUILT IN APPLLIANCES','BANNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-27 22:37:00','2020-09-16 22:38:59',null,'1',null,'0');
INSERT INTO complaints VALUES('683','ASLAM SAB','03371426654','HO#15 ST#25 LANE# 02 SEC F-1 PHASE 08 B.TOWN','6','16','11962','ORIENT','19K8PGB-HC-1447',null,'14-DEC-2017',null,'AIR CONDITIONER','BLOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-27 22:49:33','2020-09-03 23:28:06',null,'1',null,'0');
INSERT INTO complaints VALUES('684','DR SADIA','03355180393','HO#813 ST#9/2 BLOCK B NEAR BALA TIKA','4','11','15991','HAIER','0',null,'18-AUG-2020','150-1708HWM - 1484','WASHING MACHINE','E8 ERROR & SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-27 23:18:11','2020-09-03 23:25:10',null,'1',null,'0');
INSERT INTO complaints VALUES('685','M. FAIZAN MALIK','03129559885','HO#288 ST#25 BLOCK D PWD HOUSING SOCITY','8','37','12808','FIVE STAR','0',null,'18-JAN-2020','35G-SUPREME - 963','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-27 23:27:38','2020-09-03 23:29:46',null,'1',null,'0');
INSERT INTO complaints VALUES('686','MISS KIRAN','03248055559','HO#1 C ST#18 F-6/2 ISB','5','28','93956','SONY','0',null,'30-APR-2018','48W652D-CC - 1560','FLAT PANEL TV','PANAL MAIN LINE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-27 23:55:20','2020-09-08 21:42:29',null,'1',null,'0');
INSERT INTO complaints VALUES('687','AMIN','03008569417','HO#258 ST#40 F-10/4 ISB','5','32','119731','ORIENT','REF TO AZHAR RAMZAN FCI',null,'27-JULY-2020','18G-HYPER-SW - 915','AIR CONDITIONER','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-28 00:04:40','2020-09-09 03:35:39',null,'1',null,'0');
INSERT INTO complaints VALUES('688','AZHAR RAMZAN','03229559900','FRIENDS CORPORATION BU LEA AREA ISB','5','28','0','KENWOOD','SHOWROOM STOCK','2020-08-27',null,'1831S-INV - 915','AIR CONDITIONER','ERROR E 05',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-28 00:10:24','2020-09-04 00:26:52',null,'1',null,'0');
INSERT INTO complaints VALUES('689','MRS SALEEM','03335479251','HO#2195 ST#70 PHASE 03 B. TOWN R.W.P','9','20','127960','SIGNATURE','0',null,'12-FEB -2017','SWM-SR50 - 905','WASHING MACHINE','SPINNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-28 00:31:19','2020-09-08 21:53:51',null,'1',null,'0');
INSERT INTO complaints VALUES('690','MRS AHMED','03325574436','HO#97/A HALI ROAD WEST RIDGE 01 R.W.P','7','49','21692','HAIER','398EPCW-517','2020-08-27',null,'578TBG - 910','REFRIGERATOR','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-28 00:44:53','2020-09-04 00:51:07',null,'1',null,'0');
INSERT INTO complaints VALUES('691','MRS AHMED','03325574436','HO#97/A HALI ROAD WEST RIDGE 01 R.W.P','7','49','21692','HAIER','398EPCW-517','2020-08-27',null,'578TBG - 910','REFRIGERATOR','LEAKAGE PROB',null,'5','CLOSED',null,'customer','0',null,'74','2020-08-28 00:44:54','2020-08-28 00:46:16',null,'1',null,'0');
INSERT INTO complaints VALUES('692','USMAN','03175445483','HO#04 MISRIYAL ROAD DHOKE GOJRAN OPP PSO PUMP R.W.P','9','20','158677','PANASONIC','0',null,'24-SEP-2018','40MSAS-S - 884','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-28 00:59:42','2020-09-08 21:07:57',null,'1',null,'0');
INSERT INTO complaints VALUES('693','IQBAL (STOCK)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','MULTY NET','SHOWROOM',null,'28-10-2017','55SE100 - 942','FLAT PANEL TV','LINE IN PANAL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-28 01:16:25','2020-11-04 20:18:26',null,'1',null,'0');
INSERT INTO complaints VALUES('694','SYED HAMZA','03005736057','HO#1 ST#07 IST FLOOR SEC A DHA 01','6','12','26879','HAIER','0',null,'23-APR-2020','18HNS-INV-R - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-28 01:35:23','2020-09-04 02:04:04',null,'1',null,'0');
INSERT INTO complaints VALUES('695','NAJAM MALIK ADVOCATE','03331950936','HO#177 ST#06 SEC F-1 PHASE .08','6','12','10858','LG','0300-9502868',null,'05-OCT-2017','1452S - 34','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-28 02:14:33','2020-10-24 23:17:42',null,'1',null,'0');
INSERT INTO complaints VALUES('696','USMAM MAHARBAN','03137779567','TARLAHI KALA MEHRBAN TOWN ISB','9','26','188527','SAMSUNG','0',null,'18-MAR-2020','40N5300-S - 938','FLAT PANEL TV','POWER ISSUE',null,'5','COMPLAINT CANCELLED',null,'customer','0',null,'74','2020-08-28 02:49:53','2020-09-08 21:06:11',null,'1',null,'0');
INSERT INTO complaints VALUES('697','ZAHID AZIZ','03333267010','HO#06 IQBAL BLOWHARD GEAT#03  SEC F ISB','4','5','5810','SIGNATURE','0',null,'25-OCT-2018','FC90S - 1122','BUILT IN APPLLIANCES','FA LAM PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-28 20:47:52','2020-09-08 21:09:42',null,'1',null,'0');
INSERT INTO complaints VALUES('698','TAHIR','03325708840','HO#CB 388/A ASLAM SHAHEED ROAD LANE#01 LALAZAR R.W.P','4','5','12846','SAMSUNG','0',null,'19-JAN-2020','11J5710 - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-28 20:52:59','2020-09-08 21:03:49',null,'1',null,'0');
INSERT INTO complaints VALUES('699','TAHIR','03325708840','HO#CB 388/A ASLAM SHAHEED ROAD LANE#01 LALAZAR R.W.P','4','5','12974','KENWOOD','0',null,'29-JAN-2020','1829S-INV - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-28 20:56:09','2020-09-04 21:16:16',null,'1',null,'0');
INSERT INTO complaints VALUES('700','WASEEM SAB','03335174775','PMIC OFFICE ROOM#229 E ISB','5','32','116294','KENWOOD','0',null,'13-MAY-2020','400VCM-BHL - 895','REFRIGERATOR','COOLING PROB',null,'5','complaint closed',null,'customer','0',null,'74','2020-08-28 22:02:50','2020-09-05 02:05:42',null,'1',null,'0');
INSERT INTO complaints VALUES('701','MURTAZA BUT','03115006051','HO#202-B GHORI TOWN PHASE 03 ISB','4','7','13369','HAIER','0',null,'01-MAY-2020','336EBS - 894','REFRIGERATOR','OVER COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-28 22:14:12','2020-09-05 20:50:00',null,'1',null,'0');
INSERT INTO complaints VALUES('702','MR MUBASHIR','03323784220','HO#23 BANI GAL HILLS SO-CITY OFF PAPESI ROAD BANI GALA ISB','5','30','112040','SIGNATURE','0',null,'13-DEC-2019','SGG-1704G - 1029','GEYSER','5 GEYSER NOT WORKING PROPER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-28 22:19:01','2020-09-08 21:02:17',null,'1',null,'0');
INSERT INTO complaints VALUES('703','MRS HABIB','03318559594','H NO 386 ST NO 13 SEC F/10-2 ISB','5','28','109211','LG','0',null,'06-SEP-2019','8265CIS-S - 987','MICROWAVE OVEN','HEATING PROB',null,'5','COMPLAIN COMPLETED',null,'customer','0',null,'74','2020-08-28 22:48:23','2020-09-13 01:23:30',null,'1',null,'0');
INSERT INTO complaints VALUES('704','MRS HUSSAN','03204447743','HO#50 LANE 15 A SEC A BEHIRA ENCLAVE','8','37','34918','HAIER','0',null,'24-JUN-2019','368EBS - 860','REFRIGERATOR','COOLING PROB',null,'5','complain closed',null,'customer','0',null,'74','2020-08-28 23:38:16','2020-09-24 00:42:05',null,'1',null,'0');
INSERT INTO complaints VALUES('705','COL UMER SAB','03333082121','HO#12-C NDU ISB','8','37','41544','SAMSUNG','0314-9004697',null,'05-AUG-2020','11J5710 - 905','WASHING MACHINE','4-3 ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-28 23:43:55','2020-09-16 22:54:16',null,'1',null,'0');
INSERT INTO complaints VALUES('706','SYED NAEEM','03455227457','HO#02 ST#03 SEC C PHASE 02 DHA','5','32','21570','LG','0',null,'20-JUNE-2019','4295CIS-S - 987','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-28 23:55:42','2020-09-08 21:25:27',null,'1',null,'0');
INSERT INTO complaints VALUES('707','SYED NAEEM','03455227457','HO#02 ST#03 SEC C PHASE 02 DHA','5','32','21570','LG','0',null,'20-JUNE-2019','4295CIS-S - 987','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-28 23:55:45','2020-09-08 20:35:33',null,'1',null,'0');
INSERT INTO complaints VALUES('708','ILYAS','03008261336','HO#02 ST#MOHSIN ST RAJA AKHTER ROAD SHAH PUR BARA KHAO','8','39','38093','SIGNATURE','0',null,'15-DEC-2019','SBH-AC700G - 1122','BUILT IN APPLLIANCES','HOB NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-29 00:02:38','2020-09-08 00:08:37',null,'1',null,'0');
INSERT INTO complaints VALUES('709','M. USAMAN','03335100516','MUSTAQ MANSION FAZAL UL HAQ ROAD BULE AREA ISB','5','33','121106','GREE','0',null,'21-AUG-2020','24LM5 - 1730','AIR CONDITIONER','AUTO ON OFF ISSUE',null,'5','complaint closed',null,'customer','0',null,'74','2020-08-29 00:09:36','2020-09-05 01:56:18',null,'1',null,'0');
INSERT INTO complaints VALUES('710','MR ABDUL REHMAN','03355516936','HO#BB-724A KRISHAN PURA NEAR CITY MARRIAGE HALL R.W.P','8','42','40333','GREE','0',null,'18-JUNE-2020','9978EG-CW3 - 885','REFRIGERATOR','GASS KIT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-29 00:13:49','2020-09-28 22:41:00',null,'1',null,'0');
INSERT INTO complaints VALUES('711','USMAN','03115311877','ZONE 01 ST#10 GARDEN CITY PHASE 07','6','12','23122','SONY','0',null,'18-SEP-2019','55X8000G-S - 942','FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-29 01:45:08','2020-09-09 21:55:26',null,'1',null,'0');
INSERT INTO complaints VALUES('712','nighat iqtidar','03008333885','APP NO 507 5TH FLOOR SILVER OAKS SEC F/10 MARKAZ ISB','5','28','121290','SIGNATURE','0',null,'27-AUG-2020','HC-5871S - 1122','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','RESOLVED',null,'customer','0',null,'73','2020-08-31 20:51:28','2020-09-28 01:56:47',null,'1',null,'0');
INSERT INTO complaints VALUES('713','MR NADEEM','03008560260','H NO 170 ST NO 18 SEC F/10-2 ISB','5','36','117759','SHARP','0',null,'16-JUN-2020','814CX-S - 899','WASHING MACHINE','NOT WORKNG',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-31 20:53:58','2020-09-15 21:34:01',null,'1',null,'0');
INSERT INTO complaints VALUES('714','RASHID MEHMOOD','03331944763','H NO 579C ST NO 19 SCHEME 3 RWP','9','21','0','HAIER','0',null,'20-AUG-2020','85-1708HWM - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-31 20:56:00','2020-09-09 00:39:35',null,'1',null,'0');
INSERT INTO complaints VALUES('715','MASOOD UL HASSAN','03005260458','H NO 993 ST NO 45 PHASE 7 B.TOWN RWP','6','13','28987','HAIER','0',null,'11-AUG-2020','12HFCE-W-INV - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-31 21:00:37','2020-09-05 03:18:01',null,'1',null,'0');
INSERT INTO complaints VALUES('716','BRIG ZAHID','03239710253 , 03336813782','H NO 27 ST NO 4 BLOCK E NAVAL ENCOURAGE ISB','8','37','16794','SAMSUNG','0',null,'6-JUN-2016','1STMG - 903','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-31 21:04:38','2020-09-08 00:07:24',null,'1',null,'0');
INSERT INTO complaints VALUES('717','MR SARMED','0515136716 , 03335542777','H NO 808F RAHAT STREET MUGHLABAD RWP CANTT','9','20','113513','HAIER','0',null,'25-APR-2016','618HRF-SS - 903','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-31 21:06:56','2020-09-07 21:13:23',null,'1',null,'0');
INSERT INTO complaints VALUES('718','ATTIQUE BADAR','03235890530','H NO 770 ST NO 8 SHAHZAD TOWN ISB','5','28','90501','FIVE STAR','0',null,'1-JAN-2018','35G-FS - 1759','GEYSER','LEAKAGE PROBLEM',null,'5','completed',null,'customer','0',null,'73','2020-08-31 21:30:58','2020-09-24 02:34:20',null,'1',null,'0');
INSERT INTO complaints VALUES('719','RANA LIAQAT','03335342909','H NO 1D LANE NO D ABU BAKAR BLOCK PHASE 8 B.TOWN RWP','8','40','40517','SIGNATURE','0',null,'25-JUN-2020','HC-3761S - 1122','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-31 21:46:54','2020-09-06 00:14:27',null,'1',null,'0');
INSERT INTO complaints VALUES('720','IMRAN UL HASSAN','03215684676','H NO 2154 ST NO 34 SEC I/10-2 ISB','6','12','22099','DAWLANCE','0',null,'14-JUL-2019','91996HZ-PLUS - 885','REFRIGERATOR','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-31 21:55:25','2020-09-07 22:12:38',null,'1',null,'0');
INSERT INTO complaints VALUES('721','SAMEED','03215262168','H NO 273 ST NO 37 SEC G/9-1 ISB','5','31','115858','SONY','0',null,'20-MAR-2020','55X8577G-S - 942','FLAT PANEL TV','ON OFF',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-31 21:57:31','2020-09-05 23:47:17',null,'1',null,'0');
INSERT INTO complaints VALUES('722','MR ASAD','03215555544 , 03002069693','H NO 323 BLOCK H NEW CITY PHASE 2 WAAH CANTT','8','38','41313','SAMSUNG','0',null,'24-JUL-2020','65Q60-MRM - 1443','FLAT PANEL TV','PORTS',null,'5','CLOSED COMPLAINT',null,'customer','0',null,'73','2020-08-31 22:00:30','2020-10-17 20:05:37',null,'1',null,'0');
INSERT INTO complaints VALUES('723','CAP MINHAJ','03130959359 , 03474188277','MOQF1 BLOCK 15 PARADE LANE BILAL UMERSHAHEED COLONY RWP','4','6','15302','HAIER','0',null,'17-JUL-2020','95-1678HWM - 1817','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-31 22:05:44','2020-09-07 22:11:04',null,'1',null,'0');
INSERT INTO complaints VALUES('724','MR ADAS','03325991087','H NO 2012 ST NO 32 SEC I/10-2 ISB','8','48','42048','SIGNATURE','0',null,'23-AUG-2020','HC-5861S - 1122','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-31 22:08:28','2020-09-05 23:45:54',null,'1',null,'0');
INSERT INTO complaints VALUES('725','NAZEER SB','03423335666','H NO 11 ST NO 3 SEC A DHA 2 ISB','6','12','25961','FIVE STAR','0',null,'3-FEB-2020','777C-FS - 1073','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-31 22:13:14','2020-09-09 23:18:14',null,'1',null,'0');
INSERT INTO complaints VALUES('726','COL TANVEER','03345175176','H NO 155 ST NO 8 CHAKLALA SCHEME 3 RWP','7','49','16327','SIGNATURE','0',null,'14-FEB-2018','SWD-HD10-GR - 994','WATER DISPENSER','PRESSURE PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-31 22:19:53','2020-09-05 23:44:38',null,'1',null,'0');
INSERT INTO complaints VALUES('727','FARID KAKA','03358419351','H NO 391 ST NO 72 NAZIMUDDIN ROAD SEC F/11-1 ISB','5','34','113101','TESLA','0',null,'18-DEC-2019','55G( BLACK XGEN) - 1538','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-31 22:28:51','2020-09-09 23:16:15',null,'1',null,'0');
INSERT INTO complaints VALUES('728','ASIM ALI','03345067064','H NO 302A BILAL HABSHI ROAD UMAR BLOCK PHASE 8 B.TOWN RWP','5','30','85702','SIGNATURE','0',null,'17-JUN-2017','SVF-SY40N - 1468','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-31 22:30:25','2020-09-26 21:36:11',null,'1',null,'0');
INSERT INTO complaints VALUES('729','KHURRAM SDDR','03005548081','FREINDS SADDAR RWP','7','49','0','MITSUBISHI','CASETTE(OLD MODEL)',null,'0',null,'AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-31 22:36:27','2020-11-04 23:49:05',null,'1',null,'0');
INSERT INTO complaints VALUES('730','ANWAR MALIK','03172027235 , 03105271339 , 03155087668','H NO 1387 ST NO 18 UMER BLOCK PHASE 8 B.TOWN RWP','6','15','22835','LG','0',null,'27-AUG-2019','442HMHU-S - 746','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-31 22:42:11','2020-09-08 00:04:31',null,'1',null,'0');
INSERT INTO complaints VALUES('731','JAVED IQBAL','03335136952','H NO 96 ST NO 13 MARGALLA TOWN PHASE 1 ISB','9','24','146201','SIGNATURE','0',null,'17-JAN-2018','MD99SS-S - 1723','REFRIGERATOR','GAS KIT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-31 22:49:27','2020-09-08 00:00:45',null,'1',null,'0');
INSERT INTO complaints VALUES('732','DR AMIN','03335132342','H NO 20 KAGHAN ROAD SEC F/8-4 ISB','8','39','42051','CORONA','0',null,'23-AUG-2020','351C - 1533','COOKING RANGE','IGNITION PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-31 22:51:36','2020-09-30 22:59:06',null,'1',null,'0');
INSERT INTO complaints VALUES('733','KHALIDA PERVEEN','03335346745','H NO 187 ST NO 7 MARGALLA TOWN PHASE 1 ISB','5','28','121281','HAIER','0',null,'26-AUG-2020','90-1789HWM - 901','WASHING MACHINE','WASH TUB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-31 23:07:31','2020-09-07 23:35:28',null,'1',null,'0');
INSERT INTO complaints VALUES('734','SIKANDER','03342452911','FLAT#236-A ST# 26 ASKRI 14 SEC C ADYALA ROAD R.W.P','7','49','0','SAMSUNG','UPER DOOR W/M',null,'14-08-2015',null,'WASHING MACHINE','NOT WORKING ( OUT OFF WARRANTY COMPLAINT HAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-08-31 23:12:44','2020-09-07 23:38:28',null,'1',null,'0');
INSERT INTO complaints VALUES('735','USMAN SHAHZAD','03208518818 , 03235555013','H NO 678 UMER STREET LANE NO 6 PESHAWAR ROAD RWP CANTT','9','51','191717','ORIENT','0',null,'30-JUN-2020','531BL - 993','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-31 23:20:10','2020-09-09 03:38:10',null,'1',null,'0');
INSERT INTO complaints VALUES('736','RAB NAWAZ','03335340992','H NO 72 LANE NO 3 CHAKLALA SCHEME 1 RWP','4','8','15970','GREE','0',null,'17-AUG-2020','24FITH2W - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-08-31 23:22:31','2020-09-05 23:01:43',null,'1',null,'0');
INSERT INTO complaints VALUES('737','USMAN SB','03004560011 , 03314024899','H NO 214C C BLOCK ST NO 31C PWD ISB','5','32','119511','SONY','0',null,'21-JUL-2020','48W652D-CC - 1560','FLAT PANEL TV','REMOTE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-08-31 23:28:21','2020-09-13 01:25:07',null,'1',null,'0');
INSERT INTO complaints VALUES('738','MAZHAR QURESHI','03160707078','H NO 65A ST NO 15/1 NEAR BALA TIKKA BLOCK B NPF ISB','4','10','15555','HAIER','0',null,'29-jul-2020','622IBG - 908','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 00:00:11','2020-09-28 02:29:57',null,'1',null,'0');
INSERT INTO complaints VALUES('739','KHALIDA PERVEEN','03335346745','H NO 187 ST NO 7 MARGALLA TOWN PHASE 1 ISB','5','32','98447','SIGNATURE','0',null,'10-OCT-2018','SCR-FSB3-5G - 1605','COOKING RANGE','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 00:06:43','2020-09-09 23:52:06',null,'1',null,'0');
INSERT INTO complaints VALUES('740','KHALIDA PERVEEN','03335346745','H NO 187 ST NO 7 MARGALLA TOWN PHASE 1 ISB','5','32','98447','SIGNATURE','0',null,'10-OCT-2018','SCR-FSB3-5G - 1605','COOKING RANGE','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 00:07:15','2020-09-09 23:53:13',null,'1',null,'0');
INSERT INTO complaints VALUES('741','YASIR FHS','03465007129','FREINDS HOME HEADOFFICE SHAMSABAD RWP','8','47','19405','SIGNATURE','0',null,'9-JUL-2019','32V600 - 936','FLAT PANEL TV','BACK LIGHT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 00:07:44','2020-09-29 22:58:10',null,'1',null,'0');
INSERT INTO complaints VALUES('742','UMER MUNEER','03000455709','FLAT NO 11 3RD FLOOR DHA AVENUE MALL DHA 1 RWP','8','42','41551','HAIER','0',null,'6-AUG-2020','120-1678HWM - 906','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 00:17:31','2020-09-09 23:32:13',null,'1',null,'0');
INSERT INTO complaints VALUES('743','SARFRAZ ABBASI','03335153414 , 03075071315','UNITED GIRLS HOSTEL 7TH ROAD PTCL STREET RWP','9','23','162010','SIGNATURE','0',null,'6-DEC-2018','SCF-HM08 - 954','FREEZER','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 00:26:17','2020-09-16 23:00:31',null,'1',null,'0');
INSERT INTO complaints VALUES('744','MRS BRIG','03225073173','SU 21 LANE NO 15 ASKARI 7 ADYALA ROAD RWP','9','19','0','MITSUBISHI','0',null,'0','62SS-MRF - 87','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 00:31:10','2020-09-07 23:36:51',null,'1',null,'0');
INSERT INTO complaints VALUES('745','ZAIGHAM KHAN','03367232708','H NO 1107 ROAD A PHASE 4 B.TOWN RWP','4','7','9846','SAMSUNG','0',null,'11-JUL-2019','70J3283W-S - 1548','WASHING MACHINE','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 00:52:57','2020-09-24 00:07:16',null,'1',null,'0');
INSERT INTO complaints VALUES('746','HAMAYUN ARSHAD','03238511154','H NO CB681 PIA COLONY MISRIAL ROAD RWP CANTT','7','49','12125','ORIENT','0',null,'28-JUN-2016','533W - 1708','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 01:28:32','2020-09-08 01:45:56',null,'1',null,'0');
INSERT INTO complaints VALUES('747','JAWAD MUGHAL','03409992500','H NO 16 KRL OFFICERS COLONY EXTENSION DR QADEER KHAN ROAD RWP','5','28','0','SIGNATURE','0',null,'OUT OF WARRANTY','INSTANT GEYSER','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 01:55:56','2020-09-16 23:06:13',null,'1',null,'0');
INSERT INTO complaints VALUES('748','SHOAIB KHALID','03205038363','H NO 501/1 JOHAR ROAD SEC 3 AIRPORT HOUSING SOCIETY RWP','5','31','119952','MITSUBISHI','0',null,'29-jul-2020','50VA - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 01:57:52','2020-09-25 00:04:12',null,'1',null,'0');
INSERT INTO complaints VALUES('749','MRS ZAFAR','03155241769','H NO 397 ST NO 15 PARK ROAD SHAHZAD TOWN ISB','5','28','94088','ORIENT','0',null,'2-MAY-2018','CRYSTAL-C-BLK - 993','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 02:08:59','2020-10-19 21:00:06',null,'1',null,'0');
INSERT INTO complaints VALUES('750','ANAS IQBAL','03320066928','H NO 109A LANE NO 7 HARLEY STREET RWP','8','48','41829','CORONA','0',null,'15-AUG-2020','505C - 1815','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 02:12:13','2020-09-08 19:56:43',null,'1',null,'0');
INSERT INTO complaints VALUES('751','SHAFQAT SB','03335124115','H NO 805/H ST NO 17 BLOCK C PWD ISB','4','7','4469','SAMSUNG','0',null,'15-JUL-2018','90J5710-SZ - 901','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-09-01 02:45:03','2020-09-05 22:53:52',null,'1',null,'0');
INSERT INTO complaints VALUES('752','SOHAIL SB','03335500025','H NO 705 ST NO 92 SEC G/9-4 ISB','5','35','120264','HAIER','0',null,'05-Aug-2020','18HNH - 915','AIR CONDITIONER','COOLING  PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-01 19:50:13','2020-09-05 03:19:30',null,'1',null,'0');
INSERT INTO complaints VALUES('753','MUHAMMAD JAN','03105422324','H NO 1193 ST NO 47 PHASE 3 B.TOWN RWP','6','12','27093','HAIER','0',null,'29-MAY-2020','80-10829HW - 899','WASHING MACHINE','ERROR F7',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 19:53:09','2020-09-08 19:59:57',null,'1',null,'0');
INSERT INTO complaints VALUES('754','MR TAHIR','03335138324','RWP','9','20','186163','SHARP','0',null,'27-JAN-2020','45BT - 2037','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 19:55:36','2020-09-07 22:53:52',null,'1',null,'0');
INSERT INTO complaints VALUES('755','AZEEM FCP','03315420488','FREINDS GULNOOR MARKET RWP','9','19','0','DAWLANCE','0',null,'0','9173.CHROME','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 19:59:08','2020-09-30 23:31:44',null,'1',null,'0');
INSERT INTO complaints VALUES('756','KALEEM MAZHAR','03335282456 , 03018128698','H NO 89 ST NO 70 SEC G/9-3 ISB','5','28','0','DAWLANCE','0',null,'OCT-2020','1045CVT-VF - 1467','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 20:01:40','2020-09-08 20:43:48',null,'1',null,'0');
INSERT INTO complaints VALUES('757','TAIMOOR','03342444431','H NO 2132 ST NO 5/1 BLOCK F NPF SEC O9 ISB','4','7','12038','HAIER','0',null,'14-DEC-2019','95-1678HWM - 1817','WASHING MACHINE','DRYER PROBLEM',null,'5','completed',null,'customer','0',null,'73','2020-09-01 20:03:58','2020-09-24 01:27:02',null,'1',null,'0');
INSERT INTO complaints VALUES('758','OMER SB','03315566977','H NO 693 ST NO 52 SEC I/10-1 ISB','9','51','149144','SIGNATURE','0',null,'25-MAR-2018','SWM-SR50 - 905','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 20:06:06','2020-09-15 21:28:34',null,'1',null,'0');
INSERT INTO complaints VALUES('759','QASIM RAZA','03344446969','H NO 247A ST NO 21 SEC E/7 ISB','5','31','98560','SAMSUNG','0',null,'16-OCT-2018','50K5010S8 - 90','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 20:08:11','2020-09-17 20:12:58',null,'1',null,'0');
INSERT INTO complaints VALUES('760','USMAN MIR','03155554434','HO#10 ST#09 SEC A DHA PHASE 01','9','26','195388','FIVE STAR','0',null,'26-AUG-2020','999C-FS - 1965','COOKING RANGE','OVEN NOB& BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-01 20:08:43','2020-09-08 20:39:33',null,'1',null,'0');
INSERT INTO complaints VALUES('761','MISS NOUREEN','03357281281','H NO 284 ESTONIYA AVENUE SAFARI VILLAS 3 RWP','4','11','15420','DAWLANCE','0',null,'23-JULY-2020','9106SD - 83','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-01 20:20:21','2020-09-08 20:37:53',null,'1',null,'0');
INSERT INTO complaints VALUES('762','ZEESHAN ALI','03440518951','HO#84-A ST#01 KHAYABANAY TANVEER CHAKLALA SCKEEM  03 R.W.P','9','23','135331','SIGNATURE','0',null,'01-JULY-2017','SWM-SR45 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-01 20:44:11','2020-09-08 01:26:06',null,'1',null,'0');
INSERT INTO complaints VALUES('763','MRS ANJUM','03035012529','H NO 7 SUKH CHAIN AVENUE NEAR GATE NO 3 SEC A DHA 2 ISB','9','23','123637','SIGNATURE','0',null,'5-NOV-2016','CG1-SS - 956','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 21:14:05','2020-09-16 23:09:01',null,'1',null,'0');
INSERT INTO complaints VALUES('764','MUHAMMAD FAIZAN','03129559885','H NO 288 ST NO 25 BLOCK D PWD ISB','8','37','12808','FIVE STAR','0',null,'18-JAN-2020','35G-SUPREME - 963','GEYSER','PILOT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 21:18:55','2020-09-08 21:40:13',null,'1',null,'0');
INSERT INTO complaints VALUES('765','KHALIQUE ZAMAN','03215155600','FARM NO 25 ORCHARD SCHEME NEAR RAWAL DAM CHOWK ISB','8','37','411','HAIER','0',null,'27-MAY-2020','85-12826HW - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 21:22:00','2020-09-08 21:38:46',null,'1',null,'0');
INSERT INTO complaints VALUES('766','NAFEH BIN NAEEM','03018887044','H NO 1654 ST NO 63 ALI BLOCK PHASE 3 B.TOWN RWP','8','37','42141','SHARP','0',null,'31-AUG-2020','6508K3','REFRIGERATOR','LIGHT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 21:31:58','2020-09-08 01:24:47',null,'1',null,'0');
INSERT INTO complaints VALUES('767','ZAHOOR SB','03334055728','OFFICE NO 4 1ST FLOOR NATIONAL BUSINESS CENTRE SHAMSABAD MURREE ROAD RWP','9','21','195460','ORIENT','0',null,'27-AUG-2020','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-09-01 21:35:39','2020-09-05 22:28:09',null,'1',null,'0');
INSERT INTO complaints VALUES('768','MRS SULEMAN','03008545880','H NO 14 ST NO 85 SEC G/6-4 ISB','5','32','94722','SIGNATURE','0',null,'23-MAY-2018','SCR-FSS3-5G - 1076','COOKING RANGE','IGNITION PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 21:48:47','2020-09-15 21:24:37',null,'1',null,'0');
INSERT INTO complaints VALUES('769','MRS NAUMAN','03335583160','H NO E96-A NEAR ITWAR BAZAR SATELLITE TOWN RWP','9','19','40710','FIVE STAR','0',null,'2-JUL-2020','5500C-FS - 1965','COOKING RANGE','FLAME PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 21:58:38','2020-09-08 22:43:01',null,'1',null,'0');
INSERT INTO complaints VALUES('770','GHULAM HAIDER','03315772765','H NO 32A ST NO 233 SE G/7-3-4  ISB','5','32','121369','KENWOOD','0',null,'31-AUG-2020','1012SA - 902','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 22:00:59','2020-09-08 22:34:34',null,'1',null,'0');
INSERT INTO complaints VALUES('771','ABID SATTAR','03335243033','H NO 30 ST NO 17 LEFT SIDE SEC F/7-2 ISB','5','30','98967','SIGNATURE','0',null,'5-NOV-2018','SWM-JD46 - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 22:26:42','2020-09-07 22:41:53',null,'1',null,'0');
INSERT INTO complaints VALUES('772','M JUNAID','03055557777','PRINCE CAFE GT ROAD HASSAN ABDAL NEAR WAAH CANTT','9','24','188563','LG','0',null,'18-MAR-2020','4G7TDYG5W-S','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-09-01 23:18:33','2020-09-05 22:26:42',null,'1',null,'0');
INSERT INTO complaints VALUES('773','MR SALMAN','03008568172','FLAT NO 5BLOCK E SAFARI APPARTMENT 2 NEAR GULRAIZ  LINK BRIDGE','4','10','40238','LG','0',null,'15-JUN-2020','512FPS-S - 1653','DISH WASHER','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 23:32:01','2020-09-15 21:22:19',null,'1',null,'0');
INSERT INTO complaints VALUES('774','RAUF IQBAL','03005195021','H NO 292A ST NO 67 SEC F/11-1 ISB','5','36','65227','SAMSUNG','0',null,'31-DEC-2014','55H6400S','FLAT PANEL TV','INTERNET PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-01 23:42:52','2020-09-07 22:40:21',null,'1',null,'0');
INSERT INTO complaints VALUES('775','SABI SB','03325242932','STATE BANK OF PAKITSAN SEC G/5-2 ISB','8','47','22943','SAMSUNG','0',null,'14-JUL-2020','43RU7100-MRM - 869','FLAT PANEL TV','PORTS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 00:18:39','2020-09-23 23:42:38',null,'1',null,'0');
INSERT INTO complaints VALUES('776','MR IMRAN','03323867774','H NO 34 ST NO 38 SEC F/6-1 ISB','9','19','192728','HAIER','0',null,'14-JUL-2020','438IDBT - 896','REFRIGERATOR','NOT WORKING',null,'5','RESOLVED',null,'customer','0',null,'73','2020-09-02 00:53:55','2020-11-08 21:12:13',null,'1',null,'0');
INSERT INTO complaints VALUES('777','IMRAN','03459041860 , 03323867774','H NO 22 ST NO 32 SEC F/6-1 ISB','9','19','188316','HAIER','0',null,'15-MAR-2020','18HNS-INV - 915','AIR CONDITIONER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 00:55:39','2020-10-07 21:38:54',null,'1',null,'0');
INSERT INTO complaints VALUES('778','GULRAIZ ZAIDI','03335139843','ST NO 91 WARDA HAMNA APPARTMENT NO 2 SEC G/11-3 ISB','5','36','119822','HAIER','0',null,'27-jul-2020','622ICG - 908','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 01:06:14','2020-09-09 02:18:09',null,'1',null,'0');
INSERT INTO complaints VALUES('779','MUSTAFA','03002368983','H NO 70 MARGALLA ROAD SEC F/6-2 ISB','5','28','118469','FIVE STAR','0',null,'30-JUN-2020','900C-FS - 1965','COOKING RANGE','OVEN PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2020-09-02 01:37:08','2020-09-10 01:45:30',null,'1',null,'0');
INSERT INTO complaints VALUES('780','MR IBRAR','03335526617','380L ST NO 20 SPRING NORTH PHASE 7 B.TOWN RWP','6','12','19758','MIDEA','0',null,'20-MAR-2019','18HRFN1-MSMTD - 915','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-09-02 01:46:51','2020-09-05 22:24:31',null,'1',null,'0');
INSERT INTO complaints VALUES('781','BILAL KAWISH','03338171552','H NO 112 ST NO 10 DHA VILLAS SEC F RWP','6','12','14478','HAIER','0',null,'22-MAY-2018','18SNS-INV - 915','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-09-02 02:01:46','2020-09-05 22:23:21',null,'1',null,'0');
INSERT INTO complaints VALUES('782','JAMSHED IQBAL','03009749917','H NO 9 ST NO 30 SEC F/6-1 ISB','5','31','114356','SAMSUNG','0',null,'31-JAN-2020','70J3283W-S - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-09-02 02:12:55','2020-09-05 22:22:06',null,'1',null,'0');
INSERT INTO complaints VALUES('783','MR NAFEH','03018887044','H NO 1654 ST NO 63 ALI BLOCK PHASE 3 B.TOWN RWP','8','37','568','GREE','0',null,'12-MAY-2020','18FITH1S - 915','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 02:13:18','2020-09-09 23:30:21',null,'1',null,'0');
INSERT INTO complaints VALUES('784','MR SOHAIL','03360119932','H NO 6 ST NO 37 UPPER PORTION KORANG TOWN ISB','4','7','14131','HAIER','0',null,'23-MAY-2020','438IDBT - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 19:29:04','2020-09-09 20:00:12',null,'1',null,'0');
INSERT INTO complaints VALUES('785','YASIR TARIQ','03008522902','H NO 299 SAFARI 3 BAHRIA TOWN NEAR CIVIC CENTRE RWP','4','5','14991','HAIER','0',null,'1-JUL-2020','622IBS - 908','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 19:30:42','2020-09-10 01:05:56',null,'1',null,'0');
INSERT INTO complaints VALUES('786','MRS ANSER','03121470005','H NO 2052 ST NO 66 ABUBAKAR BLOCK PHASE 8 B.TOWN RWP','6','15','29209','KENWOOD','0',null,'19-AUG-2020','1015SA - 902','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 20:23:08','2020-09-16 21:15:47',null,'1',null,'0');
INSERT INTO complaints VALUES('787','DR IRFAN FAROOQ','03319838469','H NO 21A ST NO 3 SEC A DHA 2 ISB','4','5','16100','HOMAGE','0',null,'26-AUG-2020','84HWD - 993','WATER DISPENSER','TABS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 20:31:50','2020-09-09 20:39:15',null,'1',null,'0');
INSERT INTO complaints VALUES('788','IQBAL SB','03465166132','FREINDS HOME BEWAL PLAZA BLUE AREA ISB','5','28','0','KENWOOD','0',null,'0','1012SA - 902','WASHING MACHINE','DRYER PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2020-09-02 21:02:43','2020-09-16 20:50:35',null,'1',null,'0');
INSERT INTO complaints VALUES('789','ASIF SB','03305003001','H NO 45 ST NO 2 BAHRIA TOWN PHASE 4 RWP','4','5','0','LG','0',null,'I YEAR AGO','TOP LOAD W/MACHINE','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 21:04:33','2020-09-07 22:04:35',null,'1',null,'0');
INSERT INTO complaints VALUES('790','COL FAISAL','03341057774 , 03341546668','DEFENCE VILLAS 577 ST NO 30 SEC F DHA 1 RWP','6','14','23887','SIGNATURE','0',null,'16-AUG-2017','SBC-DARWIN-60 - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-09-02 21:06:34','2020-09-07 22:02:00',null,'1',null,'0');
INSERT INTO complaints VALUES('791','MAJ ANWAR','03009543715','H NO 408 ST NO 4 SEC F DEFENCE VILLAS 1 DHA 1 RWP','6','12','24099','KENWOOD','0',null,'24-NOV-2019','400VCM-BHL - 895','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 21:09:13','2020-09-09 23:02:15',null,'1',null,'0');
INSERT INTO complaints VALUES('792','AHMED IFTIKHAR','03225412131','H NO G101 ST NO 15 PHASE 3 OFFICERS COLONY WAH CANTT','9','27','195283','CARAVELL','0',null,'24-AUG-2020','207BA','WATER DISPENSER','HEATING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 21:19:36','2020-09-10 01:08:00',null,'1',null,'0');
INSERT INTO complaints VALUES('793','KHAWAJA YOUNAS','03365269602','FLAT NO 19 BLOCK B5 PIMS COLONY SEC G/8-3 ISB','9','24','177527','ECOSTAR','0',null,'19-AUG-2019','32U851 - 936','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2020-09-02 21:21:37','2020-09-09 21:28:31',null,'1',null,'0');
INSERT INTO complaints VALUES('794','COL ASIM','03138282721','H NO 78 SUNSET AVENUE PHASE 1 B.TOWN RWP','6','14','22972','LG','0',null,'7-SEP-2019','1766NEFTS-S - 1486','WASHING MACHINE','DRAIN AND DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 21:25:13','2020-09-25 00:31:01',null,'1',null,'0');
INSERT INTO complaints VALUES('795','KAMRAN BHR-7','03219507474','FREINDS CORPORTAION NEAR WALLAYAT COMPLEX RABI CENTRE PHASE 7 B.TOWN RWP','6','12','0','HAIER','0',null,'0','75-918 - 69','WASHING MACHINE','DOOR DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 21:51:04','2020-09-09 23:05:23',null,'1',null,'0');
INSERT INTO complaints VALUES('796','HASSAN TARIQ','03338711511','H NO 26D ALLAMA IQBAL AVENUE NEAR IQBAL MASJID DHA 1 RWP','7','49','19870','SAMSUNG','0',null,'10-OCT-2019','49RU7100-P - 1629','FLAT PANEL TV','REMOTE SENSOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 22:15:38','2020-09-17 20:11:18',null,'1',null,'0');
INSERT INTO complaints VALUES('797','ASLAM SB','03371426654','H NO 15 ST NO 25 LANE NO 2 SEC F-1 PHASE 8 B.TOWN RWP','6','16','12375','SIGNATURE','0',null,'15-JAN-2018','SWM-JD56 - 1643','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 22:54:48','2020-09-07 21:45:41',null,'1',null,'0');
INSERT INTO complaints VALUES('798','hamza testing','+92','XYZ','3','3','0000','ORIENT','0000','2020-09-02',null,'12G-ALPHA-SW - 912','AIR CONDITIONER','Not cooling',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'67','2020-09-02 22:55:53','2020-09-05 21:52:52',null,'1',null,'0');
INSERT INTO complaints VALUES('799','MR ALBERT','03325580747','H NO 212 ST NO 7 MUBARAK LANE ADYALA ROAD RWP','6','14','28079','FIVE STAR','0',null,'30-JUN-2020','601C-FS - 1077','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 22:59:30','2020-09-22 02:05:09',null,'1',null,'0');
INSERT INTO complaints VALUES('800','ATTIQ SB','03350845904','H NO 3963 ST NO 42 ALLAMA IQBAL COLONY TENCH BHATTA RWP','9','24','190527','SIGNATURE','0',null,'15-JUN-2020','SBC-ADELAIDE-90PLUS - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 23:04:11','2020-09-16 23:11:14',null,'1',null,'0');
INSERT INTO complaints VALUES('801','ZULFIQAR ALI','03313512968','H NO 32 SERVICE ROAD 1 SEC D PHASE 1','6','12','20128','SIGNATURE','0',null,'8-APR-2019','SFV-SY45 - 1467','FREEZER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 23:29:17','2020-09-24 00:52:58',null,'1',null,'0');
INSERT INTO complaints VALUES('802','MR ASIF','03463217426','H NO 29 PARADE LANE NEAR QASIM MARKET RANGE ROAD RWP','8','38','42157','TCL','2003VLR301109A00122',null,'1-SEP-2020','65P8S - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-02 23:46:27','2020-09-16 23:12:48',null,'1',null,'0');
INSERT INTO complaints VALUES('803','KAMRAN BHR-7','03219507474','FREINDS CORPORTAION NEAR WALLAYAT COMPLEX RABI CENTRE PHASE 7 B.TOWN RWP','6','15','27540','GREE','0',null,'2-JUN-2020','500FS - 993','WATER DISPENSER','TAB PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 00:27:01','2020-09-10 01:02:31',null,'1',null,'0');
INSERT INTO complaints VALUES('804','HAMZA QAZI','03335596564 , 0515185236','H NO 1 ST NO 16 NEW CIVIL LINES JHANDA ROAD RWP','8','42','40127','CORONA','0',null,'9-JUN-2020','505C - 1815','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 00:32:26','2020-09-09 23:20:23',null,'1',null,'0');
INSERT INTO complaints VALUES('805','MUHAMMAD SHOAIB','03225157971','H NO 6 ST NO 38 RIVER GARDEN NEAR SOAN GARDEN ISB','8','37','0','PANASONIC','0',null,'24-NOV-2011','414','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 01:05:22','2020-09-07 21:44:09',null,'1',null,'0');
INSERT INTO complaints VALUES('806','IQBAL SB','03465166132','FREINDS HOME BEWAL PLAZA BLUE AREA ISB','5','32','0','DAWLANCE','0',null,'0','550AF-DW - 1200','MICROWAVE OVEN','LEVELER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 01:56:54','2020-10-19 21:06:42',null,'1',null,'0');
INSERT INTO complaints VALUES('807','COL HUSSAIN','03159994107 , 0512305570','H NO 263 D ST NO 87 SEC E/11-2 ISB','5','32','83836','SIGNATURE','0',null,'2-MAY-2017','SRF-KK90S - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-09-03 02:01:55','2020-09-05 22:08:27',null,'1',null,'0');
INSERT INTO complaints VALUES('808','SALMAN SB','03005018880','H NO 33 ST NO 27 SEC F/10-1 ISB','5','32','106736','DAWLANCE','0',null,'2-JUL-2019','1045CVT-VF - 1467','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 02:03:13','2020-09-09 23:12:28',null,'1',null,'0');
INSERT INTO complaints VALUES('809','M ARSLAN','03115544716','NEAR FREINDS WARE HOUSE SHAMSABAD RWP','8','37','40963','KENWOOD','0',null,'10-JUL-2020','1012SA - 902','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-09-03 02:06:20','2020-09-09 23:09:33',null,'1',null,'0');
INSERT INTO complaints VALUES('810','MR MAMOOR','03219560865','H NO 333B ST NO 22 SEC E/11-4 ISB','5','31','109113','GREE','0',null,'4-sep-2019','18CITH12G - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 02:08:14','2020-09-27 01:52:11',null,'1',null,'0');
INSERT INTO complaints VALUES('811','MRS BABAR','03225060506','h no 825 ground floor st no 77 sec i/8-3 isb','5','35','118601','HAIER','0',null,'2-JUL-2020','85-7288 - 69','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 02:10:47','2020-09-09 00:13:24',null,'1',null,'0');
INSERT INTO complaints VALUES('812','SAFDAR BAHADUR KHAN','03216393365 , 03336298887','H NO 3 LANE NO 9 SEC E NEAR JACARANDA CLUB DHA 2 ISB','6','12','7346','LG','0',null,'7-MAR-2017','1496ADP24-C - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 02:22:41','2020-09-26 00:32:11',null,'1',null,'0');
INSERT INTO complaints VALUES('813','MRS SALMAN','03008545880','H NO 14 ST NO 85 SEC G/6-4 ISB','5','32','85561','LG','0',null,'13-JUN-2017','65UH617-S','FLAT PANEL TV','INTERNET PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 02:33:44','2020-09-08 01:23:20',null,'1',null,'0');
INSERT INTO complaints VALUES('814','M SADDIQUE','03005262413','334S2 LANE NO 5 PESHAWAR ROAD RWP','4','6','17410','TCL','0',null,'7-AUG-2018','43D2900 - 869','FLAT PANEL TV','PICTURE BLINK',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 02:41:37','2020-09-19 19:49:04',null,'1',null,'0');
INSERT INTO complaints VALUES('815','MUHAMMAD ISHTIAQ','03215859447','M7 H NO 38 AMMAR CITY T CHOWK NEAR GT ROAD','9','26','195405','CORONA','0',null,'26-AUG-2020','C205 - 14','COOKING RANGE','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 02:45:13','2020-09-10 00:45:26',null,'1',null,'0');
INSERT INTO complaints VALUES('816','MRS SALMAN','03008545880','H NO 14 ST NO 85 SEC G/6-4 ISB','5','32','85561','LG','0',null,'13-JUN-2017','65UH617-S','FLAT PANEL TV','INTERNET PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 19:48:58','2020-09-08 01:22:26',null,'1',null,'0');
INSERT INTO complaints VALUES('817','MRS KAMAL','03353277704 , 03224292892','H NO 110 JASMINE AVENUE SAFARI 2 PHASE 7 B.TOWN RWP','6','12','26577','HAIER','0',null,'14-MAR-2020','120-826 - 906','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 19:57:41','2020-09-09 22:55:44',null,'1',null,'0');
INSERT INTO complaints VALUES('818','FAKHAR MUNIR','03345400644','H NO 139 ST NO 35 SEC G/9-1 ISB','5','31','117266','SAMSUNG','0',null,'5-JUN-2020','40N5300-S - 938','FLAT PANEL TV','PANEL PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 19:58:56','2020-10-24 01:30:24',null,'1',null,'0');
INSERT INTO complaints VALUES('819','IMRAN FCP','03005331105','FREINDS GULNOOR MARKET RWP','9','51','0','ORIENT','0',null,'0','50S-TRUMPET - 871','FLAT PANEL TV','HANGED',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-09-03 20:00:34','2020-09-15 21:00:32',null,'1',null,'0');
INSERT INTO complaints VALUES('820','SALEEM REHMAN','034559115722','DD57/B ST NO 1 MADINA TOWN SHAMSABAD RWP','8','39','31054','KENWOOD','0',null,'9-DEC-2018','899W - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 20:15:10','2020-09-16 21:27:08',null,'1',null,'0');
INSERT INTO complaints VALUES('821','MUHAMMAD SALEEM','03445938204','OFFICE NO 4 1ST FLOOR NATIONAL BUSINESS CENTRE SHAMSABAD MURREE ROAD RWP','8','37','12667','ORIENT','0',null,'5-AUG-2015','531OWR - 993','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 20:16:35','2020-09-10 21:58:19',null,'1',null,'0');
INSERT INTO complaints VALUES('822','RANA SHAKEEL','03025333398','H NO 70 ST NO 11 ZARAJ HOUSING SOCIETY OPP WORLD TRADE CENTRE DHA 2ISB','6','16','7110','SIGNATURE','0',null,'15-FEB-2017','25CG - 1731','BUILT IN APPLLIANCES','HEATING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-09-03 20:23:31','2020-09-05 22:17:56',null,'1',null,'0');
INSERT INTO complaints VALUES('823','ISHFAQ FHHS','03225566006','FREINDS SHAMSABAD RWP','8','39','0','DAWLANCE','0',null,'0','374DW - 1199','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 20:37:53','2020-09-09 22:39:36',null,'1',null,'0');
INSERT INTO complaints VALUES('824','ISHFAQ FHHS','03225566006','FREINDS SHAMSABAD RWP','8','39','0','DAWLANCE','0',null,'0','9188WBHZ-PLUS - 895','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 20:37:55','2020-09-09 22:43:34',null,'1',null,'0');
INSERT INTO complaints VALUES('825','NAZAKAT SB','03125776312','DHOK GUJRAN NEAR PSO PUMP MISRIAL ROAD RWP CANTT','9','26','190745','HAIER','0',null,'17-JUN-2020','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 20:41:38','2020-09-15 01:45:09',null,'1',null,'0');
INSERT INTO complaints VALUES('826','AYESHA','03000727843','H NO 74 ST NO 76B SEC E/11-2 ISB','5','29','121240','SIGNATURE','0',null,'26-AUG-2020','HC-3764G - 1122','BUILT IN APPLLIANCES','IGNITION PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 20:46:29','2020-09-16 23:15:16',null,'1',null,'0');
INSERT INTO complaints VALUES('827','BABAR KHAN','03008277409','FLAT NO 3 3RD FLOOR NISAR PLAZA SEC E/11-2 ISB','5','28','81656','ECOSTAR','0',null,'15-FEB-2017','65U565','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 20:56:02','2020-11-03 21:44:00',null,'1',null,'0');
INSERT INTO complaints VALUES('828','NASIR SB','03355714788','H NO 795 ST NO 12 PIA COLONY NEAR HAKEEM PLAZA RWP','9','23','195528','CANON','0',null,'1-SEP-2020','24D-PLUS-DUAL - 1032','GEYSER','HEATING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 21:23:54','2020-09-10 21:46:36',null,'1',null,'0');
INSERT INTO complaints VALUES('829','MR FAHEEM','03014212121','CITY HARDWARE OPP DHA 2 GATE NO 3 GT ROAD','6','12','26241','SAMSUNG','0',null,'22-FEB-2020','13J5730-S - 907','WASHING MACHINE','ERROR PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-09-03 21:50:27','2020-09-05 22:14:49',null,'1',null,'0');
INSERT INTO complaints VALUES('830','FAIZUL HASSAN','03368419350','H NO 882 ST NO 79 SEC I/8-3 ISB','9','20','124656','SAMSUNG','0',null,'29-NOV-2016','11J5710-S - 905','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 21:54:30','2020-09-07 21:43:34',null,'1',null,'0');
INSERT INTO complaints VALUES('831','RIZWAN SB','03008362747','ROOM NO 3-4 3RD FLOOR DATA CENTRE 5TH ROAD SATELLITE TOWN RWP','9','24','183207','ORIENT','0',null,'14-DEC-2019','12G-HYPER-SW - 913','AIR CONDITIONER','ERROR E5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 22:09:13','2020-09-10 23:28:03',null,'1',null,'0');
INSERT INTO complaints VALUES('832','ASAD SB','03335588414','SIDDIQUI ROAD NEAR MCB BANK ATTOCK CITY','9','24','177667','LG','0',null,'22-AUG-2019','1366NEFTFS-C - 907','WASHING MACHINE','WASH TUB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 22:12:24','2020-09-16 22:26:59',null,'1',null,'0');
INSERT INTO complaints VALUES('833','UMER WARRAICH','03105788830','H NO 1867 ST NO 58 USMAN BLOCK PHASE 8 B.TOWN RWP','6','13','29375','GREE','0',null,'2-SEP-2020','8768EG-CB3 - 884','REFRIGERATOR','DOOR GAS KIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 22:15:28','2020-09-13 22:10:51',null,'1',null,'0');
INSERT INTO complaints VALUES('834','NUZHAT SHAKEEL','03335220750','H NO 364 RIVER VIEW ROAD PHASE 4 B.TOWN RWP','4','9','11363','DAWLANCE','0',null,'13-NOV-2019','7500C-DW - 1548','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 22:19:25','2020-09-15 21:03:18',null,'1',null,'0');
INSERT INTO complaints VALUES('835','SAJID ALI','03238528920','H NO 728/3 ST NO 2B PIA COLONY MISRIAL ROAD RWP','7','49','19748','SIGNATURE','0',null,'11-SEP-2019','32S600-B','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 22:23:38','2020-10-05 22:51:28',null,'1',null,'0');
INSERT INTO complaints VALUES('836','MALIK SAJID','03325460567','H NO 101 OPP ST NO 7 MAIN BULYWARD RAFI BLOCK PHASE 8 B.TOWN RWP','6','13','28577','SIGNATURE','0',null,'22-JUL-2020','SCF-HM09 - 954','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 22:45:40','2020-09-05 22:13:43',null,'1',null,'0');
INSERT INTO complaints VALUES('837','MRS QAISER','03336684484','H NO 140 ST NO 10 SAFARI HOME SEC E PHASE 8 B.TOWN RWP','6','14','13069','SIGNATURE','0',null,'13-MAR-2018','SRF-KK90G - 885','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 22:48:13','2020-09-07 22:34:27',null,'1',null,'0');
INSERT INTO complaints VALUES('838','ASGHAR KHAN','03105875360','SUIT NO 3 FEDERAL LODGES NO 1 SEC G/5-1 ISB','5','35','120080','HAIER','0',null,'30-JUL-2020','438IDRT - 896','REFRIGERATOR','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-03 23:56:35','2020-09-09 22:29:18',null,'1',null,'0');
INSERT INTO complaints VALUES('839','UMAIR KHAN','03355650943','H NO 539 ST NO 26/1 PHASE 5 B.TOWN RWP','6','12','96','SIGNATURE','0',null,'29-APR-2020','HC-5861S - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','RESOLVED',null,'customer','0',null,'73','2020-09-03 23:59:10','2020-09-28 02:02:53',null,'1',null,'0');
INSERT INTO complaints VALUES('840','WAJID AZIZ','03218577700','SUZUKI PR NEAR MALL MANDI TAJWAR PLAZA RING ROAD PESHAWAR','8','37','25721','KENWOOD','0',null,'22-JUL-2019','1831S-INV - 915','AIR CONDITIONER','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-04 00:30:35','2020-10-02 01:14:49',null,'1',null,'0');
INSERT INTO complaints VALUES('841','UBAIDULLAH','03009127794 , 03352413090','H NO 43 ST NO 2 MORGAH COLONY','9','51','186159','SAMSUNG','0',null,'27-JAN-2020','32N5300-S - 936','FLAT PANEL TV','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-04 00:50:06','2020-09-19 19:57:17',null,'1',null,'0');
INSERT INTO complaints VALUES('842','ZEESHAN ALVI','03005363888','H NO 397 ST NO 19 PHASE 3 B.TOWN RWP','5','33','118472','GREE','0',null,'1-JUL-2020','18CITH11B - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-04 00:52:53','2020-09-16 22:30:03',null,'1',null,'0');
INSERT INTO complaints VALUES('843','NASIR SB','03219546515','H NO 514 ST NO 133 SEC D/12-4 ISB','8','42','21618','HAIER','0',null,'22-APR-2020','438IDBT - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-04 00:59:13','2020-09-09 22:18:10',null,'1',null,'0');
INSERT INTO complaints VALUES('844','MR ADNAN','0208001464','H NO 12 SALAHUDDIN AVENUE FAISAL COLONY CHAKLALA RWP','8','38','41026','SONY','0',null,'13-JUL-2020','49X7000F-S - 1629','FLAT PANEL TV','ADAPTER PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-09-04 01:13:55','2020-09-05 22:44:47',null,'1',null,'0');
INSERT INTO complaints VALUES('845','IQBAL SB','03315200321','H NO 1421 ST NO 18 SEC I/10-1 ISB','8','37','0','SIGNATURE','0',null,'2 YEARS AGO','FSB60 - 1839','COOKING RANGE','BURNER PROBLEM',null,'5','RESOLVED',null,'customer','0',null,'73','2020-09-04 01:47:13','2020-09-28 01:58:13',null,'1',null,'0');
INSERT INTO complaints VALUES('846','MEHMOOD SB','03335550903','FLAT NO 14B CHALSEA ROYAL APPARTMENTS DIPLOMATIC ENCLAVE SEC G/5- ISB','5','28','0','SIGNATURE','0',null,'1 YEAR AGO','SWM-SR45 - 899','WASHING MACHINE','PCB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-04 01:51:08','2020-09-17 00:46:08',null,'1',null,'0');
INSERT INTO complaints VALUES('847','WASEEM ELAHI','03028510116','H NO 655 ST NO 18 SEC I/8-2 ISB','5','28','0','SIGNATURE','0',null,'0','C/R SIGNATURE','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-04 02:02:46','2020-09-15 21:01:31',null,'1',null,'0');
INSERT INTO complaints VALUES('848','MAJ ABID','03005127967','H NO 88 ST NO 7 SEC C ASKARI 14 ADYALA ROAD RWP CANTT','7','49','17667','SIGNATURE','0',null,'18-SEP-2018','SCF-HM08 - 954','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-04 02:37:23','2020-09-16 22:32:03',null,'1',null,'0');
INSERT INTO complaints VALUES('849','MUHAMMAD','03455162613 , 03365533000','H NO 6 LANE NO 14 SEC  C DHA 2 ISB','6','15','28725','LG','0',null,'29-jul-2020','247SEUV-S - 909','REFRIGERATOR','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-04 02:56:57','2020-09-16 00:21:04',null,'1',null,'0');
INSERT INTO complaints VALUES('850','SYED TAHIE MEHMOOD SHAH','03115231238','HO#184 ST#33 I-8/2','5','28','0','WAVES','OUT OFF WARRANTY',null,'20-FEB-2015',null,'FREEZER','DOOR ISUUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-04 20:39:21','2020-09-09 00:35:16',null,'1',null,'0');
INSERT INTO complaints VALUES('851','SHEIKH NAVEED SAB','+03005368782','HO#19 MAIN ROAD ASGHAR MALL SCKEEM NEAR HANAN MASJID R.W.P','6','13','33533','KENWOOD','0',null,'27-APR-2019','480GD-BKG - 885','REFRIGERATOR','GASS KIT PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-09-04 20:54:54','2020-09-09 22:51:28',null,'1',null,'0');
INSERT INTO complaints VALUES('852','SO HAIL AKHTER','03329968650','HO#139 ST#147 SEC -D 12/4 ISB','5','34','104811','LG','0',null,'13-MAY-2019','502HMHU-S - 896','REFRIGERATOR','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-04 21:11:44','2020-09-16 22:34:36',null,'1',null,'0');
INSERT INTO complaints VALUES('853','TALIB','03215006699','HO#44 st#60 SEC F 11/4 ISB','5','36','23420','FIVE STAR','0',null,'02-SEP-2020','55G-SUPREME - 1538','GEYSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-04 21:33:34','2020-09-05 20:22:42',null,'1',null,'0');
INSERT INTO complaints VALUES('854','MRS NAUMAN','03458508589','HO#E-96/A NEAR ITWAR BAZAR SATELLITE TOWN R.W.P','9','24','40710','FIVE STAR','0',null,'02-JULY-2020','5500C-FS - 1965','COOKING RANGE','NOT WORKING',null,'5','complaint resolved',null,'customer','0',null,'74','2020-09-04 22:36:32','2020-09-10 02:09:59',null,'1',null,'0');
INSERT INTO complaints VALUES('855','M. TARIQ','03030561002','HO#140 ST#25 WALAYAT HOME CHAKLAL SCKEEM 03 BARRIER 04','9','24','127356','LG','0',null,'30-JAN-2017','1496TDT24S - 122','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-05 00:14:11','2020-09-15 20:57:48',null,'1',null,'0');
INSERT INTO complaints VALUES('856','ABID AMEER','03009767513','HO#4 SEC C IQBAL BALYWARD DHA PHASE 02','9','23','70221','HAIER','PTCL CALL',null,'08-AUG-2012','663DTA2 - 84','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-05 00:34:47','2020-09-09 22:58:46',null,'1',null,'0');
INSERT INTO complaints VALUES('857','ALI','03425111103','HO#439 ST#15 ALI BLOCK PHASE 08 BEHIRA','6','15','20946','LG','0',null,'15-MAY-2019','247SEUV-S - 909','REFRIGERATOR','BODY CURRENT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-05 01:05:40','2020-09-26 21:34:27',null,'1',null,'0');
INSERT INTO complaints VALUES('858','WASEEM SAB','03337824567','HO#73 URBAN SEC A BEHIRA ENCLAVE ISB','8','37','40202','SONY','0',null,'11-JUN-2020','43W800G-C - 869','FLAT PANEL TV','3 HDMI PORTS NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-05 01:11:17','2020-10-12 23:21:22',null,'1',null,'0');
INSERT INTO complaints VALUES('859','SAMI','03315444563','HO#54 MAIN MARGE LA ROAD F-7/2 ISB','5','29','113523','TCL','1903VLR300799A00023',null,'03-JAN-2020','50P6US - 871','FLAT PANEL TV','SCREEN BLACK HO GEI',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-05 01:26:26','2020-09-22 23:27:34',null,'1',null,'0');
INSERT INTO complaints VALUES('860','SHOUKAT ALI','03004293987','HO#09 ST#164 G-13/3  ISB','5','28','121004','HAIER','KHURRAM(FCI)',null,'19-AUG-2020','438IDBT - 896','REFRIGERATOR','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-05 01:36:45','2020-09-09 02:10:27',null,'1',null,'0');
INSERT INTO complaints VALUES('861','MR FARHAN','0321-8555798','HO#36 ROAD C SEC C-1 BEHIRA','6','12','0','HAIER','NAEEM NASEER(C/O SADDIQ SAB)',null,'11-06-2020','398IDBT - 884','REFRIGERATOR','OVER COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-05 02:45:12','2020-09-09 00:32:50',null,'1',null,'0');
INSERT INTO complaints VALUES('862','COL MUNAWAR','03215181930','HO#16 ST#77 PHASE 07 BEHIRA SPRING','8','37','0','FIVE STAR','D.O.P CONFIRM NI',null,'02-04-02019','35G-TWIN SUPREME - 963','GEYSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-05 02:52:39','2020-10-19 20:53:34',null,'1',null,'0');
INSERT INTO complaints VALUES('863','MR TAHIR YASEEN','03437184013 , 0519100111','H NO 12A ST NO 32 SEC F/7-1 ISB','5','28','105912','ORIENT','0',null,'13-JUN-2019','18G-ATLANTIC-GW - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 20:14:43','2020-09-24 21:08:45',null,'1',null,'0');
INSERT INTO complaints VALUES('864','HABIB SB','03006798022','MEEKAAT MOTORS RANGE ROAD RWP CANTT','8','38','0','LG','0',null,'OUT OF WARRANTY','LG REF','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 20:18:38','2020-12-19 23:11:38',null,'1',null,'0');
INSERT INTO complaints VALUES('865','syed ehtisam','03455890115','H NO 688 ST NO 48 UMAR BLOCK PHASE 8 B.TOWN RWP','6','15','28237','HOMAGE','0',null,'16-jul-2020','87HWD - 993','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 20:21:40','2020-09-27 01:49:47',null,'1',null,'0');
INSERT INTO complaints VALUES('866','SOHAIL AHMED','03337468689','H NO 24 ST NO 3 MADINA TOWN NEAR SANAM CHOWK KHANNA DHAK ISB','9','22','181913','CANON','0',null,'27-NOV-2019','16D-PLUS - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 20:25:50','2020-09-27 01:45:58',null,'1',null,'0');
INSERT INTO complaints VALUES('867','M RIAZ','03145190054','ST NO 9 THATHA KHALIL ROAD WASEEMABAD TAXILLA','8','40','41509','HAIER','0',null,'4-AUG-2020','306IDBT - 2116','REFRIGERATOR','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 20:34:36','2020-09-15 01:21:38',null,'1',null,'0');
INSERT INTO complaints VALUES('868','MR USMAN','03115311877','H NO 246 ST NO 10 ZONE 1 GARDEN CITY PHASE 7 B.TOWN RWP','6','12','11530','TESLA','0',null,'25-NOV-2019','55G( BLACK XGEN) - 1538','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 20:46:38','2020-09-27 01:03:04',null,'1',null,'0');
INSERT INTO complaints VALUES('869','AZAM HUSSAIN','03455150851','H NO 105 HILL SIDE ROAD SEC E/7 ISB','8','38','17550','TCL','0',null,'20-JUL-2016','55D2750','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 20:59:20','2020-09-27 01:33:09',null,'1',null,'0');
INSERT INTO complaints VALUES('870','NAVEED KHAN','03427973172','H NO 24 EAST SERVICE ROAD SEC G/11-3 ISB','5','28','118409','SONY','0',null,'30-JUN-2020','49X7000F-S - 1629','FLAT PANEL TV','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 21:07:46','2020-09-16 22:37:08',null,'1',null,'0');
INSERT INTO complaints VALUES('871','UMER SB','03376000123 , 03305000182','APP NO C16 CROWN TOWERS  ST NO 91 SEC G/11-3 ISB','8','39','41154','ECOSTAR','0',null,'17-JUL-2020','351FB','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 21:12:34','2020-09-12 22:33:20',null,'1',null,'0');
INSERT INTO complaints VALUES('872','MISS SALMAN','03455357353','H NO 395 ST NO 26 PHASE 2 B.TOWN RWP','6','14','7959','SIGNATURE','0',null,'17-APR-2017','65WBS - 893','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 21:14:43','2020-09-15 20:56:07',null,'1',null,'0');
INSERT INTO complaints VALUES('873','MR HASHIM','03045000010','H NO 8 ST NO 2 SEC F/8-3 ISB','5','31','110538','FIVE STAR','0',null,'1-NOV-2019','35G-SUPREME - 963','GEYSER','THERMOSTATE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 21:20:04','2020-09-12 22:29:55',null,'1',null,'0');
INSERT INTO complaints VALUES('874','AZHAR ALI','03335389836','H NO 9A ST NO 3 BLOCK D SOAN GARDEN ISB','4','10','15587','ORIENT','0','2020-07-29',null,'12G-HYPER-SW - 913','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','112','74','2020-09-05 21:26:54','2020-09-07 21:02:59',null,'1',null,'0');
INSERT INTO complaints VALUES('875','IMRAN SB','03332223728','H NO 19 MAIN BOLYWARD BLOCK D MEDIA TOWN ISB','8','37','11460','LG','0',null,'20-NOV-2016','4J6VGP2S-S - 2010','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 21:27:15','2020-09-17 00:43:20',null,'1',null,'0');
INSERT INTO complaints VALUES('876','WAJID AZIZ','03218577700','SUZUKI PR NEAR MALL MANDI TAJWAR PLAZA RING ROAD PESHAWAR','8','37','25721','ORIENT','0',null,'22-JUL-2019','25AE2-SL - 917','AIR CONDITIONER','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 21:29:58','2020-09-17 20:07:55',null,'1',null,'0');
INSERT INTO complaints VALUES('877','AKHTAR HAIDER','03145175960','H NO 789 ST NO 16 SEC I/8-2 ISB','9','26','193906','FIVE STAR','0',null,'4-AUG-2020','999C-FS - 1965','COOKING RANGE','NOB PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 21:36:54','2020-09-12 22:22:05',null,'1',null,'0');
INSERT INTO complaints VALUES('878','MANZAR SB','03315016933','H NO 491 ST NO 9 SEC G/10-1 ISB','9','22','182566','HAIER','0',null,'7-dec-2019','120B-14876 - 906','WASHING MACHINE','NOT WORKING',null,'5','complaint closed',null,'customer','0',null,'73','2020-09-05 21:40:12','2020-09-12 22:18:49',null,'1',null,'0');
INSERT INTO complaints VALUES('879','HAFEEZ KHAN','03335119204, 0518738324','H NO 4 ST NO 8 HOSTEL CITY LANE NO 10 CHATTA BAKHTAWAR PARK ROAD ISB','9','20','185268','FIVE STAR','0',null,'8-jan-2020','900C-FS - 1965','COOKING RANGE','NOBS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 21:49:52','2020-09-12 22:14:03',null,'1',null,'0');
INSERT INTO complaints VALUES('880','KHURRAM','03005548081','FREINDS SADDAR RWP','7','49','0','SAMSUNG','08CG36PN100146V',null,'0','UA58RU7100RSMM','FLAT PANEL TV','PANEL LINE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 21:58:09','2020-09-15 20:51:18',null,'1',null,'0');
INSERT INTO complaints VALUES('881','BUTT PWD','03115006051','FREINDS NEAR TEHZEEB BAKERS PWD','4','7','0','KENWOOD','0',null,'0','1010SA - 902','WASHING MACHINE','BASE DAMGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 22:29:30','2020-10-21 00:19:15',null,'1',null,'0');
INSERT INTO complaints VALUES('882','QASIM RAZA','03344446969','H NO 247A ST NO 21 SEC E/7 ISB','5','31','98560','SAMSUNG','0',null,'16-OCT-2018','50K5010S8 - 90','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','759','74','2020-09-05 22:35:54','2020-09-22 23:22:56',null,'1',null,'0');
INSERT INTO complaints VALUES('883','MUNEEB AHMED','03458503221','H NO 12 ST NO 8 SEC C DHA 2 ISB','6','12','27255','GREE','0',null,'19-MAY-2020','500FS - 993','WATER DISPENSER','TAB PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 22:36:51','2020-09-22 23:21:33',null,'1',null,'0');
INSERT INTO complaints VALUES('884','ZAIGHAM KHAN','03367232708','H NO 1107 ROAD A PHASE 4 B.TOWN RWP','4','7','9846','SAMSUNG','0',null,'11-JUL-2019','70J3283W-S - 1548','WASHING MACHINE','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','745','74','2020-09-05 22:57:11','2020-10-29 00:14:50',null,'1',null,'0');
INSERT INTO complaints VALUES('885','ejaz ahmed','03345169255','H NO 152-B ,AIN ROAD QUAID-E-AZAM MEDIA TOWN ISB','6','15','26897','HAIER','0',null,'25-APR-2020','622IBG - 908','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-05 23:31:42','2020-09-30 22:49:08',null,'1',null,'0');
INSERT INTO complaints VALUES('886','YASIR ALI','03215558665','H NO 582 ST NO 12 SEC C PHASE 8 B.TOWN RWP','6','16','13295','LG','0',null,'28-MAR-2018','1366NEFTF-C - 1894','WASHING MACHINE','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 00:08:39','2020-09-15 20:47:28',null,'1',null,'0');
INSERT INTO complaints VALUES('887','MAKHTOOM SHAHABUDDIN','03069265474','H NO 665 ST NO 55 SEC F/7-4 ISB','5','31','87063','KENWOOD','0',null,'5-AUG-2017','1012SA - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 00:34:53','2020-09-22 23:08:42',null,'1',null,'0');
INSERT INTO complaints VALUES('888','MR NOUMAN','03335272225','H NO 112 LANE NO 6 ASKARI 12 RWP','9','22','193801','HAIER','0',null,'28-JUL-2020','578TBG - 910','REFRIGERATOR','WATER DROPLETS',null,'5','complaint closed',null,'customer','0',null,'73','2020-09-06 00:39:39','2020-09-13 01:17:19',null,'1',null,'0');
INSERT INTO complaints VALUES('889','MRS NAZIR','03365993980  , 03315862766','H NO 28 ST NO 8 BLOCK A SOAN GARDEN ISB','5','36','111091','CANON','0',null,'21-NOV-2019','6000-CKU - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 00:41:47','2020-11-03 23:31:14',null,'1',null,'0');
INSERT INTO complaints VALUES('890','FAROOQ ALI','03008591698','H NO 20A ST NO 16 RACE COURSE ROAD WESTRIDGE RWP','7','49','19690','SAMSUNG','0',null,'27-AUG-2019','80J4260-S - 899','WASHING MACHINE','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 00:47:59','2020-09-16 23:26:25',null,'1',null,'0');
INSERT INTO complaints VALUES('891','BILAL FHSS','03120578711','FRIENDS HOME SHAMSHABAD R.W,P','8','41','0','DAWLANCE','0',null,'0','162HZP - 1602','MICROWAVE OVEN','RING MISSING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 00:58:50','2020-09-09 20:37:07',null,'1',null,'0');
INSERT INTO complaints VALUES('892','ADIL FHS','03403339967','FREINDS GULNOOR MARKET RWP','8','38','42157','TCL','2003VLR301109A00122',null,'1-SEP-2020','65P8S - 1443','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 01:04:42','2020-09-30 02:43:26',null,'1',null,'0');
INSERT INTO complaints VALUES('893','ASMA KASHAN','03325572022','H NO 100 ST NO 29 PHASE 1 PAKISTAN TOWN ISB','4','5','16051','SIGNATURE','0',null,'22-AUG-2020','3762G - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 01:13:43','2020-09-17 00:38:31',null,'1',null,'0');
INSERT INTO complaints VALUES('894','USAMA BUTT','03469817424','CB2539 ST NO 9 PEOPLE COLONY TENCH BHATTA RWP','9','19','0','LG','0',null,'2014','T1007','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 01:28:28','2020-09-15 20:37:13',null,'1',null,'0');
INSERT INTO complaints VALUES('895','SANAM SAMUEL','03418816781','H NO 6 IMRAN BLOCK KHALID COLONY CHAKRI ROAD RWP','7','49','18832','GREE','0',null,'11-APR-2019','12CITH12W - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CANCELLED',null,'customer','0',null,'73','2020-09-06 01:30:55','2020-09-07 21:48:40',null,'1',null,'0');
INSERT INTO complaints VALUES('896','MR REHAN','03345188388','H NO 5 ALHADI STREET MAIN BANNI GALA ROAD NEAR ALLIED BANK ISB','5','30','79004','SIGNATURE','0',null,'15-OCT-2016','M25L-S','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 01:33:14','2020-09-16 02:42:10',null,'1',null,'0');
INSERT INTO complaints VALUES('897','MANZAR SB','03315016933','H NO 4/4-E ST NO 13 SEC G/7-2 ISB','9','22','163911','HAIER','0',null,'30-DEC-2018','120B-14876 - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 01:39:35','2020-09-09 20:29:53',null,'1',null,'0');
INSERT INTO complaints VALUES('898','MR HAMZA','03335213586','H NO 289 ST NO 78 SEC F/11-1 ISB','5','30','109715','SAMSUNG','0',null,'26-SEP-2019','70H4200-S - 1483','WASHING MACHINE','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 01:42:52','2020-09-15 20:45:22',null,'1',null,'0');
INSERT INTO complaints VALUES('899','FAISAL','03333355901','H NO 59 ST NO 11 SAFARI VALLEY BLOCK E USMAN BLOCK PHASE 8 B.TOWN','6','12','8998','SIGNATURE','0',null,'31-MAY-2017','2SS - 1468','FREEZER','COOLING  PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 01:49:18','2020-09-15 20:41:31',null,'1',null,'0');
INSERT INTO complaints VALUES('900','MR ZEESHAN','03025679561','H NO 21 ST NO 2 BLOCK E NAVAL ANCOURAGE ISB','6','12','4007','SIGNATURE','0',null,'14-MAY-2016','MD2-S - 1708','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 01:52:22','2020-09-07 22:37:31',null,'1',null,'0');
INSERT INTO complaints VALUES('901','MR ZEESHAN','03025619561','H NO 21 ST NO 2 BLOCK E NAVAL ANCOURAGE ISB','6','12','5246','SIGNATURE','0',null,'23-AUG-2016','SCR-FSB3-5G - 1605','COOKING RANGE','OVEN PROBLEM',null,'5','complaint resolved',null,'customer','0',null,'73','2020-09-06 01:54:06','2020-09-10 01:25:46',null,'1',null,'0');
INSERT INTO complaints VALUES('902','rizwan bhR','03126661934','FREINDS CORPORTAION NEAR WALLAYAT COMPLEX RABI CENTRE PHASE 7 B.TOWN RWP','6','12','12881','SIGNATURE','0',null,'27-FEB-2018','JX1-GD - 1708','WATER DISPENSER','TAB PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 19:25:11','2020-09-15 20:39:45',null,'1',null,'0');
INSERT INTO complaints VALUES('903','MR MOQARRAB','03355773773','H NO 151 ST NO 5 BLOCK A PWD','4','7','15841','HOMAGE','0',null,'12-AUG-2020','43HWD - 993','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 19:29:32','2020-11-04 00:07:44',null,'1',null,'0');
INSERT INTO complaints VALUES('904','AZHAR MEHMOOD','03226141786','COLLEGE ROAD PURANA THANA RAWAT ISB','6','15','19425','HAIER','0',null,'25-FEB-2019','200-1678 - 1619','WASHING MACHINE','ERROR F3',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 19:52:23','2020-09-09 19:55:08',null,'1',null,'0');
INSERT INTO complaints VALUES('905','ALI FAROOQ','03455256666','H NO 621 ST NO 8 CHAKLALA SCHEME 3 RWP','8','39','26772','LG','0',null,'5-APR-2018','247SMUV-S - 909','REFRIGERATOR','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 20:13:40','2020-09-17 20:00:21',null,'1',null,'0');
INSERT INTO complaints VALUES('906','ARSHAD JAVED','03215353684','H NO JA99/B17 COMMETI CHOWK ITWAR BAZAR KEHKASHAN COLONY RWP','9','51','144195','ECOSTAR','0',null,'10-DEC-2017','49U571 - 1629','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 20:38:45','2020-09-24 23:14:04',null,'1',null,'0');
INSERT INTO complaints VALUES('907','MR RAHEEL','03215003692','H NO 28 ST NO 4 SEC C DHA 1 RWP','8','39','13738','SAMSUNG','0',null,'18-DEC-2016','11J5710GT - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 20:40:53','2020-09-16 01:21:43',null,'1',null,'0');
INSERT INTO complaints VALUES('908','KHALID SB','03215403712','H NO 5 ST NO 61 SEC C DHA 5 ISB','6','15','13724','SIGNATURE','0',null,'15-APR-2018','JX1-BL - 1708','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 20:45:23','2020-09-14 20:42:02',null,'1',null,'0');
INSERT INTO complaints VALUES('909','MUHAMMAD EJAZ','03455529212','H NO 78B ST NO 19 GULZAR-E-QUIADE RWP','8','37','29990','HAIER','0',null,'19-OCT-2018','95-1678HWM - 1817','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 20:58:23','2020-09-09 20:10:12',null,'1',null,'0');
INSERT INTO complaints VALUES('910','FAIZUL HASSAN','03219001800','H NO 156 LILY AVENUE SAFARI 2 PHASE 7 B.TOWN RWP','6','12','23362','SIGNATURE','0',null,'5-OCT-2019','SWM-JD55C - 1643','WASHING MACHINE','PANEL PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 22:36:04','2020-09-14 20:44:08',null,'1',null,'0');
INSERT INTO complaints VALUES('911','FAKHAR','03097517645','OPP SHELL PUMP MAIN T CHOWK RAWAT','6','12','0','DAWLANCE','0',null,'OUT OF WARRANTY','128G - 1277','MICROWAVE OVEN','HEATING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 22:47:23','2020-09-10 19:59:17',null,'1',null,'0');
INSERT INTO complaints VALUES('912','WAHEED SB','03355180846','H NO 783 ST NO 31 SEC G/16-4 ISB','8','40','41868','LG','0',null,'16-AUG-2020','9588NEHVA-S - 901','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 22:50:48','2020-09-14 20:39:22',null,'1',null,'0');
INSERT INTO complaints VALUES('913','MR BILAWAL','03345509330','H NO ZA358 ST NO 7 DHOK MATKIYAL WESTRIDGE RWP','9','21','195314','GREE','0',null,'24-AUG-2020','8890EG-CR2 - 2116','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 23:05:05','2020-09-24 00:21:50',null,'1',null,'0');
INSERT INTO complaints VALUES('914','FAISAL SB','03363414689','H NO D BLOCK D7 JAVED SHAHEED COLONY NEAR QASIM MARKET RWP','9','25','188962','LG','0',null,'19-MAY-2020','4G7TDYG5W-S - 899','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 23:11:39','2020-09-16 22:20:46',null,'1',null,'0');
INSERT INTO complaints VALUES('915','KHALIDA BUSHRA','03235439016','H NO 2469 ST NO 158 SEC 4 GULSHANABAD ADYALA ROAD RWP CANTT','7','49','20813','SIGNATURE','0',null,'14-MAR-2020','3712 - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 23:13:37','2020-09-17 19:57:07',null,'1',null,'0');
INSERT INTO complaints VALUES('916','MUHAMMAD IDREES','03149056806','H NO 2026 ST NO 64 UPPER PRTION PHASE 3 B.TOWN RWP','4','5','1394','SIGNATURE','0',null,'4-NOV-2017','SWM-SR40 - 1548','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-06 23:25:18','2020-09-14 20:30:25',null,'1',null,'0');
INSERT INTO complaints VALUES('917','mrs ASIF','03225364015','H NO 205A HILL SIDE ROAD SEC E7 ISB','5','31','79236','SIGNATURE','0',null,'29-OCT-2016','SCR-FS2-4E - 1605','COOKING RANGE','FLAME PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 00:40:34','2020-11-04 00:12:41',null,'1',null,'0');
INSERT INTO complaints VALUES('918','DR AHMED','03065574644','H NO 60 ST NO 16 BAHRIA SPRINGS NORTH PHASE 7 B.TOWN','6','16','28658','SIGNATURE','0',null,'27-jul-2020','MD99SS-S - 1723','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 00:43:18','2020-09-25 23:35:52',null,'1',null,'0');
INSERT INTO complaints VALUES('919','DR WASEEM','03328258881 , 03102050868 , 03352123239','H NO G48 ST NO 12 PHASE 4 OFFICERS COLONY WAAH CATT','9','19','184821','BOSCH','0',null,'31-DEC-2019','20260GC - 880','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 00:53:59','2020-09-24 23:07:23',null,'1',null,'0');
INSERT INTO complaints VALUES('920','MISS MUSARRAT','0515737165','FLAT NO 65 AWAMI VILLA 5 SEC E PHASE 8 B.TOWN','8','37','27815','WAVES','0',null,'29-MAR-2018','310WDF - 955','FREEZER','GAS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 19:37:41','2020-09-10 20:40:04',null,'1',null,'0');
INSERT INTO complaints VALUES('921','nisar AHMED','03181982839 , 03125292574','H NO 692 ST NO 33 PHASE 5 B.TOWN RWP','4','7','15190','DAWLANCE','0',null,'10-JUL-2020','9170WBLVS-PLUS - 860','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 19:39:47','2020-09-10 20:58:35',null,'1',null,'0');
INSERT INTO complaints VALUES('922','MR SOHAIL','03345172143 , 03331571455','805K ST NO 17 BLOCK C PWD ISB','4','5','15338','HAIER','0',null,'20-JUL-2020','438IDBT - 896','REFRIGERATOR','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 19:54:01','2020-09-14 21:11:18',null,'1',null,'0');
INSERT INTO complaints VALUES('923','SHAHID SB','03454894470','H NOO 200 ST NO 8 PHASE 3 B.TOWN RWP','4','6','12176','SIGNATURE','0',null,'15-DEC-2019','MD99SS-S - 1723','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','318','73','2020-09-07 19:57:07','2020-09-14 20:09:40',null,'1',null,'0');
INSERT INTO complaints VALUES('924','BILAL FHSS','03120578711','FREINDS SHAMSABAD RWP','8','41','0','SONY','0',null,'0','65X9500G-S - 1443','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 20:01:20','2020-11-09 22:21:51',null,'1',null,'0');
INSERT INTO complaints VALUES('925','ENVOY CONTINENTAL','03005005250','FAZAL HAQ ROAD BLUE AREA ISB','9','26','195750','ORIENT','0',null,'5-SEP-2020','48-SUPREME-GW - 1820','AIR CONDITIONER','ERROR E1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 20:04:25','2020-09-10 20:26:24',null,'1',null,'0');
INSERT INTO complaints VALUES('926','SAJID FHSS','03135978937','NEAR FREINDS WARE HOUSE SHAMSABAD RWP','8','37','0','SUPER ASIA','0',null,'0','240SA - 522','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 20:56:59','2020-09-14 21:06:47',null,'1',null,'0');
INSERT INTO complaints VALUES('927','SAJID FHSS','03135978937','NEAR FREINDS WARE HOUSE SHAMSABAD RWP','8','37','0','KENWOOD','0',null,'0','1010SA - 902','WASHING MACHINE','TOP DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 20:57:01','2020-09-14 21:30:40',null,'1',null,'0');
INSERT INTO complaints VALUES('928','SAJID FHSS','03135978937','NEAR FREINDS WARE HOUSE SHAMSABAD RWP','8','37','0','KENWOOD','0',null,'0','1012SA - 902','WASHING MACHINE','TOP DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 20:57:03','2020-09-14 21:03:10',null,'1',null,'0');
INSERT INTO complaints VALUES('929','SHER AMIR','03455912500','H NO 26 ST NO 23 SEC C DHA 1 RWP','9','20','165344','HAIER','0',null,'29-JAN-2019','80-100SRG - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 21:05:35','2020-09-14 21:36:46',null,'1',null,'0');
INSERT INTO complaints VALUES('930','ABDUL HAFEEZ KHAN','03335119204, 0518738324','H NO 4 ST NO 8 HOSTEL CITY LANE NO 10 CHATTA BAKHTAWAR PARK ROAD ISB','9','20','90981','HAIER','0',null,'25-jun-2014','120-1678HWM - 906','WASHING MACHINE','drain problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 21:17:35','2020-09-11 00:24:17',null,'1',null,'0');
INSERT INTO complaints VALUES('931','UZAIR','03335513064','H NO 1A BLOCK 9 FAISAL COLONY NEAR ABUBAKAR SIDDIQUE MASJID RWP','9','21','183266','CORONA','0',null,'14-DEC-2019','505C - 1815','COOKING RANGE','timer problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 21:20:10','2020-09-14 21:25:04',null,'1',null,'0');
INSERT INTO complaints VALUES('932','UMER SB','03215424687','H NO 719 ST NO 31 ROAD D PHASE 3 B.TOWN RWP','6','14','18397','LG','0',null,'17-DEC-2018','1066NEFTF-S  - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','312','73','2020-09-07 21:34:38','2020-09-14 20:27:24',null,'1',null,'0');
INSERT INTO complaints VALUES('933','YAWAR HUSSAIN','03075556111 , 0518733317','H NO 14 ST NO 9 BANNI GALA ISB','8','37','10660','LG','0',null,'14-MAY-2016','832DHL-S - 86','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 21:40:59','2020-12-19 22:59:27',null,'1',null,'0');
INSERT INTO complaints VALUES('934','IQBAL SB','03465166132','FREINDS HOME BEWAL PLAZA BLUE AREA ISB','5','28','0','SHARP','0',null,'0','700SL3 - 903','REFRIGERATOR','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 22:01:02','2020-09-14 20:05:44',null,'1',null,'0');
INSERT INTO complaints VALUES('935','CHAND SALEEM','03005146694','H NO 61 ST NO 26 UMAR BLOCK PHASE 8 B.TOWN RWP','6','12','0','FIVE STAR','0',null,'15-MAR-2020','35G-SUPREME - 963','GEYSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 22:04:00','2020-10-19 20:49:14',null,'1',null,'0');
INSERT INTO complaints VALUES('936','IQBAL SB','03465166132','FREINDS HOME BEWAL PLAZA BLUE AREA ISB','5','28','0','SONY','0',null,'0','65X9000-S - 1443','FLAT PANEL TV','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 22:05:41','2020-11-04 02:52:05',null,'1',null,'0');
INSERT INTO complaints VALUES('937','ZAID','03216430255 -00512727381','HO#6 B BLOCK#06 ASKRI TOWER 01 DHA PHASE 02','4','7','6196','LG','0',null,'01-+DEC-2018','4V5RGP2T-S - 899','WASHING MACHINE','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-07 22:08:43','2020-09-17 19:55:09',null,'1',null,'0');
INSERT INTO complaints VALUES('938','MR TARIQ','03000505548','H NO 50 ST NO 112 SEC G/11-3 ISB','5','32','109646','HAIER','0',null,'24-SEP-2019','436IDB','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 22:26:36','2020-09-21 20:08:27',null,'1',null,'0');
INSERT INTO complaints VALUES('939','MRS FARAZ','03335673115','H NO 639 ST NO 103 SEC G/9-4 SB','5','32','89952','DAWLANCE','0',null,'9-DEC-2017','9188WBHZ-PLUS - 895','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 22:33:08','2020-09-10 22:10:19',null,'1',null,'0');
INSERT INTO complaints VALUES('940','FURQAN SHAH','03332383639','H NO 207 ST NO 9 BLOCKA NPF ISB','4','6','15154','DAWLANCE','0',null,'9-JUL-2020','1035WBSS-VF - 689','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 22:35:51','2020-11-04 00:20:47',null,'1',null,'0');
INSERT INTO complaints VALUES('941','ISMAIL NASIR','03218546091','H NO 9 DOCTORS BLOCK NEW LALAZAR 1 RWP POST OFFICE MORGHA','9','24','194833','SIGNATURE','0',null,'16-AUG-2020','SVF-SY20D - 956','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 22:37:39','2020-09-24 00:32:42',null,'1',null,'0');
INSERT INTO complaints VALUES('942','NAEEM SB','03009031747','H NO 4 ST NO 5 BLOCK F NAVAL ANCOURAGE ISB','4','5','156','SIGNATURE','0',null,'24-SEP-2017','SBH-AB900S - 1122','BUILT IN APPLLIANCES','IGNITION PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 22:43:58','2020-09-16 01:17:28',null,'1',null,'0');
INSERT INTO complaints VALUES('943','SHAISTA ZAFAR','03345078983','H NO 481 ST NO 8 SEC G/11-1 ISB','5','36','119799','WAVES','0',null,'27-jul-2020','315WDF - 958','FREEZER','LIGHT AND DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-07 23:13:27','2020-09-10 22:07:30',null,'1',null,'0');
INSERT INTO complaints VALUES('944','JAVED IMRAN','03008555380','H NO 207 ST NO 11 GHOURI TOWN PHASE 1 ISB','5','28','72350','LG','0',null,'8-JAN-2016','1496TDT24S - 122','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 00:54:24','2020-09-23 23:21:33',null,'1',null,'0');
INSERT INTO complaints VALUES('945','ADEEL ALI','03218555549','H NO 3 ST NO 13 SEC E DHA 1 RWP','9','51','19514','BOSCH','0',null,'20-AUG-2020','30460GC - 1850','WASHING MACHINE','OPEATION',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 00:57:49','2020-09-10 20:54:24',null,'1',null,'0');
INSERT INTO complaints VALUES('946','QADUS SB','03365418930','LASER SKIN COMPLEX 6TH ROAD NEAR HBL RWP','9','19','195691','MITSUBISHI','0',null,'5-SEP-2020','50VA - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 01:02:07','2020-09-10 20:52:18',null,'1',null,'0');
INSERT INTO complaints VALUES('947','MUHAMMAD KHALID RAJA','03165676236','H NO 12 ST NO 13 SEC C1 BAHRIA ENCLAVE ISB','6','13','34922','ORIENT','0',null,'24-JUN-2019','25AE2-SL - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 01:03:59','2020-09-10 20:49:47',null,'1',null,'0');
INSERT INTO complaints VALUES('948','MUHAMMAD ARSHAD','03335775939','H NO 1  GROUND FLOOR PLAZA NO 163 BLOCK D CIVIC CENTRE PHASE 4 B.TOWN','4','5','10805','ORIENT','0',null,'24-SEP-2019','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 01:05:28','2020-09-10 20:50:57',null,'1',null,'0');
INSERT INTO complaints VALUES('949','MARYAM ALI','03305248077','H NO 45 ST NO 5 PHASE 6 GULRAIZ HOUSING SOCIETY  RWP','4','11','16181','SIGNATURE','0',null,'5-SEP-2020','22AC','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-09-08 01:07:06','2020-09-09 19:58:24',null,'1',null,'0');
INSERT INTO complaints VALUES('950','MR AMEET','03343507670','FLAT NO UG 12 AZEEM TOWN  SPRING APPARTMENT RWP','8','40','42117','ORIENT','0',null,'26-AUG-2020','529OWR - 128','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 01:09:33','2020-09-10 22:03:51',null,'1',null,'0');
INSERT INTO complaints VALUES('951','KARAM ELAHI','03329160272','H NO 572 ST NO 11/1 BLOCK B NPF O9','4','5','3726','SIGNATURE','0',null,'22-MAY-2018','SRF-KK95S - 903','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 01:13:45','2020-09-24 00:10:31',null,'1',null,'0');
INSERT INTO complaints VALUES('952','ASHRAF GHOURI','03335157971','H NO 2066 MAIN SERVICE ROAD NORTH I/16-2 ISB','9','26','195693','FIVE STAR','0',null,'5-SEP-2020','25G-SUPREME - 1966','GEYSER','PILOT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 01:16:00','2020-09-10 20:29:26',null,'1',null,'0');
INSERT INTO complaints VALUES('953','ADEEL ALI','03218555549','H NO 3 ST NO 13 SEC E DHA 1 RWP','9','51','19514','SAMSUNG','08BC36GN500206N',null,'20-AUG-2020','UA65RU7100RSMZ','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 01:23:49','2020-09-10 22:01:52',null,'1',null,'0');
INSERT INTO complaints VALUES('954','MR RAUF','03328526167','H NO 21 MAIN DOUBLE ROAD SEC D/12-1 ISB','5','35','120446','SAMSUNG','0',null,'8-aug-2020','51K5680SL-S - 908','REFRIGERATOR','WATER DISPENCER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 01:34:26','2020-09-17 22:26:51',null,'1',null,'0');
INSERT INTO complaints VALUES('955','SANULLAH MALIK','03459809159','H NO 104 ST NO 70 SEC E/11-3 ISB','5','28','4104','PANASONIC','0',null,'2012','AC PANASONIC','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 02:07:45','2020-09-14 20:00:15',null,'1',null,'0');
INSERT INTO complaints VALUES('956','IQBAL SB','03465166132','FREINDS HOME BEWAL PLAZA BLUE AREA ISB','5','28','0','SONY','0',null,'0','40W650D-S - 938','FLAT PANEL TV','PANEL DOT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 19:26:32','2020-09-13 00:46:21',null,'1',null,'0');
INSERT INTO complaints VALUES('957','NAEEM AKHTER','03204301218 , 03204301219','H NO 729 OMER ROAD B PHASE 2 B.TOWN RWP','4','8','10575','HAIER','0',null,'2-SEP-2019','18SNF-S INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 20:04:43','2020-09-23 23:12:24',null,'1',null,'0');
INSERT INTO complaints VALUES('958','NADEEM HAFEEZ','03465199129','H NO 266 ST NO 75 SEC G/9-3 ISB','5','32','117383','DAWLANCE','0',null,'9-JUN-2020','1045CVT-VF - 1467','FREEZER','ERROR PROBLEM',null,'5','complaint resolved',null,'customer','0',null,'73','2020-09-08 20:07:07','2020-09-12 23:59:37',null,'1',null,'0');
INSERT INTO complaints VALUES('959','ALI SHAN','03160553322','SHAHEED DHOK JUMMA ST NO 1 TULSA ROAD LALAZAR RWP','7','49','21075','HAIER','0',null,'1-JUN-2020','32K6000 - 936','FLAT PANEL TV','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 20:14:07','2020-09-11 00:56:46',null,'1',null,'0');
INSERT INTO complaints VALUES('960','MISS ARIBA FAROOQ','03125043561','H NO 386 ST NO 35B SEC I/9-4 ISB','8','38','39060','ORIENT','0',null,'11-FEB-2020','AUTO7 - 1548','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 20:17:14','2020-09-19 19:29:00',null,'1',null,'0');
INSERT INTO complaints VALUES('961','MOBEEN MALIK','03005585810','H NO 209 ST NO 9 SEC A  ZARAJ HOUSING SCHEME OPP DHA 2 ISB','9','19','135206','SIGNATURE','0',null,'30-MAY-2017','SWM-FW1409S - 901','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 20:35:24','2020-09-14 19:54:04',null,'1',null,'0');
INSERT INTO complaints VALUES('962','IRSHAD SB','03345441729','ST NO 1 IQBAL TOWN FIA OFFICE ISB','8','39','42240','SIGNATURE','0',null,'5-SEP-2020','HC-3766G - 1122','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 20:46:22','2020-09-14 19:52:08',null,'1',null,'0');
INSERT INTO complaints VALUES('963','NAVEED IQBAL','03341005657','H NO 84 LANE NO 4 CHAKALALA SCHEME 2 TIPU ROAD','9','19','168105','ORIENT','0',null,'28-MAR-2019','CRYSTAL-RD-BLK - 993','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 20:52:54','2020-09-16 01:37:56',null,'1',null,'0');
INSERT INTO complaints VALUES('964','MUHAMMAD ASHRAF','03361502912','OK NATIONAL FLYWOOD SINMALI DAM ROAD NEAR KARACHI HOTEL BARAKAHO ISB','8','37','660','GREE','0',null,'MAY-2020','18CITH12W - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 21:11:33','2020-09-28 22:43:17',null,'1',null,'0');
INSERT INTO complaints VALUES('965','SAMEER ABBASI','03015159006','IMRAN KHAN CHOWK RESIDENTIAL NEAR BANNI GALLA ISB','8','48','40146','SIGNATURE','0','2020-08-27',null,'SBO-AR10 - 1124','BUILT IN APPLLIANCES','BANNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','682','74','2020-09-08 21:13:26','2020-09-17 19:51:07',null,'1',null,'0');
INSERT INTO complaints VALUES('966','RASHID JAN','03125281789','H NO 2530 NEAR AYUB MARRIAGE HALL DHOK CHAUDRIAN RWP','7','49','21258','ORIENT','0',null,'23-JUN-2020','18G-SUPER - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 21:21:15','2020-09-14 19:43:30',null,'1',null,'0');
INSERT INTO complaints VALUES('967','BRIG ZAHID','03239710253 , 03336813782','H NO 27 ST NO 4 BLOCK E NAVAL ENCOURAGE ISB','8','37','16794','SAMSUNG','0',null,'6-JUN-2016','1STMG - 903','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','716','73','2020-09-08 21:44:12','2020-09-25 00:28:08',null,'1',null,'0');
INSERT INTO complaints VALUES('968','MR AMJID','03005324682','RWP','9','19','133151','SIGNATURE','0',null,'9-MAY-2017','SRF-WB54SS - 856','REFRIGERATOR','COMPRESSOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 21:58:59','2020-09-14 19:39:07',null,'1',null,'0');
INSERT INTO complaints VALUES('969','AMIR ZUBARI','03009569061','H NO 1 ST NO 4 BABAR COLONY NEAR CHATRI CHOWK RWP','8','48','38631','SIGNATURE','0',null,'12-JAN-2020','AR4R','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 22:15:16','2020-09-14 19:31:21',null,'1',null,'0');
INSERT INTO complaints VALUES('970','ch abrar','03335114650','H NO 653ST NO 17 OVERSEAS 3 BAHRIA PHASE 8','6','12','566','SIGNATURE','0',null,'14-DEC-2017','SBC-BRISBANE-90 - 1123','BUILT IN APPLLIANCES','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 22:19:33','2020-10-24 00:25:41',null,'1',null,'0');
INSERT INTO complaints VALUES('971','SHAHZAD SB','03121533445 , 03136026355','SHOP NO 1-2 RAS ARCADE ST NO 124 SEC G/13-4','5','31','120523','HAIER','0',null,'10-AUG-2020','545DD - 959','FREEZER','COOLING PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2020-09-08 22:23:23','2020-09-16 00:08:49',null,'1',null,'0');
INSERT INTO complaints VALUES('972','COL PERVAIZ','03335291291','FLAT NO 5C BLOCK 8 ASKARI TOWER 1DHA 2','6','12','11593','SIGNATURE','0',null,'25-NOV-2017','SWM-JD46 - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'73','2020-09-08 22:30:16','2020-09-11 21:29:40',null,'1',null,'0');
INSERT INTO complaints VALUES('973','MRS SHAHID','03005189117','H NO 437/B ST NO 7 OR 5 PHASE 4  GULRAIZ HOUSING SCHEME RWP','8','37','487','SUPER ASIA','0',null,'10-MAY-2020','244SA - 1483','WASHING MACHINE','WASH TUB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 22:30:24','2020-09-11 02:19:20',null,'1',null,'0');
INSERT INTO complaints VALUES('974','MARSHAL INNOCENT','03215171524','H NO 31 ST NO 1 PARK ROAD SHAHZAD TOWN ISB','5','30','95983','SONY','0',null,'6-JUL-2018','48W652 - 1560','FLAT PANEL TV','PANEL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 22:33:10','2020-09-11 21:22:26',null,'1',null,'0');
INSERT INTO complaints VALUES('975','COL BANGASH','03365566321','H NO 23 ST NO 7 SEC H DHA 2 ISB','6','12','28437','HOMAGE','0',null,'16-jul-2020','81HWD - 993','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 22:36:00','2020-09-11 01:58:16',null,'1',null,'0');
INSERT INTO complaints VALUES('976','IMTIAZ ABBASI','03008508217 , 03454620401','H NO 91  FIRST FLOOR ST NO 96 SEC I/8-4 ISB','6','14','29182','HAIER','0',null,'18-AUG-2020','438IDBT - 896','REFRIGERATOR','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 23:17:28','2020-09-11 01:03:25',null,'1',null,'0');
INSERT INTO complaints VALUES('977','TILA MUHAMMAD','03004536555 , 03315533049','H NO 778 ST NO 35 PHASE 5 B.TOWN RWP','4','11','12496','HAIER','0',null,'28-DEC-2019','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-08 23:50:22','2020-09-12 22:52:56',null,'1',null,'0');
INSERT INTO complaints VALUES('978','MR SOHAIL JAFFERI','03455889196','H NO 556 BLOCK D SATELLITE TOWN RWP','8','37','752','HAIER','0',null,'21-MAY-2020','90-1789HWM - 901','WASHING MACHINE','WASH TUB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 00:10:05','2020-09-11 01:06:57',null,'1',null,'0');
INSERT INTO complaints VALUES('979','MRS AHMED','03335295030','H NO 268 ASKARI 6 RWP','5','31','94210','LG','0',null,'5-MAY-2018','4J8VSP2S-C - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 00:30:48','2020-10-08 02:31:59',null,'1',null,'0');
INSERT INTO complaints VALUES('980','SALEEM WASTI','03215168597','H NO 55 ST COLLLEGE ROAD SAFARI VILLAS B.TOWN RWP','5','32','81321','PEL','0',null,'31-JAN-2017','18K-PINV-LIFE - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 00:50:50','2020-09-25 00:23:07',null,'1',null,'0');
INSERT INTO complaints VALUES('981','SALEEM WASTI','03215168597','H NO 55 ST COLLLEGE ROAD SAFARI VILLAS B.TOWN RWP','4','9','15830','LG','0',null,'11-AUG-2020','512FPW-S - 1653','DISH WASHER','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 00:50:55','2020-10-07 20:29:48',null,'1',null,'0');
INSERT INTO complaints VALUES('982','MUHAMMAD HASEEN KHAN','03125184228','H NO 35 ST NO 155 SEC G/11-1 ISB','5','30','121154','HAIER','0',null,'22-AUG-2020','90-1789HWM - 901','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 00:52:55','2020-09-11 01:08:01',null,'1',null,'0');
INSERT INTO complaints VALUES('983','MUHAMMAD MUZAMMIL','03335189965','H NO 110 CHONGI NUMBER 22 DHAMIAL ROAD NEAR MAKKAH TRADERS RWP CANTT','9','19','195758','CORONA','0',null,'5-SEP-2020','351C - 1533','COOKING RANGE','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 01:01:33','2020-09-24 20:50:49',null,'1',null,'0');
INSERT INTO complaints VALUES('984','HASHIM KHAN','03338555444','H NO 62 BEGUM SARFRAZ IQBAL ROAD SEC G/6-4','9','24','139851','SIGNATURE','0',null,'29-AUG-2017','SWM-SR50 - 905','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 01:03:49','2020-09-24 00:33:56',null,'1',null,'0');
INSERT INTO complaints VALUES('985','MRS TAWSEEN','03359483597 , 03416429247','H NO 202 BLOCK B NEAR JAMIA MASJID 2 MINAR WALI MASJID RAWAT ISB','6','16','24642','LG','0',null,'14-DEC-2019','3H20NTP-S - 1561','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 01:07:48','2020-09-12 23:30:21',null,'1',null,'0');
INSERT INTO complaints VALUES('986','RANA NAZEER','03335101341','H NO 840D HILL ROAD ROAD D BAHRIA PHASE 6 RWP','4','8','13245','SIGNATURE','0',null,'19-FEB-2020','20AC','MICROWAVE OVEN','NEED DEMO',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 01:15:11','2020-09-13 22:20:47',null,'1',null,'0');
INSERT INTO complaints VALUES('987','MR ADEEL','03350524522','H NO 121J1 LANE NO 7 NEW RAJA AKRAM COLONY TULSA ROAD LALAZAR','8','38','39684','TCL','2003VLR301098A00022',null,'14-MAY-2020','43P8US - 869','FLAT PANEL TV','REMOTE SENSOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 01:21:17','2020-09-11 02:13:05',null,'1',null,'0');
INSERT INTO complaints VALUES('988','MISS MARIYAM','03334784470','H NO 756 ST NO 3 SEC I/9-1 ISB','8','48','42167','LG','0',null,'1-SEP-2020','1066NEFTW-S - 902','WASHING MACHINE','DENT HA . .',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 01:47:50','2020-09-23 22:39:13',null,'1',null,'0');
INSERT INTO complaints VALUES('989','OMER SADDIQ','03215020775','H NO 1 WARIS AVENUE RAWAL ROAD RWP','5','36','12163','SIGNATURE','0',null,'7-SEP-2020','C595-1117','COOKING RANGE','DENTED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 02:05:10','2020-09-13 22:15:40',null,'1',null,'0');
INSERT INTO complaints VALUES('990','KHALID REHMAN','03054046891','MANILA COTTAGE NATHIA GALI','8','37','0','SAMSUNG','08CN36PN300447W',null,'11-JUL-2020','UA40N5300ARSMM','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 19:48:15','2020-10-07 23:08:29',null,'1',null,'0');
INSERT INTO complaints VALUES('991','NAVEED FCP','03005213783','FREINDS GULNOOR MARKET RWP','9','19','0','DAWLANCE','0',null,'0','9188WBHZ-PLUS - 895','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 19:50:05','2020-09-12 22:13:15',null,'1',null,'0');
INSERT INTO complaints VALUES('992','ARIF KHOKHAR','03005332386','H NO 1/3C GALI 38 SEC G/7-2 ISB','5','35','121485','GREE','0',null,'3-SEP-2020','8768EG-CB1 - 884','REFRIGERATOR','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 20:04:19','2020-09-12 22:11:25',null,'1',null,'0');
INSERT INTO complaints VALUES('993','SAJID SB','03433305000','H NO 282 ST NO 56 SEC I/8-3 ISB','8','37','33961','KENWOOD','0',null,'15-MAY-2019','1835S-INV - 915','AIR CONDITIONER','ERROR F3',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 20:07:17','2020-09-12 22:09:02',null,'1',null,'0');
INSERT INTO complaints VALUES('994','MR KASHIF','03006661212','H NO 190F WAPDA CITY FAISALABAD','8','42','42187','BOSCH','0',null,'2-SEP-2020','30460GC - 1850','WASHING MACHINE','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 20:10:31','2020-09-27 00:48:06',null,'1',null,'0');
INSERT INTO complaints VALUES('995','ZULFIQAR PARACHA','03018552800','H NO 23A BLOCK A SATELITTE TOWN NEAR ARSHI MASJID RWP','9','22','190082','HAIER','0',null,'8-JUN-2020','438IDBT - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-09-09 20:11:58','2020-09-12 22:00:30',null,'1',null,'0');
INSERT INTO complaints VALUES('996','MR ATIF','03315292837','H NO 66 ST NO 10 KRL ROAD NEAR MIRA DAS MASJID RWP','8','38','42312','BOSCH','0',null,'8-SEP-2020','24260GC - 902','WASHING MACHINE','FOOT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 20:18:48','2020-09-16 21:02:37',null,'1',null,'0');
INSERT INTO complaints VALUES('997','MALIK MAJID','03128850385','H NO 773 ST NO 18 OVERSEAS SEC 3 PHASE 8 B.TOWN RWP','6','12','28877','HAIER','0',null,'8-AUG-2020','80-10829HW - 899','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'73','2020-09-09 20:32:16','2020-09-12 21:59:27',null,'1',null,'0');
INSERT INTO complaints VALUES('998','MR LUQMAN','03335700333','H NO 28 ST NO 4 SEC C DHA 1 RWP','8','37','23435','SONY','0',null,'5-SEP-2020','49W800G-CC - 1629','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 21:13:06','2020-11-05 22:16:14',null,'1',null,'0');
INSERT INTO complaints VALUES('999','SHOAIB ZAFAR','03248888400','H NO 12 PARK ROAD SEC F/8-2 ISB','8','37','0','DAWLANCE','0',null,'3-4 MONTHS','1035WBGD-VF - 1467','FREEZER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 21:21:30','2020-09-17 00:01:12',null,'1',null,'0');
INSERT INTO complaints VALUES('1000','mr moazam','03336484848','h no 752a main double road cnt hosuing society sec f/17 isb','9','26','181056','SIGNATURE','0',null,'6-nov-2019','SWM-SJ40 - 1548','WASHING MACHINE','error problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 21:53:32','2020-09-16 20:54:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1001','SAQIB SB','03115562762','gali no 8 sec 2 ali market khayaban-e-sirsyed  rwp','9','22','191813','DAWLANCE','0',null,'1-JUL-2020','10500DW - 906','WASHING MACHINE','dryer problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 22:05:28','2020-09-12 21:54:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1002','BUTT PWD','03115006051','FREINDS NEAR TEHZEEB BAKERS PWD','4','7','0','SIGNATURE','0',null,'0','MD99SS-S - 1723','REFRIGERATOR','CARD PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 22:31:06','2020-11-11 02:41:49',null,'1',null,'0');
INSERT INTO complaints VALUES('1003','MR TAYYAB','03335347766','H NO 272 ST NO 74 SEC G/11-2 ISB','5','35','118359','ORIENT','0',null,'29-JUN-2020','18G-HYPER-SW - 915','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 22:56:34','2020-09-12 21:53:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1004','HASSAN','03235514383','A138 ST NO 4 MEDIA TOWN ISB','9','20','195530','ORIENT','0',null,'1-SEP-2020','18G-HYPER-SW - 915','AIR CONDITIONER','GAS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 22:59:12','2020-09-12 21:38:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1005','MRS IFTIKHAR','03215530015','h no 146 st no 14 sec e-7 isb','8','37','0','LG','0',null,'OUT OF WARRANTY','65 INCHES','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-09 23:03:52','2020-09-17 00:23:16',null,'1',null,'0');
INSERT INTO complaints VALUES('1006','JAMAL','03018506776','MUMTAZ CITY KASHMIR HIGHWAY TOWARDS NEW AIRPORT ISB','8','37','0','ORIENT','0',null,'0','2TON','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 00:33:53','2020-09-23 23:19:48',null,'1',null,'0');
INSERT INTO complaints VALUES('1007','SENITAR TALHA','03359936938','QURESHI FARM H NO 4 MAIN TARLAI ROAD ISB','8','37','0','KENWOOD','0',null,'0',null,'AIR CONDITIONER','COMPRESSOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 00:38:46','2020-09-10 20:15:33',null,'1',null,'0');
INSERT INTO complaints VALUES('1008','COL ABBAS SALAM SB','03459652545','H NO 38 ST NO 1 GHOURI TOWN PHASE 2 ISB','8','42','36987','DAWLANCE','0',null,'3-OCT-2019','550AF-DW - 1200','MICROWAVE OVEN','HEATING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 00:45:37','2020-09-18 02:02:37',null,'1',null,'0');
INSERT INTO complaints VALUES('1009','ADIL FHS','03403339967','FREINDS SHAMSABAD RWP','8','38','0','LG','0',null,'0','502HMHU-S - 896','REFRIGERATOR','CARD PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 01:05:24','2020-09-17 00:16:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1010','ABDULLAH SB','03488269788','H NO DT 1 CHIRAGH ROAD NEAR MCB BANK SADIQBAD RWP','9','23','176992','SIGNATURE','0',null,'9-AUG-2019','SCF-HM09 - 954','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 01:17:19','2020-09-16 01:47:48',null,'1',null,'0');
INSERT INTO complaints VALUES('1011','ASIF NADEEM','03358565588','H NO 348 ST NO 36 SEC F/11-3 ISB','8','38','42296','ORIENT','0',null,'7-SEP-2020','18G-HYPER-SW - 915','AIR CONDITIONER','GAS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 01:51:06','2020-09-14 19:24:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1012','BRIG JAVED','03215353401','H NO 22 ST NO 7 SEC A DHA 2 ISB','6','13','31746','SIEMENS','0',null,'24-JUN-2010','56NV40NE - 375','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 02:00:23','2020-09-27 00:45:20',null,'1',null,'0');
INSERT INTO complaints VALUES('1013','MOHSIN YOUSAF','03107810744','H NO SN 44 ST NO 13  NEAR NABINA SCHOOL ALSABA MASJID SHMSABAD RWP','9','24','49041','PEL','0',null,'15-NOV-2010','20140-PREMIER','REFRIGERATOR','COOLING PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2020-09-10 02:00:52','2020-09-12 21:32:17',null,'1',null,'0');
INSERT INTO complaints VALUES('1014','AISHA','03105047049','H NO 624 ST NO 32 SEC G/10-1 ISB','9','22','194241','HAIER','0',null,'8-aug-2020','85-826HWM - 945','WASHING MACHINE','ERROR E3',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 02:04:28','2020-09-18 01:59:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1015','MALIK SHAHID','03025100004','BURMA TOWN JAVA VILLAGE NEAR GIRLS COLLEGE ISB','9','24','181597','SIGNATURE','0',null,'17-NOV-2019','20AC','BUILT IN APPLLIANCES','RODS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 02:09:32','2020-09-16 02:55:21',null,'1',null,'0');
INSERT INTO complaints VALUES('1016','RAJA FAYYAZ ASHRAF','03232402071','B/1024/2 OPP FUSION ACADEMY  ASGHAR MALL ROAD RWP','9','24','188740','KENWOOD','0',null,'12-MAY-2020','400VCM-BHL - 895','REFRIGERATOR','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 02:24:33','2020-09-27 00:42:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1017','MUHAMMAD JUNAID','03425111103 , 03245111103','h no 439 st no  15 ali block phase 8 b.town rwp','6','12','20946','LG','0',null,'15-may-2019','247SEUV-S - 909','REFRIGERATOR','earth problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 19:25:18','2020-09-14 19:36:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1018','MUHAMMAD JUNAID','03425111103 , 03245111103','h no 439 st no  15 ali block phase 8 b.town rwp','6','12','20946','LG','0',null,'15-may-2019','247SEUV-S - 909','REFRIGERATOR','earth problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 19:25:32','2020-09-14 19:35:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1019','MUHAMMAD JUNAID','03425111103 , 03245111103','h no 439 st no  15 ali block phase 8 b.town rwp','6','12','20946','LG','0',null,'15-may-2019','247SEUV-S - 909','REFRIGERATOR','earth problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 19:26:24','2020-09-14 19:33:51',null,'1',null,'0');
INSERT INTO complaints VALUES('1020','ABDUL RASHID','03343687633','H NO 151 ST NO 21 NEAR HASHMAT COLLEGE DHOK KASHMERIAN RWP','9','19','0','HAIER','0',null,'3-JUL-2020','438IDBT - 896','REFRIGERATOR','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 19:52:33','2020-09-14 19:19:57',null,'1',null,'0');
INSERT INTO complaints VALUES('1021','ABDUL RASHID','03343687633','H NO 151 ST NO 21 NEAR HASHMAT COLLEGE DHOK KASHMERIAN RWP','9','19','0','HAIER','0',null,'3-JUL-2020','438IDBT - 896','REFRIGERATOR','LEAKAGE PROBLEM',null,'5','CLOSED',null,'customer','0',null,'73','2020-09-10 19:52:51','2020-09-10 22:27:57',null,'1',null,'0');
INSERT INTO complaints VALUES('1022','BAKHT SB','03355100003','H N O 118 ST NO 6 BLOCK C CBR TOWN ISB','4','7','11386','SIGNATURE','0',null,'14-NOV-2019','SWM-JD50C - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 20:10:16','2020-09-14 19:17:26',null,'1',null,'0');
INSERT INTO complaints VALUES('1025','BAKHT SB','03355100003','H N O 118 ST NO 6 BLOCK C CBR TOWN ISB','4','7','11386','SIGNATURE','0',null,'14-NOV-2019','SWM-JD50C - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 20:29:58','2020-09-12 23:16:31',null,'1',null,'0');
INSERT INTO complaints VALUES('1026','KHALID SHEIKH','03310250333','H NO 333 ST NO 4 SEC VIP AIR[PORT HOUSING SOCIETY GULZAR-E-QUAID RWP','8','42','0','PEL','0',null,'OUT OF WARRANTY','1400KPRGD-M - 74','REFRIGERATOR','GAS KIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 20:30:27','2020-09-16 21:23:51',null,'1',null,'0');
INSERT INTO complaints VALUES('1027','MAJ FARHAT','03005008563 , 0515487041-2655','APP NO1-6/B SEC B ASKARI CLUB ROAD ASKARI  14 RWP','8','43','7991','LG','0',null,'25-MAY-2015','257JSXN - 911','REFRIGERATOR','BODY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 20:30:32','2020-10-24 01:19:58',null,'1',null,'0');
INSERT INTO complaints VALUES('1028','MR MUNEEB','03008190300','H NO 21 ST NO 2 PHASE 6 B.TOWN RWP','4','8','12185','SIGNATURE','0',null,'15-DEC-2019','20AC','MICROWAVE OVEN','GLASS DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 20:30:37','2020-09-16 02:47:10',null,'1',null,'0');
INSERT INTO complaints VALUES('1029','MRS RIZWAN','03045016079','H NO 17 ST NO 19B ORCHARD DHA 1 RWP','6','14','23237','SHARP','0',null,'28-SEP-2019','612V-SS3 - 1547','DISH WASHER','NEED DEMO',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 20:31:19','2020-09-17 00:13:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1030','ABDUL RASHID','03343687633','H NO 151 ST NO 21 NEAR HASHMAT COLLEGE DHOK KASHMERIAN RWP','9','19','0','HAIER','0',null,'3-JUL-2020','438IDBT - 896','REFRIGERATOR','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 20:31:54','2020-09-21 20:16:02',null,'1',null,'0');
INSERT INTO complaints VALUES('1031','ARSLAN ALI','03369496429','H NO 5 ST NO 22 BLOCK F NAVAL ANCOURAGE ISB','4','6','14998','ORIENT','0',null,'1-JUL-2020','18G-HYPER-SW - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 20:42:02','2020-09-17 19:44:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1032','MR KASHIF','03008502565','H NO 1656 ST NO 8 OVERSEAS SEC 5 PHASE 8 B.TOWN RWP','9','51','120602','LG','0',null,'22-AUG-2016','43LF550-P-32','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 20:46:08','2020-09-23 23:32:35',null,'1',null,'0');
INSERT INTO complaints VALUES('1033','MR KASHIF','03008502565','H NO 1656 ST NO 8 OVERSEAS SEC 5 PHASE 8 B.TOWN RWP','9','51','120602','LG','0',null,'22-AUG-2016','43LF550-P-32','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 20:55:40','2020-09-23 23:53:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1034','ARSHAAD HUSSAIN','03448552608','PAKISTAN TOBACCO COMPANY KUNJAH MAIN SARGODHA ROAD GUJRAT','8','47','22555','SAMSUNG','08CR36PN400045W',null,'17-JUN-2020','UA55RU7400RSMM','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 21:00:18','2020-09-23 01:45:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1035','MUSTAFA SB','03234730929','NW25 SAIDPUR ROAD MUHALLAH RAJA SULTAN RWP','5','28','119915','CORONA','0',null,'28-JUL-2020','125C-AUTO - 1074','COOKING RANGE','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 21:04:54','2020-11-04 01:30:32',null,'1',null,'0');
INSERT INTO complaints VALUES('1036','SAJID SB','03135978937','NEAR FREINDS WARE HOUSE SHAMSABAD RWP','8','37','0','SONY','0',null,'0','85 INCHES','FLAT PANEL TV','BOARD PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 21:23:22','2020-09-26 00:10:40',null,'1',null,'0');
INSERT INTO complaints VALUES('1037','AQEEL UR REHMAN','03338059207','H NO 12 ST NO 56 SEC G/13-2 ISB','8','38','25437','LG','0',null,'3-JAN-2018','8507T-C - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 21:28:24','2020-09-17 00:03:26',null,'1',null,'0');
INSERT INTO complaints VALUES('1038','MR ISHFAQ','03345014214','H NO 430 BLOCK D ST NO 27 MEDIA TOWN ISB','4','7','16170','CORONA','0',null,'3-SEP-2020','C47 - 14','COOKING RANGE','NOB PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 21:39:53','2020-09-19 21:37:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1039','HAROON ABBASI','03000505529','H NO 853 ST NO 106 SEC G/9-4 ISB','5','36','113741','SAMSUNG','0',null,'11-JUL-2017','39K5110SP - 90','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 21:54:41','2020-09-16 20:41:18',null,'1',null,'0');
INSERT INTO complaints VALUES('1040','TAQQADSA KHAN','03214513116','KHATTAK HOUSE 20S24 ST NO 9 BLOCK D ALFAISAL TOWN LAHORE CANTT','8','37','0','SIGNATURE','0',null,'15-MAY-2017','SRF-WB65','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 22:00:33','2020-10-14 22:48:40',null,'1',null,'0');
INSERT INTO complaints VALUES('1041','WAQAS HAMID','03125727486','CHAKWAL','9','26','184335','BOSCH','0',null,'22-DEC-2019','24462GC - 902','WASHING MACHINE','CARD PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 22:11:28','2020-09-27 20:15:39',null,'1',null,'0');
INSERT INTO complaints VALUES('1042','SADIA IMRAN','03005557387','H NO 1379 GROUND FLOOR ST NO 36 PHASE 4 B.TOWN RWP','4','6','6625','SONY','0',null,'9-DEC-2018','65X7000F-S - 1443','FLAT PANEL TV','PANEL LINE',null,'5','complaint closed',null,'customer','0',null,'73','2020-09-10 22:13:16','2020-09-13 00:09:24',null,'1',null,'0');
INSERT INTO complaints VALUES('1043','DR UMAIR','03025557893','H NO 287 ST NO 35 SEC F/11-3 ISB','8','37','0','DAIKIN','0',null,'3 YEARS AGO','INVERTER','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 22:20:57','2020-09-18 21:04:35',null,'1',null,'0');
INSERT INTO complaints VALUES('1044','MAJ SOHAIL','03016413655','H NO 2 ST NO 7A SEC D DHA 2 ISB','4','10','4638','SIGNATURE','0',null,'28-JUL-2018','SRF-HM99 - 908','REFRIGERATOR','cooling problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 23:20:25','2020-09-14 19:12:31',null,'1',null,'0');
INSERT INTO complaints VALUES('1045','MISS SAIMA SHAMS','03325204698','H NO 1351 ST NO 5 BLOCK C POLICE FOUNDATION  ISB','4','5','5609','HAIER','0',null,'13-OCT-2018','95-1678HWM - 1817','WASHING MACHINE','PANEL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 23:22:44','2020-09-18 21:01:07',null,'1',null,'0');
INSERT INTO complaints VALUES('1046','MISS SAIMA SHAMS','03325204698','H NO 1351 ST NO 5 BLOCK C POLICE FOUNDATION isb','4','5','15451','HAIER','0',null,'24-JUL-2020','438EPR - 896','REFRIGERATOR','cooling problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 23:22:48','2020-09-18 01:45:03',null,'1',null,'0');
INSERT INTO complaints VALUES('1047','nadeem khalid','03335398064','H NO 302 ST NO 164 SEC G/11-1 ISB','5','33','121501','ECOSTAR','0',null,'4-SEP-2020','43U573 - 869','FLAT PANEL TV','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 23:40:07','2020-09-14 22:06:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1048','SARA KHATTAK','03215001259','H NO 6 ST NO 90 SEC G/6-3 ISB','5','28','83703','SIGNATURE','0',null,'27-APR-2017','SRF-WB52-B - 887','REFRIGERATOR','cooling problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 23:43:25','2020-09-27 02:45:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1049','mr azad','03128596917','FLAT NO 6 BLOCK 12 PHA APPARTMENT SEC G/8-4 ISB','5','28','103745','SIGNATURE','0',null,'13-APR-2019','SRF-MT99FHS-I','REFRIGERATOR','GAS KIT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 23:44:35','2020-09-16 01:56:28',null,'1',null,'0');
INSERT INTO complaints VALUES('1050','mrs RASHIDA RAUF','03005033453','H NO 8 PARK LANE CHAKALA SCHEME 1 RWP','7','49','116275','SUPER ASIA','0',null,'30-MAY-2016','5000ECM - 309','AIR COOLER','WATER PUMP',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-10 23:58:49','2020-09-18 01:42:31',null,'1',null,'0');
INSERT INTO complaints VALUES('1051','RISAYAT ALI','03355501280','H NO 16B ST NO 7 BLOCK D SOAN GARDEN ISB','4','11','5894','SIGNATURE','0',null,'3-NOV-2018','SBO-AR4R','MICROWAVE OVEN','NEED DEMO',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-11 01:24:44','2020-09-23 23:38:51',null,'1',null,'0');
INSERT INTO complaints VALUES('1052','KARIMULLAH','03012023799','H NO 25  NEAR BILAL HOSPITAL AFFANDI COLONY RWP','9','19','181244','SAMSUNG','0',null,'11-NOV-2019','70H4200-S - 1483','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-11 01:29:11','2020-09-16 02:14:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1053','MUHAMMAD YASIN','03339671399','H NO 780 ST NO 40 DEFENCE VILLAS SEC F PAHSE 7 B.TOWN RWP','6','15','24871','HAIER','0',null,'15-DEC-2019','18HNI-B-INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-11 01:35:59','2020-09-24 00:57:32',null,'1',null,'0');
INSERT INTO complaints VALUES('1054','MALIK WAQAR','03138511891','Village Mirwal'tehsil Jund 'district Attock','4','6','16398','SIGNATURE','0',null,'28-FEB-2018','SWM-JD46 - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-11 01:40:07','2020-09-16 02:11:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1055','zahid ali shah','03009564000','cb166 LANE NO 1 TULSA ROAD SHERZAMAN COLONY RWP','9','19','0','KENWOOD','0',null,'26-SEP-2018','480GD-BKG - 885','REFRIGERATOR','leakage problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-11 01:53:23','2020-09-14 21:48:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1056','TEHSEEN MALIK','03333505106','H NO 291 ST NO 11 SHAHZAD TOWN PARK ROAD ISB','8','37','423','SIGNATURE','0',null,'28-MAY-2020','SCF-HM09 - 954','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-11 02:06:24','2020-09-17 22:23:44',null,'1',null,'0');
INSERT INTO complaints VALUES('1057','MALIK MAZHAR','03335159270','HO#535  ST#05 MOHALLAH QUEEMA ABAD UMER FARROQ AZAM ROAD R.W/O','9','24','196000','HAIER','0',null,'10-SEP-2020','438TBB - 896','REFRIGERATOR','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-11 20:06:36','2020-09-16 21:02:38',null,'1',null,'0');
INSERT INTO complaints VALUES('1058','WASEEM','03015097939','HO#449 ST#44 SEC D-12/4 ISB','5','31','103014','SIGNATURE','0',null,'22-MAR-2019','SFV-SY45 - 1467','FREEZER','OVER COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-11 20:20:39','2020-09-11 20:43:32',null,'1',null,'0');
INSERT INTO complaints VALUES('1059','WASEEM','03015097939','HO#449 ST#44 SEC D-12/4 ISB','5','31','103014','SIGNATURE','SFV-SY45-1182',null,'22-MAR-2019','SVF-SY40N - 1468','FREEZER','OVER COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','1058','74','2020-09-11 20:31:00','2020-09-16 23:57:17',null,'1',null,'0');
INSERT INTO complaints VALUES('1060','SAAD JAVED','03440518114','HO#185 ST#05 BLOCK A GULBARG GREEN ISB','5','34','115548','FIVE STAR','0',null,'14-MAR-2020','35G-TWIN SUPREME - 963','GEYSER','LEAKAGE PRO',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-09-11 20:53:40','2020-09-19 20:01:28',null,'1',null,'0');
INSERT INTO complaints VALUES('1061','OMER','03005005126','HO#09 ST#04 FAZAIYA HOUSING SOCITY EXPRESSWAY ISB','8','37','23439','DAIKIN','0',null,'05-SEP-2020','20JXV1-HC - 915','AIR CONDITIONER','OUT DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-11 21:17:30','2020-09-18 22:13:28',null,'1',null,'0');
INSERT INTO complaints VALUES('1062','COL MUSADDIQ','03085059099','HO#05 ST#14 SEC-A DHA-01','6','15','24106','GREE','0',null,'25-NOV-2019','12CITH12W - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-11 21:46:55','2020-09-18 01:32:37',null,'1',null,'0');
INSERT INTO complaints VALUES('1063','MOHAMMAD MAAZ KIYANI','03205260457','HO#2178 ST#69 PHASE 03 B. TOWN','6','16','23951','SONY','0',null,'14-NOV-2019','32W600D-S - 936','FLAT PANEL TV','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-11 21:53:24','2020-09-12 23:10:44',null,'1',null,'0');
INSERT INTO complaints VALUES('1064','COL QASIER KIYANI','03085050168','HO#15 ST#10 SEC -G DHA 02','8','37','28533','LG','0',null,'09-JUL-2018','4J6TMP8S-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-12 00:26:48','2020-09-16 23:55:20',null,'1',null,'0');
INSERT INTO complaints VALUES('1065','MRS ADNA MASOOD','03009740294','HO#05-B ST#40 FAZIYA HOUSING  R.W.P','5','34','87694','SAMSUNG','40K530-P-1016',null,'26-AUG-2017',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-12 00:53:19','2020-09-16 02:01:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1066','MRS TAHIRA','03345292696','HO#169 ST#06 E 11/1 IST FLOOR ISB','5','30','100274','SIGNATURE','0',null,'09-DEC-2019','SWM-JD51 - 902','WASHING MACHINE','ERROR -E PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-12 00:59:16','2020-09-23 23:27:17',null,'1',null,'0');
INSERT INTO complaints VALUES('1067','SULTAN KHALID','0337868088','HO#13 SERVICES ROAD SEC B PHASE 01DHA','6','12','13612','SIGNATURE','0',null,'10-SEP-2020','PN1-GD - 1708','WATER DISPENSER','W/D REF NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-12 01:08:15','2020-09-16 02:39:34',null,'1',null,'0');
INSERT INTO complaints VALUES('1068','SAAD WAMIQ','03328778591','HO#403 ST#02 AMEEN TOWN KHAYABAN SIR SYED  R.W.P','5','33','118843','SONY','0',null,'07-JULY-2020','40W650D-CC - 938','FLAT PANEL TV','REMOTE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-12 02:27:38','2020-09-16 02:06:33',null,'1',null,'0');
INSERT INTO complaints VALUES('1069','BEHRAM','03453086940','HO#03 ST#128 G-13/4','5','31','121454','TCL','2004VLR301132A00028',null,'02-SEP-2020','55P8S - 942','FLAT PANEL TV','REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-12 03:03:56','2020-09-16 02:35:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1070','ZAKARIA KHAN','03005887667','H NO 758 ST NO 83 SEC I/8-4 ISB','6','12','0','GREE','0',null,'26-4-2020','9978EG-CB1 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-12 19:36:17','2020-09-28 22:47:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1071','nisar AHMED','03085456893','H NO 473 ST NO 19 GHOURI TOWN PHASE 3 ISB','9','24','193570','HAIER','0',null,'27-jul-2020','438IDRT - 896','REFRIGERATOR','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-12 19:51:16','2020-09-19 21:22:44',null,'1',null,'0');
INSERT INTO complaints VALUES('1072','qamar iqbal','03005013075','H NO 253 ST NO 83 SEC E/11-2 ISB','5','35','121755','HAIER','0',null,'11-SEP-2020','85-1708HWM - 945','WASHING MACHINE','DRYER PROBLEM',null,'5','closed. . replaced by sales man',null,'customer','0',null,'73','2020-09-12 19:52:02','2020-09-24 01:31:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1073','FAWAD','03008222617','H NO 12 ST NO 25 SEC A BAHRIA ENCLAVE ISB','5','34','120412','CARAVELL','0','2020-08-08',null,'450MEC - 1651','CHILLER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','142','73','2020-09-12 20:27:20','2020-09-24 21:02:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1074','MR RIAZ','03005522400','H NO 68/1-E NAZIMUDDIN ROAD SEC F/6-1 ISB','5','28','121775','LG','0',null,'11-SEP-2020','9085NDKVH-C','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-12 20:42:29','2020-09-16 23:42:18',null,'1',null,'0');
INSERT INTO complaints VALUES('1075','IJAZ HUSSAIN','03325512892','H NO 130M/51 GULSHAN ZAHEER TENCH BHATTA RWP CANTT','9','19','0','SIGNATURE','0',null,'6-7 YEARS','SVF-CG1SS - 956','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-12 20:52:01','2020-09-16 23:39:21',null,'1',null,'0');
INSERT INTO complaints VALUES('1076','MIAN WAQAS','03168557777','H NO 3 ST NO 1 SEC E SAFARI HOME BAHRIA TOWN RWP','6','13','27279','CORONA','0',null,'20-may-2020','351C - 1533','COOKING RANGE','LEAKAGE PROBLEM',null,'5','COMPLIANT CLOSED',null,'customer','0',null,'73','2020-09-12 21:05:27','2020-09-30 22:37:38',null,'1',null,'0');
INSERT INTO complaints VALUES('1077','KHURRAM SDDR','03005548081','FREINDS SADDAR RWP','7','49','16658','SIGNATURE','0',null,'18-APR-2018','PN1-RD - 1708','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-12 21:06:31','2020-09-16 23:37:33',null,'1',null,'0');
INSERT INTO complaints VALUES('1078','RAJA MAQSOOD','03005142138','VILLAGE KOHL CITY GUJAR KHAN DIS RWP','9','20','185678','HAIER','0',null,'19-JAN-2020','398EBD - 746','REFRIGERATOR','COMPRESSOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-12 21:07:53','2020-09-28 02:39:39',null,'1',null,'0');
INSERT INTO complaints VALUES('1079','IJLALHASHMI','03458502843','H NO 178 ST NO 3B JIDICIAL COLONY RWP','8','37','35235','HAIER','0',null,'3-JUL-2019','18HFAD-W INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-12 21:25:34','2020-09-16 19:38:37',null,'1',null,'0');
INSERT INTO complaints VALUES('1080','SAQIB HUSSAIN','03005267337','H NO 217 ST NO 11 SAHAAM ROAD CHUR CHOWK PESHAWAR ROAD RWP CANTT','9','24','93940','HAIER','0',null,'11-OCT-2014','385H-DF - 957','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-12 21:33:22','2020-09-18 01:24:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1081','FALAK NAZ','03092222037','THE  ADDRESSMALL PLOT NO 94 WALLAYAT COMPLEX PHASE 7 B.TOWN RWP','6','16','14271','GREE','0',null,'8-MAY-2018','48FWH - 921','AIR CONDITIONER','ERROR E1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-12 21:45:40','2020-09-18 01:27:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1082','RASHEED','03155381536','H NO 12 ST NO 10 SEC G DHA 2 ISB','6','15','29028','SAMSUNG','0',null,'12-AUG-2020','15J5730SS-S','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','532','73','2020-09-12 21:57:01','2020-09-16 19:36:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1083','WAQAR HASSAN','03455232330','H NO 44/A HAIDRI STREET ZEESHAN COLONY PESHAWAR ROAD RWP','9','51','193254','SONY','0',null,'21-JUL-2020','48W652D-CC - 1560','FLAT PANEL TV','HANG PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-12 22:16:06','2020-09-16 20:51:44',null,'1',null,'0');
INSERT INTO complaints VALUES('1084','MR ASIM','03138541053','H NO 4A ST NO 2 BLOCK B NAVAL ANCOURAGE ISB','4','6','13278','LG','0',null,'22-FEB-2020','732HLCU-S - 885','REFRIGERATOR','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-12 22:49:15','2020-10-08 00:44:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1085','MRS SAJJAD','03345666759','H NO 288 ST NO 15 ZONE 1 BAHRIA GARDEN CITY RWP','4','5','13065','LG','0',null,'5-FEB-2020','1366NEFTFS-C - 907','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-12 23:31:46','2020-09-23 23:30:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1086','HAMMAD FCP','03455104405','FREINDS GULNOOR MARKET MURREE ROAD RWP','9','51','0','KENWOOD','0',null,'0','1214HC-INVERTER - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-13 00:06:54','2020-11-05 21:40:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1087','RIZWAN ASHRAF','03215104808','ST NO 6A NEAR ALI GENERAL STORE LIAQAT COLONY CHAKRI ROAD RWP','9','23','115017','HAIER','0',null,'15-MAY-2016','85-7288 - 69','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-13 02:24:12','2020-09-21 20:13:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1088','MR IDREES','03345505961','H NO 123G ST NO 9 SEC G/11-3 ISB','5','28','0','DAWLANCE','0',null,'0','REF DAWLANCE','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-13 02:47:30','2020-09-24 21:15:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1089','COL SARFARAZ SIDDIQI','03218572666','HO#730 ST#18 OVERSEAS 03 PHASE 08 BEHIRA','9','26','141589','SIGNATURE','(HOB)','2017-10-12',null,'F90G - 1122','BUILT IN APPLLIANCES','IGNITION  PRB &HOB SERVICES REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','1','68','73','2020-09-13 19:19:00','2020-10-02 00:09:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1090','IMRAN','03005252186','GOVT SCHOOL AMAR PURA CHOWK MURREE ROAD RWP','9','26','195931','HAIER','0',null,'9-SEP-2020','85-7288 - 69','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-13 19:36:49','2020-09-22 01:07:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1091','TARIQ HANIF','03345490637','H NO 241 ST NO 11 SEC E7 ISB','5','31','0','HAIER','0',null,'0','2BLE DOOR REF','REFRIGERATOR','ERROR E2',null,'5','completed',null,'customer','0',null,'73','2020-09-13 19:38:56','2020-09-24 01:35:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1092','IQBAL SB','03465166132','FREINDS HOME BEWAL PLAZA BLUE AREA ISB','5','28','0','LG','0',null,'0','70UM7380-CC - 882','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-13 19:41:47','2020-10-01 01:51:26',null,'1',null,'0');
INSERT INTO complaints VALUES('1093','IQBAL SB','03465166132','FREINDS HOME BEWAL PLAZA BLUE AREA ISB','5','35','121438','DAWLANCE','0',null,'2-SEP-2020','380C-DW - 1743','MICROWAVE OVEN','HEATING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-13 19:45:19','2020-09-28 23:25:07',null,'1',null,'0');
INSERT INTO complaints VALUES('1094','AHMED SB','03345338609','H NO 14A DEFENCE ROAD OSAMA STREET NEW LALAZAR RWP','9','23','171034','HAIER','0',null,'11-MAY-2019','438TDB - 896','REFRIGERATOR','LED LIGHT',null,'5','closed',null,'customer','0',null,'73','2020-09-13 19:53:19','2020-09-24 01:38:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1095','SHOAIB QAISRANI','03000331777','H NO 354 ST NO 70 SEC F/11-1 ISB','5','30','89174','LG','0',null,'6-NOV-2017','4J6TMP0W-C - 1850','WASHING MACHINE','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-13 19:56:36','2021-02-25 11:18:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1096','MR BILAL','03101543768','H NO 196 ST NO 29 SAFARI HOMES KHALID BLOCK PHASE 8 .TOWN RWP','6','15','27706','HAIER','0',null,'11-JUN-2020','12SGF-B-INV - 913','AIR CONDITIONER','BLOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-13 19:58:06','2020-09-21 20:35:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1097','MR JAVED','03335104753','H NO ZB14 ALAM ABAD NEAR JAVED PHARMACY DHOK HASSU RWP','9','22','192936','CANON','0',null,'16-JUL-2020','BOV-05 - 1731','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-13 20:03:06','2020-09-21 20:29:26',null,'1',null,'0');
INSERT INTO complaints VALUES('1098','NAZAKAT ALI','03215000349','SEC C ST NO 3 H NO 12 ASKARI 14 ADYALA ROAD RWP','9','22','121539','MAYTAG','0',null,'10-SEP-2016','0513AGW-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-13 20:09:04','2020-09-16 23:34:40',null,'1',null,'0');
INSERT INTO complaints VALUES('1099','zaheer AWAN','03125456003','H NO 1069 ST NO 49 BLOCK B SEC B/17 ISB','9','27','195769','GREE','0',null,'6-SEP-2020','9978EG-CW3 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-13 20:13:06','2020-09-27 01:20:12',null,'1',null,'0');
INSERT INTO complaints VALUES('1100','SALEEM WASTI','03215168597','H NO 55 ST COLLLEGE ROAD SAFARI VILLAS B.TOWN RWP','4','9','81321','SAMSUNG','0',null,'31-JAN-2017','1STMG - 903','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','220','73','2020-09-13 20:27:40','2020-09-16 01:00:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1101','MALIK ANEEB','03125087393','h no o930b st no 2 muhallah ferozepura rwp','9','26','195978','HAIER','0',null,'9-SEP-2020','90-1789HWM - 901','WASHING MACHINE','wash tub problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-13 22:18:01','2020-09-21 20:00:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1102','SAJID SB','03343097441','H NO 3 ST NO 1 SEC F/6-3 ISB','5','31','0','SAMSUNG','0',null,'4 YEARS AGO','38K5010S8','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-13 22:26:15','2020-09-16 23:32:31',null,'1',null,'0');
INSERT INTO complaints VALUES('1103','raffat sb','03439873344','H NO 6 ST NO 13 RIVER GARDEN HOUSING SCHEME ISB','8','39','35929','SIGNATURE','0',null,'30-JUL-2019','SBC-ADELAIDE-90 - 1123','BUILT IN APPLLIANCES','NEED SERVICE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 01:15:42','2020-10-15 21:34:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1104','MR MUDASSIR','03218664088','H NO 447 ST NO 13 NEAR FATIMA MASJID PHASE 7 B.TOWN','6','14','15156','KENWOOD','0',null,'30-JUN-2018','1827HC-ECO - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 01:23:05','2020-09-16 19:29:27',null,'1',null,'0');
INSERT INTO complaints VALUES('1105','AWAIS AHMED','03335173347','H NO 111 ST NO 35B SEC I/9-4  ISB','8','38','27841','GREE','0',null,'31-MAY-2018','12FITH1C - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 01:52:28','2020-09-18 22:20:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1106','DR MASROOR','03101547582','H NO 11 CHAKWAL STREET MAIN SOMRRO STREET BANNI GALA ISB','9','19','133284','SIGNATURE','0',null,'10-MAY-2017','SWM-JD51 - 902','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 02:20:21','2020-09-16 19:27:38',null,'1',null,'0');
INSERT INTO complaints VALUES('1107','AZIZ AHMED','03328922634','H NO 86A ST NO 6 SEC E/7 ISB','5','32','121656','SAMSUNG','0DTU4DAMB00030R',null,'8-SEP-2020','RT35K5010S8','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 02:29:11','2020-09-30 00:59:34',null,'1',null,'0');
INSERT INTO complaints VALUES('1108','USMAN','03115311877','H NO 246 ST NO 10 ZONE 1 GARDEN CITY PHASE 7 B.TOWN RWP','6','12','22797','ORIENT','0',null,'25-AUG-2019','24SUPREME-GW - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 02:32:24','2020-09-21 23:34:58',null,'1',null,'0');
INSERT INTO complaints VALUES('1109','MR BILAL','03201100212','H NO 602A TOWER 2 6TH FLOOR SAWAWA GULBERG GULBERG GREEN ISB','8','48','42290','SIGNATURE','0',null,'7-SEP-2020','SWH-20-07-1931','GEYSER','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 02:36:54','2020-09-16 19:25:21',null,'1',null,'0');
INSERT INTO complaints VALUES('1110','SAQIB SB','03115562762','gali no 8 sec 2 ali market khayaban-e-sirsyed rwp','9','22','191813','KENWOOD','0',null,'8-SEP-2020','26657GD-MRG','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 19:44:29','2020-09-19 00:24:15',null,'1',null,'0');
INSERT INTO complaints VALUES('1111','imran ansari','03009555422','H NO 29 ST NO 41 SEC F/7-1 ISB','8','37','0','GREE','0',null,'APR-2020','500FS - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 19:46:51','2020-09-18 22:07:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1112','ZAFAR AYUB','03201100619','CHANAR STREET IMRAN KHAN CHOWK NORTH BANNI GALA ISB','6','13','29064','HAIER','0',null,'13-AUG-2020','438IPR - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 19:54:09','2020-09-21 20:23:10',null,'1',null,'0');
INSERT INTO complaints VALUES('1113','QASIM ABBASI','03455096878','H NO 774 ST NO 18 OPP HIGHCOURT SEC G/10-1 ISB','9','27','169393','SIGNATURE','0',null,'13-APR-2019','SBH-AA901G - 1122','BUILT IN APPLLIANCES','BURNER AND IGNITION PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 20:39:46','2020-09-17 22:09:12',null,'1',null,'0');
INSERT INTO complaints VALUES('1114','NAEEM JANJUA','03349506435','H NO 15 ABBAS STREET MEHMOODABAD ADYALA ROAD RWP CANTT','9','27','147694','SIGNATURE','0',null,'21-FEB-2018','SWD-HD20-RD - 994','WATER DISPENSER','TAB PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 21:07:40','2020-09-17 22:06:15',null,'1',null,'0');
INSERT INTO complaints VALUES('1115','MR KAMRAN','03175447362','H NO 23 ST NO 146 SEC G/13-4 ISB','5','33','117847','ORIENT','0',null,'18-JUN-2020','531BL - 993','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 21:18:07','2020-09-18 22:11:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1116','MRS ALI','03325172737','HO#292 ST#76 G-9/3 ISB','5','31','81494','SAMSUNG','0',null,'08-FEB-2017','16J6750 - 1643','WASHING MACHINE','SETTING &SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-14 21:19:55','2020-12-29 02:27:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1117','SARDAR WAHEED SB','03466969699','H NO 795/E SEC 3 KHAYAN-E-SIRSYED RWP','5','28','0','LG','0',null,'0','187SK3 - 915','AIR CONDITIONER','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 21:23:14','2020-12-30 01:54:26',null,'1',null,'0');
INSERT INTO complaints VALUES('1118','HINA NISAR','03319800151','H NO 2 ST NO 13 SEC B ORCHARD DHA 1 RWP','8','37','0','KENWOOD','0',null,'DEC-2019','1016SA - 1712','WASHING MACHINE','WIRE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 22:02:05','2020-09-19 00:21:51',null,'1',null,'0');
INSERT INTO complaints VALUES('1119','QASIM SB','03335203468','KHNA VILLAGE NEAR AL HARAM GEAT#03 CHAKRI ROAD R.W.P','7','49','19990','CANON','0',null,'8-NOV-2019','16D-PLUS-DUAL(LPG) - 1030','GEYSER','NOT  WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 22:14:05','2020-09-19 00:20:23',null,'1',null,'0');
INSERT INTO complaints VALUES('1120','SHAKEEL MALIK','03000181108','H NO 2 ST NO 17 SEC A DHA 1 RWP','6','16','21852','MITSUBISHI','0',null,'3-JUL-2019','50VA - 915','AIR CONDITIONER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 22:32:19','2020-09-18 22:33:03',null,'1',null,'0');
INSERT INTO complaints VALUES('1121','KASHIF SB','03214444859','HO#1 PAK LANE CHAKLA SCKEEM 01 R.W.P','7','49','21739','TCL','2005VLR301168A00044',null,'26-AUG-2020','50C716','FLAT PANEL TV','ON OFF ISSUE WITH REMOTE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 23:02:31','2020-09-21 21:09:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1122','SHAHID BUTT','03005519124','HO#59-A ST#19 WAPADA COLONY G-7/4 ISB','5','35','117245','HAIER','0',null,'5-JUN-2020','368EBD - 860','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 23:09:52','2020-09-18 22:24:17',null,'1',null,'0');
INSERT INTO complaints VALUES('1123','ANWAR-UL-HAQ','03355135177','F51 -A MINISTRIENCLAVE ISB','5','35','94214','HAIER','0',null,'5-MAY-2018','385TPB-HRF - 884','REFRIGERATOR','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 23:09:57','2020-09-19 00:16:33',null,'1',null,'0');
INSERT INTO complaints VALUES('1124','MARIA','03339870285(03335656579','H NO151 ST#08 BLOCK MIDA TOEN R.W.P','4','9','15662','GREE','0',null,'4-AUG-2020','9978EG-CB1 - 885','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 23:24:49','2020-09-19 00:09:40',null,'1',null,'0');
INSERT INTO complaints VALUES('1125','DR AMIR','03065050509','H NO 1513 ST NO 8 OVERSEAS SEC 5 PHASE 8 B.TOWN RWP','6','14','28621','GREE','0',null,'24-JUL-2020','310G-CP1 - 894','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 23:27:19','2020-09-27 00:12:58',null,'1',null,'0');
INSERT INTO complaints VALUES('1126','MR MUBASHIR','03083888984','H NO 4 ROAD 2 SEC C1 BAHRIA ENCLAVE ISB','8','39','35310','HAIER','0',null,'6-JUL-2019','631DGG - 1122','BUILT IN APPLLIANCES','HOB FLAM PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 23:33:30','2020-10-07 23:00:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1127','jahanzaib','03333793990','House no 6, Street 13-D, Sector C-1,  Bahria Enclave, Islamabad','5','28','111246','BOSCH','0',null,'26-nov-2019','20260GC - 880','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-14 23:43:05','2020-09-18 23:56:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1128','MRS SOHAIL ISHTAIQ','03215657904','APP#01 BLOCK 05 G-9/8 ISB','8','38','115704','GREE','0',null,'17-MAR-2020','500FS - 993','WATER DISPENSER','TAYP PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-14 23:46:31','2020-09-18 23:54:21',null,'1',null,'0');
INSERT INTO complaints VALUES('1129','MUSHTAQ AHMED','03445443375','H NO 29 ST NO 105 JINNAH GARDEN ISB','4','5','4933','SIGNATURE','0',null,'19-AUG-2018','SRF-HM99 - 908','REFRIGERATOR','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-14 23:47:40','2020-09-25 00:25:32',null,'1',null,'0');
INSERT INTO complaints VALUES('1130','HASSAN','03317007707','H NO CB1007 ST NO 4 AZIZABAD RWP','9','26','196079','FIVE STAR','0',null,'12-SEP-2020','55G-TWIN-SUPREME - 1538','GEYSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-14 23:48:34','2020-09-22 02:24:26',null,'1',null,'0');
INSERT INTO complaints VALUES('1131','MR ZEESHAN','03215555329','H NO 41 ST NO 1 SEC D DHA 2 ISB','9','51','129202','LG','0',null,'14-DEC-2019','55UH850-P - 942','FLAT PANEL TV','WIFI PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-14 23:58:40','2020-09-23 02:43:57',null,'1',null,'0');
INSERT INTO complaints VALUES('1132','ASLAM SB','03371426654','H NO 15 ST NO 25 LANE NO 2 SEC F1 PHASE 8 B.TOWN RWP','6','12','29293','HAIER','0',null,'24-AUG-2020','12HFCE-W-INV - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-15 00:05:23','2020-09-18 23:45:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1133','QAMAR PERVAIZ','03005358811','H NO 1933 ROAD E MAIN BOLYWARD ABU BAKAR BLOCK PHASE 8 B.TOWN RWP','4','5','6601','LG','0',null,'31-OCT-2016','622GLHL-S - 17','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-15 00:07:25','2020-09-23 23:11:23',null,'1',null,'0');
INSERT INTO complaints VALUES('1134','ROHAIL KIYANI','03215512344 , 03228516881','3RD FLOOR RBS TOWER BUSINESS PARK GULBERG GREEN ISB','6','15','28989','CARAVELL','0',null,'11-AUG-2020','204B','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-15 00:19:48','2020-09-18 23:43:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1135','ROHAIL KIYANI','03215512344 , 03228516881','3RD FLOOR RBS TOWER BUSINESS PARK GULBERG GREEN ISB','6','15','28989','ORIENT','0',null,'11-AUG-2020','12G-ORBIT - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-15 00:19:51','2020-09-24 23:52:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1136','SANIYA MAZHAR','03459001026','H NO 628 ST NO 32 PHASE 5 B.TOWN RWP','4','10','14962','HAIER','0',null,'30-JUN-2020','276EPC - 859','REFRIGERATOR','MOISTURIZER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-15 00:27:58','2020-09-18 23:30:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1137','JAWAD','03111110300','PENT HOUSE 12TH FLOOR CAPITAL SQUARE SEC B/17 ISB','8','37','23406','SIGNATURE','0',null,'31-AUG-2020','HC-5861S - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-15 00:35:55','2020-10-29 00:13:55',null,'1',null,'0');
INSERT INTO complaints VALUES('1138','MR SHAFQAT','03068886969 , 03008500638','HO#670 ST MAZAR ST PHASE 01 WHA MODEL TOWN','5','31','120372','LG','0',null,'07-AUG-2020','4V5RGP2T-S - 899','WASHING MACHINE','WASHING PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','516','73','2020-09-15 01:01:44','2020-11-11 02:59:44',null,'1',null,'0');
INSERT INTO complaints VALUES('1139','MRS NISAR','03332379125','H NO 624F ST NO 38 SEC E/11-3 ISB','5','28','0','HITACHI','0',null,'0','REF HITACHI','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-15 01:20:49','2020-09-24 23:01:43',null,'1',null,'0');
INSERT INTO complaints VALUES('1140','TAHIR BEGGA SB','03135555551','H NO 407 ST NO 43 SEC G/9-1 ISB','5','28','0','ORIENT','0',null,'0','55S-TRUMPET - 942','FLAT PANEL TV','PANEL LINE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-15 01:28:03','2020-09-19 19:20:06',null,'1',null,'0');
INSERT INTO complaints VALUES('1141','MR FAHAD','03345507948','H NO 55 ST NO 77 SERVICE SOCIETY SEC E/11-2 ISB','9','24','165608','LG','0',null,'4-FEB-2019','612HLHU-S - 885','REFRIGERATOR','POWER ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2020-09-15 02:09:25','2020-09-27 02:43:31',null,'1',null,'0');
INSERT INTO complaints VALUES('1142','ARSLAN TAHIR','03337729968','H NO 5696 LANE NO 5 RAH-E-AMAN RAOD NEW LALAZAR RWP','8','48','35912','LG','0',null,'30-JUL-2019','1366NEFTFS-C - 907','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-15 02:10:54','2020-09-23 23:59:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1143','DANISH EJAZ','03075833903','SHOP NO 7 MATRIX PHARMACY SEC I/10 MARKAZ ISB','9','19','170966','ORIENT','0',null,'11-MAY-2019','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-15 02:16:39','2020-09-22 00:20:37',null,'1',null,'0');
INSERT INTO complaints VALUES('1144','DR FIDA HUSSAIN BUTT','03075502368','FLAT NO 2 BLOCK C7 SEC G/11-3 ISB','5','28','0','PEL','0',null,'0','AC PEL','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CANCELLED',null,'customer','0',null,'73','2020-09-15 02:18:48','2020-09-24 20:47:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1145','KHURSHEED AMEEN','03345464429','H NO 8 MOIZ STREET AYUB COLONY NEAR KHAYABAN-E-TANVEER CHAKALA RWP','9','19','196128','HAIER','0',null,'13-SEP-2020','438IDB - 896','REFRIGERATOR','LIGHT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-15 02:36:31','2020-09-18 23:19:17',null,'1',null,'0');
INSERT INTO complaints VALUES('1146','HAMMAD FCP','03455104405','FREINDS GULNOOR MARKET RWP','9','19','0','CORONA','0',null,'0','C205 - 14','COOKING RANGE','NOB PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-15 02:39:16','2020-09-22 20:26:10',null,'1',null,'0');
INSERT INTO complaints VALUES('1147','MANZOOR AHMED','03455388696','H NO 490 SEC 1 MAIN ROAD AIRPORT HOUSING SOCIETY RWP','4','6','17398','HAIER','0',null,'6-AUG-2018','385HDF-INV - 1468','FREEZER','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-15 02:50:49','2020-09-22 02:17:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1148','ADIL FHSS','03403339967','FRIENDS HOME SHAMSHABAD R.W.P','8','38','42364','GREE','8768EG-CB1',null,'12-SEP-2020',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-15 19:56:18','2020-09-22 20:21:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1149','MAIN TALHA','03002888837','HO#23 ST#15 B SEC E DHA 02','6','14','15501','LG','0',null,'21-JULY-2018','247SMUV-S - 909','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-15 20:41:52','2020-10-25 01:50:58',null,'1',null,'0');
INSERT INTO complaints VALUES('1150','ANJUM HASHMI','03005000501','HO#01-B FUJI FOUNDATION UNI ADYLA ROAD R.W.P','6','14','18122','KENWOOD','FLOOR STANDING',null,'09-DEC-2018','2420FHG-INV - 917','AIR CONDITIONER','ERROR E 2',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-15 20:47:09','2020-09-22 00:11:02',null,'1',null,'0');
INSERT INTO complaints VALUES('1151','HAMMAD FCP','03455104405','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','24','0','CORONA','C-205',null,'15-SEP-2019',null,'COOKING RANGE','TIMER NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-15 21:22:20','2020-09-27 00:07:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1152','NAEEM MIRZA','03455009292','HO#619 ST#08 NEAR TEHZEEB BAKERS  CHAKLALA SCKEEM 03 R.W.P','9','20','147500','SIGNATURE','SBH-AA901G-1068',null,'147500',null,'BUILT IN APPLLIANCES','BURNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-15 21:37:07','2020-09-22 21:58:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1153','NAEEM AKHTER','03204301218 , 03204301219','H NO 729 OMER ROAD B PHASE 2 B.TOWN RWP','4','8','10575','HAIER','0',null,'2-SEP-2019','18SNF-S INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','957','73','2020-09-15 21:38:40','2020-10-07 22:11:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1154','COL IMRAN','03332223728','HO#380 ST#19 ROAD C PHASE 05 B.TOWN','8','37','13671','FIVE STAR','0',null,'17-MAR-2020','35G-SUPREME - 963','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-15 21:54:22','2020-09-24 19:58:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1155','MR SHAHID','03213758107','HO#C 11 ST#01 NAVEL HOUSING SOCITY  SEC F-11/1 ISB','5','35','121783','ORIENT','0',null,'11 SEP-2020','531BL - 993','WATER DISPENSER','TAB LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-15 22:25:22','2020-09-22 21:52:23',null,'1',null,'0');
INSERT INTO complaints VALUES('1156','MRS IFTIKHAR ALI','03338954138','HO#07 ST# 01 COL AMAN ULLHA ROAD NEAR DUA COLLATION BARAKHAHO ISB','5','28','90999','SIGNATURE','0',null,'19-JAN-2018','SBH-AC930S - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-15 23:04:10','2020-09-29 21:28:33',null,'1',null,'0');
INSERT INTO complaints VALUES('1157','FAYAZ','03005122074','P ALIMENT HOUSE ISB','5','29','118882','ECOSTAR','0',null,'08-JUL-2020','12CR01W - 913','AIR CONDITIONER','OUT DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-15 23:20:38','2020-09-22 21:48:06',null,'1',null,'0');
INSERT INTO complaints VALUES('1158','HASSAN KHAN','03335739918','OPAL SQUARE PRESTIGE HOME SOLUTION OFFICE#02  D MARKAZ GULBERG  RESIDENCIA','5','35','120467','ECOSTAR','0',null,'09-AUG-2020','300FS - 2122','WATER DISPENSER','COMPRESSOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-15 23:25:26','2020-09-27 00:02:44',null,'1',null,'0');
INSERT INTO complaints VALUES('1159','HAIDER','03335574348','HO#973 ST#04 G-14/4 ISLAMABAD','5','28','100208','LG','0',null,'9.12.2018','7566NEFPF-S - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-15 23:50:31','2020-09-21 23:24:26',null,'1',null,'0');
INSERT INTO complaints VALUES('1160','DR FAROOQ','0331533107','HO#418 C ROAD A PHASE 05 B.TOWN','9','23','195589','SHARP','0',null,'02-SEP-2020','814CX-S - 899','WASHING MACHINE','SETTING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-16 00:03:18','2020-09-23 23:24:35',null,'1',null,'0');
INSERT INTO complaints VALUES('1161','IFTIKHAR DURANI','03215432490','HO#35-B ASKRI 07 ADYALA ROAD R.W.P','7','49','15002','SIGNATURE','0',null,'17-JUNE-2017','SWD-HD10-GR - 994','WATER DISPENSER','TAB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-16 00:19:34','2020-09-23 23:16:39',null,'1',null,'0');
INSERT INTO complaints VALUES('1162','ASHRAF','03006024044','HO# 06 ST#65 MAIN COLLAGE ROAD SEC F-7/3 ISB','5','53','121722','HAIER','385IM-GRAY',null,'10-SEP-2020',null,'FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-16 01:23:37','2020-09-18 23:06:07',null,'1',null,'0');
INSERT INTO complaints VALUES('1163','ABU BAKAR (FCI)','03365122695','FRIENDS CORPORATION BLUE AREA ISB','5','28','12166','ORIENT','0',null,'10-DEC-2019','CRYSTAL-C-BLK - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-16 02:36:53','2020-09-18 23:11:02',null,'1',null,'0');
INSERT INTO complaints VALUES('1164','ARSHAD','03009505750(051-9211163)','HO#01 G ST#51 F-6/4 ISB','5','28','0','DAWLANCE','OUT OFF WARRANTY',null,'207',null,'REFRIGERATOR','THERMOSTAT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-16 02:49:04','2020-09-17 21:05:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1165','ABDUL HAFEEZ BUT','030051260151','HO#F-341 NEW KSHATRIYA MARKET  NER SADDIQ PUBLIC SCHOOL R.W.P','9','26','180317','CORONA','0',null,'20-OCT-2019','C205 - 14','COOKING RANGE','FLAM PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-16 03:02:22','2020-09-22 21:30:58',null,'1',null,'0');
INSERT INTO complaints VALUES('1166','zahid ali','03009777634','H NO 1270 ST NO A15 NEAR GUJRANWALA CATERING NPF O9 ISB','4','11','9885','SAMSUNG','0',null,'14-JUL-2019','43NU7100-S - 869','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-16 19:33:07','2020-09-22 21:27:23',null,'1',null,'0');
INSERT INTO complaints VALUES('1167','CH JAVED','03215444555 , 03215578600','H NO 91 ST NO 4 SEC E/11-1 ISB','5','28','108733','KENWOOD','0',null,'22-AUG-2019','1012SA - 902','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-16 19:37:33','2020-09-22 21:25:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1168','TANVEER AKTER','03009735192 , 03005592289','DHOK KALA MANDI BANIYAN MUHALLA SHAMSABAD RWP','9','24','192612','GREE','0',null,'13-JUL-2020','9978EG-CB1 - 885','REFRIGERATOR','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-16 19:46:01','2020-09-22 21:23:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1169','MUNAWAR HUSSAIN','03334272367','H NO 431 ST NO 34 SEC F DHA 1 NEAR MASJID SARWAR RWP','6','14','24708','FIVE STAR','0',null,'14-DEC-2019','35G-SUPREME - 963','GEYSER','THERMOSTATE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-16 19:51:55','2020-09-25 00:21:39',null,'1',null,'0');
INSERT INTO complaints VALUES('1170','SAJID FHHS','03135978937','NEAR FREINDS WARE HOUSE SHAMSABAD RWP','8','37','0','HAIER','0',null,'0','398IPB - 884','REFRIGERATOR','TOP DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-16 19:59:39','2021-01-13 20:20:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1171','MARI YAM','03008550169','HO#341 DEFANCE VILLAS  ST#20 SEC F DHA 01','5','36','108697','DAWLANCE','0',null,'21-AUG-2019','132S-DW - 1200','MICROWAVE OVEN','ON OF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-16 20:32:28','2020-09-21 22:47:02',null,'1',null,'0');
INSERT INTO complaints VALUES('1172','MUHAMMAD JAMIL','03335155552','H NO 462 ST NO 58 SEC I/8-3 ISB','8','48','40665','BOSCH','0',null,'1-JUL-2020','50E92GC - 1060','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-16 20:47:20','2020-09-25 00:55:27',null,'1',null,'0');
INSERT INTO complaints VALUES('1173','OSAMA SB','03102000003','H NO 21 ST NO 7 SEC B DHA 1 RWP','6','12','22488','ORIENT','0',null,'4-AUG-2019','18G-HYPER-SW - 915','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-16 20:52:02','2020-09-21 22:35:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1174','WAQAR ALI','03325213566','H NO 23 ST NO 6 BLOCK A NEW CITY PHASE 2 WAH CANTT','8','39','37299','SONY','0',null,'23-OCT-2019','40W650D-S - 938','FLAT PANEL TV','CABLE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-16 20:53:42','2020-11-27 01:28:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1175','AZEEM SB','03315420488','FREINDS GULNOOR MARKET RWP','9','19','0','KENWOOD','0',null,'0','1010SA - 902','WASHING MACHINE','2 PC BASE DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-16 21:09:38','2020-10-14 21:36:57',null,'1',null,'0');
INSERT INTO complaints VALUES('1176','AZEEM SB','03315420488','FREINDS GULNOOR MARKET RWP','9','19','0','HOMAGE','0',null,'0','86HWD - 993','WATER DISPENSER','DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-16 21:10:56','2020-09-26 23:55:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1177','AZEEM SB','03315420488','FREINDS GULNOOR MARKET RWP','9','19','0','CARAVELL','0',null,'0','207BA','WATER DISPENSER','HEATING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-16 21:12:05','2020-09-28 03:00:21',null,'1',null,'0');
INSERT INTO complaints VALUES('1178','M SHAFIQ','03425208627','DIS KOTLI TEHSIL CHAROHI NEAR POST OFFICE RAJ DANI GALA BAZAAR AZAD KASHMIR','9','24','173399','CARAVELL','0',null,'20-JUN-2019','450MEC - 1651','CHILLER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-16 21:22:09','2020-09-22 21:02:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1179','TANVEER SB','03335189690','VILLAGE PIND DADU RANIAL NEAR CHAKRI ROAD RWP','9','26','82997','HAIER','0',null,'14-OCT-2013','100-828A','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-16 21:37:07','2020-09-21 22:24:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1180','FAISAL WAHEED','03003247253','H NO 12 ST NO 3 MOHALLAH DARS ARMY OFFICERS COLONY MORGAH RWP','6','16','27730','HAIER','0',null,'12-JUN-2020','85-7288 - 69','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-16 21:39:51','2020-09-21 22:20:16',null,'1',null,'0');
INSERT INTO complaints VALUES('1181',null,null,null,'6',null,null,'ORIENT','BH60002613',null,null,'12G-SUPER - 913','AIR CONDITIONER','INDOOR UNIT ISSUE...',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-09-16 23:20:18','2020-10-24 22:06:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1182',null,null,null,'6',null,null,'HAIER','AL00M100H00N9L65M548',null,null,'12HFCA-G-INV - 913','AIR CONDITIONER','OUT DOOR UNIT GAS LEAKAGE PROBLEM.',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-09-16 23:22:20','2020-12-08 23:28:02',null,'1',null,'0');
INSERT INTO complaints VALUES('1183',null,null,null,'6',null,null,'KENWOOD','KET1826SG2Z003550',null,null,'1826S-INV - 915','AIR CONDITIONER','OUT DOOR UNIT GAS LEAKAGE ..',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-09-16 23:27:16','2020-09-30 23:39:27',null,'1',null,'0');
INSERT INTO complaints VALUES('1184','SHAHID RAZZAQ','03335219594','HO#30B RR COMP NEAR MH R.W.P','7','49','19587','GREE','0',null,'05-AUG-2019','18CITH11B - 915','AIR CONDITIONER','FLAPPER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-16 23:33:17','2020-09-22 01:42:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1185',null,null,null,'6',null,null,'SHARP',null,null,null,'612MB-SS2 - 1547','DISH WASHER','FRONT DAMAGE',null,'5','COMPLAINT RESOLVED',null,'showroom','0',null,'93','2020-09-16 23:34:06','2020-09-27 02:41:48',null,'1',null,'0');
INSERT INTO complaints VALUES('1186','INAM RAHIM','03335188798','HO#39 ST#22 NEAR MIZAN BAN G-13/3 ISB','5','30','11970','KENWOOD','0',null,'13-DEC-2019','480GD-BKG - 885','REFRIGERATOR','OVER COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-16 23:40:39','2020-09-25 02:45:12',null,'1',null,'0');
INSERT INTO complaints VALUES('1187','ZARA MUFTI','03325196599','HO#03 LANE#03 FAIZA COLONY R.W.P','9','24','171645','MITSUBISHI','0','2020-09-16',null,'50VA - 915','AIR CONDITIONER','2 UNIT HAIN .
 COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-17 00:39:31','2020-09-22 20:51:40',null,'1',null,'0');
INSERT INTO complaints VALUES('1188',null,null,null,'5',null,null,'HAIER',null,null,null,'85-1708HWM - 945','WASHING MACHINE','Drum Balancing Issue',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-09-17 00:57:00','2020-09-25 01:30:34',null,'1',null,'0');
INSERT INTO complaints VALUES('1189','BILQAS  BAGAM','03335371830','HO#4039 ST#13 CHA SULTAN R.W.P','8','48','37062','TCL','1905VLR300857A000187',null,'08-OCT-2019','32S6500A - 936','FLAT PANEL TV','PANAL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-17 01:23:09','2020-11-10 22:26:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1190','BILL FHSS','03120578711','FRIENDS HOME   SHAMSHABAD R.W.P','8','41','0','ORIENT','0',null,'0','531BL - 993','WATER DISPENSER','2 UNIT FRONT COVER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-17 01:40:26','2020-09-22 20:46:32',null,'1',null,'0');
INSERT INTO complaints VALUES('1191','MALIK RIAZ','03005102808','HO#529 ST#5 G-11/1 ISB','8','39','14017','CORONA','0',null,'14-DEC-2015','C702 - 1076','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-17 01:44:43','2020-09-22 20:44:21',null,'1',null,'0');
INSERT INTO complaints VALUES('1192','IMRAN BUTT','03028560185','HO#1083 ST#01 BLOCK C MASTIONAL POLICE FOUNDASTION O 9 ISB','8','42','5992','SIGNATURE','0',null,'11-NOV-2018','SWM-SR45 - 899','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-17 02:05:58','2020-09-18 01:52:31',null,'1',null,'0');
INSERT INTO complaints VALUES('1193','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','HAIER','0',null,'0','85-1708HWM - 945','WASHING MACHINE','DRUM BLANCHING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-17 02:19:16','2020-09-24 02:48:44',null,'1',null,'0');
INSERT INTO complaints VALUES('1194','MAJ TARIQ','03355877787','HO#08 BAHIRA AVENUE PHASE 07','6','16','4089','SAMSUNG','0',null,'15-MAY-2016','48FAJEDWW - 897','REFRIGERATOR','COOLING PREOB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-17 02:25:00','2020-09-27 20:17:57',null,'1',null,'0');
INSERT INTO complaints VALUES('1195','IQBAL SB','03465166132','FRIENDS HOME BEWAL PLAZA BLUE AREA ISB','5','28','0','FIVE STAR','0',null,'0','900C-FS - 1965','COOKING RANGE','FOOT DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-17 02:26:24','2020-11-10 22:29:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1196','IQBAL SB','03465166132','FRIENDS HOME BEWAL PLAZA BLUE AREA ISB','5','28','0','HAIER','0',null,'0','90-1789HWM - 901','WASHING MACHINE','RUSTED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-17 02:41:19','2020-09-21 22:04:16',null,'1',null,'0');
INSERT INTO complaints VALUES('1197','IQBAL SB','03465166132','FREINDS HOME BEWAL PLAZA BLUE AREA ISB','5','28','0','HAIER','0',null,'0','62HR - 84','REFRIGERATOR','DENTED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-17 02:43:45','2020-09-21 22:01:44',null,'1',null,'0');
INSERT INTO complaints VALUES('1198',null,null,null,'8',null,null,'HAIER','B30gjj06k00qzl771674',null,null,'545INV-HDF - 959','FREEZER','Raber esho',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'96','2020-09-17 03:45:52','2020-11-04 21:38:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1199',null,null,null,'8',null,null,'HAIER','Bm0481e7u0itcl632822',null,null,'398IPB - 884','REFRIGERATOR','Compressor dead',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'96','2020-09-17 03:52:58','2020-10-01 20:36:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1200',null,null,null,'9',null,null,'HOMAGE','1001955',null,null,'87HWD - 993','WATER DISPENSER','Trip kar giya hay',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'97','2020-09-17 04:28:58','2020-11-10 22:43:12',null,'1',null,'0');
INSERT INTO complaints VALUES('1201','ASLAM  SAB(STOCK )','03008557478','FRIENDS HOME SHAMSHABAD R.W.P','8','38','0','SHARP','0',null,'0','24HCP-INV - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-17 21:22:27','2020-09-29 19:41:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1202',null,null,null,'12',null,null,'KENWOOD','2196',null,null,'1012SA - 902','WASHING MACHINE','Base damage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'99','2020-09-17 21:22:53','2020-11-12 20:13:22',null,'1',null,'0');
INSERT INTO complaints VALUES('1203','ASLAM SAB','03008557478.','FRIENDS HOME SHAMSHABAD R.W.P','8','37','0','SHARP','0',null,'0','18HCP-INV - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-17 21:26:30','2020-09-29 19:42:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1204','CH NAVEED','03005300757','VILLAGE MOZA KALAR SAYYIDAN SHELL PUMP R.W.P','6','15','15622','SIGNATURE','0',null,'29-JULY-2018','SRF-HM99 - 908','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-17 21:44:16','2020-09-21 19:43:31',null,'1',null,'0');
INSERT INTO complaints VALUES('1205','CH NAVEED','03005300757','VILLAGE MOZA KALAR SAYYIDAN SHELL PUMP R.W.P','6','15','15865','SIGNATURE','0',null,'11-AUG-2018','50V800 - 871','FLAT PANEL TV','HALF SCREEN BLACK  PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-17 21:47:42','2020-10-13 20:45:41',null,'1',null,'0');
INSERT INTO complaints VALUES('1206','MRS SAMI','03325451628','HO# F-7 G LANE OPP FOOTBALL GROUND ABU BAKAR BLOCK PHASE 08 BEHIRA TOWN','6','15','17400','HAIER','0',null,'01-DEC-2018','75-918 - 69','WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-17 21:55:51','2020-09-23 00:38:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1207','MR IMRAN','03335513428','HO#268 ST#12 BLOCK A MIDA TOWN PWD','5','28','84332','DAWLANCE','0',null,'13-MAR-2017','9170WBES-PLUS - 883','REFRIGERATOR','COMPRESSOR  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-17 22:02:21','2020-09-23 00:35:02',null,'1',null,'0');
INSERT INTO complaints VALUES('1208','BRIG ASIM GARDEZI','03475711535','OFFICE #14 3RD FLOOR EXCIVITE PLAZA I /8 MARKAZ ISB','5','30','117551','ECOSTAR','0',null,'11-JUN-2020','300FS - 2122','WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-17 22:13:29','2020-09-23 00:32:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1209',null,null,null,'4',null,null,'SIGNATURE','0',null,null,'SBO-AR10 - 1124','BUILT IN APPLLIANCES','Demo ... Not complaint',null,'5','closed',null,'showroom','0',null,'94','2020-09-17 22:18:16','2020-09-24 01:50:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1210','IJAZ BUTT','03065320455','HO#1401-AA MOHALLAH AKALGHAR  GULSHANANABAD  NEAR BILA MASJID R.W.P','9','19','168071','ORIENT','0',null,'28-MAR-2019','380DIAMOND-LBK - 746','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-17 22:42:48','2020-10-01 21:34:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1211','MOSHIN SAB','03315067784','HO#P-1418 MOH HARIPURA ASGHAR MALL RAOD R.W.P','9','27','187234','KENWOOD','0',null,'22-FEB-2020','899W - 899','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-17 23:14:15','2020-09-21 21:51:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1212','AMIR BAIG','03335293259','HO#215 ST#08 PHASE-03 B,TOWN','4','6','12052','TCL','1910VLR300969A00030',null,'15-DEC-2019','65P8M - 1443','FLAT PANEL TV','PANAL PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-17 23:43:55','2020-09-25 01:14:42',null,'1',null,'0');
INSERT INTO complaints VALUES('1213','DAUD BUKHARI','03216656979','HO#47 SEC A LILLY BLOCK ROAD 02 DHA HOME ISB','9','24','190511','HAIER','0',null,'15-JUNE-2020','336EPC - 860','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-17 23:59:29','2020-09-22 20:27:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1214','DILBAR SHAH','03005455753','GRASS MARRIAGE HALL G. T ROAD OPP INTER COLLAGE JHALEM','9','21','186273','ORIENT','0',null,'01-FEB-2020','24G-ULTIMATE-SW-HC - 917','AIR CONDITIONER','unit sa 2 kit missing, aik unit ki jali demage . aik unit k out door not working',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-18 00:34:54','2020-09-21 21:43:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1215','MISHAL','03455006666','HO#1066-A ST#70 E-11/3 ISB','5','31','118879','SAMSUNG','0',null,'08-JULY-2020','11J5710-S - 905','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-18 00:47:13','2021-02-03 22:42:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1216','MEEZAN BANK','03345475369','KHALABUT TOWNSHIP NEAR MAIN CHOWK HARI PUR','8','47','23509','SONY','0',null,'15-SEP-2020','65X7000E-S - 1443','FLAT PANEL TV','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-18 00:57:09','2020-09-22 20:22:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1217','IMRAN BUTT','03028560185','HO#1083 ST#01 BLOCK C NATIONAL POLICE FOUNDATION O 9 ISB','4','7','5992','SIGNATURE','0',null,'11-NOV-2018','SWM-SR45 - 899','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-18 01:52:01','2020-10-13 20:44:42',null,'1',null,'0');
INSERT INTO complaints VALUES('1218',null,null,null,'8',null,null,'ORIENT',null,null,null,'18G-HYPER-SW - 915','AIR CONDITIONER','Gas nai ha',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'96','2020-09-18 01:57:02','2020-10-29 01:27:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1219','MAJ TARIQ','03355877787','HO#08 BAHIRA AVENUE PHASE 07','6','16','4089','SAMSUNG','0',null,'15-MAY-2016','48FAJEDSP - 897','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-18 02:01:19','2020-09-26 21:26:33',null,'1',null,'0');
INSERT INTO complaints VALUES('1220',null,null,null,'8',null,null,'ORIENT',null,null,null,'18G-HYPER-SW - 915','AIR CONDITIONER','Gas nai ha',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'96','2020-09-18 02:01:44','2020-11-10 22:42:21',null,'1',null,'0');
INSERT INTO complaints VALUES('1221','DR RAFAQAT','03005101991','HO#54 ST#03 PHASE 02 B.TOWN','8','38','25235','SIGNATURE','0',null,'19-DEC-2017','SBH-AB800S - 1122','BUILT IN APPLLIANCES','BURNER NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-09-18 02:14:57','2020-09-29 20:44:28',null,'1',null,'0');
INSERT INTO complaints VALUES('1222','SHAKEEL SAB','03034881240','SHOP#215 HAKEEM PLAZA RANGRE ROAD R.W.P','4','11','13319','HAIER','0',null,'24-FEB-2020','18HNF-INV-S - 915','AIR CONDITIONER','TRIPPING PRB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-18 02:59:26','2020-09-22 20:00:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1223','MUBASHIR SAB','03008553255','HO#20 ST#35 F-6/1  ISB','5','28','121626','SIGNATURE','0',null,'07-SEP-2020','HC-3900G - 1122','BUILT IN APPLLIANCES','FLAME PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-09-18 20:32:10','2020-09-23 02:59:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1224','MRS ALTAF','03006021488','HO#977 ST#52 PHSE 02 B.TOWN','4','7','16248','CARAVELL','207BA-2028',null,'09-SEP-2020',null,'WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-18 20:49:07','2020-09-22 19:47:49',null,'1',null,'0');
INSERT INTO complaints VALUES('1225','ARSHAD MEHMOOD KHAN','03324434442','HO#98 A ST#90 NEAR  JAN MARKET G-7/4 ISB','5','28','112933','KENWOOD','HARIS (FCI)',null,'16-DEC-2019','400VCM-BRN - 885','REFRIGERATOR','BODY EARTH PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-18 20:57:06','2020-09-22 19:45:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1226','TAYYAB SAB','03335461660(03005515493)','HO#43- D ST#01 SEC VIP PROPER AIRPORT GULZARA QAID R.W.P','8','37','42288','FIVE STAR','0',null,'07-SEP-2020','900C-FS - 1965','COOKING RANGE','NOB PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-09-18 21:10:41','2020-09-21 20:56:17',null,'1',null,'0');
INSERT INTO complaints VALUES('1227','AMIR','03205000300','HO#70 ST#07 RAWAL TOWN ISB','5','30','111663','BOSCH','0',null,'10-DEC-2019','24260GC - 902','WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-18 21:33:47','2020-11-24 20:18:24',null,'1',null,'0');
INSERT INTO complaints VALUES('1228',null,null,null,'7',null,null,'HOMAGE','HWD082RGF2Z000581',null,null,'82HWD - 993','WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'98','2020-09-18 21:33:49','2020-09-25 21:40:57',null,'1',null,'0');
INSERT INTO complaints VALUES('1229',null,null,null,'7',null,null,'HOMAGE','HWD00083F11001225',null,null,'83HWD - 993','WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'98','2020-09-18 21:35:36','2020-11-20 01:54:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1230','ASIM MAJEED','030095515890','HO#245 ST#76 F-11/1 ISB','5','31','114664','TCL','1904VLR300830A00056',null,'13-FEB-2020','49C6US - 1629','FLAT PANEL TV','INTERNET PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-18 21:52:08','2020-09-24 20:52:28',null,'1',null,'0');
INSERT INTO complaints VALUES('1231','SYED IBRAR HUSSAIN','03465544641','HO#18 ST#10  BLOCK -D NAVEL ENCOURAGE  ISB','4','6','82428','SIGNATURE','0',null,'23-MAR-2017','SWM-JD51 - 902','WASHING MACHINE','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-18 22:53:15','2020-09-23 21:25:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1232','M SAQIB SADDIQ','03018564850','HO#47 ST#21 SEWC A BEHIRA ENCLAVE ISB','8','38','25007','SIGNATURE','0',null,'05-DEC-2017','SBO-AT4R - 1124','BUILT IN APPLLIANCES','BURNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-19 01:31:04','2020-09-29 22:54:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1233','HAROON AHMED','03084403456','HO#4-A ST#38 F-8/1 ISB','5','30','121108','HAIER','0',null,'21-AUG-2020','306IDRT - 894','REFRIGERATOR','OVER COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-19 01:40:31','2020-09-23 21:20:49',null,'1',null,'0');
INSERT INTO complaints VALUES('1234','MR HASSAN','03315362923','HO#171 MAIN DOUBAL ROAD MEDIA TOWN','9','19','195530','ORIENT','0',null,'01-SEP-2020','12G-ALPHA-SW - 912','AIR CONDITIONER','CARD ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-19 02:00:27','2020-09-24 23:23:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1235','YASIER AMIR MUHAMMAD','03335466622','HO#714 ST# 07- 1-10/2 ISB','6','14','41390','CORONA','0',null,'27-JULY-2020','505C - 1815','COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-19 19:42:30','2020-09-22 02:37:23',null,'1',null,'0');
INSERT INTO complaints VALUES('1236','AHMED SOHAIL KHAN','03334297078','HO#24 LANE#01 WEST RIDGE 03 OPP APS','5','33','117887','GREE','0',null,'18-JUNE-2020','18CITH11B - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-19 20:04:54','2020-09-23 21:14:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1237','TANZEELA RAHEEM','03008542253','HO#52 ST#26 G-13/2 ISB','5','29','121805','HAIER','438EPR-84',null,'12-SEP-2020','438EPR - 896','REFRIGERATOR','DOOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-19 20:16:48','2020-09-23 21:12:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1238','ALI AHMED','03345200264','HO#283 ST#14 BLOCK C MEDIA TOW APP OR POTION  R.WP','4','7','4533','HAIER','0',null,'21-JULY-2018','80-10829HW - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-19 20:47:12','2020-09-22 19:23:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1239','RIZWAN','03335968448','HO#134 ST#13 AWAMI VILLAS 02 PHASE 02 B.TOWN','7','49','20976','ORIENT','0',null,'20-MAY-2020','18G-ORBIT - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-19 20:57:12','2020-10-07 20:25:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1240',null,null,null,'5',null,null,'HOMAGE',null,null,null,'84HWD - 993','WATER DISPENSER','Leakage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-09-19 21:15:42','2020-09-25 00:38:16',null,'1',null,'0');
INSERT INTO complaints VALUES('1241',null,null,null,'5',null,null,'HOMAGE',null,null,null,'43HWD - 993','WATER DISPENSER','cooling Issue',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-09-19 21:16:08','2020-09-25 00:32:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1242','MR MOIZ','1734894','HO#232-ST#14 DEFACE VILLAS  DHA 01','6','12','28314','DAWLANCE','0',null,'14-JULY-2020','380C-DW - 1743','MICROWAVE OVEN','DEAD OVEN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-19 21:28:31','2020-10-01 19:40:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1243','SHAHID QADEER','03116655113','MOHALLHA QAZIABAD NEAR NINA MAN SHAH RESIDENT BARA KHAO ISB','5','33','120760','HAIER','0',null,'13-AUG-2020','306EBS - 859','REFRIGERATOR','BODY HEAT UP PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-19 21:41:14','2020-09-22 02:34:37',null,'1',null,'0');
INSERT INTO complaints VALUES('1244',null,null,null,'5',null,null,'LG',null,null,null,'4V5RYP2T-S - 899','WASHING MACHINE','Programming Issue',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-09-19 23:31:46','2020-09-25 01:33:10',null,'1',null,'0');
INSERT INTO complaints VALUES('1245','WAQAR AHMED','03215374457','HO#10 ST#29 A RIVER GARDEN','4','6','15692','HAIER','0',null,'05 AUG-2020','438IDB - 896','REFRIGERATOR','OVER COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-20 02:31:41','2020-09-24 22:39:49',null,'1',null,'0');
INSERT INTO complaints VALUES('1246','WASEEM AHMED','03340155261','HO#73 ST#06 G-8/2 ISB','9','21','192509','FIVE STAR','0',null,'09 JULY 2020','900C-FS - 1965','COOKING RANGE','FLAME PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-20 02:41:07','2020-09-23 21:01:09',null,'1',null,'0');
INSERT INTO complaints VALUES('1247','ASHFAQ','03335710056','HO#2381 ST#68-I-10/1 ISB','8','38','29457','SIGNATURE','0',null,'30-AUG-2018','SWM-JD46 - 945','WASHING MACHINE','DARAM PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-20 02:50:33','2020-09-22 19:08:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1248','MR SHARUKH','03379219441','HO#22 HAROON ST BANI GALA ISB','5','31','121104','HAIER','0',null,'21-AUG-2020','90-1789HWM - 901','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-20 03:10:03','2020-09-22 19:06:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1249','AFTAB AHMED','03345515650','HO#2127  SERVICES ROAD I-10/1 ISB','7','49','20541','SIGNATURE','0',null,'05-FEB-2017','SWM-SR50 - 905','WASHING MACHINE','SPINNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-20 03:18:46','2021-02-17 12:15:27',null,'1',null,'0');
INSERT INTO complaints VALUES('1250','SYED MUDASSIR','03445157579','BARAF KHANA CHOWK ABID MAJEED ROAD DHOK SYEDAN RWP','9','51','194003','SAMSUNG','0',null,'5-AUG-2020','32N5300-S - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 21:17:46','2020-10-24 01:32:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1251','SHAUKAT ABBAS','03215338540','H NO 7  ST NO 12A NEW SHAKRIAL ZIA MASJID GARDEN TOWN ISB','9','26','186467','FIVE STAR','0',null,'4-FEB-2020','25G-SUPREME - 1966','GEYSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 21:24:35','2020-09-22 22:57:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1252','NAEEM ABBAS','03002339555','H NO 127 ST NO 21  PHASE 2 EXT B.TOWN RWP','9','23','154116','ORIENT','0',null,'13-JUN-2018','200DIAMOND-PR - 893','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 21:41:26','2020-09-22 22:44:16',null,'1',null,'0');
INSERT INTO complaints VALUES('1253','AFTAB','03005201636','H NO BIV\1191E ST NO 8 MUSLIM TOWN NEAR  BIHARI COLONY RWP','9','23','192661','HAIER','0',null,'13-JUL-2020','438IDBT - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 21:46:05','2020-09-22 22:27:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1254','ZAHEER AWAN','03125456003','H NO 1069 ST NO 49 BLOCK B SEC B\17 ISB','9','23','195769','GREE','0',null,'6-SEP-2020','9978EG-CB1 - 885','REFRIGERATOR','EXTRA COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 21:49:37','2020-09-22 22:30:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1255','ASLAM PERVAIZ','03008548422 , 03218548422','H NO 207 ROSE ROAD SAFARI VILLA 3 BAHRIA TOWN RWP','6','12','0','SIGNATURE','0',null,'0','SWM-SR50 - 905','WASHING MACHINE','NOT WORKING',null,'5','CLOSED',null,'customer','0',null,'92','2020-09-20 21:54:00','2020-09-20 23:27:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1256','AHSAN ZIA','03359206194','H NO 3 ST NO 55 NEAR SITARA MARKET SEC G\7-2 ISB','5','33','57061','LG','0',null,'30-OCT-2013','1496TDT24S - 122','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 22:05:14','2020-10-07 20:24:12',null,'1',null,'0');
INSERT INTO complaints VALUES('1257','ZAHID RASOOL','03342966733','H NO 540 BLOCK B MIAN AKHTER AVENUE MULTI GARDEN SEC B\17 ISB','5','33','115379','FISCHER','0',null,'11-MAR-20','35GF - 739','WATER COOLER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 22:08:13','2020-09-24 23:41:55',null,'1',null,'0');
INSERT INTO complaints VALUES('1258','AHMED SHAHZAD','03208500097 , 03215706705','26 CIVIL BAZAAR ATTOCK','8','37','12106','LG','0',null,'30-JAN-2019','7566NEFPF-S - 901','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-09-20 22:20:03','2020-09-27 02:30:48',null,'1',null,'0');
INSERT INTO complaints VALUES('1259','MOHSIN','03335387414 , 0515702123','NE4334A SHAH SULTAN RAWAL ROAD RWP','9','19','191338','ORIENT','0',null,'24-JUN-2020','18G-HYPER-SW - 915','AIR CONDITIONER','FINS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 22:29:50','2020-09-24 23:56:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1260','IBRAR HUSSAIN','03465944641','H NO 18 ST NO 10 BLOCK D NAVAL ANCOURAGE ISB','5','31','84248','SIGNATURE','0',null,'23-MAR-2017','SWM-JD51 - 902','WASHING MACHINE','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 22:33:30','2020-09-26 21:23:37',null,'1',null,'0');
INSERT INTO complaints VALUES('1261','RAJA SALAR ASHRAF','031188800023 , 03215198937','B1\1488 ST NO 5 MUSLAIM TOWN RWP','9','51','194642','TCL','1910VLR300958A00152',null,'13-AUG-2020','32S65A - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 22:37:06','2020-09-30 00:46:28',null,'1',null,'0');
INSERT INTO complaints VALUES('1262','SOHAIL','03005209101','H NO 16\1C SEC 4A KHAYABAN-E-SIRSYED RWP','9','26','173020','HACWEL','0',null,'15-JUN-2019','3800A-HW - 2004','AIR COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 22:42:05','2020-09-23 20:48:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1263','ZAHUR AHMED','03348885133','H NO 510 ST NO 23 PHASE 3 B.TOWN RWP','6','14','26921','SIGNATURE','0',null,'26-APR-2020','SBH-AC900S - 1122','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-09-20 22:44:55','2020-09-22 23:35:42',null,'1',null,'0');
INSERT INTO complaints VALUES('1264','KHALID MIRZA','03005242526','H NO 1G ST NO 48 SEC F\6-4 ISB','9','26','179237','DAWLANCE','0',null,'28-SEP-2019','9170WBDS','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 22:49:37','2020-10-06 22:00:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1265','SARIV','03421162425','H NO 8 ST NO 13 AFANDI COLONY SATELITE TOWN RWP','8','38','41050','KENWOOD','0',null,'14-JUL-20','1826S-INV - 915','AIR CONDITIONER','OUTDOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 22:54:36','2020-09-23 20:37:07',null,'1',null,'0');
INSERT INTO complaints VALUES('1266','ARAF BAIG','03335550190','CIVIC CENTRE PHASE 4 B.TOWN RWP','4','11','16225','KENWOOD','0',null,'8-SEP-2020','1226S-HC - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 23:05:31','2020-09-26 21:17:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1267','IJAZ SB','03005159572','H NO 65 ST NO 16 BAHRIA SPRING PHASE 7 B.TOWN RWP','6','14','27150','LG','0',null,'11-MAY-2020','1766NEFTS-S - 1486','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 23:11:14','2020-09-23 23:14:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1268','ASAD BUKHARI','0519285326','KAHUTA','8','38','196009','LG','0',null,'10-SEP-2020','9085NDKVH-C','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 23:21:12','2020-09-27 02:26:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1269','MR YASIR','03360961211','H NO 837 ST NO 38 PHASE 7 NEAR WALLAYAT COMPLEX RWP','9','23','193012','SHARP','0',null,'17-JUL-2020','710CX-S - 1548','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 23:34:25','2020-09-23 22:54:24',null,'1',null,'0');
INSERT INTO complaints VALUES('1270','HAMZA TARIQ','03058522929','H NO 24B ST NO 7 SHAMS COLONY GOLRA MORE ISB','9','22','195800','SIGNATURE','0',null,'6-SEP-20','SWM-JD51 - 902','WASHING MACHINE','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 23:36:32','2020-09-23 02:41:42',null,'1',null,'0');
INSERT INTO complaints VALUES('1271','MR BILAL','03085557200','H NO 873 ST NO 27 SEC G\9-1 ISB','5','33','116839','TCL','1912VLR301006A00261',null,'29-MAY-2020','40S65A - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 23:39:10','2020-10-06 21:58:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1272','ISHAQ','03003855853','H N O 41 ST NO 9  SEC H DHA 2 ISB','6','16','13799','LG','0',null,'ABOVE 1 YEAR','49UJ634-P - 1629','FLAT PANEL TV','REMOTE SENSOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 23:42:04','2020-09-23 23:00:23',null,'1',null,'0');
INSERT INTO complaints VALUES('1273','JAMIL KHAN','03345080727','ASHRAF COLONY ZAFAR PLAZA CHAKRI ROAD RWP CANTT','9','27','189763','HAIER','0',null,'2-JUN-2020','306EPR-HRF - 859','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 23:44:24','2020-09-23 20:27:18',null,'1',null,'0');
INSERT INTO complaints VALUES('1274','TANVEER AHMED','03218551874','H N0 8 ST NO 8 BLOCK E NAVAL ANCOUARGE ISB','8','39','30852','SIGNATURE','0',null,'7-DEC-2018','SBO-AR10 - 1124','BUILT IN APPLLIANCES','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-20 23:46:00','2020-09-29 22:52:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1275','KHURRAM','03360152051','CHAKWAL','8','38','40405','SAMSUNG','0',null,'22-JUN-2020','11J5710-S - 905','WASHING MACHINE','TIMING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-21 00:04:57','2020-09-26 21:19:28',null,'1',null,'0');
INSERT INTO complaints VALUES('1276','HAMZA QAZI','03335596564 , 0515185236','H NO 1 ST NO 16 NEAR CIVIL LINES JHANDA CHICHI RWP','8','42','42127','CORONA','0',null,'4-JUN-2020','505C - 1815','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-21 00:12:05','2020-10-01 21:00:35',null,'1',null,'0');
INSERT INTO complaints VALUES('1277','C\O SADDIQ SB','03215379919','H NO 8 LANE NO 18 SEC A DHA 2 ISB','8','37','0','HAIER','0',null,'IN WARRANTY','150-1678HWM - 1484','WASHING MACHINE','SOUND PROBLEM',null,'5','completed',null,'customer','0',null,'92','2020-09-21 00:18:08','2020-09-24 01:44:12',null,'1',null,'0');
INSERT INTO complaints VALUES('1278','RAJA ATIF','03125048735','DD251 SHAMSABAD MURREE ROAD RWP','8','38','41462','ORIENT','0',null,'28-JUL-20','18G-HYPER-SW - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-21 00:32:51','2020-09-25 00:24:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1279','WAHEED SAFDAR','03218541157','H  NO 38 ST NO 6 SEC C DHA 2 ISB','6','14','0','LG','0',null,'0','LG REF','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-21 00:34:48','2020-09-25 23:48:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1280','zaheer sb','03338569798','H NO 6 ST NO 13 SEC D DHA 1 RWP','6','16','23696','SONY','0',null,'26-OCT-2019','55X7000G-S - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-21 01:55:08','2020-10-07 20:21:58',null,'1',null,'0');
INSERT INTO complaints VALUES('1281','MIAN ALHADEEN','03006304929','H NO 207 ST NO 10 SEC E\11\1 ISB','8','38','32997','GREE','0',null,'31-MAR-2020','500FS - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-21 02:01:04','2020-10-01 23:20:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1282','FAIZAN','03125219593(051-2355060)','FLAT#05 BLOCK#31-D SEC G-10/3 ISB','9','24','196456','DAWLANCE','1051WD-SILVER',null,'20 SEP-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-21 22:54:16','2020-09-24 00:30:58',null,'1',null,'0');
INSERT INTO complaints VALUES('1283',null,null,null,'8',null,null,'SONY',null,null,null,'65X8577G-S - 1443','FLAT PANEL TV','On nai ho rahe ha 2 unit same problem',null,'5','CLOSED',null,'showroom','0',null,'96','2020-09-21 23:05:02','2020-10-16 22:01:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1284','MRS HASAN','030005500453','HO#225 C LANE #07 RAJA AKRAM COLONY TULSA ROAD LALAZAR R.W.P','4','5','16351','DAIKIN','0',null,'19-SEP-2020','20JXV1 - 915','AIR CONDITIONER','OUT DOOR SENSOR MISSING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-21 23:14:26','2020-09-24 00:15:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1285','NADEEM SAFDIR MALIK','03335179472','KOHISTAN HOUSE BEHIND HBL NEAR NAAZ CINEMA SIR SYED ROAD ATTOCK','9','23','140489','SIGNATURE','0',null,'11-SEP-2017','MD99SS-S - 1723','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-21 23:55:27','2020-10-24 00:08:49',null,'1',null,'0');
INSERT INTO complaints VALUES('1286','SYED QAMAR ASLAM','03336874043','HO#456-C ST#57-I 8/3 ISB','6','12','971','GE','0UT OFF WARRANTY',null,'0','409 - 119','WASHING MACHINE','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-22 00:08:24','2020-09-23 00:07:18',null,'1',null,'0');
INSERT INTO complaints VALUES('1287','ABDUL REHMAN','0331426444','HO#11 ST#12 FIZAYA HOUSING SOCITY ISB','8','37','42436','SONY','0',null,'16 SEP 2020','49W800G-CC - 1629','FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-22 00:21:02','2020-09-24 21:47:40',null,'1',null,'0');
INSERT INTO complaints VALUES('1288','NASIR MEHMOOD','03335505505','H NOCB 335 DHAMIAL ROAD OPP ZIARAT BABA GOHAR ALI SHAH RWP','9','26','189324','SUPER ASIA','0',null,'27-MAY-2020','4500ECM - 1577','AIR COOLER','0',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-22 00:29:35','2020-09-23 00:04:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1289','IMRAN ALI','03342133366','HO#26 ST#13 DEFENCE VILLAS PHASE 07 B. TOWN R.W.P','4','6','2274','LG','0',null,'07 JAN 2018','4J6TMP0W-C - 1850','WASHING MACHINE','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-22 01:15:11','2020-09-27 01:28:38',null,'1',null,'0');
INSERT INTO complaints VALUES('1290','DR EHTASHAM','03335033807','HO#133 ASKARI 9 LANE#02 CHAKLALA CANTT NEAR AIR PORT R.W.P','8','39','42511','GREE','0',null,'19-SEP-2020','9978EG-CB1-885','REFRIGERATOR','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-22 02:21:31','2020-09-26 23:31:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1291','QASIM','03335390592','HO#16 D ST#55 SEC G 6/4 ISB','8','37','119453','ECOSTAR','0',null,'17-JULY-2020','350FC - 993','WATER DISPENSER','W/D REF COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-22 02:25:13','2020-09-24 00:25:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1292','QAMAR','03445504230(03335519006)','AZMAT RASHID HOSPITALMALL ROAD R.W.P CANTT','8','48','41197','ORIENT','0',null,'21-JULY-2020','12G-ORBIT - 913','AIR CONDITIONER','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-22 02:45:51','2020-09-23 19:53:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1293','NOOR NABI','03335102021','HO#207 ROSE ROAD SAFARI VILLA./3 BAHRIA TOWN RWP','5','28','0','SIGNATURE','0',null,'0','SWM-SR50 - 905','WASHING MACHINE','OUT OFF WAR-ANTI',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-22 03:02:47','2020-12-19 23:13:16',null,'1',null,'0');
INSERT INTO complaints VALUES('1294','ABAID SAB','03335342892','H NO CB122 ST NO 5 ALMUMTAZ COLONY KHAWAJA CORPORATION CHOWK ADYALA ROAD','9','24','185616','ORIENT','0',null,'16-JAN-2020','18G-BOLD-UW-INV - 915','AIR CONDITIONER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-22 03:10:24','2020-11-04 21:16:42',null,'1',null,'0');
INSERT INTO complaints VALUES('1295','ASLAM PARWAZ','03008548422','29/A CAHUTA TRIANGAL ISLAMABAD','5','28','0','LG','0',null,'0','32LJ570-P - 936','FLAT PANEL TV','OUT OF WAR INT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-22 03:12:31','2020-09-26 21:15:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1296','ZEESHAN ALVI','030053663888','HO#397 ST#19 PHASE 03 B.TOWN','5','33','118472','SAMSUNG','0',null,'01-JULY-2020','16J6750-S - 1643','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-22 03:25:15','2020-09-23 22:08:32',null,'1',null,'0');
INSERT INTO complaints VALUES('1297','MR TALHA NAJEEB','03335131630','HO#557 ST 104 D1 2 ISB','5','28','113330','LG','0',null,'27_DEC _2019','9588NEHVA-S - 901','WASHING MACHINE','WATER RAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-22 03:31:58','2020-09-26 21:14:27',null,'1',null,'0');
INSERT INTO complaints VALUES('1298',null,null,null,'5',null,null,'TCL',null,null,null,'Iqbal Hassan','FLAT PANEL TV','55P715 Two Unit Censor & Power Issue',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-09-22 05:31:38','2020-10-25 01:02:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1299','ANSAR','03345130980','HO#1048-E ST#36 ABU BAKAR BLOCK  PHASE 08 B.TOWN','6','12','27311','GREE','0',null,'21-MAY-2020','500FC - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-22 20:28:05','2020-09-28 22:52:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1300','KAMRAN','03335358046','SHALL PATROL PUMP NEAR TRAMRI CHOWK LITHER ROAD ISB','8','42','41068','SONY','55X8500G-CC-942',null,'14-JULY-2020',null,'FLAT PANEL TV','CABAL PORT  DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-22 20:53:35','2020-12-19 23:13:49',null,'1',null,'0');
INSERT INTO complaints VALUES('1301','RIZWAN  ZAFAR','03008556959','HO#442-A ST#28 E-11/4 ISB','5','32','94201',null,null,null,'05-MAY-2018',null,'REFRIGERATOR','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-22 21:35:59','2020-09-26 21:12:22',null,'1',null,'0');
INSERT INTO complaints VALUES('1302','WAJID','03335522002','HO#105 USMAN ST ABADI#02 TENCH BHATTA R.W.P','9','20','182145','FIVE STAR','0',null,'28-NOV-2018','500C-FS - 1073','COOKING RANGE','FLAM PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-22 21:52:43','2020-09-26 23:24:41',null,'1',null,'0');
INSERT INTO complaints VALUES('1303','AL BUKKHARI','03217860072','HO#298 ST#38 ST#G-9/1','5','29','121815','SIGNATURE','SIG (HOB)',null,'12-SEP-2020','3710 - 1122','BUILT IN APPLLIANCES','BURNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-22 22:23:54','2020-09-24 23:41:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1304','ALI BUKHRI','03217860072','HO#298 ST#38 G-6/9 ISB','5','29','121815','SIGNATURE','SIG OVEN',null,'12-SEP-2020','AR2 - 1124','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-22 22:27:18','2020-09-24 23:40:38',null,'1',null,'0');
INSERT INTO complaints VALUES('1305','WAJID','03335522002','HO#105 USMAN ST ABADI#02 TENCH BHATTA R.W.P','9','20','182145','SIGNATURE','20AC /OVEN',null,'28-NOV-2019',null,'MICROWAVE OVEN','OVEN NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-22 22:39:06','2020-09-30 23:53:06',null,'1',null,'0');
INSERT INTO complaints VALUES('1306','MAJ AMIR','03335018470','HO TULIP #01 RIVER HILL SAVE MART PHASE 08 B.TOWN','6','14','29161','SAMSUNG','0',null,'17-AUG-2020','60H6050FS-S - 1653','DISH WASHER','DEMO REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-22 23:56:29','2020-09-29 23:04:51',null,'1',null,'0');
INSERT INTO complaints VALUES('1307','ARJUMED KHALID','03008550463(051-5150304)','HO#32 E LANE#01 GULISTAN COLONY R.W.P','6','14','21430','ORIENT','0',null,'13-JUNE-2019','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-23 00:03:37','2020-09-30 20:01:37',null,'1',null,'0');
INSERT INTO complaints VALUES('1308','WALI  KHAN','03365069414','HO#K115 ST#14 JALEBI  CHOWK 8 NO CHUNGEI R.W.P','9','24','0','ORIENT','0',null,'0','12G-ALPHA-SW - 912','AIR CONDITIONER','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-23 00:13:05','2020-09-28 01:26:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1309','ASAD BUKHARI','03235257613','ALBAROONI J 2 KRL KAHOTA','9','25','196009','LG','9085NDKVH-C',null,'10-SEP-2020',null,'WASHING MACHINE','WASHING TUB ROTATED NI HO RAHA',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-23 00:44:02','2020-09-27 01:25:35',null,'1',null,'0');
INSERT INTO complaints VALUES('1310','SAQIB SAB','03318013502','LOG ARARA LODGES NEAR ORDANCE OFFICER MESS LALAKHURTI R.W.P','6','13','28089','GREE','0',null,'30-JUNE-2020','500FC - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-23 02:22:48','2020-09-26 23:02:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1311','WASEEM','03238528407(051-4530450)','HO#G-18 ST#11 PHASE 04 OFFICER COLONY WAH CANTT','5','35','116396','LG','0',null,'18-MAY-2020','257SLLV-S - 909','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-23 02:26:29','2021-03-01 16:44:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1312','MRS IFFAT','03359211208','HO#04 ST#02 SEC -A DHA 01','8','37','0','WHIRLPOOL','0',null,'FEW DATE PARCHES',null,'MICROWAVE OVEN','DEMO REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-23 02:42:47','2020-09-23 23:49:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1313','BRIG ASIF','03216012503','HO#06 LANE 12-B SEC B DHA 02 ISB','6','12','21913','FISCHER','0',null,'07-JULY-2019','45GF - 1027','WATER COOLER','TAB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-23 19:55:50','2020-09-30 00:38:38',null,'1',null,'0');
INSERT INTO complaints VALUES('1314','TARIQ MEHMOOD','03025089381','NAYMAT KHAN TOWN PINDORIYA R.W.P','8','38','42462','FIVE STAR','777MC-2043',null,'16-SEP-2020',null,'COOKING RANGE','FLAM PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-23 20:45:25','2020-09-28 01:24:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1315','HAFIZ ABDUL GHAFFAR','03315444406','HO#64-A ST#46 F-10/4 ISB','4','6','6766','SIGNATURE','0',null,'15-DEC-2019','SWD-HD20-RD - 994','WATER DISPENSER','LEAKAGE PROB(PARTS CUSTOMER SA CONFIRM KAR LIJAY GA)',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-23 20:52:06','2020-09-26 22:13:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1316','SAMI ULLAH','03005018506','H NO 1080 ST NO 67/83 SAFARI VALLEY UMER BLOCK PHASE 8 B.TOWN RWP','6','14','28780','SIGNATURE','0',null,'30-JULY-2020','SBH-AA901G - 1122','BUILT IN APPLLIANCES','2ND TIME COMPLAINT AAI 
NOB PROB',null,'5','RESOLVED',null,'customer','0',null,'74','2020-09-23 21:08:36','2020-09-28 01:55:02',null,'1',null,'0');
INSERT INTO complaints VALUES('1317','COL SARFARAZ SADDIQ','03218572666','HO#730 ST#18 OVERSEAS 03 PHASE 08 BEHIRA','9','26','141589','SIGNATURE','0','2017-10-12',null,'SRF-HM100 - 908','REFRIGERATOR','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','67','92','2020-09-23 22:25:14','2020-10-05 22:35:55',null,'1',null,'0');
INSERT INTO complaints VALUES('1318','MRS HASAN','030005500453','HO#225 C LANE #07 RAJA AKRAM COLONY TULSA ROAD LALAZAR R.W.P','4','5','16351','DAIKIN','0',null,'19-SEP-2020','20JXV1 - 915','AIR CONDITIONER','OUT DOOR SENSOR MISSING',null,'5','COMPLAINT CLOSED',null,'customer','1','1284','92','2020-09-23 22:26:15','2020-09-30 02:20:18',null,'1',null,'0');
INSERT INTO complaints VALUES('1319','ROYAL CORPORATION','03002508452(03212401239)','SHOP#01 GROUND FLOOR ARIST TOWER ROYAL CORPORATION','8','38','22530','KENWOOD','0',null,'27-MAY-2017','1214HC-INVERTER - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-23 22:37:33','2020-09-27 00:21:34',null,'1',null,'0');
INSERT INTO complaints VALUES('1320','M. JAVED ASLAM','03335188141','HO#44 ST#22 G-13/3 ISB','4','5','5286','SIGNATURE','NAEEM AZEEM',null,'11-SEP-2018','MD99SS-S - 1723','REFRIGERATOR','BODY CURRANT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-23 22:47:41','2020-09-26 21:09:35',null,'1',null,'0');
INSERT INTO complaints VALUES('1321','MR SALMAN','03028566909','HO#1118 ST#24 PHASE 05 B. TOWN','4','11','13909','LG','0',null,'10-MAY-2020','9588NEHVA-S - 901','WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-23 22:55:34','2020-09-27 01:24:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1322','HAMMAD','03335435225','HO#4-B BLOCK -4 GROUND FLOOR ASKRI 04 CHANDA CHICHI R.W.P','9','51','195969','TCL','2007VLR301203A000341',null,'09-SEP-2020','55P8US - 942','FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-23 23:21:45','2020-10-07 22:42:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1323','MRS IFFAT','03359211208','HO#04 ST#02 SEC -A DHA 01','8','37','0','WHIRLPOOL','ABDUL REHMAN (HEAD OFF)',null,'12-SEP-2020','290GT - 961','MICROWAVE OVEN','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-23 23:48:00','2020-09-26 22:45:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1324','TANZEELA RAHEEM','03008542253','HO#52 ST#26 G-13/2 ISB','5','29',null,'HAIER','0',null,'12-SEP-2020','438EPR - 896','REFRIGERATOR','DOOR DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-23 23:57:34','2020-09-26 22:43:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1325','BABER','03215173951','HO#25- ST#17 I -9/1 ISB','6','13','37164','HAIER','0',null,'14-OCT-2019','368EPB - 860','REFRIGERATOR','GAS KIT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-24 00:37:32','2020-09-26 22:40:27',null,'1',null,'0');
INSERT INTO complaints VALUES('1326','DR AHMED','03065574644','H NO 60 ST NO 16 BAHRIA SPRINGS NORTH PHASE 7 B.TOWN','6','16','28658','SIGNATURE','0',null,'27-jul-2020','MD99SS-S - 1723','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','918','92','2020-09-24 01:29:25','2020-09-26 21:08:10',null,'1',null,'0');
INSERT INTO complaints VALUES('1327','FAISAL','03009437696','HO#27 MAIN ROAD G-6/3 ISB','5','33','115572','SONY','0',null,'15-MAY-2020','55X8577G-S - 942','FLAT PANEL TV','REMOTE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-24 01:34:21','2020-09-25 23:27:17',null,'1',null,'0');
INSERT INTO complaints VALUES('1328','SHOAIB SHHIB','03345118694','HO#32 ST#05 KORANG TOWN ISB','4','10','16417','HAIER','0',null,'21-SEP-2020','398IDRT - 746','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-24 01:50:43','2020-09-26 22:30:35',null,'1',null,'0');
INSERT INTO complaints VALUES('1329','JAMIL AHMAD','03335299314','HO# 1714 ROAD B-9 PHASE 7 BAHRIA TOWN','6','12','27856','SHARP','0','2020-09-23',null,'612MB-SS2 - 1547','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-24 02:14:12','2020-09-26 21:07:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1330','RAZA','03328603112','HO#1012 ST#30-A ABU BAKAR BLOCK PHASE 08 B.TOWN','6','16','18665','SIGNATURE','0',null,'03-JAN-2019','SWM-SR50 - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-24 02:19:27','2020-09-25 21:13:17',null,'1',null,'0');
INSERT INTO complaints VALUES('1331','MEELAM KIYANI','03009383938','HO#56-C GUL MOHAR LANE UNIVERSITY TOWN PESHWAR','8','37','23299','CARAVELL','YASIER HEAD OFFICE',null,'12-AUG-2020','450MEC - 1651','CHILLER','DOOR DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-24 02:27:29','2020-09-28 20:47:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1332','NASIR HASHMI','03335126832','HO#4 ST#21 F-7/2 ISB','5','33','121766','HOMAGE','0',null,'11-SEP-2020','81HWD - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-24 02:37:46','2020-09-28 01:15:06',null,'1',null,'0');
INSERT INTO complaints VALUES('1333','HAMZA TARIQ','03058522929','H NO 24B ST NO 7 SHAMS COLONY GOLRA MORE ISB','9','22','195800','SIGNATURE','0',null,'06-SEP-2020','SWM-JD51 - 902','WASHING MACHINE','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-24 03:01:30','2020-09-25 21:07:02',null,'1',null,'0');
INSERT INTO complaints VALUES('1334','NIGHAT SULTANA','03216652503','H NO 704 ST NO 106 SEC 3 GULSHANABAD ADYALA ROAD RWP CANTT','9','51','190100','TCL','1907VLR300894A00119',null,'8-JUN-2020','65C6US - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','356','92','2020-09-24 19:20:06','2020-10-14 21:01:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1335','MR ASAD','03215555544 , 03002069693','H NO 323 BLOCK H NEW CITY PHASE 2 WAAH CANTT','8','38','41313','SAMSUNG','0',null,'24-JUL-2020','65Q60-MRM - 1443','FLAT PANEL TV','PORTS',null,'5','CLOSED COMPLAINT',null,'customer','1','722','92','2020-09-24 19:21:38','2020-10-08 22:41:16',null,'1',null,'0');
INSERT INTO complaints VALUES('1336','DANISH KHAN','03013109189','H NO 662 ST NO 23 SEC F1 PHASE 8 B.TOWN RWP','6','15','22531','LG','0',null,'6-AUG-2019','247SMUV-S - 909','REFRIGERATOR','LIGHT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','333','92','2020-09-24 19:22:57','2021-03-01 16:44:33',null,'1',null,'0');
INSERT INTO complaints VALUES('1337','RAUF KHAN','03005555598','HO#03 SICHIN ROAD E-7 ISB','5','34','100847','TCL','181VLR300660A00043',null,'24-DEC-2018','65C6US - 1443','FLAT PANEL TV','NET PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-24 19:45:26','2020-09-28 01:11:57',null,'1',null,'0');
INSERT INTO complaints VALUES('1338','TUSEEF SAB','03225410334','IQBAL PLACE ST#04 AHMADABAD DAMIYAL ROAD R.W.P','9','19','189588','HAIER','0',null,'30-MAY-2020','18HFAA-B INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-24 19:55:01','2020-09-29 23:00:49',null,'1',null,'0');
INSERT INTO complaints VALUES('1339','COL KAMRAN','03116333730','HO#20 ST#12 SEC E DHA 01','4','5','14261','HAIER','0',null,'31-May-2020','622IBG - 908','REFRIGERATOR','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-24 20:38:19','2020-09-28 01:06:57',null,'1',null,'0');
INSERT INTO complaints VALUES('1340','DR FIDA HUSSAIN BUTT','03335196464','FLAT NO 2 BLOCK C7 SEC G/11-3 ISB','5','28','0','HAIER','0',null,'0',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-24 20:45:35','2020-09-27 23:01:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1341','HAIDER ALI','03245110250','HO#11 ST#15 LANE#10-A SEC E DHA 02','6','15','22380','SIGNATURE','0',null,'29-JULY-2019','SFV-SY45 - 1467','FREEZER','HANDLE DAMAGE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-09-24 21:08:14','2020-09-26 21:25:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1342','USMAN MANZOOR','03335345576','HO#531 ST#11 ALI BLOCK PHASE 08','6','12','11563','SIGNATURE','0',null,'24-NOV-2017','SWM-SR50 - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-24 21:50:53','2020-09-25 20:50:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1343','BILAL UR REHMAN','03345911552','HO#12-ST#04 F-8/3 ISB','5','30','0','ORIENT','PTCL CALL',null,'2 YEAR AGO','CRYSTAL-RD-BLK - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-24 22:18:51','2020-09-27 21:17:17',null,'1',null,'0');
INSERT INTO complaints VALUES('1344','RAZIQ SAB','03175807737','HO#1056 ST#06 ALNOOR COLONY SEC 01 KHANA PUL R.W.P','5','32','90368','LG','0',null,'26-DEC-2017','4J6TMP0W-C - 1850','WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-24 22:29:42','2020-10-05 22:33:55',null,'1',null,'0');
INSERT INTO complaints VALUES('1345','HAMZA HAROON','03215675870','HO#111 ST#24 PHASE 07 BEHIRA SPRING  B.TOWN','6','16','14269','CORONA','0',null,'08-MAY-2018','C47 - 14','COOKING RANGE','BURNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-24 22:40:25','2020-09-27 21:13:32',null,'1',null,'0');
INSERT INTO complaints VALUES('1346','JAM EEL','03005553448','ZILDAR PLAZA NEAR ALSHAFA EYE HOSPITAL KHOTAKALA R.W.P','9','20','168925','SIGNATURE','0',null,'10-APR-2019','SFV-SY45 - 1467','FREEZER','DOOR HANDAL PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-24 22:48:40','2020-10-01 22:43:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1347','FAHAD ALI','03015216565','HO#HO#17 ST#DK 319 -2-91 DHOK KASHMIRIAN R.W.P','9','51','183963','TCL','1910VLR300959A000193',null,'16-DEC-2019','40S65A - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-24 23:15:16','2020-09-28 01:04:33',null,'1',null,'0');
INSERT INTO complaints VALUES('1348','ROHAIL KIYANI','03215512344 , 03228516881','3RD FLOOR RBS TOWER BUSINESS PARK GULBERG GREEN ISB','6','15','28969','ORIENT','18-MEG-PW-915',null,'11-AUG-2020',null,'AIR CONDITIONER','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-25 00:19:50','2020-10-12 20:53:09',null,'1',null,'0');
INSERT INTO complaints VALUES('1349','MRS COL TAHIR','03334254124','HO#14 ST#17 SEC -C DHA ISB','6','12','29413','LG','425FPS-S-34(ZARA)',null,'05-SEP-2020',null,'DISH WASHER','DEMO REQUIRED',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-09-25 00:41:48','2020-11-11 02:53:22',null,'1',null,'0');
INSERT INTO complaints VALUES('1350','ASAD','03324180805','HO#72 ST#39 SEC -F SAFRI HOMES PHASE 08 B.TOWN','6','15','5514','TCL','1810VLR300635800018',null,'06-OCT-2020','43P6US - 869','FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-25 00:48:51','2020-10-13 19:57:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1351','NAEEM ABBAS','03049789224','HO#367 ST#22 BLOCK -D MEDIA TOWN','4','9','1616185','GREE','997BEG-CW1-1911',null,'05-SEP-2020',null,'REFRIGERATOR','OVER COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-25 01:16:48','2020-09-28 00:56:24',null,'1',null,'0');
INSERT INTO complaints VALUES('1352','ABDUL WAHEED','03335245545','MUMTAZ HOUSE ST NO 4 AL NOOR CALUNE RABI BAKAR  RWP','9','23','196478','HAIER','0',null,'20-SEP-2020','100HW15HDG - 1619','WASHING MACHINE','SOFT WARE KA ISSUE HAY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-25 02:14:34','2020-09-27 20:38:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1353','MIRZA AFFAN','03334180119','HO#D-69/2 AIR HEAD QUARTER SEC E 9 ISB','5','36','86004','SIGNATURE','0',null,'01-JULY-2017','SRF-SY25D - 860','REFRIGERATOR','NOT WORKING+LIGHT  PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-25 02:30:02','2020-11-10 21:55:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1354','ASHFAQ SAB','03218914142','HO#03 DHARI HUSSANABAD LALKHURTI R.W.P','8','38','37278','HAIER','0',null,'22-OCT-2019',null,'AIR CONDITIONER','ERROR E7',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-25 02:55:38','2020-10-07 22:32:38',null,'1',null,'0');
INSERT INTO complaints VALUES('1355','ABDULLAH SAB','03488269788','HO#351 ST#13 HABIB COLONY NEAR BILA MAJID R.W.P','9','23','196621','HAIER','336IDBT-49',null,'23-SEP-2020',null,'REFRIGERATOR','GAS KIT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-25 03:00:02','2020-09-28 00:53:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1356','SHAFIULLAH','03049508492','SHOP NO 4 PALAZA NO 181 CIVIS CEN TER FACE 4','6','12','25321','CANON','0',null,'28 DEC 2019','10LCF - 1031','GEYSER','ON NAI HO RAHA',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-25 03:00:22','2020-09-27 20:31:21',null,'1',null,'0');
INSERT INTO complaints VALUES('1357','FAISAL SANA ULLAH','03462232600','HO#988 ST#29 USMAN BLOCK R.W.P','6','14','0','DAWLANCE','0',null,'OUT OFF WARRANTY',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-25 03:12:56','2020-09-28 00:50:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1358','ARIF ALI SHAH','03218571384','HO#410 ST#26 G-14/4 ISB','5','28','116156','SIGNATURE','HOB',null,'06-MAY2020','3762G - 1122','BUILT IN APPLLIANCES','BANNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-25 19:59:16','2020-10-01 00:57:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1359','SHAROZ SAB','03455','HO#29 PARIS CITY BLOCK -E KASHMIR HIGWAY ISB','9','51','192424','TCL','202VLR301100A00402',null,'09-JULY-2020','32D310 - 936','FLAT PANEL TV','POWER PRB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-25 20:20:04','2020-10-07 22:30:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1360','MAIN ILTAF','03215062037','HO#04 ST#8-A LANE#06 SEC B DHA 02 ISB','6','14','27648','LG','0',null,'09-JUNE-2020','512FPS-S - 1653','DISH WASHER','DEMO REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-25 20:32:13','2020-10-03 02:21:20',null,'1',null,'0');
INSERT INTO complaints VALUES('1361','SHAJII ASLAM','03325662333','HO#380 ST#72 F-11/1 ISB','5','29','89165','LG','0',null,'06-NOV-2017','187SK3 - 915','AIR CONDITIONER','SWING MOTER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-25 20:47:26','2020-10-12 23:16:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1362','MUSTAQ HUSSAIN','03449355342','FLAT#606 5TH FLOOR 18 WEST F-11-MARKAZ ISB','5','29','122129','HAIER','0',null,'21-SEP-2020','18HD-G-INV - 915','AIR CONDITIONER','OUT DOOR GAS  PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-25 21:03:29','2020-09-29 21:00:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1363','JAMIL AHMAD','03335299314','HO# 1714 ROAD B-9 PHASE 7 BAHRIA TOWN','6','12','27856','SHARP','0','2020-09-23',null,'612MB-SS2 - 1547','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','1329','74','2020-09-26 00:39:42','2020-09-26 21:36:27',null,'1',null,'0');
INSERT INTO complaints VALUES('1364','MAQSOOD','03409174082','HO#15 ST#87 G-6/3 ISB','5','31','112182','SHARP','0',null,'14-DEC-2019','24HCP-INV - 917','AIR CONDITIONER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-26 20:47:47','2020-09-26 21:15:26',null,'1',null,'0');
INSERT INTO complaints VALUES('1365','MISS SAIRA','03334429797','HO#11 ST NO 9 SAFARI VILLAS 1 BAHRIA TOWN','4','6','15470','ORIENT','0',null,'27-JUL-2020','18G-ORBIT - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED E',null,'customer','0',null,'92','2020-09-26 20:48:09','2020-09-27 01:31:43',null,'1',null,'0');
INSERT INTO complaints VALUES('1366','QARI SULTAN MUHAMMAD','03005052938(03005808046)','HO#DK 746/-B SERVICES ROAD LANE#02 DHOK KASHMIR R.W.PIYA  R.W.P','9','19','165608','SIGNATURE','0',null,'165608','SRF-WB50-W - 887','REFRIGERATOR','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-26 20:58:43','2020-09-29 20:31:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1367','MAQSOOD','03409174082','HO#15 ST#87 G-6/3 ISB','5','31','112182','SHARP','0',null,'14-DEC-2019','24HCP-INV - 917','AIR CONDITIONER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','1364','74','2020-09-26 21:13:11','2020-09-29 20:42:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1368','GOLD MIAN','03306222206','FIRST FLOOR CHAUDHARY ARCADE OPP GT ROAD RAHAT BAKERS PHASE 4 B.TOWN RWP','6','12','26380','KENWOOD','0',null,'28559','2430F-IMPERIAL - 916','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-26 22:05:13','2020-10-14 20:58:57',null,'1',null,'0');
INSERT INTO complaints VALUES('1369','REHAN SAB','03214423440','HO#1342 ST#51 PHASE 01 B.TOWN','9','19','187714','TCL','2001VLR301045A000189',null,'03-MAR-2020','50P8US - 871','FLAT PANEL TV','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-26 22:37:48','2020-10-06 02:14:48',null,'1',null,'0');
INSERT INTO complaints VALUES('1370','INAYAULLAH','03415000534','HO#1236 ST#18-B G-15/1 ISB','5','28','102874','LG','(GHAIS KHAN)',null,'15-MAY-2019','4J6TMP8S-S - 899','WASHING MACHINE','FRONT DOOR STUCK',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-26 22:46:53','2020-10-05 22:31:44',null,'1',null,'0');
INSERT INTO complaints VALUES('1371','KHALID SAEED','03335173843','HO#2/1-B ST#30 G-7/2 ISB','5','28','87730','SIGNATURE','IQBAL(STOCK)',null,'29-AUG-2017','SWM-JD46 - 945','WASHING MACHINE','ERROR 01',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-26 22:58:05','2020-10-24 21:55:15',null,'1',null,'0');
INSERT INTO complaints VALUES('1372','SALMAN RASHID','03235093096','APP#AS03 BLOCK A SPRING APP EXPRESSWAY ISB','6','13','37601','ORIENT','0',null,'17-NOV-2019','18G-HYPER-SW - 915','AIR CONDITIONER','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-26 23:15:57','2020-11-14 21:13:44',null,'1',null,'0');
INSERT INTO complaints VALUES('1373','USMAN','03455912855','HO#N275 MOHALLAH WARIS KHAN BEHIND POLICE FOUNDATION R.W.P','9','22','191760','ORIENT','0',null,'30-JUNE-2020','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-26 23:23:39','2020-09-30 19:46:07',null,'1',null,'0');
INSERT INTO complaints VALUES('1374','MURTAZA BUT(STOCK)','03115006051','FRIENDS CORPORATION PWD','4','7','0','HAIER','0',null,'0','385H-RED - 957','FREEZER','DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-27 00:11:48','2020-10-21 00:16:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1375','MURTAZA BUT(STOCK)','03115006051','FRIENDS CORPORATION THEZEEB BAKERS PWD','4','7','0','HAIER','0','2020-09-26',null,'285SD - 956','FREEZER','HANDAL DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-27 00:13:15','2020-11-05 22:24:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1376','DR WAQAS KHALID','03215798467','HO#341 ST#97 SEC G-9/4 ISB','9','26','189062','HAIER','0',null,'20-MAY-2020','438IDB - 896','REFRIGERATOR','OVER COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-27 00:27:04','2020-09-29 20:40:03',null,'1',null,'0');
INSERT INTO complaints VALUES('1377','MALIK SADAR','03005548081','FRIENDS CORPORATION SADAR R.W.P','7','49','0','SHARP','0',null,'0','612MB-SS2 - 1547','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-27 00:28:24','2020-10-24 23:07:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1378','MALIK SADAR','03005548081','FRIENDS CORPORATION SADAR R.W.P','7','49','0','DAWLANCE','0',null,'0','9175WBES - 883','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-27 00:55:04','2020-11-10 23:31:28',null,'1',null,'0');
INSERT INTO complaints VALUES('1379','MRS SHUJA','03339349283','AL HUDHA INSTITUTED NEAR RANGE ROAD R.W.P','4','6','161349','HAIER','TAHA SOHAIL',null,'22-NOV-2018A','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-27 01:00:09','2020-09-29 20:09:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1380','EJAZ SHAH','03315310790','HO#210 LIGNUM TOWER DHA 02','6','12','25500','XTREEM','788(HOOD)',null,'05-JAN-2020',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-27 01:35:48','2020-10-01 22:56:18',null,'1',null,'0');
INSERT INTO complaints VALUES('1381','USMAN SB','03004560011 , 03314024899','H NO 214C C BLOCK ST NO 31C PWD ISB','5','32','119511','SONY','0',null,'21-JUL-2020','48W652D-CC - 1560','FLAT PANEL TV','REMOTE + VOLUME PROB 
AGAIN COMPLAINT AAGI HAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-27 01:42:31','2020-10-01 22:54:32',null,'1',null,'0');
INSERT INTO complaints VALUES('1382','MALIK SADAR','03005548081','FRIENDS CORPORATION SADAR R.W.P','7','49','0','SIGNATURE','2 PICE',null,'0','CH1-RD - 1705','AIR COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-27 01:54:43','2020-10-01 23:24:41',null,'1',null,'0');
INSERT INTO complaints VALUES('1383','M. NAVEED','03365503281','HO#641 ST#02 G-9/2 ISB','5','28','119707','GREE','0',null,'24-JULY-2020','8768EG-CR1 - 884','REFRIGERATOR','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-27 02:09:48','2020-09-30 21:51:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1384','IKHLAQ FCI','03009796002','FRIENDS CORPORATION BULE AREA ISB','5','28','121805','HAIER','CUSTOMER KO DOOR SHOWROOM SA REPACE KAR K DIA HAIN',null,'12-SEP-2020','438EPR - 896','REFRIGERATOR','DOOR DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-27 02:18:14','2020-09-30 21:48:32',null,'1',null,'0');
INSERT INTO complaints VALUES('1385','KARNAL KURSHEAD AHMAD','03355932810','HO #289 ST 14 CHAKLALA SAKEEM 3','9','19','40014','CORONA','0',null,'20-FEB-2010','C10/SSTEEL - 539','GEYSER','NOOB KA ISSUE HAY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-27 02:25:01','2020-09-30 23:01:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1386','KHAWAR JAMAL','03335955950','HO#88 ST 5 JAN  SHADI HALL  SAKEEM 3 RWP','9','19','162206','DAWLANCE','0',null,'7-DEC-2018','112C - 961','MICROWAVE OVEN','HETING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-27 02:43:36','2020-09-30 00:32:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1387','MR FAISAL WAHEED','03003247253','HO#12 ST NO 3 MOHALA DARS ARMY  OFFICERS COLONY MORGA  RWP','6','12','27730','HAIER','0',null,'12-JUN-2020','100HW15HDG - 1619','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-27 19:42:41','2020-09-29 20:22:10',null,'1',null,'0');
INSERT INTO complaints VALUES('1388','aslam sb','03008557478','plot no 81 f st no 6 sec i/10-3 isb','8','37','0','SUPER ASIA','0',null,'0','240POWER WASH - 899','WASHING MACHINE','panel damaged',null,'5','COMPLETED',null,'customer','0',null,'73','2020-09-27 19:52:18','2020-11-08 21:20:28',null,'1',null,'0');
INSERT INTO complaints VALUES('1389','zahid ali','03009564000','cb166 lane no 1 tulsa road sherzaman colony rwp','9','19','0','KENWOOD','0',null,'6-sep-2018','480GD-BKG - 885','REFRIGERATOR','cooling',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-27 19:59:06','2020-09-30 01:20:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1390','DR MUSHTAQ','03005171468','FLAT NO 5 BLOCK 15/E ST NO 19 SEC G/10-2 ISB','5','34','118647','HAIER','0',null,'3-JUL-2020','368EBD - 860','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-27 20:12:09','2020-09-29 20:14:34',null,'1',null,'0');
INSERT INTO complaints VALUES('1391','C/O SADDIQ SB','03215199451','h no N366 ST NO 8 MUHALLA WARIS KHAN NEAR WARIS KHAN POLICE STATION TANDOOR WALI GALI','9','19','0','SIGNATURE','0',null,'0','SIGNATURE W/M','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-27 20:15:12','2020-09-29 22:47:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1392','MISS JENNIFER MACKAY','03014959212','H NO 2A UPPER PORTION ST NO 64 SEC F/8-4 ISB','5','31','106412','SAMSUNG','0',null,'25-JUN-2019','55NU8000-S - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-27 22:06:14','2020-10-13 20:38:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1393',null,null,null,'4',null,null,'SAMSUNG','000',null,null,'40N5300-MRM - 938','FLAT PANEL TV','Not turning on',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-09-27 22:25:52','2020-12-19 23:36:44',null,'1',null,'0');
INSERT INTO complaints VALUES('1394','MUHAMMAD AMJAD  KHAN','03017545765','HO#DK 472 MAJAZAN MASJID STREET SERVICE ROAD DHOK KASHMERIAN','8','38','40091','MITSUBISHI','0',null,'08-JUN-2020','35VA - 913','AIR CONDITIONER','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-27 22:27:23','2020-11-15 01:47:09',null,'1',null,'0');
INSERT INTO complaints VALUES('1395','mr IHTISIAM','03335588579 , 0515521051','h no 29 national park road army officers colony','9','24','196710','SIGNATURE','0',null,'26-SEP-20','SCF-HM11 - 955','FREEZER','FOOT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-27 22:31:58','2020-09-29 19:32:07',null,'1',null,'0');
INSERT INTO complaints VALUES('1396','MR ARSLAN SAFDAR ABBASI','03215311383','HO#DD137 ST 66 NEYAR MEZAN BANK GULSHAN DADAN KHAN MUREE ROAD RWP','8','37','37582','SIGNATURE','0',null,'14-NOV-2019','SBH-AC930S - 1122','BUILT IN APPLLIANCES','INGNATION NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-27 22:47:55','2020-09-30 23:51:40',null,'1',null,'0');
INSERT INTO complaints VALUES('1397','MIRZA SB','03009556522','OPP JAMIAMASJID C LANE MAIN MORGAH RWP','9','19','0','CORONA','0',null,'0','5 BURNER','COOKING RANGE','NOB PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-27 22:52:14','2020-09-30 23:36:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1398','MEENRA  SHOAIB','03025676613','HO#517A SEC  A  ST 7 PHASE 8 RWP','6','12','9223','SIGNATURE','0',null,'11 -JUN -2017','SRF-HM99 - 908','REFRIGERATOR','MOTOR KA ISSUE HAY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-27 23:28:00','2020-10-01 00:52:12',null,'1',null,'0');
INSERT INTO complaints VALUES('1399','zeeshan  SB','03348467755','H NO 314 SEC  E ABUBAKAR BLOCK PHASE 8 B.TOWN  RWP','6','14','20123','ORIENT','0',null,'8-APR-2019','18G-ATLANTIC-GW - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-28 00:22:12','2020-10-01 19:55:43',null,'1',null,'0');
INSERT INTO complaints VALUES('1400','MUHAMMAD ASIF','03107440320','MILAD CHOWK LANE NO 3 GULISTAN COLONY RWP','6','12','8689','SIGNATURE','0',null,'20-MAY-2017','SRF-WB100-B - 860','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-28 01:12:09','2020-10-12 23:12:27',null,'1',null,'0');
INSERT INTO complaints VALUES('1401','ADEEL SB','03335700546','H NO 2A  OPP ABPARA MARKET SEC G/6-1-4 ISB','8','38','115768','HAIER','0',null,'18-MAR-2020','276EBD - 858','REFRIGERATOR','BODY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-09-28 03:15:19','2020-09-29 20:11:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1402',null,null,null,'13',null,null,'HOMAGE',null,null,null,'81HWD - 993','WATER DISPENSER','Cooling problam',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2020-09-28 03:34:19','2020-10-14 21:36:03',null,'1',null,'0');
INSERT INTO complaints VALUES('1403','DR ASIF','03009546313','HO#581 ST#69 SEC 1-8/3 ISB','6','13','29317','SIGNATURE','0',null,'20-AUG-2018','SCF-HM10 - 955','FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-28 20:26:10','2020-10-01 02:10:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1404','MR ASIF MIRZA','03156978882','HO# 1290 ST 38 6 11 ISB','5','35','122225','HAIER','0',null,'25-SEP-2020','398IDBT - 884','REFRIGERATOR','PANEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-28 20:45:40','2020-09-30 21:36:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1405','MR AZAM','03348528826','HO#593 ST 27 BLOCK C ,CBR TOWN  PHASE 1 ISB','4','5','15794','DAWLANCE','0',null,'17-AUG-2020','311G-DW - 986','MICROWAVE OVEN','NOB KA ISSUE HAY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-28 21:07:46','2020-10-06 01:07:15',null,'1',null,'0');
INSERT INTO complaints VALUES('1406',null,null,null,'6',null,null,'SONY','00000',null,null,'65X8500G-CC - 1443','FLAT PANEL TV','DOT IN PANEL.. AND WIFI CONNECT NHI HOTA',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-09-28 21:27:04','2020-10-24 22:04:15',null,'1',null,'0');
INSERT INTO complaints VALUES('1407','NISAR AHMED','03085456893','H NO 473 ST NO 19 GHOURI TOWN PHASE 3 ISB','9','24','193570','HAIER','0',null,'27-JULY-2020','438IDRT - 896','REFRIGERATOR','EARTH PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-28 21:29:57','2020-09-30 21:23:48',null,'1',null,'0');
INSERT INTO complaints VALUES('1408','FAHEEM','03215812600','HO#198-B SCE 4- B KHAYBAN SIR SYED R.W.P','9','26','192307','GREE','0',null,'07-JULY-2020','9978EG-CW3 - 885','REFRIGERATOR','DOOR GAS KIT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-28 22:02:16','2020-10-06 01:04:38',null,'1',null,'0');
INSERT INTO complaints VALUES('1409','RAFAY','03018512878','HO#04 ST#HILL VIEW BANI GALA ISB','5','31','121759','TCL','50P8-US-1022(2006VLR301178A00179)',null,'11-SEP-2020',null,'FLAT PANEL TV','NET PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-28 23:04:20','2020-10-01 20:18:27',null,'1',null,'0');
INSERT INTO complaints VALUES('1410','ARIF VASEEF','03325220952','HO#89 ST#36 SEC C PHASE 08 B.TOWN','6','16','29500','LG','1788NEHTE-C',null,'10-SEP-2020',null,'WASHING MACHINE','INHAR DRUM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-28 23:12:05','2020-10-05 22:29:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1411','KAMRAN','03335138190','HO#I/325 GALI#05 CHATTIYA HATTIAN R.W.P','8','39','12267','CARAVELL','0',null,'06-SEP-2020','5L-807-WD - 126','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-29 00:09:11','2020-10-06 01:02:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1412','ZAMEER (TASALA)','03218375272','PLOT#82 TASALA COMPANY','5','29','0','WHIRLPOOL','TASALA W/M PTCL CALL',null,'0','3LWTW4815FW - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-29 00:40:51','2020-09-30 22:15:07',null,'1',null,'0');
INSERT INTO complaints VALUES('1413','SARWAT ALI','03212491754','HO#295 ST#40 F-10/4 ISB','5','29','121799','GREE','0',null,'12-SEP-2020','18CITH11W - 915','AIR CONDITIONER','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-29 01:12:02','2020-10-01 20:13:43',null,'1',null,'0');
INSERT INTO complaints VALUES('1414','NASEER KHAN','03215000212','HO#68 ST#12 DEFACE VILLAS SEC F DHA 01','4','6','14927','DAWLANCE','0',null,'29-JAN-2020','9190LFD-G BROWN - 896','REFRIGERATOR','OLI LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-29 01:16:20','2020-10-01 19:51:49',null,'1',null,'0');
INSERT INTO complaints VALUES('1415','MIRZA ABDUL  HAEEQ SAB','03345356321(03325304979)','HO#10E /4 BILAL ST NEW LALAZAR NEAR FUJI FOUNDATION R.W.P','7','49','21866','TCL','2005VLR301170A000238',null,'21-SEP-2020','43S6500 - 869','FLAT PANEL TV','SOFT WARE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-29 01:29:54','2020-09-30 19:36:16',null,'1',null,'0');
INSERT INTO complaints VALUES('1416','MIRZA ABDUL  HAEEQ SAB','03345356321(03325304979)','HO#10E /4 BILAL ST NEW LALAZAR NEAR FUJI FOUNDATION R.W.P','7','49','21866','TCL','2005VLR301170A000238',null,'21-SEP-2020','43S6500 - 869','FLAT PANEL TV','SOFT WARE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-29 01:30:07','2020-10-06 21:06:22',null,'1',null,'0');
INSERT INTO complaints VALUES('1417','MUSTAQ MUGHAL','03345005295','HO#21-A ST#06 ASKARI 04 CHAKLALA  R.W.P','9','20','178069','LG','0',null,'31-AUG-2019','1066NEFTF-S - 902','WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-29 19:52:00','2020-10-05 22:26:57',null,'1',null,'0');
INSERT INTO complaints VALUES('1418','NAILA TABASUM','03305678929','HO#841 MIAN SERVICE ROAD I 10-/ 4 ISB','9','24','171389','SIGNATURE','0',null,'18-MAY-2019','SFV-SY45 - 1467','FREEZER','COILING &HEAT UP',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-29 20:23:34','2020-10-01 00:45:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1419','M. SOHAIB','03445445441','HO#07 ST#29 SEC J DHA 02','6','15','09-OCT-2019','SAMSUNG','0',null,'09-OCT-2019','40N5300-S - 938','FLAT PANEL TV','PANAL LINE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-29 21:26:07','2020-10-07 20:19:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1420','HAFEEZ','03015809689(03215027500)','HO#E-8  ST#12 WESTRIGE 01 MAIN IQBAL ROAD R.W.P','8','38','33211','HAIER','0',null,'11-APR-2019','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-29 21:50:49','2020-10-01 19:44:51',null,'1',null,'0');
INSERT INTO complaints VALUES('1421','KARNAR IQRAM HUSSAIN','03235339957','HO#416 ST 13 SEC A ASKARE 14 HADEYALA ROAD RWP','9','19','183479','LG','0',null,'15-SEP-2019','9588NEHVA-S - 901','WASHING MACHINE','WATER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-29 21:57:16','2020-10-05 22:23:16',null,'1',null,'0');
INSERT INTO complaints VALUES('1422','SHAKEEL SAB','03038789227','MALAKAND SAWAT ROAD   ARMY CAMP','9','51','196733','ORIENT','55S-ANIMATION-98',null,'26-SEP-2020',null,'FLAT PANEL TV','SOUND PROB(SAQIB FCP)',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-09-29 22:37:22','2020-10-02 00:25:31',null,'1',null,'0');
INSERT INTO complaints VALUES('1423','FAIZA UMAIR','03315250919','HO#140 ST#07 BLOCK C PHASE1 CBR TOWN LOHI BAR ISB','9','24','0','SIGNATURE','AGAIN COMPLAINT AAI HAIN  (24-APR-2020)',null,'2 YEAR AGO','SWM-SR45 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-29 22:45:57','2020-10-01 02:15:40',null,'1',null,'0');
INSERT INTO complaints VALUES('1424',null,null,null,'5',null,null,'LG','005KCASMC128',null,null,'55Nano86','FLAT PANEL TV','Audio Issue',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-09-29 23:03:58','2020-10-29 01:30:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1425','SHAHBAZ ALI','03125090733','HO#03  QUARTER #05 GOR 01 NEAR ARMY HOUSE R.W.P','9','24','187829','SUPER ASIA','0',null,'05-MAY-2020','280SA-CRYSTAL - 902','WASHING MACHINE','WASHING SPEED SLOW',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-29 23:16:22','2020-10-06 01:36:43',null,'1',null,'0');
INSERT INTO complaints VALUES('1426','SAJJAD MEHMOOD','03145243863','HO#489 ST#01 HAZARA TOWN BAHARA KAHO ISB','9','24','190337','HAIER','0',null,'28-SEP-2020','368EBD - 860','REFRIGERATOR','SWITCH ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-29 23:31:16','2020-09-30 20:30:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1427','ASIF','03215220046','HO#29 ST#13 PHASE 02 WHA MODEL TOWN WHA CANTT','5','35','122349','HAIER','0',null,'28-SEP-2020','622IBG - 908','REFRIGERATOR','TOUCH PANAL PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-29 23:32:34','2020-09-30 20:28:20',null,'1',null,'0');
INSERT INTO complaints VALUES('1428','RASHID','03107399994','HO#B-25 SEC E-8 NAVAL COMPLEX ISB','8','39','109611','SIGNATURE','0',null,'23-SEP-2019','SWH-1910 - 1365','GEYSER','DESCALING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-29 23:57:00','2020-10-01 00:54:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1429','MUHAMMAD ADARESH','03339262170','FLAT NO 1 VECKTOREYA HIGHTS MULTE GADAN F 17 TARNOR ROAD','9','19','42595','HAIER','0',null,'25-SEP-2020','90-1789HWM - 901','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-30 00:05:18','2020-09-30 20:26:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1430','RASHID','03107399994','HO#B-25 SEC E-8 NAVAL COMPLEX ISB','8','39','109611','SIGNATURE','0',null,'23-SEP-2019','SWH-1910 - 1365','GEYSER','DESCALING PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','1428','74','2020-09-30 00:11:41','2020-10-05 22:21:07',null,'1',null,'0');
INSERT INTO complaints VALUES('1431','VEDTECHS','03318834597','OFFICE 10 THIRD FLOUR AHMAD CENTER   1/8 MARKAZ ISB','9','19','37640','ORIENT','0',null,'20-NOV-2019','CRYSTAL-C-BLK - 993','WATER DISPENSER','COMPARASER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-30 00:24:01','2020-10-13 19:51:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1432','BILAL JANJUA','03009585929','HO#20 ST#13 3RD AVENUE DHA 01 ISB','8','37','1015','MITSUBISHI','0',null,'15-JUN-2020','35VA - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 00:37:51','2020-10-13 20:35:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1433','KASHIF','03028559779','HO#70-S BLOCK D NPF PWD ISB','5','32','114507','SIGNATURE','SET-AC24-1127',null,'05-FEB-2020',null,'MICROWAVE OVEN','SMELL PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 00:59:36','2020-10-24 01:35:02',null,'1',null,'0');
INSERT INTO complaints VALUES('1434','JUNAID AHMED','03365256249','HO#253 ST#16 B -BLOCK PWD','8','38','27492','LG','0',null,'13-MAY-2018','43UJ651V-C - 869','FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 01:13:43','2020-10-24 23:16:09',null,'1',null,'0');
INSERT INTO complaints VALUES('1435','ZAKI CHAUDHRY','03356500091','HO#1372 ST#84 D-12/1 ISB','9','24','196462','HAIER','0',null,'20-SEP-2020','75-918 - 69','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 01:36:16','2020-10-01 22:46:12',null,'1',null,'0');
INSERT INTO complaints VALUES('1436','DR INAM','03009527527','HO#17 ST 14 PHASE A BHARIA FIVE','5','28','99856','SIGNATURE','0',null,'08-DEC-2018 3009527527','SRF-WB90M - 885','REFRIGERATOR','COLLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-09-30 02:09:18','2020-10-24 21:45:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1437','QAMAR ZAMAN','03335668830','HO#15 ST#10 SEC D DHA 02 ISB','6','13','31713','SIGNATURE','0',null,'13-JAN-2019','SWM-FW1610S - 902','WASHING MACHINE','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 02:15:13','2020-10-02 00:20:34',null,'1',null,'0');
INSERT INTO complaints VALUES('1438','ZEESHAN','03325556589','HO#725 G ST#1-F SEC D BEHIRA TOWN','6','16','19743','LG','0',null,'19-MAR-2019','65SK7900-S - 1443','FLAT PANEL TV','SCERRN BLACK SHADOW PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-09-30 19:34:53','2020-12-06 01:55:34',null,'1',null,'0');
INSERT INTO complaints VALUES('1439','USMAN','03455912855','HO#N275 MOHALLAH WARIS KHAN BEHIND POLICE FOUNDATION R.W.P','9','22','191760','ORIENT','0',null,'30-JUNE-2020','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 19:44:05','2020-10-06 00:30:31',null,'1',null,'0');
INSERT INTO complaints VALUES('1440','MUBARIK AHMED','03335627398(0333-5298520)','HO#362 B ST#37 F-11/3 ISB','8','48','1969','HAIER','0',null,'14-SEP-2020','398IPB - 884','REFRIGERATOR','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 19:54:37','2020-10-01 19:30:07',null,'1',null,'0');
INSERT INTO complaints VALUES('1441','FAHEEM','03455505599','HO#26 ST#48 G-13/2  ISB','8','37','0','LG','C/O SADDIQ SAB',null,'0',null,'REFRIGERATOR','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 20:02:11','2020-10-07 20:14:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1442','AMIR KHAN','03331727280','HO#81/5 D ST#32 F-6/1 ISB','5','35','118072','ORIENT','0',null,'23-JUN-2020','18G-SUPER - 915','AIR CONDITIONER','LEAKAGE PROB+ REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 20:09:22','2020-10-15 23:06:07',null,'1',null,'0');
INSERT INTO complaints VALUES('1443','AHSAN ELAHI','03215170060','HO#464 ST#21 BLOCK -A MIDA TOWN PWD','9','27','184399','SIGNATURE','0',null,'23-DEC-2019','SWM-JD45 - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 20:19:19','2020-10-01 02:13:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1444','YASIR','03455123547','MOHALLHA SHAHZAD COLONY NEAR CARRIAGE FACTORY PEER WADHI R.W.P','9','27','115306','PEL','0',null,'16-MAR-2016','160PRDI - 895','REFRIGERATOR','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 20:24:59','2020-09-30 22:13:16',null,'1',null,'0');
INSERT INTO complaints VALUES('1445',null,null,null,'12',null,null,'GREE',null,null,null,'18CITH12G - 915','AIR CONDITIONER','Gas problem',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'99','2020-09-30 20:40:07','2020-12-21 21:32:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1446',null,null,null,'6',null,null,'SHARP','000000',null,null,'612MB-SS2 - 1547','DISH WASHER','front damage display piece',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-09-30 20:56:33','2020-10-24 22:02:28',null,'1',null,'0');
INSERT INTO complaints VALUES('1447','USAMA','03102000003','HO#211 ST#75 F-11/1 ISB','6','12','23855','SIGNATURE','0',null,'06-NOV-2019','MD99SS-S - 1723','REFRIGERATOR','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 20:56:48','2020-10-03 02:23:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1448','M. FAROOQ','03322720459','HO#89 ST#02 DEFACE COMPLEX NEAR PF HOSPITAL ISB','7','49','20937','ORIENT','0',null,'14-MAY-2020','531BL - 993','WATER DISPENSER','OVER COOLING  PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 21:27:29','2020-10-06 00:50:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1449','RAJA ASAD HABIB SAB','03005000549','RAJA ASAD HABIB KHANA PUR DAM','7','49','20885','LG','0',null,'21-MAY-2020','4J6TMP8S-C - 899','WASHING MACHINE','W/M WASHING POWDER PA NAI LA RAHI',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 21:35:35','2020-10-08 00:32:22',null,'1',null,'0');
INSERT INTO complaints VALUES('1450','MRS COL SHABBIR','03348609065','FLAT#5-C BLOCK 01 SEC -B ASKARI 14 -R.WP','6','12','0','SIGNATURE','SWM -JD56',null,'2 YEAR AGO',null,'WASHING MACHINE','WATER DRAIN PIPE
REQUIRED+ HOT & COLD WATER PIPE REQUIRED 
W/ M ERROR PROB ON THA PAYMENT JOB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 21:53:03','2020-10-01 23:22:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1451','MAJ SOHAIL','03235599289','HO#02 ST#7-A SEC D DHA 02 ISB','5','28','4638','SIGNATURE','NAEEM AZEEM',null,'28-JUULY-2018','SRF-HM99 - 908','REFRIGERATOR','REF FAN SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 22:01:22','2020-10-01 00:44:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1452','YASIR','03455123547','MOHALLHA SHAHZAD COLONY NEAR CARRIAGE FACTORY PEER WADHI R.W.P','9','27','115306','PEL','0',null,'16-MAR-2016','160PRDI - 895','REFRIGERATOR','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','1444','74','2020-09-30 22:08:26','2020-10-06 02:23:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1453','AQEEL','03239345555','HO#06 ST#09 SEC B DHA 02 ISB','9','21','194276','LG','0',null,'09-AUG-2020','4J5TNP3W-S - 899','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 22:11:27','2020-10-12 23:09:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1454','M TAHIR','03335101616','NAFEES FLOOR#GENER MILL PLOT#413 I-9/3 INDUSTRIAL ISB','9','51','196630','TCL','2007VLR301202A00262',null,'23-SEP-2020','50P8US - 871','FLAT PANEL TV','SCREEN SIDE SA BLACK HO RAHI',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 23:09:33','2020-10-06 20:42:16',null,'1',null,'0');
INSERT INTO complaints VALUES('1455','MUBEEN MALIK','03338555135','HO#300 ST#87 E-11/2 ISB','5','35','121746','ORIENT','0',null,'10-SEP-2020','AUTO8 - 899','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 23:21:05','2020-10-03 19:44:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1456','QASIM ZIA KHAN','03234457169','HO#482 ST#47 G-10/4 ISB','5','31','112836','HAIER','0',null,'15-DEC-2019','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-09-30 23:27:38','2020-10-01 19:48:17',null,'1',null,'0');
INSERT INTO complaints VALUES('1457','KHURRAM','03215350344','HO#360 ST#31 PHASE 4-A GORI TOWN ISB','7','49','19443','SONY','CUSTOMER KHUD S/C LA K AAY GAY',null,'31-OCT-2019','40W650D-S - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-01 00:35:05','2020-10-28 23:03:27',null,'1',null,'0');
INSERT INTO complaints VALUES('1458','MAJ SOHAIL','03235599289','HO#02 ST#7-A SEC D DHA 02 ISB','4','6','4638','SIGNATURE','NAEEM AZEEM',null,'28-JUULY-2018','SRF-HM99 - 908','REFRIGERATOR','REF FAN SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','1451','74','2020-10-01 00:43:12','2020-10-02 02:16:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1459','AHMED SOHAIL','03328006440','HO#24 LANE#01 OPP APS WEST RIDGE 03 R.W.P','8','48','42060','SAMSUNG','0',null,'23-AUG-2020','58RU7100-MRM - 876','FLAT PANEL TV','REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-01 01:01:25','2020-10-03 00:58:18',null,'1',null,'0');
INSERT INTO complaints VALUES('1460','KHALID FARID MALIK','03058963970','HO#55 ST#02 SEC B DHA 01 ISB','8','38','28697','HAIER','0',null,'22-SEP-2020','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-01 01:13:23','2020-10-01 20:00:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1461','ZAIN UL ABIDEEN','03009564617','HO#41 ST 1 SEC 2 AIR PORT HOUSUNG  SOCIETY RWP','8','42','42258','SAMSUNG','0',null,'06-SEP-2020','11J5710 - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-01 01:34:49','2020-10-05 22:15:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1462','MR OMER','03238556627','HO#509 ST 47 SEC G 10/4 ISB','5','35','115916','HOMAGE','0',null,'09-APR-2020','83HWD - 993','WATER DISPENSER','WATER LEAKAGE FROM HOT WATER TAP',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-01 01:56:13','2020-10-03 20:06:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1463','NOUMAN','03425014084','HO#01 ST#08 MOHALLAH TAJ ABAD NEAR SHAH KHALID COLONY AIR PORT CHAKLALA R.W.P','4','5','15383','FIVE STAR','0',null,'21-JULY-2020','777C-FS - 1073','COOKING RANGE','NOB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-01 02:05:34','2020-10-05 23:47:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1464','MR SYED ARIF HUSSAIN','03352211099','FLAT #1 ST NO 48 F11/3 RAJA MARKET RAJA PLAZA ISB','5','34','90341','SONY','0',null,'23-DEC-201','55X8500 - 942','FLAT PANEL TV','WIFI CONNECTION ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-01 02:20:02','2020-10-12 23:07:29',null,'1',null,'0');
INSERT INTO complaints VALUES('1465','IFTKHAR AHMED','03325016380','HO#146-D KHALID BLOCK ST#01 VELLY ROAD BEHIRA PHASE 08','6','12','0','SIGNATURE','KHURRAM SAB K CELL PA CALL AAI',null,'0',null,'WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-01 02:26:15','2020-10-03 02:22:29',null,'1',null,'0');
INSERT INTO complaints VALUES('1466',null,null,null,'6',null,null,'ORIENT','AD10129213',null,null,'18G-BOLD-UW-INV - 915','AIR CONDITIONER','OUT DOOR PROBLEM...GAS LEAKEGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-10-01 02:38:56','2020-12-08 23:26:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1467','SHAKEEL AHMAD','03002014664','HO# i-1 officer sataf calone awanay sadar concituctional aveneu set g 5/1 isb','8','37','6349','LG','0',null,'28-NOV-2013','257ZGG - 86','REFRIGERATOR','COMPARASAR KA ISSUE HAY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-01 02:42:51','2020-10-24 21:47:15',null,'1',null,'0');
INSERT INTO complaints VALUES('1468',null,null,null,'8',null,null,'DAWLANCE',null,null,null,'MD10 - 960','MICROWAVE OVEN','Shor ker raha ha',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'96','2020-10-01 03:26:33','2020-10-25 01:59:41',null,'1',null,'0');
INSERT INTO complaints VALUES('1469','HASSAN','03359182746','HO#1312-C ST#84 I-10/1 ISB','9','51','183347','TCL','1910VLR300964A00161',null,'14-DEC-2019','55P8M - 942','FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-01 19:46:55','2020-10-14 20:46:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1470','HAQ NAWAZ','03345028992','HO#508 ST#132 D-12/4 ISB','5','35','99797','SAMSUNG','0',null,'07-DEC-2018','80J4260-S - 899','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-01 19:52:53','2020-10-13 20:31:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1471','KASHIF RAZAQ','03238556250','HO#674 ST#76 I-8/3 ISB','5','31','122159','LG','0',null,'22-SEP-2020','4V5RGP2T-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-01 19:58:29','2020-10-08 22:27:29',null,'1',null,'0');
INSERT INTO complaints VALUES('1472','M. JAVED','03335587937','HO#386 ST#8 PHASE 08 B.TOWN','8','38','31028','SUPER ASIA','0',null,'09-DEC-2018','535GH - 1037','GEYSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-01 20:18:01','2020-10-05 23:37:20',null,'1',null,'0');
INSERT INTO complaints VALUES('1473','EDUKAT MUHAMMAD ZAMEER','03335383284','FLAT 1 BLOCK  9 ST 132 FD HOUSING G 11/4 ISB','5','28','107333','FIVE STAR','0',null,'11-JUI-2019','777C-FS - 1073','COOKING RANGE','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-01 21:17:47','2020-10-05 23:35:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1474','M SADEEK MUSTAFA','03345553421 03103399553','HO#35 ST 13 JACHS F15/1 ISB','9','26','145145','SIGNATURE','0',null,'25-SEP-2020','SWM-FW1610S - 902','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-01 22:03:22','2020-11-05 02:37:02',null,'1',null,'0');
INSERT INTO complaints VALUES('1475',null,null,null,'8',null,null,null,null,null,null,'203r','WATER DISPENSER','Cool problem',null,'5','COMPLIANT RESOLVED',null,'showroom','0',null,'96','2020-10-01 22:27:23','2020-10-25 02:00:48',null,'1',null,'0');
INSERT INTO complaints VALUES('1476','SYED GHAYAIS','03145255779','FIA HEAD QUARTER  G-9/4 ISB','8','47','20072','GREE','0',null,'04-NOV-2019','48FW - 826','AIR CONDITIONER','COALING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-01 22:29:18','2020-10-05 23:29:34',null,'1',null,'0');
INSERT INTO complaints VALUES('1477','HAMZA','03347070703','OFFICE COFFEE BEANS SHOP MINI EXTENSION BACK SIDE OFFICE  PHASE 07 B.TOWN','6','14','27202','ORIENT','0',null,'14-MAY-2020','18G-HYPER-SW - 915','AIR CONDITIONER','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-01 22:50:23','2020-10-05 23:26:55',null,'1',null,'0');
INSERT INTO complaints VALUES('1478','MAQSOOD EHALI','03225161642','HO#516 ST#25 PHASE 03 B. TOWN','6','12','0','SIGNATURE','0',null,'0','SVF-HM95-BLK - 900','REFRIGERATOR','DOOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-01 22:59:07','2020-10-07 20:12:29',null,'1',null,'0');
INSERT INTO complaints VALUES('1479','RIZWAN BEHIRA','03126661934','FRIENDS CORPORATION  PHASE 07 B.TOWN','6','12','0','GREE','351FC',null,'0',null,'WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-01 23:19:02','2020-11-19 22:53:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1480','COL MAQBOOL','03332272714','HO#10 ST 25 SEC A DHA 2 ISB','6','16','21098','HAIER','0',null,'11-APR-2020','100AS-WM - 69','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-01 23:56:48','2020-10-05 23:22:06',null,'1',null,'0');
INSERT INTO complaints VALUES('1481','QAMAR ZAMAN','03335668830','HO#15 ST#10 SEC D DHA 02 ISB','6','13','31713','SIGNATURE','0',null,'13-JAN-2019','SWM-FW1610S - 902','WASHING MACHINE','ERROR PROB',null,'5','COMPLAINT RESOLVED',null,'customer','1','1437','74','2020-10-02 00:19:23','2020-10-03 00:59:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1482','MUMTAZ','03105658330','HO#42/A ST#17 SEC A BEHIRA ENCLAVE ISB','9','19','187928','WELCOME','0',null,'08-MAR-2020','50-LITRE - 1365','GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-02 01:25:31','2020-11-12 23:46:03',null,'1',null,'0');
INSERT INTO complaints VALUES('1483','JAVED SAB','03335133305','HO#1042 ST#32 PHASE 02 B.TOWN','4','9','10002','LG','0',null,'22-JULY-2019','502HMHU-S - 896','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-02 01:31:18','2020-10-05 21:57:03',null,'1',null,'0');
INSERT INTO complaints VALUES('1484','BILAL','03365428502','HO#1021 ROAD D PHASE 05 B TOWN','4','9','16458','DAWLANCE','1051-GB-R-1917',null,'26-SEP-2020','1060GWR - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-02 01:44:04','2020-10-05 23:18:55',null,'1',null,'0');
INSERT INTO complaints VALUES('1485','MOSHIN SAB','03452390391','ST#01 JAN ALAM MADICIAL STORE NEW SHARJHA PLAZA BARA KAHO','9','23','193818','ORIENT','0',null,'29-JULY-2020','529BL - 128','WATER DISPENSER','COOLING PRB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-02 01:51:57','2020-10-06 22:52:33',null,'1',null,'0');
INSERT INTO complaints VALUES('1486','MR KHALID KHAN','03008555973','HO#145 ST 65 F11/4 ISB','5','28','121669','ORIENT','ABU BAKAR',null,'08-SEP-2020','62D - 1602','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-02 01:55:46','2020-10-12 20:50:26',null,'1',null,'0');
INSERT INTO complaints VALUES('1487','MR ZUBAIR','03028111403','HO#97 ST 11 BAHRIA ENCLAVE ROAD ISB','8','39','42222','SIGNATURE','SWH 20-10-1354',null,'05-SEP-2020','10G - 1540','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-02 02:14:10','2020-10-13 20:28:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1488','SHER DIL TORU','0334515444','HO#2A KOHISTAN ROAD F-8/2 ISB','5','34','118632','SONY','0',null,'03-JULY-2020','65X8500G-C - 1443','FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-02 02:17:08','2020-10-24 21:56:35',null,'1',null,'0');
INSERT INTO complaints VALUES('1489','MIRZA AFAN','03334180119','HO#282A ST#13 CHAKLAL SCKEEM 03 R.W.P','5','36','86004','TCL','1710VFR000431A000431A00101',null,'01-JULY-2017','55S4900 - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-02 02:25:11','2020-10-10 21:25:51',null,'1',null,'0');
INSERT INTO complaints VALUES('1490','HAMZA SHOAIB','03225575300','HO#1 GHOOS AL  AZAM ROAD BANIGALA','5','35','122435','HAIER','0',null,'01-OCT-2020','578TBG - 910','REFRIGERATOR','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-02 02:43:58','2020-10-05 23:09:24',null,'1',null,'0');
INSERT INTO complaints VALUES('1491','SHAHID','03005241199','HO#142 ST#22 F-10/2 ISB','5','33','121688','LG','0',null,'09-SEP-2020','4V5RGP2T-S - 899','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-02 20:22:30','2020-10-07 20:07:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1492','IMTIAZ HUSSAIN MALIK','03340202021','HO#04 DOUBLE ROAD G-11/2 ISB','5','33','115148','SIGNATURE','0',null,'03-MAR-2020','65WBS - 893','REFRIGERATOR','FOOT DISSEMBLANCE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-02 20:28:39','2020-10-24 21:16:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1493','ZAIN UL ABADEEN','03219191867','HO#27 ST#15 SEC D DHA 02 R.W.P','6','12','29798','DAWLANCE','C/O ADIL I-10/3',null,'29-SEP-2020','250DWT - 902','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-02 20:43:28','2020-10-05 21:40:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1494','ANSAR ABBASI','03165322664','HO#786 ABBASI ST MADINA TOWN DHOK KAKA KHAN R.W.P','8','39','30145','ORIENT','0',null,'21-OCT-2016','CRYSTAL-C-BLK - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-02 20:52:48','2020-10-05 23:05:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1495','M. ABID','03335713581','HO#28 ST#02 SEC B SOHAN ISB','8','38','41231','HAIER','0',null,'21-JULY-2020','12HFCE-W-INV - 913','AIR CONDITIONER','REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-02 20:58:55','2020-10-19 22:26:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1496','JAMAL','03104116608','HO#796 ST#11 G-11/1 ISB','6','12','14854','SIGNATURE','C/O TAHA SOHAIL',null,'07-JUNE-2018','SRF-WB90M - 885','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-02 21:25:41','2020-10-13 20:25:28',null,'1',null,'0');
INSERT INTO complaints VALUES('1497','MUJID TAHIR','03005361401','HO#10 ST LIQAT AVENUE JINNAH GARDEN ISB','9','22','179651','KENWOOD','0',null,'06-OCT-2019','1012SA - 902','WASHING MACHINE','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-02 21:36:34','2020-10-05 21:31:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1498','QAZI USMAN','03458501799','HO#45 BILAL LANE KHAWAJA CORPORATION ADYALA ROAD R.W.P','6','14','29399','CANON','0',null,'05-SEP-2020','16D-PLUS-DUAL - 1030','GEYSER','DEAD GEYSER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-03 00:48:21','2020-10-06 01:43:35',null,'1',null,'0');
INSERT INTO complaints VALUES('1499','WASEEM KAZMI','03339706417','HO#335-A ST#04 SEC F-15-/1 ISB','9','24','193074','GREE','0',null,'17-JULY-2020','9978EG-CR2 - 2116','REFRIGERATOR','FROSTING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-03 01:47:05','2020-10-06 01:41:10',null,'1',null,'0');
INSERT INTO complaints VALUES('1500','ARSHAD FCI','03065005122 (3465166132)','FRIENDS CORPORATION BULE AREA ISB','5','32','0','KENWOOD','0',null,'0','1010SA - 902','WASHING MACHINE','BACK SIDE  BROKEN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-03 02:07:16','2020-11-11 20:59:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1501',null,null,null,'5',null,null,'KENWOOD',null,null,null,'1012SA - 902','WASHING MACHINE','Back Side Body Damage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-10-03 03:44:50','2020-10-25 01:03:51',null,'1',null,'0');
INSERT INTO complaints VALUES('1502',null,null,null,'5',null,null,'DAWLANCE',null,null,null,'128G - 1277','MICROWAVE OVEN','Plate Damage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-10-03 03:45:32','2021-01-14 01:05:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1503','BABAR ADEEL BHATTI','03433144144','HO#45 ZAHID  ROAD CHAKLALA CANTT','8','38','0','GREE','0',null,'OUT OFF VARANTI','12LM4 - 912','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-03 20:37:28','2020-10-05 21:23:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1504','AKBAR SB','03335159248','HO#B4-532-11MUSLIM TOWN SADAKA BAD RWP','8','38','42184','CANON','0',null,'02 SEP 2020','16D-PLUS - 1030','GEYSER','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-03 20:57:32','2020-10-06 20:28:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1505','MR ABDUL BASIT','03218585927','HO#52 ST 04 BLOCK C CBR TOWN ISB','4','7','16292','GREE','0',null,'13-SEP-2020','9978EG-CB2 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-03 21:08:26','2020-10-10 20:16:43',null,'1',null,'0');
INSERT INTO complaints VALUES('1506','MR ARIF KHOKHAR','03005332386','HO#1/3 C  GALLI  38 SET G7/2','5','35','121485','GREE','0',null,'03-SEP-2020','8768EG-CB2 - 884','REFRIGERATOR','COMPRESSOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-03 21:20:05','2020-10-13 20:23:40',null,'1',null,'0');
INSERT INTO complaints VALUES('1507','JUNAID AHMED','03365256249','HO#253 ST#16 B -BLOCK PWD','8','37','27492','LG','0',null,'13-MAY-2018','43UJ651V-C - 869','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-10-03 21:43:57','2020-12-06 01:54:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1508','hammad sb','03455104405','friends corporation gulnoor market murree road rwp','9','19','0','FIVE STAR','0',null,'0','293FS - 1122','BUILT IN APPLLIANCES','dented',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-10-03 21:55:25','2020-11-20 01:57:26',null,'1',null,'0');
INSERT INTO complaints VALUES('1509','hammad sb','03455104405','FRINEDS CORPORATION GULNOOR MARKET MURREE ROAD RWP','9','19','0','SIGNATURE','0',null,'0','AT4R','MICROWAVE OVEN','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-10-03 21:56:52','2020-10-08 22:19:03',null,'1',null,'0');
INSERT INTO complaints VALUES('1510','HAMMAD SB','03455104405','friends corporation gulnoor market murree road rwp','9','19','0','SIGNATURE','0',null,'0','MELBOURNE-90 - 1123','BUILT IN APPLLIANCES','DENTED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-10-03 21:58:18','2020-10-24 23:12:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1511','HAMMAD SB','03455104405','FRINEDS CORPORATION GULNOOR MARKET MURREE ROAD RWP','9','19','0','XTREEM','0',null,'0','X1','BUILT IN APPLLIANCES','LIGHT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-10-03 21:59:25','2020-10-29 00:48:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1512','MR FAISAL MOEEN','03369879956','HO#1682 ST 60 PHASE 3 BAHRIA TOWN','4','8','16472','KENWOOD','0',null,'27-SEP-2020','2435S-INV - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-03 22:09:27','2020-10-05 21:10:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1513','MR FAISAL MOEEN','03369879956','HO#1682 ST 60 PHASE 3 BAHRIA TOWN','4','8','16472','HAIER','0',null,'27-SEP-2020','70-10829HW - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-03 22:23:49','2020-10-05 21:08:24',null,'1',null,'0');
INSERT INTO complaints VALUES('1514','MR FAISAL MOEEN','03369879956','HO#1682 ST 60 PHASE 3 BAHRIA TOWN','4','8','16472','HOMAGE','0',null,'27-SEP-2020','82HWD - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-03 22:39:21','2020-10-19 22:24:38',null,'1',null,'0');
INSERT INTO complaints VALUES('1515',null,null,null,'5',null,null,'CORONA',null,null,null,'351C - 1533','COOKING RANGE','Knob Damage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-10-03 22:49:24','2020-10-25 01:06:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1516',null,null,null,'5',null,null,'SIGNATURE',null,null,null,'SBC-ADELAIDE-90PLUS - 1123','BUILT IN APPLLIANCES','Damage & Not Working',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-10-03 22:50:10','2020-10-08 22:59:21',null,'1',null,'0');
INSERT INTO complaints VALUES('1517','RAO TAHIR','03434559041','HO# 316 ST 16 BLOCK D MEDIA TOWN','4','8','8404','SIGNATURE','0',null,'16-APR-2019','25CG - 1731','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-03 22:54:29','2020-10-13 20:20:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1518','UZMA RIZWAN','03425559966','HO# 214 ST 10 SHA KHALID CALONE  RWP','9','24','185850','ORIENT','0',null,'21-JUN- 2020','529BL - 128','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-03 23:42:33','2020-10-06 22:48:15',null,'1',null,'0');
INSERT INTO complaints VALUES('1519','MR TAHIR KHAN','03335321827','OFFICE # 99100 GROUND FLOUR BLOCK B DIMONT  MALL GULBAR GREEN','5','35','121993','HOMAGE','0',null,'17-SEP-2020','81HWD - 993','WATER DISPENSER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 00:10:57','2020-10-06 20:09:15',null,'1',null,'0');
INSERT INTO complaints VALUES('1520','MADNI','03430999777','HO#586 UPER PORTION ST 41 BLOCK C PWD','4','10','16489','LG','0',null,'27-SEP-2020','1066NEFTW-S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 00:16:40','2020-11-12 23:49:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1521','RAJA ATIF','03125048735','HO# DD 82 SHAMSABAD  RWP','8','39','41462','ORIENT','0',null,'28-JUL-2020','18G-HYPER-SW - 915','AIR CONDITIONER','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 00:31:21','2020-10-08 00:13:07',null,'1',null,'0');
INSERT INTO complaints VALUES('1522','ZAKA UR RASHEED','03335898846','HO#676 ST 43 BAHRIA TOWN PHASE 2','4','6','14807','FIVE STAR','0',null,'24-JUN-2020','999C-FS - 1965','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 00:52:06','2020-10-14 20:35:20',null,'1',null,'0');
INSERT INTO complaints VALUES('1523','MR FRAZ KHAN','03452275036','HO# 104D ST 54 SEC G6/4 ISB','9','20','145443','SIGNATURE','0',null,'01-JAN-2018','SBH-AC750S - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 01:00:34','2020-10-07 19:52:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1524','MR SLAEEQ','03369714156','HO#210 ST 10 GULREZ SAKEEM PHASE 5','4','7','16543','SIGNATURE','SET-AC24-1694',null,'01-OCT-2020','SSO-MO15 - 1200','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 01:50:37','2020-10-05 22:08:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1525','MISS TARIQ','03084844442','HO#14 ST 6  SAFARI VILLAS 1 BAHRIA TOWN','4','5','15520','SIGNATURE','0',null,'28-JUL-2020','24DN6 - 934','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 02:17:58','2020-10-07 22:50:26',null,'1',null,'0');
INSERT INTO complaints VALUES('1526','MISS TARIQ','03084844442','HO#14 ST 6  SAFARI VILLAS 1 BAHRIA TOWN','4','5','15520','SIGNATURE','0',null,'28-JUL-2020','SVF-HM95-BLK - 900','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 02:26:54','2020-10-05 22:06:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1527','MUHAMMAD IMTIAZ','03345486431','HO#416 ST 15 SHEHZAD TOWN ISB','8','47','22355','KENWOOD','0',null,'19-MAY-2020','109F-KRF - 887','REFRIGERATOR','COLLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 02:53:10','2020-10-06 20:00:17',null,'1',null,'0');
INSERT INTO complaints VALUES('1528','MASOOD UL HASSAN','03065522612','HO#510 ST 19 SEC C PHASE 8 BHARIA TOWN','6','14','820','SIGNATURE','0',null,'09-MAY-2015','35GEG - 1537','GEYSER','LEAKING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 02:55:17','2020-10-24 21:14:35',null,'1',null,'0');
INSERT INTO complaints VALUES('1529',null,null,null,'6',null,null,'FIVE STAR','00000',null,null,'35G-TWIN SUPREME - 963','GEYSER','GEYSER LEAKAGE ...',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-10-04 03:15:54','2020-10-20 22:08:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1530','MR JIBRAN SB','03335172205','HO#12 ST 3 BLOCK E SAWAN GARDEN  ISB','4','5','1550','SIGNATURE','0',null,'18-NOV-2017','SWM-SR40 - 1548','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 19:26:47','2020-10-07 19:49:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1531','MR ADEEL','03035228646','HO#166 /7 NEAR MASHJID AL FARUKH PISHWER ROAD RWP','9','19','168721','HAIER','0',null,'07-APR-2019','385H-DF - 957','FREEZER','COLLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 19:48:17','2020-10-12 20:21:18',null,'1',null,'0');
INSERT INTO complaints VALUES('1532','MR ASIF','03035908039','FALT #7 DEER PALAZA NATIONAL POLICE FOUNDACTION','4','8','9765','HAIER','0',null,'07-JUL-2019','306EBS - 859','REFRIGERATOR','COLLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 20:02:31','2020-10-06 01:34:22',null,'1',null,'0');
INSERT INTO complaints VALUES('1533','MR ADNAN','03335114557','HO#8 ST 6 SEC A DHA 1','6','14','29765','LG','425FPS-S-34',null,'27-SEP-2020','1450WF1P - 1603','DISH WASHER','CHECK KARWANA HAY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 20:14:24','2020-10-24 21:08:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1534','COL HAMZA','03215228893','HO#686 ST 4 CHAKLALA SAKEEM 3','9','19',null,'SIGNATURE','0',null,'OUT OFF VARANTI','SSO-MO15 - 1200','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 20:31:41','2020-10-19 20:46:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1535','MR ALI RAZA','03455279691','HO#79 ST 690 G-13/3 ISB','5','30','105340','SIGNATURE','0',null,'31-MAY-2019','SCF-HM10 - 955','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 20:41:41','2020-10-15 22:15:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1536','MR ALI RAZA','03455279691','HO#79 ST 690 G-13/3 ISB','5','30','92542','SIGNATURE','0',null,'19-MAR-2018','SGG-1704G - 1029','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 20:46:54','2020-10-08 00:20:41',null,'1',null,'0');
INSERT INTO complaints VALUES('1537','COL EJAZ SB','03008501051','HO#17 ST 12 SAFFARI VILLA 1 BAHRIA PHASE 1','6','13','28907','FIVE STAR','0',null,'08- AUG-2020','10000C-FS - 1965','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 20:59:34','2020-10-07 23:26:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1538','WORLD WIDE MOVERS PVT LTD','03008243663','HO#1109 ST 56 B-17 MPCHS ISB','5','34','85600','SAMSUNG','0',null,'19-JUL-2017','11J5710GT - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 21:12:25','2020-10-07 23:25:20',null,'1',null,'0');
INSERT INTO complaints VALUES('1539',null,null,null,'13',null,null,'HAIER','3g4603',null,null,'150-1708HWM - 1484','WASHING MACHINE','Bass damage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2020-10-04 21:23:03','2020-11-11 22:38:09',null,'1',null,'0');
INSERT INTO complaints VALUES('1540','RAZA HAIDER','03219696214','HO#1095 FF ST 23 G-11/1 ISB','8','37','41','KENWOOD','0',null,'28-APR-2020','480GD-BRG - 885','REFRIGERATOR','PLATE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 21:30:30','2020-11-19 22:10:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1541','MR FAHAD','03222999120','HO#9 ST 76 G-13/2 ISB','5','30','121526','GREE','0',null,'05-SEP-2020','9978EG-CB2 - 885','REFRIGERATOR','COLLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 21:47:02','2020-10-08 20:54:26',null,'1',null,'0');
INSERT INTO complaints VALUES('1542','RAHEEL SB','03325088220','HO#143 ST 3 RANGE ROAD SHALLEY VALLEY MOHAMADI  RWP STREET','8','39','19738','SAMSUNG','0',null,'18-DEC-2016','11J5710GT - 905','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-10-04 22:27:30','2020-10-07 19:47:44',null,'1',null,'0');
INSERT INTO complaints VALUES('1543','COL ASHRAF','03006800234','BLOCK 1/4D ASKARI TOWERS 2 DHA 2 ISB','4','7','187944','SIGNATURE','0',null,'08-MAR-2020','MD99SS-S - 1723','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 22:42:55','2020-10-08 00:18:21',null,'1',null,'0');
INSERT INTO complaints VALUES('1544','AHMAD ABBASI','03145551142','HO#101 SEC 4A SHABANY SIR SAYEED RWP','9','23','182542','SIGNATURE','0',null,'07-DEC-2019','SWH-1905 - 1031','GEYSER','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-10-04 23:11:31','2020-10-06 21:22:41',null,'1',null,'0');
INSERT INTO complaints VALUES('1545','MR AAMIR RAJA BAZAR','03215780000','HO#80 ST 80/B I-8/4 ISB','9','19','196748','CORONA','0',null,'27-SEP-2020','C205 - 14','COOKING RANGE','BURNAL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-04 23:48:13','2020-10-06 19:50:20',null,'1',null,'0');
INSERT INTO complaints VALUES('1546','MR TARIQ','03009899257','HO#14 ST 07 BLOCK B SOAN GARDEN ISB','4','8','16557','HAIER','0',null,'03-OCT-2020','120-1678HWM - 906','WASHING MACHINE','SPINER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-05 00:03:51','2020-10-08 22:25:15',null,'1',null,'0');
INSERT INTO complaints VALUES('1547','RAHEEL SB','03325088220','HO#143 ST 3 RANGE ROAD SHALLEY VALLEY MOHAMADI  RWP STREET','8','39','19738','SAMSUNG','0',null,'18-DEC-2016','11J5710GT - 905','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','1542','73','2020-10-05 00:10:10','2020-10-12 23:03:51',null,'1',null,'0');
INSERT INTO complaints VALUES('1548','ALI SB','03065447963','HO#31B KAKASHA TOWN SHAPUR SAYIDAN HADEYALA ROAD','9','24','186527','WELCOME','0',null,'05-FEB-2020',null,'GEYSER','NOT WORKING',null,'5','CLOSED CLOSED',null,'customer','0',null,'92','2020-10-05 00:35:06','2020-11-05 21:06:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1549','HAMAD ABBASI','03339556955','HO#649 ST 8 SEC KHABANAY IQBAL NEAR TAQWA MASHAID RWP','9','19','0','SAMSUNG','0',null,'OUT OF VARANTI','8800LSW-P - 899','WASHING MACHINE','E4 ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-05 00:53:44','2020-10-06 23:22:27',null,'1',null,'0');
INSERT INTO complaints VALUES('1550','SAAD','03471154772','PIND BEGWAL','8','38','32582','ORIENT','0',null,'04-MAR-2019','3RIPPLE-W - 993','WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-05 02:03:34','2020-10-13 19:40:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1551','AHMAD ABBASI','03145551142','HO#101 SEC 4A SHABANY SIR SAYEED RWP','9','23','182542','SIGNATURE','0',null,'07 DEC-2019','SWH-1905 - 1031','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-05 02:32:22','2020-10-06 21:19:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1552','MR SALEEM','03215339575','HO#102 ST 7 AREYA MUHALA 2','9','19','196927','GREE','0',null,'01-OCT-2020','9978EG-CB2 - 885','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-05 02:54:50','2020-10-06 19:38:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1553','JUNAID BUTT','03215215248','HO#P1408/1 QAZE ROAD KARTAR PORA RWP','9','24','191096','GREE','0',null,'22-JUN-2020','500FC - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLETED',null,'customer','0',null,'92','2020-10-05 19:52:19','2020-11-08 21:28:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1554','MISS QAMARAN','03355342265','HO#578 ST 2 SEC H FACE 8 RWP','6','12','15317','GREE','0',null,'10-JULY-2018','400FS - 993','WATER DISPENSER','WATER LEKEGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-05 20:17:26','2020-10-08 19:49:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1555','MRS HAROON','03322224193','HO#376 ST#22 SEC -F BEHIRA PHAE 07','6','12','0','SIGNATURE','OUT OFF WARRANTY(CELL CALL)',null,'0','SWD-HD10-GR - 994','WATER DISPENSER','COLD WATER TYP REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-05 22:11:24','2020-10-10 20:03:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1556','MH AKRAM KHAN','03065224304','HO#196 ST 36 F-10/1 ISB','5','31','104190','SAMSUNG','0',null,'29-APR-2019','40N5300-S - 938','FLAT PANEL TV','SCREEN LINES  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-05 22:41:00','2020-10-24 21:02:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1557','JIBRAN  FCI','03355046059','FRIENDS CORPORATION BULE AREA ISB','5','35','117847','ORIENT','CUSTOMER SHOEROOM PA DROP KAR K GAY',null,'18-JUNE-2020','531BL - 993','WATER DISPENSER','BODY CURRENT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-05 22:48:25','2020-11-15 02:05:58',null,'1',null,'0');
INSERT INTO complaints VALUES('1558','MUJHID','03359055175','HO#1048 ROAD C PHASE 05 BEHRA TOWN','4','5','2431','WHIRLPOOL','0',null,'23-JAN-2018','3LWTW4815FW - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-05 23:04:02','2020-10-08 19:47:03',null,'1',null,'0');
INSERT INTO complaints VALUES('1559','CH NASEER','03335208004','RILWAY OFFICER COLONY SCKEEM 05 WASHING LANE R.W.P','9','25','197064','HAIER','0',null,'04-OCT-2020','438IDBT - 896','REFRIGERATOR','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-05 23:25:39','2020-10-07 21:50:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1560','ADEEL','031358888555','HO#2162 ST#89 E BLOCK B-1-17 ISB','8','37','37053','DAWLANCE','0',null,'08-OCT-20219','7500C-DW - 1548','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-10-05 23:39:26','2020-10-07 23:41:58',null,'1',null,'0');
INSERT INTO complaints VALUES('1561','RIZWAN','03352123880','NEW HUSSAIN FLOOR MILLS MAIN G.T ROAD JHEUM','8','37','41862','KENWOOD','0',null,'15-AUG-2020','1826S-INV - 915','AIR CONDITIONER','ERROR L PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-05 23:52:46','2020-10-08 19:44:03',null,'1',null,'0');
INSERT INTO complaints VALUES('1562','ZAFAR IQBAL','03005700999','HO#05 ST#1-B F-10/3 ISB','5','31','101765','SAMSUNG','0',null,'29-JAN-2019','18NSFPFWK-MRM - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-06 00:26:34','2020-10-07 19:46:03',null,'1',null,'0');
INSERT INTO complaints VALUES('1563','KAMRAN HAIDER','03335209250','HO#248 ST#12 E-11/1 ISB','5','35','122053','DAWLANCE','0',null,'19-SEP-2020','91996MM - 83','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-06 00:42:32','2020-10-07 23:33:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1564','HAYYAT','03009540350','HO#33 LANE#05 NEW LALAZAR NEAR FOUNDATION UNI R.W.P','7','49','21901','FIVE STAR',null,null,'28-SEP-2020','25G-TWIN-FS - 1966','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-06 00:47:36','2020-10-08 19:35:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1565','MR FAHIM KHAN','03341124789','HO#306 ST 63 SEC I-8/3 ISB','8','40','41781','BOSCH','0',null,'12-AUG-2020','24260GC - 902','WASHING MACHINE','SPINER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-06 01:29:08','2020-10-08 19:41:20',null,'1',null,'0');
INSERT INTO complaints VALUES('1566','COL MUBASHAR','03219541514','HO#C6 JS  OFFICER COLONY CHAKLA GARRISON R.W.P','9','24','180120','DAWLANCE','0',null,'16-OCT-2019','7500C-DW - 1548','WASHING MACHINE','SMOKE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-06 01:47:27','2020-10-15 22:22:48',null,'1',null,'0');
INSERT INTO complaints VALUES('1567','UMAIR','03105532222','HO#26 ST#04 F-8/3 ISB','5','31','113542','SONY','0',null,'03-JUNE-2020','55X8077G-S - 942','FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-06 02:08:03','2020-10-13 01:38:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1568','KAMRAN','03355389449','HO#18 NEW MILTA COLONY SUNDAY BAZAR NEAR COMATTI CHOWK R.W.P','9','51','180710','SIGNATURE','0',null,'28-OCT-2020','SSB-X555MT - 1410','SOUND SYSTEMS','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-06 02:52:59','2020-12-06 01:53:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1569','ABDULLEH ASIF','03315005759','HO#CB 1083 LANE#05 NEAR MALIK AZAM ST R.W.P','9','21','156807','SIGNATURE','0',null,'09-AUG-2018','SWM-JD56 - 1643','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-06 20:15:06','2020-10-12 23:01:12',null,'1',null,'0');
INSERT INTO complaints VALUES('1570','ZAIN UL ABADEEN','03497855585','HO#286-A ST#22 PAKISTAN TOWN PHASE 01  R.W.P','9','21','195723','KENWOOD','0',null,'05-SEP-2020','1012SA - 902','WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-06 20:25:34','2020-10-31 21:10:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1575','SHAROAZ','03135017375','HO#510-A ST# 09 F-10/2 ISB','6','13','26415','ORIENT','0',null,'15-MAY-2018','12-JUPITER-SW INV - 913','AIR CONDITIONER','OUT DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-06 20:46:25','2020-10-14 01:16:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1576','COL DR HAQ NAWAZ','03225004949','HO#19 ST#06 SEC C DHA 02 ISB','8','42','29315','LG','0',null,'20-AUG-2018','247SVUV-S - 909','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-06 21:33:50','2020-10-25 00:39:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1577','ARSHAD KHATTAK','03335030564','HO#46E ST#57 G-6/4  ISB','5','31','81569','SIGNATURE','0',null,'11-FEB-217','SWM-SR50 - 905','WASHING MACHINE','SOUND PROB+ FILTERER REQUIRED',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-10-06 22:07:51','2020-10-13 00:45:03',null,'1',null,'0');
INSERT INTO complaints VALUES('1578','EJAZ AHMED','03129566338','HO#389 C ALLAMA IQBAL AVENUE GULRAIZ PHASE 01  R.W.P','9','24','191225','DAWLANCE','1051GB-R',null,'23-JUNE-2020',null,'WATER DISPENSER','HOT TYP PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-06 22:23:10','2020-10-14 01:13:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1579','HAMMAD FCP','03455104405','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','24','0','FIVE STAR','0',null,'0','6000C-FS - 1077','COOKING RANGE','NOB DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-06 22:24:51','2020-10-14 02:54:24',null,'1',null,'0');
INSERT INTO complaints VALUES('1580','RANA FAISAL SAB','03339561030','HO#1623 ST#57 PHASE 03 BEHIRA','6','16','9079','SAMSUNG','REFERENCE C/O SADDIQ SIR. B.COOL K PASS DIRECT COMPLAINT AAI',null,'03-JUNE-2017','50K5920SL - 75','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-06 22:36:41','2020-10-13 00:34:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1581','RANA FAISAL','03339561030','HO#1623 ST#57 PHASE 03 BEHIRA','6','16','9079','PANASONIC','REFERENCE C/O SADDIQ SIR. B.COOL K PASS DIRECT COMPLAINT AAI',null,'03-JUNE-2017','997S - 164','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-06 22:42:10','2020-10-06 23:13:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1582','RANA NAQASH AHMED','03465710295','HO#157 PHASE 05 OFFICER COLONY WAH CANTT','5','34','118535','SAMSUNG','0',null,'01-JULY-2020','75Q70-S - 881','FLAT PANEL TV','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-06 22:51:34','2020-10-15 22:09:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1583','SADIA FAYYAZ','03360156177','FLAT#03 BUILDING JINNHA ARCKET MAIN JINNAH GARDEN ISB','6','16','20406','PANASONIC','0',null,'21-APR-2019','40MSAS-S  - 884','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-06 22:55:14','2020-10-08 00:24:48',null,'1',null,'0');
INSERT INTO complaints VALUES('1584','SADIA FAYYAZ','03360156177','FLAT#03 BUILDING JINNHA ARCKET MAIN JINNAH GARDEN ISB','6','16','20406','FIVE STAR','0',null,'21-APR-2019','5500C-FS - 1965','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-06 22:57:17','2020-10-14 01:07:02',null,'1',null,'0');
INSERT INTO complaints VALUES('1585','MALIK NADEEM','03315910001','HO#329 ST 2 ASKARI 10 RWP','4','6','15223','DAWLANCE','0',null,'14-JUL-2020','1045CVT-VF - 1467','FREEZER','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-06 23:15:35','2020-10-14 00:58:34',null,'1',null,'0');
INSERT INTO complaints VALUES('1586','KABEER KIYANI','03009796001','FRIEND CALPARACTION BLUE AREA ISB','5','29','120554','SONY','COM MODAL',null,'10-AUG-2020','40W650D-CC - 938','FLAT PANEL TV','LINES ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-06 23:31:49','2020-10-20 23:49:09',null,'1',null,'0');
INSERT INTO complaints VALUES('1587','MR MANSOOR','03005504810','HO#2018 ST 71 I-10/1 ISB','9','51','141911','DAWLANCE','0',null,'21-OCT-2017','600DW - 904','REFRIGERATOR','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-06 23:49:16','2020-10-08 21:19:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1588','SAJID HAMEED','03008555852','HO#377 ST 3 F-15/1 KHAYABAN E KASHMIR','8','39','41339','SIGNATURE','0',null,'24-JUL-2020','25G - 1731','BUILT IN APPLLIANCES','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-07 00:23:12','2020-10-12 19:59:33',null,'1',null,'0');
INSERT INTO complaints VALUES('1589','MRS NASEER','03215656895','HO#453 ST 21 G-8/2 ISB','8','38','40410','GREE','0',null,'22-JUN-2020','9978EG-CR1 - 885','REFRIGERATOR','COLLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-07 00:40:29','2020-10-31 20:20:32',null,'1',null,'0');
INSERT INTO complaints VALUES('1590','NASEER AHMED(MRS ALI)','03008502279(03341557738)','HO# 09 ST#84 G-13/1 ISB','6','12','27985','SAMSUNG','0',null,'25-JUNE-2020','40N5300-S - 938','FLAT PANEL TV','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 01:26:04','2020-10-15 23:00:06',null,'1',null,'0');
INSERT INTO complaints VALUES('1591','MH AMEER','03335940103','HO#CB3296 ST 5A LALAZAID RWP','9','23','163445','SUPER ASIA','0',null,'22-DEC-2018','242SA - 522','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-07 01:31:44','2020-10-08 20:12:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1592','MATEEN AHMED','03145232533(3105580235)','HO#34 ST#11 JINNHA GARDEN PHASE 01 ISB','4','6','15689','LG','SALEEM SAB',null,'05-AUG-2020','2J3QDNP0-S - 1483','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 01:37:40','2020-10-12 22:55:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1593','ADNAN','03002600183','HO#08 ST#21 SEC E DHA 02 ISB','6','15','19883','TCL','1901VLR300766A00016',null,'27-MAR-2019','28B2520B - 1423','FLAT PANEL TV','PITCHER&USB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 01:44:57','2020-10-14 00:45:35',null,'1',null,'0');
INSERT INTO complaints VALUES('1594','SYED UMER SHAH','03012344688','HO#D52/1 OFFICER COLONY PAF COMPLEX E 9 ISB','8','37','22926','SAMSUNG','0',null,'13-JUNE-2020','65RU7400-MRM - 1443','FLAT PANEL TV','CABLE PORT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 01:56:56','2020-10-26 19:50:38',null,'1',null,'0');
INSERT INTO complaints VALUES('1595','AURA','03368079287','MAIRAN SALOON KHABER ROAD BLOCK B SAWAN GARDEN','4','9','13337','DAWLANCE','0',null,'27-FEB-2020','MD15 - 960','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 02:06:53','2020-10-08 21:15:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1596','IMRAN','03005550017','HO#734 A IBNA SEENA ROAD G-11/2 ISB','5','28','121321','FIVE STAR','ABU BAKAR',null,'28-AUG-2020','900C-FS - 1965','COOKING RANGE','BACK SIDE BODY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 02:19:16','2020-10-10 21:40:40',null,'1',null,'0');
INSERT INTO complaints VALUES('1597','ZAFAR IQBAL','03005700999','HO#05 ST#1-B F-10/3 ISB','5','31','101765','SAMSUNG','0',null,'29-JAN-2019','18NSFPFWK-MRM - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','1562','74','2020-10-07 02:29:54','2020-10-13 20:15:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1598','SYED HUSSAIN ADIL','03335195571','HO#547 ST 64 G-11/2 ISB','8','38','42853','HAIER','0',null,'06-OCT-2020','85-7288 - 69','WASHING MACHINE','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-07 02:29:55','2020-10-10 21:38:51',null,'1',null,'0');
INSERT INTO complaints VALUES('1599','HUSSAIN KAHAN','03335891099','HO#344-H ST#72 SE G-11/2 ISB','5','30','98572','KENWOOD','0',null,'16-OCT-2018','400GD-GNG - 895','REFRIGERATOR','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 02:39:03','2020-10-10 21:37:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1600','MR RAZA','03325200200','HO#15 ST#22 KORANG TOWN MAIN MARKET R.W.P','5','31','39875','KENWOOD','0',null,'28-MAY-2020','1228S-INV - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 02:49:24','2020-10-10 21:33:42',null,'1',null,'0');
INSERT INTO complaints VALUES('1601','NIGHAT SULTANA','03216652503','H NO 704 ST NO 106 SEC 3 GULSHANABAD ADYALA ROAD RWP CANTT','9','51','190100','TCL','1907VLR300894A00119',null,'08-june-2020','65C6US - 1443','FLAT PANEL TV','WIFI SETTING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 19:56:43','2020-11-12 00:27:49',null,'1',null,'0');
INSERT INTO complaints VALUES('1602','SOHAIL AHMED','03018542896','QAZIABAD NEAR MASJID SADDIQA AKBAR BARA KAHO','8','37','15915','PEL','0',null,'28-APR-2016','2500EW - 88','REFRIGERATOR','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 20:17:52','2020-10-14 20:22:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1603','SHAKEEL QAMAR SAB','03335117999','HO#17LANE#02 SEC G DHA 02','8','37','12308','LG','0',null,'15-DEC-2019','4J6TMP8S-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 20:19:37','2020-10-24 20:44:12',null,'1',null,'0');
INSERT INTO complaints VALUES('1604','SOHAIL AHMED','03018542896','QAZIABAD NEAR MASJID SADDIQA AKBAR BARA KAHO','8','37','15912','HOMAGE','0',null,'28-APR-2016','2810S - 1277','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 20:22:32','2020-10-10 21:24:20',null,'1',null,'0');
INSERT INTO complaints VALUES('1605','ZAHID KHALIQ','03448581664','HO#B-6269 MUHAMMAD I COLONY MUSLIM TOWN DHOK SADIQABAD R.W.P ALI AKBAR','8','40','42583','CANON','0',null,'23-SEP-2020','16D-PLUS-DUAL(LPG) - 1030','GEYSER','ON NAI HO RAHA',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 20:44:39','2020-10-10 21:22:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1606','ZAHID KHALIQ','03448581664','HO#B-6269 MUHAMMAD I COLONY MUSLIM TOWN DHOK SADIQABAD R.W.P ALI AKBAR','8','40','42583','CANON','0',null,'23-SEP-2020','16D-PLUS-DUAL(LPG) - 1030','GEYSER','ON NAI HO RAHA',null,'5','CLOSED',null,'customer','0',null,'74','2020-10-07 20:44:39','2020-10-07 21:01:12',null,'1',null,'0');
INSERT INTO complaints VALUES('1607','ZAHID KHALIQ','03448581664','HO#B-6269 MUHAMMAD I COLONY MUSLIM TOWN DHOK SADIQABAD R.W.P ALI AKBAR','8','40','42583','CANON','0',null,'23-SEP-2020','16D-PLUS-DUAL(LPG) - 1030','GEYSER','ON NAI HO RAHA',null,'5','CLOSED',null,'customer','0',null,'74','2020-10-07 20:44:40','2020-10-07 20:59:35',null,'1',null,'0');
INSERT INTO complaints VALUES('1608','ZAHID KHALIQ','03448581664','HO#B-6269 MUHAMMAD I COLONY MUSLIM TOWN DHOK SADIQABAD R.W.P ALI AKBAR','8','40','42583','CANON','0',null,'23-SEP-2020','16D-PLUS-DUAL(LPG) - 1030','GEYSER','ON NAI HO RAHA',null,'5','CLOSED',null,'customer','0',null,'74','2020-10-07 20:44:40','2020-10-07 20:58:21',null,'1',null,'0');
INSERT INTO complaints VALUES('1609','ZAHID KHALIQ','03448581664','HO#B-6269 MUHAMMAD I COLONY MUSLIM TOWN DHOK SADIQABAD R.W.P ALI AKBAR','8','40','42583','CANON','0',null,'23-SEP-2020','16D-PLUS-DUAL(LPG) - 1030','GEYSER','ON NAI HO RAHA',null,'5','CLOSED',null,'customer','0',null,'74','2020-10-07 20:44:40','2020-10-07 20:56:55',null,'1',null,'0');
INSERT INTO complaints VALUES('1610','ZAHID KHALIQ','03448581664','HO#B-6269 MUHAMMAD I COLONY MUSLIM TOWN DHOK SADIQABAD R.W.P ALI AKBAR','8','40','42583','CANON','0',null,'23-SEP-2020','16D-PLUS-DUAL(LPG) - 1030','GEYSER','ON NAI HO RAHA',null,'5','CLOSED',null,'customer','0',null,'74','2020-10-07 20:44:40','2020-10-07 20:55:51',null,'1',null,'0');
INSERT INTO complaints VALUES('1611','AFZAL MALIK','03335474465','PURCHASE DEPARTMENT AMSON VACCINE &PHARMA MEAR BURGI STOP (SARAN MORE)INDUSTRIAL TRIANGLE MODEL TOWN ISB','9','20','196940','CARAVELL','0',null,'01-OCT-2020','5L-807-WD - 126','WATER DISPENSER','SMOKE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 20:49:01','2020-10-10 21:18:43',null,'1',null,'0');
INSERT INTO complaints VALUES('1612','SAJID GODOWN','03135978937','FRIENDS HOME SHAMSHABAD R.W.P','8','37','0','CARAVELL','MODEL 203&207',null,'0',null,'WATER DISPENSER','DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 20:53:03','2020-10-14 21:43:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1613','IHTASHAM','03111777910','HO#513 ST#41 PHASE 04 BEHIRA TOWN','4','6','16493','SAMSUNG','15J5730SS-S-1484',null,'29-SEP-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 21:12:24','2020-10-07 22:51:16',null,'1',null,'0');
INSERT INTO complaints VALUES('1614','IHTASHAM','03111777910','HO#513 ST#41 PHASE 04 BEHIRA TOWN','4','6','16493','SAMSUNG','15J5730SS-S-1484',null,'29-SEP-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 21:12:25','2020-10-08 22:08:51',null,'1',null,'0');
INSERT INTO complaints VALUES('1615','ZULFIQAR','03009594928','HO#1921 ST#15 I-10/1 ISB','9','23','12-OCT-2019','SIGNATURE','0',null,'12-OCT-2019','SBH-AC930S - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 21:21:36','2020-10-10 23:20:42',null,'1',null,'0');
INSERT INTO complaints VALUES('1616','ASAD ALI KAYANI','03345251886','HO#1 NEAR GULAM ABAS MAKBARA DAKHAR HOUSE FAZA BAD RWP','9','26','182005','DAWLANCE','0',null,'25-NOV-2019','10500DW - 906','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-07 21:32:36','2020-10-14 21:40:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1617','RUSHAN','03455293458','HO#14 ST#14 KURAL TOWN NEAR GORI TOWN ISB','9','51','187890','SAMSUNG','0',null,'07-MAR-2020','55Q60-S - 942','FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 21:41:25','2020-10-17 21:21:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1618','ALI','03204111404','HO#C-37 BAIS NOOR KHAN R.W.P','5','33','110136','HAIER','0',null,'14-OCT-2019','438EBS - 896','REFRIGERATOR','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 21:48:35','2020-10-10 21:14:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1619','DR TARIQ','03336509504','HO#03 ST#06 BLOCK F SONA GARDEN ISB','4','9','8477','SIGNATURE','0',null,'22-APR-2019','SWD-HD10-GR - 994','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 21:57:17','2020-10-10 20:32:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1620','MOSHIN','03000022077','SPACE BUILDING 12 THEME PARK AVENUE INTELLECTUAL VILLAGE PHASE 07  B TOWN','6','14','0','SIGNATURE','OUT OFF WARRANTY(PAID JOB)',null,'0',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 22:08:43','2020-10-10 23:14:23',null,'1',null,'0');
INSERT INTO complaints VALUES('1621','MISS ZANEERA','03235505944','HO#731 ST#34 MARGALA TOWN PHASE 01','8','42','197105','ORIENT','0',null,'04-OCT-2020','AUTO7 - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 22:18:48','2020-10-14 23:24:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1622','USAMA MUMTAZ','03316768820','PALWAL HOUSE PEPSI ROAD ALI ENCLAVE BANI GALA ISB','5','36','97727','SIGNATURE','SWM-JD-1238',null,'05-SEP-2018',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 22:40:24','2020-10-10 19:57:35',null,'1',null,'0');
INSERT INTO complaints VALUES('1623','UMER','03051880591','ST#01GUL BAHAR COLONY NEAR AIR PORT HOUSING SOCITY R.W.P','9','24','195873','SIGNATURE','SWH-20-06',null,'07-SEP-2020',null,'GEYSER','PANI GARM NI HO RAHA',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 22:59:51','2020-10-10 19:55:42',null,'1',null,'0');
INSERT INTO complaints VALUES('1624','ABID HUSSAIN','03215681303','HO#403 ST#02 AMEEN TOWN SEC 4-A KHAYAB SIR SYED R.WP','9','23','197073','DAWLANCE','9191WBAVANTE-EG',null,'04-OCT-2020',null,'REFRIGERATOR','GAS KIT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-07 23:28:39','2020-10-27 20:34:33',null,'1',null,'0');
INSERT INTO complaints VALUES('1625','MAJID','03215172348','HO#B 02 ST#02 SCKEEM 02 CHAK SHAZAD ISB','8','37','0','HITACHI','OUT OFF WARRANTY(PAID JOB)',null,'0',null,'REFRIGERATOR','GAS KIT PROB',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'74','2020-10-08 00:48:15','2020-11-20 01:51:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1626','IRFAN  BAIG','03085059765','HO#276-H ST#13  PHASE 05 B.TOWN','4','5','122','SIGNATURE','0',null,'14-SEP-2017','CG1-SS - 956','FREEZER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-08 00:58:48','2020-10-08 22:04:20',null,'1',null,'0');
INSERT INTO complaints VALUES('1627','MR AAMER ZUBAIR','03005551262','BARAKOH SAMLI DAIM ROAD','5','30','110260','BOSCH','0',null,'19-OCT-2019','24260GC - 902','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-08 01:18:48','2020-10-15 21:48:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1628','HAROON WASEEM','03349451596','HO#B3 422/Y BAND KHANA ROAD MUSLIM TOWN R.W.P','8','37','23938','SIGNATURE','PTCL CALL',null,'19-AUG-2017','SRF-HM99 - 908','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-08 02:21:18','2020-10-12 23:48:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1629','HAROON WASEEM','03349451596','HO#B3 422/Y BAND KHANA ROAD MUSLIM TOWN R.W.P','8','38','21378','LG','0',null,'08-APRIL-2017','1496TDT24W - 122','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-08 02:26:56','2020-10-24 20:35:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1630','BIN BAKAR (LHR)','0322446661','HO#16. BLOCK G EMG LHR','8','37','0','SIGNATURE','SRF-WB65',null,'15-JUNE-2019',null,'REFRIGERATOR','COMPRESSOR PRB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-08 20:14:20','2020-10-22 23:11:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1631','ZAKI CHAUDHRY','03356500091','HO#1372 ST#84 D-12/1 ISB','9','24','196462','CORONA','0',null,'20-SEP-2020','351C - 1533','COOKING RANGE','NOB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-08 20:25:46','2020-10-15 21:45:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1632','USAMA SHAHID RANA','03219506206','FLAT#6-E ASKARI APP FAISAL ALVI ROAD LALKHURTI','9','26','196971','ORIENT','0',null,'03-OCT-2020','531OWR - 993','WATER DISPENSER','COMPRESSOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-08 20:39:26','2020-10-10 21:03:31',null,'1',null,'0');
INSERT INTO complaints VALUES('1633','ABDUL GHAFFAR KHAN','03018419999','HO#19 ST#13 KSEC E BEHIRA ENCLAVE ISB','5','31','110760','SIEMENS','0',null,'09-NOV-2019','90NVI20N - 908','REFRIGERATOR','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-08 20:56:28','2020-10-10 23:26:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1634','ARSHAD MEHMOOD AKRAM','03408476670','HUBI TRADER CHOWK PINDORI THE KARAL SAYDHA','8','42','42168','CORONA','0',null,'01-SEP-2020','125C-AUTO - 1074','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-08 21:08:19','2020-11-12 00:25:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1635','WAQAR AHMED','03451579529','AMINA NURSING HOME IBRAR SHAHEED ST ASKRI 11 RANGE ROAD R.W.P','7','49','21015','ORIENT','0',null,'27-MAY-2020','531BL - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-08 21:41:53','2020-10-12 23:56:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1636','BABAR SATAR','03135982730','HO#14 GALLI 61 F-6/3 ISB','5','32','121702','GREE','0',null,'09-SEP-2020','9978EG-CB2 - 885','REFRIGERATOR','RABAR ISSUE HAY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-08 22:46:52','2020-10-10 20:55:41',null,'1',null,'0');
INSERT INTO complaints VALUES('1637','MR AHMED','03118591550','HO#31 ST#12 F-6/3 ISB','8','47','115396','SONY','DIRECT SONY S/C COMPLAINT AAI',null,'11-MAR-2020','43W660F-S - 869','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'74','2020-10-08 23:06:27','2020-10-13 00:03:37',null,'1',null,'0');
INSERT INTO complaints VALUES('1638','MR MAIN WALI','03165676751','FLAT#14 ST 97 SEC G-11/3 ISB','8','40','42549','SONY','0',null,'20-SEP-2020','49W800G-CC - 1629','FLAT PANEL TV','INTERNET ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-08 23:15:54','2020-10-29 00:43:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1639','MURTAZA BUT(STOCK)','03115006051','FRIENDS CORPORATION PWD','4','7','0','KENWOOD','0',null,'0','1012SA - 902','WASHING MACHINE','BIAS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-08 23:22:37','2021-01-17 02:33:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1640','ASAD','03335916626','HO#67 SHAH ABDUI LATEF ROAD G-7/2-4 ISB','9','24','145063','HAIER','0',null,'OUT OFF VARIANT','120-1678HWM - 906','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-08 23:40:11','2020-10-10 22:30:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1641','M YASIR','03462891949','HO#310  ST 4 SE C PN FARMS SIMLI DAM ROAD','8','38','40308','SAMSUNG','0',null,'17-JUN-2020','51K5680SL-S - 908','REFRIGERATOR','WATER DISPENSER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-08 23:43:34','2020-10-12 19:44:44',null,'1',null,'0');
INSERT INTO complaints VALUES('1642','MURTAZA BUT(STOCK)','03115006051','FRIENDS CORPORATION PWD','4','7','0','KENWOOD',null,'2020-10-08',null,'1016SA - 1712','WASHING MACHINE','BAISE DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-08 23:46:49','2020-10-21 00:18:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1643','DR ASAD','03314447793','HO#963-B  NEAR WATER PLANT PHASE 7','6','15','26724','GREE','0',null,'18-MAR-2020','18CITH12G - 915','AIR CONDITIONER','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-09 00:20:17','2020-10-10 20:53:21',null,'1',null,'0');
INSERT INTO complaints VALUES('1644','ARSHAD FCI','03065005122','FRIEND CALPARACTION BLUE AREA ISB','5','32','83638','SIGNATURE','CUSTOMARY SIT  SHOWROOM PAR DROP KAR K GAY HAY',null,'19-APR-2018','24DN6 - 934','FLAT PANEL TV','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-09 00:31:00','2020-10-29 00:49:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1645','MISS SAIMA SHAMS','03325204698','HO#1351 ST 5 BLOCK C POLICE FOUNDATION','6','12','15446','HAIER','0',null,'24-JUL-2020','438EPB - 896','REFRIGERATOR','COILING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-09 01:49:34','2020-10-15 21:36:09',null,'1',null,'0');
INSERT INTO complaints VALUES('1646','MRS SALEEM','03225085495','HO#23-A ST#10 F-8/3 ISB','5','28','122016','CORONA','ABU BAKAR',null,'18-SEP-2020','125C-AUTO - 1074','COOKING RANGE','NOB ISSUE+FLAM PRB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-09 02:07:35','2020-10-12 21:57:55',null,'1',null,'0');
INSERT INTO complaints VALUES('1647','WAQAS AHMED','03425523619','DHOK KALA KHAN NATIONAL GROUND  SHAMSHABAD R.W.P','9','51','157494','SIGNATURE','(FATAY JUNG )',null,'21-AUG-2018','40DN6 - 938','FLAT PANEL TV','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-09 02:27:36','2020-12-19 01:06:57',null,'1',null,'0');
INSERT INTO complaints VALUES('1648','MRS NAJEEB','03004607218','HO#1068 ST 67 G-10/4 ISB','5','32','111801','ORIENT','0',null,'12-DEC-2019','531BL - 993','WATER DISPENSER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-09 02:35:36','2020-10-15 21:27:55',null,'1',null,'0');
INSERT INTO complaints VALUES('1649','RAJA KASHIF SAB','03335453069','HO#DD288-A ST#B-03 MADINA TOWN SHAMSHABAD R.W.P','8','38','35481','DAWLANCE','0',null,'10-JULY-2019','91996GD-INV-IOT-BK - 885','REFRIGERATOR','OVER COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-09 02:43:31','2020-10-15 21:25:58',null,'1',null,'0');
INSERT INTO complaints VALUES('1650','MR ATIF','03175555000','HO#834 ST 20 OVERSEAS 6 BAHRIA FACE  8','6','15','20929','ORIENT','0',null,'14-MAY-2019','18G-JUPITER-SW - 915','AIR CONDITIONER','COALING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-09 02:49:31','2020-10-15 21:23:07',null,'1',null,'0');
INSERT INTO complaints VALUES('1651','MANSOOR ALAM','03008243663','HO#1109 ST#56-B -17 MPCHS ISB','5','34','84541','HAIER','0',null,'22-MAR-2017','618HRF-SS - 903','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-09 20:40:54','2020-10-15 21:19:03',null,'1',null,'0');
INSERT INTO complaints VALUES('1652','EBAD  RASOOL QURESHI','03365922164','HO#547 ST#33 I-8/2 ISB','5','34','0','DAWLANCE','0',null,'0',null,'WASHING MACHINE','E12 ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-09 20:54:38','2020-10-12 21:43:51',null,'1',null,'0');
INSERT INTO complaints VALUES('1653','DILDAR HUSSAIN','03005000200','HO#D-590 SATELLITE TOWN R.W.P','9','22','121104','PEL','0',null,'01-SEP-2016','150PDF - 958','FREEZER','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-09 21:10:21','2020-10-10 23:16:27',null,'1',null,'0');
INSERT INTO complaints VALUES('1654','M ASLAM RANA','03125130561','HO#G 101 ST#03 PHASE 04 OFFICER COLONY WAHA CANTT','9','19','0','ECOSTAR','0',null,'2019','40U545 - 938','FLAT PANEL TV','NO DISPLAY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-09 21:32:35','2020-10-15 21:33:23',null,'1',null,'0');
INSERT INTO complaints VALUES('1655','MRS TARIQ','03335556623','HO#190 ST#2 B SEC 09 DOCTOR TOWN PWD','4','11','11867','HAIER','0',null,'13-DEC-2019','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-09 23:44:10','2020-10-13 21:30:29',null,'1',null,'0');
INSERT INTO complaints VALUES('1656','M. ASIF','03101543409','FLAT#13 BLOCK 04 -I-9/4 ISB','8','37','122564','SONY','0',null,'05-OCT-2020','40W650D-CC - 938','FLAT PANEL TV','NOT SCREEN PRINT CLEAR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-09 23:59:29','2020-12-19 23:33:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1657','REHAN SAB','03009857267','HO#191 ROAD A PHASE 07 BEHIRA TOWN','6','14','2854','SAMSUNG','0',null,'20-FEB-2020','16J6750SPGT - 1643','WASHING MACHINE','NOT WORKING',null,'5','CLOSED COMPLAINT',null,'customer','0',null,'74','2020-10-10 00:17:02','2020-10-10 23:15:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1658','ABDUL RAFAY','03455551890','HO#0 ST#139 G-13/4 ISB','5','28','98867','SIGNATURE','0',null,'30-OCT-2018','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-10 00:24:43','2020-10-24 20:40:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1659','MRS KHALID','03331999962','HO#21-P ST#25 SEC A BEHIRA ENCLAVE','5','28','0','SIGNATURE','C/O SADDIQ SAB',null,'0',null,'BUILT IN APPLLIANCES','DEAD PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-10 01:27:07','2020-10-24 20:49:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1660','UMAIR','03055545554','HO#26 ST#04 F-8/3 ISB','5','31','115801','DAWLANCE','0',null,'19-MAR-2020','1045CVT-VF - 1467','FREEZER','DISPLAY SETTING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-10 02:04:17','2020-10-13 21:25:24',null,'1',null,'0');
INSERT INTO complaints VALUES('1661','KHURRAM','03219500313','HO#236-A ST#04 F-10/3 ISB','5','34','76661','SIGNATURE','0',null,'04-JULY-2016','SCR-FSS3-5G - 1076','COOKING RANGE','NEED SERVICES',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-10 02:44:14','2020-10-11 01:01:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1662','REHAN SAB','03009857267','HO#191 ROAD A PHASE 07 BEHIRA TOWN','6','14','2854','SAMSUNG','0',null,'20-FEB-2016','16J6750SPGT - 1643','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','1657','74','2020-10-10 03:02:07','2020-10-13 20:13:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1663','ABDUL HADI','03455918798','SAIFI GENERAL STORE NEAR ZIYARAT DHOK NOOR KHAN ADYALA ROAD R.W.P','9','51','15555','TCL','1805VLR300511A00028',null,'14-JULY-2018','40S62 - 938','FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-10 20:02:41','2020-11-19 22:03:49',null,'1',null,'0');
INSERT INTO complaints VALUES('1664','USAMA','03018552045','HO#45-C ST#39 I-8/2 ISB','5','53','50849','TEKA','0',null,'31-OCT-2012','270TGF - 746','FREEZER','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-10 21:02:16','2020-11-20 02:00:26',null,'1',null,'0');
INSERT INTO complaints VALUES('1665','FAISAL','030285563658','HO#.34 ATTA UL HAQ ROAD WESTRIDGE 01 R.W.P','9','23','196406','LG','0',null,'19-SEP-2020','247CABV-S - 909','REFRIGERATOR','COMPRESSOR ISSUE(PTCL COMPLINT)',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-10 22:33:17','2020-10-15 21:27:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1666','NAHID ARIYAN','03065050344','HO#211-A ST#22 G-10/02 ISB','5','31','10,557','SIGNATURE','0',null,'22-MAR-2020','SRF-WB90M - 885','REFRIGERATOR','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-10 22:44:45','2020-10-20 23:27:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1667','COL KARAMAT','03215573826','HO#370 ST#01 ASKARI 10 EX R.W.P','9','19','155574','LG','0',null,'15-JULY-2018','9569NEFPS-C - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-10 22:56:04','2020-10-21 23:24:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1668','MR AFTAB HUSSAIN','03335525712','BLOCK 134 FLAT 1 D ST 139  G 11/4 ISB','5','28','00234','SIGNATURE','RAFAR TO IQBAL STOCK',null,'17-DEC-2016','SWM-JD51 - 902','WASHING MACHINE','HOT WATER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-10 23:00:22','2020-10-15 22:04:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1669','ZAHID PWD','03335171494','FRIEND CALPARATION  PWD','4','6','0','SONY','0',null,'0','75X8500E-S - 881','FLAT PANEL TV','WIFE PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-10-10 23:11:29','2020-12-25 00:38:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1670','MRS SALEEM','03225085495','HO#23-A ST#10 F-8/3 ISB','5','28','122016','CORONA','ABU BAKAR',null,'18-SEP-2020','125C-AUTO - 1074','COOKING RANGE','NOB ISSUE+FLAM PRB',null,'5','COMPLAINT CLOSED',null,'customer','1','1646','74','2020-10-10 23:27:03','2020-10-14 00:39:21',null,'1',null,'0');
INSERT INTO complaints VALUES('1671','MR ANAS','03163535905','HO#370 ST 22 BLOCK D MEDIA TOWN ISB','4','6','16309','HAIER','0',null,'15-SEP-2020','18HFAA-S INV - 915','AIR CONDITIONER','COILING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-10 23:31:05','2020-10-12 21:35:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1672','SYED JAWAD SAB','03365282716','SHAHDARA ROAD BARA KAHO ISB','5','28','0','LG','REF TO KHURRAM GOOGLE',null,'OUT OFF WARRANTY',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-10 23:37:00','2020-10-15 22:10:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1673','USMAN KHALID','03335176867(051-8749316)','FLAT#106 ST#73  AL SAFA HIGHTS 02 F-11/1 ISB','5','32','121099','ORIENT','0',null,'21-AUG-2020','AUTO7 - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-10 23:40:24','2020-10-13 21:19:37',null,'1',null,'0');
INSERT INTO complaints VALUES('1674','ZAHOOR AHMAD','03005190843','NEAR MASJID ANWAAR MADINA AKRAM ABBASI ST 2 CHATHA  BAKHTAWAR ISB','8','47','22104','DAWLANCE','0',null,'04-MAY-2020','7500C-DW - 1548','WASHING MACHINE','SPINER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-10 23:45:22','2020-10-13 21:17:22',null,'1',null,'0');
INSERT INTO complaints VALUES('1675','MR JAMIL KIANI','03178811427','HO#1411-K3 ST 14 OVERSEAS 7 PHASE 8','6','15','29915','SHARP','0',null,'07-OCT-2020','710CZ-W-S - 1548','WASHING MACHINE','LOCK ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-11 00:27:10','2020-10-12 21:50:40',null,'1',null,'0');
INSERT INTO complaints VALUES('1676','ADNAN ALAM','03348954493','HO#10 ST 7 BLOCK B SWAN GADAN ISB','4','5','10836','SIGNATURE','GS17043 [NAVEED]',null,'28-SEP-2019',null,'GEYSER','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-11 01:33:19','2020-10-12 19:39:38',null,'1',null,'0');
INSERT INTO complaints VALUES('1677','ABDUL NASIRC/O FAZAK DAD','03005276919','FLAT#506 G-11/3 ISB','8','42','23114','SIGNATURE','SBHAC900G-1122',null,'20-JUNE-2017',null,'BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-11 01:45:07','2020-10-14 20:32:07',null,'1',null,'0');
INSERT INTO complaints VALUES('1678','AZHAR  SB','03035593083','FRIEND CALPARATION PHASE 7','6','13','29891','DAWLANCE','0',null,'05-OCT-2020','162HZP - 1602','MICROWAVE OVEN','PLATE RUT AT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-11 01:47:08','2020-10-13 21:14:39',null,'1',null,'0');
INSERT INTO complaints VALUES('1679','ADNAN ALAM','03348954493','HO#10 ST 7 BLOCK B SWAN GADAN ISB','4','5','10836','SIGNATURE','GS17043 [NAVEED]',null,'28-SEP-2019',null,'GEYSER','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','1676','74','2020-10-11 02:20:42','2020-10-12 20:53:24',null,'1',null,'0');
INSERT INTO complaints VALUES('1680','NAEEM AKHTER BHATTI','03125244264','HO#DK 514 DHOK PARACHA R.W.P','8','37','23512','ORIENT','32HDACTION(IQBAL STOCK)',null,'15-SEP-2020',null,'FLAT PANEL TV','CENTER MAIN LINE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-11 02:33:16','2020-11-11 22:37:18',null,'1',null,'0');
INSERT INTO complaints VALUES('1681','MR AZMAT KHAN','03316424770','HO#629 ST 19 SEC E PHASE 8 BAHRIA TOWN','6','15','29881','SHARP','0',null,'04-OCT-2020','814CX-S - 899','WASHING MACHINE','SPINER ISSUE',null,'5','complaint closed',null,'customer','0',null,'92','2020-10-11 19:59:21','2020-10-21 21:35:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1682','MR ALI MALIK','03334541130','HO#37 ST 5  OMER BLOCK KHABANAY FAZE SCT H-13/3 ISB','5','53','110599','SIGNATURE','0',null,'04-NOV-2019','MD99SS-S - 1723','REFRIGERATOR','COILING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-11 20:19:04','2020-10-14 20:21:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1683','MR AZHAR SAEED','03008504006','HO#575 ST 13  SEC G-10/1 ISB','5','28','85808','SIGNATURE','0',null,'20-JUN 2017','55WB-S - 887','REFRIGERATOR','COILING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-11 20:33:04','2020-11-08 20:09:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1684','MR SAEED ABASS','03005256525','HO#1651 TENCH BHATA AKHARE STOP NEAR USMAN ELECTRONIC','9','22','197251','DAWLANCE','0',null,'07-OCT-2020','9191WBLVS-BHL','REFRIGERATOR','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-11 21:00:01','2020-10-27 20:31:34',null,'1',null,'0');
INSERT INTO complaints VALUES('1685','M SAEED SHAH','03100966666','HO#NW750 SAD PUR ROAD SAKEEM  1 SAT ALIGHT TOWN RWP','9','51','196657','LG','55NANO86-S-988',null,'24-SEP-2020',null,'FLAT PANEL TV','NIT WORK ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-11 21:21:17','2020-10-14 21:05:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1686','MUBASHIR JABED IQBAL','03315620731','HO#NE-129-E- ST 9 CHAMANZAR COLONY RWP','9','22','196033','HAIER','0',null,'12-SEP-2020','438IDBT - 896','REFRIGERATOR','SMALL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-11 21:37:56','2020-10-14 20:00:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1687','M MUNIR','03078106311','BLOCK D MOHAMDEA MASJID KHAREBA BAD RWP','9','23','31837','ORIENT','0',null,'19-MAY-2009','68635GDR - 896','REFRIGERATOR','COLLIN GAS RABAR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-11 22:14:27','2020-10-14 00:22:12',null,'1',null,'0');
INSERT INTO complaints VALUES('1688','C O MOHSIN','03452390391','MAN BARAKHOU ROAD JAN ALAM MEDICAL SATOR GALI NO 1','9','23','193818','ORIENT','0',null,'29-JUL-2020','529BL - 128','WATER DISPENSER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-11 22:21:24','2020-11-20 02:14:18',null,'1',null,'0');
INSERT INTO complaints VALUES('1689','MR AHSAN NOOR','03445823574','HO#8 ST 11 SEC C1 BAHIRA INCELAF ISB','9','24','197110','HAIER','0',null,'04-OCT-2020','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-11 22:31:40','2020-10-13 19:28:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1690','SHAYAAN KHALID','03320564130','HO# 11 ST 53 JINNAH GARDEN PHASE 1','4','10','16654','ORIENT','WALEED',null,'10-OCT-2020','531BL - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-11 22:53:47','2020-10-14 00:09:24',null,'1',null,'0');
INSERT INTO complaints VALUES('1691','SOHAIL SB','03325257944','HO#42 ST-1B GHOURI TOWN PHASE 5-A','9','19','24132','SIGNATURE','0',null,'30-AUG-2017','SRF-KK90G - 885','REFRIGERATOR','ON OFF ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-10-11 23:51:15','2020-10-24 00:24:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1692','LIAQAT SAHIB','03225254893','WAHT#5 MALA HAFZA BAD GUJARKHAN MUSLIM HIGH SCHOOL GT ROAD','8','42','41771','TCL','2004VLR301128A00151',null,'12-AUG-2020','43P715-869','FLAT PANEL TV','SAKREEN  ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2020-10-12 01:38:54','2020-11-08 21:52:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1693','LIAQAT SAHIB','03225254893','WAHT#5 MALA HAFZA BAD GUJARKHAN MUSLIM HIGH SCHOOL GT ROAD','8','42','41771','TCL','2004VLR301128A00151',null,'12-AUG-2020','43P715-869','FLAT PANEL TV','SAKREEN  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-12 01:38:54','2020-10-12 01:40:23',null,'1',null,'0');
INSERT INTO complaints VALUES('1694','COL BABAR','03400722227','HO#BF8 KOHSAR COMPLEX  F-5/2 ISB','9','22','197081','LG','0',null,'04-OCT-2020','4V5RGP2T-S - 899','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-12 01:58:32','2020-10-15 20:52:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1695',null,null,null,'13',null,null,'HAIER','282140',null,null,'306IDRT - 894','REFRIGERATOR','Damig',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2020-10-12 04:07:27','2020-10-19 23:30:03',null,'1',null,'0');
INSERT INTO complaints VALUES('1696',null,null,null,'13',null,null,'HAIER',null,null,null,'245SD - 955','FREEZER','Damig',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2020-10-12 04:11:59','2020-10-25 00:28:44',null,'1',null,'0');
INSERT INTO complaints VALUES('1697','AZHAR','03219540853','HO#85 ST#05 GULRAIZ HOUSEING SCKEEM PHASE 03','4','11','1737','SIGNATURE','20AC-1237',null,'26-NOV-2017',null,'MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-12 19:27:13','2020-10-21 23:06:23',null,'1',null,'0');
INSERT INTO complaints VALUES('1698','QAZI HARON UR RASHID','03219594868','HO#2730 ST#65 ROAD E ABU BAKAR BLOCK PHASE 08 BEHIRA TOWN','9','24','196507','HAIER','0',null,'20-SEP-2020','120-1789HWM - 906','WASHING MACHINE','SPINNER PRB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-12 19:37:51','2020-10-15 20:41:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1699','ADVOCAT HAROON KHAN','03018841434','HO#187 ST#31 SEC B SAFARI HOME PHASE 08 B TOWN','6','13','29694','CANON','204B-2021',null,'21-SEP-2020',null,'WASHING MACHINE','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-12 19:54:11','2020-10-15 20:38:37',null,'1',null,'0');
INSERT INTO complaints VALUES('1700','ADVOCAT HAROON KHAN','03018841434','HO#187 ST#31 SEC B SAFARI HOME PHASE 08 B TOWN','6','13','29694','CANON','204B-2021',null,'21-SEP-2020',null,'WASHING MACHINE','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-12 19:54:34','2020-10-12 19:58:02',null,'1',null,'0');
INSERT INTO complaints VALUES('1701','NOUMAN ALI KHAN','03498932781','VILLAGE MORIYA 6 KM CHAK SHAHZAD BEHIRA ENCLAVE  ISB','9','24','179621','CANON','0',null,'06-OCT-2019','18D - 1748','GEYSER','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-12 20:47:20','2020-10-15 20:36:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1702','ALI ABBAS','03455507607','HO#J 34 ST#04 ARYA MOHALLAH LIQYAT BAAG R.W.P','9','20','190958','HAIER','REF TO RANA TAHIR',null,'19-JUNE-2020','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-12 21:08:21','2020-10-13 23:05:40',null,'1',null,'0');
INSERT INTO complaints VALUES('1703','EHSAN','03339872491','HO#59 ST#06 SEC E PHASE 08 B.TOWN','6','13','27946','KENWOOD','0',null,'23-JUN-2020','1830S-HC INV - 915','AIR CONDITIONER','WATER DRAIN + SMALL PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-12 22:04:00','2020-11-11 22:15:33',null,'1',null,'0');
INSERT INTO complaints VALUES('1704','JAVED FCP','03009+771779','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','20','0','HAIER','336 R',null,'0',null,'WATER DISPENSER','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-12 22:22:55','2020-11-05 22:12:26',null,'1',null,'0');
INSERT INTO complaints VALUES('1705','AKHTER BUKHARI','03014443519','HO#130 SC ST#4-B PHASE 0 EXT BEHIRA TOWN','4','10','2281','SAMSUNG','0',null,'08-JAN-2018','11J5710-MRM - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-12 22:34:07','2020-10-15 22:57:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1706','DR MUSTAQ','03005171468','FLAT#05 BLOCK 15 E  ST#19 g-10/2 ISB','5','35','116080','KENWOOD','0',null,'29-APR-2020','1015SA - 902','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-12 22:40:53','2020-10-31 20:53:16',null,'1',null,'0');
INSERT INTO complaints VALUES('1707','JUZER','03218543110','HO#51 LANE#03 GULISTAN COLONY NEAR AYUB PARK R.W.P','8','38','130380','LG','REF TO KHURRAM GOOGLE(CUSTOMER N DIRECT COMPLAINT KARWAI)',null,'01-APR-2017','872HLPL-S - 1332','REFRIGERATOR','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-12 23:36:02','2020-10-24 20:37:55',null,'1',null,'0');
INSERT INTO complaints VALUES('1708','NAVEED SAB','03102051980','PF BIAS SAMUKHALI QUE ETA ISB','5','33','122479','KENWOOD','0',null,'02-OCT-2020','1828S-INV - 915','AIR CONDITIONER','NOT WORKING',null,'5','REPLACED',null,'customer','0',null,'92','2020-10-13 00:22:28','2020-11-08 21:56:31',null,'1',null,'0');
INSERT INTO complaints VALUES('1709','ARSHAD KHATTAK','03335030564','HO#46E ST#57 G-6/4 ISB','5','31','81569','SIGNATURE','CUSTOMER KO CALL NI KARNI',null,'11-FEB-217','SWM-SR50 - 905','WASHING MACHINE','FILTER REQUITER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-13 00:41:58','2020-11-08 19:56:40',null,'1',null,'0');
INSERT INTO complaints VALUES('1710','MIKAIL OMER WALEED','03245213337(03111150707)','HO#99 FAIZABAD MUREE ROAD R.W.P','8','38','23498','SAMSUNG','C/O TAHA SOHAIL',null,'15-SEP-2020','58RU7100-MRM - 876','FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-13 00:58:29','2020-11-09 20:17:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1711','MH HUSSAIN','03218554421','HO#341 ST 18 GORE TOWN FACE 4A ISB','5','36','95932','SIGNATURE','0',null,'4-JUL-2018','SBH-AC930S - 1122','BUILT IN APPLLIANCES','JALE ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-10-13 01:00:49','2020-10-29 00:16:18',null,'1',null,'0');
INSERT INTO complaints VALUES('1712','ADEEL','03350524522','H NO 121J1 LANE NO 7 NEW RAJA AKRAM COLONY TULSA ROAD LALAZAR','8','42','39684','TCL','2003VLR301098A00022',null,'14-MAY-2020','43P8US - 869','FLAT PANEL TV','REMOTE SENSOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-13 01:13:00','2020-11-12 00:17:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1713','MR SALEEM KHAN','03005896516','HO#6 ST 9 F-6/3 ISB','5','31','121125','SAMSUNG','65060-MRM -1055',null,'22-AUG-2020',null,'FLAT PANEL TV','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-13 01:26:28','2020-11-08 19:53:26',null,'1',null,'0');
INSERT INTO complaints VALUES('1714','IMTEAZ','03335500870','HO#324 ST 2 BINARIES COLONY  CHAKLALA SAKEEM 3','5','28',null,'KENWOOD','KHURRAM GOOGLE',null,'OUT OFF VARIANT',null,'WASHING MACHINE','SPINER ISSUE',null,'5','RESOLVED',null,'customer','0',null,'92','2020-10-13 02:09:06','2020-11-08 21:59:26',null,'1',null,'0');
INSERT INTO complaints VALUES('1715','MIRZA SOHAIL','03339541400','SHOP NO 1 ALMAJEED MARKET MAIN ROAD GOOL MANDE','9','23','195323','TCL','18HEG-O-201912-00595',null,'24-AUG-2020','18HEG - 915','AIR CONDITIONER','ERROR ISSUE',null,'5','RESOLVED',null,'customer','0',null,'92','2020-10-13 02:29:06','2020-11-08 22:01:15',null,'1',null,'0');
INSERT INTO complaints VALUES('1716','MAJ KHALID','03024260274','HO#02 HALI ROAD WEST RIDGE 01 R.W.P','9','23','130230','SIGNATURE','C/O  WHATSAPP NO',null,'30-MAR-2017','SVF-SY40N - 1468','FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-13 02:50:05','2020-10-21 22:52:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1717','COL WAHEED','03365599714','HO#9F ROAD 1 -C 7TH AVENU SEC J BEHIRA ENCLAVE','8','42','42791','SONY','0',null,'03-OCT-2020','65X9500G-CC - 1443','FLAT PANEL TV','PANAL LINE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-13 02:55:27','2020-12-19 23:30:58',null,'1',null,'0');
INSERT INTO complaints VALUES('1718','IQBAL SAB','03335181563','HO#49 ST#1-B PHASE 05 GORI TOWN','8','38','19604','SIGNATURE','REF TO RANA TAHIR',null,'17-OCT-2016','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-13 19:43:16','2020-10-23 23:55:15',null,'1',null,'0');
INSERT INTO complaints VALUES('1719','MRS SHAD','03035248279','APP4 FC CHAI KHANA GULBARG GREEN','4','6','11114','SIGNATURE','0',null,'21-OCT-2019','SVF-SY20D - 956','FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-13 19:50:30','2020-10-13 21:26:32',null,'1',null,'0');
INSERT INTO complaints VALUES('1720','MRS MASOOD','03335500519','HO#12 BLOCK G SREVICE ROAD NAVAL ANCHORAGE','4','6','3992','ECOSTAR','0',null,'05-JUN-2018','49U571 - 1629','FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-13 20:00:21','2020-10-17 20:43:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1721','KAMRAN BEHIRA','03219507474','FRIENDS CORPORATION  PHASE 07 B.TOWN','6','14','27052','HOMAGE','0',null,'04-MAY-2020','81HWD - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-13 20:04:27','2020-11-12 00:16:32',null,'1',null,'0');
INSERT INTO complaints VALUES('1722','ABDUL HAFEEZ KHAN','03335119204, 0518738324','H NO 4 ST NO 8 HOSTEL CITY LANE NO 10 CHATTA BAKHTAWAR PARK ROAD ISB','9','20','90981','HAIER','AGAIN COMPLAINT PTCL',null,'25-jun-2014','120-1678HWM - 906','WASHING MACHINE','DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-13 20:19:24','2020-10-15 19:52:43',null,'1',null,'0');
INSERT INTO complaints VALUES('1723','SAQIB RAZZAQ','03005125905','HO#13  OPP 02 ST#04 MAIN ROAD NEW CITY PHASE 01 WHA CANTT','9','20','140253','SIGNATURE','0',null,'07-SEP-2017','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-13 20:29:30','2020-10-24 00:06:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1724','ZAHID PWD','03335171494','FRIENDS CORPORATION PWD','4','6','0','HOMAGE','REF TO ASALAM SAB(SHOWROM)','2020-10-13',null,'81HWD - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-13 20:33:29','2020-11-11 21:11:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1725','SAQIB RAZZAQ','03005125905','HO#13 OPP 02 ST#04 MAIN ROAD NEW CITY PHASE 01 WHA CANTT','9','20','140245','SIGNATURE','0',null,'06-SEP-2017','SBH-AB900S - 1122','BUILT IN APPLLIANCES','BURNER PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-10-13 20:47:30','2020-10-19 20:41:33',null,'1',null,'0');
INSERT INTO complaints VALUES('1726','IMRAN','03005211539','HO#62 UPPER POTION ST#06 G-8/2 ISB','5','33','122389','HAIER','0',null,'29-SEP-2020','120-1678HWM - 906','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-13 21:17:04','2020-10-15 19:49:51',null,'1',null,'0');
INSERT INTO complaints VALUES('1727','SAQIB MIRZA','03155330448','HO#1150 ST 45 I-10/2 ISB','5','32','114600','HAIER','0',null,'10-FEB-2020','95-1678HWM - 1817','WASHING MACHINE','SPINER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-13 21:49:55','2020-10-15 19:47:48',null,'1',null,'0');
INSERT INTO complaints VALUES('1728','MR REZWAN','03165163266','MALALI CHOCK KARAL CNG RWP','9','19','194684','HAIER','0',null,'15-AUG-2020','85-12826HW - 945','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-13 22:07:05','2020-10-15 19:44:06',null,'1',null,'0');
INSERT INTO complaints VALUES('1729','AMJAD BHATTI','03319777822','HO#34 ST10 SEC E ,DHA 1','9','19','160895','TCL','18OBVLR300572A00014',null,'11-NOV-2018','65C2US - 1443','FLAT PANEL TV','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-13 22:28:59','2020-10-17 20:37:17',null,'1',null,'0');
INSERT INTO complaints VALUES('1730','FAISAL IQBAL','03335434988','HO#123 ST 52 G-14/4 ISB','8','37','22064','ORIENT','TAHA SOHAIL',null,'02-MAY-2020','18G-HYPER-SW - 915','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-13 22:55:30','2020-10-15 20:47:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1731','HAVALDAR SAQIB SB','03318013502','LOG AERA LODGES NEAR ORDNANCE OFFICER  MESS LALKURTI  RWP','8','37','28089','GREE','0',null,'30-JUN-2020','500FC - 993','WATER DISPENSER','COILING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-13 23:33:44','2020-10-24 20:58:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1732','MIS SHARMEEN','03212220094','HO#12 ST#25 SEC A BEHIRA ENCLAVE ISB','5','36','100075','SIGNATURE','25BG-1221',null,'08-DEC-2018',null,'MICROWAVE OVEN','LIGHT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-14 00:04:25','2020-10-20 23:30:07',null,'1',null,'0');
INSERT INTO complaints VALUES('1733','DR MAHFOOZ UR REHMAN','03215552163','HO#1044 ST#78 D-12/1 ISB','5','36','120790','BOSCH','0',null,'15-AUG-2020','24462GC - 902','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-14 00:09:40','2020-10-15 21:11:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1734','ASAD MEHMOOD','03335131355','HO#217 ST#06 SHAHZAD TOQWN ISB','8','42','41814','SIGNATURE','20AC',null,'15-AUG-2020',null,'MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-14 00:35:39','2020-10-19 20:40:16',null,'1',null,'0');
INSERT INTO complaints VALUES('1735','WAQAR ALI','03096969292','HO#01 LANE#01 ASGHAR AVNUE ZEESHAN ST BUSTAN KHAN','8','38','37272','SIGNATURE','0',null,'22-OCT-2019','SWM-JD50C - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-14 00:47:25','2020-10-22 03:07:34',null,'1',null,'0');
INSERT INTO complaints VALUES('1736','KHALID KHAN','03336629910','HO#268 T ST#17 SEC E-11/4 ISB','5','28','0','SIGNATURE','C/O SADDIQ SAB',null,'2 YER AGO',null,'WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-14 00:51:57','2020-11-21 20:13:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1737','BADAL FCI','03215299358','FRIENDS CORPORATION BULE AREA ISB','5','34','0','SONY','55X7500H(SHOWROOM VISIT)',null,'0',null,'FLAT PANEL TV','CHANNEL NOT TUNNED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-14 00:58:17','2020-10-28 21:58:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1738','CAP SHAHNAWAZ KHAN','03335674414','HO#436 ST#11 F-10/2 ISB','5','28','122061','CORONA','ABU BAKAR',null,'19-SEP-2020',null,'COOKING RANGE','NOB HEAT UP PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-14 01:15:57','2020-10-19 21:18:28',null,'1',null,'0');
INSERT INTO complaints VALUES('1739','MR WAJAHAT ZEESHAN','03005008666','JAME YA MASJID MALIK REYAZ PH 8 BAHIA TOWN','6','15','29693','HAIER','0',null,'21-SEP-2020','24HE03 - 917','AIR CONDITIONER','FLIPPING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-14 01:42:41','2020-10-31 19:43:17',null,'1',null,'0');
INSERT INTO complaints VALUES('1740','MR AFTAB','03490567806','FLAT#3 BLOCK 11 SE G-8/4 ISB','5','35','121878','HAIER','0',null,'14-SEP-2020','85-7288 - 69','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-14 02:07:47','2020-10-16 00:07:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1741','MAJ-YASIN','03235292801(03318013502)','LOG AREA LODGES NEAR ORDNANCE OFFICER MASS LALKHURTI R.W.P','6','12','28089','GREE','REF TO ZARA',null,'30-JUNE-2020','500FS - 993','WATER DISPENSER','COMPRESSOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-14 02:13:01','2020-10-14 02:20:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1742',null,null,null,'8',null,null,'SAMSUNG',null,null,null,'43NU7100-MRM - 869','FLAT PANEL TV','Secreen esho',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'96','2020-10-14 02:37:42','2020-12-01 20:11:27',null,'1',null,'0');
INSERT INTO complaints VALUES('1743','SAIQA','03450777085','HO#2754 ST 4 INFARANT OFF HUSSAINA  BAD MESEYAL ROAD  RWP','9','22','16938','SAMSUNG','0',null,'16-APR-2019','70J3283W-S - 1548','WASHING MACHINE','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-14 03:04:31','2020-10-15 02:29:16',null,'1',null,'0');
INSERT INTO complaints VALUES('1744',null,null,null,'13',null,null,'DAWLANCE',null,null,null,'380C-DW - 1743','MICROWAVE OVEN','Top damig',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2020-10-14 04:27:20','2020-12-09 01:34:48',null,'1',null,'0');
INSERT INTO complaints VALUES('1745','MR OMER','03075780666','HO#1015 ST#45 PHASE 07 B TOWN','6','12','13935','SIGNATURE','0',null,'23-APR-2018','MD99SS-S - 1723','REFRIGERATOR','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-14 20:10:26','2020-10-15 00:57:10',null,'1',null,'0');
INSERT INTO complaints VALUES('1746','M SAEED SHAH','03100966666','HO#NW750 SAD PUR ROAD SAKEEM 1 SAT ALIGHT TOWN RWP','9','51','196657','LG','55NANO86-S-988',null,'24-SEP-2020',null,'FLAT PANEL TV','NET PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-14 20:50:50','2020-10-17 21:05:41',null,'1',null,'0');
INSERT INTO complaints VALUES('1747','HUMERA AFAQ','03333531425','HO#11 ST#30 BLOCK F NAVAL ANCHORAGE','4','10','16707','LG','OK60MK2S2-C-122',null,'12-OCT-2020',null,'WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-14 21:21:51','2020-10-19 20:33:17',null,'1',null,'0');
INSERT INTO complaints VALUES('1748','DR MRS IMRAN MALIK','03005002270','HO#183 ST#5 F-11/1 ISB','5','34','69735','SAMSUNG','0',null,'13-AUG-2015','48FAJEDSP - 897','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-14 21:51:28','2020-10-20 23:26:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1749','NAHEAD IQBAL','03315565441','HO#FD 4 ST 1 SABZAZAD COLONY ARMI HOUSING RWP','4','6','20518','SAMSUNG','0',null,'7-JAN-2019','70H4200-S - 1483','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-14 22:01:42','2020-10-17 19:33:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1750','RIZWAN AKRAM','03215016453','HO#600 ST#06 G-11/1 ISB','5','32','104612','HAIER','0',null,'07-MAY-2019','438TBB  - 896','REFRIGERATOR','OVER COOLING PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-10-14 22:19:08','2020-10-18 02:23:43',null,'1',null,'0');
INSERT INTO complaints VALUES('1751','SADIQ JAN','0333535717','HO#113 st#06ASKRI 07 ADYALA ROAD R.W.P','9','20','153951','LG','0',null,'04-JUN-2018','4J6TNP8S-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-14 22:32:57','2020-10-28 22:01:24',null,'1',null,'0');
INSERT INTO complaints VALUES('1752','SOHAIL SHOKAT','03355278834','HO#124 KHOTA KALA MORGA  NEAR ATTOCK OLI','6','14','24236','SIGNATURE','0',null,'07-DEC-2019','SGG-1704G - 1029','GEYSER','ON OFF PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-10-14 22:53:31','2020-10-19 20:26:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1753','AMIR SAB','03445006872','HO#31 ST#11 SECTION E GEAT 08 DHA 2','5','33','122659','MITSUBISHI','0',null,'08-OCT-2020','50VA - 915','AIR CONDITIONER','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-14 23:47:07','2020-10-17 20:25:16',null,'1',null,'0');
INSERT INTO complaints VALUES('1754','MEHBOOB','03008506768','HO#285 ST#58 SEC -1-8/2','8','38','0','PEL','OUT OFF WARRANTY',null,'0',null,'REFRIGERATOR','OVER COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-15 00:23:38','2020-10-15 21:21:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1755','MISS IMTIAZUDDIN','03008544795','HO#17A ST 60 F-6/3 ISB','5','32','122709','CORONA','351-14',null,'09-OCT-2020',null,'COOKING RANGE','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-15 01:02:05','2020-10-19 21:13:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1756','QURBAN SB','03012940375','HO#161 5 SARKI SHELF PUMP RWP','9','24','142423','SIGNATURE','MM9R-971',null,'02-NOV-2017',null,'MICROWAVE OVEN','GLASS ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-15 01:14:29','2020-10-23 23:52:18',null,'1',null,'0');
INSERT INTO complaints VALUES('1757',null,null,null,'5',null,null,'TCL',null,null,null,'49S6500 - 1629','FLAT PANEL TV','Screen Issue',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-10-15 01:30:51','2020-11-19 22:18:34',null,'1',null,'0');
INSERT INTO complaints VALUES('1758',null,null,null,'5',null,null,'WAVES',null,null,null,'900WWST - 901','WASHING MACHINE','Drain Pipe Damage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-10-15 01:31:35','2020-10-25 01:15:17',null,'1',null,'0');
INSERT INTO complaints VALUES('1759',null,null,null,'5',null,null,null,null,null,null,'204B','WATER DISPENSER','Canon , Cooling Issue',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-10-15 01:33:07','2020-11-28 22:05:27',null,'1',null,'0');
INSERT INTO complaints VALUES('1760',null,null,null,'5',null,null,'HOMAGE',null,null,null,'43HWD - 993','WATER DISPENSER','Drain Cap Missing',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-10-15 01:38:17','2020-10-25 01:30:32',null,'1',null,'0');
INSERT INTO complaints VALUES('1761',null,null,null,'5',null,null,'HOMAGE',null,null,null,'81HWD - 993','WATER DISPENSER','Door Issue',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-10-15 01:39:05','2020-11-04 02:57:12',null,'1',null,'0');
INSERT INTO complaints VALUES('1762',null,null,null,'5',null,null,'SONY',null,null,null,'55X7500F - 942','FLAT PANEL TV','Channel Issue',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-10-15 01:41:34','2020-10-27 21:35:12',null,'1',null,'0');
INSERT INTO complaints VALUES('1763','MUSTFA','03455116391','MASHJID AQSA E CHOCK RWP','9','51','191945','SONY','0',null,'02-JUL-2020','48W652D-CC - 1560','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-15 01:45:02','2020-12-19 23:30:24',null,'1',null,'0');
INSERT INTO complaints VALUES('1764','ADNAN RASHEED','+92','HO#799 ST#30 PHASE 04-A GORI TOWN ISB','9','19','0','TCL','MODELL55P65US(1808VLR300593A00022)',null,'1&HALF YEAR',null,'FLAT PANEL TV','DISPLAY ISSUE',null,'5','CLOSED',null,'customer','0',null,'74','2020-10-15 02:04:27','2020-10-15 02:17:10',null,'1',null,'0');
INSERT INTO complaints VALUES('1765','ADNAN RASHEED','03335131355','HO#799 ST#30 PHASE 04-A GORI TOWN ISB','9','19','0','TCL','MODELL55P65US(1808VLR300593A00022)',null,'1&HALF YEAR',null,'FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-15 02:09:01','2020-11-19 22:28:34',null,'1',null,'0');
INSERT INTO complaints VALUES('1766','ADNAN RASHEED','03335131355','HO#799 ST#30 PHASE 04-A GORI TOWN ISB','9','19','0','ECOSTAR','OUT OFF WARRANTY',null,'0',null,'FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-15 02:14:56','2020-10-19 21:10:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1767',null,null,null,'12',null,null,'HOMAGE',null,null,null,'86HWD - 993','WATER DISPENSER','Damage hai',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'99','2020-10-15 02:24:04','2021-01-19 01:02:28',null,'1',null,'0');
INSERT INTO complaints VALUES('1768','MR KHALID','03335133266','HO#1004A-1 ST JAVA ID NEAR NATIONAL BANK RWP','9','23','159882','SIGNATURE','0',null,'21-OCT-2018','SCF-HM10 - 955','FREEZER','COILING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-15 02:28:33','2020-10-24 00:05:15',null,'1',null,'0');
INSERT INTO complaints VALUES('1769','MH SALEEM','03025444487','HO#NW2 GOVERNMENT COLLEGE ROAD ASKAR MALL RWP','9','23','126588','ARISTON','0',null,'12-JAN-2017','50L-V - 1365','GEYSER','HITTING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-15 02:56:30','2020-10-27 23:27:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1770','SAQIB RAZZAQ','03005125905','HO#13  OPP 02 ST#04 MAIN ROAD NEW CITY PHASE 01 WHA CANTT','9','20','140253','SIGNATURE','0',null,'07-SEP-2017','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','1723','74','2020-10-15 19:40:37','2020-10-22 03:05:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1771','NASEER AHMED','03335174599','FLAT#03 ST#99 BLOCK#100 G-7/4 ISB','5','35','122504','DAWLANCE','0',null,'03-OCT-2020','388DW - 1199','MICROWAVE OVEN','TIMING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-15 20:01:30','2020-10-17 19:53:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1772','ABBAS THAIR','03009334444','HO#76-B LANE#7-B GULISTAN COLONY R.W.P','8','37','42771','FIVE STAR','55GTWIN',null,'01-OCT-2020','25G-TWIN-FS - 1966','GEYSER','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-15 20:43:05','2020-10-19 21:07:22',null,'1',null,'0');
INSERT INTO complaints VALUES('1773','SOHAIL AZAD KIYANI','03008545821','HO#16 SEC B SERVICES ROAD DHA 01','6','12','24843','SONY','0',null,'15-DEC-2019','65X8077G-S - 1443','FLAT PANEL TV','DEAD SET',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-15 20:55:40','2020-10-21 22:31:06',null,'1',null,'0');
INSERT INTO complaints VALUES('1774','M. IMRAN SAB','03235129659','HO#260 ST#14 SECG-15/4 ISB','9','22','14901','LG','0',null,'29-JUN-2020','9588NEHVA-S - 901','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-15 21:15:44','2020-11-02 19:55:03',null,'1',null,'0');
INSERT INTO complaints VALUES('1775',null,null,null,'5',null,null,'HAIER',null,null,null,'32K6000 - 936','FLAT PANEL TV','Power Issue',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-10-15 21:50:27','2020-11-28 22:03:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1776','MEHMOOD HUSSAIN','+9203335303268','HO#39 ST#08 G-13/3 ISB','8','40','42772','SIGNATURE','0',null,'01-OCT-2020','SBH-AC900G - 1122','BUILT IN APPLLIANCES','CENTER BURNER NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-10-15 22:06:09','2020-10-19 20:22:42',null,'1',null,'0');
INSERT INTO complaints VALUES('1777','TARIQ PERVAIZ','03245160643','MISRIYAL ROAD GALI #05 DEWANA KHAS NEAR MUBASHER GERNAL STOR R.W.P','7','49','192984','SAMSUNG','0',null,'16-JULY-2020','32N5300-S - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-15 22:19:37','2020-10-23 23:48:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1778','WAQAR ALI','03335581558','HO#1  ASKAR AVENUE ZESHAN STEET BUS-TAN KHAN ROAD RWP','8','38','37272','SIGNATURE','0',null,'22-OCT-2019','SWM-JD50C - 902','WASHING MACHINE','DRAIN ISSUE',null,'5','CLOSED COMPLAINT',null,'customer','0',null,'92','2020-10-15 22:33:42','2020-10-17 20:32:49',null,'1',null,'0');
INSERT INTO complaints VALUES('1779','M AMIN','03005590854','HO#643 ST#05 WEST SHABBIR LANE PESHWAR ROAD R.W.P','9','24','177472','KENWOOD','0',null,'19-AUG-2019','1230S-HC INV - 913','AIR CONDITIONER','IN DOOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-15 22:56:54','2020-10-17 21:37:18',null,'1',null,'0');
INSERT INTO complaints VALUES('1780','SYED ALTAF HUSSAIN SHAH','03008552492','HO#72 C ST#23 BLOCK A BEHIRA ENCLAVE ISB','5','32','93332','SIGNATURE','0',null,'10-APR-2018','SRF-HM100 - 908','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-15 23:03:54','2021-02-23 18:01:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1781','ZEESHAN','+9203335028095','RED ZONE SECRETARIAT KOSHAR BLOCK MINISTER OF RELIGION ISB','5','29','114081','MITSUBISHI','FLOOR STANDING',null,'22-JAN-2020','71VD1-FDF INV - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-15 23:31:32','2020-10-17 21:34:44',null,'1',null,'0');
INSERT INTO complaints VALUES('1782','DR NADEEM','03335178336','HO#63 ST#01 SEC B DHA 01','6','14','29614','CORONA','0',null,'16-SEP-2020','125C-AUTO - 1074','COOKING RANGE','BURNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-16 00:07:07','2020-10-20 21:59:12',null,'1',null,'0');
INSERT INTO complaints VALUES('1783','SHAHZAD','03335212251','HO#132 ST#34 OVERSEAS 5 PHASE 08 BEHIRA TOWN','6','13','28767','HAIER','0',null,'19-JUN--2020','120-1678HWM - 906','WASHING MACHINE','WATER IN TAKE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-16 01:25:39','2020-10-17 19:45:43',null,'1',null,'0');
INSERT INTO complaints VALUES('1784','MRS COL TAHIR','03334254124','HO#14 ST#17 SEC -C DHA ISB','6','13','29413','LG','425FPS-S-34(ZARA)',null,'05-SEP-2020',null,'DISH WASHER','DEMO REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-16 01:57:49','2020-10-24 20:32:27',null,'1',null,'0');
INSERT INTO complaints VALUES('1785','MR NASHAD SIDDQUE','03459471155','HO#11 DABAL ROAD SANE VALES SEC D/17 ISB','8','38','26471','LG','0',null,'19-MAR-2018','32LJ610-P - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-16 02:17:57','2020-11-09 22:36:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1786','COL JAFFAR','03337941555','3rd HOUSE ON LEFT BILAL STREET AZAM TOWN KORANG ROAD BANI GALA','5','31','120759','LG','0',null,'13-AUG-2020','247SVUV-S - 909','REFRIGERATOR','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-16 02:39:03','2020-11-04 23:41:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1787','MRS SHAHZAD','03214219812','HO#24 ST#06 SEC D DHA 01','6','15','0','KENWOOD','OUT OFF WARRANTY',null,'0',null,'WASHING MACHINE','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-16 03:00:24','2020-10-31 21:30:23',null,'1',null,'0');
INSERT INTO complaints VALUES('1788','RIAZ AHMED','03331493620','HO#1972 ST#59 USMAN BLOC PHASE 08 B.TOWN','6','13','30033','HAIER','0',null,'14-OCT-2020','120-826 - 906','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-16 20:47:21','2020-10-17 19:49:58',null,'1',null,'0');
INSERT INTO complaints VALUES('1789','ZAHID','03340550888','HO#25 ST#16 BLOCK A O9- POLICE FOUNDATION','4','6','12224','LG','0',null,'15-DEC-2019','9588NEHVA-S - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-16 20:58:51','2020-11-14 02:07:09',null,'1',null,'0');
INSERT INTO complaints VALUES('1790','MEHBOOB UR REHMAN','03339426663','HO#33 ST#72 F-8/3 ISB','8','40','41123','LG','0',null,'16-JULY-2020','9588NEHVA-S - 901','WASHING MACHINE','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-16 21:30:16','2020-10-24 20:11:07',null,'1',null,'0');
INSERT INTO complaints VALUES('1791',null,null,null,'8',null,null,'SONY',null,null,null,'65X8577G-S - 1443','FLAT PANEL TV','On of problem',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'96','2020-10-16 21:55:45','2021-01-16 22:42:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1792',null,null,null,'8',null,null,'SONY',null,null,null,'65X8577G-S - 1443','FLAT PANEL TV','On of problem',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'96','2020-10-16 21:56:49','2020-12-01 19:58:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1793','MUNIR KHAN','03244515555','HO#CB252  ST#03  LANE 07 NEAR AMY PUBLIC SCHOOL  GULSHAN NAY AB WEST RIDGE R.WP','9','24','158080','LG','REF TO TAHIR BEST COOL',null,'05-SEP-2018','1066NEFTF-S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-17 00:57:25','2020-10-24 20:06:37',null,'1',null,'0');
INSERT INTO complaints VALUES('1794','M.WAQAS','03335338008','HO#43/8-F BHATTI ST TULSA ROAD  R.W.P','9','20','172937','DAWLANCE','IST VISIT CUT NA DIRECT UN # SA KARWAYA',null,'15-JUNE-2019','91998H-SIGNATURE - 958','FREEZER','OVER COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-17 01:27:32','2020-12-03 21:44:20',null,'1',null,'0');
INSERT INTO complaints VALUES('1795','MRS SAMI','03439873344','HO#06 ST#13 RIVER GARDEN EXPRESSWAY ISB','8','39','35929','SIGNATURE','0',null,'30-JULY-2019','3762G - 1122','BUILT IN APPLLIANCES','ON OFF PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-17 02:29:02','2020-10-26 21:07:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1796','M. AKBAR','03005320135(03345058163)','MOHALLA IQBAL NAGAR WARD #03 GUJAR KHAN','6','15','25141','SAMSUNG','0',null,'21-DEC-2019','80J4260-S - 899','WASHING MACHINE','ERROR C 5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-17 19:52:20','2020-10-22 02:01:49',null,'1',null,'0');
INSERT INTO complaints VALUES('1797','TARIQ MEHMOOD','03455132133','HO#605 GALI#99 SEC -1-10/4 ISB','9','51','106601','SAMSUNG','0',null,'31-OCT-2015','43FAJEDWW - 896','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-17 20:15:03','2020-10-19 20:25:02',null,'1',null,'0');
INSERT INTO complaints VALUES('1798','SADDIQUE UL FAROOQ','03008560466','HO#41 ST#F 1 BLOCK F SHALIMAR ROAD SAWA GARDEN ISB','8','37','42658','FIVE STAR','0',null,'27-SEP-2020','35G-TWIN SUPREME - 963','GEYSER','NOT WORKING',null,'5','RESOLVED',null,'customer','0',null,'74','2020-10-17 20:44:55','2020-11-08 22:07:17',null,'1',null,'0');
INSERT INTO complaints VALUES('1799',null,null,null,'5',null,null,'ECOSTAR',null,null,null,'40U571 - 938','FLAT PANEL TV','Power Issue',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-10-17 21:39:30','2020-10-25 01:22:02',null,'1',null,'0');
INSERT INTO complaints VALUES('1800','AHSAN','03168113452(03238113452)','HO#113-G ST#05 SEC 501 KHAYABNA SIR SAYED R.W.P','8','42','129826','SIGNATURE','H76-3001G-1068',null,'23-MAR-2017',null,'BUILT IN APPLLIANCES','BURNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-17 21:39:45','2020-10-26 21:31:51',null,'1',null,'0');
INSERT INTO complaints VALUES('1801',null,null,null,'5',null,null,'ECOSTAR',null,null,null,'40U571 - 938','FLAT PANEL TV','Power Button ? Damage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-10-17 21:40:14','2020-10-25 01:41:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1802',null,null,null,'6',null,null,'HOMAGE','4316',null,null,'43HWD - 993','WATER DISPENSER','DISPENCER DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-10-17 21:48:09','2020-12-08 23:25:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1803',null,null,null,'6',null,null,'ECOSTAR','00000',null,null,'350FC - 993','WATER DISPENSER','COOLING + LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-10-17 21:49:01','2020-12-08 23:21:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1804','MALIK GHULAM ABBAS','03005576162','HO#489 ST#65 G-11/2 ISB','8','38','32348','KENWOOD','0',null,'16-FEB-2019','1015SA - 902','WASHING MACHINE','WASHER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-17 22:00:34','2020-10-20 20:47:28',null,'1',null,'0');
INSERT INTO complaints VALUES('1805','MH NAEEM','03335522909','HO# 241E  BLOCK A  ST 11 AIR PORT HOUSING CAKEEM   HAMZA RESTORANT RWP','9','51','149986','LG','0',null,'7-APR-2018','43LJ550-C - 869','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-17 22:11:31','2020-10-22 02:55:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1806','ADIL FHSS','03403339967','FRIENDS HOME SHAMSHABAD R.W.P','8','38','35836','LG','8265C1S-S',null,'27-JULY-2019',null,'MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-17 22:16:29','2021-02-17 12:09:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1807','AKBAR KHAN','03338556055','HO#14-ST#66 F-8/3 ISB','5','36','111164','SIGNATURE','SBH-HC3763S-1227',null,'23-NOV-2019',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-17 22:24:55','2020-10-28 21:33:23',null,'1',null,'0');
INSERT INTO complaints VALUES('1808','MR RESHI','03330500789','HO#41 ALMA EMAAR NEAR DHA T CHOWK EXPRESSWAY','4','10','16709','HAIER','0',null,'12-OCT-2020','368IDB - 860','REFRIGERATOR','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-17 22:32:31','2020-10-21 21:54:28',null,'1',null,'0');
INSERT INTO complaints VALUES('1809','MR WARYAM SHAFQAT','03435299911','HO# 205 ST 33, F-10/1 ISB','5','31','111161','ORIENT','0',null,'23-NOV-2019','18G-HYPER-SW - 915','AIR CONDITIONER','COILING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-17 23:00:57','2020-10-21 21:57:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1810','AYAZ BUTT','03335766907','HO#4 ST 37 SCT G-6/2  ISB','5','31','109891','FIVE STAR','0',null,'03-OCT-2019','999C-FS - 1965','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-17 23:20:46','2020-10-21 19:41:48',null,'1',null,'0');
INSERT INTO complaints VALUES('1811','SAQIB','03008509497','HO#03 ST#08 SEC C DHA 02 ISB','6','16','25755','LG','0',null,'20-JAN-2020','1766NEFTS-S - 1486','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-17 23:36:06','2020-11-09 19:15:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1812','HAMMAD FCP','03455104405','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','24','0','SIGNATURE','MODEL X1(S/C HAMMAD FCP)',null,'0',null,'BUILT IN APPLLIANCES','MIIROR DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-17 23:46:13','2020-10-28 22:05:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1813','AZAM SAB','03317060208','HO#15 D RALWAY HOUSING SCKEEM#07 WESTRIDGE 03 R.W.P','9','24','185179','FIVE STAR','C/O SAQIB FCP',null,'06-JAN-2020','900C-FS - 1965','COOKING RANGE','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-17 23:53:49','2020-10-20 20:30:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1814','YOUSAF IQBAL','03325444126','HO#425 ST 1, BAHIRA SPRING NORTH GREEN VALLIY STORE  PHASE 7','6','12','28850','WHIRLPOOL','0',null,'06-AUG-2020','1050AHG - 1712','WASHING MACHINE','E ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-17 23:57:39','2020-10-20 20:23:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1815','BILAL AFTAB','03235422082','HO#1/5 GENRAL STAFF OFF RED ZONE AWANE SADAR ISB','9','19','197300','GREE','0',null,'08-OCT-2020','9978EG-CB1 - 885','REFRIGERATOR','SOUND PROB',null,'5','CLOSED COMPLAINT',null,'customer','0',null,'74','2020-10-18 00:00:31','2020-10-20 20:55:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1816','MR NAVEED IQBAL','03335329908','IGLOO HEIGHTS PHASE 7 RWP','6','12','19631','HAIER','0',null,'12-MAR-2019','95-1678HWM - 1817','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-18 00:24:40','2020-10-20 20:19:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1817','TARIQ  AHMAD','03455055944','HO#219 ST 22 SEC 1 GULSHAN ABAD AHDEYALA ROAD RWP','9','20','179571','DAWLANCE','0',null,'05-OCT-2019','6550DW - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-18 00:45:47','2020-10-23 02:18:23',null,'1',null,'0');
INSERT INTO complaints VALUES('1818','MH  MAQBOOL','03018140430','PARK VIEW PLAZA MASJID FATAMA-UL-ZARA PWD','4','7','16197','DAWLANCE','0',null,'06-SEP-2020','6550DW - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-18 01:00:37','2020-10-20 20:10:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1819','MAMOONA','03335377044','HO#426 GROUND FLOOR ST#20-G 15/4 ISB','5','33','76152','HAIER','0',null,'11-JUN-2016','85-728HWM - 69','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-18 01:13:14','2020-10-27 19:19:57',null,'1',null,'0');
INSERT INTO complaints VALUES('1820','AMAD QAZE','03339228982','HO#132 ST 22 ALI BLOCK PHASE 8 BAHRIA TOWN RWP','6','13','28630','HAIER','0',null,'24-JUL-2020','398EPB - 884','REFRIGERATOR','COILING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-18 02:05:53','2020-10-20 20:04:33',null,'1',null,'0');
INSERT INTO complaints VALUES('1821','MR  SAJID  AHMAD','03455732699','MAHALA  RAJGAN NEAR  HAIVAY DAFTAR KHOTA  RWP','4','9','12847','SIGNATURE','0',null,'19-JAN-2020','SWM-JD51 - 902','WASHING MACHINE','COILING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-18 02:16:02','2020-10-21 22:25:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1822','MR ADIL BHATTI','03335265538','FLAT#01 BLOCK 14-E, STREET 19 G-10/2 ISB','5','30','107311','SONY','0',null,'11-JUL-2019','40W650D-S - 938','FLAT PANEL TV','NOT WORKING',null,'5','CLOSED COMPLAINT',null,'customer','0',null,'92','2020-10-18 02:39:54','2020-10-20 00:26:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1823','MH WAQAS','03325333130','HO#9 ST 44 EAST CIRCULAR ROAD, PHASE 1 OPPOSITE PAKISTAN TOWN ISB','4','10','16182','HAIER','0',null,'05-SEP-2020','95-1678HWM - 1817','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-18 02:55:17','2020-10-21 21:51:49',null,'1',null,'0');
INSERT INTO complaints VALUES('1824','MR KHAN FAISAL','03318412283','HO#46 ST 16, SEC G DHA 2 ISB','6','13','18815','SIGNATURE','0',null,'13-JAN-2019','SBC-ADELAIDE-90PLUS - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-18 19:50:10','2020-10-27 22:17:48',null,'1',null,'0');
INSERT INTO complaints VALUES('1825','MR YASIR','03465342097','HO#40D  BLOCK D  QAIDY AZAM   UNIVERSITY ISB','9','22','166549','DAWLANCE','0',null,'24-FEB-2019','7500C-DW - 1548','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-18 20:20:14','2020-10-21 00:47:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1826','MR IQBAL','03335138893','HO#1659H ST 66, BLOCK A FAISAL TOWN MAIN FATEH JANG ROAD RWP','8','42','42917','SIGNATURE','0',null,'10-OCT-2020','SBC-DUBBO-90PLUS - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-18 20:36:39','2020-10-23 23:48:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1827','QAMAR ABBAS','03008556300','H NO 111 WESTRIDGE 2 RWP CANTT','9','19','0','LG','0',null,'0','2 TON','AIR CONDITIONER','NOT WORKING',null,'5','COMPLETED',null,'customer','0',null,'73','2020-10-18 21:30:20','2020-12-12 20:06:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1828','MR FAHEEM','03335157400','HO#141 ST 26, G-10/1 ISB','5','31','117252','TCL','1912VLR301004A00030',null,'05-JUN-2020','55P8M - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-18 21:35:32','2020-12-31 21:33:33',null,'1',null,'0');
INSERT INTO complaints VALUES('1829','MR FAISAL','03058880950','FLAT#C2 ST 184, GANGAAL GRID STATION, JINNAH GARDENS PHASE 1','4','10','16662','CARAVELL','207BA-2028',null,'10-OCT-2020',null,'WATER DISPENSER','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-18 21:47:47','2020-10-21 21:45:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1830','MR NAEEM ABBAS','03049789224','HO#367 ST 22, BLOCK D MEDIA TOWN ISB','4','9','16185','GREE','9978EG-CW1-1991',null,'05-SEP-2020',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-18 22:11:48','2020-10-31 20:18:09',null,'1',null,'0');
INSERT INTO complaints VALUES('1831','SHALA IMRAN','03005566465','HO#14 ST 1/B  GULISTAN COLONY AYUB PARK ROAD RWP','7','49',null,'SAMSUNG','0',null,'OUT OFF VARANTI',null,'REFRIGERATOR','SOUND # COILING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-18 22:35:49','2020-10-30 01:45:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1832','MH KHALID RAJA','03333001579','HO#12 ST 13, SEC C-1  BAHRIA ENCALVE ISB','8','39','42360','HAIER','0',null,'12-SEP-2020','120-1789HWM - 906','WASHING MACHINE','TIMING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-18 22:42:57','2020-10-20 19:55:20',null,'1',null,'0');
INSERT INTO complaints VALUES('1833','MR SHBBIR','03007339944','HO#520-B ST 7, BLOCK A SEC F-17/2 TNT ISB','6','15','29771','DAWLANCE','0',null,'27-SEP-2020','132S-DW - 1200','MICROWAVE OVEN','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-18 23:08:09','2020-10-28 22:06:32',null,'1',null,'0');
INSERT INTO complaints VALUES('1834','MALIK ZAHEER-UD- DIN BABAR','03005050082','HO#1 ST 3 VILLAGE FEROZWALI PO KHOUR COMPANY TEHSIL PINDI GHEB DISST ATTOCK','8','38','42596','HAIER','0',null,'24-SEP-2020','90-1789HWM - 901','WASHING MACHINE','TAP ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-18 23:36:45','2020-10-20 21:39:09',null,'1',null,'0');
INSERT INTO complaints VALUES('1835','BILAL SHEIKH','03009509409','HO#47 ST 5 SEC H, DHA-2 ISB','8','37','42789','LG','0',null,'03-OCT-2020','0K2CHK5T2-S - 2021','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-18 23:53:15','2020-10-24 21:22:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1836','MISS BEENISH MUGHAL','03335107551','HO#599 ST 81B, SEC 3 GULSHANA  ABAD RWP','7','49','20207','TCL',null,null,'12-DEC-2019','55P8M - 942','FLAT PANEL TV','CABAL ISSUE',null,'5','RESOLVED',null,'customer','0',null,'92','2020-10-19 00:17:27','2020-11-08 22:12:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1837','MR ZAFAR IQBAL','03055602944','HO#22 ST 47, SEC G-13/2 ISB','5','33','122956','ORIENT','531OWD-DARK',null,'15-OCT-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-19 00:47:54','2020-10-21 21:40:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1838','MR SADIQ SHAH','03335191037','HO#638 ST 20, CBR TOWN ISB','4','5','5016','SIGNATURE','0',null,'21-AUG-2018','SCF-HM08 - 954','FREEZER','COILING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-19 01:49:54','2020-10-21 21:49:51',null,'1',null,'0');
INSERT INTO complaints VALUES('1839',null,null,null,'13',null,null,'HOMAGE',null,null,null,'1020S - 902','WASHING MACHINE','Damig',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2020-10-19 19:54:42','2020-11-28 21:16:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1840','MRS COL SHARIF','03215521442','HO#443 ST#16 CHAKLALA SCKEEM 03- R.W.P','8','42','6134','LG','0',null,'25-NOV-2018','4J6TNP8S-C - 1850','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-10-19 19:55:43','2020-10-24 20:00:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1841','NAVEED AHMAD','03215269697','HO#6 ST 4 GULZARAY KHAD WAKEEL COLONY RWP','9','20','136908','PEL','160PRD1-54',null,'6-JUL-2017',null,'FREEZER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-19 20:11:03','2020-11-13 00:29:40',null,'1',null,'0');
INSERT INTO complaints VALUES('1842','TARIQ MEHMOOD','03455132133','HO#605 GALI#99 SEC -1-10/4 ISB','9','51','106601','SAMSUNG','0',null,'31-OCT-2015','43FAJEDWW - 896','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','1797','74','2020-10-19 20:18:11','2020-10-22 01:59:51',null,'1',null,'0');
INSERT INTO complaints VALUES('1843','MH SAEED UL RAHMAN','03009191850','HO#1 BLOCK 7  ST 1, 1-8/1 ISB','9','19','0','SAMSUNG','WA90F5S2',null,'OUT OFF VARANTI',null,'WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-19 20:34:18','2020-10-21 21:47:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1844','ADNAN BASHIR','03458889954','HO#19A GULISTAN E JINNAH MUREE ROAD FAIZA ABAD RWP','5','34','82056','SAMSUNG','0',null,'6-MAR-2017','16J6750SPGT - 1643','WASHING MACHINE','DRAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-19 20:46:33','2020-10-28 21:38:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1845','AWAIS','03216651888','HO#736 ST#11 CHAKLALA SCKEEM 03 R.W.P','6','13','28233','HAIER','0',null,'06-JULY-2020','631DGS - 1122','BUILT IN APPLLIANCES','BURNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-19 21:25:30','2020-10-26 23:25:37',null,'1',null,'0');
INSERT INTO complaints VALUES('1846',null,null,null,'4',null,null,'DAWLANCE','0000',null,null,'162HZP - 1602','MICROWAVE OVEN','Not working',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-10-19 21:37:09','2020-10-24 22:36:32',null,'1',null,'0');
INSERT INTO complaints VALUES('1847','ATIQ UR REHMAN','03065145627','HO#167 ST#33 SEC 01 PAKSTAN TOWN PHASE 01','4','7','16202','SIGNATURE','0',null,'06-SEP-2020','SSO-MO16 - 1200','MICROWAVE OVEN','EARTH PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-19 21:46:49','2020-10-22 01:57:34',null,'1',null,'0');
INSERT INTO complaints VALUES('1848',null,null,null,'4',null,null,'SONY','3001564',null,null,'19T400 - 931','FLAT PANEL TV','Panel line',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-10-19 21:55:17','2020-10-19 23:08:31',null,'1',null,'0');
INSERT INTO complaints VALUES('1849',null,null,null,'4',null,null,'SONY','3001564',null,null,'55X8000E - 942','FLAT PANEL TV','Panel line',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-10-19 22:02:47','2020-12-20 00:58:03',null,'1',null,'0');
INSERT INTO complaints VALUES('1850','DR MAHFOOZ UR REHMAN','03215552163','HO#1044 ST#78 D-12/1 ISB','5','36','120790','BOSCH','0',null,'15-AUG-2020','24462GC - 902','WASHING MACHINE','DRAM SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-19 22:10:44','2020-10-21 20:19:49',null,'1',null,'0');
INSERT INTO complaints VALUES('1851','ANEES AHMAD','03116711992','HO#1858 ALI BLOCK BAHRIA TOWN PHASE 8 ISB','5','28','101728','SAMSUNG','0',null,'28-JAN-2019','11J5710 - 905','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-19 22:13:23','2020-10-23 23:47:16',null,'1',null,'0');
INSERT INTO complaints VALUES('1852','KAMRAN BEHIRA','03219507474','FRIENDS CORPORATION  PHASE 07 B.TOWN','6','14','0','HOMAGE','0',null,'0','43HWD - 993','WATER DISPENSER','DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-19 22:26:02','2020-11-12 00:09:41',null,'1',null,'0');
INSERT INTO complaints VALUES('1853','MRS IMRAN','03318060007','HO#23 ST#02 PHASE 01 BEHIRA','6','16','17696','LG','0',null,'07-DEC-2018','1066NEFTF-S - 902','WASHING MACHINE','WASHING TUB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-19 22:35:35','2020-11-02 22:24:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1854','MUHAMMAD ALI','03335399820','HO#510 ST 2, SEC G-8/2 ISB','5','28','0','LG','P80017EFT01',null,'PAID JOB',null,'WASHING MACHINE','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-19 22:57:48','2020-11-02 21:58:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1855','NASREEN RASHAD','03008221402','HO#21A ST 88, EMBASSY ROAD G-6/3 ISB','5','34','104711','SONY','S  HAMARA STOCK HAY',null,'10-MAY-2019','55X7500F-S - 942','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-19 23:29:32','2020-10-22 02:52:39',null,'1',null,'0');
INSERT INTO complaints VALUES('1856','DOMANIC PARVEEZ','03348995177','HO#2296 ST 55 ABU BAKKAR BLOCK PHASE 8 ISB','6','16','30043','FIVE STAR','35G-HEAVY DUTY',null,'15-OCT-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-20 00:14:00','2020-10-22 01:39:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1857','ASIF NADEEM','03358565588','H NO 348 ST NO 36 SEC F/11-3 ISB','8','38','42296','HAIER','PTCL COMPLAINT',null,'07-SEP-2020','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-20 00:19:58','2020-10-20 21:51:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1858','DOMANIC PARVEEZ','03348995177','HO#2296 ST 55 ABU BAKKAR BLOCK PHASE 8 ISB','6','16','30043','FIVE STAR','0',null,'15-OCT-2020','900C-FS - 1965','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-20 00:21:32','2020-10-22 01:40:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1859','MR ATIF','03201100780','HO#977/F-8 IBRAR SHAEED ST AFSHA COLONY NEAR AMAN NURSING HOME','9','23','197850','GREE','0',null,'18-OCT-2018','8768EG-CB2 - 884','REFRIGERATOR','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-20 00:36:31','2020-10-21 19:39:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1860','USMAN  ZFAR','03318613007','HO#981 ST#34 SEC F 8/1 PHASE 08 B .TOWN','6','14','0','HOMAGE','OUT OFF WARRANTY',null,'0',null,'WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-20 00:42:47','2020-10-21 20:09:55',null,'1',null,'0');
INSERT INTO complaints VALUES('1861','ABU BAKAR (FCI)','03365122695','FRIENDS CORPORATION BULE AREA ISB','5','28','110664','LG','C/O ABU BAKAR (BULE AREA SHOWROOM VISIT)',null,'06-NOV-2019','8265DIS-S - 987','MICROWAVE OVEN','EARTH PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-10-20 00:59:37','2020-12-06 01:47:49',null,'1',null,'0');
INSERT INTO complaints VALUES('1862','AMMAD SAHIB','03135906001','QUITTER #5-C BRIG FILED LINE ABID MAJEED ROAD R.W.P','9','26','179256','SIGNATURE','PTCL CALL',null,'28-SEP-2019','SWM-JD46 - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-20 02:11:21','2020-10-26 20:59:33',null,'1',null,'0');
INSERT INTO complaints VALUES('1863',null,null,null,'5',null,null,'ORIENT',null,null,null,'531OWR - 993','WATER DISPENSER','Power Issue',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-10-20 02:36:29','2020-11-28 22:01:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1864',null,null,null,'5',null,null,'ORIENT',null,null,null,'55 Animation','FLAT PANEL TV','Screen Issue',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-10-20 02:37:30','2020-11-28 22:00:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1865','ASAD ULLAH','03126506768(03335347046)','HO#15 ST#03 AFZAL TOWN NEAR SCKEEM 03 R.W.P','9','24','0','SIGNATURE','JUST WARRANTY CARD SHER KIYA',null,'23-DEC-2019','SWM-FW1610S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-20 20:20:33','2020-10-21 23:33:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1866','MAJ JAWAD SAB','03435219709(0304-1500612)','HO#03 ST#51 BEHIRA ENCLAVE SEC N ISB','9','24','190231','CORONA','0',null,'10-JUNE-2020','C205 - 14','COOKING RANGE','BLAST PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-20 20:41:36','2020-11-20 02:05:07',null,'1',null,'0');
INSERT INTO complaints VALUES('1867','KHALID UR REHMAN','03028631132','HO#90 DOUBAL ROAD OPP GRID STATION  G-12/1 ISB','5','53','122812','LG','0',null,'12-OCT-2020','4V5RGP2T-S - 899','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-20 20:56:56','2020-10-24 20:01:27',null,'1',null,'0');
INSERT INTO complaints VALUES('1868','CAP SHAHNAWAZ KHAN','03335674414','HO#436 ST#11 F-10/2 ISB','5','34','122061','CORONA','AGAIN COMPLAINT',null,'19-SEP-2020','351C - 1533','COOKING RANGE','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-20 21:24:04','2020-10-28 19:21:26',null,'1',null,'0');
INSERT INTO complaints VALUES('1869','AZHAR KHAN','03315700517','HO#896 ST#28 SEC D PHASE 08 BEHIRA TOWN','6','16','29938','HAIER','0',null,'08-OCT-2020','85-826HWM - 945','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-20 21:46:13','2020-10-27 19:17:32',null,'1',null,'0');
INSERT INTO complaints VALUES('1870','MR JAWAD','03314207750','HO#3 ST#05 SAFARI VILLAS 1 BEHIRA TOWN','7','49','21948','HOMAGE','0',null,'09-OCT-2020','83HWD - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-20 21:49:45','2020-11-11 20:54:22',null,'1',null,'0');
INSERT INTO complaints VALUES('1871','IMRAN HUSSAIN','03215168422','HO#871 ST 18, OVERSEAS SEC 6 PHASE 8 BAHRIA TOWN RWP','6','15','29609','HAIER','0',null,'30-SEP-2020','438EPCW - 896','REFRIGERATOR','PIPE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-20 22:58:00','2020-10-22 01:28:32',null,'1',null,'0');
INSERT INTO complaints VALUES('1872','ALI AYZAZ','03341772777','HO#H15 LANE H, ABUBAKAER BLOCK PHASE 8 RWP','6','12','14131','HAIER','0',null,'01-MAY-2018','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-20 23:04:13','2020-10-22 00:52:22',null,'1',null,'0');
INSERT INTO complaints VALUES('1873','MRS SHIFA','03335202573','HO#19 ST#14 KORUNG TOWN ISB','4','5','16759','SUPER ASIA','C/O WALEED PWD',null,'17-OCT-2020','290SA - 522','WASHING MACHINE','NOT WORKING',null,'5','RESOLVED',null,'customer','0',null,'74','2020-10-20 23:41:15','2020-11-08 22:21:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1874','MH IQBAL','03369024727','HO#28/6F ST 57 SEC F-6/4 ISB','5','28','80299','SIGNATURE','0',null,'17-DEC-2016','SWM-JD51 - 902','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-10-20 23:47:57','2020-10-27 18:23:23',null,'1',null,'0');
INSERT INTO complaints VALUES('1875','MR AFZAL KHAN','03365119363','HO#13 ST 34, BLOCK H SWAN GARDEN ISB','9','20','144598','FIVE STAR','0',null,'17-DEC-2017','35G-FS - 1759','GEYSER','TAB ISSUE',null,'5','RESOLVED',null,'customer','0',null,'92','2020-10-21 00:12:59','2020-11-08 22:23:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1876','IBRAHIM SAB','03335640688','HO#59-A ST#21 A ST#21 SEC A BEHIRA ENCLAVE ISB','8','37','32874','MITSUBISHI','CELL COMPLAINT',null,'24-MAR-2020','50VA - 915','AIR CONDITIONER','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-21 00:33:21','2021-01-01 21:19:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1877','MR IRFAN','03477162089','HO#339 ST 4, MOHALLA RAHIMABAD RWP','9','26','150306','ORIENT','0',null,'12-APR-2018','380ICE-HC - 883','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-21 01:20:55','2020-11-06 01:01:55',null,'1',null,'0');
INSERT INTO complaints VALUES('1878',null,null,null,'5',null,null,'LG',null,null,null,'4V5RGP2T-S - 899','WASHING MACHINE','Extra Vibration & Noice Issue',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-10-21 01:36:12','2020-11-08 20:01:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1879','AFZAL','03359107479','HO#ZB 5271 ST#24 C FUJI FOUNDATION R.W.P','9','24','181604','CANON','151LCM',null,'17-NOV-2019',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-21 01:50:38','2020-10-28 19:07:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1880','MR ALI','03302377777','HO#1364 ST#35 PHASE 04 B.TOWN','4','8','13751','GREE','0',null,'23-APR-2020','500FC - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-21 02:08:33','2020-11-05 23:43:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1881','MR ALI','03302377777','HO#1364 ST#35 PHASE 04 B.TOWN','4','8','13751','GREE','0',null,'23-APR-2020','500FC - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','CLOSED',null,'customer','0',null,'74','2020-10-21 02:08:48','2020-10-21 02:10:06',null,'1',null,'0');
INSERT INTO complaints VALUES('1882','M. SULMAN','03335954804(03007682277)','KOHINOOR TEXTILE  MILLS PESHAWAR ROAD R.W.P','8','47','23531','ORIENT','0',null,'18-SEP-2020','531OWR - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-21 02:21:07','2020-10-28 18:55:13',null,'1',null,'0');
INSERT INTO complaints VALUES('1883','FASAL NAJAM','03116660333','HO#271 ST 85, SEC E-11/2 ISB','5','28','84006','SIGNATURE','IMRAN',null,'6-MAY-2017','SWM-FW1409S - 901','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-21 02:39:47','2020-10-28 21:36:38',null,'1',null,'0');
INSERT INTO complaints VALUES('1884','MH NAEEM UL REHMAN','03216525818','HO#V1227 MUHAMMADI COLONY NEAR KOURE ROAD RAJA CNG  ISB','8','39','35880','XTREEM','0',null,'29-JUL-2019','88A - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-21 21:30:50','2020-10-26 21:30:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1885','LIAQUAT ALI','03065006058','HO#1053 ST 1 BLOCK C, NATIONAL POLICE FOUNDATION SOCIETY O 9 ISB','4','8','1163','SAMSUNG','0',null,'15-OCT-2017','90G9-S - 1548','WASHING MACHINE','TIMING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-21 21:32:51','2020-10-28 21:34:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1886','MRS SULMAN','0321-9039711','HO#357 ST#33 F-11/2 ISB','8','37','0','SHARP','TAHA SOHAIL(PAID JOB)',null,'2 YEAR AGO',null,'WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-21 21:55:56','2020-10-24 21:40:33',null,'1',null,'0');
INSERT INTO complaints VALUES('1887','ALMASOOD OIL&GHEE INDUSTRY','03336769927','HO#295 ST#18 G-10/2 ISB','5','28','122378','CORONA','C/O ABU BAKAR',null,'29-SEP-2020','C205 - 14','COOKING RANGE','LEAKAGE PROB',null,'5','RESOLVED',null,'customer','0',null,'74','2020-10-21 22:12:05','2020-11-08 22:26:10',null,'1',null,'0');
INSERT INTO complaints VALUES('1888','AMAN','0519050566','STD OFFICE FUJI TOWER RWAL ROAD R.W.P','7','49','19796','ORIENT','0',null,'23-SEP-2019','25AE2-SL - 917','AIR CONDITIONER','OUT DOOR NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-21 23:04:47','2020-11-06 02:23:23',null,'1',null,'0');
INSERT INTO complaints VALUES('1889','SHAHID  NIYAZ ABBASI','03055164342','HO#DK748 ST#01 DHOK KASHMIR YA R.W.P','9','24','156368','HAIER','0',null,'01-AUG-2018','438TDC - 896','REFRIGERATOR','OVER COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-21 23:21:00','2020-10-27 18:40:10',null,'1',null,'0');
INSERT INTO complaints VALUES('1890',null,null,null,'4',null,null,'HAIER','0000',null,null,'285SD - 956','FREEZER','Handle damage 2 units',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-10-21 23:21:20','2020-11-24 23:27:58',null,'1',null,'0');
INSERT INTO complaints VALUES('1891',null,null,null,'4',null,null,'ORIENT','000',null,null,'531BL - 993','WATER DISPENSER','Heating not working and leakage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-10-21 23:26:37','2020-10-24 22:45:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1892',null,null,null,'4',null,null,'ORIENT','0000',null,null,'531BL - 993','WATER DISPENSER','Water leakage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-10-21 23:30:34','2020-10-24 22:48:02',null,'1',null,'0');
INSERT INTO complaints VALUES('1893','SAFI ULLAH JAN','03115480019','HO#12 MOHALLAH RAJ GAN KOT HATIYAL BARA KAHO ISB','8','47','42933','HAIER','0',null,'11-OCT-2020','85-7288 - 69','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-22 00:08:48','2020-10-26 22:10:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1894','DR ALI','03223000073','ST#05 SHALAWALI RANGE ROAD R.W.P','9','23','197268','HAIER','0',null,'07-OCT-2020','438IDBT - 896','REFRIGERATOR','SAM LL PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-22 00:08:51','2020-11-04 19:52:27',null,'1',null,'0');
INSERT INTO complaints VALUES('1895',null,null,null,'4',null,null,'ORIENT','0000',null,null,'531BL - 993','WATER DISPENSER','Leakage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-10-22 00:22:15','2020-12-09 00:57:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1896',null,null,null,'4',null,null,'FIVE STAR','0000',null,null,'55G-FS - 1759','GEYSER','Fade colour cap missing',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-10-22 00:24:13','2021-01-06 23:48:55',null,'1',null,'0');
INSERT INTO complaints VALUES('1897',null,null,null,'4',null,null,'GREE','0000',null,null,'18FITH1S - 915','AIR CONDITIONER','Indoor damage and scratches',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-10-22 00:25:03','2021-02-20 15:10:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1898',null,null,null,'4',null,null,null,'0000',null,null,'204B','WATER DISPENSER','Leakage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-10-22 00:30:04','2020-10-29 01:42:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1899',null,null,null,'4',null,null,null,'0000',null,null,'204B','WATER DISPENSER','Leakage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-10-22 00:30:12','2020-10-29 01:41:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1900',null,null,null,'4',null,null,null,'0000',null,null,'204B','WATER DISPENSER','Leakage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-10-22 00:31:19','2020-10-29 01:40:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1901','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','SONY','IQBAL SAB NA DIRECT S/C MOVE KARWAI LED',null,'0','65X9000F-S - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-22 00:31:57','2020-10-28 21:30:43',null,'1',null,'0');
INSERT INTO complaints VALUES('1902',null,null,null,'4',null,null,null,'0000',null,null,null,'WATER DISPENSER','Glass break',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-10-22 00:37:49','2021-02-20 15:23:24',null,'1',null,'0');
INSERT INTO complaints VALUES('1903','MAIN ARSHAD','03009870403','HO#496 ST#99-G-9/4 ISB','9','23','163435','LG','0',null,'22-DEC-2018','4295CIS-S - 987','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-22 00:58:22','2020-11-11 03:07:17',null,'1',null,'0');
INSERT INTO complaints VALUES('1904','IRFAN','03215182219(03151880688)','SIGNAL TREANING CENTER KOHAT CANTT','9','51','190320','TCL','1910VLR300969A00107',null,'11-JUN-2020','65P8M - 1443','FLAT PANEL TV','SETTING PROB',null,'5','RESOLVED',null,'customer','0',null,'74','2020-10-22 01:14:22','2020-11-08 22:28:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1905','MR NASEER AHMAD','03335174599','FLAT#3A ST 99 BLOCK 100 G-7/4 ISB','5','53','111236','CANON','0',null,'26-NOV-2019','16D-PLUS-DUAL(LPG) - 1030','GEYSER','PRESSURE ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-10-22 02:48:11','2020-11-04 21:02:43',null,'1',null,'0');
INSERT INTO complaints VALUES('1906',null,null,null,'13',null,null,'ECOSTAR',null,null,null,'43U573 - 869','FLAT PANEL TV','Panel line problam',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2020-10-22 03:54:39','2020-11-28 21:19:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1907','MR TANWEAR SHUJA','03449494178','HO#D142  KUSHA SHAWALI RWP','9','20','196501','HAIER','385IM-GRAY-179',null,'20-SEP-2020',null,'FREEZER','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-22 19:45:20','2020-10-26 22:00:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1908','TARIQ UMAR','03048927104','HO#603 ST 27,  SEC F17/3, ISB','8','43','2397','LG','4V5RGPT',null,'30-MAY-2020',null,'WASHING MACHINE','CIRCUIT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-22 19:56:47','2020-11-02 21:58:22',null,'1',null,'0');
INSERT INTO complaints VALUES('1909','MR ZULFIQAR AHMAD','03009106251','HO#44 MASHAD MAI RAMZAN GULSHANAY KURSHED OLD CHAKRA ROAD  RWP','7','49','21994','SUPER ASIA','0',null,'15-OCT-2020','535GH - 1037','GEYSER','WATER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-22 20:12:37','2020-10-26 21:56:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1910','HAMZA JAMIL','03455668924','HO#P98 ALI BLOCK GULSHAN-E-MADINA PHASE 1 SARGODHA ROAD FAISALABAD','5','30','122779','HAIER','0',null,'10-OCT-2020','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-22 20:28:41','2020-10-26 21:24:46',null,'1',null,'0');
INSERT INTO complaints VALUES('1911','COL ASIF','03325314233','HO#1559 ST 11, OVERSEAS 5 BHARIA PHASE 8 PWP','8','38','36991','CANON','0',null,'3-OCT-2019','20D-PLUS - 1748','GEYSER','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-10-22 20:42:50','2020-10-29 19:52:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1912','RAJA NUMAIR ZAFAR','03465975566','HO#320 ST 17, SEC E-7 ISB','5','53','121250','DAWLANCE','0',null,'26-AUG-2020','7500C-DW - 1548','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-22 21:32:24','2020-10-26 20:05:03',null,'1',null,'0');
INSERT INTO complaints VALUES('1913','KALEEM SHOKAQT','03112302285','HO#16D ST F, BLOCK-D NAVAL ANCHORGE  ISB','5','29','117986','HAIER','0',null,'22-JUN-2020','519DGG - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-22 21:44:02','2020-10-26 20:18:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1914','SHALA IMRAN','03005566465','HO#14 ST 1/B GULISTAN COLONY AYUB PARK ROAD RWP','7','49','0','SAMSUNG','0',null,'OUT OFF VARANTI',null,'REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-22 23:49:48','2020-11-25 00:46:19',null,'1',null,'0');
INSERT INTO complaints VALUES('1915','MR JAVEED','03335104753','H NO ZB14 ALAM ABAD NEAR JAVED PHARMACY DHOK HASSU RWP','9','22','192936','CANON','0',null,'16-JUL-2020','BOV-05 - 1731','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-23 00:09:51','2020-10-26 21:54:06',null,'1',null,'0');
INSERT INTO complaints VALUES('1916','MRS MUKHTAR','03134999246','NATIONAL SKILL UNIVERSALITY , SEC  H-8/1 FAZE  AHMAD FAZE  ROAD ISB','5','34','13454','SIGNATURE','RIZWAN BAHRIA 7',null,'04-APR-2018','SRF-KK90S - 885','REFRIGERATOR','GAS ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-23 00:33:52','2020-10-23 23:45:44',null,'1',null,'0');
INSERT INTO complaints VALUES('1917','DR TAHIR','03335923335','HO#1 ALMEHER COLONY OPPSITE MARGALA CHOCK  SEC  E-11 ISB','5','31','118876','HAIER','0',null,'08-JUL-2020','438IDRT - 896','REFRIGERATOR','COALING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-23 00:48:59','2020-10-26 21:52:06',null,'1',null,'0');
INSERT INTO complaints VALUES('1918','AZHAR  KHAN','03215657457','HO#526 ST19, PHASE 1 NIMRA MASID PHASE1 MARGALLA TOWN RWP','5','53',null,'HAIER','HWM150-1288',null,'2 YEAR',null,'WASHING MACHINE','ERROR E4 ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-23 01:11:59','2020-10-26 19:50:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1919','MR FAHIM KHAN','03341124789','HO#306 ST 63 SEC I-8/3 ISB','8','40','42490','HAIER','0',null,'19-SEP-2020','631DGS - 1122','BUILT IN APPLLIANCES','PIPE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-23 01:21:41','2020-10-25 00:37:15',null,'1',null,'0');
INSERT INTO complaints VALUES('1920','KUSHAL KHAN','03005503796','HO#ZB 5271 ST 24 FUJI COLONY PERWADAHI RWP','4','10','181604','CANON','0',null,'17-NOV-2019','15LCM - 1036','GEYSER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-23 02:13:06','2020-11-11 23:38:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1921','KIZHAR MEHMOOD AHMED','03329301162(03215526059)','VILLAGE&POST OFFICE SOHAN  TARIQ SHAHEED ST THE &DISTRICT ISB','9','24','161515','SUPER ASIA','PTCL CALL',null,'25-NOV--2018','240SA-SHW - 1548','WASHING MACHINE','MOTER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-23 21:26:45','2020-11-11 23:39:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1922','SYED FARAZ SHAH','03365400986','HO#713 B BLOCK SATELLITE TOWN R.W.P','9','19','198021','SIGNATURE','SWH-20-26',null,'22-OCT-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-23 21:27:16','2020-10-26 19:06:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1923','ASHOOR','03365353115','HO#91 ST#13 MAGALA TOWN PHASE 01 ISB','5','33','0','HAIER','0',null,'20-APR-2020','438IDBT - 896','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-23 21:36:43','2020-10-26 21:46:02',null,'1',null,'0');
INSERT INTO complaints VALUES('1924','NAEEM MUSTUFA','03065151969','OFFICER COLONY ST#01 NEAR NAGEENA MASJID MORGA R.W.P','6','12','27949','KENWOOD','0',null,'23-JUNE-2020','400GD-GNG - 895','REFRIGERATOR','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-23 21:41:50','2020-10-26 19:59:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1925','MAJ SHOKAT ALI','03339136278','NDU E 9 ISB','5','31','112712','SAMSUNG','0',null,'15-OCT-2019','43RU7100-MRM - 869','FLAT PANEL TV','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-23 21:52:00','2020-11-14 02:06:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1926','MAJ KHALID QAYYUM SAB','03219811027','FLAT#B-4 EME COLLAGE JHANGI SAYADAN ISB','7','49','21927','TCL','2005VLR 30117OA00269',null,'03-OCT-2020','43S6500 - 869','FLAT PANEL TV','NET FLEX PROB',null,'5','RESOLVED',null,'customer','0',null,'74','2020-10-23 22:16:37','2020-11-08 22:40:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1927','AMJAD  AHMED','03458509878(051-5508822)','HO#389 ST#05 GULRAZE HOUSING SOCITY PHASE 04','9','22','196211','CORONA','0',null,'14-SEP-2020','C205 - 14','COOKING RANGE','NOT WORKING',null,'5','RESOLVED',null,'customer','0',null,'74','2020-10-23 22:25:02','2020-11-08 22:53:43',null,'1',null,'0');
INSERT INTO complaints VALUES('1928','MAJID JALANI','03015322560','HO#625 ST#38 E-11/3 ISB','8','48','43042','SAMSUNG','15J5730SS-S-1484',null,'17-OCT-2020',null,'WASHING MACHINE','4C ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-23 22:46:27','2020-10-25 01:43:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1929','AZAM SAB','03336484696(03065136148)','HO#1020 ST #45E-11/3 ISB','8','39','38725','ECOSTAR','2-UNIT SAME ISSUE',null,'19-JAN-2020','18AR01W - 917','AIR CONDITIONER','REMOTE NOT WORKING',null,'5','RESOLVED',null,'customer','0',null,'74','2020-10-23 22:57:45','2020-11-08 22:55:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1930','MRS MUKHTAR','03134999246','NATIONAL SKILL UNIVERSALITY , SEC  H-8/1 FAZE  AHMAD FAZE  ROAD ISB','5','34','13454','SIGNATURE','RIZWAN BAHRIA 7',null,'04-APR-2018','SRF-KK90S - 885','REFRIGERATOR','GAS ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','1916','74','2020-10-23 23:44:55','2020-11-20 01:31:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1931','MAZHAR HUSSAIN','03013004692','HO#391 -B NEAR BHANGALI ST G-7/3 ISB','5','32','96810','KENWOOD','0',null,'04-AUG-2018','480GD-BRG - 885','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-24 00:32:05','2020-10-26 19:23:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1932','FARHAN TARIQ','03455908808','HO#11 ST#16-D SEC C BEHIRA ENCLAVE ISB','5','32','108188','HAIER','FLOOR STANDING',null,'03-AUG-2019','24HDZ-W INV - 917','AIR CONDITIONER','OUT DOOR BODY CURRENT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-24 00:39:40','2020-10-26 20:01:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1933','KAMARAN   MIRZA','03335186932','HO#1019 ST 6 MOHALA HUKAMA DAD RWP','8','37','30980','GREE','0',null,'9-DEC-2018','310G-CB1 - 894','REFRIGERATOR','COALING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-24 19:59:12','2020-10-31 20:10:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1934','STOCK (FHHS)','03358851908','FRIENDS HOME SHAMSHABAD R.W.P','8','38','0','LG','0',null,'0','9588NEHVA-S - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-24 20:19:47','2020-10-26 19:51:06',null,'1',null,'0');
INSERT INTO complaints VALUES('1935','AMANA BASHER','03020100486','FLAT#704 PAK TOWER SEC F-10/3 ISB','9','20','11747','DAWLANCE','0',null,'26-SEP-2020','7500C-DW - 1548','WASHING MACHINE','PANEL#SPINER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-24 20:20:32','2020-10-26 21:50:04',null,'1',null,'0');
INSERT INTO complaints VALUES('1936','COL JAFFAR','03337941555','3rd HOUSE ON LEFT BILAL STREET AZAM TOWN KORANG ROAD BANI GALA','5','31','120759','LG','0',null,'13-AUG-2020','247SVUV-S - 909','REFRIGERATOR','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','1786','74','2020-10-24 20:23:17','2020-11-09 19:10:28',null,'1',null,'0');
INSERT INTO complaints VALUES('1937','HASSAN','03435021533','HO#50 ST 12, SEC G DHA PHASE 2 ISB','9','19','95527','SIGNATURE','35GH-949',null,'7-DEC-2014',null,'GEYSER','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-24 20:27:52','2020-10-26 21:28:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1938','ZAKIR HUSSAIN','03063639116','HO#21 ST 8-B, SHAHEEN TOWN LARTHA ROAD ISB','5','35','122160','ECOSTAR','0',null,'22-SEP-2020','40U860 - 938','FLAT PANEL TV','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-24 20:43:55','2020-11-05 21:34:49',null,'1',null,'0');
INSERT INTO complaints VALUES('1939','MR HAIDER ABBAS','03055551199','HO#263 ST 5, BLOCK USMAN D NEAR BAHRIA WORKS SHOP PHASE -8 RWP','6','12','13008','LG','0',null,'10-MAR-2018','4J6TMP8S-C - 899','WASHING MACHINE','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-24 21:12:50','2020-11-02 21:02:25',null,'1',null,'0');
INSERT INTO complaints VALUES('1940','BILAL SHEIKH','03009509409','HO#47 ST 5 SEC H, DHA-2 ISB','8','37','42789','LG','18-OCT-2020 KI COMPLAINT AREEBA NA VENDORS KI JAGA COMPANY SELECT KI HOI THI IC WAJA SA DELAY HOI COMPLAINT',null,'03-OCT-2020','2CHK2T2-S - 1875','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-24 21:19:40','2020-11-02 21:01:54',null,'1',null,'0');
INSERT INTO complaints VALUES('1941','RAFIQ MUGHAL','03005257289','HO#613D ST 24 G-6/2 ISB','5','31','112196','SAMSUNG','0',null,'14-DEC-2019','11J5710-S - 905','WASHING MACHINE','4C ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-24 21:24:33','2020-11-11 22:26:48',null,'1',null,'0');
INSERT INTO complaints VALUES('1942','MR SAAD','03325837411','HO#53 ST 9, MULTI SOCIETY SEC E-11/1 ISB','5','33','114501','ORIENT','0',null,'05-FEB-2020','531BL - 993','WATER DISPENSER','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-24 21:54:43','2020-11-02 20:42:48',null,'1',null,'0');
INSERT INTO complaints VALUES('1943','MR AZHAR','03335499971','HO#666 ST 18, SEC I-8/2 ISB','8','39','37452','ORIENT','0',null,'05-NOV-2019','12G-HYPER-SW - 913','AIR CONDITIONER','REMODE  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-24 22:10:56','2020-11-06 00:29:16',null,'1',null,'0');
INSERT INTO complaints VALUES('1944','MR RAZI','03009828171','HO#292 LINE  5 MALI K AZAM STREET RANCH ROAD RWP','9','19','196989','FIVE STAR','500MC-1413',null,'03-OCT-2020',null,'COOKING RANGE','PIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-24 22:31:37','2020-11-03 23:54:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1945','CH RASHED','03009558970','HO#8 ST 23 SEC F-7/2 ISB','5','28','0','SIGNATURE','0',null,'15-DEC-2016','SWM-JD51 - 902','WASHING MACHINE','CORD F9 ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-24 23:04:00','2021-03-04 13:00:42',null,'1',null,'0');
INSERT INTO complaints VALUES('1946','ADNAN','03335271710','HO#959 ST COBB LINE DHOK CHODEREYAN RWP','9','27','191779','KENWOOD','0',null,'30-JUN-2020','480VCM-BHL - 885','REFRIGERATOR','GRILL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-24 23:21:55','2021-01-16 23:40:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1947','STOCK (FHHS)','03358851908','FRIENDS HOME SHAMSHABAD R.W.P','8','38','0','SAMSUNG','WA-15J5730SS',null,'0',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-24 23:26:55','2020-10-26 19:49:44',null,'1',null,'0');
INSERT INTO complaints VALUES('1948',null,null,null,'13',null,null,'SAMSUNG',null,null,null,'11J5710-SZ - 905','WASHING MACHINE','Side damig',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2020-10-24 23:40:50','2021-02-16 18:01:29',null,'1',null,'0');
INSERT INTO complaints VALUES('1949','MAJOR ZAIDI','03219595659','HO#415 COL SHER KHAN SHAHEED ROAD SEC F-11/3 ISB','5','28','89000','SIGNATURE','0',null,'28-OCT-2017','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-24 23:49:22','2020-10-29 21:27:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1950','AMMAD FCP','03455104405','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','24','0','FIVE STAR','C/O HAMMAD FCP',null,'0','999C-FS - 1965','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-25 00:35:27','2020-11-11 23:35:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1951','IMRAN FCP','03005331105','FRIEND CALPARACTION GUL NOOR','9','51','197838','TCL','2007VLR301216A00341',null,'18-OCT-2020','50P8US - 871','FLAT PANEL TV','REMOTE SENSOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-25 00:43:46','2020-11-19 22:44:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1952','DR FARHAN RIAZ','03318548301','HO#18 ST 7 SEC C DHA 2','4','6','1644','SIGNATURE','0',null,'24-NOV-2017','SWM-SR40 - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-25 01:16:24','2020-10-26 19:03:15',null,'1',null,'0');
INSERT INTO complaints VALUES('1953','MOAZZAM','03366484848','HO#752A  TNT SOCIETY SEC F-17/2 ISB','9','26','181056','ORIENT','0',null,'06-NOV-2019','470DIAMOND-SB - 897','REFRIGERATOR','RUBBER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-25 01:41:39','2020-11-05 21:38:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1954',null,null,null,'5',null,null,'ORIENT',null,null,null,'531OWR - 993','WATER DISPENSER','Compressor Issue',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-10-25 02:05:45','2020-11-28 21:59:06',null,'1',null,'0');
INSERT INTO complaints VALUES('1955','MR SAEED','03334848451','HO#451 ST 48 PHASE 2 MARGALLA TOWN','5','32','117273','SIGNATURE','0',null,'05-JUN-2020','SBH-AA901G - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-25 02:24:25','2020-10-26 19:36:10',null,'1',null,'0');
INSERT INTO complaints VALUES('1956','MR ASIM','03455484214 03205270241','HO#B429 ST 11 LALA RUKH WAH CANT','9','22','192471','CANON','0',null,'09-JUL-2020','BOV-05 - 1731','BUILT IN APPLLIANCES','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-25 02:34:56','2020-12-06 01:21:01',null,'1',null,'0');
INSERT INTO complaints VALUES('1957','MH  WAHEED','03008558264','HO#12 ST 18 SEC A PHARIA INCALAVE ISB','8','39','36008','SIGNATURE','0',null,'3-AUG-2019','SBO-AT4R - 1124','BUILT IN APPLLIANCES','TIMER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-25 02:55:56','2020-10-28 21:22:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1958','SAQIB SB','03115562762','Address Gali# 8 Sec 2 Ali Market khayaban-e-Sirsyed RWP','9','24','191813','DAWLANCE','0',null,'01-JUL-2020','10500DW - 906','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-25 18:41:47','2020-10-27 20:08:47',null,'1',null,'0');
INSERT INTO complaints VALUES('1959','KAMRAN','03335511215','Address H NO 107C ST  5 KHALID BLOCK PHASE 8 BAHRIA TOWN RWP','7','49','15244','SIGNATURE','0',null,'25-JUL-2017','SRF-KK95G - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-25 18:52:17','2020-11-03 22:02:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1960','MR HASSAN KHAN KHATTAK','03028020000','HO#13 ST 17, SEC F DHA 2 ISB','4','8','16722','CARAVELL','207BA',null,'13-OCT-2020',null,'WATER DISPENSER','WATER TAB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-25 19:20:54','2020-10-27 19:48:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1961','MR ALI IRFAN','03343091990','HO# I165 ST 35  MARGALA TOWN PHASE 2  ISB','6','14','25605','HAIER','0',null,'12-JAN-2020','85-1708HWM - 945','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-25 19:29:18','2020-11-02 20:06:23',null,'1',null,'0');
INSERT INTO complaints VALUES('1962','MR SHAFAAT ALI','03217655567','HO#420D BLOCK-D SATALITE TOWN RWP','9','19','198179','HAIER','0',null,'25-OCT-2020','85-826HWM - 945','WASHING MACHINE','DAMO ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-25 20:26:23','2020-10-28 18:39:11',null,'1',null,'0');
INSERT INTO complaints VALUES('1963','MR SOHAIL','03325183454','HO#242 LINE 03 SEC C, ASKARI 10 RWP','4','6','13732','TCL','2001VLR301031AD1431',null,'21-APR-2020','40S6500 - 938','FLAT PANEL TV','CABAL ISSUE',null,'5','RESOLVED',null,'customer','0',null,'92','2020-10-25 20:53:27','2020-11-08 23:02:50',null,'1',null,'0');
INSERT INTO complaints VALUES('1964','MADAM KAYANI','03430552663','HO#1  ST 4, SEC B2  BAHRIA IN CALVE  ISB','9','23','196755','SIGNATURE','SWH-20-10',null,'27-SEP-2020',null,'GEYSER','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-25 21:09:32','2020-10-28 21:20:45',null,'1',null,'0');
INSERT INTO complaints VALUES('1965','MR ABDUL BASIT','03348514692','HO#52 ST 04 BLOCK C CBR TOWN ISB','4','6','16292','GREE','0',null,'13-SEP-2020','9978EG-CB2 - 885','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-25 21:19:02','2020-10-27 19:44:36',null,'1',null,'0');
INSERT INTO complaints VALUES('1966','COL ZAHID','03215567912','HO#3 ST 15 , SEC E DHA 2 ISB','6','14','28254','LG','0',null,'07-JUL-2020','9588NEHVA-S - 901','WASHING MACHINE','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-25 21:48:00','2020-11-27 01:26:22',null,'1',null,'0');
INSERT INTO complaints VALUES('1967','MR NOUMAN AHMAD','03339011712','HO 2012  PHASE 01,  ARMAR COLONY  NOSHARA','8','42','66456','LG','42LB6520P-1028',null,'14-MAR-2015',null,'FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-10-25 22:10:53','2020-12-06 01:53:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1968','MH ZAMAN','03455253219','HO#ZA-360 MOHALA  HAZARA COLONY UMAR ABAD PERWADHI','9','23','132551','WAVES','HAMMAD FCP',null,'30-APR-2017','2110DD-SS - 1739','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-25 22:46:41','2020-11-14 20:19:14',null,'1',null,'0');
INSERT INTO complaints VALUES('1969','MH NADEEM','03466172657','HO#422 WHAT 7 YASIR ROAD GUJARKHAN','9','19','197087','SIGNATURE','0',null,'04-OCT-2020','SBO-AT4R - 1124','BUILT IN APPLLIANCES','FAN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-25 23:11:45','2020-10-26 20:46:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1970','MH ALI ARSALAN','03329974433','ARL CRICKET SATADEAM MORGAN RWP','9','51','133538','DAWLANCE','0',null,'02-MAY-2017','230DWT-W - 901','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-25 23:30:03','2020-10-27 18:51:06',null,'1',null,'0');
INSERT INTO complaints VALUES('1971','MH ALI ARSALAN','03329974433','ARL CRICKET SATADEAM MORGAN RWP','9','51','133538','SIGNATURE','0',null,'2-MAY-2017','JX1-BL - 1708','WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-25 23:34:11','2020-10-28 20:22:43',null,'1',null,'0');
INSERT INTO complaints VALUES('1972','MR FAISAL','03215029899','HO#442 BLOCK F , SATELLITE TOWN RWP','9','22','176376','LG','0',null,'07-SEP-2019','1366NEFTFS-C - 907','WASHING MACHINE','ERROR E1  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-26 00:06:31','2020-11-02 20:27:41',null,'1',null,'0');
INSERT INTO complaints VALUES('1973','M. FAROOQ','03145101273','HO#601 10TH AVENUE G-10/4 ISB','5','28','96441','KENWOOD','PTCL CALL',null,'20-JULY-2018','1016SA - 1712','WASHING MACHINE','SOUND &SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-26 19:16:51','2020-10-31 20:30:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1974','ASFAND YAR SAB','03425000220','HO$253 ST#11 SEC A TRIANGLE PARK MIEDA TOWN R..W.P','8','37','31636','SIGNATURE','0',null,'07-JAN-2019','65WBB - 893','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-26 19:24:37','2020-11-04 23:25:18',null,'1',null,'0');
INSERT INTO complaints VALUES('1975','DR AMIR AWAN','03049607113','HO#13 ST 12, SEC A BAHRIA INCALAVE ISB','4','8','35536','HAIER','0',null,'14-JUL-2019','276EBS - 858','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-26 19:39:55','2020-10-28 18:33:22',null,'1',null,'0');
INSERT INTO complaints VALUES('1976','NASEER KHAN','03135414006','HO#05 ST#48 SEC F-8/4 ISB','5','36','123177','SIGNATURE','HOOD SOUND PROB',null,'22-OCT-2020','SBC-ADELAIDE-90PLUS - 1123','BUILT IN APPLLIANCES','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-26 19:58:21','2020-11-26 23:53:02',null,'1',null,'0');
INSERT INTO complaints VALUES('1977','HAMMAD AZAM','03335555044','HO#11B ST#40 F-8/1 ISB','8','37','20964','DAWLANCE','0',null,'06-APR-2020','1045CVT-VF - 1467','FREEZER','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-26 20:09:23','2020-10-28 18:30:43',null,'1',null,'0');
INSERT INTO complaints VALUES('1978','BU LAND KHAN','03218585735','HO#55 ST#99 G-13/1 ISB','5','28','62317','SONY','40R452P(ABU BAKAR)',null,'11-JULY-2014',null,'FLAT PANEL TV','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-26 20:17:57','2020-10-28 20:22:09',null,'1',null,'0');
INSERT INTO complaints VALUES('1979','M. SARWA','03015473363','HO#1/3-B ST#55 G-2/4 ISB','5','31','97583','SIGNATURE','0',null,'01-SEP-2018','32DN6 - 936','FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-26 21:00:54','2020-10-28 19:17:33',null,'1',null,'0');
INSERT INTO complaints VALUES('1980','ABU BAKAR (FCI)','03365122695','FRIENDS CORPORATION BULE AREA ISB','5','28','101710','SIGNATURE','C/O ABU BAKHAR',null,'26-JAN-2019','SSO-MO16 - 1200','MICROWAVE OVEN','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-26 21:10:43','2020-11-26 23:47:59',null,'1',null,'0');
INSERT INTO complaints VALUES('1981','TARIQ MEHMOOD','03336000073','HO#01 AMIN TOWN SERVIES ROAD NEAR GULBARG MARQUE ISB','6','16','29226','SIGNATURE','0',null,'20-AUG-2020','MD99SS-S - 1723','REFRIGERATOR','SMELL PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-26 21:25:58','2020-10-27 22:11:28',null,'1',null,'0');
INSERT INTO complaints VALUES('1982','MUHAMMA','03420046535','HO#283 ST#07RA BAZAR R.W.P','4','6','6094','SAMSUNG','0',null,'30-JAN-2014','11F5S2UWW - 905','WASHING MACHINE','E-4 ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-26 21:30:53','2020-10-27 22:08:39',null,'1',null,'0');
INSERT INTO complaints VALUES('1983','SAAD JAVED','03440518114','HO#185 ST#05 BLOCK A GULBARG GREEN ISB','5','34','115548','FIVE STAR','AGAIN COMPLAINT TANG LEAKAGE PROB',null,'14-MAR-2020','35G-TWIN SUPREME - 963','GEYSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-26 21:42:33','2020-11-20 02:48:53',null,'1',null,'0');
INSERT INTO complaints VALUES('1984','ALI SAB','03065447963','HO#31 B KHAKASHAH SAAD PUR SAYIDHA ADYALA ROAD R.W.P','9','24','104474','SIGNATURE','0',null,'22-AUG-2015','11000 - 1605','COOKING RANGE','NOT WORKING',null,'5','CLOSED COMPLAINT',null,'customer','0',null,'74','2020-10-26 21:49:08','2020-11-03 21:53:09',null,'1',null,'0');
INSERT INTO complaints VALUES('1985','FAHAD KHAN','03336831707','HO#295 ST#32 SAAD BIN ABI WAQAS ROAD PHASE 08 B.TOWN','9','23','148458','SIGNATURE','0',null,'11-MAR-2018','MD99SS-S - 1723','REFRIGERATOR','LIGHT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-26 21:55:20','2020-10-29 21:26:56',null,'1',null,'0');
INSERT INTO complaints VALUES('1986','FAIZAN','03333677776','PLOT#34 ST#03 I-10/3 ISB','5','32','107308','HAIER','2 DEEP FREEZER',null,'11-JULY-2019','545DD - 959','FREEZER','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-26 22:46:36','2020-10-27 19:56:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1987','SALMAN','03009568628','SHOP#234 AL FATAY PLAZA SATELLITE TOWN R.W,P','9','23','191437','GREE','0',null,'25-JUNE-2020','18LM5L - 914','AIR CONDITIONER','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-26 23:01:26','2020-10-31 20:07:40',null,'1',null,'0');
INSERT INTO complaints VALUES('1988','MIAN NOFAIL','03008545453','HO#11-A ST#42 F-8/1 ISB','5','34','0','TCL','C/O UMER APNA IMPORTED MODEL HAIN',null,'0',null,'FLAT PANEL TV','SETTING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-26 23:21:05','2020-10-27 20:41:30',null,'1',null,'0');
INSERT INTO complaints VALUES('1989','MR SAYAD ASAD ULLAH GALIB','03009451528','GHAUSIA MUHALA ST HAJJI MAHRAM KHAN MASJID ANWARAY MUSTAFA JUND CITY','7','49','19908','SIGNATURE','0',null,'18-OCT-2019','SWM-JD45 - 945','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-27 00:00:42','2020-11-02 20:24:02',null,'1',null,'0');
INSERT INTO complaints VALUES('1990','NAEEM AKHTAR','03335187126','SHOP SK STATIONERY  THANDA PANI ISB','8','37','0','PANASONIC','NA127VB3',null,'OUT OFF VARANTI',null,'WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-10-27 00:11:34','2020-11-04 21:25:23',null,'1',null,'0');
INSERT INTO complaints VALUES('1991','HARIS CHAUDHARY','03325458880','HO#20 ST#32 F-7/1 ISB','5','31','110144','LG','55X8000-S-1018',null,'14-OCT-2019',null,'FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-27 00:20:39','2020-10-30 01:38:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1992','MR ALI','03118881777','HO#817 ST 1B, SEC D PHASE 8 BAHRIA TOWN RWP','6','13','29741','SIGNATURE','0',null,'26-SEP-2020','HC-3764G - 1122','BUILT IN APPLLIANCES','BURNER  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-27 00:30:08','2020-11-13 01:32:49',null,'1',null,'0');
INSERT INTO complaints VALUES('1993','BRIG ASIF JAH','03215170046','HO#06 LANE#12-B SEC B DHA 02','6','14','0','SIGNATURE','OUT OFF WARRANTY',null,'0',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-27 00:42:26','2020-10-28 19:31:08',null,'1',null,'0');
INSERT INTO complaints VALUES('1994','MH IQBAL','03030532442','HO#1166B ST 25A, SEC PHASE 5 BHARIA TOWN ISB','6','13','6449','FIVE STAR','0',null,'19-DEC-2016','55G-TWIN-FS - 1759','GEYSER','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-27 00:47:25','2020-12-06 01:11:05',null,'1',null,'0');
INSERT INTO complaints VALUES('1995','QAZI HARON UR RASHEED','03219594268','HO#2730 ST#65 ROAD EABU BAKAR BLOCK  PHASE 08 B.TOWN','9','24','196507','HAIER','0',null,'20-SEP-2020','120-1678HWM - 906','WASHING MACHINE','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-27 00:50:12','2020-10-28 18:24:52',null,'1',null,'0');
INSERT INTO complaints VALUES('1996','TANVEER SAB','03315798122','HO#D-95 ST#17 SHAH FAISAL COLONY CHAKLALA R.W.P','9','24','143567','CANON','0',null,'29-NOV-2017','24D-PLUS - 1031','GEYSER','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-27 01:01:22','2020-11-06 01:37:00',null,'1',null,'0');
INSERT INTO complaints VALUES('1997','IQBAL KRL(STOCK)','03335177221','FRIENDS SHOP KRL KHANA PUL R.W.P','9','24','0','HAIER','C/O IQBAL KRL',null,'0','75-918 - 69','WASHING MACHINE','DOOR LOCK PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-27 01:06:47','2020-11-05 22:27:17',null,'1',null,'0');
INSERT INTO complaints VALUES('1998','MH  WAQAK','03215678882','HO#621 ST 31, SEC F DEFFENCE  VILLA DHA 2   ISB','8','39','28317','SIGNATURE','HOD# HOB ISSUE',null,'26-JUN-2018','SBC-DARWIN-60 - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-27 01:09:20','2020-11-10 20:29:18',null,'1',null,'0');
INSERT INTO complaints VALUES('1999','DR SOHAIL ANSAR','03065005443','HO#54 ST#18 BLOCK C PWD SOCITY ISB','6','13','30045','HAIER','0',null,'15-OCT-2020','631DGG - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-27 01:13:01','2020-11-05 22:10:15',null,'1',null,'0');
INSERT INTO complaints VALUES('2000','MR ATIF','03315292837','HO#66 ST 10, NEAR VRL ROAB NEAR MERAN DATH MASJID RWP','8','38','42312','BOSCH','0',null,'08-SEP-2020','24260GC - 902','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-27 01:17:55','2020-11-06 01:44:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2001','MH SHABRAZ','03045142755','HO#2 BLOCK D,   MEDIA TOWN ISB','4','6','13264','SAMSUNG','0',null,'20-FEB-2020','70H4200-S - 1483','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-27 01:36:30','2020-11-08 19:35:42',null,'1',null,'0');
INSERT INTO complaints VALUES('2002','ZAIGHAM KHAN','03367232708','H NO 1107 ROAD A PHASE 4 B.TOWN RWP','4','7','9846','SAMSUNG','70J3283W-S-1548(YHA COMPLAINT DIRECT KHURRAM GOOGLE K PASS AAI THI KHURRAM SAB NA USMAM MRM KI FF KRWA DI',null,'11-JULY-2019',null,'WASHING MACHINE','GAS KIT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-27 02:00:29','2020-10-28 19:50:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2003','SOHAIL SHAUKAT','03345493004','HO#123 ST#02 ABUBAKAR BLOCK MORGA R.W.P','6','12','24833','LG','0',null,'15-DEC-2019','2J3QDNP0-S - 1483','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-27 18:10:31','2020-10-31 19:28:03',null,'1',null,'0');
INSERT INTO complaints VALUES('2004','MAJ RAJA TAHIR','03335269412','HO#17 ST#.02 SEC C ASKRI 14 R.W.P','4','6','7338','ORIENT','0',null,'15-JULY-2014','68750IN-GTRD - 885','REFRIGERATOR','OVER COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-27 18:41:17','2020-10-29 23:32:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2005','USMA ARSHAD','03469725517','APP#502 FORTUNE RESIDENTIAL  ST#26 E-11/4 ISB','9','24','198205','HAIER','PTCL CALL',null,'25-OCT-2020','120-1789HWM - 906','WASHING MACHINE','SPINNER SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-27 19:17:31','2020-10-29 23:27:43',null,'1',null,'0');
INSERT INTO complaints VALUES('2006','IMRAN YOUSAF','03044442313','KAMRAN STATIONER SHOP KHUWAJA CORPORATION ADYLA ROAD R.W.P','9','51','196125','TCL','2005VLR301170A00264',null,'13-SEP-2020','43S6500 - 869','FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-27 19:35:36','2020-11-11 23:17:03',null,'1',null,'0');
INSERT INTO complaints VALUES('2007','NASIR MEHMOOD','03335505505','H NOCB 335 DHAMIAL ROAD OPP ZIARAT BABA GOHAR ALI SHAH RWP','9','26','189324','KENWOOD','0',null,'20-JAN-2020','480VCM-BHL - 885','REFRIGERATOR','GASS KIT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-27 20:32:33','2020-10-28 19:16:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2008','IFTIKHAR AZIZ','03350536666','HO#06 ST#08 SEC C BEHIRA ENCLAVE ISB','5','31','115169','HAIER','0',null,'04-MAR-2020','631DGG - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-27 20:42:18','2020-10-29 20:54:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2009','IMRAN SHAKEEL','03025025539','HO#AA 1387ST#03 AKALGHAR  R.W.P','9','23','158167','LG','0',null,'08-SEP-2018','1666NEFT-S - 1643','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-27 21:01:57','2020-11-08 19:31:06',null,'1',null,'0');
INSERT INTO complaints VALUES('2010','ZULFIQAR SALEEM','03335216627','HO#300 ST 2, SADIQ TOWN ADYALA ROAD RWP','9','19','17230','SIGNATURE','C/O KRL IQBAL',null,'08-8-2018','SVF-SY35D - 1468','FREEZER','COMPRESSOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-27 21:04:54','2020-11-19 21:32:13',null,'1',null,'0');
INSERT INTO complaints VALUES('2011','BADAL (FCI)','03145299358','FRIENDS CORPORATION BULE AREA ISB','5','34','0','LG','SHOW ROOM VISIT',null,'0','55LH540-S - 942','FLAT PANEL TV','AUDIO PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-27 21:27:16','2020-10-29 21:10:51',null,'1',null,'0');
INSERT INTO complaints VALUES('2012','MR SAFDAR','03339309987','HO#270 ST 13, FACE 3 GHUARI TOWN ISB','8','38','36023','WAVES','0',null,'04-AUG-2019','315WDF - 958','FREEZER','COMPOSER   ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-27 21:46:09','2020-11-27 23:33:48',null,'1',null,'0');
INSERT INTO complaints VALUES('2013','SAEED AFRIDI','03409111822','HO#22 ST#04 F-8/3 ISB','5','28','0','SAMSUNG','OUT OFF WARRANTY',null,'0',null,'FLAT PANEL TV','DEAD PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-27 21:59:13','2020-11-09 20:14:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2014','MH WAQAS','03465319889','HO#D564 ST8,  MULLAH LUNDA BAZAAR RWP','9','24','197375','HAIER','0',null,'10-OCT-2020','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-27 22:53:20','2020-10-31 19:25:43',null,'1',null,'0');
INSERT INTO complaints VALUES('2015','MH  IMTAIZ','03236001984','HO#16  ST 7, SEC B DHA 2 PHASE 1 RWP','6','13','30168','DAWLANCE','162HZP-IR-1602',null,'24-OCT-2020',null,'MICROWAVE OVEN','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-27 23:14:29','2020-10-29 23:30:05',null,'1',null,'0');
INSERT INTO complaints VALUES('2016','MH SHABBIR','03370707077 03159555536','HO#16 MAIN EVANU EXSACTIVE BLOCK GULBARK GREEN ISB','5','28','123230','HAIER','ABU BAKAR',null,'23-OCT-2020','290TC - 1123','BUILT IN APPLLIANCES','GLASS ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-27 23:51:17','2020-10-31 19:11:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2017',null,null,null,'13',null,null,'ARISTON',null,null,null,'50L-V - 1365','GEYSER','Damig',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2020-10-28 00:38:09','2020-12-29 20:53:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2018','ASIM','03138541053','HO#4- ST#.02 BLOCK B NAVAL ANCHORAGE ISB','4','6','13278','LG','I 10-3 S/C AAY HOA HAIN',null,'22-FEB-2020','732HLCU-S - 885','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-28 01:12:34','2020-10-29 00:34:36',null,'1',null,'0');
INSERT INTO complaints VALUES('2019','AZHAR PWD','03139898008','FRIEND CALPARATION  PWD','4','8','0','FIVE STAR','500MC',null,'0',null,'COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-28 01:16:15','2020-11-09 00:15:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2020','AZHAR PWD','03139898008','FRIEND CALPARATION  PWD','4','8','0','CORONA','C351',null,'0',null,'COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-28 01:25:15','2020-11-09 00:15:56',null,'1',null,'0');
INSERT INTO complaints VALUES('2021','SYED MURTAZA SHAH','03065375945','ST#12 GULSHAN RAZA COLONY KAHOTA','8','38','28571','HAIER','PTCL CALL',null,'09-JULY-2018','95-1678HWM - 1817','WASHING MACHINE','DRAM PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-28 18:35:23','2020-10-31 19:09:57',null,'1',null,'0');
INSERT INTO complaints VALUES('2022','M IRFAN','03005581606','HO#254 ST#16 PHASE 4-A GORI TOWN ISB','9','26','159496','FIVE STAR','0',null,'13-OCT-2018','35G-TWIN-FS - 1759','GEYSER','DEAD',null,'5','RESOLVED',null,'customer','0',null,'74','2020-10-28 19:10:16','2020-11-08 23:11:43',null,'1',null,'0');
INSERT INTO complaints VALUES('2023','MH  HASSAN','03315588269','HO#17A BLOCK A IRAN ROAD SAT ALIGHT TOWN   RWP','9','27','198312','HAIER','0',null,'27-OCT-2020','85-826HWM - 945','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-28 19:56:48','2020-10-31 19:06:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2024','TARIQ SAB','03429636621','HO#14 HILL ROAD F-6/3 ISB','5','28','121286','SONY','0',null,'27-AUG-2020','65A8G-CC - 1443','FLAT PANEL TV','YOU TUBE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-28 20:17:18','2020-10-28 21:41:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2025','DR FATAMA','03408008889','HO#586-M  NEAR QUBBA MARKET LINE NO 5 PESHAWAR ROAD RWP','9','22','0','SIGNATURE','0',null,'OUT OFF VARANTI',null,'COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-28 20:29:14','2020-11-10 21:52:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2026','SHIKH M. USMAN','03335224700','HO#153 ST#17 SEC 4-B KHAYBAN SIR SYED R.W.P','9','26','163149','HAIER','PTCL CALL(9170 HWM)',null,'16-DEC-2018',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-28 20:31:50','2020-10-31 18:59:33',null,'1',null,'0');
INSERT INTO complaints VALUES('2027','MR HUNAIN','03095418958','HO#383 ST#103 YAMAHA CHOWK MODEL TOWN HUMAK','4','6','10993','HAIER','0',null,'10-OCT-2019','120-1678HWM - 906','WASHING MACHINE','TIMER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-28 20:45:01','2020-10-31 18:57:16',null,'1',null,'0');
INSERT INTO complaints VALUES('2028','RB KHAN','03315125400','HO#123 H ST#109 ST#G-11/3 ISB','5','36','120010','HAIER','0',null,'29-JULY-2020','438IDRT - 896','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-28 20:50:49','2020-11-05 22:41:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2029','BRIG NASIR','03235226635','HO#10 LANE #06 SEC G DHA 02 R.W.P','6','15','25987','HAIER','0',null,'05-FEB-2020','12HNF-G INV - 913','AIR CONDITIONER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-28 20:56:02','2020-10-31 18:29:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2030','AYESHA TEHREEM','03105751258','HO#CB -160-B MUSLIM COLONY TAXILA','9','22','169545','LG','PTCL CALL',null,'20-APR-2019','4J6TMP8S-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-28 21:12:48','2020-11-04 23:21:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2031','SAAD WAQAR','03205000194','BUSSNICESS SQUARE  CA MARSHAL PHASE 7 RWP','9','24',null,'SIGNATURE','0',null,'OUT OFF VARANTI',null,'WATER DISPENSER','HOT TAB ISSUE',null,'5','COMPLAIN CLOSED',null,'customer','0',null,'92','2020-10-28 21:15:19','2020-11-03 21:07:15',null,'1',null,'0');
INSERT INTO complaints VALUES('2032','MISS NAVEED IFTIKHAR','03009713201','HO#40 ST#39 I-8/2 ISB','5','28','22-OCT-2020','BOSCH','0',null,'22-OCT-2020','50D08GC - 1060','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-28 21:19:24','2020-11-05 20:12:00',null,'1',null,'0');
INSERT INTO complaints VALUES('2033','MR TAIMOOR','03100058092','HO#7 ST 35, SEC G-14/4 ISB','9','23','192648','HAIER','0',null,'13-JUL-2020','150-1789HWM - 1706','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-28 21:51:59','2020-11-05 20:02:59',null,'1',null,'0');
INSERT INTO complaints VALUES('2034','MR BABAR','03345350635','HO#384 ST 4 CHOR CHOCK MISRIA ROAD RWP','9','23','163325','FIVE STAR','0',null,'19-DEC-2018','35G-FS - 1759','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-28 22:04:02','2020-11-05 19:59:10',null,'1',null,'0');
INSERT INTO complaints VALUES('2035','MR SHOAIB','03335444123','HO#528 ST19, ABU BAKAR BLOCK PHASE 8 BAHRIA TOWN ISB','9','19','198175','GREE','0',null,'24-OCT-2020','9978EG-CR1 - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-28 22:18:29','2020-11-03 01:42:50',null,'1',null,'0');
INSERT INTO complaints VALUES('2036','AZEEM STOCK FCP','03315420488','FRIEND CALPARACTION GUL NOOR MARKET RWP','9','50','0','SIGNATURE','8 PISSES','2020-10-28',null,'SSB-X555MT - 1410','SOUND SYSTEMS','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-28 22:35:39','2020-10-28 22:56:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2037',null,null,null,'5',null,null,'HAIER',null,null,null,'43K6600G - 869','FLAT PANEL TV','Panel Damage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-10-28 22:59:05','2021-01-20 21:35:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2038','MALIK IMTAIZ  AHMAD','03345337888','HO#1085 ST 44, SEC F-17/2 ISB','4','5','0','SIGNATURE','0',null,'2 YEAR AGO','SWD-HD10-GR - 994','WATER DISPENSER','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-28 23:15:43','2020-10-30 01:34:33',null,'1',null,'0');
INSERT INTO complaints VALUES('2039','SAJID GODOWN','03135978937','FRIENDS HOME SHAMSHABAD R.W.P','8','38','0','KENWOOD','KAFI MODEL DAMAGE HIAN NAE EM KENWWOOD KO BATA DIA HAIN',null,'0','1012SA-GRG - 902','WASHING MACHINE','DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-28 23:23:21','2021-01-17 02:21:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2040','MR ASHRAF','03335550076','HO#229C BACK STREET ALMEER SHADE HALL NEAR KALI TANK I SADPUR ROAD RWP','9','51','165710','ECOSTAR','0',null,'06-FEB-2019','32U571 - 936','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-28 23:31:47','2020-11-05 02:07:58',null,'1',null,'0');
INSERT INTO complaints VALUES('2041','MR SAJJAD KHAN','03315031116','HO#113 ST 17, BAHRIA SPRING PHASE 7 RWP','6','16','21783','FIVE STAR','0',null,'01-JUL-2019','55G-SUPREME - 1538','GEYSER','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-28 23:43:23','2020-11-07 01:16:30',null,'1',null,'0');
INSERT INTO complaints VALUES('2042','SHEIKH MOHUDDIN','033351231990','HO#47-C ST#02 GULBARG GREEN ISB','5','32','110240','TESLA','0',null,'18-OCT-2019','55G( BLACK XGEN) - 1538','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-28 23:47:52','2020-11-09 21:48:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2043','KHALID BUTT','03008440001','HO#30 ST#03 PHASE 03 BEHIRA TOWN','9','26','163659','LG','0',null,'25-DEC-2018','4J5TNP3W-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-29 00:09:31','2020-10-31 18:54:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2044','MH IFTEKHAR AZIZ','03350536666','HO#6 ST 8 SEC C MUSIC  PARK BHARIA ENCLAVE ISB','5','31','123115','FIVE STAR','0',null,'20-OCT-2020','35G-TWIN SUPREME - 963','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-29 00:20:00','2020-11-06 23:38:15',null,'1',null,'0');
INSERT INTO complaints VALUES('2045','MH FAROOQ','03335264396','HO#W592 RATA  ROAD RWP','9','19','0','SIGNATURE','0',null,'3 YEAR AGO','SWM-JD51 - 902','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-29 00:40:57','2020-11-02 21:56:10',null,'1',null,'0');
INSERT INTO complaints VALUES('2046','MR JAWAD','03009500599','HO#44 ST 74 SEC E-11/3 ISB','5','36','102705','SIGNATURE','0',null,'09-MAR-2019','MT9R - 1124','BUILT IN APPLLIANCES','GLASS ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-29 00:46:57','2021-01-06 03:31:35',null,'1',null,'0');
INSERT INTO complaints VALUES('2047','MUDASAR IQBAL','03359080214','HO#1 INFARANT OFF GLORIOUS SCHOOL JANJUA TOWN ADYALA ROAD  RWP','7','49','9610','SAMSUNG','55H6400S-135',null,'14-JUL-2015',null,'FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-29 01:16:40','2020-12-06 01:52:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2048','BRIG WASEEM','03332109609','HO#20  ST 6, SEC C  DHA 2 ISB','9','24','194220','MITSUBISHI','0',null,'08-AUG-2020','50VA - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLIANT  CLOSED',null,'customer','0',null,'92','2020-10-29 01:32:52','2020-10-31 20:03:16',null,'1',null,'0');
INSERT INTO complaints VALUES('2049','MR SAAD','03008500800','HO#8A ST 39 SEC F-6/1 ISB','5','29','116175','WHIRLPOOL','0',null,'07-MAY-2020','422DX-HC INV - 917','AIR CONDITIONER','HEATER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-29 01:47:45','2020-11-05 19:37:17',null,'1',null,'0');
INSERT INTO complaints VALUES('2050','WAHEED','03009502497','HO#45 ST 12 SEC F-6/3 ISB','5','31','104144','WHIRLPOOL','3SWT4815-313',null,'27-APR-2019',null,'WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-29 18:16:17','2020-11-03 01:30:11',null,'1',null,'0');
INSERT INTO complaints VALUES('2051','MR SAJAD ALI','03455912329','HO#4  ST 21A  BAHRIA INC ALIVE NEAR CHACK SHAZAD  ISB','5','29','112645','SONY','0',null,'15-DEC-2019','40W650D-S - 938','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-29 19:20:00','2021-02-15 13:19:37',null,'1',null,'0');
INSERT INTO complaints VALUES('2052','AN WAR HUSSAIN','03008346199','HO#147 ST 8 RAWAL TOWN ISB','8','37','35059','HAIER','0',null,'29-JUN-2019','85-1708HWM - 945','WASHING MACHINE','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-29 19:52:06','2020-11-02 19:56:58',null,'1',null,'0');
INSERT INTO complaints VALUES('2053','MR BADSHAH ALI','03159551704','HO#25 ST 104, SEC G-13/1 ISB','5','34','107122','HAIER','0',null,'08-JUL-2019','110-1789HWM - 902','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-29 20:14:19','2020-11-02 19:53:24',null,'1',null,'0');
INSERT INTO complaints VALUES('2054','ABDUL GHANI','03335888859','HO#137-B ST 43, SEC F-10/4 ISB','5','53','123343','KENWOOD','0',null,'27-OCT-2020','1012SA - 902','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-29 20:31:34','2020-11-02 19:51:12',null,'1',null,'0');
INSERT INTO complaints VALUES('2055','MH ZUBAIR','03340151061','HO#103 ST 12, LANE 4  BAHRIA TOWN FACE 3 RWP','8','37','30121','SIGNATURE','KRL USMAN PTCL',null,'20-OCT-2018','SWM-JD51 - 902','WASHING MACHINE','TAB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-29 21:34:56','2020-10-31 19:24:24',null,'1',null,'0');
INSERT INTO complaints VALUES('2056','MR SHAMOON BAIG','03225120978','HO#1027A ST 01, BLOCK C NPF ISB','4','11','16930','SIGNATURE','0',null,'28-OCT-2020','3762G - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-29 21:52:17','2020-11-18 21:24:39',null,'1',null,'0');
INSERT INTO complaints VALUES('2057',null,null,null,'6',null,null,'KENWOOD','00000',null,null,'1826S-INV - 915','AIR CONDITIONER','OUTDOOR GAS LEAKAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-10-29 22:07:02','2020-12-29 20:22:31',null,'1',null,'0');
INSERT INTO complaints VALUES('2058',null,null,null,'6',null,null,'KENWOOD','00000',null,null,'1833S-HC - 915','AIR CONDITIONER','OUTDOOR GAS LEAKAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-10-29 22:07:26','2020-12-08 23:17:32',null,'1',null,'0');
INSERT INTO complaints VALUES('2059','MR ALI','03458543711','OFFICE NO 123 1ST FLOOR PLAZA NO 139 CIVIC CENTRE PHASE 4 B.TOWN RWP','4','11','13317','HAIER','0',null,'24-FEB-2020','18HNR-G - 915','AIR CONDITIONER','INTERNAL LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-29 22:08:01','2020-12-03 21:48:37',null,'1',null,'0');
INSERT INTO complaints VALUES('2060',null,null,null,'6',null,null,'SONY','00000',null,null,'DZ350 - 965','SOUND SYSTEMS','WOOFER DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-10-29 22:08:19','2020-11-09 22:30:07',null,'1',null,'0');
INSERT INTO complaints VALUES('2061','DR FAYYAZ SHAH','03445079487','HO#225 ST#14 SEC B 1 SHA PHASE 01','8','38','22741','SONY','C/P SHAYAAN SAB',null,'02-JULY -2020','85X8500G-CC - 1627','FLAT PANEL TV','SENSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-29 23:29:29','2020-11-03 20:35:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2062','MH YASIN','03335102922','HO#3 ST 4A OVER SEAS SEC 3 BAHRIA TOWN FACE 8 RWP','6','16','11615','SIGNATURE','SCR-FSS3-5G',null,'25-NOV-2017',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-30 00:23:20','2020-11-18 21:25:23',null,'1',null,'0');
INSERT INTO complaints VALUES('2063','TAMOOR NAWAZ','03115129139','HO#07 ST#09 SEC E DHA 01','8','38','23442','SONY','C/O TAHA SOHAIL',null,'06-SEP-2020','65X8077G-S - 1443','FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-30 01:00:37','2020-11-02 20:50:56',null,'1',null,'0');
INSERT INTO complaints VALUES('2064','TAUQEER UL ISLAM QAZI','03445598895','HO#KH901 GORI ROAD LINK AREA NAI ABADI KAHOTA','6','15','25347','SAMSUNG','0',null,'28-DEC-2019','16J6750-S - 1643','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-31 19:15:39','2020-11-02 19:58:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2065','MRS ASAD','03228186108','HO#17-D ST#14 UMER FAROOQ BLOCK B. TOWN PHASE 08','9','24','182216','SIGNATURE','PTCL CALL',null,'2-DEC-2019','SWH-1907 - 125','GEYSER','NOT WORKING',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'74','2020-10-31 19:22:22','2020-11-05 22:18:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2066','AARIM FAROOQ','03335125600','HO#05 ST#15 SEC H DHA 02 ISB','6','14','29523','SONY','YHA S WALA MODEL HAIN(PTCL PA B AAI HAIN)',null,'12-SEP-2020','65X8577G-S - 1443','FLAT PANEL TV','DISPLAY PROB',null,'5','CLOSED',null,'customer','0',null,'74','2020-10-31 19:43:34','2020-11-03 21:06:42',null,'1',null,'0');
INSERT INTO complaints VALUES('2067','MH TAHIR','03225377370','SHOP# TAHIR TARHDAR GHUNJ MUNDE RWP','9','20','150725','CARAVELL','0',null,'19-APR-2018','600MEC - 1652','CHILLER','COOLING  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-31 19:59:19','2020-11-06 02:46:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2068','SAAD ABBASI','03005592316','HO#12 NAJAF ST SHAHID TOWN FAROOQ AZAM KURI ROAD R.W.P','9','24','117697','KENWOOD','0',null,'18-JUN-2016','1012SA - 902','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-31 20:11:19','2020-11-11 00:32:44',null,'1',null,'0');
INSERT INTO complaints VALUES('2069','MALIK FAKHAR','03335227839','HO#99/30 ST#20 GOROTI STOP DHOK SAYIDHA KAMALABAD R.W.P','9','21','197892','SAMSUNG','90K5410-S',null,'19-OCT-2020',null,'WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-31 20:21:46','2020-11-10 20:46:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2070','PARVEEZ','03348995177','HO#2296 ST#55 ABU BAKAR BLOCK PHASE 08 B.TOWN','6','16','30043','CARAVELL','204B-2021',null,'15-OCT-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-31 20:51:42','2020-11-08 23:59:05',null,'1',null,'0');
INSERT INTO complaints VALUES('2071','ZAHEER','03005130846','HO#231 ST#13 BLOCK A MEDIA TOWN PWD R.W.P','9','24','137432','SIGNATURE','PTCL CALL',null,'15-JULY-2017','SWM-FW1610S - 902','WASHING MACHINE','NOT WORKING',null,'5','CLOSED COMPLAINT',null,'customer','0',null,'74','2020-10-31 21:08:56','2020-11-03 21:01:02',null,'1',null,'0');
INSERT INTO complaints VALUES('2072','ZAIN MUSTUFA','03334646859(03334101452)','HO#R 42 PAEC NEW COLONY CHASMAA MIYAWALI R.W.P','4','9','14178','BOSCH','0',null,'28-MAY-2020','50E92GC - 1060','DISH WASHER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-10-31 21:21:29','2020-11-11 23:10:11',null,'1',null,'0');
INSERT INTO complaints VALUES('2073','SAJJAD AHMAD','03336918102','APP C3 ISRAH APPMENT NUST UNIVERSITY SEC H/12 ISB','5','31','123207','SONY','55X8000H-CC',null,'22-OCT-2020',null,'FLAT PANEL TV','SPEKAR  ATTACH NAI HO RAHY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-31 21:47:41','2020-11-23 20:25:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2074','MR USMAN','03455301530','HO#696 ST 47 SEC G-11/2 ISB','5','34','116904','LG','0',null,'30-MAY-2020','502HQHU-S - 896','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-31 22:08:40','2020-11-08 20:06:02',null,'1',null,'0');
INSERT INTO complaints VALUES('2075','HAROON RASHEED','03455299977','HO#259 ST 53 SEC F-10/4 ISB','5','28','113593','SIGNATURE','0',null,'06-JAN-2020','SBH-AC900G - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-31 22:22:45','2020-12-22 02:12:48',null,'1',null,'0');
INSERT INTO complaints VALUES('2076','MR WASIM IRSHAD','03425217125','HO#16 ST 75 SEC G-13/2 ISB','5','36','114899','HAIER','0',null,'22-FEB-2020','438IDBT - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-31 23:02:54','2020-11-03 23:17:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2077','MH IJAZ','03475377443','HO#90-D SUNSET STREET GREEN AVENUE PARK ROAD ISB','8','42','43067','XTREEM','25G-TWIN HEAVY',null,'18-OCT-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-31 23:32:00','2020-11-08 23:47:50',null,'1',null,'0');
INSERT INTO complaints VALUES('2078','ASIF','03324004002','ABADE #2 AMEER HUMZA  MASHJID MALIK COLONY  GERGA ROAD RWP','9','24','167689','HAIER','0',null,'20-MAR-2019','385TPR - 884','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-10-31 23:49:01','2020-11-03 01:01:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2079','MR KASHIF SALEEM','03215029960','HO# 289 ST 10 PHASE 4B GAURI TOWN ISB','8','38','40600','ORIENT','0',null,'30-JUN-2020','AUTO10 - 902','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-01 00:10:15','2020-11-12 22:45:59',null,'1',null,'0');
INSERT INTO complaints VALUES('2080','MR KHALID HUSSAIN','03335698388','HO#DN30B ST 05 KHABA-E-NAY SIR SYED RWP','9','19','139368','SIGNATURE','HAMMAD FCP',null,'21-AUG-2017','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-01 00:30:30','2020-11-08 02:57:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2081','JAHANGIR','03008569417','HO#258 ST 40 SEC F-10/4 ISB','5','32','121653','SUPER ASIA','0',null,'08-SEP-2020','240SA-SHW - 1548','WASHING MACHINE','TIMER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-01 01:03:30','2020-11-05 01:49:17',null,'1',null,'0');
INSERT INTO complaints VALUES('2082','DR SADIA','03345313352','HO#1A ST 18 SEC F-7/2 ISB','5','31','120318','HAIER','0',null,'06-AUG-2020','62HR - 84','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-01 19:31:58','2020-11-03 01:47:16',null,'1',null,'0');
INSERT INTO complaints VALUES('2083','MIAN BILAL NAQEEB','03005009189','HO#317 ST 73, AL SAFA HEIGHTS 2 SEC F-11/1 ISB','5','31','122210','SIGNATURE','0',null,'24-SEP-2020','SBC-MELBURNE-90PLUS - 1123','BUILT IN APPLLIANCES','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-01 19:43:56','2021-01-15 01:39:51',null,'1',null,'0');
INSERT INTO complaints VALUES('2084','FARAZ AHMED','03245171222','HO#68 MAIN TORLLY ADDA ROAD KHANNA PULL RWP','8','38','12544','SAMSUNG','HASSAN FHHS MODAL#48H6400S-1453',null,'26-JUL-2015',null,'FLAT PANEL TV','WIFI   ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-01 20:21:44','2020-12-19 00:49:18',null,'1',null,'0');
INSERT INTO complaints VALUES('2085','SAYEDA JAN','03165272626','BAN GASH COLONY TALAGHANK TANT HOUSE MANDE MOOR RWP','9','51','156049','SIGNATURE','0',null,'24-JUL-2018','32DK8 - 936','FLAT PANEL TV','BOD  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-01 21:08:32','2020-11-09 20:26:16',null,'1',null,'0');
INSERT INTO complaints VALUES('2086','CH HAFEEZ ULLAH','03455011122','HO#305 ST 17, GULBERG GREEN ISB','9','19','181951','CANON','0',null,'24-NOV-2019','U3-B - 1123','BUILT IN APPLLIANCES','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-01 21:27:58','2020-11-04 22:47:09',null,'1',null,'0');
INSERT INTO complaints VALUES('2087','MR ATIF','03349557033','HO#431A ST 9A  FACE 3 BHARIA TOWN RWP','6','15','26189','HAIER','0',null,'17-FEB-2020','85-12826HW - 945','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-01 22:03:47','2020-11-03 01:39:33',null,'1',null,'0');
INSERT INTO complaints VALUES('2088','SYED AFTAB','03043984584','HO#08 ST 07, SAFAIR VILLAS BAHRI TOWN RWP','4','11','15070','HAIER','0',null,'06-JUL-2020','345SD - 149','FREEZER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-01 22:11:00','2020-11-03 01:35:26',null,'1',null,'0');
INSERT INTO complaints VALUES('2089','MR ARIF','03345778788','HO#214AB  FAISAL ARBI ROAD LAL KURTE ROAD RWP','9','51','196959','SIGNATURE','0',null,'01-OCT-2020','SBH-AC900G - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-01 23:06:05','2020-11-03 21:50:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2090','MR ARIF','03345778788','HO#214AB FAISAL ARBI ROAD LAL KURTE ROAD RWP','9','51','196959','SIGNATURE','0',null,'01-OCT-2020','SBC-MELBURNE-90PLUS - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-01 23:19:03','2020-11-11 22:15:34',null,'1',null,'0');
INSERT INTO complaints VALUES('2091',null,null,null,'6',null,null,'KENWOOD','00000',null,null,null,'AIR CONDITIONER','OUTDOOR GAS LEAKAGE...MODEL NO 1839',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-11-01 23:32:03','2020-12-08 23:16:32',null,'1',null,'0');
INSERT INTO complaints VALUES('2092','EJAZ AHMED','03005006318','HO#443B ST 28 SEC E-11/4 ISB','9','23','11402','SIGNATURE','20AC',null,'16-NOV-2019',null,'MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-02 00:23:14','2020-11-03 20:28:43',null,'1',null,'0');
INSERT INTO complaints VALUES('2093','MR SAJID RIZVI','03222224065','HO#761 ROAD C, PHASE 4 BAHRIA TOWN RWP','4','11','15756','GREE','0',null,'08-AUG-2020','24CITH12G - 917','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-02 01:13:20','2020-11-08 23:37:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2094','ASHFAQ AHMED','03335161644','HO#1060 ST 15 MILLATABAD DHOK BANARAS RWP','9','19','193449','GREE','SAQIB FCP',null,'24-JUL-2020','8890EG-CB2 - 2116','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-02 01:13:50','2020-11-05 23:36:57',null,'1',null,'0');
INSERT INTO complaints VALUES('2095','AMIR','03455895298','HO#186 ST 4 BLOCK B CBR TOWN ISB','4','8','15772','SONY','ZAHID PWD',null,'09-AUG-2020','55X8500G-CC - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-02 01:35:58','2020-11-03 20:24:34',null,'1',null,'0');
INSERT INTO complaints VALUES('2096',null,null,null,'4',null,null,'WHIRLPOOL','0000',null,null,'422TJ-HC INV - 917','AIR CONDITIONER','Swing not working',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-11-02 02:18:35','2020-11-11 22:22:32',null,'1',null,'0');
INSERT INTO complaints VALUES('2097',null,null,null,'4',null,null,'MITSUBISHI','000',null,null,'50VA - 915','AIR CONDITIONER','Outdoor main gas nahe hai',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-11-02 02:19:31','2021-01-06 02:33:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2098','DR YASIR','0515737323','HO#526 MAIN BULEVARD, OVERSEAS SEC 03 , NEAR FATIMA JINNAH JUNCTION BAHRIA TOWN PHASE 08','6','12','0','SIGNATURE','0',null,'OUT OFF VARANTI',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-02 02:30:52','2020-11-19 21:28:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2099','AMIRA IBAD','03322988777','HO#BB894/1 ASGHAR MALL ROAD R.W.P','8','38','38937','LG','0',null,'03-FEB-2020','1766NEFTS-S - 1486','WASHING MACHINE','SOUND + LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-02 20:12:04','2020-11-26 23:41:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2100','HAQ NAWAZ','03345028992','HO#508 ST#132 D-12/4 ISB','5','35','HO#508 ST#132 D-12/4 ISB','SAMSUNG','1 MONTH K BAD AGAIN COMPLAINT AAGEI KINDLY VISIT KARAY',null,'07-DEC-2018','80J4260-S - 899','WASHING MACHINE','DEAD W/M',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-02 20:15:57','2020-11-04 00:05:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2101','RAJESH','03335533590','HO#64 ST#35 F-6/1 ISB','5','34','110369','HAIER','0',null,'24-OCT-2019','95-1678HWM - 1817','WASHING MACHINE','DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-02 20:36:15','2020-11-04 19:42:09',null,'1',null,'0');
INSERT INTO complaints VALUES('2102','JAVED FCP','03009771779','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','20','0','HAIER','AZEEM STOCK K ACCOUNT PA COMPLINT ENTER KARWAI',null,'0','285SD - 956','FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-02 20:39:49','2020-12-10 20:17:30',null,'1',null,'0');
INSERT INTO complaints VALUES('2103','MR YASIR PARWAZ','03455226643','HO#137A LANE 10 HARLAY STREET RWP','9','23','145634','SIGNATURE','0',null,'06-JAN-2018','SWH-1710 - 1365','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-02 21:04:57','2020-11-04 02:51:17',null,'1',null,'0');
INSERT INTO complaints VALUES('2104','MRS NADEEM','03315085510','HO#95/O PARK INCLVE PHASE 01 ISB','9','26','183279','FIVE STAR','0',null,'14-DEC-2019','25G-TWIN-SUPREME - 1966','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-02 21:24:24','2020-11-05 20:09:47',null,'1',null,'0');
INSERT INTO complaints VALUES('2105','MRS NADEEM','03315085510','HO#95/O PARK INCLVE PHASE 1 ISB','9','26','183279','LG','0',null,'14-DEC-2019','512FPS-S - 1653','DISH WASHER','SETTING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-02 21:25:04','2020-11-12 23:17:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2106','MR ABDUS SALAM KHAN','03323062419','HO#857 ST 03, SEC H PHASE 08 BAHRIA TOWN RWP','6','15','29886','SUPER ASIA','MODAL#30-MEH-1660',null,'05-OCT-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-02 21:51:00','2020-11-08 23:34:19',null,'1',null,'0');
INSERT INTO complaints VALUES('2107','HAMMAD FCP','03455104405','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','24','0','CORONA','C/O HAMMAD SAB',null,'0','C205 - 14','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-02 22:02:32','2021-01-19 19:49:37',null,'1',null,'0');
INSERT INTO complaints VALUES('2108','ISHFAQ FHHS','03135001212','FRIEND CALPARACTION SHAMSA BAD RWP','8','39','35004','SIGNATURE','VISIT TO SHOWROOM',null,'26-JUN-2019','SBO-AR10 - 1124','BUILT IN APPLLIANCES','BURNER  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-02 22:10:49','2020-11-08 02:55:52',null,'1',null,'0');
INSERT INTO complaints VALUES('2109','MR ZIA UL REHMAN','03361115523','HO#10 ST 04, SEC C BAHRIA ENCLAVE ISB','8','39','42305','SIGNATURE','0',null,'08-SEP-2020','SBH-AC900G - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-02 22:20:18','2020-11-09 22:26:13',null,'1',null,'0');
INSERT INTO complaints VALUES('2110','MH FAROOQ','03124863048','HO#07 ST 16, SEC F DHA FACE 2 ISB','4','8','16530','LG','425FPS-S-17-17',null,'01-OCT-2020',null,'DISH WASHER','HEATER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-02 22:39:32','2020-11-12 23:17:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2111','MH USMAN','03085204982','HO#384 ST 72, SEC F-11/1 ISB','8','37','138398','SIGNATURE','SHAKEEL SALE ADVISOR',null,'02-AUG-2017','FSB60 - 1839','COOKING RANGE','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-02 23:00:21','2020-11-09 21:10:09',null,'1',null,'0');
INSERT INTO complaints VALUES('2112','M SULMAM','03455377760','HO#685 D BLOCK SATELLITE TOWN R.W.P','9','19','185823','SAMSUNG','PTCL CALL',null,'20-JAN-2020','11J5710-S - 905','WASHING MACHINE','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-02 23:09:27','2020-11-04 23:15:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2113','MH AMIR','03212602693','HO#877 ST 39,  B BLOCK  MALTE GARDEN SEC B 17 ISB','5','33','117444','SIGNATURE','0',null,'10-JUN-2020','SBO-AT4R - 1124','BUILT IN APPLLIANCES','FAN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-02 23:16:05','2020-11-26 23:38:15',null,'1',null,'0');
INSERT INTO complaints VALUES('2114','NAEEM SIDDQUE','03214012308','HO#56 ST 80 SEC G-13/1 ISB','9','26','95229','LG','0',null,'25-NOV-2014','8507S - 122','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-02 23:33:25','2020-11-09 22:28:43',null,'1',null,'0');
INSERT INTO complaints VALUES('2115','ARIF KHOKHAR','03005332386','H NO 1/3C GALI 38 SEC G/7-2 ISB','5','28','121485','GREE','3RD TIME YHA COMPLAINT AAGEI HAIN',null,'03-SEP-2020','8768EG-CB1 - 884','REFRIGERATOR','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-02 23:36:23','2020-11-24 20:43:37',null,'1',null,'0');
INSERT INTO complaints VALUES('2116','M. AZAM','03335111080','HO#393 ST#39 F-11/3 ISB','5','30','121130','BOSS','MODEL 24462GC-1418(INSTALLATION  AZHAR SAB)',null,'22-AUG-2020',null,'WASHING MACHINE','VIBRATION PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-02 23:55:55','2020-11-03 21:18:32',null,'1',null,'0');
INSERT INTO complaints VALUES('2117','MRS MAHMOOD','03435568385','HO#459 ST 17 SHAH ZAAD TOWN ISB','9','20','158680','HOMAGE','0',null,'24-SEP-2018','61HWD - 993','WATER DISPENSER','TAB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-03 00:02:26','2020-11-08 23:24:07',null,'1',null,'0');
INSERT INTO complaints VALUES('2118','NAVEED FCP','03005213783','FRIEND CALPARACTION GUL NOOR','9','19','198175','GREE','0',null,'24-OCT-2020','9978EG-CR1 - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-03 00:18:46','2020-11-19 23:02:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2119','KABEER KIYANI','03009796001','FRIEND CALPARACTION BLUE AREA ISB','5','29','104584','SIGNATURE','VISIT TO SHOWROOM',null,'16-AUG-2019','SSO-MO16 - 1200','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-03 00:35:09','2020-11-19 21:23:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2120','MRS ABU BAKER','03005399134','HO#27 ST 10, PAKISTAN COLONY BANIGALA ISB','9','24','184520','FIVE STAR','999C-FS',null,'25-DEC-2019',null,'BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-03 01:18:06','2020-11-04 20:42:48',null,'1',null,'0');
INSERT INTO complaints VALUES('2121','SHAHZAD MALIK','03325540562','HO#310E ST#35 A OMER BLOCK PHASE  08 BEHIRA','6','15','20624','LG','PTCL CALL',null,'02-MAY-2019','2J3QDNP0-S - 1483','WASHING MACHINE','FOOT ADJUSTMENT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-03 01:30:42','2020-11-08 02:50:18',null,'1',null,'0');
INSERT INTO complaints VALUES('2122','COL AWAIS','03335141422','HO#176/1 ST#11 PHASE 01 B TOWN','6','14','0','PANASONIC','OUT OFF WARRANTY(C/O KAMRAN  BEHIRA)',null,'0',null,'REFRIGERATOR','OVER COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-03 01:51:35','2020-11-08 23:19:52',null,'1',null,'0');
INSERT INTO complaints VALUES('2123','BRIG NASIR','03235226635','HO#10 LANE #06 SEC G DHA 02 R.W.P','6','15','25987','HAIER','0',null,'05-FEB-2020','12HNR-G-INV - 913','AIR CONDITIONER','F9 ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-03 02:11:53','2020-11-17 21:49:43',null,'1',null,'0');
INSERT INTO complaints VALUES('2124','SHOAIB BUKHARI','03047353236','HO#10 ST#09 ALLAMA IQBAL COLONY TENCH BHATTA R.W.P','6','13','25754','SIGNATURE','0',null,'23-JAN-2018','SWM-SR45 - 899','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-11-03 02:17:39','2020-11-05 02:31:30',null,'1',null,'0');
INSERT INTO complaints VALUES('2125','KHALID','03335334343','HO#495 ST 47, SEC G-10/4 ISB','5','28','0','DAWLANCE','0',null,'OUT OFF VARANTI',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-03 02:21:08','2020-11-05 22:49:51',null,'1',null,'0');
INSERT INTO complaints VALUES('2126','ABDUL WAHIB','03348506103','HO#882 ST#12 AFSHA COLONY QASIM MARKET R.W.P','8','38','38999','FIVE STAR','0',null,'10-FEB-2020','900C-FS - 1965','COOKING RANGE','NOB+ THERMOSTAT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-03 02:25:43','2020-11-03 23:52:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2127','MALIK NAEEM','03340100007','HO#25 ST#06 SEC B DHA 02 ISB','5','36','120596','SIGNATURE','MARIYAM NA DIRECT AZHAR SAB KO HOB DIA THA AGAIN COMPLAINT PA ISSUE AARHA HAIN HOME VISIT ARRANGE KRWAY',null,'11-AUG-2020','HC-3900G - 1122','BUILT IN APPLLIANCES','NOB SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-03 02:32:27','2020-11-10 21:32:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2128','AYSHA','03018233207','HO#D-69/2 AIR HEAD QUARTER SEC E 9 PAF COMPLEX','5','36','86004','TCL','1710VFR000431A000431A00101(OUT OFF WARRANTY)',null,'01-JULY-2017','55S4900 - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-03 19:24:49','2020-11-10 20:44:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2129','HOMERA AFAQ','03333531425','HO#11 ST 30, BLOCK F NAVAL ANCHORAGE ISB','4','10','16707','LG','0',null,'12-OCT-2020','0K6DMK2S2-C - 1908','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-03 19:44:37','2020-11-08 02:52:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2130','NADEEM','03315910001','HO#329 ST#02 ASKRI 10 R.W.P','8','39','43280','CANON','0',null,'29-OCT-2020','10LCM - 1031','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-03 20:05:21','2020-11-10 21:35:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2131','OWAIS','03368568563','HO#CB09 ST 01, GULSHANAY  SHAFE COLONY RWP','9','26','198569','FIVE STAR','0',null,'01-NOV-2020','25G-TWIN-SUPREME - 1966','GEYSER','LEAKAGE  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-03 20:07:47','2020-11-03 23:42:44',null,'1',null,'0');
INSERT INTO complaints VALUES('2132','AHMED WAQAS','03215016161','HO#210 C SEC 4-B KHAYABAN E SIR SYED R.W.P','9','51','189540','ECOSTAR','0',null,'30-MAY-2020','40U571 - 938','FLAT PANEL TV','SCREEN LINE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-03 20:16:22','2020-11-13 00:03:05',null,'1',null,'0');
INSERT INTO complaints VALUES('2133','MAJ ARIF','03215106338','HO#196 LANE#08 ASKARI 13 R.W.P','9','20','179624','SIGNATURE','0',null,'06-OCT-2019','HC-5900G - 1122','BUILT IN APPLLIANCES','BURNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-03 20:31:13','2020-11-11 22:14:36',null,'1',null,'0');
INSERT INTO complaints VALUES('2134','MH IQBAL','03340515193','HO#5 ST 28 SEC F-8/1 ISB','9','19','197357','HAIER','0',null,'10-OCT-2020','85-7288 - 69','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-03 20:42:54','2020-11-05 22:39:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2135','ZAHEER','03005130846','HO#231 ST#13 BLOCK A MEDIA TOWN PWD R.W.P','9','24','137432','SIGNATURE','PTCL CALL',null,'15-JULY-2017','SWM-FW1610S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','2071','74','2020-11-03 20:56:18','2020-12-19 23:28:07',null,'1',null,'0');
INSERT INTO complaints VALUES('2136','AARIM FAROOQ','03335125600','HO#05 ST#15 SEC H DHA 02 ISB','6','14','29523','SONY','YHA S WALA MODEL HAIN(PTCL PA B AAI HAIN)',null,'12-SEP-2020','65X8577G-S - 1443','FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','2066','74','2020-11-03 21:02:31','2020-11-11 02:51:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2137','MR AHSAN','03005048504','HO#153/3 LANE 06, NEAR MUHAMMADI MASJID QUAIDE  AZAM COLONY DHAMYAL CAMP RWP','7','49','20668','TCL','1910VLR300964A00141',null,'06-FEB-2020','55P8M - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-03 21:06:05','2020-11-14 23:09:18',null,'1',null,'0');
INSERT INTO complaints VALUES('2138',null,null,null,'8',null,null,'TCL',null,null,null,'65P8S - 1443','FLAT PANEL TV','Line in top of led, led displayed in showroom',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'96','2020-11-03 21:16:03','2020-12-29 21:16:40',null,'1',null,'0');
INSERT INTO complaints VALUES('2139','MH RIZWAN','03218537903','HO#34 LANE 2, VESTEG 03 OPPOSITE  ARMY PUBLICK SCHOOLGADE 4 RWP','9','51','191440','SONY','0',null,'25-JUN-2020','48W652D-CC - 1560','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-03 21:26:11','2020-11-04 02:38:56',null,'1',null,'0');
INSERT INTO complaints VALUES('2140','MH ZEESHAN','03335384414','HO#684 ST 43 BLOCK C, PWD','4','9','14963','KENWOOD','0',null,'30-JUN-2020','1012SA - 902','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-03 21:40:27','2020-11-10 21:53:57',null,'1',null,'0');
INSERT INTO complaints VALUES('2141','MH ZEESHAN','03335384414','HO#684 ST 43 BLOCK C, PWD','4','9','14963','DAWLANCE','0',null,'30-JUN-2020','132S-DW - 1200','MICROWAVE OVEN','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-03 21:51:51','2020-11-05 22:47:42',null,'1',null,'0');
INSERT INTO complaints VALUES('2142','OMER KHAYYAM','03339546081','HO#362 ST 52 BLOCK C B-17 ISB','5','31','120205','HAIER','0',null,'04-AUG-2020','85-7288 - 69','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'92','2020-11-03 22:22:11','2020-11-05 22:46:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2143',null,null,null,'5',null,null,'MITSUBISHI',null,null,null,'50VA - 915','AIR CONDITIONER','Outdoor Gas Nil',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-11-03 22:39:36','2021-01-20 00:36:18',null,'1',null,'0');
INSERT INTO complaints VALUES('2144','FAHEEM SIDDIQUI','03352096890','HO#4A/1 BLOCL A SETTELITE TOWN, 6 ROAD RWP','8','37','20147','ORIENT','0',null,'08-JAN-2017','43G6530 - 869','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-03 22:40:33','2020-11-08 23:08:35',null,'1',null,'0');
INSERT INTO complaints VALUES('2145','DR TEHMINA','0345770072','KARAKORUM ENCLAVE 01 F-11/1 ISB','5','28','0','LG','YHA COMPLAINT LG S/C K PASS DIRECT AAI  THI KHURRAM SIR K KNOQWLADGE MAIN YHA COMPLAINT',null,'2014','1496ADP24S - 899','WASHING MACHINE','DD MOTOR REPLACE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-03 22:40:48','2020-11-04 21:08:37',null,'1',null,'0');
INSERT INTO complaints VALUES('2146','ZAHID ALI','03009564000','HO#166 lane no 1 tulsa road sherzaman colony rwp','9','24','0','TCL','L65C8US(1812VLR300717A00051)C/O SAQIB FCP(CUSTOMER A DIRECT TCL MAIN COMPLAINT FF KARWAI',null,'0',null,'FLAT PANEL TV','SCREEN PROB',null,'5','COMPLETED',null,'customer','0',null,'74','2020-11-03 23:30:14','2020-12-12 20:18:11',null,'1',null,'0');
INSERT INTO complaints VALUES('2147','COL SHEHZAD','03335141999','HO#06 SAFARI VILLAS 3 FICUS ROAD PHASE 2','5','34','26698','LG','0',null,'17-MAR-2020','1366NEFTFS-C - 907','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-03 23:37:03','2020-11-08 02:46:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2148','MH RAHID','03337392463','HO#K27  ROAD D, ABU BAKAR BLOCK PHASE 08 BAHRIA TOWN RWP','4','8','16765','HAIER','0',null,'17-OCT-2020','438IDBT - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 00:08:39','2020-11-08 21:56:57',null,'1',null,'0');
INSERT INTO complaints VALUES('2149','CH IMRAN','03009890176','MALL#8 MOLANI MASJID GUJAR KHAN','6','13','18749','SAMSUNG','0',null,'19-OCT-2016','11J5710-S - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 00:36:17','2020-11-10 20:31:12',null,'1',null,'0');
INSERT INTO complaints VALUES('2150','OWAIS','03368568563','HO#CB09 ST 01, GULSHANAY SHAFE COLONY RWP','9','26','198569','HAIER','0',null,'01-NOV-2020','120-1678HWM - 906','WASHING MACHINE','SARF BOX MISSING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 01:19:36','2021-01-22 00:12:23',null,'1',null,'0');
INSERT INTO complaints VALUES('2151','ASIF','03324004002','ABADE #2 AMEER HUMZA MASHJID MALIK COLONY GERGA ROAD RWP','9','24','167689','HAIER','0',null,'20-MAR-2019','385TPR - 884','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 01:32:28','2020-11-05 21:57:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2152','MH RASHID','03005385948','HO#P334 ST 01 PAKISTAN ROAD MUHALA BANI RWP','9','51','181626','HAIER','0',null,'17-NOV-2019','95-1678HWM - 1817','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 01:41:36','2020-11-17 21:46:19',null,'1',null,'0');
INSERT INTO complaints VALUES('2153','NAEEM KHAN','03017463302','TAYABA MASJID BEHIND KASHMIR VIEW PLAZA GT ROAD JEHLUM','8','39','32830','SAMSUNG','0',null,'20-MAR-2019','90J5455MW-S - 901','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 02:07:05','2020-11-09 22:35:02',null,'1',null,'0');
INSERT INTO complaints VALUES('2154','SYED NADEEM','03115107817','HO#248 ST 10, BLOCK B MEDIA TOWN ISB','4','11','12096','SIGNATURE','25BG-1731',null,'15-DEC-2019',null,'MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 02:37:24','2020-11-08 02:45:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2155','ZEESHAN BAHRIA','03110159819','FRIEND CALPARATION PHASE 7','6','16','0','SIGNATURE','VISIT TO SHOWROOM',null,'0',null,'MICROWAVE OVEN','TRAY ADJUSTMENT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 03:07:28','2020-11-05 23:39:05',null,'1',null,'0');
INSERT INTO complaints VALUES('2156','MR TARIQ QURASHI','03335414114','ST#2 OFFICER COLONY MASHRAL ROAD RWP','9','23','186200','KENWOOD','0',null,'29-JAN-2020','400VCM-BRN - 885','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 20:41:18','2020-11-08 23:02:07',null,'1',null,'0');
INSERT INTO complaints VALUES('2157','ABDUL BASIR','03148011136','SHOP#55B HAJJI SHAW ALE ABDUL BASEER I-11/4 ISB','8','38','42272','FIVE STAR','0',null,'06-SEP-2020','35G-SUPREME - 963','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 20:49:23','2020-11-11 22:40:12',null,'1',null,'0');
INSERT INTO complaints VALUES('2158','DR NADEEM','03335178336','HO#63 ST#01 SEC B DHA 01','6','15','29614','CORONA','125C-AUTO -1074',null,'16-SEP-2020',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 21:10:31','2020-11-08 23:00:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2159',null,null,null,'5',null,null,null,null,null,null,'Canon, 204B','WATER DISPENSER','Drain Cap Missing',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-11-04 21:49:07','2020-11-28 21:56:02',null,'1',null,'0');
INSERT INTO complaints VALUES('2160',null,null,null,'5',null,null,'SONY',null,null,null,'RT3 - 1410','SOUND SYSTEMS','Woofer Not Connect',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-11-04 21:50:04','2021-02-15 13:20:11',null,'1',null,'0');
INSERT INTO complaints VALUES('2161',null,null,null,'5',null,null,'ORIENT',null,null,null,'531BL - 993','WATER DISPENSER','Side Damage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-11-04 21:50:36','2020-11-28 21:54:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2162','FARHAN ABBASI','03045314321','HO#DD-194 FAROOQ CORPORATION WALI STREET MADINA TOWN ABBASI STREET NEAR MADINATUL RAJAB MASJID RWP','9','24','196400','KENWOOD','0',null,'19-SEP-2020','1010SA - 902','WASHING MACHINE','DRAIN PIPE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 21:53:18','2020-11-08 22:58:35',null,'1',null,'0');
INSERT INTO complaints VALUES('2163','TAUHEED SB','03348567154','HO # 415 ST NO 9 PHASE 5 B.TOWN RWP','5','28','0','LG','0',null,'01-JAN-2018',null,'REFRIGERATOR','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 22:01:33','2020-12-19 23:27:09',null,'1',null,'0');
INSERT INTO complaints VALUES('2164','MH ZUBAIR','03005008899','HO#92 ASGHAR MALL SCHEEME HALA MASJID RWP','9','19','190283','LG','0',null,'10-JUN-2020','4V5RYP2T-S - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 22:27:40','2020-11-08 02:42:12',null,'1',null,'0');
INSERT INTO complaints VALUES('2165',null,null,null,'6',null,null,'DAWLANCE','00000',null,null,'1480-DDW - 1653','DISH WASHER','SIDE DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-11-04 22:35:24','2020-12-30 22:15:38',null,'1',null,'0');
INSERT INTO complaints VALUES('2166','CH HAFEEZ ULLAH','03455011122','HO#305 ST 17, GULBERG GREEN ISB','9','19','181702','FIVE STAR','0',null,'19-NOV-2019','35G-TWIN SUPREME - 963','GEYSER','LEAKAGE  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 22:36:04','2020-11-14 20:06:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2167','CH HAFEEZ ULLAH','03455011122','HO#305 ST 17, GULBERG GREEN ISB','9','19','181702','FIVE STAR','0',null,'19-NOV-2019','55G-TWIN-SUPREME - 1538','GEYSER','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 22:40:55','2020-11-14 20:07:34',null,'1',null,'0');
INSERT INTO complaints VALUES('2168','MR NASEER AHMAD','03335174599','FLAT#3A ST 99 BLOCK 100/3 G-7/4 ISB','5','35','122226','GREE','CELL CALL',null,'25-SEP-2020','8768EG-CW2 - 884','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-04 22:44:48','2020-11-15 00:55:39',null,'1',null,'0');
INSERT INTO complaints VALUES('2169','CH HAFEEZ ULLAH','03455011122','HO#305 ST 17, GULBERG GREEN ISB','9','19','181951','SIGNATURE','HOOD',null,'24-NOV-2019','SBC-PERTH90 - 1123','BUILT IN APPLLIANCES','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 22:51:12','2020-11-05 00:32:16',null,'1',null,'0');
INSERT INTO complaints VALUES('2170',null,null,null,'13',null,null,'HAIER',null,null,null,'85-7288 - 69','WASHING MACHINE','Damig',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2020-11-04 22:53:07','2020-11-11 00:04:37',null,'1',null,'0');
INSERT INTO complaints VALUES('2171','RIAZ BURKI','03335220603','HO#546 ST 27 BLOCK D, MEDIA TOWN ISB','4','8','4948','SIGNATURE','0',null,'19-AUG-2018','SRF-WB90M - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 23:18:35','2020-11-24 20:34:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2172','IBRAR IQBAL','03105285162','HO#1011 ST 22 BANI CHOCK RWP','9','24','194119','HAIER','0',null,'07-AUG-2020','306EPR-HRF - 859','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-04 23:30:08','2020-11-06 01:59:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2173','CH HAFEEZ ULLAH','03455011122','HO#305 ST 17, GULBERG GREEN ISB','9','19','181951','SIGNATURE','HOOD',null,'24-NOV-2019',null,'BUILT IN APPLLIANCES','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','2169','74','2020-11-05 00:14:11','2020-11-24 20:30:58',null,'1',null,'0');
INSERT INTO complaints VALUES('2174','MR AHMAD ZUBAIR','03144607805','HO#35 ST 31 NEAR MALOUDE ISB','5','28','121726','SIGNATURE','MODAL# 20AC',null,'10-SEP-2020',null,'BUILT IN APPLLIANCES','SMOKE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-05 00:43:01','2020-11-08 20:04:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2175','ALI RAZA','03441118882','HO#50 ST 124 SEC JINNAH GARDEN PHASE 01 ISB','4','9','16731','SUPER ASIA','0',null,'14-OCT-2020','106GH(LPG) - 1029','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-05 00:52:04','2020-11-08 22:50:06',null,'1',null,'0');
INSERT INTO complaints VALUES('2176','FEROZAE AHMED','03000634392','HO#14 IQBAL BLVD SEC E, DHA PHASE 2 ISB','9','27','197548','FIVE STAR','MODAL#35G-HEAVY',null,'13-OCT-2020',null,'GEYSER','TANK LEAKING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-05 01:01:21','2020-11-12 01:32:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2177','MR HASNAAT ALI','03465839441','FLAT#F BLOCK S/2 NEAR KHALIL LINE WESTRIDGE RWP','9','19','182309','HAIER','0',null,'01-DEC-2019','336IDB - 860','REFRIGERATOR','THERMOSTAT  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-05 01:21:36','2020-11-06 00:45:07',null,'1',null,'0');
INSERT INTO complaints VALUES('2178',null,null,null,'5',null,null,'TCL',null,null,null,'43P8US - 869','FLAT PANEL TV','Damage Unit',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-11-05 01:43:59','2021-01-19 20:01:33',null,'1',null,'0');
INSERT INTO complaints VALUES('2179','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','WHIRLPOOL','CUSTOMER KO REPLACE KAR DIA HAIN(MODEL W418DX)',null,'0',null,'AIR CONDITIONER','OUT DOOR KI MOTOR MAIN SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-05 02:01:03','2020-11-13 00:14:36',null,'1',null,'0');
INSERT INTO complaints VALUES('2180','RIZWAN BAHRIA','03126661934','FRIEND CALPARATION PHASE 7','6','12','0','DAWLANCE','0',null,'0','128G - 1277','MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-05 02:22:54','2020-11-08 22:44:43',null,'1',null,'0');
INSERT INTO complaints VALUES('2181',null,null,null,'5',null,null,'ECOSTAR',null,null,null,'43U573 - 869','FLAT PANEL TV','Screen Issue 2 Pieces',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-11-05 02:37:23','2020-11-28 21:52:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2182','MAHRUKH','03455001616','HO#07 ST 58 SEC G-13/2 ISB','8','38','41960','HAIER','0',null,'19-AUG-2020','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-05 02:42:16','2020-11-08 22:27:38',null,'1',null,'0');
INSERT INTO complaints VALUES('2183','MR KHURRAM','03344441444','HO#15 ST 17,  SEC E DHA 2 ISB','4','6','11835','LG','0',null,'07-DEC-2017','0C9CDHK72-C - 1837','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-05 19:49:14','2020-11-24 20:30:19',null,'1',null,'0');
INSERT INTO complaints VALUES('2184','RASHID MAHMOOD','03009870895','HO# DD202 ABBAS I STEET RWP','8','38','38281','HAIER','0',null,'17-DEC-2019','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-05 20:09:44','2020-11-26 21:17:30',null,'1',null,'0');
INSERT INTO complaints VALUES('2185','DR UMAIR','03219566623','HO#207 ST#08 GARDEN CITY ZINE 01 BEHIRA TOWN PHASE 01','9','20','197876','FIVE STAR','PTCL CALL',null,'19-OCT-2020','35G-TWIN SUPREME - 963','GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-05 20:20:44','2020-11-08 22:23:27',null,'1',null,'0');
INSERT INTO complaints VALUES('2186','MR ARSLAN','03455176086','HO#CB318 ST 3, GOURMENT STEET  RANG ROAD RWP','9','27','198347','FIVE STAR','999MC-1413',null,'28-OCT-2020',null,'COOKING RANGE','GRILL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-05 20:22:32','2020-11-08 22:21:31',null,'1',null,'0');
INSERT INTO complaints VALUES('2187','MR IJAZ','03335512749','HO#K538 JAMMY KHADEREYA MASJID  MILAT COLONY RWP','9','23','198669','CARAVELL','MODAL#204B-1403',null,'03-NOV-2020',null,'WATER DISPENSER','COMPOSER  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-05 20:46:28','2020-11-08 21:23:00',null,'1',null,'0');
INSERT INTO complaints VALUES('2188','MR ABDUL MAJEED','03218038644','HO#59M ST 21 SEC A,  BAHRIA INCALAVE ISB','5','36','115484','LG','MISS SHEBA FHHS',null,'13-MAR-2020','4J6TMP8S-C - 899','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-05 21:02:53','2020-12-01 19:58:13',null,'1',null,'0');
INSERT INTO complaints VALUES('2189','AMBER','03335960435','HO#34  SUPER MARKET SEC F-6/3 ISB','5','35','117973','HOMAGE','0',null,'22-JUN-2020','82HWD - 993','WATER DISPENSER','LEAKAGE  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-05 22:12:09','2020-11-08 22:24:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2190','WEI CHYETOESY','03012828781','HO#H-9  ST 62 SEC F-8/4 ISB','5','36','123119','HOMAGE','IQBAL STOCK',null,'20-OCT-2020','81HWD - 993','WATER DISPENSER','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-05 22:14:42','2020-11-08 22:18:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2191','MR KHAWAR SAEED','03004981777','HO#321 ST05 SEC B-1 DHA PHASE 1RWP','8','42','42234','KENWOOD','0',null,'05-SEP-2020','899W - 899','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-05 22:29:50','2020-11-24 19:43:13',null,'1',null,'0');
INSERT INTO complaints VALUES('2192','M SALEEM','03002008281','HO#334 ST#32 F-11/2 ISB','8','42','4625','SIGNATURE','0',null,'28-JULY-2018','SWM-SR45 - 899','WASHING MACHINE','NOT WORKNG',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-05 23:56:00','2020-11-09 22:26:48',null,'1',null,'0');
INSERT INTO complaints VALUES('2193','NAZEEL SARDAR','03008562468(03135551666)','HO#02 ST#02 GREEN COLONY QASIM AVENU NEAR BANI GALA ISB','5','33','119984','ORIENT','0',null,'29-JULY-2020','18G-HYPER-SW - 915','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-06 00:25:12','2020-11-19 21:22:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2194','MRS IFTKHAR','03365088341','HO#09 MAJAR ROAD BLOCK H NEW CITY PHASE 02 WHA CANTT','9','23','186501','SAMSUNG','PTCL CALL',null,'05-FEB-2020','11J5710-S - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-06 00:46:42','2020-11-11 22:11:41',null,'1',null,'0');
INSERT INTO complaints VALUES('2195','MUHAMMAD IMRAN','03215332332','HO#109/1-D ST#05 SEC 01 KHAYABAN SIR SYED R.W.P','9','26','156989','SIGNATURE','PTCL CALL(INVOICE  B HAIN)',null,'13-AUG-2018','SCF-HM10 - 955','FREEZER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-06 00:54:47','2020-11-10 01:31:02',null,'1',null,'0');
INSERT INTO complaints VALUES('2196','M. ANIS','03415382970(0341-4120364)','HO#J812 ST#06 DHOK KHABA R.W.P','9','24','192912','DAWLANCE','9191WBLVS',null,'16-JULY-2019',null,'REFRIGERATOR','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-06 01:06:06','2020-11-08 22:12:39',null,'1',null,'0');
INSERT INTO complaints VALUES('2197','FAHAD','03225454498','PAF FINSING SCHOOL PAF COMPLAEX E 9 ISB','8','39','42479','SIGNATURE','2 HS3762 HOB',null,'17-SEP-2020',null,'BUILT IN APPLLIANCES','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-06 01:48:43','2020-11-18 01:31:23',null,'1',null,'0');
INSERT INTO complaints VALUES('2198','SHAKEEL','03335269605','TALENT TEST SHOP# 06 GHAKAR PLAZA BANK ROAD R..W.P','8','38','20885','ORIENT','C/O AKBAR SAB',null,'14-MAR-2020','24G-PLUS-SS - 917','AIR CONDITIONER','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-06 01:58:40','2020-11-08 22:07:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2199','HAMMAD','03014262920','HO#35 ST#690 G-13/3 ISB','8','48','198416','HAIER','0',null,'29-OCT-2020','120-1678HWM - 906','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-06 02:23:14','2020-11-07 20:45:50',null,'1',null,'0');
INSERT INTO complaints VALUES('2200','MAGA PLUS(ZUBAIR)','03005559641','OFFICE 308 &309 3RD FLOOR ISET TOWER 55 B JINNAH AVENUE ISB','8','43','23742','SAMSUNG','85Q60T-S',null,'02-NOV-2020',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-06 02:33:42','2020-11-18 01:26:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2201','MINHAS','03335177097','HO#146-B ST#81 G-6/11 ISB','9','51','196423','SONY','0',null,'19-SEP-2020','40W650D-S - 938','FLAT PANEL TV','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-06 02:44:15','2020-11-18 01:42:55',null,'1',null,'0');
INSERT INTO complaints VALUES('2202','MR RAUF','03328526167','H NO 21 MAIN DOUBLE ROAD SEC D/12-1 ISB','5','36','120306','ORIENT','0',null,'06-AUG-2020','24G-SUPER - 917','AIR CONDITIONER','AUTOMATIC ON HO JATA',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-06 20:32:18','2020-11-08 22:04:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2203','ZAIN UL ABIDEEN','03009564617','HO#41 ST 1 SEC 2 AIR PORT HOUSUNG SOCIETY RWP','8','42','42258 RAHI','SAMSUNG','PTCL CALL',null,'06-SEP-2020','11J5710-S - 905','WASHING MACHINE','AUTO PA NAI CHAL RAHI',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-06 20:44:06','2020-11-09 22:23:37',null,'1',null,'0');
INSERT INTO complaints VALUES('2204','HASSAN TARIQ','03219152710','HO#262 ST#27 ALI BLOCK PHASE 08 B. TOWN','6','15','27724','LG','0',null,'12-JUNE-2020','1066NEFTW-S - 902','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-06 20:48:33','2020-11-13 22:38:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2205','MUHAMMAD MOAZAM','03315971999','VILLAGE MORA KALO JHAPAN ROAD NEAR BA-ITAL UL ISLAM  MASJID R.W.P','6','15','30059','KENWOOD','0',null,'15-OCT-2020','1010SA - 902','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-06 21:14:11','2020-11-08 21:59:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2206','KHALID JAMEEL','03005311797','HO#21-P ST#25 SEC A  BAHIRA  ENCLAVE ISB','5','33','94033','SIGNATURE','KITCHEN HOOD',null,'01-MAY-2018','MELBOURNE-90 - 1123','BUILT IN APPLLIANCES','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-06 21:22:00','2020-12-24 23:56:42',null,'1',null,'0');
INSERT INTO complaints VALUES('2207','MUHAMMAD FIAZ','03458538188(0315-8538808)','ST#04 MOHALLAH QAMARABAD OPP GORI TOWN PHASE 07','6','13','31331','ECOSTAR','0',null,'20-DEC-2018','32U571 - 936','FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-06 21:29:14','2020-11-12 23:53:12',null,'1',null,'0');
INSERT INTO complaints VALUES('2208','SALEEM KHAN','03455007734','HO#03 ST#13-A SEC C-1 BEHIRA ENCLAVE ISB','5','32','106550','LG','0',null,'28-JUNE-2019','247CABV-S - 909','REFRIGERATOR','COMPRESSOR FAN SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-06 21:33:04','2020-11-13 00:24:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2209','HASSAAN SAB','03477788623','HO#207 ST#116 I-10/4 ISB','9','24','182670','LG','0',null,'08-DEC-2019','2J3QDNP0-S - 1483','WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-06 21:43:58','2020-11-13 00:15:15',null,'1',null,'0');
INSERT INTO complaints VALUES('2210','IFFAT TAQIQ ASLAM','03377288841','HO#90 ST#22  SEC J DHA 02 ISB','9','22','185348','SIGNATURE','0',null,'11-JAN-2020','25BG - 1731','BUILT IN APPLLIANCES','SMOKE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-06 22:12:06','2020-11-09 22:24:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2211','SAYED SHAFIQ','03335768197','HO#06 ST#07 BLOCK A SAWA GARDEN ISB','4','8','14972','HAIER','0',null,'01-JULY-2020','85-826HWM  - 945','WASHING MACHINE','WATER KEEP FILL CAN NOT STOP',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-07 00:11:16','2020-11-07 22:39:56',null,'1',null,'0');
INSERT INTO complaints VALUES('2212','DESTO','03165160887','CHATTAR PARK ISB','8','47','22729','FIVE STAR','MONDAY KO CUSTOMER NA VISIT KA TIME DIA',null,'01-JULY-2020','25G-TWIN-FS - 1966','GEYSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-07 00:35:06','2020-11-15 02:44:24',null,'1',null,'0');
INSERT INTO complaints VALUES('2213','ASIF MEHMOOD','03368422971','HO#25 ARMY OFFICER COLONY OPPOSIT  CHEIF HOUSE JINNAH PARK RWP','5','36','104668','SIGNATURE','BADAL FCI',null,'09-MAY-2019','25CG - 1731','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-07 20:13:29','2020-11-19 23:24:39',null,'1',null,'0');
INSERT INTO complaints VALUES('2214','ASIF MEHMOOD','03368422971','HO#25 ARMY OFFICER COLONY OPPOSIT  CHEIF HOUSE JINNAH PARK RWP','5','36','104668','SIGNATURE','BADAL FCI',null,'09-MAY-2019','SBO-AR4R - 1124','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-11-07 20:17:52','2020-11-11 22:30:50',null,'1',null,'0');
INSERT INTO complaints VALUES('2215','MR ZUBAIR','03335181000','HO#13 ST 61, SEC F-8/4 ISB','5','31','119831','ORIENT','PTCL CALL',null,'27-JULY-2020','18G-HYPER-SW - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-07 20:40:06','2020-11-15 01:58:11',null,'1',null,'0');
INSERT INTO complaints VALUES('2216','ALI SB','03027000068','H NO 79 ST NO 16 SEC I/8-2 ISB','9','19','193906','FIVE STAR','REF TO PTCL',null,'4-AUG-2020','999C-FS - 1965','COOKING RANGE','NOBS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-11-07 20:43:03','2020-11-15 01:54:44',null,'1',null,'0');
INSERT INTO complaints VALUES('2217','QARI RAFIQ','03005200923','H NO 934/A MUSLIM TOWN KHURRAM COLONY RWP','8','37','23746','FIVE STAR','REF TO TAHA SOHAIL',null,'3-NOV-2020','25G-TWIN-SUPREME - 1966','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-11-07 20:47:00','2020-11-12 03:03:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2218','MR BILAL','03085557200','H NO 873 ST NO 27 SEC G\9-1 ISB','5','29','116839','TCL','1912VLR301006A00261 IKHLAQ FCI',null,'29-MAY-2020','28B2520B - 1423','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-07 20:57:39','2020-11-26 21:13:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2219','MH JAVED','03335073330','FLAT#12 BLOCK 15, PHA SEC G-10/2 ISB','9','51','194499','HAIER','0',null,'12-AUG-2020','368IPB - 860','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-07 21:06:29','2020-11-12 22:23:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2220','COL FAROOQ AHMED','03009407179','HO#82A ST 06, IMRAN KHAN AVENUE MAIN DOUBLE ROAD CHAKLALA SCHEME 03 RWP','8','37','0','LG','SADDIQ SAB',null,'OUT OFF VARANTI',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-07 21:40:45','2020-11-24 20:28:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2221','MR SAGHIR MUSHTAQ','03331382296','HO#1546 SERVICE ROAD WEST FLASH 2 SEC G-11 ISB','5','36','123513','HAIER','0',null,'02-NOV-2020','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-07 22:04:49','2020-11-08 21:49:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2222','MALIK NAEEM','03340100007','HO#25 ST#06 SEC B DHA 02 ISB','5','36','120596','SIGNATURE','0',null,'11-AUG-2020','HC-3900G - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-07 22:22:18','2020-11-18 22:47:23',null,'1',null,'0');
INSERT INTO complaints VALUES('2223','KAMAL AHMED','03005115580','HO#75 SHAH ABDUL LATEEF ROAD SEC G-7/2-4 ISB','5','34','73101','LG','0',null,'17-FEB-2016','8507S - 122','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-07 23:14:27','2020-11-13 02:43:48',null,'1',null,'0');
INSERT INTO complaints VALUES('2224','MR ANSAR MALIK','03008502979','HO#433C-1 ST 07, GULRAIZ PHASE 04 RWP','5','34','117385','SONY','0',null,'09-JUN-2020','32W600D-S - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-07 23:30:51','2020-11-11 20:30:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2225','SYED ALI ABBAS SHAH','03028266529','FLAT#6D TOWER 01, ASKARI APP DHA 2 ISB','4','6','15332','LG','0',null,'17-JULY-2020','1766NEFTS-S - 1486','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-07 23:56:04','2020-11-12 20:10:11',null,'1',null,'0');
INSERT INTO complaints VALUES('2226','MR SHARIF','03345881026','HO#319 ST 40, SEC G-9/1 ISB','5','31','51408','LG','MODAL#1091QDP2-122',null,'06-FEB-2013',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-08 00:33:48','2020-11-18 01:14:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2227','MR KASHIF','03455001047','HO#746A ST 83, SEC I-8/4 ISB','8','40','42734','DAWLANCE','0',null,'29-SEP-2020','91998H-SIGNATURE - 958','FREEZER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-08 01:40:29','2020-11-10 21:00:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2228','MH IISHTAQ','03334982505','HO# 80 ZONEM5  EMAAR DHA FACE 5 ISB','8','39','32724','SIGNATURE','0',null,'13-MAR-2019','PERTH-PLUS - 1123','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-08 01:54:05','2020-11-10 20:29:57',null,'1',null,'0');
INSERT INTO complaints VALUES('2229','MH ISHTIAQ','03334982505','HO# 80 ZONEM5 EMAAR DHA FACE 5 ISB','8','39','32724','SIGNATURE','0',null,'13-MAR-2019','SBH-AA901G - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-08 02:02:19','2020-11-10 00:40:37',null,'1',null,'0');
INSERT INTO complaints VALUES('2230','MR HUSNAIN','03005522702','HO#B200 LANE 14, SHAWALE COLONY WAH CANT','7','49','20186','DAWLANCE','0',null,'12-DEC-2019','6000DS-DW - 1550','SPINNER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-08 02:14:31','2020-11-10 02:40:33',null,'1',null,'0');
INSERT INTO complaints VALUES('2231','MH KHURSHID YOUSUF','03315242317','HO#579 ST 110, SEC I-8/4 ISB','5','29','123475','SIGNATURE','MODAL#FB25-N-1127',null,'31-OCT-2020',null,'BUILT IN APPLLIANCES','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-08 02:31:59','2020-12-19 00:48:18',null,'1',null,'0');
INSERT INTO complaints VALUES('2232','MH ALI','03219082246','HO#54 ST 3, SEC F SAFARI VALA 1 BAHARIA TOWN RWP','4','5','2722','SUPER ASIA','SA-245',null,'25-FEB-2018',null,'WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-08 19:20:31','2020-11-12 22:54:40',null,'1',null,'0');
INSERT INTO complaints VALUES('2233','MH SHAHEER','03215666808','HO#43 GULSTAN JINNAH COLONY  OPPOSITE  SARWAY CAMP FAZA BAD RWP','8','39','37914','CANON','0',null,'14-DEC-2019','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-08 20:24:20','2020-11-12 22:56:35',null,'1',null,'0');
INSERT INTO complaints VALUES('2234','MR TARIQ MEHMOOD','03335551013','HO#1586 ST 70, BLOCK B SEC B 17 ISB','8','39','34831','SIGNATURE','0',null,'20-JUN-2019','SBH-AC900G - 1122','BUILT IN APPLLIANCES','THARMAR DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-08 20:35:56','2020-11-26 23:37:10',null,'1',null,'0');
INSERT INTO complaints VALUES('2235','SHEYAN','03005564078','HO#1 ST 12/7 SEC H, BAHRIA INCALIVE ISB','9','51','197439','ORIENT','MODAL# 39HD-ACTION  MAZHAR CHOTA FCP',null,'11-OCT-2020',null,'FLAT PANEL TV','CHANNEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-08 20:47:21','2021-01-20 02:37:51',null,'1',null,'0');
INSERT INTO complaints VALUES('2236','DR SHAFIQUR RAHAMAN','03466403747','HO#496 ST 2 FACE 4C2 GORE TOWN ISB','9','23','142602','SIGNATURE','0',null,'06-NOV-2017','SWH-1708 - 1035','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-08 21:00:31','2020-12-25 00:13:35',null,'1',null,'0');
INSERT INTO complaints VALUES('2237','MR IJAZ','03335512749','HO#K538 JAMMY KHADEREYA MASJID MILAT COLONY RWP','9','51','196356','SAMSUNG','0',null,'17-SEP-2020','58RU7100-MRM - 876','FLAT PANEL TV','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-08 21:22:46','2020-11-10 20:01:15',null,'1',null,'0');
INSERT INTO complaints VALUES('2238','MR USMAN','03455301530','HO#696 ST 47 SEC G-11/2 ISB','5','34','116904','LG','0',null,'30-MAY-2020','502HQHU-S - 896','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-08 21:30:32','2020-12-10 22:40:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2239','MR ZARGHAM ASHRAF','03338634765','APP#401 4TH FLOOR FALCON PLAZA RWP','4','8','16869','SAMSUNG','0',null,'24-OCT-2020','45K5010S8-SZ - 883','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-08 22:38:59','2020-11-11 02:47:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2240','SHAGIUDDIN SHAH','03015097488','HO#293 ST 15 BAHRIA PHASE 8 RWP','9','21','198581','HAIER','0',null,'01-NOV-2020','306EPR-HRF - 859','REFRIGERATOR','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-09 00:28:24','2020-11-12 22:20:36',null,'1',null,'0');
INSERT INTO complaints VALUES('2241','MR DANIAL AHMED','03325029671','HO#1D LANE 4, GREEN VALAS  HADYALA ROAD RWP','8','42','5986','SIGNATURE','0',null,'11-NOV-2018','SWM-JD46 - 945','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-09 00:36:14','2020-11-11 22:09:52',null,'1',null,'0');
INSERT INTO complaints VALUES('2242','AZAM ALVI','0512810352 03008501421','HO#4/1-F ST 50, SEC F-6/4 IDSB','9','22','195463','CORONA','0',null,'27-AUG-2020','351C - 1533','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-09 00:50:35','2020-11-17 21:02:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2243','MR AKBAR KHAN','03217147297','HO#8 ST 6 SEC E, DHA 1 ISB','8','42','5814','ORIENT','ZEESHAN BAHRIA 7',null,'06-NOV-2016','43G6530 - 869','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-09 01:04:22','2020-11-09 21:01:33',null,'1',null,'0');
INSERT INTO complaints VALUES('2244','MR AKBAR KHAN','03217147297','HO#8 ST 6 SEC E, DHA 1 ISB','8','42','5814','ORIENT','ZEESHAN BAHRIA 7',null,'06-NOV-2016','43G6530 - 869','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-09 01:04:22','2020-11-09 21:03:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2245','MR AKBAR KHAN','03217147297','HO#8 ST 6 SEC E, DHA 1 ISB','8','42','5814','ORIENT','ZEESHAN BAHRIA 7',null,'06-NOV-2016','43G6530 - 869','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-09 01:04:22','2020-11-09 21:02:35',null,'1',null,'0');
INSERT INTO complaints VALUES('2246','MR AKBAR KHAN','03217147297','HO#8 ST 6 SEC E, DHA 1 ISB','8','42','5814','ORIENT','ZEESHAN BAHRIA 7',null,'06-NOV-2016','43G6530 - 869','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-09 01:04:22','2020-11-09 20:58:50',null,'1',null,'0');
INSERT INTO complaints VALUES('2247','MR AKBAR KHAN','03217147297','HO#8 ST 6 SEC E, DHA 1 ISB','8','42','5814','ORIENT','ZEESHAN BAHRIA 7',null,'06-NOV-2016','43G6530 - 869','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-09 01:04:22','2020-11-09 20:57:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2248','MR AKBAR KHAN','03217147297','HO#8 ST 6 SEC E, DHA 1 ISB','8','42','5814','ORIENT','ZEESHAN BAHRIA 7',null,'06-NOV-2016','43G6530 - 869','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-09 01:04:23','2020-11-09 20:56:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2249','MR AKBAR KHAN','03217147297','HO#8 ST 6 SEC E, DHA 1 ISB','8','42','5814','ORIENT','ZEESHAN BAHRIA 7',null,'06-NOV-2016','43G6530 - 869','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-09 01:04:23','2020-11-26 21:07:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2250','DR MAJDUDDIN','03044055566','HO#D9A ST 5 GULSHAN COLONY TAXILLA','8','47','21392','SHARP','0',null,'18-APR-2020','612MB-SS2 - 1547','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-09 20:11:02','2020-11-11 20:29:36',null,'1',null,'0');
INSERT INTO complaints VALUES('2251','BILAL','03477287663','HO#1268/A ST#48/2 ALAMA IQBAL COLONY TENCH BHATT R.W.P','9','23','195810','FIVE STAR','0',null,'06-SEP-2020','6000C-FS - 1077','COOKING RANGE','NOB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-09 21:18:20','2020-11-26 21:04:34',null,'1',null,'0');
INSERT INTO complaints VALUES('2252','ALI ISMAEEL','03332483986','HO#284 ST 55, BLOCK C-1 SEC B-17 MOULTIGARDEN  ISB','8','37','132636','DAWLANCE','0',null,'01-MAY-2017','9175WBES-PLUS - 883','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-09 21:49:29','2020-11-17 20:58:48',null,'1',null,'0');
INSERT INTO complaints VALUES('2253','MRS YASEEN MUSTAFA','03335493355','FARM 45/B ST#05 SCKEEM 01 TARIKALAN LATHER ROAD ISB','5','32','123384','HAIER','0',null,'28-OCT-2020','150-1708HWM - 1484','WASHING MACHINE','ERROR E 02',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-09 21:58:04','2020-11-12 22:18:32',null,'1',null,'0');
INSERT INTO complaints VALUES('2254','MRS TARIQ','03009072629','HO#30 ST 101 SEC G-13/1 ISB','5','33','121705','TCL','2007VLR301203A00138',null,'09-SEP-2020','55P8US - 942','FLAT PANEL TV','RAMODE   NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-09 22:04:52','2020-11-24 20:59:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2255','IRFAN','03212416996','HO#81 ST#55 E-11/3 ISB','5','32','116275','HAIER',null,null,'12-MAY-2020','438IDBT - 896','REFRIGERATOR','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-09 22:08:49','2020-11-12 22:15:48',null,'1',null,'0');
INSERT INTO complaints VALUES('2256','ALI RAZA','03334003343','HO#26 ROAD 1 SEC C1, BHARIA ENCLAVE ISB','5','53','123693','HOMAGE','0',null,'07-NOV-2020','81HWD - 993','WATER DISPENSER','COMPRESSOR  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-09 22:32:10','2020-12-05 21:04:13',null,'1',null,'0');
INSERT INTO complaints VALUES('2257','MISS ATEYA EJAZ','03135060046','HO#77 ST 33A, SEC I-10/2 ISB','9','26','198667','CORONA','PTCL CALL',null,'3-NOV-2020','351C - 1533','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-09 23:12:58','2020-11-13 00:09:41',null,'1',null,'0');
INSERT INTO complaints VALUES('2258','MANSOOR ZAIB KHAN','03009567569','HO#6 ST 5, BLOCK H NEW CITY PHASE 2 WAH CANTT','4','6','15868','HAIER','0',null,'13-AUG-2020','85-12826HW - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-09 23:26:53','2020-11-12 22:13:40',null,'1',null,'0');
INSERT INTO complaints VALUES('2259','ABDUAL KADAR','03325030309','HO#17 ST 1 BLOCK A, NEW CITY PHASE 2 WAH CANNT','4','11','16069','LG','0',null,'24-AUG-2020','4V5RYP2T-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-09 23:51:40','2020-11-23 21:11:50',null,'1',null,'0');
INSERT INTO complaints VALUES('2260','SYED NASIRULHASAN','03335172379','HO#112 MAIN STEET FAZAL TOWN FACE 1 NEAR SHAK HALID COLONY RWP','9','19','196782','CORONA','SAIF ULLAH FCP',null,'27-SEP-2020','351C - 1533','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-10 00:09:41','2020-11-17 20:49:19',null,'1',null,'0');
INSERT INTO complaints VALUES('2261','ADIL FHSS','03403339967','FRIENDS HOME SHAMSHABAD R.W.P','8','38','26020','SIGNATURE','FHHS SHOWROOM MAIN VISIT KARWANA HAIN',null,'14-FEB-2018','24DN6 - 934','FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-10 00:36:58','2020-11-18 02:09:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2262','MR RAIZ','03445141026','HO#17 ST 3 MUHMADE TOWN SUHAN MAIN SERVICE ROAD  FAZA BAD RWP','9','23','165236','FIVE STAR','0',null,'27-JAN-2019','35G-TWIN-FS - 1759','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-10 00:49:16','2020-11-18 21:22:12',null,'1',null,'0');
INSERT INTO complaints VALUES('2263','MR IMTAIZ HUSSAIN','03005104303','HO#1059 ST 43, SEC G-11/2 ISB','5','31','86494','SAMSUNG','PTCL CALL(INVOICE HAIN )',null,'17-JUL-2017','50K5010S8 - 90','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-10 01:14:10','2020-12-24 23:56:03',null,'1',null,'0');
INSERT INTO complaints VALUES('2264','MR SAAD RAEES','03053196455','HO#60 ST 1A AFZAL TOWN CHAKLALA SCREEM  3 RWP','7','49','22103','ORIENT','531OWD-DARK',null,'05-NOV-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-10 01:44:28','2020-11-11 21:27:03',null,'1',null,'0');
INSERT INTO complaints VALUES('2265','ARSALAN','03158525591','APP#109 CENTURUS MALL ISB','5','34','123562','HAIER','0',null,'03-NOV-2020','80-10829HW - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-10 02:11:18','2020-11-12 01:21:13',null,'1',null,'0');
INSERT INTO complaints VALUES('2266','MR AHMER','03327780602','HO#382 ST 87, SEC G-9/2 ISB','5','33','123140','MITSUBISHI','0',null,'21-OCT-2020','50VA - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-10 02:35:34','2020-12-05 20:39:51',null,'1',null,'0');
INSERT INTO complaints VALUES('2267',null,null,null,'4',null,null,'DAWLANCE','0000',null,null,'550AF-DW - 1200','MICROWAVE OVEN','Timer issue',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-11-10 05:07:34','2020-11-19 22:22:06',null,'1',null,'0');
INSERT INTO complaints VALUES('2268','SIRAJ ALI','03000505538','HO#245 ST 31, SEC G-8/2 ISB','5','33','115035','HAIER','0',null,'27-FEB-2020','18HRV-W-INV - 915','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-10 20:00:38','2020-11-12 22:11:13',null,'1',null,'0');
INSERT INTO complaints VALUES('2269','BASHARAT MEHBOOB','03018245274','HO#DK560  KULZARENA HOUSE DHOK PARACHA RWP','9','26','134375','SIGNATURE','MAZHAR CHOTA FCP',null,'21-MAY-2017','SWM-SR45 - 899','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-10 20:11:23','2020-11-21 20:12:38',null,'1',null,'0');
INSERT INTO complaints VALUES('2270','MALIK NAEEM','03340100007','HO#25 ST#06 SEC B DHA 02 ISB','5','36','120596','SIGNATURE','HOB',null,'11-AUG-2020','SBH-AC900S - 1122','BUILT IN APPLLIANCES','IGNITION PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-10 20:14:08','2020-11-18 21:21:31',null,'1',null,'0');
INSERT INTO complaints VALUES('2271','MH ZABID','03445060606','HO#92 ST 06  TRAIDAR COLONY AKBAR NAYAZI  HOSPITAL  BARAKOH ISB','5','29','121965','SIGNATURE','0',null,'16-SEP-2020','3710 - 1122','BUILT IN APPLLIANCES','NOT WORKING HOB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-10 20:26:39','2020-11-18 01:12:05',null,'1',null,'0');
INSERT INTO complaints VALUES('2272','BILAL JANJUA','03009585929','HO#20 ST#13 3RD AVENUE DHA 01 ISB','8','37','Invoice # 1015','MITSUBISHI','PTCL CALL',null,'15-JUN-2020','35VA - 913','AIR CONDITIONER','COOLING # HEATING ISSUE 2 AC MAY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-10 20:43:11','2020-11-17 20:16:37',null,'1',null,'0');
INSERT INTO complaints VALUES('2273','AYSHA','03018233207','HO#D-69/2 AIR HEAD QUARTER SEC E 9 PAF COMPLEX','5','36','86004','SIGNATURE','0',null,'01-JULY-2017','SRF-SY25D - 860','REFRIGERATOR','NOT WORKING+LIGHT PROB(INVOICE HAIN. )MIRZA AFFAN K NAAM SA',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-10 20:43:32','2020-11-19 21:16:02',null,'1',null,'0');
INSERT INTO complaints VALUES('2274','MR ASHER','03335656887','HO#1F ST 36 FACE 2 MARGALLA TOWN ISB','8','40','39648','LG','0',null,'11-MAY-2020','1066NEFTW-S - 902','WASHING MACHINE','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-10 21:23:43','2020-11-13 02:42:47',null,'1',null,'0');
INSERT INTO complaints VALUES('2275','MALIK NAEEM','03340100007','HO#25 ST#06 SEC B DHA 02 ISB','5','36','120596','SIGNATURE','KITCHEN HOOD',null,'11-AUG-2020','SBC-MELBURNE90PLUS-SS - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-10 21:29:13','2020-11-21 20:12:06',null,'1',null,'0');
INSERT INTO complaints VALUES('2276','HASAN ZULNOON','03000883561','HO#1 ST 1 GREEN AVINEW NEAR  BANIGALA  ROAD ISB','5','53','120244','SAMSUNG','MODAL#62R5001-SZ',null,'05-AUG-2020',null,'REFRIGERATOR','BOX ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-10 21:40:15','2021-01-24 22:12:26',null,'1',null,'0');
INSERT INTO complaints VALUES('2277','MUZAMIL SHAH','03339131522','HO#148 ST 34, SEC I-8/2 ISB','9','26','155763','HAIER','0',null,'19-JULY-2018','345SD - 149','FREEZER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-10 21:56:48','2020-11-14 21:14:58',null,'1',null,'0');
INSERT INTO complaints VALUES('2278','GUL KHATAB KHAN','03335182639','HO#224 NEW SCKEEM MOHAN PURA R.W.P','8','38','31134','SIGNATURE','PTCL CALL',null,'9-DEC-2018','SWH-1805 - 1031','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-10 22:06:10','2020-11-13 21:38:06',null,'1',null,'0');
INSERT INTO complaints VALUES('2279','NAVEED SAB','03102051980','PF BIAS SAMUKHALI QUE ETA ISB','5','33','122479','KENWOOD','2444H1-INV-595 FLOOR STANDING',null,'02-OCT-2020',null,'AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-10 22:17:48','2020-11-14 21:12:00',null,'1',null,'0');
INSERT INTO complaints VALUES('2280','MR IMRAN','03215310332','HO#39 ST 39, SEC I-8/2 ISB','5','32','96097','KENWOOD','PTCL CALL',null,'10-JULY-2018','1012SA - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-10 22:20:27','2020-11-12 22:38:51',null,'1',null,'0');
INSERT INTO complaints VALUES('2281','MR SHEHZAD KHAN','03219524922','HO#510 ST 19 SEC A ASKARI 14 RWP','6','14','18782','LG','SALE ADVISOR MANZAR YASIN',null,'10-JAN-2019','7566NEFPF-S - 901','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-10 22:32:25','2020-11-21 00:38:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2282','MR MUKHTIAR','03465047325','PAKISTAN MARBAL FACTORY CHAK MADAD KHAN DHOK KASU  RWP','9','51','198176','TCL','2003VLR301119A00879',null,'25-OCT-2020','32D310 - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-10 22:50:18','2020-11-14 21:17:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2283','SHAFIQUE BAIG','03325556675','HO#J2043A ST 32 CAN HALL SCHOOL LAYAKAT BAKJ CHOCK RWP','9','27','184680','DAWLANCE','WAQAS FCP',null,'29-DEC-2019','10500DW - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-10 23:17:55','2020-11-12 22:32:26',null,'1',null,'0');
INSERT INTO complaints VALUES('2284','MR IHSAN','03335245952','HO#6 ASKARI 7 ADYALA ROAD RWP','4','6','11462','FIVE STAR','SALE ADVISOR SALEEM',null,'20-NOV-2019','900C-FS - 1965','COOKING RANGE','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-10 23:32:25','2020-11-24 19:49:03',null,'1',null,'0');
INSERT INTO complaints VALUES('2285','ADIL FHSS','03403339967','FRIENDS HOME SHAMSHABAD R.W.P','8','38','0','SONY','0',null,'0','65X8077G-S - 1443','FLAT PANEL TV','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-10 23:40:42','2020-11-21 00:37:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2286','BIRG KHALID','03155231969','HO#1D BLOCK 1 SCE B ASKARI 14 RWP','4','10','142717','DAWLANCE','0',null,'08-NOV-2017','170G2-DW - 899','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-11 00:00:26','2020-11-12 22:35:19',null,'1',null,'0');
INSERT INTO complaints VALUES('2287','MRS AWAIS','03335195610','FLAT 2 PLOT 370P NPF PWD ISB','4','5','16911','HAIER','KHURRAM GOOGLE',null,'27-OCT-2020','438IDBT - 896','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-11 00:18:56','2020-11-11 22:08:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2288','MR HAMAD','03005045946','ADARA JAMAY-E- ALUM SURAYEA VISTIG  2  RWP','8','42','183956','SIGNATURE','PTCL CALL',null,'16-DEC-2019','SWH-1907 - 125','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-11 00:31:29','2020-11-12 02:45:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2289','MH MAQBOOL','03332272714','HO#10 ST 25 SEC A DHA 2 ISB','6','16','21098','HAIER','SALE ADVISOR SHAYYAN',null,'11-APR-2020','100AS-WM - 69','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-11 00:43:00','2020-11-12 01:25:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2290','MR ZAFAR','03365051580','HO#22 ST 10 SEC D DHA 2 ISB','6','15','23671','LG','0',null,'24-OCT-2019','3965BIS-S - 1984','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-11 01:13:59','2021-02-17 12:06:47',null,'1',null,'0');
INSERT INTO complaints VALUES('2291','SAJJAD AHMED','03448351900','PAKISTAN TOBACCOO COMPANY LEAF DEPOT KUNJAH MAIN SARGODHA ROAD KUNJAH DIS GUJRAT','8','47','22555','SAMSUNG','08CR36PN400045W',null,'17-JULY-2020','55RU7400-MRM - 942','FLAT PANEL TV','PANAL DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-11 02:05:55','2020-11-14 21:38:17',null,'1',null,'0');
INSERT INTO complaints VALUES('2292','ABDUL SALAM BUTT','03335645963','HO#1297 ST 2, DHOKE FARMAN ALI RWP','9','20','90670','HAIER','0',null,'18-JUN-2014','85-7288 - 69','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'92','2020-11-11 02:33:07','2020-11-18 21:00:35',null,'1',null,'0');
INSERT INTO complaints VALUES('2293','MR ZARGHAM ASHRAF','03338634765','APP#401 4TH FLOOR FALCON PLAZA RWP','4','8','16869','SAMSUNG','ODTU4DAMB00004',null,'24-OCT-2020','45K5010S8-SZ - 883','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-11 02:47:07','2020-11-18 20:57:12',null,'1',null,'0');
INSERT INTO complaints VALUES('2294','JAWAD','03008553289','HO#103 ST B2, NATIONAL HOUSING SOCIETY FASE 2 RWP','9','20','181111','FIVE STAR','0',null,'07-NOV-2019','25G-TWIN-SUPREME - 1966','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-11 02:53:45','2020-11-18 20:54:58',null,'1',null,'0');
INSERT INTO complaints VALUES('2295','RAJA SAB','03458439561','HO#278 ST 2 SEC CHOR  CHOCK RWP','9','19','198902','HAIER','0',null,'08-NOV-2020','120-826 - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-11 03:06:10','2020-11-12 22:06:51',null,'1',null,'0');
INSERT INTO complaints VALUES('2296',null,null,null,'5',null,null,'KENWOOD',null,null,null,'24457VCM GDN','REFRIGERATOR','Door Adjustment Problem',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-11-11 03:18:46','2020-11-28 21:51:18',null,'1',null,'0');
INSERT INTO complaints VALUES('2297',null,null,null,'8',null,null,'DAWLANCE',null,null,null,'MD4-N - 960','MICROWAVE OVEN','On off problem',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'96','2020-11-11 05:24:34','2020-11-19 22:39:00',null,'1',null,'0');
INSERT INTO complaints VALUES('2298',null,null,null,'8',null,null,'DAWLANCE',null,null,null,'162HZP - 1602','MICROWAVE OVEN','Pack unit ma sa pelaet nai nikly',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'96','2020-11-11 05:26:47','2021-01-19 00:04:05',null,'1',null,'0');
INSERT INTO complaints VALUES('2299',null,null,null,'8',null,null,'MITSUBISHI',null,null,null,'50VA - 915','AIR CONDITIONER','Pc board problem',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'96','2020-11-11 05:27:20','2021-01-19 20:45:57',null,'1',null,'0');
INSERT INTO complaints VALUES('2300','MR HAYYAT','03009540350','HO#33 LANE 5, NEW LALAZAR NEAR FOUNDATION UNIVERSTY RWP','4','6','21901','WELCOME','35G TWIN HEAVY',null,'28-SEP-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-11 19:43:59','2020-11-27 23:29:44',null,'1',null,'0');
INSERT INTO complaints VALUES('2301','IFTIKHAR AHMAD','03465020706 03245020706','HO# 7 ST 221, JINNAH GARDEN FACE 1 ISB','9','51','175554','TCL','1905VLR300369ADO800 PTCL CALL',null,'20-JULY-2019','40S6500 - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-11 20:09:40','2020-11-24 20:47:35',null,'1',null,'0');
INSERT INTO complaints VALUES('2302','HAROON ALTAF','03005124337','HO# 770 ST NO 11 SEC G/11-1 ISB','5','34','119343','SIGNATURE','0',null,'17-JULY-2020','SCF-HM09 - 954','FREEZER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-11 20:39:32','2021-01-24 00:31:41',null,'1',null,'0');
INSERT INTO complaints VALUES('2303','RIZWA  BEHIRA','03126661934','FRIENDS CORPORATION  PHASE 07 B.TOWN','6','12','0','DAWLANCE','0',null,'0','7500C-DW - 1548','WASHING MACHINE','SPINNER LOCK DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-11 21:26:18','2020-11-17 22:05:23',null,'1',null,'0');
INSERT INTO complaints VALUES('2304','RAFIQ MUGHAL','0336-5122235 (03005257289)','HO#613D ST 24 G-6/2 ISB','5','31','112196','SAMSUNG','0',null,'14-DEC-2019','11J5710-S - 905','WASHING MACHINE','4C ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-11 22:26:26','2020-11-12 23:29:56',null,'1',null,'0');
INSERT INTO complaints VALUES('2305','AZEEM SAB (STOCK)','03315420488','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','50','0','WHIRLPOOL','25BG MODEL',null,'0',null,'MICROWAVE OVEN','PLATE DAMAGE',null,'5','COMPLIANT CLOSED',null,'customer','0',null,'74','2020-11-11 22:42:31','2020-11-18 01:10:44',null,'1',null,'0');
INSERT INTO complaints VALUES('2306','MASOOD MEHMOOD','03325321668','HO#277/A OFFICER COLONY PHASE 05 WAH CANTT','9','19','147167','CORONA','0',null,'10-FEB-2019','C205 - 14','COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-11 22:54:20','2020-11-20 01:48:36',null,'1',null,'0');
INSERT INTO complaints VALUES('2307','AHMED FRAZ','03164763873','POLICE FOUNDATION PWD ST# 1 ISB','4','8','15857','TCL','1912VLR301011ADD245',null,'12-AUG-2020','40D3000 - 938','FLAT PANEL TV','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-11 23:01:22','2020-11-24 20:36:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2308','MAIN MUDASIR(RAFIQ)','03008562094(03218562094)','HO#187 SEC F PHASE 01 DHA','9','20','164852','FIVE STAR','2 GEYSER HAIN',null,'17-JULY-2019','35G-SUPREME - 963','GEYSER','LEAKAGE PROB + 2ND DEAD PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-11 23:11:56','2020-11-27 23:59:55',null,'1',null,'0');
INSERT INTO complaints VALUES('2309','BABER NAZIR','03459600955','DHOK JALANI F. G BOYS PRIME SCHOOL BARA KAHO ISB','5','28','118268','GREE','0',null,'26-JUNE-2020','12FITH1S - 913','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-11 23:18:06','2020-11-14 21:04:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2310','HAMMAD FCP','03455104405','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','24','0','HAIER','AZEEM SAB K ACCOUNT PA ENTER HOI',null,'0','3C-HWD - 994','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-11 23:38:22','2020-11-20 01:40:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2311','ABDUL MANNAN','03355111700','HO#48 NEAR SANJANI PLAZA D-17/2 ISB','5','30','123515','BOSCH','0',null,'02-NOV-2020','24462GC - 902','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-12 00:18:54','2020-11-19 21:21:24',null,'1',null,'0');
INSERT INTO complaints VALUES('2312','HASHAM MUGHAL','03085100690(03335100690)','HO#262 C ST#31 G-6/2 ISB','5','30','112905','LG','0',null,'15-DEC-2019','3H20NTP-S - 1561','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-12 00:28:36','2020-11-17 20:18:33',null,'1',null,'0');
INSERT INTO complaints VALUES('2313','AYESHA','03028506614','HO#1553 ST#18- BLOCK C 1 NATIONAL POLICE FOUNDATION ISB','4','10','12122','HAIER','0',null,'15-DEC-2019','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-12 00:41:08','2020-11-14 20:22:19',null,'1',null,'0');
INSERT INTO complaints VALUES('2314','M. TANVEER','03331471219','HO#733 ROAD C PHASE 04','4','9','17030','HAIER','0',null,'05-NOV-2020','85-7288 - 69','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-12 01:10:24','2020-11-14 21:00:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2315','JIBRAN','03315183749','HO#J 477 ST#02 DHOKE ELLAHI BAKSH R.W.P','9','19','181073','SIGNATURE','PTCL CALL',null,'06-NOV-2019','SWH-1910 - 1365','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-12 01:35:40','2020-11-13 02:39:02',null,'1',null,'0');
INSERT INTO complaints VALUES('2316','TAHIR ASLAM','03365014016','HO#18- ST 13, F-7/2 ISB','5','28','8673','SIGNATURE','PTCL CALL INVOICE HAY',null,'27-MAR-2019','SCF-HM08 - 954','FREEZER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-12 02:14:02','2020-11-19 21:11:47',null,'1',null,'0');
INSERT INTO complaints VALUES('2317','TARIQ FCI','03005566006','FRIENDS CORPORATION BULE AREA ISB','5','31','121828','MITSUBISHI','CUSTOMER SHOWROOM PA UNIT DROP KAR  K GAY HAIN',null,'12-SEP-2020','35VA - 913','AIR CONDITIONER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-12 02:21:50','2020-11-21 22:25:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2318','MR AMIR','03365510211','SHOP#2 PALAZA 118  BEHAIR BY FARAHA WALAITE  COMPLEX PHASE 7 BAHRIA TOWN RWP','6','15','25238','HAIER','0',null,'22-DEC-2019','24HNI-W-INV - 917','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-12 02:34:13','2020-11-14 19:39:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2319','AHMAR','03327780602','HO#382 ST#87 G-9/4 ISB','5','34','121959','SAMSUNG','85Q80T-MRM-1128',null,'16-SEP-2020',null,'FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-12 02:40:15','2020-11-12 23:26:04',null,'1',null,'0');
INSERT INTO complaints VALUES('2320','MRS  ABDULLAH','03175025782','HO#34 LANE 4 SEC D, DHA 2 ISB','6','14','17414','GREE','0',null,'01-DEC-2018','18CITH12G - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-12 02:45:54','2020-11-14 20:03:27',null,'1',null,'0');
INSERT INTO complaints VALUES('2321',null,null,null,'5',null,null,'Canon',null,null,null,'204B','WATER DISPENSER','Heating Issues',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'95','2020-11-12 03:58:53','2020-11-28 21:50:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2322','MR SOHAIL MANZOOR','03005004818','HO#61A ST 1, DOCTER TOWN PWD ISB','4','10','17074','LG','SALE ADVISOR WALEED',null,'08-NOV-2020','2J3QDNP0-S - 1483','WASHING MACHINE','NOT WORKING',null,'5','COMPLIANT CLOSED',null,'customer','0',null,'92','2020-11-12 19:43:02','2020-11-18 01:09:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2323','MR SYED AHMAD','03335203546','HO#13 ST 32, SEC F-8/1 ISB','5','30','104300','SAMSUNG','0',null,'01-MAY-2019','90K6410 - 1855','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-12 19:59:34','2021-01-10 22:16:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2324','MR RAB NAWAZ','03335340992','HO#72 LANE 3, CHAKLALA SCHEME 1 RWP','5','36','123346','SIGNATURE','MODAL C595',null,'27-OCT-2020',null,'COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-12 20:15:17','2020-11-17 22:41:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2325','UMAR','03155182799','HO#135 ST#31 I-10/4 NEAR FAMILY HELTH HOSPITAL','8','37','432','SIGNATURE','SCF HM09(PTCL CALL) INVOICE HAIN)',null,'08-MAY-2020','204B','REFRIGERATOR','RELAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-12 20:15:53','2020-11-23 21:09:00',null,'1',null,'0');
INSERT INTO complaints VALUES('2326','MR SHARAZ','03235168188','HO#13 ST 1, ZUBAIR SHAH ROAD KASHMIR HAYIWAY ISB','9','19','146734','HAIER','0',null,'30-JAN-2018','70-14636 - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-12 20:27:48','2020-11-14 19:51:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2327','ANJUM NAZ','03335116959','HO#44 SAFARI VILLAS 02 PHASE 07 B. TOWN','6','12','12311','LG','PTCL CALL(INVOICE HAIN )',null,'10-JAN-2018','4J6TMP0W-C - 1850','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-12 20:32:15','2020-11-21 20:11:27',null,'1',null,'0');
INSERT INTO complaints VALUES('2328','RAJA IMRAN','03005198207','HO#239 ST 2, BLOCK D FACE 8 RWP','6','13','28466','HAIER','0',null,'17-JULY-2020','95-1678HWM - 1817','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-12 20:35:54','2020-11-14 19:53:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2329','JAMSHED BUKHARI','03018553046','HO#240 ST 31, PARK INCLAVE 1 ISB','8','39','36458','SIGNATURE','0',null,'29-AUG-2019','SBC-KANGROO 90 - 1123','BUILT IN APPLLIANCES','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-12 20:44:32','2020-11-27 01:35:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2330','DR ALLAHYAR','03008529395','HO#23 ST 6, SEC C DHA 2 ISB','9','51','193487','SONY','SAQIB FCP',null,'24-JULY-2020','55X8500G-CC - 942','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-12 21:27:11','2020-11-19 21:19:52',null,'1',null,'0');
INSERT INTO complaints VALUES('2331','SHAMOON BAIG','03225120978','HO#1027-A ST#01 BLOCK C NPF O  ISB','6','12','29918','SIGNATURE','SWH-20-07-1660',null,'07-OCT-2020',null,'GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-12 22:17:37','2020-11-13 02:37:16',null,'1',null,'0');
INSERT INTO complaints VALUES('2332',null,null,null,'6',null,null,'KENWOOD','00000',null,null,'1826S-INV - 915','AIR CONDITIONER','OUT DOOR GAS LEAKAGE...
3SRI DFA YEH OUTDOORT SERVICE JA RHA HEI',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-11-12 22:20:07','2020-11-19 22:58:10',null,'1',null,'0');
INSERT INTO complaints VALUES('2333','JAMAL UDDIN','034500110','KHADIJA FARMS JHAPAN ROAD OPP NAVAL ANCHORAGE GEAT HIGHWAY ISB','4','6','8377','LG','0',null,'14-APR-2019','702HMHU-S - 885','REFRIGERATOR','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-12 22:26:43','2020-12-19 23:25:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2334','OMER','03075780666','HO#1015 ST#45 PHASE 07 B TOWN','6','16','8107','SIGNATURE','0',null,'23-APR-2017','SWM-JD51 - 902','WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-12 22:32:24','2020-11-14 22:00:33',null,'1',null,'0');
INSERT INTO complaints VALUES('2335','MHAMMAD KHALID','03018561161','HO#911 ST#51 PHASE 02 BEHIRA TOWN','6','12','6756','LG','C/O KHURRAM SIR(INVOICE HAIN)',null,'14-JAN-2017','842HLPL-S - 910','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-11-12 22:57:10','2020-11-21 20:10:57',null,'1',null,'0');
INSERT INTO complaints VALUES('2336','MR COL TANVEER','03315456606','HO#119 ST#10 DEFANCE VILLAS PHASE 07 B TOWN','6','14','18198','LG','0',null,'09-DEC-2018','1466NEFTFW-S - 1212','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-12 23:23:11','2020-11-21 00:37:48',null,'1',null,'0');
INSERT INTO complaints VALUES('2337','CAB INTERNATIONAL','03365133689','DATTA GANG BAKASH ROAD 1-A 6TH ROAD   SAT-LITE TOWN R.W.P','8','38','41753','CORONA','0',null,'12-AUG-2020','505C - 1815','COOKING RANGE','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-12 23:45:07','2020-11-14 22:15:40',null,'1',null,'0');
INSERT INTO complaints VALUES('2338','KAMRAN','03125554555','HO#240 ST#$04 GORI TOWN VIP ISB','8','38','41773','HAIER','0',null,'12-AUG-2020','95-1678HWM - 1817','WASHING MACHINE','WATER  DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-12 23:52:17','2020-11-14 19:55:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2339','SULTAN MUNWAR','03345073062','HO#57 ST#35-A I-9/4 ISB','5','35','122628','ECOSTAR','351FC-1113',null,'06-OCT-2020',null,'WATER DISPENSER','NO WATER HEATING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-13 00:01:29','2020-11-14 22:13:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2340','UMAIR','03115142771','VILLAGE SAGARI MORA NAJJAR THE KALAR SAYDHA &DISTRICT R.W.P','9','23','198987','HAIER','0',null,'09-NOV-2020','85-7288 - 69','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-13 01:04:45','2020-11-14 23:04:31',null,'1',null,'0');
INSERT INTO complaints VALUES('2341','SHOAIB','03465820248','HO#535 ST#64G-11/2 ISB','5','31','43079','DAWLANCE','0',null,'18-OCT-2020','MD10 - 960','MICROWAVE OVEN','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-13 01:19:22','2020-11-14 23:19:04',null,'1',null,'0');
INSERT INTO complaints VALUES('2342','HUMAIRA ZAHID','03335475473','FLAT#46 -C LANE 04 ASKRI 02 CHAKLALA SCKEEM 03 R.W.P','8','42','43432','SONY','0',null,'08-NOV-2020','40W650D-CC - 938','FLAT PANEL TV','REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-13 01:24:19','2020-11-19 21:09:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2343','BILAL AHMED','03335450563','HO#148 ST 5, BLOCK C MEDIA TOWN ISB','4','7','16393','GREE','MODAL 9978EG-CW1 SAMIULLAH PWD',null,'20-SEP-2020',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-13 01:47:46','2020-11-19 22:35:42',null,'1',null,'0');
INSERT INTO complaints VALUES('2344','MRS HAROON','03008541235','HO#69 ST#03 SEC E-11/3 ISB','5','30','1126311','HAIER','C/O IKHLAQ SAB (INVOICE CUSTOMER NA SHER KI)',null,'15-DEC-2019','18HNF-INV-G  - 915','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-13 01:53:48','2020-11-14 23:08:56',null,'1',null,'0');
INSERT INTO complaints VALUES('2345','SHAHID BASHIR','03004536946','HO#82 ST 3, SEC G-10/2 ISB','9','23','142425','SIGNATURE','0',null,'2-NOV-2017','SWM-SR50 - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-13 02:20:41','2020-11-17 19:56:42',null,'1',null,'0');
INSERT INTO complaints VALUES('2346','SOHAIB','03465820248','HO#535 ST#64 G11/2 ISB','5','31','43079','TCL','1910VLR3000855700081',null,'18-OCT-2020','32S65A - 936','FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-13 02:29:46','2020-11-26 20:36:52',null,'1',null,'0');
INSERT INTO complaints VALUES('2347','MR SALEEM','03215379919','HO#12 ST 16, SEC H DHA FACE 2 ISB','6','14','22771','HAIER','0',null,'4-JULY-2020','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-13 02:54:35','2020-11-14 22:17:34',null,'1',null,'0');
INSERT INTO complaints VALUES('2348','MEHMOOD BAIG','03008202082','HO#271 ST#37 G-9/1 ISB','5','28','93500','SIGNATURE','0',null,'17 APRIL-2018','SBH-AA800S - 1122','BUILT IN APPLLIANCES','BURNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-13 20:17:09','2020-11-24 20:16:38',null,'1',null,'0');
INSERT INTO complaints VALUES('2349','DR SHAFIQ','03345033238','HO#219 ST#21 BLOCK D PWD R.W.P','4','5','11715','HOMAGE','PTCL CALL(INVOICE HAIN )',null,'08-DEC-2019','83HWD - 993','WATER DISPENSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-13 20:26:56','2020-11-21 22:06:50',null,'1',null,'0');
INSERT INTO complaints VALUES('2350','M. IMTAIZ','03335144295','HO#1086 ST#44 SEC F-17/2 (TELEGARDEN)FATEHJANG ROAD ISB','9','19','162616','FIVE STAR','0',null,'09-DEC-2018','35G-FS - 1759','GEYSER','ON OFF PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-13 20:42:04','2020-11-21 22:03:27',null,'1',null,'0');
INSERT INTO complaints VALUES('2351','BRIG TQUQEER ALAM','03215144650','HO#03 ST#12 SEC A DHA 01','9','24','145823','SIGNATURE','0',null,'10-JAN-2018','SVF-CG1SS - 956','FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-13 20:47:49','2020-11-18 01:05:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2352','MRS ABIDA PARVEEN','03009502091','HO#95 B ST#34 F-10/1 ISB','8','37','29002','TCL','0',null,'04-AUG-2018','55S62 - 942','FLAT PANEL TV','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-13 21:05:53','2020-11-14 19:54:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2353','COL ASIF','03325314233','HO#73- G-ST#23 SEC A BEHIRA ENCLAVE ISB','9','23','195391','MITSUBISHI','PTCL CALL(INVOICE HAIN )',null,'26-AUG-2020','50VA - 915','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-13 21:26:19','2020-11-21 21:50:26',null,'1',null,'0');
INSERT INTO complaints VALUES('2354','AHMER SAHIB','03159090747','HO#102 ST#16 SAFARI VILLAS 01 B TOWN','4','10','16767','SONY','0',null,'17-OCT-2020','49W800G-C - 1629','FLAT PANEL TV','SETTING+ DISPLAY HANGING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-14 00:04:23','2020-11-29 02:59:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2355','MAJ ASIF','03005163433','HO#67 ST#01 OVERSEES 02 PHASE 08 B TOWN','6','12','23146','TCL','1903VLR300798A00068',null,'21-SEP-2019','40P62US - 938','FLAT PANEL TV','LINE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-14 00:23:59','2020-12-31 21:54:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2356','HASSAIN RAZA','03458502544','HO#10 C ST#64 F-8/4 ISB','5','28','0','LG','FROUNT LOUD(C/O SADDIQ SAB)',null,'12-YEAR AGO',null,'WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-14 00:27:05','2020-11-23 20:51:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2357','ADNAN AHMED SADDIQ','03335522508','HO#D1/2 ARF COLONY  CHINA BLOCK KAMARA','9','23','198917','CARAVELL','204B',null,'08-NOV-2020',null,'WATER DISPENSER','COLD TYPE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-14 01:02:27','2020-12-25 00:33:42',null,'1',null,'0');
INSERT INTO complaints VALUES('2358','DR NADEEM SARWAR','03335105217','HO#04 ST#50 SEC F-7/4 ISB','5','36','123173','CORONA','0',null,'21-OCT-2020','505C - 1815','COOKING RANGE','THERMOSTAT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-14 02:10:45','2020-11-21 21:24:52',null,'1',null,'0');
INSERT INTO complaints VALUES('2359','BILAL FHHS','03120578711','FRIENDS HOME SHAMSHABAD R.W.P','8','41','0','SONY','65X8500G',null,'0',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-14 20:04:24','2021-02-17 12:03:16',null,'1',null,'0');
INSERT INTO complaints VALUES('2360','SAJID GODOWN','03135978937','FRIENDS HOME SHAMSHABAD R.W.P','8','38','0','SONY','65X7500-H',null,'0',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-14 20:07:12','2020-11-17 22:29:09',null,'1',null,'0');
INSERT INTO complaints VALUES('2361','AYUB ALVI','03008544128','H NO 900 ST NO 90 SEC I/8-4 ISB','5','32','92600','SIGNATURE','0',null,'21-MAR-2018','SRF-KK95G - 903','REFRIGERATOR','4 DOOR REF HAIN 
DOOR MAIN ISSUE HAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-14 20:18:48','2021-01-08 02:56:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2362',null,null,null,'13',null,null,'ORIENT',null,null,null,'12G-ORBIT - 913','AIR CONDITIONER','In door damig',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2020-11-14 20:28:31','2020-12-29 20:49:03',null,'1',null,'0');
INSERT INTO complaints VALUES('2363','SAFIUDDIN','03225107417','H NO 823 ST NO 85 SEC I/8-4 ISB','8','38','0','SIGNATURE','AGAIN COMPLAINT AAI HAIN TASK#19947(PTCL CALL)',null,'3 YESR AGO','SRF-KK95G - 903','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-14 20:54:58','2020-11-17 22:27:56',null,'1',null,'0');
INSERT INTO complaints VALUES('2364','ABDUL HAFEEZ KHAN','03170504205','HO#28/5 NAZIM UD DIN ROAD F6/4ISB','9','26','196457','SAMSUNG','0',null,'20-SEP-2020','80J4260-S - 899','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-14 21:23:19','2020-11-17 21:36:32',null,'1',null,'0');
INSERT INTO complaints VALUES('2365','RAJA NAEEM SAB','03005205852(03325839857)','ABDUL RAHEEM GALI CITY PLACE  GUJAR KHAN','9','22','198614','CARAVELL','207BA',null,'02-NOV-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-14 21:41:28','2021-01-02 01:20:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2366','AHMAD','03005166666','HO#736 IBNA SINA ROAD G-11/2 ISB','5','33','120962','ORIENT','0',null,'18-AUG-2020','AUTO8 - 899','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-14 22:30:09','2020-11-19 01:25:59',null,'1',null,'0');
INSERT INTO complaints VALUES('2367','SHARIYAR','03005157127','HO#07 ST#60 F-6/3 ISB','5','36','102576','SIGNATURE','BU-LIT IT OVEN',null,'04-MAY-2019','MM9R - 1124','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-14 22:35:11','2020-11-24 20:15:56',null,'1',null,'0');
INSERT INTO complaints VALUES('2368','ALI BUKHARI','03217860072','HO#298 ST#38 G-9/1 ISB','5','29','121815','SIGNATURE','HOB',null,'12-SEP-2020','3710 - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-14 22:41:10','2020-11-17 22:38:18',null,'1',null,'0');
INSERT INTO complaints VALUES('2369','HABIB SAB','03336184062','HO#827 ST#18 OVER SEAS  03 PHASE 08 B.TOWN','6','12','30396','HAIER','0',null,'09-NOV-2020','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-14 23:07:10','2020-11-17 20:03:16',null,'1',null,'0');
INSERT INTO complaints VALUES('2370','SYED MUZAMIL','03305165353','ST#09 SHAHEEN TOWN NEAR FAZIA COLONY R.W.P','5','28','123928','FIVE STAR','C/O ABU BAKAR FCI',null,'13-NOV-2020','500C-FS - 1073','COOKING RANGE','NOB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-14 23:17:15','2020-11-24 19:59:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2371','MOEEZ','03315142115','HO#238 ST#22 BLOCK D HOUSING SOCIETY ISB','5','29','122069','SIGNATURE','0',null,'19-SEP-2020','SBH-AC900S - 1122','BUILT IN APPLLIANCES','BURNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-14 23:22:26','2020-11-18 21:21:02',null,'1',null,'0');
INSERT INTO complaints VALUES('2372','SHAKEEL','03455214508','HO#1/52 ST#01 BILAL COLONY SHAMSHABAD R.W.P','8','48','15516','KENWOOD','0',null,'03-APR-2016','1012SA-GRG - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-14 23:48:10','2020-11-24 19:29:52',null,'1',null,'0');
INSERT INTO complaints VALUES('2373','COL HAFEEZ','03005332103','HO#27 ST#20 SEC -B DHA PHASE 01 ISB','6','13','24673','ORIENT','0',null,'14-DEC -2019','18G-HYPER-SW - 915','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-15 00:10:09','2020-11-23 21:14:10',null,'1',null,'0');
INSERT INTO complaints VALUES('2374','IFTIKHAR AHMED','03335101732','HO#58 ST#59 I-8/3 ISB','5','31','123715','SONY','55X7500H-CC',null,'07-NOV-2020',null,'FLAT PANEL TV','REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-15 00:49:02','2020-11-17 19:49:17',null,'1',null,'0');
INSERT INTO complaints VALUES('2375','BADAL FCI','03145299358','FRIENDS CORPORATION BULE AREA ISB','5','34','0','SONY','75X8500G(SHOWROOM PA VISIT KIJAY GA',null,'0',null,'FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-15 00:59:52','2020-12-24 23:55:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2376','UMER FARRUKH','03345323966','SKANS SCHOOL PWD ROAD ISB','4','5','16815','ORIENT','SAMIULLAH PWD',null,'20-OCT-2020','529BL - 128','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-15 01:41:53','2020-11-23 21:12:43',null,'1',null,'0');
INSERT INTO complaints VALUES('2377','USMAN MALIK','03245252950','HO#317 ST 8, OVER SEAS 2 FACE 8 BAHRIA TOWN RWP','6','13','21844','LG','ISHFAQ FHHS',null,'29-APR-2017','602HLAL-S - 86','REFRIGERATOR','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-15 02:12:09','2020-11-21 00:32:27',null,'1',null,'0');
INSERT INTO complaints VALUES('2378','ASIM ALI','03345067064','H NO 302A BILAL HABSHI ROAD UMAR BLOCK PHASE 8 B.TOWN RWP','5','30','85702','SIGNATURE','AGAIN COMPLAINT AAGEI HAIN OLD TASK#728',null,'17-JUNE-2017','SVF-SY40N - 1468','FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-15 02:24:32','2020-12-06 01:50:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2379','MR ANSAR MALIK','03008502979','HO#433C-1 ST 07, GULRAIZ PHASE 04 RWP','5','30','117385','SONY','BADAL FCI',null,'09-JUN-2020','32W600D-S - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-15 02:34:44','2020-12-01 19:57:40',null,'1',null,'0');
INSERT INTO complaints VALUES('2380','MS ZAKIA','03325310357','HO#220C NEW 23C, ST 5 SEC G-6/2 ISB','5','53','123779','LG','0',null,'10-NOV-2020','4V5RGP2T-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-15 02:41:10','2020-11-21 00:31:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2381','OBID ULLAH','03076662433','HO#163 ST#26 SEC B ASKARI 14 R.W.P','6','12','18701','SAMSUNG','0',null,'05-JAN-2019','12J8420GX-MRM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-15 02:41:11','2020-12-04 19:37:47',null,'1',null,'0');
INSERT INTO complaints VALUES('2382','KAMARAN BAHRIA','03219507474','FRIEND CALPARATION PHASE 7','6','14','0','KENWOOD','0',null,'0','1012SA - 902','WASHING MACHINE','DRAIN PIPE KA HOOK DAMAGE HAY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-15 02:50:42','2021-01-16 23:42:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2383','MAJ KAMRAN','03339322221','HO#13 ST#10 SEC E DHA 01 R.W.P','6','15','30444','DAWLANCE','0',null,'12-NOV-2020','1480-DDW - 1653','DISH WASHER','DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-15 02:57:46','2020-11-18 19:50:55',null,'1',null,'0');
INSERT INTO complaints VALUES('2384',null,null,null,'8',null,null,'DAWLANCE',null,null,null,'259C-DW - 1233','MICROWAVE OVEN','On off problem',null,'5','COMPLIANT CLOSED',null,'showroom','0',null,'96','2020-11-15 03:17:14','2020-11-19 22:36:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2385',null,null,null,'8',null,null,'DAWLANCE',null,null,null,'131HP-SYNC - 986','MICROWAVE OVEN','Pack unit sa palete nai nikle',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'96','2020-11-15 03:18:07','2021-01-19 00:07:27',null,'1',null,'0');
INSERT INTO complaints VALUES('2386','TALHA','03335131630 , 03012009124','H NO 557 ST NO 104 SEC D/12-1 ISB','8','37','0','ORIENT','C/O SADDIQ SB',null,'IN WARRANTY','18G-DELTA-GW - 914','AIR CONDITIONER','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-11-16 21:19:06','2020-12-05 20:35:26',null,'1',null,'0');
INSERT INTO complaints VALUES('2387','TALHA','03335131630 , 03012009124','H NO 557 ST NO 104 SEC D/12-1 ISB','5','28','0','TCL','1912VLR301004A00114',null,'IN WARRANTY','55P8M - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-11-16 21:27:58','2021-01-02 01:38:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2388',null,null,null,'13',null,null,'ORIENT',null,null,null,null,'WASHING MACHINE','6.5 auto damig',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2020-11-16 22:19:31','2020-12-29 20:35:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2389','MAJ YASIER','03339665993','HO#H JABBAR FLATS TULSA ROAD QASIM ARMY BAIS','8','42','43194','TCL','0',null,'25-OCT-2020','18T3B - 915','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-17 19:50:13','2020-11-19 22:00:38',null,'1',null,'0');
INSERT INTO complaints VALUES('2390','SAAD','03315791339(03218523016)','HO#17 LANE 10 SEC A DHA 02 ISB','6','15','26280','SAMSUNG','0',null,'24-FEB-2020','43RU7100-P - 869','FLAT PANEL TV','ON OFF PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-17 20:11:32','2020-11-23 20:49:40',null,'1',null,'0');
INSERT INTO complaints VALUES('2391','WAQAS HAQ','03005103350','HO#1249 ST#49 PHASE 03 B. TOWN','6','15','25476','LG','0',null,'04-JAN-2020','4J6VYP2S-S - 901','WASHING MACHINE','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-17 20:15:57','2020-12-09 01:27:23',null,'1',null,'0');
INSERT INTO complaints VALUES('2392','ABU BAKAR (FCI)','03365122695','FRIENDS CORPORATION BULE AREA ISB','5','36','102951','LG','CUSTOMER OVEN SHOWROOM DROP KAR K GAY HAIN',null,'19-MAR-2019','3965ACS-S - 1984','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-17 20:39:59','2021-02-14 13:19:44',null,'1',null,'0');
INSERT INTO complaints VALUES('2393','RAJA ARSHAD','03009746791','MODEL VILLAGE SAAD PUR NEAR F -6/3 MAIN MARGALA ROAD ISB','9','24','181846','SUPER ASIA','0',null,'23-NOV-2019','535GH - 1037','GEYSER','THERMOSTAT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-17 20:50:24','2020-11-24 21:09:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2394','MALIK SHUJJA','033213339671','HO#877 ST#29 BLOCK D PHASE 08 B. TOWN','6','13','16077','LG','0',null,'21-AUG-2018','1666NEFTW-S - 1643','WASHING MACHINE','ERROR P ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-17 21:04:22','2020-12-12 21:50:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2395','AYUB','03345280131','HO#743 ROAD C PHASE 04 BEHIRA TOWN','4','9','17203','SAMSUNG','15J5730SS-S-1484',null,'15-NOV-2020',null,'WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-17 21:10:00','2020-11-18 21:20:34',null,'1',null,'0');
INSERT INTO complaints VALUES('2396','HAROON','03315356063 03345335319','HO#CB98/12-C NIYAZE STEET NEW AFSHYN COLONY RANG ROAD RWP','8','38','29246','HAIER','PTCL CALL',null,'18-AUG-2018','85-7288 - 69','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-17 21:18:28','2020-11-24 21:15:44',null,'1',null,'0');
INSERT INTO complaints VALUES('2397','DR SARTAJ','03439310712','VILLAGE BAIZO KHARKI NEAR PALI INTERCHANGE SAWAT MOTER WAY','9','19','197151','HAIER','0',null,'05-OCT-2020','18HNJ-B INV - 915','AIR CONDITIONER','OUT DOOR MAIN GASS LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-17 21:36:41','2020-11-22 20:31:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2398','SYED ALI ABBAS SHAH','03028266529','HO#60 TOWER 01 BLOCK 4 ASKRI OPP DHA 02','4','6','15332','ORIENT','0',null,'17-JULY-2020','18G-DIVINE - 915','AIR CONDITIONER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-17 22:13:38','2020-11-18 01:41:58',null,'1',null,'0');
INSERT INTO complaints VALUES('2399','ZAFAR HASSAN','03335174848','HO#44 ST#8-B SEC J DHA 02 GEAT 07 ISB','6','14','1110','SAMSUNG','C/O KHURRAM GOOGLE( INVICE B HAIN)',null,'11-JULY-2015','11F5S2 - 168','WASHING MACHINE','CLOD WATER BLOCKAGE+ FILTER B REQUIRED HAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-17 22:22:59','2020-11-17 23:41:42',null,'1',null,'0');
INSERT INTO complaints VALUES('2400','MR IQBAL','03455002928 03335138893','PLOT#82 ROAD 9, SEC B SAMILY DAM ROAD BARAKAHU  ISB','8','42','40051','CANON','0',null,'05-JUN-2020','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-17 22:55:27','2020-12-15 20:46:36',null,'1',null,'0');
INSERT INTO complaints VALUES('2401','MR SHOAIB','03334488771','HO#7A QASIM LINE ARMI COLONY RWP','4','6','19725','ORIENT','PTCL CALL',null,'5-SEP-2019','CRYSTAL-C-BLK - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-17 23:10:19','2020-11-26 20:31:58',null,'1',null,'0');
INSERT INTO complaints VALUES('2402','MUKHTER SAB','03347437633','HO#18 ST#80 SEC B SERENE CITY DHA 02 ISB','6','16','29650','HAIER','0',null,'19-SEP-2020','18HFCE-W-INV - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-17 23:19:08','2020-12-05 20:23:57',null,'1',null,'0');
INSERT INTO complaints VALUES('2403','MAROOF ANJUM','03002599935','OFFICE 01 REHMAN PLAZA F-10/2 ISB','5','31','121011','HAIER','0',null,'19-AUG-2020','12HFCE-W-INV - 913','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-17 23:22:28','2020-12-03 20:49:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2404','ZEENAT WAHEED','03009709791','HO#239/6 AZIZ BHATTI ROAD LAL KURTE ROAD RWP','9','26','142348','SIGNATURE','CHIMNEY',null,'31-OCT-2017','SBC-HOBART-90 - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-17 23:36:50','2021-02-15 13:21:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2405','ZAFAR HASSAN','03335174848','HO#44 ST#8-B SEC J DHA 02 GEAT 07 ISB','6','14','1110','SAMSUNG','C/O KHURRAM GOOGLE( INVICE B HAIN)',null,'11-JULY-2015','11F5S2 - 168','WASHING MACHINE','CLOD WATER BLOCKAGE+ FILTER B REQUIRED HAIN',null,'5','COMPLAINT CLOSED',null,'customer','1','2399','74','2020-11-17 23:37:07','2020-11-23 19:42:02',null,'1',null,'0');
INSERT INTO complaints VALUES('2406','ZUHAIB','03335501835','HO#15 ST#73 G -13/2 ISB','5','31','116952','HAIER','0',null,'31-MAY-2020','12HFCD-W-INV - 913','AIR CONDITIONER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-17 23:45:06','2020-11-23 00:27:18',null,'1',null,'0');
INSERT INTO complaints VALUES('2407','MR ADNAN','03315826804','HO#2143 ST 16, SEC I-10/1 ISB','5','28','103688','HOMAGE','PTCL CALL',null,'13-APR-2019','29HWD - 474','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-17 23:57:20','2020-11-27 23:15:50',null,'1',null,'0');
INSERT INTO complaints VALUES('2408','NADIR ALI KHAN','03331571944','HO#233  ST#13 CHAKLA SCKEEM 03 R.W.P','9','24','129248','SIGNATURE','PTCL CALL(INVOICE HAIN )',null,'12-MAR-2017','MD99SS-S - 1723','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-18 00:13:57','2020-12-03 23:26:58',null,'1',null,'0');
INSERT INTO complaints VALUES('2409','MR BILAL','03005500578','HO#516 ST#18 MAGALA TOWN ISB','5','36','96727','HAIER','0',null,'01-AUG-2018','95-1678HWM - 1817','WASHING MACHINE','SPINNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-18 00:18:22','2020-11-23 00:28:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2410','MR HUSNAIN','03355606065','HO#55 ST 4, BLOCK A NEW CITY PHASE 2 WAH CANT','8','40','43487','HAIER','0',null,'12-NOV-2020','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-18 00:22:19','2020-11-23 00:30:37',null,'1',null,'0');
INSERT INTO complaints VALUES('2411','RIZWAN AHMAD','03218835523','HO#580 ST#30BLOCK C CBR TOWN PHASE 01','4','9','7086','LG','0',null,'05-JAN-2019','1066NEFTF-S - 902','WASHING MACHINE','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-18 00:35:33','2021-02-23 17:42:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2412','BRIG KHALID','03237888823','HO#12 ST#2A SEC C DHA 01','6','16','29269','CANON','0',null,'22-AUG-2020','24D-PLUS - 1031','GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-18 00:49:42','2020-11-27 23:11:23',null,'1',null,'0');
INSERT INTO complaints VALUES('2413','DR AFZAL MATTO','03006143609','HO#230 PRINCES ST GREEN AVENUE PARK ROAD ISB','8','39','40614','HAIER','0',null,'30 JUN-2020','336EPB - 894','REFRIGERATOR','OVER COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-18 01:03:07','2020-11-23 00:33:07',null,'1',null,'0');
INSERT INTO complaints VALUES('2414','AHMED ALI','03105842141','GULLSITAN FATIMA COLONY  NEAR FRONTIER HOTAL CHAKRI ROAD RWP','9','26','180258','KENWOOD','0',null,'19-OCT-2019','1012SA - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-18 01:06:04','2020-11-25 20:45:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2415','ABDUL MAJID','03335426998','HO#73G ST 23 FACE 8 BAHARIA INCLAVE ISB','9','23','195391','MITSUBISHI','0',null,'26-AUG-2020','50VA - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-18 01:27:55','2020-11-26 20:08:57',null,'1',null,'0');
INSERT INTO complaints VALUES('2416','SHAKIR HUSSAIN','03315121956(03205593531)','HO#02 SERVICES ROAD NAVEL ANCHORAGE ISB','9','23','137004','SIGNATURE','INVOICE WAQAS FCP NA SHER KI(PTCL CALL)',null,'09-JULY-2017','SWM-SR45 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-18 01:48:41','2020-11-19 21:05:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2417','CH ASGHAR','03345416994','HO#26B TULSA ROAD LALAZAR NEAR SAFE MART RWP','9','27','196815','SAMSUNG','15J5730SS-S 168',null,'28-SEP-2020',null,'WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-18 01:54:51','2020-11-19 21:05:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2418','JAVED','03322020206 (051-5181886)','JAVED PHARMACY  CHOTTA  CHOWK DHOK AASHO R.W.P','9','22','159408','FIVE STAR','0',null,'11-OCT-2018','35G-FS - 1759','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-18 01:59:03','2020-11-26 20:06:47',null,'1',null,'0');
INSERT INTO complaints VALUES('2419','MUNAWAR HUSSAIN','03334272367','HO#431 ST#34 SEC F DHA 01','5','34','24708','FIVE STAR','0',null,'14-DEC-2019','35G-SUPREME - 963','GEYSER','NOB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-18 02:03:59','2020-12-01 22:39:33',null,'1',null,'0');
INSERT INTO complaints VALUES('2420','MR SABIR SHAKIR','03215560943','HO#1A MAIN PARBAT ROAD SEC F-7/4 ISB','5','30','123842','CARAVELL','204B',null,'11-NOV-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-18 02:11:49','2020-11-27 21:48:47',null,'1',null,'0');
INSERT INTO complaints VALUES('2421','I 10 STOCK','03358851908','FLAT #81 ST#06 I 10/3 ISB','10','45','0','LG','F4J6TMP8-S(I 10 SA READAY HO K SAJID SAB K PASS DILVER HO RAHI HAIN',null,'0',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-18 02:28:40','2020-11-30 22:08:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2422','TALLAT SHAH','03335133164','HO#360 ST 3 MARGALLA TOWN PHASE 1 ISB','8','48','41361','FIVE STAR',null,null,'27-JULY-2020','10000C-FS - 1965','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-18 02:42:44','2020-11-26 20:00:44',null,'1',null,'0');
INSERT INTO complaints VALUES('2423','WAQAS','03445044596','HO#1021C AHSAN STREET ALI ROAD MUGHALABAD RWP','9','23','199266','HAIER','0',null,'14-NOV-2020','336EPR - 894','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-18 20:17:36','2020-11-23 00:35:04',null,'1',null,'0');
INSERT INTO complaints VALUES('2424','AFZAL SAB','03355318812','VILLAGE CHOHR SHARIF HARI PUR','8','42','490','SIGNATURE','0',null,'21-JUNE-2018','SWM-JD46 - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-18 20:20:10','2020-11-28 23:38:51',null,'1',null,'0');
INSERT INTO complaints VALUES('2425','CH AWAIS','03315132370','HO#554/4 CHOUDE ANAYAT HUSSAIN STREET ADRA RWP','9','21','197114','KENWOOD','26657GD-MRG',null,'04-OCT-2020',null,'REFRIGERATOR','COOLING   ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-18 20:39:31','2020-11-25 20:47:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2426','BASHARAT','03002915015','HO#54 ST 12, SEC F DHA FACE 1 DEFANCE  VILLA ISB','6','15','29505','ORIENT','0',null,'10-SEP-2020','18G-ROYAL-CW - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-18 20:49:23','2020-11-25 21:19:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2427','WAQAS HAQ','03005103350','HO#1249 ST 49 PHASE 3 ISB','6','12','25476','LG','0',null,'4-JAN 2020','4J6VYP2S-S - 901','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-18 21:06:43','2020-12-09 01:16:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2428','MRS AATIF','03335277776','HO#1469 ST 70 SEC F DHA 1 PHASE 7 ISB','6','12','14655','GREE','0',null,'31-MAY-2018','18CITH12W - 915','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-18 21:15:37','2020-11-19 22:32:56',null,'1',null,'0');
INSERT INTO complaints VALUES('2429','IBRAR HUSSAIN','03005001966','HO#526 ST63 SEC G-9/4 ISB','9','24','177537','HAIER','0',null,'20-AUG-2019','95-1678HWM - 1817','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-18 21:36:31','2020-11-23 00:37:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2430','RABBANI SAB','03215432522','HO#205 ROAD 1B BAHRIA SPRING FACE 7 BAHRIA TOWN RWP','9','24','128294','CANON','43C-PLUS',null,'20-FEB-2017',null,'COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-18 21:54:54','2020-11-24 21:58:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2431','MR ISLAM','03005553120','HO#SA554 ST 13C SERVICE ROAD CHODRE  MASJID RWP','9','23','199330','FIVE STAR','0',null,'17-NOV-2020','35G-TWIN SUPREME - 963','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-18 22:17:09','2020-11-26 19:58:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2432','MR NAJAM HYDER','03008550215','HO#268 ST 31 SEC F10/1 ISB','5','33','112957','ORIENT','2 AC KI COMPLAINT HAY',null,'16-DEC-2019','12G-HYPER-SW - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-18 22:32:26','2020-11-25 22:34:19',null,'1',null,'0');
INSERT INTO complaints VALUES('2433','AHSAN PARACHA','03339621852','HO# 73 C ST#23 SEC A BEHIRA ENCLAVE CHAK SHAHZAD ISB','8','37','30798','LG','0',null,'06-DEC-2018','55LJ540-S - 942','FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-18 22:34:13','2020-11-21 00:31:17',null,'1',null,'0');
INSERT INTO complaints VALUES('2434','SHAHBAZ SHARIF','03136664555','HO#769 ST 45G SEC G-10/4 ISB','5','35','117379','ORIENT','0',null,'09-JUN-2020','18G-ROYAL-CW - 915','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-18 22:37:57','2020-12-05 20:21:33',null,'1',null,'0');
INSERT INTO complaints VALUES('2435','ABDUL REHMAN','03005366496','HO#240 PARK ROAD SEC B ASKARI 14 ADHYALA ROAD RWP','6','15','25464','HAIER','0',null,'04-JAN-2020','90-1789HWM - 901','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-18 22:55:26','2020-11-23 00:38:51',null,'1',null,'0');
INSERT INTO complaints VALUES('2436','MR FAYSAL','03246666012','HO#308B ORDINANCE ROAD RWP','4','6','19929','HAIER','0',null,'24-OCT-2019','438IDB - 896','REFRIGERATOR','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-18 23:01:37','2020-11-23 00:40:42',null,'1',null,'0');
INSERT INTO complaints VALUES('2437','ARSHAID KHAN','03015261284','HO#816 CANNT BOARD HOUSING SCHEEM 02 FATEH JHANG ROAD ATTOCK','7','49','18023','TCL','0',null,'04-DEC-2018','50P6US - 871','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-19 00:44:52','2020-12-31 22:06:39',null,'1',null,'0');
INSERT INTO complaints VALUES('2438','MR LUQMAN','051-4717387(03335700333)','HO#04 ST#02 DHA 01 SEC A R.W.P','8','43','19898','SAMSUNG','0',null,'09-OCT-2019','40J5133 - 987','MICROWAVE OVEN','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-19 01:01:53','2020-11-23 00:16:32',null,'1',null,'0');
INSERT INTO complaints VALUES('2439','SHAHEER ALI','03215666808','HO#43 GULISTAN E JINNHA COLONY FAIZAABAD R.W.P','8','42','37914','CANON','0',null,'14-DEC-2019','16D-PLUS - 1030','GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-19 01:10:03','2020-11-26 20:05:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2440','PERWAIZ','03235083583','MUSA VILLAS GULSHAN ABAD ADYALA ROAD R.W.P','9','51','196523','HAIER','0',null,'21-SEP-2020','120-1789HWM - 906','WASHING MACHINE','SPINNER SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-19 01:39:40','2020-11-23 00:42:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2441','YOUSAF','03008581040','HO#458 ST#08 G-11/1 ISB','5','53','35651','SIGNATURE','HOB',null,'18-JULY-20219','SBH-AB750S - 1122','BUILT IN APPLLIANCES','IGNITION PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-19 01:45:40','2020-11-24 20:12:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2442','MR HASHIM','03215169170','NILORE  FACTURY THANDA PANI BAHARIA 1 ISB','8','40','42985','BOSCH','0',null,'13-OCT-2020','50D08GC - 1060','DISH WASHER','NOT WORKING(INSTALLATION B .COOL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-19 01:54:28','2020-11-19 23:14:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2443','MUHAMMAD TALHA','03345154444','HO#293 ST#34 F SEC 1-9/4 ISB','9','26','170681','SIGNATURE','C/O SADDIQ SAB (INVOICE B HAI)',null,'06-MAY-2019','MT-99FHS-I - 908','REFRIGERATOR','BODY CREAKS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-19 02:06:16','2020-12-09 01:16:00',null,'1',null,'0');
INSERT INTO complaints VALUES('2444','MR AHMAD NAUMAN','03005810528','HO#568 ST 17, FACE 4 BAHRIA TOWN ISB','9','23','129778','SIGNATURE','PTCL CALL',null,'22-MAR-2017','SWM-JD51 - 902','WASHING MACHINE','ERROR F1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-19 02:08:08','2020-11-26 20:08:42',null,'1',null,'0');
INSERT INTO complaints VALUES('2445','AMJID ALI SHAH','03335149551','HO#CB 546 NEAR MARKAZI MASJID FAISAL COLONY DAMIYAL ROAD','9','19','199340','DAWLANCE','0',null,'17-NOV-2020','91996GD-INV-BROWN - 885','REFRIGERATOR','WEEL&GASS KIT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-19 02:11:31','2020-11-26 19:49:23',null,'1',null,'0');
INSERT INTO complaints VALUES('2446','WASEEM KHAN','03245488478 03005104142','HO#438 ST 19 SEC 2 AIR PORT HOUSING SOCITY RWP','9','23','148319','SIGNATURE','SET-AC24',null,'08-MAR-2018',null,'MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-19 02:34:58','2020-11-21 20:26:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2447','MR IMRAN','03009772852','HO#302/B ST 7 ABADE #02 TENCH BATTA RWP','4','6','20491','SIGNATURE','MALIK KHURRAM SADDAR',null,'02-JAN-2020','32S600 - 936','FLAT PANEL TV','SOFTWARE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-19 20:08:54','2020-11-24 19:30:24',null,'1',null,'0');
INSERT INTO complaints VALUES('2448','MR KASHIF SAEED','03245274749','HO#166 ST 7 BLOCK A MEDIA TOWN ISB','4','9','12811','SIGNATURE','KHURRAM GOOGLE SIR',null,'18-JAN-2020','MD99SS-S - 1723','REFRIGERATOR','TEMPERATURE ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-11-19 20:25:04','2020-11-21 20:10:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2449','JAVED IMRAN','03008555380','H NO 207 ST NO 11 GHOURI TOWN PHASE 1 ISB','4','5','17005','FIVE STAR','BUTT STOCK PWD',null,'03-NOV-2020','25G-TWIN-FS - 1966','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-19 21:03:27','2020-11-27 21:41:24',null,'1',null,'0');
INSERT INTO complaints VALUES('2450','MUNSIF ALI','03332149128','KOUNDA MOR SAWABI','4','5','16387','DAWLANCE','BUTT STOCK PWD',null,'20-SEP-2020','9188WBGD-INV-BROWN - 746','REFRIGERATOR','NOT WORKING',null,'5','COMPLIANT  CLOSED',null,'customer','0',null,'92','2020-11-19 21:20:04','2021-01-02 01:40:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2451','NESAR AHMAD','03009502479','HO#3 ST 1/B GULZARY  MADINA SEC H-13 ISB','5','28','96835','KENWOOD','0',null,'06-AUG-2018','320GD-BKG - 883','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-19 21:37:24','2020-11-25 20:51:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2452','ARSHAD RASHID','03445361126','HO#325 ST 25 RAWAL TOWN ISB','5','28','48053','SAMSUNG','MODAL# 43D490-114',null,'09-JULY-2012',null,'FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-19 21:45:43','2020-11-27 01:20:26',null,'1',null,'0');
INSERT INTO complaints VALUES('2453','MR ALI KHAN','03329982128','HO#165-B ST 01 SEC C SAFARI HOMES FACE 8 RWP','6','15','28982','LG',null,null,'11-AUG-2020','512FPW-S - 1653','DISH WASHER','ERROR E1 ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-19 22:01:49','2020-12-01 19:57:10',null,'1',null,'0');
INSERT INTO complaints VALUES('2454','MR SAMI','03009158497','FADRAL LOUDE 1 FAMILE SUITE 26 SARENA HOTAL K BACK SIDE  SEC G-5/1','5','28','93134','SIGNATURE','PTCL CALL',null,'05-APR-2018','SWM-SR55 - 1643','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-19 22:19:23','2020-11-23 00:15:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2455','AMIR','03350015518','HO#27 ST#27  BLOCK H SAWA GARDEN','4','8','16608','CANON','0',null,'06-OCT-2020','16D-PLUS - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-19 23:07:46','2020-11-27 01:51:17',null,'1',null,'0');
INSERT INTO complaints VALUES('2456','MR HASHIM','03215169170','NILORE  FACTURY THANDA PANI BAHARIA 1 ISB','8','40','42985','BOSCH','0',null,'13-OCT-2020','50D08GC - 1060','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','2442','74','2020-11-19 23:13:57','2020-11-27 21:08:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2457','DR AHMED','03345412646','ROOM#35 OPD B B H HOSPITAL MUREE ROAD R.W.P','7','49','22158','HOMAGE','0',null,'14-NOV-2020','45HWD - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-19 23:21:15','2020-11-27 01:40:36',null,'1',null,'0');
INSERT INTO complaints VALUES('2458','MRS UZMA HAFEEZ','03005196737','HO#4 ST 6 SEC C BAHRIA ENCLAVE ISB','5','28','121977','FIVE STAR','SALE ADVISOR ABU BAKAR',null,'17-SEP-2020','35G-TWIN SUPREME - 963','GEYSER','LEAKAGE  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-20 01:21:15','2020-11-27 01:37:50',null,'1',null,'0');
INSERT INTO complaints VALUES('2459','MAJ SAMI','03360181415','GHQ ISB','9','26','198848','SIGNATURE','BEST COOL INVOICE HAY',null,'07-NOV-2020','SCF-HM11 - 955','FREEZER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-20 01:44:19','2020-12-16 22:02:50',null,'1',null,'0');
INSERT INTO complaints VALUES('2460','MR SHABAZ','03305919147','APP#109B ALSAFA HIGHT 1 HALAL ROAD SEC F-11/1 ISB','5','36','116374','HAIER','0',null,'15-MAY-2020','85-7288 - 69','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-20 01:54:14','2020-11-25 20:24:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2461','MR OMER','03005287411','HO#1722 ST 60 BAHRIA TOWN FACE 3 ISB','9','20','157274','SIGNATURE','0',null,'18-AUG-2018','SCF-HM12 - 956','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-20 02:13:18','2020-11-27 23:40:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2462','C O MOHSIN','03101547381','MAN BARAKHOU ROAD JAN ALAM MEDICAL SATOR GALI NO 1','9','23','193818','ORIENT','AGAIN COMPLAINT(1688)',null,'29-JULY-2020','529BL - 128','WATER DISPENSER','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-20 02:13:29','2020-11-27 21:07:35',null,'1',null,'0');
INSERT INTO complaints VALUES('2463','WAHID INTER PRICES','03329600005','HO#376D ST 109 SEC G6-1/4 ISB','5','32','95592','SIGNATURE','0',null,'22-JUN-2018','SCR-FSB3-5G - 1605','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-20 02:44:08','2020-11-21 20:07:57',null,'1',null,'0');
INSERT INTO complaints VALUES('2464','RAJA MASOOD','03145026289','HO#174 ST 42, SEC F SAFARI HOMES FACE 8 RWP','6','16','30053','FIVE STAR','0',null,'15-OCT-2020','500C-FS - 1073','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-20 03:04:24','2020-12-05 20:09:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2465','ADIL FHSS','03403339967','FRIENDS HOME SHAMSHABAD R.W.P','8','38','0','SONY','0','2020-11-20',null,'65X8077G-S - 1443','FLAT PANEL TV','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','2285','74','2020-11-20 20:39:15','2021-01-15 01:38:40',null,'1',null,'0');
INSERT INTO complaints VALUES('2466','ZAHID HUSSAIN(GULZAR MONEY EXCHANGE)','03215306077','HO#17 ST POWER EVE NEW SEC E DHA 02 ISB','9','19','0','GREE','WARRANTY CARD CUSTOMER K PASS HAIN',null,'27-OCT-2020','9978EG-CB2 - 885','REFRIGERATOR','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-20 21:21:30','2020-11-24 02:16:36',null,'1',null,'0');
INSERT INTO complaints VALUES('2467','ABDUL WAJID','03327399559(03135977631)','HO#877 ST#32 A GORI TOWN PHASE 04 A ISB','9','19','189294','GREE','0',null,'27-MAR-2020','500FC - 993','WATER DISPENSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-20 21:42:16','2020-11-24 02:34:47',null,'1',null,'0');
INSERT INTO complaints VALUES('2468','HAFEEZ HOORANI','03008551409','HO#13 ST#26 SEC B PHASE 05 DHA ISB','5','34','110660','HAIER','0',null,'06-NOV -2019','18HNS-INV - 915','AIR CONDITIONER','F3 ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-20 21:49:05','2020-11-27 23:08:43',null,'1',null,'0');
INSERT INTO complaints VALUES('2469','DR SABA KHATAK','03335570651','HO#126 ST#08 F 11/1 NEAR ALI MARKET ISB','5','33','845','HAIER','HEAD OFFICE INVOICE BANI',null,'28-MAY-2020','18HFCD-W-INV - 915','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-20 22:08:24','2020-11-24 02:10:05',null,'1',null,'0');
INSERT INTO complaints VALUES('2470','SHAKIR HUSSAIN','03315121956(03205593531)','HO#02 SERVICES ROAD NAVEL ANCHORAGE ISB','9','23','137004','SIGNATURE','INVOICE WAQAS FCP NA SHER KI(PTCL CALL)',null,'09-JULY-2017','SWM-SR45 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-20 23:53:15','2020-11-24 01:06:42',null,'1',null,'0');
INSERT INTO complaints VALUES('2471','MR SUJHA','03355550295(03335421857)','HO#07- ST#03 BLOCK A SOAN GARDEN ISB','4','9','2522','SIGNATURE','0',null,'03-FEB-2018','SRF-HM99 - 908','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-21 00:14:59','2020-11-23 20:48:07',null,'1',null,'0');
INSERT INTO complaints VALUES('2472','COL TARIQ','03215361951','HO#1620-A ST#67 SEC F DHA 01 ISB','6','16','12507','SIGNATURE','0',null,'27-JAN-2018','SBH-AC750S - 1122','BUILT IN APPLLIANCES','FLAM PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-21 00:25:10','2020-11-28 20:54:04',null,'1',null,'0');
INSERT INTO complaints VALUES('2473','BILAL','03219580443','HO#D772 5TH ROAD SATELLITE TOWN TEHZEEB BAKERS R.W.P','5','28','120529','SIGNATURE','PTCL CALL(INVOICE HAIN )',null,'10-AUG-2020','HC-3900G - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-21 02:24:28','2020-12-30 01:53:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2474','BILAL','03219580443','HO#D772 5TH ROAD SATELLITE TOWN TEHZEEB BAKERS R.W.P','5','28','120529','BOSCH','PTCL CALL(INVOICE HAIN )',null,'10-AUG-2020','50D08GC - 1060','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-21 02:29:19','2020-12-05 20:08:12',null,'1',null,'0');
INSERT INTO complaints VALUES('2475','WAHID INTER PRICES','03329600005','HO#376D ST 109 SEC G6-1/4 ISB','5','32','95592','SIGNATURE','0',null,'22-JUN-2018','SCR-FB-3G - 1605','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-21 20:00:53','2020-11-24 20:11:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2476','MR AWAIS','03455184772','HO#724 ST 33 BAHRIA TOWN ISB','5','30','2882','LG','PTCL CALL',null,'17-MAR-2018','1452S - 34','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 20:13:53','2020-12-01 22:08:34',null,'1',null,'0');
INSERT INTO complaints VALUES('2477','MR NADEEM','03346276399','HO#C310 ST 49 SEC F-7/4 ISB','5','36','120136','ORIENT','0',null,'30-JULY-2020','12G-ORBIT - 913','AIR CONDITIONER','HEATER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 20:22:35','2020-11-24 02:07:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2478','MRS KHALID','03215554104','HO#144 SAFARI VILLA 3 FACE 2 BAHRIA TOWN ISB','8','39','13264','LG','PTCL CALL',null,'26-MAY-2018','9569NEFPS-C - 901','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 20:33:26','2020-12-01 19:56:33',null,'1',null,'0');
INSERT INTO complaints VALUES('2479','MR SAAD RAEES','03053196455','HO#60 ST 1A AFZAL TOWN CHAKLALA SCREEM 3 RWP','4','6','22103','ORIENT','531OWD-DARK',null,'05-NOV-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 20:49:37','2020-11-24 02:03:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2480','ZAHID HUSSAIN','03335594413','PLAZA#16 JWB SEC E DHA PHASE 02 ISB','6','13','30332','DAWLANCE','ELEGANCE INV',null,'03-NOV-2020',null,'AIR CONDITIONER','OUT DOOR GASS LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-21 20:51:18','2020-11-28 21:01:10',null,'1',null,'0');
INSERT INTO complaints VALUES('2481','SYED ABDUL MOEED','03329840426','LANE#5 NEAR NISAR AFRIDI HOUSE PESHAWER ROAD RWP','9','23','199396','CARAVELL','MODAL#208B',null,'18-NOV-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 21:05:28','2020-12-05 20:06:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2482','MR ATAA UL REHMAN','03075452687','VAINS VILLAGE CHAKBALE KHAN RWP','4','5','41589','FIVE STAR','0',null,'07-AUG-2020','25G-SUPREME - 1966','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 21:23:33','2020-12-02 01:41:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2483','ALI HASSAN','03455123111','HO#02 ST#06 RIVER GARDEN HOUSING SOCITY ISB','8','37','43406','FIVE STAR','55G HEAVEY DUTY',null,'07-NOV-2020',null,'GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-21 21:30:37','2020-11-22 19:39:56',null,'1',null,'0');
INSERT INTO complaints VALUES('2484','KHAWAR SOHAIL AHMAD','03205580000','HO#933 MAIN AVE NEW FACE 7 BAHRIA TOWN ISB','6','15','30541','HAIER','MODAL#24HE-HPU-917',null,'18-NOV-2020',null,'AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 21:35:13','2020-11-24 02:00:07',null,'1',null,'0');
INSERT INTO complaints VALUES('2485','WAQAS','0321-9684501','HO#201-MAIN ROAD SAFARI  03 PHASE 02 BEHIRA','9','27','199426','SIGNATURE','0',null,'18-NOV-2020','MD99SS-S - 1723','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-11-21 21:43:02','2020-11-24 00:35:50',null,'1',null,'0');
INSERT INTO complaints VALUES('2486','MR FAWAD','03455275054','HO#266 ST 37 SEC F DHA 1 ISB','9','24','199488','ORIENT','0',null,'19-NOV-2020','18G-ROYAL-CW - 915','AIR CONDITIONER','ERROR E1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 21:45:37','2020-11-24 01:57:50',null,'1',null,'0');
INSERT INTO complaints VALUES('2487','MR FAKHAR','03345308745','NEAR ARYMI HOUSE NATIONAL PARK ROAD RWP','8','47','23687','CORONA','0',null,'21-OCT-2020','C65 - 14','COOKING RANGE','INTERNAL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 21:52:23','2020-11-29 01:58:27',null,'1',null,'0');
INSERT INTO complaints VALUES('2488','SYED SULMAN HUSSAIN','03335151092','HO#315 ST 19 SEC I-10/2 ISB','8','47','22314','SIGNATURE','MODAL#20AC BAKING OVEN',null,'11-MAY-2020',null,'BUILT IN APPLLIANCES','ROAD ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 21:58:49','2020-11-30 22:08:18',null,'1',null,'0');
INSERT INTO complaints VALUES('2489','MR HUSSAIN KAMAL','03335143220','HO#22 ST 29 KORANG TOWN ISB','4','6','4847','HAIER','0',null,'12-AUG-2018','95-1678HWM - 1817','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 22:05:56','2020-11-24 01:55:13',null,'1',null,'0');
INSERT INTO complaints VALUES('2490','SHAGIUDDIN SHAH','03015097488','HO#293 ST 15 BAHRIA TOWN FACE 8 RWP','9','21','198580','SUPER ASIA','MODAL#50MEH SALE ADVISOR MURTAZA',null,'01-NOV-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 22:15:04','2020-11-24 21:14:13',null,'1',null,'0');
INSERT INTO complaints VALUES('2491','MR ZAHID','03205586470','HO#334B ST 32 SEC F-11/2 ISB','8','38','14101','GREE','0',null,'25-JAN-2020','18CITH11B - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 22:24:37','2020-11-24 01:53:12',null,'1',null,'0');
INSERT INTO complaints VALUES('2492','MR JAWAD','03028553349','HO#2 ST 13 FAZAIA COLONY ISB','6','15','26628','KENWOOD','0',null,'15-MAR-2020','1828S-INV - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 22:36:06','2020-11-24 01:49:55',null,'1',null,'0');
INSERT INTO complaints VALUES('2493','BRIG IBRAR','03448151515','HO#12  ST 16F  SEC C BAHRIA INCLAVE ISB','5','34','97673','LG','0',null,'14-SEP-2018','75UH855-S - 881','FLAT PANEL TV','INTERNET ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 22:57:23','2020-12-01 19:56:07',null,'1',null,'0');
INSERT INTO complaints VALUES('2494','MR SHEHZAD','03339890776','HO#138B MUREE ROAD NEAR AL BARAKA BANK CHANDNI CHOWK RWP','8','37','18456','LG','0',null,'21-SEP-2016','8008TEFV01S - 122','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 23:06:42','2020-12-29 02:24:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2495','MR UMAR','03001486633','HO#19 MAIN STREET MODAL TOWN HUMAK ISB','6','12','25840','TCL','1911VLR300994A00645',null,'26-JAN-2020','32D3000A - 936','FLAT PANEL TV','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-21 23:21:44','2020-11-29 01:53:51',null,'1',null,'0');
INSERT INTO complaints VALUES('2496','WAQAS','03322532434','HO# 7 8 CIRCULAR ROAD MCDONALD ROUND ABOUT DHA 2 ISB','9','19','187701','HAIER','3 AC KI COMPLAINT HAY',null,'02-MAR-2020','18HD-G-INV - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 23:34:04','2020-11-28 00:24:26',null,'1',null,'0');
INSERT INTO complaints VALUES('2497','MR SAQIB','03135376011','HO#99 ST 3 AFSHAN COLONY NEAR KIKOL MARKIT RWP','9','27','197261','SUPER ASIA','0',null,'07-OCT-2020','245SA - 522','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 23:41:39','2020-11-29 01:50:40',null,'1',null,'0');
INSERT INTO complaints VALUES('2498','MR HAIDER ABBAS','03055551199','HO#263 ST 5, BLOCK USMAN D NEAR BAHRIA WORKS SHOP PHASE -8 RWP','6','12','13008','LG','0',null,'10-MAR-2018','4J6TMP8S-C - 899','WASHING MACHINE','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-21 23:57:19','2020-12-08 22:32:58',null,'1',null,'0');
INSERT INTO complaints VALUES('2499','MOHSIN IKLHAQ','03125481506','WALI SUPER STORE KHOTA KALA MORGA R.W.P','9','24','182924','SUPER ASIA','CELL PHONE PA CALL AAI',null,'12-DEC-2019','555GH - 1538','GEYSER','ON /OFF PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-22 00:22:35','2020-11-23 23:54:17',null,'1',null,'0');
INSERT INTO complaints VALUES('2500','AKBAR AZAM','03335640663','CHIP HOUSE PLOT#05 ST#09 NEAR FAYAZ MARKET G-8/2 ISB','5','35','122459','NATIONAL(GABA)','187GD-1569',null,'01-OCT-2020',null,'REFRIGERATOR','COOLING PROB',null,'5','completed',null,'customer','0',null,'74','2020-11-22 00:34:19','2021-01-27 21:42:31',null,'1',null,'0');
INSERT INTO complaints VALUES('2501','MR ASFAND YAR TARIQ','03022000030','HO#866 ST 42 DIFFANCE VILLAS BAHRIA 8 RWP','6','14','17123','HAIER','0',null,'10-NOV-2018','618WSS - 903','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-22 01:52:03','2020-11-25 20:17:40',null,'1',null,'0');
INSERT INTO complaints VALUES('2502','BADAL FCI','03145299358','FRIEND CALPARACTION BLUE AREA ISB','5','34','0','SONY','COMPAINE MODAL 75X8000H',null,'0',null,'FLAT PANEL TV','PANEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-22 02:11:05','2021-01-15 01:37:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2503','BASHIR AHMED','03348971412','HO#849/1 L BEHIND SUI GAS OFFICE  JHANGEI  ABBOTABAD','5','28','118678','GREE','CHAT SERVICES CALL','2020-11-21',null,'500FC - 993','WATER DISPENSER','NO WATER HEATING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-22 02:27:06','2020-11-30 22:43:38',null,'1',null,'0');
INSERT INTO complaints VALUES('2504',null,null,null,'6',null,null,'MITSUBISHI','00000',null,null,'35VA - 913','AIR CONDITIONER','INDOOR , OUTDOOR BOTH ISSUE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-11-22 02:40:23','2020-12-08 23:15:04',null,'1',null,'0');
INSERT INTO complaints VALUES('2505',null,null,null,'6',null,null,'MITSUBISHI','00000',null,null,'50VA - 915','AIR CONDITIONER','INDOOR , OUTDOOR BOTH ISSUE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-11-22 02:40:43','2020-12-08 23:14:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2506','EHSAN FAROOQ','03219960464','HO#10 ST 01 SEC 3, AIR PORT HOUSING SOCIETY RWP','9','24','194697','DAWLANCE','0',null,'15-AUG-2020','10500DW - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLETED',null,'customer','0',null,'92','2020-11-22 19:20:28','2020-12-12 20:39:38',null,'1',null,'0');
INSERT INTO complaints VALUES('2507','MR BILAL','03222900604','HO#50A ST 3 AWAMI VILLA 5 FACE 8 RWP','6','16','11799','SIGNATURE','RIZWAN BAHRIA 7',null,'04-DEC-2017','SGG-1704G - 1029','GEYSER','NOT WORKING',null,'5','CLOSED COMPLAINT',null,'customer','0',null,'92','2020-11-22 19:35:25','2020-11-24 00:31:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2508','ASAD ALAIS','03455955599','HO#285 ST 15 BLOCK C CBR TOWN ISB','4','8','11788','SIGNATURE','MODAL#20AC-1237',null,'12-DEC-2019',null,'MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-22 19:47:13','2020-11-26 20:08:00',null,'1',null,'0');
INSERT INTO complaints VALUES('2509','MR MOHIB ULLAH','03335500038','HO#765C ST 44  SEC 2, KHAYBAN-E-SIRSYED RWP','8','42','37836','GREE','0',null,'11-DEC-2019','12CITH12G - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-22 19:57:00','2020-11-30 21:52:04',null,'1',null,'0');
INSERT INTO complaints VALUES('2510','MR TANVEER','03115694427','KAYANI ROAD SHAFI HOTAL MUKHALA BAD RWP','9','19','198626','SUPER ASIA','0',null,'02-NOV-2020','242SA - 522','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-22 20:23:00','2020-11-29 23:23:26',null,'1',null,'0');
INSERT INTO complaints VALUES('2511','BILAL AZAM','03008461562','HO#271-A ST 04 GREEN VILLAS ADIALA ROAD RWP','9','26','195198','DAWLANCE','0',null,'22-AUG-2020','10500DW - 906','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-22 20:41:01','2020-12-05 19:56:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2512','MRS ABDULLAH','03175025782','HO#34 ST 4 SEC D DHA 2  ISB','6','12','17414','GREE','PTCL CALL SALE ADVISOR MANZAR YASIN',null,'01-DEC-2018','18CITH12G - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-22 20:59:35','2020-11-30 21:01:42',null,'1',null,'0');
INSERT INTO complaints VALUES('2513','DR SHAHIDA','03145584433','HO#20 ST 8 SEC A DHA 1 ISB','6','12','24798','SONY','0',null,'15-DEC-2019','65X7000G-S - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-22 21:18:42','2020-11-24 00:31:47',null,'1',null,'0');
INSERT INTO complaints VALUES('2514','MRS TARIQ','03015578893','HO#1 ST 7 SEC A DHA FACE 2 ISB','6','12','26663','SIGNATURE','0',null,'16-MAR-2020','SCF-HM11 - 955','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-22 21:25:25','2020-11-27 23:38:37',null,'1',null,'0');
INSERT INTO complaints VALUES('2515','COL SYED','03005302030','HO#528 ST 20 SEC A ASKARI 14 RWP','9','22','158110','SIGNATURE','SALE ADVISOR SHAKEEL',null,'06-SEP-2018','SWM-SR45 - 899','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-22 21:41:45','2020-11-24 19:29:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2516','FAROOQ MALIK','03225354047','HO#621 ST 8 CHAKLALA SCHEME 3 RWP','8','38','36340','ORIENT','PTCL CALL',null,'21-AUG-2019','18G-ROYAL-CW - 915','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-22 22:02:21','2020-11-29 22:49:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2517','MR RAZA','03335657900','HO#397 ST 1 KASHMIR HOUSING SOCITY  SEC F-15/1 ISB','4','7','189500','KENWOOD','KHURRAM SB',null,'29-MAY-2020','1830S-HC INV - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-22 22:37:38','2020-11-29 22:41:34',null,'1',null,'0');
INSERT INTO complaints VALUES('2518','MR LUQMAN','051-4717387(03335700333)','HO#04 ST#02 DHA 01 SEC A R.W.P','8','41','19898','SAMSUNG','0',null,'09-OCT-2019','40J5133 - 987','MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-22 23:16:08','2020-12-05 21:20:09',null,'1',null,'0');
INSERT INTO complaints VALUES('2519','MR YASIR','03345523145','HO#1 ST 13 SEC B  DHA FACE 1 ISB','9','27','199582','HAIER','0',null,'21-NOV-2020','438IDBT - 896','REFRIGERATOR','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-22 23:49:19','2020-11-30 20:57:47',null,'1',null,'0');
INSERT INTO complaints VALUES('2520','MR SHAHID IQBAL','03335140693','HO#221-C TUFAIL ROAD RWP CANTT','9','19','177071','HAIER','0',null,'10-AUG-2019','12HNF-G INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-22 23:58:38','2020-11-24 21:12:19',null,'1',null,'0');
INSERT INTO complaints VALUES('2521',null,null,null,'4',null,null,'ORIENT','000',null,null,'AUTO8 - 899','WASHING MACHINE','Drum damage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-11-23 00:15:00','2020-12-19 23:41:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2522','MR SHAMS','03005800683','HO#331-C MARGALA TOWN FACE 1 ISB','8','40','42799','HAIER','0',null,'03-OCT-2020','85-1708HWM - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-23 00:52:25','2020-11-24 21:10:07',null,'1',null,'0');
INSERT INTO complaints VALUES('2523','ASAD ALI','03365765026','HO#3 ST 12C SEC B  NEAR FAMILY PARK DHA PHASE 2 ISB','9','24','159086','SIGNATURE','PTCL CALL',null,'06-OCT-2018','SWM-SJ40 - 1548','WASHING MACHINE','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-23 01:29:42','2020-11-26 20:07:18',null,'1',null,'0');
INSERT INTO complaints VALUES('2524','MR UMAIR KHAN','03328948519','HO#367 LANE 5 SEC G-10/1 ISB','5','34','101657','TCL','1811VLR300666A00077',null,'24-JAN-2019','43P6US - 869','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-23 01:41:03','2020-12-31 22:08:05',null,'1',null,'0');
INSERT INTO complaints VALUES('2525','ABDUL REHMAN','03315670286','HO#10 ST 40 BLOCK H SAWAN GARDEN  ISB','4','7','11695','HAIER','PTCL CALL',null,'08-DEC-2019','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-23 19:34:32','2020-11-29 22:34:57',null,'1',null,'0');
INSERT INTO complaints VALUES('2526','ATTIQUE','03235890530','HO#770 ST#08 SHAHZAD TOWN ISB','5','36','108239','SIGNATURE','0',null,'06-AUG-2019','SSO-MO15 - 1200','MICROWAVE OVEN','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-23 20:06:42','2021-01-07 21:27:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2527','SALIK(SHAKEEL GONDAL)','03335704878','FLAT#8 17 SEC FLOOR MAHRAN BLOCK GULSHANA JINNAH ISB','8','37','0','HAIER','C/O OFF NAEEM SAB (AKBAR SAB)',null,'0',null,'AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT COSED',null,'customer','0',null,'74','2020-11-23 20:33:42','2020-12-02 23:04:36',null,'1',null,'0');
INSERT INTO complaints VALUES('2528','SYED MUZAMIL SHAH','03325178033','HO#09ST#03 PHASE 02 PAKISTAN TOWN','4','6','16851','SIGNATURE','0',null,'22-OCT-2020','HC-3764G - 1122','BUILT IN APPLLIANCES','BURNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-23 20:40:08','2020-12-03 23:26:23',null,'1',null,'0');
INSERT INTO complaints VALUES('2529','HASSAN NAWAZ','03008548852','HO#67 MAIN GOMAL ROAD  SEC E-7 ISB','5','53','112994','PHILIPS','PTCL CALL',null,'16-DEC-2019','8670-FC - 1069','VACUUM CLEANER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-23 20:43:12','2021-01-23 00:31:13',null,'1',null,'0');
INSERT INTO complaints VALUES('2530','RIZWAN BAHRIA','03126661934','FRIEND CALPARATION PHASE 7','6','12','23693','SAMSUNG','VISIT TO SHOWROOM',null,'26-OCT-2019','40J5133 - 987','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-23 20:50:55','2020-11-27 01:31:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2531','CH AFSAR','03005093997','NEAR USMAN MASJID MUHALA MAGHRIB NEAR RIASAT GENRAL STORE VILLAGE CHAKRI TAHSEEL RWP','4','9','17161','CANON','0',null,'14-NOV-2020','10LCM - 1031','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-23 21:15:33','2020-12-20 01:45:57',null,'1',null,'0');
INSERT INTO complaints VALUES('2532','ABDUL AHAD SAMI','03215279893','HO#1 ST#68 SEC G-6/4 ISB','5','53','120465','DAWLANCE','0',null,'09-AUG-2020','9106SD - 83','REFRIGERATOR','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-23 21:43:51','2020-11-29 23:10:12',null,'1',null,'0');
INSERT INTO complaints VALUES('2533','MR SAMI','03009158497','Address FADRAL LOUDE 1 FAMILE SUITE 26 SARENA HOTAL K BACK SIDE SEC G-5/1','5','28','Invoice # 93134','SIGNATURE','PTCL CALL',null,'05-APR-2018','SWM-SR55 - 1643','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-23 21:43:58','2020-12-03 23:25:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2534','MR SARWAD','03073338119','HO#970 ST 27A OVERSEAS 3 FACE 08 ISB','5','34','30599','ORIENT','KAMRAN BAHRIA 7',null,'21-NOV-2020','18G-BOLD-UW-INV - 915','AIR CONDITIONER','REMOTE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-23 22:02:29','2020-11-29 22:51:15',null,'1',null,'0');
INSERT INTO complaints VALUES('2535','JAVEID CHEEMA','03008509331','HO#06 LANE 12-C SEC-B DHA 2 ISB','6','14','11040','GREE','MODAL# 18AITH11-S SALE ADVISOR USMAN',null,'18-OCT-2017',null,'AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-23 22:13:20','2020-11-30 22:47:11',null,'1',null,'0');
INSERT INTO complaints VALUES('2536','MAZHAR MEHMOOD','03335172113','HO#414 ST 04 MOHAN PURA NEAR NEVARTE SANAMA RWP','9','23','170888','HAIER','0',null,'09-MAY-2019','438IDB - 896','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-23 22:22:12','2020-11-30 22:49:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2537','ZAHOOR','03335616461','MHUMMAD RASOOL-ULLAH MASJID PANOUREYAN ISB','4','8','20705','DAWLANCE','PTCL CALL',null,'18-FEB-2017','9175WBES-PLUS - 883','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-23 22:37:41','2020-11-30 22:48:04',null,'1',null,'0');
INSERT INTO complaints VALUES('2538','MRS ARSHAD','03025174647','HO#291 ST 17 FACE 5 BAHRIA TOWN ISB','4','10','17292','SUPER ASIA','0',null,'19-NOV-2020','245SA - 522','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-23 22:45:15','2020-11-30 22:17:41',null,'1',null,'0');
INSERT INTO complaints VALUES('2539','MR BABAR','03365537549','HO#216 ST 08 BLOCK B MEDIA TOWN ISB','4','5','1745','SIGNATURE','BUTT STOCK PWD',null,'26-NOV-2017','SWM-SR40 - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-23 23:00:23','2020-11-24 19:28:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2540','AMIR QURESHI','03008568507(03034441978)','RWP','9','22','199443','SIGNATURE','FS25SS-N(OVEN DIRECT B.COOL S/C LIFT HOA',null,'18-NOV-2020',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-23 23:10:03','2020-11-24 01:03:41',null,'1',null,'0');
INSERT INTO complaints VALUES('2541','MR NOMAN','03005335565','HO#506 ST 23 FACE 03 BAHRIA TOWN ISB','4','6','9034','LG','SALE ADVISOR SALEEM',null,'01-JUN-2019','1066NEFTF-S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-23 23:14:01','2020-12-01 19:55:38',null,'1',null,'0');
INSERT INTO complaints VALUES('2542','MR SAQIB GHILLANI','03455898259','HO#144 ST 09 SEC B-1 DHA 1 ISB','4','6','21599','MITSUBISHI','0',null,'06-AUG-2020','50VA - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-23 23:20:05','2020-11-24 00:05:18',null,'1',null,'0');
INSERT INTO complaints VALUES('2543','MR SAQIB GHILLANI','03455898259','HO#144 ST 09 SEC B-1 DHA 1 ISB','4','6','21599','MITSUBISHI','0',null,'06-AUG-2020','50VA - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-23 23:20:22','2020-12-02 22:27:26',null,'1',null,'0');
INSERT INTO complaints VALUES('2544','MUHAMMAD UL BAQIR','03365252391','HO#113 AB ABBAS VILLA HADI ROAD SADAR R.W.P','9','27','198981','SIGNATURE','HOOD KI COMPLAINT',null,'09-NOV-2020','SBC-ADELAIDE-90PLUS - 1123','BUILT IN APPLLIANCES','HOOD PIPE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-23 23:26:37','2020-11-30 22:07:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2545','MR QASAR JAVED','03361157007','RAJ POOT BAHTTI HOUSE KARAL CHOK ISB','4','6','8333','KENWOOD','SALE ADVISOR SALEEM',null,'13-APR-2019','1012SA - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-23 23:28:41','2020-11-29 22:43:26',null,'1',null,'0');
INSERT INTO complaints VALUES('2546','MR MAZHAR','03125481506','WALI SUPER STORE KHOTA KALA MORGA R.W.P','9','24','182924','FIVE STAR','PTCL CALL(WARRANTY CARD HAIN INVOICE NAI)',null,'12-DEC-2019','55G-TWIN-FS - 1759','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-23 23:58:38','2020-12-01 22:26:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2547','ADNAN RIAZ','03125303555','ISB','5','34','113812','SONY','BADAL SIR NA DIRECT CUSTOMER KO S/C BAJ DIA',null,'11-JAN-2020','32W600D-S - 936','FLAT PANEL TV','NOT WORKING HDMI NOT  WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-24 01:08:20','2020-11-28 23:38:11',null,'1',null,'0');
INSERT INTO complaints VALUES('2548','DR ALI MIRZA','03223000073','KALYAL ST 5 SHALA WALE RANGE ROAD RWP','9','27','197258','ORIENT','0',null,'07-OCT-2020','529BL - 128','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-24 01:39:08','2020-11-29 22:53:12',null,'1',null,'0');
INSERT INTO complaints VALUES('2549','RAJA  EJAZ','03345169255','HO#152 BLOCK B  MIDA TOWN R.W.P','6','12','1637','HOMAGE','C/O OFF BILAL MANZOOR',null,'21-MAR 2020','82HWD - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-24 01:49:02','2020-12-03 02:15:58',null,'1',null,'0');
INSERT INTO complaints VALUES('2550',null,null,null,'8',null,null,'ECOSTAR',null,null,null,'32U568 - 936','FLAT PANEL TV','Dead panel',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'96','2020-11-24 02:22:28','2020-11-28 21:40:27',null,'1',null,'0');
INSERT INTO complaints VALUES('2551','OMER BABA','03358018018','HO#85 ST#49 D-12/2 ISB','5','32','104876','DAWLANCE','CELL PHONE PA CALL AAI(INVOICE B HAIN)',null,'12-MAY-2019','1045CVT-VF - 1467','FREEZER','HANDAL PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-24 02:22:36','2020-12-01 22:23:51',null,'1',null,'0');
INSERT INTO complaints VALUES('2552','MR IMRAN','03009772852','HO#302/B ST 7 ABADE #02 TENCH BATTA RWP','7','49','20491','SIGNATURE','0',null,'02-JAN-2020','32S600 - 936','FLAT PANEL TV','SOFTWARE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-24 02:49:27','2020-12-21 20:45:58',null,'1',null,'0');
INSERT INTO complaints VALUES('2553','ISHTIAQ AHMED','03219576575','HO#E3 ST 3 OFFICER COLONY FACE 1 WAH CANT','6','15','28880','KENWOOD','RIZWAN BAHRIA 7',null,'08-AUG-2020','1828S-INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-24 19:30:53','2020-12-01 22:19:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2554','MRS MUDASSIR','03335479632','HO#917 ST 51 FACE 2 BAHRIA TOWN ISB','8','42','1337','SIGNATURE','SALE ADVISOR NAEEM AZEEM',null,'23-OCT-2017','SWM-FW1409S - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-24 19:43:30','2020-11-27 23:38:05',null,'1',null,'0');
INSERT INTO complaints VALUES('2555','MR FAISAL','03335559888','HO#332-A ST 18/22 FACE 07 ISB','6','16','22918','SAMSUNG','SALE ADVISOR ISHFAQ',null,'01-SEP-2019','16J6750-S - 1643','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-24 19:50:59','2020-11-25 20:35:37',null,'1',null,'0');
INSERT INTO complaints VALUES('2556','IBRAR HUSSAN','03325146898','HO#1481 ST 77 BLOCK C SEC B-17 ISB','9','19','192100','WAVES','0',null,'03-JULY 2020','900WWST - 901','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2020-11-24 19:57:40','2020-12-12 20:47:37',null,'1',null,'0');
INSERT INTO complaints VALUES('2557','SHARIYAR','03005157127','HO#07 ST#60 F-6/3 ISB','5','36','102576','SIGNATURE','ELECTRIC OVEN',null,'04-MAY-2019','MM9R - 1124','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-24 20:14:40','2021-01-24 00:29:48',null,'1',null,'0');
INSERT INTO complaints VALUES('2558','AMEER HAMZA','03457172223','HO#825 ST 21 FACE 04 BAHRIA TOWN ISB','4','7','14931','SIGNATURE','ZAHID PWD',null,'29-JUN-2020','SSB-X555MT - 1410','SOUND SYSTEMS','BASIC ISSUE',null,'5','COM[PLAINT CLOSED',null,'customer','0',null,'92','2020-11-24 20:50:08','2020-12-03 20:29:52',null,'1',null,'0');
INSERT INTO complaints VALUES('2559','RASHID RABBANI','03172088449','HO#1355 ST 68 SEC F DHA 1 ISB','6','15','18478','LG','SALE ADVISOR ARSHAD',null,'23-DEC-2018','1066NEFTF-S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-24 20:59:48','2020-12-01 19:55:02',null,'1',null,'0');
INSERT INTO complaints VALUES('2560','MR ZAEEM','03328470355','HO#733 ST 08 SEC G-11/1 ISB','5','31','110781','DAWLANCE','SALE ADVISOR KHURRAM JAVED',null,'11-NOV-2019','10500DW - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-24 21:45:28','2020-11-29 23:14:40',null,'1',null,'0');
INSERT INTO complaints VALUES('2561','AAMIR MEHMOOD KHOKHER','03018119942','HO#10 ST#65 A JINNAH GARDEN ISB','5','32','124049','CANON','0',null,'17-NOV-2020','18D - 1748','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-24 21:52:53','2020-12-01 22:16:59',null,'1',null,'0');
INSERT INTO complaints VALUES('2562','MR WASIM','03005200053','HO#219 ST 8/A DEFANCE COLONY DR QADEER ROAD RWP','9','19','165987','DAWLANCE','0',null,'12-FEB-2019','9175WBLVS - 883','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-24 21:54:26','2020-11-29 23:16:12',null,'1',null,'0');
INSERT INTO complaints VALUES('2563','MR USMAN','03332560565','HO#Z963 ST 75 NEAR MASJID SAIN FATHE KHAN BABU ALL  HUSAIN ROAD DHOK RATTA RWP','9','20','175427','LG','0',null,'17-JUAY-2019','2J3QDNP0-S - 1483','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-24 22:16:30','2020-12-01 19:54:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2564','QASIM ALI','03104060924','HO#K24 MAIN MUREE  ROAD RWP','9','19','175951','KENWOOD','0',null,'25-JULY-2019','480GD-BKG - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-24 22:42:51','2020-11-29 22:39:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2565','I 10 STOCK','03358851908','FLAT #81 ST#06 I 10/3 ISB','10','52','0','SAMSUNG','43N7000(ASLAM SIR KHUD S/C DROP KAR K AAY HAIN)2 SET HAIN','2020-11-24',null,null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-24 22:50:45','2020-12-09 01:15:10',null,'1',null,'0');
INSERT INTO complaints VALUES('2566','I 10 STOCK','03358851908','FLAT #81 ST#06 I 10/3 ISB','10','52','0','SAMSUNG','50N7000(ASLAM SIR S/C DROP KA K AAY) I SET',null,'0',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-24 23:08:49','2020-12-19 01:05:40',null,'1',null,'0');
INSERT INTO complaints VALUES('2567','MR KHALID','03365922877','DEER KHOT AZAD KASHMIR','8','38','36782','SIGNATURE','0',null,'19-SEP-2019','SWH-1910 - 1365','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-24 23:20:50','2020-11-29 23:01:12',null,'1',null,'0');
INSERT INTO complaints VALUES('2568','MR AHMED','03350402222','HO#151-E ST 09 BLOCK A SEC 04 AIR PORT HOUSING SOCIETY  RWP','9','24','198008','CANON','MODAL#1000B-CSK NAVEED FCP',null,'21-OCT-2020',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-24 23:37:34','2020-12-02 22:19:31',null,'1',null,'0');
INSERT INTO complaints VALUES('2569','I 10 STOCK','03358851908','FLAT #81 ST#06 I 10/3 ISB','10','52','0','SONY','75X8000H-CC',null,'0',null,'FLAT PANEL TV','NOT WORKING(ASLAM SIR S/C DROP KARAYGAY)',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'74','2020-11-25 00:01:03','2020-12-09 01:14:02',null,'1',null,'0');
INSERT INTO complaints VALUES('2570','ATTIQ-UR-REHMAN','03008562518','HO#07-ST 59 SEC C DHA 5 ISB','9','26','142594','LG','PTCL CALL',null,'05-NOV-2017','4J6TNP8S-C - 1850','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-25 00:19:25','2020-12-09 01:13:19',null,'1',null,'0');
INSERT INTO complaints VALUES('2571','I 10 STOCK','03358851908','FLAT #81 ST#06 I 10/3 ISB','10','52','0','LG','ASLAM SIR LG S/C W/M MOVE KRWAY GAY',null,'0','1066NEFTF-S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-25 00:42:06','2020-12-01 19:53:52',null,'1',null,'0');
INSERT INTO complaints VALUES('2572','MR ZAHEER','03315414817','HO#23 ST 04 SEC E,  DHA FACE 02 ISB','9','27','195537','ECOSTAR','MODAL#351FC',null,'01-SEP-2020',null,'WATER DISPENSER','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-25 01:02:48','2020-11-29 22:24:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2573','MR ZAHEER','Phone Number 03315414817','Address HO#23 ST 04 SEC E, DHA FACE 02 ISB','9','27','Invoice # 195537','HAIER','0',null,'01-SEP-2020','12HRW-W-INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-25 01:06:54','2020-11-29 22:23:05',null,'1',null,'0');
INSERT INTO complaints VALUES('2574','MR AZEEM','03325397271','WAZEER TOWN GULZARAY KHAID RWP','9','24','199161','SIGNATURE','MODAL#SWH-20-05',null,'12-NOV-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-25 01:26:04','2020-11-30 22:07:16',null,'1',null,'0');
INSERT INTO complaints VALUES('2575','MR SAEED','03334848451','HO#451 ST 48 PHASE 2 MARGALLA TOWN','5','32','Invoice # 117273','SIGNATURE','HOB',null,'05-JUN-2020','SBH-AA901G - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-25 01:47:07','2020-12-01 20:07:56',null,'1',null,'0');
INSERT INTO complaints VALUES('2576','BRIG HAMID','03213001133','FLAT 02 PLAZA 119 SPRING NORTH CAMARSHAL BAHRIA 07 RWP','6','15','30265','ARISTON','0',null,'29-OCT-2020','4528 - 1192','GEYSER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-25 02:09:47','2020-12-03 02:14:24',null,'1',null,'0');
INSERT INTO complaints VALUES('2577','KHURRAM ZESHAN','03068555511','HO#08 ST 17 MODAL COLONY FAROOQ-E-AZAM ROAD SHAMSABAD  ROAD','9','27','161974','WHIRLPOOL','MODAL#540SD',null,'05-DEC-2018',null,'DRYER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-25 02:28:46','2020-12-02 22:10:15',null,'1',null,'0');
INSERT INTO complaints VALUES('2578','MR AWAIS','03315457295','HO#430-13-B NEAR SITY  BAKRI PASHWAR MOOR  ROAD RWP','9','24','199558','CANON','0',null,'21-NOV-2020','16D-PLUS - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-25 02:38:37','2020-12-02 22:08:07',null,'1',null,'0');
INSERT INTO complaints VALUES('2579','COM SHAHID NABIL','03335251674(03337779926)','NAVEL HOUSING SCKEEM HILAL ROAD SEC F-11/1 ISB','5','28',null,'GREE','C/O NAEEM NASEER',null,'06-dec-2019','18FITH1C - 915','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-25 02:59:27','2020-11-30 22:52:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2580','SULMAN RASHEED','03215580455','HO#06 ST 15-B/1 SEC-A BAHRIA INCLAVE ISB','8','37','28833','LG','0',null,'22-JULY-2018','4J6TMP8S-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-25 03:02:42','2020-12-08 01:52:12',null,'1',null,'0');
INSERT INTO complaints VALUES('2581','MR AMJAD','03015666076(03118536912)','HO#1300 ROAD HPHASE 03 BEHIRA TOWN','8','48','42662','MITSUBISHI','0',null,'27-SEP-2020','50VA - 915','AIR CONDITIONER','OUT DOOR NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-25 20:12:30','2020-12-02 22:06:10',null,'1',null,'0');
INSERT INTO complaints VALUES('2582','MRS ARIF','03343888977','HO#16 ST#14 SEC C DHA 02 ISB','5','34','111772','HAIER','18HNC-S-INV',null,'12-DEC-2019',null,'AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-25 20:35:32','2020-11-29 00:34:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2583','`JAVED SAB','03336107207(0515491340)','HO#335 ST#04 PESHAWAR ROAD NEAR RAFAY MALL R.W.P','6','16','27727','HAIER','622IBG-908',null,'12-JUN-2020',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-25 21:19:14','2020-12-02 22:04:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2584','AHSAN BALOOCH','03315593071','HO#816-F ST#85 I 8/4 ISB','9','21','170377','MITSUBISHI','0',null,'04-MAY-2019','50VA - 915','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-25 21:25:38','2020-11-29 00:29:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2585','IMRAN FCP','03005331105','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','51','197439','ORIENT','39HD-ACTION(CUSTOMER SET SHOWROOM PA DROP KAR K GAY HAIN',null,'11-OCT-2020',null,'FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-25 21:33:28','2021-01-20 02:39:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2586','MR DAWAR ALI','03349083438','HO#598 ST 41, BLOCK C PWD ISB','8','42','11233','FIVE STAR','0',null,'02-NOV-2019','10000C-FS - 1965','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-25 21:35:01','2020-12-01 22:34:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2587','JAMIL-UR-RAUF','03337951653','HO#16 ST 08 SEC E-16/2 ISB','8','38','42718','LG','0',null,'28-SEP-2020',null,'WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-25 21:53:41','2020-12-01 02:12:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2588','MAJOR GULL','03115586889','HO#266 BLOCK 09 ASKARI NAZIR APPARTMENTS GF1 KASHMIR ROAD RWP','4','6','21072','GREE','KHURRAM SADDAR',null,'01-JUN-2020','18FITH1C - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-25 21:58:22','2020-11-28 22:38:44',null,'1',null,'0');
INSERT INTO complaints VALUES('2589','MALIK SAJID','03325460567','HO#101 ST 07 MAIN BULAWARD RAFI BLOCK BAHRIA PHACE 08 RWP','6','13','28577','SIGNATURE','SALE ADVISOR ZARA',null,'22-JULY-2020','SCF-HM09 - 954','FREEZER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-25 22:09:34','2020-12-03 20:28:09',null,'1',null,'0');
INSERT INTO complaints VALUES('2590','ABDULLAH KHAN','03329268220','HO#01 ST#12 MAIN PRINCE ROAD GOLAF BANI GALA ISB','8','37','43671','CANON','0',null,'23-NOV-2020','16D-PLUS-DUAL - 1030','GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-25 22:27:48','2020-12-03 21:55:44',null,'1',null,'0');
INSERT INTO complaints VALUES('2591','MR MEHMOOD','03332373242','HO#09 ST 08 BLOCK D NEVAL  INCLAGE ISB','8','42','7172','SIGNATURE','0',null,'10-JAN-2019','SWM-JD46 - 945','WASHING MACHINE','ERROR E-2',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-25 22:33:36','2020-11-25 23:24:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2592','SHAH ALAM','03333337649','HO#290 ST 12/14 ABUBAKAR BLOCK PHASE 08 ISB','6','12','30036','LG','0',null,'14-OCT-2020','2J3QDNP0-S - 1483','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-25 22:46:19','2020-12-08 01:48:32',null,'1',null,'0');
INSERT INTO complaints VALUES('2593','MR AYAZ','03009873003','HO#658 MOHALLA SHEIKHAN DHAVI HASSAN ASAD RWP','9','24','199482','CANON','MODAL#18DD SALE ADVISOR NAVEED',null,'19-NOV-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-25 22:59:03','2020-12-03 21:54:06',null,'1',null,'0');
INSERT INTO complaints VALUES('2594','WAJHAT ALI','03005340814','HO#25 ST#08 OVER SEASE PHASE 03 B. TOWN','6','13','28281','SIGNATURE','2 HOB MAIN ISSUE HAIN',null,'08-JULY-2020','HC-2300G - 1122','BUILT IN APPLLIANCES','BURNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-25 23:03:14','2020-12-03 20:26:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2595','ADIL FHSS','03403339967','FRIENDS HOME SHAMSHABAD R.W.P','8','38','0','LG','FHHS DISPLAY UNIT',null,'0','8265DIS-S - 987','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-25 23:06:06','2020-12-01 02:11:32',null,'1',null,'0');
INSERT INTO complaints VALUES('2596','DR TAHIR MALIK','03015394552','HO#184/3 RASHID MINHAS ROAD  R.W.P','7','49','22087','ORIENT','18G-BOLD-UW-INV',null,'02-NOV-2020',null,'AIR CONDITIONER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-25 23:12:01','2020-12-03 21:51:41',null,'1',null,'0');
INSERT INTO complaints VALUES('2597','MR ZUFIQAR','03239399938 0518893021','HO#20 ST 95 SCE I-8/4 ISB','5','36','102678','LG','SALE ADVISOR KABEER',null,'08-MAR-2019','4G1JCHK6N-C - 1874','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-26 00:23:36','2020-12-01 02:10:59',null,'1',null,'0');
INSERT INTO complaints VALUES('2598','ZEESHAN BAHRIA 7','03110159819','FRIEND CORPORATION PHASE 7','6','16','0','CARAVELL','MODAL#204B-2021',null,'15-OCT-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-26 01:11:44','2021-02-05 12:57:11',null,'1',null,'0');
INSERT INTO complaints VALUES('2599','HASSAN ALI FHHS','03013000123','FRIENDS HOME SHAMSHABAD R.W.P','8','37','198496','CANON','CUSTOMER GEYSER SHAMSHABAD SHOWROOM PA VISIT ARRANGE KARWAY',null,'31-OCT-2020','16D-PLUS-DUAL(LPG) - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-26 01:20:00','2020-12-16 20:23:09',null,'1',null,'0');
INSERT INTO complaints VALUES('2600','SHERAZ AKHTER','03127084034','HO#06 ST 01 LEHTRAR ROAD NEAR AFZAL NAEEM ELECTRONICS  ISB','9','23','196700','DAWLANCE','MODAL#9191WBLVS  CHAT SERVICES',null,'26-SEP-2020',null,'REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-26 01:51:00','2020-11-29 23:19:27',null,'1',null,'0');
INSERT INTO complaints VALUES('2601','MAHMOOD ALI','03202233630','HO#D-6/2 OFFICER MASS PAF BASE MINHAS KAMRA','9','24','0','TCL','L55S62(1803VLR300493A00051)(C/O SAQIB FCP)',null,'20-JAN-2020',null,'FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-26 01:52:08','2021-02-20 13:27:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2602','SYED PERVEZ ASGHAR','03008500291','HO#183/9 LANE 05 SIRSYED ROAD RWP','7','49','20191','HAIER','SALE ADVISOR EHSAN',null,'12-DEC-2019','18HNC-S INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-26 02:23:33','2020-11-28 22:24:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2603','RAHEEL AHMED','03345139573','HO#882/21-B-2 ST 03 AZIZABAD KAYANI ROAD RWP CANT','8','38','199001','DAWLANCE','SALE ADVISOR CH MAZHAR',null,'09-NOV-2020','280S-DW - 1277','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-26 02:43:39','2020-11-28 22:13:04',null,'1',null,'0');
INSERT INTO complaints VALUES('2604','MR ZAIN','03015500502','HO#66 ASTER ROAD SAFARI 3 BAHRIA ISB','8','37','113900','ORIENT','2 AC KI COMPLAINT HAY',null,'14-JAN-2020','12G-ALPHA-SW - 912','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-26 03:00:54','2020-11-28 22:22:50',null,'1',null,'0');
INSERT INTO complaints VALUES('2605','AWAIS KHUWAJA','0333-5106846','HO#164-B ST#18 F-10/2 ISB','8','37','0','HAIER','C/O NAEEM NASEER',null,'3-4 MONTH AGO',null,'AIR CONDITIONER','OUT DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-26 19:32:49','2020-12-03 20:31:37',null,'1',null,'0');
INSERT INTO complaints VALUES('2606','FIZAN AHMED MAGARAY','03335759469','MALIK MUNIR AFSHA COLONY SADAT MARKET AL FATAY CHOWK  R.W.P','9','19','199211','FIVE STAR','0',null,'12-NOV-2020','40L-WC - 1759','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-26 19:40:43','2021-01-10 23:16:39',null,'1',null,'0');
INSERT INTO complaints VALUES('2607','MRS KASHIF','03215374175','HO#13 ST#01 SEC H DHA 02 ISB','6','12','21738','SIGNATURE','0',null,'29-JUNE-2019','SRF-KK95G - 903','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-26 20:13:38','2020-12-02 00:36:44',null,'1',null,'0');
INSERT INTO complaints VALUES('2608','JEBRAN KHAN','03145845705','PLAZA #123 OFFICE#01 IST FLOOR SPRING NOURTH BEHIRA TOWN','6','12','30132','HOMAGE','0',null,'21-OCT-2020','43HWD - 993','WATER DISPENSER','NO WATER HEATING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-26 20:28:48','2020-11-28 02:44:34',null,'1',null,'0');
INSERT INTO complaints VALUES('2609','BADAL FCI','03145299358','FRIEND CALPARACTION BLUE AREA ISB','5','34','0','SONY','0','2020-11-26',null,'40W650D-CC - 938','FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-26 21:06:38','2020-12-24 23:54:41',null,'1',null,'0');
INSERT INTO complaints VALUES('2610','BADAL FCI','03145299358','FRIEND CALPARACTION BLUE AREA ISB','5','34','0','SONY','0',null,'0','40W650D-CC - 938','FLAT PANEL TV','BACK BODY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-26 21:08:09','2020-12-24 23:53:09',null,'1',null,'0');
INSERT INTO complaints VALUES('2611','CH AMIN','03339999486','HO#47 ST#06 PHASE 05 BEHIRA TOWN','9','51','111422','LG','0',null,'09-MAR-2016','1452S - 34','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-26 21:27:20','2020-12-08 21:38:39',null,'1',null,'0');
INSERT INTO complaints VALUES('2612','KASHAN TANWEER','03318558889','HO#2294 ST#55 ABUBAKAR BLOCK PHASE 08','6','15','23746','HAIER','0',null,'30-OCT-2019','95-1678HWM - 1817','WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-26 21:45:03','2020-11-29 22:16:47',null,'1',null,'0');
INSERT INTO complaints VALUES('2613','ZAKWAN AHMED','03338516687','HO#28 ST#87 SEC G 13/1 ISB','5','33','119633','GREE','0',null,'23-JULY-2020','18CITH12G - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-26 22:00:10','2020-11-27 01:08:38',null,'1',null,'0');
INSERT INTO complaints VALUES('2614','SAFAN AHMED','03215231333','HO#20 ST 12 SHAHEIN TOWN NEAR FAZAYA COLONY RWP','9','23','143759','SIGNATURE','BEST COOL INVOICE HAY',null,'02-DEC-2017','SWM-JD46 - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-26 22:00:11','2020-11-30 22:06:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2615','MR TARIQ BAKIR','03009101492','HO#122 ST 8/1 SEC A SARAZ HOUSING SOCIETY ISB','9','19','188088','HAIER','0',null,'11-MAR-2020','120B-14876 - 906','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-26 22:08:35','2020-12-03 20:51:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2616','ADNAN','03135211433','OFFICE ZARKOON HIGHTES SEC G-15 ISB','9','19','193193','GREE','0',null,'21-JULY-2020','24CITH11B - 917','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-26 22:30:27','2020-12-05 20:53:03',null,'1',null,'0');
INSERT INTO complaints VALUES('2617','SAQIB NAWAZ','03137777717','HO#770A ST#19 I-8/2 ISB','5','34','11,059','LG','0',null,'17-MAY-2018','9569NEFPS-C - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-26 22:32:09','2020-12-17 02:13:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2618','ISHTAIQ','03365776098','HO#394 BLOCK A MAIN ROAD MEDIA TOWN','9','23','185603','SAMSUNG','0',null,'16-JAN-2020','11J5710-S - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-26 23:19:49','2020-11-30 22:06:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2619','MR TOUSEEF','03216501342','HO#16 ST 01 SEC F-7/3 ISB','5','28','123881','WELCOME','MODAL#900MC SALE ADVISOR ABU BAKAR',null,'12-NOV-2020',null,'COOKING RANGE','NOT WORKING',null,'5','completed',null,'customer','0',null,'92','2020-11-26 23:20:40','2021-01-27 21:48:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2620','JHAGEER','03145834341','HO#64 ST#01 BLOCK B HOUSING SOCIETY PWD','4','6','10576','LG','0',null,'02-SEP-2019','1066NEFTW-S - 902','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-26 23:24:04','2020-12-01 20:06:13',null,'1',null,'0');
INSERT INTO complaints VALUES('2621','TARIQ','03332337703','HO#B 49 KOHISTAN ENCLAVE WAH CANTT','9','22','199547','LG','0',null,'21-NOV-2020','1066NEFTW-S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-26 23:28:06','2020-12-08 01:47:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2622','MRS IRFAN','03455442232 (03345554419)','HO#CB7/1C2 SEHAM ROAD PESHAWAR ROAD RWP','8','38','183137','SAMSUNG','SALE ADVISOR IMRAN',null,'13-DEC-2019','40N5300-S - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-26 23:37:04','2020-12-04 19:56:33',null,'1',null,'0');
INSERT INTO complaints VALUES('2623','MALIK JAVED','03144511971','HO#208 ST#08 PHASE 03 B. TOWN','4','7','11195','SHARP','0',null,'27-OCT-2019','612MB-SS2 - 1547','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-26 23:43:47','2020-11-28 20:54:38',null,'1',null,'0');
INSERT INTO complaints VALUES('2624','MR HAROON','03438599007','MALIK HOUSE PMO ROAD TAXILA','8','37','23053','MITSUBISHI','0',null,'17-JUN-2017','50VA - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-26 23:56:23','2020-12-19 22:28:26',null,'1',null,'0');
INSERT INTO complaints VALUES('2625','MR SIKANDAR','03028201780','HO#20 ST 17-H BLOCK F NAVAL ANCHORAGE ISB','8','42','7592','SAMSUNG','0',null,'09-FEB-2019','90J5710 - 901','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-27 01:18:10','2020-11-30 21:03:05',null,'1',null,'0');
INSERT INTO complaints VALUES('2626','MR AHMED','03365137482','HO#07 ST 11 SEC C, BAHARIA ENCLAVE ISB','9','22','186021','BOSCH','0',null,'25-JAN-2020','20260GC - 880','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-27 01:26:05','2020-12-05 19:28:57',null,'1',null,'0');
INSERT INTO complaints VALUES('2627','ABDUL WAHEED','03456679900','HO#55 ST 04 EXATIVE LOUDGE PHASE 3 BAHARIA TOWN ISB','6','16','23602','ORIENT','SALE ADVISOR BADAL',null,'20-OCT-2019','18G-ATLANTIC-GW - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-27 01:40:38','2020-12-04 20:24:23',null,'1',null,'0');
INSERT INTO complaints VALUES('2628','MR SOHAIB','03335505486','C WALT CAMIST COMATTI CHOCK RWP','9','20','149743','CARAVELL','0',null,'03-APR-2018','600MEC - 1652','CHILLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-27 01:54:09','2020-11-29 01:10:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2629','MR HASNAAT ALI','03465839441','FLAT#F BLOCK S/2 NEAR KHALIL LINE WESTRIDGE RWP','9','19','182309','HAIER','0',null,'01-DEC-2019','336IDB - 860','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-27 02:00:54','2020-12-03 20:53:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2630','ALI ABBAS','03218561601','HO#175 ST#19 BLOCK D PWD','4','6','16550','ORIENT','0',null,'01-OCT-2020','529OWR - 128','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-27 02:29:56','2020-12-04 20:21:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2631','SHABBIR','03335161260','HO#09 ST#49 JINNAH GARDEN OHASE 01 ISB','9','26','85047','KENWOOD','0',null,'28-OCT-2013','7050FAT - 121','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-27 02:59:09','2020-12-05 20:51:33',null,'1',null,'0');
INSERT INTO complaints VALUES('2632','MR ASIF SHEIKH','03437175855','HO#354A ST 36 SEC F-11/3 ISB','5','31','97436','SIGNATURE','0',null,'27-AUG-2018','SWM-SR45 - 899','WASHING MACHINE','ERROR E1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-27 03:13:26','2020-12-03 23:25:03',null,'1',null,'0');
INSERT INTO complaints VALUES('2633',null,null,null,'6',null,null,'DAWLANCE','00000',null,null,null,'AIR CONDITIONER','45-ELEGANCE OUTDOOR GAS LEAKAGE.',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-11-27 04:16:25','2020-12-08 23:13:23',null,'1',null,'0');
INSERT INTO complaints VALUES('2634','SOHAIL QURESHI','03302444427','HO#1830 ST#61 PHASE 03 BEHIRA TOWN','6','13','29707','SIGNATURE','SWH-20-10',null,'22-SEP-2020',null,'GEYSER','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-27 19:59:12','2020-11-30 20:40:32',null,'1',null,'0');
INSERT INTO complaints VALUES('2635','CAP HAMZA ARSHAD','03328646448','T.M.S GARRISON FLAT#19/6 MOQ TARBELA GHAZI','8','38','43640','HAIER','0',null,'21-NOV-2020','438IDBT - 896','REFRIGERATOR','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-27 20:50:37','2020-12-05 19:27:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2636','AMBREEN','03365832559','HO#123 ST#42 MARGALA TOWN PHASE 02','5','35','124108','ORIENT','0',null,'18-NOV-2020','AUTO7 - 1548','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-28 00:08:02','2020-12-05 19:24:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2637','CH QAMAR ZAMAN','03008548853','HO#09 ST#41-A G-7/4 ISB','5','31','117206','SONY','0',null,'04-JUN-2020','49X8000G-CC - 1629','FLAT PANEL TV','DEAD UNIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-28 00:47:40','2020-11-30 21:02:30',null,'1',null,'0');
INSERT INTO complaints VALUES('2638','FAROOQ HAIDER','03165491340','HO#417ST#1 F/02 PHASE 04 C2 GORI GREEN ISB','4','6','16046','SUPER ASIA','CELL PHONE PA CALL AAI(INVOICE B HAIN)',null,'22-AUG-2020','620EH - 1543','GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-28 00:59:31','2020-11-30 22:19:38',null,'1',null,'0');
INSERT INTO complaints VALUES('2639','ABDUL QADIR','03215261858','NARC NAGIB DEPARTMENT PAK CHAK SHAHZAD ISB','9','24','43736','DAWLANCE','0',null,'26-NOV-2020',null,'AIR CONDITIONER','OUT DOOR GASS NAI',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-28 02:34:02','2020-12-08 23:09:30',null,'1',null,'0');
INSERT INTO complaints VALUES('2640','ADNAN','03208001464','HO#12 FAZAL TOWN PHASE 01 NEAR BUT MARKET AIR PORT ROAD CHAKLALA R.W.P','8','38','40265','LG','43UK6100P-869',null,'15-JUNE-2020',null,'FLAT PANEL TV','DISPLAY PROB',null,'5','CLOSED CLOSED',null,'customer','0',null,'74','2020-11-28 02:39:10','2020-12-02 00:19:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2641','ALI HASSAN','03455123111','HO#02 ST#06 RIVER GARDEN HOUSING SOCITY ISB','8','37','43406','FIVE STAR','55G-HEVY DUTY',null,'07-NOV-2020',null,'GEYSER','THERMOSTAT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-28 02:52:15','2020-12-05 20:59:27',null,'1',null,'0');
INSERT INTO complaints VALUES('2642','HUMAYUN AKHTER','03455409481','HO#SA 196-A ST#09 SADIQABAD R.W.P','9','27','179097','SAMSUNG','CELL PHONE PA CALL AAI(INVOICE B HAIN)',null,'24-SEP-2019','11J5710-S - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-28 02:56:36','2020-11-29 01:57:09',null,'1',null,'0');
INSERT INTO complaints VALUES('2643','ABBAS AHMED','03333311154','HO#19 ST#07 RIVER GARDEN ISB','5','31','121910','SONY','0',null,'15-SEP-2020','49W800G-CC - 1629','FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-28 03:02:00','2021-02-15 13:21:57',null,'1',null,'0');
INSERT INTO complaints VALUES('2644','ABBAS AHMED','03333311154','PLAZA #30 SEC E COMMERCIAL JINNAH DHA 02 ISB','5','31','121935','DAWLANCE','0',null,'16-SEP-2020','136G - 1172','MICROWAVE OVEN','TRY MOTER NOT MOVE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-28 03:09:00','2020-12-05 19:19:51',null,'1',null,'0');
INSERT INTO complaints VALUES('2645','COL OWAIS','03325132216','HO#02 ST 61 SEC C DHA PHASE  5 ISB','4','9','11293','LG','SALE ADVISOR SALEEM',null,'07-NOV-2019','512FPS-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-28 20:05:59','2020-12-08 01:46:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2646','IJAZ BUTT','03328557328','HO#22 ST#52 E-11/3 ISB','5','34','101188','KENWOOD','0',null,'08-JAN-2019','1824HC - 915','AIR CONDITIONER','HEATING PRB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-28 20:12:39','2020-12-05 20:50:57',null,'1',null,'0');
INSERT INTO complaints VALUES('2647','MR JUNAID','03318223396','PLAZA 241 SPRING NORTH COMMERCIAL PHASE 7 BAHRIA TOWN ISB','6','15','30031','HAIER','MODAL#18HFBG-INV-915',null,'14-OCT-2020',null,'AIR CONDITIONER','HEATING#COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-28 20:14:55','2021-02-20 13:38:19',null,'1',null,'0');
INSERT INTO complaints VALUES('2648','AFTAB KHAN','03135754599','R.W.P','9','20','187086','SAMSUNG','1636750-S(C/O TAHIR B. COOL)',null,'17-FEB-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-28 20:22:50','2020-12-17 02:13:12',null,'1',null,'0');
INSERT INTO complaints VALUES('2649','MR ASIM MUGHAL','03005335589','KHOKHAR MALL MASJID SULTANIA PATROL PUMP D CHOCK RWP','4','9','11408','ORIENT','SALE ADVISOR SALEEM KHURRAM GOOGLE SIR',null,'16-NOV-2019','12G-HYPER-SW - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-28 20:29:50','2020-12-08 22:58:26',null,'1',null,'0');
INSERT INTO complaints VALUES('2650','AAMIR JAMSHED','03215371204','HO#41 ST 21 KORANG TOWN ISB','9','26','175801','LG','PTCL CALL',null,'23-JULY-2019','882HLHU-S - 909','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-28 21:06:53','2020-12-08 01:36:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2651','BILL FHSS','03120578711','FRIENDS HOME SHAMSHABAD R.W.P','8','41','0','SONY','65X7500-H(SHAMSHABAD SHOROOM PA VISIT KARWAY)',null,'0',null,'FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-28 22:30:40','2020-12-01 19:45:39',null,'1',null,'0');
INSERT INTO complaints VALUES('2652','BADAL FCI','03145299358','FRIEND CORPORATION BULE AREA ISB','5','34','0','SONY','75X7500-H',null,'0',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-28 22:45:22','2020-12-17 02:12:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2653','HASSAN FHHS','03013000123','FRIENDS HOME SHAMSHABAD R.W.P','8','37','0','SONY','75X7500-H',null,'0',null,'FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-28 23:22:03','2020-12-09 01:03:59',null,'1',null,'0');
INSERT INTO complaints VALUES('2654','MR MOAZAM KHAN','03354435999','HO#14 ST 4 SEC C, DHA PHASE 2 ISB','7','49','20198','SIGNATURE','SALE ADVISOR ZAHID PWD',null,'12-DEC-2019','SCF-HM09 - 954','FREEZER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-28 23:24:48','2020-11-30 20:48:34',null,'1',null,'0');
INSERT INTO complaints VALUES('2655','HASSAN CH','03336666676','HO#151 ST#48 F -10/4 ISB','5','31','10766632','SONY','55X7500F-CC-1019',null,'19-JULY-2019',null,'FLAT PANEL TV','REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-28 23:32:23','2020-12-19 23:14:33',null,'1',null,'0');
INSERT INTO complaints VALUES('2656','MR EHTSHAM','03361085544 0515495768','OPPOSITE ST 12 MAIN STREET CAPITAL  HOMES SHAMS COLONY GOLDA MOR ISB','9','23','149175','SIGNATURE','0',null,'25-MAR-2018','32DN6 - 936','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-28 23:40:46','2020-12-03 20:23:38',null,'1',null,'0');
INSERT INTO complaints VALUES('2657','MRS FAWAD','03366888099','HO#52 ST 13 SEC E, DHA 1 ISB','6','12','26797','KENWOOD','0',null,'08-APR-2020','1831S-INV - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-29 00:16:32','2020-12-05 23:20:23',null,'1',null,'0');
INSERT INTO complaints VALUES('2658','NADEEM BADAR','03215580411','HO#914 ST#44 PHASE 07 B TOWN','6','12','6346','SIGNATURE','0',null,'18-DEC-2016','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-29 00:28:20','2020-11-30 20:48:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2659','DR SHAHID','03332280648','HO#216 ST 32 SEC I-8/2 ISB','8','37','26345','FISCHER','0',null,'11-MAR-2018','55TWIN-HEAVY DUTY - 1538','GEYSER','ON OFF ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-11-29 01:48:30','2020-12-01 20:42:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2660','FASAL NAJAM','03116660333','HO#271 ST 85, SEC E-11/2 ISB','5','28','84006','SIGNATURE','21-OCT KO COMPLAINT AAI THI AGAIN COMPLAINT',null,'6-MAY-2017','SWM-FW1409S - 901','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-29 01:51:09','2020-12-29 02:22:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2661','DR SEEMA SHAFIQ','03345484507','HO#768 ST 74 SEC G-10/4 ISB','5','32','124313','HAIER','MODAL#18HFCA-G',null,'23-NOV-2020',null,'AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-29 02:34:52','2020-12-03 21:05:16',null,'1',null,'0');
INSERT INTO complaints VALUES('2662','SAJID GODOWN','03135978937','FRIENDS HOME SHAMSHABAD R.W.P','8','38','0','SAMSUNG','ASLAM SIR I 10/3 LA K AAY',null,'0','11J5710-S - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-29 02:38:22','2020-11-30 20:47:38',null,'1',null,'0');
INSERT INTO complaints VALUES('2663','MR ARIF','03135164415','HO#113-B ST#06 BLOCK B MIDA TOWN','8','39','43308','LG','0',null,'01-NOV-2020','4J5TNP7S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-29 02:44:28','2020-12-08 01:16:31',null,'1',null,'0');
INSERT INTO complaints VALUES('2664','WAQAS( PWD)(AHMER)','03239309080','FRIENDS CORPORATION PWD','4','10','0','SONY','PWD SHOWROOM PA VISIT KARNA','2020-11-28',null,'49W800G-CC - 1629','FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-29 02:57:44','2020-12-17 02:11:40',null,'1',null,'0');
INSERT INTO complaints VALUES('2665','IQBAL STOCK (FCI)','0346-5166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','SIGNATURE','ASLAM SIR BULE AREA SA LA K AAY',null,'0','SBC-ADELAIDE-90 - 1123','BUILT IN APPLLIANCES','NOT WORKING(I 10/ 3 SA READY HO Y',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-29 03:14:16','2020-11-30 20:46:59',null,'1',null,'0');
INSERT INTO complaints VALUES('2666','MRS BASHARAT','03009555550','HO#102 LANE 01 HARLEY STREET CMH HOSPITAL RWP','6','16','30676','SIGNATURE','MODAL#SWH-20-10',null,'25-NOV-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-11-29 19:46:09','2020-11-30 21:47:51',null,'1',null,'0');
INSERT INTO complaints VALUES('2667','SAJJID AKHTER','03005171787','PALAZA 141 WALAIT COMPLEX OPPOSITE CHAINA CENTER 2 ISB','6','14','26020','ORIENT','SALE ADVISOR ZEESHAN',null,'08-FEB-2020','18G-ATLANTIC-GW - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-29 20:00:55','2020-12-05 22:58:55',null,'1',null,'0');
INSERT INTO complaints VALUES('2668','MRS RASHID','03035129393','HO#738 ST 83 SEC I-8/4 ISB','8','39','43757','WELCOME','MODAL#FA415',null,'28-NOV-2020',null,'COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-29 20:48:12','2020-12-01 02:09:18',null,'1',null,'0');
INSERT INTO complaints VALUES('2669','MR NADIR KHAN','03145229336','HO#12 ST 19 BLOCK A, SATLITE TOWN RWP','9','19','132278','SIGNATURE','0',null,'26-APR-2017','SRF-KK95G - 903','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-29 21:22:42','2020-12-18 20:38:52',null,'1',null,'0');
INSERT INTO complaints VALUES('2670','MRS MALIK','03331948777','HO#07 ST 12 SEC D, DHA 2 ISB','6','12','30759','BOSCH','KHURRAM SB',null,'28-NOV-2020','97DM50B - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-29 21:28:30','2020-12-05 21:49:52',null,'1',null,'0');
INSERT INTO complaints VALUES('2671','MR SHOAIB NASEEM','03335692284','HO#1359 ST 47 ALI BLOCK  PHASE 08 RWP','9','23','148807','SAMSUNG','KAMRAN BAHRIA 7 NAY COMPLAINT  BAJI HAY',null,'18-MAR-2018','60M5010FS-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-29 22:00:49','2020-12-05 19:48:48',null,'1',null,'0');
INSERT INTO complaints VALUES('2672','MR  NASEEM KHAN','03335379232','HO#528 ST 11 SEC-2 AIR PORT HOUSING SOCITY RWP','9','19','11467','SIGNATURE','PTCL CALL INVOICE HAY 2 WASHING MACHINE MAY ISSUE HAY',null,'20-NOV-2019','SWM-JD50C - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-29 22:11:21','2020-12-05 19:50:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2673','ISHTAIQ AHMED','03335121648','HO#715D ST 22 SEC I-8/2 ISB','9','21','192921','GREE','SALE ADVISOR MURTAZA',null,'16-JULY-2020','9978EG-CR2 - 2116','REFRIGERATOR','RABER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-30 00:38:48','2020-12-05 22:33:35',null,'1',null,'0');
INSERT INTO complaints VALUES('2674','MR IFTIKHAR','03325250491','HO#83/14B ST 15 SEC G-9/2 ISB','9','19','10943','HAIER','PTCL CALL',null,'15-FEB-2020','120-1678HWM - 906','WASHING MACHINE','ERROR E3',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-30 02:10:22','2020-12-03 23:52:27',null,'1',null,'0');
INSERT INTO complaints VALUES('2675','MR IFTAKHAR','03009709697','HO#97 ST 3 HARLLY STREET RWP','9','22','199874','SIGNATURE','MODAL#SWH-20-07',null,'26-NOV-2020',null,'GEYSER','WATER LEAKAGE  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-30 02:29:00','2020-12-03 20:22:55',null,'1',null,'0');
INSERT INTO complaints VALUES('2676','SOHAIL QURESHI','03302444427','HO#1830 ST#61 PHASE 03 BEHIRA TOWN','6','13','29707','SIGNATURE','SWH-20-10',null,'22-SEP-2020','10G - 1540','GEYSER','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','2634','74','2020-11-30 20:04:46','2020-11-30 20:40:04',null,'1',null,'0');
INSERT INTO complaints VALUES('2677','MRS RASHID','03035129393','HO#738 ST 83 SEC I-8/4 ISB','8','39','43757','SIGNATURE','MODAL#FA415 (LG COOKING RANGE)',null,'28-NOV-2020',null,'COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-30 20:24:50','2020-11-30 21:47:19',null,'1',null,'0');
INSERT INTO complaints VALUES('2678','WAQAR ALI','03355831830','HO#117 ST 1A ALMUSTAFA TRUST WALAITE COLONY RWP','8','38','37272','SIGNATURE','PTCL CALL',null,'22-OCT-2019','SWM-JD50C - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-30 20:52:02','2020-12-03 20:22:23',null,'1',null,'0');
INSERT INTO complaints VALUES('2679','MH IMRAN','03335586780','HO#43C ST 09 FACE 2 WAH MODAL TOWN WAH CANT','9','22','199884','HAIER','0',null,'26-NOV-2020','438IDRT - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-30 21:07:04','2020-12-04 00:02:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2680','MR USMAN','03225045558','HO#32 ROSE LANE 5 NEW LALAZAR NEAR FOUNDATION UNIVERSITY RWP CAMPS','9','27','200031','HAIER','0',null,'29-NOV-2020','438IDBT - 896','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-30 21:28:08','2020-12-04 00:04:02',null,'1',null,'0');
INSERT INTO complaints VALUES('2681','FEROZAE AHMED','03000634392','HO#14 IQBAL BLVD SEC E, DHA PHASE 2 ISB','9','27','197548','WELCOME','MODAL#35G-HEAVY',null,'13-OCT-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-30 21:33:59','2020-12-08 01:40:55',null,'1',null,'0');
INSERT INTO complaints VALUES('2682','IMRAN SHEAIKH','03005008083','HO#132 ST 07 BLOCK C CBR TOWN PHASE 1 ISB','4','6','15065','HAIER','SALE ADVISOR SALEEM',null,'03-JULY-2020','578TBP - 910','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-30 21:40:56','2020-12-05 21:23:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2683','MR IMRAN','03335302726','HO#564 ST 28-24 PHASE 3 BAHRIA TOWN RWP','4','6','4749','SIGNATURE','SALE ADVISOR SALEEM',null,'05-AUG-2018','SWM-SR40 - 1548','WASHING MACHINE','ERROR E4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-30 21:47:21','2020-12-03 19:20:55',null,'1',null,'0');
INSERT INTO complaints VALUES('2684','MR AFRAAZ','03009316628','HO#14 ST 01 NEAR T CHOCK EXPRESS WAY ISB','8','37','33100','KENWOOD','0',null,'06-APR-2019','1224HC-INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-30 21:56:03','2021-02-20 16:40:56',null,'1',null,'0');
INSERT INTO complaints VALUES('2685','DR TAHIR','03335700350','HO#765/12 ALTAMASH ROAD DAHRE HASAN ABAD RWP','9','51','197139','CANON','SALE ADVISOR SAIFULLAH',null,'04-OCT-2020','U-1 - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-30 22:05:39','2020-12-05 20:49:15',null,'1',null,'0');
INSERT INTO complaints VALUES('2686','MR AWAIS','03458599105','HO#1152 ST 26 BAHRIA PHASE 5 ISB','4','5','253','SAMSUNG','PTCL CALL INVOICE HAY',null,'13-OCT-2017','11J5710GT - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-30 22:18:56','2020-12-01 19:53:24',null,'1',null,'0');
INSERT INTO complaints VALUES('2687','AZHAR SOHAIL','03008560354','HO#111B OXFORD ST GREEN AVENUE PAK ROAD CHAK SHAHZAD ISB','5','30','116701','GREE','18ARO1W',null,'20-MAY-2020',null,'AIR CONDITIONER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-11-30 22:30:41','2020-12-05 22:35:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2688','MR KHURRAM','03008495302','HO#325 ST 18 GARDEN CEATING ZONE MONTH BAHRIA TOWN PHASE 7 RWP','6','16','30560','WELCOME','MODAL#556-HEAVY',null,'19-NOV-2020',null,'GEYSER','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-30 22:33:39','2020-12-07 23:06:13',null,'1',null,'0');
INSERT INTO complaints VALUES('2689','MR ASAD','03009843232','HO# 158 ST 04 BLOCK A GULBERG GREENS ISB','8','37','23744','WELCOME','MODAL#55G CEAR OF BEST COOL HEAD OFFICE KI INVOICE HAY',null,'03-NOV-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-11-30 22:47:15','2021-01-31 23:13:48',null,'1',null,'0');
INSERT INTO complaints VALUES('2690','SYED ZAYER HASAN','03455227218','HO#65 ST 2 ASKRI 13 ISB','9','51','199739','LG','MODAL#65UN7440-S  SAQIB FCP',null,'24-NOV-2020',null,'FLAT PANEL TV','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-01 00:22:58','2020-12-30 22:37:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2691','RAMEEZ ABBASI','03000607973','HO#SN-963 ST 1 FAROOQ-E-AZAM ROAD DOHKKALA KHAN RWP','9','24','174004','ECOSTAR','SALE ADVISOR IMRAN',null,'29-JUN-2019','32U571 - 936','FLAT PANEL TV','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-01 00:32:13','2021-01-18 21:53:27',null,'1',null,'0');
INSERT INTO complaints VALUES('2692','TAREEN','03209111119','APP# 322 KHUDADAR HEIGHT E-11/ MAIN MARGALA ROAD','8','37','538','KENWOOD','0',null,'11-MAY-2020','1239S-INV - 913','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-01 00:33:00','2020-12-05 23:25:03',null,'1',null,'0');
INSERT INTO complaints VALUES('2693','ABU BAKAR (FCI)','03365122695','FRIENDS CORPORATION BULE AREA ISB','5','28','0','FIVE STAR','999MC MAZX(C/O  ABU  BAKER )',null,'0',null,'COOKING RANGE','NOB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-01 00:39:41','2020-12-01 22:32:02',null,'1',null,'0');
INSERT INTO complaints VALUES('2694','KHURRAM SHEHZAD','03465313304','HO#189-A ST 40 SEC G-6/1-3 ISB','5','53','124464','ORIENT','0',null,'26-NOV-2020','AUTO8 - 899','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-01 00:52:53','2020-12-08 22:52:52',null,'1',null,'0');
INSERT INTO complaints VALUES('2695','TALIB HUSSAIN','03355735896','HO#1502 ST 17/1 BLOCK C POLICE FOUNDATION ISB','4','10','17144','HAIER','SALE ADVISOR WALEED',null,'12-NOV-2020','85-7288 - 69','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-01 01:02:42','2020-12-07 21:44:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2696','MR SHEHBAZ','03315059016','HO#111/4 KRL OFFICERS COLONY RWP','8','37','24406','LG','0',null,'23-SEP-2017','8507T-C - 902','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-01 01:12:31','2020-12-22 02:12:13',null,'1',null,'0');
INSERT INTO complaints VALUES('2697','ALI AZIZ UD DIN','03218424483','HO#57 BLOCK C LANE #06 ASKARI 02 CHAKLALA SCKEEM 03 R.W.P','6','15','1601','HAIER','0',null,'21-NOV-2017','578TBG - 910','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-01 01:19:39','2020-12-05 21:29:26',null,'1',null,'0');
INSERT INTO complaints VALUES('2698','ALI AZIZ UD DIN','03218424483','HO#57 BLOCK C LANE #06 ASKARI 02 CHAKLALA SCKEEM 03 R.W.P','6','15','1601','HAIER','0',null,'21-NOV-2017','85-7288 - 69','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-01 01:21:00','2020-12-05 21:33:05',null,'1',null,'0');
INSERT INTO complaints VALUES('2699','MR ZAMAN','03028544971','HO#3 ST 45 SEC F-8/1 ISB','5','32','122203','WELCOME','MODAL#35G-HEAVY',null,'24-SEP-2020',null,'GEYSER','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-01 01:37:09','2020-12-01 22:10:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2700','DR BASEER','03005000978','HO#268M ST 17 E-11/4 ISB','5','32','108982','LG','0',null,'30-AUG-2019','702HMHU-S - 885','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-01 01:45:37','2020-12-12 21:47:31',null,'1',null,'0');
INSERT INTO complaints VALUES('2701','MR ALI SHEIKH','03345559604','HO#215 ST 39 SEC F-11/3 ISB','5','30','84549','DAWLANCE','0',null,'20-MAY-2017','91996GD-INVERTER - 885','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-01 01:54:37','2020-12-08 22:24:10',null,'1',null,'0');
INSERT INTO complaints VALUES('2702','MISS NOSHEEN','03305567788','HO#64 ST 32 SEC F-6/1 ISB','5','31','109757','HAIER','PTCL CALL MODAL#RH336EBS',null,'28-SEP-2019',null,'REFRIGERATOR','RABER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-01 02:03:41','2020-12-07 21:52:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2703','MR ALI','03351153610','HO#58 ST 21 NEAR MOSQUE FEDERATION HOUSING SOCITY POLICE FOUNDERION ISB','4','9','13347','LG','SALE ADVISOR MISC',null,'29-FEB-2020','1366NEFTFS-C - 907','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-01 02:44:02','2020-12-07 22:15:26',null,'1',null,'0');
INSERT INTO complaints VALUES('2704','MR NASIR','03355714788','HO#795 ST 12 PIA COLONY MASREYAL ROAD RWP','9','23','199831','CANON','SAQIB FCP',null,'26-NOV-2020','24D-PLUS-DUAL - 1032','GEYSER','SOUND ISSUE',null,'5','RESOLVED',null,'customer','0',null,'92','2020-12-01 19:49:25','2020-12-12 21:11:02',null,'1',null,'0');
INSERT INTO complaints VALUES('2705','ADNAN','03208001464','HO#12 FAZAL TOWN PHASE 01 NEAR BUT MARKET AIR PORT ROAD CHAKLALA R.W.P','8','38','40265','LG','43UK6100P-869',null,'15-JUNE-2020',null,'FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-01 19:50:08','2020-12-12 21:46:56',null,'1',null,'0');
INSERT INTO complaints VALUES('2706',null,null,null,'4',null,null,null,null,null,null,null,'FLAT PANEL TV','39hd-action spot on panal',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-12-01 20:05:03','2020-12-19 23:40:26',null,'1',null,'0');
INSERT INTO complaints VALUES('2707',null,null,null,'4',null,null,'ORIENT',null,null,null,'62D - 1602','MICROWAVE OVEN','Not turning on',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-12-01 20:05:43','2020-12-08 23:02:03',null,'1',null,'0');
INSERT INTO complaints VALUES('2708','MR KAMRAN','03235348505','HO#5/5 ST 77 SEC G-7/1 ISB','5','35','124386','HAIER','0',null,'24-NOV-2020','100HW15HDG - 1619','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-01 20:06:02','2020-12-05 21:35:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2709',null,null,null,'4',null,null,'ORIENT',null,null,null,'AUTO8 - 899','WASHING MACHINE','Side damage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-12-01 20:06:16','2021-01-06 02:32:39',null,'1',null,'0');
INSERT INTO complaints VALUES('2710','MR RAJA','03458439561','HO#278 ST 2 SEHAM ROAD RWP','9','19','198902','HAIER','0',null,'08-NOV-2020','120-826 - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-01 20:55:06','2020-12-05 21:40:00',null,'1',null,'0');
INSERT INTO complaints VALUES('2711','BRIG RAHEEL','03335988883','HO#68C ST 47A SEC F DHA 1 ISB','8','37','27443','SIGNATURE','PTCL CALL INVOICE HAY',null,'10-MAY-2018','SWM-FW1610S - 902','WASHING MACHINE','ERROR E-10',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-01 21:12:55','2020-12-12 21:46:19',null,'1',null,'0');
INSERT INTO complaints VALUES('2712','SYED PERVEZ HAIDER','03028621010','APP#101 HUMZA TAWAR SEC F-11/1 ISB','5','31','124048','GREE','MODAL#18PITH1W',null,'17-NOV-2020',null,'AIR CONDITIONER','HEATING ISSUE',null,'5','RESOLVED',null,'customer','0',null,'92','2020-12-01 21:26:53','2020-12-12 21:13:04',null,'1',null,'0');
INSERT INTO complaints VALUES('2713','OBAID UL REHMAN','03005811696','HO#85 LANE 04 HARLEY STREET RWP','7','49','21292','GREE','SALE ADVISOR ZAHID PWD',null,'26-JUN-2020','500FC - 993','WATER DISPENSER','BOTTLE  CAP ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-01 21:42:40','2020-12-05 22:40:55',null,'1',null,'0');
INSERT INTO complaints VALUES('2714','ABDUL WAJID','03008509930','HO#W40 ST#01 DHOK LALYAL NEW FAZAIYA  COLONY R.W.P','8','42','38501','CANON','0',null,'02-JAN-2020','24D-PLUS - 1031','GEYSER','NOR WORKING',null,'5','RESOLVED',null,'customer','0',null,'74','2020-12-01 21:46:18','2020-12-12 21:16:15',null,'1',null,'0');
INSERT INTO complaints VALUES('2715','MR WAQAS','03335464844','HO#155 ST 53 SEC I-8/3 ISB','5','34','322416','HAIER','KHURRAM GOOGLE SIR',null,'30-SEP-2020','438IDBT - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-01 22:38:42','2020-12-03 19:46:40',null,'1',null,'0');
INSERT INTO complaints VALUES('2716','MR ZUBAIR','03340151061','HO#103 ST 12, LANE 4 BAHRIA TOWN PHASE  3 RWP','8','37','30121','SIGNATURE','SALE ADVISOR USMAN PTCL CALL',null,'20-OCT-2018','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-01 22:51:56','2020-12-03 23:24:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2717','MR JAVAID','03235069203','HO#390 ST 31 SEC G-8/2 ISB','5','33','115049','LG','0',null,'27-FEB-2020','1366NEFTFS-C - 907','WASHING MACHINE','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-01 23:04:47','2020-12-19 22:59:48',null,'1',null,'0');
INSERT INTO complaints VALUES('2718','MR AFSAR','03343442287','HO#B-328 GULISTAN COLONY NEAR JINNAH GATE BAHRIA NO 01 POF WAH CANTT','9','24','166758','HAIER','SALE ADVISOR JAVED',null,'03-MAR-2019','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-01 23:18:20','2020-12-05 21:41:55',null,'1',null,'0');
INSERT INTO complaints VALUES('2719','HASSAN ZAFAR','03349549970','HO#245 ST#32 BLOCK C PWD','4','7','14005','HAIER','0',null,'17-MAY-2020','85-1708HWM - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-02 00:17:00','2020-12-05 21:43:57',null,'1',null,'0');
INSERT INTO complaints VALUES('2720','ABDUR REHMAN CHEEMA','03212514354','HO#02 ST 06 SHAHEEN TOWN POST OFFICE FIZAIYA RWP','8','37','34895','HAIER','0',null,'23-JUN-2019','95-1678HWM - 1817','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 00:25:02','2020-12-07 21:54:04',null,'1',null,'0');
INSERT INTO complaints VALUES('2721','HASEEB AHMED','03335139260','HO#1713 ST 75, BLOCK B SEC B-17 ISB','5','35','124648','HAIER','0',null,'29-NOV-2020','438IDBT - 896','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 01:33:43','2020-12-04 00:13:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2722','MR ALI ABDULLAH','03335136827','HO#913 ST 79 SEC I-8/3 ISB','5','35','120338','LG','0',null,'06-AUG-2020','4V5RGP2T-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 02:12:17','2020-12-19 22:58:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2723','HAFIZ ZUBAIR','03025455522','HO#ZB-1253 SEC 3 KHYABAN-E-SERSYED MUHAMMADI CHOWK RWP','8','37','21691','SIGNATURE','PTCL CALL',null,'22-APR-2017','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 02:24:59','2020-12-03 20:27:37',null,'1',null,'0');
INSERT INTO complaints VALUES('2724','ZOHAIB MEHMOOQ','03455147028','HO#494 ST#67 I 8/3 ISB','5','28','124853','SAMSUNG','55Q7OT-MRM',null,'01-DEC-2020',null,'FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-02 02:26:41','2020-12-03 00:57:56',null,'1',null,'0');
INSERT INTO complaints VALUES('2725','MR ARSALAN','03005178042','ALI PLAZA LAHORE  NASHTA CENTER MARYUM SHADE HALL  SHAMSA BAD RWP','8','40','41118','HAIER','0',null,'16-JULY-2020','368IDBT - 860','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 02:37:52','2020-12-03 19:26:50',null,'1',null,'0');
INSERT INTO complaints VALUES('2726','AMJID ALI SHAH','03335149551','HO#CB 546 NEAR MARKAZI MASJID FAISAL COLONY DAMIYAL ROAD','9','23','199340','CANON','0',null,'17-NOV-2020','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLETED',null,'customer','0',null,'92','2020-12-02 02:45:20','2020-12-12 21:18:44',null,'1',null,'0');
INSERT INTO complaints VALUES('2727','WAQAR BHATTI','03335118290','HO#92 ST 2 SEC B DHA PHASE 2 ISB','6','14','1847','SIEMENS','SALE ADVISOR MAZHAR',null,'14-SEP-2015','36NVW30G - 665','FREEZER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 02:53:19','2020-12-11 01:07:23',null,'1',null,'0');
INSERT INTO complaints VALUES('2728','RAZA BUTT','03455890864','HO#37 ST#08 SEC C DHA PHASE 02 ISB','5','28','124679','SIGNATURE','FS2SS-H(C/O KHURRAM GOOGLE)',null,'29-NOV-2020',null,'MICROWAVE OVEN','LIGHT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-02 19:57:27','2020-12-06 01:45:11',null,'1',null,'0');
INSERT INTO complaints VALUES('2729','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','KENWOOD','2 W/M',null,'0','1016SA - 1712','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-02 20:03:21','2021-01-17 02:17:47',null,'1',null,'0');
INSERT INTO complaints VALUES('2730',null,null,null,'13',null,null,'ORIENT',null,null,null,'355GRAND-HSL - 884','REFRIGERATOR','Cooling problam',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2020-12-02 20:04:03','2020-12-29 20:32:31',null,'1',null,'0');
INSERT INTO complaints VALUES('2731',null,null,null,'13',null,null,'LG',null,null,null,'1066NEFTW-S - 902','WASHING MACHINE','Not working',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2020-12-02 20:05:40','2020-12-12 21:45:40',null,'1',null,'0');
INSERT INTO complaints VALUES('2732','CH AYAZ','03025458978','VILLAGE DHOHALA MIRPUR  AZAD KASHMIR','5','33','124629','ORIENT','0',null,'28-NOV-2020','18G-BOLD-UW-INV - 915','AIR CONDITIONER','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 20:09:49','2020-12-10 02:20:09',null,'1',null,'0');
INSERT INTO complaints VALUES('2733','MH PERWAIZ','03058880965','HO#5444/6 ST 01 NEW LALA ZAR FOUJI FOUNDATION SCHOOL RWP','8','38','37174','SONY','SALE ADVISOR AZHAR SDA',null,'14-OCT-2019','48W650D-S - 1560','FLAT PANEL TV','LED POWER  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 20:33:31','2020-12-05 20:33:06',null,'1',null,'0');
INSERT INTO complaints VALUES('2734','MANZAR ALI','03342888663','HO#08 ST 13 OVER SEAS SEC 7 PHASE 8 BAHRIA TOWN RWP','6','16','30850','ORIENT','0',null,'30-NOV-2020','12G-ORBIT - 913','AIR CONDITIONER','ERROR E1 ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 20:39:08','2020-12-19 22:14:48',null,'1',null,'0');
INSERT INTO complaints VALUES('2735','MR WAQAR UL HAQ','03008502697','HO#08 ST 35C ARJANT  DHA 1 ISB','7','49','22176','HAIER','SALE ADVISOR ZAHID',null,'17-NOV-2020','245SD - 955','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 20:45:09','2020-12-05 21:58:27',null,'1',null,'0');
INSERT INTO complaints VALUES('2736','SAYED INAM ABBAS','03459267147','HO# 8 ST 21 SCHEAM 3 RWP','8','42','200142','SIGNATURE','MODAL FB25-N',null,'29-NOV-2020',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 20:52:28','2020-12-04 19:38:41',null,'1',null,'0');
INSERT INTO complaints VALUES('2737','MR JAMAL- U-DIN','03455400110','KHADIJA FARMS JAPAN ROAD NAVAL ANCHORAGE HIGHWAY ISB','4','8','9625','HAIER','0',null,'01-JULY-2019','12HNM-W-INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 21:01:52','2020-12-05 22:03:05',null,'1',null,'0');
INSERT INTO complaints VALUES('2738','KHALID JAVAID','03335544391','HO#554 ST 49 SEC I-8/2 ISB','8','39','43709','SAMSUNG','MODAL#90K5410-S',null,'25-NOV-2020',null,'WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 21:10:25','2020-12-05 19:45:04',null,'1',null,'0');
INSERT INTO complaints VALUES('2739','WAJIDA','03038119999(03053385555)','HO#39-A PARBAT ROAD F-7/3 ISB','8','37','42887','LG','0',null,'07-OCT-2020','442HMHU-S - 746','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-02 21:17:16','2020-12-07 22:14:52',null,'1',null,'0');
INSERT INTO complaints VALUES('2740','DR ASHRAF KHAN','03335257537','HO#12 ST 6D SEC H BAHRIA ENCLAVE ISB','8','41','30769','SIGNATURE','SALE ADVISOR USMAN PTCL CALL',null,'06-DEC-2018','SWM-JD46 - 945','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 21:18:09','2020-12-05 01:18:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2741','DR SHAHIDA','03145584433','HO#20 ST 8 SEC A DHA 1 ISB','6','12','24798','SONY','0',null,'15-DEC-2019','65X7000G-S - 1443','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 21:34:35','2020-12-07 22:14:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2742','NADEEM SAB','03214567050','HO#949 ST#91 I-8/4 ISB','8','37','32785','SONY','PANAL DEMAND (CUSTOMER KO 65000 KA EXP BATA DIA)',null,'17-MAR-2019','55X7000F-S - 942','FLAT PANEL TV','PANEL DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-02 21:41:17','2020-12-17 02:11:00',null,'1',null,'0');
INSERT INTO complaints VALUES('2743','MR AAMIR','03105770900','SAFUL SALAM COLONY BARMA TOWN KHANA DAK ISB','6','13','28558','HAIER','SALE ADVISOR ZARA',null,'22-JULY-2020','398IPB - 884','REFRIGERATOR','TEMPERATURE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 21:42:09','2020-12-10 01:04:02',null,'1',null,'0');
INSERT INTO complaints VALUES('2744','BABAR MASOOD','03214427128','APP#9 3RD FLOOR A BLOCK SPRING APP KHOKAR ROAD ISB','9','23','199629','SHARP','0',null,'22-NOV-2020','612MB-SS2 - 1547','DISH WASHER','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 21:50:13','2020-12-05 21:19:38',null,'1',null,'0');
INSERT INTO complaints VALUES('2745','MR BABRIS','03095670000','GUL ARCADE ROYAL MALL BAHRIA ENCLAVE AVENUE ISB','5','33','113140','ARISTON','0',null,'20-DEC-2019','4528 - 1192','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 22:23:04','2020-12-10 00:53:51',null,'1',null,'0');
INSERT INTO complaints VALUES('2746','ALI(ZAMAN)','03008582549','FARM 61 ARCHARD SCREEN','5','32','84232','SIGNATURE','SVF-5Y40N-1323(YHA REF I 10/3 S/C AAY A HOA HAIN',null,'12-MAY-2017',null,'FREEZER','COMPRESSOR PRB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-02 22:34:54','2020-12-19 22:23:58',null,'1',null,'0');
INSERT INTO complaints VALUES('2747','FAISAL WAHEED','03003247253','PLOAT#25FLIDERZOON RESTIRANT FOOD ST BEHIRA TOWN 07','6','16','30245','CANON','0',null,'28-OCT-2020','16D-PLUS-DUAL(LPG) - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-02 23:33:50','2020-12-16 20:17:11',null,'1',null,'0');
INSERT INTO complaints VALUES('2748','MR MOIZ MUSHTAQ','03332499925','HO#118-A ST A-5 BLOCK A NPF SEC O-9 ISB','8','42','39967','TCL','0',null,'02-JUN-2020','18HEG - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-02 23:35:13','2020-12-08 21:10:09',null,'1',null,'0');
INSERT INTO complaints VALUES('2749','MR ATHER ABDULLAH','03028548208','HO#48 ST 38 SAFARI HOMES BAHRIA 8 RWP','6','15','13310','LG','SALE ADVISOR BADAL',null,'29-MAR-2018','9569NEFPS-C - 901','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-03 00:10:21','2020-12-19 01:05:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2750','MR WAJAHAT','03320303030','HO#504 GALI 09 SEC G-10/1 ISB','5','31','21734','ORIENT','SALE ADVISOR SHAYYAN',null,'23-APR-2020','12G-SUPER - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-03 00:32:39','2020-12-19 22:10:00',null,'1',null,'0');
INSERT INTO complaints VALUES('2751','MR TAIMOOR','03234000134','FLAT#A202 TOWER 2 SAMAMA HEIGHTS GULBERG GREENS  ISB','8','42','42851','SHARP','0',null,'05-OCT-2020','12HCP-INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-03 00:54:13','2020-12-08 22:57:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2752','DR BASEER','03005000978','HO#268M ST 17 E-11/4 ISB','5','32','108982','LG','0',null,'30-AUG-2019','702HMHU-S - 885','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-03 01:04:45','2020-12-09 01:07:40',null,'1',null,'0');
INSERT INTO complaints VALUES('2753','CH ZAFAR IQBAL','03369991407','TARIQ FARM KOHISTAN ENCLAVE B-49 WAH CANTT','9','22','199547','LG','0',null,'21-NOV-2020','1066NEFTW-S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-03 01:20:52','2020-12-07 21:00:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2754','SHAHID SAB','03015551725','HO#22 ST#16 RACE CROUS ROAD WEST RIDGE R.W.P','9','24','200463','TCL','2007VLR301234A00285',null,'02-DEC-2020','49S6500 - 1629','FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-03 03:02:35','2020-12-04 00:21:38',null,'1',null,'0');
INSERT INTO complaints VALUES('2755','ABDUL HAMEED','03115161679','PIND BHEGWAL BEHIRA ENCLAVE ISB','4','6','1591','SIGNATURE','0',null,'21-NOV-2017','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-03 18:15:32','2020-12-05 19:42:18',null,'1',null,'0');
INSERT INTO complaints VALUES('2756','MALIK MEHMOOD','03065408472','DHOKE JELANI NEAR AL NOOR MASJID BARA KAHO ISB','9','23','200076','SUPER ASIA','0',null,'29-NOV-2020','245SA - 522','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-03 18:22:15','2020-12-10 21:15:34',null,'1',null,'0');
INSERT INTO complaints VALUES('2757','UMER AWAN','03339004453','PLOT#637 DIS BUSINES COMCIRAL NEAR GORA CHOWK BEHIRA OHASE 08','9','26','199784','HAIER','FLOOR STANDING',null,'24-NOV-2020','24HDZ-W INV - 917','AIR CONDITIONER','HEAT+ COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-03 18:27:20','2020-12-07 21:59:07',null,'1',null,'0');
INSERT INTO complaints VALUES('2758','INAM ULLAH','03155132352','HO#79 SERVICES ROAD PHASE 02 BEHIRA TOWN','6','12','30887','FIVE STAR','0',null,'01-DEC-2020','10000C-FS - 1965','COOKING RANGE','NOB DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-03 18:33:09','2020-12-19 22:07:03',null,'1',null,'0');
INSERT INTO complaints VALUES('2759','MUHAMMAD AYUB','03335130324(03015618331)','HO#AA 70 GALI QURESHIA JAMEA MASJID ROAD NEAR PURA GILA R.W.P','9','19','199571','FIVE STAR','35HEAVY DUTY',null,'21-NOV-2020',null,'GEYSER','BURNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-03 18:38:46','2020-12-10 21:00:11',null,'1',null,'0');
INSERT INTO complaints VALUES('2760','AHMED','03335292764','HO#133 ST#26 G-10/1 ISB','5','28','96439','SIGNATURE','0',null,'20-JULY-2018','SWM-JD51 - 902','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-03 18:59:30','2020-12-05 21:19:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2761','ABDUL RAZIQ','03215051198','HO#366 ST$#13 F-10/02 ISB','5','29','125032','FIVE STAR','LG C/R (FA415)',null,'02-DEC-2020',null,'COOKING RANGE','IGNITION WIRE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-03 19:17:32','2020-12-10 00:50:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2762','AMJAD ALI SHER','03335116191','HO#08 ST#15-B/1 SEC A BEHIRA ENCLAVE ISB','5','53','116315','KENWOOD','1826HC-INV',null,'13-MAY-2020',null,'AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-03 19:26:26','2021-01-02 01:19:04',null,'1',null,'0');
INSERT INTO complaints VALUES('2763','DR OBAIDULLAH','03216698665','HO#461 ST 16 SEC 3 AIR PORT HOUSING SOCIETY RWP','9','21','170377','MITSUBISHI','SALE ADVISOR CH MAZHAR',null,'04-MAY-2019','50VA - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-03 20:15:54','2021-02-05 13:10:24',null,'1',null,'0');
INSERT INTO complaints VALUES('2764','ALI MURAD','03335551155','FLAT#03 BLOCK 22 PHA C TIPE G-11/4 ISB','8','40','43165','LG','0',null,'24-OCT-2020','2J3QDNP0-S - 1483','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-03 20:37:10','2020-12-07 21:00:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2765','BRIG RIAZ ARSHAD','03205550404','HO#1660C ST 76 SEC F DHA 1 ISB','6','12','18844','FIVE STAR','0',null,'14-JAN-2019','55G-TWIN-SUPREME - 1538','GEYSER','LEAKAGE  ISSUE',null,'5','closed',null,'customer','0',null,'92','2020-12-03 21:29:31','2021-01-27 21:56:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2766','COL ULFAT RASUL','03363722259','HO#21 LINE 2 ASKARI 10 RWP','4','6','20372','CANON','PTCL CALL',null,'17-DEC-2019','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-03 21:47:36','2020-12-11 01:03:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2767','MR IRFAN','03005692274','HO#468 ST 11 SEC G-10/2 ISB','5','28','115993','LG','0',null,'22-APR-2020','4J6TMP8S-C - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-03 21:52:04','2021-03-13 17:00:19',null,'1',null,'0');
INSERT INTO complaints VALUES('2768','HAIDER HAMDANI SAB','03335189907','R.W.P','9','23','200099','SAMSUNG','15J5730SS-S-1484(YHA W/M FRIENDS WARRANTY KI HAIN SAMART ZOON NA ATTEND KI HAIN 580 PAYMENTHUM NA COMPNY KO PAY KI HAIN',null,'29-NOV-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-03 22:26:35','2020-12-03 22:28:17',null,'1',null,'0');
INSERT INTO complaints VALUES('2769','MRS SARMAD','03018551005','HO#135 ST 82 SEC E-11/2 ISB','5','28','116130','SAMSUNG','KHURRAM GOOGLE SIR',null,'04-MAY-2020','13J5730-S - 907','WASHING MACHINE','ERROR E1 ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-03 22:59:10','2021-01-07 21:29:09',null,'1',null,'0');
INSERT INTO complaints VALUES('2770','AMIR MEHMOOD','03345351062','ST 11 NASERA BAD PESHAWAR ROAD RWP','9','27','200345','SHARP','0',null,'01-DEC-2020','710CX-S - 1548','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-04 01:02:36','2020-12-04 23:55:59',null,'1',null,'0');
INSERT INTO complaints VALUES('2771','AMEER KHAN','03335007376','HO#04 ST#17 SEC F 7/2 ISB','8','43','23885','SAMSUNG','65Q70T-MRM',null,'02-DEC-2020',null,'FLAT PANEL TV','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-04 01:07:56','2020-12-17 02:10:31',null,'1',null,'0');
INSERT INTO complaints VALUES('2772','MR USMAN','03009777543','HAROUN CHOK SHEAR AHMED ROAD NEAR ALKOUSAR MASJID RWP','8','42','43049','CANON','0',null,'17-OCT-2020','15LCF - 1036','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-04 01:29:58','2020-12-11 01:52:39',null,'1',null,'0');
INSERT INTO complaints VALUES('2773','MATLOOB AHMED','03319733772','SHOP#0/701 KARTALPURA BABA RODA ROAD RWP','9','22','199251','CANON','0',null,'14-NOV-2020','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-04 01:51:49','2020-12-08 21:14:27',null,'1',null,'0');
INSERT INTO complaints VALUES('2774','HUMA NASEER','03008988511','HO# 4 ROSE LANE 2 NEW LALAZAR RWP','4','6','20874','ORIENT','PTCL CALL',null,'20-MAR-2020','529BL - 128','WATER DISPENSER','NOT WORKING',null,'5','RESOLVED',null,'customer','0',null,'92','2020-12-04 02:00:05','2020-12-12 21:35:05',null,'1',null,'0');
INSERT INTO complaints VALUES('2775','IMTIAZ AHMED','03002407535','HO#744 ST 20 I-8/2 ISB','8','37','20164','DAWLANCE','PTCL CALL',null,'10-APR-2020','380C-DW - 1743','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-04 02:10:08','2020-12-08 20:19:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2776','MR YOUNS','03009501408 0515731325','HO#230 ST 9 PHASE 3 BAHRIA TOWN ISB','5','34','30995','LG','KHURRAM GOOGLE SIR',null,'01-DEC-2020','512FPW-S - 1653','DISH WASHER','ERROR E1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-04 02:51:28','2020-12-09 01:05:52',null,'1',null,'0');
INSERT INTO complaints VALUES('2777','MRS NADEEM','03315085510','HO#95-O PARK ENCLAVE PHASE 01 ISB','9','26','183279','FIVE STAR','2 GEYSER HAIN',null,'14-DEC-2019','25G-TWIN-FS - 1966','GEYSER','NOT WORKING',null,'5','COMPLETED',null,'customer','0',null,'74','2020-12-04 19:51:49','2020-12-12 21:36:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2778','SAJID ABBASI','03335605989','HO#158 ST#15 PHASE 06 BEHIRA TOWN','8','39','35817','KENWOOD','0',null,'25-JULY-2019','480GD-BRG - 885','REFRIGERATOR','GAS KIT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-04 20:03:00','2021-01-17 01:12:36',null,'1',null,'0');
INSERT INTO complaints VALUES('2779','NASIR','03455202680','SHOP 201SHAH ABDUL LATIF BARI IMAM ISB','5','35','119202','HAIER','0',null,'14-JULY-2020','405HDF-INV - 958','FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-04 20:11:44','2020-12-08 20:14:11',null,'1',null,'0');
INSERT INTO complaints VALUES('2780','MURTAZA','03003949506','HO#61 ST#18 JINHA GARDEN','4','7','17692','FIVE STAR','25G-HEAVYN DUTY',null,'02-DEC-2020',null,'GEYSER','HEATING G PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-04 20:29:23','2020-12-07 21:49:13',null,'1',null,'0');
INSERT INTO complaints VALUES('2781','WAQAR','03335760535','HO#38 ST#25 SAFARI B NEAR BACK SIDE PHASE 08','9','51','196395','SONY','55X7500H-CC',null,'19-SEP-2019',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-04 21:40:03','2020-12-07 20:59:43',null,'1',null,'0');
INSERT INTO complaints VALUES('2782','TANVEER SAB','03455883512','PESHAWARI NAN SHOP RANGE ROAD SHAHLA VELLEY NEAR QASIM MARKET R.W.P','6','13','30473','KENWOOD','0',null,'14-NOV-2020','1012SA - 902','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-04 23:20:26','2020-12-09 21:17:09',null,'1',null,'0');
INSERT INTO complaints VALUES('2783','IRUM ABBASI','03465975544','HO#159 ST#32 I-10/2 ISB','8','37','0','SUPER ASIA','0',null,'15-OCT-2019','40GD-HC - 993','WATER DISPENSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-04 23:36:25','2020-12-12 20:33:48',null,'1',null,'0');
INSERT INTO complaints VALUES('2784','COL JAVEED','03355369705','HO#396 ST#13 SEC A ASKARI 14 R.W.P','6','12','26609','LG','CELL PHONE PA CALL AAI(INVOICE B HAIN)',null,'15-MAR-2020','502HMHU-S - 896','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-04 23:51:58','2020-12-24 23:52:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2785','M MASOOD','03046855445(03077772960)','CMH HOSPITAL SADAR R.W.P','9','23','200208','ORIENT','0',null,'30-NOV-2020','529OWR - 128','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-05 00:02:52','2020-12-07 21:27:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2786',null,null,null,'13',null,null,'HOMAGE',null,null,null,'1020S - 902','WASHING MACHINE','Damig',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2020-12-05 00:35:27','2021-01-17 02:51:33',null,'1',null,'0');
INSERT INTO complaints VALUES('2787','TANVEER IQBAL','03330404333','HO#354 ROAD B PHASE 04 BEHIRA TOWN','6','12','16831','LG','4J6TMP8S-S899(CELL CALL AAI INVOICE B HAIN)',null,'21-OCT-2018',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-05 01:24:35','2020-12-19 00:44:39',null,'1',null,'0');
INSERT INTO complaints VALUES('2788','KAMRAN','03005013393','HO#1095 ST#05 EXT PHASE 02','4','6','12949','PANASONIC','0',null,'27-JAN-2020','18SKH5-INV - 915','AIR CONDITIONER','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-05 01:30:58','2020-12-07 21:22:31',null,'1',null,'0');
INSERT INTO complaints VALUES('2789','NADEEM','03228550044','HO#571 MAIN ROAD 03 G-15/1 ISB','8','42','44126','SAMSUNG','171673OSG-S',null,'03-DEC-2020',null,'WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-05 01:57:15','2020-12-07 20:54:42',null,'1',null,'0');
INSERT INTO complaints VALUES('2790','MR AMIR REHMAN','03065559615','HO#379 ST#11 MOHAN PURA R.W.P','9','19','172999','SUPER ASIA','0',null,'15-JUNE-2019','280SA - 522','WASHING MACHINE','SPINNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-05 03:03:32','2020-12-07 21:20:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2791',null,null,null,'13',null,null,'SAMSUNG',null,null,null,'40N5300-S - 938','FLAT PANEL TV','Cabal pin problam',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2020-12-05 05:31:57','2020-12-31 20:30:47',null,'1',null,'0');
INSERT INTO complaints VALUES('2792',null,null,null,'13',null,null,'MITSUBISHI',null,null,null,'50VA - 915','AIR CONDITIONER','Not working',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2020-12-05 05:34:37','2020-12-29 20:27:13',null,'1',null,'0');
INSERT INTO complaints VALUES('2793','MR FAKHAR','03345308745','NEAR ARYMI HOUSE NATIONAL PARK ROAD RWP','8','47','23687','CORONA','AGAIN COMPLAINT AAGEI HAIN',null,'21-OCT-2020','C65 - 14','COOKING RANGE','INTERNAL LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-05 20:18:04','2020-12-08 20:11:43',null,'1',null,'0');
INSERT INTO complaints VALUES('2794','ALI','03335109402','HO#24-DC BILAL ST NER CITY SCHOOL PESHWAR ROAD R.W.P','5','35','116047','HAIER','0',null,'27-APRIL-2020','438IDBT - 896','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-05 20:28:19','2020-12-07 22:03:32',null,'1',null,'0');
INSERT INTO complaints VALUES('2795','TARIQ MEHMOOD','0333432682','HO#83/4 ST#32 F-6/1','5','32','125244','SIGNATURE','SWH-20-07-1660',null,'03-DEC-2020',null,'GEYSER','PER SURE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-05 21:01:50','2020-12-24 23:51:36',null,'1',null,'0');
INSERT INTO complaints VALUES('2796','BILAL','03335119984','HO#275 ST#12 PHASE 05 B. TOWN','4','8','15480','GREE','0',null,'27-JULY-2020','24CITH11W - 917','AIR CONDITIONER','HEATING+ SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-05 21:10:41','2020-12-08 20:09:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2797','ALLAH RAKHA','03478212856','HO#83 IQBAL ROAD CARING CROSSING PESHWAR ROAD R.W.P','7','49','22200','SUPER ASIA','0',null,'20-NOV-2020','735GEH - 1537','GEYSER','HEATING PROB',null,'5','COMPLETED',null,'customer','0',null,'74','2020-12-05 21:28:20','2020-12-12 21:42:04',null,'1',null,'0');
INSERT INTO complaints VALUES('2798','SHABEER','03247444467','HO#795-A MAIN KACHNAR PAK ROAD I-8/4 ISB','5','31','125348','SONY','0',null,'03-DEC-2020','65A8G-CC - 1443','FLAT PANEL TV','WIFI PEOB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-05 22:02:18','2020-12-17 02:09:58',null,'1',null,'0');
INSERT INTO complaints VALUES('2799','ARIF','03335211680','HO#35 ST#04 NEW GULZARA QAID NEAR QADEER MARKET R.W.P','9','51','163166','ORIENT','PTCL CALL(INVOICE HAIN )',null,'16-DEC-2018','55M7000 - 942','FLAT PANEL TV','DEAD PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-05 22:09:03','2020-12-19 21:21:40',null,'1',null,'0');
INSERT INTO complaints VALUES('2800','MOHAMMAD IDRES','03015370060','HO#499 FOOT HILL ROAD PHASE 07 BEHIRA TOWN','6','16','21359','SIGNATURE','0',null,'10-JUNE-2019','SWM-JD47C - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-05 22:30:29','2020-12-07 20:39:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2801','MUHAMMAD QASIM','03015000108','ST#01 GREEN LAND HIGH WAY SERVICES ROAD R.W.P','8','38','43184','FIVE STAR','0',null,'24-OCT-2020','40L-WC - 1759','GEYSER','SOUND PROB',null,'5','COMPLETED',null,'customer','0',null,'74','2020-12-05 22:35:50','2020-12-12 21:46:34',null,'1',null,'0');
INSERT INTO complaints VALUES('2802','AMIR BHAI','03105770900','BARMA TOWN  SAIF UL ISLAM COLONY NEAR ABU BAKAR MASJID ISB','6','12','28559','HAIER','0',null,'22-JULY-2020','398IPB - 884','REFRIGERATOR','COOLING PROB',null,'5','COMPLETED',null,'customer','0',null,'74','2020-12-05 22:59:36','2020-12-12 21:47:57',null,'1',null,'0');
INSERT INTO complaints VALUES('2803','RIAZ AHMED','03008569249','HO#1972 ST#59 USMAN BLOCK PHASE 08 BEHIRA TOWN','6','12','30033','HAIER','C/O ADIL I-10/3',null,'14-OCT-2020','120-826 - 906','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-05 23:02:07','2020-12-08 20:01:42',null,'1',null,'0');
INSERT INTO complaints VALUES('2804','HASSAN ALI BHATTI','03348101801','HO#4512-A GOWAL MANDHI DARYA BAKH NEAR KHAN BAKHRI RWP','9','23','165249','FIVE STAR','0',null,'27-JAN-2019','666C-FS - 1077','COOKING RANGE','BURNER ISSUE',null,'5','COSTUMER K GHR PATIENT HA... UNHO NE COMPLAIN CLOSED KARWA DI HA... BD MEIN KHUD CALL KR K DOBARA NOTE KARWAEIN GI',null,'customer','0',null,'92','2020-12-05 23:57:03','2020-12-12 21:51:15',null,'1',null,'0');
INSERT INTO complaints VALUES('2805','MALIK NOMAN','03076669984','HO#11 ST BAHRIA AVENGE PHASE 7 BAHRIA TOWN ISB','6','16','25537','LG','SALE ADVISOR SHAHZAD MALIK',null,'07-JAN-2020','3H20NTP-S - 1561','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-06 00:06:58','2020-12-19 00:44:12',null,'1',null,'0');
INSERT INTO complaints VALUES('2806','I 10 STOCK','03008557478','PLOT#81 ST#06 I 10/3 ISB','10','52','0','SONY','75X8000H-CC(ASLAM SAB K STOCK MAIN YHA LED ADD HOI HAIN)',null,'0',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-06 01:14:07','2020-12-07 22:13:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2807','MR AZAIM','03335194380','HO#489 ST 24 PHASE 3 BAHRIA TOWN ISB','4','8','16935','HAIER','0',null,'29-OCT-2020','438EPB - 896','REFRIGERATOR','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-06 01:38:47','2020-12-08 19:59:41',null,'1',null,'0');
INSERT INTO complaints VALUES('2808','MR BILAL','03455556666','HO#07 ST 29 SEC F-8/1 ISB','5','31','110694','SIGNATURE','I/10 SERVICES CENTER AYA HAY',null,'07-NOV-2019','SCF-HM09 - 954','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-06 02:24:03','2020-12-17 02:08:04',null,'1',null,'0');
INSERT INTO complaints VALUES('2809','MR SAJJAD','03315443788','HO#05 LANE 1 ASKARI 13 RWP','8','42','183670','SIGNATURE','PTCL CALL',null,'15-DEC-2019','SBO-AT4R - 1124','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-06 02:45:18','2020-12-17 01:57:05',null,'1',null,'0');
INSERT INTO complaints VALUES('2810','COL ALI CHEEMA','03360155155','HO#3/37 JINNAH COMPLEX CHAK SHEHZAD ISB','8','42','33885','SIGNATURE','SALE ADVISOR USMAN',null,'11-MAY-2019','SWD-HD10-GR - 994','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-06 19:43:42','2020-12-21 21:33:51',null,'1',null,'0');
INSERT INTO complaints VALUES('2811','NOUMAN BUKHARI','03215227819','PLOT#69 ST 02 ZARAJ HOUSING SOCITY RWP','8','39','43808','SIGNATURE','0',null,'29-NOV-2020','SBC-PERTH90 - 1123','BUILT IN APPLLIANCES','VIBRATION  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-06 23:05:38','2020-12-12 21:45:05',null,'1',null,'0');
INSERT INTO complaints VALUES('2812','MR RAZAQ','03009566627','HO#O/640 DASTAKARI SCHOOL KARTAL PURA RWP','9','20','149940','CANON','0',null,'07-APR-2018','BOV-09 - 1731','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-06 23:13:14','2020-12-14 20:06:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2813','ASLAM MALIK','03334819804','HO#694 ST 52 SEC I-10/1 ISB','9','51','158265','SIGNATURE','PTCL CALL',null,'11-SEP-2018','32DN6 - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-06 23:18:54','2020-12-12 21:42:23',null,'1',null,'0');
INSERT INTO complaints VALUES('2814','MR RAJ KUMAR','03005129084','HO#38 ST 36 SEC F-6/1 ISB','5','31','99746','SONY','0',null,'07-DEC-2018','55X7000F-S - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-06 23:25:54','2020-12-12 21:31:42',null,'1',null,'0');
INSERT INTO complaints VALUES('2815','MR SAIF-UL-ISLAM','03005306658','HO#178 ST 1-B FALCON COMPLEX NEAR KHANNA PUL CHATTRI CHOWK RWP','5','28','125615','CANON','SALE ADVISOR ABU BAKAR',null,'04-DEC-2020','CA-1 - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLETED',null,'customer','0',null,'92','2020-12-06 23:39:12','2020-12-12 21:54:23',null,'1',null,'0');
INSERT INTO complaints VALUES('2816','MR YAQOOB','03315260523','HO#3/3C ST 18 SEC G-7/2 ISB','5','28','114889','DAWLANCE','SALE ADVISOR NAEEM AZEEM',null,'21-FEB-2020','388DW - 1199','MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-06 23:47:24','2020-12-08 20:03:30',null,'1',null,'0');
INSERT INTO complaints VALUES('2817','MR UMMAIR','03335612169','HO#1483-G ST 60A SEC F-17/2 ISB','8','38','40346','SIGNATURE','MODAL#SBH-HC3763S',null,'18-JUN-2020',null,'BUILT IN APPLLIANCES','NOB  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-07 00:03:54','2020-12-17 01:56:02',null,'1',null,'0');
INSERT INTO complaints VALUES('2818','MR ALI EFFENDI','03005015616','HO#184 RASHID MINHAS ROAD, CIVIL LINES RWP','6','15','30684','LG','55NANO86-S-',null,'25-NOV-2020',null,'FLAT PANEL TV','SPEAKER ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-12-07 00:21:42','2020-12-31 20:31:32',null,'1',null,'0');
INSERT INTO complaints VALUES('2819','DR FAIZA','03128573744','DHOK MAYI NAWAB ST 06 BAHRIA TOWN PHASE 5 ISB','6','12','29937','SUPER ASIA','PTCL CALL',null,'06-OCT-2020','241SA - 1548','WASHING MACHINE','SPINNER  ISSUE',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'92','2020-12-07 19:44:41','2021-01-19 21:45:34',null,'1',null,'0');
INSERT INTO complaints VALUES('2820','BILAL PWD','03335311234','FRIEND CORPORATION PWD','4','11','18347','CANON','VISIT TO SHOWROOM',null,'06-DEC-2020','U-1 - 1123','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2020-12-07 19:51:58','2020-12-12 21:58:17',null,'1',null,'0');
INSERT INTO complaints VALUES('2821','BRIG RAJA IMTIAZ','03215112628','HO#65 ASKARI 11 NEAR QASIM MARET RWP','7','49','21899','DAWLANCE','MODAL#9173WBAVANTE SALE ADVISOR ZAHID',null,'28-SEP-2020',null,'REFRIGERATOR','LIGHT ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2020-12-07 20:39:04','2020-12-12 21:59:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2822','MR AMIR QURESHI','03315522546','HO#205 ST 42 MARGELLA TOWN PHASE 2 ISB','9','23','200229','FIVE STAR','MODAL#35G-HEAVY PTCL CALL',null,'01-DEC-2020',null,'GEYSER','LEAKAGE  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-07 21:01:10','2020-12-19 20:52:16',null,'1',null,'0');
INSERT INTO complaints VALUES('2823','MR UMAIR','03330952686','HO#E2 LANE E,  ABO BAKAR BLOCK PHASE 8 BAHRIA TOWN RWP','6','16','9053','TCL','SALE ADVISOR SOHAIL MAJEED',null,'03-JUN-2017','40S4900 - 938','FLAT PANEL TV','DISPLAY ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2020-12-07 22:16:13','2020-12-12 22:05:36',null,'1',null,'0');
INSERT INTO complaints VALUES('2824','MR KASHIF SAEED','03245274749','HO#166 ST 7 BLOCK A MEDIA TOWN ISB','4','6','12811','SIGNATURE','AGAIN COMPLAINT AAGEI HAIN IC REF MAIN KINDLY SENIOR TECHNICIAN KA VISIT ARRANGE KARWAY',null,'19-JAN-2020','MD99SS-S - 1723','REFRIGERATOR','OVER COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-07 22:25:37','2020-12-12 21:31:00',null,'1',null,'0');
INSERT INTO complaints VALUES('2825','MR KHAWAR','03123456546','HO#410 ST 39 UMAR BLOCK PHASE 8 BAHRIA TOWN RWP','6','16','30557','CANON','0',null,'19-NOV-2020','16D-PLUS - 1030','GEYSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-07 22:29:36','2021-01-20 21:58:51',null,'1',null,'0');
INSERT INTO complaints VALUES('2826','MR FAIZ KHAN','03185106472','GREEN VELLY NEAR DHMYAL QASIM BASS DHMYAL ROAD RWP','9','22','171800','HAIER','PTCL CALL',null,'27-MAY-2019','18SGF-INV-S - 915','AIR CONDITIONER','COOLING  ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2020-12-07 22:53:56','2020-12-12 22:11:26',null,'1',null,'0');
INSERT INTO complaints VALUES('2827','IJAZ-UL-HASSAN','03336847150','HO#17 ST 3A JINNAH GARDEN PHASE 1 ISB','8','37','0','HAIER','SALE ADVISOR NAVEED INVOICE HAY',null,'06-APR-2020','622ICG - 908','REFRIGERATOR','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-07 22:55:11','2020-12-19 21:15:31',null,'1',null,'0');
INSERT INTO complaints VALUES('2828','MR IKRAM-UL-HAQUE','03458889380','HO#8 ST 54 KORANG TOWN ISB','6','15','31482','CANON','0',null,'05-DEC-2020','935S1 - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2020-12-07 23:09:59','2020-12-12 22:20:44',null,'1',null,'0');
INSERT INTO complaints VALUES('2829','MR ABDUL SAMI','03335204393','FLAT#1 BLOCK 3B ST 01 I-8/1 ISB','8','39','44339','FIVE STAR','MODAL#9202MH SALE ADVISOR MALAIKA',null,'05-DEC-2020',null,'BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-07 23:56:15','2020-12-19 21:13:03',null,'1',null,'0');
INSERT INTO complaints VALUES('2830','MR NUMAN','03315423368','HO#1632 ST 48 USMAN BLOCK PHASE 8 BAHRIA TOWN ISB','9','26','154571','LG','0',null,'26-JUN-2018','522GLHL-S - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-08 00:21:05','2020-12-30 01:53:17',null,'1',null,'0');
INSERT INTO complaints VALUES('2831','YOUNAS ALI','03312285174','HO#1107 ST 23 SEC G-11/1 ISB','5','33','118598','HAIER','0',null,'02-JULY-2020','12HRV-W-INV - 913','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-08 00:32:42','2020-12-19 21:11:16',null,'1',null,'0');
INSERT INTO complaints VALUES('2832','RAEES KHAN','03335294769','HO#316 DK ST#8-B BILAL COLONY SHAMSHABAD R.W.P','8','37','1187','ORIENT','C/O CHAT SERVICES',null,'06-JULY-2020','18G-VENUS-BW - 915','AIR CONDITIONER','2 UNIT OUT DOOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-08 00:34:26','2020-12-19 21:08:56',null,'1',null,'0');
INSERT INTO complaints VALUES('2833','IKHALAQ FCI','03009796002','FRIENDS CORPORATION BULE AREA ISB','5','28','124983','SONY','65X7500H-CC-1055(CUSTOMER KO SET REPLACE KAR KA  HASSAN FHSS KA SET READY KAR  K DIA HAIN TASK#2653',null,'01-DEC-2020',null,'FLAT PANEL TV','WIFI [PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-08 00:55:32','2020-12-12 21:28:19',null,'1',null,'0');
INSERT INTO complaints VALUES('2834','MR HASSAN','03319345882','HO#KH880 ST 3 OPPOIST WATER FILTER PLANT SHALA WALE RWP','9','23','201246','ORIENT','0',null,'05-DEC-2020','355GRAND-HSL - 884','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2020-12-08 02:25:07','2020-12-12 22:26:06',null,'1',null,'0');
INSERT INTO complaints VALUES('2835','MEHMOOD HASSAN','03008567089','HO#230 ST 07 SHEHZAD TOWN ISB','5','33','125578','SONY','MODAL#55X7500H-CC',null,'04-DEC-2020',null,'FLAT PANEL TV','CHANNEL  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-08 02:46:07','2020-12-12 21:27:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2836','HANAN QURESHI','03335104769','HO#144 ST 05 RACE CORACE ROAD VESTRAGE RWP','6','14','27976','FIVE STAR','SALE ADVISOR ZARA',null,'24-JUN-2020','500C-FS - 1073','COOKING RANGE','NOB ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2020-12-08 02:56:57','2020-12-12 22:27:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2837','MR WAQAS','03225232788','VILLAGE MORA VAINCE POST OFFICE LODARA RAWAT RWP','6','16','31089','ORIENT','MODAL#43S-FICTION',null,'02-DEC-2020',null,'FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2020-12-08 20:52:01','2020-12-12 22:29:30',null,'1',null,'0');
INSERT INTO complaints VALUES('2838','AMIR BILAL','03005596148','HO#462 ST 68 SEC G-11/2 ISB','5','31','125991','SONY','MODAL#65X7500H-CC',null,'05-DEC-2020',null,'FLAT PANEL TV','SOFTWARE  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-08 20:59:30','2020-12-12 21:26:47',null,'1',null,'0');
INSERT INTO complaints VALUES('2839','MR SAAD','03008540503','HO#11A ST 15 FAZAIA HOUSING SOCIETY RWP','4','6','17891','SAMSUNG','SALE ADVISOR SALEEM',null,'03-DEC-2020','70J3283W-S - 1548','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-08 21:09:59','2020-12-12 21:26:04',null,'1',null,'0');
INSERT INTO complaints VALUES('2840','DR MR ALI','03335394455','HO#B-/1393 SERVICE ROAD HAJI CHOK MUSLIM TOWN DESIDE GREEN HOOD PUBLICK SCHOOL RWP','9','51','201003','ORIENT','MODAL#43S-FICTION',null,'05-DEC-2020',null,'FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-08 21:28:17','2020-12-19 21:06:34',null,'1',null,'0');
INSERT INTO complaints VALUES('2841','MH SIDDQUE','03225131141','HO#185 ST 08 BLOCK A MEDIA TOWN ISB','4','10','17842','HAIER','SALE ADVISOR WALEED',null,'03-DEC-2020','12HRO-W-INV - 913','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-08 21:45:33','2020-12-15 23:36:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2842','MR NADEEM','03175116878','HO#1863 ST 58 USMAN BLOCK PHASE 8 BAHRIA TOWN ISB','9','24','145437','DAWLANCE','0',null,'01-JAN-2018','8200 - 118','WASHING MACHINE','NOT WORKING',null,'5','COMPLETED',null,'customer','0',null,'92','2020-12-08 21:58:34','2020-12-12 22:35:50',null,'1',null,'0');
INSERT INTO complaints VALUES('2843','MAZHAR FCP','03455261600','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','27','0','DAWLANCE','0',null,'0','136G - 1172','MICROWAVE OVEN','PLATE MISSING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-08 22:13:54','2021-01-19 00:19:56',null,'1',null,'0');
INSERT INTO complaints VALUES('2844','RAJA ZAHID','03233524382','HO#646ROAD D PHASE 05 B.TOWN R.W.P','9','51','185513','LG','MODEL(65UH654-P-986)C/O KHURRAM GOOGLE.(INVOICE WAQAS FCP NA SHER KI)',null,'14-JAN-2020',null,'FLAT PANEL TV','DISPLAY LINE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-08 22:27:19','2020-12-11 00:27:34',null,'1',null,'0');
INSERT INTO complaints VALUES('2845','SYED SAIF ULLAH HUSSAN','03335204177','HO#115 ST 21 FECHS KORANG TOWN ISB','4','5','18372','CARAVELL','MODAL#203R',null,'06-DEC-2020',null,'WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-08 22:32:22','2020-12-15 23:28:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2846','SYED PERVEZ ASGHAR','03008500291','HO#183/9 LANE 05 SIRSYED ROAD RWP','7','49','20254','HAIER','SALE ADVISOR ZAHID',null,'14-DEC-2019','90-1789HWM - 901','WASHING MACHINE','DRAIN PIPE ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2020-12-08 22:48:07','2020-12-12 22:38:58',null,'1',null,'0');
INSERT INTO complaints VALUES('2847','MAQSOOD','03409174082','HO#15 ST#87 G-6/3 ISB','5','31','112182','SHARP','0',null,'14-DEC-2019','24HCP-INV - 917','AIR CONDITIONER','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-08 23:10:48','2020-12-17 01:52:59',null,'1',null,'0');
INSERT INTO complaints VALUES('2848','NAEEM NASEER','+03325532355','FLAT #81 ST#06 I 10/3 ISB','10','44','0','LG','MODEL 65CH',null,'0',null,'FLAT PANEL TV','NOT WORKING(ASLAM SIR LA K JA RAHAY HAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-08 23:23:25','2020-12-22 02:36:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2849','ANAYAT ULLAH AWAIS','03335470175','HO#13  FAZEYA COLONY 4 SEVAL LINE JALUM','8','48','38670','TCL','0',null,'15-JAN-2020','32S65A - 936','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-09 00:05:11','2020-12-31 22:37:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2850','SHAHAN AHMED','03008548854','HO#1 ST 1 GULSHAN-E-KHUDADAD PHASE 3 ISB','8','38','32261','LG','0',null,'10-FEB-2019','1666NEFTW-S - 1643','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-09 00:17:50','2020-12-19 00:43:41',null,'1',null,'0');
INSERT INTO complaints VALUES('2851','MR INAYAT EJAZI','03335553570','HO#06 ST 04 BLOCK D SAWAN GARDEN ISB','4','7','16381','DAWLANCE','MODAL#1051WD-SILVER',null,'20-SEP-2020',null,'WATER DISPENSER','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-09 00:26:33','2020-12-19 20:58:55',null,'1',null,'0');
INSERT INTO complaints VALUES('2852','MR ASIF KAMAL','03159000322','HO#18 ST 36 RIVER GARDEN ISB','4','10','17611','CARAVELL','MODAL#203R SALE ADVISOR WALEED',null,'01-DEC-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-09 00:35:26','2020-12-15 23:15:06',null,'1',null,'0');
INSERT INTO complaints VALUES('2853','RAJA FAREEQ','03325616114','HO#39 ST 1 BLOCK A PWD HOUSING SOCIETY ISB','4','9','17250','SIGNATURE','SALE ADVISOR MUDASSAR',null,'17-NOV-2020','SBO-AT4R - 1124','BUILT IN APPLLIANCES','GRILL ISSUE',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'92','2020-12-09 00:48:23','2020-12-30 01:52:33',null,'1',null,'0');
INSERT INTO complaints VALUES('2854','MR ZAKIR NAQVI','03335265376','HO#376D ST 109 SEC G6-1/4 ISB','5','32','110928','SIGNATURE','SALE ADVISOR MARYAM KIANI MODAL#25BG',null,'15-NOV-2019',null,'MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-09 01:06:23','2020-12-24 23:50:59',null,'1',null,'0');
INSERT INTO complaints VALUES('2855','MR ASIM','03005078575','HO#27C ST 1 GARDAN VAILLA HADYALA ROAD RWP','9','23','199535','HAIER','0',null,'21-NOV-2020','90-1789HWM - 901','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-09 01:40:03','2020-12-15 23:12:41',null,'1',null,'0');
INSERT INTO complaints VALUES('2856','SAMINA KHAN','03432123000','HO#40 ST 1 SEC F-6/3 ISB','5','36','124760','CANON','0',null,'30-NOV-2020','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-09 01:54:02','2020-12-19 20:52:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2857','WAQAS','03005634573','HO#SA 1099 ST#1 SERVICES ROAD SADIQABAD R.W.P','8','40','42895','CARAVELL','204B',null,'08-OCT-2020',null,'WATER DISPENSER','NO WATER HEATING',null,'5','COMPLETED',null,'customer','0',null,'74','2020-12-09 02:02:09','2020-12-12 22:46:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2858','MR ASIM','03348539035','PLAZA#153M ST 32 BAHRIA TOWN PHASE 4 SERVICE CENTER RWP','6','12','27643','ORIENT','SALE ADVISOR ZEESHAN',null,'09-JUN-2020','18G-SUPER - 915','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-09 02:12:33','2020-12-19 20:49:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2859','MISS ZONNA','03335937717','APP#201 PAK TOWER F-10/3 ISB','5','36','103241','SIGNATURE','HOOD KI COMPLAINT',null,'30-MAR-2019','SBC-MELBURNE-90PLUS - 1123','BUILT IN APPLLIANCES','LIGHT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-09 02:15:54','2021-01-06 04:20:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2860','BAKTHWER','03173008532','ST  03 FARUKAY AZAM ROAD SHAMSA BAD RWP','9','22','170682','SUPER ASIA','SALE ADVISOR WAQAS ABBASI',null,'06-MAY-2019','40GD-HC - 993','WATER DISPENSER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-09 02:54:16','2021-01-19 21:17:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2861','MR MEHMOOD','03332373242','HO#09 ST 08 BLOCK D NEVAL INCLAGE ISB','4','6','7172','SIGNATURE','YH A W/M TAQUEER SAB NA LIFT KARWAI 2 DIN PHALAY I 10/3 S/C MOVE KARWAI',null,'10-JAN-2019','SWM-JD46 - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-09 20:04:39','2020-12-12 21:16:40',null,'1',null,'0');
INSERT INTO complaints VALUES('2862','CH TAHIR MEHMOOD','03145051802','HO#TD1414 DHOK BABO ARFAN CRICKET SATADEAM DABAL ROAD RWP','9','23','201668','ORIENT','MODAL#380LDIAMOND-PB',null,'06-DEC-2020',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-09 20:26:26','2020-12-15 22:57:47',null,'1',null,'0');
INSERT INTO complaints VALUES('2863','ALI ASGAR','03366631352','PLAZA#78 FIRST FLOOR MCB GROUND FLOOR BAHRIA SPRING PHASE 7 ISB','6','16','28339','ORIENT','SALE ADVISOR RIZWAN ALI',null,'10-JULY-2020','18G-SUPER - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-09 20:37:10','2020-12-19 20:42:11',null,'1',null,'0');
INSERT INTO complaints VALUES('2864','YOUNAS NADIR','03135410286','HO#872 MAIN IJP ROAD NEAR DENTAIL CLINIC  I-10/4 ISB','9','19','195754','CORONA','0',null,'05-SEP-2020','125C-AUTO - 1074','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-09 20:38:52','2020-12-19 20:19:04',null,'1',null,'0');
INSERT INTO complaints VALUES('2865','FAHIM','03215688533','HO#33 ST#03 MAIN JOHAR ROAD R.W.P','5','28','126821','HAIER','0',null,'07-DEC-2020','438ITB - 896','REFRIGERATOR','TOUCH PANEL NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-09 20:56:31','2020-12-11 01:18:59',null,'1',null,'0');
INSERT INTO complaints VALUES('2866','FAZAL HAQ','03005194823','HO#15 ST 15 ASKARI 7 HADEYA ROAD RWP','9','24','199943','SAMSUNG','SALE ADVISOR IMRAN',null,'28-NOV-2020','40N5300-FMRM - 938','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-09 21:35:02','2020-12-11 00:09:04',null,'1',null,'0');
INSERT INTO complaints VALUES('2867','DR AHMED SAJJAD SAB','03225158585','FLAT#04 BLOCK 12 IST FLOOR PHA FLATS I 11/1 ISB','8','37','44964','SUPER ASIA','535GH-A1-1935',null,'08-DEC-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-09 21:54:02','2020-12-15 20:37:39',null,'1',null,'0');
INSERT INTO complaints VALUES('2868','NAVEED IQBAL','03335329908','PLOT#32 EGGLO HIGHT PSO PUMP PHASE 7 ISB','6','12','19631','SIGNATURE','0',null,'12-MAR-2019','SWH-1806 - 1034','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-09 21:59:48','2020-12-17 01:52:17',null,'1',null,'0');
INSERT INTO complaints VALUES('2869','MR AFTAB','03000519082','FLAT#3 BLOCK 11 SE G-8/4 ISB','5','35','121878','HAIER','SALE ADVISOR ALI KHAN',null,'14-SEP-2020','85-7288 - 69','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-09 22:10:43','2020-12-15 22:50:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2870','ADEEL AHMED','03005756086','DHOK PARACHA TIMBER MARKIT NEAR SANJANI TUL PALAZA ISB','9','23','200881','CARAVELL','MODAL#203R',null,'04-DEC-2020',null,'WATER DISPENSER','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-09 22:24:54','2020-12-15 22:40:18',null,'1',null,'0');
INSERT INTO complaints VALUES('2871','HASSAN FHHS','03013000123','FRIENDS HOME SHAMSHABAD R.W.P','8','37','43199','SIGNATURE','20AC/YHA OVEN CUSTOMER FHHS SHOWEROOM PA LA AAY BEST COOL MOVE KARWA DIA',null,'25-OCT-2020',null,'MICROWAVE OVEN','NOB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-09 22:33:01','2020-12-17 01:50:35',null,'1',null,'0');
INSERT INTO complaints VALUES('2872','MR SAAD','03325837411','HO#53 ST 9, MULTI SOCIETY SEC E-11/1 ISB','5','33','114501','ORIENT','0',null,'01-FEB-2020','12G-ALPHA-SW - 912','AIR CONDITIONER','OUT DOOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-09 22:59:09','2020-12-21 20:43:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2873','MR YASIR FAREED','03005544228','HO#9 FRIENDS COLONY MAIN STREET MISRIAL ROAD  RWP','4','6','22478','SIGNATURE','PTCL CALL INVOICE HAY',null,'05-DEC-2020','SSB-X555MT - 1410','SOUND SYSTEMS','BLUE TOOTH IS NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-09 23:13:28','2020-12-12 21:11:35',null,'1',null,'0');
INSERT INTO complaints VALUES('2874','ADEEL AHMED','03005756086','DHOK PARACHA TIMBER MARKET NEAR SAJANI TOOL PLZA ISB','9','23','200881','CARAVELL','203R-1403',null,'04-DEC-2020',null,'WATER DISPENSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-09 23:14:12','2020-12-09 23:23:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2875','RAZA','03335134479','HO#531 8-A PHASE 05 GORI TOWN ISB','9','23','200928','ORIENT','475H GRAND -HS',null,'04-DEC-2020',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-09 23:17:12','2020-12-15 22:37:11',null,'1',null,'0');
INSERT INTO complaints VALUES('2876','MR ATHAR','03335104684','HO#267 BLOCK D ST 24 PWD ISB','4','10','104','SIGNATURE','SALE ADVISOR NAVEED',null,'10-SEP-2017','SWM-SR45 - 899','WASHING MACHINE','ERROR E1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-09 23:36:34','2020-12-17 01:50:00',null,'1',null,'0');
INSERT INTO complaints VALUES('2877','MR TALHA','03355851271','HO#14 ST 2A BLOCK F NAVAL ANCHORAGE ISB','4','10','15890','SIGNATURE','SALE ADVISOR WALEED',null,'15-AUG-2020','SBH-AC930S - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-09 23:46:18','2021-01-16 22:48:56',null,'1',null,'0');
INSERT INTO complaints VALUES('2878','ADEEL MINHAS','03345089499','HO#16 ST 93 SEC G-13/1  ISB','8','37','35689','SIGNATURE','SALE ADVISOR AZHAR  SDA DISPENSER I/10 SERVICE CENTER AYA HAY',null,'20-JULY-2019','SWD-HD20-GD - 994','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-10 00:42:53','2020-12-11 00:26:36',null,'1',null,'0');
INSERT INTO complaints VALUES('2879','MISS MARRYAM','03315489417','FRIEND CORPORATION BLUE AREA','5','36','111902','LG','OVEN BLUE AREA SERVICE CENTER AYA HAY',null,'12-DEC-2019','4295CIS-S - 987','MICROWAVE OVEN','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-10 01:20:42','2020-12-30 01:43:33',null,'1',null,'0');
INSERT INTO complaints VALUES('2880','FAISAL WAHEED','03003247253','PLOAT#25FLIDERZOON RESTIRANT FOOD ST BEHIRA TOWN 07','6','16','30245','CANON','0',null,'28-OCT-2020','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-10 01:30:10','2020-12-19 20:13:07',null,'1',null,'0');
INSERT INTO complaints VALUES('2881','MR SAEED','03008569422','HO#01 ST 56 SEC F-8/4 ISB','5','35','125943','HAIER','0',null,'05-DEC-2020','90-1789HWM - 901','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-10 01:44:44','2020-12-18 21:23:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2882','MR ARSHAD','03025458978','VILLAGE DHOHALA MIRPUR AZAD KASHMIR','5','33','124660','ORIENT','MODAL#49S-FICTION',null,'29-NOV-2020',null,'FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-10 02:19:32','2020-12-10 02:23:17',null,'1',null,'0');
INSERT INTO complaints VALUES('2883','MR HAMAYUN','03331915052','ST 03 KAZE ROAD DAHRI HASSAN ABAD RWP','9','26','182798','KENWOOD','PTCL CALL INVOICE HAY',null,'10-OCT-2019','1012SA - 902','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-10 02:42:45','2020-12-15 22:32:39',null,'1',null,'0');
INSERT INTO complaints VALUES('2884','AHSAN ALI','03015512165','FAZAL LOAUGE  DHI KASHMIR POINT MUREE','5','33','122465','HAIER','0',null,'01-OCT-2020','100-14826HW - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-10 19:38:20','2020-12-15 22:29:36',null,'1',null,'0');
INSERT INTO complaints VALUES('2885','MR FARHAN','03335578827','HO#68 PRIME MINSTER COLONY WAH CANT','9','21','201153','ORIENT','SALE ADVISOR CH MAZHAR',null,'05-DEC-2020',null,'MICROWAVE OVEN','RABAR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-10 19:50:49','2020-12-18 21:22:30',null,'1',null,'0');
INSERT INTO complaints VALUES('2886','AMIR AFSER KHAN','03009551448','HO#15 ST 31 C ORCHERD DHA PHASE 1 ISB','8','37','176180','SIGNATURE','PTCL CALL INVOICE HAY MODAL#20AC',null,'29-JULY-2019',null,'BUILT IN APPLLIANCES','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-10 20:06:12','2020-12-18 20:34:27',null,'1',null,'0');
INSERT INTO complaints VALUES('2887','RAJA TUSEEF','03005178852','HO#786 ABASE  STREET 03 MADINA TUL RAJAB MASJID RWP','8','39','32165','SIGNATURE','MODAL#MWS-JD47C SALE ADVISOR ADIL RASHEED',null,'04-FEB-2019',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-10 20:27:12','2020-12-17 01:49:12',null,'1',null,'0');
INSERT INTO complaints VALUES('2888','ABDUL RAFY','03009854764','HO#1543 ST 35/2 BAHRIA TOWN PHASE 7 ISB','4','6','22102','TCL','2006VLR301178A00050 PTCL CALL INVOICE HAY',null,'05-NOV-2020','50P8US - 871','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-10 21:17:57','2020-12-15 22:23:07',null,'1',null,'0');
INSERT INTO complaints VALUES('2889','DR IFTIKHAR AHMED','03335123828','HO#11 ST#32 F-6/1 ISB','5','32','96451','SONY','0',null,'21-JULY-2018','55X7000E-S - 942','FLAT PANEL TV','REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-10 21:31:19','2020-12-12 21:10:10',null,'1',null,'0');
INSERT INTO complaints VALUES('2890','MR YOUNS','0515731325','HO#230 ST 09 PHASE 3 BAHRIA TOWN ISB','6','14','30995','FIVE STAR','MODAL#786MC SALE ADVISOR BADAL',null,'01-DEC-2020',null,'COOKING RANGE','BURNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-10 21:37:52','2021-01-31 23:16:03',null,'1',null,'0');
INSERT INTO complaints VALUES('2891','MR KIANI','03008112454','HO#11 ST 27 SEC F-6/2 ISB','5','31','123899','HAIER','MODAL#18HFCA-G',null,'12-NOV-2020',null,'AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-10 21:53:53','2020-12-18 21:07:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2892','MR OMAIR','03035741215','FLAT#11 1ST FLOOR 21/B SEC 02 SYED FAIZAN-E-HASSAN PLAZA ISB','9','20','192164','WAVES','PTCL CALL INVOICE HAY',null,'06-JULY-2020','315WDFT-GD ALPHA - 958','FREEZER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-10 22:12:10','2020-12-15 21:41:13',null,'1',null,'0');
INSERT INTO complaints VALUES('2893','ABDUL SAMAD','03369303309','HO#127 ST#1/3 USMAN BLOCK PHASE 8 B.TOWN','6','15','23624','SIGNATURE','MONDAY YHA TUESDAY KO CUSTOMER GHR PA AVAIL HO GAY',null,'20-OCT-2019','SWM-SR50 - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-10 22:18:14','2020-12-17 01:48:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2894','HAMMAD FCP','03455104405','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','23','0','SUPER ASIA','0',null,'0','233SA - 522','WASHING MACHINE','PIPE  DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-10 22:37:02','2020-12-21 22:08:59',null,'1',null,'0');
INSERT INTO complaints VALUES('2895','AMIR AHMAD','03005528874','HO#899 ST 120 SEC D-12/4 ISB','5','53','121754','SAMSUNG','0',null,'11-SEP-2020','70H4000-SZ - 1548','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-10 23:09:58','2020-12-15 21:38:19',null,'1',null,'0');
INSERT INTO complaints VALUES('2896','MR JAVED TAHIR','03131501502','HO#1216CB ST 04 QADRIYA COLONY  PESHAWAR ROAD RWP','7','49','20067','SUPER ASIA','SALE ADVISOR ZAHID',null,'23-NOV-2019','244SA - 1483','WASHING MACHINE','SPINNER  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-10 23:38:22','2020-12-15 20:39:30',null,'1',null,'0');
INSERT INTO complaints VALUES('2897','COL ORANGZAIB','.03339105392','HO#30 ST#08 SEC A ASKRI 14 R.W.P','5','28','0','SIGNATURE','0','2020-12-10',null,'SLC-LN1-G - 1698','AIR COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-10 23:57:55','2020-12-11 00:21:44',null,'1',null,'0');
INSERT INTO complaints VALUES('2898','COL ORANGZAIB','.03339105392','HO#30 ST#08 SEC A ASKRI 14 R.W.P','6','12','0','ORIENT','0','2020-12-10',null,'12G-ALPHA-SW - 912','AIR CONDITIONER','COLLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-10 23:57:56','2020-12-11 00:20:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2899','COL ORANGZAIB','.03339105392','HO#30 ST#08 SEC A ASKRI 14 R.W.P','5','28','+0','ACSON','0','2020-12-10',null,'510N - 588','AIR CURTAIN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-10 23:57:56','2020-12-11 00:16:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2900','COL ORANGZAIB','.03339105392','HO#30 ST#08 SEC A ASKRI 14 R.W.P','9','51','166512','TCL','CELL PHONE PA CALL AAI(INVOICE B HAIN)',null,'23-FEB-2019','55P6US - 942','FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-10 23:57:56','2021-01-19 19:58:39',null,'1',null,'0');
INSERT INTO complaints VALUES('2901','ABBAS JAFRI','03219540055','HO#427 ST 62 SEC D-12/2 ISB','5','35','126674','HAIER','0',null,'06-DEC-2020','438IDBT - 896','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-11 00:07:31','2020-12-15 21:31:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2902','FAZAL HAQ','03005194823','HO#15 ST 15 ASKARI 7 HADEYA ROAD RWP','9','24','199943','SAMSUNG','INVOICE PA COMPLETED MODEL CONFIRM NI (WAQAS FCP NA CONFIRM KIYA K S WALA STOCK HAIN(TIME1:35)',null,'28-NOV-2020','40N5300-S - 938','FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-11 00:07:32','2020-12-17 01:47:47',null,'1',null,'0');
INSERT INTO complaints VALUES('2903','FURQAN RASHEED','03343106720','APP#15 KARKURAM ENCLAVE 2 SEC F-11/1 ISB','5','33','123331','SIGNATURE','0',null,'27-OCT-2020','HC-5861S - 1122','BUILT IN APPLLIANCES','BURNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-11 00:20:51','2020-12-18 21:18:52',null,'1',null,'0');
INSERT INTO complaints VALUES('2904','ADEEL MINHAS','03345089499','HO#16 ST 93 SEC G-13/1  ISB','8','37','35689','SIGNATURE','SALE ADVISOR AZHAR  SDA DISPENSER I/10 SERVICE CENTER AYA HAY',null,'20-JULY-2019','SWD-HD20-GD - 994','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','2878','74','2020-12-11 00:22:56','2020-12-17 01:37:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2905','SAEED ASHRAF','03334622787','HO#147 ST#04 RESOURCES ROAD R.W.P','8','38','12794','SIGNATURE','C/O TAHIR BEST COOL',null,'01-OCT-2016','MD99SS-S - 1723','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-11 00:59:08','2020-12-18 20:29:23',null,'1',null,'0');
INSERT INTO complaints VALUES('2906','ADIL FHS','03403339967','FRIEND CORPORATION SHAMSA  BAD RWP','8','38','42856','SIGNATURE','MODAL#SET-AC24 CUSTOMER SHOWROOM PAR CHOR GAY HAY OVEN',null,'06-OCT-2020',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-11 01:07:20','2020-12-17 01:25:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2907','MR ARIB','03328566963','HO#124 ST 04 BLOCK C  MEDIA  TOWN ISB','4','11','18639','SIGNATURE','MODAL#SWH-20-06 SALE ADVISOR ALI MURTAZA',null,'09-DEC-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-11 01:59:06','2020-12-17 01:22:30',null,'1',null,'0');
INSERT INTO complaints VALUES('2908','HAFEEZ HOORANI','03008551409','HO#13 ST#26 SEC B PHASE 05 DHA ISB','5','34','110660','HAIER','0',null,'06-NOV -2019','18HNS-INV - 915','AIR CONDITIONER','F3 ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-11 20:24:21','2020-12-18 20:57:26',null,'1',null,'0');
INSERT INTO complaints VALUES('2909','COL TARIQ','03335281547(033205087440)','HO#183 ST#11 SEC B DHA 01 ISB','6','16','31998','HAIER','0',null,'08-DCE-2020','120AS - 69','WASHING MACHINE','BODY CURRENT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-11 20:32:46','2020-12-19 20:08:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2910','MUZAMIL IQBAL','03235292454','HO#15/9 C ST#10 A KAMALABAD BAKRAMANDI R.W.P','7','49','20901','HAIER','0',null,'02-MAY-2020','18HNF-INV-S - 915','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-11 20:39:14','2020-12-19 20:16:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2911','MANZAR ALI(ZBPL)','03170500765','HO#08 ST#13 OVER SEAS SEC 07 PHASE 08 B TOWN','6','16','30850','ORIENT','12G-ORBIT-913',null,'30-NOV-2020',null,'AIR CONDITIONER','ERROR D 3',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-11 20:44:32','2020-12-18 20:59:15',null,'1',null,'0');
INSERT INTO complaints VALUES('2912','MAZHAR  ABBAS','03006780566','PLAZA #85 FRONT OF ZAMEEN .COM CIVIC CENTER GROUND FLOOR  PHASE 04 B.TOWN','6','14','28042','ORIENT','0',null,'29-JUNE-2020','24G-ULTIMATE-SW-HC - 917','AIR CONDITIONER','HEATING PROB+ OUT DOOR SA LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-11 20:55:05','2020-12-15 21:03:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2913','SYED AHMED','03335203546','HO#13 ST#32 F-8/1 ISB','5','34','93752','LG','CELL PHONE PA CALL AAI(INVOICE B HAIN)',null,'24-APRIL-2018','247SMUV-S - 909','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-11 21:00:05','2020-12-29 02:21:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2914','MR AYAZ','03009873003','HO#658 MOHALAH SHAIKHA DHARI HASSANABAD R.W.P','9','19','199482','CANON','AGAIN COMPLAINT AAI HAIN',null,'19-NOV-2020','18D - 1748','GEYSER','ON OFF PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-12 01:05:01','2020-12-15 21:00:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2915','SYED ZAKIR HUSSAIN','03333758601','HO#668 ST#2 I 9/1 ISB','5','28','125963','ORIENT','C/O IQBAL STOCK)',null,'05-DEC-2020','260ICE-HLSL - 858','REFRIGERATOR','DRAIN COVER FIXING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-12 01:28:14','2020-12-15 20:57:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2916','NADEEM KHAN','03315100080','HO#06 ST$#3 B-F 10/2','5','31','111315','SIGNATURE','SIG (HOB)',null,'28-NOV-2019','SBH-AA760S - 1122','BUILT IN APPLLIANCES','BURNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-12 20:04:23','2020-12-21 22:15:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2917','PERVAIZ','03339082580','VILLAGE SHAH MANSOOR MOHALLAH NAWARABAD SAWABI','9','23','1521734','HAIER','CELL PHONE PA CALL AAI(INVOICE B HAIN)',null,'13-MAY-2018','150-1678HWM - 1484','WASHING MACHINE','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-12 20:19:20','2020-12-19 20:44:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2918','ZAHEER U DEEN AHMED','03314024899','HO#1056 ST#45 B E 11/3 POLICE FOUNDATION ISB','5','29','125356','SONY','55X7500H-CC-108',null,'03-DEC-2020',null,'FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-12 20:29:00','2020-12-16 00:13:09',null,'1',null,'0');
INSERT INTO complaints VALUES('2919','ZAHID ABBAS','03123456787','HO#4 ST#04 SEC C-1 BEHIRA ENCLAVE ISB','9','24','198095','SIGNATURE','SIG (HOOD)',null,'24-OCT-2020','SBC-MELBURNE90PLUS-SS - 1123','BUILT IN APPLLIANCES','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-12 21:01:06','2020-12-17 01:21:51',null,'1',null,'0');
INSERT INTO complaints VALUES('2920','SARVER KHAN','03224444407','HO#04 FLAT#91 ST#34 G-10/ I ISB','9','23','201244','KENWOOD','0',null,'05-DEC-2020','1010SA - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-12 22:10:16','2021-01-17 01:59:17',null,'1',null,'0');
INSERT INTO complaints VALUES('2921','DR  M AZHAR','03015557501','HO#666 ST#18 I-8/2 ISB','8','39','43166','CARAVELL','204B-2026',null,'24-OCT-2020',null,'WATER DISPENSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-12 22:15:41','2021-01-21 00:35:37',null,'1',null,'0');
INSERT INTO complaints VALUES('2922','M. SADDIQUE','03225131141','HO#85 ST#08 BLOCK A MEDIA TOWN','4','11','17842','HAIER','0',null,'03-DEC-2020','12HRO-W-INV - 913','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-12 22:33:01','2020-12-15 20:50:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2923','ZAFAR','03015324292','HO#152 ST#07 F11/1','5','53','12687','SHARP','750RD3(HOME SOLUTION YHA COMPLAINT ATTEND KARWAY GAY)',null,'07-DEC-2020',null,'REFRIGERATOR','OVER COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-12 23:07:37','2020-12-16 22:00:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2924','MR USMAN','03335287753','ST NO 2 FAISAL COLONY TENCH BHATTA RWP CANTT','9','19','162375','SIGNATURE','OLD SOFT WERA TASK$18683',null,'08-DEC-2018','SWM-SJ40 - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-12 23:45:16','2020-12-16 00:12:40',null,'1',null,'0');
INSERT INTO complaints VALUES('2925','KHURRAM JAVED','03215500688','HO#24 I MEHRABAD PESHWAR ROAD R.W.P','6','12','28290','SIGNATURE','SIG (HOOD)',null,'08-JULY-2020','SBC-DUBBO-90PLUS - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-12 23:49:32','2020-12-13 00:21:12',null,'1',null,'0');
INSERT INTO complaints VALUES('2926','KHURRAM JAVED','03215500688','HO#24 I MEHRABAD PESHWAR ROAD R.W.P','6','12','28290','SIGNATURE','SIG (HOOD)',null,'08-JULY-2020','SBC-DUBBO-90PLUS - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-13 00:02:56','2020-12-18 20:23:34',null,'1',null,'0');
INSERT INTO complaints VALUES('2927','M.SALMAN','03325260201','HO#77 ST#6959 I-8/3 ISB','8','42','13746','ECOSTAR','0',null,'23-NOV-2015','40U545 - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-13 00:08:00','2020-12-21 21:36:50',null,'1',null,'0');
INSERT INTO complaints VALUES('2928','SAMI ULLAH KHAN','03314677479','FLAT# G-4 MUSTUFA APP G-8 MARKAZ ISB','8','37','41611','HAIER','0',null,'07-AUG-2020','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-13 00:24:35','2021-01-02 02:11:27',null,'1',null,'0');
INSERT INTO complaints VALUES('2929','ALINA SIDDIQUI','03335602242','HO#09 ST#/85 G-6/4 ISB','5','33','125985','SONY','0',null,'05-DEC-2020','40W650D-CC - 938','FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-13 00:29:19','2020-12-17 01:21:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2930','INAM MEHMOOD','03215828891','BHOR BAZR  RAJA BAZAR R.W.P','9','27','20107','SIGNATURE','(I-10 SA GLASS LAG K DIA  HOME SOLUTION)',null,'05-DEC-2020','SBO-AT4R - 1124','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-13 00:54:11','2020-12-16 00:09:26',null,'1',null,'0');
INSERT INTO complaints VALUES('2931','DR SHAHID KHAN','03339706417','HO#335 -A ST#04 F-15 KASHMIR HOUSING SOCITY ISB','9','24','193024','ORIENT','0',null,'17-JULY-2020','18G-HYPER-SW - 915','AIR CONDITIONER','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-13 01:05:07','2020-12-15 20:38:00',null,'1',null,'0');
INSERT INTO complaints VALUES('2932','MASOOD AHMED','03455329129','HO#03 ST#05 IQBAL MARKET QAID AZAM R.W.P','9','25','187226','FIVE STAR','0',null,'22-FEB-2020','25G-TWIN-FS - 1966','GEYSER','OON OFF + SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-13 01:18:50','2020-12-21 21:12:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2933','AHSAN BASHIR','03214038601(03009553783)','HO#09 ST#01 PHASE 06 BEHIRA TOWN','4','7','14498','LG','0',null,'11-JAN-2020','8265CIS-S - 987','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-13 01:28:55','2021-01-09 21:17:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2934','ZHEER','03315414816','HO#03 LANE10 SEC B DHA PHSE 02 ISB','9','27','195537','HAIER','0',null,'01-SEP-2020','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-13 01:36:55','2020-12-15 20:31:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2935','FAISAL ATTIQUE','03006435486','HO#2280 ST#17/2 BLOCK C POLICE FOUNDATION PWD R.W.P','4','7','18191','HAIER','0',null,'05-DEC-2020','120-1678HWM - 906','WASHING MACHINE','SPINNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-13 02:01:41','2020-12-15 20:29:37',null,'1',null,'0');
INSERT INTO complaints VALUES('2936','BILAL ABBASI','03165102283','HO#129-A ST#09 SEC B-1 DHA 01 PHASE R.W.P','6','15','22823','DAWLANCE','0',null,'26-AUG-2019','6550DW - 899','WASHING MACHINE','DOOR LOCK PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-13 02:10:45','2020-12-21 21:09:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2937','TARIQ SAB','03245075068','HO#92 ST#17-A LANE 03 CHAKLALA SCKEEM 03 R.W.P','8','37','43794','SHARP','0',null,'29-NOV-2020','710CX-S - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-13 02:15:45','2020-12-21 20:43:10',null,'1',null,'0');
INSERT INTO complaints VALUES('2938','RASHID ZAKA','03028505026 , 03005502456','H NO 2120 MAIN GLOP CHOWK PHASE 7 B.TOWN RWP','6','15','27999','HAIER','0',null,'25-JUN-2020','18HFCE-W-INV - 915','AIR CONDITIONER','HEATING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-12-13 19:41:10','2020-12-15 20:20:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2939','M ZAHEER','03085356153 , 03008507316','H NO 832 PHASE 6 HILL ROAD BAHRIA TOWN RWP','4','7','18677','SUPER ASIA','0',null,'12-DEC-2020','535GH - 1037','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-12-13 19:57:47','2020-12-21 21:05:17',null,'1',null,'0');
INSERT INTO complaints VALUES('2940','MUHAMMAD ARIF','03365550018','H NO 367 ST NO 14 SEC 1 AIRPORT HOUSING SOCIETY RWP','4','9','17075','HAIER','0',null,'8-NOV-2020','75-918 - 69','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-12-13 20:01:04','2020-12-15 20:18:07',null,'1',null,'0');
INSERT INTO complaints VALUES('2941','COL ARSHAD','03335283197 , 03159000433','H NO 20 LANE NO 1 ARMY OFFICERS COLONY MORGAH RWP','7','49','20842','SHARP','REF TO KAMRAN BHR-7',null,'15-MAR-2020','612V-SS3 - 1547','DISH WASHER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-12-13 20:06:01','2020-12-14 21:52:39',null,'1',null,'0');
INSERT INTO complaints VALUES('2942','CH QAMAR','03335486926','H NO 7 ASGHAR MALL SCHEME RWP','9','19','0','HAIER','0',null,'6-JUL-2020','336IPR - 860','REFRIGERATOR','TEMPERATURE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-12-13 20:43:24','2020-12-15 20:26:07',null,'1',null,'0');
INSERT INTO complaints VALUES('2943','ABDUL SHAKOOR','03355597800','FLAT NO 0021 AL SAFA HEIGHTS  2  ST NO 3 SEC F/11-1 ISB','5','31','126945','LG','0',null,'9-DEC-2020',null,'WASHING MACHINE','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-12-13 21:02:34','2020-12-19 00:43:14',null,'1',null,'0');
INSERT INTO complaints VALUES('2944','SAFI ULLAH KHAN','03465327748','H NO 5 ST NO 1 BLOCK H SOAN GARDEN ISB','4','10','18083','CARAVELL','0',null,'5-DEC-2020','207BA','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-12-13 21:16:04','2020-12-21 21:01:58',null,'1',null,'0');
INSERT INTO complaints VALUES('2945','ASGHAR SB','03159999008 , 03015186805','H NO 11 RAILWAY SCHEME NO 6 WESTRIDGE 2 NEAR RAILWAY BAKERY CHWOK RWP','7','49','20856','TCL','1909VLR300944A00073',null,'17-MAR-2020','55P8S - 942','FLAT PANEL TV','PANEL DOT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-12-13 21:27:00','2021-01-19 20:28:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2946','JAVAID PAUL','03345781315','CB4695 ST NO 5 SHERZAMAN COLONY NEAR TOOBA MASJID LALAZAR RWP CANTT','8','39','44919','HAIER','0',null,'7-DEC-2020','150-1789HWM - 1706','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-12-13 21:43:58','2020-12-15 20:13:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2947','ARSHAD MEHMOOD','03175630949','ST NO 20 NEAR BOKHRA HOUSE KOHINOOR MILLS PESHAWAR ROAD RWP','9','26','129772','PEL','REF TO HAMMAD FCP',null,'22-MAR-2017','2000EW - 893','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-12-13 22:50:25','2020-12-15 20:11:57',null,'1',null,'0');
INSERT INTO complaints VALUES('2948','MR RIZWAN','03165163266','ST NO 209 MALALI CHOWK OPP JINNAH GARDEN ISB','9','19','194684','HAIER','0',null,'15-AUG-2020','85-12826HW - 945','WASHING MACHINE','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-12-14 00:06:39','2020-12-15 20:08:39',null,'1',null,'0');
INSERT INTO complaints VALUES('2949','KHALID MALIK','03235003039','H NO 15A OPP SURVEY OF PAKISTAN FAIZABAD RWP','9','24','201880','FIVE STAR','GEYSER MAX',null,'8-DEC-2020','35G- HEAVY','GEYSER','LEAKAGE PROBLEM',null,'5','closed',null,'customer','0',null,'73','2020-12-14 00:11:11','2021-01-27 22:04:41',null,'1',null,'0');
INSERT INTO complaints VALUES('2950','MRS NAUMAN','03335583160','H NO E96-A NEAR ITWAR BAZAR SATELLITE TOWN RWP','9','24','40710','FIVE STAR','0',null,'2-JUL-2020','5500C-FS - 1965','COOKING RANGE','FLAME PROBLEM',null,'5','completed',null,'customer','1','769','73','2020-12-14 02:17:53','2021-01-27 22:06:25',null,'1',null,'0');
INSERT INTO complaints VALUES('2951','SAMIULLAH','03005633887','FATIMA COLLEGE CHAUDHARY PLAZA NEAR EK MINAR MASJID PINDORIAN OPP KURI ROAD ISB','8','38','43397','KENWOOD','0',null,'7-NOV-2020','1012SA - 902','WASHING MACHINE','SPINNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-12-14 02:28:15','2020-12-15 20:07:00',null,'1',null,'0');
INSERT INTO complaints VALUES('2952','MR RIZWAN','03138510555','HO#28 PLAZA AVINU SEC J DHA 2 ISB','9','19','201845','HAIER','SALE ADVISOR RIFFAT FCP',null,'07-DEC-2020','385HDF-INV - 1468','FREEZER','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-14 19:54:07','2020-12-21 01:26:10',null,'1',null,'0');
INSERT INTO complaints VALUES('2953','MR ADIL','03335005959','HO#11 RAWAL DAM COLONY PARK ROAD RAWAL DAM','8','38','10068','LG','MODAL#42LB550-939 SALE ADVISOR NAVEED AHMAD',null,'23-NOV-2014',null,'FLAT PANEL TV','SCREEN DOT  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-14 20:14:30','2020-12-19 00:37:28',null,'1',null,'0');
INSERT INTO complaints VALUES('2954','ATTIQUE AHMED','03335149064','HO#192 ST#07 SEC F 15/1 ISB','9','26','202109','SIGNATURE','SBH-HC-3763S',null,'12-DEC-2020',null,'BUILT IN APPLLIANCES','FALAM PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-14 20:15:28','2020-12-17 01:19:54',null,'1',null,'0');
INSERT INTO complaints VALUES('2955','MR ZAHEER','03008507316','HO#832 HILL ROAD PHASE 06 BAHRIA TOWN ISB','4','9','18677','SUPER ASIA','SALE ADVISOR NAVEED',null,'12-DEC-2020','535GH - 1037','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-14 20:28:28','2020-12-21 20:58:23',null,'1',null,'0');
INSERT INTO complaints VALUES('2956','ABID HUSSAIN','03213033771','HO#120 ST 08 SEC E, BAHRIA HOMES PHASE 08 ISB','6','16','30793','LG','0',null,'29-NOV-2020','512FPW-S - 1653','DISH WASHER','TIMER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-14 20:38:28','2020-12-29 02:21:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2957','MH HANAN MALIK','03008382968','OFFICE RABI ASOSIATE TWINCE CITY COMPLEX SHESHAY WALE MARKIT RWP','8','37','34896','ORIENT','SALE ADVISOR USMAN PTCL CALL INVOICE HAY',null,'23-JUN-2019','CRYSTAL-C-BLK - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-14 21:00:26','2020-12-21 21:03:51',null,'1',null,'0');
INSERT INTO complaints VALUES('2958','NADEEM','03228550044','HO#571 MAIN ROAD 03 G-15/1 ISB','8','42','44126','SAMSUNG','171673OSG-S',null,'03-DEC-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-14 21:25:57','2020-12-16 20:34:45',null,'1',null,'0');
INSERT INTO complaints VALUES('2959','MAZHAR SHAHZAD','03440554402','HO#337 ST#30 G-14/4 ISB','5','28','0','LG','C/O SADDIQ & KHURRAM GOOGLE',null,'0',null,'REFRIGERATOR','FOOD BOX PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-14 21:30:23','2021-02-23 17:42:48',null,'1',null,'0');
INSERT INTO complaints VALUES('2960','AWAIS','03434103979','HO#51-A ST#4-A GORI TOWN PHASE 02','8','39','45049','ARISTON','C/O KAMRAN BEHIRA',null,'12-DEC-2020','30LITRE - 1636','GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-14 21:48:36','2020-12-21 21:51:52',null,'1',null,'0');
INSERT INTO complaints VALUES('2961','MR ZAFAR IQBAL','03151234551','VILLAGE MIRZA KAMBILI KALAL  SAIDA RWP','9','51','131058','TCL','0',null,'12-APR-2017','49P2US - 1629','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-14 22:04:29','2021-01-19 20:39:36',null,'1',null,'0');
INSERT INTO complaints VALUES('2962',null,null,null,'8',null,null,'DAWLANCE',null,null,null,'2810C-DW - 1743','MICROWAVE OVEN','On off problem',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'96','2020-12-14 22:11:46','2020-12-29 21:14:16',null,'1',null,'0');
INSERT INTO complaints VALUES('2963','MR AZMAT','03005005184 0515788519','HO#15 ST 04 SEC C, DHA 1 ISB','6','12','30435','SIGNATURE','HOB KI COMPLAINT HAY',null,'12-NOV-2020','HC-5900G - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-14 22:22:43','2020-12-19 20:17:53',null,'1',null,'0');
INSERT INTO complaints VALUES('2964','DR IRFAN','03005528020','HO#1-B MAIN JOHAR ROAD F-8/1 ISB','5','29','126403','SONY','65X7500H-CC-1055',null,'06-DEC-2020',null,'FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-14 22:22:55','2020-12-16 00:08:44',null,'1',null,'0');
INSERT INTO complaints VALUES('2965','MR HARIS','03335374719','HO#40 ST#07 BLOCK  C SONA GARDEN ISB','6','13','17551','HAIER','0',null,'30-NOV-2020','85-1708HWM - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-14 22:47:43','2020-12-21 01:27:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2966','MR SAUD','03129567788','HO#95 ST 60 SEC G-9/4 ISB','5','28','127011','SIGNATURE','MODAL#AR2  OVEN HAY',null,'10-DEC-2020',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-14 23:00:31','2020-12-19 20:17:00',null,'1',null,'0');
INSERT INTO complaints VALUES('2967','ABBAS SAB','03017978514','HO#03 NEAR GILANI MART DHOK RAJGAN ADYALA ROAD R.W.P','9','24','183953','SIGNATURE','C/O HAMMAD FCP',null,'16-DEC-20219','SWH-1907 - 125','GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-14 23:08:37','2020-12-24 23:50:29',null,'1',null,'0');
INSERT INTO complaints VALUES('2968','MR NIAZ AHMED','03222223055','HO#07 MAIN DUBBLE ROAD SEC E-11/1 ISB','5','32','120883','ORIENT','0',null,'17-AUG-2020','24G-PREMIER-SW - 917','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-15 00:20:32','2021-01-20 02:42:52',null,'1',null,'0');
INSERT INTO complaints VALUES('2969','MISS NASEEM HUMZA','03340922646','HO#50 ST 60, SEC F-11/4 ISB','6','12','28918','FIVE STAR','SALE ADVISOR ZEESHAN',null,'09-AUG-2020','500C-FS - 1073','COOKING RANGE','NOT WORKING',null,'5','completed',null,'customer','0',null,'92','2020-12-15 00:45:28','2021-01-27 22:13:27',null,'1',null,'0');
INSERT INTO complaints VALUES('2970','MR ABID','03345303403','HO#23/21 ST 05 LALAZAR TULSA ROAD RWP','9','20','154017','SIGNATURE','0',null,'11-JUN-2018','SRF-KK95G - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-15 01:21:17','2020-12-16 22:03:15',null,'1',null,'0');
INSERT INTO complaints VALUES('2971','AHMED ABDULLAH','03328180101','VILLAGE MANKI SHARIF NOSHAHRA','9','21','188912','SHARP','SALE ADVISOR MURTAZA',null,'18-MAY-2020','700SL3 - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-15 01:26:41','2021-02-04 12:07:17',null,'1',null,'0');
INSERT INTO complaints VALUES('2972','ALMASOOD OIL&GHEE INDUSTRY','03336769927','HO#295 ST#18 G-10/2 ISB','5','28','122378','CORONA','SALE ADVISOR  ABU BAKAR',null,'29-SEP-2020','C205 - 14','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-15 01:40:34','2020-12-22 20:02:58',null,'1',null,'0');
INSERT INTO complaints VALUES('2973','CAP SHAHROAZ','03351273737(03235110356)','SCHOOL OF ARMOUR NOSHARA CANTT','5','33','107900','LG','0',null,'27-JULY-2019','502HMHU-S - 896','REFRIGERATOR','COMPRESSOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-15 01:50:29','2020-12-30 01:42:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2974','ANEES AMEER','03335068030','HO#429 ST 33 GORE TOWN PHASE  4A ISB','8','38','33972','SIGNATURE','SALE ADVISOR AZHAR SDA',null,'15-MAY-2019','SSB-X555MT - 1410','SOUND SYSTEMS','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-15 02:07:31','2020-12-22 02:10:34',null,'1',null,'0');
INSERT INTO complaints VALUES('2975','MUSTAFA MALIK','03212001071','HO#555E ALMAMOON BUILDING ADRA NEAR CMH HOSPITAL RWP','8','48','33536','HAIER','SALE ADVISOR ADIL RASHEED',null,'27-APR-2019','398ITB - 746','REFRIGERATOR','GLASS DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-15 02:35:59','2020-12-28 21:58:06',null,'1',null,'0');
INSERT INTO complaints VALUES('2976','MRS MALIK(BRIG ZAREEF)','03008545416(03335114700)','HO#06 ST#83 G-6/4 ISB','8','38','43988','GREE','C/O NAEEM NASEER(IST VISIT B.COOL NAKRWAYA)',null,'02-DEC-2020','12LM4 - 912','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-15 02:46:25','2020-12-22 19:58:39',null,'1',null,'0');
INSERT INTO complaints VALUES('2977',null,null,null,'6',null,null,'MITSUBISHI','00000',null,null,'50VA - 915','AIR CONDITIONER','OUT DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-12-15 04:30:17','2021-01-17 02:45:21',null,'1',null,'0');
INSERT INTO complaints VALUES('2978',null,null,null,'6',null,null,'SIGNATURE','00000',null,null,'3710 - 1122','BUILT IN APPLLIANCES','DAMAGE + KNOB MISSING',null,'5','COMPLETED COMPLAINT',null,'showroom','0',null,'93','2020-12-15 04:31:13','2021-01-20 20:51:01',null,'1',null,'0');
INSERT INTO complaints VALUES('2979',null,null,null,'6',null,null,'SIGNATURE','00000',null,null,'MELBOURNE-90 - 1123','BUILT IN APPLLIANCES','PANEL DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-12-15 04:32:15','2020-12-16 20:32:22',null,'1',null,'0');
INSERT INTO complaints VALUES('2980',null,null,null,'6',null,null,'SIGNATURE','00000',null,null,'SSO-MO22 - 964','MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-12-15 04:32:51','2020-12-18 20:19:49',null,'1',null,'0');
INSERT INTO complaints VALUES('2981',null,null,null,'6',null,null,'ORIENT','00000',null,null,'43S-FHD-THRILLER - 869','FLAT PANEL TV','LED PANEL DAMAGE---- MODEL 43S-FICTION',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2020-12-15 04:34:22','2021-01-20 20:41:58',null,'1',null,'0');
INSERT INTO complaints VALUES('2982','MR AMIR','03005149019','HO#262 ST 21 BLOCK D CBR TOWN ISB','4','7','18129','HAIER','SALE ADVISOR MUDASSAR',null,'05-DEC-2020','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-15 19:44:14','2020-12-21 01:31:52',null,'1',null,'0');
INSERT INTO complaints VALUES('2983','MRS SAJID','03215266696','IMRAN KHAN CHOWK BANI GAL ISB','8','38','43602','CANON','0',null,'19-NOV-2020','24D-PLUS - 1031','GEYSER','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-15 20:16:57','2020-12-22 20:23:58',null,'1',null,'0');
INSERT INTO complaints VALUES('2984','UMAIR ASGHAR','03335607686','HO#525-A SERVICES ROAD NORTH  F-10/2 ISB','5','33','116878','HAIER','0',null,'30-MAY-2020','24HNI-W-INV - 917','AIR CONDITIONER','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-15 20:35:05','2020-12-21 01:33:37',null,'1',null,'0');
INSERT INTO complaints VALUES('2985','ZUBAIR','03225008866','HO#92 ASGHAR MALL SCHEME  R.W.P','9','19','190283','LG','0',null,'10-JUNE-2020','4V5RGP2T-S - 899','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-15 21:05:59','2020-12-19 00:35:24',null,'1',null,'0');
INSERT INTO complaints VALUES('2986','KAMRAN','03335400049','HO#D-89 ST#04 SEC 01 KHAYABANA SIR SYED R.W.P','9','51','201846','ORIENT','0',null,'07-DEC-2020','12G-ORBIT - 913','AIR CONDITIONER','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-15 21:18:45','2020-12-22 21:29:32',null,'1',null,'0');
INSERT INTO complaints VALUES('2987','DR SHAHID KHAN','03339706417','HO#335-A ST 04 KASHMIR HOUSING SOCIETY  SEC F-16/1 ISB','9','24','193024','HAIER','PTCL CALL INVOICE HAY',null,'17-JULY-2020','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-15 21:54:42','2020-12-21 01:36:36',null,'1',null,'0');
INSERT INTO complaints VALUES('2988','COL LIYAQAT','03461113395','HO#17 ST#03 SEC B DHA 02 ISB','6','12','17800','LG','0',null,'08-DEC-2018','7566NEFPF-S - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-15 22:40:37','2020-12-19 00:34:46',null,'1',null,'0');
INSERT INTO complaints VALUES('2989','RIZWAN BEHIRA','03126661934','FRIENDS CORPORATION  PHASE 07 B.TOWN','6','12','0','SIGNATURE','0',null,'0','3710 - 1122','BUILT IN APPLLIANCES','IGNITION DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-15 22:43:56','2020-12-19 20:16:20',null,'1',null,'0');
INSERT INTO complaints VALUES('2990','M.JAVEED','03366284343','HO#1477 ST#49 RAFI BLOCK R.W.P','6','12','5541','LG','0',null,'01-OCT-2016','1452S - 34','DISH WASHER','SERVICES REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-15 22:51:39','2021-01-30 00:21:59',null,'1',null,'0');
INSERT INTO complaints VALUES('2991','MOBASHIR ILYAS','03345166280','HO#1/8 2-B ST#100 NEAR GOAL MARKET G-7/4 ISB','5','28','125960','HAIER','C/O IQBAL STOCK)',null,'05-DEC-2020','85-1708HWM - 945','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-15 23:20:03','2020-12-21 01:38:31',null,'1',null,'0');
INSERT INTO complaints VALUES('2992','RAHIL IHSAN','03336483883','HO#65 ST#01 SHAHZAD TOWN ISB','5','53','126333','HAIER','0',null,'06-DEC-2020','336EPB - 894','REFRIGERATOR','COMPRESSOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-15 23:22:18','2020-12-23 20:47:32',null,'1',null,'0');
INSERT INTO complaints VALUES('2993',null,null,null,'8',null,null,'ECOSTAR',null,null,null,'32U571 - 936','FLAT PANEL TV','On off problem',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'96','2020-12-15 23:43:06','2021-02-16 11:40:13',null,'1',null,'0');
INSERT INTO complaints VALUES('2994','MR AHMAD','03085050150','H NO 189 ST NO 69 SEC F/10-3 ISB','5','32','119991','CORONA','0',null,'29-JULY-2020','351C - 1533','COOKING RANGE','BAKING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-15 23:46:00','2021-02-25 17:49:05',null,'1',null,'0');
INSERT INTO complaints VALUES('2995','SAJID GOD WON','03135978937','FRIENDS HOME SHAMSHABAD R.W.P','8','37','0','SAMSUNG','MODEL 65TU7000(ASLAM SIR LA K GAY S/C)',null,'0',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-15 23:47:57','2020-12-24 23:49:56',null,'1',null,'0');
INSERT INTO complaints VALUES('2996','SAJID GOD WON','03135978937','FRIENDS HOME SHAMSHABAD R.W.P','8','37','0','SAMSUNG','65TU7000',null,'0',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-15 23:51:42','2020-12-16 00:02:47',null,'1',null,'0');
INSERT INTO complaints VALUES('2997','RAJA ARSHID','03008543003','HO#DD59 ST FARUKH CORPORTION  MUREE ROAD RWP','8','39','24908','ORIENT','SALE ADVISOR AZHAR SDA',null,'12-NOV-2017','531BL - 993','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-15 23:56:51','2020-12-23 20:25:08',null,'1',null,'0');
INSERT INTO complaints VALUES('2998','SAJID GOD WON','03135978937','FRIENDS HOME SHAMSHABAD R.W.P','8','37','0','SAMSUNG','65TU7000','2020-12-15',null,null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','2996','74','2020-12-15 23:57:50','2021-02-15 13:24:13',null,'1',null,'0');
INSERT INTO complaints VALUES('2999','ARSHAD','03145559604','HO#09 ST#162 G-13/3 ISB','5','33','126091','BOSCH','0',null,'05-DEC-2020','24462GC - 902','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-16 00:05:47','2020-12-23 20:14:06',null,'1',null,'0');
INSERT INTO complaints VALUES('3000','OUZAR SAJJAD','03345063148','HO#1207 ST 03 BLOCK C, POLICE FOUNDATION PWD  ISB','4','10','18176','CANON','SALE ADVISOR MUDASSAR',null,'05-DEC-2020','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 00:09:18','2021-01-20 22:03:32',null,'1',null,'0');
INSERT INTO complaints VALUES('3001','MR MUDASSAR','03335138255','HO#9/4-B GALI#15 ST 06 SEC G-7/2 ISB','5','36','124576','FIVE STAR','MODAL#666MC',null,'28-NOV-2020',null,'COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 00:27:04','2020-12-23 20:07:22',null,'1',null,'0');
INSERT INTO complaints VALUES('3002','MAQSOOD','03409174082','HO#15 ST#87 G-6/3 ISB','5','31','112182','SHARP','IST VISIT AZHAR FCI NA KARWAY PC CARD KA ISSUE AHIN SHARP COMPANY MAIN COMPLAINT AGAIN FF KARWAI AJ',null,'14-DEC-2019','24HCP-INV - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-16 00:37:43','2020-12-23 20:04:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3003','MR YOUSUF','03005808607','HO#257 ST 11 PHASE 5 BAHRIA TOWN ISB','4','8','17453','HAIER','0',null,'28-NOV-2020','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 00:41:43','2020-12-23 20:02:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3004','SAJID GODOWN','03135978937','FRIENDS HOME SHAMSHABAD R.W.P','8','37','0','SAMSUNG','43TU7000',null,'0',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-16 01:04:58','2020-12-19 01:04:31',null,'1',null,'0');
INSERT INTO complaints VALUES('3005','MAZHAR CHOTA FCP','03455261600','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','27','0','SIGNATURE','0',null,'0','HC-5900G - 1122','BUILT IN APPLLIANCES','GRILLE DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-16 01:30:32','2020-12-16 20:31:19',null,'1',null,'0');
INSERT INTO complaints VALUES('3006','SUFYAN','03405239348','SCREEM#01 HOUSING SOCIETY  BACK TO AWAN CNG HADYALA ROAD RWP','9','26','190075','KENWOOD','0',null,'08-JUN-2020','1012SA-MRG - 902','WASHING MACHINE','TIMER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 01:45:08','2020-12-22 22:44:27',null,'1',null,'0');
INSERT INTO complaints VALUES('3007','AHMED TARIQ','03218400436','HO#A131 NEW MOHAN PURA R.W.P','9','26','165570','LG','CELL PHONE PA CALL AAI(INVOICE B HAIN)',null,'03-FEB-2019','4J9HP2T-S - 1712','WASHING MACHINE','SERVICES REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-16 01:48:33','2020-12-29 02:20:38',null,'1',null,'0');
INSERT INTO complaints VALUES('3008','USMAN BURKI','03335118713','HO#155-B BANK ROAD NEAR KIPS ACADEMY RWP','9','51','190963','SONY','0',null,'19-JUN-2020','65X7000G-S - 1443','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 02:10:20','2020-12-24 23:49:18',null,'1',null,'0');
INSERT INTO complaints VALUES('3009','SYED NABEEL','03008004440','HO#18 ST 02 PHACE 2 BAHRIA TOWN RWP','4','7','15452','HAIER','SALE ADVISOR AZHAR',null,'24-JULY-2020','438IDRT - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 02:35:28','2020-12-21 01:44:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3010','MR ARSHAD','03325219003  03325306559','HO#04 ST 09 NEAR ALLIED BANK KORANG TOWN ISB','9','22','140341','LG','SALE ADVISOR IRFAN',null,'09-SEP-2017','8507T-C - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 02:52:50','2020-12-29 22:07:20',null,'1',null,'0');
INSERT INTO complaints VALUES('3011','MR ZAHID','03335297144','HO#507 ST 27 PARK ENCLAVE 01 PARK ROAD ISB','5','31','126306','MITSUBISHI','0',null,'06-DEC-2020','35VA - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 19:23:15','2020-12-24 22:58:20',null,'1',null,'0');
INSERT INTO complaints VALUES('3012','MR DANISH AHMED','03445512242','HO# 2ND FLOOR KHAWAJA TOWER MAIN COMMERCIAL MARKET CHAKLALA SCHEME 03 RWP','4','6','19196','DAWLANCE','PTCL CALL INVOICE HAY',null,'04-JUN-2019','PRO-ACTIVE30-INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 19:42:00','2020-12-22 23:05:41',null,'1',null,'0');
INSERT INTO complaints VALUES('3013','MR AJMAIR QURASHI','03125187124','HO#4757-B1 ST 26 KALTALPURA RWP','8','40','41694','FIVE STAR','0',null,'10-AUG-2020','6000C-FS - 1077','COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 19:57:56','2020-12-16 20:01:01',null,'1',null,'0');
INSERT INTO complaints VALUES('3014','MR AJMAIR QURASHI','03125187124','HO#4757-B1 ST 26 KALTALPURA RWP','8','40','41694','FIVE STAR','0',null,'10-AUG-2020','6000C-FS - 1077','COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 19:58:01','2020-12-16 20:16:13',null,'1',null,'0');
INSERT INTO complaints VALUES('3015','MR AJMAIR QURASHI','03125187124','HO#4757-B1 ST 26 KALTALPURA RWP','8','40','41694','FIVE STAR','0',null,'10-AUG-2020','6000C-FS - 1077','COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 19:58:01','2020-12-16 20:17:11',null,'1',null,'0');
INSERT INTO complaints VALUES('3016','MR AJMAIR QURASHI','03125187124','HO#4757-B1 ST 26 KALTALPURA RWP','8','40','41694','FIVE STAR','0',null,'10-AUG-2020','6000C-FS - 1077','COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 19:58:04','2020-12-23 20:05:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3017','MR ASFAR','03330695550','HO#1869 ST 07 BLOCK C NATIONAL POLICE FOUNDATION ISB','4','7','13696','HAIER','0',null,'22-MAR-2020','85-1708HWM - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 20:13:18','2020-12-28 21:59:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3018','MISS AL HUDDA','03355953333','HO#254 ST 42 SEC F-11/3 ISB','5','32','113032','HAIER','0',null,'17-DEC-2019','24HNI-W-INV - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 20:34:16','2020-12-22 22:35:59',null,'1',null,'0');
INSERT INTO complaints VALUES('3019','MAJ YASIER','03339665993','HO#H JABBAR FLATS TULSA ROAD QASIM ARMY BAIS','8','42','43194','TCL','0',null,'25-OCT-2020','18T3B - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 21:19:30','2020-12-31 20:54:06',null,'1',null,'0');
INSERT INTO complaints VALUES('3020','MR USMAN','03214354350','HO#3-F SEC E-10 ISB','5','31','125684','SONY','MODAL#65X7500H-CC',null,'04-DEC-2020',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 21:31:47','2021-02-15 13:23:44',null,'1',null,'0');
INSERT INTO complaints VALUES('3021','MISS FARAH','03334848451','HO#451 ST 48 PHASE 2 MARGALA TOWN ISB','9','24','201436','LG','MODAL#1788NEHTE-C TAHIR SIR  BEST COOL NAY COMPLAINT BAJI HAY',null,'06-DEC-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 21:44:18','2020-12-29 22:05:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3022','BADAL FCI','03145299358','FRIENDS CORPORATION BULE AREA ISB','5','34','0','HAIER','IQBAL STOCK KI ID PA COMPLAINT ENTER KARWAI',null,'0','368IDBT - 860','REFRIGERATOR','FAN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-16 21:45:53','2020-12-22 22:34:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3023','DR ARSHAD','03219696071','HO#6 LANE 6 SEC G DHA 2 ISB','4','7','1418','SIGNATURE','SALE ADVISOR MUDASSAR',null,'05-NOV-2017','SRF-KK95S - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COM[PLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 21:52:53','2020-12-21 20:42:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3024','MRS USMAN','03422266667','HO#26 ASKARI 08 AIR PORT ROAD RWP','5','28','126677','SIGNATURE','SALE ADVISOR ABU BAKAR   OVEN KI COMPLAINT HAY',null,'06-DEC-2020','MM9R - 1124','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 22:20:39','2020-12-24 23:48:32',null,'1',null,'0');
INSERT INTO complaints VALUES('3025','MR JAVAID IQBAL','03315451009','HO#327 ST 07 OVERSEAS 02 PHASE 8 BAHRIA TOWN ISB','6','16','30352','FIVE STAR','MODAL#35G-HEAVY',null,'05-NOV-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 22:57:40','2020-12-31 20:53:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3026','FARRUKH HAYAT','03005125248','HO#24 ST 04 BLOCK B SOAN GARDEN ISB','4','7','17624','SAMSUNG','SALE ADVISOR SALEEM',null,'01-DEC-2020','70J3283W-S - 1548','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 23:21:14','2020-12-18 20:19:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3027','ARSHAD MEHMOOD','03139505750','FLAT#H BLOCK 11 POSTAL COLONY G-8/4 ISB','5','28','114748','SUPER ASIA','C/O AZHAR RAMZAN',null,'17-FEB-2020','280SA - 522','WASHING MACHINE','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-16 23:30:28','2020-12-31 20:56:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3028','MR ZAHID','03170156118','HO#31-B LANE 01 GUALSTAN COLONY RWP','9','51','199391','HAIER','MODAL#120-14 SALE ADVISOR CH MAZHAR',null,'18-NOV-2020',null,'WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 23:37:59','2020-12-22 22:26:31',null,'1',null,'0');
INSERT INTO complaints VALUES('3029','MISS MAHWISH','03034444392','SHOP#01 AREEJ TOWER E-11/3 ISB','5','31','113942','SHARP','C/O AZHAR RAMZAN',null,'16-JAN-2020','12HCP-INV - 913','AIR CONDITIONER','OUT DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-16 23:41:02','2020-12-24 22:43:05',null,'1',null,'0');
INSERT INTO complaints VALUES('3030','MR IRFAN WAQAR','03008550015','HO#1-A ST 05 SAFARI VILLAS 01 BAHRIA TOWN ISB','4','8','14158','FIVE STAR','SALE ADVISOR SALEEM',null,'27-MAY-2020','999C-FS - 1965','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-16 23:49:14','2020-12-24 22:39:43',null,'1',null,'0');
INSERT INTO complaints VALUES('3031','MR TAYYAB SIDDIQUI','03345298537','HO#1012 ST 67 SEC G-9/4 ISB','5','36','127006','HAIER','0',null,'10-DEC-2020','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 00:05:51','2020-12-22 22:24:38',null,'1',null,'0');
INSERT INTO complaints VALUES('3032','MR AAMIR','03458561185','SHOP#04 GROUND FLOOR PRISAM 01 BAHRIA PHASE 7 ISB','6','15','28614','TCL','SALE ADVISOR ZEESHAN',null,'24-JULY-2020','18HEB - 915','AIR CONDITIONER','SMELL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 00:10:28','2020-12-24 22:38:17',null,'1',null,'0');
INSERT INTO complaints VALUES('3033','M ZAHIM','03455677093','THE BANK OF AJK SHER MANDI KOTLI AZAD KASHMIR','8','47','21867','KENWOOD','CELL PHONE PA CALL AAI(INVOICE B HAIN)',null,'26-APR-2020','1828S-INV - 915','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-17 00:11:43','2020-12-31 21:08:19',null,'1',null,'0');
INSERT INTO complaints VALUES('3034','MR SULMAN','03125092966(051-2701270)','NIZAM WATCH HOUSE THE CENTAURUS MALL GROUND FLOOR F 8 ISB','6','14','30502','HAIER','0',null,'16-NOV-2020','65K6600UG - 1443','FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-17 00:22:47','2020-12-22 22:21:07',null,'1',null,'0');
INSERT INTO complaints VALUES('3035','ADNAN SAB','03335127273','HO#456 ST#68 G-11/2 ISB','5','32','124728','FIVE STAR','INVOICE#SELL DAYS KA HAIN',null,'30-NOV-2020','193FS - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-17 00:43:52','2020-12-24 22:35:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3036','MR TAYYAB','03057860662','HO#35 ST A-9 ASHRAF COLONY DHAMIAL ROAD RWP','9','26','197948','FIVE STAR','0',null,'20-OCT-2020','35G-TWIN SUPREME - 963','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 00:53:18','2020-12-24 22:33:39',null,'1',null,'0');
INSERT INTO complaints VALUES('3037','MR FAIZ REHMAN','03005041921','HO#RC21 RASHID COLONY SADDIQUA BAD RWP','9','26','197693','SIGNATURE','PTCL CALL INVOICE HAY CHIMNEY KI COMPLAINT HAY',null,'17-OCT-2020','SBC-DUBBO-90PLUS - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 01:25:35','2020-12-18 19:57:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3038','MR FAIZ REHMAN','03005041921','HO#RC21 RASHID COLONY SADDIQUA BAD RWP','9','26','197693','SIGNATURE','PTCL CALL INVOICE HAY CHIMNEY KI COMPLAINT HAY',null,'17-OCT-2020','SBC-DUBBO-90PLUS - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 01:25:40','2020-12-18 19:52:37',null,'1',null,'0');
INSERT INTO complaints VALUES('3039','MR MAZHAR','03335336945','HO#1078 ST 07 MODAL TOWN HUMMAKH ISB','9','22','183674','KENWOOD','0',null,'15-DEC-2019','400VCM-BRN - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 02:09:01','2021-02-20 13:35:34',null,'1',null,'0');
INSERT INTO complaints VALUES('3040','ASIF IMRAN BUTT','03105797307','VILLAGE GAGRI NEAR ISB MODAL SCHOOL FOR GIRLS JAPAN ROAD SIHALA ISB','9','19','45036','SAMSUNG','MODAL#15J5730SS-S PTCL CALL INVOICE HAY',null,'12-DEC-2020',null,'WASHING MACHINE','ERROR 4C',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-12-17 02:26:52','2020-12-21 20:32:31',null,'1',null,'0');
INSERT INTO complaints VALUES('3041','WAQAS','03005634573','HO#SA 1099 ST#1 SERVICES ROAD SADIQABAD R.W.P','8','40','42895','CARAVELL','MODAL#204B',null,'08-OCT-2020',null,'WATER DISPENSER','SOUND ISSUE',null,'5','completed',null,'customer','0',null,'92','2020-12-17 19:46:20','2021-01-27 22:22:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3042','WAQAS','03005634573','HO#SA 1099 ST#1 SERVICES ROAD SADIQABAD R.W.P','8','40','43159','HAIER','0',null,'22-OCT-2020','631DGS - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 19:49:35','2020-12-22 22:19:07',null,'1',null,'0');
INSERT INTO complaints VALUES('3043','MR MUSHABIR HUSSAIN','03018687228','HO#13 ST 218 JINNAH GARDEN ISB','5','33','124211','ORIENT','MODAL#39HD-ACTION',null,'20-NOV-2020',null,'FLAT PANEL TV','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 20:25:12','2020-12-24 21:47:31',null,'1',null,'0');
INSERT INTO complaints VALUES('3044','MR JAMSHED','03338033226','FLAT#07 BLOCK 10-C ST 25 SEC G-7/1 ISB','8','37','21901','KENWOOD','COMPLAINT HEAD OFFICE YASIR SIR NAY BAJI HAY',null,'26-APR-2020','1228S-INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 21:09:04','2021-01-17 00:21:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3045','HAJI BASHEER','03455369228','HO#02 ST B-10 BARMA TOWN KHANA DHAK ISB','7','49','22204','DAWLANCE','MODAL#1051-GB-R SALE ADVISOR ZAHID',null,'21-NOV-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 21:23:54','2020-12-21 02:15:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3046',null,null,null,'7',null,null,'CANON','14-11112002-48',null,null,'10LCF - 1031','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'98','2020-12-17 21:35:21','2020-12-29 21:03:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3047',null,null,null,'7',null,null,'CANON','11-0827200077',null,null,'15CL-BROWN','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'98','2020-12-17 21:38:14','2020-12-29 21:02:17',null,'1',null,'0');
INSERT INTO complaints VALUES('3048','MR NOMAN','03455551818','LANE#01 HOUNDA  CENTER PESHAWAR ROAD RWP','7','49','22125','DAWLANCE','SALE ADVISOR ZAHID',null,'09-NOV-2020','9144FPR - 857','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 21:39:27','2020-12-22 23:09:58',null,'1',null,'0');
INSERT INTO complaints VALUES('3049',null,null,null,'7',null,null,'CANON','14-1111200213',null,null,'10LCF - 1031','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'98','2020-12-17 21:39:45','2020-12-29 21:01:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3050',null,null,null,'7',null,null,'ORIENT','DU50000121',null,null,'531OWR - 993','WATER DISPENSER','DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'98','2020-12-17 21:41:44','2020-12-29 20:59:58',null,'1',null,'0');
INSERT INTO complaints VALUES('3051',null,null,null,'7',null,null,'CARAVELL','42 0711200173',null,null,'203R','WATER DISPENSER','DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'98','2020-12-17 21:48:06','2020-12-29 20:59:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3052','MR ZUBAIR','03225008866','HO#92 ASGHAR MALL  HALAL MASJID RWP','9','19','190283','LG','PTCL CALL INVOICE HAY',null,'10-JUN-2020','4V5RYP2T-S - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 21:49:15','2020-12-19 00:33:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3053','MR RAMZAN','03335222499','FLAT#06 BLOCK 11 ST 19 SEC G-10/2 ISB','5','31','95442','SAMSUNG','0',null,'13-JUN-2018','40J5200-P - 938','FLAT PANEL TV','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 22:10:38','2020-12-22 02:08:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3054','AMJAD ALI','03005239544','HO#58/11 BLOCK E MILAD STREET NEAR HOLI FAMILY RWP','8','39','44561','HAIER','0',null,'05-DEC-2020','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 22:21:06','2020-12-24 22:32:10',null,'1',null,'0');
INSERT INTO complaints VALUES('3055','MRS GHAZANFAR','03338246569','HO#FA-59 ST 94 SEC I-8/4 ISB','5','30','120340','ECOSTAR','0',null,'06-AUG-2020','32U571 - 936','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 22:53:06','2020-12-18 19:49:41',null,'1',null,'0');
INSERT INTO complaints VALUES('3056','MRS GHAZANFAR','03338246569','HO#FA-59 ST 94 SEC I-8/4 ISB','5','30','96348','ECOSTAR','0',null,'18-JULY-2018','32U571 - 936','FLAT PANEL TV','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 23:02:12','2020-12-21 02:07:01',null,'1',null,'0');
INSERT INTO complaints VALUES('3057','DR HAROON','03335198317','HO#41 ST 23 SEC A BAHRIA ENCLAVE ISB','8','42','43621','HAIER','0',null,'21-NOV-2020','18HRW-W-INV - 915','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 23:16:52','2020-12-21 02:04:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3058','NASRULLAH KHAN','03459025178','HO#378-B ST 38 SEC F-11/3 ISB','8','38','43285','GREE','PTCL CALL INVOICE HAY',null,'31-OCT-2020','8890EG-CW3 - 2116','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 23:28:29','2021-01-05 21:56:10',null,'1',null,'0');
INSERT INTO complaints VALUES('3059','MISS MARYAM','03315088848','HO#52A SETLITE TOWN BRANE SARGERY HOSPITAL ISB','8','40','42850','CARAVELL','MODAL#207BA',null,'05-OCT-2020',null,'WATER DISPENSER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-17 23:50:20','2021-02-20 14:53:11',null,'1',null,'0');
INSERT INTO complaints VALUES('3060','MR JAVED','03335378860','HO#48 ST 51 SEC F-11/3 ISB','5','36','101763','FIVE STAR','0',null,'29-JAN-2019','999C-FS - 1965','COOKING RANGE','NOB  DAMAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-18 00:04:35','2020-12-25 00:10:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3061','MR ARSHAD','03335458373','HO#427 ST 158 SEC G-11/1 ISB','5','34','115385','HAIER','0',null,'11-MAR-2020','18HNF-INV-S - 915','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-18 00:30:02','2020-12-25 20:31:31',null,'1',null,'0');
INSERT INTO complaints VALUES('3062','MR ASIF','03335719917','HO#W-14 VILLAGE LALYAL POST OFFICE FAZAIYA HOUSING SOCIETY RWP','8','37','17314','SAMSUNG','SALE ADVISOR ADIL RASHEED',null,'03-JULY-2016','11J5710-S - 905','WASHING MACHINE','ERROR E-1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-18 00:46:55','2020-12-24 23:47:16',null,'1',null,'0');
INSERT INTO complaints VALUES('3063','MR ASGHAR KHAN','03326684082','HO#373 ST 14BLOCK A  FAISAL TOWN SEC F-18 TARNOL ISB','8','37','42041','FIVE STAR','0',null,'22-AUG-2020','35G-TWIN SUPREME - 963','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-18 00:52:31','2020-12-25 20:30:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3064','MR SAJID','03433305000','HO#282 ST 56 SEC I-8/3 ISB','8','37','13470','HAIER','SALE ADVISOR NAVEED',null,'10-MAR-2020','622IBG - 908','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-18 01:00:01','2020-12-25 20:28:03',null,'1',null,'0');
INSERT INTO complaints VALUES('3065','MALIK NAEEM','03222123378','HO#16 AGRICULTURE COLONY NAWIZ SHAREF PARK RWP','9','24','200688','LG','0',null,'03-DEC-2020','1066NEFTW-S - 902','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-18 01:08:55','2020-12-29 20:20:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3066','DR KHURRAM','03072551691','HO#38 SEC A MURREE EXPRESS WAY ISB','6','13','28659','SHARP','SALE ADVISOR ZARA',null,'27-JULY-2020','814CX-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-18 01:56:43','2020-12-20 02:50:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3067','SAIF-ULLAH','03369808494','HO#1011 ST 56-A SEC G-11/2 ISB','5','35','126782','FIVE STAR','MODAL#786MC',null,'06-DEC-2020',null,'COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-18 02:06:07','2020-12-25 20:26:36',null,'1',null,'0');
INSERT INTO complaints VALUES('3068','MR SADIQ','03005546780','HO#1089 ST 95 SEC I-10/1 ISB','5','35','123568','CANON','SALE ADVISOR ARSHAD',null,'03-NOV-2020','24D-PLUS-DUAL - 1032','GEYSER','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-18 02:17:08','2020-12-25 20:25:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3069','MR IQBAL','03003345029','HO#101 SAMLI DAM ROAD BARA KHU ISB','8','39','42175','ORIENT','SALE ADVISOR ADIL RASHEED',null,'02-SEP-2020','24G-SUPER - 917','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-18 02:25:33','2020-12-25 20:23:50',null,'1',null,'0');
INSERT INTO complaints VALUES('3070','MR TAHIR IQBAL','03135687590','HO#625F ST 38 SEC E-11/3 ISB','5','32','126146','KENWOOD','SALE ADVISOR KHURRAM JAVED',null,'05-DEC-2020','1012SA - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-18 02:42:05','2020-12-21 01:56:44',null,'1',null,'0');
INSERT INTO complaints VALUES('3071','MRS YUSRA','03245265090','HO#04 ST 08 DAJA AKHTAR ROAD NEAR REHMAT MASJID SHAHPUR TOWN BARAKAHU ISB','9','26','163398','FIVE STAR','0',null,'20-DEC-2018','900C-FS - 1965','COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-18 02:51:07','2020-12-25 20:20:54',null,'1',null,'0');
INSERT INTO complaints VALUES('3072','WASIQ NAEEM','03335340990','KANSA HOUSE NATIONAL HOUSING SCHEME NO 01 ADAYALA ROAD RWP','8','42','196138','LG','PTCL CALL INVOICE HAY',null,'13-SEP-2020','512FPW-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-18 02:59:39','2021-01-16 22:32:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3073','SYED AYAZ AHMED','03215300064','HO#35 ST 158 SEC G-13/4 ISB','8','38','26318','LG','0',null,'10-MAR-2018','4J9HP2T-S - 1712','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-18 03:07:53','2020-12-29 02:19:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3074','MRS HUSSAIN','03008524242','HO#63 ST 8-A  PRINCE ROAD PHULRAN BAHARAKHO ISB','4','10','22897','LG','INVOICE HEAD OFFICE KI BANI HAY',null,'13-JULY-2020','4V5RGP2T-S - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-18 03:18:07','2020-12-28 23:50:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3075','KHURRAM','03115316520','NEW MALL COLONY ST#03 NEAR MAIN ZONG HEAD OFFICE BEHIRA ENCLAVE ISB','8','38','43738','KENWOOD','0',null,'27-NOV-2020','1012SA - 902','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-18 19:58:10','2020-12-21 01:51:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3076','CH MUBEEN','03000666635','KHAN CHOWK NEAR BEACON HOUSE SCHOOL BANI GALA ISB','9','24','200294','SIGNATURE','SWH-20-06',null,'01-DEC-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-18 20:22:38','2020-12-21 20:21:59',null,'1',null,'0');
INSERT INTO complaints VALUES('3077','ALI ABBAS','0344-5036630','HO#D9 ST#05 NAVAL HOUSING SCHEEM F 11/1 ISB','5','53','125171','FIVE STAR','666MC',null,'02-DEC-2020',null,'COOKING RANGE','NOB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-18 20:45:13','2021-02-20 15:26:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3078','HAFEEZ HOORANI','03008551409','HO#13 ST#26 SEC B PHASE 05 DHA ISB','5','34','110660','HAIER','REOPENED COMPLAINT',null,'06-NOV -2019','18HNC-S INV - 915','AIR CONDITIONER','F 3 ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-18 20:58:43','2020-12-21 01:19:45',null,'1',null,'0');
INSERT INTO complaints VALUES('3079','WASIK SAB','03215009916','HO#71 ST59 I-8/3 ISB','8','48','18938','FIVE STAR','0',null,'05-NOV-2016','35G-TWIN-FS - 1759','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-18 21:26:21','2021-01-24 19:59:47',null,'1',null,'0');
INSERT INTO complaints VALUES('3080','ASIM','03455400225','HO#56 ST#30 G-13/2 ISB','5','29','99920','SAMSUNG','0',null,'08-DEC-2018','13J5730SS-SZ - 883','WASHING MACHINE','NOT WORKING',null,'5','charges ki wja se costumer ne bahar se thik karwa li ha',null,'customer','0',null,'74','2020-12-18 23:01:53','2021-01-27 22:37:30',null,'1',null,'0');
INSERT INTO complaints VALUES('3081','DR SOBIA','03325095448','HO#73-A ST#23 SEC A BEHIRA ENCLAVE ISB','9','22','21131','SIGNATURE','0',null,'12-APR-2020','SBH-AC900G - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-18 23:09:25','2020-12-22 20:48:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3082','MUBARIK MUNIR SAB','03338336646','HO#G-47 GHAZI KOT TOWN SHIP MANSEHRA','8','38','15936','PEL','WHA CANTT S/C ATTEND (051-4916257)',null,'30-APR-2016','160PRGD-M - 895','REFRIGERATOR','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-18 23:19:44','2020-12-23 20:31:35',null,'1',null,'0');
INSERT INTO complaints VALUES('3083','MR MEHMOOD','03332373242','HO#09 ST 08 BLOCK D NEVAL INCLAGE ISB','4','8','14488','LG','0',null,'11-JUNE-2020','512FPS-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-19 20:03:46','2020-12-25 01:25:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3084','HUMAYUN AKHTER','03455409481','HO#196 ST#09 MAJISTRATE COLONY SADIQABAD R.W.P','8','42','199744','SUPER ASIA','50MEH',null,'24-NOV-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-19 20:11:51','2020-12-22 23:17:33',null,'1',null,'0');
INSERT INTO complaints VALUES('3085','AZEEM STOCK','03315420488','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','50','0','SAMSUNG','0',null,'0','40N5300-S - 938','FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-19 20:31:08','2020-12-22 02:10:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3086','ALI ASGAR','03366631352','PLAZA#78 FIRST FLOOR MCB GROUND FLOOR BAHRIA SPRING PHASE 7 ISB','6','16','28339','ORIENT','SALE ADVISOR RIZWAN ALI',null,'10-JULY-2020','18G-SUPER - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-19 20:41:23','2020-12-25 00:07:50',null,'1',null,'0');
INSERT INTO complaints VALUES('3087','MR AMIR QURESHI','03315522546','HO#205 ST 42 MARGELLA TOWN PHASE 2 ISB','9','23','200229','FIVE STAR','MODAL#35G-HEAVY PTCL CALL',null,'01-DEC-2020',null,'GEYSER','THERMOSTAT PROB',null,'5','resolved',null,'customer','0',null,'74','2020-12-19 20:48:28','2021-01-27 22:56:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3088',null,null,null,'13',null,null,null,null,null,null,null,'DRYER','520sdst  damig',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2020-12-19 20:51:42','2021-02-20 16:45:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3089','AZEEM STOCK','03315420488','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','50','0','SAMSUNG','0',null,'0','40N5300-S - 938','FLAT PANEL TV','IBR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-19 20:59:49','2020-12-22 02:09:27',null,'1',null,'0');
INSERT INTO complaints VALUES('3090','AZEEM STOCK','03315420488','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','50','0','SAMSUNG','0',null,'0','40N5300-S - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'74','2020-12-19 21:01:14','2020-12-22 02:08:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3091','MANSAB DAR SIAL','03320458458','HO#1789 -R ST#63 SEC I-14/3 ISB','9','19','131277','SIGNATURE','0',null,'15-APR-2017','SRF-KK95G - 903','REFRIGERATOR','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-19 21:15:52','2020-12-21 20:21:31',null,'1',null,'0');
INSERT INTO complaints VALUES('3092','MR TANVEER','03435339425','DABUL ROAD RWP','9','21','185636','SUPER ASIA','SALE ADVISOR MURTAZA',null,'18-JAN-2020','245SA - 522','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-19 21:34:36','2020-12-31 22:45:30',null,'1',null,'0');
INSERT INTO complaints VALUES('3093','AMAR MOHUDDIN SAB','03365778899','HO#71 GREEN AVE 02 KURI ROAD PAK ENCLAVE ISB','8','39','43591','GREE','0',null,'19-NOV-2020','24FITH1W - 917','AIR CONDITIONER','HEATING+ REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-19 22:16:57','2020-12-24 20:27:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3094','MR JAMAL- U-DIN','03455400110','KHADIJA FARMS JAPAN ROAD NAVAL ANCHORAGE HIGHWAY ISB','4','8','9625','ORIENT','0',null,'01-JULY-2019','12G-ALPHA-SW - 912','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-19 23:01:19','2020-12-24 20:25:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3095','MISS AYESHA','03000727843','HO#74 ST 76-B SEC E-11/2 ISB','5','34','121240','SIGNATURE','SALE ADVISOR WAQAS AHMED',null,'26-AUG-2020','HC-3764G - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-19 23:20:45','2020-12-29 22:04:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3096','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','HAIER','IQBAL(STOCK)',null,'0','120-1789HWM - 906','WASHING MACHINE','TOUCH PANAL PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-19 23:23:08','2020-12-24 20:23:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3097','MR SIKANDAR KHAN','03077702227','HO#61 ST 41 MARGALLA TOWN PHASE 2 ISB','5','34','127149','ORIENT','SALE ADVISOR KABEER',null,'15-DEC-2020','24G-PREMIER-SW - 917','AIR CONDITIONER','ERROR L-12',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-19 23:38:42','2021-01-20 01:48:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3098','MR ASIF','03028779996','FLAT#29 BLOCK 10 KRL OFFICER COLONY RWP','8','38','28852','LG','0',null,'23-JULY-2018','2J5QNP3W-S - 1548','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 00:10:05','2020-12-28 23:50:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3099','MR ASIF','03028779996','FLAT#29 BLOCK 10 KRL OFFICER COLONY RWP','8','38','28852','LG','PTCL CALL INVOICE HAY',null,'23-JULY-2018','2J5QNP3W-S - 1548','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 00:10:20','2020-12-28 23:48:11',null,'1',null,'0');
INSERT INTO complaints VALUES('3100','MR ASIF','03028779996','FLAT#29 BLOCK 10 KRL OFFICER COLONY RWP','8','38','28852','LG','PTCL CALL INVOICE HAY',null,'23-JULY-2018','2J5QNP3W-S - 1548','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 00:10:37','2020-12-28 23:47:35',null,'1',null,'0');
INSERT INTO complaints VALUES('3101','MR ASIF','03028779996','FLAT#29 BLOCK 10 KRL OFFICER COLONY RWP','8','38','28852','LG','PTCL CALL INVOICE HAY',null,'23-JULY-2018','2J5QNP3W-S - 1548','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 00:10:38','2020-12-25 01:26:26',null,'1',null,'0');
INSERT INTO complaints VALUES('3102','MOBEEN RASHID','03135518866','HO#48A ST 04 OVER SEAS 4 PHASE 8 ISB','6','13','28671','HAIER','MODAL#18HFBG-INV SALE ADVISOR ZARA',null,'27-JULY-2020',null,'AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 01:07:34','2020-12-22 22:02:38',null,'1',null,'0');
INSERT INTO complaints VALUES('3103','SAMI ULLAH (PWD)','03150508452','FRIENDS CORPORATION PWD','4','9','17161','CANON','CUSTOMER GEYSER SHOWROOM PA DROP KAR K GAY HAIN TASK#2531 AIK BAR CUSTOMER KO GEYSER REPLCE KAR K DIYA  AB IC MAIN B ISSUE ARAHA HAIN ON NI HO RAHA GEYSER',null,'14-NOV-2020','10LCF - 1031','GEYSER','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-20 01:07:47','2021-01-20 22:12:45',null,'1',null,'0');
INSERT INTO complaints VALUES('3104','MR IBRHIM','03005008024','HO#1331 LANE 07 BLOCK C SEC 4 AIR PORT HOUSING SOCIETY RWP','9','24','109263','LG','0',null,'18-JAN-2016','1496ADP24-C - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 01:30:37','2020-12-28 23:47:03',null,'1',null,'0');
INSERT INTO complaints VALUES('3105','MR ARSLAN','03215241413','HO#1115J ST 39 SEC F/1 PHASE 8 BAHRIA TOWN ISB','6','14','16289','SIGNATURE','SALE ADVISOR BADAL',null,'08-SEP-2018','SRF-KK95S - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 01:47:58','2020-12-22 01:56:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3106','MR SARFARAZ','03159000409','HO#365 BLOCK C MAIN DOUBLE ROAD CBR TOWN ISB','5','30','9703','MITSUBISHI','KHURRAM GOOGLE SIR NAY COMPLAINT BAJI HAY',null,'06-JULY-2019','50VA - 915','AIR CONDITIONER','REMOTE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 02:05:59','2020-12-23 21:26:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3107','MRS NASHAD','03215201637','HO#202 ROAD 1 BEHIRA SPRING PHASE 07','6','16','25510','SHARP','0',null,'06-JAN-2020','18HCP-INV - 915','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-20 02:18:25','2021-02-04 17:57:17',null,'1',null,'0');
INSERT INTO complaints VALUES('3108','MR NASIR','03331518074','CAPITAL SQUARE APARTMENT MULTE GARDEN  SEC B-17 ISB','8','37','23406','DAWLANCE','HEAD OFFICE TAHA SOHAIL SIR NAY COMPLAINT BAJI HAY',null,'31-AUG-2020','550AF-DW - 1200','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 02:29:59','2020-12-28 20:14:40',null,'1',null,'0');
INSERT INTO complaints VALUES('3109','CH HASSAN','03455150777','HO#105 HILL SIDE ROAD SEC E-7 ISB','5','31','123512','SAMSUNG','43T5300-MRM-',null,'02-NOV-2020',null,'FLAT PANEL TV','LINE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-20 02:39:45','2020-12-28 23:49:19',null,'1',null,'0');
INSERT INTO complaints VALUES('3110','MR NISAR','03335354887','HO#25 ST 23 KONRAM TOWN ISB','4','11','13926','HAIER','SALE ADVISOR MUDASSAR',null,'12-MAY-2020','90-1789HWM - 901','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 19:44:37','2020-12-24 20:09:44',null,'1',null,'0');
INSERT INTO complaints VALUES('3111','MR JAWAD','03111110300','HO#166 ST 47 SEC F-10/4 ISB','8','39','43393','KENWOOD','0',null,'05-NOV-2020','480VCM-BHL - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 20:04:20','2020-12-24 20:04:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3112','SHEIKH ARSHAD ALI','03365176929','SHAMS COLONY ST#14 NEAR GOLRA MOR ISB','8','37','15347','SIGNATURE','PTCL CALL INVOICE HAY',null,'12-AUG-2017','SRF-KK95G - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 20:15:29','2020-12-29 20:21:54',null,'1',null,'0');
INSERT INTO complaints VALUES('3113','ZEESHAN BAHRIA 7','03110159819','FRIEND CORPORATION PHASE 7','6','16','0','FIVE STAR','MODAL#24FG',null,'0',null,'BUILT IN APPLLIANCES','JET ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 20:30:40','2020-12-24 20:08:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3114','MR TAUSIF','03335553104','HO#172 ST 1-A FALCON COMPLEX RWP','8','38','41937','KENWOOD','0',null,'18-AUG-2020','1826S-INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 21:17:03','2020-12-28 20:12:07',null,'1',null,'0');
INSERT INTO complaints VALUES('3115','MR RAMEEZ','03215959370','HO#9D MAIN HARLY STREET OPPOSITE  DECAN HOUSE SCHOOL RWP CANT','8','38','39001','HAIER','0',null,'10-FEB-2020','12HNR-G-INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 21:54:03','2020-12-22 21:42:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3116','MR NAUMAN','03470100214','HO#9-1D IBN-E-SENA ROAD SEC G-9/2 ISB','9','21','190463','SAMSUNG','SALE ADVISOR MURTAZA',null,'12-JUN-2020','11J5710-S - 905','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 22:17:30','2020-12-22 01:57:45',null,'1',null,'0');
INSERT INTO complaints VALUES('3117','MR FAREED ABBASI','03007556519','ABBASI HOTEL MAIN BAZAAR WAJID MARKET BHARA KOH ISB','8','39','36427','SIGNATURE','HOB KI COMPLAINT HAY PTCL CALL INVOICE HAY',null,'27-AUG-2019','5870 - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 22:34:30','2021-01-15 01:36:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3118','ABDUL AKHIR FAROOQI','03325582663','HO#39-A LANE 02 WESTRIDGE 3 RWP','9','23','143147','SIGNATURE','PTCL CALL INVOICE HAY',null,'19-NOV-2017','SWM-JD56 - 1643','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 22:59:39','2021-01-09 20:03:51',null,'1',null,'0');
INSERT INTO complaints VALUES('3119','UMER FAROOQ','03331979362','HO#671 ST 68 SEC D-12/2 ISB','9','26','186449','LG','PTCL CALL INVOICE HAY',null,'04-FEB-2020','1766NEFTS-S - 1486','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-20 23:35:17','2021-02-23 17:51:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3120','SYED IMRAN SHAH','03215006474','HO#141 ST 20 SEC F-11/2 ISB','9','20','187456','PANASONIC','0',null,'26-FEB-2020','18TKF-9 - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-21 00:19:02','2020-12-24 19:59:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3121','MR SHOAIB','03325220100','HO#800ST 08 PHASE 6 BAHRIA TOWN ISB','4','6','18590','LG','0',null,'07-DEC-2020','247SEUV-S - 909','REFRIGERATOR','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-21 00:37:31','2021-01-10 22:13:01',null,'1',null,'0');
INSERT INTO complaints VALUES('3122','MR SUDAIS AHMAD','03344923621','HO#26 ST 1 BAHRIA GARDEN CITY PHASE 7 ISB','6','12','24074','HAIER','0',null,'23-NOV-2019','18HNI-B-INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-21 01:11:59','2020-12-22 21:36:22',null,'1',null,'0');
INSERT INTO complaints VALUES('3123','MR SAQIB HAFFEZ','03008552887','HO#75 MAIN STREET CHAKLALA SKM-2 RWP','9','19','188596','LG','0',null,'19-MAR-2020','2J3QDNP0-S - 1483','WASHING MACHINE','ERROR E-1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-21 19:42:17','2021-01-07 19:42:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3124','TAIMOR ALI','03135024808','SEC-A  ARCHED ROAD DHA 2 ISB','6','16','28480','HAIER','0',null,'17-JULY-2020','55K6600 - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-21 19:51:18','2020-12-24 19:57:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3125','MRS JAMSHED ABBASI','03008520032','HO#06 ST 15-A1 SEC A BAHRIA ENCLAVE ISB','8','42','41620','SONY','0',null,'08-AUG-2020','DZ650 - 965','SOUND SYSTEMS','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-21 20:14:46','2021-02-15 13:23:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3126','MR WAQAS','03333300117','HO#570 ST 29 BLOCK-C PHASE 1 CBR TOWN ISB','4','7','5828','CORONA','0',null,'27-OCT-2018','505C - 1815','COOKING RANGE','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-21 20:21:13','2021-01-19 21:01:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3127','MR SAAD','03325837411(03374970432)','HO#53 ST 9, MULTI SOCIETY SEC E-11/1 ISB','5','33','114501','ORIENT','AZHAR FCI NA INSTALL KARWAYA UNIT ISSUE RESOLVED HO GAYA THA BUT ABI B COMPLAINT MAIN ISSUE AARHA HAIN ORIENT COMPANY MAIN FF KARWAYA (TASK#2872)',null,'01-FEB-2020','12G-ALPHA-SW - 912','AIR CONDITIONER','OUT DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-21 20:41:51','2020-12-31 22:20:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3128','SHAHID SALIM KHAN','03005000423','HO#170 ST 11 BAHRIA TOWN PHASE 1 ISB','8','37','23860','SONY','MODAL#75X8000H- CC INVOICE HEAD OFFICE SAY AYI HAY',null,'27-NOV-2020',null,'FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-21 20:43:25','2021-03-02 13:05:26',null,'1',null,'0');
INSERT INTO complaints VALUES('3129','FAISAL KHAN','03335596651','HO#21 LANE 04 SEC G DEFIANCE  PHASE 2 ISB','9','19','202351','BOSCH','SALE ADVISOR RIFFAT FCP',null,'15-DEC-2020','24462GC - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-21 21:22:48','2020-12-22 20:40:01',null,'1',null,'0');
INSERT INTO complaints VALUES('3130','MISS MARYAM','03032524079','HO#217 BROADWAY STREET PARK ROAD ISB','5','32','92168','GREE','0',null,'07-MAR-2020','18CITH12W - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-21 21:31:32','2020-12-24 19:33:13',null,'1',null,'0');
INSERT INTO complaints VALUES('3131','MR ARSLAN','03005106060','HO#915 ST 92 SEC D-12/1 ISB','5','36','122360','SIGNATURE','0',null,'28-SEP-2020','HC-5900G - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-21 21:43:52','2021-01-01 02:15:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3132','DR WASEEM','03005345700','HO#A-102 LALA RUKH WAHCANNT','8','39','44720','SIGNATURE','HOOD KI COMPLAINT HAY',null,'06-DEC-2020','SBC-DUBBO-90PLUS - 1123','BUILT IN APPLLIANCES','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-21 22:06:23','2020-12-24 20:37:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3133','MR TAHIR','03009746280','PLOT#402 ST 02 SEC F-15/1 ISB','8','37','26431','SAMSUNG','0',null,'17-MAR-2018','60M5010FS-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-21 22:10:00','2021-01-01 21:56:06',null,'1',null,'0');
INSERT INTO complaints VALUES('3134','MR AHMED','03315278618','HO#16 ST 108 TOSEEF BLOCK JINNAH GARDEN PHASE 1 ISB','9','22','202444','FIVE STAR','MODAL#35G-TWIN',null,'17-DEC-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-21 22:16:04','2020-12-31 01:44:08',null,'1',null,'0');
INSERT INTO complaints VALUES('3135','MR YOUSAF','03005517900','HO#23/G LANE 02 TULSA ROAD LALAZAR RWP','9','19','202554','SIGNATURE','HOB KI COMPLAINT HAY',null,'19-DEC-2020','HC-3900G - 1122','BUILT IN APPLLIANCES','FLAME ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-21 22:34:00','2020-12-23 23:54:56',null,'1',null,'0');
INSERT INTO complaints VALUES('3136','MR RAHAN','03234223017','HO#02 ST 30 SEC F-6/1 ISB','5','29','123289','HAIER','0',null,'26-OCT-2020','368EBD - 860','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-21 22:47:29','2020-12-28 21:56:11',null,'1',null,'0');
INSERT INTO complaints VALUES('3137','MR KHALID HUSSAIN','03005380925','HO#145/B ST 07 GAURI TOWN PHASE 03 ISB','8','42','40837','ORIENT','0',null,'07-JULY-2020','18G-HYPER-SW - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-21 22:59:25','2020-12-24 19:48:42',null,'1',null,'0');
INSERT INTO complaints VALUES('3138','UMER FAROOQ','03345323966','SKANS SCHOOL  PWD ROAD  ISB','4','9','16728','HAIER','SALE ADVISOR MUDASSAR',null,'14-OCT-2020','12HRW-W-INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-21 23:22:27','2020-12-23 19:38:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3139','MR MUDASSAR','03336548097','HO#123 ST 51 SAWAN GARDEN BLOCK S ISB','9','23','138564','SIGNATURE','PTCL CALL INVOICE HAY',null,'05-AUG-2017','SWM-JD46 - 945','WASHING MACHINE','ERROR E-7',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-22 00:19:49','2021-01-01 21:55:32',null,'1',null,'0');
INSERT INTO complaints VALUES('3140','MUHAMMAD WASEEM','03245009596','ST#06 SHALLY VELLY NEAR HABIB BANK R.W.P','4','6','8963','DAWLANCE','0',null,'25-MAY-2019','91996GD-INV-BROWN - 885','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 00:43:32','2020-12-24 19:45:05',null,'1',null,'0');
INSERT INTO complaints VALUES('3141','NAVEED','0300552055','HO#06 ST#12 KORAN TOWN ISB','4','6','17776','SAMSUNG','65Q70T-MRM',null,'02-DEC-2020',null,'FLAT PANEL TV','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 00:46:53','2021-01-09 20:01:18',null,'1',null,'0');
INSERT INTO complaints VALUES('3142','MR IMRAN','03335108912','HO#1462 ST 16-2 NATIONAL POLICE FOUNDATION SEC O-9 ISB','4','9','13212','ORIENT','0',null,'16-FEB-2020','529BL - 128','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-22 01:10:38','2020-12-23 19:37:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3143','DR AYESHA','03335107817','HO#554 ST 120 SEC G-9/3  ISB','5','31','123253','ORIENT','0',null,'24-OCT-2020','18G-BOLD-UW-INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-22 01:37:05','2021-01-06 04:04:08',null,'1',null,'0');
INSERT INTO complaints VALUES('3144','MR ALI','03455064555','ST 05 KHABANY PHASE UMER BLOCK SEC H-13 ISB','5','36','127182','FIVE STAR','MODAL#35G- TWIN HEAVY',null,'16-DEC-2020',null,'GEYSER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-22 01:45:47','2021-02-20 15:33:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3145','MR RAMZAN','03335222499','FLAT#06 BLOCK 11 ST 19 SEC G-10/2 ISB','5','31','95442','SAMSUNG','0',null,'13-JUN-2018','40J5200-P - 938','FLAT PANEL TV','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','3053','74','2020-12-22 01:46:12','2020-12-23 23:30:22',null,'1',null,'0');
INSERT INTO complaints VALUES('3146','MR AHSAN','03028599494','HO#258 ST 10 PHASE 3 BAHRIA TOWN ISB','4','8','18329','DAWLANCE','MODAL#45ELEGANCE-INV',null,'06-DEC-2020',null,'AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-22 01:54:40','2020-12-23 19:35:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3147','KHALID MEHMOOD','03005570214','HO#65 ST 36 SEC-C PHASE 08 BAHRIA TOWN ISB','6','15','31352','SAMSUNG','MODAL#15J5730SS-S',null,'04-DEC-2020',null,'WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-22 02:03:01','2020-12-22 20:39:30',null,'1',null,'0');
INSERT INTO complaints VALUES('3148','MR HASSAN KHAN','03319346051','HO#41 SCHOOL ROAD SEC F-6/2 ISB','5','33','123943','SAMSUNG','MODAL#15J5730SS-S',null,'13-NOV-2020',null,'WASHING MACHINE','ERROR C4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-22 02:17:34','2020-12-28 22:49:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3149','MR HASSAN','03095093580','HO#05 AK BARAHI ROAD SEC G-11/1 ISB','9','24','158921','SIGNATURE','OVEN KI COMPLAINT HAY',null,'01-OCT-2018','SBO-AR4R - 1124','BUILT IN APPLLIANCES','BAKING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-22 02:49:52','2021-01-16 23:01:35',null,'1',null,'0');
INSERT INTO complaints VALUES('3150','MR SHER DILL','03345154444','HO#2-A KOHISTAN ROAD SEC F-8/2 ISB','5','34','118632','SONY','0',null,'03-JULY-2020','65A8G-CC - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-22 02:54:52','2021-02-15 13:22:39',null,'1',null,'0');
INSERT INTO complaints VALUES('3151','MR SHUJJAH','0514860005','HO#101 ST 60 SEC I-8/3 ISB','5','35','124481','SUPER ASIA','0',null,'26-NOV-2020','10SEH - 1031','GEYSER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-22 03:02:15','2020-12-24 19:46:59',null,'1',null,'0');
INSERT INTO complaints VALUES('3152','MR WASEEM MALIK','03465006538','OFFICE#26 SECOND FLOOR AL REHMAT MALL SEC G-11 MARKAZ ISB','5','31','116924','KENWOOD','0',null,'30-MAY-2020','1830S-HC INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-22 19:41:50','2021-01-17 00:27:05',null,'1',null,'0');
INSERT INTO complaints VALUES('3153','MR DANISH','03005067040','HO#1187 ST 47 PHASE 3 BAHRIA TOWN ISB','4','6','15935','SONY','SALE ADVISOR SALEEM',null,'16-AUG-2020','RT3 - 1410','SOUND SYSTEMS','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-22 19:55:23','2020-12-23 21:33:08',null,'1',null,'0');
INSERT INTO complaints VALUES('3154','ANWAR UL HAQ','03025171027','HO#72 N ST#23/2 SEC A BEHIRA ENCLAVE ISB','9','22','42067','LG','0',null,'20-AUG-2020','442HQHU-S - 746','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 20:19:53','2021-02-23 17:51:32',null,'1',null,'0');
INSERT INTO complaints VALUES('3155','SYED PARVEZ HAIDER','03028621010','HO#42 ST#59 SEC -C DHA 05 ISB','5','31','121828','MITSUBISHI','3 UNIT',null,'12-SEP-2020','50VA - 915','AIR CONDITIONER','KIT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 20:21:27','2021-01-01 01:40:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3156','USMAN HAYAT','03219382877(03215365047)','HO#620 ST#73 D-12/2 ISB','8','39','41312','LG','4J5TNPW-S',null,'24-JULY-2020',null,'WASHING MACHINE','VIBRATION PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 20:31:19','2020-12-29 22:04:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3157','MR LUQMAN','03335700333','HO#04 ST#02 DHA 01 SEC A R.W.P','8','38','19898','SAMSUNG','C/O TAHIR BEST COOL',null,'09-OCT-2019','40J5133 - 987','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 20:45:11','2020-12-23 21:34:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3158','RIZWAN  BEHIRA','03126661934','FRIENDS CORPORATION  PHASE 07 B.TOWN','6','12','0','DAWLANCE','0',null,'0','393GSS - 961','MICROWAVE OVEN','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 20:51:01','2020-12-29 21:59:06',null,'1',null,'0');
INSERT INTO complaints VALUES('3159','IRFAN AHMED','03223555577','HO#328 ST#67 MAIN SERVICES ROAD EAST E -11/3 ISB','5','30','125837','BOSCH','0',null,'05-DEC-2020','24260GC - 902','WASHING MACHINE','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 21:02:38','2020-12-29 21:51:03',null,'1',null,'0');
INSERT INTO complaints VALUES('3160','ZAHID ABBAS','03123456787','HO#4 ST#04 SEC C-1 BAHRIA ENCLAVE ISB','9','24','168303','SIGNATURE','HOB KI COMPLAINT HAY',null,'01-APR-2019','3760 - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-22 21:08:24','2020-12-31 01:14:06',null,'1',null,'0');
INSERT INTO complaints VALUES('3161','SUMAIRA JAVEED','03000561665','HO#1-D GALI 07 BLOCK 1 GROUND FLOOR I 8/1 ISB','8','38','117012','HAIER','18HFAD-W',null,'01-JUN-2020',null,'AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 21:16:51','2020-12-28 22:01:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3162','AWAIS ABBASI','03343532215','HO#A7 ST#A5 GORI TOWN PHASE 01 ISB','9','25','202245','FIVE STAR','CELL PHONE PA CALL AAI(INVOICE B HAIN)',null,'14-DEC-2020','35G-TWIN-FS - 1759','GEYSER','THERMOSTAT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 21:22:14','2020-12-29 21:37:56',null,'1',null,'0');
INSERT INTO complaints VALUES('3163','MR KAMRAN','03335400049','HO#D-89 ST#04 SEC 01 KHAYABANA SIR SYED R.W.P','9','51','201846','ORIENT','0',null,'07-DEC-2020','12G-ORBIT - 913','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-22 21:28:31','2020-12-29 21:34:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3164','KASHMALA AHMED','03365029428','FLAT#4F QMG FLATS WEST RIDGE 01 OPP  F.G BOYS SCHOOLR.W.P','7','49','61584','SIGNATURE','PURCHASING AFZAL CORPORATION',null,'23-NOV-2017','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 22:05:45','2020-12-24 20:08:59',null,'1',null,'0');
INSERT INTO complaints VALUES('3165','SYED YAQOOB SHAH','03455089311','HO#325 ST#40 G-9/1','5','33','120740','SIGNATURE','SBH-AC700G(CELL PA CALL INVOICE B HAIN)',null,'13-AUG-2020',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 22:20:14','2020-12-31 01:12:51',null,'1',null,'0');
INSERT INTO complaints VALUES('3166','FAISAL','03458550583','HO#149 ST#01 OVER SEAS 02 PHASE 08 BEHIRA','4','8','16933','SONY','0',null,'29-OCT-2020','65X8077G-S - 1443','FLAT PANEL TV','REMOTE SENSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 22:27:30','2020-12-22 23:01:16',null,'1',null,'0');
INSERT INTO complaints VALUES('3167','FAISAL','03458550583','HO#149 ST#01 OVER SEAS 02 PHASE 08 BEHIRA','4','8','16933','SONY','0',null,'29-OCT-2020','65X8077G-S - 1443','FLAT PANEL TV','REMOTE SENSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','3166','74','2020-12-22 22:57:51','2020-12-31 20:26:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3168','TASWAR','03000515777','HO#12 MUZAFAR KHAN  ROAD BANI GALA ISB','5','35','117033','ORIENT','0',null,'01-JUN-2020','12G-ALPHA-SW - 912','AIR CONDITIONER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 23:05:45','2020-12-31 00:32:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3169','ZULFIQAR PARACHA','03018552800','HO#23-A BLOCK A SATELLITE TOWN ISB','9','22','190082','HAIER','0',null,'08-JAN-2020','438IDBT - 896','REFRIGERATOR','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 23:10:22','2020-12-28 22:03:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3170','SHABIR','03009501191','HO#01 ST#01 F-7/3 ISB','5','28','127300','HAIER','HOB(C/O ABU BAKAR )',null,'21-DEC-2020','519DGG - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 23:13:33','2020-12-28 22:05:33',null,'1',null,'0');
INSERT INTO complaints VALUES('3171','AMJID','03335573580','HO#CB 105/45 -B AWAN ST SHALA VELLY R.W.P','9','24','201559','SAMSUNG','43TU7000-MRM',null,'06-DEC-2020',null,'FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 23:20:46','2021-01-15 01:35:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3172','NADEEM KHAN','03335100080','HO#06 ST#3-A F-10/2 ISB','5','32','111315','SIGNATURE','0',null,'28-NOV-2018','SBH-AA760S - 1122','BUILT IN APPLLIANCES','FALAM  PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 23:35:39','2020-12-29 23:52:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3173','NADEEM KHAN','03335100080','HO#06 ST#3-A F-10/2 ISB','5','32','184284','FIVE STAR','0',null,'21-DEC-2019','35G-TWIN-FS - 1759','GEYSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-22 23:38:51','2020-12-29 23:48:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3174','MALIK KAMRAN','03335125858','HO#DD257 ST 04 ARIF HUSSAIN STREET SHAMSHA BAD RWP','5','31','122439','FIVE STAR','MODAL#35G-HEAVY',null,'01-OCT-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 00:01:22','2020-12-31 00:17:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3175','CAPT ARSALAN SAB','03338948060','ARMY  SCHOOL OF TECHNICIAN BARIAAN MUREE','8','37','45127','ORIENT','FLOOR STANDING(2445FH-917',null,'15-DEC-2020',null,'AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-23 00:32:27','2020-12-25 20:28:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3176','ADNA SAB','03009620675','FAZAL STEEL PLOT#418 421 I 9/2 ISB','8','37','43504','MITSUBISHI','2-UNIT',null,'14-NOV-2020','50VA - 915','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-23 00:35:30','2020-12-31 00:13:44',null,'1',null,'0');
INSERT INTO complaints VALUES('3177','HASSAN ALI','03005583832','HO#53 ST 05 PAKISTAN TOWN PHASE 2 ISB','9','26','145509','SIGNATURE','0',null,'03-JAN-2018','SWM-JD51 - 902','WASHING MACHINE','ERROR-E4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 00:42:32','2020-12-24 20:04:31',null,'1',null,'0');
INSERT INTO complaints VALUES('3178','HAROON','03325398408','HO#42 LANE#03 ST#06 RASOOL TOWN GULRAIZ PHASE 02 R.W.P','8','37','191061','KENWOOD','0',null,'22-JAN-2020',null,'AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-23 00:46:09','2020-12-30 23:57:07',null,'1',null,'0');
INSERT INTO complaints VALUES('3179','HASSAN FHHS','03013000123','FRIENDS HOME SHAMSHABAD R.W.P','8','37','0','SAMSUNG','55TU8500-MRM-(SHOW ROOM PA VISIT ARRANGE KRWAY',null,'0',null,'FLAT PANEL TV','LINE IN PANAL',null,'5','LED SAMSUNG ARSHAD SB K PASS HA... YE COMPLAINT ASLAM SB K STOCK COMPLAINTS MEIN FORWARD KI GAE HAY',null,'customer','0',null,'74','2020-12-23 00:52:18','2021-05-29 14:13:54',null,'1',null,'0');
INSERT INTO complaints VALUES('3180','MRS QADIR','03315122298','HO#03 ST 55 SEC F-7/4 ISB','5','35','124738','HAIER','SALE ADVISOR BADAL',null,'30-NOV-2020','18HJ-W INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 00:57:20','2020-12-30 23:38:49',null,'1',null,'0');
INSERT INTO complaints VALUES('3181','MRS GILANI','03085555305','HO#305 MARGALA ROAD SEC F-11/3 ISB','5','35','127026','HAIER','SALE ADVISOR KABEER',null,'11-DEC-2020','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 01:03:36','2020-12-31 22:16:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3182','MR ZAIN','03360557685','HO#11 ST 108 JINNAH GARDEN PHASE 1 ISB','4','10','17656','GREE','SALE ADVISOR WALEED',null,'01-DEC-2020','9978EG-CB2 - 885','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 01:32:38','2021-01-05 21:50:17',null,'1',null,'0');
INSERT INTO complaints VALUES('3183','IMRAN SHAHZAD','03005155933','HO#65 ST#05 EXECTIVE VILLAS NEAR WAZEER TOWN GULZARE QAID R.W.P','9','19','197001','SAMSUNG','11J5710-SZ-35',null,'03-OCT-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-23 01:48:24','2020-12-30 21:50:20',null,'1',null,'0');
INSERT INTO complaints VALUES('3184','MR NAVEED','03450558878','HO#810-i ST 23  HAJJI CAMP SEC i-14/2 ISB','9','24','202626','SIGNATURE','BUILT IN OVEN HAY',null,'20-DEC-2020','SBO-AT4R - 1124','BUILT IN APPLLIANCES','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 01:54:51','2020-12-31 01:20:05',null,'1',null,'0');
INSERT INTO complaints VALUES('3185','NAVEED','03219550212','HO#03 ST#42-A  BLOCK -A SATELLITE  TOWN R.W.P','9','23','196360','CANON','CNSB-1',null,'19-SEP-2020',null,'BUILT IN APPLLIANCES','BANNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-23 02:13:42','2020-12-30 22:05:36',null,'1',null,'0');
INSERT INTO complaints VALUES('3186','ZEESHAN SAB','03455140397','HO#1974 INDAS ROAD N','7','49','22264','SIGNATURE','0',null,'28-NOV-2020',null,'GEYSER','LEAKAGE PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2020-12-23 02:18:37','2020-12-24 19:54:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3187','MR ABDULLAH','03414041057','FLAT#12-A ST 02 HOSTEL CITY PARK ROAD ISB','5','28','104854','GREE','SALE ADVISOR GHIAS KHAN PTCL CALL INVOICE HAY',null,'14-MAY-2019','18CITH11B - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 02:21:00','2020-12-30 21:37:24',null,'1',null,'0');
INSERT INTO complaints VALUES('3188','MR TAHIR SHAHZAD','03125161380','HO#189/2 LANE 07 SATELLITE TOWN RWP','9','26','200577','HAIER','0',null,'02-DEC-2020','95-1678HWM - 1817','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 02:31:27','2020-12-24 19:36:22',null,'1',null,'0');
INSERT INTO complaints VALUES('3189','WAHEED JAMSHEED','03005139323','HO#91 ST#81 E 11/2 ISB','8','38','23998','TCL','24HEB-917',null,'21-DEC-2020',null,'AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'74','2020-12-23 02:43:06','2020-12-25 00:53:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3190','MR SALMAN','03005286278','HO#427-B ST 57 SEC I-8/3 ISB','5','53','123590','LG','0',null,'04-NOV-2020','702HMHU-S - 885','REFRIGERATOR','DOOR SOUND ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-12-23 02:44:26','2020-12-31 20:30:08',null,'1',null,'0');
INSERT INTO complaints VALUES('3191','SHAHID','03015566773','HO#SA08/3 GAZALI ROAD NEAR BILAL MASJID SADIQABAD R.W.P','9','20','132984','SIGNATURE','0',null,'07-MAY-2017','SWM-FW1610S - 902','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-23 02:49:51','2020-12-24 19:53:33',null,'1',null,'0');
INSERT INTO complaints VALUES('3192','MUDASER ALI','03214600469','HO#12-A ST 205 NEAR COMERCAIL PHASE 1 JINNAH GARDEN ISB','8','47','40897','ORIENT','SALE ADVISOR ASHFAQ ABBASI',null,'08-JULY-2020','18G-HYPER-SW - 915','AIR CONDITIONER','TEMPERATURE  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 19:49:15','2020-12-30 21:35:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3193','MR MEHDI','03008541859','HO#208 ST 61 SEC E-11/3 ISB','5','30','119213','ORIENT','0',null,'15-JULY-2020','24G-CLASSIC-SW - 917','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 20:00:34','2020-12-30 21:34:26',null,'1',null,'0');
INSERT INTO complaints VALUES('3194','MR SAJJAD AHMED','03336918102','APP C3 ISRAH APPMENT NUST UNIVERSITY SEC H/12 ISB','5','31','123207','SONY','MODAL#55X8000H-CC',null,'22-OCT-2020',null,'FLAT PANEL TV','DOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 20:15:31','2021-02-03 22:40:38',null,'1',null,'0');
INSERT INTO complaints VALUES('3195','MR SHARYAR','03008550400','HO#4-A ST 60 SEC F-8/4 ISB','5','34','82323','SIGNATURE','SALE ADVISOR NAEEM AZEEM',null,'18-MAR-2017','SWM-FW1610S - 902','WASHING MACHINE','DRYER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 20:27:11','2020-12-28 22:48:03',null,'1',null,'0');
INSERT INTO complaints VALUES('3196','MUBARAK AHMED','03340444366','HO#22-C ASKARI 1 CHAKLALA SCREEM 3 RWP','6','13','26542','GREE','SALE ADVISOR ZARA',null,'13-MAR-2020','18CITH12G - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 20:56:22','2020-12-30 21:30:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3197','MR ABDUL HANAN','03215576977','HO#03 ST 04 OVERSEAS 7 PHASE 08 BAHRIA TOWN ISB','5','34','25622','GREE','KHURRAM GOOGLE SIR NAY COMPLAINT BAJI HAY',null,'13-JAN-2020','500FC - 993','WATER DISPENSER','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 21:05:24','2020-12-30 21:28:06',null,'1',null,'0');
INSERT INTO complaints VALUES('3198','HASSAN KHAN','03125512070','MASOMA SHER BAZ BILDING PIZZA HUT PLAZA SATLEITE  TOWN RWP','6','15','30775','MITSUBISHI','0',null,'29-NOV-2020','50VA - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 21:19:45','2020-12-30 23:10:10',null,'1',null,'0');
INSERT INTO complaints VALUES('3199','COL JAMSHAID SHAH','03215050697','HO#25 ST 05 SEC D DHA PHASE 1 ISB','6','15','26786','LG','0',null,'06-APR-2020','0K1CHK2T2-C - 2081','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 21:32:33','2021-01-10 01:37:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3200','MR KHURRAM','03485006544','HO#NG671 ST 1 MOHALA ASLAMABAD DHOK KHBBA RWP','9','20','197798','CANON','0',null,'18-OCT-2020','10LCM - 1031','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 21:44:28','2020-12-30 22:03:59',null,'1',null,'0');
INSERT INTO complaints VALUES('3201','COL NAJEEB','03225061237','HO#703 ST 33 SEC-B, B-17 ISB','6','12','12112','SIGNATURE','0',null,'23-DEC-2017','SRF-HM99 - 908','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 22:13:03','2020-12-25 00:51:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3202','AAMIR RAZA','03009823007','HO#406 GREEN  LANE GULRAIZ 4 RWP','8','42','27140','HAIER','SALE ADVISOR SHAHZAD MALIK',null,'11-MAY-2020','12HRW-W-INV - 913','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 22:21:11','2020-12-28 22:14:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3203','SYED FARHAN MEHMOOD','03219188696','ISB','9','51','190348','SONY','CUSTOMER DIRECT SONY S/C LA K GAYA HAIN',null,'11-JUNE-2020','40RT-HT - 1487','SOUND SYSTEMS','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-23 22:37:51','2020-12-28 22:46:13',null,'1',null,'0');
INSERT INTO complaints VALUES('3204','MR JUNAID','03027775777','VILLAGE LODERAN KALER ROAD RWP','6','13','32246','BOSCH','MODAL#12TQ5OM',null,'22-DEC-2020',null,'COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 22:55:41','2020-12-25 20:34:10',null,'1',null,'0');
INSERT INTO complaints VALUES('3205','MR IJAZ AHMED','03468550050','PIND BIGWAL SAMLI DAM ROAD BARAKHU ISB','5','31','108113','ORIENT','0',null,'02-AUG-2019','25AE2-SL - 917','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 23:03:10','2020-12-29 02:25:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3206','MR FARHAN','03415232792','HO#12 ST 11 SEC F-7/2 ISB','5','29','124520','SIGNATURE','SALE ADVISOR ABU BAKAR',null,'27-NOV-2020','SBH-AC900G - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 23:22:56','2020-12-31 01:13:30',null,'1',null,'0');
INSERT INTO complaints VALUES('3207','MR KHURRAM','03215187979','HO#28 MEER CHAKAR KHAN ROAD SEC I-8/3 ISB','4','5','18140','SAMSUNG','MODAL#43T5300-MRM',null,'05-DEC-2020',null,'FLAT PANEL TV','CHANNEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-23 23:44:06','2020-12-25 00:49:31',null,'1',null,'0');
INSERT INTO complaints VALUES('3208','HASSAN IBRAR','03335546650','OFFICE 104 FIRST FLOOR PRADIGM HIGHTS EIFFLE TOWER COMMERCIAL PHASE 8 ISB','6','15','30631','WELCOME','0',null,'23-NOV-2020','40-LITRE - 985','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-24 00:01:50','2020-12-31 00:09:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3209','MR HAROON AHMED','03459279900','HO#1512 ST 41 PHASE 4 BAHRIA TOWN ISB','4','7','10115','DAWLANCE','SALE ADVISOR MISC',null,'29-JULY-2019','10500DW - 906','WASHING MACHINE','DRYER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-24 00:14:16','2020-12-31 00:28:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3210','IRSHAD AHMED KHAN','03435260092','HO#72 ST 02 SEC-B DHA PHASE 1 ISB','8','42','41776','GREE','0',null,'12-AUG-2020','12FITH1C - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-24 00:45:47','2020-12-31 00:55:45',null,'1',null,'0');
INSERT INTO complaints VALUES('3211','BRIG KHALID','03237888823','HO#12 ST#2A SEC C DHA 01','6','16','29269','CANON','0',null,'22-AUG-2020','24D-PLUS - 1031','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-24 01:18:41','2021-01-20 22:59:51',null,'1',null,'0');
INSERT INTO complaints VALUES('3212','MASOOD SB','03360564565','H NO 86 ST NO 28 SEC A1 DHA 1 RWP','6','16','19149','LG','0',null,'05-FEB-2019','65UK6100-S - 1443','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-24 02:10:47','2021-02-25 11:42:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3213','MR TARIQ','03009538624','HO#831 ST 77 SEC I-8/3 ISB','9','23','196503','SUPER ASIA','MODAL#240SHW',null,'20-SEP-2020',null,'WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-24 02:27:52','2020-12-31 20:41:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3214','MR SAGHEER','03215020842','HO#71 ST 68 SEC G-9/3 ISB','5','31','123244','SIGNATURE','0',null,'23-OCT-2020','SBH-AA901G - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-12-24 02:36:41','2020-12-31 21:16:43',null,'1',null,'0');
INSERT INTO complaints VALUES('3215','AJMAL MAJID ALI SAB','03366723710','HO#2-B APP-99 ASKRI 05 MALIR CANTT KARACHI','8','38','44364','SAMSUNG','50TU7000-871',null,'05-DEC-2020',null,'FLAT PANEL TV','BACK SIDE PRO',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-24 02:44:30','2021-01-08 02:42:47',null,'1',null,'0');
INSERT INTO complaints VALUES('3216','MALIK IJAZ','03005139384','HO#B-7468 ST 4/1 RAHIM TOWN CHAKYAR ROAD RWP','8','39','45323','FIVE STAR','MODAL#60WS',null,'23-DEC-2020',null,'GEYSER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-24 19:33:18','2020-12-31 20:35:07',null,'1',null,'0');
INSERT INTO complaints VALUES('3217','ASIF QAMAR','03215168646','HO#1411 ST#34 PHASE 04 B TOWN','4','9','4327','SAMSUNG','SWM-JD46-945',null,'07-JULY-2018',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-24 19:46:48','2020-12-24 20:47:50',null,'1',null,'0');
INSERT INTO complaints VALUES('3218','RASHEED','03012939539','HO#D-2/4 E-8 NAVAL COMPLEX ISB','5','29','96692','SIGNATURE','0',null,'31-JULY-2018','SCF-HM10 - 955','FREEZER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-24 19:51:38','2020-12-30 22:37:03',null,'1',null,'0');
INSERT INTO complaints VALUES('3219','SHERYAR','03215550247','HO#03 ST#14 SEC F DHA 01 DEFANCE VILLAS','6','12','16447','FIVE STAR','BADAL KI ID USE HO RAHI',null,'22-SEP-2018','25G-TWIN-FS - 1966','GEYSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-24 20:35:20','2020-12-31 21:50:34',null,'1',null,'0');
INSERT INTO complaints VALUES('3220','RIZWAN  BEHIRA','03126661934','FRIENDS CORPORATION  PHASE 07 B.TOWN','6','12','0','FIVE STAR','999MC MAX',null,'0',null,'COOKING RANGE','SIDE DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-24 20:40:16','2021-02-20 16:49:22',null,'1',null,'0');
INSERT INTO complaints VALUES('3221','AZEEM STOCK','03315420488','FRIEND CORPORATION GUL NOOR MARKIT RWP','13',null,'0','HAIER','2 PC KI COMPLAINT HAY',null,'0','285SD - 956','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-24 20:42:14','2021-02-20 16:16:26',null,'1',null,'0');
INSERT INTO complaints VALUES('3222','ASIF QAMAR','03215168646','HO#1411 ST#34 PHASE 04 B TOWN','4','9','4327','SIGNATURE','SWM-JD46-945',null,'07-JULY-2018','SWM-FW1610S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','3217','74','2020-12-24 20:45:21','2020-12-28 22:45:39',null,'1',null,'0');
INSERT INTO complaints VALUES('3223','AZEEM STOCK','03315420488','FRIEND CORPORATION GUL NOOR MARKIT RWP','13',null,'0','ORIENT','MODAL#355-H GRAND',null,'0',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-24 20:54:37','2021-01-02 20:47:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3224','JAWAD SYED HAIDER','03330308101','HO#163 ST 50 SEC G-14/4 ISB','5','28','84588','SIGNATURE','PTCL CALL INVOICE HAY SALE ADVISOR IMRAN MUGHAL',null,'20-MAY-2017','SVF-SY40N - 1468','FREEZER','ERROR H4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-24 21:10:02','2020-12-28 22:19:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3225','MUHAMMAD ASHIR','03339614445','HO#25 D=ST#142 G-13/4 ISB','8','38','0','LG','C/O SADDIQ SAB (NO INVOICE) SPICAIL COMPLAINT',null,'0',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-24 21:36:16','2020-12-29 22:03:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3226','SADDIQ SIR(FRIENDS)','03008506764','HO#147 ST#65 F-11/4 ISB','8','38','0','SIGNATURE','MODEL 39NS-100(C/O SADDIQ SAB) NO INVOICE',null,'0',null,'FLAT PANEL TV','BACK LIGHT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-24 21:42:27','2020-12-28 22:45:08',null,'1',null,'0');
INSERT INTO complaints VALUES('3227','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','HAIER','24HF',null,'0',null,'AIR CONDITIONER','GASS  NILL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-24 22:01:48','2021-01-01 01:01:38',null,'1',null,'0');
INSERT INTO complaints VALUES('3228','FAIZ-UL-RAHMAN','03341510205','HO#675 ST 137 SEC D-12/4 ISB','5','36','127132','SAMSUNG','MODAL#50TU7000',null,'15-DEC-2020',null,'FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-24 22:02:26','2021-01-15 01:35:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3229','MRS SIRAJ','03008521887','HO#27 ST 32 SEC F-7/1 ISB','8','38','43683','SHARP','0',null,'24-NOV-2020','612V-SS3 - 1547','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-24 22:05:58','2020-12-28 21:07:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3230','MR SUFYAAN','0515730273','HO#392 KHABANAY HONAN PHASE 2 ISB','4','5','18247','CANON','0',null,'05-DEC-2020','604C - 1029','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-24 22:21:30','2021-01-01 00:58:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3231','MR KHURRAM','03219500300','HO#236A ST 04 SEC F-10/3 ISB','5','30','87670','SIGNATURE','PTCL CALL INVOICE HAY',null,'26-AUG-2017','SVF-SY20D - 956','FREEZER','THERMOSTAT  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-24 22:46:39','2020-12-29 22:00:55',null,'1',null,'0');
INSERT INTO complaints VALUES('3232','MR KHALID','03009558981','HO#08 ST 07 BLOCK-B  ATOMIC ENERGY SOCIETY RAWAT RWP','8','42','22303','ORIENT','MODAL#30DCARE SALE ADVISOR ZAHID',null,'06-DEC-2020',null,'MICROWAVE OVEN','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-24 22:50:59','2020-12-31 22:13:30',null,'1',null,'0');
INSERT INTO complaints VALUES('3233','SHAHEEN ILYAS','03345067665','HO#227 ST 04 ASKARI 11 RWP','7','49','5783','SAMSUNG','MODAL#80V3-WM-4 SALE ADVISOR ZAHID',null,'06-DEC-2013',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-24 23:02:35','2020-12-28 21:00:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3234','UMER MAQSOOD','03215660696','HO#P611 FOODS# MOODS  RESTORANT IMAM BARA ROAD RWP','9','20','168067','HAIER','0',null,'28-MAR-2019','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-24 23:23:55','2020-12-29 19:58:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3235','MR NOMAN','03009778840','HO#386 ST 112 SEC I-10/4 ISB','4','6','18481','TCL','PTCL CALL INVOICE HAY',null,'02-FEB-2019','40S6500 - 938','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-24 23:49:49','2021-01-19 20:46:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3236','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','PANASONIC','18WKF',null,'0',null,'AIR CONDITIONER','GASS NILL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-25 00:14:22','2021-02-20 16:31:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3237','ASIF MEHMOOD','03335270147','HO#953 ST 10 BLOCK-C NATIONAL POLICE FOUNDATION SEC O-9 ISB','4','11','14575','GREE','SALE ADVISOR ALI MURTAZA',null,'16-JUN-2020','18CITH12G - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-25 00:46:55','2020-12-29 19:54:18',null,'1',null,'0');
INSERT INTO complaints VALUES('3238','MR ZAKIR','03352595925','HO#1296 ST 4-B PHASE 01 EXT BAHRIA TOWN ISB','9','24','166782','FIVE STAR','0',null,'03-MAR-2019','500C-FS - 1073','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-25 01:16:58','2020-12-31 22:04:45',null,'1',null,'0');
INSERT INTO complaints VALUES('3239','MR IMRAN','03145290033','HO#124 ST 04 BLOCK C  MEDIA  TOWN ISB','4','7','18639','SIGNATURE','MODAL#SWH-20-06',null,'09-DEC-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-25 01:40:30','2020-12-28 20:59:30',null,'1',null,'0');
INSERT INTO complaints VALUES('3240','ABU BAKAR','03365122695','FRIEND CORPORATION BLUE AREA','5','28','127300','HAIER','SALE ADVISOR ABU BAKAR',null,'21-DEC-2020','519DGS - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-25 01:55:57','2021-02-20 16:33:31',null,'1',null,'0');
INSERT INTO complaints VALUES('3241','SANA KHALID','03345000546','HO#14 ST 48 KORANG TOWN ISB','4','6','10988','SIGNATURE','MODAL#HM09AH SALE ADVISOR SALEEM',null,'10-OCT-2019',null,'FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-25 02:21:37','2020-12-29 20:19:10',null,'1',null,'0');
INSERT INTO complaints VALUES('3242','RANA ASAD','03335916626','HO#67 SHAH ABDUI LATEF ROAD G-7/2-4 ISB','9','24','145063','HAIER','PTCL CALL INVOICE HAY',null,'24-DEC-2017','120-1678HWM - 906','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-25 02:46:09','2020-12-29 20:00:16',null,'1',null,'0');
INSERT INTO complaints VALUES('3243','SADIQ KHAN','03215711155','HO#1031ST#47 PHASE 07 BEHIRA TOWN','6','16','30780','SIGNATURE','0',null,'29-NOV-2020','HC-5871S - 1122','BUILT IN APPLLIANCES','BUNNER + NOB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-25 20:51:54','2020-12-29 22:00:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3244','MAJ AFREEN','03225320017','HO#19 ST#09  SAFFARI VILLAS 01 BEHIRA TOWN','6','16','30725','SUPER ASIA','0',null,'26-NOV-2020','240SA-SHW - 1548','WASHING MACHINE','PANEL BUTTON PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-25 20:53:24','2020-12-28 20:33:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3245','ZAHUR AHMED','03335690907','HO#510 ST#23 PHASE 03 BEHIRA TOWN','6','16','26921','SIGNATURE','0',null,'26-APR-2020','SBH-AC900S - 1122','BUILT IN APPLLIANCES','BURNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-25 20:56:13','2021-01-07 20:05:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3246','ASAD KHATTAK','03005522062','HO#123 ST#109 G-13/3 FIRST FLOOR ISB','5','34','123953','SONY','0',null,'14-NOV-2020','65X8077G-S - 1443','FLAT PANEL TV','HALF SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-25 21:01:34','2020-12-31 20:18:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3247','MAJ TARIQ','03215843144','FLAT#B2 BLOCK 235 SEC C ASKRI 14 R.W.P','9','24','127007','SIGNATURE','CELL CALL(INVOICE HAIN )',null,'21-JAN-2017','SWM-SR50 - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-25 21:08:08','2021-01-15 01:31:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3248','DR TANVIR AKHTAR','03005111119','HO#11 ST 16 SEC F, DHA 02 ISB','8','39','18639','LG','KHURRAM GOOGLE SIR NAY COMPLAINT BAJI HAY',null,'01-JAN-2019','4G1JCHK6N-S - 1874','WASHING MACHINE','DRAM SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-26 20:41:47','2020-12-28 20:56:59',null,'1',null,'0');
INSERT INTO complaints VALUES('3249','ASHRAF ALI','03215174351','HO#26 ST 06 JINNAH GARDEN PHASE 1 ISB','5','28','98599','SIGNATURE','0',null,'18-OCT-2018','32DN6 - 936','FLAT PANEL TV','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-26 21:06:30','2021-01-16 22:21:39',null,'1',null,'0');
INSERT INTO complaints VALUES('3250','TARIQ SHAHAB','03335553000','HO#36 CENTRAL AVANEW FIZAYA HOUSING RWP','5','35','125264','SIGNATURE','MODAL#SWH-20-06 SALE ADVISOR GHIAS KHAN',null,'03-DEC-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-26 21:24:18','2020-12-28 20:54:47',null,'1',null,'0');
INSERT INTO complaints VALUES('3251','WAQAR SHERAZI','03459333340','HO#153 ST 98 SEC I-8/4 ISB','9','21','419','HAIER','SALE ADVISOR IRFAN',null,'06-DEC-2020','150-1678HWM - 1484','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-26 21:35:52','2020-12-29 19:47:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3252','MRS UZMA HAFEEZ','03005191291','HO#04 ST 06 SEC C, BAHRIA ENCLAVE ISB','5','29','121210','SIGNATURE','SALE ADVISOR WAQAS AHMED',null,'25-AUG-2020','SBH-AC900G - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-26 22:04:17','2021-01-02 01:09:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3253','MR TAHIR','03215173236','HO#209 ST A-9 BLOCK A NATIONAL POLICE FOUNDATION PWD','4','8','18784','TCL','0',null,'19-DEC-2020','18T3B - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-26 22:46:36','2021-01-19 20:51:59',null,'1',null,'0');
INSERT INTO complaints VALUES('3254','NAJEEB-UL-MALIK','03344226144','HO#01 ST 30 SEC F-8/1 ISB','5','36','123912','GREE','0',null,'13-NOV-2020','18CITH12W - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-26 23:07:57','2020-12-31 22:01:54',null,'1',null,'0');
INSERT INTO complaints VALUES('3255','MR SOHAIL','03335227768','HO#02 BLOCK-D DHOK CHODEREYAN NEAR ALI TRUST SCHOOL  CAR CHOK RWP','9','22','202435','HAIER','0',null,'17-DEC-2020','150-1708HWM - 1484','WASHING MACHINE','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-26 23:18:12','2020-12-30 23:53:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3256','MRS ATHAR','03115268746','HO#1432 ST 12 SEC I-10/2 ISB','5','28','126720','SIGNATURE','SALE ADVISOR ABU BAKAR',null,'06-DEC-2020','SSO-MO15 - 1200','MICROWAVE OVEN','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-26 23:35:23','2021-01-15 23:21:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3257','MR SARFARAZ','03355615323','HO#P-1398-D ST 10, HARIPUR MOHALLA RWP','8','38','18963','LG','0',null,'06-NOV-2016','1007TEFTS - 902','WASHING MACHINE','ERROR E-1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-26 23:42:05','2021-01-16 23:00:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3258','MR OWAIS','03335141422','HO#176/1 ST 11 PHASE 1 BAHRIA TOWN ISB','6','14','22899','CORONA','SALE ADVISOR ARSHAD',null,'31-AUG-2019','C205 - 14','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-26 23:52:37','2021-01-19 19:55:58',null,'1',null,'0');
INSERT INTO complaints VALUES('3259','WASEEM ZAHOOR','03345027668','HO#923-B ST 05 DHERI HASSAN ABAD RWP','9','51','107965','SAMSUNG','MODAL#40H6200P-189',null,'12-DEC-2015',null,'FLAT PANEL TV','WIFI  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-27 00:05:52','2021-01-14 22:16:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3260','NOUMAN BUKHARI','03215227819','PLOT#69 ST 02 ZARAJ HOUSING SOCITY RWP','8','39','43808','SIGNATURE','HOOD KI COMPLAINT HAY',null,'29-NOV-2020','SBC-PERTH90 - 1123','BUILT IN APPLLIANCES','VIBRATION ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-27 00:31:04','2021-01-29 01:22:30',null,'1',null,'0');
INSERT INTO complaints VALUES('3261','NOUMAN BUKHARI','03215227819','PLOT#69 ST 02 ZARAJ HOUSING SOCITY RWP','8','39','43808','FIVE STAR','MODAL#35G-TWIN',null,'29-NOV-2020',null,'GEYSER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-27 00:37:20','2020-12-29 20:11:50',null,'1',null,'0');
INSERT INTO complaints VALUES('3262','HASSAN KHAN','03055299944','SHOP#02 OPPER SQUARE D MARKAZ GULBAR ISB','8','42','120467','ORIENT','SALE ADVISOR JIBRAN',null,'09-AUG-2020','12G-ORBIT - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-27 00:48:46','2021-01-20 21:29:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3263','MR USMAN','03215171018','HO#K-32 RAIZ-AL-JINNAH MASJID MOHALA AMARPURA RWP','9','23','177930','DAWLANCE','PTCL CALL INVOICE HAY',null,'28-AUG-2019','6550DW - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-27 01:12:36','2020-12-31 21:52:35',null,'1',null,'0');
INSERT INTO complaints VALUES('3264','WAHEED AKHTAR','03205047838','HO#20 ST 02 SEC H DHA PHASE 02 ISB','5','34','28263','LG','PTCL CALL INVOICE HAY',null,'07-JULY-2020','512FPS-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-27 01:28:39','2021-01-07 20:02:50',null,'1',null,'0');
INSERT INTO complaints VALUES('3265','DR ALAM','03339568223','HO#206 ST 13 PHASE 07 ISB','6','13','30215','HAIER','SALE ADVISOR ZARA',null,'26-OCT-2020','631DGS - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-27 02:13:23','2020-12-30 23:55:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3266','MRS ROBINA NAWAZ','03165186781','HO#02-ST 01 ALL WADI COLONY SATTRA MEEL ISB','5','30','126101','ORIENT','SALE ADVISOR BADAL',null,'05-DEC-2020','18G-ROYAL-CW - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-27 02:30:17','2021-01-20 22:46:56',null,'1',null,'0');
INSERT INTO complaints VALUES('3267','NADIR ALI','03345294652','HO#104-ST 03 MEDIA TOWN ISB','4','7','15590','GREE','SALE ADVISOR SALEEM',null,'29-JULY-2020','9978EG-CB1 - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-27 02:33:29','2020-12-31 21:48:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3268','YASIR ABBASI','03058968839   0515421100','HO#196 ST 08 BLOCK A PWD ISB','4','7','14992','HAIER','SALE ADVISOR MUDASSAR',null,'01-JULY-2020','90-1789HWM - 901','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-27 02:37:15','2021-01-05 00:16:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3269','MR SHAMSI','03345557281','HO#657 ST 46 SEC G-9/1 ISB','5','29','122000','ORIENT','0',null,'17-SEP-2020','18G-ROYAL-CW - 915','AIR CONDITIONER','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-27 23:13:34','2020-12-31 21:45:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3270','MR FAIZAN','03333677776','PLOT#34 ST 03 SEC I-10/3 ISB','5','32','107308','HAIER','0',null,'11-JULY-2019','545DD - 959','FREEZER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-27 23:23:03','2020-12-30 23:59:08',null,'1',null,'0');
INSERT INTO complaints VALUES('3271','COL HUMAYON','03364444320','HO#16 ST 06 SEC-E, NAVAL ENCOURAGE ISB','6','12','26400','SUPER ASIA','0',null,'04-MAR-2020','240SHW-CRYSTAL - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-27 23:31:39','2020-12-31 21:44:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3272','MOHSIN IJAZ','03335553355','HO#517 OVERSEAS MAIN ROAD PHASE 08 ISB','6','16','29091','BOSCH','0',null,'15-AUG-2020','30460GC - 1850','WASHING MACHINE','NOT WORKING',null,'5','COMPLAIN CLOSED',null,'customer','0',null,'92','2020-12-27 23:42:33','2021-02-24 17:39:03',null,'1',null,'0');
INSERT INTO complaints VALUES('3273','MRS OMER','03205555977','HO#12 ST 08 SEC-D DHA PHASE 01 ISB','6','16','26877','SIGNATURE','0',null,'23-APR-2020','SCF-HM09 - 954','FREEZER','THERMOSTAT  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-27 23:47:37','2021-01-01 21:50:49',null,'1',null,'0');
INSERT INTO complaints VALUES('3274','MR AKHTAR','03445205993','RAWAT INDUSTRIAL ZONE 2 INDUSTRIAL AREA RAWAT ISB','4','7','14207','ORIENT','SALE ADVISOR SALEEM',null,'29-MAY-2020','12G-ORBIT - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-27 23:56:37','2020-12-31 21:42:43',null,'1',null,'0');
INSERT INTO complaints VALUES('3275','MR BILAL','03335458525','HO#59 LANE 02 ST 01 KHAYABAN-E-TANVEER RWP','8','42','8479','HAIER','SALE ADVISOR NAVEED ADIL SIR NAY COMPLAINT BAJI HAY',null,'22-APR-2019','150-1678HWM - 1484','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-28 00:31:44','2020-12-31 21:41:03',null,'1',null,'0');
INSERT INTO complaints VALUES('3276','MR ARIF','03075559525','HO#274 ST 11, SEC G-15/1 KHAYABAN-E-KASHMIR ISB','9','51','156843','TCL','SADDIQ SAB NAY COMPLAINT BAJI HAY',null,'09-AUG-2018','55D2900 - 871','FLAT PANEL TV','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-28 00:40:59','2021-01-19 20:58:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3277','MR SHABAN','03005002894','TAJ BOOK SHOP NAI ABADI BAZAR JUGI STOP BAHRAHKOH ISB','5','53','0','DAWLANCE','PTCL CALL INVOICE HAY',null,'24-DEC-2020','2810C-DW - 1743','MICROWAVE OVEN','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-28 00:54:38','2021-01-03 23:12:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3278','MR AMJAD ALI','03004804627','HO#136 ST 59 BLOCK-D RAWAT','8','42','38542','TCL','0',null,'06-JAN-2020','50P6US - 871','FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-28 01:09:04','2021-01-19 21:52:41',null,'1',null,'0');
INSERT INTO complaints VALUES('3279','ABDUR REHMAN','03336711289','HO#1321 ST 51 PHASE 03 BAHRIA TOWN ISB','6','13','26256','SAMSUNG','SALE ADVISOR ZARA',null,'23-FEB-2020','70H4200-S - 1483','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-28 01:33:31','2021-01-01 02:14:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3280','IRFAN IQBAL','03008526769','OFFICE#108 FIRST FLOOR PARADIGM HIGHTS PHASE 08 ISB','6','13','27761','ORIENT','SALE ADVISOR RIZWAN ALI',null,'15-JUN-2020','24G-PLUS-SS - 917','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-28 01:42:09','2020-12-31 21:33:11',null,'1',null,'0');
INSERT INTO complaints VALUES('3281','BILAL AMIR','03218921823','HO#760-B ST 45-A SEC E-11/3 ISB','5','31','122700','SIGNATURE','MODAL#SWH-20-05',null,'09-OCT-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-28 02:06:33','2020-12-29 20:14:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3282','ARSLAN JAVED','03332668052','HO#CB916/A LANE 06 PESHAWAR ROAD RWP CANT','9','20','191724','GREE','0',null,'30-JUN-2020','18FITH1S - 915','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-28 02:17:34','2021-01-14 00:57:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3283','IQBAL AHMED','03155108601','JANGI MUHALA WARIS KHAN ROAD  RWP','8','38','202066','HOMAGE','SALE ADVISOR IRFAN',null,'10-DEC-2020','1020S - 902','WASHING MACHINE','PALAGE DAMAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-28 02:37:01','2020-12-31 21:23:13',null,'1',null,'0');
INSERT INTO complaints VALUES('3284',null,null,null,'4',null,null,'HAIER','00000',null,null,'578TBG - 910','REFRIGERATOR','Digital panal wire is discounected
And glass door minor damage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-12-28 04:10:38','2021-02-20 16:56:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3285',null,null,null,'4',null,null,'HAIER','000',null,null,'438EPB - 896','REFRIGERATOR','Front foot not going inside',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-12-28 04:12:39','2021-01-13 22:13:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3286',null,null,null,'4',null,null,'HAIER','0000',null,null,'368EBD - 860','REFRIGERATOR','Front foot not going inside',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-12-28 04:14:28','2021-01-02 20:46:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3287','MR QASAR ABBAS','03008556464','HO#5684 LANE#03 RAHAY AMA ROAD  HADYALA ROAD RWP','7','49','20420','LG','SALE ADVISOR ZAHID',null,'23-DEC-2019','732HLCU-S - 885','REFRIGERATOR','PART DAMIGH',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-28 19:41:20','2021-02-23 17:51:58',null,'1',null,'0');
INSERT INTO complaints VALUES('3288','MR ANWAR','03345603997','HO#223-A ST#66 SEC 02 GULSHAN E ABAD ADYLA ROAD R.W.P','9','27','181768','SIGNATURE','0',null,'20-NOV-2019','SWH-1910 - 1365','GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-28 20:23:05','2021-01-07 20:01:27',null,'1',null,'0');
INSERT INTO complaints VALUES('3289','SHEHBAZ','03018561347','HO#B763-A COMMERCIAL MARKET B BLOCK  SATELLITE  TOWN  R.W.P','8','39','42399','HAIER','0',null,'13-SEP-2020','90-1789HWM - 901','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-28 20:35:56','2020-12-31 00:05:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3290','UMAR SUFIYAN','03224972630','HO#26 ST 145 SEC G-13/4 ISB','5','28','3121','SIGNATURE','PTCL CALL INVOICE HAY (CUSTOMER NA LHR SA PERCHES KI HAIN)',null,'31-OCT-2020','SWM-JD46 - 945','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-28 21:08:26','2021-01-07 19:59:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3291','SHARJEEL','03367966620','HO#706 MAIN OBAID ROAD SEC 04 AIRPORT HOUSEING SOCITY ISB','8','42','36409','ORIENT','0',null,'26-AUG-2019','18G-ROYAL-CW - 915','AIR CONDITIONER','E- 3 ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-28 21:16:38','2020-12-31 21:21:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3292','AFTAB AHMED','03139211181','HAMZA ROAD KARKORAM ENCLAVE  BLOCK G O[PER GROUD F 11/1 ISB','5','34','113101','TESLA','0',null,'18-DEC-2019','35G(BLACK XGEN) - 963','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-28 21:42:45','2021-01-05 01:44:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3293','MISS REEMA','03359006700','HO#328 ST 15 DHOK KASHMIRIAN RWP','8','37','38531','SIGNATURE','PTCL CALL INVOICE HAY',null,'05-JAN-2020','SWM-JD45 - 945','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-28 21:44:31','2021-01-07 19:58:06',null,'1',null,'0');
INSERT INTO complaints VALUES('3294','ARIF SAB','03005184933','HO#214-AB/02 FAISL A LVI ROAD NEAR NUMAL  UNIR.W.P','9','24','196959','SIGNATURE','OVEN',null,'01-OCT-2020','25G - 1731','BUILT IN APPLLIANCES','FAN NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-28 22:07:07','2021-01-07 01:43:01',null,'1',null,'0');
INSERT INTO complaints VALUES('3295','MEHMOOD ALI','03228537818','HO#142 D ST#18 HOUSING SOCITY PWD ISB','4','10','10014','DAWLANCE','0',null,'23-JULY-2019','PRO-ACTIVE30-INV - 915','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-28 22:19:32','2020-12-31 21:17:31',null,'1',null,'0');
INSERT INTO complaints VALUES('3296','MR RIAZ','03214872000','HO#123 ST 07 MEDICAL SOCIETY SEC E-11/2 ISB','8','37','28145','SIGNATURE','0',null,'11-JUN-2018','SVF-HM95-BLK - 900','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-28 22:22:36','2021-01-09 19:57:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3297','M. TALHA','03355851271','HO#14 ST#2-A BLOCK F NAVAL  ANCHORAGE   ISB','4','10','17971','HAIER','0',null,'04-DEC-2020','622ICG - 908','REFRIGERATOR','COMPRESSOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-28 22:24:02','2020-12-31 00:07:22',null,'1',null,'0');
INSERT INTO complaints VALUES('3298','MR SHAHID','03212225541','HO#1007 ST 25 SEC I-14/3 ISB','8','37','21917','GREE','SALE ADVISOR SHAYYAN',null,'27-APR-2020','18FITH1C - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-28 22:29:21','2021-01-05 01:41:55',null,'1',null,'0');
INSERT INTO complaints VALUES('3299','MR SHEHZAD','03005792705','HO#08 LANE-D SEC C-2 BAHRIA ENCLAVE ISB','8','37','42920','DAWLANCE','MODAL#45ELEGANCE-INV',null,'10-OCT-2020',null,'AIR CONDITIONER','ERROR E-4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-28 22:43:17','2020-12-31 21:15:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3300','MRS ATHAR','03115268746','HO#1432 ST 12 SEC I-10/2 ISB','5','28','126720','SIGNATURE','SALE ADVISOR ABU BAKAR',null,'06-DEC-2020','SSO-MO15 - 1200','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-28 22:53:43','2021-01-06 04:14:44',null,'1',null,'0');
INSERT INTO complaints VALUES('3301','MR RAJA SHUJAAT','03355506367','ST#56 SEC F-11/4 ISB','8','42','44554','FIVE STAR','MODAL#FA415 LG COOKING RANGE KI COMPLAINT HAY',null,'05-DEC-2020',null,'COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-28 23:21:16','2021-01-07 01:41:05',null,'1',null,'0');
INSERT INTO complaints VALUES('3302','IMRAN ZAHDI','03015092555','HO#71 ST 51 SEC F-11/3 ISB','5','28','117230','SONY','SALE ADVISOR BADAL',null,'05-JUN-2020','55X8500G-CC - 942','FLAT PANEL TV','HARD DISK ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-28 23:31:12','2021-01-13 22:24:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3303','HAMMAD FCP','03455104405','FRIEND CORPORATION GUL NOOR MARKIT RWP','13',null,'0','HAIER','0',null,'0','631DGG - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-28 23:51:39','2021-01-05 01:25:54',null,'1',null,'0');
INSERT INTO complaints VALUES('3304','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','ORIENT','0',null,'0','529BL - 128','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-29 00:07:53','2021-01-05 01:40:13',null,'1',null,'0');
INSERT INTO complaints VALUES('3305','DR SAEED','03215212690','OFFICE#19 IST FLOOR ALBABER CENTER F8-MARKAZ ISB','5','28','402','ORIENT','C/O AZHRA RAMZAN',null,'06-DEC-2020','12G-ORBIT - 913','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-29 00:11:00','2021-01-05 01:07:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3306','COL AWAIS','03335141422','HO#176/1 ST#11 PHASE 01 B TOWN ISB','4','6','18882','HAIER','SALE ADVISOR SALEEM',null,'26-DEC-2020','245SD - 955','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 00:12:03','2020-12-31 00:14:17',null,'1',null,'0');
INSERT INTO complaints VALUES('3307','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','SAMSUNG','50TU7000-S (SHOWROOM PA VISIT ARRANGE KARWAY )',null,'0',null,'FLAT PANEL TV','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-29 00:14:19','2021-01-06 04:23:42',null,'1',null,'0');
INSERT INTO complaints VALUES('3308','MR MUSHTAQ  AHMED','03365013368','ST#14 BLOCK-E  PARIS CITY SEC H-13 ISB','5','28','112878','SIGNATURE','PTCL CALL INVOICE HAY',null,'15-DEC-2019','SWM-JD50C - 902','WASHING MACHINE','ERROR E-1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 00:47:15','2021-01-16 22:54:54',null,'1',null,'0');
INSERT INTO complaints VALUES('3309','RANA RIAZ','03230469088','HO#1116-F ST 39 SEC F-1 BAHRIA PHASE 08 ISB','6','14','24273','HAIER','SALE ADVISOR BADAL',null,'05-DEC-2019','200-1678 - 1619','WASHING MACHINE','RAINS ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 01:00:18','2020-12-31 20:57:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3310','ZAFAR MEHMOOD','03455230264','HO#CB-3315 ST 5-A LALA ZAR TULSA ROAD RWP','9','23','188692','HAIER','SALE ADVISOR MURTAZA',null,'11-MAY-2020','18HRV-W-INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 01:19:40','2020-12-31 20:56:26',null,'1',null,'0');
INSERT INTO complaints VALUES('3311','AHMED BHATTI','03215000795','HO#197 ST 11 SEC B-1 DHA 1 ISB','6','12','30934','SAMSUNG','MODAL#15J5730SS-S',null,'01-DEC-2020',null,'WASHING MACHINE','TUB LEVEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 01:34:32','2020-12-29 21:10:36',null,'1',null,'0');
INSERT INTO complaints VALUES('3312','RIZWAN BAHRIA','03126661934','FRIEND CALPARATION PHASE 7','6','12','31020','ORIENT','MODAL#30DCAKE-BLK',null,'02-DEC-2020',null,'MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 01:46:56','2021-01-05 02:10:39',null,'1',null,'0');
INSERT INTO complaints VALUES('3313','BRIG ASIM','03475711535','OFFICE#14 THIRD FLOOR AZAKTIVE PALAZA I-8 MARKAZ ISB','5','30','117551','ECOSTAR','0',null,'11-JUN-2020','300FS - 2122','WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 02:16:01','2021-01-18 21:51:33',null,'1',null,'0');
INSERT INTO complaints VALUES('3314','MR SAQIB','03335456996','HO#1169 ST 11-A ALLAMA IQBAL COLONY TENCH BHATTA RWP','4','6','19269','ECOSTAR','PTCL CALL INVOICE HAY',null,'15-JUN-2019','32U851 - 936','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 02:24:18','2021-01-18 21:48:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3315','IMRAN FCP','03005331105','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','51','202916','SONY','MODAL#55X7500H-CC VISIT TO SHOWROOM',null,'26-DEC-2020',null,'FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 02:43:56','2021-01-09 20:43:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3316',null,null,null,'7',null,null,'LG','007TAXTF9722',null,null,'8265CIS-S - 987','MICROWAVE OVEN','SWITCH NOT WORK',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'98','2020-12-29 03:02:36','2021-02-23 17:55:42',null,'1',null,'0');
INSERT INTO complaints VALUES('3317',null,null,null,'7',null,null,'PANASONIC','000000000',null,null,'64JW - 1200','MICROWAVE OVEN','DOOR LOCK ISSUE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'98','2020-12-29 03:03:38','2021-02-16 17:49:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3318',null,null,null,'7',null,null,'SIGNATURE','20076415790196',null,null,'FB25-N','BUILT IN APPLLIANCES','DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'98','2020-12-29 03:06:04','2021-01-10 22:10:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3319',null,null,null,'7',null,null,'SUPER ASIA','1234',null,null,'1015-FH - 1778','HEATER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'98','2020-12-29 03:07:29','2020-12-30 02:50:41',null,'1',null,'0');
INSERT INTO complaints VALUES('3320',null,null,null,'7',null,null,'MIDAS','368080',null,null,'E3 - 760','HEATER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'98','2020-12-29 03:08:15','2021-02-20 17:39:20',null,'1',null,'0');
INSERT INTO complaints VALUES('3321',null,null,null,'7',null,null,'MIDAS','940987',null,null,'E3 - 760','HEATER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'98','2020-12-29 03:08:53','2021-02-20 17:42:07',null,'1',null,'0');
INSERT INTO complaints VALUES('3322',null,null,null,'4',null,null,'TCL','000',null,null,'55P8S - 942','FLAT PANEL TV','Panel main line hai',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2020-12-29 04:27:36','2021-01-30 21:41:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3323','MR YOUNAS','03185272944','TARO10 COMPAINE CHANDNI CHOWK 6 ROAD RWP','7','49','22464','ORIENT','SALE ADVISOR ZAHID',null,'05-DEC-2020','529BL - 128','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 20:21:42','2021-02-20 17:05:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3324','MALIK SHEHRIYAR','03345074444','HO#02 ST 02 LANE 03 QUAID-E-AZAM COLONY DHAMIAL CAMP RWP','8','37','14399','GREE','SALE ADVISOR NAVEED',null,'08-JUN-2020','24FITH1S - 917','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 20:47:06','2021-01-04 20:51:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3325','CAP SHAHROAZ','03351273737(03235110356)','SCHOOL OF ARMOUR NOSHARA CANTT','5','33','107900','LG','YHA OUT CITY  KI COMPLAINT HAIN UN  NO PA FF KARWAI HAIN',null,'27-JULY-2019','502HMHU-S - 896','REFRIGERATOR','COMPRESSOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-29 20:48:12','2021-01-06 00:31:11',null,'1',null,'0');
INSERT INTO complaints VALUES('3326','KAMRAN BAHRIA 7','03219507474','FRIEND CORPORATION BAHRIA 07','6','14','0','DAWLANCE','MODAL#1485',null,'0',null,'DISH WASHER','TOP DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 20:57:53','2021-01-26 20:51:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3327','ANWAR RANDHAWA','03335150960','HO#171 ST 10 BLOCK-F PARIS CITY SEC H-13 ISB','5','31','121175','DAWLANCE','WAQAS AHMED',null,'24-AUG-2020','7500C-DW - 1548','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 21:10:12','2020-12-31 22:33:54',null,'1',null,'0');
INSERT INTO complaints VALUES('3328','MRS USMAN','03355111626','HO#54 SEC-J JANAHA AVINEW DHA 02 ISB','5','36','114083','SIGNATURE','0',null,'22-JAN-2020','FC90S - 1122','BUILT IN APPLLIANCES','BURNER  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 21:18:51','2021-01-01 02:13:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3329','MR RASHID','03365009682','HO#07 ST 25 SEC G-13/2 ISB','5','36','106708','XTREEM','0',null,'02-JULY-2019','86A - 1122','BUILT IN APPLLIANCES','GAS  LEAKAGE  ISSUE',null,'5','completed',null,'customer','0',null,'92','2020-12-29 21:23:30','2021-01-27 23:15:31',null,'1',null,'0');
INSERT INTO complaints VALUES('3330','MR ABDULLAH JAMIL','03465248428','HO#277-A ST 03 OPT LAL QILLA GULRAIZ 05 RWP','6','15','20736','SHARP','SALE ADVISOR BADAL',null,'05-MAY-2019','12HCP-INV - 913','AIR CONDITIONER','COMPOSER  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 21:41:25','2021-01-04 20:57:34',null,'1',null,'0');
INSERT INTO complaints VALUES('3331','HAJI YASEEN','03331971717','HO#17 ST 03 SEC G-10/2 ISB','5','34','124719','LG','MODAL#55CX-1018',null,'30-NOV-2020',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 21:50:04','2021-01-09 19:55:58',null,'1',null,'0');
INSERT INTO complaints VALUES('3332','MR SHEHREYAR','03459010353','HO#1293 ST 79 OMER BLOCK PHASE 08 ISB','6','15','30305','FIVE STAR','MODAL#35G-HEAVY',null,'01-NOV-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 22:04:16','2021-01-05 23:59:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3333','MR FAHAD','03495479839','FLAT#02 BLOCK E-2 ST 94 SEC G-11/3 ISB','8','38','115123','HAIER','MODAL#851708HWM SALE ADVISOR WAQAS',null,'02-MAR-2020',null,'WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 22:11:02','2021-01-03 22:27:06',null,'1',null,'0');
INSERT INTO complaints VALUES('3334','DR ALI','03335394455','HO#B-1/1393 SERVICE ROAD MUSLIM TOWN RWP','9','24','192639','ORIENT','SALE ADVISOR IMRAN',null,'05-DEC-2020','18G-ROYAL-CW - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 22:17:46','2021-01-05 23:56:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3335','DR ALI','03335394455','HO#B-1/1393 SERVICE ROAD MUSLIM TOWN RWP','9','24','192639','ORIENT','SALE ADVISOR IMRAN',null,'13-JULY-2020','18G-HYPER-SW - 915','AIR CONDITIONER','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 22:22:16','2021-01-05 23:53:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3336','MR SHAHZAD AFZAL','03218563','HO#22 ST 09 BLOCK-B SAWAN GARDEN ISB','4','5','15427','SIGNATURE','2 OVEN KI COMPLAINT HAY',null,'23-JULY-2020','25G - 1731','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 23:02:22','2021-01-09 19:49:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3337','MR IRSHAD','03008502220','FARM 195 ST 10 GULBERG GREEN ISB','5','28','127517','SIGNATURE','MODAL#C595',null,'28-DEC-2020',null,'COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 23:05:17','2021-01-01 01:47:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3338','MR ABID','03145088176','HO#27 ST 09 SEC C DHA 02 ISB','4','6','5790','LG','SALE ADVISOR SALEEM',null,'29-OCT-2018','65UK6100-S - 1443','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 23:09:26','2021-01-06 04:13:56',null,'1',null,'0');
INSERT INTO complaints VALUES('3339','TAYYAB SAB','03005242708','HO#05 BILAL ST MAIN KORANG ROAD BANI GALA ISB','5','35','124883','SIGNATURE','SWH-20-60-1392',null,'124883',null,'GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-29 23:28:23','2020-12-31 20:27:41',null,'1',null,'0');
INSERT INTO complaints VALUES('3340','MR RIZWAN','03455108503','HO#389 ST 36 BLOCK-C PWD ISB','4','6','305','HAIER','SALE ADVISOR AZHAR',null,'05-DEC-2020','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 23:29:09','2021-01-04 21:03:43',null,'1',null,'0');
INSERT INTO complaints VALUES('3341','ALI ABDULLAH','03335136827','HO#913 ST#79 I-8/3 ISB','5','35','120338','LG','0',null,'06-AUG-2020','4V5RGP2T-S - 899','WASHING MACHINE','TIMING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-29 23:30:17','2021-01-06 04:12:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3342','M MUSTUFA','03335575038','HO#356 ST#72 G-8/1 ISB','5','53','529','HAIER','0',null,'10-DEC-2020','438IDBT - 896','REFRIGERATOR','DOOR GAS KIT  PROB+ FOOT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-29 23:39:39','2021-01-10 22:27:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3343','BRIG HAMID','03215077721','HO#651 ST#02 SEC A PHASE 08 BEHIRA TOWN','6','16','26749','HAIER','0',null,'21-MAR-2020','150-1708HWM - 1484','WASHING MACHINE','PANEL BUTTON PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-29 23:42:05','2021-01-03 22:33:18',null,'1',null,'0');
INSERT INTO complaints VALUES('3344','DR WASIB','03335541298','HO#207 ST 19 SEC I-9/1 ISB','8','42','43935','LG','MODAL#90B5NDKVH-C',null,'01-DEC-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 23:52:05','2020-12-30 22:36:13',null,'1',null,'0');
INSERT INTO complaints VALUES('3345','MR MUDASSAR','03215033363','HO#52 CHAMAN ROAD SEC G-8/2 ISB','8','42','125664','SIGNATURE','SALE ADVISOR MARYAM FCI',null,'04-DEC-2020','SBO-AT4R - 1124','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-29 23:55:20','2021-01-13 21:37:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3346','MR NAWAZ','03335161156','HO#438 BHATTI STREET LALAZAR RWP CANT','9','20','201537','MITSUBISHI','0',null,'06-DEC-2020','50VA - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 00:06:00','2021-01-04 21:07:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3347','MR IBRAHIM','03360551736','HO#06 ST 11 GINNAH GARDEN PHASE 01 ISB','4','11','15202','HAIER','0',null,'16-JULY-2020','12HNF-G INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 00:17:20','2021-02-20 17:12:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3348','WASEEM','03345523564','HO#16-/14-A AFANDI COLONY R.W.P','9','23','201493','SIGNATURE','OVEN FS25S-N-1415',null,'06-DEC-2020',null,'BUILT IN APPLLIANCES','LIGHT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-30 00:20:52','2021-01-06 04:11:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3349','MR SULMAN','03215379919','HO#12 ST 16, SEC H DHA FACE 2 ISB','6','14','22771','HAIER','AGAIN COMPLAINT (2347) INVOICE B HAIN BILA MAZOOR NA SHER KI',null,'4-JULY-2020','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-30 00:32:56','2021-01-03 22:35:42',null,'1',null,'0');
INSERT INTO complaints VALUES('3350','MR SHAHID','03335163215','HO#D383  COLLEGE ROAD KOMATI CHOCK CARNAL MAKBOOL IMAM BARGA RWP','9','23','184495','CANON','0',null,'25-DEC-2019','16D-PLUS - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 01:14:49','2021-01-20 22:49:11',null,'1',null,'0');
INSERT INTO complaints VALUES('3351','MR SULMAN','03215379919','HO#12 ST 16, SEC H DHA FACE 2 ISB','6','14','0','HAIER','C/O  SADDIQ SAB& KAMRAN SAB',null,'0',null,'FLAT PANEL TV','REMOTE SANS ER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-30 01:16:42','2021-01-04 21:17:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3352','MR ALI','03454569224','HO#01 ST 10 BLOCK 10 BUTT MARKIT FAZAL TOWN PHASE 01 RWP','4','5','9957','DAWLANCE','PTCL CALL INVOICE HAY',null,'20-JULY-2019','9188WBGD-INV-BROWN - 746','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 01:21:28','2021-01-04 21:19:06',null,'1',null,'0');
INSERT INTO complaints VALUES('3353','COL NAEEM','03337204666','HO#20 MAIN MARGALA ROAD F-8 ISB','8','38','0','HAIER','C/O  SADDIQ SAB& KHURRAM SIR',null,'0',null,'AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-30 01:29:36','2021-01-04 21:22:17',null,'1',null,'0');
INSERT INTO complaints VALUES('3354','MURTAZA BUTT','03115006051','FRIENDS HOME NEAR TEHZEEB BAKERS PWD ISB','4','7','0','HAIER','0',null,'0','285SD - 956','FREEZER','LEVEL BALANCE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2020-12-30 01:48:21','2021-01-13 21:54:07',null,'1',null,'0');
INSERT INTO complaints VALUES('3355','MR ASLAM','03334585895','HO#14 ST 01 ASKARI 05 RWP','9','19','25796','SIGNATURE','PTCL CALL INVOICE HAY OVEN HAY GAS WALA',null,'27-JAN-2018','FGG4 - 1124','BUILT IN APPLLIANCES','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 01:51:40','2021-01-20 19:48:17',null,'1',null,'0');
INSERT INTO complaints VALUES('3356','MATLOOB AHMED','03319733772','HO#O/701 K ALTAR PURA BABA RODA ROAD RWP','9','51','199251','CANON','SALE ADVISOR SAIFULLAH',null,'14-NOV-2020','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 02:01:20','2021-01-20 23:40:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3357','FARHAN SAB','03315401779(0315535901)','MA ROOF  INTERNATIONAL HOSPITAL F-10 MARKAZ ISB','8','37','32921','SIGNATURE','SVF-PISS-1523(INVOICE ADIL BHAI K PASS',null,'27-MAR-2019',null,'FREEZER','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-30 02:26:57','2021-01-06 22:00:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3358','IJAZ-UL-HASSAN','03005031305','HO#816 FIRST FLOOR ST#85 SEC I-8/4 ISB','9','24','183173','LG','0',null,'13-DEC-2019','4J6TMP8S-S - 899','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 02:31:00','2021-01-06 04:12:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3359','NISER AHMED','03415224924','HO#20 ST#37 MELODY ISB','8','37','22183','HAIER','SALE ADVISOR SHAYYAN PTCL CALL INVOICE HAY',null,'06-MAY-2020','85-1708HWM - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 02:38:01','2021-01-03 22:48:06',null,'1',null,'0');
INSERT INTO complaints VALUES('3360','MR NOSHEEL','03215001074','HO#50 ST 93 SEC G-13/1 ISB','5','34','125941','ORIENT','MODAL#5310D-DARK SALE ADVISOR IKHLAQ',null,'05-DEC-2020',null,'WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 02:47:43','2021-01-20 19:46:47',null,'1',null,'0');
INSERT INTO complaints VALUES('3361','HAYAT ALI SHAH','03058955128','HO#30-A ST#24 ALI BLOCK PHASE 08  BEHIRA','6','12','22189','ORIENT','0',null,'20-JULY-2019','18G-BOLD-UW-INV - 915','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-30 02:47:59','2021-01-04 21:13:37',null,'1',null,'0');
INSERT INTO complaints VALUES('3362','KASHIF','03344263966','NATIONAL BANK LANE 05 PESHAWAR  ROAD R.W.P','9','19','196184','HAIER','FLOOR STANDING(24HE03-324',null,'14-SEP-2020',null,'AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-30 02:54:15','2021-01-03 22:49:51',null,'1',null,'0');
INSERT INTO complaints VALUES('3363','MR QAISER','03015588886','HO#P370 FOREST OFFICE ROAD MOHALA BANI RWP','8','39','40571','HAIER','0',null,'29-JUN-2020','438IDBT - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 20:11:34','2021-01-04 22:12:43',null,'1',null,'0');
INSERT INTO complaints VALUES('3364','DR MUBARAK SHAH','03444430004','HO#485 FOOT HILL ROAD PHASE 07 ISB','6','12','24275','FIVE STAR','0',null,'05-DEC-2019','55G-TWIN-SUPREME - 1538','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 20:27:23','2021-01-04 22:15:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3365','MALIK SHAKEEL','03335351792','HO#105 ST 63 SEC G-7/2-4 ISB','5','34','100997','ECOSTAR','0',null,'31-DEC-2018','32U571 - 936','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 20:34:30','2021-01-05 23:13:37',null,'1',null,'0');
INSERT INTO complaints VALUES('3366','MR DASTAGER','03017224948','PLOT 299 ST 03 SEC I-9/3 ISB','8','38','37668','CANON','2 GEYSER KI COMPLAINT HAY',null,'23-NOV-2019','10LCF - 1031','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 20:46:53','2021-01-21 00:30:11',null,'1',null,'0');
INSERT INTO complaints VALUES('3367','NOUMAN DAOOD','03219000000','FRAM #65 ORCHARD ROAD ORCHARD SCHEME R.W.P','8','38','0','SONY','C/O NAEEM NASEER',null,'0',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-30 21:09:51','2021-04-19 12:30:17',null,'1',null,'0');
INSERT INTO complaints VALUES('3368','MISS TAYYBA','03068176911','HO#CB228 IQBAL STREET HAJI SHEER KHAN COLONY DHMAL ROAD RWP CANT','7','49','22142','SUPER ASIA','SALE ADVISOR ZAHID',null,'12-NOV-2020','106GH(NG) - 1029','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 21:45:16','2021-01-05 23:20:07',null,'1',null,'0');
INSERT INTO complaints VALUES('3369','MR NASIR','03005230024','HO#18 PARK VIEW MORGA MOR RWP','6','14','31780','LG','MODAL#4V5RYP2T-S SALE ADVISOR  BADAL',null,'06-DEC-2020',null,'WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 21:59:35','2021-01-06 04:11:42',null,'1',null,'0');
INSERT INTO complaints VALUES('3370','MR AYOUB','03335130324','HO#AA70 GALI KORASHERYA JAMEYA MASJID ROAD RWP','9','51','198118','FIVE STAR','MODAL#55G HEAVY SALE ADVISOR NAVEED',null,'24-OCT-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 22:07:39','2021-01-04 22:29:59',null,'1',null,'0');
INSERT INTO complaints VALUES('3371','SYED MUZAFFAR ALI','03445006872','HO#31 ST 11 SEC-E  DHA 02 ISB','5','33','122661','MITSUBISHI','SALE ADVISOR KHURRAM JAVED',null,'08-OCT-2020','50VA - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 22:17:26','2021-01-04 22:34:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3372','MR KASHIF','03215167138','FARM#47 ST 01 PARACHA CHOWK TARLAI ISB','8','42','40218','ORIENT','0',null,'12-JUN-2020','18G-HYPER-SW - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 22:34:15','2021-02-03 21:42:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3373','DR WASIB','03335541298','HO#207 ST 19 SEC I-9/1 ISB','8','42','43935','LG','MODAL#90B5NDKVH-C',null,'01-DEC-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','3344','74','2020-12-30 22:34:32','2021-01-13 21:34:37',null,'1',null,'0');
INSERT INTO complaints VALUES('3374','TOUSEEF','03136501342','HO#16 ST#01 F-7/3 ISB','5','28','123881','FIVE STAR','0',null,null,'900C-FS - 1965','COOKING RANGE','NOB NOT WORKING',null,'5','completed',null,'customer','0',null,'74','2020-12-30 22:41:49','2021-01-27 23:23:44',null,'1',null,'0');
INSERT INTO complaints VALUES('3375','COL SAQIB','03216131131','HO#84 ST#07 BEHIRA PHASE 07','6','14','30871','SIGNATURE','HOB',null,'30-NOV-2020','HC-5900G - 1122','BUILT IN APPLLIANCES','BURNER NOT WORKING',null,'5','COMPLAINTCLOSED',null,'customer','0',null,'74','2020-12-30 22:49:10','2021-01-02 01:15:18',null,'1',null,'0');
INSERT INTO complaints VALUES('3376','ALI SHAH','03038000072','WEST MINISTER SCHOOL NEAR RABI CENTER WALYAT COMPLEX  PHSAE 07 BEHIRA TOWNM','6','12','18807','HAIER','0',null,'12-JAN-2019','336EPB - 894','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-30 22:52:18','2021-01-08 02:29:01',null,'1',null,'0');
INSERT INTO complaints VALUES('3377','SYED RASHID MAHMOOD','03335601789','HO#304 ST 24 SEC I-10/4 ISB','8','42','41394','ECOSTAR','0',null,'27-JULY-2020','40U860 - 938','FLAT PANEL TV','ON-OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 22:58:51','2021-01-05 21:51:43',null,'1',null,'0');
INSERT INTO complaints VALUES('3378','MR FAROOQ','03075374410','HO#602 ST 14 ROYAL AVINEW PARK ROAD ISB','8','38','18678','LG','MODAL#42LF550-P',null,'13-OCT-2016',null,'FLAT PANEL TV','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 23:13:30','2021-01-06 04:09:32',null,'1',null,'0');
INSERT INTO complaints VALUES('3379','ABDUL SALAM','03000700541','HO#27 SHALIIMAR ROAD BLOCK E SONA GARDEN ISB','4','5','2848','ECOSTAR','C/O NAVEED',null,'11-MAY-2018','55U571 - 942','FLAT PANEL TV','SCREEN DARK PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-30 23:18:53','2021-01-18 21:33:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3380','MR SHAHZAD','03414182979','HO#124 LANE#04 NEAR RAJA FARM HOUSE RAH-E-AMAN -E-IQBAL COLONY DHAMIYAL ROAD LALAZAR 02 RWPGULSHAN','8','42','8679','GREE','PTCL CALL INVOICE HAY',null,'09-MAR-2019','12CITH12G - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-30 23:30:55','2021-01-22 00:44:55',null,'1',null,'0');
INSERT INTO complaints VALUES('3381','MR FAISAL','03005096565','SHOP#B6 SAJID SHAREF PLAZA SEC G-11 MARKAZ ISB','9','20','202982','CARAVELL','MODAL#207BA',null,'27-DEC-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-31 00:23:56','2021-01-04 20:17:58',null,'1',null,'0');
INSERT INTO complaints VALUES('3382','DR MASROOR HUSSAIN','03163802917','HO#11 CHAKWAL ROAD MAIN SOOMRO STREET BANI GALA ISB','9','23','133284','SIGNATURE','PTCL CALL INVOICE HAY',null,'10-MAY-2017','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-31 00:56:07','2021-01-08 02:44:18',null,'1',null,'0');
INSERT INTO complaints VALUES('3383','COL LIYAQAT','03461113395','HO#17 ST#03 SEC B DHA 02 ISB','6','16','17800','LG','0',null,'08-DEC-2018','7566NEFPF-S - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-31 01:02:55','2021-01-07 02:08:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3384','AMJAD ALI','03015245993','OFFICE#DANTAL UNIT PAKISTAN AIR FORCE BASIC NOOR KHAN CHAKLALA  RWP','9','26','192056','KENWOOD','0',null,'03-JULY-2020','1239S-INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-31 01:19:59','2021-01-03 23:18:05',null,'1',null,'0');
INSERT INTO complaints VALUES('3385','MISS ATTIA','03216724058','HO#461-N ST 7/1 BLOCK-D NATIONAL POLICE FOUNDATION ISB','6','14','31005','ORIENT','24G-DIVINE',null,'02-DEC-2020',null,'AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-31 01:41:49','2021-01-02 20:21:54',null,'1',null,'0');
INSERT INTO complaints VALUES('3386','MR FAKHAR','03458590028','HO#50 ST#05 SEC E-11/4 ISB','8','37','34616','ORIENT','MODAL#1831-S INV',null,'13-JUN-2019',null,'AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-31 02:20:02','2021-01-02 20:19:01',null,'1',null,'0');
INSERT INTO complaints VALUES('3387','UMBAR OWAIS','03009549088','HO#SD-346 ST 14 FALCON COMPLEX NEAR KHANA PUL ISB','8','37','43876','CANON','0',null,'01-DEC-2020','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-31 02:31:53','2021-01-08 02:22:19',null,'1',null,'0');
INSERT INTO complaints VALUES('3388','MR RANA AKMAL','03235151011','HO#152 ST 07 BLOCK-A MEDIA TOWN ISB','4','5','11243','SIGNATURE','SALE ADVISOR NAVEED',null,'02-NOV-2019','SWM-JD50C - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2020-12-31 02:43:46','2021-02-17 11:52:34',null,'1',null,'0');
INSERT INTO complaints VALUES('3389','MR KHURSHAID','03005555194','HO#246 BLOCK B SATALITE TOWN RWP','8','38','45203','FIVE STAR','MODAL#25G-TWIN HEAVY',null,'19-DEC-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-31 02:48:00','2021-01-08 02:20:22',null,'1',null,'0');
INSERT INTO complaints VALUES('3390','MR ADEEL KHAN','03215552747','HO#20 NEAR QASIM MARKIT  ASKARI 11 RWP','7','49','19763','HAIER','SALE ADVISOR ZAHID',null,'14-SEP-2019','85-1708HWM - 945','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-31 02:59:45','2021-01-02 20:16:55',null,'1',null,'0');
INSERT INTO complaints VALUES('3391','MALIK LIAQAT','03361544450','HO#80 LANE 03 ARMY OFFICERS COLONY RWP','6','12','22708','HOMAGE','SALE ADVISOR BADAL',null,'19-AUG-2019','84HWD - 993','WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-31 20:18:41','2021-01-05 22:16:36',null,'1',null,'0');
INSERT INTO complaints VALUES('3392','ASAD ULLAH','03175611685','HO#377 LANE 05 ST 02 GULSTAN COLONY RWP','6','16','19339','SIGNATURE','MODAL#25BG SALE ADVISOR ZARA',null,'18-FEB-2019',null,'MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-31 20:32:59','2021-01-06 04:08:35',null,'1',null,'0');
INSERT INTO complaints VALUES('3393','ASAD ULLAH','03175611685','HO#377 LANE 05 ST 02 GULSTAN COLONY RWP','6','16','19339','SIGNATURE','SALE ADVISOR ZARA',null,'18-FEB-2019','SBH-AA901G - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-31 20:36:38','2021-01-08 02:32:10',null,'1',null,'0');
INSERT INTO complaints VALUES('3394','ISLAMABADA CLUB','03335286072','ISLAMABAD CLUB NEAR KASHMIR CHOWK','8','47','24029','FISCHER','0',null,'24-DEC-2020','80GF - 989','WATER COOLER','NOT WORKING',null,'5','completed',null,'customer','0',null,'74','2020-12-31 21:05:27','2021-01-27 23:44:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3395','ISLAMABADA CLUB','03335286072','ISLAMABAD CLUB NEAR KASHMIR CHOWK','8','47','24029','FISCHER','0',null,'24-DEC-','80GF - 989','WATER COOLER','2',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-31 21:05:27','2020-12-31 21:15:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3396','ISLAMABADA CLUB','03335286072','ISLAMABAD CLUB NEAR KASHMIR CHOWK','8','47','24029','FISCHER','0',null,'24-DEC-','80GF - 989','WATER COOLER','2',null,'5','COMPLAINT CLOASED',null,'customer','0',null,'74','2020-12-31 21:05:27','2020-12-31 21:12:38',null,'1',null,'0');
INSERT INTO complaints VALUES('3397','ISLAMABADA CLUB','03335286072','ISLAMABAD CLUB NEAR KASHMIR CHOWK','8','47','24029','FISCHER','0',null,'24-DEC-','80GF - 989','WATER COOLER','2',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-31 21:05:28','2020-12-31 21:11:20',null,'1',null,'0');
INSERT INTO complaints VALUES('3398','WAQAS IMRAN','03458706101','AFZAL LODGE HO#268 GALI 34 ST 23 SEC G-10/1 ISB','4','11','120595','WHIRLPOOL','SALE ADVISOR WAQAS AHMED',null,'11-AUG-2020','412DX-HC-INV - 913','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-31 21:07:07','2021-02-20 17:14:08',null,'1',null,'0');
INSERT INTO complaints VALUES('3399','AHMED','0348335331(03345450919)','HO#109 ST#01 NEAR ZAREEN SHAHDI HALL TEACH BHATTA R.W.P','9','23','138552','SIGNATURE','C/O SADDIQ SAB(INVOICE  WAQAS FCP NA SHER KI B WHATSAPP PA',null,'05-AUG-2017','SRF-KK95G - 903','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-31 21:46:34','2021-02-23 18:03:03',null,'1',null,'0');
INSERT INTO complaints VALUES('3400','MAJ MATLOOB','03335559552','HO#11-D ST#14 -B SEC-E DHA ISB','6','14','31562','SIGNATURE','ELECTRIC+ GASS OVEN',null,'05-DEC-2020','AR2 - 1124','BUILT IN APPLLIANCES','DEMO REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-31 21:59:07','2021-01-08 02:25:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3401','IMTIAZ ABBASI','03008508217','HO#82 ST#48 BLOCK F NEAR SHAHEEN CHOWK DHA 01','6','14','29758','FIVE STAR','0',null,'27-SEP-2020','35G-TWIN SUPREME - 963','GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-31 22:05:46','2021-01-01 01:38:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3402','HASSAN FHHS','031013000123','FRIENDS HOME SHAMSHABAD R.W.P','8','37','0','LG','FRONT LOUD W/M',null,'0',null,'WASHING MACHINE','DENT + HUK MISSING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-31 22:13:23','2021-01-06 21:54:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3403','SALEEM MALIK','03348555548','HO#143-E ST#08 BLOCK A SEC 04 AIRPORT HOUSING  SOCIETY R.W.P CITY','8','37','26413','HAIER','0',null,'15-MAR-2018','120BS W/M - 69','WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-31 22:21:44','2021-01-03 22:55:54',null,'1',null,'0');
INSERT INTO complaints VALUES('3404','SALEEM JADOON','03005042094','HO#100 ST#19 MASJID ROAD R.W.P','7','49','9777','SAMSUNG','0',null,'15-AUG-2015','32F604 - 1200','MICROWAVE OVEN','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-31 22:33:01','2021-01-06 04:06:05',null,'1',null,'0');
INSERT INTO complaints VALUES('3405','ANAYAT ULLAH AWAIS','03335470175','HO#13 FAZEYA COLONY 4 SEVAL LINE JALUM','8','48','38670','TCL','AREEBA NA KASHIF TCL KO COMPLAINT FF KAR DI THI (TASK 2849',null,'15-JAN-2020','32S6500A - 936','FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2020-12-31 22:36:50','2021-01-30 22:00:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3406','MR SALMAN','03335531973','PIES COMPLEX GRFATEN COLLEGE 5TH FLOOR PARK ROAD CHAK SHAHZAD RWP','5','34','107079','ORIENT','PTCL CALL INVOICE HAY',null,'08-JULY-2019','18G-BOLD-UW-INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2020-12-31 23:13:11','2021-01-05 22:29:24',null,'1',null,'0');
INSERT INTO complaints VALUES('3407','MR NUSRAT RAHMAN','03230506443','HO#900 ST 22 PHASE 04 BAHRIA TOWN RWP','9','22','173507','HAIER','0',null,'22-JUN-2019','12HFAA-B INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-01 00:28:02','2021-01-05 22:35:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3408','MR HASSAN','03125512070','HO#215 ALBA STREET SAFARI VILLAS 02 PHASE 07 BAHRIA TOWN RWP','6','15','30879','HAIER','0',null,'01-DEC-2020','12HRW-W-INV - 913','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-01 00:41:22','2021-01-05 22:37:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3409','MR IMRAN','03459041860','HO#22 ST 32 SEC F-6/1 ISB','9','19','192858','HAIER','MODAL#18HFBG-INV',null,'15-JULY-2020',null,'AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-01 00:55:39','2021-01-08 01:47:49',null,'1',null,'0');
INSERT INTO complaints VALUES('3410','MR IMRAN','03459041860','HO#22 ST 32 SEC F-6/1 ISB','9','19','192728','HAIER','0',null,'14-JULY-2020','438IDBT - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-01 00:59:32','2021-01-03 23:07:50',null,'1',null,'0');
INSERT INTO complaints VALUES('3411','AHMAD JAWAD','03008505994','HO#08 ST#27 NAVAL ANCHORAGE ISB','5','30','124249','HAIER','0',null,'21-NOV-2020','519DGS - 1122','BUILT IN APPLLIANCES','BANNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-01 01:03:42','2021-01-05 22:41:24',null,'1',null,'0');
INSERT INTO complaints VALUES('3412','NAEEM AHMED FCI','03005077900','FRIENDS CORPORATION BULE AREA ISB','5','30','87754','SIGNATURE','20AC(CUSTOMER SHOWROOM PA DROP KAR K GAY HAIN',null,'29-AUG-2017',null,'MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-01 01:07:29','2021-01-06 21:58:55',null,'1',null,'0');
INSERT INTO complaints VALUES('3413','MR FAROOQ','03075374410','HO#602 ST 14 ROYAL AVINEW PARK ROAD ISB','8','38','18678','LG','MODAL#42LF550-P',null,'13-OCT-2016',null,'FLAT PANEL TV','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-01 01:36:23','2021-02-23 17:19:03',null,'1',null,'0');
INSERT INTO complaints VALUES('3414','MR UMAIR','03018565626','HO#107 ST 13 MARGALLA TOWN PHASE 01 RWP','8','37','42515','HAIER','MODAL#12HJ-INV-S',null,'19-SEP-2020',null,'AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-01 01:51:07','2021-01-22 00:48:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3415','SALEEM','03235353231','HO#19-20 ST# 20 SEC A BEHIRA TOWN PHASE 02 EXTENSION DHA','9','23','1908','SIEMENS','0',null,'21-SEP-2015','47VVW20N - 895','REFRIGERATOR','LIGHT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-01 01:53:08','2021-02-20 17:03:47',null,'1',null,'0');
INSERT INTO complaints VALUES('3416','WAQAR','03005005327','HADAR I CHOWK GEAT #05 HID TAXILA','8','47','45228','GREE','0',null,'19-DEC-2020','9978EG-CB2 - 885','REFRIGERATOR','BODY CURRENT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-01 02:02:51','2021-01-05 23:02:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3417','IMTIAZ ABBASI','03008508217','HO#82 ST#48 BLOCK F NEAR SHAHEEN CHOWK DHA 01','6','14','29758','FIVE STAR','BY MISTAKE COMPLAINT CLOSED HO GEI (TASK#3401',null,'27-SEP-2020','35G-TWIN SUPREME - 963','GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-01 02:06:22','2021-01-03 22:43:16',null,'1',null,'0');
INSERT INTO complaints VALUES('3418','MR HABIB ULLAH','03458506041','FLAT#703 BLUE LINE TOWER CAPITAL RESIDENCIA SEC E-11/4 ISB','5','30','122865','GREE','0',null,'13-OCT-2020','18CITH12W - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-01 02:13:42','2021-01-03 22:08:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3419','MASOOD','03335186116','HO#65 ST#07 GREEN AVENUE CHATA BATHWATER ISB','5','35','125379','HAIER','0',null,'03-DEC-2020','12HFCA-G-INV - 913','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-01 02:36:32','2021-01-02 20:00:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3420','MR SHAFIQ','03315455680','HO#1171 ST 111A SEC G-9/4 ISB','5','33','106563','HAIER','PTCL CALL INVOICE HAY',null,'28-JUN-2019','40K6000 - 938','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-01 02:45:02','2021-01-04 23:36:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3421','ALI IFIKHAR','03345418839(03005102808)','HO#CB -1073 STY#03 MHRABAD COLNY PESHAWAR ROAD R.W.P','5','32',null,'SAMSUNG','0',null,'13-NOV-2019','40N5300-S - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-01 02:46:13','2021-01-23 00:23:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3422','MR TALAL','03005037007','HO#133 MAIN SERVICE ROAD ACT SEC G-14/4 ISB','9','19','161837','SAMSUNG','HAMMAD FCP NAY COMPLAINE BAJI HAY',null,'02-DEC-2018','90J5710 - 901','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-01 02:48:02','2021-01-06 21:37:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3423','IMRAN FCP','03005331105','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','51','20281','SAMSUNG','65TU7000(REPLACE LED HAIN)',null,'24-DEC-2020',null,'FLAT PANEL TV','USB NOT NOT WORKING(SATURDAY KO FCP SHOWROOM PA VISIT ARRANGE KARWAY)',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-01 03:01:07','2021-01-10 22:06:55',null,'1',null,'0');
INSERT INTO complaints VALUES('3424','MRS IMRAN','03011401221','HO#10-A ST#06 BLOCK C NAVAL ANCHORAGE ISB','8','39','41824','FIVE STAR','0',null,'15-AUG-2020','10000C-FS - 1965','COOKING RANGE','NOT WORKING',null,'5','range is working  perfectly fine',null,'customer','0',null,'74','2021-01-01 20:30:47','2021-01-27 23:52:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3425','AZHAR SAB','03005049371','ST#01 HAJI ROAD NEAR SABORI MASJID HAZARAR  COLONY R.WP','9','51','203171','KENWOOD','0',null,'30-DEC-2020','1010SA - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-01 20:39:52','2021-01-05 21:17:32',null,'1',null,'0');
INSERT INTO complaints VALUES('3426','KHALIQUE ZAMAN','03215155600','FRAM #25 ORCHARD SCHEEM ROAD NEAT RAWAL DAM ISB','8','48','411','MITSUBISHI','0',null,'07-MAY-2020','50VA - 915','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-01 21:01:24','2021-02-20 17:50:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3427','MRS RAZA','03215114888','PARDO VILLA #21 EMAAR DHA PHASE 05 ISB','5','31','123180','ORIENT','FLOOR STANDING',null,'22-OCT-2020','24G-PRESTIGE-W - 917','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-01 21:12:56','2021-01-18 22:31:38',null,'1',null,'0');
INSERT INTO complaints VALUES('3428','AAMIR AHMAD','03005528874','HO#899 ST#120NEAR GRID STATION D-12/4 ISB','5','35','122919','SAMSUNG','0',null,'14-OCT-2020','40N5300-S - 938','FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-01 21:26:23','2021-01-28 23:01:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3429','ABDUL HAFEEZ','03170504205','HO#28/5 ST#57 F-6/4 ISB','9','26','196457','SAMSUNG','80JS446-S(CELL PHONE CALL INVOICE B HAIN',null,'20-SEP-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-01 21:36:08','2021-01-05 02:15:51',null,'1',null,'0');
INSERT INTO complaints VALUES('3430','OMER SOHAIL','03335299211','HO#74/1 -D ST#32 F-6/1 ISB','5','28','70378','SAMSUNG','0',null,'15-SEP-2015','11F5S4GT - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-02 00:40:40','2021-01-06 04:26:40',null,'1',null,'0');
INSERT INTO complaints VALUES('3431','COL AZHAR','03341113582(03008527819)','HO#26 ST#13 SEC H LANE 05 DHA  02','9','19','0','XTREME','C/O SADDIQ SAB',null,'5 YEAR AGO','4C - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-02 00:53:43','2021-01-07 03:21:58',null,'1',null,'0');
INSERT INTO complaints VALUES('3432','MRS SAQIB','03107862525','HO#206 ST#4-B PHASE 05 GORI TOWN ISB','8','38','40110','ORIENT','0',null,'09-JUNE-2020','12G-HYPER-SW - 913','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-02 00:57:58','2021-01-05 21:00:39',null,'1',null,'0');
INSERT INTO complaints VALUES('3433','TALHA','03335131630 , 03012009124','H NO 557 ST NO 104 SEC D/12-1 ISB','5','28','0','TCL','1912VLR301004A00114(AIK BAR VISIT HOA BU TISSUE RESOLVED NAI HAO AJ AGAIN COMPLAINT REOPEN KARWAI',null,'0','55P8M - 942','FLAT PANEL TV','C/O SADDIQ SAB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-02 01:37:11','2021-01-08 01:01:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3434','KHAISTA REHMAN','03335119899','HO#111-B-3 GULISTAN CLONY LANE 03 R.W.P','9','21','202992','KENWOOD','0',null,'27-DEC-2020','1012SA - 902','WASHING MACHINE','NOT WORKING+ BIAS  PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-02 02:22:19','2021-01-17 00:38:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3435','MR TAHIR','03219134482','FLAT#529-G SEC-B  ASKARI 14  ISB','8','39','11683','SIGNATURE','PTCL CALL INVOICE HAY',null,'26-NOV-2017','SRF-KK90G - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-02 20:30:16','2021-01-05 02:15:16',null,'1',null,'0');
INSERT INTO complaints VALUES('3436','MR ZAFAR','03365446347','HO#47 BLOCK-B SATELLITE TOWN RWP','8','47','40964','HAIER','SALE ADVISOR NAVEED AHMAD',null,'10-JULY-2020','18HD-S-INV - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-02 20:36:55','2021-01-07 00:23:58',null,'1',null,'0');
INSERT INTO complaints VALUES('3437','MR TAHIR','03419022077','HO#7-4D SEC-D ASKARI TOWER 02 DHA 2 ISB','8','37','21303','ORIENT','PTCL CALL INVOICE HAY SALE ADVISOR SHAYAAN',null,'16-APR-2020','24G-PLUS-SG - 917','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-02 20:54:41','2021-01-06 23:22:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3438','MAJ IFTIKHAR ALI SHAH','03005001250   03335186020','HO#27 ST 20 SEC-E  DHA 02 ISB','6','15','30433','LG','ADIL SIR NAY COMPLAINT BAJI HAY',null,'12-NOV-2020','1066NEFTW-S - 902','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-02 23:21:31','2021-01-12 01:43:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3439','RAJA EJAZ AHMED','03235308399','MAIN SERVICE ROAD OPPOSIT FAZAYA COLONY NEAR RAVE RESTAURANT GORE TOWN PHASE 01  ISB','9','23','198704','CANON','0',null,'04-NOV-2020','24D-PLUS - 1031','GEYSER','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-02 23:32:22','2021-01-06 23:16:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3440','MR AZHAR ZUBAIRI','03005382887','HO#299 ST 32 SEC G-14/4 ISB','5','31','113512','SIGNATURE','BUILT IN OVEN HAY',null,'02-JAN-2020','SBO-AR4R - 1124','BUILT IN APPLLIANCES','THERMOSTAT  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-02 23:42:45','2021-01-16 22:35:08',null,'1',null,'0');
INSERT INTO complaints VALUES('3441','MR JAVED','03316362136','HO#1869 ST 27 SEC I-10/2 ISB','8','37','148081','SIGNATURE','PTCL CALL INVOICE HAY SALE ADVISOR SHAKEEL',null,'03-MAR-2018','SWM-JD51 - 902','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-02 23:48:07','2021-01-06 02:01:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3442','MR AZIZ','03321576608','HO#1621 ST 20/2 BLOCK-C NATIONAL POLICE FOUNDATION ISB','4','10','15999','HAIER','SALE ADVISOR WALEED',null,'18-AUG-2020','85-826HWM - 945','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-01-02 23:54:36','2021-01-06 23:06:45',null,'1',null,'0');
INSERT INTO complaints VALUES('3443','M. MAQSOOD KHAN','03365291529','HO#396 ST#53-B PAKISTAN TOWN PHASE01','4','6','17261','HAIER','0',null,'17-NOV-2020','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-02 23:55:55','2021-01-10 22:22:56',null,'1',null,'0');
INSERT INTO complaints VALUES('3444','MR KASHIF','03215159159','HO#309M MAIN PESHAWAR ROAD RWP','9','27','199861','FIVE STAR','0',null,'26-NOV-2020','25G-TWIN-SUPREME - 1966','GEYSER','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-03 00:04:18','2021-01-06 22:48:17',null,'1',null,'0');
INSERT INTO complaints VALUES('3445','HASSAN IBRAR','03335546650','OFFICE #104 IST FLOOR PRADIGM HIGHTS EIFFLE TOWER COMERCIAL PHASE 08 BEHIRA','6','15','30631','WELCOME','0',null,'23-NOV-2020','40-LITRE - 985','GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-03 00:15:19','2021-01-06 22:46:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3446','JAMSHED BUKHARI','03018553046','HO#240 ST 31, PARK ENCLAVE ISB','8','39','43866','LG','MODAL#4V5GP2T-S',null,'30-NOV-2020',null,'WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-03 00:43:53','2021-01-07 02:04:37',null,'1',null,'0');
INSERT INTO complaints VALUES('3447','MR ASIF','03353094123','APP#07 BLOCK#01 3rd FLOOR JINNAH COMPLEX CHAK SHAHZAD ROAD ISB','8','37','25630','SIGNATURE','PTCL CALL INVOICE HAY',null,'17-JAN-2018','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-03 00:57:16','2021-01-05 02:14:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3448','NADEEM KHAN','03335212488','HO#1038 ST 21 PHASE 05 BAHRIA TOWN ISB','6','13','1964','SAMSUNG','MODAL#13J5730',null,'20-MAR-2016',null,'WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-01-03 00:59:32','2021-02-23 18:05:13',null,'1',null,'0');
INSERT INTO complaints VALUES('3449','MR BASIT','03435608406','FLAT#05 BLOCK#13 SEC G-8/4 ISB','8','38','44901','FIVE STAR','0',null,'07-DEC-2020','25G-TWIN-SUPREME - 1966','GEYSER','NOT WORKING',null,'5','completed',null,'customer','0',null,'92','2021-01-03 01:05:15','2021-01-27 23:54:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3450','MALIK ABAID','03105460007','HO#328 ST#01 PHASE 08 DUA CHOWK ISB','6','15','32179','CANON','2 GEYSER',null,'19-DEC-2020','16D-PLUS-DUAL - 1030','GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-03 01:12:41','2021-01-06 02:47:24',null,'1',null,'0');
INSERT INTO complaints VALUES('3451','MR TANVEER AHMED','03352277088','HO#986 ST 21 SEC G-11/1 ISB','8','40','40148','SIGNATURE','0',null,'10-JUN-2020','SBC-MELBURNE-90PLUS - 1123','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-03 01:17:56','2021-01-09 21:25:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3452','M.AYUB','03445280131','HO#743 ROAD C PHASE 4 BEHIRA TOWN','4','9','17658','SAMSUNG','43TU7000-869',null,'01-DEC-2020',null,'FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-03 01:18:28','2021-01-08 01:48:50',null,'1',null,'0');
INSERT INTO complaints VALUES('3453','MR HAMID LATIF','03339555655','HO#481 ST 26 SEC-C PHASE 08 BAHRIA TOWN RWP','9','20','169980','FIVE STAR','0',null,'28-APR-2019','35G-SUPREME - 963','GEYSER','THERMOSTAT  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-03 01:28:33','2021-01-06 02:11:49',null,'1',null,'0');
INSERT INTO complaints VALUES('3454','MASOOD ABBAS','03369978311','HO#1316ST#03 OVER SEAS SEC 05 PHASE 08 BEHIRA TOWN','6','12','10910','SIGNATURE','0',null,'09-OCT-2017','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-03 01:34:26','2021-01-05 23:27:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3455','OBAID-UL-RASOOL','03335138537','HO#1013 ST 09 OVERSEAS 06 PHASE 08 RWP','6','16','17332','TCL','0',null,'25-NOV-2018','55P65US - 942','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-03 01:37:25','2021-01-19 22:16:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3456','BRIG RIAZ','03008509889','HO#04 ST#11/A SEC G DHA 02 ISB','4','5','934','SIGNATURE','CELL PHONE INVOICE  B HAIN',null,'15-OCT-2017','SRF-HM99 - 908','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-03 01:46:21','2021-01-05 23:22:13',null,'1',null,'0');
INSERT INTO complaints VALUES('3457','MR JAVED','03009566563','HO#60 ST#09 SEC -C DHA 02','4','5','130151','SIGNATURE','0',null,'29-MAR-2017','SWM-FW1610S - 902','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-03 02:00:10','2021-01-04 20:11:50',null,'1',null,'0');
INSERT INTO complaints VALUES('3458','COL WAHEED','03365599714','HO#9F ROAD 1-C SEC-J BAHRIA ENCLAVE ISB','8','38','34575','HAIER','0',null,'11-JUN-2019','18SGF-INV-W - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-03 02:00:34','2021-01-05 20:17:32',null,'1',null,'0');
INSERT INTO complaints VALUES('3459','MR ARSALAN','03355519254','HO#138 FAISAL COLONY TENCH BATA RWP','9','27','198754','HAIER','0',null,'04-NOV-2020','90-1789HWM - 901','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-03 02:27:04','2021-01-05 20:11:47',null,'1',null,'0');
INSERT INTO complaints VALUES('3460','MR IMRAN','03323867774','HO#34 ST 38 SEC F-6/1 ISB','9','19','166416','LG','0',null,'21-FEB-2019','682HLHU-S - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-03 19:44:44','2021-01-13 23:24:03',null,'1',null,'0');
INSERT INTO complaints VALUES('3461','MR AMIR KAMAL AKBAR','03345063138','HO#09 ARMY OFFICERS HOUSING COLONY NATIONAL PARK ROAD RWP  CANTT','8','37','41470','SONY','0',null,'28-JULY-2020','55X8500G-CC - 942','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-03 19:53:49','2021-01-07 19:32:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3462','MR FAZAL AMIN','03009335510','HO#01 ST 10 SEC-F DHA 02 ISB','6','15','30627','ORIENT','0',null,'23-NOV-2020','18G-ROYAL-CW - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-03 20:03:10','2021-01-06 22:19:11',null,'1',null,'0');
INSERT INTO complaints VALUES('3463','MR NAVEED','03005052055','HO#06 ST 12 KRONG TOON ISB','4','7','17776','SAMSUNG','MODAL#65Q70T-MRM SALE ADVISOR MUDASSAR',null,'02-DEC-2020',null,'FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-03 20:27:00','2021-01-16 22:59:34',null,'1',null,'0');
INSERT INTO complaints VALUES('3464','MR ZESHAN','03335548912','HO#144 ST 08 BAHRIA PHASE 02 ISB','5','29','122528','SONY','0',null,'03-OCT-2020','85X8500G-S - 1627','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-03 20:34:22','2021-01-07 19:31:35',null,'1',null,'0');
INSERT INTO complaints VALUES('3465','ZAHID MALIK','03335901510','ST#02 AVIATION COLONY MORA CHAPAR  PSO PUMP RWP','9','22','201651','CARAVELL','MODAL#207BA PTCL CALL INVOICE HAY',null,'06-DEC-2020',null,'WATER DISPENSER','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-03 21:01:11','2021-01-06 21:24:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3466','SHEIKH WASEEM SHAMS','03325218151','HO#162 ST 08 RAWAL TOWN ISB','9','26','158618','HAIER','PTCL CALL INVOICE HAY',null,'22-SEP-2018','438TDB - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-03 21:23:13','2021-01-06 21:08:49',null,'1',null,'0');
INSERT INTO complaints VALUES('3467',null,null,null,'6',null,null,'MIDAS','0000',null,null,'E3 - 760','HEATER','damage +heating issue total 5-piece issue',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-01-03 21:36:45','2021-01-26 21:38:27',null,'1',null,'0');
INSERT INTO complaints VALUES('3468','ASIF JAH','03215170046','HO#06 LANE 12-B DHA PHASE 02 ISB','6','14','21913','CANON','SALE ADVISOR ARSHAD',null,'06-JULY-2019','16D-PLUS - 1030','GEYSER','THERMOSTAT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-03 21:37:10','2021-01-06 20:51:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3469',null,null,null,'6',null,null,'LG','0000',null,null,'512FPS-S - 1653','DISH WASHER','INTERNAL BODY DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-01-03 21:37:27','2021-02-21 11:24:55',null,'1',null,'0');
INSERT INTO complaints VALUES('3470',null,null,null,'6',null,null,'HOMAGE','0000',null,null,'86HWD - 993','WATER DISPENSER','ON/OFF BUTTON ISSUE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-01-03 22:37:22','2021-01-17 02:43:43',null,'1',null,'0');
INSERT INTO complaints VALUES('3471','MR MEHBOOB PARACHA','03219154078','HO#139 ST 05 PHASE 03 BAHRIA TOWN ISB','4','5','9534','DAWLANCE','SALE ADVISOR NAEEM AZEEM',null,'25-JUN-2019','1045CVT-VF - 1467','FREEZER','HANDEL DAMAGE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-01-04 00:09:58','2021-01-06 20:32:34',null,'1',null,'0');
INSERT INTO complaints VALUES('3472','MR TAHIR','03354611677','HO#78 ST MR-04 BLOCK-D CBR TOWN ISB','4','11','8254','HAIER','SALE ADVISOR ALI MURTAZA',null,'07-APR-2019','90-1789HWM - 901','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-04 00:17:18','2021-01-06 20:26:40',null,'1',null,'0');
INSERT INTO complaints VALUES('3473','COL AKHTAR','03055422226','HO#3-B ST 04 FAZAIYA  HOUSING SOCIETY RWP','8','37','37439','ORIENT','SALE ADVISOR RIZWAN ALI',null,'04-NOV-2019','18G-HYPER-SW - 915','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-04 00:25:00','2021-02-21 12:43:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3474','DR WAQAR','03312424210','HO#01 SAKHI STREET  MOHALLA  NADIRABAD  NILORE ISB','8','42','38619','SHARP','0',null,'11-JAN-2020','12HCP-INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-04 00:56:03','2021-01-12 21:15:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3475','MR ZAHID BASHIR','03349686031','HO#107 SEC-A KHAZE COURT MANSEHRA','8','39','33229','HAIER','0',null,'11-APR-2019','18SNF-INV-G - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-04 01:05:30','2021-01-06 20:07:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3476','MR KHAWAR JAVID','03313300321','HO#04 ST 12 SEC-C DHA PHASE 05 ISB','6','14','31716','FIVE STAR','MODAL#35G- TWIN HEAVY SALE ADVISOR BADAL',null,'06-DEC-2020',null,'GEYSER','THERMOSTAT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-04 01:55:12','2021-01-06 19:58:13',null,'1',null,'0');
INSERT INTO complaints VALUES('3477','MR ZAHOOR','03345166057','HO#33 ST 02 SEC G-15/1 ISB','8','37','36209','SAMSUNG','0',null,'10-AUG-2019','11J5710-S - 905','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-04 02:06:38','2021-01-05 23:52:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3478','CH ALI','03063636366','HO#B-1497-A ST 03 YOUSAF COLONY MUSLIM TOWN RWP','9','27','176141','ECOSTAR','PTCL CALL INVOICE HAY',null,'28-JULY-2019','32U571 - 936','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-04 02:18:18','2021-01-08 00:42:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3479','AQEEL RABRANI','03455937847','HO#01 ST 11 SAFARI VILLAS 01 BAHRIA TOWN RWP','4','11','15874','KENWOOD','MODAL#2436S-INV SALE  ADVISOR ALI MURTAZA',null,'13-AUG-2020',null,'AIR CONDITIONER','ERROR S-4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-04 02:28:02','2021-01-06 01:20:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3480','MR IMRAN','03225030814','HO#978 GALI 02 SEC I-10/2 ISB','8','38','35365','MITSUBISHI','SALE ADVISOR AZHAR SDA',null,'07-JULY-2019','50VA - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-04 19:41:50','2021-01-08 00:41:07',null,'1',null,'0');
INSERT INTO complaints VALUES('3481','MR JAVED','03009566563','HO#60 ST#09 SEC -C DHA 02','9','20','130151','SIGNATURE','(COMPLAINT MUDASIR PWD NA FF KI)',null,'29-MAR-2017','SWM-FW1610S - 902','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','3457','74','2021-01-04 20:02:20','2021-02-23 18:08:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3482','MR ZAHID','03340550888','HO#25 ST#16 BLOCK A O9 POLICE FOUNDATION PWD','4','6','11377','FIVE STAR','0',null,'13-N OV-2019','35G-TWIN SUPREME - 963','GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-04 20:27:17','2021-01-08 00:34:22',null,'1',null,'0');
INSERT INTO complaints VALUES('3483','MR KASHIF','03132285032','HO#07 ST 05 SEC-A DHA PHASE 01 ISB','9','19','22047','HAIER','SALE ADVISOR SHAYAAN',null,'02-MAY-2020','24HE03 - 917','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-04 20:38:34','2021-01-08 00:03:11',null,'1',null,'0');
INSERT INTO complaints VALUES('3484','MR ABID','03145088176','HO#27 ST 09 SEC C DHA 02 ISB','4','6','5790','LG','SALE ADVISER SALEEM',null,'29-OCT-2018','65UK6100-S - 1443','FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-04 20:40:24','2021-01-08 01:43:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3485','BRIG RIAZ','03008509889','HO#04 ST#11/A SEC G DHA 02 ISB','4','5','934','SIGNATURE','CELL PHONE INVOICE  B HAIN( INVOICE PED KI HAIN  BUT BILL B.COOL KA HAIN',null,'15-OCT-2017','SRF-HM99 - 908','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','3456','74','2021-01-04 20:44:25','2021-01-05 23:21:39',null,'1',null,'0');
INSERT INTO complaints VALUES('3486','RANA SHAKEEL','03025333398','HO#70 ST#11 ZARAJ HOUSING DHA 02 ISB','6','12','7110','SIGNATURE','ELECTRIC OVEN',null,'15-FEB-2017','25CG - 1731','BUILT IN APPLLIANCES','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-04 20:50:45','2021-01-08 01:42:39',null,'1',null,'0');
INSERT INTO complaints VALUES('3487','ASAD KHATTAK','03425588291','HO#123E ST#109 G-11/3 FIRST FLOOR ISB','5','34','117482','GREE','0',null,'10-JUN-2020','12CITH12G - 913','AIR CONDITIONER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-04 21:00:17','2021-01-07 23:51:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3488','WAQAS AHMED','032151519450','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','24','0','DAWLANCE','AZEEM SAB KI ID SA ENTER HOI  COMPLAINT',null,'0','9000DS - 1553','WASHING MACHINE','DRYER BAISE MISSING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-04 21:21:14','2021-01-07 23:44:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3489','ASHFIQ','03351140093','HO#34-ST#09 SEC N BEHIRA ENCLAVE ISB','9','20','200774','HAIER','18HFCA-G-INV-1146',null,'03-DEC-2020',null,'AIR CONDITIONER','INDOOR LEAKAGE PROB 
ASIF GILL KO B SHER KI COMPLINT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-04 21:28:20','2021-01-16 20:44:56',null,'1',null,'0');
INSERT INTO complaints VALUES('3490','COL YASIR','03225010203','FLAT#G BLOCK 08 3rd FLOOR  WILLOUGH BY LAL KURTI RWP','8','42','17311','SIGNATURE','SALE ADVISOR BADAL',null,'24-NOV-2018','SWM-JD46 - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-04 21:41:30','2021-01-07 19:30:33',null,'1',null,'0');
INSERT INTO complaints VALUES('3491','MR ARSLAN','03155544331','HO#PD-445 ST 06 NEAR CRM SCHOOL SATELLITE TOWN RWP','8','42','45398','HAIER','0',null,'28-DEC-2020','150-1708HWM - 1484','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-04 21:52:32','2021-01-07 23:23:32',null,'1',null,'0');
INSERT INTO complaints VALUES('3492','AHTAM (SHABBIR)','03218500093(03455088035)','HASANABADAL NEAR IMAM BARGA MAIN SKARDU BALTISTAN','9','23','193646','MITSUBISHI','HASSANABDAL S/C FF HOI COMPLAINT(051-4923269)',null,'27-JULY-2020','50VA - 915','AIR CONDITIONER','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-04 22:08:22','2021-02-20 17:56:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3493','COL GULL HAKEEM','03354351556','HO#24-B LANE #02 SEC F DHA 02','6','15','31164','ORIENT','0',null,'03-DEC-2020','531OWR - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-04 22:20:52','2021-01-07 21:50:24',null,'1',null,'0');
INSERT INTO complaints VALUES('3494','RAJA GULFARAZ','03015110101','HO#554 ST#108 I-8/4 ISB','5','31','126673','SONY','55X7500H-CC-1018',null,'06-DEC-2020',null,'FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-04 22:39:07','2021-01-07 19:27:54',null,'1',null,'0');
INSERT INTO complaints VALUES('3495','CH ALI','03063636366','HO#B 4/1497 ST#03 COL YOUSAF COLONY MUSLIM TOWN  R.W.P','9','27','176142','ECOSTAR','0',null,'28-JULY-2019','32U571 - 936','FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-04 23:15:48','2021-01-04 23:56:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3496','MUHAMMAD AHSAN','03335634559','HO#280 A LANE# 1-A JUDICAL COLONY ISB','8','39','20937','GREE','0',null,'04-APRIL-2020','500FC - 993','WATER DISPENSER','TYP LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-04 23:51:33','2021-01-07 21:26:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3497','MR RIMMEL','03475372772','HO#10 MAIN NAZIM-UDDIN ROAD  OPPOSITE  NEAR  UFONE TOWER SEC F-7/1 ISB','9','24','197842','SIGNATURE','MODAL#SWH-20-06',null,'18-OCT-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-05 01:20:13','2021-01-12 01:42:19',null,'1',null,'0');
INSERT INTO complaints VALUES('3498','MR ZAHID BASHIR','03349686031','HO#107 SEC-A KHAZE COURT MANSEHRA','8','39','33229','SIGNATURE','HOB KI COMPLAINT HAY',null,'11-APR-2019','FS75G - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-05 01:20:39','2021-01-05 23:48:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3499','MR SHAHID ALI','03325137408','HO#71/4A ST 105 SEC G-7/4 ISB','5','53','127478','HAIER','0',null,'26-DEC-2020','90-1789HWM - 901','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-05 01:28:38','2021-01-13 21:13:49',null,'1',null,'0');
INSERT INTO complaints VALUES('3500','CH NAEEM','03125776688','LALYAL HOUSE MAIN KRL ROAD JAMAYA MASJID BILAL RWP','9','23','190298','ORIENT','0',null,'10-JUN-2020','12G-BOLD-UW-INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-05 01:39:55','2021-01-07 21:12:24',null,'1',null,'0');
INSERT INTO complaints VALUES('3501','MR BILAL','03315970884','AGHA PARVAZ HOUSE  LANE 02 ST 01 OFFICER COLONY  MASYAL ROAD RWP','9','51','203001','HAIER','0',null,'27-DEC-2020','40K6600G - 938','FLAT PANEL TV','CABAL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-05 01:50:07','2021-01-07 21:13:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3502','HAMMAD FCP','034556104405','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','24','0','CANON','BOV-719',null,'0',null,'BUILT IN APPLLIANCES','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-05 01:54:55','2021-01-23 21:56:31',null,'1',null,'0');
INSERT INTO complaints VALUES('3503','MALIK   SAEED','03335159399','HOSPITAL HARD INTERNATIONAL HOSPITAL RWP','9','51','197335','HAIER','SALE ADVISOR  JAVED',null,'10-OCT-2020','216EBS - 857','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-05 01:57:00','2021-01-07 20:56:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3504','SAMEER ABBASI','03015159006','ABBASI HOUSE  BANI-GALA ROAD  AZAM TOWN IMRAN KHAN CHOCK ISB','8','48','42174','SONY','SALE ADVISOR MALAIKA',null,'01-SEP-2020','RT3 - 1410','SOUND SYSTEMS','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-05 02:10:26','2021-01-13 01:14:35',null,'1',null,'0');
INSERT INTO complaints VALUES('3505','MOHAMMAD TAMAZ KHAN','03465200754','HO#15 D ST#18-G-6/2 ISB','5','33','112878','SIGNATURE','W/M I 10/ S/C',null,'15-DEC-2019','SWM-JD50C - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-05 02:48:19','2021-01-06 21:23:44',null,'1',null,'0');
INSERT INTO complaints VALUES('3506','AZHAR IQBAL','03155182715','HO#K558 ST#03 MILAT COLONY R.W.P','9','19','180998','DAWLANCE','6550DW-57',null,'05-NOV-2019',null,'WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-05 03:20:34','2021-01-07 21:09:42',null,'1',null,'0');
INSERT INTO complaints VALUES('3507','SHAHID SALIM KHAN','03005000423','HO#170 ST 11 BAHRIA TOWN PHASE 1 ISB','8','37','23860','SONY','MODAL#75X8000H- CC INVOICE HEAD OFFICE SAY AYI HAY(YHA COMPLAINT KHALID SAB NA NA ATTEND KI USMAN MRM NA ATTEND KI COMPLAINTTASK#3128',null,'27-NOV-2020',null,'FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-05 03:25:36','2021-01-05 23:46:59',null,'1',null,'0');
INSERT INTO complaints VALUES('3508','SYED FURQAN SHAH','03332383639','HO#207 ST 09 BLOCK-A NATIONAL POLICE  FOUNDATION O-9 ISB','4','6','15154','HAIER','SALE ADVISOR SALEEM',null,'09-JULY-2020','18HFCE-W-INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-05 19:40:41','2021-01-13 20:57:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3509','MR TARIQ','03219547123','HO#CB-1117 YASIR STREET AFSHYAN COLONY RWP CANTT','9','23','202661','WHIRLPOOL','MODAL#30WC',null,'21-DEC-2020',null,'MICROWAVE OVEN','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-05 19:52:25','2021-01-17 00:29:55',null,'1',null,'0');
INSERT INTO complaints VALUES('3510','SAJJAD HUSSAIN','03342881402','HO#360-A ST 18-A GHOURI TOWN PHASE 4-A ISB','8','47','24061','KENWOOD','ABDUL-REHMAN  HEAD OFFICE NAY COMPLAINT KI HAY',null,'02-JAN-2021','1226S-HC - 913','AIR CONDITIONER','ERROR L1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-05 20:15:57','2021-01-17 00:12:54',null,'1',null,'0');
INSERT INTO complaints VALUES('3511','MISS SAIRA HOTI','03013111031','HO#88 MAIN MARGALLA ROAD SEC F-6/2 ISB','5','28','2274','SIGNATURE','PTCL CALL INVOICE HAY SALE ADVISOR RIZWAN',null,'14-AUG-2016','JX1-GR - 1708','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-05 20:44:55','2021-01-07 23:58:45',null,'1',null,'0');
INSERT INTO complaints VALUES('3512','MR RAZA','03025277512','UK ELECTRONICS  AZAD KASHMIR','9','19','202659','ECOSTAR','MODAL#55UD960-988 SALE ADVISOR IMRAN SAQIB FCP SIR NAY COMPLAINT BAJI HAY',null,'21-DEC-2020',null,'FLAT PANEL TV','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-05 21:30:28','2021-01-17 00:33:07',null,'1',null,'0');
INSERT INTO complaints VALUES('3513','HASSAN ALI BHATTI','03215259676','HO#4512-A GOWAL MANDHI DARYA BAKH NEAR KHAN BAKHRI RWP','9','23','165249','FIVE STAR','COMPLAINT SAQIB FCP NAY BAJI HAY',null,'27-JAN-2019','666C-FS - 1077','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-05 21:40:12','2021-01-09 01:21:58',null,'1',null,'0');
INSERT INTO complaints VALUES('3514','ISLAMABADA CLUB','03335286072(03005803146)','ISLAMABAD CLUB NEAR KASHMIR CHOWK','8','47','24029','FISCHER','0',null,'24-DEC-2020','80GF - 989','WATER COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-05 21:40:48','2021-01-24 00:06:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3515','MR ZAIN','03360557685','HO#11 ST 108 JINNAH GARDEN PHASE 1 ISB','8','37','11822','HOMAGE','SALE ADVISOR MISC',null,'12-DEC-2019','87HWD - 993','WATER DISPENSER','LEAKAGE  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-05 21:48:57','2021-01-09 01:03:16',null,'1',null,'0');
INSERT INTO complaints VALUES('3516','AFZAL MALIK','03335474465','PURCHASE DEPARTMENT AMSON VACCINE &PHARMA MEAR BURGI STOP (SARAN MORE)INDUSTRIAL TRIANGLE MODEL TOWN ISB','9','20','196940','CARAVELL','0',null,'01-OCT-2020','5L-807-WD - 126','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-05 22:09:14','2021-01-21 00:57:59',null,'1',null,'0');
INSERT INTO complaints VALUES('3517','BRIG RIAZ','03008509889','HO#04 ST#11/A SEC G DHA 02 ISB','4','5','934','SIGNATURE','CELL PHONE INVOICE  B HAIN( INVOICE PED KI HAIN  BUT BILL B.COOL KA HAIN',null,'15-OCT-2017','SRF-HM99 - 908','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','3485','74','2021-01-05 23:18:55','2021-01-19 00:46:41',null,'1',null,'0');
INSERT INTO complaints VALUES('3518','QAMAR NAWAZ','03005128321','HO#140-A ST 34 SEC F-10/1 ISB','5','32','123152','SONY','MODAL#55X8000H-CC',null,'21-OCT-2020',null,'FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 00:30:43','2021-01-10 22:05:35',null,'1',null,'0');
INSERT INTO complaints VALUES('3519','M. NAVEED','03365503281','HO#641 ST#02 G-9/2 ISB','5','28','119707','GREE','SALE ADVISOR ABU BAKAR',null,'24-JULY-2020','8768EG-CR1 - 884','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 01:07:33','2021-01-18 21:22:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3520','MR KASHIF ASHRAF','03336986320','HO#701 ST 05 SEC-C BAHRIA TOWN PHASE 08 RWP','4','6','5991','SIGNATURE','SALE ADVISOR NAVEED',null,'11-NOV-2018','40DN6 - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 01:22:47','2021-01-13 23:22:32',null,'1',null,'0');
INSERT INTO complaints VALUES('3521','MISS FATIMA','03335553150','HO#79/4 ST 32 SEC F-6/1 ISB','5','53','124935','ORIENT','0',null,'01-DEC-2020','355GRAND-HSL - 884','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 01:44:03','2021-01-08 21:03:36',null,'1',null,'0');
INSERT INTO complaints VALUES('3522','MR ZAHID','03474988363','DAKHANA SOHAN KURI ROAD NEW IQBAL TOWN ISB','8','47','24055','SUPER ASIA','SALE ADVISOR IFTIKHAR HUSSAIN IQBAL KRL NAY COMPLAINT BAJI HAY',null,'31-DEC-2020','280SA-CRYSTAL - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 02:09:19','2021-01-08 20:58:16',null,'1',null,'0');
INSERT INTO complaints VALUES('3523','MR JAVED','03359899677','HO#834 ST 20 OVERSEAS 6 BAHRIA FACE  8 RWP','6','13','23531','TCL','SALE ADVISOR BADAL 1906VRL.300879A-00-102',null,'17-OCT-2019','43S6500 - 869','FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 02:24:11','2021-01-08 20:37:33',null,'1',null,'0');
INSERT INTO complaints VALUES('3524','MR FAISAL AHMED','03046664535','HO#1845-W ST 18/2 BLOCK -B SEC 0/9 ISB','4','11','9225','ORIENT','SALE ADVISOR NAEEM AZEEM',null,'09-JUN-2019','529BL - 128','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 02:36:21','2021-02-03 22:20:47',null,'1',null,'0');
INSERT INTO complaints VALUES('3525','MISS MAHRUKH AHMED','03337195060','HO#29 ST 01 SEC-E  DHA 01 ISB','6','15','25759','ARISTON','0',null,'21-JAN-2020','4528 - 1192','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 02:41:51','2021-01-23 23:55:59',null,'1',null,'0');
INSERT INTO complaints VALUES('3526','MR SABEEL','03326664424','HO#CB-740 LANE 05 QUBBA MARKEET HASEEB STREET PESHAWAR ROAD RWP','5','36','127274','SIGNATURE','HOB KI COMPLAINT HAY',null,'19-DEC-2020','HC-5900G - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 02:49:28','2021-01-12 01:41:24',null,'1',null,'0');
INSERT INTO complaints VALUES('3527','MALIK WAQAR','03138511891','VILLAGE JHAND  ATTOCK','8','37','16398','SIGNATURE','SALE ADVISOR ZAHID',null,'28-FEB-2018','SWM-JD46 - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 03:04:59','2021-02-12 11:31:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3528','DR MAUDAT RANA','03215214425','HO#10017-A KURSHEED ALAM STREET VESTIGE 01 RWP','8','37','0','SIGNATURE','NAEEM SIR NAY COMPLAINT BAJI HAY',null,'2-YEAR AGO',null,'WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 03:18:26','2021-01-08 21:06:47',null,'1',null,'0');
INSERT INTO complaints VALUES('3529','RIZWAN BAHRIA 7','03126661934','FRIEND CORPORATION PHASE 7','6','12','30700','MIDAS','3 HEATER KI COMPLAINT HAY SHOWROOM PAR VISIT KARNA HAY',null,'26-NOV-2020','E3 - 760','HEATER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 03:29:58','2021-01-26 21:30:56',null,'1',null,'0');
INSERT INTO complaints VALUES('3530','MR IFTAKHAR','03315283025','JAN SHADI HALL GULRAZ CHOKI SCREEM 03 RWP','8','37','22533','CANON','SALE ADVISOR ZAHID ATIF SADAR NAY COMPLAINT KARWE HAY',null,'06-DEC-2020','16D-PLUS-DUAL - 1030','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 03:43:23','2021-01-08 20:25:03',null,'1',null,'0');
INSERT INTO complaints VALUES('3531','FAHEEM KHAN','03208580000','VILLAGE BEDRASHI SALOMAN KHEL NOSHERA','6','13','31063','CANON','SALE ADVISOR RIZWAN ALI',null,'02-DEC-2020','16D-PLUS-DUAL - 1030','GEYSER','LEAKAGE  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 20:00:29','2021-02-20 18:01:22',null,'1',null,'0');
INSERT INTO complaints VALUES('3532','WALEED BABAR','03315668965','HO#393 ST 03 SEC 03 AIR PORT HOUSING SOCIETY RWP','8','39','2-217','SAMSUNG','0',null,'03-DEC-2020','70H4200-S - 1483','WASHING MACHINE','DRYER  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 20:10:54','2021-01-09 21:07:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3533','MRS IJAZ','03005352715','BONAER HOUSE  ST 01 ALI KHAN TOWN ABOTTABAD','8','38','26841','LG','0',null,'09-APR-2018','1452S - 34','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 20:19:35','2021-05-03 12:52:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3534','MALIK ADIL','03155950617','PUNJAB BANK WALI GALLI KERGA ROAD DHOK SAIDAYN RWP','9','51','198360','SIGNATURE','COMPLAINT SAQIB FCP NAY BAJI HAY',null,'28-OCT-2020','SSB-X555MT - 1410','SOUND SYSTEMS','BLUETOOTH ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 20:29:01','2021-01-23 00:21:59',null,'1',null,'0');
INSERT INTO complaints VALUES('3535','MAHMOOD RIAZ','03429457498','MOHALA CHAHAT TASEEL ROAD KAHUTA RWP','9','23','147577','SIGNATURE','0',null,'19-FEB-2018','SWM-SR45 - 899','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 20:38:55','2021-01-09 20:47:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3536','MR FAISAL MOEEN','03160566138','HO#1682 ST 60 PHASE 3 BAHRIA TOWN','4','8','16472','HAIER','0',null,'27-SEP-2020','70-10829HW - 1548','WASHING MACHINE','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 20:46:16','2021-01-10 02:25:10',null,'1',null,'0');
INSERT INTO complaints VALUES('3537','MR SHERAZ','03345052343','HO#H-293 ST 08 COMMETIE CHOK RWP','9','51','159550','TCL','1805VLR300528A00611  PTCL CALL INVOICE HAY',null,'14-OCT-2018','32D3000 - 936','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 20:58:02','2021-01-30 22:09:13',null,'1',null,'0');
INSERT INTO complaints VALUES('3538','MR AWAIS','03305276591','HO#949 GALI#02 AFSHAN COLONY DHOK CHODEREYAN CHOWK RWP','9','20','203104','SUPER ASIA','MODAL#240SHW  PTCL CALL INVOICE HAY',null,'29-DEC-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 21:31:46','2021-01-10 22:04:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3539','HAJI MR AHCREEN','03225435019','HO#123 ST 13 PHASE 01 MARGALA TOWN ISB','8','38','33043','SIGNATURE','0',null,'03-APR-2019','SWD-HD10-GR - 994','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 22:31:50','2021-01-12 20:15:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3540','MR SARFARAZ AHMED MALIK','03034579900','HO#911 ST 32 BAHRIA TOWN PHASE 02 ISB','6','15','29998','FIVE STAR','MODAL#999MC SALE ADVISOR RIZWAN ALI',null,'12-OCT-2020',null,'COOKING RANGE','BURNER  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 22:39:02','2021-01-16 22:34:32',null,'1',null,'0');
INSERT INTO complaints VALUES('3541','MR NOUMAN','03025088660','SEC 03 DARUL TOHEED MASJID DADYAL AZAD KASHMIR','8','38','42426','CARAVELL','MODAL#204B-2026',null,'15-SEP-2020',null,'WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-06 22:52:33','2021-01-21 22:25:44',null,'1',null,'0');
INSERT INTO complaints VALUES('3542','MR SHAHID','03235235958','HO#394 ST 103 SEC I-8/4 ISB','9','23','202684','LG','MODAL#1788NEHTE-C',null,'22-DEC-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-07 00:14:30','2021-01-12 01:40:39',null,'1',null,'0');
INSERT INTO complaints VALUES('3543','MR NADEEM','03005551311','HO#15 ST 60 SEC G-13/2 ISB','5','34','112760','BOSCH','SALE ADVISOR GHIAS KHAN',null,'15-DEC-2019','24260GC - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'92','2021-01-07 00:15:36','2021-03-04 13:32:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3544','MR UMER KHAN','03189022699','HO#28 ST 05 SEC D-17 ISB','8','42','38565','PANASONIC','0',null,'07-JAN-2020','22AWTXJ - 251','DOMESTIC APPLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-07 00:18:01','2021-01-08 00:00:20',null,'1',null,'0');
INSERT INTO complaints VALUES('3545','MR KHURAM','03335183075','RWP','8','42','44397','BRAUN','FHHS SHARYAR SIR NAY COMPLAINT BAJI HAY',null,'05-DEC-2020','3050CJ - 1496','DOMESTIC APPLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-07 00:18:12','2021-01-08 02:11:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3546','CH M. ASLAM','03085550011','HO#360 ST#33 F11/2','8','37','0','HAIER','C/O  SADDIQ SAB',null,'0',null,'WASHING MACHINE','SHOOK PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-07 00:21:36','2021-01-11 21:27:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3547','SYED QABOOS  AZIZ','03335117873','HO#11 ST#12 SEC A BEHIRA ENCLAVE','5','28','116481','BOSCH','CELL PHONE PA CALL AAI(INVOICE B HAIN)',null,'19-MAR-2020','24210GC - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-07 00:32:57','2021-01-10 01:30:22',null,'1',null,'0');
INSERT INTO complaints VALUES('3548','MR ABDUL BASIT','03005111030','ST 24 MASYAL ROAD CHAMNABAD RWP','4','6','22397','DAWLANCE','PTCL CALL INVOICE HAY',null,'03-DEC-2020','115CHZP - 961','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-07 00:36:35','2021-01-09 21:05:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3549','MR SHARAFAT HUSSAIN','03135560847','NOOR MEDICAL CENTER AND FOR MACI NEAR FAZLAY RABI BAKER ALNOOR COLONY KHANA ROAD RWP','9','24','196289','CARAVELL','0',null,'16-SEP-2020','450MEC - 1651','CHILLER','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-07 00:47:18','2021-01-12 20:51:49',null,'1',null,'0');
INSERT INTO complaints VALUES('3550','MR ARSHAD MEHMOOD','03345131850','HO#04 ST 15 COL AMANULHA ROAD NEAR AL JAWAD MASJID MNGO TOWN BHARA KOH ISB','5','31','123869','HAIER','0',null,'12-NOV-2020','120-1789HWM - 906','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-07 01:11:28','2021-01-09 20:52:03',null,'1',null,'0');
INSERT INTO complaints VALUES('3551','MR SUFYAN KHURSHEED','03108555491','HO#09 ST 91 SEC G-13/1 ISB','8','37','137532','SIGNATURE','PTCL CALL INVOICE HAY',null,'16-JULY-2017','SWM-SR50 - 905','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-07 01:24:26','2021-01-09 20:39:34',null,'1',null,'0');
INSERT INTO complaints VALUES('3552','COL ULFAT RASUL','03216955356','HO#21 LANE 02 ASKARI 10 RWP','7','49','21132','GREE','SALE ADVISOR ZAHID',null,'09-JUN-2020','500FS - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-07 01:37:36','2021-01-22 01:12:49',null,'1',null,'0');
INSERT INTO complaints VALUES('3553','WAQAR SYED','03340556899','HO#303F/2 LANE 03 PESHAWER ROAD RWP CANTT','7','49','4246','SAMSUNG','MODAL#32EH4000-1',null,'11-JAN-2013',null,'FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-07 03:34:52','2021-01-08 02:09:47',null,'1',null,'0');
INSERT INTO complaints VALUES('3554','COL AZHAR','03341113582(03008527819)','HO#26 ST#13 SEC H LANE 05 DHA 02','8','37','0','FOTILE','C/O  SADDIQ SAB(OUT OFF WARRANTY )',null,'0',null,'BUILT IN APPLLIANCES','SERVICES REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-07 03:38:17','2021-01-12 01:40:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3555','MR UMAR','03215200060','HO#500 FOOT HILL STREE BAHRIA TOWN PHASE 07','9','27','203393','LG','MODAL#1788NEHTE-C',null,'04-JAN-2021',null,'WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-07 03:49:04','2021-01-29 21:45:54',null,'1',null,'0');
INSERT INTO complaints VALUES('3556','MR ALI','03218129586','HO#11 DARULSALIKEEN SOHAN VILLAGE ISB','8','37','20423','SIGNATURE','0',null,'29-JAN-2017','SWM-SR45 - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-07 20:25:36','2021-01-12 01:38:55',null,'1',null,'0');
INSERT INTO complaints VALUES('3557','MR AZHAR','03365099990','NEW CITY PHASE 02 OPPOSITE BURGER KING WAH CANTT','8','37','25211','ECOSTAR','02 TV KI COMPLAINT HAY  SALE ADVISOR AZHAR SDA',null,'18-DEC-2017','49U571 - 1629','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-07 20:55:51','2021-01-18 21:29:11',null,'1',null,'0');
INSERT INTO complaints VALUES('3558','MR PASHA','03465407632','HO#1187 ST 47 PHASE 3 BAHRIA TOWN ISB','4','6','17076','HOMAGE','SALE ADVISOR AZHAR',null,'08-NOV-2020','84HWD - 993','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-07 21:06:24','2021-01-12 01:49:08',null,'1',null,'0');
INSERT INTO complaints VALUES('3559','SYED FAHAD HASSAN','03045179999','HO#17 ST 31 SEC G-6/2 ISB','5','32','21258','BOSCH','SALE ADVISOR SHAYYAN',null,'15-APR-2020','50D08GC - 1060','DISH WASHER','ERROR E9',null,'5','COMPLAINT CLOSED','COMPLAINT RESOLVED','customer','0',null,'92','2021-01-07 21:21:38','2021-02-24 17:59:47',null,'1',null,'0');
INSERT INTO complaints VALUES('3560','WAQAS FCP','03215151945','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','24','0','DAWLANCE','MODAL#9191',null,'0',null,'REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-07 21:50:17','2021-01-12 01:28:43',null,'1',null,'0');
INSERT INTO complaints VALUES('3561','DR SHAHID','03332280648','HO#216 ST 32 SEC I-8/2 ISB','8','37','26473','LG','0',null,'19-MAR-2018','49UJ752V-C - 1629','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-07 22:01:46','2021-02-23 17:17:01',null,'1',null,'0');
INSERT INTO complaints VALUES('3562','ARIF KHOKHAR','03005332386','H NO 1/3C GALI 38 SEC G/7-2 ISB','5','35','121485','GREE','0',null,'03-SEP-2020','8768EG-CB2 - 884','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-07 23:19:10','2021-02-20 18:08:08',null,'1',null,'0');
INSERT INTO complaints VALUES('3563','MR ASLAM','03008506201','HO#287/30 MADENA TOWN ST 01 MUREE ROAD RWP','8','42','40809','TCL','1910VLR300964A00124',null,'06-JULY-2020','55P8M - 942','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-07 23:35:33','2021-02-02 20:07:30',null,'1',null,'0');
INSERT INTO complaints VALUES('3564','MR SALAHUDDIN','03212508111','HO#235 ST 54 SEC I-8/3 ISB','8','42','38551','SAMSUNG','0',null,'06-JAN-2020','11J5710-S - 905','WASHING MACHINE','DRYER ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-01-07 23:45:57','2021-01-13 23:18:38',null,'1',null,'0');
INSERT INTO complaints VALUES('3565','MISS TAYYBA','03068176911','HO#CB228 IQBAL STREET HAJI SHEER KHAN COLONY DHMAL ROAD RWP CANTT','7','49','22142','SUPER ASIA','SALE ADVISOR ZAHID',null,'12-NOV-2020','106GH(NG) - 1029','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-07 23:57:57','2021-01-12 00:32:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3566','TANVEER USMAN','03335833931','HO#15 ST 19 SEC C3 BAHRIA ENCLAVE ISB','5','33','112737','SHARP','0',null,'15-DEC-2019','18HCP-INV - 915','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-08 00:15:18','2021-01-11 23:44:40',null,'1',null,'0');
INSERT INTO complaints VALUES('3567','MR BILAL','03009716028  03088881557','MEER HOUSE NEAR NALOCHI PULL MUZAFRA BAD AZAD KASHMIR','9','23','201551','MITSUBISHI','0',null,'06-DEC-2020','50VA - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-08 00:33:24','2021-02-22 15:32:40',null,'1',null,'0');
INSERT INTO complaints VALUES('3568','RIZWAN BAHRIA 7','03126661934','FRIEND CORPORATION PHASE 7','6','12','0','FIVE STAR','MODAL#29FG',null,'0',null,'BUILT IN APPLLIANCES','GLASS DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-08 00:41:42','2021-03-16 18:02:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3569','MR ASIF','0512311417  03009111929','HO#02 ST 07 SEC H DHA 02 ISB','9','23','112380','SAMSUNG','SALE ADVISOR MUDASSAR  HAMMAD FCP SIR NAY COMPLAINT KARWAI HAY',null,'03-APR-2016','64H5350GT - 885','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-08 01:20:32','2021-01-12 20:14:56',null,'1',null,'0');
INSERT INTO complaints VALUES('3570','MR USMAN','03427613921','HO#42 ST 03 PHASE 03 BAHRIA TOWN ISB','4','5','17730','SONY','MODAL#75X8000H- CC  SALE ADVISOR AZHAR',null,'02-DEC-2020',null,'FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-08 01:28:14','2021-01-29 21:29:36',null,'1',null,'0');
INSERT INTO complaints VALUES('3571','COL SOHAIL','03219067798 03215165954','HO#17 LANE 10 SEC A DHA 02 ISB','6','14','26280','SAMSUNG','SALE ADVISOR BADAL FCI',null,'24-FEB-2020','43RU7100-P - 869','FLAT PANEL TV','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-08 01:51:39','2021-01-12 20:11:05',null,'1',null,'0');
INSERT INTO complaints VALUES('3572','DR ARSALAN HAFEEZ','03348662120  0512714646','HO#517 BLOCK 03 BAHRIA PHASE 8 OVERSEAS RWP',null,null,'0','BOSCH','SADDIQ SAB NAY COMPLAINT BAJI HAY',null,'2-MONTH-AGO',null,'WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-08 02:02:51','2021-01-08 02:02:51',null,'1',null,'0');
INSERT INTO complaints VALUES('3573','MISS SIDRA','03025335353  03035003223','HO#43 ORCHARD SCHEME MUREE ROAD ISB','6','12','27671','HAIER','0',null,'10-JUN-2020','12HTR-W - 912','AIR CONDITIONER','ERROR E1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-08 02:24:31','2021-01-11 22:20:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3574','MAKEEN SEHBAZ','03335363901','HO#17 ST 17 SEC A DHA PHASE 01 ISB','8','37','72189','MITSUBISHI','MODAL#51X-52 PTCL CALL INVOICE HAY',null,'25-OCT-2012',null,'REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-08 02:31:54','2021-01-14 00:19:35',null,'1',null,'0');
INSERT INTO complaints VALUES('3575','SHAMIM KHAN','03208557555','HO#253 ST#05 GHULNAR COLONY ASKRI 11 R.W.P','9','21','89210','MITSUBISHI','0',null,'17-MAR-2014','62XS - 903','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-08 20:31:07','2021-01-11 22:17:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3576','MISS  AZRA','03229016858','HO# I-64 ST#30 -A I 10/4 ISB','7','49','116756','TCL','1910VLR300964A0003',null,'20-MAY-2020','55P8M - 942','FLAT PANEL TV','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-08 20:44:17','2021-01-23 22:29:20',null,'1',null,'0');
INSERT INTO complaints VALUES('3577','BILAL','03035811553','HOUSE SHER DIL AVENUE KHANA ROAD R.W.P','5','35','122827','CANON','0',null,'13-OCT-2020','16D-PLUS - 1030','GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-08 21:09:43','2021-01-19 02:41:27',null,'1',null,'0');
INSERT INTO complaints VALUES('3578','KASHIF','03005101659','HO# B4-360 MUSLIM TOWN R.W.P','9','24','186700','HAIER','0',null,'09-FEB-2020','120-1678HWM - 906','WASHING MACHINE','NO POWER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-08 21:35:40','2021-01-11 21:51:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3579','GULRAIZ','03335288828','VILLAGE  KHOR THE PINDI GHEB ZILHA ATTOCK','9','23','203297','HAIER','0',null,'02-JAN-2021','120-1678HWM - 906','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-08 21:42:45','2021-01-19 02:33:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3580','SRILANKA  THE HIGH COMMISSION','03330554284','THE HIGH COMMISSION OF SRI LANKA ISB','5','29','105026','TCL','1903VLR300816A00002(CELL PHONE COMPLAINT INVOICE B HAIN)',null,'20-MAY-2019','43S6500 - 869','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-08 22:15:45','2021-02-04 13:12:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3581','ABDUL RAHEEM','03005105565','HO #617-B ST#60 G-6/1-2 ISB','5','30','112109','SIGNATURE','0',null,'14-DEC-2019','SGG-1704G - 1029','GEYSER','NO POWER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-08 23:49:07','2021-01-23 00:21:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3582','YOUSAF','03422078209','HO#68 ST# 5 SEC E SAFARI HOMES BEHIRA PHASE 08','6','14','30596','HAIER','0',null,'21-NOV-2020','438IDRT - 896','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-08 23:57:22','2021-01-13 01:27:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3583','CAP ALMAS','03215654113','HO#01 ST#48 F-8/4 ISB','5','29','118509','KENWOOD','0',null,'01-JULY-2020','2435S-INV - 917','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-09 00:01:49','2021-02-16 16:41:58',null,'1',null,'0');
INSERT INTO complaints VALUES('3584','USMAN','033255551169','HO#948 F ST#16 DHERI HASSANABAD TAHLIMORI R.W.P','9','51','202254','SAMSUNG','40N5300-703',null,'14-DEC-2020',null,'FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-09 00:09:32','2021-02-23 17:16:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3585','ABU BAKAR (FCI)','03365122695','FRIENDS CORPORATION BULE AREA ISB','5','28','111726','SHARP','C/O ABU BAKAR FCI',null,'11-DEC-2019','562CT - 1602','MICROWAVE OVEN','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-09 00:24:48','2021-01-13 23:54:54',null,'1',null,'0');
INSERT INTO complaints VALUES('3586','ARIF ASLAM','03215198357(03057102920)','HO#233-C ST#14 BLOCK C GULBARG GREEN ISB','5','30','124503','LG','0',null,'27-NOV-2020','512FPS-S - 1653','DISH WASHER','ERROR A E',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-09 00:48:22','2021-01-13 21:21:07',null,'1',null,'0');
INSERT INTO complaints VALUES('3587','HUNAIN','03032003339','HO#83 ST#03 G-10/3','4','10','372','GREE','0',null,'06-MAY-2020','18FITH1S - 915','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-09 01:43:41','2021-01-11 20:29:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3588','TAHIR LATIF','03030546862','HO#J-3/1 LAQAT BAKH NEAR PSO PUMP RWP','9','26','199810','FIVE STAR','MODAL#40WS',null,'25-NOV-2020',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-09 21:11:19','2021-01-16 22:02:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3589','SYED ZAYER HASAN','03455227218','HO#65 ST 2 ASKRI 13 ISB','9','51','199739','LG','MODAL#65UN7440-S SAQIB FCP',null,'24-NOV-2020',null,'FLAT PANEL TV','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-09 21:21:35','2021-03-06 13:00:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3590','MR ZAHID','03215306077','HO#17 ST POWER EVERNEW  SEC-E DHA 02 ISB','8','38','43254','SONY','NAVEED FCP SIR NAY COMPLAINT KAR WAI HAY',null,'28-OCT-2020','49W800G-CC - 1629','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-09 21:29:38','2021-01-21 01:31:18',null,'1',null,'0');
INSERT INTO complaints VALUES('3591','DR JAHAN ZEB DURRANI','03335102222','HO#267-A ST 53 SEC F-10/4 ISB','5','28','0','SIGNATURE','NAEEM SIR NAY COMPLAINT BAJI HAY',null,'06 MONTH AGO',null,'FREEZER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-09 21:33:20','2021-01-10 01:34:41',null,'1',null,'0');
INSERT INTO complaints VALUES('3592','MH IFTEKHAR AZIZ','03350536666','HO#6 ST 8 SEC C MUSIC PARK BHARIA ENCLAVE ISB','5','31','123115','FIVE STAR','03 GEYSER KI COMPLAINT HAY',null,'20-OCT-2020','35G-TWIN SUPREME - 963','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-09 21:42:36','2021-01-17 00:39:13',null,'1',null,'0');
INSERT INTO complaints VALUES('3593','MR QAISAR','03215095083','HO#112 ST 85 SEC G-8/1 ISB','5','35','127328','HAIER','AZHAR RAMZAN SIR NAY COMPLAINT BAJI HAY',null,'21-DEC-2020','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 00:02:42','2021-01-13 00:08:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3594','DR ABDUL BASIT','03335672009','HO#45 ST 02 MADINA TOWN EXPRESS WAY NEAR SADDIQ PUBLIC SCHOOL ISB','5','28','124817','SIGNATURE','MODAL#SWH-20-10',null,'01-DEC-2020',null,'GEYSER','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 00:14:13','2021-01-16 22:02:10',null,'1',null,'0');
INSERT INTO complaints VALUES('3595','DR MUBARAK SHAH','03444430004','HO#485 FOOT HILL ROAD PHASE 07 ISB','6','12','24275','FIVE STAR','0',null,'05-DEC-2019','55G-TWIN-SUPREME - 1538','GEYSER','THERMOSTAT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 00:22:28','2021-01-12 23:41:19',null,'1',null,'0');
INSERT INTO complaints VALUES('3596','DR JAHAN ZEB DURRANI','03335102222','Address HO#267-A ST 53 SEC F-10/4 ISB','5','28','0','SIGNATURE','NAEEM SIR NAY COMPLAINT BAJI HAY',null,'06 MONTH AGO',null,'FREEZER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 00:29:54','2021-01-16 22:01:31',null,'1',null,'0');
INSERT INTO complaints VALUES('3597','ASAD ALI','03060122333','JAN SHADI HALL CHAKLALA  SCREEM 03 RWP','4','11','15155','KENWOOD','SALE ADVISOR ALI MURTAZA',null,'09-JULY-2020','1012SA-PPG - 902','WASHING MACHINE','TIMER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 00:50:52','2021-01-12 21:26:56',null,'1',null,'0');
INSERT INTO complaints VALUES('3598','MR ANSARI','03018555581','HO#41 ST 26 SEC F-6/2 ISB','8','39','45580','FIVE STAR','MODAL#35G- TWIN HEAVY',null,'06-JAN-2021',null,'GEYSER','THERMOSTAT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 00:57:11','2021-01-12 01:38:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3599','COL FAISAL','03341546668  03341057774','HO#557 ST 30 SEC F  PHASE 01 ISB','6','14','12405','SIGNATURE','SALE ADVISOR BADAL',null,'18-JAN-2018','SWM-SR40 - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 01:13:45','2021-01-12 01:37:49',null,'1',null,'0');
INSERT INTO complaints VALUES('3600','BRIG AZIZ','03215515514  03005154396','HO#65 HARLEY STREET RWP CANTT','6','13','32461','ORIENT','SALE ADVISOR ZARA',null,'04-JAN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','NETWORK ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 01:24:08','2021-01-13 22:26:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3601','DR MOHSIN','03335191622','FORM#37 ST 01 TARLAHI ISB','8','38','34034','LG','0',null,'19-MAY-2019','8566NEHVF-S - 899','WASHING MACHINE','SPINNER  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 01:29:02','2021-01-28 22:55:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3602','MR AMIN','03008554836','HO#258 ST 40 SEC F-10/4 ISB','5','32','110680','LG','0',null,'07-NOV-2019','1366NEFTFS-C - 907','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 01:56:43','2021-01-29 21:28:01',null,'1',null,'0');
INSERT INTO complaints VALUES('3603','MR FAISAL','03366420420','HO#474 LANE 06 RANGE ROAD NEW AFSHAN COLONY DAHARA LINE RWP','4','6','13178','HAIER','0',null,'15-FEB-2020','85-1708HWM - 945','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 01:58:43','2021-01-12 20:46:05',null,'1',null,'0');
INSERT INTO complaints VALUES('3604','MR MANSOOR','03328119944','HO#34 PARK ROAD SEC F-8/2 ISB','5','35','123593','SIGNATURE','0',null,'04-NOV-2020','SBO-AR4R - 1124','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 02:17:31','2021-01-15 23:26:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3605','MR AHMAD BILAL','03215620218   03025066070','HO#18F ASKARI 01 SCHEME 03 RWP','4','8','9686','HAIER','0',null,'04-JULY-2019','285SD - 956','FREEZER','THERMOSTAT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 02:28:55','2021-01-16 20:57:44',null,'1',null,'0');
INSERT INTO complaints VALUES('3606','MR SHARYAR FCP','03403339965','FRIEND CORPORATION GUL NOOR MARKIT RWP','8','37','44251','CORONA','SHARYAR FHHS SIR NAY COMPLAINT BAJI HAY',null,'04-DEC-2020','410 - 53','HEATER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 02:36:57','2021-01-19 01:50:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3607','AJAM KHAN','03002008364','HO#46 ST 11 HAMLET PHASE 08 BAHRIA TOWN RWP','4','6','12927','SAMSUNG','SALE ADVISOR WALEED',null,'26-JAN-2020','55Q60-MRM - 942','FLAT PANEL TV','SCREEN LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 02:52:06','2021-01-23 00:20:24',null,'1',null,'0');
INSERT INTO complaints VALUES('3608','ROBINA SHAFIQUE','03335563002','HO#P273  MOHALA BANI NEAR  ROSHAN BAKRI RWP','9','26','171208','SUPER ASIA','MODAL#240SHW',null,'14-MAY-2019',null,'WASHING MACHINE','NOT WORKING',null,'5','completed',null,'customer','0',null,'92','2021-01-10 19:35:48','2021-01-28 00:21:03',null,'1',null,'0');
INSERT INTO complaints VALUES('3609','MRS  IHSAN','03335245952','HO#6 ASKARI 7 ADYALA ROAD RWP','4','6','19070','CANON','SALE ADVISOR SALEEM',null,'07-JAN-2021','804 - 1051','HEATER','PLATE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 19:46:00','2021-01-19 01:27:34',null,'1',null,'0');
INSERT INTO complaints VALUES('3610','MR SHUJA UR REHMAN','03005216038  03215020594','FLAT#214 SOHAN APP KHALID BIN WALEED MASJID SOHAN ISB','8','42','43845','HAIER','0',null,'30-NOV-2020','368IDBT - 860','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 20:12:06','2021-01-13 20:34:20',null,'1',null,'0');
INSERT INTO complaints VALUES('3611','MISS AZRA','03315239767  03229016858','HO#I-64 ST 30-A SEC I-10/4 ISB','5','34','116756','TCL','0',null,'28-MAY-2020','55P8M - 942','FLAT PANEL TV','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 20:18:02','2021-02-20 18:10:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3612','MR SAMI UD DIN AHMED','03455157615','HO#23 KHYBER ROAD BLOCK B SOHAN GARDEN ISB','4','8','603','TCL','SALE ADVISOR NAEEM AZEEM',null,'14-OCT-2017','32S4900 - 936','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 20:35:42','2021-01-21 23:01:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3613','SYED  IMRAN  SHAH','03215823358','HO#10 ST 09 SAFARI BLOCK KORANG TOWN RWP','4','7','2163','SIGNATURE','SALE ADVISOR SALEEM',null,'31-DEC-2017','SWM-SR45 - 899','WASHING MACHINE','DRYER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 20:55:33','2021-01-12 01:37:07',null,'1',null,'0');
INSERT INTO complaints VALUES('3614','RANA ABDUL RASHEED','03215567448','HO#06 ST 8-F BLOCK-G NEAR SAWAN SHALIMAR ROAD RWP','4','9','28593','KENWOOD','SALE ADVISOR HASSAN ALI',null,'10-JULY-2018','1015SA - 902','WASHING MACHINE','PLATE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 22:38:57','2021-01-16 23:56:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3615','MR HAMMAD','03335435225','HO#4 BLOCK-B  ASKARI 04 RWP','9','51','203646','TCL','2009VLR301280A00377',null,'09-JAN-2021','50P8US - 871','FLAT PANEL TV','CHANEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 23:00:03','2021-01-13 21:06:03',null,'1',null,'0');
INSERT INTO complaints VALUES('3616','MRS TAIMOOR','03349811511','HO#6C/108 KHYBER BLOCK GULSHNE JINNAH ISB','5','35','282','HAIER','SALE ADVISOR KABEER',null,'05-DEC-2020','95-1678HWM - 1817','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-10 23:48:43','2021-01-13 20:30:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3617','ARSHAD MALIK','03335158040','HO#25 ST MANGRAL TOWN GULZARE QUAID RWP','9','19','185257','SUPER ASIA','MODAL#SD555',null,'08-JAN-2020',null,'SPINNER','SPINNER MOTOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-11 00:00:43','2021-01-13 20:18:50',null,'1',null,'0');
INSERT INTO complaints VALUES('3618','MR SAQIB','03216026216  03326777705','HO#D6-B CMT/SD ARMY COLONY GOLRA ISB','8','42','43674','TCL','0',null,'23-NOV-2020','18HEA - 915','AIR CONDITIONER','WATER  LEAKAGE  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-11 00:48:54','2021-01-20 02:03:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3619','MR MOHSIN ZAFAR','03222333889','WELLBEING PHARMACY SOWAN GARDEN ISB','9','19','200750','CARAVELL','0',null,'03-DEC-2020','450MEC - 1651','CHILLER','VILLES ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-11 19:53:02','2021-01-19 00:57:44',null,'1',null,'0');
INSERT INTO complaints VALUES('3620','AFAQ QURESHI','03008151714','HO#285 ST 15 AGOCHS PHASE 01 ISB','8','37','134106','SIGNATURE','PTCL CALL INVOICE HAY SALE ADVISOR SHAKEEL',null,'18-MAY-2017','SVF-CG1SS - 956','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-11 19:59:24','2021-01-11 20:15:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3621','AFAQ QURESHI','03008151714','HO#285 ST 15 AGOCHS PHASE 01 ISB','8','37','134106','SIGNATURE','PTCL CALL INVOICE HAY SALE ADVISOR SHAKEEL',null,'18-MAY-2017','SVF-CG1SS - 956','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-11 20:30:08','2021-01-21 01:28:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3622','MRS IQBAL','03485248440  03028552999','HO#2154 ST 68 BAHRIA PHASE 03 RWP','6','12','27961','HOMAGE','SALE ADVISOR YASEEN',null,'24-JUN-2020','87HWD - 993','WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-11 20:37:54','2021-01-21 20:12:26',null,'1',null,'0');
INSERT INTO complaints VALUES('3623','BRIG MUDDASSIR','03008557853  03005000661','HO#05 AMMAR SHAHEED ROAD CHAKLALA SCHEME 03 RWP','6','12','21418','MIDEA','0',null,'12-JUN-2019','18HRFN1-MSMBC - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-11 21:01:48','2021-01-19 00:46:03',null,'1',null,'0');
INSERT INTO complaints VALUES('3624','COL ISMAIEL','03039438873','FLAT#15 BLOCK-4B  JINNAH COMPLEX  PARK ROAD ISB','8','39','126330','LG','SALE ADVISOR IRFAN',null,'07-JAN-2017','622GLHL-S - 17','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-11 21:27:25','2021-01-24 00:28:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3625','MR AMIR RAZA','03335144153','MODAL HOUSE PARK CHINA FRIEND SHIP CENTER SHAKARPAREYAN','5','35','123634','GREE','0',null,'05-NOV-2020','12CITH12G - 913','AIR CONDITIONER','HEATING COOLING ISSUE',null,'5','resolved',null,'customer','0',null,'92','2021-01-11 21:36:43','2021-01-28 00:23:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3626','COL NASIR MALIK','03215179964','FLAT#D-2/2 PAF COMPLEX SEC E-9 ISB','8','38','42797','TCL','0',null,'03-OCT-2020','18HEG - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-11 21:51:10','2021-01-20 02:07:50',null,'1',null,'0');
INSERT INTO complaints VALUES('3627','MR IMRAN','03459041860  03323867774','HO#34 ST 38 SEC F-6/1 ISB','9','19','193391','HAIER','0',null,'23-JULY-2020','95-1678HWM - 1817','WASHING MACHINE','DRYER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-11 22:03:13','2021-01-19 00:42:34',null,'1',null,'0');
INSERT INTO complaints VALUES('3628','MR MUNAWAR ALI','03335229759','HO#1011 ST 96 SEC I-10/1 ISB','5','34','113219','SONY','0',null,'23-DEC-2019','75X8000G-S - 881','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-11 22:18:41','2021-01-15 23:25:33',null,'1',null,'0');
INSERT INTO complaints VALUES('3629','MR IMRAN','03459741357  03125690824','AMNA MASJID BASI CHOK RWP','9','23','133687','PEL','0',null,'14-MAY-2017','120PRDI - 894','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-11 22:28:00','2021-01-25 22:13:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3630','MUSRAB RAIZ','03345428400','HO#933 MAIN MARKAZ  ROAD SEC  I-10/1 ISB','9','23','141423','SIGNATURE','0',null,'08-OCT-2017','SWM-JD56 - 1643','WASHING MACHINE','SPINNER  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-11 23:00:28','2021-01-19 00:40:51',null,'1',null,'0');
INSERT INTO complaints VALUES('3631','MUSRAB RAIZ','03345428400','HO#933 MAIN MARKAZ  ROAD SEC  I-10/1 ISB','9','23','137517','SIGNATURE','0',null,'16-JULY-2017','FXS-5G - 1078','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-11 23:07:00','2021-01-18 22:47:40',null,'1',null,'0');
INSERT INTO complaints VALUES('3632','MALIK SAJID','03325460567','HO#101 ST 07 MAIN BULAWARD RAFI ROAD PHASE 08 RWP','6','13','32482','DAWLANCE','SALE ADVISOR ZARA  VISIT TO SHOWROOM',null,'05-JAN-2021','1480-DDW - 1653','DISH WASHER','PART DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-11 23:42:31','2021-01-19 00:34:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3633','fkukkvc','+92','ty80ip',null,null,null,null,null,'2021-01-11',null,null,'Select Product','ougyofyo',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-11 23:54:56','2021-01-28 00:23:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3634','EHSAN STOCK','0 311 3110013','FRIENDS CORPORATION  PHASE 07 B.TOWN','6','12','0','SIGNATURE','REF  TO EHSAN STOCK',null,'0','3710 - 1122','BUILT IN APPLLIANCES','HOB DAMAGE + NOB MISSING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-12 00:05:16','2021-01-14 22:15:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3635','HAFIZ NAVEED','03215269697','HO#6 ST 4 GULZARAY KHAD WAKEEL COLONY RWP','9','22','136908','PEL','SALE ADVISOR JAVED',null,'06-JULY-2017','160PRDI - 895','REFRIGERATOR','COMPRESSOR  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-12 00:20:41','2021-01-19 00:38:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3636','MR TAUQEER','03315214271','HO#33 ST 03 BLOCK-C MEDIA TOWN ISB','4','11','12579','GREE','SALE ADVISOR ALI MURTAZA',null,'01-JAN-2020','18CITH12G - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-12 00:33:30','2021-01-18 21:01:42',null,'1',null,'0');
INSERT INTO complaints VALUES('3637','M HUSSAIN','03002809612','HO#1648 ST#13 SEC 04 AIRPORT HOUSING SOCIETY R.W.P','6','14','27520','HAIER','SALE ADVICE BADAL',null,'02-JUNE-2020','80-10829HW - 899','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-12 01:22:56','2021-01-18 02:20:18',null,'1',null,'0');
INSERT INTO complaints VALUES('3638','MR ARIF JAVED','03215591631','HO#357 ST 06 SEC F-15/1 ISB','8','38','34213','LG','0',null,'30-MAY-2019','4J6TNP8S-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-12 01:49:41','2021-01-13 21:20:32',null,'1',null,'0');
INSERT INTO complaints VALUES('3639','MR ARIF JAVED','03215591631','HO#357 ST 06 SEC F-15/1 ISB','8','38','36241','SIGNATURE','2 COMPLAINT HAY COOKING RANGE# OVEN',null,'11-AUG-2019','SBC-DUBBO90 - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-12 01:55:32','2021-01-13 21:20:01',null,'1',null,'0');
INSERT INTO complaints VALUES('3640','MR BILAL SHAKIR','03458504407','HO#02 BLOCK-F SERVICE ROAD NAVAL ANCHORAGE ISB','8','38','3776','ORIENT','SALE ADVISOR NAVEED',null,'26-MAY-2018','18G-SUPER - 915','AIR CONDITIONER','ERROR E-1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-12 02:00:59','2021-02-21 15:59:36',null,'1',null,'0');
INSERT INTO complaints VALUES('3641','MR WASEEM','03429488134','HO#621-C ST 2-C BILAL MASJID KOHAY NOOR MILL  NASERA BAD  RWP','9','23','203632','KENWOOD','0',null,'09-JAN-2021','1012SA - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLIANT CLOSED',null,'customer','0',null,'92','2021-01-12 02:17:31','2021-01-16 23:52:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3642','SAJID GO DOWN','03135978937','FRIEND CORPORATION SHAMSA  BAD RWP','8','38','0','HAIER','C/O ANEEQ+ ASLAM SIR',null,'0','120-1789HWM - 906','WASHING MACHINE','DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-12 02:44:58','2021-02-25 11:19:26',null,'1',null,'0');
INSERT INTO complaints VALUES('3643','SAJID GO DOWN','03135978937','FRIEND CORPORATION SHAMSA BAD RWP','8','38','0','HAIER','C/O ANEEQ+ ASLAM SIR',null,'0','85-1708HWM - 945','WASHING MACHINE','DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-12 03:11:34','2021-01-25 23:10:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3644',null,null,null,'6',null,null,'DAWLANCE','0000',null,null,'1480-DDW - 1653','DISH WASHER','INTERNAL PRONBLEM..SHOWER DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-01-12 04:29:35','2021-01-14 22:14:40',null,'1',null,'0');
INSERT INTO complaints VALUES('3645',null,null,null,'6',null,null,'SHARP','0000',null,null,'612MB-SS2 - 1547','DISH WASHER','FRONT DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-01-12 04:30:04','2021-01-13 01:58:39',null,'1',null,'0');
INSERT INTO complaints VALUES('3646','MR MUDDASSIR','03365035991','HO#07 SEC 02 KHABANAY SALMAN KHOWAJA CORPORATION CHOCK RWP','9','22','203132','HAIER','0',null,'30-DEC-2020','120-826 - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-12 19:21:27','2021-01-18 02:12:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3647','SAJID GO DOWN','03135978937','FRIEND CORPORATION SHAMSA  BAD RWP','8','38','0','HAIER','C/O ANEEQ+ ASLAM SIR',null,'0','85-7288 - 69','WASHING MACHINE','DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-12 19:32:51','2021-01-25 23:09:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3648','IQBAL FCI','03465166132','FRIENDS HOME BEWAL PLAZA BLUEAREA ISB','5','28','0','TCL','C/O IQBAL FCI','2021-01-12',null,'49S6500 - 1629','FLAT PANEL TV','SETTING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-01-12 19:51:07','2021-01-12 20:07:59',null,'1',null,'0');
INSERT INTO complaints VALUES('3649','MR MAQBOL AHMED','03146149111','HO#512 ST 9-1  BLOCK-B  POLICE FOUNDATION O-9 ISB','4','8','19057','HAIER','0',null,'06-JAN-2021','90-1789HWM - 901','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-12 19:52:51','2021-01-17 02:55:10',null,'1',null,'0');
INSERT INTO complaints VALUES('3650','IQBAL FCI','03465166132','FRIENDS HOME BEWAL PLAZA BLUEAREA ISB','5','28','0','TCL','C/O IQBAL FCI','2021-01-12',null,'49S6500 - 1629','FLAT PANEL TV','BOARD PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-01-12 19:53:56','2021-01-12 20:06:20',null,'1',null,'0');
INSERT INTO complaints VALUES('3651','MR NAHEEM','03338504024','HO#208 ST 13 BAHRIA TOWN PHASE 07 ISB','6','15','25497','SIGNATURE','HOB KI COMPLAINT HAY',null,'05-JAN-2020','HC-3764G - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-12 20:03:07','2021-01-17 02:22:40',null,'1',null,'0');
INSERT INTO complaints VALUES('3652','MR FAROOQ IQBAL','03346289289  03226001997','HO#611 ST 02 BLOCK-H PHASE 8 BAHRIA TOWN ISB','6','14','15224','SIGNATURE','SALE ADVISOR BADAL',null,'04-JULY-2018','65V800 - 1443','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-12 20:13:48','2021-01-16 22:00:56',null,'1',null,'0');
INSERT INTO complaints VALUES('3653','Muhammad Jawad','+923046748413','Jasim Arcade, Phase 7, Behria Town','10','44','32323','LDNIO','36565656','2021-01-12',null,'502C - 1887','ACCESSORIES','developer testing',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-01-12 20:39:08','2021-01-17 02:48:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3654','COL SADIQ','03215711155','HO#1031 ST 47 BAHRIA PHASE 07','6','14','24412','HOMAGE','SALE ADVISOR BADAL',null,'11-DEC-2019','1801S-HCS - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-12 20:40:18','2021-02-22 16:29:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3655','MR HORIZON','03235165474  03002000229','HO#C-14 NEVAL HOUSING SOCIETY SEC F-11/1 ISB','4','5','16338','MITSUBISHI','0',null,'17-SEP-2020','50VA - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-12 20:51:58','2021-01-19 01:07:35',null,'1',null,'0');
INSERT INTO complaints VALUES('3656','IFTIKHAR AHMAD','03348646540','HO#19 ST 14 LANE 10 SEC-G DHA-02 ISB','6','14','26960','SIGNATURE','MODAL#20-AC SALE ADVISOR YASEEN VISIT TO SHOWROOM',null,'29-APR-2020',null,'MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-12 20:58:52','2021-01-19 00:40:16',null,'1',null,'0');
INSERT INTO complaints VALUES('3657','MR BILAL','03455462412  03088881557','JAPAN ROAD KANOTA SAIDAN NEVAL INCRAGE ISB','9','23','143678','DAWLANCE','0',null,'30-NOV-2017','9175WBLVS - 883','REFRIGERATOR','COMPRESSOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-12 21:32:34','2021-01-17 02:14:41',null,'1',null,'0');
INSERT INTO complaints VALUES('3658','MR MUJTABA KIYANI','03218525259','HO#04 ST-1 VILLIGE MALPUR ISB','5','28','126328','BOSCH','MODAL#12TQ20M SALE ADVISOR ABU-BAKAR',null,'06-DEC-2020',null,'COOKING RANGE','IGNATIONS  NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-12 23:54:31','2021-01-15 23:19:40',null,'1',null,'0');
INSERT INTO complaints VALUES('3659','MR RAFIQ','03315971992','JAPAN ROAD NEAR BAITUL-ISLAM  MASJID GARDEN CITY PHASE 07 ISB','6','15','30059','KENWOOD','MODAL#1010SA-BLK',null,'15-OCT-2020',null,'WASHING MACHINE','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 00:31:30','2021-01-16 23:47:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3660','MR IZZAT  KHAN','03335145652','LANE#03 NEAR FELTRATION PLANT GULRAIZ PHASE 03 RWP','4','11','12425','TCL','1911VLR300985A00002',null,'22-DEC-2019','43P8US - 869','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 00:55:23','2021-01-17 02:07:17',null,'1',null,'0');
INSERT INTO complaints VALUES('3661','FARRUKH WASEEM','03005012387','HO#3055 LANE 05 MAIN PESHWAR ROAD RWP','9','26','203597','LG','0',null,'09-JAN-2021','4V5RYP2T-S - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 01:03:13','2021-01-16 22:00:27',null,'1',null,'0');
INSERT INTO complaints VALUES('3662','MR KASHIF AMEEN','03367689615','HO#122 BLOCK-D MEDIA TOWN RWP','9','21','202140','HAIER','SALE ADVISOR MURTAZA',null,'12-DEC-2020','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 01:18:14','2021-01-17 02:29:38',null,'1',null,'0');
INSERT INTO complaints VALUES('3663','MR TALHA','03365299088','HO#203 ST 08 SHADMAN COLONY NEW MORGA ROAD NEAR GUEST ACADEMY RWP','9','21','202273','HAIER','SALE ADVISOR MURTAZA',null,'14-DEC-2020','120-1789HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'92','2021-01-13 01:28:11','2021-01-16 02:26:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3664','DR HUMAIRA NASIR','03335186441 03335169225','HO#289 ST 02 PHASE 01 MARGALLA TOWN','5','33','127922','TCL','MODAL#50P715-1022  2008VLR301245A00134',null,'09-JAN-2021',null,'FLAT PANEL TV','CHANNEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 01:36:20','2021-01-15 23:51:56',null,'1',null,'0');
INSERT INTO complaints VALUES('3665','AHSAAN  BEHIRA STOCK','0311 3110013','FRIENDS CORPORATION  PHASE 07 B.TOWN','6','17','0','SHARP','2 UNIT',null,'0','612MB-SS2 - 1547','DISH WASHER','FRONT DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-13 01:50:32','2021-01-14 02:44:17',null,'1',null,'0');
INSERT INTO complaints VALUES('3666','MR ASHRAF KAZMI','03325103001','HO#216 ST 61 SEC E-11/3 ISB','5','29','110331','CANON','AZHAR RAMZAN SIR NAY COMPLAINT BAJI HAY CUSTOMER KI COMPLAINT HAY VISIT TO SHOWROOM',null,'23-OCT-2019','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 01:54:29','2021-01-17 02:00:58',null,'1',null,'0');
INSERT INTO complaints VALUES('3667','SABINA QADIR','03315122298','HO#03 ST 55 SEC F-7/4 ISB','5','34','127730','SIGNATURE','MODAL#C595',null,'04-JAN-2021',null,'COOKING RANGE','BURNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 02:10:38','2021-01-15 23:19:13',null,'1',null,'0');
INSERT INTO complaints VALUES('3668','MALIK NAEEM','03215022332','OFFICE#01 ABDULLAH CHMABER  BLOCK-A FAZIE HAQ ROAD ISB','8','37','45175','ORIENT','0',null,'17-DEC-2020','12G-ORBIT - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 02:32:08','2021-02-21 16:01:47',null,'1',null,'0');
INSERT INTO complaints VALUES('3669','DR UMER','03212450321','HO#343 SOUTH EAST BOULE WARD PHASE 04 BAHRIA TOWN ISB','4','6','14660','TCL','2003VLR301105AD0064   SALE ADVISOR AZHAR',null,'18-JUN-2020','55P8M - 942','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 03:00:23','2021-01-17 01:16:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3670','BRIG-AMJAD ALI JAN','03225008475','HO#02 ILAMA IQBAL ROAD SEC-E DHA PHASE 01 RWP','6','16','30833','BOSCH','MODAL#68TT120M-S',null,'29-NOV-2020',null,'DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 03:07:59','2021-01-28 22:53:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3671','MR NAVEED','03219550212','HO#03 ST#42-A BLOCK -A SATELLITE TOWN R.W.P','9','23','201320','SIGNATURE','SALE ADVISOR IRFAN  HOB KI COMPLAINT HAY',null,'06-DEC-2020','SBO-AT4R - 1124','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 19:21:43','2021-01-24 00:26:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3672','MR TAHA NIAZ','03335062897','HO#354 ST 15 SEC G-10/2 ISB','5','29','117338','PEL','0',null,'08-JUN-2020','18K-ACE INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 19:31:08','2021-01-17 00:49:30',null,'1',null,'0');
INSERT INTO complaints VALUES('3673','ALI RIZVI','03000090503','1 FLOOR ST 10 ALI ARCADE MINI COMMERCIAL EXTENSION-2 MAIN BAHRIA EXPRESSWAY  PHASE 07','5','32','121032','TCL','0',null,'19-AUG-2020','18HEA - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 19:39:00','2021-01-20 01:38:18',null,'1',null,'0');
INSERT INTO complaints VALUES('3674','MR NASIR','03455202680','SHOP 201SHAH ABDUL LATIF BARI IMAM ISB','5','35','119202','HAIER','0',null,'14-JULY-2020','405HDF-INV - 958','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 19:44:03','2021-01-17 00:32:13',null,'1',null,'0');
INSERT INTO complaints VALUES('3675','MR BUILAL','03035811553','GONDAL HOUSE SHER DIL AVENUE AL NOOR COLONY KHANA PUL ROAD RWP','5','33','103525','HAIER','SALE ADVISOR NAEEM AHMED',null,'08-APR-2019','150-1678HWM - 1484','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 19:51:25','2021-01-17 00:25:35',null,'1',null,'0');
INSERT INTO complaints VALUES('3676','MR SOHAIL AKHTER','03335595466','HO#16 ST 31 BLOCK-F NAVEL INCARIGE ISB','4','9','16218','HAIER','SALE ADVISOR MISC',null,'07-SEP-2020','150-1708HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 19:55:52','2021-01-16 22:40:19',null,'1',null,'0');
INSERT INTO complaints VALUES('3677','MR SAAD JAWED','03440518114','FORM#185 ST 05 BLOCK-A GULBERG GREEN ISB','5','34','115548','FIVE STAR','0',null,'14-MAR-2020','35G-TWIN SUPREME - 963','GEYSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 20:02:22','2021-03-23 12:52:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3678','SAJID FHHS','03135978937','NEAR FREINDS WARE HOUSE SHAMSABAD RWP','8','38','0','HAIER','FF  TO ANEEQ (TASK#1170)',null,'0','398IPB - 884','REFRIGERATOR','TO DAMAGE',null,'5','COMPLETED',null,'customer','0',null,'74','2021-01-13 20:16:08','2021-04-20 12:09:24',null,'1',null,'0');
INSERT INTO complaints VALUES('3679',null,null,null,'13',null,null,'ECOSTAR',null,null,null,null,'WATER DISPENSER','351c..damig',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2021-01-13 20:31:22','2021-02-25 11:20:10',null,'1',null,'0');
INSERT INTO complaints VALUES('3680',null,null,null,'13',null,null,'ECOSTAR',null,null,null,null,'WATER DISPENSER','351c..damig',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2021-01-13 20:31:23','2021-01-18 21:26:41',null,'1',null,'0');
INSERT INTO complaints VALUES('3681',null,null,null,'13',null,null,'ECOSTAR',null,null,null,null,'WATER DISPENSER','351c..damig',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2021-01-13 20:31:25','2021-01-13 23:56:50',null,'1',null,'0');
INSERT INTO complaints VALUES('3682',null,null,null,'13',null,null,'ECOSTAR',null,null,null,null,'WATER DISPENSER','351c..damig',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2021-01-13 20:31:29','2021-01-13 23:53:41',null,'1',null,'0');
INSERT INTO complaints VALUES('3683',null,null,null,'13',null,null,'ECOSTAR',null,null,null,null,'WATER DISPENSER','351c..damig',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'100','2021-01-13 20:31:30','2021-01-13 23:41:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3684','MR ZAHOOR','03165151266  03065493825','HO#314 ST 49 SEC-02 KULSHAN ABAD ADYALA ROAD RWP','9','26','164488','SIGNATURE','PTCL CALL INVOICE HAY',null,'10-JAN-2019','SWM-JD51 - 902','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 20:37:12','2021-01-15 23:18:37',null,'1',null,'0');
INSERT INTO complaints VALUES('3685','MR JAVID','03005043879','HO#53 ST-E-1 ASHRAF TOWN ISB','5','36','127569','HAIER','0',null,'29-DEC-2020','438IDBT - 896','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 20:44:34','2021-01-16 22:37:47',null,'1',null,'0');
INSERT INTO complaints VALUES('3686','MR AMIR AKHTAR','03008550020','HO#8-B ST 10 SEC F-8/3 ISB','5','31','58356','SAMSUNG','MODAL#40F5000-P SALE ADVISOR NAEEM AZEEM',null,'18-JAN-2014',null,'FLAT PANEL TV','SPOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 21:10:28','2021-01-16 21:59:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3687','MUNIR AHMED','03215305867  03215305866','HO#778 ST 103/96 SEC D-12/1 ISB','9','24','101482','SAMSUNG','0',null,'04-JUN-2015','1UTMG - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 21:18:58','2021-01-18 22:43:40',null,'1',null,'0');
INSERT INTO complaints VALUES('3688','MURTAZA BUTT','03115006051','FRIENDS HOME NEAR TEHZEEB BAKERS PWD','4','7','0','HAIER','FF TO ANEEQ(TASK#3354)',null,'0','285SD - 956','FREEZER','LAVEL BALANCE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-13 21:53:25','2021-01-16 22:54:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3689','MR IJAZ','03335114106','HO#47 GALI 30 SEC G-6/1-3 ISB','5','32','21049','SONY','SALE ADVISOR SHAYYAN',null,'10-APR-2020','65X8077G-S - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 21:58:17','2021-01-17 02:22:11',null,'1',null,'0');
INSERT INTO complaints VALUES('3690',null,null,null,'6',null,null,'HAIER','00000',null,null,'32K6000 - 936','FLAT PANEL TV','LINE IN PANEL....',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-01-13 22:05:21','2021-01-26 20:48:20',null,'1',null,'0');
INSERT INTO complaints VALUES('3691',null,null,null,'6',null,null,'HAIER','0000',null,null,'18HFCD-W-INV - 915','AIR CONDITIONER','INDOOR FLIPPER DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-01-13 22:06:27','2021-02-20 17:37:01',null,'1',null,'0');
INSERT INTO complaints VALUES('3692','MR ATIF','03005555972','HO#57-B ST 61 SEC F-11/4 ISB','8','37','0','HAIER','NAEEM SIR NAY COMPLAINT BAJI HAY',null,'OUT OF VARANTI',null,'WASHING MACHINE','MOTOR  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 22:10:27','2021-01-16 21:30:51',null,'1',null,'0');
INSERT INTO complaints VALUES('3693','BUT STOCK','0311 5006051','FRIENDS CORPORATION PWD','4','5','0','HAIER','FF TO ANEEQ(TASK#3285)',null,'0','438EPB - 896','REFRIGERATOR','Front foot not going inside',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-13 22:12:41','2021-02-26 12:54:58',null,'1',null,'0');
INSERT INTO complaints VALUES('3694','IMRAN ZAHDI','03015092555','HO#71 ST 51 SEC F-11/3 ISB','5','28','117230','SONY','SALE ADVISOR BADAL(AGAIN COMPLAINT TASK#3302(CUSTOMER HARD DISK S/C LA K JAY GAY KHUD',null,'05-JUN-2020','19T400 - 931','FLAT PANEL TV','HARD DISK ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-13 22:22:25','2021-02-16 17:36:05',null,'1',null,'0');
INSERT INTO complaints VALUES('3695','IQBAL STOCK','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','HAIER','MODAL#438',null,'0',null,'REFRIGERATOR','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 22:35:10','2021-01-16 21:59:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3696','MR USAMA','03008561538','HO#186-D ST 48 SEC F-10/4 ISB','8','37','8666','GREE','SALE ADVISOR SOHAIL MAJEED  TAHA SOHAIL SIR NAY COMPLAINT BAJI HAY',null,'18-MAY-2017','24VITH1 - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 22:59:52','2021-01-17 00:10:31',null,'1',null,'0');
INSERT INTO complaints VALUES('3697','MR IRSHAD','03355455522','HO#21-A CEREAL PUBLIC SCHOOL NEAR BURMA TOWN CHAKSHAD ISB','4','6','12361','BOSCH','SALE ADVISOR SALEEM',null,'17-DEC-2019','20260GC - 880','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 23:21:37','2021-02-16 17:22:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3698','MR NAVEED','03335518644','HO#178 ST 42 SEC D-12/2 ISB','8','39','43827','SIGNATURE','OVEN KI COMPLAINT HAY MODAL#FB25-N-2044',null,'29-NOV-2020',null,'BUILT IN APPLLIANCES','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-13 23:31:17','2021-01-16 21:49:37',null,'1',null,'0');
INSERT INTO complaints VALUES('3699','IQBAL STOCK','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','ORIENT','MODAL#12DIVIN','2021-01-13',null,null,'AIR CONDITIONER','CARD ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-14 00:18:23','2021-01-28 22:48:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3700','IQBAL STOCK','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','ORIENT','0','2021-01-13',null,'529BL - 128','WATER DISPENSER','DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-14 00:20:14','2021-01-23 00:19:16',null,'1',null,'0');
INSERT INTO complaints VALUES('3701','MR MOHTSIM','03235159122','LANE#01 SUZUKI RACE COURSE   CENTER PISHAWER ROAD RWP','5','32','120227','ORIENT','0',null,'04-AUG-2020','12G-ORBIT - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 00:42:30','2021-02-16 17:33:56',null,'1',null,'0');
INSERT INTO complaints VALUES('3702','DR MIAN AMJAD SOHAIL','03005388302','HO#432 ST 62 SEC D-12/2 ISB','8','37','10459','LG','TAHA SOHAIL SIR NAY COMPLAINT BAJI HAY',null,'29-AUG-2017','257SLLV-S - 909','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 00:53:57','2021-01-28 22:58:49',null,'1',null,'0');
INSERT INTO complaints VALUES('3703','MR MUBASHIR HUSAIN','03335720052','HO#166 ST 35 SEC G-9/1 ISB','5','53','112571','BOSCH','SALE ADVISOR NAEEM AHMED',null,'15-DEC-2019','20260GC - 880','WASHING MACHINE','ERROR E-17',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 01:01:38','2021-01-16 23:15:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3704','IQBAL STOCK (FCI)','0346 5166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','DAWLANCE','FF TO ANEEQ(TASK#1502)',null,'0','128G - 1277','MICROWAVE OVEN','PLATE DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-14 01:04:48','2021-01-26 20:47:13',null,'1',null,'0');
INSERT INTO complaints VALUES('3705','IQBAL STOCK (FCI)','0346 5166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','DAWLANCE','0',null,'0','280S-DW - 1277','MICROWAVE OVEN','FAN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 01:23:26','2021-01-14 22:13:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3706','MR ILYAS','03215095069','HO#47 ST 23 SEC 1 AECHS  ISB','8','37','45660','CANON','MODAL#BOV-819-2044',null,'10-JAN-2021',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 01:52:17','2021-01-16 22:58:33',null,'1',null,'0');
INSERT INTO complaints VALUES('3707','MR TALHA','03355851271','HO#14 ST#2-A BLOCK F NAVAL ANCHORAGE ISB','4','10','17971','HAIER','SALE ADVISOR WALEED',null,'04-DEC-2020','622ICG - 908','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 01:58:31','2021-01-23 00:00:34',null,'1',null,'0');
INSERT INTO complaints VALUES('3708','MR AZEEM HAYE','03215000160','HO#220 ST 21 SEC-E-7 ISB','5','33','100792','HAIER','TARIQ MEHMOOD',null,'22-DEC-2018','24HNS-R INV - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 02:07:38','2021-01-21 23:45:38',null,'1',null,'0');
INSERT INTO complaints VALUES('3709','MR AKRAM','03335101136','HO#324 BLOCK-D ST 01 PWD','4','11','19097','HAIER','SALE ADVISOR ALI MURTAZA',null,'09-JAN-2021','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 02:21:07','2021-01-16 21:17:45',null,'1',null,'0');
INSERT INTO complaints VALUES('3710','DR AKRAM','03026440260','HO#977 ST 52 PHASE 02 BAHRIA TOWN','4','11','18764','HAIER','0',null,'17-DEC-2020','18HFCF-W-INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 02:26:00','2021-01-16 21:15:36',null,'1',null,'0');
INSERT INTO complaints VALUES('3711',null,null,null,'8',null,null,'HAIER',null,null,null,'95-1678HWM - 1817','WASHING MACHINE','Damage 2 unit front and side',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'96','2021-01-14 02:32:16','2021-01-28 22:45:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3712','COL KHALID','03009112280  0992392211','HO#252 PMA GADE  CACUL APTABAD','9','51','203492','HAIER','0',null,'06-JAN-2021','40B9200M - 938','FLAT PANEL TV','CHANNEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 02:34:42','2021-01-21 23:46:58',null,'1',null,'0');
INSERT INTO complaints VALUES('3713','MR AWAIS  AZIZ','03008564955','HO#43-B ST 15 CHAK SHAHAZAD RWP','8','37','116146','ORIENT','SALE ADVISOR IKHLAQ',null,'05-MAY-2020','18G-BOLD-UW-INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 02:39:04','2021-01-20 00:19:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3714','MR ASGHAR  ALI','03338441577','HO#53 ST 02 NEAR ALNOOR  COLONY SEC I/10 ISB','8','37','24054','FIVE STAR','MODAL#25G-TWIN HEAVY IQBAL KRL SIR NAY COMPLAINT BAJI HAY',null,'31-DEC-2020',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 20:09:52','2021-01-26 00:01:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3715','MAJ SHOKAT ALI','03339136278','HO#D-17/8 SEC E-9 ISB','5','31','117472','GREE','0',null,'10-JUN-2020','18CITH12G - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 20:35:14','2021-01-18 20:59:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3716','MR ABDUL RASHID','03155071730','HO#CB-2567/6 ST 02 MASJID NOOR ILYAS COLONY MISRIAL ROAD RWP','9','27','190189','GREE','0',null,'09-JUN-2020','8768EG-CW1 - 884','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 20:50:32','2021-02-18 16:12:06',null,'1',null,'0');
INSERT INTO complaints VALUES('3717','MR IMTIYAZ','03409425727  03455188432','HO#1128 ST 04 LANE 02 BLOCK-C AIR PORT HOUSING SOCIETY ISB','9','19','190562','KENWOOD','PTCL CALL INVOICE HAY',null,'15-JUN-2020','1010SA - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 21:21:37','2021-02-21 12:48:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3718','MAJOR KHALID','03335109546','HO#561 ST 21 SEC-A ASKARI 14 ISB','7','49','22408','LG','SALE ADVISOR ZAHID',null,'04-DEC-2020','1066NEFTW-S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 21:29:13','2021-01-17 02:21:30',null,'1',null,'0');
INSERT INTO complaints VALUES('3719','MR AFAQ','03008151714','HO#258 ST 15 AGHOSH HOUSING SOCIETY ISB','4','9','12431','KENWOOD','SALE ADVISOR SALEEM',null,'23-DEC-2019','1830S-HC INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 21:43:17','2021-01-21 22:14:33',null,'1',null,'0');
INSERT INTO complaints VALUES('3720','MR SHERAZ','03320066657','HO#176  ST 01 SEC-C  SAFARI HOME BAHRIA TOWN PHASE 08','4','6','16800','KENWOOD','SALE ADVISOR AZHAR',null,'19-OCT-2020','1010SA - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 22:08:21','2021-01-21 21:21:24',null,'1',null,'0');
INSERT INTO complaints VALUES('3721','MR SARIB','03009139242','HO#A-161 MAIN ROAD PHASE 05 OFFICER COLONY WAH CANNT','9','22','161371','LG','SALE ADVISOR CH MAZHAR',null,'22-NOV-2018','702HMHU-S - 885','REFRIGERATOR','BOX DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 22:34:02','2021-02-23 17:50:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3722','MR ALI SHAMRAIZ','03015293676','HO#K-634 SARFARAZ ROAD WARES KHAN RWP','9','19','201472','SAMSUNG','MODAL#50TU7000 VISIT TO SHOWROOM SAQIB FCP SIR NAY COMPLAINT BAJI HAY',null,'08-DEC-2020',null,'FLAT PANEL TV','PICTURE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 23:19:53','2021-01-29 01:16:47',null,'1',null,'0');
INSERT INTO complaints VALUES('3723','MR HASEEB NASIR','03055875398  03417386460','HO#74 ST 02 TAHLI MOHRI NAURS COLONY RWP','4','6','22801','CANON','PTCL CALL INVOICE HAY',null,'12-JAN-2021','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 23:29:02','2021-01-18 01:50:44',null,'1',null,'0');
INSERT INTO complaints VALUES('3724','COL SAJAD','03328329447 03018206070','HO#7/8 SEC-E MACDONALAD ROUND DHA 02 ISB','9','19','187701','FIVE STAR','0',null,'02-MAR-2020','55G-TWIN-SUPREME - 1538','GEYSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-14 23:41:21','2021-01-17 02:15:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3725','HABIB ABBASI','03218567137  03145125646','HO#PD-1198 KULSHANAY IRFAN SATADIAM ROAD RWP','9','23','124473','FIVE STAR','0',null,'24-NOV-2016','35G-FS - 1759','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-15 00:07:29','2021-02-24 13:49:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3726','HAIDER KAMRAN','03338441577  03335751835','HO#32 ST 01 RAILWAY HOUSING SOCIETY GULZAR-E-QUAID RWP','8','37','20917','TCL','1912VLR301021A00129 IQBAL KRL SIR NAY COMPLAINT BAJI HAY',null,'21-MAR-2020','49S6500 - 1629','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-15 00:27:19','2021-01-21 22:52:16',null,'1',null,'0');
INSERT INTO complaints VALUES('3727','SANA KHALID','03345000546','HO#14 ST 48 KORANG TOWN ISB','4','6','10988','SIGNATURE','MODAL#HM09AH SALE ADVISOR SALEEM',null,'10-OCT-2019',null,'FREEZER','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-15 01:01:45','2021-01-20 19:44:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3728','MR JAWAD AHMED','03006099960','HO#861 MAIN DALDA MILL ROAD SEC I-10/2 ISB','5','31','120450','HAIER','SALE ADVISOR KHURRAM JAVED',null,'08-AUG-2020','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-15 01:17:00','2021-01-18 01:40:32',null,'1',null,'0');
INSERT INTO complaints VALUES('3729','MR SHAHID MUSTAFA','03335219384  03005572493','HO#136 ST 05 PHASE 03 BAHRIA TOWN ISB','4','6','15444','HAIER','SALE ADVISOR SALEEM',null,'24-JULY-2020','50B9200M - 871','FLAT PANEL TV','SPOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-15 01:26:45','2021-01-18 01:39:06',null,'1',null,'0');
INSERT INTO complaints VALUES('3730','MR ZESHAN ALVI','03018547578','HO#397 ST 19 PHASE 03 BAHRIA TOWN','5','33','118472','SAMSUNG','0',null,'01-JULY-2020','16J6750-S - 1643','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-15 01:53:54','2021-01-23 00:18:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3731','SAAD RAHMAN','03333908373','HO#100 UNIT 06 BLOCK-E LATIFABAD HYDERABAD','8','37','24067','SIGNATURE','MODAL#AC24  BAKING OVEN COMPLAINT PTCL CALL INVOICE HAY',null,'04-JAN-2021',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-15 02:08:07','2021-01-19 00:39:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3732','BILAL AHMED','03125115514','HO#174 ST#19 NEAR QADEEMI JAMIYA MASJID DAIRY HASSANABAD R.W.P','7','49','22345','CANON','C/O ATIF SADAR',null,'02-DEC-2020','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-15 20:52:40','2021-01-22 23:46:20',null,'1',null,'0');
INSERT INTO complaints VALUES('3733','MR ZAIN','03360557685','HO#11 ST 108 JINNAH GARDEN PHASE 1 ISB','8','37','11822','HOMAGE','0',null,'12-DEC-2019','87HWD - 993','WATER DISPENSER','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-15 21:00:19','2021-01-21 20:54:51',null,'1',null,'0');
INSERT INTO complaints VALUES('3734','MUSHARIB','03365888132','HO#459 ST#27 MARGALA TOWN ISB','9','21','195915','ORIENT','AUTO6.5GREY',null,'08-SEP-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-15 21:07:27','2021-01-18 22:06:55',null,'1',null,'0');
INSERT INTO complaints VALUES('3735','SABEENH EJAZ','03435566560','HO#552 MOHALAH MALKA SEC 06 DADIYAL MIR PUR AZAD KASHMIR','6','15','32494','HAIER','0',null,'07-JAN-2021','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-15 21:42:35','2021-01-21 01:40:40',null,'1',null,'0');
INSERT INTO complaints VALUES('3736','AHSAN BASHIR','03214038601(03009553783)','HO#09 ST#01 PHASE 06 BEHIRA TOWN','4','7','14498','LG','AGAIN COMPLAINT  AGEI HAIN',null,'11-JAN-2020','8265CIS-S - 987','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-15 23:39:30','2021-01-24 00:26:07',null,'1',null,'0');
INSERT INTO complaints VALUES('3737','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','HAIER','0',null,'0','438IPB - 896','REFRIGERATOR','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-15 23:57:40','2021-01-25 23:04:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3738','AFPGMI  CMH','03443494811','AFPGMI CMH COMPLEX R.W.P','7','49','22578','CANON','0',null,'10-DEC-2020','10LCF - 1031','GEYSER','NOT  WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-16 00:06:25','2021-01-18 21:56:39',null,'1',null,'0');
INSERT INTO complaints VALUES('3739','M RAFIQ','03110510084','MOHALLAH GULZARABAD  AL HADIYAS MAJID NEAR DR AN WAR CLINIC PINDI GAP R.W.P','9','20','130146','CANON','0',null,'29-MAR-2017','9200CA - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-16 02:08:14','2021-01-23 21:49:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3740','ANJUM','03315579931','HO#20 MAIN MARGALA ROAD F-8 ISB','8','47','253943','HAIER','24HFD-W-INV',null,'12-DEC-2020',null,'AIR CONDITIONER','OUT DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-16 02:15:45','2021-01-22 23:40:05',null,'1',null,'0');
INSERT INTO complaints VALUES('3741','ZULFIQAR','03455148509','HO#39 ST#03 VIP GORI TOWN','8','37','21693','PEL','0',null,'22-APR-2017','18K-PINV-LIFE - 915','AIR CONDITIONER','INDOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-16 02:22:33','2021-01-21 22:02:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3742','ADEEB MRAZ','03234249991(03214461461)','HO#27 ST#11 SEC C -1 BEHIRA ENCLAVE ISB','9','21','186101','SIGNATURE','0',null,'26-JAN-2020','25G - 1731','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-16 02:35:32','2021-01-17 01:59:43',null,'1',null,'0');
INSERT INTO complaints VALUES('3743','ASIM TARIQ','03335163270','HO#340 ST#14 FALCON COMPLEX LATHER ROAD R.W.P','5','53','123681','ARISTON','0',null,'07-NOV-2020','4528 - 1192','GEYSER','RELAY SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-16 02:43:26','2021-01-17 00:30:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3744','WASEEM','0321514278800','HO#DD 195 ST#01 AL MADINA TOWN SHAMSHABAD NEAR JUBILEE INSURANCE R.W.P','8','39','44547','SIGNATURE','0',null,'05-DEC-2020','SFR-MD100G - 904','REFRIGERATOR','TEMPERATURE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-16 02:53:27','2021-01-18 20:22:39',null,'1',null,'0');
INSERT INTO complaints VALUES('3745','HAFEEZ HOORANI','03008551409','HO#13 ST#26 SEC B PHASE 05 DHA ISB','5','34','110660','HAIER','0',null,'06 NOV-2019','18HNC-S INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-16 20:02:58','2021-02-22 17:11:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3746','MR FURQAN SOHRAB','03445534783','HO#1261 ST 10 SEC I-10/2 ISB','8','37','24131','CORONA','TAHA SOHAIL SIR NAY COMPLAINT BAJI HAY',null,'15-JAN-2021','C65 - 14','COOKING RANGE','GAS PRESSURE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-16 21:19:28','2021-01-19 20:03:43',null,'1',null,'0');
INSERT INTO complaints VALUES('3747','MR USMAN','03345044422','HO#49/1 LANE 08 SHAYER ZAMAN COLONY TOLSA ROAD LALA ZAR RWP','7','49','14057','SAMSUNG','MODAL#48JU6000-S',null,'25-MAR-2017',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-16 21:30:33','2021-02-23 17:14:41',null,'1',null,'0');
INSERT INTO complaints VALUES('3748','DR JAHAN ZEB DURRANI','03335102222','Address HO#267-A ST 53 SEC F-10/4 ISB','5','28','0','SIGNATURE','NAEEM SIR NAY COMPLAINT BAJI HAY',null,'06 MONTH AGO',null,'FREEZER','SOUND ISSUE( ISSUE NOT RESOLVED)',null,'5','COMPLAINT CLOSED',null,'customer','1','3596','74','2021-01-16 21:40:05','2021-03-01 15:33:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3749','MR ZIA UL REHMAN','03361115523','HO#10 ST 04, SEC C BAHRIA ENCLAVE ISB','8','42','45359','KENWOOD','SALE ADVISOR ASHFAQ ABBASI',null,'26-DEC-2020','1228S-INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-16 22:26:30','2021-01-21 20:15:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3750','WASIQ NAEEM','03335340990','KANSA HOUSE NATIONAL HOUSING SCHEME NO 01 ADAYALA ROAD RWP','8','42','196138','LG','PTCL CALL INVOICE HAY',null,'13-SEP-2020','512FPW-S - 1653','DISH WASHER','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-16 22:31:07','2021-02-20 15:19:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3751','CH SHOKAT','03335610536','ABBAS FARMS UNIAN CONCAL ROAD NEAR NEVAL ENCOURAGE SEHALA ISB','4','6','10672','SUPER ASIA','SALE ADVISOR SALEEM',null,'12-SEP-2019','240SA-SHW - 1548','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-16 22:49:20','2021-01-19 21:18:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3752','JAVAID IQBAL','03360568437','HO#533 ST 10 SEC-C PHASE 08','6','12','29913','FIVE STAR','0',null,'07-OCT-2020','35G-TWIN SUPREME - 963','GEYSER','THERMOSTAT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-16 22:54:20','2021-01-24 00:06:59',null,'1',null,'0');
INSERT INTO complaints VALUES('3753','MR AZMRIK','03110444540','KHABANAY SIRSAYID ROAD GALI 08 SADEKY  AKBAR MASJID SEC 01 RWP','9','19','202030','SIGNATURE','MODAL#FS25S-N OVEN KI COMPLAINT HAY RIFFAT SIR NAY COMPLAINT BAJI HAY',null,'09-DEC-2020',null,'BUILT IN APPLLIANCES','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-16 23:46:02','2021-01-20 19:44:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3754','SHAKER HUSSAIN','03005043641  03345020323','ST#46/9 JAMIA MASJID PIPLE COLONY SADAR RWP','7','49','22408','FIVE STAR','MODAL#40WS  SALE ADVISOR ZAHID',null,'04-DEC-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAIN CLOSED',null,'customer','0',null,'92','2021-01-16 23:52:38','2021-01-26 00:01:24',null,'1',null,'0');
INSERT INTO complaints VALUES('3755','MR MUSHTAQ  AHMAD','03005538598','HO#28/9 PM SATAF COLONY SEC G-6/5 ISB','5','29','125847','CANON','0',null,'05-DEC-2020','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 00:47:54','2021-03-01 12:05:18',null,'1',null,'0');
INSERT INTO complaints VALUES('3756','RAJA YASIR','03335515255','HO#01 OLD AIR PORT LINK ROAD FAISAL COLONY RWP','4','6','17338','HAIER','SALE ADVISOR SALEEM',null,'22-NOV-2020','95-1678HWM - 1817','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 00:54:13','2021-01-20 22:10:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3757','JUNAID AZIZ','03348535037','HO#28 ST 07 BLOCK-A SOAN GARDEN ISB','4','10','18694','HAIER','SALE ADVISOR WALEED',null,'13-DEC-2020','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 01:01:14','2021-01-20 22:09:34',null,'1',null,'0');
INSERT INTO complaints VALUES('3758','SAJID ABBASI','03335605989','HO#158 ST#15 PHASE 06 BEHIRA TOWN','8','39','35817','KENWOOD','AGAIN COMPLAINT RESOPNE KARWAI (TASK#2778)',null,'25-JULY-2019','480GD-BKG - 885','REFRIGERATOR','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-17 01:11:22','2021-02-02 22:47:22',null,'1',null,'0');
INSERT INTO complaints VALUES('3759','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','SHARP','MODAL#710CX-W',null,'0',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 01:54:28','2021-01-18 22:00:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3760','MR SALEH','03464688512  03419462992','NEELOR  TASEAL KOTI SATEYAN RWP','9','51','202688','SAMSUNG','MODAL#40N5300 SAQIB FCP COMPLAINT BAJI HAY',null,'22-DEC-2020',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 01:57:49','2021-01-28 22:40:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3761','MR WALEED','03333344004','HO#342-E ST 25-A BLOCK-A  SEC B/17 ISB','9','23','199901','CARAVELL','MODAL#207BA',null,'28-NOV-2020',null,'WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 02:04:55','2021-02-12 16:50:50',null,'1',null,'0');
INSERT INTO complaints VALUES('3762','MR REHAN','03215302564','HO#164 ST 53 SEC G-10/3 ISB','5','28','108802','SAMSUNG','SALE ADVISOR ALI KHAN',null,'24-AUG-2019','43NU7100-S - 869','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 02:13:16','2021-01-25 23:08:49',null,'1',null,'0');
INSERT INTO complaints VALUES('3763','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','KENWOOD','2 PICE FF TO ANEEQ( TASK#2729)(W/M ASLAM SAB K PASS HAIN',null,'0','1016SA - 1712','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-17 02:16:48','2021-02-27 11:29:36',null,'1',null,'0');
INSERT INTO complaints VALUES('3764','MR KASHIF AMEEN','03367689615','HO#122 BLOCK-D MEDIA TOWN RWP','9','21','202140','HAIER','SALE ADVISOR MURTAZA',null,'12-DEC-2020','100HW15HDG - 1619','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 02:18:54','2021-01-22 00:16:16',null,'1',null,'0');
INSERT INTO complaints VALUES('3765','SAJID GODOWN','03135978937','FRIENDS HOME SHAMSHABAD R.W.P','8','38','0','KENWOOD','FF TO ANEEQ(TASK#2039)',null,'0','1012SA - 902','WASHING MACHINE','DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-17 02:20:03','2021-02-23 12:08:10',null,'1',null,'0');
INSERT INTO complaints VALUES('3766','COL AKRAM','03345597262','HO#1417 ST 69 SEC-F DHA 01','6','13','32588','HAIER','SALE ADVISOR ZARA ADIL HOME SOLUTION COMPLAINT BAJI HAY',null,'13-JAN-2021','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 02:26:12','2021-01-20 21:54:34',null,'1',null,'0');
INSERT INTO complaints VALUES('3767','MURTAZA BUT(STOCK)','03115006051','FRIENDS CORPORATION PWD','4','7','0','KENWOOD','FF  TO ANEEQ (TASK#1639)',null,'0','1012SA-GRG - 902','WASHING MACHINE','BIAS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-17 02:32:01','2021-01-26 20:46:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3768','MR HANIF','03341669166  03331909079','HO#01 BLOCK 01 WESTRIGE CANNT RWP','9','24','187124','LG','PTCL CALL INVOICE HAY',null,'18-FEB-2020','1366NEFTFS-C - 907','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 02:45:16','2021-01-21 01:27:39',null,'1',null,'0');
INSERT INTO complaints VALUES('3769','MR IMRAN','03005506658','HO#47 ST 05 SEC E-11/4 ISB','5','33','106754','CORONA','MODAL#351-14',null,'03-JULY-2019',null,'COOKING RANGE','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 02:56:26','2021-01-20 19:36:05',null,'1',null,'0');
INSERT INTO complaints VALUES('3770','ATHAR WANI','03335176429','HO#620 BLOCK-F SATILITE TOWN RWP','8','37','36369','TCL','1906VLR300877A02156  SALE ADVISOR AZHAR SDA',null,'24-AUG-2019','40S6500 - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 19:59:10','2021-01-21 22:32:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3771','MR AMIR KAMAL AKBAR','03345063138','HO#09 ARMY OFFICERS HOUSING COLONY NATIONAL PARK ROAD RWP CANTT','8','37','41470','SONY','0',null,'28-JULY-2020','55X8500G-CC - 942','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 20:04:33','2021-01-20 19:41:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3772','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','ORIENT','MODAL#39-INCH','2021-01-17',null,null,'FLAT PANEL TV','SCREEN DOT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 20:14:09','2021-01-28 22:31:03',null,'1',null,'0');
INSERT INTO complaints VALUES('3773','SABINA QADIR','03315122298','HO#03 ST 55 SEC F-7/4 ISB','5','34','127730','SIGNATURE','MODAL#C595',null,'04-JAN-2021',null,'COOKING RANGE','BURNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 20:26:44','2021-02-06 17:41:35',null,'1',null,'0');
INSERT INTO complaints VALUES('3774','MRS NABEEL','03335761682','HO#E-11-4A/3 SAJID JAMSHED ROAD SATTELITE TOWN RWP','8','39','24559','SIGNATURE','SALE ADVISOR HASSAN ALI',null,'10-OCT-2017','SCR-FSS3-5G - 1076','COOKING RANGE','BURNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 20:40:10','2021-01-29 21:23:51',null,'1',null,'0');
INSERT INTO complaints VALUES('3775','MR JUNAID KHAN','03455926226','HO#17 ST 28 BLOCK-F NAVAL INCRAGE ISB','6','15','32009','CORONA','0',null,'08-DEC-2020','351C - 1533','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 20:46:10','2021-02-21 12:51:55',null,'1',null,'0');
INSERT INTO complaints VALUES('3776','NOSHEEN TARIQ','03335261619','HO#21-C ST 04 3RD AVNEW SEC-C DHA-01','6','14','18709','SAMSUNG','SALE ADVISOR RIZWAN ALI',null,'06-JAN-2019','55NU7100-S - 942','FLAT PANEL TV','SCREEN SPOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 21:03:25','2021-02-23 17:13:56',null,'1',null,'0');
INSERT INTO complaints VALUES('3777','MUNIR AHMAD','03334900493','HO#2265 ST 16/2 BLOCK-C NATIONAL POLICE FOUNDATION ISB','4','9','17490','CANON','SALE ADVISOR MUDASSAR',null,'29-NOV-2020','604C - 1029','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 21:38:04','2021-01-30 00:06:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3778','AZHAR  MEHMOOD','03083888667','HO#69-A ST 25 SEC F-10/1 ISB','8','39','38734','TCL','1911VLR300989A00048  SALE ADVISOR  MALAIKA',null,'19-JAN-2020','55C8US - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 21:43:40','2021-01-30 20:35:18',null,'1',null,'0');
INSERT INTO complaints VALUES('3779','MR ABDUL BASIT','03215308425','HO#416 ST 17 FALCON COMPLEX RWP','8','37','10,777','HAIER','PTCL CALL INVOICE HAY',null,'14-JAN-2020','90-1789HWM - 901','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 22:04:16','2021-01-20 22:00:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3780','SYED JAMIL HUSNAIN','03377100071','HO#1311 ST 51 PHASE 03 BAHRIA TOWN ISB','4','11','19169','FIVE STAR','MODAL#35G-HEAVYN DUTY  SALE ADVISOR ALI MURTAZA',null,'16-JAN-2021',null,'GEYSER','JET ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 22:13:03','2021-01-29 23:59:50',null,'1',null,'0');
INSERT INTO complaints VALUES('3781','COL FAISAL','03341057774  03341546668','HO#577 ST 30 SEC- F DHA 01 ISB','8','37','23661','SIGNATURE','SALE ADVISOR CH WAQAR  KAMRAN BAHRIA SIR NAY COMPLAINT BAJI HAY',null,'29-JULY-2017','SRF-HM100 - 908','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'92','2021-01-17 22:31:35','2021-01-23 00:17:03',null,'1',null,'0');
INSERT INTO complaints VALUES('3782','COL ZUBAIR','03008243855  03075843645','HO#1151 ROAD-C PHASE 07 ISB','6','16','17295','HAIER','0',null,'20-NOV-2018','120-B1558 - 906','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 22:39:03','2021-02-16 15:31:01',null,'1',null,'0');
INSERT INTO complaints VALUES('3783','SYED AKHLAQ','03362887626  03325541944','HO#603 ST 81-A SEC 03 GULSHAN ABAD RWP','6','15','9024','PEL','MODAL#12K-PINVHC  SALE ADVISOR RIZWAN ALI',null,'03-JUN-2017',null,'AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 22:53:19','2021-01-20 20:37:38',null,'1',null,'0');
INSERT INTO complaints VALUES('3784','COL SOHAIL','03018747700','HO#15 ST 13 SEC-D DHA 01','6','15','19564','SIGNATURE','HOB KI COMPLAINT HAY  SALE ADVISOR ZARA',null,'07-MAR-2019','SBH-AC900G - 1122','BUILT IN APPLLIANCES','GLASS BROKEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-17 22:59:01','2021-02-24 13:50:22',null,'1',null,'0');
INSERT INTO complaints VALUES('3785','MISS SAIRA','033456679900  03342679900','HO#55 ST 04 EXATIVE LOUDGE PHASE 3 BAHRIA TOWN ISB','5','28','23602','ORIENT','SALE ADVISOR BADAL  ZEESHAN BAHRIA 07 COMPLAINT BAJI HAY',null,'20-OCT-2019','18G-ATLANTIC-GW - 915','AIR CONDITIONER','ERROR-E-1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-18 01:07:42','2021-01-20 20:31:38',null,'1',null,'0');
INSERT INTO complaints VALUES('3786','MAJ KAYANI','03159991573','HO#24 ST 14 SEC-E DHA 01','6','15','31074','SUPER ASIA','SALE ADVISOR YASEEN COMPLAINT CUSTOMER KI HAY UNIT CUSTOMER SHOWROOM PAR CHOR GAYA HAY',null,'02-DEC-2020','106GH(NG) - 1029','GEYSER','THERMOSTAT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-18 01:17:13','2021-01-29 23:24:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3787','DR QASIM ZIA','03015300324','HO#DK892 BLOCK-A SEC 6 ROAD  DHOK PARACHA RWP','9','23','124046','DAWLANCE','PTCL CALL INVOICE HAY',null,'14-NOV-2016','250DWT - 902','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-18 01:34:32','2021-01-20 20:02:59',null,'1',null,'0');
INSERT INTO complaints VALUES('3788','TARIQ ABID','03044444004','HO#570 ST 40 PHASE 02 BAHRIA TOWN ISB','4','10','18705','LG','MODAL#9085NDKVH-C  SALE ADVISOR WALEED',null,'13-DEC-2020',null,'WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-18 20:04:23','2021-01-21 01:25:10',null,'1',null,'0');
INSERT INTO complaints VALUES('3789','MR SALEEM','03012955394','SAMLI DAM ROAD PUNJAB BANK BARAKOU  ISB','9','23','197720','FIVE STAR','MODAL#50WS  MAX GEYSER KI COMPLAINT HAY',null,'17-OCT-2020',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-18 20:21:39','2021-01-26 00:00:56',null,'1',null,'0');
INSERT INTO complaints VALUES('3790','MR SAJID ALI','03070112761','HO#CB-166/24 LANE 07 RAFAY MALL PASHAWAR ROAD RWP','8','42','22141','FIVE STAR','MODAL#40WS  SALE ADVISOR ZAHID  MAX KI COMPLAINT HAY',null,'12-NOV-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-18 20:31:29','2021-01-26 00:00:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3791','MR BILAL KHAN','03319300244','TANDA HOUSE LOWER ISLAMKOT P/O PUBLOCK SCHOOL NEAR MIAN JEE HOTEL ABBOTTABAD','5','31','104864','ORIENT','SALE ADVISOR HAMMAD RAFI',null,'14-MAY-2019','CRYSTAL-C-BLK - 993','WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-18 20:41:58','2021-02-16 15:57:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3792','BILAL AZEEM','03343612989','HO#72 ST 03 SEC F-17 ISB','9','24','193584','GREE','0',null,'27-JULY-2020','8890EG-CW3 - 2116','REFRIGERATOR','RABAR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-18 20:54:46','2021-02-18 16:02:50',null,'1',null,'0');
INSERT INTO complaints VALUES('3793',null,null,null,'8',null,null,'KENWOOD',null,null,null,'1012SA - 902','WASHING MACHINE','Damage door',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'96','2021-01-18 21:20:52','2021-02-26 12:56:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3794','MR TAIMOOR EJAZ','03215641944','HO#E-71-3C BLOCK-E NEAR HOLI FAMILY HOSPITAL RWP','9','27','203472','SIGNATURE','KHURRAM GOOGLE SIR NAY COMPLAINT BAJI HAY',null,'05-JAN-2021',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-18 21:25:56','2021-01-23 00:15:50',null,'1',null,'0');
INSERT INTO complaints VALUES('3795','MR SHAHID','03365141390  03335388574','HO#22 ST 10 BLOCK-A SOHAN GARDEN ISB','9','26','145140','SIGNATURE','ADIL HOME SOLUTION COMPLAINT BAJI HAY',null,'25-DEC-2017','SWM-JD46 - 945','WASHING MACHINE','WATER DRAIN ISSUE  ERROR E-1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-18 22:12:31','2021-01-21 01:24:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3796','SHARAZ FHHS','03403339965','FRIEND CORPORATION SHAMSA  BAD RWP','8','37','0','CANON','0',null,'0','152A - 1051','HEATER','PLAT DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-18 22:41:08','2021-03-04 17:41:35',null,'1',null,'0');
INSERT INTO complaints VALUES('3797','MR HASSAN RAZA','03215588531  03009888059','HO#280/1 LANE 02 ZAFAR AKBAR ROAD TULSA ROAD LALAZAR RWP','9','51','180935','HAIER','SALE ADVISOR CH MAZHAR',null,'04-NOV-2019','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-18 22:52:49','2021-01-22 00:41:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3798','IFTEKHAR AZIZ','03350536666','HO#06 ST 08 SEC-C NEAR MUSICK PARK BAHRIA INCLAVE ISB','5','31','115169','HAIER','0',null,'04-MAR-2020','631DGG - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-18 23:20:11','2021-01-30 21:30:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3799','BILAL STOCK','0312 0578711','FRIENDS HOME SHAMSHABAD R.W.P','8','38','0','DAWLANCE','FF TO ANEEQ(TASK#2298)',null,'0','162HZP - 1602','MICROWAVE OVEN','Pack unit ma sa pelaet nai nikly',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-19 00:02:59','2021-01-20 19:33:31',null,'1',null,'0');
INSERT INTO complaints VALUES('3800','MR  ALI','03219082246','HO#54 ST 3, SEC F SAFARI VILLAS  1 BAHRIA TOWN RWP','4','9','20993','HAIER','SALE ADVISOR SHAYYAN',null,'08-APR-2020','306EPB - 859','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 00:05:04','2021-01-22 00:38:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3801','BILAL STOCK','0312 0578711','FRIENDS HOME SHAMSHABAD R.W.P','8','38','0','DAWLANCE','FF TO ANEEQ(TASK#2385)',null,'0','131HP-SYNC - 986','MICROWAVE OVEN','Pack unit sa palete nai nikl',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-19 00:06:33','2021-02-27 11:30:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3802','MAZHAR FCP','03455261600','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','23','0','DAWLANCE','FF  TO ANEEQ (TASK#2843)',null,'0','136G - 1172','MICROWAVE OVEN','PLATE MISSING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-19 00:18:47','2021-01-26 20:44:35',null,'1',null,'0');
INSERT INTO complaints VALUES('3803','BRIG RIAZ','03008509889','HO#04 ST#11/A SEC G DHA 02 ISB','4','5','934','SIGNATURE',null,null,'15-OCT-2017','SRF-HM99 - 908','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 00:46:11','2021-02-25 11:41:37',null,'1',null,'0');
INSERT INTO complaints VALUES('3804','SAJID GODOWN','0313 5978937','FRIENDS HOME SHAMSHABAD R.W.P','8','38','0','HOMAGE','FF TO ANEEQ(TASK#1767)',null,'0','86HWD - 993','WATER DISPENSER','Damage hai',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-19 01:01:23','2021-02-23 12:07:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3805','BRIG IQBAL','03215152711','HO#18 ST 22 SEC-A DHA-05 ISB','6','12','24531','CANON','02 MODAL 20D-PLUS-DUAL 03 GEYSER KI COMPLAINT HAY',null,'13-DEC-2019','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 01:01:27','2021-02-11 11:16:38',null,'1',null,'0');
INSERT INTO complaints VALUES('3806','DR SHAHZAD SAEED','03235340340','3rd FLOOR RASHID PLAZA METRO STATION BLUE AREA ISB','5','28','127702','HAIER','0',null,'02-JAN-2021','18HJ-S INV - 915','AIR CONDITIONER','FILTER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 02:07:06','2021-01-22 00:23:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3807','MR SALEEM KHAN','03009713149','HO#B-1/124  MUSLIM TOWN BAND KHANA ROAD  KURI ROAD RWP','9','26','156384','HAIER','0',null,'01-AUG-2018','80-000S - 69','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 02:29:59','2021-01-21 21:39:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3808','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','HAIER','0',null,'0','32K6000 - 936','FLAT PANEL TV','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 02:38:04','2021-02-24 12:48:03',null,'1',null,'0');
INSERT INTO complaints VALUES('3809','NAEEM AHMED FCI','03005077900','FRIENDS CORPORATION BULE AREA ISB','5','30','0','TECHNOGAS','OVEN (OK66E11B) SHOWROOM PA VISIT ARRANGE KARWAY',null,'0',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-19 02:54:59','2021-01-26 20:45:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3810','DR ASAD','03008380457','HO#325 ST 49 SEC G-10/3 ISB','5','34','85845','LG','MODAL#55UH850-S',null,'21-JUN-2017',null,'FLAT PANEL TV','SCREEN LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 19:43:46','2021-01-23 00:15:13',null,'1',null,'0');
INSERT INTO complaints VALUES('3811','MAJOR TARIQ','03335479202','FLAT#05 FLOOR 06 VILO BILDING SADAR RWP','7','49','20844','HOMAGE','SALE ADVISOR ZAHID',null,'15-MAR-2020','81HWD - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 20:21:44','2021-01-21 21:37:18',null,'1',null,'0');
INSERT INTO complaints VALUES('3812','ASGHAR SB','03159999008 , 03015186805','H NO 11 RAILWAY SCHEME NO 6 WESTRIDGE 2 NEAR RAILWAY BAKERY CHWOK RWP','7','49','20856','TCL','1909VLR300944A00073(TASK#2945)',null,'17-MAR-2020','55P8S - 942','FLAT PANEL TV','PANAL PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-19 20:26:50','2021-03-17 14:56:22',null,'1',null,'0');
INSERT INTO complaints VALUES('3813','MR SHAHID','03445767158','PAF JINNAH CAMP KHANA PULL RWP','5','31','125126','ORIENT','MODAL#32HD-ACTION',null,'02-DEC-2020',null,'FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 20:37:17','2021-01-26 21:01:20',null,'1',null,'0');
INSERT INTO complaints VALUES('3814','MR SHAKEEL AHMED','03345066878','HO#262/37C ST 09 ABU-BAKAR HOUSE  FLAT#06 JAN COLONY TENCH BHATTA RWP','9','27','197841','HAIER','HAMMAD SIR NAY COMPLAINT BAJI HAY',null,'18-OCT-2020','438EPCW - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 20:51:53','2021-01-26 20:57:26',null,'1',null,'0');
INSERT INTO complaints VALUES('3815','NOOR ALI','03340062608  03322143767','HO#63-B ST 02 YOUSAF COLONY JAN HAL CHAKLALA SCHEEM 03 RWP','9','51','155513','SONY','0',null,'14-JULY-2018','49W660E-S - 1629','FLAT PANEL TV','AUDIO ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 21:06:56','2021-02-13 16:39:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3816','MR ALI','03103352282','HO#03 ST 49 CATEGORY 02 SEC G-10/3 ISB','5','28','0','HAIER','NAEEM SIR NAY COMPLAINT BAJI HAY',null,null,null,'AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 21:28:10','2021-03-04 13:00:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3817','MR AMJAD ALI','03004804627','HO#136 ST 59 BLOCK-D RAWAT','8','42','38542','TCL','AGAIN COMPLAINT REOPENED (TASK# 3278)',null,'06-JAN-2020','55P5US - 942','FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-19 21:51:17','2021-02-17 13:17:55',null,'1',null,'0');
INSERT INTO complaints VALUES('3818','MR IMRAN','03335158734  03000358734','SHOP-6 AS IF PLAZA BLUE AREA ISB','8','38','45762','SAMSUNG','MODAL#55Q70T MRM',null,'16-JAN-2021',null,'FLAT PANEL TV','CABLE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 22:00:25','2021-04-27 13:30:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3819','DR SADAF','03335788199','DR SADAF SPE CALIZED HOSPITAL NEAR BARMA BRIDGE LEHTRAR ROAD ISB','8','38','38237','ORIENT','SALE ADVISOR  ASHFAQ ABBASI',null,'16-DEC-2019','12G-HYPER-SW - 913','AIR CONDITIONER','ERROR E-5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 22:19:45','2021-01-26 22:44:54',null,'1',null,'0');
INSERT INTO complaints VALUES('3820','MR ZAEEM','03315781455  03328470355','HO#733 ST 08 SEC G-11/1 ISB','5','31','110781','DAWLANCE','SALE ADVISOR KHURRAM JAVED',null,'11-NOV-2019','10500DW - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 22:30:03','2021-01-23 01:21:21',null,'1',null,'0');
INSERT INTO complaints VALUES('3821','502 WORK SHOP','03215072274  03005221914','SHOP#502 WORK SHOP HADYALA ROAD RWP','9','27','198019','HAIER','0',null,'22-OCT-2020','48H03 - 1820','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 22:57:56','2021-02-16 11:29:24',null,'1',null,'0');
INSERT INTO complaints VALUES('3822','MRS KHURAM','03223033332','HO#6-A MIAN MARGALA ROAD SEC F-8/3 ISB','5','28','102433','SIGNATURE','0',null,'25-FEB-2019','MELBOURNE-90 - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 23:11:27','2021-06-07 13:12:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3823','MRS KHURAM','03223033332','HO#6-A MIAN MARGALA ROAD SEC F-8/3 ISB','5','36','111618','SHARP','0',null,'09-DEC-2019','612V-SS3 - 1547','DISH WASHER','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 23:11:33','2021-01-20 19:32:59',null,'1',null,'0');
INSERT INTO complaints VALUES('3824','MR MEHMOOD','03332373242','HO#09 ST 08 BLOCK D NEVAL INCLAGE ISB','4','6','7172','SIGNATURE','SALE ADVISOR NAVEED  PTCL CALL INVOICE HAY',null,'10-JAN-2019','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 23:21:10','2021-01-25 23:08:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3825','MR AMANULAH','03003881177','HO#05 ST 52 KORANG TOWN ISB','8','42','13329','SAMSUNG','AZHAR BAHRIA  SIR NAY COMPLAINT BAJI HAY',null,'10-OCT-2015','11F5S4GT - 905','WASHING MACHINE','FILTER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 23:32:38','2021-01-28 22:30:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3826','DR MAUDAT RANA','03215214425','HO#10017-A KURSHEED ALAM STREET VESTIGE 01 RWP','8','37','0','SIGNATURE','NAEEM SIR NAY COMPLAINT BAJI HAY',null,'02-YEAR-AGO',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-19 23:42:59','2021-01-29 21:23:17',null,'1',null,'0');
INSERT INTO complaints VALUES('3827','MR SHAZAD','03005005650  03008554624','HO#145 ST 48 SEC F-11/3 ISB','8','37','24049','SAMSUNG','MODAL#65TU7000  C/O KHURRAM SIR',null,'30-DEC-2020',null,'FLAT PANEL TV','SCREEN LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 02:03:29','2021-01-21 01:32:44',null,'1',null,'0');
INSERT INTO complaints VALUES('3828','MR NOSHEEL','03215001074','HO#50 ST 93 SEC G-13/1 ISB','5','34','125941','ORIENT','MODAL#5310D-DARK SALE ADVISOR IKHLAQ(TASK#3360 AGAIN COMPLAINT)',null,'05-DEC-2020','CRYSTAL-C-BLK - 993','WATER DISPENSER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-20 02:12:43','2021-01-30 01:36:32',null,'1',null,'0');
INSERT INTO complaints VALUES('3829','MR MUBASHIR','03323784220','HO#23 BANI GALA  HILLS SO-CITY OFF PAPESI ROAD BANI GALA ISB','5','30','112040','SIGNATURE','PTCL CALL INVOICE HAY',null,'13-DEC-2019','SGG-1704G - 1029','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 02:15:57','2021-01-23 00:13:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3830','MR ZAHID','03345001230','HO#1888 ST 33 SEC I-14/2 ISB','9','26','197906','FIVE STAR','MODAL#35G-HEAVY',null,'19-OCT-2020',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 02:50:26','2021-01-24 00:02:54',null,'1',null,'0');
INSERT INTO complaints VALUES('3831','RIZWAN MALIK','03355426061','HO#20 ST 36 RIVER GARDEN HOUSING SOCIETY NEAR KAK PULL RWP','9','19','199477','SIGNATURE','MODAL#SWH-20-07 SALE ADVISOR MURTAZA',null,'19-NOV-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 20:01:39','2021-01-23 00:30:16',null,'1',null,'0');
INSERT INTO complaints VALUES('3832','NAEEM AHMAD FCI','03005077900','FRIEND CORPORATION BLUE AREA','5','30','0','ORIENT','0','2021-01-20',null,'40FHD-MACAW - 938','FLAT PANEL TV','INTINA NOB DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 20:14:13','2021-01-28 22:26:36',null,'1',null,'0');
INSERT INTO complaints VALUES('3833','MR NOOR ASLAM','03465157771','KACHA ROAD CHANA CHONKI RWP','9','21','203524','HAIER','MODAL#545HDF-INV SALE ADVISOR MURTAZA',null,'06-JAN-2021',null,'FREEZER','EARTH ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 20:34:02','2021-01-25 22:30:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3834','MR AMIR','03355390330','HO#18 ST 14 SEC C-1 BAHRIA ENCLAVE ISB','5','34','92123','HAIER','SALE ADVISOR NAEEM AHMED',null,'06-MAR-2018','95-1678HWM - 1817','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 20:44:34','2021-01-29 21:46:45',null,'1',null,'0');
INSERT INTO complaints VALUES('3835','MR SHABBIR','03335370853','HO#05 SIDDIQUE STREET SAIF-UL-ISLAM COLONY BURMA TOWN ISB','9','22','198484','SIGNATURE','MODAL#SBO-AR2  OVEN KI COMPLAINT HAY PTCL  CALL INVOICE HAY',null,'31-OCT-2020',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 20:55:31','2021-01-23 00:29:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3836','MR HABIB','03006798022   03005161000','HO#365-366 ST 02 SHALA VALE RWP','8','38','0','LG','MODAL#GR-J257CLAV',null,'OUT OFF WARRANTY',null,'REFRIGERATOR','PART ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 21:08:59','2021-02-23 17:49:47',null,'1',null,'0');
INSERT INTO complaints VALUES('3837','TUSEEF SAB','03225410334','IQBAL PLACE ST#04 AHMADABAD DAMIYAL ROAD R.W.P','9','19','189588','HAIER','SALE ADVISOR MURTAZA',null,'30-MAY-2020','18HFAA-B INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 21:22:20','2021-01-25 22:20:08',null,'1',null,'0');
INSERT INTO complaints VALUES('3838','HASSAN KHAN','03335739918(03055299944)','SHOP#02 OPPER SQUARE D MARKAZ GULBAR ISB','8','42','120467','ORIENT','AGAIN COMPLAINT REOPENED (3262)',null,'09-AUG-2020','12G-ORBIT - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-20 21:23:06','2021-01-30 20:56:24',null,'1',null,'0');
INSERT INTO complaints VALUES('3839','MR HASAN','03313106668','HO#M1352 ST 61 CHA SULTAN MUHALA  AMAR PURA BILAL MASJID RWP','9','27','203715','CANON','0',null,'10-JAN-2021','16D-PLUS-DUAL - 1030','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 21:28:52','2021-01-30 01:30:32',null,'1',null,'0');
INSERT INTO complaints VALUES('3840','FAROOQ','03022747441(03211557893)','HO#B-26  SPD COLONY DCI E 10 ISB','9','26','199510','SAMSUNG','C/O NAEEM NASEER',null,'19-NOV-2020','58K6467SL-S - 909','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-20 21:47:48','2021-01-23 00:13:10',null,'1',null,'0');
INSERT INTO complaints VALUES('3841','MISS JAMILA','03335449609','HO#889 ST 34 SEC G-10/1 ISB','5','36','127900','HAIER','MODAL#12HFCA-S',null,'08-JAN-2021',null,'AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 22:08:57','2021-01-25 20:22:36',null,'1',null,'0');
INSERT INTO complaints VALUES('3842','MISS JAMILA','03335449609','HO#889 ST 34 SEC G-10/1 ISB','5','36','127900','SIGNATURE','MODAL#SWH-20-10',null,'08-JAN-2021',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 22:11:59','2021-01-23 00:01:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3843','MRS AMIR','03335266885','HO#400/31 LANE 07 PESHAWER ROAD RWP','7','49','14917','MITSUBISHI','SALE ADVISOR ZAHID',null,'08-JUN-2017','50VA - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 22:32:53','2021-01-29 21:38:42',null,'1',null,'0');
INSERT INTO complaints VALUES('3844','MRS GILANI','03085555305','HO#305 MARGALA ROAD SEC F-11/3 ISB','5','35','127026','HAIER','SALE ADVISOR KABEER',null,'11-DEC-2020','150-1678HWM - 1484','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 22:47:57','2021-01-25 22:08:27',null,'1',null,'0');
INSERT INTO complaints VALUES('3845','MISS SABIHA KHANUM','03325638860','HO#553 ST#16 MARGALA TOWN PHASE 01 ISB','9','23','166053','DAWLANCE','SALE ADVISOR WAQAS ABBASI',null,'13-FEB-2019','7500C-DW - 1548','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 22:59:08','2021-01-26 20:09:49',null,'1',null,'0');
INSERT INTO complaints VALUES('3846','MR SHABIR','03009547195','LANE 5-A HO#76/14-A HALAY STREET RWP','9','23','164307','LG','0',null,'06-JAN-2019','4J6TNP8S-S - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 23:06:46','2021-01-28 22:18:27',null,'1',null,'0');
INSERT INTO complaints VALUES('3847','MALIK QASIM','03165049764','HO#304-A GULSHAN MARKIT SEC G-7-3/1 ISB','9','23','142412','HAIER','0',null,'01-NOV-2017','306ECS-HRF - 859','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 23:12:33','2021-01-29 21:33:39',null,'1',null,'0');
INSERT INTO complaints VALUES('3848','ADEEL KHALID','03035438911','HO#06 ST 06 MALIK ZUBAIR TOWN NEAR SAVAR PALAZA SOHAN ISB','9','23','134761','SIGNATURE','0',null,'25-MAY-2017','SRF-WB100-S - 860','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-20 23:20:15','2021-01-26 21:37:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3849','MR KALEEM','03103236477','PESHAWAR SEVAL CAWATAR FC OFFICER MISS PESHAWAR','8','42','45820','ORIENT','0',null,'18-JAN-2021','24G-PREMIER-SW - 917','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 00:07:51','2021-01-29 21:31:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3850','MR KASHIF','03346513503 03455880870','HO#510 ST 66 PAKISTAN TOWN PHASE 01 PWD O-9 ISB','9','51','182989','HAIER','SALE ADVISOR IRFAN',null,'12-DEC-2019','95-1678HWM - 1817','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 00:22:21','2021-01-25 21:42:47',null,'1',null,'0');
INSERT INTO complaints VALUES('3851','MUIZ-UDDIN','03345081855  03129511234','HO#1585 ST 10 SEC 05 OVER SEAS PHASE 08 BAHRIA TOWN ISB','6','15','27274','HAIER','SALE ADVISOR BADAL',null,'20-MAY-2020','18HFCD-W-INV - 915','AIR CONDITIONER','ERROR E-7',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 01:45:58','2021-01-25 21:22:43',null,'1',null,'0');
INSERT INTO complaints VALUES('3852','AGHA ANWER','03009812600  03005203860','HO#M-941 ST 45 MUHALA  AMAR PURA RWP','9','24','201930','HAIER','0',null,'08-DEC-2020','95-1678HWM - 1817','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 01:55:18','2021-01-25 21:00:56',null,'1',null,'0');
INSERT INTO complaints VALUES('3853','MIA ARIF','03008563180','HO#411 ST 28 SEC BAHRIA TOWN PHASE 02 ISB','6','14','32570','FIVE STAR','MODAL#35G-HEAVY SALE ADVISOR BADAL',null,'12-JAN-2021',null,'GEYSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 02:21:59','2021-01-22 23:58:54',null,'1',null,'0');
INSERT INTO complaints VALUES('3854','NAEEM NASEER','0 332 5532355','MIDA TOWN','8','37','0','SAMSUNG','C/O NAEEM NASEER',null,'05-SEC-2020','11J5710-S - 905','WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-21 02:22:03','2021-01-22 23:58:20',null,'1',null,'0');
INSERT INTO complaints VALUES('3855','SYED JAMMAL','03126207228','HO#36 JINNAH BOLIVARD SEC-A DHA 02 ISB','8','39','42584','SIGNATURE','HOB KI COMPLAINT HAY  SADDIQ SAB NAY COMPLAINT BAJI HAY',null,'23-SEP-2020',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 02:32:30','2021-01-24 00:02:13',null,'1',null,'0');
INSERT INTO complaints VALUES('3856','DR KHALID','03335410746','HO#04 ST 03 BLOCK-C SOAN GARDEN ISB','4','11','18765','SIGNATURE','MODAL#SWH-20-06 SALE ADVISOR WALEED   VISIT TO SHOWROOM PWD',null,'17-DEC-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 02:43:15','2021-01-22 23:57:51',null,'1',null,'0');
INSERT INTO complaints VALUES('3857','NAFISA AZHAR','03315373875','HO#23 SEC-B DHA PHASE 05 ISB','6','14','29591','CARAVELL','MODAL#204B SALE ADVISOR SHAHZAD MALIK    VISIT TO SHOWROOM',null,'15-SEP-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 02:52:41','2021-01-30 00:44:33',null,'1',null,'0');
INSERT INTO complaints VALUES('3858','MR NADEEM','03175116878','HO#1863 ST 58 USMAN BLOCK PHASE 8 BAHRIA TOWN ISB','9','24','145437','DAWLANCE','0',null,'01-JAN-2018','8200 - 118','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 03:00:47','2021-01-23 21:31:06',null,'1',null,'0');
INSERT INTO complaints VALUES('3859','SHAK IQBAL','03315116716','HO#L-96 MUKHA SINGH ESTATE ZAFARUL HAQ ROAD RWP','9','51','204063','TCL','2010VLR301311A00770',null,'17-JAN-2021','32S65A - 936','FLAT PANEL TV','PICTURE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 20:02:06','2021-01-26 21:04:40',null,'1',null,'0');
INSERT INTO complaints VALUES('3860','MR NIZAR AHMAD','03335086688','HO#14 ST 14 SEC G-13/3 ISB','5','31','120279','HAIER','0',null,'05-AUG-2020','12HFCE-W-INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 20:17:14','2021-01-29 21:22:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3861','MR ASIF','03335113877','HO#505 ST 128 SEC G-9/3 ISB','5','31','126933','LG','SALE ADVISOR KABEER',null,'08-DEC-2020','502HQHU-S - 896','REFRIGERATOR','PROGRAMMING  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 20:47:11','2021-01-24 00:01:43',null,'1',null,'0');
INSERT INTO complaints VALUES('3862','NASEEM KHAN','03458580295','HO#561 ST 16 PHASE 04 BAHRIA TOWN ISB','4','8','18121','SAMSUNG','MODAL#90F5S3-SZ',null,'05-DEC-2020',null,'WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 20:57:53','2021-01-21 21:15:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3863','MR NASHEED','03345005326  03335292982','RWP','8','42','134117','SIGNATURE','ADIL HOME SOLUTION COMPLAINT BAJI HAY',null,'20-MAY-2017','55WB-S - 887','REFRIGERATOR','COMPRESSOR  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 21:42:37','2021-01-28 22:12:30',null,'1',null,'0');
INSERT INTO complaints VALUES('3864','MR AMIR MAHMOOD SHAHZAD','03355590324','HO#173 ST 08 SEC 03 AIR PORT HOUSING SOCIETY RWP','7','49','22800','HAIER','SALE ADVISOR ZAHID',null,'12-JAN-2021','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 22:09:26','2021-01-25 20:51:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3865','ADIL FHHS','03225566006','FRIENDS HOME SHAMSHABAD R.W.P','8','38','42426','CARAVELL','MODAL#204B-TASK# 3541 VISIT TO SHOWROOM YHA AZAD KASMIR WALI COMPLAINTMIR',null,'15-SEP-2020',null,'WATER DISPENSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-21 22:18:11','2021-02-23 12:33:42',null,'1',null,'0');
INSERT INTO complaints VALUES('3866','MR SAQIB ASHRAF','03335240993','HO#E-6 PTCL COLONY SADAR RWP CANNT','9','23','182652','FIVE STAR','0',null,'08-DEC-2019','55G-SUPREME - 1538','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 22:34:05','2021-01-30 00:57:55',null,'1',null,'0');
INSERT INTO complaints VALUES('3867','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','HAIER','MODAL#43B9200',null,'0',null,'FLAT PANEL TV','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 22:38:28','2021-01-28 21:29:41',null,'1',null,'0');
INSERT INTO complaints VALUES('3868','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','HAIER','MODAL#32D2M',null,'0',null,'FLAT PANEL TV','REMOTE SENSOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 22:40:47','2021-01-28 21:28:26',null,'1',null,'0');
INSERT INTO complaints VALUES('3869','CH ASGAR','03325122327','HO#108 LANE 10 BLOCK-A BAHRIA 08','6','14','31954','SHARP','MODAL#9113CZ-S DRYER KI COMPLAIN HAY SALE ADVISOR BADAL',null,'07-DEC-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 22:52:42','2021-01-22 23:51:19',null,'1',null,'0');
INSERT INTO complaints VALUES('3870','MR MANZOOR','03215192221','HO#578 ST 69 SEC I-8-3 ISB','5','32','83619','LG','SALE ADVISOR TARIQ',null,'24-APR-2017','872HLPL-S - 1332','REFRIGERATOR','FAN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 23:02:43','2021-01-29 21:22:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3871','MR SHAKEEK','03331457205','HO#81 ST 11 SEC I-8-1 ISB','8','38','196436','LG','MODAL#2472EFHSTL-C  SALE ADVISOR SAIFULLAH',null,'19-SEP-2020',null,'WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 23:13:52','2021-02-18 14:40:38',null,'1',null,'0');
INSERT INTO complaints VALUES('3872','MR CHANGEZ KAYANI','03157575735','HO#79/3 ST 15 GULRAZ HOUSINHG SOCITY PHASE 02 RWP','9','23','203872','HAIER','0',null,'13-JAN-2021','90-1789HWM - 901','WASHING MACHINE','BUTTON NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 23:19:59','2021-01-25 20:28:49',null,'1',null,'0');
INSERT INTO complaints VALUES('3873','MR SOHAIL','03335227768','HO#02 BLOCK-D DHOK CHODEREYAN NEAR ALI TRUST SCHOOL CAR CHOK RWP','9','22','202435','HAIER','0',null,'17-DEC-2020','150-1708HWM - 1484','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 23:30:12','2021-03-04 14:43:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3874','MISS ASMA','03350770775','HO#501 ST 10 BLOCK-B MEDIA TOWN ISB','4','10','18426','BOSCH','SALE ADVISOR WALEED',null,'06-DEC-2020','50E92GC - 1060','DISH WASHER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 23:35:06','2021-01-24 00:25:01',null,'1',null,'0');
INSERT INTO complaints VALUES('3875','SYED SIKANDER AZAM','03062221670','VISITING FACULTY HO#04 QUAID-AZAM UNIVERSITY ISB','5','30','118742','BOSCH','PTCL CALL INVOICE HAY',null,'06-JULY-2020','24260GC - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-21 23:56:04','2021-01-29 21:15:04',null,'1',null,'0');
INSERT INTO complaints VALUES('3876','MR ABDULLAH','03361111409','HO#399 ST 04 BAHRIA SPRING PHASE 07 ISB','6','12','26063','HOMAGE','0',null,'10-FEB-2020','1020S - 902','WASHING MACHINE','PLAT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-22 00:15:07','2021-01-29 21:08:53',null,'1',null,'0');
INSERT INTO complaints VALUES('3877','MR ABDUL QADOUS','03335170486  03005147953','HO#1129 ST 09 BAHRIA PHASE 02  RWP','9','27','202537','SIGNATURE','MODAL#FS25S-N BAKING OVEN KI COMPLAINT HAY',null,'19-DEC-2020',null,'BUILT IN APPLLIANCES','OVEN BAKING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-22 00:36:44','2021-01-26 21:37:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3878','MR OMER','03075780666','HO#1015 ST 45 PHASE 07 ISB','6','12','15290','HAIER','0',null,'09-JULY-2018','509AG-G - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-22 00:39:21','2021-01-25 20:10:39',null,'1',null,'0');
INSERT INTO complaints VALUES('3879','MR UMER','03325189853','HO#42 ST 05 SEC-D DHA PHASE  02 ISB','8','37','44822','CANON','MODAL#BOV-519 OVEN KI COMPLAINT HAY',null,'06-DEC-2020',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINTCLOSED',null,'customer','0',null,'92','2021-01-22 00:55:01','2021-01-29 21:03:18',null,'1',null,'0');
INSERT INTO complaints VALUES('3880','DR ABBAS BARI','03335233136','HO#132/2 LANE 06 GULSHAN NAYAD VESTRIGE 03 RWP','9','27','189737','SUPER ASIA','0',null,'02-JUN-2020','280SA - 522','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-22 01:46:19','2021-01-27 00:19:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3881','COL JAMSHAID SHAH','03100177771 03215050697','HO#25 ST 05 SEC D DHA PHASE 1 ISB','6','15','26786','LG','TASK#3199 PALAY B COMPLAINT INTER HUAI HAY AGAN COMPLAINT AGAI HAY',null,'06-APR-2020','0K1CHK2T2-C - 2081','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-22 01:56:34','2021-01-25 23:06:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3882','MR SHER DILL','03345154444','HO#2-A KOHISTAN ROAD SEC F-8/2 ISB','5','34','119612','SONY','0',null,'23-JULY-2020','85X8500G-S - 1627','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-22 02:12:55','2021-01-26 22:54:20',null,'1',null,'0');
INSERT INTO complaints VALUES('3883','MR IFTAKHAR','03315283025  03365192686','JAN SHADI HALL GULRAZ CHOKI SCREEM 03 RWP','4','6','22533','CANON','ATIF SADAR SIR NAY COMPLAINT KI HAY',null,'06-DEC-2020','16D-PLUS-DUAL - 1030','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-22 02:29:15','2021-02-04 16:38:51',null,'1',null,'0');
INSERT INTO complaints VALUES('3884','MAJOR ZAIDI','03219595659','HO#415 COL SHER KHAN SHAHEED ROAD SEC F-11/3 ISB','5','28','89000','SIGNATURE','AGAIN COMPLAINT AAGEI HAIN',null,'28-OCT-2017','SWM-JD51 - 902','WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-22 21:15:50','2021-02-06 14:40:11',null,'1',null,'0');
INSERT INTO complaints VALUES('3885','HAFEEZ UR REHMAN','03315536340','HO#248 ST#23 F-11/2 ISB','5','31','109131','TCL','1906VLR300875A00045(MODEL L65',null,'04-SEP-2019',null,'FLAT PANEL TV','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-22 21:26:06','2021-01-29 21:36:06',null,'1',null,'0');
INSERT INTO complaints VALUES('3886','COL ADIL SHAHZAD KHAN','03331210703','HO#73 ST#79 E-11/3 ISB','5','33','117746','ORIENT','C/O AZHAR RAMZAN',null,'16-JUN-2020','12G-HYPER-SW - 913','AIR CONDITIONER','EARTHING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-22 21:54:19','2021-01-25 21:11:55',null,'1',null,'0');
INSERT INTO complaints VALUES('3887','AL HUDDA','03355953333','HO#254 ST#42 F-11/3 ISB','5','32','123378','FIVE STAR','35G-HEAVY DUTY',null,'28-OCT-2020',null,'GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-23 00:10:11','2021-01-25 21:01:35',null,'1',null,'0');
INSERT INTO complaints VALUES('3888','AYAZ  AHMED','03455217925','MOHALLAH SADIQABAD NEAR HAWAI JAHAZ GROUND KOTI AZAD KASHMIR','9','51','172522','TCL','1810VLR300660A00109(MODEL L656US)',null,'09-JUNE-2019',null,'FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-23 01:14:58','2021-02-04 13:01:40',null,'1',null,'0');
INSERT INTO complaints VALUES('3889','SHAH MUHAMMAD','03340108342','HO#04 ST#03 NEAR KHAN MARKET MANZOORABAD TARLIA KALAN ISB','5','28','24181','ORIENT','500FLARE-RG(C/O IQBAL KRL FRIENDS)',null,'23-JAN-2021',null,'REFRIGERATOR','DOOR PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2021-01-23 20:35:02','2021-01-29 21:58:11',null,'1',null,'0');
INSERT INTO complaints VALUES('3890','SYED MASOOD UL HAQ','03225085732  03314411302','HO#100 MILAT COLONY RWP','9','21','204175','HAIER','SALE ADVISOR MURTAZA',null,'19-JAN-2021','150-1708HWM - 1484','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-23 21:09:02','2021-01-26 22:08:08',null,'1',null,'0');
INSERT INTO complaints VALUES('3891','MR FAROOQ','03218525072','HO#04 ST 04 BLOCK-F SOAN GARDEN ISB','4','5','11098','HAIER','PTCL CALL INVOICE HAY SALE ADVISOR SALEEM',null,'20-OCT-2019','398EBS - 884','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-23 22:10:24','2021-01-26 22:00:45',null,'1',null,'0');
INSERT INTO complaints VALUES('3892','MISS ASMA','03350770775','HO#501 ST 10 BLOCK-B MEDIA TOWN ISB','4','10','18426','BOSCH','0',null,'06-DEC-2020','50D08GC - 1060','DISH WASHER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-23 22:36:32','2021-01-26 21:49:33',null,'1',null,'0');
INSERT INTO complaints VALUES('3893','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKIT RWP','13',null,'0','ARISTON','0',null,'0','50L-V - 1365','GEYSER','DAMIG',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-23 22:43:22','2021-01-25 23:23:33',null,'1',null,'0');
INSERT INTO complaints VALUES('3894','MR WAQAS SATTI','03435697513','COL OFF SATI GARNAL STOR OPP DIGAM JAN HOSPITAL ALI PUL ISB','9','23','195172','FIVE STAR','MODAL#999C-FS',null,'22-AUG-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-23 23:08:20','2021-02-04 01:09:30',null,'1',null,'0');
INSERT INTO complaints VALUES('3895','MRS SAIF','03357472233','HO#70 ST 03 SEC E-11/1 ISB','5','35','128325','DAWLANCE','MODAL#91998HLVS',null,'20-JAN-2021',null,'FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-23 23:28:05','2021-01-26 20:11:31',null,'1',null,'0');
INSERT INTO complaints VALUES('3896','MR ARSLAN','03321900515','HO#1204 ST 18-A SEC G-15/1 ISB','5','35','714','HAIER','0',null,'18-JAN-2021','438EPB - 896','REFRIGERATOR','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-23 23:56:53','2021-01-26 21:39:45',null,'1',null,'0');
INSERT INTO complaints VALUES('3897','MR MUMTAZ','03335769565','HO#377-E ST 58 SEC G-6/4 ISB','8','38','45833','LG','0',null,'19-JAN-2021','9588NEHVA-S - 901','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-24 00:13:44','2021-01-28 21:26:37',null,'1',null,'0');
INSERT INTO complaints VALUES('3898','COL ARSHAD','03218570041','HO#7F ASKARI-03 CHAKLALA RWP','8','38','45872','LG','MODAL#1788NEHTE-C',null,'21-JAN-2021',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-24 00:16:45','2021-02-06 14:38:17',null,'1',null,'0');
INSERT INTO complaints VALUES('3899','HASSAN','03339036154','CHAKWAL','10','45','166','SIGNATURE','MODEL AC24(BHATTI ELECTRONICS  SA PERCHING',null,'09-JAN-2021',null,'BUILT IN APPLLIANCES','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-24 00:22:11','2021-01-25 23:05:32',null,'1',null,'0');
INSERT INTO complaints VALUES('3900','DR ABDULBARI','03005116128','HO#35 ST 09 RAJA AKHTAR ROAD SHA PURR BHARAKHOW','5','36','119506','HAIER','BADAL FCI SIR NAY COMPLAINT BAJI HAY',null,'21-JULY-2020','12HRP-W-INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-24 00:24:32','2021-01-26 21:36:41',null,'1',null,'0');
INSERT INTO complaints VALUES('3901','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKIT RWP','13',null,'0','DAWLANCE','MODAL#210','2021-01-23',null,null,'MICROWAVE OVEN','DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-24 00:48:05','2021-02-25 11:19:50',null,'1',null,'0');
INSERT INTO complaints VALUES('3902','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKIT RWP','13',null,'0','DAWLANCE','0',null,'0','MD4 - 65','MICROWAVE OVEN','DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-24 00:48:12','2021-02-25 11:12:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3903','MIRZA NADEEM AKHTAR','03335852865','GUJARKHAN','8','37','45331','CANON','SALE ADVISOR NAFEES',null,'24-DEC-2020','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINTCLOSED',null,'customer','0',null,'92','2021-01-24 01:10:33','2021-01-26 21:04:16',null,'1',null,'0');
INSERT INTO complaints VALUES('3904','COL JAMSHAID','03008316007','HO#10 ST 04 SEC-B DHA 01 RWP','6','12','27887','SONY','SALE ADVISOR ZEESHAN',null,'22-JUN-2020','55X8500G-CC - 942','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-24 01:19:18','2021-06-07 13:10:44',null,'1',null,'0');
INSERT INTO complaints VALUES('3905','MR ATIQ AHMED','03215170441','HO#1049 ST 31 ABU BAKAR BLOCK PHASE 08 BAHRIA TOWN','7','49','22652','TCL','SALE ADVISOR ZAHID',null,'21-DEC-2020','12HEB - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-24 01:33:28','2021-02-15 16:39:40',null,'1',null,'0');
INSERT INTO complaints VALUES('3906','MR ABDUL MAJID','03315028878','HO#17 ROAD 01 SEC-C BAHRIA ENCLAVE ISB','8','39','39845','LG','SALE ADVISOR NAEEM AHMED',null,'27-MAY-2020','1366NEFTFS-C - 907','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-24 02:13:45','2021-02-02 23:52:55',null,'1',null,'0');
INSERT INTO complaints VALUES('3907','MR ASFHAAN','0335069828','PLOT#22 ST 03 NEAR JAMIA MASJID MUNEER UL ISLAM MALAK ABID COLONY LOEE BEAR ISB','4','10','17539','HAIER','SALE ADVISOR WALEED',null,'30-NOV-2020','90-1789HWM - 901','WASHING MACHINE','SOUND ISSUE',null,'5','completed',null,'customer','0',null,'92','2021-01-24 02:33:19','2021-01-27 21:35:26',null,'1',null,'0');
INSERT INTO complaints VALUES('3908','MRS USMAN','03008541490(03018541490)','HO#13 ST#48 F-8/4 ISB','5','28','0','BOSCH','C/O SADDIQ SAB',null,'0',null,'WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-24 02:39:48','2021-01-29 22:01:49',null,'1',null,'0');
INSERT INTO complaints VALUES('3909','MR MANSOOR','03459012967  0515199983','HO#04 ST 04 HADYALA ROAD RWP','9','22','202447','GREE','MODAL#9978EG-CR1',null,'17-DEC-2020',null,'REFRIGERATOR','NOT WORKING',null,'5','completed',null,'customer','0',null,'92','2021-01-24 19:56:35','2021-01-27 21:21:34',null,'1',null,'0');
INSERT INTO complaints VALUES('3910','MR JAHANGIZ KHAN','03335534385','HO#1537 MAIN SERVICE ROAD SEC D-12 ISB','8','38','34457','MITSUBISHI','SALE ADVISOR CH WAQAR',null,'08-JUN-2019','50VA - 915','AIR CONDITIONER','GAS ISSUE',null,'5','costumer inform again to relaunch the complain',null,'customer','0',null,'92','2021-01-24 20:09:11','2021-01-27 21:19:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3911','COL ASLAM','03216348846','HO#391 ST 11 PHASE 05 BAHRIA TOWN','6','12','28366','HAIER','SALE ADVISOR SHAHZAD MALIK',null,'13-JULY-2020','24HDZ-G INV - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-24 22:37:43','2021-01-26 21:21:11',null,'1',null,'0');
INSERT INTO complaints VALUES('3912','MR SHAHZAD','03135286251','FAZAIYA COLONY NEAR WAPDA OFFICE GANGAL RWP','4','8','17476','FIVE STAR','MODAL#35-G HEAVYN DUTY  SALE ADVISOR SALEEM',null,'28-NOV-2020',null,'GEYSER','PILOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-24 22:51:29','2021-01-30 00:37:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3913','SYED MASOOD UL HAQ','03225085732 03314411302','HO#100 MILAT COLONY RWP','9','21','204175','HAIER','SALE ADVISOR MURTAZA',null,'19-JAN-2021','438IDBT - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-24 23:19:21','2021-02-04 01:05:34',null,'1',null,'0');
INSERT INTO complaints VALUES('3914','HAFIZ ABDUL GHAFFAR','03315444406','HO#390  NEAR IBNE-SINA ROAD SEC G-11/3 ISB','4','6','6766','PANASONIC','SALE ADVISOR SALEEM',null,'15-DEC-2018','49MSAS-S - 885','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-25 00:24:57','2021-02-04 00:32:25',null,'1',null,'0');
INSERT INTO complaints VALUES('3915','AMIR HASSAN','03305927621  03305962621','ST 03 ANWAR KARYANA STORE NEAR RAISE SCHOOL KARTAL PURA RWP','9','22','204115','HAIER','MODAL#120',null,'18-JAN-2021',null,'WASHING MACHINE','WATER DRAIN ISSUE',null,'5','resolved',null,'customer','0',null,'92','2021-01-25 01:05:56','2021-01-27 21:01:14',null,'1',null,'0');
INSERT INTO complaints VALUES('3916','MR FAROOQ','03075374410  03430529236','ST 14 LANE 10 NEAR CHATTA BAKHTAWAR   PARK ROAD ISB','8','38','43249','CANON','MODAL#18DD-NG',null,'27-OCT-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-25 02:05:27','2021-01-30 00:23:47',null,'1',null,'0');
INSERT INTO complaints VALUES('3917','MR ALI','03154814238 03045547273','FLAT 143-C INTAVACHER VILLAGE BAHRIA PHASE 07 RWP','6','15','32551','FIVE STAR','MODAL#50WS  MAX GEYSER KI COMPLAINT HAY',null,'11-JAN-2021',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-25 02:21:35','2021-01-30 00:18:33',null,'1',null,'0');
INSERT INTO complaints VALUES('3918','MR SAID MALIK','03105764442','JIWAN ROAD HMC ROAD NEAR HAD BERG FASAL SHEED ROAD TAXILA','4','6','22387','LG','MODAL#9085NDKVH-C PTCL CALL INVOICE HAY',null,'03-DEC-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-25 19:57:28','2021-02-02 21:01:05',null,'1',null,'0');
INSERT INTO complaints VALUES('3919','DR FAROOQ KHAN','03345344611','HO#678 ST 18 SEC I-8/2 ISB','9','23','162725','SIGNATURE','HAMMAD FCP NAY COMPLAINE BAJI HAY',null,'09-DEC-2018','SFV-SY45 - 1467','FREEZER','HANDEL DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-25 20:08:24','2021-03-11 12:48:49',null,'1',null,'0');
INSERT INTO complaints VALUES('3920','MR IMRAN','03459041860  03323867774','HO#09 ST 44 SEC F-6/1 ISB','9','24','201907','HAIER','SALE ADVISOR NAVEED',null,'08-DEC-2020','12HFCF-W-INV - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-25 20:33:51','2021-01-30 00:13:31',null,'1',null,'0');
INSERT INTO complaints VALUES('3921','MISS HIRA MALIK','03335615159','FLAT #02 BLOCK-3 CATAGARE 03 PRIME MINSTER STAFF COLONY SEC- G/5 ISB','5','36','126111','ORIENT','ADIL FHHS SIR NAY COMPLAINT BAJI HAY',null,'05-DEC-2020','531BL - 993','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-25 20:48:04','2021-01-30 00:10:24',null,'1',null,'0');
INSERT INTO complaints VALUES('3922','MRS KAMAL','03353277704  03224292892','HO#110 JASMINE AVNENUE SAFARI 02 PHASE 07 RWP','6','12','26577','HAIER','SALE ADVISOR ZEESHAN',null,'14-MAR-2020','120-826 - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-25 21:04:39','2021-01-30 00:01:36',null,'1',null,'0');
INSERT INTO complaints VALUES('3923','AZIZ-UR-REHMAN','03369061444 03335175260','HO#314 GALI 53 NEAR UMAR MARKET SEC G-10/4 ISB','5','36','128351','HAIER','0',null,'21-JAN-2021','120-1789HWM - 906','WASHING MACHINE','ERROR-E-1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-25 21:25:08','2021-01-29 23:53:51',null,'1',null,'0');
INSERT INTO complaints VALUES('3924','SHARAZ FHHS','03403339965','FRIEND CORPORATION SHAMSA  BAD RWP','8','37','44431','MIDAS','SALE ADVISOR MANZAR  CUSTOMER KI COMPLAINT HAY',null,'05-DEC-2020','E3 - 760','HEATER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-25 21:45:42','2021-06-05 11:33:31',null,'1',null,'0');
INSERT INTO complaints VALUES('3925','HASSAN ALI FHHS','03013000123','FRIEND CORPORATION SHAMSA  BAD RWP','8','37','0','SONY','0',null,'0','RT3 - 1410','SOUND SYSTEMS','WOOFER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-25 22:05:54','2021-06-01 16:36:20',null,'1',null,'0');
INSERT INTO complaints VALUES('3926','MRS AVM','03009542699','HO#344 ST 69 SEC E-11/3 ISB','5','31','128324','SIGNATURE','MODAL#FS25S-N  OVEN KI COMPLAINT HAY  ABU BAKAR SIR NAY COMPLAINT BAJI HAY',null,'20-JAN-2020',null,'BUILT IN APPLLIANCES','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-25 22:16:07','2021-02-12 11:22:44',null,'1',null,'0');
INSERT INTO complaints VALUES('3927','COL FAROOQ','03332174276','PAKISTAN NAVY RAQUTAMENT CENTER SERVICE ROAD NEAR TCS OFFICE KHANA PUL RWP','9','23','200810','GREE','0',null,'03-DEC-2020','9978EG-CR1 - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-25 22:26:40','2021-01-30 22:51:43',null,'1',null,'0');
INSERT INTO complaints VALUES('3928','MISS FARIHA OMER','03235564979  03235654979','HO#70-B ST 05 GOMAL ROAD SEC E-7 ISB','5','32','118034','HAIER','0',null,'22-JUN-2020','120-1789HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-25 22:47:32','2021-01-29 23:36:36',null,'1',null,'0');
INSERT INTO complaints VALUES('3929','IRFAN IQBAL','03008526769','HO#1339 ST 08 MODEL TOWN HUMAK ISB','6','13','28501','SIGNATURE','SALE ADVISOR ZARA MICRO WAVE OVEN KI COMPLAINT HAY',null,'20-JULY-2020','25G - 1731','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-25 22:56:20','2021-01-28 21:21:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3930','CH AHSAN ALI AHMED','03028964768','HO#445 ST 28 SEC E-11/4 ISB','8','42','41377','TCL','1912VLR301003A00106',null,'27-JULY-2020','65P8M - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-25 23:05:34','2021-01-30 00:07:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3931','MR ATTIQ','03360588834','ST 42 PIPAL COLONY TENCH BATA RWP','9','24','181128','FIVE STAR','0',null,'09-NOV-2019','35G-TWIN SUPREME - 963','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'92','2021-01-25 23:21:58','2021-02-04 00:59:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3932','MR RIZWAN','03328880013','OFFICE 04 NOYAL   PLAZA FAZLY--HAQ ROAD BLUE AREA ISB','9','22','127874','ECOSTAR','MODAL#351FC  SALE ADVISOR NAEEM AHMED',null,'07-JAN-2021',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-25 23:37:25','2021-01-29 23:32:18',null,'1',null,'0');
INSERT INTO complaints VALUES('3933','MISS GHAZIA KARIM','03342848639','HO#1/1 ST 15 F-15/1 ISB','5','28','127816','SIGNATURE','SALE ADVISOR ABU BAKAR   COMPLAINT B BAKAR SIR NAY BAJI HAY',null,'06-JAN-2021','HC-2300G - 1122','BUILT IN APPLLIANCES','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-25 23:49:04','2021-02-03 00:17:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3934','RAJA MOBEEN SATTI','03335195109','HO#B-3/794 GULBARG STREET KHURRAM COLONY RWP','8','39','201671','SIGNATURE','MODAL#SBO-AR2 SALE ADVISOR MR IRFAN  OVEN KI COMPLAINT HAY',null,'06-DEC-2020',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-26 00:09:27','2021-01-28 22:10:49',null,'1',null,'0');
INSERT INTO complaints VALUES('3935','ASAD JAVED','03235216643','HO#90/2 MADINA  MOHALA LANE 07 KHALID STREET RWP','9','26','184255','KENWOOD','0',null,'21-DEC-2019','400VCM-BHL - 895','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-26 00:21:52','2021-01-29 23:25:47',null,'1',null,'0');
INSERT INTO complaints VALUES('3936','MR HAROON','03215013511','HO#14 LANE 02 SEC-C DHA 02 ISB','6','12','32180','HAIER','0',null,'19-DEC-2020','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-26 00:36:46','2021-01-29 23:23:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3937',null,null,null,'6',null,null,'DAWLANCE','00000',null,null,'7500C-DW - 1548','WASHING MACHINE','ANDAR SE DAMAGE HEI...',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-01-26 00:58:36','2021-02-04 00:44:33',null,'1',null,'0');
INSERT INTO complaints VALUES('3938',null,null,null,'6',null,null,'PANASONIC','00000',null,null,'776S - 1571','MICROWAVE OVEN','MOVING T ISSUE ...KNOB ISSUE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-01-26 00:59:21','2021-02-06 14:37:27',null,'1',null,'0');
INSERT INTO complaints VALUES('3939','MR SHAHID','03005343162','HO#220 ST 61 SEC I-8/3 ISB','9','27','135891','DAWLANCE','SALE ADVISOR KAMRAN',null,'10-JUN-2017','9188WBES-PLUS - 895','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-26 01:02:39','2021-01-29 23:20:00',null,'1',null,'0');
INSERT INTO complaints VALUES('3940','DR NADIA','03025130705','FLAT#1-B BUILDING NO 315 SEC-C ASKARI 14 RWP','9','22','172911','HOMAGE','SALE ADVISOR NAVEED',null,'15-JUN-2019','85HWD - 993','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-26 01:18:29','2021-01-29 23:17:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3941','MRS TARIQ','03335556623','HO#190 ST 2-B DOCTERS TOWN SEC 0/9 ISB','8','42','11867','HAIER','SALE ADVISOR AZHAR',null,'13-DEC-2019','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-26 02:34:53','2021-01-29 23:12:36',null,'1',null,'0');
INSERT INTO complaints VALUES('3942','MIA USMAN','03325001991 03355002008','HO#341 ST 37 UMAR BLOCK SAFARI HOMES BAHRIA 08','6','14','32527','MIDAS','SALE ADVISOR BADAL',null,'09-JAN-2021','E3 - 760','HEATER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-26 02:42:30','2021-01-29 23:10:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3943','SADDIQ SIR','03215000903','HO#233 ST 45 SEC F-11/3 ISB','5','28','0','LG','MODAL#65 INCH  C/O SADDIQ SIR KI COMPLAINT HAY',null,'0',null,'FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-26 19:52:50','2021-01-31 23:43:23',null,'1',null,'0');
INSERT INTO complaints VALUES('3944','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','DAWLANCE','0',null,'0','9100C-DW - 906','WASHING MACHINE','DOOR LOCK DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-26 20:14:01','2021-01-28 21:18:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3945','MRS ROBINA NAWAZ','03165186781','HO#02-ST 01 ALL WADI COLONY SATTRA MEEL ISB','5','30','126101','ORIENT','SALE ADVISOR BADAL',null,'05-DEC-2020','18G-ROYAL-CW - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-26 20:39:40','2021-01-29 23:06:44',null,'1',null,'0');
INSERT INTO complaints VALUES('3946','MR AHTESHAM UL HAQ','03130158255','HO#236 ST 2-B PHASE 5-A GHAURI TOWN ISB','4','6','37498','HAIER','SALE ADVISOR AZHAR SDA',null,'09-NOV-2019','95-1678HWM - 1817','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-26 20:53:22','2021-01-29 23:02:49',null,'1',null,'0');
INSERT INTO complaints VALUES('3947','RIZWAN BAHRIA 7','03126661934','FRIEND CORPORATION PHASE 7','6','12','0','MIDAS','1 PICCE(COMPLAINT ATTEND HO GEI HAIN REF TO S/C',null,'0','E3 - 760','HEATER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-26 21:29:21','2021-02-28 11:54:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3948','MR MAZHAR SIDDIQUE MALIK','03005384048','HO#30 ST 15-B SEC E DHA 02 ISB','5','36','99727','SIGNATURE','HOB KI COMPLAINT HAY',null,'08-DEC-2018','SBH-AA901G - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-26 21:30:03','2021-04-12 17:33:05',null,'1',null,'0');
INSERT INTO complaints VALUES('3949','MR MAZHAR SIDDIQUE MALIK','03005384048','HO#30 ST 15-B SEC E DHA 02 ISB','5','36','99980','SIGNATURE','SALE ADVISOR ASHRAF IKHLAQ',null,'08-DEC-2018','SFV-SY45 - 1467','FREEZER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-26 21:35:03','2021-02-12 11:22:02',null,'1',null,'0');
INSERT INTO complaints VALUES('3950','SARFARAZ AHMED','03379225109  03325316640','DHOK MANKIALA  RAWAT RWP','4','6','22149','CANON','MODAL#15CI BROWN-552 ATIF SADAR SIR NAY COMPLAINT BAJI HAY',null,'13-NOV-2020',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-26 22:05:27','2021-02-04 00:21:43',null,'1',null,'0');
INSERT INTO complaints VALUES('3951','DR MUMTAZ BASIT','03215355174  03335527747','USMANIYA COLONY DHOK MUSTAKEM ROAD BREAD FACTORY RWP','4','8','17735','WHIRLPOOL','MODAL#30WC  SALE ADVISOR WALEED',null,'02-DEC-2020',null,'MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-26 22:26:06','2021-02-09 16:34:49',null,'1',null,'0');
INSERT INTO complaints VALUES('3952','MR ASLAM','03333036233','VILLA 54/M3  EMMAR PAKISTAN OPPOSITE  IST UNIVERSITY  MAIN EXPRESS WAY ISB','6','16','21204','SIGNATURE','SALE ADVISOR ISHFAQ',null,'02-JUN-2019','SCF-HM08 - 954','FREEZER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-26 23:44:22','2021-02-20 15:19:20',null,'1',null,'0');
INSERT INTO complaints VALUES('3953','MR USMAN','03349098843','HO#281 ST 07 LANE 03 EASTERAGE  HI-COURT ROAD RWP','6','15','32311','SIGNATURE','MODAL#FS25S-N  OVEN KI COMPLAINT HAY',null,'26-DEC-2020',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 00:07:37','2021-01-28 21:18:05',null,'1',null,'0');
INSERT INTO complaints VALUES('3954','MR MUSHTAQ  HUSSAIN AZAM','03365182083  03085436426','HO#521 ST 12 NEAR SABA TRUST GULREZ 02 ISB','8','38','37645','KENWOOD','SALE ADVISOR AZHAR SDA',null,'20-NOV-2019','320GD-GNG - 883','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 00:30:52','2021-02-08 14:48:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3955','MR IMRAN','03459041860 03323867774','HO#09 ST 44 SEC F-6/1 ISB','9','19','204547','CANON','02 HEATER KI COMPLAINT HAY',null,'26-JAN-2021','815 - 1051','HEATER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 00:40:18','2021-01-29 22:41:55',null,'1',null,'0');
INSERT INTO complaints VALUES('3956','MR SHABAN','03215618426','VILLAGE LOONI SLAYHAL NEAR SHELL PUMP TEHSIL KALLAR SYEDAN DISTT RWP','8','42','203379','LG','PTCL CALL INVOICE HAY',null,'03-JAN-2021','4J5TNP7S - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 01:18:56','2021-02-06 14:36:58',null,'1',null,'0');
INSERT INTO complaints VALUES('3957','Developer','+923046847845','Jasim Arcade, Phase 7, Behria Town','3','3','123','BOSS','36565656','2021-01-26',null,'6000ECM - 1705','AIR COOLER','developer is testing',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-01-27 02:12:02','2021-01-29 00:45:36',null,'1',null,'0');
INSERT INTO complaints VALUES('3958','MISS SANA ZUBAIR','03000998801','HO#623 ST 13/1 BLOCK-B NATIONAL POLICE FOUNDATION ISB','4','10','17884','LG','SALE ADVISOR RIZWAN ALI',null,'12-DEC-2019','4J6TMP8S-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 02:12:14','2021-02-02 23:33:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3959','MR TAHIR','03009893381','2nd FLOOR EMPORIUM 01 FALCON COMPLEX KHANNA ROAD RWP','4','6','19073','FIVE STAR','MODAL#60WS PTCL CALL INVOICE HAY',null,'07-JAN-2021',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 02:21:45','2021-01-31 02:56:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3960','MR IMRAN','03009557559','HO#1765 ST 37 SEC G-7/4 ISB','5','28','114930','HAIER','SALE ADVISOR TARIQ',null,'22-FEB-2020','95-1678HWM - 1817','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 02:26:28','2021-01-30 22:03:11',null,'1',null,'0');
INSERT INTO complaints VALUES('3961','MR INAM','03335494462   03455897084','HO#36 ST 02 BLOCK-E FAZAYA COLONY TARNOL','5','33','125594','MITSUBISHI','0',null,'04-DEC-2020','50VA - 915','AIR CONDITIONER','GAS ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 02:52:02','2021-02-04 00:05:56',null,'1',null,'0');
INSERT INTO complaints VALUES('3962','MR SAGHEER','03215244691','GALE#10 DHOK CHARKH DIN MAREEH RWP','9','27','197409','SUPER ASIA','HAMMAD FCP NAY COMPLAINE BAJI HAY',null,'11-OCT-2020','242SA - 522','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 03:02:37','2021-02-02 21:07:54',null,'1',null,'0');
INSERT INTO complaints VALUES('3963','MR REHMAN','03357818116','FLAT#408 AWAS OVAIS CO RESIBIMSIA BAHRIA ROAD NEAR PWD','4','9','123880','SUPER ASIA','SALE ADVISOR ABU BAKAR',null,'12-NOV-2020','610EH - 1540','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 19:47:43','2021-01-30 21:35:28',null,'1',null,'0');
INSERT INTO complaints VALUES('3964','MR AHAD SIDDIQUI','03315313231','HO#710 ST 05 ALI BLOCK PHASE 08 BAHRIA TOWN','5','33','128468','KENWOOD','0',null,'25-JAN-2021','1828S-INV - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 19:56:29','2021-02-03 22:03:10',null,'1',null,'0');
INSERT INTO complaints VALUES('3965','COL ALTAF','03351582959','HO#304 ST 08 SEC-A ASKARI 14 RWP','6','14','31328','SAMSUNG','MODAL#15J5730SS-S  SALE ADVISOR BADAL  KAMRAN SIR NAY COMPLAINT BAJI HAY',null,'04-DEC-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 20:37:44','2021-01-28 21:15:58',null,'1',null,'0');
INSERT INTO complaints VALUES('3966','ASIF SAHIB','03005549588','HO#18 ST 44-A KORANG TOWN ISB','4','10','18567','FIVE STAR','MODAL#35G- HEAVYN DUTY',null,'06-DEC-2020',null,'GEYSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 21:14:37','2021-01-31 02:54:44',null,'1',null,'0');
INSERT INTO complaints VALUES('3967','MR AQEEL AHMED','03335762796','HO#44 ST 03 SEC-03 AIR PORT HOUSING SOCIETY RWP','9','19','139258','SIGNATURE','SALE ADVISOR KAMRAN',null,'20-AUG-2017','SRF-KK90G - 885','REFRIGERATOR','SOUND#COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 21:30:06','2021-02-08 12:35:44',null,'1',null,'0');
INSERT INTO complaints VALUES('3968','BILAL HAFEEZ','03005621974 03005164516','HO#03 MAIN SERVICE ROAD BAHRIA PHASE 08 RWP','9','24','159375','SAMSUNG','0',null,'10-OCT-2018','90J5455MW-S - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 21:49:53','2021-01-31 02:54:07',null,'1',null,'0');
INSERT INTO complaints VALUES('3969',null,null,null,'6',null,null,'KENWOOD','00000',null,null,'2435S-INV - 917','AIR CONDITIONER','INDOOR PCB ISSUE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-01-27 22:19:40','2021-03-18 17:46:15',null,'1',null,'0');
INSERT INTO complaints VALUES('3970','SYED NABEEL','03315055334','HO#28 ST 01 SEC-C BAHRIA ENCLAVE ISB','8','42','41444','SHARP','0',null,'28-JULY-2020','612V-SS3 - 1547','DISH WASHER','ERROR F-2',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 22:32:37','2021-02-13 15:39:34',null,'1',null,'0');
INSERT INTO complaints VALUES('3971','DR AFZAL MATTO','03006143609','HO#230 PRINCES STREET GREEN AVENUE PARK ROAD ISB','8','39','40614','HAIER','SALE ADVISOR ZAFARULLAH',null,'30-JUN-2020','336EPB - 894','REFRIGERATOR','OVER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 22:54:35','2021-01-31 00:37:59',null,'1',null,'0');
INSERT INTO complaints VALUES('3972','MR RASHEAD AHMAD','03335145565','HO#747 ST 04 OVER SEAS 06 BAHRIA PHASE 08','9','20','164759','LG','PTCL CALL INVOICE HAY',null,'15-JAN-2019','512FPW-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 23:04:58','2021-02-13 16:48:19',null,'1',null,'0');
INSERT INTO complaints VALUES('3973','MR RASHEAD AHMAD','03335145565','HO#747 ST 04 OVER SEAS 06 BAHRIA PHASE 08','9','20','164759','SAMSUNG','PTCL CALL INVOICE HAY',null,'15-JAN-2019','90J5455MW-S - 901','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 23:10:36','2021-02-01 00:15:52',null,'1',null,'0');
INSERT INTO complaints VALUES('3974','MR ZAHID FAROOQ','03005000255','HO#1090 ST 01 USMAN BLOCK BAHRIA TOWN  PHASE 08 RWP','4','6','10866','HAIER','SALE ADVISOR SALEEM',null,'30-SEP-2019','90-1789HWM - 901','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-27 23:34:50','2021-01-31 00:40:46',null,'1',null,'0');
INSERT INTO complaints VALUES('3975','MR MUKHTAR AHMAD','03325572807','HO#72 ST 11 USMAN BLOCK BLOCK-D PHASE 08 RWP','6','12','25467','ORIENT','HOME SOLUTION NAY COMPLAINT BAJI HAY',null,'04-JAN-2020','12G-BOLD-UW-INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-28 00:26:13','2021-01-30 21:22:18',null,'1',null,'0');
INSERT INTO complaints VALUES('3976','GEN RAHEEL ZAFAR','03215326568  03088512549','HO#180 ST 31 OVER SEASE FIVE PHASE 08 RWP','6','12','29584','SAMSUNG','MODAL#65TU7000-MRM',null,'14-SEP-2020',null,'FLAT PANEL TV','SCREEN LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-28 01:06:07','2021-02-13 15:39:06',null,'1',null,'0');
INSERT INTO complaints VALUES('3977','ABID HUSSAIN','03315455828  03360801110','FLAT#3rd FATIMA ARCADE SEC E-11/2 ISB','5','53','127749','DAWLANCE','0',null,'04-JAN-2021','210S-DW - 960','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-28 01:09:14','2021-01-30 21:00:42',null,'1',null,'0');
INSERT INTO complaints VALUES('3978','SYED MAQSOOD AHMAD','03465464713','HO#DD/56-A ST 05 NEAR CHOTI MASJID GULSHAN DADAN SHAMSABAD RWP','8','42','45062','ECOSTAR','MODAL#65UD960',null,'13-DEC-2020',null,'FLAT PANEL TV','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-28 01:37:00','2021-01-30 20:48:32',null,'1',null,'0');
INSERT INTO complaints VALUES('3979','MR NASIR','03219546515','HO#514 ST 133 SEC D-12/4ISB','8','42','21618','HAIER','SALE ADVISOR SHAYAAN HEAD OFFICE',null,'22-APR-2020','438IDBT - 896','REFRIGERATOR','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-28 01:49:40','2021-02-14 13:26:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3980','SYED ALTAF SHAH','03366262628 0515731118','HO#143 ST 08 PHASE 02 BAHRIA TOWN RWP','4','9','5310','SIGNATURE','SALE ADVISOR SALEEM',null,'13-SEP-2018','SCF-HM08 - 954','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-28 02:00:58','2021-02-06 17:42:09',null,'1',null,'0');
INSERT INTO complaints VALUES('3981','BURHAN UDIN','03008589999','HO#13 MAIN ROAD MARGLA TOWN PHASE 02 ISB','8','38','16632','PEL','0',null,'30-MAY-2016','150PRDI - 896','REFRIGERATOR','DOOR REBER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-28 02:14:09','2021-01-30 20:39:35',null,'1',null,'0');
INSERT INTO complaints VALUES('3982','MR TAHIR KIYANI','03222228007','HO#226 ST 23 SEC F-11/2 ISB','8','37','21333','SAMSUNG','SALE ADVISOR SHAYAAN BADAL SIR NAY COMPLAINT BAJI HAY',null,'17-APR-2020','11J5710-S - 905','WASHING MACHINE','ERROR C4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-28 02:41:53','2021-01-31 23:37:48',null,'1',null,'0');
INSERT INTO complaints VALUES('3983','MR ASAD','03324993499','HO#27 ST 25 KORANG TOWN ISB','4','6','19338','HAIER','MODAL#285IM GRAY-1977 SALE ADVISOR SALEEM',null,'25-JAN-2021',null,'FREEZER','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-28 19:38:24','2021-02-04 00:11:29',null,'1',null,'0');
INSERT INTO complaints VALUES('3984','SYED UMER SHAH','03023987768','HO#31 ST 11 SEC G-13/3 ISB','5','29','121769','ECOSTAR','0',null,'11-SEP-2020','43UD951 - 869','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-28 20:03:06','2021-02-11 11:06:12',null,'1',null,'0');
INSERT INTO complaints VALUES('3985','MR AFTAB','03060575282  03355912621','HO#101 ST 76-A SEC E-11/2 ISB','9','20','202022','TCL','0',null,'09-DEC-2020','18HEA - 915','AIR CONDITIONER','COMPRESSOR ISSUE',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'92','2021-01-28 20:43:37','2021-03-15 11:57:11',null,'1',null,'0');
INSERT INTO complaints VALUES('3986','MR TARIQ','03412220000','HO#476-A ST 49 NEAR CITY SADAR ROAD MOHANPURA RWP','9','23','204629','CORONA','0',null,'27-JAN-2021','125C-AUTO - 1074','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-28 21:41:49','2021-02-08 13:41:19',null,'1',null,'0');
INSERT INTO complaints VALUES('3987','MR AMIR','03115075637','HO#27 ST 27 BLOCK-H SOAN GARDEN ISB','4','6','16608','CANON','SALE ADVISOR MISC',null,'06-OCT-2020','16D-PLUS-DUAL - 1030','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-28 21:48:18','2021-02-03 22:21:24',null,'1',null,'0');
INSERT INTO complaints VALUES('3988','MR WAHEED AFZAL','03455255401   03444200644','PLOT#156 NEAR SONA TOWER THEMALL RWP','9','19','182746','ORIENT','PTCL CALL INVOICE HAY',null,'10-DEC-2019','531BL - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-28 21:59:06','2021-01-28 23:17:43',null,'1',null,'0');
INSERT INTO complaints VALUES('3989','USMAN ALI','03445560634','HO#P-668 MOHALA ANGAT PURA THANA BANI ROAD RWP','9','26','161618','HAIER','MODAL#80-000',null,'27-NOV-2018',null,'WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-28 22:25:01','2021-02-01 21:40:26',null,'1',null,'0');
INSERT INTO complaints VALUES('3990','MR ADEEL','03222711113','HO#43 ST 01 KORANG TOWN RWP','8','38','38921','LG','0',null,'03-FEB-2020','512FPS-S - 1653','DISH WASHER','ERROR AE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-28 23:18:55','2021-02-13 16:47:11',null,'1',null,'0');
INSERT INTO complaints VALUES('3991','MR SHOKAT KHAN','03365293767  03005031841','GALI#03 AKBAR PLAZA DHOK MUSTAQEEM RWP','9','23','155082','HAIER','PTCL CALL INVOICE HAY',null,'07-JULY-2018','385TPR - 884','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-28 23:28:52','2021-02-01 22:07:59',null,'1',null,'0');
INSERT INTO complaints VALUES('3992','NAEEM NASEER','03325532355','plot no 81 f st no 6 sec i/10-3 isb','10','44','0','SONY','0',null,'0','65X9500H-CC','FLAT PANEL TV','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-28 23:37:18','2021-03-14 12:15:57',null,'1',null,'0');
INSERT INTO complaints VALUES('3993','MAJOR TAIMOOR','03408791044','HO#D2/6 YOUSAF COLONY WESTRIGE 03 RWP','7','49','21073','ORIENT','SALE ADVISOR ZAHID',null,'01-JUN-2020','18G-HYPER-SW - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-29 00:04:17','2021-02-12 16:38:45',null,'1',null,'0');
INSERT INTO complaints VALUES('3994','MR FAZIL','03201100677  03015092707','MOHALA WAZERABAD NAI ABADI BARAKHU ISB','9','23','200418','CANON','PTCL CALL INVOICE HAY',null,'02-DEC-2020','16D-PLUS-DUAL - 1030','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-29 00:21:52','2021-02-01 21:23:45',null,'1',null,'0');
INSERT INTO complaints VALUES('3995','QAISER JAMEEL','03005281081','HO#15 SAIF-UL-ISLAM COLONY KHANA PUL BERMA TOWN RWP','6','14','23057','SONY','LS40W650DS  SALE ADVISOR ARSHAD',null,'14-SEP-2019',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-29 00:30:19','2021-02-24 12:52:30',null,'1',null,'0');
INSERT INTO complaints VALUES('3996','RAJA IMRAN','03060554072  03488965643','ARI SYEDAN STOP MAIN KAHUTA KASHMIR ROAD RWP','9','51','196479','SONY','PTCL CALL INVOICE HAY',null,'20-SEP-2020','40W650D-CC - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-29 00:37:21','2021-02-24 13:26:33',null,'1',null,'0');
INSERT INTO complaints VALUES('3997','MR USMAN','03018558679','HO#129 LANE 07 ASKARI 07 OPP PUNJAB CASHAN CARE  RWP','9','23','204058','LG','HASSAN FHHS SIR NAY COMPLAINT BAJI HAY',null,'17-JAN-2021','8265CIS-S - 987','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-29 01:00:36','2021-02-18 14:29:35',null,'1',null,'0');
INSERT INTO complaints VALUES('3998','MISS SAIRA','03342679900','HO#55 ST 04 EXATIVE LOUDGE PHASE 3 BAHARIA TOWN ISB','6','16','23602','ORIENT','SALE ADVISOR BADAL',null,'20-OCT-2019','18G-ATLANTIC-GW - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-29 02:25:40','2021-03-04 15:48:13',null,'1',null,'0');
INSERT INTO complaints VALUES('3999','MR RAJA AFTAB','03328853518','HO#110 GALI 42 SEC G-10/4 ISB','8','39','39178','HAIER','0',null,'18-FEB-2020','630DGG - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-29 02:45:53','2021-02-04 17:03:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4000','NASEEM QASIER','03344234080','HO#CB766/PIA COLONY WEST RIDGE ROAD R.W.P','8','37','45866','DAWLANCE','0',null,'21-JAN-2021','91996GD-INV-BDY - 885','REFRIGERATOR','OVER COOLING PRB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-29 20:25:37','2021-02-02 23:33:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4001','RAMESH KUMAR','03337153631','FLAT#005 ST#100 101 TOWER G-11/3 ISB','5','32','125829','SIGNATURE','0','2005-02-01',null,'32S600 - 936','FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-29 20:36:02','2021-01-30 22:03:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4002','ASGHAR','03468200607','HO#13 ST#05 JINNAH GARDEN PHASE 01 ISB','9','20','161587','FIVE STAR','0',null,'26-NOV-2018','5500C-FS - 1965','COOKING RANGE','AUTO SWITCH NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-29 20:43:52','2021-02-02 23:52:20',null,'1',null,'0');
INSERT INTO complaints VALUES('4003','SHAHID','03005241199','HO#142 ST#22 F-10/2 ISB','5','33','121688','HOMAGE','0',null,'09-SEP-2020','43HWD - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-29 21:05:43','2021-02-01 20:54:00',null,'1',null,'0');
INSERT INTO complaints VALUES('4004','REHAN SAB','03215109541','HO#CB 174 GULNAR COLONY COOB LINE OPP ASKRI 11 R.W.P','5','31','124598','ORIENT','32HDACTION',null,'28-NOV-2020',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-29 21:12:41','2021-02-02 23:25:16',null,'1',null,'0');
INSERT INTO complaints VALUES('4005','ABDUL SATTAR SAB','03339122610','PLAOT#08 ST#N -3 RCC1 INDUSTRIAL ESTATE QAYUM SOAP &CHEMICAL INDUSTRY PVT LTD RWAT ISB','9','25','202711','FIVE STAR','60WS',null,'22-DEC-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-29 21:40:57','2021-02-02 21:00:21',null,'1',null,'0');
INSERT INTO complaints VALUES('4006',null,null,null,'7',null,null,null,'CWDL420711200147',null,null,'203R','WATER DISPENSER','DOOR OPEN NHI HO RHA',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'98','2021-01-29 23:14:55','2021-02-16 17:57:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4007',null,null,null,'7',null,null,null,'CWDL420711200173',null,null,'203R','WATER DISPENSER','DOOR DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'98','2021-01-29 23:16:05','2021-02-16 17:57:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4008','ADNAN ALI SAB','03365185995','OFFICE#20-D SERVICE PLAZA MALL RAOAD SADAR R.W.P','7','49','19940','ORIENT','0',null,'28-OCT-2019','18G-ATLANTIC-GW - 915','AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-30 01:10:58','2021-02-01 20:22:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4009','RAMESH KUMAR','03337153631','FLAT#005 ST#100 101 TOWER G-11/3 ISB','5','32','125829','SIGNATURE','0',null,'05-DEC-2020','32S600 - 936','FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','4001','74','2021-01-30 02:28:51','2021-02-04 14:58:52',null,'1',null,'0');
INSERT INTO complaints VALUES('4010','RAZA PARVEEZ','03335158618','HO#1400 ST 62 BLOCK-B SEC B-17 ISB','9','19','28295','SIGNATURE','SALE ADVISOR MR USMAN PTCL CALL INVOICE HAY',null,'24-JUN-2018','SRF-KK95G - 903','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-30 19:55:14','2021-02-02 20:59:50',null,'1',null,'0');
INSERT INTO complaints VALUES('4011','COL RIZWAN','03215010666','HO#D28 APF BASE MUR KHAN CHAKLALA R.W.P','8','37','0','GREE','C/O OMER  & NAEEM & TAHIR','2021-01-30',null,null,'AIR CONDITIONER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-30 20:04:41','2021-02-02 20:30:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4012','MR DANISH','03325505171','HO#38 ST 36 SEC F-6/1 ISB','5','36','111637','DAWLANCE','PTCL CALL INVOICE HAY',null,'10-DEC-2019','10500DW - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-30 20:08:51','2021-02-02 23:22:36',null,'1',null,'0');
INSERT INTO complaints VALUES('4013','MR AMJAD KHAN','03215711116','HO#04 NEAR PSO PETROL PUMP MAIN MURREE ROAD BARA-KOH ISB','5','34','127299','HAIER','0',null,'21-DEC-2020','90-1789HWM - 901','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-30 20:31:02','2021-02-02 23:20:40',null,'1',null,'0');
INSERT INTO complaints VALUES('4014','MR AHMED','03225199007  03345199007','HO#CB-2166/4 MUNAWAR STREET DHOK CHODEREAY RWP CANTT','9','26','122617','DAWLANCE','PTCL CALL INVOICE HAY',null,'03-OCT-2016','9188WBLVS - 895','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-30 21:20:08','2021-02-02 23:18:09',null,'1',null,'0');
INSERT INTO complaints VALUES('4015','BUT STOCK','0311 5006051','FRIENDS CORPORATION PWD','4','7','0','TCL','AGAIN COMPLAINT REOPEN(3322)','2021-01-30',null,'55P8M - 942','FLAT PANEL TV','Panel main line hai',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-30 21:39:15','2021-04-07 15:22:14',null,'1',null,'0');
INSERT INTO complaints VALUES('4016','MR RIZWAN','03165163266','ST NO 209 MALALI CHOWK OPP JINNAH GARDEN ISB','9','19','194684','HAIER','0',null,'15-AUG-2020','85-12826HW - 945','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-30 21:47:36','2021-02-12 16:29:22',null,'1',null,'0');
INSERT INTO complaints VALUES('4017','SAMI ULLAH','03005018506','H NO 1080 ST NO 67/83 SAFARI VALLEY UMER BLOCK PHASE 8 B.TOWN RWP','6','13','28780','SIGNATURE','SALE ADVISOR ZARA',null,'30-JULY-2020','SBH-AA901G - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-30 21:59:51','2021-02-24 13:50:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4018','MR LIAQAT ALI','03018509088  03065006058','HO#84 ST 03 SEC 4C-1 GHORI TOWN ISB','4','6','19267','CARAVELL','MODAL#203R SALE ADVISOR SALEEM',null,'20-JAN-2021',null,'WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-30 22:12:08','2021-02-02 22:02:10',null,'1',null,'0');
INSERT INTO complaints VALUES('4019','ARSHAD FCI','03065005122','FRIEND CORPORATION BLUE AREA','5','32','0','HAIER','MODAL#578','2021-01-30',null,null,'REFRIGERATOR','DOOR  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-30 22:23:12','2021-02-16 17:33:21',null,'1',null,'0');
INSERT INTO complaints VALUES('4020','MR HAIDER','03367009007','HO#1736-1737 GULSHANY NAYAB NEAR BISMILLAH MASJID VISTERAGE 03 ISB','9','23','200611','CANON','SALE ADVISOR IRFAN',null,'03-DEC-2020','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-30 22:51:17','2021-02-04 16:54:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4021','INDONESIA EMBASSAY','03416319791','INDONESIA EMBASSAY ST 05 SEC G-5 ISB','5','34','127625','BOSCH','MODAL#12TQ20M',null,'31-DEC-2020',null,'COOKING RANGE','BULB LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-30 23:14:56','2021-02-03 22:31:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4022','ISHFAQ FHHS','03135001212','FRIEND CORPORATION SHAMSA  BAD RWP','8','39','0','CANON','0','2021-01-30',null,'BOV-08 - 1731','BUILT IN APPLLIANCES','GREAL# ROAD MISSING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-30 23:43:25','2021-03-16 16:16:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4023','SARDAR FARAT','03005120044','APP#3rd FLOOR  RABI CENTER BAHRIA PHASE 07 RWP','6','12','27934','HAIER','0',null,'23-APR-2020','18HFCD-W-INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 00:00:58','2021-02-02 21:29:59',null,'1',null,'0');
INSERT INTO complaints VALUES('4024','MR KHURRAM MUSHTAQ','03215127884','HO#10 ST 115 SEC G-13/1 ISB','5','34','116546','SAMSUNG','0',null,'20-MAY-2020','11J5710-S - 905','WASHING MACHINE','ERROR-DC',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 00:22:18','2021-02-06 13:27:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4025','MAZHAR FCP','03139899001','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','23','0','LG','0',null,'0','8265CIS-S - 987','MICROWAVE OVEN','ON/OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 00:30:35','2021-02-18 11:41:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4026','MR WAQAS','03315607030','HO#178 ST 31/27 OVERSEAS 05 PHASE 08 RWP','6','14','19312','HAIER','SALE ADVISOR ZEESHAN',null,'17-FEB-2019','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 00:36:00','2021-02-02 21:23:26',null,'1',null,'0');
INSERT INTO complaints VALUES('4027','MR ALI','03331412188','HO#231 ST 15 BLOCK-C MEDIA TOWN RWP','4','8','19067','CANON','MODAL#18DD-NG',null,'07-JAN-2021',null,'GEYSER','ON/OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 01:05:35','2021-02-02 21:21:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4028','AGHA QASIM','03008556612','HO#807 PARK LANE SCEEM 03 RWP','5','31','90227','SAMSUNG','SALE ADVISOR ARSHAD',null,'19-DEC-2017','65Q7F-GT - 1443','FLAT PANEL TV','SCREEN LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 01:12:47','2021-03-04 16:09:01',null,'1',null,'0');
INSERT INTO complaints VALUES('4029','MR WAJHAT ALI','03004064959  03319505215','HO#12 ST C-3 ROAD 5-B BAHRIA INCLAVE ISB','9','24','195302','HAIER','0',null,'24-AUG-2020','95-1678HWM - 1817','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 01:21:34','2021-02-02 20:52:10',null,'1',null,'0');
INSERT INTO complaints VALUES('4030','MR WASEEM','03335209231   033349451596','HO#B-3422-Y MUSLIM TOWN BANK KHANNA ROAD RWP','8','37','23938','SIGNATURE','0',null,'19-AUG-2017','SRF-HM99 - 908','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 01:32:15','2021-02-08 12:33:12',null,'1',null,'0');
INSERT INTO complaints VALUES('4031','MR WASEEM','03335209231 033349451596','HO#B-3422-Y MUSLIM TOWN BANK KHANNA ROAD RWP','8','37','21378','LG','0',null,'05-APR-2017','1496TDT24W - 122','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 01:35:34','2021-02-15 13:18:29',null,'1',null,'0');
INSERT INTO complaints VALUES('4032','MR TANVEER AHMED','03352277088','HO#986 ST 21 SEC G-11/1 ISB','8','37','40148','SIGNATURE','AGAIN COMPLAINT AAGEI',null,'10-JUN-2020','SBC-MELBURNE-90PLUS - 1123','BUILT IN APPLLIANCES','BUNNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-31 01:50:08','2021-02-04 14:57:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4033','MR HAFAZAT-ULLAH-KHAN','03335242506','HO#19 ST 07 BLOCK-C NAVAL INCRAGE ISB','4','9','15806','GREE','SALE ADVISOR MISC',null,'10-AUG-2020','9978EG-CB1 - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 01:57:31','2021-02-02 20:48:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4034','MR SABOOR','03365484122','HO#62 ST 06 AZEEM COLONY SEC 4-B KHABANY SIR SYED RWP','9','27','189770','GREE','0',null,'02-JUN-2020','12CITH12G - 913','AIR CONDITIONER','HEATING#COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 02:07:57','2021-02-03 21:34:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4035','WAQAS FCP','03215151945','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','24','0','GREE','0',null,'0','18FITH1S - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 02:31:10','2021-03-16 16:16:05',null,'1',null,'0');
INSERT INTO complaints VALUES('4036','MR WAQAS','03145050509','HO#06 ST 01 BLOCK-C SOAN GARDEN ISB','4','9','1256','SIGNATURE','SALE ADVISOR MUDASSAR',null,'15-OCT-2017','SCR-FSS3-5G - 1076','COOKING RANGE','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 02:42:44','2021-02-05 13:21:00',null,'1',null,'0');
INSERT INTO complaints VALUES('4037','FROBELS SCHOOL PVT LTD','03355421111','FROBELS INTERNATIONAL SCHOL JUNG BATHER WAH CANTT','5','28','128555','KENWOOD','2436S-INV-192',null,'27-JAN-2021',null,'AIR CONDITIONER','ERROR E 6',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-01-31 02:47:20','2021-02-02 20:05:50',null,'1',null,'0');
INSERT INTO complaints VALUES('4038','MR RIZWAN','03018466488   03039000999','HO#66 ST 02 SEC-E DHA 02 ISB','6','13','772','HAIER','SALE ADVISOR ZARA',null,'25-JAN-2021','622IBS - 908','REFRIGERATOR','COMPRESSOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 19:52:57','2021-02-03 20:40:36',null,'1',null,'0');
INSERT INTO complaints VALUES('4039','MR MOJEEB BIN IHSAN','03005262336   0518741616','HO#NV-16 NUST COMPUS SEC H-12 ISB','5','30','59690','LG','SALE ADVISOR TAJAMUL HUSSAIN',null,'12-APR-2014','1496TDT24W - 122','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 20:40:43','2021-03-01 15:33:53',null,'1',null,'0');
INSERT INTO complaints VALUES('4040','MR MOJEEB BIN IHSAN','03005262336  0518741616','HO#NV-16 NUST COMPUS SEC H-12 ISB','5','30','71284','SIEMENS','SALE ADVISOR TAJAMUL HUSSAIN',null,'14-NOV-2015','24D801EU - 1601','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 20:46:17','2021-02-12 16:31:56',null,'1',null,'0');
INSERT INTO complaints VALUES('4041','MR ALI SHAHZAIB','03145056787','HO#409 MIN CORNISH ROAD BAHRIA SPRING PHASE 07 RWP','6','12','22846','LG','0',null,'28-AUG-2019','1766NEFTS-S - 1486','WASHING MACHINE','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 21:04:18','2021-02-05 13:20:21',null,'1',null,'0');
INSERT INTO complaints VALUES('4042','IFTIKHAR ABBAS','03110343838   03319374561','DARAY ARKARAM SCHOOL MUHALA SIJALNEAR JAMMY MASJID  BARI-MAM ISB','5','32','84118','SIGNATURE','PTCL CALL INVOICE HAY',null,'09-MAY-2017','55WB-B - 887','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 21:47:57','2021-03-06 11:56:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4043','MR SHAKEEL','03034881240','SHANI SINGAL ART SALON QASIM MARKET HAKEEM PLAZA RANGE ROAD  RWP','4','11','18618','FIVE STAR','SALE ADVISOR ALI MURTAZA',null,'08-DEC-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-01-31 22:05:46','2021-02-06 14:47:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4044','MR RASHEAD AHMAD','03335145565','HO#747 ST 04 OVER SEAS 06 BAHRIA PHASE 08','9','20','164759','SAMSUNG','PTCL CALL INVOICE HAY',null,'15-JAN-2019','90J5455MW-S - 901','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-01 00:15:34','2021-02-03 21:49:16',null,'1',null,'0');
INSERT INTO complaints VALUES('4045','COL AIMEL','03335114505  03335471112','MODERAN FLOUR MILLS NASEERABAD PESHAWAR ROAD RWP','6','14','26150','SAMSUNG','SALE ADVISOR BADAL',null,'15-FEB-2020','75Q60-S - 881','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-01 02:03:18','2021-02-25 11:41:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4046','SHAIKH ZOHAIB','03335619749','HO#257 ST 14 BLOCK-D MEDIA TOWN ISB','9','51','191897','SONY','SAQIB FCP SIR NAY COMPLAINT BAJI HAY',null,'01-JULY-2020','40W650D-CC - 938','FLAT PANEL TV','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-01 19:50:59','2021-02-24 16:20:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4047','MR KAMRAN AZMI','03315068643','HO#724 ST 31 PHASE 03 BAHRIA TOWN','4','5','4254','LG','PTCL CALL INVOICE HAY',null,'30-JUN-2018','4J6TMP8S-C - 899','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-01 20:03:57','2021-02-13 16:38:01',null,'1',null,'0');
INSERT INTO complaints VALUES('4048','MR ASLAM','03335183603','VILLAGE SIHALA  NEAR CHAKRI ROAD  RWP','9','21','197121','KENWOOD','SALE ADVISOR NAVEED',null,'04-OCT-2020','1012SA - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-01 20:16:32','2021-02-04 15:00:03',null,'1',null,'0');
INSERT INTO complaints VALUES('4049','COL NOMAN','03028331456  03127751555','HO#8-A/217 SALAM LANE FIRDOSI ROAD SADDAR RWP','6','13','32084','WHIRLPOOL','SALE ADVISOR ZARA',null,'13-DEC-2020','412DX-HC-INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-01 20:27:34','2021-02-05 13:22:59',null,'1',null,'0');
INSERT INTO complaints VALUES('4050','MR WAHEED AFZAL','03455255401 03444200644','PLOT#156 NEAR SONA TOWER THEMALL RWP','9','19','182746','ORIENT','PTCL CALL INVOICE HAY',null,'10-DEC-2019','531BL - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-01 20:41:30','2021-02-04 13:24:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4051','MR ASAD','03344678142  03006204332','HO#457 ST 16 SEC 03 AIR PORT HOUSING SOCIETY RWP','8','37','20812','SIGNATURE','02 REFRIGERATOR KI COMPLAINT HAY SAME MODAL',null,'25-FEB-2017','MD99SS-S - 1723','REFRIGERATOR','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-01 21:10:09','2021-02-03 21:49:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4052','MR NAVEED','03215549005','HO#1882 ST 07 BLOCK C NATIONAL POLICE  FOUNDATION SEC 0-9  PWD ISB','4','8','6144','TCL','1809VLR300605A00221  SALE ADVISOR NAEEM AZEEM',null,'25-NOV-2018','43P6US - 869','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-01 21:28:39','2021-02-05 13:18:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4053','MR SAAD','03009850304','HO#B- 101 BLOCK-B  MAIN DOUBLE ROAD B EXT MULTI GARDENS SEC B-17 ISB','6','12','30713','SAMSUNG','MODAL#55TU7000-MRM',null,'26-NOV-2020',null,'FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-01 21:37:50','2021-02-15 13:17:59',null,'1',null,'0');
INSERT INTO complaints VALUES('4054','MR ABEER','03475000625  03458224466','HO#329-A ST 49 SEC G-10/3 ISB','5','33','118926','SONY','0',null,'09-JULY-2020','49X8000G-CC - 1629','FLAT PANEL TV','SCREEN PANEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-01 22:16:19','2021-02-04 17:20:49',null,'1',null,'0');
INSERT INTO complaints VALUES('4055','MR TANVEER','03335833931  03005055711','HO#15 ST 19 SEC 3-C BAHRIA ENCLAVE ISB','5','33','112737','SHARP','0',null,'15-DEC-2019','18HCP-INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-01 22:40:52','2021-02-04 12:52:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4056','MR FAHAD','03215399688','HO#92 MAIN ROAD CHAKLALA SCHEME 01 RWP','9','22','204463','HAIER','MODAL#18HFMAC-W-INV',null,'25-JAN-2021',null,'AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-01 22:59:08','2021-02-16 17:58:59',null,'1',null,'0');
INSERT INTO complaints VALUES('4057','CH ZEESHAN','03228587315   03235293515','HO#283  ST 08 MOHALA RAJA SULTAN  RWP','9','23','182849','KENWOOD','0',null,'11-DEC-2019','320VCM-BHL - 883','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-01 23:15:37','2021-02-04 12:47:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4058','MR ALI','03455247004  03225520539','VILLAGE SADPUR   MARGALA ROAD RANGER HAD COURTIER ISB','5','33','127466','KENWOOD','0',null,'25-DEC-2020',null,'AIR CONDITIONER','ERROR E-5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-02 00:25:12','2021-02-04 12:45:53',null,'1',null,'0');
INSERT INTO complaints VALUES('4059','AZEEM STOCK','03315420488','FRIENDS CORPORATION BULE AREA ISB','9','50','0','DAWLANCE','MICRO OVEN',null,'0','220S-DW - 960','MICROWAVE OVEN','DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-02 00:33:31','2021-02-02 20:59:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4060','AZEEM STOCK','03315420488','FRIENDS CORPORATION BULE AREA ISB','9','50','0','DAWLANCE','MICRO OVEN',null,'0','MD4 - 65','MICROWAVE OVEN','TOP DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-02 00:35:38','2021-02-02 20:58:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4061','MR ROHAN','03331673914','HO#1413 ST 69 SEC-F DHA 01 ISB','6','12','10567','SIGNATURE','SALE ADVISOR USMAN',null,'09-SEP-2017','SWM-JD56 - 1643','WASHING MACHINE','ERROR E-5 WATER DRAIN ISSUE',null,'5','COMPLAIN T CLOSED',null,'customer','0',null,'92','2021-02-02 00:42:16','2021-02-06 14:36:26',null,'1',null,'0');
INSERT INTO complaints VALUES('4062','MR REHMAT','03429464609','HO#1272 ST 50 BAHRIA TOWN PHASE 03 RWP','4','7','14935','SUPER ASIA','SALE ADVISOR ALI MURTAZA',null,'30-JUN-2020','241SA - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-02 00:49:39','2021-02-04 13:05:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4063','MR EHSAN','03170005000','HO#08 ST 10 SEC-B DHA PHASE 01 ISB','6','15','27751','TCL','1903VLR300802A00025  SALE ADVISOR BADAL',null,'15-JUN-2020','55P5US - 942','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-02 01:05:38','2021-02-05 13:06:33',null,'1',null,'0');
INSERT INTO complaints VALUES('4064','MRS SAUD','03335237404','HO#1534 ST#30  G-11/2 ISB','5','28','23892','BOSCH','YHA DIRECT TAHIR  SAB KO FF KAI  (C/ O BILAL MANZOOR)',null,'ONE WEEK','24462GC - 902','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-02 01:09:57','2021-02-20 13:42:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4065','AMIR MOHIUDDIN','03365778899','HO#71 SEC GREEN AVINEM 02 PARK INCLAVE ISB','8','39','45623','HAIER','0',null,'09-JAN-2021','385HDF-INV - 1468','FREEZER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-02 01:19:57','2021-02-04 13:27:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4066','ADIL FHSS','03403339967','FRIENDS HOME SHAMSHABAD R.W.P','8','38','0','SAMSUNG','85Q-820T(ADIL BHAI NA DIRECT BAJWAI THI)',null,'0',null,'FLAT PANEL TV','WIFI DISABLE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-02 01:27:22','2021-02-04 14:57:16',null,'1',null,'0');
INSERT INTO complaints VALUES('4067','MR DAUD ZAFAR','03367576328','HO#26 ST 05 SEC-A  DHA PHASE 05 ISB','4','7','13425','SIGNATURE','PTCL CALL INVOICE HAY',null,'07-MAR-2020','SWM-JD51 - 902','WASHING MACHINE','BODY CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-02 01:29:58','2021-02-09 12:11:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4068','ADIL FHSS','03403339967','FRIENDS CORPORATION BULE AREA ISB','8','38','0','SAMSUNG','55TU8500(ADIL BHAI NA DIRECT BAJWAI THI)',null,'0',null,'FLAT PANEL TV','WIFI DISABLE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-02 01:30:12','2021-02-04 14:56:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4069','BILAL FHHS','03120578711','FRIEND CORPORATION SHAMSA  BAD RWP','8','41','0','CARAVELL','MODAL#204B','2021-02-01',null,null,'WATER DISPENSER','HANDEL DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-02 01:55:47','2021-02-16 13:56:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4070','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','CANON','MODAL#15 LITR','2021-02-01',null,null,'GEYSER','THERMOSTAT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-02 01:58:34','2021-02-09 15:43:14',null,'1',null,'0');
INSERT INTO complaints VALUES('4071','FARHAN SAB','03358018018','HO#85 ST#49 D-12/2 ISB','8','38','917','LG','0',null,'03-JUN-2020','4V5RYP2T-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-02 02:33:20','2021-02-04 17:20:20',null,'1',null,'0');
INSERT INTO complaints VALUES('4072','MR MOHSIN DURRANI','03345616033   03231482411','HO#01 ST 02 SEC B-2 BAHRIA ENCLAVE  ISB','5','33','84501','SIGNATURE','SALE ADVISOR IMRAN MUGHAL',null,'18-MAY-2017','SVF-SY40N - 1468','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-02 02:33:52','2021-02-11 12:47:56',null,'1',null,'0');
INSERT INTO complaints VALUES('4073','MR BADDAR','03335449150  03335482475','HO#142 ST 04 SEC 04 AIR PORT HOUSING SOCIETY ISB','9','23','199355','FIVE STAR','MODAL#40WS',null,'17-NOV-2020',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-02 02:38:44','2021-02-05 12:32:43',null,'1',null,'0');
INSERT INTO complaints VALUES('4074','IMRAN FCP','03005331105','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','51','0','MULTY NET','32NS200',null,'0',null,'FLAT PANEL TV','REMOTE  NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-02 02:48:17','2021-02-16 12:36:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4075','MR TASAWAR','03000515777','HO#12 MUZAFAR KHAN ROAD  BANI GALA ISB','5','35','121591','HAIER','0',null,'07-SEP-2020','85-7288 - 69','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-02 02:54:54','2021-02-04 15:20:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4076','DR ASIF JANUA','03015528750  03468622335','FLAT#D-2/A JAVED SULTAN COLONY NEAR QASIM MARKET SADAR RWP','7','49','20858','GREE','SALE ADVISOR ZAHID',null,'18-MAR-2020','18CITH12G - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-02 20:02:05','2021-02-05 12:46:28',null,'1',null,'0');
INSERT INTO complaints VALUES('4077','DR ASIF JANUA','03015528750 03468622335','FLAT#D-2/A JAVED SULTAN COLONY NEAR QASIM MARKET SADAR RWP','7','49','20858','HAIER','SALE ADVISOR ZAHID',null,'18-MAR-2020','18HD-W-INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-02 20:09:49','2021-02-05 12:20:52',null,'1',null,'0');
INSERT INTO complaints VALUES('4078','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','WHIRLPOOL','MODAL#418',null,'0',null,'AIR CONDITIONER','GAS ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-02 20:15:41','2021-03-16 16:15:28',null,'1',null,'0');
INSERT INTO complaints VALUES('4079','MR ARIF MEHMOOD','03335200787','HO#1023 ST 27 PHASE  5-B GOURI TOWN ISB','9','26','203659','HAIER','0',null,'09-JAN-2021','120-826 - 906','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-02 20:34:47','2021-02-05 12:17:31',null,'1',null,'0');
INSERT INTO complaints VALUES('4080','CH AMIN','03365137405  03335107940','HO#06 ST 42 SEC G-13/2 ISB','9','19','23517','ORIENT','PTCL CALL INVOICE HAY  SALE ADVISOR CH WAQAR',null,'18-JULY-2017','18GPLUS-SG - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-02 21:33:05','2021-02-05 12:26:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4081','MR NADEEM AHMED','03125444588','HO#803 ST B-1 NEAR MADINA MASJID ADRA BAZAR  RWP','4','6','22109','CANON','ATIF SADAR SIR NAY COMPLAINT BAJI HAY',null,'07-NOV-2020','600P - 1029','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-02 21:51:48','2021-02-05 12:14:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4082','MR ABDUL HASEEB','03335557545','VILLA#48 SEC M-1 EMAAR DHA 05 ISB','6','14','32883','LG','SALE ADVISOR BADAL',null,'30-JAN-2021','257CSAV-S - 909','REFRIGERATOR','VEGETABLE BOX SATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-02 23:23:53','2021-02-11 12:47:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4083','MR NAVEED','03005004907','OFFICER COLONY LANE 04 DHOK GUJJRAN MISRYAL ROAD RWP','9','22','133705','SIGNATURE','SALE ADVISOR KAMRAN',null,'14-MAY-2017','SWM-SR45 - 899','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-03 00:50:34','2021-02-08 12:29:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4084','MR BASHIR','03155372935  03125559973','HO#H-371 ST 11 GORDAN COLLEGE ROAD RWP','9','23','136986','SIGNATURE','PTCL CALL INVOICE HAY',null,'08-JULY-2017','SWM-FW1610S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-03 01:00:12','2021-02-08 12:27:52',null,'1',null,'0');
INSERT INTO complaints VALUES('4085','MR AMIR MEHMOOD','03135246209  03005604502','VILLAGE HAJI SHA NEAR DARA WALI MASJID TASEEL ATTOCK','9','23','133480','SIGNATURE','0',null,'13-MAY-2017','SRF-WB54SS - 856','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-03 01:14:48','2021-02-15 13:17:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4086','MR TASAWAR','03000515777','HO#12 MUZAFAR KHAN ROAD BANI GALA ISB','5','35','117033','ORIENT','0',null,'01-JUN-2020','18G-HYPER-SW - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-03 02:04:24','2021-02-06 14:24:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4087','MR UMAR','03341803982','HO#386 ST 36 BLOCK-C PWD ISB','4','5','2402','SIGNATURE','SALE ADVISOR SALEEM',null,'21-JAN-2018','JX1-GD - 1708','WATER DISPENSER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-03 02:13:59','2021-02-04 14:56:14',null,'1',null,'0');
INSERT INTO complaints VALUES('4088','MR FAHAD','03335453949 03310066641','LANE#17-A GULSHANY IQBAL SOCITY LALAZAR 02 DHMAYAL ROAD  RWP','6','12','31064','ORIENT','MODAL#39HD-ACTION  SALE ADVISOR ZARA',null,'02-DEC-2020',null,'FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-03 02:32:28','2021-02-06 14:21:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4089','MR SHAHID AFTAB','03009730022','HO#1040 ROAD-G BAHRIA TOWN  PHASE-03','6','12','15413','KENWOOD','SALE ADVISOR BADAL',null,'15-JULY-2018','1010SA - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-03 02:38:34','2021-02-06 14:09:42',null,'1',null,'0');
INSERT INTO complaints VALUES('4090','MR HAMAYUN MUGHAL','03105756560','HO#20 ST 152 SEC G-13/4 ISB','5','32','105746','ECOSTAR','PTCL CALL INVOICE HAY',null,'10-JUN-2019','49U571 - 1629','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-03 02:56:45','2021-02-12 15:53:59',null,'1',null,'0');
INSERT INTO complaints VALUES('4091','ZAHID','03225088294','HO#09 ST#28 RIVER GARDEN ISB','4','9','19451','ORIENT','0',null,'02-FEB-2021','18G-SUPER - 915','AIR CONDITIONER','GASS LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-03 03:06:37','2021-02-06 13:58:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4092','MR JAVED IQBAL','03345444761','STAF NARSING ROOM  FOUJI FONDATION HOSPITAL RWP','8','42','44378','WHIRLPOOL','MODAL#25WG',null,'05-DEC-2020',null,'MICROWAVE OVEN','TIMER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-03 19:46:58','2021-02-14 13:31:28',null,'1',null,'0');
INSERT INTO complaints VALUES('4093','BRIG KHALIL AHMED','03438384847 03349115645','HO#23 ST 04 LANE 09 SEC-G DHA PHASE 02 ISB','9','27','127322','SIGNATURE','SALE ADVISOR KAMRAN',null,'29-JAN-2017','SWM-SR50 - 905','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-03 19:56:04','2021-02-13 13:36:53',null,'1',null,'0');
INSERT INTO complaints VALUES('4094','MR FATEH ALAM','03237200001','HO#05 AKRAM ROAD BANI GALA ISB','8','37','23795','LG','MODAL#55NANO86-S  AZHAR SIR NAY COMPLAINT BAJI HAY HEAD OFFICE KI COMPLAINT HAY',null,'17-NOV-2020',null,'FLAT PANEL TV','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-03 20:11:55','2021-02-11 12:36:54',null,'1',null,'0');
INSERT INTO complaints VALUES('4095','ASLAM SIR','03008557478','HO#293 SEC G-9/1 ISB','8','37','0','SUPER ASIA','C/O  ASLAM SIR',null,'0',null,'GEYSER','THERMOSTAT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-03 21:18:38','2021-02-06 13:51:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4096','KHALID MEHMOOD','03009806639','HO#844/12 ALI ROAD MAIN  ABAD MEER ROAD MUGHLA BAD RWP','9','23','204862','HAIER','0',null,'01-FEB-2021','368IDBT - 860','REFRIGERATOR','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-03 21:35:40','2021-02-06 13:42:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4097','MR SAJJAD AHMED','03336918102','APP C3 ISRAH APPMENT NUST UNIVERSITY SEC H/12 ISB','5','31','123207','SONY','MODAL#55X8000H-CC(AGAIN ISSUE.)',null,'22-OCT-2020',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-03 22:39:27','2021-03-02 13:05:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4098','MR IMRAN','03009557559','HO#1765 ST 37 SEC G-7/4 ISB','5','28','114930','HAIER','SALE ADVISOR TARIQ  MEHMOOD',null,'22-FEB-2020','95-1678HWM - 1817','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-03 22:41:55','2021-02-06 13:40:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4099','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','128555','KENWOOD','MODAL#2436S-INV AZHAR SIR NAY COMPLAINT BAJI HAY  CUSTOMER KO REPLACE KAR K DEYA HAY',null,'27-JAN-2021',null,'AIR CONDITIONER','ERROR E-6',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-03 23:12:21','2021-02-24 13:26:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4100','MR SAMI-ULLAH-KHAN','03129790211   03009790211','HO#132 ST 82 SEC E-11/2 ISB','8','37','41611','HAIER','0',null,'07-AUG-2020','438IDRT - 896','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-03 23:24:42','2021-02-06 13:37:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4101','MR SAMI-ULLAH-KHAN','03129790211 03009790211','HO#132 ST 82 SEC E-11/2 ISB','8','37','41611','HAIER','0',null,'07-AUG-2020','150-1678HWM - 1484','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-03 23:27:46','2021-02-06 13:30:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4102','MR AZHAR','03455509990','HO#345 ST 86 SEC I-8/4 ISB','5','29','128223','FIVE STAR','MODAL#999MC',null,'18-JAN-2021',null,'COOKING RANGE','LITER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 00:00:54','2021-02-06 13:26:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4103','RAJA ZEESHAN','03365221993  03005003073','PLOT#03 IJAZ AHMED AVENUE BLOCK-B SEC B-17 ISB','5','29','127582','SAMSUNG','MODAL#65TU7000',null,'29-DEC-2020',null,'FLAT PANEL TV','SCREEN DOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 00:09:18','2021-02-13 13:33:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4104','MR WASEEM','03125260748   03488939691','VILLAGE PIND RATWAL JEHLAM','9','27','202485','HAIER','TAHIR FCI  SIR NAY COMPLAINT BAJI HAY',null,'19-DEC-2020','398IDBT - 884','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 00:27:26','2021-02-06 13:16:14',null,'1',null,'0');
INSERT INTO complaints VALUES('4105','fkukkvc','+92','ty80ip','5','28',null,'DAIKIN','0',null,'0','15JXV1P - 912','AIR CONDITIONER','ougyofyo',null,'5','COMPLAINT CLOSED',null,'customer','1','3633','74','2021-02-04 00:45:32','2021-02-04 00:46:40',null,'1',null,'0');
INSERT INTO complaints VALUES('4106','MR SHAFIQ HUSSAIN KHOKHAR','03334277272','HO#D/2 PTCL OFFICERS COLONY SEC G-7/4','5','32','124591','HOMAGE','IQBAL STOCK SIR NAY COMPLAINT BAJI HAY',null,'28-NOV-2020','1020S - 902','WASHING MACHINE','TIMER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 01:03:39','2021-02-06 13:20:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4107','SYED ZULFIQAR AHMED','03072308954','HO#56 ST 04 SEC-D DHA PHASE 02 ISB','6','16','21733','ORIENT','SALE ADVISOR BADAL',null,'02-JULY-2019','12G-HYPER-SW - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 11:36:08','2021-02-08 12:16:21',null,'1',null,'0');
INSERT INTO complaints VALUES('4108','RAJA KHALID MEHMOOD','03349203239','ALAMA -IQBAL UNIVERSITY ST 62 TANCH BATHA RWP','8','37','31672','SAMSUNG','SALE ADVISOR ADIL RASHEED',null,'09-JAN-2019','80J4260-S - 899','WASHING MACHINE','ERROR E-1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 12:00:31','2021-02-09 12:14:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4109','MR BILAL','03342104925','HO#06 PARADISE SCHOOL STREET MEDINA TOWN KHANA DAKH ISB','9','26','202434','CANON','BILAL FCP SIR NAY COMPLAINT BAJI HAY',null,'17-DEC-2020','16D-PLUS-DUAL - 1030','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 12:13:33','2021-02-08 12:18:01',null,'1',null,'0');
INSERT INTO complaints VALUES('4110','MR MUSAIB QURESHI','03005557902','HO#976 ST 92 SEC I-8/4 ISB','5','35','118067','ORIENT','SALE ADVISOR IKHLAQ',null,'23-JUN-2020','CRYSTAL-C-BLK - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 12:21:55','2021-02-08 12:20:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4111','GT WORK FORT BALASAR PESHWAR','03349292603','GT WORK FORT BALASAR PESHWAR','5','36','0','MITSUBISHI','CEILING CASSETT(MODEL 125VG-1540',null,'01-FEB-2021',null,'AIR CONDITIONER','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-04 12:26:05','2021-02-12 16:20:35',null,'1',null,'0');
INSERT INTO complaints VALUES('4112','MR ASIF KAMAL','03065538474','HO#11 ARMI OFFICER COLONY NATIONAL PARK ROAD RWP','6','16','12511','LG','SALE ADVISOR BADAL',null,'27-JAN-2018','832HLHU-S - 908','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 12:29:26','2021-02-13 16:35:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4113','MR WADAN KHAN','03369450046','HO#38 ST 02 PHASE 04 BAHRIA TOWN','4','8','19430','FIVE STAR','MODAL#55G HEAVY',null,'01-FEB-2021',null,'GEYSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 12:44:31','2021-02-06 17:28:52',null,'1',null,'0');
INSERT INTO complaints VALUES('4114','MR HAROON','03166074499','HO#O/431 JAMIA FURQANIA WALI GALI KOHATI BAZAR RWP','9','19','10207','HAIER','PTCL CALL INVOICE HAY',null,'28-AUG-2019','150-1708HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 12:53:08','2021-02-08 12:44:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4115','MR MUNSIF ALI','03332149128','VILLAGE KONDA MOHALA MOTIKHEE SAWABI','4','5','16387','DAWLANCE','PTCL CALL INVOICE HAY',null,'20-SEP-2020','9188WBGD-INV-BROWN - 746','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 13:01:04','2021-02-12 16:13:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4116','MR KAMRAN','03464333222  03214900529','FLAT#627 AL MUSTAFA TOWER SEC F-10 MARKAZ ISB','5','31','122263','HAIER','SALE ADVISOR ARSHAD MEHMOOD',null,'26-SEP-2020','12HFCD-W-INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 13:13:06','2021-02-12 16:11:06',null,'1',null,'0');
INSERT INTO complaints VALUES('4117','MR SAAD','03325837411(03374970432)','HO#53 ST 9, MULTI SOCIETY SEC E-11/1 ISB','5','33','114501','ORIENT','AZHAR FCI NAY AC INSTALL KARWAYA UNIT PALAY B UNIT MAY ISSUE THA RESOLVED HO GAYA AB PHER ISSUE ARAHA HAY (TASK 3127)',null,'01-FEB-2020','12G-ALPHA-SW - 912','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 13:29:08','2021-02-08 13:13:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4118','MR ALI','03008554854  03008285555','HO#08 ST 18 SEC F-6/2 ISB','5','30','104002','HAIER','0',null,'23-APR-2019','95-1678HWM - 1817','WASHING MACHINE','PANEL   ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 13:37:27','2021-02-08 13:15:59',null,'1',null,'0');
INSERT INTO complaints VALUES('4119','MR FAYSAL','03246666012','HO#308B ORDINANCE ROAD NEAR  LALKURTE RWP','7','49','20259','SAMSUNG','SALE ADVISOR ZAHID',null,'14-DEC-2019','13J5730-S - 907','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 13:46:18','2021-02-08 12:23:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4120','HASSAN AHMED','03314421166','HO#4 STY#142 JINHA GARDEN R.W.P','5','30','39199','ORIENT','CELL PHONE CALL(INVOICE N HAIN)',null,'20-FEB-2020','540CRYSTAL-GR - 885','REFRIGERATOR','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-04 13:55:45','2021-03-04 15:54:54',null,'1',null,'0');
INSERT INTO complaints VALUES('4121','GEN ZAHEER AHMED','03335276565','HO#23 NUR KHAN ROAD OLD AIR PORT ASKARI 08 CHAKLALA','9','24','194066','GREE','0',null,'06-AUG-2020','24CITH12G - 917','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 14:29:35','2021-02-08 13:36:10',null,'1',null,'0');
INSERT INTO complaints VALUES('4122','NOUMAN UL HAQ','03359835033','HO#627 ST#42 BLOCK C PWD','8','42','38274','SAMSUNG','CELL PHONE PA CALL AAI(INVOICE B HAIN)',null,'16-DEC-2019','70H4200-S - 1483','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-04 14:32:32','2021-02-06 17:28:24',null,'1',null,'0');
INSERT INTO complaints VALUES('4123','AZHAR HUSSAIN RAMZAN FCI','03229559900','F-10 MARKAZ NEAR KFC','5','31','128707','GREE','CASSET(24K3F1-GTH)(C/O AZHAR RAMZAN)',null,'01-FEB-2021',null,'AIR CONDITIONER','ERROR H-1&H5 PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-04 14:37:42','2021-02-16 17:45:22',null,'1',null,'0');
INSERT INTO complaints VALUES('4124','JAMIL KHAN','03357773777','HO3244 ST#02 SEC 02 AIR PORT HOUSING SOCITY R.W.P','8','42','118489','SAMSUNG','OUT OFF WARRANTY COMPLAINT HAIN CUSTOMER NA DIRECT COMPLAINT FF KARWAI THI',null,'05-JULY-2016','64H5350GT - 885','REFRIGERATOR','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-04 14:44:50','2021-04-05 15:56:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4125','MR ZAHUR AHMED','03335690907','HO#510 ST#23 PHASE 03 BEHIRA TOWN','6','16','26921','SIGNATURE','SALE ADVISOR SHAHZAD MALIK',null,'26-APR-2020','SBH-AC900G - 1122','BUILT IN APPLLIANCES','BURNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 15:08:21','2021-02-10 12:30:52',null,'1',null,'0');
INSERT INTO complaints VALUES('4126','MISS NOSHEEN  HASSAN','03365555525','APP#610 FIFTH FLOOR PARK AVENUE SEC F-11/1 ISB','5','29','109499','ORIENT','AZHAR FCI NAY COMPLAINT BAJI HAY',null,'19-SEP-2019','18G-BOLD-UW-INV - 915','AIR CONDITIONER','ERROR-E-5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-04 16:23:21','2021-02-16 15:48:36',null,'1',null,'0');
INSERT INTO complaints VALUES('4127','ZAMIN SHAH','03058979546','JEEL ROAD KHALABAT TOWN SHIP HARI PUR','5','28','128826','SIGNATURE','C595(SALE ADVISER ABU BAKAR)',null,'03-FEB-2021',null,'COOKING RANGE','BURNER + NOB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-05 12:18:24','2021-03-14 12:15:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4128','MRS MEHMOOD','03329430994','HO#30 ST#01 SEC F 8/1 PHASE 08 BEHIRA TOWN','6','15','32126','KENWOOD','0',null,'15-DEC-2020','1012SA - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-05 12:46:34','2021-02-08 11:00:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4129','RIZWAN  BEHIRA','03126661934','FRIENDS CORPORATION  PHASE 07 B.TOWN','6','12','0','KENWOOD','0',null,'0','1012SA - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-05 12:46:37','2021-02-10 13:44:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4130','DR OBAIDULLAH','03216698665','HO#461 ST 16 SEC 3 AIR PORT HOUSING SOCIETY RWP','9','21','170377','MITSUBISHI','AGAIN COMPLAINT REOPEN(TASK#2763',null,'04-MAY-2019','50VA - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-05 13:14:38','2021-02-17 13:03:48',null,'1',null,'0');
INSERT INTO complaints VALUES('4131','MARYAM SHIKH','03158959798','HO#07 ST#13 FIZAIYA SOCITY TARNOAL ISB','8','37','37026','LG','0',null,'06-OCT-2019','4J6VYP2S-S - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-06 12:02:18','2021-02-11 12:36:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4132','MR QASIM IJAZ','03335424413  03435761484','HO#03 ST 08 LANE 06 SEC-B DHA PHASE 02 ISB','9','27','194838','MITSUBISHI','0',null,'16-AUG-2020','50VA - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 12:11:45','2021-03-02 16:18:06',null,'1',null,'0');
INSERT INTO complaints VALUES('4133','MRS SHAHID','03005000084','HO#12 ST 07 FAZIYA HOUSING SAKEEM ISB','5','33','71991','KENWOOD','MODAL#25557VCM-SHL',null,'04-FEB-2021',null,'REFRIGERATOR','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 12:16:47','2021-02-10 13:31:16',null,'1',null,'0');
INSERT INTO complaints VALUES('4134','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','DAWLANCE','0',null,'0','2810C-DW - 1743','MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 12:42:18','2021-02-10 13:33:33',null,'1',null,'0');
INSERT INTO complaints VALUES('4135','MR PERVAZ','03131889295','HO#149-C ST 02 DHOK WALI DAD NAI ABADI MORGAH RWP','9','26','200454','HOMAGE','HAMMAD FCP NAY COMPLAINE BAJI HAY',null,'02-DEC-2020','1020S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 13:01:19','2021-02-10 12:15:14',null,'1',null,'0');
INSERT INTO complaints VALUES('4136','MR USAMA','03008561538','HO#186-D ST 48 SEC F-10/4 ISB','5','34','31886','ORIENT','TAHA SOHAIL SIR NAY COMPLAINT BAJI HAY',null,'06-DEC-2020','18G-ROYAL-CW - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 13:23:16','2021-02-10 13:02:37',null,'1',null,'0');
INSERT INTO complaints VALUES('4137','MR WASEEM','03125260748   03488939691','VILLAGE PIND RATWAL JEHLAM','9','27','202485','HAIER','TAHIR FCI  SIR NAY COMPLAINT BAJI HAY',null,'19-DEC-2020','398IDBT - 884','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','4104','74','2021-02-06 13:31:55','2021-03-30 14:17:01',null,'1',null,'0');
INSERT INTO complaints VALUES('4138','MR YOUSAF','03335169248','HO#260 ST 19 BAHRIA SPRING NORTH PHASE 07 RWP','9','51','204664','SAMSUNG','MODAL#55TU8500-MRM  SAQIB FCP SIR NAY COMPLAINT BAJI HAY',null,'28-JAN-2021',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 13:33:47','2021-02-10 13:32:42',null,'1',null,'0');
INSERT INTO complaints VALUES('4139','COL JAVED IQBAL','03060205760  03345032725','HO#-04 CSD FLIGHT OFFICER COLONY  NEAR UNIQUE  ROAD LALQURTI   RWP','9','19','196014','LG','MODAL#9085NDKVH-C',null,'10-SEP-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 13:49:05','2021-02-10 12:10:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4140','MR AURANNGZEB','03359599995','HO#32 ST 02 BLOCK-E SWAN GARDEN ISB','6','14','5678','SIGNATURE','SALE ADVISOR ALI MURTAZA',null,'17-OCT-2018','MD99SS-S - 1723','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 14:00:51','2021-02-10 12:10:20',null,'1',null,'0');
INSERT INTO complaints VALUES('4141',null,null,null,'6',null,null,'FIVE STAR','0000',null,null,'35G-SUPREME - 963','GEYSER','GEYSER LEAK HEI..',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-02-06 14:05:51','2021-03-04 16:08:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4142',null,null,null,'6',null,null,'FIVE STAR','0000',null,null,'35G-SUPREME - 963','GEYSER','GEYSER LEAK HEI..',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-02-06 14:05:51','2021-02-08 12:26:20',null,'1',null,'0');
INSERT INTO complaints VALUES('4143',null,null,null,'6',null,null,'DAWLANCE','000000',null,null,'132S-DW - 1200','MICROWAVE OVEN','BODY DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-02-06 14:07:16','2021-03-04 15:59:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4144','MR AMIR','03315578850  03115075637','HO#27 ST 27 BLOCK-H SOAN GARDEN ISB','4','9','16608','CANON','SALE ADVISOR MISC',null,'06-OCT-2020','16D-PLUS-DUAL - 1030','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 14:09:23','2021-02-23 11:58:21',null,'1',null,'0');
INSERT INTO complaints VALUES('4145','MR ALI AMIR','03215370540','HO#76 ST 10 GARDEN TOWN ZAYA MASJID NEW SHAKYAR ISB','8','42','45722','HAIER','0',null,'13-JAN-2021','150-1678HWM - 1484','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 14:22:12','2021-02-09 11:06:31',null,'1',null,'0');
INSERT INTO complaints VALUES('4146','AHSAAN  BEHIRA STOCK','03113110013','FRIENDS CORPORATION  PHASE 07 B.TOWN','6','17','0','PANASONIC','0',null,'0','776S - 1571','MICROWAVE OVEN','MOVING T ISSUE ...KNOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-06 14:26:53','2021-02-08 12:25:48',null,'1',null,'0');
INSERT INTO complaints VALUES('4147','DR IMTIAZ','03355436306','HO#06 ST 11 BLOCK-A SOAN GARDEN ISB','4','8','19135','HAIER','SALE ADVISOR  WALEED',null,'12-JAN-2021','18HRV-W-INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 14:33:55','2021-02-09 11:53:14',null,'1',null,'0');
INSERT INTO complaints VALUES('4148','MR MUNIR HUSSAIN SHAH','03005562625','HO#27 ST 03 RAFI BLOCK BAHRIA TOWN PHASE 08','6','12','0','SONY','MODAL#R47B',null,'OUT OFF WARRANTY',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 14:48:33','2021-02-24 13:27:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4149','MR ARIF AZIM','03008436732  03218436732','HO#14 ST 76 SEC G-6/4 ISB','5','29','119211','SONY','0',null,'15-JULY-2020','55X8500G-CC - 942','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 15:06:59','2021-02-10 13:30:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4150','MR WAQAS','03315038069  03316512018','HO#65 MAIN STREET MODAL VILLAGE SUGRA ROAD TARLAI  ISB','5','30','123731','SONY','0',null,'09-NOV-2020','40W650D-CC - 938','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 15:28:15','2021-02-24 16:20:56',null,'1',null,'0');
INSERT INTO complaints VALUES('4151','MR MANZAR BASHIR','03315016933','HO#4/4-e ST 13 SEC G-7/2 ISB','5','28','115937','SAMSUNG','0',null,'11-APR-2020','49RU7100-MRM - 1629','FLAT PANEL TV','BUTTON ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 16:10:11','2021-02-15 13:17:06',null,'1',null,'0');
INSERT INTO complaints VALUES('4152','MR ABID SALEEM','03215353617','HO#50 ST 11 SEC-D PHASE 08 RWP','9','23','185637','LG','0',null,'18-JAN-2020','1366NEFTFS-C - 907','WASHING MACHINE','TIMER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 16:18:53','2021-02-10 12:53:42',null,'1',null,'0');
INSERT INTO complaints VALUES('4153','MR AKRAM','03177912800','HO#177 ST 11 SEC-B-1 DHA PHASE 01 RWP','9','24','201181','SIGNATURE','MODAL#SBH-HC3763S  HOB KI COMPLAINT HAY WAQAS PWD SIR NAY COMPLAINT BAJI HAY',null,'05-DEC-2020',null,'BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 16:44:34','2021-02-11 12:35:58',null,'1',null,'0');
INSERT INTO complaints VALUES('4154','MR JAVED','03008540670','HO#154-A LANE 03 GULISTAN COLONY RWP CANNT','8','38','29602','SIGNATURE','PTCL CALL INVOICE HAY',null,'11-SEP-2018','SCF-HM10 - 955','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 16:52:27','2021-02-13 13:34:21',null,'1',null,'0');
INSERT INTO complaints VALUES('4155','MR YOUSAF','03335160000','HO#02 ST 23  OVERSEAS 01 BAHRIA PHASE 08 RWP','5','30','7211','LG','BILAL PWD  SIR NAY COMPLAINT BAJI HAY',null,'13-JAN-2019','70UK7000-S - 882','FLAT PANEL TV','WIFI  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 17:06:19','2021-04-27 13:29:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4156','MR HASEEB AKHTAR','03105537290  03155269592','HO#445 ST 57 SEC I-8/3 ISB','5','28','98401','SIGNATURE','PTCL CALL INVOICE HAY',null,'09-OCT-2018','SWM-JD46 - 945','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 17:14:01','2021-02-11 12:31:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4157','MR NADEEM ARIF','03313855667','2ND FLOOR IREYAD HIGH SCHOOL MORGAN RWP','9','21','204798','ORIENT','MODAL#470FLARE-RG',null,'31-JAN-2021',null,'REFRIGERATOR','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 17:28:25','2021-02-15 15:49:03',null,'1',null,'0');
INSERT INTO complaints VALUES('4158','DR ATIF C/O SADDIQ SAB','0345644467','HAIDER ROAD','5','36','14829','FIVE STAR','COMPLAINT SIGNATURE GEYSR KI HAIN INVOICE 5 STAR KI GEYSER KI MILI',null,'05-SEP-2017','35G-TWIN-FS - 1759','GEYSER','TANK LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-06 17:32:52','2021-03-18 17:40:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4159','BILAL FCP','03110533103','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','21','197273','KENWOOD','SALE ADVISOR MURTAZA',null,'07-OCT-2020','1012SA - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 17:33:20','2021-02-13 16:45:06',null,'1',null,'0');
INSERT INTO complaints VALUES('4160','MR GULFARAZ ABBASI','03336000635','BARAF KHANA DHOK SAYIDAN RWP CANNT','9','23','204503','CANON','0',null,'25-JAN-2021','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 17:51:26','2021-02-10 12:37:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4161','ABDUL REHMAN','03087878031','HO#10 ST 02 BLOCK-3B SEC I-8/1 ISB','9','26','204353','SUPER ASIA','0',null,'23-JAN-2021','280SA-CRYSTAL - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 18:00:29','2021-02-10 12:35:43',null,'1',null,'0');
INSERT INTO complaints VALUES('4162','SAMI ULLAH PWD','03150508452','FRIEND CORPORATION PWD','4','9','14538','ORIENT','0',null,'15-JUN-2020','531BL - 993','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-06 18:15:08','2021-02-09 11:48:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4163','DR MOHSIN','03335191622','FORM#37 ST 01 TARLAHI ISB','8','38','34034','LG','0',null,'19-MAY-2019','8566NEHVF-S - 899','WASHING MACHINE','SPINNER  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','3601','73','2021-02-07 10:50:38','2021-05-21 16:11:43',null,'1',null,'0');
INSERT INTO complaints VALUES('4164','MALIK ARSHAD','03465072668','ST NO 1 NEAR ALLAH WALI MASJID DHOK KALA KHAN RWP','9','19','204369','SUPER ASIA','0',null,'23-JAN-2021','240SHW-CRYSTAL - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-02-07 10:54:07','2021-02-12 15:44:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4165','IRUM MEHMOOD','03232366998','H NO 42G SERVICE ROAD NAVAL ANCOURAGE ISB','4','11','17425','HAIER','0',null,'26-NOV-2020','150-1678HWM - 1484','WASHING MACHINE','CURRENT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-02-07 10:56:33','2021-02-10 12:26:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4166','HAMMAD FCP','03455104405','FREINDS GULNOOR MARKET RWP','9','19','0','SUPER ASIA','REF TO HAMMAD FCP',null,'0','245SA - 522','WASHING MACHINE','DRAIN PIPE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-02-07 10:59:09','2021-02-10 12:19:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4167','RAJA GHULAM DASTGEER','03165105757','JIGYOT ROAD NEAR ZIARAT ALI PUR FARASH TRAMARY CHOWK ISB','8','40','39901','BOSCH','0',null,'30-MAY-2020','24462GC - 902','WASHING MACHINE','NOT WORKING',null,'5','DOUBLE ENTERED COMPLAINT',null,'customer','0',null,'73','2021-02-07 11:33:18','2021-02-07 11:34:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4168','RAJA GHULAM DASTGEER','03165105757','JIGYOT ROAD NEAR ZIARAT ALI PUR FARASH TRAMARY CHOWK ISB','8','40','39901','BOSCH','0',null,'30-MAY-2020','24462GC - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-02-07 11:33:19','2021-02-28 15:42:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4169','SALEEM KHAN','03008502090','C-1/B CHAK SHAHZAD FARMS OPP MUSHARAF FARM ISB','5','53','122547','GREE','0',null,'5-OCT-2020','12CITH12W - 913','AIR CONDITIONER','ERROR F0',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-02-07 11:50:45','2021-02-10 12:05:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4170','MR USMAN','03121069999','H NO 3 LANE NO 9 GULISTAN COLONY RWP','9','22','205048','SIGNATURE','REF TO TAHIR B.COOL&SAIFULLAH FCP',null,'4-FEB-2021','CHIMNEY A2','BUILT IN APPLLIANCES','CARD PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-02-07 11:59:01','2021-02-11 12:30:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4171','MUHAMMAD SALEEM','03314711112','FLAT NO SS2 BLOCK 15HAMZA CAMP MURREE ROAD  RWP','8','37','0','SIGNATURE','ON PAYMENT JOB',null,'OUT OF WARRANTY','REF SIGNATURE','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-02-07 12:36:36','2021-02-09 12:14:00',null,'1',null,'0');
INSERT INTO complaints VALUES('4172','SAAD ULLAH','03455890620','H NO 1 SEC C ROAD B BAHRIA ENCLAVE ISB','8','42','37613','SONY','0',null,'17-NOV-2019','85X8500-S - 1627','FLAT PANEL TV','SCREEN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-02-07 12:53:39','2021-02-25 11:05:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4173','MR IRFAN','03465119449,051-5141308','APP NO 34C BLOCK 3 SEC B ASKARI CLUB BOLYVARD ASKARI 14 ADYALA ROAD RWP','9','27','202301','HAIER','SIGNALS PROBLEM IN AREA',null,'15-DEC-2020','90-1789HWM - 901','WASHING MACHINE','DRUM PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-02-07 13:02:17','2021-02-10 11:56:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4174','MISS SADIA','03365761993','170 SAFARI VILLAS 3 BAHRIA TOWN RWP','4','8','17306','WELCOME','GEYSER MAX',null,'21-NOV-2020','55G-TWIN HEAVY DUTY','GEYSER','THERMOSTATE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-02-07 13:25:00','2021-02-09 15:43:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4175','DR KAMRAN','03335500402','H NO 270A ST NO 35 ARIAN MOHALLA COMETI CHOWK RWP','9','23','145438','LG','0',null,'1-JAN-2018','1666NEFT-S - 1643','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-02-07 13:33:36','2021-02-23 13:16:06',null,'1',null,'0');
INSERT INTO complaints VALUES('4176','ASGHAR','03008567021','H NO 1576/14-A ST NO 30 FAROOQ-E-AZAM ROAD SHAMSABAD RWP','8','40','19668','ORIENT','0',null,'18-DEC-2016','19K7WG-HC','AIR CONDITIONER','ERROR E4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-02-07 13:36:18','2021-03-10 13:44:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4177','DR SHAHEEN','03215127474','153 LANE 3 ISRAR HOUSING SCHEME GULISTAN COLONY RWP','4','8','11282','LG','0',null,'4-NOV-2019','9588NEHVA-S - 901','WASHING MACHINE','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-02-07 13:38:30','2021-02-10 11:25:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4178','SHAKEEL MALIK','03000181108','H NO 2 ST NO 17 SEC A DHA 1 RWP','6','16','31608','HAIER','0',null,'6-DEC-2020','120AS - 69','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-02-07 13:50:42','2021-02-10 11:12:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4179',null,null,null,'6',null,null,'SIGNATURE','0000',null,null,'SSO-MO16 - 1200','MICROWAVE OVEN','MO15 AND MO16 DONO MICROWAVE MEIN PLATE NHI NIKLI..',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-02-07 14:23:02','2021-02-25 11:40:43',null,'1',null,'0');
INSERT INTO complaints VALUES('4180','MR NOMAN','03225155757','H NO 584 ST NO 11 BLOCK B NPF ISB','4','11','19257','KENWOOD','0',null,'20-JAN-2021','1830S-HC INV - 915','AIR CONDITIONER','HEATING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-02-07 14:28:18','2021-02-10 11:05:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4181','BUTT PWD','03115006051','FREINDS NEAR TEHZEEB BAKERS PWD','4','5','19466','KENWOOD','REF TO KAMRAN BHR-7',null,'3-FEB-2021','26657GD-MRG','REFRIGERATOR','DOOR DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-02-07 15:24:44','2021-07-12 15:06:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4182','DR ABDUL HAMEED','03455305537','HO#04 JINNAH BOLV SEC-A DHA 02 ISB','6','15','31009','SIGNATURE','0',null,'02-DEC-2020','SBC-MELBURNE-90PLUS - 1123','BUILT IN APPLLIANCES','FLAME NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 10:43:13','2021-02-09 12:13:09',null,'1',null,'0');
INSERT INTO complaints VALUES('4183','MR WAQAS KHALID','03364444219  03000111150','FLAT#09 NEAR OPD BAHRIA INTRES BAHRIA PHASE 07 RWP','6','12','14561','SIGNATURE','SALE ADVISOR ISHFAQ PTCL CALL INVOICE HAY',null,'27-MAY-2018','SWM-SR55 - 1643','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 11:00:10','2021-02-09 12:12:35',null,'1',null,'0');
INSERT INTO complaints VALUES('4184','MR SALEEM KHAN','03008502090  03008565159','HO#C-1/B NEAR MUSHARAF FARM CHAK SHAHZAD RWP','5','34','122547','GREE','PTCL CALL INVOICE HAY',null,'05-OCT-2020','12CITH12W - 913','AIR CONDITIONER','ERROR-F-1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 11:27:58','2021-02-08 11:39:01',null,'1',null,'0');
INSERT INTO complaints VALUES('4185','MR MUNAWAR ALI','03335229759','HO#1011 ST 96 SEC I-10/1 ISB','5','34','113219','SONY','0',null,'23-DEC-2019','75X8000G-S - 881','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 11:35:13','2021-02-13 15:38:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4186','MRS UZMA HAFEEZ','03005196737','HO#4 ST 6 SEC C BAHRIA ENCLAVE ISB','5','28','121210','SIGNATURE','SIG HOB',null,'25-AUG-2020','SBH-AC900S - 1122','BUILT IN APPLLIANCES','NOB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-08 11:44:36','2021-02-12 15:51:12',null,'1',null,'0');
INSERT INTO complaints VALUES('4187','MR NADEED BUTT','03009563467','HO#BB-762 ST 25 KARSHAN PURA RWP','9','20','189175','HAIER','SALE ADVISOR MURTAZA',null,'22-MAY-2020','398EPR - 746','REFRIGERATOR','COOLING#LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 11:46:13','2021-02-11 12:26:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4188','MISS FATIMAH','03365979674  0512253674','HO#07 ST 11 SHEFHA HOUSING SOCIETY NEAR FAZIYA ISB EXPRESS WAY RWP','5','36','110041','SIGNATURE','0',null,'10-OCT-2019','HC-3766G - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 12:17:53','2021-02-24 14:25:24',null,'1',null,'0');
INSERT INTO complaints VALUES('4189','MR FAISAL','03365133688','06 ROAD DATTA GHANG BAKSH ROAD OPP#1-A STALITE TOWN RWP','8','40','41753','CORONA','0',null,'12-AUG-2020','505C - 1815','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 12:42:49','2021-02-11 12:38:50',null,'1',null,'0');
INSERT INTO complaints VALUES('4190',null,null,null,'6',null,null,'ORIENT','0000',null,null,'55S-FANTASY - 942','FLAT PANEL TV','55S-ANIMATION ONE LED PANEL ISSUE AND ONE LED DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-02-08 12:46:56','2021-02-28 11:54:58',null,'1',null,'0');
INSERT INTO complaints VALUES('4191','MAJOR ZAMAN','03219595108','HO#07 SEC-F ST 64 DHA PHASE 05 ISB','9','26','199830','CANON','MODAL#381S',null,'26-NOV-2020',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 12:50:25','2021-02-11 12:00:05',null,'1',null,'0');
INSERT INTO complaints VALUES('4192','MR ZAHID','03474988363','DAKHANA SOHAN KURI ROAD NEW IQBAL TOWN ISB','8','47','24055','SUPER ASIA','SALE ADVISOR IFTIKHAR HUSSAIN IQBAL KRL NAY COMPLAINT BAJI HAY',null,'31-DEC-2020','280SA-CRYSTAL - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 13:20:19','2021-02-11 11:58:05',null,'1',null,'0');
INSERT INTO complaints VALUES('4193','MR KAMRAN','03162626027  03335116457','HO#D66 ST 11 NAVEL COMPLEX SEC E-8 ISB','5','31','110641','SIGNATURE','SALE ADVISOR KHURRAM JAVED',null,'06-NOV-2019','SWH-1907 - 125','GEYSER','WATER  COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 13:29:57','2021-03-06 12:59:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4194','ALI FCI','03125091656','FRIEND CORPORATION BLUE AREA','5','33','117057','ECOSTAR','0',null,'02-JUN-2020','300FS - 2122','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 14:08:25','2021-02-11 11:50:31',null,'1',null,'0');
INSERT INTO complaints VALUES('4195','POLICE COLLEGE SIHALA','03005600634','POLICE COLLEGE SIHALA RWP','9','24','198368','FISCHER','SALE ADVISOR MURTAZA',null,'28-OCT-2020','65GF - 1220','WATER COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 14:41:53','2021-02-16 12:23:53',null,'1',null,'0');
INSERT INTO complaints VALUES('4196','COL JAMSHAID SHAH','03100177771 03215050697','HO#25 ST 05 SEC D DHA PHASE 1 ISB','6','15','26786','LG','2 TIME PALAY B COMPLAINT AYI THI TASK#3881  DUBARA ISSUE AY GAYA HAY',null,'06-APR-2020','0K1CHK2T2-C - 2081','WASHING MACHINE','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 15:14:47','2021-06-28 15:49:43',null,'1',null,'0');
INSERT INTO complaints VALUES('4197','MR ASAD','03109314055','HO#18 ST 8-A SEC-C DHA PHASE 02 ISB','4','8','15506','SIGNATURE','MODAL#SCF-HM11AH  SALE ADVISOR MISC',null,'27-JULY-2020',null,'FREEZER','COMPRESSOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 15:53:13','2021-02-12 11:31:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4198','IQBAL KRL FRIENDS','03335177221','FRIEND SHOP KRL COLONY KHANA PUL RWP','8','37','24364','KENWOOD','COMPLAINT CUSTOMER KI HAY',null,'04-FEB-2021','1010SA - 902','WASHING MACHINE','PHOOL ROTATE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 16:11:42','2021-02-11 11:41:53',null,'1',null,'0');
INSERT INTO complaints VALUES('4199','MR MUSHTAQ AHMED','03014834199','HO#103 ST 03 BLOCK-A MEDIA TOWN MAIN PWD ROAD ISB','6','12','19838','SAMSUNG','SALE ADVISOR ARSHAD BILAL PWD SIR NAY COMPLAINT BAJI HAY',null,'24-MAR-2019','90J5455MW-S - 901','WASHING MACHINE','NOT WORKING#SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 16:22:54','2021-02-20 15:18:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4200','MRS RAZA','03215114888','PARDO VILLA #21 EMAAR DHA PHASE 05 ISB','5','31','123180','ORIENT','FLOOR STANDING DOBARA COMPLAINT AY GAE HAY TASK#3427',null,'22-OCT-2020','24G-PRESTIGE-W - 917','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 16:46:49','2021-02-20 11:37:26',null,'1',null,'0');
INSERT INTO complaints VALUES('4201','MR DANIYAL MAQBOOL','03435531281','MAHRBAN TOWN AL  HADAYAT MASJID TERLAI ISB','8','38','44744','HOMAGE','MODAL#WH1020S',null,'06-DEC-2020',null,'WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 17:09:27','2021-02-11 11:31:58',null,'1',null,'0');
INSERT INTO complaints VALUES('4202','DR SHER JAMAL KHAN','03455158024  03449167770','HO#NV-21 NUST UNIVERSITY SEC H-12 ISB','5','34','100192','LG','SALE ADVISOR ARSHAD MEHMOOD',null,'09-DEC-2018','1066NEFTF-S - 902','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 17:17:55','2021-02-16 12:26:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4203','MR MUNEEB','03434099999','HO#JA99/7 KAHKESHAN ESTATE NEAR COMATHI CHOCK RWP','9','24','173038','HAIER','0',null,'16-JUN-2019','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 17:33:12','2021-02-11 10:57:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4204','MARYAAM  FCI','03315489417','HO#976 ST 92 SEC I-8/4 ISB','5','36','100734','SIGNATURE','MODAL#SET-FB25-1127 OVEN KI COMPLAINT HAY VISIT TO FCI SHOWROOM',null,'20-DEC-2018',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-08 17:59:12','2021-02-11 12:30:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4205','ALMASOOD OIL&GHEE INDUSTRY','03336769927','HO#295 ST#18 G-10/2 ISB','5','28','122378','CORONA','SALE ADVISOR ABU BAKAR',null,'29-SEP-2020','C205 - 14','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 11:23:54','2021-02-18 10:54:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4206','ASMA HOME','03445350049  03314944846','ASMA HOME MEDINA TOWN NEAR SADDIQ PUBLIC SCHOOL  EXPRESS WAY ISB','4','5','17408','DAWLANCE','0',null,'25-NOV-2020','10500DW - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 11:40:55','2021-02-12 15:21:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4207','MR SHAHZAD JADOON','03008524310  03000700007','HO#25 ST 34 BLOCK-F NAVAL ENG ISB','4','5','8571','SHARP','PTCL CALL INVOICE HAY',null,'28-APR-2019','FS814BX-W-C - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 11:59:00','2021-02-16 13:40:23',null,'1',null,'0');
INSERT INTO complaints VALUES('4208','HAJI NISAR','03215633312  03005121138','HO#DD182 MADINA TOWN RWP','8','38','32732','SIGNATURE','SALE ADVISOR CH WAQAR',null,'14-MAR-2019','32V600 - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 12:22:50','2021-02-10 12:09:42',null,'1',null,'0');
INSERT INTO complaints VALUES('4209','MR SAMI-ULLAH','03049007720','HO#408 ST 14 ALI BLOCK PHASE 08 RWP','6','13','26416','HAIER','SALE ADVISOR ZARA',null,'05-MAR-2020','306EPB - 859','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 12:35:40','2021-02-12 15:19:03',null,'1',null,'0');
INSERT INTO complaints VALUES('4210','MR ANWAR RAJA','03165639599','HO#03 NAZMUDIN ROAD SEC F-10/1 ISB','9','22','205164','DAWLANCE','0',null,'07-FEB-2021','260ES-DW - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 12:48:47','2021-02-12 13:44:22',null,'1',null,'0');
INSERT INTO complaints VALUES('4211','BUTT STOCK PWD','03115006051','FRIEND CORPORATION PWD','4','5','19466','KENWOOD','MODAL#26657GD-MRG  SALE ADVISOR SALEEM',null,'03-FEB-2021',null,'REFRIGERATOR','DOOR DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 13:01:29','2021-06-05 11:47:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4212','MR ADIL','03335323473','MUHAMADI TOWN DHOK KALA KHAN RWP','9','51','204934','HAIER','MODAL#49D6',null,'02-FEB-2021',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 13:27:27','2021-02-12 12:28:05',null,'1',null,'0');
INSERT INTO complaints VALUES('4213','MUHAMMAD LUQMAN','03159377793','HO#C3476 DHOK GUJRA R.W.P','9','51','166501','TCL','1901VLR300735A003330',null,'23-FEB-2019','40S6500A - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-09 13:30:19','2021-02-12 12:14:33',null,'1',null,'0');
INSERT INTO complaints VALUES('4214','MR ILYAS','03335184098','HO#37 ST 02 PHASE 05 BAHRIA TOWN RWP','4','8','19542','CARAVELL','MODAL#204B-2028',null,'07-FEB-2021',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 13:35:25','2021-02-15 17:04:14',null,'1',null,'0');
INSERT INTO complaints VALUES('4215','MR SHAHID','03205499602','ST 06 ALI BAKSH TOWN GOLDA MOR SEC H-13 ISB','9','24','193248','HAIER','0',null,'21-JULY-2020','398IDRT - 746','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 13:49:04','2021-02-12 12:04:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4216','MR AFZAAL','03235599471  03005124690','HO#64-A AFANDI COLONY RWP','9','24','201971','GREE','0',null,'08-DEC-2020','9978EG-CB2 - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 13:54:46','2021-02-12 12:02:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4217','MR ALI SHEIKH','03005559604  03345559604','HO#215 ST 39 SEC F-11/3 ISB','5','30','124757','HAIER','0',null,'30-NOV-2020','18HJ-S INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 14:05:50','2021-02-10 11:11:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4218','DR FAROOQ','03315333107','HO#418-C ROAD-A PHASE 05 BAHRIA TOWN RWP','9','23','195589','SHARP','0',null,'02-SEP-2020','814CX-S - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 14:14:59','2021-02-11 12:29:50',null,'1',null,'0');
INSERT INTO complaints VALUES('4219','MR AMJAD','03218506008  03009899001','HO#63 ST 03 MALIK TOWN TARLAI ISB','9','23','184247','HAIER','0',null,'21-DEC-2019','150-1678HWM - 1484','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 14:50:37','2021-02-11 17:15:00',null,'1',null,'0');
INSERT INTO complaints VALUES('4220','ZAFAR FHHS','03065338399','FRIEND CORPORATION SHAMSA  BAD RWP','8','40','46222','CARAVELL','MODAL#202R',null,'07-FEB-2021',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 15:09:30','2021-02-12 11:59:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4221','MR SAQIB MEHMOOD','03215122952','VILLAGE GAGRI JAPAN ROAD SEHALA RWP','8','37','24052','SUPER ASIA','SALE ADVISOR IFTIKHAR HUSSAIN IQBAL KRL NAY COMPLAINT BAJI HAY',null,'31-DEC-2020','240SA-SHW - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 15:45:17','2021-02-13 16:31:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4222','MR ZAHOOR','03455775222','HO#685 ST 05 SHBBIR LANE MAIN PESHAWER ROAD RWP','9','27','205126','SAMSUNG','MODAL#90K5410-S',null,'06-FEB-2021',null,'WASHING MACHINE','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 15:59:18','2021-02-11 10:58:26',null,'1',null,'0');
INSERT INTO complaints VALUES('4223','MR DANIYAL','03454279908','FRIEND CORPORATION PWD','4','5','9983','DAWLANCE','SALE ADVISOR NAEEM AZEEM VISIT TO PWD SHOWROOM   KAMRAN BAHRIA SIR NAY COMPLAINT BAJI HAY',null,'21-JULY-2019','133G - 65','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 16:16:07','2021-02-11 12:46:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4224','COL AKRAM','03345597262','HO#1417 ST 69 SEC-F DHA 01','6','13','32588','HAIER','SALE ADVISOR ZARA ADIL HOME SOLUTION COMPLAINT BAJI HAY',null,'13-JAN-2021','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 17:12:57','2021-02-13 14:11:37',null,'1',null,'0');
INSERT INTO complaints VALUES('4225','HAJI NISAR','03215633312 03005121138','HO#DD182 MADINA TOWN RWP','8','38','32732','SIGNATURE','SALE ADVISOR CH WAQAR',null,'14-MAR-2019','32V600 - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 17:49:59','2021-02-13 16:37:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4226','MALIK MAJID','03128850385  03005011046','HO#64 ST 03 SEC E-11/1 ISB','6','12','25306','SIGNATURE','0',null,'25-DEC-2019','SWH-1905 - 1031','GEYSER','10 BRACKET MISSING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 18:06:29','2021-02-10 11:26:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4227','MALIK MAJID','03128850385 03005011046','HO#773 ST 18 OVERSEAS 03 PHASE 08','6','12','32964','SIGNATURE','MODAL#SWH-20-05',null,'03-FEB-2021',null,'GEYSER','10 BRACKET MISSING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-09 18:18:42','2021-02-25 11:40:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4228','MR RIAZ-UL-HAQ','03015047746','HO#132 ST 04 BLOCK-A PWD HOUSING SOCIETY ISB','4','5','7718','TCL','SALE ADVISOR NAVEED',null,'18-FEB-2019','43P6US - 869','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 10:56:30','2021-03-18 14:05:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4229','MR AKHTAR HUSSAIN','03115150247','HO#476 LANE 03 GULSTAN COLONY RWP','6','12','32849','CANON','ADIL HOME SOLUTION COMPLAINT BAJI HAY',null,'30-JAN-2021','PX1 - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 11:42:29','2021-02-13 14:02:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4230','MR NAZAR ABBAS','03336846765','HO#19 SAFARI VILLAS 02 PHASE 07 BAHRIA TOWN RWP','6','16','7628','LG','0',null,'29-MAR-2017','65UH850-S - 1443','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 11:50:35','2021-02-23 17:15:20',null,'1',null,'0');
INSERT INTO complaints VALUES('4231','MR RAFAQAT ALI','03335123588','HO#25 ST 11 SEC-C BAHRIA ENCLAVE ISB','5','30','96562','LG','0',null,'27-JULY-2018','4J8VSP2S-S - 901','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 11:57:20','2021-02-16 12:26:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4232','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','23','203276','HAIER','0',null,'02-JAN-2021',null,'WASHING MACHINE','DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 12:11:47','2021-02-25 11:11:50',null,'1',null,'0');
INSERT INTO complaints VALUES('4233','MR USMAN','03335449150','HO#142 LANE 04 BLOCK-G SEC 04 AIR PORT HOUSING SOCIETY NEAR GUZARAY KAD RWP','9','51','204514','HAIER','SALE ADVISOR SAIFULLAH',null,'25-JAN-2021','120-1678HWM - 906','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 12:31:26','2021-02-13 13:58:48',null,'1',null,'0');
INSERT INTO complaints VALUES('4234','MR SHAHID MUNIR','03215006540  03060704455','HO#17  MAIN DUBBAL ROAD BLOCK-D POLICE FOUNDATION PWD ISB','4','11','5305','KENWOOD','SALE ADVISOR MUDASSAR',null,'12-SEP-2018','1221HC-AMORE - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 12:44:07','2021-02-11 10:57:58',null,'1',null,'0');
INSERT INTO complaints VALUES('4235','MR NADEEM KHALID','03005014407','HO#04 ASKARI VILLAS CHAKLALA SCHEME 03 RWP','8','39','46251','LG','MODAL#1369NEHTF-C',null,'09-FEB-2021',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 12:57:28','2021-02-13 16:36:36',null,'1',null,'0');
INSERT INTO complaints VALUES('4236','MR USMAN','03332560565','FAZLI  STREET DEFANCE ROAD NEW LALAZAR ADYALA ROAD RWP','9','20','203769','SIGNATURE','MODAL#SWH-20-10',null,'12-JAN-2021',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 13:03:26','2021-02-13 13:36:12',null,'1',null,'0');
INSERT INTO complaints VALUES('4237','MR ZUBAIR','03345163929','HO#P-1605/D EIDGAH OPPOSITE KOCHA KHURSHEED MOSQUE RWP','9','51','205245','TCL','2011VLR301359A00228  SAQIB FCP SIR NAY COMPLAINT BAJI HAY',null,'08-FEB-2021','43S6500 - 869','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 13:28:11','2021-02-25 14:54:00',null,'1',null,'0');
INSERT INTO complaints VALUES('4238','HASSAN ALI FHHS','03013000123','FRIEND CORPORATION SHAMSA  BAD RWP','8','37','0','ECOSTAR','MODAL#55UHD',null,'0',null,'FLAT PANEL TV','REMOTE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 13:53:25','2021-03-09 16:44:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4239','MR SAJID MEHMOOD','03335132724','VILLAGE KALYAT WALAIT COMPLEX BAHRIA PHASE 07 RWP','6','15','32995','SIGNATURE','MODAL#SWH-20-05',null,'04-FEB-2021',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 14:05:14','2021-02-12 15:50:36',null,'1',null,'0');
INSERT INTO complaints VALUES('4240','MR NADEEM AHMED','03125444588','HO#803-D/1 NEAR MEDINA MASJID ADRA CANTT RWP','4','6','22109','CANON','ATIF SADAR SIR NAY COMPLAINT BAJI HAY',null,'07-NOV-2020','600P - 1029','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 15:23:33','2021-02-13 13:38:23',null,'1',null,'0');
INSERT INTO complaints VALUES('4241','MR FARHAN','03315111181 03335356462','HO#26-A SULTA ABDUL KHAFUR ROAD SAMLI DAM ROAD SHAPUR BARAKHU','9','27','204450','HAIER','0',null,'24-JAN-2021','70-10829HW - 1548','WASHING MACHINE','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 15:36:40','2021-02-13 12:37:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4242','MR SAQIB','03004115404','FLAT#NEW GRACE LANE  BLOCK-5/A RAWAL ROAD RWP','4','6','22044','ORIENT','ATIF SADAR SIR NAY COMPLAINT BAJI HAY',null,'19-JAN-2021','531BL - 993','WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 15:48:18','2021-02-13 12:34:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4243','MR KHALID KIYANI','03215651977  03335132336','HO#13 ST 50 SEC-N BAHRIA ENCLAVE ISB','8','37','45889','HAIER','0',null,'23-JAN-2021','18HFCF-W-INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 16:21:17','2021-02-22 16:56:56',null,'1',null,'0');
INSERT INTO complaints VALUES('4244','COL TARIQ ABDULLAH','03478666668','HO#1620-B ST 67 SEC-F DHA 01 ISB','6','16','14852','LG','0',null,'07-JUN-2018','247SMUV-S - 909','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 16:41:12','2021-02-28 14:54:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4245','MR RASHEAD AHMAD','03335145565','HO#747 ST 04 OVER SEAS 06 BAHRIA PHASE 08','9','20','164759','SAMSUNG','0',null,'15-JAN-2019','90J5455MW-S - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 17:03:07','2021-02-15 15:43:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4246','MR REHAN AHMAD','03009502005','HO#P-1566/D ASKAR MASJID NATIONAL MARKET QUITA GULSTAN HOTEL RWP','5','29','120365','LG','MODAL#425FPS-S-34',null,'07-AUG-2020',null,'DISH WASHER','ERROR-AE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 17:31:42','2021-02-18 12:01:50',null,'1',null,'0');
INSERT INTO complaints VALUES('4247','MR UBAID ASIF JANJUA','03151241099  03155176848','JANJUA HOUSE NEAR OCTROI POST NO 20 MAIN ADYALA ROAD RWP','9','21','204753','CORONA','SALE ADVISOR MURTAZA',null,'30-JAN-2021','351C - 1533','COOKING RANGE','BURNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 17:50:01','2021-02-15 13:34:03',null,'1',null,'0');
INSERT INTO complaints VALUES('4248','MR HABIB RAFIQ','03008549582  03355800987','FLAT#02 BLOCK 18 PHA FLAT SEC G-7/1 ISB','5','31','79162','ECOSTAR','SALE ADVISOR IMRAN MUGHAL',null,'24-OCT-2016','32U557 - 936','FLAT PANEL TV','CHANNEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-10 18:09:52','2021-02-15 13:31:49',null,'1',null,'0');
INSERT INTO complaints VALUES('4249','MR AKRAM','03177912800','HO#177 ST 11 SEC-B-1 DHA PHASE 01 RWP','9','19','201181','SIGNATURE','WAQAS PWD NA YHA COMPLAINT SHER KI (BULTIN IN OVEN',null,'05-DEC-2020','MM9R - 1124','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-11 11:21:29','2021-02-16 16:36:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4250','MR SHAHZAD MALIK BAHRIA','03455275176','FRIEND CORPORATION PHASE 7','6','15','22940','HOMAGE','COMPLAINT CUSTOMER KI HAY UNIT CUSTOMER SHOWROOM PAR DROP KAR GAY HAY',null,'03-SEP-2019','61HWD - 993','WATER DISPENSER','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-11 11:55:40','2021-02-15 17:07:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4251','MR RAHAT SOHAIL','03325020122','HO#14-B ST 10 SEC-B SOAN GARDEN ISB','4','11','17163','SIGNATURE','SALE ADVISOR ALI MURTAZA',null,'14-NOV-2020','SSB-X555MT - 1410','SOUND SYSTEMS','BLUE-TOOTH ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-11 12:15:54','2021-02-16 17:32:43',null,'1',null,'0');
INSERT INTO complaints VALUES('4252','MR AKRAM','03177912800','HO#177 ST 11 SEC-B-1 DHA PHASE 01 RWP','9','24','201181','SIGNATURE','MODAL#SBH-HC3763S  HOB KI COMPLAINT HAY WAQAS PWD SIR NAY COMPLAINT BAJI HAY',null,'05-DEC-2020',null,'BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','4153','74','2021-02-11 12:32:07','2021-02-16 16:36:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4253','HAJI NISAR','03215633312 03005121138','HO#DD182 MADINA TOWN NEAR ABBASSI STREET SHAMSABAD RWP','8','37','30845','SIGNATURE','0',null,'07-DEC-2018','32DN6 - 936','FLAT PANEL TV','PICTURE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-11 12:42:17','2021-02-12 11:21:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4254','MR AMIR RANA','03235909905','HO#731-H ST 177 SEC G-11/1 ISB','4','8','19556','SAMSUNG','MODAL#65TU7000-MRM  COMPAINE MODAL HAY',null,'09-FEB-2021',null,'FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-11 12:47:24','2021-02-23 18:09:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4255','MR NADEEM UL HAQ','03008547185','HO#50 LANE  03 GULISTAN COLONY NEAR BUTT CHOCK RWP','4','6','22259','CANON','MODAL#15CI BROWN-552  ATIF SADAR SIR NAY COMPLAINT BAJI HAY',null,'20-NOV-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-11 13:13:44','2021-02-13 16:04:09',null,'1',null,'0');
INSERT INTO complaints VALUES('4256','MR FAIZAN','03080000912','HO#19 ST 63 JINNAH GARDEN ISB','5','34','128613','SAMSUNG','MODAL#55TU8500-MRM  COMPAINE MODAL',null,'28-JAN-2021',null,'FLAT PANEL TV','LED HANG ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-11 13:20:33','2021-02-13 15:37:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4257','COL SHABBIR','03219181381','HO#113 ST 06 ASKRI 12 CHAKLALA CANTT RWP','9','26','194399','HAIER','0',null,'10-AUG-2020','18HJ-W INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-11 13:32:09','2021-02-15 12:54:03',null,'1',null,'0');
INSERT INTO complaints VALUES('4258','MR TOQEER RAJA','03325242387','HO#12 ST 35 SEC I-9/4 ISB','9','27','203955','DAWLANCE','MODAL#9191WB-CHROME',null,'13-JAN-2021',null,'REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-11 14:35:13','2021-02-14 14:13:21',null,'1',null,'0');
INSERT INTO complaints VALUES('4259','AGHA ASIF SHAH','03345103253','PLOT#58 CDA SCHEME 111 KAHUTA ROAD MUGHAL CHOWK SIHALA RWP','4','6','21046','HAIER','INVOICE HEAD OFFICE KI BANI HAY',null,'10-APR-2020','345SD - 149','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-11 14:45:41','2021-02-20 11:26:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4260','MR SAAD RAFI KHAN','03135052173','HO#E-135 ST 08 BLOCK-A SEC 04 AIR PORT HOUSING SOCITY NEAR GULZARY KHAID RWP','9','23','203288','SUPER ASIA','SALE ADVISOR MURTAZA',null,'02-JAN-2021','535GH - 1037','GEYSER','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-11 15:04:51','2021-02-17 11:53:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4261','DR SHAHID','03339706417  03009729938','HO#335-A ST 04 KASHMIR HOUSING SOCIETY  SEC F-15/1 ISB','9','24','193024','GREE','0',null,'17-JULY-2020','9978EG-CR2 - 2116','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-11 16:07:54','2021-02-14 13:03:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4262','MR MIKAEL','03445499732','HO#1/13 LANE 02 NEAR ASKARI BANK TULSA ROAD LALAZAR RWP','4','6','21197','ORIENT','ATIF SADAR SIR NAY COMPLAINT BAJI HAY',null,'17-JUN-2020','24G-PREMIER-SW - 917','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-11 16:19:31','2021-02-15 13:15:54',null,'1',null,'0');
INSERT INTO complaints VALUES('4263','MR TAHIR SAFDAR','03005137205  0512272836','HO#22-D ST 18 SEC F-6/2 ISB','5','28','128812','CANON','SALE ADVISOR HARIS FCI',null,'03-FEB-2021','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-11 16:31:34','2021-02-15 17:11:14',null,'1',null,'0');
INSERT INTO complaints VALUES('4264','MRS  LIAQUAT','03345106130','HO#476 ST 14 SEC G-14/4 ISB','5','28','125844','FIVE STAR','MODAL#10000MC  SALE ADVISOR ABU BAKAR',null,'05-DEC-2020',null,'COOKING RANGE','BURNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-11 17:07:21','2021-02-18 14:33:56',null,'1',null,'0');
INSERT INTO complaints VALUES('4265','MR HASAN','03046015457','HO#509 ST 01 SE I-9/1 ISB','9','27','203489','HAIER','0',null,'06-JAN-2021','90-1789HWM - 901','WASHING MACHINE','SOUND#WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-11 17:32:50','2021-02-14 12:54:42',null,'1',null,'0');
INSERT INTO complaints VALUES('4266','SYED MUJTABA HAIDER','03315174179','HO#07 ST 36 JINNAH GARDEN ISB','8','37','40637','ORIENT','0',null,'01-JULY-2020','18G-ROYAL-CW - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-11 17:49:35','2021-02-20 14:36:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4267','MISS GAZALA','03232303333','APP#210 MALINIUM HIGHTS HILAL ROAD F-11/1 ISB','5','36','128866','HAIER','519DGG-1379',null,'04-FEB-2021',null,'BUILT IN APPLLIANCES','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-12 11:51:17','2021-02-14 13:01:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4268','MR RIAZ','03090411964','HO#2-B S#14  JINHA PARK SULTAN PURA LHR','8','38','0','DAWLANCE','C/O BILAL A/C',null,'OUT OFF WARRANTY',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-12 12:20:52','2021-02-14 12:36:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4269','ARSHAD SAB','03335168226','HO#AA1404 ST#31 GULSHAN ABAD NEAR RAJABAZAR R,.W.P','9','24','125610','HAIER','0',null,'18-DEC-2016','85-7288 - 69','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-12 12:38:08','2021-02-14 12:34:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4270','UMER  SAB','03334259025','HO#1078 ST#78 D-12/1 ISB','5','36','113964','BOSCH','MEGA HOME WALO KA MODEL HAIN WARRANTY CARD AMNA KO FF KIYA',null,'16-JAN-2020',null,'WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-12 13:36:46','2021-02-16 17:40:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4271','SHAIKH M. SULMAN','03008544555(03219558064)','HO#268 ST#563 F-10/4 ISB','5','31','124460','SAMSUNG','65TU7000-MRM',null,'26-NOV-2020',null,'FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-12 14:56:34','2021-02-15 13:15:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4272','MR NADEEM UL HAQ','03008547185','HO#50 LANE 03 GULISTAN COLONY NEAR BUTT CHOCK RWP','7','49','16018','FIVE STAR','CELL PHONE CALL(INVOICE N HAIN)',null,'13-DEC-2017','35G-TWIN-FS - 1759','GEYSER','BUNNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-12 15:04:29','2021-02-16 16:35:28',null,'1',null,'0');
INSERT INTO complaints VALUES('4273','ABDUL JABBAR','03325160722','HO#672 ST#02 I 9/1 ISB','9','25','205192','FIVE STAR','10000MC(CELL PHONE CALL INVOICE B HAIN)(MAX C/R)',null,'07-FEB-2021',null,'BUILT IN APPLLIANCES','IGNITION  PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-12 17:09:38','2021-03-04 12:59:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4274','GHAZIA KARIM','03342848888639','HO#1/2 ST#15 F-15/1JMAO KASHMIR ISB','5','28','128600','SIGNATURE','C/O ABU BAKAR FCI',null,'28-JAN-2021','HC-2300G - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-12 17:15:31','2021-02-20 14:35:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4275','DR ARIF','03005523771','Harlay Street NEAR Harlay Hospital Rwp','7','49','21981','SIGNATURE','MODAL#SWH-20-05  SALE ADVISOR ZAHID PTCL CALL INVOICE HAY',null,'14-OCT-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-13 11:44:13','2021-02-22 16:34:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4276','MR MUJEEB AHMAD','03008505172','HO#16 ST 11 SEC DHA PHASE 05 ISB','8','37','13534','LG','SALE ADVISOR MANZAR YASIN TAHA SOHAIL SIR NAY COMPLAINT BAJI HAY',null,'08-APR-2018','4J6TMP8S-S - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-13 11:53:49','2021-02-18 11:42:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4277','MR SAMI KHAN','03018549240  03008579240','HO#01 HASSAIN STREET BANI GALA SEC G/5 ISB','8','38','21858','SIGNATURE','SALE ADVISOR SHAYAAN',null,'25-APR-2020','SCF-HM09 - 954','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-13 12:02:35','2021-02-22 16:33:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4278','CODEF ORBIT OFFICE','03125279893','CODEF ORBIT OFFICE FAZAL INDUSTRY COMPLEX MAIN 7 UP CHOCK SEC 1/9-3 ISB','9','23','188890','GREE','SALE ADVISOR MURTAZA  AC FLOOR STANDING',null,'18-MAY-2020','48FWITH - 921','AIR CONDITIONER','ERROR-E-5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-13 12:19:56','2021-02-16 12:08:33',null,'1',null,'0');
INSERT INTO complaints VALUES('4279','MR SOHAIL','03325000561','HO#105 ST 70 PARK EVENU SEC E-11/2 ISB','5','31','120784','TCL','02 TV KI COMPLAINT HAY',null,'15-AUG-2020','65P8M - 1443','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-13 13:04:06','2021-02-16 12:06:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4280','COL TARIQ','03343752025','APP#02 BLOCK 02 ASKARI NAZIR APP KASHMIR ROAD RWP','4','6','19284','KENWOOD','MODAL#25557GD-BKG-85 SALE ADVISOR SALEEM',null,'21-JAN-2021',null,'REFRIGERATOR','COMPRESSOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-13 13:28:14','2021-02-23 13:10:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4281','MR SAJID MEHMOOD','03335128850  03000301423','HO#147-C FAISAL COLONY RWP','5','31','91455','SIGNATURE','C/O KHURRAM GOOGLE SIR NAY COMPLAINT BAJI HAY',null,'07-FEB-2018','SRF-KK90S - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-13 13:37:42','2021-02-16 17:56:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4282','MR NUR-E-SHER','03425445856  03435026806','HO#03 ST 21-A1 SEC-A BAHRIA ENCLAVE ISB','5','36','128954','HAIER','0',null,'06-FEB-2021','276EBS - 858','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-13 14:13:49','2021-02-16 12:00:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4283','SHAHID IQBAL','03215240497','IQBAL PLACE QUAID E AZAM DHAMIL CAMP R.W.P CANTT','9','24','29727','SIGNATURE','OLD CRM 20355',null,'19-SEP-2019','SRF-HM99 - 908','REFRIGERATOR','PC CARD PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-13 14:33:29','2021-02-13 15:38:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4284','MAJ ADNAN','03335358860  03335561094','FLAT#M BLOCK-01 NEAR 06 ROAD RWP','9','19','194640','SAMSUNG','MODAL#15J5730SS-S  PTCL CALL INVOICE HAY',null,'13-AUG-2020',null,'WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-13 15:26:32','2021-02-15 13:14:54',null,'1',null,'0');
INSERT INTO complaints VALUES('4285','MR SAMI-ULLAH-KHAN','03129790211 03009790211','HO#132 ST 82 SEC E-11/2 ISB','8','37','24972','SIGNATURE','SALE ADVISOR  CH WAQAR',null,'02-DEC-2017','SRF-KK90G - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-13 15:46:10','2021-02-15 11:27:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4286','MR SAMI-ULLAH-KHAN','03129790211 03009790211','HO#132 ST 82 SEC E-11/2 ISB','8','37','28569','SIGNATURE','SALE ADVISOR MR USMAN',null,'09-JULY-2018','SWM-JD56 - 1643','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-13 15:51:18','2021-02-15 11:27:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4287','MR ATIF BUKHARI','03359922212','HO#15-A MAJOR STATE  COLONY BLOCK-A SATELLITE TOWN RWP','9','24','198064','CORONA','0',null,'22-OCT-2020','125C-AUTO - 1074','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-13 16:08:15','2021-02-16 16:46:24',null,'1',null,'0');
INSERT INTO complaints VALUES('4288','IMRAN FCP','03005331105','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','51','205369','ORIENT','MODAL#32HD-ACTION',null,'10-FEB-2021',null,'FLAT PANEL TV','PANEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-13 16:20:15','2021-02-15 11:18:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4289','MR AHMED JALEEL','03325187023  03434509587','ST 03 TAHIR STREET POST OFFICE WALE GALE  DHOKH FARMAN RWP','9','27','204020','HAIER','0',null,'16-JAN-2021','120B-14876 - 906','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-13 16:26:47','2021-02-17 11:23:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4290','MR JAWAD ASLAM','03155473129','HO#NW/1027 NEAR 06 ROAD DHOK KHILO  KHAN RWP','9','51','205354','HAIER','MODAL#32B9M',null,'10-FEB-2021',null,'FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-13 17:04:27','2021-02-16 11:52:50',null,'1',null,'0');
INSERT INTO complaints VALUES('4291','MR SHAZEH HUSSAIN','03100305777  03008563954','APP#28 ROYAL ENCLAVE SEC DIPLOMATIC ENCLAVE SEC G/5 ISB','5','32','121459','HAIER','0',null,'03-SEP-2020','85-12826HW - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-13 17:20:56','2021-02-16 16:48:06',null,'1',null,'0');
INSERT INTO complaints VALUES('4292','MR SAIFULLAH KHAN','03214270260','HO#D/10 NHS HILAL ROAD SEC F-11/1 ISB','5','36','83895','LG','MODAL#43LH602-P-1037 SALE ADVISOR IKHLAQ',null,'04-MAY-2017',null,'FLAT PANEL TV','PICTURE ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-02-13 17:36:47','2021-02-26 12:52:20',null,'1',null,'0');
INSERT INTO complaints VALUES('4293',null,null,null,'6',null,null,'HAIER','0000',null,null,'65K6600UG - 1443','FLAT PANEL TV','65UG6900 PANEL DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-02-13 17:54:45','2021-02-24 13:24:59',null,'1',null,'0');
INSERT INTO complaints VALUES('4294','NAEEM NASEER','03215327137','FRIEND CORPORATION SHAMSA  BAD RWP','8','37','0','HAIER','MODAL#65U6900 C/0 NAEEM NASEER  SIR NAY COMPLAINT BAJI HAY',null,'0',null,'FLAT PANEL TV','PANEL DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-13 18:12:19','2021-03-15 16:39:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4295','ABU BAKAR (FCI)','03365122695','FRIENDS CORPORATION BULE AREA ISB','5','36','102951','LG','CUSTOMER OVEN SHOWROOM DROP KAR K GAY HAIN( BILL #52 YHA COMPLIANT AGAIN REOPEN KI HAIN',null,'19-MAR-2019','3965ACS-S - 1984','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','2392','74','2021-02-13 18:18:48','2021-03-01 16:43:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4296','MR ASIF','03235320139   03009111929','HO#02 ST 07 SEC H DHA 02 ISB','9','23','112380','SAMSUNG','SALE ADVISOR MUDASSAR HAMMAD FCP SIR NAY COMPLAINT KARWAI HAY',null,'03-APR-2016','64H5350GT - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-14 10:55:58','2021-02-15 15:44:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4297','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','HAIER','MODAL#428',null,'0',null,'REFRIGERATOR','FRONT WHEEL MISSING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-14 11:05:35','2021-02-18 11:44:42',null,'1',null,'0');
INSERT INTO complaints VALUES('4298','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','SHARP','MODAL#32LE185',null,'0',null,'FLAT PANEL TV','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-14 11:15:40','2021-02-17 11:12:00',null,'1',null,'0');
INSERT INTO complaints VALUES('4299','MR BILAL','03215018548  0515789292','HO#273 ST 14 SEC B/1 DHA PHASE 01 RWP','9','20','121329','SIGNATURE','0',null,'06-SEP-2016','MD99SS-S - 1723','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-14 11:25:58','2021-02-16 11:07:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4300','MR ABDUL QAYYUM','03438510518  03015227234','HO#56 ST 141 SEC G-13/4 ISB','5','31','101036','LG','PTCL CALL INVOICE HAY',null,'01-JAN-2019','2J3QDNP0-S - 1483','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-14 11:59:10','2021-02-23 12:06:55',null,'1',null,'0');
INSERT INTO complaints VALUES('4301','MR IJAZ','03455529212','HO#78-B  ST 19 GULZAR-E QUAID RWP','8','37','29990','HAIER','PTCL CALL INVOICE HAY',null,'09-OCT-2018','95-1678HWM - 1817','WASHING MACHINE','ERROR E-5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-14 13:42:20','2021-02-17 11:09:49',null,'1',null,'0');
INSERT INTO complaints VALUES('4302','MR HASSAN','03008397085  03455003737','HO#173 ST 05 AIR PORT HOUSING SOCIETY NEAR KHANA PUL RWP','9','51','200972','ORIENT','MODAL#39HD-ACTION',null,'05-DEC-2020',null,'FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-14 15:38:50','2021-02-17 11:01:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4303','MR USMAN','03215171018','HO#K-32 RAIZ-AL-JINNAH MASJID MOHALA AMARPURA RWP','9','23','177930','DAWLANCE','PTCL CALL INVOICE HAY',null,'28-AUG-2019','6550DW - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-14 15:46:25','2021-02-17 11:49:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4304','BUTT STOCK PWD','03115006051','FRIEND CORPORATION PWD','4','7','0','SUPER ASIA','MODAL#115PB','2021-02-14',null,null,'WATER DISPENSER','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-14 16:40:32','2021-02-20 15:53:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4305','MALIK ARSHAD','03465255380','HO#058-C NEAR TAHSIL ROAD KAHUTA RWP','9','24','204238','KENWOOD','0',null,'20-JAN-2021','1012SA - 902','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-14 17:12:45','2021-02-17 10:59:31',null,'1',null,'0');
INSERT INTO complaints VALUES('4306','MR HAMZA','03170500456','HO#PD-13313 NAZEMA BAD PENDORA  RWP','9','51','205475','HAIER','MODAL#32B9M',null,'11-FEB-2021',null,'FLAT PANEL TV','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 10:44:05','2021-02-18 11:38:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4307','MR NAVEED ZAFAR ALI','03008555989','HO#08 ST 08 KORANG TOWN ISB','6','14','14961','KENWOOD','SALE ADVISOR ALI MURTAZA',null,'30-JUN-2020','1012SA-MRG - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 10:59:07','2021-02-22 17:04:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4308','MR IMRAN','03459041860 03323867774','HO#09 ST 44 SEC F-6/1 ISB','9','19','192858','HAIER','MODAL#18HFBG-INV',null,'15-JULY-2020',null,'AIR CONDITIONER','COMPRESSOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 11:07:28','2021-03-04 15:51:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4309','MISS MARYAM KHALID','03215128280','HO#05 ST 14 SEC D-17/2 ISB','5','30','0','SIGNATURE','CUSTOMER NAY LAHORE SAY PERCHAGE KI THI',null,'OUT OFF WARRANTY','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 11:23:21','2021-02-16 12:11:35',null,'1',null,'0');
INSERT INTO complaints VALUES('4310','MR NASEER','03125036415','HO#240 ST 102 MODAL TOWN HUMAKH RWP','8','40','46101','ORIENT','MODAL#531OWD-DARK',null,'01-FEB-2021',null,'WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 11:38:49','2021-02-18 11:27:59',null,'1',null,'0');
INSERT INTO complaints VALUES('4311','MR ABDUL QUDOOS','03335170486','LANE 06 NEAR  GULSHANY NAYAB ROAD  VESTEREG 03 RWP','9','27','128228','SIGNATURE','SALE ADVISOR KAMRAN',null,'19-FEB-2017','SWM-SR50 - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 11:54:48','2021-02-16 16:34:50',null,'1',null,'0');
INSERT INTO complaints VALUES('4312','MR ASHRAF','03335136741','HO#675D NEAR COMRACIAL  MARKET  SATLITE TOWN RWP','9','27','143445','SIGNATURE','SALE ADVISOR KAMRAN',null,'27-NOV-2017','SWM-FW1409S - 901','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 12:07:55','2021-02-28 14:54:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4313','SYED ANWARUL HASSAN','03009507750','HO#12 ST 74-A SEC E-11/3 ISB','5','53','127706','HAIER','0',null,'02-JAN-2021','18HRW-W-INV - 915','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 12:31:10','2021-02-18 11:26:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4314','MR ZAHID','03345001230','HO#1888 ST 33 SEC I-14/2 ISB','9','26','197906','FIVE STAR','MODAL#35G-HEAVY',null,'19-OCT-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 12:40:33','2021-04-07 15:39:37',null,'1',null,'0');
INSERT INTO complaints VALUES('4315','COL SAFDAR','03145290007','HO#09 ST 12 SAFARI 01 BAHRIA TOWN RWP','4','10','10870','SIGNATURE','MODAL#HM13',null,'01-OCT-2019',null,'FREEZER','BULB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 12:54:57','2021-02-18 12:03:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4316','MR FAROOQ','03348514661','HO#1-A PHASE 01 NEW LALAZAR RWP','8','37','14881','SIGNATURE','C/O KRL IQBAL',null,'13-SEP-2017','SCF-HM08 - 954','FREEZER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 13:07:36','2021-02-26 12:56:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4317','MR ALI','03219599409','HO#1969 ST 13 CHAKRA ROAD MALKA BAD RWP','9','19','205529','ORIENT','MODAL#531OWD-DARK',null,'13-FEB-2021',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 13:32:23','2021-03-16 12:36:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4318','MR FARAZ','03015032929','HO#1236 ST 175 SEC G-11/1 ISB','5','36','128296','BOSCH','0',null,'19-JAN-2021','20260GC - 880','WASHING MACHINE','EARTH QUICK',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 13:54:44','2021-02-27 11:26:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4319','MR ARSHAD','03335578494  03445190079','HO#62 ST 21 BLOCK-D MEDIA TOWN RWP','4','5','7642','SIGNATURE','MODAL#RSMD100G  SALE ADVISOR NAEEM AZEEM PTCL CALL INVOICE HAY',null,'12-FEB-2019',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 14:05:24','2021-02-18 11:19:14',null,'1',null,'0');
INSERT INTO complaints VALUES('4320','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','19','0','HAIER','0','2021-02-15',null,'398IDBT - 884','REFRIGERATOR','BASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 14:37:21','2021-02-25 11:10:37',null,'1',null,'0');
INSERT INTO complaints VALUES('4321','MR RASHEAD AHMAD','03335145565','HO#747 ST 04 OVER SEAS 06 BAHRIA PHASE 08','9','20','164759','SAMSUNG','B.COOL NA YHA COMPLAINT USMAN MRM KO YHA COMPLAINT FF KAR WAI HAIN',null,'15-JAN-2019','90J5455MW-S - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-15 15:12:34','2021-02-26 12:57:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4322','MR SALEEM','03314171112','HO#SF-2 BLOCK 15  HAMZA CAMP MURREE ROAD RWP','8','37','20071','DAWLANCE','PTCL CALL INVOICE HAY',null,'01-JAN-2017','9175WBNS - 883','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 15:21:04','2021-02-18 10:55:42',null,'1',null,'0');
INSERT INTO complaints VALUES('4323','MR ASIF','03235320139 03009111929','HO#02 ST 07 SEC H DHA 02 ISB','9','23','112380','SAMSUNG','SALE ADVISOR MUDASSAR HAMMAD FCP SIR NAY COMPLAINT KARWAI HAY (B.COOL NA USMNA SAB KOFF KAR DI COMPLAINT',null,'03-APR-2016','64H5350GT - 885','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-15 15:40:02','2021-02-25 17:42:59',null,'1',null,'0');
INSERT INTO complaints VALUES('4324','HAFIZ AHSAN AHMED','03008487161','SUIT#10 FEDERAL LODAGE NO 01 SEVTOR G-5/1 ISB','5','28','0','HAIER','C/O SADDIQ SAB',null,'2 YEAR AGO',null,'REFRIGERATOR','COOLING PROB+LIGHT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-15 16:05:33','2021-02-22 16:36:05',null,'1',null,'0');
INSERT INTO complaints VALUES('4325','MR AJMAL MUHKTAR','03107046681','HO#901 ST 42 BAHRIA PHASE 07 RWP','6','15','22700','LG','SALE ADVISOR RIZWAN ALI',null,'19-AUG-2019','4J9JHP2T-S - 1874','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 16:16:47','2021-02-23 12:06:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4326','COL IMRAN','03332223728','HO#1058 ST 23 PHASE 05 BAHRIA TOWN RWP','8','37','44070','LG','MODAL#4V5VGP2T-S',null,'02-DEC-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 16:25:25','2021-02-18 11:19:54',null,'1',null,'0');
INSERT INTO complaints VALUES('4327','MR USMAN','03335123534  03335277757','HO#1308  ST 04 POLICE FOUNDATION PWD ISB','4','8','17276','HAIER','SALE ADVISOR SALEEM',null,'18-NOV-2020','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 16:33:42','2021-02-18 10:42:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4328','MR ABDUL RAHEEM','03335105565  03005105565','HO#617 ST GALI 60 SEC G-6/1-2 ISB','5','30','112108','SIGNATURE','0',null,'14-DEC-2019','SGG-1704G - 1029','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 16:43:52','2021-02-23 17:13:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4329','MR AWAIS','03365869496  03315132370','HO#554/4  ANAYAT HUSSAIN STREET R-A BAZAR RWP','9','19','198324','CANON','MODAL#18DD-NG  SALE ADVISOR MURTAZA',null,'27-OCT-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 17:04:51','2021-02-18 10:38:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4330','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','HAIER','MODAL#50U6900',null,'0',null,'FLAT PANEL TV','HALF SCREEN DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-15 17:38:20','2021-02-18 11:20:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4331','MRS AMIR IQBAL','03335515041','HO#21L ST 25 SEC-A BAHRIA ENCLAVE ISB','5','36','90688','SIGNATURE','SALE ADVISOR ASHRAF IKHLAQ',null,'08-JAN-2018','SCR-FSS3-5G - 1076','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 11:01:18','2021-02-19 12:28:36',null,'1',null,'0');
INSERT INTO complaints VALUES('4332','COL ASIM','03215563120','HO#424 ST 01 BAHRIA SPRING NORTH RWP','6','16','28626','KENWOOD','0',null,'24-JULY-2020','1828S-INV - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 11:13:20','2021-02-23 17:58:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4333','MISS MARYAM KHALID','03215128280','HO#05 ST 14 SEC D-17/2 ISB','5','30','0','SIGNATURE','CUSTOMER NAY LAHORE SAY PERCHAGE KI THI',null,'04-YEAR-AGO','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 11:20:32','2021-03-09 13:13:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4334','MR TAHA','03000336000','HO#01 ST 25 KORANG TOWN ISB','4','8','13588','ORIENT','SALE ADVISOR NAVEED',null,'15-MAR-2020','18G-SUPER - 915','AIR CONDITIONER','REMOTE SENSOR ISSUE',null,'5','COMPLAINT CLOSD',null,'customer','0',null,'92','2021-02-16 11:33:09','2021-02-24 16:47:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4335','MISS MARYAM ISLAM','03331580605','RAJA MANSHA HOUSE BANNI POLICE STATION NEAR  SAREENA BAKERS  STREET RWP','9','51','202621','ECOSTAR','0',null,'24-DEC-2020','43UD951 - 869','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 11:52:24','2021-02-19 12:15:28',null,'1',null,'0');
INSERT INTO complaints VALUES('4336','MR FAREED SHEIKH','03334822332','HO#1496 ST 43 USMAN BLOCK BAHRIA PHASE 08 RWP','6','13','32576','ORIENT','SALE ADVISOR ZARA',null,'12-JAN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 12:15:23','2021-02-19 12:11:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4337','MR BABAR','03455353188','HO#06 ST 08 BANI GALA ISB','8','39','46341','GREE','CHAT SERVICE KI TARAF SAY COMPLAINT AYI THI',null,'13-FEB-2021','8890EG-CW2 - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 12:18:40','2021-02-19 12:10:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4338','RAJA ZAHID','03315997544','HO#859 ST 78 SEC I-8/3 ISB','6','14','19615','HAIER','SALE ADVISOR SALEEM',null,'13-FEB-2021','622IBS - 908','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 12:32:25','2021-02-19 11:51:29',null,'1',null,'0');
INSERT INTO complaints VALUES('4339','MR MIAN ASAD','03110540340','HO#1479 ST 57 ALI BLOCK SAFARI VILLAS PHASE 08 BAHRIA TOWN RWP','6','15','30581','FIVE STAR','MODAL#35G-TWIN',null,'19-NOV-2020',null,'GEYSER','PILOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 13:06:40','2021-02-19 11:50:33',null,'1',null,'0');
INSERT INTO complaints VALUES('4340','KHUSI MUHAMMAD','03215531925','HO#764 ST 16  QASIM MARKET KAYANI ROAD WAZERA BAD  RWP','9','22','192112','HAIER','0',null,'03-JULY-2020','622ICG - 908','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 13:20:02','2021-02-22 15:42:16',null,'1',null,'0');
INSERT INTO complaints VALUES('4341','MR ASIF ARBAB','03008545565','HO#42 ST 12 SEC F-7/2 ISB','5','31','21140','SIGNATURE','SALE ADVISOR SHAYAAN',null,'13-APR-2020','SBO-AR4R - 1124','BUILT IN APPLLIANCES','BULB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 13:43:56','2021-03-03 14:14:31',null,'1',null,'0');
INSERT INTO complaints VALUES('4342','MR ARSHAD','03015494654','HO#524 ST 03 AL NOOR COLONY SEC 01 RWP','8','38','45376','DAWLANCE','MODAL#270ES-DWT  PTCL CALL INVOICE HAY',null,'27-DEC-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 14:08:14','2021-02-19 11:39:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4343','MR AMIR YOUSAF SHEIKH','03329143264','HO#656 ST 33 BLOCK-D PWD HOUSING SOCIETY ISB','8','37','44886','SAMSUNG','MODAL#80J5410AS-S  SALE ADVISOR NAFEES SIR NAY COMPLAINT BAJI HAY',null,'06-DEC-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 14:16:14','2021-02-17 17:18:00',null,'1',null,'0');
INSERT INTO complaints VALUES('4344','MRS MUGHAL','03379877831','HO#06 ST 201 JINNAH GARDEN ISB','9','24','166125','HAIER','0',null,'16-FEB-2019','95-1678HWM - 1817','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 14:27:50','2021-02-19 11:36:42',null,'1',null,'0');
INSERT INTO complaints VALUES('4345','MR KASHIF','03335113093','HO#237 ST 29 SEC I-9/1 ISB','9','19','205750','HAIER','0',null,'16-FEB-2021','150-1789HWM - 1706','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 15:11:18','2021-02-22 15:37:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4346','MIAN WAQAS','03168557777','H NO 3 ST NO 1 SEC E SAFARI HOME BAHRIA TOWN RWP','6','15','27279','CORONA','SALE ADVISOR ZARA',null,'20-MAY-2020','351C - 1533','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 15:19:01','2021-02-19 11:20:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4347','MR AZHAR BUTT','03305383631  03005913250','OFFICE#NIFT 4th FLOOR MALHI PALAZA OPP CHAKLALA CONTOMENT BOAD MUREE ROAD SADAR CANTT','8','37','23425','HAIER','MODAL#18HRO-W-INV   SALE ADVISOR YASIR MUSHTAQ YASIR HEAD OFFICE SIR NAY COMPLAINT BAJI HAY',null,'03-SEP-2020',null,'AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 15:30:31','2021-02-19 11:18:43',null,'1',null,'0');
INSERT INTO complaints VALUES('4348','DR KALEEM','03225138862','HO#1212 SOUTH EAST BULLEWARD PHASE 05 BAHRIA TOWN','6','12','30233','SAMSUNG','MODAL#90K5410-S  SALE ADVISOR ZEESHAN',null,'27-OCT-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 15:44:04','2021-02-18 11:20:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4349','MR SHAHID','03015669811','HO#798 ST 77 SEC G-9/1 ISB','5','35','129198','SIGNATURE','0',null,'12-FEB-2021','HC-3764G - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 15:51:20','2021-03-03 10:44:53',null,'1',null,'0');
INSERT INTO complaints VALUES('4350','MR ISHTAIQ','03365776098','HO#394 BLOCK A MAIN ROAD MEDIA TOWN ISB','9','23','185603','SAMSUNG','CHAT SERVICE KI TARAF SAY COMPLAINT AYI THI',null,'16-JAN-2020','11J5710-S - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 16:21:14','2021-02-17 17:17:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4351','MR HANIF','03025414797','ST 16 HO#338 JANDHA CHICHI RWP','9','23','205409','KENWOOD','0',null,'10-FEB-2021','1012SA - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 16:32:38','2021-02-20 12:29:03',null,'1',null,'0');
INSERT INTO complaints VALUES('4352','MR ABDUL QAYOOM','03335147393','HO#301 MAIN STREET AMIN TOWN RWP','5','30','82356','LG','SALE ADVISOR IMRAN MUGHAL',null,'20-MAR-2017','702HLPL-S - 86','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 16:57:38','2021-03-01 15:34:22',null,'1',null,'0');
INSERT INTO complaints VALUES('4353','MR ZEESHAN','03315328360','HO#263 CENTER AVENUE PHASE 06 BAHRIA TOWN','4','7','12131','LG','0',null,'15-DEC-2019','4295CIS-S - 987','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-16 17:09:34','2021-03-01 17:11:26',null,'1',null,'0');
INSERT INTO complaints VALUES('4354','MR MASOOD AHMED','03035558900','HO#225/11 NEW KEHAL  ABBOTTABAD','8','38','12475','LG','0',null,'25-FEB-2019','4J9HP2T-S - 1712','WASHING MACHINE','POWER ISSUE',null,'5','COMPLAINT REOPEND',null,'customer','0',null,'92','2021-02-16 17:43:04','2021-06-07 15:16:31',null,'1',null,'0');
INSERT INTO complaints VALUES('4355','MR USMAN','03455912855','HO#N275 MOHALLAH WARIS KHAN RWP','9','22','196649','SAMSUNG','0',null,'24-SEP-2020','11J5710-S - 905','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-17 11:30:23','2021-02-20 14:34:52',null,'1',null,'0');
INSERT INTO complaints VALUES('4356','MRS NOMAN','03205500319','HO#506 ST 23 FACE 03 BAHRIA TOWN RWP','4','6','9034','LG','SALE ADVISOR SALEEM',null,'01-JUN-2019','1066NEFTF-S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-17 11:30:32','2021-04-09 15:20:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4357','MR IMTIAZ MALIK','03345330363  03335885616','HO#569 NEAR 07 ROAD RWP','9','19','31026','SIGNATURE','SALE ADVISOR AZHAR SDA  PTCL CALL INVOICE HAY',null,'09-DEC-2018','SWM-JD46 - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-17 11:33:30','2021-03-03 11:58:59',null,'1',null,'0');
INSERT INTO complaints VALUES('4358','MR PERVAZ','03131889295','HO#149-C ST 02 DHOK WALI DAD NAI ABADI MORGAH RWP','9','26','200454','HOMAGE','HAMMAD FCP SIR NAY COMPLAINT BAJI HAY',null,'02-DEC-2020','1020S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-17 11:46:54','2021-02-20 10:46:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4359','KAMRAN BAHRIA 7','03219507474','FRIEND CORPORATION PHASE 7','6','14','0','SAMSUNG','VISIT TO SHOWROOM',null,'0','450N - 1410','SOUND SYSTEMS','SOUND BAR# WOOFER CONNECTION ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-17 12:53:33','2021-02-27 11:30:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4360','SYED ATHER RAUF','03008553055','HO#66 ST 59 SEC F-11/4 ISB','5','32','86535','SIGNATURE','0',null,'17-JULY-2017','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-17 13:04:02','2021-03-01 15:35:21',null,'1',null,'0');
INSERT INTO complaints VALUES('4361','MISS NAVEEDA','03455582055  03005205852','MUHALA  TAKEYA BADSHA RAHEAM SHA NEAR  CITY BALANCE STREET GUJAR KHAN','9','22','198614','CARAVELL','MODAL#207BA',null,'02-NOV-2020',null,'WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-17 13:15:14','2021-03-15 16:26:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4362','MISS NATASHA','03441555935','HO#245 ST 52 SEC F-10/4 ISB','8','37','45882','CORONA','0',null,'23-JAN-2021','351C - 1533','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-17 13:16:27','2021-02-22 15:26:42',null,'1',null,'0');
INSERT INTO complaints VALUES('4363','MR ATIF RAZA','03345666142','HO#PD-426/C ST 01 BEHIND NEAR G RESTORENT SATADIAM ROAD RWP','9','24','204345','CORONA','PTCL CALL INVOICE HAY',null,'23-JAN-2021','125C-AUTO - 1074','COOKING RANGE','BUTTON ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-17 13:17:22','2021-02-24 15:47:21',null,'1',null,'0');
INSERT INTO complaints VALUES('4364','MR MUJTABA JAMAL','03238556898','HO#899 ROAD-E PHASE 03 BAHRIA TOWN ISB','4','6','11062','LG','SALE ADVISOR SALEEM',null,'17-OCT-2019','9588NEHVA-S - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'92','2021-02-17 14:06:34','2021-02-23 12:06:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4365','MR BILAL','03215018548 0515789292','HO#273 ST 14 SEC B/1 DHA PHASE 01 RWP','9','20','121329','SIGNATURE','0',null,'06-SEP-2016','MD99SS-S - 1723','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-17 15:35:17','2021-02-25 11:39:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4366','MUHAMMAD SHABRAZ','03045142755 , 03105071777','HO# 2 BLOCK-D MEDIA TOWN ISB','4','8','13264','SAMSUNG','0',null,'20-FEB-2020','70H4200-S - 1483','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-17 15:56:02','2021-02-20 14:33:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4367','MR TAUQEER SHAH','03345128382','HO#SA-104 MAJARSTAT COLONY ST 05 CHOTA BAZAR NEAR IMAM-BARGA STREET RWP','9','51','181021','TCL','1903VLR300797A00235',null,'05-NOV-2019','43S6500 - 869','FLAT PANEL TV','ON#OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-17 16:02:14','2021-02-24 16:31:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4368','MISS ZAHRA','03335967374','HO#49 ST 30/1 SEC-B BAHRIA ENCLAVE ISB','5','32','119125','GREE','PTCL CALL INVOICE HAY',null,'13-JULY-2020','9978EG-CR1 - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-17 16:20:01','2021-02-22 14:35:53',null,'1',null,'0');
INSERT INTO complaints VALUES('4369','MR HASEEB AHMED','03325412014','HO#06 NARC STAFF COLONY NEAR RAWAL DAM ISB','5','32','122686','GREE','0',null,'08-OCT-2020','9978EG-CB2 - 885','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-17 16:41:32','2021-02-20 11:41:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4370','DR SUJHA','03146021067','VILLAGE#MARA CHAPER POST OFFICE MUGHAL SEHALA ISB','8','38','46165','CORONA','0',null,'04-FEB-2021','125C-AUTO - 1074','COOKING RANGE','BURNER NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-17 16:52:20','2021-02-22 15:20:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4371','MR SHAKEEL','0515177760','HO#13-B ST 02 LALAZAR EASTE 01 TULSA ROAD OPPOSITE QASIM BASE RWP','8','37','0','DAWLANCE','C/O  ASLAM SIR',null,'0',null,'REFRIGERATOR','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-17 17:13:25','2021-02-18 11:21:20',null,'1',null,'0');
INSERT INTO complaints VALUES('4372','MR IHSAN-UL-HAQ','03215553892','MALL OFF ISLAMABAD BLUE AREA JINNAH AVENUE NEAR U-FONE TOWER ISB','9','26','195835','GABA NATIONAL','PTCL CALL INVOICE HAY',null,'07-SEP-2020','187SS - 1980','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-17 17:19:37','2021-03-01 11:08:50',null,'1',null,'0');
INSERT INTO complaints VALUES('4373','MR ZAFAR','03439127826','HO#D-25 NIH COLONY ISB','5','29','125268','LG','0',null,'03-DEC-2020','1066NEFTW-S - 902','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-18 12:17:27','2021-02-28 14:55:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4374','MR SAJID ALI','03070112761','HO#CB-166/24 LANE 07 RAFAY MALL PASHAWAR ROAD RWP','8','42','22141','FIVE STAR','MODAL#40WS',null,'12-NOV-2020',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-18 12:17:48','2021-03-23 13:25:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4375','MR ANJUM','03315579931   03337204666','HO#20 MAIN MARGALLA ROAD F-8/3  ISB','8','47','23943','HAIER','MODAL#24HFCD-W-INV',null,'12-DEC-2020',null,'AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-18 12:25:08','2021-02-25 14:13:12',null,'1',null,'0');
INSERT INTO complaints VALUES('4376','MR IMRAN','03365160260','HO#06 BLOCK-08 FAISAL COLONY KASHMIR LANE RWP','9','24','190874','GREE','0',null,'18-JUN-2020','9978EG-CB3 - 2116','REFRIGERATOR','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-18 14:14:47','2021-02-21 11:26:33',null,'1',null,'0');
INSERT INTO complaints VALUES('4377','MR SHAKEEL','03155495593   03335252632','HO#37/2 ST 107 SEC G-7/4 ISB','5','29','109010','TCL','MODAL#LT40D3000   1906VLR300876A00423',null,'31-AUG-2019',null,'FLAT PANEL TV','PICTURE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-18 14:24:51','2021-02-22 16:59:29',null,'1',null,'0');
INSERT INTO complaints VALUES('4378','QARI HAROON','03335168536','HO#943-A ST 47 SEC G-11/2 ISB','9','26','137938','SIGNATURE','0',null,'23-JULY-2017','SWM-SR45 - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-18 14:39:36','2021-02-23 17:12:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4379','COL SHER KAKAR','03355511777','HO#26 ST 13 SEC-J DHA PHASE 02 ISB','6','12','11548','SAMSUNG','0',null,'24-NOV-2017','11J5710GT - 905','WASHING MACHINE','DRUM ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-18 15:27:04','2021-02-22 16:33:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4380','DR WASEEM','03335348468','HO#60-C ASKARI 07 ADYALA ROAD RWP','9','24','197486','SIGNATURE','SALE ADVISOR IRFAN     OVEN KI COMPLAINT HAY',null,'12-OCT-2020','MT9R - 1124','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-18 15:37:38','2021-02-27 11:30:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4381','IMRAN FCP','03005331105','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','51','205475','HAIER','MODAL#32B9M',null,'11-FEB-2021',null,'FLAT PANEL TV','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-18 16:14:36','2021-02-27 11:41:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4382','MR WASEEM ZUBAIRI','03008543433','DHOK CHAK ALI PUL KHARASH BARAKHU ROAD ISB','5','30','128361','SUPER ASIA','MODAL#30MEH',null,'21-JAN-2021',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-18 16:40:44','2021-03-01 12:46:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4383','MR ZULFIQAR','03215231966','ST#37  PIPAL COLONY RWP','9','24','107829','SAMSUNG','0',null,'08-DEC-2015','11J5710GT - 905','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-18 17:43:53','2021-02-22 16:32:36',null,'1',null,'0');
INSERT INTO complaints VALUES('4384','MRS SALEEM','03335479251','HO#2195 ST#70 PHASE 03 BAHRIA TOWN R.W.P','9','20','127960','SIGNATURE','0',null,'12-FEB-2017','SWM-SR50 - 905','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'92','2021-02-18 18:02:31','2021-03-11 16:36:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4385','SIBTAIN SAB','03008556464','HO#5684 LANE#03 RAHAY AMAN ROAD NEW LALA ZAR R.W.P','7','49','22553','SUPER ASIA','240SA-SHW-78',null,'07-DEC-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-19 12:40:35','2021-02-22 13:30:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4386','MISS RAZIA SULTANA','03345111610','FLAT#03 2ND FLOO AL KHAR DUBAI PLAZA PHASE 01 JINAH GARDEN ISB','8','39','45602','HAIER','C/O ASLAM SIR',null,'07-JAN-2021','306IDRT - 894','REFRIGERATOR','EXTRA COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-19 12:51:37','2021-03-03 17:12:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4387','DR SADIA','03335141875','HO#1931 ST#15 SEC I-10/1 ISB','4','11','18524','HAIER','C/O BILAL PWD',null,'06-DEC-2020','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-19 12:54:58','2021-02-21 11:23:35',null,'1',null,'0');
INSERT INTO complaints VALUES('4388','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','SONY','BULE AREA SHOWROOM PA VISIT ARRANGE KARWAY',null,'0','V11-MHC - 1254','SOUND SYSTEMS','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-19 12:59:49','2021-03-02 13:04:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4389','CH BILAL','0334500679','HO#2/5 C ST#38 G-7/4 ISB','5','29','113012','FIVE STAR','C/O AZHAR RAMZAN FCI',null,'16-DEC-2019','900C-FS - 1965','COOKING RANGE','THERMOSTAT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-19 13:14:17','2021-03-04 12:59:21',null,'1',null,'0');
INSERT INTO complaints VALUES('4390','MR SAAD JAWED','03440518114','FORM#185 ST 05 BLOCK-A GULBERG GREEN ISB','5','34','115548','FIVE STAR','2ND GEYSER KI COMPLAINT HAIN (DONO GEYSER KI TANKI AAGEI HAIN)',null,'14-MAR-2020','35G-TWIN SUPREME - 963','GEYSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-19 15:25:13','2021-03-30 14:29:24',null,'1',null,'0');
INSERT INTO complaints VALUES('4391','DR NAJAM HUSSAIN','03238551777','HO#45 I LANE 03  GULISTAN COLONY R.W.P','8','38','22259','CORONA','C25',null,'28-NOV-2020',null,'COOKING RANGE','PANAL HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-19 15:39:03','2021-02-23 12:36:54',null,'1',null,'0');
INSERT INTO complaints VALUES('4392','KABEER SAB(AL SHEIKH TIKA HOUSE )','03345767771','HO#D-302 COMMERCIAL MARKET R.W.P','8','38','12606','SIGNATURE','C/O TAHA SOHAIL',null,'04-FEB-2018','SRF-KK90S - 885','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-19 15:43:30','2021-02-20 14:32:58',null,'1',null,'0');
INSERT INTO complaints VALUES('4393','TARIQ FCI','03005566006','FRIENDS CORPORATION BULE AREA ISB','5','31','0','HAIER','C/O TARIQ FCI(HWM-100S)',null,'0',null,'WASHING MACHINE','NOB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-19 16:24:12','2021-02-22 13:15:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4394','FAHRAT BANGUSH','03008545645','HO#24 ST#3B F-10/2 ISB','5','32','94593','CARAVELL','0',null,'17-MAY-2018','1200MEC - 1559','CHILLER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-19 16:31:13','2021-02-27 12:01:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4395','MR FAZAL ELAHI','03335252352','HO#25-B WAPDA COLONY SEC G-7/4 ISB','5','31','116634','HAIER','0',null,'22-MAY-2020','85-1708HWM - 945','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-20 11:08:02','2021-02-23 11:48:28',null,'1',null,'0');
INSERT INTO complaints VALUES('4396','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','HAIER','0',null,'0','32K6600 - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-20 11:17:22','2021-02-25 11:10:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4397','MR KAMRAN','03335511215','HO# 107C ST 5 KHALID BLOCK PHASE 8 BAHRIA TOWN RWP','7','49','15244','SIGNATURE','0',null,'25-JULY-2017','SRF-KK95G - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-20 11:44:53','2021-08-02 16:16:36',null,'1',null,'0');
INSERT INTO complaints VALUES('4398','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKIT RWP','13',null,'0','DAWLANCE','0',null,'0','91996GD - 885','REFRIGERATOR','DOOR ISSUE',null,'5','CLOSED',null,'customer','0',null,'92','2021-02-20 12:09:47','2021-03-01 12:21:40',null,'1',null,'0');
INSERT INTO complaints VALUES('4399','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','BOSCH','2 PCS   KI COMPLAINT HAY(YHA DONO W/M CUSTOMER SA REPLACE HOI HAIN DONO W/M I 10/3 S/C MOVE HO GEI INFORMED BY IQBAL SAB','2021-02-20',null,'24462GC - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-20 12:13:47','2021-03-17 11:02:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4400','MR WASEEM AKHTER','03015149767   03334241198','HO#28 LANE 15 SEC-D DHA PHASE 02 ISB','4','5','11264','SIGNATURE','PTCL CALL INVOICE HAY',null,'03-NOV-2019','SWM-JD50C - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-20 12:32:48','2021-02-20 17:36:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4401','MR FARAZ YOUNS','03315058071  03005258600','HO#95 ST 36 SEC-C BAHRIA PHASE 08 RWP','4','5','17563','SIGNATURE','SALE ADVISOR SALEEM',null,'01-DEC-2020','HC-5871S - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-20 12:40:56','2021-03-01 11:17:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4402','MR NAEEM','03216024043','HO#581 MAIN ROAD NO 03 SEC G-15/1 ISB','5','28','110944','SIGNATURE','SALE ADVISOR ABU BAKAR',null,'15-NOV-2019','HC-5861S - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-20 12:54:15','2021-04-05 13:54:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4403','ATIF SADAR','03455662238','FRIENDS CORPORATION SADAR R.W.P','7','49','0','HOMAGE','C/O ASALAM SIR',null,'0','83HWD - 993','WATER DISPENSER','TOP COVER NOT ADJUST',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-20 13:04:23','2021-03-04 13:58:42',null,'1',null,'0');
INSERT INTO complaints VALUES('4404','MR KHURRAM','03215574299  03145127157','HO#05 VALLY ARSHAY BHARAN NEAR NADRA OFFICE HADYALA  RWP','9','20','138974','SIGNATURE','0',null,'15-AUG-2017','SWM-SR50 - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-20 13:28:35','2021-02-22 13:21:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4405','MR ADIL','03215756970','HO#156/11 LANE 07 PESHAWAR ROAD RWP','7','49','22701','SIGNATURE','MODAL#SWH-20-06  SALE ADVISOR ZAHID',null,'28-DEC-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-20 13:37:03','2021-02-23 12:05:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4406','MR AMANULAH','03003881177','HO#05 ST 52 KORANG TOWN ISB','8','42','13329','SAMSUNG','AZHAR BAHRIA SIR NAY COMPLAINT BAJI HAY',null,'10-OCT-2015','11F5S4GT - 905','WASHING MACHINE','FILTER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-20 13:58:36','2021-03-14 17:02:37',null,'1',null,'0');
INSERT INTO complaints VALUES('4407','MR HAROON RASHEED','03218571541','HO#85 LANE 05 ASKARI 12  RWP','7','49','20278','SUPER ASIA','SALE ADVISOR ZAHID',null,'15-DEC-2019','244SA - 1483','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-20 14:29:21','2021-02-23 11:32:53',null,'1',null,'0');
INSERT INTO complaints VALUES('4408','MURTAZA BUT(STOCK)','03115006051','FRIENDS CORPORATION  PHASE 07 B.TOWN','6','12','0','GREE','FF TO ANEEQ(TASK#1897)',null,'0','18FITH1S - 915','AIR CONDITIONER','Indoor damage and scratches',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-20 15:08:19','2021-03-16 16:15:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4409','MR TARIQ SAEED KHAN','03211082424  03009558416','SHARAY GAZEAY MILYAT NEAR BUSS TERMINER SANGUM SHADI HALL AZAD KASHMIR RAWALAKOT','9','24','158914','LG','OUT OFF CITY COMPLAINT',null,'01-OCT-2018','4J6TNP8S-S - 899','WASHING MACHINE','DRUM ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-20 15:11:39','2021-04-14 15:18:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4410','MR MUSHTAQ AHMED','03014834199','HO#103 ST 03 BLOCK-A MEDIA TOWN MAIN PWD ROAD ISB','6','12','19838','SAMSUNG','0',null,'24-MAR-2019','90J5455MW-S - 901','WASHING MACHINE','NOT WORKING#SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-20 15:57:12','2021-04-12 17:31:06',null,'1',null,'0');
INSERT INTO complaints VALUES('4411','DR JAVEED','03008500488','HO#81 ST 03 NEAR KHYABAN-E-KASHMIR SOCIETY  SEC F-15/1 ISB','8','37','26243','SIGNATURE','SALE ADVISOR AZHAR SDA  AZHAR BAHRIA SIR NAY COMPLAINT BAJI HAY',null,'04-MAR-2018','SCR-FSB3-5G - 1605','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-20 16:25:12','2021-04-01 12:19:00',null,'1',null,'0');
INSERT INTO complaints VALUES('4412','MR AFRAAZ','03009316628','HO#14 ST 01 NEAR T CHOCK EXPRESS WAY ISB','8','37','33100','KENWOOD','FF TO ANEEQ(TASK#2684)',null,'06-APR-2019','1224HC-INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-20 16:39:31','2021-02-28 11:56:01',null,'1',null,'0');
INSERT INTO complaints VALUES('4413','AZEEM STOCK','03315420488','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','50','0','SUPER ASIA','MODEL 520DST DAMAGE(FF TO ANEEQ TASK#3088)',null,'0',null,'WASHING MACHINE','DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-20 16:44:21','2021-02-24 13:24:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4414','RIZWAN BEHIRA','03126661934','FRIENDS CORPORATION PHASE 07 B.TOWN','6','12','0','FIVE STAR','MODEL999MC MAX(FF TO ANEEQ( TASK#3220) MAX C/R','2021-02-20',null,'500C-FS - 1073','COOKING RANGE','SIDE DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-20 16:48:24','2021-02-26 12:58:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4415','BUT STOCK','03115006051','FRIENDS CORPORATION PWD','4','7','0','HAIER','FF TO ANEEQ(TASK#3284)',null,'0','578TBG - 910','REFRIGERATOR','Digital panal wire is discounected And glass door minor damage
COMPLAINT#PKRI-201228103151	
FF TO ANEEQ',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-20 16:55:13','2021-02-26 12:59:21',null,'1',null,'0');
INSERT INTO complaints VALUES('4416','MR KHALID','03335105557  0512652477','HO#10 ST 36 SEC F-7/1 ISB','5','31','73082','SAMSUNG','PTCL CALL INVOICE HAY  JIBRAN SIR NAY INVOICE BAJI HAY',null,'16-FEB-2016','48FAJEDWW - 897','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-20 17:11:57','2021-02-22 13:20:31',null,'1',null,'0');
INSERT INTO complaints VALUES('4417','MR SHER AZAM','03225285858','HO#133 ST 05 SEC G-15/2 ISB','9','22','204758','SAMSUNG','0',null,'30-JAN-2021','70J3283W-S - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-20 17:28:54','2021-02-22 13:20:53',null,'1',null,'0');
INSERT INTO complaints VALUES('4418','MR IBRAHIM','03360551736','HO#06 ST 11 GINNAH GARDEN PHASE 01 ISB','4','11','15202','HAIER','AGAIN REOPN COMPLINT(TASK#3347)',null,'16-JULY-2020','12HNF-G INV - 913','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-20 17:32:33','2021-03-01 11:04:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4419','KHALIQUE ZAMAN','03215155600','FRAM #25 ORCHARD SCHEEM ROAD NEAR RAWAL DAM ISB','8','48','411','MITSUBISHI','REOPEN COMPLAINT (TASK#3426)',null,'07-MAY-2020','50VA - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-20 17:47:39','2021-03-10 15:00:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4420','RAJA TARIQ','03335119000  03025119000','HO#30 ST 12 SEC 01 BAHRIA ENCLAVE ISB','8','39','43666','SIGNATURE','OVEN KI COMPLAINT HAY',null,'23-NOV-2020','MM9R - 1124','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-20 18:02:03','2021-02-22 12:48:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4421','MALIK KHURRAM SADDAR','03005548081','FRIEND CORPORATION SADDAR','7','49','0','CORONA','C/O  ASLAM SIR',null,'0','351C - 1533','COOKING RANGE','COLOUR FALID',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-20 18:10:17','2021-03-16 16:34:37',null,'1',null,'0');
INSERT INTO complaints VALUES('4422','MR ASLAM','03235138315','FLAT#109 FIRST FLOOR ST 100 SEC G-11/3 ISB','5','36','125137','HAIER','ABU BAKAR SIR NAY COMPLAINT BAJI HAY',null,'02-DEC-2020','519DGG - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-21 10:53:11','2021-02-24 11:18:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4423','MR BASIT','03335363954','HO#2750 ST 123 NEAR GO CNG PUMP NEAR TAHLI MURI ARSHAD GENERAL STORE RWP','9','19','201861','HAIER','0',null,'07-DEC-2020','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-21 11:02:43','2021-02-24 11:15:21',null,'1',null,'0');
INSERT INTO complaints VALUES('4424','MRS NUZHAT','03315096793','HO#1021 ROAD-D PHASE 05 BAHRIA TOWN ISB','6','14','19524','FIVE STAR','MODAL#999MC SALE ADVISOR SALEEM',null,'07-FEB-2021',null,'COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-21 11:08:41','2021-02-24 11:18:24',null,'1',null,'0');
INSERT INTO complaints VALUES('4425','MR NADEEM ARIF','03361502797  03129195698','FLAT#01 IREYAD HIGH SCHOOL MORGAH RWP','9','21','22988','ORIENT','MODAL#500HMARVEL-BR',null,'12-FEB-2021',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-21 12:06:22','2021-02-28 12:17:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4426','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','19','0','HAIER','MODAL#285IM GRAY',null,'0',null,'FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-21 12:07:15','2021-02-25 11:11:21',null,'1',null,'0');
INSERT INTO complaints VALUES('4427','MR AZHAR','03335499971','HO#666 ST 18, SEC I-8/2 ISB','8','37','46458','HAIER','0',null,'18-FEB-2021','622IBG - 908','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-21 12:14:34','2021-02-24 11:05:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4428','MR AMIR','03018643344','FLAT#D-18 CROWN TOWER SEC G-11/3 ISB','5','34','118808','TCL','TAC18HEB-20190315A-1729  SALE ADVISOR NAEEM AHMED',null,'07-JULY-2020','18HEB - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-21 13:04:05','2021-02-24 16:27:48',null,'1',null,'0');
INSERT INTO complaints VALUES('4429','SYED MAQSOOD AHMAD','03465464713  03335970145','HO#DD/56-A ST 05 NEAR CHOTI MASJID GHULL SHAN DADIN SHAMSABAD RWP','9','26','188625','LG','0',null,'21-MAR-2020','1066NEFTW-S - 902','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-21 15:13:24','2021-02-24 13:24:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4430','MR SHEHBAZ','03335102489','HO#332 ST 46 MARGALA TOWN PHASE 02 ISB','8','39','15623','LG','MODAL#43LF6300  SALE ADVISOR ADIL RASHEED',null,'10-APR-2016',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 10:30:31','2021-02-27 14:05:58',null,'1',null,'0');
INSERT INTO complaints VALUES('4431','MR TANVEER AHMED','03345507280','HO#1242 ST 175 SEC G-11/1 ISB','5','33','129478','TCL','MODAL#43P615  2010VLR301332A00007',null,'19-FEB-2021',null,'FLAT PANEL TV','CABLE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 10:41:51','2021-03-01 11:02:35',null,'1',null,'0');
INSERT INTO complaints VALUES('4432','DR JAMAL','03315446668','HO#130 ST 06 SEC-G BAHRIA PHASE 08 RWP','6','12','10854','SIGNATURE','SALE ADVISOR USMAN   OVEN KI COMPLAINT HAY',null,'05-OCT-2017','SBC-DARWIN-90BL - 1123','BUILT IN APPLLIANCES','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 11:07:56','2021-06-02 16:06:37',null,'1',null,'0');
INSERT INTO complaints VALUES('4433','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','19','0','KENWOOD','0','2021-02-22',null,'400GD-GNG - 895','REFRIGERATOR','SIDE DAMIG',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 11:17:05','2021-02-25 11:07:05',null,'1',null,'0');
INSERT INTO complaints VALUES('4434','CH MUNIR','03335558898','HO#80-C  PAKISTAN AIR FORCE SEC E-9 AIR HEAD QUARTERS ISB','5','28','128781','SIGNATURE','SALE ADVISOR ABU BAKAR  PTCL CALL INVOICE HAY',null,'02-FEB-2021','HC-5871S - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 11:47:17','2021-02-25 17:41:50',null,'1',null,'0');
INSERT INTO complaints VALUES('4435','DR SUFYAN','03335161345','HO#11 ST 12 SEC-E DHA 01 ISB','9','19','139383','SAMSUNG','0',null,'21-AUG-2017','11J5710GT - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 12:01:19','2021-02-27 14:06:22',null,'1',null,'0');
INSERT INTO complaints VALUES('4436','MR TALHA','03008280060','PLAZA#01 ST 24 SEC G-8/4 ISB','8','40','36921','KENWOOD','SALE ADVISOR HASSAN ALI',null,'29-SEP-2019','1012SA - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 12:16:21','2021-03-01 12:31:48',null,'1',null,'0');
INSERT INTO complaints VALUES('4437','MR ASAD ULLAH','03332385738','HO#177 BLOCK-D CENTER AVENUE PHASE 08 SAFARI VALLIA BAHRIA TOWN RWP','6','12','7994','SIGNATURE','PTCL CALL INVOICE HAY',null,'18-APR-2017','SRF-KK95G - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 13:13:37','2021-02-25 17:41:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4438','MR SABAHAT KHAN','03086472624','HO#647 ST 30 PHASE 03 BAHRIA TOWN ISB','4','5','17920','HAIER','0',null,'03-DEC-2020','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 13:24:23','2021-03-01 12:42:01',null,'1',null,'0');
INSERT INTO complaints VALUES('4439','MR NAEEM ABBAS','03045070522  03049789224','HO#367 ST 22, BLOCK D MEDIA TOWN ISB','4','7','16185','GREE','9978EG-CW1-1991',null,'05-SEP-2020',null,'REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 13:45:59','2021-06-06 13:29:36',null,'1',null,'0');
INSERT INTO complaints VALUES('4440','MR RAHAT SOHAIL','03325020122','HO#14-B ST 10 SEC-B SOAN GARDEN ISB','4','11','17163','SIGNATURE','SALE ADVISOR ALI MURTAZA',null,'14-NOV-2020','SSB-X555MT - 1410','SOUND SYSTEMS','BUTTON ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 14:19:37','2021-05-25 12:04:48',null,'1',null,'0');
INSERT INTO complaints VALUES('4441','LA-VISTA WORLD','03005008666','LA-VISTA  WORLD GROUND FLOOR SAMA RKAT 01 MINE COMARSHAL BAHRIA TOWN PHASE 07 RWP','6','15','30096','HOMAGE','0',null,'18-OCT-2020','43HWD - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 14:35:03','2021-03-18 13:59:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4442','MISS SADIA','03365761993','HO#170 SAFARI VILLAS 03 BAHRIA TOWN','6','14','17306','FIVE STAR','MODAL#55G TWIN  HEAVY   SALE ADVISOR WALEED',null,'21-NOV-2020',null,'GEYSER','THERMOSTAT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 14:59:23','2021-02-26 15:29:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4443','SHAH MUHAMMAD','03340108342','HO#04 ST 03 NEAR KHAN MARKET  PARACHA CHOCK MANZOORABAD RWP','8','47','24181','ORIENT','MODAL#500FLARE-RG  SALE ADVISOR IFTIKHAR HUSSAIN  IQBAL KRL SIR NAY COMPLAINT BAJI HAY',null,'23-JAN-2021',null,'REFRIGERATOR','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 15:22:00','2021-02-25 11:53:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4444','RAJA NASIR','03370448125  03005181048','HO#254 ST 62 SEC I-8/3 ISB','9','27','205415','SAMSUNG','MODAL#80J5446-S',null,'10-FEB-2021',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 15:56:45','2021-02-27 11:31:23',null,'1',null,'0');
INSERT INTO complaints VALUES('4445','DR ALI MIRZA','03223000073','KALYAL ST 5 SHALA WALE RANGE ROAD RWP','9','51','197268','ORIENT','SALE ADVISOR MAZHAR IQBAL',null,'07-OCT-2020','529BL - 128','WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 16:10:29','2021-02-25 11:43:22',null,'1',null,'0');
INSERT INTO complaints VALUES('4446','MR UMAR FAROOQ','03345494574  03225097259','ST#02 RABBANI TOWN GHAZI ABAD DHOK SYEDAN RWP','9','19','139519','DAWLANCE','SALE ADVISOR RAHEEL  HAMMAD FCP SIR NAY COMPLAINT KARWAI HAY',null,'24-AUG-2017','8200 - 118','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 16:28:23','2021-02-25 10:49:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4447','MR ZEESHAN WAQAR','03215237479  03115132313','HO#207 ST 36 SEC G-9/1 ISB','5','28','128285','SIGNATURE','MODAL#C595',null,'19-JAN-2021',null,'COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 16:45:32','2021-02-25 17:40:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4448','BRIG ZAHID','03218586084','HO#437 ST 20 SPRING NORTH NEAR CHANAK CHOWK  PHASE 07 BAHRIA TOWN','6','15','30522','FIVE STAR','MODAL#35G-HEAVY DUTY',null,'17-NOV-2020',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 16:54:15','2021-02-25 11:02:01',null,'1',null,'0');
INSERT INTO complaints VALUES('4449','MR TAHIR','03335606727','HO#16 MAIN HAMMAD-UD DIN ROAD SEC G-11/2 ISB','5','34','129412','HAIER','MODAL#75K6600UG',null,'17-FEB-2021',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 17:02:20','2021-03-01 12:30:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4450','MR TAHIR','03335606727','HO#16 MAIN HAMMAD-UD DIN ROAD SEC G-11/2 ISB','5','34','129461','HAIER','0',null,'18-FEB-2021','32K6600 - 936','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 17:06:58','2021-03-01 12:30:22',null,'1',null,'0');
INSERT INTO complaints VALUES('4451','MR ASAD','03335425767   03446707879','HO#457 ST 16 CHAKLALA SCM 03 RWP','9','19','201207','SIGNATURE','BUILT IN OVEN KI COMPLAINT HAY',null,'05-DEC-2020','SBO-AT4R - 1124','BUILT IN APPLLIANCES','BAKING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 17:33:17','2021-02-24 13:28:36',null,'1',null,'0');
INSERT INTO complaints VALUES('4452','MR USMAN','03355969555','HO#235 ST 44-A MARGALLA TOWN PHASE 02 ISB','8','37','30476','SAMSUNG','0',null,'12-NOV-2018','80J4260-S - 899','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 17:37:44','2021-02-23 16:20:09',null,'1',null,'0');
INSERT INTO complaints VALUES('4453','HOHY-UD-DINSHAMI','03346263631  03124414226','HO#D-222/14 SATELLITE TOWN RWP','8','37','46135','PANASONIC','SALE ADVISOR MANZAR    SHARAZ FHHS SIR NAY COMPLAINT KARWAI HAY',null,'03-FEB-2021','635YL - 1071','VACUUM CLEANER','MOTOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 17:45:30','2021-02-23 16:17:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4454','MR FAHAD HAROON','03438515828','HO#218 LANE 08 ASKARI 10 NEAR JHANDA CHICHI RWP','5','29','124507','LG','MODAL#65NANO86-S',null,'27-NOV-2020',null,'FLAT PANEL TV','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-22 17:52:23','2021-02-24 11:17:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4455',null,null,null,'6',null,null,'MITSUBISHI','000000',null,null,'50VA - 915','AIR CONDITIONER','outdoor gass leak',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-02-23 10:41:29','2021-02-27 11:31:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4456',null,null,null,'6',null,null,'ORIENT','000000',null,null,'62D - 1602','MICROWAVE OVEN','KOI CHEAZ GRAM NAHI KRTA',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-02-23 10:42:20','2021-02-27 11:32:14',null,'1',null,'0');
INSERT INTO complaints VALUES('4457',null,null,null,'6',null,null,'ORIENT','000000',null,null,'30C2 - 1199','MICROWAVE OVEN','30DMUFFIN- ON OFF ISSUE + INTERNAL PROBLEM',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-02-23 10:43:11','2021-02-27 11:32:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4458','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','19','0','TCL','0',null,'0','32S65A - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-23 11:13:57','2021-02-25 11:06:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4459','MISS SANA KHATTAK','03000705317','APP#408 TOWER 101 ST 100 SEC G-11/3  ISB','5','33','119121','GREE','0',null,'13-JULY-2020','18CITH13W - 915','AIR CONDITIONER','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-23 11:35:21','2021-03-04 12:58:59',null,'1',null,'0');
INSERT INTO complaints VALUES('4460','MR USAMA QURESHI','03325993062','PSO PUMP NEAR POLICE CHECK POST CHETAR PARI MER PUR  AZAD KASHMIR','9','23','197632','ORIENT','MODAL#AUTO6 5GREY',null,'14-OCT-2020',null,'WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-23 11:43:27','2021-02-27 14:17:58',null,'1',null,'0');
INSERT INTO complaints VALUES('4461','MR HARIS','03445904404','HO#364 ST 18 SEC I-10/2 ISB','5','31','126201','SIGNATURE','SALE ADVISOR ABU BAKAR',null,'05-DEC-2020','SBH-AA5761S - 1122','BUILT IN APPLLIANCES','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-23 12:01:03','2021-03-03 10:44:28',null,'1',null,'0');
INSERT INTO complaints VALUES('4462','MR ATTIQUE AHMED','03335149064','HO#25 ST 01 SEC G-15/02 ISB','9','26','205503','GREE','0',null,'13-FEB-2021','18FITH5WB - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-23 12:10:34','2021-02-26 15:00:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4463','MR ABDULLAHA','03360930195','HO#959 ST 91 SEC I-8/4 ISB','9','20','206111','DAWLANCE','0',null,'22-FEB-2021','91996GD-INV-BROWN - 885','REFRIGERATOR','PROGRAM ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-23 12:20:08','2021-02-26 14:43:53',null,'1',null,'0');
INSERT INTO complaints VALUES('4464',null,null,null,'6',null,null,'DAWLANCE','000000',null,null,'142HZP - 1277','MICROWAVE OVEN','ON NAHI HOTA...',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-02-23 12:23:01','2021-02-25 11:06:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4465','ADIL FHHS','03225566006','FRIENDS HOME SHAMSHABAD R.W.P','8','38','42426','CARAVELL','MODAL#204B-TASK# 3541 VISIT TO SHOWROOM YHA AZAD KASMIR WALI COMPLAINTMIR',null,'15-SEP-2020',null,'WATER DISPENSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-23 12:26:08','2021-04-15 11:14:28',null,'1',null,'0');
INSERT INTO complaints VALUES('4466','ADIL FHHS','03225566006','FRIENDS HOME SHAMSHABAD R.W.P','8','38','42426','CARAVELL','MODAL#204B-TASK# 3541 VISIT TO SHOWROOM YHA AZAD KASMIR WALI COMPLAINTMIR',null,'15-SEP-2020',null,'WATER DISPENSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-23 12:26:08','2021-02-23 13:16:29',null,'1',null,'0');
INSERT INTO complaints VALUES('4467',null,null,null,'6',null,null,'MIDAS','000000',null,null,'E3 - 760','HEATER','ON NAHI HOTA..',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-02-23 12:31:30','2021-02-28 11:56:33',null,'1',null,'0');
INSERT INTO complaints VALUES('4468','MR MAJID AMIN','03335251343','HO#845 COL AMMAN ULLAH ROAD OPP AL JAWAD MASJID MANGOO TOWN BARAKAHU ISB','5','32','124301','HAIER','0',null,'23-NOV-2020','398EPR - 746','REFRIGERATOR','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-23 12:45:14','2021-03-01 12:13:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4469','MR ZIA ANSARI','03008555581','HO#41 ST 26 SEC F-6/2 ISB','8','42','45507','HAIER','0',null,'03-JAN-2021','24HDZ-W INV - 917','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-23 12:53:00','2021-02-26 12:27:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4470','MR NAFEES KIYANI','03128315154','GOUSIA MASJID NEAR SHAMSABAD   DHOK KALA KHAN RWP','8','38','15395','DAWLANCE','0',null,'28-MAR-2016','9175WBES - 883','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-23 13:22:43','2021-02-26 12:24:37',null,'1',null,'0');
INSERT INTO complaints VALUES('4471','SAJJAD AHMED RAJA','03185183206  03335651100','FAZAIYA COLONY NEAR WAPDA OFFICE  DHOKE LALYAL RWP','4','6','11930','HAIER','SALE ADVISOR SALEEM',null,'14-DEC-2019','90-1789HWM - 901','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-23 13:41:31','2021-02-26 12:15:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4472','HAMID MIR','03008506000','HO#28 ST#24 F-8/2 ISB','8','38','0','SIGNATURE','BULIT IN OVEN (C/O UMER SIR)',null,'0',null,'BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-23 13:43:54','2021-03-04 12:58:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4473','DR KALEEM','03225138862','HO#1212 SOUTH EAST BULLEWARD PHASE 05 BAHRIA TOWN','6','12','30233','SAMSUNG','MODAL#90K5410-S SALE ADVISOR ZEESHAN(C/O ADIL)',null,'27-OCT-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-23 13:54:17','2021-02-27 15:12:00',null,'1',null,'0');
INSERT INTO complaints VALUES('4474','DR QASIER','03337469333','HO#90 ST#48 A E-11/4 ISB','5','31','124933','SIGNATURE','BULIT IN OVEN (INVOICE ABU BAKAR)',null,'01-DEC-2020','MT9R - 1124','BUILT IN APPLLIANCES','INHAR GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-23 14:21:15','2021-03-06 12:59:03',null,'1',null,'0');
INSERT INTO complaints VALUES('4475','MR ABDUL RAHEEM','03335105565 03005105565','HO#617 ST GALI 60 SEC G-6/1-2 ISB','5','30','112108','SIGNATURE','0',null,'14-DEC-2019','SGG-1704G - 1029','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-23 14:42:30','2021-03-04 12:57:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4476','MR WASEEM','03215302278','HO#283 ST 01 MARGALA TOWN ISB','9','20','138530','SIGNATURE','PTCL CALL INVOICE HAY',null,'05-AUG-2017','SRF-KK95G - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-23 14:58:22','2021-03-01 15:32:55',null,'1',null,'0');
INSERT INTO complaints VALUES('4477','MR EJAZ HUSSAIN','03345424102','HO#O-292 AFZAL TOWN CHAKLALA SCM  03 ABBASIA CHOCK RWP','9','22','206049','HAIER','MODAL#438IDBA',null,'21-FEB-2021',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-23 15:22:30','2021-02-26 12:06:14',null,'1',null,'0');
INSERT INTO complaints VALUES('4478','MR ALI AZIZ-UD-DIN','03218424483','HO#C  BLOCK 57 LANE 06 ASKARI 02 RWP','6','15','1601','HAIER','SALE ADVISOR SALEEM',null,'21-NOV-2017','246EBD - 857','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-23 16:32:16','2021-02-26 12:03:06',null,'1',null,'0');
INSERT INTO complaints VALUES('4479','MR AQEEL','03028555335    03018555335','HO#55 ST 21 SEC-A BAHRIA ENCLAVE ISB','8','37','31239','LG','SALE ADVISOR CH WAQAR  PTCL CALL INVOICE HAY',null,'13-DEC-2018','4J6TNP8S-S - 899','WASHING MACHINE','DRYER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-23 17:47:26','2021-03-30 15:11:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4480','RAJA FAREEQ','03325616114','HO#39 ST 1 BLOCK A PWD HOUSING SOCIETY ISB','4','9','17250','SIGNATURE','SALE ADVISOR MUDASSAR',null,'17-NOV-2020','SBO-AT4R - 1124','BUILT IN APPLLIANCES','GRILL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-24 10:59:15','2021-03-04 12:57:31',null,'1',null,'0');
INSERT INTO complaints VALUES('4481','MR HAMZA JAVED','03365687776','HO#02 HOTAL ROYAL PLACE  PSO PUMP NEAR AYUB PARK RWP','7','49','9538','SAMSUNG','SALE ADVISOR ZAHID',null,'30-JUN-2015','64H5120EW - 909','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-24 11:16:30','2021-03-15 15:11:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4482','MR IMRAN ASHRAF','03215669399','HO#50 ST 14 MARGALLA TOWN PHASE 01 ISB','8','39','44327','SIGNATURE','OVEN KI COMPLAINT HAY',null,'05-DEC-2020','25CG - 1731','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-24 11:43:51','2021-02-27 14:06:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4483','MR IMRAN ASHRAF','03215669399','HO#50 ST 14 MARGALLA TOWN PHASE 01 ISB','8','39','44327','SIGNATURE','HOB KI COMPLAINT HAY',null,'05-DEC-2020','SBC-ADELAIDE-90PLUS - 1123','BUILT IN APPLLIANCES','PLATE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-24 11:47:53','2021-03-04 12:57:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4484','MRS HASNAN','03332238972','HO#107 ST 02 BLOCK-B  CBR TOWN ISB','6','14','17369','SUPER ASIA','SALE ADVISOR MUDASSAR',null,'23-NOV-2020','106GH(LPG) - 1029','GEYSER','ON#OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-24 12:09:09','2021-03-01 12:10:40',null,'1',null,'0');
INSERT INTO complaints VALUES('4485','MR SAMMAR KHAN','03055903880','HO#280/21 ST 28 NEAR KAMANA BAD DHOK SAIDAN RWP','9','22','205721','HAIER','0',null,'15-FEB-2021','368EBD - 860','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-24 12:40:22','2021-02-27 13:26:00',null,'1',null,'0');
INSERT INTO complaints VALUES('4486','MR SAMI-ULLAH','03049007720','HO#408 ST 14 ALI BLOCK PHASE 08 RWP','6','13','26416','HAIER','SALE ADVISOR ZARA',null,'05-MAR-2020','306EPB - 859','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-24 13:10:33','2021-02-27 11:52:59',null,'1',null,'0');
INSERT INTO complaints VALUES('4487','MR MHASAM ALI','03445215336  03009192358','HO#847 ST 38 NATIONAL POLICE FOUNDATION COLONY RAWAT ISB','9','26','198457','HOMAGE','PTCL CALL INVOICE HAY',null,'31-OCT-2020','1020S - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-24 13:40:17','2021-03-23 12:37:55',null,'1',null,'0');
INSERT INTO complaints VALUES('4488','MR KASHIF','03335113093','HO#237 ST 29 SEC I-9 ISB','9','19','200040','ORIENT','MODAL#540FLARE-RG-306',null,'29-NOV-2020',null,'REFRIGERATOR','PART DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-24 14:13:52','2021-05-26 12:25:56',null,'1',null,'0');
INSERT INTO complaints VALUES('4489','MR SALMAN AFRIDI','03335619997   0512287007','HO#13-A ST 16 SEC F-7/2 ISB','5','31','81915','SIGNATURE','PTCL CALL INVOICE HAY',null,'27-FEB-2017','SWM-JD51 - 902','WASHING MACHINE','ERROR E-5#WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-24 14:42:46','2021-03-01 15:32:28',null,'1',null,'0');
INSERT INTO complaints VALUES('4490','RAJA ZEESHAN','03365221993 03005003073','PLOT#03 IJAZ AHMED AVENUE BLOCK-B SEC B-17 ISB','5','29','127582','SAMSUNG','MODAL#65TU7000',null,'29-DEC-2020',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-24 16:08:42','2021-03-03 10:44:01',null,'1',null,'0');
INSERT INTO complaints VALUES('4491','RAJA ZEESHAN','03365221993 03005003073','PLOT#03 IJAZ AHMED AVENUE BLOCK-B SEC B-17 ISB','5','29','127582','ORIENT','MODAL#55S-ANIMATION',null,'29-DEC-2020',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-24 16:13:32','2021-03-16 15:48:01',null,'1',null,'0');
INSERT INTO complaints VALUES('4492','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','19','0','SUPER ASIA','0','2021-02-24',null,'245SA - 522','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-24 16:26:51','2021-02-27 13:17:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4493','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','19','0','SUPER ASIA','0','2021-02-24',null,'242SA - 522','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-24 16:29:07','2021-02-27 13:18:06',null,'1',null,'0');
INSERT INTO complaints VALUES('4494','MR ADEEL KHAN','03005014596','HO#C24 ST 02 PHASE 01 OFFICERS COLONY WAH-CANTT','5','28','1296','SAMSUNG','SALE ADVISOR KAMRAN  PTCL CALL INVOICE HAY',null,'05-SEP-2015','48FAJEDSP - 897','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-24 17:06:23','2021-03-01 15:31:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4495','QAZI ARSHID','03345081903','LANE 02 LALAZAR STATE TULSA ROAD RWP','8','39','40556','SIGNATURE','MODAL#SBH-HC3763S   HOB KI COMPLAINT HAY',null,'29-JUN-2020',null,'BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-24 17:49:26','2021-03-09 12:48:09',null,'1',null,'0');
INSERT INTO complaints VALUES('4496','MISS ZAHRA','03335967374','HO#49 ST 30/1 SEC-B BAHRIA ENCLAVE ISB','5','32','119125','GREE','PTCL CALL INVOICE HAY',null,'13-JULY-2020','9978EG-CR1 - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-25 11:15:49','2021-02-28 12:13:29',null,'1',null,'0');
INSERT INTO complaints VALUES('4497','MR ZAFER','03128550704','HO#26 ST 06 BLOCK-C HADAIYAT MASJID NEAR NAWAB BAKERY TARLAE SCHOOL STOP ISB','9','20','199446','SIGNATURE','PTCL CALL INVOICE HAY',null,'18-NOV-2020','SSO-MO15 - 1200','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-25 11:30:06','2021-02-28 14:55:24',null,'1',null,'0');
INSERT INTO complaints VALUES('4498','MRS MUSHTAQ HUSSAIN','03073216293  0515141269','HO#41 ST 02 SEC-C  HADYALA ROAD ASKARI 14 RWP','6','15','29022','LG','PTCL CALL INVOICE HAY',null,'12-AUG-2020','257SLLV-S - 909','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-25 11:49:32','2021-03-01 15:31:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4499','SHAHZAD MALIK BAHRIA PHASE 07','03455275176','HO#1916 ST 58-B USMAN BLOCK PHASE 08 BAHRIA TOWN RWP','6','15','32378','ORIENT','MODAL#62D-STEAK  COMPLAINT CUSTOMER KI HAY VISIT SHOWROOM PAR KARWANA HAY',null,'29-DEC-2020',null,'MICROWAVE OVEN','BUTTON IS NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-25 11:59:55','2021-03-04 13:45:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4500','MR HUMAYUN ZUBAIR','03345000171','HO#9-A1 BLOCK 09 NEAR ARMY PUBLIC SCHOOL FORT ROAD HADYALA ROAD RWP','9','22','1733','CANON','MODAL#18DD',null,'21-NOV-2020',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-25 12:18:03','2021-03-04 13:41:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4501','SYED QAIM ALI SHAH','03344111130','HO#299 ST 20 NATIONAL POLICE FOUNDATION SEC E-11/4 ISB','4','6','29678','SAMSUNG','MODAL#65080R-S  SALE ADVISOR SHAHZAD MALIK',null,'20-SEP-2020',null,'FLAT PANEL TV','DOT SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-25 12:55:17','2021-03-04 13:33:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4502','MR IRTAZA HUSSAIN','03008522271','HO#119 ST 31-B SEC A-01 DHA PHASE 01 ISB','8','39','0','SIGNATURE','HOB KI COMPLAINT HAY  C/O AKBAR SIR',null,'02-MONTH-AGO',null,'BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-25 13:15:23','2021-03-01 11:31:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4503','COL ASIM','03138282721','HO#78 SUN SET AVENU BAHRIA PHASE 01 RWP','6','12','26678','SIGNATURE','HOB KI COMPLAINT HAY  SALE ADVISOR BADAL',null,'16-MAR-2020','SBC-ADELAIDE-90PLUS - 1123','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-25 13:43:05','2021-03-04 16:08:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4504','ABDUL BASIT','03215166786','HO#300 ST 14 NEAR TARIQ MARKET SEC F-10/2 ISB','9','19','2898','SIGNATURE','MWS-JD56C  PTCL CALL INVOICE HAY',null,'14-OCT-2018',null,'WASHING MACHINE','SOUND#SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-25 14:06:37','2021-02-27 15:13:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4505','MR SHOAIB','03317944411  03315406308','HO#25 ST 01 BAHRIA ENCLAVE ISB','5','28','0','SIGNATURE','MODAL#SBO-MM9R  OVEN KI COMPLAINT HAY  PTCL CALL',null,'01-YEAR-AGO',null,'BUILT IN APPLLIANCES','BAKING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-25 14:29:32','2021-05-29 15:20:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4506','MISS MOMINA','03000161480','HO#F553 BLOCK-F SATELLITE  TOWN RWP','8','42','43358','FIVE STAR','0',null,'03-NOV-2020','6000C-FS - 1077','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-25 14:41:56','2021-03-04 14:41:37',null,'1',null,'0');
INSERT INTO complaints VALUES('4507','WALEED SAB','03215833899','BABA RORA ROAD AILEEN MAJ LEES KARTAR PURA ROAD R.WP','9','20','203358','ORIENT','0',null,'03-JAN-2021','AUTO8 - 899','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-25 16:06:44','2021-02-28 12:08:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4508','ADNAN BASHIR','03458889954','HO#19A GULISTAN E JINNAH MUREE ROAD FAIZA ABAD RWP','5','34','82056','SAMSUNG','0',null,'06-MAR-2017','16J6700SPGT - 1643','WASHING MACHINE','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-25 17:34:48','2021-02-27 14:07:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4509',null,null,null,'6',null,null,'HAIER','000000',null,null,'438IDBT - 896','REFRIGERATOR','FRONT DISPLAY PANEL NAHI CHAL RHA',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-02-25 18:28:12','2021-03-09 16:46:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4510','ZAFAR SHAHZAD','03245009495(03138008484','HO#19 ASKHAR MALL SCKEEM R..W.P','6','13','0','HAIER','PTCL CALL(INVOICE HAIN )',null,'0',null,'WASHING MACHINE','PANAL PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-26 11:48:44','2021-03-01 11:30:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4511','SHAFAY MUMTAZ','03008299118','HO#461 B ST#16 CHAKLALA SCKEEM 03 R.W.P','9','24','205284','CORONA','0',null,'09-FEB-2021','125C-AUTO - 1074','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-26 11:54:07','2021-03-24 13:29:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4512','TEHMINA AKHTER','03339114133','HO#292 ST#65 E 11/3 ISB','5','31','127233','DAWLANCE','0',null,'17-DEC-2020','7500C-DW - 1548','WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-26 12:12:42','2021-03-01 11:26:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4513','MANSOOR SAB','03328119944','HO#34 PAK ROAD F 8/2 ISB','5','35','123593','SIGNATURE','0',null,'04-NOV-2020','SBO-AR4R - 1124','BUILT IN APPLLIANCES','SETTING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-26 12:21:45','2021-03-03 17:28:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4514','FAIZAN','03333677776','PLOT#34 ST#03 I-10/3 ISB','5','32','107308','HAIER','0',null,'11-JULY-2019','545DD - 959','FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-26 12:34:26','2021-03-01 12:20:42',null,'1',null,'0');
INSERT INTO complaints VALUES('4515','MR WAJID','03335407772','HO#376 ST#64 I-8/3 ISB','5','28','87857','SIGNATURE','CELL PHONE PA CALL AAI(INVOICE B HAIN)',null,'31-AUG-2017','MD99SS-S - 1723','REFRIGERATOR','LIGHT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-26 12:37:52','2021-05-29 17:05:20',null,'1',null,'0');
INSERT INTO complaints VALUES('4516','ADNAN SAB(C/O UMER)','03335602081','HO#26 ST#17-H BLOCK F NAVAL ENCHORAGE ISB','9','22','206211','LG','0',null,'23-FEB-2021','M247CABV-S - 909','REFRIGERATOR','COOLING + DENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-26 12:42:50','2021-03-17 13:02:05',null,'1',null,'0');
INSERT INTO complaints VALUES('4517','USMAN','03334044464','HO#99 APPEAR POTION ST#13 D BLOCK CBR TOWN','4','7','18693','SIGNATURE','0',null,'06-APRIL-2019','SRF-KK90G - 885','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-26 15:14:25','2021-03-07 13:52:43',null,'1',null,'0');
INSERT INTO complaints VALUES('4518','ALI RAZA(CODEG ORBIT)','03125279893','PLOT#395 /396 FAZAL IND COMPLEX I 9/3 ISB','9','21','188890','GREE','FLOOR STANDING(48FWITH)',null,'18-MAY-2020',null,'AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-26 15:37:06','2021-03-01 11:01:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4519','IHSAN SAB','03139330933(051-927258)','HO#C1 PMG OFFICE OPP FWO HQ ARAY BAZAR R.W.P','7','49','22425','KENWOOD','26657G-MRG-950(C/O ATIF SADAR)',null,'05-DEC-2020',null,'REFRIGERATOR','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-26 15:47:33','2021-04-13 17:59:58',null,'1',null,'0');
INSERT INTO complaints VALUES('4520','ALINA TANVEER','03363095804','HUMAYUN SEED ST DEFACE ROAD ADYALA ROAD R.W.P','9','24','133722','SIGNATURE','CELL CALL(INVOICE HAIN )(WAQAS BHAI NA SHER KI',null,'14-MAY-2017','SWM-SR45 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-26 16:01:30','2021-03-02 13:04:16',null,'1',null,'0');
INSERT INTO complaints VALUES('4521','BENISH(WAQAS KHAN)','03153405581(03467562754)','HOUSE #419 ST#02 B OHASE 04 GORI TOWN ISB','9','24','202356','LG','0',null,'02-JAN-2121','4J5TNP7S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-26 16:05:40','2021-03-01 15:35:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4522','COL AKRAM','03345597262','HO#1417 ST 69 SEC-F DHA 01','6','13','32588','HAIER','SALE ADVISOR ZARA',null,'13-JAN-2021','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-27 10:58:59','2021-03-02 16:49:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4523','MR NASIR AHMAD','03312121955','HO#03 ST 15E SEC-A BAHRIA ENCLAVE ISB','5','34','77910','LG','MODAL#5642MS-72  SALE ADVISOR ASHRAF IKHLAQ',null,'22-AUG-2016',null,'MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-27 11:11:24','2021-03-26 16:42:26',null,'1',null,'0');
INSERT INTO complaints VALUES('4524','MISS PERWEE  AKHTER','03319952124  03009707233','HO#476 ST 15 SEC 03 AIR PORT HOUSING SOCIETY ISB','9','51','198980','FIVE STAR','MODAL#40WS  SALE ADVISOR MURTAZA',null,'09-NOV-2020',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-27 11:20:31','2021-03-09 12:47:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4525','MR MAAZ HUSSAIN','03444443452','HO#981 ST 39 SEC-C BAHRIA TOWN PHASE 08 RWP','6','15','33229','BOSCH','0',null,'18-FEB-2021','50D08GC - 1060','DISH WASHER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-27 11:28:05','2021-03-01 11:17:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4526','KAMRAN BAHRIA 7','03219507474','FRIEND CORPORATION PHASE 7','6','14','0','SAMSUNG','VISIT TO SHOWROOM','2021-02-27',null,'450N - 1410','SOUND SYSTEMS','SOUND BAR# WOOFER CONNECTION ISSUE',null,'8',null,null,'customer','1','4359','74','2021-02-27 11:39:27','2021-08-20 15:14:36',null,'1',null,'0');
INSERT INTO complaints VALUES('4527','MRS KHURAM','03465420335','HO#114/4 SADI ROAD RWP CANTT','8','39','46549','CANON','0',null,'22-FEB-2021','CA-1 - 1122','BUILT IN APPLLIANCES','FLAME ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-27 11:58:21','2021-03-02 16:45:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4528','MAJOR MUKHTAR','03215235940','HO#28 LANE 02 LALAZAR ESTATE TULSA ROAD RWP','9','26','154184','SIGNATURE','MODAL#FSHM12  PTCL CALL INVOICE HAY',null,'19-JUN-2018',null,'FREEZER','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-27 12:16:40','2021-03-08 16:20:40',null,'1',null,'0');
INSERT INTO complaints VALUES('4529','MR TALHA','03355851271','HO#14 ST 2-A BLOCK-F NAVAL ANCHORAGE ISB','4','10','19086','TCL','2009VLR301280A00346  SALE ADVISOR WALEED',null,'09-JAN-2021','50P8US - 871','FLAT PANEL TV','DOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-27 12:43:56','2021-04-13 17:50:54',null,'1',null,'0');
INSERT INTO complaints VALUES('4530','MR TAHIR HUSSAIN','03215562884','HO#03 ST#03 OPP ATTOCK SAHARA ARL MORGHAN  RWP','9','24','189199','DAWLANCE','SALE ADVISOR MURTAZA',null,'23-MAY-2020','6550DW - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-27 13:01:18','2021-03-02 12:56:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4531','MR HASSAN MAHDI','03009137770','HO#E-1 PARK ROAD RAWAL DAM COLONY ISB','8','40','46454','HAIER','COMPLAINT IKHLAQ SIR NAY BAJI HAY',null,'18-FEB-2021','622ICG - 908','REFRIGERATOR','TOUCH PANEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-27 13:30:16','2021-03-02 12:29:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4532','DR NAEEM QASIER','03238528578','HO#26 ST#08 MODEL TOWN TAXILA','5','33','129564','LG','0',null,'20-FEB-2021','502HMHU-S - 896','REFRIGERATOR','C ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-27 13:38:19','2021-03-02 13:03:48',null,'1',null,'0');
INSERT INTO complaints VALUES('4533','ADNAN BASHIR','03458889954','HO#19A GULISTAN E JINNAH MUREE ROAD FAIZA ABAD RWP','5','34','82056','SAMSUNG','0',null,'06-MAR-2017','16J6700SPGT - 1643','WASHING MACHINE','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-27 13:44:08','2021-04-01 12:18:22',null,'1',null,'0');
INSERT INTO complaints VALUES('4534','MR NADEEM','030051339990(03005551311)','HO#15 ST 60 SEC G-13/2 ISB','5','34','112760','BOSCH','COMPLAINT REOPEN KAR K TAHIR SIEM KO SHER KI',null,'15-DEC-2019','24260GC - 902','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-27 14:04:01','2021-03-04 13:31:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4535','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','SIGNATURE','C/O SADDIQ(UMAIR BUT)(AC24 OVEN)',null,'0',null,'BUILT IN APPLLIANCES','THERMOSTAT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-27 14:20:33','2021-02-27 15:12:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4536','RIZWAN','03215043321','HO#1939 DANISH SERVER ROAD PHASE 03 B.TOWN','6','12','0','SAMSUNG','C/OKHURRAM GOOGLE( NO INVOICE  DOCUMENTS)',null,'0',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-02-27 15:12:04','2021-03-01 11:18:06',null,'1',null,'0');
INSERT INTO complaints VALUES('4537','BRIG RIASAT','03216028675','HO#39 ST 03 SEC ASKRI 12 CHAKLALA RWP','9','26','205294','DAWLANCE','0',null,'09-FEB-2021','1035WBGD-VF - 1467','FREEZER','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-27 15:22:48','2021-03-02 12:10:10',null,'1',null,'0');
INSERT INTO complaints VALUES('4538','MR HASSAN KHAN','03125512070','MASOMA SHER BAZ BILDING PIZZA HUT PLAZA SATLEITE  TOWN RWP','6','15','30879','HAIER','MODAL#24HFCD-W-INV',null,'01-DEC-2020',null,'AIR CONDITIONER','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-27 15:38:30','2021-03-02 12:05:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4539','MR MAZHAR','03088880667','FLAT#04 BLOCK-C PIMS COLONY SEC G-8/3 ISB','5','28','55197','DAWLANCE','AZHAR RAMZAN SIR NAY COMPLAINT BAJI HAY',null,'10-JULY-2013','9188WBHZ - 83','REFRIGERATOR','GAS KIT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-27 16:25:53','2021-03-02 11:57:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4540','CH HAFEEZ ULLAH','03455011122','HO#305 ST 17, GULBERG GREEN ISB','9','19','181702','FIVE STAR','MODAL#35G-TWIN  BEST COOL TAHIR SIR NAY COMPLAINT BAJI HAY',null,'19-NOV-2019',null,'GEYSER','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-27 17:13:35','2021-03-04 13:32:54',null,'1',null,'0');
INSERT INTO complaints VALUES('4541','MR ASAD','03009843232','HO#156 ST 04 BLOCK-A GULBERG GREEN ISB','8','41','23744','FIVE STAR','MODAL#55G-TWIN  BILAL MANZOOR SIR NAY COMPLAINT BAJI HAY',null,'03-NOV-2020',null,'GEYSER','TANK ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-27 17:52:27','2021-03-09 12:16:05',null,'1',null,'0');
INSERT INTO complaints VALUES('4542','MR SARDAR SHAHID','03005553508','HO#130 ST 18 SAFARI VILLAS 01 BAHRIA TOWN RWP','4','7','19707','KENWOOD','MODAL#45MOM-2046   SALE ADVISOR AZHAR',null,'21-FEB-2021',null,'MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-27 18:07:05','2021-03-03 17:16:16',null,'1',null,'0');
INSERT INTO complaints VALUES('4543','MR KUBLAI','03436666999','HO#161-B ST 54 SEC I-8/3 ISB','5','31','98760','SONY','SALE ADVISOR BADAL',null,'23-OCT-2018','55X7000F-S - 942','FLAT PANEL TV','REMOTE SENSOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-28 10:49:58','2021-03-18 17:55:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4544','MR WAQAS YOUNAS','03317413071','FLAT#14 LANE 04 KRL COLONY MORGAH RWP','4','6','20269','ECOSTAR','ATIF SADAR SIR NAY COMPLAINT BAJI HAY',null,'14-DEC-2019','32U571 - 936','FLAT PANEL TV','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-28 11:09:07','2021-03-04 13:05:54',null,'1',null,'0');
INSERT INTO complaints VALUES('4545','MR ISTHAIQ AHMED','03005007617','HO#180-A ST 03 SIRSYED ROAD NEAR 5 SARKI PUMP RWP CANTT','9','19','204584','GREE','MODAL#18PITH1W',null,'26-JAN-2021',null,'AIR CONDITIONER','MOTHER BOARD ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-28 11:32:34','2021-04-12 17:28:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4546','MR ABDULLAHA','03360930195','HO#959 ST 91 SEC I-8/4 ISB','9','20','206111','DAWLANCE','0',null,'22-FEB-2021','91996GD-INV-BROWN - 885','REFRIGERATOR','PROGRAM ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-28 11:44:19','2021-03-10 13:42:23',null,'1',null,'0');
INSERT INTO complaints VALUES('4547','MR ADNAN','03435531281','ALHADAYAT MASJID AL MARHBAN TOWN TERLAI ISB','8','38','42773','TCL','1901VLR300733AD1353',null,'01-OCT-2020','32D310 - 936','FLAT PANEL TV','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-28 12:04:33','2021-03-09 13:13:09',null,'1',null,'0');
INSERT INTO complaints VALUES('4548','MR WAHEED','03486102763','HO#478 ROAD-A PHASE 04 BAHRIA TOWN RWP','4','8','19051','FIVE STAR','MODAL#35G-HEAVYN   COMPLAINT KAMRAN BAHRIA SIR NAY BAJI HAY',null,'06-JAN-2021',null,'GEYSER','THERMOSTAT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-28 12:44:22','2021-03-03 10:52:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4549','MR USMAN','03334044464','YUMTO COFFEE CAFE NEXT TO LATIF CHEMIST PAPO CHAI WALA PWD ISB','4','7','8946','DAWLANCE','SALE ADVISOR SALEEM',null,'23-MAY-2019','PRO-ACTIVE30-INV - 915','AIR CONDITIONER','ERROR-E7',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-28 13:29:18','2021-03-03 10:48:16',null,'1',null,'0');
INSERT INTO complaints VALUES('4550','MR FAWAD ABBASI','03159196669','FLAT#03 BLOCK-13 CATEGARY 04 PM STAFF COLONY SEC G-5/1 ISB','8','39','45050','ORIENT','0',null,'28-FEB-2021','AUTO8 - 899','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-02-28 13:50:54','2021-03-03 10:45:28',null,'1',null,'0');
INSERT INTO complaints VALUES('4551','MR TOQEER AHMED','03335397298  03135301697','HO#1192 MOMIN PURA LALKURTI RWP','9','21','165940','ORIENT','SALE ADVISOR MUDASSAR',null,'11-FEB-2019','225DIAMOND-SPP - 857','REFRIGERATOR','COMPRESSOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-01 10:58:22','2021-03-22 16:17:50',null,'1',null,'0');
INSERT INTO complaints VALUES('4552','MRS BASHARAT','03009555550','HO#102 LANE 01 HARLEY STREET CMH HOSPITAL RWP','6','16','24331','TECHNOGAS','0',null,'08-DEC-2019','N3XGS5VC - 1902','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-01 11:12:52','2021-03-09 16:46:09',null,'1',null,'0');
INSERT INTO complaints VALUES('4553','COL HUMAYUN','03334898948','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','26','203750','CORONA','COMPLAINT CUSTOMER KI HAY  VISIT BEST COOL MAY KARWANA HAY',null,'11-JAN-2021','C205 - 14','COOKING RANGE','JET ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-01 11:28:40','2021-03-09 13:04:56',null,'1',null,'0');
INSERT INTO complaints VALUES('4554','MR YOUSUF','03458501938','HO#13 ST 70 JINNAH GARDEN ISB','4','9','8072','ORIENT','SALE ADVISOR AZHAR',null,'24-MAR-2019','3RIPPLE-W - 993','WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-01 12:06:59','2021-03-10 13:35:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4555','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKIT RWP','13',null,'0','DAWLANCE','0','2021-03-01',null,'91996GD - 885','REFRIGERATOR','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','4398','73','2021-03-01 12:21:23','2021-03-16 16:14:35',null,'1',null,'0');
INSERT INTO complaints VALUES('4556','MALIK MUSTANSAR','03335176985','HO#50-A ST 01 FRIENDS COLONY MISRIYAL ROAD RWP','9','27','175647','HAIER','SAQIB FCP SIR NAY COMPLAINT BAJI HAY',null,'21-JULY-2019','398EBD - 746','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-01 12:43:27','2021-03-04 12:08:37',null,'1',null,'0');
INSERT INTO complaints VALUES('4557','MR GULRAIZ','0333540677','KHAN COLONY PHASE 01 CHAKRI ROAD RWP','9','20','187027','FIVE STAR','0',null,'16-FEB-2020','500C-FS - 1073','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-01 12:57:42','2021-04-07 15:39:12',null,'1',null,'0');
INSERT INTO complaints VALUES('4558','MR AQIB NOMAN','03214843377  03345173777','HO#30 ROAD 1-A BAHRIA SPRING PHASE 07 RWP','9','26','180931','SONY','SALE ADVISOR IMRAN',null,'04-NOV-2019','55X8000G-S - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-01 13:07:36','2021-03-04 12:56:40',null,'1',null,'0');
INSERT INTO complaints VALUES('4559','MR TARIQ','03498932781  03012110670','VILLAGE MOHRIAN   KURI ROAD  NEAR POST OFFICE CHAKSHAHZAD ISB','9','24','97666','DAWLANCE','0',null,'23-FEB-2015','91996MM - 83','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-01 13:33:31','2021-03-04 11:41:14',null,'1',null,'0');
INSERT INTO complaints VALUES('4560','BRIG WASEEM','03218133217  03332109609','HO#20 ST 06 SEC-C  DHA 02 ISB','9','24','206391','SAMSUNG','MODAL#64R5331-S  COMPLAINT TAHIR BEST COOL SIR NAY BAJI HAY',null,'27-FEB-2021',null,'REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-01 13:47:50','2021-03-02 13:01:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4561','MR INAM MEHMOOD','03215828891','HO#B-259 NAYA MUHALA OPP MOTI BAZAR RWP','9','27','131320','LG','SALE ADVISOR KAMRAN',null,'16-APR-2017','872HLPL-S - 1332','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-01 14:15:27','2021-03-05 15:00:20',null,'1',null,'0');
INSERT INTO complaints VALUES('4562','MR NABEEL FAISAL','03215344121','HO#D-890 BLOCK-D SATELLITE TOWN ISB','5','32','102304','SAMSUNG','S/N  ODTS4DAJ800028',null,'19-FEB-2019','65K6030-SZ - 896','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-01 14:43:35','2021-04-15 12:09:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4563','MR SHAHID MEHMOOD','03219582978','VILLAGE BHOBARI  BARAKHU ISB','9','21','204568','HAIER','SALE ADVISOR MURTAZA',null,'26-JAN-2021','438IDBT - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-01 14:57:32','2021-03-09 11:39:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4564','TARIQ MEHMOOD','03145993578  03225002888','HO#12 ST 63 SEC G-13/2 ISB','8','42','40233','DAWLANCE','SALE ADVISOR ISHFAQ ABBASI',null,'15-JUN-2020','9190LFD-G BROWN - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-01 15:27:09','2021-03-16 17:09:03',null,'1',null,'0');
INSERT INTO complaints VALUES('4565','COL PARVAIZ','03228585373','HO#437 ST 01 SEC-H PHASE 08 BAHRIA TOWN RWP','6','15','30785','HAIER','0',null,'29-NOV-2020','18HRW-W-INV - 915','AIR CONDITIONER','ERROR-F-1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-01 16:39:14','2021-03-09 16:16:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4566','HASSAN ALI FHHS','03013000123','FRIEND CORPORATION SHAMSA  BAD RWP','8','37','46536','HAIER','0',null,'21-FEB-2021','55K6600 - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-01 16:58:02','2021-03-16 16:14:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4567','MR JUNAID BUTT','03215215248','HO#P1408/1 GHAZI ROAD KARTAR PURA RWP','9','24','173772','LG','0',null,'26-JUN-2019','1366NEFTFS-C - 907','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-01 17:30:31','2021-03-03 17:28:42',null,'1',null,'0');
INSERT INTO complaints VALUES('4568','MR SALMAN','03135982850  03005502208','LANE 05 ST 02 WESTRIDES  03 ISB','9','51','187613','SONY','PTCL CALL INVOICE HAY',null,'01-MAR-2020','40W650D-S - 938','FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-01 17:43:56','2021-06-07 13:11:31',null,'1',null,'0');
INSERT INTO complaints VALUES('4569','MR ADNAN','03335565863','JINNAH  LANE  RANGE  ROAD RWP','9','27','195377','FIVE STAR','0',null,'25-AUG-2020','666C-FS - 1077','COOKING RANGE','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 10:54:23','2021-04-07 13:28:21',null,'1',null,'0');
INSERT INTO complaints VALUES('4570','MR SULMAN','03008738829','HO#06 ST 11 BLOCK-A SOAN GARDEN ISB','4','9','6549','SIGNATURE','SALE ADVISOR ALI MURTAZA',null,'09-DEC-2018','SWM-JD51 - 902','WASHING MACHINE','BUTTON ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 11:16:18','2021-03-07 13:52:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4571','MR HAROON RASHEED','03008221130','HO#35-B ST 18 SEC F-6/2 ISB','5','31','93599','LG','0',null,'19-APR-2018','247CABV-S - 909','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 11:25:57','2021-03-11 15:49:03',null,'1',null,'0');
INSERT INTO complaints VALUES('4572','MR SALEEM','03335072222','HO#345 ST 13-4/G VIP COLONY  GHORITOWN  RWP','4','6','33270','DAWLANCE','SALE ADVISOR BADAL',null,'21-FEB-2021','9150LFDS-GB - 858','REFRIGERATOR','EARTH ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 11:40:29','2021-03-05 15:15:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4573','MR SALEEM','03335072222','HO#345 ST 13-4/G VIP COLONY GHORITOWN RWP','4','6','33270','KENWOOD','MODAL#24457VCM-SHL  SALE ADVISOR BADAL',null,'21-FEB-2021',null,'REFRIGERATOR','EARTH ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 11:44:03','2021-03-05 15:11:00',null,'1',null,'0');
INSERT INTO complaints VALUES('4574','MR ALI SAJID','03335046624','HO#14 ST 21 KORANG TOWN ISB','4','7','19755','HAIER','MODAL#285IM-GRAY  SALE ADVISOR ALI MURTAZA  COMPLAINT NA FEES FHHS SIR NAY BAJI HAY',null,'23-FEB-2021',null,'FREEZER','FREEZER COVER REQURIED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-02 12:03:14','2021-03-05 14:41:16',null,'1',null,'0');
INSERT INTO complaints VALUES('4575','SULMAN AHMED','03045585776','HO#01 ST#15 SEC A DHA 01 ISB','8','37','154','LG','PTCL CALL(INVOICE HAIN )',null,'22-FEB-2015','1007TEFTS - 902','WASHING MACHINE','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-02 12:17:39','2021-03-06 17:31:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4576','MR WAQAS ARSHAD','03215128720','HO#42 ST 03 GATE AT SERVICE ROAD SIDE PHASE 02 BAHRIA TOWN RWP','4','10','16592','SONY','MODAL#55X8000H-CC  COMPAINE MODAL SALE ADVISOR WALEED',null,'04-OCT-2020',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 12:29:31','2021-03-04 12:56:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4577','MR ROBIN','03455243604','OFFICE#409  4th FLOOR ISE TOWER 55-B JINNAH AVENUE ISB','5','35','128999','ORIENT','0',null,'08-FEB-2021','529BL - 128','WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 12:37:00','2021-03-02 14:10:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4578','RAJA TARIQ','03335119000 03025119000','HO#30 ST 12 SEC 01 BAHRIA ENCLAVE ISB','8','39','43666','SIGNATURE','OVEN KI COMPLAINT HAY',null,'23-NOV-2020','MM9R - 1124','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 12:42:05','2021-03-03 10:43:36',null,'1',null,'0');
INSERT INTO complaints VALUES('4579','MR KASHIF','03215853707','HO#41 BHITAI ROAD SEC F-7/1 ISB','5','31','95277','SIGNATURE','SALE ADVISOR ASHRAF IKHLAQ',null,'08-JUN-2018','FB4-5G - 1078','COOKING RANGE','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 12:52:11','2021-07-15 11:29:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4580','MR AZHAR','03335499971','HO#666 ST 18, SEC I-8/2 ISB','8','37','46458','HAIER','0',null,'18-FEB-2021','622IBG - 908','REFRIGERATOR','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 12:59:31','2021-03-05 14:38:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4581','MR ZAKRIA ALI SHAH','03335107036','HO#248 ST 32 SEC F-10/1 ISB','5','31','77641','SAMSUNG','PTCL CALL INVOICE HAY',null,'11-AUG-2016','90G9-S - 1548','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 13:28:24','2021-03-04 12:55:48',null,'1',null,'0');
INSERT INTO complaints VALUES('4582','MRS BILAL','03219110965','HO#279 ST 13 PHASE 05 BAHRIA TOWN RWP','4','8','18630','SAMSUNG','S/N 0GLA57GMC00214M  SALE ADVISOR WALEED',null,'08-DEC-2020','70H4000-SZ - 1548','WASHING MACHINE','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 13:39:21','2021-03-05 14:32:58',null,'1',null,'0');
INSERT INTO complaints VALUES('4583','MR ZAFAR MALIK','03335364942  03329141497','VILLAGE MORHI GHAZAN NEAR GHOSIA MASJID  ASHRAF COLONY DHAMYAL CAMP RWP','8','37','24414','SIGNATURE','SALE ADVISOR CH WAQAR  PTCL CALL INVOICE HAY',null,'24-SEP-2017','SWM-JD46 - 945','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 14:05:48','2021-03-03 17:29:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4584','HAMMAD FCP','03455104405','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','ORIENT','MODAL#OWD-531','2021-03-02',null,null,'WATER DISPENSER','COMPRESSOR CHOWK',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 14:23:57','2021-03-09 16:45:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4585','HAMMAD FCP','03455104405','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','DAWLANCE','MODAL#9191WBAVANTE   COMPLAINT HAMMAD FCP SIR SAY BAJI HAY','2021-03-02',null,null,'REFRIGERATOR','ON OFF ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2021-03-02 14:29:37','2021-04-20 12:09:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4586','MR HAMEED-ULLAH-ARIF','03335251457','HO#17 ST 01 SEC G-6/3  ISB','5','32','115214','KENWOOD','0',null,'05-MAR-2020','1228S-INV - 913','AIR CONDITIONER','PCB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 15:18:30','2021-03-24 14:21:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4587','MR RABNAWAZ KHAN','03005179705','HO#392-C LANE 05 ST 10 OPP PTCL EXCHANGE GULRAZ 02 RWP','9','19','128601','SAMSUNG','SALE ADVISOR MUDASSAR SH  PTCL CALL INVOICE HAY',null,'27-FEB-2017','1STMG - 903','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 15:39:04','2021-03-03 17:27:48',null,'1',null,'0');
INSERT INTO complaints VALUES('4588','MR ATIF','03215529038  03215169124','KHAN HOUSE PARACHA TOWN MAIN GT ROAD TARNOL ISB','8','38','35487','SAMSUNG','PTCL CALL INVOICE HAY',null,'10-JULY-2019','55NU7100-S - 942','FLAT PANEL TV','SCREEN DOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 16:14:20','2021-03-05 14:50:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4589','MR RAANA SEERAT','03009133113','HO#12 ST 79 SEC G-6/4 ISB','5','31','108448','SIGNATURE','0',null,'10-AUG-2019','65WBS - 893','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 16:28:39','2021-03-16 13:19:59',null,'1',null,'0');
INSERT INTO complaints VALUES('4590','MR NAEEM-UD DIN','03318843136','HO#146-F LANE 05 SHER ZAMAN COLONY TULSA ROAD LALAZAR RWP','9','27','206541','CARAVELL','MODAL#202R  SALE ADVISOR MURTAZA',null,'28-FEB-2021',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 16:45:23','2021-03-15 16:55:43',null,'1',null,'0');
INSERT INTO complaints VALUES('4591','MR MANSOOR HUSSAIN','03445507284','HO#65 ST 06 ILYAS TOWN KURI ROAD NEAR SUPER KHWAJA SWEETS AND BAKERS RWP','5','33','118548','ECOSTAR','MODAL#351FB',null,'01-JULY-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 17:10:05','2021-03-05 14:17:49',null,'1',null,'0');
INSERT INTO complaints VALUES('4592','MR KHALID HASSAN','03005511554','HO#656 ST 21 SHEHZAD TOWN ISB','8','37','17483','LG','0',null,'16-JULY-2016','8507S - 122','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 17:14:53','2021-03-10 17:22:54',null,'1',null,'0');
INSERT INTO complaints VALUES('4593','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','19','0','HAIER','0',null,'0','368EPR - 860','REFRIGERATOR','DOOR DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-02 17:37:01','2021-03-15 16:55:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4594','MR EHSAN','03113110013','VILLAGE NARA BASAL TASEAL JAND  ATTOCK','6','15','15183','SIGNATURE','SALE ADVISOR BADAL',null,'01-JULY-2018','SVF-HM95-BLK - 900','REFRIGERATOR','COMPRESSOR ISSUE',null,'5','REOPEN COMPLAINT',null,'customer','0',null,'92','2021-03-02 18:08:14','2021-03-09 12:47:06',null,'1',null,'0');
INSERT INTO complaints VALUES('4595','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','MITSUBISHI','0','2021-03-03',null,'50VA - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 11:06:35','2021-03-16 16:13:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4596','MR BILAL AWAN','03215548747','HO#112-D ST 30-C SEC I-10/4 ISB','5','32','103036','HAIER','0',null,'23-MAR-2019','438TDB - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 11:31:58','2021-03-06 13:56:03',null,'1',null,'0');
INSERT INTO complaints VALUES('4597','MR WAQAR AHMAD','03335115464','HO#BB-428 ST 01 KARIM PURA RWP','5','28','80189','SIGNATURE','SALE ADVISOR ASHRAF IKHLAQ   COMPLAINT SAIF-ULLAH FCP SIR NAY BAJI HAY',null,'16-DEC-2016','SCR-FS2-4G - 1605','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 11:55:09','2021-04-17 15:17:55',null,'1',null,'0');
INSERT INTO complaints VALUES('4598','MR AHMAD SHAKEEL','03345878097','HO#198-C MAIN BOULEVARD MEDIA TOWN SEC O-9 ISB','4','6','11113','SIGNATURE','SALE ADVISOR SALEEM',null,'21-OCT-2019','SFR-MD100G - 904','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 12:06:09','2021-03-07 13:51:35',null,'1',null,'0');
INSERT INTO complaints VALUES('4599','HARIS AFTAB(C/O SADDIQ SAB)','03075559480','HO#169 ST#18 F-10/2 ISB','5','32','117295','SAMSUNG','C/O SADDIQ SAB (08CR36PN300027B)',null,'08-JUN-2020','55RU7400-MRM - 942','FLAT PANEL TV','PANAL LINE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-03 12:06:23','2021-04-26 16:03:59',null,'1',null,'0');
INSERT INTO complaints VALUES('4600','MISS ARZOO  MALIK','03335791766','HO#204-205-206 SECOND FLOOR LEXUS MALL GULBERG GREEN ISB','4','9','17403','SUPER ASIA','SALE ADVISOR SALEEM',null,'24-NOV-2020','15SEH - 1036','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 12:17:00','2021-03-06 13:53:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4601','MR IMRAN','03218559596','HO# 17 ST 67 SEC G-13/2 ISB','5','34','129467','SONY','MODAL#65X8000H-CC  COMPAINE MODAL',null,'18-FEB-2021',null,'FLAT PANEL TV','YOU-TUBE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 12:32:00','2021-03-06 12:48:56',null,'1',null,'0');
INSERT INTO complaints VALUES('4602','BRIG IQBAL','03215152711','HO#18 ST 22 SEC-A DHA-05 ISB','6','12','24531','CANON','0',null,'13-DEC-2019','20D-PLUS-DUAL - 1031','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 12:40:50','2021-03-06 13:49:06',null,'1',null,'0');
INSERT INTO complaints VALUES('4603','MR KHURAM KHAN','03008550999','SHOP#1/2 PARAS PLAZA GROUND FLOOR SEC F-11 MARKAZ  ISB','5','30','89871','ORIENT','MODAL#24K7WG   SALE ADVISOR IMRAN MUGHAL',null,'07-DEC-2017',null,'AIR CONDITIONER','OUTER DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 13:22:44','2021-03-10 14:20:23',null,'1',null,'0');
INSERT INTO complaints VALUES('4604','MR AHMAD RAZA','03335696143','HO#1064 ST 02 PIA COLONY YASIR ACCOUDMY MISRIYAL ROAD RWP','9','26','75621','LG','SALE ADVISOR MR RAHEEL',null,'03-MAR-2013','1007TEFT - 122','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 13:56:36','2021-03-06 17:31:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4605','MR AHMAD RAZA','03335696143','HO#1064 ST 02 PIA COLONY YASIR ACCOUDMY STREET  MISRIYAL ROAD RWP','9','26','73234','SAMSUNG','MODAL#41JSTS  SALE ADVISOR MR RAHEEL',null,'08-DEC-2012',null,'REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 14:10:24','2021-03-08 13:51:49',null,'1',null,'0');
INSERT INTO complaints VALUES('4606','MISS SHUMAILA','03472944626','APP#B-05 ST 73 SOGHRA TOWER SEC F-11/1 ISB','5','31','128735','SAMSUNG','MODAL#75Q70R-S',null,'01-FEB-2021',null,'FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 14:46:29','2021-03-13 12:41:59',null,'1',null,'0');
INSERT INTO complaints VALUES('4607','MR RIZWAN','03215351302  03235353120','HO#1371-B ST 68 SEC-F PHASE 07 BAHRIA TOWN RWP','4','5','411','SIGNATURE','PTCL CALL INVOICE HAY',null,'14-OCT-2017','SWM-JD51 - 902','WASHING MACHINE','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 15:30:28','2021-03-09 12:34:05',null,'1',null,'0');
INSERT INTO complaints VALUES('4608','DR JAMAL','03315446668','HO#130 ST 06 SEC-G BAHRIA PHASE 08 RWP','6','12','10854','SIGNATURE','SALE ADVISOR USMAN OVEN KI COMPLAINT HAY',null,'05-OCT-2017','SBC-DARWIN-90BL - 1123','BUILT IN APPLLIANCES','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 16:19:29','2021-03-07 13:50:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4609','MR TUFAIL','03181840274','HO#15 ST 02 LANE 06 SEC 01 GULSHAN ABAD RWP','7','49','12247','SAMSUNG','SALE ADVISOR ZAHID  PTCL CALL INVOICE HAY',null,'14-JULY-2016','64H5350GT - 885','REFRIGERATOR','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 16:41:03','2021-03-07 13:50:20',null,'1',null,'0');
INSERT INTO complaints VALUES('4610','MR KHAN AFSAR','03335337589','HO#01 ST 18 SEC F-6/2 ISB','5','35','129306','KENWOOD','0',null,'15-FEB-2021','1012SA - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 16:49:20','2021-03-06 13:45:01',null,'1',null,'0');
INSERT INTO complaints VALUES('4611','MR ARSHAD AHMED','03165081312','HO#3/1-D ST 09 MUGHAL MARKET SEC I-8/1 ISB','5','33','126388','ORIENT','PTCL CALL INVOICE HAY',null,'06-DEC-2020','531BL - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 16:55:33','2021-03-06 13:43:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4612','MR NIAZ AHMED','03495188653','HO#2949 KOLA CENTER NADIR STREET SADDAR RWP','9','51','181920','LG','PTCL CALL INVOICE HAY',null,'23-NOV-2019','32LK610-S - 936','FLAT PANEL TV','SCREEN DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 16:56:50','2021-04-17 11:43:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4613','MR SHAHID','03335134949','HO#03 ST 10 SEC-C DHA 01 ISB','6','15','26732','SAMSUNG','0',null,'19-MAR-2020','16J6750-S - 1643','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 17:04:07','2021-03-10 13:37:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4614','MR ARSHAD','03345157776','HO#112 ST 02 FALCON COMPLEX RWP','5','29','129792','FIVE STAR','MODAL#10000MC  SALE ADVISOR ABU BAKAR',null,'27-FEB-2021',null,'COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 17:12:52','2021-06-05 12:18:03',null,'1',null,'0');
INSERT INTO complaints VALUES('4615','IMRAN FCP','03005331105','FRIEND CORPORATION GUL NOOR MARKET RWP','9','51','206003','HAIER','0',null,'20-FEB-2021','40B9200M - 938','FLAT PANEL TV','SCREEN DOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 17:22:37','2021-03-15 16:55:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4616','MR ADA-NABI-MIR','03314441919','HO#101 ST 01 AIR PORT HOUSING SOCIETY RWP','9','24','183216','KENWOOD','SALE ADVISOR JAVED',null,'14-DEC-2019','480GD-BKG - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-03 17:37:56','2021-03-08 16:00:24',null,'1',null,'0');
INSERT INTO complaints VALUES('4617','MR WAQAS','03363006011','HO#76 LANE 04 ST 04 SEC DHA PHASE 02 ISB','5','28','125283','LG','SALE ADVISOR ABU BAKAR',null,'03-DEC-2020','0K1CHK2T2-C - 2081','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 10:33:20','2021-03-05 14:48:49',null,'1',null,'0');
INSERT INTO complaints VALUES('4618','MR WAQAS','03363006011','HO#76 LANE 04 ST 04 SEC DHA PHASE 02 ISB','5','28','125283','SIGNATURE','SALE ADVISOR ABU BAKAR',null,'03-DEC-2020','SBH-AC900G - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 10:36:35','2021-03-12 12:43:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4619','HAMMAD FCP','03455104405','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','CARAVELL','MODAL#202R',null,'0',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 10:46:05','2021-04-15 11:06:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4620','BRIG WASEEM','03332109609 03365832343','HO#20 ST 06 SEC-C  DHA 02 ISB','9','24','205084','HAIER','0',null,'06-FEB-2021','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 11:02:30','2021-03-09 14:03:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4621','RAJA ZAFER','03365701882  03475032661','HO#338 ST 102 SEC I-8/4 ISB','9','19','175096','DAWLANCE','SALE ADVISOR SHAKEEL  PTCL CALL INVOICE HAY',null,'11-JULY-2019','10500DW - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 11:20:29','2021-03-09 14:01:16',null,'1',null,'0');
INSERT INTO complaints VALUES('4622','MR MAQSOOM QURASHI','03227409711 03455366654','HO#06 ST 04 BLOCK-F NAVEL ENCARAGE ISB','8','38','23317','SIGNATURE','HOB KI COMPLAINT HAY PTCL CALL INVOICE HAY',null,'08-JULY-2017','FC90S - 1122','BUILT IN APPLLIANCES','BUTTON# BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 11:49:14','2021-03-09 12:27:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4623','MR NASIR MALIK','03215179964  03215070633','FLAT#D-2/2 PAF COMPLEX SEC E-9 ISB','8','38','42797','ORIENT','MODAL#531OWD-DARK',null,'03-OCT-2020',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 12:31:10','2021-03-08 15:57:20',null,'1',null,'0');
INSERT INTO complaints VALUES('4624','MR ZAKRIA ALI SHAH','03335107036','HO#248 ST 32 SEC F-10/1 ISB','5','31','77641','SAMSUNG','PTCL CALL INVOICE HAY',null,'11-AUG-2016','90G9-S - 1548','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','4581','74','2021-03-04 12:37:30','2021-03-04 17:41:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4625','MISS SANA KHATTAK','03000705317','APP#408 TOWER 101 ST 100 SEC G-11/3 ISB','5','33','119121','GREE','0',null,'13-JULY-2020','18CITH13W - 915','AIR CONDITIONER','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 12:43:28','2021-03-04 13:11:37',null,'1',null,'0');
INSERT INTO complaints VALUES('4626','MR ALI','03103352282','HO#03 ST 49 CATEGORY 02 SEC G-10/3 ISB','5','28','0','HAIER','NAEEM SIR NAY COMPLAINT BAJI HAY',null,'0',null,'AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 12:50:25','2021-03-04 13:14:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4627','MR JUNAID RAZA','03005059629','HO#236 ST 11 ABUBKAR BLOCK PHASE 08  BAHRIA TOWN RWP','9','19','206720','HAIER','0',null,'03-MAR-2021','95-1678HWM - 1817','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 13:43:37','2021-03-07 14:43:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4628','MR NOMAN','03335847555  03338577788','HO#01 ST 45 KORANG TOWN ISB','9','23','144617','SIGNATURE','C/O KHURRAM GOOGLE SIR NAY COMPLAINT BAJI HAY',null,'17-DEC-2017','JX1-BL - 1708','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 13:52:26','2021-03-08 16:19:03',null,'1',null,'0');
INSERT INTO complaints VALUES('4629','COL SHUJA','03335209684','HO#32 LANE 02 ST 01 CHAKLALA SCHEME 01 RWP','9','22','206687','CORONA','0',null,'03-MAR-2021','351C - 1533','COOKING RANGE','BURNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 14:02:23','2021-03-08 15:39:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4630','MR SHAMEER','03028468467  03028468468','HO#1/D ST 51 MARVI ROAD SEC F-7/4 ISB','5','33','128808','ECOSTAR','0',null,'03-FEB-2021','40U860 - 938','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 14:34:01','2021-03-07 14:36:24',null,'1',null,'0');
INSERT INTO complaints VALUES('4631','MR QASIM HANIH','03215880008','VILLAGE MOHRADAROHA  NEAR PO BOX RAWAT ISB','4','7','19669','FIVE STAR','MODAL#786MC',null,'17-FEB-2021',null,'COOKING RANGE','BUTTON ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 15:08:45','2021-04-06 18:04:09',null,'1',null,'0');
INSERT INTO complaints VALUES('4632','MALIK GHFAR','03215562210','HO#931/1 AWAN HOUSE NEAR ASKARI 11 SADDAR RWP','9','23','139636','KENWOOD','0',null,'26-AUG-2017','1015SA - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 15:31:10','2021-03-09 13:27:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4633','BRIG WASEEM','03332109609','HO#20 ST 06 SEC-C DHA 02 ISB','9','51','194218','SONY','0',null,'08-AUG-2020','65X8077G-S - 1443','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 15:38:32','2021-03-04 17:40:29',null,'1',null,'0');
INSERT INTO complaints VALUES('4634','MR SHAHID MEHMOOD','03216028992','AIR HEADQUARTERS SEC E-9 ISB','8','37','24114','ORIENT','HEAD OFFICE KI INVOICE HAY PTCL CALL INVOICE HAY',null,'12-JAN-2021','529BL - 128','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 15:48:01','2021-03-12 12:31:00',null,'1',null,'0');
INSERT INTO complaints VALUES('4635','MR WAQAS NASEEM','03009501213','HO#23 ST 65 SEC G-13/2 ISB','9','22','193173','GREE','0',null,'20-JULY-2020','8890EG-CB1 - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 15:58:49','2021-03-07 14:28:55',null,'1',null,'0');
INSERT INTO complaints VALUES('4636','MISS GULRUKH','03336551959','HO#142 NEAR QASIM MARKET SEC ASKARI 11 ISB','9','24','205238','SIGNATURE','SALE ADVISOR MUJTABA',null,'08-FEB-2021','HC-3761S - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 16:35:53','2021-03-05 15:00:55',null,'1',null,'0');
INSERT INTO complaints VALUES('4637','BRIG M ASLAM','03009181291','HO#1212 SOUTH EAST BULLEWARD PHASE 05 BAHRIA TOWN','6','16','30233','SAMSUNG','MODEL 90K5410-S(INVOICE  RIZWAN SAB NA FF KI',null,'27-OCT-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-04 16:46:49','2021-03-07 13:49:35',null,'1',null,'0');
INSERT INTO complaints VALUES('4638','MR PASHA(DANISH AHMED)','03005067040','HO#1187 ST#47 PHASE 03 BEHIRA  TOWN','6','12','15935','CARAVELL','MODEL 204B(CELL PHONE COMPLAINT (PAID JOB)',null,'16-AUG-2020',null,'WATER DISPENSER','TOP COVER DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-04 17:06:06','2021-03-15 16:29:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4639','MR FAKHAR-UL-REHMAN','03008507194','HO#14 ST 09 KORANG TOWN ISB','9','23','191874','WAVES','0',null,'01-JULY-2020','315WDFT-GD ALPHA - 958','FREEZER','DOOR  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 17:19:31','2021-03-10 13:20:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4640','MR ZEESHAN','03216335336','HO#06 BLOCK 15 SEC G-7/1 ISB','5','29','58909','SIEMENS','COMPLAINT IQBAL STOCK SIR NAY BAJI HAY',null,'26-FEB-2014','14Y890GB - 376','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 17:33:17','2021-03-06 17:11:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4641','MR AFTAB','03335115905','FLAT#307 AL SAFA TOWER 01 MAIN DOUBLE ROAD SEC F-11 ISB','5','28','0','SONY','C/O SADDIQ  SIR NAY COMPLAINT BAJI HAY',null,'0',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 17:39:06','2021-03-06 12:49:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4642','MR SHARAZ FHHS','03403339965','FRIEND CORPORATION SHAMSA  BAD RWP','8','37','44316','ROBAM','MODAL#3050CJ  BRAUN COMPAINE',null,'05-DEC-2020',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-04 17:51:17','2021-03-09 12:15:09',null,'1',null,'0');
INSERT INTO complaints VALUES('4643','SOHAIL','03005520647','HO#172/6 SERWAR ROAD R.W.P','4','6','13035','SIGNATURE','0',null,'10-NOV-2016','SCR-FS2-4G - 1605','COOKING RANGE','IGNITION  PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-05 12:29:16','2021-04-06 18:02:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4644','ARSHAD HASSAN','03335100015','HO#67 ST#36 E-11/3 ISB','5','29','128917','SONY','75X8000H-CC-1056',null,'05-FEB-2021',null,'FLAT PANEL TV','NO PIC &NO SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-05 12:34:42','2021-03-06 12:49:49',null,'1',null,'0');
INSERT INTO complaints VALUES('4645','M RIZWAN','03335361654','HO#856 IJP ROAD I- 10/4 ISB','9','23','144573','HAIER','0',null,'16-DEC-2017','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-05 12:57:07','2021-03-08 14:17:12',null,'1',null,'0');
INSERT INTO complaints VALUES('4646','DR ZARMINA','03238528907','HO#1229 ST#49 PHASE 03 BEHIRA TOWN','6','14','10705','FIVE STAR','0',null,'15-SEP-2019','786C-FS - 1077','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-05 13:00:16','2021-03-08 13:56:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4647','DR ZARMINA','03238528907','HO#1229 ST#49 PHASE 03 BEHIRA TOWN','6','14','7297','DAWLANCE','0',null,'19-JAN-2019','142HZP - 1277','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-05 13:07:57','2021-03-09 13:15:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4648','AMIN ALI SAB','03010668844','FLAT#206 WARDA HAMNA RESIDENCE 03 G-11/3 ISB','8','37','46721','SAMSUNG','0',null,'01-MAR-2021','80J4260-S - 899','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-05 14:06:21','2021-03-07 13:48:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4649','FAISAL','03465987111','HO#1682 ST#60 PHASE 03 BEHIRA TOWN','6',null,'9268',null,'CELL PHONE PA CALL AAI(INVOICE B HAIN)','2021-03-05',null,null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-05 14:38:50','2021-03-05 14:38:50',null,'1',null,'0');
INSERT INTO complaints VALUES('4650','TAMINA HAIDER','03335117629','HO#05 ST#11 F-7/2 ISB','5','35','128957','SHARP','0',null,'06-FEB-2021','612MB-SS2 - 1547','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-05 15:19:10','2021-03-22 12:14:58',null,'1',null,'0');
INSERT INTO complaints VALUES('4651','test','+92 3105727614','bahria town','3','4','3434r43','LG','23e3e3','2021-03-05',null,'RLG-3D - 1100','ACCESSORIES','testing bugs',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-03-05 15:37:51','2021-03-05 15:37:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4652','FAISAL','03465987111','HO#1682 ST#60 PHASE 03 BEHIRA TOWN','6','13','9268','HAIER','CELL PHONE PA CALL AAI(INVOICE B HAIN)',null,'27-SEP-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-05 15:52:26','2021-03-08 12:56:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4653','COL TARIQ','03343752025','APP#02 GHQ  HEAD QUTAR R.W.P','4','6','19284','KENWOOD','25557GD-BKG-85',null,'21-JAN-2021',null,'REFRIGERATOR','OVER COOLING+ SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-05 16:22:29','2021-03-15 16:07:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4654','MALIK AMEEN','03008560489','HO#07 ST#30 F-7/1 ISB','5','36','101499','ORIENT','0',null,'18-JAN-2019','531BL - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-05 16:30:17','2021-03-08 11:18:55',null,'1',null,'0');
INSERT INTO complaints VALUES('4655','M NAWAZ KHAN','03155172460','FLAT 07 ST 04 I 8/1 ISB','5','35','125165','HAIER','0',null,'02-DEC-2020','368IDRT - 860','REFRIGERATOR','OVER COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-05 16:39:16','2021-04-15 14:47:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4656','MR SUFFIAN','03008331693','HO#37-A ST 105 SEC G-13/1 ISB','5','36','94982','HAIER','MODAL#90TTB  HOOD KI COMPLAINT HAY   SALE ADVISOR ASHRAF IKHLAQ',null,'31-MAY-2018',null,'BUILT IN APPLLIANCES','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-06 11:08:31','2021-03-13 17:25:42',null,'1',null,'0');
INSERT INTO complaints VALUES('4657','MR SUFFIAN','03008331693','HO#37-A ST 105 SEC G-13/1 ISB','5','36','94982','SIGNATURE','SALE ADVISOR ASHRAF IKHLAQ  HOB KI COMPLAINT HAY COMPAINE ELEGENT',null,'31-MAY-2018','FC90S - 1122','BUILT IN APPLLIANCES','BURNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-06 11:19:54','2021-03-15 15:27:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4658','MR NAEEM-UD DIN','03318843136','HO#146-F LANE 05 SHER ZAMAN COLONY TULSA ROAD LALAZAR RWP','9','21','206541','CARAVELL','MODAL#202R  SALE ADVISOR MURTAZA',null,'20-FEB-2021',null,'WATER DISPENSER','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-06 11:33:58','2021-03-06 14:01:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4659','MR JAM ABDUL KAREEM','03232286465','HO#G-107 BLOCK-G GROUND FLOOR PARLIMENT LODGES ISB','8','42','4844','SIGNATURE','0',null,'12-AUG-2018','SRF-WB90M - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-06 12:20:11','2021-03-10 13:36:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4660','DR FAROOQ TAHIR','03336692822','HO#C-6 RESIDENCE BLOCK-C NUST UNIVERSITY SEC H-12 ISB','8','37','32349','SIGNATURE','MODAL#MWS-JD47C SALE ADVISOR AZHAR SDA COMPLAINT B AZHAR SDA SIR NAY BAJI HAY',null,'16-FEB-2019',null,'WASHING MACHINE','PART ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-06 13:16:41','2021-03-11 12:48:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4661','NAVEED FCP','03005213783','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','HAIER','MODAL#216',null,'0',null,'REFRIGERATOR','DOOR POCKET DAMAGE',null,'5','COMPLETED',null,'customer','0',null,'92','2021-03-06 15:30:46','2021-04-20 12:08:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4662','FAREED SB','03422294444','BARKAT CONTAINER MUMTAZ CITY NEAR AIRPORT ISLAMABAD','10','45','0','ORIENT','MODEL NOT CONFIRM',null,'IN WARRANTY','12G-ALPHA-SW - 912','AIR CONDITIONER','ERROR P4 
C/O SADDIQ SB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-03-06 15:48:52','2021-03-24 11:46:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4663','MR NAVEED AKHTAR','03355405829','HO#CB-718 ST 06 NOURAS COLONY TALHI MOHRI RWP','8','37','36256','SUPER ASIA','PTCL CALL INVOICE HAY',null,'17-AUG-2019','280SA - 522','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-06 15:54:54','2021-03-09 11:03:36',null,'1',null,'0');
INSERT INTO complaints VALUES('4664','MR NAEEM','03335500749','HO#01 ST 17 MUNAWAR COLONY HADYALA ROAD RWP','9','19','196012','CARAVELL','MODAL#207BA PTCL CALL INVOICE HAY',null,'10-SEP-2020',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-06 16:14:12','2021-03-11 14:15:48',null,'1',null,'0');
INSERT INTO complaints VALUES('4665','MR ALI RAZA','03124447615','HO#1633 ST 86 SEC I-10/1 ISB','9','20','205318','CORONA','0',null,'09-FEB-2021','125C-AUTO - 1074','COOKING RANGE','BUTTON NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-06 16:27:40','2021-03-11 14:10:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4666','MR UMER QURESHI','03218558003','HO#149 ST 26 SEC-B ASKARI 14 DEFANCE ROAD RWP','9','23','160435','FIVE STAR','0',null,'04-NOV-2018','35G-TWIN-FS - 1759','GEYSER','TANG LEAKAGE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-03-06 16:59:37','2021-03-15 12:33:23',null,'1',null,'0');
INSERT INTO complaints VALUES('4667','MR MAQSOOD-ULHSAN','03315254560','HO#CB-2717 ST 06 ALLAMA IQBAL COLONY TANCH BHATA RWP','9','20','125954','SIGNATURE','PTCL CALL INVOICE HAY',null,'27-DEC-2016','SWM-JD51 - 902','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-06 17:45:43','2021-03-09 16:45:16',null,'1',null,'0');
INSERT INTO complaints VALUES('4668','MR ARSHAD KHATTAK','03208844111','HO#103/1 PAKISTAN AIR FORCE BASIC NOOR KHAN CHAKLALA RWP','5','31','81569','SIGNATURE','0',null,'11-FEB-2017','SWM-SR50 - 905','WASHING MACHINE','SPINNER#FILTER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-07 11:08:17','2021-03-21 12:50:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4669','MR ARSHAD KHATTAK','03208844111','HO#103/1 PAKISTAN AIR FORCE BASIC NOOR KHAN CHAKLALA RWP','8','37','25459','SIGNATURE','SALE ADVISOR CH WAQAR   COMPLAINT TARIQ FCI SIR NAY BAJI HAY',null,'06-JAN-2018','SWM-SR45 - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-07 11:15:30','2021-03-10 13:36:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4670','MR ARSHAD KHATTAK','03208844111','HO#103/1 PAKISTAN AIR FORCE BASIC NOOR KHAN CHAKLALA RWP','8','37','25459','SIGNATURE','SALE ADVISOR CH WAQAR   COMPLAINT TARIQ FCI SIR NAY BAJI HAY',null,'06-JAN-2018','SWM-SR45 - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-07 11:15:49','2021-03-07 13:47:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4671','DR AMIR','03459045145','HO#153 ROAD 09 DIFANCE VILLA SEC-F DHA PHASE  01 ISB','6','15','22202','SIGNATURE','0',null,'21-JULY-2019','SWM-JD51 - 902','WASHING MACHINE','ERROR E-1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-07 11:32:31','2021-03-10 13:03:21',null,'1',null,'0');
INSERT INTO complaints VALUES('4672','MR WAQAS','03363006011','HO#76 LANE 04 ST 04 SEC DHA PHASE 02 ISB','5','28','129347','SIGNATURE','PTCL CALL INVOICE HAY SALE ADVISOR ABU-BAKAR',null,'16-FEB-2021','HC-5861S - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-07 11:50:45','2021-03-15 12:24:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4673','MR SAEED','03315154846','HO#569 BLOCK-D SATELLITE TOWN RWP','9','51','197308','FIVE STAR','MODAL#500MC SALE ADVISOR MURTAZA',null,'08-OCT-2020',null,'COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-07 12:03:23','2021-03-10 13:02:52',null,'1',null,'0');
INSERT INTO complaints VALUES('4674','MR KAMRAN','03005100037','HO#819 ST 85 SEC I-8/4 ISB','8','39','25636','HAIER','SALE ADVISOR USMAN',null,'17-JAN-2018','95-1678HWM - 1817','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-07 13:08:32','2021-03-10 11:55:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4675','COL NOOR-UL-AFREEN','03337771466  03215167717','HO#14 ST 02 SEC-A ASKARI 14 RWP','9','27','206206','SIGNATURE','0',null,'23-FEB-2021','HC-5900G - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-07 13:19:04','2021-03-09 14:05:36',null,'1',null,'0');
INSERT INTO complaints VALUES('4676','MR KAZIM','03325353816','HO#F-23 SEC-F SATELLITE TOWN NEAR 06 ROAD RWP','9','51','12,597','HAIER','0',null,'14-FEB-2021','90-1789HWM - 901','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-07 14:18:03','2021-03-10 11:20:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4677','MR SALMAN','03136725626','HO#1323 ST 36 SEC G-11/2 ISB','8','39','44853','SIGNATURE','MODAL#SBC-DUBBO-90PLUS  02 HOB KI COMPLAINT HAY',null,'06-DEC-2020','HC-5900G - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-07 15:20:57','2021-03-11 16:07:28',null,'1',null,'0');
INSERT INTO complaints VALUES('4678','BUTT STOCK PWD','03115006051','FRIEND CORPORATION PWD','4','7','0','DAWLANCE','0',null,'0','2810C-DW - 1743','MICROWAVE OVEN','RING MISSING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-07 15:25:34','2021-03-15 15:24:01',null,'1',null,'0');
INSERT INTO complaints VALUES('4679','MR YASIR AMIR','03335466622','HO#714 ST 07 SEC I-10/2 ISB','6','14','41390','CORONA','SALE ADVISOR NAVEED AHMAD',null,'27-JULY-2020','505C - 1815','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-07 16:42:29','2021-03-10 17:22:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4680','MR HASEED SHEIKH','03458503139','HO#131 ST 07 GULRAIZ COLONY PHASE 03 RWP','4','11','17566','BOSCH','MODAL#12TQ5OM  SALE ADVISOR ALI MURTAZA',null,'01-DEC-2020',null,'COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 10:46:17','2021-04-10 13:09:53',null,'1',null,'0');
INSERT INTO complaints VALUES('4681','MR ADNAN RANA','03315370615','HO#33 ROAD-L BLOCK-E NAVAL ANCHORAGE ISB','6','14','6600','LG','SALE ADVISOR MUDASSAR',null,'09-DEC-2018','1466NEFTF-S - 1212','WASHING MACHINE','ERROR E-1 ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 11:04:07','2021-03-15 16:54:52',null,'1',null,'0');
INSERT INTO complaints VALUES('4682','MR HUMAYUN','03335478776','HO#F765-12 ST 03 DAHRI HASSANA ABAD ALTAMASH ROAD RWP','9','24','182798','KENWOOD','SALE ADVISOR IRFAN',null,'10-DEC-2019','1012SA - 902','WASHING MACHINE','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 11:29:35','2021-03-17 12:47:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4683','MR BILAL AZEEM','03343612989','HO#72 ST 03 SEC F-17 ISB','9','24','187657','LG','0',null,'01-MAR-2020','1366NEFTFS-C - 907','WASHING MACHINE','DRUM SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 11:39:37','2021-03-11 15:40:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4684','MR YOUNAS NADIR','03135410286','HO#872 MAIN SERVICE ROAD SEC I-10/4 ISB','9','19','195754','CORONA','0',null,'05-SEP-2020','125C-AUTO - 1074','COOKING RANGE','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 11:54:01','2021-03-11 13:52:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4685','MR IQBAL','03335138893','HO#1659H ST 66, BLOCK A FAISAL TOWN MAIN FATEH JANG ROAD RWP','8','42','42917','SIGNATURE','CHIMNEY KI COMPLAINT HAY',null,'10-OCT-2020','SBC-DUBBO-90PLUS - 1123','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 12:25:10','2021-04-01 13:03:52',null,'1',null,'0');
INSERT INTO complaints VALUES('4686','MR KHALID','03008562553','HO#46 ST 16 SEC-A BAHRIA ENCLAVE ISB','8','40','46584','XTREEM','HOB KI COMPLAINT HAY',null,'22-FEB-2021','81A - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 12:55:35','2021-03-30 15:05:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4687','MR RIZWAN','03016686244  03249600169','JAMIA BOY SCHOOL FAROOQ-E  AZAM STREET GUSIA CHOCK RWP','8','40','46745','XTREEM','HOB KI COMPLAINT HAY SALE ADVISOR ASHFAQ ABBASI',null,'02-MAR-2021','81A - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 13:11:45','2021-03-09 12:15:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4688','COL ZAFAR KHAN','03215107888','HO#38/B LANE 03 ASKARI 12 CHAKLALA RWP','7','49','18324','LG','SALE ADVISOR ZAHID',null,'07-JAN-2019','1466NEFTFW-S - 1212','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 13:34:05','2021-03-11 15:39:54',null,'1',null,'0');
INSERT INTO complaints VALUES('4689','COL IMRAN','03332223728','HO#175 SOUTH EAST BOULEVARD PHASE 04 BAHRIA TOWN RWP','8','37','42303','SIGNATURE','0',null,'08-SEP-2020','SFR-MD100G - 904','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 13:44:06','2021-03-10 12:33:42',null,'1',null,'0');
INSERT INTO complaints VALUES('4690','MR JAHANGIZ KHAN','03335534385','HO#1537 MAIN SERVICE ROAD SEC D-12 ISB','8','40','34457','MITSUBISHI','SALE ADVISOR CH WAQAR',null,'08-JUN-2019','50VA - 915','AIR CONDITIONER','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 13:59:35','2021-03-15 15:18:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4691','MR MIAN RASHID','03222687777','HO#1096 ST 07 OVER SEAS 06 PHASE 08 BAHRIA TOWN RWP','6','12','31940','FIVE STAR','MODAL#35G-TWIN HEAVY',null,'07-DEC-2020',null,'GEYSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 14:28:18','2021-04-06 18:01:49',null,'1',null,'0');
INSERT INTO complaints VALUES('4692','MR SUFAN','03360597574','HO#P-1547-C ASGHAR MALL SCHEME NEAR AL HAFEEZ BAKERS RWP','9','19','125630','LG','MODAL#1496ADP2-32  SALE ADVISOR MURTAZA PTCL CALL INVOICE HAY',null,'18-DEC-2016',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 15:00:03','2021-03-13 12:42:26',null,'1',null,'0');
INSERT INTO complaints VALUES('4693','STOCK UNIT (i-10)','33072  GRN','PLOT#81 ST#06 I 10/3 ISB','10','45','0','LG','UNIT LG SERVICE CENTER CHALA GAYA HAY','2021-03-08',null,'257SLLV-S - 909','REFRIGERATOR','COMPRESSOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 15:13:13','2021-03-13 12:40:54',null,'1',null,'0');
INSERT INTO complaints VALUES('4694','STOCK UNIT (i-10)','33128 GRN','PLOT#81 ST#06 I 10/3 ISB','10','45','0','LG','0',null,'0','247SMUV-S - 909','REFRIGERATOR','DAMAGE',null,'4',null,null,'customer','0',null,'92','2021-03-08 15:48:48','2021-03-08 15:49:28',null,'1',null,'0');
INSERT INTO complaints VALUES('4695','MR YASIR MAHMOOD','03329077257','VILLAGE#KHOHADA NEAR DOLTALA TASEAL GUJHAR KHAN','9','51','204572','SAMSUNG','S/N OC2V36PNC00010P  MODAL#85Q80T-MRM',null,'26-JAN-2021',null,'FLAT PANEL TV','ON/OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 15:59:04','2021-03-17 11:33:56',null,'1',null,'0');
INSERT INTO complaints VALUES('4696','BRIG GHULAM MURTAZA','03034443066','HO#64/17-A SHER KHAN ROAD LAHORE CANTT','9','19','0','SAMSUNG','MODAL#UHD-55 INCHES   INVOICE NAI HAY C/O SADEEQ SIR',null,'3-YEAR-AGO',null,'FLAT PANEL TV','DOT PANEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 16:10:51','2021-04-27 13:32:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4697','MR USMAN GHANI','03009777543','HARUN CHOCK SHER AHMED ROAD KURI ROAD   RWP','8','40','43049','CANON','SALE ADVISOR NAVEED AHMAD',null,'17-OCT-2020','15LCF - 1036','GEYSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 16:34:02','2021-03-11 12:55:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4698','MR SADIQ','03351161160  03005139357','HO#28 ST 24 SEC 01 AIR PORT HOUSING SOCIETY NEAR GULZARAY KHAD RWP','9','51','183399','HAIER','SALE ADVISOR JAVED',null,'14-DEC-2019','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 17:18:50','2021-03-11 12:52:26',null,'1',null,'0');
INSERT INTO complaints VALUES('4699','MR SYED AHMAD','03335203546','HO#13 ST 32, SEC F-8/1 ISB','5','30','104300','SAMSUNG','COMPLAINT PALAY B AYI THI TASK#2323',null,'01-MAY-2019','90K6410 - 1855','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 17:36:43','2021-03-14 12:14:58',null,'1',null,'0');
INSERT INTO complaints VALUES('4700','MR ASLAM','03334585895','HO#14 ST 01 ASKARI 05 RWP','9','19','25796','SIGNATURE','PTCL CALL INVOICE HAY OVEN HAY GAS WALA',null,'27-JAN-2018','FGG4 - 1124','BUILT IN APPLLIANCES','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','3355','74','2021-03-08 17:45:36','2021-03-18 11:50:10',null,'1',null,'0');
INSERT INTO complaints VALUES('4701','JIBRAN FCI','03355046059','FRIEND CORPORATION BLUE AREA','5','35','0','SAMSUNG','STOCK KI COMPLAINT HAY UNIT I-10 SERVICE CENTER AYA HAY',null,'0','60H6050FS-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-08 18:38:36','2021-03-17 11:07:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4702','MR FAIZAN MEHMOOD','03365368134','HO#231 ST 12-D  BACK SIDE HOLI FAMILY  RWP','9','24','176710','DAWLANCE','0',null,'06-AUG-2019','9190LFD-G BROWN - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 11:04:58','2021-03-13 16:54:40',null,'1',null,'0');
INSERT INTO complaints VALUES('4703','SARDAR WAQAS  ALI','03215765382 03335239880','HO#03 ST 2-B SEC-B DHA PHASE 01 ISB','6','12','33014','LG','SALE ADVISOR ZARA  ADEEL SIR NAY COMPLAINT BAJI HAY',null,'06-FEB-2021','512FPW-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 11:15:13','2021-03-11 15:39:28',null,'1',null,'0');
INSERT INTO complaints VALUES('4704','MR YASIR','03008521100','HO#60 ST 04 SEC-D DHA PHASE  02 ISB','6','12','12439','LG','0',null,'21-JAN-2018','257SLLV-S - 909','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 11:26:44','2021-03-13 12:07:24',null,'1',null,'0');
INSERT INTO complaints VALUES('4705','SYED MUQADDAS','03335323456','HO#196 ST 74 SEC G-9/3 ISB','5','28','125138','LG','SALE ADVISOR ALI KHAN',null,'02-DEC-2020','1066NEFTW-S - 902','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 11:40:10','2021-03-11 15:28:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4706','MR TARIQ MEHMOOD','03335128457','HO#A-611 ST 49 MOHALA MOHAN PURA RWP','9','19','204461','HAIER','MODAL#150-826',null,'25-JAN-2021',null,'WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 11:59:14','2021-03-13 16:51:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4707','MR EJAZ','03008567177','HO#494 ST 99 SEC G-9/4 ISB','5','31','129856','SAMSUNG','MODAL#15J5730SS-S',null,'01-MAR-2021',null,'WASHING MACHINE','ERROR E-01',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 12:12:50','2021-03-13 12:07:48',null,'1',null,'0');
INSERT INTO complaints VALUES('4708','MR SAQIB SALEEM','03455304776','HO#09 ST 23 UMER BLOCK BAHRIA PHASE 08 RWP','8','37','46812','HAIER','0',null,'04-MAR-2021','95-1678HWM - 1817','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 12:23:16','2021-03-13 16:59:28',null,'1',null,'0');
INSERT INTO complaints VALUES('4709','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','DAWLANCE','0','2021-03-09',null,'133G - 65','MICROWAVE OVEN','WHEEL MISSING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 12:31:13','2021-03-16 13:44:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4710','MR EHSAN','03113110013','VILLAGE NARA BASAL TASEAL JAND  ATTOCK','6','15','15183','SIGNATURE','SALE ADVISOR BADAL',null,'01-JULY-2018','SVF-HM95-BLK - 900','REFRIGERATOR','COMPRESSOR ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','1','4594','74','2021-03-09 12:45:02','2021-03-09 14:04:53',null,'1',null,'0');
INSERT INTO complaints VALUES('4711','MR AMIR','03320032432','HO#14 ST 10 SOAN GARDEN BLOCK-H ISB','4','5','11064','SIGNATURE','MODAL#SWM-JD4  SALE ADVISOR NAVEED PTCL CALL INVOICE HAY',null,'17-OCT-2019',null,'WASHING MACHINE','ERROR E-5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 12:45:05','2021-03-10 12:31:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4712','MR MUJTABA','03228683179 03115608550','FLAT#F BLOCK-3 AVIATION FLATS PARADE LANE OPP RWP RACE COURSE   RWP','9','19','17763','SIGNATURE','SALE ADVISOR ZAHID PTCL CALL INVOICE HAY',null,'11-OCT-2018','32DN6 - 936','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 12:54:07','2021-03-11 15:22:56',null,'1',null,'0');
INSERT INTO complaints VALUES('4713','MISS RUBIA','03041554410','HO#17 ST 14 GULZAR-E- MADINA SEC H-13 ISB','8','37','12986','SIGNATURE','C/O SADDIQ  SIR  SALE ADVISOR MARYAM ABBASI',null,'20-MAR-2017','FB4-5G - 1078','COOKING RANGE','MIRROR DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 13:06:07','2021-03-18 11:49:43',null,'1',null,'0');
INSERT INTO complaints VALUES('4714','MR JAMEEL ABBASI','03105201213  03005201213','KACHI BASSATI WATER TUWAL NEAR YOUNAS MASJID DHOK PARACHA RWP','9','19','132292','PEL','MODAL#18KPINVHC',null,'26-APR-2017',null,'AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 13:32:46','2021-03-12 14:49:23',null,'1',null,'0');
INSERT INTO complaints VALUES('4715','MR SALMAN','03009731996','APP#401 EXECUTIVE SUITES HILAL ROAD SEC F-11/1 ISB','5','34','123784','GREE','0',null,'10-NOV-2020','9978EG-CB3 - 2116','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 13:41:42','2021-03-12 14:39:10',null,'1',null,'0');
INSERT INTO complaints VALUES('4716','MR KHALID','03005563338  03015578974','HO#111 ST 07 PHASE 02 KHORI TOWN ISB','9','23','163217','SIGNATURE','0',null,'17-DEC-2018','SWH-1807 - 962','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 13:48:38','2021-03-13 14:11:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4717','MR QASIM','03119626944','HO#671 ST 65-B PAKISTAN TOWN PHASE 01 ISB','6','14','17462','SIGNATURE','MODAL#SBH-HC3900G   SALE ADVISOR AZHAR',null,'28-NOV-2020',null,'BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 14:00:42','2021-05-29 17:31:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4718','MR AZHER SULTAN','03449695462','HO#450 ST 28 SEC E-11/4 ISB','5','36','114144','BOSCH','HOB KI COMPLAINT HAY',null,'23-JAN-2020','93A52PK - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 14:34:15','2021-03-15 15:10:37',null,'1',null,'0');
INSERT INTO complaints VALUES('4719','MR NADEEM','03009866983','HO#706 ST 16 SEC G-10/1 ISB','5','35','126488','CARAVELL','MODAL#207BA',null,'06-DEC-2020',null,'WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 14:42:44','2021-04-15 11:32:00',null,'1',null,'0');
INSERT INTO complaints VALUES('4720','HAMMAD FCP','03455104405','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','SUPER ASIA','DRYER KI COMPLAINT HAY',null,'0','555SD - 528','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2021-03-09 14:52:34','2021-04-20 12:07:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4721','MR ASGHAR','03228585158','SAGIR HOUSE ST 49 NEAR BILAL MARKET SEC E-11/4 ISB','9','26','205478','KENWOOD','PTCL CALL INVOICE HAY',null,'11-FEB-2021','400GD-GNG - 895','REFRIGERATOR','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 15:09:45','2021-03-12 12:47:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4722','MR ZAHEER','03335155515','HO#513 ST 10 BLOCK-D MEDIA TOWN ISB','4','11','18760','LG','MODAL#1788NEHTE-C  SALE ADVISOR ALI MURTAZA',null,'17-DEC-2020',null,'WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 15:29:28','2021-03-11 15:22:23',null,'1',null,'0');
INSERT INTO complaints VALUES('4723','MR GULFRAZ','03338544408  03008544408','HO#271 ST 55 SEC F-11/4 ISB','5','53','71458','SAMSUNG','SALE ADVISOR ARSHAD MEHMOOD',null,'25-NOV-2015','11J5710GT - 905','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 16:02:01','2021-03-17 13:02:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4724','MR FATEH MUHAMMAD','03319382687','HO#600 ST 12/1 BLOCK-B NATIONAL POLICE FOUNDATION SEC O-9 ISB','4','8','6744','ORIENT','SALE ADVISOR SALEEM',null,'12-DEC-2018','18G-CLASSIC-SW - 915','AIR CONDITIONER','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 16:25:16','2021-03-24 12:05:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4725','MR FAISAL','03228330870','HO#193 ST 91 SEC G-6/1-4 ISB','9','23','196651','FIVE STAR','SALE ADVISOR NAVEED',null,'24-SEP-2020','500C-FS - 1073','COOKING RANGE','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 16:38:05','2021-04-06 17:55:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4726','MR IKRAM','03205094764','HO#290 ST 18 SEC E-11/4 ISB','5','33','127509','SAMSUNG','MODAL#650R',null,'26-DEC-2020',null,'SOUND SYSTEMS','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 16:42:16','2021-03-10 17:12:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4727','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','HAIER','0',null,'0','398IDBT - 884','REFRIGERATOR','POWER CABLE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 16:51:37','2021-03-15 17:06:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4728','MR SAEEN BABAR','03335112337','HO#46 MOHALA PROFESSOR COLONY NEAR KURI ROAD SHAKRIAL RWP','8','39','40772','SIGNATURE','HOB KI COMPLAINT HAY',null,'06-JULY-2020','SBH-AC930S - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 17:01:29','2021-03-11 12:47:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4729','MR ZAHOOR','03358110003','HO#703 ST 21 USMAN BLOCK PHASE 08 BAHRIA TOWN RWP','9','24','167102','HAIER','PTCL CALL INVOICE HAY',null,'05-MAR-2019','368TDB - 860','REFRIGERATOR','TRAY DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 17:13:08','2021-03-27 13:12:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4730','BILAL FHHS','03120578711','FRIEND CORPORATION SHAMSA  BAD RWP','8','41','0','ORIENT','MODAL#20POPCORN',null,'0',null,'MICROWAVE OVEN','PALATE MISSING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 17:58:55','2021-03-29 14:29:48',null,'1',null,'0');
INSERT INTO complaints VALUES('4731','BILAL FHHS','03120578711','FRIEND CORPORATION SHAMSA  BAD RWP','8','41','0','ORIENT','0','2021-03-10',null,'529BL - 128','WATER DISPENSER','TAP LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-09 18:03:56','2021-03-16 13:43:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4732',null,null,null,'6',null,null,'HACWEL','000000',null,null,'3800A-HW - 2004','AIR COOLER','TWO PIECE..WATER TANK ISSUE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-03-09 19:45:56','2021-03-18 15:39:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4733','MR ABDULLAH','03488035828','HO#44 ST 07 LANE 08 SEC-C DHA PHASE 02 ISB','9','22','206304','CARAVELL','MODAL#204B SALE ADVISOR WAQAS ABBASI',null,'24-FEB-2021',null,'WATER DISPENSER','WATER CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 11:57:58','2021-03-13 13:56:53',null,'1',null,'0');
INSERT INTO complaints VALUES('4734','MALIK BABIR HAMEED','03009501570','HO#P-1546-A ASGAR MALL SCHEME RWP','9','20','206296','XTREEM','0',null,'24-FEB-2021','82A - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 12:15:43','2021-04-03 13:18:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4735','MR QASIR','03211144244','AMIR #BROTHER PSO PUMP TEA CHOCK  RAWAT RWP','9','20','207103','CARAVELL','0',null,'09-MAR-2021','1000MEC - 978','CHILLER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 12:23:36','2021-03-15 14:13:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4736','MR TARIQ BAJWA','03335106741','HO#CB 583 NEAR SULMAN STREET LANE 05 PESHAWER ROAD RWP','5','36','130019','ORIENT','0',null,'05-MAR-2021','AUTO8 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 12:48:52','2021-03-13 13:46:26',null,'1',null,'0');
INSERT INTO complaints VALUES('4737','MR UMAIR','03105532222','HO#225 MARGALLA ROAD SEC F-10/3 ISB','5','31','128494','SIGNATURE','MODAL#C595',null,'26-JAN-2021',null,'COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 12:59:24','2021-04-04 11:26:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4738','MR UMAIR','03105532222','HO#225 MARGALLA ROAD SEC F-10/3 ISB','5','31','115801','DAWLANCE','MODAL#1045CVT',null,'19-MAR-2020',null,'FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 13:05:25','2021-03-13 13:40:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4739','CH RAFIQUE','03338500515','HO#98-B ST 05 BAHRIA  PHASE 02 RWP','4','8','19649','ORIENT','MODAL#30DCAKE-BLK',null,'15-FEB-2021',null,'MICROWAVE OVEN','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 13:16:06','2021-03-13 13:37:53',null,'1',null,'0');
INSERT INTO complaints VALUES('4740','MR AMJID KHAN','03345854968','OFFICE#AJ RIEAR STATE AND BUILDER NEAR PASHAWER ROAD KASAMA BAD RWP CANTT','9','19','206822','ORIENT','SALE ADVISOR RIFFAT FCP SIR',null,'06-MAR-2021','529BL - 128','WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 13:43:32','2021-03-13 13:35:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4741','MALIK AZHAR','03015454900  03401505152','FLAT#39-40-41 RAWAL DAM COLONY RAWAL DAM ISB','8','37','45458','DAWLANCE','SALE ADVISOR NAFEES  PTCL CALL INVOICE HAY',null,'31-DEC-2020','6100DW - 880','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 14:20:33','2021-03-13 13:33:35',null,'1',null,'0');
INSERT INTO complaints VALUES('4742','MR JAHANZEB','03151503493','HO#81 BLOCK-07 HAJI CHOCK MUSLIM MASJID NEAR KHAN CLINIC RWP','9','19','143079','SIGNATURE','PTCL CALL INVOICE HAY',null,'18-NOV-2017','SWH-1706 - 1036','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 14:34:14','2021-03-11 12:47:10',null,'1',null,'0');
INSERT INTO complaints VALUES('4743','MR YOUSAF USMANI','03445508087','HO#146 ST 06 BLOCK-A GULSHAN-E-SEHAT  SEC E-18 ISB','8','37','21414','LG','SALE ADVISOR SHAYAAN  PTCL CALL INVOICE HAY',null,'19-APR-2020','2J3QDNP0-S - 1483','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 14:47:09','2021-03-13 12:08:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4744','MR IMRAN IJAZ','03215508494  03335924832','HO#89 ST 70 MOHALLA WARIS KHAN RWP','9','19','135210','HAIER','SALE ADVISOR SHAKEEL PTCL CALL INVOICE HAY',null,'30-MAY-2017','85-7288 - 69','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 15:08:50','2021-03-16 13:08:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4745','MR HASSAN MUSHEER','03335522506  03345586842','HO#988/B SATELLITE TOWN RWP','9','24','186158','SHARP','0',null,'27-JAN-2020','650BK3 - 885','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 15:36:51','2021-03-17 14:59:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4746','STOCK UNIT (i-10)','03358851908','FLAT#81 ST 06 SEC I-10/3 ISB','5','28','0','LG','I/10 SERVICE CENTER SAY READY HO K IQBAL FCI SIR KO DELIVAL HUA HAY',null,'0','257SLLV-S - 909','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 15:49:08','2021-03-10 17:12:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4747','STOCK UNIT (i-10)','03358851908','FLAT#81 ST 06 SEC I-10/3 ISB','5','28','0','LG','I/10 SERVICE CENTER SAY READY HO K IQBAL FCI SIR KO DELIVAL HUA HAY',null,'0','247SEUV-S - 909','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 15:52:24','2021-03-10 16:53:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4748','STOCK UNIT (i-10)','03358851908','FLAT#81 ST 06 SEC I-10/3 ISB','5','28','0','LG','I/10 SERVICE CENTER SAY READY HO K IQBAL FCI SIR KO DELIVAL HUA HAY',null,'0','257SLLV-S - 909','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 15:55:25','2021-03-10 16:53:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4749','MR ADEEL','03455321203  03401890200','KURSHEED STREET NAI ABADI ALIPUR ISB','6','12','33487','XTREEM','SALE ADVISOR ADEEL BAHRIA SIR NAY COMPLAINT KARWAI HAY',null,'03-MAR-2021','82A - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 16:07:30','2021-03-16 13:47:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4750','MR SAAD ARSHAD','03168140100','HO#1002 ST 42 BAHRIA TOWN PHASE 03 RWP','4','11','16808','FIVE STAR','MODAL#25G-HEAVY SALE ADVISOR ALI MURTAZA',null,'20-OCT-2020',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 17:13:13','2021-03-11 15:21:54',null,'1',null,'0');
INSERT INTO complaints VALUES('4751','MR ASIF MIR','03322222028  03335103753','HO#741 ST 75 SEC I-8/3 ISB','5','31','126642','SONY','MODAL#55X7500H-CC  COMPAINE MODAL',null,'06-DEC-2020',null,'FLAT PANEL TV','HDMI CABLE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 17:35:27','2021-03-18 17:54:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4752','MR TALHA','03139526834','FARM HOUSE SCHEME BLOCK 04 LATHRAR ROAD TARLAI ISB','8','37','0','CARAVELL','C/O NAEEM NASEER SIR',null,'AUGUST-2020',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-10 17:45:50','2021-03-12 14:36:37',null,'1',null,'0');
INSERT INTO complaints VALUES('4753','MR IFTIKHAR','03215019513','HO#17 ST 31 KORING TOWN ISB','4','9','19163','FIVE STAR','MODAL#900MC SALE ADVISOR NAVEED',null,'14-JAN-2021',null,'COOKING RANGE','BUTTON#BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 10:52:27','2021-04-15 11:33:48',null,'1',null,'0');
INSERT INTO complaints VALUES('4754','SUMMIT BANK','03465529922','SUMMIT BANK LIMITED SHAMSA BAD RWP','8','47','24601','HAIER','SALE ADVISOR SOHAIL MAJEED',null,'04-MAR-2021','12LTH-W - 912','AIR CONDITIONER','OUTER FAN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 11:02:47','2021-03-15 14:22:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4755','RIZWAN BAHRIA 7','03126661934','FRIEND CORPORATION PHASE 7','6','12','32114','ORIENT','MODAL#62D-STEAK  COMPLAINT CUSTOMER KI HAY VISIT SHOWROOM PAR KARWANA HAY',null,'15-DEC-2020',null,'MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 11:12:49','2021-03-16 13:25:49',null,'1',null,'0');
INSERT INTO complaints VALUES('4756','MR WALEAD','03215833899','HAYAT WALI STREET BANI CHOCK RWP','9','20','206340','ORIENT','0',null,'25-FEB-2021','AUTO8 - 899','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 11:41:53','2021-03-15 14:07:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4757','MR UMAR TARIQ','03315169390','FLAT#D-7/B GOLRA OFFICERS COLONY OPPOSITE DAEWOO BUS TERMINAL RWP','9','51','203055','TCL','2007VLR301217A00258  SAQIB FCP SIR NAY COMPLAINT BAJI HAY',null,'28-DEC-2020','55P8US - 942','FLAT PANEL TV','SCREEN LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 12:13:18','2021-03-16 13:24:03',null,'1',null,'0');
INSERT INTO complaints VALUES('4758','MR ABDUL BASIT','03335081681','AFANDI COLONY MURREE ROAD RWP','8','38','165668','SAMSUNG','SALE ADVISOR SHAKEEL PTCL CALL INVOICE HAY',null,'05-FEB-2019','70H4000 - 1548','WASHING MACHINE','MOTOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 12:30:46','2021-03-18 17:37:37',null,'1',null,'0');
INSERT INTO complaints VALUES('4759','MR ASIF','03455141427','HO#133J ST 109 SEC G-11/3 ISB','5','30','114162','SIGNATURE','HOB KI COMPLAINT HAY  PTCL CALL INVOICE HAY',null,'24-JAN-2020','SBH-AC750S - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 12:42:16','2021-03-16 13:43:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4760','COL ZIA-UL HAQ','03215838257','HO#126 ST 05 SEC-A ASKARI 14 RWP','6','16','24596','SONY','COMPLAINT ADEEL BAHRIA SIR NAY BAJI HAY',null,'14-DEC-2019','75X8000G-S - 881','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 13:13:56','2021-03-11 14:47:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4761','MR BILAL','03005107352  03122167777','HO#933 ST 91 SEC I-8/4 ISB','7','49','20410','SIGNATURE','SALE ADVISOR ZAHID COMPLAINT B ZAHID SIR NAY BAJI HAY',null,'21-DEC-2019','SWM-JD45 - 945','WASHING MACHINE','BUTTON ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 13:48:24','2021-03-13 14:10:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4762','HAJI HATTAR','03355748550','FLAT#1-E BLOCK 02 ST 19 SEC G/10-2 ISB','5','30','97247','SIGNATURE','PTCL CALL INVOICE HAY',null,'18-AUG-2018','SCF-HM12 - 956','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 14:12:24','2021-03-16 17:12:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4763','MUSHTAQ HUSSAIN','03009700122','HO#98 SAFFARI VILAS 03 BAHRIA TOWN PHASE 02 RWP','4','10','377','LG','MODAL#32LN4900-936  SALE ADVISOR MAZHAR',null,'23-MAR-2015',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 14:28:58','2021-03-13 12:08:37',null,'1',null,'0');
INSERT INTO complaints VALUES('4764','MR WAHEED AFZAL','03155600010','HO#49/4-B SEC G-7/1 ISB','5','29','111448','TCL','1910VLR300958A00257',null,'03-DEC-2019','32S65A - 936','FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 14:40:14','2021-03-16 13:17:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4765','MR IKRAM','03205094764','HO#290 ST 18 SEC E-11/4 ISB','5','33','127509','SAMSUNG','MODAL#650R-1212',null,'26-DEC-2020',null,'SOUND SYSTEMS','WOOFER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 15:33:16','2021-03-13 12:06:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4766','COL PARVAIZ','03228585373','HO#437 ST 01 SEC-H PHASE 08 BAHRIA TOWN RWP','6','15','30785','HAIER','0',null,'29-NOV-2020','18HRW-W-INV - 915','AIR CONDITIONER','ERROR F-1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 15:57:44','2021-03-15 14:19:55',null,'1',null,'0');
INSERT INTO complaints VALUES('4767','MR IMRAN','03218559596  03218559597','HO#17 ST 67 SEC G-13/2 ISB','5','34','129467','SONY','MODAL#65X8000H-CC  COMPAINE MODAL',null,'18-FEB-2021',null,'FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 16:06:37','2021-03-16 15:16:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4768','MR ABDUL GHAFOOR','03361507529','HO#14 ST 3-D SUMBAL ROAD SEC F-10/2 ISB','5','53','127536','HAIER','0',null,'28-DEC-2020','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 16:33:35','2021-03-15 12:27:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4769','MR AZHAR','03135850502','HO#1139 MAIN DOUBLE ROAD  SEC G-15/1 ISB','5','53','82101','SIGNATURE','SALE ADVISOR IMRAN MUGHAL',null,'08-MAR-2017','SWM-JD51 - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 16:33:55','2021-03-16 13:19:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4770','MR NASEEM AKHTAR','03045253208  03005268055','HO#09 SEC-C ROAD 5-A BAHRIA ENCLAVE ISB','8','39','46345','SIGNATURE','MODAL#A2-1738 HOD KI COMPLAINT HAY',null,'13-FEB-2021',null,'BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 16:54:40','2021-03-13 14:10:16',null,'1',null,'0');
INSERT INTO complaints VALUES('4771','MR AMJAD ALI','03004804627','HO#136 ST 59 BLOCK-D RAWAT ISB','8','42','38542','TCL','1903VLR300799A00028',null,'06-JAN-2020','50P6US - 871','FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 17:04:29','2021-04-27 13:43:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4772','MR IMRAN','03214529750  03009772852','BLOCK#222L SABZAZAR SCHMORE LAHORE','9','19','22186','SIGNATURE','PTCL CALL INVOICE HAY SALE ADVISOR ZAHID',null,'18-NOV-2020','32V600 - 936','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 17:18:54','2021-03-30 14:11:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4773','MR QAMAR','03218865566','PAF HOSPITAL MARGALA ROAD SEC E-9 ISB','8','39','46921','HAIER','0',null,'09-MAR-2021','545DD - 959','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-11 18:00:18','2021-03-18 15:21:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4774','BUT STOCK','03115006051','FRIENDS CORPORATION PWD','4','7','0','DAWLANCE','0',null,'0','2810C-DW - 1743','MICROWAVE OVEN','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-12 14:13:53','2021-03-15 11:38:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4775','ABDUL REHMAN','03005006304','HO#28 ST#17 SEC C/1 BEHIRA ENCLAVE ISB','5','34','123496','ECOSTAR','65UD960-1055 MODEL',null,'02-NOV-2020',null,'FLAT PANEL TV','NO POWER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-12 14:30:25','2021-04-03 13:28:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4776','MISS BISMA','03339833391','HO#234C ST#11 GEAT #03 PHASE 02 GULRAIZ  R.W.P','7','49','22421','ORIENT','0',null,'04-DEC-2020','531BL - 993','WATER DISPENSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-12 15:08:52','2021-03-15 13:25:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4777','ARCT ARIF','03005108587','HO#14 ST#30 G-6/3 ISB','8','37','43170','BOSCH','MODEL12TQ50M(C/O ADIL FHHS)',null,'24-OCT-2020',null,'COOKING RANGE','BUNNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-12 16:12:44','2021-03-15 11:31:29',null,'1',null,'0');
INSERT INTO complaints VALUES('4778','MR IMTAIZ HUSSAIN','03005104303','HO#1059 ST 43, SEC G-11/2 ISB','5','31','86494','SAMSUNG','PTCL CALL INVOICE HAY  PALAY B COMPLAINT AYI THI TASK#2263',null,'17-JULY-2017','50K5010S8 - 90','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 11:37:54','2021-04-17 12:22:42',null,'1',null,'0');
INSERT INTO complaints VALUES('4779','MR ASLAM','03345101005','HO#476 ST 38 BLOCK-C PWD ISB','4','5','18539','SAMSUNG','MODAL#15J5730SS-S  SALE ADVISOR WALEED   PTCL CALL INVOICE HAY',null,'06-DEC-2020',null,'WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 11:46:04','2021-03-14 12:14:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4780','MISS SHAHEEN KOSAR','03215518860','HO#05 ST 55 SEC G-13/2 ISB','5','28','114330','SAMSUNG','SALE ADVISOR NAEEM AHMED',null,'30-JAN-2020','70J3283W-S - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 12:04:29','2021-03-15 15:10:06',null,'1',null,'0');
INSERT INTO complaints VALUES('4781','MR NABEEL AHMAD','03005559184','HO#06 ST 09 SEC-B DHA PHASE 02 ISB','5','36','130230','SHARP','MODAL#750RD3',null,'11-MAR-2021',null,'REFRIGERATOR','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 12:27:00','2021-06-02 16:13:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4782','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','CARAVELL','MODAL#202R',null,'0',null,'WATER DISPENSER','DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 12:36:04','2021-05-26 12:31:12',null,'1',null,'0');
INSERT INTO complaints VALUES('4783','MR ABDULLAH','03361017347','HO#05  HADER  SERVER STREET DEFANCE ROAD HADYALA RWP','9','19','207203','FIVE STAR','MODAL#900MC  SALE ADVISOR RIFFAT SIR COMPLAINT B RIFFAT SIR NAY BAJI HAY',null,'10-MAR-2021',null,'COOKING RANGE','DENT  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 12:59:19','2021-04-06 17:42:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4784','MR HAMID ISHAQ','03009502833','HO#969 ST 45 BAHRIA PHASE 07 RWP','6','15','32443','HAIER','0',null,'03-JAN-2021','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 13:28:09','2021-03-16 12:45:06',null,'1',null,'0');
INSERT INTO complaints VALUES('4785','RAJA TAHIR JALEEL','03335269412','HO#17 ST 02 SEC-A ASKRI 14 RWP','4','6','17526','GREE','SALE ADVISOR SALEEM',null,'30-NOV-2020','9978EG-CB2 - 885','REFRIGERATOR','COMPRESSOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 13:34:09','2021-03-27 12:54:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4786','MR RAYAN','03105144497  03325831979','HO#84 ST 07 ARIAH MUHALLAAH#02 RWP','9','22','194528','SAMSUNG','S/N P9IJ5DBJ700053K',null,'12-AUG-2020','90F5S2-MRM - 901','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 13:51:19','2021-03-26 17:05:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4787','MRS DR SIRAJ','03348950817','HO#314 MUHALA SATIHA BURDAWARA  WALI ABBOTTABAD','5','31','126236','LG','MODAL#2472EFHSTL-C  SALE ADVISOR NAEEM AHMED',null,'06-DEC-2020',null,'WASHING MACHINE','ERROR E1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 14:09:04','2021-03-15 15:03:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4788','MR IMRAN','03215562540','FLAT#02 BLOCK C-4 PHA COLONY SEC I-11/1 ISB','9','24','200157','KENWOOD','PTCL CALL INVOICE HAY',null,'30-NOV-2020','1012SA - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 14:20:19','2021-03-16 12:21:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4789','MRS FAROOQ MALIK','03225354047','HO#621 ST 08 CHAKLALA SCHEME 03 RWP','8','39','32572','SAMSUNG','SALE ADVISOR ADIL RASHEED',null,'04-MAR-2019','40N5300-S - 938','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 14:57:39','2021-03-23 14:46:37',null,'1',null,'0');
INSERT INTO complaints VALUES('4790','MRS FAROOQ MALIK','03225354047','HO#621 ST 08 CHAKLALA SCHEME 03 RWP','8','39','37071','FIVE STAR','SALE ADVISOR ADIL RASHEED',null,'09-OCT-2019','35G-TWIN SUPREME - 963','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 15:01:11','2021-03-16 13:18:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4791','MRS SHAHZAD','03335143455','HO#126-A ST 15-A PHASE 01 BRITISH HOMES SEC I-12 ISB','5','32','129637','HAIER','0',null,'23-FEB-2021','276EPC - 859','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 15:13:14','2021-03-22 16:29:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4792','MR ASHFAQ','03325461326','HO#52 ST 92 SEC G-13/1 ISB','5','28','102915','HAIER','SALE ADVISOR HAMMAD RAFI  PTCL CALL INVOICE HAY',null,'18-MAR-2019','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 15:18:40','2021-03-18 14:13:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4793','MR IZHAR-UL-HAQ','03365566634','HO#763 BLOCK-D NEAR BOYS COLLEGE SATTLITE TOWN 06 ROAD RWP','8','38','46136','SONY','COMPAINE MODAL',null,'03-FEB-2021','40W650D-CC - 938','FLAT PANEL TV','ON/OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 15:39:15','2021-04-10 13:11:33',null,'1',null,'0');
INSERT INTO complaints VALUES('4794','MR SAAD RAFI KHAN','03135052173','HO#E-135 ST 08 BLOCK-A SEC 04 AIR PORT HOUSING SOCITY NEAR GULZARY KHAID RWP','9','23','203288','SUPER ASIA','SALE ADVISOR MURTAZA  COMPLAINT HAMMAD FCP SIR NAY KARWAI HAY',null,'02-JAN-2021','535GH - 1037','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 16:04:07','2021-03-16 12:10:29',null,'1',null,'0');
INSERT INTO complaints VALUES('4795','MR AMIR AWAN','03008553222','HO#61 ST 05 SEC F-8/3 ISB','8','37','0','PANASONIC','C/O SADDIQ  SIR COMPLAINT PHILIPS TV KI HAY  COMPLAINT KHURRAM SIR NAY BAJI HAY',null,'3-YEAR-AGO',null,'FLAT PANEL TV','SCREEN DARK ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 16:15:30','2021-03-17 11:01:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4796','MR SHAHID','03335125300','HO#43 LANE 04 DCI COMPLEX SEC E-9 ISB','8','38','46647','LG','0',null,'25-FEB-2021','4V5RGP2T-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 16:44:07','2021-03-16 13:20:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4797','MR USMAN','0300555033','HO#26-E RAWAL ENCLAVE KURI ROAD ISB','9','20','203079','CANON','0',null,'29-DEC-2020','16D-PLUS-DUAL - 1030','GEYSER','CURRENT ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-03-13 17:34:22','2021-03-17 12:58:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4798','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','HAIER','0',null,'0','95-1678HWM - 1817','WASHING MACHINE','DRAIN PIPE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 17:50:26','2021-03-29 14:25:20',null,'1',null,'0');
INSERT INTO complaints VALUES('4799','MR UMER MALIK','03333422271','HO#232 DAIZY ROAD SAFARI VILLAS 03 RWP','6','15','33404','SAMSUNG','MODAL#80J5446-S',null,'01-MAR-2021',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-13 18:06:05','2021-03-16 11:56:56',null,'1',null,'0');
INSERT INTO complaints VALUES('4800','MR RASHID','03215562333','HO#09 ST 15 SEC-E DHA PHASE 02 ISB','6','16','18962','LG','0',null,'22-JAN-2019','65SK7900-S - 1443','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-14 10:35:48','2021-03-17 12:15:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4801','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','DAWLANCE','0','2021-03-14',null,'91996GD-INVERTER - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-14 11:05:31','2021-03-16 13:42:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4802','STOCK UNIT (i-10)','03358851908','FLAT#81 ST 06 SEC I-10/3 ISB','10','45','0','SIGNATURE','0',null,'0','MD99SS-S - 1723','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-14 11:16:54','2021-04-10 13:10:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4803','MR AWAIS  AZAR','03331524935','HO#SA-477 ST 01 MAJARSTATE COLONY SADKA BAD RWP','9','51','206302','HAIER','0',null,'24-FEB-2021','43K6600G - 869','FLAT PANEL TV','REMOTE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-14 12:21:55','2021-03-17 10:49:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4804',null,null,null,'6',null,null,'HAIER','0000',null,null,'24LTC - 916','AIR CONDITIONER','OUTDOOR COVER DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-03-14 12:43:59','2021-03-29 14:24:40',null,'1',null,'0');
INSERT INTO complaints VALUES('4805','MR KALEEM','03103236477','HO#01 ST 12 SEC-C BAHRIA ENCLAVE ISB','8','42','46187','FIVE STAR','MODAL#55G TWIN  HEAVY',null,'06-FEB-2021',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-14 14:15:01','2021-03-17 11:01:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4806','MR JUNAID','03335430621','HO#79 ST 28 PAKISTAN TOWN PHASE 01 ISB','4','5','4404','SIGNATURE','0',null,'11-JULY-2018','SWM-JD46 - 945','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-14 14:21:00','2021-03-17 12:14:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4807','MR RASHID KIANI','03357666666  03317666666','HO#429 KIYANI HOUSE NEAR CHAK SHAZAID GREEN AVNEW RWP','8','38','37289','FIVE STAR','0',null,'23-OCT-2019','55G-TWIN-SUPREME - 1538','GEYSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-14 16:56:54','2021-04-19 11:22:45',null,'1',null,'0');
INSERT INTO complaints VALUES('4808','MR SULTAN AZAM TAIMOORI','03009540837  03009746738','HO#51 ST 36 SEC F-6/1 ISB','5','34','121986','SIGNATURE','0',null,'17-SEP-2020','MT9R - 1124','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 11:00:12','2021-03-17 11:52:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4809','MR ALI SHAH','03335119954  03038000072','RABI CENTER  BAHRIA TOWN PHASE 07 RWP','6','12','18807','HAIER','SALE ADVISOR SOHAIL MAJEED',null,'12-JAN-2019','336EPB - 894','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 11:18:11','2021-03-22 16:26:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4810','MR BABAR','03045903472','HO#08  IMAM BARKHA MOHALA KADEEM IMAM BARKHA RWP','9','26','151227','HAIER','COMPLAINT RIFFAT FCP SIR NAY BAJI HAY',null,'29-APR-2018','385TPB-HRF - 884','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 11:37:19','2021-03-18 13:10:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4811','MR KASHIF','03337777616','HO#713 ST 44 BLOCK-C PWD ISB','4','7','18921','CANON','SALE ADVISOR WALEED',null,'28-DEC-2020','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 11:55:53','2021-03-18 13:06:35',null,'1',null,'0');
INSERT INTO complaints VALUES('4812','HASSAN AHMED','03314421166','HO#4 STY#142 JINHA GARDEN R.W.P','5','30','39199','ORIENT','CELL PHONE CALL(INVOICE N HAIN)(TASK#4120) AGAIN REOPEN COMPLAINT)',null,'20-FEB-2020','540CRYSTAL-GR - 885','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-15 11:59:58','2021-03-22 16:12:56',null,'1',null,'0');
INSERT INTO complaints VALUES('4813','MR TAHIR KHAN','03333333717','HO#282-D ST 55 SEC F-11/4 ISB','5','32','83246','LG','0',null,'17-APR-2017','872HBPL-S - 86','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 12:05:36','2021-03-18 16:38:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4814','MR UMER','03051880591','ST#01GUL BAHAR COLONY NEAR AIR PORT HOUSING SOCITY R.W.P','9','24','195873','SIGNATURE','MODAL#SWH-20-06',null,'07-SEP-2020',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 12:31:55','2021-03-17 12:14:28',null,'1',null,'0');
INSERT INTO complaints VALUES('4815','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','HAIER','0','2021-03-15',null,'55U6900UG - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 12:35:19','2021-03-16 16:08:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4816','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','HAIER','0','2021-03-15',null,'40K6600G - 938','FLAT PANEL TV','SCREEN DOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 12:38:04','2021-03-16 16:06:05',null,'1',null,'0');
INSERT INTO complaints VALUES('4817','MR IRFAN','03335220598','HO#97 ST 34 SEC G-9/1 ISB','5','36','130359','DAWLANCE','MODAL#91999CHROME',null,'13-MAR-2021',null,'REFRIGERATOR','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 12:48:55','2021-03-18 12:54:58',null,'1',null,'0');
INSERT INTO complaints VALUES('4818','MR ZAIN JAVED','03015500502','HO#66 ASTER ROAD NEAR GLORIA JEANS  SAFARI 3 BAHRIA TOWN  RWP','4','10','13415','SONY','0',null,'05-MAR-2020','75X8000G-S - 881','FLAT PANEL TV','SCREEN LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 13:00:01','2021-06-01 16:16:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4819','MISS  YASMEEN LEGHARI','03335399000','PLOT#58 CDA SCHEME 111 KAHUTA ROAD MUGHAL CHOCK SEHALA RWP','4','6','11537','FIVE STAR','SALE ADVISOR SALEEM',null,'25-NOV-2019','55G-TWIN-SUPREME - 1538','GEYSER','WATER CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 13:16:16','2021-03-26 17:07:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4820','MR AZIZ-UL-REHMAN','03135169517','HO#D-27 ST 02  NAVY HOUSING SCHEME SEC F-11/1 ISB','8','38','867','GREE','SALE ADVISOR HASSAN ALI',null,'30-MAY-2020','500FC - 993','WATER DISPENSER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 13:24:44','2021-03-30 13:49:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4821','MR NAVEED AFTAB','03425143676','HO#CB 86/A MOHALA MAQBOOLABAD CHAKLALA SCHEME  01 RWP','9','26','128591','PEL','0',null,'27-FEB-2017','150PRGD-M - 884','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 13:38:42','2021-03-18 12:40:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4822','MALIK AZHAR','03015454900 03401505152','FLAT#39-40-41 RAWAL DAM COLONY RAWAL DAM ISB','8','42','45458','DAWLANCE','SALE ADVISOR NAFEES',null,'31-DEC-2020','6100DW - 880','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 13:47:05','2021-03-18 12:27:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4823','MR QASIM BASHIR','03335161266','HO#914 ST 123 LANE 06 GULSHAN ABAD ADYALA ROAD RWP','6','12','32211','HAIER','0',null,'20-DEC-2020','90-1789HWM - 901','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-03-15 14:09:07','2021-03-18 12:23:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4824','MR ALTAF','03205369326','HO#55 ST 29 OMER BLOCK PHASE 08 RWP','6','12','32169','CORONA','0',null,'17-DEC-2020','351C - 1533','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 14:16:40','2021-03-22 15:56:29',null,'1',null,'0');
INSERT INTO complaints VALUES('4825','MALIK ZAIN','03008888394','HO#13 ST 43 SEC G-13/4 ISB','5','31','91511','DAWLANCE','SALE ADVISOR NAEEM AHMED',null,'09-FEB-2018','550GD-DW - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 14:24:10','2021-03-18 12:18:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4826','HAMMAD FCP','03455104405','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','DAWLANCE','MODAL#7200DW',null,'0',null,'WASHING MACHINE','TOP COVER DAMAGE',null,'5','COMPLETED',null,'customer','0',null,'92','2021-03-15 14:28:43','2021-04-20 12:07:20',null,'1',null,'0');
INSERT INTO complaints VALUES('4827','MR OMER','03330271720','HEAD QUARTERS#06 AZAD KASHMIR BRIGADE DHULLI ROAD BAGH AZAD KASHMIR','9','51','207078','TCL','S/N 2101VLR301407AC0666',null,'09-MAR-2021','40S6500 - 938','FLAT PANEL TV','SCREEN LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 14:42:01','2021-06-16 13:43:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4828','MR AYAAN','03215151481','HO#O/554 ST 26 KARTAR PURA RWP','9','21','203955','SAMSUNG','MODAL#15J5730SS-S SALE ADVISOR MURTAZA',null,'14-JAN-2021',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 15:13:34','2021-03-18 17:53:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4829','MR YOUNOUS','03215005517','HO#97 BLOCK-G T ROAD NAVIL ANCHORAGE ISB','4','6','33690','FIVE STAR','MODAL#35G- TWIN HEAVY  SALE ADVISOR BADAL',null,'14-MAR-2021',null,'GEYSER','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 15:24:51','2021-03-16 13:46:52',null,'1',null,'0');
INSERT INTO complaints VALUES('4830','MR HAMID MIR','03008506000','HO#28 ST 24 SEC F-8/2 ISB','8','38','18749','SONY','SALE ADVISOR TAHIR SHAH',null,'11-APR-2019','65X7500F-S - 1443','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 15:36:35','2021-03-16 15:16:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4831','MR TEHSEEN AMJAD','03318854333','HO#05 ST 08 SEC-C DHA 01 ISB','6','12','2407','LG','MODAL#65LF6300C  COMPAINE MODAL',null,'20-DEC-2015',null,'FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 15:56:16','2021-03-19 12:34:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4832','MR ZEESHAN','03468727700','HO#267 BLOCK-A MEDIA TOWN RWP','4','7','17488','DAWLANCE','0',null,'29-NOV-2020','280S-DW - 1277','MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 16:28:03','2021-03-18 13:03:20',null,'1',null,'0');
INSERT INTO complaints VALUES('4833','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','ORIENT','MODAL#65KG  DISH WASHER KI COMPLAINT HAY',null,'0',null,'WASHING MACHINE','DRUM LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 16:49:56','2021-04-07 13:27:42',null,'1',null,'0');
INSERT INTO complaints VALUES('4834','MR RAZI ZAHOOR','03325050100','HO#509-A ST 9/1 BLOCK-B NATIONAL POLICE FOUNDATION SEC O-9 ISB','5','28','96267','SIGNATURE','SALE ADVISOR ASHRAF IKHLAQ',null,'14-JULY-2018','SCF-HM08 - 954','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 17:24:12','2021-03-29 13:40:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4835','MR FASIH','03341124927','FLAT#6/D BLOCK 09 ASKARI TOWER 01 IQBAL BOULEVARD DHA 02 ISB','4','5','10608','FIVE STAR','MODAL#CS999CFS SALE ADVISOR SALEEM  PTCL CALL INVOICE HAY',null,'05-SEP-2019',null,'COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 17:44:52','2021-03-24 13:22:26',null,'1',null,'0');
INSERT INTO complaints VALUES('4836','MRS RAUF KHAN','03005388354','HO#12 ST 39 SEC F-6/1 ISB','5','31','123749','SIGNATURE','SALE ADVISOR MARYAM FCI',null,'09-NOV-2020','SBH-AC930S - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-15 18:09:05','2021-04-10 13:07:50',null,'1',null,'0');
INSERT INTO complaints VALUES('4837','MR AMEEN','03215576131','HO#5 BLOCK-D MAIN QAID-E- AZAM AVINEW MEDIA TOWN RWP','8','37','34259','HAIER','SALE ADVISOR CH WAQAR',null,'01-JUN-2019','618HRF-SS - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 10:48:42','2021-03-16 15:15:58',null,'1',null,'0');
INSERT INTO complaints VALUES('4838','MR AMEEN','03215576131','HO#5 BLOCK-D MAIN QAID-E- AZAM AVINEW MEDIA TOWN RWP','8','37','34259','HAIER','SALE ADVISOR CH WAQAR',null,'01-JUN-2019','618HRF-SS - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 10:48:55','2021-03-19 15:55:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4839','MR JAVED AKHTAR','03455164014','HO# I-711 MALIK JUNARAL STORE  BHABRA BAZAR RWP','9','23','207328','SIGNATURE','MODAL#SBH-HC3763S  HOB KI COMPLAINT HAY',null,'13-MAR-2021',null,'BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 11:03:01','2021-03-24 12:22:29',null,'1',null,'0');
INSERT INTO complaints VALUES('4840','MR AAMIR KHAN','03215370322','APP#1-A BLOCK-07 ASKARI TOWER 01 DHA PHASE 02 ISB','7','49','17971','SIGNATURE','SALE ADVISOR ZAHID',null,'24-NOV-2018','SWM-JD56 - 1643','WASHING MACHINE','ERROR F-1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 11:21:39','2021-03-17 12:14:05',null,'1',null,'0');
INSERT INTO complaints VALUES('4841','STOCK UNIT (i-10)','03358851908','FLAT#81 ST 06 SEC I-10/3 ISB','10','45','0','SIGNATURE','MODAL#MBS-M25CG',null,'0',null,'MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 11:41:50','2021-03-17 11:51:43',null,'1',null,'0');
INSERT INTO complaints VALUES('4842','STOCK UNIT (i-10)','03358851908','FLAT#81 ST 06 SEC I-10/3 ISB','10','45','0','SIGNATURE','MODAL#MBS-M25CG',null,'0',null,'MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 11:46:03','2021-03-17 11:51:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4843','STOCK UNIT (i-10)','03358851908','FLAT#81 ST 06 SEC I-10/3 ISB','10','45','0','SIGNATURE','MODAL#OBS-M25BG',null,'0',null,'MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 11:48:46','2021-03-17 10:55:33',null,'1',null,'0');
INSERT INTO complaints VALUES('4844','STOCK UNIT (i-10)','03358851908','FLAT#81 ST 06 SEC I-10/3 ISB','10','45','0','SIGNATURE','MODAL#SET-AC24',null,'0',null,'MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 11:51:37','2021-03-22 12:14:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4845','STOCK UNIT (i-10)','03358851908','FLAT#81 ST 06 SEC I-10/3 ISB','10','45','0','SIGNATURE','MODAL#SBM-M25CG',null,'0',null,'MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 11:54:36','2021-03-17 11:50:50',null,'1',null,'0');
INSERT INTO complaints VALUES('4846','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','DAWLANCE','0',null,'0','132S-DW - 1200','MICROWAVE OVEN','MOTOR NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 12:09:53','2021-03-24 13:06:15',null,'1',null,'0');
INSERT INTO complaints VALUES('4847','MRS BABAR','03159921499','HO#15 HERLY STREET MANROAD RWP CANTT','9','23','206625','MITSUBISHI','0',null,'02-MAR-2021','50VA - 915','AIR CONDITIONER','OUTDOOR CURRENT ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-03-16 12:20:22','2021-03-19 12:36:43',null,'1',null,'0');
INSERT INTO complaints VALUES('4848','MR RASHEED JAMAL','03000501511  03365110711','HO#219 ST 26 BLOCK-B NEAR GULSHAN SAHAT SEC E-18 ISB','5','31','96885','SIGNATURE','0',null,'07-AUG-2018','SRF-HM100 - 908','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 13:28:18','2021-03-23 12:46:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4849','MR KHAYYAM KHAN','03340052541   03008505777','HO#65 ST 88 SEC E-11/2 ISB','5','36','129724','LG','PTCL CALL INVOICE HAY',null,'25-FEB-2021','2J3QDNP0-S - 1483','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 14:24:33','2021-03-18 11:49:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4850','MR HISAN ASIF','03235536310  03215170046','HO#06 LANE 12-B SEC-B DHA 02 ISB','6','14','19249','SIGNATURE','SALE ADVISOR ARSHAD',null,'12-FEB-2019','SBO-AT4R - 1124','BUILT IN APPLLIANCES','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 14:30:56','2021-03-19 12:33:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4851','MR MUJAHID','03325581141  03325508427','HO#427 ST 18 BLOCK-D PWD ISB','4','5','2139','SIGNATURE','SALE ADVISOR USMAN',null,'01-NOV-2014','35GH - 1537','GEYSER','NOB#NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 14:57:59','2021-03-19 12:33:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4852','MR IMRAN','03345448722 03339890819','HO#1812 ST D-6  MUHAMMADI COLONY SADKA BAD HAROUN CHOCK RWP','9','20','204264','KENWOOD','0',null,'21-JAN-2021','1012SA - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 15:07:06','2021-03-19 12:18:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4853','MR TAZARAB','03155013471','HO#185 ST 07 GULRAIZ PHASE 02 RWP','4','8','8192','LG','0',null,'02-APR-2019','4G1JCHK6N-S - 1874','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 16:06:51','2021-03-18 11:48:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4854','MR FAHRAT BANGUSH','03008545645','HO#24 ST#3B F-10/2 ISB','5','32','94593','CARAVELL','PTCL CALL INVOICE HAY TASK#4394   DOBARA SAY COMPLAINT AYI HAY',null,'17-MAY-2018','1200MEC - 1559','CHILLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 16:32:05','2021-03-22 13:41:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4855','KHURRAM SADDAR','03005548081','FRIEND CORPORATION SADDAR','7','49','0','LG','0',null,'0','8265CIS-S - 987','MICROWAVE OVEN','BUTTON NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 16:45:50','2021-05-22 14:02:12',null,'1',null,'0');
INSERT INTO complaints VALUES('4856','MR LIRE','03011135719','HO#27-A ST 32 SEC F-7/1 ISB','5','28','130350','SIGNATURE','MODAL#C595  SALE ADVISOR ABU BAKAR',null,'13-MAR-2021',null,'COOKING RANGE','ON/OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 17:16:22','2021-03-19 11:35:35',null,'1',null,'0');
INSERT INTO complaints VALUES('4857','MR SOHAIB','03335505486','WALT CAMIST COMATTI CHOCK RWP','9','20','149743','CARAVELL','0',null,'03-APR-2018','600MEC - 1652','CHILLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-16 17:45:04','2021-03-19 11:27:54',null,'1',null,'0');
INSERT INTO complaints VALUES('4858','MR QASIR','03211144244','AMIR #BROTHER PSO PUMP TEA CHOCK RAWAT RWP','9','20','207103','CARAVELL','MODAL#1000MEC-1',null,'09-MAR-2021',null,'CHILLER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-17 10:42:04','2021-03-22 13:02:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4859','MR NAEEM','03216319476','HO#572-G ST 17-B OVERSEES 03 BAHRIA TOWN PHASE 08 RWP','6','14','12195','FISCHER','SALE ADVISOR BADAL',null,'31-DEC-2017','35GH-FR - 1537','GEYSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-17 11:36:49','2021-05-27 17:27:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4860','MR BULLAND IQBAL','03008557757','HO#08 ST 08 SEC-A DHA PHASE 01 ISB','6','15','31141','FIVE STAR','SALE ADVISOR ZARA',null,'02-DEC-2020','55G-TWIN-SUPREME - 1538','GEYSER','THERMOSTAT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-17 12:12:53','2021-03-24 12:51:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4861','MR ROBIN','03455243604','OFFICE#409 4th FLOOR ISE TOWER 55-B JINNAH AVENUE ISB','5','35','128999','ORIENT','0',null,'08-FEB-2021','529BL - 128','WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-17 12:20:57','2021-03-22 12:51:56',null,'1',null,'0');
INSERT INTO complaints VALUES('4862','MR NAEEM AHMED','03462734552','HO#02 ST 77 SEC E-11/2 ISB','8','43','0','SIGNATURE','CUSTOMER NAY W/M HAROUN ELECTRONIC KOHAT SAY PARCHAGE KI HAY',null,'3 YEAR AGO','SWM-SR45 - 899','WASHING MACHINE','WATER LEAKAGE ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-03-17 13:06:48','2021-03-24 17:40:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4863','MRS SIRAJ ULMULK','03008521887','HO#27-A ST 32 SEC F-7/1 ISB','8','38','43683','FIVE STAR','MODAL#999MC',null,'24-NOV-2020',null,'COOKING RANGE','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-17 13:17:45','2021-03-23 12:39:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4864','MR IRFAN','03335558531  03335575004','HO#468 ST 11 SEC G-10/2 ISB','5','28','115993','LG','DOBARA SAY COMPLAINT AY GAE HAY',null,'22-APR-2020','4J6TMP8S-C - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-17 13:45:43','2021-04-04 11:25:22',null,'1',null,'0');
INSERT INTO complaints VALUES('4865','MR SALEAM','03350925827','HO#NE-1751 ST 01 DHOK KHABBA RWP','9','20','170263','HAIER','0',null,'01-MAY-2019','438EPCW - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-17 14:42:30','2021-03-22 12:47:55',null,'1',null,'0');
INSERT INTO complaints VALUES('4866','MISS BUSHRA','03495143573','SHERANI STREET NEAR MAHMOND ROAD NEAR ALLIED BANK BANIGALLA','5','35','116066','LG','MODAL#4V5GP2T-S   PTCL CALL INVOICE HAY',null,'29-APR-2020',null,'WASHING MACHINE','ERROR-E1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-17 15:10:39','2021-03-22 12:14:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4867','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','HOMAGE','0',null,'0','82HWD - 993','WATER DISPENSER','BOTTLE CAP DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-17 15:24:07','2021-03-24 13:05:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4868','NAVEED FCP','03005213783','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','DAWLANCE','0',null,'0','8200 - 118','WASHING MACHINE','FRONT MIRROR DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-17 15:53:17','2021-05-19 12:43:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4869','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','CARAVELL','MODAL#CA-204-B','2021-03-17',null,null,'WATER DISPENSER','HANDLE DAMAGE',null,'5','COMPLETED',null,'customer','0',null,'92','2021-03-17 16:15:51','2021-04-20 12:06:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4870','BRIG RAZA','03225013414','HO#237 ST 42 SEC-F ZONE 01 DHA PHASE 01','6','12','9341','SIGNATURE','SALE ADVISOR USMAN  C/O SADDIQ SIR C/O KHURRAM SIR',null,'18-JUN-2017','SWM-SR45 - 899','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-17 16:28:24','2021-03-18 11:48:16',null,'1',null,'0');
INSERT INTO complaints VALUES('4871','MALIK NAWAZISH','03005126572','FAZAL TOWN NEAR OLD AIR PORT PHASE 02 RWP','9','26','200909','ORIENT','MODAL#475HGRAND',null,'04-DEC-2020',null,'REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-03-17 17:31:13','2021-03-22 12:39:26',null,'1',null,'0');
INSERT INTO complaints VALUES('4872','RAJA ATTIQ','03218500079','HO#D156 SATELLITE TOWN RWP','8','42','39858','BOSCH','0',null,'28-MAY-2020','24260GC - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-17 17:39:58','2021-03-18 15:47:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4873','MR AHMED','03336669939 03340500443','ST#11 IMAM BARGAH NEAR GYM CITY PEER CHOHA RWP','5','33','130353','HAIER','0',null,'13-MAR-2021','276EPB - 858','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 11:20:59','2021-03-22 12:34:03',null,'1',null,'0');
INSERT INTO complaints VALUES('4874','MR ZAIGHAM','03335413826  03335165830','HO#1080 ST 43 BAHRIA PHASE 03 RWP','9','24','198422','HAIER','PTCL CALL INVOICE HAY',null,'29-OCT-2020','622IBG - 908','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-03-18 11:24:54','2021-03-22 12:21:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4875','SARDAR WAQAS ALI','03215765382 03335239880','HO#03 ST 2-B SEC-B DHA PHASE 01 ISB','6','12','33014','LG','SALE ADVISOR ZARA ADEEL SIR NAY COMPLAINT BAJI HAY',null,'06-FEB-2021','512FPW-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 11:36:36','2021-03-22 12:13:33',null,'1',null,'0');
INSERT INTO complaints VALUES('4876','MRS SAIF','03357472233','HO#70 ST 03 SEC E-11/1 ISB','5','35','128325','DAWLANCE','MODAL#91998HLVS',null,'20-JAN-2021',null,'FREEZER','COOLING ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-03-18 11:48:51','2021-03-22 12:19:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4877','MR KHURRAM','03215011618','HO#04 ST 06 NEAR JANAZA GAH GULBURG TOWN  DHOK KHABA RWP','6','12','30651','DAWLANCE','0',null,'24-NOV-2020','255ES-DW - 1483','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 12:26:26','2021-03-22 12:13:03',null,'1',null,'0');
INSERT INTO complaints VALUES('4878','MR HASEEB AHMED','03325412014','HO#06 NARC STAFF COLONY NEAR RAWAL DAM ISB','5','32','122686','GREE','0',null,'08-OCT-2020','9978EG-CB2 - 885','REFRIGERATOR','ICE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 12:35:02','2021-03-22 12:45:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4879','DR AFZAL MATTO','03006143609','HO#81 ROAD#01 SEC-C BAHRIA ENCLAVE ISB','8','39','40614','HAIER','SALE ADVISOR ZAFARULLAH',null,'30-JUN-2020','336EPB - 894','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 12:49:45','2021-03-22 12:04:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4880','MR IFTIKHAR','03335113320','HO#178 ST 42 SEC D-12/2 ISB','8','39','43827','SIGNATURE','MODAL#FB25-N-2044 ELECTRIC  OVEN KI  COMPLAINT HAY',null,'29-NOV-2020',null,'BUILT IN APPLLIANCES','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 12:56:36','2021-03-24 17:17:14',null,'1',null,'0');
INSERT INTO complaints VALUES('4881','MR HANZALA MUSHTAQ','03335356568','HO#271 ST 34 BLOCK-C PWD ISB','5','28','121383','SIGNATURE','SALE ADVISOR ABU BAKAR  HOOD KI COMPLAINT HAY',null,'01-SEP-2020','SBC-ADELAIDE-90PLUS - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 13:09:36','2021-03-21 12:50:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4882','MR AFZAL HUSSAIN','03355879516','HO#229 ST 07 SEC-A NEAR CSD STREET  ASKARI 14 RWP','7','49','22298','CARAVELL','MODAL#203R SALE ADVISOR ATIF SADAR',null,'01-DEC-2020',null,'WATER DISPENSER','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 13:17:29','2021-03-22 12:01:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4883','MALIK QAMAR ZAMAN','03416147037  03345194277','ST#09 UMER PALAZA CNG STATION FAROOQ AZAM ROAD RWP','9','24','203249','ORIENT','55S-ANIMATION  SALE ADVISOR IMRAN',null,'02-JAN-2021',null,'FLAT PANEL TV','ON/OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 13:33:07','2021-03-24 12:23:30',null,'1',null,'0');
INSERT INTO complaints VALUES('4884','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','KENWOOD','0','2021-03-18',null,'1012SA - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 13:38:10','2021-03-19 15:34:40',null,'1',null,'0');
INSERT INTO complaints VALUES('4885','COL TARIQ','03343752025','APP#02 GHQ HEAD QUTAR R.W.P','4','6','19284','KENWOOD','25557GD-BKG-85(TASK#4653)REOPEN COMPLAINT',null,'21-JAN-2021',null,'REFRIGERATOR','OVER COOLING+ SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-18 14:57:14','2021-03-29 16:47:23',null,'1',null,'0');
INSERT INTO complaints VALUES('4886','RAJA ATTIQ','03218500079','HO#D156 SATELLITE TOWN RWP','8','42','39858','BOSCH','0',null,'28-MAY-2020','24260GC - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 15:46:16','2021-04-15 11:43:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4887','MR AMIR JANJUA','03005040402','HO#273 HILL VIEW LANE OPP LAL KILA GULRAIZ PHASE 05 RWP','9','20','0','SIGNATURE','NO DOCUMENT ON PAYMENT JOB',null,'OUT OFF WARRANTY',null,'BUILT IN APPLLIANCES','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 16:02:07','2021-04-13 15:37:37',null,'1',null,'0');
INSERT INTO complaints VALUES('4888','MR AZHAR','03456620399','FLAT#05 SAVE MART PALAZA FLAT TULAP 05 BAHRIA TOWN PHASE 07 RWP','6','15','30114','SONY','0',null,'19-OCT-2020','40W650D-CC - 938','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 16:04:39','2021-06-01 16:03:16',null,'1',null,'0');
INSERT INTO complaints VALUES('4889','MR SAJID KHAN','03329334996','LANE#04 KHANI STREET MOHAMMADI COLONY BATA CHOCK CHAKARA ROAD  RWP','9','19','132939','PEL','PTCL CALL INVOICE HAY',null,'07-MAY-2017','2200EW - 858','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 16:10:19','2021-03-26 15:51:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4890','MR ZAHOOR','03165151266 03065493825','HO#314 ST 49 SEC-02 GULSHAN ABAD HADYALA ROAD RWP','9','26','164488','SIGNATURE','PTCL CALL INVOICE HAY',null,'10-JAN-2019','SWM-JD51 - 902','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 16:21:53','2021-03-26 13:35:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4891','MR HAROON KHALID','03339861196','HO#42 ST 04 PHASE 06 BAHRIA TOWN RWP','6','12','23194','HAIER','SALE ADVISOR ZEESHAN',null,'23-SEP-2019','398IDB - 884','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 17:08:17','2021-03-22 11:50:33',null,'1',null,'0');
INSERT INTO complaints VALUES('4892','MR HAROON KHALID','03339861196','HO#42 ST 04 PHASE 06 BAHRIA TOWN RWP','6','12','15843','SIGNATURE','0',null,'11-AUG-2018','SWD-HD10-GR - 994','WATER DISPENSER','TAB LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 17:12:31','2021-03-26 15:42:05',null,'1',null,'0');
INSERT INTO complaints VALUES('4893','MISS GAZALA','03360111132  03335119505','HO#490 ST 13 PARK ENCLAVE ISB','5','31','119413','SIGNATURE','SALE ADVISOR MARYAM FCI',null,'20-JULY-2020','SBH-AA901G - 1122','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 17:26:54','2021-06-02 16:16:58',null,'1',null,'0');
INSERT INTO complaints VALUES('4894','MR HAMID MIR','03008506000','HO#28 ST 24 SEC F-8/2 ISB','8','38','18749','SONY','TASK#4830(AGAIN REOPEN COMPLAINT',null,'11-APR-2019','65X7500F-S - 1443','FLAT PANEL TV','PANEL LINE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-18 17:28:27','2021-03-21 12:49:52',null,'1',null,'0');
INSERT INTO complaints VALUES('4895','TARIQ FCI','03005566006','FRIEND CORPORATION BLUE AREA','5','31','126805','CANON','COMPLAINT CUSTOMER KI HAY',null,'07-DEC-2020','16D-PLUS-DUAL - 1030','GEYSER','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 17:33:13','2021-05-26 17:11:48',null,'1',null,'0');
INSERT INTO complaints VALUES('4896','MR KASHIF','03328457013','HO#03 ST 06 BLOCK-F SAWAN GARDEN RWP','4','9','16152','FIVE STAR','SALE ADVISOR MISC',null,'01-SEP-2020','35G-SUPREME - 963','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-18 17:44:52','2021-04-06 17:41:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4897','AIR COMMANDER  PARRACHA','03345079798','HO#142 ST#03 ASKRI 11','9','27','201766','SIGNATURE','SWH-20-10',null,'07-DEC-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-19 12:03:24','2021-03-19 12:32:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4898','MRS HAROON QAZI','03005367420','APP#003 PAK TOWER F/10 ISB','5','36','129176','LG','1369NEHTIF-C-122',null,'11-FEB-2021',null,'WASHING MACHINE','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-19 14:52:47','2021-03-22 11:40:35',null,'1',null,'0');
INSERT INTO complaints VALUES('4899','ISHFAQ FHHS','03135001212','FRIENDS HOME SHAMSHABAD R.W.P','8','39','47100','DAWLANCE','1051-GR-R-2026(VISIT ON SHOWROOM)',null,'15-MAR-2021',null,'WATER DISPENSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-19 15:00:16','2021-03-22 11:39:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4900','UMAIR BUT(C/O SADDIQ)','03455505599','HO#09 MAIN DOUBLE ROAD F 11/1 ISB','5','28','0','SIGNATURE','SIG HOB ATTEND ABDUL REHMAN KAR RAHAY  FCI',null,'0',null,'BUILT IN APPLLIANCES','BUNNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-19 15:04:18','2021-03-22 11:40:06',null,'1',null,'0');
INSERT INTO complaints VALUES('4901','WAQAR SAB','03234469999','HO#141 ST#34 OVERSEAS 05 BEHIRA TOWN','4','10','33131','FIVE STAR','999MC MAX(5 BUNNER)',null,'13-FEB-2021',null,'COOKING RANGE','BUNNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-19 15:10:16','2021-03-30 13:31:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4902','KHURSHEED BUT','03005111124','FLAT#116 IST FLOOR PAK TOWER F 10 MARKAZ ISB','5','28','129683','CARAVELL','16D-PLUS-DUL(C/O ABU BAKAR FCI)',null,'24-FEB-2021',null,'WATER DISPENSER','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-19 16:06:21','2021-03-23 11:42:21',null,'1',null,'0');
INSERT INTO complaints VALUES('4903','AZIB GONDAL','03245179344','HO#98 LANE #03 ASKARI 13 R.W.P','7','49','20230','SIGNATURE','CELL CALL(INVOICE HAIN )',null,'14-DEC-2019','SCF-HM09 - 954','FREEZER','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-19 16:28:30','2021-03-26 13:37:03',null,'1',null,'0');
INSERT INTO complaints VALUES('4904','MR RAO ALI','03335382882','HO#3/1 E ST#13 G-7/2 ISB','5','34','0','ORIENT','OUT OFF WARRANTY COMPLIANT ON PAYMENT JOB 5 YEAR  AGO',null,'05-DEC-2020',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-19 16:44:36','2021-03-22 11:25:10',null,'1',null,'0');
INSERT INTO complaints VALUES('4905','DR MOOSA','03209399938','HO#20 ST#95 I-8/4 ISB','5','36','117428','HAIER','0',null,'10-JUNE-2020','12HFCE-W-INV - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-19 17:05:05','2021-03-22 11:19:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4906','QASIM SAB','03360119573','HO#28 SIR SYED BOLYWARD SEC E DHA PHASE 02 ISB','5','30','130165','WAVES','0',null,'09-MAR-2021','310WDF-SS - 955','FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-19 17:31:29','2021-03-22 11:16:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4907','AMIR','03215535252(03215780000)','HO#801 ST#80/B I 8/4 ISB','9','19','138493','SAMSUNG','MODEL 65K6030-119',null,'03-AUG-2017',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-19 17:36:21','2021-03-22 16:27:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4908','MR SABIR MUGHAL','03007225722','APRT#1811 DEFANCE EXCUTIVE APRT DHA PHASE 02 ISB','6','15','33503','HAIER','0',null,'04-MAR-2021','100-14826HW - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-20 11:10:45','2021-03-23 11:40:19',null,'1',null,'0');
INSERT INTO complaints VALUES('4909','MR ASHRAF','03005234218','HO#783 ST 32 SEC I-14/1 ISB','9','20','164957','LG','PTCL CALL INVOICE HAY',null,'20-JAN-2019','4J6TNP8S-S - 899','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'92','2021-03-20 12:02:33','2021-03-30 12:41:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4910','BILAL FCP','03110533103','FRIEND CORPORATION GUL NOOR MARKET RWP','9','21','195497','TOYO','SALE ADVISOR MURTAZA  COMPLAINT CUSTOMER KI HAY VISIT SHOWROOM PAR KARWANA HAY',null,'31-AUG-2020','7000TWD - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-20 12:19:56','2021-03-24 13:46:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4911','MR AFZAL','03238557654','HO#BB-721/14 ST 07 NEAR ALLIED SCHOOL TV HOSPITAL RWP','9','24','207360','XTREEM','KITCHEN HOB',null,'14-MAR-2021','81A - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLIANT CLOSED',null,'customer','0',null,'92','2021-03-20 13:38:25','2021-03-24 12:16:25',null,'1',null,'0');
INSERT INTO complaints VALUES('4912','MR UMER','03105522991','SHOP#03 MAREAH CAMPS MUREE ROAD RWP','8','38','46901','CARAVELL','0',null,'08-MAR-2021','1000MEC - 978','CHILLER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-21 11:42:08','2021-03-24 13:48:29',null,'1',null,'0');
INSERT INTO complaints VALUES('4913','MR AWAIS','03215216964','HO#874 BLOCK-F NEAR HOLE FAMILY HOSPITAL GADE 03 RWP','9','26','206356','LG','0',null,'25-FEB-2021','257SLLV-S - 909','REFRIGERATOR','NO POWER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-21 11:46:34','2021-04-02 11:53:36',null,'1',null,'0');
INSERT INTO complaints VALUES('4914','MR ABDUL GHAFFAR','03335278609','HO#103-H ST 07 NEAR CAR CHOCK  GULRAZ PHASE 05 RWP','9','21','207511','DAWLANCE','MODAL#9193LFAVANTE  SALE ADVISOR MURTAZA',null,'16-MAR-2021',null,'REFRIGERATOR','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-21 11:56:18','2021-03-24 11:34:35',null,'1',null,'0');
INSERT INTO complaints VALUES('4915','MAJ SAEED','03245480810  03215220452','HO#491 LANE 05 ST 05 NEAR AYUB PARK GULSTAN COLONY RWP','9','24','207591','XTREEM','0',null,'17-MAR-2021','81A - 1122','BUILT IN APPLLIANCES','BUTTON ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-21 12:13:37','2021-03-24 17:39:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4916','MR AKHTAR IQBAL','03065616962','ST#34 NEAR LEGAL SCHOOL GLASS FECTORY  ZAFAR-UL- HAQ ROAD RWP','9','22','206901','KENWOOD','0',null,'07-MAR-2021','400GD-GNG - 895','REFRIGERATOR','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-21 12:28:54','2021-03-26 16:32:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4917','MR SAFAN AHMED','03215231333','HO#20 ST 12 SHAHEIN TOWN NEAR FAZAYA COLONY RWP','9','23','143759','SIGNATURE','PTCL CALL INVOICE HAY',null,'02-DEC-2017','SWM-JD46 - 945','WASHING MACHINE','ERROR-E1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-21 13:42:36','2021-03-29 16:21:26',null,'1',null,'0');
INSERT INTO complaints VALUES('4918','MR KHURRAM MUJHAL','03225555716','APP#23-C ST 07 ASKARI 04 RWP','9','21','207760','CORONA','SALE ADVISOR MURTAZA',null,'21-MAR-2021','505C - 1815','COOKING RANGE','TIMER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-21 16:13:35','2021-06-16 13:44:22',null,'1',null,'0');
INSERT INTO complaints VALUES('4919','MR ABDUL AZEEM','03335382347','HO#14 ST 09 SEC-H DHA PHASE 02 ISB','6','12','18240','SIGNATURE','0',null,'09-DEC-2018','SBH-AA760S - 1122','BUILT IN APPLLIANCES','BURNER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-21 16:18:10','2021-03-26 16:42:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4920','MR WAQAR','03156007777','HO#11 ST 06 FZIA COLONY NEAR EXPRESS WAY RWP','5','33','115605','TCL','S/N 1908VLR300933A00041  SALE ADVISOR MARYAM KIYANI',null,'15-MAR-2020','55C6US - 942','FLAT PANEL TV','NETFLIX ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 11:22:11','2021-03-26 16:29:10',null,'1',null,'0');
INSERT INTO complaints VALUES('4921','MR SHAHID','03073178009','HO#345 ST 16 CHAKLALA ROAD DHOKH KHABBA RWP','9','27','187698','KENWOOD','0',null,'02-MAR-2020','400VCM-BRN - 885','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 11:45:43','2021-04-05 13:00:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4922','MR ALI','03149611632','BLOCK#1/A FLAT 02 SEC-01  I-8/1 ISB','8','40','46698','BOSCH','0',null,'28-FEB-2021','20260GC - 880','WASHING MACHINE','VIBRATION ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 11:52:00','2021-03-26 15:53:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4923','MR FARAZ YOUNAS','03165009978','HO#95 ST 36 SEC-C BAHRIA PHASE 08 RWP','4','5','17563','SIGNATURE','SALE ADVISOR SALEEM  ELECTRIC OVEN KI COMPLAINT HAY PTCL CALL INVOICE HAY',null,'01-DEC-2020','25BG - 1731','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 12:00:52','2021-03-28 14:58:01',null,'1',null,'0');
INSERT INTO complaints VALUES('4924',null,null,null,'6',null,null,'HAIER','000000',null,null,'55K6600 - 942','FLAT PANEL TV','LINE IN PANEL...',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-03-22 12:08:17','2021-03-29 14:24:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4925','MALIK SHAKIR','03335623623','APP#601 AL AHAD HEIGHTS NEAR RABIA BANLOZ OPP AL-SHIFA EYE HOSPITAL RWP','9','19','206908','SIGNATURE','MODAL#SWH-20-06 SALE ADVISOR ALI MURTAZA PTCL CALL INVOICE HAY',null,'07-MAR-2021',null,'GEYSER','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 12:15:42','2021-03-24 12:15:51',null,'1',null,'0');
INSERT INTO complaints VALUES('4926','HAJI SHAFIQE','03339861196','HO#42 ST 04 PHASE 06 BAHRIA TOWN RWP','6','12','13162','SIGNATURE','SALE ADVISOR BADAL  PTCL CALL INVOICE HAY',null,'19-MAR-2018','SRF-KK90G - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 12:25:25','2021-04-13 14:23:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4927','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','HAIER','0','2021-03-22',null,'368IDBT - 860','REFRIGERATOR','SIDE DENT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 12:32:45','2021-03-29 14:23:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4928','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','SIGNATURE','SHOWROOM KI COMPLAINT HAY',null,'0','SSO-MO22 - 964','MICROWAVE OVEN','SIDE DENT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 12:36:34','2021-03-24 12:15:22',null,'1',null,'0');
INSERT INTO complaints VALUES('4929','GHULAM RAZA SHAH','03000573214','HO#803/N-11 NEAR MADINA MASJID TENCH BHATTA ADRA RWP','9','26','199325','CARAVELL','MODAL#208B  PTCL CALL INVOICE HAY',null,'17-NOV-2020',null,'WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 13:05:26','2021-03-26 16:21:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4930','MR NADEEM','03360594947','HO#26 ST 11  SEC G-13/3 ISB','8','40','43299','CANON','PTCL CALL INVOICE HAY',null,'01-NOV-2020','20D-PLUS-DUAL - 1031','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 13:26:58','2021-03-26 15:35:54',null,'1',null,'0');
INSERT INTO complaints VALUES('4931','CH JAVEED','03005009842','HO#1-A ST 42 NEAR MARVI ROAD SEC F-7/1 ISB','5','36','103679','CANON','OVEN KI COMPLAINT HAY KHURRAM SIR NAY COMPLAINT BAJI HAY INVOICE HAY',null,'12-APR-2019','BOV-05 - 1731','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 13:38:38','2021-03-26 15:34:12',null,'1',null,'0');
INSERT INTO complaints VALUES('4932','MR ARIF','03211089566','HO#820 ST 77 SEC I-8/3 ISB','9','20','207304','FIVE STAR','MODAL#900MC',null,'13-MAR-2021',null,'COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 13:47:43','2021-04-06 17:39:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4933','MR RIZWAN','03439568686','HO#514 ST 10 SEC-C PHASE 08 BAHRIA TOWN RWP','6','12','16014','SIGNATURE','0',null,'19-AUG-2018','SCF-HM08 - 954','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 13:54:46','2021-03-30 12:08:35',null,'1',null,'0');
INSERT INTO complaints VALUES('4934','MR ANEEL','03005296061','HO#352 ROAD-B PHASE 04 BAHRIA TOWN ISB','8','39','28840','CORONA','SALE ADVISOR ZARA',null,'06-AUG-2020','505C - 1815','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 14:13:01','2021-04-01 15:42:31',null,'1',null,'0');
INSERT INTO complaints VALUES('4935','MISS YASMEEN BAIG','03135207200 03465371675','HO#C-1 ST 22 BLOCK-C STATLITE TOWN RWP','8','37','38027','HAIER','SALE ADVISOR MALAIKA PTCL CALL INVOICE HAY',null,'15-DEC-2019','80AS-WM - 69','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 14:25:04','2021-03-26 14:55:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4936','MR AYAZ AHMED','03005749937','HO#826 ST 77 SEC I-8/3 ISB','9','23','156510','DAWLANCE','SALE ADVISOR RAHEEL',null,'04-AUG-2018','1045CVT-VF - 1467','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 14:47:30','2021-03-26 14:52:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4937','DR JAHAN ZEB DURRANI(YASEEN DURANI)','03335102222','Address HO#267-A ST 53 SEC F-10/4 ISB','5','28','118713','SIGNATURE','MODEL SCF -HM09(C/O NAEEM NASEER)(3748)',null,'06-JULY-2020',null,'FREEZER','SOUND ISSUE( ISSUE NOT RESOLVED)',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-22 15:01:20','2021-03-29 14:23:23',null,'1',null,'0');
INSERT INTO complaints VALUES('4938','MR ATIF RAZA','03345666142','HO#PD-426/C ST 01 BEHIND NEAR G RESTORENT SATADIAM ROAD RWP','9','24','204345','CORONA','PTCL CALL INVOICE HAY',null,'23-JAN-2021','125C-AUTO - 1074','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 15:03:56','2021-04-03 13:46:03',null,'1',null,'0');
INSERT INTO complaints VALUES('4939','MR ALI','03065447963','HO#31-B KAHKASHAN TOWN SAAD PUR SYEDAN  HADYALA ROAD R.W.P','9','24','198229','FIVE STAR','MODAL#40WS',null,'25-OCT-2020',null,'GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 16:07:24','2021-04-06 17:43:24',null,'1',null,'0');
INSERT INTO complaints VALUES('4940','CH ZEESHAN','03120000153','HO#1654 ST 65 BLOCK-A FAISAL TOWN ISB','5','34','130645','DAWLANCE','MODAL#30AURA',null,'22-MAR-2021',null,'AIR CONDITIONER','MOTOR FAN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 16:29:00','2021-03-25 12:46:03',null,'1',null,'0');
INSERT INTO complaints VALUES('4941','MR WAQAR','03005002669','HO#718 IBNE-SINA ROAD SEC G-11/2 ISB','8','37','37496','SUPER ASIA','0',null,'09-NOV-2019','241SA - 1548','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 16:56:06','2021-03-26 13:10:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4942','AZHAR PWD','03139898008','FRIEND CORPORATION PWD','4','8','0','DAWLANCE','0',null,'0','132S-DW - 1200','MICROWAVE OVEN','NOB MISSING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 17:11:35','2021-03-30 12:16:28',null,'1',null,'0');
INSERT INTO complaints VALUES('4943','AIR CDRE SATTAR ALVI','03158331133','HO#11 ST 13 FIZAIA COLONY NEAR KHANNA PUL RWP','9','24','0','SIGNATURE','ON PAYMENT INVOICE NAI HAY HOOD KI COMPLAINT HAY',null,'OUT OFF WARRANTY',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-22 17:51:04','2021-03-29 16:20:59',null,'1',null,'0');
INSERT INTO complaints VALUES('4944','COL ZIA','03005001130','HO#605 ST 14 SEC G-10/1 ISB','5','31','102594','LG','0',null,'04-MAR-2019','1366NEFTW-S - 907','WASHING MACHINE','CENSER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-23 11:00:48','2021-03-28 14:57:32',null,'1',null,'0');
INSERT INTO complaints VALUES('4945','MR ASIM KHAN','03335469092','MOHALA KHANA WALA GOLDA SHAREF NEAR ALFALA MASJID SEC E-11 ISB','8','38','47054','FIVE STAR','MODAL#9206MH',null,'14-MAR-2021',null,'BUILT IN APPLLIANCES','BUTTON ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-23 11:12:11','2021-04-09 15:17:50',null,'1',null,'0');
INSERT INTO complaints VALUES('4946','MR TANVEER AHMAD','03205591678','HO#118 ST 09 SEC B-1 DHA PHASE 01 ISB','6','15','14016','SIGNATURE','SALE ADVISOR BADAL  HOB KI COMPLAINT HAY',null,'28-APR-2018','SBH-AA761G - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-23 11:31:40','2021-04-06 17:45:01',null,'1',null,'0');
INSERT INTO complaints VALUES('4947','MR ADIL','03005226070  03331566066','HO#893 ST 22 PHASE 04 BAHRIA TOWN RWP','6','12','16136','DAWLANCE','0',null,'27-AUG-2018','1035WBGD-VF - 1467','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-23 11:46:56','2021-03-30 13:36:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4948','MR AHMAD ALI HASHMI','03324610559  03415158510','HO#79 ST 589 SEC G-13/2 ISB','8','42','46954','HAIER','0',null,'10-MAR-2021','12HFCF-W-INV - 913','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-23 11:57:22','2021-03-27 12:33:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4949','MR KHALID FARID','03215096899','HO#55 ST 02 SEC-B DHA 01 ISB','6','12','29697','HAIER','SALE ADVISOR ZARA  ADIL HOME SOLUTION NAY COMPLAINT BAJI HAY',null,'22-SEP-2020','150-1678HWM - 1484','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-23 12:09:54','2021-03-26 12:16:54',null,'1',null,'0');
INSERT INTO complaints VALUES('4950','MR ASIF HAIDER','03339342698','HO#16 ST 15 SEC-C SAFARI HOMES PHASE 08 RWP','6','15','27977','LG','0',null,'24-JUN-2020','502HMHU-S - 896','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-23 12:24:45','2021-04-01 16:22:46',null,'1',null,'0');
INSERT INTO complaints VALUES('4951','MR ADEEL AHMED','03335455247','HO#615 SAWAN ROAD SEC G-10/2 ISB','5','28','16318','CANON','SALE ADVISOR ABU BAKAR',null,'18-MAR-2021','945S1 - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-23 12:58:25','2021-04-27 14:29:57',null,'1',null,'0');
INSERT INTO complaints VALUES('4952','MISS ZOVARIA KAUSAR','03440511916','DHOK LILYAL NEAR FAZIYA COLONY KHANA PUL RWP','8','37','24687','ECOSTAR','SALE ADVISOR IFTIKHAR HUSSAIN IQBAL KRL NAY COMPLAINT BAJI HAY',null,'15-MAR-2021','40U860 - 938','FLAT PANEL TV','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-23 13:19:06','2021-03-26 12:04:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4953','MR JOHAR','03369156560','HO#939 ST 105 SEC G-9/4 ISB','8','37','24640','HAIER','SALE ADVISOR IFTIKHAR HUSSAIN IQBAL KRL NAY COMPLAINT BAJI HAY',null,'09-MAR-2021','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-23 13:23:12','2021-03-26 12:00:36',null,'1',null,'0');
INSERT INTO complaints VALUES('4954','STOCK UNIT (i-10)','03358851908','FLAT#81 ST 06 SEC I-10/3 ISB','10','45','0','LG','MODAL#49UN-7340  UNIT DELVER IN BILAL FHHS SIR K PASS HO GE',null,'0',null,'FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-23 13:54:23','2021-03-24 17:16:47',null,'1',null,'0');
INSERT INTO complaints VALUES('4955','MRS RIZWAN','03369226466','HO#129 ST 06 PHASE 01 RWP','4','11','21277','DAWLANCE','INVOICE HEAD OFFICE KI BANI HAY',null,'16-APR-2020','1045CVT-VF - 1467','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-23 14:17:46','2021-03-26 11:56:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4956','BADAL FCI','03145299358','FRIEND CORPORATION BLUE AREA','5','34','0','ORIENT','MODAL#32-INCH','2021-03-24',null,null,'FLAT PANEL TV','REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-23 14:36:58','2021-04-07 13:25:56',null,'1',null,'0');
INSERT INTO complaints VALUES('4957','MR ENAN','03238877863','HO#MOL 1/2 AIR HEAD COVATER SEC E-9 ISB','5','33','128915','HAIER','MODAL#438IDBA',null,'15-FEB-2021',null,'REFRIGERATOR','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-24 11:19:43','2021-03-27 12:29:22',null,'1',null,'0');
INSERT INTO complaints VALUES('4958','MR MAC','03458568043','HO#25-B ST 19 SEC F-6/2 ISB','5','33','130579','BOSCH','0',null,'18-MAR-2021','135D0GC - 907','WASHING MACHINE','ERROR C8',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-24 11:26:05','2021-03-24 16:51:49',null,'1',null,'0');
INSERT INTO complaints VALUES('4959','MR ABBAS','03475346600','FLAT#12 BLOCK 02 SEC G-8/1 ISB','8','37','25686','DAWLANCE','0',null,'21-JAN-2018','9175WBLVS - 883','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-24 11:31:04','2021-03-27 12:26:22',null,'1',null,'0');
INSERT INTO complaints VALUES('4960','MR ZAHEER BABER','03130000515','HO#CB-227 OPP GUDWAL FACTORY GUDWAL WAH CANTT','5','33','108995','TCL','MODAL#LT55P65US   S/N 1905VLR300846A00028',null,'30-AUG-2019',null,'FLAT PANEL TV','SCREEN LINE ISSUE',null,'5','NOT RESOLVED',null,'customer','0',null,'92','2021-03-24 11:58:27','2021-05-26 10:33:38',null,'1',null,'0');
INSERT INTO complaints VALUES('4961','MR ZEESHAN','03339951825  03345173764','HO#43 WEST SERVICE ROAD NEAR SANJJANI TOL PLAZA SEC D-17/2 ISB','8','37','45758','SAMSUNG','MODAL#55TU7000-MRM  SALE ADVISOR SAQLAIN',null,'16-JAN-2021',null,'FLAT PANEL TV','SCREEN SPOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-24 12:10:37','2021-03-27 12:15:17',null,'1',null,'0');
INSERT INTO complaints VALUES('4962','COL ASIF','03005006624','HO#22 CIRCULER AVENUE SAFARI VILLA 01 ISB','6','15','30588','SAMSUNG','MODAL#55TU8500-MRM  S/N OANE36PN900249F',null,'21-NOV-2020',null,'FLAT PANEL TV','SCREEN DOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-24 12:19:12','2021-03-27 12:12:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4963','COL SHAKEEL AHMED','03335407950','HO#1936 ROAD-E ABU BAKAR BLOCK PHASE 08 BAHRIA TOWN RWP','6','15','26948','TCL','S/N 1912VLR301025A00497',null,'28-APR-2020','32D310 - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-24 12:36:18','2021-04-03 13:52:37',null,'1',null,'0');
INSERT INTO complaints VALUES('4964','MR SHAHZAD JAMEL','03005208898','HO#368/A ST 10  MAIN PESHAWAR ROAD NEAR KAMAL-DIN MASJID  CHURHARPAL RWP','9','19','125047','LG','SALE ADVISOR MUDASSAR  COMPLAINT SAQIB FCP NAY BAJI HAY',null,'10-DEC-2016','552GLPL-S - 86','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-24 13:11:06','2021-04-01 11:54:34',null,'1',null,'0');
INSERT INTO complaints VALUES('4965','MR ALI','03335594824','HO#288 ST 32 SEC-C ASKARI 14 ISB','6','12','32531','FIVE STAR','MODAL#666MC',null,'10-JAN-2021',null,'COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-24 13:24:13','2021-04-07 11:23:43',null,'1',null,'0');
INSERT INTO complaints VALUES('4966','MR AWAIS','03052227872','HO#1351 PESENT 10-A ST 22 KARACHI BAHRIA','9','27','197626','HAIER','0',null,'14-OCT-2020','622IBS - 908','REFRIGERATOR','BODY HEAT UP ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-24 13:45:59','2021-03-27 12:09:11',null,'1',null,'0');
INSERT INTO complaints VALUES('4967','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','HAIER','MODAL#HWM-120-AS',null,'0',null,'WASHING MACHINE','DANT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-24 14:26:28','2021-03-29 14:19:59',null,'1',null,'0');
INSERT INTO complaints VALUES('4968','MR BASIT','03215157331  03215092316','HO#2263 ST 52-D BAHRIA TOWN PHASE 07 RWP','9','51','207344','LG','MODAL#55NANO86',null,'14-MAR-2021',null,'FLAT PANEL TV','FUNCTION ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-24 14:48:23','2021-03-29 11:52:20',null,'1',null,'0');
INSERT INTO complaints VALUES('4969','MR TOUSEEF','03111133335','HO#16 ST 01 SEC F-7/3 ISB','5','28','123881','FIVE STAR','MODAL#900MC SALE ADVISOR ABU BAKAR  COMPLAINT AZHAR FCI SIR NAY BAJI HAY',null,'12-NOV-2020',null,'COOKING RANGE','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-24 15:03:47','2021-03-30 13:09:58',null,'1',null,'0');
INSERT INTO complaints VALUES('4970','COL AWAIS','03238556830','HO#12-F ST 1-A LANE 04 SEC-G DHA 02 ISB','4','7','912','LG','0',null,'3-JAN-2019','1466NEFTFW-S - 1212','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-24 15:45:35','2021-03-26 13:34:39',null,'1',null,'0');
INSERT INTO complaints VALUES('4971','MR AKIF ZAHID','03331518086','HO#522 ST 22 NEAR JAMIAY MASJID MAKI GORE TOWN PHASE 4-C ISB','9','22','195228','CARAVELL','MODAL#204-B',null,'23-AUG-2020',null,'WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-24 16:24:26','2021-03-27 11:57:05',null,'1',null,'0');
INSERT INTO complaints VALUES('4972','MR ASAD ABBASI','03455118774','HO#981 ZEESHAN COLONY QASIM MARKIT DHOK CHODEREYA RWP','6','12','30073','FIVE STAR','MODAL#35-G HEAVY  SALE ADVISOR BADAL',null,'17-OCT-2020',null,'GEYSER','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-24 16:37:42','2021-03-30 12:57:59',null,'1',null,'0');
INSERT INTO complaints VALUES('4973','SALEEM ANWAR','03005000318','HO#14 ST#70B BLOCK F NAVAL ANCHORAGE  ISB','5','28','0','SIGNATURE','NO DOCUMENT ON PAYMENT JOB(SIG HOB)',null,'2017',null,'BUILT IN APPLLIANCES','SERVICES REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-24 16:38:02','2021-04-01 15:17:28',null,'1',null,'0');
INSERT INTO complaints VALUES('4974','BRIG HAMID','03213001133','FLAT#02 SECOND FLOOR PLAZA#119 CAMARSHAL AREA BAHRIA SPRING BAHRIA PHASE 07 RWP','6','15','30265','ARISTON','0',null,'29-OCT-2020','4528 - 1192','GEYSER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-24 17:52:26','2021-03-29 13:49:01',null,'1',null,'0');
INSERT INTO complaints VALUES('4975','MR ASIF KHAN','03005107096','HO#09 ST 61 SEC F-8/4 ISB','8','37','31073','SAMSUNG','0',null,'09-DEC-2018','18M6211 - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-24 17:59:12','2021-03-26 13:34:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4976','MR UZAIR','03235223632','HO#NW-657 SAIDPUR ROAD RWP','8','37','43310','HAIER','0',null,'01-NOV-2020','276EPR - 858','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-24 18:03:19','2021-03-29 13:04:02',null,'1',null,'0');
INSERT INTO complaints VALUES('4977','RAHEEL  ZAFAR','03215326568','HO#109 ST#24 SPRING  NORTH PHASE 07 BEHIRA TOWN','6','12','32127','TESLA','0',null,'16-DEC-2020','35G(BLACK XGEN) - 963','GEYSER','BURRING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-25 11:34:06','2021-03-26 14:46:27',null,'1',null,'0');
INSERT INTO complaints VALUES('4978','ARSHAD SAB','03143002277','HO#65 ST#12 ABDULLAH GARDEN KURRI ROAD  R.W.P','8','37','34159','SAMSUNG','COMPLAINT AZHAR BEHIRA NA FF KI HAIN INVOICE FHHS KI BANI HHOI HAIN',null,'26-MAY-2019','80J4260-S - 899','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-25 13:13:22','2021-04-06 13:08:53',null,'1',null,'0');
INSERT INTO complaints VALUES('4979','M. NOOR','03335172534','FLAT#3 ST#24 C BLOCK 1-C STATE BANK COLONY G 7/1 ISB','5','28','126121','SIGNATURE','MODEL 20AC ELECTRIC OVEN',null,'05-DEC-2020',null,'MICROWAVE OVEN','GRILLE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-25 13:35:45','2021-03-28 14:59:07',null,'1',null,'0');
INSERT INTO complaints VALUES('4980','RAJA ZAHID PERVAIZ','03361555744','HO#16 ST#01 G-6/3 ISB','5','30','128643','ORIENT','0',null,'29-JAN-2021','531OWR - 993','WATER DISPENSER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-25 14:12:14','2021-04-05 12:39:04',null,'1',null,'0');
INSERT INTO complaints VALUES('4981','ZAIN SAB','03005093999','HO#4-A ST#38 F-8/1 ISB','5','30','121108','HAIER','0',null,'21-AUG-2020','306IDRT - 894','REFRIGERATOR','OVER COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-25 14:16:21','2021-03-29 12:42:23',null,'1',null,'0');
INSERT INTO complaints VALUES('4982','POLICE COLLAGE SIHALA','03005600634','POLICE COLLAGE SIHALA R.W.P','9','51','198368','FISCHER','0',null,'28- OCT-2020','65GF - 1220','WATER COOLER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-25 14:23:16','2021-06-30 12:22:16',null,'1',null,'0');
INSERT INTO complaints VALUES('4983','AIR COM ODOR M. NAWAZ','03239401502','HO#IH 185 ST#1 B AFOHS FALCON  COMPLEX','9','51','101824','SAMSUNG','90G90EP-168',null,'11-JUNE-2015',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-25 14:36:39','2021-03-29 11:51:53',null,'1',null,'0');
INSERT INTO complaints VALUES('4984','INAM UL HAQ','03007560302','HO#1489 ST#31 G 11/2 ISB','9','27','166227','DAWLANCE','0',null,'16-FEB-2019','9170WBES - 860','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-25 14:46:35','2021-03-29 12:35:00',null,'1',null,'0');
INSERT INTO complaints VALUES('4985','KAMRAN SALEEM MUGHAL','03335400030','HO#392/G E BLOCK SATELLITE TOWN NEAR GOVT COLLAGE OFF COMMERCE R.W.P','5','31','13314(QUOUTIONS)','SIGNATURE','0',null,'27-JULY-2019','SCR-FSB3-5G - 1605','COOKING RANGE','BURNER PRB+ SERVICES REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-25 15:00:00','2021-04-15 11:39:18',null,'1',null,'0');
INSERT INTO complaints VALUES('4986','BRIG RIAZ ARSHAD','03205550404','HO#1660C ST 76 SEC F DHA 1 ISB','6','12','18844','FIVE STAR','0',null,'14-JAN-2019','55G-TWIN-SUPREME - 1538','GEYSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-25 15:42:53','2021-04-13 14:11:41',null,'1',null,'0');
INSERT INTO complaints VALUES('4987','MRS QASIM','03351512366(03215295440','HO#348 ST#98 E-11/1 ISB','8','38','116009','HAIER','0',null,'23-APR-2020','438EBD - 896','REFRIGERATOR','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-25 17:26:55','2021-03-29 12:29:56',null,'1',null,'0');
INSERT INTO complaints VALUES('4988','MRS QASIM','03351512366(03215295440)','HO#348 ST#98 E-11/1 ISB','8','38','116009','ORIENT','0',null,'23-APR-2020','AUTO10 - 902','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-25 17:30:22','2021-04-02 12:03:43',null,'1',null,'0');
INSERT INTO complaints VALUES('4989','KHURSHEED BUT','03005111124','FLAT#116 IST FLOOR PAK TOWER F 10 MARKAZ ISB','5','28','129683','CANON','C/O ABU BAKAR FCI',null,'24-FEB-2021','16D-PLUS-DUAL - 1030','GEYSER','BA LOST PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-25 17:41:20','2021-04-27 14:38:00',null,'1',null,'0');
INSERT INTO complaints VALUES('4990','IQBAL SAB','03139754542','EOPI BULIDING PLOT#31 SEC B1 PHASE 05 HAYATABAD PESHWAR','8','47','22738','TCL','2003VLR31102A00052',null,'02-JULY-2020','43S6500 - 869','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-25 17:45:23','2021-03-29 12:11:13',null,'1',null,'0');
INSERT INTO complaints VALUES('4991','AYUB RIZWAN','03006100794','HO#430 ST#51 BLOC D NPF','4','11','20145','HAIER','18HFMAD-W-INV-91',null,'22-MAR-2021',null,'AIR CONDITIONER','WIFI SETTING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-25 17:52:42','2021-03-29 12:07:20',null,'1',null,'0');
INSERT INTO complaints VALUES('4992','SYED MAQSOOD AHMAD','03465464713 03335970145','HO#DD/56-A ST 05 NEAR CHOTI MASJID GHULL SHAN DADIN SHAMSABAD RWP','9','26','188625','LG','0',null,'21-MAR-2020','1066NEFTW-S - 902','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-26 12:10:59','2021-04-02 11:52:44',null,'1',null,'0');
INSERT INTO complaints VALUES('4993','FAWAD','03009501850','HO#1140MAIN DUBBAL ROAD G-15/4 ISB','5','34','125170','CARAVELL','MODEL207BA',null,'02-DEC-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-26 12:22:46','2021-03-30 12:08:09',null,'1',null,'0');
INSERT INTO complaints VALUES('4994','SYED BASIT ASHRAF','03339992280','HO#663 ST#28 PHASE 01 MARGALLA TOWN ISB','9','23','162807','SIGNATURE','PTCL CALL INVOICE HAY',null,'10-DEC-2018','SRF-HM100 - 908','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-26 12:58:41','2021-04-04 12:56:53',null,'1',null,'0');
INSERT INTO complaints VALUES('4995','ZAHID ABBAS','03123456787','HO#04 ST#04 SEC C1 BEHIRA ENCLAVE ISB','9','24','198095','HAIER','PTCL CALL(INVOICE HAIN )',null,'24-OCT-2020','631DGS - 1122','BUILT IN APPLLIANCES','BURNER  PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-26 13:08:42','2021-03-29 11:51:16',null,'1',null,'0');
INSERT INTO complaints VALUES('4996','MRS ANSAR','03412161627','HO#191/1 MADINA TOWN SHAMSHABAD R.W.P','8','39','42559','CARAVELL','MODEL 204B-2026(MONDAY TUSESDAY KO VISIT KARWANA',null,'21-SEP-2020',null,'WATER DISPENSER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-26 13:24:04','2021-04-01 14:38:14',null,'1',null,'0');
INSERT INTO complaints VALUES('4997','M.ALI','03415034580','HO#02 BISMILLAH LANE BILAL COLONY DHOK KASHMIRIN R.W.P','8','40','49696','KENWOOD','0',null,'10-MAR-2021','1016SA - 1712','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-26 15:04:19','2021-03-29 11:47:33',null,'1',null,'0');
INSERT INTO complaints VALUES('4998','NASIR','03455202680','SHAH ABDUL LATIF GENERAL STORE BARI IMMAM ISB','5','35','119202','HAIER','0','2014-02-01',null,'405HDF-INV - 958','FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-26 15:48:02','2021-04-01 14:28:08',null,'1',null,'0');
INSERT INTO complaints VALUES('4999','TANVEER ANJUM','03335535297','A.O.C WARD #06 ST#02 NAYE ABADI MORGHA R.W.P','8','38','23823','CANON','C/O IQBAL KRL',null,'23-NOV-2020','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-26 16:03:11','2021-03-29 11:27:01',null,'1',null,'0');
INSERT INTO complaints VALUES('5000','ZAHID KHAN','03008544733','HO#115 ST#40 SEC F 8/1 PHASE 08 BEHIRA TOWN','6','12','20377','GREE','C/O ADEEL BEHIRA',null,'20-APR-2019','400FS - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-26 16:30:53','2021-04-06 14:47:45',null,'1',null,'0');
INSERT INTO complaints VALUES('5001','M. MAROOF','03225531347','HO#11 ST#1-A NEW MAR GALA MODEL TOWN  NEAR GHOUS MARKET R.W.P','9','22','208034','ORIENT','ROASTER-BLCK',null,'25-MAR-2021',null,'MICROWAVE OVEN','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-26 16:50:09','2021-03-30 11:42:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5002','DR UMAIR','03340064433','HO#63 ST#44 KORANG TOWN ISB','4','9','20199','ORIENT','0',null,'24-MAR-2021','62D - 1602','MICROWAVE OVEN','BACK COVER DAMAGE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2021-03-26 16:54:43','2021-03-30 11:40:55',null,'1',null,'0');
INSERT INTO complaints VALUES('5003','ANJUM','03008508321(051-8311289)','HO#289 ST#67 F-11/1 ISB','5','31','108153','SIGNATURE','0',null,'03-AUG-2019','SCF-HM08 - 954','FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-03-26 17:22:16','2021-04-10 13:06:38',null,'1',null,'0');
INSERT INTO complaints VALUES('5004','MR TOUSEEF AHMAD','03215028399','HO#DD-287/16-A ST B-2 GULSHAN DADAN KHAN MADINA TOWN SHAMSABAD MUREE ROAD RWP','8','40','42084','DAWLANCE','PTCL CALL INVOICE HAY',null,'24-AUG-2020','9188WBLVS - 895','REFRIGERATOR','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-27 11:24:50','2021-03-30 11:38:05',null,'1',null,'0');
INSERT INTO complaints VALUES('5005','MR BASHARAT','03002915015','HO#54 ST 12 DEFENACE VILLAS BAHRIA PHASE 07 RWP','8','42','40491','HAIER','PTCL CALL INVOICE HAY',null,'24-JUN-2020','95-1678HWM - 1817','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-27 11:53:35','2021-03-30 11:37:14',null,'1',null,'0');
INSERT INTO complaints VALUES('5006','MR MASHAFIQ','03028558775  03085209656','HO#16 ST 15 SEC F-6/3 ISB','5','31','124455','SAMSUNG','MODAL#43TU7000',null,'26-NOV-2020',null,'FLAT PANEL TV','PICTURE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-27 12:46:42','2021-03-30 11:45:32',null,'1',null,'0');
INSERT INTO complaints VALUES('5007','MRS SOHAIL MANNAN','03435864525','HO#54 ST 05 SEC G-13/3 ISB','8','42','41602','SIGNATURE','HOB KI COMPLAINT HAY',null,'07-AUG-2020','SBC-PERTH90 - 1123','BUILT IN APPLLIANCES','GRILL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-28 10:50:26','2021-04-19 12:29:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5008','MR USAMA','03335253166  03352215550','HO#MR-811 ST 36 NEAR AMAR PUBLIC SCHOOL AMAR-PURA MOHALA RWP','9','24','194752','DAWLANCE','0',null,'15-AUG-2020','10500DW - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-28 11:29:36','2021-04-01 14:09:49',null,'1',null,'0');
INSERT INTO complaints VALUES('5009','MR ZAHID','03315122423','HO#72 ST 14 MARGALA TOWN PHASE 01 ISB','8','38','17686','SAMSUNG','PTCL CALL INVOICE HAY BUT WHATSAPP NAI BANA  HAY',null,'28-JULY-2016','16J6750-S - 1643','WASHING MACHINE','ERROR-E4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-28 11:52:30','2021-03-30 11:44:56',null,'1',null,'0');
INSERT INTO complaints VALUES('5010','MR NAEEM','03005810838','RAJH GHAN HAVALI CHATARE CHOCK KRL ROAD KHANA PUL RWP','9','22','207957','HAIER','MODAL#385IM-GRAY',null,'24-MAR-2021',null,'FREEZER','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-28 12:21:07','2021-04-04 13:00:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5011','RAJA ARSHID','03008543003','HO#DD59 ST -A OPP FRIEND HOME STOR SHAMSABAD RWP','8','39','24908','ORIENT','SALE ADVISOR AZHAR SDA',null,'12-NOV-2017','531BL - 993','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-28 12:47:21','2021-04-01 13:39:02',null,'1',null,'0');
INSERT INTO complaints VALUES('5012','MR EHTASHAM','03158855779','HO#506 ST 08 HILL-AVINEW LANE HADYALA ROAD RWP','8','38','203951','SIGNATURE','HOB KI COMPLAINT HAY SALE ADVISOR NAVEED',null,'14-JAN-2021','HC-3766G - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-28 13:21:01','2021-04-02 11:52:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5013','MR RAHAT KURSHED','03005103681','VILLAGE LUNE SAIDAYN  KALAR SAIEDAYN RWP','9','51','207404','HAIER','0',null,'14-MAR-2021','55U6900UG - 942','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-28 13:31:35','2021-04-01 13:35:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5014','MR NAVEED MIRZA','03335534435','HO#59 ST 36 SEC G-13/2 ISB','8','40','42195','GREE','0',null,'03-SEP-2020','9978EG-CB3 - 2116','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-28 13:48:04','2021-04-01 13:33:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5015','CH ASIF','03325523056','FLAT#02-E  BLOCK 16 ST 19 SEC G-10/2 ISB','5','32','123049','HAIER','0',null,'17-OCT-2020','90-1789HWM - 901','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-28 13:55:52','2021-04-01 13:31:24',null,'1',null,'0');
INSERT INTO complaints VALUES('5016','MRS BABER','03331591111','HO#939  ST 22 PHASE 04 BAHRIA TOWN RWP','4','5','16664','GREE','0',null,'10-OCT-2020','9978EG-CB3 - 2116','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-28 14:19:44','2021-04-01 13:24:24',null,'1',null,'0');
INSERT INTO complaints VALUES('5017','MR IMRAN','03215127486','HO#218 ST 58 SEC G-11/2 ISB','9','19','22765','SIGNATURE','SALE ADVISOR CH WAQAR PTCL CALL INVOICE HAY',null,'03-JUN-2017','SVF-HM95-BLK - 900','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-28 14:50:02','2021-04-05 12:10:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5018','MR HASEEB AHMED','03325412014','HO#06 NARC STAFF COLONY NEAR RAWAL DAM ISB','5','32','122686','GREE','0',null,'08-OCT-2020','9978EG-CB2 - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-28 15:45:00','2021-06-07 15:36:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5019','MR KHALID','03325720871  03455230811','DHAMYAL HOUSE BILAL STREET NEW LALA ZAR RWP','9','51','199890','ORIENT','MODAL#39HD-ACTION  SAQIB FCP SIR NAY COMPLAINT BAJI HAY',null,'26-NOV-2020',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-28 16:02:32','2021-04-15 15:26:22',null,'1',null,'0');
INSERT INTO complaints VALUES('5020','MR AFZAL AHMED','03329777644','HO#19 ST 23 SEC-A DHA 02 ISB','7','49','15496','SIGNATURE','PTCL CALL INVOICE HAY SALE ADVISOR ZAHID',null,'01-SEP-2017','SCF-HM12 - 956','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-28 16:08:03','2021-03-30 11:39:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5021',null,null,null,'7',null,null,'SAMSUNG','04RJ3K3M503165',null,null,'40N5300-S - 938','FLAT PANEL TV','REMOTE TV K SATH CONNECT NHI HO RHA',null,'5','COMPLAINT  CLOSED',null,'showroom','0',null,'98','2021-03-28 18:50:13','2021-05-19 14:57:49',null,'1',null,'0');
INSERT INTO complaints VALUES('5022','MR TAHIR BHATTI','03349455009','HO#57-J ST 118 SEC D-12/4 ISB','5','36','98095','SIGNATURE','ABU BAKAR SIR NAY COMPLAINT BAJI HAY',null,'26-SEP-2018','FS2-5G PLUS - 1848','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 10:47:06','2021-06-05 15:30:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5023','BRIG GULAM','03000874437','HO#04 LANE 2-A SEC-H DHA 02 ISB','6','12','33689','FIVE STAR','MODAL#35G-HEAVY DUTY',null,'14-MAR-2021',null,'GEYSER','TANG LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 11:19:05','2021-04-17 11:40:28',null,'1',null,'0');
INSERT INTO complaints VALUES('5024','MALIK ARSHAD','03465255380','HO#058-C NEAR TAHSIL ROAD NEAR KOHTA KAFAY  KAHUTA RWP','9','24','188682','HAIER','COMPLAINT HAMMAD  FCP NAY BAJI HAY',null,'21-MAR-2020','438IDBT - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAIN CLOSED',null,'customer','0',null,'92','2021-03-29 11:25:19','2021-04-05 12:16:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5025','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','DAWLANCE','MODAL#96GD-INVERTER','2021-03-29',null,null,'REFRIGERATOR','DOOR DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 11:40:26','2021-04-05 12:42:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5026','MR ABDUL RAUF','03215105008','HO#310 ST 08 BLOCK-B CBR TOWN PHASE 02 RWP','4','8','16887','FIVE STAR','MODAL#999MC  HOME SOLUTION NAY COMPLAINT BAJI HAY',null,'25-OCT-2020',null,'COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 11:57:09','2021-04-01 13:03:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5027','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','KENWOOD','0',null,'0','1010SA - 902','WASHING MACHINE','DAMAGE',null,'5','COMPLETED',null,'customer','0',null,'92','2021-03-29 12:02:46','2021-04-13 14:19:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5028','MR SHAFAY MUMTAZ','03008299118','HO#461-B ST 16 CHAKLALA SCHEEM 03 RWP','9','24','205204','HAIER','MODAL#438IDBA',null,'09-FEB-2021',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 12:12:02','2021-04-01 12:37:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5029','MR SUMAIR MALIK','03215188271  03008509238','HO#136 ST-3C UDECATION COLONY NEAR GULZARAY KHAD RWP','8','38','47317','GREE','0',null,'25-MAR-2021','8890EG-CB2 - 2116','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 12:22:51','2021-04-01 12:31:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5030','MR SALMAN','03225006777','HO#922 ST 107 SEC G-9/4 ISB','8','37','0','SAMSUNG','MODAL#65TU7000   PTCL CALL INVOICE HAY',null,'22-MAR-2021',null,'FLAT PANEL TV','SPOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 12:31:51','2021-04-14 13:17:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5031','HASSAN ALI FHHS','03013000123','FRIEND CORPORATION SHAMSABAD  RWP','8','37','47321','SUPER ASIA','SALE ADVISOR ZAFAR FHHS COMPLAINT CUSTOMER KI HAY UNIT CUSTOMER SHOWROOM PAR DROP KAR GAY HAY',null,'25-MAR-2021','233SA - 522','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 12:45:22','2021-04-21 13:06:18',null,'1',null,'0');
INSERT INTO complaints VALUES('5032','MR KASHIF IQBAL','03065222348  03008548768','HO#46-C  ST 03 SEC-02 OPP MEEZAN BANK KHYABAN-E-SIRSYEED RWP','8','37','41533','HAIER','0',null,'05-AUG-2020','150-1678HWM - 1484','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 12:55:16','2021-04-01 11:53:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5033','MR MUNSIB','03310177730  03322748207','HO#139 ST 04 RACE COURSE ROAD RWP','9','20','196319','HAIER','0',null,'17-SEP-2020','578TBP - 910','REFRIGERATOR','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 13:10:16','2021-04-01 11:38:05',null,'1',null,'0');
INSERT INTO complaints VALUES('5034','MR TARIQ MAHMOOD','03447872211','HO#136 ST 65 SEC F-10/3 ISB','5','53','125523','HAIER','0',null,'04-DEC-2020','18HJ-S INV - 915','AIR CONDITIONER','REMOTE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 13:15:38','2021-04-05 16:30:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5035','MR JAHANGIZ','03018543131','HO#1127/3 ST 9/A ALAMA-IQBAL COLONY TENCH BHATTA RWP','9','19','0','SIGNATURE','HOB KI COMPLAINT HAY INVOICE NAI HAY ON PAYMENT',null,'OUT OFF WARRANTY',null,'BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 13:41:45','2021-04-01 11:53:51',null,'1',null,'0');
INSERT INTO complaints VALUES('5036','MR AHMER','03343744866','HO#382 ST 87 SEC G-9/4 ISB','5','34','123109','SAMSUNG','MODAL#Q70R  SALE ADVISOR MARYAM FCI',null,'20-OCT-2020',null,'SOUND SYSTEMS','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 14:02:16','2021-05-27 15:47:36',null,'1',null,'0');
INSERT INTO complaints VALUES('5037','DR SABINA DURRANI','03345066662','HO#528 ST 52 NEAR KARACHI COMPANY SEC G-9/1 ISB','5','28','124734','CARAVELL','MODAL#207BA  COMPLAINT NAVEED FHHS SIR NAY BAJI HAY',null,'30-NOV-2020',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 14:15:35','2021-04-05 16:02:44',null,'1',null,'0');
INSERT INTO complaints VALUES('5038','MR ASAD ULLAH','03361833357','HO#1246 ST 07 SEC I-14/4 ISB','8','39','35996','SIGNATURE','HOOD KI COMPLAINT HAY PTCL CALL INVOICE HAY',null,'03-AUG-2019','SBC-DUBBO90 - 1123','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 15:30:06','2021-04-13 15:36:55',null,'1',null,'0');
INSERT INTO complaints VALUES('5039','MR JAVED AHMED','03009509935','MAJEED HAVELI MAJEED STREET CHAAN DAM CHAKRI ROAD RWP','8','42','47036','HAIER','MODAL#18HFMAC-W-INV',null,'14-MAR-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 16:29:33','2021-04-01 11:18:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5040','MR UMER FAROOQ','03105617233','APP#1-F/3 3rd FLOOR AVINEW MALL DHA PHASE 01 RWP','9','21','207911','KENWOOD','SALE ADVISOR CH MAZHAR',null,'23-MAR-2021','4820FH - 1820','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 16:37:24','2021-04-13 18:01:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5041','MR TARIQ SOHAIL','03335569420','HO#497 ST GALI 15 ST 10 SEC I-10/2 ISB','5','34','97668','LG','0',null,'04-SEP-2018','43UJ634-S - 869','FLAT PANEL TV','PICTURE COLORS  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 16:52:27','2021-04-02 11:51:42',null,'1',null,'0');
INSERT INTO complaints VALUES('5042','MR USMAN','03175445483','HO#04 OPP PSO PUMP MISRIAL ROAD RWP CANNT','7','49','23093','HAIER','SALE ADVISOR ZAHID ATIF SADAR SIR NAY COMPLAINT KARWE HAY',null,'02-MAR-2021','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 16:59:43','2021-04-01 11:14:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5043','MR DILAWER SHAH','03345583999','HO#973 QASIM MARKIT DHOKE CHAUDRIYAN RWP','9','19','124054','LG','MODAL#1496ADP2-32  SALE ADVISOR MUDASSAR SHA PTCL CALL INVOICE HAY',null,'14-NOV-2016',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 17:07:40','2021-04-02 11:51:10',null,'1',null,'0');
INSERT INTO complaints VALUES('5044','MR OMER','03008555723  03008568151','HO#13 ST 31 SEC F-7/1 ISB','5','32','130682','BOSCH','0',null,'22-MAR-2021','135D0GC - 907','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 17:32:18','2021-04-07 12:44:14',null,'1',null,'0');
INSERT INTO complaints VALUES('5045','MR ASIM','03328504081','HO#364 ST 58 SEC G-10/4 ISB','5','33','118453','GREE','0',null,'30-JUN-2020','18FITH1W - 915','AIR CONDITIONER','ERROR 4-C',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-29 17:46:46','2021-04-01 11:05:36',null,'1',null,'0');
INSERT INTO complaints VALUES('5046','MR AHMAR','03025334400','HO#01 ST 43 SEC G-7/4 ISB','5','31','78984','FIVE STAR','35G-WIN-FS    COMPLAINT KABEER FCI SIR NAY BAJI HAY',null,'14-OCT-2016',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 10:57:38','2021-04-10 12:53:48',null,'1',null,'0');
INSERT INTO complaints VALUES('5047','MR AMJAD','03359787303','HO#04 ST 44 SEC F-8/1 ISB','5','30','102908','HAIER','0',null,'18-MAR-2019','438ITB - 896','REFRIGERATOR','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 11:24:23','2021-04-02 12:19:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5048','COL ASIF','03005006624','HO#22 CIRCULER AVENUE SAFARI VILLA 01 ISB','6','15','30588','SAMSUNG','MODAL#55TU8500-MRM S/N OANE36PN900249F',null,'21-NOV-2020',null,'FLAT PANEL TV','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 11:34:41','2021-03-30 13:30:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5049','SUMMIT BANK','03066152364    03465529922','SUMMIT BANK LIMITED SHAMSA BAD RWP','8','47','24601','HAIER','SALE ADVISOR SOHAIL MAJEED',null,'04-MAR-2021','12LTH-W - 912','AIR CONDITIONER','OUTER FAN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 11:59:45','2021-04-02 12:16:28',null,'1',null,'0');
INSERT INTO complaints VALUES('5050','MR KAMRAN MALIK','03005010133','HO#17 ST 63 SEC F-7/3 ISB','5','28','0','SAMSUNG','MODAL#UA85JU7000K',null,'0',null,'FLAT PANEL TV','MOTHER BOARD ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 12:54:55','2021-04-29 11:25:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5051','MR TANVEER','03365418930','NEAR HABIB BANK 6 ROAD DHOK PARACHA RWP','9','27','202267','MITSUBISHI','0',null,'14-DEC-2020','50VA - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 13:23:16','2021-04-01 11:21:24',null,'1',null,'0');
INSERT INTO complaints VALUES('5052',null,null,null,'6',null,null,'ORIENT','000000',null,null,'55S-FANTASY - 942','FLAT PANEL TV','55S-ANIMATION REMOTE MISSING',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-03-30 13:27:20','2021-04-27 12:53:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5053',null,null,null,'6',null,null,'SIGNATURE','000000',null,null,'SSO-MO15 - 1200','MICROWAVE OVEN','MO15-MO16-MO22 PLATE MISSING ALREADY COMPLAIN REGISTER FEW MONTH AGO',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-03-30 13:28:31','2021-04-01 11:20:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5054',null,null,null,'6',null,null,'KENWOOD','000000',null,null,'2435S-INV - 917','AIR CONDITIONER','2436 MODEL PCB ISSUE STILL ISSUE NOT RESOLVED',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-03-30 13:30:10','2021-04-08 17:45:55',null,'1',null,'0');
INSERT INTO complaints VALUES('5055','MR SAJID MEHMOOD','03018111828','HO#32-A RAWAY HOUSING SCREEM 1-A CHAKLALA RWP','9','23','207383','HAIER','0',null,'14-MAR-2021','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 13:38:28','2021-04-02 12:14:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5056','MR QADIR  JAN','03469737498','HO#18-E ST 70 SEC G-6/4 ISB','5','53','1725','HAIER','MODAL#438TPR-1337',null,'25-MAR-2021',null,'REFRIGERATOR','POWER PLUG  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 13:52:34','2021-04-02 12:11:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5057','MR SAIF','03495595287','OFFICE#S-87 2nd FLOOR MALIKABAD PLAZA 6 ROAD RWP','9','26','207029','CARAVELL','MODAL#204B',null,'08-MAR-2021',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 14:00:04','2021-04-27 14:34:33',null,'1',null,'0');
INSERT INTO complaints VALUES('5058','MR JAVED','03015549158','HO#200/1 ABBASI STREET SHAMSABAD RWP','8','39','45564','CANON','0',null,'06-JAN-2021','16D-PLUS-DUAL - 1030','GEYSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 14:07:13','2021-04-03 13:27:08',null,'1',null,'0');
INSERT INTO complaints VALUES('5059','MR ASIF RAZA','03215300663','HO#4-A ST 34 SEC F-8/1 ISB','9','26','159463','SIGNATURE','MICROWAVE KI COMPLAINT HAY  PTCL CALL INVOICE HAY',null,'13-OCT-2018','25CG - 1731','BUILT IN APPLLIANCES','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 14:17:08','2021-04-13 14:26:34',null,'1',null,'0');
INSERT INTO complaints VALUES('5060',null,null,null,'6',null,null,'ORIENT','000000',null,null,'40S-TRUMPET - 938','FLAT PANEL TV','PANEL MEIN SPOT HEI...MODEL 39HD-ACTION',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-03-30 14:46:54','2021-05-03 12:30:57',null,'1',null,'0');
INSERT INTO complaints VALUES('5061','MR ABDUL REHMAN','03215840474','HO#DD-196 MADINA TOWN SHAMSABAD RWP','8','39','43915','CARAVELL','MODAL#203R SALE ADVISOR HASSAN FHHS SIR',null,'01-DEC-2020',null,'WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 14:59:29','2021-04-02 11:43:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5062','MR ABID SUBANI','03035979177','HO#322 NEAR RAWAL TOWN WATER TANKI ISB','5','28','0','SAMSUNG','ON PAYMENT INVOICE NAI HAY',null,'OUT OFF WARRANTY',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 15:07:16','2021-04-10 12:52:01',null,'1',null,'0');
INSERT INTO complaints VALUES('5063','MR  JIBRAN AHMAD','03315567561','FLAT#331 BLOCK-B BAHRIA HIEGHTS PHASE 01 BAHRIA TOWN RWP','6','14','11057','LG','SALE ADVISOR NAVEED',null,'17-OCT-2019','442HMHU-S - 746','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 15:38:30','2021-04-02 11:19:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5064','SYED NASIRULHASAN','03335172379','HO#112 MAIN STEET FAZAL TOWN FACE 1 NEAR SHAK KHALID  COLONY RWP','9','22','196782','CORONA','SALE ADVISOR NAVEED',null,'27-SEP-2020','351C - 1533','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 15:45:56','2021-04-02 11:46:08',null,'1',null,'0');
INSERT INTO complaints VALUES('5065','MR RAHID','03337392463','HO#K-27 ROAD-D ABU-BAKAR BLOCK PHASE 08 RWP','4','6','16764','FIVE STAR','SALE ADVISOR AZHAR',null,'17-OCT-2020','55G-SUPREME - 1538','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 15:54:50','2021-04-02 11:48:02',null,'1',null,'0');
INSERT INTO complaints VALUES('5066','MAZHAR FCP','03139899001','FRIEND CORPORATION GUL NOOR MARKET RWP','9','23','207580','KENWOOD','2 W/M KI COMPLAINT HAY  complaint customer ki hay visit to showroom',null,'17-MAR-2021','1012SA - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 16:04:03','2021-04-05 13:22:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5067','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','HAIER','MODAL#345SD  D/W KI COMPLAINT HAY','2021-03-30',null,null,'WASHING MACHINE','DOOR DANTID',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 16:26:01','2021-04-13 14:10:50',null,'1',null,'0');
INSERT INTO complaints VALUES('5068','MR AKRAM','03332918142','HO#1124 NILAM ROAD SEC G-9/4 ISB','5','31','89769','SIGNATURE','PTCL CALL INVOICE HAY',null,'02-DEC-2017','SWM-SR45 - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 16:35:37','2021-04-07 15:38:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5069','MR GULZAR','03469375918','HO#564 ST 02 DHOK PARACHA SADKA BAD RWP','9','51','152228','HAIER','SALE ADVISOR CH MAZHAR',null,'14-MAY-2018','246ECS-HR - 857','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 16:56:52','2021-04-03 13:24:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5070','MAZHAR FCP','03139899001','FRIEND CORPORATION GUL NOOR MARKET RWP','9','23','204942','FIVE STAR','MODAL#35G-TWIN  COMPLAINT CUSTOMER KI HAY VISIT TO SHOW ROOM',null,'02-FEB-2021',null,'GEYSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 17:05:49','2021-05-19 13:09:01',null,'1',null,'0');
INSERT INTO complaints VALUES('5071','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','19','0','FIVE STAR','MAX  RANGE',null,'0','900MC','COOKING RANGE','DENTED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-30 17:38:30','2021-04-07 11:22:55',null,'1',null,'0');
INSERT INTO complaints VALUES('5072','MR IRSHAD AHMAD','03350079751','HO#58 ST 09  THORI ADDA RWP','8','38','44282','ORIENT','SALE ADVISOR NAVEED',null,'04-DEC-2020','AUTO8 - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 10:40:46','2021-04-12 17:37:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5073','MR HARIS FEROZE','03315222008','HO#32 GULISTAN-E-JANAH COLONY FAIZABAD RWP','8','39','44176','FIVE STAR','SALE ADVISOR MALAIKA',null,'03-DEC-2020','25G-TWIN-SUPREME - 1966','GEYSER','THERMOSTAT  ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-03-31 10:53:41','2021-04-07 11:20:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5074','MISS  BUSHRA','03008545458   0512211320','HO#360 ST 33 SEC F-11/2 ISB','5','53','123296','SAMSUNG','0',null,'26-OCT-2020','32M71207F-S - 1468','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 11:06:25','2021-04-10 12:51:16',null,'1',null,'0');
INSERT INTO complaints VALUES('5075','MR SAAD AHMAD','03135047996','HO#457-B FIRST FLOOR ST 58 SEC I-8/3 ISB','5','33','130477','HAIER','MODAL#438IDBA  COMPLAINT IQBAL STOCK SIR NA BAJI HAY',null,'17-MAR-2021',null,'REFRIGERATOR','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 11:25:29','2021-04-04 12:43:38',null,'1',null,'0');
INSERT INTO complaints VALUES('5076','MRS  ASIM ABBASI','03018508989','HO#214 MAIN MARGALA ROAD SEC F-10/3 ISB','9','51','207806','SONY','MODAL#65X7500H-CC  COMPAINE MODAL',null,'21-MAR-2021',null,'FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 11:34:26','2021-04-05 18:04:10',null,'1',null,'0');
INSERT INTO complaints VALUES('5077','MR AYAN AHMED','03349554889   03424691674','HO#141 ST 08 BLOCK-C SEC B-17 ISB','9','51','202782','SAMSUNG','MODAL#50TU7000-MRM   S/N OAJY36PNB00023P',null,'23-DEC-2020',null,'FLAT PANEL TV','SCREEN LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 12:17:14','2021-04-06 12:22:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5078','IQBAL KRL FRIENDS','03335177221','FRIENDS CORPORATION KRL BRANCH ISB','8','37','0','SIGNATURE','REF TO IQBAL KRL',null,'0','SCF-HM08 - 954','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 12:29:39','2021-04-15 12:14:02',null,'1',null,'0');
INSERT INTO complaints VALUES('5079','MR SOHAIL','03008500868','OFF#CLOUD TEK ST#07 NEAR AZEEM MOTORS  SEC I-10/3 ISB','9','22','207769','ORIENT','0',null,'21-MAR-2021','18G-HYPER-SW - 915','AIR CONDITIONER','OUTER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 12:52:46','2021-04-07 11:57:10',null,'1',null,'0');
INSERT INTO complaints VALUES('5080','MRS ARSHAD','03334887697','HO#979 ST 92 SEC I-8/4 ISB','5','28','0','SAMSUNG','CUSTOMER NAY LAHORE SAY PERCHAGE KI THI W/M  ON PAYMENT',null,'OUT OFF WARRANTY',null,'WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 13:18:21','2021-04-27 14:29:08',null,'1',null,'0');
INSERT INTO complaints VALUES('5081','MR ALI ABBAS','03333111114','HO#74 ST 18 PAKISTAN TOWN PHASE 02 RWP','4','7','18358','PANASONIC','0',null,'06-DEC-2020','GS1 - 1364','DOMESTIC APPLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 13:22:37','2021-04-01 11:20:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5082','BRIG RAZA NAQVI','03215189292','HO#30 LANE 03 OPP JHANDA CHICHI ASKARI 10 RWP','9','51','120882','SAMSUNG','MODAL#55JU6000-S',null,'28-AUG-2016',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 13:42:34','2021-04-05 13:54:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5083','MR HASHMAT','03311485925  03334036046','HO#35 ST 786 SEC G-13/4 ISB','5','33',null,'HAIER','0',null,'25-MAR-2021','95-1678HWM - 1817','WASHING MACHINE','LOCK  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 13:50:16','2021-04-03 12:51:45',null,'1',null,'0');
INSERT INTO complaints VALUES('5084','MR TARIQ','03219547123','HO#CB-1117 YASIR STREET AFSHYAN COLONY RWP CANTT','9','23','202661','BOSCH','0',null,'21-DEC-2020','24462GC - 902','WASHING MACHINE','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 13:58:15','2021-04-03 12:36:15',null,'1',null,'0');
INSERT INTO complaints VALUES('5085','MR TARIQ','03219547123','HO#CB-1117 YASIR STREET AFSHYAN COLONY RWP CANTT','9','23','202661','WHIRLPOOL','MODAL#30WC',null,'21-DEC-2020',null,'MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 14:04:30','2021-04-03 12:34:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5086','MR REHMAN','03215563249','HO#40-C LANE 03 GULISTAN COLONY NEAR AYUB NATIONAL PARK RWP','9','26','193041','GREE','PTCL CALL INVOICE HAY',null,'17-JULY-2020','9978EG-CB2 - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 14:12:13','2021-04-03 12:20:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5087','MISS PARVEEN','03333697430  03315443778','HO#1094 ST 07 SEC OVERSEAS 06 PHASE 08 BAHRIA TOWN RWP','5','30','100991','LG','0',null,'29-DEC-2018','1066NEFTW-S - 902','WASHING MACHINE','ERROR-E1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 14:28:58','2021-04-04 11:24:55',null,'1',null,'0');
INSERT INTO complaints VALUES('5088','DR HASNAT','03335121736','HO#27 ST 35 SEC-C ORCHARD  DHA 01 ISB','6','15','25629','BOSCH','0',null,'13-JAN-2020','24462GC - 902','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 14:44:15','2021-04-03 12:11:06',null,'1',null,'0');
INSERT INTO complaints VALUES('5089','MR WAQAR YOUSAF','03125879969','HO#899 ST 28 SEC G-9/1 ISB','5','30','130315','SAMSUNG','MODAL#80J5446-S  PTCL CALL INVOICE HAY',null,'13-MAR-2021',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 15:01:50','2021-04-05 18:03:44',null,'1',null,'0');
INSERT INTO complaints VALUES('5090','MR ASKARI SYED','03005497606','HO#12 ST 07 SAFFARI VILLAS 01 BAHRIA TOWN NEAR CAR CHOCK RWP','6','13','32516','SIGNATURE','OVEN KI COMPLAINT HAY',null,'09-JAN-2021','SBO-AR4R - 1124','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 15:09:59','2021-06-02 16:21:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5091','MR ABDULLAH','03361017347  03235222250','HO#05 HADIR LANE SERVICE STREET DEFIANCE ROAD NEW LALAZAR RWP','9','19','207203','FIVE STAR','MODAL#900MC  SALE ADVISOR RIFFAT SIR COMPLAINT B RIFFAT SIR NAY BAJI HAY',null,'10-MAR-2021',null,'COOKING RANGE','BUTTON ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 15:37:37','2021-04-03 12:52:31',null,'1',null,'0');
INSERT INTO complaints VALUES('5092','MRS MASOOD','03331940840  03215255123','RWP','9','24','124097','SIGNATURE','VISIT TO BEST COOL',null,'15-NOV-2016','55WB-S - 887','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 16:11:52','2021-04-22 12:53:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5093','DR SAQIB MEHMOOD','03455104033','HO#121 ST 05 SEC-B ZARAJ HOUSING SOCIETY OPP GIGA MALL GT ROAD RWP','8','37','23577','SONY','SALE ADVISOR IFTIKHAR HUSSAIN COMPLAINT IQBAL KRL SIR   NAY BAJI HAY',null,'28-SEP-2020','40W650D-CC - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 16:50:34','2021-04-07 15:22:49',null,'1',null,'0');
INSERT INTO complaints VALUES('5094','MR ASIF','03365122695','FRIEND CORPORATION BLUE AREA','5','28','126933','ORIENT','MODAL#20MPOPCORN-SB  SALE ADVISOR ABU BAKAR NAY COMPLAINT BAJI HAY  COMPLAINT CUSTOMER KI HAY VISIT TO SHOWROOM',null,'08-DEC-2020',null,'MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-03-31 17:08:07','2021-04-05 12:06:19',null,'1',null,'0');
INSERT INTO complaints VALUES('5095','MR TANVEER','03365418930','NEAR HABIB BANK 6 ROAD DHOK PARACHA RWP','9','23','202267','MITSUBISHI','0',null,'14-DEC-2020','50VA - 915','AIR CONDITIONER','PCB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 10:29:26','2021-04-05 12:02:36',null,'1',null,'0');
INSERT INTO complaints VALUES('5096','MRS SAFIA AKBAR','03357794229','HO#347 ST 47 MARGALLA TOWN PHASE 02 RWP','5','32','111202','PANASONIC','0',null,'25-NOV-2019','135A1F-S - 1912','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 10:45:11','2021-05-03 12:12:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5097','SAJID GODOWN FHHS','03135978937','HO#CB-35 MANDAAN KAKOOL ROAD LOWER JINNAH ABAD ABOTABAD','6','12','34033','BOSCH','MODAL#12TQ5OM  SALE ADVISOR MOHSIN  HOME SOLUTION NAY COMPLAINT BAJI HAY COMPLAINT CUSTOMER KI HAY',null,'31-MAR-2021',null,'COOKING RANGE','JET ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 11:11:06','2021-04-06 12:30:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5098','MR RAHAT','03349842424','HO#254 ST 32 BLOCK-C PWD ISB','4','8','7446','SIGNATURE','MODAL#MWS-JD47C  PTCL CALL INVOICE HAY',null,'28-JAN-2019',null,'WASHING MACHINE','FILTER#NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 11:29:54','2021-04-05 12:03:03',null,'1',null,'0');
INSERT INTO complaints VALUES('5099','MR BILAL-U-REHMAN','03000955009','ISB','5','36','106297','SIGNATURE','COMPLAINT CUSTOMER KI HAY VISIT FCI SHOWROOM PAR KARWANA HAY',null,'22-JUN-2019','SSO-MO18 - 1172','MICROWAVE OVEN','SOUND ISSUE',null,'8',null,null,'customer','0',null,'92','2021-04-01 11:34:04','2021-07-14 16:43:56',null,'1',null,'0');
INSERT INTO complaints VALUES('5100','SH RIAZ AHMAD','03215148096','HO#14 ST 42 SEC F-8/1 ISB','5','28','71714','SAMSUNG','HARIS FCI SIR NAY COMPLAINT BAJI HAY',null,'09-DEC-2015','1702W5W - 898','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 11:45:41','2021-05-03 12:11:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5101','MRS JAVED','03360006062  03105392445','HO#68 ST 16 SEC F-11/2 ISB','5','34','112542','SAMSUNG','SALE ADVISOR GHIAS KHAN',null,'15-DEC-2019','70H4200-S - 1483','WASHING MACHINE','ERROR 4-E',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 12:04:58','2021-04-19 10:33:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5102','MR SAAD','03435708838','HO#81 ST 06 GULSHANAY SEHAT ROAD  SEC-E/18 ISB','5','28','127331','SIGNATURE','HOB KI COMPLAINT HAY',null,'21-DEC-2020','HC-3761S - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 12:14:00','2021-04-07 11:19:59',null,'1',null,'0');
INSERT INTO complaints VALUES('5103','MR RIAZ','03205047574  03369545112','HO#I-460 TALI MOHALA  ASHIQ IMMAM BARGA RWP','9','21','204779','DAWLANCE','SALE ADVISOR MURTAZA',null,'30-JAN-2021','6100DW - 880','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 12:23:35','2021-04-04 12:36:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5104','MR YUNAS','03335355695','FLAT#07 BLOCK-08 CATAGARE 04 PRIME MINISTER COLONY ISB','5','32','48982','KENWOOD','0',null,'06-SEP-2012','930SA-KWM - 901','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 12:41:11','2021-04-06 12:07:18',null,'1',null,'0');
INSERT INTO complaints VALUES('5105','MALIK ABBAS','03335833624  03455570626','HO#1008 ST 44 SEC E-11/3 ISB','5','32','118465','HAIER','0',null,'30-JUN-2020','85-826HWM - 945','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 12:50:25','2021-04-04 12:31:13',null,'1',null,'0');
INSERT INTO complaints VALUES('5106','MR SHABIR','03335288388','HO#82 MAIN MARGALLA ROAD OPP BAHRIA UNIVERSITY SEC F-8/2 ISB','5','33','130188','LG','0',null,'10-MAR-2021','4V5RGP2T-S - 899','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 13:00:04','2021-04-05 18:03:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5107','MR ADIL','03335507829  03018362219','SHOP# WARIS NIHARI OPP DIGREE COLLEGE SATELLITE TOWN RWP','8','39','40759','CARAVELL','0',null,'03-JULY-2020','1600MEC - 2013','CHILLER','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 13:30:34','2021-04-04 12:32:50',null,'1',null,'0');
INSERT INTO complaints VALUES('5108','MR MAAZ ZULFIQAR','03345510722','HO#631 ST 32 SEC G-10/1 ISB','8','40','47327','HAIER','0',null,'25-MAR-2021','578TBG - 910','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 13:59:31','2021-04-12 17:35:47',null,'1',null,'0');
INSERT INTO complaints VALUES('5109','SYED NOUMAN BUKHARI','03215227819','HO#69 ST 02 SEC-C ZIRAJ HOUSING SOCIETY OPP GIGA MALL RWP','8','39','43808','SIGNATURE','HOB KI COMPLAINT HAY',null,'29-NOV-2020','SBC-PERTH90 - 1123','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 14:08:15','2021-04-09 16:02:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5110','MR ARSLAN AHMED','03161585556','HO#27 LANE 02 DAD KHAN COLONY CHAKLALA SCHEME 03 RWP','5','53','131042','LG','MODAL#680HLCU-CC',null,'31-MAR-2021',null,'REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 15:33:37','2021-04-05 18:02:32',null,'1',null,'0');
INSERT INTO complaints VALUES('5111','MR ARSLAN SOHAIL','03005797486  03215888836','HO#CB-1928/3 ST B-1 MILAD CHOWK DHOK MUSTAQEEM RWP','9','20','196229','ORIENT','0',null,'15-SEP-2020','AUTO8 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 15:59:04','2021-04-04 12:25:22',null,'1',null,'0');
INSERT INTO complaints VALUES('5112','MR MASOOD AHMED','03365108053  03379202377','HO#40 SECTOR THERMAS ROAD SEC G-11/2 ISB','5','35','127914','HAIER','0',null,'08-JAN-2021','62HR - 84','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 16:16:13','2021-04-04 12:13:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5113','MALIK KHURRAM SADDAR','03005548081','FRIEND CORPORATION SADDAR','7','49','0','CORONA','0',null,'0','351C - 1533','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 16:23:41','2021-05-19 13:54:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5114','MR SAEED','03215220452  03215560815','HO#63 LANE 05 GULSTAN COLONY RWP','9','51','207590','LG','MODAL#49UN-7340',null,'17-MAR-2021',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 16:44:01','2021-07-19 15:43:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5115','MR MOBEEN NAEEM','03161313138  03116660333','KHOKAR FARM HOUSE NEAR MUGHAL MARKET OPP DAR-ISLAM KORAL CHOWK ISB','8','38','43758','SIGNATURE','MODAL#SCF-HM11AH  02 FREEZER KI COMPLAINT HAY',null,'28-NOV-2020','SCF-HM10 - 955','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-01 17:03:44','2021-04-15 17:10:50',null,'1',null,'0');
INSERT INTO complaints VALUES('5116','REHEEL KHAN','03165312065','GROCERY NET CASH& CARRY NER THZEEB BAKERS O9 POLICE FOUNDATION PWD','4','7','19848','CARAVELL','0',null,'01-MAR-2021','1200MEC - 1559','CHILLER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-02 12:38:30','2021-04-07 11:32:56',null,'1',null,'0');
INSERT INTO complaints VALUES('5117','HASSAN AYAZ','03458502752','HO#24 ST#02 BLOCK B NAVEL ANCHORAGE ISB','8','37','44179','CANON','CANNON HOOD',null,'03-DEC-2020','U-1 - 1123','BUILT IN APPLLIANCES','FAN SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-02 12:41:14','2021-04-04 11:48:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5118','MT TARIQ','03028541190','HO#17 ST#37 F-7/1 ISB','5','28','131018','SIGNATURE','MODEL C595-1117(C/O ABU BAKAR FCI)',null,'30-MAR-2021',null,'BUILT IN APPLLIANCES','DEMO REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-02 16:09:41','2021-05-04 15:58:08',null,'1',null,'0');
INSERT INTO complaints VALUES('5119','MR FRAZ','03335087088','HO#329 ST#100 E-11/1 ISB','9','24','186705','LG','0',null,'09-FEB-2020','9588NEHVA-S - 901','WASHING MACHINE','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-02 16:24:15','2021-04-19 11:21:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5120','M AFZAL JOYIA','03430514396','SHOP#18 ASKAN PLAZA E 11/3 ISB','9','23','1807','CARAVELL','0',null,'30-MAR-2021','1000MEC - 978','CHILLER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-02 16:31:14','2021-04-05 11:40:06',null,'1',null,'0');
INSERT INTO complaints VALUES('5121','KHUWAJA MANSOOR','03005146805','HO#12 ST#31 KORANG TOWN ISB','4','6','11129','SIGNATURE','SIG HOB(SBH-AC750S(SBH-AC930S)(INVOCE NAVEED FHHS  NA FF KI)',null,'22-OCT-2019','SBH-AB900S - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-02 16:47:25','2021-04-15 13:19:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5122','SAQIB SAB','03135246555','HO#1018 MODREN ST MOHALLAH DARA SAYDHA BARAKAHO','5','53','130327','HAIER','0',null,'13-MAR-2021','120-1789HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-02 16:52:56','2021-04-04 13:04:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5123','MR MAAZ ZULFIQAR','03345510722','HO#631 ST 32 SEC G-10/1 ISB','8','40','47327','SAMSUNG','15J5730S-S-1381',null,'25-MAR-2021',null,'WASHING MACHINE','DEMO REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-02 17:12:57','2021-04-04 11:22:54',null,'1',null,'0');
INSERT INTO complaints VALUES('5124','MRS NAZIA','03003819288','HO#03/12 IN CONTACT COLONY#01 RASHID MINAS ROAD RWP','8','37','0','FIVE STAR','C/O OMER SIR  KHURRAM GOOGLE SIR',null,'0',null,'COOKING RANGE','NOB#GRILL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-03 11:18:04','2021-04-09 16:01:43',null,'1',null,'0');
INSERT INTO complaints VALUES('5125','MR SHAHZAR','03335292227','HO#13 ST 09  MVHS SOCIETY NEAR SANGJANI TOLL PLAZA SEC D-17/2 ISB','9','19','197443','FIVE STAR','MODAL#35G-TWIN',null,'11-OCT-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-03 12:37:59','2021-04-09 15:52:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5126','MR ADIL SALEEM','03335538823  03325175121','HO#P-1625-A9-A1 MELAD STREET ASGHR MALL DEGREE COLLEGE ROAD RWP','9','27','162196','SAMSUNG','PTCL CALL INVOICE HAY',null,'07-DEC-2018','80J4260-S - 899','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-03 12:47:19','2021-04-05 12:00:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5127','MR AHMED USMAN','03134002006  03335150807','HO#509 ST 07 HILL-VIEW LANE ADYALA ROAD RWP','9','26','121546','SIGNATURE','PTCL CALL INVOICE HAY',null,'10-SEP-2016','CG1-SS - 956','FREEZER','COMPRESSOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-03 13:02:56','2021-04-10 12:50:42',null,'1',null,'0');
INSERT INTO complaints VALUES('5128','MR MUMTAZ','03339492403','HO#200 ST 11 SEC B-1 DHA PHASE 01 ISB','9','19','0','TOSHIBA','CUSTOMER K PASS INVOICE NAI HAY ON PAYMENT JOB',null,'OUT OFF WARRANTY',null,'WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-03 13:16:14','2021-04-05 15:48:47',null,'1',null,'0');
INSERT INTO complaints VALUES('5129','MR SHAHRUKH MIRZA','03008250203','NO#2-A ST 70 SEC F-8/3 ISB','5','28','0','SIGNATURE','COMPLAINT AZHAR FCI SIR NAY BAJI HAY CUSTOMER K PASS INVOICE NAI HAY ON PAYMENT JOB',null,'OUT OFF WARRANTY',null,'COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-04 10:35:22','2021-04-15 11:33:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5130','MR SUHAIB','03368419893','PLOT#55 SH#03 GROUD FLOOR PLAZA#55 KUSIA ARKIT PHASE 07 RWP','6','12','29712','HOMAGE','0',null,'23-SEP-2020','81HWD - 993','WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-04 11:11:06','2021-04-07 11:04:18',null,'1',null,'0');
INSERT INTO complaints VALUES('5131','MR ZAHEER','03200880584','OFFICERS MESS PAKISTAN AIR FORCE BASE MM ALAM MIANWALI','6','12','33935','SAMSUNG','S/N OAJS36PR200348L  MODAL#55TU7000-MRM  SALE ADVISOR ZARA  COMPLAINT ADEEL BAHRIA SIR NAY BAJI HAY',null,'28-MAR-2021',null,'FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-04 12:52:30','2021-04-12 17:32:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5132','MR ABDUL HADI','03347350848','HO#532 PAKISTAN TOWN PHASE 01 RWP','4','8','16187','HAIER','0',null,'05-SEP-2020','90-1789HWM - 901','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-04 13:17:02','2021-04-07 11:00:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5133','ATIF SB','03456444467','H NO 387 ST NO 34 SEC F/11-2 ISB','10','46','0','FIVE STAR','C/O SADDIQ AKBAR SB',null,'IN WARRANTY','35G-TWIN SUPREME - 963','GEYSER','TANK REPLACED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-04-04 13:20:18','2021-04-04 13:25:21',null,'1',null,'0');
INSERT INTO complaints VALUES('5134','MR MUDASIR IQBAL','03005281172','HO#686 ST 21 RAFI BLOCK PHASE 08 BAHRIA TOWN RWP','6','16','33792','HAIER','SALE ADVISOR MOHSIN',null,'18-MAR-2021','306IDRT - 894','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-04 14:07:14','2021-04-07 10:57:50',null,'1',null,'0');
INSERT INTO complaints VALUES('5135','NAVEED FCP','03005213783','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','19','0','ECOSTAR','MODAL#351FC',null,'0',null,'WATER DISPENSER','COOLING ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2021-04-04 14:55:40','2021-04-20 12:06:33',null,'1',null,'0');
INSERT INTO complaints VALUES('5136','MR IRFAN KHATAK','03339156686','FLAT#14-A ASKARI-01 CHAKLALA SCHEEM 03 RWP','6','15','33410','HAIER','0',null,'01-MAR-2021','368IDBT - 860','REFRIGERATOR','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-04 15:44:23','2021-04-07 10:53:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5137','MR NADIR KHAN','03145229336','HO#12 ST 19 BLOCK A, SATLITE TOWN RWP','9','19','132278','SIGNATURE','0',null,'26-APR-2017','SRF-KK95G - 903','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-04 16:47:27','2021-04-19 10:31:05',null,'1',null,'0');
INSERT INTO complaints VALUES('5138','MR IMRAN','03315564361','HO#375 ST 47-A MARGALLA TOWN PHASE 02 RWP','8','39','38009','SONY','SALE ADVISOR NAVEED AHMAD',null,'14-DEC-2019','49X7000F-S - 1629','FLAT PANEL TV','REMOTE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-04 16:50:44','2021-04-09 15:37:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5139','MR HASHIM RAZA','03459166023','HO#87 ST 41-A PHASE 02 MARGALLA TOWN ISB','8','39','38930','SIGNATURE','HOB KI COMPLAINT HAY  PTCL CALL INVOICE HAY',null,'03-FEB-2020','SBH-AA760S - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-04 16:57:43','2021-04-13 13:14:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5140','MRS QUDDUS','03335391095','HO#433 ROAD-B PHASE 05 BAHRIA TOWN RWP','4','5','11954','HAIER','PTCL CALL INVOICE HAY',null,'14-DEC-2019','95-1678HWM - 1817','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-04 17:03:07','2021-04-12 17:12:02',null,'1',null,'0');
INSERT INTO complaints VALUES('5141','MR NOUMAN  YOUSAF','03330939504','HO#1786-B ST 01 BLOCK-C NATIONAL POLICE FOUNDATIO SEC O-9 ISB','4','7','8614','SIGNATURE','SALE ADVISOR SALEEM',null,'01-MAY-2019','SWD-HD20-RD - 994','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-04 17:27:19','2021-04-06 12:29:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5142','ANEEQ SIR','03339067013','PLOT#81-F  ST#06 I 10/3 ISB','9','19','0','KENWOOD','MODAL#2436S-INV  STOCK KI COMPLAINT HAY',null,'0',null,'AIR CONDITIONER','PCB ISSUE',null,'5','PARTS MISSING',null,'customer','0',null,'92','2021-04-05 10:49:37','2021-04-20 12:05:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5143','MR AFTAB','03007655194','HO#89/17 ST 25 CHAMNA BAD MISREYAL ROAD RWP CANTT','9','21','203484','SUPER ASIA','SALE ADVISOR MURTAZA',null,'06-JAN-2021','240SHW-CRYSTAL - 1548','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 11:27:53','2021-04-12 16:18:18',null,'1',null,'0');
INSERT INTO complaints VALUES('5144','MR ZAHID','03345324779','HO#44 ST 9 SEC I-8/1 ISB','8','40','47429','KENWOOD','MODAL#25557VCM-SHL',null,'30-MAR-2021',null,'REFRIGERATOR','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 11:34:39','2021-04-12 16:14:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5145','BRIG WASEEM','03332109609 03365832343','HO#20 ST 06 SEC-C DHA 02 ISB','9','51','206391','SAMSUNG','MODAL#64R5331-S  SALE ADVISOR WAQAS ABBASI',null,'27-FEB-2021',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 11:45:10','2021-04-10 12:50:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5146','MR ABDUL SAEED','03350845904','HO#29/63  ST 42 PIPAL COLONY TANCH BATHA RWP','9','24','194591','SONY','0',null,'13-AUG-2020','65X8077G-S - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 11:59:41','2021-04-16 12:37:14',null,'1',null,'0');
INSERT INTO complaints VALUES('5147','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','FIVE STAR','MODAL#9206MH  2 HOB KI COMPLAINT HAY SAME MODAL',null,'0',null,'BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 12:09:48','2021-04-29 11:44:54',null,'1',null,'0');
INSERT INTO complaints VALUES('5148','MR SAQIB','03115540684','HO#20 ST 36 SEC G-6/2 ISB','5','28','129827','SUPER ASIA','MODAL#115PB  SALE  ADVISOR ABU BAKAR',null,'27-FEB-2021',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 12:40:04','2021-04-12 16:01:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5149','NAVEED FCP','03005213783','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','DAWLANCE','MODAL#91999CHROME',null,'0',null,'REFRIGERATOR','POCKET ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 12:51:29','2021-05-03 12:30:08',null,'1',null,'0');
INSERT INTO complaints VALUES('5150','MR FAHEEM ANWER','03203570639  03000355584','HO#319 ST 06 MAIN CIRCULAR ROAD OPP PAKISTAN TOWN PHASE 01 ISB','4','11','20314','TCL','S/N 2002VLR301072A00055  SALE ADVISOR ALI MURTAZA',null,'01-APR-2021','65C8US - 1443','FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 13:34:06','2021-04-13 18:06:39',null,'1',null,'0');
INSERT INTO complaints VALUES('5151','MR RASHID','03215222232','HO#46-F/3 LALAZAR COLONY NEAR MILLAT PUBLIC COLLEGE RWP CANTT','9','23','208573','HAIER','MODAL#405SD',null,'04-APR-2021',null,'FREEZER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 13:49:57','2021-04-12 15:17:13',null,'1',null,'0');
INSERT INTO complaints VALUES('5152','RAJA NAEEM NAWAZ','03335545665','HO#274 ST 67 SEC G-6/1-1 ISB','5','33','102101','SUPER ASIA','SALE ADVISOR TARIQ  MEHMOOD',null,'11-FEB-2019','244SA - 1483','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 13:58:38','2021-04-12 14:58:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5153','MR ABDUL REHMAN','03215840474','HO#DD-196 ABBASI STREET SHAMSABAD RWP','8','37','43915','CARAVELL','MODAL#203R',null,'01-DEC-2020',null,'WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 14:27:09','2021-04-28 11:50:05',null,'1',null,'0');
INSERT INTO complaints VALUES('5154','DR AMEER HUSSAIN','03335167354','HO#418 ST 42  WHITE PARIS SHADE HALL VIP GORI NEAR KHANA PUL RWP','8','39','27127','CORONA','SALE ADVISOR ADIL RASHEED',null,'26-APR-2018','C205 - 14','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-04-05 14:43:56','2021-04-19 15:05:39',null,'1',null,'0');
INSERT INTO complaints VALUES('5155','MR SHAMS-UL-HAQ','03445544032','HO#F-418 OJRI CAMP MADINA TOWN FAZABAD RWP','8','40','41882','ORIENT','PTCL CALL INVOICE HAY',null,'16-AUG-2020','529BL - 128','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 15:32:54','2021-04-09 16:54:52',null,'1',null,'0');
INSERT INTO complaints VALUES('5156','MR SAIF-UL-ISLAM','03005306658  03025467978','HO#178 ST 1-B FALCON COMPLEX NEAR KHANNA PUL CHATTRI CHOWK RWP','5','34','125615','CANON','SALE ADVISOR ABU-BAKAR',null,'04-DEC-2020','CA-1 - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 15:42:42','2021-04-09 16:40:54',null,'1',null,'0');
INSERT INTO complaints VALUES('5157','MR ALI KHAN','03329090389  03315564777','HO#1945 ST 63 PHASE 03 BAHRIA TOWN ISB','8','37','21844','HAIER','PTCL CALL INVOICE HAY',null,'25-APR-2020','80-10829HW - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 15:56:40','2021-04-09 16:35:51',null,'1',null,'0');
INSERT INTO complaints VALUES('5158','MRS BABAR','03225060506','HO#825 GROUND FLOOR ST 77 SEC I-8/3 ISB','5','35','118610','FIVE STAR','0',null,'03-JULY-2020','6000C-FS - 1077','COOKING RANGE','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 16:13:47','2021-04-09 15:20:03',null,'1',null,'0');
INSERT INTO complaints VALUES('5159','MR ASIM FAWAD','03362509222  03008299559','HO#640 UPPER PORTION MAIN NATIONAL POLICE FOUNDATION DOUBLE ROAD SEC E-11/4 ISB','8','37','28128','SIGNATURE','0',null,'11-JUN-2018','SRF-HM100 - 908','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 16:41:57','2021-04-06 17:46:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5160',null,null,null,'6',null,null,'SONY','0000',null,null,'65X7500F-S - 1443','FLAT PANEL TV','INTERNET CONNECT NHI HOTA...',null,'5','REOPEN COMPLAINT',null,'showroom','0',null,'93','2021-04-05 16:52:23','2021-04-09 12:59:02',null,'1',null,'0');
INSERT INTO complaints VALUES('5161','BUTT STOCK PWD','03115006051','FRIEND CORPORATION PWD','4','7','0','DAWLANCE','0',null,'0','1035WBGD-VF - 1467','FREEZER','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 17:13:52','2021-04-13 14:10:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5162','BUTT STOCK PWD','03115006051','FRIEND CORPORATION PWD','4','7','0','TCL','S/N 1912VLR301001A00049',null,'0','55P8S - 942','FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 17:24:38','2021-04-27 12:52:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5163','MR ZAFAR ALI','03205555045','HO#304 ST 17 BLOCK-A GULBERG GREENS ISB','5','30','110267','LG','0',null,'19-OCT-2019','257CSAV-S - 909','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 17:36:12','2021-04-06 12:29:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5164','MR LATIF SHAH','03435004315  03225387725','HO#27-B COMMERCIAL CENTER SATELLITE TOWN NEAR REFRESHMENT CENTER RWP','9','24','208094','BOSCH','0',null,'28-MAR-2021','24462GC - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 17:43:40','2021-04-09 16:01:15',null,'1',null,'0');
INSERT INTO complaints VALUES('5165','MR RAZAQ','03455160202','OFFICE#1-2-3 1st FLOOR PAK LAND BUSSNIESS CENTER SEC I-8 MARKAZ ISB','8','43','19485','ORIENT','2 UNIT MAY ISSUE HAY MODAL SAME HAY',null,'19-JULY-2019','25AE2-SL - 917','AIR CONDITIONER','HEATING#COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-05 17:53:51','2021-04-09 15:52:06',null,'1',null,'0');
INSERT INTO complaints VALUES('5166','MRS KALSOOM FATIMA','03028551111','HO#19 ST 19 SEC G-8/1 ISB','5','36','119632','DAWLANCE','SALE ADVISOR KABEER',null,'23-JULY-2020','1035WBGD-VF - 1467','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 11:28:46','2021-04-06 11:31:51',null,'1',null,'0');
INSERT INTO complaints VALUES('5167','MRS KALSOOM FATIMA','03028551111','HO#19 ST 19 SEC G-8/1 ISB','5','36','119632','DAWLANCE','SALE ADVISOR KABEER',null,'23-JULY-2020','1035WBGD-VF - 1467','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 11:29:14','2021-05-03 12:38:57',null,'1',null,'0');
INSERT INTO complaints VALUES('5168','MR FAISAL','03116660333  03365312513','FLAT#04 BLOCK F-2  ZTBL COLONY SEC G-7/2 ISB','5','5','94487','SIGNATURE','0',null,'14-MAY-2018','40DN6 - 938','FLAT PANEL TV','PANEL DOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 11:41:56','2021-04-12 13:35:53',null,'1',null,'0');
INSERT INTO complaints VALUES('5169','MR ADNAN','03335615997','HO#49 ST 49 SEC G-6-1/3 ISB','5','29','120536','ECOSTAR','MODAL#351FC',null,'10-AUG-2020',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 11:48:09','2021-04-09 14:50:51',null,'1',null,'0');
INSERT INTO complaints VALUES('5170','BUTT STOCK PWD','03115006051','FRIEND CORPORATION PWD','4','7','0','SAMSUNG','MODAL#40N5300  STOCK KI COMPLAINT HAY VISIT TO SHOWROOM',null,'0',null,'FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 12:19:30','2021-06-05 15:08:18',null,'1',null,'0');
INSERT INTO complaints VALUES('5171','MR ZAHID','03368800306 03335162357','HO#849 ST 26 SEC G-9/1 ISB','5','33','130919','DAWLANCE','MODAL#91999AVANTE-EG',null,'28-MAR-2021',null,'REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 12:29:21','2021-04-09 15:22:07',null,'1',null,'0');
INSERT INTO complaints VALUES('5172','MR AYAN','03215142027','FLAT#01  GROUND FLOOR NEAR ALLITE  SCHOOL DHOK KALA KHAN RWP','8','40','44531','HAIER','0',null,'05-DEC-2020','40K6600G - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 12:37:23','2021-04-13 13:06:15',null,'1',null,'0');
INSERT INTO complaints VALUES('5173','MR AWAIS','03335138506  03434111222','HO#38-A/4 BLOCK-A NEAR BILAL HOSPITAL RWP','9','27','201420','FIVE STAR','MODAL#900MC',null,'06-DEC-2020',null,'COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 13:14:59','2021-04-09 15:19:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5174','MR MAJID','03365556063  03325221613','LANE#12 NEAR AL-JANET KHAN BAKERS BANI STOP LALAROKH COLONY CHAKRI  ROAD RWP','9','22','178995','DAWLANCE','0',null,'22-SEP-2019','9150LFDS-GB - 858','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 13:41:57','2021-04-09 12:44:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5175','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','SONY','MODAL#55X7500H-CC  STOCK KI COMPLAINT HAY VISIT TO SHOWROOM',null,'0',null,'FLAT PANEL TV','SOFTWARE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 13:50:19','2021-04-27 13:29:18',null,'1',null,'0');
INSERT INTO complaints VALUES('5176','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','SAMSUNG','MODAL#40N5300  STOCK KI COMPLAINT HAY VISIT TO SHOWROOM',null,'0',null,'FLAT PANEL TV','SOFTWARE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 13:51:56','2021-04-26 15:44:33',null,'1',null,'0');
INSERT INTO complaints VALUES('5177','MR NOOR NABI','03008500833','HO#21 ST 16 SEC-A KURRI ROAD BAHRIA ENCLAVE ISB','5','28','86901','SIGNATURE','SALE ADVISOR IMRAN MUGHAL IQBAL STOCK FCI SIR NAY COMPLAINT BAJI HAY',null,'31-JULY-2017','SWM-SR50 - 905','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 14:03:05','2021-05-29 17:31:13',null,'1',null,'0');
INSERT INTO complaints VALUES('5178','MR SALMAN','03005676992','HO#10 ST 12 SEC-E DHA 01 ISB','6','16','22772','LG','0',null,'24-AUG-2019','4J6VGP2S-S - 2010','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 14:14:54','2021-04-15 17:10:19',null,'1',null,'0');
INSERT INTO complaints VALUES('5179','RIFFAT FCP','03178504625','FRIEND CORPORATION GUL NOOR MARKIT RWP','9','19','208388','CARAVELL','MODAL#204B  COMPLAINT CUSTOMER KI HAY VISIT TO SHOWROOM',null,'31-MAR-2021',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 14:27:53','2021-04-09 12:43:04',null,'1',null,'0');
INSERT INTO complaints VALUES('5180','CH NASIR','03422383838','HO#548 ST 13 SEC-A BAHRIA PHASE 08 RWP','9','26','196648','SAMSUNG','0',null,'24-SEP-2020','32M71207F-S - 1468','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 14:47:06','2021-04-10 12:49:13',null,'1',null,'0');
INSERT INTO complaints VALUES('5181','MR ASAD ALI','03008593032','HO#08 ST 67 SEC F-7/3 ISB','5','33','114227','SIGNATURE','HOB KI COMPLAINT HAY',null,'27-JAN-2020','SBH-AC700G - 1122','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 14:59:00','2021-06-04 15:42:54',null,'1',null,'0');
INSERT INTO complaints VALUES('5182','MR AWAIS','03215216964','HO#874 BLOCK-F NEAR HOLE FAMILY HOSPITAL GADE 03 RWP','9','26','206356','LG','AGAIN COMPLAINT AAGEI HAIN TASK#(4913)',null,'25-FEB-2021','257SLLV-S - 909','REFRIGERATOR','PCB KA ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-06 15:15:06','2021-06-05 12:23:22',null,'1',null,'0');
INSERT INTO complaints VALUES('5183','CH HAFEEZ ULLAH','03455011122','HO#305 ST 17 GULBERG GREEN ISB','9','19','182936','LG','0',null,'12-DEC-2019','1766NEFTS-S - 1486','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 15:18:21','2021-04-16 12:36:48',null,'1',null,'0');
INSERT INTO complaints VALUES('5184','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','TCL','S/N 2010VLR301311A00694','2021-04-06',null,'32S65A - 936','FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2021-04-06 15:26:50','2021-04-13 14:19:28',null,'1',null,'0');
INSERT INTO complaints VALUES('5185','MR BILAL','03349554435','HO#33 SAIHBAN HILL NEAR PUNJAB COLLEGE 17 MILE BHARA-KAHU ISB','8','42','38798','SAMSUNG','S/N 08CD36PN100151L  PTCL CALL INVOICE HAY',null,'25-JAN-2020','49RU7100-MRM - 1629','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 15:44:16','2021-04-09 12:38:54',null,'1',null,'0');
INSERT INTO complaints VALUES('5186','MR ABID SHAH','03085736482','HO#NE-1668 ST 05 MOHALA ASLAMABAD NATION TOWN NEST JAMSHED STOR DHOK KHABA RWP','9','20','143718','SIGNATURE','0',null,'02-DEC-2017','SWM-JD46 - 945','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 15:51:03','2021-04-09 15:01:50',null,'1',null,'0');
INSERT INTO complaints VALUES('5187','MISS GHAZIA KARIM','03342848639','HO#1/1 ST 15 F-15/1 ISB','5','28','127816','SIGNATURE','SALE ADVISOR ABU BAKAR COMPLAINT B BAKAR SIR NAY BAJI HAY',null,'06-JAN-2021','HC-2300G - 1122','BUILT IN APPLLIANCES','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-06 16:06:50','2021-04-06 17:18:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5188','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','TCL','S/N 2003VLR301100A00501',null,'0','32D310 - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLETED',null,'customer','0',null,'92','2021-04-06 16:09:11','2021-04-13 14:19:15',null,'1',null,'0');
INSERT INTO complaints VALUES('5189','MR ADNAN','03005265236','APP#203 WARDA AMNA 03 SEC G-11/3 ISB','5','36','124988','SIGNATURE','HOOD KI COMPLAINT HAY',null,'01-DEC-2020','SBC-ADELAIDE-90PLUS - 1123','BUILT IN APPLLIANCES','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 16:18:36','2021-04-13 13:12:57',null,'1',null,'0');
INSERT INTO complaints VALUES('5190','MR ORANGZAIB','03007966676','HO#03 MAIN SERVICE ROAD SEC E-11/4 ISB','5','33','112399','SAMSUNG','0',null,'14-DEC-2019','43NU7100-S - 869','FLAT PANEL TV','COLOR FADE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 16:43:24','2021-04-09 12:57:49',null,'1',null,'0');
INSERT INTO complaints VALUES('5191','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','DAWLANCE','0',null,'0','550AF-DW - 1200','MICROWAVE OVEN','PLATE MISSING',null,'4',null,null,'customer','0',null,'92','2021-04-06 16:49:14','2021-04-06 16:50:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5192','MR IDRESS','03169260638','HO#1709 ST B-1 PHASE 07 BAHRIA TOWN RWP','6','16','32079','BOSCH','0',null,'13-DEC-2020','20260GC - 880','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 17:00:08','2021-04-09 12:36:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5193','BRIG NAVEED AKBAR','03215161764  03215032828','HO#44 LANE 03 ASKARI 11 NEAR QASIM MARKET RWP','5','28','131052','SIGNATURE','MODAL#C595  SALE ADVISOR ABU BAKAR',null,'31-MAR-2021',null,'COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 17:06:56','2021-04-15 13:17:52',null,'1',null,'0');
INSERT INTO complaints VALUES('5194','IMRAN FCP','03005331105','FRIEND CORPORATION GUL NOOR MARKET RWP','9','51','0','MULTY NET','MODAL#43NX7',null,'0',null,'FLAT PANEL TV','PANEL DOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 17:20:13','2021-05-03 12:27:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5195','MR ANSARI','03018555581','HO#41 ST 26 SEC F-6/2 ISB','8','39','43528','LG','SALE ADVISOR ADIL RASHEED',null,'17-NOV-2020','702HEHU-S - 885','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 17:32:29','2021-04-09 12:56:47',null,'1',null,'0');
INSERT INTO complaints VALUES('5196','MR WAQAS','03234469999  03215128720','HO#141 ST#34 OVERSEAS 05 BAHRIA  TOWN RWP','4','10','33131','SIGNATURE','MODAL#A1 2028  HOOD KI COMPLAINT HAY',null,'13-FEB-2021',null,'BUILT IN APPLLIANCES','PIPE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 17:49:31','2021-04-22 12:52:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5197','ATIF SADAR SIR','03455662238','FRIEND CORPORATION SADAR','7','49','0','MITSUBISHI','ATIF SADAR SIR NAY COMPLAINT BAJI HAY',null,'0','50VA - 915','AIR CONDITIONER','REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-06 18:06:00','2021-04-27 12:50:33',null,'1',null,'0');
INSERT INTO complaints VALUES('5198','WAQAS FCP','03215151945','FRIEND CORPORATION GUL NOOR MARKET RWP','9','24','0','SUPER ASIA','MODAL#115PB   PEL W/D KI COMPLAINT HAY',null,'0',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-07 10:30:48','2021-05-03 12:26:20',null,'1',null,'0');
INSERT INTO complaints VALUES('5199','BRG NADEEM','03217770202','HO#147 ST 08 CHACKLALA  SCHEME 03 RWP','9','24','160898','FIVE STAR','0',null,'12-NOV-2018','55G-TWIN-SUPREME - 1538','GEYSER','WATER LEAKAGE ISSUE',null,'5','complaint closed',null,'customer','0',null,'92','2021-04-07 10:41:15','2021-05-01 16:15:19',null,'1',null,'0');
INSERT INTO complaints VALUES('5200','MR AMJID','03139697345  03338185980','KUTAB DIN SHAH SERVICE AREA 460-N5 NEAR JUNPUR TASEAL KHOTAKI SAKRAH','6','15','33508','MITSUBISHI','02 AC KI COMPLAINT HAY SAME MODAL',null,'06-MAR-2021','50VA - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-04-07 11:37:21','2021-05-29 16:52:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5201','MR OWAIS','03368568563','HO#CB-09 ST 01 GULSHAN-E-SHAFI COLONY RWP','9','26','198652','CANON','MODAL#18DD-NG  PTCL CALL INVOICE HAY',null,'03-NOV-2020',null,'GEYSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-07 11:49:36','2021-04-14 12:18:38',null,'1',null,'0');
INSERT INTO complaints VALUES('5202','MR KASHIF','03333038568','BLOCK#10 FLAT-E GARASE LANE NEAR RAWAL ROAD  RWP','9','27','166085','LG','PTCL CALL INVOICE HAY',null,'14-FEB-2019','4J6TMP0W-S - 1850','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-07 12:03:17','2021-04-22 11:58:34',null,'1',null,'0');
INSERT INTO complaints VALUES('5203','MR MAZHAR HUSSAIN','03005043205','HO#394-B  NEAR ALHADID  MARKET SEC G/7-3-1 ISB','5','30','121340','CANON','0',null,'28-AUG-2020','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-07 12:18:06','2021-04-14 15:06:02',null,'1',null,'0');
INSERT INTO complaints VALUES('5204','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','ORIENT','0',null,'0','18G-HYPER-SW - 915','AIR CONDITIONER','OUTDOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-07 12:26:55','2021-04-27 12:48:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5205','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','ORIENT','6.5KG',null,'0','AUTO8 - 899','WASHING MACHINE','DRUM LEAKAGE ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','1','4833','92','2021-04-07 13:12:38','2021-04-27 12:44:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5206','MR MUSHTAQ','03219595355','HO#351 ST 16 PHASE 03 BAHRIA TOWN RWP','9','20','128464','LG','0',null,'25-FEB-2017','1496TDT24W - 122','WASHING MACHINE','DOOR SOUND ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2021-04-07 13:22:33','2021-04-20 12:04:39',null,'1',null,'0');
INSERT INTO complaints VALUES('5207','MR ADEEL AHMED','03365458045  03315200221','HO#16 CENTER AVENUE PHASE 01 BAHRIA TOWN RWP','9','51','207913','SUPER ASIA','SALE ADVISOR WAQAS ABBASI',null,'23-MAR-2021','240SHW-CRYSTAL - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-07 13:44:12','2021-04-13 15:36:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5208','MR SOHAIL','03205260419  03008250230','DECENT FURNITURE PESHAWAR ROAD RWP','8','37','43759','FIVE STAR','MODAL#35G-HEAVY DUTY',null,'28-NOV-2020',null,'GEYSER','TANG LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-07 15:08:52','2021-05-25 14:38:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5209','MR IMRAN','03455158828','HO#04 UPPER PORTION ST 20 BLOCK-H SOAN GARDENS ISB','9','24','208581','HAIER','0',null,'04-APR-2021','120-1678HWM - 906','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-07 15:33:28','2021-04-10 14:52:34',null,'1',null,'0');
INSERT INTO complaints VALUES('5210','TCL F.P T','03008557478','NATIONAL MARKET R.W.P','10','52','0','TCL','0',null,'0',null,'FLAT PANEL TV','DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-07 15:49:41','2021-04-13 13:12:01',null,'1',null,'0');
INSERT INTO complaints VALUES('5211','MR BILAL','03349554435','HO#33 SAIHBAN HILL NEAR PUNJAB COLLEGE 17 MILE BHARA-KAHU ISB','8','42','0','LG','MODAL#42LN5420  ON PAYMENT JOB   INVOICE NAI HAY',null,'OUT OFF WARRANTY',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-07 17:00:22','2021-04-15 17:05:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5212','MR HAMZA','03215420444','HO#295 ST 35 SEC F-11/3 ISB','5','36','131266','FIVE STAR','MODAL#999MC',null,'05-APR-2021',null,'COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-07 17:33:40','2021-04-09 12:56:19',null,'1',null,'0');
INSERT INTO complaints VALUES('5213','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','ECOSTAR','MODAL#450F',null,'0',null,'WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-07 17:39:11','2021-04-27 12:42:24',null,'1',null,'0');
INSERT INTO complaints VALUES('5214','MR ABDUL REHMAN','03110677716  03348530142','VILLAGE LOWER DHALL POST OFFICE PHAGWARI NEAR NUMBRO MALL   TASIL MURREE','9','24','88545','HAIER','MODAL#843NF  SALE ADVISOR IRFAN',null,'29-APR-2014',null,'REFRIGERATOR','COMPRESSOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-07 17:59:17','2021-04-13 15:29:02',null,'1',null,'0');
INSERT INTO complaints VALUES('5215','MRS RASHID','03335433456','DHA PHASE 02','6','12','28629','ROBAM','MODAL#3048MQ  BEST COOL SIR NAY COMPLAINT BAJI HAY',null,'24-JULY-2020',null,'BUILT IN APPLLIANCES','MOTOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 10:38:29','2021-04-09 12:55:20',null,'1',null,'0');
INSERT INTO complaints VALUES('5216','MR SHOAIB','03235393333   03245393333','HO#5-D GULSHAN COLONY TAXILA','9','19','22508','LG','MODAL#FH4G7TDY5  PTCL CALL INVOICE HAY',null,'24-JUN-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-04-08 10:45:50','2021-04-16 15:39:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5217','NAVEED FCP','03005213783','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','SIGNATURE','0',null,'0','5500S - 1605','COOKING RANGE','NOB DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 10:55:10','2021-04-12 17:29:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5218','MR SADARUDIN','03135009980','HO#15 BAILA ROAD BLOCK-H SOAN GARDEN ISB','4','11','1952','HAIER','SALE ADVISOR MURTAZA',null,'05-APR-2021','622ICG - 908','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 11:15:28','2021-04-10 15:12:10',null,'1',null,'0');
INSERT INTO complaints VALUES('5219','MR SARFRAZ  KHAN','03465075107  03344303063','HO#02 ST 04 PHULGRAN ROAD SHAHPUR  BHARAA-KAHU ISB','9','23','187098','HAIER','SALE ADVISOR MURTAZA',null,'18-FEB-2020','438IPB - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 11:33:11','2021-04-10 15:14:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5220','AZEEM SB','03315420488','FRIENDS GODOWN GULNOOR MARKET RWP','9','19','0','SAMSUNG','REF TO AZEEM SB',null,'0','40N5300-S - 938','FLAT PANEL TV','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-04-08 11:56:25','2021-05-01 15:49:52',null,'1',null,'0');
INSERT INTO complaints VALUES('5221','SAJID FHS','03135978937','FRIENDS CORPORATION SHAMSABAD RWP','8','37','0','HAIER','REF TO JAMIL HAIER',null,'0','438IDBA(3PC)','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-04-08 11:58:48','2021-04-13 13:34:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5222','MR WALEED TAHIR','03225079597','HO#379 ST 23 ZONE 01 GARDEN CITY PHASE 07 BAHRIA TOWN RWP','4','11','20361','VARIOLINE','SALE ADVISOR MURTAZA',null,'05-APR-2021','20STRL-WHT - 993','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 12:21:22','2021-04-12 14:41:16',null,'1',null,'0');
INSERT INTO complaints VALUES('5223','MR TAHIR KHAN','03333333717','HO#282-D ST 55 SEC F-11/4 ISB','5','32','83246','LG','TASK#4813 AGAIN COMPLAINT AY GAE HAY',null,'17-APR-2017','872HBPL-S - 86','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 12:30:22','2021-04-15 17:05:41',null,'1',null,'0');
INSERT INTO complaints VALUES('5224',null,null,null,'6',null,null,'SONY','0000',null,null,'65X7500F-S - 1443','FLAT PANEL TV','internet connect nahi hota...',null,'5','REOPEN',null,'showroom','0',null,'93','2021-04-08 12:31:13','2021-08-07 15:10:06',null,'1',null,'0');
INSERT INTO complaints VALUES('5225','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','SAMSUNG','MODAL#55TU7000',null,'0',null,'FLAT PANEL TV','AUDIO ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 12:40:07','2021-04-26 14:50:41',null,'1',null,'0');
INSERT INTO complaints VALUES('5226','MR RASHID','03345153606  03005114006','HO#149 ST 25 SEC-H BAHRIA PHASE 08 RWP','9','24','111003','LG','0',null,'28-FEB-2016','8507S - 122','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 12:46:32','2021-04-15 17:03:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5227','MR AMIR','03325567400','HO#01 SSP OPRASHION NEAR EXCISE TAXNATION RWP','9','20','205848','SUPER ASIA','0',null,'17-FEB-2021','535GH - 1037','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 13:04:38','2021-04-12 14:39:32',null,'1',null,'0');
INSERT INTO complaints VALUES('5228','MR MOHSIN IQBAL','03323450833','BUILDING THE ATRIUM MAIN BHULEVARD ZARAJ HOUSING SCHEME GT ROAD ISB','8','42','47431','FIVE STAR','MODAL#25G-HEAVY DUTY',null,'30-MAR-2021',null,'GEYSER','THERMOSTAT ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-04-08 13:13:30','2021-06-05 16:17:32',null,'1',null,'0');
INSERT INTO complaints VALUES('5229','MR HASSAN HAFEEZ','03458464005','HO#26 BLOCK-G GULBERG 02 LAHORE','6','14','2443','LG','SALE ADVISOR NAVEED',null,'27-JAN-2018','55SJ800-P - 942','FLAT PANEL TV','SOFTWARE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 13:32:54','2021-04-13 13:11:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5230','MR HAMID AZIZ','03215959331  03008558859','HO#133 ST 37 SEC F-10/1 ISB','5','28','130769','CORONA','SALE ADVISOR ABU BAKAR',null,'24-MAR-2021','505C - 1815','COOKING RANGE','FLAME ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 13:50:23','2021-04-13 14:34:59',null,'1',null,'0');
INSERT INTO complaints VALUES('5231','MR ALI SHAN','03355965717','HO#71-A ST 37 SEC G-7/4 ISB','5','35','127241','CANON','0',null,'19-DEC-2020','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 14:08:07','2021-04-14 13:17:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5232','MR ANSIR','03343977106  03335261245','HO#80/A-2 LANE 06 ASLAM SHAHEED ROAD LALAZAR RWP','8','37','18939','ORIENT','PTCL CALL INVOICE HAY  SALE ADVISOR ZAHID',null,'06-APR-2019','CRYSTAL-C-BLK - 993','WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 15:10:45','2021-04-26 12:12:22',null,'1',null,'0');
INSERT INTO complaints VALUES('5233','MRS DR SIRAJ','03348950817  03341560352','HO#314 MUHALA SATIHA BURDAWARA WALI ABBOTTABAD','5','31','126236','LG','MODAL#2472EFHSTL-C SALE ADVISOR NAEEM AHMED',null,'06-DEC-2020',null,'WASHING MACHINE','ERROR E-2',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 15:31:17','2021-04-13 14:09:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5234','MR ASHRAF','03445084740','VILLAGE NARIANDA  NEAR HIGH SCHOOL PARAMRI AZAD KASHMEER','4','7','20396','HAIER','SALE ADVISOR AZHAR',null,'07-APR-2021','438IDRT - 896','REFRIGERATOR','COOLING  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 15:52:24','2021-04-24 13:19:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5235','MR SABIR','03334559654','HO#29 ST 128 GINAH GARDEN PHASE 01 ISB','5','36','130692','BOSCH','0',null,'22-MAR-2021','135D0GC - 907','WASHING MACHINE','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 16:48:22','2021-04-12 12:39:21',null,'1',null,'0');
INSERT INTO complaints VALUES('5236','MISS FAKHRA','03451539300','HO#13 ST 07 BLOCK-D SOAN GARDEN ISB','6','14','19423','HAIER','SALE ADVISOR SALEEM',null,'31-JAN-2021','150-1708HWM - 1484','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 17:08:10','2021-04-12 12:34:08',null,'1',null,'0');
INSERT INTO complaints VALUES('5237','MISS FAKHRA','03451539300','HO#13 ST 07 BLOCK-D SOAN GARDEN ISB','4','7','5028','SIGNATURE','COMPLAINT KAMRAN BAHRIA SIR NAY BAJI HAY',null,'21-AUG-2018','SCF-HM10 - 955','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 17:18:04','2021-04-10 14:46:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5238','DR FAISAL AMIR','03203006660  03213006701','HO#C-25 ST 07 NAVAL COMPLEX SEC E-8 ISB','5','34','97392','HAIER','0',null,'21-AUG-2018','618WSS - 903','REFRIGERATOR','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 17:25:11','2021-04-13 13:40:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5239','CH SIKANADER','03215113113','HO#16 ST 03 SEC-J DHA 02 ISB','4','5','6224','HAIER','COMPLAINT NAVEED FHHS SIR NAY BAJI HAY  SALE ADVISOR SALEEM',null,'02-DEC-2018','618WSS - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 17:35:00','2021-04-13 13:33:10',null,'1',null,'0');
INSERT INTO complaints VALUES('5240','SARDAR BUILDERS','03008203708  03331420777','BUILDING#3-C ST 41 POWER MARKET SEC G-10/4 ISB','8','42','46963','PANASONIC','MODAL#18WKF-9',null,'10-MAR-2021',null,'AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 17:57:44','2021-04-28 12:25:42',null,'1',null,'0');
INSERT INTO complaints VALUES('5241','HAROON ALTAF','03005124337','HO# 770 ST NO 11 SEC G/11-1 ISB','5','34','119343','SIGNATURE','0',null,'17-JULY-2020','SCF-HM09 - 954','FREEZER','COMPRESSOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-08 18:09:13','2021-04-17 12:12:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5242','M. AWAIS','03331599961','HO#555 ST#15 MARGALLA TOWN PHASE 01 ISB','8','38','47528','ORIENT','0',null,'04-APRIL-2021','531BL - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-09 12:27:29','2021-04-27 14:21:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5243','ASFANDYAR','03469045814','HO#1012 ST#44 E-11/3 ISB','5','36','124747','SIGNATURE','SIG OVEN',null,'30-NOV-2020','MT9R - 1124','BUILT IN APPLLIANCES','GLASS DAMAGE(OVEN KI PIC B ABDUL REHMAN KO WHATS APP KAR DI',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-09 15:10:11','2021-04-17 12:11:50',null,'1',null,'0');
INSERT INTO complaints VALUES('5244','MRS BARNEY','03025237016','HO#743 ST#B 6/1 BLOCK B PWD','6','14','9624','FIVE STAR','0',null,'01-JULY-2019','999C-FS - 1965','COOKING RANGE','NOB &BUTTON PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-09 15:48:02','2021-04-13 13:34:10',null,'1',null,'0');
INSERT INTO complaints VALUES('5245','ALI FCI','03125091656','FRIENDS CORPORATION BULE AREA ISB','5','33','124894','CARAVELL','CANNON MODEL 207B-1609(SHOWROOM PA VISIT ARRANGE KARWAY',null,'01-DEC-2020',null,'WATER DISPENSER','TAP PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-09 15:55:48','2021-04-13 13:04:04',null,'1',null,'0');
INSERT INTO complaints VALUES('5246','TAHIR','03412000002','HO#213 ST#52  G -10/2 ISB','9','22','207863','CANON','MODEL400GD-GNG',null,'22-MAR-2021',null,'REFRIGERATOR','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-09 16:58:46','2021-04-13 13:01:08',null,'1',null,'0');
INSERT INTO complaints VALUES('5247','MR KARAM KHAN','03331520457  03335288976','BLOCK#34 FLAT 05 NEAR TIPU MARKET SEC G-8/2 ISB','8','37','33901','HAIER','SALE ADVISOR CH WAQAR  PTCL CALL INVOICE HAY',null,'12-MAY-2019','85-1708HWM - 945','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-10 10:58:08','2021-04-13 12:58:39',null,'1',null,'0');
INSERT INTO complaints VALUES('5248','MR QASIM ABBASI','03455096878','HOTEL NARAN-IN HOTEL SEC G-9 MARKAZ ISB','9','27','202798','ECOSTAR','MODAL#32U574  SALE ADVISOR IMRAN',null,'23-DEC-2020',null,'FLAT PANEL TV','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-10 11:24:13','2021-04-14 12:11:07',null,'1',null,'0');
INSERT INTO complaints VALUES('5249','MR TARIQ SIDDIQE','03009144313','VILLAGE SAGRI KALARSAYDAN ROAD RAWAT RWP','6','16','34108','HAIER','0',null,'04-APR-2021','622IBS - 908','REFRIGERATOR','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-10 11:40:54','2021-04-15 15:02:01',null,'1',null,'0');
INSERT INTO complaints VALUES('5250','MR KAMRAN AHMED','03009831397','HO#301 ST 01 RAWAL TOWN ISB','9','23','146036','SIGNATURE','PTCL CALL INVOICE HAY',null,'14-JAN-2018','SWM-SR40 - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-10 11:51:11','2021-04-12 12:43:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5251','CH NASIR','03422383838','HO#548 ST 13 SEC-A BAHRIA PHASE 08 RWP','9','26','196648','SAMSUNG','CUSTOMER KO FREEZER REPLACE KAR DEYA HAY CUSTOMER KA UNIT I-10 S/C DELIVER HO GAYA HAY',null,'24-SEP-2020','32M71207F-S - 1468','FREEZER','COOLING ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2021-04-10 12:47:51','2021-04-20 12:03:32',null,'1',null,'0');
INSERT INTO complaints VALUES('5252','MR SHAHZAD','03215524166','HO#18 ST 03 IQBAL TOWN RWP','8','38','43863','LG','MODAL#9085NDKVH-C PTCL CALL INVOICE HAY',null,'30-NOV-2020',null,'WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-10 14:40:50','2021-04-21 12:42:57',null,'1',null,'0');
INSERT INTO complaints VALUES('5253','MR BABAR SHEHZAD','03345080916  03335080916','1-STOP KASHAN CARE HABIBE STREET MAIN BANI GALA  ROAD ISB','9','27','207892','CARAVELL','0',null,'23-MAR-2021','1000MEC - 978','CHILLER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-11 11:41:29','2021-04-14 12:07:24',null,'1',null,'0');
INSERT INTO complaints VALUES('5254','MR YASIR ILYAS','03335424279  03135077000','HO#02 MAIN HARLEY STREET NEAR CMH HOSPITAL RWP','9','24','208647','ORIENT','0',null,'05-APR-2021','531BL - 993','WATER DISPENSER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-11 12:01:59','2021-04-14 11:57:10',null,'1',null,'0');
INSERT INTO complaints VALUES('5255','ATIF SADAR SIR','03455662238','FRIEND CORPORATION SADAR','7','49','23324','DAWLANCE','MODAL#30MEGATE 3  COMPLAINT CUSTOMER KI HAY VISIT TO SHOWROOM',null,'08-APR-2021',null,'AIR CONDITIONER','GAS  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-11 12:22:24','2021-04-14 11:55:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5256','MR UMER ILYAS','03175846858','HO#F-6782  ST 16 JAMILABAD TAXILA','9','22','208877','HAIER','MODAL#438IDBA',null,'08-APR-2021',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-11 12:36:01','2021-04-14 11:45:57',null,'1',null,'0');
INSERT INTO complaints VALUES('5257','MR OMER IQBAL','03458588432','HO#170 ST 08 BLOCK-A MEDIA TOWN ISB','4','5','378','SIGNATURE','HOB KI COMPLAINT HAY COMPLAINT NAFEES FHHS SIR  NAY BAJI HAY',null,'13-OCT-2017','FC90S - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-11 12:52:45','2021-04-14 11:47:02',null,'1',null,'0');
INSERT INTO complaints VALUES('5258','MR RIZWAN','03215294311','HO#B-04 RAWALPINDI MEDICAL COLLEGE STAFF COLONY RAWAL ROAD RWP','9','19','207766','FIVE STAR','MODAL#786MC',null,'21-MAR-2021',null,'COOKING RANGE','GAS LEAKAGE ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-04-11 13:06:57','2021-04-14 11:42:45',null,'1',null,'0');
INSERT INTO complaints VALUES('5259','MR HUSSAIN AHMAD','03219970242','HO#CB-1519 MUHAMDI COLONY NEAR QASIM MARKET DHOK CHODEREYAN RWP','9','23','122268','DAWLANCE','0',null,'25-SEP-2016','9500DW - 118','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-11 13:12:16','2021-04-14 11:36:39',null,'1',null,'0');
INSERT INTO complaints VALUES('5260','MR ADNAN','03235514383','HO#138 ST 04 BLOCK-A MEDIA TOWN ISB','9','20','196570','SAMSUNG','MODAL#90F5S3-SZ  S/N 0GLB57GN300368F',null,'22-SEP-2020',null,'WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-11 13:46:48','2021-04-14 11:32:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5261','MR SHARIF','03466988520  03335198687','HO#P-39 LANE 02 NEAR SEAF MART  POF WAH CANTT','9','24','154895','SONY','SALE ADVISOR IMRAN  UNIT IN S/C',null,'03-JULY-2018','48W650D-S - 1560','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-11 14:01:31','2021-04-14 12:06:03',null,'1',null,'0');
INSERT INTO complaints VALUES('5262','MR USAMA','03335253166 03352215550','HO#MR-811 ST 36 NEAR AMAR PUBLIC SCHOOL AMAR-PURA MOHALA RWP','9','24','194752','DAWLANCE','0',null,'15-AUG-2020','10500DW - 906','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-11 14:08:08','2021-04-14 11:28:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5263','MRS IJAZ','03345240529','HO#454 ST 6/2 POLICE FOUNDATION BLOCK-D SEC O-9 PWD ISB','4','7','16475','SUPER ASIA','SALE ADVISOR MISC',null,'27-SEP-2020','240SA-SHW - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-11 14:23:16','2021-04-16 13:22:01',null,'1',null,'0');
INSERT INTO complaints VALUES('5264','MR QASIR','03211144244','PSO PETROL PUMP GUJJAR KHAN FILLING STATION NEAR SUZUKI MOTORS SHOWROOM GUJJAR KHAN','9','20','208320','CARAVELL','0',null,'31-MAR-2021','1000MEC - 978','CHILLER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-11 14:40:13','2021-05-24 12:55:41',null,'1',null,'0');
INSERT INTO complaints VALUES('5265','MR MUMTAZ','03339492403','HO#200 ST 11 SEC B-1 DHA PHASE 01 ISB','9','19','0','TOSHIBA','DOBARA COMPLAINT AY GAE HAY CUSTOMER K PASS INVOICE NAI HAY ON PAYMENT JOB',null,'OUT OFF WARRANTY',null,'WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-11 15:19:07','2021-04-15 11:13:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5266','MR ABID','03160565390','HO#243 ST 67 SEC G-8/1 ISB','5','28','106029','DAWLANCE','SALE ADVISOR HAMMAD RAFI PTCL CALL INVOICE HAY',null,'15-JUN-2019','10500DW - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-11 15:32:14','2021-04-14 11:14:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5267','MR HUMAYUN','03345516879  03335478776','HO#F-765/12 ST 03 MOHALA HASSAN ABAD ALTAMASH ROAD RWP','9','26','182798','KENWOOD','PTCL CALL INVOICE HAY',null,'10-DEC-2019','1012SA - 902','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 11:19:14','2021-04-15 15:16:53',null,'1',null,'0');
INSERT INTO complaints VALUES('5268','MR SAJJAD MEHMOOD','03369035799','HO#162-D-AA ST 12 KURI ROAD RWP','9','27','200088','SHARP','0',null,'29-NOV-2020','710CX-S - 1548','WASHING MACHINE','FILTER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 11:35:14','2021-04-15 12:13:34',null,'1',null,'0');
INSERT INTO complaints VALUES('5269','MR SAEED ULLAH','03009747007','HO#DD252-13 MEAYN MUHAMMAD AFZAL STREET SHAMSA BAD MANDHI RWP','6','12','28061','HAIER','SALE ADVISOR ZARA  ADEEL BAHRIA  SIR NAY COMPLAINT BAJI HAY',null,'29-JUN-2020','150-1678HWM - 1484','WASHING MACHINE','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 12:20:05','2021-04-15 15:10:13',null,'1',null,'0');
INSERT INTO complaints VALUES('5270','MR AZM DURRANI','03129332297  03008555557','HO#54 ST 01 SEC F-6/3 ISB','5','31','116580','SONY','SALE ADVISOR KABEER',null,'21-MAY-2020','65X8077G-S - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 12:33:25','2021-04-27 13:27:53',null,'1',null,'0');
INSERT INTO complaints VALUES('5271','MR ARSHAD SHAH','03335146271','HO#256 ST 11 GARDEN CITY ZONE 01 BAHRIA PHASE 07 RWP','6','16','11270','LG','SALE ADVISOR BADAL',null,'06-NOV-2017','4J5TNP3W - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 12:59:31','2021-04-15 16:43:34',null,'1',null,'0');
INSERT INTO complaints VALUES('5272','MR USMAN','03335108822','HO#376 ST 05 MUSLIM TOWN SADKA BAD RWP','5','28','131165','CARAVELL','MODAL#204B SALE ADVISOR HARIS BUTT COMPLAINT IQBAL STOCK SIR NAY BAJI HAY',null,'02-APR-2021',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 13:45:39','2021-04-16 15:39:20',null,'1',null,'0');
INSERT INTO complaints VALUES('5273','BILAL FHHS','03120578711','FRIEND CORPORATION SHAMSA  BAD RWP','8','41','0','HOMAGE','0',null,'0','43HWD - 993','WATER DISPENSER','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 13:50:37','2021-05-03 12:25:51',null,'1',null,'0');
INSERT INTO complaints VALUES('5274','MR MURTAZA','03333335211','HO#343 ST 17 AKHOUSH NEAR LOHI BHER POLICE STATION SOAN GARDEN ISB','4','11','20425','ORIENT','MODAL#CRYSTAL3 SP  SALE ADVISOR ALI MURTAZA',null,'08-APR-2021',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'92','2021-04-12 14:21:47','2021-04-15 12:40:51',null,'1',null,'0');
INSERT INTO complaints VALUES('5275','NOUMAN DAOOD','03219000000','FRAM #65 ORCHARD ROAD ORCHARD SCHEME R.W.P','8','38','0','SONY','TASK#3367(YHA SET USMAN SAB K PASS HAIN KINDLY WAHA SA PICK KARWA LAY )C/O OFF NAEEM SAB',null,'0',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-12 14:26:19','2021-07-15 11:29:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5276','MR OBAD ULLAH','03009822828','SH#01 PALAZA#03 ST 08 BAHRIA TOWN PHASE 04 RWP','4','11','20403','CARAVELL','SALE ADVISOR ALI MURTAZA',null,'07-APR-2021','450MEC - 1651','CHILLER','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 14:32:54','2021-04-27 13:59:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5277','MR SABIR','03215171770 03329600005','HO#359-C ST 86 SEC G-6-1/4 ISB','5','32','130079','SIGNATURE','0',null,'06-MAR-2021','HC-5871S - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 14:50:22','2021-04-15 11:12:21',null,'1',null,'0');
INSERT INTO complaints VALUES('5278','NAVEED FCP','03005213783','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','FIVE STAR','0',null,'0','5500C-FS - 1965','COOKING RANGE','NOB DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 14:56:08','2021-04-26 12:28:15',null,'1',null,'0');
INSERT INTO complaints VALUES('5279','MR JIBRAN','03335711736','HO#589 ST 27 BLOCK-C CBR TOWN PHASE 01 ISB','8','37','20369','DAWLANCE','MODAL#91999AVANTE-NG  SALE ADVISOR WALEED COMPLAINT NAFEES FHHS SIR NAY BAJI HAY',null,'05-APR-2021',null,'REFRIGERATOR','ICE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 15:17:44','2021-04-15 12:27:57',null,'1',null,'0');
INSERT INTO complaints VALUES('5280','MRS IMRAN','03005240075','HO#5-A ST 25 SEC F-7/2 ISB','5','36','109908','BOSCH','PTCL CALL INVOICE HAY',null,'04-OCT-2019','736357M - 1902','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 15:29:23','2021-04-15 11:02:43',null,'1',null,'0');
INSERT INTO complaints VALUES('5281','MR NAVEED AHMED','03005133543','KYANI HOUSE HO#23-C MAIN IJP ROAD NEAR SERWAY OFF PAKISTAN RWP','8','38','44903','HOMAGE','SALE ADVISOR NAFEES',null,'07-DEC-2020','43HWD - 993','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 15:37:49','2021-04-22 15:25:34',null,'1',null,'0');
INSERT INTO complaints VALUES('5282','MR ZEESHAN  MIRZA','03235747918','HO#24 ST 10 SEC-01 GULSHAN ABAD HADYALA ROAD RWP','9','23','97755','XTREEM','MODAL#998 KITCHEN HOOD KI COMPLAINT HAY  SALE ADVISOR MR IRFAN SIR',null,'28-FEB-2015',null,'BUILT IN APPLLIANCES','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 15:50:29','2021-06-02 13:00:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5283','MR ZAHID','03368800306 03335162357','HO#849 ST 26 SEC G-9/1 ISB','5','33','130919','DAWLANCE','MODAL#91999AVANTE-EG',null,'28-MAR-2021',null,'REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 16:05:35','2021-04-22 13:23:33',null,'1',null,'0');
INSERT INTO complaints VALUES('5284','IQBAL SIR','03465166132','FRIEND CORPORATION BLUE AREA','4','6','22625','SAMSUNG','MODAL#43TU7000  COMPLAINT CUSTOMER KI HAY VISIT TO SHOWROOM  COMPLAINT KHURRAM SIR NAY BAJI HAY',null,'17-DEC-2020',null,'FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 16:37:34','2021-04-26 14:50:13',null,'1',null,'0');
INSERT INTO complaints VALUES('5285','MR IRFAN','03165030456','HO#123 ROAD-A NEAR ARENA CINEMA PHASE 04 RWP','8','37','26867','HAIER','0',null,'11-APR-2018','24HNM - 917','AIR CONDITIONER','OUTER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 16:47:15','2021-04-21 15:10:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5286','MR IJAZ UL HAQ','03336802676','HO#425 ST 56 GROUND FLOOR SEC I-8/3 ISB','5','35','97375','SIGNATURE','SALE ADVISOR ASHRAF IKHLAQ',null,'21-AUG-2018','SCF-HM12 - 956','FREEZER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 16:56:01','2021-04-27 10:45:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5287','MR JAWAD BUTT','03348538668  03335463604','HO#2127 SERVICE ROAD SEC 1-10/1 ISB','8','37','20541','LG','SALE ADVISOR NAEEM AZEEM PTCL CALL INVOICE HAY',null,'05-FEB-2017','442RLDL-S - 895','REFRIGERATOR','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 17:11:42','2021-05-24 13:17:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5288','MR TANVEER','03340008408','HO#584 ST 30 DEFIANCE VILLA DHA 01 ISB','6','12','24731','LG','COMPLAINT TAHIR BEST CCOL SIR KI TARAF SAY AYI HAY',null,'15-DEC-2019','4J6VYP2S-S - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 17:28:54','2021-04-15 16:22:36',null,'1',null,'0');
INSERT INTO complaints VALUES('5289','MR AMJAD','03145144630','HO#08 BLOCK-E CHAKLALA SCHEME  RWP','4','7','13045','SUPER ASIA','SALE ADVISOR MISC',null,'04-FEB-2020','244SA - 1483','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 17:35:28','2021-04-15 11:02:14',null,'1',null,'0');
INSERT INTO complaints VALUES('5290','MR AZHAR','03126099990  03455509990','HO#345 ST 86 SEC I-8/4 ISB','5','29','128223','FIVE STAR','MODAL#999MC',null,'18-JAN-2021',null,'COOKING RANGE','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-12 17:45:42','2021-04-17 15:08:42',null,'1',null,'0');
INSERT INTO complaints VALUES('5291','MR KHAWAR','03360119573','HO#28 SIR SYED BOULEVARD SEC E DHA PHASE 02 ISB','5','30','0','SAMSUNG','MODAL#48H6400  INVOICE NAI HAY ON-PAYMENT JOB',null,'OUT OFF WARRANTY',null,'FLAT PANEL TV','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 11:10:48','2021-04-14 11:42:03',null,'1',null,'0');
INSERT INTO complaints VALUES('5292','MR IRFAN','03008508023','HO#09 ROAD-E BLOCK M NAVAL ANCHORAGE ISB','5','35','125096','ORIENT','MODAL# 24G DIVINE  03 AC KI COMPLAINT HAY  COMPLAINT AZHAR FCI SIR NAY BAJI HAY',null,'02-DEC-2020','12G-ORBIT - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 11:16:31','2021-04-16 12:39:14',null,'1',null,'0');
INSERT INTO complaints VALUES('5293','MR SAMI','03028223559','HO#648 ST 33 BLOCK-D PWD HOUSING SOCIETY ISB','4','7','8676','GREE','0',null,'04-MAY-2019','400FS - 993','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 11:23:19','2021-04-16 12:36:15',null,'1',null,'0');
INSERT INTO complaints VALUES('5294','ZULFIQAR PARACHA','03000330066   03018552800','ST#06 LANE 02 RASOOL TOWN GULRAIZ 02 RWP','9','22','204754','HAIER','PTCL CALL INVOICE HAY',null,'30-JAN-2021','245SD - 955','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 11:49:53','2021-04-16 12:32:49',null,'1',null,'0');
INSERT INTO complaints VALUES('5295','SYED ALI','03403201523  03174911014','HO#1318 ST 04-D BAHRIA TOWN PHASE 01 EXTENTION RWP','6','12','16241','LG','SALE ADVISOR ARSHAD',null,'04-SEP-2018','10C3QDP2S - 121','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 11:57:53','2021-04-15 16:17:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5296','UMER SOHAIL','03335581321','HO#01 WARD 07 NEAR LAST VAN STOP VILLAGE MORGAH RWP','9','24','189589','HAIER','SALE ADVISOR MURTAZA',null,'30-MAY-2020','438EPCW - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 12:10:06','2021-04-16 12:30:18',null,'1',null,'0');
INSERT INTO complaints VALUES('5297','MR IFTIKHAR','03315304183  03365899169','HO#998 ST 02 DHOKE FARMAN ALI RWP','9','20','172187','SIGNATURE','PTCL CALL INVOICE HAY',null,'02-JUN-2019','MT-99FHS-I - 908','REFRIGERATOR','LIGHT ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2021-04-13 12:15:34','2021-04-20 12:03:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5298','MR TAHIR AZIZ','03335225887','HO#CB-66  AIR PORT ROAD DHOK  KASHMIRIAN RWP','8','37','36497','HAIER','0',null,'01-SEP-2019','368TDB - 860','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 12:26:14','2021-04-22 12:04:03',null,'1',null,'0');
INSERT INTO complaints VALUES('5299','ALI RAZA(CODEG ORBIT)','03125279893','PLOT#395 /396 FAZAL IND COMPLEX  SEC  I 9/3 ISB','9','23','188890','GREE','FLOOR STANDING(48FWITH)  SALE ADVISOR MURTAZA',null,'18-MAY-2020',null,'AIR CONDITIONER','ERROR-E9',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 12:34:00','2021-04-16 12:26:22',null,'1',null,'0');
INSERT INTO complaints VALUES('5300','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','ORIENT','0',null,'0','531BL - 993','WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 12:43:21','2021-04-26 14:07:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5301','RAJA AMJID','03361159869','TAHRAMARE CHOCK  NEAR THANDA PANI ISB','4','6','13728','FIVE STAR','SALE ADVISOR SALEEM',null,'21-APR-2020','601C-FS - 1077','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 12:57:29','2021-04-17 15:05:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5302','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','HAIER','0',null,'0','438EPB - 896','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 13:05:35','2021-04-13 13:33:41',null,'1',null,'0');
INSERT INTO complaints VALUES('5303','MR MAROOF','03006152815','HO#23 ST 07 BLOCK-F SOAN GARDEN ISB','6','14','37782','SIGNATURE','SALE ADVISOR ISHFAQ ABBASI',null,'03-DEC-2019','HC-3900G - 1122','BUILT IN APPLLIANCES','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 13:20:15','2021-04-29 11:25:01',null,'1',null,'0');
INSERT INTO complaints VALUES('5304','MR ARIF MAHMOOD','03335200787','HO#1023 ST 27 PHASE  5-B GOURI TOWN ISB','9','26','203659','HAIER','0',null,'09-JAN-2021','120-826 - 906','WASHING MACHINE','DRUM SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 13:28:09','2021-04-16 12:21:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5305','MR HANIF','03341669166 03331909079','HO#01 BLOCK 01 WESTRIGE CANNT RWP','9','24','187124','LG','PTCL CALL INVOICE HAY',null,'18-FEB-2020','1366NEFTFS-C - 907','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 13:41:59','2021-04-21 12:15:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5306','MR TAHIR HUSSAIN','03345221394','HO#28 ST 07 KORANG TOWN ISB','4','11','14072','SIGNATURE','SALE ADVISOR AZHAR',null,'21-MAY-2020','SWM-JD51 - 902','WASHING MACHINE','ERROR E-4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 14:04:53','2021-04-19 12:21:21',null,'1',null,'0');
INSERT INTO complaints VALUES('5307','MR MANSOOR','03135777202','HO#450 ST 40 SEC I-8/2 ISB','9','51','162699','LG','SALE ADVISOR WAQAS ABBASI',null,'09-DEC-2018','7566NEFPF-S - 901','WASHING MACHINE','PI ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 14:11:18','2021-04-15 16:16:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5308','MR ZAHEER BABAR','03339801020','GULISTAN KHAN PLAZA THIRD FLOOR NEAR TEHZEEB BAKERS FAZAL-E-HAQ ROAD BLUE AREA ISB','5','35','1836','HAIER','0',null,'31-MAR-2021','24HYD - 917','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 14:53:39','2021-04-16 12:14:55',null,'1',null,'0');
INSERT INTO complaints VALUES('5309','MR ABDUR REHMAN PARACHA','03340103364  03336711289','HO#941 ST 27 BAHRIA TOWN PHASE 08 RWP','4','10','26256','SAMSUNG','SALE ADVISOR ZARA',null,'23-FEB-2020','70H4200-S - 1483','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 15:12:17','2021-04-19 12:20:24',null,'1',null,'0');
INSERT INTO complaints VALUES('5310','MR ARSHAD MAJEED','03469040000','HO#547 ST 24 BAHRIA PHASE 03 RWP','6','16','33576','CARAVELL','MODAL#204B  SALE ADVISOR SHAHZAD MALIK',null,'08-MAR-2021',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 15:28:34','2021-04-16 12:13:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5311','MR NAEEM','03469555171  03445230051','SAPARA ROAD NEAR PUBLIC SCHOOL AND COLLEGE SKARDU','5','28','120086','HAIER','SALE ADVISOR BILAL PTCL CALL INVOICE HAY',null,'30-JULY-2020','438IDBT - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 15:39:19','2021-04-16 12:11:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5312','MR SHAKUR','03100867050','HO#PD619 GULSHAN IRFAN MOHALA DABAL ROAD RWP','8','40','47745','HAIER','PTCL CALL INVOICE HAY',null,'11-APR-2021','306IDB - 894','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 15:50:44','2021-04-16 12:09:19',null,'1',null,'0');
INSERT INTO complaints VALUES('5313','MR AMJAD','03009502930','HO#92-A ST 14 GULRAIZ HOUSING SOCIETY PHASE 02 RWP','6','16','34196','DAWLANCE','COMPLAINT ADEEL BAHRIA SIR NAY BAJI HAY',null,'08-APR-2021','7500C-DW - 1548','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 16:12:13','2021-04-16 12:04:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5314','MR ZAHOOR','03455775222','HO#685 ST 05 SHBBIR LANE MAIN PESHAWER ROAD RWP','9','27','205126','SAMSUNG','MODAL#90K5410-S',null,'06-FEB-2021',null,'WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 17:07:01','2021-04-17 11:39:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5315','COL WASEEM','03216356047','HO#32 ST 13 03rd AVNEW SEC-E DHA 01 ISB','6','12','26479','LG','0',null,'08-MAR-2020','1766NEFTS-S - 1486','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 17:17:09','2021-04-15 16:16:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5316','MR MUBASHIR','03005439812','HO#7263 LANE 25 SEC F/1 PHASE 08 RWP','6','16','32111','GREE','0',null,'15-DEC-2020','9978EG-CB2 - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 17:25:12','2021-04-16 11:40:50',null,'1',null,'0');
INSERT INTO complaints VALUES('5317','MR RAHEEL','03335509441  03325153010','HO#118 ST 17 SPRING NORTH BAHRIA  PHASE 07 RWP','6','16','27623','HAIER','0',null,'08-JUN-2020','748-HRF - 1482','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 17:31:32','2021-04-17 15:54:36',null,'1',null,'0');
INSERT INTO complaints VALUES('5318','MR AWAIS','03055615902  03145050751','HO#2213-ZA ST 03 MUHALA KHADA BAD PERWADAHI RWP','9','23','206165','HAIER','MODAL#385IM-GRAY  SALE ADVISOR WAQAS ABBASI',null,'22-FEB-2021',null,'FREEZER','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 17:43:49','2021-04-16 11:19:33',null,'1',null,'0');
INSERT INTO complaints VALUES('5319','MR TARIQ','03215177858','HO#125 MARKET ROAD RWP CANTT','5','31','131361','SONY','MODAL#75X8000H- CC',null,'07-APR-2021',null,'FLAT PANEL TV','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-13 17:56:52','2021-04-19 12:18:49',null,'1',null,'0');
INSERT INTO complaints VALUES('5320','MAJ MUBASHIR','03075806550','HO#726-B  ST 25 SEC-F PHASE 08 BAHRIA TOWN RWP','6','12','2177','GREE','PTCL CALL INVOICE HAY',null,'15-DEC-2020','9978EG-CB2 - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-14 11:14:11','2021-04-17 15:47:45',null,'1',null,'0');
INSERT INTO complaints VALUES('5321','MR WAQAS','03234469999 03215128720','HO#141 ST#34 OVERSEAS 05 BAHRIA TOWN RWP','9','24','33131','FIVE STAR','MODAL#999MC  PTCL CALL INVOICE HAY',null,'13-FEB-2021',null,'COOKING RANGE','FLAME ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-14 11:33:05','2021-04-19 12:39:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5322','BRIG MUDDASSIR','03008557853 03005000661','HO#05 AMMAR SHAHEED ROAD CHAKLALA SCHEME 03 RWP','6','12','21418','MIDEA','0',null,'12-JUN-2019','18HRFN1-MSMBC - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-14 11:44:20','2021-08-16 17:45:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5323','MR SHFQAT JILANI','03151505344','HO#M-392 ST 66 MOHALA AMAR PURA RWP','9','24','209152','XTREEM','KITCHEN HOB KI COMPLAINT HAY RIFFAT FCP SIR NAY COMPLAINT BAJI HAY',null,'12-APR-2021','82A - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-14 11:59:45','2021-04-17 15:04:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5324','DR NARGIS','03085653599  03009305759','HO#33 ST 02 PARK ROAD CHATTA BAKHTAWAR ISB','9','19','209134','DAWLANCE','COMPLAINT RIFFAT FCP SIR NAY BAJI HAY',null,'12-APR-2021','9106SD - 83','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-14 12:10:16','2021-04-16 12:41:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5325','MR YASIR','03345523145','HO#01 ST 13 SEC-B ORCHARD DHA PHASE 01 ISB','9','21','160816','GENERALTEC','SALE ADVISOR NAVEED',null,'11-NOV-2018','59SF - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-14 12:21:09','2021-04-17 12:35:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5326','MR TAHIR','03018543250','HO#01 ST 06 SEC-A DHA PHASE 01 RWP','6','16','22047','SIGNATURE','COMPLAINT WAQAS PWD SIR NAY BAJI HAY',null,'10-JULY-2019','SBH-AA760S - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-14 12:32:42','2021-05-01 16:01:50',null,'1',null,'0');
INSERT INTO complaints VALUES('5327','DR NASEER','03218581300','HO#379 ST 20 BAHRIA SPRING PHASE 07 BAHRIA TOWN RWP','6','12','13106','SIGNATURE','SALE ADVISOR BADAL COMPLAINT KHURRAM GOOGLE SIR NAY BAJI HAY INVOICE B HAY',null,'17-MAR-2018','SCR-FSS3-5G - 1076','COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-14 13:10:04','2021-05-01 16:02:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5328','MR AHMED RAZA','03336572224 03349324928','HO#E-171 NEW PAREYAN  SATELLITE TOWN RWP','9','24','134796','SIGNATURE','SALE ADVISOR SHAKEEL',null,'26-MAY-2017','SWM-SR40 - 1548','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-04-14 13:31:30','2021-04-19 11:07:24',null,'1',null,'0');
INSERT INTO complaints VALUES('5329',null,null,null,'6',null,null,'ORIENT','000000',null,null,'12G-HYPER-SW - 913','AIR CONDITIONER','OUTDOOR GAS LEAKE...',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-04-14 14:02:13','2021-04-27 12:41:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5330','GUL WAHAD','03359936938  03139526834','KORASHI FARM HOUSE #04 PATROLI AND VEGETABLE SCHEME  LATYAR ROAD ISB','8','38','18968','SONY','0',null,'OUT OFF WARRANTY','55X7500F-S - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT REOPEND',null,'customer','0',null,'92','2021-04-14 14:21:21','2021-05-19 14:32:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5331','GUL WAHAD','03359936938 03139526834','KORASHI FARM HOUSE #04 PATROLI AND VEGETABLE SCHEME LATYAR ROAD ISB','8','38','18968','SONY','0',null,'OUT OFF WARRANTY','65X7500F-S - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-14 14:25:22','2021-05-19 14:30:41',null,'1',null,'0');
INSERT INTO complaints VALUES('5332','HAJI MUMTAZ AHMED','03245754562 03008334353','HABIB HOUSE LANE 07 HARLAY STREET ABDULLAHA MASJID CMH HOSPITAL RWP','9','51','193056','HAIER','0',null,'17-JULY-2020','43K6600G - 869','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-14 14:36:55','2021-04-17 15:46:55',null,'1',null,'0');
INSERT INTO complaints VALUES('5333','MR TANVEER','03225173887','HO#1252 ST 60 PHASE 07 RWP','6','12','34234','FIVE STAR','MODAL#10000MC',null,'11-APR-2021',null,'COOKING RANGE','HEATING ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-04-14 14:49:05','2021-04-19 11:18:49',null,'1',null,'0');
INSERT INTO complaints VALUES('5334','MR BILAL','03005107352  03122167777','HO#933 ST 91 SEC I-8/4 ISB','4','6','20410','ORIENT','0',null,'21-DEC-2019','68750ZB-RD - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-14 14:59:23','2021-04-17 11:11:43',null,'1',null,'0');
INSERT INTO complaints VALUES('5335','SAIF-ULLAH FCP','03005385875','FRIEND CORPORATION GUL NOOR MARKET RWP','9','22','209206','ORIENT','MODAL#3SP CRYSTAL COMPLAINT CUSTOMER KI THI BUT CUSTOMER KO NEW UNIT DAY DEYA HAY VISIT TO SHOWROOM',null,'13-APR-2021',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-14 15:07:13','2021-04-21 15:53:56',null,'1',null,'0');
INSERT INTO complaints VALUES('5336','MR ABU-BAKAR','03235555472  03245554472','HO#168 HARLI ROAD WESTERAGE 01 RWP','9','19','130341','SIGNATURE','0',null,'01-APR-2017','SWM-JD51 - 902','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-14 16:12:45','2021-04-17 11:39:28',null,'1',null,'0');
INSERT INTO complaints VALUES('5337','MR MUJTABA','03361005005','HO#1538 ST 127-A SEC 01 GULSHANABAD RWP','7','49','23004','CARAVELL','MODAL#203R SALE ADVISOR ZAHID',null,'15-FEB-2021',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-14 16:23:19','2021-04-17 11:37:48',null,'1',null,'0');
INSERT INTO complaints VALUES('5338','MR WASEEM','03475280320','DHOK CHODEREYAN SADIQUE AKBAR MASJID NEAR QASIM MARKET RWP','7','49','21898','ECOSTAR','SALE ADVISOR ZAHID',null,'26-SEP-2020','43U573 - 869','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-14 16:39:00','2021-05-30 12:54:13',null,'1',null,'0');
INSERT INTO complaints VALUES('5339','MR SHEHZAD AHMED','03005000583','HO#81-A PHASE 2-S JASMINE ROAD BAHRIA TOWN PHASE 02 ISB','8','37','47795','SAMSUNG','MODAL#64R5331-S',null,'14-APR-2021',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-14 16:54:34','2021-04-17 11:39:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5340','MR UMAIR','03105532222','HO#225 MARGALLA ROAD SEC F-10/3 ISB','5','31','128494','SIGNATURE','MODAL#C595',null,'26-JAN-2021',null,'COOKING RANGE','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-15 11:06:38','2021-04-17 15:03:56',null,'1',null,'0');
INSERT INTO complaints VALUES('5341','BADAL FCI','03145299358','FRIEND CORPORATION BLUE AREA','5','34','0','ORIENT','0',null,'0','CRYSTAL-C-BLK - 993','WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-15 11:23:35','2021-04-26 12:27:43',null,'1',null,'0');
INSERT INTO complaints VALUES('5342','MR SOHAIL','03009713080','HO#09 ST 03 BLOCK-A PWD ISB','4','5','17087','HOMAGE','SALE ADVISOR MISC CHAT SERVICE KI TARAF SAY COMPLAINT AYI THI',null,'09-NOV-2020','82HWD - 993','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-15 11:31:20','2021-04-17 15:41:44',null,'1',null,'0');
INSERT INTO complaints VALUES('5343','MR OMAIR','03035741215','FLAT#11 1ST FLOOR 21/B SEC 02 SYED FAIZAN-E-HASSAN PLAZA ISB','9','20','192184','WAVES','PTCL CALL INVOICE HAY',null,'06-JULY-2020','315WDFT-GD ALPHA - 958','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-15 11:41:07','2021-04-17 15:34:51',null,'1',null,'0');
INSERT INTO complaints VALUES('5344','MR KAMRAN','03018507765','HO#540 DEFENCE VILLAS PHASE 08 BAHRIA TOWN RWP','6','15','27017','ORIENT','0',null,'03-MAY-2020','18G-HYPER-SW - 915','AIR CONDITIONER','FAN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-15 12:05:24','2021-04-17 15:37:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5345','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','GREE','MODAL#8890',null,'0',null,'REFRIGERATOR','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-15 12:08:59','2021-05-03 12:25:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5346','MR SALEEM KHAN','03335784197  03065658221','BASHIR MEDICAL ASSOCIATE  SIMLY DAME ROAD BHARAKHU ISB','5','36','131658','HAIER','0',null,'13-APR-2021','578TBG - 910','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-15 12:47:06','2021-04-17 15:32:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5347','MR ADNAN','03435531281','ALHADAYAT MASJID AL MARHBAN TOWN TERLAI ISB','8','38','42773','TCL','1901VLR300733AD1353',null,'01-OCT-2020','28B2520B - 1423','FLAT PANEL TV','BACK LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-15 13:12:31','2021-04-27 14:23:47',null,'1',null,'0');
INSERT INTO complaints VALUES('5348','MR MOHSIN','03205209317','HO#67 ST 04 SEC-C ASKARI 14 RWP','9','24','207287','SUPER ASIA','MODAL#115PMI  COMPLAINT ADIL FHHS SIR NAY BAJI HAY',null,'13-MAR-2021',null,'WATER DISPENSER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-15 13:25:34','2021-04-17 15:28:18',null,'1',null,'0');
INSERT INTO complaints VALUES('5349','MR TOUSEEF','03216501342','HO#16 ST 01 SEC F-7/3 ISB','5','28','123881','FIVE STAR','MODAL#900MC SALE ADVISOR ABU BAKAR  COMPLAINT B ABU BAKAR  SIR NAY BAJI HAY',null,'12-NOV-2020',null,'COOKING RANGE','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-15 14:05:16','2021-04-17 15:03:18',null,'1',null,'0');
INSERT INTO complaints VALUES('5350','MR MIRZA','03175912059','HO#47 ST 37 SEC-C PHASE 08 BAHRIA TOWN RWP','4','10','19259','HAIER','SALE ADVISOR WALEED',null,'20-JAN-2021','150-1678HWM - 1484','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-15 14:18:13','2021-04-19 11:05:04',null,'1',null,'0');
INSERT INTO complaints VALUES('5351','MR KHURSHEED','03345464429','HO#08 MOIZ STREET AYOUB COLONY NEAR KHIYABAN TANVEER AWAN CHOCK CHAKLALA RWP','9','24','196128','SIGNATURE','HOB KI COMPLAINT HAY',null,'13-SEP-2020','HC-3766G - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINTCLOSED',null,'customer','0',null,'92','2021-04-15 14:37:15','2021-04-27 13:25:57',null,'1',null,'0');
INSERT INTO complaints VALUES('5352','MR AJMAL','03009729242','HO#31 KARESHAN COLONY DOUBLE ROAD SHAMSABAD RWP','9','19','208388','CARAVELL','MODAL#204B RIFFAT FCP SIR NAY COMPLAINT BAJI HAY',null,'31-MAR-2021',null,'WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-15 14:52:03','2021-04-17 15:29:54',null,'1',null,'0');
INSERT INTO complaints VALUES('5353','MR ASIF QAMAR','03205851188  03205852200','HO#1411 ST 34 PHASE 04 BAHRIA TOWN RWP','4','8','4327','SIGNATURE','PTCL CALL INVOICE HAY',null,'07-JULY-2018','SWM-JD46 - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-15 15:32:24','2021-04-21 12:14:38',null,'1',null,'0');
INSERT INTO complaints VALUES('5354','MR NAVEED KHAN','03338889888','HO#49 ST 05 CHAKLALA SCHEME 03 RWP','6','15','29747','LG','MODAL#55UN7340-S  COMPLAINT ZAHID PWD SIR NAY BAJI HAY',null,'26-SEP-2020',null,'FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-15 16:18:37','2021-06-03 17:56:44',null,'1',null,'0');
INSERT INTO complaints VALUES('5355','MR IRFAN ALI','03215177274','HO#78 ST 05 ASKARI 10 RWP','9','26','122555','SAMSUNG','SALE ADVISOR JAVED',null,'02-OCT-2016','7ZNPN-S - 909','REFRIGERATOR','SOUND#COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-15 16:34:24','2021-06-05 15:15:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5356','MR KAMRAN AZMI','03315068643','HO#724 ST 31 PHASE 03 BAHRIA TOWN','4','5','4254','LG','PTCL CALL INVOICE HAY',null,'30-JUN-2018','4J6TMP8S-C - 899','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-15 16:52:50','2021-04-21 12:14:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5357','MR OMER','03169888888','HO#6-B ST 12 SEC F-8/3 ISB','5','32','107003','SIGNATURE','MODAL#SET-AC24  SALE ADVISOR MARYAM KIANI',null,'06-JULY-2019',null,'MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-15 17:02:10','2021-04-24 11:38:15',null,'1',null,'0');
INSERT INTO complaints VALUES('5358','DR JUANID','0336-5256249(03215576131)','HO#253 ST#16 BLOCK B OPP GORMAY BAKERY PWD','8','37','47807','HAIER','385HDF-INV-1523',null,'15-APRIL-2021',null,'FREEZER','BODY CURRENT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-16 11:54:49','2021-04-18 12:56:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5359','MRS RAUF KHAN','03005388354','HO#12 ST 39 SEC F-6/1 ISB','5','31','123749','SIGNATURE','0(TASK#4836)',null,'09-NOV-2020','SBH-AC930S - 1122','BUILT IN APPLLIANCES','AGAIN BURNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-16 12:20:03','2021-04-17 15:02:51',null,'1',null,'0');
INSERT INTO complaints VALUES('5360','HUSSAIN MUGHAL','03005000027','ST#1-D SEC B NEAR OLD POLICE STATION RWAT ISB','4','10','16021','SIGNATURE','0',null,'19-AUG-2018','SRF-WB90M - 885','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-16 13:37:50','2021-04-27 13:17:07',null,'1',null,'0');
INSERT INTO complaints VALUES('5361','MUSHABIR HUSSAIN','03018687228','HO#267 ST#34 CDA PARK ENCLAVE ISB','5','33','124894','CARAVELL','207BA-1609',null,'01-DEC-2020',null,'WATER DISPENSER','TAP LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-16 13:50:11','2021-04-28 11:53:42',null,'1',null,'0');
INSERT INTO complaints VALUES('5362','MUSHABIR HUSSAIN','03018687228','HO#267 ST#34 CDA PARK ENCLAVE ISB','5','33','124894','SIGNATURE','SIG HOB',null,'01-DEC-2020','HC-3766G - 1122','BUILT IN APPLLIANCES','NOB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-16 13:54:02','2021-05-03 12:11:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5363','DR AMRA GUL','03075047077','HO#80 ST#100 G-13/1 ISB','5','35','131698','HAIER','0',null,'13-APRIL-2021','438TDB - 896','REFRIGERATOR','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-16 16:14:46','2021-04-19 10:55:48',null,'1',null,'0');
INSERT INTO complaints VALUES('5364','MR SHEHBAZ','03215212122  03335432122','H NO 160 ST NO 67 SEC F/10-3 ISB','8','37','24095','TCL','MODAL#50C716  SALE ADVISOR MARYAM ABBASI',null,'08-JAN-2021',null,'FLAT PANEL TV','PANEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-17 11:04:55','2021-06-30 12:24:03',null,'1',null,'0');
INSERT INTO complaints VALUES('5365','MR IMRAN NIZI','03335202366','HO#146 ST 23-A LANE 07 CHAKLALA SCHEME 03 RWP','9','26','2235','GREE','COMPLAINT TAHIR BEST CCOL SIR KI TARAF SAY AYI HAY',null,'15-APR-2021','18FITH2W - 201','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-17 14:03:43','2021-04-22 12:51:53',null,'1',null,'0');
INSERT INTO complaints VALUES('5366','MR KHALID MEHMOOD','03005289606','HO#CB-228 ST 02 LIAQUAT ROAD LALAZAR COLONY WAH CANTT','9','19','206945','DAWLANCE','MODAL#15AURA RIFFAT FCP SIR NAY COMPLAINT BAJI HAY',null,'07-MAR-2021',null,'AIR CONDITIONER','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-17 14:24:47','2021-04-19 16:38:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5367','MR ASAD-UR-REHMAN','03365415221  03365537369','HO#18 BEGHAM SARFARAZ IQBAL ROAD SEC G-6/4 ISB','5','28','122150','SIGNATURE','HOB KI COMPLAINT HAY SALE ADVISOR ABU BAKAR   COMPLAINT B ABU  BAKAR SIR NAY BAJI HAY',null,'22-SEP-2020','SBH-AA901G - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-17 15:17:09','2021-04-24 11:37:51',null,'1',null,'0');
INSERT INTO complaints VALUES('5368','MR MAJEED MURSALEEN','03465233388','HO#297 MAIN PESHAWAR ROAD OPPOSITE TO ASKARI BANK WESTRIDGE RWP','9','23','204074','LG','MODAL#1788NEHTE-C',null,'17-JAN-2021',null,'WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-18 11:00:57','2021-04-21 12:13:20',null,'1',null,'0');
INSERT INTO complaints VALUES('5369','MR SAJID','03105887759','THANA STOP VILLAGE HASAN ABDAAL','8','37','29653','SIGNATURE','COMPLAINT AZHAR BAHRIA SIR NAY BAJI HAY',null,'15-SEP-2018','SRF-HM100 - 908','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-18 11:52:23','2021-04-24 11:37:15',null,'1',null,'0');
INSERT INTO complaints VALUES('5370','GUL WAHAD','03359936938 03139526834','KORASHI FARM HOUSE #04 PATROLI AND VEGETABLE SCHEME LATYAR ROAD ISB','8','38','18968','SIGNATURE','SALE ADVISOR TAHIR SHAH',null,'13-MAY-2019','65D6-S - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-18 12:12:01','2021-06-06 16:40:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5371','GUL WAHAD','03359936938 03139526834','KORASHI FARM HOUSE #04 PATROLI AND VEGETABLE SCHEME LATYAR ROAD ISB','8','38','23341','KENWOOD','MODAL#2436S-INV  02 UNIT KI COMPLAINT HAY SALE  ADVISOR TAHIR SHAH  COMPLAINT BEST COOL SIR NAY KI HAY',null,'20-AUG-2020','1828S-INV - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-18 13:11:33','2021-06-30 12:26:50',null,'1',null,'0');
INSERT INTO complaints VALUES('5372','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','HAIER','0','2021-04-18',null,'246EPR - 857','REFRIGERATOR','DOOR DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-18 13:20:29','2021-08-01 14:13:24',null,'1',null,'0');
INSERT INTO complaints VALUES('5373','BILAL GILLANI','03025676613  03045577216','H NO 517A ST NO 7 SEC A PHASE 8 B.TOWN RWP','6','12','6074','LG','SALE ADVISOR MANZAR YASIN',null,'05-DEC-2016','1452S - 34','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-18 13:35:56','2021-05-17 15:40:33',null,'1',null,'0');
INSERT INTO complaints VALUES('5374','MR JAHANGIR','03345254348','HO#NP-45 1ST FLOOR STREET 01 NEW PARIAN SATELLITE TOWN RWP','9','19','2089','HAIER','COMPLAINT RIFFAT FCP SIR NAY BAJI HAY',null,'11-APR-2021','306EPB - 859','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-18 13:45:59','2021-04-22 12:57:07',null,'1',null,'0');
INSERT INTO complaints VALUES('5375','MR SAJJAD NASEER','03332178692','HO#495 ST 12 SEC G-10/2 ISB','8','39','47815','SIGNATURE','HOB KI COMPLAINT HAY',null,'15-APR-2021','HC-5871S - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-18 13:53:35','2021-04-24 11:36:38',null,'1',null,'0');
INSERT INTO complaints VALUES('5376','NAVEED FCP','03005213783','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','DAWLANCE','MODAL#9191','2021-04-18',null,null,'REFRIGERATOR','DOOR POCKET DAMAGE',null,'5','COMPLETED',null,'customer','0',null,'92','2021-04-18 13:58:46','2021-05-22 13:05:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5377','MR SHAHID MUSTAFA','03005572493','HO#1930 ROAD-I PHASE 03 BAHRIA TOWN RWP','6','12','33866','SIGNATURE','COMPLAINT ZAHID PWD SIR NAY BAJI HAY INVOICE RIZWAN BAHRIA SIR NAY BAJI THI',null,'23-MAR-2021','HC-5871S - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','complaint closed',null,'customer','0',null,'92','2021-04-18 14:11:15','2021-05-01 16:16:56',null,'1',null,'0');
INSERT INTO complaints VALUES('5378','HAJI ZAFAR','03018222721','HO#D-484 BLOCK-D 06 ROAD SATELLITE TOWN RWP','9','23','195273','GREE','0',null,'23-AUG-2020','9978EG-CR1 - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-18 14:16:57','2021-04-20 11:51:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5379','MR JUNAID','03305800108','HO#1927 ST 63-A PHASE 03 BAHRIA TOWN RWP','6','14','20246','CORONA','SALE ADVISOR AZHAR',null,'28-MAR-2021','351C - 1533','COOKING RANGE','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-18 14:27:56','2021-04-25 14:32:14',null,'1',null,'0');
INSERT INTO complaints VALUES('5380','GUL WAHAD','03359936938 03139526834','KORASHI FARM HOUSE #04 PATROLI AND VEGETABLE SCHEME LATYAR ROAD ISB','8','38','23322','HAIER','SALE ADVISOR TAHIR SHAH COMPLAINT BEST COOL SIR NAY BAJI HAY',null,'20-AUG-2020','24HDZ-G INV - 917','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-18 14:42:43','2021-04-21 12:54:24',null,'1',null,'0');
INSERT INTO complaints VALUES('5381','MR BILAL','03005062919','HO#48-L LANE 4-A LALAZAR COLONY RWP CANTT','9','19','142967','SIGNATURE','0',null,'15-NOV-2017','SWH-1708 - 1035','GEYSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-18 14:50:06','2021-04-22 11:58:05',null,'1',null,'0');
INSERT INTO complaints VALUES('5382','MR TAHIR IQBAL','03335152847 03355210340','HO#46 ST 03 MALEK TOWN MAIN DAKH KHANA STOP TARLAI ISB','9','24','200944','CANON','MODAL#U3-PLUS',null,'04-DEC-2020',null,'BUILT IN APPLLIANCES','FAN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-18 15:10:46','2021-05-30 13:30:39',null,'1',null,'0');
INSERT INTO complaints VALUES('5383','MR WAQAS NAWAZ','03188338421 03335114515','HO#06 ST 01 ASHRAF COLONY KORI ROAD ISB','9','21','207361','KENWOOD','SALE ADVISOR MURTAZA',null,'14-MAR-2021','1010SA - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-18 15:18:50','2021-04-20 12:18:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5384','MR FAZAN MALIK','03344544499','PALAZA#228 ABUBAKAR AVENUE NEAR BAHRIA INTERNATIONAL HOSPITAL PHASE 08  BAHRIA TOWN RWP','8','40','46734','HAIER','MODAL#18HFMAD-W-INV',null,'01-MAR-2021',null,'AIR CONDITIONER','GAS ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-18 15:31:31','2021-04-26 12:54:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5385','GHULAM MUHAMMAD','03236964500','SOHAN ARKIT PALAZA BLOCK-H SHALI MALL ROAD SOHAN GARDEN ISB','8','37','24997','HAIER','MODAL#336TPR SALE ADVISOR IMRAN ZIA COMPLAINT IQBAL KRL FRIENDS SIR NAY COMPLAINT BAJI HAY',null,'18-APR-2021',null,'REFRIGERATOR','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-18 15:41:26','2021-04-21 12:42:32',null,'1',null,'0');
INSERT INTO complaints VALUES('5386','BRIG IBRAR','03448151515','HO#12 ST 16-F SEC-C BAHRIA ENCLAVE ISB','5','34','101203','FIVE STAR','0',null,'08-JAN-2019','35G-TWIN SUPREME - 963','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-18 16:13:54','2021-04-28 13:50:50',null,'1',null,'0');
INSERT INTO complaints VALUES('5387','DR AMEER HUSSAIN','03335167354','HO#418 ST 42  WHITE PARIS SHADE HALL VIP GORI NEAR KHANA PUL RWP','8','39','27127','GENERALTEC','HOOD KI COMPLAINT HAY SALE ADVISOR ADIL RASHEED',null,'26-APR-2018','90GTP - 1123','BUILT IN APPLLIANCES','GRILL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 10:41:26','2021-04-19 16:36:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5388','MR ALTAF','03345453170','HO#2073 ST 63 ABU BAKAR BLOCK BAHRIA TOWN PHASE 08 RWP','6','12','15827','SIGNATURE','SALE ADVISOR WALEED  COMPLAINT WAQAS PWD SIR NAY BAJI HAY',null,'09-AUG-2018','SRF-HM99 - 908','REFRIGERATOR','COMPRESSOR SOUND ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2021-04-19 10:48:30','2021-04-20 12:02:07',null,'1',null,'0');
INSERT INTO complaints VALUES('5389','MR USAMA REHMAN','03335479969','HO#930 ST 27 SEC I-10/4 ISB','9','22','170217','SIGNATURE','SALE ADVISOR MAZHAR IQBAL',null,'01-MAY-2019','SVF-SY20D - 956','FREEZER','COMPRESSOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 11:13:36','2021-04-21 12:12:51',null,'1',null,'0');
INSERT INTO complaints VALUES('5390','MR NADEEM AKBAR','03018557329 03175456998','HO#05 LAHORE GRAMMER SCHOOL SERVICE ROAD GUJRAT','9','23','191028','TCL','S/N 2003VLR301103A00260  SALE ADVISOR IMRAN',null,'22-JUN-2020','50P8US - 871','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 11:31:26','2021-06-07 11:54:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5391','MR ASIF','03005123451','HO#29 BLOCK-D9 RAWAL COLONY RAWAL ROAD RWP','8','39','40867','HAIER','0',null,'08-JULY-2020','438IDBT - 896','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 12:05:29','2021-04-21 12:33:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5392','MR OSAMA','03085290708','PALAZA#21 LANE 02 SQUARE CAMARSHAL BAHRIA PHASE 07 RWP','8','38','44237','ORIENT','MODAL#55S-ANIMATION  SALE ADVISOR MALAIKA',null,'04-DEC-2020',null,'FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 12:20:38','2021-06-30 12:29:57',null,'1',null,'0');
INSERT INTO complaints VALUES('5393','CH AMIR LATIF','03009199762','HO#186 ST 36 SEC F-10/1 ISB','5','34','104781','HAIER','0',null,'11-MAY-2019','548BP-HF - 908','REFRIGERATOR','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 12:28:51','2021-04-21 12:17:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5394','MISS JAVERIA','03355546635','HO#12 ST 135 SEC G-13/4 ISB','5','53','128147','CARAVELL','MODAL#207BA  COMPLAINT  ABU-BAKAR SIR NAY BAJI HAY',null,'15-JAN-2021',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 12:41:38','2021-05-03 14:44:55',null,'1',null,'0');
INSERT INTO complaints VALUES('5395','BRIG MAHMOOD','03215014099','HO#24 ST 10 SEC-C DHA PHASE 02 ISB','9','20','149159','SIGNATURE','HOB KI COMPLAINT HAY',null,'25-MAR-2018','SBH-AB750S - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 12:50:41','2021-04-22 14:01:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5396','WAQAS FCP','03215151945','FRIEND CORPORATION GUL NOOR MARKET RWP','9','24','207291','DAWLANCE','MODAL#1051-GB-R COMPLAINT CUSTOMER KI HAY VISIT TO SHOWROOM',null,'13-MAR-2021',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 12:55:24','2021-04-20 12:55:48',null,'1',null,'0');
INSERT INTO complaints VALUES('5397','MR TARIQ','03018550060','HO#147 ST 17 SAFARI VILLAS 01 BAHRIA TOWN RWP','4','8','20582','KENWOOD','0',null,'18-APR-2021','1828S-INV - 915','AIR CONDITIONER','ERROR E5',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-04-19 13:04:25','2021-04-21 12:10:42',null,'1',null,'0');
INSERT INTO complaints VALUES('5398','MR JAVED','03005574005','HO#844 LANE 03 TULSA ROAD LALAZAR RWP','7','49','17106','SIGNATURE','SALE ADVISOR ZAHID  COMPLAINT ATIF SADAR SIR NAY BAJI HAY',null,'21-JUN-2018','SWD-HD20-RD - 994','WATER DISPENSER','BUTTON DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 13:22:15','2021-04-22 11:57:38',null,'1',null,'0');
INSERT INTO complaints VALUES('5399','MR NOOR-UR-REHMAN','03008502569','HO#306 PANSY ROAD SAFARI 03 PHASE 02 BAHRIA TOWN RWP','4','11','15247','DAWLANCE','SALE ADVISOR  ALI MURTAZA',null,'14-JULY-2020','1045CVT-VF - 1467','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 13:50:32','2021-04-27 12:06:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5400','MR TAHIR','03009746280','PLOT#402 ST 02 SEC F-15/1 ISB','8','37','26431','SAMSUNG','0',null,'17-MAR-2018','60M5010FS-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 13:59:53','2021-06-03 17:56:07',null,'1',null,'0');
INSERT INTO complaints VALUES('5401','MR SALMAN','03136725626','HO#1323 ST 36 SEC G-11/2 ISB','8','39','47212','GREE','0',null,'21-MAR-2021','8890EG-CB3 - 896','REFRIGERATOR','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 14:11:47','2021-04-21 11:50:21',null,'1',null,'0');
INSERT INTO complaints VALUES('5402','MR KURSHEED AHMED','03135451509','HO#25 ST 02 BLOCK-A MARWA TOWN GOURE TOWN PHASE 07 RWP','9','21','208654','DAWLANCE','MODAL#900DFD-GD  SALE ADVISOR MURTAZA',null,'05-APR-2021',null,'REFRIGERATOR','DOOR DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 14:39:53','2021-06-07 11:46:47',null,'1',null,'0');
INSERT INTO complaints VALUES('5403','MR WAQAS NAWAZ','03188338421 03335114515','HO#06 ST 01 ASHRAF COLONY KORI ROAD ISB','9','21','207361','HAIER','MODAL#336TPB  SALE ADVISOR MURTAZA',null,'14-MAR-2021',null,'REFRIGERATOR','ICE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 14:49:14','2021-04-21 11:37:04',null,'1',null,'0');
INSERT INTO complaints VALUES('5404','MR IMRAN','03215127486','HO#218 ST 58 SEC G-11/2 ISB','9','19','22765','SIGNATURE','SALE ADVISOR CH WAQAR PTCL CALL INVOICE HAY',null,'03-JUN-2017','SVF-HM95-BLK - 900','REFRIGERATOR','COOLING ISSUE',null,'5','complaint closed',null,'customer','0',null,'92','2021-04-19 15:02:34','2021-05-01 16:14:51',null,'1',null,'0');
INSERT INTO complaints VALUES('5405','ALI ASGHAR','03315160392  03365209409','HO#214-A FAISAL ALVI  ROAD LAL KURTE RWP','7','49','22760','DAWLANCE','SALE ADVISOR ZAHID  COMPLAINT ATIF SADAR SIR NAY BAJI HAY',null,'06-JAN-2021','10500DW - 906','WASHING MACHINE','SPINNER   ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 15:14:30','2021-04-21 11:10:33',null,'1',null,'0');
INSERT INTO complaints VALUES('5406','RAJA NOOR','03115048598','HO#147 OPP JAMEYA MASJID NEAR SANNY BANK MALL ROAD MUREE','8','38','30382','HAIER','0',null,'05-NOV-2018','95-1678HWM - 1817','WASHING MACHINE','BUTTON ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 15:21:03','2021-04-21 11:00:28',null,'1',null,'0');
INSERT INTO complaints VALUES('5407','MIAN WAQAS','03168557777','H NO 3 ST NO 1 SEC E SAFARI HOME BAHRIA TOWN RWP','6','12','27279','CORONA','SALE ADVISOR ZARA',null,'20-MAY-2020','351C - 1533','COOKING RANGE','BUTTON ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-04-19 15:31:23','2021-04-26 14:58:28',null,'1',null,'0');
INSERT INTO complaints VALUES('5408','MR EJAZ','03238559423','BILAL STREET NEAR USAMA MASJID SADAT COLONY WAH CANTT','6','12','10526','SIGNATURE','SALE ADVISOR BADAL',null,'06-SEP-2017','SRF-KK95G - 903','REFRIGERATOR','COOLING ISSUE',null,'5','WRONG VENDOR',null,'customer','0',null,'92','2021-04-19 15:45:18','2021-04-20 12:01:39',null,'1',null,'0');
INSERT INTO complaints VALUES('5409','MR UZAIR KHAN','03332283582','HO#239-B ST 16 AWAMI VILLAS 02 PHASE 08 RWP','6','12','25937','FIVE STAR','0',null,'02-FEB-2020','900C-FS - 1965','COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 15:55:27','2021-04-27 12:01:44',null,'1',null,'0');
INSERT INTO complaints VALUES('5410','MR UZAIR KHAN','03332283582','HO#239-B ST 16 AWAMI VILLAS 02 PHASE 08 RWP','6','12','25937','HAIER','0',null,'02-FEB-2020','336EPB - 894','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 15:59:21','2021-04-21 11:19:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5411','BILAL PWD','03335311234','FRIEND CORPORATION PWD','4','11','0','HOMAGE','0','2021-04-19',null,'82HWD - 993','WATER DISPENSER','DOOR ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2021-04-19 16:38:34','2021-04-22 12:16:43',null,'1',null,'0');
INSERT INTO complaints VALUES('5412','MR SHAFAY MUMTAZ','03008299118','HO#461-B ST 16 CHAKLALA SCHEEM 03 RWP','9','24','205204','HAIER','MODAL#438IDBA',null,'09-FEB-2021',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 16:55:24','2021-04-26 12:55:44',null,'1',null,'0');
INSERT INTO complaints VALUES('5413','MR BILAL','03465257207','HO#03 ST 3-A FAZAL TOWN PHASE 01 BUTT MARKET CHAKLALA RWP','9','20','209178','CANON','COMPLAINT RIFFAT FCP SIR NAY BAJI HAY',null,'12-APR-2021','CA-1 - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-19 17:05:23','2021-04-23 15:44:34',null,'1',null,'0');
INSERT INTO complaints VALUES('5414','NADEEM AHMED','03125444588','HO#803 D 01 ADRA BAZAR R.W.P','7','49','22109','CANON','COMPLAINT FF ATIFSADAR',null,'07-NOV-2020','600P - 1029','GEYSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-20 11:25:12','2021-04-22 11:49:08',null,'1',null,'0');
INSERT INTO complaints VALUES('5415','MR EJAZ','03238559423','BILAL STREET NEAR USAMA MASJID SADAT COLONY WAH CANTT','6','12','10526','SIGNATURE','SALE ADVISOR BADAL',null,'06-SEP-2017','SRF-KK95G - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','5408','74','2021-04-20 11:31:55','2021-04-22 11:57:08',null,'1',null,'0');
INSERT INTO complaints VALUES('5416','AHSAN','03015015313','HO#1/B MOHALLAH ISLAM PURA  DARI  HUSSANABAD R.W.P CANNT','9','51','198448','CARAVELL','MODEL 203R',null,'31-OCT-2020',null,'WATER DISPENSER','LIGHT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-20 11:38:24','2021-04-22 10:33:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5417','MRS USMAN TARIQ','03009250643(03452400020)','HO#281 ST#78 F 11/1 ISB','5','36','131256','CHANGHONG','MODEL 18EA-1325',null,'05-APRIL-2021',null,'AIR CONDITIONER','F6 ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-20 12:52:39','2021-04-27 13:37:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5418','SHAHZAD BEHIRA','03455275176','FRIENDS CORPORATION  PHASE 07 B.TOWN','6','15','33311','DAWLANCE','SHOWROOM PA VISIT',null,'23-FEB-2021','2810C-DW - 1743','MICROWAVE OVEN','SPARKING  PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-20 13:04:50','2021-04-23 15:37:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5419','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','HAIER','65IN (FF TO IQBAL STOCK)','2021-04-20',null,null,'FLAT PANEL TV','PANEL DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-20 13:10:48','2021-07-01 15:30:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5420',null,null,null,'6',null,null,'CANON','000000',null,null,'30-MEH','GEYSER','ON NAHI HOTA...',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-04-20 13:30:18','2021-04-27 12:40:14',null,'1',null,'0');
INSERT INTO complaints VALUES('5421',null,null,null,'6',null,null,'HACWEL','0000',null,null,'4100A-HW - 1690','AIR COOLER','2 PIECE-DONO ON NAHI HOTY',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-04-20 13:30:40','2021-06-07 12:00:53',null,'1',null,'0');
INSERT INTO complaints VALUES('5422','MRS SARFARAZ','03219119482','FLAT#403 4TH FLOOR C 1 TOWER CAPITAL REPRESENTATIONAL BEHIND  AFZAL MARKET','5','36','127620','ORIENT','AUTO 6.5 GREY',null,'31-DEC-2020',null,'WASHING MACHINE','WASHING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-20 13:31:08','2021-04-28 11:18:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5423',null,null,null,'6',null,null,'MAX','0000',null,null,'32A5 - 936','FLAT PANEL TV','CHALTY CHALTY BAND HOJATI HEI',null,'5','COMPLAINT RESOLVED',null,'showroom','0',null,'93','2021-04-20 13:31:15','2021-06-05 15:12:41',null,'1',null,'0');
INSERT INTO complaints VALUES('5424','ATIF SHAH','03360034344','HO#CB 60 LANE#01 PESHWER ROAD R.W.P','9','19','1600','LG','PTCL CALL INVOICE HAIN',null,'19-MAR-2021','512FPW-S - 1653','DISH WASHER','DEMO REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-20 13:48:57','2021-04-25 11:51:02',null,'1',null,'0');
INSERT INTO complaints VALUES('5425','RAHMANI SAB','03350050025','HO#293 ST#10 FALCON COMPLEX R.W.P','4','5','165932','FIVE STAR','0',null,'11-FEB-2019','35G-FS - 1759','GEYSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-20 14:48:06','2021-08-21 14:36:04',null,'1',null,'0');
INSERT INTO complaints VALUES('5426','SAGHIR AHMED','03455216690','HO#1845W ST#18/2 BLOCK B NPF','4','7','14179','DAWLANCE','0',null,'28-MAY-2020','311G-DW - 986','MICROWAVE OVEN','SPARKING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-20 15:01:38','2021-04-23 15:40:07',null,'1',null,'0');
INSERT INTO complaints VALUES('5427','MR MOBEEN NAEEM','03161313138 03116660333','KHOKAR FARM HOUSE NEAR MUGHAL MARKET OPP DAR-ISLAM KORAL CHOWK ISB','8','38','43758','SIGNATURE','0','2021-04-20',null,'SCF-HM11 - 955','FREEZER','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-20 15:08:55','2021-04-21 12:12:21',null,'1',null,'0');
INSERT INTO complaints VALUES('5428','IKHLAQ FCI','03009796002','FRIENDS CORPORATION BULE AREA ISB','5','28','92916','SIGNATURE','IC SET KA JO B BILL BANAY GA WO AP SEPARATE SHER KARAY GAY HAMAY IC UNIT KI PAYMENTBULE AREA SHOWROOM SA MILAY GEI(C/O SADDIQ SAB)',null,'31-MAR-2018','32DN4 - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-20 15:14:10','2021-06-09 15:42:19',null,'1',null,'0');
INSERT INTO complaints VALUES('5429','MALIK KHURSHEED','03215118110','HO#176 ST#92 I 14/3 ISB','9','19','186254','HAIER','0',null,'30-JAN-2020','622ICG - 908','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-20 15:23:41','2021-05-03 12:50:15',null,'1',null,'0');
INSERT INTO complaints VALUES('5430','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','HAIER','FF TO IQBAL STOCK',null,'0','120-1678HWM - 906','WASHING MACHINE','BODY DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-20 15:26:07','2021-04-28 11:29:07',null,'1',null,'0');
INSERT INTO complaints VALUES('5431','M UBAID','0300','VILLAGE KALI YAM AWAN NEAT TOOL PLAZ G T ROAD R.W.P','8','39','18872','LG','0',null,'30-OCT-2016','622GLHL-S - 17','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-20 15:33:23','2021-04-26 12:27:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5432','ATIF SADAR','03455662238','FRIENDS CORPORATION SADAR R.W.P','7','49','0','CARAVELL','203R',null,'0',null,'WATER DISPENSER','DOOR DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-20 15:36:47','2021-05-03 12:06:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5433','ATIF SADAR','03455662238','FRIENDS CORPORATION SADAR R.W.P','7','49','0','CARAVELL','MODEL#204',null,'0',null,'WATER DISPENSER','ICE BAN RAHI HAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-20 15:41:03','2021-04-28 11:35:49',null,'1',null,'0');
INSERT INTO complaints VALUES('5434','DR SHAHIDA','03345705520','APP#5106 FORTUNE  RESIDENCY APP ST 26 SEC E-11/4 ISB','5','31','131932','DAWLANCE','0',null,'20-APR-2021','9106SD - 83','REFRIGERATOR','BALANCE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 11:05:59','2021-05-26 13:02:44',null,'1',null,'0');
INSERT INTO complaints VALUES('5435','MR HAMMAD','03213034588','HO#28-E ST 57 SEC G-6/4 ISB','5','30','128403','HAIER','MODAL#18HFMAC-W-INV',null,'23-JAN-2021',null,'AIR CONDITIONER','ERROR E7',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 11:40:59','2021-04-29 12:34:31',null,'1',null,'0');
INSERT INTO complaints VALUES('5436','MR ARSHAD','03344444744','HO#86-B ST 87 WAPDA COLONY SEC G-7/4 ISB','5','34','130713','LG','MODAL#65NANO86  BADAL FCI SIR UNIT CHANDNE CHOCK S/C UNIT MOVE KARWA RAHY HAY',null,'22-MAR-2021',null,'FLAT PANEL TV','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 11:52:27','2021-04-29 11:43:31',null,'1',null,'0');
INSERT INTO complaints VALUES('5437','MR SHOAIB','03365066686','APP#GF-8 SATTE APP BLOCK-C NEAR CHANDNI CHOCK RWP','9','22','199834','CANON','0',null,'26-NOV-2020','24D-PLUS - 1031','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 12:01:12','2021-04-23 15:26:56',null,'1',null,'0');
INSERT INTO complaints VALUES('5438','MR SAJID','03368122255  03008502779','MONAL ROAD 01 KM FROM ZOO WILD MILD DABHA ISB','5','36','106192','CARAVELL','SALE ADVISOR BADAL',null,'19-JUN-2019','600MEC - 1652','CHILLER','RABAR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 12:22:04','2021-06-03 13:43:16',null,'1',null,'0');
INSERT INTO complaints VALUES('5439','MR IMRAN','03135000064','HO#24-C ST 94 222 SULTAN COLONY SEC I-8/4 ISB','5','36','102605','SIGNATURE','ELECTRIC OVEN KI COMPLAINT HAY',null,'04-MAR-2019','SBO-AR10 - 1124','BUILT IN APPLLIANCES','TEMPERATURE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 12:30:30','2021-05-26 10:59:18',null,'1',null,'0');
INSERT INTO complaints VALUES('5440','MR IMRAN','03135000064','HO#24-C ST 94 222 SULTAN COLONY SEC I-8/4 ISB','5','36','102605','SIGNATURE','HOB KI COMPLAINT HAY',null,'04-MAR-2019','SBH-AA901G - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 12:34:08','2021-06-05 12:25:51',null,'1',null,'0');
INSERT INTO complaints VALUES('5441','MR BADAR MUNIR','03341543938  03015555495','HO#78 ST 01 SEC I-14/1 ISB','5','36','124633','SAMSUNG','MODAL#15J5730SS-S',null,'28-NOV-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'92','2021-04-21 12:46:32','2021-04-27 12:51:13',null,'1',null,'0');
INSERT INTO complaints VALUES('5442','MR FAIZULLAH','03125173575','HO#297 ST 100 SEC I-8/4 ISB','5','28','129640','HAIER','SALE ADVISOR ABU BAKAR  COMPLAINT B ABU BAKAR SIR NAY BAJI HAY',null,'23-FEB-2021','150-1708HWM - 1484','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 12:58:40','2021-04-23 15:17:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5443','MR USMAN','03377377788','HO#26-A ST 25 SEC F-8/2 ISB','5','28','130040','HAIER','COMPLAINT CUSTOMER KI HAY VISIT TO SHOWROOM KITCHEN HOOD KI COMPLAINT HAY ABU-BAKAR  SIR NAY COMPLAINT BAJI HAY',null,'05-MAR-2021','9002PCHT - 1123','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 13:04:35','2021-05-05 14:43:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5444','MR TARIQ','03435000015','HO#58 ST 39 SEC I-8/2 ISB','8','37','47786','HAIER','0',null,'12-APR-2021','519DGS - 1122','BUILT IN APPLLIANCES','GAS ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 13:13:57','2021-04-23 11:35:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5445','MR TASNEEM YAQOOB','03345203330','HO#71-E ST F-5/2 BLOCK-F NATIONAL POLICE FOUNDATION ISB','4','11','7094','LG','SALE ADVISOR NAVEED',null,'06-JAN-2019','4J6TNP8S-S - 899','WASHING MACHINE','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 13:23:58','2021-04-29 13:11:04',null,'1',null,'0');
INSERT INTO complaints VALUES('5446','MR MAHMOOD','03332373242','HO#09 ST 08 BLOCK-D NAVEL ANCHORAGE ISB','4','8','14488','LG','PTCL CALL INVOICE HAY',null,'11-JUN-2020','512FPW-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 13:30:13','2021-04-25 11:51:28',null,'1',null,'0');
INSERT INTO complaints VALUES('5447','MR LAEEQ','03315317448','HO#02 ST 68 JINNAH GARDEN ISB','4','11','19272','GREE','MODAL#9978EG-CW2 SALE ADVISOR ALI MURTAZA',null,'21-JAN-2021',null,'REFRIGERATOR','ICE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 13:45:48','2021-04-23 11:33:32',null,'1',null,'0');
INSERT INTO complaints VALUES('5448','MRS KHURAM','03223033332','HO#6-A MIAN MARGALA ROAD SEC F-8/3 ISB','5','36','121398','SHARP','PTCL CALL INVOICE HAY  ALI FCI SIR NAY BAJI HAY INVOICE',null,'01-SEP-2020','612V-SS3 - 1547','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 13:59:53','2021-04-22 13:49:51',null,'1',null,'0');
INSERT INTO complaints VALUES('5449','MR AHMAD LATIF','03345162191','HO#175-A ST 48 SEC F-10/4 ISB','5','28','131940','HAIER','SALE ADVISOR ABU BAKAR   COMPLAINT B ABU  BAKAR SIR NAY BAJI HAY',null,'20-APR-2021','385HDF-INV - 1468','FREEZER','WHEEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 14:07:10','2021-05-17 14:35:59',null,'1',null,'0');
INSERT INTO complaints VALUES('5450','MR QAISER','03335535543','HOSPITAL#MED-ICSI OPD 02 NEAR PSO PUMP JINNAH SUPER MARKET  SEC F/7  ISB','5','31','102031','CARAVELL','0',null,'08-FEB-2019','1500MEC - 979','CHILLER','COMPRESSOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 14:38:05','2021-04-23 11:19:13',null,'1',null,'0');
INSERT INTO complaints VALUES('5451','ISHFAQ FHHS','03135001212','FRIEND CORPORATION SHAMSA  BAD RWP','8','39','0','SAMSUNG','MODAL#WD80J5410AS',null,'0',null,'WASHING MACHINE','TOP DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 15:34:34','2021-05-29 17:23:05',null,'1',null,'0');
INSERT INTO complaints VALUES('5452','AYAAN BUTT','03335326369','HO#NW-491-A NEAR ALHAMID SHADI HALL MOHALLAH RAJA SULTAN SADPUR ROAD RWP','9','24','1243','HAIER','0',null,'03-MAR-2021','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 15:41:08','2021-04-23 11:11:55',null,'1',null,'0');
INSERT INTO complaints VALUES('5453','MR AWAIS','03355789115','HO#430/13-B NEAR CITY BAKERY KASHMIR LANE CHUHAR CHAKKI PESHAWAR ROAD RWP','9','24','199558','CANON','0',null,'21-NOV-2020','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-21 15:59:50','2021-04-26 11:27:57',null,'1',null,'0');
INSERT INTO complaints VALUES('5454','MR IMRAN','03459041860  03323867774','HO#34 ST 38 SEC F-6/1 ISB','9','19','197691','KENWOOD','0',null,'17-OCT-2020','1012SA - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 10:31:29','2021-04-26 11:23:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5455','MR AZHAR-UD-DIN','03109055250','HO#733 ST 130 SEC D-12/4 ISB','5','34','130673','LG','0',null,'22-MAR-2021','512FPS-S - 1653','DISH WASHER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 10:36:44','2021-04-27 13:28:19',null,'1',null,'0');
INSERT INTO complaints VALUES('5456','MR YOUNS','03355665816','HO#88 ST 07 FAISAL COLONY NEAR OLD AIR PORT CHAKLALA RWP','9','21','202866','KENWOOD','MODAL#26657GD -BKG  SALE ADVISOR MURTAZA',null,'24-DEC-2020',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-04-22 10:45:46','2021-04-24 11:51:19',null,'1',null,'0');
INSERT INTO complaints VALUES('5457','MR YOUNS','03355665816','HO#88 ST 07 FAISAL COLONY NEAR OLD AIR PORT CHAKLALA RWP','9','21','202866','CANON','SALE ADVISOR MURTAZA',null,'24-DEC-2020','U-1 - 1123','BUILT IN APPLLIANCES','FLAME ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 10:49:22','2021-04-24 11:53:31',null,'1',null,'0');
INSERT INTO complaints VALUES('5458','MR YOUNS','03355665816','HO#88 ST 07 FAISAL COLONY NEAR OLD AIR PORT CHAKLALA RWP','9','21','202866','CANON','SALE ADVISOR MURTAZA',null,'24-DEC-2020','16D-PLUS-DUAL - 1030','GEYSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 10:51:42','2021-04-24 11:57:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5459','MR USAMA REHMAN','03359560462  03335479969','HO#930 ST 27 SEC I-10/4 ISB','9','22','209443','HAIER','0',null,'18-APR-2021','438TPB - 2116','REFRIGERATOR','WHEEL DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 11:07:12','2021-04-25 13:20:53',null,'1',null,'0');
INSERT INTO complaints VALUES('5460','MR SHARAZ','03065492228','HO#N/366 ST 08 MUHALLA WARIS KHAN NEAR TANDOOR STREET WARIS KHAN POLICE STATION MUREE ROAD RWP','9','19','0','SIGNATURE','C/O SADDIQ  SIR NAY COMPLAINT BAJI HAY  INVOICE NAI HAY',null,'02-YEAR-AGO',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 11:25:15','2021-05-03 12:03:36',null,'1',null,'0');
INSERT INTO complaints VALUES('5461','BADAL FCI','03145299358','FRIEND CORPORATION BLUE AREA','5','34','0','SONY','MODAL#55X7000G  (PAID JOB BADAL SIR NAY DIRECT COMPLAINT KHALID SIR KO BAJI HAY )',null,'0',null,'FLAT PANEL TV','PANEL DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 11:40:45','2021-05-03 16:28:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5462','MR MUSHTAQ  AHMAD','03005008484 03227778484','HO#874 BLOCK-F SATELLITE TOWN RWP','9','26','209145','WAVES','MODAL#315WDF-SS',null,'12-APR-2021',null,'FREEZER','COOLING ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-04-22 11:47:11','2021-04-24 11:47:31',null,'1',null,'0');
INSERT INTO complaints VALUES('5463','MR FAIZULLAH','03125173575','Address HO#297 ST 100 SEC I-8/4 ISB','5','28','129640','DAWLANCE','SALE ADVISOR ABU BAKAR COMPLAINT B ABU BAKAR SIR NAY BAJI HAY',null,'23-FEB-2021','91996GD-INV-GREEN - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 12:00:15','2021-04-23 15:18:50',null,'1',null,'0');
INSERT INTO complaints VALUES('5464','MR FAISAL','03248508521','HO#38 NEAR JANNAT MASJID LIAQUT COLONY QUIDABAD HYDERABAD SINDH','5','32','642','SAMSUNG','MODAL#40N5300  KHURRAM GOOGLE SIR NAY  COMPLAINT BAJI HAY',null,'09-JAN-2021',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 12:07:01','2021-05-03 11:44:59',null,'1',null,'0');
INSERT INTO complaints VALUES('5465','MR SHAHBAZ','03218000445','HO#1484 ST 11 BLOCK-E PHASE 08 BAHRIA TOWN RWP','6','12','6210','SIGNATURE','SALE ADVISOR MAZHAR  COMPLAINT WAQAS PWD SIR NAY BAJI HAY',null,'16-DEC-2016','P2SS-SVR - 884','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-04-22 12:16:12','2021-04-24 13:34:01',null,'1',null,'0');
INSERT INTO complaints VALUES('5466','MR IMRAN AWAN','03335556679','HO#CB-891 ST 21 ALAMA IQBAL COLONY TENCH BATHA RWP','9','20','188484','FIVE STAR','0',null,'17-MAR-2020','500C-FS - 1073','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 12:29:48','2021-04-29 13:09:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5467','MR EJAZ AHMAD','03008103651','HO#301 ST 01 BLOCK-H PHASE 08 RWP','6','12','32854','HAIER','0',null,'28-DEC-2020','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 12:38:05','2021-04-25 13:22:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5468','MR DILAWAR','03335251212','HO#18 ST 37 JINNAH GARDEN PHASE 01 ISB','5','33','131862','HAIER','MODAL#306R',null,'16-APR-2021',null,'WATER DISPENSER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 12:43:16','2021-05-27 15:33:42',null,'1',null,'0');
INSERT INTO complaints VALUES('5469','COL ADIL SHAHZAD','03331210703','HO#73 ST 79 NEAR FECHS COLONY SEC E-11/2 ISB','5','28','113782','LG','SALE ADVISOR ALI KHAN',null,'11-JAN-2020','1366NEFTFS-C - 907','WASHING MACHINE','ERROR E-1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 12:50:33','2021-04-25 11:54:08',null,'1',null,'0');
INSERT INTO complaints VALUES('5470','MR HAROON','03004423338','HO#810 ST 47 PHASE 02 BAHRIA TOWN RWP','9','27','209557','HAIER','MODAL#438IDBA',null,'21-APR-2021',null,'REFRIGERATOR','WHEEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 13:22:55','2021-04-24 10:49:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5471','CH TALIB HUSSAIN','03557122211','FOWARD KOITA ZELA HAVAREYAN TASEAL MUMTAZA BAD AZAD KASHMIR','9','23','209127','HAIER','0',null,'12-APR-2021','306EPB - 859','REFRIGERATOR','BALANCE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 13:27:25','2021-04-26 11:19:19',null,'1',null,'0');
INSERT INTO complaints VALUES('5472','MR WAQAS FAROOQ','03329141111','HO#15 VILLAGE RAKI MARA CHAKBALI KHAN RWP','9','21','189133','HAIER','SALE ADVISOR MURTAZA',null,'21-MAY-2020','18HFCE-W-INV - 915','AIR CONDITIONER','UPS K SAT NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 13:52:27','2021-04-24 10:47:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5473','ZEESHAN  SAB','03215064256','HO#CD 139 A GARDEN ST PMA BARBARIAN HABIB COLON ABBOTTABAD','4','7','27579','SIGNATURE','SIG OVEN',null,'04-JUNE-2020','25BG - 1731','BUILT IN APPLLIANCES','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-22 13:54:31','2021-05-25 18:10:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5474','DR MARYUM','03215162772','HO#363 ST NO 20 BAHRIA SPRINGS PHASE 7 B.TOWN RWP','6','12','16723','SAMSUNG','01 FREEZER KI B COMPLAINT HAY COMPLAINT KHURRAM GOOGLR SIR NAY BAJI HAY',null,'13-OCT-2018','65K6030 - 75','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 14:09:24','2021-04-24 13:33:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5475','DR MARYUM','03215162772','HO#363 ST NO 20 BAHRIA SPRINGS PHASE 7 B.TOWN RWP','6','12','0','SAMSUNG','ON-PAID JOB COMPLAINT KHURRAM GOOGLE SIR NAY BAJI HAY',null,'0',null,'MICROWAVE OVEN','TUSH PANEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 14:22:05','2021-04-27 12:39:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5476','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','ECOSTAR','MODAL#351',null,'0',null,'WATER DISPENSER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 14:28:58','2021-04-24 13:32:33',null,'1',null,'0');
INSERT INTO complaints VALUES('5477','MR SOHAIL','03183180120  03335245144','HO#12 ST 13 PHASE 08 BAHRIA TOWN RWP','9','19','19942','FIVE STAR','MODAL#35G-HEAVY DUTY  COMPLAINT AZHAR PWD SIR NAY BAJI HAY',null,'07-MAR-2021',null,'GEYSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 14:36:53','2021-05-29 17:22:13',null,'1',null,'0');
INSERT INTO complaints VALUES('5478','MR USAMA','03465417758  03155225400','TCS OFFICE BARAKHU ISB','9','23','203739','HAIER','0',null,'11-JAN-2021','90-1789HWM - 901','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 14:55:15','2021-04-24 10:44:43',null,'1',null,'0');
INSERT INTO complaints VALUES('5479','MR FAISAL','03228330870','HO#193 ST 91 SEC G-6/1-4 ISB','9','23','196651','FIVE STAR','SALE ADVISOR NAVEED',null,'24-SEP-2020','500C-FS - 1073','COOKING RANGE','BURNER ISSUE',null,'5','complaint closed',null,'customer','0',null,'92','2021-04-22 15:06:29','2021-05-01 16:13:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5480','AVIATION#SOURCING','03350050025','HO#293 ST 10 FALAKAN COMPLEX RWP','9','19','165932','FIVE STAR','SALE ADVISOR MUDASSAR SH COMPLAINT KHURRAM GOOGLE SIR NAY BAJI HAY',null,'11-FEB-2019','35G-FS - 1759','GEYSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 15:21:14','2021-04-24 11:36:06',null,'1',null,'0');
INSERT INTO complaints VALUES('5481','MR ZAHID RAJA','03215563262','HO#3-A LANE 01 FAISAL COLONY OLD AIR PORT ROAD RWP','7','49','15893','HAIER','SALE ADVISOR ZAHID',null,'18-NOV-2017','95-1678HWM - 1817','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 15:32:49','2021-04-25 13:36:06',null,'1',null,'0');
INSERT INTO complaints VALUES('5482','HAMMAD FCP','03455104405','FRIEND CORPORATION GUL NOOR MARKET RWP','9','23','0','SIGNATURE','HAMMAD FCP SIR NAY COMPLAINT BAJI HAY',null,'0',null,'AIR CURTAIN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 15:47:53','2021-04-24 10:56:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5483','MRS ARSALAN','03018387272','HO#123 ST 16 PHASE 06 BAHRIA TOWN RWP','9','27','208964','SIGNATURE','PTCL CALL INVOICE HAY  MIX OVEN KI COMPLAINT HAY',null,'11-APR-2021','SBO-AR4R - 1124','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 16:17:52','2021-04-24 10:54:54',null,'1',null,'0');
INSERT INTO complaints VALUES('5484','MR WASEEM','03215142788','HO#DD-195 ST 01 MADINA TOWN SHAMSA BAD RWP','8','39','44547','SIGNATURE','0',null,'05-DEC-2020','SFR-MD100G - 904','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 16:39:01','2021-04-26 11:41:43',null,'1',null,'0');
INSERT INTO complaints VALUES('5485','QAZI USMAN','03365666591  03458501799','HO#45 BILAL LANE KHAWAJA CORPORATION ADYALA ROAD R.','6','12','29399','CANON','PTCL CALL INVOICE HAY',null,'05-SEP-2020','16D-PLUS-DUAL - 1030','GEYSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-22 16:56:20','2021-04-26 11:16:39',null,'1',null,'0');
INSERT INTO complaints VALUES('5486','ZAHID ASHRAF','03215336786','HO#1F3 DHA 01 AVNUE MALL','8','40','47790','DAIKIN','0',null,'12-APRIL-2021','15JXV1P - 912','AIR CONDITIONER','OUT DOOR FAN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-23 11:48:38','2021-05-18 14:04:18',null,'1',null,'0');
INSERT INTO complaints VALUES('5487','MUBASHIR SAB','03450021900','HO# 08 ST#6A MARGALLA VELLEY COL AMAN ULLAH ROAD BARA KAHO ISB','8','37','47887','MITSUBISHI','0',null,'19-APRIL-2021','50VA - 915','AIR CONDITIONER','HEATING &COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-23 12:27:56','2021-04-29 12:41:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5488','MR UMAR','03075396407','HO#09 CENTER AVENUE FIZAIYA HOUSING SOCIETY ISB','8','37','14025','TCL','1802VFR000493A00031',null,'29-APRIL-2018','55P6US - 942','FLAT PANEL TV','NET FLEX PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-23 12:39:32','2021-06-07 13:11:04',null,'1',null,'0');
INSERT INTO complaints VALUES('5489','MR UMAR','03075396407','HO#09 CENTER AVENUE FIZAIYA HOUSING SOCIETY ISB','8','39','14025','TCL','1802VLR300487A00138',null,'29-APRIL-2018','50P6US - 871','FLAT PANEL TV','SCREEN PROB& NET FLEX PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-23 12:39:50','2021-06-30 12:45:57',null,'1',null,'0');
INSERT INTO complaints VALUES('5490','WASEEM','03235588733(03215179909)','HO#500 ST#03 SEC 01 AIR PORT HOUSING SOCITY ISB','8','38','41700','TCL','2003VLR301112A00051',null,'10-AUG-2020','75P8M - 881','FLAT PANEL TV','NOT WORKING(DEAD UNIT)',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-23 12:52:42','2021-06-28 15:07:34',null,'1',null,'0');
INSERT INTO complaints VALUES('5491','SHAFIQ SAB','03035009665','HO#021B ST#07 RWAL TOWN ISB','9','23','209157','HAIER','0',null,'12-APRIL-2021','336IDB - 860','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-23 13:30:43','2021-04-26 10:58:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5492','MRS ARSALAN','03018387272','HO#123 ST 16 PHASE 06 BAHRIA TOWN RWP','9','23','208964','SIGNATURE','BUILT IN  OVEN KI  COMPLAINT HAY PTCL CALL INVOICE HAY',null,'11-APR-2021','SBO-AR4R - 1124','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-24 10:47:30','2021-04-24 11:34:19',null,'1',null,'0');
INSERT INTO complaints VALUES('5493','MRS ARSALAN','03018387272','HO#123 ST 16 PHASE 06 BAHRIA TOWN RWP','9','23','208964','SIGNATURE','PTCL CALL INVOICE HAY  BUILT IN OVEN KI COMPLAINT HAY',null,'11-APR-2021','SBO-AR4R - 1124','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-24 11:04:14','2021-04-27 12:00:47',null,'1',null,'0');
INSERT INTO complaints VALUES('5494','MR SHAHAB SHAFQAT','03004770757','HO#41 ST 53 MPCHS SEC E-11/3 ISB','5','36','131573','MIDAS','MODAL#9630B PTCL CALL INVOICE HAY  HOOD KI COMPLAINT HAY',null,'12-APR-2021',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-24 11:07:25','2021-04-27 12:33:04',null,'1',null,'0');
INSERT INTO complaints VALUES('5495','MR ILYAS MIRZA','03335116522','HO#158 ST 23 SEC I-9/1 ISB','5','34','125763','TCL','S/N 2007VLR301217A00331  PTCL CALL INVOICE HAY',null,'04-DEC-2020','55P8US - 942','FLAT PANEL TV','SCREEN LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-24 11:30:02','2021-04-29 12:15:43',null,'1',null,'0');
INSERT INTO complaints VALUES('5496','ALI AYZAZ','03341772777','HO#H15 LANE H, ABUBAKAER BLOCK PHASE 8 RWP','6','12','14131','HAIER','0',null,'01-MAY-2018','120-1678HWM - 906','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-24 12:25:30','2021-04-28 12:29:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5497','SAYED TALHA','03000459722','HO#141 ST 06 BLOCK-B MIDA TOWN RWP','6','12','21158','ORIENT','0',null,'01-JUN-2019','CRYSTAL-C-BLK - 993','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-24 12:57:53','2021-04-27 11:59:51',null,'1',null,'0');
INSERT INTO complaints VALUES('5498','MR SAJJAD NASEER','03332178692','HO#495 ST 12 SEC G-10/2 ISB','8','39','47815','SIGNATURE','HOB KI COMPLAINT HAY(AGAIN ISSUE AGAY HAIN KINDLY AGAIN VISIT ARRANGE KARWAY)',null,'15-APR-2021','HC-5871S - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','5375','74','2021-04-24 13:15:22','2021-05-08 12:22:56',null,'1',null,'0');
INSERT INTO complaints VALUES('5499','MR JAMSHEAD','03225000909','HO#33 ST 17 JINNAH GARDEN ISB','4','5','5534','SIGNATURE','SALE ADVISOR NAEEM AZEEM  PTCL CALL INVOICE HAY',null,'06-OCT-2018','SWM-SR45 - 899','WASHING MACHINE','WATER INLET PRESSURE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-24 13:23:25','2021-04-27 12:38:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5500','MR SHAMSHAD','03465293203  03155433638','ALAM-GHER COLONY PF BIAS NOOR KHAN  RAWAL ROAD CHAKLALA RWP','9','22','181023','ECOSTAR','SALE ADVISOR IMRAN',null,'05-NOV-2019','32U571 - 936','FLAT PANEL TV','PICTURE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-24 13:34:58','2021-05-03 15:57:36',null,'1',null,'0');
INSERT INTO complaints VALUES('5501','MR OMER','03365899169  03435991621','OFFICE#10 3rd FLOOR AHMED CENTER SEC I-8 MARKAZ ISB','6','12','37640','ORIENT','MODAL#32FHD-EAGLE PTCL CALL INVOICE HAY',null,'20-NOV-2020',null,'FLAT PANEL TV','HDMI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-24 13:40:50','2021-06-30 12:46:54',null,'1',null,'0');
INSERT INTO complaints VALUES('5502','RAJA SHUJAAT','03355506367','HO#300 ST 56 SEC F-11/4 ISB','8','42','44554','SAMSUNG','MODAL#75TU7000',null,'05-DEC-2020',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-24 13:50:06','2021-05-25 12:20:10',null,'1',null,'0');
INSERT INTO complaints VALUES('5503','MR ARSHAD ABBASI','03009755995','HO#125 ST 20 SEC F-10/2 ISB','6','14','20278','DAWLANCE','SALE ADVISOR BADAL',null,'14-APR-2019','91996ES-PLUS - 885','REFRIGERATOR','RUBBER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-25 10:42:13','2021-04-27 11:09:21',null,'1',null,'0');
INSERT INTO complaints VALUES('5504','MR UMAR ZAHUR','03215972093','HO# 06 ST 03 SEC B DHA 01 ISB','6','15','34425','HAIER','MODAL#336B-HWD',null,'18-APR-2021',null,'WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-25 10:49:08','2021-04-29 12:59:48',null,'1',null,'0');
INSERT INTO complaints VALUES('5505','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','WAVES','0','2021-04-25',null,'315WDFT - 958','FREEZER','PART DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-25 10:56:39','2021-04-27 12:35:02',null,'1',null,'0');
INSERT INTO complaints VALUES('5506','IQBAL KRL FRIENDS','03335177221','FRIENDS SHOP KRL OFFICERS COLONY KHANNA PUL RWP','9','19','0','SIGNATURE','MODAL#CH2-BU  02 AIR COOLER KI COMPLAINT HAY','2021-04-25',null,'CH1-GR - 1705','AIR COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-25 11:15:54','2021-05-17 11:41:53',null,'1',null,'0');
INSERT INTO complaints VALUES('5507','BILAL FHHS','03120578711','FRIEND CORPORATION SHAMSA  BAD RWP','8','41','0','ORIENT','MODAL# CRYSTEL03','2021-04-25',null,null,'WATER DISPENSER','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-25 11:20:34','2021-04-29 12:13:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5508','DR SABINA DURRANI','03345066662','HO#528 ST 52 NEAR KARACHI COMPANY SEC G-9/1 ISB','5','28','124734','CARAVELL','MODAL#207BA  COMPLAINT NAVEED FHHS SIR NAY BAJI HAY',null,'30-NOV-2020',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-25 12:00:37','2021-04-28 12:00:14',null,'1',null,'0');
INSERT INTO complaints VALUES('5509','DR HANEEF','03335595653','HO#1624 ST 66 SEC F DHA PHASE 01 ISB','9','20','110504','CANON','SALE ADVISOR MUDASSAR',null,'17-FEB-2016','16D-PLUS - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-25 12:10:21','2021-05-03 15:53:07',null,'1',null,'0');
INSERT INTO complaints VALUES('5510','CH SHAFIQ','03335137013','HO#F-649 BLOCK F FRONT OFF DELICE BAKERS RWP','9','26','209620','WAVES','0',null,'22-APR-2021','315WDFT-SS - 958','FREEZER','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-25 12:20:32','2021-04-27 11:51:32',null,'1',null,'0');
INSERT INTO complaints VALUES('5511','MR BASIT','03215157331','HO#2263 ST 52-D BAHRIA TOWN PHASE 07 RWP','9','51','177447','LG','SALE ADVISOR MUDASSAR',null,'18-AUG-2019','4J6VYP2S-S - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-25 13:03:22','2021-04-27 16:33:39',null,'1',null,'0');
INSERT INTO complaints VALUES('5512','MR SHAHID HASSAN','03219544414','HO#301 ST 08 SEC-B ASKARI 14 RWP','9','24','131212','SIGNATURE','0',null,'15-APR-2017','SRF-KK95G - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-25 13:57:28','2021-05-11 11:29:43',null,'1',null,'0');
INSERT INTO complaints VALUES('5513','MRS RIZWAN','03015172424','HO#H-10/N-10 NUCLEUS COLONY BARRIER 02 WAH-CANTT','8','40','47661','CORONA','MODAL#C373',null,'08-APR-2021',null,'COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-25 14:24:34','2021-05-03 15:36:49',null,'1',null,'0');
INSERT INTO complaints VALUES('5514','MR QASIM','03334786181','HO#429 ST 51 SEC-F SAFARI HOMES PHASE 08 BAHRIA TOWN RWP','6','12','33357','FIVE STAR','PTCL CALL INVOICE HAY',null,'25-FEB-2021','666C-FS - 1077','COOKING RANGE','NOB ISSUE',null,'5','complaint closed',null,'customer','0',null,'92','2021-04-25 15:36:19','2021-05-01 16:13:03',null,'1',null,'0');
INSERT INTO complaints VALUES('5515','DR MASOOD TAHIR','03345391307','FLAT#23 BLOCK-08 KRL OFFICERS COLONY QADEER ROAD NEAR KHANNA PUL RWP','8','37','27152','SIGNATURE','PTCL CALL INVOICE HAY',null,'28-APR-2018','SWM-JD51 - 902','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-25 15:42:31','2021-04-28 11:24:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5516','MR JAMIL','03335169909','HO#26 ST 02 BLOCK-C CBR TOWN PHASE 01 ISB','9','26','145825','SAMSUNG','PTCL CALL INVOICE HAY',null,'10-JAN-2018','11J5710GT - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-04-25 15:52:43','2021-04-28 11:15:45',null,'1',null,'0');
INSERT INTO complaints VALUES('5517','BILAL FHHS','03120578711','FRIEND CORPORATION SHAMSA  BAD RWP','8','41','0','SAMSUNG','MODAL#55Q60T',null,'0',null,'FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-25 15:56:57','2021-06-05 17:26:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5518','MR SAFEER','03456272788 03005318071','DHOK CHANI MEYAN MUHAMMAD TOWN MEER PUR AZAD KASHMIR','9','24','206429','DAWLANCE','MODAL#270SLVS  PTCL CALL INVOICE HAY',null,'27-FEB-2021',null,'WASHING MACHINE','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-25 16:05:16','2021-04-27 10:43:06',null,'1',null,'0');
INSERT INTO complaints VALUES('5519','MR HARIS','03445904404','HO#364 ST 18 SEC I-10/2 ISB','8','40','43372','SIGNATURE','HOOD KI COMPLAINT HAY PTCL CALL INVOICE HAY',null,'05-NOV-2020','SBC-DUBBO-90PLUS - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-25 16:15:58','2021-05-17 11:41:24',null,'1',null,'0');
INSERT INTO complaints VALUES('5520','TAJ KHAN','03005166460','HO#98/10 DHOK MUSTAKEEM PERWADAI MOR AKBAR PLAZA RWP','9','20','149934','SIGNATURE','0',null,'07-APR-2018','SRF-KK95G - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-25 16:23:34','2021-05-01 15:59:10',null,'1',null,'0');
INSERT INTO complaints VALUES('5521','MR ASGHAR','03316280506','HO#482 ST 10 ALI BLOCK PHASE 08 BAHRIA TOWN RWP','4','10','10984','LG','SALE ADVISOR SOHAIL MAJEED',null,'15-OCT-2017','1452S - 34','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-25 16:29:35','2021-05-04 15:50:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5522','MR TARIQ MEHMOOD','03335128457','HO#37 ST 07 SEC G-13/1 ISB','9','21','204467','BOSCH','SALE ADVISOR MURTAZA',null,'25-JAN-2021','50D08GC - 1060','DISH WASHER','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-26 10:43:03','2021-04-27 12:37:41',null,'1',null,'0');
INSERT INTO complaints VALUES('5523','RAJA AHSAN','03436664449  0515737456','HO#434 ST 13 SEC-A PHASE 08 BAHRIA TOWN RWP','9','23','159691','HAIER','0',null,'17-OCT-2018','618BG-HRF - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-26 11:09:45','2021-05-03 15:39:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5524','AZEEM SB','03315420488','FRIENDS GODOWN GULNOOR GODOWN MARKET RWP','9','19','0','DAWLANCE','REF TO AZEEM FCPG',null,'0','9191WB-CHROME+HS','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-04-26 11:26:34','2021-07-26 15:21:22',null,'1',null,'0');
INSERT INTO complaints VALUES('5525','MAJOR KAMRAN ASLAM','03005204057','HO#01 NEAR GUNJ GLASS FACTORY MAIN GT ROAD HASSANABAD','7','49','20424','CORONA','SALE ADVISOR ZAHID',null,'24-DEC-2019','225C/R - 14','COOKING RANGE','FLAME ISSUE',null,'5','COMPLIAN CLOSED',null,'customer','0',null,'92','2021-04-26 11:27:04','2021-05-22 15:18:19',null,'1',null,'0');
INSERT INTO complaints VALUES('5526','MALIK MOHSIN','03335447074','HO#338-B SEC-1 KHAYABAN-E-SIRSYED RWP','8','38','47986','ORIENT','COMPLAINT BEST COOL SIR NAY BAJI HAY',null,'25-APR-2021','18G-HYPER-SW - 915','AIR CONDITIONER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-26 11:38:19','2021-04-29 12:18:19',null,'1',null,'0');
INSERT INTO complaints VALUES('5527','MRS BADAR','03329376059','HO#68 ST 13 SPRING VALLEY BHARAKHOU ISB','5','28','109767','SIGNATURE','COMPLAINT ABU-BAKAR  SIR NAY BAJI HAY',null,'28-SEP-2019','SCR-FSS3-5G - 1076','COOKING RANGE','BAKING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-26 11:56:56','2021-06-05 12:28:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5528','MRS QUDDUS','03335391095','HO#433 ROAD-B PHASE 05 BAHRIA TOWN RWP','4','5','11954','HAIER','SALE ADVISOR SALEEM',null,'14-DEC-2019','95-1678HWM - 1817','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-26 12:32:42','2021-05-03 15:25:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5529','MR BULLAND IQBAL','03008557757','HO#08 ST 08 SEC-A DHA PHASE 01 ISB','6','15','31141','FIVE STAR','PTCL CALL INVOICE HAY',null,'02-DEC-2020','55G-TWIN-SUPREME - 1538','GEYSER','THERMOSTAT ISSUE',null,'5','complaint closed',null,'customer','0',null,'92','2021-04-26 12:46:48','2021-05-01 16:11:48',null,'1',null,'0');
INSERT INTO complaints VALUES('5530','MARYAM IRFAN','03022572237','HO#174 ST 12 SEC B PHASE 08 BAHRIA TOWN RWP','6','12','33078','ECOSTAR','MODAL#351FC',null,'09-FEB-2021',null,'WATER DISPENSER','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-26 13:21:15','2021-05-03 15:28:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5531','MR CHANGEZ KAYANI','03157575735','HO#79/3 ST 15 GULRAZ HOUSINHG SOCITY PHASE 02 RWP','9','23','203872','HAIER','0',null,'13-JAN-2021','90-1789HWM - 901','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-26 13:50:18','2021-04-28 12:46:52',null,'1',null,'0');
INSERT INTO complaints VALUES('5532','ASAD KHAN','03339622002','APP#109 TOWER 02 ZARKON HIGHTS SEC G-15 ISB','8','39','46000','LG','MODAL#502SQCL-CC  COMPLAINT NAFEES FHHS SIR NAY BAJI HAY',null,'28-JAN-2021',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-26 14:07:20','2021-05-01 15:56:06',null,'1',null,'0');
INSERT INTO complaints VALUES('5533','ASAD KHAN','03339622002','APP#109 TOWER 02 ZARKON HIGHTS SEC G-15 ISB','8','37','46023','SUPER ASIA','MODAL#535GH-A1  SALE ADVISOR NAFEES COMPLAINT BAJI HAY',null,'30-JAN-2021',null,'GEYSER','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-26 14:20:54','2021-04-29 11:34:18',null,'1',null,'0');
INSERT INTO complaints VALUES('5534','SYED AZFER IQBAL','03005004423','HO#33 ST 56 SEC-N BAHRIA ENCLAVE ISB','5','28','115910','SIGNATURE','SALE ADVISOR KABEER',null,'08-APR-2020','3762G - 1122','BUILT IN APPLLIANCES','LIGHTER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-26 14:44:40','2021-04-29 13:35:56',null,'1',null,'0');
INSERT INTO complaints VALUES('5535','MR AHMAD','03005166666  03201100369','HO#736 IBN-E-SINA ROAD SEC G-11/2 ISB','5','33','120962','ORIENT','0',null,'18-AUG-2020','AUTO8 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-26 15:10:46','2021-04-28 12:02:08',null,'1',null,'0');
INSERT INTO complaints VALUES('5536',null,null,null,'6',null,null,'HAIER','000000',null,null,'306R','WATER DISPENSER','COOLING AND HEATING PROBLEM',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-04-26 15:29:46','2021-04-29 12:26:02',null,'1',null,'0');
INSERT INTO complaints VALUES('5537','NAVEED FCP','03005213783','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','SUPER ASIA','MODAL#280SA','2021-04-26',null,null,'WASHING MACHINE','SPINNER PART ISSUE',null,'5','COMPLETED',null,'customer','0',null,'92','2021-04-26 15:33:56','2021-05-22 13:05:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5538','EHSAN BAHRIA','03113110013','FRIEND CORPORATION BAHRIA 07','6','17','0','SUPER ASIA','MODAL#30-MEH',null,'0',null,'GEYSER','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-26 15:55:49','2021-05-03 12:02:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5539','MR JIBRAN ALI','03125427265','HO#379 UPPER FLOOR ST 18 PHASE 03 BAHRIA TOWN RWP','4','8','20393','CARAVELL','MODAL#202R  SALE ADVISOR MURTAZA',null,'07-APR-2021',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-26 16:12:23','2021-05-24 13:26:05',null,'1',null,'0');
INSERT INTO complaints VALUES('5540','MR ASHAR','03085820163','HO#1248 ST 82 SEC D-12/1 ISB','8','39','47129','SIGNATURE','MICROWAVE KI COMPLAINT HAY',null,'17-MAR-2021','25CG - 1731','BUILT IN APPLLIANCES','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-26 16:38:12','2021-05-01 15:52:18',null,'1',null,'0');
INSERT INTO complaints VALUES('5541','MR ASHAR','03085820163','HO#1248 ST 82 SEC D-12/1 ISB','8','39','47129',null,'ELECTRIC#GAS  OVEN KI COMPLAINT HAY',null,'17-MAR-2021',null,'BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-26 16:45:27','2021-05-03 11:43:52',null,'1',null,'0');
INSERT INTO complaints VALUES('5542','MR ASHAR','03085820163','HO#1248 ST 82 SEC D-12/1 ISB','8','39','47129','SIGNATURE','ELECTRIC#GAS  OVEN KI COMPLAINT HAY',null,'17-MAR-2021',null,'BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-26 16:45:41','2021-04-27 12:33:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5543','BILAL FCP','03110533103','FRIEND CORPORATION GUL NOOR MARKET RWP','9','21','0','HAIER','0',null,'0','216EBD - 858','REFRIGERATOR','DAMAGE',null,'5','COMPLETED',null,'customer','0',null,'92','2021-04-26 16:52:24','2021-05-22 13:05:21',null,'1',null,'0');
INSERT INTO complaints VALUES('5544','MR USMAN','03235378359','HO#CB-173 ST 05 SHALA VALI RANGE ROAD RWP','9','19','207239','KENWOOD','MODAL#26657GD -MRG  SALE ADVISOR RIFFAT FCP SIR NAY COMPLAINT BAJI HAY',null,'11-MAR-2021',null,'REFRIGERATOR','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 10:36:56','2021-04-29 11:03:01',null,'1',null,'0');
INSERT INTO complaints VALUES('5545','MR JAHANGIR','03345254348','HO#NP-45 1ST FLOOR STREET 01 NEW PARIAN SATELLITE TOWN RWP','9','19','2089','HAIER','COMPLAINT RIFFAT FCP SIR NAY BAJI HAY',null,'11-APR-2021','306EPB - 859','REFRIGERATOR','RABER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 10:43:37','2021-06-05 11:50:15',null,'1',null,'0');
INSERT INTO complaints VALUES('5546','RANA ABDUL SHAKOOR','03009544199','HO#01 ST 01 SEC-DD PWD HOUSING SOCIETY ISB','9','51','197003','SAMSUNG','S/N 08CG36PN400099W',null,'03-OCT-2020','58RU7100-MRM - 876','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 11:22:25','2021-05-27 17:34:13',null,'1',null,'0');
INSERT INTO complaints VALUES('5547','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','26','0','WAVES',null,null,'0','315WDFT-SS - 958','FREEZER','LIGHT DAMAGE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-04-27 11:30:07','2021-06-28 12:34:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5548','DR SADIA ATIF','03009880467 03314499959','PLAZA#352-A NATIONAL POLICE FOUNDATION O-9 PWD ROAD  ISB','8','38','46228','GREE','MODAL#12PITH1W  CASSET KI COMPLAINT HAY',null,'08-FEB-2021',null,'AIR CONDITIONER','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 11:44:04','2021-06-07 13:51:21',null,'1',null,'0');
INSERT INTO complaints VALUES('5549','MR ZAHID AKBAR','03361666006','HO#467 ST 126 SEC G-9/3 ISB','5','28','72598','SAMSUNG','SALE ADVISOR IMRAN MUGHAL',null,'21-JAN-2016','11J5710GT - 905','WASHING MACHINE','ERROR C2',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 11:55:12','2021-05-05 13:10:44',null,'1',null,'0');
INSERT INTO complaints VALUES('5550','MRS AQIL','03431566309','HO#225 ST 23 LOWER GROUND SEC F-11/2 ISB','5','28','102092','SIGNATURE','SALE ADVISOR TARIQ  MEHMOOD',null,'11-FEB-2019','SFV-SY45 - 1467','FREEZER','HANDEL DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 11:58:50','2021-06-09 14:48:28',null,'1',null,'0');
INSERT INTO complaints VALUES('5551','MR AJMODIN','03088567101','DHOK RAJHGAN  MASJID IBHREM CHAKSHAHZAD CHATA BAKHTAWAR  RWP','8','37','22418','PEL','SALE ADVISOR ADIL RASHEED',null,'22-MAY-2017','2300EW - 88','REFRIGERATOR','COMPRESSOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 12:18:44','2021-05-04 17:03:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5552','MR SHAHBAZ ALI','03030888170 03125090733','HO#05 SEC GOR-1  NEAR JINNAH PARK RWP','9','24','187829','SUPER ASIA','SALE ADVISOR JAVED',null,'05-MAR-2020','280SA-CRYSTAL - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 12:27:45','2021-05-04 17:05:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5553','MR ASAD','03009843232','HO#158 BLOCK-A GULBERG GREEN ISB','8','43','23744','FIVE STAR','MODAL#55GTWIN',null,'03-NOV-2020',null,'GEYSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 12:32:53','2021-06-02 12:57:21',null,'1',null,'0');
INSERT INTO complaints VALUES('5554','MR RANA MOIN','03219565200','HO#394 ST 10 PHASE 05 BAHRIA TOWN RWP','6','16','33579','SIGNATURE','MODAL#A1 2028  HOOD KI COMPLAINT HAY',null,'08-MAR-2021',null,'BUILT IN APPLLIANCES','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 12:58:38','2021-04-29 11:46:47',null,'1',null,'0');
INSERT INTO complaints VALUES('5555','BILAL FHHS','03120578711','FRIEND CORPORATION SHAMSA  BAD RWP','8','41','0','SIGNATURE','HOB KI COMPLAINT HAY',null,'0','HC-3900G - 1122','BUILT IN APPLLIANCES','GLASS REPLACE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 13:19:51','2021-04-28 11:03:03',null,'1',null,'0');
INSERT INTO complaints VALUES('5556','AZHAR MAZHAR PWD','03139898008','FRIEND CORPORATION PWD','4','8','0','DAWLANCE','0',null,'0','133G-IR - 986','MICROWAVE OVEN','BUTTON NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 13:30:15','2021-05-03 12:01:50',null,'1',null,'0');
INSERT INTO complaints VALUES('5557','MR AMJAD','03216188802  03215000408','PLOT#02 HUMAK ENGINEERING INDUSTRIAL TRIANGLE HUMAKH ISB','8','37','24858','TCL','MODAL#75P715 S/N 2010VLR301319A00062  SALE ADVISOR TAHIR SHAH PTCL CALL INVOIVE HAY',null,'01-APR-2021',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 13:48:12','2021-05-27 14:55:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5558','MR ASHFAQ','03335710056','HO#2381 ST#68-I-10/1 ISB','8','38','29457','SIGNATURE','PTCL CALL INVOICE HAY',null,'30-AUG-2018','SWM-JD46 - 945','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 14:27:24','2021-04-30 14:15:02',null,'1',null,'0');
INSERT INTO complaints VALUES('5559','MRS HASSAN','03105555885','HO#557 ST 10/A SEC F-10/2','5','31','130316','GREE','PTCL CALL INVOICE HAY',null,'13-MAR-2021','18LM5L - 914','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 14:42:41','2021-04-29 12:44:36',null,'1',null,'0');
INSERT INTO complaints VALUES('5560','MR ZAIN QURESHI','03005093999','HO#4-A ST 38 SEC F-8/1 ISB','9','22','209054','SONY','MODAL#65X7500H-CC  COMPAINE MODAL SALE ADVISOR IMRAN',null,'11-APR-2021',null,'FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 14:52:52','2021-07-27 13:13:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5561','MR MUBEEN HAIDER','03129668095','HO#06 ST 04 MOHALA RAJGAN SADHRA ROAD TARLAYI ISB','5','32','131522','HAIER','MODAL#438IDBA',null,'09-APR-2021',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 15:06:01','2021-06-05 12:00:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5562','MR SAAD AHMED','03363067025','HO#452 ST 51 SEC G-9/1 ISB','5','32','122175','DAWLANCE','0',null,'23-SEP-2020','260CLVS-PLUS - 901','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 15:16:38','2021-04-29 12:47:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5563','HAJI JAVED','03015156669 03365528034','HO#559 ST 109 SEC I-8/4 ISB','9','27','133200','SIGNATURE','SALE ADVISOR KAMRAN',null,'09-MAY-2017','SWM-FW1610S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 15:46:11','2021-07-28 17:24:28',null,'1',null,'0');
INSERT INTO complaints VALUES('5564','MR ADEEL','03369275756  03315163798','HO#431-A ST 9A PHASE 03 BAHRIA TOWN RWP','4','5','10110','ORIENT','SALE ADVISOR SALEEM  COMPLAINT KAMRAN BAHRIA SIR NAY COMPLAINT BAJI HAY',null,'29-JULY-2019','24G-ULTIMATE-SW-C - 916','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 16:04:24','2021-04-29 11:55:49',null,'1',null,'0');
INSERT INTO complaints VALUES('5565','MR ZAIN MUMTAZ','03336552499','HO#D-18/8  NATIONAL DEFENSE UNIVERSITY  SEC E-9 ISB','7','49','16741','SIGNATURE','SALE ADVISOR ZAHID  COMPLAINT ZAHID SIR  NAY BAJI HAY',null,'01-MAY-2018','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 16:23:14','2021-05-11 11:30:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5566','GHULAM YASEEN','03215374344 03345472149','CMH JEHLUM','8','39','41500','CARAVELL','0',null,'04-AUG-2020','1600MEC - 2013','CHILLER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-27 16:58:23','2021-05-03 14:59:05',null,'1',null,'0');
INSERT INTO complaints VALUES('5567','MR ZIAD','03335418008 03217309508','HO#1521 CORNICE ROAD PHASE 04 BAHRIA TOWN RWP','9','19','7625','ECOSTAR','COMPLAINT ADIL FHHS 02 NAY BAJI HAY',null,'11-FEB-2019','55U571 - 942','FLAT PANEL TV','NOT WORKING',null,'5','complaint closed',null,'customer','0',null,'92','2021-04-28 10:48:03','2021-05-01 16:33:13',null,'1',null,'0');
INSERT INTO complaints VALUES('5568','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','HAIER','MODAL#206',null,'0',null,'WATER DISPENSER','LEAKAGE ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-04-28 10:51:36','2021-05-03 11:40:54',null,'1',null,'0');
INSERT INTO complaints VALUES('5569','MR AZIZ','03219565519','HO#203 NEAR NAWAB-SHAREF PARK 07 ROAD NEAR QASIM JUNEAR STOR RWP','9','26','182922','SAMSUNG','0',null,'12-DEC-2019','70H4200-S - 1483','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 10:59:30','2021-04-30 11:32:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5570','MR WAQAR AHMED','03345183953','HO#B-4/440 MUSLIM TOWN SADAKA BAD RWP','9','26','206994','LG','MODAL#1369NEHTF-C',null,'07-MAR-2021',null,'WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 11:05:42','2021-05-01 15:51:44',null,'1',null,'0');
INSERT INTO complaints VALUES('5571','MR JUNAID','03018589857','GT ROAD JEHANGIRA DISTRICT NOWSHERA SAWABI','8','42','42900','SAMSUNG','S/N 08BE36GN500125  PTCL CALL INVOICE HAY',null,'08-OCT-2020','55Q60-MRM - 942','FLAT PANEL TV','SPOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 11:10:58','2021-05-05 12:39:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5572','MR HAIDER SAIF','03335190921','HO#38 ST 487 SEC G-13/1 ISB','5','31','91052','SIGNATURE','0',null,'22-JAN-2018','SWM-JD46 - 945','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 11:33:31','2021-05-19 14:55:41',null,'1',null,'0');
INSERT INTO complaints VALUES('5573','BILAL FHS','03120578711','FRIENDS HOME SHAMSABAD MURREE ROAD RWP','8','37','47228','DAWLANCE','0',null,'22-MAR-2021','30 AURA','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-04-28 11:59:03','2021-05-17 15:29:50',null,'1',null,'0');
INSERT INTO complaints VALUES('5574','DR JAMEEL AHMED','03235577706','HO#133 ST 17 PHASE 07 BAHRIA TOWN RWP','6','14','19961','VARIOLINE','SALE ADVISOR BADAL  COMPLAINT VARIOLINE KI HAY',null,'31-MAR-2019','20STRL-BLK - 993','WATER DISPENSER','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 12:14:54','2021-06-30 12:59:44',null,'1',null,'0');
INSERT INTO complaints VALUES('5575','GRAND PHARMA','03117772441','PLOT#5A ST N-4 RAWAT INDUSTRI AREA ISB','8','40','48041','WAVES','0',null,'26-APR-2021','318WDF-SS - 959','FREEZER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 12:26:21','2021-05-27 15:26:43',null,'1',null,'0');
INSERT INTO complaints VALUES('5576','MAJ YASIN','03235292801','DHA PHASE 02','8','37','27378','ROBAM','MODAL#3048MQ   COMPLAINT BRAUN KI HAY  BEST COOL SIR NAY COMPLAINT BAJI HAY',null,'27-MAY-2020',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 12:57:15','2021-04-29 11:44:03',null,'1',null,'0');
INSERT INTO complaints VALUES('5577','TARIQ FCI','03005566006','FRIEND CORPORATION BLUE AREA','5','31','0','HAIER','MODAL#75K6600UG',null,'0',null,'FLAT PANEL TV','CABLE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 13:09:32','2021-05-03 12:00:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5578','MR FARRUKH WASEEM','03005012387','Address HO#3055 LANE 07  MAIN PESHWAR ROAD RWP','9','26','203597','LG','PTCL CALL INVOICE HAY',null,'09-JAN-2021','4V5RYP2T-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 13:52:07','2021-06-05 15:15:53',null,'1',null,'0');
INSERT INTO complaints VALUES('5579','MR NASIR SAEED','03018501833','HO#461 ST 01 SEC-H PHASE 08 BAHRIA TOWN RWP','6','15','32645','HAIER','0',null,'17-JAN-2021','85-1708HWM - 945','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 14:14:54','2021-04-30 12:14:07',null,'1',null,'0');
INSERT INTO complaints VALUES('5580','SALEEM AHMED','03362266776','HO#220 ST 11 PHASE 06 BAHRIA TOWN RWP','4','11','20008','HAIER','SALE ADVISOR SALEEM',null,'10-MAR-2021','276EBD - 858','REFRIGERATOR','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 14:19:24','2021-05-17 15:25:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5581','MR AMEEN','03365256249','HO#253 ST 16 BLOCK-D PWD ISB','8','37','47807','HAIER','0',null,'15-APR-2021','385HDF-INV - 1468','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 14:23:52','2021-04-29 13:23:45',null,'1',null,'0');
INSERT INTO complaints VALUES('5582','UMER BABAR','03338018010','HO#85 ST 49 SEC D-12/2 ISB','8','38','926','LG','SALE ADVISOR HASSAN ALI',null,'03-JUN-2020','4V5RYP2T-S - 899','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 14:39:36','2021-05-22 12:21:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5583','MR HESHAM','03365244163','HO#CB-2580 QASIM MARKIT NEAR AYUB MARRIAGE LAWN RWP CANTT','4','6','22538','ORIENT','MODAL#AUTO6 5GREY  PTCL CALL INVOICE HAY',null,'06-DEC-2020',null,'WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 14:57:00','2021-04-30 11:45:43',null,'1',null,'0');
INSERT INTO complaints VALUES('5584','MISS TAYYABA','03068176911','HO#CB-228 IQBAL STREET HAJI SHERKHAN COLONY DHMYAL ROAD RWP','7','49','22142','SUPER ASIA','SALE ADVISOR ZAHID',null,'12-NOV-2020','106GH(NG) - 1029','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 15:06:26','2021-05-19 11:58:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5585','DR SHAZIA','03335292100','FLAT#204 BLOCK 14 DEFIANCE  ROAD SEC-A DHA 02 ISB','6','12','34643','KENWOOD','SALE ADVISOR BADAL  COMPLAINT CHAT SERVICE KI TARAF SAY AYI HAY',null,'27-APR-2021','1012SA - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 15:32:23','2021-05-27 15:39:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5586','MR KASHIF RAZA','03344905705','HO#19-C ST 07 NEAR PUNJAB CASH#CARE','6','14','20306','HAIER','SALE ADVISOR NAVEED',null,'01-APR-2021','120-1678HWM - 906','WASHING MACHINE','TIMER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 15:43:43','2021-05-04 15:17:10',null,'1',null,'0');
INSERT INTO complaints VALUES('5587','SERVICE CENTRE','0518445463','PLOT#81f st#6 sec i/10-3 isb','10','44','0','SAMSUNG','2PC',null,'0','50TU7000','FLAT PANEL TV','NOT WORKING (2PC)',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-04-28 16:11:56','2021-05-01 15:51:18',null,'1',null,'0');
INSERT INTO complaints VALUES('5588','SERVICE CENTRE','0518445463','PLOT#81f st#6 sec i/10-3 isb','10','44','0','MAX','5PC',null,'0','32A5 - 936','FLAT PANEL TV','NOT WORKING (5PC)',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-04-28 16:12:44','2021-05-25 14:40:52',null,'1',null,'0');
INSERT INTO complaints VALUES('5589','SERVICE CENTRE','0518445463','PLOT#81f st#6 sec i/10-3 isb','10','44','0','SAMSUNG','1PC',null,'0','43TU7000','FLAT PANEL TV','NOT WORKING (1PC)',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-04-28 16:13:32','2021-05-29 17:21:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5590','MR SHAHID','03004536946  03225020066','HO#82 ST 3, SEC G-10/2 ISB','9','23','142425','SIGNATURE','0',null,'02-NOV-2017','SWM-SR50 - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 16:14:49','2021-04-30 11:32:20',null,'1',null,'0');
INSERT INTO complaints VALUES('5591','MR SAEED IQBAL','03335104932','HO#657 ST 18 PHASE 04 BAHRIA TOWN RWP','4','11','14584','LG','SALE ADVISOR ALI MURTAZA',null,'16-JUN-2020','247CAAV-S - 909','REFRIGERATOR','BALANCE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 16:24:27','2021-05-01 15:50:53',null,'1',null,'0');
INSERT INTO complaints VALUES('5592','MR SHER DILL','03345154444','HO#2-A KOHISTAN ROAD SEC F-8/2 ISB','5','34','119612','SONY','0',null,'23-JULY-2020','85X8500G-S - 1627','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 16:45:29','2021-07-27 13:12:36',null,'1',null,'0');
INSERT INTO complaints VALUES('5593','MR ADNAN','03015332774','FLAT#08 BLOCK 148 ST 133 SEC G-11/4 ISB','5','32','130853','SAMSUNG','MODAL#55TU7000MRM S/N 0AJS36PR200114X',null,'28-MAR-2021',null,'FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-28 17:10:57','2021-05-03 11:26:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5594','MR WASEEM','03159000401  03225375426','HO#02 ST 20-B SEC B ORCHID DHA 01 ISB','9','27','166440','LG','0',null,'21-FEB-2019','247SMUV-S - 909','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 11:02:25','2021-05-22 13:02:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5595','MR AWAIS','03055615902  03145050751','HO#2213-ZA ST 03 MUHALA KHADA BAD PERWADAHI RWP','9','23','206165','HAIER','MODAL#385IM-GRAY',null,'22-FEB-2021',null,'FREEZER','CURRENT ISSUE',null,'5','complaint closed',null,'customer','0',null,'92','2021-04-29 11:10:54','2021-05-01 16:20:05',null,'1',null,'0');
INSERT INTO complaints VALUES('5596','MR AMIR','03345004270','HO#07 LANE 06 SEC-D DHA 02 ISB','6','12','24078','SIGNATURE','SALE ADVISOR BADAL  ADEEL BAHRIA SIR NAY COMPLAINT BAJI HAY',null,'24-NOV-2019','SWM-JD45 - 945','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 11:16:37','2021-05-22 12:20:54',null,'1',null,'0');
INSERT INTO complaints VALUES('5597','MR MUMTAZ ALI','03344393944','HO#07 BLOCK-01 TNT COLONY SEC G-8/4 ISB','9','23','209295','DAWLANCE','0',null,'15-APR-2021','6550DW - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','complaint closed',null,'customer','0',null,'92','2021-04-29 11:32:21','2021-05-01 16:22:24',null,'1',null,'0');
INSERT INTO complaints VALUES('5598','MR MUNEEB AHMAD','03458503221','HO#12 ST 08 SEC-C DHA 02 ISB','6','16','34592','HAIER','MODAL#535FC',null,'25-APR-2021',null,'FREEZER','DENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 11:42:25','2021-05-17 15:34:20',null,'1',null,'0');
INSERT INTO complaints VALUES('5599','MR WAQAR','03075789107  03095939310','VILLAGE DAHER MOR DARBAR MAHBOOB SHA BUKHARI TALA GANG','9','20','206730','ORIENT','0',null,'03-MAR-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 11:54:42','2021-06-09 16:20:39',null,'1',null,'0');
INSERT INTO complaints VALUES('5600','MR HABIB','03245434076','VILLAGE MATWA GUJAR KHAN','9','20','205435','CANON','MODAL#U3-PLUS',null,'11-FEB-2021',null,'BUILT IN APPLLIANCES','MOTOR ISSUE',null,'5','COMPLAINT CLOSEDE',null,'customer','0',null,'92','2021-04-29 12:10:12','2021-06-07 13:58:52',null,'1',null,'0');
INSERT INTO complaints VALUES('5601','KHURRAM','03115316520','NEW MALL COLONY ST#03 NEAR MAIN ZONG HEAD OFFICE BEHRIA  ENCLAVE ISB','8','38','43738','KENWOOD','0',null,'27-NOV-2020','1012SA - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 12:23:53','2021-06-01 11:57:41',null,'1',null,'0');
INSERT INTO complaints VALUES('5602','COL ZAFAR','03331618774  03009117701','HO#24 ST 02 DHA 01 ISB','6','15','21152','KENWOOD','SALE ADVISOR SHAYYAN',null,'13-APR-2020','1828S-INV - 915','AIR CONDITIONER','PCB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 12:43:46','2021-05-04 14:47:22',null,'1',null,'0');
INSERT INTO complaints VALUES('5603','MR SHAID AKRAM','03325394968','HO#18 ST 32 BLOCK-H SOAN GARDEN ISB','8','37','20712','HAIER','MODAL#18HFPCA-G SALE ADVISOR WALEED  COMPLAINT NAFEES FHHS SIR NAY BAJI HAY',null,'25-APR-2021',null,'AIR CONDITIONER','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 12:51:07','2021-06-30 13:02:34',null,'1',null,'0');
INSERT INTO complaints VALUES('5604','MR SHEHROZ','03145293828','HO#1131 ST 40 SEC G-11/2 ISB','5','32','131767','HAIER','0',null,'14-APR-2021','368TPB - 2116','REFRIGERATOR','FUNGUS ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 13:03:30','2021-05-17 14:32:57',null,'1',null,'0');
INSERT INTO complaints VALUES('5605','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','HAIER','MODAL#336-B',null,'0',null,'WATER DISPENSER','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 13:09:50','2021-05-03 11:39:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5606',null,null,null,'6',null,null,'ECOSTAR','000000',null,null,'351-FC','WATER DISPENSER','HEATING + COOLING PROBLEM',null,'5','COMPLETED',null,'showroom','0',null,'93','2021-04-29 13:28:16','2021-05-22 13:05:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5607',null,null,null,'6',null,null,'HAIER','0000',null,null,'336-B','WATER DISPENSER','HEATING + COOLING PROBLEM',null,'5','COMPLETED',null,'showroom','0',null,'93','2021-04-29 13:28:51','2021-05-22 13:05:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5608','MR TARIQ JAVED','03461755054  03337041389','MAHRA ABADI SEC F-11/1 SERVICE ROAD ISB','5','31','128014','ORIENT','MOADL#470FLARE-RG',null,'12-JAN-2021',null,'REFRIGERATOR','DOOR WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 13:32:46','2021-05-25 11:17:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5609',null,null,null,'6',null,null,'SUPER ASIA','0000',null,null,'30-MEH','GEYSER','HEATING PROBLEM',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-04-29 13:37:54','2021-05-03 11:59:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5610','MR KHALID','03455135725','HO#12-A ST 62 SEC G-6/1-2 ISB','5','30','130502','ORIENT','MODAL#39HD-ACTION',null,'17-MAR-2021',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 13:45:03','2021-06-07 14:13:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5611','MR SOHAIL SARWAR','03002918169','HO#644-E HAKIM LUQMAN ROAD SEC G-6/2 ISB','5','34','106876','ORIENT','COMPLAINT AZHAR FCI SIR NAY BAJI HAY',null,'04-JULY-2019','12G-HYPER-SW - 913','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 13:55:43','2021-05-04 14:55:01',null,'1',null,'0');
INSERT INTO complaints VALUES('5612','USMAN TARIQ','03233333374','HO#49 ST 02 ASKARI 12 RWP','9','22','170154','LG','SALE ADVISOR MAZHAR IQBAL',null,'30-APR-2019','4J6TNP8S-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 14:26:56','2021-05-21 16:45:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5613','MR KHALID','03325488813 03355912621','HO#8/1 AIBAK ROAD CMES MOSQUE WESTRIDGE RWP','8','37','47288','KENWOOD','MODAL#2436S-INV',null,'24-MAR-2021',null,'AIR CONDITIONER','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 14:51:22','2021-05-05 12:53:56',null,'1',null,'0');
INSERT INTO complaints VALUES('5614','MR SABAHAT KHAN','03086472624','HO#647 ST 30 PHASE 03 BAHRIA TOWN ISB','4','7','17920','HAIER','SALE ADVISOR MUDASSAR',null,'03-DEC-2020','120-1678HWM - 906','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 14:56:58','2021-05-04 13:42:15',null,'1',null,'0');
INSERT INTO complaints VALUES('5615','MR SALEEM','03225666155','HO#955 ST 27 OVERSES 03 PHASE 8 RWP','6','15','31467','MITSUBISHI','0',null,'05-DEC-2020','50VA - 915','AIR CONDITIONER','INTERNAL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 15:08:24','2021-05-07 11:26:50',null,'1',null,'0');
INSERT INTO complaints VALUES('5616','GEN RABBANI','03215432522','HO#205 ROAD 1B BAHRIA SPRING FACE 7 BAHRIA TOWN RWP','9','24','122172','SIGNATURE','0',null,'22-SEP-2016','MD99SS-S - 1723','REFRIGERATOR','HANDEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 15:17:12','2021-05-03 11:38:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5617','MR REHAN','03151589312','HO#521-A MAIN MARGALA SERVICE ROAD SEC F-10/2 ISB','5','36','128981','HAIER','0',null,'06-FEB-2021','100-14826HW - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 15:24:26','2021-05-04 13:43:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5618','MR FAHAD MOZAM','03355814118','FLAT#7/3 TARIQ ROAD NOWSHERA CANTT','8','38','405','ORIENT','SALE ADVISOR HASSAN ALI',null,'07-MAY-2020','18G-ROYAL-CW - 915','AIR CONDITIONER','ERROR-E5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 15:35:41','2021-06-07 14:15:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5619','MISS IRUM KHALIL','03348953355','HO#555/29 OPP KASHMIAN MASJID ADRA COLONY RWP CANTT','9','51','191645','TCL','S/N 2001VLR301039A00391  COMPLAINT SAQIB FCP SIR NAY BAJI HAY',null,'29-JUN-2020','43S6500 - 869','FLAT PANEL TV','REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 15:43:12','2021-05-04 13:52:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5620','MR SABTAIN','03337873354','HO#35 ST 74-A  SEC E-11/3 ISB','5','28','131157','HAIER','SALE ADVISOR ABU BAKAR',null,'01-APR-2021','60S4MGB1 - 1124','BUILT IN APPLLIANCES','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 16:03:20','2021-05-04 13:47:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5621','MR IQBAL','03458540741','HO#224-A ST 03 SERVICE ROAD SEC D-12/3','8','39','47244','SIGNATURE','MODAL#X1 HOOD KI COMPLAINT HAY',null,'22-MAR-2021',null,'BUILT IN APPLLIANCES','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 16:19:45','2021-05-01 15:50:19',null,'1',null,'0');
INSERT INTO complaints VALUES('5622','MR YASIR','03335811115','HO#281 ST 40 SEC F-11/3 ISB','5','31','132214','LG','MODAL#65UM7340',null,'27-APR-2021',null,'FLAT PANEL TV','COLOR  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-04-29 16:31:44','2021-06-01 11:28:28',null,'1',null,'0');
INSERT INTO complaints VALUES('5623','03008558197','03008558197','HO#621 ST#08 CHAKLALA SCKEEM 03 R.W.P','8','39','26772','LG','0',null,'05-APRIL-2018','247SMUV-S - 909','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-30 11:15:37','2021-05-11 11:30:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5624','HASEEB SAEED','03445257768','HO#236#18 F-10/2 ISB','8','38','48098','DAWLANCE','C/O TAHIR BEST COOL',null,'28-APRIL-2021','30POWER CON - 915','AIR CONDITIONER','NO POWER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-30 11:31:50','2021-05-04 12:59:59',null,'1',null,'0');
INSERT INTO complaints VALUES('5625','MISS ARIBA FAROOQ','03125043561','HO#386 ST#35 B-I-9/4  ISB','8','38','39060','ORIENT','0',null,'11-FEB-2020','AUTO7 - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-30 12:11:22','2021-05-04 14:06:04',null,'1',null,'0');
INSERT INTO complaints VALUES('5626','MR FAISAL','03367672000','HO#238 SAFARI VILLAS 03 PHASEC 02 BEHIRA TOWN','4','8','20758','HAIER','0',null,'27-APRIL-2021','368EPCW - 860','REFRIGERATOR','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-30 12:16:08','2021-06-05 12:03:54',null,'1',null,'0');
INSERT INTO complaints VALUES('5627','TARIQ MEHMOOD','03215113593','SHOP07 STAR GENERAL STORE ST#32 NEAR ALLIED SCHOOL PEER WADAHI R.W.P','9','23','196443','HAIER','385IM-GRAY',null,'20-SEP-2020',null,'FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-30 12:56:35','2021-05-05 14:26:48',null,'1',null,'0');
INSERT INTO complaints VALUES('5628','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','ORIENT','FF TO IQBAL&AZHAR RAMZAN',null,'0','12G-HYPER-SW - 913','AIR CONDITIONER','OUT DOOR PCB CARD PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-30 13:04:25','2021-06-07 14:20:13',null,'1',null,'0');
INSERT INTO complaints VALUES('5629','NASIR AHMED KHAN','03225173671','HO#97-A FEDERATION HOUSING SOCITY NEAR NPF O 9 ISB','8','39','0','SIGNATURE','OLD CRM MAIN COMPLAINT ALREADY ENTER 19383(INVOICE MONDAY KO SHER KARAY GAY ISHFAQ SAB)',null,'SEP-2018','SRF-KK95G - 903','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-30 13:19:10','2021-05-11 11:31:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5630','TARIQ JAVED','03330954579','HO#210 ST#15 SEC D PHASE 08 BEHIRA TOWN','6','12','24739','HAIER','0',null,'15-DEC-2019','18HNI-B-INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-30 14:23:31','2021-05-18 13:20:19',null,'1',null,'0');
INSERT INTO complaints VALUES('5631','SHAH ALAM','03310222257(03333337649)','HO#290 ST#12/14 ABUBAKAR BLOCK PHASE 08 BEHIRA TOWN','6','12','30036','LG','0',null,'14-OCT-2020','2J3QDNP0-S - 1483','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-30 14:32:29','2021-05-22 12:20:24',null,'1',null,'0');
INSERT INTO complaints VALUES('5632','MR AMIR','03005557677','HO#2B ST#35 F-7/1 SB','5','32','116292','GREE','0',null,'13-MAY-2020','18CITH12G - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-30 14:39:24','2021-05-22 16:53:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5633','MR ADEEL','03365236972','HO#399 ST#89 G-9/4 ISB','5','35','889','GREE','18FITH3W-496',null,'09-FEB-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-30 14:44:13','2021-05-05 15:19:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5634','ISHTAIQ GILL','03355001777','HO#266ST#27 OVERSEAS 05 PHASE 08 BEHIR TOWN','6','12','0','MITSUBISHI','SALE DARAZ SA HOA HAIN INVOICE DARAZ KI CUSTOMER NA SHER KI CELL PHONE COMPLAINT(SELF INSTALLATION))',null,'20-MAR-2021','50VA - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-30 15:39:04','2021-05-27 16:09:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5635','RAJA ATIF','03125048735','HO#DD251 SHAMSABAD MURREE ROAD RWP','8','39','41462','ORIENT','COMPLAINT INVOICE CHAT SERVICES NA FF KI HAIN',null,'28-JULY-2020','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROB &OUT DOOR SA PANI NI NIKAL RAHA',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-30 15:57:32','2021-05-27 14:37:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5636','YASIR  HEAD OFFICE','03044055566','FRIENDS HOME SHAMSHABAD R.W.P','8','47','0','ORIENT','FF TO YASIER HEAD/OFFICE',null,'0','529BL - 128','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-04-30 16:01:47','2021-06-17 11:49:16',null,'1',null,'0');
INSERT INTO complaints VALUES('5637','MR USMAN','03331588927','HO#1156 ST 02 BLOCK-C SEC O-9 NPF ISB','4','8','2444','HAIER','COMPLAINT KHURRAM GOOGLE SIR NAY BAJI HAY',null,'28-APR-2021','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-01 11:25:36','2021-05-04 12:01:43',null,'1',null,'0');
INSERT INTO complaints VALUES('5638','BRIG GHULAM MURTAZA','03034443066','HO#64/17-A SHER KHAN ROAD LAHORE CANTT','9','19','0','SAMSUNG','MODAL#55JU6400 INVOICE NAI HAY C/O SADEEQ SIR COMPLAINT KHURRAM GOOGLE SIR NAY BHAJI HAY',null,'03-YEAR AGO',null,'FLAT PANEL TV','DOT PANEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-01 11:57:22','2021-06-05 15:16:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5639','ABDUL RIZWAN','03115164622','SHOP#123 HARIS TREADING COMPAINE  MAIN SANGAS ROAD MAIN FAZAYA COLONY RWP','9','27','209889','CANON','MODAL#5000ECM-PLUS ROOM COOLER KI COMPLAINT HAY',null,'28-APR-2021',null,'WATER COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-01 12:08:01','2021-05-18 16:53:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5640','MR REHAN','03465332324','HO#288-A ASLAM SHAEED ROAD LALAZAR LANE 04-A RWP','4','5','17755','KENWOOD','MODAL#400VCM-SHL',null,'02-DEC-2020',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-01 12:16:16','2021-05-04 13:01:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5641','MISS ZUNAIRA','03325587882','HO#S-7 ABDUR RAB SHAHEED ROAD PAF BASE NUR KHAN','9','24','2462','HAIER','SALE ADVISOR NAVEED',null,'28-APR-2021','12LTH-W - 912','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-01 12:24:33','2021-05-08 13:03:39',null,'1',null,'0');
INSERT INTO complaints VALUES('5642','MR UZAIR','03365441401','HO#246 ST 31 SEC I-8/2 ISB','5','28','0','HAIER','INVOICE NAI HAY COMPLAINT KHURRAM GOOGLE SIR NAY BAJI HAY',null,'01-YEAR-AGO',null,'AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-01 12:58:08','2021-05-04 11:08:52',null,'1',null,'0');
INSERT INTO complaints VALUES('5643','MR NAEEM','03469555171 03445230051','SAPARA ROAD NEAR PUBLIC SCHOOL AND COLLEGE SKARDU','5','28','120086','HAIER','COMPLAINT HASSAN FHHS SIR NAY BAJI HAY',null,'30-JULY-2020','438IDBT - 896','REFRIGERATOR','BOARD ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-01 13:14:48','2021-05-01 13:33:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5644','MR USMAN','03335113790  03005555033','HO#26 ST 2-A MALKA BAD MOREYAN KURI ROAD RWP','9','20','203056','FIVE STAR','MODAL#900MC  PTCL CALL INVOICE HAY',null,'28-DEC-2020',null,'COOKING RANGE','BURNER ISSUE',null,'5','complaint closed',null,'customer','0',null,'92','2021-05-01 13:35:15','2021-05-31 17:41:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5645','MR SHAFIQUE','03363335180  03205666540','FLAT#04 BLOCK 59-D PHA APARTMENT SEC I-11/1 ISB','9','23','147889','SIGNATURE','PTCL CALL INVOICE HAY',null,'26-FEB-2018','JX1-BL - 1708','WATER DISPENSER','BUTTON DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-01 13:47:34','2021-05-03 11:38:01',null,'1',null,'0');
INSERT INTO complaints VALUES('5646','MR AFTAB JANANGIR','03002624609','HO#08 ST 04 SEC F-8/3 ISB','9','19','0','SIGNATURE','ON PAYMENT INVOICE NAI HAY HOB KI COMPLAINT HAY PTCL CALL',null,'02-YEAR-AGO',null,'BUILT IN APPLLIANCES','FLAME ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-01 15:15:02','2021-05-05 11:32:55',null,'1',null,'0');
INSERT INTO complaints VALUES('5647','MR ISHTIAQ','03331517118','VILLAGE SHAIDU NEAR BUSS STOP DISTRICT NOWSHERA KPK','9','19','179632','HAIER','0',null,'06-OCT-2019','18SNF-S INV - 915','AIR CONDITIONER','HEATING#ERROR 7-C ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-01 15:25:28','2021-06-05 12:13:02',null,'1',null,'0');
INSERT INTO complaints VALUES('5648','MR SHAHNAWAZ','03335228410','HO#44-A ST 12 SAFARI 01 BAHRIA TOWN RWP','4','8','15152','BOSCH','COMPLAINT ADIL FHHS 02 NAY BAJI hay',null,'20-JULY-2020','24462GC - 902','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-01 15:45:33','2021-05-04 10:56:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5649','MR MUSHTAQ AHMAD','03005008484 0334854020','HO#874 BLOCK-F SATELLITE TOWN RWP','9','26','209145','WAVES','MODAL#315WDF-SS',null,'12-APR-2021',null,'FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-02 10:54:56','2021-06-07 15:13:45',null,'1',null,'0');
INSERT INTO complaints VALUES('5650','MR IFTIKHAR','03455438682','HO#12 ST 31 SEC-C DHA PHASE 01 ISB','6','13','655','GREE','SALE ADVISOR ZARA',null,'11-JAN-2021','24FITH1C - 917','AIR CONDITIONER','ERROR-E7',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-02 11:12:33','2021-05-18 17:15:16',null,'1',null,'0');
INSERT INTO complaints VALUES('5651','MR ZUBAIR','03215576284','HO#148/C SATELLITE TOWN RWP','9','19','198666','CANON','PTCL CALL INVOICE HAY SALE ADVISOR MURTAZA',null,'03-NOV-2020','25LCF - 1035','GEYSER','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-02 11:27:56','2021-05-05 11:36:36',null,'1',null,'0');
INSERT INTO complaints VALUES('5652','QAZI ASIM','03026669555','HO#20 ST 23 BLOCK-G NAVEL ANCHOURAGE ISB','4','5','14632','HAIER','SALE ADVISOR NAVEED HASSAN FHHS SIR NAY COMPLAINT BAJI HAY',null,'18-JUN-2020','12HRP-W-INV - 913','AIR CONDITIONER','ERROR-E7',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-02 11:39:27','2021-05-05 11:17:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5653','QAZI USMAN','03365666591 03458501799','HO#45 BILAL LANE KHAWAJA CORPORATION ADYALA ROAD RWP','6','12','29399','CANON','PTCL CALL INVOICE HAY',null,'05-SEP-2020','16D-PLUS-DUAL - 1030','GEYSER','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-02 11:54:25','2021-05-18 17:04:20',null,'1',null,'0');
INSERT INTO complaints VALUES('5654','MR MAQSUD','03127775454','HO#30 ST 04 ARMY HOUSING SCHEEM MORGAH RWP','7','49','22832','ECOSTAR','SALE ADVISOR ZAHID',null,'18-JAN-2021','43UD951 - 869','FLAT PANEL TV','SOUND#PICTURE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-02 12:01:15','2021-05-18 12:36:04',null,'1',null,'0');
INSERT INTO complaints VALUES('5655','MR ASAD','03008555461','HO#112 ST 01 RACE CORS ROAD RWP','7','49','16643','GREE','SALE ADVISOR ZAHID  COMPLAINT ATIF SADAR SIR NAY BAJI HAY',null,'14-APR-2018','24LMH5L - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-02 12:14:13','2021-05-05 10:52:57',null,'1',null,'0');
INSERT INTO complaints VALUES('5656','MR HASSAN','03088261401 03117990225','HO#315 ST 12 PHASE 04 BAHRIA TOWN RWP','4','7','18253','SHARP','SALE ADVISOR WALEED',null,'05-DEC-2020','18HCP-INV - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-02 12:39:45','2021-05-22 17:52:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5657','MR FAISAL','03335730150','HO#11 ST 13 SAFARI BLOCK KORANG TOWN ISB','6','12','34271','SAMSUNG','MODAL#50TU7000 SALE ADVISOR ZARA COMPLAINT ADEEL BAHRIA SIR NAY BAJI HAY',null,'11-APR-2021',null,'FLAT PANEL TV','SCREEN DOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-02 13:02:02','2021-06-01 11:27:57',null,'1',null,'0');
INSERT INTO complaints VALUES('5658','MR NADEEM','03333444381','HO#86 ST 06 RALWAY HOUSING SCHEME NEAR GULZARAY KHAD RWP','9','26','209758','HAIER','0',null,'26-APR-2021','438EBD - 896','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-02 13:15:35','2021-05-04 12:19:03',null,'1',null,'0');
INSERT INTO complaints VALUES('5659','MR WASEEM','03335220821','HO#61/30 ST 01 BILAL COLONY SHAMSABAD RWP','8','38','40698','MITSUBISHI','SALE ADVISOR NAVEED',null,'02-JULY-2020','50VA - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-02 13:39:36','2021-05-05 12:15:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5660','MR RIZWAN','03009511905','HO#1-A ST 33 MAIN SERVICE ROAD SEC F-8/1 ISB','8','37','47981','SIGNATURE','0',null,'25-APR-2021','SCC-H4009 - 1167','AIR CURTAIN','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-02 13:51:48','2021-05-17 11:01:10',null,'1',null,'0');
INSERT INTO complaints VALUES('5661','MR SALMAN','03209222666','FLAT#04 BLOCK 08 CATA GARE 04 PRIME MINISTER  COLONY ISB','9','51','162199','LG','COMPLAINT SAQIB FCP SIR  NAY BAJI HAY',null,'07-DEC-2018','55SK7900-S - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-02 14:08:04','2021-05-08 12:52:16',null,'1',null,'0');
INSERT INTO complaints VALUES('5662','MR AHSAN','03365576076','HO#1481 MOHAMMADI COLONY NEAR JAMAY MASJID DHOK CHOUDREAN RWP','9','19','1287','ORIENT','SALE ADVISOR MURTAZA  MODAL#AUTO6 5GREY CHAT SERVICE KI TARAF SAY COMP LAINT AYI HAY',null,'06-MAR-2021',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-02 14:33:55','2021-05-05 12:13:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5663','MR WAJAHAT','03331554142','HO#5-A ST 66 JINNAH GARDEN ISB','6','15','27593','ORIENT','0',null,'05-JUN-2020','18G-ORBIT - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-02 14:41:43','2021-05-29 16:25:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5664','MR ANWAAR','03345599776  03215166544','HO#170 RAILWAY HOUSING SCHEME 01 CHAKLALA RWP','9','20','155466','SIGNATURE','PTCL CALL INVOICE HAY',null,'12-JULY-2018','SWM-SR45 - 899','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-02 14:48:40','2021-05-05 11:32:16',null,'1',null,'0');
INSERT INTO complaints VALUES('5665','MR SAAD','03315153368','HO#20 BLOCK-A SATELLITE TOWN RWP','9','23','136944','SIGNATURE','PTCL CALL INVOICE HAY',null,'08-JULY-2017','SRF-HM99 - 908','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINANT CLOSED',null,'customer','0',null,'92','2021-05-02 14:58:37','2021-05-04 11:29:52',null,'1',null,'0');
INSERT INTO complaints VALUES('5666','ADEEL BAHRIA PH 07','03431520705','FRIEND CORPORATION BAHRIA 07','6','12','0','HAIER','0',null,'0','631DGG - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-02 15:10:19','2021-05-26 17:59:15',null,'1',null,'0');
INSERT INTO complaints VALUES('5667','MR IMRAN','03111865286','HO#12 ST 02 MUHALA USMANA BAD SIMLY DAM ROAD BARAKHU ISB','9','51','206906','HAIER','0',null,'07-MAR-2021','40K6600G - 938','FLAT PANEL TV','REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-02 15:35:50','2021-05-05 10:47:39',null,'1',null,'0');
INSERT INTO complaints VALUES('5668','MR AHSAN','03077000035','PLAZA#69 2nd FLOOR BAHRIA PHASE 07 RWP','6','16','33473','KENWOOD','0',null,'03-MAR-2021','1239S-INV - 913','AIR CONDITIONER','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 11:22:13','2021-05-18 12:57:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5669','COL JEHANGIRI','03005284364','HO#43 ABBASI STREET SAFARI VILLA 02 PHASE 07 RWP','6','12','34132','PEL','MODAL#6D-PVF  SALE ADVISOR ZARA',null,'05-APR-2021',null,'FREEZER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 11:37:31','2021-05-18 13:14:22',null,'1',null,'0');
INSERT INTO complaints VALUES('5670','ABU BAKAR','03365122695','HO#505 ST 128 SEC G-9/3 ISB','5','29','126933','ORIENT','MODAL#20MPOPCORN-SB  COMPLAINT ABU BAKAR NAY COMPLAINT BAJI HAY  COMPLAINT CUSTOMER KI HAY VISIT TO SHOWROOM',null,'08-DEC-2020',null,'MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 12:31:33','2021-05-18 13:16:10',null,'1',null,'0');
INSERT INTO complaints VALUES('5671','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','SUPER ASIA','0',null,'0','5000ECM - 309','AIR COOLER','DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 12:40:23','2021-08-01 14:12:56',null,'1',null,'0');
INSERT INTO complaints VALUES('5672','MR UMER HAYYAT','03125313478','VOID#01 ALVI STREET MOHALA GULZARA BAD TASEEL PINDI GHAIP','9','23','207396','HAIER','0',null,'14-MAR-2021','438IDRT - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 13:16:25','2021-05-26 17:23:54',null,'1',null,'0');
INSERT INTO complaints VALUES('5673','MR IMTAIZ HUSSAIN','03455093509','HO#767/C ST 08 KEHKASHAN COLONY ADYALA ROAD RWP','9','22','199398','ORIENT','0',null,'18-NOV-2020','18G-BOLD-UW-INV - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 13:24:50','2021-05-25 12:20:41',null,'1',null,'0');
INSERT INTO complaints VALUES('5674','SYED FURQAN SHAH','03332383639','HO#207 ST 09 BLOCK-A NATIONAL POLICE  FOUNDATION O-9 ISB','4','6','13189','HAIER','SALE ADVISOR SALEEM',null,'15-FEB-2020','90-1789HWM - 901','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 13:33:54','2021-06-10 13:24:10',null,'1',null,'0');
INSERT INTO complaints VALUES('5675','SYED FURQAN SHAH','03332383639','HO#207 ST 09 BLOCK-A NATIONAL POLICE  FOUNDATION O-9 ISB','4','6','15154','HAIER','SALE ADVISOR SALEEM',null,'09-JULY-2020','18HFCE-W-INV - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 13:36:48','2021-06-10 13:26:44',null,'1',null,'0');
INSERT INTO complaints VALUES('5676','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','KENWOOD','02 W/M KI COMPLAINT HAY','2021-05-03',null,'1012SA - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 13:40:00','2021-05-04 14:50:21',null,'1',null,'0');
INSERT INTO complaints VALUES('5677','MR ASIM','03325464024 03325464024','HO#440 BLOCK-F SATELLITE TOWN RWP','8','39','40400','SIGNATURE','0',null,'22-JUN-2020','MD99SS-S - 1723','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 14:05:41','2021-05-05 11:09:59',null,'1',null,'0');
INSERT INTO complaints VALUES('5678','MR FAHEEM','03335771179','FLAT#01 BLOCK 22 PHA SEC G-11/4 ISB','5','31','117487','SONY','UNIT IN SERVICE CENTER BLUE AREA',null,'10-JUN-2020','55X8000G-CC - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 14:12:35','2021-05-17 11:00:10',null,'1',null,'0');
INSERT INTO complaints VALUES('5679','MR KHAWAJA','03335191443','HO#446 ST 02 SEC G-9/3 ISB','8','47','17429','LG','COMPLAINT BEST COOL SIR NAY BAJI HAY',null,'15-SEP-2018','4295CIS-S - 987','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 14:18:00','2021-05-05 12:54:32',null,'1',null,'0');
INSERT INTO complaints VALUES('5680','CH ASLAM','03219764424','HO#277 ST 08 SEC-A ASKARI 14 RWP','5','31','112647','HAIER','COMPLAINT AZHAR RAMZAN SIR NAY BAJI HAY',null,'15-DEC-2019','18SNF-S INV - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 14:38:32','2021-05-29 16:13:16',null,'1',null,'0');
INSERT INTO complaints VALUES('5681','EHSAN BHR-7','03113110013','FRIENDS HOME WALLAYAT COMPLEX NEAR RABI CENTRE BHR-7 RWP','6','17','0','HAIER','0',null,'0','336B','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-03 14:38:37','2021-05-05 15:38:50',null,'1',null,'0');
INSERT INTO complaints VALUES('5682','AZHAR RAMZAN FCI','03229559900','FRIEND CORPORATION BLUE AREA','5','28','0','HAIER','MODAL#18HFPCA',null,'0',null,'AIR CONDITIONER','PCB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 14:44:15','2021-06-07 16:49:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5683','MR TALHA','03115357315','SHOP#86/87 WALAIT COMPLEX RABI CENTER BAHRIA PHASE 07 RWP','6','12','10072','KENWOOD','0',null,'05-AUG-2017','240FH-ELEMENT - 917','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 15:00:05','2021-05-05 15:50:34',null,'1',null,'0');
INSERT INTO complaints VALUES('5684','MR NAZA BUT','03331942780','HO#SA-415 MOHALA CHODEREYAN SERVICE ROAD SADKA BAD RWP','8','38','25029','ORIENT','MODAL#12-GAMA',null,'06-DEC-2017',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 15:05:30','2021-05-05 15:33:01',null,'1',null,'0');
INSERT INTO complaints VALUES('5685','MR YASIR','03335424279 03135077000','HO#2-E MAIN HARLLY STREET RWP','9','24','130543','PEL','MODAL#18KPINVHC SALE ADVISOR SHAKEEL',null,'03-APR-2017',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'92','2021-05-03 15:21:48','2021-05-17 14:19:02',null,'1',null,'0');
INSERT INTO complaints VALUES('5686','MR AMIR','03065522512','HO#','9','24','189470','ORIENT','SALE ADVISOR MURTAZA',null,'29-MAY-2020','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 15:40:45','2021-05-29 15:33:33',null,'1',null,'0');
INSERT INTO complaints VALUES('5687','MR SAEED','03005219232','DHOK HAFEAZ SAIN G MORPALAOW NEAR OLD AIR PORT RWP','9','22','202364','CARAVELL','MODAL#203R',null,'16-DEC-2020',null,'WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 15:45:11','2021-05-26 17:09:04',null,'1',null,'0');
INSERT INTO complaints VALUES('5688','MR HAMEED','03218585971','HO#53 ST 786 SEC G-13/4 ISB','5','29','132133','DAWLANCE','MODAL#45GALLANT-INV  COMPLAINT AZHAR RAMZAN SIR NAY BAJI HAY',null,'26-APR-2021',null,'AIR CONDITIONER','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 16:00:23','2021-05-05 15:14:49',null,'1',null,'0');
INSERT INTO complaints VALUES('5689','MR AYAZ','03124447770','HO#22 HAROON STREET BANIGALA ISB','5','32','94348','SIGNATURE','SALE ADVISOR TARIQ  MEHMOOD',null,'10-MAY-2018','SVF-SY35D - 1468','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 16:08:08','2021-05-10 11:55:22',null,'1',null,'0');
INSERT INTO complaints VALUES('5690','BRIG MIRZA','03175912059','SHOP#2-3 STYLO SHOP MIR PLAZA OLD AIR PORT ROAD GULZARAY KHADE RWP','4','10','34282','GREE','SALE ADVISOR MOHSIN',null,'12-APR-2021','24K3FI-GTH - 917','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 16:33:16','2021-06-07 15:10:01',null,'1',null,'0');
INSERT INTO complaints VALUES('5691','MR MAZHAR','03005317175','HO#636 ST 24 MARGALA TOWN PHASE 01 ISB','9','27','188412','ORIENT','0',null,'16-MAR-2020','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-03 16:40:38','2021-05-29 15:28:20',null,'1',null,'0');
INSERT INTO complaints VALUES('5692','MRS IMRAN','03005240075','HO#5-A ST 25 SEC F-7/2 ISB','5','36','109908','BOSCH','PTCL CALL INVOICE HAY',null,'04-OCT-2019','736357M - 1902','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-05-04 11:07:19','2021-05-22 11:32:04',null,'1',null,'0');
INSERT INTO complaints VALUES('5693','MR TARIQ SAEED','03009558416','SHARAY GAZEAY MILYAT NEAR BUSS TERMINER SANGUM SHADI HALL AZAD KASHMIR RAWALAKOT','9','21','158914','LG','SALE ADVISOR WAQAS ABBASI',null,'01-OCT-2018','4J6TNP8S-S - 899','WASHING MACHINE','MOTOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 11:18:55','2021-05-29 16:42:48',null,'1',null,'0');
INSERT INTO complaints VALUES('5694','MR ABDUL REHMAN','03216057819  03339817397','HO#12 ST 28/1 SEC B-1 BAHRIA ENCLAVE ISB','5','33','122746','SIGNATURE','MODAL#FS25S-N  ELECTRIC OVEN KI COMPLAINT HAY',null,'10-OCT-2020',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 11:29:36','2021-05-08 12:22:31',null,'1',null,'0');
INSERT INTO complaints VALUES('5695','MR SAOOD AHMED','03315521362','HO#474 ST 03 SEC F-11/1 ISB','5','32','103424','ORIENT','0',null,'05-APR-2019','12G-HYPER-SW - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 11:35:49','2021-05-29 16:40:19',null,'1',null,'0');
INSERT INTO complaints VALUES('5696','MR FAROOQ AWAN','03325524889','HO#7-B BLOCK 30-B SEC G-9/2 ISB','9','23','189673','KENWOOD','0',null,'01-JUN-2020','400VCM-BRN - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 12:15:26','2021-05-07 10:58:55',null,'1',null,'0');
INSERT INTO complaints VALUES('5697','MR IRTAZA','03008522271','HO#119 ST 31-B SEC A-01 DHA PHASE 01 ISB','8','37','23493','LG','MODAL#425FPS-S-  SALE ADVISOR TAHIR SHAH COMPLAINT NAEEM SIR NAY BAJI HAY INVOICE B HAY',null,'14-SEP-2020',null,'DISH WASHER','NOT WORKING',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'92','2021-05-04 13:01:59','2021-05-22 11:55:16',null,'1',null,'0');
INSERT INTO complaints VALUES('5698','MR IRFAN','03315885069','HO#21 ST 74 SEC G-13/2 ISB','5','29','116020','HAIER','COMPLAINT WAQAS FCP SIR NAY BAJI HAY',null,'24-APR-2020','306EPC - 859','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 13:12:49','2021-05-22 17:48:41',null,'1',null,'0');
INSERT INTO complaints VALUES('5699','SYED AHMAD NADEEM','03009567909','HO#306 ST 04 DEFANCE VILLAS SEC-F BAHRIA EXPRESSWAY RWP','4','5','13275','SIGNATURE','SALE ADVISOR BADAL PTCL CALL INVOICE HAY',null,'27-MAR-2018','SRF-KK90S - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 13:25:23','2021-05-08 12:21:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5700','MR RAJA SHUJAAT','03355506367','HO#300 ST 56 SEC F-11/4 ISB','8','42','44554','MITSUBISHI','COMPLAINT BEST COOL SIR NAY BAJI HAY',null,'05-DEC-2020','50VA - 915','AIR CONDITIONER','INTERNAL LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 13:32:29','2021-05-19 16:12:33',null,'1',null,'0');
INSERT INTO complaints VALUES('5701','MRS MUNAZA','03425911075','HO#24 ST 689 SEC G-13/3 ISB','5','36','126072','CARAVELL','MODAL#207BA',null,'05-DEC-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 13:36:24','2021-06-07 15:03:02',null,'1',null,'0');
INSERT INTO complaints VALUES('5702','SHEIKH MAHMOOD','03006134714','HO#38-A LANE 06 ST 17-A EXTENCATION SCHEEM 03 RWP','9','23','202251','SIGNATURE','0',null,'14-DEC-2020','SBC-ADELAIDE-90 - 1123','BUILT IN APPLLIANCES','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 13:51:56','2021-05-29 17:21:06',null,'1',null,'0');
INSERT INTO complaints VALUES('5703','SYED HAMZA','03325620528','HO#01 ST 07 SEC-A SECOND FLOOR DHA 01 ISB','6','12','26879','HAIER','0',null,'23-APR-2020','18HNS-INV-R - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 14:28:38','2021-05-07 10:56:08',null,'1',null,'0');
INSERT INTO complaints VALUES('5704','MR ABDUL QADOUS','03185177586','HO#1129 ST 09 BAHRIA PHASE 02  RWP','9','27','210266','ORIENT','0',null,'03-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 14:35:21','2021-05-29 16:44:42',null,'1',null,'0');
INSERT INTO complaints VALUES('5705','MR IMRAN','03215025150','HO#K264 NEAR GRIDE STYLE TREADER DHOK NAJU BAZAR KHABANAY SIR SAYED RWP','9','51','206931','HAIER','0',null,'07-MAR-2021','32K6600 - 936','FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 14:44:46','2021-05-29 16:03:36',null,'1',null,'0');
INSERT INTO complaints VALUES('5706','MR SALEEM','03124649623','HO#ZA-1164 ST 01 AZARA COLONY PERWADAHI RWP','9','22','169221','HAIER','0',null,'14-APR-2019','368EBD - 860','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 14:51:20','2021-05-22 17:03:22',null,'1',null,'0');
INSERT INTO complaints VALUES('5707','MR FAHEEM','03208000422','HO#18 ST 15 SEC J DHA 02 ISB','4','5','20569','SIGNATURE','COMPLAINT NAFEES FHHS SIR  NAY BAJI HAY OVEN KI COMPLAINT HAY',null,'15-APR-2021','SBO-AR4R - 1124','BUILT IN APPLLIANCES','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 15:04:15','2021-05-29 17:04:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5708','MR MUMTAZ HASSAN','03008551144','VILLA MUMTAZ OFF MEMBER ROAD PHULGRAN BARAKOH ISB','5','28','121272','SAMSUNG','SALE ADVISOR TARIQ  MEHMOOD',null,'26-AUG-2020','55Q60-S - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 15:12:33','2021-05-25 14:41:45',null,'1',null,'0');
INSERT INTO complaints VALUES('5709','MR WAJAHAT ALI','03005340814','HO#25 ST 08 OVER SEASE 03 PHASE 08 BAHRIA TOWN RWP','6','13','28281','SIGNATURE','SALE ADVISOR ZARA',null,'08-JULY-2020','HC-3900G - 1122','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 15:23:36','2021-06-03 12:30:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5710','MR ARIF','03451512233  03333850885','HO#822 ST 43-C PHASE 04-A GHAURI TOWN ISB','5','32','130233','HAIER','0',null,'11-MAR-2021','12HRO-W-INV - 913','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 15:33:01','2021-05-21 14:06:48',null,'1',null,'0');
INSERT INTO complaints VALUES('5711','MR MEHAR KASHIF','03008616278 03008610637','HO#1A ST 29 SEC F-7/1 ISB','5','29','122868','LG','SALE ADVISOR KHURRAM JAVED',null,'13-OCT-2020','257CSAV-S - 909','REFRIGERATOR','ICE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 15:39:56','2021-05-22 11:30:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5712','MR FAROOQ','03007996926','HO#68 SAFARI VILLAS 01 BAHRIA TOWN RWP','4','8','17667','SIGNATURE','MODAL#SET-AC24  SALE ADVISOR MUDASSAR ELECTRIC OVEN KI COMPLAINT HAY',null,'01-DEC-2020',null,'BUILT IN APPLLIANCES','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 15:47:42','2021-05-19 12:21:02',null,'1',null,'0');
INSERT INTO complaints VALUES('5713','MR WAJID','03018383355','HO#434 MAIN BOULEVARD SEC-A ADYALA ROAD RWP','8','37','46545','FIVE STAR','MODAL#10000MC  SALE ADVISOR ZAFARULLAH',null,'21-FEB-2021',null,'COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'92','2021-05-04 16:08:05','2021-05-22 11:54:14',null,'1',null,'0');
INSERT INTO complaints VALUES('5714','MR SHABAZ','03335389959','HO#27 ST 06 SEC F-8/3 ISB','5','33','112684','ORIENT','0',null,'15-DEC-2019','24G-PREMIUM-MW - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 16:17:49','2021-05-26 15:38:50',null,'1',null,'0');
INSERT INTO complaints VALUES('5715','MR AYOUB','03139121022','HO#1210 NEHI ABADI SEHAM RWP','9','23','151135','SIGNATURE','PTCL CALL INVOICE HAY',null,'28-APR-2018','SRF-WB90M - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-05-04 16:21:38','2021-05-22 11:30:03',null,'1',null,'0');
INSERT INTO complaints VALUES('5716','MR SAGHEER','03005506761','ST 41 MARGALA TOWN PHASE 02 ISB','9','20','191672','FISCHER','0',null,'29-JUN-2020','35GF - 739','WATER COOLER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 16:34:04','2021-05-17 11:35:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5717','MR REHAN','03400008260 03335024249','HO#513 ST 21 SHEHZAD TOWN ISB','8','39','47581','SUPER ASIA','MODAL#115PB',null,'05-APR-2021',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 16:50:51','2021-05-08 14:31:53',null,'1',null,'0');
INSERT INTO complaints VALUES('5718','AQIB NAWAZ','03359248053','VILLAGE TIHOUND MOHALA MORA SHORAYN KARA CHOCK ISB','9','24','189868','ECOSTAR','SALE ADVISOR IMRAN',null,'03-JUN-2020','43U573 - 869','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 16:55:01','2021-06-30 12:17:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5719','DR AQSA','03329825258','FLAT#A BLOCK 05 WILLOUGH FLAT FAISAL ALVI ROAD LALA KURTI RWP','9','24','111842','GREE','MODAL#12CITH1',null,'20-MAR-2016',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-04 16:59:29','2021-05-17 11:37:45',null,'1',null,'0');
INSERT INTO complaints VALUES('5720','COL WAHEED','03365599714','HO#9F ROAD 1-C SEC-J BAHRIA ENCLAVE ISB','8','38','34575','HAIER','0',null,'11-JUN-2019','18SGF-INV-W - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 11:11:30','2021-05-19 12:20:15',null,'1',null,'0');
INSERT INTO complaints VALUES('5721','MR ANWAR','03361552822','HO#04 MAIN SERVICE ROAD SEC G-8/1 ISB','5','31','132486','ORIENT','AZHAR RAMZAN SIR NAY COMPLAINT BAJI HAY',null,'03-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 11:36:48','2021-05-29 16:50:52',null,'1',null,'0');
INSERT INTO complaints VALUES('5722','MR SHAHID','03332283606','HO#10 ST 02 SEC-D DHA PHASE 02 ISB','8','37','47447','HAIER','COMPLAINT BEST COOL SIR NAY BAJI HAY',null,'30-MAR-2021','48CJ03 - 920','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 11:55:02','2021-06-06 15:50:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5723','MR ATTIQUE','03005501200','HO#13 ST 3-A GULRAZ COLONY CHAKLALA SCHEME 03 RWP','9','27','210113','HAIER','MODAL#18HFPAA-S',null,'02-MAY-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 12:13:31','2021-07-18 13:16:43',null,'1',null,'0');
INSERT INTO complaints VALUES('5724','MR SHAFAY MUMTAZ','03008299118','HO#461-B ST 16 CHAKLALA SCHEEM 03 RWP','9','24','205204','HAIER','MODAL#438IDBA',null,'09-FEB-2021',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 12:30:53','2021-05-22 16:12:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5725','MR KHAWAJA','03335191443','HO#446 ST 02 SEC G-9/3 ISB','8','47','17429','LG','COMPLAINT BEST COOL SIR NAY BAJI HAY',null,'15-SEP-2018','4295CIS-S - 987','MICROWAVE OVEN','MOTOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 12:37:58','2021-06-28 12:33:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5726','MR NISAR','03008553001','VILLAGE SARHADNA NEAR KHANPUR DAM TAXILA HARIPUR','5','31','132405','HAIER','MODAL#18HFMAC-W-INV',null,'30-APR-2021',null,'AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAIN CLOSED',null,'customer','0',null,'92','2021-05-05 12:45:33','2021-05-22 15:05:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5727','MR ANSAR','03045733455','HO#275 ST 02 BLOCK-A  NPF ISB','9','19','19909','KENWOOD','COMPLAINT BILAL PWD SIR NAY BAJI HAY',null,'04-MAR-2021','1228S-INV - 913','AIR CONDITIONER','ERROR-P3',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 13:11:07','2021-05-29 13:40:48',null,'1',null,'0');
INSERT INTO complaints VALUES('5728','MR LIAQAT','03015008040  03218561677','SHOP#TAHZEEB BAKERS SEC I-8 MARKAZ ISB','9','23','209349','CARAVELL','0',null,'18-APR-2021','1600MEC - 2013','CHILLER','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 13:49:03','2021-05-08 12:57:13',null,'1',null,'0');
INSERT INTO complaints VALUES('5729','DR SHAHEEN','03215127474','HO#153 LANE 03 ISRAR HOUSING SCHEME GULISTAN COLONY RWP','4','6','16635','SIGNATURE','SALE ADVISOR SALEEM',null,'08-OCT-2020','HC-3766G - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 14:14:11','2021-05-27 17:04:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5730','MR WAJAHAT','03351717929','ho#414 st 01 overseas 02 phase 08 rwp','6','16','26649','HAIER','0',null,'15-MAR -2020','12HRW-W-INV - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAIN CIOSED',null,'customer','0',null,'92','2021-05-05 14:23:29','2021-05-22 14:55:56',null,'1',null,'0');
INSERT INTO complaints VALUES('5731','DR JMAL NASIR','03355371262','HO#210-C ST 32 SEC I-8/2 ISB','9','20','209883','HAIER','0',null,'28-APR-2021','438EBD - 896','REFRIGERATOR','HANDEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 14:31:52','2021-05-08 13:01:41',null,'1',null,'0');
INSERT INTO complaints VALUES('5732','COL WAHEED','03365599714','HO#9F ROAD 1-C SEC-J BAHRIA ENCLAVE ISB','8','42','42026','ORIENT','0',null,'22-AUG-2020','12G-HYPER-SW - 913','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 14:44:07','2021-05-08 13:07:59',null,'1',null,'0');
INSERT INTO complaints VALUES('5733','MR ZEESHAN','03455055650','HO#1321 ST 4-D BAHRIA TOWN PHASE 01 EXT RWP','4','8','20141','ORIENT','0',null,'21-MAR-2021','531BL - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 15:00:17','2021-05-08 12:39:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5734','MR IRFAN','03245023654','HO#33 ST 02 SEC-H DHA 02 ISB','6','12','20170','SIGNATURE','MICROWAVE OVEN  KI COMPLAINT HAY  VISIT TO SHOWROOM',null,'09-APR-2019','25G - 1731','BUILT IN APPLLIANCES','TIMER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 15:11:31','2021-06-07 13:10:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5735','MRS ZAFAR','03345526979','HO#19 ST 02 SEC H DHA 02 ISB','9','24','204043','ORIENT','COMPLAINT BEST COOL SIR NAY BAJI HAY',null,'17-JAN-2021','24G-ULTIMATE-SW-HC - 917','AIR CONDITIONER','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 15:20:39','2021-05-08 12:25:22',null,'1',null,'0');
INSERT INTO complaints VALUES('5736','MR FAROOQ','03225354047','HO#621 ST 08 CHAKLALA SCHEME 03 RWP','8','39','41208','GREE','0',null,'21-JULY-2020','18CITH12G - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 15:46:30','2021-05-07 11:06:24',null,'1',null,'0');
INSERT INTO complaints VALUES('5737','MR SUFIYAN','03155220060','HO#243 ST 100 SEC I-8/4 ISB','8','38','47769','HAIER','0',null,'12-APR-2021','385H-DF - 957','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 16:00:10','2021-05-17 14:10:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5738','NOMAN KHAN','03332157644','HO#34 ST 6-D SEC-H BAHRIA ENCLAVE ISB','5','28','122091','SIGNATURE','SALE ADVISOR ABU BAKAR',null,'19-SEP-2020','SBO-AT10R - 1124','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 16:33:31','2021-07-17 12:21:14',null,'1',null,'0');
INSERT INTO complaints VALUES('5739','MR SALEEM NASIR','03228585183','HO#512 ST 22 PHASE 05 RWP','4','6','18092','SIGNATURE','SALE ADVISOR ZEESHAN',null,'09-DEC-2018','SBO-AT4R - 1124','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 16:44:00','2021-06-01 11:27:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5740','HAMMAD FCP','03455104405','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','CARAVELL','MODAL#202R',null,'0',null,'WATER DISPENSER','DOOR ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-05-05 16:49:56','2021-07-26 13:17:34',null,'1',null,'0');
INSERT INTO complaints VALUES('5741','MR ZUBAIR','03038982924','SHOP#109-E  SECOND FLOOR NEAR DOMINO PIZZA JINNAH AVENUE BLUE AREA ISB','5','30','130503','HAIER','0',null,'17-MAR-2021','368IDBT - 860','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-05 16:56:55','2021-05-25 11:12:10',null,'1',null,'0');
INSERT INTO complaints VALUES('5742','MR UMER SALEEM','03343061356','HO#427 SAWN ROAD SEC G-10/4 ISB','6','12','34244','ORIENT','0',null,'11-APR-2021','18G-HYPER-SW - 915','AIR CONDITIONER','FAN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 11:32:13','2021-05-17 14:03:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5743','MR ABRAHIM','03008444910','HO#C-13-B ST 04 CHAKSHAID FORM ISB','5','31','129073','SIGNATURE','0',null,'09-FEB-2021','25BG - 1731','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 11:40:25','2021-05-26 16:42:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5744','MR AWAIS','03458553108','HO#691 MAIN STREET GULRAZ 01 CHAKLALA SCHEME 03 RWP','9','23','205193','CARAVELL','MODAL#202R',null,'07-FEB-2021',null,'WATER DISPENSER','WATER COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 11:50:51','2021-05-18 12:38:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5745','MR ADNAN','03028110425','HO#4-B ST 07 SEC F-8/3 ISB','8','42','48308','ORIENT','0',null,'03-MAY-2021','531BL - 993','WATER DISPENSER','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 11:58:29','2021-05-26 17:17:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5746','MR HAMZA','03335554100','HO#09 ST 22 SEC-A DHA PHASE 02 ISB','8','37','9103','SAMSUNG','SALE ADVISOR SOHAIL MAJEED  ADEEL BAHRIA SIR  NAY COMPLAINT BAJI HAY',null,'04-JUN-2017','60KU7000-P - 950','FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 12:21:01','2021-05-21 15:43:31',null,'1',null,'0');
INSERT INTO complaints VALUES('5747','RAZA REHMAN','03014690333 03335900076','HO#1-D LANE 03 TULSA ROAD LALAZAR RWP','6','12','10946','SIGNATURE','COMPLAINT ADEEL BAHRIA SIR NAY BAJI HAY',null,'11-OCT-2017','SBH-AA800S - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 12:24:37','2021-05-22 11:29:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5748','MR REHAN','03088888535','HO#103 MUSLIM TOWN RWP','9','26','179243','LG','0',null,'28-SEP-2019','2J3QDNP0-S - 1483','WASHING MACHINE','TIMER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 12:32:58','2021-05-17 14:23:48',null,'1',null,'0');
INSERT INTO complaints VALUES('5749','MR UMAR','03075396407','HO#09 CENTER AVENUE FIZAIYA HOUSING SOCIETY ISB','8','37','14025','TCL','FRIENDS PAID VISITING CHARGES 500',null,'29-APR-2018','55P6US - 942','FLAT PANEL TV','NET FLEX ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 13:07:00','2021-05-07 14:31:56',null,'1',null,'0');
INSERT INTO complaints VALUES('5750','MR SHOAIB ANJUM','03458859610','FLAT#03 OPP ITWAR BAZAR SERVIS ROAD SEC G-11/4 ISB','5','35','132686','ORIENT','0',null,'04-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAIN CLOSED',null,'customer','0',null,'92','2021-05-06 13:43:57','2021-05-22 13:56:36',null,'1',null,'0');
INSERT INTO complaints VALUES('5751','MR ASAD ABBASI','03455118774','HO#981 ZEESHAN COLONY QASIM MARKIT DHOK CHODEREYA RWP','6','14','20959','GREE','SALE ADVISOR SALEEM',null,'05-MAY-2021','12FITH5WB - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 13:54:28','2021-05-08 13:53:56',null,'1',null,'0');
INSERT INTO complaints VALUES('5752','MR HASHIM','03045000010','HO#08 ST 02 SEC F-8/3 ISB','5','31','127830','ORIENT','0',null,'06-JAN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 14:05:18','2021-05-25 11:03:22',null,'1',null,'0');
INSERT INTO complaints VALUES('5753','MR ABDULLEH ASIF','03315005759','HO#CB-1083 LANE 05 PESHAWAR ROAD NEAR QASIM MARKET RANGE ROAD RWP','9','24','134230','LG','MODAL#55UH850-S  SALE ADVISOR IMRAN',null,'20-MAY-2017',null,'FLAT PANEL TV','PANEL LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 14:14:12','2021-06-05 12:32:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5754','COL NADEEM','03315910001','HO#329 ST 02 ASKARI 10 RWP CANTT','5','34','34918','DAWLANCE','0',null,'04-MAY-2021','6550DW - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 14:22:13','2021-05-17 15:33:10',null,'1',null,'0');
INSERT INTO complaints VALUES('5755','MR TAHIR','03454135879','HO#42 ST 147 SEC G-13/4 ISB','9','23','201572','SIGNATURE','HOOD KI COMPLAINT HAY',null,'06-DEC-2020','SBC-PERTH90 - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 14:52:00','2021-06-28 12:32:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5756','MR ATHAR','03125266016','HO#621-A ST 09 SERVICE ROAD SADIQA BAD RWP','8','40','43293','HAIER','0',null,'31-OCT-2020','150-1678HWM - 1484','WASHING MACHINE','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 15:00:49','2021-05-25 10:59:24',null,'1',null,'0');
INSERT INTO complaints VALUES('5757','MR MASOOD HASSAN','03315654477','HO#382 ST 14 SEC-A BAHRIA PHASE 08 RWP','4','6','34895','ORIENT','MODAL#24G-DIVINE  SALE ADVISOR BADAL',null,'04-MAY-2021',null,'AIR CONDITIONER','REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 15:20:22','2021-05-25 14:03:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5758','MR ASAD','03005305555','NADIR HOUSE NADIR STREET KHAWAJA CORPORATION HADYALA ROAD RWP','5','34','127211','GREE','MODAL#24PITH1W',null,'17-DEC-2020',null,'AIR CONDITIONER','SOUND ISSUE',null,'5','COM PLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 15:28:13','2021-05-19 16:59:05',null,'1',null,'0');
INSERT INTO complaints VALUES('5759','MR ASIF HAIDER','03339342698','HO#16 ST 15 SEC-C SAFARI HOMES PHASE 08 RWP','6','15','27977','LG','0',null,'24-JUN-2020','502HMHU-S - 896','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 15:39:27','2021-05-21 15:40:15',null,'1',null,'0');
INSERT INTO complaints VALUES('5760','MR NASIR','03355714788','HO#975 PIA COLONY RANGE ROAD RWP','9','19','210488','WAVES','COMPLAINT SAQIB FCP NAY BAJI HAY',null,'05-MAY-2021','315WDFT-SS - 958','FREEZER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 15:50:53','2021-05-17 13:43:07',null,'1',null,'0');
INSERT INTO complaints VALUES('5761','MR WAJID','03005011153','HO#173 ST 1-A WALAIT COLONY CHAKLALA SCHEME 03 RWP','6','16','32053','HAIER','MODAL#6050',null,'12-DEC-2020',null,'SPINNER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 16:01:27','2021-05-17 13:44:42',null,'1',null,'0');
INSERT INTO complaints VALUES('5762','MR ASIF','03335609929','HO#278 ST 33 PAKISTAN TOWN PHASE 01 ISB','6','12','0','SIGNATURE','MODAL#SWM-JD41',null,'0',null,'WASHING MACHINE','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 17:02:58','2021-05-25 14:44:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5763','MRS SHAMIM','03315107610','HO#35 LANE 04 PHASE 06 BAHRIA TOWN RWP','6','14','8933','DAWLANCE','SALE ADVISOR AZHAR',null,'21-MAY-2019','320C2-DW - 1484','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 17:15:10','2021-05-17 15:39:05',null,'1',null,'0');
INSERT INTO complaints VALUES('5764','MR ATIF','03445026128','HO#69 ST 25 SEC F-10/1 ISB','5','31','94735','SIGNATURE','MODAL#SRF-HM95-BLK',null,'23-MAY-2018',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-06 17:17:58','2021-05-29 17:00:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5765','USMAN','03215068182','HO#863- A BLOCK F NEAR HOLY FAMILY  HOSPITAL ROAD R.W.P','9','22','174294','GREE','0',null,'02-JULY-2019','12CITH12W - 913','AIR CONDITIONER','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-07 11:12:17','2021-05-17 13:41:07',null,'1',null,'0');
INSERT INTO complaints VALUES('5766','RASH ID AZIZ','03129955451','HO#03 ST#03 BLOCK J NAVAL ANCHORAGE ISB','6','12','2682','HAIER','COMPLAINT FF ADEEL BEHIRA',null,'05-MAY-2021','18HFCF-W-INV - 915','AIR CONDITIONER','SOUND PROB',null,'5','COMPLAIN CLOSED',null,'customer','0',null,'74','2021-05-07 12:23:47','2021-05-22 13:08:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5767','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','HAIER','FF TO IQBAL STOCK',null,'0',null,'AIR CONDITIONER','PC CARD PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-07 12:28:38','2021-05-17 17:10:19',null,'1',null,'0');
INSERT INTO complaints VALUES('5768','ABDUL REHMAN','03008546489','HO#307 ST#101 I 8/4 ISB','5','29','128053','HAIER','0',null,'13-JAN-2021','150-1678HWM - 1484','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-07 12:45:26','2021-05-31 10:48:19',null,'1',null,'0');
INSERT INTO complaints VALUES('5769','CH BABER','03335109603','HO#72 /3 DHAMAYAL ROAD NEAR RAJA BASHARAT HOME R.W.P','4','6','34323','HAIER','18HFPAA-B-915',null,'13-APRIL-2021',null,'AIR CONDITIONER','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-07 12:47:45','2021-06-05 17:22:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5770','COL NADEEM','03315910001','HO#329 ST#02 ASKARI 10 R.W.P','4','6','34918','DAWLANCE','6TH MAY KO CUSTOMER NA DIRECT KHUD COMPLAINT ENTER KARWAI UN # PA',null,'34918','6550DW - 899','WASHING MACHINE','DRUM PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-07 12:52:31','2021-05-17 15:46:21',null,'1',null,'0');
INSERT INTO complaints VALUES('5771','HASEEB SAEED','03219970598','HO#1713 ST#75  BLOCK B MULTY GARDEN B 17 ISB','5','35','124648','HAIER','0',null,'29-NOV-2020','438IDBT - 896','REFRIGERATOR','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-07 13:47:32','2021-05-17 17:08:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5772','ASIM MALIK','03235000950','HO#207 ST#34 SEC B SAFARI HOME PHASE 08 BEHIRA','6','12','30421','FIVE STAR','MODEL MAX 10000MC-1895(FF TO ADEEL BEHIRA 07',null,'11-NOV-2020',null,'COOKING RANGE','NOB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-07 13:52:37','2021-05-29 16:46:34',null,'1',null,'0');
INSERT INTO complaints VALUES('5773','RAFI ULLAH BANGASH','0512714656','HO#298 ST#02 SEC C PHASE 08 BEHIRA','6','13','32217','SAMSUNG','15J5730SS-S',null,'20-DEC-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-07 14:12:40','2021-05-25 18:05:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5774','SHEIKH RASHID','03169748254','HO#147 ST#06 GORI TOWN VIP KHANA PUL ISB','8','37','47940','ORIENT','0',null,'21-APRIL-2021','18G-HYPER-SW - 915','AIR CONDITIONER','IN DOOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-07 14:19:21','2021-05-18 12:15:39',null,'1',null,'0');
INSERT INTO complaints VALUES('5775','SYED GHULAM','03335105882','HO#04 ST 19 NEAR MARGALLA HOUSING SOCIETY  SEC D-17/2 ISB','5','28','104160','HAIER','SALE ADVISOR GHIAS KHAN PTCL CALL INVOICE HAY',null,'27-APR-2019','438ITB - 896','REFRIGERATOR','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-08 11:02:51','2021-05-17 10:58:32',null,'1',null,'0');
INSERT INTO complaints VALUES('5776','MR NASEEM','03335319713','HO#708 UPPER PORTION ST 05 NEAR MANGAL BAZAR  SEC I-9/1 ISB','9','23','128257','SIGNATURE','PTCL CALL INVOICE HAY',null,'19-FEB-2017','SWM-JD51 - 902','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-05-08 11:10:39','2021-05-10 11:53:32',null,'1',null,'0');
INSERT INTO complaints VALUES('5777','MALIK NAQASH','03455255523','HO#2972 ST 12 NEW AMERPURA RWP','9','23','180','HAIER','MODAL#120-14 PTCL CALL INVOICE HAY',null,'03-DEC-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-08 11:28:22','2021-05-11 11:47:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5778','CH IMRAN','03165403161','VILLAGE SIHALA NEAR RAWAL LINE MAIN KHAHUTA ROAD ISB','6','12','20543','HAIER','0',null,'28-APR-2019','200-1678 - 1619','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-08 11:58:58','2021-05-18 12:31:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5779','MR EJAZ HUSSAIN','03345424102','HO#O-292 AFZAL TOWN CHAKLALA SCM  03 ABBASI CHOCK RWP','9','22','206049','HAIER','MODAL#438IDBA',null,'21-FEB-2021',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-08 12:09:41','2021-05-11 11:43:05',null,'1',null,'0');
INSERT INTO complaints VALUES('5780','MR JUNAID','03345552779','HO#574 ST 40 OVERSEAS SEC 05 BAHRIA PHASE 08 RWP','6','14','32361','SIGNATURE','MODAL#25CG   ELECTRIC OVEN SALE ADVISOR BADAL',null,'28-DEC-2020',null,'BUILT IN APPLLIANCES','ERROR ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-05-08 12:22:43','2021-06-18 15:20:14',null,'1',null,'0');
INSERT INTO complaints VALUES('5781','MR BILAL','03453590888','HO#48 ST 11 SEC-C DHA 02 ISB','6','12','34968','DAWLANCE','MODAL#91999CHROME  SALE ADVISOR ZARA COMPLAINT ADEEL BAHRIA SIR NAY BAJI HAY',null,'05-MAY-2021',null,'REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-08 12:35:43','2021-05-11 11:43:43',null,'1',null,'0');
INSERT INTO complaints VALUES('5782','MR REFAT AHMED','03075442979','MOHALA COLLEGE MORE AWAN ROAD TASEEL FATAY JUNG','8','38','24583','DAWLANCE','PTCL CALL INVOICE HAY',null,'12-OCT-2017','170G2-DW - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-08 12:56:06','2021-05-24 14:19:28',null,'1',null,'0');
INSERT INTO complaints VALUES('5783',null,null,null,'6',null,null,'VARIOLINE','000000',null,null,'20STRL-WHT - 993','WATER DISPENSER','LEAKAGE PROBLEM..',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-05-08 13:04:42','2021-08-01 14:08:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5784','MR MUNAWER','03112143399 03144385506','SULTANA ABAD TANYOR TASEEL GILGIT','8','40','46356','KENWOOD','MODAL#26657GD -BKG',null,'14-FEB-2021',null,'REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-08 13:27:10','2021-05-17 12:34:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5785','MR WAQAS RASHID','03348998920  03005042992','HO#213 WARDA HAMNA RESIDENCIA 02 SEC G-11/3 ISB','8','37','48535','PEL','MODAL#6D-PVF-2053',null,'07-MAY-2021',null,'FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-08 13:56:19','2021-05-17 12:40:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5786','MISS HUMAIRA','03005920009 03218580449','HO#830 ST 07 SEC I-9/1 ISB','8','38','29527','SIGNATURE','SALE ADVISOR CH WAQAR',null,'05-SEP-2018','SRF-KK90S - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-05-08 14:18:05','2021-05-21 15:39:43',null,'1',null,'0');
INSERT INTO complaints VALUES('5787','MR USMAN','03315174566  03335285083','HO#262-B ST 08 TENCH BHATTA RWP','9','19','20180','LG','SALE ADVISOR ZAHID  PTCL CALL INVOICE HAY',null,'12-DEC-2019','3H20NTP-S - 1561','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-08 14:31:37','2021-05-17 14:16:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5788','MR FAISAL','03009506783','HO#30-A ABDULLAH HANAN ROAD ASGHAR MALL SCHEME RWP','8','37','48280','ORIENT','MODAL#FLARE3-RG  COMPLAINT SAQLAIN FHHS SIR NAY BAJI HAY',null,'02-MAY-2021',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAIN RESOLVED',null,'customer','0',null,'92','2021-05-08 14:41:07','2021-05-22 12:12:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5789','MR RANA MOIN','03219565200','HO#394 ST 10 PHASE 05 BAHRIA TOWN RWP','6','16','33579','SIGNATURE','MODAL#A1 2028 HOOD KI COMPLAINT HAY  COMPLAINT ADEEL BAHRIA SIR NAY BAJI HAY',null,'08-MAR-2021',null,'BUILT IN APPLLIANCES','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-08 14:52:13','2021-05-21 15:39:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5790','RANA IBRAHIM','03177126220 03325550827','HO#41-C BLOCK-C CHANDNI CHOCK RWP','9','27','178199','ORIENT','PTCL CALL INVOICE HAY',null,'03-SEP-2019','CRYSTAL-C-BLK - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-08 15:04:07','2021-05-17 11:25:39',null,'1',null,'0');
INSERT INTO complaints VALUES('5791','DR SHADAB','03338252485','HO#11 ST 11 SEC-C DHA 02 ISB','6','15','34686','HAIER','0',null,'28-APR-2021','120-1678HWM - 906','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAIN RESOLVED',null,'customer','0',null,'92','2021-05-08 15:52:54','2021-05-22 12:01:56',null,'1',null,'0');
INSERT INTO complaints VALUES('5792','COL TARIQ','03245253332','H NO 7 ST NO 1 SEC C DHA 2 ISB','6','12','2580','DAWLANCE','ONLINE PURCHSE (RIZWAN BHR)',null,'3-5-21','132s-dw','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-09 11:17:06','2021-05-17 11:18:05',null,'1',null,'0');
INSERT INTO complaints VALUES('5793','MR JAWAD','03314207750','H NO 3 ST NO 5 SAFARI VILLAS 1 BAHRIA TOWN RWP','7','49','21948','HOMAGE','REF TO COSTUMER WHATTSAPP',null,'9-OCT-2020','83HWD - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-09 11:24:21','2021-05-24 15:30:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5794','HAMID MIR','03008506000','H NO 28 ST NO 24 SEC F/8-2 ISB','8','37','18590','LG','REF TO BILAL MANZOOR',null,'14-MAR-2019','247CAAV-S - 909','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-09 12:50:35','2021-05-17 14:15:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5795','MRS ASIF','03335103753 , 03322222028','H NO 741 ST NO 75 SEC I/8-3 ISB','5','31','126642','SONY','0',null,'6-DEC-2020','55X7500H-CC','FLAT PANEL TV','DISPLAY PROBLEM',null,'8',null,null,'customer','0',null,'92','2021-05-09 14:28:47','2021-07-27 13:28:07',null,'1',null,'0');
INSERT INTO complaints VALUES('5796','MR NAEEM','03345030999','H NO K115 ST NO 82 ENGINEERING COLONY NEAR SANGHJANI TOOL PLAZA D/18 ISB','9','19','209002','HAIER','0',null,'11-APR-2021','18HFPAA-B','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-09 15:06:23','2021-05-22 16:09:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5797','MUNWAR SAB','03144385505','SULTANA ABAD TANYOR GIL GIT','8','40','46356','KENWOOD','26657GD-BKG-1995',null,'14-FEB-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-10 11:32:03','2021-05-17 11:47:49',null,'1',null,'0');
INSERT INTO complaints VALUES('5798','RASHID BUT','03005385948','HO#P 334 ST#01 PAKISTAN ROAD IMAM BRAGA R.W.P','9','51','193019','GREE','0',null,'17-JULY-2020','8890EG-CB1 - 896','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-10 12:46:07','2021-06-30 13:04:33',null,'1',null,'0');
INSERT INTO complaints VALUES('5799','RAJA USMAN','03009000017','FLAT#56 ST#03 AWAMI VILLAS 05 PHASE 08 BEHIRA','6','15','27845','ORIENT','18G-DIVINE',null,'18-JUNE-2020',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-10 13:39:41','2021-05-18 12:19:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5800','HABIB SAB','03047779797','HO397-A ST#110 G 11/3 ISB','8','37','48105','ORIENT','FLARE-3-RG-2026',null,'28-APRIL-2021',null,'WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-10 14:04:48','2021-05-17 12:06:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5801','MISS ATTIA','03018111481','HO#129 ST#6G VIP PHASE GORI TOWN ISB','8','37','47102','ORIENT','FLARE 3-RG-2026',null,'16-MAY-2021',null,'WATER DISPENSER','COOLING+ TAYP  PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-10 14:27:00','2021-05-26 17:18:43',null,'1',null,'0');
INSERT INTO complaints VALUES('5802','MUGHAL','03088081155','HO#348 ST#10 NEAR AUN MUJHAMMAD RIZIV ROAD  G 10 /1 ISB','9','24','QUOT#8,506','HAIER','0',null,'13-FEB-2019','95-1678HWM - 1817','WASHING MACHINE','NO POWER',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'74','2021-05-10 14:35:32','2021-05-17 11:50:22',null,'1',null,'0');
INSERT INTO complaints VALUES('5803','MR IFTIKHAR AHMED','03345291224','HO#03 ST#35 SEC F6/1 ISB','5','28','0','HAIER','OUT WARRANTY(COMPLAINT FF   CHAT SERVICE )',null,'3 YESR AGO',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-10 14:50:58','2021-05-17 11:39:54',null,'1',null,'0');
INSERT INTO complaints VALUES('5804','ZUBAIR ALI','03322260518','FLAT#08 BLOCK 64 PHA D TYPE APP G 11/4 ISB','5','28','5323','SIGNATURE','COMPLIANT FF KHURRAM GOOGLE',null,'10-JAN-2017','SWM-SR45 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-10 15:11:52','2021-06-18 17:17:49',null,'1',null,'0');
INSERT INTO complaints VALUES('5805','MR NASIR MAHMOOD','03235789316','MAIN GT ROAD NAWAB CHOCK MADU KHALIL NAZD NEAR KHANDK MASJID MADRISA GUJRANWAL','9','27','160906','SIGNATURE','PTCL CALL INVOICE HAY',null,'12-NOV-2018','SRF-WB90M - 885','REFRIGERATOR','COILING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-11 13:58:17','2021-06-02 12:54:18',null,'1',null,'0');
INSERT INTO complaints VALUES('5806','MR FAISAL','03218543262  03015991909','HO#09 SEC C-1 ROAD 03 BAHRIA ENCLAVE ISB','8','37','4923','CORONA','PTCL CALL INVOICE HAY',null,'07-APR-2021','351C - 1533','COOKING RANGE','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-11 14:21:36','2021-06-30 13:25:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5807','BRIG ASLAM','03009181291  03225138862','HO#1212 SOUTH EAST BULLEWARD PHASE 05 BAHRIA TOWN','6','12','30233','SAMSUNG','MODEL 90K5410-S COMPLAINT PALAY B AYI THI TASK#4637',null,'27-OCT-2020',null,'WASHING MACHINE','CARD ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-11 15:54:33','2021-05-25 14:46:02',null,'1',null,'0');
INSERT INTO complaints VALUES('5808','TAJ KHAN','03005166460','HO#98/10 DHOK MUSTAKEEM PERWADAI MOR AKBAR PLAZA RWP','9','20','149934','SIGNATURE','DOBARA SAY COMPLAINT AY GAE HAY TASK#5520',null,'07-APR-2018','SRF-KK95G - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-11 16:03:03','2021-06-02 12:51:59',null,'1',null,'0');
INSERT INTO complaints VALUES('5809','MR ARIF ZAHID','03335225255','HO#32 GREEN STREET SEC D-17 ISB','8','40','48673','FIVE STAR','MODAL#10000MC',null,'11-MAY-2021',null,'COOKING RANGE','FLAME ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 11:00:01','2021-05-24 15:17:34',null,'1',null,'0');
INSERT INTO complaints VALUES('5810','MR USMAN','03215171018','HO#K-32 RAIZ-AL-JINNAH MASJID MOHALA AMARPURA RWP','9','23','177930','DAWLANCE','PTCL CALL INVOICE HAY',null,'28-AUG-2019','6550DW - 899','WASHING MACHINE','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 11:14:54','2021-05-19 13:41:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5811','MR ZAHID SHIRAZI','03135115747','HO#552 ST 23 PHASE 03 ISB','9','24','159165','HAIER','PTCL CALL INVOICE HAY',null,'07-OCT-2018','276EPR - 858','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 11:22:41','2021-05-22 12:59:31',null,'1',null,'0');
INSERT INTO complaints VALUES('5812','MRS ATHAR','03245222038','HO#1372 ST 68 SEC-F ZONE 02 DHA 01 RWP','6','12','35006','ORIENT','MODAL#FLARE3-RG  COMPLAINT ADEEL BHARIA SIR NAY BAJI HAY',null,'06-MAY-2021',null,'WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 11:48:06','2021-05-22 13:01:41',null,'1',null,'0');
INSERT INTO complaints VALUES('5813','DR SUFYAN','03335161345','HO#11 ST 12 SEC-E DHA 01 ISB','9','19','130864','GREE','0',null,'09-APR-2017','18CITH12W - 915','AIR CONDITIONER','ERROR E-6',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 11:55:50','2021-05-22 13:59:06',null,'1',null,'0');
INSERT INTO complaints VALUES('5814','MALIK KHURRAM SADDAR','03005548081','FRIEND CORPORATION SADAR','7','49','0','DAWLANCE','MODAL#91999CHROME',null,'0',null,'REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 12:07:36','2021-05-21 15:38:39',null,'1',null,'0');
INSERT INTO complaints VALUES('5815','MR SHAHZAD','03458505163','HO#134 ST 04 BLOCK-A MEDIA TOWN ISB','4','5','0','TCL','S/N 1902VLR300788AD0321  CUSTOMER K PASS INVOICE NAI HAY',null,'10-MAY-2021','40S6500 - 938','FLAT PANEL TV','SCREEN NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 12:36:09','2021-05-27 14:52:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5816','MR SAJID','03005184927','HO#802 ST 08 MODEL TOWN HUMAK ISB','6','12','9698','SIGNATURE','0',null,'11-JULY-2017','SRF-KK95S - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 12:39:46','2021-05-25 14:43:32',null,'1',null,'0');
INSERT INTO complaints VALUES('5817','ALI AYZAZ','03341772777','HO#H15 LANE H, ABUBAKAER BLOCK PHASE 8 RWP','6','12','14131','HAIER','0',null,'01-MAY-2018','120-1678HWM - 906','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 12:53:59','2021-05-24 14:59:18',null,'1',null,'0');
INSERT INTO complaints VALUES('5818','MR ARSHAD','03008500887','HO#122 ST 81 SEC E-11/2 ISB','5','28','0','MITSUBISHI','SAME MODAL 05 AC KI COMPLAINT HAY C/O SADDIQ SIR COMPLAINT TAHIR SIR NAY BAJI HAY',null,'04-MONTH-AGO','50VA - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 13:03:40','2021-05-29 12:20:15',null,'1',null,'0');
INSERT INTO complaints VALUES('5819','MR ZAHID','03335111057','HO#945 ST 09 BLOCK-C POLICE FOUNDATION PWD','5','28','0','LG','INVOICE NAI HAY COMPLAINT KHURRAM GOOGLE SIR NAY BAJI HAY',null,'2-YEAR-AGO',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 13:12:57','2021-06-28 12:30:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5820','COL IMRAN','03332223728','HO#19 BLOCK-D MEDIA TOWN PWD ROAD RWP','8','37','42303','SIGNATURE','HOB KI COMPLAINT HAY',null,'08-SEP-2020','HC-5900G - 1122','BUILT IN APPLLIANCES','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 13:25:31','2021-05-25 14:42:49',null,'1',null,'0');
INSERT INTO complaints VALUES('5821','MR ARSHAD','03009870403','HO#496 ST 99 SEC G-9/4 ISB','5','32','118671','HAIER','0',null,'03-JULY-2020','438IDBT - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 13:38:31','2021-05-19 14:54:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5822','DR AHTSHAM','03335255085','HO#171 ST 32 OVERSEAS 05 PHASE 08 BAHRIA TOWN RWP','4','5','9420','WHIRLPOOL','SALE ADVISOR NAEEM AZEEM COMPLAINT KHURRAM GOOGLE SIR NAY BAJI HAY',null,'17-JUN-2019','3LWED4830FW - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 14:06:44','2021-05-24 14:23:04',null,'1',null,'0');
INSERT INTO complaints VALUES('5823','MR ATIQ-UR-RAHMAN','03015007045','HO#79 ST 10 PHASE 06 BAHRIA TOWN ISB','4','11','21089','ORIENT','SALE ADVISOR ALI MURTAZA',null,'10-MAY-2021','12G-ORBIT - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 14:14:19','2021-05-19 11:06:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5824','MR HAMMAD','03018561161','HO#911 ST 51 PHASE 02 BAHRIA TOWN ISB','8','42','47983','GREE','0',null,'25-APR-2021','24FITH2W - 917','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 14:18:20','2021-05-29 16:44:16',null,'1',null,'0');
INSERT INTO complaints VALUES('5825','MR NAVEED','03315457275','HO#1959-1 INDAS ROAD 03 LALKURTE RWP','9','20','210334','CORONA','0',null,'04-MAY-2021','125C-AUTO - 1074','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 14:31:52','2021-06-30 13:31:42',null,'1',null,'0');
INSERT INTO complaints VALUES('5826','ABU BAKAR','03365122695','FRIEND CORPORATION BLUE AREA','5','28','0','SIGNATURE','STOCK KI COMPLAINT HAY',null,'0','C590 - 1776','COOKING RANGE','PART DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 14:40:41','2021-05-29 16:43:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5827','MR ARSLAN AKHTAR','03336616658','HO#1154 ST 33C SEC 02 GULSHAN-ABAD RWP','6','15','24344','BOSCH','0',null,'09-DEC-2019','145D0GC - 1212','WASHING MACHINE','ERROR BS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 14:53:20','2021-06-30 13:33:24',null,'1',null,'0');
INSERT INTO complaints VALUES('5828','MR USMAN','03121069999','HO#03 LANE 09 GULSTAN COLONY RWP','9','22','205048','SIGNATURE','CHIMNEY KI COMPLAINT HAY MODAL#A-2 PTCL CALL INVOICE HAY',null,'04-FEB-2021',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 15:09:03','2021-05-25 14:36:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5829','MR NOMAN','03315127713','HO#816 ST 47 BAHRIA TOWN PHASE 02 RWP','8','38','37814','SAMSUNG','PTCL CALL INVOICE HAY',null,'07-DEC-2019','70H4200-S - 1483','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 15:17:33','2021-05-21 15:38:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5830','MR MASOOD HASSAN','03335305408  03315654477','HO#382 ST 14 SEC A BAHRIA PHASE 08 RWP','4','6','34987','HAIER','SALE ADVISOR BADAL',null,'06-MAY-2021','18HFAA-S INV - 915','AIR CONDITIONER','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 15:32:30','2021-05-25 10:46:41',null,'1',null,'0');
INSERT INTO complaints VALUES('5831','MR MASOOD HASSAN','03335305408 03315654477','HO#382 ST 14 SEC A BAHRIA PHASE 08 RWP','4','6','34895','ORIENT','SALE ADVISOR BADAL',null,'04-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 15:35:22','2021-06-30 13:39:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5832','MRS SAIF','03357472233','HO#70 ST 03 SEC E-11/1 ISB','5','29','120393','SONY','SALE ADVISOR TARIQ  MEHMOOD',null,'07-AUG-2020','49X8000G-CC - 1629','FLAT PANEL TV','SCREEN LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 15:40:03','2021-07-27 13:31:52',null,'1',null,'0');
INSERT INTO complaints VALUES('5833','HAJJI ARSHAD','03335139208','HO#ZA-817 ST 35 DHOKE MANGTAL NEAR BILAL MASJID RWP','9','20','179999','DAWLANCE','0',null,'13-OCT-2019','9188WBGD-INV-GREEN - 746','REFRIGERATOR','COOLING ISSUE',null,'5','complaint closed',null,'customer','0',null,'92','2021-05-17 16:03:07','2021-05-25 10:42:06',null,'1',null,'0');
INSERT INTO complaints VALUES('5834','MALIK AMJAD','03335159099','HO#12 ROSE LANE 01 AYOUB PARK OPP NEW LALAZAR RWP','9','19','138031','SIGNATURE','COMPLAINT SAQIB FCP NAY BAJI HAY',null,'25-JULY-2017','SCF-HM14 - 1468','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 16:22:12','2021-05-25 14:36:21',null,'1',null,'0');
INSERT INTO complaints VALUES('5835','MR YASIR JASWAL','03427066669','HO#345 ST 30 SEC G-14/4 ISB','5','28','0','LG','INVOICE NAI HAY',null,'01-YEAR-AGO',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 17:07:18','2021-05-21 15:37:32',null,'1',null,'0');
INSERT INTO complaints VALUES('5836','MR JAHANGIR','03238534444','HO#136 CENTER AVENUE SAFARI VALLEY BLOCK-D PHASE 08 BAHRIA TOWN RWP','8','42','43983','KENWOOD','02 MODAL#1828S-INV  02 AC MAY ISSUE HAY',null,'02-DEC-2020','1228S-INV - 913','AIR CONDITIONER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 17:13:21','2021-05-29 16:43:08',null,'1',null,'0');
INSERT INTO complaints VALUES('5837','MR ASHIR','03135131368','HO#17 LANE-C NEAR ALLIED BANK  TARLAI ISB','8','42','47262','HAIER','0',null,'23-MAR-2021','65K6600UG - 1443','FLAT PANEL TV','CABLE ISSUE',null,'5','complaint closed',null,'customer','0',null,'92','2021-05-17 17:18:09','2021-05-25 10:39:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5838','MR RAFIULLAH BANGASH','0512714656 03459166788','HO#298 ST 22 SEC-C PHASE 08 BAHRIA TOWN RWP','6','12','32217','SAMSUNG','MODAL#15J5730SS-S  SALE ADVISOR ZARA',null,'20-DEC-2020',null,'WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 17:30:56','2021-05-25 14:35:53',null,'1',null,'0');
INSERT INTO complaints VALUES('5839','MR WASEEM','03465011291','ASHRAT ELECTRONIC SHAYEED CHOCK KHOTLE AZAD KASHMIR','9','22','208293','KENWOOD','MODAL#2445FH',null,'30-MAR-2021',null,'AIR CONDITIONER','OUT DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 17:34:39','2021-06-30 13:44:55',null,'1',null,'0');
INSERT INTO complaints VALUES('5840','MR AYAZ','03345402016','HO#16 CIRCULAR STREET FAZAYA COLONY RWP','5','34','56256','SAMSUNG','MODAL#37GKTS',null,'19-SEP-2013',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 17:42:16','2021-05-26 16:43:33',null,'1',null,'0');
INSERT INTO complaints VALUES('5841','MR AHMED NADEEM','03335203914','HO#256 ST 04 GHORI TOWN ISB','5','30','95975','SAMSUNG','S/N QBQA5DBJ100050  SALE ADVISOR ASHRAF IKHLAQ',null,'05-JULY-2018','70H4200-MRM - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-17 17:48:33','2021-05-22 15:31:21',null,'1',null,'0');
INSERT INTO complaints VALUES('5842','HAMMAD FCP','03455104405','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','WAVES','MODAL#WDF313',null,'0',null,'FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 11:14:03','2021-07-26 13:16:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5843','MALIK YAQOOB','03205664220','HO#02 LANE 04 SEC-E DHA 02 ISB','8','37','47607','ORIENT','0',null,'06-APR-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 11:28:41','2021-06-17 11:57:52',null,'1',null,'0');
INSERT INTO complaints VALUES('5844','MR FAHAD','03335038326','HO#23 ST 07 SEC H  DHA 02 ISB','6','16','34199','SAMSUNG','MODAL#55TU7000  COMPLAINT ADEEL BAHRIA SIR NAY BAJI HAY',null,'08-APR-2021',null,'FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 11:38:42','2021-05-21 15:37:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5845','NAJAM KHAN','03335120042','HO#14 ST#38 F 7/1 ISB','5','28','0','SAMSUNG','FRONT LOUD W/M (OUT OFF WARRANTY COMPLIANT)CELL PHONE PA COMPLAINT AAI',null,'3 YEAR AGO',null,'WASHING MACHINE','DRAIN PIPE BLOCKING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-18 11:41:17','2021-05-19 11:18:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5846','MR SAjid','03025490413','HO#01 IB COLONY COL AMAN ULLAH ROAD BARA-KAHU ISB','5','28','130708','DAWLANCE','MODAL#1051GB-R  SALE ADVISOR ABU-BAKAR  COMPLAINT BAJI HAY',null,'22-MAR-2021',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 11:54:32','2021-05-27 16:11:53',null,'1',null,'0');
INSERT INTO complaints VALUES('5847','MRS SAFDAR','03335757494','HO#261 ST 90 SEC I-8/4 ISB','8','39','28699','VARIOLINE','SALE ADVISOR USMAN',null,'15-JULY-2018','20STRL-WHT - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 12:05:18','2021-05-22 17:36:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5848','MR HASSAN','03005100928','HO#280/1 LANE 02 ZAFAR AKBAR ROAD TULSA ROAD LALAZAR RWP','9','20','174300','CANON','0',null,'03-JULY-2019','45-SWC - 1027','WATER COOLER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 12:19:05','2021-06-30 13:58:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5849','MR AMIR RAZA','03218522647 03008501778','HO#05 ST 35 SEC G-14/4 ISB','4','6','10062','ORIENT','SALE ADVISOR SALEEM',null,'25-JULY-2019','18G-BOLD-UW-INV - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 12:30:02','2021-05-29 12:07:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5850','MRS RIZWAN','03015172424','HO#H-10/N-10 NUCLEUS COLONY BARRIER 02 WAH-CANTT','8','40','47661','CORONA','MODAL#C373',null,'08-APR-2021',null,'COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 12:42:03','2021-05-25 14:53:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5851','DR SHOQAT','03005003716','HO#1346 ROAD-A PHASE 04 BAHRIA TOWN RWP','4','6','39922','LG','0',null,'31-MAY-2020','1066NEFTW-S - 902','WASHING MACHINE','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 12:57:32','2021-05-21 12:51:49',null,'1',null,'0');
INSERT INTO complaints VALUES('5852','MR AMIR','03365510211','SHOP#02 PLAZA 118 WALAIT COMPLEX BAHRIA PHASE 07 RWP','4','10','25238','HAIER','SALE ADVISOR SHAHZAD MALIK',null,'22-DEC-2019','24HNI-W-INV - 917','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 13:06:00','2021-05-22 16:56:44',null,'1',null,'0');
INSERT INTO complaints VALUES('5853','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','HAIER','0',null,'0','545DD - 959','FREEZER','DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 13:12:35','2021-07-01 17:52:01',null,'1',null,'0');
INSERT INTO complaints VALUES('5854','MR ZAFAR','03005121505  0512742524','HO#1-B ST 15-B SEC-E IQBAL BULAWARD DHA 02 ISB','9','23','200971','SIGNATURE','0',null,'05-DEC-2020','SBH-AA901G - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 13:41:09','2021-05-25 15:55:36',null,'1',null,'0');
INSERT INTO complaints VALUES('5855','MRS USMANI','03325040777','HO#96 ST 07 PHASE 07 BAHRIA TOWN RWP','6','12','0','SIGNATURE','INVOICE NAI HAY COMPLAINT KHURRAM GOOGLE SIR NAY BAJI HAY',null,'03-YEAR AGO','SWM-JD51 - 902','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 13:56:25','2021-05-25 14:35:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5856','MR SHER KHAN','03335281099  03366655588','HO#06 MAKHAD HOUSE LANE 03 RESIDENCE SHARAFGAN KHANZADA GULLISTAN COLONY RWP','9','51','192152','SONY','0',null,'06-JULY-2020','65X9500G-CC - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 14:05:00','2021-05-25 14:34:24',null,'1',null,'0');
INSERT INTO complaints VALUES('5857','DR SHAMAS','03335171206','HO#163 ST 73 SEC G-9/3 ISB','5','34','77953','LG','SALE ADVISOR IMRAN MUGHAL',null,'24-AUG-2016','49LF540T-P - 1629','FLAT PANEL TV','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 14:10:31','2021-05-24 13:16:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5858','DR SHAMAS','03335171206','HO#163 ST 73 SEC G-9/3 ISB','5','34','77953','LG','MODAL#645LHD-S  HOME THEATER KI COMPLAINT HAY',null,'24-AUG-2016',null,'SOUND SYSTEMS','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 14:15:35','2021-05-24 13:16:10',null,'1',null,'0');
INSERT INTO complaints VALUES('5859','QAZI ARSHAD','03345081903','LANE 02 LALAZAR STATE TULSA ROAD RWP','7','49','18585','LG','SALE ADVISOR ZAHID',null,'23-FEB-2019','4J6TNP8S-S - 899','WASHING MACHINE','TIMER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 14:30:40','2021-05-22 11:28:56',null,'1',null,'0');
INSERT INTO complaints VALUES('5860','QAZI ARSHAD','03345081903','LANE 02 LALAZAR STATE TULSA ROAD RWP','7','49','18934','GREE','SALE ADVISOR ZAHID',null,'27-APR-2019','18FITH4WB - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 14:33:41','2021-05-22 13:34:45',null,'1',null,'0');
INSERT INTO complaints VALUES('5861','MR ARIF','03472689559','HO#D-82 SHAH JHAN ROAD NAVAL COMPLEX ISB','5','28','123131','GREE','SALE ADVISOR MARYAM FCI',null,'20-OCT-2020','9978EG-CB3 - 2116','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 14:49:32','2021-05-27 13:14:08',null,'1',null,'0');
INSERT INTO complaints VALUES('5862','MR FRAZ','03358549816','HO#A2 MAIN ROAD NEW LALAZAR OPP AYUB PARK RWP','9','20','209278','HAIER','0',null,'14-APR-2021','622IBS - 908','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 15:18:00','2021-06-10 14:23:59',null,'1',null,'0');
INSERT INTO complaints VALUES('5863','FOUJI FOUNDATION','03355446356','GATE#02 FOUJI TOWER NEAR PF CHOCK FOUJI FOUNDATION HEAD OFFICE RWP','8','37','47116','XTREEM','MODAL#788  SALE ADVISOR ADIL',null,'16-MAR-2021',null,'BUILT IN APPLLIANCES','MOTOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 15:46:56','2021-05-19 13:08:34',null,'1',null,'0');
INSERT INTO complaints VALUES('5864','BRIG ANSAR','03312121214  03364522881','HO#B-7 RAWAL COLONY RAWAL ROAD NEAR ARMY PUBLIC SCHOOL CHAKLALA CANTT RWP','4','7','20933','GREE','MODAL#12PITH2W  SALE ADVISOR ZAHRA',null,'04-MAY-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 16:06:58','2021-05-22 13:27:49',null,'1',null,'0');
INSERT INTO complaints VALUES('5865','MR FARUKH','03010740007','HO#1539/45 MEHBOOB LANE ST 04 RESHAWAR ROAD RWP','8','39','47155','ORIENT','MODAL#24G-DIVINE',null,'18-MAR-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 16:10:17','2021-05-26 14:35:50',null,'1',null,'0');
INSERT INTO complaints VALUES('5866','MR WAJID','03018506800','HO#308 ST 49 SEC G-10/3 ISB','5','34','104395','SIGNATURE','SALE ADVISOR MARYAM FCI',null,'03-MAY-2019','SBH-AA901G - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 16:15:50','2021-05-21 12:52:51',null,'1',null,'0');
INSERT INTO complaints VALUES('5867','SYED WAHEED AHMAD','03345038578','HO#221 ST 23 SEC I-10/4 ISB','9','21','197456','HAIER','SALE ADVISOR MURTAZA',null,'11-OCT-2020','120-1789HWM - 906','WASHING MACHINE','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 16:21:20','2021-06-05 15:17:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5868','DR ZULFIQAR','03345551014','HO#592 ST 42 PHASE 02 BAHRIA TOWN RWP','4','10','35079','HAIER','MODAL#12HFPBG-W SALE ADVISOR MOHSIN',null,'10-MAY-2021',null,'AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 16:28:02','2021-05-22 12:15:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5869','MR HASSAN MAHDI','03099187770','HO#EE- NATIONAL PARK ROAD RAWAL DAM COLONY ISB','8','40','46454','HAIER','0',null,'18-FEB-2021','622ICG - 908','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 16:31:31','2021-05-26 16:21:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5870','MR ATIQ-UR-RAHMAN','03015007045','HO#79 ST 10 PHASE 06 BAHRIA TOWN ISB','4','11','21089','ORIENT','SALE ADVISOR ALI MURTAZA',null,'10-MAY-2021','12G-ORBIT - 913','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 16:44:32','2021-05-19 11:17:28',null,'1',null,'0');
INSERT INTO complaints VALUES('5871','MR TAHFEEM','03365292690  03225080553','HO#18-A MAIN KHABANAY TANVEER CHAKLALA SCHEME 03 RWP','9','22','210327','SUPER ASIA','MODAL#115CURVED',null,'03-MAY-2021',null,'WATER DISPENSER','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 17:06:48','2021-06-30 14:04:03',null,'1',null,'0');
INSERT INTO complaints VALUES('5872','MR LIAQAT','03185320423 03319555374','HO#138 ST 23 OMER BLOCK PHASE 08 RWP','6','12','19544','HAIER','SALE ADVISOR ZEESHAN',null,'06-MAR-2019','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 17:17:21','2021-05-21 15:49:56',null,'1',null,'0');
INSERT INTO complaints VALUES('5873','MR IMRAN','03335752378','HO#746/A4 SHADMAN COLONY NEAR KALMA CHOCK RWP','7','49','23506','ORIENT','SALE ADVISOR ZAHID',null,'03-MAY-2021','12G-ALPHA-SW - 912','AIR CONDITIONER','COOLING ISSUE',null,'5','comaplint closed',null,'customer','0',null,'92','2021-05-18 17:27:50','2021-05-31 17:25:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5874','MR FAWAD','03009552651','HO#90 ST 22 SEC-J  DHA 02 ISB','9','22','192824','LG','0',null,'15-JULY-2020','4J6TMP8S-C - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 17:35:32','2021-05-21 15:34:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5875','MAJ TARIQ','03005101148','HO#194 ST 07 ASKARI 10 RWP','8','42','202564','FIVE STAR','MODAL#35G-HEAVY  SALE ADVISOR WAQAS ABBASI',null,'20-DEC-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-18 17:41:49','2021-05-22 11:27:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5876','MR ATIQ-UR-RAHMAN','03015007045','HO#79 ST 10 PHASE 06 BAHRIA TOWN ISB','4','11','21089','ORIENT','SALE ADVISOR ALI MURTAZA (HOME SOLUTION NA INSTALL KARWAYA HAIN',null,'10-MAY-2021','12G-ORBIT - 913','AIR CONDITIONER','MOTER KA ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-19 11:04:45','2021-05-26 12:08:16',null,'1',null,'0');
INSERT INTO complaints VALUES('5877','MR RAZA','03335201786','HO#01 ST 01 SAIFIA TOWN  SEC E-16/4 ISB','5','28','0','LG','MODAL#F-1496TDT23  INVOICE NAI HAY COMPLAINT KHURRAM SIR NAY BAJI HAY',null,'03-YEAR AGO',null,'WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 11:43:13','2021-05-24 13:15:44',null,'1',null,'0');
INSERT INTO complaints VALUES('5878','MR FAROOQ','03340528946','HO#114 ST 110 SEC G-11/3 ISB','5','35','127639','DAWLANCE','PTCL CALL INVOICE HAY',null,'01-JAN-2021','10500DW - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 11:48:12','2021-05-26 12:06:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5879','MR WAQAS','03335735844','HO#174 ST SOUTHEAST BOULEVARD PHASE 04 BAHRIA TOWN RWP','4','5','5917','SIGNATURE','PTCL CALL INVOICE HAY SALE ADVISOR NAEEM AZEEM',null,'07-NOV-2018','SWD-HD10-GR - 994','WATER DISPENSER','BUTTON DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 11:58:52','2021-05-25 14:33:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5880','MR AHMAD','03005011899  03415766355','HO#319-B LANE 05 LALARUKH WAHCANT','5','28','107736','SIGNATURE','MODAL#65WB-S  PTCL CALL INVOICE HAY',null,'22-JULY-2019',null,'REFRIGERATOR','COMPRESSOR ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-05-19 12:03:46','2021-06-04 17:55:55',null,'1',null,'0');
INSERT INTO complaints VALUES('5881','MR TARIQ','03005060057 03215695469','OFFICE#CBC CORPORATE  12-A SEC G-8 MARKAZ ISB','5','34','93210','CORONA','0',null,'07-APR-2018','35G-SLIM - 669','WATER COOLER','COMPRESSOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 12:37:02','2021-05-29 11:49:43',null,'1',null,'0');
INSERT INTO complaints VALUES('5882','KHURRAM SHAHZAD','03015250840','CH HOME MOHALLAH USMANIYABAD NEAR TELEPHONE EXCHANGE TALAGAN','9','24','0','LG','OUT OFF WARRANTY COMPLAINT HAIN (FF TO TAHIR B.COOL)',null,'2 YEAR AGO',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-19 12:41:06','2021-06-08 12:35:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5883','DR FARMANIA','03137711177','HO#3B ST 62 SEC F-8/4 ISB','8','38','47410','HAIER','0',null,'29-MAR-2021','631DGS - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 12:46:48','2021-05-26 13:16:05',null,'1',null,'0');
INSERT INTO complaints VALUES('5884','MR JAWAD','03155154090','OFFICE#MANDEER SQUARE 3rd FLOOR EIFFEL OFFICE SEC G-8 MARKAZ ISB','9','19','0','KENWOOD','COMPLAINT TAHIR BEST COOL  SIR KI TARAF SAY AYI HAY',null,'01-YEAR-AGO',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 12:57:45','2021-05-26 15:37:18',null,'1',null,'0');
INSERT INTO complaints VALUES('5885','FOUJI FOUNDATION','03355446356','GATE#02 FOUJI TOWER NEAR PF CHOCK FOUJI FOUNDATION HEAD OFFICE RWP','8','37','47116','XTREEM','MODAL#788 SALE ADVISOR ADIL',null,'16-MAR-2021',null,'BUILT IN APPLLIANCES','MOTOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 13:03:26','2021-05-25 14:29:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5886','MR RIAZ','03455256284','HO#559/10 ST 2-A ALLAMA IQBAL COLONY TENCH BATHA RWP','7','49','22096','CANON','SALE ADVISOR ZAHID',null,'04-NOV-2020','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 13:07:15','2021-05-26 13:12:38',null,'1',null,'0');
INSERT INTO complaints VALUES('5887','SAAD SAB','03005173726','HO#142 ST#05 SEC C AIR PORT HOUSING SOCITY ISB','6','12','0','HAIER','OUT OFF WARRANTY(KHURRAM SIR K CELL PA CALL AAI THI',null,'2 YER AGO',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-19 13:16:24','2021-05-21 16:45:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5888','DR AFZAL MATTU','03006143609','HO#81 ROAD 01 SEC-C BAHRIA ENCLAVE  ISB','8','39','46443','SONY','MODAL#65X7500H-CC',null,'17-FEB-2021',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 13:26:12','2021-06-03 17:54:29',null,'1',null,'0');
INSERT INTO complaints VALUES('5889','QAZI ASIM','03026669555','HO#20 ST 23 BLOCK-G NAVEL ANCHOURAGE ISB','4','5','14632','HAIER','2ND TIME COMPLAINT FF HO RAHI HAIN (INVOICE HASSAN FHSS NA FF KI JAB WO PWD BRANCH MAIN THY) INVOICE + VIDEO &COMPLAINT & TAUQEER  SIR KO',null,'18-JUNE-2020','12HRP-W-INV - 913','AIR CONDITIONER','E 7 ERROR PROB',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'74','2021-05-19 13:29:08','2021-05-21 15:33:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5890','MR ADNAN','0515515299','HO#465/8R ST 3 KAZE ROAD DHARI HASSANA-BAD RWP','9','21','129679','SIGNATURE','SALE ADVISOR JAVED',null,'20-MAR-2017','SWM-JD51 - 902','WASHING MACHINE','ERROR E-4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 13:45:30','2021-05-21 12:19:38',null,'1',null,'0');
INSERT INTO complaints VALUES('5891','MR TARIQ','03200234411','HO#14 ST 03 SEC-E PHASE 08 RWP','6','13','27605','HAIER','SALE ADVISOR ZARA',null,'08-JUN-2020','80-10829HW - 899','WASHING MACHINE','ERROR E-5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 13:53:02','2021-05-21 15:46:41',null,'1',null,'0');
INSERT INTO complaints VALUES('5892','MR WAQAR','03335509599','HO#A-12-3 AFANDI COLONY SATELLITE TOWN RWP','9','22','193623','DAWLANCE','0',null,'27-JULY-2020','1035WBGD-VF - 1467','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 14:06:39','2021-05-27 11:59:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5893','MR SAJJAD','03215711079','HO#393 ST 64 SEC I-8/3 ISB','5','30','119878','TCL','S/N 2002VLR301090A00194',null,'28-JULY-2020','40S65A - 938','FLAT PANEL TV','SCREEN DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 14:12:49','2021-06-30 14:07:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5894','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','ARISTON','100LITRE',null,'0',null,'GEYSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 14:23:05','2021-06-07 16:50:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5895','GUL WAHAD','03359936938 03139526834','KORASHI FARM HOUSE #04 PATROLI AND VEGETABLE SCHEME LATYAR ROAD ISB','8','38','18968','SONY','0',null,'OUT OFF WARRANTY','65X7500F-S - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','5331','74','2021-05-19 14:24:35','2021-05-26 16:44:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5896','GUL WAHAD','03359936938  03139526834','KORASHI FARM HOUSE #04 PATROLI AND VEGETABLE SCHEME  LATYAR ROAD ISB','8','38','18968','SONY','0',null,'OUT OFF WARRANTY','55X7500F-S - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','5330','74','2021-05-19 14:31:05','2021-05-26 16:27:33',null,'1',null,'0');
INSERT INTO complaints VALUES('5897','MR ADNAN','03009620675','PLOT#418 FAZAL STEEL NEAR I-9 THANA ISB','8','37','45593','MITSUBISHI','02 AC KI COMPLAINT HAY SAME MODAL',null,'07-JAN-2021','50VA - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 14:58:54','2021-05-25 14:27:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5898','MR HASSAN MIRZA','03335452429','HO#1417-K ST 12-C SEC-C USMAN BLOCK PHASE 08 RWP','6','15','34411','FIVE STAR','MODAL#35G-HEAVY DUTY',null,'18-APR-2021',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 15:12:21','2021-05-31 12:20:57',null,'1',null,'0');
INSERT INTO complaints VALUES('5899','MR INAMULHAQ','03305695506','HO#135 ST 04 BLOCK-A PWD ISB','4','8','20796','SUPER ASIA','SALE ADVISOR AZHAR  ROOM COOLER KI COMPLAINT HAY',null,'29-APR-2021','5000ECM-PLUS - 1577','AIR COOLER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 15:46:58','2021-05-27 14:15:12',null,'1',null,'0');
INSERT INTO complaints VALUES('5900','MISS FER YOUNG','03175197088  03100927777','HO#15-D ST 19 SEC F-6/2 ISB','5','31','131770','CARAVELL','0',null,'14-APR-2021','1000MEC - 978','CHILLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 16:00:18','2021-05-24 12:59:56',null,'1',null,'0');
INSERT INTO complaints VALUES('5901','MR TAUSIF','03009547124','HO#37 ST 23 SEC F-10/2 ISB','5','31','131249','ORIENT','MODAL#24G-DIVINE',null,'05-APR-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 16:07:29','2021-05-26 15:09:16',null,'1',null,'0');
INSERT INTO complaints VALUES('5902','MR SHAYAN','03421915465  03185252224','FLAT#F-14/16 BLOCK F OFFICERS MESS PAF BASE MIANWALI','8','40','44692','KENWOOD','MODAL#1839S-INV',null,'06-DEC-2020',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 16:13:32','2021-07-24 15:43:55',null,'1',null,'0');
INSERT INTO complaints VALUES('5903','MR AWAIS','03206575050','HO#03 ST 03 NEAR MADINA BAKRI  AMARPURA CHOCK RWP','9','23','210052','ORIENT','0',null,'29-APR-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 16:22:23','2021-07-28 14:45:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5904','MR MEHMOOD','03145166422','HO#ZA-1406-B BORING ROAD NEAR AL-MADINA JARNAL STOR DHOK MATHCAL RWP','9','21','200544','KENWOOD','SALE ADVISOR RIFFAT FCP',null,'02-DEC-2020','1012SA - 902','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 16:28:49','2021-05-22 11:45:15',null,'1',null,'0');
INSERT INTO complaints VALUES('5905','MR JAMAL','03345220967  0335557778','HO#10545 ST 22 SEC G-11/1 ISB','4','8','20836','SUPER ASIA','COMPLAINT TAHA SOHAIL SIR NAY BAJI HAY',null,'30-APR-2021','777JC-PLUS - 1705','AIR COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 17:09:25','2021-05-27 13:45:48',null,'1',null,'0');
INSERT INTO complaints VALUES('5906','MR OSAMA','03368856011','HO#365 ST 14 BLOCK-B TOP CITY 01 ISB','5','28','124370','CORONA','SALE ADVISOR ABU-BAKAR PTCL CALL INVOICE HAY',null,'24-NOV-2020','505C - 1815','COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 17:14:47','2021-06-30 14:15:31',null,'1',null,'0');
INSERT INTO complaints VALUES('5907','MR QASIM','03015000108','NEAR SHAFA DENTAL HOSPITAL HIGHWAY SERVICE ROAD DHOK KALAKHAN','8','38','44057','SIGNATURE','HOB KI COMPLAINT HAY',null,'02-DEC-2020','3710 - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 17:20:08','2021-06-05 15:14:17',null,'1',null,'0');
INSERT INTO complaints VALUES('5908','MR IMRAN','03215332332','HO#109/1-D ST 05 SEC 01 KHAYABAN-E-SIR SYED RWP','9','51','156989','SIGNATURE','PTCL CALL INVOICE HAY',null,'13-AUG-2018','SCF-HM10 - 955','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 17:29:06','2021-05-25 14:26:58',null,'1',null,'0');
INSERT INTO complaints VALUES('5909','MISS GULNAZ','03367788529  03215877500','SJ CENTER NEAR PSO PUMP BARAKAHU','8','40','41838','CARAVELL','MODAL#207-BA  SALE ADVISOR MALAIKA',null,'15-AUG-2020',null,'WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 17:43:23','2021-06-23 16:36:16',null,'1',null,'0');
INSERT INTO complaints VALUES('5910','MISS GULNAZ','03367788529 03215877500','SJ CENTER NEAR PSO PUMP BARAKAHU','8','40','47395','DAWLANCE','SALE ADVISOR ISHFAQ ABBASI',null,'29-MAR-2021','112C - 961','MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 17:47:13','2021-06-10 12:30:52',null,'1',null,'0');
INSERT INTO complaints VALUES('5911','RANA MUHAMMAD BILAL SB','03315009710','OFICE-17 1 FLOOR ANIQ ARCADE  I-8 MARKZ ISB','8','37','33766','ORIENT','0',null,'05-MAY-2019','18G-SUPREEM','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-19 17:51:56','2021-06-17 12:02:38',null,'1',null,'0');
INSERT INTO complaints VALUES('5912','MR HASSAN','03007571919','HO#NNK-ARCADE 226 SECOND FLOOR INTELLECTUAL VILLAGE BAHRIA SPRING NORTH BAHRIA TOWN PHASE 07 RWP','4','11','20547','ORIENT','SALE ADVISOR ALI  MURTAZA',null,'14-APR-2021','18G-HYPER-SW - 915','AIR CONDITIONER','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 17:55:10','2021-05-26 13:07:37',null,'1',null,'0');
INSERT INTO complaints VALUES('5913','MR DILPAZIR','03325106144','DILPAZER LODGE LANE 1-A FOUJI FOUNDATION COLLEGE NEW LALAZAR RWP','9','23','149745','SIGNATURE','PTCL CALL INVOICE HAY',null,'03-APR-2018','SRF-WB90M - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-19 18:13:37','2021-06-02 12:50:08',null,'1',null,'0');
INSERT INTO complaints VALUES('5914','DR ZESHAN','03215202765','BHARIA PHASE 07 RWP','6','12','34769','HAIER','COMPLAINT ADEEL BAHRIA SIR NAY BAJI HAY  COMPLAINT CUSTOMER KI HAY VISIT TO SHOWROOM',null,'02-MAY-2021','631DGG - 1122','BUILT IN APPLLIANCES','GET ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 10:51:40','2021-05-24 16:41:52',null,'1',null,'0');
INSERT INTO complaints VALUES('5915','MR USMAN TARIQ','03009250643','HO#281 ST 78 SEC F-11/1 ISB','5','36','1939','LG','0',null,'05-APR-2021','1066NEFTW-S - 902','WASHING MACHINE','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 10:55:14','2021-06-03 17:53:49',null,'1',null,'0');
INSERT INTO complaints VALUES('5916','MR JAHANZAIB','03345343905','HO#914 ST 18 OVER SEAS SEC-06 BAHRIA TOWN PHASE 08 RWP','4','10','28204','SIGNATURE','SALE ADVISOR ZARA',null,'06-JULY-2020','HC-5871S - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 11:02:40','2021-05-29 16:37:24',null,'1',null,'0');
INSERT INTO complaints VALUES('5917','MR HAFEEZ','03415469881','HO#739 ST 1-A SEC-D BAHRIA PHASE 08 RWP','6','16','34238','SHARP','MODAL#9113CZ-S DRYER KI COMPLAIN HAY',null,'11-APR-2021',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 11:08:01','2021-05-25 14:25:33',null,'1',null,'0');
INSERT INTO complaints VALUES('5918','MR ZUHAIB','03335501835','HO#15 ST 73 SEC G-13/2 ISB','5','31','123174','HAIER','0',null,'21-OCT-2020','100BS-WM - 69','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 11:28:47','2021-05-24 15:20:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5919','TARIQ FCI','03005566006','HO#06 ST 01 BILAL COLONY BEHIND SHAKEEL CORPORATION MUREE ROAD SHAMSABAD RWP','5','31','110694','SIGNATURE','MODAL#SCF-HM09AH',null,'07-NOV-2019',null,'FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 11:43:10','2021-07-17 13:29:35',null,'1',null,'0');
INSERT INTO complaints VALUES('5920','MR TUSEEF','03225410334','ST#04 DHAMEYAL CAMP AHMADA BAD RWP','9','21','189588','HAIER','SALE ADVISOR MURTAZA',null,'30-MAY-2020','18HFAA-B INV - 915','AIR CONDITIONER','OUT DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 12:21:22','2021-05-22 15:06:02',null,'1',null,'0');
INSERT INTO complaints VALUES('5921','MR DILPAZEER','03005352357','HO#3-B ST 67 NEAR FAZAL STREET  SEC F-7/3 ISB','8','38','18860','ARISTON','SALE ADVISOR HASSAN ALI',null,'29-OCT-2016','50L-V - 1365','GEYSER','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 12:27:45','2021-05-29 11:32:21',null,'1',null,'0');
INSERT INTO complaints VALUES('5922','MR IFTHAR','03040554082','HO#03 NEAR ALLIED BANK  NEAR NEW MALL  CHAKSHAHZAD ISB','9','27','208517','KENWOOD','0',null,'04-APR-2021','1010SA - 902','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 12:36:07','2021-05-27 13:17:15',null,'1',null,'0');
INSERT INTO complaints VALUES('5923','MR IMRAN','03323867774 03459041860','HO#22 ST 32 SEC F-6/1 ISB','9','19','175891','ORIENT','0',null,'24-JULY-2019','200CRYSTAL-GGD - 893','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 12:55:42','2021-06-17 12:11:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5924','MR AZHAR JAVED','03335205027','HO#03 NEAR POL STAR SCHOOL MANGRAL TOWN GULZAR-E-QUAD RWP','9','19','0','SIGNATURE','AUTOMATIC MACHINE PTCL CALL INVOICE NAI HAY',null,'03-YEAR-AGO',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 13:00:37','2021-05-25 14:24:51',null,'1',null,'0');
INSERT INTO complaints VALUES('5925','MR IRFAN','03008508023','HO#09 ROAD-E BLOCK-M NAVAL ANCHORAGE ISB','5','35','129921','SIGNATURE','MODAL#A-1 1222  HOOD KI COMPLAINT HAY',null,'02-MAR-2021',null,'BUILT IN APPLLIANCES','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 13:08:29','2021-05-26 11:17:51',null,'1',null,'0');
INSERT INTO complaints VALUES('5926','MR YASIR MAHMOOD','03335147393','HO#301 MAIN STREET AMIN TOWN RWP','5','30','109557','LG','0',null,'21-SEP-2019','702HMHU-S - 885','REFRIGERATOR','COOLING ISSUE',null,'8',null,null,'customer','0',null,'92','2021-05-20 13:12:47','2021-05-22 11:04:32',null,'1',null,'0');
INSERT INTO complaints VALUES('5927','DR TALLAT','03060557685 03203000300','HO#91 LANE 03 HARLEY STREET RWP','9','24','178597','LG','0',null,'14-SEP-2019','0K2CHK5T2-S - 2021','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 13:22:44','2021-05-22 11:26:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5928','MR SHAHID HASHMAT','03448295350','HO#43 ST 59 SEC I-8/3 ISB','5','28','0','LG','INVOICE NAI HAY COMPLAINT KHURRAM GOOGLE SIR NAY BAJI HAY',null,'0',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 13:26:16','2021-05-29 16:35:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5929','MR SOHAIB','03455079559','HO#08 ST 43 KORANG TOWN ISB','4','8','21122','HAIER','0',null,'17-MAY-2021','90-1789HWM - 901','WASHING MACHINE','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 13:55:19','2021-05-22 14:07:01',null,'1',null,'0');
INSERT INTO complaints VALUES('5930','MR HUMZA JAVEED','03341221225','HO#05 ST 3-A FAZAL TOWN PHASE 01 CHAKLALA RWP','8','38','48363','ORIENT','0',null,'04-MAY-2021','AUTO8 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 14:11:16','2021-05-24 15:05:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5931','MR ARSLAN','03115544716','FRIENDS CORPORATION MUREE ROAD SHAMSA-BAD RWP','8','40','40963','KENWOOD','0',null,'10-JULY-2020','1012SA - 902','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 14:56:36','2021-05-24 15:45:20',null,'1',null,'0');
INSERT INTO complaints VALUES('5932','MR AKBAR AZAM','03335640663','CHIP HOUSE PLOT#05 ST#09 NEAR FAYAZ MARKET G-8/2 ISB','5','35','122459','GABA NATIONAL','0',null,'01-OCT-2020','187GD - 1980','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 15:07:29','2021-06-30 14:17:15',null,'1',null,'0');
INSERT INTO complaints VALUES('5933','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','SONY','MODAL#43W660',null,'0',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 15:21:28','2021-07-15 11:28:03',null,'1',null,'0');
INSERT INTO complaints VALUES('5934','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','HAIER','MODAL#206',null,'0',null,'WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-05-20 15:27:41','2021-05-29 10:56:52',null,'1',null,'0');
INSERT INTO complaints VALUES('5935','MR SOHAIB','03455099646','HO#CB-1886 ZAHIRA ABADE 02 TANCH BATHA RWP','9','21','209694','HAIER','MODAL#438EBB  SALE ADVISOR MURTAZA',null,'25-APR-2021',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 15:54:46','2021-05-22 14:52:44',null,'1',null,'0');
INSERT INTO complaints VALUES('5936','MR HAMZA','03145864969','HO#54 ST 03 PHASE 02 BAHRIA TOWN RWP','8','37','20619','ORIENT','MODAL#CRYSTAL3 SP  SALE ADVISOR  WALEED COMPLAINT NAFEES FHHS  SIR NAY BAJI HAY',null,'19-APR-2021',null,'WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 16:05:16','2021-05-24 15:26:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5937','MR TAUSIF','03009547124','HO#37 ST 23 SEC F-10/2 ISB','5','31','131249','ORIENT','MODAL#24G-DIVINE',null,'05-APR-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 16:26:00','2021-05-29 10:58:03',null,'1',null,'0');
INSERT INTO complaints VALUES('5938','MR SALEEM AFRIDI','03456789047','HO#821 ST 41 DEFANCE VALLA RAFI EXTANACTION BAHRIA TOWN PHASE 08 RWP','6','16','25646','ORIENT','SALE ADVISOR BADAL',null,'14-JAN-2020','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 16:39:59','2021-06-17 13:28:04',null,'1',null,'0');
INSERT INTO complaints VALUES('5939','MR SYED GALIB','03469083417 03075551999','HO#18 ST 8-A BLOCK-C NEVAL ENCOURAGE ISB','6','12','9219','SIGNATURE','SALE ADVISOR BADAL COMPLAINT ZAHID PWD SIR NAY BAJI HAY',null,'11-JUN-2017','JX1-BL - 1708','WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 16:50:57','2021-05-25 14:23:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5940','MR ASAD','03330405445','HO#115 ST 03 SEC G-15/1 ISB','5','34','133125','ORIENT','MODAL#FLARE3-RG',null,'18-MAY-2021',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 17:12:06','2021-05-24 13:40:42',null,'1',null,'0');
INSERT INTO complaints VALUES('5941','MR MAZHER HUSSAIN','03364448856','FLAT#01 BLOCK 4-A ST 1 SEC I-8/1 ISB','8','42','8665','LG','SALE ADVISOR SHAKEEL',null,'28-JUN-2014','1007TEFT - 122','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 17:22:49','2021-05-29 16:04:41',null,'1',null,'0');
INSERT INTO complaints VALUES('5942','MR JUNAID','03025133969','HO#02 ST 19 KORANG TOWN ISB','4','8','19616','HAIER','0',null,'13-FEB-2021','120AS - 69','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 17:33:01','2021-05-22 14:27:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5943','MR NASIR','03335253057','HO#88 ST 159 SEC G-11/1 ISB','5','28','73577','SIGNATURE','SALE ADVISOR TAJAMUL HUSSAIN PTCL CALL INVOICE HAY',null,'09-MAR-2016','JX1-GR - 1708','WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CANCELED',null,'customer','0',null,'92','2021-05-20 17:42:25','2021-05-29 16:34:21',null,'1',null,'0');
INSERT INTO complaints VALUES('5944','MR MANSOOR ZAIDI','03114758752','HO#234 ST 01 SEC B-12/3 ISB','5','28','71597','WHIRLPOOL','MODAL#SPIW-422DX  SALE ADVISOR GHULAM MUSTAFA PTCL CALL INVOICE HAY',null,'01-DEC-2019',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 18:08:36','2021-06-30 14:18:39',null,'1',null,'0');
INSERT INTO complaints VALUES('5945','MR ZULFIQAR AHMAD','03009559377','MASRIYAL CHOCK RWP CANTT','8','39','47638','XTREEM','MODAL#788 PTCL CALL INVOICE HAY',null,'07-APR-2021',null,'BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 18:16:47','2021-05-25 13:07:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5946','MR NISAR','03005174995 03309509595','HO#957-A/1 COB LINE QASIM ROAD OPP LEADS SCHOOL RWP CANTT','9','19','6516','SIGNATURE','PTCL CALL INVOICE HAY',null,'24-APR-2018','SBO-AR4R - 1124','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 18:25:35','2021-05-31 11:59:04',null,'1',null,'0');
INSERT INTO complaints VALUES('5947','MR FAISAL IQBAL','03218571981','HO#13 MAIN STREET IBRAHIM VILLAS MORGAH RWP','4','6','23398','ORIENT','PTCL CALL INVOICE HAY',null,'18-APR-2021','531BL - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-20 18:29:17','2021-06-17 13:30:14',null,'1',null,'0');
INSERT INTO complaints VALUES('5948','khurram','03215511255','new mohala',null,null,null,null,null,'2021-05-20',null,null,'Select Product','burning',null,'3',null,null,'customer','0',null,'74','2021-05-20 19:11:43','2021-05-20 19:13:36',null,'1',null,'0');
INSERT INTO complaints VALUES('5949','khurram','03215511255','rawalpindi','4','5','22014','BOSS','255475','2021-05-20',null,'6000ECM - 1705','AIR COOLER','burning',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-20 19:16:57','2021-05-22 14:12:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5950',null,null,null,'6',null,null,'DAWLANCE','000000',null,null,'132S-DW - 1200','MICROWAVE OVEN','HEATING PROBLE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-05-20 19:41:13','2021-06-05 15:13:03',null,'1',null,'0');
INSERT INTO complaints VALUES('5951',null,null,null,'6',null,null,'SUPER ASIA','000000',null,null,'4500ECM - 1577','AIR COOLER','KNOB MISSING',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-05-20 19:41:40','2021-06-05 15:08:44',null,'1',null,'0');
INSERT INTO complaints VALUES('5952','HAJI NOUMAN','03345416809','HO#CA/70 SAAD PUR ROAD MAIN SADIQ ST PANDORA MAIN   R.W.P','6','12','28797','LG','0',null,'31-JULY-2020','43UK6300-S - 869','FLAT PANEL TV','SCREEN LINE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-21 11:18:21','2021-05-25 17:04:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5953','MALIK RASHID MAJEED','03009599088(03451111888)','HO#380 E ST#20BEHIRA NORTH ISB','5','28','75181','LG','7920DHL-S',null,'14-MAY-2016',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-21 11:50:17','2021-05-29 16:33:43',null,'1',null,'0');
INSERT INTO complaints VALUES('5954','MR QIADAT RASHEED','03365521560','HO#27 LANE#01 BHARIA HILL VIEW NEAR SAVE MART PHASE 07','6','16','2034','ORIENT','0',null,'13-MAY-2020','531BL - 993','WATER DISPENSER','LEAKAGE  PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-21 13:10:25','2021-06-30 14:22:44',null,'1',null,'0');
INSERT INTO complaints VALUES('5955','ABDUL  HASEEB','03335557545','VILL48M1 EMAAR DHA 05','6','14','811','MITSUBISHI','0',null,'30-JAN-2021','35VA - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-21 13:13:46','2021-05-24 13:24:42',null,'1',null,'0');
INSERT INTO complaints VALUES('5956','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','ORIENT','24ORBIT',null,'0',null,'AIR CONDITIONER','INDOOR PC CARD PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-21 13:16:31','2021-06-07 16:51:31',null,'1',null,'0');
INSERT INTO complaints VALUES('5957','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','ORIENT','0',null,'0','531BL - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-21 13:18:17','2021-08-01 14:12:30',null,'1',null,'0');
INSERT INTO complaints VALUES('5958','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','HAIER','18HMFMAD',null,'0',null,'AIR CONDITIONER','PC CARD PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-21 13:22:24','2021-05-29 10:56:21',null,'1',null,'0');
INSERT INTO complaints VALUES('5959','TAUFIQ QAMAR SIDDIQUI','03335122082','HO#CB 1031/C  RANGE ROAD AZAM ST R.W.P','9','22','203331','KENWOOD','0',null,'03-JAN-2021','480VCM-BHL - 885','REFRIGERATOR','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-21 13:32:14','2021-05-24 13:21:33',null,'1',null,'0');
INSERT INTO complaints VALUES('5960','IRFAN','03327473888','HO#27-A ST#17 F/2 ISB','9','20','203863','FIVE STAR','MAX GEYSER',null,'13-JAN-2021','60L-WC - 1871','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-21 14:09:33','2021-05-29 15:29:48',null,'1',null,'0');
INSERT INTO complaints VALUES('5961','HUSSAN','03315362923','HO#B 171 BLOCK B MEDIA TOWN MAIN DOUBAL ROAD R.W.P','9','20','157294','SIGNATURE','0',null,'19-AUG-2018','SCF-HM14 - 1468','FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-21 14:28:05','2021-06-04 17:55:04',null,'1',null,'0');
INSERT INTO complaints VALUES('5962','ABDUL KHALID','03007749790','HO#922 ST#22 PHASE 4 B. TOWN','8','37','2267','HAIER','0',null,'19-APRIL-2021','622ICG - 908','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'74','2021-05-21 14:58:54','2021-05-24 13:19:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5963','MOHSIN','03165049764','HO#304 A NEAR GULSHAN MARKET  SEC G-7/3/1  ISB','9','19','205074','ECOSTAR','32U574-701',null,'06-FEB-2021',null,'FLAT PANEL TV','POWER PRB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-21 15:14:57','2021-06-30 14:41:55',null,'1',null,'0');
INSERT INTO complaints VALUES('5964','MALIK OMAR','03340789501','H 79 ST 2 AWAMI VILLAS 5 PHASE8 BAHRIA','6','15','35093','ORIENT',null,'2012-05-20',null,'18G-HYPER-SW - 915','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-21 16:55:01','2021-06-17 13:38:19',null,'1',null,'0');
INSERT INTO complaints VALUES('5965','MALIK OMAR','03340789501','H 79 ST 2 AWAMI VILLAS 5 PHASE8 BAHRIA','6',null,null,null,null,'2012-05-20',null,null,'AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-21 16:58:57','2021-05-24 14:24:00',null,'1',null,'0');
INSERT INTO complaints VALUES('5966','MALIK OMAR','03340789501','FRIEND CORPORATION BLUE AREA','6',null,null,null,null,'2012-05-20',null,null,'AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-21 17:00:53','2021-05-24 14:23:33',null,'1',null,'0');
INSERT INTO complaints VALUES('5967','KHURAM SHAHZAD','03335687229 /03005104043','H 445 ST 15 SEC C AIRPORT HOUSING SOCIETEY RWP','5','28','129567','CANON','MODEL-7819 ABU BAKAR',null,'20/2/2021',null,'BUILT IN APPLLIANCES','FLAM ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-21 17:34:21','2021-05-24 12:21:47',null,'1',null,'0');
INSERT INTO complaints VALUES('5968','TANVEER AHMED','03333349179','HO#888 LANE#05 QUBA MARKET PESHWAR ROAD R.W.P','5','28','133070','HAIER','0',null,'17-MAY-2021','438IDB - 896','REFRIGERATOR','SIDE BODY HEAT UP',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-21 17:46:42','2021-05-24 12:17:47',null,'1',null,'0');
INSERT INTO complaints VALUES('5969','ABU BAKAR (FCI)','03365122695','FRIENDS CORPORATION BULE AREA ISB','5','28','0','SIGNATURE','MODEL 595(C/O ABU BAKAR)',null,'0',null,'COOKING RANGE','QABZA DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-21 18:23:18','2021-05-25 11:45:04',null,'1',null,'0');
INSERT INTO complaints VALUES('5970','MR ZUBAIR','03345494748','SADAQAT INTERNATIONAL HOSPITAL  MATWAR ROAD KHAHUTA','9','26','207543','KENWOOD','PTCL CALL INVOICE HAY',null,'16-MAR-2021','1228S-INV - 913','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-22 11:16:38','2021-06-29 13:10:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5971','RAJA BALAWEL','03335266272','HO#09-13  ST 02 MOHALA FAROZ-PURA SEC H-1 RWP','9','24','210467','GREE','MODAL#18PITH2W',null,'05-MAY-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-22 11:33:29','2021-05-26 13:19:28',null,'1',null,'0');
INSERT INTO complaints VALUES('5972','MAJ TARIQ','03005101148','HO#194 ST 07 ASKARI 10 RWP','8','42','202564','FIVE STAR','MODAL#35G-HEAVY  SALE ADVISOR WAQAS ABBASI',null,'20-DEC-2020',null,'GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-22 11:42:10','2021-05-29 15:29:20',null,'1',null,'0');
INSERT INTO complaints VALUES('5973','MR AFZAL','03005272027','SHOP#CARDICTION MOTORS NEAR U-TURN BARRIER 02 GT ROAD WAH CANTT','9','22','204332','ORIENT','MODAL#531WD  PTCL CALL INVOICE HAY',null,'23-JAN-2021',null,'WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-22 11:54:51','2021-06-17 13:40:23',null,'1',null,'0');
INSERT INTO complaints VALUES('5974','MR ANWAR-ULLAH','03008522122','HO#83 IQBAL ROAD WESTERAGE 01 RWP','4','6','22426','ORIENT','PTCL CALL INVOICE HAY PAR CUSTOMER NAY SEND NAI KI INVOICE',null,'05-DEC-2020','CRYSTAL-RD-BLK - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-22 12:00:25','2021-06-30 14:45:36',null,'1',null,'0');
INSERT INTO complaints VALUES('5975','MR HASSAN MIRZA','03335533676','FLAT#08 BLOCK-03 PHA APPARTMENT SEC G-8/4 ISB','5','28','123273','CARAVELL','MODAL#203R  COMPLAINT AZHAR FCI SIR NAY BAJI HAY',null,'24-OCT-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-22 12:26:22','2021-07-07 12:52:06',null,'1',null,'0');
INSERT INTO complaints VALUES('5976','MR MALIK M ALI','03009827980(03332270737)','H 77-A BLOCK A SATTLAIT TOWN RWP','5','53','124265','SHARP','0',null,'21-11-2020','7100CZ-S','DRYER','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-22 15:47:20','2021-06-03 17:48:36',null,'1',null,'0');
INSERT INTO complaints VALUES('5977','SHAHID','03009558737','PLOT#40 INT CENTER JEHLUM ROAD G 8/4 ISB','5','34','128676','ORIENT','0',null,'30-JAN-2021','531OWR - 993','WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-22 16:00:52','2021-06-30 14:49:16',null,'1',null,'0');
INSERT INTO complaints VALUES('5978','MRS KASHIF','03005500775','H NO 16 ST NO 20 SEC A GATE 3 DHA 2 ISB','6','16','2901','HAIER','0',null,'19-MAY-2021','100AS-WM - 69','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-22 16:01:20','2021-05-26 15:46:32',null,'1',null,'0');
INSERT INTO complaints VALUES('5979','WAJID MEHMOOD','03365308687','THE LIFE RESIDENCIA AIRPORT ROAD RWP','9','19','211096','KENWOOD','REF TO SAQIB FCP',null,'21-MAY-2021','4844FHI','AIR CONDITIONER','GAS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-22 16:12:38','2021-05-29 16:10:51',null,'1',null,'0');
INSERT INTO complaints VALUES('5980','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','CARAVELL','REF TO IQBAL FCI',null,'0','5L-807-WD - 126','WATER DISPENSER','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-22 16:23:52','2021-05-26 11:25:57',null,'1',null,'0');
INSERT INTO complaints VALUES('5981','AMIR IQBAL','03214534333','IQBAL MEMORIAL HOSPITAL GT ROAD NAWABABAD NEAR JANJUA CNG WAAH CANT','8','37','43252','ORIENT','REF TO SAQLAIN FHS',null,'28-OCT-2020','531OWR - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-22 16:26:16','2021-05-30 14:01:39',null,'1',null,'0');
INSERT INTO complaints VALUES('5982','ABDUL MALIK','03008520344','H NO 22 SEC D  SERVICE ROAD 1 DHA 1 RWP','6','12','0','SIGNATURE','REF TO ADEEL BHR-7',null,'11-JUN-2016','CH1','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-22 16:32:46','2021-05-25 11:44:31',null,'1',null,'0');
INSERT INTO complaints VALUES('5983','MUHAMMAD RAFIQUE','03068800082','DHOK ARAZI DAQ KHANS BANTH DIST RAWALPINDI NEAR RAWAT','9','23','182111','KENWOOD','0',null,'27-NOV-2019','480VCM-BHL - 885','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-22 16:36:15','2021-05-25 12:19:45',null,'1',null,'0');
INSERT INTO complaints VALUES('5984','JAWAD EJAZ','03215553013','APP GS3 BLOCK C13 SEC G/11-3 ISB','5','30','129003','KENWOOD','0',null,'8-FEB-2021','480VCM-BHL - 885','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-22 16:36:42','2021-05-26 11:08:27',null,'1',null,'0');
INSERT INTO complaints VALUES('5985','MR ABBAS','03485585005','FARM NO 23A NEAR ARENA TOWER GULBERG GREEN ISB','7','49','21853','ORIENT','REF TO ATIF SADDAR',null,'19-SEP-2020','CRYSTAL-C-BLK - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-22 16:43:32','2021-06-03 14:08:22',null,'1',null,'0');
INSERT INTO complaints VALUES('5986','MR JAFFAR','03365567880','H NO 244 ST NO 70 SEC G/10-3 ISB','5','31','130088','HAIER','0',null,'6-MAY-2021','65K6600UG - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2021-05-22 16:55:00','2021-05-25 11:52:46',null,'1',null,'0');
INSERT INTO complaints VALUES('5987','MR SABINA','03315122298','HO#03 ST 55 SEC F-7/4 ISB','5','34','127730','SIGNATURE','MODAL#C595',null,'04-JAN-2021',null,'COOKING RANGE','PART DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-22 18:10:58','2021-05-25 11:16:45',null,'1',null,'0');
INSERT INTO complaints VALUES('5988','MR NADEEM','03005015421 03009549178','HO#1309 ST 170 SEC G-11/1 ISB','5','36','111735','SIGNATURE','HOB KI COMPLAINT HAY',null,'11-DEC-2019','3762G - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-22 18:20:29','2021-05-29 15:27:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5989','DR SOHAIL','03065005443  0512712622','HO#54 ST 18 BLOCK-C PAK PWD','6','12','30045','DAWLANCE','MODAL#1060WD-GRAY',null,'15-OCT-2020',null,'WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 12:26:49','2021-05-25 12:37:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5990','OPTIMA OFFICE','03064531609','HO#04 ST 23 OVERSEAS 01 ISB','6','12','16792','SIGNATURE','SALE ADVISOR BADAL',null,'18-OCT-2018','SBH-AA760S - 1122','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 12:38:51','2021-05-29 15:19:25',null,'1',null,'0');
INSERT INTO complaints VALUES('5991','DR AHMAD','03315958045','HO#139 ST 47 GULSHANE SEHAT BLOCK E-18 ISB','5','35','117830','DAWLANCE','SALE ADVISOR ALI KHAN',null,'18-JUN-2020','91998FP - 958','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 12:48:00','2021-06-15 14:13:26',null,'1',null,'0');
INSERT INTO complaints VALUES('5992','MR IMTIAZ','03325030259','HO#661 ST 5-C FAZAL TOWN PHASE 02 AIR PORT HOUSING RWP','8','39','41119','HAIER','SALE ADVISOR ADIL RASHEED',null,'16-JULY-2020','438EBD - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 12:56:19','2021-05-26 11:11:11',null,'1',null,'0');
INSERT INTO complaints VALUES('5993','MALIK AMEEN','03008560489','HO#07 ST 30 SEC F-7/1 ISB','5','36','99103','SIGNATURE','0',null,'10-NOV-2018','SCR-FSS3-5G - 1076','COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 13:05:25','2021-05-24 15:17:09',null,'1',null,'0');
INSERT INTO complaints VALUES('5994','MRS FARZANA','03135253111','HO#143 PESHAWER ROAD VESTERAGE 01 NEAR CHOUR CHOCK RWP','8','38','23620','LG','PTCL CALL INVOICE HAY',null,'26-JULY-2017','7507TEFVS - 899','WASHING MACHINE','NOT WORKING',null,'5','complaint closed',null,'customer','0',null,'92','2021-05-24 13:14:54','2021-05-31 18:10:55',null,'1',null,'0');
INSERT INTO complaints VALUES('5995','MR SAJJAD','03018206070','HO#7/8 CIRCULAR ROAD SEC-E PHASE 02','9','19','187701','KENWOOD','0',null,'02-MAR-2020','2435S-INV - 917','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 13:21:00','2021-07-14 12:03:28',null,'1',null,'0');
INSERT INTO complaints VALUES('5996','MR MUNIR','03495473639','FLAT#16 BLOCK A ZARAJH HOUSING DHA 02 ISB','6','16','29496','HAIER','0',null,'10-SEP-2020','80-000S - 69','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 13:25:58','2021-05-26 11:13:28',null,'1',null,'0');
INSERT INTO complaints VALUES('5997','MALIK AMEEN','03008560489','HO#07 ST 30 SEC F-7/1 ISB','5','36','99103','SIGNATURE','0',null,'10-NOV-2018','SCR-FSS3-5G - 1076','COOKING RANGE','NOB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 13:39:02','2021-08-11 12:55:40',null,'1',null,'0');
INSERT INTO complaints VALUES('5998','MR ALI','03315224485','HO#364-A ST 33 SEC F-11/2 ISB','5','30','107942','LG','0',null,'29-JULY-2019','2J3QDNP0-S - 1483','WASHING MACHINE','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 13:45:51','2021-05-29 15:07:07',null,'1',null,'0');
INSERT INTO complaints VALUES('5999','BRIG ARSHAD','03215202196','HO#87 SEC-D ST 01 DHA 02 ISB','6','12','35127','LG','COMPLAINT ADEEL BAHRIA SIR NAY BAJI HAY',null,'17-MAY-2021','257CSAV-S - 909','REFRIGERATOR','TIMING ISSUE',null,'5','complaint closed',null,'customer','0',null,'92','2021-05-24 13:54:18','2021-05-31 17:26:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6000','MRS OMER','03205555977','HO#12 ST 08 SEC D DHA 01','6','16','26877','SIGNATURE','0',null,'23-APR-2020','SCF-HM09 - 954','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 14:05:58','2021-06-01 14:39:31',null,'1',null,'0');
INSERT INTO complaints VALUES('6001','MR MUKHTAR','03135304721','HO#327 ST 12 FALSON COMPLEX RWP','8','42','46835','LG','0',null,'06-MAR-2021','512FPS-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 14:11:37','2021-05-25 18:20:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6002','MR MUSHABIR','03018687228','HO#267 ST 34 CDA PARK ENCLAVE ISB','5','33','124894','SIGNATURE','HOB KI COMPLAINT HAY',null,'01-DEC-2020','HC-3766G - 1122','BUILT IN APPLLIANCES','GAS ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 14:17:38','2021-05-29 15:06:39',null,'1',null,'0');
INSERT INTO complaints VALUES('6003','MR ABDUL MALIK','03008520344','HO#22 SERVICE ROAD SEC-D DHA 01','6','12','0','SIGNATURE','INVOICE NAI HAY ON PAYMENT JOB',null,'03-YEAR AGO',null,'AIR COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 14:24:12','2021-05-25 18:10:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6004','MISS SADIA','03044441661','HO#74 BLOCK-B ST 02 CBR TOWN PHASE 01','9','19','0','SIGNATURE','WATER COOLER KI COMPLAINT HAY ON PAYMENT JOB INVOICE NAI HAY',null,'04-YEAR-AGO',null,'AIR COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 14:33:20','2021-06-03 12:27:32',null,'1',null,'0');
INSERT INTO complaints VALUES('6005','MR ABDUL RASHEED','03005541317','HO#914 ST 18 SEC 06 BAHRIA TOWN PHASE 08 RWP','4','10','28204','SIGNATURE','HOOD KI COMPLAINT HAY',null,'06-JULY-2020','SBC-ADELAIDE-90 - 1123','BUILT IN APPLLIANCES','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 14:38:16','2021-05-25 14:22:22',null,'1',null,'0');
INSERT INTO complaints VALUES('6006','MR SHAH NASIR','03455000772','HO#06 ST 8-C1 BAHRIA ENCLAVE ISB','8','39','36709','SIGNATURE','HOB KI COMPLAINT HAY PTCL CALL INVOICE HAY',null,'15-SEP-2019','SBC-PERTH90 - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 14:44:00','2021-06-03 12:26:05',null,'1',null,'0');
INSERT INTO complaints VALUES('6007','MR HARIS','03405117714','HO#94/A ST 81/A WAPDA COLONY G-7/4 ISB','5','35','119081','GREE','YE COMPLAINT HARIS SIR K GHAR KI HAY',null,'13-JULY-2020','8890EG-CR2 - 2116','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 14:50:54','2021-06-06 16:15:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6008','MR HAMID','03009745458','HO#475-D ST 21 PHASE 05 BAHRIA TOWN RWP','4','11','21189','HAIER','MODAL#306R SALE ADVISOR ALI MURTAZA',null,'19-MAY-2021',null,'WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 15:25:31','2021-05-26 11:14:54',null,'1',null,'0');
INSERT INTO complaints VALUES('6009','MR NOMAN','03213055042','KOHSAR COMPLEX CONSTITUTIONS AVENUE F-5/2 ISB','5','28','122754','TCL','S/N PK1912VLR300999A00001',null,'10-OCT-2020','75P8M - 881','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 15:53:43','2021-05-27 11:40:19',null,'1',null,'0');
INSERT INTO complaints VALUES('6010','MR ASAD','03335588414','HO#175 NEZAM BANK  SADIQUE ROAD RWP','9','51','192909','GREE','0',null,'16-JULY-2020','9978EG-CB2 - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 16:07:41','2021-05-27 11:14:34',null,'1',null,'0');
INSERT INTO complaints VALUES('6011','MR REHMAN','03345461599','ALKAREEM HAIDER PALAZA MAN GULZARAY KHAID RWP','9','51','210279','ECOSTAR','MODAL#32U870',null,'03-MAY-2021',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 16:15:51','2021-06-30 15:03:43',null,'1',null,'0');
INSERT INTO complaints VALUES('6012','SYED SALMAN','03334535913','HO#365 ST 11 SEC-A ASKARI 14','4','5','18333','SAMSUNG','MODAL#55Q70T MRM  S/N 0C3G36PHA00011N',null,'06-DEC-2020',null,'FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 16:33:51','2021-05-26 12:08:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6013','NABEEL MALIK','03455007443','OFFICE NO 7 1ST FLOOR RAS ARCADE KHYBER MARKET ST NO 124 SEC G/13-4 ISB','5','36','132026','ORIENT','0','2022-02-01',null,'12G-ORBIT - 913','AIR CONDITIONER','ERROR E1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-24 16:35:26','2021-06-17 13:47:27',null,'1',null,'0');
INSERT INTO complaints VALUES('6014','ALI RAZA','03124447615','H NO 1633 ST NO 86 SEC I/10-1 ISB','9','20','205318','CORONA','ref TO PTCL',null,'9FEB-2021','125C-AUTO - 1074','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-24 16:42:09','2021-06-30 15:07:58',null,'1',null,'0');
INSERT INTO complaints VALUES('6015','MR NAEEM','03469555171 03445230051','SAPARA ROAD NEAR PUBLIC SCHOOL AND COLLEGE SKARDU','8','40','120086','SHARP','PTCL CALL INVOICE HAY',null,'28-JULY-2020','814CX-S - 899','WASHING MACHINE','PCB ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 16:53:13','2021-08-02 12:59:32',null,'1',null,'0');
INSERT INTO complaints VALUES('6016','MR WASEEM AKHTER','03015149767   03334241198','HO#28 LANE 15 SEC-D DHA PHASE 02 ISB','4','5','11264','SIGNATURE','PTCL CALL INVOICE HAY',null,'03-NOV-2019','SWM-JD50C - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','4400','73','2021-05-24 16:53:25','2021-05-25 11:16:05',null,'1',null,'0');
INSERT INTO complaints VALUES('6017','MR AZMAT','03345651566','PAF FINISHING SCHOOL PAF COMPLEX SEC E9 ISB','5','29','124164','HAIER','REF TO ABUBAKAR',null,'19-NOV-2020','12LTC - 912','AIR CONDITIONER','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-24 16:56:54','2021-06-06 18:02:29',null,'1',null,'0');
INSERT INTO complaints VALUES('6018','MR SAJID','03105046051','MONAL ROAD 1-KM ZOO WILD MILD DABHA SHAKARPAREYAN ISB','5','34',null,'CARAVELL','0',null,'19-JULY-2019','600MEC - 1652','CHILLER','RABAR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 17:02:40','2021-06-30 15:09:57',null,'1',null,'0');
INSERT INTO complaints VALUES('6019','MR NADEEM','03005156145','HAZARA COLONY RAJA BAZAR THANA GUNG BHANDI DHOK RATTA NEAR HAJI ROAD RWP','9','23','158252','HAIER','0',null,'10-SEP-2018','398EBS - 884','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 17:08:31','2021-06-30 15:11:35',null,'1',null,'0');
INSERT INTO complaints VALUES('6020','IRFAN WNDER','03327759990, 03125109950','H NO 111 DAFERDILL ROAD PHASSE 2S BAHRIA TOWN RWP','7','49','21791','HAIER','REF TO ATIF SADDAR',null,'9-SEP-2020','18HFCD','AIR CONDITIONER','EROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-24 17:09:45','2021-06-22 11:02:54',null,'1',null,'0');
INSERT INTO complaints VALUES('6021','MR KAMRAN','03218500041','HO#06 ST 171 SEC G-13/3 ISB','8','37','47932','HAIER','MODAL#43D6',null,'21-APR-2021',null,'FLAT PANEL TV','SCREEN DOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 17:12:13','2021-05-26 11:22:24',null,'1',null,'0');
INSERT INTO complaints VALUES('6022','ZEESHAN MISBAH','03455055650','H NO 1321 ST NO 4D B.TOWN EXT 1 RWP','8','42','14692','TCL','2002VLR301066A00060',null,'19-JUN-2020','55P8M - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSE',null,'customer','0',null,'73','2021-05-24 17:15:16','2021-06-05 16:50:57',null,'1',null,'0');
INSERT INTO complaints VALUES('6023','SAAD SAB','03225008438','HO#103 ST#01 SOUTH ALI TOWN ADYALA ROAD R.W.P','9','27','210824','CORONA','0',null,'18-MAY-2021','351C - 1533','COOKING RANGE','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-24 17:15:23','2021-06-30 15:15:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6024','MR FAYYAZ','03472226482','HO#195B2 AFSHAN COLONY SADAR','7','49','21887','DAWLANCE','ATIF SADAR SIR NAY COMPLAINT BAJI HAY',null,'25-SEP-2020','91996MM - 83','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 17:17:51','2021-05-26 16:58:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6025','MR RAHEEL','03334564072','HO#526-C SEC B ASKARI 14 RWP','9','24','201477','DAWLANCE','MODAL#9178LFHROME',null,'06-DEC-2020',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 17:21:22','2021-05-26 11:44:22',null,'1',null,'0');
INSERT INTO complaints VALUES('6026','MR JIDRAN','03369257954','HO#201 ST 46 F-11/3 ISB','5','29','91074','HAIER','0',null,'23-JAN-2018','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 17:23:57','2021-06-22 11:08:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6027','CH SHAHID','03008545747','H NO 5 ST NO 32 SEC F/7-1 ISB','8','42','37546','MITSUBISHI','0',null,'12-NOV-2019','50VA - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-24 17:24:17','2021-05-26 15:09:55',null,'1',null,'0');
INSERT INTO complaints VALUES('6028','COL SALMAN','03345119818','H NO 156 ST NO 3 ASKARI 11 QASIM MARKET RWP','9','24','203760','HAIER','0',null,'12-JAN-2021','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-24 17:27:26','2021-05-26 11:24:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6029','MR SIDDIQUE','03185200132','HO#171 ST 03 AWAMI VILLAS 02 BAHRIA TOWN PHASE 08','8','37','43134','SAMSUNG','S/N 0G1957G11200135L  PTCL CALL INVOICE HAY',null,'21-OCT-2020','70H4000-SZ - 1548','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 17:28:11','2021-05-25 14:57:37',null,'1',null,'0');
INSERT INTO complaints VALUES('6030','MR ALEEM ARSHAD','03335545515','ST 5-A GHORI TOWN PHASE 01','8','40','42299','HAIER','0',null,'07-SEP-2020','368EBS - 860','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 17:31:17','2021-05-26 11:29:36',null,'1',null,'0');
INSERT INTO complaints VALUES('6031','MR KHURSHEED','03139888117','BARA KAHO NEW ABADI NEAR GOSIYA MASJID ISB','5','29','130928','HAIER','0',null,'2--MAR-2021','246EPC - 858','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-24 17:31:28','2021-06-03 16:12:14',null,'1',null,'0');
INSERT INTO complaints VALUES('6032','MUHAMMAD ALI','03455064555','FORIEGN OFFICE LOADGE SEC G5 ISB','8','38','46302','WELCOME','MAX RANGE',null,'11-FEB-2021','786MC','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-24 17:34:40','2021-05-31 11:56:14',null,'1',null,'0');
INSERT INTO complaints VALUES('6033','RIZWAN','03455881352(03325809974)','HO#643 ST#14 CHATTA MARKET ALI TOW ADYALA ROAD R.W.P','9','22','206519','KENWOOD','24457GD-MRG',null,'28-FEB-2021',null,'REFRIGERATOR','DOOR KA PROB & COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-24 17:39:17','2021-05-27 14:04:28',null,'1',null,'0');
INSERT INTO complaints VALUES('6034','MR AMIR','03345285020','HO#O/494 MUHALLA FEROZAPURA ST 16/17 OPP NAZ GOLD POINT RWP','9','20','202295','ORIENT','0',null,'15-DEC-2020','355GRAND-HGD - 884','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 17:40:28','2021-06-30 15:17:26',null,'1',null,'0');
INSERT INTO complaints VALUES('6035','MR ARSLAN','03324378440','ST NO 5 FAROOQ-E-AZAM ROAD SHAMSABAD RWP','9','24','189896','GREE','0',null,'4-JUN-2020','18CITH12G - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-24 17:53:12','2021-05-26 16:55:31',null,'1',null,'0');
INSERT INTO complaints VALUES('6036','HASSAN MEHMOOD','03235066826','HO#378 ST#103 I 8/4 ISB','8','38','48604','ORIENT','MODEL(55S ACTION -942)',null,'09-MAY-2021',null,'FLAT PANEL TV','NET FLEX PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-24 17:58:48','2021-06-30 15:21:17',null,'1',null,'0');
INSERT INTO complaints VALUES('6037','MR LATIF','03069235600','H NO 72 LANE NO 3 DCI COLONY  SEC E10 ISB','5','28','0','FIVE STAR','MANUAL INVOICE REF TO COSTUMER',null,'4-MONTH BACK','5500C-FS - 1965','COOKING RANGE','DOOR PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2021-05-24 17:58:56','2021-05-29 11:21:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6038','MR SHARJEEL','03455552291','PROCUREMENT OFFICE FEDERAL BOARD H 8 ISB','8','38','47342','ORIENT','0',null,'28-MAY-2021','529BL - 128','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-24 18:03:42','2021-05-26 10:47:52',null,'1',null,'0');
INSERT INTO complaints VALUES('6039','MR MIRZA','03175912059','H NO 47 ST NO 37 SEC C PHASE 8 B.TOWN RWP','4','10','19259','HAIER','0',null,'20-1-21','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-24 18:05:56','2021-05-25 15:12:12',null,'1',null,'0');
INSERT INTO complaints VALUES('6040','TARIQ JAVED','03461755054 03337041389','MAHRA ABADI SEC F-11/1 SERVICE ROAD ISB','5','31','128014','ORIENT','MOADL#470FLARE-RG',null,'12-JAN-2021',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 18:07:49','2021-07-18 16:16:54',null,'1',null,'0');
INSERT INTO complaints VALUES('6041','ADNAN MAQBAL','03435531281(03481523844)','ST#01 MAHRABAN TOWN TARLAHI ISB','8','38','44744','HOMAGE','0','2021-05-24',null,'1020S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-24 18:24:54','2021-05-27 14:27:56',null,'1',null,'0');
INSERT INTO complaints VALUES('6042','MR SHAHID','03335363219 03335133483','HO#383 NEAR AMMAR CHOCK CHAKLALA SCHEEM 03 RWP','6','15','34622','SAMSUNG','MODAL#55TU7000',null,'26-APR-2021',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 18:26:44','2021-06-28 15:46:29',null,'1',null,'0');
INSERT INTO complaints VALUES('6043','MR TALHA','03000488884','HO#30/S MAQSOOD HUSSAIN STREET VIEW COLONY MISRIAL ROAD RWP CANTT','9','22','208142','SIGNATURE','ELECTRIC#GAS OVEN KI COMPLAINT HAY',null,'28-MAR-2021','SBO-AR4R - 1124','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-05-24 18:31:37','2021-06-04 17:54:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6044','ZOHAIB MOAZAM','03005328304','H NO 843/J-1  BLOCK F  HOLYFAMILY ROAD RWP','9','20','67729','CARAVELL','0',null,'29-MAY-2012','400-21 - 6','CHILLER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-24 18:36:02','2021-05-25 14:59:39',null,'1',null,'0');
INSERT INTO complaints VALUES('6045','MR IRFAN','03355020018','HO#03 ST 09 BLOCK-F NAVEL ENCHORAGE ISB','8','40','47120','BOSCH','0',null,'16-MAR-2021','135D0GC - 907','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-24 18:38:33','2021-05-25 14:20:56',null,'1',null,'0');
INSERT INTO complaints VALUES('6046','SYED M TALHA','03445289998','HO#141 ST#06 BLOCK B MEDIA TOWN  R.W.P','8','38','11072','HAIER','0',null,'21-OCT-2017','18HNB-INV - 915','AIR CONDITIONER','FLAPPER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-24 18:40:06','2021-05-26 10:44:54',null,'1',null,'0');
INSERT INTO complaints VALUES('6047','UMAIR','03425410424','HO#08 ST#39 G-6/1-3 ISB','5','33','123286','SONY','0',null,'24-OCT-2020','RT3 - 1410','SOUND SYSTEMS','RECEIVER NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-24 19:02:48','2021-05-26 17:59:46',null,'1',null,'0');
INSERT INTO complaints VALUES('6048','FAIZAN HASSAN','03004327598','H NO 13 ST NO 16 RIVER GARDEN ISB','4','11','17711','SIGNATURE','0',null,'2-DEC-2020','AR2 - 1124','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 10:58:21','2021-06-03 17:48:03',null,'1',null,'0');
INSERT INTO complaints VALUES('6049','BILAL GILLANI','03025676613  03045577216','H NO 517A ST NO 7 SEC A PHASE 8 B.TOWN RWP','6','12','6074','LG','SALE ADVISOR MANZAR YASIN',null,'05-DEC-2016','1452S - 34','DISH WASHER','NOT WORKING',null,'8',null,null,'customer','1','5373','73','2021-05-25 11:00:29','2021-08-21 13:17:13',null,'1',null,'0');
INSERT INTO complaints VALUES('6050','JUNAID','03329882338, 03329537376','MANZOOR PLAZA NEAR TABAK RESTAURANT BLUE AREA ISB','5','28','125038','ORIENT','REF TO IQBAL FCI',null,'2-DEC-2020','529BL - 128','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 11:08:48','2021-06-30 15:42:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6051','MR SABINA','03315122298','HO#03 ST 55 SEC F-7/4 ISB','5','34','127730','SIGNATURE','MODAL#C595',null,'04-JAN-2021',null,'COOKING RANGE','HINGES DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-25 11:08:52','2021-06-30 15:44:55',null,'1',null,'0');
INSERT INTO complaints VALUES('6052','QAZI KAMRAN','03005922443','SHOP NO 1 KARSAZ PLAZA 2 SEC E/11-2 ISB','5','36','133364','HAIER','0',null,'21-MAY-2021','18HFMAE','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 11:14:43','2021-05-27 13:03:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6053','NAUMAN','03029222282','H NO 21 ST NO 28 SEC F/10-1 ISB','5','36','130943','DAWLANCE','0',null,'20-MAR-2021','45ELEGANCE-INV','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 11:17:54','2021-06-03 12:23:26',null,'1',null,'0');
INSERT INTO complaints VALUES('6054','KAMRAN PWD','03219507474','FREINDS PWD BRANCH','4','5','0','KENWOOD','REF TO KAMRAN BHR-7',null,'0','1214HC-INVERTER - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 11:20:03','2021-07-18 13:49:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6055','CH IMRAN','03065050684','RIVER STAR BLOCK NO 29A CIVIC CENTRE PHASE 4 B.TOWN RWP','6','12','19764','HAIER','REF TO KAMRAN BHR-7',null,'24-FEB-2021','12HFAA-B INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 11:23:58','2021-05-27 12:26:58',null,'1',null,'0');
INSERT INTO complaints VALUES('6056','ABDUL QADIR','03335385564','H NO 259 ST NO 11 PHASE 5 B.TOWN RWP','4','5','20766','ORIENT','REF TO KAMRAN BHR-7',null,'28-APR-2021','18G-HYPER-SW - 915','AIR CONDITIONER','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 11:27:55','2021-06-17 13:49:36',null,'1',null,'0');
INSERT INTO complaints VALUES('6057','ABU BAKAR (FCI)','03365122695','FRIENDS CORPORATION BULE AREA ISB','5','28','0','SIGNATURE','MODEL 595(C/O ABU BAKAR)',null,'0',null,'COOKING RANGE','HINGES DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-25 11:28:08','2021-06-30 15:48:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6058','IMRAN','03350050411','H NO 351B ST NO 40 UMAR BLOCK PHASE 8 B.TOWN RWP','4','6','34024','CARAVELL','CANON DISPENCER',null,'30-MAR-2021','1102 - 126','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 11:33:37','2021-06-23 16:38:14',null,'1',null,'0');
INSERT INTO complaints VALUES('6059','MR UMAIR','03455902223','H NO 75/1 ST NO 23A AIRPORT SOCIETY SEC 1 RWP','8','39','48979','HAIER','0',null,'23-MAY-2021','306IDBA','REFRIGERATOR','DISPLAY PROBLEM',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'73','2021-05-25 11:38:45','2021-05-27 12:29:38',null,'1',null,'0');
INSERT INTO complaints VALUES('6060','PETROLEUM EXPLORATION','03337204666','MAIN MARGALLA ROAD H-20 SEC F/8-3 ISB','8','47','24170','HAIER','0',null,'22-JAN-2021','24HFCD','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 11:43:10','2021-05-27 13:04:21',null,'1',null,'0');
INSERT INTO complaints VALUES('6061','PETROLEUM EXPLORATION','03315579931','H NO 20 MAIN MARGALLA ROAD SEC F/8-3 ISB','8','47','25180','HAIER','0',null,'6-MAY-2021','18HFCN','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 11:55:33','2021-05-27 12:36:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6062','MUHAMMAD IQBAL','03345451570','H NO 5 ST NO 8 BLOCK H SOAN GARDEN','9','23','165795','LG','0',null,'9-FEB-2019','4J6TNP8S-S - 899','WASHING MACHINE','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 11:59:38','2021-06-05 12:34:54',null,'1',null,'0');
INSERT INTO complaints VALUES('6063','CAP IRSHAD','03205593171','H NO 231 LANE 10 NEAR 502 W.SHOP ASKARI 13 RWP','9','19','115830','ORIENT','0',null,'24-MAY-2016','19MF22AG - 914','AIR CONDITIONER','COMPRESSOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 12:05:01','2021-06-17 13:05:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6064','MR TAYYAB','03154505555','H NO 220/A BROAD WAY STREET GREEN AVENUE PARK ROAD ISB','9','24','210894','DAWLANCE','2PC',null,'18-MAY-2021','1051WD-SIL','WATER DISPENSER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 12:12:55','2021-05-29 13:17:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6065','RAJA SHUJAAT','03355506367','HO#300 ST 56 SEC F-11/4 ISB','8','42','44554','SAMSUNG','MODAL#75TU7000',null,'05-DEC-2020',null,'FLAT PANEL TV','NOT WORKING',null,'7',null,null,'customer','0',null,'74','2021-05-25 12:13:35','2021-07-27 11:57:22',null,'1',null,'0');
INSERT INTO complaints VALUES('6066','MR USAMA','03223000684','H NO 120 ST NO 84 JEHLUM ROAD SEC G/8-1 ISB','9','24','210154','KENWOOD','0',null,'2-MAY-2021','1228S-INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 12:18:06','2021-05-29 13:50:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6067','WAQAS FCP','03215151945','FRIENDS GULNNOR RWP','9','24','0','FIVE STAR','MAX RANGE',null,'0','500C-FS - 1073','COOKING RANGE','NOB PROBLEM',null,'5','COMPLAINT COMPLETED',null,'customer','0',null,'73','2021-05-25 12:21:31','2021-05-31 11:55:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6068','IQBAL FCI','03465166132','FRIENDS BLUE AREA ISB','5','28','0','ORIENT','REF TO IQBAL FCI',null,'0','FLARE 3','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 12:27:46','2021-06-30 15:52:32',null,'1',null,'0');
INSERT INTO complaints VALUES('6069','IQBAL FCI','03465166132','FRIENDS BLUE AREA ISB','5','28','0','SONY','0',null,'0','43W660F-C - 869','FLAT PANEL TV','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 12:29:26','2021-06-28 12:24:21',null,'1',null,'0');
INSERT INTO complaints VALUES('6070','MR KHALID','03335163353','H NO 616ST NO 26 ZAMAN ROAD SEC I/14-1 ISB','8','38','44300','ORIENT','0',null,'5-DEC-2020','AUTO8 - 899','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 12:33:23','2021-06-17 13:09:12',null,'1',null,'0');
INSERT INTO complaints VALUES('6071','SHK UMER','03219559599','H NO 9 ST NO 11 SEC A DHA RWP','6','12','15755','SIGNATURE','REF TO ADEEL BHR-7',null,'5-AUG-2018','SRF-KK95S - 903','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 12:36:27','2021-05-29 13:30:49',null,'1',null,'0');
INSERT INTO complaints VALUES('6072','NADEEM ZUBAIRI','03005015421','H NO 1309 ST NO 170 SEC G/11-1 ISB','5','28','0','SIGNATURE','ON PAYMENT(REF TO PTCL)',null,'2019','HOB','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2021-05-25 12:41:43','2021-05-29 11:09:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6073','AKBAR AZAM','03335640663 , 03325071474','CHIP HOUSE SEC G/-8-2 ISB','5','28','122459','GABA NATIONAL','REF TO PTCL',null,'1-OCT-2020','187GD - 1980','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 12:57:29','2021-06-03 10:41:28',null,'1',null,'0');
INSERT INTO complaints VALUES('6074','WAQAR AHMED','03335696608','MALL OF B17 COMMERCIAL PLOT NO 3 EJAZHMED KHAN AVENUE BLOCK B SEC B/17','5','29','133225','DAWLANCE','0',null,'19-MAY-2021','45GALLANT','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 13:02:17','2021-05-27 14:52:38',null,'1',null,'0');
INSERT INTO complaints VALUES('6075','SYED ASHRAF','03315113066','FLAT#15 MARGALLA HILLS SEC E/11-1 ISB','6','13','31094','ORIENT','0',null,'9-DEC-2018','CRYSTAL-C-BLK - 993','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 13:04:00','2021-06-30 15:54:48',null,'1',null,'0');
INSERT INTO complaints VALUES('6076','MR ZULFIQAR AHMAD','03009559377','MASRIYAL CHOCK RWP CANTT','8','39','47638','XTREEM','MODAL#788 PTCL CALL INVOICE HAY',null,'07-APR-2021',null,'BUILT IN APPLLIANCES','MOTOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-25 13:04:40','2021-06-03 12:22:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6077','BRIG MEHMOOD','03215014099','H NO 24 ST NO 10 SEC C DHA 2 ISB','9','20','149159','SIGNATURE','0',null,'25-MAR-2018','SBH-AB750S - 1122','BUILT IN APPLLIANCES','NOB PROBLEM',null,'5','COM,PLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 13:11:59','2021-05-29 13:30:16',null,'1',null,'0');
INSERT INTO complaints VALUES('6078','HASSAN ZAIDI','03445111172','H NO 6 RIVER STREET NORTH BANNI GALA ISB','5','33','0','DAWLANCE','0',null,'17-8-2020','15ELEGANCE','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 13:18:13','2021-06-06 17:51:48',null,'1',null,'0');
INSERT INTO complaints VALUES('6079','MUHAMMAD KHALIL','03328525496','LOSAR SHARFOO NEAR ADNAN KARIAN KASHMIRI MARKET WAAH CANTT','9','26','186224','LG','0',null,'29-JAN-2020','257SLLV-S - 909','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 13:25:01','2021-06-12 14:47:49',null,'1',null,'0');
INSERT INTO complaints VALUES('6080','AHMAD','03335134703','H NO 10H BLOCK H YASMEEN ROAD SOAN GARDEN ISB','4','11','20848','ORIENT','0',null,'30-APR-2021','18G-HYPER-SW - 915','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 13:34:46','2021-06-17 13:13:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6081','KHURRAM SHAHZAD','03015250840 , 03005143594 ,03444443652','CHAUDHARY HOUSE MUHALLAH USMANIABAD NEAR TELEPHONE EXCHANGE TALAGANG','9','19','0','LG','REF TO TAHIR BEST COOL',null,'OUT WARRANTY','LG MACHINE','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 13:41:11','2021-06-28 12:20:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6082','HAJI LIAQAT ALI','03335227931','GIRJA VILLAGE DHOK SYEDAN RWP','9','27','191044','ORIENT','0',null,'22-JUN-2020','18G-HYPER-SW - 915','AIR CONDITIONER','FILTER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 13:47:12','2021-06-17 13:15:55',null,'1',null,'0');
INSERT INTO complaints VALUES('6083','SOHAIL SALEEM','03476310062','JAMIA AMASJID ROAD IMAM BARGAH CHOWK ST NO 1 NEAR IQRA BAKERY H NO 170','9','24','22-MAR-2021','HAIER','0',null,'22-MAR-2021','631DGG - 1122','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 14:01:32','2021-06-05 12:38:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6084','TAIMOOR','03185133088','H NO 9 SEC C MAIN IQBAL ROAD DHA 2 ISB','6','12','30824','BOSCH','0',null,'29-NOV-2020','24260GC - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 14:07:45','2021-06-30 15:57:37',null,'1',null,'0');
INSERT INTO complaints VALUES('6085','MR ROMAN','03415767096','H NO 30BLOCK 2A JINNAH CAMP PARK  ROAD NEAR COMSATS UNIVERSITY','5','35','124617','BOSCH','0',null,'28-NOV-2020','24260GC','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 14:10:10','2021-06-30 16:00:06',null,'1',null,'0');
INSERT INTO complaints VALUES('6086','MR NADEEM','03008560260','H NO 170 ST NO 18 SEC F/10-2ISB','5','35','121337','ORIENT','0',null,'28-AUG-2020','62D - 1602','MICROWAVE OVEN','TIMER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 14:20:21','2021-06-30 16:04:27',null,'1',null,'0');
INSERT INTO complaints VALUES('6087','PIRZADA AMIR','03335258025','H NO 187 ST NO 8SEC 3 AIRPORT HOUSING SOCIETY RWP','8','38','49035','LG','0',null,'24-MAY-2021','257CSAV-S - 909','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 14:23:42','2021-06-28 12:16:24',null,'1',null,'0');
INSERT INTO complaints VALUES('6088','MR SAFEER','03308555724','H NO 514 ST NO 67 SEC I/8-3 ISB','5','36','125073','LG','0',null,'2-DEC-2020','1788NEHTE-C','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 14:28:06','2021-05-27 16:48:16',null,'1',null,'0');
INSERT INTO complaints VALUES('6089','BILAL','03335000704','H NO 1034 ST NO 26 PHAE 4 B.TOWN RWP','8','37','21003','SUPER ASIA','REF TO NAFEES FHHS',null,'6-MAY-2021','245SA - 522','WASHING MACHINE','TIMER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 14:32:19','2021-05-29 14:56:06',null,'1',null,'0');
INSERT INTO complaints VALUES('6090','MR SUFIYAN','03155220060','HO#243 ST 100 SEC I-8/4 ISB','8','38','47769','HAIER','0',null,'12-APR-2021','285SD - 956','FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-25 14:36:49','2021-06-06 13:21:28',null,'1',null,'0');
INSERT INTO complaints VALUES('6091','zakir sb','03345539227','H NO 503 STNO 71 SEC 2 GULSHANABAD ADYALA ROAD RWP','9','24','0','HAIER','0',null,'31-DEC-2020','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 15:11:11','2021-05-27 12:43:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6092','MR SAAD','03012822378','H NO 21 ST NO 62 SEC G/13-2 ISB','8','42','41892','ORIENT','0',null,'16-AUG-2020','AUTO8 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 15:16:41','2021-06-17 13:43:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6093','HAJI NOUMAN','03345416809','HO#CA/70 SAAD PUR ROAD MAIN SADIQ ST PINDORA  MAIN R.W.P','6','12','28797','LG','0',null,'31-JULY-2020','43UK6300-S - 869','FLAT PANEL TV','SCREEN LINE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-25 15:21:03','2021-06-03 17:38:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6094','MR RAHEEL','03355003692','H NO 28 STNO 4 SEC C DHA 1 RWP','8','39','19738','SAMSUNG','0',null,'18-DEC-2016','11J5710GT - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 15:23:39','2021-05-27 15:47:07',null,'1',null,'0');
INSERT INTO complaints VALUES('6095','AHMED HASSAN','03018297999','H NO 9LANE NO 9 SEC H DHA 2ISB','9','26','197441','HAIER','0',null,'11-OCT-2020','245SD - 955','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 15:42:54','2021-07-18 15:10:49',null,'1',null,'0');
INSERT INTO complaints VALUES('6096','ADEEL','03318501555','H NO 6 ST NO 15 FIZAIA COLONY ISB','9','19','158206','SIGNATURE','REF TO PTCL',null,'9-SEP-2018','SCF-HM14 - 1468','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 15:52:05','2021-06-05 15:07:25',null,'1',null,'0');
INSERT INTO complaints VALUES('6097','ATIF','03455662238','FRIENDS MALL ROAD SADDAR RWP','7','49','0','ORIENT','0',null,'0','12G-HYPER-SW - 913','AIR CONDITIONER','GAS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 15:56:43','2021-06-17 13:51:25',null,'1',null,'0');
INSERT INTO complaints VALUES('6098','AMJAD SB','03455553055','H NO 8 ST NO 15 SEC C DHA 1RWP','8','37','44977','SONY','0',null,'9-DEC-2020','85X8500H-CC','FLAT PANEL TV','WIFI PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 16:15:18','2021-06-01 13:22:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6099','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','DAWLANCE','MODAL#9191WB-CHROME',null,'0',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-25 16:37:44','2021-08-01 14:11:55',null,'1',null,'0');
INSERT INTO complaints VALUES('6100','M HUSSAIN','03332622222','FLATT#07 RED SQUIRE  3RD FLOOR  E-11/ 2 ISB','5','28','142822','HAIER','FF TO ABU BAKAR',null,'18-MAY-2021','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-25 16:40:40','2021-05-27 13:05:37',null,'1',null,'0');
INSERT INTO complaints VALUES('6101','MAROON ANJUM','03002599935 , 03465241117','OFFICE NO 1 REHMAN PLAZA IDREES MARKET 1 SECI/10-2 ISB','5','31','121011','HAIER','0',null,'19-AUG-2020','12HFCE-W-INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 17:00:16','2021-06-09 16:15:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6102','MR IMRAN','03005189894','H NO 66 LANE NO 2 ZAFAR AKBAR ROAD NEAR PSO PUMP LALAZAR  RWP','7','49','20656','GREE','0',null,'3-FEB-2020','18CITH12G - 915','AIR CONDITIONER','COMPRESSOR PROBLEM',null,'5','COMPLAINT CLOSE',null,'customer','0',null,'73','2021-05-25 17:04:56','2021-06-05 16:32:21',null,'1',null,'0');
INSERT INTO complaints VALUES('6103','IQBAL FCI','03465166132','FRIENDS BLUE AREA ISB','5','28','0','CHANGHONG','PEL DISPENCER',null,'0','115CURVED','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 17:14:34','2021-06-30 16:08:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6104','ASLAM  SAB(STOCK )','0300 8557478','PLOT#81 ST#06 I 10/3 ISB','10','52','0','LG','MODAL#65NANO86 BADAL FCI SIR UNIT CHANDNE CHOCK S/C UNIT MOVE KARWA RAHY HAY',null,'0',null,'FLAT PANEL TV','DISPLAY ISSUE',null,'4',null,null,'customer','0',null,'74','2021-05-25 17:19:09','2021-05-25 17:19:35',null,'1',null,'0');
INSERT INTO complaints VALUES('6105','ATTIQ SB','03350845904','H NO 2963 ST NO 42 ALLAMA IBAL COLONY RWP','9','20','190527','SIGNATURE','0',null,'15-JUN-2020','SBC-ADELAIDE-90 - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 17:19:09','2021-05-29 13:29:17',null,'1',null,'0');
INSERT INTO complaints VALUES('6106','NAEEM SB','0518445463','PLOT NO 81F ST NO 6 SEC I/10-3 ISB','10','44','0','SAMSUNG','0',null,'0','43TU7000','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 17:22:54','2021-06-30 15:18:17',null,'1',null,'0');
INSERT INTO complaints VALUES('6107','ARIF','03368583006','THE LIGHTNEN SCHOOL 718D 6TH ROAD RWP','9','19','211290','FISCHER','0',null,'24-MAY-2021','45GF - 1027','WATER COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 18:10:38','2021-05-27 11:10:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6108','MR IMRAN','03135000064','HO#24-C ST 94 222 SULTAN COLONY SEC I-8/4 ISB','5','36','102605','SIGNATURE','ELECTRIC OVEN KI COMPLAINT HAY',null,'04-MAR-2019','SBO-AR10 - 1124','BUILT IN APPLLIANCES','TEMPERATURE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','5439','74','2021-05-25 18:17:09','2021-05-26 10:50:32',null,'1',null,'0');
INSERT INTO complaints VALUES('6109','HAMID HASSAN','03357616115','H NO 1218 ROAD C PHASE8 ABUBAKAR BLOCK  B.TOWN RWP','4','5','22143','ORIENT','REF TO KAMRAN',null,'16-JUL-2019','18G-ATLANTIC-GW - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-25 18:26:03','2021-05-27 14:21:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6110','MR IMRAN','03135000064','HO#24-C ST 94 222 SULTAN COLONY SEC I-8/4 ISB','5','36','102605','SIGNATURE','ELECTRIC OVEN KI COMPLAINT HAY',null,'04-MAR-2019','SBO-AR10 - 1124','BUILT IN APPLLIANCES','TEMPERATURE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','5439','74','2021-05-26 10:34:25','2021-07-15 11:27:14',null,'1',null,'0');
INSERT INTO complaints VALUES('6111','MR ZAHEER BABER','03130000515','HO#CB-227 OPP GUDWAL FACTORY GUDWAL WAH CANTT','5','33','108995','TCL','1905VLR300846A00028',null,'30-AUG-2019','55P65US - 942','FLAT PANEL TV','SCREEN LINE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','4960','73','2021-05-26 10:38:33','2021-07-24 15:57:07',null,'1',null,'0');
INSERT INTO complaints VALUES('6112','MUHAMMAD ALI','03365778252','H NO 18 DHOK CHAUDRIAN ZEESHAN COLONY QASIM MARKET RWP','7','49','15567','SIGNATURE','0',null,'16-SEP-2017','SWD-HD20-GD - 994','WATER DISPENSER','TAP PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 10:48:20','2021-06-03 17:22:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6113','MR ZEESHAN','03085141691','H NO 242 ST NO 100 SEC I/8-4 ISB','8','38','47769','HAIER','0',null,'12-APR-2021','385H-DF - 957','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 11:04:14','2021-06-10 14:19:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6114','SARA FAROOQ','03336314437','H NO 131 ST NO 49 ROAD 51 SEC F DHA 1 RWP','6','15','34967','ORIENT','0',null,'5-MAY-2021','24G-SUPER - 917','AIR CONDITIONER','REMOTE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 11:13:13','2021-07-28 14:43:42',null,'1',null,'0');
INSERT INTO complaints VALUES('6115','ZAFAR AYUB','03201100619','H NO 46 NORTH BANNI GAL IMRAN KHAN CHOWK CHANAR STREET ISB','6','13','29521','HAIER','0',null,'12-SEP-2020','438IPR - 896','REFRIGERATOR','GAS KIT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 11:23:37','2021-06-03 17:25:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6116','DR REHAN','03005015754 , 03438384521','AL REHAN FARM HOUSE 1A IMRAN KHAN CHOWK BANNI GALA ISB','5','30','45272','TCL','2008VLR301247A00068',null,'21-DEC-2020','55C815','FLAT PANEL TV','DOT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 11:31:55','2021-08-04 15:09:13',null,'1',null,'0');
INSERT INTO complaints VALUES('6117','MUHAMMAD DANISH','03238552424 , 03168552484','COLOMO GULSHASN COLONY NEAR TEXILLA MUSEUM','8','43','0','KENWOOD','REF TO PTCL(DISPLAY PC)',null,'0','1012SA - 902','WASHING MACHINE','SPINNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 11:36:44','2021-06-29 13:27:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6118','BILAL FHS','03120578711','FRIENDS HOME SHAMSABAD MURREE ROAD RWP','8','39','47395','DAWLANCE','C/O COSTUMER',null,'23-MAR-2021','112C - 961','MICROWAVE OVEN','HEATING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 11:42:03','2021-07-19 16:40:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6119','TAHSEEN JAWAD','03056475593','H NO CB114 ST NO 11 RAHIMABAD RWP','8','40','46481','ORIENT','0',null,'20-FEB-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 12:00:40','2021-05-29 13:28:41',null,'1',null,'0');
INSERT INTO complaints VALUES('6120','QIADAT RASHEED','03365521560','H NO 27 LANE NO 1 BAHRIA HILL VIEW NEAR SAVE MART PHASE 7','6','16','20934','ORIENT','0',null,'13-MAY-2020','531BL - 993','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 12:03:34','2021-07-07 13:16:35',null,'1',null,'0');
INSERT INTO complaints VALUES('6121','MAJ ABDULLAH','03117021739','FW FLAT NO B2 RACECOURSE PESHAWAR ROAD RWP CANTT','9','24','201982','HAIER','0',null,'9-DEC-2020','622IBS - 908','REFRIGERATOR','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 12:08:47','2021-05-29 10:55:52',null,'1',null,'0');
INSERT INTO complaints VALUES('6122','ARSLAN','033215168761','ST NO 10 MUHALLAH HAFIZABAD DHOK HASSU RWP','9','20','156969','CANON','REF TO PTCL',null,'12-AUG-2018','CA-1 - 1122','BUILT IN APPLLIANCES','GAS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 12:14:30','2021-06-02 15:04:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6123','ASIF RAZA','03335103753 , 03322222028','H NO 741 ST NO 75 SEC I/8-3 ISB','8','40','41750','HAIER','0',null,'12-AUG-2020','438EBD - 896','REFRIGERATOR','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 12:27:38','2021-05-29 12:22:20',null,'1',null,'0');
INSERT INTO complaints VALUES('6124','ABDUL HY','03455109044','H NO 581 ST NO 1 SEC G/9-3 ISB','8','37','44801','DAWLANCE','0',null,'6-DEC-2020','136G - 1172','MICROWAVE OVEN','SPARK',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 12:37:18','2021-06-02 14:55:45',null,'1',null,'0');
INSERT INTO complaints VALUES('6125','IMRAN SIDDIQUE','03437770792 , 03367770792','cHAKLALA GARRISON RWP','7','49','23487','GREE','0',null,'2-MAY-2021','18FITH6G','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 13:05:07','2021-05-29 10:49:03',null,'1',null,'0');
INSERT INTO complaints VALUES('6126','AZRAM SB','03215120844','H NO 61/38 BILAL COLONY JINNAH LANE SHAMSABAD RWP','8','37','9578','LG','REF TO PTCL',null,'4-OCT-2014','1496TDT24S - 122','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 13:09:08','2021-05-31 14:09:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6127','MUKHTAR AHMED','03455266247','PINDI DAIYYAN HARN MARA ROAD','9','51','198662','LG','0',null,'3-NOV-2020','32LJ570-P - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 13:11:08','2021-05-26 15:08:35',null,'1',null,'0');
INSERT INTO complaints VALUES('6128','MUHAMMAD IQBAL','03103330608','H NO 1/5C ST NO 40 SEC G/7-2 ISB','5','29','132824','MITSUBISHI','0',null,'6-MAY-2021','50VA - 915','AIR CONDITIONER','GAS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 13:27:16','2021-06-09 16:27:46',null,'1',null,'0');
INSERT INTO complaints VALUES('6129','KASHIF NOOR','03335241446','H NO 29ST NO 12SEC F/6-3 ISB','8','42','46696','PANASONIC','6PC',null,'28-FEB-2021','18WKF-9','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 13:46:48','2021-05-29 11:56:21',null,'1',null,'0');
INSERT INTO complaints VALUES('6130','ADNAN SB','03005103430','H NO CB597 ATTAULLAH STREET 3 LANE NO 3 GULSHAN COLONY RWP','9','19','0','SIGNATURE','REF TO KHURRAM GOOGLE',null,'0','SRF-KK90G - 885','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 14:15:03','2021-06-07 11:38:21',null,'1',null,'0');
INSERT INTO complaints VALUES('6131','HAMAYUN MALIK','03335431678','H NO 605 ST NO 45 SEC I/8-2 ISB','8','39','47724','MITSUBISHI','0',null,'11-APR-2021','50VA - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 14:20:16','2021-05-29 11:47:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6132','NAUMAN','03029222282','H NO 242 ST NO 100 SEC I/8-4 ISB','5','36','130943','DAWLANCE','MODAL#45ELEGANCE-INV',null,'20-MAR-2021',null,'AIR CONDITIONER','DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-26 14:25:19','2021-05-29 11:37:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6133','COL USMAN','03000677770 , 03363667770','H NO 941 BAHRIA CENTRAL AVENUE NEAR GLOBE CHOWK PHASE 7 B.TOWN RWP','6','16','29580','ORIENT','0',null,'14-SEP-2020','531OWR - 993','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 14:26:40','2021-05-29 11:33:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6134','MR OMER','03075780666','H NO 1015 ST NO 45 PHASE 7 B.TOWN RWP','6','12','13936','SIGNATURE','0',null,'23-APR-2018','32DN4 - 936','FLAT PANEL TV','SCREEN BLANK',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 14:28:54','2021-06-06 16:42:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6135','ISRAR KHAN','03005009442','H NO 684 ST NO 6 SEC G/9-3 ISB','9','19','186077','HAIER','3PC',null,'26-JAN-2020','18HNF-INV-G - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 14:34:16','2021-05-29 11:04:46',null,'1',null,'0');
INSERT INTO complaints VALUES('6136','NADEEM SB','03425101901 , 03345315393','H NO 6 ST NO 1 BABAR COLONY DHOK KANGAAL SHAKRIAL RWP','9','27','205229','ORIENT','0',null,'8-FEB-2021','18G-HYPER-SW - 915','AIR CONDITIONER','DISPLAY',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2021-05-26 14:48:09','2021-05-29 11:25:37',null,'1',null,'0');
INSERT INTO complaints VALUES('6137','FARRUKH SB','03212749160','H NO 270 MAPLE ROAD SAFARI VILLA 3 BAHRIA TOWN RWP','4','5','33527','KENWOOD','REF TO PTCL',null,'6-MAR-2021','2444FHI','AIR CONDITIONER','SMELL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 14:54:24','2021-05-29 11:22:16',null,'1',null,'0');
INSERT INTO complaints VALUES('6138','MR TAUSIF','03009547124','HO#37 ST 23 SEC F-10/2 ISB','5','31','131249','ORIENT','MODAL#24G-DIVINE',null,'05-APR-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','5901','74','2021-05-26 15:07:49','2021-05-29 10:48:36',null,'1',null,'0');
INSERT INTO complaints VALUES('6139','DR JUNAID','03215769366','H NO 22 ST NO 3 SEC A ZARAJ HOUSING SCHEME ISB','9','19','202553','ORIENT','REF TO PTCL',null,'19-DEC-2020','30DCAKE','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 15:30:12','2021-06-30 16:44:57',null,'1',null,'0');
INSERT INTO complaints VALUES('6140','MUJTABA','03335379066','ISB','5','28','118502','LG','AZHAR RAMZAN SHOP',null,'1-JUL-2020','8265CIS-S - 987','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 15:33:39','2021-06-28 12:15:52',null,'1',null,'0');
INSERT INTO complaints VALUES('6141','BENYI SZABOLCS','03040011387','H NO 279 GOMAL ROAD SEC E7 ISB','5','31','128801','HAIER','0',null,'3-FEB-2021','49D6','FLAT PANEL TV','REMOTE SENSOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 15:39:19','2021-06-01 14:04:54',null,'1',null,'0');
INSERT INTO complaints VALUES('6142','MR SHAHID','03335114051','H NO 397 RIVER VIEW ROAD PHASE 4 B.TOWN RWP','4','8','10335','WAVES','0',null,'10-AUG-2019','310WDF - 955','FREEZER','LIGHT AND TEMPERATURE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2021-05-26 15:48:06','2021-05-29 11:07:52',null,'1',null,'0');
INSERT INTO complaints VALUES('6143','MR MAZHAR','03218528551','GULBERG TRADE CENTRE 4TH FLOOR OFFICE NO 11 ISB','9','21','202167','ORIENT','0',null,'13-DEC-2020','531BL - 993','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 15:56:48','2021-05-29 11:15:09',null,'1',null,'0');
INSERT INTO complaints VALUES('6144','MR SHAFIQ','03354550368','H NO 1947 ST NO 60 USMAN BLOCK PHASE 8 B.TOWN RWP','6','15','168840','KENWOOD','0',null,'23-OCT-2018','1824HC - 915','AIR CONDITIONER','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 16:04:50','2021-05-29 11:02:14',null,'1',null,'0');
INSERT INTO complaints VALUES('6145','MRS OMER RASHID','03245265090','H NO 4 ST NO 8 NEAR REHMAT MASJID SHAHPUR BARAKAHO','9','26','163395','LG','0',null,'20-DEC-2018','4J6TNP8S-S - 899','WASHING MACHINE','DETERGENT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 16:20:27','2021-05-29 10:42:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6146','MRS KHAN','03330501333','H NO 31 LANE NO 3 ASKARI 10 RWP','4','10','37750','SONY','0',null,'30-NOV-2019','65X8077G-S - 1443','FLAT PANEL TV','PANEL SPOTS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 16:36:29','2021-05-29 10:37:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6147','SHAHZAD AHMED','03339075070 , 03357270727','H NO 278 ST NO 11 BLOCK C MEDIA TOWN RWP','4','7','0','LG','REF TO ADIL I/10',null,'0','512FPS-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 16:36:39','2021-06-30 17:23:26',null,'1',null,'0');
INSERT INTO complaints VALUES('6148','MR MAZHAR','03335336945','H NO 1078 ST NO 7 MODEL TOWN HUMAK ISB','9','22','183674','KENWOOD','0',null,'15-DEC-2019','400VCM-BRN - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2021-05-26 16:45:06','2021-05-29 10:47:32',null,'1',null,'0');
INSERT INTO complaints VALUES('6149','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','HAIER','0',null,'0','306R','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 17:11:06','2021-05-29 10:40:39',null,'1',null,'0');
INSERT INTO complaints VALUES('6150','MR ROHAN','03345349626','H NO 0C27 ST NO 6 NEAR QADEER ROAD CHATRI CHOWK KHNNAPULL ISB','9','27','211458','DAWLANCE','0',null,'25-MAY-2021','91999CHROME-PC','REFRIGERATOR','WHEELPROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 17:26:37','2021-06-05 11:48:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6151','ADNAN BRANDING','03008556929','H NO 3 ST NO 14 FIZIA COLONY RWP','10','44','0','ORIENT','C/O UMER SB',null,'NOT CONFIRM','18G-HYPER-SW - 915','AIR CONDITIONER','ERROR EC',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 17:35:27','2021-06-17 13:55:48',null,'1',null,'0');
INSERT INTO complaints VALUES('6152','MR WAQAS','03215574113','WOOD INTERIORS GULNOOR MARKETMURREE ROAD RWP','9','51','187730','ORIENT','0',null,'3-MAR-2020','50FHD-EAGLE - 871','FLAT PANEL TV','SCREEN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-26 17:42:37','2021-05-29 10:26:03',null,'1',null,'0');
INSERT INTO complaints VALUES('6153','BUTT PWD','03115006051','FRIENDS HOME PWD ISB','4','8','0','ORIENT','0',null,'0','32D-ROAST','MICROWAVE OVEN','HEATING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 10:40:53','2021-06-07 14:20:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6154','BUTT PWD','03115006051','FRIENDS HOME PWD ISB','4','8','0','DAWLANCE','0',null,'0','132S-DW - 1200','MICROWAVE OVEN','HEATING PROBLEM',null,'3',null,null,'customer','0',null,'73','2021-05-27 10:42:47','2021-05-27 10:42:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6155','MR ADEEL','03485614220','HBS HOSPITAL NEAR CHAUDHARY KHURSHEED KOTHI ALI PUR ISB','6','14','33487','XTREEM','0',null,'3-MAR-2021','82A - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','complaint closed',null,'customer','0',null,'73','2021-05-27 10:50:03','2021-05-31 18:13:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6156','IQBAL FCI','03465166132','FRIENDS BLUE AREA ISB','5','28','0','DAWLANCE','REF TO IQBAL FCI',null,'0','7500C-DW - 1548','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 10:56:43','2021-06-07 14:29:03',null,'1',null,'0');
INSERT INTO complaints VALUES('6157','khurram sb','03075211037','477 ARMY GROUP RA BAZAR RWP CANTT','8','37','41222','ECOSTAR','0',null,'21-JUL-2020','300FS - 2122','WATER DISPENSER','SMELL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 11:03:24','2021-06-07 14:32:48',null,'1',null,'0');
INSERT INTO complaints VALUES('6158','MR HASSAN','03345479962','H NO 271 ST NO 34F SEC I/9-4 ISB','8','39','48814','HAIER','0',null,'19-MAY-2021','12HFMAC','AIR CONDITIONER','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 11:14:08','2021-05-29 12:40:09',null,'1',null,'0');
INSERT INTO complaints VALUES('6159','MR ASAD','03335588414','HO#175 NEZAM BANK SADIQUE ROAD ATTOCK','9','51','192909','GREE','0',null,'16-JULY-2020','9978EG-CB2 - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-27 11:14:58','2021-06-30 17:15:55',null,'1',null,'0');
INSERT INTO complaints VALUES('6160','SAIFUR REHAMN','03218260272','H NO 414 ST NO 24  PHASE 7 B.TWON RWP','6','12','35260','SUPER ASIA','REF TO ADEEL BHR-7',null,'23-MAY-2021','5000ECM-PLUS - 1577','AIR COOLER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 11:50:52','2021-06-07 15:23:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6161','MR MANSOOR','03324575004','H NO CB267ST NO 2 LANE NO 7 OPP APS SCHOOL WESTRIDGE 3 RWP','7','49','21928','KENWOOD','0',null,'5-OCT-2020','1015SA - 902','WASHING MACHINE','SPINNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 11:53:17','2021-05-29 13:53:25',null,'1',null,'0');
INSERT INTO complaints VALUES('6162','MR MANSOOR','03324575004','H NO CBST NO 2 LANE NO 7 OPP APS SCHOOL WESTRIDGE 3 RWP','7','49','21928','CANON','0',null,'21-NOV-2020','18D - 1748','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 11:53:37','2021-07-07 13:20:58',null,'1',null,'0');
INSERT INTO complaints VALUES('6163','AAMIR ZAMAN','03365817591 , 03005102414','H NO 235 ST NO 51 SEC F/10-4 ISB','5','28','118403','KENWOOD','REF TO PTCL',null,'30-JUN-2020','1230S-HC INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 12:04:27','2021-05-29 13:55:31',null,'1',null,'0');
INSERT INTO complaints VALUES('6164','MRS SHAISTA','03325429703','H NO 28/4 BLOCK 2/3 ST NO 57 SEC F/6-4 ISB','5','35','125902','HAIER','0',null,'5-DEC-2020','95-1678HWM - 1817','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 12:11:12','2021-05-29 12:41:56',null,'1',null,'0');
INSERT INTO complaints VALUES('6165','MR JALAL','03459124510','H NO 592 ST NO 11/1 BLOCK B O9 NEAR BALA TIKKA PWD','4','5','7050','SIGNATURE','0',null,'2-JAN-2019','SCF-HM12 - 956','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 12:15:17','2021-05-29 13:27:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6166','MUHAMMAD ALI','03344551033','H NO 3 ST NO 29A BLOCK F NAVAL ENCOURAGE','4','5','0','SAMSUNG','REF TO PTCL',null,'3 YEARS AGO (ON PAYMENT)','TOP LOAD AUTO','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 12:20:25','2021-06-03 17:13:32',null,'1',null,'0');
INSERT INTO complaints VALUES('6167','KHURSHID WISAL','03028540278','H NO 1617 ST NO 67 BLOCK A FAISAL TOWN SEC F18 ISB','5','29','0','HAIER','MANUAL INVOICE BILL(IN WARRANTY)',null,'30-1-2021','1.5 TON','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 12:26:22','2021-05-29 12:43:48',null,'1',null,'0');
INSERT INTO complaints VALUES('6168','AHSAN SB','03077000035','3RD FLOOR PLAZA NON 69 NORTH SPRING BAHRIA PJHASE 7 RWP','6','16','30760','KENWOOD','0',null,'28-NOV-2020','1839S','AIR CONDITIONER','ERROR L1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 12:27:27','2021-06-29 13:30:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6169','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','HAIER','KITCHJEN HOOD',null,'0','9002PCHT - 1123','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-27 12:28:46','2021-07-15 14:16:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6170','BILAL PWD','03335311234','FRIENDS HOME PWD ISB','4','11','0','ORIENT','0',null,'0','55S-ACTION','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 12:35:28','2021-06-07 15:54:54',null,'1',null,'0');
INSERT INTO complaints VALUES('6171','NAVEED SB','03335114700 , 03135075109','H NO 6 ST NO 83 SEC G/6-4 ISB','8','38','24312','SONY','C/O AKBAR SB',null,'2-FEB-2021','75X8000H-CC','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 12:37:53','2021-06-03 17:07:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6172','SAJID SHARIF','03025490413','OFFICE NO 6 FEROZ CENTRE GROUND FLOOR BLUE AREA ISB','5','29','133100','HAIER','0',null,'18-MAY-2021','306IDBA','REFRIGERATOR','SETTING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 12:49:46','2021-06-03 17:42:13',null,'1',null,'0');
INSERT INTO complaints VALUES('6173','UBAID SHAMS','03498404767','H NO 129 ST NO 7 JAN COLONY JAN SHADI HALL CHAKLALA SCHEME 3 RWP','9','23','196984','DAWLANCE','REF TO PTCL',null,'3-OCT-2020','6550DW - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 13:04:59','2021-06-05 11:45:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6174','MISS SADIA','03145834341','H NO 64 ST NO 1 BLOCK B PWD HOUSING SOCIETY ISB','4','6','10576','LG','0',null,'2-SEP-2019','1066NEFTF-S - 902','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 13:08:36','2021-05-29 10:36:35',null,'1',null,'0');
INSERT INTO complaints VALUES('6175','ROHAIL KIYANI','03215512344 , 03228516881','3RD FLOOR RBS TOWER BUSINESS PARK GULBERG GREEN ISB','6','15','28989','ORIENT','2PC',null,'11-AUG-2020','18G-MEGA-PW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 13:15:26','2021-06-07 16:21:58',null,'1',null,'0');
INSERT INTO complaints VALUES('6176','HAMMAD ZAKI','03215223289','H NO 9 ST NO 4 SEC G BAHRIA ENCLAVE ISB','5','35','132698','ORIENT','REF TO AZHAR RAMZAN',null,'4-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','WIFI PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 13:37:21','2021-06-17 13:25:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6177','FAROOQ SB','03202222233','SADIA HOTEL RAILWAY ROAD SADDAR RWP CANTT','9','24','211558','WAVES','0',null,'26-MAY-2021','318WDFT-SS - 959','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 13:59:02','2021-05-29 15:32:54',null,'1',null,'0');
INSERT INTO complaints VALUES('6178','MRS USMAN','03363667770','H NO 941 BAHRIA CENTRAL AVENUE NEAR GLOBLE CHOWK PHASE 7 B.TOWN RWP','8','39','37008','TCL','1907VLR300891A00423',null,'5-OCT-2019','55P65US - 942','FLAT PANEL TV','SCREEN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 14:18:07','2021-06-07 15:19:43',null,'1',null,'0');
INSERT INTO complaints VALUES('6179','TANVEER SB','03417708842 , 03060325866','H NO 105 LANE NO 4B SHALLEY VALLEY IQBAL HOUSE RANGE ROAD RWP','6','12','30473','HOMAGE','0',null,'14-NOV-2020','81HWD - 993','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 14:39:18','2021-05-29 14:52:57',null,'1',null,'0');
INSERT INTO complaints VALUES('6180','MUSTAFA ABIDI','03444445150','H NO 792 ST NO 45 SEC G/9-1 ISB','5','31','133096','SAMSUNG','0',null,'17-MAY-2021','55TU7000','FLAT PANEL TV','WIFI DISCONNECT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 14:43:21','2021-05-29 10:36:10',null,'1',null,'0');
INSERT INTO complaints VALUES('6181','SIBTE HASSAN','03345113430','H NO 151 ST NO 160 SEC G/11-1 ISB','4','6','30218','KENWOOD','0',null,'26-OCT-2020','26657GD','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 14:47:58','2021-05-29 14:09:20',null,'1',null,'0');
INSERT INTO complaints VALUES('6182','MISS FAIZA SALEEM','03125235909','H NO 130 ST NO 1 AIRPORT HOUSING SOCIETY RWP','9','26','211016','XTREME','0',null,'19-MAY-2021','788 - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 14:51:19','2021-06-28 12:14:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6183','BRIG WASEEM','03332109609, 03365832343','HO#20 ST 06 SEC-C  DHA 02 ISB','9','24','205084','HAIER','0',null,'06-FEB-2021','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','4620','73','2021-05-27 15:09:43','2021-05-29 12:58:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6184','SAMI KHAN','03005359000','H NO 26 ST NO 16 SEC G DHA 2 ISB','8','37','0','SIGNATURE','REF TO TAHIR B.COOL',null,'2018','DOUBLE DOOR','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 15:30:37','2021-06-18 17:07:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6185','AMJAD ALI','03005072007','H NO 35 PARK ROAD SEC F/8-1 ISB','5','29','131468','SIGNATURE','0',null,'9-APR-2021','SBO-AT4R - 1124','BUILT IN APPLLIANCES','NOT WORKING',null,'8',null,null,'customer','0',null,'73','2021-05-27 15:41:18','2021-07-11 16:34:56',null,'1',null,'0');
INSERT INTO complaints VALUES('6186','MRS AHMED','03355559137','H NO 77 ST NO 16 SEC F/17-3 ISB','9','24','188847','HAIER','0',null,'14-MAY-2020','90-1789HWM - 901','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 16:33:04','2021-05-29 13:00:19',null,'1',null,'0');
INSERT INTO complaints VALUES('6187','MAJOR ISHTIAQ','03115500002','H NO 6 GRACY LINES OLD AIRPORT ROAD RWP','8','47','25105','HAIER','0',null,'29-APR-2021','12HFCD-W-INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 16:50:04','2021-06-01 13:50:06',null,'1',null,'0');
INSERT INTO complaints VALUES('6188','MISS FATIMA','03315236784','H NO 71 ST NO 21 KORANG TOWN ISB','4','9','20095','HAIER','REF TO KHURRAM SB',null,'17-MAR-2021','120-1678HWM - 906','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 17:07:03','2021-05-30 15:02:38',null,'1',null,'0');
INSERT INTO complaints VALUES('6189','HAMEED KHAN','03142909545','BURHAN INTERCHANGE VILLAGE KACHA MOR HASSAN ABDAL','5','30','128091','BOSCH','0',null,'14-JAN-2021','20260GC - 880','WASHING MACHINE','ERROR E-17',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 17:12:15','2021-06-07 14:37:48',null,'1',null,'0');
INSERT INTO complaints VALUES('6190','SAJJAD MEHMOOD','03145243863','QASAI GALI NEAR ABBASI BAKERY BAZAR STOP BARAKAHO ISB','9','24','0','HAIER','0',null,'28-SEP-2020','368EBD - 860','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 17:18:19','2021-06-01 13:36:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6191','MR NAEEM','03216319476','HO#572-G ST 17-B OVERSEES 03 BAHRIA TOWN PHASE 08 RWP','6','14','12195','FIVE STAR','35GH-FR-1537(GEYSER GUJRAWA S/C MAIN HAIN)',null,'31-DEC-2017',null,'GEYSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-27 17:20:18','2021-07-17 18:30:14',null,'1',null,'0');
INSERT INTO complaints VALUES('6192','NADEEM AFZAL','03335351065','H NO 523 ST NO 2 SEC G/8-2 ISB','5','31','119732','TCL','2002VLR3010810A01215',null,'27-JUL-2020','32D310 - 936','FLAT PANEL TV','HDMI PORTS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-27 17:23:20','2021-06-05 13:48:27',null,'1',null,'0');
INSERT INTO complaints VALUES('6193','HASSAN ALI','03335143368','HO#754 ST#17 KARTAR PURA ROAD R.W.P','9','21','187275','HAIER','0',null,'22-FEB-2020','385HDF-INV - 1468','FREEZER','CURRENT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 11:42:56','2021-06-01 11:40:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6194','FERDOS KHAN','03331553333','PUNJAB MARKET SERVICES ROAD G-13/4 ISB','9','19','2096674','DAWLANCE','MODEL91999CHROME+HS',null,'25-APRIL-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 11:50:47','2021-06-03 13:38:31',null,'1',null,'0');
INSERT INTO complaints VALUES('6195','MRS NUZHAT','03315096793','HO#1021 ROAD D PHASE 05 BEHIRA TOWN','4','11','19524','FIVE STAR','999MC-1991',null,'07-FEB-2021',null,'COOKING RANGE','GASS LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 12:02:41','2021-05-31 11:54:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6196','MUHAMMAD RASHID ZAKA','03005502456(03028505026)','HO#2120 MAIN GLOP CHOWK  PHASE 07 BEHIRA TOWN','6','15','27999','HAIER','0',null,'25-JUN-2020','18HFCE-W-INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 12:12:25','2021-05-30 11:51:05',null,'1',null,'0');
INSERT INTO complaints VALUES('6197','ALI ASLAM','03335201633','HO#605 ST#110 I 8/4 ISB','6','12','35225','GREE','COMPLAINT FF ADEEL BEHIRA',null,'21-MAY-2021','24FITH2W - 917','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 12:58:15','2021-06-01 11:32:29',null,'1',null,'0');
INSERT INTO complaints VALUES('6198','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','HAIER','C/O IQBAL STOCK)',null,'0','18HNF - 915','AIR CONDITIONER','OUT DOOR DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 13:07:00','2021-05-30 11:30:01',null,'1',null,'0');
INSERT INTO complaints VALUES('6199','FAIZA','03328564709','HO#09 ST#17 JINNAH GARDEN ISB','8','37','12003','SONY','C/O NAFEES  FHSS',null,'14-DEC-2019','40W650D-CC - 938','FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 13:54:41','2021-06-18 17:06:37',null,'1',null,'0');
INSERT INTO complaints VALUES('6200','FAIZA','03328564709','HO#09 ST#17 JINNAH GARDEN ISB','8','37','19688','PANATRON','PEL W/D MODEL 115PMI',null,'220-FEB-2021',null,'WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 14:15:41','2021-05-30 14:19:46',null,'1',null,'0');
INSERT INTO complaints VALUES('6201','M.ALI','03335399820(03465317043)','HO#510 ST#02 G-8/2 ISB','5','34','133274','HAIER','12HFMAC-W-INV',null,'20-MAY-2021',null,'AIR CONDITIONER','88 ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 14:54:32','2021-05-30 11:21:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6202','SHAKIR HUSSAIN','+92','APP#3 A CLARA APP DIPLOMATIC ENCLAVE ISB','5','34','132963','SIGNATURE','SBH-AC-700G-1227(HOB)',null,'06-MAY-2021',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 14:58:27','2021-06-18 15:21:21',null,'1',null,'0');
INSERT INTO complaints VALUES('6203','M SARFARAZ','03005275715','HO#632 ST#07 DHOK KHABA R.W.P','9','24','211383','DAWLANCE','9191WBCHROME(C/O RIFF AT FCP',null,'25-MAY-2021',null,'REFRIGERATOR','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 15:08:34','2021-06-01 11:26:01',null,'1',null,'0');
INSERT INTO complaints VALUES('6204','MISS HASNA','03379846483','HO#675 ST#19 PHASE 04 BEHIRA TOWN','9','24','211604','PANATRON','C/O RIFFAT FCP(115CURVED-RB',null,'27-MAY-2021',null,'WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 15:14:58','2021-06-01 11:22:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6205','MISS BUSHRA','03055555797','HO#14-A ST#03 F-7/3 ISB','5','30','193523','GREE','0',null,'24-JULY-2020','24CITH12G - 917','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 15:53:42','2021-06-01 11:24:22',null,'1',null,'0');
INSERT INTO complaints VALUES('6206','MR RAJA SAJJAD','03338887771','VILLAGE KIRPA NEAR FARASH TOWN ISB','5','31','128489','HAIER','0',null,'26-JAN-2021','622IBS - 908','REFRIGERATOR','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 16:09:53','2021-05-30 11:09:26',null,'1',null,'0');
INSERT INTO complaints VALUES('6207','KOSAR IQBAL','03188336514','HO#1402 ST#47 B D MULTY GARDEN B 17 ISB','5','28','87776','SIGNATURE','0',null,'29-AUG-2017','SRF-KK90S - 885','REFRIGERATOR','EXTRA COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 16:48:09','2021-06-07 11:38:55',null,'1',null,'0');
INSERT INTO complaints VALUES('6208','MIS FATIMA (SIS OFF UMER SIR)','03018561623','HO#10 9TH AVENUE NEAR SHAEEN CHOWK F 89/2 ISB','5','28','0','ORIENT','DIFFERENT COMPANY A/C',null,'0',null,'AIR CONDITIONER','SERVICES REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 16:51:19','2021-06-03 12:08:53',null,'1',null,'0');
INSERT INTO complaints VALUES('6209','M SHAREEF','03075753804(03425619036)','FLAT 9 C ST#102 BLOCK 24C G-11/3 ISB','5','31','111368','TCL','MODELL32D3000A(SERIOAL#1904VLR300829A0033)',null,'30-NOV-2019',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 17:02:01','2021-05-31 15:08:39',null,'1',null,'0');
INSERT INTO complaints VALUES('6210','DR KHAWAR','03005125507','HO#15 KRL OFFICER COLONY NEAR KHANA PUL SERVICES ROAD R.W.P','9','23','616','SIGNATURE','0',null,'03-JAN-2021','MD99SS-S - 1723','REFRIGERATOR','DOOR GAS KIT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 17:33:44','2021-05-31 11:50:07',null,'1',null,'0');
INSERT INTO complaints VALUES('6211','ATIF AYUB','03215172491','HO#08 ST#30 SEC C ORCHED DHA PHASE01 NEAR FUJI FOUNDATION ISB','6','12','23764','SAMSUNG','0',null,'31-OCT-2019','402MAD - 964','MICROWAVE OVEN','POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-05-28 17:51:00','2021-06-03 12:06:29',null,'1',null,'0');
INSERT INTO complaints VALUES('6212','ANWAR  BAIG','03009564027','DARUL SOHALEEN NEAR HEAVEN VIEW SOHAN FAIZABAD','8','38','24731','SIGNATURE','REF TO PTCL',null,'24-OCT-2017','SWM-SR40 - 1548','WASHING MACHINE','SPINNER PROBLEM',null,'5','COMPALINT CLOSED',null,'customer','0',null,'73','2021-05-29 10:52:55','2021-06-01 11:19:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6213','M TAHIR','03455172818 , 03455484808','H NO 509 ST NO 5 VIP GHOURI TOWN ISB','5','30','120119','ORIENT','REF TO PTCL',null,'30-JUL-2020','18G-VENUS-BW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 10:57:37','2021-06-03 12:02:52',null,'1',null,'0');
INSERT INTO complaints VALUES('6214','ABBAS ALI DURRANI','03228585424','H NO 61 ST NO 5 PAHSE 7 B.TOWN RWP','9','19','0','LG','REF TO TAHIR B.COOL',null,'OUT OF WARRANTY',null,'WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 11:03:07','2021-06-19 12:39:17',null,'1',null,'0');
INSERT INTO complaints VALUES('6215','SAMIR KHAN','03005104222','SASHA INTERNATIONAL FLAT NO 8 NEW ARCADE NEW APPARA MARKET SEC G/6-1 ISB','9','21','204930','ORIENT','0',null,'2-FEB-2021','18G-ORBIT - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 11:12:05','2021-05-29 15:18:45',null,'1',null,'0');
INSERT INTO complaints VALUES('6216','SALAHUDDIN','03351484408 , 03008565848','H NO 316 ST NO 15BLOCK A MEDIA TOWN ISB','4','11','15394','ORIENT','0',null,'22-JUL-2020','12G-BOLD-UW-INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 11:18:33','2021-05-31 11:47:12',null,'1',null,'0');
INSERT INTO complaints VALUES('6217','HASSAN SB','03215757847','ST NO 31 BLOCK NO 18 DIPLOMATIC ENCLAVE 2 SEC G/5 ISB','8','37','46303','MITSUBISHI','0',null,'11-FEB-2021','50VA - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 11:28:51','2021-06-09 16:17:49',null,'1',null,'0');
INSERT INTO complaints VALUES('6218','IQBAL FCI','03465166132','FRIENDS BLUE AREA ISB','5','28','0','DAWLANCE','0',null,'0','142HZP - 1277','MICROWAVE OVEN','ROTATRY MOTOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 11:35:07','2021-07-14 12:28:56',null,'1',null,'0');
INSERT INTO complaints VALUES('6219','ABDUL REHMAN','03355141646','H NO 10 ST NO 4 SEC A DHA 5 ISB','5','31','132798','SAMSUNG','0',null,'5-MAY-2021','50TU7000','FLAT PANEL TV','WIFI PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 11:42:32','2021-06-03 14:06:45',null,'1',null,'0');
INSERT INTO complaints VALUES('6220','AMIR ALI KHAN','03149501590','H NO F501  BLOCK F  NEAR POST OFFICE  SATELLITE TOWN RWP','5','32','96673','ECOSTAR','REF TO TARIQ FCI',null,'31-JUL-2018','40U561 - 938','FLAT PANEL TV','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 11:45:56','2021-06-03 13:31:22',null,'1',null,'0');
INSERT INTO complaints VALUES('6221','COL MEHMOOD','03005248343','H NO 100 MAJOR ROAD 3 SEC D/12 ISB','5','31','22266','CANON','0',null,'9-MAY-2020','45-SWC - 1027','WATER COOLER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 11:48:45','2021-07-01 10:51:07',null,'1',null,'0');
INSERT INTO complaints VALUES('6222','FAHEEM SB','03335719967','H NO 468 PHASE 1 ST NO 22 GHOURI TOWN ISB','8','37','48286','GREE','REF TO TAHIR B.COOL',null,'2-MAY-2021','12PITH2W','AIR CONDITIONER','OUTDOOR FAN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 12:00:52','2021-07-01 10:48:31',null,'1',null,'0');
INSERT INTO complaints VALUES('6223','NADEEM SB','03219558292','H NO 71 MAPLE HOMES NEAR MASJID BILAL HABSHI  BANNI GALA ISB','9','24','208987','DAWLANCE','REF TO TAHIR B.COOL',null,'11-APR-2021','15POWERCON','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 12:03:01','2021-07-01 11:01:17',null,'1',null,'0');
INSERT INTO complaints VALUES('6224','WASEEM SB','03165755224','LANE NO 7 NEAR F-J MART MISRIYAL BHATTA CHOWK','9','20','169921','SIGNATURE','0',null,'27-APR-2019','SRF-KK95S - 903','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 12:05:48','2021-06-08 12:33:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6225','SAMIR KHAN','03005104222','SASHA INTERNATIONAL FLAT NO 8 NEW ARCADE NEW APPARA MARKET SEC G/6-1 ISB','9','21','204930','ORIENT','0',null,'2-FEB-2021','18G-ORBIT  - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6215','73','2021-05-29 12:15:34','2021-06-02 14:31:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6226','SYED HASNAIN','03214186906 , 03455372080','H NO 486 ST NO 44 SEC D/12-2 ISB','8','38','38856','SIGNATURE','0',null,'29-JAN-2020','HC-5861S - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 12:18:48','2021-07-15 11:26:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6227','JAVED IQBAL','03335288401','H NO 208 ST NO 8 PHASE 3 B.TOWN RWP','8','43','0','SIGNATURE','REF TO BUTT PWD',null,'15-12-19','HC3900G','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 12:27:20','2021-06-01 12:58:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6228','USMAN SB','03105558883','H NO 4 ST NO 13I SEC E BAHRIA ENCLAVE ISB','8','38','27449','HAIER','0',null,'12-MAY-2018','95-1678HWM - 1817','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 12:29:28','2021-06-01 13:32:45',null,'1',null,'0');
INSERT INTO complaints VALUES('6229','HUSSAIN JAWAD','03009550079','H NO 717 ST NO 2 SHAHZAD TOWN CHAK SHAHZAD ISB','5','28','0','SIGNATURE','REF TO CHAT SERVICES',null,'THREE YEARS AGO',null,'WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 12:32:57','2021-06-12 14:46:19',null,'1',null,'0');
INSERT INTO complaints VALUES('6230','MR IRTIZA','03225258845 , 03228551155','H NO 725 ST NO 45 SEC G/14-4 ISB','8','37','21584','GREE','REF TO PTCL',null,'22-APR-2020','12CITH12G - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSE',null,'customer','0',null,'73','2021-05-29 12:35:23','2021-06-05 16:33:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6231','AMMAR HASSAN','03435802656','H NO 131 ST NO 4 BLOCK I GULBERG GREEN RESIDENCIA ISB','8','39','39865','ORIENT','REF TO PTCL',null,'28-MAY-2020','18G-HYPER-SW - 915','AIR CONDITIONER','COMPRESSOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 13:17:27','2021-06-09 16:31:12',null,'1',null,'0');
INSERT INTO complaints VALUES('6232','MUSHTAQ HUSSAIN','03449355342','APP NO 507-B2 5TH FLOOR SAWAY APP SEC F/11 MARKAZ ISB','5','29','115759','GREE','0',null,'18-MAR-2020','12FITH1S','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 13:52:28','2021-06-03 14:17:45',null,'1',null,'0');
INSERT INTO complaints VALUES('6233','HASSAN FHHS','03013000123','FRIENDS HOME SHAMSHABAD R.W.P','8','37','0','SAMSUNG','55TU8500-MRM',null,'0',null,'FLAT PANEL TV','LINE IN PANAL',null,'4',null,null,'customer','1','3179','73','2021-05-29 14:11:49','2021-05-29 14:12:09',null,'1',null,'0');
INSERT INTO complaints VALUES('6234','MR HAMZA','03347070703 , 03455096714','PLOT 20I MINI EXTENSION 1 BACKSIDE OF COFFEEBEANS SHOP BAHRIA 7','6','12','0','HAIER','REF TO KAMRAN BHR-7',null,'19-MAY-2021','18HFMAC','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 14:53:32','2021-06-10 14:30:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6235','MR UMAIR','03175521765','H NO 28 ST 6 SEC A DHA 2 ISB','8','37','8406','HAIER','REF TO NAFEES FHS',null,'16-APR-2019','150-1678HWM - 1484','WASHING MACHINE','POWER PANEL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 14:56:10','2021-06-02 14:46:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6236','MR UBAID','03085008733','H NO 54 ST NO 28 VALLEY ROAD WESTRIDGE 1 RWP','4','10','40349','KENWOOD','0',null,'18-JUN-2020','1239S-INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 15:03:56','2021-07-01 11:07:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6237','SAMI IQBAL KHAN','03345559573 , 03005304053','H NO 2505 ST NO 58 ABU BAKAR BLOCK PHSE 8 B.TOWN RWP','6','15','35095','GREE','ref TO PTCL',null,'12-MAY-2021','18PITH2W','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 15:46:01','2021-06-03 12:20:58',null,'1',null,'0');
INSERT INTO complaints VALUES('6238','FARAZ JALIL','03160291590 , 03111025166','FLAT NO 418 ST NO 98 WARDA HAMNA RESIDENCIA SEC G/11-3 ISB','5','33','131795','PANASONIC','0',null,'15-APR-2021','24WKF','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 16:29:32','2021-05-31 14:07:06',null,'1',null,'0');
INSERT INTO complaints VALUES('6239','FAHAD SB','03058880083','H NO 197 ROAD1B BAHRIA SPRING NORTH PHASE 7 B.TOWN RWP','6','12','32744','ORIENT','REF TO KHURRAM SB',null,'23-JAN-2021','18G-ORBIT - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 16:54:02','2021-06-17 16:35:14',null,'1',null,'0');
INSERT INTO complaints VALUES('6240','MISS FATIMA','03215000903','ISB','10','45','0','LG','C/O SADDIQ SB (SISTER)',null,'0','DOUBLE DOOR','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-29 18:03:51','2021-05-31 13:10:26',null,'1',null,'0');
INSERT INTO complaints VALUES('6241','mrs saim','03345023472','SERVICE ROAD NEAR ZIA MASJID  KHANNAPULL ISB','5','35','133538','DAWLANCE','0',null,'25-MAY-2021','9122FPR - 1330','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 10:38:23','2021-06-01 17:54:12',null,'1',null,'0');
INSERT INTO complaints VALUES('6242','ZULFIQAR ALI','03339117566','H NO 1438 ST NO 48 NEAR JAMIA MASJID RAFI BLOCK PHASE 8 B.TOWN RWP','10','45','0','SIGNATURE','C/O SADDIQ SB',null,'0','DEEP FREEZER','FREEZER','TRIPPING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 10:46:44','2021-06-07 11:39:42',null,'1',null,'0');
INSERT INTO complaints VALUES('6243','M IMRAN','03335264078 , 03452011234','PULL GULSHAN GAWALA ROAD MUHALLA WORK SHOPI RWP','9','27','211442','SUPER ASIA','REF TO PTCL',null,'25-MAY-2021','240SHW-CRYSTAL - 1548','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 11:54:24','2021-06-01 16:37:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6244','COL BABAR','03015103434','H NO 53A ST NO 13 SEC G DHA 2 ISB','9','19','0','SAMSUNG','REF TO PTCL (TALHA)',null,'OUT OF WARRANTY','STANDARD 40INCHES','FLAT PANEL TV','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 12:01:33','2021-06-30 17:27:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6245','MR TAQI HASSAN','03365779775 , 03177799555','H NO 153 ST NO 3 SANGAR TOWN RWP','9','27','211015','SAMSUNG','0',null,'19-MAY-2021','90J5456','WASHING MACHINE','WATER LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 12:10:08','2021-06-01 11:18:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6246','AZEEM SB','03315420488','FREINDS GULNOOR SHOWROOM MURREE ROAD RWP','9','24','0','DAWLANCE','0',null,'0','142HZP - 1277','MICROWAVE OVEN','HEATING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 12:12:44','2021-06-10 13:02:09',null,'1',null,'0');
INSERT INTO complaints VALUES('6247','ASAD ABBASI','03455118774','H NO 981 MAIN ROAD NEAR HAKIM MEHBOOB QASIM MARKET RWP','6','14','20959','GREE','0',null,'5-MAY-2021','12FITH5WB - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 12:18:54','2021-07-01 11:11:41',null,'1',null,'0');
INSERT INTO complaints VALUES('6248','WAQAR SB','03455559937','SCHOOL STOP NEAR TRAMARY CHOWK KHANNA PULL ISB','9','19','140045','SIGNATURE','REF TO SAQIB FCP',null,'31-AUG-2017','SRF-KK90G - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 12:26:50','2021-06-07 13:06:13',null,'1',null,'0');
INSERT INTO complaints VALUES('6249','ASAD ABBASI','03455118774','H NO 981 MAIN ROAD NEAR HAKIM MEHBOOB QASIM MARKET RWP','6','14','30073','FIVE STAR','0',null,'17-OCT-2020','35G-HEAVYDUTY','GEYSER','HEATING PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2021-05-30 12:35:32','2021-05-31 18:08:41',null,'1',null,'0');
INSERT INTO complaints VALUES('6250','DR AQSA','03329825258','FLAT#A BLOCK 05 WILLOUGH FLAT FAISAL ALVI ROAD LALA KURTI RWP','9','24','111842','GREE','MODAL#12CITH1  TASK#5719 AGAIN COMPLAINT COMPAINE MAY REOPEN KARWA DE HAY',null,'20-MAR-2016',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-05-30 12:44:04','2021-07-01 11:21:45',null,'1',null,'0');
INSERT INTO complaints VALUES('6251','TASAWAR ABBAS','03009862494','H NO 7A ST NO 16B BLOCK B PWD HOUSING SOCIETY ISB','4','5','20227','DAWLANCE','REF TO KAMTRAN BHR-7',null,'28-MAR-2021','9193LFAVANTE+LB','REFRIGERATOR','EARTH',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 13:03:48','2021-06-09 13:26:24',null,'1',null,'0');
INSERT INTO complaints VALUES('6252','ATTIQ AHMED','03005501200','HO#13 ST 3-A GULRAZ COLONY CHAKLALA SCHEME 03 RWP','9','27','211631','SAMSUNG','0',null,'27-MAY-2021','40N5300','FLAT PANEL TV','LINE IN PANEL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 13:06:43','2021-08-02 12:54:45',null,'1',null,'0');
INSERT INTO complaints VALUES('6253','BASIT SB','03008562013','H NO 95 ST NO 7 CHAKLALA SCHEME 3 RWP','10','45','0','KENWOOD','C/O KAMRAN BHR-7',null,'0','FLOOR STANDING','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 13:17:48','2021-06-03 16:02:06',null,'1',null,'0');
INSERT INTO complaints VALUES('6254','ABDUL MAJEED','03351501916','H NO 4378 GALI 1 MISRIYAL CHOWK NEAR ARMY UNIT PESHAWAR ROAD RWP','9','23','210351','HAIER','0',null,'4-MAY-2021','336IDBA','REFRIGERATOR','GASKIT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 13:20:44','2021-06-01 13:27:42',null,'1',null,'0');
INSERT INTO complaints VALUES('6255','MISS UZMA','03335193311','H NO 12 ST NO 8 BLOCK F SOAN GARDEN ISB','4','5','20527','HAIER','REF TO NAFEES',null,'13-APR-2021','18HFPAA-S , 18HFPCA-G','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 13:59:42','2021-06-10 13:49:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6256','NOOR ISLAM','03465157771','QABRISTAN GATE NEAR 4 NUMBER CHONGI RWP','9','21','203524','HAIER','0',null,'6-JAN-2021','545HDF','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 14:09:02','2021-06-05 11:44:12',null,'1',null,'0');
INSERT INTO complaints VALUES('6257','KASHIF PERVAIZ','03345105775','H NO 252 ST NO 31 SEC G/8-2 ISB','5','34','133527','GREE','REF TO PTCL',null,'25-MAY-2021','18G-HYPER , 18PITH2W','AIR CONDITIONER','BREAKER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 14:15:04','2021-05-31 13:08:55',null,'1',null,'0');
INSERT INTO complaints VALUES('6258','AZMAT MEHMOOD','03335951887','BOARH MASJID PESHAWAR ROAD RWP CANTT','9','26','0','DAWLANCE','REF TO PTCL',null,'30-MAR-2021','9150LFGD-BG','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 14:33:48','2021-06-05 16:24:39',null,'1',null,'0');
INSERT INTO complaints VALUES('6259','WALEED TAHIR','03225079597','H NO 379 ST NO 23 ZONE 1 GARDEN CITY PHASE 7 B.TOWN','4','11','18202','HAIER','0',null,'5-DEC-2020','18HFBG','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 14:36:18','2021-07-01 15:08:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6260','MRS MALIK','03000501464','H NO 392 ST NO 16 FALCON COMPLEX KRL ROAD RWP','8','37','0','WAVES','C/O AKBAR SB',null,'0','310WDF-SS - 955','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 14:39:28','2021-06-01 14:11:05',null,'1',null,'0');
INSERT INTO complaints VALUES('6261','KAMAL KHALID SB','03317317317','OFICE NO 5 2ND FLOOR BLOCK B NORTH SPRING BAHRIA PHASE 7 RWP','8','37','48235','SIGNATURE','0',null,'2-MAY-2021','SRF-MD29-W - 1980','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 14:58:37','2021-06-03 11:59:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6262','MR TALAL','03005037007','H NO 732 STNO 31 TELE GARDEN SEC F/17-2 ISB','9','19','16837','SAMSUNG','REF TO HAMMAD FCP',null,'2-DEC-2018','90J5710 - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 15:11:32','2021-06-06 16:34:49',null,'1',null,'0');
INSERT INTO complaints VALUES('6263','SHERAZ SB','03219068330 , 03415253654','FLAT NO 4E CSD FLATS LALKURTI RWP CANTT','7','49','22214','ORIENT','REF TO PTCL',null,'21-NOV-2020','531BL - 993','WATER DISPENSER','SOUND PORBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 15:16:28','2021-07-07 13:24:43',null,'1',null,'0');
INSERT INTO complaints VALUES('6264','FAIQ MALIK','03088932690','H NO 105 ST NO 81 SEC E/11-2 ISB','5','28','133472','GREE','REF TO PTCL',null,'24-MAY-2021','18PITH2W','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 15:30:00','2021-05-31 12:48:28',null,'1',null,'0');
INSERT INTO complaints VALUES('6265','MR ABUBAKAR','03475001042','H NO 63 ROAD S BLOCK F NAVAL ANCOURAGE ISB','4','5','21418','GREE','REF TO ADIL I/10',null,'28-MAY-2021','18FITH2W - 201','AIR CONDITIONER','ERROR H3',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 15:36:13','2021-07-15 14:44:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6266','OMER AFZAL','03345208968','H NO 08 ST NO 34 KORANG TOWN ISB','4','11','21123','HAIER','0',null,'17-MAY-2021','12HFCE-W-INV - 913','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 15:49:10','2021-06-01 13:17:20',null,'1',null,'0');
INSERT INTO complaints VALUES('6267','MR MIRZA','03005062919','H NO 48L LANE 4A OPP ALIF SHAH GRAVEYARD LALAZAR COLONY RWP','9','19','209230','HAIER','0',null,'13-APR-2021','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 16:24:25','2021-06-06 12:14:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6268','BADRUL ISLAM','03312392453 , 0512750152','H NO 239 ST NO 53 SEC D/12-2 ISB','5','28','132119','BOSCH','REF TO PTCL',null,'26-APR-2021','65V120MC','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 16:59:13','2021-06-04 16:22:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6269','ABDUL REHMAN','03165808672','LANE NO 1 PESHAWAR ROAD RWP','9','21','211592','SIGNATURE','0',null,'27-MAY-2021','A2','BUILT IN APPLLIANCES','TIMER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 17:09:19','2021-06-09 14:47:48',null,'1',null,'0');
INSERT INTO complaints VALUES('6270','ISRAR HUSSAIN','03125241864','H NO 210 ALLABAD PESHAWAR ROAD RWP','7','49','19515','ORIENT','REF TO ATIF SADDAR',null,'22-JUL-2019','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 17:10:26','2021-07-15 14:37:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6271','MUBASHIR ABBAS','03006458398','LAKE VIEW STREET VILLA NO 12 E3 WEST NEAR PASSPORT OFFICE MIRPUR AZAD KASHMIR','8','42','40789','HAIER','0',null,'6-JUL-2020','18HNI-B-INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 17:26:55','2021-06-05 13:11:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6272','AMIR ILYAS','03005259265 , 0512805368','H NO 21 ST NO 5 BLOCK F SOAN GARDEN ISB','8','37','22337','GREE','0',null,'15-MAY-2020','18FITH1C - 915','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 17:28:39','2021-06-05 16:21:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6273','ADEEL SB','03335716849','H NO 518 ST NO 25 BLOCK C CBR TOWN ISB','4','7','4985','SIGNATURE','0',null,'20-AUG-2018','SCF-HM10 - 955','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-30 17:51:56','2021-06-07 13:03:01',null,'1',null,'0');
INSERT INTO complaints VALUES('6274','QALB I ABBAS','03215552227','H NO 353 ST NO 15 CHAKLALA SCHEME 3 RWP','8','38','48670','TCL','2102VLR301419A00080',null,'11-MAY-2021','75P715','FLAT PANEL TV','WIFI PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 10:34:28','2021-06-05 13:56:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6275','HAMMAD SB','03455104405','FRIENDS GULNOOR MARKET RWP','9','19','0','HOMAGE','REF TO HAMMAD FCP',null,'0','43HWD - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 10:39:49','2021-06-16 12:14:53',null,'1',null,'0');
INSERT INTO complaints VALUES('6276','DR MASOOD','03065522612','H NO 510 ST NO 19 SEC C PHASE 8 B.TOWN RWP','6','12','0','SIGNATURE','REF TO ZAHID (C/O BILAL MANZOOR)',null,'OUT OF WARRANTY (2017)','CH1-RD - 1705','AIR COOLER','WATER PUMP',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 10:46:54','2021-06-03 11:47:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6277','SHOAIB SB','03458553186','H NO 108 ST NO 34 SEC G/9-1 ISB','8','40','45076','TCL','0',null,'13-DEC-2020','18T3B - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 10:51:12','2021-06-16 12:19:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6278','TASNEEM HAMZA','03348333803','H NO 455KB ADAM JEE ROAD SADDAR RWP CANTT','7','49','13609','SIGNATURE','REF TO ATIF SADDAR',null,'20-JAN-2017','SWM-SR45 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 11:03:42','2021-06-02 12:49:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6279','RAJA PERVAIZ','03315111019','H NO 432 1ST FLOOR SERVICE ROAD WEST I/8-2 ISB','9','26','211704','SUPER ASIA','REF TO RIFFAT FCP',null,'30-MAY-2021','5000ECM-PLUS - 1577','AIR COOLER','FAN PROBLEM',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2021-05-31 11:08:41','2021-06-03 14:19:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6280','SYED ISHTIAQ','03138195222','SHAH ALLA DITTA VILLAGE NEAR SEC D/12 ISB','9','26','211842','SUPER ASIA','0',null,'30-MAY-2021','5000ECM-PLUS - 1577','AIR COOLER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 11:14:46','2021-06-05 16:39:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6281','PERVAIZ SB','03009723554','HIT GATE NO 5 TAXILLA','9','26','211563','KENWOOD','0',null,'27-MAY-2021','1228S-INV - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 11:18:46','2021-06-17 12:54:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6282','IBRAHIM KHALIL','03045555566','JAMIA MASJID MARKAZ ISLAMI ST NO 3 ISLAMABAD HO,MES NEAR MOTORWAY CHOWK  JHANGI SYEDAN','9','19','211080','ECOSTAR','REF TO RIFFAT FCP',null,'20-MAY-2021','351FC','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 11:23:28','2021-06-05 17:08:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6283','JABBAR SB','03105068173','ST NO 3 NEAR ALI CLINIC DHOK KHABBA RWP','9','20','168093','SIGNATURE','0',null,'26-MAR-2019','SCF-HM12 - 956','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 11:26:37','2021-06-07 11:34:46',null,'1',null,'0');
INSERT INTO complaints VALUES('6284','MEHBOOB PARACHA','03219154078','H NO 139 ST NO 5 PHASE 3 B.TOWN RWP','4','5','10156','ORIENT','0',null,'31-JUL-2019','18G-BOLD-UW-INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 11:31:19','2021-06-06 16:22:34',null,'1',null,'0');
INSERT INTO complaints VALUES('6285','ABDUL QADIR','03002397154 , 0514939185','H NO 119 ST NO 46 SEC I/8-2 ISB','8','43','0','LG','REF TO PTCL( MANUAL BILL)',null,'18-DEC-2018','4G1JCHK6N-S - 1874','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 11:35:44','2021-06-08 12:32:20',null,'1',null,'0');
INSERT INTO complaints VALUES('6286','MR USMAN','03085787987','H NO 9D187 NEAR PAKISTAN CAMBRIDGE SCHOOL 7TH ROAD RWP','8','40','49300','SUPER ASIA','0',null,'30-MAY-2021','280SA-CRYSTAL - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 11:39:28','2021-06-07 18:13:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6287','MRS AHMED','03215333346','H NO 26 ST NO 8 SEC E/11-2 ISB','5','34','127207','KENWOOD','0',null,'17-DEC-2020','2436S-INV','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 12:01:06','2021-06-07 13:50:42',null,'1',null,'0');
INSERT INTO complaints VALUES('6288','MUHAMMAD ALI','03335089268','H NO 283 ST NO 16 SEC B PHASE 8 B.TOWN RWP','6','15','35074','GREE','0',null,'10-MAY-2021','12PITH2W','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 12:05:31','2021-06-05 14:56:33',null,'1',null,'0');
INSERT INTO complaints VALUES('6289','SHAHID CHAUHAN','03315252920 , 03315252921','H NO 1699 ST NO 26 SEC I/10-2 ISB','5','34','131344','GREE','0',null,'7-APR-2021','18FITH3W','AIR CONDITIONER','SWING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 12:19:02','2021-06-02 17:30:39',null,'1',null,'0');
INSERT INTO complaints VALUES('6290','MISS SARA','03348866645','H NO 186 ST NO 7RACE COURSE RWP','9','24','191399','ORIENT','0',null,'24-JUN-2020','12G-VENUS-BW - 913','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 12:26:27','2021-07-24 15:54:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6291','ASIM ALI','03214000013','SAVOY APPARTMENTS BLOCK NO 3 APP NO 305 SDEC F/11-1 ISB','5','28','119448','SHARP','REF TO PTCL',null,'20-JUL-2020','710CX-S - 1548','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 12:28:13','2021-06-02 12:41:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6292','SERVICE CENTRE','0518445463','PLOT#81f st#6 sec i/10-3 isb','10','44','0','SONY','0',null,'0','55X9500H','FLAT PANEL TV','PARTS MISSING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 12:32:51','2021-06-18 17:05:49',null,'1',null,'0');
INSERT INTO complaints VALUES('6293','MUHAMMAD USMAN','0518311749 , 03423359806','H NO 27 ST NO 67 SEC G/13-2 ISB','8','37','0','SIGNATURE','REF TO PTCL',null,'3 YEARS AGO (ON PAYMENT)','TOP LOAD AUTO','WASHING MACHINE','ERROR F1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 12:46:24','2021-06-02 12:39:09',null,'1',null,'0');
INSERT INTO complaints VALUES('6294','KHURRAM MALIK','03005548081','FRIENDS MALL ROAD SADDAR RWP','7','49','0','DAWLANCE','0',null,'0','91999AVANTE-PLUS','REFRIGERATOR','GAS KIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 12:56:49','2021-06-02 17:27:43',null,'1',null,'0');
INSERT INTO complaints VALUES('6295','MICHELE BUTT','03005314346','H NO 73 ST NO 61 SEC F/10-3 ISB','5','30','120917','GREE','0',null,'17-AUG-2020','24CITH11W - 917','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 12:59:16','2021-06-07 14:15:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6296','ZAFAR RASHEED','03348554222','H NO 35 ST NO 17E BLOCK F NAVAL ANCOURAGE ISB','4','5','6682','LG','REF TO KHURRAM SB',null,'9-DEC-2018','247SMUV-S - 909','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 13:07:20','2021-06-28 12:13:17',null,'1',null,'0');
INSERT INTO complaints VALUES('6297','MANSOOR AMIN','03332808442','FLAT NO 1 HAIDERI PLAZA BLOCK C PWD','4','5','3184','SIGNATURE','REF TO KAMRAN PWD',null,'9-APR-2018','SRF-WB100-B - 860','REFRIGERATOR','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 13:11:51','2021-06-05 14:29:20',null,'1',null,'0');
INSERT INTO complaints VALUES('6298','SOHAIL SB','03335227768','H NO 2 BLOCK D  DHOKCHAUDRIAN NEAR ALI TRUST SCHOOL CAR CHOWK RWP','9','22','207052','WAVES','0',null,'6-MAR-2021','313WDF-SS - 956','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 13:17:59','2021-06-02 17:22:18',null,'1',null,'0');
INSERT INTO complaints VALUES('6299','JAMIL','03225116257','J7 PLAZA MARGALLA VIEW HOUSING SOCIETY SEC D/17 ISB','9','21','195516','DAWLANCE','0',null,'31-AUG-2020','9170WBD-OG - 860','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 13:22:23','2021-06-02 17:00:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6300','DR IRFAN','03008542490','H NO 6 ST NO 13 SEC G PHASE 2 DHA ISB','4','11','21240','MITSUBISHI','0',null,'23-MAY-2021','50VA - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 13:27:15','2021-06-01 14:38:12',null,'1',null,'0');
INSERT INTO complaints VALUES('6301','DR M ZAFFAR','03335599777','H NO 10 ST NO 31 SEC C ARCHED DHA 1 RWP','6','15','30993','ORIENT','0',null,'1-DEC-2020','18G-ROYAL-CW - 915','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 13:31:07','2021-06-03 11:50:25',null,'1',null,'0');
INSERT INTO complaints VALUES('6302','CH WAQAS','03345316131','H NO 85 ST NO 5 GULRAIZ PHASE 6 GATE 1 CAR CHOWK RWP','6','16','35342','DAWLANCE','REF TO RAJA ZAHID',null,'25-MAY-2020','91998H-SIGNATURE - 958','FREEZER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 13:41:47','2021-06-02 16:56:52',null,'1',null,'0');
INSERT INTO complaints VALUES('6303','COL TANVEER','03215177303','H NO 3 SERVICE LANE SEC B DHA 1 RWP','6','12','26422','HAIER','0',null,'5-MAR-2020','18HNM-INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 13:44:48','2021-06-03 15:13:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6304','SYED HAMZA','03325620528','H NO 1 ST NO 7 SEC A DHA 1 RWP','6','12','26879','HAIER','0',null,'23-APR-2020','12LTC - 912','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 13:47:54','2021-06-03 15:11:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6305','MRS SHUJA','03215362904','ALNOOR MANZIL OPP BANK ISLAMI JEHLUM ROAD CHAKWAL','8','37','42253','HAIER','0',null,'6-SEP-2020','18HRO','AIR CONDITIONER','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 13:56:17','2021-06-02 16:54:29',null,'1',null,'0');
INSERT INTO complaints VALUES('6306','WAJID AZIZ','03218577700','NEAR MALL MANDI TAJ PALACE PLAZA RING ROAD PESHAWAR','8','37','35721','KENWOOD','0',null,'22-JUL-2019','1831S-INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 13:59:43','2021-06-06 17:26:39',null,'1',null,'0');
INSERT INTO complaints VALUES('6307','TARIQ BAIG','03378600195','H NO 24 ST NO 41 SEC F SAFARI HOMES PHASE 8 B.TOWN RWP','6','15','15572','HAIER','0',null,'24-JUL-2018','75-918 - 69','WASHING MACHINE','SPINNER PROBLEM',null,'5','COMPLAINT CLOSE',null,'customer','0',null,'73','2021-05-31 14:05:31','2021-06-03 15:10:25',null,'1',null,'0');
INSERT INTO complaints VALUES('6308','LIAQAT SB','03160501782','H NO 64Y SERVICE ROAD C SEC I/10-4 ISB','7','49','22991','ORIENT','0',null,'12-FEB-2021','18G-ORBIT - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 14:14:04','2021-06-06 16:05:09',null,'1',null,'0');
INSERT INTO complaints VALUES('6309','MR HASEEB','03335650713','H NO 72D ST NO21 MEDIA TOWN ISB','4','5','21297','HAIER','REF TO KAMRAN PWD',null,'24-MAY-2021','306B','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 14:17:05','2021-06-05 17:10:57',null,'1',null,'0');
INSERT INTO complaints VALUES('6310','MR RAMZAN','03335115193','H NO 336 ST NO 73 SEC G/11-2 ISB','5','28','107155','ORIENT','0',null,'8-JUL-2019','24G-PREMIER-SW - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 14:21:52','2021-06-06 16:18:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6311','MUHAMMAD SARWA','03423076763 , 03406070282','AWAN STREET SHALEY VALLEY RWP','9','25','189708','ORIENT','0',null,'1-JUN-2020','531WD','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 14:29:18','2021-06-06 15:54:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6312','ADEEL','03324272018','H NO 101 ST NO 76A SEC E/11-2 ISB','5','30','123302','SIGNATURE','REF TO ABUBAKAR',null,'26-OCT-2020','C595','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 14:35:57','2021-06-10 12:38:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6313','ZEESHAN AZEEM','03151238080','H H NO 379 ST NO 13 SHAHZAD TOWN ISB','5','34','126548','SONY','0',null,'6-DEC-2020','55X7500H-CC','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 14:39:59','2021-06-18 17:05:22',null,'1',null,'0');
INSERT INTO complaints VALUES('6314','HAMMAD SB','03455104405','FRIENDS GULNOOR MARKET RWP','9','51','0','HAIER','0',null,'0','58K6600UG','FLAT PANEL TV','SCREEN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 14:43:34','2021-06-02 16:33:39',null,'1',null,'0');
INSERT INTO complaints VALUES('6315','MISS ANUM FAROOQ','03328777705','H NO 239 ST NO 29 SEC I/9-1 ISB','8','37','41982','ORIENT','0',null,'19-AUG-2020','AUTO8 - 899','WASHING MACHINE','ERROR E4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 15:13:09','2021-06-06 15:49:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6316','MR JANI','03344508800 , 03337508001','H NO 493 ST NO 65H MAIN ROAD PAKISTAN TOWN PHASE 1 ISB','4','11','3982','SIGNATURE','0',null,'4-JUN-2018','SRF-WB90M - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 15:20:21','2021-06-07 11:21:07',null,'1',null,'0');
INSERT INTO complaints VALUES('6317','ZAFAR SB','03005048757','H NO 727 ST NO 52 I/10-1 ISB','8','37','0','ROWENTA','C/O JAWAD SB FHS',null,'0','ATLAS COOLER','AIR COOLER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 15:23:29','2021-06-07 11:20:14',null,'1',null,'0');
INSERT INTO complaints VALUES('6318','TAHIRA  ANWAR','03216160468','H NO 263F LANE NO 47 NEAR OMER MARKET MAIN STREET 38 SEC G/10-4 ISB','10','45','0','ORIENT','C/O SADDIQ SB',null,'LAST SEASON(2020)','1.0TON','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 15:30:51','2021-06-16 12:42:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6319','AFZAL KAHUT','03005195807','H NO 2A NAZIMUDDIN ROAD NEAR SAUDI PAK TOWER SEC F/7-4 ISB','5','30','103970','SHARP','REF TO TARIQ FCI',null,'22-APR-2019','24HCP-INV - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 15:43:27','2021-06-03 11:43:31',null,'1',null,'0');
INSERT INTO complaints VALUES('6320','ALI SAJID','03335046624','H NO 14 ST NO 21 KORANG TOWN ISB','4','5','19754','HAIER','REF TO NAFEES PWD',null,'23-FEB-2021','18HJ-S INV - 915','AIR CONDITIONER','PCB FINS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 15:49:36','2021-07-01 15:09:21',null,'1',null,'0');
INSERT INTO complaints VALUES('6321','SYED NAVEED','03455270022','ST NO 13 AQEEL PLAZA BILAL TOWN KHANNAPULL ISB','8','37','33990','ORIENT','REF TO PTCL',null,'16-MAY-2019','18G-SUPER - 915','AIR CONDITIONER','ON OFF',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 15:53:55','2021-06-06 15:45:54',null,'1',null,'0');
INSERT INTO complaints VALUES('6322','AZEEM SB','03315420488','FRIENDS GULNOOR MARKET RWP','9','19','0','SUPER ASIA','REF TO AZEEM SB',null,'0','5000ECM-PLUS - 1577','AIR COOLER','GRILL PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 16:11:53','2021-06-02 16:27:35',null,'1',null,'0');
INSERT INTO complaints VALUES('6323','RAJA TANVEER','03015354001','ADIL TRADING COMPANY RAILWAY ROAD  ISLAMPURA JABBAR TEHSIL GUJAR KHAN','9','24','177152','HAIER','0',null,'10-AUG-2019','545DD - 959','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 16:35:08','2021-07-01 15:10:43',null,'1',null,'0');
INSERT INTO complaints VALUES('6324','ASIM KIYANI','03315215350 , 03321452033','H NO 3 NEAR BRIGHT HALL SCHOOL NEW MALPUR 6TH ROAD RWP','5','33','128885','HAIER','0',null,'5-FEB-2021','18HFMAD','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 16:39:04','2021-06-02 15:57:36',null,'1',null,'0');
INSERT INTO complaints VALUES('6325','ASIM KIYANI','03321452033 , 03315215350','H NO 3 NEAR BRIGHT HALL SCHOOL NEW MALPUR 6TH ROAD RWP','5','33','127558','MITSUBISHI','0',null,'29-DEC-2020','50VA - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 16:41:51','2021-06-02 15:59:28',null,'1',null,'0');
INSERT INTO complaints VALUES('6326','WAQAS AMEEN','0514718280 , 03009553559','SAGHEER MARKET HIGH LAND SMARTCITY OFFICE SEC F/10-4 ISB','5','33','131609','HAIER','0',null,'12-APR-2021','12HFCF , 18HFCF','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 16:48:08','2021-06-07 14:08:32',null,'1',null,'0');
INSERT INTO complaints VALUES('6327','MUHAMMAD TALHA','03219541247 , 03319913335','BLOCK NO 1 FLAT NO 5 CAT3 SEC I/8-1 ISB','9','26','107271','LG','REF TO PTCL',null,'23-NOV-2015','1496TDT24S - 122','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 16:52:54','2021-06-08 12:21:48',null,'1',null,'0');
INSERT INTO complaints VALUES('6328','FAHAD MALIK','03004066455','H NO 156 ST NO 20 SEC G/10-2 ISB','5','28','132164','HAIER','REF TO IQBAL FCI',null,'26-APR-2021','206W','WATER DISPENSER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 17:00:23','2021-06-02 15:28:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6329','RISUR REHMAN','03379755179','H NO 74 GALI 4 ASKARI10 JHANDA CHICHI CHOWK RWP','5','35','121381','HAIER','0',null,'1-SEP-2020','18HRW-W-INV - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 17:19:37','2021-06-02 15:22:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6330','DR ZAHID','03341111278','H NO 31/B LANE 1 GULISTAN COLONY RWP','9','19','211303','LG','0',null,'24-MAY-2021','702HMHU-S - 885','REFRIGERATOR','SETTINGS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-05-31 17:38:19','2021-06-28 12:10:27',null,'1',null,'0');
INSERT INTO complaints VALUES('6331','ARSHAD KAZMI','03335530916','H NO 3 ST NO 15 LANE NO 13 SEC D DHA 2 ISB','6','14','23331','KENWOOD','0',null,'2-OCT-2019','1831S-INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 10:35:39','2021-06-06 15:39:12',null,'1',null,'0');
INSERT INTO complaints VALUES('6332','MR HAJI AKHTER','03335109263','FARM NO 9 CHAK SHAHZAD FARMS ISB','10','45','0','SAMSUNG','C/O SADDIQ SB',null,'2 MONTHS BACK','32M71207F-S - 1468','FREEZER','DOOR REPLACE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 10:39:31','2021-06-02 13:27:52',null,'1',null,'0');
INSERT INTO complaints VALUES('6333','IMRAN FCP','03005331105','FRIENDS GULNOOR MARKET RWP','9','51','0','SAMSUNG','0',null,'0','55TU7000','FLAT PANEL TV','WIFI PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 10:41:48','2021-06-28 12:09:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6334','IQBAL FCI','03465166132','FRIENDS BLUE AREA ISB','5','28','0','MIDAS','DAWLANCE HOOD',null,'0','9630','BUILT IN APPLLIANCES','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 10:44:40','2021-06-21 17:16:05',null,'1',null,'0');
INSERT INTO complaints VALUES('6335','MR ZEESHAN','03215000581','H NO 164 ROSE ROAD SAFARI VILLA 3 B.TOWN RWP','4','8','19987','MITSUBISHI','0',null,'10-MAR-2021','50VA','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 10:47:46','2021-06-01 14:35:38',null,'1',null,'0');
INSERT INTO complaints VALUES('6336','TAHIR HUSSAIN','03359260684','OPP ATOCK TARA FOUNDATION NEAR PINDI BOARD MORGAH RWP','8','40','40899','HOMAGE','0',null,'8-JUL-2020','43HWD - 993','WATER DISPENSER','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 10:55:16','2021-06-21 17:03:34',null,'1',null,'0');
INSERT INTO complaints VALUES('6337','HAMID NAZEER','03335333346','H NO 985 ST NO 69 SEC G/10-4 ISB','8','47','25361','LG','0',null,'20-MAY-2021','1369NEHTF-C','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 11:01:06','2021-06-04 17:53:07',null,'1',null,'0');
INSERT INTO complaints VALUES('6338','SYED ALI','03345033941','H NO 3 ST NO 27 JINNAH GARDEN ISB','9','51','187605','HAIER','REF TO PTCL',null,'1-MAR-2020','40B9200M - 938','FLAT PANEL TV','POWER SUPPLY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 11:23:18','2021-06-06 11:36:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6339','MUHAMMAD ADIL','03335538823','H NO P1625A9 A1 MILAD STREET ASGHAR MALL DEGREE COLLAGE ROAD RWP','9','27','162196','SAMSUNG','REF TO PTCL',null,'7-DEC-2018','80J4260-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 11:29:50','2021-06-03 11:43:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6340','SAJJAD AHMAD','03009107672','MUHALLAH NEW EIDGAH PANIYAN VILLAGE HARIPUR','9','23','133341','HAIER','0',null,'11-MAY-2017','618HRF-SS - 903','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 11:35:19','2021-06-06 11:34:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6341','HAROON KHAN SB','03339155237','H NO 451 ST NO 28 SEC E/11-4 ISB','5','28','0','SIGNATURE','C/O AKBAR SB',null,'0','REF SIGNATURE','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 11:46:31','2021-06-07 11:17:43',null,'1',null,'0');
INSERT INTO complaints VALUES('6342','CH NAEEM','03204301218, 03204301219','H NO 729 OMER ROAD B BAHRIA TOWN PHASE 2 RWP','4','8','11039','LG','0',null,'15-OCT-2019','442HMHU-S - 746','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 11:49:05','2021-06-08 12:19:58',null,'1',null,'0');
INSERT INTO complaints VALUES('6343','AHMED FAWAD','03028122708','H NO 638 ST NO 58 SEC I/8-2 ISB','5','34','129782','KENWOOD','REF TO PTCL',null,'27-FEB-2021','2436S','AIR CONDITIONER','SMELL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 11:51:36','2021-06-06 15:30:58',null,'1',null,'0');
INSERT INTO complaints VALUES('6344','RAJA TARIQ KIYANI','03005556248 , 0515439079','FLAT 5C ANF HEADQUARTER OPP OLD AIRPORT  RWP','7','49','22727','CARAVELL','0',null,'31-DEC-2020','207BA','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 12:05:18','2021-06-16 13:03:09',null,'1',null,'0');
INSERT INTO complaints VALUES('6345','MUHAMMAD AYUB','03215720489 , 0572541567','H NO 10 OPP MASJID ALFURQAN DARULISLAM ATTOCK CITY','5','29','113721','ORIENT','C/O ARIF BHATTI SB',null,'9-JAN-2020','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 12:11:32','2021-06-06 15:25:29',null,'1',null,'0');
INSERT INTO complaints VALUES('6346','AHSAN IQBAL','03348524777 , 03028550888','H NO 21 SEC F4  PART 2 MIRPUR AZAD KASHMIR','5','31','103105','LG','0',null,'26-MAR-2019','247CAAV-S - 909','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-01 12:14:17','2021-06-07 13:02:24',null,'1',null,'0');
INSERT INTO complaints VALUES('6347','MRS FAYYAZ','03355135747','POLICE COLLEGE SIHALA NEAR RAILWAY PATAHAK KAKPULL ISB','4','5','21039','LG','REF TO NAFEES PWD',null,'7-MAY-2021','425FPS-S','DISH WASHER','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 12:26:22','2021-06-05 14:46:58',null,'1',null,'0');
INSERT INTO complaints VALUES('6348','CH FAREED','03205000407 , 03218500989','H NO 206 ST NO 74 SEC F/11-1 ISB','9','26','204339','SIGNATURE','REF TO PTCL',null,'23-JAN-2021','HC-3764G','BUILT IN APPLLIANCES','NOB ISSUE',null,'5','COMPALINT CLOSED',null,'customer','0',null,'73','2021-06-01 12:44:20','2021-06-02 12:37:53',null,'1',null,'0');
INSERT INTO complaints VALUES('6349','KHALID HASSAN','03005511554 , 0512614755','H NO 656 ST NO 21 SHAHZAD TOWN ISB','8','37','16617','ORIENT','0',null,'19-MAY-2016','19K8PSB-HC','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 12:55:58','2021-07-24 15:52:41',null,'1',null,'0');
INSERT INTO complaints VALUES('6350','MRS SHAHID','03426122797 , 03335331362','H NO 18 ST NO 21 SEATER B DHA 2 ISB','6','14','0','LG','0',null,'OUT OF WARRANTY','TOP LOAD AUTO','WASHING MACHINE','NEED SERVICE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 13:01:50','2021-06-05 12:36:45',null,'1',null,'0');
INSERT INTO complaints VALUES('6351','SABIR MALIK','03335467710','TAHLEE MORI CHOWK TENCH BHATTA RWP','9','19','207192','BOSCH','EXTREME HOOD',null,'10-MAR-2021','788','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 13:04:49','2021-08-11 12:50:29',null,'1',null,'0');
INSERT INTO complaints VALUES('6352','COL GOHAR','03335215252','H NO 50 ST NO 3 SEC C ASKARI 14 RWP','8','37','32016','LG','C/O SADDIQ SB (KHURRAM SB)',null,'24-JAN-2019','1066NEFTW-S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2021-06-01 13:08:43','2021-06-04 17:48:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6353','SHAZAD SB','03335129036','H NO 537 D/2 LANE NO 2  WESTRIDGE 3 RWP','7','49','23040','CORONA','0',null,'20-FEB-2021','351C - 1533','COOKING RANGE','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 13:14:40','2021-06-04 12:59:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6354','SAIFULLAH KHAN','03005004236','H NO 40A ST NO 256 SEC G/7-3 ISB','5','28','71923','LG','REF TO ABUBAKAR FCI',null,'18-DEC-2015','2028AFPS5 - 1619','WASHING MACHINE','SERVICE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 13:19:16','2021-06-05 14:39:03',null,'1',null,'0');
INSERT INTO complaints VALUES('6355','SAIFULLAH KHAN','03005004236','H NO 40A ST NO 256 SEC G/7-3 ISB','5','28','54999','MITSUBISHI','REF TO PTCL',null,'3-JUL-2013','51X-MRF - 87','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 13:19:19','2021-06-03 11:41:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6356','AQIB JAVED','03025075726','DHOK MATKIAL','9','27','198405','MITSUBISHI','0',null,'29-OCT-2020','50VA - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 13:36:29','2021-06-04 12:57:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6357','MIRZA BAIG','03175912059','SHOP NO 2&3 MIR PLAZA GULZARE-QUIDE OLD AIRPORT ROAD RWP','4','10','34282','GREE','0',null,'12-APR-2021','24K3FI-GTH - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 14:01:46','2021-07-15 14:20:18',null,'1',null,'0');
INSERT INTO complaints VALUES('6358','MR ARSLAN','03435370733','AVACUEE TRUST 1ST FLOOR NEAR MARIOTT P5 ISB','5','33','132106','HAIER','0',null,'26-APR-2021','50K6600G','FLAT PANEL TV','CHANNELS PRO
BLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 14:09:05','2021-06-04 12:52:28',null,'1',null,'0');
INSERT INTO complaints VALUES('6359','ZARA FAROOQ','03365146051','1ST FLOOR ALAIN PLAZA SEC A MARKET DHA 2 ISB','6','15','34529','VARIOLINE','REF TO ADEEL BHR-7',null,'21-APR-2021','20STRL-WHT - 993','WATER DISPENSER','COOLING PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2021-06-01 14:28:36','2021-06-03 15:38:03',null,'1',null,'0');
INSERT INTO complaints VALUES('6360','MIAN ASIF','03105236399 , 03217770234','H NO 50 ST NO 1 BLOCK D SAWAN GARDEN ISB','4','11','8782','DAWLANCE','0',null,'8-MAY-2019','1045CVT-VF - 1467','FREEZER','COOLING PROBLEM',null,'5','complaint  closed',null,'customer','0',null,'73','2021-06-01 15:05:58','2021-06-03 15:35:10',null,'1',null,'0');
INSERT INTO complaints VALUES('6361','IMTIAZ HUSSAIN','03333461692','H NO 484 ST NO 21/1 PHASE 5 B.TOWN RWP','4','11','20981','DAWLANCE','0',null,'5-MAY-2021','9000DS','SPINNER','NOT WORKING',null,'5','complaint closed',null,'customer','0',null,'73','2021-06-01 15:20:20','2021-06-03 15:33:06',null,'1',null,'0');
INSERT INTO complaints VALUES('6362','MR MANSOOR','03005013447','MURREE','5','28','89961','SIGNATURE','REF TO COSTUMER',null,'9-DEC-2017','65WBS - 893','REFRIGERATOR','COMPRESSOR REPLACED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 15:24:22','2021-06-07 11:16:57',null,'1',null,'0');
INSERT INTO complaints VALUES('6363','MR USMAN','03215947034','SHEIKH KIDS MALL WALLAYAT COMPLEX NEAR RABI CENTRE PHASE 7 B.TOWN RWP','6','12','20156','ORIENT','REF TO WAQAS PWD',null,'9-APR-2019','CRYSTAL-C-BLK - 993','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 15:27:15','2021-06-14 17:34:26',null,'1',null,'0');
INSERT INTO complaints VALUES('6364','M SHAREEF','03055558395','H NO 662 BLOCK C ST NO 43 PWD ISB','5','36','127812','ORIENT','0',null,'6-JAN-2021','531OWR - 993','WATER DISPENSER','TAP PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 15:31:50','2021-06-06 15:15:21',null,'1',null,'0');
INSERT INTO complaints VALUES('6365','TAHIR MEHMOOD','03466101001 , 03155837966 , 03005271532','KASHMIRI BAZAR RWP','9','26','202780','SIGNATURE','0',null,'23-DEC-2020','SWH-20-06','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 15:42:29','2021-06-05 12:40:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6366','SIKANDAR CHEEMA','03334265273','BLOCK 6 SF2 ASKARI NAZIR APPARTMENTS KASHMIR ROAD RWP','9','24','0','SIGNATURE','C/O MUDASSIR',null,'3 YEARS AGO (ON PAYMENT)','FREEZER SIGNATURE','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 15:51:25','2021-06-09 14:47:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6367','M YOUSAF','03313648727','H NO 88 ST NO 92 SEC G/13-1 ISB','5','31','70173','SIEMENS','0',null,'5-SEP-2015','10Q460GC - 376','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-01 17:53:24','2021-06-04 12:01:28',null,'1',null,'0');
INSERT INTO complaints VALUES('6368','ADNAN MAQBAL','03435531281(03481523844)','ST#01 MAHRABAN TOWN TARLAHI ISB','8','38','44744','HOMAGE','0','2021-05-24',null,'1020S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','6041','73','2021-06-01 18:19:58','2021-06-21 17:00:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6369','DR IRFAN','03008542490','H NO 6 ST NO 13 SEC G PHASE 2 DHA ISB','4','11','21240','MITSUBISHI','0',null,'23-MAY-2021','50VA - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6300','73','2021-06-01 18:21:51','2021-06-06 15:36:01',null,'1',null,'0');
INSERT INTO complaints VALUES('6370','UME IBRAHIM','03107771177','H NO 91A 6TH ROAD SATELITE TOWN RWP','9','19','211928','ORIENT','0',null,'30-MAY-2021','3RG-FLARE','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 10:45:41','2021-06-05 15:20:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6371','UME IBRAHIM','03107771177','H NO 91A 6TH ROAD SATELITE TOWN RWP','9','19','211928','HAIER','0',null,'30-MAY-2021','438EPR - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 10:45:43','2021-06-05 15:26:07',null,'1',null,'0');
INSERT INTO complaints VALUES('6372','MR AKHTER','03219555338','H NO 207C ST NO 1 MUHALLAH ZAMINDARA MAIN PESHAWAR ROAD CHUR CHOWK','9','22','211815','HAIER','0',null,'30-MAY-2021','18HFCF-W-INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 10:58:04','2021-06-07 18:09:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6373','HAMAYUN KHALID','03335513849','H NO 161 ST NO 15 PHASE 6 B.TOWN RWP','4','5','21293','SAMSUNG','REF TO KAMRAN PWD',null,'24-MAY-2021','70J3283W-S - 1548','WASHING MACHINE','VIBRATION',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 11:04:37','2021-06-03 17:42:33',null,'1',null,'0');
INSERT INTO complaints VALUES('6374','SYED AHMED KHAN','03215303503','H NO 279 ST NO 22 PAKISTAN TOWN PHASE 1 ISB','4','5','20497','HAIER','REF TO NAFEES FHS',null,'12-APR-2021','18HFMAD','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 11:14:43','2021-06-06 15:00:41',null,'1',null,'0');
INSERT INTO complaints VALUES('6375','BABER KHAN','03000306515','H NO 4 ST NO 14 FIZAIA COLONY MAIN EXPRESSWAY HIGHWAY ISB','5','29','119370','SAMSUNG','0',null,'17-JUL-2020','55RU7400-MRM  - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 11:33:52','2021-06-07 11:16:13',null,'1',null,'0');
INSERT INTO complaints VALUES('6376','MR SHOAIB','03319837981','H NO 21 LILY ROAD  BLOCK F SOAN GARDEN ISB','4','11','17784','HAIER','0',null,'2-DEC-2020','25NG22 - 1731','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 11:36:57','2021-06-07 13:45:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6377','M GHUFRAN','03005115035','JAIL ROAD GULSHAN COLONY OPP CIRCUIT HOUSE GUJRAT','8','37','25205','HAIER','REF TO TAHA SOHAIL',null,'7-MAY-2021','24HFCD','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 11:45:21','2021-06-06 14:51:49',null,'1',null,'0');
INSERT INTO complaints VALUES('6378','ANAS AKBAR','03335574831 , 03486041453','H NO BV239TRANSFORMER CHOWK NEAR ALHAQIQ PLAZA SADIQABAD  RWP','9','51','195702','TCL','2006VLR301176A00614',null,'5-SEP-2020','40S6500 - 938','FLAT PANEL TV','NOT WOKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 11:50:50','2021-06-16 13:22:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6379','ABID HUSSAIN','03335288215','H NO 355 ST NO 29 SEC G/14-4 ISB','9','22','212070','DAWLANCE','REF TO SAQIB FCP',null,'31-MAR-2021','30elegance-inv','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLIANT CLOSED',null,'customer','0',null,'73','2021-06-02 12:20:25','2021-06-07 18:06:43',null,'1',null,'0');
INSERT INTO complaints VALUES('6380','PECHS','03111596920','KASHMIR HIGHWAY FATEH JUNG ROAD','8','47','25265','ORIENT','0',null,'20-MAY-2021','18G-ORBIT - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 12:25:28','2021-07-15 14:13:13',null,'1',null,'0');
INSERT INTO complaints VALUES('6381','MAJID MEHARBAN','03068924754','JAMIA MASJID LAL VIEW COLONY ST NO 3 NEAR JUMMA KHAN MARKET PESHAWAR ROAD RWP','7','49','19168','KENWOOD','REF TO PTCL',null,'3-JUN-2019','1821HC-AMORE - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 12:47:00','2021-06-06 14:41:19',null,'1',null,'0');
INSERT INTO complaints VALUES('6382','MR HAIDER','03365314307','H NO 66 ST NO 117 SEC G/11-4 ISB','5','31','80146','PEL','0',null,'15-DEC-2016','160PRGD-M - 895','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 13:07:51','2021-06-16 13:24:42',null,'1',null,'0');
INSERT INTO complaints VALUES('6383','COL TARIQ','03461118090','H NO 183 ST NO 11 SEC B -1 DHA 1 RWP','6','15','35233','ORIENT','0',null,'21-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 13:11:42','2021-06-05 13:22:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6384','ZAFAR FHHS','03065338399','FRIENDS HOME SHAMSABAD MURREE ROAD RWP','8','40','0','ECOSTAR','PEL DISPENCER',null,'0','115PB CURVED','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 13:17:53','2021-06-16 13:26:34',null,'1',null,'0');
INSERT INTO complaints VALUES('6385','MR JUNAID','03111671911','H NO 15 ST NO 6 BLOCK H SOAN GARDEN ISB','4','8','10700','LG','0',null,'15-SEP-2019','8566NEHVF-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 13:22:25','2021-07-24 15:02:55',null,'1',null,'0');
INSERT INTO complaints VALUES('6386','COL IMRAN','03332223728','H NO 175 SOUTH EAST BOLYWARD PHASE 4 B.TOWN RWP','8','37','42303','SIGNATURE','0',null,'8-SEP-2020','MD100','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 13:27:39','2021-06-03 17:00:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6387','NABEEL','03211411395','H NO 13 RAILWAY SCHEME NO  5 NEAR KARBALA GATE RWP','9','23','193113','GREE','0',null,'20-JUL-2020','8890EG-CB2 - 2116','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 13:32:24','2021-06-06 14:18:32',null,'1',null,'0');
INSERT INTO complaints VALUES('6388','MRS JAVERIA','03018509331','H NO 6 LANE NO 12C SEC B DHA 2 ISB','4','5','0','LG','REF TO KAMRAN PWD',null,'OUT OF WARRANTY','FRONT LOADED','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 13:36:23','2021-06-09 14:46:43',null,'1',null,'0');
INSERT INTO complaints VALUES('6389','SHER KHAN','03348400400','SHOP NO 1 1ST FLOOR BUTT PLAZA NEAR EMPERIAL MARKET RAJA BAZAR RWP','9','23','190747','HAIER','0',null,'17-JUN-2020','18HFCE-W-INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 13:41:12','2021-06-22 11:16:26',null,'1',null,'0');
INSERT INTO complaints VALUES('6390','KAMRAN SAEED','03215008212','WAH CANTT','9','26','208782','BOSCH','EXTREME HOOD',null,'7-APR-2021','985-X','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 13:44:43','2021-06-02 14:53:43',null,'1',null,'0');
INSERT INTO complaints VALUES('6391','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','31','0','TCL','2102VLR301432A00464',null,'0','55P615','FLAT PANEL TV','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 13:47:41','2021-07-15 14:31:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6392','SAIFUR REHMAN','03008267171 , 03218260272','H NO 414 ST NO 24 PHASE 7 B.TOWN RWP','6','12','35475','SUPER ASIA','REF TO ADEEL BHR-7',null,'30-MAY-2021','5000ECM-PLUS - 1577','AIR COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 13:52:23','2021-06-06 14:06:14',null,'1',null,'0');
INSERT INTO complaints VALUES('6393','ZEESHAN','03342888663 , 03452223399','H NO 8 ST NO 13 OVERSEAS SEC 7 B.TOWN PHASE 8 RWP','6','16','30850','ORIENT','REF TO ADIL I/10',null,'30-NOV-2020','12G-ORBIT - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 13:54:45','2021-07-15 14:26:16',null,'1',null,'0');
INSERT INTO complaints VALUES('6394','MALIK AHMED','03008555173','H NO 210A OXFORD STREET GREEN AVENUE CHATHA BAKHTAWAR PARK ROAD ISB','8','38','42337','SAMSUNG','0',null,'10-SEP-2020','55RU7100-SZ - 942','FLAT PANEL TV','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 14:00:36','2021-06-04 17:47:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6395','MR WAQAS','03219530323','SHOP NO 1 MUGHAL PHASE 3 FAISAL SHAHEED ROAD TAXILLA','9','23','199919','SIGNATURE','0',null,'28-nov-2020','SFR-MD100G - 904','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 14:38:34','2021-06-28 15:42:14',null,'1',null,'0');
INSERT INTO complaints VALUES('6396','WASEEM AKRAM','03334319707','ST NO 7A AFFENDI COLONY 6TH ROAD RWP','9','26','210204','DAWLANCE','REF TO PTCL',null,'2-MAY-2021','6550DW - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 14:40:32','2021-06-06 13:59:41',null,'1',null,'0');
INSERT INTO complaints VALUES('6397','SHAUKATN CHEEMA','03365552233','H NO 1 CATEGORY 2 IBN-E-SINA ROAD SEC G/8-2 ISB','5','28','107220','BOSCH','0',null,'9-JUL-2019','24462GC - 902','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 14:47:26','2021-06-19 12:38:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6398','ZAHID RASOOL','03342966733','H NO 540 BLOCK B MAIN AKHTER AVENUE GATE 2 MULTI GARDEN B/17 ISB','5','33','115378','GREE','0',null,'11-MAR-2020','18CITH12G - 915','AIR CONDITIONER','ERROR E6',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 14:58:38','2021-06-06 13:56:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6399','KHAN MUHAMMAD','033328283335 , 03465869793','APP NO 108 ALSAFA HEIGHTS SEC F/11 ISB','5','31','133660','LG','0',null,'27-MAY-2021','18CGH','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 15:01:19','2021-06-07 16:41:49',null,'1',null,'0');
INSERT INTO complaints VALUES('6400','KALEEM KHAN','03215127891','H NO 13 ST NO 17 SEC G/13-3 ISB','5','30','132803','LG','0',null,'5-MAY-2021','502SQCL-CC','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 15:08:52','2021-06-04 17:44:55',null,'1',null,'0');
INSERT INTO complaints VALUES('6401','SHAHZAD BUTT','03008547814 , 0518355500','AUSTRALIAN HIGH COMISSION EMBASSY  ISB','5','31','126911','SAMSUNG','0',null,'8-DEC-2020','85Q80T-MRM','FLAT PANEL TV','NOT WORKING',null,'8',null,null,'customer','0',null,'73','2021-06-02 15:21:06','2021-08-20 14:55:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6402','MR SAJID','03338055582','H NO 224 ST NO 52 SEC G/10-3 ISB','5','29','133457','LG','0',null,'24-MAY-2021','4V5RYP2T-S - 899','WASHING MACHINE','ERROR E1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 15:31:18','2021-06-09 14:46:20',null,'1',null,'0');
INSERT INTO complaints VALUES('6403','AHMED HASSAN','03008880095','H NO 293 ST NO 65 SEC E/11-3 ISB','5','35','129743','LG','0',null,'26-FEB-2021','502SQCL-CC','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 15:32:48','2021-06-04 17:46:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6404','SHERAZ SB','03412831436','H NO 24 ST NO 1 ZONE 1 GARDEN CITY BAHRIA PHASE 7 RWP','6','12','19064','SIGNATURE','REF TO PTCL',null,'31-JAN-2019','SWM-JD47C - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 15:44:28','2021-06-03 16:57:14',null,'1',null,'0');
INSERT INTO complaints VALUES('6405','SADAF HAMEED','03028509087','H NO 4163 DARYABAD KAMRAN MARKET NEAR CHURCH GAWALMANDI  RWP','8','47','13542','PEL','0',null,'2-MAY-2017','130PRGD-M - 859','REFRIGERATOR','COLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 15:48:13','2021-07-01 11:55:19',null,'1',null,'0');
INSERT INTO complaints VALUES('6406','AHMED AIJAZ','0335018889','H NO 129 SEC B1 ST NO 9 DHA 1 RWP','9','23','211659','HAIER','0',null,'27-may-2021','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 15:52:57','2021-06-10 14:36:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6407','SYED GHALIB','03325124807','BLOCK NO C2 FLAT NO 3 PHA I/11-1 NEAR RAILWAY CARRIAGE FACTORY ISB','8','48','35094','HAIER','REF TO PTCL',null,'29-JUN-2019','398EBD - 746','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 15:57:31','2021-06-06 13:21:28',null,'1',null,'0');
INSERT INTO complaints VALUES('6408','KASHIF KHAN','03335436170','ST NO 3  KOHISTANI MUHALLAH SHAH SULTAN RAWAL ROAD RWP','9','51','211389','ECOSTAR','0',null,'25-MAY-2021','32U870','FLAT PANEL TV','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 16:02:26','2021-07-18 12:30:36',null,'1',null,'0');
INSERT INTO complaints VALUES('6409','JALAL KHAN','03145110366','H NO 13 GULZAR-EMADINA ST NO 7 SEC H/13 ISB','9','23','170180','GREE','REF TO PTCL',null,'1-MAY-2019','18CITH12G - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 16:08:22','2021-06-07 18:01:42',null,'1',null,'0');
INSERT INTO complaints VALUES('6410','MUHAMMAD AMIN','03009510124','PLOT NO 584 ROYAL ARC SITE OFFICE NEAR MALIK RIAZ MASJID PHASE 8 B.TOWN','6','12','31910','ORIENT','REF TO KAMRAN PWD',null,'6-DEC-2020','24G-PREMIER-SW - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 16:09:43','2021-06-06 13:07:29',null,'1',null,'0');
INSERT INTO complaints VALUES('6411','HAMZA','03015415646 , 0515592326','H NO 190A SCHOOL ROAD NEAR WATER PLANT CHAKLALA SCHEME 3  RWP','4','11','15413','FIVE STAR','0',null,'23-JUL-2020','999C-FS - 1965','COOKING RANGE','BURNER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 16:26:53','2021-06-05 12:42:16',null,'1',null,'0');
INSERT INTO complaints VALUES('6412','SALMAN SHERWANI','03315522219','H NO 117 ST NO 20 BLOCK A GULBERG GREEN ISB','8','39','0','TCL','1908VLR300919A00032',null,'IN WARRANTY','65P8S - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 16:51:58','2021-07-07 13:41:16',null,'1',null,'0');
INSERT INTO complaints VALUES('6413','SAQIB','03455544583','JAMIA MASJID GHOUSIA LOHARON WALI LOHARON BAZAR PEERWADAHI   RWP','9','21','177271','HAIER','0',null,'11-AUG-2019','385HDF-INV - 1468','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 16:55:46','2021-06-07 17:20:25',null,'1',null,'0');
INSERT INTO complaints VALUES('6414','MR IMRAN','03335130916','H NO 22D ST NO 55 SEC G/6-4 ISB','5','34','120753','HAIER','0',null,'13-AUG-2020','438IDBT - 896','REFRIGERATOR','SMELL PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 17:02:30','2021-06-06 12:58:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6415','MR ZEESHAN','03225373417','H NO 1/1-E  ST NO 10 SEC G/7-2 ISB','5','30','133903','HAIER','0',null,'31-MAY-2021','245SD - 955','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 17:08:35','2021-07-01 15:16:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6416','RAJA FARRUKH','03315283227','ST NO 7 NAI ABADI MARIR HASSAN RWP','7','49','19211','DAWLANCE','0',null,'10-JUN-2019','PRO-ACTIVE15-INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 17:11:28','2021-06-09 13:37:18',null,'1',null,'0');
INSERT INTO complaints VALUES('6417','NIAZULLAH','03211166556','H NO 502 ST NO 47 SEC G/10-4 ISB','5','28','120144','GREE','0',null,'31-JUL-2020','9978EG-CB2','REFRIGERATOR','DOOR',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2021-06-02 17:23:18','2021-06-07 13:52:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6418','MR HAMID','03335397258','H NO 918A ST NO 27 ABUBAKAR BLOCK PHASE 8 B.TOWN RWP','6','15','33293','HAIER','0',null,'21-FEB-2021','120AS - 69','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 17:26:35','2021-06-06 12:29:49',null,'1',null,'0');
INSERT INTO complaints VALUES('6419','MR CHEN','03139988968','H NO 28 ST NO 29 SEC F/8-1 ISB','5','30','89446','HAIER','0',null,'18-NOV-2017','618IBS - 908','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 17:43:03','2021-06-05 17:51:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6420','SARFRAZ AHMED','03445130330','H NO CC73 ST NO 1 NAI ABADI MARIR HASSAN RWP','9','22','172316','HAIER','0',null,'3-JUN-2019','438EPR - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-02 17:47:49','2021-06-04 11:57:41',null,'1',null,'0');
INSERT INTO complaints VALUES('6421','ABDUL LATIF','03333333677','H NO 38 ST NO 12 KORANG TOWN ISB','4','7','19633','PANATRON','0',null,'14-FEB-2021','115PB CURVED','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 10:42:37','2021-06-07 17:44:29',null,'1',null,'0');
INSERT INTO complaints VALUES('6422','EHSANULLAH','03339607096','H NO 41/5B CHANAB MARKET SEC G/7-1 ISB','5','28','191178','ORIENT','REF TO AZHAR RAMZAN',null,'23-JUN-2020','12G-ORBIT - 913','AIR CONDITIONER','PCB CARD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 10:48:28','2021-06-17 14:14:39',null,'1',null,'0');
INSERT INTO complaints VALUES('6423','MR ALI','03235374394 , 03105439819','ALI ROAD SALEEMUMAR ROAD NEAR KORANG BRIDGE BANNI GALA','5','28','132817','HAIER','REF TO AZHAR RAMZAN',null,'6-MAY-2021','24HE03 - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 10:52:00','2021-06-05 13:32:01',null,'1',null,'0');
INSERT INTO complaints VALUES('6424','AHMAD YAR KHAN','03335249029','H NO 9 ST NO 5 SEC E DHA 1 RWP','6','12','8599','SIGNATURE','REF TO ADEEL BHR-7',null,'14-MAY-2017','FS2','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2021-06-03 11:13:57','2021-06-18 17:01:01',null,'1',null,'0');
INSERT INTO complaints VALUES('6425','BUTT PWD','03115006051','FRIENDS HOME PWD ISB','4','5','0','DAWLANCE','REF TO KAMRAN',null,'0','142HZP - 1277','MICROWAVE OVEN','NOT WOKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 11:21:57','2021-06-15 14:04:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6426','AFZAL MATHU','03006143609','H NO 81 ROAD 1 SEC C BAHRIA ENCLAVE ISB','8','39','45141','HAIER','C/O AKBAR SB',null,'15-DEC-2020','24HDZ-G INV - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 11:28:59','2021-06-05 13:29:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6427','SOHAIL SALEEM','03476310062','H NO CB107JAMIA MASJID ROAD IMAM BARGAH CHOWK GALI NO 1 RWP','9','24','210150','HAIER','0',null,'2-MAY-2021','206W','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 11:38:14','2021-06-05 13:26:22',null,'1',null,'0');
INSERT INTO complaints VALUES('6428','SALMAN SB','03498758005','H NO 25 MAIN IBN-E-SINA ROAD SEC G/10-3 ISB','8','38','35525','WAVES','0',null,'11-JUL-2019','315WDFT - 958','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 11:40:26','2021-06-22 16:02:35',null,'1',null,'0');
INSERT INTO complaints VALUES('6429','MISS RUQSANA','03322755558','H NO 678 F BLOCK SATELLITE TOWN RWP','8','37','49030','LG','0',null,'24-MAY-2021','18CGH','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 11:49:41','2021-06-03 16:56:42',null,'1',null,'0');
INSERT INTO complaints VALUES('6430','MRS RIZWAN','03015172424','H NO 10 NUCLEUS COLONY WAH CANTT BARRIER 2','8','40','47661','CORONA','0.',null,'8-APR-2021','C373','COOKING RANGE','BURNRER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 11:54:12','2021-06-14 17:24:16',null,'1',null,'0');
INSERT INTO complaints VALUES('6431','JAWAD BUTT','03215577101','C64 ST NO 1 BLOCK C MEDIA TOWN ISB','4','5','9099','LG','REF TO ADIL FHHS',null,'2-JUN-2019','4J6TMP8S-S - 899','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 11:56:58','2021-06-28 12:06:16',null,'1',null,'0');
INSERT INTO complaints VALUES('6432','ALI SB','03085433768 , 03335319717','H NO 23 ST NO 10 ROAD 2 CHTHA BAKHTAWAR PARK ROAD ISB','9','20','114713','SIGNATURE','REF TO PTCL',null,'11-MAY-2016','MD2-S - 1708','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 11:59:57','2021-06-23 11:44:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6433','ABDUL RAUF','03345554419','H NO 395 ST NO 64 SEC I/8-3 ISB','5','34','0','FIVE STAR','0N PAYMENT',null,'1 YEAR AGO','500C-FS - 1073','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 12:09:15','2021-06-05 14:52:35',null,'1',null,'0');
INSERT INTO complaints VALUES('6434','MR KAMRAN','03335665192','KURI ROAD NEAR BANK AL HABIB BAHRIA ENCLAVE ISB','5','53','133667','ORIENT','REF TO PTCL',null,'27-MAY-2021','529BL - 128','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 12:14:35','2021-07-02 16:40:17',null,'1',null,'0');
INSERT INTO complaints VALUES('6435','TANVIR AHMED','03218551874','H NO 8 ST NO 8 NAVAL ENCOURAGE BLOCK E ISB','8','39','30886','FIVE STAR','0',null,'8-DEC-2018','10000C-FS - 1965','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2021-06-03 12:20:39','2021-06-08 12:00:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6436','MR HASSAN','03335500069','H NO 247A1 TAMIZUDDIN ROAD OPP CSD MALL RWP CANTT','7','49','11142','ORIENT','REF TO ADIL FHHS',null,'26-MAR-2016','19AF4C','AIR CONDITIONER','ERROR E1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 12:23:26','2021-06-06 12:04:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6437','SAAED AKHTER','03009727008','H NO 103 ST NO 12 OVERSEAS SEC 2 PHASE 8 B.TOWN RWP','9','22','211817','ORIENT','0',null,'30-MAY-2021','24G-SUPER - 917','AIR CONDITIONER','OUTDOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 12:27:07','2021-06-06 11:57:37',null,'1',null,'0');
INSERT INTO complaints VALUES('6438','TANWIR AHMED','03218551874','H NO 8 ST NO 8 BLOCK E  NAVAL ENCOURAGE ISB','8','39','30852','SIGNATURE','0',null,'7-DEC-2018','SBC-ADELAIDE-90PLUS - 1123','BUILT IN APPLLIANCES','FAN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 12:32:05','2021-07-03 11:37:20',null,'1',null,'0');
INSERT INTO complaints VALUES('6439','MUBASHIR SB','03008118883 , 03125290048','H NO D413 WAHADAT COLONY TAXILLA','8','37','49391','GREE','0',null,'1-JUN-2021','9978EG-CB3 - 2116','REFRIGERATOR','DOOR ALLIGHNMENT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 12:45:38','2021-07-15 14:40:17',null,'1',null,'0');
INSERT INTO complaints VALUES('6440','SAMI IQBAL KHAN','03345559573 , 03005304053','H NO 2505 ST NO 58 ABU BAKAR BLOCK PHSE 8 B.TOWN RWP','6','15','35095','GREE','ref TO PTCL',null,'12-MAY-2021','18FITH1C - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6237','73','2021-06-03 12:55:34','2021-06-05 17:43:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6441','MRS WALAYAT','03075000255','KASHMIR BAGH','5','31','133065','FIVE STAR','MAX RANGE',null,'17-MAY-2021','900MC','COOKING RANGE','GALSS DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 13:05:52','2021-07-15 11:25:56',null,'1',null,'0');
INSERT INTO complaints VALUES('6442','MR FAISAL','03315317448','H NO 2 ST NO 68 JINNAH GARDEN ISB','4','11','19272','GREE','0',null,'21-JAN-2021','9978EG-CW3 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 13:12:49','2021-06-05 17:40:36',null,'1',null,'0');
INSERT INTO complaints VALUES('6443','SAIMA RAUF','03315554419','H NO 395 ST NO 64 SEC I/8-3 ISB','5','36','109206','FIVE STAR','0',null,'6-SEP-2019','10000C-FS - 1965','COOKING RANGE','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 13:27:50','2021-06-05 14:37:12',null,'1',null,'0');
INSERT INTO complaints VALUES('6444','MR SHAFIQUE','03366440033','H NO 13N ST NO 23A BLOCK A SEC A DHA 2 ISB','6','12','27001','HAIER','REF TO ZAHID',null,'2-MAY-2020','18HNI-B-INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 13:41:16','2021-06-05 13:20:03',null,'1',null,'0');
INSERT INTO complaints VALUES('6445','SAJID SB','03135978937','FRIENDS HOME SHAMSABAD GODOWN MURREE ROAD RWP','8','37','0','DAWLANCE','REF TO ASLAM SB',null,'0','1485G','DISH WASHER','NOT WORKING',null,'3',null,null,'customer','0',null,'73','2021-06-03 13:45:09','2021-06-03 13:45:09',null,'1',null,'0');
INSERT INTO complaints VALUES('6446','KAMRAN','03219507474','FRIENDS HOME PWD ISB','4','5','0','FIVE STAR','REF TO KAMRAN PWD',null,'0','2020','AIR COOLER','DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 14:02:57','2021-07-15 11:25:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6447','MR SHAHRYAR','03055330033','H NO 200 ST NO 8 PHASE 3 GULRAIZ 3 RWP','4','11','20308','SAMSUNG','0',null,'1-APR-2021','80J5446-S','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 14:07:57','2021-06-05 14:49:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6448','ARSAL','03333633332','H NO 2 ST NO 2 SEC C DHA 2 ISB','8','37','21228','SHARP','REF TO JAVED FCP',null,'15-APR-2020','650SL3 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 14:13:37','2021-06-18 16:49:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6449','ARSHAD SB','03009829091 , 03339116871','H NO 463 ST NO 2 SEC F/11-1 ISB','5','28','0','SAMSUNG','REF TO PTCL',null,'22-MAR-2017','64H5350GT - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 14:17:58','2021-06-28 14:53:14',null,'1',null,'0');
INSERT INTO complaints VALUES('6450','ADNAN KHAN','03009246406','H NO 96F ST NO 4 SEC J PHASE 8 B.TOWN RWP','6','15','35484','GREE','0',null,'30-MAY-2021','18FITH6C','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 14:26:58','2021-08-02 16:21:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6451','SAHIL ALI KHAN','03108056862','APP NO 509 STH FLOOR EMBRIGE SHOPPERS PARADISE WALLAYT COMPLEX PHASE 7 B.TOWN RWP','8','37','0','HAIER','REF TO ADEEL BHR-7',null,'3-MAY-2021','12HFPCA','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 14:54:52','2021-06-08 13:54:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6452','MR MUJTABA','03235073744','JAMIA MASJID ROAD SHAH ALLA DITTA ROAD NEAR BUTT KASHMIR MOTORS  RWP','9','22','187077','HAIER','0',null,'17-FEB-2020','216EBD - 858','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 14:58:49','2021-06-05 13:16:48',null,'1',null,'0');
INSERT INTO complaints VALUES('6453','M NAWAZ','03225142494','H NO 264/A ST NO 14 SHAH FAISAL KAMALABAD RWP','9','19','211567','ORIENT','0',null,'27-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 15:08:37','2021-06-08 11:55:37',null,'1',null,'0');
INSERT INTO complaints VALUES('6454','M LATIF','03017588014','GOVERNMENT GIRLS HIGHER SECONDARY SCHOOL CITY POLICE STATION  CITY DGKHAN','10','45','0','DAWLANCE','0',null,'0','9173WB-CHROME','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 15:47:48','2021-06-07 17:39:24',null,'1',null,'0');
INSERT INTO complaints VALUES('6455','MAJ AKRAM','03365599697','31E ASKARI 2 CHAKLALA SCHEME 3 RWP','8','42','0','HAIER','REF TO KHURRAM SB',null,'28-FEB-2021','398EBS - 884','REFRIGERATOR','COOLING PROBLEM',null,'5','ISSUE NOT RESOLVED',null,'customer','0',null,'73','2021-06-03 15:52:13','2021-06-28 16:21:46',null,'1',null,'0');
INSERT INTO complaints VALUES('6456','INAM CHUGTAI','03145122822','H NO 922 ST NO 15 SEC G/11-1 ISB','9','23','212299','ORIENT','REF TO TAHIR B.COOL',null,'3-JUN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','GAS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 16:33:14','2021-06-06 11:25:27',null,'1',null,'0');
INSERT INTO complaints VALUES('6457','M KHAN','03125325981','RWP','9','23','184357','SIGNATURE','0',null,'22-DEC-2019','SCF-HM09 - 954','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 16:46:32','2021-07-24 15:39:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6458','MR SULEMAN','03322131056','H NO 492 ST NO 22 BLOCK A  MEDIA TOWN ISB','4','5','15078','HAIER','REF TO KAMRAN PWD',null,'6-JUL-2020','95-1678HWM - 1817','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 16:52:21','2021-06-05 12:58:48',null,'1',null,'0');
INSERT INTO complaints VALUES('6459','ABID FAROOQ','03345032084','H NO 1184 ROAD C PHASE 7 B.TOWN RWP','6','12','15011','SIGNATURE','REF TO ADEEL BHR-7',null,'21-JUN-2018','JX1-GD - 1708','WATER DISPENSER','TAP PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-03 17:56:54','2021-06-06 16:33:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6460','HASSAN MALIK','03215004400','H#597 LANE 05 PESHAWER ROAD RWP','7','49','19386','MITSUBISHI','0',null,'03-JUL-2019','71VA-201','AIR CONDITIONER','POWER SUPPLY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-04 10:56:40','2021-06-17 13:49:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6461','MR MUHAMMD AHMED','03219525122','CB102 ST#1 BILAL COLONY NEAR BISCUIT FACTORY  dhamial road KOTA MORE RWP','9','19','129961','LG','PTCL CALL INVOICE BI HA',null,'26-MAR-2017','1496TDT24W - 122','WASHING MACHINE','ERROR I-E',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-04 12:05:40','2021-07-01 14:37:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6462','MADAM SADIA','03335499599','H#149P ST#4A  Airport Housing Society VIP RWP','8','37',null,'SIGNATURE','PTCL CALL',null,'12-OCT-2020','SLC-TL1-GD - 1705','AIR COOLER','leakage',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-04 12:35:03','2021-06-12 14:44:10',null,'1',null,'0');
INSERT INTO complaints VALUES('6463','MR RASHEED JAMAL','03000501511 03365110711','HO#219 ST 26 BLOCK-B NEAR GULSHAN SAHAT SEC E-18 ISB','5','28','96885','SIGNATURE','0',null,'7-AUG-2018','SRF-HM100 - 908','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-04 13:09:47','2021-06-23 11:43:37',null,'1',null,'0');
INSERT INTO complaints VALUES('6464','MUHAMMAD YOUSAF JAVED','03455630604','H#1088 ST 5 PHASE 2 EXTANSION BAHRIA TOWN RWP','6','14','1492','SAMSUNG','0',null,'12-NOV-2017','85K7110SLG - 75','REFRIGERATOR','LACKAGE ISSU',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-04 16:18:00','2021-06-05 17:23:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6465','HAROON KHAN','03365354523','1-B PERVEEN SHAKIR ROAD  ST 20 F-7/2 ISB','8','37','36695','HAIER','0',null,'15-SEP-2019','24HNS-BU-INV - 917','AIR CONDITIONER','COOLING ISSU',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-04 16:47:16','2021-06-10 14:03:48',null,'1',null,'0');
INSERT INTO complaints VALUES('6466','HASSAN','03325425310','H-2429 ST-157 SEC 1 GULSHANABAD RWP','9','26','196058','SHARP','0',null,'29-SEP-2020','814CX-S - 899','WASHING MACHINE','LACKAGE & CURRENT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-04 17:01:37','2021-06-09 14:45:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6467','MR AJMIR','03333036854','HAMZA TOWER FLAT NO 401 SEC F-11 MARKZ ISB','5','34','132257','HAIER','0',null,'28-APR-2021','18HFPCA-89','AIR CONDITIONER','COOLING ISSU',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-04 17:12:17','2021-06-06 11:11:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6468','MR AMIR','03335207779','APP 402 AL MUSTAFA TOWER F-11/3 ISB','5','32','125413','MITSUBISHI','0',null,'3-DEC-2020','35VA - 913','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-04 17:20:44','2021-07-10 16:18:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6469','MR IMRAN','03005506658','H-47 ST-5 SEC H-11/4 ISB','5','33','106754','DAWLANCE','0',null,'03-JUL-2019','91996GD-INV-GREEN - 885','REFRIGERATOR','DRAIN ISSU',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-04 17:58:43','2021-06-07 17:22:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6470','ALI KHAN','03009723513','H-703 ST-16 SEC G-10/1 ISB','5','33','109428','SIGNATURE','0','2019-09-16',null,'WSJD50C','WASHING MACHINE','PANAL ISSU',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-04 18:08:49','2021-06-25 17:30:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6471','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28',null,'HAIER',null,'2021-06-05',null,'245SD - 955','FREEZER','GAS KIT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-04 18:28:36','2021-06-09 12:56:55',null,'1',null,'0');
INSERT INTO complaints VALUES('6472','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28',null,'HAIER','0',null,null,'12HFP','AIR CONDITIONER','PCB CARD PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-04 18:35:38','2021-07-01 15:29:57',null,'1',null,'0');
INSERT INTO complaints VALUES('6473','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','133486','SONY','0',null,'24-MAY-2021','75X8000H-CC','FLAT PANEL TV','SCREEN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-05 10:48:35','2021-07-27 13:30:13',null,'1',null,'0');
INSERT INTO complaints VALUES('6474','FAIQ MALIK','03088932690','H NO 105 ST NO 81 SEC E/11-2 ISB','5','28','133472','GREE','REF TO PTCL',null,'24-MAY-2021','18FITH2W - 201','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6264','73','2021-06-05 11:51:21','2021-07-01 16:51:35',null,'1',null,'0');
INSERT INTO complaints VALUES('6475','MR JAWAD','03314207750','H NO 3 ST NO 5 SAFARI VILLAS 1 BAHRIA TOWN RWP','7','49','21948','HOMAGE','REF TO COSTUMER WHATTSAPP',null,'9-OCT-2020','83HWD - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','5793','73','2021-06-05 11:54:47','2021-06-12 15:59:35',null,'1',null,'0');
INSERT INTO complaints VALUES('6476','MR M ZEESHAN','03365272058','H NO 11 ST NO 65A JINNAH GARDEN ISB','4','8','12003','SONY','0',null,'14-DEC-2019','40W650D-S - 938','FLAT PANEL TV','WIFI',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-05 11:55:12','2021-06-18 16:42:45',null,'1',null,'0');
INSERT INTO complaints VALUES('6477','MUHAMMAD HAMMAD','03005483782','MAIN MURREE CITY','9','23','210119','FIVE STAR','GEYSER MAX',null,'2-MAY-2021','35G-TWIN SUPREME - 963','GEYSER','PILOT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-05 12:01:00','2021-06-07 11:50:58',null,'1',null,'0');
INSERT INTO complaints VALUES('6478','SAJID SB','03215507716','H NO 377 ST NO 3 SEC F/15-1 ISB','8','37','30869','DAWLANCE','REF TO AZHAR BHR-7',null,'8-DEC-2018','PRO-ACTIVE15-INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-05 12:03:50','2021-07-18 11:49:22',null,'1',null,'0');
INSERT INTO complaints VALUES('6479','MADAM SADIA','03335499599','H#149P ST#4A Airport Housing Society VIP RWP','8','37','0','LG','REF TO PTCL',null,'12-OCT-2020','622GLHL-S - 17','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-05 12:06:33','2021-07-15 11:24:48',null,'1',null,'0');
INSERT INTO complaints VALUES('6480','RAJA M NASIR','03370448125','H NO 254 ST NO 62 SEC I/8-3 ISB','9','27','205415','SAMSUNG','0',null,'10-FEB-2021','80J5446-S','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-05 12:12:43','2021-06-18 16:28:49',null,'1',null,'0');
INSERT INTO complaints VALUES('6481','DR TANVIR','03335167106','H NO 72 ST NO B7 DCHS(DOCTOR TOWN) PWD','4','5','0','SIGNATURE','REF TO PTCL (MANUAL BILL)',null,'15-10-17','SRF-HM99 - 908','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-05 12:21:37','2021-06-06 17:06:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6482','ISHTIAQ AHMED','03245496142','H NO 2 ST NO 6 KARAL TOWN KARAL CHOWK ISB','4','5','14055','TCL','1912VLR301006A00255',null,'20-MAY-2020','40S65A - 938','FLAT PANEL TV','PANEL LINE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-05 12:28:01','2021-07-18 11:44:24',null,'1',null,'0');
INSERT INTO complaints VALUES('6483','COL TARIQ','03461118090','H NO 183 ST NO 11 SEC B -1 DHA 1 RWP','6','15','35233','ORIENT','0',null,'21-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-05 13:27:21','2021-06-17 16:50:05',null,'1',null,'0');
INSERT INTO complaints VALUES('6484','BRIG MANSOOR MALIK','03005120220 , 0512210588','H NO 245 MAIN DOUBLE ROAD SEC F/11-4 ISB','5','28','0','SIGNATURE','REF TO PTCL',null,'ON PAYMENT','ARISTO RANGE','COOKING RANGE','SERVICE REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-05 13:41:42','2021-06-09 11:48:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6485','MUHAMMAD YOUSAF JAVED','03455630604','H#1088 ST 5 PHASE 2 EXTANSION BAHRIA TOWN RWP','6','14','1492','SAMSUNG','0',null,'12-NOV-2017','85K7110SLG - 75','REFRIGERATOR','LACKAGE ISSU',null,'5','COMPLAINT CLOSED',null,'customer','1','6464','73','2021-06-05 14:28:57','2021-06-07 11:14:12',null,'1',null,'0');
INSERT INTO complaints VALUES('6486','MRS JAVERIA USMAN','03202922460 , 03203122460','H NO 67 ST NO 29 SEC E/11-2 ISB','5','36','0','HAIER','C/O UMAR SB',null,'ON PAYMENT','OLD MODEL','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-05 15:13:04','2021-06-08 13:36:07',null,'1',null,'0');
INSERT INTO complaints VALUES('6487',null,null,null,'6',null,null,'ARISTON','000000',null,null,'50L-V - 1365','GEYSER','DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-06-05 15:28:02','2021-07-18 13:20:45',null,'1',null,'0');
INSERT INTO complaints VALUES('6488','MR DANISH','03325583497 , 03316262566','H NO 169 ST NO 4 SHAHZAD TOWN ISB','5','30','0','GREE','0',null,'25-MAR-2021','8890EG-CB1 - 896','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-05 16:36:22','2021-07-12 11:59:10',null,'1',null,'0');
INSERT INTO complaints VALUES('6489','AHMED HASSAN','03008880095','H NO 293 ST NO 65 SEC E/11-3 ISB','5','35','129743','LG','502SQCL-CC',null,'26-FEB-2021',null,'REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6403','73','2021-06-06 10:39:07','2021-06-14 13:48:05',null,'1',null,'0');
INSERT INTO complaints VALUES('6490','SAJID SB','03367777702 , 03335208312','H NO 982 ST NO 105 SEC I/10-4 ISB','9','21','192715','SAMSUNG','0',null,'14-JUL-2020','11J5710-S - 905','WASHING MACHINE','ERROR 4C',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-06 10:47:02','2021-06-08 12:48:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6491','TAHSEEN JAWAD','03056475593','H NO CB114 ST NO 11 RAHIMABAD RWP','8','40','46481','ORIENT','0',null,'20-FEB-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6119','73','2021-06-06 11:00:55','2021-07-16 13:09:19',null,'1',null,'0');
INSERT INTO complaints VALUES('6492','KHALID RASHID','03018560673','H NO 110 ST NO 7 LAKE VIEW WAYS NEAR BANNI GALA ISB','9','19','0','SIGNATURE','ON PAYMENT',null,'2 YEARS AGO','5 BURNER WITH OVEN','COOKING RANGE','BURNERS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-06 11:23:54','2021-06-18 16:12:56',null,'1',null,'0');
INSERT INTO complaints VALUES('6493','BILAL FHS','03120578711','FRIENDS HOME SHAMSABAD MURREE ROAD RWP','8','41','0','SONY','0',null,'0','85X8000H-CC','FLAT PANEL TV','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-06 11:34:27','2021-07-06 12:56:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6494',null,null,null,'6',null,null,'SAMSUNG','0000',null,null,'50TU7000','FLAT PANEL TV','INTERNET CONNECTIVITY PROBLEM',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-06-06 11:37:34','2021-08-01 14:08:03',null,'1',null,'0');
INSERT INTO complaints VALUES('6495','M AKRAM','03177912800','H NO 77 ST NO 11  DHA 1 RWP','9','24','201181','SIGNATURE','REF TO PTCL',null,'5-DEC-2020','SBH-HC3763S','BUILT IN APPLLIANCES','BURNER IGNITION',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-06 11:37:57','2021-06-18 16:10:18',null,'1',null,'0');
INSERT INTO complaints VALUES('6496',null,null,null,'6',null,null,'SAMSUNG','000000',null,null,'55TU7000-MRM','FLAT PANEL TV','INTERNET CONNECTIVITY PROBLEM',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-06-06 11:39:42','2021-06-09 14:45:24',null,'1',null,'0');
INSERT INTO complaints VALUES('6497','SAQIB SB','03005543374','H NO 32 ST N 43 SEC G/8-2 ISB','8','37','48912','HAIER','0',null,'23-MAY-2021','90-1789HWM - 901','WASHING MACHINE','SPINNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-06 12:16:41','2021-06-09 12:59:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6498','KHALID SB','03345766644','H NO 262 ST NO 10 BLOCK B TOP CITY NEW ISLAMABAD AIRPORT ISB','7','49','21299','ORIENT','0',null,'26-JUN-2020','12G-JUPITER-SW-INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-06 12:41:18','2021-06-17 14:22:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6499','MR YOUNAS','03408199958','H NO 17F LANE F UMAR BLOCK PHASE 8 B.TOWN RWP','6','12','17315','LG','REF TO PTCL',null,'24-NOV-2018','1066NEFTW-S - 902','WASHING MACHINE','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-06 13:13:21','2021-06-23 11:36:21',null,'1',null,'0');
INSERT INTO complaints VALUES('6500','MASOOD AHMED','03235188681 , 03215226124','H NO DD556 ST NO 10 JHNADA CHICHI RWP','9','51','177362','ECOSTAR','REF TO PTCL',null,'17-AUG-2019','32U571 - 936','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-06 13:33:49','2021-07-01 12:00:52',null,'1',null,'0');
INSERT INTO complaints VALUES('6501','JAWAID ASLAM','03005572461 , 03465044144','H NO 19 LANE J ABUBAKAR BLOCK PHASE 8 B.TOWN RWP','6','12','35617','HAIER','0',null,'2-JUN-2021','368IDRA','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-06 13:35:19','2021-06-08 12:28:05',null,'1',null,'0');
INSERT INTO complaints VALUES('6502','CL NOMAN','03325347309','H NO 144 ST NO 25 SEC B ASKARI 14 ADYALA ROAD RWP','6','12','27689','HAIER','0`',null,'10-JUN-2020','622IBS - 908','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-06 13:47:14','2021-06-07 11:13:20',null,'1',null,'0');
INSERT INTO complaints VALUES('6503','MR USMAN','03121069999','H NO 3  NEAR AYUB PARK GULISTAN COLONY RWP','9','22','205048','SIGNATURE','0',null,'4-FEB-2021','A2','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-06 15:18:41','2021-06-21 12:29:54',null,'1',null,'0');
INSERT INTO complaints VALUES('6504','JAMSHED BUKHARI','03018553046','H NO 240 ST NO 31 PARK ENCLAVE ISB','8','39','43866','MITSUBISHI','0',null,'30-NOV-2020','50VA - 915','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-06 15:22:52','2021-06-14 13:45:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6505','MR AFRAZ','03455103328','FLAT NO 15 BLOCK 1B GALI 1 SEC I/8-1 ISB','5','35','130028','ORIENT','REF TO PTCL',null,'5-MAR-2021','18G-ORBIT - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-06 15:29:17','2021-06-08 12:28:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6506','ARSHAD SB','03009740058','H NO 176 ST NO 108 NEAR KHARULWARA MASJID KHAYABAN-E-KASHMIR','8','40','45903','MITSUBISHI','0',null,'24-JAN-2021','35VA - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-06 16:10:33','2021-06-17 13:58:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6507','AMIR SB','03345173777','35EG/7  HOLI FAMILY ROAD RWP','9','26','112234','GREE','REF TO PTCL',null,'30-MAR-2016','18CITH11B - 915','AIR CONDITIONER','ERROR E6',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-06 16:24:59','2021-06-09 14:17:53',null,'1',null,'0');
INSERT INTO complaints VALUES('6508','MISS MOMINA','03000161480','H NO 1217 ST NO 81 SEC D/12-1 ISB','8','42','43358','ORIENT','0',null,'3-NOV-2020','531BL - 993','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-06 16:35:58','2021-07-16 12:59:24',null,'1',null,'0');
INSERT INTO complaints VALUES('6509','MR IBRAHIM','03325428549','H NO DG3 ST NO 1 SEC 1 ALNOOR COLONY  RWP','9','27','210994','ORIENT','0',null,'13-MAY-2021','AUTO8 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-06 17:00:11','2021-06-17 13:38:55',null,'1',null,'0');
INSERT INTO complaints VALUES('6510','MR TAHIR','03009746280','PLOT#402 ST 02 SEC F-15/1 ISB','8','37','26431','SAMSUNG','0',null,'17-MAR-2018','60M5010FS-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','5400','73','2021-06-07 10:40:31','2021-06-30 17:22:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6511','MUHAMMAD FAIQ','03323490240','H NO 1578/A ST NO 60 ALI BLOCK PHASE 8 B.TOWN RWP','6','15','30980','SIGNATURE','0',null,'1-DEC-2020','HC-3764G - 1122','BUILT IN APPLLIANCES','IGNITION',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 10:44:36','2021-06-18 15:04:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6512','ADIL SB','03155358506 , 03331931103','H NO A43 GILLANI COTTAGE OPP AQSA MASJID NEW PAGHWARI ROAD  BLOCK E SATELLITE TOWN RWP','9','51','205748','HAIER','0',null,'15-FEB-2021','55U6900UG - 942','FLAT PANEL TV','PANEL SHADES',null,'3',null,null,'customer','0',null,'73','2021-06-07 10:47:58','2021-06-07 10:47:58',null,'1',null,'0');
INSERT INTO complaints VALUES('6513','FAIZUR REHMAN','03361222777','SADAT ARCADE F1 NEAR DUBAI ISLAMIC BANK NEAR WALLAYAT COMPLEX PHASE 7 B.TOWN RWP','4','10','31057','CARAVELL','CANON DISPENCER',null,'2-DEC-2020','207BA','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 10:57:20','2021-07-18 17:53:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6514','ADIL SB','03425154352','NEAR ZIYARAT ALI PUR FARASH KHANNAPULL ISB','4','5','20685','HAIER','REF TO NAFEES FHHS',null,'22-APR-2021','398EBD - 746','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 11:18:59','2021-07-11 14:15:38',null,'1',null,'0');
INSERT INTO complaints VALUES('6515','COL ASIM','03315237091','H NO 300 ST NO 14 PHASE 5 B.TOWN RWP','4','5','19596','KENWOOD','REF TO KAMRAN PWD',null,'11-FEB-2021','1228S-INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 11:21:51','2021-06-17 11:20:21',null,'1',null,'0');
INSERT INTO complaints VALUES('6516','ASGHAR SB','03445000968','H NO 6 ST NO 76 SEC G/13-2 ISB','8','37','47719','TECHNOGAS','ref to sqlain fhhs',null,'11-apr-2021','90GVF3LBX - 1122','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 11:23:32','2021-06-17 13:03:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6517','QALB I ABBAS','03215552227','H NO 353 ST NO 15 CHAKLALA SCHEME 3 RWP','8','38','48670','TCL','2102VLR301419A00080',null,'11-MAY-2021','75P8M - 881','FLAT PANEL TV','WIFI PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6274','73','2021-06-07 11:27:51','2021-06-30 11:24:43',null,'1',null,'0');
INSERT INTO complaints VALUES('6518','SABER HUSSAIN','03475250388','H NO A662/11 ST NO 5 ARJUN NAGAR CITY SADDAR ROAD RWP','9','27','138333','DAWLANCE','0',null,'31-JUL-2017','9175WBES-PLUS - 883','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT COMPLETED',null,'customer','0',null,'73','2021-06-07 11:31:59','2021-06-10 13:06:32',null,'1',null,'0');
INSERT INTO complaints VALUES('6519','MISS BUSHRA','03320202021','H NO 14 A ST NO 3 SEC F/7-3  ISB','9','19','193523','GREE','REF TO SAQIB FCP',null,'24-JUL-2020','24CITH12W','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 11:35:10','2021-06-14 13:44:27',null,'1',null,'0');
INSERT INTO complaints VALUES('6520','ASFANDYAR','03201070007','H NO 108 ST NO 10 HALI ROAD WESTRIDGE 1 RWP','8','42','41968','HAIER','0',null,'19-AUG-2020','24HFCD','AIR CONDITIONER','COOLING PROBLME',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 11:42:15','2021-07-15 14:18:06',null,'1',null,'0');
INSERT INTO complaints VALUES('6521','MRS IRAM ATEEQ','03355111540','H NO 237 ST NO 67 SEC G/8-1 ISB','5','36','116350','GREE','0',null,'14-MAY-2021','8890EG-CW1 - 896','REFRIGERATOR','TURBO FAN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 11:44:29','2021-06-09 14:19:25',null,'1',null,'0');
INSERT INTO complaints VALUES('6522','GHULAM YASEEN','03215374344','CMH JEHLUM MEDICAL CITY','8','39','41500','CARAVELL','0',null,'4-AUG-2020','1600MEC - 2013','CHILLER','COOLING PROBLEM',null,'3',null,null,'customer','0',null,'73','2021-06-07 11:50:07','2021-06-07 11:50:07',null,'1',null,'0');
INSERT INTO complaints VALUES('6523','MUHAMMAD JAVED BHUTTA','03352626854','H NO 12 ST NO 19H SEC C3 BAHRIA ENCLAVE ISB','5','35','97263','LG','0',null,'18-AUG-2018','682HLHU-S - 896','REFRIGERATOR','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 11:55:04','2021-06-19 12:12:33',null,'1',null,'0');
INSERT INTO complaints VALUES('6524','WAJID MEHMOOD','03335522002','H NO CB1968 ABADI NO 2 USMAN STREET TENCH BHATTA RWP','9','20','159706','SIGNATURE','0',null,'18-OCT-2018','SWM-JD51 - 902','WASHING MACHINE','WATER PROBLME',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 11:59:07','2021-06-18 16:08:20',null,'1',null,'0');
INSERT INTO complaints VALUES('6525','FAHAD ZAHID','03129810449','H NO 62 ST NO 3 SEC B DHA 2 ISB','6','12','14009','MITSUBISHI','REF TO PTCL',null,'28-APR-2018','50VA - 915','AIR CONDITIONER','TRIPPING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 12:20:31','2021-06-09 14:30:42',null,'1',null,'0');
INSERT INTO complaints VALUES('6526','COL NASIR','03008382058','H NO 21 ST NO 7 SEC B DHA 1 RWP','6','12','35096','ORIENT','0',null,'12-MAY-2021','529BL - 128','WATER DISPENSER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 12:27:33','2021-07-18 17:43:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6527','ABDUL RAHEEM','03003330339','TOWER GALI NEAR NOOR REHMAN MASJID PHASE VALLEY ALLABAD SCHOOL ROAD RWP','9','19','169478','LG','REF TO SAQIB FCP',null,'18-APR-2019','702HEHU-S - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 12:33:08','2021-06-18 15:03:25',null,'1',null,'0');
INSERT INTO complaints VALUES('6528','WAQAS ULLAH','03217954006','AL IJAZ HIGH SCHOOL JARRANWALLA DISTRICT FAISALABAD','5','32','125077','SAMSUNG','0',null,'2-DEC-2020','51K5680W-S - 909','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 12:45:35','2021-06-25 17:28:38',null,'1',null,'0');
INSERT INTO complaints VALUES('6529','FARAZ NAFEES','03335200012','H NO 806 ST NO 77 SEC I/8-3 ISB','8','38','38148','GREE','0',null,'15-DEC-2019','18CITH12W - 915','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 12:57:39','2021-06-17 13:02:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6530','MRS IKHLAQ','03369199421','H NO 4121 ST NO 11 NEAR CAPITAL SCHOOL  GULZAR-E-QUAID RWP','9','19','212414','HAIER','REF TO PTCL',null,'3-JUN-2021','285SD - 956','FREEZER','EARTH',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 13:03:06','2021-06-09 13:04:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6531','SAQIB SB','03335500550','FRIENDS GULNOOR MARKET RWP','9','19','0','WAVES','RREF TO SAQIB FCP',null,'0','315WDFT - 958','FREEZER','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 13:06:06','2021-07-15 15:47:42',null,'1',null,'0');
INSERT INTO complaints VALUES('6532','AHSAN IQBAL','03348524777 , 03028550888','H NO 21 SEC F4  PART 2 MIRPUR AZAD KASHMIR','5','31','103105','LG','0',null,'26-MAR-2019','247CAAV-S - 909','REFRIGERATOR','COOLING PROBLEM',null,'4',null,null,'customer','1','6346','73','2021-06-07 13:14:47','2021-06-07 13:15:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6533','MUHAMMAD IDREES','03315544567 , 03215094017 , 03315544567','H NO 472 ST NO 19 ACCOUNTS GROUP OFFICERS COOPRATIVE HOSING SOCIETY NEAR LOHI BHER POLICE STATION ISB','9','24','162280','MITSUBISHI','0',null,'8-DEC-2018','50VA - 915','AIR CONDITIONER','COOLING PROBLME',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 13:19:05','2021-07-18 17:46:09',null,'1',null,'0');
INSERT INTO complaints VALUES('6534','TAUSEEFUL ISLAM','03315004418','H NO 81 LANE NO 4 HARLEY STREET  RWP CANTT','7','49','11424','ORIENT','REF TO ATIF SADDAR',null,'22-APR-2016','541RD - 993','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 13:21:52','2021-07-16 12:52:36',null,'1',null,'0');
INSERT INTO complaints VALUES('6535','ZUBAIR BILAL','03451522876 , 03408011105','95 SQUARE 4TH FLOOR  EXECUTIVE BLOCK NEAR RED BRIDGE','8','37','49325','ORIENT','0',null,'31-MAY-2021','FLARE3-RG','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 13:26:59','2021-06-14 16:36:46',null,'1',null,'0');
INSERT INTO complaints VALUES('6536','KASHIF SB','03445478001','RAJPUT STREET BEHIND ALLIED BANK BANIGALA ISB','9','19','0','SUPER ASIA','REF TO PTCL',null,'31-MAY-2021','4500ECM - 1577','AIR COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 13:34:42','2021-06-14 16:34:14',null,'1',null,'0');
INSERT INTO complaints VALUES('6537','DR MUNIR','03455117720','H NO 5 ST NO 14 SEC G DHA 2ISB','4','10','35522','LG','REF TO ADIL I/10',null,'31-MAY-2021','425FPS-S','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 13:37:13','2021-06-21 12:29:09',null,'1',null,'0');
INSERT INTO complaints VALUES('6538','SHAZEB HAYAT KHAN','03057619392','H NO 696 GLAI NO 96 SEC I/10-1 ISB','8','37','39058','DAWLANCE','REF TO PTCL',null,'10-FEB-2020','9190LFD-G BROWN - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 13:53:50','2021-06-10 13:09:12',null,'1',null,'0');
INSERT INTO complaints VALUES('6539','ADEEL SB','03207787307 , 03345358886 , 03455432806','H NO D140 BLOCK D LANE NO 5 SEC 4 AIRPORT HOUSING SOCIETY RWP','9','22','195761','ORIENT','0',null,'5-SEP-2020','18G-HYPER-SW - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 13:55:49','2021-07-18 17:50:01',null,'1',null,'0');
INSERT INTO complaints VALUES('6540','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','VARIOLINE','0',null,'0','20STRL-BLK - 993','WATER DISPENSER','COOLING PROBLME',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 13:57:20','2021-07-24 11:46:21',null,'1',null,'0');
INSERT INTO complaints VALUES('6541','SHAKEELA CHAUDHARY','03355441047 , 03335498873','H NO 6 ST NO 64 KORANG TOWN ISB','4','5','0','SAMSUNG','REF TO PTCL',null,'ON PAYMENT','43NU7100-S - 869','FLAT PANEL TV','SCREEN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 14:03:06','2021-06-09 14:42:41',null,'1',null,'0');
INSERT INTO complaints VALUES('6542','UMER SARFRAZ','03102777726','H NO 7 11TH AVENUE SEC N BAHRIA ENCLAVE ISB','5','28','125380','SIGNATURE','REF TO ABUBAKAR',null,'3-DEC-2020','HC-3766G - 1122','BUILT IN APPLLIANCES','IGNITION',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 14:08:47','2021-06-10 15:20:43',null,'1',null,'0');
INSERT INTO complaints VALUES('6543','SYED NAZIR','03215310998','H NO 113 ST NO 70PARK AVENUE SEC E/11-2 ISB','5','35','133275','ORIENT','0',null,'20-MAY-2021','529BL - 128','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 14:20:37','2021-06-14 16:28:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6544','MR WAHEED','03355180846','H NO 783 ST NO 31 KHAYABAN-E-KASHMIR SEC G/16-4 ISB','8','40','42640','ORIENT','0',null,'27-SEP-2020','531BL - 993','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 14:22:48','2021-07-16 12:49:07',null,'1',null,'0');
INSERT INTO complaints VALUES('6545','MISS NASREEN','03333821666','H NO 748 ST NO 64 SEC G/9-4 ISB','5','31','131979','HAIER','0',null,'21-APR-2021','438IDRA','REFRIGERATOR','DOOR PROBLME',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 14:27:06','2021-06-09 13:08:25',null,'1',null,'0');
INSERT INTO complaints VALUES('6546','HASSAN BABER','03238413702','H NO 7 ROAD 1 SEC C BAHRIA ENCLAVE  ISB','5','34','132646','KENWOOD','REF TO AZHAR RAMZAN',null,'4-MAY-2021','1828S-INV - 915','AIR CONDITIONER','ERROR4 E4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 14:38:03','2021-06-14 16:26:10',null,'1',null,'0');
INSERT INTO complaints VALUES('6547','MUHAMMAD SHAHID AMEEN','03005354540,','H NO 527 ST NO 68 SEC I/8-3 ISB','9','19','0','MITSUBISHI','0',null,'ON PAYMENT','50VA - 915','AIR CONDITIONER','NEED SERVICE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 14:45:05','2021-06-12 14:41:45',null,'1',null,'0');
INSERT INTO complaints VALUES('6548','EHSAAN','03418100496 , 03368426974','H NO 107B ST NO 5 KHALID BLOCK PHASE 8 B.TOWN RWP','6','12','32114','ORIENT','0',null,'15-DEC-2020','62D - 1602','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 14:54:07','2021-07-18 17:55:16',null,'1',null,'0');
INSERT INTO complaints VALUES('6549','SAJID ALI','03070112761','H NO 24/66 LANE NO 7 RAFFAY MALL PESHAWAR ROAD RWP','7','49','23790','ORIENT','REF TO TAHIR B.COOL',null,'6-JUN-2021','18G-ORBIT - 915','AIR CONDITIONER','OUTDOOR PROBLEM',null,'5','closed',null,'customer','0',null,'73','2021-06-07 14:57:04','2021-06-07 15:20:54',null,'1',null,'0');
INSERT INTO complaints VALUES('6550','ASLAM KHAN','03335164256','H NO 596 ST NO 36 SEC E/11-3 ISB','5','35','134286','HAIER','0',null,'4-JUN-2021','18HFPAA-S','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 15:04:47','2021-06-10 18:29:26',null,'1',null,'0');
INSERT INTO complaints VALUES('6551','RAJA PERVAIZ','03005105423','SEC G/10-4 ST NO 48 H NO 471 ISB','5','31','117287','HAIER','0',null,'8-JUN-2020','80-000S - 69','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 15:10:49','2021-06-10 18:26:43',null,'1',null,'0');
INSERT INTO complaints VALUES('6552','MR MASOOD AHMED','03035558900','HO#225/11 NEW KEHAL  ABBOTTABAD','8','38','12475','LG','0',null,'25-FEB-2019','4J9HP2T-S - 1712','WASHING MACHINE','POWER ISSUE',null,'4',null,null,'customer','1','4354','74','2021-06-07 15:14:32','2021-06-07 15:35:38',null,'1',null,'0');
INSERT INTO complaints VALUES('6553','ANSAR ABBASI','03223000800','H NO 290 ST NO 38 SEC G/9-1 ISB','8','39','49449','WAVES','0',null,'2-JUN-2021','313WDFT - 956','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 15:14:50','2021-06-15 17:30:13',null,'1',null,'0');
INSERT INTO complaints VALUES('6554','malik  SADAQAT','03335528808','OFFICE 1-2 SECOND FLOOR FAZAL PLAZA SEC F/11 MARKAZ ISB','5','33','106803','KENWOOD','0',null,'3-JUL-2019','1835S-INV - 915','AIR CONDITIONER','GAS COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 15:27:29','2021-06-14 16:05:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6555','MR RIZWAN','03215668264','H NO 430/17E-2 MAIN PESHAWAR ROAD RWP','7','49','8965','SAMSUNG','REF TO ATIF SADDAR',null,'17-APR-2015','48FAJEDSP - 897','REFRIGERATOR','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 15:32:32','2021-06-12 14:39:41',null,'1',null,'0');
INSERT INTO complaints VALUES('6556','ADNAN SB','03235514383','H NO A138 ST NO 4 MEDIA TOWN ISB','9','20','196570','SAMSUNG','0GLB57GN300368F',null,'22-SEP-2020','90F5S3-SZ','WASHING MACHINE','WATER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 15:44:52','2021-06-23 15:01:22',null,'1',null,'0');
INSERT INTO complaints VALUES('6557','SHAHAB SB','03245423873 , 0515541212','NEAR ALSHEIKH TIKKA HOUSE ASGHAR MALL RWP','9','19','0','SIGNATURE','REF TO PTCL',null,'ON PAYMENT','PN1-GD - 1708','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 16:09:10','2021-06-12 14:35:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6558','AFZAL MATHU','03006143609','H NO 81 ROAD 1 SEC C BAHRIA ENCLAVE ISB','8','39','45141','HAIER','C/O AKBAR SB',null,'15-DEC-2020','24HDZ-G INV - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6426','73','2021-06-07 16:17:37','2021-06-09 12:08:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6559','MR SHAHID','03335538949','H NO 1003 ST NO 34 SEC F1 PHASE 8 B.TOWN RWP','4','10','21588','HAIER','0',null,'20-JUN-2019','336TDC - 894','REFRIGERATOR','LED BLINK',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 16:20:01','2021-06-10 18:24:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6560','MR KHURSHEED','03139888117','BARA KAHO NEW ABADI NEAR GOSIYA MASJID ISB','5','29','130928','HAIER','0',null,'2--MAR-2021','246EPC - 858','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','6031','73','2021-06-07 16:29:26','2021-06-09 12:45:18',null,'1',null,'0');
INSERT INTO complaints VALUES('6561','RAJA AWAIS','03335412103 , 03458439561','H NO 34 LANE NO 2 WESTRIDGE 3 NEAR ARMY PUBLIC SCHOOL RWP','9','19','211581','DAWLANCE','0',null,'27-MAY-2021','30POWER CON - 915','AIR CONDITIONER','OUTDOOR FAN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 16:36:48','2021-06-15 13:57:18',null,'1',null,'0');
INSERT INTO complaints VALUES('6562','MOIZ DURRANI','03341569787','DURRANI HOUSE M CHEAN NEW ABADI SOHAN ISB','8','37','49003','LG','REF TO SAQLAIN FHHS',null,'24-MAY-2021','702HMHU-S - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 16:47:06','2021-06-17 13:02:20',null,'1',null,'0');
INSERT INTO complaints VALUES('6563','MR MUDASSIR','03134380048','3RD FLOOR  ALI PLAZA NAZIMUDDIN ROAD BLUE AREA ISB','5','31','132928','GREE','0',null,'7-MAY-2021','18PITH1W','AIR CONDITIONER','GAS REFILL',null,'5','COMPLAINT CLOSEDE',null,'customer','0',null,'73','2021-06-07 17:07:15','2021-07-12 11:55:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6564','RASHID SATTI','03115964937','H NO 63 ST NO 14 PHASE 1 PAKISTAN TOWN ISB','6','12','17519','SAMSUNG','REF TO ZAHID PWD',null,'30-NOV-2020','65Q70T-MRM','FLAT PANEL TV','WIFI',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 17:12:29','2021-06-08 15:30:10',null,'1',null,'0');
INSERT INTO complaints VALUES('6565','AAFIA MALIK','03319415585','H NO 13 ST NO 36 SEC F/6-1 ISB','5','33','121271','SIGNATURE','0',null,'26-AUG-2020','SBS-SK98','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 17:16:14','2021-06-18 16:41:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6566','AAFIA MALIK','03319415585','H NO 13 ST NO 36 SEC F/6-1 ISB','5','33','118521','CANON','0',null,'1-JUL-2020','45-SWC - 1027','WATER COOLER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 17:18:48','2021-06-23 14:58:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6567','MUHAMMAD SHAKWAT','03145302240','H NO 69 ST NO 64 SEC G/6-4 ISB','5','31','133862','HAIER','0',null,'31-MAY-2021','12HFCN','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 17:21:29','2021-06-22 11:34:24',null,'1',null,'0');
INSERT INTO complaints VALUES('6568','ALI KHATTAK','03008591798','H NO 528 SERVICE ROAD NORTH SEC F/10-2 ISB','5','28','35300','ORIENT','REF TO IQBAL FCI',null,'6-JUL-2019','18G-BOLD-UW-INV - 915','AIR CONDITIONER','ERROR E5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 17:28:31','2021-06-17 17:08:18',null,'1',null,'0');
INSERT INTO complaints VALUES('6569','ZARYAB SB','03105285636 , 03110660037','ST NO E1 GHOURI TOWN PHASE 4C2 ISB','9','23','212552','DAWLANCE','0',null,'6-JUN-2021','9178LFAVANTE-NR','REFRIGERATOR','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 17:40:13','2021-06-09 11:41:21',null,'1',null,'0');
INSERT INTO complaints VALUES('6570','MR FAISAL','03335563988','ZIA MASJID RAJA KHAN MARKET KHANNAPULL ISB','9','27','212461','WAVES','0',null,'6-JUN-2021','318WDFT-SS - 959','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 17:42:56','2021-06-10 15:27:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6571','DR ASMA','03065386372','APP NO 310 ST NO 73 HAMZA TOWER SEC F/11 MARKAZ ISB','5','31','82872','SAMSUNG','0',null,'5-APR-2017','49K5300-S - 1629','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 17:45:32','2021-06-16 15:30:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6572','IMRAN ASGHAR','03005236580','ADYALA JEWELLERS NEAR TEHZEEB BAKERS PWD ISB','4','5','21604','GREE','REF TO ADIL I/10',null,'4-JUN-2021','18PITH2W','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 17:50:32','2021-07-12 11:58:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6573','PETROLEUM EXPLORATION','03325131559','OFFICE NO 19 MAUVE AREA, AVAN-E-SANAOT TAJARAT SEC G/8-1 ISB','8','47','25482','HACWEL','0',null,'4-JUN-2021','4100A-HW - 1690','AIR COOLER','ON OFF',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-07 17:54:40','2021-06-23 14:20:14',null,'1',null,'0');
INSERT INTO complaints VALUES('6574','MR HASSAN','03007571919','HO#NNK-ARCADE 226 SECOND FLOOR INTELLECTUAL VILLAGE BAHRIA SPRING NORTH BAHRIA TOWN PHASE 07 RWP','4','11','20547','ORIENT','SALE ADVISOR ALI  MURTAZA',null,'14-APR-2021','18G-HYPER-SW - 915','AIR CONDITIONER','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','5912','73','2021-06-07 18:01:09','2021-06-17 16:55:01',null,'1',null,'0');
INSERT INTO complaints VALUES('6575','MR JANI','03344508800 , 03337508001','H NO 493 ST NO 65H MAIN ROAD PAKISTAN TOWN PHASE 1 ISB','4','11','3982','SIGNATURE','0',null,'4-JUN-2018','SRF-WB90M - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6316','73','2021-06-08 10:39:47','2021-06-18 16:06:22',null,'1',null,'0');
INSERT INTO complaints VALUES('6576','MRS SARMAD','03018551005','H NO 135 ST NO 82 SEC E/11-2 ISB','5','28','116130','SAMSUNG','REF TO KHURRAM SB',null,'4-MAY-2021','13J5730-S - 907','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 10:43:56','2021-06-08 15:29:21',null,'1',null,'0');
INSERT INTO complaints VALUES('6577','JARI HAIDER','03325498389','H NO 500 ST NO 47 SEC G/10-4 ISB','5','35','130671','HAIER','0',null,'22-MAR-2021','368EPR - 860','REFRIGERATOR','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 10:49:27','2021-06-10 15:32:57',null,'1',null,'0');
INSERT INTO complaints VALUES('6578','MR ALAMDAR','03335533647','DARBAR WALI GALI SHAHPUR NEAR BARAKAHO ISB','5','36','114610','SONY','0',null,'10-FEB-2020','40W650D-S - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 11:04:17','2021-06-18 13:49:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6579','MRS KHALIL','03345238833','H NO 665 ST NO 43 PHASE 2 B.TOWN RWP','4','11','20083','GREE','0',null,'17-MAR-2021','18PITH2W','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 11:17:04','2021-06-09 13:52:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6580','SAADULLAH','0345589020','H NO 1 SEC C ROAD 8 BAHRIA ENCLAVE ISB','8','42','49502','DAWLANCE','0',null,'3-JUN-2021','1485-DDW','DISH WASHER','EARTH',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 11:24:12','2021-06-15 18:25:28',null,'1',null,'0');
INSERT INTO complaints VALUES('6581','MR IMRAN','03135469265 , 03491958647','H NO 1163 ST NO 6 PHASE 8 B.TOWN RWP','4','9','16678','HAIER','0',null,'10-OCT-2020','12HNI-B INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 11:38:21','2021-06-22 11:52:39',null,'1',null,'0');
INSERT INTO complaints VALUES('6582','MR JAVED','03005142830','H NO 1323 ST NO 54 PEOPLES COLONY TENCH BHATTA  RWP','7','49','21613','HAIER','REF TO ATIF SADDAR',null,'7-AUG-2020','12HD-W-INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 11:42:18','2021-06-10 16:14:12',null,'1',null,'0');
INSERT INTO complaints VALUES('6583','MR ATIF','03005577884','H NO 580 ST NO 11-1 BLOCK B PLOICE 09 ISB','4','8','19590','LG','0',null,'11-FEB-2021','1369NEHTF-C','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 11:44:02','2021-06-17 13:01:43',null,'1',null,'0');
INSERT INTO complaints VALUES('6584','MARIA IDRESS','03325291696','H NO 1698 ST NO 79A SEC I/10-1 ISB','8','37','43512','FIVE STAR','RANGE MAX',null,'14-NOV-2020','500MC','COOKING RANGE','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 11:48:49','2021-06-14 13:43:45',null,'1',null,'0');
INSERT INTO complaints VALUES('6585','NAVEED SB','03445114544','H NO 810-I ST NO 23 NEAR HAJI CAMP SEC I14/2 ISB','9','24','202626','SIGNATURE','0',null,'20-DEC-2020','SBO-AT4R - 1124','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 11:53:47','2021-06-14 13:43:20',null,'1',null,'0');
INSERT INTO complaints VALUES('6586','AREENA','03315174389','H NO 1542 ST NO 35/2 PHASE 7 B.TOWN RWP','9','24','193079','GREE','0',null,'20-JUL-2020','12CITH11S - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 12:00:13','2021-06-16 14:59:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6587','SALEEM SB','03315544603 , 03465100644','HAMAYUN STREET KHAWAJA CORPORATION CHOWK ADYALA ROAD RWP','9','24','203501','HAIER','0',null,'6-JAN-2020','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 12:02:13','2021-06-10 16:20:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6588','WAQAR SB','03335196006 , 03426818833','GALI NO 4 MALIK HASANAIN TOWN NEW ABADI SOHAN ISB','9','27','212432','HAIER','0',null,'8-JUN-2021','438IDBA','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 12:12:14','2021-06-22 11:56:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6589','IMRAN','03335264078','AA999 BAGH SARDARAN GAWALA ROAD MUHALLA WORKSHOPI RWP','9','27',null,'SUPER ASIA','0',null,null,'555SD - 528','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 12:15:17','2021-07-15 17:20:54',null,'1',null,'0');
INSERT INTO complaints VALUES('6590','AZIZ UR REHMN','03238556099','H NO 720 ST NO 103 SEC D/12-1 ISB','5','28','128162','MIDAS','REF TO ABUBAKAR',null,'16-JAN-2021','590SI','BUILT IN APPLLIANCES','BURNER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 12:20:19','2021-06-15 18:22:52',null,'1',null,'0');
INSERT INTO complaints VALUES('6591','SAQIB NAVEED','03445726269','H NO 107 ST NO 10 CHAKLALA SCHEME 3 RWP','8','38','49267','HAIER','0',null,'30-MAY-2021','18HFAA-B INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 12:33:16','2021-06-22 11:58:24',null,'1',null,'0');
INSERT INTO complaints VALUES('6592','SH ASIM','03426780001','H NO 14 ASKARI 1 SIALKOT CANTT','6','15','35651','SAMSUNG','08dm4nam3c01638e',null,'5-JUN-2021','rz32m71207f','FREEZER','doOR REPLACED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 12:39:08','2021-06-15 18:02:43',null,'1',null,'0');
INSERT INTO complaints VALUES('6593','MRS MUSHTAQ HUSSAIN','03073216293, 0515141269','H NO 41 ST NO 2 SEC C ASKARI 14 RWP','6','15','30393','FIVE STAR','0',null,'9-NOV-2020','35G-TWIN SUPREME - 963','GEYSER','PILOT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 12:43:03','2021-06-14 13:42:52',null,'1',null,'0');
INSERT INTO complaints VALUES('6594','NOMAN SB','03335223567','H NO 16 ST NO 17 SEC H DHA 2 ISB','6','15','27298','HAIER','0',null,'21-MAY-2020','18HRV-W-INV - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 12:45:20','2021-07-01 11:35:43',null,'1',null,'0');
INSERT INTO complaints VALUES('6595','SYED MEHDI ZAIDI','03008270504','H NO 90M 7 EMAAR DHA PHASE 5 ISB','6','15','33902','ORIENT','0',null,'24-MAR-2021','24G-DIVINE','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 12:48:13','2021-06-16 15:29:26',null,'1',null,'0');
INSERT INTO complaints VALUES('6596','KHURRAM','03360570006','H NO 2-171 ST NO 2 MUHALLAH NIHARIA BANNI CHOWK RWP','9','51','212546','DAWLANCE','0',null,'6-JUN-2021','91999AVANTE+LB','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 12:53:46','2021-06-10 13:13:36',null,'1',null,'0');
INSERT INTO complaints VALUES('6597','COL NAVEED QAZI','03335229629','H NO 24 ST NO 1 SEC C ASKARI14 RWP','8','37','49217','HAIER','0',null,'30-MAY-2021','12HFAA-G INV - 913','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 12:58:24','2021-07-01 15:40:01',null,'1',null,'0');
INSERT INTO complaints VALUES('6598','OMER BUTT','03216234159','H NO 274 ST NO 10 FALCON COMPLEX ISB','8','37','47154','XTREEM','0',null,'18-MAR-2021','985-X','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 13:01:41','2021-06-19 15:43:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6599','MRS ARHAM','03175915191','H NO 25 ST NO 1 GHOURI TOWN PHASE 3 ISB','9','23','212140','XTREEM','0',null,'1-JUN-2021','82A - 1122','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 13:07:00','2021-06-25 17:27:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6600','MISS FATIMA','03315696554','H NO 1261 ST NO 60 PHASE 7 B.TOWN RWP','4','5','12636','SIEMENS','REF TO KHURRAM SB',null,'28-JAN-2017','66D080ER-C82','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 13:13:51','2021-06-23 14:17:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6601','MR BASHARAT','03332622222 , 03459900563','H NO 221 ST NO 113 SEC D/12-1 ISB','5','28','134412','HAIER','REF TO ABUBAKAR',null,'7-JUN-2021','285SD - 956','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 13:18:29','2021-06-22 12:01:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6602','COL AMJID','03328095309','H NO 25D ASKARI 4 OPP AIRPORT ROAD RWP CANTT','6','12','21691','HAIER','0',null,'27-JUN-2019','18HNM-INV - 915','AIR CONDITIONER','ERROR E7',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 13:21:12','2021-07-01 15:46:32',null,'1',null,'0');
INSERT INTO complaints VALUES('6603','SHAFQAT','03235151246','H NO 45F ST NO 39  SEC  I/8-2 ISB','5','33','115062','GREE','0',null,'28-FEB-2020','18CITH11B - 915','AIR CONDITIONER','ERROR F0',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 13:24:18','2021-06-16 15:03:09',null,'1',null,'0');
INSERT INTO complaints VALUES('6604','JUNAID BABAR','03005539342','F607  NEAR SIDDEEQ SHADI HALL SATELITTE TOWN RWP','9','24','137343','SIGNATURE','REF TO PTCL',null,'13-JUL-2017','SRF-KK95G - 903','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 13:35:25','2021-06-24 13:44:13',null,'1',null,'0');
INSERT INTO complaints VALUES('6605','EHTISAMUL HAQ','03215144329','SINDH BANK 2ND FLOOR OPP SHIKARPURI SWEETS PWD ISB','4','7','14833','ORIENT','0',null,'25-JUN-2020','12G-JUPITER-SW-INV - 913','AIR CONDITIONER','ERROR E1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 13:54:43','2021-07-06 18:00:45',null,'1',null,'0');
INSERT INTO complaints VALUES('6606','MISS ZARA','03343500192','H NO 483 ST NO 15A PARK ENCLAVE PARK ROAD CHAK SHAHZAD ISB','5','31','133584','ORIENT','0',null,'26-MAY-2021','18G-ALPHA - 914','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 13:58:45','2021-06-17 13:01:16',null,'1',null,'0');
INSERT INTO complaints VALUES('6607','QAMAR ABBAS','03120501770','H NO 103A LANE NO 1 HARLEY STREET RWP','9','26','211677','SAMSUNG','0',null,'27-MAY-2021','72K6360SP - 75','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 14:01:50','2021-06-12 14:33:53',null,'1',null,'0');
INSERT INTO complaints VALUES('6608','JAVED YOUNAS','03008502546','H NO 210G ST NO 32 SEC I/8-2 ISB','5','36','127703','KENWOOD','0',null,'2-JAN-2021','2436S-INV','AIR CONDITIONER','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 14:07:47','2021-06-17 11:32:33',null,'1',null,'0');
INSERT INTO complaints VALUES('6609','MISS MAHWISH','03365566955','H NO 761 ST NO 71 SEC I/8-3 ISB','5','28','0','SIGNATURE','REF TO PTCL',null,'3 YEARS AGO (ON PAYMENT)','TOP LOAD AUTO','WASHING MACHINE','SPINNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 14:22:36','2021-06-16 15:28:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6610','IRAM ZUHAIB','03165038773','H NO 36 ST NO 1 GHOURI TOWN PHASE 2 ISB','8','37','49588','SIGNATURE','REF TO SAQLAIN FHS',null,'6-JUN-2021','HC-3761S - 1122','BUILT IN APPLLIANCES','BURNERS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 14:40:37','2021-07-15 11:24:05',null,'1',null,'0');
INSERT INTO complaints VALUES('6611','USMAN AHMED','03355969555','H NO 235 ST NO 44/A MARGALLA TOWN PHASE 2  ISB','8','37','32405','HAIER','0',null,'20-FEB-2019','618HRF-SS - 903','REFRIGERATOR','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 14:45:36','2021-06-15 17:00:36',null,'1',null,'0');
INSERT INTO complaints VALUES('6612','MR UMAIR','03368360984 , 03348538975','1ST FLOOR AL AIN PLAZA SEC A MARKET DHA 2 ISB','4','5','20749','KENWOOD','REF TO PTCL',null,'27-APR-2021','1828S-INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 14:51:00','2021-06-29 13:36:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6613','SHAHZAD ZAFAR','03335728987','H NO 32D NEW LALAZAR NEAR FOUNDATION UNIVERSITY RWP','8','37','36777','DAWLANCE','0',null,'19-SEP-2019','2810C-DW - 1743','MICROWAVE OVEN','HEATING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 15:18:03','2021-06-10 13:15:34',null,'1',null,'0');
INSERT INTO complaints VALUES('6614','MR NABIL','03431724041','WARD NO 1 MUHALLAH BABU GULAB KHAN NEAR SHAN KARYANA STORE GUJAR KHAN','9','19','212606','ORIENT','REF TO RIFFAT FCP',null,'6-JUN-2021','3RG-FLARE','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 15:23:46','2021-06-15 16:58:37',null,'1',null,'0');
INSERT INTO complaints VALUES('6615','RASHID SATTI','03115964937','H NO 63 ST NO 14 PHASE 1 PAKISTAN TOWN ISB','6','12','17519','SAMSUNG','65Q70T-MRM ( REF TO ZAHID )',null,'30-NOV-2020',null,'FLAT PANEL TV','WIFI',null,'5','COMPLAINT CLOSED',null,'customer','1','6564','73','2021-06-08 15:36:33','2021-06-09 13:47:33',null,'1',null,'0');
INSERT INTO complaints VALUES('6616','ASMI BABE','03325553383','H NO 234A ST NO 14 DEFENCE VILLA SEC F DHA1 RWP','6','12','34404','KENWOOD','REF TO ADEEL BHR-7',null,'18-APR-2021','1228S-INV - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 15:40:14','2021-06-14 13:41:57',null,'1',null,'0');
INSERT INTO complaints VALUES('6617','SHAHZAD KHAN','03367752914','H NO 1441 ST NO 15/1 BLOCK C NPF ISB','4','8','19114','SIGNATURE','REF TO KAMRAN PWD',null,'11-JAN-2021','SBH-AA901G - 1122','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 15:47:23','2021-06-12 14:30:20',null,'1',null,'0');
INSERT INTO complaints VALUES('6618','AMER RAZA','03335144153','MODEL  HOUSE PAKISTAN CHINA FRAGSHIP CENTRE ISB','8','43','0','GREE','REF TO PTCL',null,'5-NOV-2020','24CITH12G - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 16:22:51','2021-07-12 12:02:06',null,'1',null,'0');
INSERT INTO complaints VALUES('6619','SAFDAR RASHEED','03015595861','H NO 1075 ST NO 43 SEC G/11-2 ISB','5','36','134000','HAIER','0',null,'1-JUN-2021','12HFCE-W-INV - 913','AIR CONDITIONER','ERROR F1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 16:29:22','2021-06-14 16:00:33',null,'1',null,'0');
INSERT INTO complaints VALUES('6620','MR WAJAHAT','03145299957','H NO 68 ST NO 13 NORTH BANNIGALA SPRING VALLEY ISB','8','42','211893','HAIER','0',null,'30-MAY-2021','206W','WATER DISPENSER','LIGHTS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 16:33:03','2021-06-14 15:54:49',null,'1',null,'0');
INSERT INTO complaints VALUES('6621','SALMAN HAIDER','03335202345','H NO 304 ST NO 84 SEC E/11-2 ISB','5','33','118432','SONY','0',null,'30-JUN-2020','55X8500G-CC - 942','FLAT PANEL TV','DOTS IN PANEL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 16:40:22','2021-06-16 16:38:03',null,'1',null,'0');
INSERT INTO complaints VALUES('6622','FARRUKH RIAZ','03365876027','H NO 578C/9 ST NO 6 ALLABAD WETRIDGE 3 RWP','7','49','18516','ORIENT','REF TO PTCL',null,'3-FEB-2019','18-Alpha - 914','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 16:56:37','2021-07-16 12:41:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6623','MRS MALIK','03105785752','H NO 1447 ST NO 70 SEC F DHA 1 RWP','6','15','34768','ORIENT','0',null,'2-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 17:06:11','2021-06-09 13:46:42',null,'1',null,'0');
INSERT INTO complaints VALUES('6624','MR WAQAS','03005554686','H NO 278 ST NO 1A 1ST FLOOR JUDICIAL COLONY ISB','4','5','21560','ORIENT','REFTO NAFEES PWD',null,'2-JUN-2021','AUTO8 - 899','WASHING MACHINE','SPINNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 17:35:03','2021-07-06 17:51:42',null,'1',null,'0');
INSERT INTO complaints VALUES('6625','HAMMAD SB','03455104405','FREINDS GULNOOR SHOWROOM MURREE ROAD RWP','9','19','0','SUPER ASIA','0',null,'0','6500ECM - 1577','AIR COOLER','MOTOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 17:43:01','2021-07-26 13:23:54',null,'1',null,'0');
INSERT INTO complaints VALUES('6626','HAMMAD FCP','03455104405','FRIENDS GULNOOR MARKET RWP','9','19','0','GREE','REF TO ASLAM SB',null,'0','18PITH2W','AIR CONDITIONER','OUT DOOR FAN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 17:47:41','2021-07-01 11:41:45',null,'1',null,'0');
INSERT INTO complaints VALUES('6627','BRIG ZAMIR RAJA','03332605267','5 ST NO 10 SEC E DHA 1 RWP','6','12','29840','KENWOOD','REF TO ADEEL BHR-7',null,'3-OCT-2020','480GD-GNG - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-08 17:51:31','2021-06-14 15:41:41',null,'1',null,'0');
INSERT INTO complaints VALUES('6628','MR JUNAID','03335945301','VILLAGE MAL PUR MAJID QUBA NEAR LAKE VIEW PARK ISB','6','13','24197','DAWLANCE','0',null,'30-NOV-2019','6550DW - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 11:20:28','2021-07-06 17:34:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6629','SAIF ULLAH  FCP','03135193818','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','22','210721','ORIENT','SHOWROOM PA VISIT',null,'07-MAY-2021','62D - 1602','MICROWAVE OVEN','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 11:29:18','2021-06-29 16:19:55',null,'1',null,'0');
INSERT INTO complaints VALUES('6630','ADNAN','03336665514','HO#1012 SAAD BIN ABI WAQAS ROAD ALI BLOCK PHASE 08 BEHIRA TOWN','6','16','35193','KENWOOD','MODEL-26657GD-MRG',null,'19-MAY-2021',null,'REFRIGERATOR','OVER COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 11:45:06','2021-08-10 13:53:53',null,'1',null,'0');
INSERT INTO complaints VALUES('6631','MASOOD AHMED','03335328653','HO#520 ST#10 BLOCK  D MEDIA TOWN','4','11','21638','DAWLANCE','0',null,'07-JUNE-2021','91996GD-INV-BDY - 885','REFRIGERATOR','COOLING+ THERMOSTAT  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 11:59:53','2021-06-23 11:21:28',null,'1',null,'0');
INSERT INTO complaints VALUES('6632','AGHA  ZAKA SAB','03315022340','HO#849CB- LANE#03 GULISTAN COLONY R.W.P','8','37','49691','SUPER ASIA','0',null,'08-JUNE-2021','6500ECM - 1577','AIR COOLER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 12:11:42','2021-06-14 15:28:37',null,'1',null,'0');
INSERT INTO complaints VALUES('6633','RAJA RAB NAWAZ','03075854686','HO#1389ST#18 OMER BLOCK PHASE 08  BEHIRA TOWN R.W.P','6','15','33265','DAWLANCE','MODEL 9193LF',null,'21- FEB-2021',null,'REFRIGERATOR','BALANCE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 12:17:38','2021-06-12 15:22:05',null,'1',null,'0');
INSERT INTO complaints VALUES('6634','MADAM HINA','03350159421','HO#45 ST#28 BANI CHOWK SAAD PURI  GATE R.W.P','8','37','0','HAIER','FF TO KHURRAM GOOGLE(C/O SHAYAN HEAD OFFICE)',null,'APRIL-2017','380BJ-DM - 746','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 12:35:27','2021-06-14 15:26:53',null,'1',null,'0');
INSERT INTO complaints VALUES('6635','MR SAAD','033359424085','HO#32 GULISTAN COLONY JINNAH COLONY R.W.P','8','37','48873','HAIER','FF TO SAQLAIN FHHS',null,'20-MAY-2021','438IDB - 896','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 12:42:22','2021-06-14 15:24:34',null,'1',null,'0');
INSERT INTO complaints VALUES('6636','ANJUM SHAH','03367774899','HO#271 ST#64  UPER PORTION E 11/3 ISB','5','28','84636','SIGNATURE','PTCL CALL INVOICE HAY',null,'22-MAY-2017','SWM-SR50 - 905','WASHING MACHINE','E-1 ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 12:46:11','2021-06-18 14:20:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6637','NAVEED','03445114544(0515453410)','HO#810 -ST#23 I 14/2 NEAR HAJI COMP ISB','9','24','202626','SIGNATURE','BULIT IN OVEN',null,'20-DEC-2020','SBO-AT4R - 1124','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 12:56:23','2021-06-18 14:31:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6638','SAJJAD AHMED','03336918102','APP#C3 ISRAH APP NUST UNI H12 ISB','5','31','123207','SONY','MODEL 55X8000H-CC-1018',null,'22-OCT-2020',null,'FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 13:17:03','2021-08-07 12:27:10',null,'1',null,'0');
INSERT INTO complaints VALUES('6639','AREENA','03315174389','HO#360 ST#19 BEHIRA PHASE 07 R.W.P','9','24','193079','GREE','0',null,'20-JULY-2020','12CITH12G - 913','AIR CONDITIONER','GASS LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 13:18:24','2021-06-14 15:19:55',null,'1',null,'0');
INSERT INTO complaints VALUES('6640','KASHIF AZIZ','03455556660','HO#26 ST#149 SEC G 13/4 ISB','5','31','116230','GREE','24FITHIC-496',null,'11-MAY-2020',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 13:18:32','2021-06-29 16:11:52',null,'1',null,'0');
INSERT INTO complaints VALUES('6641','AHMED JAVEED','03008566131','HO#24 SERVICES ROAD SOUTH D-12/1 ISB','8','37','47457','SAMSUNG','65TU8500-MRM-88',null,'30-MAR-2021',null,'FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 13:29:55','2021-06-12 14:27:55',null,'1',null,'0');
INSERT INTO complaints VALUES('6642','ZAKIR SAHIB','03009193514(03058880982)','HO#431 ST#67 SEC 02 GULSHANABAD ADYALA ROAD R.W.P','9','26','192352','KENWOOD','0',null,'08-JULY-2020','1828S-INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 13:41:34','2021-06-29 12:34:58',null,'1',null,'0');
INSERT INTO complaints VALUES('6643','DR ITIKHAR','03138214422','HO#45 ABU BAKAR BLOCK MAIN BOLYWORD PHASE 08 BEHIRA TOWN','6','14','21649','HAIER','0',null,'07-JUNE-2021','18HFCF-W-INV - 915','AIR CONDITIONER','OUT DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 13:50:49','2021-06-16 14:18:03',null,'1',null,'0');
INSERT INTO complaints VALUES('6644','CH IMRAN','03065050684','RIVER STAR BLOCK NO 29A CIVIC CENTRE PHASE 4 B.TOWN RWP','6','14','19764','HAIER','0',null,'03-MAY-2021','12HFAB-W INV - 913','AIR CONDITIONER','GASS LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 14:00:43','2021-07-10 12:48:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6645','KHAYYAM KHAN','03340052541','HO#65 ST#88 E 11/2 ISB','5','30','73966','DAWLANCE','0',null,'31-MAR-2016','9106SD - 83','REFRIGERATOR','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 14:08:09','2021-06-14 15:05:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6646','UMAIR','03066308138','SHOP OPTP RESTAURANT OPP AILED BANK G 13/1 ISB','8','40','48249','SIGNATURE','0',null,'02-MAY-2021','SCC-H4012 - 1110','AIR CURTAIN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 14:18:15','2021-06-28 12:29:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6647','SYED RAHAT ZAFAR','03008501814','HO#06 ST#11 F 6/3 ISB','5','31','133331','GREE','2 UNIT MODEL(18PITH1W-STAR)(18PITH2W-496)',null,'21-MAY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 14:35:54','2021-08-05 13:39:48',null,'1',null,'0');
INSERT INTO complaints VALUES('6648','MRS SHAKEEL','03005580966','HO#09 ST#25 SEC A BEHIRA ENCLAVE','5','31','107618','TERMIKEL','0',null,'19-JULY-2019','7422SL - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 14:41:51','2021-06-10 15:20:06',null,'1',null,'0');
INSERT INTO complaints VALUES('6649','MR ASLAM HAYAT','03008567196','HO#259 KHAYAB E HASNAIN PHASE 02 BEHIRA TOWN R.W.P','4','6','21373','LG','(MODEL 18CHG)','2021-06-09',null,null,'AIR CONDITIONER','DISPLAY  PROB',null,'8',null,null,'customer','0',null,'74','2021-06-09 15:01:08','2021-08-05 16:02:49',null,'1',null,'0');
INSERT INTO complaints VALUES('6650','AHMAD BAJWA','03465108232','GALI#04 UMER FAROOQ COLONY DHOK  Chaudhrian R.W.P','9','24','0','ORIENT','FF TO TAHIR B COOL','2021-06-09',null,null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-09 15:02:44','2021-06-17 14:40:53',null,'1',null,'0');
INSERT INTO complaints VALUES('6651','BRIG ZAMIR RAJA','03332605267','HO#05 ST#10 SEC E DHA 01 ISB','4','6','294840','KENWOOD','0',null,'03-OCT-2020','480GD-MRG - 885','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 15:11:38','2021-06-14 15:02:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6652','M AWAIS','03212221787','OFFICE@28 LUXUX MALL GULBARG GREEN ISB','4','8','21140','VARIOLINE','0',null,'18-MAY-2021','20STRL-BLK - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 15:42:37','2021-06-23 14:06:36',null,'1',null,'0');
INSERT INTO complaints VALUES('6653','NAVEED FCP','03005213783','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','19','0','GREE','MODEL GR-D7680G',null,'0',null,'REFRIGERATOR','FREEZER GASS KIT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 15:52:45','2021-07-07 11:09:29',null,'1',null,'0');
INSERT INTO complaints VALUES('6654','SADEER','03335679921','BARA PUL GO PUMP NEAR PCO WALI GALI HAIER EDUCATION SCHOOL BARA KHO','9','23','186742','KENWOOD','320GD-MRG',null,'10-FEB-2020',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 15:59:12','2021-06-29 12:58:07',null,'1',null,'0');
INSERT INTO complaints VALUES('6655','DR SHOAIB MAIKL','03365102559','HO#B 912 COMMERCIAL MARKET SATELLITE TOWN R.W.P','9','20','170335','ORIENT','0',null,'02-MAR-2019','18G-BOLD-UW-INV - 915','AIR CONDITIONER','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 16:09:46','2021-06-17 14:42:38',null,'1',null,'0');
INSERT INTO complaints VALUES('6656','ROHAIL KIYANI','03215512344 , 03228516881','3RD FLOOR RBS TOWER BUSINESS PARK GULBERG GREEN ISB','6','15','28989','ORIENT','0',null,'11-AUG-2020','18G-MEGA-PW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLINT CLOSED',null,'customer','0',null,'74','2021-06-09 16:25:38','2021-07-26 11:49:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6657','MR IJAZ SAB','03314782914','HO#PD 413 ST#15 AKBARI ROAD SAAD PUR ROAD R.W.P','8','40','47649','KENWOOD','MODEL 26657GD-MRG',null,'07-APRIL-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 16:34:05','2021-06-29 12:38:03',null,'1',null,'0');
INSERT INTO complaints VALUES('6658','ASIF KHAN','03334071207','HMZA  MADRISA NEAR GULZARAY QAID R.W.P','8','40','47644','KENWOOD','26657GD-MRG',null,'07-APRIL-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 16:39:49','2021-06-14 15:00:10',null,'1',null,'0');
INSERT INTO complaints VALUES('6659','NASIER','03345532269','HO#2108 BLOCK F NATIONAL POLICE FOUNDATION','4','7','10639','DAWLANCE','0',null,'08-SEP-2019','91996GD-INV-GREEN - 885','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 16:47:33','2021-06-23 11:24:34',null,'1',null,'0');
INSERT INTO complaints VALUES('6660','MR SABAHAT','03149556987','HAPPY HOME CASH AND CARRY AKHTAR ROAD NEAR SHAPUR ISB','8','37','49711','SUPER ASIA','0',null,'08-JUN-2021','777JC-PLUS - 1705','AIR COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 16:55:10','2021-06-22 16:24:26',null,'1',null,'0');
INSERT INTO complaints VALUES('6661','MR FAISAL','03006946318','OFFICE#03 3RD FLOOR MERIDEAM SOFT WARE TACNOLAGE PARK NEAR NADRA OFFICE RAHMANA-BAD  MUREE ROAD RWP','4','5','14559','KENWOOD','COMPLAINT HASSAN FHHS SIR NAY BAJI HAY',null,'15-JUN-2020','1829S-INV - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 17:02:59','2021-07-16 12:28:01',null,'1',null,'0');
INSERT INTO complaints VALUES('6662','MR MUBARAK','03339071074','APP#111 1ST FLOOR PARK TOWER SEC F-10/3 ISB','8','37','26542','GREE','MODAL#12CITH11S 02 AC KI COMPLAINT HAY SALE ADVISOR ZARA',null,'13-MAR-2020','18CITH12G - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 17:10:36','2021-06-14 14:50:56',null,'1',null,'0');
INSERT INTO complaints VALUES('6663','ALIAFZAL','03038982924','OFFICE#109 MARINE HIGHT 2ND FLOOR IDR ISB','5','30','130503','ORIENT','MODEL555-ANIMATION',null,'17-MAR-2021',null,'FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 17:20:34','2021-07-07 11:27:03',null,'1',null,'0');
INSERT INTO complaints VALUES('6664','MUHAMMAD MUDASSIR','03005517354','HO#314 MADINA TOWN NEAR BILAL MASJID MURRE ROAD R.W.P','8','37','24096','SIGNATURE','FF TO SAQIAIN FHHS',null,'29-AUG-2017','JX1-GR - 1708','WATER DISPENSER','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 17:28:49','2021-06-17 13:00:10',null,'1',null,'0');
INSERT INTO complaints VALUES('6665','AZEEM MUKHTER SAB','03335298623','HO#513 ST#17 SEC 03 AIR PORT HOUSING SOCIETY R.W.P','9','22','172494','GREE','0',null,'09-JUNE-2019','12CITH11S - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 17:29:56','2021-06-14 14:48:20',null,'1',null,'0');
INSERT INTO complaints VALUES('6666','MR ASFAND','03152491074','HO#866 ST 42 DIFFANCE VILLAS BAHRIA 8 RWP','6','12','17123','HAIER','SALE ADVISOR MANZAR YASIN',null,'10-NOV-2018','618WSS - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 17:33:44','2021-06-14 14:35:25',null,'1',null,'0');
INSERT INTO complaints VALUES('6667','OBAID UR REHMAN','03005811696','HO#85 85 HARLY ST#04 R.W.P','9','21','194397','GREE','9978EG-CW3',null,'10-AUG-2020',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 17:44:23','2021-07-15 12:57:17',null,'1',null,'0');
INSERT INTO complaints VALUES('6668','DR LIAQAT','03435227679','HO#958 BLOCK-C SEC B-17 ISB','5','32','121892','CARAVELL','MODAL#204-B  COMPLAINT IQBAL SIR NAY BAJI HAY',null,'14-SEP-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 17:45:36','2021-06-23 14:09:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6669','MR WAHEED AKHTAR','03005531981','MAIN BAZAR MODAL TOWN HUMAK ISB','4','10','34635','GREE','MODAL#18PITH2W  SALE ADVISOR MOHSIN',null,'27-APR-2021',null,'AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 17:58:00','2021-06-14 14:26:32',null,'1',null,'0');
INSERT INTO complaints VALUES('6670','BRIG KIYANI','03218540006','HO#05 ST#3B SEC B PHASE 02 DHA','6','12','5994','SAMSUNG','0',null,'27-NOV-2016','11J5710-S - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 18:10:42','2021-06-14 13:42:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6671','MRS ASIM KIYANI','03315215350 03321452033','MAIN MUREE ROAD NEAR LAKEYOU PARK ISB','5','33','132401','MITSUBISHI','0',null,'30-APR-2021','50VA - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 18:12:51','2021-06-17 14:08:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6672','KHADEEJA','03092164219','HO#273 MAIN ST NEAR CIRCULAR ROAD PHASE 01 PAKISTAN TOWN ISB','4','11','21637','GREE','0',null,'07-JUNE-2021','18FITH1W - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 18:15:59','2021-07-16 12:26:01',null,'1',null,'0');
INSERT INTO complaints VALUES('6673','MR MUSHABIR','03155128672','HO#31 ST 11 SEC-E  DHA 02 ISB','5','32','122660','MITSUBISHI','COMPLAINT ALI FCI SIR NAY BAJI HAY',null,'08-OCT-2020','50VA - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 18:19:32','2021-06-14 14:22:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6674','SHAHID MEHMOOD','03345050919','HO#30ST#128 PHASE 01 JINNAH GARDEN ISB','5','28','132690','ORIENT','FF  TO AZHAR RAMZAN',null,'04-MAY-2021','18G-ORBIT - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 18:21:14','2021-06-14 14:20:39',null,'1',null,'0');
INSERT INTO complaints VALUES('6675','YASIER FHO','03465007129','FRIENDS HOME SHAMSHABAD R.W.P','8','37','0','SIGNATURE','FF TO YASIER FHO',null,'0','SWD-HD10-GR - 994','WATER DISPENSER','TOP COVER REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 18:24:23','2021-06-25 17:27:19',null,'1',null,'0');
INSERT INTO complaints VALUES('6676','MR ABDULLAH KHAN','03439909238 03365992121','PLAZA#141 4th FLOOR CIVIC CENTER BAHRIA TOWN RWP','4','8','20834','KENWOOD','0',null,'30-APR-2021','1228S-INV - 913','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 18:31:02','2021-06-16 15:27:24',null,'1',null,'0');
INSERT INTO complaints VALUES('6677','MALIK SAEED','03345407813','NEW CHAKRA SUZUKI STOP R.W.P','9','21','211679','HAIER','0',null,'27-MAY-2021','385HDF-INV - 1468','FREEZER','BODY CURRENT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 18:31:17','2021-06-14 14:06:10',null,'1',null,'0');
INSERT INTO complaints VALUES('6678','USMAN  SHOUKAT','+92','HO#438 / 05 -L-4 JAGEER ST TENCH BHTTA R..WP','9','23','137569','SIGNATURE','FF TO CELL PHONE COMPLAINT INVOICE B HAIN',null,'17-JULY-2017','SWM-SR45 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 18:43:26','2021-06-22 15:09:46',null,'1',null,'0');
INSERT INTO complaints VALUES('6679','MR MOHSIN ZAIN','03325400190','HO#1043 ST 41 NEAR POWER MARKET SEC G-10/4 ISB','5','33','134625','ORIENT','PTCL CALL INVOICE HAY',null,'08-JUNE-2021','12G-HYPER-SW - 913','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-09 18:47:07','2021-07-06 17:02:31',null,'1',null,'0');
INSERT INTO complaints VALUES('6680','MR ALI','03224631858','HO#1072 ST#43 PHASE 03 BEHIRA TOWN','6','16','35849','ORIENT','FLOOR STANDING(MODEL 24-ULTIMATE',null,'09-JUNE-2021',null,'AIR CONDITIONER','PCB CARD PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 11:01:29','2021-06-29 15:47:52',null,'1',null,'0');
INSERT INTO complaints VALUES('6681','IMRAN ZULFIQAR','03315696554','HO#1261 ST#60 PHASE 07 BEHIRA TOWN','8','37','12636','SIEMENS','FF TO KHURRAM GOOGLE',null,'28-JAN-2017','66D080TR - 382','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 11:07:50','2021-07-06 17:01:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6682','MUSHTAQ AHMED','03445443375','HO#29 ST#105 JINNAH GARDEN ISB','4','8','21695','WELCOME','CANNON AIR COOLER(MODEL 6500M-GRAY',null,'08-JUNE-2021',null,'AIR COOLER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 11:15:26','2021-07-06 16:57:48',null,'1',null,'0');
INSERT INTO complaints VALUES('6683','FRIENDS MOBILE','03045194441','SHOP#01 GROUND FLOOR MOBILE MARKET NEA AL LATIF CHEMIT PWD ISB','8','37','25542','GREE','FF TO TAHA SOHAIL',null,'08-JUNE-2021','24LM5 - 1730','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 11:23:02','2021-07-06 16:55:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6684','MRS TAHIR SHAH','03115231238','HO#184 ST#33 I 8/2 ISB','8','37','25515','HAIER','FF TO TAHA SOHAIL',null,'07-JUNE-2021','438IDB - 896','REFRIGERATOR','BODY SIDE HEAT UP ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 11:27:24','2021-06-12 13:27:31',null,'1',null,'0');
INSERT INTO complaints VALUES('6685','AWAIS KHAN','03215683457','HO#132  ST#10 VILLA 132 PHASE 07','9','27','207634','HAIER','MODEL336IDRA',null,'17-MAR-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 11:43:23','2021-06-15 16:01:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6686','M ALI','03455326596(03459172003)','ALMADINA SILK  SHOP#320 GROUND FLOOR  6TH ROAD R.W.P','9','27','205311','MITSUBISHI','0',null,'09-FEB-2021','50VA - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 11:45:40','2021-07-16 12:22:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6687','MR NADIR','03018889888','NEAR ALLAH WALI MASJID ST 09 GARDEN TOWN SHAKREYAL ISB','9','19','142275','SIGNATURE','SALE ADVISOR KAMRAN',null,'29-OCT-2017','SWM-FW1412S - 906','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 11:46:07','2021-06-14 13:41:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6688','MR IJAZ SAB','03335512749','HO#K 538  MILAT COLONY BESIDE JAMIA QADIRA R.W.P','9','23','198669','CARAVELL','204B',null,'03-NOV-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 12:06:07','2021-07-06 16:40:52',null,'1',null,'0');
INSERT INTO complaints VALUES('6689','AMIR ZIA KIYANI','03345585574','HO#11Q ST#28/1 SEC B-1 BEHIRA ENCLAVE ISB','5','31','129487','ORIENT','FF TO CELL PHONE COMPLAINT INVOICE B HAIN',null,'19-FEB-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 12:11:11','2021-06-17 14:54:22',null,'1',null,'0');
INSERT INTO complaints VALUES('6690','ZAHID MEHMOOD','03345302719','HO#960/15C1 GALI #09 AZIZ ABAD MOGHALABAD R.W.P','7','49','21005','GREE','12CITH1TW-913',null,'22-MAY-2020',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 12:21:42','2021-07-12 12:36:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6691',null,null,null,'7',null,null,'ORIENT','080006522',null,null,'CRYSTAL-C-BLK - 993','WATER DISPENSER','COOLING NHI KR RHA',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'98','2021-06-10 12:25:04','2021-07-26 11:55:12',null,'1',null,'0');
INSERT INTO complaints VALUES('6692','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','HAIER','MODEL 18HF',null,'0',null,'AIR CONDITIONER','PCB CARD ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 12:29:28','2021-06-12 13:32:22',null,'1',null,'0');
INSERT INTO complaints VALUES('6693','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','HAIER','MODEL 306',null,'0',null,'WATER DISPENSER','2 W/D  NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 12:35:03','2021-06-12 13:31:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6694','ADEEL','03324272018','H NO 101 ST NO 76A SEC E/11-2 ISB','5','28','123302','CARAVELL','MODAL#204-B  COMPLAINT ABU-BAKAR  SIR NAY BAJI HAY',null,'26-OCT-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 12:42:56','2021-07-06 16:36:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6695','ALM ENTERPRISES','03075365097','HO#04 MAIN HAMZA ROAD F 11/1 ISB','5','33','133883','GREE','18FITH3W-496( 2 A/C KI COMPLAINT)',null,'31-MAY-2021','18FITH1S - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 12:46:35','2021-07-06 16:34:56',null,'1',null,'0');
INSERT INTO complaints VALUES('6696','ADEEL','03008518877 03324272018','HO#101 ST 76-A SEC E-11/2 ISB','5','28','123302','SHARP','COMPLAINT ABU-BAKAR  SIR NAY BAJI HAY',null,'26-OCT-2020','700SL3 - 903','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 12:59:33','2021-06-18 14:04:49',null,'1',null,'0');
INSERT INTO complaints VALUES('6697','SAQLAIN FHSS','03107338952','FRIENDS HOME SHAMSHABAD R.W.P','8','38','49698','DAWLANCE','MODEL 9178LH CHROME(SHOWROOM VISIT)',null,'08-JUNE-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 13:00:54','2021-06-15 15:53:31',null,'1',null,'0');
INSERT INTO complaints VALUES('6698','SAQLAIN FHSS','03107338952','FRIENDS HOME SHAMSHABAD R.W.P','8','37','48286','GREE','MODEL(12PITH2W-913)VISIT ON SHOROOM',null,'02-MAY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 13:04:20','2021-07-12 12:38:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6699','TAHIRA','03075160082','HO#989 SABZAR COLONY NEAR HARLY HOSPITAL HARLY ST R.W.P','6','12','35797','HAIER','MODEL 368IDBA',null,'08-JUN-2021',null,'REFRIGERATOR','SUM AIL PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 13:13:36','2021-06-12 13:34:46',null,'1',null,'0');
INSERT INTO complaints VALUES('6700','ABDUL SAJID','03345349396','HO#158 ST#06 BLOCK A PWD HOUSING SOCIETY R.W.P','6','16','734','ORIENT','0',null,'21-JAN-2021','18G-SUPER - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 13:17:37','2021-07-06 16:17:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6701','BILAL SAB','03335600808','HO#14 BLOCK#09 SHAH FAISAL COLONY CHAKLALA R.W.P','8','37','15881','LG','MODEL 186SQ-914',null,'27-APRIL-2016',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 13:39:04','2021-06-18 14:31:21',null,'1',null,'0');
INSERT INTO complaints VALUES('6702','REHAN SAB','03009874395','HO#158 ST#1-A FALCON COMPLEX ISB','8','37','15393','CARAVELL','0',null,'28-MAR-2016','600MEC - 1652','CHILLER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 13:44:21','2021-07-06 16:14:06',null,'1',null,'0');
INSERT INTO complaints VALUES('6703','MUHAMMAD AHSAN','03315954690','SADAAT BUSINESS CENTER MINI COMMERAL (EXT 02) NEAR CLOCK CHOEK R.W.P','9','19','0','HAIER','18H',null,'13-08-2020',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 13:49:58','2021-06-15 16:05:34',null,'1',null,'0');
INSERT INTO complaints VALUES('6704','BILAL SHAKIR','03458504407','HO#02 BLOCK F SERVICES ROAD NAVAL ANCHORAGE ISB','9','24','0','SIGNATURE','OUT OFF WARRANTY  FF TO TAHIR B.COOL',null,'0','SWM-SR45 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 14:03:44','2021-06-18 14:19:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6705','ASIM KIYANI','03315215350','H NO 3 NEAR BRIGHT HALL SCHOOL NEW MALPUR 6TH ROAD RWP','5','33','128885','HAIER','MODAL#18HFMAD-W-INV',null,'05-FEB-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 14:13:51','2021-07-01 15:50:25',null,'1',null,'0');
INSERT INTO complaints VALUES('6706','SHAUQAT ALI','03455220743','NAHI ABADI AKBAR ROAD STOP COLON MIRPUR AZAD KASHMIR','8','42','41167','HAIER','0',null,'20-JULY-2020','12HNI-B INV - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 14:20:37','2021-06-12 13:46:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6707','QADIR HIKMAT','03329664846','HO#239 ST#13 PHASEV 01 GORI TOWN','8','42','48077','GREE','12P1TH2W(INSTALLER B.COOL)',null,'27-APRIL-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 14:24:19','2021-06-14 13:40:36',null,'1',null,'0');
INSERT INTO complaints VALUES('6708','NASIR','03335545354','FLAT#506 WARDA HAMNA 02 SEC G-11/3 ISB','8','42',null,'SIGNATURE','HOOD KI COMPLAINT','2012-02-01',null,'SBC-DUBBO-90PLUS - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5',null,null,'customer','0',null,'74','2021-06-10 14:31:05','2021-08-09 16:19:54',null,'1',null,'0');
INSERT INTO complaints VALUES('6709','COL IMRAN AHMED','03334831910','FLAT#D1 PRIDE LANE BILAL UMER SHAHEED COLONY R.W.P','7','49','23120','HAIER','18HFMAD-W-INV-91',null,'06-MAY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 14:38:19','2021-06-15 16:10:42',null,'1',null,'0');
INSERT INTO complaints VALUES('6710','SHAYAN SHAHEEN','03325392973','HO#211 ST#02 SEC 01 AIR PORT HOUSING SOCIETY R.W.P','8','40','49339','KENWOOD','INSTALLER B.COOL',null,'31-MAY-2021','1228S-INV - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 14:49:24','2021-06-12 13:42:46',null,'1',null,'0');
INSERT INTO complaints VALUES('6711','ASIF AHMED','03339507779','HO#489 ST#29 BLOCK D PWD','5','32','134529','ORIENT','FF TO AZHAR FCI',null,'08-*JULY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 15:05:32','2021-06-17 14:59:26',null,'1',null,'0');
INSERT INTO complaints VALUES('6712','SHAKIR LUQMAN','03458503065','HO#1561 ST#35/03 PHASE 07 BEHIRA TOWN','6','15','12938','SIGNATURE','0',null,'03-MAR-2018','JX1-BL - 1708','WATER DISPENSER','TYPE LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 15:23:58','2021-06-16 15:26:19',null,'1',null,'0');
INSERT INTO complaints VALUES('6713','MR WASEEM','03232620415','HO#68 SEC C JINNAH BOLV WARD DHA 02','6','15','35673','ORIENT','0',null,'06-JUNE-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 15:47:23','2021-07-06 16:03:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6714','BILAL','03455438682','HO#12 ST#31 SEC C DHA PHASE 01','6','15','32530','GREE','0',null,'10-JUNE-2021','24FITH1C - 917','AIR CONDITIONER','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 15:51:20','2021-07-19 16:25:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6715','SALEEM KHAN','03178323232','TARNOL SARAY KHARBOZA ZAM ZAM PLAZA  DHOK ABBASI ISBSI','9','19','211427','LG','24CGH(INSTALLER B.COOL',null,'25-MAY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 16:02:57','2021-06-16 16:37:17',null,'1',null,'0');
INSERT INTO complaints VALUES('6716','ALI SHAHID','03005555254','PLOT#236 HUB COMMERCIAL PHASE 08 BEHIRA TOWN','9','19','203946','KENWOOD','MODEL 1839S-INV',null,'14-JAN-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 16:10:15','2021-06-29 12:54:16',null,'1',null,'0');
INSERT INTO complaints VALUES('6717','DR KHUBAIB','03361017163','HO#122 ST#07 D BLOCK SAFRI VELLY PHASE 08 BEHIRA TOWN','6','12','35497','HAIER','206W-2021',null,'30-MAY-2021',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 16:15:35','2021-06-15 16:12:31',null,'1',null,'0');
INSERT INTO complaints VALUES('6718','AHMED SPORT EDGE','03215688321','PLAZA 103 BASMENT SPORT EDGE WALAYAT COMPLEX PHASE 07 BEHIRA TOWN','6','12','28283','HAIER','0',null,'08-JULY-2020','24HEAO3 - 89','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 16:21:37','2021-07-01 18:05:37',null,'1',null,'0');
INSERT INTO complaints VALUES('6719','MR ARSHAD','03009505750','HO#1-G ST 51 SEC F-6/4 ISB','5','28','103880','DAWLANCE','0',null,'19-APR-2019','1045CVT-VF - 1467','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 16:25:49','2021-06-12 15:32:13',null,'1',null,'0');
INSERT INTO complaints VALUES('6720','SADAF GILANI','03357061366','HO# ST #40 NEAR AL HABIB MARKET G -7/3-2 ISB','8','37','21689','ORIENT','18G ELEGANT(INSTALLER B.COOL)',null,'08-JULY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 16:30:51','2021-06-12 13:42:13',null,'1',null,'0');
INSERT INTO complaints VALUES('6721','MR IMRAN','03357241111','HO#27 ST 03  EAO-UR-REHMAN STREET AVALIAN SCHOOLNEAR IQBAL TOWN  RWP','9','24','212744','WELCOME','MODAL#6500-M GRAY ROOM COOLER KI COMPLAINT HAY',null,'08-JUNE-2021',null,'AIR COOLER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 16:32:45','2021-07-06 15:58:29',null,'1',null,'0');
INSERT INTO complaints VALUES('6722','DR WASEEM','03455277773','KRL DR FLAT #B 2 G 10/4 ISB','5','31','45442','SAMSUNG','55KZRSL-RT-90',null,'03-APR-2012',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 16:34:07','2021-06-30 14:23:54',null,'1',null,'0');
INSERT INTO complaints VALUES('6723',null,null,null,'6',null,null,'KENWOOD','000000',null,null,'1828S-INV - 915','AIR CONDITIONER','OUTDOOR GAS LEAKAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-06-10 16:34:58','2021-08-01 14:07:35',null,'1',null,'0');
INSERT INTO complaints VALUES('6724','SYED NAMDAR ALI','03335119505(03360111132)','HO#490 STY#13 PARK ENCLAVE ISB','5','31','124795','MITSUBISHI','0',null,'01-DEC-2020','50VA - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 16:38:50','2021-07-06 15:55:52',null,'1',null,'0');
INSERT INTO complaints VALUES('6725','MR QAMAR-UR-ZAMAN','03335510151','HO#588-A LANE 03 ST 04 GULSTAN COLONY RWP','7','49','21352','ECOSTAR','SALE ADVISOR ZAHID',null,'03-JULY-2020','18AR01W - 917','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 16:39:49','2021-07-06 15:53:13',null,'1',null,'0');
INSERT INTO complaints VALUES('6726','ALI KHAN','03359965687','VILLAGE SOHAN NEAR PO BOX POST OFFICE  ISB','8','38','49699','HAIER','336TPR-1995',null,'08-JUNE-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 16:44:26','2021-06-15 16:18:07',null,'1',null,'0');
INSERT INTO complaints VALUES('6727','MR TALHA','03335185254','HO#2485 ST 158-B GULSHAN-E-ABAD SEC-01 ADYALA ROAD RWP','4','10','35767','ORIENT','SALE ADVISOR MOHSIN',null,'08-JUNE-2021','18G-HYPER-SW - 915','AIR CONDITIONER','ON OFF ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 16:45:38','2021-06-17 15:05:06',null,'1',null,'0');
INSERT INTO complaints VALUES('6728','ZIA','034294271261','POLICE COLONY ABBTOABAD','8','38','49710','GREE','0',null,'08-JUNE-2021','12FITH4WB - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 16:50:06','2021-07-27 14:04:48',null,'1',null,'0');
INSERT INTO complaints VALUES('6729','MR UMAIR','03315125998','HO#10 ST 04 SAFARI VILLAS 01 RWP','4','8','20888','BOSCH','MODAL#12TQ5OM',null,'03-MAY-2021',null,'COOKING RANGE','GAS ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 16:55:47','2021-06-17 12:59:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6730','BRIG MEHMOOD','03215014099','HO#24 ST#10 SEC C DHA 02 ISB','9','20','149159','SIGNATURE','HOB',null,'25-MAY-2018','SBH-AB750S - 1122','BUILT IN APPLLIANCES','NOB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 16:58:09','2021-06-14 17:11:24',null,'1',null,'0');
INSERT INTO complaints VALUES('6731',null,null,null,'6',null,null,'HAIER','0000',null,null,'24HE03 - 917','AIR CONDITIONER','OUTDOOR GASS LEAKGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-06-10 17:03:02','2021-07-01 17:50:16',null,'1',null,'0');
INSERT INTO complaints VALUES('6732','KAMRAN','03350552555','HO#947 ST#91 i 8/4 ISB','8','37','33549','ORIENT','0',null,'28-APRIL-2019','18G-SUPREME-MS - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 17:14:03','2021-06-17 15:06:48',null,'1',null,'0');
INSERT INTO complaints VALUES('6733','BRG NADEEM','03217770202','HO#147 ST 08 CHACKLALA SCHEME 03 RWP','9','24','205694','ORIENT','0',null,'15-FEB-2021','18G-HYPER-SW - 915','AIR CONDITIONER','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 17:19:15','2021-07-06 15:46:25',null,'1',null,'0');
INSERT INTO complaints VALUES('6734','MALIK ASIF','03339346120  03334693120','ST#11 MOHALA GHAZIA ABAD DHOK SAIDAYN RWP','9','27','138358','ORIENT','MODAL#18G-PLUS-SG',null,'01-AUG-2017',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 17:20:44','2021-06-17 15:12:13',null,'1',null,'0');
INSERT INTO complaints VALUES('6735','QARI MUHAMMAD AKRAM','03326864150','MOHAMMADI MASJID JAMIYA (ABU BAKAR MASJID ) ST#02 BLOCK B PWD','6','14','4559','ORIENT','0',null,'22-JULY-2018','48G-PRESTIGE-MW - 1820','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 17:27:15','2021-07-16 12:15:28',null,'1',null,'0');
INSERT INTO complaints VALUES('6736','WEBSITE OFFICE','03225333888','AFRADI PLAZA ST#02 MAIN GORI TOWN ISB','6','14','21176','ORIENT','0',null,'19-MAY-2021','18G-ORBIT - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 17:31:18','2021-06-14 17:11:01',null,'1',null,'0');
INSERT INTO complaints VALUES('6737','MR IMRAN','03125435208','ALHAKEEM PLAZA NEAR FRIENDS CNG  MAIN CHAKRE ROAD RWP','9','21','212344','DAWLANCE','MODAL#15-ECONO SALE ADVISOR MURTAZA',null,'03-JUNE-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 17:32:33','2021-06-15 15:47:16',null,'1',null,'0');
INSERT INTO complaints VALUES('6738','MANZOOR','03335151505','HO#508 C ST#39 HOUSING SOCITY PWD','6','14','19839','GREE','18PITH2W',null,'01-MAY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 17:46:49','2021-06-15 12:39:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6739','MR KASHIF','03009854833','HO#SA-135 ST 09 OPP USMAN STORE  SADAKA BAD RWP','9','22','160500','ORIENT','0',null,'05-NOV-2018','CRYSTAL-RD-BLK - 993','WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 17:49:10','2021-07-16 12:11:35',null,'1',null,'0');
INSERT INTO complaints VALUES('6740','MR SAGHEER','03315190579','HO#17 LANE 05 ST 02 GULSHANAY IQBAL LALAZAR 02 DHAMYAR ROAD RWP','9','27','206671','ORIENT','0',null,'02-MAR-2021','18G-BOLD-UW-INV - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 18:20:41','2021-06-14 13:39:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6741','MR NADEEM','03245505512','HO#10 ST#13 LANE 02 SEC H DHA 02 ISB','8','37','20847','ORIENT','0',null,'30-APRIL-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 18:22:15','2021-06-17 15:17:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6742','MR ADNAN','03005265236','APP#203 WARDA HAMNA 03 SEC G-11/3 ISB','5','36','125218','HAIER','0',null,'02-DEC-2020','18HJ-S INV - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 18:27:50','2021-06-12 13:55:12',null,'1',null,'0');
INSERT INTO complaints VALUES('6743','MR AYAZ KHAN','03369905551','HO#475 ST 22 PHASE 01 GORRI TOWN ISB','5','36','132668','WAVES','0',null,'04-MAY-2021','313WDF-SS - 956','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 18:35:11','2021-06-22 14:57:32',null,'1',null,'0');
INSERT INTO complaints VALUES('6744','TARIQ MEHMOOD','03336000073','HO#01 AMIN TOWN GULBARG SERVICES ROAD ISB','6','16','29186','ECOSTAR','0',null,'18-AUG-2020','18AR01W - 917','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 18:37:42','2021-07-06 15:36:24',null,'1',null,'0');
INSERT INTO complaints VALUES('6745','SADAR AMJAD ISHAQ','03325137007','HO#1183 ST#14 SEC 06 OVER SEAS PHASE 08 BEHIRA TOWN','6','12','20359','ORIENT','0',null,'20-APR-2019','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 18:43:08','2021-07-06 15:33:09',null,'1',null,'0');
INSERT INTO complaints VALUES('6746','MR WAQAS','03005201893','HO#801 ST 19 SEC G-10/1 ISB','8','39','49120','WAVES','0',null,'26-MAY-2021','309WDF - 1639','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 18:45:18','2021-06-22 14:59:09',null,'1',null,'0');
INSERT INTO complaints VALUES('6747','KHURRAM','03335455577','HO#251 GREEN HOUSE ST#06 GULRAIZ PHASE 03 R.W.P','6','14','21474','GREE','0',null,'31-MAY-2021','18FITH1S - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 18:55:59','2021-07-12 12:55:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6748','MISS RUBAB','03035648264','TASHTY RESTORANT RAHMANA BAD MATRO STOP RWP','9','22','206291','KENWOOD','0',null,'24-FEB-2021','1239S-INV - 913','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 19:00:26','2021-06-29 13:40:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6749','MR BASIT','03420436293','NEAR DUBAI SAMIT BANK KHAWAJA CORPORTION HADYALA ROAD RWP','9','22','212960','WAVES','0',null,'09-JUNE-2021','310WDF-SS - 955','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 19:07:30','2021-06-22 15:00:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6750','MR SARFARAZ','03445130330','HO#CC73 ST 01 NAI ABADE NEAR MARIH CHOCK MARIH HASSAN RWP','9','22','172316','HAIER','0',null,'03-JUNE-2019','438EPR - 896','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-10 19:11:38','2021-06-22 12:17:41',null,'1',null,'0');
INSERT INTO complaints VALUES('6751','SYED MAZHAR UL HAQ','03343004271','HO#92 ST#03 BLOCK C MEDIA TOWN ISB','8','37','21635','HAIER','18HFMAD-W-INV-91(FF TO NAFEES FHHS)',null,'07-JUNE-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 10:30:50','2021-06-22 12:19:27',null,'1',null,'0');
INSERT INTO complaints VALUES('6752','MRS COL ATAHAR','03094444995','HO#281 ST#108 SEC D-12/1 ISB','8','37','49028','ORIENT','FF TO NAFEES FHHS(INSTALLER B.COOL)',null,'24-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 10:36:04','2021-06-15 18:37:34',null,'1',null,'0');
INSERT INTO complaints VALUES('6753','USMAN','03328020884','HO#922 ST#22 PHASE 4 BEHIRA TOWN R.W.P','8','37','20502','HAIER','18HFMAD-W-INV-91 3 UNIT KI COMPLAINT HAIN( FF NAFEES FHHS)',null,'12-APRIL-2021',null,'AIR CONDITIONER','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 10:58:31','2021-07-06 15:28:06',null,'1',null,'0');
INSERT INTO complaints VALUES('6754','AZAM','03318506319','HO#12 ST#2 BLOCK F SAWAN GARDEN','4','11','14887','GREE','0',null,'26-JUNE-2020','18CITH12G - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 11:15:49','2021-07-06 15:25:57',null,'1',null,'0');
INSERT INTO complaints VALUES('6755','MISS REHANA','03315304671','HO#11 ST#486 SERVICES ROAD G-13/1 ISB','9','22','204053','HAIER','0',null,'17-JAN-2021','622IBG - 908','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 11:35:36','2021-06-22 12:21:18',null,'1',null,'0');
INSERT INTO complaints VALUES('6756','M SHAKEEL','03005077106','BARKI RAILWAY LINE  CH FAZAL HOUSE  GUJAR KHAN','8','40','49851','HAIER','18HFPAA-B-915',null,'10-JUNE-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 11:35:42','2021-08-11 13:59:29',null,'1',null,'0');
INSERT INTO complaints VALUES('6757','HASSAN SAB','03438822780','HO#777/1 ST#84 I 8/4 ISB','9','22','169856','ORIENT','0',null,'25-APRIL-2019','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 11:44:03','2021-07-06 15:23:55',null,'1',null,'0');
INSERT INTO complaints VALUES('6758','RAGHIB VIRANI','03008284178','HO#164-A ST#08 F 10/2 ISB','5','34','134157','BOSCH','75V120M-C-1420',null,'02-JUNE-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 12:05:25','2021-07-06 15:21:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6759','ISMAIL SAB','03491059135','HO#06 OFFICER HOUSING COLONY NATIONAL PARK ROAD R.W.P','5','34','86257','PANASONIC','0',null,'10-JULY-2017','24NKE-P - 917','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 12:13:47','2021-07-26 13:19:45',null,'1',null,'0');
INSERT INTO complaints VALUES('6760','SHAFIQ AHMED','03172527692','HO#77 GALI#61 G-13/2 ISB','5','34','134271','DAWLANCE','9150LFGD-BRN',null,'04-JUN-2021','9106SD - 83','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 12:20:09','2021-06-23 11:27:13',null,'1',null,'0');
INSERT INTO complaints VALUES('6761','MUJTABA SAB','03245160479','HO K 197 OPP AL FAROOQ HOTEL COMMATTI CHOWK R.W.P','9','24','212115','KENWOOD','26657GD-MRG',null,'01-JUNE-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 12:44:10','2021-06-29 13:49:06',null,'1',null,'0');
INSERT INTO complaints VALUES('6762','DR TASSAWAR MIRZA','03335124273','HO#116 G LUQMAN HAKEEM ROAD G 6/3 ISB','5','34','105278','TCL','1904VLR300836A00028(MODEL L55P65US)',null,'29-MAY-2019',null,'FLAT PANEL TV','PANEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 12:54:17','2021-06-28 13:30:53',null,'1',null,'0');
INSERT INTO complaints VALUES('6763','JAMSHAID BAIG','03202266900','HO#1059 ST#02 PHASE 02 BEHIRA R.W.P','9','24','209875','DAWLANCE','15LVS',null,'28-APRIL-2021',null,'AIR CONDITIONER','OUT DOOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 13:01:45','2021-06-15 15:50:06',null,'1',null,'0');
INSERT INTO complaints VALUES('6764','MUTAHIR','03122226666','HO#747 ST#84 C I 8/4 ISB','8','37','0','CORONA','FF TO KHURRAM GOOGLE',null,'0',null,'WATER COOLER','NOT WORKING',null,'3',null,null,'customer','0',null,'74','2021-06-11 13:07:36','2021-06-11 13:07:36',null,'1',null,'0');
INSERT INTO complaints VALUES('6765','MALIK AZAM','03135171520','VILLAG JOHAD TARNO NEAR MADRASA JAMIYA GORLRA SHARIF ISB','5','30','108653','HAIER','0',null,'20-*AUG-2019','438EPB - 896','REFRIGERATOR','COOLING [PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 13:13:20','2021-06-15 15:35:07',null,'1',null,'0');
INSERT INTO complaints VALUES('6766','AMJAD ALI','03335180678','HO#182 SCKEEM #02 SAAD PUR ROAD SATELLITE TOWN R.W.P','9','51','195594','SAMSUNG','15J5730SS-S',null,'02-SEP-2020',null,'WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 13:20:56','2021-06-18 14:29:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6767','MRS JAVED','03335137053','HO#1101 ST# 23 PHASE 05 B TOWN','4','7','18646','HAIER','398IDBT-84',null,'09-DEC-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 13:31:28','2021-06-22 12:23:03',null,'1',null,'0');
INSERT INTO complaints VALUES('6768','MUZAMIL','03345900692(03315172722)','HO#223 ST#06 F 15/1 ISB','6','14','21643','GREE','0',null,'07-JUN-2021','24FITH1C - 917','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 13:42:53','2021-07-06 15:19:46',null,'1',null,'0');
INSERT INTO complaints VALUES('6769','MISS SHAMEEM BIBI','03006088994','ABBASI GENERAL STORE MADNI MASJID TENCH BHATTA R.W.P','7','49','23609','HAIER','MODEL 276EBS-638(ATIF SADAR)',null,'18-MAY-2021','578TBG - 910','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 13:48:16','2021-07-06 15:18:26',null,'1',null,'0');
INSERT INTO complaints VALUES('6770','AMJAD SAB','03028225188','OFFICE#205 B 2ND FLOOR ENCLAVE TRUST F 5 ISB','5','29','133752','HAIER','MODEL 18HFCF',null,'28-MAR-2021','12LTC - 912','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 13:57:59','2021-06-22 12:27:28',null,'1',null,'0');
INSERT INTO complaints VALUES('6771','TARIQ SAB (SULTAN)','03024920434(03225214597)','HO#336 ST#19 GARDEN CITY ZOON 01 PHASE 07 BEHIRA TOWN','9','20','188069','SAMSUNG','50N3C13SB-SZ-119(WARRANTY CARD B SHER KAR DIA)',null,'22-OCT-2020',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 14:05:11','2021-07-15 11:09:41',null,'1',null,'0');
INSERT INTO complaints VALUES('6772','ALI AM','03453464506','ST#3/1 BLOCK B NPF PLAZA AK PLACE 386 OPP TANDOORI  RESTAURANT ISB','4','8','19277','TCL','TCA-12HEB-O-202002-02766',null,'21-JAN-2021','12HEB - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'74','2021-06-11 14:26:55','2021-07-16 12:04:27',null,'1',null,'0');
INSERT INTO complaints VALUES('6773','MR TAHIR IQBAL','03335152847 03355210340','HO#46 ST 03 MALEK TOWN MAIN DAKH KHANA STOP TARLAI ISB','9','24','200944','CANON','MODAL#U3-PLUS(HOOD)',null,'04-DEC-2020',null,'BUILT IN APPLLIANCES','HOOD NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 14:33:07','2021-06-24 12:34:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6774','AYAZ AHMED','03135166216','HO#09 ST#07 GHORI GARDEN  ISB','6','12','40140','TCL','FF TO ADEEL BEHIRA',null,'09-JUN-2020','12HEB - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 14:45:16','2021-06-28 13:37:58',null,'1',null,'0');
INSERT INTO complaints VALUES('6775','MOEED FAYYAZ','03145164165','HO#376 ST#15 SEC -A PHASE 08 BEHIRA TOWN','6','12','12597','SIGNATURE','SRF-KK905(FF TO ADEEL BEHIRA )',null,'04-FEB-2018',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 14:50:07','2021-07-01 14:37:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6776','MRS NASHAD','03215201637','HO#202 ROAD 01 B BEHIRA SPRING PHASE 07 BEHIRA TOWN','6','14','25510','SHARP','0',null,'06-JAN-2020','18HCP-INV - 915','AIR CONDITIONER','INDOOR &OUT DOOR WATER LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 15:15:30','2021-07-16 12:01:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6777','DR SHAHID','03332280648','HO#216 ST 32 SEC I-8/2 ISB','8','37','26345','LG','0',null,'11-MAR-2018','257JCLAC-C - 904','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 15:23:19','2021-06-17 12:59:01',null,'1',null,'0');
INSERT INTO complaints VALUES('6778','MR SAQIB','03008509497','HO#03 ST#08 SEC C DHA 02 ISB','6','16','23004','LG','0',null,'08-SEP-2019','247SLLV-S - 909','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 15:37:52','2021-06-17 12:58:35',null,'1',null,'0');
INSERT INTO complaints VALUES('6779','NAVEED HUSSAIN','03325428549','HO1396 ST#01 AL NOOR COLONY NEAR KHANA PUL R.W.P','9','27','213162','DAWLANCE','9144FPR',null,'10-JUNE-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 15:44:18','2021-06-15 15:48:20',null,'1',null,'0');
INSERT INTO complaints VALUES('6780','SAIRA SAEED KHAN','03025053000','HO#9 ST#08 F-7/3 ISB','5','35','134262','DAWLANCE','91999CHROME',null,'04-JUN-2021',null,'REFRIGERATOR','LIGHT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 15:49:45','2021-07-12 15:33:17',null,'1',null,'0');
INSERT INTO complaints VALUES('6781','MRS HASEEB TARIQ','03402513230','HO#01ST#35 BLOCK H EXTENSION SONA GARDEN ISB','6','14','6403','LG','0',null,'08-DEC-2018','522GLHL-S - 885','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 16:08:19','2021-07-03 11:36:27',null,'1',null,'0');
INSERT INTO complaints VALUES('6782','SULMAN (C/O SADDIQ SIR)','03215379919','HO#12 ST#16 SEC H DHA 02 ISB','8','37','23622','GREE','FF TO KHURRAM GOOLE (RED ZOON WALAY NO PA INVOICE)',null,'07-OCT-2020','24CITH12G - 917','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 16:10:19','2021-07-12 13:10:31',null,'1',null,'0');
INSERT INTO complaints VALUES('6783','MOHTSIM','03235159122','SUZUKI RACE COURES MOTORS 299A LANE#01 PESHAWAR ROAD R.W.P','5','32','133630','ORIENT','2 A/C KI COMPLAINT',null,'26-MAY-2021','12G-ORBIT - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 16:19:37','2021-07-16 12:39:21',null,'1',null,'0');
INSERT INTO complaints VALUES('6784','ABU BAKAR GAFARI','03127127815','G 10 MARKAZ BELA ROAD GET WELL CLINIC','8','38','48217','DAWLANCE','0',null,'02-MAY-2021','30POWER CON - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 17:01:08','2021-06-15 15:27:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6785','MR TAHIR','03018207261','HO#148 IST FLOOR ST#65 F 11/4 ISB','5','36','13491','GREE','18FITH6G-496',null,'10-JUNE-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 17:07:46','2021-07-05 18:27:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6786','UMAR HAYAT','.03318757557','ARIFI HOUSE NOOR UL RASHEED MARKET NEAR ALLIED BANK SHALY VALLEY ISB','9','24','0','ORIENT','INVOICE SUNDAY KO SAQIB FCP FF KARAY GAY',null,'1- MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 17:16:08','2021-06-17 14:38:56',null,'1',null,'0');
INSERT INTO complaints VALUES('6787','OMER','03005112079','HO#1274 ST#21 PHASE 02 EXTENSIONBEHIRA TOWN','8','37','32969','KENWOOD','0',null,'30-MAR-2019','1826S-INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 17:33:32','2021-06-29 13:52:25',null,'1',null,'0');
INSERT INTO complaints VALUES('6788','HAROON','03215959935','HO#44 ST#29 F-8/1 ISB','8','37','14673','FIVE STAR','0',null,'19-JUNE-2020','900C-FS - 1965','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-11 17:51:01','2021-06-14 13:38:53',null,'1',null,'0');
INSERT INTO complaints VALUES('6789','NASIER SAEED KHAN','03018501833','HO#461 ST#01 SEC H OHASE 08 B TOWN','4','10','35793','KENWOOD','0',null,'08-JUNE-2021','1228S-INV - 913','AIR CONDITIONER','OUT DOOR SOUND PROB',null,'3',null,null,'customer','0',null,'74','2021-06-11 17:58:40','2021-06-11 17:58:40',null,'1',null,'0');
INSERT INTO complaints VALUES('6790','ASIF KAMRAN','03472758947','HO#6618 ST#02 RANGE ROAD ATTOCK PUMP R.W.P','9','20','202216','ORIENT','0',null,'13-DEC-2020','355GRAND-HGD - 884','REFRIGERATOR','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 11:14:06','2021-07-16 11:45:34',null,'1',null,'0');
INSERT INTO complaints VALUES('6791','IMTIAZ','03135521588','HO#46 ST#154 SEC D 12/ 4 ISB','8','37','0','GREE','FF TO KHURRAM GOOGLE',null,'0',null,'AIR CONDITIONER','ERROR H C PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 11:58:26','2021-06-15 11:51:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6792','MRS GHAZALA','03032226910','HO#24 ST#14 SEC G DHA 02 ISB','4','9','18894','KENWOOD','1839INV',null,'27-DEC-2020',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 12:01:43','2021-06-15 12:29:18',null,'1',null,'0');
INSERT INTO complaints VALUES('6793','IJAZ AHMAD KHAN','03345169255','HO#152-B MAIN ROAD QAID AZAM AVENUE MEDIA TOWN ISB','6','15',null,'HAIER','0',null,'25-APRIL-2020','622IBG - 908','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 12:06:29','2021-06-22 12:33:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6794','ALI KHAN','03135986511','APP#510 GRANDAY PLAZA ROAD H PHASE 03 B.TOWN','6','15','35290','KENWOOD','0',null,'24-MAY-2021','935SA - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 12:11:15','2021-06-15 12:41:12',null,'1',null,'0');
INSERT INTO complaints VALUES('6795','GEN SOHAIL','03008413158','HO#11 ST#11 CHAK SHAHZAD ISB','9','24','0','ORIENT','24G ORBIT(FF TO TAHIR B. COOL)',null,'OUT OFF WARRANTY',null,'AIR CONDITIONER','OUT DOOR NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 12:14:31','2021-07-24 16:17:39',null,'1',null,'0');
INSERT INTO complaints VALUES('6796','ABDUL SAB','03125079619','PARNAMA CENTER SAVE GALLERY CASH &CARRY LALKHURTI','9','24','212917','GREE','18PITH12W',null,'09 JUNE-2021',null,'AIR CONDITIONER','ERROR H ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 12:25:58','2021-06-15 13:04:33',null,'1',null,'0');
INSERT INTO complaints VALUES('6797','IMRAN HAIDER','03215562540','FLAT|#02 BLOCK C-4 PHA COLONY I 11/1 ISB','9','24','157343','SIGNATURE','0',null,'19-AUG-2018','SRF-HM100 - 908','REFRIGERATOR','SERVICES REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 12:33:05','2021-06-19 15:42:42',null,'1',null,'0');
INSERT INTO complaints VALUES('6798','IMRAN HAIDER','03215562540','FLAT|#02 BLOCK C-4 PHA COLONY I 11/1 ISB','9','24','135601','SIGNATURE','CELL CALL(INVOICE HAIN )',null,'05-JUNE-2017','JX1-BL - 1708','WATER DISPENSER','TAP PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 12:41:44','2021-06-19 13:45:19',null,'1',null,'0');
INSERT INTO complaints VALUES('6799','USMAN','03365352383','FLAT#14 ST#01 FIA OFFICER COLONY G-8/2 ISB','8','47','25624','KENWOOD','0',null,'10-JUNE-2021','1828S-INV - 915','AIR CONDITIONER','OUT DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 12:51:29','2021-06-29 15:03:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6800','CH BABER','03335109603','HO#72 /3 DHAMAYAL ROAD NEAR RAJA BASHARAT HOME R.W.P','4','6','34323','HAIER','18HFPAA-B-915',null,'13-APRIL-2021',null,'AIR CONDITIONER','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 12:55:22','2021-07-01 15:58:27',null,'1',null,'0');
INSERT INTO complaints VALUES('6801','DR ZAREEF','03008562114','HO#286 ST#100 SEC I-8/4 ISB','8','37','49802','ORIENT','24G-DIVINE',null,'09-JUN-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 13:09:48','2021-06-15 13:09:10',null,'1',null,'0');
INSERT INTO complaints VALUES('6802','AMIR IQBAL','03214534333','IQBAL MEMORIAL HOSPITAL GT ROAD NAWABABAD NEAR JANJUA CNG WAAH CANT','8','37','43252','ORIENT','REF TO SAQLAIN FHS',null,'28-OCT-2020','531BL - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 13:20:00','2021-06-15 13:59:03',null,'1',null,'0');
INSERT INTO complaints VALUES('6803','ZOHAIB','03339973500','HO#02 LANE #02 IQBAL MASJID CHAKRA R.W.P','9','19','211947','LG','MODEL 18CGH',null,'31-MAY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'8',null,null,'customer','0',null,'74','2021-06-12 13:57:55','2021-06-24 15:55:26',null,'1',null,'0');
INSERT INTO complaints VALUES('6804','MUHAMMAD TAYAB','03435562836','ASKARI CEMENT FACTORY QAZAFI MARKET JAMIYA MUHAMMADIA ROAD WHA CANTT','9','19','0','HAIER','FLOOR STANDING',null,'30-JULY-2020',null,'AIR CONDITIONER','PCB CARD PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 14:06:51','2021-07-10 13:11:45',null,'1',null,'0');
INSERT INTO complaints VALUES('6805','MUHAMMAD REHAN','03015149767','HO#28LANE#15 BLOCK D DHA 02 ISB','4','5','11264','SIGNATURE','CELL CALL(INVOICE HAIN )',null,'03-NOV-2019','SWM-JD50C - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 14:38:18','2021-06-23 11:35:41',null,'1',null,'0');
INSERT INTO complaints VALUES('6806','COL BILAL','03335497526','HO#D/6 FLAT#H JAVED SULTAN SHAHEED COLONY QASIM MARKET R.W.O','9','19','199566','ORIENT','CELL CALL(INVOICE HAIN )',null,'21-NOV-2020','18G-BOLD-UW-INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 14:43:54','2021-07-05 18:16:52',null,'1',null,'0');
INSERT INTO complaints VALUES('6807','MALIK KHURRAM SADAR','03005548081','FRIENDS CORPORATION SADAR R.W.P','7','49','0','ORIENT','KHURRAM SIR NA B,COOL W/D MOVE KARWAY GAY',null,'0','CRYSTAL-C-BLK - 993','WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 14:50:29','2021-06-21 12:27:19',null,'1',null,'0');
INSERT INTO complaints VALUES('6808','RASHID','03215108661','HO#CB 368 LANE#3-A ASLAM SHAHEED ROAD TULSA LALAZAR R.W.P','7','49','14873','GREE','0',null,'03-JUNE-2017','12LM4 - 912','AIR CONDITIONER','COOLING [PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 14:52:58','2021-07-06 14:23:37',null,'1',null,'0');
INSERT INTO complaints VALUES('6809','AFTAB','03215007082','HO#735 ST#27 BLOCK F1 PHASE 08  BEHIRA TOWN','6','14','4502','SIGNATURE','0',null,'17-JULY-2018','SWM-SR45 - 899','WASHING MACHINE','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 15:01:33','2021-07-17 13:28:46',null,'1',null,'0');
INSERT INTO complaints VALUES('6810','RAO MUHAAMAD ISHFAQ','03006847442','HO#461 ROAD A BEHIRA TOWN PHASE 04','8','37','19976','MITSUBISHI','FF TO NAFEES FHHS(INSTALLER B.COOL)',null,'06-MAR-2021','50VA - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 15:06:29','2021-06-15 10:55:17',null,'1',null,'0');
INSERT INTO complaints VALUES('6811','MR RIZWAN','03215668264','H NO 430/17E-2 MAIN PESHAWAR ROAD RWP','7','49','8965','SAMSUNG','REF TO ATIF SADDAR',null,'17-APR-2015','48FAJEDSP - 897','REFRIGERATOR','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 15:07:06','2021-06-23 11:35:06',null,'1',null,'0');
INSERT INTO complaints VALUES('6812','AMIN SAB','03010668844','FLAT#206  ST#91 WARDA HAMNA RESIDENCE 03 G-11/3 ISB','8','37','46721','LG','502SQCL-CC-1995',null,'01-MAR-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 15:23:18','2021-08-09 14:18:28',null,'1',null,'0');
INSERT INTO complaints VALUES('6813','NASIR ZADI','03125005312','HO#43 ST#01 SEC E DHA 02','6','12','35763','KENWOOD','FF TO ADEEL BEHIRA',null,'08-JUNE-2021','1828S-INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 15:29:28','2021-06-22 15:00:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6814','UMER HAMEED','03238556627','FLAT#06 BLOCK#29-C ST#100G-11/3 ISB','5','30','133815','HAIER','12HFCN-W INV',null,'28-MAY -2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 15:33:57','2021-06-22 13:04:56',null,'1',null,'0');
INSERT INTO complaints VALUES('6815','SAAD SAB','03139477315','IQBAL MEMORIAL HOSPITAL G T ROAD TAXI LA','8','38','43252','ORIENT','CELL CALL(INVOICE HAIN )',null,'28-OCT-2020','531OWR - 993','WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'74','2021-06-12 15:36:18','2021-06-18 16:04:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6816','SHIKH MOHUDDIN','03335121900','HO#47-C ST#02 GULBARG GREEN  ISB','5','32','105657','HAIER','0',null,'04-JUNE-2019','24HNM-W-INV - 917','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 15:45:14','2021-07-19 16:05:53',null,'1',null,'0');
INSERT INTO complaints VALUES('6817','AMJAD KHAN','03068023090','VILLAGE NIZAM PUR KAHI MOHALLAH KHUJA KHIR  NOWSHARHA','5','28','24396','HAIER','385IM -INV(FF TO IQBAL KRL)',null,'09-FEB-2021',null,'FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 15:53:49','2021-08-03 15:07:22',null,'1',null,'0');
INSERT INTO complaints VALUES('6818','MR AJMIR','03333036854','FLATT#401 HAMZA TOWER F 11 ISB','5','34','132257','HAIER','18HFPCA-G',null,'28-APRIL-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 15:59:16','2021-06-22 13:09:39',null,'1',null,'0');
INSERT INTO complaints VALUES('6819','RANA QAMAR','03332362433','HO#D 82 SHAH JHAN ROAD NAVAL COMPLEX ISB','5','36','123131','GREE','0',null,'20-OCT-2020','9978EG-CB3 - 2116','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 16:09:32','2021-07-06 13:32:52',null,'1',null,'0');
INSERT INTO complaints VALUES('6820','DAIM UMER','03458503403','HO#184 ST#10 BLOCK C CBR PHASE 01','8','37','21791','HAIER','120-1678HWM',null,'09-JUNE-2021',null,'WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 16:26:50','2021-06-22 13:12:32',null,'1',null,'0');
INSERT INTO complaints VALUES('6821','ZULFIQAR ALI','03005158565','OFFICE 1 IST FLOOR SAT LITE PLZA 6TH ROAD R.W.P','7','49','23813','DAWLANCE','45ELEGANCE-INV(FF TO TAHIR B COOL)',null,'08-JUNE-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 16:34:40','2021-06-23 11:41:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6822','DR AHSAN','03218540120','HO#34 ST 23 SEC D-17/2 ISB','6','12','33924','SAMSUNG','SALE ADVISOR BADAL',null,'25-MAR-2021','32M71207F-S - 1468','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 16:41:07','2021-06-18 13:34:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6823','ZAHEER AHMED CH','03330513676','HO#24 ST#$153 G-13/4 ISB','5','28','124218','ORIENT','FF TO IQBAL STOCK',null,'20-NOV-2020','529BL - 128','WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 16:42:58','2021-06-17 14:01:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6824','ZAHEER AHMED CH','03330513676','HO#24 ST#$153 G-13/4 ISB','5','28','78794','ECOSTAR','55U565(FF TO IQBAL FCI)',null,'03-OCT-2016',null,'FLAT PANEL TV','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 16:44:36','2021-07-27 11:48:01',null,'1',null,'0');
INSERT INTO complaints VALUES('6825','MR AHSAN','03218540120','HO#34 ST 23 SEC D-17/2 ISB','6','12','33924','SAMSUNG','MODAL#39M73107F-S  SALE ADVISOR BADAL',null,'25-MAR-2021',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 16:44:56','2021-06-14 13:37:26',null,'1',null,'0');
INSERT INTO complaints VALUES('6826','TANDOORI RESTAURANT','03444458015','TANDOORI RESTAURANT KHURSHEED MARKET F 10/1 ISB','8','37','25618','PEL','12K-MAJESITIC-913(FF TO TAHA SOHAIL)',null,'10-JUNE-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 16:48:11','2021-06-30 12:34:57',null,'1',null,'0');
INSERT INTO complaints VALUES('6827','MANSOOR AMIN','03337808442','FLAT NO 1 HAIDERI PLAZA BLOCK C PWD','4','5','3184','SIGNATURE','REF TO KAMRAN PWD',null,'09-APR-2018','SRF-WB100-B - 860','REFRIGERATOR','EARTH ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 16:48:50','2021-06-21 12:21:17',null,'1',null,'0');
INSERT INTO complaints VALUES('6828','AMIR QURESHI','03315522546','HO#205 ST#42 MARGELLA TOWN PHASE 02 ISB','9','23','200229','FIVE STAR','35G HEAVY',null,'01-DEC-2020',null,'GEYSER','THERMOSTAT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 16:51:23','2021-06-14 17:10:18',null,'1',null,'0');
INSERT INTO complaints VALUES('6829','MR RASHID IQBAL','03025080779','HO#72 ST 15 WAH MODAL TOWN PHASE 02 WAH CANTT','8','37','49781','ORIENT','0',null,'09-JUNE-2021','12G-HYPER-SW - 913','AIR CONDITIONER','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 16:54:44','2021-07-05 17:55:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6830','MR ZEESHAN','03215000581','HO#164 ROSE ROAD SAFARI VILLAS 03 BEHIRA TOWN','4','11','19987','MITSUBISHI','0',null,'10-MAY-2021','50VA - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 17:04:17','2021-06-23 16:29:34',null,'1',null,'0');
INSERT INTO complaints VALUES('6831','MRS KHAN','03335405524','HO#81-B ST 61 SEC F-10/3 ISB','5','31','132151','GREE','MODAL#18FITH65',null,'26-APR-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 17:05:13','2021-07-15 13:02:10',null,'1',null,'0');
INSERT INTO complaints VALUES('6832','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','VARIOLINE','0','2021-06-12',null,'20STRL-WHT - 993','WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 17:08:40','2021-07-18 18:06:17',null,'1',null,'0');
INSERT INTO complaints VALUES('6833','ASIF SATTI','03161511397','HO#269 MEPLE ROAD SAFRAY 03 BEHIRA TOWN','4','7','8327','SAMSUNG','CELL CALL(INVOICE HAIN )',null,'11-APR-2019','61M6211-FMRM - 903','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 17:12:51','2021-06-19 15:41:58',null,'1',null,'0');
INSERT INTO complaints VALUES('6834','MISS SOBIA AMIR','03315189242','HO#112 B LANE#06 BAHAWALPUR CANTT','4','7','18040','ORIENT','0',null,'04-DEC-2020','18G-ROYAL-CW - 915','AIR CONDITIONER','OUT DOOR GASS LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 17:35:13','2021-07-05 17:42:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6835','TARIQ MEHMOOD','03215113593','SHOP#7 STAR KARYANA  GENERAL STORE NEAR ALLIED SCHOOL MAIN BUKRA  ROAD FUJI COLONY R.W.P','9','23','196443','HAIER','385IM-*GRAY',null,'20-SEP-2020',null,'FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 17:53:41','2021-07-13 15:41:33',null,'1',null,'0');
INSERT INTO complaints VALUES('6836','MANZOOR','03335151505','HO#508 C ST#39 HOUSING SOCITY PWD','6','14','19839','GREE','18PITH2W',null,'01-MAY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','6738','74','2021-06-12 17:56:59','2021-07-05 17:40:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6837','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','ORIENT','0','2021-06-12',null,'12G-HYPER-SW - 913','AIR CONDITIONER','OUT DOOR GASS ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 18:01:40','2021-08-01 14:11:27',null,'1',null,'0');
INSERT INTO complaints VALUES('6838','SYED GHALIB','03325124807','BLOCK NO C2 FLAT NO 3 PHA I/11-1 NEAR RAILWAY CARRIAGE FACTORY ISB','8','48','35094','HAIER','0',null,'29-JUN-2019','398EBD - 746','REFRIGERATOR','COMPRESSOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-12 18:12:30','2021-07-01 16:18:42',null,'1',null,'0');
INSERT INTO complaints VALUES('6839','MR FARHAN','03315903560','HO#391-A ST 07 PHASE 04 GULZAR RWP','4','11','1680','GREE','MODAL#18PITH2W  SALE ADVISOR ALI MURTAZA',null,'23-MAR-2021',null,'AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 10:42:22','2021-06-16 14:55:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6840','MR ASIM','03005003995','HO#217 NEAR USMAN MASJID AKRAM ROAD BANIGALA ISB','8','40','49299','SAMSUNG','MODAL#15J5730SS-S',null,'30-MAY-2021',null,'WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 11:01:34','2021-06-18 16:03:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6841','MR ABDUL MOEZ','03319945980','HO#511 ST 13 BAHRIA PHASE 04 RWP','4','5','19897','SAMSUNG','MODAL#80J5410AS-S  SALE ADVISOR WALEED  COMPLAINT NAFEES FHHS SIR NAY COMPLAINT BAJI HAY',null,'03-MAR-2021',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 11:16:32','2021-06-18 15:02:55',null,'1',null,'0');
INSERT INTO complaints VALUES('6842','MR AFTAB','03320557878  03355912621','HO#8/1 AIBAK ROAD CMES MOSQUE WESTRIDGE RWP','8','37','48472','KENWOOD','0',null,'06-MAY-2021','1828S-INV - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 11:31:03','2021-07-27 16:53:26',null,'1',null,'0');
INSERT INTO complaints VALUES('6843','MR AFTAB','03320557878 03355912621','HO#8/1 AIBAK ROAD CMES MOSQUE WESTRIDGE RWP','8','37','48472','KENWOOD','MODAL#4844FHI-INV',null,'06-MAY-2021',null,'AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 11:35:15','2021-07-01 12:59:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6844','MR ZAFFAR KHOKHAR','03335174334','KHOKHAR FARM HOUSE BLOCK-A GULBARG GREEN RWP','8','38','49751','GREE','MODAL#18FITH3W',null,'09-JUNE-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 11:46:47','2021-06-14 12:30:32',null,'1',null,'0');
INSERT INTO complaints VALUES('6845','BRIG IBRAR','03448151515','HO#12 ST 16-F SEC-C BAHRIA ENCLAVE ISB','5','34','97673','KENWOOD','COMPLAINT AZHAR FCI SIR NAY BAJI HAY',null,'04-SEP-2018','1820S-INV-KW - 915','AIR CONDITIONER','MOTOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 12:07:57','2021-07-27 17:03:32',null,'1',null,'0');
INSERT INTO complaints VALUES('6846','MR ABDUL SAMMAD','03158919275','KAMAL PUR SHEAR JANG NEAR KOHAT ROAD FATYJANG ROAD  ZELA ATTOCK','9','19','213166','MITSUBISHI','COMPLAINT SAQIB FCP SIR NAY BAJI HAY',null,'10-JUNE-2021','50VA - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 12:14:53','2021-07-05 17:30:10',null,'1',null,'0');
INSERT INTO complaints VALUES('6847','MR SAJID','03215507716','HO#377 ST 03 SEC F-15/1 ISB','8','37','30869','PANASONIC','0',null,'08-DEC-2018','49MSAS-S - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-06-13 12:25:01','2021-06-15 11:21:37',null,'1',null,'0');
INSERT INTO complaints VALUES('6848','MR OWAIS','03335141422','HO#176/1 ST 11 PHASE 1 BAHRIA TOWN RWP','6','14','22899','CORONA','MODAL#CC205  SALE ADVISOR ARSHAD',null,'31-AUG-2019',null,'COOKING RANGE','IGNITION ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 12:47:42','2021-07-05 17:21:58',null,'1',null,'0');
INSERT INTO complaints VALUES('6849','MR TAHIR','03335305155','HO#100 MAIN MARGALA ROAD ISB','5','36','134720','WAVES','MODAL#315WDF-SS',null,'09-JUNE-2021',null,'FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 12:55:16','2021-06-22 15:03:06',null,'1',null,'0');
INSERT INTO complaints VALUES('6850','MISS TOOBA LATIF','03218930879','HO#202 AL-SAFA HEIGHT 02 ST 73 SEC F-11/1 ISB','8','37','49286','KENWOOD','0',null,'30-MAY-2021','1228S-INV - 913','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 13:01:14','2021-06-29 15:07:33',null,'1',null,'0');
INSERT INTO complaints VALUES('6851','MR QASIM','03215295440','HO#128 ST 07 SEC E-11/2 ISB','5','29','116009','GREE','0',null,'23-APR-2020','18FITH1C - 915','AIR CONDITIONER','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 13:13:13','2021-07-05 17:19:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6852','MR QAMROSH','03070850244','HO#D172 ST 09  BLOCK D MEDIA TOWN ISB','4','8','21701','HAIER','0',null,'08-JUNE-2021','578TBP - 910','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 13:53:53','2021-07-01 16:34:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6853','MR TABASSAM','03455761552','BISMILLAHA SHOP CBR TOWN AL-KHEDMAT GAZI HOSPITAL SOAN GARDEN ISB','4','5','5434','WAVES','MODAL#18-CFT-318WDF  SALE ADVISOR SALEEM PTCL CALL INVOICE HAY',null,'25-SEP-2018',null,'FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 14:16:42','2021-07-05 17:17:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6854','MR ABDUL REHMAN','03445129995','HO#1959 ST 7/2 BLOCK-F SEC O-9 POLICE FOUNDATION ISB','4','5','0','HAIER','C/O SADDIQ SIR  COMPLAINT KHURRAM KHOOGLE SIR NAY BAJI HAY',null,'1-YEAR-AGO','18SGF-INV - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 14:25:36','2021-07-01 18:12:57',null,'1',null,'0');
INSERT INTO complaints VALUES('6855','MRS SHAMIM','03315107610','HO#35 LANE 04 PHASE 06 BAHRIA TOWN RWP','6','14','8933','DAWLANCE','SALE ADVISOR AZHAR',null,'21-MAY-2019','320C2-DW - 1484','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 14:40:07','2021-06-24 18:01:43',null,'1',null,'0');
INSERT INTO complaints VALUES('6856','MR ZAFAR','03008502700','HO#72-A WALAIT HOME CHAKLALA SCHEME 03 RWP','8','38','0','ORIENT','02 TON KA AC HAY INVOICE NAI HAY',null,'01-YEAR-AGO',null,'AIR CONDITIONER','ERROR ED ISSUE',null,'3',null,null,'customer','0',null,'92','2021-06-13 14:50:11','2021-06-13 14:50:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6857','MRS AFTAB','03004189685','HO#08 ST 16-E SEC-C BAHRIA TOWN ISB','8','38','35279','SIGNATURE','0',null,'04-JULY-2019','MD99SS-S - 1723','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 14:53:12','2021-06-18 13:33:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6858','MR ABDUL SHAHID','03335102500','HO#82-B KHAYABANY FAISL COLONY CHAKLALA RWP','9','26','213052','DAIKIN','0',null,'09-JUNE-2021','50AXV1-INV - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 15:12:12','2021-07-05 17:14:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6859','MR MUJEEB','03455666622','HO#169 ST 31 SEC-C PHASE 08 BAHRIA TOWN RWP','6','12','17336','HAIER','SALE ADVISOR MANZAR YASIN',null,'25-NOV-2018','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 15:23:50','2021-06-15 16:33:37',null,'1',null,'0');
INSERT INTO complaints VALUES('6860','MR SHEIKH ASGHAR','03215571717','HO#2088 ST 6/1 BLOCK-F SEC O-9 POLICE FOUNDATION ISB','8','37','21651','DAWLANCE','SALE ADVISOR MARYAM ABBASI COMPLAINT CHAT SERVICE KI TARAF SAY AYI HAY',null,'23-APR-2020','91996GD-INV-BDY - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 15:35:54','2021-06-15 14:55:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6861','COL NAWAZ','03224529016','HO#42  POWER AVINEW STREET SEC-B PHASE 02 ISB','6','15','22124','MITSUBISHI','0',null,'16-JULY-2019','50VA - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 15:45:57','2021-07-28 12:10:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6862','AMIR SB','03345173777','HO# 35EG/7 HOLI FAMILY ROAD RWP','9','26','112234','GREE','PTCL CALL INVOICE HAY',null,'30-MAR-2016','18CITH11B - 915','AIR CONDITIONER','ERROR-E-6',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 15:50:44','2021-07-12 13:19:25',null,'1',null,'0');
INSERT INTO complaints VALUES('6863','MR SAJJAD','03036002600','HO#14 ST 03 SAFARI BLOCK KORANGE TOWN ISB','5','31','88789','SIGNATURE','C/O KHURRAM GOOGLE SIR NAY COMPLAINT BAJI HAY',null,'18-OCT-2017','JX1-RD - 1708','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 16:00:44','2021-06-24 18:11:07',null,'1',null,'0');
INSERT INTO complaints VALUES('6864','ROHI HASHMI','03429375669','IMRAN KHAN CHOWK NORTH BANNI GALA MEDIA STREET ISB','6','13','35371','HAIER','0',null,'07-JULY-2019','18HNR-G - 915','AIR CONDITIONER','MOTOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 16:28:23','2021-07-01 16:38:19',null,'1',null,'0');
INSERT INTO complaints VALUES('6865','MR MOHSIN','03465314470','HO#1043 ST 41 NEAR POWER MARKET SEC G-10/4 ISB','5','33','134625','ORIENT','0',null,'08-JUNE-2021','12G-HYPER-SW - 913','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 17:03:21','2021-06-17 13:41:56',null,'1',null,'0');
INSERT INTO complaints VALUES('6866','MR IBRAR KHAN','03028556530','OFFICE#02 2nd FLOOR WEST POINT BLOCK-A MULTE GARDEN SEC B-17 ISB','9','23','182377','ORIENT','COMPLAINT SAQIB FCP NAY BAJI HAY',null,'02-DEC-2019','12G-HYPER-SW - 913','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 17:11:40','2021-07-05 17:09:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6867','MR ASHIQ KALEEM','03005514936  03005146798','HO#558/6P ST 13 SERVICE ROAD SADAKA BAD RWP','5','33','124969','HAIER','COMPLAINT YASIR SIR HEAD  OFFICE SAY AYI HAY',null,'01-DEC-2020','75-918 - 69','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 17:20:08','2021-06-15 16:31:26',null,'1',null,'0');
INSERT INTO complaints VALUES('6868','MR NAWAB ZADA','03339664929','HO#246 CENTER AVENUE PHASE 06 BAHRIA TOWN RWP','4','7','21273','ORIENT','MODAL#FLARE3-RG   COMPLAINT KAMRAN BAHRIA SIR NAY BAJI HAY',null,'24-MAY-2021',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 17:26:40','2021-07-05 17:08:17',null,'1',null,'0');
INSERT INTO complaints VALUES('6869','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','DAWLANCE','MODAL#9191WB-CHROME',null,'0',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 17:44:05','2021-08-01 14:10:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6870','BILAL FHHS','03120578711','FRIEND CORPORATION SHAMSA  BAD RWP','8','37','0','DAWLANCE','MODAL#1485',null,'0',null,'DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 17:48:10','2021-08-01 14:10:20',null,'1',null,'0');
INSERT INTO complaints VALUES('6871','MR FAISAL','03335277635','HO#424 ST 07 GULRAZ PHASE 04 RWP','4','5','8711','MITSUBISHI','COMPLAINT NAFEES FHHS SIR  NAY BAJI HAY',null,'05-MAY-2019','50VA - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-13 17:54:28','2021-06-16 12:38:46',null,'1',null,'0');
INSERT INTO complaints VALUES('6872','MR  IMRAN ASHRAF','03215669399','HO#50 ST#14 MARGALLA TOWN PHASE 01 ISB','8','39','50034','PANASONIC','PANASONIC A/C HAIN BUT W WALY MODEL KI WARRANTY PEL WALAY DAY',null,'13-JUNE-2021','18TKF-9 - 915','AIR CONDITIONER','COMPRESSOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 11:21:52','2021-06-22 17:00:38',null,'1',null,'0');
INSERT INTO complaints VALUES('6873','DR SARA','03345506007','HO#202- B ST310 E-07 ISB','8','37','0','LG','FF TO KHURRAM GOOGLE',null,'OUT OFF WARRANTY',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 11:31:25','2021-06-17 12:58:12',null,'1',null,'0');
INSERT INTO complaints VALUES('6874','NOUMAM BUT','03135721319','HO#17 ST#119 G-13/4 ISB','9','23','212660','PANATRON','MODEL115CURVED-RB',null,'07-JUNE-2021',null,'WATER DISPENSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 11:38:48','2021-06-22 17:10:43',null,'1',null,'0');
INSERT INTO complaints VALUES('6875','HUSSAIN AHMAD','03219970242','HO#CB 1519 MUHAMMAD I COLONY NEAR MUHAMMAD I MASJID DHOK CHAUDHRIAN R.W.P','9','23','122268','DAWLANCE','0',null,'25-SEP-2016','9175WBM - 83','REFRIGERATOR','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 11:53:50','2021-06-23 11:52:46',null,'1',null,'0');
INSERT INTO complaints VALUES('6876','MR ZAFFAR KHOKHAR','03335174334','KHOKHAR FARM HOUSE BLOCK-A GULBARG GREEN RWP','8','38','49751','GREE','MODAL#18FITH3W',null,'09-JUNE-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 12:09:23','2021-07-05 17:06:35',null,'1',null,'0');
INSERT INTO complaints VALUES('6877','ARSALAN','03026087550','HO#735 ST#18 PHASE 08  BEHIRA TOWN','9','27','185246','LG','0',null,'08-JAN-2020','882HLHU-S - 909','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 12:37:36','2021-06-17 12:57:46',null,'1',null,'0');
INSERT INTO complaints VALUES('6878','HUSSAIN','03315362923','HO#B 171 BLOCK B MEDIA TOWN MAIN DOUBAL ROAD R.W.P','9','20','149047','ORIENT','18GPLUS-SG-1006',null,'24-MAR-2018',null,'AIR CONDITIONER','E 5 ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 12:56:50','2021-07-05 16:51:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6879','HUSSAIN','03315362923','HO#B 171 BLOCK B MEDIA TOWN MAIN DOUBAL ROAD R.W.P','9','20','149047','LG','0',null,'24-MAR-2018','650GLHL-S - 909','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 13:00:15','2021-07-18 17:33:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6880','ANEES','03229818923','HO#S 233 BARBARA BAZAR R.W.P','9','26','213444','WAVES','0',null,'13-JUNE-2021','313WDF-GD ALPHA - 957','FREEZER','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 13:20:09','2021-07-15 15:46:10',null,'1',null,'0');
INSERT INTO complaints VALUES('6881','SHAHID SAB','03445213884','HO#948 ST#96 SEC 1-10/1 ISB','9','19','189280','KENWOOD','0',null,'27- MAY-2020','1828S-INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 13:30:46','2021-06-29 15:10:01',null,'1',null,'0');
INSERT INTO complaints VALUES('6882','ZULFIQAR ALI','03339117566','H NO 1438 ST NO 48 NEAR JAMIA MASJID RAFI BLOCK PHASE 8 B.TOWN RWP','10','45','0','SIGNATURE','DEEP FREEZER  C/O SADDIQ SIR',null,'0',null,'FREEZER','TRIPPING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 13:31:31','2021-06-15 18:36:10',null,'1',null,'0');
INSERT INTO complaints VALUES('6883','MAJ ABDULLAH','03009863705','FLAT-1 AS COLONY WEST RIDGE NEAR ARMY GARAGED YAR  OPP ST# 08 R.W.P','9','19','201982','HAIER','0',null,'09-DEC-2020','622IBS - 908','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 13:38:49','2021-07-01 16:41:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6884','SAEED AKHTER','03105010081','HO#G 66 OFFICER COLONY PHASE 03 TAXILA WHA CANTT','9','22','207887','KENWOOD','1841S-INV',null,'22-MAR-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 13:43:14','2021-07-19 11:31:38',null,'1',null,'0');
INSERT INTO complaints VALUES('6885','M RIAZ','03005253162','FLAT#01 ABU BAKAR PLAZA BLOCK ABU BAKAR SEC H 13 ISB','5','33','119074','KENWOOD','0',null,'13-JULY-2020','1239S-INV - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 14:09:59','2021-06-29 15:15:17',null,'1',null,'0');
INSERT INTO complaints VALUES('6886','WASEEM TARIQ','03335220821','HO#61/30 ST#01 BILA COLONY SHAMSHABAD R.W.P','8','42','40698','MITSUBISHI','0',null,'02-JULY-2020','50VA - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 14:24:56','2021-07-05 16:36:28',null,'1',null,'0');
INSERT INTO complaints VALUES('6887','DR MASOOD AHMED','03235509131','HO#199 ST#74 F-11/1 ISB','5','28','133971','BOSCH','MODEL 24462GL',null,'01-JUNE-2021',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 14:34:07','2021-06-14 18:33:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6888','MISS ZARA','03343500192','Address H NO 483 ST NO 15A PARK ENCLAVE PARK ROAD CHAK SHAHZAD ISB','5','31','133584','ORIENT','0',null,'26-MAY-2021','18G-ALPHA - 914','AIR CONDITIONER','COOLING ISSUE',null,'5','TODAY AGAIN COMPLAINT REOPENED',null,'customer','0',null,'74','2021-06-14 14:46:03','2021-07-06 13:56:07',null,'1',null,'0');
INSERT INTO complaints VALUES('6889','KHAN MUHAMMAD','03005246437','HO#1-A ST#32 F 7/1 ISB','5','28','132141','WAVES','313WDF-SS-23',null,'26-APR-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 15:12:59','2021-06-22 15:09:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6890','MUHAMMAD IBRAR','03028556530','FLAT#2ND FLOOR WEST POINT PLAZA BLOCK A MULTY GARGEN  B17 ISB','9','24','182377','ORIENT','FF TO SAQIB FCP',null,'02-DEC-2019','12G-HYPER-SW - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 15:33:14','2021-07-05 16:34:22',null,'1',null,'0');
INSERT INTO complaints VALUES('6891','MR KHALID','03005362670','HO#1368 ST#29-SEC G-11/2 ISB','5','28','83474','DAWLANCE','0',null,'91996GD','9106SD - 83','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 15:40:32','2021-06-22 17:13:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6892','MUAZZAM','(03335551128(03215959370)','ASPIRE -1D BLOCK TOP CITY ISB','8','38','47606','HAIER','MODEL 18HFPAA-S -915',null,'06-APRIL-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 15:42:45','2021-07-01 17:25:33',null,'1',null,'0');
INSERT INTO complaints VALUES('6893','MUHAMMAD AMIN BUT','03009510124','HO#01 SEC BARAWO  B DHA 02 ISB','6','14','21481','ORIENT','18G -ORBIT',null,'31-MAY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 15:53:07','2021-06-19 15:21:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6894','MUHAMMAD AMIN BUT','03009510124','PLOT NO 584 ROYAL ARC SITE OFFICE NEAR MALIK RIAZ MASJID PHASE 8 B.TOWN','6','14','31910','ORIENT','18-G ORBIT',null,'31-MAY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 15:53:09','2021-07-13 17:22:37',null,'1',null,'0');
INSERT INTO complaints VALUES('6895','MUHAMMAD AMIN BUT','03009510124','HO#08 SEC F 02 MIRPUR AZAD KASHMIR','6','14','21481','ORIENT','18G -ORBIT',null,'31-MAY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSEED',null,'customer','0',null,'74','2021-06-14 15:58:15','2021-07-13 17:19:53',null,'1',null,'0');
INSERT INTO complaints VALUES('6896','MRS ANWAR','03335107239','HO#919 C ST#25  OVER SEAS SCE 03 PHASE 08 B.TOWN','6','14','20017','HAIER','0',null,'11-MAR-2021','18HJ-S INV - 915','AIR CONDITIONER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 16:02:53','2021-07-01 18:14:34',null,'1',null,'0');
INSERT INTO complaints VALUES('6897','TREES TECHNOLOGY','03095100237','OFFICE 02 3RD FLOOR PLAZA 59 BEHIRA SPRING COMMERCIAL PHASE 07 B TOWN','6','16','35139','HAIER','18FCF-INV',null,'18-MAY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 16:08:58','2021-07-05 16:29:33',null,'1',null,'0');
INSERT INTO complaints VALUES('6898','DR SHAHZAD SAB','03368123337','HO#14 ST#15 SEC H DHA 02 ISB','4','5','7652','DAWLANCE','0',null,'13-FEB-2019','1045CVT-VF - 1467','FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 16:27:34','2021-06-28 15:38:13',null,'1',null,'0');
INSERT INTO complaints VALUES('6899','FAHAD','03345507948','HO#155 ST#77 E 11/2 ISB','5','32','103315','LG','0',null,'02-APRIL-2019','612HLHU-S - 885','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 16:37:31','2021-07-14 15:21:53',null,'1',null,'0');
INSERT INTO complaints VALUES('6900','UMER','031111847004','HO#04 ST#04 BILAL TOWN KHANA PUL','8','37','49057','LG','12CGH',null,'02-MAY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 16:43:50','2021-07-15 11:08:25',null,'1',null,'0');
INSERT INTO complaints VALUES('6901','AHMED','033693600702','HO#26 ST#02 COLNER AMMAN ULLAH ROAD BARA KAHO ISB','8','37','49722','HAIER','MODEL18HFMAC-INV',null,'08-JUNE-2019',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 16:47:45','2021-07-08 17:16:39',null,'1',null,'0');
INSERT INTO complaints VALUES('6902','FAHAD IQBAL','03444442276','PLOT#A-2122 IST FLOOR OLIVERS PIZZA SHAHEEN CHOWK ISB','6','12','21036','KENWOOD','0',null,'23-MAY-2019','1831S-INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 17:07:49','2021-06-19 13:20:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6903','DR AYUB RIZWAN','03006100794','HO#430 U ST#5/1 BLOCK D NPF','4','11','20145','HAIER','18HFMAD-W-INV',null,'22-MAR-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 17:13:39','2021-07-01 16:49:01',null,'1',null,'0');
INSERT INTO complaints VALUES('6904','SAJID KIYAN(TIKKA  KHAN)','03129789722','CHAK BALI KHAN ROAD OFFICE PROPITIATE POINT G . T ROAD RAWAT  R.W.P','9','24','213416','WAVES','310WDF-SS',null,'13-JUN-2021',null,'FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 17:39:09','2021-07-08 17:13:58',null,'1',null,'0');
INSERT INTO complaints VALUES('6905','SULMAN','03009731996(03005111888)','APP#401 EXECUTIVE SUITES HILAL ROAD F 11/1 ISB','5','34','123784','GREE','0',null,'10-NOV-2020','9978EG-CB2 - 885','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 17:50:03','2021-07-05 11:28:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6906','COL ABDUL GHAFFAR','03009884315','HO#81 LANE#10 ASKARI 07 ADYALA ROAD R.W.P','6','15','24656','TCL','MODEL (55P 8 ) SERIAL#191OVLR300964A00138',null,'14-DEC-2019',null,'FLAT PANEL TV','CH ANAL SETTING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 17:50:53','2021-07-08 17:10:38',null,'1',null,'0');
INSERT INTO complaints VALUES('6907','JAMSHED BUKHARI','03018553046','HO#240 ST 31, PARK ENCLAVE ISB','8','39','43866','MITSUBISHI','0',null,'30-NOV-2020','50VA - 915','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 17:55:45','2021-06-21 12:19:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6908','MR ADIL','03485239066(0304-7779823','HO#284 ST#103 E-11/1 ISB','5','34','135194','LG','680HLCU-CC',null,'11-JUNE-2021',null,'REFRIGERATOR','TEMPERATURE  PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 18:05:49','2021-07-18 17:33:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6909','ALI NADEEM','03323119114','HO#06 ST# 13 SEC D DHA 01 ISB','6','15','27876','HAIER','0',null,'19-JUNE-2020','18HRV-W-INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 18:10:07','2021-07-05 16:12:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6910','MANZOOR','03335151505','HO#508 C ST#39 HOUSING SOCIETY PWD','6','14','19839','GREE','MODAL# 18PITH2W',null,'01-MAY-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 18:25:23','2021-06-15 12:39:09',null,'1',null,'0');
INSERT INTO complaints VALUES('6911','MANZOOR','03335151505','HO#508 C ST#39 HOUSING SOCIETY PWD','6','14','19839','GREE','MODAL# 18PITH2W',null,'01-MAY-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 18:25:24','2021-06-15 12:36:44',null,'1',null,'0');
INSERT INTO complaints VALUES('6912','MANZOOR','03335151505','HO#508 C ST#39 HOUSING SOCIETY PWD','6','14','19839','GREE','MODAL# 18PITH2W',null,'01-MAY-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 18:25:27','2021-06-15 12:37:22',null,'1',null,'0');
INSERT INTO complaints VALUES('6913','MANZOOR','03335151505','HO#508 C ST#39 HOUSING SOCIETY PWD','6','14','19839','GREE','MODAL# 18PITH2W',null,'01-MAY-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 18:26:43','2021-06-15 12:37:58',null,'1',null,'0');
INSERT INTO complaints VALUES('6914','KAMRAN MAKHDOOM','03218500041','HO#83 ST#17 F-11/2 ISB','8','37','49961','TECHNOGAS','0',null,'12-JUNE-2021','N3XGS5VC - 1902','COOKING RANGE','GASS PURSER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 19:09:20','2021-06-16 15:24:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6915','WASEEM HASSAN RAJA','03085200878','H-872 ST-78 SEC I-8/3 ISB','8','37','49265','SUPER ASIA','0',null,'30/MAY/2021','4500ECM-PLUS','AIR COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-14 19:31:51','2021-07-01 16:35:14',null,'1',null,'0');
INSERT INTO complaints VALUES('6916','SHAFIQ SAB','03335499917','PLOT#81 ST#06 I 10/3 ISB','5','32','134845','ORIENT','24G-DIVIEN',null,'10-JUNE-2021',null,'AIR CONDITIONER','DISPLAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 10:48:43','2021-06-18 15:57:49',null,'1',null,'0');
INSERT INTO complaints VALUES('6917','RAO MUHAAMAD ISHFAQ','03006847442','HO#461 ROAD A BEHIRA TOWN PHASE 04','8','37','19976','MITSUBISHI','FF TO NAFEES FHHS',null,'06-MAR-2021','50VA - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','6810','74','2021-06-15 10:53:40','2021-07-01 16:46:17',null,'1',null,'0');
INSERT INTO complaints VALUES('6918','AHMED SHUJJA','03005362269','HO#969 COAB LINES NEAR QASIM MARKET  R.W.P','9','23','209926','SUPER ASIA','4800ECM-PLUS',null,'29-APRIL-2021',null,'AIR COOLER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 11:06:10','2021-06-22 16:28:01',null,'1',null,'0');
INSERT INTO complaints VALUES('6919','MISHAL BUT','03005314346','HO#73 ST#61 F 10/2 ISB','5','30','120917','HAIER','0',null,'17-AUG-2020','18HFCF-W-INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 11:23:28','2021-06-22 17:39:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6920','MISHAL BUT','03005314346','HO#73 ST#61 F 10/2 ISB','5','30','120917','GREE','0',null,'17-AUG-2020','24CITH11W - 917','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 11:34:49','2021-06-24 17:09:20',null,'1',null,'0');
INSERT INTO complaints VALUES('6921','DR SHAHIDA','03145584433(03335574107)','HO#20 ST#08 SEC A DHA 01','6','12','24798','SIGNATURE','0',null,'15-DEC-2019','SCF-HM11 - 955','FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 11:51:32','2021-06-23 11:34:37',null,'1',null,'0');
INSERT INTO complaints VALUES('6922','ZAHID','03205550003','HO#351 ST#21 SEC C PHASE 08 BEHIRA TOWN','6','12','28126','HOMAGE','0',null,'01-JULY-2020','87HWD - 993','WATER DISPENSER','DOOR PROB',null,'5','COMPLAINTB CLOSED',null,'customer','0',null,'74','2021-06-15 11:59:52','2021-07-27 12:24:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6923','JUNAID','03325866946','KASHMIR HIGH WAY GOLRA MORE ISB','9','27','213411','PEL','MODEL 12-K- FIT-CHOROME',null,'13-JUN-2021',null,'AIR CONDITIONER','GASS LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 12:09:56','2021-06-29 15:55:01',null,'1',null,'0');
INSERT INTO complaints VALUES('6924','AFZAL SAB','03005124690','HO#64-A AFANDI COLONY NEAR ABBASI HIGH SCHOOL R.W.P','9','27','201971','GREE','0',null,'08-DEC-2020','9978EG-CB2 - 885','REFRIGERATOR','OVER COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 12:16:17','2021-06-24 17:10:52',null,'1',null,'0');
INSERT INTO complaints VALUES('6925','TARIQ MEHMOOD','03335172044','ZIKRIYA HOUSE NEAR  ALFALA BANK HAZRO  ATTOCK','9','24','186256','GREE','0',null,'30-JAN-2020','18CITH12G - 915','AIR CONDITIONER','GASS LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 12:33:16','2021-07-05 15:47:58',null,'1',null,'0');
INSERT INTO complaints VALUES('6926','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','HAIER','MODEL 62HR',null,'0',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 12:42:56','2021-07-01 16:52:18',null,'1',null,'0');
INSERT INTO complaints VALUES('6927','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','ORIENT','2 UNIT HAIN',null,'0','12G-HYPER-SW - 913','AIR CONDITIONER','OUT DOOR GASS  LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 12:44:24','2021-06-22 17:35:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6928','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','KENWOOD','MODEL1828',null,'0',null,'AIR CONDITIONER','SENSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 12:45:52','2021-06-22 17:34:52',null,'1',null,'0');
INSERT INTO complaints VALUES('6929','ALTAF SAB','03034448414','HO#451 ST#51 SEC A BEHIRA PHASE 08','8','38','49428','WAVES','0',null,'02-JUNE-2021','313WDF - 956','FREEZER','OVER COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 13:04:32','2021-06-21 13:14:20',null,'1',null,'0');
INSERT INTO complaints VALUES('6930','HASSAN  AKBAR','03315412924','HO#1209 ST#176 G-11/2 ISB','9','19','3755','DAWLANCE','0',null,'13-JUN-2021','91996GD-INV-BDY - 885','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 13:28:15','2021-06-22 17:32:24',null,'1',null,'0');
INSERT INTO complaints VALUES('6931','QAISER NAWAZ','03333335272','HO#38 ST#06 LAKE VIEW PHASE 08 BEHIRA TOWN','6','16','34151','HAIER','0',null,'06-APRIL-2021','18HFCF-W-INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 13:41:02','2021-07-01 18:18:59',null,'1',null,'0');
INSERT INTO complaints VALUES('6932','ABDUL RAUF','03065394490','AFPGMI NEAR CMH HOSPITAL','7','49','23613','ORIENT','0',null,'19-MAY-2021','18G-ORBIT - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 13:55:03','2021-06-19 15:15:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6933','JAMSHAID HANIF','03218549992','HO#276 ST#12 OVER SEAS 02 PHASE 08 BEHIRA  TOWN','7','49','21543','HAIER','0',null,'27-JULY-2020','438EPCW - 896','REFRIGERATOR','OVER COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 14:02:59','2021-07-13 15:44:36',null,'1',null,'0');
INSERT INTO complaints VALUES('6934','ANAS IQBAL','03320066928','HO#109 A LANE 07 HARLEY ST R.W.P','8','37','41829','CORONA','CELL PHONE INVOICE B HAIN',null,'13-AUG-2020','505C - 1815','COOKING RANGE','NOB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 14:08:47','2021-07-05 15:14:24',null,'1',null,'0');
INSERT INTO complaints VALUES('6935','KASHIF','03005220625','HO#181 ST#222 G 7/3-4 ISB','5','30','130813','HAIER','0',null,'25-MAR-2021','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 14:28:19','2021-07-01 17:53:34',null,'1',null,'0');
INSERT INTO complaints VALUES('6936','M Rashid Minhas','03008508323','House 4 C ST# 1-B PHASE 1  BAHIRA  TOWN Rawalpindi','7','49','38957','TCL','1910VLR300969A00051',null,'19-JAN-2021','65P8M - 1443','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 14:36:36','2021-07-28 12:07:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6937','MRS BABER','03159921499','HO#15 HERLY ST MAIN ROAD R.W.P CANNT','9','23','195145','LG','9085NDKVH-C',null,'22-AUG-2020',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 14:41:30','2021-06-28 12:07:09',null,'1',null,'0');
INSERT INTO complaints VALUES('6938','CAP UMER','03319111129(03068020644)','BGR COMPLEX KOHAT CANTT','9','24','165092','LG','0',null,'23-JAN-2019','422HMHU-S - 884','REFRIGERATOR','COOLING POB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 14:59:41','2021-06-16 16:23:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6939','SAJID MEHMOOD','03219257715','HO#81 A ST#14 GORI TOWN PHAS 4 A ISB','8','37','21097','HAIER','20MD P4 -960',null,'11-MAY-2021',null,'MICROWAVE OVEN','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 15:12:08','2021-07-01 18:21:16',null,'1',null,'0');
INSERT INTO complaints VALUES('6940','M ADEEL','03365236972','HO#399 ST#89 G 9/4 ISB','5','35','129070','GREE','18FITH3W-496',null,'09-FEB-2021',null,'AIR CONDITIONER','FLAPPER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 15:20:51','2021-08-05 13:43:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6941','MRS RAZA','03328505693','HO#20 ST#01 KARSAZ VILLAS SHAH ALLAH DITA NEAR D 12 ISB','5','36','02-JUN-2021','ORIENT','0',null,'02-JNE-2021','12G-ORBIT - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 15:37:29','2021-07-08 16:56:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6942','AZEEM SAB (C/ O SADDIQ SAB)','03005089050','HO#32-A NAZIMUDDIN ROAD FACING JOHAR ROAD F 8/1 ISB','8','37','0','ORIENT','C/O KHURRAM GOOGLE',null,'0',null,'WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 16:03:45','2021-06-19 15:17:11',null,'1',null,'0');
INSERT INTO complaints VALUES('6943','DR TANVEER','03335215193','HO#290 ST#28 PARK ENCLAVE PARK ROAD ISB','9','24','207005','HAIER','9 A/C KI COMPLAINT',null,'08-MAR-2021','18HFAB-W INV - 915','AIR CONDITIONER','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 16:08:59','2021-07-05 14:54:26',null,'1',null,'0');
INSERT INTO complaints VALUES('6944','RAO NAEEM','03336223375','HO#22 ST#15 BLOCK C BEHIRA ENCLAVE ISB','8','38','41676','HAIER','15HRFW-W-INV',null,'10-AUG-2020',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 16:15:32','2021-07-05 14:52:22',null,'1',null,'0');
INSERT INTO complaints VALUES('6945','ANJUM SOHAIL','03314939111','HO#1424ST#35/62 SEC E MR 10 ROAD ISB','8','39','48128','SIGNATURE','OVEN',null,'29-APRIL-2021','SBO-AT4R - 1124','BUILT IN APPLLIANCES','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 16:30:26','2021-06-18 11:52:13',null,'1',null,'0');
INSERT INTO complaints VALUES('6946','HASSAIN','03215244500','HO#94/4 ST#02 SEC G 7/4 NEAR GOL MARKET  ISB','8','39','49732','HAIER','18HFMAD-W-INV',null,'08-JUNE-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 16:39:24','2021-06-18 15:59:28',null,'1',null,'0');
INSERT INTO complaints VALUES('6947','RAO AFTAB','03325481762','HO#641 D ST#26 SEC 02 KHAYAB E SIR SAYED ROAD  R.W.P','8','39','17224','SIGNATURE','0',null,'29-JUNE-2016','SWD-MD1 - 994','WATER DISPENSER','TAP LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 16:44:52','2021-06-23 11:34:13',null,'1',null,'0');
INSERT INTO complaints VALUES('6948','ASIM','03441564298','HO#22- ST#07 ROYAL CITY THANDA PANI LITHER ROAD  ISB','8','39','50038','SUPER ASIA','0',null,'14-JUNE-2021','4500ECM - 1577','AIR COOLER','SMELL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 16:51:05','2021-06-29 15:20:39',null,'1',null,'0');
INSERT INTO complaints VALUES('6949','COL ADIL SHAHZAD KHAN','03331210703','HO#73 ST#7- E 11/2 FECHS  ISB','5','28','113782','LG','0',null,'11-JAN-2020','1366NEFTFS-C - 907','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 16:55:58','2021-06-21 14:17:53',null,'1',null,'0');
INSERT INTO complaints VALUES('6950','FARHAN','03005340726','HO#E 130 E BLOCK NEAR HOLY FAMILY NERA DOBHI GARD R.W.P','9','20','208693','KENWOOD','26657GD-MRG',null,'06-APRIL-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 17:10:55','2021-07-28 12:15:23',null,'1',null,'0');
INSERT INTO complaints VALUES('6951','MALIK  AKBAR','03006070920','HO#56 ST 03 SEC F-8/1 PHASE 08 RWP','6','16','35965','ORIENT','COMPLAINT ADIL HOME SOLUTION SIR  NAY BAJI HAY',null,'13-JUNE-2021','18G-BOLD-UW-INV - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 17:13:27','2021-06-19 15:11:05',null,'1',null,'0');
INSERT INTO complaints VALUES('6952','ABID NIYAZI','03345430875(03328850135)','AAA ASSOCIATES 2ND FLOOR OFFICE#20&21 ASIAN BUSINESSES CENTER TOYTA RAWAL MOTERS BEHIRA TOWN PHASE 07B TOWN','9','24','212921','HAIER','18HFPAA-B-915',null,'09-JUNE-2021',null,'AIR CONDITIONER','OUT DOOR MAIN GASS NILL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 17:20:47','2021-06-29 15:15:41',null,'1',null,'0');
INSERT INTO complaints VALUES('6953','MRS MOHSIN','03215309676','HO#788ST#96 D 12/1 ISB','5','33','131533','HAIER','18HFPCA-G-89',null,'12-APR-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 17:29:47','2021-06-29 15:14:05',null,'1',null,'0');
INSERT INTO complaints VALUES('6954','M ASIF','03335565122','HO#07 SALEH ST AKRAM ROAD ISB','5','33','114201','HAIER','0',null,'25-JAN-2020','18HNF-INV-G - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 17:31:42','2021-06-18 16:25:03',null,'1',null,'0');
INSERT INTO complaints VALUES('6955','M ISLAM','03455457785(03009214819)','HO#12 ST#06 FAZAIYA COLONY R.W.P','4','10','37590','TCL','1907VLR300902A00051',null,'16-NOV-2019','55P8US - 942','FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 17:42:20','2021-07-28 12:22:00',null,'1',null,'0');
INSERT INTO complaints VALUES('6956','SUMAIRA KHAN','03450733686','HO#129 ST#06 PHASE 01 B. TOWN','4','10','35593','HAIER','0',null,'02-JUNE-2021','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 17:50:21','2021-06-18 16:09:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6957','MRS LIAQUAT','03345106130','HO#476 ST#14 G 14/4 ISB','5','28','125844','FIVE STAR','MAX  MODEL 10000MC',null,'05-DEC-2020',null,'COOKING RANGE','BUNNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 17:55:59','2021-06-18 13:29:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6958','HAFIZ M ISHFAQ','03025434121','HO#E 106 KOSAR EXTENSION WAH CANTT TAXILA','8','37',null,'SIGNATURE','FF TO IQBAL KRL FRIENDS',null,'06-FEB-2021','HC-3761S - 1122','BUILT IN APPLLIANCES','BUNNER SIDE SA GASS LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 18:01:33','2021-06-23 11:33:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6959',null,null,null,'6',null,null,'HAIER','0000',null,null,'438EPR - 896','REFRIGERATOR','POWER SWITCH DAMAGE..',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-06-15 18:08:42','2021-07-01 17:50:39',null,'1',null,'0');
INSERT INTO complaints VALUES('6960','I 10 STOCK','03358851908','PLOT#81 ST#06 I 10/3 ISB','5','34','0','LG','YHA SET CUSTOMER KO REPLACE KAR DIA THY SET READY HO K I 10 AAY HAIN KHURRAM SIR K KNOWLADGE MAIN HAIN',null,'22-MAR-2021','32LJ570-P - 936','FLAT PANEL TV','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 18:30:08','2021-06-18 16:01:03',null,'1',null,'0');
INSERT INTO complaints VALUES('6961','SAJID GODOWN','0313 5978937','FRIENDS HOME SHAMSHABAD R.W.P','9','51','181991','SONY','(OLD CRM17080) YHA SET CUSTOMER KO REPLACE KAR DIA THA YHA SET NASDEEM AV K PASS HAIN',null,'25-DEC*2019','49X7000F-S - 1629','FLAT PANEL TV','MAIN BOARD PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 18:48:15','2021-08-11 12:49:36',null,'1',null,'0');
INSERT INTO complaints VALUES('6962','ALI HAIDER','03225510804','HO#288-A ST 22 PAKISTAN TOWN PHASE 01','4','11','10216','LG','SALE ADVISOR SALEEM',null,'04-AUG-2019','702HMHU-S - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 18:50:34','2021-07-10 17:59:24',null,'1',null,'0');
INSERT INTO complaints VALUES('6963','MR HAMZA AHMAD','03355742379','HO#07 ST 54 KORANG TOWN ISB','4','11','21266','ORIENT','SALE ADVISOR ALI MURTAZA',null,'23-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 18:58:55','2021-07-01 16:30:12',null,'1',null,'0');
INSERT INTO complaints VALUES('6964','MR FAISAL','03367672000','HO#238 ST OLIVE STREET BAHRIA TOWN SAFARI VILLAS 03 PHASE 02 RWP','4','11','16224','GREE','SALE ADVISOR ALI  MURTAZA',null,'08-SEP-2020','18CITH11W - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-15 19:09:13','2021-06-24 17:14:33',null,'1',null,'0');
INSERT INTO complaints VALUES('6965','NADEEM','03006028075','HO#02 ST# 53  LANE 08 BLOCK D DHA VALLY ISB','4','6','17138','HAIER','0',null,'12-NOV-2020','12HD-W-INV - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 11:04:48','2021-06-18 16:11:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6966','SHAHROOM','03350303033','HO#639 ST#30 PHASE 03 BEHIRA TOWN','4','6','35345','LG','257CSAV-S-909',null,'25-MAY-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 11:11:08','2021-06-30 11:11:55',null,'1',null,'0');
INSERT INTO complaints VALUES('6967','HARIS','03335374719','HO#475 ST#02 BLOCK D NPF','4','11','18029','HAIER','0',null,'04-DEC-2020','438IDRT - 896','REFRIGERATOR','OVER COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 11:15:13','2021-06-21 15:19:54',null,'1',null,'0');
INSERT INTO complaints VALUES('6968','MUDASSIR SAB','03355507500','HO#115 ST#07 PAKISTAN TOWN PHASE 02 ISB','8','37','25924','HAIER','80812756-69',null,'06-FEB-2018',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 11:20:06','2021-06-19 12:43:41',null,'1',null,'0');
INSERT INTO complaints VALUES('6969','BRIG ASIF JAMAL','03215204678','HO#208 SEC C MAIN BLOWARD ASKARI 14 R.W.P','6','12','35904','PANATRON','FF TO ADEEL BEHIRA',null,'10-JUNE-2021',null,'WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 11:26:10','2021-06-19 12:45:32',null,'1',null,'0');
INSERT INTO complaints VALUES('6970','SALADIN SUPER MARKET','03355912108NEAR','SALADIN SUPER MARKET NEAR TOTAL PATROL PUMP F 6 MARKAZ','5','34','130556','ORIENT','0',null,'18-MAR-*2021','12G-HYPER-SW - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 11:35:37','2021-07-05 14:34:58',null,'1',null,'0');
INSERT INTO complaints VALUES('6971','MISS SABA SOHAIL','03005262135','HO#18 C SEC A ROAD DHA 02 ISB','6','12','31622','CANON','HOOD KI COMPLAINT',null,'06-DEC-2020','U-1 - 1123','BUILT IN APPLLIANCES','MOTER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 11:38:48','2021-06-19 12:51:19',null,'1',null,'0');
INSERT INTO complaints VALUES('6972','IQBAL SAB','03335181563','HO#49 ST#1-B PHASE 05  A GORI TOWN','8','38','19604','SIGNATURE','CELL CALL HAIN',null,'17-OCT-2016','SWM-JD51 - 902','WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 11:45:03','2021-06-18 11:50:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6973','COM ABID  SALEEM','03155891369','PLAZA 73 COMMERCIAL MARKET 02 NAVEL ENCOURAGE  ISB','5','28','11817','ORIENT','FF TO HARIS FCI',null,'07-JULY-2020','18G-ORBIT - 915','AIR CONDITIONER','COMPRESSOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 11:51:32','2021-07-28 14:32:47',null,'1',null,'0');
INSERT INTO complaints VALUES('6974','MR USMAN','03005396332','HO#1027 BLOCK-C MULTI GARDEN SEC B-17 ISB','5','28','133471','HAIER','SALE ADVISOR  ABU BAKAR',null,'24-MAY-2021','622IBG - 908','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 12:01:11','2021-06-19 12:58:02',null,'1',null,'0');
INSERT INTO complaints VALUES('6975','TAHIR SALEEM','03116855758','ST#02  TAHIR KARYANA STORE RAWAT SHAHI QILA ISB','9','26','211982','SUPER ASIA','0',null,'31-MAY-2021','240SHW-CRYSTAL - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 12:03:02','2021-07-05 14:48:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6976','HAMZA ASLAM','03075480954','VILLA#02 ORCHARD FARM HOUSE BLOCK B JHANG BAHTAR ROAD TAXILA WHA  CANTT','5','33','128108','ORIENT','0',null,'14-JAN-2021','18G-ROYAL-CW - 915','AIR CONDITIONER','DISPLAY& COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 12:12:58','2021-08-08 17:10:33',null,'1',null,'0');
INSERT INTO complaints VALUES('6977','JAWAD FEROZE','03331291291','MOQ 165/4 SOUTH COLONY RISALPUR CANTT','9','20','199073','HAIER','0',null,'22-OVT-2020','438IDRT - 896','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 12:33:43','2021-08-11 14:05:53',null,'1',null,'0');
INSERT INTO complaints VALUES('6978','MALIK BABAR  HAMEED','03009501570','ST#10 SEC 01 GULSHANABAD ADYLA ROAD R.W.P','9','20','209465','GREE','0',null,'20-APRIL-2021','18LM5L - 914','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 12:37:49','2021-06-19 13:07:24',null,'1',null,'0');
INSERT INTO complaints VALUES('6979','SHAHBAZ SALEEM','03455076005','ST#05 OPP MJ BAKERS RANGE ROAD QASIM MARKET R.W.P','9','24','212822','MITSUBISHI','FF TO SAQIB FCP',null,'08-JUNE-2021','50VA - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 13:20:00','2021-07-06 16:48:33',null,'1',null,'0');
INSERT INTO complaints VALUES('6980','AHMAD SAB','03155238454','VILLAGE HAJI SHAH DISTRICT ATTOCK','9','24','213786','HAIER','65X6600UG-990',null,'14-JUNE-2021',null,'FLAT PANEL TV','HANG ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 13:21:43','2021-07-04 17:47:50',null,'1',null,'0');
INSERT INTO complaints VALUES('6981',null,null,null,'6',null,null,'HAIER','0000',null,null,'95-1678HWM - 1817','WASHING MACHINE','FRON DAMAGE BODY ANDAR HOI HOI HEI...',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-06-16 13:24:27','2021-08-04 14:25:15',null,'1',null,'0');
INSERT INTO complaints VALUES('6982','BRIG ARIF','03005006335','HO#11 ST#03 SEC E DHA 01','6','15','36122','SUPER ASIA','0',null,'15-JUNE-2021','5000ECM - 309','AIR COOLER','NOB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 13:34:53','2021-06-22 17:28:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6983','MUHAMMAD AFZAL','03015563916','ABID MAJEED ROAD NEAR NIRALA SWEET TENCH BHATTA R.W.P','9','21','207745','DAWLANCE','9178LF CHROME',null,'19-MAR-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 13:47:14','2021-06-19 13:22:13',null,'1',null,'0');
INSERT INTO complaints VALUES('6984','MAHIRA IQBAL','03425133407','NW 200 BLOCK D SATELLITE TOWN R.W.P','8','38','25710','HAIER','18HFCN-W-INV(FF TO NAEEM NASEER)',null,'14-JUN-2021',null,'AIR CONDITIONER','SWING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 13:52:59','2021-07-08 16:36:51',null,'1',null,'0');
INSERT INTO complaints VALUES('6985','KHALDOON','03345068355','HO#496-A ST#04 F 11/1 ISB','5','35','125895','HAIER','0',null,'05-DEC-2020','12HD-W-INV - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 13:57:03','2021-06-19 13:35:39',null,'1',null,'0');
INSERT INTO complaints VALUES('6986','SALMAN BAJWA','03455302880','FLAT#04 BLOCK 18 CAT E ST#19 G 10/ 2 ISB','5','30','80910','SIGNATURE','FF TO NAEEM NASEER(INVOICE FF JIBRAN FCI)',null,'10-JAN-2017','SWM-SR50 - 905','WASHING MACHINE','NOT WORKNG',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 13:59:17','2021-06-20 14:45:57',null,'1',null,'0');
INSERT INTO complaints VALUES('6987','SAQIB HUSSAIN','03355507822','ST#24 GIRJA ROAD R.W.P','9','21','189617','HAIER','0',null,'31-MAY-2020','18HFAA-G INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 14:06:15','2021-06-19 13:42:37',null,'1',null,'0');
INSERT INTO complaints VALUES('6988','I 10 STOCK','03358851908','PLOT#81 ST#06 I 10/3 ISB','5','34','0','LG','MODAL#65NANO86(  SET CUSTOMER KO REPLACE KAR DIA THY SET READY HO K I 10 AAY HAIN KHURRAM SIR K KNOWLADGE MAIN HAIN)',null,'22-MAR-2021',null,'FLAT PANEL TV','DISPLAY ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','6960','74','2021-06-16 14:14:11','2021-06-18 16:00:30',null,'1',null,'0');
INSERT INTO complaints VALUES('6989','SHAHID CH','03335167488','HO#141 ST#09 SEC B 1 DHA 01','6','12','26528','KENWOOD','0',null,'12-MAR-2020','480VCM-BRN - 885','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 14:19:12','2021-07-08 16:34:43',null,'1',null,'0');
INSERT INTO complaints VALUES('6990','AHMAD MIR','03008562877','HO#181 A GARDENIA ROAD SAFARI VILLAS 02','6','12','29870','DAWLANCE','FF TO ADEEL BEHIRA',null,'04-OCT-2020','7500C-DW - 1548','WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 14:34:49','2021-07-14 11:44:10',null,'1',null,'0');
INSERT INTO complaints VALUES('6991','PAKISTAN CURRENCY','03185040482','SHOP#21 MALL PLAZA MALL ROAD SADAR  RWP','7','49','23815','VARIOLINE','SALE ADVISOR ZAHID',null,'08-JUNE-2021','20STRL-WHT - 993','WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 14:35:25','2021-07-04 16:20:08',null,'1',null,'0');
INSERT INTO complaints VALUES('6992','AHMAD MIR','03008562877','HO#181 A GARDENIA ROAD SAFARI VILLAS 02','6','12','28064','GREE','FF TO ADEEL BEHIRA',null,'29-JUNE-2020','18FITH1S - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 14:36:39','2021-07-12 13:33:46',null,'1',null,'0');
INSERT INTO complaints VALUES('6993','MR MOEEZ KHAN','03165609488','ST 03 GREEN VALLI NEAR MASJID ZUBADA DHAMYAR  CAMP RWP','9','23','212525','DAWLANCE','0',null,'06-JUNE-2021','115CHZP - 961','MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 14:42:58','2021-06-19 13:52:24',null,'1',null,'0');
INSERT INTO complaints VALUES('6994','MUNIR KHALID','03445155337','HO#89 ST#10DR NAGHMAN DOCTOR TOWN NEAR PWD SOCITY','8','37','0','PANASONIC','FF TO TAHIR B.COOL',null,'0',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 15:11:31','2021-06-19 13:54:35',null,'1',null,'0');
INSERT INTO complaints VALUES('6995','TAHIR SAEED SAB','03015291500','HO#130 ST#04 SEC 02 AIR PORT HOUSING SOCITY R.W.P','8','37','25563','HAIER','FF TO TAHA SOHAIL',null,'09-JULY-2021','18HFCE-W-INV - 915','AIR CONDITIONER','RELAY PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 15:25:06','2021-07-08 16:19:42',null,'1',null,'0');
INSERT INTO complaints VALUES('6996','COM RIZWAN','03332621080','HO#D 12/C RAFIQ ROAD CHAKLALA GARRISSON R.W.P','8','37','25364','ORIENT','FF TO TAHA SOHAIL',null,'28-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 15:29:20','2021-07-05 14:11:29',null,'1',null,'0');
INSERT INTO complaints VALUES('6997','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','GREE','18PITH2W',null,'0',null,'AIR CONDITIONER','GASS LEAKAGE PROB',null,'5','COMPALINT CLOSED',null,'customer','0',null,'74','2021-06-16 15:34:28','2021-07-27 13:42:46',null,'1',null,'0');
INSERT INTO complaints VALUES('6998','DR BILAL','03336541726','HO#09 ST 03 I BLOCK NEW CITY PHASE 02 WAH CANTT','8','39','48257','PANASONIC','MODAL#18WKF-9',null,'02-MAY-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 15:36:00','2021-06-29 15:52:04',null,'1',null,'0');
INSERT INTO complaints VALUES('6999','USMAMA','03365287548','IST FLOOR  PLAZA #120 SPRING NOURTH PHASE 07 B.TOWN','6','15','35959','KENWOOD','0',null,'10-JUNE-2021','1828S-INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 15:38:13','2021-07-05 13:26:30',null,'1',null,'0');
INSERT INTO complaints VALUES('7000','ADEEL','03325954385','HO#BB927 MOHALLAH SHAHBAD NEAR KHAYABANA SIRSAYED R.W.P','9','19','213327','ORIENT','0',null,'10-JUNE-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 15:45:11','2021-06-19 14:17:36',null,'1',null,'0');
INSERT INTO complaints VALUES('7001','MR EHTASHAM','03077771026','HO#17 ST 22 SEC-M BAHRIA ENCLAVE ISB','8','39','37160','SIGNATURE','HOB KI COMPLAINT HAY',null,'14-OCT-2019','SBH-AA901G - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 15:54:12','2021-06-21 12:18:33',null,'1',null,'0');
INSERT INTO complaints VALUES('7002','ASFANDYAR','03201070007','HO#108 ST#10 HALI ROAD WESTRIDGE 01 R.W.P','8','42','41968','HAIER','0',null,'19-AUG-2020','12HFAB-W INV - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 16:02:52','2021-08-21 11:34:53',null,'1',null,'0');
INSERT INTO complaints VALUES('7003','RIZWAN','03329649770','HO#38 DOUBAL ROAD OPP JAMIYA MASJID FATIMA U ZUHRA EXECUTIVE BLOCK FAISAL HILL ISB','5','28','128601','SHARP','FF TO AZHAR RAMZAN FCI',null,'28-JAN-2021','24HCP-INV - 917','AIR CONDITIONER','INDOOR MOTER SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 16:28:50','2021-07-04 16:39:29',null,'1',null,'0');
INSERT INTO complaints VALUES('7004','MATLOOB KIYANI','03135774005','HO#01 SST#29 POST OFFICE ALI PUR ISB','4','6','20685','HAIER','FF TO CELL PHONE COMPLAINT INVOICE B HAIN',null,'22-APRIL-2021','398EBD - 746','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 16:34:01','2021-06-19 14:23:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7005','WASEEM','03355606009','HO#H 13 ST#01 LANE#02 KHAIM TOWN BLESSING TOWER ISB','6','12','31646','SIGNATURE','HOB KI COMPLAINT',null,'06-DEC-2020','HC-3764G - 1122','BUILT IN APPLLIANCES','BUNNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 16:38:46','2021-07-15 15:47:10',null,'1',null,'0');
INSERT INTO complaints VALUES('7006','MATEEN SAB','03323256442','HO#836 F MUGHLABAD ROAD  R.W.P','7','49','20327','DAWLANCE','6550DW-899',null,'15-DEC-2019',null,'WASHING MACHINE','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 16:50:49','2021-06-19 14:26:20',null,'1',null,'0');
INSERT INTO complaints VALUES('7007','IBRAR ASIF','03215560776','HO#1239 ST#58 G 11/2 ISB','9','51','131895','SIGNATURE','0',null,'22-APRIL-2017','30W-S - 1723','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 16:55:22','2021-06-24 18:10:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7008','ZIA ASAD KHAN','03225175337','HO#559 ST#29  SEC F DHA VILLA PHASE 08 BEHIRA','4','6','14255','HAIER','0',null,'31-MAY-2020','24HNI-W-INV - 917','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 16:59:20','2021-07-05 13:19:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7009','ALI','03322446223(2724097)','FLAT T507 BLOCK 07 SEC A DHA PHASE 02 DEFACE RESIDENCY ISB','8','42','10991','HAIER','0',null,'10-OCT-2019','216EBS - 857','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 17:06:09','2021-06-19 14:31:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7010','MAJOR ISHTIAQ','03115500002','H NO 6 GRACY LINES OLD AIRPORT ROAD RWP','8','47','25105','HAIER','0',null,'29-APR-2021','12HFCD-W-INV - 913','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 17:16:53','2021-06-19 14:35:45',null,'1',null,'0');
INSERT INTO complaints VALUES('7011','NASIR','03004125521(03068880889)','VELLY VIEW HOTEL SHAHEED CHOWK KOTI AZAD KASHMIR','9','20','210856','LG','0',null,'13-FEB-2021','2J3QDNP0-S - 1483','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 17:20:50','2021-07-29 11:11:18',null,'1',null,'0');
INSERT INTO complaints VALUES('7012','UZAIR','03008471755','HO#489 ROAD C SEC F PHASE 08 SAFARI HOME','6','16','33563','GREE','18FITH5WB-915',null,'07-MAR-2021','12LM4 - 912','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-16 17:28:43','2021-07-04 16:34:10',null,'1',null,'0');
INSERT INTO complaints VALUES('7013','MR ABID SALEEM','03010588473  03155891369','PLAZA#73 ST 02 CAMARSHAL STREET NAVAL ANCHORAGE  ISB','5','31','120794','ORIENT','0',null,'15-AUG-2020','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 17:34:38','2021-07-24 12:21:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7014','ISHFAQ ALAM','03008730957','HO#160 ST#01 USMAN BLOCK PHASE 08 BEHIRA TOWN','6','16','33556','SIGNATURE','MODEL HC-5861S-112 2 HOB KI COMPLAINT',null,'07-MAR-2021','HC-3764G - 1122','BUILT IN APPLLIANCES','BUNNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 17:45:46','2021-06-23 11:33:17',null,'1',null,'0');
INSERT INTO complaints VALUES('7015','MR ANJUM SAEED','03478949950','HO#08 ST 17-C BLOCK-F NAVEL ENCOURAGE ISB','8','37','46823','KENWOOD','0',null,'06-MAR-2021','1228S-INV - 913','AIR CONDITIONER','GAS ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 17:50:49','2021-07-05 13:04:29',null,'1',null,'0');
INSERT INTO complaints VALUES('7016','MR SHAHID','03468544179','HO#31 ST 15-C SEC-A BHARIA ENCLAVE ISB','5','35','122253','SIGNATURE','0',null,'25-SEP-2020','SFR-MD100G - 904','REFRIGERATOR','COOLING ISSUE',null,'8',null,null,'customer','0',null,'74','2021-06-16 17:59:57','2021-06-21 11:50:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7017','HAFIZ ABDUL ALEEM','03215562846  03215660561','HO#247 ST 38 SEC G-14/4 ISB','5','34','36010','ORIENT','COMPLAINT HOME SOLUTION NAY BAJI HAY',null,'13-JUNE-2021','18G-BOLD-UW-INV - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-16 18:14:26','2021-07-08 16:07:21',null,'1',null,'0');
INSERT INTO complaints VALUES('7018','USAMA','03377511118','HO#1242 ST#31 PHASE 04 BEHIRA TOWN','8','37','21717','HAIER','18HFPCA-B',null,'08-JUNE-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 18:20:06','2021-07-08 16:03:53',null,'1',null,'0');
INSERT INTO complaints VALUES('7019','MRS IRFAN','03335669997 03315328360','APP#E GROUND KARAKORUM ENCLAVE 01 SEC F-11 MARKAZ ISB','4','7','16018','SIGNATURE','SALE ADVISOR AZHAR',null,'19-AUG-2020','SSO-MO22 - 964','MICROWAVE OVEN','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-16 18:25:22','2021-06-30 17:22:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7020','FATIMA AKBAR','03408008889','HO#586/M QUBBA MARKET LANE 05 PESHWAR ROAD R.W.P','5','28','11887','SIGNATURE','MODEL SCR-FB-14G(FF TO IQBAL KRL&SAIF FCP)',null,'13-OCT-2016',null,'COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 18:26:30','2021-06-21 12:15:06',null,'1',null,'0');
INSERT INTO complaints VALUES('7021','MANIAJ KHAN','030055222019','DHOK MUREE NEAR QARI SOHAIL MASJID BARA KAHO ISB','9','21','195062','GREE','0',null,'19-AUG-2020','9978EG-CB2 - 885','REFRIGERATOR','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 18:32:53','2021-06-24 17:36:20',null,'1',null,'0');
INSERT INTO complaints VALUES('7022','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','HAIER','18HFMAD',null,'0',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 18:39:49','2021-07-01 17:40:42',null,'1',null,'0');
INSERT INTO complaints VALUES('7023','MRS AHSAN','03360006788','HO#04 ST#03 OPP TOWN MART BANI GALA ISB','9','22','152313','HAIER','0',null,'15-MAY-2018','618BG-HRF - 903','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-16 18:43:51','2021-06-29 14:35:08',null,'1',null,'0');
INSERT INTO complaints VALUES('7024','MISS ZARA','03343500192','H NO 483 ST NO 15A PARK ENCLAVE PARK ROAD CHAK SHAHZAD ISB','5','31','133584','ORIENT','0',null,'26-MAY-2021','18G-ALPHA - 914','AIR CONDITIONER','COOLING PROBLEM',null,'5','REOPEN',null,'customer','1','6606','74','2021-06-17 11:14:57','2021-07-06 13:55:13',null,'1',null,'0');
INSERT INTO complaints VALUES('7025','MUDASIR BUTT','03335200665(4257035)','HO#05 ST#11 I 8/1 ISB','5','28','89285','SIGNATURE','0',null,'13-NOV-2017','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 11:17:02','2021-06-19 15:36:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7026','ABU BAKAR (FCI)(C/O SADDIQ)','03365122695','FRIENDS CORPORATION BULE AREA ISB','5','28','123764','SIGNATURE','SBH-AC-930S',null,'09-NOV-2020',null,'BUILT IN APPLLIANCES','BUNNER PROB',null,'5','COMPLAINT CLSED',null,'customer','0',null,'74','2021-06-17 11:37:25','2021-06-18 13:23:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7027','NAFEES','03151039968','NEW SCKEEM MOHAN PURA SHOP MOHSIN BAKERS NEAR DR UMER R.W.P','9','19','213896','WAVES','315WDF-SS-9',null,'15-JUNE-2021',null,'FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 11:49:44','2021-06-21 14:20:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7028','FRESCO BAKERS','03357799294','FRESCO BAKERS GLASS FACTORY CHOWK R.W,P','9','24','192994','CARAVELL','0',null,'16-JULY-2020','600MEC - 1652','CHILLER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 11:55:23','2021-06-21 14:39:06',null,'1',null,'0');
INSERT INTO complaints VALUES('7029','JAVEED SAB','03215561399','PM OFFICE SECRETARY ISB','8','47','24586','HAIER','FLOOR STANDING MODEL 24HE03-917',null,'03-MAR-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 12:01:55','2021-06-29 14:35:55',null,'1',null,'0');
INSERT INTO complaints VALUES('7030','JAMSHED BUKHARI','03018553046','HO|#240 ST#31 PAK ENCLAVE ISB','8','39','43856','MITSUBISHI','0',null,'30-NOV-2020','50VA - 915','AIR CONDITIONER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 12:15:27','2021-07-05 12:57:28',null,'1',null,'0');
INSERT INTO complaints VALUES('7031','SAGHEER','03005506761','HO#121 ST#41 MARGALA PHASE 02 ISB','9','20','191672','FISCHER','0',null,'29-JUNE-2020','35GF - 739','WATER COOLER','TAP ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 12:20:29','2021-07-05 12:54:44',null,'1',null,'0');
INSERT INTO complaints VALUES('7032','SHAHBAZ SAB','03212008051','HO#213 OXFORD ST GREEN AVENUE PARK ROAD','5','36','1355399','BOSCH','93V33OM-C',null,'14-JULY-2021',null,'REFRIGERATOR','ICE MAKER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 12:42:42','2021-06-21 15:04:47',null,'1',null,'0');
INSERT INTO complaints VALUES('7033','RAMEEZ ISHTIAQ (C/O AKBAR)','03005005368','HO#46/7 B LANE 03 GULISTAN COLONY R.W.P','8','37','50029','HAIER','DEEP FREEZER',null,'13-JUNE-2021','345SD - 149','FREEZER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 12:58:35','2021-07-01 17:14:35',null,'1',null,'0');
INSERT INTO complaints VALUES('7034','BRIG ABDUL WAHID','03458511615','HO#287 ST#15 GARDEN CITY ZOON 01 BEHIRA','6','16','33893','CANON','2 GEYSER HAIN',null,'24-MAR-2021','16D-PLUS - 1030','GEYSER','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 13:07:06','2021-06-24 12:37:52',null,'1',null,'0');
INSERT INTO complaints VALUES('7035','IDREES KIYANI','03008555004','HO#678 ST#05 CHAKLALA SCKEEM 03 R.W.P','6','16','35014','GREE','0',null,'06-MAY-2021','8890EG-CW1 - 896','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 13:14:11','2021-06-29 13:53:16',null,'1',null,'0');
INSERT INTO complaints VALUES('7036','AKHTER','03015106268','HO#1571 SOUTH EAST BULY WARD BEHIRA PHASE 04','5','30','80603','LG','0',null,'24-DEC-2016','1496ADP24S - 899','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 13:26:57','2021-06-21 12:09:36',null,'1',null,'0');
INSERT INTO complaints VALUES('7037','MOHSIN','03215255566','HO#15A ST#02 F G QUIAD AZAM ROAD CHAKLALA SCKEEM 03 R.W.P','4','6','36036','GREE','0',null,'13-JUNE-2021','8890EG-CR1 - 896','REFRIGERATOR','COMPRESSOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 13:40:21','2021-06-24 17:45:35',null,'1',null,'0');
INSERT INTO complaints VALUES('7038','AKBAR BANGASH','03349122685','HO#153M ST#62 SEC I 14/3 ISB','8','42','44020','ORIENT','32HD-ACTION',null,'02-DEC-2020',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 13:55:12','2021-07-05 12:45:37',null,'1',null,'0');
INSERT INTO complaints VALUES('7039','OSAMA','03340147000','HO#57 ST#02 EASTRIGE HOUSING SOCITY HIGH COAT ROAD R. W.P','5','33','6571','SAMSUNG','0',null,'27-OCT-2016','11J5710GT - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 14:00:06','2021-07-14 15:20:11',null,'1',null,'0');
INSERT INTO complaints VALUES('7040','CH AQEEL','03131313224','HO#17 ST#08 GOLRA MOR','9','23','149404','HAIER','0',null,'29-MAR-2018','345TPR-HR - 883','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 14:13:07','2021-07-01 15:49:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7041','SHAN SAB','03111011078','HO#41 ST#13 F 7/2 ISB','5','30','13395','DAWLANCE','1060WBR',null,'01-JUNE-2021',null,'WATER DISPENSER','HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 14:38:15','2021-06-23 12:14:42',null,'1',null,'0');
INSERT INTO complaints VALUES('7042','IMRAN SAB','03145290033','HO#517 ST#10 MEDIA TOWN ISB','4','7','17586','GREE','0',null,'01-DEC-2020','8768EG-CB2 - 884','REFRIGERATOR','LOCK ISSUE',null,'3',null,null,'customer','0',null,'74','2021-06-17 14:44:26','2021-06-17 14:44:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7043','IMRAN SAB','03145290033','HO#517 ST#10 MEDIA TOWN ISB','4','11','17583','MITSUBISHI','0',null,'01-DEC-2020','50VA - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 14:57:27','2021-07-24 12:36:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7044','SHAHID HAMEED','03005533820','HO#277-B LANE#04 ST#01 PESHWAR ROAD R.W.P','7','49','19864','HAIER','0',null,'24-AUG-2019','85-1708HWM - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 15:28:54','2021-06-29 14:37:39',null,'1',null,'0');
INSERT INTO complaints VALUES('7045','JIBRAN  FCI','03355046059','FRIENDS CORPORATION BULE AREA ISB','5','35','130607','ORIENT','VISIT ON SHOWROOM',null,'19-MAR-2021','62D - 1602','MICROWAVE OVEN','PANAL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 16:16:27','2021-07-16 12:04:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7046','JIBRAN  FCI','03355046059','FRIENDS CORPORATION BULE AREA ISB','5','35','130607','DAWLANCE','VISIT ON  SHOWROOM',null,'19-MAR-2021','132S-DW - 1200','MICROWAVE OVEN','PANAL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 16:16:32','2021-06-30 17:41:57',null,'1',null,'0');
INSERT INTO complaints VALUES('7047','MIS SAIRA','03342679900','HO#55 ST#04 EXCUTIVE LODGES PHASE 03 B. TOWN','6','16','30572','FIVE STAR','MAX GEYSER',null,'19-NOV-2020','35G-TWIN-FS - 1759','GEYSER','LEAKAGE PROB',null,'7',null,null,'customer','0',null,'74','2021-06-17 16:22:39','2021-08-17 14:45:56',null,'1',null,'0');
INSERT INTO complaints VALUES('7048','MATLOOB CLINIC(ABDULLAH ) C/O SADDIQ','03345413725(03215243529)','HO#108 IST FLOOR RAFAY MALL MAIN PESHWAR ROAD R.W.P','8','38','0','HAIER','18HF(FF TO KHURRAM GOOGLE)',null,'23-MAR-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 16:33:38','2021-07-08 15:53:37',null,'1',null,'0');
INSERT INTO complaints VALUES('7049','SAJJAID AHMED','03075935267','HO#506 ST#39 MULTY GARGEN B 17 ISB','9','20','153538','ORIENT','FF TO CELL PHONE COMPLAINT INVOICE B HAIN',null,'14-JUNE-2018','18G-SUPER - 915','AIR CONDITIONER','ERROR 5 PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 16:55:26','2021-07-08 15:50:36',null,'1',null,'0');
INSERT INTO complaints VALUES('7050','HAYAT SAB','03005495647','VILLAGE GORAGHASHI THE HAZRO&DISTRICT ATTOCK','8','38','49539','SAMSUNG','MODEL 50N3913BC-SZ(SERIAL#OTK94ADNA00138)',null,'06-JUNE-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 17:02:22','2021-07-18 16:38:54',null,'1',null,'0');
INSERT INTO complaints VALUES('7051','MR WAQAR','0300561735','HO#8/5 BLOCK C SATELLITE TOWN R.W.P','5','29','133345','WAVES','0',null,'21-MAY-2021','313WDF - 956','FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 17:38:05','2021-07-08 15:44:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7052','MRS AHFQAT','03458275017','HO#39 ROAD A-BLOCK A NAVEL ANCHORAGE ISB','8','38','14222','SIGNATURE','FF TO NAFEES FHHS',null,'30-MAY-2020','MM9R - 1124','BUILT IN APPLLIANCES','BUNNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-17 18:01:31','2021-06-21 12:09:10',null,'1',null,'0');
INSERT INTO complaints VALUES('7053','BILAL FCP','03110533103','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','21','0','CARAVELL','202R',null,'0',null,'WATER DISPENSER','FRONT GLASS DAMAGE&HANDAL PROB',null,'3',null,null,'customer','0',null,'74','2021-06-17 18:21:26','2021-06-17 18:21:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7054','KASHIF','03415776861','NATIONAL BANK LANE 05 PESHAWAR  ROAD R.W.P','9','19','214090','HAIER','FLOOR STANDING (FF TO KHURRAM GOOGLE)',null,'17-JUNE-2021','24HE03 - 917','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-18 12:09:15','2021-06-21 12:09:58',null,'1',null,'0');
INSERT INTO complaints VALUES('7055','KHURSHID SAB','03139888117','HO#02 ST#30 F-6/1 ISB','5','28','130928','HAIER','0',null,'29-MAR-2021','246EPC - 858','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-18 12:23:20','2021-07-19 16:43:03',null,'1',null,'0');
INSERT INTO complaints VALUES('7056','ALI EJAZ','03215233822','HO#302 GREEN LANE  CAPITAL RESIDENTIAL  E 11/4 ISB','5','28','122672','LG','FF TO ABU BAKAR FCI',null,'08-OCT-2020','4V5RGP2T-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-18 13:26:35','2021-07-03 11:35:31',null,'1',null,'0');
INSERT INTO complaints VALUES('7057','ASIF  FAROOQ','03008559958','HO#22 J ST#88A G 11/3 ISB','5','34','117920','ORIENT','0',null,'19-JUNE-2020','18G-HYPER-SW - 915','AIR CONDITIONER','SMELL PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-18 13:33:23','2021-07-18 16:51:59',null,'1',null,'0');
INSERT INTO complaints VALUES('7058','MISS MAMOONA','03345166902','FLAT#11 3RD FLOOR DHA AVENUE MALL SEC A DHA PHASE01 ISB','8','42','41551','HAIER','0',null,'06-AUG-2020','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-18 13:40:38','2021-06-21 12:18:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7059','FAISAL JAVEED','03005200014','JAVEED MEDICAL HALL MUZAFRABAD','9','27','200776','HAIER','0',null,'14-JUNE-2021','120-1678HWM - 906','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-18 13:45:13','2021-06-24 12:15:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7060','IMRAN RANA','03335335277','HO#28 MARGALA ROAD F -7/3 ISB','8','39','49080','DAWLANCE','45ENERCON',null,'26-MAY-2021',null,'AIR CONDITIONER','GASS LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-18 13:55:28','2021-06-28 15:50:57',null,'1',null,'0');
INSERT INTO complaints VALUES('7061','MR SHAHRYAR','03055330033','H NO 200 ST NO 8 PHASE 3 GULRAIZ 3 RWP','4','11','20308','SAMSUNG','80J5446-S',null,'1-APR-2021',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-18 14:01:05','2021-06-24 13:43:16',null,'1',null,'0');
INSERT INTO complaints VALUES('7062','MRS YASEEM','03075448461','HO#39 ST#14 SEC A/H DHA 02 ISB','4','11','2718','GREE','18LMBL-914(2 A/C KI COMPLAINT)',null,'06-MSY-2021','18FITH1S - 915','AIR CONDITIONER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-18 14:10:30','2021-06-21 13:22:29',null,'1',null,'0');
INSERT INTO complaints VALUES('7063','BASHRAT AMMAN','03246500144','HO#673 ST#05 CHAKLALA SCKEEM 03 R.W.P','6','16','32166','KENWOOD','1839S-INV',null,'17-DEC-2020',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-18 14:16:01','2021-06-21 13:25:29',null,'1',null,'0');
INSERT INTO complaints VALUES('7064','RAJA M NASIR','03370448125','H NO 254 ST NO 62 SEC I/8-3 ISB','9','23','205415','SAMSUNG','80J5446-S(OLD TASK#6480) AGAIIN VISIT ISSUE NOT RESOLVED',null,'10-FEB-2021',null,'WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-18 16:28:29','2021-06-24 13:39:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7065','ARSAL','03333633332','H NO 2 ST NO 2 SEC C DHA 2 ISB','8','37','21228','SHARP','(TASK#6448) ISSUE NOT RESOLVED (FF TO JAVEED FCP',null,'15-APR-2020','650SL3 - 885','REFRIGERATOR','ICE NAI BAN RAHI',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-18 16:48:49','2021-06-24 13:38:32',null,'1',null,'0');
INSERT INTO complaints VALUES('7066','COL MASUD','03335437474','HO#32 ST#02 SEC H DHA 02','6','12','33169','SIGNATURE','0',null,'15-FEB-2021','MD99SS-S - 1723','REFRIGERATOR','DOOR GASS KIT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-18 17:14:33','2021-06-21 14:17:24',null,'1',null,'0');
INSERT INTO complaints VALUES('7067','KARIM SAB','03335243371','HO#08 ST#37 F-8/1 ISB','5','28','0','SIGNATURE','KHURRAM SIR K CELL PA COMPLAINT AAI',null,'OUT OFF WARRANTY',null,'FREEZER','COOLING PROB',null,'5','COMPLETERD COMPLAUINT',null,'customer','0',null,'74','2021-06-18 17:28:26','2021-07-26 13:15:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7068','MADIHA','03426108234','HO#113 ST#70 E 11/2 ISB','5','35','133275','KENWOOD','0',null,'20-MAY-2021','1010SA - 902','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-18 17:36:31','2021-06-21 13:43:11',null,'1',null,'0');
INSERT INTO complaints VALUES('7069','RAJA IFTIKHAR','03335336042','HO#DD2B ST#06 JHANDA CHICHI R.W.P','9','21','148433','DAWLANCE','0',null,'11-MAR-2018','91996M-PLUS - 83','REFRIGERATOR','COOLING  PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-18 17:47:01','2021-06-30 17:08:30',null,'1',null,'0');
INSERT INTO complaints VALUES('7070','MALIK  KHURRAM SADAR','03005548081','FRIENDS CORPORATION SADAR R.W.P','7','49','0','MITSUBISHI','0',null,'0','50VA - 915','AIR CONDITIONER','2-REMOTE SCREEN PA BLOCK DOT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-18 17:51:06','2021-07-26 17:46:07',null,'1',null,'0');
INSERT INTO complaints VALUES('7071','ASIF ALI','03329882038','NOWSHERA COURT','8','38','22472','KENWOOD','FLOOR STANDING',null,'0/8-JUNE-2020','1830S-HC INV - 915','AIR CONDITIONER','E4 ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 11:55:53','2021-06-29 11:16:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7072','CH NAEEM','03204301218, 03204301219','H NO 729 OMER ROAD B BAHRIA TOWN PHASE 2 RWP','4','8','11039','LG','0',null,'15-OCT-2019','442HMHU-S - 746','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 12:00:48','2021-07-10 17:58:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7073','KABEER KIYANI FCI','03009796001','HO#375 ST#75 E 11/3 ISB','5','29','127301','HAIER','24HFCO-W-INV',null,'21-DEC-2020',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 12:03:19','2021-07-27 14:42:36',null,'1',null,'0');
INSERT INTO complaints VALUES('7074','CAP UMER','03319111129(03068020644)','BGR COMPLEX KOHAT CANTT','9','24','165092','LG','0',null,'23-JAN-2019','422HMHU-S - 884','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 12:27:50','2021-07-04 16:11:29',null,'1',null,'0');
INSERT INTO complaints VALUES('7075','MRS ABID','03215883329','HO#06 ST#02 F 6/3 ISB','5','35','135717','PANATRON','115PMI',null,'18-JUNE-2021',null,'WATER DISPENSER','BURRING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 12:40:42','2021-06-30 16:58:03',null,'1',null,'0');
INSERT INTO complaints VALUES('7076','SALMAN BAJWA','03455302880','FLAT#04 BLOCK#18 CAT AGREE 03 ST#19 G 10/ 2 ISB','5','35','80910','SIGNATURE','0',null,'10-JUNE-2017','SWM-SR50 - 905','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 12:43:48','2021-06-20 14:46:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7077',null,null,null,'6',null,null,'HAIER','000000',null,null,'18HFCF-W-INV - 915','AIR CONDITIONER','OUTDOOR DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-06-19 13:05:24','2021-08-01 14:07:11',null,'1',null,'0');
INSERT INTO complaints VALUES('7078',null,null,null,'6',null,null,'HAIER','0000',null,null,null,'WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-06-19 13:07:54','2021-07-01 17:49:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7079','ALI SAB','03483222779','HO#75-A SEC A DHA 01 ISB','9','23','212506','HAIER','0',null,'06-JUNE-2021','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 13:10:23','2021-06-28 12:16:58',null,'1',null,'0');
INSERT INTO complaints VALUES('7080','SHARJEEL AHMED','03348461137','HO#76 ST#02 SEC K SHEEKH MATLOOB TOWM MARDAN','8','38','26688','LG','0',null,'02-APR-2018','4J6TMP8S-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 13:17:42','2021-07-26 14:48:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7081','MALIK JAVEED','03361006532','HO#6C BLOCK 02 SEC B ASKRI 14 APP R.W.P','5','28','132396','HAIER','FF TO ABU BAKAR FCI(CUSTOMER NA KHUD SA UN NOP PA COMPLAINT FF KARWA DI',null,'30-APR-2021','12HFCD-W-INV - 913','AIR CONDITIONER','E-7ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 13:28:53','2021-06-28 12:21:44',null,'1',null,'0');
INSERT INTO complaints VALUES('7082','CAP TASSAUUQ  HUSSAIN','03339164564','NEW SHAIKH COLONY VILLAGE AKORA KHATTAK DISTRICT NOSHEHRA  KPK','8','42','47272','PANASONIC','12WKF-9(PEL S/C WALAY ATTENMD KARAY GAY',null,'23-MAR-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 13:44:45','2021-06-30 16:28:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7083','REHEEL AHMED','03345139573','HO#882/21 -B-2 ST#03 AZIZABAD KIYANI ROAD R.W.P','9','22','212986','SUPER ASIA','0',null,'09-JUNE-2021','5000ECM - 309','AIR COOLER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 13:56:27','2021-06-30 16:21:25',null,'1',null,'0');
INSERT INTO complaints VALUES('7084','AHMED JAVEED','03008566131','HO#24 SERVICES ROAD SOUTH D-12/1 ISB','8','37','47457','SAMSUNG','MODAL#65TU8500-MRM',null,'30-MAR-2021',null,'FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 14:01:11','2021-06-23 11:32:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7085','MRS ADNAN','03015550527(03015523346','HO#107 C ST#LILY ROAD PHASE 02 BEHIR TOWN','5','30','63744','GE','INVOICE FF ABU BAKR FCI',null,'17-OCT-2014','21XGYFLS - 904','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 14:10:05','2021-06-30 16:13:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7086','COL MOHAMMAD ASLAM','03215286606','HO#658 ROAD D PHSE 03 BEHIRA TOWN','6','15','21070','HAIER','0',null,'26-MAY-2019','18SGF-INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 14:29:28','2021-06-28 12:26:24',null,'1',null,'0');
INSERT INTO complaints VALUES('7087','SYED HASSAN SHAH','03476000322','HO#155 ST#30 SEC B SAFRI HOME PHASE 08 ISB','6','12','15826','SIGNATURE','SCF-HM12',null,'09-AUG-2018',null,'FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 14:38:42','2021-06-28 12:06:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7088','TANVEER','03225173887','HO 41252 ST#60 PHASE 07 BEHIRA TOWN','4','6','35567','LG','0',null,'01-JUNE-2021','3H20NTP-S - 1561','WASHING MACHINE','NOT WORKING',null,'8',null,null,'customer','0',null,'74','2021-06-19 15:06:53','2021-08-20 15:27:47',null,'1',null,'0');
INSERT INTO complaints VALUES('7089','ZAFAR FHHS','030653338399','FRIENDS HOME SHAMSHABAD R.W.P','8','40','0','DAWLANCE','9193','2021-06-19',null,null,'REFRIGERATOR','DOOR RUBBER PROB',null,'4',null,null,'customer','0',null,'74','2021-06-19 15:14:19','2021-06-19 15:43:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7090','I 10 STOCK','03358851908','FLAT #81 ST#06 I 10/3 ISB','9','24','213549','LG','FF TO RIFFAT SAB(YHA W/M BEST COOL SA LG S/C PICK KARWAY RAHAY HAIN )CUSTOMER KOW/M REPLACE KAR DI',null,'13-JUNE-2021','4V5RGP2T-S - 899','WASHING MACHINE','NOT WORKING',null,'4',null,null,'customer','0',null,'74','2021-06-19 16:11:28','2021-06-19 16:11:57',null,'1',null,'0');
INSERT INTO complaints VALUES('7091','MANZOOR','03335151505','HO#508-C ST#39 PWD HOSING SOCITY R,W.P','4','7','19839','GREE','18PITH2W(COMPLAINT CUSTOMER NA PHALY KHUD ENTER KARWAI',null,'01-MAY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 16:16:52','2021-06-29 11:15:53',null,'1',null,'0');
INSERT INTO complaints VALUES('7092','MR KAMAL BHATTI','03156241111','CAPTAIN TULL STREET  CHOUR CHOCK RANGE ROAD RWP','4','11','21074','SUPER ASIA','ROOM COOLER KI COMPLAINT HAY',null,'09-MAY-2021','5000ECM-PLUS - 1577','AIR COOLER','FAN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 16:24:16','2021-06-22 16:48:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7093','FARHAT JAVID RANJHA','03335900555','HO#67 ST#02 DHA 02 ISB','9','24','176324','LG','0',null,'01-AUG-2019',null,'REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 16:31:10','2021-07-18 17:32:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7094','MR SUHAIB','03360930179 03235266428','APP#19-A ST 01 KHAYABAN-E-KASHMIR SEC G-15/3 ISB','5','33','109389','TCL','S/N 1906VLR300881A00091',null,'14-SEP-2019','32D3000A - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 16:40:15','2021-06-30 16:02:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7095','M FASIH UL ISLAM','03341124927','FLAT#6-D FLOOR 06 BLOCK 9 ASKARITOWER 01 DHA 02','4','6','34559','KENWOOD','26657GD-BKG-1995',null,'22-APR-2021',null,'REFRIGERATOR','OVER COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 16:46:11','2021-06-29 15:32:13',null,'1',null,'0');
INSERT INTO complaints VALUES('7096','MR SHAFEEQ AKMAL','03005352312','HO#159 ST 1-A FALCON COMPLEX RWP','5','34','119193','CORONA','SALE ADVISOR ALI',null,'14-JULY-2020','351C - 1533','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 17:00:53','2021-06-29 13:51:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7097','ZULFIQAR AHMAD','03332229007','HO#49 A ST#02 BLOCK E SOWN GARDEN ISB','6','14','3777','ECOSTAR','0',null,'26-MAY-2018','300FS - 2122','WATER DISPENSER','SAMRT BLOCK DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 17:04:09','2021-06-30 15:59:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7098','MR HABIB IQBAL','03215079306','HO#1563 ST 24-A SEC F-17/3 ISB','5','36','96897','CANON','02 HOB KI COMPLAINT HAY PTCL CALL INVOICE HAY',null,'07-AUG-2018','945S1 - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 17:09:19','2021-06-24 12:43:58',null,'1',null,'0');
INSERT INTO complaints VALUES('7099','FAISAL SAB','0333526 5581','HO#328 ST#124 SEC G 9/3 ISB','9','24','214093','GREE','12FITH6S',null,'17-JUNE-2021',null,'AIR CONDITIONER','E 6 ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 17:12:18','2021-06-30 15:26:16',null,'1',null,'0');
INSERT INTO complaints VALUES('7100','MRS AMANULLAH','03005522119','HO#511-B ST 09 SEC F-10/2 ISB','5','29','135643','SIGNATURE','MODAL#SET-AC24 ELECTRIC OVEN KI COMPLAINT HAY   PTCL CALL INVOICE HAY',null,'17-JUNE-2021',null,'BUILT IN APPLLIANCES','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 17:20:51','2021-07-14 15:19:36',null,'1',null,'0');
INSERT INTO complaints VALUES('7101','WAJID MEHMOOD','30065308687','THE LIFE RESIDENCIA FATHA JUNG  ISB','9','19','207843','FISCHER','0',null,'22-MAR-2021','80GF - 989','WATER COOLER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 17:30:42','2021-06-30 15:18:38',null,'1',null,'0');
INSERT INTO complaints VALUES('7102','M RAIZ','03335585811','HO#2372 PREM ST NEAR TOOBA HOTEL SADAR ROAD R.W.P','9','19','212292','HAIER','DEEP FREEZER',null,'02-JUNE-2021','345SD - 149','FREEZER','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 17:40:07','2021-06-28 12:30:04',null,'1',null,'0');
INSERT INTO complaints VALUES('7103','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','HAIER','0',null,'0','285SD - 956','FREEZER','GASS NILL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 17:42:28','2021-06-28 13:05:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7104','M SHAHZAD AKRAM','03350550297','HO#532 ST#03 SEC B PHASE 08 B.TOWN','9','26','178124','LG','MODEL WL4J6VYP2SS(CELL PHONE CALL INVOICE B HAIN)',null,'01-SEP-2019',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 17:46:27','2021-06-23 11:24:57',null,'1',null,'0');
INSERT INTO complaints VALUES('7105','DIVA ARES','03448545090','HO#55 ST 20-B ARCHARD AREA DHA 01 RWP','4','10','34575','HAIER','SALE ADVISOR MOHSIN',null,'25-APR-2021','631DGG - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 17:51:07','2021-07-04 15:52:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7106','SYED RAZA ALI','03218551662','HO#55 ST 07 1st FLOOR RIVER GARDEN ISB','8','37','11689','HAIER','SALE ADVISOR NAVEED',null,'07-DEC-2019','85-1708HWM - 945','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 17:57:47','2021-06-29 11:37:10',null,'1',null,'0');
INSERT INTO complaints VALUES('7107','TAYYAB SAB','03154505555','HO#220 A BROAD WAY ST GREEN AVENUE PARK ROAD','9','24','210894','DAWLANCE','1051WD-SILVER',null,'18-MAY-2021','1060GWR - 993','WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 17:59:37','2021-06-23 12:08:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7108','MR TARIQ','03005810091','HO#03 ST 1-E SEC J BAHRIA ENCLAVE ISB','8','42','41329','SIGNATURE','0',null,'24-JULY-2020','SBC-MELBURNE90PLUS-SS - 1123','BUILT IN APPLLIANCES','BUTTON DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 18:07:42','2021-07-15 10:51:57',null,'1',null,'0');
INSERT INTO complaints VALUES('7109','MR ZAFAR','03125079157','HO#D 800 BLOCK-D  COMARSHAL MARKET NEAR TEHZEEB BAKER SAFA CENTER RWP','8','39','49897','DAWLANCE','MODAL#30ELEGANCE -INV',null,'10-JUNE-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-19 18:15:08','2021-06-28 15:55:17',null,'1',null,'0');
INSERT INTO complaints VALUES('7110','MR FARRUKH','03367123456','HO#173 ST 15 BAHRIA TOWN PHASE 06 RWP','9','19','0','SAMSUNG','C/O NAEEM NASEER SIR  INVOICE NAI HAY',null,'04-YEAR-AGO',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 10:45:51','2021-06-21 12:07:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7111','MR HASSAN AHMED','03335101571','HO#334 ST 21 SEC B-1 DHA PHASE 01 RWP','9','24','189845','HAIER','0',null,'03-JUNE-2021','578TBP - 910','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 11:07:59','2021-07-01 17:29:57',null,'1',null,'0');
INSERT INTO complaints VALUES('7112','TARIQ FCI','03005566006','FRIEND CORPORATION BLUE AREA','5','31','0','DAWLANCE','MODAL#9193LFAVANTE',null,'0',null,'REFRIGERATOR','VEGETABLE BOX DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 11:21:08','2021-07-18 17:01:07',null,'1',null,'0');
INSERT INTO complaints VALUES('7113','MR MOHSIN','03345358493  03365170943','HO#19 ST 49 PHASE-C MARGALLA VIEW HOUSING SOCIETY SEC D-17/2 ISB','9','22','207335','GREE','0',null,'13-MAR-2021','8768EG-CB2 - 884','REFRIGERATOR','RABAR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 11:37:34','2021-07-04 15:49:38',null,'1',null,'0');
INSERT INTO complaints VALUES('7114',null,null,null,'6',null,null,'LG','0000',null,null,'512FPS-S - 1653','DISH WASHER','RETURN FROM CUSTOMER KOIL ISSUE',null,'8',null,null,'showroom','0',null,'93','2021-06-20 11:39:57','2021-07-24 11:41:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7115','MR YASIR','03329596568  03318066076','HAMZA CAMP NEAR FRIENDS HOME FAZA BAD MUREE ROAD RWP','8','38','49505','ORIENT','0',null,'03-JUNE-2021','18G-HYPER-SW - 915','AIR CONDITIONER','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 12:05:59','2021-07-13 16:39:47',null,'1',null,'0');
INSERT INTO complaints VALUES('7116','MR TASAWAR','03087778333','HO#241 ST 02 GULSHAN DADAN KHAN RWP','9','19','19883','SAMSUNG','COMPLAINT ADIL FHHS  SIR NAY BAJI HAY SALE ADVISOR AZHAR SDA',null,'18-DEC-2016','90G9-S - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 12:12:22','2021-06-28 11:55:48',null,'1',null,'0');
INSERT INTO complaints VALUES('7117','MR NUMAN','03315423368','HO#1632 ST 48 USMAN BLOCK PHASE 8 BAHRIA TOWN ISB','9','26','154571','LG','TASK#2830 AGAIN COMPLAINT',null,'26-JUNE-2018','522GLHL-S - 885','REFRIGERATOR','COMPRESSOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 12:18:40','2021-07-18 17:23:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7118','DR FATIMA','03468008889  03408008889','HO#586-M  NEAR QUBA MARKET LINE NO 5 PESHAWAR ROAD RWP','9','22','211637','SUPER ASIA','SALE ADVISOR MAZHAR',null,'27-MAY-2021','5000ECM-PLUS - 1577','AIR COOLER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 12:26:58','2021-07-04 15:32:49',null,'1',null,'0');
INSERT INTO complaints VALUES('7119','MR ZIA AHMED','03235028390','HO#1561 BILAL HABSHI ROAD OMER BLOCK PHASE 08 BAHRIA TOWN RWP','6','16','30812','ORIENT','COMPLAINT ADEEL BAHRIA SIR NAY BAJI HAY',null,'29-NOV-2020','AUTO8 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 12:32:15','2021-07-26 14:46:48',null,'1',null,'0');
INSERT INTO complaints VALUES('7120','MR NAVEED','03015590641','FAIZ ALAM ROAD ST 18 CHAMMAN ABAD MISIRAL ROAD RWP','6','12','31384','HAIER','PTCL CALL INVOICE HAY',null,'04-DEC-2020','398EPR - 746','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 12:40:39','2021-06-28 13:13:31',null,'1',null,'0');
INSERT INTO complaints VALUES('7121','MISS  RAZIA MALIK','03335103085','HO#252-A ST 06 GULRAIZ 03 RWP','4','8','19943','XTREEM','MODAL#788  HOOD KI COMPLAINT HAY',null,'07-MAR-2021',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 12:54:33','2021-06-23 11:10:35',null,'1',null,'0');
INSERT INTO complaints VALUES('7122','MR NASEER','03175186460 03473170624','ST 26  NEAR SADIQUE AKBAR MASJID MOHALA MAZRABAD RWP','9','19','190093','GREE','COMPLAINT BEST COOL SIR NAY BAJI HAY',null,'08-JUNE-2020','12CITH12G - 913','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 13:06:51','2021-06-29 16:46:21',null,'1',null,'0');
INSERT INTO complaints VALUES('7123','MR FAHEEM','03335176830','FLAT#212-C  SECOND FLOOR TOWER 02 SAMAMA STAR ROAD GULBARG GREEN ISB','4','8','21945','KENWOOD','0',null,'14-JUNE-2021','950SA - 901','WASHING MACHINE','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 13:13:01','2021-06-30 13:28:27',null,'1',null,'0');
INSERT INTO complaints VALUES('7124','MR AYAZ QURASHI','03215037032','HO#109-A ST 01 RACE CIURCE ROAD WESTRIDGE RWP','9','19','3235','DAWLANCE','0',null,'30-MAY-2021','91996GD-INV-GREEN - 885','REFRIGERATOR','DOOR DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 13:27:30','2021-07-26 14:44:36',null,'1',null,'0');
INSERT INTO complaints VALUES('7125','MR KHURRAM SHAHZAD','03490037720 03335361805','HO#48 ST 03 GHURI TOWN PHASE 03 ISB','8','38','50048','GREE','MODAL#18PITH2W',null,'13-JUNE-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 14:24:05','2021-06-24 17:52:33',null,'1',null,'0');
INSERT INTO complaints VALUES('7126','MR IFTIKHAR AHMED','03334907755','HO#61 ST 01 SEC-D DHA 02 ISB','6','15','36195','SHARP','MODAL#X635-HS3',null,'17-JUNE-2021',null,'REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 14:40:15','2021-06-21 14:16:53',null,'1',null,'0');
INSERT INTO complaints VALUES('7127','MR ISHTAIQ AHMED','03315052354','SAMLI DAM ROAD AL MUSLIM REARAL STREET ABBASI ABAD  BARAKOU  ISB','9','23','152638','SIGNATURE','PTCL CALL INVOICE HAY',null,'21-MAY-2018','SRF-WB90M - 885','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 15:01:12','2021-07-04 12:10:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7128',null,null,null,'6',null,null,'GREE','0000',null,null,'24FITH6C','AIR CONDITIONER','OUTDOOR DAMAGE..',null,'4',null,null,'showroom','0',null,'93','2021-06-20 15:43:18','2021-06-21 11:59:09',null,'1',null,'0');
INSERT INTO complaints VALUES('7129','MR ZEESHAN','03318506319','HO#12 ST 2 BLOCK-F SOAN GARDEN ISB','9','23','157375','SIGNATURE','HOOD KI COMPLAINT HAY COMPLAINT HASSAN FHHS SIR NAY BAJI HAY',null,'20-AUG-2018','SBC-MELBURNE-90PLUS - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 16:05:31','2021-06-30 13:33:49',null,'1',null,'0');
INSERT INTO complaints VALUES('7130','MR BILAL','03435250027','HO#23 ST 27 KORANGE TOWN ISB','4','5','21092','ORIENT','MODAL#FLARE3-RG   COMPLAINT NAFEES FHHS  SIR NAY BAJI HAY',null,'11-MAY-2021',null,'WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 16:16:47','2021-06-24 15:38:11',null,'1',null,'0');
INSERT INTO complaints VALUES('7131','MR SHAHZAD','03225035076','HO#113 BLOCK-B SATLITE TOWN RWP','9','19','211879','SUPER ASIA','COMPLAINT RIFFAT FCP SIR NAY BAJI HAY',null,'30-MAY-2021','6500ECM - 1577','AIR COOLER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 16:39:00','2021-07-01 15:30:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7132','MR AKHTAR','03455172783','HO#SA 215  ST 01 NEAR BEHIND MAJASDER COLONY SADAKA BAD RWP','8','38','187320','GREE','SALE ADVISOR NAVEED',null,'23-FEB-2020','500FC - 993','WATER DISPENSER','WATER LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 16:58:19','2021-07-08 14:54:20',null,'1',null,'0');
INSERT INTO complaints VALUES('7133','MR ISHFAQ AHMED','03008585092','HO#160 ST 1 USMAN BLOCK BLOCK-D PHASE 08 RWP','6','16','16650','ORIENT','0',null,'08-OCT-2018','CRYSTAL-C-BLK - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 17:07:59','2021-06-29 12:58:07',null,'1',null,'0');
INSERT INTO complaints VALUES('7134',null,null,null,'4',null,null,'VARIOLINE','00000',null,null,'20STRL-WHT - 993','WATER DISPENSER','Water leakage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2021-06-20 17:20:24','2021-08-12 14:05:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7135',null,null,null,'4',null,null,'VARIOLINE','00000',null,null,'20STRL-WHT - 993','WATER DISPENSER','Water leakage problem',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2021-06-20 17:22:48','2021-08-12 14:06:54',null,'1',null,'0');
INSERT INTO complaints VALUES('7136','MR TALHA','03316582121','HO#20 ST 18 SEC-B DHA 02 ISB','8','39','42075','SIGNATURE','HOB KI COMPLAINT HAY',null,'24-AUG-2020','SBH-AC900G - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 17:31:22','2021-06-28 11:54:50',null,'1',null,'0');
INSERT INTO complaints VALUES('7137',null,null,null,'4',null,null,'ORIENT','00000',null,null,'18G-HYPER-SW - 915','AIR CONDITIONER','Out door licking',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2021-06-20 17:33:04','2021-08-01 14:06:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7138',null,null,null,'4',null,null,'ORIENT','00000',null,null,'AUTO8 - 899','WASHING MACHINE','Panel kharab',null,'4',null,null,'showroom','0',null,'94','2021-06-20 17:36:45','2021-06-22 12:06:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7139','MR BADAL','03145299358','CHAKWAL ROAD OPP JATLI STOP TEHSIL GUJJAR KHAN','5','34','24325','FISCHER','0',null,'03-FEB-2021','35GF - 739','WATER COOLER','THERMOSTAT  ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-20 17:40:04','2021-06-29 16:19:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7140',null,null,null,'4',null,null,'MITSUBISHI','00000',null,null,'50VA - 915','AIR CONDITIONER','Outdoor  main gas nae hai',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2021-06-20 17:41:46','2021-08-01 14:06:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7141',null,null,null,'4',null,null,'HAIER','00000',null,null,'545DD - 959','FREEZER','Slight damage',null,'4',null,null,'showroom','0',null,'94','2021-06-20 19:41:03','2021-06-21 12:11:16',null,'1',null,'0');
INSERT INTO complaints VALUES('7142',null,null,null,'4',null,null,'ORIENT','00000',null,null,'18G-HYPER-SW - 915','AIR CONDITIONER','Outdoor main gas nae hai',null,'4',null,null,'showroom','0',null,'94','2021-06-20 19:46:24','2021-06-22 12:01:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7143',null,null,null,'4',null,null,'ORIENT','00000',null,null,'12G-HYPER-SW - 913','AIR CONDITIONER','Outdoor main gas nae hai',null,'4',null,null,'showroom','0',null,'94','2021-06-20 19:48:02','2021-06-21 17:55:52',null,'1',null,'0');
INSERT INTO complaints VALUES('7144',null,null,null,'4',null,null,'MITSUBISHI','00000',null,null,'50VA - 915','AIR CONDITIONER','Outdoor main gas nae hai',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2021-06-20 19:49:06','2021-08-01 14:05:49',null,'1',null,'0');
INSERT INTO complaints VALUES('7145','FROBELS PVT','03355421111','HO#31 ST 04 SEC E-7 ISB','5','28','134082','BOSCH','0',null,'02-JUNE-2021','68TI20M-S - 1998','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-21 11:09:41','2021-06-23 11:10:09',null,'1',null,'0');
INSERT INTO complaints VALUES('7146','MISS SHIZA','03105383269','HO#47 ST 04 NEAR WAZIR TOWN GULZAR QUAID EXECUTIVE VILLAS RWP','9','23','212893','ORIENT','MODAL#3RG-FLARE',null,'08-JUNE-2021',null,'WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-21 11:25:57','2021-07-13 16:32:33',null,'1',null,'0');
INSERT INTO complaints VALUES('7147','RASHEED  SAB','03156674565','LANE#06 NEAR DAWAT UL HAQ MASJID PESHAWAR  ROAD R.W.P','9','19','210995','SIGNATURE','HOOD KI COMPLAINT (MODEL 90CM)',null,'19-MAY-2021',null,'BUILT IN APPLLIANCES','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 11:43:20','2021-07-10 17:58:06',null,'1',null,'0');
INSERT INTO complaints VALUES('7148','MR IRFAN','03216723643','HO#419 ST#03 INTELLECTUAL VILLAGE SPRING NOURTH  PHASE 07 B.TOWN','6','15','33999','GREE','24PITH2W -917',null,'29-MAR-2021',null,'AIR CONDITIONER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 11:55:07','2021-06-24 14:02:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7149','QARI RAZI UR REHMAN SAB','03224326063','HO#15 ST# 01 BLOCK A SWAN GARDEN ISB','4','6','8088','HAIER','0',null,'25-MAR-2019','438TDC - 896','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 12:02:38','2021-06-24 14:43:35',null,'1',null,'0');
INSERT INTO complaints VALUES('7150','UMER SARFARAZ','03102777726','HO#04 ST#01 SEC G BEHIRA ENCLAVE ISB','5','31','122568','GREE','0',null,'05-OCT-2020','12CITH12G - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 12:17:49','2021-06-24 14:50:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7151',null,null,null,'4',null,null,'HAIER','00000',null,null,'120-1678HWM - 906','WASHING MACHINE','Not working',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2021-06-21 12:41:46','2021-06-29 11:20:33',null,'1',null,'0');
INSERT INTO complaints VALUES('7152',null,null,null,'4',null,null,'ORIENT','00000',null,null,'18G-HYPER-SW - 915','AIR CONDITIONER','Outdoor main gas nae hai',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2021-06-21 12:43:50','2021-08-01 14:05:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7153',null,null,null,'4',null,null,'ORIENT','00000',null,null,'12G-ALPHA-SW - 912','AIR CONDITIONER','24g orbit outdoor main gas nae hai',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2021-06-21 12:49:09','2021-08-01 14:04:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7154',null,null,null,'4',null,null,null,'00000',null,null,null,'WATER DISPENSER','203R Damage',null,'4',null,null,'showroom','0',null,'94','2021-06-21 12:51:26','2021-06-21 16:19:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7155','BILAL KAZI','03335129873','HO#312 ST#26 RAWAL TOWN ISB','6','12','25127','TCL','1910VLR300969A00132',null,'19-DEC-2019','65P8M - 1443','FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 12:54:12','2021-07-08 14:48:53',null,'1',null,'0');
INSERT INTO complaints VALUES('7156',null,null,null,'4',null,null,null,'00000',null,null,null,'COOKING RANGE','10000mc max cooking range damage hai',null,'4',null,null,'showroom','0',null,'94','2021-06-21 12:58:16','2021-06-23 10:57:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7157','SAJID FAROOQ','03055660032','HO#20 ST#01 BLOCK C HIGHWAY HOUSING SOCITY SAWAN  GARDEN ISB','8','39','43428','HAIER','0',null,'08-NOV-2020','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 13:12:12','2021-06-24 14:45:44',null,'1',null,'0');
INSERT INTO complaints VALUES('7158','WAQAS ABBASI','03009815142','OFFICE2/27 4TH FLOOR SILK CENTER CENTER REHMANABAD R.W.P','9','24','210602','HAIER','24HFCD-W-INV',null,'06-MAY-2021',null,'AIR CONDITIONER','OUT DOOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 13:16:52','2021-06-28 13:18:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7159','CH MUHAMMAD ARSHAD','03344433555','HO#135 ST#37 F 10/1 ISB','5','29','114995','HAIER','0',null,'25-FEB-2020','18HNF-INV-G - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 13:22:00','2021-06-24 15:12:47',null,'1',null,'0');
INSERT INTO complaints VALUES('7160','IKHLAQ AHMAD','03461381556','ST#14 NEAR ARSALAN CLINIC  TALIMORI R.W.P','9','21','189534','HAIER','0',null,'30-MAY-2020','385H-DF - 957','FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 13:39:40','2021-06-28 13:24:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7161','NUSRAT','03058944352','BANARAS HOUSE ST#08 PESHWAR ROAD R.W,P','9','21','154865','SUPER ASIA','0',null,'02-JULY-2018','6500ECM - 1577','AIR COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 13:50:04','2021-06-29 16:07:39',null,'1',null,'0');
INSERT INTO complaints VALUES('7162','AHMED JAVEED','03008566131 0512741400','HO#24 SERVICES ROAD SOUTH D-12/1 ISB','8','37','47457','SAMSUNG','S/N 0ANF36PR200008W  MODAL#65TU8500-MRM-88',null,'30-MAR-2021',null,'FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-21 14:05:37','2021-06-29 13:17:45',null,'1',null,'0');
INSERT INTO complaints VALUES('7163',null,null,null,'7',null,null,'ORIENT','BG20076467',null,null,'18G-ORBIT - 915','AIR CONDITIONER','GASS LEAKAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'98','2021-06-21 14:33:26','2021-08-01 14:04:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7164','ATIF','03008565107','HO#301 ST#58 I 8/2 ISB','5','34','107377','GREE','0',null,'12-JULY-2019','18FITH4WB - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 14:42:25','2021-06-24 15:22:10',null,'1',null,'0');
INSERT INTO complaints VALUES('7165','OSAMA SAB','03005000360','HO#406 ST#144 D 12/4 ISB','5','34','127085','LG','0',null,'12-DEC-2020','442HMHU-S - 746','REFRIGERATOR','W/D SIDE SA LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 14:44:26','2021-06-30 11:15:29',null,'1',null,'0');
INSERT INTO complaints VALUES('7166','MUHAMMAD SAHAB','03335130812','QUAID E AZAM UNI BIOLOGIC LAB  ISB','5','32','122228','ORIENT','0',null,'25-SEP-2020','531OWR - 993','WATER DISPENSER','TAP LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 15:20:33','2021-06-24 15:25:32',null,'1',null,'0');
INSERT INTO complaints VALUES('7167','ZIA REHMAN','03335539338','HO#05 ST#589 G-13/2 ISB','5','32','135461','HAIER','0',null,'15-JUNE-2021','398EPB - 884','REFRIGERATOR','OVER COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 15:22:53','2021-06-24 15:28:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7168','SYED PARVEEZ HAIDER','03028621010','HO#42 ST#59 SEC C DHA 05 ISB','5','31','134910','SAMSUNG','15J5730SS-S',null,'134910',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 15:37:21','2021-06-24 18:10:13',null,'1',null,'0');
INSERT INTO complaints VALUES('7169','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','HAIER','18HMAD(FF TO AZHAR RAMZAN FCI)',null,'0',null,'AIR CONDITIONER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 15:46:03','2021-07-15 14:08:56',null,'1',null,'0');
INSERT INTO complaints VALUES('7170','MR TARIQ','03205445446','WARD #01 MOHALLAH FAZANAY  MEDINA SARAY ALAMGEER  DISTRGUJRAT','5','28','93539','SIGNATURE','FF TO KHURRAM GOOGLE',null,'17-APRIL-2018','SRF-KK95S - 903','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 15:59:52','2021-07-15 10:47:45',null,'1',null,'0');
INSERT INTO complaints VALUES('7171','SOHAIL SETHI','03345174344','HO#1031 ST#42 PHASE 03 BEHIRA TOWN','8','37','5128','LG','LG KI W/M KI B COMPLAINT HAIN OUT OFF WARRANTY HAIN',null,'30-AUG-2018','1452S - 34','DISH WASHER','DISH WASHER & LG W/M JUST SERVICE  REQURIED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 16:07:02','2021-06-28 11:54:20',null,'1',null,'0');
INSERT INTO complaints VALUES('7172','MISS ZAINAB','03358027117','HO#1104 ST#33 ABU BAKAR BLOCK PHASE 08 B TOWN','7','49','23179','ORIENT','COMPANY SIDE SA VISIT HO GAYA HAIN INSTALLATION FULT HAIN',null,'16-MAR-20219','12G-HYPER-SW - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 16:30:12','2021-06-23 11:09:45',null,'1',null,'0');
INSERT INTO complaints VALUES('7173','MISS ZAINAB','03358027117','HO#1104 ST#33 ABU BAKAR BLOCK PHASE 08 B TOWN','7','49','23179','LG','1369NEHTF-C',null,'16-MAR-2021',null,'WASHING MACHINE','SETTING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 16:30:18','2021-06-28 11:51:56',null,'1',null,'0');
INSERT INTO complaints VALUES('7174','AMMANT HUSSAIN','03000607639','HO#01 IST FLOOR ST#34 G 10/1 ISB','9','24','214354','PANATRON','MODEL(115CUREVED-RB',null,'20-JUNE-201',null,'WATER DISPENSER','TAP PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 16:44:42','2021-06-24 13:58:28',null,'1',null,'0');
INSERT INTO complaints VALUES('7175','M ASHFAQ','03231563839','HO#15 ST#SERVICES ROAD BLOCK F NAVAL ANCHORAGE ISB','6','14','3312','PEL','23PMO-DIGITAL',null,'01-JUNE-2021',null,'MICROWAVE OVEN','PLATE DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 16:49:10','2021-08-03 16:24:59',null,'1',null,'0');
INSERT INTO complaints VALUES('7176','SYED QABOOS AZIZ','03137144666   03345367760','HO#11 ST 12 BLOCK-A BAHRIA ENCLAVE ISB','5','33','130133','HAIER','0',null,'08-MAR-2021','12HRO-W-INV - 913','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 16:54:46','2021-07-01 15:27:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7177','M ASHFAQ','03231563839','HO#15 ST#SERVICES ROAD BLOCK F NAVAL ANCHORAGE ISB','6','14','3312','SAMSUNG','55TU7000-871',null,'01-JUNE-2021',null,'FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 17:18:33','2021-07-14 15:18:38',null,'1',null,'0');
INSERT INTO complaints VALUES('7178','ADNAN','03335309975','HO#379 ST#1-A GORI TOWN PHASE 04 ISB','8','39','48913','ORIENT','FF TO CELL PHONE COMPLAINT INVOICE B HAIN',null,'23-MAY-2021','AUTO8 - 899','WASHING MACHINE','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 17:18:47','2021-07-01 15:25:27',null,'1',null,'0');
INSERT INTO complaints VALUES('7179','AZEEM STOCK','03315420488','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','50','0','SAMSUNG','MODEL(55TU7000)',null,'0',null,'FLAT PANEL TV','WIFI NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 17:24:18','2021-06-23 11:09:20',null,'1',null,'0');
INSERT INTO complaints VALUES('7180','MR AMJAD','03345464646','HO#965-48-A IMRAN STREET AZIZA BAD TENCH BHATA  RWP CANTT','9','19','211833','HAIER','MODAL#12HFMAC-W  COMPLAINT SAQIB FCP SIR NAY BAJI HAY',null,'30-MAY-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 17:34:04','2021-06-28 13:46:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7181','AZHAR IQBAL','03005234461','HO#1438 ST#70 SEC F PHASE 01 DHA','9','23','139987','CARAVELL','203R',null,'17-NOV-2020',null,'WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 17:36:51','2021-06-24 13:13:50',null,'1',null,'0');
INSERT INTO complaints VALUES('7182','ALI RAZA','03215279893','PLOT#395/ 396 FAZAL TECNOLODGE PARK ROAD MAIN 7UP CHOWK 1-9/3 ISB','9','23','212161','ORIENT','FLOOR STANDING',null,'01-JUNE-2021','24G-ULTIMATE-SW-C - 916','AIR CONDITIONER','OUT DOOR LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 17:49:00','2021-07-26 12:52:47',null,'1',null,'0');
INSERT INTO complaints VALUES('7183','KAMRAN BEHIRA 07','03219507474','FRIENDS CORPORATION  PHASE 07 B.TOWN','6','14','0','FIVE STAR','MODEL 2020','2021-06-21',null,null,'AIR COOLER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 18:12:40','2021-07-08 15:43:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7184','M AKBAR','03335408707','VIRK PHARMACY NEAR NOOR MARRAIGE HALL MAIN ROAD KHAYABAB SIR SYED R.W.P','9','24','197276','GREE','24FITH1S-115',null,'07-OCT-2020',null,'AIR CONDITIONER','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-21 18:18:42','2021-08-05 13:49:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7185','DANISH','03018111481','HO#379 ST#19 PHASE 05 B. TOWN','6','12','21667','HAIER','306R',null,'07-JUNE-2021',null,'WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 10:52:58','2021-06-28 14:03:55',null,'1',null,'0');
INSERT INTO complaints VALUES('7186','FAREED','03005337169','HO#103 BLOCK E SATELLITE TOWN R.W.P','8','38','24977','LG','1369NEHTF-C-(FF TO KHURRAM GOOGLE)',null,'15-APR-2021',null,'WASHING MACHINE','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 10:57:09','2021-06-23 11:08:48',null,'1',null,'0');
INSERT INTO complaints VALUES('7187','RAJA WAQAS','03365484156','HOLY FAMILY HOSPITAL  GATE#05 R.W.P','9','19','212816','KENWOOD','1228S-INV',null,'08-JUNE-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 11:03:59','2021-07-26 12:35:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7188','TANVEER IQBAL','03135950891(051-5950891)','HO#K /200 ST#08 COMATTI MOHALLAH R.W.P','9','19','195109','HAIER','MODEL-18HFAA-S',null,'20-AUG-2020',null,'AIR CONDITIONER','OUT DOOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 11:13:17','2021-06-28 14:07:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7189','YASIER','03340908838','HO#897 / 07 IMRAN ST NEAR ALHUDA SCHOOL ABAID MAJEED SADAR R.W.P','9','27','211609','KENWOOD','0',null,'27-MAY-2021','935SA - 901','WASHING MACHINE','PSALTER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 11:33:58','2021-07-04 15:09:56',null,'1',null,'0');
INSERT INTO complaints VALUES('7190','DR BILAL','03336541726','HO#09 ST#03 I BLOCK NEW CITY PHASE 02 WHA CANTT','8','39','48256','SIGNATURE','SIGNATURE HOB',null,'02-MAY-2021',null,'BUILT IN APPLLIANCES','BURNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 11:43:15','2021-06-30 13:33:17',null,'1',null,'0');
INSERT INTO complaints VALUES('7191','ADNAN','03139911345','FLAT#10 2ND BUILDING ST#02 KHAYABANA SARFARAZ  CHAKLALA R.W.P','8','38','156','SIGNATURE','0',null,'30-APR-2020','WB53W - 1980','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 11:48:16','2021-06-28 11:51:04',null,'1',null,'0');
INSERT INTO complaints VALUES('7192','SHAHID JAML','03005248783','HO#324 E ST#15 SEC 02 NEAR AWAN MARKET KHAYABAN SIR SYED  R.W.P','8','38','49981','KENWOOD','0',null,'13-JUNE-2021','950SA - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 11:54:49','2021-06-30 14:44:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7193','DR TAQDEES','03216435273','HO#627 ST#45 I 8/2 ISB','8','39','43975','SIGNATURE','SIG HOB',null,'02-DEC-2020',null,'BUILT IN APPLLIANCES','BANNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 12:22:24','2021-07-15 10:46:50',null,'1',null,'0');
INSERT INTO complaints VALUES('7194','NAEEM AKHTER','03136222022','HO#11 AL MADINA STATE NERA  PHASE 07 GORI TOWN','8','38','35783','SUPER ASIA','FF TO NAFEES FHHS',null,'12-APRIL-2021','4500ECM - 1577','AIR COOLER','WATER PUMP NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 12:29:40','2021-06-30 14:20:09',null,'1',null,'0');
INSERT INTO complaints VALUES('7195','KHALID MEHMOOD','03098222640','APP#104 BAHRIA HEIGHT 06 PHASE 08 B. TOWN','6','15','20366','BOSCH','BILAL MANZOOR SA CONFIRM KAR K COMPLAINT FF KI',null,'16-DEC-2019','20260GC - 880','WASHING MACHINE','E-17 ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 12:34:33','2021-06-29 12:41:59',null,'1',null,'0');
INSERT INTO complaints VALUES('7196','SHAHBAZ','03472693986','FLAT#407 BLOCK 8 DEFANCE REDUNDANCY DHA 02 ISB','6','15','35783','ORIENT','INSTALLER HOME SOLUTION',null,'08-JUNE-2021','12G-HYPER-SW - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 12:43:09','2021-06-28 11:49:20',null,'1',null,'0');
INSERT INTO complaints VALUES('7197','HAMZA','03445031099','HO#F 950 SATELLITE TOWN R.W.P','9','25','209772','KENWOOD','0',null,'26-APRIL-2021',null,'WASHING MACHINE','BODY CURRENT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 12:48:15','2021-06-29 13:24:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7198','ASLAM PARVEEZ','03008548422','HO#01 CIRCULAR AVENUE SAFARI VILLAS 01 B TOWN','9','24','0','ORIENT','FF TO SHABAN B COOL (C/O UMER )',null,'OUT OFF WARRANTY',null,'AIR CONDITIONER','E 6  ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 12:57:48','2021-06-29 11:44:21',null,'1',null,'0');
INSERT INTO complaints VALUES('7199','SARWAR','03335464295','HO#70 ST#68 G-9/3 ISB','5','34','97424','SIGNATURE','0',null,'27-AUG-2018','SBS-MD99SS-I - 908','REFRIGERATOR','LIGHT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 13:02:36','2021-07-04 17:38:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7200',null,null,null,'6',null,null,'CANON','0000',null,null,null,'WATER DISPENSER','DISPENCER DAMAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-06-22 13:14:00','2021-07-15 15:57:27',null,'1',null,'0');
INSERT INTO complaints VALUES('7201','ASAD','03155320382','QUAID PLAZA IST FLOOR OFFICE #03 JAWA CHOWK NEAR UBL BANK I -9 MARKAZ ISB','9','51','203061','ORIENT','FF TO CELL PHONE COMPLAINT INVOICE B HAIN',null,'09-JAN-2021',null,'FLAT PANEL TV','WIFI PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 13:37:22','2021-07-04 15:06:48',null,'1',null,'0');
INSERT INTO complaints VALUES('7202','SHAIKH AKMAL','03235061430','HO#170 UMER PARK SARGODHA','9','23','162174','SIGNATURE','0',null,'07-DEC-2018','SRF-WB90M - 885','REFRIGERATOR','COOLING PROB',null,'8',null,null,'customer','0',null,'74','2021-06-22 13:48:57','2021-08-11 12:16:33',null,'1',null,'0');
INSERT INTO complaints VALUES('7203','MR RASHEED JAMAL','03000501511 03365110711','HO#219 ST 26 BLOCK-B NEAR GULSHAN SAHAT SEC E-18 ISB','5','28','96885','SIGNATURE','0',null,'07-AUG-2018','SRF-HM100 - 908','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-22 13:51:36','2021-06-23 11:08:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7204','MAJOR KAMRAN ASLAM','03005204057','HO#01 NEAR GUNJ GLASS FACTORY MAIN GT ROAD HASSANABDALR.W.P','7','49','20424','KENWOOD','0',null,'24-DEC-2019','1830S-HC INV - 915','AIR CONDITIONER','OUT DOOR SA SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 14:07:16','2021-06-29 15:42:36',null,'1',null,'0');
INSERT INTO complaints VALUES('7205','SHABBAR AKHTER','03005084346','HO#31 ST#03 PHASE 06 B.TOWN','6','14','2677','HAIER','0',null,'20*-FEB-2018','568TBG - 908','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 14:11:30','2021-06-28 14:24:08',null,'1',null,'0');
INSERT INTO complaints VALUES('7206','ARSHAD MEHMOOD','03315687387','HO#CB 4255 ST#63 ALLAMA IQBAL VOLONY TENCH BHATTA R.W.P','7','49','23146','HAIER','FF TO ATIF SADAR',null,'29-JULY-2020','12HRV-W-INV - 913','AIR CONDITIONER','OUT DOOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 14:18:46','2021-06-28 14:41:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7207','CH ASAD','03135686150','HO#3C/11 BLOCK C NEAR BILA HOSPITAL R.W.P','9','51','212543','HAIER','0',null,'06-JUNE-2021','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 14:25:01','2021-06-28 14:50:29',null,'1',null,'0');
INSERT INTO complaints VALUES('7208','MUDASIR','03015662512','HO#1195 ST#15 G-14/4 ISB','5','29','130290','LG','1788NEHTE-C',null,'12-MAR-2021',null,'WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 14:46:03','2021-07-10 17:56:13',null,'1',null,'0');
INSERT INTO complaints VALUES('7209','ZULFIQAR PARACHA','03018552800','HO#23-A BLOCK A SATELLITE TOWN ISB','9','22','190082','HAIER','0',null,'08-JUNE-2020','438IDBT - 896','REFRIGERATOR','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 14:54:31','2021-06-28 14:48:13',null,'1',null,'0');
INSERT INTO complaints VALUES('7210','SULMAN FAROOQ','03109189785','DESI TADKA RESTAURANT IKLHAQ THE PINDI GAEB','8','39','47234','CARAVELL','0',null,'22-MAR-2021','450MEC - 1651','CHILLER','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 15:08:42','2021-06-30 14:37:24',null,'1',null,'0');
INSERT INTO complaints VALUES('7211','SAIF','03159257299','HO#744 ST#18 OVER SEASE 03 PHASE 08 B. TOWN','6','12','32235','SIGNATURE','C585',null,'21-DEC-2020',null,'COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 15:20:49','2021-06-24 18:09:30',null,'1',null,'0');
INSERT INTO complaints VALUES('7212','DR RAZA SAMMAR','03215078994(03238529097)','HO#44B ST#08 F 11/1 ISB','8','40','20808','TEKA','TAKA OVEN',null,'25-FEB-2017','840HL - 1587','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 15:34:35','2021-06-28 11:47:24',null,'1',null,'0');
INSERT INTO complaints VALUES('7213',null,null,null,'4',null,null,'HAIER','00000',null,null,'3913D - 993','WATER DISPENSER','306b Water leaking',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2021-06-22 15:35:34','2021-08-01 14:03:42',null,'1',null,'0');
INSERT INTO complaints VALUES('7214','SAAD ASAD','03105146497','HO#143 ST#73 G 9/3 ISB','5','34','134169','GREE','FF TO AZHAR FCI',null,'03-JUN-2021','18FITH1C - 915','AIR CONDITIONER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 15:43:51','2021-07-17 15:00:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7215','RAJA FIDA HUSSAIN','03218509858','HO#7 A ST#62 SEC F 8/4 ISB','5','28','2481','SHARP','FF TO AZHAR FCI',null,'03-OCT-2020','24HCP-INV - 917','AIR CONDITIONER','PCB CARD ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 15:58:32','2021-07-26 12:55:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7216','MUHAMMAD TAYYAB','03455154622(03335246683)','HO#23 ST#63 PHASE 01 JINNAH GARDEN ISB','4','7','22095','ORIENT','0',null,'20-JUNE-2021','18G-BOLD-UW-INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 16:05:17','2021-07-13 16:25:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7217','MUNAWAR SAB','03028847929','KOHITAN ENCLAVE MAIN G T ROAD WAAH CANTT','9','19','212305','FISCHER','0',null,'03-JUNE-2021','65GF - 1220','WATER COOLER','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 16:42:43','2021-06-29 11:39:33',null,'1',null,'0');
INSERT INTO complaints VALUES('7218','KHALID HAIDER','03455174896','HO#11 ST#08 SEC D DHA 01','6','12','14863','SIGNATURE','FF TO ADEEL BEHIRA',null,'09-JUNE-2018','SLC-TL1-GD - 1705','AIR COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 16:54:30','2021-06-24 13:37:57',null,'1',null,'0');
INSERT INTO complaints VALUES('7219','ARAIB SHAFIQ','03329272972','HO#23 NEW CILVIL LINE JHANDA R.W.P','8','38','50288','HAIER','12HPBG-W-913',null,'19-JUNE-2021',null,'AIR CONDITIONER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 17:00:06','2021-06-30 13:12:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7220','AKIF','03325069992','HO#1 ST#01 HAJI MUHAMMAD ZAMAN ST RANGE  ROAD  R.W.P','8','47','0','SIGNATURE','OUT OFF WARRANTY(PAID JOB)',null,'OUT OFF WARRANTY',null,'WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 17:07:34','2021-06-24 13:37:04',null,'1',null,'0');
INSERT INTO complaints VALUES('7221','MR SOHAIB','03333728790','HO#1340 ST#38 G-11/2 ISB','5','35','135211','DAWLANCE','0',null,'11-JUNE-2021','30POWER CON - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 17:20:42','2021-06-29 11:31:07',null,'1',null,'0');
INSERT INTO complaints VALUES('7222','HAMMAD FCP','03455104405','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','24','0','PANASONIC','3920GC DAMAGE (FF TO HAMAD FCP)',null,'0','GS1 - 1364','DOMESTIC APPLIANCES','4 ITEMS DAMAGE & BURAN PROB',null,'4',null,null,'customer','0',null,'74','2021-06-22 17:24:48','2021-06-22 17:26:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7223','NIAZ KHAN','03339079384(03235094044)','HO#569 ST#21 SEC E PHASE 08 B TOWN','4','10','23663','HOMAGE','0',null,'23-OCT-2019','82HWD - 993','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 17:31:11','2021-06-30 13:09:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7224','ABDUL REHEEM','03015384515','MOHALLAH NASEERABAD NEW ABADI BARA KHO ISB','9','23','203596','SUPER ASIA','0',null,'09-JAN-2021','240SHW-CRYSTAL - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 17:39:34','2021-07-25 16:46:25',null,'1',null,'0');
INSERT INTO complaints VALUES('7225','AD MASS','03459545142','AD MASS ABID MAJEED ROAD SADAR R.W.P','7','49','23018','TCL','MODEL 50P615)(SERIAL#2012VLR301394A00362)',null,'18-FEB-2021','28B2520B - 1423','FLAT PANEL TV','POWER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 17:49:04','2021-06-30 13:01:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7226','KHAILD','03341177799','VILLAGE PHUL GARA MOHALLAH BUN BAAG NEAR AL MEHRABAN MASJID ISB','8','37','48321','HAIER','12HFCF-W-INV-',null,'03-MAY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 18:01:48','2021-07-01 14:03:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7227','BASHEER','03335168597','HO#63 ST#71  F 11/1 ISB','5','30','78089','SAMSUNG','0',null,'30-AUG-2016','7ZNPN-S - 909','REFRIGERATOR','JUST SERVICE REQUIRED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-22 18:05:40','2021-07-04 17:36:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7228','GHAZANFAR ALI','03216620929','HO#09 CORRAS ROAD BLOCK L NEW CITY PHASE 02 CANTT','9','27','212971','ORIENT','0',null,'09-JUNE-2021','18G-HYPER-SW - 915','AIR CONDITIONER','BLOWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 11:07:57','2021-07-28 14:27:55',null,'1',null,'0');
INSERT INTO complaints VALUES('7229','AHMEDYAR SAB','03215374345','VILLAGE DHADHUMBER CHAKRI SIDE R.W.P','9','27','214319','HAIER','0',null,'20-JUNE-2021',null,'REFRIGERATOR','CURRENT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 11:16:07','2021-07-01 13:59:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7230','MUHMMAD SALEEM','03335460110','HO#08 ST#15 BHATTI TOWN GULBARG GREEN ISB','6','12','34551','KENWOOD','2445FH-917(FF TO ADEEL BEHIRA )',null,'22-APR-2021',null,'AIR CONDITIONER','OUT DOOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 11:22:58','2021-06-29 11:46:30',null,'1',null,'0');
INSERT INTO complaints VALUES('7231','SOHAIL','03335188852','HO#395 B LANE#06 GULISTAN COLONY R.W.P','8','37','0','ORIENT','C/OFF KHURRAM GOOGLE)(C/O SADDIQ SAB)',null,'10-JUNE-2020',null,'AIR CONDITIONER','OUT DOOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 11:48:27','2021-06-29 11:54:22',null,'1',null,'0');
INSERT INTO complaints VALUES('7232','CH AFZAL','03005103359','HO#84 ST#79 G 13/1 ISB','9','26','130613','SIGNATURE','0',null,'04-APRIL-2017','SRF-KK95G - 903','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 12:03:11','2021-07-06 12:57:09',null,'1',null,'0');
INSERT INTO complaints VALUES('7233','SHAHZAD','03455163344','HO#GC 45 C BLOCK RAHMATABAD CHAKLALA SCKEEM 03 R.W.P','9','24','203746','SUPER ASIA','0',null,'11-JAN-2021','240SHW-CRYSTAL - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 12:18:13','2021-06-30 12:45:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7234','FURQAN HAFEEZ','03441096960','FLAT#A 07 RAJPOOT PLAZA DHOK KALA KHAN R.W.P','9','20','160212','SIGNATURE','FF TO NAEEM NASEER(INVOICE FF WAQAS FCP)',null,'28-OCT-2018','SCF-HM10 - 955','FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 12:20:19','2021-07-06 12:57:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7235','AZEEM STOCK','03315420488','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','50','0','HAIER','MODEL18HFP',null,'0',null,'AIR CONDITIONER','INDOOR DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 12:38:24','2021-07-15 14:55:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7236','MR JAWAD','03155154090','OFFICE#MANDEER SQUARE 3rd FLOOR EIFFEL OFFICE SEC G-8 MARKAZ ISB','9','19','196365','KENWOOD','0',null,'19-SEP-2020','1826S-INV - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-23 12:52:10','2021-06-29 12:06:13',null,'1',null,'0');
INSERT INTO complaints VALUES('7237','MISS NILOFAR','03350056959','HO#167 ST#03 CBR B BLOCK UPPER POSTION ISB','6','12','21566','ORIENT','FLARE-3-RG-2026',null,'03-JUNE-2021',null,'WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 12:56:46','2021-07-08 14:04:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7238','SANAN SHAHID','03165131616','FLAT#3-A BLOCK B ASKARI 14 SEC D R.W.P','7','49','22708','SAMSUNG','0',null,'2-DEC-2020','90J5710-SZ - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 13:00:38','2021-06-30 11:10:54',null,'1',null,'0');
INSERT INTO complaints VALUES('7239','ETHASHAM SAB','03355384230','HO#184 ALBA ROAD SAFARI VILLAS 02 PHASE 07 B TOWN','6','16','33092','ORIENT','0',null,'10-FEB-2021','529BL - 128','WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 13:35:42','2021-06-29 12:00:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7240','MRS TAWSEEN','03359483597','HO#202 ST#18 BLOCK B HOUSING SOCITY MAIN GT ROAD RAWAT ISB','6','16','36324','DAWLANCE','0',null,'22-JUNE-2021','1035WBGD-VF - 1467','FREEZER','BODY CURRENT PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 13:42:52','2021-07-01 15:16:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7241','NOUMAN','03225045800','SHOP #31 ARSHAD WATCH KIYNI MARKET FAWARA CHOWK R.W.P','9','19','21456','ORIENT','FF TO SAQIB FCP',null,'22-JUNE-2021','12G-ORBIT - 913','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 13:52:37','2021-06-28 16:10:10',null,'1',null,'0');
INSERT INTO complaints VALUES('7242',null,null,null,'6',null,null,'CANON','0000',null,null,'935S1 - 1122','BUILT IN APPLLIANCES','DAMAGE + BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-06-23 14:00:16','2021-07-15 15:56:18',null,'1',null,'0');
INSERT INTO complaints VALUES('7243','MASOOD AHMED','03335328653','HO#520 ST#10 BLOCK D MEDIA TOWN PWD  R.W.P','6','14','21638','DAWLANCE','0',null,'07-JUN-2021','91996GD-INV-GREEN - 885','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 14:08:40','2021-06-28 16:04:44',null,'1',null,'0');
INSERT INTO complaints VALUES('7244','TALHA','03044045555','HO#D 406 ST#25 MEDIA TOWN PWD R.W.P','6','14','22052','HAIER','0',null,'19-JUN-2021',null,'WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 14:14:57','2021-06-28 14:57:54',null,'1',null,'0');
INSERT INTO complaints VALUES('7245','NADEEM CH','03335127779','HO#228 PRINCESS ST GREEN AVENUE ISB','5','30','122487','LG','425FPS-S-34',null,'02-OCT-2020',null,'DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 14:59:46','2021-07-04 12:08:59',null,'1',null,'0');
INSERT INTO complaints VALUES('7246','ABDUL MANAN','03335144873','HO#59 ST#99 G13/1  ISB','9','23','212170','PANATRON','115CURVED-RB',null,'01-JUNE-2021',null,'WATER DISPENSER','DOOR DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 15:11:48','2021-07-08 14:02:21',null,'1',null,'0');
INSERT INTO complaints VALUES('7247','KHAWAR','03005000833','HO#14 LANE#08 SEC F DHA PHASE 02','5','28','123530','WHIRLPOOL','FF TO AZHAR FCI',null,'03-NOV-2020','422TJ-HC INV - 917','AIR CONDITIONER','COMPRESSOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 15:47:26','2021-06-28 15:54:50',null,'1',null,'0');
INSERT INTO complaints VALUES('7248','WAQAS FCP','03215151945','FRIENDS CORPORATION GUL NOOR MARKET R.W.P','9','24','0','HAIER','18HFMAC-INV',null,'0',null,'AIR CONDITIONER','WIFI KIT MISSING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 16:14:07','2021-08-09 16:42:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7249','ZAI ULLAH KHAN','03335246167','OFFICE#53 MOTI PLAZA  BANISHMENT MUREE ROAD R.W.P','9','27','192831','SIGNATURE','0',null,'15-JULY-2020','WB53B - 1980','REFRIGERATOR','COOLING PROB',null,'8',null,null,'customer','0',null,'74','2021-06-23 16:20:11','2021-08-11 12:31:28',null,'1',null,'0');
INSERT INTO complaints VALUES('7250','MR ZEESHAN','03215000581','HO#164 ROSE ROAD SAFARI VILLAS 03 BEHIRA TOWN','4','11','19987','MITSUBISHI','0',null,'10-MAY-2021','50VA - 915','AIR CONDITIONER','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-23 16:28:48','2021-06-25 15:34:09',null,'1',null,'0');
INSERT INTO complaints VALUES('7251','ABDUL HANIF','03069235600','HO#72 LANE 03 DCI ISB','5','28','0','FIVE STAR','CELL PHONE CALL(INVOICE N HAIN)',null,'0','5500C-FS - 1965','COOKING RANGE','FRONT GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 16:36:56','2021-06-30 11:10:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7252','DR SAJID YOUSAF','03302887453','HO#90 E SUNSET ST  GREEN AVENUE CHATTA BHAKHTWAR ISB','5','35','135585','DAWLANCE','9191WBAVANTE-EG',null,'16-JUNE-2021',null,'REFRIGERATOR','COMPRESSOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 16:48:38','2021-06-28 15:38:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7253','DR UZMAA','03341546668','DEF VILLAS 577 ST#30 SEC F PHASE 01 SHA ISB','6','14','0','SIGNATURE','OUT OFF WARRANTY',null,'OUT OFF WARRANTY',null,'WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 17:11:08','2021-07-01 13:56:53',null,'1',null,'0');
INSERT INTO complaints VALUES('7254','MR SHAKEEL','03335152247','OFFICE#07 2ND FLOOR CAPITAL TREAD CENTER ABOVE RAHAT BAKERS F 10 MARKAZ ISB','5','29','102015','DAWLANCE','0',null,'08-FEB-2019','PRO-ACTIVE30-INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 17:23:19','2021-06-28 15:44:04',null,'1',null,'0');
INSERT INTO complaints VALUES('7255','MR JUNAID','03345552779','HO#574 ST 40 OVERSEAS SEC 05 BAHRIA PHASE 08 RWP','6','14','32361','SIGNATURE','MODEL MT9R',null,'28-DEC-2020',null,'MICROWAVE OVEN','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 17:30:35','2021-08-11 12:48:35',null,'1',null,'0');
INSERT INTO complaints VALUES('7256','MOHSIN','03337843256','HO#2389 ST#56 ABU BALAR BLOCK PHASE 08 B TOWN','9','23','105822','KENWOOD','0',null,'29-SEP-2015','1016SA - 1712','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 17:36:35','2021-07-01 15:04:22',null,'1',null,'0');
INSERT INTO complaints VALUES('7257','TOUSEEF','03335566323(0518449077)','HO#191 ST#11 BLOCK D MEDIA TOWN','4','8','18518','BOSCH','0',null,'06-DEC-2020','20260GC - 880','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-23 17:48:37','2021-06-28 15:17:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7258','ZIA ULLAH','03335195484','HO#06 ST#03 FAISAL COLONY R.W.P','9','51','213902','ORIENT','3RG-FLAERE',null,'15-JUNE-2021',null,'WATER DISPENSER','LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 11:15:49','2021-06-28 15:04:18',null,'1',null,'0');
INSERT INTO complaints VALUES('7259','BASHIR HUSSAIN','03005192645','HO#1983 ST#62 PHASE 03 B.TOWN','6','16','964','HAIER','0',null,'14-FEB-2021','438IDB - 896','REFRIGERATOR','OVER COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 11:26:58','2021-06-28 15:03:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7260','SHAFIQUE','03150534282','HO#1275NE ST#02 MOHALLAH DHOK HUKAMDAR R.W.P','9','24','207306','DAWLANCE','FF TO RIFFAT FCP',null,'13-MAR-2021','9100C-DW - 906','WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 11:33:10','2021-06-28 15:09:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7261','NAVEED IQBAL','03355100322','HO#118 ST#35 G-9/1 ISB','5','35','130015','GREE','0',null,'05-MAR-2021','18FITH1S - 915','AIR CONDITIONER','SOUND PROB',null,'3',null,null,'customer','0',null,'74','2021-06-24 11:34:47','2021-06-24 11:34:47',null,'1',null,'0');
INSERT INTO complaints VALUES('7262','WAHEED SAB','03135094357','SUZUKI FEDERAL MOTER APPARA ISB','8','38','211621','GREE','18PITH2W',null,'27-MAY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 12:09:18','2021-06-28 14:41:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7263','RASHID KIYANI','03317666666','HO#429 CHANIR ST GREEN AVENUE CHAK SHAHZAD ROAD ISB','8','38','37289','FIVE STAR','0',null,'23-OCT-2019','55G-TWIN-SUPREME - 1538','GEYSER','TANK LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 12:14:07','2021-07-14 15:14:36',null,'1',null,'0');
INSERT INTO complaints VALUES('7264','MISS AZRA','03229016858','HO# I-64 ST#30 -A I 10/4 ISB','5','33','116756','TCL','1910VLR300964A0003',null,'20-MAY-2020','55P8M - 942','FLAT PANEL TV','SCREEN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 12:34:52','2021-07-25 16:39:03',null,'1',null,'0');
INSERT INTO complaints VALUES('7265','MR DANISH','03018111482','HO#379 ST#19- PHASE 05 B TOWN','4','8','21667','HAIER','306R',null,'07-JUNE-2021',null,'WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 13:48:55','2021-07-01 13:55:06',null,'1',null,'0');
INSERT INTO complaints VALUES('7266','MR HIKMAN GULL','03331709990','HO#42 ST 55 SEC G-9/4 ISB','8','37','25169','SIGNATURE','HOB I-10 S/C AYA HAY SALE ADVISOR CH WAQAR',null,'14-DEC-2017','3762G - 1122','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 13:55:32','2021-06-25 15:33:21',null,'1',null,'0');
INSERT INTO complaints VALUES('7267','MISS WARISHAH','03360066788','HO#04 ST#03 OPP DOWN MART BANI GALA ISB','9','22','152313','HAIER','0',null,'15-MAY-2018','618BG-HRF - 903','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 13:57:30','2021-06-28 15:06:49',null,'1',null,'0');
INSERT INTO complaints VALUES('7268','MR KHALID','03359379379','HO#11B ST#30 F 8/1 ISB','5','34','122762','SIGNATURE','C585-1117',null,'10-OCT 2020',null,'COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 14:18:41','2021-07-08 15:42:50',null,'1',null,'0');
INSERT INTO complaints VALUES('7269','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','HAIER','18HFMAE',null,'0',null,'AIR CONDITIONER','INDOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 14:24:23','2021-07-15 14:14:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7270','MUHAMMAD IQBAL KHUWAJA','03005016151','HO#03 ST#60 F 6/3ISB','5','34','133500','HAIER','MODEL 438IDBA(2 REF KI COMPLAINT HAIN)',null,'25-MAY-2021',null,'REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 14:29:54','2021-06-28 15:09:24',null,'1',null,'0');
INSERT INTO complaints VALUES('7271','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','ECOSTAR','450',null,'0',null,'WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 14:32:46','2021-07-27 11:52:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7272','SHAH GEE','03005004121','HO#NA-402 OPP MASJID REHMAT UL ALMEEN MADRSA RAR UL QUREEN  R.W.P','8','37','24989','GREE','18PITH2W',null,'15-APRIL-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 14:36:30','2021-06-28 15:06:33',null,'1',null,'0');
INSERT INTO complaints VALUES('7273','AFTAB AHMED','03345148881','HO#06 ST#19-A SEC C3 BEHIRA ENCLAVE ISB','5','33','135108','HAIER','0',null,'11-JUNE-2021','18HFCF-W-INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 14:43:04','2021-07-01 13:09:39',null,'1',null,'0');
INSERT INTO complaints VALUES('7274','COL SAQIB','03335195405','HO#348 ST#10 SEC B ASKARI 14 R.W.P','7','49','11100','SAMSUNG','0',null,'21-MAR-2016','11J5710GT - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 14:51:44','2021-06-30 13:32:36',null,'1',null,'0');
INSERT INTO complaints VALUES('7275','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','PANATRON','115PM',null,'0',null,'WATER DISPENSER','COOLING&HEATING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 15:03:34','2021-06-28 13:47:48',null,'1',null,'0');
INSERT INTO complaints VALUES('7276','WASEEM','03341572001','HO#06 ST#03 SEC J DHA 02','4','6','19445','BOSCH','MODEL(101SOGC-C)',null,'01-FEB-2021',null,'WASHING MACHINE','ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 15:12:57','2021-06-28 13:46:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7277','ABDUL SHAKOOR MALIK','03008501682','HO#19C ST#01 PWD HOUSING SOCITY BLOCK DD ISB','8','43','24492','CHANGHONG','338SP-2116',null,'20-FEB-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 15:32:41','2021-06-28 13:44:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7278','TOUSEEF','03208430124','HO#33 ST#01 DHA HOUSING SOCITY DHA KURI ROAD ISB','8','38','41634','HAIER','0',null,'08-AUG-2020','306IDB - 894','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 15:50:00','2021-06-28 13:24:17',null,'1',null,'0');
INSERT INTO complaints VALUES('7279','RAO DILSHAD','03435529230','HO#83 ST#06 E 11/1 GLUSHNAKHUDA DADISB','9','27','214578','DAWLANCE','91999CHROME',null,'23-JUNE-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 16:03:31','2021-06-28 13:22:37',null,'1',null,'0');
INSERT INTO complaints VALUES('7280','SHAKEEL','03215665767','HO#321 ST#20 SEC 4 E BLOCK AIR PORT HOUSING SOCITY R.W.P','4','11','20420','ORIENT','0',null,'08-APR-2021','AUTO8 - 899','WASHING MACHINE','WATER DRAIN &ERROR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 16:20:16','2021-06-28 12:52:38',null,'1',null,'0');
INSERT INTO complaints VALUES('7281','SYED MAQSOOD AHMED','03465464713','HO#DD/56-A ST#05 NEAR CHOTI MASJID GULSHAN DADAN ISB','8','42','45062','ECOSTAR','65UD960',null,'13-DEC--2020',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 16:42:06','2021-07-01 14:35:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7282','JAWAD ABBAS','03180974141','HO#683 MAIN SERVICES ROAD G 11/1 ISB','8','42','35101','SIGNATURE','0',null,'30-JUNE-2019','SWM-JD47C - 945','WASHING MACHINE','WATER DRAIN PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 16:46:10','2021-06-28 11:46:06',null,'1',null,'0');
INSERT INTO complaints VALUES('7283','USMAN SAB','03005308986','HO#11  ST#5 B DR TOWN PWD','6','12','32828','SAMSUNG','90K5410S-S-901',null,'27-JAN-2021','10V5-WM - 168','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 16:55:55','2021-06-30 13:12:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7284','AMIR IJAZ','03345111729','FLAT#02 BLOCK 69 ST55 INT CENTER G-9/4 ISB','5','28','129091','HAIER','0',null,'09-FEB-2021','18HFCF-W-INV - 915','AIR CONDITIONER','COOLING [PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 17:27:54','2021-07-01 12:50:16',null,'1',null,'0');
INSERT INTO complaints VALUES('7285','MOHSIN','03215255566','HO#15A ST#02 F G QUIAD AZAM ROAD CHAKLALA SCKEEM 03 R.W.P','4','6','36036','GREE','0',null,'13-JUNE-2021','8890EG-CR1 - 896','REFRIGERATOR','ICE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 17:44:15','2021-06-28 12:14:49',null,'1',null,'0');
INSERT INTO complaints VALUES('7286','SHEKH MOHUDDIN','03335121990','HO#47 ST#02 GULBARG GREEN ISB','5','32','105657','HAIER','24HNM-W-INV',null,'04-JUNE-2019',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 17:46:39','2021-06-28 12:12:54',null,'1',null,'0');
INSERT INTO complaints VALUES('7287','DR KUKAB','03335198481','HO#04 ST#11-A SEC G DHA 02','8','37','19303','SAMSUNG','55KU7350-S',null,'03-DEC-2016',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 17:54:59','2021-07-29 12:05:39',null,'1',null,'0');
INSERT INTO complaints VALUES('7288','DR KHUBAIB','03361017163','HO#122 ST#07 D BLOCK SAFRI VELLY PHASE 08 BEHIRA TOWN','6','12','35497','HAIER','206W-2021',null,'30-MAY-2021',null,'WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-24 18:09:18','2021-07-08 13:39:31',null,'1',null,'0');
INSERT INTO complaints VALUES('7289','MISS RUKSANA','03322755558','HO#F 678 SATELLITE TOWN R.W.P','8','37','49030','LG','18CGH',null,'24-MAY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'8',null,null,'customer','0',null,'74','2021-06-24 18:21:20','2021-07-24 14:59:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7290','MR ZAFAR','03008502700','HO#72-A WALAIT HOME CHAKLALA SCHEME 03 RWP','5','36','16265','LG','CELL PHONE COMPLAINT INVOICE BILAL MANZOOR NA SHER KI',null,'16-APR-2018','247SMUV-S - 909','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-25 12:06:52','2021-08-07 14:38:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7291','AMIR','032315371204','HO#41 ST#21 KORANG TOWN ISB','4','8','8987','SIGNATURE','CELL PHONE CALL(INVOICE B  HAIN)',null,'26-MAR-2019','SWD-HD10-GR - 994','WATER DISPENSER','BACK SIDE LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-25 12:14:58','2021-06-28 15:02:08',null,'1',null,'0');
INSERT INTO complaints VALUES('7292','MR SOHAIL','03360119932','HO#06 ST#37 UPPER POSTION KORANGTOWN','4','7','21911','HAIER','0',null,'13-JUNE-2021','398EPCW - 884','REFRIGERATOR','COMPRESSOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-25 12:52:01','2021-06-29 12:02:17',null,'1',null,'0');
INSERT INTO complaints VALUES('7293','ZEESHAN ALI KHAN(DR HINA)','03348983386(03319092452)','ZEEHAN COTTAGE GARDEN ROAD HABIB ULLAH COLONY NEA PMA BY PASS ABBOTTABAD','4','5','18103','CARAVELL','MODEL-207B-2028',null,'05-DEC-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-25 13:00:44','2021-08-21 14:42:22',null,'1',null,'0');
INSERT INTO complaints VALUES('7294','ZEESHAN ALI KHAN(DR HINA)','03348983386(03319092452)','ZEEHAN COTTAGE GARDEN ROAD HABIB ULLAH COLONY NEA PMA BY PASS ABBOTTABAD','4','7','27579',null,'SBO-AT4R-112',null,'04-JUNE-2021',null,'BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-25 13:07:18','2021-08-10 15:11:39',null,'1',null,'0');
INSERT INTO complaints VALUES('7295','RAIZ','03007438118','HO#627 ST#45 I 8/2 ISB','8','39','43975','SIGNATURE','HOB KI COMPLAINT',null,'25-DEC-2020','SBH-AC900S - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-25 13:34:23','2021-07-15 10:46:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7296','TANVEER AHNED ANJUM','03217653963','HO#CB 800 LANE#03 GULISTAN COLONY R.W.P','8','39','40325','LG','0',null,'18-JUNE-2020','Q22FTBKL-S - 909','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-25 13:42:01','2021-06-30 13:11:21',null,'1',null,'0');
INSERT INTO complaints VALUES('7297','MUDASSIR SAB','03355507500','HO#115 ST#07 PAKISTAN TOWN PHASE 02 ISB','8','37','25924','HAIER','80B-12756-69',null,'06-FEB-2018',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-25 14:30:35','2021-07-01 12:47:20',null,'1',null,'0');
INSERT INTO complaints VALUES('7298','SAMI ULLAH','03005018506','H NO 1080 ST NO 67/83 SAFARI VALLEY UMER BLOCK PHASE 8 B.TOWN RWP','6','15','28780','SIGNATURE','AGAIN &AGAIN COMPLAINT',null,'30-JULY-2020','SBH-AA901G - 1122','BUILT IN APPLLIANCES','BURNER PROB',null,'4',null,null,'customer','0',null,'74','2021-06-25 14:50:00','2021-06-25 14:51:37',null,'1',null,'0');
INSERT INTO complaints VALUES('7299','TAHIR SALEEM','03035888828(03005146370)','HO#12 ST#92 G 13/1 ISB','8','39','48886','KENWOOD','0',null,'20-MAY-2021','1828S-INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-25 15:00:37','2021-06-29 15:44:48',null,'1',null,'0');
INSERT INTO complaints VALUES('7300','ZAFAR ALI','03201100440','HO#361/S-1 ST#04 CHOUR HAR PAL PESHWAR ROAD BOHAR MASJID NEAR QUAID E AZAM SCHOOL R.W.P','9','26','214657','GREE','12FITH6S(CUSTOMER NA DIRECT COMPLAINT FF KARWAI',null,'24-JUNE-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-25 15:12:42','2021-06-28 15:41:33',null,'1',null,'0');
INSERT INTO complaints VALUES('7301','MR HIKMAN GULL','03331709990','HO#42 ST 55 SEC G-9/4 ISB','8','37','25169','SIGNATURE','HOB I-10 S/C HAIN',null,'14-DEC-2017','3762G - 1122','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-25 15:28:49','2021-07-15 10:45:49',null,'1',null,'0');
INSERT INTO complaints VALUES('7302','MUHAMMAD WASEEM','03358384343','HO#237 NEW ABADI AKRAM COLONY TALIMORI R.W.P','8','38','45170','FIVE STAR','MAX 999MC-1932',null,'17-DEC-2020',null,'COOKING RANGE','NOB PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-25 15:36:25','2021-07-05 12:00:07',null,'1',null,'0');
INSERT INTO complaints VALUES('7303','SYED ZEESHAN ALI','03368425540','QUATER DECK PLAZA GROUND FLOOR COINER OFFICE COMMERCIAL  02 NAVEL ANCHORAGE ISB','8','37','22135','PANATRON','PEL W/D MODEL 115PMI',null,'22-JUNE-2021',null,'WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-25 15:54:02','2021-07-25 16:29:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7304','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','HAIER','2 SET HAIN SAME MODEL 32T5300AU',null,'0',null,'FLAT PANEL TV','TUNING PROB+ POWER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-25 16:44:13','2021-07-14 15:10:54',null,'1',null,'0');
INSERT INTO complaints VALUES('7305','SAAD ZAFAR','03335458818','HO#99 ST#04 ABU BAKAR   BLOCK B PHASE 08 B  TOWN','8','37','183249','ORIENT','CUSTOMER NA DIRECT COMPLAINT FF KARWAI HOI COMPLAINT','2021-06-25',null,'18G-ATLANTIC-GW - 915','AIR CONDITIONER','GASS LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-25 16:53:33','2021-06-29 12:31:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7306','MR SHAKEEL','03335269605','HO#108 ST 10 CHAKLALA SCHEME 03 RWP','8','37','20885','ORIENT','NAEEM  SIR NAY COMPLAINT BAJI HAY',null,'14-MAR-2020','24G-PLUS-SS - 917','AIR CONDITIONER','ERROR E-5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 11:38:05','2021-07-08 13:30:31',null,'1',null,'0');
INSERT INTO complaints VALUES('7307','COL MEAR','03335343331  03008549816','HO#14 ST 21 SEC-B DHA 02 ISB','9','20','213397','DAWLANCE','MODAL#9193LFAVANTE',null,'12-JUNE-2021',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 11:52:39','2021-06-29 12:21:55',null,'1',null,'0');
INSERT INTO complaints VALUES('7308','MR FAROOQ','03335264396','HO#W592 RATA ROAD RWP','9','19','0','SIGNATURE','BEST COOL SIR NAY BAJI HAY INVOICE NAI HAY',null,'3-YEAR-AGO','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 12:16:30','2021-06-28 11:44:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7309','MR AHSAN BUTT','03335203055','SHOP# BISMILLAHA NEAR HOLI FAMILY HOSPITAL OPP GADE 03 SATELLITE TOWN RWP','9','21','214569','WAVES','SALE ADVISOR MURTAZA',null,'23-JUNE-2021','318WDF-SS - 959','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 12:28:53','2021-06-29 12:35:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7310','MR IMRAN','03345435208','HO#1633 ST 08 OVER SEAS 05 PHASE  08 BAHRIA TOWN  RWP','9','21','213900','HAIER','MODAL#12HFCN-W  SALE ADVISOR MURTAZA',null,'15-JUNE-2021',null,'AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 12:37:56','2021-07-04 14:14:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7311','MR NAYAR IQBAL','03458540741','HO#224-A ST 03 SERVICE ROAD NORTH  SEC D-12/3','8','39','48853','PANASONIC','MODAL#24WKF',null,'20-MAY-2021',null,'AIR CONDITIONER','GAS LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 12:51:42','2021-07-18 17:17:48',null,'1',null,'0');
INSERT INTO complaints VALUES('7312','MR ABDULLAH NAWAZ','03359431423','HO#CB-987 ST 05 SHABEAR LANE PESHAWAR ROAD RWP CANTT','9','23','214625','LG','0',null,'23-JUNE-2021','512FPS-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 13:11:22','2021-07-03 11:34:45',null,'1',null,'0');
INSERT INTO complaints VALUES('7313','MR USMAN MANSOOR','03335345576','HO#531 ST 11 ALI BLOCK BAHRIA  PHASE 08 RWP','6','12','11563','SIGNATURE','0',null,'24-NOV-2017','SWM-SR50 - 905','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 13:28:16','2021-06-30 11:09:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7314','SYED GHULAM ABBASS','03061519575','HO#CB-883 CANTVI COLONY NEAR KHUTA CAFFA MSRIYAL ROAD RWP','9','27','201489','HAIER','0',null,'06-DEC-2020','438EPR - 896','REFRIGERATOR','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 13:35:34','2021-06-30 17:48:06',null,'1',null,'0');
INSERT INTO complaints VALUES('7315','MR TAYYAB MAHMOOD','03008352909','HO#08 ST 25 SEC-A DHA PHASE 02 ISB','8','42','19857','SAMSUNG','SALE ADVISOR AZHAR SDA',null,'18-DEC-2017','90F5S2 - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 13:50:31','2021-07-06 12:58:31',null,'1',null,'0');
INSERT INTO complaints VALUES('7316','MR HASSAN','03335618504','SULTANA FOUNDATION THAMARE CHOCK JUNG MOR ISB','9','24','154728','SIGNATURE','PTCL CALL INVOICE HAY',null,'30-JUNE-2018','SWM-JD46 - 945','WASHING MACHINE','DRYER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 14:02:10','2021-06-28 11:27:10',null,'1',null,'0');
INSERT INTO complaints VALUES('7317','MR NABEEL','03219504650','HO#B-160 BLOCK-B KHAREBA BAD CHAKLALA SCHEME 03  RWP','9','22','178919','DAWLANCE','SALE ADVISOR IRFAN',null,'21-SEP-2019','9188WBLVS - 895','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 14:09:34','2021-06-30 17:51:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7318','MR KHALID','03009854118 03455232542','HO#17 ST 95 NEAR FAROOQ CORPORATION  SEC I-8/4 ISB','8','37','49421','KENWOOD','0',null,'02-JUNE-2021','1828S-INV - 915','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 14:44:33','2021-06-29 12:22:20',null,'1',null,'0');
INSERT INTO complaints VALUES('7319','MR BILAWAL','03035333325','HO#106 ST 05 FAZAL TOWN PHASE 02 RWP','9','19','212029','LG','MODAL#65UN7340  SAQIB FCP SIR NAY COMPLAINT BAJI HAY',null,'31-MAY-2021',null,'FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 15:00:42','2021-07-14 15:09:44',null,'1',null,'0');
INSERT INTO complaints VALUES('7320','MR SHAKEEL QAISER','03458777770','HO#39 ST 33 BLOCK H SOAN GARDEN ISB','4','11','15116','SONY','SALE ADVISOR ALI MURTAZA',null,'07-JULY-2020','49X8000G-CC - 1629','FLAT PANEL TV','SCREEN DOT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 15:13:21','2021-07-27 13:29:33',null,'1',null,'0');
INSERT INTO complaints VALUES('7321','COL NAWAZ','03224529016','HO#42 STREET POWER AVENUE SEC-B DHA PHASE 02 ISB','6','15','36032','HAIER','MODAL#12HFCN-W',null,'13-JUNE-2021',null,'AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSD',null,'customer','0',null,'92','2021-06-26 15:19:47','2021-07-11 16:53:24',null,'1',null,'0');
INSERT INTO complaints VALUES('7322','HAMMAD FCP','03455104405','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','214152','ORIENT','MODAL#3SR CRYSTAL W/D CUSTOMER KO DEYA THA IS MAY ISSUE AY GAYA HAY CUSTOMER KO W/D REPLACE KAR DEYA HAY YE W/D SHOP PAR PARA HAY',null,'17-JUNE-2021',null,'WATER DISPENSER','INTERNAL LEAKAGE',null,'5','COMPLAINT COMPLETED',null,'customer','0',null,'92','2021-06-26 15:38:22','2021-07-28 14:26:07',null,'1',null,'0');
INSERT INTO complaints VALUES('7323','MR IMRAN','03335586780','HO#39D  BLOCK D KHOHYSTAN INCLAVE  GT ROAD WAH CANTT','9','22','159270','SAMSUNG','S/N OCG801590Y',null,'08-OCT-2018','11J5710-MRM - 905','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 15:55:27','2021-07-04 13:56:25',null,'1',null,'0');
INSERT INTO complaints VALUES('7324','CH FAREED','03205000407 , 03218500989','H NO 206 ST NO 74 SEC F/11-1 ISB','9','26','204339','SIGNATURE','HOB KI COMPLAINT HAY PTCL CALL INVOICE HAY',null,'23-JAN-2021','HC-5900G - 1122','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'8',null,null,'customer','0',null,'92','2021-06-26 16:18:32','2021-08-20 16:09:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7325','MR FAYYAZ AHMED','03150112235','SAYED ELECTRONIC MADNI CHOCK OPP CITY HOSPITAL ATTOCK','9','23','188125','SIGNATURE','0',null,'12-MAR-2020','SCF-HM13 - 956','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 16:30:06','2021-07-17 16:55:11',null,'1',null,'0');
INSERT INTO complaints VALUES('7326','MR ZAIN','03118830104','HO#1101 ST 23 PHASE 05 BAHRIA TOWN RWP','4','8','13924','ORIENT','SALE ADVISOR MUDASSAR',null,'12-MAY-2020','18G-ROYAL-CW - 915','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 17:09:06','2021-07-13 16:15:44',null,'1',null,'0');
INSERT INTO complaints VALUES('7327','MR ZAIN','03118830104','HO#1101 ST 23 PHASE 05 BAHRIA TOWN RWP','4','8','13474','HAIER','SALE ADVISOR MISC',null,'11-MAR-2020','438IDBT - 896','REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 17:11:27','2021-07-01 12:37:38',null,'1',null,'0');
INSERT INTO complaints VALUES('7328','MR YASEEN','03005353027','ST 01 NEAR ALFALHA BANK AFSHAN COLONY JINNAH LANE RANGE ROAD RWP','9','21','213124','HAIER','MODAL#398IDBA  SALE ADVISOR CH MAZHAR',null,'09-JUNE-2021',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 17:37:58','2021-07-10 13:22:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7329','MR SHEHBAAZ','03335132683','HO#136 ST 09 DIFANCE VILLAS PHASE 08 RWP','6','12','18145','SIGNATURE','0',null,'09-DEC-2018','SWM-JD46 - 945','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 17:47:43','2021-06-28 11:26:42',null,'1',null,'0');
INSERT INTO complaints VALUES('7330','MR RIZWAN HALEEM','03346582992','HO#540-B ST 108 SEC I-8/4 ISB','8','37','49007','VARIOLINE','VARIOLINE W/D KI COMPLAINT HAY SALE ADVISOR ZAFARULLAH',null,'24-MAY-2021','20STRL-WHT - 993','WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 18:04:45','2021-08-10 17:05:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7331','MR WASIM','03025087655','DHOK SAID MOHAMMAD MORGHA RWP','9','51','206701','DAWLANCE','MODAL#9178LFHROME',null,'03-MAR-2021',null,'REFRIGERATOR','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 18:14:37','2021-06-30 11:19:07',null,'1',null,'0');
INSERT INTO complaints VALUES('7332','MR AQEEL','03345381060','HO#134-A ST 05 SHABIR LANE PESHAWAR ROAD RWP','9','19','3755','SIGNATURE','PTCL CALL INVOICE NAI HAY',null,'OUT OFF WARRANTY',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-26 18:33:32','2021-06-30 12:42:24',null,'1',null,'0');
INSERT INTO complaints VALUES('7333','MR ARMUGHAN','03235185668','FLAT#01 BLOCK 15 SEC G-8/4 ISB','5','30','76889','LG','SALE ADVISOR TAJAMUL HUSSAIN',null,'15-JULY-2016','T1443S - 1212','WASHING MACHINE','BASE PART ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 11:11:55','2021-06-30 13:10:50',null,'1',null,'0');
INSERT INTO complaints VALUES('7334','MR ADIL AWAN','03215116073  03245550026','HO#77 ST 44 KORANG TOWN ISB','4','11','20197','HAIER','SALE ADVISOR MURTAZA',null,'24-MAR-2021','40K6600G - 938','FLAT PANEL TV','CHANEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 11:22:50','2021-06-30 11:29:42',null,'1',null,'0');
INSERT INTO complaints VALUES('7335','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','SONY','MODAL#55X8000',null,'0',null,'FLAT PANEL TV','NOT WORKING',null,'4',null,null,'customer','0',null,'92','2021-06-27 11:27:00','2021-06-27 11:50:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7336','IQBAL STOCK (FCI)','03465166132','FRIEND CORPORATION BLUE AREA','5','28','0','ORIENT','MODAL#CRYSTAL3',null,'0',null,'WATER DISPENSER','TAP LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 11:30:03','2021-07-29 17:33:47',null,'1',null,'0');
INSERT INTO complaints VALUES('7337','COL NAWAZ','03224529016','HO#42 STREET POWER AVENUE SEC-B DHA PHASE 02 ISB','6','15','36032','GREE','MODAL#18FITH65',null,'13-JUNE-2021',null,'AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 11:37:54','2021-07-12 13:58:48',null,'1',null,'0');
INSERT INTO complaints VALUES('7338','MR ROHAIL','03345184098','HO#37 ST 02 PHASE 05 BAHRIA TOWN RWP','6','15','35331','DAWLANCE','MODAL#1485-DDW',null,'25-MAY-2021',null,'DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 11:47:56','2021-08-11 14:01:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7339','MR WASEEM ASLAM','03341572001','HO#06 ST 03 SEC-J DHA 02 ISB','4','5','19445','HAIER','COMPLAINT NAFEES FHHS SIR  NAY BAJI HAY',null,'01-FEB-2021','40B9200M - 938','FLAT PANEL TV','REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 12:05:12','2021-07-04 13:43:37',null,'1',null,'0');
INSERT INTO complaints VALUES('7340','MR HAMZA','03368422971','HO#25 ARMY OFFICER COLONY OPP CHEIF HOUSE JINNAH PARK RWP','5','34','104668','SIGNATURE','HOB KI COMPLAINT HAY',null,'09-MAY-2019','SBH-AC700G - 1122','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 12:20:21','2021-07-01 13:31:42',null,'1',null,'0');
INSERT INTO complaints VALUES('7341','MR ASIF','03018542861','HO#23 ST 15-B SEC-A BAHRIA ENCLAVE ISB','8','39','43068','SIGNATURE','HOB KI COMPLAINT HAY',null,'18-OCT-2020','HC-5861S - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 12:46:44','2021-06-28 14:52:45',null,'1',null,'0');
INSERT INTO complaints VALUES('7342','ALI KHAN','03137242492','GAON NAARA TEHSIL JUND DIST ATTOCK','9','19','212063','HAIER','SALE ADVISOR RIFFAT FCP',null,'31-MAY-2021','120-1678HWM - 906','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 12:53:22','2021-07-01 12:06:30',null,'1',null,'0');
INSERT INTO complaints VALUES('7343','MRS ZAKAULLAH','03444441721','HO#54 BLOCK-J ST 05 NEW CITY PHASE 02 WAH CANTT','5','30','127479','HAIER','COMPLAINT HASSAN FHHS SIR  NAY BAJI HAY',null,'26-DEC-2020','438IDBT - 896','REFRIGERATOR','RABER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 13:13:12','2021-07-07 13:38:44',null,'1',null,'0');
INSERT INTO complaints VALUES('7344','MR TARIQ','03017434945  03218187900','HO#42 ST 21 SEC-B DHA PHASE 02 ISB','8','42','49518','SAMSUNG','MODAL#65TU8500',null,'04-JUNE-2021',null,'FLAT PANEL TV','SCREEN LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 13:20:53','2021-07-15 10:44:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7345','MR ASIF NAWAZ','03168886448','HO#40 ST 05 LANE 01 GULRAIZ SCHEME PHASE 06 RWP','4','11','21540','ECOSTAR','MODAL#351FC  SALE ADVISOR ALI MURTAZA',null,'02-JUNE-2021',null,'WATER DISPENSER','HEATING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 13:32:27','2021-07-25 16:21:45',null,'1',null,'0');
INSERT INTO complaints VALUES('7346','MR RAEES AHMED','03345036301','HO#596 ST 05 KARTAR PURA RWP','9','20','204443','KENWOOD','0',null,'24-JAN-2021','1012SA - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 13:51:26','2021-07-04 13:29:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7347','MR ASAD ABBASI','03005192142','SKYWAYS  ADHA  FAIZA BAD RWP','4','5','21869','GREE','MODAL#18PITH2W  SALE ADVISOR SALEEM  COMPLAINT KAMRAN PWD SIR NAY BAJI HAY',null,'11-JUNE-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 14:17:23','2021-06-30 11:08:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7348','MAJ USMAN','03455219605 03229445211','HO#12 WESTRIDGE BAZAR SCHEME WESTRIDGE 01 RWP','9','20','203252','HAIER','0',null,'02-JAN-2021','120-35 - 69','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 14:23:17','2021-07-10 13:28:58',null,'1',null,'0');
INSERT INTO complaints VALUES('7349','RAJA NOUMAN','03335204415','HO#1-A DG LANE KRL OFFICERS COLONY KHANNA INTER CHANGE RWP','9','51','210552','HAIER','MODAL#32B9M',null,'06-MAY-2021',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 14:29:46','2021-07-01 11:45:39',null,'1',null,'0');
INSERT INTO complaints VALUES('7350','MR FASIAL','03155358583   03015384240','HO#0689 NEAR AYESHA MASJID KARTAR PURA RWP','9','24','170104','SIGNATURE','MODAL#MWS-JD57C',null,'29-APR-2019',null,'WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 14:46:07','2021-07-01 13:50:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7351','MR ASGHAR','03329182673','HO#493 ST 22 BLOCK-A MEDIA TOWN ISB','8','39','38544','SIGNATURE','HOOD KI COMPLAINT HAY',null,'06-JAN-2020','SBC-ADELAIDE-90PLUS - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 14:54:35','2021-07-24 14:30:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7352','NOWSHERWAL ADIL','03331566066','HO#893 ST 22 PHASE 04 BAHRIA TOWN RWP','6','12','16136','DAWLANCE','0',null,'27-AUG-2018','1035WBGD-VF - 1467','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 15:30:53','2021-07-01 15:36:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7353','BRIG ANJUM','03215589969','HO#18 FIRST AVENEW SEC-A DHA 01 RWP','9','51','187198','LG','0',null,'22-FEB-2020','70UK7000-S - 882','FLAT PANEL TV','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 15:37:42','2021-07-14 15:08:53',null,'1',null,'0');
INSERT INTO complaints VALUES('7354','MR AJMAL','03459555500','HO#482 ST 12 SEC G-10/2 ISB','8','37','45156','SAMSUNG','MODAL#60M5070FW-S',null,'16-DEC-2020',null,'DISH WASHER','BUTTON ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 15:51:54','2021-07-14 15:05:56',null,'1',null,'0');
INSERT INTO complaints VALUES('7355','MR ABDUL KARIM','03215194040','HO#07 ST 07 SEC-B DHA PHASE 01 ISB','6','16','36356','SAMSUNG','MODAL#72K6360',null,'23-JUNE-2021',null,'REFRIGERATOR','PANEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 16:00:18','2021-06-28 14:52:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7356','MR JAVED','03005195582','HO#739-G COLLEGE ROAD ISLAM PURA RWP','9','24','209959','GREE','MODAL#12PITH2W  C/O BEST COOL',null,'29-APR-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 16:16:11','2021-07-04 13:20:13',null,'1',null,'0');
INSERT INTO complaints VALUES('7357','MR AMIN','03005590854','HO#643 ST 05 WEST SHABBIR LANE PESHAWAR ROAD RWP','9','24','214708','KENWOOD','C/O BEST COOL',null,'24-JUNE-2021','1830S-HC INV - 915','AIR CONDITIONER','ERROR E-5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 16:55:36','2021-07-04 13:16:29',null,'1',null,'0');
INSERT INTO complaints VALUES('7358','MISS HINA','03216909000 03240309220','HO#23 ST 15 FAZIA HOUSING COLONY RWP','9','24','214786','HAIER','MODAL#206W',null,'26-JUNE-2021',null,'WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 17:16:33','2021-07-01 16:15:30',null,'1',null,'0');
INSERT INTO complaints VALUES('7359','MALIK CHANGEZ','03005553374','HO#711 ST 19 PHASE 04 BAHRIA TOWN RWP','4','5','22130','HAIER','SALE ADVISOR WALEED  COMPLAINT KAMRAN PWD SIR NAY BAJI HAY',null,'22-JUNE-2021','150-1708HWM - 1484','WASHING MACHINE','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 17:26:47','2021-07-01 11:25:42',null,'1',null,'0');
INSERT INTO complaints VALUES('7360','COL FAWAD NASIM','03365289290','HO#43 ST 10 SEC-E DHA PHASE 01 ISB','6','15','29078','TCL','0',null,'13-AUG-2020','24HEB - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-27 17:43:47','2021-07-04 13:13:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7361',null,null,null,'4',null,null,'SIGNATURE','00000',null,null,null,'MICROWAVE OVEN','25bg   frunt glass damage',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'94','2021-06-27 18:09:06','2021-07-01 17:49:27',null,'1',null,'0');
INSERT INTO complaints VALUES('7362','MR UMAIR','03335266517','ABID MAJID ROAD KHOKAR GANER STORE NEAR KHAFAR KYANI ROAD AZIZA BAD RWP CANTT','9','24','201501','CARAVELL','MODAL#203R SALE ADVISOR RIFFAT FCP',null,'06-DEC-2020',null,'WATER DISPENSER','LIGHT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-28 10:56:37','2021-07-04 12:58:37',null,'1',null,'0');
INSERT INTO complaints VALUES('7363','MR LUQMAN','03359211208','HO#04 ST 02 SEC-A DHA 01 RWP','8','43','23541','SAMSUNG','0',null,'21-SEP-2020','32M71207F-S - 1468','FREEZER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-28 11:03:31','2021-06-30 11:07:37',null,'1',null,'0');
INSERT INTO complaints VALUES('7364','MR QASIM','03330033538','HO#422 ST 12 USMAN BLOCK BAHRIA PHASE 08 RWP','5','30','1271','SAMSUNG','COMPLAINT IQBAL STOCK SIR  NAY BAJI HAY',null,'27-AUG-2015','43FAJEDSP - 90 - 896','REFRIGERATOR','COOLING ISSUE',null,'8',null,null,'customer','0',null,'92','2021-06-28 11:19:43','2021-07-08 16:41:52',null,'1',null,'0');
INSERT INTO complaints VALUES('7365','MALIK BROTHERS','03008232280','SHOP#08 BUILDING 93 SEC G-10/1 ISB','8','37','22220','VARIOLINE','VATTI KI COMPLAINT HAY MODAL#21VWD  COMPLAINT NAFEES FHHS SIR NAY BAJI HAY SALE ADVISOR WALEED',null,'26-JUNE-2021',null,'WATER DISPENSER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-28 11:28:57','2021-07-04 12:56:38',null,'1',null,'0');
INSERT INTO complaints VALUES('7366','BILAL MIRZA','03005062919','HO#48L LANE#4 A LALAZAR COLONY R.W.P','9','19','2559','GREE','18PH2W-1NV(PTCL CALL)',null,'02-MAY-2021','12LM4 - 912','AIR CONDITIONER','INDOOR SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-28 11:31:43','2021-07-07 13:24:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7367','SAJJAD AHMAD','03009107672','MUHALLAH NEW EIDGAH PANIYAN VILLAGE HARIPUR','9','23','133341','HAIER','0',null,'11-MAY-2017','618HRF-SS - 903','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6340','73','2021-06-28 11:39:22','2021-07-04 12:51:52',null,'1',null,'0');
INSERT INTO complaints VALUES('7368','MR BASIT','03215833580','H NO 14 ST NO 44A KORANG TOWN ISB','4','7','16508','SUPER ASIA','0',null,'29-SEP-2020','245SA - 522','WASHING MACHINE','SPINNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 11:41:36','2021-07-04 12:49:09',null,'1',null,'0');
INSERT INTO complaints VALUES('7369','AMBER FAROOQI','0514842573','H NO 296 BLOCK D SATELLITE TOWN RWP','8','37','47472','CARAVELL','REF TO PTCL',null,'31-MAY-2021','203R','WATER DISPENSER','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 12:13:36','2021-07-04 12:45:38',null,'1',null,'0');
INSERT INTO complaints VALUES('7370','MUHAMMAD  MUNAWWAR','03115554526','H NO 307 ST NO 101 SEC E/11-1 ISB','8','37','18966','SIGNATURE','0',null,'6-NOV-2016','MD99SS-S - 1723','REFRIGERATOR','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 12:16:43','2021-07-06 12:59:04',null,'1',null,'0');
INSERT INTO complaints VALUES('7371','AMANULLAH KHAN','03145257287','ST NO 5 SARDAR STREET MAIN BUKHARI STREET BARA KAHO ISB','9','19','214149','DAWLANCE','0',null,'17-JUN-2021','30ENERCON','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 12:23:50','2021-07-04 12:42:52',null,'1',null,'0');
INSERT INTO complaints VALUES('7372','REHAN AKHTER','03008288916','H NO 14A ST NO 3 SHADMAN COLONY ST ROAD MORGAH RWP','8','42','188064','LG','0',null,'11-MAR-2020','502HMHU-S - 896','REFRIGERATOR','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 12:33:34','2021-07-03 11:33:57',null,'1',null,'0');
INSERT INTO complaints VALUES('7373','ZAHID MALIK','03335974574','RAWAL ENCLAVE CHAKRI ROAD NEAR ASKAR PAK CNG STATION RANIAL','9','26','139688','SIGNATURE','REF TO KHURRAM SB',null,'27-AUG-2017','SRF-KK90G - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 12:52:56','2021-07-14 15:04:54',null,'1',null,'0');
INSERT INTO complaints VALUES('7374','MISS SUMMAIYA','03337469333','H NO 910 ST NO 48A SEC E/11-4 NPF ISB','5','31','78606','SIGNATURE','0',null,'24-SEP-2016','MD99SS-S - 1723','REFRIGERATOR','DOOR GASKIT',null,'4',null,null,'customer','0',null,'73','2021-06-28 12:58:48','2021-06-28 12:59:22',null,'1',null,'0');
INSERT INTO complaints VALUES('7375','MUSHTAQ BURQI','03219595355','H NO 351 ST NO 16 PHASE 3 B.TOWN RWP','9','20','128839','SIGNATURE','0',null,'5-MAR-2017','SWM-JD51 - 902','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 13:01:32','2021-06-30 11:07:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7376','SALEEM KHAN','03225354210','H NO A232 PHASE 5 OFFICE COLONY WAH CANTT','8','37','49107','PANASONIC','REF TO SAQLAIN FHS',null,'26-MAY-2021','24WKF','AIR CONDITIONER','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 13:14:50','2021-07-07 13:21:30',null,'1',null,'0');
INSERT INTO complaints VALUES('7377','ZIA UL ISLAM','03365731535','H NO 273 ST NO 154 SEC E/11-1 ISB','5','28','0','ECOSTAR','REF TO PTCL',null,'17-8-20','32U571 - 936','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 13:21:36','2021-07-03 17:13:04',null,'1',null,'0');
INSERT INTO complaints VALUES('7378','MR IJAZ','03345522687','H NO 96 ST NO 5 MPCHS SEC E/11-1 ISB','5','29','133172','BOSCH','REF TO ABU BAKAR FCI',null,'19-MAY-2021','94BC51B - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 13:24:23','2021-07-07 13:18:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7379','CH NAEEM','03458585777 , 03359988987','228 B 4TH ROAD COMMERCIAL MARKET RWP','9','23','212674','ORIENT','0',null,'7-JUN-2021','12G-ORBIT - 913','AIR CONDITIONER','OUTDOOR EARTH',null,'3',null,null,'customer','0',null,'73','2021-06-28 13:30:13','2021-06-28 13:30:13',null,'1',null,'0');
INSERT INTO complaints VALUES('7380','UMER SAMI','03345209459','H NO 621 ST NO 45 SEC I/8-2 ISB','8','37','47511','GREE','0',null,'1-APR-2021','12PITH2W','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 13:33:58','2021-07-01 16:22:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7381','MR BURHAN','03317575750','H NO 513 ST NO 39 BLOCK C PWD','6','15','27866','LG','0',null,'19-JUN-2020','9588NEHVA-S - 901','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 13:36:40','2021-07-03 11:33:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7382','WAQAR SB','03335196006 , 03426818833','GALI NO 4 MALIK HASANAIN TOWN NEW ABADI SOHAN ISB','9','27','212432','HAIER','MODAL#438IDBA',null,'08-JUNE-2021',null,'REFRIGERATOR','CHOCKING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-28 13:42:51','2021-07-11 17:30:50',null,'1',null,'0');
INSERT INTO complaints VALUES('7383','MR ABID','03028502669','STNO 55 USMAN BLOCK PHASE 8 B.TOWN RWP','6','15','33623','HAIER','0',null,'10-MAR-2021','120-1678HWM - 906','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 14:22:34','2021-07-01 11:15:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7384','ADNAN BASHIR','03014366044','H NO 237A ST 26 SEC C ASKARI 14 ADYALA ROAD RWP','9','19','161787','SIGNATURE','REF TO PTCL',null,'1-DEC-2018','SWM-JD46 - 945','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 14:46:15','2021-07-04 12:08:37',null,'1',null,'0');
INSERT INTO complaints VALUES('7385','COL TARIQ','03215201543','H NO 164  NEAR ROOTS SCHOOL ASGHAR MALL SCHEME RWP+','8','40','48804','ORIENT','0',null,'18-MAY-2021','FLARE3-RG','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 14:53:12','2021-07-07 13:08:16',null,'1',null,'0');
INSERT INTO complaints VALUES('7386','ARSHAD AHSAN','03335178787','H NO 116A ST NO 40 SEC F/10-4 ISB','5','30','131601','HAIER','0',null,'12-APR-2021','336IDBA','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 14:56:36','2021-07-01 11:21:27',null,'1',null,'0');
INSERT INTO complaints VALUES('7387','MALIK SAEED','03315330322','H NO 1219 SERVICE ROAD EAST SEC I/10-4 ISB','5','31','129791','GREE','0',null,'27-FEB-2021','12FITH1C - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 14:59:42','2021-07-05 11:59:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7388','MALIK M MASOOD','03335155377 , 03215061212','H NO 1 ST NO 1 OPP GULRAIZ GATE 2 MUMTAZ COLONY RWP','6','15','36003','PANATRON','PEL DISPENCER',null,'13-JUN-2021','115CURVED-RB','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 15:38:43','2021-07-03 16:58:32',null,'1',null,'0');
INSERT INTO complaints VALUES('7389','MAJID SB','03345330211 , 0512374671','H NO 674 ST NO 19 BLOCK C CBR TOWN ISB','4','7','4475','SIGNATURE','0',null,'15-JUL-2018','SWM-SR50 - 905','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 16:04:10','2021-06-30 13:10:22',null,'1',null,'0');
INSERT INTO complaints VALUES('7390','USAMA','03325568621','SCO COMPOUND NAVAL COMPLEX PSC COLONY MUZAFFARABAD','6','12','31338','HAIER','REF TO ADEEL BHR-7',null,'4-DEC-2020','150-1708HWM - 1484','WASHING MACHINE','WASH TUB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 16:12:04','2021-07-04 12:26:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7391','MAJ AKRAM','03365599697','31-E ASKARI2 CHAKLALA SCHEME 3 RWP','9','19','0','HAIER','REF TO CHAT SERVICES',null,'28-FEB-2021','398EBS - 884','REFRIGERATOR','MOISTURIZER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 16:24:24','2021-07-13 15:15:18',null,'1',null,'0');
INSERT INTO complaints VALUES('7392','MR ABBAS','03373122489','H NO D5/5 NAVAL COMPLEX SEC E8 ISB','5','31','130726','BOSCH','0',null,'23-MAR-2021','75VI20M-C','REFRIGERATOR','COOLING AND DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 16:34:08','2021-07-29 13:00:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7393','AZEEM SB','03315420488','FRIENDS GULNOOR MARKET RWP','9','19','0','CORONA','REF TO ASLAM SB',null,'0','505C - 1815','COOKING RANGE','HANDLE DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 16:50:26','2021-07-29 18:02:03',null,'1',null,'0');
INSERT INTO complaints VALUES('7394','MR WAQAS','03215275261','H NO 227 ST NO 19 SEC G/10-2 ISB','8','38','47913','GREE','0',null,'20-APR-2021','9978EG-CB2 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 17:02:17','2021-07-03 16:29:24',null,'1',null,'0');
INSERT INTO complaints VALUES('7395','MAJ MUBASHIR','03075806550','H NO 726 ST NO 27 SEC F PHASE 8 B.TOWN RWP','6','12','0','GREE','REF TO PTCL',null,'15-DEC-2020','9978EG-CB2 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-28 17:22:57','2021-07-01 13:22:59',null,'1',null,'0');
INSERT INTO complaints VALUES('7396','M ADNAN','03157030300','H NO 1323 ST NO 36 SEC G/11-2 ISB','4','5','18418','ORIENT','REF TO KAMRAN PWD',null,'6-DEC-2020','30DMUFFIN-BLK','MICROWAVE OVEN','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 10:29:41','2021-07-03 16:26:30',null,'1',null,'0');
INSERT INTO complaints VALUES('7397','M ADNAN','03157030300','H NO 1323 ST NO 36 SEC G/11-2 ISB','4','5','18405','SUPER ASIA','REF TO KAMRAN PWD',null,'6-DEC-2020','280SA - 522','WASHING MACHINE','FILTER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 10:31:33','2021-07-27 15:09:08',null,'1',null,'0');
INSERT INTO complaints VALUES('7398','MISS IRAN','03335644687','H NO 267E ST NO 13B SEC E/11-4 ISB','5','28','0','LG','0',null,'OUT OF WARRANTY','D.WASHER','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 10:33:36','2021-07-14 15:04:04',null,'1',null,'0');
INSERT INTO complaints VALUES('7399','MR SAAD','03335515410','H NO CB658 ST NO 7 NEAR MADRISSA USMANIA ISLAMABAD VALLEY','9','20','104392','SAMSUNG','REF TO ADIL KIYANI FHS',null,'19-AUG-2015','43FAJEDSP - 90 - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 10:36:46','2021-07-01 13:46:33',null,'1',null,'0');
INSERT INTO complaints VALUES('7400','ABDUL JABBAR','03006362379','H NO 12 ST NO 88 SEC B DHA 3 ISB','9','19','16822','GREE','REF TO SAQIB FCP',null,'21-OCT-2020','9978EG-CW3 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 10:49:04','2021-07-03 16:16:47',null,'1',null,'0');
INSERT INTO complaints VALUES('7401','mushtaq khan','03005173658','H NO 1009B NEAR AMEER HAMZA MASJID AKHRI STOP AZIZABAD RWP','8','37','22248','SIGNATURE','REF TO PTCL',null,'15-MAY-2017','CH1-RD - 1705','AIR COOLER','WATER PUMP',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 10:57:54','2021-07-08 15:42:07',null,'1',null,'0');
INSERT INTO complaints VALUES('7402','ASIM KIYANI','03315215350 , 03321452033','H NO 3 NEAR BRIGHT HALL SCHOOL NEW MALPUR 6TH ROAD RWP','5','33','135280','MITSUBISHI','0',null,'14-JUN-2021','50VA - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 11:02:55','2021-07-14 15:01:35',null,'1',null,'0');
INSERT INTO complaints VALUES('7403','SYED KAZMI','0512213934 , 03135189425','H NO 400 ST NO 39 SEC F/11-3 ISB','5','35','119604','HAIER','0',null,'23-JUL-2020','368IDB - 860','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 11:07:50','2021-07-07 12:32:29',null,'1',null,'0');
INSERT INTO complaints VALUES('7404','AHMED FARAZ','03164763873','H NO 1350 ST NO 5 BLOCK C POLICE FOUNDATION ISB','4','5','0','TCL','1912VLR301011A00245',null,'25-AUG-2020','40D3000 - 938','FLAT PANEL TV','REF TO PTCL
DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 11:23:46','2021-07-16 14:00:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7405','MR IRFAN','03316969855','H NO 21 ST NO 74 SEC G/13-2 ISB','5','29','116020','HAIER','REF TO WAQAS FCP',null,'24-APR-2020','306EPC - 859','REFRIGERATOR','DOOR SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 11:33:04','2021-07-03 16:07:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7406','MR SHUJA','03335421857','H NO 7 ST NO 3 BLOCK A SOAN GARDEN  ISB','4','7','5262','SIGNATURE','0',null,'10-SEP-2018','SWM-JD46 - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 11:35:11','2021-07-05 11:58:52',null,'1',null,'0');
INSERT INTO complaints VALUES('7407','USAMA SUBHANI','03125772727','H NO 138 ST NO 9 DEFENCE VILLAS PHASE 8 B.TOWN','6','15','32776','GREE','0',null,'24-JUN-2021','18FITH2W - 201','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 11:39:30','2021-07-04 12:08:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7408','MALIK ZAHOOR','03009523712  03135600099','MACHINE MUHALLAH 01 ROSHAN TRADERS JEHLUM','9','22','203062','LG','0',null,'28-DEC-2020','4J5TNP7S - 899','WASHING MACHINE','SPINNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 11:40:36','2021-07-07 12:25:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7409','ZEESHAN HAIDER','03433334997 , , 03445122641','H NO 108 CHAKLALA GARRISON SCHEME 3 RWP','8','42','48349','ORIENT','0',null,'4-MAY-2021','55S-ACTION','FLAT PANEL TV','INTERNET',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 12:19:08','2021-07-03 16:03:58',null,'1',null,'0');
INSERT INTO complaints VALUES('7410','BABAR AMAN','03243305333','H NO 2A ST NO 52 SEC F/8-4 ISB','5','32','118490','LG','REF TO COSTUMER(KHURRAM SB)',null,'1-JUL-2020','732HLCU-S - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 12:29:26','2021-07-18 17:10:52',null,'1',null,'0');
INSERT INTO complaints VALUES('7411','MRS ATIF AIJAZ','03335277776','H NO 1469 ST NO 70 SEC F DHA 1 RWP','6','12','14655','GREE','0',null,'31-MAY-2018`','18CITH12W - 915','AIR CONDITIONER','AUTO ON OFF',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 12:44:28','2021-07-03 15:41:04',null,'1',null,'0');
INSERT INTO complaints VALUES('7412',null,null,null,'6',null,null,'KENWOOD','0000',null,null,'1012SA - 902','WASHING MACHINE','SPINNER DAMAGE...',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-06-29 12:49:34','2021-08-04 13:02:58',null,'1',null,'0');
INSERT INTO complaints VALUES('7413',null,null,null,'6',null,null,'HAIER','0000',null,null,'398IDB - 884','REFRIGERATOR','POWER CABLE DAMAGE...',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-06-29 12:50:23','2021-08-12 11:49:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7414','OBAIDUR REHMAN','03005811696','H NO 85 LANE NO 4 HARLEY STREET RWP CANTT','9','21','194397','GREE','0',null,'10-AUG-2020','9978EG-CW3 - 885','REFRIGERATOR','GASKIT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 12:57:50','2021-07-03 15:35:29',null,'1',null,'0');
INSERT INTO complaints VALUES('7415','M SAEEED','03009860069','H NO 944B ST NO 08B DHOK PARACHA RWP','8','39','22734','SIGNATURE','0',null,'3-JUN-2017','SWM-SR45 - 899','WASHING MACHINE','SPINNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 13:17:57','2021-07-04 12:07:03',null,'1',null,'0');
INSERT INTO complaints VALUES('7416','SHAFQAT DAWOOD','03400113621','H NO 2284 ST NO 55 ABUBAKAR BLOCK PHASE 8 B.TOWN','6','15','22079','SIGNATURE','0',null,'13-JUL-2019','40V600 - 938','FLAT PANEL TV','BLINK',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 13:23:27','2021-06-30 11:32:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7417','MUHAMMAD IQBAL','03335384224','H NO 707C ST NO 31 SEC F/15-1 JAMMU KASHMIR HOUSING SOCIETY ISB','8','43','0','SIGNATURE','REF TO PTCL',null,'30-3-2027','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 13:32:08','2021-07-27 13:26:44',null,'1',null,'0');
INSERT INTO complaints VALUES('7418','COL IRFAN','03426777737','12A COMMERCIAL BLOCK A SATELLITE TOWN NEAR ARSHI MASJID RWP','6','16','33110','WHIRLPOOL','0',null,'11-FEB-2021','418DX-HC','AIR CONDITIONER','NOT WOKRING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 13:34:52','2021-08-21 14:45:35',null,'1',null,'0');
INSERT INTO complaints VALUES('7419','QAMAR SHABBIR','03335519660','H NO 52 ROAD 1/1B BAHRIA ENCLAVE ISB','5','32','115441','SIGNATURE','0',null,'12-MAR-2020','SVF-HM95-BLK - 900','REFRIGERATOR','VEG BOX AND SIDE POCKETS',null,'8',null,null,'customer','0',null,'73','2021-06-29 13:54:03','2021-08-21 18:18:59',null,'1',null,'0');
INSERT INTO complaints VALUES('7420','RIAZ ULHAQ','03335401133','G-3 KARA KORAM ENCLAVE 1 SEC E/11 ISB','5','32','79395','LG','0',null,'7-nov-2016','1496ADT23-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLETED COMPLAINT',null,'customer','0',null,'73','2021-06-29 14:02:37','2021-07-18 17:10:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7421','YUSUF USMANI','03445508087 , 03328758742','H NO 146 ST NO 6 BLOCK A GULSHAN-E-SEHAT SEC E/18 ISB','8','37','2414','LG','REF TO PTCL',null,'19-APR-2020','2J3QDNPO-S','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 14:13:39','2021-07-24 11:01:44',null,'1',null,'0');
INSERT INTO complaints VALUES('7422','MR LUQMAN','03359211208','H NO 4 ST NO 2 SEC A DHA 1 RWP','8','37','23541','SIGNATURE','0',null,'22-JUN-2017','SVF-SY40N - 1468','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 14:19:32','2021-07-04 12:06:33',null,'1',null,'0');
INSERT INTO complaints VALUES('7423','TAHA','03405403090','H NO 62 BLOCK D ST 21 MEDIA TOWN ISB','4','8','7640','SIGNATURE','0',null,'12-FEB-2019','SRF-MD100G','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 14:40:35','2021-07-01 13:32:08',null,'1',null,'0');
INSERT INTO complaints VALUES('7424','HAJI M SHAFIQUE','03328502141','H NO 15 ST NO 2 NEAR SHAHEEN CHEMIST PHASE 6 B.TOWN RWP','6','12','25954','SIGNATURE','0',null,'3-FEB-2020','MT-99FHS','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 14:44:52','2021-07-03 11:32:35',null,'1',null,'0');
INSERT INTO complaints VALUES('7425','HASHMI SB','03463536668','H NO 236 ST NO 15 BLOCK C MEDIA TOWN ISB','4','5','0','HOMAGE','REF TO NAFEES (WARRANTY CARD)',null,'JUL-2020','44HWD - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 14:53:35','2021-07-03 15:27:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7426','MR SIDEEQ','03355584922','H NO 896 SERVICE ROAD SEC I/10-2 ISB','6','15','36344','HAIER','0',null,'23-JUN-2021','12HFCN','AIR CONDITIONER','AUTO ON OFF',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 14:58:18','2021-07-03 15:24:56',null,'1',null,'0');
INSERT INTO complaints VALUES('7427','FAIQ MALIK','03355556662','H NO 105 ST NO 81 SEC E/11-2 ISB','5','35','133472','GREE','0',null,'24-MAY-2021','18PITH2W','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 15:27:20','2021-07-03 15:22:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7428','BASHARAT AMAAN','03331494064','H NO 673 ST NO 5 CHAKLALA SCHEME 3 RWP','6','16','32166','KENWOOD','0',null,'17-DEC-2020','1839S','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 15:31:16','2021-07-05 11:56:20',null,'1',null,'0');
INSERT INTO complaints VALUES('7429','NASIR ALI KHAN','03005152580','H NO 12 ST NO 11 LANE NNO 8  SEC D DHA 2 ISB','8','37','0','MITSUBISHI','C/O BILAL MANZOOR',null,'OUT OF WARRANTY','50VA - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAIN CLOSED',null,'customer','0',null,'73','2021-06-29 15:36:21','2021-07-07 12:03:59',null,'1',null,'0');
INSERT INTO complaints VALUES('7430','MISS RUQSANA','03322755558','H NO 678 F BLOCK SATELLITE TOWN RWP','8','37','49030','LG','18CGH (KHURRAM SB)',null,'24-MAY-2021','18COC - 914','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6429','73','2021-06-29 15:55:18','2021-08-17 16:02:17',null,'1',null,'0');
INSERT INTO complaints VALUES('7431','SHAKEEL','03006095961','BAIN SYEDANN NEAR GULBERG GREEN ZONE 5 ISB','4','5','214472','HAIER','0',null,'21-JUN-2021','438IDRA','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 15:59:44','2021-07-03 15:01:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7432','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','HAIER','REF TO IQBAL FCI',null,'0','18HFPAAG','AIR CONDITIONER','PCB PROBLEM',null,'5','COMPLAINED CLOSED',null,'customer','0',null,'73','2021-06-29 16:01:43','2021-07-07 11:56:55',null,'1',null,'0');
INSERT INTO complaints VALUES('7433','MUGHEES','03455093509','H NO 767C ST NO 8 MOHALLAH KEHKASHAN COLONY ADYALA ROAD RWP','9','22','199398','ORIENT','0',null,'18-nov-2020','18G-BOLD-UW-INV - 915','AIR CONDITIONER','GAS LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 16:11:19','2021-07-15 16:49:49',null,'1',null,'0');
INSERT INTO complaints VALUES('7434','UBAIDULLAH','03065240909','SHOP NO 11-12 TAHA MALL EDEN MARKET  KORANG TOWN ISB','4','11','20403','CARAVELL','0',null,'7-APR-2021','450MEC - 1651','CHILLER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 16:27:53','2021-07-27 14:49:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7435','FAISAL SAEED','03009797344','H NO 627 ST NO 115 SEC G/9-3 ISB','5','36','134968','HAIER','0',null,'10-JUN-2021','12HFMAC','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 16:51:41','2021-07-03 14:49:11',null,'1',null,'0');
INSERT INTO complaints VALUES('7436','MR NASEER','03175186460 03473170624','ST 26 NEAR SADIQUE AKBAR MASJID MOHALA MAZRABAD RWP','9','19','190093','GREE','COMPLAINT BEST COOL SIR NAY BAJI HAY',null,'08-JUNE-2020','12CITH12G - 913','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-29 16:53:29','2021-07-03 14:47:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7437','COL LIAQAT','03461113395','H NO 17 ST NO 3 SEC B DHA 2 ISB','6','16','17800','GREE','0',null,'8-DEC-2018','500FC - 993','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 16:57:33','2021-07-03 14:44:21',null,'1',null,'0');
INSERT INTO complaints VALUES('7438','SHABBAR AKHTER','03005084364','H NO 31 ST NO 3 PHASE 6 B.TOWN RWP','4','7','2677','HAIER','REF TO CHAT SERVICES',null,'20-FEB-2018','568TBG - 908','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINED COMPLETED',null,'customer','0',null,'73','2021-06-29 17:27:07','2021-07-07 11:35:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7439','M AZAM','03215022248 , 03219458010','H NO 9 ST NO 167 SEC G/13-3 ISB','8','47','49532','PANASONIC','0',null,'6-JUN-2021','18WKF-9','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-29 17:53:32','2021-07-25 16:11:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7440','ABDUL GHAFFAR','03212874381','H NO 17 ST NO 30 BLOCK H EXTENSION SOAN GARDEN ISB','4','5','16062','TCL','REF TO KHURRAM SB',null,'23-AUG-2020','18HEA - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAIN CLOSED',null,'customer','0',null,'73','2021-06-29 17:58:04','2021-07-07 11:27:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7441','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','KENWOOD','0',null,'0','2443FH','AIR CONDITIONER','GAS NIL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 10:34:47','2021-07-28 12:28:54',null,'1',null,'0');
INSERT INTO complaints VALUES('7442','MR BILAL','03343612989','H NO 27 ST NO 3 SEC F/17 ISB','8','37','50002','KENWOOD','REF TO SQLAIN FHS',null,'13-JUN-2021','1830S-HC INV - 915','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 10:37:30','2021-07-28 12:22:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7443','MR QASIM','03165450798 , 03160528780','WAH CANT BASTI GOL MARKET LALA RUKH WAH CANT NEAR PALACE MARKET','9','26','206187','CARAVELL','0',null,'23-FEB-2021','600MEC - 1652','CHILLER','COOLING PROBLEM',null,'5','COMPLAIN CLOSED',null,'customer','0',null,'73','2021-06-30 10:40:18','2021-07-07 11:20:57',null,'1',null,'0');
INSERT INTO complaints VALUES('7444','AZEEM SB','03315420488','FRIENDS GULNOOR MARKET RWP','9','19','0','HAIER','REF TO AZEEM SB',null,'0','42D6','FLAT PANEL TV','FOOT MISSING',null,'3',null,null,'customer','0',null,'73','2021-06-30 10:42:21','2021-06-30 10:42:21',null,'1',null,'0');
INSERT INTO complaints VALUES('7445','RAIS AGHA','03165034481','A336 MAIN ITTEFAQ TOWN BEHADUR KHAN ROAD SIAHM CHOU CHOWK RESHAWAR ROAD RWP','5','35','136361','LG','0',null,'29-JUN-2021','505ELRZ','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 10:59:37','2021-07-03 11:32:10',null,'1',null,'0');
INSERT INTO complaints VALUES('7446','RAIS AGHA','03165034481','A336 MAIN ITTEFAQ TOWN BEHADUR KHAN ROAD SIHAM CHOUR CHOWK PESHAWAR ROAD RWP','5','35','136361','LG','0',null,'29-JUN-2021','501ELDZ','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 11:02:47','2021-07-04 12:03:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7447','NISARUL AMIN','03225577090','H NO 160 ST NO 9 MPCHS SEC E/11-1 ISB','10','46','0','PEL','REF TO TAHIR B.COOL',null,'0','1.5TON','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 11:12:18','2021-07-25 16:08:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7448','OSAMA SAB','03005000360','HO#406 ST#144 D 12/4 ISB','5','34','127085','LG','AGAIN ISSUE AY GAYA HAY',null,'12-DEC-2020','442HMHU-S - 746','REFRIGERATOR','W/D SIDE SA LEAKAGE PROB',null,'8',null,null,'customer','1','7165','92','2021-06-30 11:12:20','2021-08-20 16:27:49',null,'1',null,'0');
INSERT INTO complaints VALUES('7449','KHALID HUSSAIN','03355888054 , 03335578132 , 03105843531','PAKISTAN HAVELIAN CANTT','9','22','208249','SIGNATURE','0',null,null,'SBO-AR10 - 1124','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 11:29:33','2021-07-15 12:45:59',null,'1',null,'0');
INSERT INTO complaints VALUES('7450','MUSHTAQ','03335511868 , 03219595355','H NO 351 ST NO 16 PHASE 3 B.TOWN RWP','9','20','135811','SIGNATURE','0',null,'8-JUN-2017','SVF-CG1SS - 956','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 11:44:46','2021-07-14 15:00:59',null,'1',null,'0');
INSERT INTO complaints VALUES('7451','MUHAMMAD NAWAZ','03215201497','OFFICE T3-T4 3RD FLOOR EOBI PLAZA SEC I/8 MARKAZ ISB','9','23','207952','DAWLANCE','0',null,'24-MAR-2021','1060GWR - 993','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 11:50:03','2021-07-08 12:41:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7452','AZEEM SB','03315420488','FRIENDS GULNOOR MARKET RWP','9','19','0','KENWOOD','REF TO AZEEM SB',null,'0','1010SA - 902','WASHING MACHINE','BASE DAMAGED',null,'3',null,null,'customer','0',null,'73','2021-06-30 11:53:03','2021-06-30 11:53:03',null,'1',null,'0');
INSERT INTO complaints VALUES('7453','ANMOL','03455364915 , 03456055845','MIRPUR AJK','9','24','214293','LG','REF TO ADIL FHHS',null,'20-JUN-2021','512FPS-S - 1653','DISH WASHER','FUNCTION PROBLEM',null,'5','COMPAINT CLOSED',null,'customer','0',null,'73','2021-06-30 11:55:40','2021-07-08 12:38:53',null,'1',null,'0');
INSERT INTO complaints VALUES('7454','HASSAN ZULNOON','03000883561','H NO 35BC ST NO 52 SEC F/7-4 ISB','5','31','120244','SAMSUNG','0',null,'5-AUG-2020','62R5001-SZ','REFRIGERATOR','NEED VEG BOX',null,'3',null,null,'customer','0',null,'73','2021-06-30 11:58:36','2021-06-30 11:58:36',null,'1',null,'0');
INSERT INTO complaints VALUES('7455','MR MAHMUD','03345251571','H NO 11 CHAKLALA SCHEME 1 CHAKLALA CANTT RWP','5','35','118566','ORIENT','0',null,'2-JUL-2020','18G-HYPER-SW - 915','AIR CONDITIONER','E5 ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 12:05:58','2021-07-03 12:52:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7456','ADEEL','03324272018','H NO 101 ST NO 76A SEC E/11-2 ISB','5','28','123302','CARAVELL','MODAL#204-B COMPLAINT ABU-BAKAR SIR NAY BAJI HAY',null,'26-OCT-2020',null,'WATER DISPENSER','TAP PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-30 12:10:07','2021-07-18 15:52:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7457','UMAIR ARSHAD','03000802689','H NO 20 ST NO 160 SEC G/13-3 ISB','8','39','48694','GREE','0',null,'11-MAY-2021','18PITH2W','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 12:26:26','2021-07-03 12:59:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7458','MR AQIB','03488279798 , 03055418639','H NO 494 ST NO 20 SEC G/8-1 ISB','9','25','136032','HAIER','0',null,'23-JUN-2021','276EPR - 858','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 12:31:46','2021-07-03 13:03:36',null,'1',null,'0');
INSERT INTO complaints VALUES('7459','ZAFAR','03335432079','LANE NO 4 NEAR WINGS BAKERY PESHAWAR ROAD RWP','9','21','0','HAIER','0',null,'25-APR-2021','306EPR-HRF - 859','REFRIGERATOR','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 12:41:58','2021-07-03 13:06:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7460','NASEER HAMAYOUN','03335515118 , 03335448699','H NO 185 ST NO 3 BLOCK A PWD ISB','8','42','23549','SIGNATURE','0',null,'20-JUL-2017','SBH-AB900S - 1122','BUILT IN APPLLIANCES','IGNITION PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 12:44:42','2021-07-01 10:41:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7461','DR JAMEEL AHMED','03235577706','HO#133 ST 17 PHASE 07 BAHRIA TOWN RWP','6','14',null,'VARIOLINE','SALE ADVISOR BADAL COMPLAINT VARIOLINE KI HAY(TASK#5574)',null,'31-MAR-2019','20STRL-BLK - 993','WATER DISPENSER','LEAKAGE ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-06-30 12:59:07','2021-07-18 17:54:16',null,'1',null,'0');
INSERT INTO complaints VALUES('7462','SHAKOOR','03335207081 , 03025183225','OFFICE OF ASSISSTANT DIRECTOR AGRICULTURE EXTENSION NEAR MASJID OF MOLVI ISMAIL RAILWAY ROAD GUJAR KHAN','9','24','214420','HAIER','0',null,'21-JUN-2021','206W','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 13:08:36','2021-07-25 16:04:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7463','HAMMAD SB','03455104405','FRIENDS GULNOOR MARKET RWP','9','21','0','ORIENT','0',null,'0','62D - 1602','MICROWAVE OVEN','HEATING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 13:11:23','2021-07-03 13:12:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7464','ABDUL RAZZAQ','03215188855','H NO 57 ST NO 83 PLAZA MARKET SEC G/8-1 ISB','9','26','214884','GREE','0',null,'27-JUN-2021','7620DG-CB3','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 13:13:52','2021-07-08 12:18:42',null,'1',null,'0');
INSERT INTO complaints VALUES('7465','ADNAN SAFDAR','03325230497','H NO 15 ST NO 8 CHATTA BAKHTAWAR PARK ROAD ISB','9','19','141552','SIGNATURE','REF TO PTCL',null,'11-OCT-2017','SWM-JD46 - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 13:17:01','2021-07-05 11:55:55',null,'1',null,'0');
INSERT INTO complaints VALUES('7466','USMAN SAB','03005308986','HO#11  ST#5 B DR TOWN PWD','6','12','32828','SAMSUNG','90K5410S-S-901',null,'27-JAN-2021','10V5-WM - 168','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','7283','73','2021-06-30 13:29:12','2021-07-04 11:59:53',null,'1',null,'0');
INSERT INTO complaints VALUES('7467','AZHAR PWD','03139898008','FRIEND CORPORATION PWD','4','8','0','KENWOOD','0',null,'0','950SA - 901','WASHING MACHINE','BASE DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-06-30 13:34:54','2021-07-27 17:28:31',null,'1',null,'0');
INSERT INTO complaints VALUES('7468','ARSHAD SB','03455436570','PLOT NO 66 SIHALA POLICE CENTRE NEHAR PULLI STOP ISB','8','39','0','GREE','0',null,'16-JUN-2021','18FITH5WB - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 13:36:43','2021-07-08 12:13:37',null,'1',null,'0');
INSERT INTO complaints VALUES('7469','NAVEED SETHI','03339168131','H NO 3  ST NO 15F-1 SEC A BAHRIA ENCLAVE ISB','5','34','93351','ORIENT','0',null,'11-APR-2018','24K7WG - 917','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 13:46:59','2021-07-03 13:18:21',null,'1',null,'0');
INSERT INTO complaints VALUES('7470','GUL KHAN','03348567192','H NO 69 ST NO 59 SEC F/11-4 ISB','5','28','0','LG','REF TO KHURRAM SB',null,'WARRANTY','501ELDZ','REFRIGERATOR','WIFI ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 13:58:18','2021-07-08 12:56:58',null,'1',null,'0');
INSERT INTO complaints VALUES('7471','MR NAVEED','03315457275','HO#1959-1 INDAS ROAD 03 LALKURTE RWP','9','20','210334','CORONA','0',null,'04-MAY-2021','125C-AUTO - 1074','COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT COMPLETED',null,'customer','1','5825','73','2021-06-30 14:03:54','2021-07-08 12:09:39',null,'1',null,'0');
INSERT INTO complaints VALUES('7472','KHURSHID WISAL','03028540278','H NO 1671 ST NO 67 BLOCK A FAISAL TOWN SEC F/18 ISB','5','29','0','HAIER','MANUAL BILL',null,'30-JAN-21','1.5 TON','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 14:18:39','2021-07-03 13:22:39',null,'1',null,'0');
INSERT INTO complaints VALUES('7473','BINT-E-ABID','03365020497','H NO 96 ST NO 110 SEC G/11-3 ISB','5','36','131067','SIGNATURE','0',null,'31-MAR-2021','SBH-AC930S - 1122','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 14:31:27','2021-07-05 11:54:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7474','SHAM SU ZAMAN','03365163877 , 03105325250','JABA MAHARABAD DHOK CHAUDRIAN PALM CITY SCHEME 3 RWP','8','38','25866','HAIER','0',null,'24-JUN-2021','368IDRT - 860','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 14:37:43','2021-07-03 13:24:27',null,'1',null,'0');
INSERT INTO complaints VALUES('7475','MISS BINA SHAHAB','03213920000','H NO 8 ST NO 80 SEC G/6-4 ISB','5','34','0','GREE','0',null,'OUT OF WARRANTY','1.5 TON','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 14:40:43','2021-07-03 13:41:36',null,'1',null,'0');
INSERT INTO complaints VALUES('7476','MR USMAN','03008342990','FAZAL-E-RABI REAL ESTATE NEAR CIVIC CENTRE PHASE 4 B.TOWN RWP','4','11','21855','ORIENT','0',null,'10-JUN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','ERROR E4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 14:45:50','2021-07-08 12:06:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7477','ISHTIAQ AHMED','03005568887','H NO 477 ST NO 68 SEC G/11-2 ISB','5','30','0','GREE','0',null,'6-MAY-2021','18PITH2W','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 15:32:30','2021-07-14 15:00:20',null,'1',null,'0');
INSERT INTO complaints VALUES('7478','MR RIZWAN','03029366093','BANGASH COLONY ST NO 20 ALREHMAN KHATTAK G/S AQUA MASJID RWP','9','20','210125','WAVES','0',null,'2-MAY-2021','313WDF-SS - 956','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 15:41:37','2021-07-15 16:21:06',null,'1',null,'0');
INSERT INTO complaints VALUES('7479','AGHA  AJMAL KHAN','03044189900','16 SAFARI AVENUE SAFARI VILLA 1 OPP SAFARI MALL PHASE 1 BAHRIA RWP','8','37','22292','HAIER','REF TO NAFEES FHS',null,'29-JUN-2021','18HFPAA-G','AIR CONDITIONER','OUTDOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 15:49:28','2021-07-08 11:57:18',null,'1',null,'0');
INSERT INTO complaints VALUES('7480','MR MUDASSIR','03327739676','H NO 71 ST NO 16A SEC C2 BAHRIA ENCLAVE ISB','5','33','135938','FISCHER','0',null,'22-JUN-2021','45GF - 1027','WATER COOLER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 15:56:17','2021-07-03 14:28:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7481','MR SADDAM','03175090512','H NO 3 ST NO 35 PAKISTAN TOWN PHASE 1 ISB','4','8','22121','CANON','0',null,'21-JUN-2021','CA1-PLUS','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 15:59:28','2021-07-03 14:30:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7482',null,null,null,'7',null,null,'HAIER','CGOLLV00A00CGM5SH043',null,null,'85-826HWM - 945','WASHING MACHINE','WATER LEAKAGE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'98','2021-06-30 16:03:05','2021-07-13 15:27:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7483','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','32','125077','SAMSUNG','REF TO AZHAR RAMZAN',null,'2-DEC-2020','51K5680W-S - 909','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 16:21:49','2021-07-19 14:51:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7484','IFRAH MUSTAFA','03218566586','F NO 6 BLOCK 32C PHA APPARTMENTS IBN-E-SINA ROAD SEC G/11-3 ISB','5','31','65764','SAMSUNG','LG LED (OUT WARRNTY)',null,'30-JAN-2015','48H6400P','FLAT PANEL TV','SCREEN CLOUDS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 16:41:19','2021-07-08 12:55:57',null,'1',null,'0');
INSERT INTO complaints VALUES('7485','MR AYYAZ','03335496701','H NO 90 ST NO 10 SEHAM ROAD SEHAM PESHAWAR ROAD RWP','8','42','48335','GREE','0',null,'3-MAY-2021','18PITH2W','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 17:03:48','2021-07-04 11:58:25',null,'1',null,'0');
INSERT INTO complaints VALUES('7486','MRS JAVED','03025009495','H NO 248 ST NO 44 SEC F/11-3 ISB','5','31','127997','MITSUBISHI','0',null,'12-JAN-2021','50VA - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 17:07:39','2021-07-04 17:36:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7487','JAVED IQBAL','03009540664','H NO 243/6 ST NO 15E BRITISH HOME PHASE 2 RWP','8','47','25349','GREE','0',null,'27-MAY-2021','18PITH2W','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 17:35:49','2021-07-18 17:52:27',null,'1',null,'0');
INSERT INTO complaints VALUES('7488','MR AHMER','03135782305','H NO 6 ST NO 18 SEC B DHA 5 ISB','6','12','34663','GREE','2PC',null,'27-APR-2021','12FITH6G','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-06-30 18:01:00','2021-07-03 14:33:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7489','AKHTER SB','03015106268','H NO 1571 SOUTH EAST BULEWARD PHASE 4 B.TOWN RWP','4','5','20790','GREE','REF TO KAMRAN (2PC)',null,'28-APR-2021','12FITH1S , 24FITH2W','AIR CONDITIONER','drain problem',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 10:25:03','2021-07-03 11:31:42',null,'1',null,'0');
INSERT INTO complaints VALUES('7490','SAJJAD ALI KHAN','03335525581','H NO 144D ST NO 20 SEC G/6-2 ISB','5','29','0','HAIER','REF TO IQBAL FCI',null,'30-APR-2021','12HFPCA-G','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 10:32:14','2021-07-08 11:50:10',null,'1',null,'0');
INSERT INTO complaints VALUES('7491','NASEER HAMAYOUN','03335515118 , 03335448699','H NO 185 ST NO 3 BLOCK A PWD ISB','8','42','23549','SIGNATURE','0',null,'20-JUL-2017','SBH-AB900S - 1122','BUILT IN APPLLIANCES','IGNITION PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7460','74','2021-07-01 10:35:39','2021-07-05 11:53:48',null,'1',null,'0');
INSERT INTO complaints VALUES('7492','IMRAN BAQIR','03336107544','H NO 20A LANE 9 SEC B SHA 2 ISB','4','8','22041','MITSUBISHI','REF TO ADIL I/10',null,'17-JUN-2021','50VA - 915','AIR CONDITIONER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 10:36:39','2021-07-06 12:40:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7493','AZEEM SB','03315420488','FREINDS GULNOOR SHOWROOM MURREE ROAD RWP','9','19','0','CORONA','REF TO AZEEM SB',null,'0','C205 - 14','COOKING RANGE','HANDLE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 10:41:50','2021-07-31 13:16:16',null,'1',null,'0');
INSERT INTO complaints VALUES('7494','NADIA OMER','03345597178','H NO 19 ST 2 SEC E/11-4 ISB','5','33','133278','GREE','0',null,'20-MAY-2021','8890EG-CB2 - 2116','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 10:45:18','2021-07-25 15:54:06',null,'1',null,'0');
INSERT INTO complaints VALUES('7495','BILAL BIN ZAFAR','03435250027','HO#23 ST 27 KORANGE TOWN ISB','4','5','21092','ORIENT','REF TO NAFEES',null,'11-MAY-2021','FLARE3-RG','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 10:49:29','2021-07-15 16:47:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7496','FAISAL','03340000020','H NO 476 ST NO 22 SEC F/15-1 ISB','9','22','152844','SIGNATURE','0',null,'26-MAY-2018','SRF-KK95G - 903','REFRIGERATOR','COOLING PROBLEM',null,'7',null,null,'customer','0',null,'73','2021-07-01 10:58:14','2021-08-07 11:36:28',null,'1',null,'0');
INSERT INTO complaints VALUES('7497','NADEEM SB','03219558292','H NO 71 MAPLE HOMES NEAR MASJID BILAL HABSHI BANNI GALA ISB','9','24','208987','DAWLANCE','REF TO TAHIR B.COOL',null,'11-APR-2021','15INSPIREPLUS INVERTER - 912','AIR CONDITIONER','COOLING PROB',null,'3',null,null,'customer','0',null,'74','2021-07-01 11:00:05','2021-07-01 11:00:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7498','NISAR MALIK','03005477675','ALMUMTAZ HOSPITAL MAIN MIAN WALI ROAD TALA GANG','9','22','214328','LG','0',null,'20-JUN-2021','M247CADC','REFRIGERATOR','EARTH PROBLEM',null,'3',null,null,'customer','0',null,'73','2021-07-01 11:01:09','2021-07-01 11:01:09',null,'1',null,'0');
INSERT INTO complaints VALUES('7499','OMER KAHN','03348973017','FLAT NO 114 HAMDAN HIEGHTS GHOURI TOWN PHASE 5 ISB','5','32','124607','MITSUBISHI','0',null,'28-NOV-2020','35VA - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 11:07:58','2021-07-18 17:48:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7500','MUHAMMAD USMAN','03125618229','PUNJAB BANK OPP GUJAR KHAN OIL MILL GIRJA ROAD RWP CANTT','9','23','0','GREE','0',null,'3-MAY-2021','18PITH2W','AIR CONDITIONER','COOLING',null,'5','COMPLAINT COMPLETED',null,'customer','0',null,'73','2021-07-01 11:14:07','2021-07-08 11:22:25',null,'1',null,'0');
INSERT INTO complaints VALUES('7501','COL JAVED','03335281456','H NO 4 LANE 4 MAIN GOLRA ROAD OPP MILITARY TRANSPORT DEPO ISB','9','27','12701','MITSUBISHI','0',null,'11-SEP-2016','62XS - 903','REFRIGERATOR','TRIPPING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 11:23:38','2021-07-28 14:50:31',null,'1',null,'0');
INSERT INTO complaints VALUES('7502','SHAHINA AKBAR','03365554159','H NO 628 ST NO 42 PHASE 2 B.TOWN RWP','4','5','19915','GREE','0',null,'4-MAR-2021','18PITH2W','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 11:29:32','2021-07-02 16:17:28',null,'1',null,'0');
INSERT INTO complaints VALUES('7503','NOMAN SB','03335223567','H NO 16 ST NO 17 SEC H DHA 2 ISB','6','15','27298','HAIER','0',null,'21-MAY-2020','18HRV-W-INV - 915','AIR CONDITIONER','SOUND PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-01 11:34:49','2021-07-10 13:48:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7504','AJMAL HUSSAIN','03008366011','H NO 280/28 ST NO 28 NEAR MUHAMMADI G/S KAMALABAD RWP','7','49','18993','SIGNATURE','0',null,'6-MAY-2019','CH1-BU - 1705','AIR COOLER','WATER PUMP',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 11:35:11','2021-07-14 14:49:17',null,'1',null,'0');
INSERT INTO complaints VALUES('7505','MRS AYESHA','03008111029','H NO 28 OPP HILL VIEW PARK ISMAIL ZABEEH ROAD SEC F/8-4 ISB','5','34','131626','SAMSUNG','0',null,'12-APR-2021','80J5410S-S','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 11:43:25','2021-07-08 12:54:53',null,'1',null,'0');
INSERT INTO complaints VALUES('7506','SHAKEEL ABBASI','03005327952 , 03450500752','FRONTIER HOTEL  NEAR QUBA MASJID CHAKRI ROAD RWP CANTT','9','20','214995','DAWLANCE','0',null,'28-JUN-2021','9191WBAVANTE','REFRIGERATOR','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 11:50:55','2021-07-12 16:05:36',null,'1',null,'0');
INSERT INTO complaints VALUES('7507','SADAF HAMEED','03028509087(03018800569)','H NO 4163 DARYABAD KAMRAN MARKET NEAR CHURCH GAWALMANDI RWP','8','47','13542','PEL','0',null,'2-MAY-2017','130PRGD-M - 859','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-01 11:54:07','2021-07-25 15:49:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7508','HASSAN RAFIQ','03001007499','H NO 303 ST NO 4 SEC F DHA 1 RWP','6','15','34871','ORIENT','0',null,'3-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT COMPLETED',null,'customer','0',null,'73','2021-07-01 11:55:41','2021-07-03 11:31:17',null,'1',null,'0');
INSERT INTO complaints VALUES('7509','MALIK AMJAD','03171717176','H NO 1014 ST NO 45 PHASE 7 B.TOWN RWP','6','15','32230','ORIENT','0',null,'21-DEC-2020','AUTO7 - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 11:58:59','2021-07-15 16:36:21',null,'1',null,'0');
INSERT INTO complaints VALUES('7510','JAMSHED INAM','03335227111','3/A-1 ST NO 1 LANE NO 2 NEW LALAZAR NEAR 502 WORKSHOP RWP','9','24','0','LG','0N PAYMENT',null,'OUT WARRANTY','FRONT LOAD','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 12:07:42','2021-07-18 16:52:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7511','SALMAN GRACELAND','0321 5554711','HO# 144 , Street 7 , F-11/1  ISB','5','28','0','CANON','OUT OFF WARRANTY COMPLAINT HAIN  ABDUL REHMAN FCI IC COMPLAINT KO  ATTEND KARWA RAHAY HAIN',null,'OUT OFF WARRANTY',null,'COOKING RANGE','THAR MO C APPLE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-01 12:08:19','2021-07-04 11:53:58',null,'1',null,'0');
INSERT INTO complaints VALUES('7512','SYED LIAQAT','03008244643','H NO 134 ST17 BAHRIA SPRINGS PHASE 7 B.TOWN RWP','6','12','10161','SIGNATURE','0',null,'10-AUG-2017','SWM-FW1409S - 901','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 12:12:26','2021-07-10 17:53:57',null,'1',null,'0');
INSERT INTO complaints VALUES('7513','AAMIR SB','03458561185','SHOP NO 4 GROUND FLOOR PRISAM ARCADE 1 PHASE 7 B.TOWN RWP','6','12','28591','TCL','0',null,'23-JUL-2020','18HEB - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 12:18:49','2021-07-25 15:21:25',null,'1',null,'0');
INSERT INTO complaints VALUES('7514','SALEEM UDDIN','03355397619','FLAT NO 14 ST NO 1 GALI NO 3 SEC I/8-1 ISB','9','27','191390','HAIER','0',null,'24-JUN-2020','18HNI-B-INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 12:21:29','2021-07-10 13:53:11',null,'1',null,'0');
INSERT INTO complaints VALUES('7515','ZAHID MEHMOOD','03425141898 , 0515513059','ISI FLATS TRamary chowk  SATTRA MIL STOP ISB','8','40','15969','DAWLANCE','0',null,'13-MAR-2018','91996GD-INV-BDY - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 12:31:53','2021-07-24 15:48:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7516','MR RAMZAN','03325333252 , 03443308186','ISLAMABAD BAKERY NEAR SHELL PETROL PINDORA RWP','9','25','214606','CARAVELL','REF TO MUDASSIR',null,'23-JUN-2021','1000MEC - 978','CHILLER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 12:38:08','2021-07-19 15:10:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7517','BRIG QAISER','03459177772','H NO 8 ST NO 12 SEC D DHA 2 ISB','7','49','18308','LG','REF TO KAMRAN BHR-7',null,'3-JAN-2019','65SK7900-S - 1443','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 12:40:30','2021-07-14 14:48:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7518','MR HASSAN','03085559095','FLAT CUG11 SPRING APPARTMENT NEAR FIZAIA COLONY ISB','5','29','134797','ORIENT','0',null,'9-JUN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 12:43:05','2021-07-24 16:35:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7519','COL UMAIR','03335104679 , 0515219352','H NO 26 ST NO 20 SEC B ORCHARD DHA 1 RWP','6','12','14208','ORIENT','REF TO ADEEL BHR-7',null,'5-MAY-2019','CRYSTAL-C-BLK - 993','WATER DISPENSER','DOOR DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 12:48:51','2021-08-01 12:30:22',null,'1',null,'0');
INSERT INTO complaints VALUES('7520','AFTAB BUTT','03009828292','H NO 18D ST NO 2 SEC F/8-3 ISB','5','34','132491','GREE','0',null,'3-MAY-2021','18PITH2W','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 12:51:40','2021-07-12 14:08:16',null,'1',null,'0');
INSERT INTO complaints VALUES('7521','MR HAMZA','03368422971','HO#25 ARMY OFFICER COLONY OPP CHEIF HOUSE JINNAH PARK RWP','5','34','104668','BOSCH','HOB KI COMPLAINT HAY',null,'09-MAY-2019','538EB0M - 1124','BUILT IN APPLLIANCES','GLASS DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','1','7340','74','2021-07-01 13:31:08','2021-07-19 14:58:53',null,'1',null,'0');
INSERT INTO complaints VALUES('7522','BINA SHAHAB','03213920000','H NO 8 ST NO 80 SEC G/6-4 ISB','5','34','0','SAMSUNG','0',null,'OUT WARRANTY','ON PAYMENT','FLAT PANEL TV','INTERNET PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 13:33:40','2021-07-14 14:47:45',null,'1',null,'0');
INSERT INTO complaints VALUES('7523','AWAIS KHAN','03215683457','VILLA NO 132 ST NO 10 SEC E PHASE 8 B.TOWN RWP','9','27','207634','HAIER','0',null,'17-MAR-2021','336IDRA','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 13:38:58','2021-07-15 12:54:24',null,'1',null,'0');
INSERT INTO complaints VALUES('7524','GULZAR AHMED','03345207269','H NO 968 ST NO 47 SEC G/11-2 ISB','9','27','0','GREE','MANUAL BILL',null,'11-7-2019','24CITH12G - 917','AIR CONDITIONER','ERROR E5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 14:03:09','2021-07-12 14:14:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7525','JUNAID FAROOQ','03115129135','H NO 76 ST NO 15 GULRAIZ PHASE 2 RWP','6','14','20789','SAMSUNG','0',null,'28-APR-2021','55TU8500','FLAT PANEL TV','WIFI PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 14:41:39','2021-07-14 14:47:03',null,'1',null,'0');
INSERT INTO complaints VALUES('7526','HAFEEZ','03335670002-4','H NO 645 ST NO 70 SEC I/8-3 ISB','4','5','1246','SIGNATURE','0',null,'15-OCT-2017','SWM-JD46 - 945','WASHING MACHINE','WATER INLET',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 14:46:54','2021-07-04 11:53:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7527','RASHID AZIZ','03129955451','H NO 3 ST NO 3 BLOCK J NAVAL ENCOURAGE ISB','6','12','34958','HAIER','REF TO ADEEL BHR-7',null,'5-MAY-2021','18HFCF-W-INV - 915','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 14:50:44','2021-07-10 13:59:11',null,'1',null,'0');
INSERT INTO complaints VALUES('7528','MR JAMAL','03334231119','H NO 28 ST NO 10 SEC F/8-3 ISB','5','34','134385','HAIER','0',null,'7-JUN-2021','24HFCD','AIR CONDITIONER','SWING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 14:54:57','2021-07-10 14:01:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7529','SAAD JAWED','03440518114','FARM NO 185 ST NO 5 BLOCK A GULBERG GREEN ISB','5','34','115548','SIGNATURE','0',null,'14-MAR-2020','C590 - 1776','COOKING RANGE','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 14:58:31','2021-07-05 11:52:47',null,'1',null,'0');
INSERT INTO complaints VALUES('7530','SADD JAWED','03440518114','FARM NO 185 ST NO 5 BLOCK A GULBERGGREEN ISB','5','34','136214','WAVES','0',null,'25-JUN-2021','318WDFT - 959','FREEZER','AIR LOCK',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 15:00:30','2021-07-15 15:44:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7531','MR SAMI','03018493356','H NO 910 ST NO 41 BLOCK B  SEC B-17 ISB','5','32','133010','LG','0',null,'8-MAY-2021','2J3QDNPO-S','WASHING MACHINE','ERROR E1',null,'5','COMPLETED COMPLAINT',null,'customer','0',null,'73','2021-07-01 15:03:18','2021-07-19 14:50:10',null,'1',null,'0');
INSERT INTO complaints VALUES('7532','SALMAN SB','03009568628','D WATSON CHEMIST CHANDNI CHOWK RWP','9','23','194671','ORIENT','0',null,'15-AUG-2020','531BL - 993','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 15:06:49','2021-07-18 17:56:52',null,'1',null,'0');
INSERT INTO complaints VALUES('7533','BASHIR KHAN','03005519355','H NO 64 ST NO 69 SEC D-17 ISB','5','34','126924','HAIER','0',null,'8-DEC-2020','622IBG - 908','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 15:13:01','2021-07-13 15:06:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7534','RAJA NAEEM TAHIR','03215115983','PLOT NO 360ST NO 5 SEC I/9-3 ISB','5','31','135551','HAIER','2PC',null,'16-JUN-2021','49D6','FLAT PANEL TV','INTERNET ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 15:19:17','2021-08-02 15:48:30',null,'1',null,'0');
INSERT INTO complaints VALUES('7535','PETROLEUM EXPLORATION','03337204666','H NO 20 MAIN MARGALLA ROAD  SEC F/8-3 ISB','8','47','23985','HAIER','0',null,'17-DEC-2020','24HFCD','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 15:36:28','2021-07-27 12:33:53',null,'1',null,'0');
INSERT INTO complaints VALUES('7536','RAJA IMRAN','03335130180','ALI HOUSE NOOR PUR SHAHAN BARI IMAM ISB','8','39','48517','HAIER','0',null,'6-MAY-2021','18HFAA-B INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 15:41:44','2021-07-07 18:02:25',null,'1',null,'0');
INSERT INTO complaints VALUES('7537','MR ZIA','03337816566','H NO 366 ST NO 20 BAHRIA SPRINGSNORTH PHASE 7 B.TOWN RWP','6','16','34457','SAMSUNG','0',null,'19-APR-2021','64R5331-S','REFRIGERATOR','ICE MAKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 16:12:26','2021-07-03 15:20:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7538','MR TARIQ','03245189675','H NO 4 LANE 4B SEC G DHA 2 ISB','6','12','33721','FIVE STAR','MAX RANGE',null,'15-MAR-2021','999MC','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 16:50:02','2021-07-05 11:50:31',null,'1',null,'0');
INSERT INTO complaints VALUES('7539','HAMMAD HASSAN','03359661631','H NO 90 ST NO 7 PAKISTAN TOWN PHASE 2 ISB','4','8','223224','HAIER','0',null,'30-JUN-2021','90-1789HWM - 901','WASHING MACHINE','WASH TUB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 17:05:11','2021-07-11 14:49:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7540','MR IMRAN','03009549074','MAIN BAZAR GUJAR KHAN','6','15','25264','SAMSUNG','0',null,'23-DEC-2019','80J4260-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-01 17:11:38','2021-07-14 14:46:11',null,'1',null,'0');
INSERT INTO complaints VALUES('7541','MR IMRAN','03465150003','PANG PEERAN CHOWK BYPASS ROAD KOTLI AJK','9','20','213831','CARAVELL','0',null,'14-JUN-2021','1600MEC - 2013','CHILLER','COOLING PROBLEM',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'73','2021-07-01 17:16:03','2021-07-16 15:25:37',null,'1',null,'0');
INSERT INTO complaints VALUES('7542','TANVIR AHMED','03217653963','H NO CB800 LANE 3 GULISTAN COLONY RWP','8','39','40325','LG','0',null,'18-JUN-2020','Q22FTBKL-S - 909','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAIN T CLOSED',null,'customer','0',null,'73','2021-07-01 17:48:31','2021-07-18 16:47:45',null,'1',null,'0');
INSERT INTO complaints VALUES('7543','COL GULZAR AHMED KHAN','03337824903','FLAT#F BLOCK 1 BRIG FLATS PARADE LANE R.W.P CANTT','7','49','22088','HAIER','0',null,'02-NOV-2020','150-1708HWM - 1484','WASHING MACHINE','SPINNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-02 11:59:56','2021-07-10 14:21:20',null,'1',null,'0');
INSERT INTO complaints VALUES('7544','COL KAMAL AAMAN','03009805680','HO#11 SERVICES ROAD SOUTH D 12/1 ISB','5','29','3034','HAIER','18HFCF-W-INV-89',null,'24-MAY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-02 12:02:42','2021-07-07 17:59:50',null,'1',null,'0');
INSERT INTO complaints VALUES('7545','M. SULTAN TIPU','03028566685','HO#438 ST#48 MARGALA TOWN PHASE 02','9','24','214154','HAIER','0',null,'17-JUNE-2021','631DGG - 1122','BUILT IN APPLLIANCES','BURNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-02 12:12:31','2021-07-04 11:46:07',null,'1',null,'0');
INSERT INTO complaints VALUES('7546','YOUSAF KUNDI','03008581040','HO#458 ST#08 G-11/1 ISB','8','38','35651','SIGNATURE','0',null,'18-JULY-2019','SBH-AB750S - 1122','BUILT IN APPLLIANCES','BURNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-02 12:35:48','2021-07-07 11:37:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7547','ABDUL SHAKOOR','03369071545(03345015750)','COL AMMAN ULLAH ROADBARA KHAO ISB','5','31','118978','ORIENT','CUSTOMER NA DIRECT KHUD B AJ COMPLAINT ENTER KARWA DI COMPANY MAIN',null,'09-JULY-2020','18G-ORBIT - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-02 12:58:54','2021-07-07 17:57:17',null,'1',null,'0');
INSERT INTO complaints VALUES('7548','SOHAIL SAB','03335227768','H NO 2 BLOCK D DHOKCHAUDRIAN NEAR ALI TRUST SCHOOL CAR CHOWK RWP','9','22','202435','HAIER','0',null,'17-DEC-2020','18HJ-S INV - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-02 13:17:52','2021-07-07 17:53:28',null,'1',null,'0');
INSERT INTO complaints VALUES('7549','RAHIM BANGASH','03336033364','HO#459 ST#11 SEC 01 AIR PORT HOUSING SOCITY R.W.P','9','20','208330','PANASONIC','18WKF-9',null,'31-MAY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-02 14:39:51','2021-07-19 13:40:20',null,'1',null,'0');
INSERT INTO complaints VALUES('7550','MR MUBEEN','03335132977','HO#42 GULISTAN E JINNAH FAIZABAD R.W.P','8','39','47750','TCL','2102VLR301428A00351',null,'12-APR-2021','40S65A - 938','FLAT PANEL TV','LINE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-02 15:10:26','2021-07-25 15:12:33',null,'1',null,'0');
INSERT INTO complaints VALUES('7551','FAHAD BALOCH','03008551550','HO#44 MAIN MARGALA ROAD F 6/3 ISB','8','37','47507','PANASONIC','0',null,'01-APR-2021','18TKF-9 - 915','AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-02 15:15:26','2021-08-02 15:57:33',null,'1',null,'0');
INSERT INTO complaints VALUES('7552','ASHAN','03488031447','HO#112 ST#14 CHAKJALA DIN GIRJA  ROAD R.W.P','8','37','25840','DAWLANCE','9173WB-(FF TO KHURRAM GOOGLE)',null,'23-JUNE-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-02 16:09:01','2021-07-07 17:31:56',null,'1',null,'0');
INSERT INTO complaints VALUES('7553','I 10 STOCK','03358851908','FLAT #81 ST#06 I 10/3 ISB','10','44','0','SAMSUNG','55TU7000',null,'0',null,'FLAT PANEL TV','NOT WORKING',null,'8',null,null,'customer','0',null,'74','2021-07-02 16:13:09','2021-08-20 15:35:16',null,'1',null,'0');
INSERT INTO complaints VALUES('7554','IJAZ AHMED','03445195045','ST#11 BANIGALA GREENS ISB','8','40','50115','DAWLANCE','9173WB-',null,'14-JUNE-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-02 16:21:06','2021-07-26 15:34:52',null,'1',null,'0');
INSERT INTO complaints VALUES('7555','ARSAL','03333633332','H NO 2 ST NO 2 SEC C DHA 2 ISB','8','37','21228','SHARP','REF TO JAVED FCP(AGAIN COMPLAINT MAIN ISSUE AAGYA KINDLY CHEEKED)',null,'15-APR-2020','650SL3 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-02 17:17:34','2021-07-14 14:33:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7556','ANYAT KHAN','03335154271(03088548205)','HO#ZB642 ST#01AWAN COLONY PEERWADHI R.W.P','8','37','26296','HAIER','FF TO AZHAR BEHIR 07',null,'19-AUG-2019','438EBD - 896','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-02 17:36:48','2021-07-07 17:33:44',null,'1',null,'0');
INSERT INTO complaints VALUES('7557','ASF MEHMOOD KHAN','03345485290','HO#512 ST#26 G 14/4 ISB','5','36','133212','ORIENT','0',null,'19-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','SETTING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-02 17:41:21','2021-07-31 18:23:37',null,'1',null,'0');
INSERT INTO complaints VALUES('7558','COL NADEEM','03435594801','H NO22 M7 EMAAR DHA 5 ISB','5','31','94441','BOSCH','0',null,'12-MAY-2018','50E92GC - 1060','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 10:45:30','2021-07-07 17:05:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7559','MALIK FAYYAZ','03333330251','H NO 21 ST NO 29 SEC F/8-1 ISB','5','35','120545','ORIENT','0',null,'10-AUG-2020','12G-ORBIT - 913','AIR CONDITIONER','FLITER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 10:49:07','2021-07-07 16:30:25',null,'1',null,'0');
INSERT INTO complaints VALUES('7560','MR ZIA','03337816566','H NO 366 ST NO 20 BAHRIA SPRINGSNORTH PHASE 7 B.TOWN RWP','6','16','34457','SAMSUNG','64R5331-S',null,'19-APR-2021',null,'REFRIGERATOR','ICE MAKING',null,'5','COMPLAINT CLOSED',null,'customer','1','7537','73','2021-07-03 10:53:10','2021-07-15 16:08:42',null,'1',null,'0');
INSERT INTO complaints VALUES('7561','MR ZARAR','03365398262','H NO 105A ST NO 7 CHAKALALA SCHEME 3 RWP','8','38','31708','LG','0',null,'13-JAN-2019','7566NEFPF-S - 901','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 10:57:04','2021-07-14 14:04:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7562','TAMMI SAPHIRE','03000540744 , 03011015116','H NO 300B ST NO 19 AURANGZAIB ROAD SEC E7 ISB','5','33','128220','HAIER','0',null,'18-JAN-2021','18HJ','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 11:09:56','2021-07-10 14:25:49',null,'1',null,'0');
INSERT INTO complaints VALUES('7563','NASEER SB','03218560000','H NO490B ST NO 48 SEC I/8-2 ISB','8','39','19745','LG','0',null,'18-DEC-2016','622GLHL-S - 17','REFRIGERATOR','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 11:29:10','2021-07-14 14:03:03',null,'1',null,'0');
INSERT INTO complaints VALUES('7564','SHARJEEL','03335118852','H NO 188 ST NO 1B FALCON COMPLEX ISB','5','34','0','LG','0N PAYMENT',null,'OUT OF WARRNATY','872HLCL','REFRIGERATOR','DOOR GASKIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 11:46:07','2021-07-18 16:47:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7565','TARIQ JAVED','03330954579','H NO 210 ST NO 15 SEC D PHASE 8 B.TOWN RWP','6','12','24739','HAIER','0',null,'15-DEC-2019','18HNI-B-INV - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 11:50:18','2021-07-15 12:37:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7566','ANWAR KHAN','03335157279','H NO 3 ST NO 1 SEC F/7-3 ISB','5','32','129694','ORIENT','0',null,'24-FEB-2021','AUTO8 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 11:53:36','2021-07-15 16:08:13',null,'1',null,'0');
INSERT INTO complaints VALUES('7567','MUTASATTUQ','03131007430','H NO 65A ST NO 34 BLOCK H SOAN GARDEN ISB','4','11','19111','DAWLANCE','0',null,'10-JAN-2021','388DW - 1199','MICROWAVE OVEN','HEATING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 12:01:44','2021-07-08 17:25:49',null,'1',null,'0');
INSERT INTO complaints VALUES('7568','MR JAMAL','03334231119','H NO 28 ST NO 10 SEC F/8-3 ISB','5','34','134385','HAIER','0',null,'7-JUN-2021','18HFCA-S - 915','AIR CONDITIONER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 12:12:16','2021-07-10 14:32:16',null,'1',null,'0');
INSERT INTO complaints VALUES('7569','TARIQ AAHMED','03455055944','H NO 219 ST NO 22 SEC 1 GULSHANABAD ADYALA ROAD RWP','9','20','179571','DAWLANCE','0',null,'5-OCT-2019','6550DW - 899','WASHING MACHINE','SPINNER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 12:17:42','2021-07-07 16:34:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7570','IJAZ HUSSIAN','03005220175','H NO 192/287 NEW MALPUR 7TH ROAD RWP','8','38','36094','SIGNATURE','0',null,'7-AUG-2019','SCF-HM09 - 954','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 12:20:16','2021-07-14 14:02:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7571','COL HAROON','03004413942','H NO 11 SEC E JINNAH BOLYWARD DHA 2 ISB','4','6','35668','ORIENT','0',null,'6-JUN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 12:29:54','2021-07-04 11:52:29',null,'1',null,'0');
INSERT INTO complaints VALUES('7572','KAMRAN SB','03002010633','H NO 805 ST NO 50 SEC E/11-4 ISB','9','22','174043','SUPER ASIA','REF TO ABU BAKAR FCI',null,'30-JUN-2019','40GD-HC - 993','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 12:33:53','2021-07-07 16:51:07',null,'1',null,'0');
INSERT INTO complaints VALUES('7573','MR ARSHAD','03315196709','F NO 8 BLOCK NO 34C ST NO 100 SEC G/11-3 ISB','5','28','0','SIGNATURE','REF TO PTCL',null,'OUT OF WARRANTY','3 BURNER STOVE','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 12:42:19','2021-07-06 13:17:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7574','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','34','0','TCL','2104VLR301490A00172',null,'0','40S65A - 938','FLAT PANEL TV','ON OFF',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 13:25:57','2021-07-29 11:46:47',null,'1',null,'0');
INSERT INTO complaints VALUES('7575','HANAN ANJUM','03415733250','H NO 118J ST NO A5 09NPF ISB','4','8','22283','MITSUBISHI','0',null,'28-JUN-2021','50VA - 915','AIR CONDITIONER','PCB CARD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 13:32:02','2021-07-16 15:00:48',null,'1',null,'0');
INSERT INTO complaints VALUES('7576','SOHAIL SB','03135575583','H NO 580 ST NO 23 SEC G/14-4 ISB','9','23','91335','DAWLANCE','0',null,'5-JUL-2014','9170WBGD - 860','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 13:35:48','2021-07-07 15:34:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7577','IQBAL FCI','03465166132','FRIENDS BLUE AREA ISB','5','28','0','SIGNATURE','REF TO ABU BAKAR FCI',null,'0','HC-3761S - 1122','BUILT IN APPLLIANCES','IGNITION PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 13:37:41','2021-07-06 12:56:06',null,'1',null,'0');
INSERT INTO complaints VALUES('7578','RIMSHA','03463328800','H NO 1413 ST NO 34 SEC G/11-2 ISB','5','35','125404','ORIENT','0',null,'3-DEC-2020','475HGRAND-HS','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 13:55:42','2021-07-16 14:54:20',null,'1',null,'0');
INSERT INTO complaints VALUES('7579','HAJI ISHAQ','03344686716','H NO 653 ST NO 32 PHASE 5 B.TOWN RWP','5','35','22211','ORIENT','0',null,'26-JUN-2021','FLARE3-RG','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 13:58:13','2021-07-13 16:04:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7580','HASSAN RAFIQ','03001007499','H NO 303 ST NO 4 SEC F DHA 1 RWP','6','15','34871','ORIENT','0',null,'3-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7508','73','2021-07-03 14:03:24','2021-07-28 14:08:52',null,'1',null,'0');
INSERT INTO complaints VALUES('7581','MAZHAR SHAH','03336563375','H NO 29 ST NO 10 SEC F/6-3 ISB','5','28','130703','SIGNATURE','REF TO ABU BAKAR FCI',null,'22-MAR-2021','HC-5861S - 1122','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 14:35:02','2021-08-17 15:39:52',null,'1',null,'0');
INSERT INTO complaints VALUES('7582','MALIK ANSAR','03161594266 , 03045733455','H NO 275 ST NO 2 BLOCK A NPF ISB','4','7','21179','KENWOOD','REF TO CHAT SERVICES',null,'19-MAY-2021','1228S-INV - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 14:39:33','2021-07-13 12:29:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7583','MUNEEB BUTT','03005157706','H NO 759 PIA COLONY MISRIAL ROAD CHUR CHOWK RWP','7','49','6901','ORIENT','REF TO ZAHID PWD',null,'2-JUN-2014','19MF22AG - 914','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 14:43:01','2021-07-15 15:59:04',null,'1',null,'0');
INSERT INTO complaints VALUES('7584','FAROOQ KHAN','03459299800','NEAR NOWSHERA INTERCHANGE NOWSHERA','9','27','214901','MITSUBISHI','0',null,'27-JUN-2021','50VA - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 15:13:28','2021-07-19 14:31:04',null,'1',null,'0');
INSERT INTO complaints VALUES('7585','MUHAMMAD NAZIM','03011116737','208 2ND FLOOR MARGALLA HILLS 1 TOWER SEC E/11-1 ISB','8','42','42803','HAIER','0',null,'3-OCT-2020','438IPB - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 15:23:39','2021-07-07 15:12:06',null,'1',null,'0');
INSERT INTO complaints VALUES('7586','AMIR HAYAT ANSARI','03002003333','H NO 902 ST NO 9 SEC C PHASE 8 B.TOWN RWP','4','6','33987','ORIENT','0',null,'29-MAR-2021','531BL - 993','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 15:36:01','2021-07-15 15:56:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7587','MR S KAMRAN','03335114558','H NO 51 LANE NO 4 ASKARI 12 CHAKLALA CANTT','6','12','35734','PANASONIC','0',null,'7-JUN-2021','18WKF-9','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 15:39:12','2021-07-06 13:05:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7588','MR SALMAN','03215350990','COMMERCIAL PLAZA 2 SEC E DHA 2 ISB','6','12','34488','LG','0',null,'20-APR-2021','8265DIS-S - 987','MICROWAVE OVEN','HEATING PROBLEM',null,'4',null,null,'customer','0',null,'73','2021-07-03 16:01:54','2021-07-03 16:02:18',null,'1',null,'0');
INSERT INTO complaints VALUES('7589','FAHAD SB','03018497334','H NO 118 ST NO 35 SEC G/9-1 ISB','8','37','50700','ORIENT','0',null,'30-JUN-2021','18G-ELEGANT-SW','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 16:05:07','2021-07-04 11:52:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7590','MRS ZIA','03331673914','H NO 1413 ST NO 69 SEC F DHA 1 RWP','6','16','31707','LG','0',null,'6-DEC-2020','502HMHU-S - 896','REFRIGERATOR','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 16:28:48','2021-07-18 18:02:21',null,'1',null,'0');
INSERT INTO complaints VALUES('7591','IQBAL FCI','03465166132','FRIENDS BLUE AREA ISB','5','28','0','HAIER','0',null,'0','276EPR - 858','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 16:36:31','2021-07-13 14:37:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7592','MR ZULFIQAR','03339117566 , 03003714747','REHMAN HOUSING SOCIETY BABU GARHI PO KABABYAN WARSAK ROAD PESHAWAR','6','15','21020','ORIENT','0',null,'22-MAY-2019','18MAX-SW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 16:39:16','2021-07-15 15:55:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7593','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','HAIER','0',null,'0','40K6600G - 938','FLAT PANEL TV','POWER CABLE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 16:41:10','2021-07-13 14:36:08',null,'1',null,'0');
INSERT INTO complaints VALUES('7594','IQBAL FCI','03465166132','FRIENDS BLUE AREA ISB','5','28','0','TCL','2104VLR301504A00730',null,'0','40S6500 - 938','FLAT PANEL TV','POWER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 16:45:21','2021-07-19 14:29:04',null,'1',null,'0');
INSERT INTO complaints VALUES('7595','DR ASIF','03238552784','H NO 91 MAJOR ROAD 3 SEC B/12-1 ISB','5','28','130866','LG','0',null,'28-MAR-2021','9085NDKVH-C','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 16:51:07','2021-07-08 12:53:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7596','SAMI IQBAL','03005304053','H NO 2505 ST NO 58 ABU BAKAR BLOCK PHASE 8 B.TOWN RWP','6','15','35095','GREE','REF TO PTCL',null,'12-MAY-2021','18PITH2W','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 17:05:38','2021-07-07 15:05:10',null,'1',null,'0');
INSERT INTO complaints VALUES('7597','MR SHAHZAIB','03359808897 ,03315333253','F NO 704 APP SAPPHIRE HIEGHTS 2 H13','8','37','42324','FIVE STAR','REF TO PTCL',null,'9-SEP-2020','900C-FS - 1965','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 17:06:48','2021-07-05 11:50:06',null,'1',null,'0');
INSERT INTO complaints VALUES('7598','UMER JAMAL','03008332998','H NO 400/30 LANE NO 7 PESHAWAR ROAD RWP CANTT','9','22','208859','ORIENT','0',null,'8-APR-2021','12G-HYPER-SW - 913','AIR CONDITIONER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-03 18:03:45','2021-08-01 12:32:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7599','mr ahsan','03015556777','H NO 36 ST NO 33 SEC F/8-1 ISB','5','29','130340','CARAVELL','PEL DISPENCER',null,'13-MAR-2021','115PMI','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 10:32:00','2021-07-18 13:16:31',null,'1',null,'0');
INSERT INTO complaints VALUES('7600','KHAWAR SB','03360119573 , 03360119591','H NO 28 SIR SYED BOLYWARDSEC E DHA 2 ISB','5','30','129894','ORIENT','0',null,'2-MAR-2021','18G-HYPER-SW - 915','AIR CONDITIONER','SWING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 10:36:26','2021-07-18 13:14:04',null,'1',null,'0');
INSERT INTO complaints VALUES('7601','MR RAEES','03215590027','H NO 143 ST NO A4 BLOCK A NPF ISB','4','7','21413','ORIENT','0',null,'28-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','TRIPPING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 10:44:15','2021-07-10 17:50:06',null,'1',null,'0');
INSERT INTO complaints VALUES('7602','MR NADEEM','03003221223','ST NO 78-B SEC G/8-1 ISB','5','35','136660','HAIER','0',null,'3-JUL-2021','368IDBA','REFRIGERATOR','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 10:47:51','2021-07-11 15:24:18',null,'1',null,'0');
INSERT INTO complaints VALUES('7603','KAFAIT HUSSAIN','03335038129','H NO 474 UPPER PORTION  ST NO 48 G/10-4  ISB','9','21','210449','ORIENT','0',null,'5-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 10:55:26','2021-07-07 14:44:03',null,'1',null,'0');
INSERT INTO complaints VALUES('7604','M SHABBIR','03119571444','H NO M447 ST NO 2 NEAR KALMA CHOWK GHOURI TOWN PHASE 5A ISB','9','51','215068','TCL','2103VLR301507A00082',null,'30-JUN-2021','43S5200','FLAT PANEL TV','INTERNET PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 11:02:41','2021-07-29 12:08:24',null,'1',null,'0');
INSERT INTO complaints VALUES('7605','MR FAISAL','03248508521','HO#38 NEAR JANNAT MASJID LIAQUT COLONY QUIDABAD HYDERABAD SINDH','5','32','0','SAMSUNG','MODAL#40N5300',null,'09-JAN-2021',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','5464','73','2021-07-04 11:09:05','2021-08-03 13:55:18',null,'1',null,'0');
INSERT INTO complaints VALUES('7606','KAMRAN SB','03035525355','JAMIA MASJID DARUL ISLAM FURNITURE MARKET RAWAL ROAD RWP','9','24','215058','DAWLANCE','0',null,'29-JUN-2021','91999CHROME-HB','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 11:17:35','2021-07-07 14:39:27',null,'1',null,'0');
INSERT INTO complaints VALUES('7607','AFTAB ABID','03065251574','H NO 434 ST NO 1 SEC H PHASE 8 B.TOWN RWP','6','15','34694','HAIER','0',null,'28-APR-2021','12HFMAC','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 11:20:53','2021-07-07 14:36:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7608','SHAKEEL AKHTER','03213803030','H NO 6 ST NO 14A LANE 10 SEC E DHA 2 ISB','6','15','5461','SIGNATURE','REF TO ADEEL BHR-7',null,'21-SEP-2016','MD99SS-S - 1723','REFRIGERATOR','GAS KIT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 11:26:05','2021-07-08 12:51:53',null,'1',null,'0');
INSERT INTO complaints VALUES('7609','ANSAR MALIK','03325276526','H NO 1662 ST NO 25 NEAR EASTERN SIDE  NAFEES HOSPITAL PHASE 2 FARASH TOWN  ISB','9','26','214648','ORIENT','REF TO TAHIR B.COOL',null,'24-JUN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 12:12:45','2021-07-15 11:19:30',null,'1',null,'0');
INSERT INTO complaints VALUES('7610','RAHEEL SB','03216516014','MOHAMMADI MASJID OPP LONDON BAKERY B BLOCK PWD','4','7','4559','ORIENT','0',null,'22-JUL-2018','48G-PRESTIGE-MW - 1820','AIR CONDITIONER','ERRORF1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 12:38:59','2021-07-08 16:55:37',null,'1',null,'0');
INSERT INTO complaints VALUES('7611','ANWAR MEHMOOD','03008553033','H NO 206 ST NO 60 SEC E-11-3 ISB','5','35','0','HAIER','REF TO PTCL',null,'13-APR-2021','18HFMAE-W','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 13:05:33','2021-07-10 14:38:55',null,'1',null,'0');
INSERT INTO complaints VALUES('7612','CH ABDULLAH','03005381150','FLAT NO 1 MUGHAL MARKET UNITED PLAZA SEC  I/8-1  ISB','5','30','132639','GREE','0',null,'4-MAY-2021','12PITH2W','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSD',null,'customer','0',null,'73','2021-07-04 13:13:22','2021-07-12 14:19:17',null,'1',null,'0');
INSERT INTO complaints VALUES('7613','NAVEED','03215549005','H NO 1882 ST NO 7 BLOCK C NPF ISB','4','5','222181','WAVES','REF TO KAMRAN PWD',null,'24-JUN-2021','313WDF-GD ALPHA - 957','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 13:20:38','2021-07-07 14:12:31',null,'1',null,'0');
INSERT INTO complaints VALUES('7614','MUSHTAQ ABBASI','03025340562 , 03165943980','H NO 1275P ST NO 93 SEC I/10-1 ISB','9','26','69959','MITSUBISHI','REF TO PTCL',null,'28-JUL-2012','51X-MRF - 87','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 13:26:34','2021-07-07 14:09:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7615','FAHAD SB','03018497334','H NO 118 ST NO 35 SEC G/9-1 ISB','8','37','50700','ORIENT','18G-ELEGANT',null,'30-JUN-2021',null,'AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7589','73','2021-07-04 13:29:07','2021-07-14 14:00:58',null,'1',null,'0');
INSERT INTO complaints VALUES('7616','COL FAWAD NASIM','03365289290','HO#43 ST 10 SEC-E DHA PHASE 01 ISB','6','15','29078','TCL','0',null,'13-AUG-2020','24HEB - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7360','73','2021-07-04 13:31:27','2021-07-14 14:00:24',null,'1',null,'0');
INSERT INTO complaints VALUES('7617','AZEEM SB','03315420488','FREINDS GULNOOR SHOWROOM MURREE ROAD RWP','9','19','0','TCL','2103VLR301485A00106',null,'0','43S6500 - 869','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 13:52:13','2021-07-19 14:12:48',null,'1',null,'0');
INSERT INTO complaints VALUES('7618','ZIA ASHRAF KHAN','03138522112','DD287/B11 MADINA TOWN NEAR JUBILEE INSURANCE MAIN MURREE ROAD','9','19','0','SIGNATURE','REF TO PTCL CALL',null,'OUT WARRANTY','MD2-S - 1708','WATER DISPENSER','TAB PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 14:17:48','2021-07-10 17:48:54',null,'1',null,'0');
INSERT INTO complaints VALUES('7619','MUHAMMAD ZAFAR','03335599777','H NO 10 ST NO 31 SEC C ORCHARD DHA 1 RWP','6','12','8841','SIGNATURE','REF TO PTCL',null,'26-MAY-2017','SWM-SR45 - 899','WASHING MACHINE','RINSE AND SPIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 14:50:20','2021-07-08 12:51:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7620','DR TALAT','03235112728','H NO 7 ST NO 18 BLOCK A DHA 1 RWP','9','20','185761','HAIER','0',null,'19-JAN-2020','24HDZ-G INV - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 14:50:23','2021-07-07 14:01:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7621','USMAN BHATTI','03217460015','F NO 1 1ST FLOOR SAMEER ARCADE PAKISTAN TOWN PHASE 2 ISB','4','8','20884','TCL','0',null,'3-MAY-2021','18T3B - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 15:10:20','2021-07-08 12:40:59',null,'1',null,'0');
INSERT INTO complaints VALUES('7622','FERDOS KHAN','03331553333','PUNJAB MARKET SERVICES ROAD G-13/4 ISB','9','19','2096674','DAWLANCE','MODEL91999CHROME+HS',null,'25-APRIL-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','6194','73','2021-07-04 15:16:52','2021-07-07 13:57:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7623','TAUQEER RAZA','03028500365','H NO 806/A ST NO 8  PEOPLES COLONY  RWP CANTT','9','27','165910','SAMSUNG','0',null,'10-FEB-2019','90J5710 - 901','WASHING MACHINE','WATER INLET',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 15:19:24','2021-07-07 11:29:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7624','MR NADEEM','033335137711','H NO 147A ALAMGIR ROAD  LALKURTI RWP','9','27','211905','ORIENT','0',null,'30-MAY-2021','12G-ALPHA-SW - 912','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 16:02:01','2021-07-08 16:49:44',null,'1',null,'0');
INSERT INTO complaints VALUES('7625','NADEEM IQBAL','03018516777','H NO 37 ST NO 3 SEC  D DHA 2 ISB','4','8','15920','LG','0',null,'15-AUG-2020','512FPW-S - 1653','DISH WASHER','ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 16:42:15','2021-07-10 17:47:42',null,'1',null,'0');
INSERT INTO complaints VALUES('7626','FAHAD JAMIL','03325348767','H NO B27 BILAL HABSHI ROAD OMER BLOCK PHASE 8 B.TOWN RWP','6','12','36348','GREE','1 TON & 2 TON',null,'23-JUN-2021','12FITH6G , 24FITH6G','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 16:49:26','2021-07-05 11:49:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7627','ISHTIAQ AHMED','03335121648','H NO 715D SEC I/8-2 ISB','9','21','215390','DAWLANCE','0',null,'3-JUL-2021','1035WBGD-AVANTE','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-04 17:27:10','2021-07-14 11:29:35',null,'1',null,'0');
INSERT INTO complaints VALUES('7628','KHIZAR HAYAT','03364060878','KRL OFFICE CHATRI CHOWK NEAR KHANNAPULL ISB','8','47','25827','GREE','0',null,'21-JUN-2021','18PITH2W','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 10:45:45','2021-07-08 16:36:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7629','RAO DILSHAD','03435529230','HO#83 ST#06 E 11/1 GLUSHNAKHUDA DADISB','9','27','214578','DAWLANCE','91999CHROME',null,'23-JUNE-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','7279','92','2021-07-05 10:51:09','2021-08-10 17:33:27',null,'1',null,'0');
INSERT INTO complaints VALUES('7630','MUHAMMAD AFZAL','03365194197 , 03335494390','H NO CB 599 ST NO 8 AZIZABAD KIANI ROAD  RWP CANTT','9','21','211671','HAIER','0',null,'27-MAY-2021','398EBS - 884','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 11:00:58','2021-07-08 15:55:24',null,'1',null,'0');
INSERT INTO complaints VALUES('7631','FAHAD JAMIL','03325348767','H NO B27 BILAL HABSHI ROAD OMER BLOCK PHASE 8 B.TOWN RWP','6','12','36348','GREE','24FITH',null,'23-JUN-2021',null,'AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7626','73','2021-07-05 11:30:08','2021-07-12 14:21:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7632','CH FARHAN','03455010443','H NO 432 ST NO 28 BLOCK C SEC B-17 ISB','5','31','135042','GREE','0',null,'11-JUN-2021','18FITH6G','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 11:37:19','2021-07-08 15:36:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7633','SULMAN','03009731996 , 03005111888','APP#401 EXECUTIVE SUITES HILAL ROAD F 11/1 ISB','5','34','123784','GREE','0',null,'10-NOV-2020','9978EG-CB2 - 885','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','6905','73','2021-07-05 11:39:21','2021-07-12 14:23:06',null,'1',null,'0');
INSERT INTO complaints VALUES('7634','MR AMIR','03481421851','MAJOR SHABBIR SHAREEF HOSPITAL NEAR FAUJI TOWER PUNJAB BANK  GUJRAT','9','23','198718','HAIER','0',null,'4-NOV-2020','85-7288 - 69','WASHING MACHINE','SOUND &WASHTUB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 11:43:50','2021-07-10 14:41:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7635','RAJA QADEER','03229556747','H NO 1 ST NO 1 OPP ATTOCK PUMP FAISAL COLONY AIRPORT ROAD RWP','4','6','7909','ORIENT','0',null,'9-MAR-2019','40FHD-JAGUAR - 938','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 11:49:28','2021-07-06 13:40:49',null,'1',null,'0');
INSERT INTO complaints VALUES('7636','QADEER SB','03455418523','H NO BD160 NEAR DIAMOND CNG STADIUM ROAD RWP','8','42','47861','HAIER','0',null,'18-APR-2021','276EBS - 858','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 11:53:53','2021-07-08 14:19:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7637','MRS ZAHID','03325038078','H NO 1 GREEN ENCLAVE QASIM AVENUE BANNI GALA ISB','8','37','50732','ORIENT','0',null,'1-JUL-2021','24G-MEGA','AIR CONDITIONER','WIFI',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 12:02:40','2021-07-28 13:57:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7638','MR MOHSIN','03215593579 , 03359959999','IRM COMPLEX PARK ROAD ISB','5','28','136355','GREE','REF TO AZHAR RAMZAN',null,'29-JUN-2021','18PITH2W','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 12:09:39','2021-07-12 14:24:56',null,'1',null,'0');
INSERT INTO complaints VALUES('7639','MIAN ASIF','03105236399 , 03217770234','H NO 50 ST NO 1 BLOCK D SAWAN GARDEN ISB','4','11','4021','DAWLANCE','0',null,'7-JUN-2018','1045CVT-VF - 1467','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6360','73','2021-07-05 12:11:30','2021-07-12 16:36:31',null,'1',null,'0');
INSERT INTO complaints VALUES('7640','KAWISH SB','03315447111','H NO 58/7 LANE NO 3 HARLEY STREET RWP','9','22','215317','HAIER','0',null,'3-JUL-2021','18HFCF-W-INV - 915','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 12:44:09','2021-07-08 13:54:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7641','RIAZ SHAHID','03037317307','MOHALLAH SIRAJ GUNJ VANIKE ROAD STREET MIRZA ABDUL RASHID TEHSIL&DISTRICT HAFIZABAD','9','19','214502','LG','REF TO SAQIB FCP',null,'22-JUN-2021','12CGH','AIR CONDITIONER','ERROR CH10',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 12:50:31','2021-07-31 17:40:32',null,'1',null,'0');
INSERT INTO complaints VALUES('7642','IMRAN SB','03332223728','H NO 175 SOUTH EAST BOLYWARD PHASE 4 B.TOWN RWP','8','37','50331','SIGNATURE','0',null,'20-JUN-2021','SFR-MD100G - 904','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 13:00:47','2021-07-08 12:39:57',null,'1',null,'0');
INSERT INTO complaints VALUES('7643','COL HAMID','03025554220','98 LANE NO 3 ASKARI 13 TULSA CHOWK RWP','7','49','10760','ORIENT','REF TO ATIF SADDAR',null,'22-FEB-2016','19AF4C-HC','AIR CONDITIONER','ERROR E1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 13:20:13','2021-07-15 15:43:27',null,'1',null,'0');
INSERT INTO complaints VALUES('7644','JAMIL AKHTER','03119095514','H NO 55 ST NO 12 MARGALLA HOUSING SOCIETY SEC B/17 ISB','9','21','215199','KENWOOD','0',null,'1-JUL-2021','1228S-INV - 913','AIR CONDITIONER','OUTDOOR FAN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 13:22:36','2021-07-25 14:47:38',null,'1',null,'0');
INSERT INTO complaints VALUES('7645','ABDULLAH AMIN','03435030029','H NO 103 ST NO 28 BLOCK C PWD','4','5','17958','HAIER','REF TO NAFEES FHS',null,'4-DEC-2020','438IDRT - 896','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 14:16:09','2021-07-10 14:44:21',null,'1',null,'0');
INSERT INTO complaints VALUES('7646','MARWAN USMANI','03002996019','H NO 27 ST NO 5 SEC B DHA 2 ISB','6','12','36134','ORIENT','REF TO RED HIGH',null,'15-JUN-2021','CRYSTAL3-GG','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 14:19:59','2021-07-28 13:49:49',null,'1',null,'0');
INSERT INTO complaints VALUES('7647','AHMED HUSSAIN','03445502816','H NO 7 ST NO 17 RIVI LODGE WARSAK ROAD SEC I/9-1 ISB','5','33','131673','LG','0',null,'13-APR-2021','1788NEHTE-C','WASHING MACHINE','NOT WORKING',null,'8',null,null,'customer','0',null,'73','2021-07-05 14:25:02','2021-07-08 16:51:47',null,'1',null,'0');
INSERT INTO complaints VALUES('7648','ZAHID MEHMOOD','03425141898 , 0515513059','ISI FLATS TRamary chowk SATTRA MIL STOP ISB','8','37','11035','ORIENT','REF TO ASAD FHHS',null,'11-JUN-2016','19MP16PG','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 14:34:48','2021-07-08 12:34:38',null,'1',null,'0');
INSERT INTO complaints VALUES('7649','BUSHRA ZOHRAB','03185289595','ST NO 12 NEAR BISMILLAH STORE RAHAT BAKERS GULZAR-E-QUAIDE RWP','8','37','25960','DAWLANCE','REF TO ASAD FHHS',null,'3-JUL-2021','10SPRINTER','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 14:37:39','2021-07-08 12:30:37',null,'1',null,'0');
INSERT INTO complaints VALUES('7650','METRO POOL MALL','03170885324 , 03215159159','1 MAHFOOZ ROAD OPP CANTT PUBLIC SCHOOLSADDAR RWP','4','5','21384','GREE','REF TO KAMRAN BHR-7',null,'27-MAY-2021','24PITH1W','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 14:39:04','2021-07-08 12:28:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7651','MR ARIF','03145512457','H NO 202 ST NO 46 SEC F/11-3 ISB','5','28','134808','CARAVELL','PEL DISPENCER (REF TO ZAFAR FHHS)',null,'9-JUN-2021','115PB','WATER DISPENSER','LIGHT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 14:47:13','2021-07-25 14:41:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7652','ABDUL MAJEED','03351501916','H NO 4378 GALI 1 MISRIYAL CHOWK NEAR ARMY UNIT PESHAWAR ROAD RWP','9','23','210351','HAIER','0',null,'4-MAY-2021',null,'REFRIGERATOR','GASKIT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6254','92','2021-07-05 15:22:16','2021-07-14 14:23:03',null,'1',null,'0');
INSERT INTO complaints VALUES('7653','ALI AHMED','03425977558','H NO P1595 SHAHJAHAN PURA EID GAH SHREFF ASGHAR MALL SCHEME RWP','9','24','194526','KENWOOD','REF TO PTCL',null,'12-AUG-2020','1012SA - 902','WASHING MACHINE','SPINNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 15:34:26','2021-07-08 12:05:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7654','MR ASIM','03005270090','H NO 372 ST NO 21 PHASE 8 B.TOWN RWP','6','12','215811','SAMSUNG','REF TO KHURRAM SB',null,'20-6-2019','11J5710-S - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 15:47:42','2021-07-10 17:41:39',null,'1',null,'0');
INSERT INTO complaints VALUES('7655','QAISER RASHEED','03458526017','H NO 260 ST NO 77 SEC F/11-1 ISB','5','28','135811','ORIENT','REF TO IQBAL FCI',null,'19-JUN-2021','FLARE3-RG','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 16:02:52','2021-07-18 14:34:24',null,'1',null,'0');
INSERT INTO complaints VALUES('7656','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','HAIER','0',null,'0','398IDB - 884','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 16:11:39','2021-07-13 14:34:30',null,'1',null,'0');
INSERT INTO complaints VALUES('7657','MR KHALID','03315998124','H NO 704 ST NO 19 PHASE 4 B.TOWN RWP','8','39','50887','HAIER','0',null,'4-JUL-2021','622IBS - 908','REFRIGERATOR','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 16:20:52','2021-07-13 14:43:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7658','NOMAN RAZA','03018546791','H NO 458 BLOCK A MEDIA TOWN ISB','4','10','15140','LG','0',null,'8-JUL-2020','1066NEFTW-S - 902','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 16:44:41','2021-07-10 17:40:31',null,'1',null,'0');
INSERT INTO complaints VALUES('7659','MR FAYYAZ','03131001003','H NO 318 ST NO 11 SEC F1 PAHSE 8 B.TOWN RWP','6','12','35852','FIVE STAR','CANON DISPENCER',null,'9-JUN-2021','6500M-GRAY','AIR COOLER','LEAKAGE',null,'5','COMPALAINT CLOSED',null,'customer','0',null,'73','2021-07-05 17:03:39','2021-07-18 14:38:10',null,'1',null,'0');
INSERT INTO complaints VALUES('7660','MR TAHIR','03439649688','OFFICE NO 202-203 HM TOWER GULBERG GREEN ISB','5','28','135109','HAIER','REF TO ABU BAKAR FCI',null,'11-JUN-2021','12HFCA-G-INV - 913','AIR CONDITIONER','OUTDOOR SOUND',null,'3',null,null,'customer','0',null,'73','2021-07-05 17:17:29','2021-07-05 17:17:29',null,'1',null,'0');
INSERT INTO complaints VALUES('7661','HASSAN','03411832814 , 03187418293','H NO 58 UPPER PORTION LANE NO 2 ST NO 13 SEC H DHA 2 ISB','4','7','18969','HAIER','0',null,'31-DEC-2020','90-1789HWM - 901','WASHING MACHINE','SMELL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-05 17:23:05','2021-07-08 11:35:11',null,'1',null,'0');
INSERT INTO complaints VALUES('7662','MR AKHTER','03324743950','H NO 897 ST NO 80 SEC I/8-3 ISB','8','37','50795','WAVES','REF TO SAQLAIN FHHS',null,'3-JUL-2021','310WDF-SS - 955','FREEZER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 10:37:32','2021-07-15 15:31:48',null,'1',null,'0');
INSERT INTO complaints VALUES('7663','MR TAUQEER','03005336715','H NO 756 ST NO 18 OVERSEAS 3 PHASE 8 B.TOWN RWP','4','10','17413','PANASONIC','0',null,'1-DEC-2018','49MSAS-S - 885','REFRIGERATOR','DOOR HANDLE LOSE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 10:46:07','2021-07-10 17:39:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7664','MAJOR FAROOQ','03335378589','H NO 18 ST NO 19 KORANG TOWN ISB','4','7','20850','FIVE STAR','0',null,'30-APR-2021','999MC','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 10:55:52','2021-07-08 12:39:03',null,'1',null,'0');
INSERT INTO complaints VALUES('7665','MR AKRAM','03335101136','H NO 324 BLOCK D STREET 1 PWD HOUSING SOCIETY','4','11','19097','HAIER','0',null,'9-JAN-2021','438IDRT - 896','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 11:11:18','2021-07-10 15:20:08',null,'1',null,'0');
INSERT INTO complaints VALUES('7666','MR SAEED','03338890638','H NO 194 UPPER PORTION ST NO 52 SEC G/10-3 ISB','8','37','0','DAWLANCE','C/O ARIF BHATTI SB',null,'OUT OF WARRANTY','REF DAWLANCE','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 11:30:29','2021-07-12 16:38:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7667','M SUKTAN','03335150803','H NO 765 ST NO 35 BLOCK C CBR TOWN ISB','8','37','25843','TCL','REF TO IQBAL KRL',null,'23-6-2021','18T3B - 915','AIR CONDITIONER','GRILL UP DOWN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 11:38:28','2021-07-29 12:18:52',null,'1',null,'0');
INSERT INTO complaints VALUES('7668','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','HAIER','REF TO IQBAL FCI',null,'0','519DGG - 1122','BUILT IN APPLLIANCES','NOBS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 11:47:56','2021-07-15 14:11:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7669','ABDULHANAN','03333565072','JAMIA MASJID CHAUDHARY ABDUL MAJEED ST NO 39 PHASE 2 B.TOWN RWP','9','19','133331','SIGNATURE','REF TO PTCL',null,'11-MAY-2017','SWM-SR45 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 11:54:26','2021-07-14 13:59:20',null,'1',null,'0');
INSERT INTO complaints VALUES('7670','M QASIM','03328542885','H NO 103 PARK ROAD CHATTHA BAKHTAWAR ISB','9','24','192532','SAMSUNG','REF TO PTCL',null,'10-JUL-2020','58K6467SL-S - 909','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT COMPLETED',null,'customer','1','510','73','2021-07-06 11:56:01','2021-07-10 17:38:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7671','MR ASAD','03358595955','H NO 507 ST NO 14 BLOCK I NEAR ROOTS SCHOOL PHASE 8 B.TOWN RWP','6','16','36124','LG','0',null,'15-JUN-2021','2472EFHSTL-C','WASHING MACHINE','WATER',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2021-07-06 12:15:10','2021-07-14 13:56:25',null,'1',null,'0');
INSERT INTO complaints VALUES('7672','NAVEED SB','03335110703 , 03000534391','H NO 112 ST NO 85 SEC G/8-1 ISB','5','35','127328','HAIER','0',null,'21-DEC-2020','120-1678HWM - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 12:18:57','2021-07-10 16:12:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7673','M ISRAR','03015551380','NEAR FATIMA MASJID OPP FAUJI CAMP CHAKRA MISRIAL RWP','9','19','214257','SUPER ASIA','REF TO RIFFAT FCP',null,'19-JUN-2021','245SA - 522','WASHING MACHINE','SPINNER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 12:26:06','2021-07-14 14:14:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7674','SHAID HAMEED','03005533820','H NO 277B LANE NO 4 ST NO 1 PESHAWAR ROAD RWP CANTT','7','49','19684','HAIER','REF TO ATIF SADDAR',null,'24-AUG-2019','85-1708HWM - 945','WASHING MACHINE','TIMER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 12:33:15','2021-07-10 16:14:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7675','MAAN PANASONIC','03160566138','H NO 30 ST NO 2 PHASE 1 B.TOWN RWP','4','11','22271','ORIENT','0',null,'26-JUN-2021','CRYSTAL3-GG','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 12:43:18','2021-07-14 14:09:35',null,'1',null,'0');
INSERT INTO complaints VALUES('7676','MUHAMMAD DASTGEER','03315867862 , 03335484019','H NO 49 ST NO 47 BLOCK H SOAN GARDEN ISB','8','38','10824','TCL','1812VLR300703A00264',null,'26-SEP-2019','43D3000 - 869','FLAT PANEL TV','DISPLAY PROBLEM',null,'3',null,null,'customer','0',null,'73','2021-07-06 12:46:13','2021-07-06 12:46:13',null,'1',null,'0');
INSERT INTO complaints VALUES('7677','MEHMOOD SB','03361448870','H NO 43 PAK BLOCK ALLAMA IQBAL TOWN LAHORE','8','37','0','KENWOOD','REF TO PTCL(MANUAL BILLA WARRANTY CARD)',null,'IN WARRANTY','930SA-KWM - 901','WASHING MACHINE','not working',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 13:08:01','2021-07-18 14:55:10',null,'1',null,'0');
INSERT INTO complaints VALUES('7678','RIAZ AHMED','03335707094','H NO 13 ST NO 4 SEC J DHA 2 ISB','9','22','213177','SIGNATURE','REF TO PTCL',null,'10-JUN-2021','X3','BUILT IN APPLLIANCES','DEMO & SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 13:17:45','2021-07-10 17:22:27',null,'1',null,'0');
INSERT INTO complaints VALUES('7679','MR UMAR','03335225189','H NO 641 ROAD D PHASE 5 B.TOWN RWP','4','5','7114','LG','REF TO KAMRAN PWD',null,'6-JAN-2019','4J6TNP8S-S - 899','WASHING MACHINE','DRAIN PROBLEM',null,'4',null,null,'customer','0',null,'73','2021-07-06 13:24:39','2021-07-06 13:25:11',null,'1',null,'0');
INSERT INTO complaints VALUES('7680','FASIULLAH SB','03339172379','H NO 25 ST NO 10/1 SEC B-1 BAHRIA ENCLAVE ISB','8','42','49889','KENWOOD','0',null,'10-JUN-2021','1228S-INV - 913','AIR CONDITIONER','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 13:29:34','2021-07-08 12:38:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7681','MRS SHUJA','03339349283','ATTOCK PETROL PUMP MUZAFAR STREET MISRIYAL ROAD  RWP CANTT','9','24','162055','HAIER','0',null,'6-DEC-2018','95-1678HWM - 1817','WASHING MACHINE','DRYER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 13:33:28','2021-07-13 14:24:37',null,'1',null,'0');
INSERT INTO complaints VALUES('7682','SAJJAD AHMED','03339349283','ATTOCK PETROL PUMP MUZAFAR STREET MISRIYAL ROAD RWP CANTT','9','24','168085','SUPER ASIA','0',null,'28-MAR-2019','500SHD - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 13:42:56','2021-07-14 14:05:58',null,'1',null,'0');
INSERT INTO complaints VALUES('7683','MRS SHUJA','03339349283','ATTOCK PETROL PUMP MUZAFAR STREET MISRIYAL ROAD RWP CANTT','9','24','162055','SIGNATURE','0',null,'28-MAR-2019','3760 - 1122','BUILT IN APPLLIANCES','BURNERS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 13:45:18','2021-07-10 17:21:49',null,'1',null,'0');
INSERT INTO complaints VALUES('7684','MISS ZARA','03343500192','H NO 483 ST NO 15A PARK ENCLAVE PARK ROAD CHAK SHAHZAD ISB','5','31','133584','ORIENT','0',null,'26-MAY-2021','18G-ALPHA - 914','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7024','73','2021-07-06 14:01:03','2021-08-02 15:09:54',null,'1',null,'0');
INSERT INTO complaints VALUES('7685','OWAIS SB','03052227872','OPP MIAN GROUP OF CHAKWAL ELE SNOOKER CLUB SCHEME 3 RWP','9','24','213393','HAIER','REF TO SAQIB FCP',null,'12-JUN-2021','18HFCN-W-INV','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 14:25:40','2021-07-15 12:28:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7686','IJAZ MEHMOOD','03087778105 , 03005100180','J277A-1 ST NO 37 ARYAN MOHALLAH MURREE ROAD RWP','9','20','215179','ORIENT','0',null,'1-JUL-2021','3SR-CRYSTAL','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 14:32:26','2021-07-24 16:54:04',null,'1',null,'0');
INSERT INTO complaints VALUES('7687','BRIG KHALID','03334311400','H NO E25 ROAD 46 SEC F DHA 1 RWP','8','38','50914','SAMSUNG','0FQN36PR500005',null,'5-JUL-2021','85Q70A-M','FLAT PANEL TV','TUNNING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 14:56:19','2021-07-14 14:03:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7688','BILAL FHS','03120578711','FRIENDS HOME SHAMSABAD MURREE ROAD RWP','8','41','0','SAMSUNG','0',null,'0','55TU7000','FLAT PANEL TV','PANEL',null,'8',null,null,'customer','0',null,'73','2021-07-06 15:08:46','2021-08-21 14:50:45',null,'1',null,'0');
INSERT INTO complaints VALUES('7689','JAMSHED BUKHARI','03018553046','HO#240 ST#31 PAK ENCLAVE ISB','8','39','43856','MITSUBISHI','0',null,'30-NOV-2020','50VA - 915','AIR CONDITIONER','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','1','7030','73','2021-07-06 15:19:13','2021-07-08 15:41:10',null,'1',null,'0');
INSERT INTO complaints VALUES('7690','DR JAWAD IQBAL','03335200551','HOUSE 157 ST 47 F10/4','5','33','127401','SAMSUNG','0',null,'23-DEC-2020','85Q60T-S','FLAT PANEL TV','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-06 16:20:43','2021-07-14 13:53:06',null,'1',null,'0');
INSERT INTO complaints VALUES('7691','MR HAMZA ASLAM','03075480954','HOUSE 1344 ST 57OPP FOTBOOL GROUND FAISAL TOWN F18 TORNOL ISB','5','33','135615','GREE','0',null,'17-JUN-2021','18FITH6S-496','AIR CONDITIONER','FLAPEER AND SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-06 16:33:37','2021-07-10 14:50:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7692','MRS SHAFIQ','03022710000','H NO 82B ST NO 9 SEC B  NAVAL FARMS SINMBLI DAM ROAD','5','36','124184','SONY','0',null,'19-NOV-2020','75X8000H-CC','FLAT PANEL TV','PANEL LINE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 16:41:30','2021-07-14 13:43:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7693','ADIL ALI','03040112345','H NO 1032 ST NO 46 BLOCK B SEC B/17 ISB','5','36','125801','SHARP','0',null,'5-DEC-2020','X635HS3','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 16:48:58','2021-07-14 13:41:35',null,'1',null,'0');
INSERT INTO complaints VALUES('7694','MR SALMAN','03335619997','H NO 13A ST NO 16 SEC F/7-2 ISB','5','30','81915','SIGNATURE','0',null,'27-FEB-2017','SWM-JD51 - 902','WASHING MACHINE','ERROR E5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 16:52:31','2021-07-14 13:13:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7695','NASIR','03215288494','EMAAN INTERIORS WALLAYAT COMPLEX NEAR RABI CENTRE PHASE 7 B.TOWN RWP','6','12','36678','CARAVELL','VATTI DISPENCER',null,'5-JUL-2021','21VWD','WATER DISPENSER','COOLING & LIGHT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 17:03:56','2021-07-18 14:57:45',null,'1',null,'0');
INSERT INTO complaints VALUES('7696','QADEER AHMED','03415000780 , 03445052116','H NO GB76 REHAMATABAD BLOCK B CHAKLALA SCHEME 3 RWP','9','19','211987','HAIER','REF TO PTCL',null,'31-MAY-2021','438EBS - 896','REFRIGERATOR','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 17:21:31','2021-07-11 15:21:39',null,'1',null,'0');
INSERT INTO complaints VALUES('7697','MRS KHALID','03332659823','H17 POWER AVENUE SEC E DHA 2 ISB','5','53','120614','HAIER','0',null,'11-AUG-2020','120-826E - 906','WASHING MACHINE','ERROR E1 DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 17:31:36','2021-07-11 15:26:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7698','RASHID SALEEM','03335159257','H NO 648 OPP PUMA PETROL PUMP EIDGAH RWP','7','49','22549','SAMSUNG','0',null,'6-DEC-2020','15J5730SS-SS','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 17:35:32','2021-07-10 17:18:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7699','JAHANGIR KAYANI','03215181073','H NO 8 ST NO 7 OVERSEAS SEC 7 PHASE 8 B.TOWN RWP','8','40','50649','GREE','0',null,'28-JUN-2021','18FITH4WB - 915','AIR CONDITIONER','ERROR E6',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 17:38:17','2021-07-12 14:26:52',null,'1',null,'0');
INSERT INTO complaints VALUES('7700','DR OSAMA','03214444563','H NO 101 ST NO 22 SEC F/10-2 ISB','5','35','136739','ORIENT','0',null,'3-JUL-2021','18GELEGANT-SW','AIR CONDITIONER','SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 17:41:36','2021-07-14 13:40:58',null,'1',null,'0');
INSERT INTO complaints VALUES('7701','ARHAM MAQBOOL','03345200355','H NO 100 KHAN AVENUE NEAR SHELL PUMP SCHEME 3 RWP','9','22','148468','SAMSUNG','0',null,'11-MAR-2018','1STMG - 903','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-06 17:50:26','2021-07-10 17:14:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7702','AZEEM SB','03315420488','FRIENDS GULNOOR MARKET RWP','9','19','0','HAIER','REF TO AZEEM SB',null,'0','385HDF-INV - 1468','FREEZER','DAMAGED',null,'3',null,null,'customer','0',null,'73','2021-07-07 10:36:31','2021-07-07 10:36:31',null,'1',null,'0');
INSERT INTO complaints VALUES('7703','MR SHAMRAIZ','03325031621 , 03465458998','VILLAGE TERMUTHIAN POST OFFICE BEWAL TEHSIL MURREE DIS RWP','9','51','157208','HAIER','0',null,'18-AUG-2018','398EBS - 884','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 10:40:18','2021-08-02 15:08:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7704','AYEED MUHAMMAD','03455376636','H NO 854B SATELLITE TOWN RWP','8','37','50755','ORIENT','REF TO SAQLAIN FHHS',null,'1-JUL-2021','12G-HYPER-SW - 913','AIR CONDITIONER','WIFI',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 10:42:39','2021-07-18 17:52:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7705','IQBAL FCI','03465166132','FRIENDS BLUE AREA ISB','5','28','0','HAIER','REF TO IQBAL FCI',null,'0','18HFCF-W-INV - 915','AIR CONDITIONER','SWING',null,'3',null,null,'customer','0',null,'73','2021-07-07 10:45:23','2021-07-07 10:45:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7706','ALI RAZA','03349758108','H NO 123 ROAD A PHASE 4 B.TOWN RWP','8','37','14773','SAMSUNG','0',null,'14-FEB-2016','16J6750SPGT - 1643','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 10:49:25','2021-07-10 17:12:18',null,'1',null,'0');
INSERT INTO complaints VALUES('7707','ARSHAD IQBAL','03347938268','PLAZA NO 64 3RD FLOOR DANIYAL PLAZA LINERA COMMERCIAL PHASE 8 B.TOWN RWP','8','39','46945','HAIER','0',null,'9-MAR-2021','18HFCF-W-INV - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 10:54:23','2021-07-13 13:48:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7708','DR UZMA','03215572995','H NO 16 ST NO 13 SEC E DHA 2 ISB','6','15','33306','CARAVELL','PEL DISPENCER',null,'22-FEB-2021','115PMI','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 11:03:02','2021-07-10 12:30:22',null,'1',null,'0');
INSERT INTO complaints VALUES('7709','KAUSAR ABBAS','03205202955','H NO 1456 ST NO 70 SEC F DHA 1 RWP','6','15','26762','SIGNATURE','0',null,'21-MAR-2020','SCF-HM13 - 956','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 11:05:26','2021-07-14 13:13:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7710','TAHIR MEHMOOD','03335588961','CHATRI CHOWK KHANNAPUL ISB','8','42','41276','SIGNATURE','0',null,'22-JUL-2020','3762G - 1122','BUILT IN APPLLIANCES','NOBS PROBLEM',null,'5','COMPLAIN T CLOSED',null,'customer','0',null,'73','2021-07-07 11:15:17','2021-07-19 14:45:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7711','MR SAGHEER','03345222133','H NO 80 ST NO 4 GULSHAN-E-ESAEED 2 NEAR PSO PUMP CHAKARI ROAD RWP','9','21','148911','HAIER','0',null,'3-FEB-2018','306ECS-HRF - 859','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 11:29:27','2021-07-17 12:49:27',null,'1',null,'0');
INSERT INTO complaints VALUES('7712','TAIMOOR','03100058092','H NO 7 ST NO 35 SEC G/14-4 ISB','9','23','205713','FIVE STAR','0',null,'15-FEB-2021','35G-TWIN SUPREME - 963','GEYSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 11:34:16','2021-07-14 13:14:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7713','TAIMOOR','03100058092','H NO 7 ST NO 35 SEC G/14-4 ISB','9','23','192648','HAIER','0',null,'13-JUL-2020','150-1789HWM - 1706','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 11:40:16','2021-07-17 12:46:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7714','JAMALBHAI','03355557778 , 03104116608','H NO 796 ST NO 11 SEC G/11-1 ISB','8','37','25764','ORIENT','REF TO TAHA SOHAIL',null,'16-JUN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','SOUND AND COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 11:46:55','2021-07-16 15:16:31',null,'1',null,'0');
INSERT INTO complaints VALUES('7715','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','HAIER','REF TO IQBAL FCI',null,'0','100AS-WM - 69','WASHING MACHINE','BODY COVER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 11:51:22','2021-07-13 13:39:31',null,'1',null,'0');
INSERT INTO complaints VALUES('7716','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','HAIER','REF TO IQBAL FCI',null,'0','18HFMAE.','AIR CONDITIONER','PCB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 11:52:27','2021-07-15 14:37:58',null,'1',null,'0');
INSERT INTO complaints VALUES('7717','TAYYAB','03005300344','H NO 79/2 BLOCK A ERAN ROAD SATELLITE TOWN RWP','5','35','136318','BOSCH','0',null,'28-JUN-2021','9A6D70M - 1122','BUILT IN APPLLIANCES','BURNER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 11:58:37','2021-07-09 14:53:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7718','HAMZA SB','03214314898 , 03408157470','F2 597 JOHAR TOWN LAHORE','9','24','200404','ORIENT','0',null,'1-DEC-2020','18G-ROYAL-CW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 12:01:06','2021-07-15 16:02:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7719','LIAQAT SB','03015008040','TEHZEEB BAKERS GT ROAD NEAR GATE BHR-7 RWP','9','23','202787','HAIER','0',null,'23-DEC-2020','545INV-HDF - 959','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 12:05:41','2021-07-11 17:17:31',null,'1',null,'0');
INSERT INTO complaints VALUES('7720','MUHAMMAD MASOOD KHAN','03335305408 , 03315654477','H NO 382 SEC A ST NO 14 B.TOWN PHASE 8 B.TOWN RWP','6','12','34895','ORIENT','REF TO ZAHID PWD',null,'4-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 12:11:35','2021-07-15 14:31:47',null,'1',null,'0');
INSERT INTO complaints VALUES('7721','COL SALMAN','03101686135','MILITARY GATE NEAR DAEWOO TERMINAL PESHAWAR ROAD RWP','9','24','215195','HAIER','0',null,'1-JUL-2021','285SD - 956','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 12:14:52','2021-07-11 15:56:37',null,'1',null,'0');
INSERT INTO complaints VALUES('7722','EID KHAN','03056464627 , 03446529436','NEW NASHEMAN S4F NEAR APS SCHOOL ALLABAD RWP','9','21','189376','SIGNATURE','0',null,'28-MAY-2020','MD49-W - 1980','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 12:23:08','2021-07-14 13:14:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7723','MR SHAHID','03005556166','H NO 14 ST NO 48 SEC F DHA 1 RWP','6','16','363537','ORIENT','0',null,'1-JUL-2021','FLARE3-RG','WATER DISPENSER','COOLING AND LIGHT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 12:25:52','2021-08-02 15:02:39',null,'1',null,'0');
INSERT INTO complaints VALUES('7724','MR SHAHID','03005556166','H NO 141 ST NO 48 SEC F DHA 1 RWP','6','16','36537','HAIER','0',null,'1-JUL-2021','678TGG','REFRIGERATOR','DOOR ALLIGHNMENT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 12:27:49','2021-07-10 16:59:18',null,'1',null,'0');
INSERT INTO complaints VALUES('7725','MR QAISER','03215225927 , 03315234699','ATTOCK PUMP NEAR ALLIED SCHOOL JARAI STOP ADYALA ROAD RWP CANTT','9','19','214873','HAIER','REF TO SAQIB FCP',null,'27-JUN-2021','438EPCW - 896','REFRIGERATOR','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 12:33:57','2021-07-24 14:45:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7726','ANJUM SB','03335551766','H NO 468 LANE NO 6 WESTRIDGE 1 RWP','7','49','23492','GREE','REF TO ATIF SADDAR',null,'2-MAY-2021','18FITH1S - 915','AIR CONDITIONER','INDOOR SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 12:42:16','2021-07-17 17:03:07',null,'1',null,'0');
INSERT INTO complaints VALUES('7727','AKMAL RAZA','03445297512','H NO 16 ST NO 17 SEC C DHA 1 RWP','4','7','15843','HAIER','0',null,'12-AUG-2020','18HJ-W INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 13:08:00','2021-07-11 16:13:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7728','MRS MAZAR','03005193121','H NO 262 MAIN ROAD PHASE 6 B.TOWN RWP','4','5','22444','DAWLANCE','REF TO NAFEES FHS',null,'4-JUL-2021','1035WBGD-AVANTE','FREEZER','LIGHT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 13:13:09','2021-07-10 14:37:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7729','SHAGUFTA ABID','03215757299','H NO 234 SUN SET  GREEN AVENUE CHATTA BAKHTAWAR ISB','5','36','131890','HAIER','0',null,'16-APR-2021','438IDBA','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 13:17:18','2021-07-15 12:03:44',null,'1',null,'0');
INSERT INTO complaints VALUES('7730','MISS SUMMAIYA','03337469333','H NO 910 ST NO 48A SEC E/11-4 NPF ISB','5','31','130355','GREE','0',null,'13-MAR-2021','18PITH2W','AIR CONDITIONER','SWING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 13:22:54','2021-08-10 14:34:08',null,'1',null,'0');
INSERT INTO complaints VALUES('7731','MISS SUMMAIYA','03337469333','H NO 910 ST NO 48A SEC E/11-4 NPF ISB','5','31','78606','SIGNATURE','0',null,'24-SEP-2016','SCR-FSB3-5G - 1605','COOKING RANGE','BURNER PROBLEM',null,'4',null,null,'customer','0',null,'73','2021-07-07 13:22:56','2021-07-07 13:24:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7732','RIZWAN TARIQ','03235419198','LINE ART ITTEhad ARCADE FAZAL HAQ ROAD BLUE AREA ISB','5','36','134970','GREE','0',null,'10-JUN-2021','18FITH3W','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 13:42:10','2021-07-14 13:15:25',null,'1',null,'0');
INSERT INTO complaints VALUES('7733','CH ABDUL HAQ','03321580713','H NO 131 ST NO 10 SEC E PHASE 8 B.TOWN RWP','6','15','29188','HAIER','0',null,'18-AUG-2020','90-1789HWM - 901','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 13:49:13','2021-07-11 11:19:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7734','COL FAHEEM','03215295972 , 03207892669','HAMZA CAMP FAIZABAD MURREE ROAD','5','34','126704','SAMSUNG','0',null,'6-DEC-2020','32M71207F-S - 1468','FREEZER','HANDLE PROBLEM',null,'4',null,null,'customer','0',null,'73','2021-07-07 13:53:29','2021-07-07 14:03:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7735','MR ALTAF','03335476880','H NO 7 ST NO 29 SEC F/7-1 ISB','5','36','103104','SIGNATURE','0',null,'26-MAR-2019','FC90S - 1122','BUILT IN APPLLIANCES','NOBS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 14:02:16','2021-07-17 13:28:10',null,'1',null,'0');
INSERT INTO complaints VALUES('7736','MR ABID','03335938938','H NO 85 SEC A URBAN BULYWARD BAHRIA ENCLAVE ISB','8','39','47491','MITSUBISHI','0',null,'1-APR-2021','50VA - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 14:15:24','2021-07-08 15:40:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7737','MRS AMJAD','03035220556 , 03205481702','H NO 226/1 KHADIM HUSSAIN ROAD LALKURTI RWP','6','15','28693','LG','0',null,'27-JUL-2020','257SLLV-S - 909','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 15:01:36','2021-07-19 14:44:27',null,'1',null,'0');
INSERT INTO complaints VALUES('7738','SHARIQ ALI','03005131969','H NO 1053-B ST NO 49A ROAD C PHASE 7 B.TOWN RWP','6','15','35646','HAIER','0',null,'3-JUN-2021','206W','WATER DISPENSER','SOUND AND COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 15:04:12','2021-07-27 14:01:04',null,'1',null,'0');
INSERT INTO complaints VALUES('7739','BRIG KHALID','03335247116 , 03467072278 , 0518351034','H NO 1B ASKARI 7 ADYALA ROAD RWP CANTT','9','19','0','LG','REF TO PTCL(ON PAYMENT)',null,'OUT OF WARRANTY','TOP LOAD','WASHING MACHINE','COLD WATER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 15:13:56','2021-07-24 11:01:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7740','ZAMAN IQBAL','03303633338','H NO 572 ST NO 30SEC F DEFENCE VILLAS DHA 1 RWP','6','12','34744','ORIENT','0',null,'2-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 15:20:03','2021-07-14 13:16:17',null,'1',null,'0');
INSERT INTO complaints VALUES('7741','WAQAR ALVI SB','03355626262','H NO 47 ST NO 5 SEC A SAFARI HOMES B.TOWN PHASE 8 RWP','9','19','0','SIGNATURE','0N PAYMENT',null,'OUT OF WAAARANTY','SVF-CG1SS - 956','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 15:34:54','2021-07-10 17:11:21',null,'1',null,'0');
INSERT INTO complaints VALUES('7742','CH IMRAN','03165403161','VILLAGE SIHALA NEAR RAWAL LINE MAIN KHAHUTA ROAD ISB','6','12','20543','HAIER','0',null,'28-APR-2019','200-1678 - 1619','WASHING MACHINE','WATER DRAIN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','5778','73','2021-07-07 15:50:11','2021-07-24 14:40:20',null,'1',null,'0');
INSERT INTO complaints VALUES('7743','MR RIZWAN','03005317117 , 03155978786','H NO 2474 ST NO 158 SEC 4 GULSHANABAD RWP CANTT','9','27','205823','SIGNATURE','HOOD',null,'17-FEB-2021','A2','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 15:54:49','2021-07-17 16:41:24',null,'1',null,'0');
INSERT INTO complaints VALUES('7744','MRS AHMED','03215333346','H NO 26 ST NO 8 SEC E/11-2 ISB','5','34','127207','KENWOOD','2436S',null,'17-DEC-2020',null,'AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6287','73','2021-07-07 16:11:19','2021-07-31 15:39:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7745','RAZA SHAH','03219598692','H NO 5 GOR 1 NATIONALPARK ROAD NEAR JINNAH PARK RWP','7','49','24082','HAIER','0',null,'5-JUL-2021','18HFMAC','AIR CONDITIONER','SMELL PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 16:17:56','2021-07-10 14:07:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7746','ASIF SB','03072777333','SHEIKH CATTLE AND DAIRY FARM DIS ATTOCK TEHSIL FATEH JUNG DHOK SYEDAN','9','51','0','SAMSUNG','04MN36GM500436D',null,'15-11-2020','UA55NU7100RSMZ','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 16:30:32','2021-07-13 15:49:06',null,'1',null,'0');
INSERT INTO complaints VALUES('7747','SHEHROZ MUMTAZ','03335130713','H NO 64 ST NO 9 SEC C DHA 2 ISB','8','39','50652','KENWOOD','0',null,'28-JUN-2021','1214HC-INVERTER - 913','AIR CONDITIONER','GAS PROBLEM',null,'5','COMPLAINT COMPLETED',null,'customer','0',null,'73','2021-07-07 17:02:00','2021-07-13 12:42:16',null,'1',null,'0');
INSERT INTO complaints VALUES('7748','AHMED SB','03008507779','H NO 616 ST NO 10 SEC G/11-1 ISB','8','37','50868','KENWOOD','0',null,'4-JUL-2021','26657GD-BKG','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 17:13:03','2021-07-10 13:57:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7749','KASHIF PERVAIZ','03345105775','H NO 252 ST NO 31 SEC G/8-2 ISB','5','34','133527','ORIENT','0',null,'25-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','INDOOR SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 17:17:37','2021-07-12 15:55:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7750','KASHIF PERVAIZ','03345105775','H NO 252 ST NO 31 SEC G/8-2 ISB','5','34','133527','GREE','0',null,'25-MAY-2021','18PITH2W','AIR CONDITIONER','INDOOR SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 17:19:42','2021-07-12 14:54:48',null,'1',null,'0');
INSERT INTO complaints VALUES('7751','MUHAMMAD MOHSIN','03337843256','H NO 2389 ST NO 56 ABU BAKAR BLOCK PHASE 8 B.TOWN RWP','7','49','24086','ORIENT','0',null,'6-JUL-2021','18G-SUPER - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 17:36:37','2021-07-18 17:36:03',null,'1',null,'0');
INSERT INTO complaints VALUES('7752','IMRAN JAMEEL','03215360133','H NO 210E ST NO 32 SEC I/8-2 ISB','4','5','50923','KENWOOD','REF TO SAQLAIN',null,'5-JUL-2021','26657GD-BKG','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 17:39:39','2021-07-12 15:50:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7753','MR BILAL','03005566006','H NO 7 ST NO 29 SEC F/8-1 ISB','5','31','110694','SIGNATURE','0',null,'7-NOV-2019','SCF-HM09 - 954','FREEZER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 17:44:11','2021-07-19 14:42:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7754','YASIR SB','03205551407','H NO 227 ST NO 11 NEAR GRAND HOTEL SEC E/11-1 ISB','8','42','49081','GREE','0',null,'26-MAY-2021','18PITH2W','AIR CONDITIONER','ERROR E8',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 18:00:19','2021-07-10 13:30:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7755','MR SAJID','03005545886','H NO 13 ST NO 4 BLOCK E SOAN GARDEN ISB','7','49','24087','ORIENT','0',null,'6-JUL-2021','18G-SUPER - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 18:04:07','2021-07-10 13:27:55',null,'1',null,'0');
INSERT INTO complaints VALUES('7756','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','SAMSUNG','REF TO ASLAM SB',null,'0','65TU8500','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 18:33:27','2021-07-08 17:33:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7757','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','SAMSUNG','0',null,'0','43TU7000','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-07 18:34:29','2021-07-08 17:33:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7758','ADNAN','03008588445','BUILDING 18 WEST FLAT NO 114 OPP ATTOCK PUMP SEC  F/11-1 ISB','5','34','133621','KENWOOD','0',null,'26-MAY-2021','1828S-INV - 915','AIR CONDITIONER','FLAPPERS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 10:39:20','2021-07-31 15:41:17',null,'1',null,'0');
INSERT INTO complaints VALUES('7759','ZEESHANUL HAQ','03335360977','H NO 34 ST NO 4 BLOCK G GROUND FLOOR NAVAL ENCOURAGE  ISB','5','35','125676','ORIENT','0',null,'4-DEC-2020','475HGRAND-HS','REFRIGERATOR','WATER LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 10:44:13','2021-08-04 15:20:57',null,'1',null,'0');
INSERT INTO complaints VALUES('7760','IQBAL FCI','03465166132','FRIENDS BLUE AREA ISB','5','28','0','SIGNATURE','REF TO IQBAL FCI',null,'0','MD50W','REFRIGERATOR','COOLING PROBLEM',null,'8',null,null,'customer','0',null,'73','2021-07-08 10:56:02','2021-07-17 13:25:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7761','COL ABDUL AZIZ','03215717853 , 03068907728','H NO 19 LANE 6 ST NO 10 SEC B DHA 2 ISB','9','19','139769','SIGNATURE','0',null,'28-AUG-2017','SWM-JD51 - 902','WASHING MACHINE','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 11:21:02','2021-07-12 17:32:42',null,'1',null,'0');
INSERT INTO complaints VALUES('7762','MAJID TAHIR','03005361401','H NO 10 STREET LIAQAT AVENUE JINNAH GARDEN ISB','9','19','0','KENWOOD','REF TO KENWOOD',null,'ON PAYMENT','1012SA - 902','WASHING MACHINE','SPINNER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 11:29:05','2021-08-21 14:57:47',null,'1',null,'0');
INSERT INTO complaints VALUES('7763','SAJJAD AHMAD','03009107672','MUHALLAH NEW EIDGAH PANIYAN VILLAGE HARIPUR','9','23','133341','HAIER','0',null,'11-MAY-2017','618HRF-SS - 903','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7367','73','2021-07-08 11:36:55','2021-07-13 14:41:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7764','NAYER ABBASI','03009553747','H NO 11 IBN-E-SINA ROAD SEC G/10-3 ISB','5','31','136872','SAMSUNG','0',null,'6-JUL-2021','64R5331-S','REFRIGERATOR','DEMO',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 11:43:06','2021-07-10 17:10:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7765','PINSTECH','03124553448 , 03065223668','PAEC NILORE ISB','8','47','0','HAIER','REF TO MANUAL BILL',null,'31-3-21','50K6600UG','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 12:10:57','2021-07-11 11:24:36',null,'1',null,'0');
INSERT INTO complaints VALUES('7766','WASIM KHALID','03215169956 , 03315221234','H NO 20 BLOCK 5 NEAR BUTT MARKET FAISALCOLONY AIRPORT ROAD RWP','8','37','22479','ORIENT','0',null,'6-JUL-2021','ICON3','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 12:25:21','2021-07-12 14:50:59',null,'1',null,'0');
INSERT INTO complaints VALUES('7767','ISHTIAQ AHMED','03335121648','H NO 715D STNO 22 SEC I/8-2 ISB','9','21','100030','SAMSUNG','0',null,'7-MAY-2015','1UTMG - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 12:30:16','2021-08-02 12:53:33',null,'1',null,'0');
INSERT INTO complaints VALUES('7768','TARIQ KHAN','03335460108','H NO 490 ST NO 15 SEC F1 PHASE 8 B.TOWN RWP','6','15','33712','HAIER','0',null,'15-MMAR-2021','631DGG - 1122','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 12:37:42','2021-07-11 11:26:32',null,'1',null,'0');
INSERT INTO complaints VALUES('7769','MRS IRFAN','03315293365','H NO 199 ST NO 49 SEC G/14-4 ISB','9','19','0','SIGNATURE','ON PAYMENT',null,'OUT OF WARRANTY','V/F SIGNTURE','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 12:49:40','2021-07-16 13:21:24',null,'1',null,'0');
INSERT INTO complaints VALUES('7770','USMAN SB','03138666866 , 03138666366','CHICKEN BROAST OPP OUTFITTERS MAIN PWD ISB','8','37','50695','CARAVELL','0',null,'30-JUN-2021','400CAC - 1110','AIR CURTAIN','AUTO',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 13:07:02','2021-07-18 17:29:44',null,'1',null,'0');
INSERT INTO complaints VALUES('7771','SYED SALMAN','03085087739','H NO 2 ST NO 2 SOHAN FAIZABAD NEAR UNION COUNCIL ISB','9','19','151042','SIGNATURE','REF TO PTCL CALL',null,'25-APR-2018','SWM-JD46 - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 13:15:02','2021-07-12 17:28:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7772','MR UMAIR','03345555195','H NO 104 ST NO 7 BLOCK C PHASE 1 CBR TOWN','9','19','0','SIGNATURE','REF TO PTCL CALL',null,'OUT WARRANTY','SWM-SR45 - 899','WASHING MACHINE','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 14:04:19','2021-07-29 12:09:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7773','BURHAN KHAN','03099662633 , 03170502780','H NO 1688 ST NO 60 PHASE 3 B.TOWN RWP','9','19','138436','SIGNATURE','REF TO PTCL',null,'2-AUG-2017','SWM-JD56 - 1643','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 14:24:28','2021-07-14 13:20:57',null,'1',null,'0');
INSERT INTO complaints VALUES('7774','SAEED HASSAN','03455556373','H NO 3 ST NO 18 SEC C BAHRIA ENCLAVE ISB','5','35','127120','ECOSTAR','0',null,'14-DEC-2020','241B01W','AIR CONDITIONER','SWING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 15:18:46','2021-07-12 14:27:30',null,'1',null,'0');
INSERT INTO complaints VALUES('7775','ZIA AHMED','03215906590 , 03219509510','H NO 79C SATELLITE TOWN RWP','5','34','31100','SIGNATURE','REF TO PTCL',null,'9-DEC-2018','MM9R - 1124','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 15:21:16','2021-07-14 13:25:50',null,'1',null,'0');
INSERT INTO complaints VALUES('7776','JUNAID AHMED','03325478465 , 03008547816','H NO 2 REV SIDE ENCLAVE KORANG ROAD BANNI GALA ISB','5','28','116100','GREE','REF TO AZHAR RAMZAN',null,'1-MAY-2020','18FITH1C - 915','AIR CONDITIONER','ERROR H5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 15:28:41','2021-07-12 14:23:53',null,'1',null,'0');
INSERT INTO complaints VALUES('7777','MR HANZALA','03349588085','H NO 1327 ST NO 4E  PHASE 1 EXTENSION B.TOWN RWP','9','22','153355','SIGNATURE','0',null,'2-JUN-2018','SRF-HM100 - 908','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 15:32:06','2021-07-12 17:22:16',null,'1',null,'0');
INSERT INTO complaints VALUES('7778','SYED MEHRAN SHAH','03338424935 , 03485672245','AAD MESS ABID MAJEED ROAD NEAR MH HOSPITAL RWP CANTT','7','49','23202','HAIER','0',null,'19-MAR-2021','50K6600UG','FLAT PANEL TV','PANEL LINE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 15:37:10','2021-07-27 13:50:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7779','SABIR KHAN','03135673244 , 03022769959','H NO 1045 ST NO 49 PHASE 7 B.TOWN RWP','4','5','21338','ORIENT','REF TO PTCL',null,'26-MAY-2021','18G-ELEGANT-SW','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 15:40:44','2021-07-12 17:21:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7780','DR SAIMA','03225152168','FLAT NO 4 BLOCK NO E-3 PIMS COLONY SEC G/8-3 ISB','5','34','129657','LG','0',null,'24-FEB-2021','502SQCL-CC','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 15:45:26','2021-07-18 16:44:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7781','ASAD JAHANGIR','03018583318','H NO 54 ST NO 2 OMER BLOCK KASHMIR HIGHWAY SEC H13 ISB','9','19','157759','HAIER','REF TO ADIL FHHS',null,'28-AUG-2018','588TGP-HRF - 885','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 16:32:54','2021-07-12 13:54:29',null,'1',null,'0');
INSERT INTO complaints VALUES('7782','MR HASHIR','03315080304','H NO 600 ST NO 27 BLOCK D PWD ISB','4','11','22383','PANASONIC','0',null,'3-JUL-2021','18WKF-9','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 16:53:22','2021-07-14 13:26:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7783','MUHAMMAD ARSHAD','03335775939','H NO 189E ST NO 8 GULRAIZ 2 RWP','6','14','19050','ORIENT','0',null,'6-JAN-2021','55S-ANIMATION','FLAT PANEL TV','REMOTE SENSOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 17:00:53','2021-07-18 17:24:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7784','INAAM','03355007429','H NO 50 ST NO 154 SEC D/12-4 ISB','8','37','50218','BOSCH','0',null,'16-JUN-2021','65VI20M-C','REFRIGERATOR','FREEZER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 17:05:18','2021-07-15 12:51:07',null,'1',null,'0');
INSERT INTO complaints VALUES('7785','BASHEER AHMED','03119357402','H NO 7 ST NO1B MUMTAZ CITY TOP CITY NEAR AIRPORT ISB','9','23','215401','GREE','0',null,'4-JUL-2021','12FITH1C - 913','AIR CONDITIONER','PCB CARD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 17:15:58','2021-07-18 11:40:21',null,'1',null,'0');
INSERT INTO complaints VALUES('7786','DR FARRUKH','03008540328','H NO4 ST NO 69 SEC F/8-3 ISB','5','31','101890`','GREE','0',null,'4-FEB-2019','24CITH12G - 917','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-08 17:18:46','2021-07-17 12:48:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7787','MR ATHAR QAYYUM','03051052238','FLAT#04 GROUND FLOOR AWAMI VILLAS 05 BAHRIA TOWN PHASE 08 RWP','6','15','28074','ORIENT','SALE ADVISOR ZARA',null,'30-JUN-2020','18G-BOLD-UW-INV - 915','AIR CONDITIONER','ERROR F-5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-07-09 12:08:30','2021-07-12 13:43:20',null,'1',null,'0');
INSERT INTO complaints VALUES('7788','DR MAQSOOD','03005014135','HO#28 MARGALA ROAD SEC F-8/3 ISB','5','31','98048','SIGNATURE','0',null,'24-SEP-2018','SWM-JD56 - 1643','WASHING MACHINE','TOUCH PANEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-07-09 12:24:46','2021-07-19 14:41:55',null,'1',null,'0');
INSERT INTO complaints VALUES('7789','MR ZEESHAN','03005000832','HO#10 ST 02 SEC F-6/3 ISB','8','37','0','KENWOOD','C/O SADEEQ SIR COMPLAINT KHURRAM GOOGLE SIR NAY BAJI HAY   INVERTER KI COMPLAINT HAY',null,'01-YEAR-AGO',null,'AIR CONDITIONER','DAMAGE',null,'3',null,null,'customer','0',null,'92','2021-07-09 12:46:07','2021-07-09 12:46:07',null,'1',null,'0');
INSERT INTO complaints VALUES('7790','NAVEED FCP','03005213783','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','WAVES','MODAL#310',null,'0',null,'FREEZER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-07-09 13:29:28','2021-07-12 13:40:47',null,'1',null,'0');
INSERT INTO complaints VALUES('7791','MR SARWAR BUTT','03245484225','HO#579 MOHAALAH RAJA SULTAN SAID PUR NEAR JAME-ABDULH MADRSA RWP','9','19','208905','GREE','MODAL#18PITH1W',null,'08-APR-2021',null,'AIR CONDITIONER','INDOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-07-09 13:35:48','2021-07-12 13:37:50',null,'1',null,'0');
INSERT INTO complaints VALUES('7792','MR ZULFIQAR','03325163623','HO#1446 ST 02 OVERSEAS 03 PHASE 08 RWP','9','51','172793','HAIER','SALE ADVISOR WAQAS ABBASI',null,'12-JUN-2019','150-1678HWM - 1484','WASHING MACHINE','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-07-09 14:00:44','2021-07-11 11:35:22',null,'1',null,'0');
INSERT INTO complaints VALUES('7793','MR SHAUKAT CHEEMA','03339515128  03345402984','HO#01 CATEGORY 2 IBN-E-SINA ROAD SEC G-8/2 ISB','5','28','107220','DAWLANCE','COMPLAINT AZHAR  RAMZAN SIR NAY BAJI HAY',null,'09-JULY-2019','1045CVT-VF - 1467','FREEZER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-07-09 14:23:51','2021-07-12 13:21:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7794','MR SOHAIB','03345121521','FLAT#D-75/1 SEC E-9 ISB','5','34','135786','DAWLANCE','MODAL#30ELEGANCE -INV  COMPLAINT AZHAR RAMZAN SIR NAY BAJI HAY',null,'19-JUNE-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-07-09 14:30:36','2021-07-18 15:30:24',null,'1',null,'0');
INSERT INTO complaints VALUES('7795','MR NOMAN','03338577788','OFFICE#NOMAN TRADER SHAMSA BAD DHOK KALA KHAN MAIN CHOCK OPP  AHMAD KHAN CAFFAY RWP','9','27','213220','HAIER','MODAL#12HFCN-W',null,'10-JUNE-2021',null,'AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-07-09 14:46:33','2021-07-11 11:37:58',null,'1',null,'0');
INSERT INTO complaints VALUES('7796','MRS ARIF','03333334001','HO#83 ST 49 SEC D-12/2 ISB','5','30','131604','DAIKIN','0',null,'12-APR-2021','50AXV1-INV - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-07-09 15:30:26','2021-07-12 11:39:28',null,'1',null,'0');
INSERT INTO complaints VALUES('7797','MR BABAR','03345278237  03335183005','HO#191-B  ST 03 NEAR JAMIA HIFZA MADRISSA SEC G-7-3/2 ISB','5','28','132077','SAMSUNG','MODAL#15J5730SS-S  SALE ADVISOR ABU BAKAR SIR NAY COMPLAINT BAJI HAY',null,'23-APR-2021',null,'WASHING MACHINE','ERROR 4C ISSUE',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'92','2021-07-09 15:39:47','2021-07-14 13:27:13',null,'1',null,'0');
INSERT INTO complaints VALUES('7798','MR ZAHID','03225021584','HO#608-C ST 111-A SEC I-8/4 ISB','5','33','106593','GREE','0',null,'29-JUNE-2019','18CITH12G - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-07-09 15:51:13','2021-07-13 15:33:58',null,'1',null,'0');
INSERT INTO complaints VALUES('7799','MR ABDULA','03098158052','HO#1378 MAIN BOLAWARD USMAN KHANI AVINEW USMAN BLOCK BAHRIA PHASE 08 RWP','6','12','35599','WELCOME','MODAL#6500-M GRAY COMPLAINT ADEEL BAHRIA 07 SIR NAY BAJI HAY',null,'02-JUNE-2021',null,'AIR COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-07-09 16:10:39','2021-07-13 15:28:59',null,'1',null,'0');
INSERT INTO complaints VALUES('7800','MR ALI MAISUM','03343147117','HO#623 ST 20 USMAN BLOCK BAHRIA TOWN PHASE 08 RWP','8','42','41212','CARAVELL','MODAL#204-B',null,'21-JULY-2020',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-07-09 16:17:18','2021-07-12 14:18:44',null,'1',null,'0');
INSERT INTO complaints VALUES('7801','MR WAQAR','03484554452','HO#294 ST 28 PARK ENCLAVE ISB','8','38','39112','PANASONIC','0',null,'15-FEB-2020','18TKF-9 - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-07-09 16:35:25','2021-07-10 15:44:06',null,'1',null,'0');
INSERT INTO complaints VALUES('7802','MR NAWAZ','03026087550','HO#735 ST 18 OVERSEAS 03 PHASE 08 BAHRIA TOWN RWP','9','27','215634','DAWLANCE','0',null,'06-JULY-2021','1035WBGD-VF - 1467','FREEZER','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-07-09 16:49:24','2021-07-12 16:45:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7803','MR WALEED','03365546965','HO#902 ST 14 SEC G-11/1 ISB','9','27','214852','HAIER','0',null,'27-JUNE-2021','622ICG - 908','REFRIGERATOR','CURRENT ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-07-09 16:54:46','2021-07-11 11:43:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7804','MR MUDASSAR','03118504099','SHAZAD COLONY NEAR CARRIAGE FACTORY IGP ROAD RWP','9','19','215339','HAIER','COMPLAINT SAQIB FCP SIR  NAY BAJI HAY',null,'03-JULY-2021','438EPCW - 896','REFRIGERATOR','LOCK ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-07-09 16:59:14','2021-07-12 11:27:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7805','MR SHEHZAD','03139999996','PIND HOON  BILAL MASJID NEAR JHANGI SAYEDA  SEC H-15 ISB','5','33','132977','GREE','MODAL#18FITH3W',null,'07-MAY-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'3',null,null,'customer','0',null,'92','2021-07-09 17:55:40','2021-07-09 17:55:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7806','nauman raza','03000999953','H NO 878 ST NO 51 SEC G/11-2 ISB','8','42','50886','SHARP','0',null,'4-JUL-2021','X635-HS3','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 11:04:16','2021-07-12 17:17:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7807','CH AMIR ASLAM','03444448844','H NO 529 ST NO 3 SEC B PHASE 8 B.TOWN RWP','6','12','28184','TCL','2002VLR301072A00054',null,'3-JUL-2020','65C8US - 1443','FLAT PANEL TV','PANEL LINE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 11:09:03','2021-07-18 17:05:20',null,'1',null,'0');
INSERT INTO complaints VALUES('7808','TAHMEED AHMED','03325888819','H NO13-D ST NO 21 SEC G/6-2 ISB','5','29','135525','XTREEM','0',null,'15-JUN-2021','985','BUILT IN APPLLIANCES','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 11:14:45','2021-07-17 11:19:17',null,'1',null,'0');
INSERT INTO complaints VALUES('7809','SHAFQAT HAYAT','03014522586','H NO 87 SHAROON COLONY SAWAN CAMP GT ROAD RWP','7','49','23634','ORIENT','REF TO ATIF SADDAR',null,'20-MAY-2021','18G-DIVINE - 915','AIR CONDITIONER','INDOOR SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 11:19:37','2021-07-15 13:40:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7810','USAMA SADIQ','03365287548','1ST FLOOR PLAZA NO 20 SPRING NORTH PHASE 7 B.TOWN RWP','6','15','35959','KENWOOD','REF TO ADIL I/10',null,'10-JUN-2021','2443FHI','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 11:23:29','2021-07-25 14:11:38',null,'1',null,'0');
INSERT INTO complaints VALUES('7811','KHAWAR','03005000833','HO#14 LANE#08 SEC F DHA PHASE 02','5','28','123530','WHIRLPOOL','FF TO AZHAR FCI',null,'03-NOV-2020','422TJ-HC INV - 917','AIR CONDITIONER','COMPRESSOR PROB',null,'3',null,null,'customer','1','7247','73','2021-07-10 11:27:46','2021-07-10 11:27:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7812','ZAHID SAGRI','03359054042','MADNI JAMIA MASJID VILLAGE SAGRI TEHSIL JHUND','8','37','0','ORIENT','REF TO ARIF BHATTI',null,'IN WARRANTY','18G-HYPER-SW - 915','AIR CONDITIONER','GAS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 11:30:15','2021-08-03 15:54:24',null,'1',null,'0');
INSERT INTO complaints VALUES('7813','NAEEM KHAN','03115129778','H NO 82/413 NEAR BARAF KHANA GALI SEC 3 KHAYABAN-E-SIRSYED RWP','9','27','215757','HAIER','0',null,'8-JUL-2021','276EBD - 858','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 11:36:28','2021-07-12 16:49:28',null,'1',null,'0');
INSERT INTO complaints VALUES('7814','FAKHAR UZ ZAMAN','03005012808','H NO 24 ST NO 4 PAKISTAN TOWN PHASE 2 ISB','8','42','11069','LG','0',null,'19-OCT-2019','1366NEFTFS-C - 907','WASHING MACHINE','DRAIN',null,'4',null,null,'customer','0',null,'73','2021-07-10 11:41:52','2021-07-10 11:42:28',null,'1',null,'0');
INSERT INTO complaints VALUES('7815','ABDUL REHMAN','03472092751','H NO 4 ST NO 37 SEC C ORCHARD DHA 1 RWP','6','16','33996','HAIER','0',null,'29-MAR-2021','18HJ-S INV - 915','AIR CONDITIONER','INDOOR SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 12:00:44','2021-07-13 15:11:42',null,'1',null,'0');
INSERT INTO complaints VALUES('7816','QAMAR ZAMAN','03215846546','FLAT B BLOCK 27 SPD COLONY DEFENCE COMPLEX ISB','8','39','48930','ORIENT','0',null,'23-MAY-2021','18G-SUPER - 915','AIR CONDITIONER','REMOTE SENSOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 12:05:40','2021-07-28 13:02:22',null,'1',null,'0');
INSERT INTO complaints VALUES('7817','MASRROR HUSSAIN','0335172976','H NO 11 CHAKWAL ROAD MAIN SOMRRO STREET BANI GALA ISB','9','19','133284','SIGNATURE','REF TO PTCL',null,'10-MAY-2017','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 12:17:44','2021-07-14 13:33:22',null,'1',null,'0');
INSERT INTO complaints VALUES('7818','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','DAWLANCE','REF TO IQBAL FCI',null,'0','30-ELEGANCE','AIR CONDITIONER','INDOOR POWER',null,'3',null,null,'customer','0',null,'73','2021-07-10 12:21:05','2021-07-10 12:21:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7819','HASEEB','03105299029 ,','H NO 12B PAKISTAN NAVAL FARM SIMLI DAM ROAD ISB','5','31','135490','GREE','0',null,'15-JUN-2021','12PITH2W','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 12:23:16','2021-07-12 11:18:25',null,'1',null,'0');
INSERT INTO complaints VALUES('7820','M SIDDIQ','03335558186','H NO 126 ST NO 9B1 DHA 1 RWP','6','14','29262','LG','0',null,'22-AUG-2020','702HEHU-S - 885','REFRIGERATOR','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 12:31:22','2021-07-24 11:50:07',null,'1',null,'0');
INSERT INTO complaints VALUES('7821','UZMA ASLAM','03215572995','H NO 16 ST NO 13 SEC E DHA 2 ISB','6','15','33306','MITSUBISHI','0',null,'22-FEB-2021','50VA - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 12:36:18','2021-07-12 17:12:33',null,'1',null,'0');
INSERT INTO complaints VALUES('7822','TANVEER AHMED','03205591678','H NO 118 ST NO 9 SEC B-1 DHA 1 RWP','6','15','33847','MITSUBISHI','0',null,'22-MAR-2021','50VA - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 12:38:06','2021-07-12 17:09:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7823','TARIQ SB','03325706932','H NO 15202 ST NO 17/1 BLOCK C POLICE FOUNDTAION','4','8','17144','HAIER','0',null,'12-NOV-2020','12HRW-W-INV - 913','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 12:44:04','2021-07-13 13:51:07',null,'1',null,'0');
INSERT INTO complaints VALUES('7824','MR SHABBIR','03335370853','HO#05 SIDDIQUE STREET SAIF-UL-ISLAM COLONY BURMA TOWN ISB','9','22','198484','SIGNATURE','REF TO PTCL',null,'31-OCT-2020','AR2 - 1124','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','3835','73','2021-07-10 12:48:04','2021-07-14 13:34:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7825','SYED ZAHID','03215075004','H NO 40 ST NO 1 SEC G/15-2 ISB','8','43','0','HOMAGE','0',null,'0','45HWD - 993','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 12:52:22','2021-07-27 12:58:13',null,'1',null,'0');
INSERT INTO complaints VALUES('7826','COL ZIA','03005165499 , 03235313199','H NO 23 ST NO 47 SEC G/13-2 ISB','5','31','116516','ORIENT','0',null,'20-MAY-2020','12G-ORBIT - 913','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 12:55:26','2021-07-15 12:46:38',null,'1',null,'0');
INSERT INTO complaints VALUES('7827','SYED JAVAID','03005358738','H NO 1 ST NO 18 SEC C DHA 1 RWP','6','14','32852','LG','0',null,'30-JAN-2021','1788NEHTE-C','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 12:59:16','2021-07-18 16:07:36',null,'1',null,'0');
INSERT INTO complaints VALUES('7828','CH IMRAN','03065050684','RIVER STAR BLOCK NO 29A CIVIC CENTRE PHASE 4 B.TOWN RWP','6','14','19764','HAIER','0',null,'03-MAY-2021','12HFAB-W INV - 913','AIR CONDITIONER','GASS LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','6644','74','2021-07-10 13:00:14','2021-07-18 16:45:25',null,'1',null,'0');
INSERT INTO complaints VALUES('7829','MR NAVEED','03006643656','H NO 639 ST NO 30 FAISAL TOWN ISB','8','38','49162','SIGNATURE','REF TO PTCL',null,'27-MAY-2021','HC-5816','BUILT IN APPLLIANCES','IGNITION PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 13:08:46','2021-07-15 12:21:27',null,'1',null,'0');
INSERT INTO complaints VALUES('7830','MUHAMMAD IMTIYAZ','03216824007','H NO 5B STNO 1 ASKARI 4 CHAKLALA RWP','7','49','24018','SAMSUNG','0',null,'26-JUN-2021','15J5730SS-SS','WASHING MACHINE','ERROR DC',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 13:22:05','2021-07-12 11:16:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7831','SOHAIL SALEEM','03476310062','IMAM BARGHA CHOWK GALI NO 1 H NO BB107 JAMIA MASJID RWP','9','24','210150','HAIER','0',null,'2-MAY-2021','206W','WATER DISPENSER','COOLING PROBLEM',null,'3',null,null,'customer','0',null,'73','2021-07-10 13:32:07','2021-07-10 13:32:07',null,'1',null,'0');
INSERT INTO complaints VALUES('7832','MR IMRAN','03355551392','H NO DD174 NEAR FAROOQ CORPORATION SHAMSABAD RWP','8','40','43509','HAIER','0',null,'14-NOV-2020','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 13:34:10','2021-07-13 13:17:39',null,'1',null,'0');
INSERT INTO complaints VALUES('7833','USMAN','03365273244','H NO 13 ST NO 47 KORANG TOWN ISB','4','5','21748','ORIENT','0',null,'9-JUN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 13:37:35','2021-07-15 12:56:17',null,'1',null,'0');
INSERT INTO complaints VALUES('7834','WAQAS QAYYUM','03333300117','H NO 570 ST NO 29 BLOCK C PHASE 1 CBR TOWN ISB','4','7','17152','MITSUBISHI','0',null,'12-NOV-2020','50VA - 915','AIR CONDITIONER','SWING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 13:43:22','2021-08-01 11:03:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7835','NOMAN SB','03345171731','H NO 427 ST NO 6 JHANDA CHICHI RWP CANTT','7','49','23539','VARIOLINE','REF TO ATIF SADDAR',null,'5-MAY-2021','20STRL-WHT - 993','WATER DISPENSER','LEAKAGE',null,'3',null,null,'customer','0',null,'73','2021-07-10 13:54:57','2021-07-10 13:54:57',null,'1',null,'0');
INSERT INTO complaints VALUES('7836','MR HAROON','03008221130','H NO 35-B ST NO 18 SEC F/6-2 ISB','8','38','46408','GREE','0',null,'15-FEB-2021','18PITH2W','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 14:04:39','2021-07-12 15:12:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7837','ABDUL BASIT','03215166786','H NO 300 ST NO 14 SEC F/10-2 ISB','8','39','50448','HAIER','0',null,'23-JUN-2021','18HFMAC','AIR CONDITIONER','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 14:18:01','2021-07-15 11:47:22',null,'1',null,'0');
INSERT INTO complaints VALUES('7838','MR SAAD','03435708838','H NO 81 ST NO 6 BLOCK G GULSHAN-E-SEHAT SEC E18 ISB','5','33','0','PANASONIC','0',null,'28-JUN-2021','18WKF-9','AIR CONDITIONER','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 14:22:48','2021-07-12 11:16:41',null,'1',null,'0');
INSERT INTO complaints VALUES('7839','MRS WAHAJ','03365074406','H NO 672 MAIN DOUBLE ROAD SEC E/11-4 ISB','5','32','136390','DAWLANCE','0',null,'29-JUN-2021','260SLVS-PLUS - 901','WASHING MACHINE','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 14:25:55','2021-07-12 16:47:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7840','AHMED MALIK','03315180044 , 03335274275','H NO 920 ST NO 51 PHASE 2 B.TOWN RWP','9','26','212016','DAWLANCE','REF TO PTCL',null,'31-MAY-2021','91996GD-INV-GREEN - 885','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 14:53:06','2021-07-13 12:46:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7841','MR HAMMAD','03351117720','H NO 21 ST NO 3 GULRAIZ 3 RWP','4','6','15126','SIGNATURE','0',null,'7-JUL-2020','MD99SS-S - 1723','REFRIGERATOR','GAS KIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 15:20:03','2021-07-14 13:34:36',null,'1',null,'0');
INSERT INTO complaints VALUES('7842','MISS ABBASI','03325172449','H NO 74 BLOCK E NEAR HOLYFAMILY OPP SS MONETESSORI SCHOOL RWP','8','37','23592','ORIENT','C/O AKBAR SB',null,'23-JUL-2017','18GPLUS-SG - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 15:25:17','2021-07-13 12:40:29',null,'1',null,'0');
INSERT INTO complaints VALUES('7843','MR KUMAIL','03365482250','H NO P30 SERVICE ROAD RIVER GARDEN ISB','4','8','8151','HAIER','0',null,'31-MAR-2019','120-1678HWM - 906','WASHING MACHINE','SPINNER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 15:28:21','2021-07-18 16:24:29',null,'1',null,'0');
INSERT INTO complaints VALUES('7844','MIR BALACH','03419999999','H NO 20D ST NO 10 SEC F/8-3 ISB','5','36','139549','SAMSUNG','0',null,'16-JUN-2021','90K54EEOUX-S','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 15:32:04','2021-07-14 13:35:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7845','MR IMRAN','03018503368','H NO 42 ST NO 48 BLOCK N BAHRIA ENCLAVE ISB','8','37','19701','CARAVELL','REF TO NAFEES FHS',null,'20-FEB-2021','207BA','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 15:34:37','2021-07-18 16:26:32',null,'1',null,'0');
INSERT INTO complaints VALUES('7846','MR WAQAR','03484554452','HO#294 ST 28 PARK ENCLAVE ISB','8','38','39112','PANASONIC','0',null,'15-FEB-2020','18TKF-9 - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','7801','92','2021-07-10 15:45:45','2021-07-16 11:58:37',null,'1',null,'0');
INSERT INTO complaints VALUES('7847','ADIL SB','03155358506','H NO 43E BLOCK E SATELLITE TOWN ISB','9','19','213551','ORIENT','0',null,'13-JUN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 15:46:13','2021-07-13 12:20:32',null,'1',null,'0');
INSERT INTO complaints VALUES('7848','AHMED NADEEM','03352225490','GALI NO 12 ABBASI ROAD BANNI GALA ISB','5','28','131086','ORIENT','REF TO AZHAR RAMZAN',null,'31-MAR-2021','12G-HYPER-SW - 913','AIR CONDITIONER','SMELL PROBLEM',null,'5','ISSUE IN GREE AC',null,'customer','0',null,'73','2021-07-10 16:24:15','2021-07-10 16:30:38',null,'1',null,'0');
INSERT INTO complaints VALUES('7849','HAMMAD ZAKI','03215223289','H NO 9 STNO 4 SEC G BAHRIA ENCLAVE ISB','5','35','132698','ORIENT','0',null,'4-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','WIFI',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 16:26:56','2021-08-04 15:08:47',null,'1',null,'0');
INSERT INTO complaints VALUES('7850','MR AMIR','03335207779','APP 204 AL MUSTAFA TOWER F-11/3 ISB','5','32','125413','MITSUBISHI','0',null,'3-DEC-2020','35VA - 913','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','6468','92','2021-07-10 16:36:13','2021-07-18 16:22:59',null,'1',null,'0');
INSERT INTO complaints VALUES('7851','AHMED NADEEM','03352225490','GALI NO 12 ABBASI ROAD BANNI GALA ISB','5','28','131086','GREE','REF TO AZHAR RAMZAN',null,'31-MAR-2021','18PITH1W','AIR CONDITIONER','SMELL PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7848','73','2021-07-10 16:38:49','2021-07-13 11:36:35',null,'1',null,'0');
INSERT INTO complaints VALUES('7852','TAHIR ALI','03335166643','H NO 96 ST NO 25 NEAR JAN SHADI HALL NAYER COLONY SCHEME 3 EXTENSION','9','23','138032','SIGNATURE','0',null,'25-JUL-2017','SVF-HM95-BLK - 900','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 16:58:25','2021-07-27 12:39:03',null,'1',null,'0');
INSERT INTO complaints VALUES('7853','MR ASHIR','03135131368 , 03335131368','H NO 17 LANE C TARLAI KALAN NEAR ALLIED BANK ISB','8','42','47262','HAIER','0',null,'23-MAR-2021','578TBG - 910','REFRIGERATOR','COOLING PROBLEM',null,'3',null,null,'customer','0',null,'73','2021-07-10 17:05:11','2021-07-10 17:05:11',null,'1',null,'0');
INSERT INTO complaints VALUES('7854','MR BASIT','03435608406','FLAT NO 5 BLOCK 13 PHA FLATS SEC G/8-4 ISB','8','47','356','HAIER','0',null,'6-MAY-2020','12HRP-W-INV - 913','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 17:27:56','2021-07-13 11:08:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7855','MR ARSHAD','03345157776','HO#112 ST 02 FALCON COMPLEX RWP','5','29','129792','FIVE STAR','MODAL#10000MC  SALE ADVISOR ABU BAKAR',null,'27-FEB-2021',null,'COOKING RANGE','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','4614','92','2021-07-10 17:35:48','2021-07-14 13:35:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7856','MR QASIM ABBASI','03455096878','HOTEL NARAN N KARACHI COMPANY SEC G/9 MARKAZ ISB','9','27','202799','ORIENT','0',null,'23-DEC-2020','18G-ROYAL-CW - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-10 17:48:48','2021-08-04 14:56:50',null,'1',null,'0');
INSERT INTO complaints VALUES('7857','MR ASHIR','03135131368 , 03335131368','H NO 17 LANE C TARLAI KALAN NEAR ALLIED BANK ISB','8','42','47262','GREE','0',null,'23-MAR-2021','18FITH4WB - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2021-07-11 10:30:49','2021-07-17 12:29:50',null,'1',null,'0');
INSERT INTO complaints VALUES('7858','MR SALMAN','03431433331','H NO 415D ST NO 26  BLOCK D MEDIA TOWN ISB','4','8','20769','ORIENT','0',null,'28-APR-2021','12G-HYPER-SW - 913','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 10:37:08','2021-07-15 12:29:30',null,'1',null,'0');
INSERT INTO complaints VALUES('7859','SULAIMAN AZIZ','03139693093','h no 1094 st no 2 baBU LAL HUSSAIN ROAD DHOK RATTA  RWP','9','24','210828','KENWOOD','0',null,'18-MAY-2021','1228S-INV - 913','AIR CONDITIONER','ERROR E5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 10:40:28','2021-07-17 17:08:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7860','NASIR KHAN','03161591778','AZIMA SHEIKH HOSPITAL NEAR TOTAL PETROL PUMP 6THY ROAD RWP','9','20','155650','CARAVELL','0',null,'16-JUL-2018','600MEC - 1652','CHILLER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 10:43:45','2021-07-17 17:07:28',null,'1',null,'0');
INSERT INTO complaints VALUES('7861','SHAHID AKRAM','03325394968 ,  03010101562','H NO 18 ST NO 32 BLOCK H EXTENSION SOAN GARDEN ISB','4','5','20712','HAIER','REF TO KAMRAN PWD',null,'25-APR-2021','18HFPCA-G','AIR CONDITIONER','FLAPPERS',null,'3',null,null,'customer','0',null,'73','2021-07-11 10:49:43','2021-07-11 10:49:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7862','MUHAMMAD MANSOOR KHAWAJA','03135812020','H NO 517 ST NO 10 BLOCK D MEDIA TOWN ISB','4','5','13874','HAIER','REF TO KAMRAN PWD',null,'5-MAY-2020','85-7288 - 69','WASHING MACHINE','WASHING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 10:54:30','2021-07-18 16:21:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7863','AWAIS SB','03335645149','h no 351B ST NO 22 GULZAR-E-QUAID RWP','8','37','50502','GREE','0',null,'24-JUN-2021','18PITH2W','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 11:01:05','2021-07-12 11:15:44',null,'1',null,'0');
INSERT INTO complaints VALUES('7864','ABDUL GHAFFAR','03085110156','WALLAYAT COMPLEX NEAR RABI CENTRE PHASE 7 B.TOWN  RWP','6','12','34561','GREE','0',null,'22-APR-2021','18PITH2W','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 11:01:13','2021-07-12 17:08:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7865','MRS SOHAIL','03335481402','207 road 1b INTLUCTUAL VILLAGE bahRIA 7 RWP','6','12','21343','LG','0',null,'9-JUN-2019','1066NEFTW-S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 11:04:40','2021-07-19 14:40:11',null,'1',null,'0');
INSERT INTO complaints VALUES('7866','MR REHAN','03215813513','H NO 809 ST NO 6 SEC C PHASE 8 B.TOWN RWP','6','12','30821','SIGNATURE','0',null,'29-NOV-2020','SFR-MD100G - 904','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 11:11:57','2021-07-17 16:40:48',null,'1',null,'0');
INSERT INTO complaints VALUES('7867','QIADAT RASHEED','03365521560','H NO 27 LANE NO 1 BAHRIA HILL VIEW NEAR SAVE MART PHASE 7','6','16','20934','ORIENT','0',null,'13-MAY-2020','531BL - 993','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 11:15:44','2021-07-15 12:24:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7868','SOHAIL AHMED','03205580000 , 03222158089','H NO 933 MAIN AVENUE PHASE 7 B.TOWN RWP','6','15','30541','HAIER','0',null,'18-NOV-2020','24HE03 - 917','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 11:21:30','2021-07-17 12:17:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7869','BILAL KHAWAJA','03200322222','H NO 12 ST NO 6 SEC B DHA 2 ISB','8','38','46993','SIGNATURE','0',null,'13-MAR-2021','HC-5900G - 1122','BUILT IN APPLLIANCES','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 11:25:25','2021-07-14 13:36:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7870','BILAL','03035282929','H NO 7 ST NO 92 SEC G/13-1 ISB','5','35','131740','HAIER','0',null,'13-APR-2021','336B-HWD','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 11:27:19','2021-07-14 13:00:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7871','HASEEB AHMED','03105299029','H NO 12B PAKISTAN NAVAL FARM SIMLI DAMROAD ISB','5','31','135490','GREE','REF TO AZHAR FCI',null,'15-JUN--2021','12PITH2W','AIR CONDITIONER','cooling',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 11:31:44','2021-07-25 13:59:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7872','MUHAMMAD ROSHAN KHAN','03332229691','H NO 459 ST NO 13 SEC G PHASE 8 B.TOWN RWP','6','15','34276','HAIER','0',null,'11-APR-2021','18HFMAD','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 11:43:25','2021-07-14 12:55:04',null,'1',null,'0');
INSERT INTO complaints VALUES('7873','LIAQAT SB','03215167717','H NO 354 ST NO 4 PHASE 4 GULRAIZ RWP','8','42','49865','GREE','0',null,'10-JUN-2021','18PITH2W','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 11:48:09','2021-07-14 12:52:28',null,'1',null,'0');
INSERT INTO complaints VALUES('7874','MR M IQBAL','03218518410','H NO 255 SIRAJ STREET TENCH BHATTA RWP','9','27','215443','ORIENT','0',null,'4-JUL-2021','3SR','WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 11:55:28','2021-07-14 12:50:33',null,'1',null,'0');
INSERT INTO complaints VALUES('7875','TANVEER AHMED','03205591678','H NO 118 ST NO 9 SEC B 1 DHA1 RWP','6','15','33847','MITSUBISHI','REF TO ADIL I/10',null,'22-MAR-2021','50VA - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 12:01:59','2021-07-14 12:47:14',null,'1',null,'0');
INSERT INTO complaints VALUES('7876','ZAKIR SB','03352595925','H NO 1296 ST NO 4-B PHASE 1 EXT BAHRIA TOWN RWP','9','24','166769','ORIENT','0',null,'3-MAR-2019','68750ZB-MFBK - 885','REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 12:09:32','2021-07-15 12:15:35',null,'1',null,'0');
INSERT INTO complaints VALUES('7877','ZAKIR SB','03352595925 , 03468205003','H NO 1296 ST NO 4-B PHASE 1 EXT BAHRIA TOWN RWP','9','24','166789','DAWLANCE','0',null,'3-MAR-2019','142HZP - 1277','MICROWAVE OVEN','HEATING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 12:11:01','2021-07-18 16:16:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7878','ZAKIR SB','03352595925 , 03468205003','H NO 1296 ST NO 4-B PHASE 1 EXT BAHRIA TOWN RWP','9','24','198642','HAIER','0',null,'3-NOV-2020','150-1678HWM - 1484','WASHING MACHINE','WATER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 12:12:31','2021-07-15 11:30:27',null,'1',null,'0');
INSERT INTO complaints VALUES('7879','KHALID RAJPUT','03335242503 , 03006008355','H NO 3 ST NO 15A FIZIA HOUSING SCHEME ISLAMABAD EXPRESSWAY RWP','9','51','215584','SONY','0',null,'6-JUL-2021','49X8000H','FLAT PANEL TV','PANEL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 12:17:05','2021-07-14 13:38:27',null,'1',null,'0');
INSERT INTO complaints VALUES('7880','GHULAM IRTIZA','03357799294','FRESHCO BAKERS GLASS  FACTORY CHOWK RWP','9','22','192994','CARAVELL','0',null,'16-JUL-2020','600MEC - 1652','CHILLER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 12:21:18','2021-07-14 12:31:39',null,'1',null,'0');
INSERT INTO complaints VALUES('7881','MRS SHAHNEELA','03209952290','H NO 874 ST NO 29 SEC D PHASE 8 B.TOWN RWP','6','15','16386','SIGNATURE','0',null,'16-SEP-2018','FGG4','COOKING RANGE','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 12:45:34','2021-08-04 12:15:54',null,'1',null,'0');
INSERT INTO complaints VALUES('7882','MR ABID','03035368006','FLAT NO 5 BLOCK NO 1 CATEGORY 3 PM STAFF COLONY SEC G/5 ISB','9','27','147478','DAWLANCE','0',null,'17-FEB-2018','9170WBMDS-BLK - 860','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 12:50:10','2021-07-17 16:50:58',null,'1',null,'0');
INSERT INTO complaints VALUES('7883','SALMAN SIDDIQUI','03209222666','DIPLOMATIC ENCLAVE SEC G/5 ISB','9','19','162199','LG','REF TO SAQIB FCP',null,'7-DEC-2018','55SK7900-S - 942','FLAT PANEL TV','WIFI',null,'4',null,null,'customer','0',null,'73','2021-07-11 12:55:27','2021-07-11 12:56:07',null,'1',null,'0');
INSERT INTO complaints VALUES('7884','MUHAMMAD MANSOOR KHAWAJA','03135812020','H NO 517 ST NO 10 BLOCK D MEDIA TOWN ISB','4','5','0','DAWLANCE','REF TO KAMRAN PWD',null,'ON PAYMENT','9188WBHZ - 83','REFRIGERATOR','LIGHT AND COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 13:00:47','2021-07-19 15:46:18',null,'1',null,'0');
INSERT INTO complaints VALUES('7885','MISS NOOR','03335553168','H NO 1212 NEW MALPUR NEAR KHAN ATTA CHAKKI 7TH ROAD RWP','8','39','49151','HAIER','0',null,'27-MAY-2021','18HFPAA-B','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 13:41:16','2021-07-19 15:15:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7886','SYED MEHDI','03008270504','H NO 90 M7 EMAAR DHA PHASE 5 ISB','6','15','33902','ORIENT','0',null,'24-MAR-2021','24G-DIVINE','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 13:53:43','2021-07-18 16:07:54',null,'1',null,'0');
INSERT INTO complaints VALUES('7887','UMER SB','03335155517 , 03326214740','H NO 271D SATELLITE TOWN RWP','8','37','0','GREE','REF TO PTCL',null,'18-FEB-2021','8890EG-CB1 - 896','REFRIGERATOR','GAS KIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 14:03:09','2021-07-17 16:37:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7888','AGHA HAMID','03005006710 , 03335277349','H NO 139E LANE NO 8 BLOCK A SEC 4 AIRPORT HOUSING SOCIETY RWP','9','20','206462','CANON','0',null,'28-FEB-2021','7819','BUILT IN APPLLIANCES','BURNER IGNITION',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 14:19:44','2021-07-14 11:58:28',null,'1',null,'0');
INSERT INTO complaints VALUES('7889','BRIG MEHMOOD','03215014099','H NO 24 ST NO 10 SEC C DHA 2 ISB','9','20','149159','SIGNATURE','0',null,'25-MAR-2018','SBH-AB750S - 1122','BUILT IN APPLLIANCES','NOB PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 14:24:47','2021-07-14 13:39:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7890','SHAHID SB','03125385300','DD314 GALI NO 2 OJRI CAMP NEAR SHAKEEL CORPORATION RWP','9','24','168670','HAIER','0',null,'7-APR-2019','385TPR - 884','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 14:31:56','2021-07-17 12:10:50',null,'1',null,'0');
INSERT INTO complaints VALUES('7891','MISS IFRAH','03335754720','H NO 26 ST NO 31 SEC D/17 ISB','5','28','91876','ORIENT','REF TO PTCL',null,'26-FEB-2018','18TITAN','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 14:38:11','2021-07-14 11:53:26',null,'1',null,'0');
INSERT INTO complaints VALUES('7892','FAISAL MOEEN','03160566138','H NO 30 ST NO 2 PHASE 1 B.TOWN RWP','4','5','0','HAIER','REF TO PTCL(MANUAL BILL)',null,'27-9-2020','70-14636 - 1548','WASHING MACHINE','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 15:38:45','2021-07-14 11:51:56',null,'1',null,'0');
INSERT INTO complaints VALUES('7893','MR UMAR','03335384685','H NO 1566 SOUTH EAST BOLYWARD BAHRIA PHASE 4 RWP','4','11','20836','ORIENT','0',null,'30-APR-2021','55S-ACTION','FLAT PANEL TV','WIFI',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 15:55:22','2021-07-14 11:50:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7894','MR ZIA','03337816566','H NO 366 ST NO 20 BAHRIA SPRINGSNORTH PHASE 7 B.TOWN RWP','6','16','34457','SAMSUNG','0',null,'19-APR-2021','64R5331-S','REFRIGERATOR','ICE MAKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 17:01:41','2021-07-14 13:39:31',null,'1',null,'0');
INSERT INTO complaints VALUES('7895','ABDUL GHAFFAR','03085110156','WALLAYAT COMPLEX NEAR RABI CENTRE PHASE 7 B.TOWN RWP','6','12','34561','GREE','0',null,'22-APR-2021','18PITH2W','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 17:09:13','2021-07-18 15:53:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7896','NASIR SB','03215173474','NASIR GARMENTS HALWAI GALI GUJAR KHAN','8','42','46264','HAIER','0',null,'9-FEB-2021','55K6600','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 17:12:17','2021-07-26 16:01:59',null,'1',null,'0');
INSERT INTO complaints VALUES('7897','MRS AMIR','03326276788','H NO 994 BLOCK C NPF O9 ISB','4','5','5577','LG','REF TO PTCL CALL',null,'9-OCT-2018','4J6TNP8S-S - 899','WASHING MACHINE','WATER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 17:17:37','2021-07-19 14:39:16',null,'1',null,'0');
INSERT INTO complaints VALUES('7898','SHAKEEL SB','03239888888','SHAKEEL CORPORATION SHAMSABAD MURREE ROPAD RWP','8','38','48982','HAIER','REF TO TAHIR B.COOL',null,'24-MAY-2021','48C03 - 920','AIR CONDITIONER','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 17:40:08','2021-07-18 11:35:25',null,'1',null,'0');
INSERT INTO complaints VALUES('7899','SHAH ALAM','03333337649','H NO 290 ST NO 12/14 ABUBAKAR BLOCK PHASE 8 B.TOWN RWP','4','10','30036','LG','0',null,'14-OCT-2020','2J3QDNP0-S - 1483','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 17:42:43','2021-07-19 14:23:11',null,'1',null,'0');
INSERT INTO complaints VALUES('7900','MR USMAN','03219688049 , 03156658044','H NO 1329 ST 46 BLOCK A FAISAL TOWN RWP','5','31','136825','HAIER','0',null,'6-JUL-2021','438IDBA','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-11 18:00:52','2021-07-17 12:02:59',null,'1',null,'0');
INSERT INTO complaints VALUES('7901','MOAZZAM SAEED','03218558600','AIR HEADQUARTER SHAHEEN CHOWK SEC E9 ISB','9','26','194298','GREE','0',null,'9-AUG-2020','8768EG-CB2 - 884','REFRIGERATOR','COOLING',null,'3',null,null,'customer','0',null,'73','2021-07-12 10:37:30','2021-07-12 10:37:30',null,'1',null,'0');
INSERT INTO complaints VALUES('7902','MUHAMMAD AFZAL','03015337403','H NO 56 ST NO 29 UMAR BLOCK PHASE 8 B.TOWN RWP','4','5','602','HAIER','REF TO ZAHID',null,'14-APR-2015','385H-DF - 957','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 10:42:39','2021-07-17 11:58:22',null,'1',null,'0');
INSERT INTO complaints VALUES('7903','ASAD KHATTAK','03005522062','H NO 123E FIRST FLOOR ST NO 109 SEC G/11-3 ISB','5','34','137137','ORIENT','REF TO AZHAR RAMZAN',null,'10-JUL-2021','18G-ELEGANT-SW','AIR CONDITIONER','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 10:47:25','2021-07-15 12:09:55',null,'1',null,'0');
INSERT INTO complaints VALUES('7904','WASEEM NAWAZ','03005384685','NEAR CHATTAR PARK CHATTAR VALLEY HOUSE ISB','9','22','215912','HAIER','0',null,'10-JUL-2021','438TPR','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 10:51:05','2021-07-17 11:56:48',null,'1',null,'0');
INSERT INTO complaints VALUES('7905','MR ASLAM','03365569946','H NO 498 ST NO 127 SEC G/9-3 ISB','5','31','93263','TCL','1712VFR000474A00562',null,'7-APR-2018','40D4900 - 938','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSEDE',null,'customer','0',null,'73','2021-07-12 10:56:14','2021-07-18 11:31:25',null,'1',null,'0');
INSERT INTO complaints VALUES('7906','KAFAIT HUSSAIN','03335038129','H NO 474 ST NO 48 SEC G/10-4 ISB','9','19','216043','ORIENT','REF TO TAHIR B.COOL',null,'11-JUL-2021','24G-ORBIT','AIR CONDITIONER','ERROR P2',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 11:04:49','2021-07-17 16:14:25',null,'1',null,'0');
INSERT INTO complaints VALUES('7907','MR PASHA','03245143670','H NO 1187 ST NO 47 PHASE 3 B.TOWN RWP','4','5','15935','TCL','1906VLR300869A00129',null,'16-AUG-2020','65P8M - 1443','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 11:13:09','2021-07-17 15:12:58',null,'1',null,'0');
INSERT INTO complaints VALUES('7908','BUTT PWD','03347573415','FRIENDS HOME PWD ISB','4','5','0','SIGNATURE','OVEN SIGNATURE',null,'0','AC-20','BUILT IN APPLLIANCES','GRILL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 11:17:41','2021-08-11 12:47:55',null,'1',null,'0');
INSERT INTO complaints VALUES('7909','MR USAMA','03000630543','H NO 208 ST NO 6 MOCHS SEC E/11-1 ISB','5','34','135024','GREE','0',null,'10-JUN-2021','9978EG-CB1 - 885','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 11:25:07','2021-07-17 12:05:28',null,'1',null,'0');
INSERT INTO complaints VALUES('7910','AHSAAN MUSTAFA','03056956069 , 03175062510','ST NO 44 MARIFUL QURAN ACADEMY PHASE 1 PAKISTAN TOWN ISB','8','37','22531','HAIER','REF TO SAQLAIN FHHS',null,'8-JUL-2021','245SD - 955','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 11:29:59','2021-07-17 11:55:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7911','AIR COOM MOAZAM DAR','03425222088','H NO 453 ST NO 56 SEC D/12-2 ISB','8','42','42948','LG','0',null,'11-OCT-2020','4V5GP2T-S','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 11:38:36','2021-07-18 11:16:16',null,'1',null,'0');
INSERT INTO complaints VALUES('7912','AHMER BHATTI','03235393507','H NO 390 ST NO 50 BLOCK C1 SEC B/17 ISB','8','37','48254','PANASONIC','REF TO SAQLAIN FHS',null,'2-MAY-2021','18WKF-9','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 11:43:00','2021-07-17 15:08:48',null,'1',null,'0');
INSERT INTO complaints VALUES('7913','ISHTIAQ KHAN','03218551530','H NO 54 STNO 4 MEDICAL SOCIETY SEC E/11-2 ISB','5','31','71130','LG','0',null,'6-NOV-2015','60LF650T-S','FLAT PANEL TV','DISPLAY PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 11:48:25','2021-07-18 11:15:27',null,'1',null,'0');
INSERT INTO complaints VALUES('7914','AWAIS SB','03335645149','h no 351B ST NO 22 GULZAR-E-QUAID RWP','8','37','50502','GREE','MODAL#18PITH2W',null,'24-JUN-2021',null,'AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','1','7863','92','2021-07-12 11:50:47','2021-07-15 11:47:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7915','ABDUL LATEEF','03007088868','H NO 17 MINISTER ENCLAVE SEC F/5 ISB','5','32','114720','HAIER','REF TO PTCL',null,'15-FEB-2020','368EBS - 860','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 11:52:02','2021-07-15 11:45:29',null,'1',null,'0');
INSERT INTO complaints VALUES('7916','MR SHAERYAR','03325259341','MAIN GOLRA SHAREEF ISB','5','34','132837','GREE','0',null,'6-MAY-2021','24FITH1W - 917','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 11:55:27','2021-07-14 11:16:10',null,'1',null,'0');
INSERT INTO complaints VALUES('7917','COLNADEEM','03151515415','H NO 1/1 A SEC B ASKARI 14 ADYALA ROAD RWP','7','49','17393','SIGNATURE','0',null,'6-AUG-2018','SBS-MD99SS-I - 908','REFRIGERATOR','HANDLE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 11:58:44','2021-07-14 13:40:02',null,'1',null,'0');
INSERT INTO complaints VALUES('7918','MAQSOOD SB','03344900575 , 03348094257','MARALA ROAD SAT SIRA PALM CITY MANDIBAHAUDDIN','4','5','215638','LG','0',null,'6-JUL-2021','512FPS-S - 1653','DISH WASHER','INSTALLATION',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 12:18:19','2021-07-30 13:26:03',null,'1',null,'0');
INSERT INTO complaints VALUES('7919','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','SAMSUNG','REF TO ASLAM SB',null,'0','43PU7000','FLAT PANEL TV','NOT WORKING',null,'8',null,null,'customer','0',null,'73','2021-07-12 12:29:03','2021-08-20 15:38:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7920','IQBAL STOCK','03008557478','FRIENDS HOME WALLAYAT COMPLEX NEAR RABI CENTRE BHR-7 RWP','5','28','0','MAX','REF TO ASLAM SB',null,'0','32A5 - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 12:31:25','2021-07-16 12:18:04',null,'1',null,'0');
INSERT INTO complaints VALUES('7921','MR FAHEEM','03129050555','ALLAMAIQBAL MUSLIM COLLEGE NEAR RAHAT BAKERY TRAMARY CHOWK ISB','9','20','213816','HAIER','0',null,'14-JUN-2021','306EPB - 859','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 12:42:47','2021-07-15 11:22:31',null,'1',null,'0');
INSERT INTO complaints VALUES('7922','MISS TAYYABA','03068176911','CB228 NEAR RAJA BASHART HOUSE IQBAL STREET  DHAMIAL ROADRWP','7','49','22142','SUPER ASIA','0',null,'12-NOV-2020','106GH(NG) - 1029','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 12:47:37','2021-07-15 16:39:55',null,'1',null,'0');
INSERT INTO complaints VALUES('7923','ASAD JAN KHATTAK','03455011675','H NO 230 ST NO 76 SEC F/11-1 ISB','5','36','137182','SIGNATURE','0',null,'10-JUL-2021','C595','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 13:06:23','2021-07-18 11:26:08',null,'1',null,'0');
INSERT INTO complaints VALUES('7924','ABID HUSSAIN','03225300601','H NO 483 ST NO 24 BLOCK B SEC B/17 ISB','5','30','110414','SIGNATURE','REF TO PTCL',null,'25-OCT-2019','25BG','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 13:15:10','2021-07-15 12:19:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7925','MR SOHAIB','03333633332','D WALT PHARMACY NEAR FISH MARKET COMMETI CHOWK RWP','9','20','149743','CARAVELL','0',null,'3-APR-2018','600MEC - 1652','CHILLER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 13:20:18','2021-07-15 11:37:49',null,'1',null,'0');
INSERT INTO complaints VALUES('7926','TANVEER ABBAS','03455426170 , 03340557947','H NO 5 ST NO 1 PHASE 5 GULSHANKHUDADAD PESHAWAR ROAD RWP','7','49','23728','DAWLANCE','REF TO ATIF SADDAR',null,'31-MAY-2021','91996GD-INV-GREEN - 885','REFRIGERATOR','TRAY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 13:26:10','2021-07-18 11:24:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7927','ZAEEM KHAN','03339989960','H NO 723 ST NO 18 SEC 3 PHASE 8 B.TOWN RWP','4','5','3685','SIGNATURE','REF TO KAMRAN PWD',null,'19-MAY-2018','SCF-HM08 - 954','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 13:30:25','2021-07-17 16:40:16',null,'1',null,'0');
INSERT INTO complaints VALUES('7928','MR JAVAID','03235506955','434/1 MEHRABAD PESHAWAR ROAD RWP CANTT','8','40','46666','XTREEM','0',null,'27-FEB-2021','81A - 1122','BUILT IN APPLLIANCES','BURNERS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 13:36:52','2021-07-15 11:23:32',null,'1',null,'0');
INSERT INTO complaints VALUES('7929','COL MASOOD','03219765191','H NO 205 ST NO 8 GARDEN CITY ZONE 1 PHASE 7 B.TOWN RWP','8','47','17832','GREE','0',null,'20-NOV-2018','18SNC','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 14:01:48','2021-07-17 11:53:22',null,'1',null,'0');
INSERT INTO complaints VALUES('7930','MR ABBAS','03465483202','PINDI GHEP EDUCATOR SCHOOL MUHALLA MULA','9','20','213562','CORONA','0',null,'13-JUN-2021','65G-DLX - 669','WATER COOLER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 14:09:50','2021-07-18 11:22:00',null,'1',null,'0');
INSERT INTO complaints VALUES('7931','MR KARIM','03485131751','H NO 18A ST NO 37 SEC F/8-1 ISB','10','45','0','SIGNATURE','SALE AFZAL CORPORATION',null,'14-APR-2018`','SCF-HM08 - 954','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 14:55:32','2021-08-02 12:51:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7932','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','TCL','2103VLR301485A00058',null,'0','43S6500 - 869','FLAT PANEL TV','CABLE PIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 15:06:44','2021-07-29 11:53:35',null,'1',null,'0');
INSERT INTO complaints VALUES('7933','BILAL MALIK','03110533103','FRIENDS GULNOOR MARKET RWP','9','21','0','FIVE STAR','MAX RANGE',null,'0','500MC','COOKING RANGE','MISSING ITEMS',null,'8',null,null,'customer','0',null,'73','2021-07-12 15:21:26','2021-08-02 11:54:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7934','COL NAYYER','03159000463','H NO 231 OPP NADRA OFFICE TALAGANG CHAKWAL','6','16','21699','SIGNATURE','0',null,'27-JUN-2019','SBH-AA760S - 1122','BUILT IN APPLLIANCES','BURNERS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 15:25:29','2021-07-17 11:18:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7935','AFZAL MATHU','03006143609','H NO 81 ROAD 1 SEC C BAHRIA ENCLAVE ISB','8','39','45141','HAIER','C/O AKBAR SB',null,'15-DEC-2020','24HDZ-G INV - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6558','92','2021-07-12 15:25:40','2021-08-05 16:27:09',null,'1',null,'0');
INSERT INTO complaints VALUES('7936','DR HAROON','03465979279','H NO 669 ST NO 6 CHAKLALA SCHEME 3 RWP','7','49','21944','GREE','0',null,'8-OCT-2020','18CITH12W - 915','AIR CONDITIONER','OUTDOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 15:33:20','2021-07-13 16:37:33',null,'1',null,'0');
INSERT INTO complaints VALUES('7937','ABDULLAH','03042106650','H NO 176 ST NO 8 DEFENCE VILLA SEC F DHA 1 RWP','6','12','35782','SAMSUNG','0',null,'8-JUN-2021','80J5446-S','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 15:41:30','2021-07-14 13:40:53',null,'1',null,'0');
INSERT INTO complaints VALUES('7938','SAMIUALLAH','03005018506','H NO 1080 ST NO 67/83 OMER BLOCK PHASE 8 B.TOWN RWP','6','12','33220','LG','0',null,'17-FEB-2021','702HMHU-S - 885','REFRIGERATOR','SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 15:43:58','2021-07-19 14:22:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7939','TIPU SULTAN','03145607837','ANWARE MADINA INTERNATIONAL HOTEL IJP ROAD','8','39','5033','ORIENT','4PC',null,'22-AUG-2019','18G-HYPER-SW - 915','AIR CONDITIONER','ERROR E5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 15:48:06','2021-07-24 17:09:03',null,'1',null,'0');
INSERT INTO complaints VALUES('7940','SAAD JAWED','03440518114','FARM NO 185 ST NO 5 BLOCK A GULBERG GREEN ISB','5','34','115548','FIVE STAR','0',null,'14-MAR-2020','35G-TWIN SUPREME - 963','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 15:59:15','2021-08-17 15:38:48',null,'1',null,'0');
INSERT INTO complaints VALUES('7941','MR SOHAIL','03135963063, 03002716658','ABBOTABBAD','8','40','45705','BOSCH','REF TO PTCL',null,'12-JAN-2021','50D08GC - 1060','DISH WASHER','ERROR 09',null,'8',null,null,'customer','0',null,'73','2021-07-12 16:21:09','2021-07-13 15:59:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7942','MR ZUHAIR','03215835645','H NO 24 ST NO 3 ASKARI 12 RWP','8','39','50562','ORIENT','0',null,'26-JUN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 16:48:57','2021-07-15 17:41:49',null,'1',null,'0');
INSERT INTO complaints VALUES('7943','EHTESIAM SB','03355437782','H NO 207 ST NO 19 SEC E/11-2 ISB','5','53','88021','SIGNATURE','REF TO PTCL CALL',null,'9-SEP-2017','SRF-HM100 - 908','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 17:07:08','2021-07-15 12:45:21',null,'1',null,'0');
INSERT INTO complaints VALUES('7944','COL ATAB','03038693656','H NO 42 ST NO 13 SEC E DHA 1 RWP','6','16','36857','SIGNATURE','0',null,'11-JUL-2021','SCF-HM11 - 955','FREEZER','COOLING &LIGHT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 17:23:01','2021-07-17 16:39:46',null,'1',null,'0');
INSERT INTO complaints VALUES('7945','ASHAR SB','03215170370','H NO 111 LANE NO 1 OPP WATER FILTER PLANT GULRAIZ 3 RWP','4','5','0','SIGNATURE','ON PAYMENT',null,'OUT WARRANTY','RANGE SIGNATURE','COOKING RANGE','NEED SERVICE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 17:43:10','2021-07-15 15:46:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7946','SOHAIL SB','03075559485','H NO 538 ST NO 29 BLOCK D PAK PWD HOUSING SOCIETY LOHI BHER  EXPRESSHIGHWAY ISB','4','5','70','SIGNATURE','0',null,'1--SEP-017','SRF-HM100 - 908','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 17:54:52','2021-07-15 11:00:59',null,'1',null,'0');
INSERT INTO complaints VALUES('7947','SHERIYAR FAZIL SB','03005093086','H NO 32A ST NO 30 SEC F/8-1 ISB','8','37','50081','HAIER','0',null,'14-JUN-2021','24HFCD','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 17:57:17','2021-07-28 14:35:21',null,'1',null,'0');
INSERT INTO complaints VALUES('7948','WAQAS RAFIQUE','03445445584','NEAR KHURSHEED MASJID SAMARZAR ADYALA ROAD RWP','5','36','92949','LG','0',null,'31-MAY-2018','682HLHU-S - 896','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 18:00:10','2021-07-24 11:00:44',null,'1',null,'0');
INSERT INTO complaints VALUES('7949','COL YAZDANI','03328544373 , 03335229508','H NO 21 ST NO 13 DEFENCE VILLAS SEC F DHA 1 RWP','6','12','33919','HAIER','0',null,'25-MAR-2021','306TPR','REFRIGERATOR','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 18:03:33','2021-07-17 11:43:18',null,'1',null,'0');
INSERT INTO complaints VALUES('7950','ATHAR HUSSAIN','03065140434','159 DEFENCE VILLAS SEC F DHA 1 RWP','4','5','21973','ECOSTAR','REF TO KAMRAN PWD',null,'14-JUN-2021','18CR01W - 915','AIR CONDITIONER','ERROR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 18:06:15','2021-07-17 14:46:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7951','MISS SADIA','03355395088 , 03099729536','H NO 836 SERVICE ROAD NORTH SEC I/10-2 ISB','8','37','0','HAIER','REF TO PTCL CALL (WARRANTY CARD)',null,'23-6-18','HAIER MACHINE','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 18:12:02','2021-07-25 13:52:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7952','AAMIR JAMAL','03335112048 , 03335202863','H NO 105 ST NO 7 CHAKLALA SCHEME 3 RWP','6','16','36581','ORIENT','0',null,'3-JUL-2021','24G-PREMIER-SW - 917','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 18:15:41','2021-07-15 11:54:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7953','COL NAGHMAN','03003080050 , 03065244954','H NO 209/A -3 FIRDOUSI ROAD LALKURTI RWP CANTT','6','15','33819','SAMSUNG','0AJS36PR200224E',null,'21-MAR-2021','UA55TU7000USMM','FLAT PANEL TV','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-12 18:19:18','2021-07-17 14:44:29',null,'1',null,'0');
INSERT INTO complaints VALUES('7954','SHAHZAD MEHMOOD','03008541690','H NO 29A ST NO 41 BLOCK C  GULSHAN-E-SEHAT SEC E18 ISB','5','28','115223','FIVE STAR','REF TO ABU BAKAR FCI',null,'5-MAR-2020','999C-FS - 1965','COOKING RANGE','NOBS PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 11:00:39','2021-07-19 14:21:42',null,'1',null,'0');
INSERT INTO complaints VALUES('7955','MAJID AMIN','03335251343','COL AMANULLAH ROAD OPP JAWAD MASJID MANGOO TOWN BARAKAHO ISB','5','32','124301','HAIER','0',null,'23-NOV-2020','398EPR - 746','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 11:07:05','2021-08-07 12:23:28',null,'1',null,'0');
INSERT INTO complaints VALUES('7956','MRS REHMAN','034878644444','H NO 34B BLOCK E1 GULBERG 3 LAHORE','10','45','0','LG','REF TO IKHLAQ FCI',null,'ON PAYMENT','LG MACHINE','WASHING MACHINE','WATER PROBLEM',null,'3',null,null,'customer','0',null,'73','2021-07-13 11:49:03','2021-07-13 11:49:03',null,'1',null,'0');
INSERT INTO complaints VALUES('7957','DR TARIQ','03336509504','H NO 3 ST NO 6 BLOCK F SOAN GARDEN PWD ISB','4','11','8477','SIGNATURE','0',null,'22-APR-2019','SWD-HD10-GR - 994','WATER DISPENSER','LEKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 12:05:46','2021-08-02 12:50:17',null,'1',null,'0');
INSERT INTO complaints VALUES('7958','SYED FARRUKH ABBAS','03005359795','H NO 80 OPP PSO PUMP ADYALA ROAD RWP','8','37','47759','DAWLANCE','0',null,'12-APR-2021','15POWERCON','AIR CONDITIONER','ERROR E6',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 12:20:41','2021-07-17 14:41:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7959','ALI UMER','03005232689','H NO 208 ST NO 9 QADEER KHAN ROAD KRL RWP','9','19','215956','HAIER','REF TO PTCL CALL',null,'10-JUL-2021','306EPB','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 12:39:43','2021-07-17 11:34:51',null,'1',null,'0');
INSERT INTO complaints VALUES('7960','AZEEM SB','03315420488','FRIENDS GULNOOR MARKET RWP','9','24','0','CARAVELL','0',null,'0','115PMI','WATER DISPENSER','DOOR DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 13:15:18','2021-07-29 17:58:48',null,'1',null,'0');
INSERT INTO complaints VALUES('7961','ABDUL REHMAN','03144455587','H NO 15 STNO 5 DOCTOR TOWN ISB','4','11','15372','SUPER ASIA','0',null,'21-JUL-2020','240SA-SHW - 1548','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 13:21:18','2021-07-26 14:05:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7962','MIAN SAEED','03005585236','OFF NO 16 1ST FLOOR BAVERLY CENTRE BLUE AREA ISB','5','28','93036','GREE','REF TO AZHAR RAMZAN',null,'3-APR-2018','18CITH12W - 915','AIR CONDITIONER','PCB CARDS',null,'5','COMPLAINT COMPLETED',null,'customer','0',null,'73','2021-07-13 13:23:35','2021-08-02 16:11:57',null,'1',null,'0');
INSERT INTO complaints VALUES('7963','IRFAN AKHTER','03008504031','H NO 42 ST NO 51 NEAR MASJID SEC D/12-2 ISB','5','36','124844','SIGNATURE','0',null,'1-DEC-2020','C585','COOKING RANGE','IGNITION PROBLEM',null,'5','complaint closed',null,'customer','0',null,'73','2021-07-13 13:33:25','2021-07-17 11:34:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7964','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','ORIENT','0',null,'0','FALRE3','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 13:48:43','2021-07-28 15:03:16',null,'1',null,'0');
INSERT INTO complaints VALUES('7965','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','GREE','0',null,'0','12FITH1C - 913','AIR CONDITIONER','GAS',null,'3',null,null,'customer','0',null,'73','2021-07-13 13:51:01','2021-07-13 13:51:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7966','ASAD SB','03328255557','H NO 11 ST NO 2 PHASE 2 B.TOWN RWP','8','37','49158','DAWLANCE','0',null,'27-MAY-2021','1051WD-SILVER','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 13:55:42','2021-07-17 14:37:21',null,'1',null,'0');
INSERT INTO complaints VALUES('7967','ARIF JAHANGIR','03335102971 , 0514411153','H NO CA80 NEAR GULZAR HOTEL CHISTIABAD PINDORA RWP','8','42','51098','GREE','0',null,'11-JUL-2021','9978EG-CB2 - 885','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 14:06:07','2021-07-17 11:37:36',null,'1',null,'0');
INSERT INTO complaints VALUES('7968','TAHA RIZWAN','03177894710','11 ST NO 70 SEC A BAHRIA ENCLAVE ISB','5','32','122614','ORIENT','0',null,'6-OCT-2020','62D - 1602','MICROWAVE OVEN','HEATING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 14:39:54','2021-07-16 15:05:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7969','ISHFAQ AHMED','03008585092','H NO160 ST NO 1 USMAN D PHASE 8 B.TOWN RWP','6','16','16650','ORIENT','0',null,'8-OCT-2018','CRYSTAL-C-BLK - 993','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 14:59:26','2021-07-28 12:54:55',null,'1',null,'0');
INSERT INTO complaints VALUES('7970','YASEEN GULL','03332333326','H NO 38 ST NO 23 SEC 1 AIRPORT HOUSING SOCIETY RWP','9','19','215098','CHANGHONG','REF TO SAQIB FCP',null,'30-JUN-2021','180CI','AIR CONDITIONER','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 15:20:53','2021-07-17 14:31:25',null,'1',null,'0');
INSERT INTO complaints VALUES('7971','CH IMRAN','03235519981','JAMIA MASJID CHAUDRIAN ST NO 25 NEAR ASHIR ALI G/S RATTA AMRAL RWP','9','21','157163','HAIER','0',null,'16-AUG-2018','336EPB - 894','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 15:46:48','2021-07-19 13:39:57',null,'1',null,'0');
INSERT INTO complaints VALUES('7972','WAHEEED JABBAR','03335262942','ST NO 5 DHOK MUSA NEAR NIRA DAD MASJID KRL ROAD RWP','8','38','43319','HAIER','0',null,'1-NOV-2020','120-1678HWM - 906','WASHING MACHINE','SPINNER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 15:50:52','2021-07-27 13:39:37',null,'1',null,'0');
INSERT INTO complaints VALUES('7973','MUHAMMAD ANSAAR','03215632562','H NO 204 NEAR CIVIC CENTRE PHASE 4 B.TOWN RWP','4','5','22480','HAIER','REF TO KAMRAN PWD',null,'6-JUL-2021','48H03 - 1820','AIR CONDITIONER','ERROR E4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 15:54:28','2021-07-17 11:20:13',null,'1',null,'0');
INSERT INTO complaints VALUES('7974','MRS SHUJA','03215362904','CHAKLALA GARRISON GATE RWP','8','37','0','SAMSUNG','ON PAYMENT',null,'OUT WARRANTY','TOPLOAD','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 16:14:56','2021-07-16 11:53:53',null,'1',null,'0');
INSERT INTO complaints VALUES('7975','mr nasir','03125232077','H NO P1645 NEAR EIDGAH SHAREEF ASGHAR MALL SCHEME RWP','8','42','49706','SUPER ASIA','REF TO ALI FCI',null,'8-JUN-2021','244SA - 1483','WASHING MACHINE','TUB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 17:30:42','2021-07-18 14:14:01',null,'1',null,'0');
INSERT INTO complaints VALUES('7976','CH BILAL','03335315955','JAPAN ROAD KAGHRI SIHALA ISB','4','8','22608','ORIENT','0',null,'22608','24G-SUPER - 917','AIR CONDITIONER','REMOTE SENSOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 17:42:21','2021-07-28 12:46:43',null,'1',null,'0');
INSERT INTO complaints VALUES('7977','MR NAEEM','03164553891','h no 4 st no 5 block f naval ancourage isb','4','5','156','SIGNATURE','REF TO MAZHAR CHOTA FCP`',null,'24-SEP-2017','SBC-BRISBANE-90 - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT COMPLETED',null,'customer','0',null,'73','2021-07-13 17:45:38','2021-08-02 16:16:19',null,'1',null,'0');
INSERT INTO complaints VALUES('7978','SAFDAR ABBAS','03335734215','H NO 15/6 ABBASI STREET AFFANDI COLONY RWP','9','22','216116','HAIER','0',null,'11-JUL-2021','306EPC - 859','REFRIGERATOR','BASE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-13 18:06:04','2021-07-17 11:24:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7979','BABER','03345566646','APP NO 307 FLOOR 3 BUILDING 2A RIVER LOFT PHASE 7 B.TOWN RWP','6','12','34587','SHARP','0',null,'25-APR-2021','X635-HS3','REFRIGERATOR','C0OLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 10:16:28','2021-07-17 16:28:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7980','MR ZIA','03337816566','H NO 366 ST NO 20 BAHRIA SPRINGSNORTH PHASE 7 B.TOWN RWP','6','16','34457','SAMSUNG','64R5331-S',null,'19-APR-2021',null,'REFRIGERATOR','ICE MAKING',null,'5','COMPLAINT CLOSED',null,'customer','1','7894','73','2021-07-14 10:23:01','2021-07-16 11:57:38',null,'1',null,'0');
INSERT INTO complaints VALUES('7981','GUL WAHEED','03139526834','H NO 4 ST NO 30 SEC F/7-1 ISB','5','34','129736','SIGNATURE','0',null,'25-FEB-2021','C595','COOKING RANGE','BURNERS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 10:26:34','2021-08-10 15:09:55',null,'1',null,'0');
INSERT INTO complaints VALUES('7982','MR KHALID','03359379379','H NO 11B ST NO 30 SEC F/8-1 ISB','5','34','122762','SIGNATURE','0',null,'10-OCT-2020','C585','COOKING RANGE','NOB PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 10:29:29','2021-07-17 13:07:22',null,'1',null,'0');
INSERT INTO complaints VALUES('7983','ATTIQ AHMED','03335149064','H NO 25 ST NO 1 SEC G/15-2 ISB','9','26','196809','SIGNATURE','0',null,'28-SEP-2020','25CG - 1731','BUILT IN APPLLIANCES','GAS OVEN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 10:32:20','2021-07-17 16:26:23',null,'1',null,'0');
INSERT INTO complaints VALUES('7984','RAZZAQ SB','03215026666','H NO 100 BLOCK D NEAR WAPDA OFFICE SATELLITE TOWN RWP','9','20','149940','CANON','0',null,'7-APR-2018','BOV-09 - 1731','BUILT IN APPLLIANCES','TRIPPING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 10:36:05','2021-07-17 12:40:44',null,'1',null,'0');
INSERT INTO complaints VALUES('7985','FAISAL','03340000020','H NO 476 ST NO 22 SEC F/15-1 ISB','9','22','173545','HAIER','0',null,'22-JUN-2019','276EPC - 859','REFRIGERATOR','COOLING',null,'3',null,null,'customer','0',null,'73','2021-07-14 10:38:04','2021-07-14 10:38:04',null,'1',null,'0');
INSERT INTO complaints VALUES('7986','MUHAMMAD SHOKAT','03335195584 , 0512323877 , 03314443671','H NO 007 ST NO 488 SEC G/13-1 ISB','5','28','80225','SAMSUNG','REF TO IQBAL FCI',null,'17-DEC-2016','65K6030 - 75','REFRIGERATOR','FREEZER COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 10:41:26','2021-07-17 13:27:40',null,'1',null,'0');
INSERT INTO complaints VALUES('7987','TAMKEEN NIAZI','03335511302','PLOT NO 47 ST NO S10 RAWAT INDUSTRAL AREA','5','33','133066','HAIER','0',null,'17-MAY-2021','18HFPCA-89','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 10:55:08','2021-08-05 16:14:55',null,'1',null,'0');
INSERT INTO complaints VALUES('7988','MR NADEEM','03346276399','H NO C310 ST NO 49 SEC F/7-4 ISB','5','29','116665','GREE','REF TO COMPLAINT FOLLOWUP',null,'23-MAY-2020','8890EG-CR1 - 896','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 11:06:23','2021-07-17 11:41:56',null,'1',null,'0');
INSERT INTO complaints VALUES('7989','ILYAS','03459535900 , 03459367808','H NO 727 ST NO 44 SEC C PWD ISB','8','37','22658','HAIER','REF TO NAFEES FHHS',null,'13-JUL-2021','18HFPCA-S','AIR CONDITIONER','OUTDOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 11:15:32','2021-07-17 16:39:15',null,'1',null,'0');
INSERT INTO complaints VALUES('7990','UMER SB','03008555723','H NO 13 ST NO 31 SEC F/7-1 ISB','5','31','111084','SAMSUNG','0',null,'21-NOV-2019','49RU7100-P - 1629','FLAT PANEL TV','CHANNEL TUNNING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 11:26:16','2021-07-18 13:48:52',null,'1',null,'0');
INSERT INTO complaints VALUES('7991','MR NAJAF','03335790555','OFFICE 2 ALMINAR PLAZA FIRST FLOOR SEC E/11-2 ISB','5','33','133090','GREE','REF TO AZHAR RAMZAN',null,'17-MAY-2021','24FITH3W','AIR CONDITIONER','ERROR E6',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 11:38:09','2021-07-17 16:07:34',null,'1',null,'0');
INSERT INTO complaints VALUES('7992','SAIFUR REHMAN','03218260272','H NO 414 ST NO 24  PHASE 7 B.TWON RWP','6','12','35475','SUPER ASIA','REF TO ADEEL BHR-7',null,'30-MAY-2021','5000ECM-PLUS - 1577','AIR COOLER','POWER LIGHT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 11:52:50','2021-07-27 15:22:12',null,'1',null,'0');
INSERT INTO complaints VALUES('7993','SALEEM TARIQ','03345148850','H NO 309 ST NO 66 MPCHS SEC E/11-3 ISB','9','19','0','LG','REF TO PTCL CALL',null,'ON PAYMENT','FRONT LOAD','WASHING MACHINE','NEED SERVICE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 11:56:46','2021-07-18 17:03:22',null,'1',null,'0');
INSERT INTO complaints VALUES('7994','MISS BUSHRA','03445464205','H NO 24A PARK ROAD SEC F/8-2 ISB','5','36','124687','SAMSUNG','REF TO PTCL',null,'29-NOV-2020','51K5680SL-S - 908','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 11:59:41','2021-08-02 16:16:05',null,'1',null,'0');
INSERT INTO complaints VALUES('7995','MRS WAJAHAT','03344831862 , 03004595190','H NO 80A SEC A 1 SADAT COLONY MIRPUR AJK','7','49','23771','DAWLANCE','0',null,'3-JUN-2021','9170LFD-PLUS','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 12:05:28','2021-07-17 15:51:08',null,'1',null,'0');
INSERT INTO complaints VALUES('7996','ABDUL JABBAR','03006362379','H NO 12 ST NO 88 SEC B DHA 3 ISB','9','19','16822','GREE','REF TO SAQIB FCP',null,'21-OCT-2020','9978EG-CW3 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7400','73','2021-07-14 12:15:41','2021-07-18 14:01:11',null,'1',null,'0');
INSERT INTO complaints VALUES('7997','KHALID SB','03347194742','FLAT A BLOCK 12 NEAR (15 RESCUE OFFICE )SEC G/8-4 ISB','8','42','33078','SIGNATURE','0',null,'4-APR-2019','MT-99FHS-I - 908','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 12:19:28','2021-07-17 11:15:06',null,'1',null,'0');
INSERT INTO complaints VALUES('7998','RANA ABDUL SHAKOOR','03009544199','H NO 1 ST NO 1 BLOCK DD PWD ISB','9','19','207775','GREE','0',null,'21-MAR-2021','9978EG-CR1 - 885','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 12:23:46','2021-08-07 17:08:36',null,'1',null,'0');
INSERT INTO complaints VALUES('7999','CH MUDASSAR SULTAN','03445000658','VILLAGE DAGHAN BARIAN CAMP ABBOTABAD','9','23','170391','DAWLANCE','0',null,'4-MAY-2019','9166WBMDS - 894','REFRIGERATOR','COOLING',null,'3',null,null,'customer','0',null,'73','2021-07-14 12:42:34','2021-07-14 12:42:34',null,'1',null,'0');
INSERT INTO complaints VALUES('8000','MUHAMMAD TAJ','03215452840','H NO 321 ST NO 66 SEC E/11-3 ISB','5','34','121624','DAIKIN','0',null,'7-SEP-2020','50AXV1-INV - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 13:08:58','2021-07-26 11:49:10',null,'1',null,'0');
INSERT INTO complaints VALUES('8001','SOHAIL SB','03408862382','H NO 13 ST NO 14  SEC 1 BAHRIA ENCLAVE ISB','8','42','48271','XTREME','0',null,'2-MAY-2021','985','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 13:13:39','2021-07-24 14:56:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8002','SHAFIQUE SB','03335492042','H NO 8 ST NO 10 SEC F/8-3 ISB','9','23','209157','BOSCH','0',null,'12-APR-2021','75V120M-C','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 13:19:40','2021-07-17 15:33:26',null,'1',null,'0');
INSERT INTO complaints VALUES('8003','HASSAN SB','03331598772','H NO 10 SERVICE ROAD WEST SEC F/8-2 ISB','10','45','0','SAMSUNG','C/O UMER SB SISTER',null,'0','SAMSUNG LED','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 13:25:21','2021-07-15 12:59:46',null,'1',null,'0');
INSERT INTO complaints VALUES('8004','HAMMAD SB','03455104405','FREINDS GULNOOR SHOWROOM MURREE ROAD RWP','9','19','0','SIGNATURE','HOOD SIGNATURE',null,'0','A6','BUILT IN APPLLIANCES','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 14:07:37','2021-07-19 13:05:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8005','DR TANVIR','03335167106','H NO 72 ST NO B7 DCHS(DOCTOR TOWN) PWD','4','5','0','SIGNATURE','REF TO PTCL (MANUAL BILL)',null,'15-10-17','SRF-HM99 - 908','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6481','73','2021-07-14 14:13:49','2021-07-18 11:14:55',null,'1',null,'0');
INSERT INTO complaints VALUES('8006','DR RAHEEL','03365594437','HNO 98/B-2 ST NO 10 AFSHAN COLONY NEAR ZIARAT STREET RANGE ROAD RWP','9','19','177313','MITSUBISHI','0',null,'17-AUG-2019','50VA - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 14:21:22','2021-07-16 14:19:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8007','IJAZA HUSSAIN','03365554303','H NO 762 ST NO 74 SEC G/10-4 ISB','5','32','87608','PEL','REF TO PTCL',null,'24-AUG-2017','18K-PINV-LIFE - 915','AIR CONDITIONER','NOT WORKING',null,'3',null,null,'customer','0',null,'73','2021-07-14 14:51:29','2021-07-14 14:51:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8008','MUHAMMAD ASLAM','03085550011','H NO 360 ST NO 33 SEC F/11-2 ISB','10','45','0','SAMSUNG','C/O SADEEQ SB',null,'OUT WARRANTY','SAMSUNG REF','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 15:00:55','2021-07-29 12:06:22',null,'1',null,'0');
INSERT INTO complaints VALUES('8009','MR IMRAN','03337730605','YOUSAF COLONY WESTRIDGE RWP','7','49','20190','HAIER','0',null,'12-DEC-2019','110-1789HWM - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 15:33:48','2021-07-19 14:56:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8010','ILYAS MALIK','03176448855','H NO 318 OPP GHQ RA BAZAR RWP CANTT','8','37','33547','ORIENT','REF TO SHAHZAD BHR-7',null,'26-APR-2019','18G-HYPER-SW - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 15:40:21','2021-07-17 15:05:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8011','ABDUL RAUF','03349173562','H NO 143 ST NO 16 LANE NO 8 CHATTA BAKHTAWAR ISB','8','38','50612','GREE','0',null,'27-JUN-2021','9978EG-CR1 - 885','REFRIGERATOR','DOOR GASKIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 16:35:24','2021-07-17 11:43:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8012','MR USMAN BUTT','03219454980','H NO K25-24 MAIN ROAD ECHS SEC D/18 ISB','9','26','212845','BOSCH','0',null,'8-JUN-2021','67NIT10M','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 16:58:40','2021-07-16 11:55:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8013','SALEEM SB','03315544603','HAMAYUN STREET KHAWAJA CORPORATION CHOWK ADYALA ROAD RWP','9','24','204804','HAIER','0',null,'31-JAN-2021','368IDB - 860','REFRIGERATOR','LIGHT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 17:02:05','2021-07-18 13:29:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8014','MR ZAHID','03345040348','H NO 1099 ST NO 5 PHASE 2 EXTENSION BAHRIA TOWN RWP','6','16','20375','PANASONIC','0',null,'20-APR-2019','40MSAS-S - 884','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 17:22:02','2021-07-17 16:25:39',null,'1',null,'0');
INSERT INTO complaints VALUES('8015','MANJIB','03028565510','INDIAN HIGH COMMISION ISB','5','34','123701','SAMSUNG','0',null,'7-NOV-2020','450R','SOUND SYSTEMS','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 17:25:46','2021-08-02 12:47:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8016','WASEEM','03355606009','H NO 137 ST NO 1B KHAYYAM TOWN NEAR BLESSING TOWER SEC H13 ISB','6','12','31646','SIGNATURE','0',null,'6-DEC-2020','HC-3764G - 1122','BUILT IN APPLLIANCES','NOBS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-14 17:46:05','2021-07-15 10:51:23',null,'1',null,'0');
INSERT INTO complaints VALUES('8017',null,null,null,'6',null,null,'DAWLANCE','0000',null,null,'142HZP - 1277','MICROWAVE OVEN','PLAT MISSING AND ON NAHI HOTA',null,'3',null,null,'showroom','0',null,'93','2021-07-14 19:51:36','2021-07-15 10:03:04',null,'1',null,'0');
INSERT INTO complaints VALUES('8018',null,null,null,'6',null,null,'DAWLANCE','0000',null,null,'1480-DDW - 1653','DISH WASHER','ENTERNAL ISSUE',null,'3',null,null,'showroom','0',null,'93','2021-07-14 19:52:49','2021-07-15 10:03:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8019',null,null,null,'6',null,null,'ORIENT','0000',null,null,'CRYSTAL-C-BLK - 993','WATER DISPENSER','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-07-14 19:53:19','2021-08-04 13:05:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8020',null,null,null,'6',null,null,'ORIENT','0000',null,null,'FLARE3','WATER DISPENSER','COOLING PROBLEM',null,'3',null,null,'showroom','0',null,'93','2021-07-14 19:53:58','2021-07-15 10:03:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8021','rashid shah','03335153849','H NO 141 ST NO 33-B SEC I/9-4 ISB','9','51','157640','SIGNATURE','0',null,'26-AUG-2018','SCF-HM10 - 955','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 10:11:22','2021-07-24 11:48:59',null,'1',null,'0');
INSERT INTO complaints VALUES('8022','AAMIR ASLAM','03444448844','H NO 529 ST NO 3 SEC B PHASE 8 B.TOWN RWP','4','5','28184','HAIER','REF TO ZAHID PWD',null,'3-JUL-2020','18HNI-B-INV - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 10:14:08','2021-07-19 14:59:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8023','MUHAMMAD ARIF','03365550018 , 03365550019','H NO 367 ST NO 14 SEC 1 AIRPORT HOUSING SOCIETY RWP','4','11','13544','FIVE STAR','0',null,'14-MAR-2020','999C-FS - 1965','COOKING RANGE','IGNITION PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 10:17:25','2021-07-17 11:14:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8024','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','SAMSUNG','REF TO IQBAL FCI',null,'0','55TU8500','FLAT PANEL TV','BODY OPEN',null,'4',null,null,'customer','0',null,'73','2021-07-15 10:19:32','2021-07-15 10:19:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8025','COL BANGISH','03459088315','H NO 127 ST NO 30 SEC C PHASE 8 B.TOWN RWP','6','12','28120','GREE','0',null,'1-JUL-2020','18CITH12G - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 10:27:14','2021-07-17 14:58:56',null,'1',null,'0');
INSERT INTO complaints VALUES('8026','OMER IMTIAZ','03361057432','H NO 324 ST NO 73 SEC G/11-2 ISB','4','5','418','SIGNATURE','REF TO JIBRAN FCI',null,'14-OCT-2017','SCR-FSS3-5G - 1076','COOKING RANGE','OVEN DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 10:29:56','2021-07-19 13:05:12',null,'1',null,'0');
INSERT INTO complaints VALUES('8027','USMAN HANIF','03335284426 , 03218578912','H NO 18 ST NO 11 LANE 10 SEC A DHA 2 ISB','9','23','127823','LG','REF TO SAQIB FCP',null,'11-MAY-2017','8008TEFV01S - 122','WASHING MACHINE','WASH TUB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 10:37:22','2021-08-07 15:29:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8028','SARDAR SB','03008502121','H NO 108-B SERVICE ROAD SEC F/10-4 ISB','8','38','50413','ORIENT','0',null,'22-JUN-2021','12G-HYPER-SW - 913','AIR CONDITIONER','COOLING&SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 10:40:27','2021-07-18 13:21:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8029','MR RAMZAN','03365120024','MADINA CASH AND CARRY BAND KHANNA ROAD MUSLIM TOWN RWP','8','38','22142','PEL','0',null,'11-MAY-2017','145PRDI - 883','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 10:45:53','2021-07-19 15:02:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8030','FARHAN SB','03215613771','H NO 14 ST NO 7 BLOCK C SOAN GARDEN ISB','8','37','49637','GREE','0',null,'7-JUN-2021','18FITH1S - 915','AIR CONDITIONER','COOLING&SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 11:16:38','2021-07-29 15:54:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8031','MRS KHURRAM','03215070080','H NO 1128 ST NO 54-A PHASE 7 B.TOWN RWP','6','15','36450','HAIER','0',null,'27-JUN-2021','12HFCN-W','AIR CONDITIONER','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 11:33:50','2021-07-18 13:12:25',null,'1',null,'0');
INSERT INTO complaints VALUES('8032','ABDUL AZIZ','03106617868 , 03005291525','H NO 1139 ST NO 24 SEC G/11-1 ISB','5','31','128646','HAIER','0',null,'29-JAN-2021','120AS - 69','WASHING MACHINE','DRYER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 11:51:41','2021-07-24 14:13:59',null,'1',null,'0');
INSERT INTO complaints VALUES('8033','NASIR SB','03205020000','H NO 131 ST NO 60 SEC I/8-3 ISB','5','28','0','DAWLANCE','REF TO PTCL(WARRANTY CARD)',null,'3-APR-2021','1060GWR - 993','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 12:13:34','2021-07-26 12:01:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8034','MR MANSOOR','03324575004','H NO 286 ST NO 2 LANE NO 7 OPP APS SCHOOL WESTRIDGE 3 RWP','7','49','22203','CANON','0',null,'21-NOV-2020','18D-NG','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 12:18:41','2021-07-17 14:01:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8035','MR MANSOOR','03324575004','H NO 286 ST NO 2 LANE NO 7 OPP APS SCHOOL WESTRIDGE 3 RWP','7','49','22371','HAIER','0',null,'3-DEC-2020','18HJ-S INV - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 12:22:06','2021-07-17 13:59:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8036','M JAVED','03215454445','H NO CB-81/26 MALIK SADIQ LANE NEAR HAQ BAHO  PALAO RANGE ROAD RWP','9','19','216401','DAWLANCE','0',null,'14-JUL-2021','374DW-IR - 1199','MICROWAVE OVEN','HEATING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 12:28:43','2021-07-18 12:57:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8037','FAISAL MOEEN','03160566138','H NO 30 ST NO 2 PHASE 1 B.TOWN RWP','4','11','16472','ORIENT','0',null,'27-SEP-2020','18G-BOLD-UW-INV - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 12:35:42','2021-07-17 13:40:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8038','DR NIAZI','03365544009','H NO 12 ST NO 52 SEC D/12-2 ISB','5','28','129223','GREE','REF TO IQBAL FCI',null,'12-FEB-2021','18FITH1S - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 13:00:45','2021-07-17 11:06:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8039','MR FAJAR','03315435476 , 03055989297','MOHANPURA ARJANNAGAR CITY SADDAR ROAD RWP','9','51','196355','SIGNATURE','0',null,'17-SEP-2020','32S600 - 936','FLAT PANEL TV','SPEAKER & INTERNET',null,'8',null,null,'customer','0',null,'73','2021-07-15 13:07:18','2021-08-22 13:44:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8040','BRIG IKRAM UR REHMAN','03335567387','H NO 7 SEC C SERVICE ROAD DHA 1 RWP','6','15','36933','GREE','0',null,'14-JUL-2021','24FITH5WB','AIR CONDITIONER','ERROR H3',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 13:11:52','2021-07-17 13:37:49',null,'1',null,'0');
INSERT INTO complaints VALUES('8041','NOMAN RAZA','03018546791','H NO 458 ST NO 21 BLOCK A MEDIA TOWN RWP','6','15','36224','SIGNATURE','SIGNATURE HOOD',null,'19-JUN-2021','A2','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 14:01:33','2021-08-01 16:07:56',null,'1',null,'0');
INSERT INTO complaints VALUES('8042','IJAZ ZUBAIRI','03005523288','H NO 871 ST NO 34 SEC G/10-1 ISB','5','33','124334','HAIER','0',null,'23-NOV-2020','120-1678HWM - 906','WASHING MACHINE','ERROR E2',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 14:02:25','2021-07-17 13:36:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8043','MIS ZUNAIRA','03325587882 , 03009605089','SHAHEEN 7 PAF BASE NURKHAN RWP','9','24','216220','LG','0',null,'12-JUL-2021','702HMHU-S - 885','REFRIGERATOR','SMELL PROBLEM',null,'8',null,null,'customer','0',null,'73','2021-07-15 14:11:13','2021-08-03 11:26:39',null,'1',null,'0');
INSERT INTO complaints VALUES('8044','YASAR AYAZ','03125390074','H NO 29 ST NO 145 SEC G/13-4 ISB','5','29','126792','LG','REF TO AZHAR RAMZAN',null,'6-DEC-2020','512FPS-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 14:16:24','2021-08-07 13:48:54',null,'1',null,'0');
INSERT INTO complaints VALUES('8045','MR HASNAIN','03215114480 , 03315114480','FLAT NO 5 ST NO 14 BLOCK A-2/A SEC G/9-2 ISB','9','19','183718','SIGNATURE','REF TO PTCL',null,'5-MAY-2018','SRF-HM50-S - 887','REFRIGERATOR','THERMOSTATE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 14:30:04','2021-07-18 13:43:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8046','MR AZAM','03333261050','ST M3 VILLA 25 EMAAR NEAR T CHOWK RAWAT','6','12','16786','HAIER','REF TO TAHA SOHAIL',null,'18-OCT-2018','120-B1558 - 906','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 14:32:07','2021-07-17 13:34:23',null,'1',null,'0');
INSERT INTO complaints VALUES('8047','JAVED ABBASI','03335104458','H NO 15 ST NO 37 SEC F/7-1 ISB','5','31','113428','GREE','0',null,'31-DEC-2019','18FITH2W - 201','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 14:44:55','2021-07-17 13:32:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8048','M AURANGZAIB','03105573761','H NO 372 ST NO 25 SEC 1/10-4 ISB','9','20','190967','GREE','0',null,'19-JUN-2020','9978EG-CB1 - 885','REFRIGERATOR','GAS KIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 15:08:06','2021-07-19 15:18:42',null,'1',null,'0');
INSERT INTO complaints VALUES('8049','YASEEN SB','03345432078','H NO 37 ZEESHAN STREET BOSTAN KHAN ROAD CHAKLALA SCHEME 3 RWP','9','24','95764','SAMSUNG','0',null,'14-DEC-2014','48H5500P','FLAT PANEL TV','PANEL CLOUDS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 15:34:22','2021-07-17 16:24:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8050','ANEES','03229872923','HO#S 233 BARBARA BAZAR R.W.P','9','26','213444','WAVES','0',null,'13-JUNE-2021','313WDF-SS - 956','FREEZER','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-15 15:44:53','2021-07-18 12:52:20',null,'1',null,'0');
INSERT INTO complaints VALUES('8051','KHURRAM','03005548081','FRIENDS HOME SADDAR RWP','7','49','0','DAWLANCE','REF TO ATIF SADDAR',null,'0','45ELEGANCE','AIR CONDITIONER','GAS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 15:44:59','2021-07-26 11:39:28',null,'1',null,'0');
INSERT INTO complaints VALUES('8052','MISS FARAH','03334848451','H NO 451 ST NO 48 MARGALLA TOWN PHASE 2 ISB','5','28','0','SIGNATURE','INVOICE NAI HA (WAQAS FCP)',null,'ON PAYMENT','3 BURNER STOVE','BUILT IN APPLLIANCES','NOBS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 15:54:07','2021-07-24 11:00:15',null,'1',null,'0');
INSERT INTO complaints VALUES('8053','SHAHID ANWAR','03359116485 , 03329774693','H NO 19 ST NO 73 BLOCK B DHA 3 RWP','6','12','36452','HAIER','REF TO ADEEL BHR-7',null,'28-JUN-2021','438EPCW - 896','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 15:59:10','2021-07-18 12:45:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8054','JAMAL NASEER','03025354898, 03335599383','H NO 25 ST NO 1 ALSYED JAMIA MASJID NEW ABADI SOHAN ISB','8','38','51092','WAVES','0',null,'11-JUL-2021','313WDFT-SS','FREEZER','TRIPPING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 16:01:55','2021-07-18 12:43:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8055','IMRAN SB','03215959370 , 03339155007','GULBERG 2 NAVEED LANE BAITUL MUBARAK SHAHEEN SADDAR PESHAWAR','8','38','39202','HOMAGE','0',null,'20-FEB-2020','1801S-HCS - 915','AIR CONDITIONER','ERROR E5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 16:17:35','2021-07-19 15:29:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8056','IMRAN GULL','03466667240','H NO 8 1ST FLOOR SUKH CHAIN AVE OPP DHA CLINIC SEC B DHA 2 ISB','6','15','36261','ORIENT','0',null,'20-JUN-2021','24G-MEGA','AIR CONDITIONER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 16:30:50','2021-07-17 16:24:05',null,'1',null,'0');
INSERT INTO complaints VALUES('8057','NADEEM AHMED','03455079160','H NO 58 KHAYABAN-E-TANVEER LANE NO 5 CHAKLALA SCHEME 3 RWP','9','21','0','SAMSUNG','0',null,'31-MAY-2021','15J5730SS-S','WASHING MACHINE','SPINNER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 16:42:39','2021-07-18 11:14:15',null,'1',null,'0');
INSERT INTO complaints VALUES('8058','AWAIS KHAN','03052227872','VILLA NO 1351 ST NO 22 PRECINCT 10A BAHRIA TOWN KARACHI','9','27','207634','BOSCH','REF TO SAQIB FCP',null,'17-MAR-2021','20260GC - 880','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 16:58:09','2021-07-18 17:19:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8059','SAJID MEHMOOD','03327772382 , 03335174565','H NO 6 ST NO 16 NEAR MAAZ BIB JABBAR AFSHAN COLONY RANGE ROAD RWP CANTT','9','24','127193','CANON','0',null,'25-JAN-2017','9200CA - 901','WASHING MACHINE','SPINNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 17:00:18','2021-07-18 12:34:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8060','ISMAL','03352811133 , 03356969118','H NO 1097 ST NO 46 PHASE 7 B.TOWN RWP','8','37','36363','KENWOOD','0',null,'24-JUN-2021','2436S-INV','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 17:25:27','2021-07-18 12:32:22',null,'1',null,'0');
INSERT INTO complaints VALUES('8061','MR ATHAR QAYYUM','03051052238','FLAT#04 GROUND FLOOR AWAMI VILLAS 05 BAHRIA TOWN PHASE 08 RWP','6','15','28074','ORIENT','0',null,'30-JUN-2020','18G-BOLD-UW-INV - 915','AIR CONDITIONER','ERROR F7',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 17:30:56','2021-07-29 16:05:20',null,'1',null,'0');
INSERT INTO complaints VALUES('8062','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','HAIER','REF TO IQBAL FCI',null,'0','18HFPAA-G','AIR CONDITIONER','COVER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 17:36:08','2021-08-05 14:14:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8063','SULTAN HAMAUN','03468550049 , 03018550049','MAOOLT VILLAGE NEAR PARK VIEW CITY ISB','5','28','116502','ORIENT','REF TO AZHAR RAMZAN',null,'20-MAY-2020','18G-ORBIT - 915','AIR CONDITIONER','ERROR F1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 17:40:02','2021-07-18 12:04:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8064','MUHAMMAD RAO','03215250853','H NO 36 ST NO 114 SEC G/11-3 ISB','8','37','48376','GREE','REF TO SAQLAIN FHHS',null,'4-MAY-2021','18PITH2W','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-15 17:47:26','2021-07-19 13:02:22',null,'1',null,'0');
INSERT INTO complaints VALUES('8065','MRS SHAKEEL','03038189232','H NO 2 ST NO 15 BLOCK G NAVAL ANCOURAGE ISB','8','37','22681','KENWOOD','REF TO NAFEES FHHS',null,'13-JUL-2021','24457GD-BKG','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 10:31:39','2021-07-19 13:27:42',null,'1',null,'0');
INSERT INTO complaints VALUES('8066','M YOUNUS','03359392782','H NO 225 ST NO 22 QASIMABAD RWP','9','24','90051','DAWLANCE','0',null,'9-JUN-2014','9175WBM - 83','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 10:33:18','2021-07-19 13:23:15',null,'1',null,'0');
INSERT INTO complaints VALUES('8067','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','DAWLANCE','REF TO IQBAL FCI',null,'0','136G - 1172','MICROWAVE OVEN','PANEL ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 10:37:53','2021-08-09 17:12:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8068','RAHEEL AHMED','03345139573','H NO 882/21B2 ST NO 3 AZIZABAD KIANI ROAD RWP','8','38','212986','SUPER ASIA','0',null,'9-JUN-2021','5000ECM - 309','AIR COOLER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 10:57:23','2021-07-19 12:31:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8069','SHER KHAN','03159213678','H NO 5 ST NO 9 JINNAH ROAD BANNI GALA ISB','5','33','110197','BOSCH','0',null,'16-OCT-2019','24260GC - 902','WASHING MACHINE','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 11:00:12','2021-07-19 12:33:50',null,'1',null,'0');
INSERT INTO complaints VALUES('8070','UMER SALEEM','03005285951','TOP FLOOR OPTP PLAZA PWD ROAD ISB','4','11','21556','KENWOOD','0',null,'2-JUN-2021','1828S-INV - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 11:04:12','2021-07-19 12:39:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8071','MRS QUDDUS','03335391095','H NO 433 ROAD B PHASE 5 B.TOWN RWP','4','11','11954','HAIER','0',null,'14-DEC-2019','95-1678HWM - 1817','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 11:06:49','2021-07-19 12:40:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8072','AZHAR RAMZAN','03465166132','FRIENDS BLUE AREA ISB','5','28','0','ORIENT','18G-ORBIT',null,'0','12G-VENUS-BW - 913','AIR CONDITIONER','INDOOR LEAK+GAS NIL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 11:11:02','2021-08-04 14:49:50',null,'1',null,'0');
INSERT INTO complaints VALUES('8073','AHSAN ALI','03132855512','H NO J161 NEAR JAN STORE  ARIAN MUHALLA LIAQAT BAGH RWP','9','20','200369','KENWOOD','0',null,'1-DEC-2020','935SA - 901','WASHING MACHINE','WASH TUB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 11:15:45','2021-07-25 14:19:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8074','ABDUL BASIT','03445519988','H NO 5 ST NO 5 RAJA AKHTER ROAD SHAHPUR BARAKAHO ISB','5','28','137172','ORIENT','REF TO AZHAR RAMZAN',null,'10-JUL-2021','18G-HYPER-SW - 915','AIR CONDITIONER','SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 11:54:18','2021-07-19 12:47:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8075','RANA IQBAL','03335524961 , 03165185824','ST NO 2 AHMED TOWN KOT HATHYAL BARAKAHO ISB','5','30','122182','SAMSUNG','REF TO PTCL',null,'23-SEP-2020','90K5410-S','WASHING MACHINE','DDC ERROR',null,'8',null,null,'customer','0',null,'73','2021-07-16 11:59:13','2021-08-21 14:49:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8076','M SHAFIQ','03325281654','H NO 23 QAZIABAD NEAR NEW CITY PHASE 1 WAAH CANTT','8','42','50292','GREE','0',null,'19-JUN-2021','18PITH2W','AIR CONDITIONER','INDOOR SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 12:01:53','2021-07-19 12:55:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8077','MR SOHAIB','03333633332','D WALT PHARMACY NEAR FISH MARKET COMMETI CHOWK RWP','9','20','149743','CARAVELL','0',null,'3-APR-2018','600MEC - 1652','CHILLER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','1','7925','73','2021-07-16 13:13:18','2021-07-27 14:45:24',null,'1',null,'0');
INSERT INTO complaints VALUES('8078','MR FAROOQ','03334114662','H NO 153 ST NO 20A FALCON COMPLEX ISB','8','42','51105','HAIER','0',null,'11-JUL-2021','368EBD - 860','REFRIGERATOR','DOOR SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 14:34:18','2021-07-24 14:11:07',null,'1',null,'0');
INSERT INTO complaints VALUES('8079','mr shahbaz','03305919147','APP NO 109B ALSAFA HEIGHTS 1 SEC F/11-1 ISB','5','36','116374','HAIER','0',null,'15-MAY-2020','85-7288 - 69','WASHING MACHINE','WASH TUB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 15:12:09','2021-07-19 13:03:10',null,'1',null,'0');
INSERT INTO complaints VALUES('8080','SHAMAS','03455243802','H NO 335 RAVI ROAD SEC G/8-2 ISB','5','28','84899','SIGNATURE','REF TO ABU BAKAR FCI',null,'27-MAY-2017','SBH-AA760S - 1122','BUILT IN APPLLIANCES','IGNITION',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 15:17:17','2021-07-17 12:36:21',null,'1',null,'0');
INSERT INTO complaints VALUES('8081','ZAKIULLAH','03224004433 , 03132222252','H NO 98 STNO 59 SEC F/10-3 ISB','5','33','132343','DAWLANCE','0',null,'29-APR-2021','9193LFAVANTE+EG','REFRIGERATOR','GASKIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 16:01:47','2021-07-19 13:01:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8082','COL JAVAID','03155005703','BLOCK 8/8 OLD GRACEY LANE CHAKLALA RWP CANTT','4','5','22727','SAMSUNG','REF TO NAFEES FHS',null,'15-JUL-2021','64R5331-S','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 16:18:45','2021-07-18 11:12:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8083','MR RAHEEL','03215003692','H NO 28 ST NO 4 SEC C DHA 1 RWP','8','39','19738','SAMSUNG','0',null,'18-DEC-2016','11J5710GT - 905','WASHING MACHINE','DRYER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 16:24:06','2021-07-18 11:11:30',null,'1',null,'0');
INSERT INTO complaints VALUES('8084','MR QASIM','03330951650','H NO 297 ST NO 53 SEC G/10-4 ISB','5','30','135640','ORIENT','0',null,'17-JUN-2021','55S-ACTION','FLAT PANEL TV','INTERNET',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 16:54:54','2021-07-28 12:43:17',null,'1',null,'0');
INSERT INTO complaints VALUES('8085','TARIQ MEHMOOD SB','03064292282','H NO 14 ROAD L BLOCK E NAVAL ANCOURAGE ISB','5','28','0','SIGNATURE','25CG',null,'2-DEC-2020','MT9R - 1124','BUILT IN APPLLIANCES','PANEL NOT WORKING (2 OVENS)',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 17:29:16','2021-07-27 13:09:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8086','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','133378','HAIER','REF TO IQBAL FCI',null,'21-MAY-2021','306B','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-16 17:33:19','2021-07-26 15:34:24',null,'1',null,'0');
INSERT INTO complaints VALUES('8087','col saqib','03215346724','H NO 43 LAKE VIEW LANE SOCIETY KORANG ROAD BANI GALA ISB','5','29','122259','HAIER','0',null,'26-SEP-2020','398EPB - 884','REFRIGERATOR','DOOR GAS KIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 10:29:04','2021-07-24 14:07:12',null,'1',null,'0');
INSERT INTO complaints VALUES('8088','USMAN SB','03055828828','SKYWAYS TERMINAL FAIZABAD RWP','4','5','21869','GREE','REF TO ADIL I/10',null,'11-JUN-2021','18PITH2W','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 10:32:20','2021-07-19 11:36:21',null,'1',null,'0');
INSERT INTO complaints VALUES('8089','MR ARSLAN','03055001815','BLOCK NO 66D FLAT 7 SEC G/10-3 ISB','8','37','49011','DAWLANCE','REF TO SAQLAIN FHHS',null,'24-MAY-2021','30POWER CON - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 10:38:30','2021-07-19 13:01:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8090','ARSHAD KHAN','03345235641','H NO 7 ST NO 6 RASOOL TOWN ROAD GULRAIZ RWP','4','11','22716','DAWLANCE','0',null,'14-JUL-2021','1035WBGDAVANTE+eg','FREEZER','DAMAGED',null,'3',null,null,'customer','0',null,'73','2021-07-17 10:43:22','2021-07-17 10:43:22',null,'1',null,'0');
INSERT INTO complaints VALUES('8091','DR ROBINA','03345397868','H NO 1654 ST NO 17 SEC I/10-1 ISB','9','21','0','KENWOOD','0',null,'4-JUL-2021','26657GD-BKG','REFRIGERATOR','COOLING+gas kit',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 10:46:05','2021-08-09 14:24:52',null,'1',null,'0');
INSERT INTO complaints VALUES('8092','MUHAMMAD ISHAQ','03120508693 , 03333335489','RAILWAY WORKSHOP ROAD NEAR BAKERY CHOWK RAILWAY SCHEME 7 RWP','8','37','21094','DAWLANCE','REF TO WAQAS FCP',null,'11-APR-2020','91998H-SIGNATURE - 958','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 10:56:01','2021-07-26 12:23:17',null,'1',null,'0');
INSERT INTO complaints VALUES('8093','BILAL HASSAN','03005471000 , 03041609018','H NO 230 ROAD 1 A PHASE 7 BAHRIA SPRING RWP','6','12','19722','GREE','REF TO PTCL',null,'18-MAR-2019','500FS - 993','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 11:01:40','2021-07-24 11:48:30',null,'1',null,'0');
INSERT INTO complaints VALUES('8094','DR NIAZI','03365544009','H NO 12 ST NO 52 SEC D/12-2 ISB','5','28','129223','GREE','REF TO IQBAL FCI',null,'12-FEB-2021','18FITH1S - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','1','8038','74','2021-07-17 11:03:34','2021-07-24 11:42:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8095','HASSAM ALI','0345215336','H NO 847 ST NO 38 NPF RAWAT ISB','9','26','198457','ORIENT','REF TO PTCL',null,'31-OCT-2020','380H-MARVEL','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 11:25:56','2021-07-31 14:29:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8096','NOUMAN SB','03335393386','H NO 148 ST NO 7 BLOCK D MEDIA TOWN ISB','4','5','22566','WAVES','REF TO NAFEES FHS',null,'10-JUL-2021','310WDF-SS - 955','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 11:32:46','2021-07-29 15:40:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8097','UMAIR SB','03005586131 , 03335200622','H NO 6B MAIN MARGALLA ROAD SEC F/8-3 ISB','8','37','34079','SAMSUNG','REF TO PTCL',null,'21-MAY-2019','11J5710-S - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 11:38:20','2021-07-19 12:59:06',null,'1',null,'0');
INSERT INTO complaints VALUES('8098','HABIB SB','03047779797','H NO 97A ST NO 110 SEC G/11-3 ISB','8','37','48105','ORIENT','REF TO CHAT SERVICES',null,'28-APR-2021','FLARE3-RG','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 11:46:08','2021-07-25 13:02:49',null,'1',null,'0');
INSERT INTO complaints VALUES('8099','MRS LAIBA SAEED','03454183183','HNO 5 ST NO 14 SEC J DHA 2 ISB','4','5','21406','SIGNATURE','REF TO KAMRAN PWD',null,'28-MAY-2021','AC24','BUILT IN APPLLIANCES','ROD NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 12:14:49','2021-08-02 16:15:52',null,'1',null,'0');
INSERT INTO complaints VALUES('8100','CH AFZAL','03335193361 , 03052265317','PLOT NO 509 ST NO 21 SEC F/15-1 ISB','5','35','0','HAIER','REF TO PTCL',null,'5-DEC-2020','150-1678HWM - 1484','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 12:36:43','2021-07-24 13:20:20',null,'1',null,'0');
INSERT INTO complaints VALUES('8101','RIZWAN AHMED','03445533554 , 0515531544','199 KOUCHA MIYAN HAYAT BUXH NEAR COMMETI CHOWK RWP','9','51','203546','TCL','2010VLR301311A00087',null,'7-JAN-2021','32S65A - 936','FLAT PANEL TV','REMOTE SENSOR',null,'5','COMPLAINT COMPLETED',null,'customer','0',null,'73','2021-07-17 12:44:15','2021-07-26 12:29:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8102','GREEN STONE','03005056655','H NO 1 ST NO 15H SEC N BAHRIA ENCLAVE ISB','5','28','137450','GREE','REF TO AZHAR RAMZAN',null,'14-JUL-2021','18FITH3W','AIR CONDITIONER','ERROR F1',null,'3',null,null,'customer','0',null,'73','2021-07-17 12:52:22','2021-07-17 12:52:22',null,'1',null,'0');
INSERT INTO complaints VALUES('8103','M IQBAL','03335809993','H NO DG750 ST NO 1 NEAR ALIMURTAZA MOSQUE DEFENCE COLONY KRL ROAD RWP','8','40','50473','HAIER','REF TO TAHA SOHAIL',null,'23-JUN-2021','438IDBA','REFRIGERATOR','FAN MOTOR',null,'3',null,null,'customer','0',null,'73','2021-07-17 13:31:50','2021-07-17 13:31:50',null,'1',null,'0');
INSERT INTO complaints VALUES('8104','ASHIQ BAJWA','03008073336','H NO 757 ST NO 83 SEC I/8-4 ISB','9','19','215230','ORIENT','REF TO SAQIB FCP',null,'1-JUL-2021','3SR-CRYSTAL','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 13:32:01','2021-07-25 13:00:27',null,'1',null,'0');
INSERT INTO complaints VALUES('8105','OWAIS SB','03315382405','H NO 132 ST NO 10 OPP MAINTENANCE OFFICE SEC E PHASE 8 B.TOWN RWP','9','27','215184','HAIER','0',null,'1-JUL-2021','18HFCF-W-INV - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 13:37:46','2021-07-26 15:27:15',null,'1',null,'0');
INSERT INTO complaints VALUES('8106','MR IMRAN','03225030814 , 0514448180','H NO 978 ST NO 2 SEC I/10-2 ISB','5','30','71060','LG','0',null,'2-NOV-2015','10C3QDP2 - 122','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 13:55:49','2021-08-05 17:11:17',null,'1',null,'0');
INSERT INTO complaints VALUES('8107','AHSAN GHANI','03009048888','H NO 7 QASIM AVENUE BANNI GALA ISB','8','38','50698','ORIENT','REF TO TAHIR B.COOL',null,'30-JUN-2021','18G-ELEGANT-SW','AIR CONDITIONER','PCB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 14:22:05','2021-07-24 12:10:54',null,'1',null,'0');
INSERT INTO complaints VALUES('8108','MAJ SAEED AZIZ','03435022094','H NO 2A LINK ROAD SEC D DHA 2 ISB','5','31','95267','LG','0',null,'7-JUN-2018','4J6TMP8S-S - 899','WASHING MACHINE','NOT WORKING',null,'4',null,null,'customer','0',null,'73','2021-07-17 14:40:59','2021-07-17 14:42:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8109','DR AMJAD','03344222344','H NO 6 LANE NO 19 SEC H DHA 2 ISB','6','12','27312','ORIENT','0',null,'21-MAY-2020','18G-ORBIT - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CANCEL',null,'customer','0',null,'73','2021-07-17 14:43:51','2021-07-17 14:56:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8110',null,null,null,'6',null,null,'DAWLANCE','0000',null,null,'142HZP - 1277','MICROWAVE OVEN','ON NAHI HOTA + PALT MISSING',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-07-17 14:46:47','2021-08-04 13:04:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8111',null,null,null,'6',null,null,'GREE','0000',null,null,'500FC - 993','WATER DISPENSER','COOLING NAHI KARTA...',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-07-17 14:47:19','2021-08-04 13:01:46',null,'1',null,'0');
INSERT INTO complaints VALUES('8112','RAJA ADEEL','03455558333','LAKHWAL VILLAGE NEAR BANNI GALA ISB','9','20','215533','ORIENT','0',null,'5-JUL-2021','24G-PREMIER-SW - 917','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 15:01:37','2021-07-29 17:22:15',null,'1',null,'0');
INSERT INTO complaints VALUES('8113','ABDUL WAHAB','03018510197','H NO 69 ST NO 1 KORANG TOWN NEAR PWD ISB','4','7','21735','BOSS','CANON COOLER',null,'8-JUN-2021','6500M-GRAY','AIR COOLER','FAN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 15:09:55','2021-07-25 12:35:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8114','AZEEM SARAWAR','03012225732','H NO 1630 USMAN BLOCK PHASE 8 B.TOWN RWP','6','12','35981','ORIENT','REF TO ADIL I/10',null,'13-JUN-2021','12G-HYPER-SW - 913','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 15:36:26','2021-07-25 12:33:25',null,'1',null,'0');
INSERT INTO complaints VALUES('8115','FAZAL ELAHI','03091551702','H NO 25B STNO 42 WAPDA COLONY SEC G/7-4 ISB','5','31','116634','HAIER','0',null,'22-MAY-2020','85-1708HWM - 945','WASHING MACHINE','DRYER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 16:27:02','2021-07-25 12:28:47',null,'1',null,'0');
INSERT INTO complaints VALUES('8116','HAIDER SB','03225555319','H NO 134-D ST NO 8 CHAMANZAR TIPU ROAD RWP','9','21','182062','HAIER','0',null,'26-NOV-2019','90-1789HWM - 901','WASHING MACHINE','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 16:47:45','2021-07-24 13:58:24',null,'1',null,'0');
INSERT INTO complaints VALUES('8117','MUSTEHSAN ABBSI','03313689437 , 03343689437','H NO 2A ST NO 14 SEC F/8-3 ISB','4','5','22790','BOSCH','REF TO KAMRAN BHR-7',null,'17-JUL-2021','12TQ50M','COOKING RANGE','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 16:53:37','2021-07-19 12:58:28',null,'1',null,'0');
INSERT INTO complaints VALUES('8118','MR RAHEEL','03005213846 , 03215223220','H NO 9 DOSEHRA GROUND ASGHAR MALL ROAD NEAR CITY MARRIAGE HALL RWP','9','51','175155','MITSUBISHI','0',null,'14-JUL-2019','50VA - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 17:01:09','2021-07-25 11:35:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8119','MATIUR REHMAN','03219396059','H NO 3 ST NO 5 GANGAL WEST NEAR FIZIA COLONY RWP','5','53','128105','HAIER','0',null,'14-JAN-2021','12HFCF-W-INV - 913','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 17:07:37','2021-07-24 13:44:24',null,'1',null,'0');
INSERT INTO complaints VALUES('8120','IKRAM UL HAQ','03335422806','H NO 4917 ST NO 6/B LANE NO 6 LALAZAR TULSA ROAD SHERZAMAN COLONY RWP','9','19','216394','HAIER','0',null,'14-JUL-2021','245SD - 955','FREEZER','TRIPPING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 17:30:43','2021-07-24 13:37:10',null,'1',null,'0');
INSERT INTO complaints VALUES('8121','MR HAMZA','03035209258','H NO 161 ST NO 53 SEC G/10-3 ISB','5','30','102738','HAIER','0',null,'9-MAR-2019','618WSS - 903','REFRIGERATOR','LIGHT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-17 17:41:09','2021-07-24 13:35:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8122','MUHAMMAD ADNAN','03455630604','H NO 1088 ST NO 5 PHASE 2 EXT B.TOWN RWP','5','34','70327','LG','0',null,'16-SEP-2015','186TQ-P','AIR CONDITIONER','NOT WORKING',null,'4',null,null,'customer','0',null,'73','2021-07-17 17:47:13','2021-07-17 17:47:56',null,'1',null,'0');
INSERT INTO complaints VALUES('8123','MR ASAD','03125086519','MUMTAZ MARKET ADYALA ROAD RWP CANTT','9','19','200105','CARAVELL','CANON DISPENCER',null,'29-NOV-2020','203R','WATER DISPENSER','EARTH',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 10:43:02','2021-07-27 14:55:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8124','IBRAHIM SB','03438596669','H NO 27 ST NO 95 SEC I/8-4 ISB','8','37','50189','HAIER','0',null,'15-JUN-2021','438IDBA','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 10:46:15','2021-07-24 13:21:28',null,'1',null,'0');
INSERT INTO complaints VALUES('8125','AZEEM SB','03315420488','FRIENDS GULNOOR MARKET RWP','9','19','0','DAWLANCE','C/O NAVEED FCP',null,'0','374DW - 1199','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 10:47:29','2021-07-31 14:20:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8126','FAYYAZ AHMED','03150112235','ATTOCK','9','23','205845','FIVE STAR','0',null,'17-FEB-2021','900MC','COOKING RANGE','BURN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 10:49:22','2021-08-17 15:37:38',null,'1',null,'0');
INSERT INTO complaints VALUES('8127','MR SAJJAD','03215711079','HO#393 ST 64 SEC I-8/3 ISB','5','30','119878','TCL','2002VLR301090A00194',null,'28-JULY-2020','40S65A - 938','FLAT PANEL TV','SCREEN DAMAGE',null,'5','COMPLAINT CLOSED',null,'customer','1','5893','73','2021-07-18 10:57:05','2021-07-31 14:17:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8128','ISHTIAQ AHMED','03315052354','SAMLI DAM ROAD AL MUSLIM REARAL STREET ABBASI ABAD BARAKOU ISB','9','23','152645','SIGNATURE','0',null,'21-MAY-2018','SRF-WB90M - 885','REFRIGERATOR','COOLING',null,'8',null,null,'customer','0',null,'73','2021-07-18 11:04:34','2021-08-21 14:48:12',null,'1',null,'0');
INSERT INTO complaints VALUES('8129','MUHAMMAD JAWAD','03338000059','H NO 11A UMER PLAZA 2ND FLOOR NEAR FRESHCO SWEETS BLUE AREA ISB','5','30','117055','KENWOOD','0',null,'2-JUN-2020','1228S-INV - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 11:08:08','2021-07-25 12:40:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8130','IMRAN BUTT','03028560185','H NO 1083 ST NO 1 BLOCKC NPF O9 ISB','4','5','5992','SIGNATURE','REF TO NAFEES FHHS',null,'11-NOV-2018','SWM-SR45 - 899','WASHING MACHINE','SOUND',null,'8',null,null,'customer','0',null,'73','2021-07-18 11:12:50','2021-08-01 14:53:52',null,'1',null,'0');
INSERT INTO complaints VALUES('8131','FAISAL SB','03454444446','H NO 599 ST NO 9 CHAKLALA SCHEME 3 RWP','10','46','0','ORIENT','REF TO KHURRAM SB',null,'IN WARRANTY (4MONTHS BACK)','1.0TON','AIR CONDITIONER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 11:16:49','2021-08-02 18:16:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8132','MRS MUSTAFA','03218481952','H NO 40 ST NO 1 SEC F/6-3 ISB','5','53','107686','HAIER','0',null,'20-JUL-2019','618HRF-SS - 903','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 11:23:21','2021-07-24 13:30:59',null,'1',null,'0');
INSERT INTO complaints VALUES('8133','MISS NAJMA','03355815044','H NO 484-B ST NO 25 BLOCK C MULTY GARDEN B17 ISB','5','35','4059','HAIER','0',null,'21-JUN-2021','18HFPAA-G','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 11:30:06','2021-07-24 13:24:38',null,'1',null,'0');
INSERT INTO complaints VALUES('8134','INAMUL HAQ','03305695506','H NO 135 ST NO 4 BLOCK A PWD ISB','8','37','20285','PANASONIC','REF TO NAFEES FHS',null,'30-MAR-2021','18WKF-9','AIR CONDITIONER','ERROR E3',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 11:38:24','2021-07-25 11:37:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8135','MR SHAHRUKH','03335225757','H NO 433 ST NO 62 SEC D/12-2 ISB','5','34','99711','LG','REF TO PTCL',null,'6-DEC-2018','702HMHU-S - 885','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 11:53:36','2021-08-03 13:53:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8136','MR LUQMAN','03005555424','H NO 4 ST NO 2 SEC A DHA 1 RWP','8','43','18689','SIGNATURE','2PC',null,'2-YEARS-AGO','KITCHEN HOOD','BUILT IN APPLLIANCES','SERVICE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 12:11:27','2021-07-27 12:17:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8137','SHEHROZ MUMTAZ','03335130713','H NO 64 ST NO 9 SEC C DHA 2 ISB','8','39','50652','KENWOOD','2PC',null,'28-JUN-2021','1830S-HC INV - 915','AIR CONDITIONER','COOLING + sound',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 12:39:35','2021-07-31 14:24:39',null,'1',null,'0');
INSERT INTO complaints VALUES('8138','MUHAMMAD AKRAM','03215001901','FLAT NO 123 2ND FLOOR DELUXE BLOCK EXECUTIVE SUITE SEC F/11-1 ISB','9','19','161621','HAIER','REF TO PTCL',null,'27-NOV-2018','306EPR-HRF - 859','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 12:48:30','2021-07-24 13:26:30',null,'1',null,'0');
INSERT INTO complaints VALUES('8139','MUHAMMAD ROSHAN KHAN','03332229691','H NO 459 ST NO 13 SEC G PHASE 8 B.TOWN RWP','6','15','34276','HAIER','18HFMAD-W-INV',null,'11-APR-2021',null,'AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','1','7872','73','2021-07-18 12:51:33','2021-08-11 13:03:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8140','IMRAN FCP STOCK COMP','03005331105','FRIENDS CORPORATION GUL NOOR R.W.P','9','51','207590','LG','MODAL#49UN-7340(TASK#5114)YHA SET CUSTOMER KO REPLACE KAR DIA HAIN STIOCK KI COMPLAINT BANA DI HAIN',null,'17-MAR-2021','32LJ570-P - 936','FLAT PANEL TV','BOARD ISSUE',null,'8',null,null,'customer','0',null,'74','2021-07-18 12:53:33','2021-08-21 14:44:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8141','MR KAMRAN','03009506991','H NO 1549 ST NO 32A PHASE 7 B.TOWN RWP','6','15','27122','KENWOOD','0',null,'10-MAY-2020','1828S-INV - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 13:27:38','2021-07-31 14:57:30',null,'1',null,'0');
INSERT INTO complaints VALUES('8142','AZHAR SB','03035593083','B217 OPP BUTT KARAHAI COMMERCIALMARKET RWP','6','13','0','SIGNATURE','0',null,'0','SCF-HM09 - 954','FREEZER','COOLING',null,'8',null,null,'customer','0',null,'73','2021-07-18 13:53:27','2021-08-02 11:40:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8143','MR ABDULLAH','03335088918 , 03335121736','H NO 27 ST NO 35 SEC C ORCHARD DHA 1 RWP','6','15','21911','ORIENT','0',null,'6-JUL-2019','25AE2-SL - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 14:05:07','2021-08-04 14:47:38',null,'1',null,'0');
INSERT INTO complaints VALUES('8144','MR ISHFAQ','03335178357','H NO 76 ST NO 68 SEC G/9-3 ISB','5','30','23331','LG','0',null,'19-AUG-2020','9588NEHVA-S - 901','WASHING MACHINE','NOT WORKING',null,'4',null,null,'customer','0',null,'73','2021-07-18 14:09:17','2021-07-18 14:09:42',null,'1',null,'0');
INSERT INTO complaints VALUES('8145','AHMED HASSAN','03018297999','H NO 9LANE NO 9 SEC H DHA 2ISB','9','26','197441','HAIER','245SD-955',null,'11-OCT-2020',null,'AIR CONDITIONER','OVER COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-18 15:07:18','2021-08-10 18:00:30',null,'1',null,'0');
INSERT INTO complaints VALUES('8146','MR MOAZAM','03310077822 , 03335278179','H NO 239/A HASSAN COLONY TAXILLA CANTT','9','22','197461','HAIER','0',null,'11-OCT-2020','622ICG - 908','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 15:49:05','2021-07-27 13:51:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8147','SHER DIL','03345154444','H NO 2A KOHISTAN ROAD SEC F/8-2 ISB','5','34','1186312','GREE','0',null,'3-JUL-2020','24ISH-INV - 917','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 15:53:26','2021-08-10 14:43:49',null,'1',null,'0');
INSERT INTO complaints VALUES('8148','FAHAD','03088305555 , 03005532973','H NO 528 ST NO 66 PAKISTAN TOWN PHASE 1 ISB','4','11','10883','TCL','1907VLR300891A00432',null,'2-OCT-2019','55P65US - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','472','73','2021-07-18 15:57:51','2021-08-10 18:04:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8149','M SALMAN','03314898083','H NO 393 ST NO 18 BLOCK D PWD ISB','4','8','21489','ORIENT','0',null,'31-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 16:02:55','2021-08-04 14:44:50',null,'1',null,'0');
INSERT INTO complaints VALUES('8150','AZEEM MUKHTAR SB','03335298623','H NO 513 ST NO 17 SEC 3 AIRPORT HOUSING SOCIETY RWP','9','22','172494','MITSUBISHI','0',null,'9-JUN-2019','50VA - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 16:09:10','2021-08-01 11:08:30',null,'1',null,'0');
INSERT INTO complaints VALUES('8151','WAQAR WASIM','03345522582','H NO 14 ST NO 15 BLOCK H DHA 2 ISB','4','8','14314','HAIER','REF TO NAFEES PWD',null,'2-JUN-2020','90-1789HWM - 901','WASHING MACHINE','DRYER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 16:15:26','2021-07-25 11:02:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8152','OWAIS SB','03052227872','VILA NO 132 ST NO 10 SEC E PHASE 8 B.TOWN RWP','9','21','213393','HAIER','REF  TO SAQIB FCP',null,'12-JUN-2021','18HFCN-W-INV','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 16:32:30','2021-07-24 13:46:58',null,'1',null,'0');
INSERT INTO complaints VALUES('8153','M IMRAN','03156909939','H NO 1573 MAIN BULYWARD PHASE 4 B.TOWN RWP','6','14','0','SIGNATURE','REF TO KHURRAM SB',null,'OUT OF WARRANTY','MD99SS-S - 1723','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 16:48:25','2021-08-01 16:08:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8154','HUSSAIN','03315362923','HO#B 171 BLOCK B MEDIA TOWN MAIN DOUBAL ROAD R.W.P','9','20','149047','LG','0',null,'24-MAR-2018','650GLHL-S - 909','REFRIGERATOR','COOLING PROB',null,'4',null,null,'customer','1','6879','74','2021-07-18 17:11:26','2021-07-18 17:11:56',null,'1',null,'0');
INSERT INTO complaints VALUES('8155','MR ZEESHAN','03315540600','X27 RATTA AMRAL MILAD CHOWK RWP','9','26','205872','HAIER','0',null,'17-FEB-2021','398IDRT - 746','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 17:21:14','2021-07-28 17:48:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8156','MUHAMMAD MOHSIN','03337843256','H NO 2389 ST NO 56 ABU BAKAR BLOCK PHASE 8 B.TOWN RWP','7','49','24086','ORIENT','0',null,'6-JUL-2021','18G-SUPER - 915','AIR CONDITIONER','ERROR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','7751','92','2021-07-18 17:38:43','2021-07-28 12:29:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8157','TAJ MUHAMMAD','03005558833','G/11-3 STNO 111 H NO 88 ISB','5','30','137362','GREE','0',null,'13-JUL-2021','24ISH-INV','AIR CONDITIONER','ERROR E3',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 17:55:08','2021-08-05 14:37:46',null,'1',null,'0');
INSERT INTO complaints VALUES('8158','RAJA TIMAAS','03004100042 , 03335350333 , 032151888884','PANJ GARAN VILLAGE LETHRAR ROAD ISB','9','23','150727','SIGNATURE','0',null,'19-APR-2018','MD99SS-S - 1723','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-18 18:02:04','2021-07-27 12:15:03',null,'1',null,'0');
INSERT INTO complaints VALUES('8159','KAMRAN SB','03219507474','FRIENDS HOME PWD ISB','4','5','0','GREE','REF TO KAMRAN',null,'0','2 TON NON INVERTER','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 10:38:30','2021-08-05 14:33:23',null,'1',null,'0');
INSERT INTO complaints VALUES('8160','BRIG TARIQ','03215170240','H NO 42 ST NO 21 SEC B DHA 2 ISB','6','15','36000','GREE','0',null,'12-JUL-2021','500FC - 993','WATER DISPENSER','HEATING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 10:42:40','2021-07-27 12:32:20',null,'1',null,'0');
INSERT INTO complaints VALUES('8161','AFTAB ABID','03065251574','H NO 434 ST NO 1 SEC H PHASE 8 B.TOWN RWP','6','15','34694','HAIER','12HFMAE',null,'28-APR-2021',null,'AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7607','73','2021-07-19 10:44:23','2021-07-26 15:11:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8162','CH NOSHAD','03119692083','KASHKAN VILLAGE DAK KHANA JANGRATEHSIL HAVELIAN DIS ABBOTABAD','9','23','164527','HAIER','0',null,'19-JAN-2019','368EPB - 860','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 10:53:30','2021-08-05 16:08:03',null,'1',null,'0');
INSERT INTO complaints VALUES('8163','MUHAMMAD ASGHAR','03314412164','F/1B BLOCK FLAT 12 SEC G/8 MARKAZ ISB','5','35','137455','GREE','0',null,'15-JUL-2021','9978EG-CW3 - 885','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 10:56:12','2021-07-27 12:30:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8164','MR KAMRAN','03335752255','H NO 388 ST NO 71 SEC G/11-2 ISB','8','37','46485','CORONA','0',null,'20-FEB-2021','505C - 1815','COOKING RANGE','BURNERS',null,'3',null,null,'customer','0',null,'73','2021-07-19 11:05:14','2021-07-19 11:05:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8165','EHSAN DUDEN','03145335517 , 03008522113','H NO 11 ST NO 486 SERVICE ROAD WEST SEC G/13-1 ISB','9','22','204053','HAIER','0',null,'17-JAN-2021','622IBG - 908','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 11:10:53','2021-07-26 15:07:46',null,'1',null,'0');
INSERT INTO complaints VALUES('8166','MAJ MUBASHIR','03075806550','H NO 726 ST NO 27 SEC F PHASE 8 B.TOWN RWP','6','12','0','GREE','REF TO PTCL',null,'15-DEC-2020','9978EG-CB2 - 885','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7395','73','2021-07-19 11:15:21','2021-07-27 10:58:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8167','SHAHBAZ SB','03002030700','H NO 61 1ST FLOOR ST NO 2C JUDICIAL COLONY RWP','8','39','51395','SIGNATURE','0',null,'17-JUL-2021','MD99SS-S - 1723','REFRIGERATOR','BODY HEAT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 11:17:28','2021-07-19 12:57:52',null,'1',null,'0');
INSERT INTO complaints VALUES('8168','SARDAR PERVAIZ','03315478776 , 0512814222','H NO 3 ST NO 37 SEC F/6-1 ISB','5','31','137422','HAIER','0',null,'14-JUL-2021','12HFCN-W','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 11:31:08','2021-07-26 15:03:20',null,'1',null,'0');
INSERT INTO complaints VALUES('8169','SAEED AKHTER','03105010081','HO#G 66 OFFICER COLONY PHASE 03 TAXILA WHA CANTT','9','22','207887','KENWOOD','1841S-INV',null,'22-MAR-2021',null,'AIR CONDITIONER','COOLING PROB',null,'3',null,null,'customer','1','6884','92','2021-07-19 11:34:46','2021-07-19 11:34:46',null,'1',null,'0');
INSERT INTO complaints VALUES('8170','COL AZHAR','03033398541','H NO 363 ST NO 11 SECA ASKARI 14 ADYALA ROAD RWP','9','23','128515','KENWOOD','0',null,'26-FEB-2017','1814S','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 11:37:39','2021-07-31 15:08:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8171','TAHA ARSHAD','03335654529','H NO 62 BLOCK D ST NO 21 MEDIA TOWN ISB','4','8','7640','SIGNATURE','0',null,'12-FEB-2019','SFR-MD100G - 904','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 11:45:03','2021-08-01 16:04:59',null,'1',null,'0');
INSERT INTO complaints VALUES('8172','M KALEEM','03009719710','H NO G208 LIAQAT ROAD NEAR GORDEN COLLEGE RWP','9','19','193367','HAIER','REF TO PTCL',null,'23-JUL-2020','385H-DF - 957','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 11:48:40','2021-07-26 15:01:23',null,'1',null,'0');
INSERT INTO complaints VALUES('8173','AFZAL SB','03135222111','AFZAL AWAN STREET CALTEX ROAD NEW LALAZAR RWP','8','39','50782','FIVE STAR','REF TO PTCL',null,'3-JUL-2021','10000MC','COOKING RANGE','MAX RANGE 
GAS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 11:51:47','2021-08-01 10:57:54',null,'1',null,'0');
INSERT INTO complaints VALUES('8174','CH IMRAN','03065050684','RIVER STAR BLOCK NO 29A CIVIC CENTRE PHASE 4 B.TOWN RWP','6','14','19764','HAIER','05 AC KI COMPLAINT HAY',null,'03-MAY-2021','12HFAB-W INV - 913','AIR CONDITIONER','GAS LEAKAGE ISSUE',null,'3',null,null,'customer','1','7828','92','2021-07-19 11:53:21','2021-07-19 11:53:21',null,'1',null,'0');
INSERT INTO complaints VALUES('8175','AHMED RAZA','03335118363','H NO CB297 GULSHAN NAYAB COLONY WESTRIDGE 3 RWP','5','34','133659','SAMSUNG','0',null,'27-MAY-2021','64R5331-S','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 11:58:26','2021-07-19 14:21:05',null,'1',null,'0');
INSERT INTO complaints VALUES('8176','MR FALAK','03325222243','H NO SD1 GRACEY LANE NEAR OLD AIRPORT CHAKLALA CANTT RWP','9','23','169726','DAWLANCE','0',null,'23-APR-2019','380C-DW - 1743','MICROWAVE OVEN','HEATING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 12:31:01','2021-07-26 16:06:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8177','MR MEHBOOB','03008506768','APPARTMENT NO 208 EXECUTIVE SUITS 2ND FLOOR SEC F/11 MARKAZ ISB','8','38','0','HITACHI','C/O AKBAR SB',null,'ON PAYMENT','REF HITACHI','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 12:34:50','2021-07-28 16:13:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8178','UMER SARFRAZ','03149850300','H NO 4 ST NO 1 SEC G BAHRIA ENCLAVE ISB','5','28','122568','GREE','REF TO PTCL',null,'5-OCT-2020','12CITH12G - 913','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 12:52:57','2021-07-29 17:07:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8179','FAREEDULLAH KHAN','03335397880','H NO 80 NAZIMUDDIN ROAD SEC F/8-4 ISB','5','31','104833','HAIER','0',null,'14-MAY-2019','438TDB - 896','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 13:07:09','2021-07-26 14:56:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8180','MUHAMMAD NAVEED','03315177752','H NO 4 ST NO 11 SEC G/13-3 ISB','5','35','137123','DAWLANCE','0',null,'10-JUL-2021','91999CHROME+HS','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 14:00:08','2021-07-24 12:31:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8181','MRS AMJAD','03035220556 , 03205481702','H NO 226/1 KHADIM HUSSAIN ROAD LALKURTI RWP','6','15','28693','LG','0',null,'27-JUL-2020','257SLLV-S - 909','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7737','74','2021-07-19 14:18:25','2021-07-24 10:59:04',null,'1',null,'0');
INSERT INTO complaints VALUES('8182','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','HOMAGE','REF TO IQBAL FCI',null,'0','44HWD - 993','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 14:31:28','2021-07-27 15:24:56',null,'1',null,'0');
INSERT INTO complaints VALUES('8183','SYED LIAQAT','03008244643 , 03239697123','H NO 134 ST17 BAHRIA SPRINGS PHASE 7 B.TOWN RWP','6','12','10161','SIGNATURE','0',null,'10-AUG-2017','SWM-FW1409S - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','7512','73','2021-07-19 14:45:24','2021-07-24 14:49:59',null,'1',null,'0');
INSERT INTO complaints VALUES('8184','MR TAHIR','03458525298','PLAZA NO 60 WALLAYAT COMPLEX PHASE 7 B.TOWN RWP','6','15','36369','GREE','0',null,'24-JUN-2021','18FITH6S','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 15:12:23','2021-07-27 10:55:03',null,'1',null,'0');
INSERT INTO complaints VALUES('8185','SAJID ABBASI','03335605989','HO#158 ST#15 PHASE 06 BEHIRA TOWN','8','38','35817','KENWOOD','0',null,'25-JULY-2019','480GD-BKG - 885','REFRIGERATOR','DOOR PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','3758','73','2021-07-19 16:04:26','2021-07-28 15:50:47',null,'1',null,'0');
INSERT INTO complaints VALUES('8186','SHEHROZ MUMTAZ','03335130713 , 03335355911','H NO 64 ST NO 9 SEC C DHA 2 ISB','8','39','50652','SAMSUNG','0GLA57GNB00196M',null,'28-JUN-2021','WA70H4000SGURT','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 16:22:22','2021-07-28 15:48:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8187','KHURSHID SAB','03139888117','HO#02 ST#30 F-6/1 ISB','5','28','130928','HAIER','0',null,'29-MAR-2021','246EPC - 858','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','7055','92','2021-07-19 16:44:19','2021-07-26 14:54:17',null,'1',null,'0');
INSERT INTO complaints VALUES('8188','MR HAMAYUN','03218790305','H NO 721 ST NO 21 USMAN BLOCK PHASE 8 B.TOWN RWP','9','19','201086','MITSUBISHI','0',null,'5-DEC-2020','50VA - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 16:58:17','2021-07-29 15:31:15',null,'1',null,'0');
INSERT INTO complaints VALUES('8189','WAQAS SB','03454001355','H NO 488 ST NO 26 BLOCK C CBR TOWN ISB','4','5','19969','SAMSUNG','REF TO PTCL',null,'8-MAR-2021','80J5446-S','WASHING MACHINE','ERROR DC',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 17:07:59','2021-07-28 17:22:05',null,'1',null,'0');
INSERT INTO complaints VALUES('8190','ch IMRAN','03065050684','H NO 11 LANE 13 SEC B DHA 2 ISB','8','37','19891','SAMSUNG','0GLA57GMC00226R',null,'3-MAR-2021','WA70H4000SGURT','WASHING MACHINE','DRYER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-19 17:56:13','2021-07-29 15:29:28',null,'1',null,'0');
INSERT INTO complaints VALUES('8191','NIAZ SB','03445481268','H NO 222 ST PINE VILLAS 2 PHASE 7 B.TOWN RWP','6','15','17243','SIGNATURE','0',null,'18-NOV-2018','SRF-WB90M - 885','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-20 10:35:27','2021-08-05 17:47:03',null,'1',null,'0');
INSERT INTO complaints VALUES('8192','MR ARSHAD','03119624530','H NO 62 BLOCK D ST NO 21 MEDIA TOWN ISB','4','5','7640','SIGNATURE','REF TO SAIFULLAH FCP',null,'12-FEB-2019','SFR-MD100G - 904','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-20 10:38:51','2021-08-01 16:04:22',null,'1',null,'0');
INSERT INTO complaints VALUES('8193','M ASHRAF','03319580709','ROSHAN BAKERS NEAR JAMIA MASJID ROAD RWP','9','21','2027','GREE','0',null,'8-APR-2021','9978EG-CR2 - 2116','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-20 10:49:03','2021-07-27 10:53:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8194','ZAHID KHAN','03339031828','APP NO 1302 RED LINE BUILDING MARGALLAH ROAD SEC E/11 ISB','9','21','216294','LG','0',null,'13-JUL-2021','M247CADC','REFRIGERATOR','EARTH',null,'4',null,null,'customer','0',null,'73','2021-07-20 11:05:29','2021-07-20 11:05:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8195','SYED HASSAN SHAH','03476000322','HO#155 ST#30 SEC B SAFRI HOME PHASE 08 ISB','6','12','15826','SIGNATURE','SCF-HM12',null,'09-AUG-2018',null,'FREEZER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','1','7087','73','2021-07-20 11:41:30','2021-07-29 12:04:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8196','BRIG MEHMOOD','03215014099','H NO 24 ST NO 10 SEC C DHA 2 ISB','9','20','149159','SIGNATURE','0',null,'25-MAR-2018','SBH-AB750S - 1122','BUILT IN APPLLIANCES','NOB PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7889','73','2021-07-20 12:08:33','2021-08-01 10:57:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8197','junaid khan','03455926226','H NO 17 ST NO 28 BLOCK F NAVAL ANCOURAGE ISB','6','16','37068','HAIER','0',null,'18-JUL-2021','245SD - 955','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-20 13:30:30','2021-07-24 11:22:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8198','mr hidayat','03085550369 , 03323444299','H NO 121 ST NO 3B PTV COLONY SIMLI DAM ROAD BARA KAHO ISB','8','38','51346','WAVES','0',null,'16-JUL-2021','315WDF-SS','FREEZER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-07-24 10:46:36','2021-07-24 10:46:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8199','KHIZAR AZIZ','03335165776','H NO 19H ST NO 11 SEC F/6-3 ISB','5','31','97259','SIGNATURE','0',null,'18-AUG-2018','SRF-HM99 - 908','REFRIGERATOR','COOLING&SOUND',null,'8',null,null,'customer','0',null,'73','2021-07-24 10:50:43','2021-08-21 14:43:03',null,'1',null,'0');
INSERT INTO complaints VALUES('8200','KHAWAR ABBAS','03005554006','H NO 3509/6 LANE NO 3 NEAR BURHAN MASJID TULSA ROAD LALZAR RWP','9','19','214551','HAIER','0',null,'22-JUN-2021','245SD - 955','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 10:59:51','2021-07-27 12:19:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8201','KHURRAM SHIRAZ','03335170003','H NO 25 SUMBALL ROAD SEC F/10-2 ISB','8','40','50696','HAIER','0',null,'30-JUN-2021','519DGG - 1122','BUILT IN APPLLIANCES','BURNERS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 11:02:53','2021-07-27 11:28:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8202','COL NADEEM','03025440202','H NO 4 ST NO 7 SEC H DHA 2 ISB','6','16','0','SIGNATURE','0',null,'19-JUN-2021','MD99SS-S - 1723','REFRIGERATOR','COOLING',null,'8',null,null,'customer','0',null,'73','2021-07-24 11:07:24','2021-08-21 14:07:56',null,'1',null,'0');
INSERT INTO complaints VALUES('8203','MR EHTESHAM','03331579991 , 03058463415','WATIM DENTAL HOSPITAL TCHOWK RAWAT','5','36','137291','XTREEM','0',null,'12-JUL-2021','788','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 11:18:59','2021-07-31 17:24:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8204','MUHAMMAD KAMRAN FARRUKH','03345386465','H NO 88 ST NO 1 SEC I PHASE 8 B.TOWN RWP','6','16','25482','SIGNATURE','REF TO ADIL FHHS',null,'4-JAN-2020','SCF-HM11 - 955','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 11:23:59','2021-08-07 14:37:27',null,'1',null,'0');
INSERT INTO complaints VALUES('8205','MR TALHA','03316582121 , 03312121212','H NO 20 ST NO 18 SEC B DHA 2 ISB','8','39','42075','SIGNATURE','0',null,'24-AUG-2020','SBH-AC900G - 1122','BUILT IN APPLLIANCES','BURNER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 11:32:19','2021-08-05 17:46:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8206','MR ARSHAD','03355407562','H NO P1197 OPP ALSHEIKH TIKKA HOUSE ASGHAR MALL SCHEME RWP','9','51','213942','WAVES','0',null,'15-JUN-2021','310WDF-SS - 955','FREEZER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-07-24 11:35:34','2021-07-24 11:35:34',null,'1',null,'0');
INSERT INTO complaints VALUES('8207','MR AZHAR','03215005667','H NO 6 ST NO 2 BLOCK D DHA 2 ISB','8','42','12852','TCL','1712VLR300435A00016',null,'25-FEB-2018','55P65US - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 11:37:44','2021-07-28 15:13:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8208','NIAZULLAH SB','03348504763 , 03005111882','H NO 502 ST NO 47 SEC G/10-4 ISB','5','28','120144','GREE','REF TO PTCL',null,'31-JUL-2020','9978EG-CB1 - 885','REFRIGERATOR','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 11:39:19','2021-08-10 14:47:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8209','SADIA SIALVI','03337033378 , 03335430400','H NO 487 ST NO 2 SEC 2 AIRPORT HOUSING SOCIETY RWP','8','37','34565','TCL','1903VLR300826A00446',null,'11-JUN-2019','49S6500 - 1629','FLAT PANEL TV','DISPLAY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 11:42:00','2021-07-28 15:02:42',null,'1',null,'0');
INSERT INTO complaints VALUES('8210','M YASEEN','03335352168 , 03009568817','H NO 138/6 MIRZA STREET FAISAL COLONY TENCH BHATTA RWP','9','19','165946','LG','REF TO PTCL',null,'11-FEB-2019','287SLUV-S - 909','REFRIGERATOR','NOT WORKING',null,'7',null,null,'customer','0',null,'73','2021-07-24 11:44:12','2021-08-23 14:40:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8211','MAAN MAHWESH','03335272738','H NO 132 ST NO 6 ABUBAKAR BLOCK PHASE 8 B.TOWN RWP','4','11','22929','SAMSUNG','0',null,'20-JUL-2021','64R5331-S','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 11:49:53','2021-07-29 17:21:35',null,'1',null,'0');
INSERT INTO complaints VALUES('8212','SOHAIL SB','03005103264','H NO 2448 ST NO 33 GULZAR-E-QAUID RWP','4','11','22142','SIGNATURE','0',null,'22-JUN-2021','HC3900G','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 11:51:55','2021-07-31 17:23:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8213','BRIG RIAZ','03233922172','H NO 36 ST NO 2 SEC E DHA 2 ISB','6','12','10290','SIGNATURE','REF TO KAMRAN PWD',null,'19-AUG-2017','SVF-CG1SS - 956','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 12:04:00','2021-08-05 15:51:27',null,'1',null,'0');
INSERT INTO complaints VALUES('8214','M TALHA','03355851271','H NO 14 ST NO 2A BLOCK F NAVAL ANCOURAGE ISB','4','10','33301','GREE','0',null,'22-FEB-2021','18PITH2W','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 12:12:08','2021-07-27 12:19:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8215','SHAHBAZ SB','03135298882','H NO BVIL 78 MUHAMMADI COLONY MUSLIM TOWN NEAR RAJA CNG','8','37','49729','WAVES','0',null,'8-JUN-2021','310WDF-SS - 955','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 12:14:19','2021-07-27 17:13:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8216','SHAHAB HUSSAIN','03335026725 , 03335202482','H NO 38/1D ST NO 39 SEC F/6-1 ISB','5','31','0','GREE','0',null,'10-JUL-2021','9978EG-CB2 - 885','REFRIGERATOR','COOLING',null,'3',null,null,'customer','0',null,'73','2021-07-24 12:22:32','2021-07-24 12:22:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8217','FARZANA SHOUQAT','03235002104','H NO31 ST NO 17 SEC B DHA 2 ISB','6','12','0','HAIER','0',null,'19-JUL-2021','438TPB - 2116','REFRIGERATOR','NOT WORKING',null,'3',null,null,'customer','0',null,'73','2021-07-24 12:28:04','2021-07-24 12:28:04',null,'1',null,'0');
INSERT INTO complaints VALUES('8218','MR TARIQ','03305567255','H NO 10J ST NO 1 GULRAIZ PHASE 3 RWP','8','38','35632','BOSCH','0',null,'16-JUL-2019','20260GC - 880','WASHING MACHINE','ERROR D17',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 12:31:44','2021-07-29 15:14:03',null,'1',null,'0');
INSERT INTO complaints VALUES('8219','SHOKAT SB','03367878766','H NO 21-B ST NO 79 SEC G/7-4 ISB','5','28','110623','HAIER','0',null,'5-NOV-2019','438TDC - 896','REFRIGERATOR','GASKIT FREEZER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 12:34:25','2021-07-27 11:51:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8220','ADNAN AHMED','03005138762','H NO 888 MUGHALABAD ROAD NEAR NBP TENCH BHATTA RWP','9','51','137022','SIGNATURE','0',null,'9-JUL-2017','SVF-HM95-BLK - 900','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 12:37:27','2021-07-27 12:14:15',null,'1',null,'0');
INSERT INTO complaints VALUES('8221','IMRAN SIDDIQUE','03075143592','H NO 571 ST NO 13 PHASE 4B GHOURI TOWN ISB','9','19','0','HAIER','REF TO PTCL',null,'8-JAN-2019','306EBS - 859','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 12:40:47','2021-08-05 16:03:42',null,'1',null,'0');
INSERT INTO complaints VALUES('8222','MRS KHAN','03330501333','H NO 31 LANE NO 3 ASKKARI 10 RWP','4','10','15666','SAMSUNG','Y6VU4ADJ900112',null,'4-AUG-2020','RSA1STMG','REFRIGERATOR','COOLING',null,'3',null,null,'customer','0',null,'73','2021-07-24 13:04:02','2021-07-24 13:04:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8223','MR ARSLAN','03000502228 , 03000502229','H NO 8 ST NO 11 SEC G DHA 2 ISB','4','11','16881','CARAVELL','CANON DISPENCER',null,'25-OCT-2020','204B','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 13:15:20','2021-08-10 16:05:28',null,'1',null,'0');
INSERT INTO complaints VALUES('8224','MUDASSAR HASSAN','03160333444','H NO 608 ST NO 69 SEC I/8-3 ISB','8','37','42750','HAIER','3PC',null,'30-SEP-2020','18HRO , 12HFCD','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 13:39:10','2021-07-27 11:45:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8225','AKRAM SB','03335205303','H NO 29 ST 80 SEC G/13-1 ISB','8','43','0','SIGNATURE','PURCHSE FROM AFZAL CORPPORATION(BILAL MANZOOR)',null,'12-MAY-2018','REF SIGNATURE','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 13:41:17','2021-07-31 16:12:30',null,'1',null,'0');
INSERT INTO complaints VALUES('8226','SHAFIQUE SB','03335492042','H NO 8 ST NO 10 SEC F/8-3 ISB','9','23','209157','BOSCH','75V120M-C',null,'12-APR-2021',null,'REFRIGERATOR','REF TO PTCL 
COOLING',null,'5','COMPLAINT CLOSED',null,'customer','1','8002','73','2021-07-24 13:59:42','2021-08-03 18:03:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8227','MUHAMMAD SAFEER','03336333570 , 03475908965','H NO 469 JINNAH LANE RANGE ROAD AFSHAN COLONY RWP CANTT','9','19','124997','SAMSUNG','REF TO PTCL',null,'8-DEC-2016','90F5S2 - 901','WASHING MACHINE','RINSE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 14:34:57','2021-07-26 11:54:06',null,'1',null,'0');
INSERT INTO complaints VALUES('8228','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','HAIER','REF TO IQBAL FCI',null,'0','385HDF-INV - 1468','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 14:36:36','2021-08-05 14:12:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8229','MRS MAZHAR','03335285313','H NO 3 ST NO 6 BLOCK 11-E SEC G/10-3 ISB','5','35','135790','HAIER','0',null,'19-JUN-2021','438IDBA','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 14:40:50','2021-07-31 15:07:55',null,'1',null,'0');
INSERT INTO complaints VALUES('8230','NIZAM SB','03408482606','ST NO 16 DHOK GUJRAAN NEW WESTRIDGE PESHAWAR ROAD RWP','9','26','215629','DAWLANCE','0',null,'6-JUL-2021','9122FPR - 1330','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 14:46:05','2021-07-27 14:15:35',null,'1',null,'0');
INSERT INTO complaints VALUES('8231','SHIFAAT ALI','03318823971','H NO 584B ST NO 54 SEC G/6-1-2 ISB','9','19','213445','DAWLANCE','0',null,'13-JUN-2021','91999CHROME-PC','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 14:47:55','2021-08-21 15:04:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8232','FAIZU REHMAN','03005041921','H NO RC21 RASHEED COLONY SADIQABAD RWP','9','26','197693','SIGNATURE','0',null,'17-OCT-2020','SBC-DUBBO-90PLUS - 1123','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 14:50:57','2021-07-25 12:02:54',null,'1',null,'0');
INSERT INTO complaints VALUES('8233','AAMIR SHAHZAD','03005126022','ZARAJ HOUSING SOCIETY RANIA HEIGHTS OPP GIGA MALL BLOCK B ISB','9','20','215918','HAIER','0',null,'10-JUL-2021','438IDRA','REFRIGERATOR','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 14:55:31','2021-07-27 11:02:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8234','ABDUL GHANI','03335169377','H NO C42 ST NO 23/1 BLOCK D PWD ISB','9','26','128819','LG','REF TO PTCL',null,'5-MAR-2017','18COC - 914','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 14:59:32','2021-07-28 14:19:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8235','MR WAJID','03346240708','ST NO 6 NEAR HAMZA MADRISSA GULZAR-E-QUAID RWP','8','38','51559','ORIENT','0',null,'19-JUL-2021','CRYSTAL3-SR','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 15:02:42','2021-08-10 13:37:03',null,'1',null,'0');
INSERT INTO complaints VALUES('8236','ALI HASSAN','03215122253','H NO 170 ST NO 91 SEC I/8-4 ISB','8','40','0','ORIENT','REF TO PTCL',null,'17-JUL-2020','18G-VENUS-BW - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 15:13:04','2021-07-28 12:21:46',null,'1',null,'0');
INSERT INTO complaints VALUES('8237','FARHAN KIYANI','03365971881 , 03345095102','FAIZABAD HOUSING SCHEME NEAR RAJA MARKET SEC I/8-4 ISB','8','37','48568','GREE','REF TO SAQLAIN FHHS',null,'7-MAY-2021','9978EG-CW3 - 885','REFRIGERATOR','DOOR GASKIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 15:17:17','2021-07-27 12:11:15',null,'1',null,'0');
INSERT INTO complaints VALUES('8238','FARAZ ALI','03314995060 , 03018246681','H NO 301-A ST NO 87 SEC E/11-2 ISB','9','20','163689','SIGNATURE','REF TO PTCL',null,'25-DEC-2018','SSO-MO18 - 1172','MICROWAVE OVEN','HEATING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 15:28:02','2021-07-31 16:11:50',null,'1',null,'0');
INSERT INTO complaints VALUES('8239','DR ARSHAD','03332132607','H NO 57/5 ST NO 3 NEAR NOSHAHI GALI NASEERABAD PESHAWAR ROAD ROAD','9','23','209680','XTREEM','REF TO PTCL',null,'25-APR-2021','788','BUILT IN APPLLIANCES','SPARKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 15:39:03','2021-07-26 11:53:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8240','MR HASSAN','03085559095','FLAT CUG11 SPRING APPARTMENT NEAR FIZAIA COLONY ISB','5','29','134797','ORIENT','0',null,'9-JUN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','ERROR PROBLEM',null,'3',null,null,'customer','1','7518','92','2021-07-24 16:38:19','2021-07-24 16:38:19',null,'1',null,'0');
INSERT INTO complaints VALUES('8241','MR ASIF','03309506497','H NO 876 ST NO 41 BLOCK C PWD ISB','4','8','21394','HAIER','REF TO NAFEES FHS',null,'27-MAY-2021','32K6600 - 936','FLAT PANEL TV','REMOTE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 16:45:41','2021-07-27 11:34:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8242','SHAHZAD SB','03135286251','LANE NO 15 COMMERCIAL AREA CHAKLALA SCHEME 3 RWP','4','6','18670','HAIER','0',null,'12-DEC-2020','438IDRT - 896','REFRIGERATOR','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 17:04:28','2021-07-27 11:37:24',null,'1',null,'0');
INSERT INTO complaints VALUES('8243','MUHAMMAD WAQAS','03338102072','H NO 8 ST NO 68 JINNAH GARDEN ISB','4','8','8070','LG','REF TO PTCL',null,'24-MAR-2019','702HMHU-S - 885','REFRIGERATOR','SMELL',null,'8',null,null,'customer','0',null,'73','2021-07-24 17:28:00','2021-08-20 16:29:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8244','MUSHTAQ AHMED','03014834199','H NO 103 ST NO 3 BLOCK A MEDIA TOWN ISB','6','12','19838','SAMSUNG','0',null,'24-MAR-2019','90J5455MW-S - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-24 17:55:43','2021-08-01 16:01:21',null,'1',null,'0');
INSERT INTO complaints VALUES('8245','abdul sattar','03458550212','H NO 1A ST NO 5 SEC G DHA 2 ISB','8','39','40514','GREE','REF TO PTCL',null,'25-JUN-2020','500FS - 993','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 10:41:14','2021-07-28 14:08:22',null,'1',null,'0');
INSERT INTO complaints VALUES('8246','MANZOOR AHMED','03335182457','LANE NO 7 NEAR ALMIN MASJID NEW LALAZAR RWP','9','21','215412','KENWOOD','0',null,'4-JUL-2021','26657GD-BKG','REFRIGERATOR','COOLING&GASKIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 10:44:10','2021-08-07 16:46:44',null,'1',null,'0');
INSERT INTO complaints VALUES('8247','MR WAQAR','03005238798','H NO E192 ST NO 2 LUNDA BAZAR CHITTIAN HATTIAN  RWP','9','27','214949','SIGNATURE','0',null,'28-JUN-2021','SCF-HM11AH','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 10:47:56','2021-08-04 15:59:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8248','GUL HAKEEM','03339351556','H NO 24B LANE NO 2 SEC F DHA 2 ISB','6','15','36507','DAWLANCE','0',null,'29-JUN-2021','91999AVANTE-EG','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 10:50:14','2021-07-28 14:04:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8249','ASIF HANIF','03335705353','H NO 303 ST NO 34E SEC I/9-4 ISB','8','42','44177','SAMSUNG','0',null,'3-DEC-2020','80J5446-S','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 10:55:53','2021-07-26 14:57:47',null,'1',null,'0');
INSERT INTO complaints VALUES('8250','AQEEL ABBASI','03335169287','H NO 15A ST NO 1 LANE NO 2 NEW LALAZAR RWP','9','21','177856','SAMSUNG','0',null,'26-AUG-2019','11J5710-S - 905','WASHING MACHINE','WATER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 11:23:12','2021-08-05 15:50:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8251','CH IMRAN','03335109637, 03235519981','H NO X585 ST NO 25 RATTA AMRAL RWP','9','24','157163','LG','REF TO PTCL',null,'16-AUG-2018','10C3QDP2S - 121','WASHING MACHINE','WATER INLET',null,'8',null,null,'customer','0',null,'73','2021-07-25 11:35:11','2021-08-21 13:24:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8252','SYED SALMAN','03085087739','H NO 2 ST NO 2 SOHAN FAIZABAD NEAR UNION COUNCIL ISB','9','19','151042','SIGNATURE','REF TO PTCL CALL',null,'25-APR-2018','SWM-JD46 - 945','WASHING MACHINE','NOT WORKING',null,'7',null,null,'customer','1','7771','92','2021-07-25 11:41:47','2021-08-23 11:16:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8253','SAEEN BABAR','03335112337 , 03155112337','H NO 46 BABAR STREET OPP ZIA MASJID SHAKRYAL RWP','8','39','40772','SIGNATURE','0',null,'6-JUL-2020','SBH-AC930S - 1122','BUILT IN APPLLIANCES','BURNERS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 11:55:43','2021-07-31 16:11:04',null,'1',null,'0');
INSERT INTO complaints VALUES('8254','MUHAMMAD HASSAN','03335738691','H NO 118 ST NO 81 SEC E/11-2 ISB','8','38','51091','PANASONIC','0',null,'11-JUL-2021','18WKF-9','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 12:00:20','2021-08-20 17:03:34',null,'1',null,'0');
INSERT INTO complaints VALUES('8255','IMRAN SB','03105965553','H NO 406 ST NO 39 UMER BLOCK PHASE 8 B.TOWN RWP','9','24','215029','HAIER','0',null,'29-JUN-2021','385HDF-INV - 1468','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 12:07:35','2021-07-28 14:01:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8256',null,null,null,'6',null,null,'SIGNATURE','0000',null,null,'SCF-HM09 - 954','FREEZER','COOLING NAHI KR RHA...',null,'8',null,null,'showroom','0',null,'93','2021-07-25 12:14:52','2021-07-28 12:05:49',null,'1',null,'0');
INSERT INTO complaints VALUES('8257',null,null,null,'6',null,null,'SONY','0000',null,null,'55X7500F - 942','FLAT PANEL TV','PANEL PROBLEM..55X7500H-CC',null,'7',null,null,'showroom','0',null,'93','2021-07-25 12:15:47','2021-08-23 13:29:34',null,'1',null,'0');
INSERT INTO complaints VALUES('8258','TAHIR HUSSAIN','03345051104','DHOK SYEDAN ROAD HAROON MARKET AFAQ DEPARTMENTAL STORE GAROTI SOP','9','23','212110','ORIENT','0',null,'1-JUN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 12:17:48','2021-07-29 16:02:44',null,'1',null,'0');
INSERT INTO complaints VALUES('8259','MR SHOAIB','03015109400','H NO 9 ST NO 7 SEC B DHA 1 RWP','6','15','36493','CORONA','0',null,'29-JUN-2021','505C - 1815','COOKING RANGE','NOBS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 12:23:16','2021-07-29 15:57:28',null,'1',null,'0');
INSERT INTO complaints VALUES('8260','MR FAISAL','03335444544 , 03039422594','H NO 98 ST NO 6 GHOURI TOWN PHASE 1 ISB','6','15','74630','SIGNATURE','REF TO PTCL',null,'14-DEC-2019','SWM-JD45 - 945','WASHING MACHINE','TIMER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 12:35:47','2021-08-01 16:00:19',null,'1',null,'0');
INSERT INTO complaints VALUES('8261','COL YAZDANI','03328544373 , 03335229508','H NO 21 ST NO 13 DEFENCE VILLAS SEC F DHA 1 RWP','6','12','33919','HAIER','306TPR',null,'25-MAR-2021',null,'REFRIGERATOR','LEAKAGE PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7949','73','2021-07-25 13:04:48','2021-07-28 13:55:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8262','WASEEM TARIQ','03335220821','HO#61/30 ST#01 BILAL COLONY SHAMSHABAD R.W.P','8','42','40698','MITSUBISHI','REF TO ADEEL BHR-7',null,'02-JULY-2020','50VA - 915','AIR CONDITIONER','COOLING PROB',null,'3',null,null,'customer','1','6886','73','2021-07-25 13:10:43','2021-07-25 13:10:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8263','SAQIB SB','03005543374','H NO 32 ST N 43 SEC G/8-2 ISB','8','37','48912','HAIER','0',null,'23-MAY-2021','90-1789HWM - 901','WASHING MACHINE','SPINNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6497','73','2021-07-25 13:26:21','2021-07-28 13:50:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8264','AMJAD SB','03228585098','H NO 3572 LANE NO 5 TULSA ROAD LALAZAR RWP','9','51','183147','KENWOOD','0',null,'13-DEC-2019','1831S-INV - 915','AIR CONDITIONER','ERROR E5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 13:31:35','2021-07-27 17:11:23',null,'1',null,'0');
INSERT INTO complaints VALUES('8265','WASEEM SB','03337824567','H NO 295 ST NO 11 SEC G15-1 ISB','8','37','40202','MITSUBISHI','0',null,'11-JUN-2020','50VA - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 13:34:57','2021-07-28 11:47:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8266','TARIQ BAJWA','03335106741','H NO CB583A MAJOR SALMAN STREET LANE NO 5 PESHAWAR ROAD RWP','5','31','130019','HAIER','0',null,'5-MAR-2021','18HFCN-W-INV','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 13:41:04','2021-07-28 13:44:38',null,'1',null,'0');
INSERT INTO complaints VALUES('8267','FAHAD KHAN','03124777299','H NO 513 IBN-E-SINA ROAD SEC G/9-3 ISB','5','29','87341','SIGNATURE','REF TO PTCL',null,'15-AUG-2017','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 13:43:53','2021-07-29 12:03:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8268','MEHROSH','03437142161','H NO 790 ST NO 36 PHASE 5 B.TOWN RWP','4','5','22949','ORIENT','0',null,'24-JUL-2021','12G-ELEGANT','AIR CONDITIONER','OUTDOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 13:47:03','2021-07-28 13:39:06',null,'1',null,'0');
INSERT INTO complaints VALUES('8269','MIAN SHAHZAD','03013946602','H NO 316 ST NO 46 PAKISTAN TOWN PHASE 1 ISB','5','31','131372','GREE','0',null,'7-APR-2021','18FITH6S','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 14:05:15','2021-07-31 16:24:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8270','MR AJMAL','03459555500','HO#482 ST 12 SEC G-10/2 ISB','8','37','45156','SAMSUNG','MODAL#60M5070FW-S',null,'16-DEC-2020',null,'DISH WASHER','BUTTON ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','7354','73','2021-07-25 14:11:48','2021-08-02 16:15:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8271','HASSAN AHMED','03335101571','H NO 334 ST NO 21 SEC B-1 DHA1 RWP','9','51','170190','LG','0',null,'1-MAY-2019','4J6TNP8S-S - 899','WASHING MACHINE','DRYER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 14:40:21','2021-08-04 17:37:59',null,'1',null,'0');
INSERT INTO complaints VALUES('8272','FAISAL RAUF','03028161111','H NO 130 ST NO 75A SEC E/11-3 ISB','8','37','48575','HAIER','0',null,'8-MAY-2021','12HFMAC','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 15:11:57','2021-07-31 13:06:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8273','ADIL SB','03155358506','H NO 43/E BLOCK E SATELLITE TOWN RWP','9','19','213551','ORIENT','0',null,'13-JUN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 15:18:02','2021-07-28 11:45:55',null,'1',null,'0');
INSERT INTO complaints VALUES('8274','MAJ ASIM','03009500330','H NO 16 MAIN AVENUE GLOB CHOWK PHASE 7 B.TOWN RWP','6','12','17080','HAIER','0',null,'6-NOV-2018','200-1678 - 1619','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 15:29:22','2021-07-28 13:40:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8275','MR FARHAAJ','03115066370 , 03333555598','B1275 NEAR KALI TANKI SAIDPUR ROAD  SATELLITE TOWN RWP','9','20','174969','ORIENT','REF TO PTCL',null,'9-JUL-2019','18G-HYPER-SW - 915','AIR CONDITIONER','ERROR E5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 15:33:27','2021-07-27 17:19:58',null,'1',null,'0');
INSERT INTO complaints VALUES('8276','EHSANULLAH KHAN','03345012399','H NO 17 ST NO 4 OPP LEARNING FOUNDATION SCHOOL GULSHAN HUDA PARK ROAD ISB','8','37','0','KENWOOD','C/O AKBAR SB(TAHIR B.COOL)',null,'OUT WARRANTY','480VCM-BHL - 885','REFRIGERATOR','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 15:35:47','2021-08-04 14:03:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8277','NADIA OMER','03345597178','H NO 19 ST 2 SEC E/11-4 ISB','5','33','133278','GREE','0',null,'20-MAY-2021','8890EG-CB2 - 2116','REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7494','92','2021-07-25 15:56:26','2021-07-27 12:02:44',null,'1',null,'0');
INSERT INTO complaints VALUES('8278','ABDUL REHEEM','03015384515','MOHALLAH NASEERABAD NEW ABADI BARA KHO ISB','9','23','203596','SUPER ASIA','0',null,'09-JAN-2021','240SHW-CRYSTAL - 1548','WASHING MACHINE','NOT WORKING',null,'3',null,null,'customer','1','7224','92','2021-07-25 16:48:47','2021-07-25 16:48:47',null,'1',null,'0');
INSERT INTO complaints VALUES('8279','AKRAMINE','03130503676','NADEEM ELECTRIC STORE MAIN IMAM BARGAH ROAD BANGASH COLONY RWP','8','43','0','SAMSUNG','REF TO PTCL (MANUAL BILL)',null,'5-12-2020','70J3283W-S - 1548','WASHING MACHINE','HANG',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-25 17:15:29','2021-07-26 14:41:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8280','IMRAN SB','03333444220','H NO X27 SHIFA PHARMACY MILAD NAGAR RATTA AMRAAL RWP','9','21','149579','HAIER','0',null,'1-APR-2018','306EPC - 859','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 10:19:58','2021-07-29 12:06:42',null,'1',null,'0');
INSERT INTO complaints VALUES('8281','MR ARIF','03345771182','H NO 170 MILLAT COLONY MUKKAH SINGH STATE RWP','9','20','151187','VARIOLINE','0',null,'28-APR-2018','20STRL-WHT - 993','WATER DISPENSER','TAP',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 10:24:23','2021-07-29 12:10:25',null,'1',null,'0');
INSERT INTO complaints VALUES('8282','MR NAEEM','03045199669 , 03215809688','H NO 170 MILLAT COLONY MUKKAH SINGH STATE RWP','9','20','216496','HAIER','0',null,'15-JUL-2021','405FC','FREEZER','SOUND',null,'3',null,null,'customer','0',null,'73','2021-07-26 10:27:21','2021-07-26 10:27:21',null,'1',null,'0');
INSERT INTO complaints VALUES('8283','QARI ATTA','03005178806','GOVT GIRLS HIGH SCHOOL  LANE NO 3 NEAR AYUB PARK GULISTAN COLONY','9','19','216955','DAWLANCE','0',null,'19-JUL-2021','9173WB-CHROME','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 10:32:24','2021-08-01 13:18:30',null,'1',null,'0');
INSERT INTO complaints VALUES('8284','DR JUNAID','03215769366','H NO 1611 ST NO 12 OVERSEAS SEC 5 PHASE 8 B.TOWN RWP','6','15','36649','ORIENT','REF TO PTCL',null,'4-JUL-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 10:41:47','2021-07-29 12:01:04',null,'1',null,'0');
INSERT INTO complaints VALUES('8285','QADEER AHMED','03415000780 , 03445052116','H NO GB76 REHAMATABAD BLOCK B CHAKLALA SCHEME 3 RWP','9','19','211987','HAIER','REF TO PTCL',null,'31-MAY-2021','438EBS - 896','REFRIGERATOR','EARTH PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7696','73','2021-07-26 10:44:30','2021-07-29 12:21:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8286','NISARUL AMIN','03225577090','H NO 160 ST NO 9 MPCHS SEC E/11-1 ISB','10','46','0','PEL','REF TO TAHIR B.COOL',null,'0',null,'AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7447','92','2021-07-26 10:45:24','2021-08-04 14:59:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8287','ZIA UR REHMAN','03346662644','H NO 36 ST NO 86 SEC G/13-1 ISB','5','35','137912','HAIER','0',null,'24-JUL-2021','405HDF-INV - 958','FREEZER','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 10:56:41','2021-07-29 12:25:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8288','MR TAHIR','03018543250','HO#01 ST 06 SEC-A DHA PHASE 01 RWP','6','16','22047','SIGNATURE','COMPLAINT WAQAS PWD SIR NAY BAJI HAY',null,'10-JULY-2019','SBH-AA760S - 1122','BUILT IN APPLLIANCES','BURNER ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','5326','73','2021-07-26 11:01:05','2021-07-31 14:56:54',null,'1',null,'0');
INSERT INTO complaints VALUES('8289','CAP ZAHID','03005365495','H NO 130 ST NO 82 SEC E/11-2 ISB','5','31','97964','LG','REF TO BILAL FCP',null,'17-SEP-2018','4J6TNP8S-S - 899','WASHING MACHINE','EARTH',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 11:16:35','2021-08-07 14:34:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8290','QASIM BHATTI','03333897788','H NO 13 ST NO 49 SEC G/10-3 ISB','5','28','130887','GREE','REF TO ABUBAKAR FCI',null,'28-MAR-2021','18PITH1W','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 11:22:58','2021-07-31 16:22:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8291','SAAD JAWED','03440518114','FARM NO 185 ST NO 5 BLOCK A GULBERG GREEN ISB','5','34','115548','FIVE STAR','0',null,'14-MAR-2020','35G-TWIN SUPREME - 963','GEYSER','LEAKAGE',null,'8',null,null,'customer','0',null,'73','2021-07-26 11:34:03','2021-07-31 13:07:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8292',null,null,null,'6',null,null,'SIGNATURE','0000',null,null,'SSO-MO15 - 1200','MICROWAVE OVEN','plat missing... still not receievd complain ko 4 mheeeny hogy hein',null,'8',null,null,'showroom','0',null,'93','2021-07-26 11:35:49','2021-07-28 11:40:06',null,'1',null,'0');
INSERT INTO complaints VALUES('8293','MR JUNAID','03365543164 , 0518890717','PLAZANO 241 SPRING NORTH COMMERCIAL PHASE 7 B.TOWN RWP','6','15','30031','HAIER','3PC',null,'14-OCT-2020','24HE-HPU , 18HFBG','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 11:41:02','2021-08-04 15:35:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8294','MRS USMAN','03238231856','H NO 384 ST NO 14 SEC A PHASE 8 B.TOWN RWP','6','12','35355','HAIER','0',null,'25-MAY-2021','622IBG - 908','REFRIGERATOR','COOLING',null,'3',null,null,'customer','0',null,'73','2021-07-26 11:48:29','2021-07-26 11:48:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8295','FAHAD ZAHID','03129810449','H NO 62 ST NO 3 SEC B DHA 2 ISB','6','12','14009','MITSUBISHI','REF TO PTCL',null,'28-APR-2018','50VA - 915','AIR CONDITIONER','TRIPPING',null,'5','COMPLAINT CLOSED',null,'customer','1','6525','73','2021-07-26 11:58:56','2021-07-29 12:31:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8296','OWAIS FAZAL','03365018170','H NO 295A LANE NO 4 ASLAM SHAHEED ROAD OLD LALAZAR RWP','8','37','46268','KENWOOD','0',null,'9-FEB-2021','1012SA - 902','WASHING MACHINE','dryer',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 12:01:27','2021-08-01 13:24:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8297','MR WASIQ','03017222204','H NO 17 ST NO 23 OVERSEAS 1 PHASE 8 B.TOWN RWP','6','15','36631','GREE','0',null,'4-JUL-2021','12FITH3W','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 12:01:48','2021-07-29 12:39:20',null,'1',null,'0');
INSERT INTO complaints VALUES('8298','UZMA HAFEEZ','03005196737 , 03005191291','H NO 4 ST NO 6 SEC C BAHRIA ENCLAVE ISB','5','28','121977','HAIER','REF TO ABU BAKAR FCI',null,'17-SEP-2020','150-1678HWM - 1484','WASHING MACHINE','WATER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 12:02:14','2021-07-29 12:45:23',null,'1',null,'0');
INSERT INTO complaints VALUES('8299','SAQIB SB','03009781238','H NO 473 ST NO 4 MODEL TOWN GHEE MILL MARKET ISB','9','22','217142','DAWLANCE','0',null,'20-JUL-2021','91998H-SIGNATURE - 958','FREEZER','SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 12:14:07','2021-07-29 14:34:28',null,'1',null,'0');
INSERT INTO complaints VALUES('8300','SYED BILAL','03455581903 , 03015520564','H NO 526 ST NO 14 KHANNAPUL GHOURI VIP PHASE ISB','8','37','25948','DAWLANCE','REF TO IQBAL KRL',null,'1-JUL-2021','9150LFGD-BRN','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 12:24:00','2021-08-01 13:16:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8301','MRS MAJID','03335102065','H NO 667 ROAD D PHASE 3 B.TOWN RWP','9','19','0','SIGNATURE','REF TO PTCL',null,'ON PAYMENT','DOUBLE DOOR','REFRIGERATOR','COOLING',null,'8',null,null,'customer','0',null,'73','2021-07-26 12:39:38','2021-08-21 13:22:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8302','BRIG FAROOQ','03320801111','H NO 16 ST NO 15 SEC H DHA 2 ISB','6','16','30859','MITSUBISHI','0',null,'30-NOV-2020','50VA - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 12:44:11','2021-08-05 17:05:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8303','RAJA WAQAS','03365484156','HOLY FAMILY HOSPITAL  GATE#05 R.W.P','9','19','212816','KENWOOD','1228S-INV',null,'08-JUNE-2021',null,'AIR CONDITIONER','GAS ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','7187','73','2021-07-26 12:46:41','2021-07-28 11:46:44',null,'1',null,'0');
INSERT INTO complaints VALUES('8304','ASIF NADEEM','03358565588','H NO 348 ST NO 36 SEC F/11-3 ISB','8','37','45933','BRAUN','REF TO SHERAZ FHS',null,'25-JAN-2021','5045MQ - 1364','DOMESTIC APPLIANCES','NOT WORKING',null,'4',null,null,'customer','0',null,'73','2021-07-26 12:53:28','2021-07-26 12:53:50',null,'1',null,'0');
INSERT INTO complaints VALUES('8305','JANIS KHAN','03455886896','NEAR GANJ MANDI POLICE STATION RWP','5','34','134411','HAIER','0',null,'7-JUN-2021','18HFCN-W-INV','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 12:58:30','2021-07-27 10:44:59',null,'1',null,'0');
INSERT INTO complaints VALUES('8306','MR ABDULLAH','03218800306','H NO 849 ST NO 26 SEC G/9-1 ISB','5','33','131335','PANASONIC','0',null,'6-APR-2021','24WKF','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 13:07:04','2021-08-07 17:59:28',null,'1',null,'0');
INSERT INTO complaints VALUES('8307','MR ISHAQ','03003373850','BAHRIA COLLAGE','4','5','21783','PANASONIC','REF TO UZAIR PWD',null,'9-JUN-2021','22AWT - 251','DOMESTIC APPLIANCES','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2021-07-26 13:09:36','2021-07-29 17:32:12',null,'1',null,'0');
INSERT INTO complaints VALUES('8308','DR TALAT','03235112728','H NO 7 ST NO 18 BLOCK A DHA 1 RWP','9','20','185761','HAIER','0',null,'15-JAN-2020','24HDZ-G INV - 917','AIR CONDITIONER','ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 13:16:06','2021-08-05 15:58:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8309','MRS HAMID','03215959331','H NO 133 ST NO 37 SEC F/10-1 ISB','5','28','13769','CORONA','REF TO PTCL CALL',null,'24-MAR-2021','505C - 1815','COOKING RANGE','BURNERS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 13:31:12','2021-07-31 13:11:34',null,'1',null,'0');
INSERT INTO complaints VALUES('8310','ROHAIL KIYANI','03215512344 , 03228516881','3RD FLOOR RBS TOWER BUSINESS PARK GULBERG GREEN ISB','6','15','28989','ORIENT','0',null,'11-AUG-2020','18G-MEGA-PW - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6656','92','2021-07-26 13:48:14','2021-08-10 13:54:39',null,'1',null,'0');
INSERT INTO complaints VALUES('8311','MR ALI','03334605801','H NO 41 ST NO 20 SEC G/13-3 ISB','9','23','0','HAIER','0',null,'11-JUL-2021','245SD - 955','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 13:49:57','2021-08-05 16:22:55',null,'1',null,'0');
INSERT INTO complaints VALUES('8312','NAILA IMRAN','03219109999','H NO 726 ST NO 11 NEAR KFC CHAKLALA SCHEME 3 RWP','6','12','0','SAMSUNG','REF TO PTCL',null,'ON PAYMENT','11J5710-S - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 13:51:23','2021-08-05 15:50:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8313','SALMAN HAFEEZ','03335619997','H NO 5 ST NO 74 SEC G/6-4 ISB','5','34','81914','PEL','REF TOPTCL',null,'27-FEB-2017','18K-PINV-LIFE - 915','AIR CONDITIONER','ERR0R F1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 14:04:54','2021-07-29 14:21:20',null,'1',null,'0');
INSERT INTO complaints VALUES('8314','MALIK IMTIAZ','03335180033','H NO 57 ST NO 4 JINNAH ABAD SIMLI DAM ROAD BARAKAHO ISB','5','34','136742','CORONA','0',null,'5-JUL-2021','505C - 1815','COOKING RANGE','BURNER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 14:13:22','2021-07-31 13:13:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8315','MAJ JAMAL','03452858145','H NO 498 ST NO 1 BAHRIA SPRINGS NORTHPHASE 7 B.TOWN RWP','6','16','26047','LG','0',null,'9-FEB-2020','287SLUV-S - 909','REFRIGERATOR','ICE CUBE AND WATER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 14:19:05','2021-08-02 16:15:22',null,'1',null,'0');
INSERT INTO complaints VALUES('8316','TAUQEER SB','03112653487','H NO C2 HIT TAXILA CANTT','9','26','212118','GREE','0',null,'1-JUN-2021','18PITH2W','AIR CONDITIONER','SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 14:23:48','2021-07-29 13:32:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8317','NOMAN GILLANI','03215006538','H NO E550 MUHALLAH ARA KAHUTA RWP','8','37','25693','HAIER','REF TO IQBAL KRL',null,'14-JUN-2021','18HFMAD','AIR CONDITIONER','FLAPPERS',null,'3',null,null,'customer','0',null,'73','2021-07-26 14:26:12','2021-07-26 14:26:12',null,'1',null,'0');
INSERT INTO complaints VALUES('8318','FAIZAN SAMEER','03129809888','APP NO 202 MAHNOOR RESIDENCIA SEC E/11-4 ISB','5','31','129879','GREE','0',null,'1-MAR-2021','24FITH2W','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 14:31:06','2021-07-29 14:14:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8319','MUBASHIR SB','03008118883 , 03125290048','ATTAR INDUSTRIAL ESTATE DISTRICT HARIPUR','8','37','49393','GREE','0',null,'1-JUN-2021','9978EG-CB3 - 2116','REFRIGERATOR','DOOR GASKIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 14:35:25','2021-08-02 10:56:35',null,'1',null,'0');
INSERT INTO complaints VALUES('8320','HASSAN MOONIS','03008511168','APP NO 206 TARIQ HIEGHTS SEC F/11-1 ISB','8','37','34727','DAWLANCE','REF TO PTCL',null,'16-JUN-2019','PRO-ACTIVE15-INV - 913','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 14:47:24','2021-07-29 14:01:55',null,'1',null,'0');
INSERT INTO complaints VALUES('8321','ADNAN OMER','03015523346','H NO 107C LILY ROAD PHASE 2S B.TOWN RWP','8','37','22466','FISCHER','REF TO TAHA SOHAIL',null,'6-JUN-2020','65GF - 1220','WATER COOLER','EARTH',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 14:55:29','2021-08-05 11:31:17',null,'1',null,'0');
INSERT INTO complaints VALUES('8322','SHEHARIYAR RIAZ','03005551120','H NO 309M OPP MARIYAM CLINIC PESHAWAR ROAD RWP','4','5','21617','ORIENT','REF TO NAFEES PWD',null,'6-JUN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSSED',null,'customer','0',null,'73','2021-07-26 14:57:40','2021-07-28 11:37:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8323','DR FAIZA','03425556962','H NO 43 LANE 5 ST 5 SEC H DHA 2 ISB','6','15','37173','DAWLANCE','0',null,'20-JUL-2021','136G - 1172','MICROWAVE OVEN','PLATE ROTATING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 15:04:57','2021-07-29 13:52:52',null,'1',null,'0');
INSERT INTO complaints VALUES('8324','AFTAB SHUJA','03018586314','H NO 214 ST NO 27 OVERSEAS 5 PHASE 8 B.TOWN RWP','6','15','37189','KENWOOD','0',null,'20-JUL-2021','950SA - 901','WASHING MACHINE','TIMER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 15:07:32','2021-07-31 15:04:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8325','SHEREEN ZADA','03009594663','SILVER SCHOOL NEAR CH TANVEER HOUSE ST NO 1 GULRAIZ 1 RWP','9','19','217077','DAWLANCE','0',null,'20-JUL-2021','91998H-SIGNATURE - 958','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 15:11:26','2021-08-05 12:05:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8326','COL WAJID','03018383355','H NO 434MB SEC A ASKARI 14 ADYALA ROAD RWP','8','40','46545','FIVE STAR','MAX RANGE',null,'21-FEB-2021','10000MC','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 15:15:10','2021-07-31 12:52:46',null,'1',null,'0');
INSERT INTO complaints VALUES('8327','M IQBAL','03009899417','H NO 1236 ST NO 3 BLOCK C POLICE FOUNDATION','4','7','794','SIGNATURE','0',null,'15-OCT-2017','SWM-SR45 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 15:36:03','2021-08-01 15:59:20',null,'1',null,'0');
INSERT INTO complaints VALUES('8328','AZEEM SB','03315420488','FRIENDS GULNOOR MARKET RWP','9','19','0','HAIER','REF TO AZEEM SB',null,'2PC','545INV-HDF - 959','FREEZER','BASE DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 15:40:01','2021-08-13 16:45:07',null,'1',null,'0');
INSERT INTO complaints VALUES('8329','ASAD MEHMOOD','03005387823','H NO BV470 ST NO 6 COL YOUSAF COLONY SADIQABAD RWP','9','19','129715','SIGNATURE','REF TO PTCL',null,'21-MAR-2017','MD99SS-S - 1723','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 15:47:49','2021-07-27 17:42:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8330','AFAQ AHMED','03335525846','GONDAL MANDI NEAR KAMRA STOP GT ROAD ISB','8','37','25637','ORIENT','REF TO TAHA SOHAIL',null,'11-JUN-2021','18G-ORBIT - 915','AIR CONDITIONER','ERROR P4',null,'3',null,null,'customer','0',null,'73','2021-07-26 16:00:36','2021-07-26 16:00:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8331','FAISAL HAMEED','03329208276','H NO 107 A ROMI LANE NEAR AFIC HOSPITAL PESHAWAR ROAD RWP','9','19','0','GREE','REF TO PTCL(WARRANTY CARD)',null,'0','18FITH2W','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 16:04:12','2021-07-27 18:19:17',null,'1',null,'0');
INSERT INTO complaints VALUES('8332','KHIZER SB','03325284060','H NO 108/1 ST NO 8 GULSHAN DADAN SHAMSABAD RWP','8','37','46200','ORIENT','0',null,'6-FEB-2021','AUTO8 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 16:06:56','2021-07-28 11:30:22',null,'1',null,'0');
INSERT INTO complaints VALUES('8333','MUHAMMAD NAZIM','03011116737','H NO 208 2ND FLOOR MARGALLA HILLS 1 SEC G/11-1 ISB','8','42','47818','ORIENT','0',null,'15-APR-2021','18G-HYPER-SW - 915','AIR CONDITIONER','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 16:20:39','2021-07-31 14:55:49',null,'1',null,'0');
INSERT INTO complaints VALUES('8334','NAEEM MALIK','03025256878','61/42-B ST NO 2 BILAL COLONY SHAMSABAD RWP','9','24','153172','SUPER ASIA','0',null,'30-MAY-2018','4500ECM - 1577','AIR COOLER','EARTH',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 16:26:25','2021-08-03 16:19:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8335','SHEIKH MUBASHAR','03335170878','H NO DK68 NEAR JAMIA COLLGE GATE 2 DHOK KASHMERIAN RWP','9','27','208418','DAWLANCE','0',null,'1-APR-2021','91996GD-INV-BDY - 885','REFRIGERATOR','GASKIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 16:32:41','2021-07-29 11:10:58',null,'1',null,'0');
INSERT INTO complaints VALUES('8336','ABDUL MOIZ','03455305150 , 03225084431','H NO 105 ST 6 GULSHAN SAEED 2 CHAKRI ROAD RWP','9','23','38392','KENWOOD','0',null,'25-DEC-2019','480GD-GNG - 885','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 16:35:28','2021-07-29 11:09:21',null,'1',null,'0');
INSERT INTO complaints VALUES('8337','MR SAIM','03451333336 , 03325103939','H NO 65 ST NO 33 SEC G/9-1 ISB','8','38','48627','CARAVELL','REF TO PTCL CALL',null,'9-MAY-2021','115CURVED-RB','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 16:39:47','2021-07-29 10:57:19',null,'1',null,'0');
INSERT INTO complaints VALUES('8338','AHMED SB','03008507779','H NO 616 ST NO 10 SEC G/11-1 ISB','8','37','50868','KENWOOD','0',null,'4-JUL-2021',null,'REFRIGERATOR','COOLING PROBLEM',null,'3',null,null,'customer','1','7748','92','2021-07-26 16:48:06','2021-07-26 16:48:06',null,'1',null,'0');
INSERT INTO complaints VALUES('8339','MR SHARIQ','03335102266','APP NO 1501 LIGNUM TOWER  DHA 2 ISB','6','12','31048','ORIENT','0',null,'2-DEC-2020','39HD-ACTION','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 16:48:46','2021-08-08 17:25:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8340','MUHAMMAD RAUF','03317713221','H NO 941 ST NO 20 SEC G/11-1 ISB','5','33','115638','DAWLANCE','0',null,'15-MAR-2020','91996GD-INV-IOT-BK - 885','REFRIGERATOR','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 17:00:53','2021-07-29 10:50:22',null,'1',null,'0');
INSERT INTO complaints VALUES('8341','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','GREE','REF TO IQBAL FCI',null,'0','9978EG-CB1 - 885','REFRIGERATOR','COOLING',null,'3',null,null,'customer','0',null,'73','2021-07-26 17:12:26','2021-07-26 17:12:26',null,'1',null,'0');
INSERT INTO complaints VALUES('8342','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','ORIENT','REF TO IQBAL FCI',null,'0','18G-ROYAL-CW - 915','AIR CONDITIONER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 17:14:03','2021-08-09 17:08:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8343','TAYYAB HASSAN','03315336458','H NO 1723 ROAD B-9 PHASE 7 B.TOWN RWP','6','12','35151','ORIENT','0',null,'18-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 17:25:37','2021-07-28 11:17:03',null,'1',null,'0');
INSERT INTO complaints VALUES('8344','IRFAN WENDER','03327759990','H NO 111 DAFODIL ROAD NEAR BABA JANI MARKET PHASE 2 B.TOWN RWP','7','49','21791','HAIER','0',null,'9-SEP-2020','18HFCD-W-INV - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-26 17:47:42','2021-07-31 12:53:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8345','MR FAHEEM','03325437798','H NO Q14 RAILWAY SCHEME NO 1 CHAKLALA RWP','4','11','22950','CANON','0',null,'24-JUL-2021','CA-5 - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 10:20:39','2021-07-31 13:58:20',null,'1',null,'0');
INSERT INTO complaints VALUES('8346','ABDUL RAZAQ','03335333634','H NO 1 ST NO 41 SEC D/17-2 ISB','8','39','47955','SIGNATURE','0',null,'22-APR-2021','HC-3900G - 1122','BUILT IN APPLLIANCES','BURNERS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 10:25:58','2021-08-03 13:51:54',null,'1',null,'0');
INSERT INTO complaints VALUES('8347','SAJID SB','03367777702 , 03335208312','H NO 982 ST NO 105 SEC I/10-4 ISB','9','21','192715','SAMSUNG','0',null,'14-JUL-2020','11J5710-S - 905','WASHING MACHINE','ERROR 4C',null,'5','COMPLAINT CLOSED',null,'customer','1','6490','92','2021-07-27 10:32:47','2021-07-28 17:23:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8348','MR ALI','03365334858','H NO 209 ST NO 116 SEC I/10-4 ISB','9','24','0','HAIER','0',null,'3-JUL-2021','368EPR - 860','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 10:44:48','2021-07-31 14:02:56',null,'1',null,'0');
INSERT INTO complaints VALUES('8349','AWAIS AWAN','03455388618','FLAT NO 3 MADINA MARKET  TRANSIT CAMP CHOWK  RACE COURSE RWP','9','20','192034','HAIER','0',null,'3-JUL-2020','18HNI-B-INV - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 10:48:45','2021-07-31 14:01:58',null,'1',null,'0');
INSERT INTO complaints VALUES('8350','MR SARMAD','03335542777 , 03055542777','H NO 808/F RAHAT STREET MUGHALABAD RWP','9','20','113513','HAIER','0',null,'2-APR-2016','618HRF-SS - 903','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 10:50:42','2021-07-31 14:04:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8351','KHIZER SB','03325284060','H NO 108/1 ST NO 8 GULSHAN DADAN KHAN SHAMSABAD RWP','8','37','24282','SIGNATURE','0',null,'13-SEP-2017','SWM-SR45 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 10:52:24','2021-07-28 17:22:46',null,'1',null,'0');
INSERT INTO complaints VALUES('8352','MR SULEMAN','03322131056','H NO 492 ST NO 22 BLOCK A  MEDIa town ISB','6','14','15078','HAIER','0',null,'6-JUL-2020','95-1678HWM - 1817','WASHING MACHINE','DRYER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 10:55:01','2021-07-31 14:08:44',null,'1',null,'0');
INSERT INTO complaints VALUES('8353','RAJA IMRAN','03005198207','H NO 26/C-2 BLOCK C SATELLITE TOWN RWP','6','15','34063','HAIER','0',null,'1-APR-2021','120-1678HWM - 906','WASHING MACHINE','SPINNER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 10:58:23','2021-08-11 16:54:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8354','MR FAISAL','03340000020','H NO 476 ST NO 22 SEC F/15-1 ISB','9','22','217015','GREE','0',null,'19-JUL-2021','9978EG-CB1 - 885','REFRIGERATOR','SOUND',null,'3',null,null,'customer','0',null,'73','2021-07-27 11:00:04','2021-07-27 11:00:04',null,'1',null,'0');
INSERT INTO complaints VALUES('8355','MUHAMMAD ANEES','03405744712 , 03365017591','H NO 376 ST NO 25 SEC I/8-2 ISB','9','26','1538','HAIER','REF TO PTCL',null,'17-MAR-2021','622IBG - 908','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 11:17:39','2021-08-04 13:05:55',null,'1',null,'0');
INSERT INTO complaints VALUES('8356','MR HAMAYOUN','03218790305','H NO 721 ST NO 21 USMAN BLOCK PHASE 8 B.TOWN RWP','9','19','201815','HAIER','0',null,'7-DEC-2020','24HE03 - 917','AIR CONDITIONER','NOT WORKING',null,'3',null,null,'customer','0',null,'73','2021-07-27 11:33:43','2021-07-27 11:33:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8357','MAZHAR SB','03445073827 , 05120602173','NEAR PUNJAB CASH AND CARRY DERA PULL STOP BARAKAHO ISB','9','19','74989','HAIER','REF TO PTCL',null,'9-FEB-2013','253HRF - 84','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 11:37:21','2021-07-31 14:27:42',null,'1',null,'0');
INSERT INTO complaints VALUES('8358','BENSON PHARMACY','03005159999','H NO 212 STNO 49 SEC F/10-4 ISB','8','42','47899','LG','0',null,'19-APR-2021','1369NEHTF-C','WASHING MACHINE','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 11:40:32','2021-08-05 15:49:23',null,'1',null,'0');
INSERT INTO complaints VALUES('8359','ALI KHAN','03332322699','ISB','5','32','135468','ORIENT','0',null,'15-JUN-2021','18G-ORBIT - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 11:44:32','2021-08-10 13:57:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8360','NAVEED HAMAYOUN','03000812540','H NO 15 ST NO 114 SEC D DUA CHOWK DHA 3 ISB','6','15','36041','LG','0',null,'13-JUN-2021','4J5TNP7S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 11:46:00','2021-08-05 15:48:42',null,'1',null,'0');
INSERT INTO complaints VALUES('8361','MR AYAZ','03351232247 , 03456824455','H NO 31 OFFICER COLONY MIRPUR AZAD KASHMIR','9','24','187878','GREE','0',null,'7-MAR-2020','24ISH-INV - 917','AIR CONDITIONER','SWING',null,'3',null,null,'customer','0',null,'73','2021-07-27 11:50:55','2021-07-27 11:50:55',null,'1',null,'0');
INSERT INTO complaints VALUES('8362','DR SAIMA','03365356231','H NO 14  TIPU BOLY WARD SEC D DHA 2 ISB','9','22','193967','LG','REF TO TAHIR BEST COOL',null,'5-AUG-2020','4J6TNP8S-C - 1850','WASHING MACHINE','LEAKAGE',null,'7',null,null,'customer','0',null,'73','2021-07-27 11:56:06','2021-08-23 14:39:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8363','SAQIB SALEEM','03455304776','SIRSYED CHOWK RAHIMABAD STOP RWP','8','37','49718','DAWLANCE','0',null,'8-JUN-2021','15-AURA','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 12:04:00','2021-07-31 16:07:39',null,'1',null,'0');
INSERT INTO complaints VALUES('8364','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','BOSCH','REF TO ABUBAKAR FCI',null,'0','12TQ50M','COOKING RANGE','NOB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 12:09:54','2021-08-05 15:48:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8365','IQBAL STOCK``','03465166132','FRIENDS BLUE AREA ISB','5','28','0','CANON','REF TO ABUBAKAR FCI',null,'0','CA-5 - 1122','BUILT IN APPLLIANCES','GRILL',null,'3',null,null,'customer','0',null,'73','2021-07-27 12:12:14','2021-07-27 12:12:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8366','AJMAL WAHEED','03009860088','KOTSARANG TEHSIL TALAGANG DISTRICT CHAKWAL','9','24','170350','MITSUBISHI','0',null,'4-MAY-2019','50VA - 915','AIR CONDITIONER','FAN OUTDOOR',null,'3',null,null,'customer','0',null,'73','2021-07-27 12:17:10','2021-07-27 12:17:10',null,'1',null,'0');
INSERT INTO complaints VALUES('8367','NAEEM SB','03215722229 ,  03129115452','KHOOR  HOUSE MEDIA STREET NORTH BANNI GALA ISB','8','37','50425','ORIENT','REF TO SAQLAIN FHHS',null,'22-JUN-2021','18G-ELEGANT-SW','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 12:25:05','2021-07-31 14:44:21',null,'1',null,'0');
INSERT INTO complaints VALUES('8368','RAFI BUTT','03219544389','H NO 610 ST NO 9 CHAKLALA SCHEME 3 RWP','9','26','192982','HAIER','REF TO KHURRAM SB',null,'16-JUL-2020','18HFCE-W-INV - 915','AIR CONDITIONER','ERROR E7',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 12:35:33','2021-08-04 17:35:47',null,'1',null,'0');
INSERT INTO complaints VALUES('8369','BILAL FCP','03110533103','FRIENDS GULNOOR MARKET RWP','9','19','0','XTREME','REF TO BILAL FCP',null,'0','789 - 1123','BUILT IN APPLLIANCES','GLASS DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 12:38:57','2021-08-02 12:45:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8370','brig irfan','03002649708','H NO 68 NEW GRACEY LANE  RAWAL ROAD RWP','9','19','0','SIGNATURE','REF TO PTCL',null,'ON PAYMENT','AC24','MICROWAVE OVEN','heating',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 12:55:21','2021-08-07 12:26:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8371','MR MANSOOR','03000200247','H NO 511 ST NO 23 PHASE 3 B.TOWN RWP','9','22','178294','SIGNATURE','REF TO PTCL CALL',null,'5-SEP-2019','SK98 - 903','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 13:01:29','2021-07-28 18:01:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8372','SYED ZAHID','03215075004','H NO 40 ST NO 1 SEC G/15-2 ISB','8','43','0','HOMAGE','0',null,'O','45HWD - 993','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','1','7825','74','2021-07-27 13:10:04','2021-07-31 15:13:49',null,'1',null,'0');
INSERT INTO complaints VALUES('8373','MR SAQIB','03305486628','H NO 41 ST NO 9 SEC H LANE NO 5 DHA 2 ISB','6','16','12712','SIGNATURE','0',null,'15-FEB-2018','SWM-SR45 - 899','WASHING MACHINE','WATER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 13:12:31','2021-08-02 16:15:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8374','ATIF LATIF','03005262848','H NO 117A ST NO 2 BLOCK I PHASE 8 B.TOWN RWP','6','12','33450','HAIER','0',null,'2-MAR-2021','622IBG - 908','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 13:16:15','2021-07-31 14:47:52',null,'1',null,'0');
INSERT INTO complaints VALUES('8375','MANSOOR ZAIB','03009567569','HO#6 ST 5, BLOCK H NEW CITY PHASE 2 WAH CANTT','4','6','15868','HAIER','0',null,'13-AUG-2020','622IBS - 908','REFRIGERATOR','COOLING',null,'3',null,null,'customer','0',null,'73','2021-07-27 13:22:25','2021-07-27 13:22:25',null,'1',null,'0');
INSERT INTO complaints VALUES('8376','AMIN SB','03340112809','H NO 41A ST NO 31 NEAR BALA TIKKA PWD O9 ISB','4','5','0','SIGNATURE','REF TO KHURRAM SB',null,'24-8-2020','SIGNATURE','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 13:30:46','2021-07-31 12:51:57',null,'1',null,'0');
INSERT INTO complaints VALUES('8377','AMANAT SB','03214352324','H NO 257 BLOCK B TOP CITY 1 NEAR NEW AIRPORT ISB','9','23','200228','CARAVELL','0',null,'1-DEC-2020','207BA','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 13:34:51','2021-07-31 11:45:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8378','JIBRAN FCI','03355046059','FRIEND CORPORATION BLUE AREA','5','35','137123','DAWLANCE','MODAL#91999CHROME COMPLAINT CUSTOMER KI THI BUT CUSTOMER KO UNIT REPLACE KAR DEYA THA JIBRAN FCI SIR NAY AB VISIT SHOWROOM PAR KARWANA HAY UNIT JIBRAN SIR K PASS PARA HAY',null,'10-JUL-2021',null,'REFRIGERATOR','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','8180','92','2021-07-27 13:41:11','2021-07-31 16:11:39',null,'1',null,'0');
INSERT INTO complaints VALUES('8379','ZAFAR ULLAH','03125079157 , 03339988611','SAFA CENTRE COMMERCIAL MARKET NEAR TEHZEEB BAKERS 6TH ROAD RWP','8','39','49897','DAWLANCE','0',null,'10-JUN-2021','30ELEGANCE , 45GALLANT','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 13:47:13','2021-08-09 14:06:05',null,'1',null,'0');
INSERT INTO complaints VALUES('8380','SYED MEHRAN SHAH','03338424935 , 03485672245','AAD MESS ABID MAJEED ROAD NEAR MH HOSPITAL RWP CANTT','7','49','23202','HAIER','MODAL#50K6600UG',null,'19-MAR-2021','50K6500UA - 871','FLAT PANEL TV','PANEL LINE',null,'3',null,null,'customer','1','7778','92','2021-07-27 13:54:33','2021-07-27 13:54:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8381','ADIL FAROOQ','03329354289','H NO 192 LANE NO 8 ASKARI13 RWP','9','19','200393','GREE','0',null,'1-DEC-2020','9978EG-CB1 - 885','REFRIGERATOR','DOOR GASKIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 13:56:37','2021-07-31 12:05:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8382','NAEEM SB','03235133183','SARFRAZ ROAD NEAR TARIQ TIKKA HOUSE ALSIF PUBLIC SCHOOL RWP','9','24','0','HAIER','REF TO ZEESHAN BHR',null,'26-MAY-2021','18HFMAC','AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 14:00:07','2021-08-01 13:48:34',null,'1',null,'0');
INSERT INTO complaints VALUES('8383','SHAHZAD SB','03335129036','H NO 537/D2LANE 2 NEARE APS SCHOOL WESTRIDGE 3 RWP','7','49','23040','CORONA','REF TO PTCL',null,'20-FEB-2021','351C - 1533','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 14:50:19','2021-07-29 13:49:19',null,'1',null,'0');
INSERT INTO complaints VALUES('8384','TANVEER SB','03006410178','BLOCK NO 66 NEAR RESCUE 1122 KAHOTA ROAD SIHALA ISB','8','39','50208','GREE','0',null,'16-JUN-2021','18FITH5WB - 915','AIR CONDITIONER','ERROR E6',null,'3',null,null,'customer','0',null,'73','2021-07-27 14:57:05','2021-07-27 14:57:05',null,'1',null,'0');
INSERT INTO complaints VALUES('8385','AKRAM','03208549600 , 03138549600','H NO B710 SATELLITE TOWN RWP','9','26','215386','LG','REF TO PTCL',null,'3-JUL-2021','2J3TDNPOP-S','WASHING MACHINE','NOT WORKING',null,'7',null,null,'customer','0',null,'73','2021-07-27 14:57:34','2021-08-23 14:38:49',null,'1',null,'0');
INSERT INTO complaints VALUES('8386','FAYYAZ','03335935899','H NO 17 ST NO 1 UPPER PORTION SHAHZAD TOWN','4','5','18168','BOSCH','REF TO KAMRAN BHR-7',null,'5-DEC-2020','20260GC - 880','WASHING MACHINE','error E17',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 15:02:08','2021-08-17 15:14:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8387','AMIR SB','03335472123','H NO 387 NEAR POLICE STATION LOHI BHER ST NO 18 SOAN GARDEN','8','42','51349','DAWLANCE','0',null,'16-JUL-2021','1035WBGD-VF - 1467','FREEZER','LIGHT&DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 15:14:17','2021-07-31 15:48:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8388','SHAFIQUE SB','03335050533','H NO 340 ST NO 21 SEC I/9-1 ISB','8','37','47729','MITSUBISHI','REF TO SAQLAIN FHHS',null,'11-APR-2021','50VA - 915','AIR CONDITIONER','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 15:35:08','2021-07-31 13:34:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8389','KASHIF SB','03415868260','RABI CENTRE LINK ROAD  SOAN CAMP ISB','4','10','37239','SUPER ASIA','0',null,'25-JUL-2021','242SA - 522','WASHING MACHINE','CLEAN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 15:37:34','2021-07-31 12:32:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8390','IBRAHIM KHAN','03015009882','H NO 602 ST NO 2 SEC G/9-2 ISB','9','19','209604','ORIENT','0',null,'22-APR-2021','18G-SUPER - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 15:45:30','2021-08-01 10:56:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8391','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','HOMAGE','REF TO IQBAL FCI',null,'0','44HWD - 993','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','1','8182','92','2021-07-27 15:51:27','2021-07-31 12:33:19',null,'1',null,'0');
INSERT INTO complaints VALUES('8392','MR MUSA','03181504287','H NO 968 ST NO 4 SEC G/14-4 ISB','5','29','109701','HAIER','0',null,'26-SEP-2019','368EBS - 860','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 15:53:34','2021-07-31 12:27:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8393','ATIIQ SB','03360588834 , 03350845904','H NO 2963 ST NO 42 ALLAMA IQBAL COLONY TENCH BHATTA RWP','9','24','214254','SUPER ASIA','0',null,'19-JUN-2021','5000ECM-PLUS - 1577','AIR COOLER','WASH TUB',null,'3',null,null,'customer','0',null,'73','2021-07-27 16:03:33','2021-07-27 16:03:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8394','MR SHAERYAR','03325259341','MAIN GOLRA SHAREEF ISB','5','34','132837','GREE','0',null,'6-MAY-2021','24FITH3W','AIR CONDITIONER','ERROR E6',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 16:30:55','2021-08-02 18:04:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8395','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','GREE','REF TO IQBAL FCI',null,'0','12FITH3W','AIR CONDITIONER','OUTDOOR GAS',null,'3',null,null,'customer','0',null,'73','2021-07-27 16:33:41','2021-07-27 16:33:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8396','AMIN ALI','03010668844','FLAT NO 206 WARDA HAMNA RESIDENCIA 3 SEC G/11-3 ISB','8','37','46721','KENWOOD','0',null,'1-MAR-2021','1239S-INV - 913','AIR CONDITIONER','SMELL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 16:39:06','2021-07-31 13:02:30',null,'1',null,'0');
INSERT INTO complaints VALUES('8397','IQBAL STOCK','03465166132','FREINDS GULNOOR SHOWROOM MURREE ROAD RWP','9','19','0','HAIER','REF TO ASLAM SB',null,'0','48H03 - 1820','AIR CONDITIONER','DAMAGED',null,'3',null,null,'customer','0',null,'73','2021-07-27 16:42:23','2021-07-27 16:42:23',null,'1',null,'0');
INSERT INTO complaints VALUES('8398','RAHEEM BANGASH','03336033364','H NO 459 ST NO 11 SEC 1 AIRPORT HOUSING SOCIETY RWP','9','20','217295','HAIER','0',null,'26-JUL-2021','398IDRA','REFRIGERATOR','DOOR ADJUSTMENT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 16:59:50','2021-07-31 14:06:46',null,'1',null,'0');
INSERT INTO complaints VALUES('8399','COL ANIS','03345005912 , 03215354036','APP NO 915 ZIRAJ HOSUING SOCIETY OPP GIGA MALL GT ROAD','9','51','208124','FIVE STAR','0',null,'28-MAR-2021','25G-HEAVYDUTY','GEYSER','LAEKAGE',null,'8',null,null,'customer','0',null,'73','2021-07-27 17:22:30','2021-07-31 12:18:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8400','MUHAMMAD ANEES','03365017591','H NO 376 GALI NO 25 SEC I/8-2 ISB','9','26','207584','HAIER','0',null,'17-MAR-2021','622IBG - 908','REFRIGERATOR','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-27 17:29:31','2021-08-04 12:20:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8401','ADNAN  SB','03005103430','H NO CB597 ATTAULLAH ST NO 3 LANE NO 3 GULSHAN COLONY RWP','10','46','0','SIGNATURE','REF TO KHURRAM SB',null,'ON PAYMENT','B STOCK SIGNATURE','REFRIGERATOR','COOLING',null,'4',null,null,'customer','0',null,'73','2021-07-27 18:00:07','2021-07-27 18:00:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8402','arif islam','03335381123','FLAT NO 7 BLOCK NO C2 SEC G/8-4 ISB','9','27','217358','HAIER','0',null,'27-JUL-2021','438IDRA','REFRIGERATOR','PANEL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 10:55:02','2021-07-31 13:15:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8403','WAJAHAT KHALID','03177926617','KARAL CHOWK GHOURI TOWN GULBERG GREEN ISB','9','23','192789','HAIER','0',null,'14-JUL-2020','438IDBT - 896','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 11:02:07','2021-08-02 15:43:24',null,'1',null,'0');
INSERT INTO complaints VALUES('8404','MISS MARIAM','03111469719','H NO 25 ST NO 7 BLOCK C SOAN GARDEN ISB','8','37','42589','ORIENT','REF TO TAHA SOHAIL',null,'23-SEP-2020','AUTO8 - 899','WASHING MACHINE','DEAD',null,'3',null,null,'customer','0',null,'73','2021-07-28 11:05:16','2021-07-28 11:05:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8405','AMIR WAQAS','03335145058','H NO 1474 NEAR TAYYABA MASJID RAWAL TOWN RWP CANTT','9','20','199625','ORIENT','0',null,'22-NOV-2020','AUTO8 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 11:16:34','2021-07-31 13:18:12',null,'1',null,'0');
INSERT INTO complaints VALUES('8406','BRIG RASHID','03008568052','H NO 32 ST NO 3 SEC F DHA 2 ISB','6','16','36238','GREE','0',null,'19-JUN-2021','18FITH2W - 201','AIR CONDITIONER','ERROR F4',null,'5','COMPLAINT COMPLETED',null,'customer','0',null,'73','2021-07-28 11:28:44','2021-07-31 13:03:47',null,'1',null,'0');
INSERT INTO complaints VALUES('8407','ZAFAR ABDULLAH','03090707535','H NO 4 ST NO 1-A MARWA TOWN OPP GHOURI TOWN PHASE 7 ISB','8','42','47294','HAIER','0',null,'24-MAR-2021','150-1708HWM - 1484','WASHING MACHINE','SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 11:32:28','2021-07-31 13:01:52',null,'1',null,'0');
INSERT INTO complaints VALUES('8408','MR HASSAN','03315479157','H NO 12 ST NO 44 KORANG TOWN ISB','5','35','116211','HAIER','0',null,'10-MAY-2020','12HNF-S','AIR CONDITIONER','DRAIN &SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 11:36:30','2021-08-02 15:40:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8409','ADNAN MEHMOOD','03355392545','H NO 13T-01 NEAR CHAYE KHANA PHASE 5 B.TOWN RWP','6','12','10447','SIGNATURE','REF TO PTCL',null,'29-AUG-2017','MD99SS-S - 1723','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 11:40:47','2021-08-01 15:40:25',null,'1',null,'0');
INSERT INTO complaints VALUES('8410','MISBAH UD DIN','03458852828','H NO 13 LANE 8 SEC B DHA2 ISB','6','12','22349','SIGNATURE','REF TO PTCL',null,'28-JUL-2019','SVF-SY20D - 956','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 11:42:48','2021-08-05 15:47:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8411','AZEEM SB','03315420488','FRIENDS GULNOOR MARKET RWP','9','19','0','KENWOOD','REF TO AZEEM SB',null,'2PC','950SA - 901','WASHING MACHINE','BASE DAMAGED',null,'3',null,null,'customer','0',null,'73','2021-07-28 11:46:24','2021-07-28 11:46:24',null,'1',null,'0');
INSERT INTO complaints VALUES('8412','AZEEM SB','03315420488','FRIENDS GULNOOR MARKET RWP','9','19','0','DAWLANCE','REF TO AZEEM SB',null,'0','9193LF-CHROME','REFRIGERATOR','DOOR',null,'3',null,null,'customer','0',null,'73','2021-07-28 11:47:34','2021-07-28 11:47:34',null,'1',null,'0');
INSERT INTO complaints VALUES('8413','MR SHAZAD','03346567735','H NO 4 ST NO 8 SEC G/13-2 ISB','5','30','102054','LG','0',null,'9-FEB-2019','4J9HP2T-S - 1712','WASHING MACHINE','ERROR E1',null,'8',null,null,'customer','0',null,'73','2021-07-28 11:54:15','2021-08-21 12:36:46',null,'1',null,'0');
INSERT INTO complaints VALUES('8414','M AZAM','03335170785','FLAT NO 1 BLOCK 23 PRIME MINISTER STAFF COLONY SEC G/5 ISB','5','28','133797','HAIER','REF TO PTCL',null,'28-MAY-2021','398IDBA','REFRIGERATOR','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 11:59:15','2021-07-31 12:52:25',null,'1',null,'0');
INSERT INTO complaints VALUES('8415','MR SAEED','03235069398','H NO 3B ST NO 5 BLOCK D NAVEL ANCOURAGE ISB','4','8','7907','KENWOOD','0',null,'9-MAR-2019','1016SA - 1712','WASHING MACHINE','DRYER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 12:10:26','2021-08-02 17:23:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8416','MR DANIYAL','03445135856','PLAZA 61 A CHAUDHARY ARCADE SPRING NORTH  PHASE 7 B.TOWN RWP','4','11','22367','ORIENT','0',null,'1-JUL-2021','12G-HYPER-SW - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 12:15:28','2021-07-31 12:44:44',null,'1',null,'0');
INSERT INTO complaints VALUES('8417','COL FAROOQ','03005085090','H NO 72 LANE NO 3 CHAKLALA SCHEME 1 RWP','5','34','123346','SIGNATURE','0',null,'27-OCT-2020','C595','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 12:22:04','2021-08-04 12:31:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8418','COL FAROOQ','03005085090','H NO 72 LANE NO 3 CHAKLALA SCHEME 1 RWP','5','34','123346','HAIER','KITCHEN HOOD',null,'27-OCT-2020','9001PCHT','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 12:24:20','2021-08-03 16:50:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8419','SYED HAMZA','03325620528','HO#01 ST 07 SEC-A SECOND FLOOR DHA 01 ISB','6','12','26879','HAIER','0',null,'23-APR-2020','18HNS-INV-R - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 12:27:50','2021-07-31 12:40:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8420','JAVAID AKHTER','03357444494','DILDAR HOUSE KOTA KALAN NEAR DHA 1 MORGAH RWP','9','23','214645','HAIER','0',null,'24-JUN-2021','206W','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 12:34:31','2021-07-31 12:38:50',null,'1',null,'0');
INSERT INTO complaints VALUES('8421','MR SOHAIL','03330033538','H NO 422 ST NO 12 USMAN BLOCK PHASE 8 B.TOWN RWP','5','34','136747','HAIER','0',null,'5-JUL-2021','336IDBA','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 12:39:57','2021-07-31 14:59:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8422','ZEESHAN','03145323901','H NO 145 ROAD 1 A BAHRIA SPRING PHASE 7 B.TOWN RWP','9','51','213016','HAIER','0',null,'9-JUN-2021','150-1708HWM - 1484','WASHING MACHINE','WATER',null,'5','CLOSED',null,'customer','0',null,'73','2021-07-28 12:46:27','2021-07-28 12:53:15',null,'1',null,'0');
INSERT INTO complaints VALUES('8423','MISS HIRA','03315225550','FLAT NO 5 BLOCK D ST NO 30 SEC G/8-4 ISB','5','33','136502','KENWOOD','0',null,'1-JUL-2021','1015SA - 902','WASHING MACHINE','DRYER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 12:56:04','2021-07-31 12:30:34',null,'1',null,'0');
INSERT INTO complaints VALUES('8424','RANA MAQBOOL','03335720322','H NO 376 ST NO 11 GHOURI TOWN ISB','9','19','195646','GREE','0',null,'3-SEP-2020','9978EG-CW3 - 885','REFRIGERATOR','COOLING',null,'3',null,null,'customer','0',null,'73','2021-07-28 13:06:34','2021-07-28 13:06:34',null,'1',null,'0');
INSERT INTO complaints VALUES('8425','mr ahmed','03315955264','H NO 102 ST NO 29 PHASE 4 B.TOWN RWP','4','8','22783','SUPER ASIA','0',null,'17-JUL-2021','555SD','SPINNER','SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 13:31:32','2021-07-31 12:23:20',null,'1',null,'0');
INSERT INTO complaints VALUES('8426','ASTRAL CONSTRUCTION','03335138893','OLD MARGALLA TOWER OPP ALMUSTAFA TOWERS SEC F/10 MARKAZ ISB','8','42','46111','ORIENT','0',null,'2-FEB-2021','12G-ORBIT - 913','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 13:43:24','2021-07-29 11:59:52',null,'1',null,'0');
INSERT INTO complaints VALUES('8427','AFZAAL SB','03005124690','H NO 64A AFFANDI COLONY NEAR ABBASI HIGH SCHOOL RWP','9','23','201971','GREE','REF TO RIFFAT FCP',null,'8-DEC-2020','9978EG-CB2 - 885','REFRIGERATOR','COOLING&GAS KIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 13:54:14','2021-08-03 16:53:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8428','LIAQAT RAFIQUE','03078770586 , 03467320962','H NO B10 SHAHEEN ROAD CHAKLALA GARIISON RWP','9','22','214322','HAIER','REF TO PTCL',null,'20-JUN-2021','306R','WATER DISPENSER','LEAKAGE',null,'3',null,null,'customer','0',null,'73','2021-07-28 14:08:17','2021-07-28 14:08:17',null,'1',null,'0');
INSERT INTO complaints VALUES('8429','KHURSHID SB','03008566485','H NO 50 ST NO 2 SEC E/11-1 ISB','8','42','42100','ORIENT','0',null,'25-AUG-2020','18G-HYPER-SW - 915','AIR CONDITIONER','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 14:22:45','2021-07-29 11:58:26',null,'1',null,'0');
INSERT INTO complaints VALUES('8430','MR RIZWAN','03066668666','H NO 49 ST NO 5 SEC F/8-3 ISB','5','34','131594','ORIENT','0',null,'12-APR-2021','FLARE3-RG','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 14:25:05','2021-07-31 12:17:07',null,'1',null,'0');
INSERT INTO complaints VALUES('8431','MR SAQIB','03015190301','H NO 13A ATTAULLAH HAQ ROAD NAJAM SHAHEED ROAD WESTRIDGE 1 RWP','7','49','21314','ORIENT','REF TO ATIF SADDAR',null,'30-JUN-2020','18G-SUPER - 915','AIR CONDITIONER','ERROR E4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 14:31:49','2021-07-31 10:57:05',null,'1',null,'0');
INSERT INTO complaints VALUES('8432','MR AMIR','03215172642','H NO 34B SEC 2 ST NO 2 KHAYABAN-E-SIRSYED RWP','9','24','176108','LG','0',null,'28-JUL-2019','1666NEFT-S - 1643','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 14:35:25','2021-08-05 15:47:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8433','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','HAIER','REF',null,'0','12HFMAE','AIR CONDITIONER','INDOOR LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 14:39:15','2021-08-04 15:04:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8434','ARSHAD GONDAL','03345072733','H NO 11B NEAR FALCON BAKERS RACE COURSE ROAD RWP','9','23','216922','SAMSUNG','ODTU4DAN100019',null,'19-JUL-2021','RT35K5010S8','REFRIGERATOR','DOOR',null,'3',null,null,'customer','0',null,'73','2021-07-28 14:46:43','2021-07-28 14:46:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8435','agha qasim','03008556612-11','H NO 807 PARK LANE SCHEME 3 RWP','5','28','80620','SIGNATURE','REF TO IQBAL FCI',null,'24-DEC-2016','P1SS-SVF - 1468','FREEZER','COOLING&TOUCH PANEL',null,'8',null,null,'customer','0',null,'73','2021-07-28 15:07:12','2021-08-21 12:33:54',null,'1',null,'0');
INSERT INTO complaints VALUES('8436','IJAZ HUSSAIN','03028566482','DHOK FATEH JUNG ROAD ATTOCK CITY','8','42','40137','GREE','0',null,'9-JUN-2020','8768EG-CR1 - 884','REFRIGERATOR','COOLING&GASKIT',null,'3',null,null,'customer','0',null,'73','2021-07-28 15:35:00','2021-07-28 15:35:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8437','BRIG ANJUM','03215589969','H NO 18 FIRST AVENUE SEC A DHA 1 RWP','9','19','185793','KENWOOD','0',null,'19-JAN-2020','1831S-INV - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 15:38:56','2021-07-29 11:57:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8438','MR KHAN','03009818829 , 03005050550','DAREGH MORI VILLAGE POST OFFICE GOLRA SHAREEF SEC D/12 ISB','9','20','199306','ORIENT','0',null,'17-NOV-2020','40FHD-HAWK - 938','FLAT PANEL TV','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 15:49:13','2021-08-17 16:14:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8439','MR ZAFAR','03355550328','H NO 1 ST NO 8 SEC C DHA 2 ISB','5','31','122905','LG','0',null,'14-OCT-2020','1066NEFTW-S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 16:04:15','2021-08-02 16:14:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8440','COL TARIQ','03218543090','H NO 27 ST NO 17 SEC A DHA 1 RWP','6','15','16066','SIGNATURE','0',null,'21-AUG-2018','SCF-HM12 - 956','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 16:06:28','2021-08-01 15:38:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8441','SOHAIL IFTIKHAR','03455233829','MERA MAAN OFFICE PULGRAN ROAD SHAHPUR BARAKAHO ISB','8','37','22830','HAIER','REF TO TAHA SOHAIL',null,'9-JUL-2020','18HFCD-W-INV - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 16:15:49','2021-07-31 11:27:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8442','ARSLAN KHAN','03427434624','H NO 24 ST NO 3 BLOCK D NAVAL ANCOURAGE ISB','4','5','6441','SIGNATURE','REF TO PTCL',null,'6-DEC-2018','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 16:47:16','2021-07-29 11:56:26',null,'1',null,'0');
INSERT INTO complaints VALUES('8443','MR AAMER','03215140223','H NO 95 ST NO 27 SEC G/10-2 ISB','8','37','0','TCL','1809VLR300608A00105',null,'IN WARRANTY','55P65US - 942','FLAT PANEL TV','SCREEN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 17:01:19','2021-08-01 17:14:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8444','NAVEED HAMYOUN','03000812540','H NO 15 ST NO 114 SEC 3DUA CHOWK DHA 3 ISB','6','15','36041','LG','0',null,'13-JUN-2021','512FPS-S - 1653','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 17:03:35','2021-08-05 15:46:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8445','MOIZ BUKHARI','03365076339','H NO 62 ST NO 6 SEC G/13-3 ISB','5','35','133734','HAIER','0',null,'27-MAY-2021','120B-14876 - 906','WASHING MACHINE','START BUTTON',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 17:08:03','2021-07-31 11:31:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8446','WAQAS SB','03454001355','H NO 488 ST NO 26 BLOCK C CBR TOWN ISB','4','5','19969','SAMSUNG','REF TO PTCL(MODEL 80J544)',null,'8-MAR-2021',null,'WASHING MACHINE','ERROR DC',null,'5','COMPLAINT CLOSED',null,'customer','1','8189','74','2021-07-28 17:21:11','2021-07-29 17:25:26',null,'1',null,'0');
INSERT INTO complaints VALUES('8447','IMRAN BARLAS','03335302726','H NO 564 ST NO 24 PHASE 3 B.TOWN RWP','4','11','2452','PEL','0',null,'27-JAN-2018','18K-PINV-LIFE - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 17:24:49','2021-07-31 17:38:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8448','MR FASIULLAH','03339172379','H NO 25 ST NO 10/1 SEC B-1 BAHRIA ENCLAVE ISB','8','42','49889','KENWOOD','0',null,'10-JUN-2021','1228S-INV - 913','AIR CONDITIONER','DRAIN',null,'7',null,null,'customer','0',null,'73','2021-07-28 17:26:14','2021-08-23 13:30:04',null,'1',null,'0');
INSERT INTO complaints VALUES('8449','MEHBOOB','03008506768','HO#437 ST#40 SEC I-8/2 ISB','8','38','0','PEL','OUT OFF WARRANTY',null,'01-YEAR-AGO',null,'REFRIGERATOR','OVER COOLING',null,'5','COMPLAINT CLOSED',null,'customer','1','1754','92','2021-07-28 17:32:46','2021-08-05 14:13:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8450','MR MUBASHIR','03323784220','HO#23 BANI GALA  HILLS SO-CITY OFF PAPESI ROAD BANI GALA ISB','5','30','112040','SIGNATURE','PTCL CALL INVOICE HAY',null,'13-DEC-2019','SGG-1704G - 1029','GEYSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','3829','92','2021-07-28 17:37:35','2021-07-31 12:51:22',null,'1',null,'0');
INSERT INTO complaints VALUES('8451','AMIN SB','03340112809','H NO 41A ST NO 31 NEAR BALA TIKKA PWD O9 ISB','4','5','0','SIGNATURE','REF TO KHURRAM SB',null,'24-8-2020','SIGNATURE','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 17:41:46','2021-07-31 12:50:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8452','MUBASHIR SB','03008566612','H NO B-22-A STREET 3 P&V SCHEME 2 CHAKSHAZAD FARMS ISB','10','44','0','HAIER','2PC',null,'INWARRANTY','1.5TON','AIR CONDITIONER','ERROR E7',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-28 17:59:14','2021-08-11 13:15:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8453','rafiq bhatti sb','03165678414','H NO 340E SEC 4B KHAYABAN-E-SIRSYED RWP','9','19','210254','ORIENT','0',null,'3-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 10:41:24','2021-08-04 14:22:21',null,'1',null,'0');
INSERT INTO complaints VALUES('8454','MOHSIN','03341570556','AHSAN PHARMACY NURPUR SHAHAN BARI IMAM ISB','9','22','217334','HAIER','0',null,'26-JUL-2021','18HFPAA','AIR CONDITIONER','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 10:49:51','2021-08-01 11:17:27',null,'1',null,'0');
INSERT INTO complaints VALUES('8455','BUTT PWD','03115006051','FRIENDS HOME PWD ISB','4','7','0','ORIENT','0',null,'0','AUTO8 - 899','WASHING MACHINE','PANEL',null,'3',null,null,'customer','0',null,'73','2021-07-29 10:56:03','2021-07-29 10:56:03',null,'1',null,'0');
INSERT INTO complaints VALUES('8456','MR RIZWAN','03066668666','H NO 49 ST NO 5 SEC F/8-3 ISB','5','34','131594','SAMSUNG','0',null,'22-DEC-2016','11J5710GT - 905','WASHING MACHINE','NOT WORKING',null,'5','COMPLETED COMPLAINT',null,'customer','0',null,'73','2021-07-29 10:58:19','2021-07-31 16:21:49',null,'1',null,'0');
INSERT INTO complaints VALUES('8457','QALB I ABBAS','03215552227','H NO 353 ST NO 15 CHAKLALA SCHEME 3 RWP','8','38','48670','TCL','2102VLR301419A00080',null,'11-MAY-2021','75P8M - 881','FLAT PANEL TV','WIFI PROBLEM',null,'3',null,null,'customer','1','6517','73','2021-07-29 11:01:55','2021-07-29 11:01:55',null,'1',null,'0');
INSERT INTO complaints VALUES('8458','NASIR PARACHA','03205593501','H NO 43 ST NO 5 MAJOR ROAD 4 SEC D/12-3 ISB','5','31','108023','SIGNATURE','0',null,'30-JUL-2019','SBH-AA901G - 1122','BUILT IN APPLLIANCES','IGNITION',null,'4',null,null,'customer','0',null,'73','2021-07-29 11:04:38','2021-07-29 11:05:06',null,'1',null,'0');
INSERT INTO complaints VALUES('8459','ARSLAN KHAN','03427434624','H NO 24 ST NO 3 BLOCK D NAVAL ANCOURAGE ISB','4','5','6441','SIGNATURE','REF TO PTCL',null,'6-DEC-2018','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','8442','74','2021-07-29 11:15:12','2021-07-31 12:49:52',null,'1',null,'0');
INSERT INTO complaints VALUES('8460','BABAR SB','03018557770 , 03051517190','H NO 23 ST NO 1 SEXECUTIVE LODGES NEAR TANGA CHOWK BAHRIA 3 RWP','8','37','25261','GREE','REF TO TAHA SOHAIL',null,'10-JUN-2021','24TFH','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 11:19:51','2021-08-04 13:18:22',null,'1',null,'0');
INSERT INTO complaints VALUES('8461','CH WAQAS','03335779992','APP NO 103 BLOCK 2 SAVOY ARCADE SEC F/11 MARKAZ ISB','5','30','135974','SONY','0',null,'22-JUN-2021','55X7500H-CC','FLAT PANEL TV','SOFTWARE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 11:44:20','2021-08-03 15:33:59',null,'1',null,'0');
INSERT INTO complaints VALUES('8462','MR RASHID','03215222232, 0512305300','H NO 71 ST NO 79 SEC E/11-2 ISB','9','23','208847','BOSCH','0',null,'8-APR-2021','93VI30M-C','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 11:53:16','2021-08-01 11:39:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8463','MR HAMZA','03071000000','H NO 167 ST NO 47 SEC F/11-3 ISB','5','34','116494','LG','0',null,'19-MAY-2020','1366NEFTFS-C - 907','WASHING MACHINE','ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 11:57:31','2021-08-05 15:45:12',null,'1',null,'0');
INSERT INTO complaints VALUES('8464','SYED FARRUKH ABBAS','03005359795','H NO 80 OPP PSO PUMP ADYALA ROAD RWP','8','37','47759','DAWLANCE','15POWERCON',null,'12-APR-2021',null,'AIR CONDITIONER','ERROR E6',null,'5','COMPLAINT CLOSED',null,'customer','1','7958','73','2021-07-29 12:10:44','2021-08-04 18:03:26',null,'1',null,'0');
INSERT INTO complaints VALUES('8465','ASLAM SB','03371426654','H NO 15 ST NO 25 LANE NO 2 SEC F-1 PHASE 8 B.TOWN RWP','6','16','12375','SIGNATURE','0',null,'15-JAN-2018','SWM-JD56 - 1643','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','797','92','2021-07-29 12:12:47','2021-07-31 12:37:17',null,'1',null,'0');
INSERT INTO complaints VALUES('8466','MR IMRAN','03340546443','H NO 11 ST NO 9 WAKEEL COLONY GULZAR-E-QUAID RWP','8','40','49905','GREE','0',null,'10-JUN-2021','18FITH1C - 915','AIR CONDITIONER','DISPLAY',null,'5','COMPLAINT COMPLETED',null,'customer','0',null,'73','2021-07-29 12:33:22','2021-08-01 11:42:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8467','RANA IMRAN','03008486679','H NO 501 LANE NO 13 PHA OFFICERS RESIDENCIA PARK ROAD ISB','5','28','134391','CORONA','0',null,'7-JUN-2021','C205 - 14','COOKING RANGE','BURNERS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 12:36:29','2021-08-04 16:09:25',null,'1',null,'0');
INSERT INTO complaints VALUES('8468','HAMZA KHAN','03332897731','H NO 215 ST NO 33 SEC F/10-1 ISB','5','28','124304','SAMSUNG','FRIENDS WARRANTY CARD',null,'23-NOV-2020','32M71207F-SZ - 1468','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 12:53:04','2021-07-31 12:35:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8469','ANEES URREHMAN','03005199995','BISMILLAH GENERAL STORE NEAR UNION COUNCIL SOHAN FAIZABAD','8','38','50426','WAVES','0',null,'22-JUN-2021','313WDFT - 956','FREEZER','FAN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 12:59:03','2021-08-01 14:41:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8470','MRS MOHSIN','03215295995 , 03217309508','H NO 426 ST NO 13 PHASE 4 B.TOWN RWP','4','5','7625','ECOSTAR','REF TO PTCL',null,'11-FEB-2019','55U571 - 942','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 13:01:51','2021-08-07 15:18:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8471','HASSAN ALI','03155151556','H NO 320A LANE NO 6 NEAR ALIMARKET PESHAWAR ROAD RWP','6','15','37273','GREE','0',null,'26-JUL-2021','12FITH6S','AIR CONDITIONER','INDOOR',null,'5','CLOSED',null,'customer','0',null,'73','2021-07-29 13:04:54','2021-08-01 10:21:25',null,'1',null,'0');
INSERT INTO complaints VALUES('8472','HASSAN KHAN','03348354554 , 03439441303','H NO 83 ST NO 2A MEDIA TOWN BLOCK B ISB','8','43','43178','DAWLANCE','0',null,'24-OCT-2020','91996GD-INV-IOT-BK - 885','REFRIGERATOR','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 13:10:07','2021-08-01 11:45:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8473','MR ABBAS','03373122489','H NO D5/5 NAVAL COMPLEX SEC E8 ISB','5','31','130726','BOSCH','MODAL#75VI20M-C',null,'23-MAR-2021',null,'REFRIGERATOR','COOLING AND DOOR',null,'3',null,null,'customer','1','7392','92','2021-07-29 13:17:33','2021-07-29 13:17:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8474','QASIM RAZA','03360019909','H NO 446 ST NO 1 SEC I-9-1 ISB','9','23','174849','SHARP','REF TO COMPLAINT FOLLOWUP',null,'8-JUL-2019','18HCP-INV - 915','AIR CONDITIONER','FAN OUTDOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 14:14:22','2021-08-01 14:35:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8475','ABDUL SB','03125079619','OPP ST NO 32 PEOPLES COLONY TENCH BHATTA  RWP CANTT','9','24','196659','CARAVELL','0',null,'24-SEP-2020','1600MEC - 2013','CHILLER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 14:19:54','2021-08-05 14:47:07',null,'1',null,'0');
INSERT INTO complaints VALUES('8476','CH HAMMAD','03215670001','H NO 16 ST NO 7-A GULSHAN-E-KHUDADAD PHASE 5 NEAR GOLRA MOR ISB','9','23','194411','HAIER','0',null,'10-AUG-2020','368IDRT - 860','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 14:20:54','2021-08-04 14:42:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8477','MAJ ABID','03359416007','DHA KARACHI OFFICE UPPER FLOOR SEC E COMMERCIAL DHA 1 RWP','8','39','51605','GREE','0',null,'24-JUL-2021','18PITH2W','AIR CONDITIONER','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 14:23:30','2021-07-31 12:34:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8478','M JAMIL','03357233337 , 03365986676','H NO 21 ST NO 25 SEC A DHA 2 ISB','8','39','51624','HAIER','0',null,'24-JUL-2021','120B-14876 - 906','WASHING MACHINE','SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 14:53:48','2021-08-01 11:13:52',null,'1',null,'0');
INSERT INTO complaints VALUES('8479','FARHAN SB','03361616796','H NO 781 ST NO 35 PHASE 5 B.TOWN RWP','9','21','215466','LG','0',null,'4-JUL-2021','4V5RGP2T-S - 899','WASHING MACHINE','SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 15:15:34','2021-08-03 13:50:55',null,'1',null,'0');
INSERT INTO complaints VALUES('8480','MR JAHANZEB','03347027129','H NO 43 ST NO 17 BAHRIA SPRINGS NORTH PHASE 7 B.TOWN RWP','6','16','31692','MITSUBISHI','0',null,'6-DEC-2020','50VA - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 15:18:15','2021-07-31 12:33:56',null,'1',null,'0');
INSERT INTO complaints VALUES('8481','ASIM KIYANI','03315215350','H NO 3 NEAR BRIGHT HALL SCHOOL NEW MALPUR 6TH ROAD RWP','5','33','135280','MITSUBISHI','0',null,'14-JUN-2021','50VA - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 15:24:39','2021-08-01 11:24:47',null,'1',null,'0');
INSERT INTO complaints VALUES('8482','KHALID AYUB','03315355044 , 03335507948','PLOT NO 26-27 27A ZOHAIB ARCADE GHOURI TOWN PHASE 5A ISB','9','23','217436','GREE','REF TO TAHIR BEST COOL',null,'28-JUL-2021','24FW - 916','AIR CONDITIONER','DISPLAY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-29 16:26:51','2021-08-03 12:43:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8483','RAJA ADEEL','03455558333','LAKHWAL VILLAGE NEAR BANNI GALA ISB','9','20','215533','ORIENT','0',null,'5-JUL-2021','24G-PREMIER-SW - 917','AIR CONDITIONER','COOLING',null,'3',null,null,'customer','1','8112','74','2021-07-29 16:46:58','2021-07-29 16:46:58',null,'1',null,'0');
INSERT INTO complaints VALUES('8484','MALIK ABAID','+9203215511255','H 3 ST 44 SEC H DHA 2','5','30','123456','KENWOOD',null,'2021-07-29',null,'1214HC-INVERTER - 913','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-29 17:58:30','2021-07-30 13:11:54',null,'1',null,'0');
INSERT INTO complaints VALUES('8485','JAVAID SAB SHOWROOM','03329771779','FRIEND CORPORATION GUL NOOR MARKET RWP','9','19','0','HAIER','MODAL#39ADRA',null,'0',null,'REFRIGERATOR','COOLING ISSUE',null,'3',null,null,'customer','0',null,'92','2021-07-29 18:37:09','2021-07-29 18:37:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8486','MEHROSH','03437142161','H NO 790 ST NO 36 PHASE 5 B.TOWN RWP','4','5','22949','ORIENT','12G-ELEGANT',null,'24-JUL-2021',null,'AIR CONDITIONER','OUTDOOR',null,'5','COMPLAINT CLOSED',null,'customer','1','8268','74','2021-07-30 12:10:33','2021-07-31 11:06:56',null,'1',null,'0');
INSERT INTO complaints VALUES('8487','WAQAS','03145050509','HO#06 ST#01 BLOCK C SAWA GARDEN ISB','4','7','1256','LG','0',null,'15-OCT-2017','542HLCL-C - 896','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-30 12:13:56','2021-08-03 13:49:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8488','YASEEN  GUL','03332333326','HO#38 ST#23 SEC 1 AIR PORT HOUSING SO CITY R.W.P','9','19','217481','SIGNATURE','FF TO SAQIB FCP(HOB MODEL HC-5871S)',null,'29-JULY-2020',null,'BUILT IN APPLLIANCES','BUNNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-30 12:34:19','2021-08-03 13:43:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8489','M SHAHZAIB','03335466534','HO#NE1736 ST#08 MOHALLAH DHOK CHUDARIYA  FAROOZ KHAN R.W.P','9','23','217488','HAIER','0',null,'29-JULY-2021','306EPC - 859','REFRIGERATOR','GASS KIT +COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-30 12:47:11','2021-08-02 12:52:25',null,'1',null,'0');
INSERT INTO complaints VALUES('8490','MUNIZAE JAHANGIR','03005423398','HO#05 ST#74 G 6/4 ISB','5','31','81914','PEL','2 TON(24K-PINV-ECO)',null,'27-FEB-2017',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-30 13:04:30','2021-08-03 11:34:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8491','TARIQ FCI','03005566006','FRIENDS CORPORATION BULE AREA ISB','5','31','129846','CARAVELL','CANNON W/D 204B',null,'01-MAR-2021',null,'WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-30 13:12:06','2021-08-03 15:47:03',null,'1',null,'0');
INSERT INTO complaints VALUES('8492','MOIZ','03005009608','HO#189 ST#59 E 11/3 ISB','5','28','0','SIGNATURE','FF TO KHURRAM GOOGLE(ON PAYMENT JOB) SIGNATURE W/D KI B COMPLAINT HAIN',null,'0',null,'FREEZER','NOT WORKING',null,'8',null,null,'customer','0',null,'74','2021-07-30 13:15:45','2021-07-31 16:15:04',null,'1',null,'0');
INSERT INTO complaints VALUES('8493','WASEEM SAB','03348111881','HO#551 ST#10/1 O-9 POLICE FOUNDASTION NEAR BALA TIKKA PWD R.W.P','6','12','28836','HOMAGE','0',null,'05-AUG-2020','87HWD - 993','WATER DISPENSER','CENTER TAB LEAKAGE PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-30 13:37:14','2021-08-04 14:52:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8494','SYED AQEEDAT  BATOOL','03335195490','LIAQUAT COLONY LANE#03 USMAN MASJID CHAKRI ROAD R.W.P','9','20','127471','SIGNATURE','0',null,'02-FEB-2017','SWM-SR50 - 905','WASHING MACHINE','SOUND PROB',null,'7',null,null,'customer','0',null,'74','2021-07-30 13:42:46','2021-08-23 12:02:23',null,'1',null,'0');
INSERT INTO complaints VALUES('8495','ZAKIR','03175017777','OLYMPIC MALL SECOUND CUP GLORIA JENS F 11 MARKAZ ISB','8','39','51380','KENWOOD','FLOOR STANDING(2443FH-INV)',null,'17-JULY-2021',null,'AIR CONDITIONER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-30 13:53:21','2021-08-03 12:01:24',null,'1',null,'0');
INSERT INTO complaints VALUES('8496','FAISAL','03340000505','HO#476 ST#22 F 15/1 ISB','9','22','173545','HAIER','F TO KHURRAM GOOGLE',null,'22-JUNE-2019','276EBS - 858','REFRIGERATOR','DOOR PROB',null,'3',null,null,'customer','0',null,'74','2021-07-30 14:27:12','2021-07-30 14:27:12',null,'1',null,'0');
INSERT INTO complaints VALUES('8497','HAMMAD ZAFAR BAJWA','03008540847','HO#125 ST#11 SEC B PHASE 08 B TOWN','9','20','51790','ORIENT','18GROYAL-CW(FF TO TAHIR B.COOL)',null,'29-JULY-2021',null,'AIR CONDITIONER','REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-30 15:28:46','2021-08-02 13:32:59',null,'1',null,'0');
INSERT INTO complaints VALUES('8498','AIMA GHILLANI','03081909619','HO#105 ST#04 PHASE 03 B.TOWN','6','14','21736','ORIENT','0',null,'25-AUG-2020','CRYSTAL-RD-BLK - 993','WATER DISPENSER','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-30 15:42:53','2021-08-03 12:58:55',null,'1',null,'0');
INSERT INTO complaints VALUES('8499','SHERAZ ABBAS','03325293968','HO#DK13 DATA GANJ BAKHSH DHOK KASHMIRIAN  R.W.P','8','37','49311','ECOSTAR','FF TO SAQLAIN FHHS',null,'30-MAY-2021','300F - 993','WATER DISPENSER','COOLING PROB',null,'3',null,null,'customer','0',null,'74','2021-07-30 16:01:36','2021-07-30 16:04:10',null,'1',null,'0');
INSERT INTO complaints VALUES('8500','ZIA UR REHMAN LODHI','03215009500','HO#1092 GALI#95 I 10/1 ISB','5','53','137913','HAIER','0',null,'24-JULY-2021','368IDB - 860','REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-30 16:33:41','2021-08-02 12:23:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8501','FARHAD','03008505897','CENTRAL SECRETARIAT ISB','6','12','36183','TCL','2103VLR301478A01411',null,'17-JUNE-2021','32D310 - 936','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-30 16:37:23','2021-08-11 12:07:59',null,'1',null,'0');
INSERT INTO complaints VALUES('8502','MISS SAIMA RAUF','03345554419','HO#395 ST#64 SEC I 8/ 3 ISB','5','34','109206','FIVE STAR','0',null,'06-SEP-2019','10000C-FS - 1965','COOKING RANGE','BUNNER PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-30 16:52:31','2021-08-02 12:15:57',null,'1',null,'0');
INSERT INTO complaints VALUES('8503','AKBAR BANGASH','03349122685','HO#153M ST#62 SEC I 14-/3 ISB','8','42','44020','ORIENT','32HD-ACTION',null,'02-DEC-2020',null,'FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-07-30 17:17:31','2021-08-09 14:36:17',null,'1',null,'0');
INSERT INTO complaints VALUES('8504','MR BABER','03335084361','H NO 2B ROAD 1 SEC C1 BAHRIA ENCLAVE ISB','5','36','104007','SIGNATURE','0',null,'23-APR-2019','SBH-AA901G - 1122','BUILT IN APPLLIANCES','IGNITION',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 11:13:18','2021-08-04 14:24:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8505','IBRAHIM SB','03207777755','H NO 28 ST NO 7 SEC G DHA 2 ISB','9','19','216812','PANASONIC','REF TO SAQIB FCP',null,'18-JUL-2021','24WKF','AIR CONDITIONER','ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 11:15:50','2021-08-05 17:36:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8506','MR FAYAZ','03005122074 , 0519022460','PARLAIMENT HOUSE ISB','5','29','117826','ORIENT','0',null,'17-JUN-2020','18G-VENUS-BW - 915','AIR CONDITIONER','INDOOR',null,'3',null,null,'customer','0',null,'73','2021-07-31 11:18:45','2021-07-31 11:18:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8507','MR ASIF','03315325766','H NO CB4285 NEAR JAMIA MASJID SIDDIQUE E EAKBAR MISRIYAL ROAD RWP','9','23','212690','GREE','0',null,'8-JUN-2021','7680DG','REFRIGERATOR','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 11:35:37','2021-08-03 14:10:07',null,'1',null,'0');
INSERT INTO complaints VALUES('8508','NOMAN','03321452033','PLAZA NO 16 KANDILADO COMMERCIAL PHASE 7 B.TOWN RWP','5','33','133393','HAIER','0',null,'22-MAY-2021','18HFCF-W-INV - 915','AIR CONDITIONER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-07-31 11:39:16','2021-07-31 11:39:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8509','NAVEED FCP','03315420488','FRIENDS GULNOOR MARKET RWP','9','19','0','HAIER','0',null,'0','285SD - 956','FREEZER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 11:46:22','2021-08-05 15:33:17',null,'1',null,'0');
INSERT INTO complaints VALUES('8510','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','DAWLANCE','REF TO IQBAL FCI',null,'0','9144FPR - 857','REFRIGERATOR','DOOR',null,'3',null,null,'customer','0',null,'73','2021-07-31 11:48:08','2021-07-31 11:48:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8511','KASHIF NOOR','03335241446','H NO 29 ST NO 12 SEC F/6-3 ISB','8','42','46696','PANASONIC','0',null,'28-FEB-2021','18WKF-9','AIR CONDITIONER','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 11:56:27','2021-08-04 13:39:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8512','QAISER HUSSAIN','03315293138','H NO 502 ST NO 78 SEC G/8-1 ISB','5','28','124213','HOMAGE','REF TO ABU BAKAR',null,'20-NOV-2020','1020S - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 12:01:51','2021-08-03 16:05:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8513','SHAZAIB','03350765745','H NO 1209 ST NO 5 OVERSEAS SEC 6 PHASE 8 B.TOWN RWP','6','16','20715','HAIER','0',null,'5-MAY-2019','438TDC - 896','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 12:05:26','2021-08-04 14:55:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8514','MAHMOOD MUGHAL','03335461117','H NO 190 DOCTORS TOWN PWD ISB','8','38','30557','LG','REF TO PTCL',null,'19-NOV-2019','7566NEFPF-S - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 12:08:07','2021-08-07 14:32:24',null,'1',null,'0');
INSERT INTO complaints VALUES('8515','ASIM MEHMOOD','03335105631','SHOP NO 4 PAK CROCKERY MARKET RAJA BAZAR RWP','9','23','207079','SUPER ASIA','REF TO PTCL',null,'9-MAR-2019','4500ECM - 1577','AIR COOLER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 12:10:54','2021-08-03 16:46:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8516','ALI AHMED','03336906334','APP NO 202 FARAN 101 PHASE 4 CIVIC CENTRE B.TOWN RWP','6','16','24995','TCL','1901VLR300733A01383',null,'16-DEC-2019','32D3000A - 936','FLAT PANEL TV','SCREEN',null,'3',null,null,'customer','0',null,'73','2021-07-31 12:21:51','2021-07-31 12:21:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8517','MR JAHANZEB','03347027129','H NO 43 ST NO 17 BAHRIA SPRINGS NORTH PHASE 7 B.TOWN RWP','6','16','31692','MITSUBISHI','0',null,'6-DEC-2020','50VA - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','1','8480','74','2021-07-31 12:31:58','2021-08-02 12:44:58',null,'1',null,'0');
INSERT INTO complaints VALUES('8518','OMER SB','03215000904 , 03215000905','E7 ISB','10','44','0','BOSCH','C/O UMER SB',null,'0','HOBS','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 12:33:27','2021-08-03 13:34:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8519','ASLAM SB','03371426654','H NO 15 ST NO 25 LANE NO 2 SEC F-1 PHASE 8 B.TOWN RWP','6','16','12375','SIGNATURE','0',null,'15-JAN-2018','SWM-JD56 - 1643','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','8465','74','2021-07-31 12:35:46','2021-08-01 15:38:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8520','ASGHAR SB','03215244784','H NO 675 ST NO 5 CHAKLALA SCHEME3  RWP','9','22','212728','DAWLANCE','0',null,'7-JUN-2021','91999AVANTE+EG','REFRIGERATOR','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 12:39:19','2021-08-04 13:26:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8521','ARSLAN KHAN','03427434624','H NO 24 ST NO 3 BLOCK D NAVAL ANCOURAGE ISB','4','5','6441','SIGNATURE','REF TO PTCL',null,'6-DEC-2018','SWM-JD51 - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','8459','74','2021-07-31 12:40:43','2021-08-01 15:37:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8522','M USMAN','03333967908','H NO D112 NEW CITY PHASE 2 WAAH CANTT','5','31','132648','BOSCH','0',null,'4-MAY-2021','75VI20M-C','REFRIGERATOR','COOLING',null,'3',null,null,'customer','0',null,'73','2021-07-31 12:44:37','2021-07-31 12:44:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8523','SALEEM QURESHI','03217080808','ST NO 14 CORNER HOUSE  MARGALLA TOWN PHASE 1  ISB','5','28','137319','HAIER','0',null,'13-JUL-2021','306IDBA','REFRIGERATOR','PANEL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 12:47:34','2021-08-04 14:32:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8524','MR SALMAN','03405693049','ISB','5','28','124702','LG','REF TO ABU BAKAR FCI',null,'29-NOV-2020','8265DIS-S - 987','MICROWAVE OVEN','HEATING',null,'8',null,null,'customer','0',null,'73','2021-07-31 12:48:23','2021-08-20 16:25:25',null,'1',null,'0');
INSERT INTO complaints VALUES('8525','SAIMA RAUF','03315554419','H NO 395 ST NO 64 SEC I/8-3 ISB','5','36','109206','FIVE STAR','REF TO CHAT SERVICES',null,'6-SEP-2019','10000C-FS - 1965','COOKING RANGE','BURNER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6443','73','2021-07-31 13:02:55','2021-08-03 13:38:15',null,'1',null,'0');
INSERT INTO complaints VALUES('8526','BASIT ABBASI','03355801116','H NO DD200/1 ABBASI STREET SHAMSABAD RWP','8','39','51201','DAWLANCE','0',null,'13-JUL-2021','91999AVANTE-NB','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 13:22:18','2021-08-04 14:12:39',null,'1',null,'0');
INSERT INTO complaints VALUES('8527','FAISAL MOEEN','03160566138','H NO 30 ST NO 2 PHASE 1 B.TOWN RWP','4','11','16472','KENWOOD','0',null,'27-SEP-2020','2436S-INV','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 13:28:52','2021-08-01 15:36:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8528','RAFAY AYUB','03499882287','H NO 7 ST NO 25 SEC F/8-2 ISB','5','35','133934','SONY','0',null,'31-MAY-2021','75X8000H-CC','FLAT PANEL TV','PANEL DOTS',null,'8',null,null,'customer','0',null,'73','2021-07-31 13:56:47','2021-08-21 14:20:10',null,'1',null,'0');
INSERT INTO complaints VALUES('8529','ABDUL JABBAR','03345099198','H NO 672 ST NO 2 SEC I/9-1 ISB','9','20','167907','SAMSUNG','REF TO SAQLAIN FHHS',null,'24-MAR-2019','80J4260-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 14:07:14','2021-08-01 15:35:38',null,'1',null,'0');
INSERT INTO complaints VALUES('8530','MRS HASSAN','03365936586','H NO 1403C ST NO 9/1 BLOCK D NPF ISB','4','8','22606','DAWLANCE','0',null,'11-JUL-2021','91996GD-INV-BDY - 885','REFRIGERATOR','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 14:09:47','2021-08-03 13:29:25',null,'1',null,'0');
INSERT INTO complaints VALUES('8531','RIMSHA','03463328800','H NO 1413 ST NO 34 SEC G/11-2 ISB','5','35','125404','ORIENT','475HGRAND-HS',null,'3-DEC-2020',null,'REFRIGERATOR','DOOR PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7578','73','2021-07-31 14:35:07','2021-08-07 14:47:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8532','USMAN BUTT','03219454980','MAIN BOLYWARD ECHS H NO K24-K25 SEC D18 ISB','9','51','216341','TCL','2102VLR301419A00016',null,'14-JUL-2021','75P715','FLAT PANEL TV','SOUND',null,'3',null,null,'customer','0',null,'73','2021-07-31 14:45:54','2021-07-31 14:45:54',null,'1',null,'0');
INSERT INTO complaints VALUES('8533','IMRAN SB','03315102934','H NO 265 GALI 2 NEAR TANDOORI HOTEL SEC G/8-2 ISB','4','5','21879','ORIENT','REF TO NAFEES PWD',null,'11-JUN-2021','24G-ORBIT','AIR CONDITIONER','SOUND',null,'5','COMPLAINT CLOSED DUE TO NUMBER POWERD OFF',null,'customer','0',null,'73','2021-07-31 15:05:06','2021-08-04 12:57:38',null,'1',null,'0');
INSERT INTO complaints VALUES('8534','AKHTER SB','03008442861','BANO MUKHTAR MOTORWAY CHOWK 26 CHONGI ISB','9','21','212203','HAIER','0',null,'1-JUN-2021','24LTC - 916','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 15:09:06','2021-08-03 11:01:44',null,'1',null,'0');
INSERT INTO complaints VALUES('8535','MR RAZA','03215114666','H NO 552 ST NO 49 SEC I/8-2 ISB','5','34','105667','ORIENT','0',null,'10-JUN-2019','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 15:16:09','2021-08-10 14:09:22',null,'1',null,'0');
INSERT INTO complaints VALUES('8536','MUSTAJAB HAIDER','03213315566','H NO 80 ST NO 6 GULSHANEKHUDAD SEC E/11-1 ISB','8','38','46606','FIVE STAR','MAX RANGE',null,'23-FEB-2021','500MC','COOKING RANGE','NOBS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 15:30:52','2021-08-05 15:44:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8537','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','GREE','REF TO IQBAL FCI',null,'0','9978EG-CB1 - 885','REFRIGERATOR','COOLING',null,'3',null,null,'customer','0',null,'73','2021-07-31 15:32:48','2021-07-31 15:32:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8538','MISS BUSHRA','03205993339 , 03445464205','H NO 24A PARK ROAD SEC F/8-2 ISB','5','36','124687','SAMSUNG','REF TO PTCL',null,'29-NOV-2020','51K5680SL-S - 908','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','1','7994','73','2021-07-31 15:35:52','2021-08-05 15:44:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8539','JIBRAN FCI','03355046059','FRIEND CORPORATION BLUE AREA','5','35','137455','GREE','02 UNIT KI COMPLAINT HAY SAME MODAL CUSTOMER KO UNIT REPLACE KAR DEYA HAY OR AB VISIT SHOWROOM PAR KARWANA HAY',null,'15-JUL-2021','9978EG-CW3 - 885','REFRIGERATOR','COOLING',null,'3',null,null,'customer','1','8163','92','2021-07-31 16:24:01','2021-07-31 16:24:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8540','MRS RASHID','03357904265','H NO 1104 ST NO 21 BLOCK I BAHRIA PHASE 8 RWP','6','12','16067','LG','0',null,'21-AUG-2018','65UK6100-S - 1443','FLAT PANEL TV','SCREEN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 16:33:40','2021-08-10 14:23:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8541','DAWOOD SB','03351103383','H NO 137 ST NO 8 PHASE 2 PAKISTAN TOWN ISB','4','11','23027','ORIENT','0',null,'28-JUL-2021','18G-ROYAL-CW - 915','AIR CONDITIONER','WIFI',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 16:36:03','2021-08-04 12:51:38',null,'1',null,'0');
INSERT INTO complaints VALUES('8542','MR AMIR','03005063086 , 03405410038','H NO 1534 ST NO 72 SEC F DHA1 RWP','6','15','33931','VARIOLINE','0',null,'25-MAR-2021','20STRL-WHT - 993','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-07-31 16:52:41','2021-08-04 12:26:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8543','SALMAN AHMED','03012528277 , 03345528240','H NO 37 ST NO 68 JINNAH GARDEN PHASE 1 ISB','9','26','192279','HAIER','0',null,'7-JUL-2021','405HDF-INV - 958','FREEZER','DOOR',null,'5','complaint closed',null,'customer','0',null,'73','2021-07-31 17:54:10','2021-07-31 17:58:17',null,'1',null,'0');
INSERT INTO complaints VALUES('8544','HASSAN ALI','03155151556','H NO 320A LANE NO 6 NEAR ALIMARKET PESHAWAR ROAD RWP','6','15','37273','GREE','12FITH6S',null,'26-JUL-2021',null,'AIR CONDITIONER','INDOOR',null,'5','COMPLAINT CLOSED',null,'customer','1','8471','73','2021-08-01 10:22:15','2021-08-02 11:21:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8545','ABDUL WAHAB','03325461478','H NO 751 ST NO 83 SEC I/8-3 ISB','5','34','132219','GREE','0',null,'28-APR-2021','18PITH2W','AIR CONDITIONER','H3 ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-01 10:25:58','2021-08-03 12:15:28',null,'1',null,'0');
INSERT INTO complaints VALUES('8546','MRS KIYANI','03005059477','H NO 814/C ST NO 51 SEC E/11-4 ISB','5','33','134487','CANON','0',null,'7-JUN-2021','U1-PLUS','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-01 10:28:04','2021-08-20 16:46:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8547','HASNAIN SB','03365365223','VILLAGE MAMYAM POSTOFFICE  BAGH JAMIRI TEHSIL KALAR SYEDAN DIS RWP','9','19','217319','HAIER','REF TO SAQIB FCP',null,'26-JUL-2021','48H03 - 1820','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-01 10:32:50','2021-08-03 12:06:15',null,'1',null,'0');
INSERT INTO complaints VALUES('8548','MURATZA SB','03335295346','H NO 27 LANE NO 2 ST NO 2 KHAYABAN-E-TANVIR SCHEME 3 RWP','6','12','23774','ORIENT','REF TO CHAT SERVICES',null,'3-JUN-2021','FALRE3','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-01 10:58:59','2021-08-03 12:04:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8549','TARIQ MALIK','03335104824 , 03455511100','H NO 717 ST NO 8 SEC G/9-3 ISB','5','34','137757','SIGNATURE','REF TO CHAT SERVICES',null,'19-JUL-2021','MD99SS-S - 1723','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-01 11:00:54','2021-08-03 15:32:58',null,'1',null,'0');
INSERT INTO complaints VALUES('8550','DR TOQEER','03345291223','H NO 842 ST NO 85 SEC I/8-4 ISB','5','34','132996','LG','REF TO PTCL',null,'7-MAY-2021','247CADC','REFRIGERATOR','COOLING',null,'8',null,null,'customer','0',null,'73','2021-08-01 11:03:34','2021-08-21 12:17:49',null,'1',null,'0');
INSERT INTO complaints VALUES('8551','MR KHALID','03363081581 , 03359379379','H NO 11B ST NO 30 SEC F/8-1 ISB','5','34','122762','SIGNATURE','C585',null,'10-OCT-2020',null,'COOKING RANGE','NOB PROBLEM',null,'3',null,null,'customer','1','7982','73','2021-08-01 11:12:10','2021-08-01 11:12:10',null,'1',null,'0');
INSERT INTO complaints VALUES('8552','MUHAMMAD MASOOD KHAN','03335305408 , 03315654477','H NO 382 SEC A ST NO 14 B.TOWN PHASE 8 B.TOWN RWP','6','12','34895','ORIENT','REF TO ZAHID PWD',null,'4-MAY-2021','18G-HYPER-SW - 915','AIR CONDITIONER','FLAPPERS',null,'5','COMPLAINT CLOSED',null,'customer','1','7720','73','2021-08-01 11:45:11','2021-08-05 13:07:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8553','BUTT PWD','03115006051','FRIENDS HOME PWD ISB``','4','7','0','SIGNATURE','0',null,'0','FS25S','BUILT IN APPLLIANCES','DAMAGED',null,'4',null,null,'customer','0',null,'73','2021-08-01 12:01:37','2021-08-01 12:07:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8554','BUTT PWD','03115006051','FRIENDS HOME PWD ISB','4','7','0','SIGNATURE','0',null,'0','25BG - 1731','BUILT IN APPLLIANCES','DAMAGED',null,'4',null,null,'customer','0',null,'73','2021-08-01 12:02:24','2021-08-01 12:07:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8555','BUTT PWD','03115006051','FRIENDS HOME PWD ISB','4','7','0','SIGNATURE','0',null,'0','SBC-MELBURNE-90PLUS - 1123','BUILT IN APPLLIANCES','DAMAGED',null,'4',null,null,'customer','0',null,'73','2021-08-01 12:03:13','2021-08-01 12:06:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8556','BUTT PWD','03115006051','FRIENDS HOME PWD ISB','4','7','0','SIGNATURE','0',null,'0','SBC-SYDNEY-90 - 1123','BUILT IN APPLLIANCES','DAMAGED',null,'4',null,null,'customer','0',null,'73','2021-08-01 12:04:16','2021-08-01 12:06:44',null,'1',null,'0');
INSERT INTO complaints VALUES('8557','BUTT PWD','03115006051','FRIENDS HOME PWD ISB','4','7','0','SIGNATURE','0',null,'0','MD99SS-S - 1723','REFRIGERATOR','COOLING',null,'4',null,null,'customer','0',null,'73','2021-08-01 12:04:59','2021-08-01 12:06:35',null,'1',null,'0');
INSERT INTO complaints VALUES('8558','BUTT PWD','03115006051','FRIENDS HOME PWD ISB','4','7','0','SIGNATURE','0',null,'0','SWD-HD20-GD - 994','WATER DISPENSER','DAMAGED NOT WORKING',null,'4',null,null,'customer','0',null,'73','2021-08-01 12:07:13','2021-08-01 12:07:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8559','AWAIS','03155507045','ST NO 3 CHISHTIABAD NEAR GULZAR HOTEL PINDORA RWP','9','21','211414','WAVES','0',null,'25-MAY-2021','315WDF-SS','FREEZER','COOLING',null,'5','COMPLAINT  CLOSED',null,'customer','0',null,'73','2021-08-01 12:12:07','2021-08-04 15:50:10',null,'1',null,'0');
INSERT INTO complaints VALUES('8560','NOMAN RAFIQ','03215564722','H NO 62 ST NO 12 KOANG TOWN ISB','4','5','762','SIGNATURE','0',null,'15-OCT-2017','SBC-DARWIN-60BL - 1123','BUILT IN APPLLIANCES','BUTTON S',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-01 12:26:04','2021-08-10 14:24:15',null,'1',null,'0');
INSERT INTO complaints VALUES('8561','NOMAN RAFIQ','03215564722','H NO 62 ST NO 12 KORANG TOWN ISB','4','5','762','CANON','REF TO KAMRAN PWD',null,'15-OCT-2017','U3-B - 1123','BUILT IN APPLLIANCES','PANEL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-01 12:27:55','2021-08-04 12:21:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8562',null,null,null,'6',null,null,'LG','0000',null,null,'257SLLV-S - 909','REFRIGERATOR','POWER SWITCH DAMAGE...',null,'4',null,null,'showroom','0',null,'93','2021-08-01 12:40:09','2021-08-01 12:45:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8563','hakim sb','03005141012','H NO 26 ST NO 29 KORANG TOWN ISB','4','5','3573','SAMSUNG','0DA14DBH400112T',null,'10-MAY-2018','81K7010-MRM - 903','REFRIGERATOR','COOLING',null,'7',null,null,'customer','0',null,'73','2021-08-01 12:56:34','2021-08-03 18:19:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8564','HAMMAD SHAHID','03335180526','H NO 301 ST NO 8 BLOCK B CBR TOWN ISB','4','8','9397','SIGNATURE','0',null,'16-JUN-2019','SBC-DUBBO90 - 1123','BUILT IN APPLLIANCES','FAN MOTOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-01 13:08:53','2021-08-02 15:58:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8565','TAHIR MUSTAFA','03065307807, 03335245315','HNO 19 LANE NO 8 SEC H DHA 2 ISB','9','24','145675','SIGNATURE','REF TO PTCL',null,'7-JAN-2018','SWM-SR40 - 1548','WASHING MACHINE','ERROR E0',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-01 13:19:45','2021-08-03 13:37:27',null,'1',null,'0');
INSERT INTO complaints VALUES('8566','SHAKEEL SB','03239888888','SHAKEEL CORPORATION SHAMSABAD MURREE ROPAD RWP','8','38','48982','HAIER','REF TO TAHIR B.COOL',null,'24-MAY-2021','48C03 - 920','AIR CONDITIONER','DRAIN',null,'5','complaint completeed',null,'customer','1','7898','73','2021-08-01 13:48:14','2021-08-05 10:58:26',null,'1',null,'0');
INSERT INTO complaints VALUES('8567','YASIR SB','03025299992','H NO 298 ST NO 18 BLOCK D MEDIA TOWN ISB','9','26','216731','WAVES','0',null,'18-JUL-2021','315WDFT-SS - 958','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-01 14:14:04','2021-08-04 12:14:46',null,'1',null,'0');
INSERT INTO complaints VALUES('8568','MUHAMMAD ABDUL ALI','03125656072 , 03335334486','H NO 917 ST NO 41 BLOCK B SEC B-17 ISB','8','38','42401','HAIER','REF TO PTCL',null,'13-SEP-2020','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-01 14:36:47','2021-08-04 12:12:28',null,'1',null,'0');
INSERT INTO complaints VALUES('8569','MISS SHAMEEM','03315107610','H NO 35 LANE NO 4  PHSE 6 B.TOWN RWP','4','5','0','DAWLANCE','REF TO KHURRAM SB',null,'2019','C/O SADDIQ SB','WASHING MACHINE','DRYER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-01 15:16:29','2021-08-12 16:15:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8570','FAISAL MOEEN','03160566138','H NO 30 ST NO 2 PHASE 1 B.TOWN RWP','4','11','16472','KENWOOD','0',null,'27-SEP-2020',null,'AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','1','8527','73','2021-08-01 15:25:31','2021-08-08 16:09:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8571','ABDUL RAZAQ','03104808001','H NO 348 ST NO 17 SEC 2 AIRPORT HOUSING SOCIETY RWP','4','8','22078','HAIER','0',null,'19-JUN-2021','90-1789HWM - 901','WASHING MACHINE','PROGRAMMING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-01 16:10:12','2021-08-04 11:59:57',null,'1',null,'0');
INSERT INTO complaints VALUES('8572','HASNAIN','03008357024','H NO 468 ST NO 1 AFSHAN COLONY NEAR ZIARAT RANGE ROAD RWP CANTT','7','49','24240','ORIENT','REF TO PTCL',null,'29-JUL-2021','CRYSTAL3-SR','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-01 16:36:44','2021-08-08 16:10:15',null,'1',null,'0');
INSERT INTO complaints VALUES('8573','AZEEM SB','03315420488','FRIENDS GULNOOR MARKET RWP','9','19','0','HAIER','REF TO AZEEM SB',null,'0','120-1678HWM - 906','WASHING MACHINE','DAMAGED',null,'3',null,null,'customer','0',null,'73','2021-08-01 16:55:51','2021-08-01 16:55:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8574','AYAZ AMIR','03208001411','H NO 14 ST NO 169 SEC G/13-3 ISB','8','37','51826','SAMSUNG','0',null,'31-JUL-2021','55TU7000','FLAT PANEL TV','INTERNET',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-01 17:45:16','2021-08-05 14:43:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8575','IMRAN FCP','03005331105','FRIENDS GULNOOR MARKET RWP','8','37','0','SONY','0',null,'0','49X7500H','FLAT PANEL TV','PANEL LINE',null,'8',null,null,'customer','0',null,'73','2021-08-01 17:56:54','2021-08-05 14:40:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8576','mr azeem','03315431151','H NO 9 ST 45 KORANG TOWN ISB','4','8','14256','SIGNATURE','0',null,'31-MAY-2020','22AC','MICROWAVE OVEN','RODS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 10:26:36','2021-08-17 12:35:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8577','MR AMJAD','03055059977','H NO 160 ST NO 58 SEC F/11-4 ISB','5','33','137547','SAMSUNG','0',null,'16-JUL-2021','17J6730SG-S','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 10:30:52','2021-08-17 12:34:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8578','IJAZ AHMED','03009893024','H NO 44 ST NO 2 LANE NO 2 CHAKALALA SCHEME 1 RWP','9','19','104800','SIEMENS','REF TO SAQLIAN FHHS',null,'2-SEP-2015','46NV120 - 884','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 10:36:15','2021-08-05 11:08:47',null,'1',null,'0');
INSERT INTO complaints VALUES('8579','FARHAN SB','03215613771','H NO 14 ST NO 7 BLOCK C SOAN GARDEN ISB','8','37','49637','GREE','0',null,'7-JUN-2021','18FITH1S - 915','AIR CONDITIONER','AMPERE',null,'5','COMPLAINT CLOSED',null,'customer','1','8030','73','2021-08-02 10:40:11','2021-08-07 16:33:26',null,'1',null,'0');
INSERT INTO complaints VALUES('8580','KHAWAJA ZEESHAN','03009404656','FLAT NO 16 NEAR NATIONALBANK MURREE BREWARY FACTORY RWP CANTT','8','43','0','SIGNATURE','C/O BIN BAKAR LAHORE (BILAL MANZOOR)',null,'IN WARRANTY','SFR-MD50-W - 1899','REFRIGERATOR','DEAD',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 10:48:38','2021-08-03 13:36:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8581','AZEEM SB','03315420488','FRIENDS GULNOOR MARKET RWP','9','19','0','XTREME','REF TO AZEEM SB',null,'0','793X','BUILT IN APPLLIANCES','DAMAGED',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 11:24:59','2021-08-02 12:44:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8582','MR ASIF','03064531609','H NO 4 ST NO 23 OVERSEAS 1 PHASE 8 B.TOWN RWP','6','15','25821','HOMAGE','0',null,'26-JAN-2020','1020S - 902','WASHING MACHINE','EARTH',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 11:31:17','2021-08-05 11:11:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8583','KASHIF SB','03009880067 , 03350877721','H NO CB 1215/4 ST NO 4 QADERIA COLONY PESHAWAR ROAD RWP','7','49','18720','SAMSUNG','REF TO ATIF SADDAR',null,'25-MAR-2019','80J4260-S - 899','WASHING MACHINE','ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 11:34:21','2021-08-04 13:08:19',null,'1',null,'0');
INSERT INTO complaints VALUES('8584','TARIQ AZIZUDDIN','03005581828 , 0515707063','H NO 24 ST NO 5 SAFARI VILLAS 1 B.TOWN RWP','6','15','46','LG','0',null,'31-JAN-2015','1496TDT24S - 122','WASHING MACHINE','DOOR',null,'7',null,null,'customer','0',null,'73','2021-08-02 11:40:17','2021-08-23 13:49:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8585','ATIF SADR','03005548081','FRIENDS SADDAR RWP','7','49','0','HAIER','REF TO ATIF SADDAR',null,'0','206R','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 11:42:15','2021-08-12 16:51:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8586','OMER EJAZ','03009703137','H NO 206 ST NO 7-A ASKARI 10 RWP','5','30','133863','ORIENT','0',null,'31-MAY-2021','12G-HYPER-SW - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 12:01:26','2021-08-05 11:29:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8587','KAMAL BHATTI','03156241111','H NO 1360A ST NO 7 PHASE 8 B.TOWN RWP','4','11','19034','SONY','0',null,'4-JAN-2021','75X8000G-CC','FLAT PANEL TV','INTERNET WIFI',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 12:13:18','2021-08-05 17:10:56',null,'1',null,'0');
INSERT INTO complaints VALUES('8588','ADIL SHAHZAD','03345426240','H NO 278 STREET CIRCULAR AVENUE SAFARI VALLEY USMAN BLOCK PHASE 8 B.TOWN RWP','6','12','37357','HAIER','0',null,'31-JUL-2021','438IDRA','REFRIGERATOR','PANEL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 12:51:06','2021-08-05 15:27:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8589','SAFDAR MAJEED','03339511262','H NO 39A BLOCK A SATELLITE TOWN RWP','9','21','217301','CORONA','0',null,'26-JUL-2021','351C - 1533','COOKING RANGE','BURNER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 13:03:14','2021-08-05 11:39:57',null,'1',null,'0');
INSERT INTO complaints VALUES('8590','ZAHID ALI','03468340255','H NO 1270 NEAR TEHZEEB BAKERS PWD ISB','4','11','9885','SAMSUNG','0',null,'14-JUL-2019','43NU7100-S - 869','FLAT PANEL TV','SCREEN BLANK',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 13:05:23','2021-08-13 12:18:23',null,'1',null,'0');
INSERT INTO complaints VALUES('8591','MUHAMMAD AMEEN','03215576131','H NO 5 LANE QUAID-E-AZAM AVENUE BLOCK D MEDIA TOWN ISB','8','42','34259','HAIER','0',null,'1-JUN-2019','618HRF-SS - 903','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 13:08:40','2021-08-05 15:22:39',null,'1',null,'0');
INSERT INTO complaints VALUES('8592','QAIS KHAN','03145000023','H NO 2 ST NO 35 SEC C ORCHARD AREA DHA 1 RWP','8','37','37398','HAIER','REF TO ADEEL BHR-7',null,'1-AUG-2021','18HFPAA-S','AIR CONDITIONER','SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 13:25:39','2021-08-05 11:47:05',null,'1',null,'0');
INSERT INTO complaints VALUES('8593','MR ALI','03225524357','H NO 2 ST NO 63 SEC F/8-4 ISB','8','37','26136','DAWLANCE','REF TO ASLAM SB',null,'16-JUL-2021','142HZP - 1277','MICROWAVE OVEN','PLATE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 13:36:51','2021-08-05 11:56:06',null,'1',null,'0');
INSERT INTO complaints VALUES('8594','UNCLE RIZWAN','03219558774','H NO 109 ST NO 3 USMAN BLOCK PHASE 8 B.TOWN RWP','9','19','206098','MITSUBISHI','0',null,'21-FEB-2021','50VA - 915','AIR CONDITIONER','GAS NILL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 13:50:16','2021-08-17 14:28:46',null,'1',null,'0');
INSERT INTO complaints VALUES('8595','MRS ANWAR','03339183771','H NO 8B ST NO 19 UMER BLOCK BILAL HABSHI ROAD PHASE 8 B.TOWN RWP','4','10','31023','CANON','0',null,'2-DEC-2020','BOV-08 - 1731','BUILT IN APPLLIANCES','NOT WORKING',null,'3',null,null,'customer','0',null,'73','2021-08-02 14:07:53','2021-08-02 14:07:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8596','AKBAR CHUGTAI','03335115606','H NO 77-B ST NO 61 SEC F/10-3 ISB','5','35','128761','FIVE STAR','0',null,'2-FEB-2021','900MC','COOKING RANGE','NOBS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 14:26:13','2021-08-04 12:26:28',null,'1',null,'0');
INSERT INTO complaints VALUES('8597','ALI SB','03335075583','APPARTMENT NO 110 ST NO 73 SEC F/11-1 ISB','8','37','45807','HAIER','0',null,'18-JAN-2021','18HFAA-B INV - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 14:35:33','2021-08-08 16:06:47',null,'1',null,'0');
INSERT INTO complaints VALUES('8598','MRS ABBASI','03315492690','H NO 56A MAIN MARGALLA ROAD SEC F/8-2 ISB','5','28','0','HAIER','REF TO KAMRAN PWD',null,'0','120AS - 69','WASHING MACHINE','DRYER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 14:50:23','2021-08-05 12:14:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8599','RAFAY DANISH','03310162268','H NO 454 ST NO 105 SEC I/8-4 ISB','8','39','51580','GREE','0',null,'20-JUL-2021','9978EG-CW3 - 885','REFRIGERATOR','cooling',null,'3',null,null,'customer','0',null,'73','2021-08-02 14:59:06','2021-08-02 14:59:06',null,'1',null,'0');
INSERT INTO complaints VALUES('8600','KAMRAN','03219507474','FREINDS PWD NEAR TEHZEEB BAKERS SHOWROOM ISB','4','8','11253','SAMSUNG','REF TO KAMRAN PWD',null,'3-NOV-2019','40J5133 - 987','MICROWAVE OVEN','HEATING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 15:14:02','2021-08-05 14:43:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8601','ANAM FAROOQ','03215300161','H NO 59 ROAD D SEC D/17 ISB','8','37','41982','ORIENT','REF TO TAHIR B.COOL',null,'19-AUG-2020','AUTO8 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 15:26:30','2021-08-08 16:02:46',null,'1',null,'0');
INSERT INTO complaints VALUES('8602','AZEEM SB','03315420488','FRIENDS GULNOOR MARKET RWP','9','19','0','HAIER','REF TOAZEEM SB',null,'0','325HDF-INV - 956','FREEZER','DAMAGED',null,'3',null,null,'customer','0',null,'73','2021-08-02 15:41:39','2021-08-02 15:41:39',null,'1',null,'0');
INSERT INTO complaints VALUES('8603','MR ARSLAN','03335214833','H NO 915 ST NO 92 SEC D/12-1 ISB','5','36','123644','GREE','REF TO AZHAR RAMZAN',null,'5-NOV-2020','18CITH12W - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 15:53:05','2021-08-11 13:22:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8604','MR MUDASSIR','03137755596','ROOM NO 15 GHAZI ILUM DIN SHAHEED HOSTEL ATTA TURK AVENUE SEC G/5-1 ISB','5','28','131115','HAIER','REF TO ABU BAKAR FCI',null,'1-APR-2021','336R-HWD','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 16:11:30','2021-08-17 12:41:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8605','MIRZA BAIG','03175912059','SHOP NO 2&3 MIR PLAZA GULZARE-QUIDE OLD AIRPORT ROAD RWP','4','10','34282','GREE','0',null,'12-APR-2021','24K3FI-GTH - 917','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','6357','92','2021-08-02 16:41:08','2021-08-05 14:42:47',null,'1',null,'0');
INSERT INTO complaints VALUES('8606','WASEEM SB','03411111119','H#66 BLOCKE GULBERGE RESEDENDCIA ISB','6','14','32758','CARAVELL','0',null,'23-JAN-2021','207BA','WATER DISPENSER','WATER DRAIN',null,'3',null,null,'customer','0',null,'73','2021-08-02 16:44:40','2021-08-02 16:44:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8607','SHUJAT IQBAL','03455087601','H NO 11 ST NO 34 BLOCK F NAVAL ANCOURAGE ISB','6','16','35213','DAWLANCE','0',null,'20-MAY-2021','91999CHROME-PC','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 16:48:29','2021-08-08 15:59:59',null,'1',null,'0');
INSERT INTO complaints VALUES('8608','DR MOEED','03200219988','H NO 181 ROAD 1B BAHRIA SPRING PHASE 7 B.TOWN RWP','6','16','0','LG','MANUAL BILL',null,'12-OCT-2019','1066NEFTF-S - 902','WASHING MACHINE','ERROR E1',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 16:50:12','2021-08-04 17:37:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8609','DR YASIR','03365127550','H NO 7 ST NO 15 SEC A BAHRIA ENCLAVE ISB','9','19','137716','SAMSUNG','REF TO TAHIR B.COOL',null,'20-JUL-2017','90F5S2 - 901','WASHING MACHINE','WASH TUB',null,'4',null,null,'customer','0',null,'73','2021-08-02 17:03:34','2021-08-02 17:05:54',null,'1',null,'0');
INSERT INTO complaints VALUES('8610','YASIR SB','03336006269','RWP','9','26','208311','XTREME','REF TO TAHIR B.COOL',null,'30-MAR-2021','985X','BUILT IN APPLLIANCES','MOTOR',null,'4',null,null,'customer','0',null,'73','2021-08-02 17:05:15','2021-08-02 17:05:46',null,'1',null,'0');
INSERT INTO complaints VALUES('8611','RIZWAN SAIF','03000200247','H NO 511 ST NO 23 PHASE 3 B.TOWN RWP','7','49','0','ORIENT','REF TO PTCL',null,'29-NOV-2020','531OWR - 993','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-02 17:08:51','2021-08-05 12:59:24',null,'1',null,'0');
INSERT INTO complaints VALUES('8612',null,null,null,'6',null,null,'GREE','0000',null,null,'12FITH2W - 913','AIR CONDITIONER','INDOOR / OUTDOOR BOTH ISSUE',null,'3',null,null,'showroom','0',null,'93','2021-08-02 18:32:46','2021-08-03 10:17:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8613','ARIF JAHANGIR','03335102971 , 0514411153','H NO CA80 NEAR GULZAR HOTEL CHISTIABAD PINDORA RWP','8','42','51098','GREE','0',null,'11-JUL-2021','9978EG-CB2 - 885','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','1','7967','73','2021-08-03 10:31:41','2021-08-13 16:42:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8614','AFTAB SB','03028484664','H NO 42 ST NO 5NEAR MADINA CASH AND CARRY IQBAL TOWN RWP','8','42','51326','GREE','0',null,'15-JUL-2021','9978EG-CW3 - 885','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 10:34:18','2021-08-07 16:16:04',null,'1',null,'0');
INSERT INTO complaints VALUES('8615','ISMAEL','03356969118','H NO 1097 ST NO 46 PHASE 7 B.TOWN RWP','6','12','36363','KENWOOD','0',null,'24-JUN-2021','2436S-INV','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 10:51:10','2021-08-21 11:54:23',null,'1',null,'0');
INSERT INTO complaints VALUES('8616','JAVED SB','03359899677','HO#834 ST 20 OVERSEAS 6 BAHRIA PHASE 8 RWP','6','12','0','ORIENT','REF TO PTCL',null,'0','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 11:02:59','2021-08-10 14:05:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8617','MUKARRAM SB','03075705196 , 03105726513','180/H/2 ST NO 1 PANJSARKI RWP','9','24','89047','SAMSUNG','0',null,'OUT WARRANTY','41JSTS','REFRIGERATOR','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 11:08:46','2021-08-07 14:31:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8618','RAJA ABRAR','03160151464','PWD ISB','4','6','0','GREE','WARRANTY CARD',null,'22-8-2020','9978EG-CB2 - 885','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 11:23:11','2021-08-03 17:16:25',null,'1',null,'0');
INSERT INTO complaints VALUES('8619','ARSHAD SB','03065005122','FRIENDS BLUE AREA ISB','5','28','0','SHARP','0',null,'0','X635HS3','REFRIGERATOR','FOOT MISSING',null,'8',null,null,'customer','0',null,'73','2021-08-03 11:27:36','2021-08-21 12:32:10',null,'1',null,'0');
INSERT INTO complaints VALUES('8620','CH MANSOOR','03335000682','H NO 141 ST NO 4 BLOCK A MEDIA TOWN ISB','4','11','23111','HAIER','0',null,'1-AUG-2021','100B-14876','WASHING MACHINE','SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 11:31:57','2021-08-09 15:59:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8621','AMNA AZIZ','03215080759','H NO 65 HARLEY STREET RWP CANTT','8','37','51867','HAIER','0',null,'1-AUG-2021','120AS - 69','WASHING MACHINE','WASH TUB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 11:40:20','2021-08-08 17:46:52',null,'1',null,'0');
INSERT INTO complaints VALUES('8622','CH MANSOOR','03225024046','H NO 662 ST NO 30 PHASE 7 B.TOWN RWP','6','12','0','LG','REF TO PTCL',null,'20-NOV-2018','55UH770V-C - 942','FLAT PANEL TV','SCREEN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 11:44:53','2021-08-12 14:04:50',null,'1',null,'0');
INSERT INTO complaints VALUES('8623','MR YASIR','03315222442','PLOT NO 17D ASYAM TOWER DIPLOMATIC ENCLAVE SEC G/5 MARKAZ ISB','5','32','117710','GREE','0',null,'16-JUN-2020','18K3HI-GTH - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 11:52:18','2021-08-07 16:14:47',null,'1',null,'0');
INSERT INTO complaints VALUES('8624','SIKANDAR SB','+92','H NO 40 ST NO 32 SEC D/17 ISB','5','28','0','LG','REF TO TAHIR B.COOL',null,'5 YEARS AGO','LG MACHINE','WASHING MACHINE','WATER',null,'8',null,null,'customer','0',null,'73','2021-08-03 11:58:12','2021-08-20 16:15:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8625','ABRAR AHMED','03005530072','FLAT NO 230 BLOCK 10 KRL OFFICER COLONY KHANNAPULL ISB','8','37','40749','HAIER','REF TO IQBAL KRL',null,'3-7-2020','18HFCE-W-INV - 915','AIR CONDITIONER','INDOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 12:03:17','2021-08-17 12:51:21',null,'1',null,'0');
INSERT INTO complaints VALUES('8626','SHAHEER ZAMAN','03310045151','H NO 96 ST NO 136 SEC G/13-4','5','28','0','SIGNATURE','REF TO PTCL',null,'ON PAYMENT','AUTO TOP LOAD','WASHING MACHINE','DRYER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 12:13:46','2021-08-17 12:33:30',null,'1',null,'0');
INSERT INTO complaints VALUES('8627','MUHAMMAD AMJAD','03324090208','SEC E/9 ST NO 5 H NO D4/1 ISB','8','38','43900','SAMSUNG','FRIENDS WARRANTY CARD',null,'1-DEC-2020','1STMG-MRM','REFRIGERATOR','CRACK',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 12:27:02','2021-08-04 12:15:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8628','MR ZAKIULLAH','03224004433 , 03132222252','H NO 98 ST NO 59 SEC F/10-3 ISB','5','33','132343','ORIENT','0',null,'29-APR-2021','12G-HYPER-SW - 913','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 12:30:55','2021-08-11 15:05:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8629','MR RIZWAN','03439568686','H NO 514 ST NO 10 SEC C PHASE 8 B.TOWN RWP','6','12','12642','LG','0',null,'7-FEB-2018','4J5TNP7S - 899','WASHING MACHINE','NOT WORKING',null,'8',null,null,'customer','0',null,'73','2021-08-03 12:35:35','2021-08-20 16:13:59',null,'1',null,'0');
INSERT INTO complaints VALUES('8630','MR FAHAD','03208518078','H NO 1360A ST NO 7OVERASEAS SEC 3 PHASE 8 B.TOWN RWP','4','11','19034','SONY','0',null,'4-JAN-2021','75X8000G-CC','FLAT PANEL TV','HDMI PORTS',null,'8',null,null,'customer','0',null,'73','2021-08-03 12:44:58','2021-08-20 16:54:27',null,'1',null,'0');
INSERT INTO complaints VALUES('8631','COL SAJJAD','03215047833','H NO 39 ST NO 5 SEC D DHA 1 RWP','6','15','16931','SIGNATURE','0',null,'27-OCT-2017','SBC-MELBURNE-90PLUS - 1123','BUILT IN APPLLIANCES','MOTOR',null,'8',null,null,'customer','0',null,'73','2021-08-03 12:51:17','2021-08-11 11:43:26',null,'1',null,'0');
INSERT INTO complaints VALUES('8632','IBRAR SHAH','03335605617 , 03335605617','H NO 1259 ST NO 17 SEC G/14-4 ISB','9','24','193013','GREE','REF TO PTCL',null,'17-JUL-2020','9978EG-CB2 - 885','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 12:55:04','2021-08-07 13:42:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8633','IMRAN KHAN','03335605690 , 03335605617','H NO 1259 ST NO 17 SEC G/14-4 ISB','9','24','193013','SIGNATURE','REF TO PTCL',null,'17-JUL-2020','HC-5861S - 1122','BUILT IN APPLLIANCES','NOBS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 12:56:23','2021-08-09 17:21:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8634','HASNAIN SB','03365365223','VILLAGE MAMYAM POSTOFFICE  BAGH JAMIRI TEHSIL KALAR SYEDAN DIS RWP','9','19','217319','HAIER','REF TO SAQIB FCP (5PC)',null,'26-JUL-2021','48H03 - 1820','AIR CONDITIONER','COOLING',null,'3',null,null,'customer','1','8547','73','2021-08-03 13:00:51','2021-08-03 13:00:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8635','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','SIGNATURE','REF TO ASLAM SB',null,'0','HC-2300G - 1122','BUILT IN APPLLIANCES','IGNITION',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 13:07:37','2021-08-03 13:35:10',null,'1',null,'0');
INSERT INTO complaints VALUES('8636','MEHMOOD BAIG','+92','H NO 271 ST NO 37 SEC G/9-1 ISB','5','28','0','SIGNATURE','REF TO PTCL',null,'2.5 YEARS','2 BURNERS','BUILT IN APPLLIANCES','IGNITION PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 13:11:46','2021-08-09 14:17:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8637','MR JERRY','03339133411 , 03107603466','APP NO GF01 TOWER B CENTAURUS ISB','5','35','131761','BOSCH','0',null,'14-APR-2021','20260GC - 880','WASHING MACHINE','NOT WORKING',null,'3',null,null,'customer','0',null,'73','2021-08-03 13:24:56','2021-08-03 13:24:56',null,'1',null,'0');
INSERT INTO complaints VALUES('8638','LATEEF ALI','03340528902','H NO 54 ROAD1/1 PHOOL CHOWK BAHRIA ENCLAVE ISB','8','39','44461','SIGNATURE','0',null,'5-DEC-2020','HC-5861S - 1122','BUILT IN APPLLIANCES','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 13:26:22','2021-08-11 17:05:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8639','MAJOR TARIQ','03478844077 , 03335572057','H NO 20V ASKARI 1 NEAR SCHEME 3 RWP CANTT','9','19','148786','SIGNATURE','REF TO TAHIR BEST COOL',null,'18-MAR-2018','SRF-WB90M - 885','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 13:29:52','2021-08-08 13:53:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8640','NASIR KHAN','03007957272 , 03015252717','H NO 643 ST NO 47 SEC G/9-1 ISB','5','28','0','HAIER','REF TO PTCL',null,'19-JUL-2021','245SD - 955','FREEZER','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 13:38:05','2021-08-07 12:47:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8641','MR HASSAN','03212653674','H NO 351 ST NO 21 DEFNCE VILLA SEC F DHA1 RWP','8','37','33643','DAWLANCE','REF TO  ADEEL',null,'13-MAR-2021','132S-DW - 1200','MICROWAVE OVEN','HEATING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 13:41:29','2021-08-07 13:00:19',null,'1',null,'0');
INSERT INTO complaints VALUES('8642','MRS SHAHID','03009568703','H NO 7 ST NO 60 SEC F/8-4 ISB','5','32','122397','HAIER','0',null,'29-SEP-2020','336IDRT - 860','REFRIGERATOR','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 13:57:58','2021-08-07 12:38:58',null,'1',null,'0');
INSERT INTO complaints VALUES('8643','WAQAS QAYYUM','03333300117','H NO 570 ST NO 29 BLOCK C PHASE 1 CBR TOWN ISB','4','7','17152','MITSUBISHI','0',null,'12-NOV-2020','50VA - 915','AIR CONDITIONER','SWING PROBLEM',null,'3',null,null,'customer','1','7834','92','2021-08-03 14:13:57','2021-08-03 14:13:57',null,'1',null,'0');
INSERT INTO complaints VALUES('8644','MRS','03366344480','H NO 37 ST NO 25 SEC G/10-2 ISB','5','28','0','ORIENT','REF TO PTCL',null,'OUT WARRANTY','18G-HYPER-SW - 915','AIR CONDITIONER','ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 14:18:37','2021-08-07 13:47:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8645','COL TANVEER','03215177303','H NO 3 SERVICE LANE SEC B DHA 1 RWP','6','14','26422','HAIER','12HFMAC',null,'23-MAY-2021','18HNM-INV - 915','AIR CONDITIONER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6303','73','2021-08-03 14:47:26','2021-08-10 11:29:47',null,'1',null,'0');
INSERT INTO complaints VALUES('8646','IBRAR AHMED','03175582639 , 03035073218','AYESHA RASOOL SCHOOL CHTTA HYTHYAL CHAKBELI ROAD RAWAT ISB','6','12','35645','FISCHER','0',null,'3-JUN-2021','45GF - 1027','WATER COOLER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 15:15:12','2021-08-21 16:06:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8647','SHAHID IQBAL','03120093322','FLAT NO 2 2ND FLOOR PLAZA NO 38 RAFI BLOCK COMMERCIALPHASE 8  B.TOWN RWP','6','15','23453','SIGNATURE','REF TO ADIL I/10',null,'12-OCT-2019','SWM-JD50C - 902','WASHING MACHINE','SERVICE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 15:30:54','2021-08-05 11:47:58',null,'1',null,'0');
INSERT INTO complaints VALUES('8648','NADEEM ASIF','03335182509 , 0515121784','H NO 765/10-F ST NO 4 QAZI ROAD NEAR BILAL MASJID DHERI HASNABAD RWP','8','37','0','HAIER','REF TO PTCL(WARRANTY CARD)',null,'JUL-2021','285SD - 956','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 15:56:01','2021-08-10 11:25:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8649','MRS AMIR','03335395693','H NO 287 LANE NO 5 ASKARI 10 CHAKLALA GARISON RWP','6','16','19351','SIGNATURE','0',null,'19-FEB-2019','SBH-AA901G - 1122','BUILT IN APPLLIANCES','IGNITION',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 15:59:57','2021-08-05 14:42:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8650','ZAFAR KHAN','03008373680 , 0518317686','H NO 1 ST NO 1 BLOCK B NAVAL ANCOURAGE ISB','8','37','51602','HAIER','0',null,'20-JUL-2021','405HDF-INV - 958','FREEZER','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 16:26:51','2021-08-07 13:53:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8651','MR HAIDER','03332233873','SHOP NO 8 GROUND FLOOR FORYUNE ARCADE PHASE 5 B.TOWN RWP','4','5','22167','ORIENT','REF TO PTCL',null,'23-JUN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 16:30:49','2021-08-05 13:41:21',null,'1',null,'0');
INSERT INTO complaints VALUES('8652','MUHAMMAD AMJAD','03324090208','SEC E/9 ST NO 5 H NO D4/1 ISB','8','38','43900','SAMSUNG','Y6VU4ADJ700275P',null,'1-DEC-2020',null,'REFRIGERATOR','RSA1STMG1/XSG
CRACK',null,'3',null,null,'customer','1','8627','73','2021-08-03 16:38:33','2021-08-03 16:38:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8653','MAZHAR SB','03139899001','FRIENDS GULNOOR MARKET RWP','9','23','0','FIVE STAR','MAX RANGE',null,'0','10000MC','COOKING RANGE','COVER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 16:42:04','2021-08-05 14:42:17',null,'1',null,'0');
INSERT INTO complaints VALUES('8654',null,null,null,'6',null,null,'KENWOOD','0000',null,null,'950SA - 901','WASHING MACHINE','TIMER ISSUE',null,'5','COMPLAINT CLOSED',null,'showroom','0',null,'93','2021-08-03 16:45:11','2021-08-10 14:46:07',null,'1',null,'0');
INSERT INTO complaints VALUES('8655',null,null,null,'6',null,null,'KENWOOD','0000',null,null,'1010SA - 902','WASHING MACHINE','SPINNER DAMAGE',null,'3',null,null,'showroom','0',null,'93','2021-08-03 16:45:28','2021-08-03 16:53:39',null,'1',null,'0');
INSERT INTO complaints VALUES('8656','HASSAN ALI','03155151556','H NO 320A LANE NO 6 NEAR ALI MARKET PESHAWAR ROAD RWP','6','15','37273','GREE','0',null,'26-JUL-2021','12FITH6S','AIR CONDITIONER','COOLING',null,'5','CANCEL',null,'customer','0',null,'73','2021-08-03 16:52:32','2021-08-03 17:00:10',null,'1',null,'0');
INSERT INTO complaints VALUES('8657','HASSAN ALI','03155151556','H NO 320A LANE NO 6 NEAR ALIMARKET PESHAWAR ROAD RWP','6','15','37273','GREE','12FITH6S',null,'26-JUL-2021',null,'AIR CONDITIONER','INDOOR',null,'5','COMPLAINT CLOSED',null,'customer','1','8544','92','2021-08-03 16:56:57','2021-08-12 13:10:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8658','MR IJAZ','03155130838','H NO 2142 ST NO F1 BLOCK F O9 NPF ISB','4','5','8316','SIGNATURE','REF TO KHURRAM SB',null,'10-APR-2019','SCF-HM12 - 956','FREEZER','DOOR HANDLE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 17:14:54','2021-08-17 12:32:26',null,'1',null,'0');
INSERT INTO complaints VALUES('8659','DR SAIMA','03225152168','FLAT NO 4 BLOCK NO E-3 PIMS COLONY SEC G/8-3 ISB','5','34','129657','LG','502SQCL-CC',null,'24-FEB-2021',null,'REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','1','7780','73','2021-08-03 17:18:53','2021-08-12 14:04:15',null,'1',null,'0');
INSERT INTO complaints VALUES('8660','SALMAN BAIG','03335666159','ARID AGRICULTURE UNIVERSITY SHAMSABAD RWP','9','20','203766','BOSCH','DAWLANCE HOOD',null,'12-JAN-2021','9630B','BUILT IN APPLLIANCES','NOT WORKING',null,'3',null,null,'customer','0',null,'73','2021-08-03 17:21:59','2021-08-03 17:21:59',null,'1',null,'0');
INSERT INTO complaints VALUES('8661','ZAFAR IQBAL','03134244666 , 03188344463','H NO CB413/10 LIAQAT ROAD LALAZAR COLONY NEAR NOORUL ISLAM MASJID RWP CANTT','7','49','23041','KENWOOD','REF TO ATIF SADDAR',null,'20-FEB-2021','26657GD-BKG','REFRIGERATOR','GAS KIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 17:26:11','2021-08-21 16:10:07',null,'1',null,'0');
INSERT INTO complaints VALUES('8662','JIBRAN FCI','03465166132','FRIENDS BLUE AREA ISB','5','35','137384','GREE','0',null,'13-JUL-2021','500FC - 993','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 17:38:06','2021-08-07 14:37:05',null,'1',null,'0');
INSERT INTO complaints VALUES('8663','AFTAB SB','03215148913','H NO D52 TW OFFICERS MESS STAFF ROAD CHAKALALA AMMAR CHOWKSCHEME 3 RWP','10','44','0','LG','C/O AKBAR SB',null,'0','REF LG','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-03 17:46:50','2021-08-20 11:28:24',null,'1',null,'0');
INSERT INTO complaints VALUES('8664','MUNIZAE JAHANGIR','03008423398','HO#05 ST#74 G 6/4 ISB','5','31','81914','PEL','2 TON(24K-PINV-ECO)',null,'27-FEB-2017',null,'AIR CONDITIONER','COOLING PROB',null,'3',null,null,'customer','1','8490','92','2021-08-03 18:11:14','2021-08-03 18:11:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8665','ASIF SB','03335113877','H NO 505 ST NO 128 SEC G/9-3 ISB','5','28','126933','LG','REF TO KHURRAM SB',null,'6-DEC-2020','502HQHU-S - 896','REFRIGERATOR','COOLING',null,'4',null,null,'customer','0',null,'73','2021-08-03 18:26:12','2021-08-03 18:26:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8666','COL TARIQ','03215201543','H NO 164  NEAR ROOTS SCHOOL ASGHAR MALL SCHEME RWP','8','40','48804','ORIENT','flare3rg',null,'18-MAY-2021',null,'WATER DISPENSER','COOLING PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','7385','73','2021-08-04 10:29:44','2021-08-10 14:13:12',null,'1',null,'0');
INSERT INTO complaints VALUES('8667','SHK SAJID','03329862002','H NO 358 LANE NO 6 PESHAWAR ROAD RWP CANTT','9','24','191087','HAIER','0',null,'22-JUN-2020','336EBD - 894','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-04 10:43:40','2021-08-04 14:46:03',null,'1',null,'0');
INSERT INTO complaints VALUES('8668','MR NOMAN','03018598323','H NO 1059 ST NO 26 PHASE 4 B.TOWN RWP','6','12','35514','SIGNATURE','REF TO ADIL I/10',null,'30-MAY-2021','20AC','MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-04 10:44:41','2021-08-10 14:25:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8669','TAHMEED AHMED','03325888819','H NO 90-D ST NO 21 SEC G/6-2 ISB','5','29','135525','CANON','OVEN CANON',null,'15-JUN-2021','BOV-519','BUILT IN APPLLIANCES','GAS NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-04 10:48:17','2021-08-08 14:30:42',null,'1',null,'0');
INSERT INTO complaints VALUES('8670','DR HASNAT','03335121736 , 03335088918','H NO 27 ST NO 35 SEC C DHA 1 RWP','6','15','15198','LG','0',null,'2-JUL-2018','247SMUV-S - 909','REFRIGERATOR','FREEZING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-04 11:34:16','2021-08-17 16:54:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8671','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','ORIENT','REF TO ABUBAKAR FCI',null,'0','55FHD-ACTION','FLAT PANEL TV','REMOTE SENSOR',null,'3',null,null,'customer','0',null,'73','2021-08-04 11:37:36','2021-08-04 11:37:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8672','MISS AZRA','03229016858','HO# I-64 ST#30 -A I 10/4 ISB','5','33','116756','TCL','1910VLR300964A0003',null,'20-MAY-2020','55P8M - 942','FLAT PANEL TV','SCREEN PROB',null,'3',null,null,'customer','1','7264','92','2021-08-04 11:55:05','2021-08-04 11:55:05',null,'1',null,'0');
INSERT INTO complaints VALUES('8673','ARSLAN SOHAIL','03129602490 , 03005797486','H NO CB1928/3 ST NO B1 MILAD CHOWK DHOK MUSTAQEEM RWP','9','24','217290','ORIENT','0',null,'26-JUL-2021','AUTO8 - 899','WASHING MACHINE','SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-04 12:15:54','2021-08-13 14:55:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8674','MRS ZOHRA','03215024004','H NO 449 ST NO 18A BLOCK A  NPF ISB','4','7','12519','HAIER','0',null,'29-DEC-2019','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-04 12:19:15','2021-08-07 13:50:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8675','MISS RAMEEN','03025156175','H NO 317 ST NO 5 SEC B1 DHA1 RWP','4','5','0','SIGNATURE','REF TO PTCL',null,'4 YEARS AGO','SWM-JD46 - 945','WASHING MACHINE','SERVICE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-04 12:22:14','2021-08-05 11:00:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8676','FAISAL SB','03454444446','H NO 599 ST NO 9 CHAKLALA SCHEME 3 RWP','10','46','0','ORIENT','REF TO TAHIR B.COOL',null,'IN WARRANTY (4MONTHS BACK)','12G-HYPER-SW - 913','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','1','8131','73','2021-08-04 12:30:06','2021-08-07 13:47:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8677','raja mohsin','03358050000','H NO 55B ST NO 3A NEW LALAZAR RWP','6','12','22220','SIGNATURE','0',null,'21-JUL-2019','SCF-HM12 - 956','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-04 12:53:09','2021-08-05 10:59:17',null,'1',null,'0');
INSERT INTO complaints VALUES('8678','IMRAN SB','03225441555 , 03315101934','H NO 265 GALI 2 NEAR TANDOORI HOTEL SEC G/8-2 ISB','4','5','21879','ORIENT','REF TO KAMRAN PWD',null,'11-JUN-2021','24G-ULTIMATE-SW-C - 916','AIR CONDITIONER','SOUND',null,'5','COMPLAINT CLOSED',null,'customer','1','8533','73','2021-08-04 13:04:05','2021-08-07 13:13:54',null,'1',null,'0');
INSERT INTO complaints VALUES('8679','MR YOUNAS','03005676400','MAIN MARKET FATHER COLONY IQBAL TOWN SERVICE ROAD RWP','5','29','134889','HAIER','0',null,'10-JUN-2021','18HFMAE-W','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-04 13:17:39','2021-08-10 11:23:44',null,'1',null,'0');
INSERT INTO complaints VALUES('8680','ABDUL HAMEED','03335694882','H NO 143 NEAR MAKKI MASJID  GULSHAN SAFI COLONY TAHLI MORI RWP CANTT','9','23','212290','DAWLANCE','0',null,'2-JUN-2021','7500C-DW - 1548','WASHING MACHINE','DRYER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-04 13:21:23','2021-08-07 12:04:57',null,'1',null,'0');
INSERT INTO complaints VALUES('8681','TARIQ SOHAIL SB','03348536180','H NO 496 ST NO 15 SEC I/10-2 ISB','9','19','141350','SIGNATURE','REF TO PTCL CALL',null,'7-OCT-2017','SWM-JD51 - 902','WASHING MACHINE','ON OFF',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-04 13:40:32','2021-08-07 12:24:12',null,'1',null,'0');
INSERT INTO complaints VALUES('8682','SOHAIL ABBASI','03335667705','H NO 34 ST NO 82 SEC G/8-1 ISB','5','30','122949','HAIER','REF TO PTCL',null,'15-OCT-2020','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-04 13:48:49','2021-08-07 11:27:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8683','EHSANULLAH KHAN','03345012399','H NO 17 ST NO 4 OPP LEARNING FOUNDATION SCHOOL GULSHAN HUDA PARK ROAD ISB','8','37','0','KENWOOD','C/O AKBAR SB(TAHIR B.COOL)',null,'OUT WARRANTY','480VCM-BHL - 885','REFRIGERATOR','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','1','8276','92','2021-08-04 14:05:19','2021-08-09 11:57:24',null,'1',null,'0');
INSERT INTO complaints VALUES('8684','ADNAN KHAN','03009246406','H NO 96F ST NO 4 SEC J PHASE 8 B.TOWN RWP','6','15','35484','GREE','0',null,'30-MAY-2021',null,'AIR CONDITIONER','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','6450','92','2021-08-04 14:23:06','2021-08-17 18:03:06',null,'1',null,'0');
INSERT INTO complaints VALUES('8685','ASIF MALIK','03017463302 , 03213422308','NEAR TAYYABA MASJID BEHIND KASHMIR PLAZA GT ROAD JEHLUM','8','37','32830','SAMSUNG','REF TO PTCL',null,'20-MAR-2019','90J5455MW-S - 901','WASHING MACHINE','DOOR GASKIT',null,'8',null,null,'customer','0',null,'73','2021-08-04 14:51:32','2021-08-11 11:42:50',null,'1',null,'0');
INSERT INTO complaints VALUES('8686','FAIZUL HASSAN','03219070007','H NO 156 LILI AVENUE SAFARI VILLAS2 PHASE 7 B.TOWN RWP','6','12','23362','SIGNATURE','REF TO ZAHID PWD',null,'5-OCT-2019','SWM-JD55C - 1643','WASHING MACHINE','START BUTTON',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-04 14:59:11','2021-08-05 10:58:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8687','MR QASIM ABBASI','03455096878','HOTEL NARAN N KARACHI COMPANY SEC G/9 MARKAZ ISB','9','27','202799','ORIENT','0',null,'23-DEC-2020','18G-ROYAL-CW - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','1','7856','92','2021-08-04 15:03:15','2021-08-08 14:17:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8688','ZEESHANUL HAQ','03335360977','H NO 34 ST NO 4 BLOCK G GROUND FLOOR NAVAL ENCOURAGE  ISB','5','35','125676','ORIENT','0',null,'4-DEC-2020',null,'REFRIGERATOR','WATER LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','1','7759','92','2021-08-04 15:22:37','2021-08-10 12:39:39',null,'1',null,'0');
INSERT INTO complaints VALUES('8689','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','HAIER','REF TO QASIM FCI',null,'0','246EPC , 438IDRA','REFRIGERATOR','DOOR RACKS',null,'3',null,null,'customer','0',null,'73','2021-08-04 15:31:13','2021-08-04 15:31:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8690','MR JUNAID','03365543164 , 0518890717','PLAZANO 241 SPRING NORTH COMMERCIAL PHASE 7 B.TOWN RWP','6','15','30031','HAIER','MODAL#24HE-HPU-917',null,'14-OCT-2020',null,'AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','1','8293','92','2021-08-04 15:46:51','2021-08-08 14:15:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8691','MR HAJI AKHTER','03335109263','FARM NO 9 CHAK SHAHZAD FARMS ISB','10','45','0','SAMSUNG','C/O SADDIQ SB',null,'4 MONTHS BACK','32M71207F-S  - 1468','FREEZER','WIRING',null,'5','COMPLAINT CLOSED',null,'customer','1','6332','73','2021-08-04 16:14:20','2021-08-13 12:05:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8692','ABDUL HAMEED','03215107024 , 03481888939','H NO 965-B ST NO 49 SEC I/14-4 ISB','8','37','51812','CARAVELL','REF TO SAQLAIN FHHS',null,'31-JUL-2021','115PB','WATER DISPENSER','LEAKAGE',null,'3',null,null,'customer','0',null,'73','2021-08-04 16:20:37','2021-08-04 16:20:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8693','MR HASSAN','03418665166 , 03458544805','H NO 384A ST NO 34 SEC F/11-2 ISB','5','36','138304','ORIENT','0',null,'2-AUG-2021','24G-MEGA','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-04 16:24:55','2021-08-20 11:27:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8694','HASSAN FHHS','03013000123','FRIENDS HOME SHAMSABAD MURREE ROAD RWP','8','37','0','SAMSUNG','0',null,'0','65TU7000','FLAT PANEL TV','PANEL DOT',null,'7',null,null,'customer','0',null,'73','2021-08-04 16:26:36','2021-08-17 12:26:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8695','SHAHZAD SB','0515571188 , 03005130802','H NO 568 ST NO 70 SEC 2 ADYALA ROAD GULSHANABAD RWP','9','26','216073','SAMSUNG','0',null,'11-JUL-2021','38K5062-SZ','REFRIGERATOR','RACK DAMAGED',null,'3',null,null,'customer','0',null,'73','2021-08-04 16:34:56','2021-08-04 16:34:56',null,'1',null,'0');
INSERT INTO complaints VALUES('8696','FAYYAZ SB','03008540032','ST NO 16 LANE NO 8 PARK ROAD CHAK SHAHZAD ISB','9','21','188530','GREE','0',null,'18-MAR-2020','9978EG-CB1 - 885','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-04 17:47:51','2021-08-13 14:45:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8697','EHSAN BHR-7','+923113110013','BAHRIA PHASE 7 RWP','6','17','0','DAWLANCE','0',null,'0','1035WB','REFRIGERATOR','FRONT GLASS DAMAGE',null,'3',null,null,'customer','0',null,'106','2021-08-04 18:13:25','2021-08-04 18:13:25',null,'1',null,'0');
INSERT INTO complaints VALUES('8698','EHSAN BHR-7','+923113110013','BAHRIA PHASE 7 RWP','6','17','0','KENWOOD','0',null,'0','1010SA - 902','WASHING MACHINE','SPINER DAMAGE',null,'3',null,null,'customer','0',null,'106','2021-08-04 18:15:15','2021-08-04 18:15:15',null,'1',null,'0');
INSERT INTO complaints VALUES('8699','EHSAN BHR-7','+923113110013','BAHRIA PHASE 7 RWP','6','17','0','ORIENT','0',null,'0','CRYSTAL-RD-BLK - 993','WATER DISPENSER','GLASS DAMAGED',null,'3',null,null,'customer','0',null,'106','2021-08-04 18:18:00','2021-08-04 18:18:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8700','AHSAAN  BEHIRA STOCK','+923113110013','BAHRIA PHASE 7 RWP','6','17','0','ORIENT','0',null,'0','CRYSTAL-C-BLK - 993','WATER DISPENSER','GLASS DAMAGED',null,'3',null,null,'customer','0',null,'106','2021-08-04 18:19:29','2021-08-04 18:19:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8701','nisar ahmed','03435824467','H NO 157 ST NO 53 SEC G/10-3 ISB','5','32','137487','DAWLANCE','0',null,'15-JUL-2021','91999CHROME-PC','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 10:32:41','2021-08-08 14:08:06',null,'1',null,'0');
INSERT INTO complaints VALUES('8702','MR MASAB','03219562255','GRAND TAJ HOTEL NEAR BUS TERMINAL MURREE','9','24','210887','DAWLANCE','REF TO ISHFAQ FHHS',null,'18-MAY-2021','1051WD-SILVER','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 10:40:41','2021-08-21 13:58:38',null,'1',null,'0');
INSERT INTO complaints VALUES('8703','USMAN KHAN','03145181218','H NO D466 NEAR MADNI MASJID SEC 3 KHAYABAN-E-SIRSYED RWP','9','22','212627','GREE','0',null,'7-JUN-2021','9978EG-CW3 - 885','REFRIGERATOR','FAN',null,'3',null,null,'customer','0',null,'73','2021-08-05 10:51:25','2021-08-05 10:51:25',null,'1',null,'0');
INSERT INTO complaints VALUES('8704','SAJID SB','03215507716','H NO 377 ST NO 3 SEC F/15-1 ISB','8','37','29951','SIGNATURE','REF TO ADIL I/10',null,'7-OCT-2018','SBO-AR4R - 1124','BUILT IN APPLLIANCES','ON OFF',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 11:01:11','2021-08-08 13:54:20',null,'1',null,'0');
INSERT INTO complaints VALUES('8705','KAMRAN SB','03005331047 , 03345528240','H NO 83 ST NO 7 BLOCK A AIRPORT HOUSING SOCIETY RWP','9','23','217578','HAIER','REF TO PTCL',null,'31-JUL-2021','398IDBA','REFRIGERATOR','LEAKAGE',null,'5','WRONG CONTACT NUMBER',null,'customer','0',null,'73','2021-08-05 11:09:34','2021-08-05 11:12:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8706','SALMAN AHMED','03345528240','H NO 37 ST NO 68 JINNAH GARDEN ISB','9','26','217598','HAIER','REF TO PTCL',null,'31-JUL-2021','438IDRA','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 11:12:00','2021-08-08 15:28:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8707','KAMRAN SB','03005331047','H NO 83 ST NO 7 BLOCK A AIRPORT HOUSING SOCIETY RWP','9','23','217578','HAIER','398IDBA',null,'31-JUL-2021',null,'REFRIGERATOR','REF TO PTCL
LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','1','8705','73','2021-08-05 11:13:28','2021-08-08 13:51:56',null,'1',null,'0');
INSERT INTO complaints VALUES('8708','MUDASSIR SB','03134380048','PAKISTAN TEXTILE COUNCIL 3RD FLOOR ALI PLAZA NAZIMUDDIN ROAD BLUE AREA ISB','5','31','135771','GREE','18PITH2W',null,'19-JUN-2021',null,'AIR CONDITIONER','COOLING',null,'4',null,null,'customer','0',null,'73','2021-08-05 11:17:03','2021-08-05 11:18:42',null,'1',null,'0');
INSERT INTO complaints VALUES('8709','NAEEM SB','03325532355','PLOT#81f st#6 sec i/10-3 isb','10','44','0','SONY','2 UNITS (PCS)',null,'0','50W660','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 11:27:33','2021-08-09 14:16:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8710','OMER SB','03334298304','H NO 1051 ST NO 1  BLOCK C SEC 4 A.H.S RWP','8','37','25512','HAIER','REF TO PTCL',null,'7-JUN-2021','12HFCN-W','AIR CONDITIONER','SOUND&ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 11:42:28','2021-08-08 13:24:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8711','BRIG SB','03445369300','H NO 66 ST NO 6 CHAKALALA SCHEME3 RWP','9','19','0','SIGNATURE','REF TO PTCL',null,'ON PAYMENT','C/R SIGNATURE','COOKING RANGE','OVEN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 11:51:48','2021-08-08 13:55:07',null,'1',null,'0');
INSERT INTO complaints VALUES('8712','NAEEM SB','03325532355','PLOT#81f st#6 sec i/10-3 isb','10','44','0','SONY','0',null,'0','50W660','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 11:56:11','2021-08-09 14:15:38',null,'1',null,'0');
INSERT INTO complaints VALUES('8713','MR OMER','03235260384','DERA TAJI KHOKHAR KHANNAPULL ISB','9','20','214880','SIGNATURE','0',null,'27-JUN-2021','HC-5871S - 1122','BUILT IN APPLLIANCES','IGNITION',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 12:05:16','2021-08-09 14:14:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8714','SHAH MUHAMMAD','03340108342','HO#04 ST 03 NEAR KHAN MARKET  PARACHA CHOCK MANZOORABAD RWP','8','37','24181','ORIENT','MODAL#500FLARE-RG  SALE ADVISOR IFTIKHAR HUSSAIN  IQBAL KRL SIR NAY COMPLAINT BAJI HAY',null,'23-JAN-2021',null,'REFRIGERATOR','DOOR SOUND ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','1','4443','92','2021-08-05 12:10:44','2021-08-10 12:04:52',null,'1',null,'0');
INSERT INTO complaints VALUES('8715','MR AHSAN','03008222881','H NO 211 ST NO 35 SEC F/7-1 ISB','5','28','77803','SIGNATURE','REF TO PTCL',null,'18-AUG-2016','FS2-5G - 1078','COOKING RANGE','NOBS LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 12:44:38','2021-08-17 12:29:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8716','MR HASSAM','03117990225','H NO 315 ST NO 12 PHASE 4 B.TOWN RWP','4','7','23156','SIGNATURE','0',null,'4-AUG-2021','HC-3766G - 1122','BUILT IN APPLLIANCES','BURNER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 13:13:54','2021-08-08 15:51:27',null,'1',null,'0');
INSERT INTO complaints VALUES('8717','MR USAMA','03000630543','H NO 208 ST NO 6 MOCHS SEC E/11-1 ISB','5','34','135024','GREE','0',null,'10-JUN-2021','9978EG-CB1 - 885','REFRIGERATOR','COOLING',null,'5','complaint closed',null,'customer','1','7909','73','2021-08-05 13:25:54','2021-08-08 13:19:20',null,'1',null,'0');
INSERT INTO complaints VALUES('8718','M FURQAN','03232211144','H NO 431P ST NO 5/1 BLOCK D NPF ISB','4','11','10457','SONY','0',null,'22-AUG-2019','49X7000F-S - 1629','FLAT PANEL TV','PANEL LINE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 14:01:40','2021-08-07 12:22:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8719','MR AURANGZAIB(raheel)','03133135559','H NO 53 ST NO 12 SEC G DHA 2 ISB','6','12','12585','LG','REF TO KHURRAMM SB',null,'3-FEB-2018','782HLHM-S - 1589','REFRIGERATOR','COMPRESSOR',null,'8',null,null,'customer','0',null,'73','2021-08-05 14:32:59','2021-08-07 12:25:06',null,'1',null,'0');
INSERT INTO complaints VALUES('8720','YASEEN SB','03009568817','RWP','9','26','165946','LG','REF TO KHURRAM SB',null,'11-FEB-2019','287SLUV-S - 909','REFRIGERATOR','COMPRESSOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 14:39:59','2021-08-17 16:53:17',null,'1',null,'0');
INSERT INTO complaints VALUES('8721','ZIA AHMED','03005577858','H NO 47/383 LIKE ALI CHOWK WAAH CANTT','9','23','216059','HAIER','REF TO PTCL',null,'11-JUL-2021','385HDF-INV - 1468','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 14:45:32','2021-08-10 11:18:57',null,'1',null,'0');
INSERT INTO complaints VALUES('8722','MR SAGHEER','03315190579','HO#17 LANE 05 ST 02 GULSHANAY IQBAL LALAZAR 02 DHAMYAR ROAD RWP','9','27','206671','ORIENT','0',null,'02-MAR-2021','18G-BOLD-UW-INV - 915','AIR CONDITIONER','SOUND',null,'5','COMPLAINT CLOSED',null,'customer','1','6740','106','2021-08-05 14:59:30','2021-08-09 14:30:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8723','MUSTAJAB HAIDER','03213315566','H NO 80 ST NO 6 GULSHANEKHUDAD SEC E/11-1 ISB','8','38','46606','FIVE STAR','MAX RANGE',null,'23-FEB-2021',null,'COOKING RANGE','NOBS',null,'5','COMPLAINT CLOSED',null,'customer','1','8536','74','2021-08-05 15:04:16','2021-08-09 14:14:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8724','WAJAHAT KAMAL','03132570014','OEC TOWER MAUV AREA SEC G/9-3 ISB','8','37','51716','HAIER','0',null,'26-JUL-2021','18HFCF-W-INV - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT COMPLETED',null,'customer','0',null,'73','2021-08-05 15:18:09','2021-08-21 16:54:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8725','ADNAN KHAN','03003546958','AAP A1 KARAKARAM ENCLAVE 2 SEC F/11-3 ISB','6','15','27640','LG','0',null,'8-JUN-2020','4V5RGPOW-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 15:27:29','2021-08-12 13:50:39',null,'1',null,'0');
INSERT INTO complaints VALUES('8726','MR MASAB','03219562255 , 03005111808','GRAND TAJ HOTEL NEAR BUS TERMINAL MURREE','8','39','210880','TCL','2102VLR301427A00165',null,'18-MAY-2021','40D3000 - 938','FLAT PANEL TV','ON OFF',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 15:28:21','2021-08-13 14:38:23',null,'1',null,'0');
INSERT INTO complaints VALUES('8727','MR ZAIGHAM','03369111197 , 03335165830','H NO 3 SEC 3 IQBAL ROAD AIRPORT HOUSING SOCIETY RWP','9','24','200851','DAWLANCE','0',null,'4-DEC-2020','142HZP - 1277','MICROWAVE OVEN','HEATING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 15:31:00','2021-08-08 17:49:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8728','ARIF BHATTI STOCK EN','+923215001331','ARIF BHATTI SB I10 STOCK ENCHARGE','8','37','0','KENWOOD','CARE OF ARIF BHATTI',null,'0','MW757','MICROWAVE OVEN','POWER ISSUE',null,'3',null,null,'customer','0',null,'106','2021-08-05 15:53:30','2021-08-05 15:53:30',null,'1',null,'0');
INSERT INTO complaints VALUES('8729','AGHA EHTISIAM','03133123456','AGHA MEDICOS MAIN MARKAZ NEAR MANGAL BAZAR SEC I/9-1 ISB','5','28','103224','GREE','REF TO AZHAR RAMZAN',null,'30-MAR-2019','18CITH12G - 915','AIR CONDITIONER','PCB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 16:06:07','2021-08-08 15:14:39',null,'1',null,'0');
INSERT INTO complaints VALUES('8730','MR ISMAEIL','03455410978','H NO 1990 ST NO 62 PHASE 3 B.TOWN RWP','5','33','136263','LG','0',null,'26-JUN-2021','4J5TNP7S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 16:50:05','2021-08-17 16:50:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8731','MASHOOD AHMED','03355004999','H NO 1 2ND AVENUE SEC B DHA PHASE 5 ISB','5','33','125350','LG','REF TO LG SERVICE',null,'3-DEC-2020','4V5RYP2T-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 16:54:12','2021-08-17 16:47:07',null,'1',null,'0');
INSERT INTO complaints VALUES('8732','AKRAS SB','03350518584 ,','NEAR PINDI STADIUM LANE NO 2 SERVICE ROAD RWP','8','37','0','SIGNATURE','REF TO PTCL',null,'ON PAYMENT','SWM-FW1407S - 1548','WASHING MACHINE','WATER PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-05 17:02:54','2021-08-08 13:52:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8733','ASGHAR ALI','03008419994','H NO 37C ST NO 14 MARGALLA TOWN PHASE 1 ISB','9','19','217775','HAIER','0',null,'3-AUG-2021','12HFPCA-B','AIR CONDITIONER','OUT DOOR SOUND',null,'3',null,null,'customer','0',null,'73','2021-08-05 17:12:19','2021-08-05 17:12:19',null,'1',null,'0');
INSERT INTO complaints VALUES('8734','TAHMEED AHMED','03325888819','H NO13-D ST NO 21 SEC G/6-2 ISB','5','29','135525','XTREEM','985',null,'15-JUN-2021',null,'BUILT IN APPLLIANCES','SOUND PROBLEM',null,'4',null,null,'customer','1','7808','73','2021-08-05 17:15:45','2021-08-05 17:18:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8735','MR YOUSAF','03009504132','H NO 154 ST NO 19 SAFARI VILLAS 1 NEAR CAR CHOWK RWP','6','15','37031','WAVES','0',null,'17-JUL-2021','315WDF-SS','FREEZER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-05 17:23:33','2021-08-05 17:23:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8736','COL RASHID SAB','03155899706(03345174147)','FLAT#D1 GOLRA OPP TO DAWEO BUS SERVICES R.W.P','8','37','46234','LG','2J3TDNPOP-S',null,'08-FEB-2021',null,'WASHING MACHINE','NOT WORKING',null,'7',null,null,'customer','0',null,'74','2021-08-06 11:57:08','2021-08-23 13:49:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8737','JAMIL HUSSAIN','03314092176','FLAT C BLOCK 18 ASKRI 1 CHKLALA SCKEEM 03 R.W.P','9','22','158570','LG','0',null,'22-SEP-2018','50UK6300-S - 871','FLAT PANEL TV','REMOTE NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-08-06 12:15:02','2021-08-10 14:25:06',null,'1',null,'0');
INSERT INTO complaints VALUES('8738','MRS TAHIR SHAH','03115231238','HO#184 ST#33 I 8/2 ISB','8','37','25515','HAIER','C/O TAHA SOHAIL(MODEL 438IDBA)',null,'07-JUNE-2021',null,'REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-08-06 12:34:56','2021-08-10 11:14:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8739','MR WAJID','03008553177','VILLAGE PATHAR GARH NEAR WAH CANTT ADJACENT 02 BRAHMA BATHAR ENTERCHANGE MOTORWAY M01 ATTOCK','5','33','111793','KENWOOD','0',null,'12-DEC-2019','1830S-HC INV - 915','AIR CONDITIONER','ERROR E 5',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-08-06 12:40:40','2021-08-09 12:21:03',null,'1',null,'0');
INSERT INTO complaints VALUES('8740','MISS FARHA','03334848451','HO#451 ST#48 MARGALLA TOWN ISB','9','24','0','SIGNATURE','OUT OFF WARRANTY(PAID JOB)',null,'OUT OFF WARRANTY',null,'MICROWAVE OVEN','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-08-06 12:52:06','2021-08-13 12:04:42',null,'1',null,'0');
INSERT INTO complaints VALUES('8741','MIRZA ABAID','03325540528','LANE#07 GULISTAN COLONY NEAR MAJID NIMRA  R.W.P','9','22','216673','WAVES','0',null,'17-JULY-2021','313WDFT - 956','FREEZER','WATER DRAIN ISSUE',null,'3',null,null,'customer','0',null,'74','2021-08-06 14:41:38','2021-08-06 14:41:38',null,'1',null,'0');
INSERT INTO complaints VALUES('8742','YOUSAF ZAI','03216422877','HO#340 ST#09 SEC ASKARI 14 R.W.P','4','6','37498','BOSCH','0',null,'05-AUG-2021',null,'REFRIGERATOR','SOUND PROB',null,'5','COMPLAINT COMPLETED',null,'customer','0',null,'74','2021-08-06 14:57:49','2021-08-23 12:37:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8743','MR AMIN','03005590854','HO#643 ST 05 WEST SHABBIR LANE PESHAWAR ROAD RWP','9','24','214708','KENWOOD','0',null,'24-JUNE-2021','1830S-HC INV - 915','AIR CONDITIONER','ERROR P3 ISSUE',null,'3',null,null,'customer','0',null,'74','2021-08-06 15:18:43','2021-08-06 15:18:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8744','ISHFAQ AHMAD','03235347134','HO#CB 126 LANE#09 QAID AZAM COLONY R.W.P','9','20','217826','KENWOOD','PTCL CALL(INVOICE HAIN )(MODEL 26657GD)',null,'04-AUG-2021',null,'REFRIGERATOR','COOLING PROB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'74','2021-08-06 17:09:15','2021-08-09 13:59:03',null,'1',null,'0');
INSERT INTO complaints VALUES('8745','IMRAM ISHFAQ','03335752378','HO#746/A4 SHADMAN COLONY NEAR KALMA CHOCK RWP','7','49','23529','ORIENT','0',null,'04-MAY-2021','12G-ALPHA-SW - 912','AIR CONDITIONER','COOLING PROB',null,'3',null,null,'customer','0',null,'74','2021-08-06 17:16:07','2021-08-06 17:16:07',null,'1',null,'0');
INSERT INTO complaints VALUES('8746','IQBAL STOCK (FCI)','03465166132','FRIENDS CORPORATION BULE AREA ISB','5','28','0','ORIENT','MODEL FLARE 03',null,'0',null,'WATER DISPENSER','LEAKAGE PROB',null,'3',null,null,'customer','0',null,'74','2021-08-06 17:23:02','2021-08-06 17:23:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8747','hammad BUTT','03025311108','H NO 428/1 ST NO 2 SEC 2 AIRPORT HOUSING SOCIETY RWP','6','12','36378','ORIENT','REF TO WAQAS PWD',null,'24-JUN-2021','CRYSTAL3-SR','WATER DISPENSER','COOLING&LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-07 10:34:38','2021-08-11 14:52:12',null,'1',null,'0');
INSERT INTO complaints VALUES('8748','SHIRAZ ANSARI','03205292903','APP NO 5 BLOCK D 2ND FLOOR SAFARI APPARTMENTS 2 NEAR GULRAIZ RWP','8','37','47275','DAWLANCE','REF TO CHAT SERVICES',null,'24-MAR-2021','550AF-DW','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT COMPLETED',null,'customer','0',null,'73','2021-08-07 10:43:56','2021-08-11 11:12:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8749','ANJUM','03225173715','NEAR QABRISTAN KHURRAM COLONY BAND KHANNA ROAD RWP','4','5','251','SIGNATURE','REF TO PTCL',null,'13-OCT-2017','SWM-JD46 - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-07 10:54:51','2021-08-09 14:04:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8750','ANJUM','03225173715','SHAH JEE PARKING HAJI CHOWK ISB','9','26','169649','SIGNATURE','REF TO PTCL',null,'22-APR-2019','SWM-JD47C - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-07 10:55:39','2021-08-10 13:02:05',null,'1',null,'0');
INSERT INTO complaints VALUES('8751','FARHAD SB','03008543361','H NO 341 ST NO 6 SEC 3 AIRPORT HOUSING SOCIETY RWP','9','19','0','SIGNATURE','REF TO TAHIR B.COOL',null,'OUT WARRANTY','SWM-SR50 - 905','WASHING MACHINE','NOT WORKING',null,'8',null,null,'customer','0',null,'73','2021-08-07 11:06:43','2021-08-21 18:16:34',null,'1',null,'0');
INSERT INTO complaints VALUES('8752','ATIF AMEEN','03320595144 , 03335141643','BLOCK 7D FLAT NO 1 IBN-E-SINA ROAD SEC G/9-2 ISB','8','40','41871','SONY','0',null,'16-AUG-2020','40W650D-CC - 938','FLAT PANEL TV','PANEL LINES',null,'8',null,null,'customer','0',null,'73','2021-08-07 11:09:47','2021-08-10 12:44:39',null,'1',null,'0');
INSERT INTO complaints VALUES('8753','ASIM NAEEM','03215122778 , 0345836989','H NO 192 ST NO 2B PHASE 5A GHOURI TOWN ISB','9','26','184379','LG','REF TO PTCL',null,'22-DEC-2019','9588NEHVA-S - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-07 11:57:48','2021-08-17 16:10:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8754','HASEEB AHMED','03325412014','H NO 6 NARC STAFF COLONY NEAR RAWAL DAM ISB','5','32','95369','ORIENT','0',null,'11-JUN-2018','18G-PLUS','AIR CONDITIONER','POWER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-07 13:39:07','2021-08-16 16:41:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8755','MR SAAD','03222993308','H NO 29 ST NO 15B SEC E DHA 2 ISB','4','8','21645','ORIENT','REF TO ADIL I/10',null,'7-JUN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-07 13:46:53','2021-08-11 14:49:30',null,'1',null,'0');
INSERT INTO complaints VALUES('8756','MASOOD SB','03122233373','H NO 108 SHAH ALLA DITTA SEC D/12-4 ISB','8','37','51980','CHANGHONG','REF TO TAHIR B.COOL',null,'5-AUG-2021','18EA','AIR CONDITIONER','ERROR F6',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-07 14:44:37','2021-08-11 11:31:54',null,'1',null,'0');
INSERT INTO complaints VALUES('8757','ABDUL HAFEEZ','0518738324','H NO 4 ST NO 8 HOSTEL CITY LANE 10 PARK ROAD CHATHA BAKHTAWAR ISB','9','20','0','SIGNATURE','ON PAYMENT',null,'OUT WARRANTY','SCF-HM12 - 956','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-07 14:51:05','2021-08-09 14:04:07',null,'1',null,'0');
INSERT INTO complaints VALUES('8758','ATIF','03455662238','FRIENDS MALL ROAD SADDAR RWP','7','49','0','ORIENT','0',null,'0','12G-HYPER-SW - 913','AIR CONDITIONER','GAS PROBLEM',null,'3',null,null,'customer','1','6097','92','2021-08-07 15:12:15','2021-08-07 15:12:15',null,'1',null,'0');
INSERT INTO complaints VALUES('8759',null,null,null,'6',null,null,'SONY','0000',null,null,'65X7500F-S - 1443','FLAT PANEL TV','internet',null,'8',null,null,'showroom','0',null,'93','2021-08-07 16:26:33','2021-08-21 13:58:23',null,'1',null,'0');
INSERT INTO complaints VALUES('8760','NADEEM AHMED','03455079160','H NO 58 KHAYABAN-E-TANVEER LANE NO 5 CHAKLALA SCHEME 3 RWP','9','21','0','SAMSUNG','15J5730SS-S',null,'31-MAY-2021',null,'WASHING MACHINE','WATER DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','1','8057','106','2021-08-07 16:36:49','2021-08-17 12:29:06',null,'1',null,'0');
INSERT INTO complaints VALUES('8761','DR AHMED','03324869009','H NO 4 ST NO 4 GULSHAN HUDDA SOCIETY PARK ROAD ISB','9','21','201124','ORIENT','0',null,'5-DEC-2020','18G-ROYAL-CW - 915','AIR CONDITIONER','ERROR F3',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-07 16:44:58','2021-08-11 11:34:22',null,'1',null,'0');
INSERT INTO complaints VALUES('8762','QAMAR ABBAS','03335360541','H NO 592 ST NO 69 SEC I/8-3 ISB','8','37','19347','ORIENT','REF TO KHURRAM SB',null,'5-JUL-2019','25AE2-SL - 917','AIR CONDITIONER','ERROR P4',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 13:11:44','2021-08-16 16:44:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8763','MUHAMMAD NAZIM','03011116737','H NO 208 ST NO 6 MOCHS SEC E/11-1 ISB','8','42','42803','HAIER','0',null,'3-OCT-2020','438IPB - 896','REFRIGERATOR','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 13:14:06','2021-08-11 11:39:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8764','COL IRFAN','03339156686','H NO 14A ASKARI 1 CHAKALALA SCHEME 3 RWP','6','15','20839','HAIER','0',null,'11-MAY-2019','12HNM-W-INV - 913','AIR CONDITIONER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-08 13:15:57','2021-08-08 13:15:57',null,'1',null,'0');
INSERT INTO complaints VALUES('8765','SOHAIL SB','03339541400','H NO 11 ST NO 5BLOCK D NAVAL ANCOURAGE ISB','4','5','21143','TCL','2011VLR301376A00190',null,'18-MAY-2021','65P615','FLAT PANEL TV','PANEL LINE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 13:18:36','2021-08-12 13:54:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8766','FAROOQ IQBAL','03346289289 , 03226001997','H NO 611 ST NO 2 BLOCK H PHASE 8 B.TOWN RWP','6','14','15224','SIGNATURE','REF TO WAQAS PWD',null,'4-JUL-2018','JX1-GR - 1708','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 13:20:20','2021-08-09 14:03:30',null,'1',null,'0');
INSERT INTO complaints VALUES('8767','MR HAMMAD','03223553266 , 03213034588','H NO 28E ST NO 57 SEC G/6-4 ISB','5','28','128403','HAIER','REF TO PTCL',null,'23-JAN-2021','18HFMAC','AIR CONDITIONER','SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 13:26:54','2021-08-13 16:37:42',null,'1',null,'0');
INSERT INTO complaints VALUES('8768','BUTT PWD','03115006051','FRIENDS HOME PWD ISB','4','7','0','HAIER','0',null,'0','65K6600UG - 1443','FLAT PANEL TV','REMOTE SENSOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 13:28:58','2021-08-12 11:52:55',null,'1',null,'0');
INSERT INTO complaints VALUES('8769','FARHAD SB','03008505897','CENTRAL SECRETARIAT ISB','6','12','36183','TCL','2103VLR301478A00479',null,'17-JUN-2021','32D310 - 936','FLAT PANEL TV','REF TO ADEEL BHR-7
NOT WORKING',null,'3',null,null,'customer','0',null,'73','2021-08-08 13:35:51','2021-08-08 13:35:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8770','FAKHYA SALEEM','03338727879','H NO 4 ST NO 2 ISLAMIA TOWN NEAR SHAMSABAD RWP','9','20','90495','DAWLANCE','0',null,'16-JUN-2014','30ES','AIR CONDITIONER','AMPERE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 13:40:19','2021-08-11 12:57:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8771','MR SOHAIL','03365183329 , 03345151677','SEC 3 KHAYABAN-E-SIRSYED RWP','9','19','216750','HAIER','0',null,'18-JUL-2021','18HFCN-W-INV','AIR CONDITIONER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-08 13:44:40','2021-08-08 13:44:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8772','AFZAAL SB','03005124690','H NO 64A AFFANDI COLONY NEAR ABBASI HIGH SCHOOL RWP','9','23','201971','GREE','REF TO RIFFAT FCP',null,'8-DEC-2020','9978EG-CB2 - 885','REFRIGERATOR','COOLING&GAS KIT',null,'3',null,null,'customer','1','8427','92','2021-08-08 13:46:02','2021-08-08 13:46:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8773','BILAL PWD','03335311234','FREINDS PWD NEAR TEHZEEB BAKERS SHOWROOM ISB','4','11','0','SAMSUNG','0',null,'0','40N5300','FLAT PANEL TV','NOT WORKING',null,'8',null,null,'customer','0',null,'73','2021-08-08 13:48:00','2021-08-21 13:49:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8774','BILAL','03335311234','FREINDS PWD NEAR TEHZEEB BAKERS SHOWROOM ISB','4','11','0','SAMSUNG','0',null,'0','55TU7000','FLAT PANEL TV','NOT WORKING',null,'4',null,null,'customer','0',null,'73','2021-08-08 13:49:01','2021-08-08 13:49:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8775','DR NADEEM','03009553999','H NO 44 ST NO 12 SEC E DHA1 RWP','6','12','17982','LG','0',null,'9-DEC-2018','4J6TMP8S-S - 899','WASHING MACHINE','DRUM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 13:52:32','2021-08-12 13:49:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8776','COL RASHEED','03009805980 , 03359805980','H NO 27 ST NO 2 SEC A DHA 2 ISB','6','12','22956','GREE','0',null,'5-SEP-2019','500FC - 993','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 13:54:38','2021-08-11 12:32:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8777','ARIF SB','03008568587 , 03337804828','H NO 235 ST NO 11 SEC E/11-1 ISB','8','37','27249','SIGNATURE','REF TO PTCL',null,'1-MAY-2018','SVF-HM95-BLK - 900','REFRIGERATOR','COOLING',null,'8',null,null,'customer','0',null,'73','2021-08-08 14:05:29','2021-08-21 15:58:54',null,'1',null,'0');
INSERT INTO complaints VALUES('8778','SHAHBAZ KHAN','03324004004','H NO 6 ST NO 16 SEC A DHA 1 RWP','6','15','22981','ORIENT','0',null,'7-SEP-2019','18G-CLASSIC-SW - 915','AIR CONDITIONER','PCB',null,'3',null,null,'customer','0',null,'73','2021-08-08 14:14:48','2021-08-08 14:14:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8779','ASAD ASRAR','03335110136','H NO 1710 ST NO 9/1 BLOCK D NPF O9 ISB','4','6','1405','SIGNATURE','REF TO KHURRAM SB',null,'5-NOV-2017','SWM-SR45 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 14:31:50','2021-08-17 12:03:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8780','YAWAR ABBAS','03003118533','H NO 260 ST NO 14 BLOCK D MEDIA TOWN ISB','4','6','0','SIGNATURE','REF TO KHURRAM SB',null,'OUT WARRANTY','SIDE BY SIDE','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 15:08:17','2021-08-08 16:57:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8781','MR AFZAL','03008834733','H NO 2032 ST NO 8/1 BLOCK F NPFO9 ISB','9','20','196269','SAMSUNG','0',null,'3-JUN-2017','50K51010S8','REFRIGERATOR','cooling',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 15:20:55','2021-08-10 14:26:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8782','HAMMAD BASHIR','03335518737','H NO 18 CHUGTAI STREET NEAR BAHRIA FOUNTAIN SCHOOL HIGH COURT ROAD RWP','9','19','121508','SIGNATURE','REF TO PTCL',null,'8-SEP-2016','MD99SS-S - 1723','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 15:38:44','2021-08-10 14:27:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8783','SAMRA WAQAR','03215222401','H NO 13 SUNMBAL ROAD SEC F/10-3 ISB','8','43','24120','ORIENT','REF TO PTCL',null,'12-JAN-2021','531OWR - 993','WATER DISPENSER','NOT WORKING',null,'3',null,null,'customer','0',null,'73','2021-08-08 15:48:11','2021-08-08 15:48:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8784','MR AWAIS','03335163313','H NO 5 NOOR STREET NEAR HTS MALL ADYALA ROAD RWP CANTT','9','19','195262','HAIER','0',null,'23-AUG-2020','438IPB - 896','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 16:07:46','2021-08-11 12:10:06',null,'1',null,'0');
INSERT INTO complaints VALUES('8785','MRS BURQI','03113110013','FRIENDS HOME WALLAYAT COMPLEX NEAR RABI CENTRE BHR-7 RWP','6','16','33698','DAWLANCE','0',null,'14-MAR-2021','132S-DW - 1200','MICROWAVE OVEN','HEATING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 16:21:59','2021-08-11 12:07:42',null,'1',null,'0');
INSERT INTO complaints VALUES('8786','SALMAN RIAZ','03109998723','H NO 188 ST NO 56D BLOCK PAEC HOUSING SOCIETY OPP CHAKBELI ROAD RAWAT ISB','8','43','21426','TCL','1910VLR300964A00009',null,'19-APR-2020','55P8M - 942','FLAT PANEL TV','REF TO IMRAN FCP
HANG',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 16:29:45','2021-08-13 14:20:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8787','DR ARSHAD','03335132607 , 03092244039','H NO 57/5 ST NO 3 NEAR NOSHAHI GALI NASEERABAD PESHAWAR ROAD ROAD','9','23','209680','XTREEM','788',null,'25-APR-2021',null,'BUILT IN APPLLIANCES','SPARKING',null,'5','COMPLAINT CLOSED',null,'customer','1','8239','73','2021-08-08 16:35:33','2021-08-11 10:52:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8788','MR MUARIJ','03495737044','H NO 22 ST NO 1 IQBAL TOWN RWP','9','22','51350','HAIER','0',null,'16-JUL-2021','12HFCF-W-INV - 913','AIR CONDITIONER','SWINGS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 16:40:14','2021-08-11 11:56:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8789','SH AZIZ','03065336880','H NO K512 ZAFARUL HAQ ROAD COMMETI CHOWK RWP','7','49','24288','ORIENT','0',null,'6-AUG-2021','12G-HYPER-SW - 913','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 16:52:04','2021-08-09 13:40:23',null,'1',null,'0');
INSERT INTO complaints VALUES('8790','IMRAN GUL','03335241102','H NO 6 ST NO 13 SEC A DHA 2 ISB','8','37','51887','ORIENT','REF TO SAQLAIN FHHS',null,'2-AUG-2021','CRYSTAL3-SR','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 17:00:34','2021-08-11 15:07:54',null,'1',null,'0');
INSERT INTO complaints VALUES('8791','ABDUL JABBAR','03345099198','H NO 672 ST NO 2 SEC I/9-1 ISB','9','20','167907','SAMSUNG','REF TO SAQLAIN FHHS',null,'24-MAR-2019','80J4260-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','8529','73','2021-08-08 17:04:46','2021-08-11 12:47:19',null,'1',null,'0');
INSERT INTO complaints VALUES('8792','MRS BABAR','03009542989, 03335710078','H NO 285 ST NO 14 CHAKLALA SCHEME 3 RWP','9','19','50065','SUPER ASIA','PEL DISPENCER',null,'13-JUN-2021','115PB CURVED','WATER DISPENSER','REF TO PTCL
WATER LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 17:13:39','2021-08-11 11:02:03',null,'1',null,'0');
INSERT INTO complaints VALUES('8793','MRS NAJAM','03232019894','H NO 102 ST NO 13 BLOCK D PHASE CBR TOWN ISB','8','37','13885','SAMSUNG','REF TO PTCL',null,'3-DEC-2015','9KG','WASHING MACHINE','WATER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-08 17:36:07','2021-08-11 12:46:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8794','AYAAZ KHAN','03339158599','H NO 255 ST NO 44 SAFARI HOMES PHASE 8 B.TOWN RWP','6','15','34242','ORIENT','0',null,'11-APR-2021','12G-HYPER-SW - 913','AIR CONDITIONER','COOLING',null,'4',null,null,'customer','0',null,'73','2021-08-09 11:01:31','2021-08-09 11:01:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8795','MUHAMMAD IJAZ','03475377443','H NO 90D SUNSET ST SUNSET GREENS AVENUE PARK ROAD ISB','8','42','43067','FIVE STAR','0',null,'18-OCT-2020','25G-TWIN','GEYSER','PILOT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 11:04:32','2021-08-11 17:04:59',null,'1',null,'0');
INSERT INTO complaints VALUES('8796','MR SAAD','03009542911','H NO 181A GARDENIA STREET SAFARI VILLAS 2 ISB','6','12','34231','SAMSUNG','0DNW4DBN100063',null,'11-APR-2021','RT46K6040UT','REFRIGERATOR','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-09 11:07:44','2021-08-09 11:07:44',null,'1',null,'0');
INSERT INTO complaints VALUES('8797','MR TAHA','03359193663','H NO 8300 HILL ROAD OPP MARKET PHASE 6 B.TOWN RWP','4','5','21721','LG','REF TO ADIL I/10',null,'8-JUN-2021','1788NEHTE-C','WASHING MACHINE','NOT WORKING',null,'8',null,null,'customer','0',null,'73','2021-08-09 11:10:59','2021-08-21 13:18:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8798','NASIR ABBAS','03243000082','ST NO 67 H NO 493 UPPER PORTION SEC I/8-3 ISB','9','19','173854','SAMSUNG','0',null,'27-JUN-2019','49NU7100-S - 1629','FLAT PANEL TV','BACKLIGHTS',null,'4',null,null,'customer','0',null,'73','2021-08-09 11:13:29','2021-08-09 11:13:50',null,'1',null,'0');
INSERT INTO complaints VALUES('8799','DR SOHAIL','03315751410','H NO 134 ST NO 10 SEC E7 ISB','5','30','127564','SIGNATURE','0',null,'29-DEC-2020','HC-3764G - 1122','BUILT IN APPLLIANCES','BURNER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 11:17:35','2021-08-10 14:29:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8800','HASNAIN','03008357024','H NO 468 ST NO 1 AFSHAN COLONY NEAR ZIARAT RANGE ROAD RWP CANTT','7','49','24240','ORIENT','CRYSTAL3-SR',null,'29-JUL-2021',null,'WATER DISPENSER','COOLING',null,'3',null,null,'customer','1','8572','106','2021-08-09 11:24:06','2021-08-09 11:24:06',null,'1',null,'0');
INSERT INTO complaints VALUES('8801','BRIG NAVEED','03215032828','H NO 44 LANE NO 3 ASKARI 11 NEAR QASIM MARKET RWP','8','37','0','PANASONIC','REF TO PTCL',null,'OUT WARRANTY','PANASONIC','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 11:27:15','2021-08-13 14:02:52',null,'1',null,'0');
INSERT INTO complaints VALUES('8802','ATIQ AHMED','03015568841','H NO 1823 ST NO 61 PHASE 3 B.TOWN RWP','9','19','214517','KENWOOD','REF TO CHAT SERVICES',null,'22-JUN-2021','1224HC-INV - 913','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 11:29:50','2021-08-11 12:45:46',null,'1',null,'0');
INSERT INTO complaints VALUES('8803','IKHLAQ AWAN','03345432512','ST NO 8B NEAR PSO PUMP KHAYYAM TOWN SEC H13 ISB','5','30','129127','TCL','2010VLR1325A00433',null,'10-FEB-2021','40D3000 - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 11:36:35','2021-08-13 13:59:20',null,'1',null,'0');
INSERT INTO complaints VALUES('8804','UMAIR HAMZA','03334393839','MID CITY MALL REHMANABAD RWP','8','39','47103','PANASONIC','0',null,'16-MAR-2021','18WKF-9','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 11:44:25','2021-08-10 13:22:21',null,'1',null,'0');
INSERT INTO complaints VALUES('8805','SHAHBAZ','03361502154','H NO 78 ST NO 28 SEC A DHA1 RWP','9','26','200975','CANON','REF TO ADEEL BHR-7',null,'5-DEC-2020','321SB','BUILT IN APPLLIANCES','BURNER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 11:46:37','2021-08-13 13:56:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8806','BILAL','03315420488','FRIENDS GULNOOR MARKET RWP','9','19','0','HAIER','REF TO BILAL FCP',null,'0','24HFCD','AIR CONDITIONER','COVER',null,'3',null,null,'customer','0',null,'73','2021-08-09 11:49:52','2021-08-09 11:49:52',null,'1',null,'0');
INSERT INTO complaints VALUES('8807','IMRAN','03315420488','FRIENDS GULNOOR MARKET RWP','9','51','0','HAIER','0',null,'0','42INCHES','FLAT PANEL TV','PANEL DOT',null,'3',null,null,'customer','0',null,'73','2021-08-09 11:51:41','2021-08-09 11:51:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8808','ABRAR HUSSAIN','03362222572','H NO CD145 NEW AFSHAN COLONY OPP HAKIM PLAZA RANGE ROAD  RWP','9','19','217203','CARAVELL','REF TO SAQIB FCP',null,'25-JUL-2021','115PB','WATER DISPENSER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-09 11:56:16','2021-08-09 11:56:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8809','SAAD HAMEED','03009722899','H NO 247 SEC 2 ST NO 10 AIRPORT HOUSING SOCIETY RWP','9','21','217141','KENWOOD','0',null,'20-JUL-2021','950SA - 901','WASHING MACHINE','DRYER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 11:59:46','2021-08-12 15:29:57',null,'1',null,'0');
INSERT INTO complaints VALUES('8810','BRIG NASIR','03235226635','H NO 10 LANE NO 6 SEC G DHA2 ISB','6','15','25987','HAIER','0',null,'5-FEB-2020','12HNF-G INV - 913','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 12:02:18','2021-08-17 13:05:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8811','MISS SAIRA','03360016021','HAROON CHOWK NEAR TUBEWELL SADIQABAD RWP','8','40','41577','HAIER','0',null,'6-AUG-2020','438IDBT - 896','REFRIGERATOR','EARTH',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 12:09:17','2021-08-12 14:45:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8812','SAQIB RAZZAQ','03345047000','H NO 498 ST NO 105 MODEL TOWN NEAR YAMAHA CHOWK HUMAK','6','16','37474','BOSCH','0',null,'4-AUG-2021','20260GC - 880','WASHING MACHINE','MOVEMENT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 12:14:25','2021-08-12 14:43:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8813','MUHAMMAD HAMZA','03030600084 , 03007142877','H NO D7 SEC D TIPU BULYWARD DHA2 ISB','4','5','12904','PANASONIC','REF TO PTCL',null,'25-JAN-2020','40MSAS-S - 884','REFRIGERATOR','NOT WORKING',null,'4',null,null,'customer','0',null,'73','2021-08-09 12:17:21','2021-08-09 12:17:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8814','MR ALMAS','0512363106','ST NO 24 H NO 1134 SEC G/11-1 ISB','5','28','138196','SIGNATURE','REF TO ABU BAKAR FCI',null,'30-JUL-2021','HC-3871S','BUILT IN APPLLIANCES','FLAME',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 12:25:03','2021-08-09 16:56:30',null,'1',null,'0');
INSERT INTO complaints VALUES('8815','SAAD IQBAL','03335460110','H NO 1ST NO 15 NEAR SERVICE ROAD  BHATTI TOWN GULBERG GREEN ISB','8','37','34551','KENWOOD','REF TO ADEEL BHR-7',null,'22-APR-2021','2445FH','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 12:35:11','2021-08-13 13:51:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8816','MR IJAZ','03122666677','FARM NO 21A ST NO 6 CHAK SHAHZAD ISB','8','40','47045','DAWLANCE','0',null,'14-MAR-2021','45ELEGEANCE','AIR CONDITIONER','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 12:39:54','2021-08-13 12:06:38',null,'1',null,'0');
INSERT INTO complaints VALUES('8817','AGNITUS PVT','03325784810','H NO 5 LANE NO 5 SEC E DHA2 ISB','6','12','37295','KENWOOD','REF TO ADIL I/10',null,'27-JUL-2021','2442FH-IMPERIAL','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 12:45:16','2021-08-13 16:23:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8818','MR ZUAHAIB','03325311891 , 03458561761','FLAT 1-C BLOCK 7 ASKARI  TOWER 2DHA ISB','6','15','36925','GREE','0',null,'13-JUL-2021','18PITH2W','AIR CONDITIONER','CIRCUIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 12:48:38','2021-08-11 12:42:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8819','AZEEM SB','03315420488','FRIENDS GULNOOR MARKET RWP','9','24','0','HAIER','0',null,'0','18HFCF','AIR CONDITIONER','REMOTE',null,'3',null,null,'customer','0',null,'73','2021-08-09 12:54:39','2021-08-09 12:54:39',null,'1',null,'0');
INSERT INTO complaints VALUES('8820','ABDUL HAFEEZ','03335121624','FLAT 14 ST NO 32 POLICE BLOCK SEC G/8-4 ISB','4','5','5418','SIGNATURE','REF TO PTCL CALL',null,'23-SEP-2018','SWM-SJ40 - 1548','WASHING MACHINE','NOT WORKING',null,'4',null,null,'customer','0',null,'73','2021-08-09 13:04:10','2021-08-09 13:04:24',null,'1',null,'0');
INSERT INTO complaints VALUES('8821','MALIK AMEEN','03008560489','H NO 7 ST NO 30 SEC F/7-1 ISB','5','36','101499','ORIENT','0',null,'10-JAN-2019','531BL - 993','WATER DISPENSER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 13:04:53','2021-08-12 14:40:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8822','AMEEN MALIK','03008560489','H NO 7 ST NO 30 SEC F/7-1 ISB','5','36','99103','SIGNATURE','0',null,'10-NOV-2018','SCR-FSS3-5G - 1076','COOKING RANGE','NOT WORKING',null,'7',null,null,'customer','0',null,'73','2021-08-09 13:06:00','2021-08-22 14:46:59',null,'1',null,'0');
INSERT INTO complaints VALUES('8823','BILAL AHMED','03215383346, 03335148844','OFFICE NO 220 2ND FLOOR SHAUKAT COMPLEX BLOCK 8 SEC F6 ISB','8','37','0','MITSUBISHI','REF TO PTCL',null,'23-MAR-2021','50VA - 915','AIR CONDITIONER','GAS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 13:42:09','2021-08-12 14:35:24',null,'1',null,'0');
INSERT INTO complaints VALUES('8824','MRS UZMA','03345814527 , 03335121624','H NO 12 ST NO 8 LILY ROAD BLOCK F SOAN GARDEN ISB','4','5','0','HAIER','REF TO PTCL',null,'13-APR-2021','18HFPCA-G','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 13:55:11','2021-08-13 12:51:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8825','MRS MUDASSIR','03335479632','917A ST 51 PHASE 2 BAHRIA TOWN','4','5','0','SIGNATURE','REF TO PTCL CALL',null,'ON PAYMENT','FRONT LOAD','WASHING MACHINE','DOOR ISSUE',null,'4',null,null,'customer','0',null,'73','2021-08-09 14:00:06','2021-08-09 14:00:28',null,'1',null,'0');
INSERT INTO complaints VALUES('8826','SAMI AHMED','03318126912 , 03335340595','OFFICE NO 209 2ND FLOOR PLAZA NO 181 ADJUCENT BANK ALHABIB CIVIC CNTRE PHASE 4 B.TOWN RWP','8','37','50940','HAIER','0',null,'6-JUL-2021','12HFCF-W-INV - 913','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 14:02:59','2021-08-13 12:47:19',null,'1',null,'0');
INSERT INTO complaints VALUES('8827','NADIA IZHAR','03455030579','H NO 20 ST NO 4 BLOCK A SOAN GARDEN ISB','4','5','20855','WAVES','REF TO NAFEES FHHS',null,'3-MAY-2021','309WDF-SS','FREEZER','SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 14:18:04','2021-08-13 13:02:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8828','USMAN KHALID','03335224448','H NO 9 ST NO 19 SEC F/6-2 ISB','8','37','48259','SONY','0',null,'2-MAY-2021','55X7500H-CC','FLAT PANEL TV','INTERNET',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 14:23:31','2021-08-11 12:36:15',null,'1',null,'0');
INSERT INTO complaints VALUES('8829','MRS ATTIYA','03135060046','H NO 77 ST NO 33A SEC I/10-2 ISB','9','26','198667','CORONA','0',null,'3-NOV-2020','351C - 1533','COOKING RANGE','NOB AND LIGHT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 14:35:22','2021-08-17 16:05:42',null,'1',null,'0');
INSERT INTO complaints VALUES('8830','SHARAQAT','03008544580','APP NO 6 EHTIZAZ PLAZA DIPLOMATIC ENCLAVE ISB','5','34','132863','SIGNATURE','0',null,'6-MAY-2021','SBH-AC700G - 1122','BUILT IN APPLLIANCES','BURNER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 14:36:02','2021-08-17 15:36:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8831','NASIR KHURSHID','03455400074','H NO 1206 ST NO 40 SEC G/10-4 ISB','8','42','51952','ORIENT','REF TO PTCL',null,'4-AUG-2021','CRYSTAL3-SR','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 14:44:09','2021-08-16 15:35:50',null,'1',null,'0');
INSERT INTO complaints VALUES('8832','AMIR WAQAS','03335145058','H NO 1474 NEAR TAYYABA MASJID RAWAL TOWN RWP CANTT','9','20','199625','ORIENT','0',null,'22-NOV-2020','AUTO8 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','1','8405','73','2021-08-09 14:49:45','2021-08-12 13:44:55',null,'1',null,'0');
INSERT INTO complaints VALUES('8833','USMAN BUTT','03219454980','MAIN BOLYWARD ECHS H NO K24-K25 SEC D18 ISB','9','26','209881','HAIER','0',null,'28-APR-2021','150-1678HWM - 1484','WASHING MACHINE','SOUND PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 15:06:33','2021-08-12 12:18:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8834','COL RASHID','03365523126','H NO 273A NAZIMUDDIN ROAD SEC F/10-1 ISB','5','32','82938','SAMSUNG','0',null,'8-APR-2017','1STMG - 903','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 15:20:04','2021-08-12 13:48:39',null,'1',null,'0');
INSERT INTO complaints VALUES('8835','USAMA SADIQ','03365287548','1ST FLOOR PLAZA NO 120 SPRING NORTH PHASE 7 B.TOWN','6','15','35960','HAIER','0',null,'10-JUN-2021','206W','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 15:23:40','2021-08-12 12:13:46',null,'1',null,'0');
INSERT INTO complaints VALUES('8836','CH ZAFAR','03005128136','H NO 204 ST NO 8 PHASE 3 GULRAIZ RWP','6','15','32957','FIVE STAR','MAX RANGE',null,'3-FEB-2021','10000MC','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 15:42:14','2021-08-17 12:02:42',null,'1',null,'0');
INSERT INTO complaints VALUES('8837','YU KON BUILDERS','03048247794','DHA 2 ISB','9','26','218003','SIGNATURE','0',null,'9-AUG-2021','A5','BUILT IN APPLLIANCES','GLASS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 15:54:45','2021-08-09 16:54:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8838','ADNAN OMER','03015523346','H NO 107C LILY ROAD PHASE 2S B.TOWN RWP','8','37','22466','FISCHER','REF TO TAHA SOHAIL',null,'6-JUN-2020','65GF - 1220','WATER COOLER','EARTH',null,'5','COMPLAINT CLOSED',null,'customer','1','8321','73','2021-08-09 16:09:40','2021-08-12 13:20:44',null,'1',null,'0');
INSERT INTO complaints VALUES('8839','BILAL','03115006051','FRIENDS HOME PWD ISB','4','11','23111','HAIER','0',null,'1-AUG-2021','100B-14876','WASHING MACHINE','DRUM',null,'3',null,null,'customer','0',null,'73','2021-08-09 16:36:27','2021-08-09 16:36:27',null,'1',null,'0');
INSERT INTO complaints VALUES('8840','MR SAQIB','03215867877','H NO 319 ST NO 3 PHASE 4 GULRAIZ RWP','4','11','18668','HAIER','0',null,'12-DEC-2020','18HFBG-INV','AIR CONDITIONER','SOUND',null,'3',null,null,'customer','0',null,'73','2021-08-09 16:56:40','2021-08-09 16:56:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8841','AMIR ILYAS','03008554400 , 03327604740','H NO 8A ST NO 13 SEC C BAHRIA ENCLAVE ISB','10','45','0','SAMSUNG','C/O SADDIQ SB',null,'0','VERTICAL FREEZER','FREEZER','COOLING',null,'8',null,null,'customer','0',null,'73','2021-08-09 17:16:49','2021-08-12 13:40:27',null,'1',null,'0');
INSERT INTO complaints VALUES('8842','AMIR ILYAS','03008554400 , 03327604740','H NO 8A ST NO 13 SEC C BAHRIA ENCLAVE ISB','10','45','0','CARAVELL','C/O SADDIQ SB',null,'0','CHILLER','CHILLER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-09 17:20:08','2021-08-09 17:20:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8843','DR ANAS','03008696717','FRASH TOWN PHASE 2 ISB','9','19','126794','SIGNATURE','REF TO PTCL',null,'16-JAN-2017','55WB-B - 887','REFRIGERATOR','COOLING',null,'7',null,null,'customer','0',null,'73','2021-08-09 17:51:55','2021-08-23 11:56:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8844','MUHAMMAD ASLAM','03335207659','H NO 593A ST NO 50 SEC I/8-2 ISB','5','33','67897','DAWLANCE','0',null,'21-MAY-2015','1035WBSS-VF - 689','FREEZER','LIGHT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-09 17:56:55','2021-08-12 12:01:58',null,'1',null,'0');
INSERT INTO complaints VALUES('8845','MISS SAIRA','+923342679900','HO#55 ST#04 EXCUTIVE LODGES PHASE 03 B. TOWN','6','16','30572','MAX','0',null,'19-NOV-2020','35G-TWIN-FS - 1759','GEYSER','TANK ISSUE',null,'8',null,null,'customer','0',null,'106','2021-08-09 18:07:20','2021-08-11 17:22:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8846','MRS MUSARRAT','03235457244','NEAR CALTEX ROAD KHAWAJA CORPORATION ADYALA ROAD RWP','9','21','217080','DAWLANCE','0',null,'20-JUL-2021','1035WBGDAVANTE+EG','FREEZER','LIGHT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-10 10:34:17','2021-08-13 12:46:52',null,'1',null,'0');
INSERT INTO complaints VALUES('8847','OMER NIAZI','03212025202','APP NO 8.0 SPD FLATS DCI SEC E10 ISB','5','29','123653','TCL','2007VLR301224A00084',null,'6-NOV-2020','55P715','FLAT PANEL TV','ON OFF',null,'3',null,null,'customer','0',null,'73','2021-08-10 10:48:23','2021-08-10 10:48:23',null,'1',null,'0');
INSERT INTO complaints VALUES('8848','DANISH RAFIQ','03345773311','H NO 128 FICUS ROAD SAFARI VILLA 2 BTOWN RWP','6','16','37485','HAIER','0',null,'5-AUG-2021','95-1678HWM - 1817','WASHING MACHINE','DRYER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-10 10:52:56','2021-08-13 12:26:21',null,'1',null,'0');
INSERT INTO complaints VALUES('8849','MAJ KHALID','03024260274','H NO 2 HALI ROAD WESTRIDGE 1 RWP','9','19','130230','SIGNATURE','REF TO PTCL',null,'30-MAR-2017','SVF-SY40N - 1468','FREEZER','COOLING',null,'4',null,null,'customer','0',null,'73','2021-08-10 10:56:49','2021-08-10 10:57:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8850','JUNAID KHAN','03319162062','H NO 199 ST NO 19 SEC I/9-1 ISB','9','26','203770','LG','0',null,'12-JAN-2021','4V5RGP2T-S - 899','WASHING MACHINE','NOT WORKING',null,'4',null,null,'customer','0',null,'73','2021-08-10 11:47:09','2021-08-10 11:47:49',null,'1',null,'0');
INSERT INTO complaints VALUES('8851','WAJID SB','03315777163 , 03008506253','H NO 765E LAKE ROAD KUNWAR BLOCK TOPCITY1 NEAR MUMTAZ CITY ISB','5','29','138434','PANASONIC','REF TO AZHAR RAMZAN',null,'4-AUG-2021','18WKF-9 (10PC)','AIR CONDITIONER','COMPRESSOR&FAN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-10 12:12:53','2021-08-13 12:34:38',null,'1',null,'0');
INSERT INTO complaints VALUES('8852','AHMED FARAZ','03217969797','H NO 799 ST NO 17 BLOCK C PWD ISB','4','5','9246','TCL','1703VLR300360A00116',null,'11-JUN-2017','43P1FS - 869','FLAT PANEL TV','INTERNET',null,'3',null,null,'customer','0',null,'73','2021-08-10 12:15:34','2021-08-10 12:15:34',null,'1',null,'0');
INSERT INTO complaints VALUES('8853','MASOOD SB','03215897950 , 03335234730','H NO 576 ST NO 43 SEC G/10-4 ISB','9','23','192975','CANON','REF TO PTCL',null,'16-JUL-2020','204B','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-10 12:32:36','2021-08-13 12:28:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8854','MALIK SHAKEEEL','03365287315','136A NEAR MEDIACAL COLLEGE TIPU ROAD CAHMANZAR COLONY RWP','9','19','217834','HAIER','0',null,'4-AUG-2021','100AS-WM - 69','WASHING MACHINE','DRAIN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-10 12:41:56','2021-08-13 12:21:54',null,'1',null,'0');
INSERT INTO complaints VALUES('8855','WAJAHAT KAMAL','03132570014','OEC TOWER MAUV AREA SEC G/9-3 ISB','8','37','51384','HAIER','2PC',null,'17-JUL-2021','12HFCF , 18HFCF','AIR CONDITIONER','COOLING',null,'5','RESOLVED',null,'customer','0',null,'73','2021-08-10 13:09:30','2021-08-21 16:53:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8856','AZEEM SB','03315420488','FRIENDS GULNOOR MARKET RWP','9','19','0','HAIER','REF TO AZEEM SB',null,'0','245SD - 955','FREEZER','TOP DAMAGED',null,'3',null,null,'customer','0',null,'73','2021-08-10 13:24:22','2021-08-10 13:24:22',null,'1',null,'0');
INSERT INTO complaints VALUES('8857','MR UMER','0512351267 , 03345451859','H NO 491 GALI NO 9 SEC G/10-1 ISB','5','28','187439','HAIER','REF TO PTCL',null,'8-MAR-2019','438IDBT - 896','REFRIGERATOR','LIGHT PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-10 13:43:18','2021-08-13 11:53:17',null,'1',null,'0');
INSERT INTO complaints VALUES('8858','AHSAN KHAN','03084152626','H NO 2 ZAMAN PARK CANAL BANK ROAD LAHORE','6','12','37262','SONY','0',null,'26-JUL-2021','65A8H-CC','FLAT PANEL TV','ON OFF',null,'8',null,null,'customer','0',null,'73','2021-08-10 13:58:03','2021-08-10 15:33:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8859','NASRULLAH SB','03054700078','H NO SD1 GRACEY LANE NEAR OLD AIRPORT CHAKLALA CANTT RWP','9','23','209123','GREE','0',null,'12-APR-2021','9978EG-CW3 - 885','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-10 14:04:09','2021-08-13 12:09:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8860','DR SUFYAN','03335161345','H NO 11 ST NO 12 SEC E DHA 1 RWP','9','19','139382','SIGNATURE','0',null,'21-AUG-2017','SVF-CG1SS - 956','FREEZER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-10 14:12:05','2021-08-12 13:34:13',null,'1',null,'0');
INSERT INTO complaints VALUES('8861','MR SAQLAIN','03335155585','H NO 143 ST NO 29 BLOCK C PWD ISB','4','8','6791','TCL','1810VLR300658A00260',null,'16-DEC-2018','40S6500 - 938','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-10 14:28:45','2021-08-13 12:06:47',null,'1',null,'0');
INSERT INTO complaints VALUES('8862','FAZAL HAQ','03005194823','H NO 15 ST NO 15 ASKARI 7 ADYALA ROAD RWP','9','24','208537','HAIER','0',null,'4-APR-2021','18HFMAD','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-10 14:32:17','2021-08-13 12:01:58',null,'1',null,'0');
INSERT INTO complaints VALUES('8863','KHADIM HUSSAIN','03121863737 , 03328900617','DHOK HASSI TARNOL FATEH JUNG ROAD SEC F/17 ISB','9','19','214825','SUPER ASIA','REF TO SAQIB FCP',null,'27-JUN-2021','5000ECM - 309','AIR COOLER','LEAKAGE',null,'3',null,null,'customer','0',null,'73','2021-08-10 14:43:58','2021-08-10 14:43:58',null,'1',null,'0');
INSERT INTO complaints VALUES('8864','OMAR BABAR','03338018010','H NO 85 ST NO 49 SEC D/12-2 ISB','5','28','79947','SIGNATURE','REF TO PTCL',null,'3-DEC-2016','SCR-FSB3-5G - 1605','COOKING RANGE','BURNER',null,'4',null,null,'customer','0',null,'73','2021-08-10 15:18:56','2021-08-10 15:19:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8865','CH IMRAN','03065050684','RIVER STAR BLOCK NO 29A CIVIC CENTRE PHASE 4 B.TOWN RWP','4','5','19764','SIGNATURE','REF TO NAFEES PWD',null,'24-FEB-2021','SRF-MD29-W - 1980','REFRIGERATOR','COOLING',null,'7',null,null,'customer','0',null,'73','2021-08-10 15:22:48','2021-08-13 16:35:49',null,'1',null,'0');
INSERT INTO complaints VALUES('8866','REHMAT ALI','03315511739','PARK ROAD CHAK SHAHZAD NARC HOSTEL ISB','5','28','133858','MAX','REF TO ABU BAKAR FCI',null,'31-MAY-2021','5500MC','COOKING RANGE','NOBS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-10 15:27:55','2021-08-11 17:03:36',null,'1',null,'0');
INSERT INTO complaints VALUES('8867','HARIS ALI','03429556700','NEAR DUBAI ISLAMIC BANK WALLAYAT COMPLEX PHASE 7 B.TOWN RWP','6','16','33317','ORIENT','0',null,'23-FEB-2021','18G-ORBIT - 915','AIR CONDITIONER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-10 15:32:29','2021-08-10 15:32:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8868','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','WHIRLPOOL','REF TO AZHAR RAMZAN',null,'0','418DX-HC INV - 915','AIR CONDITIONER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-10 16:14:05','2021-08-10 16:14:05',null,'1',null,'0');
INSERT INTO complaints VALUES('8869','KHIZER HAYAT','03335518887','H NO 456-H STNO 57 SEC I/8-3 ISB','5','32','138353','HAIER','0',null,'2-AUG-2021','438EBD - 896','REFRIGERATOR','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-10 16:25:35','2021-08-13 11:58:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8870','MR SHERAZ','03461083912','H NO 180 ST NO 3 SIRSYED ROAD 5SARKI RWP','9','19','161457','HAIER','0',null,'24-NOV-2018','120-1678HWM - 906','WASHING MACHINE','DRAIN',null,'3',null,null,'customer','0',null,'73','2021-08-10 16:30:35','2021-08-10 16:30:35',null,'1',null,'0');
INSERT INTO complaints VALUES('8871','SAJID SB','0518445463','PLOT#81f st#6 sec i/10-3 isb','8','37','0','BOSCH','REF TO KHURRAM SB (SAJID SB)',null,'0','12TQ50M','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-10 17:02:59','2021-08-11 12:34:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8872','AZEEM SB','03315420488','FREINDS GULNOOR SHOWROOM MURREE ROAD RWP','9','19','0','KENWOOD','0',null,'0','480GD-GNG - 885','REFRIGERATOR','TOP DAMAGED',null,'3',null,null,'customer','0',null,'73','2021-08-10 17:26:29','2021-08-10 17:26:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8873','BRIG HAMID','03213001133','H NO 327 ST NO 18 SEC F DEFENCE VILLAS PHASE 7 B.TOWN RWP','6','15','24510','SIGNATURE','0',null,'13-DEC-2019','SWM-JD50C - 902','WASHING MACHINE','E4 ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-10 17:57:47','2021-08-13 17:14:52',null,'1',null,'0');
INSERT INTO complaints VALUES('8874','RAFIA MAZHAR','03225305575','H NO 64 ST NO  4 WESTRIDGE 1 NEAR RAFAY MALL RWP CANTT','7','49','24249','HAIER','REF TO ATIF SADDAR',null,'31-JUL-2021','18HFCF','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-10 18:03:38','2021-08-13 12:38:27',null,'1',null,'0');
INSERT INTO complaints VALUES('8875','MR MUSTAQ','03465506906 , 03335470436','LUCKY BAKERY NEAR POST OFFICE CHAH SULTAN CHOWK RAWAL ROAD RWP','9','19','213685','DAWLANCE','0',null,'13-JUN-2021','9150LFGD-BRN','REFRIGERATOR','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 10:14:34','2021-08-17 15:20:34',null,'1',null,'0');
INSERT INTO complaints VALUES('8876','MR WAQAS','03047779983','H NO 1107 ST NO 43 SEC C B.TOWN PHASE 8 RWP','8','42','2857','SIGNATURE','0',null,'12-MAR-2018','MT9R - 1124','BUILT IN APPLLIANCES','SPARKING',null,'7',null,null,'customer','0',null,'73','2021-08-11 10:17:55','2021-08-23 11:59:44',null,'1',null,'0');
INSERT INTO complaints VALUES('8877','JAVAID AKHTER','03455224821','H NO 5532 LANE 1 OPP FAUJI FOUNDATION SCHOOL NEW LALAZAR  RWP','9','22','163704','LG','REF TO ADIL FHHS',null,'26-DEC-2018','1066NEFTW-S - 902','WASHING MACHINE','ERROR PI',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 10:23:49','2021-08-17 15:35:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8878','ABID KIYANI','03335005959','MARGALLA TOWN ISB','9','20','217148','PANASONIC','REF TO SADDIQ SB(khurram sb)',null,'24-JUL-2021','18WKF-9','AIR CONDITIONER','AMPERE',null,'3',null,null,'customer','0',null,'73','2021-08-11 10:37:04','2021-08-11 10:37:04',null,'1',null,'0');
INSERT INTO complaints VALUES('8879','M HUSSAIN','03009737646','H NO 88 NATIONAL HOUSING SCHEME 1 NEAR AWAN CNG ADYALA ROAD RWP','9','51','163735','TCL','1811VLR300668A00141',null,'27-DEC-2018','40S6500 - 938','FLAT PANEL TV','INTERNET',null,'3',null,null,'customer','0',null,'73','2021-08-11 10:40:45','2021-08-11 10:40:45',null,'1',null,'0');
INSERT INTO complaints VALUES('8880','MUHAMMAD ANEES','03405744712 , 03365017591','H NO 376 ST NO 25 SEC I/8-2 ISB','9','26','1538','HAIER','REF TO PTCL',null,'17-MAR-2021','622IBG - 908','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','1','8355','73','2021-08-11 10:43:14','2021-08-17 11:45:55',null,'1',null,'0');
INSERT INTO complaints VALUES('8881','NAYAR IQBAL','03458540741','H NO 224 ST NO 3 SERVICE ROAD NORTH D/12-3 ISB','8','39','48853','PANASONIC','0',null,'20-MAY-2021','24WKF','AIR CONDITIONER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-11 10:56:35','2021-08-11 10:56:35',null,'1',null,'0');
INSERT INTO complaints VALUES('8882','MRS AKBAR','03358103993','H NO 266 ST NO 38 SEC F DHA 1 RWP','8','37','34860','DAWLANCE','REF TO ADEEL BHR-7',null,'3-MAY-2021','91996GD-INV-BROWN - 885','REFRIGERATOR','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 11:17:53','2021-08-16 13:56:27',null,'1',null,'0');
INSERT INTO complaints VALUES('8883','SAIF BURKI','03235878787','H NO 155 BANK ROAD NEAR SIGNAL MESS  SADDAR RWP','7','49','21902','ORIENT','0',null,'29-SEP-2020','531BL - 993','WATER DISPENSER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-11 11:30:09','2021-08-11 11:30:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8884','GHULAMMURTAZA','03369912744','ABDULLAH TOWN BARAKAHO ISB','9','23','216797','HAIER','0',null,'18-JUL-2021','18HFPAA-B','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 11:47:49','2021-08-16 13:49:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8885','M AZAM','03335170785','FLAT NO 1 BLOCK 23 PRIME MINISTER STAFF COLONY SEC G/5 ISB','5','28','133797','HAIER','398IDBA',null,'28-MAY-2021',null,'REFRIGERATOR','REF TO PTCL
LEAKAGE',null,'3',null,null,'customer','1','8414','73','2021-08-11 12:02:11','2021-08-11 12:02:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8886','ASAD KHATTAK','03059055567','H NO 230 ST NO 76 SEC F/11-1 ISB','5','36','137182','SIGNATURE','0',null,'10-JUL-2021','C595','COOKING RANGE','BURNERS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 12:04:19','2021-08-17 11:44:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8887','ZAID ABBASI','03455933367','CB2166 MUNAWAR STREET ZEESHAN COLONY DHOK CHAUDRIAN NEAR QASIM MARKET WP','9','23','90407','LG','0',null,'15-JUN-2014','32LN542P','FLAT PANEL TV','PANEL DOT',null,'4',null,null,'customer','0',null,'73','2021-08-11 12:12:19','2021-08-11 12:13:28',null,'1',null,'0');
INSERT INTO complaints VALUES('8888','RIAZ AHMED','03215148096','H NO 14 ST NO 42 SEC F/8-1 ISB','5','30','105590','DAWLANCE','0',null,'3-JUN-2019','30INSPIRE PLUS INVERTER - 915','AIR CONDITIONER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-11 12:16:20','2021-08-11 12:16:20',null,'1',null,'0');
INSERT INTO complaints VALUES('8889','IMRAN SB','03005068485','ST NO 9 ABID MAJEED ROAD AZIZABAD RWP','9','51','178047','TCL','1906VLR300876A00492',null,'31-AUG-2019','40D3000 - 938','FLAT PANEL TV','DISPLAY',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 12:31:42','2021-08-17 15:13:38',null,'1',null,'0');
INSERT INTO complaints VALUES('8890','MR IMRAN','03135000064 , 0514866007','H NO 24C ST NO 94/222 SULTAN COLONY SEC I/8-4 ISB','5','36','65926','LG','0',null,'9-FEB-2015','257JSXN - 911','REFRIGERATOR','COOLING',null,'8',null,null,'customer','0',null,'73','2021-08-11 13:01:30','2021-08-17 15:15:05',null,'1',null,'0');
INSERT INTO complaints VALUES('8891','ALI SB','03218424483','H NO 57C LANE NO 6 ASKARI2 RWP','6','15','13268','TCL','1712VLR300418A00003',null,'26-MAR-2018','65P6US - 1443','FLAT PANEL TV','DISPLAY',null,'3',null,null,'customer','0',null,'73','2021-08-11 13:05:56','2021-08-11 13:05:56',null,'1',null,'0');
INSERT INTO complaints VALUES('8892','OSAMA AZHAR','03145632117','H NO 607 ST NO 29 SEC F/15-1 ISB','5','32','133138','SAMSUNG','0',null,'18-MAY-2021','40N5300','FLAT PANEL TV','PANEL',null,'7',null,null,'customer','0',null,'73','2021-08-11 13:11:55','2021-08-23 12:17:24',null,'1',null,'0');
INSERT INTO complaints VALUES('8893','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','HAIER','0',null,'0','50K6600UG','FLAT PANEL TV','TABLE',null,'3',null,null,'customer','0',null,'73','2021-08-11 13:34:02','2021-08-11 13:34:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8894','BAKEMAN BAKERS','03445173850','NEAR HBL SEC G/10 MARKAZ ISB','5','31','73905','CARAVELL','0',null,'28-MAR-2016','4515DY - 1112','AIR CURTAIN','BLOR SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 13:45:56','2021-08-17 14:43:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8895','SHAKRIB','03000502922','2ND FLOOR EXECUTIVE HIEGHTS 65 WEST FAZAL HAQ ROAD ISB','5','28','0','SIGNATURE','REF TO PTCL',null,'ON PAYMENT','5BURNERS','BUILT IN APPLLIANCES','NOBS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 13:52:05','2021-08-17 12:01:59',null,'1',null,'0');
INSERT INTO complaints VALUES('8896','TAYYAB MAHMOOD','03008352909','H NO 8 ST NO 25 SEC A DHA 2 ISB','9','26','198349','DAWLANCE','0',null,'28-OCT-2020','91996GD-INV-BROWN - 885','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 13:58:43','2021-08-16 10:50:58',null,'1',null,'0');
INSERT INTO complaints VALUES('8897','MR SAAD','03408090320','H NO 1035 ST NO 21 PHASE 5 B.TOWN RWP','4','11','21603','ORIENT','0',null,'4-JUN-2021','18G-HYPER-SW - 915','AIR CONDITIONER','DRAIN',null,'4',null,null,'customer','0',null,'73','2021-08-11 14:06:37','2021-08-11 14:07:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8898','SHAHZAD MALIK BAHRIA PHASE 07','03455275176','FRIEND CORPORATION PHASE 7','6','15','35331','DAWLANCE','MODAL#1485-DDW  CUSTOMER KO UNIT REPLACE KAR DEYA THA AB STOCK KI COMPLAINT BANI HAY',null,'25-MAY-2021',null,'DISH WASHER','NOT WORKING',null,'3',null,null,'customer','1','7338','92','2021-08-11 14:07:48','2021-08-11 14:07:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8899','COL AZAM','03005300002 , 03335115656','H NO 31B ASKARI 3 CHAKLALA SCHEME 3 RWP','9','19','216509','ORIENT','0',null,'15-JUL-2021','CRYSTAL3-SR','WATER DISPENSER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 14:10:04','2021-08-16 13:12:30',null,'1',null,'0');
INSERT INTO complaints VALUES('8900','NASIR SAEED','03018501833','H NO 461 ST NO 1 SEC H PHASE 8 B.TOWN RWP','8','37','35793','KENWOOD','REF TO ADEEL BHR-7',null,'8-JUN-2021','1228S-INV - 913','AIR CONDITIONER','OUTDOOR SOUND',null,'3',null,null,'customer','0',null,'73','2021-08-11 14:15:20','2021-08-11 14:15:20',null,'1',null,'0');
INSERT INTO complaints VALUES('8901','M ASHFAQ','03231563839','HO#15 ST#SERVICES ROAD BLOCK F NAVAL ANCHORAGE ISB','6','14','3312','PEL','23PMO-DIGITAL',null,'01-JUNE-2021',null,'MICROWAVE OVEN','HEATING',null,'3',null,null,'customer','1','7175','73','2021-08-11 14:19:48','2021-08-11 14:19:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8902','RAJA IMRAN','03345220614','D MASON PHARMACY RAWAT INDUSTRIAL AREA ISB','9','19','216342','FISCHER','0',null,'14-JUL-2021','35GF - 739','WATER COOLER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 14:24:28','2021-08-16 11:22:59',null,'1',null,'0');
INSERT INTO complaints VALUES('8903','MR NOMAN','03335112707 , 03133322204','H NO 26 ST NO 1 GHOURI TOWN PHASE 2 ISB','6','13','13426','SAMSUNG','0',null,'20-OCT-2015','11F5S2 - 168','WASHING MACHINE','WASH TUB',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 14:27:50','2021-08-17 11:47:25',null,'1',null,'0');
INSERT INTO complaints VALUES('8904','SANA ZUBAIR','03000998801','H NO 623 ST NO 13/1 BLOCK D NPF ISB','6','12','17884','LG','REF TO WAQAS PWD',null,'12-DEC-2019','4J6TMP8S-S - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 14:48:39','2021-08-17 15:35:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8905','FAISAL NADEEM','03130502599','H NO 17 ST NO 8 KHALID BLOCK PHASE 8 B.TOWN RWP','6','12','37318','HAIER','REF TO WAQAS PWD',null,'28-JUL-2021','58K6600UG','FLAT PANEL TV','REMOTE SENSOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 15:00:19','2021-08-16 11:25:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8906','RAO DILSHAD','03435529230','HO#83 ST#06 E 11/1 GLUSHNAKHUDA DADISB','9','27','214578','DAWLANCE','91999CHROME',null,'23-JUNE-2021',null,'REFRIGERATOR','COOLING PROB',null,'3',null,null,'customer','1','7629','92','2021-08-11 15:16:18','2021-08-11 15:16:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8907','UMER JAWAD','03455140812','H NO 312 ST NO 11 PHASE 4 B.TOWN RWP','9','19','206465','HAIER','REF TO RIFFAT FCP',null,'28-FEB-2021','90-1789HWM - 901','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 15:20:08','2021-08-16 11:27:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8908','TARIQ JAVAID','03005032383','H NO 287/43 MAIN STREET MADINA TOWN SHAMSABAD RWP','8','42','47458','GREE','0',null,'30-MAR-2021','8768EG-CB1 - 884','REFRIGERATOR','FAN MOTOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 15:44:17','2021-08-17 15:01:53',null,'1',null,'0');
INSERT INTO complaints VALUES('8909','TOUSEEF SAFDAR','03155591001','H NO 10 ST NO 3 BLOCK D SOAN GARDEN ISB','4','11','22895','ORIENT','0',null,'19-JUL-2021','18G-ELEGANT-SW','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 16:20:55','2021-08-17 14:25:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8910','VOR MARKETING','03445477552','H NO 406 ST NO 144 SEC D/12-4 ISB','5','34','127085','LG','0',null,'12-DEC-2020','442HMHU-S - 746','REFRIGERATOR','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 16:32:52','2021-08-17 15:33:54',null,'1',null,'0');
INSERT INTO complaints VALUES('8911','JUNAID BURKI','03008361235','H NO 60 ST NO 79 SEC E/11-2 ISB','5','35','112204','SHARP','0',null,'14-DEC-2019','562CT - 1602','MICROWAVE OVEN','HEATING',null,'4',null,null,'customer','0',null,'73','2021-08-11 16:47:13','2021-08-11 16:47:35',null,'1',null,'0');
INSERT INTO complaints VALUES('8912','HASEEB AHMED','03332123012 , 03212361449','H NO 4 ST NO 50 KORANG TOWN ISB','4','11','4273','SIGNATURE','0',null,'1-JUL-2018','SWD-HD20-GD - 994','WATER DISPENSER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 16:49:18','2021-08-12 13:47:35',null,'1',null,'0');
INSERT INTO complaints VALUES('8913','MR AFZAL','03008834733','H NO 2032 ST NO 8/1 BLOCK F NPFO9 ISB','9','20','196269','SAMSUNG','50K51010S8',null,'3-JUN-2017',null,'REFRIGERATOR','cooling',null,'4',null,null,'customer','1','8781','73','2021-08-11 16:52:49','2021-08-11 16:53:20',null,'1',null,'0');
INSERT INTO complaints VALUES('8914','MR KAMRAN','03364770951','H NO 2139 ST NO 33 SEC I/10-2 ISB','6','12','36968','ORIENT','REF TO ADIL I/10',null,'15-JUL-2021','18G-VENUS-BW - 915','AIR CONDITIONER','OUTDOOR SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-11 17:15:27','2021-08-16 11:34:21',null,'1',null,'0');
INSERT INTO complaints VALUES('8915','JIBRAN SB','03459482648','APP NO 408 BLOCK D CAPITAL SQUARE SEC B/17 ISB','9','51','0','SAMSUNG','REF TO SAQIB FCP',null,'30-3-21','55TU7000','FLAT PANEL TV','INTERNET',null,'8',null,null,'customer','0',null,'73','2021-08-11 18:00:56','2021-08-17 11:09:58',null,'1',null,'0');
INSERT INTO complaints VALUES('8916','AZEEM SB','03005331105','FRIENDS GULNOOR MARKET RWP','9','51','0','HAIER','0',null,'0','40K6600G - 938','FLAT PANEL TV','DISPALY',null,'3',null,null,'customer','0',null,'73','2021-08-12 10:20:01','2021-08-12 10:20:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8917','BUTT PWD','03115006051','FRIENDS HOME PWD ISB','4','7','0','SAMSUNG','0',null,'0','50TU7000','FLAT PANEL TV','REMOTE SENSOR & DISPLAY',null,'4',null,null,'customer','0',null,'73','2021-08-12 10:22:29','2021-08-12 10:24:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8918','BUTT PWD','03115006051','FRIENDS HOME PWD ISB','4','7','0','SAMSUNG','0',null,'0','55TU7000','FLAT PANEL TV','REMOTE SEMSOR',null,'8',null,null,'customer','0',null,'73','2021-08-12 10:23:28','2021-08-13 11:50:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8919','BUTT PWD','03115006051','FRIENDS HOME PWD ISB','4','7','0','BOSCH','0',null,'0','12TQ50M','COOKING RANGE','GLASS ADJUSTMENT',null,'8',null,null,'customer','0',null,'73','2021-08-12 10:24:23','2021-08-17 11:09:06',null,'1',null,'0');
INSERT INTO complaints VALUES('8920','SHAH NASIR','03455000772 , 03028583704','H NO 6 ST NO 8 C1 BAHRIA ENCLAVE ISB','8','39','36709','SIGNATURE','REF TO PTCL',null,'15-SEP-2019','HC-5900G - 1122','BUILT IN APPLLIANCES','BURNER',null,'8',null,null,'customer','0',null,'73','2021-08-12 10:29:12','2021-08-21 15:55:41',null,'1',null,'0');
INSERT INTO complaints VALUES('8921','FORIEGNER','03045651589','APP NO 305A CENTAURUS SEC F/8-4 ISB','8','37','51977','LG','0',null,'5-AUG-2021','2J3TDNP0P-S','WASHING MACHINE','DRAIN',null,'7',null,null,'customer','0',null,'73','2021-08-12 10:36:26','2021-08-23 13:33:47',null,'1',null,'0');
INSERT INTO complaints VALUES('8922','SAJID MEHMOOD','03075943049','ALBADAR COMPLEX HEADQUATER 1 KHANNAPULL ISB','9','19','216344','FISCHER','0',null,'14-JUL-2021','45GF - 1027','WATER COOLER','LEAKAGE',null,'3',null,null,'customer','0',null,'73','2021-08-12 11:17:14','2021-08-12 11:17:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8923','MR RIZWAN HALEEM','03346582992','HO#540-B ST 108 SEC I-8/4 ISB','8','37','49007','VARIOLINE','VARIOLINE W/D KI COMPLAINT HAY SALE ADVISOR ZAFARULLAH',null,'24-MAY-2021','20STRL-WHT - 993','WATER DISPENSER','COOLING ISSUE',null,'3',null,null,'customer','1','7330','92','2021-08-12 11:22:50','2021-08-12 11:22:50',null,'1',null,'0');
INSERT INTO complaints VALUES('8924','SAAD FAROOQI','03018255416','H NO 20 ST NO 1 SEC E DHA 1 RWP','6','15','36865','KENWOOD','0',null,'11-JUL-2021','1830S-HC INV - 915','AIR CONDITIONER','DRAIN',null,'4',null,null,'customer','0',null,'73','2021-08-12 11:32:53','2021-08-12 11:33:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8925','SYED HUSSAIN','03335108963','ST 54/1 BAND GALLI PEOPLES COLONY RWP','8','37','0','KENWOOD','OUT WARRANTY',null,'ON PAYMENT','1012SA - 902','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-12 11:50:22','2021-08-21 11:45:07',null,'1',null,'0');
INSERT INTO complaints VALUES('8926','BABER SHAH','03333331198','FARM NO 26 ST NO 1 SHAH ALLA DITTA  ISB','5','31','131951','LG','0',null,'20-APR-2021','512FPS-S - 1653','DISH WASHER','DOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-12 11:54:38','2021-08-17 15:32:42',null,'1',null,'0');
INSERT INTO complaints VALUES('8927','MR WAHEED','03360517341','JARAL CAMP ADYALA ROAD RWP CANTT','9','23','150134','DAWLANCE','0',null,'9-APR-2018','91998H-SIGNATURE - 958','FREEZER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-12 12:12:13','2021-08-12 12:12:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8928','AZEEM SB','03315420488','FRIENDS GULNOOR MARKET RWP','9','19','0','FISCHER','REF TO AZEEM SB',null,'0','65GF - 1220','WATER COOLER','DENTED',null,'3',null,null,'customer','0',null,'73','2021-08-12 12:14:43','2021-08-12 12:14:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8929','SHOUKAT SB','03321326146','FLAT NO 26D ASKARI 4 RWP CANTT','9','19','211521','MAX','0',null,'26-MAY-2021','999MC','COOKING RANGE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-12 12:17:24','2021-08-17 11:40:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8930','SADDAM HUSSAIN','03115150970','CORN BAKERY DEHRI HASANABAD CHOWK RWP','9','26','167592','DAWLANCE','0',null,'19-MAR-2019','9170WBDS','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-12 12:49:24','2021-08-16 11:48:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8931','NARGIS HUSSAIN','03345874888','H NO 57 ST NO 16C1 BAHRIA ENCLAVE ISB','5','32','130541','SIGNATURE','0',null,'18-MAR-2021','AR2 - 1124','BUILT IN APPLLIANCES','HEATING',null,'8',null,null,'customer','0',null,'73','2021-08-12 12:56:37','2021-08-17 11:05:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8932','IQBAL SB','03165181300 , 03008334250','SHAHPUR BARAKAHO ISB','8','47','44656','HAIER','0',null,'6-DEC-2020','438IDRT - 896','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-12 12:59:30','2021-08-16 11:50:28',null,'1',null,'0');
INSERT INTO complaints VALUES('8933','MUHAMMAD ISHFAQ','03455077463','NADRA MAUV AREA SEC G/10-1 ISB','8','47','26321','TCL','2104VLR301505A00475',null,'10-AUG-2021','43S6500 - 869','FLAT PANEL TV','HANG',null,'3',null,null,'customer','0',null,'73','2021-08-12 13:02:39','2021-08-12 13:02:39',null,'1',null,'0');
INSERT INTO complaints VALUES('8934','KAMRAN CHAUDHARY','03215000397','H NO 2109 GLOB CHOWK PHASE 7 B.TOWN RWP','6','16','36057','GREE','0',null,'13-JUN-2021','8768EG-CB1 - 884','REFRIGERATOR','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-12 13:08:56','2021-08-21 12:39:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8935','HINA ZAFAR','03002233489','APP NOM 204 BLOCK F PARLIAMENT LODGES SEC G/5 ISB','5','28','0','SIGNATURE','REF TO KHURRAM SB',null,'2017','SWM-SR50 - 905','WASHING MACHINE','DRYER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-12 13:12:18','2021-08-17 11:39:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8936','QAYUM SB','03145296844','H NO 1665 ST NO 76 SEC F PHASE 7 B.TOWN RWP','9','23','218069','FISCHER','0',null,'10-AUG-2021','65GF - 1220','WATER COOLER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-12 13:15:09','2021-08-12 13:15:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8937','HAMMAD SB','03455104405','FRIENDS GULNOOR MARKET RWP','9','19','0','CORONA','0',null,'0','C205 - 14','COOKING RANGE','HANDLE',null,'4',null,null,'customer','0',null,'73','2021-08-12 13:24:05','2021-08-12 13:25:07',null,'1',null,'0');
INSERT INTO complaints VALUES('8938','SYED TAUQIR','03335168997','VILLA 31 ST NO 13 SEC F DHA 1 RWP','6','16','32229','HAIER','0',null,'21-DEC-2020','18HJ-S INV - 915','AIR CONDITIONER','INDOOR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-12 13:26:45','2021-08-16 12:02:47',null,'1',null,'0');
INSERT INTO complaints VALUES('8939','HAMMAD BASHIR','03335518737','H NO 18 CHUGTAI STREET NEAR BAHRIA FOUNTAIN SCHOOL HIGH COURT ROAD RWP','9','19','121508','SIGNATURE','REF TO PTCL',null,'8-SEP-2016','MD99SS-S - 1723','REFRIGERATOR','COOLING',null,'7',null,null,'customer','1','8782','73','2021-08-12 13:34:11','2021-08-23 11:21:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8940','ASHTER ABBAS','03215088351, 03010510111','OPP GIGA MALL 3RD FLOOR MAIN GT ROAD RWP','6','15','35182`','HAIER','0',null,'19-MAY-2021','18HFCF','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-12 13:37:32','2021-08-17 11:21:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8941','MALIK FAYYAZ','03333330251 , 03218504894','H NO 21 ST NO 29 SEC F/8-1 ISB','5','28','0','HAIER','REF TO PTCL',null,'ON PAYMENT','TOP LOAD','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-12 13:45:02','2021-08-16 12:27:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8942','KHURRAM SHAHZAD','03125007420','NEAR KHAN SCHOOL JHANDA CHICHI AMMAR CHOWK RWP','9','19','111708','KENWOOD','REF TO PTCL',null,'16-MAR-2016','1012SA - 902','WASHING MACHINE','DRYER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-12 13:49:21','2021-08-17 14:05:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8943','MUHAMMAD SAGHEER','03315552969 , 03315552269','BHIMBERTRAR GULBERG GREENS ISB','8','42','50496','KENWOOD','0',null,'24-JUN-2021','109F-KRF - 887','REFRIGERATOR','GASKIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-12 14:00:19','2021-08-17 14:03:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8944','ATTA UR REHMAN','03327249454','H NO 269 ST NO 2 PHASE 1 MARGALLA TOWN ISB','8','37','51299','DAWLANCE','REF TO SAQLAIN FHHS',null,'15-JUL-2021','1485-DDW','DISH WASHER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-12 14:10:06','2021-08-17 14:01:58',null,'1',null,'0');
INSERT INTO complaints VALUES('8945','MR WAJID','03346240708','ST NO 6 NEAR HAMZA MADRISSA GULZAR-E-QUAID RWP','8','38','51559','ORIENT','COMPLAINT ATTEND HO GAE HAY UNIT S/C SAY OK HO KAR GAYA THA AB AGAIN ISSUE AY GAYA HAY COMPANY MAY REOPEN KARWA DE HAY COMPLAINT',null,'19-JUL-2021',null,'WATER DISPENSER','COOLING',null,'3',null,null,'customer','1','8235','92','2021-08-12 14:25:00','2021-08-12 14:25:00',null,'1',null,'0');
INSERT INTO complaints VALUES('8946','MRS NAJMA','03028546512','H NO 6E ST NO 9 SEC E  DHA 1 RWP','6','12','35429','GREE','REF TO ZAHID PWD',null,'27-MAY-2021','18PITH2W','AIR CONDITIONER','COOLING',null,'4',null,null,'customer','0',null,'73','2021-08-12 14:41:23','2021-08-12 14:41:55',null,'1',null,'0');
INSERT INTO complaints VALUES('8947','BRIG SABIR','03219251559','H NO 216 ST NO 15 SEC D/12-2 ISB','5','32','130501','SONY','0',null,'17-MAR-2021','65X7500H-CC','FLAT PANEL TV','HANG',null,'4',null,null,'customer','0',null,'73','2021-08-12 15:22:17','2021-08-12 15:22:52',null,'1',null,'0');
INSERT INTO complaints VALUES('8948','RUBINA ATHAR','03235469661','H NO 86 ST NO 7 CHAKLALA SCHEME 3 RWP','9','23','142729','SIGNATURE','0',null,'8-NOV-2017','SWM-JD46 - 945','WASHING MACHINE','ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-12 15:25:41','2021-08-17 11:27:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8949','MR SHAHRIYAR','03355416055','APP#S BLOCK 03 ASKARI 04 RWP','7','49','23541','HAIER','SALE ADVISOR ZAHID',null,'05-MAY-2021','40K6600G - 938','FLAT PANEL TV','SCREEN ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-08-12 16:21:49','2021-08-21 12:35:19',null,'1',null,'0');
INSERT INTO complaints VALUES('8950','MR AZHAR','03339254200','H NO 168 UPPER PORTION ST NO 73 SEC G/9-3 ISB','5','32','103240','LG','0',null,'13-JUL-2015','227GLQS','REFRIGERATOR','NOT WORKING',null,'8',null,null,'customer','0',null,'73','2021-08-12 16:46:42','2021-08-17 14:40:55',null,'1',null,'0');
INSERT INTO complaints VALUES('8951','ABDULMANAN','03379202798','MUHALLAH QAIM DEEN SIMLI DAM ROAD BARAKAHO ISB','8','37','51674','ORIENT','0',null,'25-JUL-2021','18G-ELEGANT','AIR CONDITIONER','BURN',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-12 16:47:47','2021-08-13 12:04:03',null,'1',null,'0');
INSERT INTO complaints VALUES('8952','MISS ZARA','03343500192','H NO 483 ST NO 15A PARK ENCLAVE PARK ROAD CHAK SHAHZAD ISB','5','31','133584','ORIENT','0',null,'26-MAY-2021','18G-ALPHA - 914','AIR CONDITIONER','COOLING PROBLEM',null,'3',null,null,'customer','1','7684','73','2021-08-12 17:15:18','2021-08-12 17:15:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8953','SHANZA','03355546618','PHASE 4 B.TWON RWP','6','16','25794','DAWLANCE','REF TO KHURRAM SB',null,'23-JAN-2020','PRO-ACTIVE30-INV - 915','AIR CONDITIONER','NOT WORKING',null,'3',null,null,'customer','0',null,'73','2021-08-12 17:21:31','2021-08-12 17:21:31',null,'1',null,'0');
INSERT INTO complaints VALUES('8954','NADEEM MALIK','03325566895','KHURSHID HOUSE LANE NO 3 MILAD CHOWK  GULISTAN COLONY','6','12','11088','SIGNATURE','0',null,'22-OCT-2017','SWM-FW1409S - 901','WASHING MACHINE','NOT WORKING',null,'4',null,null,'customer','0',null,'73','2021-08-12 17:23:28','2021-08-12 17:24:35',null,'1',null,'0');
INSERT INTO complaints VALUES('8955','MR NAVEED','03006643656','H NO 639 ST NO 30 FAISAL TOWN ISB','8','38','49162','SIGNATURE','REF TO PTCL',null,'27-MAY-2021','HC-5861S - 1122','BUILT IN APPLLIANCES','BURNERS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-12 17:30:39','2021-08-17 11:27:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8956','M USMAN','03445259200','FLAT NO 15 BLOCK 25 SEC I/9-4 ISB','8','40','52058','DAWLANCE','0',null,'9-AUG-2021','9144FPR - 857','REFRIGERATOR','LIGHT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-12 17:35:08','2021-08-17 12:44:22',null,'1',null,'0');
INSERT INTO complaints VALUES('8957','ALI ABDULLAH','03335136827','H NO 913 ST NO 97 SEC I/8-3 ISB','5','35','120338','LG','REF TO ABU BAKAR FCI',null,'6-AUG-2020','4V5RGP2T-S - 899','WASHING MACHINE','ERROR',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-12 17:43:33','2021-08-17 15:32:06',null,'1',null,'0');
INSERT INTO complaints VALUES('8958','mr tahir','03335105685','VILLAGE GOSHAL KALAN TEHSIL KALAR KAHAR DIS CHAKWAL','9','19','210065','SUPER ASIA','0',null,'2-MAY-2021','777JC-PLUS - 1705','AIR COOLER','FAN',null,'3',null,null,'customer','0',null,'73','2021-08-13 10:38:51','2021-08-13 10:38:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8959','MISS SAIQA','03450777085','NEAR ALLIED BANK CHUR CHOWK MISRIAL CHOWK PESHAWAR ROAD RWP','9','22','169318','SAMSUNG','0',null,'16-APR-2019','70J3283W-S - 1548','WASHING MACHINE','TIMER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-13 10:43:55','2021-08-17 11:26:16',null,'1',null,'0');
INSERT INTO complaints VALUES('8960','ATIF AZIZ','03455007000','H NO 4 ST NO 163 SEC S/13-3 ISB','5','31','0','ORIENT','REF TO TARIQ FCI',null,'ON PAYMENT','18G-HYPER-SW - 915','AIR CONDITIONER','FLAPPERS ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-13 10:47:38','2021-08-16 15:49:01',null,'1',null,'0');
INSERT INTO complaints VALUES('8961','MAJ AKRAM','03365599697 , 03455107923','31-E ASKARI2 CHAKLALA SCHEME 3 RWP','9','19','0','HAIER','REF TO PTCL',null,'28-FEB-2021','398EPCW - 884','REFRIGERATOR','MOISTURIZER',null,'3',null,null,'customer','1','7391','73','2021-08-13 10:50:42','2021-08-13 10:50:42',null,'1',null,'0');
INSERT INTO complaints VALUES('8962','SHAHZAD SB','03335129036','H NO 537/D2LANE 2 NEARE APS SCHOOL WESTRIDGE 3 RWP','7','49','23040','CORONA','REF TO PTCL',null,'20-FEB-2021','351C - 1533','COOKING RANGE','NOT WORKING',null,'3',null,null,'customer','1','8383','73','2021-08-13 10:54:08','2021-08-13 10:54:08',null,'1',null,'0');
INSERT INTO complaints VALUES('8963','UMER SARFRAZ','03102777726','H NO 7 11TH AVENUE SEC N BAHRIA ENCLAVE ISB','5','28','125380','SIGNATURE','REF TO ABUBAKAR',null,'3-DEC-2020','HC-3766G - 1122','BUILT IN APPLLIANCES','IGNITION',null,'8',null,null,'customer','1','6542','73','2021-08-13 10:58:52','2021-08-21 15:53:32',null,'1',null,'0');
INSERT INTO complaints VALUES('8964','MRS SAMMI','03345132140','H NO 27 ST NO 56 SEC F/7-4 ISB','5','31','88684','CORONA','REF TO AZHAR RAMZAN',null,'13-OCT-2017','351C - 1533','COOKING RANGE','SERVICE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-13 11:02:46','2021-08-17 11:22:24',null,'1',null,'0');
INSERT INTO complaints VALUES('8965','HASSAN SB','03345308745','MURREE BREWARY NATIONALPARK ROAD NEAR ARMY HOUSE RWP','8','47','26212','GREE','0',null,'27-JUL-2021','18PITH2W','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-13 11:05:34','2021-08-16 15:39:29',null,'1',null,'0');
INSERT INTO complaints VALUES('8966','SHAH FAISAL','03348889993','H NO 780 ST NO 25 BLOCK A FAISAL TOWN ISB','5','28','135491','CANON','0',null,'15-JUN-2021','U1-PLUS','BUILT IN APPLLIANCES','MOTOR',null,'3',null,null,'customer','0',null,'73','2021-08-13 11:43:55','2021-08-13 11:43:55',null,'1',null,'0');
INSERT INTO complaints VALUES('8967','UMAIR HAMZA','03334393839','MID CITY MALL REHMANABAD RWP','8','39','47103','PANASONIC','18WKF-9',null,'16-MAR-2021',null,'AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','1','8804','73','2021-08-13 11:52:41','2021-08-17 12:01:18',null,'1',null,'0');
INSERT INTO complaints VALUES('8968','ALI SB','03155689988','COMMERCIAL MARKET  REHMANABAD RWP','9','24','218193','HAIER','0',null,'12-AUG-2021','48H03 - 1820','AIR CONDITIONER','GAS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-13 12:15:06','2021-08-17 12:10:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8969','MRS RUSTAM','03325152307','H NO 137 ST NO 77 SEC E/11-2 ISB','5','28','138641','SAMSUNG','0J8L4DAR500007',null,'9-AUG-2021','RT50T5Y30S8/5G','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-13 12:27:30','2021-08-17 12:08:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8970','BUTT STOCK PWD','03115006051','FRIEND CORPORATION PWD','4','7','0','KENWOOD','0',null,'0','1010SA - 902','WASHING MACHINE','PIPE#DOOR DAMAGE',null,'3',null,null,'customer','0',null,'92','2021-08-13 13:10:55','2021-08-13 13:10:55',null,'1',null,'0');
INSERT INTO complaints VALUES('8971','BUTT STOCK PWD','03115006051','FRIEND CORPORATION PWD','4','7','0','HAIER','0',null,'0','120AS - 69','WASHING MACHINE','DAMAGE',null,'3',null,null,'customer','0',null,'92','2021-08-13 13:18:09','2021-08-13 13:18:09',null,'1',null,'0');
INSERT INTO complaints VALUES('8972','khalid kamal','03009540005','H NO 88 ST NO 56/54 CORNER SEC E/11-3 ISB','9','24','196767','GREE','0',null,'27-SEP-2020','18FITH1C - 915','AIR CONDITIONER','SMELL',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-13 15:21:54','2021-08-16 11:57:15',null,'1',null,'0');
INSERT INTO complaints VALUES('8973',null,null,null,'6',null,null,'PEL','0000',null,null,'12K-MAJESTIC','AIR CONDITIONER','OUTDOOR UNIT ISSUE.',null,'3',null,null,'showroom','0',null,'93','2021-08-13 15:28:55','2021-08-13 16:20:17',null,'1',null,'0');
INSERT INTO complaints VALUES('8974','MANZOOR SB','03452785629','FARM NO 11 ST NO 11 CORNER STREET CHAK SHAZAD ISB','10','44','0','SIGNATURE','C/O OMER SB',null,'OUT WARRANTY','BEDROOM FRIDGE','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-13 16:17:56','2021-08-17 12:00:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8975','IQBAL STOCK','03465166132','FRIENDS BLUE AREA ISB','5','28','0','PEL','REF TO IQBAL FCI',null,'0','115PB CURVED','WATER DISPENSER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-13 16:31:37','2021-08-13 16:31:37',null,'1',null,'0');
INSERT INTO complaints VALUES('8976','TANZEEL IFTIKHAR','03335242566','H NO 569 ST NO 47 OMAR BLOCK PHASE 8 B.TOWN RWP','6','12','37620','VATTI','REF TO WAQAS PWD',null,'11-AUG-2021','21VWD','WATER DISPENSER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-13 17:08:43','2021-08-13 17:08:43',null,'1',null,'0');
INSERT INTO complaints VALUES('8977','MRS MEHMOOD','03015012101','H NO 720A ST NO 1A SEC D PHASE 8 B.TOWN RWP','6','12','37546','SAMSUNG','0SQC36ER700067',null,'8-AUG-2021','QA65Q70AAUHMM','FLAT PANEL TV','PANEL',null,'3',null,null,'customer','0',null,'73','2021-08-13 17:57:25','2021-08-13 17:57:25',null,'1',null,'0');
INSERT INTO complaints VALUES('8978','UMER SB','03338533305','H NO 214 ST NO 43 MARGALLA TOWN PHASE 2 ISB','8','42','51768','HAIER','0',null,'28-JUL-2021','45110EGB - 1237','MICROWAVE OVEN','HEATING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-13 17:58:49','2021-08-16 11:54:57',null,'1',null,'0');
INSERT INTO complaints VALUES('8979','sheikh MOHUDDIN','03335121990','H NO 47C ST NO 2 GULBERG GREEN ISB','5','32','106420','HAIER','0',null,'25-JUN-2019','12SNC-S INV - 913','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-16 10:30:19','2021-08-20 16:49:42',null,'1',null,'0');
INSERT INTO complaints VALUES('8980','MR M AWAIS','03365002880','H NO 38A ST NO 8 SEC G/6-2 ISB','5','30','96948','SIGNATURE','0',null,'9-AUG-2018','SRF-KK90S - 885','REFRIGERATOR','COOLING',null,'8',null,null,'customer','0',null,'73','2021-08-16 10:34:23','2021-08-21 13:17:50',null,'1',null,'0');
INSERT INTO complaints VALUES('8981','SOHAIL SB','03005209101','H NO 16/1C SEC 4A KHAYABAN-E-SIRSYED RWP','9','26','173020','HACWEL','REF TO PTCL',null,'15-JUN-2019','3800A-HW - 2004','AIR COOLER','SMELL',null,'3',null,null,'customer','0',null,'73','2021-08-16 10:39:30','2021-08-16 10:39:30',null,'1',null,'0');
INSERT INTO complaints VALUES('8982','MR TALHA','03000488884','SHALLEY VALLEY LANE NO 3 MUHMMADI STREET CB133/2 RWP','9','22','214969','CORONA','0',null,'28-JUN-2021','505C - 1815','COOKING RANGE','IGNITION',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-16 10:42:30','2021-08-21 14:13:34',null,'1',null,'0');
INSERT INTO complaints VALUES('8983','MISS KALEEM','03465125226','H NO 19A ST NO 7 BLOCK E SOWAN GARDEN ISB','4','11','22557','SIGNATURE','0',null,'10-JUL-2021','SBH-AA5761S - 1122','BUILT IN APPLLIANCES','BURNERS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-16 10:44:40','2021-08-17 15:31:33',null,'1',null,'0');
INSERT INTO complaints VALUES('8984','MR ISHFAQ','03218543699','H NO 1029  MAIN DOUBLE ROAD  SEC G/10-4','5','28','106899','LG','0',null,'4-JUL-2019','4J6VYP2S-S - 901','WASHING MACHINE','SPINNER',null,'8',null,null,'customer','0',null,'73','2021-08-16 10:49:43','2021-08-21 13:12:39',null,'1',null,'0');
INSERT INTO complaints VALUES('8985','CH NASEER','03335208004','RAILWAY OFFICER COLONY SCKEEM 05 WASHING LANE R.W.P','9','25','197064','HAIER','0',null,'04-OCT-2020','438IDBT - 896','REFRIGERATOR','POWER PROB',null,'3',null,null,'customer','1','1559','73','2021-08-16 10:56:26','2021-08-16 10:56:26',null,'1',null,'0');
INSERT INTO complaints VALUES('8986','MR ADNAN','03402499142 , 03005712354','EXECUTIVE LODGE GULBERG GREEN NEAR RED BRIDGE ISB','5','35','138586','PANASONIC','REF TO NAEEM  SB',null,'9-AUG-2021','24WKF-9','AIR CONDITIONER','NOT WORKING',null,'3',null,null,'customer','0',null,'73','2021-08-16 11:02:14','2021-08-16 11:02:14',null,'1',null,'0');
INSERT INTO complaints VALUES('8987','MUIR WALI KHAN','03015362909','H NO 135A ST NO 65SEC F/10-3 ISB','8','37','50384','HAIER','0',null,'21-JUN-2021','12HFCN-W-INV','AIR CONDITIONER','DRAIN',null,'3',null,null,'customer','0',null,'73','2021-08-16 11:06:02','2021-08-16 11:06:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8988','COL IMRAN','03332223728','H NO 175 SOUTH EAST BOLYWARD PHASE 4 B.TOWN RWP','8','37','46863','HAIER','0',null,'7-MAR-2021','100AS-WM - 69','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT RESOLVED',null,'customer','0',null,'73','2021-08-16 11:08:08','2021-08-20 16:52:04',null,'1',null,'0');
INSERT INTO complaints VALUES('8989','SALMAN AFRIDI','03335619997','H NO 5 ST NO 74 SEC G/6-4 ISB','5','31','81914','PEL','0',null,'27-FEB-2017','24K-PINV','AIR CONDITIONER','COMPRESSOR',null,'3',null,null,'customer','0',null,'73','2021-08-16 11:16:02','2021-08-16 11:16:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8990','ABID SB','03228852632','SULTANIA ELECTRONICS SHAHEED CHOWK KOTLI AZAD KASHMIR','8','37','43439','ORIENT','0',null,'9-NOV-2020','49S-FICTION','FLAT PANEL TV','HDMI PORTS',null,'3',null,null,'customer','0',null,'73','2021-08-16 11:48:11','2021-08-16 11:48:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8991','AMRE RABBI','03361151475','H NO 9 ST NO 32 BLOCK F NAVAL ANCOURAGE ISB','4','8','22170','HAIER','0',null,'23-JUN-2021','43D2FM','FLAT PANEL TV','DISPLAY',null,'3',null,null,'customer','0',null,'73','2021-08-16 11:59:40','2021-08-16 11:59:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8992','UMER JAWAD','03455140812','H NO 312 ST NO 11 PHASE 4 B.TOWN RWP','9','19','206465','HAIER','REF TO RIFFAT FCP',null,'28-FEB-2021','90-1789HWM - 901','WASHING MACHINE','DRAIN PROBLEM',null,'5','COMPLAINT CLOSED',null,'customer','1','8907','73','2021-08-16 12:11:40','2021-08-20 17:01:48',null,'1',null,'0');
INSERT INTO complaints VALUES('8993','MR IMRAN','03345335503 , 03335326637','H NO 321 ST NO 17 BLOCK F SEC H13 ISB','5','28','104895','SIGNATURE','REF TO ABU BAKAR FCI',null,'16-MAY-2019','SBH-AC700G - 1122','BUILT IN APPLLIANCES','BURNERS',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-16 12:15:22','2021-08-17 15:31:02',null,'1',null,'0');
INSERT INTO complaints VALUES('8994','YASIR NAEEM','03005126150','H NO 907J OPP BILAL MASJID  ST NO 4 ALTAMASH ROAD DHERI HASNABAD RWP','9','26','208579','ORIENT','REF TO PTCL',null,'4-APR-2021','AUTO8 - 899','WASHING MACHINE','SOUND',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-16 12:24:49','2021-08-21 11:32:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8995','BASHAR UR REHMAN','03025770281','HB STORE MAIN BAZAR SOHAN FAIZABAD RWP','8','38','49763','KENWOOD','0',null,'9-JUN-2021','1228S-INV - 913','AIR CONDITIONER','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-16 12:29:41','2021-08-17 11:20:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8996','SOHAIL SB','03339541400','H NO 11 ST NO 5BLOCK D NAVAL ANCOURAGE ISB','4','5','21143','TCL','MODEL=65P615 , 2011VLR301376A00190',null,'18-MAY-2021',null,'FLAT PANEL TV','PANEL LINE',null,'3',null,null,'customer','1','8765','73','2021-08-16 12:44:40','2021-08-16 12:44:40',null,'1',null,'0');
INSERT INTO complaints VALUES('8997','NASIR ABDULLAH','03455550706','H NO 205 ST NO 10 RACE COUSE ROAD RWP CANTT','8','37','31520','SAMSUNG','REF TO PTCL',null,'31-DEC-2018','40J5133 - 987','MICROWAVE OVEN','BUTTON',null,'4',null,null,'customer','0',null,'73','2021-08-16 12:47:27','2021-08-16 12:53:11',null,'1',null,'0');
INSERT INTO complaints VALUES('8998','SADIA RATHORE','03364463354 , 03225225226','H NO 2341 ST NO 55 SABUBAKAR BLOCK PHASE 8 B.TOWN RWP','6','12','12139','SIGNATURE','REF TO KAMRAN BHR-7',null,'25-DEC-2017','SWD-HD10-GR - 994','WATER DISPENSER','LEAKAGE',null,'4',null,null,'customer','0',null,'73','2021-08-16 12:51:26','2021-08-16 12:52:51',null,'1',null,'0');
INSERT INTO complaints VALUES('8999','MURATZA FYAZ','03087440131','ISB','8','48','45491','PHILIPS','REF TO SHERAZ FHHS',null,'2-JAN-2021','9170FC','VACUUM CLEANER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-16 12:54:21','2021-08-17 11:19:07',null,'1',null,'0');
INSERT INTO complaints VALUES('9000','MRS GHAZI','03325565874','H NO D810 5TH ROAD NEAR DREAM MALL SATELLITE TOWN RWP','9','19','211916','ECOSTAR','REF TO PTCL',null,'30-MAY-2021','351FC','WATER DISPENSER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-16 13:00:22','2021-08-16 13:00:22',null,'1',null,'0');
INSERT INTO complaints VALUES('9001','MRS ZAHID','03055200913','H NO 35 ST NO 2D CATEGORY 2 SEC D10-2 ISB','5','28','85991','SAMSUNG','REF TO PTCL',null,'1-JUL-2017','11J5710GT - 905','WASHING MACHINE','DRAIN',null,'8',null,null,'customer','0',null,'73','2021-08-16 13:08:12','2021-08-21 13:05:29',null,'1',null,'0');
INSERT INTO complaints VALUES('9002','MUHAMMAD ASIF','03448847889','H NO 217 VALLEY VIEW ROAD RAFI BLOCK PHASE 8 B.TOWN RWP','6','15','34319','HAIER','0',null,'13-APR-2021','150-1678HWM - 1484','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-16 13:08:46','2021-08-21 11:37:37',null,'1',null,'0');
INSERT INTO complaints VALUES('9003','ISRAR AHMED','03416871488','FLAT NO 16 BLOCK 42/B SEC G/9-2 ISB','9','19','124256','SAMSUNG','REF TO PTCL',null,'20-NOV-2016','70J5410AWGT','WASHING MACHINE','NOT WORKING',null,'8',null,null,'customer','0',null,'73','2021-08-16 13:14:09','2021-08-23 14:06:56',null,'1',null,'0');
INSERT INTO complaints VALUES('9004','ALI UMER','03005232689','H NO 208 ST NO 9 QADEER KHAN ROAD KRL RWP','9','19','215956','HAIER','REF TO PTCL CALL',null,'10-JUL-2021',null,'REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','1','7959','106','2021-08-16 13:20:19','2021-08-21 11:51:53',null,'1',null,'0');
INSERT INTO complaints VALUES('9005','MRS SHOKAT','03335381929','H NO 660 ROAD D PHASE 3 B.TOWN RWP','9','23','173794','SUPER ASIA','0',null,'26-JUN-2019','242SA - 522','WASHING MACHINE','SPINNER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-16 13:34:40','2021-08-21 14:02:19',null,'1',null,'0');
INSERT INTO complaints VALUES('9006','MR NAEEM','03004904948','H NO 2 ST NO 1 SEC A SAFARI HOMES PHASE 8 B.TOWN RWP','6','12','28966','HAIER','0',null,'11-AUG-2020','622IBS - 908','REFRIGERATOR','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-16 13:36:37','2021-08-16 13:36:37',null,'1',null,'0');
INSERT INTO complaints VALUES('9007','KHURRAM SB','03335550300','LMB36 ST NO 2 NAZIMABAD PINDORA RWP','8','40','6144','SAMSUNG','0',null,'5-NOV-2013','0704REW - 899','WASHING MACHINE','DRAIN',null,'8',null,null,'customer','0',null,'73','2021-08-16 13:44:03','2021-08-23 14:05:32',null,'1',null,'0');
INSERT INTO complaints VALUES('9008','MR IDREES','03345505961','H NO 123G ST NO 109 SEC G/11-3 ISB','5','28','90275','LG','0',null,'23-DEC-2017','8507S - 122','WASHING MACHINE','NOT WORKING',null,'8',null,null,'customer','0',null,'73','2021-08-16 13:58:32','2021-08-20 12:13:55',null,'1',null,'0');
INSERT INTO complaints VALUES('9009','MIRZA SOHAIL','03339541400','ZAHEER AUTOS SHOP NO 1 AL MAJID AUTO MARKET GAWALMANDI RWP','9','23','195323','TCL','TAC-18HEG-O-201912-00595',null,'24-AUG-2020','18HEG - 915','AIR CONDITIONER','NOT WORKING',null,'3',null,null,'customer','0',null,'73','2021-08-16 14:02:32','2021-08-16 14:02:32',null,'1',null,'0');
INSERT INTO complaints VALUES('9010','AHSAN ATTA','03015624496','325 ST NO 48 PAKISTAN TOWN PHASE 1 RWP','4','8','16380','ORIENT','0',null,'20-SEP-2020','12G-BETA - 912','AIR CONDITIONER','DRAIN',null,'4',null,null,'customer','0',null,'73','2021-08-16 14:24:24','2021-08-16 14:24:39',null,'1',null,'0');
INSERT INTO complaints VALUES('9011','AFZAL MATHU','03006143609','H NO 81 ROAD 1 SEC C BAHRIA ENCLAVE ISB','8','39','45141','HAIER','0',null,'15-DEC-2020','24HDZ-W INV - 917','AIR CONDITIONER','COOLING ISSUE',null,'3',null,null,'customer','0',null,'92','2021-08-16 14:33:07','2021-08-16 14:33:07',null,'1',null,'0');
INSERT INTO complaints VALUES('9012','MR MASAB','03219562255 , 03005111808','GRAND TAJ HOTEL NEAR BUS TERMINAL MURREE','8','39','210880','TCL','2102VLR301427A00165',null,'18-MAY-2021','40D3000 - 938','FLAT PANEL TV','ON OFF',null,'5','COMPLAINT CLOSED',null,'customer','1','8726','92','2021-08-16 15:13:15','2021-08-21 13:57:34',null,'1',null,'0');
INSERT INTO complaints VALUES('9013','MR AHSAN','03015624496','HO#325 ST 48 PAKISTAN TOWN PHASE 01 ISB','4','8','16380','ORIENT','0',null,'20-SEP-2020','12G-BETA - 912','AIR CONDITIONER','COOLING ISSUE',null,'5','DOUBLE ENTRED',null,'customer','0',null,'92','2021-08-16 15:47:43','2021-08-16 16:12:25',null,'1',null,'0');
INSERT INTO complaints VALUES('9014','MUHAMMAD MUNEER','03335533154 , 03445479174','H NO 138 ST NO 2B SEC 1 ALNOOR COLONY KHANNA ROAD RWP','9','19','218229','GREE','REF TO PTCL',null,'12-AUG-2021','8890EG','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-16 16:10:18','2021-08-21 12:37:13',null,'1',null,'0');
INSERT INTO complaints VALUES('9015','RIZWAN','03126661934','FRIENDS HOME WALLAYAT COMPLEX NEAR RABI CENTRE BHR-7 RWP','6','12','15043','SIGNATURE','0',null,'23-JUN-2018','SCV-MQ22 - 1071','VACUUM CLEANER','NOT WORKING',null,'4',null,null,'customer','0',null,'73','2021-08-16 16:14:57','2021-08-16 16:15:34',null,'1',null,'0');
INSERT INTO complaints VALUES('9016','ADIL IFTIKHAR','03097722000 , 03215811548','H NO 114 ST NO 31 SEC C PHASE 8 B.TOWN RWP','6','12','22154','SIGNATURE','REF TO ADEEL BHR-7',null,'17-JUN-2019','SRF-KK90S - 885','REFRIGERATOR','COOLING',null,'4',null,null,'customer','0',null,'73','2021-08-16 16:17:28','2021-08-16 16:17:51',null,'1',null,'0');
INSERT INTO complaints VALUES('9017','BILAL SB.','03163444443','H NO 898 ST NO 14 SEC G/11-1 ISB','5','28','74005','LG','0',null,'1-APR-2016','55EG910-S - 942','FLAT PANEL TV','DISPLAY',null,'4',null,null,'customer','0',null,'73','2021-08-16 16:29:30','2021-08-16 16:30:35',null,'1',null,'0');
INSERT INTO complaints VALUES('9018','BILAL SB','03163444443','H NO 898 ST NO 14 SEC G/11-1 ISB','5','28','72352','LG','0',null,'8-JAN-2016','1496TDT24S - 122','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-16 16:29:33','2021-08-17 11:08:26',null,'1',null,'0');
INSERT INTO complaints VALUES('9019','BILAL SB','03163444443','H NO 898 ST NO 14 SEC G/11-1 ISB','5','28','72352','LG','0',null,'8-JAN-2016','1496TDT24S - 122','WASHING MACHINE','NOT WORKING',null,'8',null,null,'customer','1','9018','73','2021-08-16 16:34:19','2021-08-20 12:12:04',null,'1',null,'0');
INSERT INTO complaints VALUES('9020','mr ali','03466677777','OFFICE NO 1 1ST FLOOR INFINITY PROPERTIES LIAQAT KHAN BOLYWARD DHA 5  NEAR RAWAT ISB','4','5','8433','SIGNATURE','REF TO NAVEED FHHS',null,'20-APR-2019','65WBS - 893','REFRIGERATOR','COOLING',null,'4',null,null,'customer','0',null,'73','2021-08-16 16:45:31','2021-08-16 16:45:55',null,'1',null,'0');
INSERT INTO complaints VALUES('9021','MRS UMER','03175721223 , 03145519216','H NO CB444 ST NO 3 MUHALLAH SHAH FAISAL KAMALABAD RWP','7','49','24324','GREE','0',null,'12-AUG-2021','8890EG-CB2 - 2116','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-16 16:55:24','2021-08-21 12:20:00',null,'1',null,'0');
INSERT INTO complaints VALUES('9022','TAHIR MEHMOOD','03455216562','H NO 80 ST NO 159 SEC G/13-3 ISB','8','39','48772','HAIER','0',null,'18-MAY-2021','50K6600UG','FLAT PANEL TV','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-16 17:45:32','2021-08-21 11:36:00',null,'1',null,'0');
INSERT INTO complaints VALUES('9023','ALI SALMAN','03455129994','H NO 21A MAIN DOUBLE ROAD SEC F/11-2 ISB','5','31','115270','SAMSUNG','0',null,'7-MAR-2020','58K6467SL-S - 909','REFRIGERATOR','DOOR',null,'8',null,null,'customer','0',null,'73','2021-08-16 17:48:01','2021-08-20 14:56:29',null,'1',null,'0');
INSERT INTO complaints VALUES('9024','MR IRFAN','03435858860','ST NO 18 FAUJI COLONY PEERWADAHI RWP','9','21','186595','HAIER','0',null,'8-FEB-2020','276EPB - 858','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-16 17:56:43','2021-08-23 13:12:00',null,'1',null,'0');
INSERT INTO complaints VALUES('9025','omer farooq','03008548822','APP NO 2A KARAKAROM ENCLAVE 1 SEC F/11-1 ISB','5','31','115860','SONY','0',null,'21-MAR-2020','65X8000G-S - 1443','FLAT PANEL TV','SOFTWARE',null,'4',null,null,'customer','0',null,'73','2021-08-17 10:48:32','2021-08-17 10:49:16',null,'1',null,'0');
INSERT INTO complaints VALUES('9026','JAMAL SB','03355557778 , 03104116608','H NO 796 ST NO 11 SEC G/11-1 ISB','8','37','26124','SONY','REF TO TAHA SOHAIL',null,'15-JUL-2021','40RT-HT - 1487','SOUND SYSTEMS','NOT WORKING',null,'4',null,null,'customer','0',null,'73','2021-08-17 11:30:08','2021-08-17 11:30:23',null,'1',null,'0');
INSERT INTO complaints VALUES('9027','SHAKEEL AHMED','03025359295','H NO 97/6A NORAS COLONY TAHLI MOHRI RWP','9','23','139071','ORIENT','0',null,'16-AUG-2017','18G-PLUS','AIR CONDITIONER','LEAKAGE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-17 11:35:01','2021-08-23 16:00:57',null,'1',null,'0');
INSERT INTO complaints VALUES('9028','FAROOQ IQBAL','03346289289 , 03226001997','H NO 611 ST NO 2 BLOCK H PHASE 8 B.TOWN RWP','6','15','15224','SIGNATURE','0',null,'4-JUL-2018','SRF-HM99 - 908','REFRIGERATOR','SOUND PROBLEM',null,'4',null,null,'customer','0',null,'73','2021-08-17 11:37:45','2021-08-17 11:38:11',null,'1',null,'0');
INSERT INTO complaints VALUES('9029','ADIL ALI','03040112345','H NO 1032 ST NO 46 BLOCK B SEC B/17 ISB','5','28','125801','SIGNATURE','REF TO PTCL',null,'5-DEC-2020','HC-3761S - 1122','BUILT IN APPLLIANCES','NOBS',null,'8',null,null,'customer','0',null,'73','2021-08-17 11:45:57','2021-08-23 14:01:45',null,'1',null,'0');
INSERT INTO complaints VALUES('9030','AJAB KHAN','03015993945','H NO 28 ST NO 5 SEC D/17 ISB','8','42','52076','LG','0',null,'10-AUG-2021','4V5VGP2T-S','WASHING MACHINE','NOT WORKING',null,'4',null,null,'customer','0',null,'73','2021-08-17 12:16:05','2021-08-17 12:16:25',null,'1',null,'0');
INSERT INTO complaints VALUES('9031','COL SHUJAAT','03335130896','H NO 36 ST NO 2 SEC B DHA 1 RWP','6','12','0','SIGNATURE','REF TO SIGNATURE LAHORE',null,'13/8/2021','MT9R - 1124','BUILT IN APPLLIANCES','POWER ISSUE',null,'4',null,null,'customer','0',null,'73','2021-08-17 12:22:25','2021-08-17 12:22:47',null,'1',null,'0');
INSERT INTO complaints VALUES('9032','MR TALHA','03113203203','H NO 60 ST 3 SEC F SAFARI VILLAS 1 B.TOWN RWP','4','5','21904','ORIENT','REF TO KAMRAN',null,'13-JUN-2021','AUTO8 - 899','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-17 12:25:13','2021-08-21 12:53:05',null,'1',null,'0');
INSERT INTO complaints VALUES('9033','ABID ALI KHAN','03008561983 , 0515789096','H NO 4 ST NO 6 SEC D DHA 1 RWP','6','16','36281','HAIER','0',null,'20-JUN-2021','398EPR - 746','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-17 12:28:11','2021-08-21 11:29:49',null,'1',null,'0');
INSERT INTO complaints VALUES('9034','MUHHAMAD NAWAZ KHAN','+923315784199','HOUSE#30 ST#40 F7-1 ISB','9','19','104331','SAMSUNG','0',null,'18-AUG-2015','RSA-1S','REFRIGERATOR','DISPLAY ISSUE',null,'8',null,null,'customer','0',null,'106','2021-08-17 12:30:42','2021-08-23 12:39:52',null,'1',null,'0');
INSERT INTO complaints VALUES('9035','ABDUL HAMID','03339157697','H NO 24 CIRCULAR AVENUE SAFARI VILLAS 1 B.TOWN RWP','4','5','21570','GREE','REF TO NAFEES PWD',null,'3-JUN-2021','9978EG-CB3 - 2116','REFRIGERATOR','DOOR GAS KIT',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-17 12:30:55','2021-08-21 12:18:06',null,'1',null,'0');
INSERT INTO complaints VALUES('9036','MR PASHA','03460544085 , 03465407632','H NO 1067 ST NO 47 PHASE 3 B.TOWN RWP','4','8','17076','HOMAGE','0',null,'8-NOV-2020','84HWD - 993','WATER DISPENSER','LEAKAGE',null,'3',null,null,'customer','0',null,'73','2021-08-17 12:34:12','2021-08-17 12:34:12',null,'1',null,'0');
INSERT INTO complaints VALUES('9037','IMRAN KHALIQ','03030002399','WHITE HOUSE EMROTA GHZIABAD SCHOOL DEERKOT AZAD KASHMIR','9','19','217195','CHANGHONG','REF TO SAQIB FCP',null,'24-JUL-2021','180WI','AIR CONDITIONER','NOT WORKING',null,'3',null,null,'customer','0',null,'73','2021-08-17 12:37:16','2021-08-17 12:37:16',null,'1',null,'0');
INSERT INTO complaints VALUES('9038','SYED FAISAL','03334219161','H NO 529 ST NO 33 SEC I/8-2 ISB','8','42','38206','SONY','0',null,'15-DEC-2019','65X8577G-S - 1443','FLAT PANEL TV','LINES',null,'7',null,null,'customer','0',null,'73','2021-08-17 12:54:17','2021-08-23 14:26:31',null,'1',null,'0');
INSERT INTO complaints VALUES('9039','TAIMOOR ABBASI','03116664145','NEAR MUREE BREWAWRY VILLAGE  NUMBAL MURREE','9','22','218109','HAIER','0',null,'10-AUG-2021','368EPB - 860','REFRIGERATOR','DOOR GASKIT',null,'5','HAIER KA REF THIK HA.. HAMARAY PASS PEL REF KI INVOICE NAI AI',null,'customer','0',null,'73','2021-08-17 12:57:51','2021-08-17 13:08:29',null,'1',null,'0');
INSERT INTO complaints VALUES('9040','ZUBAIR HASHMI','03005001677','H NO 129C ST NO C9 BLOCK GULBERG GREEN ISB','5','34','101606','HAIER','0',null,'22-JAN-2019','95-1678HWM - 1817','WASHING MACHINE','PANEL',null,'3',null,null,'customer','0',null,'73','2021-08-17 13:14:23','2021-08-17 13:14:23',null,'1',null,'0');
INSERT INTO complaints VALUES('9041','ADIL FHHS','03403339967','FRIENDS HOME SHAMSABAD MURREE ROAD RWP','8','38','37341','SIGNATURE','0',null,'26-OCT-2019','32V600 - 936','FLAT PANEL TV','NOT WORKING',null,'7',null,null,'customer','0',null,'73','2021-08-17 13:32:57','2021-08-23 14:32:26',null,'1',null,'0');
INSERT INTO complaints VALUES('9042','M JAVID','03155309195','AYUB MEDICAL STORE KHANNA ROAD KHANNAPULL ISB','8','38','51355','KENWOOD','0',null,'17-JUL-2021','26657GD-BKG','REFRIGERATOR','COOLING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-17 13:37:34','2021-08-21 11:10:21',null,'1',null,'0');
INSERT INTO complaints VALUES('9043','COL TAHIR','03334254124 , 03098884567','H NO 14 ST NO 14 SEC C DHA 1 RWP','6','12','29413','LG','0',null,'5-SEP-2020','425FPS-S','DISH WASHER','NOT WORKING',null,'8',null,null,'customer','0',null,'73','2021-08-17 13:58:03','2021-08-21 13:11:37',null,'1',null,'0');
INSERT INTO complaints VALUES('9044','MAEEM JANJUA','03425202620 , 03349506435','NEAR ASKAR PETROL PUMP BLOCK A RAWAL ENCLAVE CHAKRI ROAD RWP','9','23','2018219','HAIER','REF TO PTCL',null,'12-AUG-2021','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-17 13:59:34','2021-08-21 11:08:39',null,'1',null,'0');
INSERT INTO complaints VALUES('9045','CH HASEEB','03155011120','H NO 300 ST NO 11 PHASE 4 B.TOWN RWP','4','11','18647','SONY','0',null,'9-DEC-2020','55X7500H-CC','FLAT PANEL TV','POWER',null,'4',null,null,'customer','0',null,'73','2021-08-17 14:08:50','2021-08-17 14:09:12',null,'1',null,'0');
INSERT INTO complaints VALUES('9046','RAFAY AFZAL','03009559707','H NO 44 ST NO 38 SEC F SAFARI HOMES PHASE 8 B.TOWN RWP','6','15','37598','SAMSUNG','0GLA57GNB00215H',null,'10-AUG-2021','WA70H4000SGURT','WASHING MACHINE','VIBRATION',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-17 15:01:06','2021-08-21 10:56:48',null,'1',null,'0');
INSERT INTO complaints VALUES('9047','MR FAHAD','03345507948','H NO 155 ST NO 77 SERVICES SOCIETY SEC E/11-2 ISB','5','34','103314','HAIER','0',null,'2-APR-2019','75-918 - 69','WASHING MACHINE','WATER',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'73','2021-08-17 15:38:50','2021-08-21 10:53:52',null,'1',null,'0');
INSERT INTO complaints VALUES('9048','ANEEB SB','03125226370 , 03335462233','H NO A91 ST NO 6 GULBERG COLONY WAH CANTT','8','39','50803','CHANGHONG','0',null,'3-JUL-2021','180CI','AIR CONDITIONER','SMELL',null,'3',null,null,'customer','0',null,'73','2021-08-17 15:40:00','2021-08-17 15:40:00',null,'1',null,'0');
INSERT INTO complaints VALUES('9049','MR SUFFIAN','03008331693','H NO 37A ST NO 105 SEC G/13-1 ISB','5','28','94982','SIGNATURE','REF TO ABU BAKAR FCI',null,'31-MAY-2018','FC90S - 1122','BUILT IN APPLLIANCES','BURNERS',null,'7',null,null,'customer','0',null,'73','2021-08-17 15:42:14','2021-08-23 15:28:43',null,'1',null,'0');
INSERT INTO complaints VALUES('9050','COL ZIA','03235310233 , 03235112178','H NO 48 ST NO 6 SEC C DHA 2 ISB','6','14','17704','SONY','0',null,'7-DEC-2018','49X7000F-S - 1629','FLAT PANEL TV','PANEL',null,'7',null,null,'customer','0',null,'73','2021-08-17 15:47:27','2021-08-23 14:25:50',null,'1',null,'0');
INSERT INTO complaints VALUES('9051','MR SHARIQ','03335102266','APP NO 1501 LIGNUM TOWER  DHA 2 ISB','6','12','31048','ORIENT','0',null,'2-DEC-2020',null,'FLAT PANEL TV','SETTING ISSUE',null,'3',null,null,'customer','1','8339','106','2021-08-17 15:53:40','2021-08-17 15:53:40',null,'1',null,'0');
INSERT INTO complaints VALUES('9052','MR HASSAN','03070151388 , 03005000182','10C SAFARI APPARTMENT PHASE 2 BAHRIA RWP','4','5','21605','MAX','REF TO KAMRAN PWD',null,'4-JUN-2021','999MC','COOKING RANGE','LEAKAGE',null,'8',null,null,'customer','0',null,'73','2021-08-17 16:08:07','2021-08-23 12:32:21',null,'1',null,'0');
INSERT INTO complaints VALUES('9053',null,null,null,'6',null,null,'HAIER','0000',null,null,'306R','WATER DISPENSER','TAB PROBLEM',null,'4',null,null,'showroom','0',null,'93','2021-08-17 16:11:38','2021-08-17 17:15:58',null,'1',null,'0');
INSERT INTO complaints VALUES('9054',null,null,null,'6',null,null,'VATTI','0000',null,null,null,'WATER DISPENSER','LEAKAGE PROBLEM',null,'4',null,null,'showroom','0',null,'93','2021-08-17 16:12:40','2021-08-17 17:15:38',null,'1',null,'0');
INSERT INTO complaints VALUES('9055','MR AFTAB','03320557878 03355912621','HO#8/1 AIBAK ROAD CMES MOSQUE WESTRIDGE RWP','8','37','47288','KENWOOD','MODAL#2436S-INV-917 03 UNIT KI COMPLAINT HAY SALE ADVISOR  ASHFAQ',null,'24-MAR-2021',null,'AIR CONDITIONER','COOLING ISSUE',null,'3',null,null,'customer','0',null,'92','2021-08-17 16:43:32','2021-08-17 16:43:32',null,'1',null,'0');
INSERT INTO complaints VALUES('9056','MISS MISHAL','03005314346','HO#73 ST 61 SEC F-10/3 ISB','8','37','50967','HAIER','0',null,'07-JULY-2021','18HFCF-W-INV - 915','AIR CONDITIONER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-08-17 17:05:56','2021-08-22 14:01:16',null,'1',null,'0');
INSERT INTO complaints VALUES('9057','MR AHMED BHATTI','03005000795','HO#197 ST 11 SEC B-1 DHA 1 ISB','6','12','30934','SAMSUNG','MODAL#15J5730SS-S',null,'01-DEC-2020',null,'WASHING MACHINE','WATER DRAIN ISSUE',null,'7',null,null,'customer','0',null,'92','2021-08-20 11:38:11','2021-08-23 14:11:11',null,'1',null,'0');
INSERT INTO complaints VALUES('9058','MR NADEEM','03466172657','HO#BV-111-422/14 WORD NO 07 HAYAT SIR ROAD GUJAR KHAN DIST RWP','9','20','217368','HAIER','0',null,'27-JULY-2021','18HFCF-W-INV - 915','AIR CONDITIONER','COOLING ISSUE',null,'3',null,null,'customer','0',null,'92','2021-08-20 11:49:39','2021-08-20 15:34:11',null,'1',null,'0');
INSERT INTO complaints VALUES('9059','MR UMAIR','03367786199','SHOP#GELANE FOODS SEC G-6/4 ISB','9','26','169346','HAIER','0',null,'16-APR-2019','336EPR - 894','REFRIGERATOR','COOLING ISSUE',null,'3',null,null,'customer','0',null,'92','2021-08-20 12:01:27','2021-08-20 15:39:20',null,'1',null,'0');
INSERT INTO complaints VALUES('9060','MR ASIF RANA','03315888126','HO#108-D ST 46 SEC I-8/2 ISB','5','34','116642','GREE','0',null,'23-MAY-2020','9978EG-CR1 - 885','REFRIGERATOR','DOOR ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-08-20 12:40:53','2021-08-22 13:51:24',null,'1',null,'0');
INSERT INTO complaints VALUES('9061','MR INAMULLAH','03145678595','AHMED MUSTAFA HOUSE NEAR MOHMAND PALACE MAPLE COLONY BANI GALA ISB','5','29','135812','LG','SALE ADVISOR JIBRAN',null,'19-JUNE-2021','4J5TNP7S - 899','WASHING MACHINE','WATER DRAIN ISSUE',null,'4',null,null,'customer','0',null,'92','2021-08-20 12:47:12','2021-08-20 12:50:34',null,'1',null,'0');
INSERT INTO complaints VALUES('9062','COL GULL HAKEEM','03339351556','HO#24-B LANE 02 SEC-F DHA 02 ISB','6','15','8645','LG','SALE ADVISOR RIZWAN ALI',null,'17-MAY-2017','1496TDT24-C - 899','WASHING MACHINE','ERROR I-E',null,'8',null,null,'customer','0',null,'92','2021-08-20 13:03:50','2021-08-23 14:03:21',null,'1',null,'0');
INSERT INTO complaints VALUES('9063','MR SOHAIL','03346067502','HO#2517 ST 07 HASHIM STREET DHOCK KHABA RWP','9','19','197365','SIEMENS','MODAL#6000DS-DW  DAWLANCE DRYER KI COMPLAINT HAY',null,'10-OCT-2020',null,'DRYER','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-08-20 13:10:22','2021-08-23 13:16:42',null,'1',null,'0');
INSERT INTO complaints VALUES('9064','DR MUBASHRA MUKADAS','03474232765','APP#42-B ROYAL CHELSEA BUILDING DIPLOMATIC ENCLAVE SEC G-5 ISB','8','42','52124','ORIENT','0',null,'12-AUG-2021','12G-HYPER-SW - 913','AIR CONDITIONER','COOLING ISSUE',null,'3',null,null,'customer','0',null,'92','2021-08-20 14:48:08','2021-08-20 15:50:32',null,'1',null,'0');
INSERT INTO complaints VALUES('9065','MR IMTINAN AHMAD','03318147954','HO#262 ST 10 PHASE 03 BAHRIA TOWN RWP','4','8','22678','SAMSUNG','MODAL#80J5410AW',null,'13-JULY-2021',null,'WASHING MACHINE','ERROR ISSUE',null,'7',null,null,'customer','0',null,'92','2021-08-20 14:53:48','2021-08-23 14:10:42',null,'1',null,'0');
INSERT INTO complaints VALUES('9066','MR RASHID','03233881100','AIR HEADQUARTERS SEC E-9 ISB','5','36','123398','KENWOOD','0',null,'28-OCT-2020','1828S-INV - 915','AIR CONDITIONER','ERROR L6',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-08-20 14:58:40','2021-08-22 13:33:12',null,'1',null,'0');
INSERT INTO complaints VALUES('9067','MISS MUMTAZ SHAMS','03365556114','HO#289 ST 01 QAZI CHOK SEC I-14/4 ISB','9','27','216317','HAIER','INVOICE CUSTOMER NAY SEND KI HAY CHAT SERVICE SAY AYI HAY COMPLAINT',null,'13-JULY-2021','90-1789HWM - 901','WASHING MACHINE','NOT WORKING',null,'5','complaint closed',null,'customer','0',null,'92','2021-08-20 15:11:01','2021-08-22 12:43:20',null,'1',null,'0');
INSERT INTO complaints VALUES('9068','SHAHK-MR SHAMIM','03335104998','HO#318 ST 03 GULRAZ PHASE 04 RWP','4','7','19544','ORIENT','SALE ADVISOR NAVEED  COMPLAINT BUTT STOCK SIR NAY BAJI HAY',null,'08-FEB-2021','531BL - 993','WATER DISPENSER','NOT WORKING',null,'3',null,null,'customer','0',null,'92','2021-08-20 15:19:57','2021-08-20 15:51:10',null,'1',null,'0');
INSERT INTO complaints VALUES('9069','MR FAHAD MALIK','03425562638','HO#156 ST 20 SEC G-10/2 ISB','5','29','106525','ORIENT','0',null,'28-JUNE-2019','18G-BOLD-UW-INV - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-08-20 15:28:32','2021-08-23 12:50:08',null,'1',null,'0');
INSERT INTO complaints VALUES('9070','MR FARHAN','03005136546','AHSAAN STREET KHAWAJA CORPORATION DEFIANCE ROAD HADYALA ROAD  RWP','9','21','212979','GREE','MODAL#18PITH2W  SALE ADVISOR MURTAZA',null,'09-JUNE-2021',null,'AIR CONDITIONER','INDOOR SOUND ISSUE',null,'5','COMPLIANT CLOSED',null,'customer','0',null,'92','2021-08-20 16:11:22','2021-08-23 12:37:50',null,'1',null,'0');
INSERT INTO complaints VALUES('9071','MRS LODHI','03018313626','FLAT#126 ALMUSTAFA TOWERS SEC F-10 MARKAZ ISB','5','33','138279','HAIER','0',null,'31-JULY-2021','85-826HWM - 945','WASHING MACHINE','NOT WORKING',null,'5','COMPLAINT CLOSED',null,'customer','0',null,'92','2021-08-20 16:20:42','2021-08-23 12:25:54',null,'1',null,'0');
INSERT INTO complaints VALUES('9072','MR HASSAN','03313106668','HO#M-1352 ST 51 AMAR PURA  NEAR CHAH SULTAN RWP','9','27','203715','CANON','COMPLAINT HAMMAD FCP SIR NAY BAJI HAY',null,'10-JAN-2021','16D-PLUS-DUAL - 1030','GEYSER','NOT WORKING',null,'3',null,null,'customer','0',null,'92','2021-08-20 16:41:02','2021-08-20 16:41:51',null,'1',null,'0');
INSERT INTO complaints VALUES('9073','MR SAIF ULLAH','03135193818','FRIEND CORPORATION GUL NOOR MARKET RWP','9','22','218271','HAIER','MODAL#42D6FG COMPLAINT CUSTOMER KI HAY VISIT SHOWROOM PAR KARWANA HAY',null,'16-AUG-2021',null,'FLAT PANEL TV','SCREEN DOT ISSUE',null,'3',null,null,'customer','0',null,'92','2021-08-20 17:02:32','2021-08-20 18:05:31',null,'1',null,'0');
INSERT INTO complaints VALUES('9074','KOHISTAN BUILDERS','03150409277 03335292937','KOHISTAN ENCLAVE GT ROAD WAH CANTT','9','19','212305','FISCHER','0',null,'03-JUNE-2021','65GF - 1220','WATER COOLER','TANG LEAKAGE',null,'3',null,null,'customer','0',null,'92','2021-08-20 17:14:05','2021-08-22 13:15:37',null,'1',null,'0');
INSERT INTO complaints VALUES('9075','SYED TALHA','03000459722','HO#141 ST 06 BLOCK-B MIDA TOWN RWP','6','12','21158','HAIER','0',null,'01-JUNE-2019','18HNJ-B INV - 915','AIR CONDITIONER','COOLING ISSUE',null,'5','complaint closed',null,'customer','0',null,'92','2021-08-20 17:28:15','2021-08-23 11:15:25',null,'1',null,'0');
INSERT INTO complaints VALUES('9076','MR AHTASHAM','03125481646','HO#GB-185 REHMATABAD BANARAS COLONY RWP','7','49','0','SIGNATURE','COMPLAINT SAMIULLAH PWD SIR NAY BAJI HAY INVOICE NAI HAY',null,'03-YEAR AGO',null,'REFRIGERATOR','COOLING ISSUE',null,'4',null,null,'customer','0',null,'92','2021-08-20 17:53:19','2021-08-23 11:18:54',null,'1',null,'0');
INSERT INTO complaints VALUES('9077','AZEEM STOCK FCP','03315420488','FRIEND CORPORATION GUL NOOR MARKET RWP','9','50','0','HAIER','MODAL#HRF-368EPRW',null,'0',null,'REFRIGERATOR','BASE DAMAGE',null,'3',null,null,'customer','0',null,'92','2021-08-20 17:59:36','2021-08-22 12:15:45',null,'1',null,'0');
INSERT INTO complaints VALUES('9078','bilal sb','03428486595','H NO 294 ST NO 40 SHAH KHALID COLONY CHAKLALA RWP','9','21','192575','ORIENT','0',null,'10-JUL-2020','18G-HYPER-SW - 915','AIR CONDITIONER','ERROR',null,'3',null,null,'customer','0',null,'73','2021-08-21 10:37:06','2021-08-21 11:26:53',null,'1',null,'0');
INSERT INTO complaints VALUES('9079','ALI RIZWAN','03335243765','SHOP NO 855 ADAM JEE ROAD SADDAR RWP','8','37','52066','GREE','0',null,'10-AUG-2021','18PITH11W','AIR CONDITIONER','COOLING',null,'4',null,null,'customer','0',null,'73','2021-08-21 10:53:09','2021-08-21 10:53:09',null,'0',null,'0');
INSERT INTO complaints VALUES('9080','HAMID MIR','03008506000','H NO 28 ST NO 24 SEC F/8-2 ISB','8','43','18590','LG','0',null,'14-MAR-2019','247CAAV-S - 909','REFRIGERATOR','COOLING',null,'4',null,null,'customer','0',null,'73','2021-08-21 11:01:48','2021-08-21 11:01:48',null,'0',null,'0');
INSERT INTO complaints VALUES('9081','HAMID MIR','03008506000','H NO 28 ST NO 24 SEC F/8-2 ISB','8','43','18590','SAMSUNG','0',null,'14-MAR-2019','90J5455MW-S - 901','WASHING MACHINE','NOT WORKING',null,'8',null,null,'customer','0',null,'73','2021-08-21 11:04:43','2021-08-23 12:48:29',null,'1',null,'0');
INSERT INTO complaints VALUES('9082','BRIG EDGAR','03215182230','H NO 26 M/7 EMAAR  NEAR T CHOWK RWWAT','6','16','37352','BOSCH','0',null,'29-JUL-2021','67NIT10M','DISH WASHER','DRAIN',null,'7',null,null,'customer','0',null,'73','2021-08-21 11:34:25','2021-08-23 14:10:13',null,'0',null,'0');
INSERT INTO complaints VALUES('9083','REHAN MALIK','031605473496','H NO 336B ST NO 35 SEC F/11-3 ISB','5','33','115301','LG','0',null,'9-MAR-2020','247CAAV-S - 909','REFRIGERATOR','ICE DISPENCER',null,'4',null,null,'customer','0',null,'73','2021-08-21 11:38:11','2021-08-21 11:38:11',null,'0',null,'0');
INSERT INTO complaints VALUES('9084','REHAN MALIK','03160573496','H NO 336B ST NO 35 SEC F/11-3 ISB','5','33','115301','LG','0',null,'9-MAR-2020','7148STHP-S - 945','WASHING MACHINE','ERROR E1',null,'4',null,null,'customer','0',null,'73','2021-08-21 11:39:22','2021-08-21 11:39:22',null,'0',null,'0');
INSERT INTO complaints VALUES('9085','MRS IHSAN','03335245952','H NO 6 ASKARI 7 ADYALA ROAD RWP CANTT','4','7','11462','CANON','0',null,'20-NOV-2019','U1-1123','BUILT IN APPLLIANCES','NOT WORKING',null,'3',null,null,'customer','0',null,'73','2021-08-21 11:42:39','2021-08-21 11:43:18',null,'1',null,'0');
INSERT INTO complaints VALUES('9086','MAJID SB','0512364671/03335284162','HNO 644 ST #19 BLOCK C CBR TOWN PHASE 1','4','5','4475','SIGNATURE','0',null,'15-JULY-2018','SWM-FW1610S - 902','WASHING MACHINE','NOT WORKING',null,'4',null,null,'customer','0',null,'106','2021-08-21 12:01:31','2021-08-21 12:01:57',null,'1',null,'0');
INSERT INTO complaints VALUES('9087','SHAHID SB','03152733530 , 03212225541','HO#1007 ST 25 SEC I-14/3 ISB','8','37','0','SIGNATURE','0',null,'ON PAYMENT','5BURNERS','BUILT IN APPLLIANCES','FLAMES',null,'4',null,null,'customer','0',null,'73','2021-08-21 12:18:39','2021-08-21 12:19:11',null,'1',null,'0');
INSERT INTO complaints VALUES('9088','UMER SB','+92333558335','HNO 31 ST#35 G6-2 ISB','5','28','0','SIGNATURE','REF TO PTCL CALL',null,'ON PAYMENT','SWD-HD10-GR - 994','WATER DISPENSER','TAP ISSUE',null,'4',null,null,'customer','0',null,'106','2021-08-21 12:25:40','2021-08-21 12:25:40',null,'0',null,'0');
INSERT INTO complaints VALUES('9089','ZEESHANUL HAQ','03335360977','H NO 34 ST NO 4 BLOCK G GROUND FLOOR NAVAL ENCOURAGE  ISB','5','35','125676','ORIENT','MODAL#475HGRAND-HS',null,'4-DEC-2020',null,'REFRIGERATOR','WATER LEAKAGE',null,'3',null,null,'customer','1','8688','92','2021-08-21 13:24:08','2021-08-23 12:13:54',null,'1',null,'0');
INSERT INTO complaints VALUES('9090','muhammad zafar','03335103878 , 03165573878','H NO 1547 ST NO 52 RAFI BLOCK PHASE 8 B.TOWN','6','12','34747','DAWLANCE','REF TO PTCL',null,'2-MAY-2021','1060GWR - 993','WATER DISPENSER','LEAKAGE',null,'3',null,null,'customer','0',null,'73','2021-08-21 13:41:45','2021-08-21 13:43:02',null,'1',null,'0');
INSERT INTO complaints VALUES('9091','MR AHMED BHATTI','03005000795','HO#197 ST 11 SEC B-1 DHA 1 ISB','6','12','30934','SAMSUNG','MODAL#15J5730SS-S',null,'01-DEC-2020',null,'WASHING MACHINE','WATER DRAIN ISSUE',null,'4',null,null,'customer','0',null,'92','2021-08-21 14:01:36','2021-08-21 14:03:55',null,'1',null,'0');
INSERT INTO complaints VALUES('9092','MRS TARIQ','03018555269','H NO 4 AQ KHAN ROAD MURTAZA STREET BANNI GALA ISB','5','36','0','LG','REF TO IKHLAQ FCI',null,'IN WARRANTY','DOUBLE DOOR','REFRIGERATOR','CARD',null,'4',null,null,'customer','0',null,'73','2021-08-21 14:12:10','2021-08-21 14:14:30',null,'1',null,'0');
INSERT INTO complaints VALUES('9093','MR IMTINAN AHMAD','03318147954','HO#262 ST 10 PHASE 03 BAHRIA TOWN RWP','4','8','22678','SAMSUNG','MODAL#80J5410AW',null,'13-JULY-2021',null,'WASHING MACHINE','ERROR ISSUE',null,'4',null,null,'customer','0',null,'92','2021-08-21 14:34:54','2021-08-22 10:27:53',null,'1',null,'0');
INSERT INTO complaints VALUES('9094','RASHID JAMEEL','03052038817','H NO NK11 NEW KATARIAN SATELLITE TOWN RWP','9','24','197352','SAMSUNG','0',null,'10-OCT-2020','90K5410-S','WASHING MACHINE','DRAIN',null,'8',null,null,'customer','0',null,'73','2021-08-21 14:59:03','2021-08-23 12:28:20',null,'0',null,'0');
INSERT INTO complaints VALUES('9095','HAMID MIR','03008506000','H NO 28 ST NO 24 SEC F/8-2 ISB','8','43','0','LG','C/O UMER SB',null,'ON PAYMENT','AUTO TOP LOAD','WASHING MACHINE','NOT WORKING',null,'4',null,null,'customer','0',null,'73','2021-08-21 15:51:55','2021-08-21 15:59:28',null,'1',null,'0');
INSERT INTO complaints VALUES('9096','PIRZADA MANSOOR','03009314500','FLAT 815 8TH FLOOR PINE HIEGHTS NEAR TOLLPLAZA NHA CROSSED SANGJANI SEC D/17 ISB','8','37','0','LG','REF TO TAHIR B.COOL',null,'ON PAYMENT','AUTO TOPLOAD','WASHING MACHINE','NOT WORKING',null,'4',null,null,'customer','0',null,'73','2021-08-21 15:56:08','2021-08-21 15:57:23',null,'1',null,'0');
INSERT INTO complaints VALUES('9097','MUJAHID SHAH','03345222206','H NO 6 ST NO 9 BLOCK H SOAN GARDEN ISB','4','8','22279','SAMSUNG','0',null,'28-JUN-2021','60M5070FS-S','DISH WASHER','NOT WORKING',null,'4',null,null,'customer','0',null,'73','2021-08-21 15:56:42','2021-08-23 11:36:56',null,'1',null,'0');
INSERT INTO complaints VALUES('9098','WAJAHAT SB','03132570014','OEC TOWER MAUV AREA SEC G/9-3 ISB','8','37','51384','HAIER','0',null,'17-JUL-2021','12HFCF-W-INV - 913','AIR CONDITIONER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-21 16:58:58','2021-08-21 17:00:36',null,'1',null,'0');
INSERT INTO complaints VALUES('9099','SHAHID SB','03152733530 , 03212225541','HO#1007 ST 25 SEC I-14/3 ISB','8','37','45200','HAIER','0',null,'19-DEC-2020','60S7EX1','BUILT IN APPLLIANCES','NOT WORKING',null,'3',null,null,'customer','0',null,'73','2021-08-22 11:37:12','2021-08-22 12:14:11',null,'1',null,'0');
INSERT INTO complaints VALUES('9100','SAAD UR REHMAN','03135879567','H NO 21 ST NO 14 SEC A BAHRIA ENCLAVE ISB','8','37','48328','HAIER','0',null,'3-MAY-2021','18HJ-W INV - 915','AIR CONDITIONER','SOUND',null,'3',null,null,'customer','0',null,'73','2021-08-22 11:41:28','2021-08-22 12:14:16',null,'1',null,'0');
INSERT INTO complaints VALUES('9101','SAEEN BABAR','03335112337 , 03155112337','H NO 46 BABAR STREET OPP ZIA MASJID SHAKRYAL RWP','8','39','40772','SIGNATURE','0',null,'6-JUL-2020','SBH-AC930S - 1122','BUILT IN APPLLIANCES','BURNERS',null,'4',null,null,'customer','1','8253','73','2021-08-22 11:45:41','2021-08-22 11:46:46',null,'0',null,'0');
INSERT INTO complaints VALUES('9102','DR AMIR','03324107756','H NO 393D ST NO 10 GULRAIZ PHASE 3 RWP','9','19','126113','FIVE STAR','REF TO PTCL CALL',null,'31-DEC-2016','35G-FS - 1759','GEYSER','LEAKAGE',null,'7',null,null,'customer','0',null,'73','2021-08-22 11:54:55','2021-08-23 11:11:45',null,'1',null,'0');
INSERT INTO complaints VALUES('9103','KHALID SB','03009854118 , 03455232542','FAROOQ CORPORATION SHAMSABAD RWP','8','37','49421','KENWOOD','0',null,'2-JUN-2021','1828S-INV - 915','AIR CONDITIONER','NOT WORKING',null,'3',null,null,'customer','0',null,'73','2021-08-22 12:09:35','2021-08-22 12:14:21',null,'1',null,'0');
INSERT INTO complaints VALUES('9104','MUHAMMAD HASSAN','03335738691','H NO 118 ST NO 81 SEC E/11-2 ISB','8','38','51091','PANASONIC','18WKF-9',null,'11-JUL-2021',null,'AIR CONDITIONER','SOUND PROBLEM',null,'3',null,null,'customer','1','8254','106','2021-08-22 12:50:56','2021-08-22 12:51:08',null,'1',null,'0');
INSERT INTO complaints VALUES('9105','BABER SHAH','03335312194','FARM NO 26 ST NO 1 SHAH ALLA DITTA SEC D/12  ISB','5','36','138707','LG','0',null,'11-AUG-2021','257CSAV-S - 909','REFRIGERATOR','COOLING',null,'4',null,null,'customer','0',null,'73','2021-08-22 14:34:37','2021-08-22 14:34:37',null,'0',null,'0');
INSERT INTO complaints VALUES('9106','TOUSEEF SB','03115377720','H NO 786 ABBASI STREET 3 MADINATUL RAJAB SHAMSABAD RWP','8','39','30145','SIGNATURE','0',null,'21-OCT-2018','SRF-WB90M - 885','REFRIGERATOR','COOLING',null,'4',null,null,'customer','0',null,'73','2021-08-22 14:37:00','2021-08-22 14:37:00',null,'0',null,'0');
INSERT INTO complaints VALUES('9107','SYED M TALHA','03445289998','HO#141 ST#06 BLOCK B MEDIA TOWN  R.W.P','8','38','11072','HAIER','0',null,'21-OCT-2017','18HNB-INV - 915','AIR CONDITIONER','COOLING',null,'3',null,null,'customer','1','6046','73','2021-08-22 15:01:17','2021-08-22 15:01:39',null,'1',null,'0');
INSERT INTO complaints VALUES('9108','ASIF KHOSA','03485363402','H NO 2 ST NO 17 SEC C1 BAHRIA ENCLAVE ISB','8','38','43076','SHARP','0',null,'18-OCT-2020','X635-HS3','REFRIGERATOR','EARTH',null,'4',null,null,'customer','0',null,'73','2021-08-22 15:50:31','2021-08-22 15:50:31',null,'0',null,'0');
INSERT INTO complaints VALUES('9109','SAIFULLAH','03215508643','H NO 213/3 ORDINANCE ROAD LALKURTI TARIQABAD RWP','7','49','24268','KENWOOD','0',null,'3-AUG-2021','1010SA - 902','WASHING MACHINE','NOT WORKING',null,'3',null,null,'customer','0',null,'73','2021-08-23 11:46:01','2021-08-23 13:27:36',null,'1',null,'0');
INSERT INTO complaints VALUES('9110','IMRAN ALI','03335194703','MEDICARE PHARMACY NEAR DHAKA SWEETS PESHAWAR ROAD RWP','9','24','191553','GREE','0',null,'26-JUN-2020','24CITH12G - 917','AIR CONDITIONER','ERROR H6',null,'3',null,null,'customer','0',null,'73','2021-08-23 11:48:44','2021-08-23 13:04:24',null,'1',null,'0');
INSERT INTO complaints VALUES('9111','SHAHZAD AHMEN','03339075070 , 03357270727','H NO 278 ST NO 11 BLOCK C MEDIA TOWN RWP','4','7','21966','BOSCH','0',null,'14-JUN-2021','67NI10M','DISH WASHER','WATER BLOCKAGE',null,'4',null,null,'customer','0',null,'73','2021-08-23 11:51:33','2021-08-23 11:51:33',null,'0',null,'0');
INSERT INTO complaints VALUES('9112','MR JAVED','03325238468','H NO 69 ST NO 139 SEC G/13-4 ISB','9','27','206190','SIGNATURE','0',null,'23-FEB-2021','SBO-AR4R - 1124','BUILT IN APPLLIANCES','GLASS DAMAGED',null,'4',null,null,'customer','0',null,'73','2021-08-23 11:54:34','2021-08-23 11:54:34',null,'0',null,'0');
INSERT INTO complaints VALUES('9113','WILSON CHEMIST','03335315312','MALL ROAD SADDAR RWP CANTT','10','45','0','CARAVELL','C/O SADDIQ SB',null,'2018','CARAVELL CGILLER','CHILLER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-23 11:57:53','2021-08-23 11:57:53',null,'0',null,'0');
INSERT INTO complaints VALUES('9114','SHAHZAD MALIK','03335133396','H NO 289 ST NO 76 SEC G/9-3 ISB','5','28','133638','SONY','0',null,'26-MAY-2021','65X7500H-CC','FLAT PANEL TV','HDMI PORTS',null,'4',null,null,'customer','0',null,'73','2021-08-23 12:00:42','2021-08-23 12:00:42',null,'0',null,'0');
INSERT INTO complaints VALUES('9115','ASAD CHEEMA','03335626565','H NO AA1510 ST NO 14 AKALGARH GULSHANABAD RWP','8','39','51311','WAVES','0',null,'15-JUL-2021','315WDFT-SS - 958','FREEZER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-23 12:03:25','2021-08-23 13:11:24',null,'1',null,'0');
INSERT INTO complaints VALUES('9116','AWAIS AHMED','03018570000','H NO 13 ST NO 15 BLOCK H SOAN GARDEN ISB','5','28','121132','SAMSUNG','0',null,'22-AUG-2020','58K6467SL-S - 909','REFRIGERATOR','COOLING',null,'4',null,null,'customer','0',null,'73','2021-08-23 12:10:14','2021-08-23 12:10:14',null,'0',null,'0');
INSERT INTO complaints VALUES('9117','DILAWAR MASIH','03005300252','H NO 102 ST NO 7 SUFI HOTEL STREET GAURI GARDENS ISB','8','42','52250','PANASONIC','REF TO TAHIR B.COOL',null,'20-AUG-2021','24WKF-9','AIR CONDITIONER','NOT WORKING',null,'3',null,null,'customer','0',null,'73','2021-08-23 12:15:44','2021-08-23 12:15:44',null,'0',null,'0');
INSERT INTO complaints VALUES('9118','MR DANISH','03365202297 , 03215111015','H NO ZA736 ST NO 23 MUHALLAH MAZHARABZAD NAI ABADI DHOKMANGTAL RWP','9','20','211324','KENWOOD','0',null,'24-MAY-2021','1010SA - 902','WASHING MACHINE','SPINNER',null,'3',null,null,'customer','0',null,'73','2021-08-23 12:19:16','2021-08-23 13:27:44',null,'1',null,'0');
INSERT INTO complaints VALUES('9119','ZAKIULLAH','03132222252 , 03224004433','H NO 98 ST NO 59 SEC F/10-3 ISB','5','33','132469','SIGNATURE','0',null,'3-MAY-2021','C595','COOKING RANGE','BURNERS',null,'3',null,null,'customer','0',null,'73','2021-08-23 12:22:30','2021-08-23 12:22:30',null,'0',null,'0');
INSERT INTO complaints VALUES('9120','HASSAN ZAWAR','03341777066','H NO 528 ST NO 46 G10-4 ISB','9','21','191788','GREE','0',null,'30-JUN-2020','9978EG-CW3 - 885','REFRIGERATOR','DOOR GAS KIT',null,'3',null,null,'customer','0',null,'73','2021-08-23 12:26:40','2021-08-23 13:04:27',null,'1',null,'0');
INSERT INTO complaints VALUES('9121','ZAIN SB','03365031999','H NO 27E HANIF ABBASI STREET SATELLITE TOWN RWP','9','51','218422','SONY','0',null,'20-AUG-2021','55X8000H-CC','FLAT PANEL TV','NOT WORKING',null,'4',null,null,'customer','0',null,'73','2021-08-23 12:28:37','2021-08-23 12:28:37',null,'0',null,'0');
INSERT INTO complaints VALUES('9122','SHAHZAMAN KAKKAR','03356451786 , 03336451786','H NO248 ST NO 11 RACE COURSE ROAD WESTRIDGE RWP','9','22','181104','DAWLANCE','0',null,'7-NOV-2019','91996GD-INV-IOT-BK - 885','REFRIGERATOR','DOOR',null,'3',null,null,'customer','0',null,'73','2021-08-23 12:30:31','2021-08-23 14:15:39',null,'1',null,'0');
INSERT INTO complaints VALUES('9123','MUSHTAQ BURQI','03175555225','H NO 351 ST NO 16 PHASE 3 B.TOWN RWP','9','20','177775','LG','0',null,'25-AUG-2019','502HMHU-S - 896','REFRIGERATOR','LIGHT',null,'4',null,null,'customer','0',null,'73','2021-08-23 12:32:37','2021-08-23 12:32:37',null,'0',null,'0');
INSERT INTO complaints VALUES('9124','SYED IRFAN','03335669997','KARAKAROM ENCLAVE 1 E GROUND SEC F/11 MARKAZ ISB','9','24','0','SAMSUNG','0',null,'ON PAYMENT','AUTO TOPLOAD','WASHING MACHINE','WATER DRAIN',null,'4',null,null,'customer','0',null,'73','2021-08-23 12:33:58','2021-08-23 15:48:52',null,'1',null,'0');
INSERT INTO complaints VALUES('9125','YOUSAF ZAI','03216422877','HO#340 ST#09 SEC ASKARI 14 R.W.P','4','6','37498','BOSCH','93VL30M-C',null,'05-AUG-2021',null,'REFRIGERATOR','SOUND PROB',null,'3',null,null,'customer','1','8742','73','2021-08-23 12:38:43','2021-08-23 12:38:43',null,'0',null,'0');
INSERT INTO complaints VALUES('9126','AFTAB SB','03007655194','H NO 89/17A ST NO 25 MISRIAL ROAD CHAMNABAD RWP','9','24','203484','SUPER ASIA','0',null,'6-JAN-2021','240SHW-CRYSTAL - 1548','WASHING MACHINE','DRAIN',null,'3',null,null,'customer','0',null,'73','2021-08-23 12:41:52','2021-08-23 13:19:11',null,'1',null,'0');
INSERT INTO complaints VALUES('9127','ADEEL AHMED','03475371420','H NO 21 ST NO 49 SEC N BAHRIA ENCLAVE ISB','9','24','205184','MITSUBISHI','0',null,'7-FEB-2021','50VA - 915','AIR CONDITIONER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-23 12:43:58','2021-08-23 13:22:45',null,'1',null,'0');
INSERT INTO complaints VALUES('9128','MR MUDASSIR','03137755596','ROOM NO 15 GHAZI ILUM DIN SHAHEED HOSTEL ATTA TURK AVENUE SEC G/5-1 ISB','5','28','131115','HAIER','336R-HWD',null,'1-APR-2021',null,'WATER DISPENSER','REF TO ABU BAKAR FCI
COOLING',null,'3',null,null,'customer','1','8604','73','2021-08-23 12:46:50','2021-08-23 14:02:53',null,'1',null,'0');
INSERT INTO complaints VALUES('9129','MUNIR AHMED','03345434021','H NO 733 ST NO 27 SEC F1 PHASE 8 B.TOWN RWP','5','33','131388','HAIER','0',null,'7-APR-2021','438IDRA','REFRIGERATOR','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-23 12:49:33','2021-08-23 14:02:56',null,'1',null,'0');
INSERT INTO complaints VALUES('9130','ASAD SALMAN','03225126969 ,','H NO 135C ST NO 5 SEC 1 KHAYABAN-E-SIRSYED RWP','9','19','218254','DAWLANCE','REF TO PTCL',null,'13-AUG-2021','115CHZP - 961','MICROWAVE OVEN','LIGHT',null,'3',null,null,'customer','0',null,'73','2021-08-23 12:54:12','2021-08-23 14:15:43',null,'1',null,'0');
INSERT INTO complaints VALUES('9131','MR ADIL','03009711259','H NO 1069 ST NO 30 RAFI BLOCK PHASE 8 B.TOWN RWP','6','15','36671','SAMSUNG','0',null,'5-JUL-2021','650R','SOUND SYSTEMS','BOARD',null,'7',null,null,'customer','0',null,'73','2021-08-23 12:56:01','2021-08-23 13:08:51',null,'0',null,'0');
INSERT INTO complaints VALUES('9132','COL ZAFAR','03009117701 , 03331618774','H NO 24 ST NO 2 SEC B1 OPP FOUNDATION UNIVERSITY GATE DHA1 RWP','6','15','34680','HAIER','0',null,'28-APR-2021','18HFMAC','AIR CONDITIONER','DEAD',null,'3',null,null,'customer','0',null,'73','2021-08-23 13:16:19','2021-08-23 14:03:02',null,'1',null,'0');
INSERT INTO complaints VALUES('9133','MR JACKSON','03455270817 , 03335546494','H NO CB1192 ST NO 1 KHAYABAN-E-BAKSH BAKRA MANDI DHAMIAL ROAD  RWP','5','28','127093','DAWLANCE','0',null,'14-DEC-2020','9106SD - 83','REFRIGERATOR','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-23 13:30:08','2021-08-23 14:15:47',null,'1',null,'0');
INSERT INTO complaints VALUES('9134','NAUMAN AZIZ','03315101347','H NO E127 BLOCK E STREET 13 SEC 4 AIRPORT HOUSING SOCIETY RWP','9','24','215998','ORIENT','0',null,'10-JUL-2021','FLARE3-RG','WATER DISPENSER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-23 13:49:38','2021-08-23 13:50:42',null,'1',null,'0');
INSERT INTO complaints VALUES('9135','NOUMAN','03335223567','H NO 16 ST NO 17 SEC H DHA 2 ISB','6','12','34436','ORIENT','REF TO ADIL I/10',null,'18-APR-2021','24G-PREMIER-SW - 917','AIR CONDITIONER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-23 14:24:46','2021-08-23 15:20:53',null,'1',null,'0');
INSERT INTO complaints VALUES('9136','SYED NADEEM','03070801500','FARM NO 34 SCHEME 4 ARCHARD MURREE ROAD RWP','8','39','52245','HAIER','0',null,'20-AUG-2021','631DGS - 1122','BUILT IN APPLLIANCES','IGNITION',null,'3',null,null,'customer','0',null,'73','2021-08-23 14:31:01','2021-08-23 14:31:01',null,'0',null,'0');
INSERT INTO complaints VALUES('9137','QAZI NAWAZ','03015102561 , 03365102561','RWP','8','38','51800','PEL','0',null,'29-JUL-2021','115CURVED-RB','WATER DISPENSER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-23 14:58:13','2021-08-23 15:05:22',null,'1',null,'0');
INSERT INTO complaints VALUES('9138','MR HASSAN','03461903304','H NO 1957 BLOCK F NATIONAL POLICE FOUNDATION SEC O9 ISB','4','5','6515','SIGNATURE','REF TO PTCL',null,'8-DEC-2018','SWM-JD46 - 945','WASHING MACHINE','SOUND',null,'4',null,null,'customer','0',null,'73','2021-08-23 15:07:48','2021-08-23 15:07:48',null,'0',null,'0');
INSERT INTO complaints VALUES('9139','MOHSIN IQBAL','03005656068','BLOCK 1 DEFENCE RESIDENCY NEAR LIGNUM TOWER DHA 2 ISB','7','49','21949','CANON','0',null,'9-OCT-2020','16D-PLUS-DUAL(LPG) - 1030','GEYSER','SPARKING',null,'3',null,null,'customer','0',null,'73','2021-08-23 15:13:49','2021-08-23 15:25:51',null,'1',null,'0');
INSERT INTO complaints VALUES('9140','MRS FAREEHA','03322222028','H NO 741 ST NO 75 SEC I/8-3 ISB','5','31','135158','GREE','0',null,'11-JUN-2021','18PITH2W','AIR CONDITIONER','AUTO ON OFF',null,'3',null,null,'customer','0',null,'73','2021-08-23 15:34:38','2021-08-23 15:34:38',null,'0',null,'0');
INSERT INTO complaints VALUES('9141','AZHAR MEHMOOD AWAN','03005574877','H NO 1005/2C JAVED STREET NEW MUGHLABAD RWP','9','19','212392','HAIER','REF TO SAQIB FCP',null,'3-JUN-2021','18HFPCA-B','AIR CONDITIONER','SOUND',null,'3',null,null,'customer','0',null,'73','2021-08-23 15:42:34','2021-08-23 15:42:34',null,'0',null,'0');
INSERT INTO complaints VALUES('9142','IQBAL FCI','03465166132','FRIENDS BLUE AREA ISB','5','33','0','TCL','2104VLR301480A01128',null,'0','32D310 - 936','FLAT PANEL TV','REMOTE SENSOR',null,'3',null,null,'customer','0',null,'73','2021-08-23 15:44:18','2021-08-23 15:44:18',null,'0',null,'0');
INSERT INTO complaints VALUES('9143','DR  ATHAR','03304506211 , 03009505846','H NO 293 ST NO 76 SEC G/9-3 ISB','10','44','0','HAIER','C/O AKBAR SB',null,'13-SEP-2019','SINGLE DOOR','REFRIGERATOR','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-23 15:47:24','2021-08-23 15:47:24',null,'0',null,'0');
INSERT INTO complaints VALUES('9144','VERTECH','03365899169','ROOM NO 10 THIRD FLOOR AHMED CENTRE I/8 MARKAZ ISB','6','12','37640','ORIENT','REF TO PTCL',null,'20-NOV-2020','32FHD','FLAT PANEL TV','NOTW ORKING',null,'3',null,null,'customer','0',null,'73','2021-08-23 15:56:44','2021-08-23 15:56:44',null,'0',null,'0');
INSERT INTO complaints VALUES('9145','VERTECH','03365899169','ROOM NO 10 3RD FLOOR AHMED CENTRE SEC I/8 MARKAZ ISB','6','12','37640','DAWLANCE','REF TO PTCL',null,'20-NOV-2020','9188WBHZ-PLUS - 895','REFRIGERATOR','DOOR HANDLE',null,'3',null,null,'customer','0',null,'73','2021-08-23 15:58:03','2021-08-23 15:58:03',null,'0',null,'0');
INSERT INTO complaints VALUES('9146','DR FARIHA NAZ','03365505429','H NO 2 MAIN BULYWARD SEC E OPP BANK ALHABIB DHA 2 ISB','4','5','23369','MITSUBISHI','REF TO ADIL I/10',null,'21-AUG-2021','50VA - 915','AIR CONDITIONER','COOLING',null,'3',null,null,'customer','0',null,'73','2021-08-23 16:00:42','2021-08-23 16:00:42',null,'0',null,'0');
INSERT INTO complaints VALUES('9147','MR WAQAS','03043333409','H NO 4/4C ST NO 15 GALI 42  SEC G/7-2 ISB','5','31','132652','GREE','0',null,'4-MAY-2021','12PITH2W','AIR CONDITIONER','SOUND',null,'3',null,null,'customer','0',null,'73','2021-08-23 16:05:22','2021-08-23 16:05:22',null,'0',null,'0');



CREATE TABLE `corporates` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `company_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ptcl_no` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` bigint(20) unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `corporates_user_id_foreign` (`user_id`),
  CONSTRAINT `corporates_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=60 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO corporates VALUES('56','Friends','0518445463','Rawalpindi','73','2020-07-18 15:21:32','2020-07-18 15:21:32',null);
INSERT INTO corporates VALUES('57','huma','0518445463','r.w.p','74','2020-07-18 15:40:54','2020-07-18 15:40:54',null);
INSERT INTO corporates VALUES('58','Friends Home','8445463','flat no 12 block 2a sec g/9-2 isb','92','2020-09-13 21:53:37','2020-09-13 21:53:37',null);
INSERT INTO corporates VALUES('59','FRIENDS','0518445463','KURI ROAD RWP','106','2021-07-31 17:42:46','2021-07-31 17:42:46',null);



CREATE TABLE `failed_jobs` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `connection` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




CREATE TABLE `migrations` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO migrations VALUES('1','2014_10_11_073324_create_roles_table','1');
INSERT INTO migrations VALUES('2','2014_10_12_000000_create_users_table','1');
INSERT INTO migrations VALUES('3','2014_10_12_100000_create_password_resets_table','1');
INSERT INTO migrations VALUES('4','2019_08_19_000000_create_failed_jobs_table','1');
INSERT INTO migrations VALUES('5','2020_05_01_065719_create_branches_table','1');
INSERT INTO migrations VALUES('6','2020_05_01_073943_create_salesmen_table','1');
INSERT INTO migrations VALUES('7','2020_05_01_075858_create_companies_table','1');
INSERT INTO migrations VALUES('8','2020_05_01_075913_create_vendors_table','1');
INSERT INTO migrations VALUES('9','2020_05_02_203221_create_complaints_table','1');
INSERT INTO migrations VALUES('10','2020_05_14_113105_create_complaint_statuses_table','1');
INSERT INTO migrations VALUES('11','2020_05_15_100905_create_statuses_table','1');
INSERT INTO migrations VALUES('12','2020_06_17_065423_create_product_categories_table','1');



CREATE TABLE `password_resets` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `password_resets_email_index` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO password_resets VALUES('humamajeed87@gmail.com','$2y$10$B7YEPvYmURV.uXkaliFIXeBr7Np3a0oK/KWzi0GsrJUSU6m2osddC','2021-01-03 00:57:12');
INSERT INTO password_resets VALUES('usman4av.ogc@gmail.com','$2y$10$VbxYtrQ0bQdu4eZXu0j1huRsVh5SFO9acX9il/w3LNY/XtFimjFS2','2021-02-28 17:45:37');
INSERT INTO password_resets VALUES('khurram03335715871@gmail.com','$2y$10$d.tvFX0ry.LjNSPCgyKolOg0RiE.GrlmhfZmVPQqO7rrAO5cgYoNW','2021-07-13 17:41:56');



CREATE TABLE `product_categories` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `product` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `brand` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `model` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6370 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO product_categories VALUES('1','ACCESSORIES','LDNIO','86LC - 1893',null,null);
INSERT INTO product_categories VALUES('2','ACCESSORIES','LDNIO','89LC - 1893',null,null);
INSERT INTO product_categories VALUES('3','ACCESSORIES','LG','315F - 1098',null,null);
INSERT INTO product_categories VALUES('4','ACCESSORIES','SAMSUNG','51002 - 1098',null,null);
INSERT INTO product_categories VALUES('5','ACCESSORIES','HAIER','AC-DEVICEUPS - 1909',null,null);
INSERT INTO product_categories VALUES('6','ACCESSORIES','APPLE','64GB-IPAD - 264',null,null);
INSERT INTO product_categories VALUES('7','ACCESSORIES','MARS','001-HDMI - 702',null,null);
INSERT INTO product_categories VALUES('8','ACCESSORIES','SAMSUNG','10M-HDMI - 701',null,null);
INSERT INTO product_categories VALUES('9','ACCESSORIES','LDNIO','502C - 1887',null,null);
INSERT INTO product_categories VALUES('10','ACCESSORIES','LDNIO','407QC - 1887',null,null);
INSERT INTO product_categories VALUES('11','ACCESSORIES','LDNIO','29C-DL - 1887',null,null);
INSERT INTO product_categories VALUES('12','ACCESSORIES','LDNIO','11CM - 1887',null,null);
INSERT INTO product_categories VALUES('13','ACCESSORIES','LDNIO','21CM - 1887',null,null);
INSERT INTO product_categories VALUES('14','ACCESSORIES','LCD BRACKET','BRACKET - 552',null,null);
INSERT INTO product_categories VALUES('15','ACCESSORIES','PHILIPS','LP47PFL4007 - 392',null,null);
INSERT INTO product_categories VALUES('16','ACCESSORIES','SAMSUNG','2632 - 688',null,null);
INSERT INTO product_categories VALUES('17','ACCESSORIES','TNITREND','D40 - 1081',null,null);
INSERT INTO product_categories VALUES('18','ACCESSORIES','TNITREND','D20 - 1081',null,null);
INSERT INTO product_categories VALUES('19','ACCESSORIES','WBKT','FRBKT - 696',null,null);
INSERT INTO product_categories VALUES('20','ACCESSORIES','Dolphin','DE-2 ELECTRIC ITEMS - 1986',null,null);
INSERT INTO product_categories VALUES('21','ACCESSORIES','Dolphin','DF-REF - 1986',null,null);
INSERT INTO product_categories VALUES('22','ACCESSORIES','Dolphin','AAP-DC - 1986',null,null);
INSERT INTO product_categories VALUES('23','ACCESSORIES','Dolphin','16CB-AC - 1986',null,null);
INSERT INTO product_categories VALUES('24','ACCESSORIES','Dolphin','20CB-AC - 1986',null,null);
INSERT INTO product_categories VALUES('25','ACCESSORIES','CA','BAT2000 - 1630',null,null);
INSERT INTO product_categories VALUES('26','ACCESSORIES','SIGNATURE','CUP-HOLDER - 1738',null,null);
INSERT INTO product_categories VALUES('27','ACCESSORIES','LDNIO','52AC-DL - 1892',null,null);
INSERT INTO product_categories VALUES('28','ACCESSORIES','LDNIO','2205A - 1886',null,null);
INSERT INTO product_categories VALUES('29','ACCESSORIES','LDNIO','2208A - 1886',null,null);
INSERT INTO product_categories VALUES('30','ACCESSORIES','LDNIO','4405A - 1886',null,null);
INSERT INTO product_categories VALUES('31','ACCESSORIES','LDNIO','6702A - 1892',null,null);
INSERT INTO product_categories VALUES('32','ACCESSORIES','LDNIO','8101A - 1886',null,null);
INSERT INTO product_categories VALUES('33','ACCESSORIES','LDNIO','3301SC - 1891',null,null);
INSERT INTO product_categories VALUES('34','ACCESSORIES','LDNIO','3604SC - 1891',null,null);
INSERT INTO product_categories VALUES('35','ACCESSORIES','VORTEX','08EXT - 1173',null,null);
INSERT INTO product_categories VALUES('36','ACCESSORIES','VORTEX','12EXT - 1218',null,null);
INSERT INTO product_categories VALUES('37','ACCESSORIES','LDNIO','GIFT BOX - 1978',null,null);
INSERT INTO product_categories VALUES('38','ACCESSORIES','KENWOOD','64GB - 1568',null,null);
INSERT INTO product_categories VALUES('39','ACCESSORIES','KINGSTON','16GB - 1568',null,null);
INSERT INTO product_categories VALUES('40','ACCESSORIES','KINGSTON','8GB - 1568',null,null);
INSERT INTO product_categories VALUES('41','ACCESSORIES','KINGSTON','32GB - 1568',null,null);
INSERT INTO product_categories VALUES('42','ACCESSORIES','COLLEGE','3M-HDMI - 608',null,null);
INSERT INTO product_categories VALUES('43','ACCESSORIES','COLLEGE','5MC-HDMI - 608',null,null);
INSERT INTO product_categories VALUES('44','ACCESSORIES','OEHLBACH','HDMI3.0 - 617',null,null);
INSERT INTO product_categories VALUES('45','ACCESSORIES','OEHLBACH','HDMI5.0 - 617',null,null);
INSERT INTO product_categories VALUES('46','ACCESSORIES','A4TECH','3000N - 1897',null,null);
INSERT INTO product_categories VALUES('47','ACCESSORIES','LDNIO','4406A - 1977',null,null);
INSERT INTO product_categories VALUES('48','ACCESSORIES','LDNIO','07LS - 1889',null,null);
INSERT INTO product_categories VALUES('49','ACCESSORIES','LDNIO','27LS - 1889',null,null);
INSERT INTO product_categories VALUES('50','ACCESSORIES','LDNIO','26LS - 1889',null,null);
INSERT INTO product_categories VALUES('51','ACCESSORIES','LDNIO','26LS - 1888',null,null);
INSERT INTO product_categories VALUES('52','ACCESSORIES','LDNIO','27LS - 1888',null,null);
INSERT INTO product_categories VALUES('53','ACCESSORIES','LDNIO','07LS - 1888',null,null);
INSERT INTO product_categories VALUES('54','ACCESSORIES','HI-TONE','63 - 1884',null,null);
INSERT INTO product_categories VALUES('55','ACCESSORIES','HI-TONE','806-2 - 1883',null,null);
INSERT INTO product_categories VALUES('56','ACCESSORIES','HI-TONE','62-T - 1883',null,null);
INSERT INTO product_categories VALUES('57','ACCESSORIES','HI-TONE','003-0 - 1883',null,null);
INSERT INTO product_categories VALUES('58','ACCESSORIES','HI-TONE','006 - 1883',null,null);
INSERT INTO product_categories VALUES('59','ACCESSORIES','MASTER','LATEX PILLOW - 1615',null,null);
INSERT INTO product_categories VALUES('60','ACCESSORIES','MASTER','FIBER - 1615',null,null);
INSERT INTO product_categories VALUES('61','ACCESSORIES','MASTER','FIBER GOLD - 1615',null,null);
INSERT INTO product_categories VALUES('62','ACCESSORIES','MASTER','PLATINUM - 1615',null,null);
INSERT INTO product_categories VALUES('63','ACCESSORIES','MASTER','PLATINUM PLUS - 1615',null,null);
INSERT INTO product_categories VALUES('64','ACCESSORIES','MASTER','CELESTE - 1615',null,null);
INSERT INTO product_categories VALUES('65','ACCESSORIES','MOLTY','CELESTE PILLOW - 1615',null,null);
INSERT INTO product_categories VALUES('66','ACCESSORIES','MOLTY','M.FILL PILLOW  - 1615',null,null);
INSERT INTO product_categories VALUES('67','ACCESSORIES','MASTER','ULTRA BRIDAL - 1614',null,null);
INSERT INTO product_categories VALUES('68','ACCESSORIES','MASTER','DOUBLE STD - 1614',null,null);
INSERT INTO product_categories VALUES('69','ACCESSORIES','MASTER','SINGLE STD - 1614',null,null);
INSERT INTO product_categories VALUES('70','ACCESSORIES','HAIER','216/246/276 - 1935',null,null);
INSERT INTO product_categories VALUES('71','ACCESSORIES','LG','RLG-3D - 1100',null,null);
INSERT INTO product_categories VALUES('72','ACCESSORIES','MAGIC','MAGIC REMOTE - 1100',null,null);
INSERT INTO product_categories VALUES('73','ACCESSORIES','SAMSUNG','RSAMSUNG-3D - 1100',null,null);
INSERT INTO product_categories VALUES('74','ACCESSORIES','SAMSUNG','5900685 - 803',null,null);
INSERT INTO product_categories VALUES('75','ACCESSORIES','SAMSUNG','5900860A - 803',null,null);
INSERT INTO product_categories VALUES('76','ACCESSORIES','SONY','RSONY-3D - 1100',null,null);
INSERT INTO product_categories VALUES('77','ACCESSORIES','SAMSUNG','4000STC - 1466',null,null);
INSERT INTO product_categories VALUES('78','ACCESSORIES','SONY','WSF6  - 115',null,null);
INSERT INTO product_categories VALUES('79','ACCESSORIES','SONY','BN1 - 78',null,null);
INSERT INTO product_categories VALUES('80','ACCESSORIES','BELKIN','BELKIN SWITCH - 1586',null,null);
INSERT INTO product_categories VALUES('81','ACCESSORIES','LDNIO','4Z - 1890',null,null);
INSERT INTO product_categories VALUES('82','AIR CONDITIONER','ACSON','15J-AWM - 912',null,null);
INSERT INTO product_categories VALUES('83','AIR CONDITIONER','DAIKIN','15JXV1P - 912',null,null);
INSERT INTO product_categories VALUES('84','AIR CONDITIONER','GREE','12LM4 - 912',null,null);
INSERT INTO product_categories VALUES('85','AIR CONDITIONER','GREE','12LM5L - 912',null,null);
INSERT INTO product_categories VALUES('86','AIR CONDITIONER','GREE','12LM5L-W - 912',null,null);
INSERT INTO product_categories VALUES('87','AIR CONDITIONER','GREE','12LM8L - 912',null,null);
INSERT INTO product_categories VALUES('88','AIR CONDITIONER','GREE','12LM9L - 912',null,null);
INSERT INTO product_categories VALUES('89','AIR CONDITIONER','HAIER','12LTC - 912',null,null);
INSERT INTO product_categories VALUES('90','AIR CONDITIONER','HAIER','12LTC-R - 912',null,null);
INSERT INTO product_categories VALUES('91','AIR CONDITIONER','HAIER','12LTF-W  - 912',null,null);
INSERT INTO product_categories VALUES('92','AIR CONDITIONER','HAIER','12LTG  - 912',null,null);
INSERT INTO product_categories VALUES('93','AIR CONDITIONER','HAIER','12LTH  - 912',null,null);
INSERT INTO product_categories VALUES('94','AIR CONDITIONER','HAIER','12LTH-W - 912',null,null);
INSERT INTO product_categories VALUES('95','AIR CONDITIONER','HAIER','12LTK - 912',null,null);
INSERT INTO product_categories VALUES('96','AIR CONDITIONER','HAIER','12LTZ  - 912',null,null);
INSERT INTO product_categories VALUES('97','AIR CONDITIONER','HAIER','12LTZ-W - 912',null,null);
INSERT INTO product_categories VALUES('98','AIR CONDITIONER','ORIENT','12G-ALPHA-SW - 912',null,null);
INSERT INTO product_categories VALUES('99','AIR CONDITIONER','ORIENT','12G-BETA - 912',null,null);
INSERT INTO product_categories VALUES('100','AIR CONDITIONER','ORIENT','12G-DELTA-GW - 912',null,null);
INSERT INTO product_categories VALUES('101','AIR CONDITIONER','ORIENT','12Alpha - 912',null,null);
INSERT INTO product_categories VALUES('102','AIR CONDITIONER','SAMSUNG','12KCFNFWKY - 912',null,null);
INSERT INTO product_categories VALUES('103','AIR CONDITIONER','ACSON','5AWMY15LR - 913',null,null);
INSERT INTO product_categories VALUES('104','AIR CONDITIONER','ACSON','A5WMY15LR - 913',null,null);
INSERT INTO product_categories VALUES('105','AIR CONDITIONER','ACSON','15JR-AWM - 913',null,null);
INSERT INTO product_categories VALUES('106','AIR CONDITIONER','ACSON','15GR H/C - 201',null,null);
INSERT INTO product_categories VALUES('107','AIR CONDITIONER','ACSON','15GR-AWM - 201',null,null);
INSERT INTO product_categories VALUES('108','AIR CONDITIONER','DAIKIN','35AXV1-INV - 913',null,null);
INSERT INTO product_categories VALUES('109','AIR CONDITIONER','DAIKIN','35JXV1-INV - 913',null,null);
INSERT INTO product_categories VALUES('110','AIR CONDITIONER','DAIKIN','15JXV1P-HC - 913',null,null);
INSERT INTO product_categories VALUES('111','AIR CONDITIONER','DAWLANCE','15INSPIREPLUS INVERTER - 912',null,null);
INSERT INTO product_categories VALUES('112','AIR CONDITIONER','DAWLANCE','PRO-ACTIVE15-INV - 913',null,null);
INSERT INTO product_categories VALUES('113','AIR CONDITIONER','DAWLANCE','15-ACTIVE COOL INV - 913',null,null);
INSERT INTO product_categories VALUES('114','AIR CONDITIONER','ECOSTAR','12CR01W - 913',null,null);
INSERT INTO product_categories VALUES('115','AIR CONDITIONER','ECOSTAR','12AR01W - 913',null,null);
INSERT INTO product_categories VALUES('116','AIR CONDITIONER','GREE','12K3HI - 913',null,null);
INSERT INTO product_categories VALUES('117','AIR CONDITIONER','GREE','12K3HI-GTH - 913',null,null);
INSERT INTO product_categories VALUES('118','AIR CONDITIONER','GREE','12K3FI - 913',null,null);
INSERT INTO product_categories VALUES('119','AIR CONDITIONER','GREE','12K3FI-GTH - 913',null,null);
INSERT INTO product_categories VALUES('120','AIR CONDITIONER','GREE','12LITH12W - 913',null,null);
INSERT INTO product_categories VALUES('121','AIR CONDITIONER','GREE','12CITH11B - 913',null,null);
INSERT INTO product_categories VALUES('122','AIR CONDITIONER','GREE','12UITH3  - 913',null,null);
INSERT INTO product_categories VALUES('123','AIR CONDITIONER','GREE','12CITH11S - 913',null,null);
INSERT INTO product_categories VALUES('124','AIR CONDITIONER','GREE','12CITH11W - 913',null,null);
INSERT INTO product_categories VALUES('125','AIR CONDITIONER','GREE','12CITH12G - 913',null,null);
INSERT INTO product_categories VALUES('126','AIR CONDITIONER','GREE','12CITH12W - 913',null,null);
INSERT INTO product_categories VALUES('127','AIR CONDITIONER','GREE','12CITH13W - 913',null,null);
INSERT INTO product_categories VALUES('128','AIR CONDITIONER','GREE','12FITH1C  - 913',null,null);
INSERT INTO product_categories VALUES('129','AIR CONDITIONER','GREE','12FITH1S - 913',null,null);
INSERT INTO product_categories VALUES('130','AIR CONDITIONER','GREE','12FITH1W - 913',null,null);
INSERT INTO product_categories VALUES('131','AIR CONDITIONER','GREE','12FITH2W  - 913',null,null);
INSERT INTO product_categories VALUES('132','AIR CONDITIONER','GREE','12FITH4WB - 913',null,null);
INSERT INTO product_categories VALUES('133','AIR CONDITIONER','GREE','12FITH5WB - 913',null,null);
INSERT INTO product_categories VALUES('134','AIR CONDITIONER','GREE','12VITH1 - 913',null,null);
INSERT INTO product_categories VALUES('135','AIR CONDITIONER','GREE','12LMH4L-HC - 913',null,null);
INSERT INTO product_categories VALUES('136','AIR CONDITIONER','GREE','12LMH5L-HC - 913',null,null);
INSERT INTO product_categories VALUES('137','AIR CONDITIONER','HAIER','12HNF-G INV - 913',null,null);
INSERT INTO product_categories VALUES('138','AIR CONDITIONER','HAIER','12HNF-S INV  - 913',null,null);
INSERT INTO product_categories VALUES('139','AIR CONDITIONER','HAIER','12HNI-B INV - 913',null,null);
INSERT INTO product_categories VALUES('140','AIR CONDITIONER','HAIER','12HNI-W INV - 913',null,null);
INSERT INTO product_categories VALUES('141','AIR CONDITIONER','HAIER','12HNJ-B INV - 913',null,null);
INSERT INTO product_categories VALUES('142','AIR CONDITIONER','HAIER','12HNM-INV - 913',null,null);
INSERT INTO product_categories VALUES('143','AIR CONDITIONER','HAIER','12HNM-W-INV - 913',null,null);
INSERT INTO product_categories VALUES('144','AIR CONDITIONER','HAIER','12HNR-G-INV  - 913',null,null);
INSERT INTO product_categories VALUES('145','AIR CONDITIONER','HAIER','12HNS-R INV - 913',null,null);
INSERT INTO product_categories VALUES('146','AIR CONDITIONER','HAIER','12HNZ-B INV - 913',null,null);
INSERT INTO product_categories VALUES('147','AIR CONDITIONER','HAIER','12HRO-W-INV - 913',null,null);
INSERT INTO product_categories VALUES('148','AIR CONDITIONER','HAIER','12HRP-W-INV - 913',null,null);
INSERT INTO product_categories VALUES('149','AIR CONDITIONER','HAIER','12HRV-W-INV - 913',null,null);
INSERT INTO product_categories VALUES('150','AIR CONDITIONER','HAIER','12HRW-W-INV - 913',null,null);
INSERT INTO product_categories VALUES('151','AIR CONDITIONER','HAIER','12SGF-B-INV - 913',null,null);
INSERT INTO product_categories VALUES('152','AIR CONDITIONER','HAIER','12SGF-G INV  - 913',null,null);
INSERT INTO product_categories VALUES('153','AIR CONDITIONER','HAIER','12SGF-S-INV  - 913',null,null);
INSERT INTO product_categories VALUES('154','AIR CONDITIONER','HAIER','12SGF-W-INV  - 913',null,null);
INSERT INTO product_categories VALUES('155','AIR CONDITIONER','HAIER','12SNC-S INV - 913',null,null);
INSERT INTO product_categories VALUES('156','AIR CONDITIONER','HAIER','12SNF-INV-G - 913',null,null);
INSERT INTO product_categories VALUES('157','AIR CONDITIONER','HAIER','12SNI-INV - 913',null,null);
INSERT INTO product_categories VALUES('158','AIR CONDITIONER','HAIER','12SNI-INV-B  - 913',null,null);
INSERT INTO product_categories VALUES('159','AIR CONDITIONER','HAIER','12SNM-W INV  - 913',null,null);
INSERT INTO product_categories VALUES('160','AIR CONDITIONER','HAIER','12SNR-INV-BU - 913',null,null);
INSERT INTO product_categories VALUES('161','AIR CONDITIONER','HAIER','12SNS-INV-G - 913',null,null);
INSERT INTO product_categories VALUES('162','AIR CONDITIONER','HAIER','12SNS-INV-R - 913',null,null);
INSERT INTO product_categories VALUES('163','AIR CONDITIONER','HAIER','12SNZ-B INV - 913',null,null);
INSERT INTO product_categories VALUES('164','AIR CONDITIONER','HAIER','12HFAA-B INV - 913',null,null);
INSERT INTO product_categories VALUES('165','AIR CONDITIONER','HAIER','12HFAA-G INV - 913',null,null);
INSERT INTO product_categories VALUES('166','AIR CONDITIONER','HAIER','12HFAA-S INV - 913',null,null);
INSERT INTO product_categories VALUES('167','AIR CONDITIONER','HAIER','12HFAB-W INV - 913',null,null);
INSERT INTO product_categories VALUES('168','AIR CONDITIONER','HAIER','12HFCA-G-INV  - 913',null,null);
INSERT INTO product_categories VALUES('169','AIR CONDITIONER','HAIER','12HFCD-W-INV - 913',null,null);
INSERT INTO product_categories VALUES('170','AIR CONDITIONER','HAIER','12HFCE-W-INV - 913',null,null);
INSERT INTO product_categories VALUES('171','AIR CONDITIONER','HAIER','12HFCF-W-INV - 913',null,null);
INSERT INTO product_categories VALUES('172','AIR CONDITIONER','HAIER','12HD-W-INV - 913',null,null);
INSERT INTO product_categories VALUES('173','AIR CONDITIONER','HAIER','12HTR-W - 912',null,null);
INSERT INTO product_categories VALUES('174','AIR CONDITIONER','HOMAGE','1201S-HCS - 913',null,null);
INSERT INTO product_categories VALUES('175','AIR CONDITIONER','KENWOOD','1214HC-INVERTER - 913',null,null);
INSERT INTO product_categories VALUES('176','AIR CONDITIONER','KENWOOD','1227S-HC - 913',null,null);
INSERT INTO product_categories VALUES('177','AIR CONDITIONER','KENWOOD','1228S-INV - 913',null,null);
INSERT INTO product_categories VALUES('178','AIR CONDITIONER','KENWOOD','1229S-INV - 913',null,null);
INSERT INTO product_categories VALUES('179','AIR CONDITIONER','KENWOOD','1231S-HC INV - 913',null,null);
INSERT INTO product_categories VALUES('180','AIR CONDITIONER','KENWOOD','1230S-HC INV - 913',null,null);
INSERT INTO product_categories VALUES('181','AIR CONDITIONER','KENWOOD','1235S-INV - 913',null,null);
INSERT INTO product_categories VALUES('182','AIR CONDITIONER','KENWOOD','1236S-INV - 913',null,null);
INSERT INTO product_categories VALUES('183','AIR CONDITIONER','KENWOOD','1239S-INV - 913',null,null);
INSERT INTO product_categories VALUES('184','AIR CONDITIONER','KENWOOD','1224HC-INV - 913',null,null);
INSERT INTO product_categories VALUES('185','AIR CONDITIONER','KENWOOD','1226S-HC - 913',null,null);
INSERT INTO product_categories VALUES('186','AIR CONDITIONER','KENWOOD','1221HC-AMORE - 913',null,null);
INSERT INTO product_categories VALUES('187','AIR CONDITIONER','MIDEA','12HRFN1-MSMBB - 913',null,null);
INSERT INTO product_categories VALUES('188','AIR CONDITIONER','MIDEA','12HRFN1-MSMTBU - 913',null,null);
INSERT INTO product_categories VALUES('189','AIR CONDITIONER','MITSUBISHI','35VA - 913',null,null);
INSERT INTO product_categories VALUES('190','AIR CONDITIONER','ORIENT','12MAX-SW-INV - 913',null,null);
INSERT INTO product_categories VALUES('191','AIR CONDITIONER','ORIENT','13K7PSB-HC - 913',null,null);
INSERT INTO product_categories VALUES('192','AIR CONDITIONER','ORIENT','13K7WG-HC  - 913',null,null);
INSERT INTO product_categories VALUES('193','AIR CONDITIONER','ORIENT','13K8PWB-HC - 913',null,null);
INSERT INTO product_categories VALUES('194','AIR CONDITIONER','ORIENT','12G-HYPER-SW - 913',null,null);
INSERT INTO product_categories VALUES('195','AIR CONDITIONER','ORIENT','12G-JUPITER-SW-INV - 913',null,null);
INSERT INTO product_categories VALUES('196','AIR CONDITIONER','ORIENT','12G-ORBIT - 913',null,null);
INSERT INTO product_categories VALUES('197','AIR CONDITIONER','ORIENT','12G-ROYAL-CW - 913',null,null);
INSERT INTO product_categories VALUES('198','AIR CONDITIONER','ORIENT','12G-SUPER - 913',null,null);
INSERT INTO product_categories VALUES('199','AIR CONDITIONER','ORIENT','12G-VENUS-BW - 913',null,null);
INSERT INTO product_categories VALUES('200','AIR CONDITIONER','ORIENT','12G-BOLD-UW-INV - 913',null,null);
INSERT INTO product_categories VALUES('201','AIR CONDITIONER','ORIENT','12G-CLASSIC-SW - 913',null,null);
INSERT INTO product_categories VALUES('202','AIR CONDITIONER','ORIENT','12G-ATLANTIC-GW - 913',null,null);
INSERT INTO product_categories VALUES('203','AIR CONDITIONER','ORIENT','12GPLUS-SW - 913',null,null);
INSERT INTO product_categories VALUES('204','AIR CONDITIONER','ORIENT','12-JUPITER-SW INV - 913',null,null);
INSERT INTO product_categories VALUES('205','AIR CONDITIONER','ORIENT','12PLUS-SW - 913',null,null);
INSERT INTO product_categories VALUES('206','AIR CONDITIONER','ORIENT','13MF08G-HC  - 913',null,null);
INSERT INTO product_categories VALUES('207','AIR CONDITIONER','PEL','12K-ACE-INV - 913',null,null);
INSERT INTO product_categories VALUES('208','AIR CONDITIONER','SAMSUNG','12NSFPFWK-MRM - 913',null,null);
INSERT INTO product_categories VALUES('209','AIR CONDITIONER','SAMSUNG','12KSFWKY - 913',null,null);
INSERT INTO product_categories VALUES('210','AIR CONDITIONER','SAMSUNG','12HPFSD - 913',null,null);
INSERT INTO product_categories VALUES('211','AIR CONDITIONER','SHARP','12HCP-INV - 913',null,null);
INSERT INTO product_categories VALUES('212','AIR CONDITIONER','TCL','12HEB - 913',null,null);
INSERT INTO product_categories VALUES('213','AIR CONDITIONER','WHIRLPOOL','412DX-HC-INV - 913',null,null);
INSERT INTO product_categories VALUES('214','AIR CONDITIONER','WHIRLPOOL','412TJ-HC INV - 913',null,null);
INSERT INTO product_categories VALUES('215','AIR CONDITIONER','ACSON','20JC-AWM - 201',null,null);
INSERT INTO product_categories VALUES('216','AIR CONDITIONER','DAIKIN','20JEVLK - 914',null,null);
INSERT INTO product_categories VALUES('217','AIR CONDITIONER','DAIKIN','20JXV1 - 915',null,null);
INSERT INTO product_categories VALUES('218','AIR CONDITIONER','GREE','50T - 914',null,null);
INSERT INTO product_categories VALUES('219','AIR CONDITIONER','GREE','18CZ8A - 914',null,null);
INSERT INTO product_categories VALUES('220','AIR CONDITIONER','GREE','18LM4 - 914',null,null);
INSERT INTO product_categories VALUES('221','AIR CONDITIONER','GREE','18LM5L - 914',null,null);
INSERT INTO product_categories VALUES('222','AIR CONDITIONER','GREE','18LM8L - 914',null,null);
INSERT INTO product_categories VALUES('223','AIR CONDITIONER','GREE','18LM9L - 914',null,null);
INSERT INTO product_categories VALUES('224','AIR CONDITIONER','HAIER','18LEK03E6 - 914',null,null);
INSERT INTO product_categories VALUES('225','AIR CONDITIONER','HAIER','18LTC - 914',null,null);
INSERT INTO product_categories VALUES('226','AIR CONDITIONER','HAIER','18LTF - 914',null,null);
INSERT INTO product_categories VALUES('227','AIR CONDITIONER','HAIER','18LTG - 914',null,null);
INSERT INTO product_categories VALUES('228','AIR CONDITIONER','HAIER','18LTH  - 914',null,null);
INSERT INTO product_categories VALUES('229','AIR CONDITIONER','HAIER','18LTK - 914',null,null);
INSERT INTO product_categories VALUES('230','AIR CONDITIONER','HAIER','18LTZ - 914',null,null);
INSERT INTO product_categories VALUES('231','AIR CONDITIONER','HAIER','18LZA - 914',null,null);
INSERT INTO product_categories VALUES('232','AIR CONDITIONER','HAIER','18LZI - 914',null,null);
INSERT INTO product_categories VALUES('233','AIR CONDITIONER','KENWOOD','1834S-INV - 915',null,null);
INSERT INTO product_categories VALUES('234','AIR CONDITIONER','ORIENT','18G-DELTA-GW - 914',null,null);
INSERT INTO product_categories VALUES('235','AIR CONDITIONER','ORIENT','18-Alpha - 914',null,null);
INSERT INTO product_categories VALUES('236','AIR CONDITIONER','ORIENT','18BETA-SW - 912',null,null);
INSERT INTO product_categories VALUES('237','AIR CONDITIONER','ORIENT','19MF22AG - 914',null,null);
INSERT INTO product_categories VALUES('238','AIR CONDITIONER','ORIENT','18G-BETA-SW  - 914',null,null);
INSERT INTO product_categories VALUES('239','AIR CONDITIONER','ORIENT','18G-ALPHA - 914',null,null);
INSERT INTO product_categories VALUES('240','AIR CONDITIONER','PANASONIC','18SKH5-INV - 915',null,null);
INSERT INTO product_categories VALUES('241','AIR CONDITIONER','PANASONIC','18MKF - 163',null,null);
INSERT INTO product_categories VALUES('242','AIR CONDITIONER','PANASONIC','18MKF-P - 914',null,null);
INSERT INTO product_categories VALUES('243','AIR CONDITIONER','PANASONIC','18MKF-P-WS - 914',null,null);
INSERT INTO product_categories VALUES('244','AIR CONDITIONER','SAMSUNG','18HVFSE - 914',null,null);
INSERT INTO product_categories VALUES('245','AIR CONDITIONER','ACSON','AWM20JR - 1618',null,null);
INSERT INTO product_categories VALUES('246','AIR CONDITIONER','BOSCH','18921 - 915',null,null);
INSERT INTO product_categories VALUES('247','AIR CONDITIONER','CHANGHONG','180DG-INV - 915',null,null);
INSERT INTO product_categories VALUES('248','AIR CONDITIONER','DAIKIN','50AXV1-INV - 915',null,null);
INSERT INTO product_categories VALUES('249','AIR CONDITIONER','DAIKIN','20JXV1-HC - 915',null,null);
INSERT INTO product_categories VALUES('250','AIR CONDITIONER','DAWLANCE','30INSPIRE PLUS INVERTER - 915',null,null);
INSERT INTO product_categories VALUES('251','AIR CONDITIONER','DAWLANCE','PRO-ACTIVE30-INV - 915',null,null);
INSERT INTO product_categories VALUES('252','AIR CONDITIONER','DAWLANCE','SPRINTER30 - 915',null,null);
INSERT INTO product_categories VALUES('253','AIR CONDITIONER','DAWLANCE','30POWER CON - 915',null,null);
INSERT INTO product_categories VALUES('254','AIR CONDITIONER','ECOSTAR','18CR01W - 915',null,null);
INSERT INTO product_categories VALUES('255','AIR CONDITIONER','ECOSTAR','18AR01W - 917',null,null);
INSERT INTO product_categories VALUES('256','AIR CONDITIONER','GREE','18K3HI - 915',null,null);
INSERT INTO product_categories VALUES('257','AIR CONDITIONER','GREE','18K3HI-GTH - 915',null,null);
INSERT INTO product_categories VALUES('258','AIR CONDITIONER','GREE','18K3F1 - 915',null,null);
INSERT INTO product_categories VALUES('259','AIR CONDITIONER','GREE','18K3FI  - 915',null,null);
INSERT INTO product_categories VALUES('260','AIR CONDITIONER','GREE','18K3FI - 915',null,null);
INSERT INTO product_categories VALUES('261','AIR CONDITIONER','GREE','18K3FI-GTH - 915',null,null);
INSERT INTO product_categories VALUES('262','AIR CONDITIONER','GREE','18FITH1C - 915',null,null);
INSERT INTO product_categories VALUES('263','AIR CONDITIONER','GREE','18FITH1S - 915',null,null);
INSERT INTO product_categories VALUES('264','AIR CONDITIONER','GREE','18FITH1W - 915',null,null);
INSERT INTO product_categories VALUES('265','AIR CONDITIONER','GREE','18FITH2W - 201',null,null);
INSERT INTO product_categories VALUES('266','AIR CONDITIONER','GREE','18FITH4WB - 915',null,null);
INSERT INTO product_categories VALUES('267','AIR CONDITIONER','GREE','18FITH5WB - 915',null,null);
INSERT INTO product_categories VALUES('268','AIR CONDITIONER','GREE','18VITH1 - 915',null,null);
INSERT INTO product_categories VALUES('269','AIR CONDITIONER','GREE','18CITH11B - 915',null,null);
INSERT INTO product_categories VALUES('270','AIR CONDITIONER','GREE','18CITH11S - 915',null,null);
INSERT INTO product_categories VALUES('271','AIR CONDITIONER','GREE','18CITH11W - 915',null,null);
INSERT INTO product_categories VALUES('272','AIR CONDITIONER','GREE','18CITH12G - 915',null,null);
INSERT INTO product_categories VALUES('273','AIR CONDITIONER','GREE','18CITH12W - 915',null,null);
INSERT INTO product_categories VALUES('274','AIR CONDITIONER','GREE','18CITH13B - 915',null,null);
INSERT INTO product_categories VALUES('275','AIR CONDITIONER','GREE','18CITH13W - 915',null,null);
INSERT INTO product_categories VALUES('276','AIR CONDITIONER','GREE','18CITH3 - 915',null,null);
INSERT INTO product_categories VALUES('277','AIR CONDITIONER','GREE','18LITH12W - 915',null,null);
INSERT INTO product_categories VALUES('278','AIR CONDITIONER','GREE','18LMH4L-HC - 915',null,null);
INSERT INTO product_categories VALUES('279','AIR CONDITIONER','GREE','18LMH5L-HC - 915',null,null);
INSERT INTO product_categories VALUES('280','AIR CONDITIONER','HAIER','18SGF-INV - 915',null,null);
INSERT INTO product_categories VALUES('281','AIR CONDITIONER','HAIER','18SGF-INV-B  - 915',null,null);
INSERT INTO product_categories VALUES('282','AIR CONDITIONER','HAIER','18SGF-INV-G - 915',null,null);
INSERT INTO product_categories VALUES('283','AIR CONDITIONER','HAIER','18SGF-INV-S - 915',null,null);
INSERT INTO product_categories VALUES('284','AIR CONDITIONER','HAIER','18SGF-INV-W - 915',null,null);
INSERT INTO product_categories VALUES('285','AIR CONDITIONER','HAIER','18SNC-INV-BK - 915',null,null);
INSERT INTO product_categories VALUES('286','AIR CONDITIONER','HAIER','18SNC-INV-S  - 915',null,null);
INSERT INTO product_categories VALUES('287','AIR CONDITIONER','HAIER','18SNF-INV-G - 915',null,null);
INSERT INTO product_categories VALUES('288','AIR CONDITIONER','HAIER','18SNF-S INV - 915',null,null);
INSERT INTO product_categories VALUES('289','AIR CONDITIONER','HAIER','18SNH-INV-W - 915',null,null);
INSERT INTO product_categories VALUES('290','AIR CONDITIONER','HAIER','18SNI-B INV - 915',null,null);
INSERT INTO product_categories VALUES('291','AIR CONDITIONER','HAIER','18SNI-INV - 915',null,null);
INSERT INTO product_categories VALUES('292','AIR CONDITIONER','HAIER','18SNI-INV-W - 915',null,null);
INSERT INTO product_categories VALUES('293','AIR CONDITIONER','HAIER','18SNM-INV-W - 915',null,null);
INSERT INTO product_categories VALUES('294','AIR CONDITIONER','HAIER','18SNR-INV - 915',null,null);
INSERT INTO product_categories VALUES('295','AIR CONDITIONER','HAIER','18SNR-INV-BU - 915',null,null);
INSERT INTO product_categories VALUES('296','AIR CONDITIONER','HAIER','18SNR-INV-G - 915',null,null);
INSERT INTO product_categories VALUES('297','AIR CONDITIONER','HAIER','18SNS-INV - 915',null,null);
INSERT INTO product_categories VALUES('298','AIR CONDITIONER','HAIER','18SNS-INV-BU - 915',null,null);
INSERT INTO product_categories VALUES('299','AIR CONDITIONER','HAIER','18SNS-INV-G - 915',null,null);
INSERT INTO product_categories VALUES('300','AIR CONDITIONER','HAIER','18SNS-INV-R - 915',null,null);
INSERT INTO product_categories VALUES('301','AIR CONDITIONER','HAIER','18HD-G-INV - 915',null,null);
INSERT INTO product_categories VALUES('302','AIR CONDITIONER','HAIER','18HD-S-INV - 915',null,null);
INSERT INTO product_categories VALUES('303','AIR CONDITIONER','HAIER','18HD-W-INV - 915',null,null);
INSERT INTO product_categories VALUES('304','AIR CONDITIONER','HAIER','18HFAA-B INV - 915',null,null);
INSERT INTO product_categories VALUES('305','AIR CONDITIONER','HAIER','18HFAA-G INV - 915',null,null);
INSERT INTO product_categories VALUES('306','AIR CONDITIONER','HAIER','18HFAA-S INV - 915',null,null);
INSERT INTO product_categories VALUES('307','AIR CONDITIONER','HAIER','18HFAB-W INV - 915',null,null);
INSERT INTO product_categories VALUES('308','AIR CONDITIONER','HAIER','18HFAD-W INV - 915',null,null);
INSERT INTO product_categories VALUES('309','AIR CONDITIONER','HAIER','18HFCA-S - 915',null,null);
INSERT INTO product_categories VALUES('310','AIR CONDITIONER','HAIER','18HFCD-W-INV - 915',null,null);
INSERT INTO product_categories VALUES('311','AIR CONDITIONER','HAIER','18HFCE-W-INV - 915',null,null);
INSERT INTO product_categories VALUES('312','AIR CONDITIONER','HAIER','18HFCF-W-INV - 915',null,null);
INSERT INTO product_categories VALUES('313','AIR CONDITIONER','HAIER','18HJ-S INV - 915',null,null);
INSERT INTO product_categories VALUES('314','AIR CONDITIONER','HAIER','18HJ-W INV - 915',null,null);
INSERT INTO product_categories VALUES('315','AIR CONDITIONER','HAIER','18HNB-INV - 915',null,null);
INSERT INTO product_categories VALUES('316','AIR CONDITIONER','HAIER','18HNB-W INV  - 915',null,null);
INSERT INTO product_categories VALUES('317','AIR CONDITIONER','HAIER','18HNC-S INV  - 915',null,null);
INSERT INTO product_categories VALUES('318','AIR CONDITIONER','HAIER','18HNF - 915',null,null);
INSERT INTO product_categories VALUES('319','AIR CONDITIONER','HAIER','18HNF-INV-G  - 915',null,null);
INSERT INTO product_categories VALUES('320','AIR CONDITIONER','HAIER','18SNZ-INV-BK - 915',null,null);
INSERT INTO product_categories VALUES('321','AIR CONDITIONER','HAIER','18HRP-W-INV - 915',null,null);
INSERT INTO product_categories VALUES('322','AIR CONDITIONER','HAIER','18HRV-W-INV - 915',null,null);
INSERT INTO product_categories VALUES('323','AIR CONDITIONER','HAIER','18HRW-W-INV - 915',null,null);
INSERT INTO product_categories VALUES('324','AIR CONDITIONER','HAIER','18HNF-INV-S  - 915',null,null);
INSERT INTO product_categories VALUES('325','AIR CONDITIONER','HAIER','18HNH - 915',null,null);
INSERT INTO product_categories VALUES('326','AIR CONDITIONER','HAIER','18HNI-B-INV - 915',null,null);
INSERT INTO product_categories VALUES('327','AIR CONDITIONER','HAIER','18HNI-W-INV - 915',null,null);
INSERT INTO product_categories VALUES('328','AIR CONDITIONER','HAIER','18HNJ-B INV - 915',null,null);
INSERT INTO product_categories VALUES('329','AIR CONDITIONER','HAIER','18HNM-INV - 915',null,null);
INSERT INTO product_categories VALUES('330','AIR CONDITIONER','HAIER','18HNM-W-INV - 915',null,null);
INSERT INTO product_categories VALUES('331','AIR CONDITIONER','HAIER','18HNR-G - 915',null,null);
INSERT INTO product_categories VALUES('332','AIR CONDITIONER','HAIER','18HNS-INV - 915',null,null);
INSERT INTO product_categories VALUES('333','AIR CONDITIONER','HAIER','18HNS-INV-R - 915',null,null);
INSERT INTO product_categories VALUES('334','AIR CONDITIONER','HAIER','18HNZ-B-INV - 915',null,null);
INSERT INTO product_categories VALUES('335','AIR CONDITIONER','HAIER','18HTR-W  - 915',null,null);
INSERT INTO product_categories VALUES('336','AIR CONDITIONER','HOMAGE','1801S-HCS - 915',null,null);
INSERT INTO product_categories VALUES('337','AIR CONDITIONER','KENWOOD','1835S-INV - 915',null,null);
INSERT INTO product_categories VALUES('338','AIR CONDITIONER','KENWOOD','1836S-INV - 915',null,null);
INSERT INTO product_categories VALUES('339','AIR CONDITIONER','KENWOOD','1837S-INV  - 915',null,null);
INSERT INTO product_categories VALUES('340','AIR CONDITIONER','KENWOOD','1830S-HC INV - 915',null,null);
INSERT INTO product_categories VALUES('341','AIR CONDITIONER','KENWOOD','1831S-INV - 915',null,null);
INSERT INTO product_categories VALUES('342','AIR CONDITIONER','KENWOOD','1813S-INVERTER - 915',null,null);
INSERT INTO product_categories VALUES('343','AIR CONDITIONER','KENWOOD','1820S-INV-KW - 915',null,null);
INSERT INTO product_categories VALUES('344','AIR CONDITIONER','KENWOOD','1824HC  - 915',null,null);
INSERT INTO product_categories VALUES('345','AIR CONDITIONER','KENWOOD','1826S-INV - 915',null,null);
INSERT INTO product_categories VALUES('346','AIR CONDITIONER','KENWOOD','1827HC-ECO - 915',null,null);
INSERT INTO product_categories VALUES('347','AIR CONDITIONER','KENWOOD','1828S-INV - 915',null,null);
INSERT INTO product_categories VALUES('348','AIR CONDITIONER','KENWOOD','1829S-INV - 915',null,null);
INSERT INTO product_categories VALUES('349','AIR CONDITIONER','KENWOOD','1818S-INVERTER - 915',null,null);
INSERT INTO product_categories VALUES('350','AIR CONDITIONER','KENWOOD','1821HC-AMORE - 915',null,null);
INSERT INTO product_categories VALUES('351','AIR CONDITIONER','KENWOOD','1833S-HC - 915',null,null);
INSERT INTO product_categories VALUES('352','AIR CONDITIONER','LG','187SK3 - 915',null,null);
INSERT INTO product_categories VALUES('353','AIR CONDITIONER','LG','18COC - 914',null,null);
INSERT INTO product_categories VALUES('354','AIR CONDITIONER','LG','186NH - 915',null,null);
INSERT INTO product_categories VALUES('355','AIR CONDITIONER','MIDEA','18HRFN1-MSMBC - 915',null,null);
INSERT INTO product_categories VALUES('356','AIR CONDITIONER','MIDEA','18HRFN1-MSMTD - 915',null,null);
INSERT INTO product_categories VALUES('357','AIR CONDITIONER','MITSUBISHI','50VA - 915',null,null);
INSERT INTO product_categories VALUES('358','AIR CONDITIONER','ORIENT','18G-ATLANTIC-GW - 915',null,null);
INSERT INTO product_categories VALUES('359','AIR CONDITIONER','ORIENT','TITAN18-PB INV - 915',null,null);
INSERT INTO product_categories VALUES('360','AIR CONDITIONER','ORIENT','18JUPITER-SW-INV - 915',null,null);
INSERT INTO product_categories VALUES('361','AIR CONDITIONER','ORIENT','18G-DIVINE  - 915',null,null);
INSERT INTO product_categories VALUES('362','AIR CONDITIONER','ORIENT','18G-HYPER-SW - 915',null,null);
INSERT INTO product_categories VALUES('363','AIR CONDITIONER','ORIENT','18G-JUPITER-SW - 915',null,null);
INSERT INTO product_categories VALUES('364','AIR CONDITIONER','ORIENT','18G-MEGA-PW - 915',null,null);
INSERT INTO product_categories VALUES('365','AIR CONDITIONER','ORIENT','18G-ORBIT  - 915',null,null);
INSERT INTO product_categories VALUES('366','AIR CONDITIONER','ORIENT','18G-ROYAL-CW - 915',null,null);
INSERT INTO product_categories VALUES('367','AIR CONDITIONER','ORIENT','18G-SUPER - 915',null,null);
INSERT INTO product_categories VALUES('368','AIR CONDITIONER','ORIENT','18G-SUPREME-MS - 915',null,null);
INSERT INTO product_categories VALUES('369','AIR CONDITIONER','ORIENT','18G-VENUS-BW - 915',null,null);
INSERT INTO product_categories VALUES('370','AIR CONDITIONER','ORIENT','18GPLUS-SG - 913',null,null);
INSERT INTO product_categories VALUES('371','AIR CONDITIONER','ORIENT','18GPLUS-SS - 915',null,null);
INSERT INTO product_categories VALUES('372','AIR CONDITIONER','ORIENT','18G-BOLD-UW-INV - 915',null,null);
INSERT INTO product_categories VALUES('373','AIR CONDITIONER','ORIENT','18G-CLASSIC-SW - 915',null,null);
INSERT INTO product_categories VALUES('374','AIR CONDITIONER','ORIENT','18GPLUS-SW - 915',null,null);
INSERT INTO product_categories VALUES('375','AIR CONDITIONER','ORIENT','18MAX-SW - 915',null,null);
INSERT INTO product_categories VALUES('376','AIR CONDITIONER','PANASONIC','18TKF-9 - 915',null,null);
INSERT INTO product_categories VALUES('377','AIR CONDITIONER','PEL','18K-ACE INV - 915',null,null);
INSERT INTO product_categories VALUES('378','AIR CONDITIONER','PEL','18K-PINV-LIFE - 915',null,null);
INSERT INTO product_categories VALUES('379','AIR CONDITIONER','SAMSUNG','18MSFHFWKY-SZ - 915',null,null);
INSERT INTO product_categories VALUES('380','AIR CONDITIONER','SAMSUNG','18NSFPFWK-MRM - 915',null,null);
INSERT INTO product_categories VALUES('381','AIR CONDITIONER','SAMSUNG','18NSPXDWK-SZ - 915',null,null);
INSERT INTO product_categories VALUES('382','AIR CONDITIONER','SAMSUNG','18KSFSFWKZ-SZ - 915',null,null);
INSERT INTO product_categories VALUES('383','AIR CONDITIONER','SHARP','18HCP-INV - 915',null,null);
INSERT INTO product_categories VALUES('384','AIR CONDITIONER','TCL','18HEA - 915',null,null);
INSERT INTO product_categories VALUES('385','AIR CONDITIONER','TCL','18HEB - 915',null,null);
INSERT INTO product_categories VALUES('386','AIR CONDITIONER','TCL','18HEG - 915',null,null);
INSERT INTO product_categories VALUES('387','AIR CONDITIONER','TCL','18T3B - 915',null,null);
INSERT INTO product_categories VALUES('388','AIR CONDITIONER','TCL','18T3G - 915',null,null);
INSERT INTO product_categories VALUES('389','AIR CONDITIONER','WHIRLPOOL','418DX-HC INV - 915',null,null);
INSERT INTO product_categories VALUES('390','AIR CONDITIONER','WHIRLPOOL','418TJ-HC INV - 915',null,null);
INSERT INTO product_categories VALUES('391','AIR CONDITIONER','DAIKIN','60FXVI - 916',null,null);
INSERT INTO product_categories VALUES('392','AIR CONDITIONER','DAIKIN','25JEVLK - 916',null,null);
INSERT INTO product_categories VALUES('393','AIR CONDITIONER','DAIKIN','25JXV1 - 917',null,null);
INSERT INTO product_categories VALUES('394','AIR CONDITIONER','GREE','71W - 916',null,null);
INSERT INTO product_categories VALUES('395','AIR CONDITIONER','GREE','24FW - 916',null,null);
INSERT INTO product_categories VALUES('396','AIR CONDITIONER','GREE','24LM4 - 916',null,null);
INSERT INTO product_categories VALUES('397','AIR CONDITIONER','GREE','24LM5 - 1730',null,null);
INSERT INTO product_categories VALUES('398','AIR CONDITIONER','GREE','24LM8L - 916',null,null);
INSERT INTO product_categories VALUES('399','AIR CONDITIONER','GREE','24LM9L - 916',null,null);
INSERT INTO product_categories VALUES('400','AIR CONDITIONER','HAIER','24CE03 - 916',null,null);
INSERT INTO product_categories VALUES('401','AIR CONDITIONER','HAIER','24C03E1 - 916',null,null);
INSERT INTO product_categories VALUES('402','AIR CONDITIONER','HAIER','24LTC  - 916',null,null);
INSERT INTO product_categories VALUES('403','AIR CONDITIONER','HAIER','24LK10 - 916',null,null);
INSERT INTO product_categories VALUES('404','AIR CONDITIONER','KENWOOD','24F-CRYSTAL - 916',null,null);
INSERT INTO product_categories VALUES('405','AIR CONDITIONER','KENWOOD','2400F-ELEMENT - 916',null,null);
INSERT INTO product_categories VALUES('406','AIR CONDITIONER','KENWOOD','24FSENCE - 916',null,null);
INSERT INTO product_categories VALUES('407','AIR CONDITIONER','KENWOOD','240F-ELEMENT - 916',null,null);
INSERT INTO product_categories VALUES('408','AIR CONDITIONER','KENWOOD','2410FMAX  - 916',null,null);
INSERT INTO product_categories VALUES('409','AIR CONDITIONER','KENWOOD','2430F-IMPERIAL - 916',null,null);
INSERT INTO product_categories VALUES('410','AIR CONDITIONER','KENWOOD','241F-MAX - 916',null,null);
INSERT INTO product_categories VALUES('411','AIR CONDITIONER','KENWOOD','2421S-AMORE  - 916',null,null);
INSERT INTO product_categories VALUES('412','AIR CONDITIONER','ORIENT','24G-ULTIMATE-SW-C - 916',null,null);
INSERT INTO product_categories VALUES('413','AIR CONDITIONER','ORIENT','OS24 - 290',null,null);
INSERT INTO product_categories VALUES('414','AIR CONDITIONER','ORIENT','OS24J-MA - 290',null,null);
INSERT INTO product_categories VALUES('415','AIR CONDITIONER','ORIENT','24G-BETA-SW - 916',null,null);
INSERT INTO product_categories VALUES('416','AIR CONDITIONER','PANASONIC','24NKF - 916',null,null);
INSERT INTO product_categories VALUES('417','AIR CONDITIONER','PANASONIC','24MKF-P - 916',null,null);
INSERT INTO product_categories VALUES('418','AIR CONDITIONER','PANASONIC','24MKF-PWS - 916',null,null);
INSERT INTO product_categories VALUES('419','AIR CONDITIONER','SAMSUNG','24HVFSE - 916',null,null);
INSERT INTO product_categories VALUES('420','AIR CONDITIONER','ACSON','25BR-AFS - 447',null,null);
INSERT INTO product_categories VALUES('421','AIR CONDITIONER','ACSON','5AWMY25JR - 917',null,null);
INSERT INTO product_categories VALUES('422','AIR CONDITIONER','DAIKIN','60EXVI  - 917',null,null);
INSERT INTO product_categories VALUES('423','AIR CONDITIONER','DAIKIN','60AXV1-INV - 1761',null,null);
INSERT INTO product_categories VALUES('424','AIR CONDITIONER','DAIKIN','25JXV1P-HC - 917',null,null);
INSERT INTO product_categories VALUES('425','AIR CONDITIONER','ECOSTAR','24IB01W - 917',null,null);
INSERT INTO product_categories VALUES('426','AIR CONDITIONER','ECOSTAR','24CR01W - 917',null,null);
INSERT INTO product_categories VALUES('427','AIR CONDITIONER','ECOSTAR','24AR01W - 917',null,null);
INSERT INTO product_categories VALUES('428','AIR CONDITIONER','GREE','24K3HI - 917',null,null);
INSERT INTO product_categories VALUES('429','AIR CONDITIONER','GREE','24K3HI-GTH - 917',null,null);
INSERT INTO product_categories VALUES('430','AIR CONDITIONER','GREE','24CDH - 917',null,null);
INSERT INTO product_categories VALUES('431','AIR CONDITIONER','GREE','24FWH - 917',null,null);
INSERT INTO product_categories VALUES('432','AIR CONDITIONER','GREE','24K3FI - 917',null,null);
INSERT INTO product_categories VALUES('433','AIR CONDITIONER','GREE','24K3FI-GTH - 917',null,null);
INSERT INTO product_categories VALUES('434','AIR CONDITIONER','GREE','24IPH - 826',null,null);
INSERT INTO product_categories VALUES('435','AIR CONDITIONER','GREE','24ISH-INV  - 917',null,null);
INSERT INTO product_categories VALUES('436','AIR CONDITIONER','GREE','24CITH11B - 917',null,null);
INSERT INTO product_categories VALUES('437','AIR CONDITIONER','GREE','24CITH11S - 917',null,null);
INSERT INTO product_categories VALUES('438','AIR CONDITIONER','GREE','24CITH11W - 917',null,null);
INSERT INTO product_categories VALUES('439','AIR CONDITIONER','GREE','24CITH12G - 917',null,null);
INSERT INTO product_categories VALUES('440','AIR CONDITIONER','GREE','24CITH12W - 917',null,null);
INSERT INTO product_categories VALUES('441','AIR CONDITIONER','GREE','24CITH13W - 917',null,null);
INSERT INTO product_categories VALUES('442','AIR CONDITIONER','GREE','24AITH11-S - 917',null,null);
INSERT INTO product_categories VALUES('443','AIR CONDITIONER','GREE','24AITH11W - 917',null,null);
INSERT INTO product_categories VALUES('444','AIR CONDITIONER','GREE','24FITH1C - 917',null,null);
INSERT INTO product_categories VALUES('445','AIR CONDITIONER','GREE','24FITH1S - 917',null,null);
INSERT INTO product_categories VALUES('446','AIR CONDITIONER','GREE','24FITH1W - 917',null,null);
INSERT INTO product_categories VALUES('447','AIR CONDITIONER','GREE','24FITH2W - 917',null,null);
INSERT INTO product_categories VALUES('448','AIR CONDITIONER','GREE','24FITH4WB - 917',null,null);
INSERT INTO product_categories VALUES('449','AIR CONDITIONER','GREE','24FITH5WB - 917',null,null);
INSERT INTO product_categories VALUES('450','AIR CONDITIONER','GREE','24LITH12W - 917',null,null);
INSERT INTO product_categories VALUES('451','AIR CONDITIONER','GREE','24VITH1 - 917',null,null);
INSERT INTO product_categories VALUES('452','AIR CONDITIONER','GREE','24LMH4L-HC - 917',null,null);
INSERT INTO product_categories VALUES('453','AIR CONDITIONER','GREE','24LMH5L  - 917',null,null);
INSERT INTO product_categories VALUES('454','AIR CONDITIONER','GREE','24LMH8L-HC - 917',null,null);
INSERT INTO product_categories VALUES('455','AIR CONDITIONER','HAIER','24HE03 - 917',null,null);
INSERT INTO product_categories VALUES('456','AIR CONDITIONER','HAIER','24HYD - 917',null,null);
INSERT INTO product_categories VALUES('457','AIR CONDITIONER','HAIER','24HDZ-G INV - 917',null,null);
INSERT INTO product_categories VALUES('458','AIR CONDITIONER','HAIER','24HDZ-W INV - 917',null,null);
INSERT INTO product_categories VALUES('459','AIR CONDITIONER','HAIER','24HNH - 917',null,null);
INSERT INTO product_categories VALUES('460','AIR CONDITIONER','HAIER','24HNI-W-INV - 917',null,null);
INSERT INTO product_categories VALUES('461','AIR CONDITIONER','HAIER','24HNM - 917',null,null);
INSERT INTO product_categories VALUES('462','AIR CONDITIONER','HAIER','24HNM-W-INV - 917',null,null);
INSERT INTO product_categories VALUES('463','AIR CONDITIONER','HAIER','24HNS-BU-INV - 917',null,null);
INSERT INTO product_categories VALUES('464','AIR CONDITIONER','HAIER','24HNS-R INV - 917',null,null);
INSERT INTO product_categories VALUES('465','AIR CONDITIONER','HAIER','24HTR-W  - 917',null,null);
INSERT INTO product_categories VALUES('466','AIR CONDITIONER','HAIER','24HEAO3 - 89',null,null);
INSERT INTO product_categories VALUES('467','AIR CONDITIONER','KENWOOD','240FH-ELEMENT - 917',null,null);
INSERT INTO product_categories VALUES('468','AIR CONDITIONER','KENWOOD','243FH-ESSENCE - 917',null,null);
INSERT INTO product_categories VALUES('469','AIR CONDITIONER','KENWOOD','2400FH-ELEMENT - 917',null,null);
INSERT INTO product_categories VALUES('470','AIR CONDITIONER','KENWOOD','242FHG-INVERTER - 917',null,null);
INSERT INTO product_categories VALUES('471','AIR CONDITIONER','KENWOOD','2420FHG-INV - 917',null,null);
INSERT INTO product_categories VALUES('472','AIR CONDITIONER','KENWOOD','2420FHW-INV - 917',null,null);
INSERT INTO product_categories VALUES('473','AIR CONDITIONER','KENWOOD','2428S-INV - 917',null,null);
INSERT INTO product_categories VALUES('474','AIR CONDITIONER','KENWOOD','2435S-INV - 917',null,null);
INSERT INTO product_categories VALUES('475','AIR CONDITIONER','MIDEA','24HRFN1-MSMTD - 917',null,null);
INSERT INTO product_categories VALUES('476','AIR CONDITIONER','MIDEA','24HRNF1-MSMBD - 917',null,null);
INSERT INTO product_categories VALUES('477','AIR CONDITIONER','MITSUBISHI','71VD1-FDF INV - 917',null,null);
INSERT INTO product_categories VALUES('478','AIR CONDITIONER','MITSUBISHI','71VA - 917',null,null);
INSERT INTO product_categories VALUES('479','AIR CONDITIONER','ORIENT','24G-ULTIMATE-SW-HC - 917',null,null);
INSERT INTO product_categories VALUES('480','AIR CONDITIONER','ORIENT','24G-PRESTIGE-W - 917',null,null);
INSERT INTO product_categories VALUES('481','AIR CONDITIONER','ORIENT','24UNIQUE - 917',null,null);
INSERT INTO product_categories VALUES('482','AIR CONDITIONER','ORIENT','24G-PREMIER-SW - 917',null,null);
INSERT INTO product_categories VALUES('483','AIR CONDITIONER','ORIENT','24G-PREMIUM-MW - 917',null,null);
INSERT INTO product_categories VALUES('484','AIR CONDITIONER','ORIENT','24SUPREME-GW - 917',null,null);
INSERT INTO product_categories VALUES('485','AIR CONDITIONER','ORIENT','24K7PSBHC - 917',null,null);
INSERT INTO product_categories VALUES('486','AIR CONDITIONER','ORIENT','24K7WG - 917',null,null);
INSERT INTO product_categories VALUES('487','AIR CONDITIONER','ORIENT','24K8PGB-HC - 917',null,null);
INSERT INTO product_categories VALUES('488','AIR CONDITIONER','ORIENT','24K8PSB-HC - 917',null,null);
INSERT INTO product_categories VALUES('489','AIR CONDITIONER','ORIENT','24K8PWB-HC - 917',null,null);
INSERT INTO product_categories VALUES('490','AIR CONDITIONER','ORIENT','24G-SUPER - 917',null,null);
INSERT INTO product_categories VALUES('491','AIR CONDITIONER','ORIENT','24G-CLASSIC-SW - 917',null,null);
INSERT INTO product_categories VALUES('492','AIR CONDITIONER','ORIENT','24G-PLUS-SG - 917',null,null);
INSERT INTO product_categories VALUES('493','AIR CONDITIONER','ORIENT','24G-PLUS-SS - 917',null,null);
INSERT INTO product_categories VALUES('494','AIR CONDITIONER','ORIENT','24G-PLUS-SW - 917',null,null);
INSERT INTO product_categories VALUES('495','AIR CONDITIONER','ORIENT','25AE2-SL - 917',null,null);
INSERT INTO product_categories VALUES('496','AIR CONDITIONER','PANASONIC','24NKE-P - 917',null,null);
INSERT INTO product_categories VALUES('497','AIR CONDITIONER','PANASONIC','24TKF-C - 917',null,null);
INSERT INTO product_categories VALUES('498','AIR CONDITIONER','SAMSUNG','24NSFPFWK-MRM - 917',null,null);
INSERT INTO product_categories VALUES('499','AIR CONDITIONER','SAMSUNG','24HPFSD - 917',null,null);
INSERT INTO product_categories VALUES('500','AIR CONDITIONER','SHARP','24HCP-INV - 917',null,null);
INSERT INTO product_categories VALUES('501','AIR CONDITIONER','TCL','24HEB - 917',null,null);
INSERT INTO product_categories VALUES('502','AIR CONDITIONER','WHIRLPOOL','422TJ-HC INV - 917',null,null);
INSERT INTO product_categories VALUES('503','AIR CONDITIONER','WHIRLPOOL','422DX-HC INV  - 917',null,null);
INSERT INTO product_categories VALUES('504','AIR CONDITIONER','GREE','30K3HI - 1821',null,null);
INSERT INTO product_categories VALUES('505','AIR CONDITIONER','GREE','30K3HI-GFH - 1821',null,null);
INSERT INTO product_categories VALUES('506','AIR CONDITIONER','GREE','30K3HI-GTH - 1821',null,null);
INSERT INTO product_categories VALUES('507','AIR CONDITIONER','GREE','30K3FI - 919',null,null);
INSERT INTO product_categories VALUES('508','AIR CONDITIONER','GREE','30K3FI-GTH - 1821',null,null);
INSERT INTO product_categories VALUES('509','AIR CONDITIONER','DAIKIN','71AXV1 - 1727',null,null);
INSERT INTO product_categories VALUES('510','AIR CONDITIONER','GREE','36K3HI - 1721',null,null);
INSERT INTO product_categories VALUES('511','AIR CONDITIONER','GREE','36K3HI-GTH - 1721',null,null);
INSERT INTO product_categories VALUES('512','AIR CONDITIONER','GREE','36K3FI - 919',null,null);
INSERT INTO product_categories VALUES('513','AIR CONDITIONER','GREE','36K3FI-GTH - 1721',null,null);
INSERT INTO product_categories VALUES('514','AIR CONDITIONER','KENWOOD','422F-FORTUNE - 946',null,null);
INSERT INTO product_categories VALUES('515','AIR CONDITIONER','KENWOOD','4220F-FORTUNE - 946',null,null);
INSERT INTO product_categories VALUES('516','AIR CONDITIONER','KENWOOD','4230-FORTUNE - 946',null,null);
INSERT INTO product_categories VALUES('517','AIR CONDITIONER','KENWOOD','423F-FORTUNE  - 946',null,null);
INSERT INTO product_categories VALUES('518','AIR CONDITIONER','GREE','42K3FI - 1581',null,null);
INSERT INTO product_categories VALUES('519','AIR CONDITIONER','GREE','42K3FI-GTH - 1581',null,null);
INSERT INTO product_categories VALUES('520','AIR CONDITIONER','GREE','140T - 920',null,null);
INSERT INTO product_categories VALUES('521','AIR CONDITIONER','GREE','48FW - 826',null,null);
INSERT INTO product_categories VALUES('522','AIR CONDITIONER','HAIER','48CJ03 - 920',null,null);
INSERT INTO product_categories VALUES('523','AIR CONDITIONER','HAIER','48C03 - 920',null,null);
INSERT INTO product_categories VALUES('524','AIR CONDITIONER','ORIENT','48-PASSION - 920',null,null);
INSERT INTO product_categories VALUES('525','AIR CONDITIONER','ORIENT','OS48J - 290',null,null);
INSERT INTO product_categories VALUES('526','AIR CONDITIONER','ORIENT','48SW1A - 1447',null,null);
INSERT INTO product_categories VALUES('527','AIR CONDITIONER','DAIKIN','125AXV1 - 921',null,null);
INSERT INTO product_categories VALUES('528','AIR CONDITIONER','DAIKIN','125EXV1 - 1820',null,null);
INSERT INTO product_categories VALUES('529','AIR CONDITIONER','GREE','48K3HI - 1820',null,null);
INSERT INTO product_categories VALUES('530','AIR CONDITIONER','GREE','48K3HI-GTH - 1820',null,null);
INSERT INTO product_categories VALUES('531','AIR CONDITIONER','GREE','48K3BI-GKH - 921',null,null);
INSERT INTO product_categories VALUES('532','AIR CONDITIONER','GREE','48CDH - 921',null,null);
INSERT INTO product_categories VALUES('533','AIR CONDITIONER','GREE','48FWH - 921',null,null);
INSERT INTO product_categories VALUES('534','AIR CONDITIONER','GREE','48K3FI - 921',null,null);
INSERT INTO product_categories VALUES('535','AIR CONDITIONER','GREE','48K3FI-GTH - 1820',null,null);
INSERT INTO product_categories VALUES('536','AIR CONDITIONER','GREE','48FWITH - 921',null,null);
INSERT INTO product_categories VALUES('537','AIR CONDITIONER','HAIER','48H03 - 1820',null,null);
INSERT INTO product_categories VALUES('538','AIR CONDITIONER','KENWOOD','41FHVIVA - 921',null,null);
INSERT INTO product_categories VALUES('539','AIR CONDITIONER','KENWOOD','4820FH - 1820',null,null);
INSERT INTO product_categories VALUES('540','AIR CONDITIONER','KENWOOD','4830FH-IMPERIAL - 1820',null,null);
INSERT INTO product_categories VALUES('541','AIR CONDITIONER','MITSUBISHI','125VG-FDT INV - 1820',null,null);
INSERT INTO product_categories VALUES('542','AIR CONDITIONER','ORIENT','48G-PRESTIGE-MW - 1820',null,null);
INSERT INTO product_categories VALUES('543','AIR CONDITIONER','ORIENT','48G-ULTIMATE-SW-HC - 1820',null,null);
INSERT INTO product_categories VALUES('544','AIR CONDITIONER','ORIENT','48UNIQUE - 1820',null,null);
INSERT INTO product_categories VALUES('545','AIR CONDITIONER','ORIENT','48-SUPREME-GW - 1820',null,null);
INSERT INTO product_categories VALUES('546','AIR CONDITIONER','DAIKIN','140AXV1-HC - 1760',null,null);
INSERT INTO product_categories VALUES('547','AIR CONDITIONER','GREE','60K3HI - 921',null,null);
INSERT INTO product_categories VALUES('548','AIR CONDITIONER','GREE','60K3HI-GTH - 921',null,null);
INSERT INTO product_categories VALUES('549','AIR CONDITIONER','GREE','60K3FI - 921',null,null);
INSERT INTO product_categories VALUES('550','AIR CONDITIONER','GREE','60K3FI-GTH - 921',null,null);
INSERT INTO product_categories VALUES('551','AIR COOLER','BOSS','6000ECM - 1705',null,null);
INSERT INTO product_categories VALUES('552','AIR COOLER','BOSS','7000ECTR - 1705',null,null);
INSERT INTO product_categories VALUES('553','AIR COOLER','FIVE STAR','1000FS - 2006',null,null);
INSERT INTO product_categories VALUES('554','AIR COOLER','FIVE STAR','2000FS - 2006',null,null);
INSERT INTO product_categories VALUES('555','AIR COOLER','FIVE STAR','3000FS - 2006',null,null);
INSERT INTO product_categories VALUES('556','AIR COOLER','FIVE STAR','2000WC - 2084',null,null);
INSERT INTO product_categories VALUES('557','AIR COOLER','HACWEL','3800A-HW - 2004',null,null);
INSERT INTO product_categories VALUES('558','AIR COOLER','HACWEL','4100A-HW - 1690',null,null);
INSERT INTO product_categories VALUES('559','AIR COOLER','ROWENTA','5010IR - 1358',null,null);
INSERT INTO product_categories VALUES('560','AIR COOLER','SIGNATURE','SLC-LN1-G - 1698',null,null);
INSERT INTO product_categories VALUES('561','AIR COOLER','SIGNATURE','SLC-LN1-W - 1698',null,null);
INSERT INTO product_categories VALUES('562','AIR COOLER','SIGNATURE','SLC-TL1-GD - 1705',null,null);
INSERT INTO product_categories VALUES('563','AIR COOLER','SIGNATURE','SLC-TL1H-GD - 1705',null,null);
INSERT INTO product_categories VALUES('564','AIR COOLER','SIGNATURE','SLC-TL1H-RD - 1705',null,null);
INSERT INTO product_categories VALUES('565','AIR COOLER','SIGNATURE','CH1-RD - 1705',null,null);
INSERT INTO product_categories VALUES('566','AIR COOLER','SIGNATURE','CH1-BU - 1705',null,null);
INSERT INTO product_categories VALUES('567','AIR COOLER','SIGNATURE','CH1-GR - 1705',null,null);
INSERT INTO product_categories VALUES('568','AIR COOLER','SUPER ASIA','3000JC - 1577',null,null);
INSERT INTO product_categories VALUES('569','AIR COOLER','SUPER ASIA','1000JC - 309',null,null);
INSERT INTO product_categories VALUES('570','AIR COOLER','SUPER ASIA','610AWW - 522',null,null);
INSERT INTO product_categories VALUES('571','AIR COOLER','SUPER ASIA','777JC-PLUS - 1705',null,null);
INSERT INTO product_categories VALUES('572','AIR COOLER','SUPER ASIA','6000ECM - 1258',null,null);
INSERT INTO product_categories VALUES('573','AIR COOLER','SUPER ASIA','4000ECM - 309',null,null);
INSERT INTO product_categories VALUES('574','AIR COOLER','SUPER ASIA','608AWR - 522',null,null);
INSERT INTO product_categories VALUES('575','AIR COOLER','SUPER ASIA','608AWW - 522',null,null);
INSERT INTO product_categories VALUES('576','AIR COOLER','SUPER ASIA','8000ECM - 309',null,null);
INSERT INTO product_categories VALUES('577','AIR COOLER','SUPER ASIA','8000ECS - 1577',null,null);
INSERT INTO product_categories VALUES('578','AIR COOLER','SUPER ASIA','5000ECM - 309',null,null);
INSERT INTO product_categories VALUES('579','AIR COOLER','SUPER ASIA','5000ECM-PLUS - 1577',null,null);
INSERT INTO product_categories VALUES('580','AIR COOLER','SUPER ASIA','4500ECM - 1577',null,null);
INSERT INTO product_categories VALUES('581','AIR COOLER','SUPER ASIA','6500ECM  - 1577',null,null);
INSERT INTO product_categories VALUES('582','AIR COOLER','SUPER ASIA','710ACS - 1670',null,null);
INSERT INTO product_categories VALUES('583','AIR COOLER','SUPER ASIA','800JC - 1577',null,null);
INSERT INTO product_categories VALUES('584','AIR COOLER','SUPER ASIA','2500EMC - 1577',null,null);
INSERT INTO product_categories VALUES('585','AIR COOLER','SUPER ASIA','700ACS - 1670',null,null);
INSERT INTO product_categories VALUES('586','AIR COOLER','WELCOME','1000-WC - 2065',null,null);
INSERT INTO product_categories VALUES('587','AIR COOLER','WELCOME','10000WC - 1956',null,null);
INSERT INTO product_categories VALUES('588','AIR COOLER','WELCOME','3000-WC - 2065',null,null);
INSERT INTO product_categories VALUES('589','AIR COOLER','WELCOME','999WC - 1956',null,null);
INSERT INTO product_categories VALUES('590','AIR COOLER','WELCOME','900WC  - 1956',null,null);
INSERT INTO product_categories VALUES('591','AIR COOLER','WELCOME','3500WC - 1956',null,null);
INSERT INTO product_categories VALUES('592','AIR COOLER','WELCOME','2020-WC - 2065',null,null);
INSERT INTO product_categories VALUES('593','AIR COOLER','WELCOME','4000WC - 1956',null,null);
INSERT INTO product_categories VALUES('594','AIR CURTAIN','CARAVELL','300CAC  - 6',null,null);
INSERT INTO product_categories VALUES('595','AIR CURTAIN','CARAVELL','4509DY - 1427',null,null);
INSERT INTO product_categories VALUES('596','AIR CURTAIN','ESQUIRE','3509 - 1167',null,null);
INSERT INTO product_categories VALUES('597','AIR CURTAIN','IZONE','303MS - 1167',null,null);
INSERT INTO product_categories VALUES('598','AIR CURTAIN','SIGNATURE','SCC-H4009 - 1167',null,null);
INSERT INTO product_categories VALUES('599','AIR CURTAIN','CARAVELL','400CAC - 1110',null,null);
INSERT INTO product_categories VALUES('600','AIR CURTAIN','ESQUIRE','3512 - 1110',null,null);
INSERT INTO product_categories VALUES('601','AIR CURTAIN','ESQUIRE','1212T-FM - 1110',null,null);
INSERT INTO product_categories VALUES('602','AIR CURTAIN','IZONE','404MS - 1110',null,null);
INSERT INTO product_categories VALUES('603','AIR CURTAIN','SIGNATURE','SCC-H4012 - 1110',null,null);
INSERT INTO product_categories VALUES('604','AIR CURTAIN','ACSON','510N - 588',null,null);
INSERT INTO product_categories VALUES('605','AIR CURTAIN','CARAVELL','4515DY - 1112',null,null);
INSERT INTO product_categories VALUES('606','AIR CURTAIN','CARAVELL','500CAC - 6',null,null);
INSERT INTO product_categories VALUES('607','AIR CURTAIN','ESQUIRE','3515 - 1112',null,null);
INSERT INTO product_categories VALUES('608','AIR CURTAIN','SIGNATURE','SCC-H4015 - 1112',null,null);
INSERT INTO product_categories VALUES('609','AIR CURTAIN','CARAVELL','4015DY - 1113',null,null);
INSERT INTO product_categories VALUES('610','AIR CURTAIN','CARAVELL','600CAC - 1113',null,null);
INSERT INTO product_categories VALUES('611','AIR CURTAIN','CARAVELL','600COC - 1113',null,null);
INSERT INTO product_categories VALUES('612','AIR CURTAIN','ESQUIRE','3518 - 1113',null,null);
INSERT INTO product_categories VALUES('613','AIR CURTAIN','ESQUIRE','1218T-Y5G - 1113',null,null);
INSERT INTO product_categories VALUES('614','AIR CURTAIN','IZONE','606MS - 1113',null,null);
INSERT INTO product_categories VALUES('615','AIR PURIFIER','ETALY','1120AP - 2062',null,null);
INSERT INTO product_categories VALUES('616','BUILT IN APPLLIANCES','AEG','B8659M - 1124',null,null);
INSERT INTO product_categories VALUES('617','BUILT IN APPLLIANCES','BOSCH','538EB0M - 1124',null,null);
INSERT INTO product_categories VALUES('618','BUILT IN APPLLIANCES','BOSCH','538ES0M - 1124',null,null);
INSERT INTO product_categories VALUES('619','BUILT IN APPLLIANCES','BOSCH','231E2M - 1124',null,null);
INSERT INTO product_categories VALUES('620','BUILT IN APPLLIANCES','BOSCH','655BS1M - 1124',null,null);
INSERT INTO product_categories VALUES('621','BUILT IN APPLLIANCES','BOSCH','211E2M - 1124',null,null);
INSERT INTO product_categories VALUES('622','BUILT IN APPLLIANCES','CANON','211FGEX41MR - 1124',null,null);
INSERT INTO product_categories VALUES('623','BUILT IN APPLLIANCES','CANON','BOV-07 - 1731',null,null);
INSERT INTO product_categories VALUES('624','BUILT IN APPLLIANCES','CANON','BOV-08 - 1731',null,null);
INSERT INTO product_categories VALUES('625','BUILT IN APPLLIANCES','CANON','26T-BMO - 1731',null,null);
INSERT INTO product_categories VALUES('626','BUILT IN APPLLIANCES','CANON','20TMR - 1124',null,null);
INSERT INTO product_categories VALUES('627','BUILT IN APPLLIANCES','CANON','BOV-09 - 1731',null,null);
INSERT INTO product_categories VALUES('628','BUILT IN APPLLIANCES','CANON','BOV-05 - 1731',null,null);
INSERT INTO product_categories VALUES('629','BUILT IN APPLLIANCES','CORONA','240KWS - 1124',null,null);
INSERT INTO product_categories VALUES('630','BUILT IN APPLLIANCES','FOTILE','6003A - 1124',null,null);
INSERT INTO product_categories VALUES('631','BUILT IN APPLLIANCES','FOTILE','25800K03A - 1124',null,null);
INSERT INTO product_categories VALUES('632','BUILT IN APPLLIANCES','FOTILE','100F-021ZTB - 1416',null,null);
INSERT INTO product_categories VALUES('633','BUILT IN APPLLIANCES','FOTILE','100FCZ - 1416',null,null);
INSERT INTO product_categories VALUES('634','BUILT IN APPLLIANCES','FOTILE','25800K03 - 1124',null,null);
INSERT INTO product_categories VALUES('635','BUILT IN APPLLIANCES','FOTILE','6004A - 1124',null,null);
INSERT INTO product_categories VALUES('636','BUILT IN APPLLIANCES','FOTILE','6006A - 1587',null,null);
INSERT INTO product_categories VALUES('637','BUILT IN APPLLIANCES','FOTILE','50F-C2A - 1681',null,null);
INSERT INTO product_categories VALUES('638','BUILT IN APPLLIANCES','FOTILE','50FKQD - 1124',null,null);
INSERT INTO product_categories VALUES('639','BUILT IN APPLLIANCES','FOTILE','6002 - 1124',null,null);
INSERT INTO product_categories VALUES('640','BUILT IN APPLLIANCES','FOTILE','6003A-1 - 1124',null,null);
INSERT INTO product_categories VALUES('641','BUILT IN APPLLIANCES','FOTILE','6001A - 1124',null,null);
INSERT INTO product_categories VALUES('642','BUILT IN APPLLIANCES','FOTILE','OF25800KO3 - 1124',null,null);
INSERT INTO product_categories VALUES('643','BUILT IN APPLLIANCES','FOTILE','26-C2SCD - 1124',null,null);
INSERT INTO product_categories VALUES('644','BUILT IN APPLLIANCES','FOTILE','26CZ - 1124',null,null);
INSERT INTO product_categories VALUES('645','BUILT IN APPLLIANCES','GENERALTEC','60GESBC - 1124',null,null);
INSERT INTO product_categories VALUES('646','BUILT IN APPLLIANCES','GENERALTEC','60GESS - 1122',null,null);
INSERT INTO product_categories VALUES('647','BUILT IN APPLLIANCES','GENERALTEC','60F14 - 1122',null,null);
INSERT INTO product_categories VALUES('648','BUILT IN APPLLIANCES','GENERALTEC','60F7 - 1122',null,null);
INSERT INTO product_categories VALUES('649','BUILT IN APPLLIANCES','HAIER','60S4-MGX1 - 1124',null,null);
INSERT INTO product_categories VALUES('650','BUILT IN APPLLIANCES','HAIER','60S4MGB1 - 1124',null,null);
INSERT INTO product_categories VALUES('651','BUILT IN APPLLIANCES','HAIER','66M2 - 1124',null,null);
INSERT INTO product_categories VALUES('652','BUILT IN APPLLIANCES','RAYS','240A-KSW - 1124',null,null);
INSERT INTO product_categories VALUES('653','BUILT IN APPLLIANCES','RAYS','FGE1TIX - 1124',null,null);
INSERT INTO product_categories VALUES('654','BUILT IN APPLLIANCES','RAYS','FGE2TIX - 1124',null,null);
INSERT INTO product_categories VALUES('655','BUILT IN APPLLIANCES','ROBAM','303R - 756',null,null);
INSERT INTO product_categories VALUES('656','BUILT IN APPLLIANCES','ROBAM','601M - 1124',null,null);
INSERT INTO product_categories VALUES('657','BUILT IN APPLLIANCES','ROBAM','5005-D4 - 756',null,null);
INSERT INTO product_categories VALUES('658','BUILT IN APPLLIANCES','ROBAM','235B-001 - 756',null,null);
INSERT INTO product_categories VALUES('659','BUILT IN APPLLIANCES','ROBAM','602 - 756',null,null);
INSERT INTO product_categories VALUES('660','BUILT IN APPLLIANCES','SIEMENS','331E2 - 1124',null,null);
INSERT INTO product_categories VALUES('661','BUILT IN APPLLIANCES','SIEMENS','331EOGC - 1124',null,null);
INSERT INTO product_categories VALUES('662','BUILT IN APPLLIANCES','SIEMENS','926SB70E - 1124',null,null);
INSERT INTO product_categories VALUES('663','BUILT IN APPLLIANCES','SIEMENS','539E3M - 1124',null,null);
INSERT INTO product_categories VALUES('664','BUILT IN APPLLIANCES','SIEMENS','13AB523B - 1124',null,null);
INSERT INTO product_categories VALUES('665','BUILT IN APPLLIANCES','SIGNATURE','SBO-AR10 - 1124',null,null);
INSERT INTO product_categories VALUES('666','BUILT IN APPLLIANCES','SIGNATURE','SBO-AT10R - 1124',null,null);
INSERT INTO product_categories VALUES('667','BUILT IN APPLLIANCES','SIGNATURE','SBO-FG4R - 1124',null,null);
INSERT INTO product_categories VALUES('668','BUILT IN APPLLIANCES','SIGNATURE','MM4 - 1124',null,null);
INSERT INTO product_categories VALUES('669','BUILT IN APPLLIANCES','SIGNATURE','MM9R - 1124',null,null);
INSERT INTO product_categories VALUES('670','BUILT IN APPLLIANCES','SIGNATURE','MT9R - 1124',null,null);
INSERT INTO product_categories VALUES('671','BUILT IN APPLLIANCES','SIGNATURE','F121-STIX - 1124',null,null);
INSERT INTO product_categories VALUES('672','BUILT IN APPLLIANCES','SIGNATURE','SBO-FM7R - 1124',null,null);
INSERT INTO product_categories VALUES('673','BUILT IN APPLLIANCES','SIGNATURE','SBO-FT10R - 1124',null,null);
INSERT INTO product_categories VALUES('674','BUILT IN APPLLIANCES','SIGNATURE','8GS14G6 - 1124',null,null);
INSERT INTO product_categories VALUES('675','BUILT IN APPLLIANCES','SIGNATURE','609X - 1124',null,null);
INSERT INTO product_categories VALUES('676','BUILT IN APPLLIANCES','SIGNATURE','AR2 - 1124',null,null);
INSERT INTO product_categories VALUES('677','BUILT IN APPLLIANCES','SIGNATURE','SBO-AT4R - 1124',null,null);
INSERT INTO product_categories VALUES('678','BUILT IN APPLLIANCES','SIGNATURE','SBO-AR4R - 1124',null,null);
INSERT INTO product_categories VALUES('679','BUILT IN APPLLIANCES','SIGNATURE','FGG4 - 1124',null,null);
INSERT INTO product_categories VALUES('680','BUILT IN APPLLIANCES','SIGNATURE','B-AC16 - 1994',null,null);
INSERT INTO product_categories VALUES('681','BUILT IN APPLLIANCES','TECHNOGAS','2K66E9B6 - 1587',null,null);
INSERT INTO product_categories VALUES('682','BUILT IN APPLLIANCES','TECHNOGAS','0K66E11B7 - 1587',null,null);
INSERT INTO product_categories VALUES('683','BUILT IN APPLLIANCES','TEKA','6400EEB - 1124',null,null);
INSERT INTO product_categories VALUES('684','BUILT IN APPLLIANCES','TEKA','4515HA - 1124',null,null);
INSERT INTO product_categories VALUES('685','BUILT IN APPLLIANCES','TEKA','740HX-SS - 1124',null,null);
INSERT INTO product_categories VALUES('686','BUILT IN APPLLIANCES','TEKA','435H - 1124',null,null);
INSERT INTO product_categories VALUES('687','BUILT IN APPLLIANCES','TEKA','960HXK-SS - 1124',null,null);
INSERT INTO product_categories VALUES('688','BUILT IN APPLLIANCES','TEKA','635HE  - 1587',null,null);
INSERT INTO product_categories VALUES('689','BUILT IN APPLLIANCES','TEKA','615HE  - 1587',null,null);
INSERT INTO product_categories VALUES('690','BUILT IN APPLLIANCES','TEKA','840HL  - 1587',null,null);
INSERT INTO product_categories VALUES('691','BUILT IN APPLLIANCES','TEKA','720HX S/S - 744',null,null);
INSERT INTO product_categories VALUES('692','BUILT IN APPLLIANCES','TEKA','820HA - 1124',null,null);
INSERT INTO product_categories VALUES('693','BUILT IN APPLLIANCES','TEKA','830HA S/S - 744',null,null);
INSERT INTO product_categories VALUES('694','BUILT IN APPLLIANCES','TEKA','724FG S/S - 744',null,null);
INSERT INTO product_categories VALUES('695','BUILT IN APPLLIANCES','TEKA','935HA S/S - 744',null,null);
INSERT INTO product_categories VALUES('696','BUILT IN APPLLIANCES','TEKA','924FG S/S - 744',null,null);
INSERT INTO product_categories VALUES('697','BUILT IN APPLLIANCES','XTREEM','313T - 1124',null,null);
INSERT INTO product_categories VALUES('698','BUILT IN APPLLIANCES','AARDEE','703A - 1122',null,null);
INSERT INTO product_categories VALUES('699','BUILT IN APPLLIANCES','ADMIRAL','37412A - 1719',null,null);
INSERT INTO product_categories VALUES('700','BUILT IN APPLLIANCES','ADMIRAL','37322A - 1719',null,null);
INSERT INTO product_categories VALUES('701','BUILT IN APPLLIANCES','ADMIRAL','37323A - 1719',null,null);
INSERT INTO product_categories VALUES('702','BUILT IN APPLLIANCES','ADMIRAL','7601A - 1719',null,null);
INSERT INTO product_categories VALUES('703','BUILT IN APPLLIANCES','ADMIRAL','90CM - 1719',null,null);
INSERT INTO product_categories VALUES('704','BUILT IN APPLLIANCES','ADMIRAL','3741A - 1719',null,null);
INSERT INTO product_categories VALUES('705','BUILT IN APPLLIANCES','BOSCH','611F17Q - 1122',null,null);
INSERT INTO product_categories VALUES('706','BUILT IN APPLLIANCES','BOSCH','6C5B60M - 1122',null,null);
INSERT INTO product_categories VALUES('707','BUILT IN APPLLIANCES','BOSCH','9A5B90M - 1122',null,null);
INSERT INTO product_categories VALUES('708','BUILT IN APPLLIANCES','BOSCH','72A31PK - 1122',null,null);
INSERT INTO product_categories VALUES('709','BUILT IN APPLLIANCES','BOSCH','9A6D70M - 1122',null,null);
INSERT INTO product_categories VALUES('710','BUILT IN APPLLIANCES','BOSCH','93A52PK - 1122',null,null);
INSERT INTO product_categories VALUES('711','BUILT IN APPLLIANCES','CANON','2419G - 1122',null,null);
INSERT INTO product_categories VALUES('712','BUILT IN APPLLIANCES','CANON','935S1 - 1122',null,null);
INSERT INTO product_categories VALUES('713','BUILT IN APPLLIANCES','CANON','CA-4 - 1122',null,null);
INSERT INTO product_categories VALUES('714','BUILT IN APPLLIANCES','CANON','CA-5 - 1122',null,null);
INSERT INTO product_categories VALUES('715','BUILT IN APPLLIANCES','CANON','CA-26 - 1122',null,null);
INSERT INTO product_categories VALUES('716','BUILT IN APPLLIANCES','CANON','CA-24 - 1122',null,null);
INSERT INTO product_categories VALUES('717','BUILT IN APPLLIANCES','CANON','CNBG-4 - 1122',null,null);
INSERT INTO product_categories VALUES('718','BUILT IN APPLLIANCES','CANON','CNSB-1 - 1122',null,null);
INSERT INTO product_categories VALUES('719','BUILT IN APPLLIANCES','CANON','CA-8 - 1122',null,null);
INSERT INTO product_categories VALUES('720','BUILT IN APPLLIANCES','CANON','CA-9 - 1122',null,null);
INSERT INTO product_categories VALUES('721','BUILT IN APPLLIANCES','CANON','HG1 - 1122',null,null);
INSERT INTO product_categories VALUES('722','BUILT IN APPLLIANCES','CANON','PX1 - 1122',null,null);
INSERT INTO product_categories VALUES('723','BUILT IN APPLLIANCES','CANON','915G1 - 1122',null,null);
INSERT INTO product_categories VALUES('724','BUILT IN APPLLIANCES','CANON','945S1 - 1122',null,null);
INSERT INTO product_categories VALUES('725','BUILT IN APPLLIANCES','CANON','CA-1 - 1122',null,null);
INSERT INTO product_categories VALUES('726','BUILT IN APPLLIANCES','FIVE STAR','193FS - 1122',null,null);
INSERT INTO product_categories VALUES('727','BUILT IN APPLLIANCES','FIVE STAR','293FS - 1122',null,null);
INSERT INTO product_categories VALUES('728','BUILT IN APPLLIANCES','FOTILE','5FAG - 1122',null,null);
INSERT INTO product_categories VALUES('729','BUILT IN APPLLIANCES','FOTILE','78309 - 1122',null,null);
INSERT INTO product_categories VALUES('730','BUILT IN APPLLIANCES','FOTILE','FD2B - 1122',null,null);
INSERT INTO product_categories VALUES('731','BUILT IN APPLLIANCES','FOTILE','HLCB - 1122',null,null);
INSERT INTO product_categories VALUES('732','BUILT IN APPLLIANCES','FOTILE','1GFC - 1122',null,null);
INSERT INTO product_categories VALUES('733','BUILT IN APPLLIANCES','FOTILE','78201GAS  - 1122',null,null);
INSERT INTO product_categories VALUES('734','BUILT IN APPLLIANCES','FOTILE','D6RW - 1122',null,null);
INSERT INTO product_categories VALUES('735','BUILT IN APPLLIANCES','FOTILE','609TG - 1122',null,null);
INSERT INTO product_categories VALUES('736','BUILT IN APPLLIANCES','FOTILE','78308 - 805',null,null);
INSERT INTO product_categories VALUES('737','BUILT IN APPLLIANCES','FOTILE','78307 - 1122',null,null);
INSERT INTO product_categories VALUES('738','BUILT IN APPLLIANCES','FOTILE','HL3G - 1122',null,null);
INSERT INTO product_categories VALUES('739','BUILT IN APPLLIANCES','FOTILE','609SS - 1122',null,null);
INSERT INTO product_categories VALUES('740','BUILT IN APPLLIANCES','FOTILE','90301 - 1122',null,null);
INSERT INTO product_categories VALUES('741','BUILT IN APPLLIANCES','FOTILE','86309 - 1122',null,null);
INSERT INTO product_categories VALUES('742','BUILT IN APPLLIANCES','FOTILE','86316 - 1122',null,null);
INSERT INTO product_categories VALUES('743','BUILT IN APPLLIANCES','FOTILE','86302 - 1122',null,null);
INSERT INTO product_categories VALUES('744','BUILT IN APPLLIANCES','FOTILE','86501 - 1122',null,null);
INSERT INTO product_categories VALUES('745','BUILT IN APPLLIANCES','FOTILE','60402GSG - 1122',null,null);
INSERT INTO product_categories VALUES('746','BUILT IN APPLLIANCES','FOTILE','86502 - 1122',null,null);
INSERT INTO product_categories VALUES('747','BUILT IN APPLLIANCES','FOTILE','86503 - 1122',null,null);
INSERT INTO product_categories VALUES('748','BUILT IN APPLLIANCES','GENERALTEC','71301-I - 1122',null,null);
INSERT INTO product_categories VALUES('749','BUILT IN APPLLIANCES','GENERALTEC','71302-I - 1122',null,null);
INSERT INTO product_categories VALUES('750','BUILT IN APPLLIANCES','GENERALTEC','71303-I - 1122',null,null);
INSERT INTO product_categories VALUES('751','BUILT IN APPLLIANCES','GENERALTEC','73302-I - 1122',null,null);
INSERT INTO product_categories VALUES('752','BUILT IN APPLLIANCES','GENERALTEC','71310 - 1122',null,null);
INSERT INTO product_categories VALUES('753','BUILT IN APPLLIANCES','GENERALTEC','78307B - 1122',null,null);
INSERT INTO product_categories VALUES('754','BUILT IN APPLLIANCES','GENERALTEC','59G4 - 1122',null,null);
INSERT INTO product_categories VALUES('755','BUILT IN APPLLIANCES','GENERALTEC','59S2 - 1122',null,null);
INSERT INTO product_categories VALUES('756','BUILT IN APPLLIANCES','GENERALTEC','59SF - 1122',null,null);
INSERT INTO product_categories VALUES('757','BUILT IN APPLLIANCES','HAIER','309EG-S - 1122',null,null);
INSERT INTO product_categories VALUES('758','BUILT IN APPLLIANCES','HAIER','350BG-S - 1122',null,null);
INSERT INTO product_categories VALUES('759','BUILT IN APPLLIANCES','HAIER','630DGG - 1122',null,null);
INSERT INTO product_categories VALUES('760','BUILT IN APPLLIANCES','HAIER','630DGS - 1122',null,null);
INSERT INTO product_categories VALUES('761','BUILT IN APPLLIANCES','HAIER','631DGG - 1122',null,null);
INSERT INTO product_categories VALUES('762','BUILT IN APPLLIANCES','HAIER','631DGS - 1122',null,null);
INSERT INTO product_categories VALUES('763','BUILT IN APPLLIANCES','HAIER','519DGG - 1122',null,null);
INSERT INTO product_categories VALUES('764','BUILT IN APPLLIANCES','HAIER','519DGS - 1122',null,null);
INSERT INTO product_categories VALUES('765','BUILT IN APPLLIANCES','HAIER','509AG-G - 1122',null,null);
INSERT INTO product_categories VALUES('766','BUILT IN APPLLIANCES','HAIER','509EG-S - 1122',null,null);
INSERT INTO product_categories VALUES('767','BUILT IN APPLLIANCES','KITCHEN MASTER','600KM - 1122',null,null);
INSERT INTO product_categories VALUES('768','BUILT IN APPLLIANCES','KITCHEN MASTER','570KM - 1122',null,null);
INSERT INTO product_categories VALUES('769','BUILT IN APPLLIANCES','KUPPERSBUSCH','9551GMS - 1122',null,null);
INSERT INTO product_categories VALUES('770','BUILT IN APPLLIANCES','MIDAS','617 - 1122',null,null);
INSERT INTO product_categories VALUES('771','BUILT IN APPLLIANCES','ROBAM','9B13 - 754',null,null);
INSERT INTO product_categories VALUES('772','BUILT IN APPLLIANCES','ROBAM','9B26 - 754',null,null);
INSERT INTO product_categories VALUES('773','BUILT IN APPLLIANCES','ROBAM','9G12 - 754',null,null);
INSERT INTO product_categories VALUES('774','BUILT IN APPLLIANCES','ROBAM','9G73 - 754',null,null);
INSERT INTO product_categories VALUES('775','BUILT IN APPLLIANCES','ROBAM','391B - 1122',null,null);
INSERT INTO product_categories VALUES('776','BUILT IN APPLLIANCES','ROBAM','593G - 1122',null,null);
INSERT INTO product_categories VALUES('777','BUILT IN APPLLIANCES','ROBAM','392G - 1122',null,null);
INSERT INTO product_categories VALUES('778','BUILT IN APPLLIANCES','ROBAM','393B - 1122',null,null);
INSERT INTO product_categories VALUES('779','BUILT IN APPLLIANCES','ROBAM','361B - 1122',null,null);
INSERT INTO product_categories VALUES('780','BUILT IN APPLLIANCES','ROBAM','G464 - 754',null,null);
INSERT INTO product_categories VALUES('781','BUILT IN APPLLIANCES','ROBAM','B461 - 754',null,null);
INSERT INTO product_categories VALUES('782','BUILT IN APPLLIANCES','ROBAM','B361 - 754',null,null);
INSERT INTO product_categories VALUES('783','BUILT IN APPLLIANCES','SIEMENS','EB6B5PB60 - 1122',null,null);
INSERT INTO product_categories VALUES('784','BUILT IN APPLLIANCES','SIEMENS','645PB80Q - 1122',null,null);
INSERT INTO product_categories VALUES('785','BUILT IN APPLLIANCES','SIEMENS','64051LT - 380',null,null);
INSERT INTO product_categories VALUES('786','BUILT IN APPLLIANCES','SIEMENS','64151DE - 1122',null,null);
INSERT INTO product_categories VALUES('787','BUILT IN APPLLIANCES','SIEMENS','945RB91E - 1122',null,null);
INSERT INTO product_categories VALUES('788','BUILT IN APPLLIANCES','SIGNATURE','SBH-AA761G - 1122',null,null);
INSERT INTO product_categories VALUES('789','BUILT IN APPLLIANCES','SIGNATURE','HM-31026 - 1122',null,null);
INSERT INTO product_categories VALUES('790','BUILT IN APPLLIANCES','SIGNATURE','31030-HM - 1122',null,null);
INSERT INTO product_categories VALUES('791','BUILT IN APPLLIANCES','SIGNATURE','HB-36004 - 1122',null,null);
INSERT INTO product_categories VALUES('792','BUILT IN APPLLIANCES','SIGNATURE','3760 - 1122',null,null);
INSERT INTO product_categories VALUES('793','BUILT IN APPLLIANCES','SIGNATURE','SBH-AA800S - 1122',null,null);
INSERT INTO product_categories VALUES('794','BUILT IN APPLLIANCES','SIGNATURE','SBH-AB750S - 1122',null,null);
INSERT INTO product_categories VALUES('795','BUILT IN APPLLIANCES','SIGNATURE','SBH-AB800S - 1122',null,null);
INSERT INTO product_categories VALUES('796','BUILT IN APPLLIANCES','SIGNATURE','HM-33001 - 1122',null,null);
INSERT INTO product_categories VALUES('797','BUILT IN APPLLIANCES','SIGNATURE','H76-3001G - 1122',null,null);
INSERT INTO product_categories VALUES('798','BUILT IN APPLLIANCES','SIGNATURE','H3-76-3003 - 1122',null,null);
INSERT INTO product_categories VALUES('799','BUILT IN APPLLIANCES','SIGNATURE','F90G - 1122',null,null);
INSERT INTO product_categories VALUES('800','BUILT IN APPLLIANCES','SIGNATURE','SBH-AB900S - 1122',null,null);
INSERT INTO product_categories VALUES('801','BUILT IN APPLLIANCES','SIGNATURE','HC-2300G - 1122',null,null);
INSERT INTO product_categories VALUES('802','BUILT IN APPLLIANCES','SIGNATURE','FS75G - 1122',null,null);
INSERT INTO product_categories VALUES('803','BUILT IN APPLLIANCES','SIGNATURE','FS75S - 1122',null,null);
INSERT INTO product_categories VALUES('804','BUILT IN APPLLIANCES','SIGNATURE','SBH-AC900S - 1122',null,null);
INSERT INTO product_categories VALUES('805','BUILT IN APPLLIANCES','SIGNATURE','SBH-AC901S - 1122',null,null);
INSERT INTO product_categories VALUES('806','BUILT IN APPLLIANCES','SIGNATURE','SBH-AA900S - 1122',null,null);
INSERT INTO product_categories VALUES('807','BUILT IN APPLLIANCES','SIGNATURE','8888H - 1122',null,null);
INSERT INTO product_categories VALUES('808','BUILT IN APPLLIANCES','SIGNATURE','FD90S - 1122',null,null);
INSERT INTO product_categories VALUES('809','BUILT IN APPLLIANCES','SIGNATURE','FD90W - 1122',null,null);
INSERT INTO product_categories VALUES('810','BUILT IN APPLLIANCES','SIGNATURE','FC90S - 1122',null,null);
INSERT INTO product_categories VALUES('811','BUILT IN APPLLIANCES','SIGNATURE','HM-48032 - 1122',null,null);
INSERT INTO product_categories VALUES('812','BUILT IN APPLLIANCES','SIGNATURE','H87-5002G - 1122',null,null);
INSERT INTO product_categories VALUES('813','BUILT IN APPLLIANCES','SIGNATURE','3710 - 1122',null,null);
INSERT INTO product_categories VALUES('814','BUILT IN APPLLIANCES','SIGNATURE','3712 - 1122',null,null);
INSERT INTO product_categories VALUES('815','BUILT IN APPLLIANCES','SIGNATURE','SBH-AC700G - 1122',null,null);
INSERT INTO product_categories VALUES('816','BUILT IN APPLLIANCES','SIGNATURE','3730 - 1122',null,null);
INSERT INTO product_categories VALUES('817','BUILT IN APPLLIANCES','SIGNATURE','SBH-AC750S - 1122',null,null);
INSERT INTO product_categories VALUES('818','BUILT IN APPLLIANCES','SIGNATURE','3762G - 1122',null,null);
INSERT INTO product_categories VALUES('819','BUILT IN APPLLIANCES','SIGNATURE','3763S - 1122',null,null);
INSERT INTO product_categories VALUES('820','BUILT IN APPLLIANCES','SIGNATURE','HC-3761S - 1122',null,null);
INSERT INTO product_categories VALUES('821','BUILT IN APPLLIANCES','SIGNATURE','HC-3764G - 1122',null,null);
INSERT INTO product_categories VALUES('822','BUILT IN APPLLIANCES','SIGNATURE','HC-3766G - 1122',null,null);
INSERT INTO product_categories VALUES('823','BUILT IN APPLLIANCES','SIGNATURE','SBH-AA5761S - 1122',null,null);
INSERT INTO product_categories VALUES('824','BUILT IN APPLLIANCES','SIGNATURE','SBH-AA760S - 1122',null,null);
INSERT INTO product_categories VALUES('825','BUILT IN APPLLIANCES','SIGNATURE','SBH-AA901G - 1122',null,null);
INSERT INTO product_categories VALUES('826','BUILT IN APPLLIANCES','SIGNATURE','SBH-AC900G - 1122',null,null);
INSERT INTO product_categories VALUES('827','BUILT IN APPLLIANCES','SIGNATURE','SBH-AC930S - 1122',null,null);
INSERT INTO product_categories VALUES('828','BUILT IN APPLLIANCES','SIGNATURE','HC-3900G - 1122',null,null);
INSERT INTO product_categories VALUES('829','BUILT IN APPLLIANCES','SIGNATURE','HC-5861S - 1122',null,null);
INSERT INTO product_categories VALUES('830','BUILT IN APPLLIANCES','SIGNATURE','HC-5871S - 1122',null,null);
INSERT INTO product_categories VALUES('831','BUILT IN APPLLIANCES','SIGNATURE','HC-5900G - 1122',null,null);
INSERT INTO product_categories VALUES('832','BUILT IN APPLLIANCES','SIGNATURE','5870 - 1122',null,null);
INSERT INTO product_categories VALUES('833','BUILT IN APPLLIANCES','TECHNOGAS','90GVF3LBB - 1122',null,null);
INSERT INTO product_categories VALUES('834','BUILT IN APPLLIANCES','TECHNOGAS','90GVF3LBX - 1122',null,null);
INSERT INTO product_categories VALUES('835','BUILT IN APPLLIANCES','TECHNOGAS','90GVF5LBX - 1122',null,null);
INSERT INTO product_categories VALUES('836','BUILT IN APPLLIANCES','TEKA','E60.2/4G AI SS - 743',null,null);
INSERT INTO product_categories VALUES('837','BUILT IN APPLLIANCES','TEKA','VR90 AI AL TR - 743',null,null);
INSERT INTO product_categories VALUES('838','BUILT IN APPLLIANCES','TEKA','VTCM - 743',null,null);
INSERT INTO product_categories VALUES('839','BUILT IN APPLLIANCES','TEKA','VM30/2P - 743',null,null);
INSERT INTO product_categories VALUES('840','BUILT IN APPLLIANCES','TEKA','EX90/5G/AL AI TR - 743',null,null);
INSERT INTO product_categories VALUES('841','BUILT IN APPLLIANCES','TEKA','EWF90/5G AI AL - 1122',null,null);
INSERT INTO product_categories VALUES('842','BUILT IN APPLLIANCES','TERMIKEL','3211HK - 1122',null,null);
INSERT INTO product_categories VALUES('843','BUILT IN APPLLIANCES','TERMIKEL','7422SL - 1122',null,null);
INSERT INTO product_categories VALUES('844','BUILT IN APPLLIANCES','WELCOME','29FS  - 1122',null,null);
INSERT INTO product_categories VALUES('845','BUILT IN APPLLIANCES','WELCOME','29FG - 1122',null,null);
INSERT INTO product_categories VALUES('846','BUILT IN APPLLIANCES','XPER','96A - 1122',null,null);
INSERT INTO product_categories VALUES('847','BUILT IN APPLLIANCES','XTREEM','925 - 495',null,null);
INSERT INTO product_categories VALUES('848','BUILT IN APPLLIANCES','XTREEM','9335S1 - 1122',null,null);
INSERT INTO product_categories VALUES('849','BUILT IN APPLLIANCES','XTREEM','9235S1 - 1122',null,null);
INSERT INTO product_categories VALUES('850','BUILT IN APPLLIANCES','XTREEM','973CB - 1122',null,null);
INSERT INTO product_categories VALUES('851','BUILT IN APPLLIANCES','XTREEM','973F - 1122',null,null);
INSERT INTO product_categories VALUES('852','BUILT IN APPLLIANCES','XTREEM','87A - 1122',null,null);
INSERT INTO product_categories VALUES('853','BUILT IN APPLLIANCES','XTREEM','915Z - 1122',null,null);
INSERT INTO product_categories VALUES('854','BUILT IN APPLLIANCES','XTREEM','918 - 1122',null,null);
INSERT INTO product_categories VALUES('855','BUILT IN APPLLIANCES','XTREEM','9213G1 - 1122',null,null);
INSERT INTO product_categories VALUES('856','BUILT IN APPLLIANCES','XTREEM','863 - 495',null,null);
INSERT INTO product_categories VALUES('857','BUILT IN APPLLIANCES','XTREEM','82A - 1122',null,null);
INSERT INTO product_categories VALUES('858','BUILT IN APPLLIANCES','XTREEM','74A - 1122',null,null);
INSERT INTO product_categories VALUES('859','BUILT IN APPLLIANCES','XTREEM','70A - 1122',null,null);
INSERT INTO product_categories VALUES('860','BUILT IN APPLLIANCES','XTREEM','55A - 1122',null,null);
INSERT INTO product_categories VALUES('861','BUILT IN APPLLIANCES','XTREEM','45J - 1122',null,null);
INSERT INTO product_categories VALUES('862','BUILT IN APPLLIANCES','XTREEM','407 - 1122',null,null);
INSERT INTO product_categories VALUES('863','BUILT IN APPLLIANCES','XTREEM','406 - 1122',null,null);
INSERT INTO product_categories VALUES('864','BUILT IN APPLLIANCES','XTREEM','408 - 1122',null,null);
INSERT INTO product_categories VALUES('865','BUILT IN APPLLIANCES','XTREEM','409 - 1122',null,null);
INSERT INTO product_categories VALUES('866','BUILT IN APPLLIANCES','XTREEM','40A - 1122',null,null);
INSERT INTO product_categories VALUES('867','BUILT IN APPLLIANCES','XTREEM','419 - 1122',null,null);
INSERT INTO product_categories VALUES('868','BUILT IN APPLLIANCES','XTREEM','3J - 495',null,null);
INSERT INTO product_categories VALUES('869','BUILT IN APPLLIANCES','XTREEM','36J - 1122',null,null);
INSERT INTO product_categories VALUES('870','BUILT IN APPLLIANCES','XTREEM','5C - 1122',null,null);
INSERT INTO product_categories VALUES('871','BUILT IN APPLLIANCES','XTREEM','55J - 1122',null,null);
INSERT INTO product_categories VALUES('872','BUILT IN APPLLIANCES','XTREEM','366 - 1122',null,null);
INSERT INTO product_categories VALUES('873','BUILT IN APPLLIANCES','XTREEM','3C - 1122',null,null);
INSERT INTO product_categories VALUES('874','BUILT IN APPLLIANCES','XTREEM','405 - 495',null,null);
INSERT INTO product_categories VALUES('875','BUILT IN APPLLIANCES','XTREEM','404 - 495',null,null);
INSERT INTO product_categories VALUES('876','BUILT IN APPLLIANCES','XTREEM','412 - 1122',null,null);
INSERT INTO product_categories VALUES('877','BUILT IN APPLLIANCES','XTREEM','4J - 1122',null,null);
INSERT INTO product_categories VALUES('878','BUILT IN APPLLIANCES','XTREEM','46A - 1122',null,null);
INSERT INTO product_categories VALUES('879','BUILT IN APPLLIANCES','XTREEM','46J - 1122',null,null);
INSERT INTO product_categories VALUES('880','BUILT IN APPLLIANCES','XTREEM','9J - 495',null,null);
INSERT INTO product_categories VALUES('881','BUILT IN APPLLIANCES','XTREEM','98A - 1122',null,null);
INSERT INTO product_categories VALUES('882','BUILT IN APPLLIANCES','XTREEM','955Z - 1122',null,null);
INSERT INTO product_categories VALUES('883','BUILT IN APPLLIANCES','XTREEM','CB4-HOB - 495',null,null);
INSERT INTO product_categories VALUES('884','BUILT IN APPLLIANCES','XTREEM','8J - 495',null,null);
INSERT INTO product_categories VALUES('885','BUILT IN APPLLIANCES','XTREEM','83A - 1122',null,null);
INSERT INTO product_categories VALUES('886','BUILT IN APPLLIANCES','XTREEM','84A - 1122',null,null);
INSERT INTO product_categories VALUES('887','BUILT IN APPLLIANCES','XTREEM','86A - 1122',null,null);
INSERT INTO product_categories VALUES('888','BUILT IN APPLLIANCES','XTREEM','9315S1 - 1122',null,null);
INSERT INTO product_categories VALUES('889','BUILT IN APPLLIANCES','XTREEM','935Z - 1122',null,null);
INSERT INTO product_categories VALUES('890','BUILT IN APPLLIANCES','XTREEM','925E - 1122',null,null);
INSERT INTO product_categories VALUES('891','BUILT IN APPLLIANCES','XTREEM','925EX - 1122',null,null);
INSERT INTO product_categories VALUES('892','BUILT IN APPLLIANCES','XTREEM','926 - 495',null,null);
INSERT INTO product_categories VALUES('893','BUILT IN APPLLIANCES','XTREEM','913EX - 1122',null,null);
INSERT INTO product_categories VALUES('894','BUILT IN APPLLIANCES','XTREEM','917 - 495',null,null);
INSERT INTO product_categories VALUES('895','BUILT IN APPLLIANCES','XTREEM','920 - 1122',null,null);
INSERT INTO product_categories VALUES('896','BUILT IN APPLLIANCES','XTREEM','6A - 1122',null,null);
INSERT INTO product_categories VALUES('897','BUILT IN APPLLIANCES','XTREEM','6J - 1122',null,null);
INSERT INTO product_categories VALUES('898','BUILT IN APPLLIANCES','XTREEM','7J - 1122',null,null);
INSERT INTO product_categories VALUES('899','BUILT IN APPLLIANCES','XTREEM','39A - 495',null,null);
INSERT INTO product_categories VALUES('900','BUILT IN APPLLIANCES','XTREEM','416 - 1122',null,null);
INSERT INTO product_categories VALUES('901','BUILT IN APPLLIANCES','XTREEM','417 - 1122',null,null);
INSERT INTO product_categories VALUES('902','BUILT IN APPLLIANCES','XTREEM','414 - 1122',null,null);
INSERT INTO product_categories VALUES('903','BUILT IN APPLLIANCES','XTREEM','415 - 1122',null,null);
INSERT INTO product_categories VALUES('904','BUILT IN APPLLIANCES','XTREEM','85A - 1122',null,null);
INSERT INTO product_categories VALUES('905','BUILT IN APPLLIANCES','XTREEM','39J - 1122',null,null);
INSERT INTO product_categories VALUES('906','BUILT IN APPLLIANCES','XTREEM','8885 - 1122',null,null);
INSERT INTO product_categories VALUES('907','BUILT IN APPLLIANCES','XTREEM','88A - 1122',null,null);
INSERT INTO product_categories VALUES('908','BUILT IN APPLLIANCES','XTREEM','81A - 1122',null,null);
INSERT INTO product_categories VALUES('909','BUILT IN APPLLIANCES','XTREEM','963Z - 1122',null,null);
INSERT INTO product_categories VALUES('910','BUILT IN APPLLIANCES','XTREEM','90A - 1122',null,null);
INSERT INTO product_categories VALUES('911','BUILT IN APPLLIANCES','XTREEM','44J - 1122',null,null);
INSERT INTO product_categories VALUES('912','BUILT IN APPLLIANCES','XTREEM','66A - 1122',null,null);
INSERT INTO product_categories VALUES('913','BUILT IN APPLLIANCES','XTREEM','400 - 495',null,null);
INSERT INTO product_categories VALUES('914','BUILT IN APPLLIANCES','XTREEM','420 - 495',null,null);
INSERT INTO product_categories VALUES('915','BUILT IN APPLLIANCES','XTREME','4C - 1122',null,null);
INSERT INTO product_categories VALUES('916','BUILT IN APPLLIANCES','XTREME','47J - 1122',null,null);
INSERT INTO product_categories VALUES('917','BUILT IN APPLLIANCES','BOSCH','98J50B - 1123',null,null);
INSERT INTO product_categories VALUES('918','BUILT IN APPLLIANCES','BOSCH','09W450B - 1123',null,null);
INSERT INTO product_categories VALUES('919','BUILT IN APPLLIANCES','BOSCH','94BC51B - 1123',null,null);
INSERT INTO product_categories VALUES('920','BUILT IN APPLLIANCES','BOSCH','94CC50M - 1123',null,null);
INSERT INTO product_categories VALUES('921','BUILT IN APPLLIANCES','BOSCH','97DM50B - 1123',null,null);
INSERT INTO product_categories VALUES('922','BUILT IN APPLLIANCES','CANON','6000-CKU - 1123',null,null);
INSERT INTO product_categories VALUES('923','BUILT IN APPLLIANCES','CANON','4000A-CSK - 2113',null,null);
INSERT INTO product_categories VALUES('924','BUILT IN APPLLIANCES','CANON','9090CKI - 1123',null,null);
INSERT INTO product_categories VALUES('925','BUILT IN APPLLIANCES','CANON','1000A-CSK - 1123',null,null);
INSERT INTO product_categories VALUES('926','BUILT IN APPLLIANCES','CANON','2092CKS - 1123',null,null);
INSERT INTO product_categories VALUES('927','BUILT IN APPLLIANCES','CANON','198KE-2 - 1123',null,null);
INSERT INTO product_categories VALUES('928','BUILT IN APPLLIANCES','CANON','5000CKS - 1123',null,null);
INSERT INTO product_categories VALUES('929','BUILT IN APPLLIANCES','CANON','U-1 - 1123',null,null);
INSERT INTO product_categories VALUES('930','BUILT IN APPLLIANCES','CANON','U-2 - 1123',null,null);
INSERT INTO product_categories VALUES('931','BUILT IN APPLLIANCES','CANON','U-5 - 1123',null,null);
INSERT INTO product_categories VALUES('932','BUILT IN APPLLIANCES','CANON','U3-B - 1123',null,null);
INSERT INTO product_categories VALUES('933','BUILT IN APPLLIANCES','CANON','96KF - 1123',null,null);
INSERT INTO product_categories VALUES('934','BUILT IN APPLLIANCES','FOTILE','EH11D - 1123',null,null);
INSERT INTO product_categories VALUES('935','BUILT IN APPLLIANCES','FOTILE','9004CTS - 1123',null,null);
INSERT INTO product_categories VALUES('936','BUILT IN APPLLIANCES','FOTILE','9009  - 1123',null,null);
INSERT INTO product_categories VALUES('937','BUILT IN APPLLIANCES','FOTILE','D8BH-HC3Z - 1123',null,null);
INSERT INTO product_categories VALUES('938','BUILT IN APPLLIANCES','GENERALTEC','90GBBF-3P - 1123',null,null);
INSERT INTO product_categories VALUES('939','BUILT IN APPLLIANCES','GENERALTEC','90GR-BBF-P - 1123',null,null);
INSERT INTO product_categories VALUES('940','BUILT IN APPLLIANCES','GENERALTEC','90GSBF-4 - 1123',null,null);
INSERT INTO product_categories VALUES('941','BUILT IN APPLLIANCES','GENERALTEC','90GTP - 1123',null,null);
INSERT INTO product_categories VALUES('942','BUILT IN APPLLIANCES','HAIER','90STB - 1123',null,null);
INSERT INTO product_categories VALUES('943','BUILT IN APPLLIANCES','HAIER','90TTSB - 1123',null,null);
INSERT INTO product_categories VALUES('944','BUILT IN APPLLIANCES','HAIER','21EBG - 1123',null,null);
INSERT INTO product_categories VALUES('945','BUILT IN APPLLIANCES','HAIER','21BEG - 1123',null,null);
INSERT INTO product_categories VALUES('946','BUILT IN APPLLIANCES','HAIER','290TC - 1123',null,null);
INSERT INTO product_categories VALUES('947','BUILT IN APPLLIANCES','HAIER','9002PCHT - 1123',null,null);
INSERT INTO product_categories VALUES('948','BUILT IN APPLLIANCES','SIEMENS','96WA530 - 1123',null,null);
INSERT INTO product_categories VALUES('949','BUILT IN APPLLIANCES','SIEMENS','94BA521B - 1123',null,null);
INSERT INTO product_categories VALUES('950','BUILT IN APPLLIANCES','SIGNATURE','SBC-ADELAIDE-90 - 1123',null,null);
INSERT INTO product_categories VALUES('951','BUILT IN APPLLIANCES','SIGNATURE','SBC-ADELAIDE-90PLUS - 1123',null,null);
INSERT INTO product_categories VALUES('952','BUILT IN APPLLIANCES','SIGNATURE','SBC-BRISBANE-90 - 1123',null,null);
INSERT INTO product_categories VALUES('953','BUILT IN APPLLIANCES','SIGNATURE','SBC-DARWIN-60 - 1123',null,null);
INSERT INTO product_categories VALUES('954','BUILT IN APPLLIANCES','SIGNATURE','SBC-DARWIN-60BL - 1123',null,null);
INSERT INTO product_categories VALUES('955','BUILT IN APPLLIANCES','SIGNATURE','SBC-DARWIN-90 - 1123',null,null);
INSERT INTO product_categories VALUES('956','BUILT IN APPLLIANCES','SIGNATURE','SBC-DARWIN-90BL - 1123',null,null);
INSERT INTO product_categories VALUES('957','BUILT IN APPLLIANCES','SIGNATURE','SBC-DARWIN-90PLUS - 1123',null,null);
INSERT INTO product_categories VALUES('958','BUILT IN APPLLIANCES','SIGNATURE','SBC-DUBBO-90PLUS - 1123',null,null);
INSERT INTO product_categories VALUES('959','BUILT IN APPLLIANCES','SIGNATURE','SBC-DUBBO90 - 1123',null,null);
INSERT INTO product_categories VALUES('960','BUILT IN APPLLIANCES','SIGNATURE','SBC-HOBART-90 - 1123',null,null);
INSERT INTO product_categories VALUES('961','BUILT IN APPLLIANCES','SIGNATURE','SBC-KANGROO 90 - 1123',null,null);
INSERT INTO product_categories VALUES('962','BUILT IN APPLLIANCES','SIGNATURE','SBC-MELBURNE-90PLUS - 1123',null,null);
INSERT INTO product_categories VALUES('963','BUILT IN APPLLIANCES','SIGNATURE','SBC-MELBURNE90PLUS-SS - 1123',null,null);
INSERT INTO product_categories VALUES('964','BUILT IN APPLLIANCES','SIGNATURE','SBC-PERTH90  - 1123',null,null);
INSERT INTO product_categories VALUES('965','BUILT IN APPLLIANCES','SIGNATURE','SBC-SYDNEY-90 - 1123',null,null);
INSERT INTO product_categories VALUES('966','BUILT IN APPLLIANCES','SIGNATURE','24SS - 1123',null,null);
INSERT INTO product_categories VALUES('967','BUILT IN APPLLIANCES','SIGNATURE','SYDNEY-PLUS - 1123',null,null);
INSERT INTO product_categories VALUES('968','BUILT IN APPLLIANCES','SIGNATURE','DUBBO-75 - 1123',null,null);
INSERT INTO product_categories VALUES('969','BUILT IN APPLLIANCES','SIGNATURE','MELBOURNE-75 - 1123',null,null);
INSERT INTO product_categories VALUES('970','BUILT IN APPLLIANCES','SIGNATURE','MELBOURNE-90 - 1123',null,null);
INSERT INTO product_categories VALUES('971','BUILT IN APPLLIANCES','SIGNATURE','PERTH-PLUS - 1123',null,null);
INSERT INTO product_categories VALUES('972','BUILT IN APPLLIANCES','SIGNATURE','50-YH - 1123',null,null);
INSERT INTO product_categories VALUES('973','BUILT IN APPLLIANCES','SIGNATURE','012-YT - 1123',null,null);
INSERT INTO product_categories VALUES('974','BUILT IN APPLLIANCES','SUPER ASIA','500SHD - 1123',null,null);
INSERT INTO product_categories VALUES('975','BUILT IN APPLLIANCES','SUPER ASIA','510SHD - 1123',null,null);
INSERT INTO product_categories VALUES('976','BUILT IN APPLLIANCES','XTREEM','939 - 1123',null,null);
INSERT INTO product_categories VALUES('977','BUILT IN APPLLIANCES','XTREME','789 - 1123',null,null);
INSERT INTO product_categories VALUES('978','BUILT IN APPLLIANCES','XTREME','923 - 1123',null,null);
INSERT INTO product_categories VALUES('979','BUILT IN APPLLIANCES','XTREME','788 - 1123',null,null);
INSERT INTO product_categories VALUES('980','BUILT IN APPLLIANCES','BOSCH','75M654M - 1731',null,null);
INSERT INTO product_categories VALUES('981','BUILT IN APPLLIANCES','BOSCH','84G654M - 1731',null,null);
INSERT INTO product_categories VALUES('982','BUILT IN APPLLIANCES','BOSCH','554MS0M - 1731',null,null);
INSERT INTO product_categories VALUES('983','BUILT IN APPLLIANCES','CANON','BOV-G18  - 1731',null,null);
INSERT INTO product_categories VALUES('984','BUILT IN APPLLIANCES','CANON','25UG17 - 1731',null,null);
INSERT INTO product_categories VALUES('985','BUILT IN APPLLIANCES','CANON','25E-BMO - 1587',null,null);
INSERT INTO product_categories VALUES('986','BUILT IN APPLLIANCES','FOTILE','25800K03B - 1124',null,null);
INSERT INTO product_categories VALUES('987','BUILT IN APPLLIANCES','FOTILE','25800KCZ - 1124',null,null);
INSERT INTO product_categories VALUES('988','BUILT IN APPLLIANCES','FOTILE','25800K-01AG - 1731',null,null);
INSERT INTO product_categories VALUES('989','BUILT IN APPLLIANCES','FOTILE','25800K-03BG - 1731',null,null);
INSERT INTO product_categories VALUES('990','BUILT IN APPLLIANCES','FOTILE','25800K-03G - 1731',null,null);
INSERT INTO product_categories VALUES('991','BUILT IN APPLLIANCES','FOTILE','25800K-C2 - 1731',null,null);
INSERT INTO product_categories VALUES('992','BUILT IN APPLLIANCES','FOTILE','25800K-C2G - 1124',null,null);
INSERT INTO product_categories VALUES('993','BUILT IN APPLLIANCES','FOTILE','25800K01A - 1124',null,null);
INSERT INTO product_categories VALUES('994','BUILT IN APPLLIANCES','GENERALTEC','030-MGB - 1124',null,null);
INSERT INTO product_categories VALUES('995','BUILT IN APPLLIANCES','GENERALTEC','030-MGS - 1124',null,null);
INSERT INTO product_categories VALUES('996','BUILT IN APPLLIANCES','HAIER','25UG21 - 1731',null,null);
INSERT INTO product_categories VALUES('997','BUILT IN APPLLIANCES','HAIER','25NG22 - 1731',null,null);
INSERT INTO product_categories VALUES('998','BUILT IN APPLLIANCES','SIEMENS','35M562B - 1124',null,null);
INSERT INTO product_categories VALUES('999','BUILT IN APPLLIANCES','SIEMENS','24G564B - 961',null,null);
INSERT INTO product_categories VALUES('1000','BUILT IN APPLLIANCES','SIGNATURE','25CG - 1731',null,null);
INSERT INTO product_categories VALUES('1001','BUILT IN APPLLIANCES','SIGNATURE','25BG - 1731',null,null);
INSERT INTO product_categories VALUES('1002','BUILT IN APPLLIANCES','SIGNATURE','25G - 1731',null,null);
INSERT INTO product_categories VALUES('1003','BUILT IN APPLLIANCES','TEKA','22BI-MWE - 1026',null,null);
INSERT INTO product_categories VALUES('1004','BUILT IN APPLLIANCES','TEKA','MWX22.1BIS - 748',null,null);
INSERT INTO product_categories VALUES('1005','BUILT IN APPLLIANCES','TEKA','MW32BIS - 748',null,null);
INSERT INTO product_categories VALUES('1006','BUILT IN APPLLIANCES','TEKA','22EGL-MWL - 1026',null,null);
INSERT INTO product_categories VALUES('1007','CAKE DISPLAY','VARIOLINE','1200-SKF - 1914',null,null);
INSERT INTO product_categories VALUES('1008','CAKE DISPLAY','VARIOLINE','1500-SKD - 1915',null,null);
INSERT INTO product_categories VALUES('1009','CAKE DISPLAY','VARIOLINE','1500-SKF - 1915',null,null);
INSERT INTO product_categories VALUES('1010','CHILLER','CARAVELL','1000C - 6',null,null);
INSERT INTO product_categories VALUES('1011','CHILLER','CARAVELL','1000MEC - 978',null,null);
INSERT INTO product_categories VALUES('1012','CHILLER','CARAVELL','1000MEC-MEAT - 978',null,null);
INSERT INTO product_categories VALUES('1013','CHILLER','CARAVELL','1000MEC-SPLIT - 978',null,null);
INSERT INTO product_categories VALUES('1014','CHILLER','VARIOLINE','1000SVC-AY - 978',null,null);
INSERT INTO product_categories VALUES('1015','CHILLER','VARIOLINE','1000AY - 607',null,null);
INSERT INTO product_categories VALUES('1016','CHILLER','VARIOLINE','1000-SRCL - 978',null,null);
INSERT INTO product_categories VALUES('1017','CHILLER','CARAVELL','1200MEC  - 1559',null,null);
INSERT INTO product_categories VALUES('1018','CHILLER','CARAVELL','1200MEC-GSD - 1559',null,null);
INSERT INTO product_categories VALUES('1019','CHILLER','CARAVELL','1200 - 1559',null,null);
INSERT INTO product_categories VALUES('1020','CHILLER','VARIOLINE','120-CTC - 1981',null,null);
INSERT INTO product_categories VALUES('1021','CHILLER','CARAVELL','1500CHILLER - 979',null,null);
INSERT INTO product_categories VALUES('1022','CHILLER','CARAVELL','1500-MEAT - 979',null,null);
INSERT INTO product_categories VALUES('1023','CHILLER','CARAVELL','1500MEC - 979',null,null);
INSERT INTO product_categories VALUES('1024','CHILLER','VARIOLINE','1500SAX - 607',null,null);
INSERT INTO product_categories VALUES('1025','CHILLER','VARIOLINE','1500SVC-AY - 979',null,null);
INSERT INTO product_categories VALUES('1026','CHILLER','VARIOLINE','1500-SRCL - 979',null,null);
INSERT INTO product_categories VALUES('1027','CHILLER','HAIER','150G - 1406',null,null);
INSERT INTO product_categories VALUES('1028','CHILLER','CARAVELL','1600MEC - 2013',null,null);
INSERT INTO product_categories VALUES('1029','CHILLER','VARIOLINE','170-SVC - 976',null,null);
INSERT INTO product_categories VALUES('1030','CHILLER','CARAVELL','15GSD - 1983',null,null);
INSERT INTO product_categories VALUES('1031','CHILLER','VARIOLINE','250-SVC - 1983',null,null);
INSERT INTO product_categories VALUES('1032','CHILLER','VARIOLINE','250WVC - 607',null,null);
INSERT INTO product_categories VALUES('1033','CHILLER','VARIOLINE','260SAX - 1222',null,null);
INSERT INTO product_categories VALUES('1034','CHILLER','CARAVELL','270 - 983',null,null);
INSERT INTO product_categories VALUES('1035','CHILLER','CARAVELL','270MEC  - 983',null,null);
INSERT INTO product_categories VALUES('1036','CHILLER','VARIOLINE','270SAX - 6',null,null);
INSERT INTO product_categories VALUES('1037','CHILLER','ORIENT','308G - 463',null,null);
INSERT INTO product_categories VALUES('1038','CHILLER','CARAVELL','400-21 - 6',null,null);
INSERT INTO product_categories VALUES('1039','CHILLER','VARIOLINE','400-SVC - 980',null,null);
INSERT INTO product_categories VALUES('1040','CHILLER','VARIOLINE','400WVC - 607',null,null);
INSERT INTO product_categories VALUES('1041','CHILLER','CARAVELL','430SK - 6',null,null);
INSERT INTO product_categories VALUES('1042','CHILLER','CARAVELL','450ELEGANT - 1651',null,null);
INSERT INTO product_categories VALUES('1043','CHILLER','CARAVELL','450MEC - 1651',null,null);
INSERT INTO product_categories VALUES('1044','CHILLER','VARIOLINE','550SAX - 607',null,null);
INSERT INTO product_categories VALUES('1045','CHILLER','VARIOLINE','550-SVC - 1534',null,null);
INSERT INTO product_categories VALUES('1046','CHILLER','CARAVELL','600-ELEGANCE - 1652',null,null);
INSERT INTO product_categories VALUES('1047','CHILLER','CARAVELL','600ELEGANT  - 1652',null,null);
INSERT INTO product_categories VALUES('1048','CHILLER','CARAVELL','600MEC - 1652',null,null);
INSERT INTO product_categories VALUES('1049','CHILLER','CARAVELL','600MEC-DD - 1652',null,null);
INSERT INTO product_categories VALUES('1050','CHILLER','CARAVELL','800 - 6',null,null);
INSERT INTO product_categories VALUES('1051','CHILLER','CARAVELL','800-SPECIAL - 6',null,null);
INSERT INTO product_categories VALUES('1052','CHILLER','CARAVELL','900MEAT - 1637',null,null);
INSERT INTO product_categories VALUES('1053','CHILLER','CARAVELL','900 - 1637',null,null);
INSERT INTO product_categories VALUES('1054','CHILLER','VARIOLINE','03-VCS - 1982',null,null);
INSERT INTO product_categories VALUES('1055','CHOWKI','CHOWKI','14*13 - 520',null,null);
INSERT INTO product_categories VALUES('1056','CHOWKI','CHOWKI','CHOWKI - 520',null,null);
INSERT INTO product_categories VALUES('1057','CHOWKI','CHOWKI','29*26 - 520',null,null);
INSERT INTO product_categories VALUES('1058','CHOWKI','CHOWKI','24*24 - 520',null,null);
INSERT INTO product_categories VALUES('1059','CHOWKI','CHOWKI','13*13 - 520',null,null);
INSERT INTO product_categories VALUES('1060','CHOWKI','CHOWKI','22*22 - 520',null,null);
INSERT INTO product_categories VALUES('1061','CHOWKI','CHOWKI','26*24 - 520',null,null);
INSERT INTO product_categories VALUES('1062','CHOWKI','CHOWKI','20*20 - 520',null,null);
INSERT INTO product_categories VALUES('1063','CHOWKI','CHOWKI','WASHING MACHINE - 520',null,null);
INSERT INTO product_categories VALUES('1064','CHOWKI','KM PLASTIC','KM2-DISPENCER - 520',null,null);
INSERT INTO product_categories VALUES('1065','CHOWKI','KM PLASTIC','KM3-REF - 520',null,null);
INSERT INTO product_categories VALUES('1066','CHOWKI','KM PLASTIC','KM1-REF - 520',null,null);
INSERT INTO product_categories VALUES('1067','COOKING RANGE','SIGNATURE','FSB60 - 1839',null,null);
INSERT INTO product_categories VALUES('1068','COOKING RANGE','CORONA','125C-AUTO - 1074',null,null);
INSERT INTO product_categories VALUES('1069','COOKING RANGE','CORONA','125 - 14',null,null);
INSERT INTO product_categories VALUES('1070','COOKING RANGE','CORONA','C45 - 14',null,null);
INSERT INTO product_categories VALUES('1071','COOKING RANGE','CORONA','C47 - 14',null,null);
INSERT INTO product_categories VALUES('1072','COOKING RANGE','CORONA','C48 - 14',null,null);
INSERT INTO product_categories VALUES('1073','COOKING RANGE','FIVE STAR','500C-FS - 1073',null,null);
INSERT INTO product_categories VALUES('1074','COOKING RANGE','FIVE STAR','777C-FS - 1073',null,null);
INSERT INTO product_categories VALUES('1075','COOKING RANGE','SIGNATURE','555 - 1073',null,null);
INSERT INTO product_categories VALUES('1076','COOKING RANGE','SIGNATURE','500S - 1605',null,null);
INSERT INTO product_categories VALUES('1077','COOKING RANGE','AAGMA','CR-AAGMA - 1767',null,null);
INSERT INTO product_categories VALUES('1078','COOKING RANGE','ADMIRAL','534GLASSTOP - 285',null,null);
INSERT INTO product_categories VALUES('1079','COOKING RANGE','ADMIRAL','534P-GLASS - 1076',null,null);
INSERT INTO product_categories VALUES('1080','COOKING RANGE','BOSCH','736357M - 1902',null,null);
INSERT INTO product_categories VALUES('1081','COOKING RANGE','CANON','83G - 1076',null,null);
INSERT INTO product_categories VALUES('1082','COOKING RANGE','CANON','373CA - 1076',null,null);
INSERT INTO product_categories VALUES('1083','COOKING RANGE','CANON','936B02 - 1076',null,null);
INSERT INTO product_categories VALUES('1084','COOKING RANGE','CANON','973RGWH - 1076',null,null);
INSERT INTO product_categories VALUES('1085','COOKING RANGE','CANON','972RGWB - 1076',null,null);
INSERT INTO product_categories VALUES('1086','COOKING RANGE','CANON','9502GWB - 1078',null,null);
INSERT INTO product_categories VALUES('1087','COOKING RANGE','CANON','44CR-PLUS - 1076',null,null);
INSERT INTO product_categories VALUES('1088','COOKING RANGE','COMODORE','534GLASS - 12',null,null);
INSERT INTO product_categories VALUES('1089','COOKING RANGE','CORONA','C53 - 14',null,null);
INSERT INTO product_categories VALUES('1090','COOKING RANGE','CORONA','C73 - 1076',null,null);
INSERT INTO product_categories VALUES('1091','COOKING RANGE','CORONA','C65 - 14',null,null);
INSERT INTO product_categories VALUES('1092','COOKING RANGE','CORONA','C702 - 1076',null,null);
INSERT INTO product_categories VALUES('1093','COOKING RANGE','CORONA','602 - 14',null,null);
INSERT INTO product_categories VALUES('1094','COOKING RANGE','CORONA','351C - 1533',null,null);
INSERT INTO product_categories VALUES('1095','COOKING RANGE','CORONA','352 - 14',null,null);
INSERT INTO product_categories VALUES('1096','COOKING RANGE','CORONA','505C - 1815',null,null);
INSERT INTO product_categories VALUES('1097','COOKING RANGE','CORONA','C55 - 14',null,null);
INSERT INTO product_categories VALUES('1098','COOKING RANGE','CORONA','C57 - 14',null,null);
INSERT INTO product_categories VALUES('1099','COOKING RANGE','CORONA','225C/R - 14',null,null);
INSERT INTO product_categories VALUES('1100','COOKING RANGE','CORONA','500SS - 14',null,null);
INSERT INTO product_categories VALUES('1101','COOKING RANGE','CORONA','502C - 1722',null,null);
INSERT INTO product_categories VALUES('1102','COOKING RANGE','CORONA','C205 - 14',null,null);
INSERT INTO product_categories VALUES('1103','COOKING RANGE','FIVE STAR','666C-FS - 1077',null,null);
INSERT INTO product_categories VALUES('1104','COOKING RANGE','FIVE STAR','601C-FS - 1077',null,null);
INSERT INTO product_categories VALUES('1105','COOKING RANGE','FIVE STAR','6000C-FS - 1077',null,null);
INSERT INTO product_categories VALUES('1106','COOKING RANGE','FIVE STAR','7000C-FS - 1902',null,null);
INSERT INTO product_categories VALUES('1107','COOKING RANGE','FIVE STAR','5500C-FS - 1965',null,null);
INSERT INTO product_categories VALUES('1108','COOKING RANGE','FIVE STAR','999C-FS - 1965',null,null);
INSERT INTO product_categories VALUES('1109','COOKING RANGE','FIVE STAR','10000C-FS - 1965',null,null);
INSERT INTO product_categories VALUES('1110','COOKING RANGE','FIVE STAR','900C-FS - 1965',null,null);
INSERT INTO product_categories VALUES('1111','COOKING RANGE','FIVE STAR','786C-FS  - 1077',null,null);
INSERT INTO product_categories VALUES('1112','COOKING RANGE','FIVE STAR','4000C-FS - 1965',null,null);
INSERT INTO product_categories VALUES('1113','COOKING RANGE','GENERALTEC','905DSS - 1902',null,null);
INSERT INTO product_categories VALUES('1114','COOKING RANGE','INDESIT','KNF21-S - 1848',null,null);
INSERT INTO product_categories VALUES('1115','COOKING RANGE','RAYS','107R - 1077',null,null);
INSERT INTO product_categories VALUES('1116','COOKING RANGE','RAYS','105R - 1076',null,null);
INSERT INTO product_categories VALUES('1117','COOKING RANGE','SIEMENS','2I1TQ50M - 1848',null,null);
INSERT INTO product_categories VALUES('1118','COOKING RANGE','SIEMENS','73G6155 - 374',null,null);
INSERT INTO product_categories VALUES('1119','COOKING RANGE','SIEMENS','73G6355M  - 1078',null,null);
INSERT INTO product_categories VALUES('1120','COOKING RANGE','SIGNATURE','601 - 1605',null,null);
INSERT INTO product_categories VALUES('1121','COOKING RANGE','SIGNATURE','SCR-FB-3G - 1605',null,null);
INSERT INTO product_categories VALUES('1122','COOKING RANGE','SIGNATURE','540S - 1605',null,null);
INSERT INTO product_categories VALUES('1123','COOKING RANGE','SIGNATURE','550S - 1605',null,null);
INSERT INTO product_categories VALUES('1124','COOKING RANGE','SIGNATURE','SCR-FB1-4G - 1605',null,null);
INSERT INTO product_categories VALUES('1125','COOKING RANGE','SIGNATURE','SCR-FB4-4G - 1605',null,null);
INSERT INTO product_categories VALUES('1126','COOKING RANGE','SIGNATURE','SCR-FSS3-5G - 1076',null,null);
INSERT INTO product_categories VALUES('1127','COOKING RANGE','SIGNATURE','FXS-5G - 1078',null,null);
INSERT INTO product_categories VALUES('1128','COOKING RANGE','SIGNATURE','C590 - 1776',null,null);
INSERT INTO product_categories VALUES('1129','COOKING RANGE','SIGNATURE','520S - 1605',null,null);
INSERT INTO product_categories VALUES('1130','COOKING RANGE','SIGNATURE','560S - 1605',null,null);
INSERT INTO product_categories VALUES('1131','COOKING RANGE','SIGNATURE','4000S - 1605',null,null);
INSERT INTO product_categories VALUES('1132','COOKING RANGE','SIGNATURE','11000 - 1605',null,null);
INSERT INTO product_categories VALUES('1133','COOKING RANGE','SIGNATURE','5500S - 1605',null,null);
INSERT INTO product_categories VALUES('1134','COOKING RANGE','SIGNATURE','FB4-5G - 1078',null,null);
INSERT INTO product_categories VALUES('1135','COOKING RANGE','SIGNATURE','FS2-5G - 1078',null,null);
INSERT INTO product_categories VALUES('1136','COOKING RANGE','SIGNATURE','FS2-5G PLUS - 1848',null,null);
INSERT INTO product_categories VALUES('1137','COOKING RANGE','SIGNATURE','SCR-FS2-4E - 1605',null,null);
INSERT INTO product_categories VALUES('1138','COOKING RANGE','SIGNATURE','SCR-FS2-4G - 1605',null,null);
INSERT INTO product_categories VALUES('1139','COOKING RANGE','SIGNATURE','SCR-FSB3-5G - 1605',null,null);
INSERT INTO product_categories VALUES('1140','COOKING RANGE','SIGNATURE','SCR-FB1-5G - 1078',null,null);
INSERT INTO product_categories VALUES('1141','COOKING RANGE','TACO','T550 - 1444',null,null);
INSERT INTO product_categories VALUES('1142','COOKING RANGE','TACO','T9000 - 1444',null,null);
INSERT INTO product_categories VALUES('1143','COOKING RANGE','TACO','T510 - 1444',null,null);
INSERT INTO product_categories VALUES('1144','COOKING RANGE','TACO','T520 - 1444',null,null);
INSERT INTO product_categories VALUES('1145','COOKING RANGE','TACO','T530 - 1444',null,null);
INSERT INTO product_categories VALUES('1146','COOKING RANGE','TACO','T10000 - 1444',null,null);
INSERT INTO product_categories VALUES('1147','COOKING RANGE','TACO','T11000 - 1444',null,null);
INSERT INTO product_categories VALUES('1148','COOKING RANGE','TECHNOGAS','P2B96G5VC - 1078',null,null);
INSERT INTO product_categories VALUES('1149','COOKING RANGE','TECHNOGAS','P3X96G5C - 227',null,null);
INSERT INTO product_categories VALUES('1150','COOKING RANGE','TECHNOGAS','N3X96G5VC - 1078',null,null);
INSERT INTO product_categories VALUES('1151','COOKING RANGE','TECHNOGAS','N3XGS5VC - 1902',null,null);
INSERT INTO product_categories VALUES('1152','COOKING RANGE','WELCOME','6002-CR - 1077',null,null);
INSERT INTO product_categories VALUES('1153','COOKING RANGE','WELCOME','601CR - 1077',null,null);
INSERT INTO product_categories VALUES('1154','COOKING RANGE','TERMIKEL','610201W - 1964',null,null);
INSERT INTO product_categories VALUES('1155','DISH WASHER','BOSCH','46K110M - 1547',null,null);
INSERT INTO product_categories VALUES('1156','DISH WASHER','BOSCH','68TI10M-S - 1998',null,null);
INSERT INTO product_categories VALUES('1157','DISH WASHER','BOSCH','68TI20M-S - 1998',null,null);
INSERT INTO product_categories VALUES('1158','DISH WASHER','BOSCH','50D08GC - 1060',null,null);
INSERT INTO product_categories VALUES('1159','DISH WASHER','BOSCH','50E92GC - 1060',null,null);
INSERT INTO product_categories VALUES('1160','DISH WASHER','DAWLANCE','1480-DDW - 1653',null,null);
INSERT INTO product_categories VALUES('1161','DISH WASHER','DAWLANCE','1350-DDW - 1653',null,null);
INSERT INTO product_categories VALUES('1162','DISH WASHER','DAWLANCE','1250-DDW - 1653',null,null);
INSERT INTO product_categories VALUES('1163','DISH WASHER','LG','1450 - 34',null,null);
INSERT INTO product_categories VALUES('1164','DISH WASHER','LG','1450-S - 1653',null,null);
INSERT INTO product_categories VALUES('1165','DISH WASHER','LG','1450WF1P - 1603',null,null);
INSERT INTO product_categories VALUES('1166','DISH WASHER','LG','1452S - 34',null,null);
INSERT INTO product_categories VALUES('1167','DISH WASHER','LG','1452W - 1603',null,null);
INSERT INTO product_categories VALUES('1168','DISH WASHER','LG','512FPS-S - 1653',null,null);
INSERT INTO product_categories VALUES('1169','DISH WASHER','LG','512FPW-S  - 1653',null,null);
INSERT INTO product_categories VALUES('1170','DISH WASHER','MAYTAG','0513AGW-S - 1653',null,null);
INSERT INTO product_categories VALUES('1171','DISH WASHER','SAMSUNG','300TRW - 1439',null,null);
INSERT INTO product_categories VALUES('1172','DISH WASHER','SAMSUNG','60M5010FS-S - 1653',null,null);
INSERT INTO product_categories VALUES('1173','DISH WASHER','SAMSUNG','60H6050FS-S  - 1653',null,null);
INSERT INTO product_categories VALUES('1174','DISH WASHER','SHARP','612MB-SS2 - 1547',null,null);
INSERT INTO product_categories VALUES('1175','DISH WASHER','SHARP','612V-SS3 - 1547',null,null);
INSERT INTO product_categories VALUES('1176','DISH WASHER','SIEMENS','CT636LESI - 1714',null,null);
INSERT INTO product_categories VALUES('1177','DISH WASHER','SIEMENS','24D201EU - 1601',null,null);
INSERT INTO product_categories VALUES('1178','DISH WASHER','SIEMENS','24D801EU - 1601',null,null);
INSERT INTO product_categories VALUES('1179','DISH WASHER','SIEMENS','25D800GC - 1653',null,null);
INSERT INTO product_categories VALUES('1180','DISH WASHER','SIEMENS','26M290GC - 382',null,null);
INSERT INTO product_categories VALUES('1181','DISH WASHER','SIEMENS','26M837GC - 382',null,null);
INSERT INTO product_categories VALUES('1182','DISH WASHER','SIEMENS','26L880TR - 382',null,null);
INSERT INTO product_categories VALUES('1183','DISH WASHER','SIEMENS','ER926SB-70E - 380',null,null);
INSERT INTO product_categories VALUES('1184','DISH WASHER','SIEMENS','25L230TR - 382',null,null);
INSERT INTO product_categories VALUES('1185','DISH WASHER','SIEMENS','66D080TR - 382',null,null);
INSERT INTO product_categories VALUES('1186','DISH WASHER','SIEMENS','55M536EU - 382',null,null);
INSERT INTO product_categories VALUES('1187','DISH WASHER','TEKA','2710LX - 767',null,null);
INSERT INTO product_categories VALUES('1188','DISH WASHER','TEKA','880DW - 767',null,null);
INSERT INTO product_categories VALUES('1189','DISH WASHER','TEKA','DW859 - 767',null,null);
INSERT INTO product_categories VALUES('1190','DISH WASHER','WHIRLPOOL','785-WDL - 1650',null,null);
INSERT INTO product_categories VALUES('1191','DISH WASHER','WHIRLPOOL','66W-BD - 1650',null,null);
INSERT INTO product_categories VALUES('1192','DISH WASHER','WHIRLPOOL','66BDW - 405',null,null);
INSERT INTO product_categories VALUES('1193','DOMESTIC APPLIANCES','ALPINA','5045-SF - 1786',null,null);
INSERT INTO product_categories VALUES('1194','DOMESTIC APPLIANCES','ALPINA','5033-SF - 1786',null,null);
INSERT INTO product_categories VALUES('1195','DOMESTIC APPLIANCES','ALPINA','5046-SF - 1832',null,null);
INSERT INTO product_categories VALUES('1196','DOMESTIC APPLIANCES','ALPINA','5049-SF - 1832',null,null);
INSERT INTO product_categories VALUES('1197','DOMESTIC APPLIANCES','ALPINA','5042-SF - 1575',null,null);
INSERT INTO product_categories VALUES('1198','DOMESTIC APPLIANCES','ALPINA','5043-SF - 1575',null,null);
INSERT INTO product_categories VALUES('1199','DOMESTIC APPLIANCES','ALPINA','5044-SF - 1045',null,null);
INSERT INTO product_categories VALUES('1200','DOMESTIC APPLIANCES','ALPINA','3925-SF - 1575',null,null);
INSERT INTO product_categories VALUES('1201','DOMESTIC APPLIANCES','ALPINA','3926-SF - 1575',null,null);
INSERT INTO product_categories VALUES('1202','DOMESTIC APPLIANCES','ALPINA','3927-SF - 1575',null,null);
INSERT INTO product_categories VALUES('1203','DOMESTIC APPLIANCES','ALPINA','5032-SF - 1045',null,null);
INSERT INTO product_categories VALUES('1204','DOMESTIC APPLIANCES','ALPINA','5037-SF - 1044',null,null);
INSERT INTO product_categories VALUES('1205','DOMESTIC APPLIANCES','ALPINA','5047-SF - 1044',null,null);
INSERT INTO product_categories VALUES('1206','DOMESTIC APPLIANCES','ALPINA','5058-SF - 1044',null,null);
INSERT INTO product_categories VALUES('1207','DOMESTIC APPLIANCES','ALPINA','5054--SF - 1832',null,null);
INSERT INTO product_categories VALUES('1208','DOMESTIC APPLIANCES','ALPINA','5035-SF - 1832',null,null);
INSERT INTO product_categories VALUES('1209','DOMESTIC APPLIANCES','BRAUN','5580SE - 1043',null,null);
INSERT INTO product_categories VALUES('1210','DOMESTIC APPLIANCES','PHILIPS','6341HP - 1043',null,null);
INSERT INTO product_categories VALUES('1211','DOMESTIC APPLIANCES','PHILIPS','6419-HP - 1933',null,null);
INSERT INTO product_categories VALUES('1212','DOMESTIC APPLIANCES','PHILIPS','6400HP - 317',null,null);
INSERT INTO product_categories VALUES('1213','DOMESTIC APPLIANCES','PHILIPS','8230-HP - 1045',null,null);
INSERT INTO product_categories VALUES('1214','DOMESTIC APPLIANCES','PHILIPS','8232HP - 1045',null,null);
INSERT INTO product_categories VALUES('1215','DOMESTIC APPLIANCES','PHILIPS','004-BHD - 1575',null,null);
INSERT INTO product_categories VALUES('1216','DOMESTIC APPLIANCES','PHILIPS','010-BHC - 1045',null,null);
INSERT INTO product_categories VALUES('1217','DOMESTIC APPLIANCES','PHILIPS','111-BHC - 1045',null,null);
INSERT INTO product_categories VALUES('1218','DOMESTIC APPLIANCES','PHILIPS','029-BHD - 1045',null,null);
INSERT INTO product_categories VALUES('1219','DOMESTIC APPLIANCES','PHILIPS','3110PR - 2015',null,null);
INSERT INTO product_categories VALUES('1220','DOMESTIC APPLIANCES','PHILIPS','206PQ - 1787',null,null);
INSERT INTO product_categories VALUES('1221','DOMESTIC APPLIANCES','PHILIPS','8316-HP - 1285',null,null);
INSERT INTO product_categories VALUES('1222','DOMESTIC APPLIANCES','PHILIPS','8321-HP - 1285',null,null);
INSERT INTO product_categories VALUES('1223','DOMESTIC APPLIANCES','PHILIPS','8301-HP - 1285',null,null);
INSERT INTO product_categories VALUES('1224','DOMESTIC APPLIANCES','PHILIPS','8302-HP - 1285',null,null);
INSERT INTO product_categories VALUES('1225','DOMESTIC APPLIANCES','PHILIPS','3505HC - 1829',null,null);
INSERT INTO product_categories VALUES('1226','DOMESTIC APPLIANCES','PHILIPS','3400-HC - 1829',null,null);
INSERT INTO product_categories VALUES('1227','DOMESTIC APPLIANCES','PHILIPS','1055-HC - 1829',null,null);
INSERT INTO product_categories VALUES('1228','DOMESTIC APPLIANCES','REMINGTON','8110AS - 1786',null,null);
INSERT INTO product_categories VALUES('1229','DOMESTIC APPLIANCES','REMINGTON','63E - 1786',null,null);
INSERT INTO product_categories VALUES('1230','DOMESTIC APPLIANCES','REMINGTON','96CI-W1 - 1786',null,null);
INSERT INTO product_categories VALUES('1231','DOMESTIC APPLIANCES','REMINGTON','53CI - 1786',null,null);
INSERT INTO product_categories VALUES('1232','DOMESTIC APPLIANCES','REMINGTON','5319CI - 1786',null,null);
INSERT INTO product_categories VALUES('1233','DOMESTIC APPLIANCES','REMINGTON','2725CI - 1786',null,null);
INSERT INTO product_categories VALUES('1234','DOMESTIC APPLIANCES','REMINGTON','1450PB - 1044',null,null);
INSERT INTO product_categories VALUES('1235','DOMESTIC APPLIANCES','REMINGTON','1510PB - 1044',null,null);
INSERT INTO product_categories VALUES('1236','DOMESTIC APPLIANCES','REMINGTON','7010-EP - 1044',null,null);
INSERT INTO product_categories VALUES('1237','DOMESTIC APPLIANCES','REMINGTON','7020-EP - 1044',null,null);
INSERT INTO product_categories VALUES('1238','DOMESTIC APPLIANCES','REMINGTON','6090D - 1045',null,null);
INSERT INTO product_categories VALUES('1239','DOMESTIC APPLIANCES','REMINGTON','3010 - 1045',null,null);
INSERT INTO product_categories VALUES('1240','DOMESTIC APPLIANCES','REMINGTON','3010D - 1045',null,null);
INSERT INTO product_categories VALUES('1241','DOMESTIC APPLIANCES','REMINGTON','8002 - 1045',null,null);
INSERT INTO product_categories VALUES('1242','DOMESTIC APPLIANCES','REMINGTON','5000 - 1045',null,null);
INSERT INTO product_categories VALUES('1243','DOMESTIC APPLIANCES','REMINGTON','5210 - 1045',null,null);
INSERT INTO product_categories VALUES('1244','DOMESTIC APPLIANCES','REMINGTON','9096 - 1045',null,null);
INSERT INTO product_categories VALUES('1245','DOMESTIC APPLIANCES','REMINGTON','6130 - 1787',null,null);
INSERT INTO product_categories VALUES('1246','DOMESTIC APPLIANCES','REMINGTON','5525 - 1285',null,null);
INSERT INTO product_categories VALUES('1247','DOMESTIC APPLIANCES','REMINGTON','8540 - 1285',null,null);
INSERT INTO product_categories VALUES('1248','DOMESTIC APPLIANCES','REMINGTON','1510 - 1044',null,null);
INSERT INTO product_categories VALUES('1249','DOMESTIC APPLIANCES','REMINGTON','1450ST - 1285',null,null);
INSERT INTO product_categories VALUES('1250','DOMESTIC APPLIANCES','REMINGTON','1400S - 1044',null,null);
INSERT INTO product_categories VALUES('1251','DOMESTIC APPLIANCES','REMINGTON','3500S  - 1285',null,null);
INSERT INTO product_categories VALUES('1252','DOMESTIC APPLIANCES','REMINGTON','2400 - 1285',null,null);
INSERT INTO product_categories VALUES('1253','DOMESTIC APPLIANCES','REMINGTON','7300ST - 1044',null,null);
INSERT INTO product_categories VALUES('1254','DOMESTIC APPLIANCES','REMINGTON','2880S - 1044',null,null);
INSERT INTO product_categories VALUES('1255','DOMESTIC APPLIANCES','REMINGTON','9600S - 1044',null,null);
INSERT INTO product_categories VALUES('1256','DOMESTIC APPLIANCES','REMINGTON','5505 - 1285',null,null);
INSERT INTO product_categories VALUES('1257','DOMESTIC APPLIANCES','REMINGTON','6300 - 1448',null,null);
INSERT INTO product_categories VALUES('1258','DOMESTIC APPLIANCES','REMINGTON','4130MB - 1546',null,null);
INSERT INTO product_categories VALUES('1259','DOMESTIC APPLIANCES','REMINGTON','4120MB - 1546',null,null);
INSERT INTO product_categories VALUES('1260','DOMESTIC APPLIANCES','REMINGTON','4125MB - 1546',null,null);
INSERT INTO product_categories VALUES('1261','DOMESTIC APPLIANCES','REMINGTON','95R - 2104',null,null);
INSERT INTO product_categories VALUES('1262','DOMESTIC APPLIANCES','REMINGTON','180PG - 2104',null,null);
INSERT INTO product_categories VALUES('1263','DOMESTIC APPLIANCES','SENCOR','4112VT-SPE - 1840',null,null);
INSERT INTO product_categories VALUES('1264','DOMESTIC APPLIANCES','SENCOR','7551RD-SHS - 995',null,null);
INSERT INTO product_categories VALUES('1265','DOMESTIC APPLIANCES','SENCOR','7551VT-SHS - 995',null,null);
INSERT INTO product_categories VALUES('1266','DOMESTIC APPLIANCES','SENCOR','7625WH - 1786',null,null);
INSERT INTO product_categories VALUES('1267','DOMESTIC APPLIANCES','SENCOR','7603-SHS - 1786',null,null);
INSERT INTO product_categories VALUES('1268','DOMESTIC APPLIANCES','SENCOR','7619WH-SHS - 1786',null,null);
INSERT INTO product_categories VALUES('1269','DOMESTIC APPLIANCES','SENCOR','431BL-SHP - 1829',null,null);
INSERT INTO product_categories VALUES('1270','DOMESTIC APPLIANCES','SENCOR','211SL-SHP - 1829',null,null);
INSERT INTO product_categories VALUES('1271','DOMESTIC APPLIANCES','SENCOR','108VT - 1575',null,null);
INSERT INTO product_categories VALUES('1272','DOMESTIC APPLIANCES','SENCOR','6400B - 1575',null,null);
INSERT INTO product_categories VALUES('1273','DOMESTIC APPLIANCES','SENCOR','6600 - 1575',null,null);
INSERT INTO product_categories VALUES('1274','DOMESTIC APPLIANCES','SENCOR','6600V - 1575',null,null);
INSERT INTO product_categories VALUES('1275','DOMESTIC APPLIANCES','SENCOR','6600W - 1575',null,null);
INSERT INTO product_categories VALUES('1276','DOMESTIC APPLIANCES','SENCOR','7220VT - 1575',null,null);
INSERT INTO product_categories VALUES('1277','DOMESTIC APPLIANCES','SENCOR','7221GR - 1575',null,null);
INSERT INTO product_categories VALUES('1278','DOMESTIC APPLIANCES','SENCOR','40B - 1575',null,null);
INSERT INTO product_categories VALUES('1279','DOMESTIC APPLIANCES','SENCOR','40G - 1575',null,null);
INSERT INTO product_categories VALUES('1280','DOMESTIC APPLIANCES','SENCOR','6400V-SHD - 1045',null,null);
INSERT INTO product_categories VALUES('1281','DOMESTIC APPLIANCES','SENCOR','2001BK - 1787',null,null);
INSERT INTO product_categories VALUES('1282','DOMESTIC APPLIANCES','SENCOR','4013RD-SMS - 1787',null,null);
INSERT INTO product_categories VALUES('1283','DOMESTIC APPLIANCES','SENCOR','2002RD - 1787',null,null);
INSERT INTO product_categories VALUES('1284','DOMESTIC APPLIANCES','SENCOR','2003BL - 1787',null,null);
INSERT INTO product_categories VALUES('1285','DOMESTIC APPLIANCES','SENCOR','530-SHI - 1044',null,null);
INSERT INTO product_categories VALUES('1286','DOMESTIC APPLIANCES','SENCOR','131GD - 1044',null,null);
INSERT INTO product_categories VALUES('1287','DOMESTIC APPLIANCES','SENCOR','110BK - 1044',null,null);
INSERT INTO product_categories VALUES('1288','DOMESTIC APPLIANCES','SENCOR','781VT - 1044',null,null);
INSERT INTO product_categories VALUES('1289','DOMESTIC APPLIANCES','SENCOR','782GR - 1044',null,null);
INSERT INTO product_categories VALUES('1290','DOMESTIC APPLIANCES','SENCOR','101BL - 1546',null,null);
INSERT INTO product_categories VALUES('1291','DOMESTIC APPLIANCES','WESTPOINT','6217WF - 1045',null,null);
INSERT INTO product_categories VALUES('1292','DOMESTIC APPLIANCES','WESTPOINT','6203-WF - 1045',null,null);
INSERT INTO product_categories VALUES('1293','DOMESTIC APPLIANCES','WESTPOINT','6203WF - 1045',null,null);
INSERT INTO product_categories VALUES('1294','DOMESTIC APPLIANCES','WESTPOINT','6259WF - 1206',null,null);
INSERT INTO product_categories VALUES('1295','DOMESTIC APPLIANCES','WESTPOINT','6260WF - 1045',null,null);
INSERT INTO product_categories VALUES('1296','DOMESTIC APPLIANCES','WESTPOINT','6810WF - 1044',null,null);
INSERT INTO product_categories VALUES('1297','DOMESTIC APPLIANCES','WESTPOINT','6805WF - 1285',null,null);
INSERT INTO product_categories VALUES('1298','DOMESTIC APPLIANCES','WESTPOINT','6807WF - 1285',null,null);
INSERT INTO product_categories VALUES('1299','DOMESTIC APPLIANCES','WESTPOINT','6809WF - 1285',null,null);
INSERT INTO product_categories VALUES('1300','DOMESTIC APPLIANCES','ALPINA','5065-SF - 1831',null,null);
INSERT INTO product_categories VALUES('1301','DOMESTIC APPLIANCES','ALPINA','5066-SF  - 1235',null,null);
INSERT INTO product_categories VALUES('1302','DOMESTIC APPLIANCES','ALPINA','5068-SF - 1235',null,null);
INSERT INTO product_categories VALUES('1303','DOMESTIC APPLIANCES','AURORA','340AIK - 1284',null,null);
INSERT INTO product_categories VALUES('1304','DOMESTIC APPLIANCES','BLACK&DECKER','1630FSM - 1792',null,null);
INSERT INTO product_categories VALUES('1305','DOMESTIC APPLIANCES','BLACK&DECKER','1621FSMH - 1792',null,null);
INSERT INTO product_categories VALUES('1306','DOMESTIC APPLIANCES','DAIMARU','1X-BT - 508',null,null);
INSERT INTO product_categories VALUES('1307','DOMESTIC APPLIANCES','DELONGI','100AC - 1235',null,null);
INSERT INTO product_categories VALUES('1308','DOMESTIC APPLIANCES','HITACHI','3000A-EP - 1642',null,null);
INSERT INTO product_categories VALUES('1309','DOMESTIC APPLIANCES','LAMART','4030LT - 1791',null,null);
INSERT INTO product_categories VALUES('1310','DOMESTIC APPLIANCES','LAMART','4031LT - 1791',null,null);
INSERT INTO product_categories VALUES('1311','DOMESTIC APPLIANCES','LAMART','4033LT - 1791',null,null);
INSERT INTO product_categories VALUES('1312','DOMESTIC APPLIANCES','LAMART','4016LT - 1791',null,null);
INSERT INTO product_categories VALUES('1313','DOMESTIC APPLIANCES','LAMART','4017LT - 1791',null,null);
INSERT INTO product_categories VALUES('1314','DOMESTIC APPLIANCES','LAMART','4018LT - 1791',null,null);
INSERT INTO product_categories VALUES('1315','DOMESTIC APPLIANCES','LAMART','4005LT - 1791',null,null);
INSERT INTO product_categories VALUES('1316','DOMESTIC APPLIANCES','LAMART','4008LT - 1791',null,null);
INSERT INTO product_categories VALUES('1317','DOMESTIC APPLIANCES','LAMART','4009LT - 1791',null,null);
INSERT INTO product_categories VALUES('1318','DOMESTIC APPLIANCES','LAMART','4021LT - 1791',null,null);
INSERT INTO product_categories VALUES('1319','DOMESTIC APPLIANCES','LAMART','4022LT - 1791',null,null);
INSERT INTO product_categories VALUES('1320','DOMESTIC APPLIANCES','LAMART','4023LT - 1791',null,null);
INSERT INTO product_categories VALUES('1321','DOMESTIC APPLIANCES','LAMART','4024LT - 1791',null,null);
INSERT INTO product_categories VALUES('1322','DOMESTIC APPLIANCES','LAMART','4026LT - 1791',null,null);
INSERT INTO product_categories VALUES('1323','DOMESTIC APPLIANCES','LAMART','4027LT - 1791',null,null);
INSERT INTO product_categories VALUES('1324','DOMESTIC APPLIANCES','LAMART','4029LT - 1791',null,null);
INSERT INTO product_categories VALUES('1325','DOMESTIC APPLIANCES','MOEL','396A - 143',null,null);
INSERT INTO product_categories VALUES('1326','DOMESTIC APPLIANCES','MOEL','308-IK - 143',null,null);
INSERT INTO product_categories VALUES('1327','DOMESTIC APPLIANCES','MOEL','307-IK - 143',null,null);
INSERT INTO product_categories VALUES('1328','DOMESTIC APPLIANCES','MOEL','309 - 143',null,null);
INSERT INTO product_categories VALUES('1329','DOMESTIC APPLIANCES','MOEL','309-MOEL - 687',null,null);
INSERT INTO product_categories VALUES('1330','DOMESTIC APPLIANCES','MOEL','300-N - 143',null,null);
INSERT INTO product_categories VALUES('1331','DOMESTIC APPLIANCES','PHILIPS','1215AC  - 1235',null,null);
INSERT INTO product_categories VALUES('1332','DOMESTIC APPLIANCES','PHILIPS','2887AC - 1235',null,null);
INSERT INTO product_categories VALUES('1333','DOMESTIC APPLIANCES','PHILIPS','0820AC - 1831',null,null);
INSERT INTO product_categories VALUES('1334','DOMESTIC APPLIANCES','SENCOR','38RS - 1121',null,null);
INSERT INTO product_categories VALUES('1335','DOMESTIC APPLIANCES','SENCOR','2700-SBS - 1570',null,null);
INSERT INTO product_categories VALUES('1336','DOMESTIC APPLIANCES','SENCOR','37GG - 1121',null,null);
INSERT INTO product_categories VALUES('1337','DOMESTIC APPLIANCES','SENCOR','33OR - 1364',null,null);
INSERT INTO product_categories VALUES('1338','DOMESTIC APPLIANCES','SENCOR','31GR - 1364',null,null);
INSERT INTO product_categories VALUES('1339','DOMESTIC APPLIANCES','SENCOR','2507BL - 1570',null,null);
INSERT INTO product_categories VALUES('1340','DOMESTIC APPLIANCES','SENCOR','2507RD - 1570',null,null);
INSERT INTO product_categories VALUES('1341','DOMESTIC APPLIANCES','SENCOR','2507WH - 1570',null,null);
INSERT INTO product_categories VALUES('1342','DOMESTIC APPLIANCES','SENCOR','34RD-SHB - 1364',null,null);
INSERT INTO product_categories VALUES('1343','DOMESTIC APPLIANCES','SENCOR','38RS-SKS - 1570',null,null);
INSERT INTO product_categories VALUES('1344','DOMESTIC APPLIANCES','SENCOR','36YL - 1121',null,null);
INSERT INTO product_categories VALUES('1345','DOMESTIC APPLIANCES','SENCOR','35VT - 1121',null,null);
INSERT INTO product_categories VALUES('1346','DOMESTIC APPLIANCES','SENCOR','111 - 1570',null,null);
INSERT INTO product_categories VALUES('1347','DOMESTIC APPLIANCES','SENCOR','113SL-SBS - 1570',null,null);
INSERT INTO product_categories VALUES('1348','DOMESTIC APPLIANCES','SENCOR','1980RD - 1570',null,null);
INSERT INTO product_categories VALUES('1349','DOMESTIC APPLIANCES','SENCOR','8000BK-SBS - 1570',null,null);
INSERT INTO product_categories VALUES('1350','DOMESTIC APPLIANCES','SENCOR','1530SH - 1635',null,null);
INSERT INTO product_categories VALUES('1351','DOMESTIC APPLIANCES','SHARP','40KCG - 2107',null,null);
INSERT INTO product_categories VALUES('1352','DOMESTIC APPLIANCES','SIGNATURE','SIK-20B - 1870',null,null);
INSERT INTO product_categories VALUES('1353','DOMESTIC APPLIANCES','SIGNATURE','SIK-4WD - 1870',null,null);
INSERT INTO product_categories VALUES('1354','DOMESTIC APPLIANCES','SIGNATURE','SIK-7CN - 1870',null,null);
INSERT INTO product_categories VALUES('1355','DOMESTIC APPLIANCES','SIGNATURE','SIK-GA80 - 1870',null,null);
INSERT INTO product_categories VALUES('1356','DOMESTIC APPLIANCES','SIGNATURE','SIK-GC16 - 1870',null,null);
INSERT INTO product_categories VALUES('1357','DOMESTIC APPLIANCES','SIGNATURE','SIK-GC30 - 1870',null,null);
INSERT INTO product_categories VALUES('1358','DOMESTIC APPLIANCES','SIGNATURE','SIK-GC40 - 1870',null,null);
INSERT INTO product_categories VALUES('1359','DOMESTIC APPLIANCES','SIGNATURE','SIK-GH10 - 1870',null,null);
INSERT INTO product_categories VALUES('1360','DOMESTIC APPLIANCES','SIGNATURE','SIK-GH15 - 1870',null,null);
INSERT INTO product_categories VALUES('1361','DOMESTIC APPLIANCES','SIGNATURE','WD14-A3 - 1799',null,null);
INSERT INTO product_categories VALUES('1362','DOMESTIC APPLIANCES','SIGNATURE','BCMC-1502 - 1798',null,null);
INSERT INTO product_categories VALUES('1363','DOMESTIC APPLIANCES','WESTPOINT','9709WF - 797',null,null);
INSERT INTO product_categories VALUES('1364','DOMESTIC APPLIANCES','WESTPOINT','7007WF - 1488',null,null);
INSERT INTO product_categories VALUES('1365','DOMESTIC APPLIANCES','WESTPOINT','7008WF - 1488',null,null);
INSERT INTO product_categories VALUES('1366','DOMESTIC APPLIANCES','WESTPOINT','9808WF - 797',null,null);
INSERT INTO product_categories VALUES('1367','DOMESTIC APPLIANCES','WESTPOINT','9809WF - 797',null,null);
INSERT INTO product_categories VALUES('1368','DOMESTIC APPLIANCES','AARDEE','7615ARDI - 995',null,null);
INSERT INTO product_categories VALUES('1369','DOMESTIC APPLIANCES','AARDEE','831 - 995',null,null);
INSERT INTO product_categories VALUES('1370','DOMESTIC APPLIANCES','AARDEE','240ARDI - 995',null,null);
INSERT INTO product_categories VALUES('1371','DOMESTIC APPLIANCES','AARDEE','380 - 995',null,null);
INSERT INTO product_categories VALUES('1372','DOMESTIC APPLIANCES','AARDEE','1816 - 1567',null,null);
INSERT INTO product_categories VALUES('1373','DOMESTIC APPLIANCES','AARDEE','1816-ARGMS - 1567',null,null);
INSERT INTO product_categories VALUES('1374','DOMESTIC APPLIANCES','AARDEE','85XY-ARSI - 995',null,null);
INSERT INTO product_categories VALUES('1375','DOMESTIC APPLIANCES','AARDEE','83XY-ARSI - 995',null,null);
INSERT INTO product_categories VALUES('1376','DOMESTIC APPLIANCES','ALPINA','2317-SF - 995',null,null);
INSERT INTO product_categories VALUES('1377','DOMESTIC APPLIANCES','ALPINA','1304-SF - 995',null,null);
INSERT INTO product_categories VALUES('1378','DOMESTIC APPLIANCES','ALPINA','1306-SF - 995',null,null);
INSERT INTO product_categories VALUES('1379','DOMESTIC APPLIANCES','ALPINA','1307-SF - 995',null,null);
INSERT INTO product_categories VALUES('1380','DOMESTIC APPLIANCES','ALPINA','3924-SF - 995',null,null);
INSERT INTO product_categories VALUES('1381','DOMESTIC APPLIANCES','ARIETE','6214 - 995',null,null);
INSERT INTO product_categories VALUES('1382','DOMESTIC APPLIANCES','ARIETE','6215 - 995',null,null);
INSERT INTO product_categories VALUES('1383','DOMESTIC APPLIANCES','ARIETE','6216 - 995',null,null);
INSERT INTO product_categories VALUES('1384','DOMESTIC APPLIANCES','ARIETE','6236 - 995',null,null);
INSERT INTO product_categories VALUES('1385','DOMESTIC APPLIANCES','BLACK&DECKER','550F - 995',null,null);
INSERT INTO product_categories VALUES('1386','DOMESTIC APPLIANCES','BLACK&DECKER','500F - 417',null,null);
INSERT INTO product_categories VALUES('1387','DOMESTIC APPLIANCES','BLACK&DECKER','1500HST - 1635',null,null);
INSERT INTO product_categories VALUES('1388','DOMESTIC APPLIANCES','BLACK&DECKER','2050GST - 1567',null,null);
INSERT INTO product_categories VALUES('1389','DOMESTIC APPLIANCES','BLACK&DECKER','2050GSTM - 1567',null,null);
INSERT INTO product_categories VALUES('1390','DOMESTIC APPLIANCES','BLACK&DECKER','2000GST - 1567',null,null);
INSERT INTO product_categories VALUES('1391','DOMESTIC APPLIANCES','BLACK&DECKER','1200HST  - 1567',null,null);
INSERT INTO product_categories VALUES('1392','DOMESTIC APPLIANCES','BLACK&DECKER','2000PR-GST - 1567',null,null);
INSERT INTO product_categories VALUES('1393','DOMESTIC APPLIANCES','BLACK&DECKER','2000X - 995',null,null);
INSERT INTO product_categories VALUES('1394','DOMESTIC APPLIANCES','BLACK&DECKER','1550X - 995',null,null);
INSERT INTO product_categories VALUES('1395','DOMESTIC APPLIANCES','BLACK&DECKER','750X - 995',null,null);
INSERT INTO product_categories VALUES('1396','DOMESTIC APPLIANCES','BLACK&DECKER','1600X - 995',null,null);
INSERT INTO product_categories VALUES('1397','DOMESTIC APPLIANCES','BLACK&DECKER','250TI - 995',null,null);
INSERT INTO product_categories VALUES('1398','DOMESTIC APPLIANCES','BLACK&DECKER','605X - 417',null,null);
INSERT INTO product_categories VALUES('1399','DOMESTIC APPLIANCES','BLACK&DECKER','2210X - 995',null,null);
INSERT INTO product_categories VALUES('1400','DOMESTIC APPLIANCES','BLACK&DECKER','2150X - 995',null,null);
INSERT INTO product_categories VALUES('1401','DOMESTIC APPLIANCES','BRAUN','3055SI - 995',null,null);
INSERT INTO product_categories VALUES('1402','DOMESTIC APPLIANCES','BRAUN','725TS - 995',null,null);
INSERT INTO product_categories VALUES('1403','DOMESTIC APPLIANCES','BRAUN','505TS - 995',null,null);
INSERT INTO product_categories VALUES('1404','DOMESTIC APPLIANCES','BRAUN','355ATS - 995',null,null);
INSERT INTO product_categories VALUES('1405','DOMESTIC APPLIANCES','BRAUN','3041SI - 995',null,null);
INSERT INTO product_categories VALUES('1406','DOMESTIC APPLIANCES','BRAUN','9188SI - 995',null,null);
INSERT INTO product_categories VALUES('1407','DOMESTIC APPLIANCES','BRAUN','345TS - 995',null,null);
INSERT INTO product_categories VALUES('1408','DOMESTIC APPLIANCES','BRAUN','775TS - 995',null,null);
INSERT INTO product_categories VALUES('1409','DOMESTIC APPLIANCES','BRAUN','735TS - 995',null,null);
INSERT INTO product_categories VALUES('1410','DOMESTIC APPLIANCES','BRAUN','7042SI - 1567',null,null);
INSERT INTO product_categories VALUES('1411','DOMESTIC APPLIANCES','BRAUN','545TS  - 995',null,null);
INSERT INTO product_categories VALUES('1412','DOMESTIC APPLIANCES','BRAUN','340TS - 995',null,null);
INSERT INTO product_categories VALUES('1413','DOMESTIC APPLIANCES','BRAUN','340CTS - 995',null,null);
INSERT INTO product_categories VALUES('1414','DOMESTIC APPLIANCES','ECOSTAR','110DI-BL - 995',null,null);
INSERT INTO product_categories VALUES('1415','DOMESTIC APPLIANCES','ESQUIRE','8000-HIE - 1567',null,null);
INSERT INTO product_categories VALUES('1416','DOMESTIC APPLIANCES','KENWOOD','405ST - 995',null,null);
INSERT INTO product_categories VALUES('1417','DOMESTIC APPLIANCES','KENWOOD','401ST - 995',null,null);
INSERT INTO product_categories VALUES('1418','DOMESTIC APPLIANCES','KENWOOD','192DI - 995',null,null);
INSERT INTO product_categories VALUES('1419','DOMESTIC APPLIANCES','KENWOOD','182DI - 467',null,null);
INSERT INTO product_categories VALUES('1420','DOMESTIC APPLIANCES','KENWOOD','210-DIP - 995',null,null);
INSERT INTO product_categories VALUES('1421','DOMESTIC APPLIANCES','KENWOOD','200-DIP - 995',null,null);
INSERT INTO product_categories VALUES('1422','DOMESTIC APPLIANCES','KENWOOD','200-ISP - 995',null,null);
INSERT INTO product_categories VALUES('1423','DOMESTIC APPLIANCES','KENWOOD','200DIP-KW - 995',null,null);
INSERT INTO product_categories VALUES('1424','DOMESTIC APPLIANCES','KENWOOD','200ISP-KW - 995',null,null);
INSERT INTO product_categories VALUES('1425','DOMESTIC APPLIANCES','KENWOOD','542ST - 467',null,null);
INSERT INTO product_categories VALUES('1426','DOMESTIC APPLIANCES','KENWOOD','201ISP - 995',null,null);
INSERT INTO product_categories VALUES('1427','DOMESTIC APPLIANCES','KENWOOD','201-ISP - 995',null,null);
INSERT INTO product_categories VALUES('1428','DOMESTIC APPLIANCES','MOULINEX','1210IM - 995',null,null);
INSERT INTO product_categories VALUES('1429','DOMESTIC APPLIANCES','MOULINEX','141CHF - 731',null,null);
INSERT INTO product_categories VALUES('1430','DOMESTIC APPLIANCES','MOULINEX','1110IM - 731',null,null);
INSERT INTO product_categories VALUES('1431','DOMESTIC APPLIANCES','PANASONIC','100TE - 995',null,null);
INSERT INTO product_categories VALUES('1432','DOMESTIC APPLIANCES','PANASONIC','22AWT - 251',null,null);
INSERT INTO product_categories VALUES('1433','DOMESTIC APPLIANCES','PANASONIC','22AWTXJ - 251',null,null);
INSERT INTO product_categories VALUES('1434','DOMESTIC APPLIANCES','PANASONIC','25AWT - 1660',null,null);
INSERT INTO product_categories VALUES('1435','DOMESTIC APPLIANCES','PANASONIC','317T-NI - 251',null,null);
INSERT INTO product_categories VALUES('1436','DOMESTIC APPLIANCES','PANASONIC','100DX - 251',null,null);
INSERT INTO product_categories VALUES('1437','DOMESTIC APPLIANCES','PANASONIC','670JW-C - 995',null,null);
INSERT INTO product_categories VALUES('1438','DOMESTIC APPLIANCES','PANASONIC','900FS - 995',null,null);
INSERT INTO product_categories VALUES('1439','DOMESTIC APPLIANCES','PANASONIC','071PTH-GSD - 1567',null,null);
INSERT INTO product_categories VALUES('1440','DOMESTIC APPLIANCES','PANASONIC','100N-V-NI - 251',null,null);
INSERT INTO product_categories VALUES('1441','DOMESTIC APPLIANCES','PANASONIC','100S - 251',null,null);
INSERT INTO product_categories VALUES('1442','DOMESTIC APPLIANCES','PANASONIC','300NI - 995',null,null);
INSERT INTO product_categories VALUES('1443','DOMESTIC APPLIANCES','PANASONIC','410T - 995',null,null);
INSERT INTO product_categories VALUES('1444','DOMESTIC APPLIANCES','PANASONIC','300T-NI - 995',null,null);
INSERT INTO product_categories VALUES('1445','DOMESTIC APPLIANCES','PANASONIC','300TS - 251',null,null);
INSERT INTO product_categories VALUES('1446','DOMESTIC APPLIANCES','PANASONIC','670JW - 251',null,null);
INSERT INTO product_categories VALUES('1447','DOMESTIC APPLIANCES','PANASONIC','250NIP - 995',null,null);
INSERT INTO product_categories VALUES('1448','DOMESTIC APPLIANCES','PANASONIC','510T-NI - 995',null,null);
INSERT INTO product_categories VALUES('1449','DOMESTIC APPLIANCES','PANASONIC','200S - 251',null,null);
INSERT INTO product_categories VALUES('1450','DOMESTIC APPLIANCES','PANASONIC','660JW - 251',null,null);
INSERT INTO product_categories VALUES('1451','DOMESTIC APPLIANCES','PANASONIC','650JE - 995',null,null);
INSERT INTO product_categories VALUES('1452','DOMESTIC APPLIANCES','PANASONIC','650JW - 251',null,null);
INSERT INTO product_categories VALUES('1453','DOMESTIC APPLIANCES','PANASONIC','650JW - 995',null,null);
INSERT INTO product_categories VALUES('1454','DOMESTIC APPLIANCES','PHILIPS','185-GC - 995',null,null);
INSERT INTO product_categories VALUES('1455','DOMESTIC APPLIANCES','PHILIPS','558GC - 995',null,null);
INSERT INTO product_categories VALUES('1456','DOMESTIC APPLIANCES','PHILIPS','1420GC - 995',null,null);
INSERT INTO product_categories VALUES('1457','DOMESTIC APPLIANCES','PHILIPS','148GC - 995',null,null);
INSERT INTO product_categories VALUES('1458','DOMESTIC APPLIANCES','PHILIPS','1174-HD - 995',null,null);
INSERT INTO product_categories VALUES('1459','DOMESTIC APPLIANCES','PHILIPS','1172 - 260',null,null);
INSERT INTO product_categories VALUES('1460','DOMESTIC APPLIANCES','PHILIPS','122GC - 995',null,null);
INSERT INTO product_categories VALUES('1461','DOMESTIC APPLIANCES','PHILIPS','1301-HD - 995',null,null);
INSERT INTO product_categories VALUES('1462','DOMESTIC APPLIANCES','PHILIPS','135 - 260',null,null);
INSERT INTO product_categories VALUES('1463','DOMESTIC APPLIANCES','PHILIPS','502GC - 995',null,null);
INSERT INTO product_categories VALUES('1464','DOMESTIC APPLIANCES','PHILIPS','534GC - 995',null,null);
INSERT INTO product_categories VALUES('1465','DOMESTIC APPLIANCES','PHILIPS','524GC-C - 1567',null,null);
INSERT INTO product_categories VALUES('1466','DOMESTIC APPLIANCES','PHILIPS','510GC - 995',null,null);
INSERT INTO product_categories VALUES('1467','DOMESTIC APPLIANCES','PHILIPS','518-GC - 1567',null,null);
INSERT INTO product_categories VALUES('1468','DOMESTIC APPLIANCES','PHILIPS','518GC-C - 1567',null,null);
INSERT INTO product_categories VALUES('1469','DOMESTIC APPLIANCES','PHILIPS','524-GC - 1567',null,null);
INSERT INTO product_categories VALUES('1470','DOMESTIC APPLIANCES','PHILIPS','320GC - 995',null,null);
INSERT INTO product_categories VALUES('1471','DOMESTIC APPLIANCES','PHILIPS','514GC - 1567',null,null);
INSERT INTO product_categories VALUES('1472','DOMESTIC APPLIANCES','PHILIPS','514GC-C - 1567',null,null);
INSERT INTO product_categories VALUES('1473','DOMESTIC APPLIANCES','PHILIPS','520GC - 995',null,null);
INSERT INTO product_categories VALUES('1474','DOMESTIC APPLIANCES','PHILIPS','1480GC - 995',null,null);
INSERT INTO product_categories VALUES('1475','DOMESTIC APPLIANCES','PHILIPS','3929-GC - 995',null,null);
INSERT INTO product_categories VALUES('1476','DOMESTIC APPLIANCES','PHILIPS','3920-GC - 995',null,null);
INSERT INTO product_categories VALUES('1477','DOMESTIC APPLIANCES','PHILIPS','2145-GC - 995',null,null);
INSERT INTO product_categories VALUES('1478','DOMESTIC APPLIANCES','PHILIPS','1703 - 260',null,null);
INSERT INTO product_categories VALUES('1479','DOMESTIC APPLIANCES','PHILIPS','2990-GC - 995',null,null);
INSERT INTO product_categories VALUES('1480','DOMESTIC APPLIANCES','PHILIPS','2998-GC - 995',null,null);
INSERT INTO product_categories VALUES('1481','DOMESTIC APPLIANCES','PHILIPS','2720GC - 995',null,null);
INSERT INTO product_categories VALUES('1482','DOMESTIC APPLIANCES','PHILIPS','160GC - 995',null,null);
INSERT INTO product_categories VALUES('1483','DOMESTIC APPLIANCES','PHILIPS','1720 - 260',null,null);
INSERT INTO product_categories VALUES('1484','DOMESTIC APPLIANCES','PHILIPS','1910GC - 995',null,null);
INSERT INTO product_categories VALUES('1485','DOMESTIC APPLIANCES','PHILIPS','1903GC - 995',null,null);
INSERT INTO product_categories VALUES('1486','DOMESTIC APPLIANCES','PHILIPS','150GC - 995',null,null);
INSERT INTO product_categories VALUES('1487','DOMESTIC APPLIANCES','PHILIPS','7053-GC - 1635',null,null);
INSERT INTO product_categories VALUES('1488','DOMESTIC APPLIANCES','PHILIPS','1423GC - 995',null,null);
INSERT INTO product_categories VALUES('1489','DOMESTIC APPLIANCES','PHILIPS','1426GC - 995',null,null);
INSERT INTO product_categories VALUES('1490','DOMESTIC APPLIANCES','PHILIPS','1430-GC - 995',null,null);
INSERT INTO product_categories VALUES('1491','DOMESTIC APPLIANCES','PHILIPS','1433-GC - 995',null,null);
INSERT INTO product_categories VALUES('1492','DOMESTIC APPLIANCES','PHILIPS','1490GC - 995',null,null);
INSERT INTO product_categories VALUES('1493','DOMESTIC APPLIANCES','PHILIPS','2930GC - 995',null,null);
INSERT INTO product_categories VALUES('1494','DOMESTIC APPLIANCES','PHILIPS','2910GC - 995',null,null);
INSERT INTO product_categories VALUES('1495','DOMESTIC APPLIANCES','PHILIPS','1990GC - 995',null,null);
INSERT INTO product_categories VALUES('1496','DOMESTIC APPLIANCES','ROWENTA','1400DZ - 734',null,null);
INSERT INTO product_categories VALUES('1497','DOMESTIC APPLIANCES','ROWENTA','1200DX - 734',null,null);
INSERT INTO product_categories VALUES('1498','DOMESTIC APPLIANCES','ROWENTA','8120DW - 995',null,null);
INSERT INTO product_categories VALUES('1499','DOMESTIC APPLIANCES','ROWENTA','6010DW - 995',null,null);
INSERT INTO product_categories VALUES('1500','DOMESTIC APPLIANCES','ROWENTA','1510DA - 995',null,null);
INSERT INTO product_categories VALUES('1501','DOMESTIC APPLIANCES','ROWENTA','1300DX - 734',null,null);
INSERT INTO product_categories VALUES('1502','DOMESTIC APPLIANCES','ROWENTA','9230DW - 995',null,null);
INSERT INTO product_categories VALUES('1503','DOMESTIC APPLIANCES','ROWENTA','8010DW - 995',null,null);
INSERT INTO product_categories VALUES('1504','DOMESTIC APPLIANCES','ROWENTA','1100DX - 734',null,null);
INSERT INTO product_categories VALUES('1505','DOMESTIC APPLIANCES','SENCOR','250WH-SSI - 995',null,null);
INSERT INTO product_categories VALUES('1506','DOMESTIC APPLIANCES','SENCOR','7410VT - 995',null,null);
INSERT INTO product_categories VALUES('1507','DOMESTIC APPLIANCES','SENCOR','5420RD-SSI - 995',null,null);
INSERT INTO product_categories VALUES('1508','DOMESTIC APPLIANCES','SENCOR','5421TQ-SSI - 995',null,null);
INSERT INTO product_categories VALUES('1509','DOMESTIC APPLIANCES','SENCOR','7710BL-SSI - 995',null,null);
INSERT INTO product_categories VALUES('1510','DOMESTIC APPLIANCES','SENCOR','8440GR - 995',null,null);
INSERT INTO product_categories VALUES('1511','DOMESTIC APPLIANCES','SENCOR','8441VT - 995',null,null);
INSERT INTO product_categories VALUES('1512','DOMESTIC APPLIANCES','SENCOR','2027BL - 995',null,null);
INSERT INTO product_categories VALUES('1513','DOMESTIC APPLIANCES','SENCOR','2028YL - 995',null,null);
INSERT INTO product_categories VALUES('1514','DOMESTIC APPLIANCES','SIEMENS','66650TB - 995',null,null);
INSERT INTO product_categories VALUES('1515','DOMESTIC APPLIANCES','SYMPHONY (D)','5088B-SP - 501',null,null);
INSERT INTO product_categories VALUES('1516','DOMESTIC APPLIANCES','TAURUS','SAHARA - 995',null,null);
INSERT INTO product_categories VALUES('1517','DOMESTIC APPLIANCES','TEFAL','4030EO - 995',null,null);
INSERT INTO product_categories VALUES('1518','DOMESTIC APPLIANCES','TEFAL','4030FS  - 995',null,null);
INSERT INTO product_categories VALUES('1519','DOMESTIC APPLIANCES','TEFAL','2525FS - 995',null,null);
INSERT INTO product_categories VALUES('1520','DOMESTIC APPLIANCES','TEFAL','1540FS - 720',null,null);
INSERT INTO product_categories VALUES('1521','DOMESTIC APPLIANCES','TEFAL','2920FS - 995',null,null);
INSERT INTO product_categories VALUES('1522','DOMESTIC APPLIANCES','TEFAL','2810FS - 1464',null,null);
INSERT INTO product_categories VALUES('1523','DOMESTIC APPLIANCES','TEFAL','1435IS - 995',null,null);
INSERT INTO product_categories VALUES('1524','DOMESTIC APPLIANCES','TEFAL','2530FV - 995',null,null);
INSERT INTO product_categories VALUES('1525','DOMESTIC APPLIANCES','TEFAL','3910FV - 995',null,null);
INSERT INTO product_categories VALUES('1526','DOMESTIC APPLIANCES','TEFAL','3740  - 995',null,null);
INSERT INTO product_categories VALUES('1527','DOMESTIC APPLIANCES','TEFAL','4780FV - 995',null,null);
INSERT INTO product_categories VALUES('1528','DOMESTIC APPLIANCES','TEFAL','5350FV - 995',null,null);
INSERT INTO product_categories VALUES('1529','DOMESTIC APPLIANCES','TEFAL','5330FV - 995',null,null);
INSERT INTO product_categories VALUES('1530','DOMESTIC APPLIANCES','TEFAL','9530FV - 995',null,null);
INSERT INTO product_categories VALUES('1531','DOMESTIC APPLIANCES','TEFAL','9540FV - 995',null,null);
INSERT INTO product_categories VALUES('1532','DOMESTIC APPLIANCES','TEFAL','5375FV - 995',null,null);
INSERT INTO product_categories VALUES('1533','DOMESTIC APPLIANCES','TEFAL','9660FV - 995',null,null);
INSERT INTO product_categories VALUES('1534','DOMESTIC APPLIANCES','TEFAL','3810FV - 995',null,null);
INSERT INTO product_categories VALUES('1535','DOMESTIC APPLIANCES','TEFAL','3845FV - 995',null,null);
INSERT INTO product_categories VALUES('1536','DOMESTIC APPLIANCES','TEFAL','1320FV - 995',null,null);
INSERT INTO product_categories VALUES('1537','DOMESTIC APPLIANCES','TEFAL','1310FV - 995',null,null);
INSERT INTO product_categories VALUES('1538','DOMESTIC APPLIANCES','TEFAL','9650FV - 995',null,null);
INSERT INTO product_categories VALUES('1539','DOMESTIC APPLIANCES','TEFAL','3925FV - 995',null,null);
INSERT INTO product_categories VALUES('1540','DOMESTIC APPLIANCES','TEFAL','3772FV - 995',null,null);
INSERT INTO product_categories VALUES('1541','DOMESTIC APPLIANCES','TEFAL','6200IS - 1464',null,null);
INSERT INTO product_categories VALUES('1542','DOMESTIC APPLIANCES','WESTPOINT','2030WF - 995',null,null);
INSERT INTO product_categories VALUES('1543','DOMESTIC APPLIANCES','WESTPOINT','81B - 995',null,null);
INSERT INTO product_categories VALUES('1544','DOMESTIC APPLIANCES','WESTPOINT','90B-WF - 995',null,null);
INSERT INTO product_categories VALUES('1545','DOMESTIC APPLIANCES','WESTPOINT','282WF - 995',null,null);
INSERT INTO product_categories VALUES('1546','DOMESTIC APPLIANCES','WESTPOINT','283AWF  - 995',null,null);
INSERT INTO product_categories VALUES('1547','DOMESTIC APPLIANCES','WESTPOINT','283AWF - 995',null,null);
INSERT INTO product_categories VALUES('1548','DOMESTIC APPLIANCES','WESTPOINT','635AWF - 995',null,null);
INSERT INTO product_categories VALUES('1549','DOMESTIC APPLIANCES','WESTPOINT','1155WF - 995',null,null);
INSERT INTO product_categories VALUES('1550','DOMESTIC APPLIANCES','WESTPOINT','197WF - 995',null,null);
INSERT INTO product_categories VALUES('1551','DOMESTIC APPLIANCES','WESTPOINT','2021WF - 995',null,null);
INSERT INTO product_categories VALUES('1552','DOMESTIC APPLIANCES','WESTPOINT','672WF - 995',null,null);
INSERT INTO product_categories VALUES('1553','DOMESTIC APPLIANCES','WESTPOINT','98B-WF - 995',null,null);
INSERT INTO product_categories VALUES('1554','DOMESTIC APPLIANCES','WESTPOINT','84B - 995',null,null);
INSERT INTO product_categories VALUES('1555','DOMESTIC APPLIANCES','WESTPOINT','86BWF - 995',null,null);
INSERT INTO product_categories VALUES('1556','DOMESTIC APPLIANCES','WESTPOINT','78B - 995',null,null);
INSERT INTO product_categories VALUES('1557','DOMESTIC APPLIANCES','WESTPOINT','80B - 995',null,null);
INSERT INTO product_categories VALUES('1558','DOMESTIC APPLIANCES','WESTPOINT','2430WF - 995',null,null);
INSERT INTO product_categories VALUES('1559','DOMESTIC APPLIANCES','WESTPOINT','2432WF - 995',null,null);
INSERT INTO product_categories VALUES('1560','DOMESTIC APPLIANCES','WESTPOINT','1153WF - 1635',null,null);
INSERT INTO product_categories VALUES('1561','DOMESTIC APPLIANCES','WESTPOINT','1154WF - 1567',null,null);
INSERT INTO product_categories VALUES('1562','DOMESTIC APPLIANCES','WESTPOINT','2020 - 995',null,null);
INSERT INTO product_categories VALUES('1563','DOMESTIC APPLIANCES','WESTPOINT','631A - 995',null,null);
INSERT INTO product_categories VALUES('1564','DOMESTIC APPLIANCES','WESTPOINT','2019WF - 796',null,null);
INSERT INTO product_categories VALUES('1565','DOMESTIC APPLIANCES','WESTPOINT','2063WF - 995',null,null);
INSERT INTO product_categories VALUES('1566','DOMESTIC APPLIANCES','AARDEE','3214D-ARAF - 1018',null,null);
INSERT INTO product_categories VALUES('1567','DOMESTIC APPLIANCES','AARDEE','65RC - 1779',null,null);
INSERT INTO product_categories VALUES('1568','DOMESTIC APPLIANCES','AARDEE','45RC - 1527',null,null);
INSERT INTO product_categories VALUES('1569','DOMESTIC APPLIANCES','AARDEE','30RC - 1527',null,null);
INSERT INTO product_categories VALUES('1570','DOMESTIC APPLIANCES','AARDEE','6557GGIT - 997',null,null);
INSERT INTO product_categories VALUES('1571','DOMESTIC APPLIANCES','AARDEE','6557GWT-ARFB - 997',null,null);
INSERT INTO product_categories VALUES('1572','DOMESTIC APPLIANCES','AARDEE','1009G-ARFB - 997',null,null);
INSERT INTO product_categories VALUES('1573','DOMESTIC APPLIANCES','AARDEE','3500UP-ARFB - 997',null,null);
INSERT INTO product_categories VALUES('1574','DOMESTIC APPLIANCES','AARDEE','1400G - 997',null,null);
INSERT INTO product_categories VALUES('1575','DOMESTIC APPLIANCES','AARDEE','1288G - 997',null,null);
INSERT INTO product_categories VALUES('1576','DOMESTIC APPLIANCES','AARDEE','1100G-ARFB - 997',null,null);
INSERT INTO product_categories VALUES('1577','DOMESTIC APPLIANCES','AARDEE','1000G - 997',null,null);
INSERT INTO product_categories VALUES('1578','DOMESTIC APPLIANCES','AARDEE','3001 - 1022',null,null);
INSERT INTO product_categories VALUES('1579','DOMESTIC APPLIANCES','AARDEE','8100 - 1022',null,null);
INSERT INTO product_categories VALUES('1580','DOMESTIC APPLIANCES','AARDEE','8100ARCH - 1022',null,null);
INSERT INTO product_categories VALUES('1581','DOMESTIC APPLIANCES','AARDEE','030 - 1496',null,null);
INSERT INTO product_categories VALUES('1582','DOMESTIC APPLIANCES','AARDEE','1200-ARCM - 1021',null,null);
INSERT INTO product_categories VALUES('1583','DOMESTIC APPLIANCES','AARDEE','1310D - 1783',null,null);
INSERT INTO product_categories VALUES('1584','DOMESTIC APPLIANCES','AARDEE','419SS - 1843',null,null);
INSERT INTO product_categories VALUES('1585','DOMESTIC APPLIANCES','AARDEE','419SS - 997',null,null);
INSERT INTO product_categories VALUES('1586','DOMESTIC APPLIANCES','AARDEE','316G - 1944',null,null);
INSERT INTO product_categories VALUES('1587','DOMESTIC APPLIANCES','AARDEE','421G-ARFPBG - 1843',null,null);
INSERT INTO product_categories VALUES('1588','DOMESTIC APPLIANCES','AARDEE','418-ARFPBG - 1843',null,null);
INSERT INTO product_categories VALUES('1589','DOMESTIC APPLIANCES','AARDEE','2002 - 1364',null,null);
INSERT INTO product_categories VALUES('1590','DOMESTIC APPLIANCES','AARDEE','250ARHM - 1174',null,null);
INSERT INTO product_categories VALUES('1591','DOMESTIC APPLIANCES','AARDEE','2000 - 1387',null,null);
INSERT INTO product_categories VALUES('1592','DOMESTIC APPLIANCES','AARDEE','2000-ARCC - 1387',null,null);
INSERT INTO product_categories VALUES('1593','DOMESTIC APPLIANCES','AARDEE','400ARJE - 1006',null,null);
INSERT INTO product_categories VALUES('1594','DOMESTIC APPLIANCES','AARDEE','801 - 1006',null,null);
INSERT INTO product_categories VALUES('1595','DOMESTIC APPLIANCES','AARDEE','2775-SSR - 1020',null,null);
INSERT INTO product_categories VALUES('1596','DOMESTIC APPLIANCES','AARDEE','2775SS-ARKT - 1020',null,null);
INSERT INTO product_categories VALUES('1597','DOMESTIC APPLIANCES','AARDEE','2500TM-ARKT - 1020',null,null);
INSERT INTO product_categories VALUES('1598','DOMESTIC APPLIANCES','AARDEE','2112C-ARKT - 1020',null,null);
INSERT INTO product_categories VALUES('1599','DOMESTIC APPLIANCES','AARDEE','1522S-ARKT - 1020',null,null);
INSERT INTO product_categories VALUES('1600','DOMESTIC APPLIANCES','AARDEE','1200-ARMG - 2107',null,null);
INSERT INTO product_categories VALUES('1601','DOMESTIC APPLIANCES','AARDEE','2600D-ARRC - 1024',null,null);
INSERT INTO product_categories VALUES('1602','DOMESTIC APPLIANCES','AARDEE','702S-ARSM - 1011',null,null);
INSERT INTO product_categories VALUES('1603','DOMESTIC APPLIANCES','AARDEE','706S-ARSM - 1011',null,null);
INSERT INTO product_categories VALUES('1604','DOMESTIC APPLIANCES','AARDEE','712S-ARSM - 1011',null,null);
INSERT INTO product_categories VALUES('1605','DOMESTIC APPLIANCES','AARDEE','751G - 1970',null,null);
INSERT INTO product_categories VALUES('1606','DOMESTIC APPLIANCES','AARDEE','7002-ARTO - 1121',null,null);
INSERT INTO product_categories VALUES('1607','DOMESTIC APPLIANCES','AARDEE','7004-ARTO - 1121',null,null);
INSERT INTO product_categories VALUES('1608','DOMESTIC APPLIANCES','ALPINA','6012-SF - 1128',null,null);
INSERT INTO product_categories VALUES('1609','DOMESTIC APPLIANCES','ALPINA','6013-SF - 1128',null,null);
INSERT INTO product_categories VALUES('1610','DOMESTIC APPLIANCES','ALPINA','1003-SF - 997',null,null);
INSERT INTO product_categories VALUES('1611','DOMESTIC APPLIANCES','ALPINA','1012-SF - 997',null,null);
INSERT INTO product_categories VALUES('1612','DOMESTIC APPLIANCES','ALPINA','1013-SF - 997',null,null);
INSERT INTO product_categories VALUES('1613','DOMESTIC APPLIANCES','ALPINA','1008-SF - 997',null,null);
INSERT INTO product_categories VALUES('1614','DOMESTIC APPLIANCES','ALPINA','3004-SF - 1006',null,null);
INSERT INTO product_categories VALUES('1615','DOMESTIC APPLIANCES','ALPINA','3002-SF - 1496',null,null);
INSERT INTO product_categories VALUES('1616','DOMESTIC APPLIANCES','ALPINA','2821SF - 1021',null,null);
INSERT INTO product_categories VALUES('1617','DOMESTIC APPLIANCES','ALPINA','2822SF - 1021',null,null);
INSERT INTO product_categories VALUES('1618','DOMESTIC APPLIANCES','ALPINA','2811-SF - 1367',null,null);
INSERT INTO product_categories VALUES('1619','DOMESTIC APPLIANCES','ALPINA','2812SF - 1021',null,null);
INSERT INTO product_categories VALUES('1620','DOMESTIC APPLIANCES','ALPINA','2813-SF - 1367',null,null);
INSERT INTO product_categories VALUES('1621','DOMESTIC APPLIANCES','ALPINA','2814SF - 1021',null,null);
INSERT INTO product_categories VALUES('1622','DOMESTIC APPLIANCES','ALPINA','2814SF - 1367',null,null);
INSERT INTO product_categories VALUES('1623','DOMESTIC APPLIANCES','ALPINA','2818-SF - 1367',null,null);
INSERT INTO product_categories VALUES('1624','DOMESTIC APPLIANCES','ALPINA','2809SF - 1207',null,null);
INSERT INTO product_categories VALUES('1625','DOMESTIC APPLIANCES','ALPINA','2800-SF - 1021',null,null);
INSERT INTO product_categories VALUES('1626','DOMESTIC APPLIANCES','ALPINA','4008SF - 1018',null,null);
INSERT INTO product_categories VALUES('1627','DOMESTIC APPLIANCES','ALPINA','4003SF - 1018',null,null);
INSERT INTO product_categories VALUES('1628','DOMESTIC APPLIANCES','ALPINA','4001-SF - 1018',null,null);
INSERT INTO product_categories VALUES('1629','DOMESTIC APPLIANCES','ALPINA','4009-SF - 2023',null,null);
INSERT INTO product_categories VALUES('1630','DOMESTIC APPLIANCES','ALPINA','4000-SF - 1001',null,null);
INSERT INTO product_categories VALUES('1631','DOMESTIC APPLIANCES','ALPINA','2804-SF - 1869',null,null);
INSERT INTO product_categories VALUES('1632','DOMESTIC APPLIANCES','ALPINA','4018-SF - 1001',null,null);
INSERT INTO product_categories VALUES('1633','DOMESTIC APPLIANCES','ALPINA','4019-SF - 1001',null,null);
INSERT INTO product_categories VALUES('1634','DOMESTIC APPLIANCES','ALPINA','4010SF  - 1843',null,null);
INSERT INTO product_categories VALUES('1635','DOMESTIC APPLIANCES','ALPINA','3913-SF - 1364',null,null);
INSERT INTO product_categories VALUES('1636','DOMESTIC APPLIANCES','ALPINA','1005-SF - 1364',null,null);
INSERT INTO product_categories VALUES('1637','DOMESTIC APPLIANCES','ALPINA','1018-SF - 1364',null,null);
INSERT INTO product_categories VALUES('1638','DOMESTIC APPLIANCES','ALPINA','1007-SF - 1364',null,null);
INSERT INTO product_categories VALUES('1639','DOMESTIC APPLIANCES','ALPINA','3909-SF - 1364',null,null);
INSERT INTO product_categories VALUES('1640','DOMESTIC APPLIANCES','ALPINA','1011-SF - 1788',null,null);
INSERT INTO product_categories VALUES('1641','DOMESTIC APPLIANCES','ALPINA','1010-SF - 1019',null,null);
INSERT INTO product_categories VALUES('1642','DOMESTIC APPLIANCES','ALPINA','6002-SF - 1387',null,null);
INSERT INTO product_categories VALUES('1643','DOMESTIC APPLIANCES','ALPINA','6004-SF - 1387',null,null);
INSERT INTO product_categories VALUES('1644','DOMESTIC APPLIANCES','ALPINA','6005-SF - 1387',null,null);
INSERT INTO product_categories VALUES('1645','DOMESTIC APPLIANCES','ALPINA','3010-SF - 1509',null,null);
INSERT INTO product_categories VALUES('1646','DOMESTIC APPLIANCES','ALPINA','3003-SF - 1006',null,null);
INSERT INTO product_categories VALUES('1647','DOMESTIC APPLIANCES','ALPINA','3008-SF - 1006',null,null);
INSERT INTO product_categories VALUES('1648','DOMESTIC APPLIANCES','ALPINA','3000-SF - 1006',null,null);
INSERT INTO product_categories VALUES('1649','DOMESTIC APPLIANCES','ALPINA','3001S - 997',null,null);
INSERT INTO product_categories VALUES('1650','DOMESTIC APPLIANCES','ALPINA','821-SF - 1020',null,null);
INSERT INTO product_categories VALUES('1651','DOMESTIC APPLIANCES','ALPINA','806-SF - 1020',null,null);
INSERT INTO product_categories VALUES('1652','DOMESTIC APPLIANCES','ALPINA','2228SF - 1021',null,null);
INSERT INTO product_categories VALUES('1653','DOMESTIC APPLIANCES','ALPINA','809-SF - 1020',null,null);
INSERT INTO product_categories VALUES('1654','DOMESTIC APPLIANCES','ALPINA','2101-SF - 1020',null,null);
INSERT INTO product_categories VALUES('1655','DOMESTIC APPLIANCES','ALPINA','4017-SF - 1008',null,null);
INSERT INTO product_categories VALUES('1656','DOMESTIC APPLIANCES','ALPINA','2609SF - 2000',null,null);
INSERT INTO product_categories VALUES('1657','DOMESTIC APPLIANCES','ALPINA','6021-SF - 2030',null,null);
INSERT INTO product_categories VALUES('1658','DOMESTIC APPLIANCES','ALPINA','2500-SF - 1011',null,null);
INSERT INTO product_categories VALUES('1659','DOMESTIC APPLIANCES','ALPINA','2608-SF - 1528',null,null);
INSERT INTO product_categories VALUES('1660','DOMESTIC APPLIANCES','ALPINA','1901-SF - 1024',null,null);
INSERT INTO product_categories VALUES('1661','DOMESTIC APPLIANCES','ALPINA','3910-SF - 1011',null,null);
INSERT INTO product_categories VALUES('1662','DOMESTIC APPLIANCES','ALPINA','3918-SF - 1011',null,null);
INSERT INTO product_categories VALUES('1663','DOMESTIC APPLIANCES','ALPINA','2611-SF - 1777',null,null);
INSERT INTO product_categories VALUES('1664','DOMESTIC APPLIANCES','ALPINA','2617-SF - 1011',null,null);
INSERT INTO product_categories VALUES('1665','DOMESTIC APPLIANCES','ALPINA','6022SF - 1011',null,null);
INSERT INTO product_categories VALUES('1666','DOMESTIC APPLIANCES','ALPINA','2502-SF - 1011',null,null);
INSERT INTO product_categories VALUES('1667','DOMESTIC APPLIANCES','ALPINA','2503-SF - 1011',null,null);
INSERT INTO product_categories VALUES('1668','DOMESTIC APPLIANCES','ALPINA','3009-SF - 2034',null,null);
INSERT INTO product_categories VALUES('1669','DOMESTIC APPLIANCES','ALPINA','25006-SF - 1121',null,null);
INSERT INTO product_categories VALUES('1670','DOMESTIC APPLIANCES','ALPINA','2501-SF - 1121',null,null);
INSERT INTO product_categories VALUES('1671','DOMESTIC APPLIANCES','ALPINA','2507-SF - 1121',null,null);
INSERT INTO product_categories VALUES('1672','DOMESTIC APPLIANCES','ALPINA','2506-SF - 1121',null,null);
INSERT INTO product_categories VALUES('1673','DOMESTIC APPLIANCES','ALPINA','2510SF - 1777',null,null);
INSERT INTO product_categories VALUES('1674','DOMESTIC APPLIANCES','ALPINA','1512H-TC- - 1834',null,null);
INSERT INTO product_categories VALUES('1675','DOMESTIC APPLIANCES','ALPINA','2810SF - 1207',null,null);
INSERT INTO product_categories VALUES('1676','DOMESTIC APPLIANCES','BLACK&DECKER','300AF - 1783',null,null);
INSERT INTO product_categories VALUES('1677','DOMESTIC APPLIANCES','BLACK&DECKER','500AF - 1783',null,null);
INSERT INTO product_categories VALUES('1678','DOMESTIC APPLIANCES','BLACK&DECKER','1000TRO - 1527',null,null);
INSERT INTO product_categories VALUES('1679','DOMESTIC APPLIANCES','BLACK&DECKER','20BK - 533',null,null);
INSERT INTO product_categories VALUES('1680','DOMESTIC APPLIANCES','BLACK&DECKER','66TRO - 1846',null,null);
INSERT INTO product_categories VALUES('1681','DOMESTIC APPLIANCES','BLACK&DECKER','55TRO - 1124',null,null);
INSERT INTO product_categories VALUES('1682','DOMESTIC APPLIANCES','BLACK&DECKER','55TRO - 1527',null,null);
INSERT INTO product_categories VALUES('1683','DOMESTIC APPLIANCES','BLACK&DECKER','55B5 - 1121',null,null);
INSERT INTO product_categories VALUES('1684','DOMESTIC APPLIANCES','BLACK&DECKER','OR13 - 76',null,null);
INSERT INTO product_categories VALUES('1685','DOMESTIC APPLIANCES','BLACK&DECKER','50TRO  - 1743',null,null);
INSERT INTO product_categories VALUES('1686','DOMESTIC APPLIANCES','BLACK&DECKER','2000TRO - 1527',null,null);
INSERT INTO product_categories VALUES('1687','DOMESTIC APPLIANCES','BLACK&DECKER','3000HM - 1896',null,null);
INSERT INTO product_categories VALUES('1688','DOMESTIC APPLIANCES','BLACK&DECKER','60TRO - 1527',null,null);
INSERT INTO product_categories VALUES('1689','DOMESTIC APPLIANCES','BLACK&DECKER','600GBX - 997',null,null);
INSERT INTO product_categories VALUES('1690','DOMESTIC APPLIANCES','BLACK&DECKER','580BX - 997',null,null);
INSERT INTO product_categories VALUES('1691','DOMESTIC APPLIANCES','BLACK&DECKER','275BX - 997',null,null);
INSERT INTO product_categories VALUES('1692','DOMESTIC APPLIANCES','BLACK&DECKER','34SB - 410',null,null);
INSERT INTO product_categories VALUES('1693','DOMESTIC APPLIANCES','BLACK&DECKER','210BX - 997',null,null);
INSERT INTO product_categories VALUES('1694','DOMESTIC APPLIANCES','BLACK&DECKER','180BX - 410',null,null);
INSERT INTO product_categories VALUES('1695','DOMESTIC APPLIANCES','BLACK&DECKER','120PB - 997',null,null);
INSERT INTO product_categories VALUES('1696','DOMESTIC APPLIANCES','BLACK&DECKER','410BL - 997',null,null);
INSERT INTO product_categories VALUES('1697','DOMESTIC APPLIANCES','BLACK&DECKER','405BL - 997',null,null);
INSERT INTO product_categories VALUES('1698','DOMESTIC APPLIANCES','BLACK&DECKER','225BX - 997',null,null);
INSERT INTO product_categories VALUES('1699','DOMESTIC APPLIANCES','BLACK&DECKER','4000BX - 997',null,null);
INSERT INTO product_categories VALUES('1700','DOMESTIC APPLIANCES','BLACK&DECKER','260BX - 410',null,null);
INSERT INTO product_categories VALUES('1701','DOMESTIC APPLIANCES','BLACK&DECKER','560MG - 410',null,null);
INSERT INTO product_categories VALUES('1702','DOMESTIC APPLIANCES','BLACK&DECKER','350B-FX - 997',null,null);
INSERT INTO product_categories VALUES('1703','DOMESTIC APPLIANCES','BLACK&DECKER','400FX - 1001',null,null);
INSERT INTO product_categories VALUES('1704','DOMESTIC APPLIANCES','BLACK&DECKER','400FXBMG - 1001',null,null);
INSERT INTO product_categories VALUES('1705','DOMESTIC APPLIANCES','BLACK&DECKER','FX350B - 410',null,null);
INSERT INTO product_categories VALUES('1706','DOMESTIC APPLIANCES','BLACK&DECKER','350FX - 1022',null,null);
INSERT INTO product_categories VALUES('1707','DOMESTIC APPLIANCES','BLACK&DECKER','350FX - 433',null,null);
INSERT INTO product_categories VALUES('1708','DOMESTIC APPLIANCES','BLACK&DECKER','650CJ - 1496',null,null);
INSERT INTO product_categories VALUES('1709','DOMESTIC APPLIANCES','BLACK&DECKER','800CJ - 1496',null,null);
INSERT INTO product_categories VALUES('1710','DOMESTIC APPLIANCES','BLACK&DECKER','80DCM - 1021',null,null);
INSERT INTO product_categories VALUES('1711','DOMESTIC APPLIANCES','BLACK&DECKER','600DCM - 1021',null,null);
INSERT INTO product_categories VALUES('1712','DOMESTIC APPLIANCES','BLACK&DECKER','4CBM - 1021',null,null);
INSERT INTO product_categories VALUES('1713','DOMESTIC APPLIANCES','BLACK&DECKER','2750EF - 1018',null,null);
INSERT INTO product_categories VALUES('1714','DOMESTIC APPLIANCES','BLACK&DECKER','50DM - 1844',null,null);
INSERT INTO product_categories VALUES('1715','DOMESTIC APPLIANCES','BLACK&DECKER','1050FX - 1843',null,null);
INSERT INTO product_categories VALUES('1716','DOMESTIC APPLIANCES','BLACK&DECKER','1000FX - 1001',null,null);
INSERT INTO product_categories VALUES('1717','DOMESTIC APPLIANCES','BLACK&DECKER','1200FX - 412',null,null);
INSERT INTO product_categories VALUES('1718','DOMESTIC APPLIANCES','BLACK&DECKER','600JBGM - 1001',null,null);
INSERT INTO product_categories VALUES('1719','DOMESTIC APPLIANCES','BLACK&DECKER','775FX - 1843',null,null);
INSERT INTO product_categories VALUES('1720','DOMESTIC APPLIANCES','BLACK&DECKER','810FX - 1001',null,null);
INSERT INTO product_categories VALUES('1721','DOMESTIC APPLIANCES','BLACK&DECKER','5000-HS - 1023',null,null);
INSERT INTO product_categories VALUES('1722','DOMESTIC APPLIANCES','BLACK&DECKER','6000HS - 1023',null,null);
INSERT INTO product_categories VALUES('1723','DOMESTIC APPLIANCES','BLACK&DECKER','3200SB - 997',null,null);
INSERT INTO product_categories VALUES('1724','DOMESTIC APPLIANCES','BLACK&DECKER','3220SB - 997',null,null);
INSERT INTO product_categories VALUES('1725','DOMESTIC APPLIANCES','BLACK&DECKER','2200SB - 997',null,null);
INSERT INTO product_categories VALUES('1726','DOMESTIC APPLIANCES','BLACK&DECKER','22SB - 410',null,null);
INSERT INTO product_categories VALUES('1727','DOMESTIC APPLIANCES','BLACK&DECKER','350M - 1019',null,null);
INSERT INTO product_categories VALUES('1728','DOMESTIC APPLIANCES','BLACK&DECKER','700M - 1364',null,null);
INSERT INTO product_categories VALUES('1729','DOMESTIC APPLIANCES','BLACK&DECKER','1000SM - 1174',null,null);
INSERT INTO product_categories VALUES('1730','DOMESTIC APPLIANCES','BLACK&DECKER','170M - 1364',null,null);
INSERT INTO product_categories VALUES('1731','DOMESTIC APPLIANCES','BLACK&DECKER','65JE - 1006',null,null);
INSERT INTO product_categories VALUES('1732','DOMESTIC APPLIANCES','BLACK&DECKER','250JE - 1006',null,null);
INSERT INTO product_categories VALUES('1733','DOMESTIC APPLIANCES','BLACK&DECKER','650PRJE - 1006',null,null);
INSERT INTO product_categories VALUES('1734','DOMESTIC APPLIANCES','BLACK&DECKER','500JE - 1006',null,null);
INSERT INTO product_categories VALUES('1735','DOMESTIC APPLIANCES','BLACK&DECKER','JE65 - 410',null,null);
INSERT INTO product_categories VALUES('1736','DOMESTIC APPLIANCES','BLACK&DECKER','400JE - 1006',null,null);
INSERT INTO product_categories VALUES('1737','DOMESTIC APPLIANCES','BLACK&DECKER','350JE - 2107',null,null);
INSERT INTO product_categories VALUES('1738','DOMESTIC APPLIANCES','BLACK&DECKER','35B5DK - 1020',null,null);
INSERT INTO product_categories VALUES('1739','DOMESTIC APPLIANCES','BLACK&DECKER','35DK - 1020',null,null);
INSERT INTO product_categories VALUES('1740','DOMESTIC APPLIANCES','BLACK&DECKER','25DK - 1020',null,null);
INSERT INTO product_categories VALUES('1741','DOMESTIC APPLIANCES','BLACK&DECKER','450JC - 1020',null,null);
INSERT INTO product_categories VALUES('1742','DOMESTIC APPLIANCES','BLACK&DECKER','400JC - 1020',null,null);
INSERT INTO product_categories VALUES('1743','DOMESTIC APPLIANCES','BLACK&DECKER','120JC - 1020',null,null);
INSERT INTO product_categories VALUES('1744','DOMESTIC APPLIANCES','BLACK&DECKER','200JC - 1020',null,null);
INSERT INTO product_categories VALUES('1745','DOMESTIC APPLIANCES','BLACK&DECKER','72JC - 1020',null,null);
INSERT INTO product_categories VALUES('1746','DOMESTIC APPLIANCES','BLACK&DECKER','70JC - 1020',null,null);
INSERT INTO product_categories VALUES('1747','DOMESTIC APPLIANCES','BLACK&DECKER','250JC - 1020',null,null);
INSERT INTO product_categories VALUES('1748','DOMESTIC APPLIANCES','BLACK&DECKER','1700FM - 1008',null,null);
INSERT INTO product_categories VALUES('1749','DOMESTIC APPLIANCES','BLACK&DECKER','1500FM - 1008',null,null);
INSERT INTO product_categories VALUES('1750','DOMESTIC APPLIANCES','BLACK&DECKER','1400FM - 418',null,null);
INSERT INTO product_categories VALUES('1751','DOMESTIC APPLIANCES','BLACK&DECKER','70LGM - 1128',null,null);
INSERT INTO product_categories VALUES('1752','DOMESTIC APPLIANCES','BLACK&DECKER','1800GM - 1128',null,null);
INSERT INTO product_categories VALUES('1753','DOMESTIC APPLIANCES','BLACK&DECKER','2850RC - 1024',null,null);
INSERT INTO product_categories VALUES('1754','DOMESTIC APPLIANCES','BLACK&DECKER','4500RC - 1024',null,null);
INSERT INTO product_categories VALUES('1755','DOMESTIC APPLIANCES','BLACK&DECKER','53TS - 415',null,null);
INSERT INTO product_categories VALUES('1756','DOMESTIC APPLIANCES','BLACK&DECKER','2000TS - 1011',null,null);
INSERT INTO product_categories VALUES('1757','DOMESTIC APPLIANCES','BLACK&DECKER','4000TS - 1011',null,null);
INSERT INTO product_categories VALUES('1758','DOMESTIC APPLIANCES','BLACK&DECKER','1000TS - 1011',null,null);
INSERT INTO product_categories VALUES('1759','DOMESTIC APPLIANCES','BLACK&DECKER','600BS - 997',null,null);
INSERT INTO product_categories VALUES('1760','DOMESTIC APPLIANCES','BLACK&DECKER','122ET - 1121',null,null);
INSERT INTO product_categories VALUES('1761','DOMESTIC APPLIANCES','BLACK&DECKER','124ET - 1121',null,null);
INSERT INTO product_categories VALUES('1762','DOMESTIC APPLIANCES','BLACK&DECKER','222ET - 1121',null,null);
INSERT INTO product_categories VALUES('1763','DOMESTIC APPLIANCES','BLACK&DECKER','304ET - 1121',null,null);
INSERT INTO product_categories VALUES('1764','DOMESTIC APPLIANCES','BLACK&DECKER','250SM - 1022',null,null);
INSERT INTO product_categories VALUES('1765','DOMESTIC APPLIANCES','BRAUN','2000MX - 997',null,null);
INSERT INTO product_categories VALUES('1766','DOMESTIC APPLIANCES','BRAUN','3010JB - 997',null,null);
INSERT INTO product_categories VALUES('1767','DOMESTIC APPLIANCES','BRAUN','5160JB - 997',null,null);
INSERT INTO product_categories VALUES('1768','DOMESTIC APPLIANCES','BRAUN','3035MQ - 997',null,null);
INSERT INTO product_categories VALUES('1769','DOMESTIC APPLIANCES','BRAUN','3060JB - 997',null,null);
INSERT INTO product_categories VALUES('1770','DOMESTIC APPLIANCES','BRAUN','5050JB - 997',null,null);
INSERT INTO product_categories VALUES('1771','DOMESTIC APPLIANCES','BRAUN','3050CJ - 1496',null,null);
INSERT INTO product_categories VALUES('1772','DOMESTIC APPLIANCES','BRAUN','3000CJ - 1496',null,null);
INSERT INTO product_categories VALUES('1773','DOMESTIC APPLIANCES','BRAUN','22PMZ - 421',null,null);
INSERT INTO product_categories VALUES('1774','DOMESTIC APPLIANCES','BRAUN','9MPZ - 421',null,null);
INSERT INTO product_categories VALUES('1775','DOMESTIC APPLIANCES','BRAUN','520KF - 1021',null,null);
INSERT INTO product_categories VALUES('1776','DOMESTIC APPLIANCES','BRAUN','560KF - 1021',null,null);
INSERT INTO product_categories VALUES('1777','DOMESTIC APPLIANCES','BRAUN','3020FP - 1001',null,null);
INSERT INTO product_categories VALUES('1778','DOMESTIC APPLIANCES','BRAUN','600K - 423',null,null);
INSERT INTO product_categories VALUES('1779','DOMESTIC APPLIANCES','BRAUN','3030FX - 1004',null,null);
INSERT INTO product_categories VALUES('1780','DOMESTIC APPLIANCES','BRAUN','5160FP - 1004',null,null);
INSERT INTO product_categories VALUES('1781','DOMESTIC APPLIANCES','BRAUN','3010FP - 1001',null,null);
INSERT INTO product_categories VALUES('1782','DOMESTIC APPLIANCES','BRAUN','700K - 423',null,null);
INSERT INTO product_categories VALUES('1783','DOMESTIC APPLIANCES','BRAUN','3000FS - 1023',null,null);
INSERT INTO product_categories VALUES('1784','DOMESTIC APPLIANCES','BRAUN','5100FS - 1023',null,null);
INSERT INTO product_categories VALUES('1785','DOMESTIC APPLIANCES','BRAUN','20FS - 428',null,null);
INSERT INTO product_categories VALUES('1786','DOMESTIC APPLIANCES','BRAUN','3000MQ - 997',null,null);
INSERT INTO product_categories VALUES('1787','DOMESTIC APPLIANCES','BRAUN','5137MQ - 1364',null,null);
INSERT INTO product_categories VALUES('1788','DOMESTIC APPLIANCES','BRAUN','5045MQ - 1364',null,null);
INSERT INTO product_categories VALUES('1789','DOMESTIC APPLIANCES','BRAUN','100MQ - 997',null,null);
INSERT INTO product_categories VALUES('1790','DOMESTIC APPLIANCES','BRAUN','100MQ-S - 997',null,null);
INSERT INTO product_categories VALUES('1791','DOMESTIC APPLIANCES','BRAUN','3020MQ - 997',null,null);
INSERT INTO product_categories VALUES('1792','DOMESTIC APPLIANCES','BRAUN','3048MQ  - 997',null,null);
INSERT INTO product_categories VALUES('1793','DOMESTIC APPLIANCES','BRAUN','5000MQ - 997',null,null);
INSERT INTO product_categories VALUES('1794','DOMESTIC APPLIANCES','BRAUN','940MQ - 1364',null,null);
INSERT INTO product_categories VALUES('1795','DOMESTIC APPLIANCES','BRAUN','775MQ - 997',null,null);
INSERT INTO product_categories VALUES('1796','DOMESTIC APPLIANCES','BRAUN','735MQ - 1364',null,null);
INSERT INTO product_categories VALUES('1797','DOMESTIC APPLIANCES','BRAUN','300MQ - 1364',null,null);
INSERT INTO product_categories VALUES('1798','DOMESTIC APPLIANCES','BRAUN','325MQ - 1364',null,null);
INSERT INTO product_categories VALUES('1799','DOMESTIC APPLIANCES','BRAUN','100MR - 997',null,null);
INSERT INTO product_categories VALUES('1800','DOMESTIC APPLIANCES','BRAUN','120MQ - 997',null,null);
INSERT INTO product_categories VALUES('1801','DOMESTIC APPLIANCES','BRAUN','120MR - 997',null,null);
INSERT INTO product_categories VALUES('1802','DOMESTIC APPLIANCES','BRAUN','700MQ - 1364',null,null);
INSERT INTO product_categories VALUES('1803','DOMESTIC APPLIANCES','BRAUN','745MQ - 1364',null,null);
INSERT INTO product_categories VALUES('1804','DOMESTIC APPLIANCES','BRAUN','785MQ - 1364',null,null);
INSERT INTO product_categories VALUES('1805','DOMESTIC APPLIANCES','BRAUN','525-MQ - 997',null,null);
INSERT INTO product_categories VALUES('1806','DOMESTIC APPLIANCES','BRAUN','535MQ - 1364',null,null);
INSERT INTO product_categories VALUES('1807','DOMESTIC APPLIANCES','BRAUN','9078X-MQ - 997',null,null);
INSERT INTO product_categories VALUES('1808','DOMESTIC APPLIANCES','BRAUN','300SMQ - 1364',null,null);
INSERT INTO product_categories VALUES('1809','DOMESTIC APPLIANCES','BRAUN','3038 - 1364',null,null);
INSERT INTO product_categories VALUES('1810','DOMESTIC APPLIANCES','BRAUN','3038MQ - 997',null,null);
INSERT INTO product_categories VALUES('1811','DOMESTIC APPLIANCES','BRAUN','5177MQ - 1364',null,null);
INSERT INTO product_categories VALUES('1812','DOMESTIC APPLIANCES','BRAUN','500MQ - 1364',null,null);
INSERT INTO product_categories VALUES('1813','DOMESTIC APPLIANCES','BRAUN','3100HM - 1364',null,null);
INSERT INTO product_categories VALUES('1814','DOMESTIC APPLIANCES','BRAUN','550MFP - 833',null,null);
INSERT INTO product_categories VALUES('1815','DOMESTIC APPLIANCES','BRAUN','3000HM - 997',null,null);
INSERT INTO product_categories VALUES('1816','DOMESTIC APPLIANCES','BRAUN','3000HM  - 997',null,null);
INSERT INTO product_categories VALUES('1817','DOMESTIC APPLIANCES','BRAUN','300J - 1006',null,null);
INSERT INTO product_categories VALUES('1818','DOMESTIC APPLIANCES','BRAUN','3100SJ - 2048',null,null);
INSERT INTO product_categories VALUES('1819','DOMESTIC APPLIANCES','BRAUN','500J - 1006',null,null);
INSERT INTO product_categories VALUES('1820','DOMESTIC APPLIANCES','BRAUN','700J - 1006',null,null);
INSERT INTO product_categories VALUES('1821','DOMESTIC APPLIANCES','BRAUN','3000SJ - 1006',null,null);
INSERT INTO product_categories VALUES('1822','DOMESTIC APPLIANCES','BRAUN','3000WK - 1020',null,null);
INSERT INTO product_categories VALUES('1823','DOMESTIC APPLIANCES','BRAUN','3100WK - 1020',null,null);
INSERT INTO product_categories VALUES('1824','DOMESTIC APPLIANCES','BRAUN','500WK - 1020',null,null);
INSERT INTO product_categories VALUES('1825','DOMESTIC APPLIANCES','BRAUN','300WK - 1020',null,null);
INSERT INTO product_categories VALUES('1826','DOMESTIC APPLIANCES','BRAUN','1300G  - 1008',null,null);
INSERT INTO product_categories VALUES('1827','DOMESTIC APPLIANCES','BRAUN','1500G - 1008',null,null);
INSERT INTO product_categories VALUES('1828','DOMESTIC APPLIANCES','BRAUN','400HT - 1121',null,null);
INSERT INTO product_categories VALUES('1829','DOMESTIC APPLIANCES','BRAUN','3010HT - 1121',null,null);
INSERT INTO product_categories VALUES('1830','DOMESTIC APPLIANCES','BRAUN','550HT - 1121',null,null);
INSERT INTO product_categories VALUES('1831','DOMESTIC APPLIANCES','BRAUN','450HT  - 1121',null,null);
INSERT INTO product_categories VALUES('1832','DOMESTIC APPLIANCES','BRAUN','450HT - 1121',null,null);
INSERT INTO product_categories VALUES('1833','DOMESTIC APPLIANCES','BRAUN','600HT - 1121',null,null);
INSERT INTO product_categories VALUES('1834','DOMESTIC APPLIANCES','CARAVELL','100G - 990',null,null);
INSERT INTO product_categories VALUES('1835','DOMESTIC APPLIANCES','CARAVELL','100GEWC - 125',null,null);
INSERT INTO product_categories VALUES('1836','DOMESTIC APPLIANCES','CORONA','100G-DLX - 669',null,null);
INSERT INTO product_categories VALUES('1837','DOMESTIC APPLIANCES','DAWLANCE','8212DWEK - 1119',null,null);
INSERT INTO product_categories VALUES('1838','DOMESTIC APPLIANCES','DELONGHI','ICM4 - 1021',null,null);
INSERT INTO product_categories VALUES('1839','DOMESTIC APPLIANCES','DELONGI','2101FH - 1783',null,null);
INSERT INTO product_categories VALUES('1840','DOMESTIC APPLIANCES','DELONGI','ICM2 - 1021',null,null);
INSERT INTO product_categories VALUES('1841','DOMESTIC APPLIANCES','DELONGI','685EC - 1021',null,null);
INSERT INTO product_categories VALUES('1842','DOMESTIC APPLIANCES','DELONGI','350KF  - 1019',null,null);
INSERT INTO product_categories VALUES('1843','DOMESTIC APPLIANCES','DELONGI','234KBP  - 1020',null,null);
INSERT INTO product_categories VALUES('1844','DOMESTIC APPLIANCES','ECOSTAR','210BL-W - 2047',null,null);
INSERT INTO product_categories VALUES('1845','DOMESTIC APPLIANCES','ECOSTAR','211BL-S - 2047',null,null);
INSERT INTO product_categories VALUES('1846','DOMESTIC APPLIANCES','ECOSTAR','1010FP-W - 1843',null,null);
INSERT INTO product_categories VALUES('1847','DOMESTIC APPLIANCES','ECOSTAR','310JBG-W - 2047',null,null);
INSERT INTO product_categories VALUES('1848','DOMESTIC APPLIANCES','ECOSTAR','110KE-W - 2046',null,null);
INSERT INTO product_categories VALUES('1849','DOMESTIC APPLIANCES','ECOSTAR','111KE-S - 2046',null,null);
INSERT INTO product_categories VALUES('1850','DOMESTIC APPLIANCES','ECOSTAR','110SM-B - 2041',null,null);
INSERT INTO product_categories VALUES('1851','DOMESTIC APPLIANCES','GEEPAS','GK5219 - 1678',null,null);
INSERT INTO product_categories VALUES('1852','DOMESTIC APPLIANCES','KENWOOD','308SB - 464',null,null);
INSERT INTO product_categories VALUES('1853','DOMESTIC APPLIANCES','KENWOOD','470BL - 997',null,null);
INSERT INTO product_categories VALUES('1854','DOMESTIC APPLIANCES','KENWOOD','300BLP - 997',null,null);
INSERT INTO product_categories VALUES('1855','DOMESTIC APPLIANCES','KENWOOD','55SBO - 464',null,null);
INSERT INTO product_categories VALUES('1856','DOMESTIC APPLIANCES','KENWOOD','650BL - 464',null,null);
INSERT INTO product_categories VALUES('1857','DOMESTIC APPLIANCES','KENWOOD','480BL - 997',null,null);
INSERT INTO product_categories VALUES('1858','DOMESTIC APPLIANCES','KENWOOD','380BL - 997',null,null);
INSERT INTO product_categories VALUES('1859','DOMESTIC APPLIANCES','KENWOOD','402BL - 997',null,null);
INSERT INTO product_categories VALUES('1860','DOMESTIC APPLIANCES','KENWOOD','335BL - 464',null,null);
INSERT INTO product_categories VALUES('1861','DOMESTIC APPLIANCES','KENWOOD','304BL - 997',null,null);
INSERT INTO product_categories VALUES('1862','DOMESTIC APPLIANCES','KENWOOD','266SB - 464',null,null);
INSERT INTO product_categories VALUES('1863','DOMESTIC APPLIANCES','KENWOOD','250CH-KW - 1022',null,null);
INSERT INTO product_categories VALUES('1864','DOMESTIC APPLIANCES','KENWOOD','505WH - 1022',null,null);
INSERT INTO product_categories VALUES('1865','DOMESTIC APPLIANCES','KENWOOD','580CH - 1022',null,null);
INSERT INTO product_categories VALUES('1866','DOMESTIC APPLIANCES','KENWOOD','186A - 1022',null,null);
INSERT INTO product_categories VALUES('1867','DOMESTIC APPLIANCES','KENWOOD','180CH - 468',null,null);
INSERT INTO product_categories VALUES('1868','DOMESTIC APPLIANCES','KENWOOD','250-CH - 1022',null,null);
INSERT INTO product_categories VALUES('1869','DOMESTIC APPLIANCES','KENWOOD','550CH - 468',null,null);
INSERT INTO product_categories VALUES('1870','DOMESTIC APPLIANCES','KENWOOD','350JE - 532',null,null);
INSERT INTO product_categories VALUES('1871','DOMESTIC APPLIANCES','KENWOOD','290JE - 1496',null,null);
INSERT INTO product_categories VALUES('1872','DOMESTIC APPLIANCES','KENWOOD','010JEP - 1208',null,null);
INSERT INTO product_categories VALUES('1873','DOMESTIC APPLIANCES','KENWOOD','570JE - 532',null,null);
INSERT INTO product_categories VALUES('1874','DOMESTIC APPLIANCES','KENWOOD','250JE - 532',null,null);
INSERT INTO product_categories VALUES('1875','DOMESTIC APPLIANCES','KENWOOD','260JE - 532',null,null);
INSERT INTO product_categories VALUES('1876','DOMESTIC APPLIANCES','KENWOOD','200CMM - 1021',null,null);
INSERT INTO product_categories VALUES('1877','DOMESTIC APPLIANCES','KENWOOD','480CMM - 1021',null,null);
INSERT INTO product_categories VALUES('1878','DOMESTIC APPLIANCES','KENWOOD','320DF - 473',null,null);
INSERT INTO product_categories VALUES('1879','DOMESTIC APPLIANCES','KENWOOD','560DF - 473',null,null);
INSERT INTO product_categories VALUES('1880','DOMESTIC APPLIANCES','KENWOOD','285KMC - 1004',null,null);
INSERT INTO product_categories VALUES('1881','DOMESTIC APPLIANCES','KENWOOD','282KM - 1844',null,null);
INSERT INTO product_categories VALUES('1882','DOMESTIC APPLIANCES','KENWOOD','288KMC - 1004',null,null);
INSERT INTO product_categories VALUES('1883','DOMESTIC APPLIANCES','KENWOOD','287KMC - 1004',null,null);
INSERT INTO product_categories VALUES('1884','DOMESTIC APPLIANCES','KENWOOD','KMC570 - 1176',null,null);
INSERT INTO product_categories VALUES('1885','DOMESTIC APPLIANCES','KENWOOD','KM010/NA - 1176',null,null);
INSERT INTO product_categories VALUES('1886','DOMESTIC APPLIANCES','KENWOOD','570KMC - 1844',null,null);
INSERT INTO product_categories VALUES('1887','DOMESTIC APPLIANCES','KENWOOD','126FP - 1843',null,null);
INSERT INTO product_categories VALUES('1888','DOMESTIC APPLIANCES','KENWOOD','220FP - 470',null,null);
INSERT INTO product_categories VALUES('1889','DOMESTIC APPLIANCES','KENWOOD','120FP - 470',null,null);
INSERT INTO product_categories VALUES('1890','DOMESTIC APPLIANCES','KENWOOD','270FPM - 1001',null,null);
INSERT INTO product_categories VALUES('1891','DOMESTIC APPLIANCES','KENWOOD','335-1MILL - 997',null,null);
INSERT INTO product_categories VALUES('1892','DOMESTIC APPLIANCES','KENWOOD','691FP - 470',null,null);
INSERT INTO product_categories VALUES('1893','DOMESTIC APPLIANCES','KENWOOD','734FP - 470',null,null);
INSERT INTO product_categories VALUES('1894','DOMESTIC APPLIANCES','KENWOOD','735FP - 1001',null,null);
INSERT INTO product_categories VALUES('1895','DOMESTIC APPLIANCES','KENWOOD','730FP  - 1843',null,null);
INSERT INTO product_categories VALUES('1896','DOMESTIC APPLIANCES','KENWOOD','302WH-FDP - 1843',null,null);
INSERT INTO product_categories VALUES('1897','DOMESTIC APPLIANCES','KENWOOD','230FP  - 1004',null,null);
INSERT INTO product_categories VALUES('1898','DOMESTIC APPLIANCES','KENWOOD','235FP - 1001',null,null);
INSERT INTO product_categories VALUES('1899','DOMESTIC APPLIANCES','KENWOOD','235FP - 470',null,null);
INSERT INTO product_categories VALUES('1900','DOMESTIC APPLIANCES','KENWOOD','623FDP - 1001',null,null);
INSERT INTO product_categories VALUES('1901','DOMESTIC APPLIANCES','KENWOOD','307SS-FDM  - 1843',null,null);
INSERT INTO product_categories VALUES('1902','DOMESTIC APPLIANCES','KENWOOD','190FP - 470',null,null);
INSERT INTO product_categories VALUES('1903','DOMESTIC APPLIANCES','KENWOOD','615HB - 464',null,null);
INSERT INTO product_categories VALUES('1904','DOMESTIC APPLIANCES','KENWOOD','645HB - 464',null,null);
INSERT INTO product_categories VALUES('1905','DOMESTIC APPLIANCES','KENWOOD','710HB - 997',null,null);
INSERT INTO product_categories VALUES('1906','DOMESTIC APPLIANCES','KENWOOD','665HB - 464',null,null);
INSERT INTO product_categories VALUES('1907','DOMESTIC APPLIANCES','KENWOOD','713HB - 997',null,null);
INSERT INTO product_categories VALUES('1908','DOMESTIC APPLIANCES','KENWOOD','682HB - 997',null,null);
INSERT INTO product_categories VALUES('1909','DOMESTIC APPLIANCES','KENWOOD','304HDP - 1008',null,null);
INSERT INTO product_categories VALUES('1910','DOMESTIC APPLIANCES','KENWOOD','102HDP - 1364',null,null);
INSERT INTO product_categories VALUES('1911','DOMESTIC APPLIANCES','KENWOOD','714HB - 997',null,null);
INSERT INTO product_categories VALUES('1912','DOMESTIC APPLIANCES','KENWOOD','402HDP - 1364',null,null);
INSERT INTO product_categories VALUES('1913','DOMESTIC APPLIANCES','KENWOOD','620HM - 1174',null,null);
INSERT INTO product_categories VALUES('1914','DOMESTIC APPLIANCES','KENWOOD','620HM-KW - 1174',null,null);
INSERT INTO product_categories VALUES('1915','DOMESTIC APPLIANCES','KENWOOD','430HM  - 1174',null,null);
INSERT INTO product_categories VALUES('1916','DOMESTIC APPLIANCES','KENWOOD','330HM - 1941',null,null);
INSERT INTO product_categories VALUES('1917','DOMESTIC APPLIANCES','KENWOOD','2022-HIC - 1387',null,null);
INSERT INTO product_categories VALUES('1918','DOMESTIC APPLIANCES','KENWOOD','150-IM - 538',null,null);
INSERT INTO product_categories VALUES('1919','DOMESTIC APPLIANCES','KENWOOD','500WH-JEP - 1496',null,null);
INSERT INTO product_categories VALUES('1920','DOMESTIC APPLIANCES','KENWOOD','680JE - 1496',null,null);
INSERT INTO product_categories VALUES('1921','DOMESTIC APPLIANCES','KENWOOD','290SJM - 1020',null,null);
INSERT INTO product_categories VALUES('1922','DOMESTIC APPLIANCES','KENWOOD','230JKP - 1020',null,null);
INSERT INTO product_categories VALUES('1923','DOMESTIC APPLIANCES','KENWOOD','230JKP-KW - 1020',null,null);
INSERT INTO product_categories VALUES('1924','DOMESTIC APPLIANCES','KENWOOD','01-ZJM - 1020',null,null);
INSERT INTO product_categories VALUES('1925','DOMESTIC APPLIANCES','KENWOOD','01-ZJP - 1020',null,null);
INSERT INTO product_categories VALUES('1926','DOMESTIC APPLIANCES','KENWOOD','530JK - 530',null,null);
INSERT INTO product_categories VALUES('1927','DOMESTIC APPLIANCES','KENWOOD','020-SJM - 1004',null,null);
INSERT INTO product_categories VALUES('1928','DOMESTIC APPLIANCES','KENWOOD','020SJM-KW - 1020',null,null);
INSERT INTO product_categories VALUES('1929','DOMESTIC APPLIANCES','KENWOOD','220JKP-KW - 1020',null,null);
INSERT INTO product_categories VALUES('1930','DOMESTIC APPLIANCES','KENWOOD','110-SKM - 1020',null,null);
INSERT INTO product_categories VALUES('1931','DOMESTIC APPLIANCES','KENWOOD','360MG - 1008',null,null);
INSERT INTO product_categories VALUES('1932','DOMESTIC APPLIANCES','KENWOOD','450MG - 531',null,null);
INSERT INTO product_categories VALUES('1933','DOMESTIC APPLIANCES','KENWOOD','330-HM - 1174',null,null);
INSERT INTO product_categories VALUES('1934','DOMESTIC APPLIANCES','KENWOOD','150PP - 535',null,null);
INSERT INTO product_categories VALUES('1935','DOMESTIC APPLIANCES','KENWOOD','740SM - 472',null,null);
INSERT INTO product_categories VALUES('1936','DOMESTIC APPLIANCES','KENWOOD','640SM - 1011',null,null);
INSERT INTO product_categories VALUES('1937','DOMESTIC APPLIANCES','KENWOOD','360SM - 472',null,null);
INSERT INTO product_categories VALUES('1938','DOMESTIC APPLIANCES','KENWOOD','650SM - 1011',null,null);
INSERT INTO product_categories VALUES('1939','DOMESTIC APPLIANCES','KENWOOD','255SB - 1174',null,null);
INSERT INTO product_categories VALUES('1940','DOMESTIC APPLIANCES','KENWOOD','255SB-KW - 997',null,null);
INSERT INTO product_categories VALUES('1941','DOMESTIC APPLIANCES','KENWOOD','220TTP - 466',null,null);
INSERT INTO product_categories VALUES('1942','DOMESTIC APPLIANCES','KENWOOD','102TTP - 235',null,null);
INSERT INTO product_categories VALUES('1943','DOMESTIC APPLIANCES','KENWOOD','103TTP - 235',null,null);
INSERT INTO product_categories VALUES('1944','DOMESTIC APPLIANCES','KENWOOD','450TT - 235',null,null);
INSERT INTO product_categories VALUES('1945','DOMESTIC APPLIANCES','KENWOOD','450TTM - 1121',null,null);
INSERT INTO product_categories VALUES('1946','DOMESTIC APPLIANCES','KENWOOD','450TTM-KW - 1121',null,null);
INSERT INTO product_categories VALUES('1947','DOMESTIC APPLIANCES','KENWOOD','200TTP - 1121',null,null);
INSERT INTO product_categories VALUES('1948','DOMESTIC APPLIANCES','MOULINEX','165111-HP - 1018',null,null);
INSERT INTO product_categories VALUES('1949','DOMESTIC APPLIANCES','MOULINEX','242B25LM - 2107',null,null);
INSERT INTO product_categories VALUES('1950','DOMESTIC APPLIANCES','MOULINEX','241025-HP - 1869',null,null);
INSERT INTO product_categories VALUES('1951','DOMESTIC APPLIANCES','MOULINEX','241025LM - 997',null,null);
INSERT INTO product_categories VALUES('1952','DOMESTIC APPLIANCES','MOULINEX','259241LM - 730',null,null);
INSERT INTO product_categories VALUES('1953','DOMESTIC APPLIANCES','MOULINEX','202041LM - 730',null,null);
INSERT INTO product_categories VALUES('1954','DOMESTIC APPLIANCES','MOULINEX','240141LM - 997',null,null);
INSERT INTO product_categories VALUES('1955','DOMESTIC APPLIANCES','MOULINEX','241141LM - 730',null,null);
INSERT INTO product_categories VALUES('1956','DOMESTIC APPLIANCES','MOULINEX','222LM - 997',null,null);
INSERT INTO product_categories VALUES('1957','DOMESTIC APPLIANCES','MOULINEX','445AAW - 730',null,null);
INSERT INTO product_categories VALUES('1958','DOMESTIC APPLIANCES','MOULINEX','755G32DJ - 1862',null,null);
INSERT INTO product_categories VALUES('1959','DOMESTIC APPLIANCES','MOULINEX','30414M - 997',null,null);
INSERT INTO product_categories VALUES('1960','DOMESTIC APPLIANCES','MOULINEX','209041-HP - 997',null,null);
INSERT INTO product_categories VALUES('1961','DOMESTIC APPLIANCES','MOULINEX','209041LM - 997',null,null);
INSERT INTO product_categories VALUES('1962','DOMESTIC APPLIANCES','MOULINEX','1A0D10-HP - 997',null,null);
INSERT INTO product_categories VALUES('1963','DOMESTIC APPLIANCES','MOULINEX','LM1AOD10  - 997',null,null);
INSERT INTO product_categories VALUES('1964','DOMESTIC APPLIANCES','MOULINEX','242141LM - 730',null,null);
INSERT INTO product_categories VALUES('1965','DOMESTIC APPLIANCES','MOULINEX','24214D  - 997',null,null);
INSERT INTO product_categories VALUES('1966','DOMESTIC APPLIANCES','MOULINEX','242025-HP - 1869',null,null);
INSERT INTO product_categories VALUES('1967','DOMESTIC APPLIANCES','MOULINEX','242025LM - 997',null,null);
INSERT INTO product_categories VALUES('1968','DOMESTIC APPLIANCES','MOULINEX','301141LM - 730',null,null);
INSERT INTO product_categories VALUES('1969','DOMESTIC APPLIANCES','MOULINEX','4BC-DAB - 997',null,null);
INSERT INTO product_categories VALUES('1970','DOMESTIC APPLIANCES','MOULINEX','2221BM - 997',null,null);
INSERT INTO product_categories VALUES('1971','DOMESTIC APPLIANCES','MOULINEX','2221BM-HP - 1869',null,null);
INSERT INTO product_categories VALUES('1972','DOMESTIC APPLIANCES','MOULINEX','302141LM - 730',null,null);
INSERT INTO product_categories VALUES('1973','DOMESTIC APPLIANCES','MOULINEX','150112BG - 1366',null,null);
INSERT INTO product_categories VALUES('1974','DOMESTIC APPLIANCES','MOULINEX','909141DD - 997',null,null);
INSERT INTO product_categories VALUES('1975','DOMESTIC APPLIANCES','MOULINEX','2211BM-HP - 1869',null,null);
INSERT INTO product_categories VALUES('1976','DOMESTIC APPLIANCES','MOULINEX','2211LM - 997',null,null);
INSERT INTO product_categories VALUES('1977','DOMESTIC APPLIANCES','MOULINEX','207041-HP - 997',null,null);
INSERT INTO product_categories VALUES('1978','DOMESTIC APPLIANCES','MOULINEX','207041LM - 997',null,null);
INSERT INTO product_categories VALUES('1979','DOMESTIC APPLIANCES','MOULINEX','2070CM - 730',null,null);
INSERT INTO product_categories VALUES('1980','DOMESTIC APPLIANCES','MOULINEX','790A25  - 1022',null,null);
INSERT INTO product_categories VALUES('1981','DOMESTIC APPLIANCES','MOULINEX','811160-AD - 1022',null,null);
INSERT INTO product_categories VALUES('1982','DOMESTIC APPLIANCES','MOULINEX','811161-AD - 1843',null,null);
INSERT INTO product_categories VALUES('1983','DOMESTIC APPLIANCES','MOULINEX','806G27-HP - 1022',null,null);
INSERT INTO product_categories VALUES('1984','DOMESTIC APPLIANCES','MOULINEX','805G10-HP - 1022',null,null);
INSERT INTO product_categories VALUES('1985','DOMESTIC APPLIANCES','MOULINEX','805G10DP - 1006',null,null);
INSERT INTO product_categories VALUES('1986','DOMESTIC APPLIANCES','MOULINEX','718A10AT - 1022',null,null);
INSERT INTO product_categories VALUES('1987','DOMESTIC APPLIANCES','MOULINEX','711131-AT - 1022',null,null);
INSERT INTO product_categories VALUES('1988','DOMESTIC APPLIANCES','MOULINEX','320R1 - 1022',null,null);
INSERT INTO product_categories VALUES('1989','DOMESTIC APPLIANCES','MOULINEX','144PDA - 725',null,null);
INSERT INTO product_categories VALUES('1990','DOMESTIC APPLIANCES','MOULINEX','141DPA - 725',null,null);
INSERT INTO product_categories VALUES('1991','DOMESTIC APPLIANCES','MOULINEX','600G31 - 1496',null,null);
INSERT INTO product_categories VALUES('1992','DOMESTIC APPLIANCES','MOULINEX','302B10 - 1496',null,null);
INSERT INTO product_categories VALUES('1993','DOMESTIC APPLIANCES','MOULINEX','302B10-HP - 1006',null,null);
INSERT INTO product_categories VALUES('1994','DOMESTIC APPLIANCES','MOULINEX','300110PC - 997',null,null);
INSERT INTO product_categories VALUES('1995','DOMESTIC APPLIANCES','MOULINEX','302110PC  - 1496',null,null);
INSERT INTO product_categories VALUES('1996','DOMESTIC APPLIANCES','MOULINEX','300132-HP - 1367',null,null);
INSERT INTO product_categories VALUES('1997','DOMESTIC APPLIANCES','MOULINEX','300132MC - 726',null,null);
INSERT INTO product_categories VALUES('1998','DOMESTIC APPLIANCES','MOULINEX','360810FG - 1021',null,null);
INSERT INTO product_categories VALUES('1999','DOMESTIC APPLIANCES','MOULINEX','110010-HP - 1367',null,null);
INSERT INTO product_categories VALUES('2000','DOMESTIC APPLIANCES','MOULINEX','110010AR - 1021',null,null);
INSERT INTO product_categories VALUES('2001','DOMESTIC APPLIANCES','MOULINEX','151825-HP - 1021',null,null);
INSERT INTO product_categories VALUES('2002','DOMESTIC APPLIANCES','MOULINEX','151825FG - 1021',null,null);
INSERT INTO product_categories VALUES('2003','DOMESTIC APPLIANCES','MOULINEX','100AR - 1021',null,null);
INSERT INTO product_categories VALUES('2004','DOMESTIC APPLIANCES','MOULINEX','1044AR - 768',null,null);
INSERT INTO product_categories VALUES('2005','DOMESTIC APPLIANCES','MOULINEX','165111AF - 1018',null,null);
INSERT INTO product_categories VALUES('2006','DOMESTIC APPLIANCES','MOULINEX','123111AF - 1018',null,null);
INSERT INTO product_categories VALUES('2007','DOMESTIC APPLIANCES','MOULINEX','1231AF  - 1018',null,null);
INSERT INTO product_categories VALUES('2008','DOMESTIC APPLIANCES','MOULINEX','241AKG - 1018',null,null);
INSERT INTO product_categories VALUES('2009','DOMESTIC APPLIANCES','MOULINEX','100032FF - 722',null,null);
INSERT INTO product_categories VALUES('2010','DOMESTIC APPLIANCES','MOULINEX','302130AM - 1018',null,null);
INSERT INTO product_categories VALUES('2011','DOMESTIC APPLIANCES','MOULINEX','101970AF - 722',null,null);
INSERT INTO product_categories VALUES('2012','DOMESTIC APPLIANCES','MOULINEX','34DFCA - 724',null,null);
INSERT INTO product_categories VALUES('2013','DOMESTIC APPLIANCES','MOULINEX','520GB1FP - 1001',null,null);
INSERT INTO product_categories VALUES('2014','DOMESTIC APPLIANCES','MOULINEX','247127-HP - 1843',null,null);
INSERT INTO product_categories VALUES('2015','DOMESTIC APPLIANCES','MOULINEX','2111B1 - 1004',null,null);
INSERT INTO product_categories VALUES('2016','DOMESTIC APPLIANCES','MOULINEX','513125-HP - 1843',null,null);
INSERT INTO product_categories VALUES('2017','DOMESTIC APPLIANCES','MOULINEX','513125FP - 1001',null,null);
INSERT INTO product_categories VALUES('2018','DOMESTIC APPLIANCES','MOULINEX','125141FP - 1004',null,null);
INSERT INTO product_categories VALUES('2019','DOMESTIC APPLIANCES','MOULINEX','341DFB - 724',null,null);
INSERT INTO product_categories VALUES('2020','DOMESTIC APPLIANCES','MOULINEX','654125FP - 1843',null,null);
INSERT INTO product_categories VALUES('2021','DOMESTIC APPLIANCES','MOULINEX','542110-HP - 1843',null,null);
INSERT INTO product_categories VALUES('2022','DOMESTIC APPLIANCES','MOULINEX','655FP - 724',null,null);
INSERT INTO product_categories VALUES('2023','DOMESTIC APPLIANCES','MOULINEX','71314A - 724',null,null);
INSERT INTO product_categories VALUES('2024','DOMESTIC APPLIANCES','MOULINEX','7331BM-HP - 1843',null,null);
INSERT INTO product_categories VALUES('2025','DOMESTIC APPLIANCES','MOULINEX','7331FP  - 1001',null,null);
INSERT INTO product_categories VALUES('2026','DOMESTIC APPLIANCES','MOULINEX','7361BM - 1001',null,null);
INSERT INTO product_categories VALUES('2027','DOMESTIC APPLIANCES','MOULINEX','7361BM-HP - 1843',null,null);
INSERT INTO product_categories VALUES('2028','DOMESTIC APPLIANCES','MOULINEX','7371BM - 1001',null,null);
INSERT INTO product_categories VALUES('2029','DOMESTIC APPLIANCES','MOULINEX','7371BM-HP - 1843',null,null);
INSERT INTO product_categories VALUES('2030','DOMESTIC APPLIANCES','MOULINEX','822110FP - 1843',null,null);
INSERT INTO product_categories VALUES('2031','DOMESTIC APPLIANCES','MOULINEX','903A10-FF - 1004',null,null);
INSERT INTO product_categories VALUES('2032','DOMESTIC APPLIANCES','MOULINEX','659FP - 1843',null,null);
INSERT INTO product_categories VALUES('2033','DOMESTIC APPLIANCES','MOULINEX','741127FP  - 1001',null,null);
INSERT INTO product_categories VALUES('2034','DOMESTIC APPLIANCES','MOULINEX','755G32-HP - 1843',null,null);
INSERT INTO product_categories VALUES('2035','DOMESTIC APPLIANCES','MOULINEX','652DFP - 1004',null,null);
INSERT INTO product_categories VALUES('2036','DOMESTIC APPLIANCES','MOULINEX','64A-DFC - 724',null,null);
INSERT INTO product_categories VALUES('2037','DOMESTIC APPLIANCES','MOULINEX','524127FP - 1001',null,null);
INSERT INTO product_categories VALUES('2038','DOMESTIC APPLIANCES','MOULINEX','101141-HP - 1364',null,null);
INSERT INTO product_categories VALUES('2039','DOMESTIC APPLIANCES','MOULINEX','101141DD - 1364',null,null);
INSERT INTO product_categories VALUES('2040','DOMESTIC APPLIANCES','MOULINEX','100141DD  - 1364',null,null);
INSERT INTO product_categories VALUES('2041','DOMESTIC APPLIANCES','MOULINEX','883D27-HP - 1364',null,null);
INSERT INTO product_categories VALUES('2042','DOMESTIC APPLIANCES','MOULINEX','312127-HP - 1941',null,null);
INSERT INTO product_categories VALUES('2043','DOMESTIC APPLIANCES','MOULINEX','101045HM - 727',null,null);
INSERT INTO product_categories VALUES('2044','DOMESTIC APPLIANCES','MOULINEX','11A30-HP - 1941',null,null);
INSERT INTO product_categories VALUES('2045','DOMESTIC APPLIANCES','MOULINEX','141ABM - 727',null,null);
INSERT INTO product_categories VALUES('2046','DOMESTIC APPLIANCES','MOULINEX','615110HM - 1788',null,null);
INSERT INTO product_categories VALUES('2047','DOMESTIC APPLIANCES','MOULINEX','412131HM - 1788',null,null);
INSERT INTO product_categories VALUES('2048','DOMESTIC APPLIANCES','MOULINEX','3101B1-HP - 1941',null,null);
INSERT INTO product_categories VALUES('2049','DOMESTIC APPLIANCES','MOULINEX','11A30ABM - 1019',null,null);
INSERT INTO product_categories VALUES('2050','DOMESTIC APPLIANCES','MOULINEX','702141DD - 1019',null,null);
INSERT INTO product_categories VALUES('2051','DOMESTIC APPLIANCES','MOULINEX','550D10-HP - 1006',null,null);
INSERT INTO product_categories VALUES('2052','DOMESTIC APPLIANCES','MOULINEX','350B27-HP - 1006',null,null);
INSERT INTO product_categories VALUES('2053','DOMESTIC APPLIANCES','MOULINEX','350B39-JU - 1006',null,null);
INSERT INTO product_categories VALUES('2054','DOMESTIC APPLIANCES','MOULINEX','300B27PC - 1496',null,null);
INSERT INTO product_categories VALUES('2055','DOMESTIC APPLIANCES','MOULINEX','450139-HP - 1006',null,null);
INSERT INTO product_categories VALUES('2056','DOMESTIC APPLIANCES','MOULINEX','450139-JU - 1006',null,null);
INSERT INTO product_categories VALUES('2057','DOMESTIC APPLIANCES','MOULINEX','581131JU - 1006',null,null);
INSERT INTO product_categories VALUES('2058','DOMESTIC APPLIANCES','MOULINEX','585H39JU - 1006',null,null);
INSERT INTO product_categories VALUES('2059','DOMESTIC APPLIANCES','MOULINEX','655H10JU - 1006',null,null);
INSERT INTO product_categories VALUES('2060','DOMESTIC APPLIANCES','MOULINEX','350G10 - 1006',null,null);
INSERT INTO product_categories VALUES('2061','DOMESTIC APPLIANCES','MOULINEX','210045JU - 719',null,null);
INSERT INTO product_categories VALUES('2062','DOMESTIC APPLIANCES','MOULINEX','610D10-JU - 1006',null,null);
INSERT INTO product_categories VALUES('2063','DOMESTIC APPLIANCES','MOULINEX','610D27-HP - 1006',null,null);
INSERT INTO product_categories VALUES('2064','DOMESTIC APPLIANCES','MOULINEX','540D10BY - 1020',null,null);
INSERT INTO product_categories VALUES('2065','DOMESTIC APPLIANCES','MOULINEX','282110BY  - 1020',null,null);
INSERT INTO product_categories VALUES('2066','DOMESTIC APPLIANCES','MOULINEX','282127-BX - 1020',null,null);
INSERT INTO product_categories VALUES('2067','DOMESTIC APPLIANCES','MOULINEX','301010BY - 733',null,null);
INSERT INTO product_categories VALUES('2068','DOMESTIC APPLIANCES','MOULINEX','550D10KETTLE-HP - 1020',null,null);
INSERT INTO product_categories VALUES('2069','DOMESTIC APPLIANCES','MOULINEX','530527-HP - 1020',null,null);
INSERT INTO product_categories VALUES('2070','DOMESTIC APPLIANCES','MOULINEX','530530BX - 1020',null,null);
INSERT INTO product_categories VALUES('2071','DOMESTIC APPLIANCES','MOULINEX','150827-HP - 1020',null,null);
INSERT INTO product_categories VALUES('2072','DOMESTIC APPLIANCES','MOULINEX','280800BY - 1020',null,null);
INSERT INTO product_categories VALUES('2073','DOMESTIC APPLIANCES','MOULINEX','205131ME - 729',null,null);
INSERT INTO product_categories VALUES('2074','DOMESTIC APPLIANCES','MOULINEX','610130ME  - 1008',null,null);
INSERT INTO product_categories VALUES('2075','DOMESTIC APPLIANCES','MOULINEX','605131ME - 729',null,null);
INSERT INTO product_categories VALUES('2076','DOMESTIC APPLIANCES','MOULINEX','511H25ME - 1008',null,null);
INSERT INTO product_categories VALUES('2077','DOMESTIC APPLIANCES','MOULINEX','208139ME - 1008',null,null);
INSERT INTO product_categories VALUES('2078','DOMESTIC APPLIANCES','MOULINEX','141DDI - 728',null,null);
INSERT INTO product_categories VALUES('2079','DOMESTIC APPLIANCES','MOULINEX','500141DD - 727',null,null);
INSERT INTO product_categories VALUES('2080','DOMESTIC APPLIANCES','MOULINEX','4121HM  - 1174',null,null);
INSERT INTO product_categories VALUES('2081','DOMESTIC APPLIANCES','MOULINEX','702141DD - 728',null,null);
INSERT INTO product_categories VALUES('2082','DOMESTIC APPLIANCES','MOULINEX','724130DD - 997',null,null);
INSERT INTO product_categories VALUES('2083','DOMESTIC APPLIANCES','MOULINEX','241DDJ - 728',null,null);
INSERT INTO product_categories VALUES('2084','DOMESTIC APPLIANCES','MOULINEX','705DP - 725',null,null);
INSERT INTO product_categories VALUES('2085','DOMESTIC APPLIANCES','MOULINEX','156125-HP - 1024',null,null);
INSERT INTO product_categories VALUES('2086','DOMESTIC APPLIANCES','MOULINEX','154040-HP - 1011',null,null);
INSERT INTO product_categories VALUES('2087','DOMESTIC APPLIANCES','MOULINEX','154040SM - 732',null,null);
INSERT INTO product_categories VALUES('2088','DOMESTIC APPLIANCES','MOULINEX','154042SM - 1011',null,null);
INSERT INTO product_categories VALUES('2089','DOMESTIC APPLIANCES','MOULINEX','155843SM  - 1011',null,null);
INSERT INTO product_categories VALUES('2090','DOMESTIC APPLIANCES','MOULINEX','155845SM - 1011',null,null);
INSERT INTO product_categories VALUES('2091','DOMESTIC APPLIANCES','MOULINEX','100030L - 723',null,null);
INSERT INTO product_categories VALUES('2092','DOMESTIC APPLIANCES','MOULINEX','612543-HP - 1011',null,null);
INSERT INTO product_categories VALUES('2093','DOMESTIC APPLIANCES','MOULINEX','110031TT - 723',null,null);
INSERT INTO product_categories VALUES('2094','DOMESTIC APPLIANCES','MOULINEX','156140SM - 732',null,null);
INSERT INTO product_categories VALUES('2095','DOMESTIC APPLIANCES','MOULINEX','260811LT  - 1121',null,null);
INSERT INTO product_categories VALUES('2096','DOMESTIC APPLIANCES','MOULINEX','340811-HP - 1121',null,null);
INSERT INTO product_categories VALUES('2097','DOMESTIC APPLIANCES','MOULINEX','250830LT - 723',null,null);
INSERT INTO product_categories VALUES('2098','DOMESTIC APPLIANCES','MOULINEX','176130T - 723',null,null);
INSERT INTO product_categories VALUES('2099','DOMESTIC APPLIANCES','MOULINEX','176530TL - 1121',null,null);
INSERT INTO product_categories VALUES('2100','DOMESTIC APPLIANCES','MOULINEX','160111LY - 1121',null,null);
INSERT INTO product_categories VALUES('2101','DOMESTIC APPLIANCES','MOULINEX','160127LT  - 1121',null,null);
INSERT INTO product_categories VALUES('2102','DOMESTIC APPLIANCES','MOULINEX','141DJC - 773',null,null);
INSERT INTO product_categories VALUES('2103','DOMESTIC APPLIANCES','PANASONIC','176 - 271',null,null);
INSERT INTO product_categories VALUES('2104','DOMESTIC APPLIANCES','PANASONIC','176J - 271',null,null);
INSERT INTO product_categories VALUES('2105','DOMESTIC APPLIANCES','PANASONIC','1011 - 997',null,null);
INSERT INTO product_categories VALUES('2106','DOMESTIC APPLIANCES','PANASONIC','1061 - 997',null,null);
INSERT INTO product_categories VALUES('2107','DOMESTIC APPLIANCES','PANASONIC','1061GX - 997',null,null);
INSERT INTO product_categories VALUES('2108','DOMESTIC APPLIANCES','PANASONIC','210AC - 282',null,null);
INSERT INTO product_categories VALUES('2109','DOMESTIC APPLIANCES','PANASONIC','31DJ - 997',null,null);
INSERT INTO product_categories VALUES('2110','DOMESTIC APPLIANCES','PANASONIC','6612TG - 1351',null,null);
INSERT INTO product_categories VALUES('2111','DOMESTIC APPLIANCES','PANASONIC','1G-MXJ - 282',null,null);
INSERT INTO product_categories VALUES('2112','DOMESTIC APPLIANCES','PANASONIC','151SG2 - 997',null,null);
INSERT INTO product_categories VALUES('2113','DOMESTIC APPLIANCES','PANASONIC','151SP2 - 282',null,null);
INSERT INTO product_categories VALUES('2114','DOMESTIC APPLIANCES','PANASONIC','1521 - 997',null,null);
INSERT INTO product_categories VALUES('2115','DOMESTIC APPLIANCES','PANASONIC','1521GX  - 997',null,null);
INSERT INTO product_categories VALUES('2116','DOMESTIC APPLIANCES','PANASONIC','2511TG - 1351',null,null);
INSERT INTO product_categories VALUES('2117','DOMESTIC APPLIANCES','PANASONIC','2513TG - 1351',null,null);
INSERT INTO product_categories VALUES('2118','DOMESTIC APPLIANCES','PANASONIC','3070KM-MX - 997',null,null);
INSERT INTO product_categories VALUES('2119','DOMESTIC APPLIANCES','PANASONIC','401S-MX - 997',null,null);
INSERT INTO product_categories VALUES('2120','DOMESTIC APPLIANCES','PANASONIC','225G - 282',null,null);
INSERT INTO product_categories VALUES('2121','DOMESTIC APPLIANCES','PANASONIC','JI8G-MX - 997',null,null);
INSERT INTO product_categories VALUES('2122','DOMESTIC APPLIANCES','PANASONIC','101SP2 - 282',null,null);
INSERT INTO product_categories VALUES('2123','DOMESTIC APPLIANCES','PANASONIC','1021 - 997',null,null);
INSERT INTO product_categories VALUES('2124','DOMESTIC APPLIANCES','PANASONIC','1021EX - 997',null,null);
INSERT INTO product_categories VALUES('2125','DOMESTIC APPLIANCES','PANASONIC','1021GX - 997',null,null);
INSERT INTO product_categories VALUES('2126','DOMESTIC APPLIANCES','PANASONIC','6611 - 1351',null,null);
INSERT INTO product_categories VALUES('2127','DOMESTIC APPLIANCES','PANASONIC','1571 - 997',null,null);
INSERT INTO product_categories VALUES('2128','DOMESTIC APPLIANCES','PANASONIC','1571GX - 997',null,null);
INSERT INTO product_categories VALUES('2129','DOMESTIC APPLIANCES','PANASONIC','1500ZG - 1022',null,null);
INSERT INTO product_categories VALUES('2130','DOMESTIC APPLIANCES','PANASONIC','500F-WTN - 1944',null,null);
INSERT INTO product_categories VALUES('2131','DOMESTIC APPLIANCES','PANASONIC','500MKW  - 1843',null,null);
INSERT INTO product_categories VALUES('2132','DOMESTIC APPLIANCES','PANASONIC','5086 - 271',null,null);
INSERT INTO product_categories VALUES('2133','DOMESTIC APPLIANCES','PANASONIC','5087M - 1004',null,null);
INSERT INTO product_categories VALUES('2134','DOMESTIC APPLIANCES','PANASONIC','300AC - 1881',null,null);
INSERT INTO product_categories VALUES('2135','DOMESTIC APPLIANCES','PANASONIC','AC210SW - 2029',null,null);
INSERT INTO product_categories VALUES('2136','DOMESTIC APPLIANCES','PANASONIC','409FAN - 346',null,null);
INSERT INTO product_categories VALUES('2137','DOMESTIC APPLIANCES','PANASONIC','GS1 - 1364',null,null);
INSERT INTO product_categories VALUES('2138','DOMESTIC APPLIANCES','PANASONIC','301S-MX - 1364',null,null);
INSERT INTO product_categories VALUES('2139','DOMESTIC APPLIANCES','PANASONIC','SS1 - 1364',null,null);
INSERT INTO product_categories VALUES('2140','DOMESTIC APPLIANCES','PANASONIC','GH1 - 1174',null,null);
INSERT INTO product_categories VALUES('2141','DOMESTIC APPLIANCES','PANASONIC','GB1-MK - 1174',null,null);
INSERT INTO product_categories VALUES('2142','DOMESTIC APPLIANCES','PANASONIC','100H-WTJ - 1006',null,null);
INSERT INTO product_categories VALUES('2143','DOMESTIC APPLIANCES','PANASONIC','01DJ-MJ - 1006',null,null);
INSERT INTO product_categories VALUES('2144','DOMESTIC APPLIANCES','PANASONIC','01SJ - 1006',null,null);
INSERT INTO product_categories VALUES('2145','DOMESTIC APPLIANCES','PANASONIC','GK1 - 1020',null,null);
INSERT INTO product_categories VALUES('2146','DOMESTIC APPLIANCES','PANASONIC','1SKN-C - 1020',null,null);
INSERT INTO product_categories VALUES('2147','DOMESTIC APPLIANCES','PANASONIC','1560MG - 1008',null,null);
INSERT INTO product_categories VALUES('2148','DOMESTIC APPLIANCES','PANASONIC','1360MG - 1008',null,null);
INSERT INTO product_categories VALUES('2149','DOMESTIC APPLIANCES','PANASONIC','1360MG - 1022',null,null);
INSERT INTO product_categories VALUES('2150','DOMESTIC APPLIANCES','PANASONIC','1500G - 419',null,null);
INSERT INTO product_categories VALUES('2151','DOMESTIC APPLIANCES','PANASONIC','1GB - 1174',null,null);
INSERT INTO product_categories VALUES('2152','DOMESTIC APPLIANCES','PANASONIC','321GA - 1024',null,null);
INSERT INTO product_categories VALUES('2153','DOMESTIC APPLIANCES','PANASONIC','22WGS - 1024',null,null);
INSERT INTO product_categories VALUES('2154','DOMESTIC APPLIANCES','PANASONIC','22GS - 1024',null,null);
INSERT INTO product_categories VALUES('2155','DOMESTIC APPLIANCES','PANASONIC','GW1 - 1011',null,null);
INSERT INTO product_categories VALUES('2156','DOMESTIC APPLIANCES','PANASONIC','GP1 - 1121',null,null);
INSERT INTO product_categories VALUES('2157','DOMESTIC APPLIANCES','PANASONIC','GP1WSH - 1121',null,null);
INSERT INTO product_categories VALUES('2158','DOMESTIC APPLIANCES','PHILIPS','9240HD - 1018',null,null);
INSERT INTO product_categories VALUES('2159','DOMESTIC APPLIANCES','PHILIPS','9220HD - 1018',null,null);
INSERT INTO product_categories VALUES('2160','DOMESTIC APPLIANCES','PHILIPS','9220HD-C  - 323',null,null);
INSERT INTO product_categories VALUES('2161','DOMESTIC APPLIANCES','PHILIPS','9623-HD - 1783',null,null);
INSERT INTO product_categories VALUES('2162','DOMESTIC APPLIANCES','PHILIPS','9630HD - 1018',null,null);
INSERT INTO product_categories VALUES('2163','DOMESTIC APPLIANCES','PHILIPS','2157HR - 997',null,null);
INSERT INTO product_categories VALUES('2164','DOMESTIC APPLIANCES','PHILIPS','1613HR - 997',null,null);
INSERT INTO product_categories VALUES('2165','DOMESTIC APPLIANCES','PHILIPS','1847HR - 997',null,null);
INSERT INTO product_categories VALUES('2166','DOMESTIC APPLIANCES','PHILIPS','3556-HR - 997',null,null);
INSERT INTO product_categories VALUES('2167','DOMESTIC APPLIANCES','PHILIPS','2115-HR - 997',null,null);
INSERT INTO product_categories VALUES('2168','DOMESTIC APPLIANCES','PHILIPS','2116HR - 997',null,null);
INSERT INTO product_categories VALUES('2169','DOMESTIC APPLIANCES','PHILIPS','2118HR - 997',null,null);
INSERT INTO product_categories VALUES('2170','DOMESTIC APPLIANCES','PHILIPS','2068HR - 997',null,null);
INSERT INTO product_categories VALUES('2171','DOMESTIC APPLIANCES','PHILIPS','2071HR - 319',null,null);
INSERT INTO product_categories VALUES('2172','DOMESTIC APPLIANCES','PHILIPS','2000HR - 997',null,null);
INSERT INTO product_categories VALUES('2173','DOMESTIC APPLIANCES','PHILIPS','1538HR - 995',null,null);
INSERT INTO product_categories VALUES('2174','DOMESTIC APPLIANCES','PHILIPS','1350 - 319',null,null);
INSERT INTO product_categories VALUES('2175','DOMESTIC APPLIANCES','PHILIPS','2051HR - 997',null,null);
INSERT INTO product_categories VALUES('2176','DOMESTIC APPLIANCES','PHILIPS','2056-HR - 997',null,null);
INSERT INTO product_categories VALUES('2177','DOMESTIC APPLIANCES','PHILIPS','2104-HR - 997',null,null);
INSERT INTO product_categories VALUES('2178','DOMESTIC APPLIANCES','PHILIPS','2100HR - 997',null,null);
INSERT INTO product_categories VALUES('2179','DOMESTIC APPLIANCES','PHILIPS','2001BL - 319',null,null);
INSERT INTO product_categories VALUES('2180','DOMESTIC APPLIANCES','PHILIPS','2108HR - 997',null,null);
INSERT INTO product_categories VALUES('2181','DOMESTIC APPLIANCES','PHILIPS','2084HR - 319',null,null);
INSERT INTO product_categories VALUES('2182','DOMESTIC APPLIANCES','PHILIPS','2059HR - 997',null,null);
INSERT INTO product_categories VALUES('2183','DOMESTIC APPLIANCES','PHILIPS','2027BL - 319',null,null);
INSERT INTO product_categories VALUES('2184','DOMESTIC APPLIANCES','PHILIPS','1361BL - 319',null,null);
INSERT INTO product_categories VALUES('2185','DOMESTIC APPLIANCES','PHILIPS','1364 - 319',null,null);
INSERT INTO product_categories VALUES('2186','DOMESTIC APPLIANCES','PHILIPS','1366HR - 319',null,null);
INSERT INTO product_categories VALUES('2187','DOMESTIC APPLIANCES','PHILIPS','1617HR - 997',null,null);
INSERT INTO product_categories VALUES('2188','DOMESTIC APPLIANCES','PHILIPS','3652HR  - 997',null,null);
INSERT INTO product_categories VALUES('2189','DOMESTIC APPLIANCES','PHILIPS','2505-HR - 1022',null,null);
INSERT INTO product_categories VALUES('2190','DOMESTIC APPLIANCES','PHILIPS','1396 - 400',null,null);
INSERT INTO product_categories VALUES('2191','DOMESTIC APPLIANCES','PHILIPS','1821BL - 319',null,null);
INSERT INTO product_categories VALUES('2192','DOMESTIC APPLIANCES','PHILIPS','2738HR - 1496',null,null);
INSERT INTO product_categories VALUES('2193','DOMESTIC APPLIANCES','PHILIPS','1810HR - 772',null,null);
INSERT INTO product_categories VALUES('2194','DOMESTIC APPLIANCES','PHILIPS','7447-HD - 1021',null,null);
INSERT INTO product_categories VALUES('2195','DOMESTIC APPLIANCES','PHILIPS','7450MD - 1021',null,null);
INSERT INTO product_categories VALUES('2196','DOMESTIC APPLIANCES','PHILIPS','7457-HD - 1021',null,null);
INSERT INTO product_categories VALUES('2197','DOMESTIC APPLIANCES','PHILIPS','7140HD - 321',null,null);
INSERT INTO product_categories VALUES('2198','DOMESTIC APPLIANCES','PHILIPS','6157HD - 1018',null,null);
INSERT INTO product_categories VALUES('2199','DOMESTIC APPLIANCES','PHILIPS','9210HD - 1018',null,null);
INSERT INTO product_categories VALUES('2200','DOMESTIC APPLIANCES','PHILIPS','9238 - 1018',null,null);
INSERT INTO product_categories VALUES('2201','DOMESTIC APPLIANCES','PHILIPS','7920-HR - 1656',null,null);
INSERT INTO product_categories VALUES('2202','DOMESTIC APPLIANCES','PHILIPS','7310HR - 1843',null,null);
INSERT INTO product_categories VALUES('2203','DOMESTIC APPLIANCES','PHILIPS','7320HR - 1843',null,null);
INSERT INTO product_categories VALUES('2204','DOMESTIC APPLIANCES','PHILIPS','7620HR - 319',null,null);
INSERT INTO product_categories VALUES('2205','DOMESTIC APPLIANCES','PHILIPS','7627HR - 1001',null,null);
INSERT INTO product_categories VALUES('2206','DOMESTIC APPLIANCES','PHILIPS','1843HR - 1001',null,null);
INSERT INTO product_categories VALUES('2207','DOMESTIC APPLIANCES','PHILIPS','7761HR - 1004',null,null);
INSERT INTO product_categories VALUES('2208','DOMESTIC APPLIANCES','PHILIPS','7778 - 1001',null,null);
INSERT INTO product_categories VALUES('2209','DOMESTIC APPLIANCES','PHILIPS','9120HD - 1023',null,null);
INSERT INTO product_categories VALUES('2210','DOMESTIC APPLIANCES','PHILIPS','9125-HD - 1023',null,null);
INSERT INTO product_categories VALUES('2211','DOMESTIC APPLIANCES','PHILIPS','9104-HD - 1023',null,null);
INSERT INTO product_categories VALUES('2212','DOMESTIC APPLIANCES','PHILIPS','4419HD - 1272',null,null);
INSERT INTO product_categories VALUES('2213','DOMESTIC APPLIANCES','PHILIPS','6320-HD - 1128',null,null);
INSERT INTO product_categories VALUES('2214','DOMESTIC APPLIANCES','PHILIPS','1603-HR - 1364',null,null);
INSERT INTO product_categories VALUES('2215','DOMESTIC APPLIANCES','PHILIPS','2737CITRUS - 335',null,null);
INSERT INTO product_categories VALUES('2216','DOMESTIC APPLIANCES','PHILIPS','1823HR - 995',null,null);
INSERT INTO product_categories VALUES('2217','DOMESTIC APPLIANCES','PHILIPS','1863HR - 1006',null,null);
INSERT INTO product_categories VALUES('2218','DOMESTIC APPLIANCES','PHILIPS','1811HR  - 1006',null,null);
INSERT INTO product_categories VALUES('2219','DOMESTIC APPLIANCES','PHILIPS','1858HR - 319',null,null);
INSERT INTO product_categories VALUES('2220','DOMESTIC APPLIANCES','PHILIPS','1836-HR - 1006',null,null);
INSERT INTO product_categories VALUES('2221','DOMESTIC APPLIANCES','PHILIPS','9334-HD - 1020',null,null);
INSERT INTO product_categories VALUES('2222','DOMESTIC APPLIANCES','PHILIPS','9303HD - 1020',null,null);
INSERT INTO product_categories VALUES('2223','DOMESTIC APPLIANCES','PHILIPS','9306HD - 1020',null,null);
INSERT INTO product_categories VALUES('2224','DOMESTIC APPLIANCES','PHILIPS','4646 - 318',null,null);
INSERT INTO product_categories VALUES('2225','DOMESTIC APPLIANCES','PHILIPS','4676HD - 1020',null,null);
INSERT INTO product_categories VALUES('2226','DOMESTIC APPLIANCES','PHILIPS','4680 - 1020',null,null);
INSERT INTO product_categories VALUES('2227','DOMESTIC APPLIANCES','PHILIPS','4608 - 1020',null,null);
INSERT INTO product_categories VALUES('2228','DOMESTIC APPLIANCES','PHILIPS','9350HD - 1020',null,null);
INSERT INTO product_categories VALUES('2229','DOMESTIC APPLIANCES','PHILIPS','9355-HD - 1020',null,null);
INSERT INTO product_categories VALUES('2230','DOMESTIC APPLIANCES','PHILIPS','2725HR - 507',null,null);
INSERT INTO product_categories VALUES('2231','DOMESTIC APPLIANCES','PHILIPS','2710-HR - 1008',null,null);
INSERT INTO product_categories VALUES('2232','DOMESTIC APPLIANCES','PHILIPS','3705HR - 1174',null,null);
INSERT INTO product_categories VALUES('2233','DOMESTIC APPLIANCES','PHILIPS','1600HR - 1174',null,null);
INSERT INTO product_categories VALUES('2234','DOMESTIC APPLIANCES','PHILIPS','1456 - 325',null,null);
INSERT INTO product_categories VALUES('2235','DOMESTIC APPLIANCES','PHILIPS','3745HR - 1174',null,null);
INSERT INTO product_categories VALUES('2236','DOMESTIC APPLIANCES','PHILIPS','1565HR - 1174',null,null);
INSERT INTO product_categories VALUES('2237','DOMESTIC APPLIANCES','PHILIPS','3132HD  - 1024',null,null);
INSERT INTO product_categories VALUES('2238','DOMESTIC APPLIANCES','PHILIPS','3015HD - 1024',null,null);
INSERT INTO product_categories VALUES('2239','DOMESTIC APPLIANCES','PHILIPS','4729HR - 1024',null,null);
INSERT INTO product_categories VALUES('2240','DOMESTIC APPLIANCES','PHILIPS','4911HD - 1024',null,null);
INSERT INTO product_categories VALUES('2241','DOMESTIC APPLIANCES','PHILIPS','2139HD  - 2022',null,null);
INSERT INTO product_categories VALUES('2242','DOMESTIC APPLIANCES','PHILIPS','3115HD - 1024',null,null);
INSERT INTO product_categories VALUES('2243','DOMESTIC APPLIANCES','PHILIPS','2383 - 324',null,null);
INSERT INTO product_categories VALUES('2244','DOMESTIC APPLIANCES','PHILIPS','2393HD - 1011',null,null);
INSERT INTO product_categories VALUES('2245','DOMESTIC APPLIANCES','PHILIPS','2415 - 324',null,null);
INSERT INTO product_categories VALUES('2246','DOMESTIC APPLIANCES','PHILIPS','4815HD - 1121',null,null);
INSERT INTO product_categories VALUES('2247','DOMESTIC APPLIANCES','PHILIPS','4825-HD - 1121',null,null);
INSERT INTO product_categories VALUES('2248','DOMESTIC APPLIANCES','PHILIPS','2637-HD - 1121',null,null);
INSERT INTO product_categories VALUES('2249','DOMESTIC APPLIANCES','PHILIPS','2595HD - 1121',null,null);
INSERT INTO product_categories VALUES('2250','DOMESTIC APPLIANCES','PHILIPS','2582HD - 1121',null,null);
INSERT INTO product_categories VALUES('2251','DOMESTIC APPLIANCES','SANYO','100G - 203',null,null);
INSERT INTO product_categories VALUES('2252','DOMESTIC APPLIANCES','SENCOR','SRF-3220WH - 1835',null,null);
INSERT INTO product_categories VALUES('2253','DOMESTIC APPLIANCES','SENCOR','2028BK-SEO - 1818',null,null);
INSERT INTO product_categories VALUES('2254','DOMESTIC APPLIANCES','SENCOR','4370 - 1364',null,null);
INSERT INTO product_categories VALUES('2255','DOMESTIC APPLIANCES','SENCOR','4372-SBL - 1364',null,null);
INSERT INTO product_categories VALUES('2256','DOMESTIC APPLIANCES','SENCOR','4470SS-SBL - 997',null,null);
INSERT INTO product_categories VALUES('2257','DOMESTIC APPLIANCES','SENCOR','3271SS - 1364',null,null);
INSERT INTO product_categories VALUES('2258','DOMESTIC APPLIANCES','SENCOR','3272RD-SBL - 1364',null,null);
INSERT INTO product_categories VALUES('2259','DOMESTIC APPLIANCES','SENCOR','4300WH-SNB - 997',null,null);
INSERT INTO product_categories VALUES('2260','DOMESTIC APPLIANCES','SENCOR','4330-SHB - 1022',null,null);
INSERT INTO product_categories VALUES('2261','DOMESTIC APPLIANCES','SENCOR','4310-SHB - 1022',null,null);
INSERT INTO product_categories VALUES('2262','DOMESTIC APPLIANCES','SENCOR','4310SHB  - 1022',null,null);
INSERT INTO product_categories VALUES('2263','DOMESTIC APPLIANCES','SENCOR','4310SM - 2041',null,null);
INSERT INTO product_categories VALUES('2264','DOMESTIC APPLIANCES','SENCOR','6050SS - 1208',null,null);
INSERT INTO product_categories VALUES('2265','DOMESTIC APPLIANCES','SENCOR','2001WH-DCE - 1021',null,null);
INSERT INTO product_categories VALUES('2266','DOMESTIC APPLIANCES','SENCOR','2051BK-SBG - 1128',null,null);
INSERT INTO product_categories VALUES('2267','DOMESTIC APPLIANCES','SENCOR','2010BK-SES - 1021',null,null);
INSERT INTO product_categories VALUES('2268','DOMESTIC APPLIANCES','SENCOR','2000BK-DEC - 1021',null,null);
INSERT INTO product_categories VALUES('2269','DOMESTIC APPLIANCES','SENCOR','1050WH-SCG - 1021',null,null);
INSERT INTO product_categories VALUES('2270','DOMESTIC APPLIANCES','SENCOR','1710BK-SES - 1367',null,null);
INSERT INTO product_categories VALUES('2271','DOMESTIC APPLIANCES','SENCOR','3015VT-STM  - 1788',null,null);
INSERT INTO product_categories VALUES('2272','DOMESTIC APPLIANCES','SENCOR','3016YL-STM - 1788',null,null);
INSERT INTO product_categories VALUES('2273','DOMESTIC APPLIANCES','SENCOR','3017TQ-STM - 1788',null,null);
INSERT INTO product_categories VALUES('2274','DOMESTIC APPLIANCES','SENCOR','3018RS-STM - 1788',null,null);
INSERT INTO product_categories VALUES('2275','DOMESTIC APPLIANCES','SENCOR','3013OR-STM  - 1788',null,null);
INSERT INTO product_categories VALUES('2276','DOMESTIC APPLIANCES','SENCOR','3011GR-STM - 1788',null,null);
INSERT INTO product_categories VALUES('2277','DOMESTIC APPLIANCES','SENCOR','3011GR-STM - 1793',null,null);
INSERT INTO product_categories VALUES('2278','DOMESTIC APPLIANCES','SENCOR','3012BL-STM - 1788',null,null);
INSERT INTO product_categories VALUES('2279','DOMESTIC APPLIANCES','SENCOR','3010WH-STM  - 1788',null,null);
INSERT INTO product_categories VALUES('2280','DOMESTIC APPLIANCES','SENCOR','3010WH-STM - 1793',null,null);
INSERT INTO product_categories VALUES('2281','DOMESTIC APPLIANCES','SENCOR','3623OR-STM - 1174',null,null);
INSERT INTO product_categories VALUES('2282','DOMESTIC APPLIANCES','SENCOR','3625VT-STM - 1174',null,null);
INSERT INTO product_categories VALUES('2283','DOMESTIC APPLIANCES','SENCOR','3626YL-STM - 1844',null,null);
INSERT INTO product_categories VALUES('2284','DOMESTIC APPLIANCES','SENCOR','3627TQ-STM - 1844',null,null);
INSERT INTO product_categories VALUES('2285','DOMESTIC APPLIANCES','SENCOR','3627YTQ-STM - 1844',null,null);
INSERT INTO product_categories VALUES('2286','DOMESTIC APPLIANCES','SENCOR','3628RS-STM - 1844',null,null);
INSERT INTO product_categories VALUES('2287','DOMESTIC APPLIANCES','SENCOR','3700WH - 1174',null,null);
INSERT INTO product_categories VALUES('2288','DOMESTIC APPLIANCES','SENCOR','3700WH-STM - 1174',null,null);
INSERT INTO product_categories VALUES('2289','DOMESTIC APPLIANCES','SENCOR','3500WH-SSG - 1788',null,null);
INSERT INTO product_categories VALUES('2290','DOMESTIC APPLIANCES','SENCOR','3500WH-SSG - 1794',null,null);
INSERT INTO product_categories VALUES('2291','DOMESTIC APPLIANCES','SENCOR','3501GR-SSG - 1788',null,null);
INSERT INTO product_categories VALUES('2292','DOMESTIC APPLIANCES','SENCOR','3501GR-SSG - 1794',null,null);
INSERT INTO product_categories VALUES('2293','DOMESTIC APPLIANCES','SENCOR','3502BL-SSG - 1788',null,null);
INSERT INTO product_categories VALUES('2294','DOMESTIC APPLIANCES','SENCOR','3503OR-SSG - 1788',null,null);
INSERT INTO product_categories VALUES('2295','DOMESTIC APPLIANCES','SENCOR','3504RD-SSG - 1788',null,null);
INSERT INTO product_categories VALUES('2296','DOMESTIC APPLIANCES','SENCOR','41GR-STM - 1004',null,null);
INSERT INTO product_categories VALUES('2297','DOMESTIC APPLIANCES','SENCOR','40WH - 1004',null,null);
INSERT INTO product_categories VALUES('2298','DOMESTIC APPLIANCES','SENCOR','45VT-STM - 1004',null,null);
INSERT INTO product_categories VALUES('2299','DOMESTIC APPLIANCES','SENCOR','3505VT-SSG - 1788',null,null);
INSERT INTO product_categories VALUES('2300','DOMESTIC APPLIANCES','SENCOR','3506YL-SSG - 1788',null,null);
INSERT INTO product_categories VALUES('2301','DOMESTIC APPLIANCES','SENCOR','3507TQ-SSG - 1788',null,null);
INSERT INTO product_categories VALUES('2302','DOMESTIC APPLIANCES','SENCOR','3508RS-SSG - 1788',null,null);
INSERT INTO product_categories VALUES('2303','DOMESTIC APPLIANCES','SENCOR','43OR - 1004',null,null);
INSERT INTO product_categories VALUES('2304','DOMESTIC APPLIANCES','SENCOR','42BL - 1004',null,null);
INSERT INTO product_categories VALUES('2305','DOMESTIC APPLIANCES','SENCOR','42BL-STM - 1004',null,null);
INSERT INTO product_categories VALUES('2306','DOMESTIC APPLIANCES','SENCOR','47GG-STM - 1004',null,null);
INSERT INTO product_categories VALUES('2307','DOMESTIC APPLIANCES','SENCOR','44RD-STM - 1004',null,null);
INSERT INTO product_categories VALUES('2308','DOMESTIC APPLIANCES','SENCOR','48RS - 1004',null,null);
INSERT INTO product_categories VALUES('2309','DOMESTIC APPLIANCES','SENCOR','106BK-SBG - 1128',null,null);
INSERT INTO product_categories VALUES('2310','DOMESTIC APPLIANCES','SENCOR','31GR - 1121',null,null);
INSERT INTO product_categories VALUES('2311','DOMESTIC APPLIANCES','SENCOR','32BL - 1121',null,null);
INSERT INTO product_categories VALUES('2312','DOMESTIC APPLIANCES','SENCOR','38RS - 1364',null,null);
INSERT INTO product_categories VALUES('2313','DOMESTIC APPLIANCES','SENCOR','4110WH-SHB - 1364',null,null);
INSERT INTO product_categories VALUES('2314','DOMESTIC APPLIANCES','SENCOR','4110WH-SHB - 997',null,null);
INSERT INTO product_categories VALUES('2315','DOMESTIC APPLIANCES','SENCOR','4355 - 1364',null,null);
INSERT INTO product_categories VALUES('2316','DOMESTIC APPLIANCES','SENCOR','4356-SHB - 1364',null,null);
INSERT INTO product_categories VALUES('2317','DOMESTIC APPLIANCES','SENCOR','35VT - 1364',null,null);
INSERT INTO product_categories VALUES('2318','DOMESTIC APPLIANCES','SENCOR','2020BL-SHB - 1364',null,null);
INSERT INTO product_categories VALUES('2319','DOMESTIC APPLIANCES','SENCOR','4360 - 1364',null,null);
INSERT INTO product_categories VALUES('2320','DOMESTIC APPLIANCES','SENCOR','4361BL - 1364',null,null);
INSERT INTO product_categories VALUES('2321','DOMESTIC APPLIANCES','SENCOR','4362GR - 1364',null,null);
INSERT INTO product_categories VALUES('2322','DOMESTIC APPLIANCES','SENCOR','4363OR - 1364',null,null);
INSERT INTO product_categories VALUES('2323','DOMESTIC APPLIANCES','SENCOR','4364RD - 1364',null,null);
INSERT INTO product_categories VALUES('2324','DOMESTIC APPLIANCES','SENCOR','4365VT - 1364',null,null);
INSERT INTO product_categories VALUES('2325','DOMESTIC APPLIANCES','SENCOR','4366YL - 1364',null,null);
INSERT INTO product_categories VALUES('2326','DOMESTIC APPLIANCES','SENCOR','4367TQ - 1364',null,null);
INSERT INTO product_categories VALUES('2327','DOMESTIC APPLIANCES','SENCOR','4368RS - 1364',null,null);
INSERT INTO product_categories VALUES('2328','DOMESTIC APPLIANCES','SENCOR','30WH - 1121',null,null);
INSERT INTO product_categories VALUES('2329','DOMESTIC APPLIANCES','SENCOR','32BL - 1364',null,null);
INSERT INTO product_categories VALUES('2330','DOMESTIC APPLIANCES','SENCOR','5205-SHM - 1364',null,null);
INSERT INTO product_categories VALUES('2331','DOMESTIC APPLIANCES','SENCOR','37GG - 1020',null,null);
INSERT INTO product_categories VALUES('2332','DOMESTIC APPLIANCES','SENCOR','5201-SHM - 1364',null,null);
INSERT INTO product_categories VALUES('2333','DOMESTIC APPLIANCES','SENCOR','5203-SHM - 1364',null,null);
INSERT INTO product_categories VALUES('2334','DOMESTIC APPLIANCES','SENCOR','5205-SHM - 1174',null,null);
INSERT INTO product_categories VALUES('2335','DOMESTIC APPLIANCES','SENCOR','6203SS-SHM - 1364',null,null);
INSERT INTO product_categories VALUES('2336','DOMESTIC APPLIANCES','SENCOR','5270 - 1364',null,null);
INSERT INTO product_categories VALUES('2337','DOMESTIC APPLIANCES','SENCOR','5330 - 1174',null,null);
INSERT INTO product_categories VALUES('2338','DOMESTIC APPLIANCES','SENCOR','5330-SHM - 1174',null,null);
INSERT INTO product_categories VALUES('2339','DOMESTIC APPLIANCES','SENCOR','1006RD-SJE - 1006',null,null);
INSERT INTO product_categories VALUES('2340','DOMESTIC APPLIANCES','SENCOR','1007WH - 1006',null,null);
INSERT INTO product_categories VALUES('2341','DOMESTIC APPLIANCES','SENCOR','1005 - 1006',null,null);
INSERT INTO product_categories VALUES('2342','DOMESTIC APPLIANCES','SENCOR','5580WH-SBL - 997',null,null);
INSERT INTO product_categories VALUES('2343','DOMESTIC APPLIANCES','SENCOR','742RD - 1006',null,null);
INSERT INTO product_categories VALUES('2344','DOMESTIC APPLIANCES','SENCOR','743WH - 1006',null,null);
INSERT INTO product_categories VALUES('2345','DOMESTIC APPLIANCES','SENCOR','741SS - 1006',null,null);
INSERT INTO product_categories VALUES('2346','DOMESTIC APPLIANCES','SENCOR','1051GR-SCJ - 1496',null,null);
INSERT INTO product_categories VALUES('2347','DOMESTIC APPLIANCES','SENCOR','1055SS-SJE - 1006',null,null);
INSERT INTO product_categories VALUES('2348','DOMESTIC APPLIANCES','SENCOR','1056RD-SJE - 1006',null,null);
INSERT INTO product_categories VALUES('2349','DOMESTIC APPLIANCES','SENCOR','1050BK - 1021',null,null);
INSERT INTO product_categories VALUES('2350','DOMESTIC APPLIANCES','SENCOR','1812BL-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2351','DOMESTIC APPLIANCES','SENCOR','1813OR-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2352','DOMESTIC APPLIANCES','SENCOR','1814RD-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2353','DOMESTIC APPLIANCES','SENCOR','1810WH-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2354','DOMESTIC APPLIANCES','SENCOR','1811GR-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2355','DOMESTIC APPLIANCES','SENCOR','1815VT-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2356','DOMESTIC APPLIANCES','SENCOR','1017TQ-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2357','DOMESTIC APPLIANCES','SENCOR','1018RS-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2358','DOMESTIC APPLIANCES','SENCOR','1015VT-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2359','DOMESTIC APPLIANCES','SENCOR','1016YL-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2360','DOMESTIC APPLIANCES','SENCOR','30WH-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2361','DOMESTIC APPLIANCES','SENCOR','31GR-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2362','DOMESTIC APPLIANCES','SENCOR','1500 - 1020',null,null);
INSERT INTO product_categories VALUES('2363','DOMESTIC APPLIANCES','SENCOR','102BL - 1020',null,null);
INSERT INTO product_categories VALUES('2364','DOMESTIC APPLIANCES','SENCOR','1800WH-SWK  - 1020',null,null);
INSERT INTO product_categories VALUES('2365','DOMESTIC APPLIANCES','SENCOR','2020WH-SMF - 1841',null,null);
INSERT INTO product_categories VALUES('2366','DOMESTIC APPLIANCES','SENCOR','36YL - 1364',null,null);
INSERT INTO product_categories VALUES('2367','DOMESTIC APPLIANCES','SENCOR','1740 - 1020',null,null);
INSERT INTO product_categories VALUES('2368','DOMESTIC APPLIANCES','SENCOR','1741RD-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2369','DOMESTIC APPLIANCES','SENCOR','1730BK - 1020',null,null);
INSERT INTO product_categories VALUES('2370','DOMESTIC APPLIANCES','SENCOR','1505VT - 1020',null,null);
INSERT INTO product_categories VALUES('2371','DOMESTIC APPLIANCES','SENCOR','1506YL  - 1020',null,null);
INSERT INTO product_categories VALUES('2372','DOMESTIC APPLIANCES','SENCOR','32BL - 1020',null,null);
INSERT INTO product_categories VALUES('2373','DOMESTIC APPLIANCES','SENCOR','34RD-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2374','DOMESTIC APPLIANCES','SENCOR','1012BL-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2375','DOMESTIC APPLIANCES','SENCOR','1010WH-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2376','DOMESTIC APPLIANCES','SENCOR','1013OR-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2377','DOMESTIC APPLIANCES','SENCOR','1014RD-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2378','DOMESTIC APPLIANCES','SENCOR','1011GR-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2379','DOMESTIC APPLIANCES','SENCOR','1780 - 1020',null,null);
INSERT INTO product_categories VALUES('2380','DOMESTIC APPLIANCES','SENCOR','1816YL-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2381','DOMESTIC APPLIANCES','SENCOR','1817TQ-SWK - 1020',null,null);
INSERT INTO product_categories VALUES('2382','DOMESTIC APPLIANCES','SENCOR','4381SMG - 1008',null,null);
INSERT INTO product_categories VALUES('2383','DOMESTIC APPLIANCES','SENCOR','4382-SMG - 1008',null,null);
INSERT INTO product_categories VALUES('2384','DOMESTIC APPLIANCES','SENCOR','2052RD-SBG - 1128',null,null);
INSERT INTO product_categories VALUES('2385','DOMESTIC APPLIANCES','SENCOR','8023-SPM - 1528',null,null);
INSERT INTO product_categories VALUES('2386','DOMESTIC APPLIANCES','SENCOR','1500WH - 1024',null,null);
INSERT INTO product_categories VALUES('2387','DOMESTIC APPLIANCES','SENCOR','4200SS - 1011',null,null);
INSERT INTO product_categories VALUES('2388','DOMESTIC APPLIANCES','SENCOR','4204RD - 1011',null,null);
INSERT INTO product_categories VALUES('2389','DOMESTIC APPLIANCES','SENCOR','1100-SSM - 1011',null,null);
INSERT INTO product_categories VALUES('2390','DOMESTIC APPLIANCES','SENCOR','9300 - 1011',null,null);
INSERT INTO product_categories VALUES('2391','DOMESTIC APPLIANCES','SENCOR','8700WH - 1011',null,null);
INSERT INTO product_categories VALUES('2392','DOMESTIC APPLIANCES','SENCOR','9400SS - 1011',null,null);
INSERT INTO product_categories VALUES('2393','DOMESTIC APPLIANCES','SENCOR','9404RD-SSM - 1011',null,null);
INSERT INTO product_categories VALUES('2394','DOMESTIC APPLIANCES','SENCOR','4210WH - 1011',null,null);
INSERT INTO product_categories VALUES('2395','DOMESTIC APPLIANCES','SENCOR','4220SS-SSM - 1011',null,null);
INSERT INTO product_categories VALUES('2396','DOMESTIC APPLIANCES','SENCOR','4221RD-SSM - 1011',null,null);
INSERT INTO product_categories VALUES('2397','DOMESTIC APPLIANCES','SENCOR','4304RD-SSM - 1011',null,null);
INSERT INTO product_categories VALUES('2398','DOMESTIC APPLIANCES','SENCOR','3100WH - 1011',null,null);
INSERT INTO product_categories VALUES('2399','DOMESTIC APPLIANCES','SENCOR','3100-SSM - 1011',null,null);
INSERT INTO product_categories VALUES('2400','DOMESTIC APPLIANCES','SENCOR','36YL-SKS - 1790',null,null);
INSERT INTO product_categories VALUES('2401','DOMESTIC APPLIANCES','SENCOR','35VT-SKS - 1790',null,null);
INSERT INTO product_categories VALUES('2402','DOMESTIC APPLIANCES','SENCOR','34RD-SKS - 1790',null,null);
INSERT INTO product_categories VALUES('2403','DOMESTIC APPLIANCES','SENCOR','33OR-SKS - 1790',null,null);
INSERT INTO product_categories VALUES('2404','DOMESTIC APPLIANCES','SENCOR','37GG-SKS - 1790',null,null);
INSERT INTO product_categories VALUES('2405','DOMESTIC APPLIANCES','SENCOR','31GR-SKS - 1788',null,null);
INSERT INTO product_categories VALUES('2406','DOMESTIC APPLIANCES','SENCOR','2207TQ-SBL - 997',null,null);
INSERT INTO product_categories VALUES('2407','DOMESTIC APPLIANCES','SENCOR','2204RD-SBL - 997',null,null);
INSERT INTO product_categories VALUES('2408','DOMESTIC APPLIANCES','SENCOR','2200WH-SBL - 1174',null,null);
INSERT INTO product_categories VALUES('2409','DOMESTIC APPLIANCES','SENCOR','2202BL - 997',null,null);
INSERT INTO product_categories VALUES('2410','DOMESTIC APPLIANCES','SENCOR','2300-SBL - 997',null,null);
INSERT INTO product_categories VALUES('2411','DOMESTIC APPLIANCES','SENCOR','35VT - 1020',null,null);
INSERT INTO product_categories VALUES('2412','DOMESTIC APPLIANCES','SENCOR','36YL - 1020',null,null);
INSERT INTO product_categories VALUES('2413','DOMESTIC APPLIANCES','SENCOR','5070SS-STS - 1121',null,null);
INSERT INTO product_categories VALUES('2414','DOMESTIC APPLIANCES','SENCOR','1110 - 1121',null,null);
INSERT INTO product_categories VALUES('2415','DOMESTIC APPLIANCES','SENCOR','2003-STS - 1121',null,null);
INSERT INTO product_categories VALUES('2416','DOMESTIC APPLIANCES','SENCOR','34RD - 1121',null,null);
INSERT INTO product_categories VALUES('2417','DOMESTIC APPLIANCES','SENCOR','2602 - 1121',null,null);
INSERT INTO product_categories VALUES('2418','DOMESTIC APPLIANCES','SENCOR','2603 - 1121',null,null);
INSERT INTO product_categories VALUES('2419','DOMESTIC APPLIANCES','SENCOR','2604 - 1121',null,null);
INSERT INTO product_categories VALUES('2420','DOMESTIC APPLIANCES','SENCOR','37GG - 1364',null,null);
INSERT INTO product_categories VALUES('2421','DOMESTIC APPLIANCES','SENCOR','33OR - 1020',null,null);
INSERT INTO product_categories VALUES('2422','DOMESTIC APPLIANCES','SENCOR','33OR - 1121',null,null);
INSERT INTO product_categories VALUES('2423','DOMESTIC APPLIANCES','SENCOR','30WH - 1364',null,null);
INSERT INTO product_categories VALUES('2424','DOMESTIC APPLIANCES','SENCOR','38RS - 1020',null,null);
INSERT INTO product_categories VALUES('2425','DOMESTIC APPLIANCES','SENCOR','2700WH-STS - 1020',null,null);
INSERT INTO product_categories VALUES('2426','DOMESTIC APPLIANCES','SENCOR','2701GR - 1121',null,null);
INSERT INTO product_categories VALUES('2427','DOMESTIC APPLIANCES','SENCOR','2702BL - 1121',null,null);
INSERT INTO product_categories VALUES('2428','DOMESTIC APPLIANCES','SENCOR','2703OR - 1121',null,null);
INSERT INTO product_categories VALUES('2429','DOMESTIC APPLIANCES','SENCOR','2705VT - 1121',null,null);
INSERT INTO product_categories VALUES('2430','DOMESTIC APPLIANCES','SENCOR','2706YL - 1121',null,null);
INSERT INTO product_categories VALUES('2431','DOMESTIC APPLIANCES','SENCOR','2707TQ - 1121',null,null);
INSERT INTO product_categories VALUES('2432','DOMESTIC APPLIANCES','SENCOR','2708RS - 1121',null,null);
INSERT INTO product_categories VALUES('2433','DOMESTIC APPLIANCES','SENCOR','2651 - 1121',null,null);
INSERT INTO product_categories VALUES('2434','DOMESTIC APPLIANCES','SENCOR','2652RD - 1121',null,null);
INSERT INTO product_categories VALUES('2435','DOMESTIC APPLIANCES','SIGNATURE','20AC - 1237',null,null);
INSERT INTO product_categories VALUES('2436','DOMESTIC APPLIANCES','SIGNATURE','22AC - 1749',null,null);
INSERT INTO product_categories VALUES('2437','DOMESTIC APPLIANCES','SIGNATURE','FW25 - 1124',null,null);
INSERT INTO product_categories VALUES('2438','DOMESTIC APPLIANCES','SIGNATURE','SET-FB25 - 1694',null,null);
INSERT INTO product_categories VALUES('2439','DOMESTIC APPLIANCES','SIGNATURE','SET-FS25 - 1694',null,null);
INSERT INTO product_categories VALUES('2440','DOMESTIC APPLIANCES','SIGNATURE','AC24 - 1867',null,null);
INSERT INTO product_categories VALUES('2441','DOMESTIC APPLIANCES','SIGNATURE','AC16 - 1868',null,null);
INSERT INTO product_categories VALUES('2442','DOMESTIC APPLIANCES','SINBO','3641C - 1124',null,null);
INSERT INTO product_categories VALUES('2443','DOMESTIC APPLIANCES','SPECTRA','1500QK-SPECTRA - 1516',null,null);
INSERT INTO product_categories VALUES('2444','DOMESTIC APPLIANCES','TEFAL','RDO20CM - 843',null,null);
INSERT INTO product_categories VALUES('2445','DOMESTIC APPLIANCES','TEFAL','RDO20CMGL - 843',null,null);
INSERT INTO product_categories VALUES('2446','DOMESTIC APPLIANCES','TEFAL','RDO22CMGL - 843',null,null);
INSERT INTO product_categories VALUES('2447','DOMESTIC APPLIANCES','TEFAL','RDO24CM - 843',null,null);
INSERT INTO product_categories VALUES('2448','DOMESTIC APPLIANCES','TEFAL','RDO28CM - 843',null,null);
INSERT INTO product_categories VALUES('2449','DOMESTIC APPLIANCES','TEKA','490HC - 744',null,null);
INSERT INTO product_categories VALUES('2450','DOMESTIC APPLIANCES','WESTPOINT','5254WF - 1783',null,null);
INSERT INTO product_categories VALUES('2451','DOMESTIC APPLIANCES','WESTPOINT','5255WF - 1019',null,null);
INSERT INTO product_categories VALUES('2452','DOMESTIC APPLIANCES','WESTPOINT','4700RKC  - 1124',null,null);
INSERT INTO product_categories VALUES('2453','DOMESTIC APPLIANCES','WESTPOINT','3800WF - 1743',null,null);
INSERT INTO product_categories VALUES('2454','DOMESTIC APPLIANCES','WESTPOINT','4300RCK - 1744',null,null);
INSERT INTO product_categories VALUES('2455','DOMESTIC APPLIANCES','WESTPOINT','4500RKC - 678',null,null);
INSERT INTO product_categories VALUES('2456','DOMESTIC APPLIANCES','WESTPOINT','4800R - 1124',null,null);
INSERT INTO product_categories VALUES('2457','DOMESTIC APPLIANCES','WESTPOINT','3400RP - 1121',null,null);
INSERT INTO product_categories VALUES('2458','DOMESTIC APPLIANCES','WESTPOINT','1000DWF  - 1527',null,null);
INSERT INTO product_categories VALUES('2459','DOMESTIC APPLIANCES','WESTPOINT','313 - 284',null,null);
INSERT INTO product_categories VALUES('2460','DOMESTIC APPLIANCES','WESTPOINT','949WF - 284',null,null);
INSERT INTO product_categories VALUES('2461','DOMESTIC APPLIANCES','WESTPOINT','9491WF - 997',null,null);
INSERT INTO product_categories VALUES('2462','DOMESTIC APPLIANCES','WESTPOINT','9492WF - 997',null,null);
INSERT INTO product_categories VALUES('2463','DOMESTIC APPLIANCES','WESTPOINT','305WF - 997',null,null);
INSERT INTO product_categories VALUES('2464','DOMESTIC APPLIANCES','WESTPOINT','718WF - 284',null,null);
INSERT INTO product_categories VALUES('2465','DOMESTIC APPLIANCES','WESTPOINT','7181WF - 997',null,null);
INSERT INTO product_categories VALUES('2466','DOMESTIC APPLIANCES','WESTPOINT','7182WF - 997',null,null);
INSERT INTO product_categories VALUES('2467','DOMESTIC APPLIANCES','WESTPOINT','505WF - 997',null,null);
INSERT INTO product_categories VALUES('2468','DOMESTIC APPLIANCES','WESTPOINT','446WF - 997',null,null);
INSERT INTO product_categories VALUES('2469','DOMESTIC APPLIANCES','WESTPOINT','9815WF  - 1364',null,null);
INSERT INTO product_categories VALUES('2470','DOMESTIC APPLIANCES','WESTPOINT','9815WF - 997',null,null);
INSERT INTO product_categories VALUES('2471','DOMESTIC APPLIANCES','WESTPOINT','304WF - 997',null,null);
INSERT INTO product_categories VALUES('2472','DOMESTIC APPLIANCES','WESTPOINT','301WF  - 997',null,null);
INSERT INTO product_categories VALUES('2473','DOMESTIC APPLIANCES','WESTPOINT','370WF - 997',null,null);
INSERT INTO product_categories VALUES('2474','DOMESTIC APPLIANCES','WESTPOINT','365WF - 997',null,null);
INSERT INTO product_categories VALUES('2475','DOMESTIC APPLIANCES','WESTPOINT','8814WF - 997',null,null);
INSERT INTO product_categories VALUES('2476','DOMESTIC APPLIANCES','WESTPOINT','8823WF - 997',null,null);
INSERT INTO product_categories VALUES('2477','DOMESTIC APPLIANCES','WESTPOINT','8824WF - 997',null,null);
INSERT INTO product_categories VALUES('2478','DOMESTIC APPLIANCES','WESTPOINT','9291WF - 997',null,null);
INSERT INTO product_categories VALUES('2479','DOMESTIC APPLIANCES','WESTPOINT','9292WF - 997',null,null);
INSERT INTO product_categories VALUES('2480','DOMESTIC APPLIANCES','WESTPOINT','929WF - 284',null,null);
INSERT INTO product_categories VALUES('2481','DOMESTIC APPLIANCES','WESTPOINT','7501WF - 997',null,null);
INSERT INTO product_categories VALUES('2482','DOMESTIC APPLIANCES','WESTPOINT','7381WF - 997',null,null);
INSERT INTO product_categories VALUES('2483','DOMESTIC APPLIANCES','WESTPOINT','7382WF - 997',null,null);
INSERT INTO product_categories VALUES('2484','DOMESTIC APPLIANCES','WESTPOINT','738WF - 284',null,null);
INSERT INTO product_categories VALUES('2485','DOMESTIC APPLIANCES','WESTPOINT','311WF - 997',null,null);
INSERT INTO product_categories VALUES('2486','DOMESTIC APPLIANCES','WESTPOINT','315WF - 284',null,null);
INSERT INTO product_categories VALUES('2487','DOMESTIC APPLIANCES','WESTPOINT','302WF - 997',null,null);
INSERT INTO product_categories VALUES('2488','DOMESTIC APPLIANCES','WESTPOINT','316WF - 997',null,null);
INSERT INTO product_categories VALUES('2489','DOMESTIC APPLIANCES','WESTPOINT','328WF - 997',null,null);
INSERT INTO product_categories VALUES('2490','DOMESTIC APPLIANCES','WESTPOINT','445WF - 997',null,null);
INSERT INTO product_categories VALUES('2491','DOMESTIC APPLIANCES','WESTPOINT','212WF  - 997',null,null);
INSERT INTO product_categories VALUES('2492','DOMESTIC APPLIANCES','WESTPOINT','308WF - 997',null,null);
INSERT INTO product_categories VALUES('2493','DOMESTIC APPLIANCES','WESTPOINT','307WF - 997',null,null);
INSERT INTO product_categories VALUES('2494','DOMESTIC APPLIANCES','WESTPOINT','306WF - 997',null,null);
INSERT INTO product_categories VALUES('2495','DOMESTIC APPLIANCES','WESTPOINT','314BL - 997',null,null);
INSERT INTO product_categories VALUES('2496','DOMESTIC APPLIANCES','WESTPOINT','342WF - 997',null,null);
INSERT INTO product_categories VALUES('2497','DOMESTIC APPLIANCES','WESTPOINT','343WF - 997',null,null);
INSERT INTO product_categories VALUES('2498','DOMESTIC APPLIANCES','WESTPOINT','1718WF - 997',null,null);
INSERT INTO product_categories VALUES('2499','DOMESTIC APPLIANCES','WESTPOINT','5151B - 997',null,null);
INSERT INTO product_categories VALUES('2500','DOMESTIC APPLIANCES','WESTPOINT','303WF  - 997',null,null);
INSERT INTO product_categories VALUES('2501','DOMESTIC APPLIANCES','WESTPOINT','9915WF - 997',null,null);
INSERT INTO product_categories VALUES('2502','DOMESTIC APPLIANCES','WESTPOINT','9714WF - 997',null,null);
INSERT INTO product_categories VALUES('2503','DOMESTIC APPLIANCES','WESTPOINT','9215 - 997',null,null);
INSERT INTO product_categories VALUES('2504','DOMESTIC APPLIANCES','WESTPOINT','7684WF - 284',null,null);
INSERT INTO product_categories VALUES('2505','DOMESTIC APPLIANCES','WESTPOINT','500WF - 1022',null,null);
INSERT INTO product_categories VALUES('2506','DOMESTIC APPLIANCES','WESTPOINT','501WF - 1022',null,null);
INSERT INTO product_categories VALUES('2507','DOMESTIC APPLIANCES','WESTPOINT','1803WF - 1006',null,null);
INSERT INTO product_categories VALUES('2508','DOMESTIC APPLIANCES','WESTPOINT','1041WF - 1022',null,null);
INSERT INTO product_categories VALUES('2509','DOMESTIC APPLIANCES','WESTPOINT','1046WF - 795',null,null);
INSERT INTO product_categories VALUES('2510','DOMESTIC APPLIANCES','WESTPOINT','1048 - 795',null,null);
INSERT INTO product_categories VALUES('2511','DOMESTIC APPLIANCES','WESTPOINT','1049WF - 1022',null,null);
INSERT INTO product_categories VALUES('2512','DOMESTIC APPLIANCES','WESTPOINT','1044WF - 1022',null,null);
INSERT INTO product_categories VALUES('2513','DOMESTIC APPLIANCES','WESTPOINT','1060WF - 1022',null,null);
INSERT INTO product_categories VALUES('2514','DOMESTIC APPLIANCES','WESTPOINT','1060WF0 - 1022',null,null);
INSERT INTO product_categories VALUES('2515','DOMESTIC APPLIANCES','WESTPOINT','502WF - 1022',null,null);
INSERT INTO product_categories VALUES('2516','DOMESTIC APPLIANCES','WESTPOINT','4201WF - 1022',null,null);
INSERT INTO product_categories VALUES('2517','DOMESTIC APPLIANCES','WESTPOINT','1080WF - 1022',null,null);
INSERT INTO product_categories VALUES('2518','DOMESTIC APPLIANCES','WESTPOINT','1070WF - 1022',null,null);
INSERT INTO product_categories VALUES('2519','DOMESTIC APPLIANCES','WESTPOINT','1090WF - 1022',null,null);
INSERT INTO product_categories VALUES('2520','DOMESTIC APPLIANCES','WESTPOINT','2044WF - 1022',null,null);
INSERT INTO product_categories VALUES('2521','DOMESTIC APPLIANCES','WESTPOINT','2045WF - 997',null,null);
INSERT INTO product_categories VALUES('2522','DOMESTIC APPLIANCES','WESTPOINT','550-WF - 1496',null,null);
INSERT INTO product_categories VALUES('2523','DOMESTIC APPLIANCES','WESTPOINT','545WF - 691',null,null);
INSERT INTO product_categories VALUES('2524','DOMESTIC APPLIANCES','WESTPOINT','549WF - 1208',null,null);
INSERT INTO product_categories VALUES('2525','DOMESTIC APPLIANCES','WESTPOINT','547WF - 1006',null,null);
INSERT INTO product_categories VALUES('2526','DOMESTIC APPLIANCES','WESTPOINT','1802SS - 691',null,null);
INSERT INTO product_categories VALUES('2527','DOMESTIC APPLIANCES','WESTPOINT','1753-JUICER - 691',null,null);
INSERT INTO product_categories VALUES('2528','DOMESTIC APPLIANCES','WESTPOINT','1186WF - 1006',null,null);
INSERT INTO product_categories VALUES('2529','DOMESTIC APPLIANCES','WESTPOINT','1187WF - 1006',null,null);
INSERT INTO product_categories VALUES('2530','DOMESTIC APPLIANCES','WESTPOINT','9220WF - 794',null,null);
INSERT INTO product_categories VALUES('2531','DOMESTIC APPLIANCES','WESTPOINT','9221 - 1021',null,null);
INSERT INTO product_categories VALUES('2532','DOMESTIC APPLIANCES','WESTPOINT','9222WF  - 1021',null,null);
INSERT INTO product_categories VALUES('2533','DOMESTIC APPLIANCES','WESTPOINT','9223WF - 1021',null,null);
INSERT INTO product_categories VALUES('2534','DOMESTIC APPLIANCES','WESTPOINT','9224-WF - 1021',null,null);
INSERT INTO product_categories VALUES('2535','DOMESTIC APPLIANCES','WESTPOINT','9225-WF - 1367',null,null);
INSERT INTO product_categories VALUES('2536','DOMESTIC APPLIANCES','WESTPOINT','2022WF - 1021',null,null);
INSERT INTO product_categories VALUES('2537','DOMESTIC APPLIANCES','WESTPOINT','5234WF - 1018',null,null);
INSERT INTO product_categories VALUES('2538','DOMESTIC APPLIANCES','WESTPOINT','5236WF - 1018',null,null);
INSERT INTO product_categories VALUES('2539','DOMESTIC APPLIANCES','WESTPOINT','5237WF - 798',null,null);
INSERT INTO product_categories VALUES('2540','DOMESTIC APPLIANCES','WESTPOINT','5239WF - 1018',null,null);
INSERT INTO product_categories VALUES('2541','DOMESTIC APPLIANCES','WESTPOINT','3614WF - 1516',null,null);
INSERT INTO product_categories VALUES('2542','DOMESTIC APPLIANCES','WESTPOINT','3615WF - 1516',null,null);
INSERT INTO product_categories VALUES('2543','DOMESTIC APPLIANCES','WESTPOINT','4200WF - 1527',null,null);
INSERT INTO product_categories VALUES('2544','DOMESTIC APPLIANCES','WESTPOINT','3400R - 1527',null,null);
INSERT INTO product_categories VALUES('2545','DOMESTIC APPLIANCES','WESTPOINT','1500WF - 675',null,null);
INSERT INTO product_categories VALUES('2546','DOMESTIC APPLIANCES','WESTPOINT','10WF - 1860',null,null);
INSERT INTO product_categories VALUES('2547','DOMESTIC APPLIANCES','WESTPOINT','949WF  - 1869',null,null);
INSERT INTO product_categories VALUES('2548','DOMESTIC APPLIANCES','WESTPOINT','1844WF - 1843',null,null);
INSERT INTO product_categories VALUES('2549','DOMESTIC APPLIANCES','WESTPOINT','1858WF - 1004',null,null);
INSERT INTO product_categories VALUES('2550','DOMESTIC APPLIANCES','WESTPOINT','1859WF - 1001',null,null);
INSERT INTO product_categories VALUES('2551','DOMESTIC APPLIANCES','WESTPOINT','2804-WF - 1001',null,null);
INSERT INTO product_categories VALUES('2552','DOMESTIC APPLIANCES','WESTPOINT','2804S-WF - 675',null,null);
INSERT INTO product_categories VALUES('2553','DOMESTIC APPLIANCES','WESTPOINT','2802WF - 1001',null,null);
INSERT INTO product_categories VALUES('2554','DOMESTIC APPLIANCES','WESTPOINT','2803WF - 1001',null,null);
INSERT INTO product_categories VALUES('2555','DOMESTIC APPLIANCES','WESTPOINT','4711R - 1527',null,null);
INSERT INTO product_categories VALUES('2556','DOMESTIC APPLIANCES','WESTPOINT','495WF - 1004',null,null);
INSERT INTO product_categories VALUES('2557','DOMESTIC APPLIANCES','WESTPOINT','4961WF - 1001',null,null);
INSERT INTO product_categories VALUES('2558','DOMESTIC APPLIANCES','WESTPOINT','496WF - 1001',null,null);
INSERT INTO product_categories VALUES('2559','DOMESTIC APPLIANCES','WESTPOINT','4971WF - 1001',null,null);
INSERT INTO product_categories VALUES('2560','DOMESTIC APPLIANCES','WESTPOINT','497WF - 1001',null,null);
INSERT INTO product_categories VALUES('2561','DOMESTIC APPLIANCES','WESTPOINT','498WF  - 1001',null,null);
INSERT INTO product_categories VALUES('2562','DOMESTIC APPLIANCES','WESTPOINT','499WF - 1843',null,null);
INSERT INTO product_categories VALUES('2563','DOMESTIC APPLIANCES','WESTPOINT','3870WF - 1878',null,null);
INSERT INTO product_categories VALUES('2564','DOMESTIC APPLIANCES','WESTPOINT','2805WF - 1004',null,null);
INSERT INTO product_categories VALUES('2565','DOMESTIC APPLIANCES','WESTPOINT','1851WF - 1001',null,null);
INSERT INTO product_categories VALUES('2566','DOMESTIC APPLIANCES','WESTPOINT','1853WF - 1004',null,null);
INSERT INTO product_categories VALUES('2567','DOMESTIC APPLIANCES','WESTPOINT','878WF - 675',null,null);
INSERT INTO product_categories VALUES('2568','DOMESTIC APPLIANCES','WESTPOINT','7201JBG - 675',null,null);
INSERT INTO product_categories VALUES('2569','DOMESTIC APPLIANCES','WESTPOINT','1808WF - 675',null,null);
INSERT INTO product_categories VALUES('2570','DOMESTIC APPLIANCES','WESTPOINT','04WF - 1860',null,null);
INSERT INTO product_categories VALUES('2571','DOMESTIC APPLIANCES','WESTPOINT','05WF - 1861',null,null);
INSERT INTO product_categories VALUES('2572','DOMESTIC APPLIANCES','WESTPOINT','1820WF - 1001',null,null);
INSERT INTO product_categories VALUES('2573','DOMESTIC APPLIANCES','WESTPOINT','4805-WF - 1004',null,null);
INSERT INTO product_categories VALUES('2574','DOMESTIC APPLIANCES','WESTPOINT','4806WF - 1843',null,null);
INSERT INTO product_categories VALUES('2575','DOMESTIC APPLIANCES','WESTPOINT','3804WF - 1001',null,null);
INSERT INTO product_categories VALUES('2576','DOMESTIC APPLIANCES','WESTPOINT','3800R - 1527',null,null);
INSERT INTO product_categories VALUES('2577','DOMESTIC APPLIANCES','WESTPOINT','9209WF - 1001',null,null);
INSERT INTO product_categories VALUES('2578','DOMESTIC APPLIANCES','WESTPOINT','9209WF - 1004',null,null);
INSERT INTO product_categories VALUES('2579','DOMESTIC APPLIANCES','WESTPOINT','8817WF - 1843',null,null);
INSERT INTO product_categories VALUES('2580','DOMESTIC APPLIANCES','WESTPOINT','8818WF - 1001',null,null);
INSERT INTO product_categories VALUES('2581','DOMESTIC APPLIANCES','WESTPOINT','8819WF - 1843',null,null);
INSERT INTO product_categories VALUES('2582','DOMESTIC APPLIANCES','WESTPOINT','8810WF - 675',null,null);
INSERT INTO product_categories VALUES('2583','DOMESTIC APPLIANCES','WESTPOINT','8813JBG  - 1001',null,null);
INSERT INTO product_categories VALUES('2584','DOMESTIC APPLIANCES','WESTPOINT','614SF - 1023',null,null);
INSERT INTO product_categories VALUES('2585','DOMESTIC APPLIANCES','WESTPOINT','9213WF - 1364',null,null);
INSERT INTO product_categories VALUES('2586','DOMESTIC APPLIANCES','WESTPOINT','9214WF - 1364',null,null);
INSERT INTO product_categories VALUES('2587','DOMESTIC APPLIANCES','WESTPOINT','9916WF - 997',null,null);
INSERT INTO product_categories VALUES('2588','DOMESTIC APPLIANCES','WESTPOINT','9935-WF - 1364',null,null);
INSERT INTO product_categories VALUES('2589','DOMESTIC APPLIANCES','WESTPOINT','9914WF - 1364',null,null);
INSERT INTO product_categories VALUES('2590','DOMESTIC APPLIANCES','WESTPOINT','9816WF - 997',null,null);
INSERT INTO product_categories VALUES('2591','DOMESTIC APPLIANCES','WESTPOINT','9813WF - 1364',null,null);
INSERT INTO product_categories VALUES('2592','DOMESTIC APPLIANCES','WESTPOINT','9814HW - 1364',null,null);
INSERT INTO product_categories VALUES('2593','DOMESTIC APPLIANCES','WESTPOINT','9800WF - 1019',null,null);
INSERT INTO product_categories VALUES('2594','DOMESTIC APPLIANCES','WESTPOINT','9801WF - 1019',null,null);
INSERT INTO product_categories VALUES('2595','DOMESTIC APPLIANCES','WESTPOINT','9802WF - 1019',null,null);
INSERT INTO product_categories VALUES('2596','DOMESTIC APPLIANCES','WESTPOINT','9803WF - 1019',null,null);
INSERT INTO product_categories VALUES('2597','DOMESTIC APPLIANCES','WESTPOINT','3201WF - 1174',null,null);
INSERT INTO product_categories VALUES('2598','DOMESTIC APPLIANCES','WESTPOINT','9601E - 1019',null,null);
INSERT INTO product_categories VALUES('2599','DOMESTIC APPLIANCES','WESTPOINT','9502WF - 827',null,null);
INSERT INTO product_categories VALUES('2600','DOMESTIC APPLIANCES','WESTPOINT','3065WF - 1174',null,null);
INSERT INTO product_categories VALUES('2601','DOMESTIC APPLIANCES','WESTPOINT','9503WF - 1174',null,null);
INSERT INTO product_categories VALUES('2602','DOMESTIC APPLIANCES','WESTPOINT','9504WF - 1788',null,null);
INSERT INTO product_categories VALUES('2603','DOMESTIC APPLIANCES','WESTPOINT','9701WF - 1019',null,null);
INSERT INTO product_categories VALUES('2604','DOMESTIC APPLIANCES','WESTPOINT','5252WF  - 1673',null,null);
INSERT INTO product_categories VALUES('2605','DOMESTIC APPLIANCES','WESTPOINT','4616WF - 1174',null,null);
INSERT INTO product_categories VALUES('2606','DOMESTIC APPLIANCES','WESTPOINT','9301WF - 1019',null,null);
INSERT INTO product_categories VALUES('2607','DOMESTIC APPLIANCES','WESTPOINT','9401-WF - 1941',null,null);
INSERT INTO product_categories VALUES('2608','DOMESTIC APPLIANCES','WESTPOINT','9901WF - 1019',null,null);
INSERT INTO product_categories VALUES('2609','DOMESTIC APPLIANCES','WESTPOINT','272WF - 1701',null,null);
INSERT INTO product_categories VALUES('2610','DOMESTIC APPLIANCES','WESTPOINT','142-WF - 1859',null,null);
INSERT INTO product_categories VALUES('2611','DOMESTIC APPLIANCES','WESTPOINT','271WF - 1701',null,null);
INSERT INTO product_categories VALUES('2612','DOMESTIC APPLIANCES','WESTPOINT','262WF - 1387',null,null);
INSERT INTO product_categories VALUES('2613','DOMESTIC APPLIANCES','WESTPOINT','261WF - 1387',null,null);
INSERT INTO product_categories VALUES('2614','DOMESTIC APPLIANCES','WESTPOINT','7901WF - 691',null,null);
INSERT INTO product_categories VALUES('2615','DOMESTIC APPLIANCES','WESTPOINT','11WF - 1006',null,null);
INSERT INTO product_categories VALUES('2616','DOMESTIC APPLIANCES','WESTPOINT','911WF - 691',null,null);
INSERT INTO product_categories VALUES('2617','DOMESTIC APPLIANCES','WESTPOINT','5150J - 1006',null,null);
INSERT INTO product_categories VALUES('2618','DOMESTIC APPLIANCES','WESTPOINT','398WF - 1006',null,null);
INSERT INTO product_categories VALUES('2619','DOMESTIC APPLIANCES','WESTPOINT','2405WF - 691',null,null);
INSERT INTO product_categories VALUES('2620','DOMESTIC APPLIANCES','WESTPOINT','2011WF - 1006',null,null);
INSERT INTO product_categories VALUES('2621','DOMESTIC APPLIANCES','WESTPOINT','395WF - 1006',null,null);
INSERT INTO product_categories VALUES('2622','DOMESTIC APPLIANCES','WESTPOINT','914WF - 1006',null,null);
INSERT INTO product_categories VALUES('2623','DOMESTIC APPLIANCES','WESTPOINT','5160WF - 1006',null,null);
INSERT INTO product_categories VALUES('2624','DOMESTIC APPLIANCES','WESTPOINT','5161WF - 995',null,null);
INSERT INTO product_categories VALUES('2625','DOMESTIC APPLIANCES','WESTPOINT','5162WF - 1006',null,null);
INSERT INTO product_categories VALUES('2626','DOMESTIC APPLIANCES','WESTPOINT','7501WF - 1006',null,null);
INSERT INTO product_categories VALUES('2627','DOMESTIC APPLIANCES','WESTPOINT','7701WF - 1006',null,null);
INSERT INTO product_categories VALUES('2628','DOMESTIC APPLIANCES','WESTPOINT','5021WF - 1006',null,null);
INSERT INTO product_categories VALUES('2629','DOMESTIC APPLIANCES','WESTPOINT','5020WF - 1006',null,null);
INSERT INTO product_categories VALUES('2630','DOMESTIC APPLIANCES','WESTPOINT','1874WF - 2083',null,null);
INSERT INTO product_categories VALUES('2631','DOMESTIC APPLIANCES','WESTPOINT','3117WF - 1020',null,null);
INSERT INTO product_categories VALUES('2632','DOMESTIC APPLIANCES','WESTPOINT','3118WF - 1020',null,null);
INSERT INTO product_categories VALUES('2633','DOMESTIC APPLIANCES','WESTPOINT','3119WF - 1020',null,null);
INSERT INTO product_categories VALUES('2634','DOMESTIC APPLIANCES','WESTPOINT','3114WF - 1020',null,null);
INSERT INTO product_categories VALUES('2635','DOMESTIC APPLIANCES','WESTPOINT','410WF - 1020',null,null);
INSERT INTO product_categories VALUES('2636','DOMESTIC APPLIANCES','WESTPOINT','6172 - 1020',null,null);
INSERT INTO product_categories VALUES('2637','DOMESTIC APPLIANCES','WESTPOINT','6173WF - 204',null,null);
INSERT INTO product_categories VALUES('2638','DOMESTIC APPLIANCES','WESTPOINT','6174WF - 1020',null,null);
INSERT INTO product_categories VALUES('2639','DOMESTIC APPLIANCES','WESTPOINT','6175WF - 1020',null,null);
INSERT INTO product_categories VALUES('2640','DOMESTIC APPLIANCES','WESTPOINT','6176WF - 1001',null,null);
INSERT INTO product_categories VALUES('2641','DOMESTIC APPLIANCES','WESTPOINT','6177WF - 1001',null,null);
INSERT INTO product_categories VALUES('2642','DOMESTIC APPLIANCES','WESTPOINT','6178WF - 1020',null,null);
INSERT INTO product_categories VALUES('2643','DOMESTIC APPLIANCES','WESTPOINT','6179WF - 1020',null,null);
INSERT INTO product_categories VALUES('2644','DOMESTIC APPLIANCES','WESTPOINT','6275WF - 1885',null,null);
INSERT INTO product_categories VALUES('2645','DOMESTIC APPLIANCES','WESTPOINT','8247WF - 1020',null,null);
INSERT INTO product_categories VALUES('2646','DOMESTIC APPLIANCES','WESTPOINT','8248WF - 1020',null,null);
INSERT INTO product_categories VALUES('2647','DOMESTIC APPLIANCES','WESTPOINT','8260-WF - 1020',null,null);
INSERT INTO product_categories VALUES('2648','DOMESTIC APPLIANCES','WESTPOINT','8266WF - 1020',null,null);
INSERT INTO product_categories VALUES('2649','DOMESTIC APPLIANCES','WESTPOINT','989WF - 1020',null,null);
INSERT INTO product_categories VALUES('2650','DOMESTIC APPLIANCES','WESTPOINT','902WF - 1020',null,null);
INSERT INTO product_categories VALUES('2651','DOMESTIC APPLIANCES','WESTPOINT','408WF - 1020',null,null);
INSERT INTO product_categories VALUES('2652','DOMESTIC APPLIANCES','WESTPOINT','8267WF - 204',null,null);
INSERT INTO product_categories VALUES('2653','DOMESTIC APPLIANCES','WESTPOINT','8268WF - 1020',null,null);
INSERT INTO product_categories VALUES('2654','DOMESTIC APPLIANCES','WESTPOINT','8269 - 1020',null,null);
INSERT INTO product_categories VALUES('2655','DOMESTIC APPLIANCES','WESTPOINT','8270WF - 1020',null,null);
INSERT INTO product_categories VALUES('2656','DOMESTIC APPLIANCES','WESTPOINT','8290WF - 1020',null,null);
INSERT INTO product_categories VALUES('2657','DOMESTIC APPLIANCES','WESTPOINT','578WF - 1020',null,null);
INSERT INTO product_categories VALUES('2658','DOMESTIC APPLIANCES','WESTPOINT','6171-WF - 1020',null,null);
INSERT INTO product_categories VALUES('2659','DOMESTIC APPLIANCES','WESTPOINT','721WF - 1020',null,null);
INSERT INTO product_categories VALUES('2660','DOMESTIC APPLIANCES','WESTPOINT','409WF - 1020',null,null);
INSERT INTO product_categories VALUES('2661','DOMESTIC APPLIANCES','WESTPOINT','231WF - 1873',null,null);
INSERT INTO product_categories VALUES('2662','DOMESTIC APPLIANCES','WESTPOINT','1108WF - 1020',null,null);
INSERT INTO product_categories VALUES('2663','DOMESTIC APPLIANCES','WESTPOINT','1109WF - 1020',null,null);
INSERT INTO product_categories VALUES('2664','DOMESTIC APPLIANCES','WESTPOINT','3040WF - 1008',null,null);
INSERT INTO product_categories VALUES('2665','DOMESTIC APPLIANCES','WESTPOINT','3250WF  - 1008',null,null);
INSERT INTO product_categories VALUES('2666','DOMESTIC APPLIANCES','WESTPOINT','3250WF - 1008',null,null);
INSERT INTO product_categories VALUES('2667','DOMESTIC APPLIANCES','WESTPOINT','13WF - 2085',null,null);
INSERT INTO product_categories VALUES('2668','DOMESTIC APPLIANCES','WESTPOINT','1045WF - 811',null,null);
INSERT INTO product_categories VALUES('2669','DOMESTIC APPLIANCES','WESTPOINT','3350WF - 1008',null,null);
INSERT INTO product_categories VALUES('2670','DOMESTIC APPLIANCES','WESTPOINT','3050WF - 811',null,null);
INSERT INTO product_categories VALUES('2671','DOMESTIC APPLIANCES','WESTPOINT','3165WF - 1826',null,null);
INSERT INTO product_categories VALUES('2672','DOMESTIC APPLIANCES','WESTPOINT','5250WF - 1024',null,null);
INSERT INTO product_categories VALUES('2673','DOMESTIC APPLIANCES','WESTPOINT','6512 - 1687',null,null);
INSERT INTO product_categories VALUES('2674','DOMESTIC APPLIANCES','WESTPOINT','6513WF - 1687',null,null);
INSERT INTO product_categories VALUES('2675','DOMESTIC APPLIANCES','WESTPOINT','6514WF - 1687',null,null);
INSERT INTO product_categories VALUES('2676','DOMESTIC APPLIANCES','WESTPOINT','6515WF - 1687',null,null);
INSERT INTO product_categories VALUES('2677','DOMESTIC APPLIANCES','WESTPOINT','6516WF - 1687',null,null);
INSERT INTO product_categories VALUES('2678','DOMESTIC APPLIANCES','WESTPOINT','633WF - 676',null,null);
INSERT INTO product_categories VALUES('2679','DOMESTIC APPLIANCES','WESTPOINT','639WF - 1011',null,null);
INSERT INTO product_categories VALUES('2680','DOMESTIC APPLIANCES','WESTPOINT','636WF - 1011',null,null);
INSERT INTO product_categories VALUES('2681','DOMESTIC APPLIANCES','WESTPOINT','6697WF - 1011',null,null);
INSERT INTO product_categories VALUES('2682','DOMESTIC APPLIANCES','WESTPOINT','6193WF - 1011',null,null);
INSERT INTO product_categories VALUES('2683','DOMESTIC APPLIANCES','WESTPOINT','621WF - 1011',null,null);
INSERT INTO product_categories VALUES('2684','DOMESTIC APPLIANCES','WESTPOINT','3010WF - 1011',null,null);
INSERT INTO product_categories VALUES('2685','DOMESTIC APPLIANCES','WESTPOINT','622WF - 676',null,null);
INSERT INTO product_categories VALUES('2686','DOMESTIC APPLIANCES','WESTPOINT','623WF - 1011',null,null);
INSERT INTO product_categories VALUES('2687','DOMESTIC APPLIANCES','WESTPOINT','615WF - 1011',null,null);
INSERT INTO product_categories VALUES('2688','DOMESTIC APPLIANCES','WESTPOINT','643WF - 1011',null,null);
INSERT INTO product_categories VALUES('2689','DOMESTIC APPLIANCES','WESTPOINT','630WF - 676',null,null);
INSERT INTO product_categories VALUES('2690','DOMESTIC APPLIANCES','WESTPOINT','6093WF  - 1011',null,null);
INSERT INTO product_categories VALUES('2691','DOMESTIC APPLIANCES','WESTPOINT','6093WF - 1011',null,null);
INSERT INTO product_categories VALUES('2692','DOMESTIC APPLIANCES','WESTPOINT','651WF - 1011',null,null);
INSERT INTO product_categories VALUES('2693','DOMESTIC APPLIANCES','WESTPOINT','671WF - 1011',null,null);
INSERT INTO product_categories VALUES('2694','DOMESTIC APPLIANCES','WESTPOINT','694WF - 1011',null,null);
INSERT INTO product_categories VALUES('2695','DOMESTIC APPLIANCES','WESTPOINT','651CWF - 1011',null,null);
INSERT INTO product_categories VALUES('2696','DOMESTIC APPLIANCES','WESTPOINT','193WF - 1011',null,null);
INSERT INTO product_categories VALUES('2697','DOMESTIC APPLIANCES','WESTPOINT','2108WF - 676',null,null);
INSERT INTO product_categories VALUES('2698','DOMESTIC APPLIANCES','WESTPOINT','2107WF - 676',null,null);
INSERT INTO product_categories VALUES('2699','DOMESTIC APPLIANCES','WESTPOINT','2538WF  - 1011',null,null);
INSERT INTO product_categories VALUES('2700','DOMESTIC APPLIANCES','WESTPOINT','07-WF - 2040',null,null);
INSERT INTO product_categories VALUES('2701','DOMESTIC APPLIANCES','WESTPOINT','6672WF - 1011',null,null);
INSERT INTO product_categories VALUES('2702','DOMESTIC APPLIANCES','WESTPOINT','6675WF - 1011',null,null);
INSERT INTO product_categories VALUES('2703','DOMESTIC APPLIANCES','WESTPOINT','6676WF - 1011',null,null);
INSERT INTO product_categories VALUES('2704','DOMESTIC APPLIANCES','WESTPOINT','6681WF - 1011',null,null);
INSERT INTO product_categories VALUES('2705','DOMESTIC APPLIANCES','WESTPOINT','6682WF - 1011',null,null);
INSERT INTO product_categories VALUES('2706','DOMESTIC APPLIANCES','WESTPOINT','676WF - 1011',null,null);
INSERT INTO product_categories VALUES('2707','DOMESTIC APPLIANCES','WESTPOINT','682WF - 1011',null,null);
INSERT INTO product_categories VALUES('2708','DOMESTIC APPLIANCES','WESTPOINT','683WF - 1011',null,null);
INSERT INTO product_categories VALUES('2709','DOMESTIC APPLIANCES','WESTPOINT','684-WF - 2041',null,null);
INSERT INTO product_categories VALUES('2710','DOMESTIC APPLIANCES','WESTPOINT','685WF - 1011',null,null);
INSERT INTO product_categories VALUES('2711','DOMESTIC APPLIANCES','WESTPOINT','693WF  - 1011',null,null);
INSERT INTO product_categories VALUES('2712','DOMESTIC APPLIANCES','WESTPOINT','6293WF - 1011',null,null);
INSERT INTO product_categories VALUES('2713','DOMESTIC APPLIANCES','WESTPOINT','640WF - 1011',null,null);
INSERT INTO product_categories VALUES('2714','DOMESTIC APPLIANCES','WESTPOINT','2540WF - 1121',null,null);
INSERT INTO product_categories VALUES('2715','DOMESTIC APPLIANCES','WESTPOINT','2542WF - 1121',null,null);
INSERT INTO product_categories VALUES('2716','DOMESTIC APPLIANCES','WESTPOINT','2583WF - 1121',null,null);
INSERT INTO product_categories VALUES('2717','DOMESTIC APPLIANCES','WESTPOINT','2589-WF - 1121',null,null);
INSERT INTO product_categories VALUES('2718','DOMESTIC APPLIANCES','WESTPOINT','2532WF - 283',null,null);
INSERT INTO product_categories VALUES('2719','DOMESTIC APPLIANCES','WESTPOINT','2528WF - 1121',null,null);
INSERT INTO product_categories VALUES('2720','DOMESTIC APPLIANCES','WESTPOINT','2400RD-WF - 1121',null,null);
INSERT INTO product_categories VALUES('2721','DOMESTIC APPLIANCES','WESTPOINT','3500R - 283',null,null);
INSERT INTO product_categories VALUES('2722','DOMESTIC APPLIANCES','WESTPOINT','2507 - 283',null,null);
INSERT INTO product_categories VALUES('2723','DOMESTIC APPLIANCES','WESTPOINT','2800R - 283',null,null);
INSERT INTO product_categories VALUES('2724','DOMESTIC APPLIANCES','WESTPOINT','6300WF - 1121',null,null);
INSERT INTO product_categories VALUES('2725','DOMESTIC APPLIANCES','WESTPOINT','2550WF - 1121',null,null);
INSERT INTO product_categories VALUES('2726','DOMESTIC APPLIANCES','WESTPOINT','2553WF - 1121',null,null);
INSERT INTO product_categories VALUES('2727','DOMESTIC APPLIANCES','WESTPOINT','4000RH - 1124',null,null);
INSERT INTO product_categories VALUES('2728','DOMESTIC APPLIANCES','WESTPOINT','2610WF - 678',null,null);
INSERT INTO product_categories VALUES('2729','DOMESTIC APPLIANCES','WESTPOINT','8102WF - 1777',null,null);
INSERT INTO product_categories VALUES('2730','DOMESTIC APPLIANCES','WESTPOINT','8103WF - 1777',null,null);
INSERT INTO product_categories VALUES('2731','DOMESTIC APPLIANCES','WESTPOINT','7009WF - 1782',null,null);
INSERT INTO product_categories VALUES('2732','DRYER','GE','R473DT - 94',null,null);
INSERT INTO product_categories VALUES('2733','DRYER','WHIRLPOOL','3LWED5500 - 1785',null,null);
INSERT INTO product_categories VALUES('2734','DRYER','WHIRLPOOL','3LWED4815FW - 1985',null,null);
INSERT INTO product_categories VALUES('2735','DRYER','SAMSUNG','665DVJW/XSG - 684',null,null);
INSERT INTO product_categories VALUES('2736','DRYER','BOSCH','84106GC - 898',null,null);
INSERT INTO product_categories VALUES('2737','DRYER','SIEMENS','34V100ME - 377',null,null);
INSERT INTO product_categories VALUES('2738','DRYER','SIEMENS','44C101ME - 898',null,null);
INSERT INTO product_categories VALUES('2739','DRYER','LG','8043S - 1713',null,null);
INSERT INTO product_categories VALUES('2740','DRYER','WHITE WESTINGHOUSE','13GWAWB - 637',null,null);
INSERT INTO product_categories VALUES('2741','FAN','AIR MAX','1038A - 1289',null,null);
INSERT INTO product_categories VALUES('2742','FAN','AIR MAX','8807B - 1289',null,null);
INSERT INTO product_categories VALUES('2743','FAN','BLACK&DECKER','1610-QS - 1823',null,null);
INSERT INTO product_categories VALUES('2744','FAN','BLACK&DECKER','1610FW - 1823',null,null);
INSERT INTO product_categories VALUES('2745','FAN','BLACK&DECKER','1610R-QS - 1823',null,null);
INSERT INTO product_categories VALUES('2746','FAN','DEFENDER','2302 - 814',null,null);
INSERT INTO product_categories VALUES('2747','FAN','MIDAS','645TV - 1453',null,null);
INSERT INTO product_categories VALUES('2748','FAN','MIDAS','18SF-MI - 2007',null,null);
INSERT INTO product_categories VALUES('2749','FAN','MIDAS','3503L - 1684',null,null);
INSERT INTO product_categories VALUES('2750','FAN','PANASONIC','20FVE - 346',null,null);
INSERT INTO product_categories VALUES('2751','FAN','PANASONIC','56MZ2 - 346',null,null);
INSERT INTO product_categories VALUES('2752','FAN','PANASONIC','1815AF - 1763',null,null);
INSERT INTO product_categories VALUES('2753','FAN','AURORA','1010S-ARF - 1279',null,null);
INSERT INTO product_categories VALUES('2754','FAN','AURORA','1210S-ARF - 1279',null,null);
INSERT INTO product_categories VALUES('2755','FAN','AURORA','9012W-AEF - 1279',null,null);
INSERT INTO product_categories VALUES('2756','FAN','AURORA','9016W-AEF - 1279',null,null);
INSERT INTO product_categories VALUES('2757','FAN','SOGO','682JPN  - 489',null,null);
INSERT INTO product_categories VALUES('2758','FAN','SUNCA MAX','2392R - 1290',null,null);
INSERT INTO product_categories VALUES('2759','FAN','WESTPOINT','245 - 204',null,null);
INSERT INTO product_categories VALUES('2760','FAN','WESTPOINT','7112WF - 812',null,null);
INSERT INTO product_categories VALUES('2761','FAN','WESTPOINT','7115 - 1010',null,null);
INSERT INTO product_categories VALUES('2762','FAN','WESTPOINT','7108WF - 1010',null,null);
INSERT INTO product_categories VALUES('2763','FAN','WESTPOINT','7110 - 1010',null,null);
INSERT INTO product_categories VALUES('2764','FAN','WESTPOINT','30FT - 828',null,null);
INSERT INTO product_categories VALUES('2765','FAN','WESTPOINT','3602 - 204',null,null);
INSERT INTO product_categories VALUES('2766','FAN','WESTPOINT','3603WF - 677',null,null);
INSERT INTO product_categories VALUES('2767','FAN','WESTPOINT','3601 - 204',null,null);
INSERT INTO product_categories VALUES('2768','FAN','WESTPOINT','312WB - 284',null,null);
INSERT INTO product_categories VALUES('2769','FAN','WESTPOINT','5112WF - 204',null,null);
INSERT INTO product_categories VALUES('2770','FAN','WESTPOINT','5110WF - 204',null,null);
INSERT INTO product_categories VALUES('2771','FAN','WESTPOINT','5115WF - 204',null,null);
INSERT INTO product_categories VALUES('2772','FAN','WESTPOINT','245WF - 204',null,null);
INSERT INTO product_categories VALUES('2773','FLAT PANEL TV','ECOSTAR','19U521 - 931',null,null);
INSERT INTO product_categories VALUES('2774','FLAT PANEL TV','SONY','19T400 - 931',null,null);
INSERT INTO product_categories VALUES('2775','FLAT PANEL TV','ECOSTAR','20U563  - 1974',null,null);
INSERT INTO product_categories VALUES('2776','FLAT PANEL TV','ECOSTAR','24U563 - 934',null,null);
INSERT INTO product_categories VALUES('2777','FLAT PANEL TV','MULTY NET','24M100 - 934',null,null);
INSERT INTO product_categories VALUES('2778','FLAT PANEL TV','SAMSUNG','24H4100P - 934',null,null);
INSERT INTO product_categories VALUES('2779','FLAT PANEL TV','SIGNATURE','24DN6 - 934',null,null);
INSERT INTO product_categories VALUES('2780','FLAT PANEL TV','TCL','28B2520B - 1423',null,null);
INSERT INTO product_categories VALUES('2781','FLAT PANEL TV','CHANGHONG','32F5800i - 936',null,null);
INSERT INTO product_categories VALUES('2782','FLAT PANEL TV','CHANGHONG','32F3800M - 936',null,null);
INSERT INTO product_categories VALUES('2783','FLAT PANEL TV','CHANGHONG','32E3800H - 936',null,null);
INSERT INTO product_categories VALUES('2784','FLAT PANEL TV','ECOSTAR','32U851 - 936',null,null);
INSERT INTO product_categories VALUES('2785','FLAT PANEL TV','ECOSTAR','32U860 - 936',null,null);
INSERT INTO product_categories VALUES('2786','FLAT PANEL TV','ECOSTAR','32U557 - 936',null,null);
INSERT INTO product_categories VALUES('2787','FLAT PANEL TV','ECOSTAR','32U557G - 936',null,null);
INSERT INTO product_categories VALUES('2788','FLAT PANEL TV','ECOSTAR','32U558 - 936',null,null);
INSERT INTO product_categories VALUES('2789','FLAT PANEL TV','ECOSTAR','32U559 - 936',null,null);
INSERT INTO product_categories VALUES('2790','FLAT PANEL TV','ECOSTAR','32U561 - 936',null,null);
INSERT INTO product_categories VALUES('2791','FLAT PANEL TV','ECOSTAR','32U563 - 936',null,null);
INSERT INTO product_categories VALUES('2792','FLAT PANEL TV','ECOSTAR','32U566 - 936',null,null);
INSERT INTO product_categories VALUES('2793','FLAT PANEL TV','ECOSTAR','32U568 - 936',null,null);
INSERT INTO product_categories VALUES('2794','FLAT PANEL TV','ECOSTAR','32U571 - 936',null,null);
INSERT INTO product_categories VALUES('2795','FLAT PANEL TV','HAIER','32K6000 - 936',null,null);
INSERT INTO product_categories VALUES('2796','FLAT PANEL TV','HAIER','32K6600 - 936',null,null);
INSERT INTO product_categories VALUES('2797','FLAT PANEL TV','HAIER','32V600 - 936',null,null);
INSERT INTO product_categories VALUES('2798','FLAT PANEL TV','HAIER','32B9200M - 936',null,null);
INSERT INTO product_categories VALUES('2799','FLAT PANEL TV','LG','32LJ570-P - 936',null,null);
INSERT INTO product_categories VALUES('2800','FLAT PANEL TV','LG','32LJ610-P - 936',null,null);
INSERT INTO product_categories VALUES('2801','FLAT PANEL TV','LG','32LJ610-S - 936',null,null);
INSERT INTO product_categories VALUES('2802','FLAT PANEL TV','LG','32LK610-S  - 936',null,null);
INSERT INTO product_categories VALUES('2803','FLAT PANEL TV','LG','32LJ520-P - 936',null,null);
INSERT INTO product_categories VALUES('2804','FLAT PANEL TV','LG','32LF510-C - 936',null,null);
INSERT INTO product_categories VALUES('2805','FLAT PANEL TV','LG','32LF550-P - 936',null,null);
INSERT INTO product_categories VALUES('2806','FLAT PANEL TV','LG','32LH510 - 936',null,null);
INSERT INTO product_categories VALUES('2807','FLAT PANEL TV','LG','32LH512-P - 936',null,null);
INSERT INTO product_categories VALUES('2808','FLAT PANEL TV','MAX','32A5 - 936',null,null);
INSERT INTO product_categories VALUES('2809','FLAT PANEL TV','MULTY NET','32NS100 - 936',null,null);
INSERT INTO product_categories VALUES('2810','FLAT PANEL TV','MULTY NET','32M100 - 936',null,null);
INSERT INTO product_categories VALUES('2811','FLAT PANEL TV','MULTY NET','32CS100 - 936',null,null);
INSERT INTO product_categories VALUES('2812','FLAT PANEL TV','ORIENT','32S-TRUMPET - 936',null,null);
INSERT INTO product_categories VALUES('2813','FLAT PANEL TV','ORIENT','32L4132 - 936',null,null);
INSERT INTO product_categories VALUES('2814','FLAT PANEL TV','ORIENT','32L4143 - 936',null,null);
INSERT INTO product_categories VALUES('2815','FLAT PANEL TV','ORIENT','32L6360 - 936',null,null);
INSERT INTO product_categories VALUES('2816','FLAT PANEL TV','ORIENT','32L6982 - 936',null,null);
INSERT INTO product_categories VALUES('2817','FLAT PANEL TV','ORIENT','32HD-CHEETAH - 936',null,null);
INSERT INTO product_categories VALUES('2818','FLAT PANEL TV','ORIENT','32HD-COUGAR - 936',null,null);
INSERT INTO product_categories VALUES('2819','FLAT PANEL TV','ORIENT','32HD-EAGLE - 936',null,null);
INSERT INTO product_categories VALUES('2820','FLAT PANEL TV','ORIENT','32HD-FALCON - 936',null,null);
INSERT INTO product_categories VALUES('2821','FLAT PANEL TV','ORIENT','32HD-HAWK - 936',null,null);
INSERT INTO product_categories VALUES('2822','FLAT PANEL TV','ORIENT','32HD-LEOPARD - 936',null,null);
INSERT INTO product_categories VALUES('2823','FLAT PANEL TV','ORIENT','32HD-MACAW - 936',null,null);
INSERT INTO product_categories VALUES('2824','FLAT PANEL TV','ORIENT','32HD-TIGER - 936',null,null);
INSERT INTO product_categories VALUES('2825','FLAT PANEL TV','ORIENT','32E6063 - 936',null,null);
INSERT INTO product_categories VALUES('2826','FLAT PANEL TV','ORIENT','32C-PUMA  - 936',null,null);
INSERT INTO product_categories VALUES('2827','FLAT PANEL TV','ORIENT','32G6530 - 936',null,null);
INSERT INTO product_categories VALUES('2828','FLAT PANEL TV','PANASONIC','32E330M-C  - 936',null,null);
INSERT INTO product_categories VALUES('2829','FLAT PANEL TV','PANASONIC','32D310M - 936',null,null);
INSERT INTO product_categories VALUES('2830','FLAT PANEL TV','PANASONIC','32F337M-C - 936',null,null);
INSERT INTO product_categories VALUES('2831','FLAT PANEL TV','SAMSUNG','32J4303-S - 936',null,null);
INSERT INTO product_categories VALUES('2832','FLAT PANEL TV','SAMSUNG','32J4303P - 936',null,null);
INSERT INTO product_categories VALUES('2833','FLAT PANEL TV','SAMSUNG','32N5300-FMRM - 936',null,null);
INSERT INTO product_categories VALUES('2834','FLAT PANEL TV','SAMSUNG','32N5300-MRM - 936',null,null);
INSERT INTO product_categories VALUES('2835','FLAT PANEL TV','SAMSUNG','32N5300-S - 936',null,null);
INSERT INTO product_categories VALUES('2836','FLAT PANEL TV','SAMSUNG','32N5300-SZ - 936',null,null);
INSERT INTO product_categories VALUES('2837','FLAT PANEL TV','SAMSUNG','32M5000-MRM - 936',null,null);
INSERT INTO product_categories VALUES('2838','FLAT PANEL TV','SAMSUNG','32M5000-P - 936',null,null);
INSERT INTO product_categories VALUES('2839','FLAT PANEL TV','SAMSUNG','32M5000-SZ - 936',null,null);
INSERT INTO product_categories VALUES('2840','FLAT PANEL TV','SAMSUNG','32N5000-S - 936',null,null);
INSERT INTO product_categories VALUES('2841','FLAT PANEL TV','SAMSUNG','32N5000-SZ - 936',null,null);
INSERT INTO product_categories VALUES('2842','FLAT PANEL TV','SAMSUNG','32J9000P - 936',null,null);
INSERT INTO product_categories VALUES('2843','FLAT PANEL TV','SAMSUNG','32K4000-P - 936',null,null);
INSERT INTO product_categories VALUES('2844','FLAT PANEL TV','SAMSUNG','32K5100-P - 936',null,null);
INSERT INTO product_categories VALUES('2845','FLAT PANEL TV','SAMSUNG','32J4001P - 936',null,null);
INSERT INTO product_categories VALUES('2846','FLAT PANEL TV','SAMSUNG','32J4003P - 936',null,null);
INSERT INTO product_categories VALUES('2847','FLAT PANEL TV','SAMSUNG','32J4100-P - 936',null,null);
INSERT INTO product_categories VALUES('2848','FLAT PANEL TV','SHARP','32LE185M - 936',null,null);
INSERT INTO product_categories VALUES('2849','FLAT PANEL TV','SHARP','32LE185M-C - 936',null,null);
INSERT INTO product_categories VALUES('2850','FLAT PANEL TV','SIGNATURE','32DK8 - 936',null,null);
INSERT INTO product_categories VALUES('2851','FLAT PANEL TV','SIGNATURE','32S600 - 936',null,null);
INSERT INTO product_categories VALUES('2852','FLAT PANEL TV','SIGNATURE','32DN4 - 936',null,null);
INSERT INTO product_categories VALUES('2853','FLAT PANEL TV','SIGNATURE','32DN6 - 936',null,null);
INSERT INTO product_categories VALUES('2854','FLAT PANEL TV','SIGNATURE','32V600  - 936',null,null);
INSERT INTO product_categories VALUES('2855','FLAT PANEL TV','SIGNATURE','32HX9500 - 937',null,null);
INSERT INTO product_categories VALUES('2856','FLAT PANEL TV','SONY','32W600D-C  - 936',null,null);
INSERT INTO product_categories VALUES('2857','FLAT PANEL TV','SONY','32W600D-S - 936',null,null);
INSERT INTO product_categories VALUES('2858','FLAT PANEL TV','SONY','32R300E-C - 936',null,null);
INSERT INTO product_categories VALUES('2859','FLAT PANEL TV','SONY','32R300E-S - 936',null,null);
INSERT INTO product_categories VALUES('2860','FLAT PANEL TV','SONY','32R302 - 936',null,null);
INSERT INTO product_categories VALUES('2861','FLAT PANEL TV','SONY','32R302E-S - 936',null,null);
INSERT INTO product_categories VALUES('2862','FLAT PANEL TV','TCL','32S4900 - 936',null,null);
INSERT INTO product_categories VALUES('2863','FLAT PANEL TV','TCL','32S62 - 936',null,null);
INSERT INTO product_categories VALUES('2864','FLAT PANEL TV','TCL','32S64 - 936',null,null);
INSERT INTO product_categories VALUES('2865','FLAT PANEL TV','TCL','32S6500 - 936',null,null);
INSERT INTO product_categories VALUES('2866','FLAT PANEL TV','TCL','32S6500A - 936',null,null);
INSERT INTO product_categories VALUES('2867','FLAT PANEL TV','TCL','32S650A - 936',null,null);
INSERT INTO product_categories VALUES('2868','FLAT PANEL TV','TCL','32S65A - 936',null,null);
INSERT INTO product_categories VALUES('2869','FLAT PANEL TV','TCL','32D2900 - 936',null,null);
INSERT INTO product_categories VALUES('2870','FLAT PANEL TV','TCL','32D3000 - 936',null,null);
INSERT INTO product_categories VALUES('2871','FLAT PANEL TV','TCL','32D3000A - 936',null,null);
INSERT INTO product_categories VALUES('2872','FLAT PANEL TV','TCL','32D310 - 936',null,null);
INSERT INTO product_categories VALUES('2873','FLAT PANEL TV','CHANGHONG','39F5800i - 1388',null,null);
INSERT INTO product_categories VALUES('2874','FLAT PANEL TV','CHANGHONG','39E5808i - 1388',null,null);
INSERT INTO product_categories VALUES('2875','FLAT PANEL TV','ECOSTAR','39U563 - 1388',null,null);
INSERT INTO product_categories VALUES('2876','FLAT PANEL TV','ECOSTAR','39U564 - 1388',null,null);
INSERT INTO product_categories VALUES('2877','FLAT PANEL TV','HAIER','39K6000 - 1388',null,null);
INSERT INTO product_categories VALUES('2878','FLAT PANEL TV','HAIER','39K6600 - 1388',null,null);
INSERT INTO product_categories VALUES('2879','FLAT PANEL TV','MULTY NET','39NS100  - 1388',null,null);
INSERT INTO product_categories VALUES('2880','FLAT PANEL TV','MULTY NET','39M100  - 1388',null,null);
INSERT INTO product_categories VALUES('2881','FLAT PANEL TV','TCL','39D2900 - 1388',null,null);
INSERT INTO product_categories VALUES('2882','FLAT PANEL TV','ECOSTAR','40U852 - 938',null,null);
INSERT INTO product_categories VALUES('2883','FLAT PANEL TV','ECOSTAR','40U853  - 938',null,null);
INSERT INTO product_categories VALUES('2884','FLAT PANEL TV','ECOSTAR','40U860 - 938',null,null);
INSERT INTO product_categories VALUES('2885','FLAT PANEL TV','ECOSTAR','40U545 - 938',null,null);
INSERT INTO product_categories VALUES('2886','FLAT PANEL TV','ECOSTAR','40U561 - 938',null,null);
INSERT INTO product_categories VALUES('2887','FLAT PANEL TV','ECOSTAR','40U566 - 938',null,null);
INSERT INTO product_categories VALUES('2888','FLAT PANEL TV','ECOSTAR','40U571 - 938',null,null);
INSERT INTO product_categories VALUES('2889','FLAT PANEL TV','HAIER','40K6600G - 938',null,null);
INSERT INTO product_categories VALUES('2890','FLAT PANEL TV','HAIER','40K6000 - 938',null,null);
INSERT INTO product_categories VALUES('2891','FLAT PANEL TV','HAIER','40B9200M - 938',null,null);
INSERT INTO product_categories VALUES('2892','FLAT PANEL TV','ORIENT','40S-TRUMPET - 938',null,null);
INSERT INTO product_categories VALUES('2893','FLAT PANEL TV','ORIENT','40L6981 - 938',null,null);
INSERT INTO product_categories VALUES('2894','FLAT PANEL TV','ORIENT','40C-PUMA - 938',null,null);
INSERT INTO product_categories VALUES('2895','FLAT PANEL TV','ORIENT','40FHD- CHEETAH - 938',null,null);
INSERT INTO product_categories VALUES('2896','FLAT PANEL TV','ORIENT','40FHD-HAWK - 938',null,null);
INSERT INTO product_categories VALUES('2897','FLAT PANEL TV','ORIENT','40FHD-JAGUAR  - 938',null,null);
INSERT INTO product_categories VALUES('2898','FLAT PANEL TV','ORIENT','40FHD-LION  - 938',null,null);
INSERT INTO product_categories VALUES('2899','FLAT PANEL TV','ORIENT','40FHD-MACAW - 938',null,null);
INSERT INTO product_categories VALUES('2900','FLAT PANEL TV','SAMSUNG','40N5300-FMRM - 938',null,null);
INSERT INTO product_categories VALUES('2901','FLAT PANEL TV','SAMSUNG','40N5300-MRM - 938',null,null);
INSERT INTO product_categories VALUES('2902','FLAT PANEL TV','SAMSUNG','40N5300-P - 938',null,null);
INSERT INTO product_categories VALUES('2903','FLAT PANEL TV','SAMSUNG','40N5300-S - 938',null,null);
INSERT INTO product_categories VALUES('2904','FLAT PANEL TV','SAMSUNG','40N5300-SZ - 938',null,null);
INSERT INTO product_categories VALUES('2905','FLAT PANEL TV','SAMSUNG','40J5200-P - 938',null,null);
INSERT INTO product_categories VALUES('2906','FLAT PANEL TV','SAMSUNG','40J5100-P - 938',null,null);
INSERT INTO product_categories VALUES('2907','FLAT PANEL TV','SAMSUNG','40N5000-S - 938',null,null);
INSERT INTO product_categories VALUES('2908','FLAT PANEL TV','SAMSUNG','40N5000-SZ - 938',null,null);
INSERT INTO product_categories VALUES('2909','FLAT PANEL TV','SAMSUNG','40M5000-MRM - 938',null,null);
INSERT INTO product_categories VALUES('2910','FLAT PANEL TV','SAMSUNG','40M5000-P - 938',null,null);
INSERT INTO product_categories VALUES('2911','FLAT PANEL TV','SAMSUNG','40M5000-SZ - 938',null,null);
INSERT INTO product_categories VALUES('2912','FLAT PANEL TV','SAMSUNG','40M5100-MRM  - 942',null,null);
INSERT INTO product_categories VALUES('2913','FLAT PANEL TV','SAMSUNG','40K5000-P - 938',null,null);
INSERT INTO product_categories VALUES('2914','FLAT PANEL TV','SAMSUNG','40J9000P - 938',null,null);
INSERT INTO product_categories VALUES('2915','FLAT PANEL TV','SHARP','40LE185M - 938',null,null);
INSERT INTO product_categories VALUES('2916','FLAT PANEL TV','SIGNATURE','40V600 - 938',null,null);
INSERT INTO product_categories VALUES('2917','FLAT PANEL TV','SIGNATURE','40DN6 - 938',null,null);
INSERT INTO product_categories VALUES('2918','FLAT PANEL TV','SIGNATURE','40S600 - 938',null,null);
INSERT INTO product_categories VALUES('2919','FLAT PANEL TV','SONY','40W650-P - 938',null,null);
INSERT INTO product_categories VALUES('2920','FLAT PANEL TV','SONY','40W650D-CC - 938',null,null);
INSERT INTO product_categories VALUES('2921','FLAT PANEL TV','SONY','40W650D-S - 938',null,null);
INSERT INTO product_categories VALUES('2922','FLAT PANEL TV','SONY','40W652D - 938',null,null);
INSERT INTO product_categories VALUES('2923','FLAT PANEL TV','SONY','40W652D-S - 938',null,null);
INSERT INTO product_categories VALUES('2924','FLAT PANEL TV','SONY','40W660E-C - 938',null,null);
INSERT INTO product_categories VALUES('2925','FLAT PANEL TV','SONY','40R350-P - 938',null,null);
INSERT INTO product_categories VALUES('2926','FLAT PANEL TV','SONY','40R350E-S - 938',null,null);
INSERT INTO product_categories VALUES('2927','FLAT PANEL TV','SONY','40R352 - 938',null,null);
INSERT INTO product_categories VALUES('2928','FLAT PANEL TV','SONY','40R352E-M - 938',null,null);
INSERT INTO product_categories VALUES('2929','FLAT PANEL TV','SONY','40R352E-S - 938',null,null);
INSERT INTO product_categories VALUES('2930','FLAT PANEL TV','TCL','40S4900 - 938',null,null);
INSERT INTO product_categories VALUES('2931','FLAT PANEL TV','TCL','40S62 - 938',null,null);
INSERT INTO product_categories VALUES('2932','FLAT PANEL TV','TCL','40S64 - 938',null,null);
INSERT INTO product_categories VALUES('2933','FLAT PANEL TV','TCL','40S6500 - 938',null,null);
INSERT INTO product_categories VALUES('2934','FLAT PANEL TV','TCL','40S6500A - 938',null,null);
INSERT INTO product_categories VALUES('2935','FLAT PANEL TV','TCL','40S65A - 938',null,null);
INSERT INTO product_categories VALUES('2936','FLAT PANEL TV','TCL','40P62US - 938',null,null);
INSERT INTO product_categories VALUES('2937','FLAT PANEL TV','TCL','40D2900 - 938',null,null);
INSERT INTO product_categories VALUES('2938','FLAT PANEL TV','TCL','40D3000 - 938',null,null);
INSERT INTO product_categories VALUES('2939','FLAT PANEL TV','TCL','40D4900 - 938',null,null);
INSERT INTO product_categories VALUES('2940','FLAT PANEL TV','CHANGHONG','42E3700 - 939',null,null);
INSERT INTO product_categories VALUES('2941','FLAT PANEL TV','ECOSTAR','42U530 - 939',null,null);
INSERT INTO product_categories VALUES('2942','FLAT PANEL TV','CHANGHONG','43F5800i - 869',null,null);
INSERT INTO product_categories VALUES('2943','FLAT PANEL TV','ECOSTAR','43UD951 - 869',null,null);
INSERT INTO product_categories VALUES('2944','FLAT PANEL TV','ECOSTAR','43U571 - 869',null,null);
INSERT INTO product_categories VALUES('2945','FLAT PANEL TV','ECOSTAR','43U573 - 869',null,null);
INSERT INTO product_categories VALUES('2946','FLAT PANEL TV','HAIER','43K6600G - 869',null,null);
INSERT INTO product_categories VALUES('2947','FLAT PANEL TV','HAIER','43B9000 - 869',null,null);
INSERT INTO product_categories VALUES('2948','FLAT PANEL TV','LG','43LJ550-C - 869',null,null);
INSERT INTO product_categories VALUES('2949','FLAT PANEL TV','LG','43LJ550-P - 869',null,null);
INSERT INTO product_categories VALUES('2950','FLAT PANEL TV','LG','43LJ610-P - 869',null,null);
INSERT INTO product_categories VALUES('2951','FLAT PANEL TV','LG','43LK6100P - 869',null,null);
INSERT INTO product_categories VALUES('2952','FLAT PANEL TV','LG','43UJ634-P - 869',null,null);
INSERT INTO product_categories VALUES('2953','FLAT PANEL TV','LG','43UJ634-S - 869',null,null);
INSERT INTO product_categories VALUES('2954','FLAT PANEL TV','LG','43UJ651V-C - 869',null,null);
INSERT INTO product_categories VALUES('2955','FLAT PANEL TV','LG','43UK6300-S - 869',null,null);
INSERT INTO product_categories VALUES('2956','FLAT PANEL TV','LG','43UK6400-S - 869',null,null);
INSERT INTO product_categories VALUES('2957','FLAT PANEL TV','LG','43LH516-C - 869',null,null);
INSERT INTO product_categories VALUES('2958','FLAT PANEL TV','LG','43LJ500-S - 869',null,null);
INSERT INTO product_categories VALUES('2959','FLAT PANEL TV','LG','43LJ510-P - 869',null,null);
INSERT INTO product_categories VALUES('2960','FLAT PANEL TV','LG','43LH511-C - 869',null,null);
INSERT INTO product_categories VALUES('2961','FLAT PANEL TV','MULTY NET','43NS100 - 869',null,null);
INSERT INTO product_categories VALUES('2962','FLAT PANEL TV','ORIENT','43S-FHD-THRILLER - 869',null,null);
INSERT INTO product_categories VALUES('2963','FLAT PANEL TV','ORIENT','43G6530 - 869',null,null);
INSERT INTO product_categories VALUES('2964','FLAT PANEL TV','SAMSUNG','43M6000-SZ - 869',null,null);
INSERT INTO product_categories VALUES('2965','FLAT PANEL TV','SAMSUNG','43N5002-S  - 869',null,null);
INSERT INTO product_categories VALUES('2966','FLAT PANEL TV','SAMSUNG','43NU7100-MRM - 869',null,null);
INSERT INTO product_categories VALUES('2967','FLAT PANEL TV','SAMSUNG','43NU7100-S  - 869',null,null);
INSERT INTO product_categories VALUES('2968','FLAT PANEL TV','SAMSUNG','43NU7100-SZ - 869',null,null);
INSERT INTO product_categories VALUES('2969','FLAT PANEL TV','SAMSUNG','43RU7100-MRM  - 869',null,null);
INSERT INTO product_categories VALUES('2970','FLAT PANEL TV','SAMSUNG','43RU7100-P - 869',null,null);
INSERT INTO product_categories VALUES('2971','FLAT PANEL TV','SAMSUNG','43MU7000-MRM - 869',null,null);
INSERT INTO product_categories VALUES('2972','FLAT PANEL TV','SAMSUNG','43MU7000-P - 869',null,null);
INSERT INTO product_categories VALUES('2973','FLAT PANEL TV','SAMSUNG','43MU7000-SZ - 881',null,null);
INSERT INTO product_categories VALUES('2974','FLAT PANEL TV','SAMSUNG','43N5000-P - 869',null,null);
INSERT INTO product_categories VALUES('2975','FLAT PANEL TV','SAMSUNG','43N5000-S - 869',null,null);
INSERT INTO product_categories VALUES('2976','FLAT PANEL TV','SAMSUNG','43N5003-S - 869',null,null);
INSERT INTO product_categories VALUES('2977','FLAT PANEL TV','SONY','43W660F - 938',null,null);
INSERT INTO product_categories VALUES('2978','FLAT PANEL TV','SONY','43W660F-C - 869',null,null);
INSERT INTO product_categories VALUES('2979','FLAT PANEL TV','SONY','43W660F-S - 869',null,null);
INSERT INTO product_categories VALUES('2980','FLAT PANEL TV','SONY','43W800G-C - 869',null,null);
INSERT INTO product_categories VALUES('2981','FLAT PANEL TV','SONY','43X7000E - 869',null,null);
INSERT INTO product_categories VALUES('2982','FLAT PANEL TV','SONY','43X7000F-S - 869',null,null);
INSERT INTO product_categories VALUES('2983','FLAT PANEL TV','SONY','43X7500F-S - 869',null,null);
INSERT INTO product_categories VALUES('2984','FLAT PANEL TV','SONY','43X8000G-C - 869',null,null);
INSERT INTO product_categories VALUES('2985','FLAT PANEL TV','SONY','43X8000G-CC - 869',null,null);
INSERT INTO product_categories VALUES('2986','FLAT PANEL TV','TCL','43S6000 - 869',null,null);
INSERT INTO product_categories VALUES('2987','FLAT PANEL TV','TCL','43S62 - 869',null,null);
INSERT INTO product_categories VALUES('2988','FLAT PANEL TV','TCL','43S6500 - 869',null,null);
INSERT INTO product_categories VALUES('2989','FLAT PANEL TV','TCL','43P1FS - 869',null,null);
INSERT INTO product_categories VALUES('2990','FLAT PANEL TV','TCL','43P2US - 869',null,null);
INSERT INTO product_categories VALUES('2991','FLAT PANEL TV','TCL','43P65 - 869',null,null);
INSERT INTO product_categories VALUES('2992','FLAT PANEL TV','TCL','43P6US - 869',null,null);
INSERT INTO product_categories VALUES('2993','FLAT PANEL TV','TCL','43P8US - 869',null,null);
INSERT INTO product_categories VALUES('2994','FLAT PANEL TV','TCL','43D2900 - 869',null,null);
INSERT INTO product_categories VALUES('2995','FLAT PANEL TV','TCL','43D3000 - 869',null,null);
INSERT INTO product_categories VALUES('2996','FLAT PANEL TV','SONY','48W650D-S - 1560',null,null);
INSERT INTO product_categories VALUES('2997','FLAT PANEL TV','SONY','48W652 - 1560',null,null);
INSERT INTO product_categories VALUES('2998','FLAT PANEL TV','SONY','48W652D-CC - 1560',null,null);
INSERT INTO product_categories VALUES('2999','FLAT PANEL TV','CHANGHONG','49F6400i - 1629',null,null);
INSERT INTO product_categories VALUES('3000','FLAT PANEL TV','ECOSTAR','49U565 - 1629',null,null);
INSERT INTO product_categories VALUES('3001','FLAT PANEL TV','ECOSTAR','49U571 - 1629',null,null);
INSERT INTO product_categories VALUES('3002','FLAT PANEL TV','ECOSTAR','49UD921 - 1629',null,null);
INSERT INTO product_categories VALUES('3003','FLAT PANEL TV','LG','49LH602-P - 1629',null,null);
INSERT INTO product_categories VALUES('3004','FLAT PANEL TV','LG','49LJ610-P - 1629',null,null);
INSERT INTO product_categories VALUES('3005','FLAT PANEL TV','LG','49UH651-S - 1629',null,null);
INSERT INTO product_categories VALUES('3006','FLAT PANEL TV','LG','49UJ634-P - 1629',null,null);
INSERT INTO product_categories VALUES('3007','FLAT PANEL TV','LG','49UJ752V-C - 1629',null,null);
INSERT INTO product_categories VALUES('3008','FLAT PANEL TV','LG','49UK6400-S - 1629',null,null);
INSERT INTO product_categories VALUES('3009','FLAT PANEL TV','LG','49UM7340-P - 1629',null,null);
INSERT INTO product_categories VALUES('3010','FLAT PANEL TV','LG','49LH516-C - 1629',null,null);
INSERT INTO product_categories VALUES('3011','FLAT PANEL TV','LG','49LH548-P - 1629',null,null);
INSERT INTO product_categories VALUES('3012','FLAT PANEL TV','LG','49LF540T-P - 1629',null,null);
INSERT INTO product_categories VALUES('3013','FLAT PANEL TV','LG','49LH511 - 1629',null,null);
INSERT INTO product_categories VALUES('3014','FLAT PANEL TV','SAMSUNG','49K5300-S - 1629',null,null);
INSERT INTO product_categories VALUES('3015','FLAT PANEL TV','SAMSUNG','49K5300GT - 1629',null,null);
INSERT INTO product_categories VALUES('3016','FLAT PANEL TV','SAMSUNG','49M6000-GT - 1629',null,null);
INSERT INTO product_categories VALUES('3017','FLAT PANEL TV','SAMSUNG','49N5300-FMRM - 1629',null,null);
INSERT INTO product_categories VALUES('3018','FLAT PANEL TV','SAMSUNG','49N5300-MRM - 1629',null,null);
INSERT INTO product_categories VALUES('3019','FLAT PANEL TV','SAMSUNG','49N5300-S - 1629',null,null);
INSERT INTO product_categories VALUES('3020','FLAT PANEL TV','SAMSUNG','49J5200-P - 1629',null,null);
INSERT INTO product_categories VALUES('3021','FLAT PANEL TV','SAMSUNG','49NU7100-MRM - 1629',null,null);
INSERT INTO product_categories VALUES('3022','FLAT PANEL TV','SAMSUNG','49NU7100-S  - 1629',null,null);
INSERT INTO product_categories VALUES('3023','FLAT PANEL TV','SAMSUNG','49NU7100-SZ - 1629',null,null);
INSERT INTO product_categories VALUES('3024','FLAT PANEL TV','SAMSUNG','49MU7350-MRM - 1629',null,null);
INSERT INTO product_categories VALUES('3025','FLAT PANEL TV','SAMSUNG','49MU7350-P - 1629',null,null);
INSERT INTO product_categories VALUES('3026','FLAT PANEL TV','SAMSUNG','49RU7100-MRM - 1629',null,null);
INSERT INTO product_categories VALUES('3027','FLAT PANEL TV','SAMSUNG','49RU7100-P - 1629',null,null);
INSERT INTO product_categories VALUES('3028','FLAT PANEL TV','SAMSUNG','49K6500GT - 1629',null,null);
INSERT INTO product_categories VALUES('3029','FLAT PANEL TV','SAMSUNG','49K6500-P - 1629',null,null);
INSERT INTO product_categories VALUES('3030','FLAT PANEL TV','SAMSUNG','49K5100-P - 1629',null,null);
INSERT INTO product_categories VALUES('3031','FLAT PANEL TV','SAMSUNG','49K5100-S - 1629',null,null);
INSERT INTO product_categories VALUES('3032','FLAT PANEL TV','SAMSUNG','49K5100GT - 1629',null,null);
INSERT INTO product_categories VALUES('3033','FLAT PANEL TV','SAMSUNG','49N5000-S - 1629',null,null);
INSERT INTO product_categories VALUES('3034','FLAT PANEL TV','SAMSUNG','49M5000-P - 1629',null,null);
INSERT INTO product_categories VALUES('3035','FLAT PANEL TV','SAMSUNG','49M5000-S  - 1629',null,null);
INSERT INTO product_categories VALUES('3036','FLAT PANEL TV','SONY','49W660E-C - 1629',null,null);
INSERT INTO product_categories VALUES('3037','FLAT PANEL TV','SONY','49W660E-S - 1629',null,null);
INSERT INTO product_categories VALUES('3038','FLAT PANEL TV','SONY','49W800G-C - 1629',null,null);
INSERT INTO product_categories VALUES('3039','FLAT PANEL TV','SONY','49W800G-CC - 1629',null,null);
INSERT INTO product_categories VALUES('3040','FLAT PANEL TV','SONY','49X7000-C - 1629',null,null);
INSERT INTO product_categories VALUES('3041','FLAT PANEL TV','SONY','49X7000D - 942',null,null);
INSERT INTO product_categories VALUES('3042','FLAT PANEL TV','SONY','49X7000F-C - 1629',null,null);
INSERT INTO product_categories VALUES('3043','FLAT PANEL TV','SONY','49X7000F-S - 1629',null,null);
INSERT INTO product_categories VALUES('3044','FLAT PANEL TV','SONY','49X7077F-S - 1629',null,null);
INSERT INTO product_categories VALUES('3045','FLAT PANEL TV','SONY','49X7500F-S - 1629',null,null);
INSERT INTO product_categories VALUES('3046','FLAT PANEL TV','SONY','49X8000G-C - 1629',null,null);
INSERT INTO product_categories VALUES('3047','FLAT PANEL TV','SONY','49X8000G-CC - 1629',null,null);
INSERT INTO product_categories VALUES('3048','FLAT PANEL TV','SONY','49X8000G-S - 1629',null,null);
INSERT INTO product_categories VALUES('3049','FLAT PANEL TV','TCL','49S6500 - 1629',null,null);
INSERT INTO product_categories VALUES('3050','FLAT PANEL TV','TCL','49P2US - 1629',null,null);
INSERT INTO product_categories VALUES('3051','FLAT PANEL TV','TCL','49P3FS - 1629',null,null);
INSERT INTO product_categories VALUES('3052','FLAT PANEL TV','TCL','49C2US - 1629',null,null);
INSERT INTO product_categories VALUES('3053','FLAT PANEL TV','TCL','49C6US - 1629',null,null);
INSERT INTO product_categories VALUES('3054','FLAT PANEL TV','TCL','49D2900 - 1629',null,null);
INSERT INTO product_categories VALUES('3055','FLAT PANEL TV','TCL','49D3000 - 1629',null,null);
INSERT INTO product_categories VALUES('3056','FLAT PANEL TV','CHANGHONG','50F5500i - 871',null,null);
INSERT INTO product_categories VALUES('3057','FLAT PANEL TV','CHANGHONG','50E5500i - 871',null,null);
INSERT INTO product_categories VALUES('3058','FLAT PANEL TV','CHANGHONG','50E6600i - 871',null,null);
INSERT INTO product_categories VALUES('3059','FLAT PANEL TV','CHANGHONG','50F6500I - 871',null,null);
INSERT INTO product_categories VALUES('3060','FLAT PANEL TV','CHANGHONG','50F3300 - 871',null,null);
INSERT INTO product_categories VALUES('3061','FLAT PANEL TV','ECOSTAR','50U571 - 871',null,null);
INSERT INTO product_categories VALUES('3062','FLAT PANEL TV','HAIER','50U6700UA - 871',null,null);
INSERT INTO product_categories VALUES('3063','FLAT PANEL TV','HAIER','50U6900UG - 871',null,null);
INSERT INTO product_categories VALUES('3064','FLAT PANEL TV','HAIER','50K6500UA - 871',null,null);
INSERT INTO product_categories VALUES('3065','FLAT PANEL TV','HAIER','50B9200M  - 871',null,null);
INSERT INTO product_categories VALUES('3066','FLAT PANEL TV','LG','50UK6300-S - 871',null,null);
INSERT INTO product_categories VALUES('3067','FLAT PANEL TV','MULTY NET','50NS100 - 871',null,null);
INSERT INTO product_categories VALUES('3068','FLAT PANEL TV','MULTY NET','50NS150 - 871',null,null);
INSERT INTO product_categories VALUES('3069','FLAT PANEL TV','MULTY NET','50SE100 - 871',null,null);
INSERT INTO product_categories VALUES('3070','FLAT PANEL TV','MULTY NET','50NS200 - 871',null,null);
INSERT INTO product_categories VALUES('3071','FLAT PANEL TV','ORIENT','50S-TRUMPET - 871',null,null);
INSERT INTO product_categories VALUES('3072','FLAT PANEL TV','ORIENT','50S-VIOLIN - 871',null,null);
INSERT INTO product_categories VALUES('3073','FLAT PANEL TV','ORIENT','50S-FANTASY - 871',null,null);
INSERT INTO product_categories VALUES('3074','FLAT PANEL TV','ORIENT','50SM8000 - 871',null,null);
INSERT INTO product_categories VALUES('3075','FLAT PANEL TV','ORIENT','50FHD-EAGLE - 871',null,null);
INSERT INTO product_categories VALUES('3076','FLAT PANEL TV','ORIENT','50FHD-FALCON - 871',null,null);
INSERT INTO product_categories VALUES('3077','FLAT PANEL TV','ORIENT','50G6530 - 871',null,null);
INSERT INTO product_categories VALUES('3078','FLAT PANEL TV','ORIENT','50L6530 - 871',null,null);
INSERT INTO product_categories VALUES('3079','FLAT PANEL TV','ORIENT','50L6533 - 871',null,null);
INSERT INTO product_categories VALUES('3080','FLAT PANEL TV','SAMSUNG','50MU7000 - 871',null,null);
INSERT INTO product_categories VALUES('3081','FLAT PANEL TV','SAMSUNG','50MU7000-MRM - 871',null,null);
INSERT INTO product_categories VALUES('3082','FLAT PANEL TV','SAMSUNG','50MU7000-P - 871',null,null);
INSERT INTO product_categories VALUES('3083','FLAT PANEL TV','SAMSUNG','50MU7000-SZ - 871',null,null);
INSERT INTO product_categories VALUES('3084','FLAT PANEL TV','SAMSUNG','50J5100P - 871',null,null);
INSERT INTO product_categories VALUES('3085','FLAT PANEL TV','SIGNATURE','50DN4S - 871',null,null);
INSERT INTO product_categories VALUES('3086','FLAT PANEL TV','SIGNATURE','50V800 - 871',null,null);
INSERT INTO product_categories VALUES('3087','FLAT PANEL TV','SONY','50W660F-S - 871',null,null);
INSERT INTO product_categories VALUES('3088','FLAT PANEL TV','SONY','50W660F-C  - 871',null,null);
INSERT INTO product_categories VALUES('3089','FLAT PANEL TV','TCL','50P65US  - 871',null,null);
INSERT INTO product_categories VALUES('3090','FLAT PANEL TV','TCL','50P6US - 871',null,null);
INSERT INTO product_categories VALUES('3091','FLAT PANEL TV','TCL','50P8S - 871',null,null);
INSERT INTO product_categories VALUES('3092','FLAT PANEL TV','TCL','50P8US - 871',null,null);
INSERT INTO product_categories VALUES('3093','FLAT PANEL TV','CHANGHONG','55E5508i - 942',null,null);
INSERT INTO product_categories VALUES('3094','FLAT PANEL TV','CHANGHONG','55F5500I - 942',null,null);
INSERT INTO product_categories VALUES('3095','FLAT PANEL TV','CHANGHONG','55E6500i - 942',null,null);
INSERT INTO product_categories VALUES('3096','FLAT PANEL TV','CHANGHONG','55E3500 - 942',null,null);
INSERT INTO product_categories VALUES('3097','FLAT PANEL TV','CHANGHONG','55F3500 - 942',null,null);
INSERT INTO product_categories VALUES('3098','FLAT PANEL TV','ECOSTAR','55UD930 - 942',null,null);
INSERT INTO product_categories VALUES('3099','FLAT PANEL TV','ECOSTAR','55UD950 - 942',null,null);
INSERT INTO product_categories VALUES('3100','FLAT PANEL TV','ECOSTAR','55UD921 - 942',null,null);
INSERT INTO product_categories VALUES('3101','FLAT PANEL TV','ECOSTAR','55U571 - 942',null,null);
INSERT INTO product_categories VALUES('3102','FLAT PANEL TV','HAIER','55U6900UG - 942',null,null);
INSERT INTO product_categories VALUES('3103','FLAT PANEL TV','HAIER','55K6600 - 942',null,null);
INSERT INTO product_categories VALUES('3104','FLAT PANEL TV','HAIER','55K6000U  - 942',null,null);
INSERT INTO product_categories VALUES('3105','FLAT PANEL TV','LG','55EG9A7V-C - 942',null,null);
INSERT INTO product_categories VALUES('3106','FLAT PANEL TV','LG','55LH540-S - 942',null,null);
INSERT INTO product_categories VALUES('3107','FLAT PANEL TV','LG','55LJ540-S - 942',null,null);
INSERT INTO product_categories VALUES('3108','FLAT PANEL TV','LG','55EG910-S - 942',null,null);
INSERT INTO product_categories VALUES('3109','FLAT PANEL TV','LG','55SM8100 - 942',null,null);
INSERT INTO product_categories VALUES('3110','FLAT PANEL TV','LG','55SJ800-P - 942',null,null);
INSERT INTO product_categories VALUES('3111','FLAT PANEL TV','LG','55SJ800V-C - - 942',null,null);
INSERT INTO product_categories VALUES('3112','FLAT PANEL TV','LG','55SK7900-S - 942',null,null);
INSERT INTO product_categories VALUES('3113','FLAT PANEL TV','LG','55SK8000-S - 942',null,null);
INSERT INTO product_categories VALUES('3114','FLAT PANEL TV','LG','55UH603-S - 942',null,null);
INSERT INTO product_categories VALUES('3115','FLAT PANEL TV','LG','55UH770V-C - 942',null,null);
INSERT INTO product_categories VALUES('3116','FLAT PANEL TV','LG','55UH850-P - 942',null,null);
INSERT INTO product_categories VALUES('3117','FLAT PANEL TV','LG','55UJ634V-S - 942',null,null);
INSERT INTO product_categories VALUES('3118','FLAT PANEL TV','LG','55UJ752V-C - 942',null,null);
INSERT INTO product_categories VALUES('3119','FLAT PANEL TV','LG','55UK6100-S  - 942',null,null);
INSERT INTO product_categories VALUES('3120','FLAT PANEL TV','LG','55UK6300-S - 942',null,null);
INSERT INTO product_categories VALUES('3121','FLAT PANEL TV','MULTY NET','55SE100 - 942',null,null);
INSERT INTO product_categories VALUES('3122','FLAT PANEL TV','ORIENT','55S-TRUMPET - 942',null,null);
INSERT INTO product_categories VALUES('3123','FLAT PANEL TV','ORIENT','55S-VIOLIN - 942',null,null);
INSERT INTO product_categories VALUES('3124','FLAT PANEL TV','ORIENT','55S-FANTASY - 942',null,null);
INSERT INTO product_categories VALUES('3125','FLAT PANEL TV','ORIENT','55M8010 - 942',null,null);
INSERT INTO product_categories VALUES('3126','FLAT PANEL TV','ORIENT','55SM8000 - 942',null,null);
INSERT INTO product_categories VALUES('3127','FLAT PANEL TV','ORIENT','55M7000 - 942',null,null);
INSERT INTO product_categories VALUES('3128','FLAT PANEL TV','ORIENT','55FHD-EAGLE - 942',null,null);
INSERT INTO product_categories VALUES('3129','FLAT PANEL TV','ORIENT','55FHD-FALCON - 942',null,null);
INSERT INTO product_categories VALUES('3130','FLAT PANEL TV','SAMSUNG','55M6000-MRM - 942',null,null);
INSERT INTO product_categories VALUES('3131','FLAT PANEL TV','SAMSUNG','55M6500-MRM  - 942',null,null);
INSERT INTO product_categories VALUES('3132','FLAT PANEL TV','SAMSUNG','55K5300-P - 942',null,null);
INSERT INTO product_categories VALUES('3133','FLAT PANEL TV','SAMSUNG','55K6500-P - 942',null,null);
INSERT INTO product_categories VALUES('3134','FLAT PANEL TV','SAMSUNG','55MU7000-GT - 942',null,null);
INSERT INTO product_categories VALUES('3135','FLAT PANEL TV','SAMSUNG','55MU7000-MRM - 942',null,null);
INSERT INTO product_categories VALUES('3136','FLAT PANEL TV','SAMSUNG','55MU7000-P - 942',null,null);
INSERT INTO product_categories VALUES('3137','FLAT PANEL TV','SAMSUNG','55MU7000-SZ - 942',null,null);
INSERT INTO product_categories VALUES('3138','FLAT PANEL TV','SAMSUNG','55KU7350-P - 942',null,null);
INSERT INTO product_categories VALUES('3139','FLAT PANEL TV','SAMSUNG','55Q6-FNK-S - 942',null,null);
INSERT INTO product_categories VALUES('3140','FLAT PANEL TV','SAMSUNG','55Q60-MRM - 942',null,null);
INSERT INTO product_categories VALUES('3141','FLAT PANEL TV','SAMSUNG','55Q60-S - 942',null,null);
INSERT INTO product_categories VALUES('3142','FLAT PANEL TV','SAMSUNG','55Q7-C-GT - 942',null,null);
INSERT INTO product_categories VALUES('3143','FLAT PANEL TV','SAMSUNG','55Q7-C-MRM - 942',null,null);
INSERT INTO product_categories VALUES('3144','FLAT PANEL TV','SAMSUNG','55Q7-F-MRM  - 942',null,null);
INSERT INTO product_categories VALUES('3145','FLAT PANEL TV','SAMSUNG','55Q7-F-SZ - 942',null,null);
INSERT INTO product_categories VALUES('3146','FLAT PANEL TV','SAMSUNG','55Q70-S - 942',null,null);
INSERT INTO product_categories VALUES('3147','FLAT PANEL TV','SAMSUNG','55Q7FN-SZ - 942',null,null);
INSERT INTO product_categories VALUES('3148','FLAT PANEL TV','SAMSUNG','55RU7100-P - 942',null,null);
INSERT INTO product_categories VALUES('3149','FLAT PANEL TV','SAMSUNG','55RU7100-SZ - 942',null,null);
INSERT INTO product_categories VALUES('3150','FLAT PANEL TV','SAMSUNG','55RU7400-MRM  - 942',null,null);
INSERT INTO product_categories VALUES('3151','FLAT PANEL TV','SAMSUNG','55MU7350-GT - 942',null,null);
INSERT INTO product_categories VALUES('3152','FLAT PANEL TV','SAMSUNG','55MU7350-MRM  - 942',null,null);
INSERT INTO product_categories VALUES('3153','FLAT PANEL TV','SAMSUNG','55MU7350-P - 942',null,null);
INSERT INTO product_categories VALUES('3154','FLAT PANEL TV','SAMSUNG','55MU7350-SZ - 942',null,null);
INSERT INTO product_categories VALUES('3155','FLAT PANEL TV','SAMSUNG','55MU8000-MRM - 942',null,null);
INSERT INTO product_categories VALUES('3156','FLAT PANEL TV','SAMSUNG','55MU8500-MRM - 942',null,null);
INSERT INTO product_categories VALUES('3157','FLAT PANEL TV','SAMSUNG','55NU7100-S - 942',null,null);
INSERT INTO product_categories VALUES('3158','FLAT PANEL TV','SAMSUNG','55NU7100-SZ - 942',null,null);
INSERT INTO product_categories VALUES('3159','FLAT PANEL TV','SAMSUNG','55NU7300-P - 942',null,null);
INSERT INTO product_categories VALUES('3160','FLAT PANEL TV','SAMSUNG','55NU8000-FMRM - 942',null,null);
INSERT INTO product_categories VALUES('3161','FLAT PANEL TV','SAMSUNG','55NU8000-MRM - 942',null,null);
INSERT INTO product_categories VALUES('3162','FLAT PANEL TV','SAMSUNG','55NU8000-S - 942',null,null);
INSERT INTO product_categories VALUES('3163','FLAT PANEL TV','SIGNATURE','55D6-S - 942',null,null);
INSERT INTO product_categories VALUES('3164','FLAT PANEL TV','SONY','EID2055X80G - 942',null,null);
INSERT INTO product_categories VALUES('3165','FLAT PANEL TV','SONY','55W650 - 942',null,null);
INSERT INTO product_categories VALUES('3166','FLAT PANEL TV','SONY','55X7000-F-C - 942',null,null);
INSERT INTO product_categories VALUES('3167','FLAT PANEL TV','SONY','55X7077-F-C  - 942',null,null);
INSERT INTO product_categories VALUES('3168','FLAT PANEL TV','SONY','55X7500F - 942',null,null);
INSERT INTO product_categories VALUES('3169','FLAT PANEL TV','SONY','55X7500F-S - 942',null,null);
INSERT INTO product_categories VALUES('3170','FLAT PANEL TV','SONY','55X8000-C - 942',null,null);
INSERT INTO product_categories VALUES('3171','FLAT PANEL TV','SONY','55X8000E - 942',null,null);
INSERT INTO product_categories VALUES('3172','FLAT PANEL TV','SONY','55X8000E-S - 942',null,null);
INSERT INTO product_categories VALUES('3173','FLAT PANEL TV','SONY','55X8000G-CC - 942',null,null);
INSERT INTO product_categories VALUES('3174','FLAT PANEL TV','SONY','55X8000G-S - 942',null,null);
INSERT INTO product_categories VALUES('3175','FLAT PANEL TV','SONY','55X8077G-S - 942',null,null);
INSERT INTO product_categories VALUES('3176','FLAT PANEL TV','SONY','55X8500 - 942',null,null);
INSERT INTO product_categories VALUES('3177','FLAT PANEL TV','SONY','55X8500G-CC - 942',null,null);
INSERT INTO product_categories VALUES('3178','FLAT PANEL TV','SONY','55X8500G-S - 942',null,null);
INSERT INTO product_categories VALUES('3179','FLAT PANEL TV','SONY','55X8577G-S - 942',null,null);
INSERT INTO product_categories VALUES('3180','FLAT PANEL TV','SONY','55X9000F-S - 942',null,null);
INSERT INTO product_categories VALUES('3181','FLAT PANEL TV','SONY','55X9500G-CC - 942',null,null);
INSERT INTO product_categories VALUES('3182','FLAT PANEL TV','SONY','55X7000-S - 942',null,null);
INSERT INTO product_categories VALUES('3183','FLAT PANEL TV','SONY','55X7000D-S - 942',null,null);
INSERT INTO product_categories VALUES('3184','FLAT PANEL TV','SONY','55X7000E-S  - 942',null,null);
INSERT INTO product_categories VALUES('3185','FLAT PANEL TV','SONY','55X7000F-S - 942',null,null);
INSERT INTO product_categories VALUES('3186','FLAT PANEL TV','SONY','55X7000G-S - 942',null,null);
INSERT INTO product_categories VALUES('3187','FLAT PANEL TV','SONY','55X7000 - 942',null,null);
INSERT INTO product_categories VALUES('3188','FLAT PANEL TV','SONY','55A8G-C - 942',null,null);
INSERT INTO product_categories VALUES('3189','FLAT PANEL TV','SONY','55A8G-CC - 942',null,null);
INSERT INTO product_categories VALUES('3190','FLAT PANEL TV','TCL','55S4900 - 942',null,null);
INSERT INTO product_categories VALUES('3191','FLAT PANEL TV','TCL','55S62 - 942',null,null);
INSERT INTO product_categories VALUES('3192','FLAT PANEL TV','TCL','55C1US - 942',null,null);
INSERT INTO product_categories VALUES('3193','FLAT PANEL TV','TCL','55C2US - 942',null,null);
INSERT INTO product_categories VALUES('3194','FLAT PANEL TV','TCL','55C6US - 942',null,null);
INSERT INTO product_categories VALUES('3195','FLAT PANEL TV','TCL','55C8US - 942',null,null);
INSERT INTO product_categories VALUES('3196','FLAT PANEL TV','TCL','55P5US - 942',null,null);
INSERT INTO product_categories VALUES('3197','FLAT PANEL TV','TCL','55P65US - 942',null,null);
INSERT INTO product_categories VALUES('3198','FLAT PANEL TV','TCL','55P6US - 942',null,null);
INSERT INTO product_categories VALUES('3199','FLAT PANEL TV','TCL','55P8M - 942',null,null);
INSERT INTO product_categories VALUES('3200','FLAT PANEL TV','TCL','55P8S - 942',null,null);
INSERT INTO product_categories VALUES('3201','FLAT PANEL TV','TCL','55P8US - 942',null,null);
INSERT INTO product_categories VALUES('3202','FLAT PANEL TV','TCL','55D2900 - 871',null,null);
INSERT INTO product_categories VALUES('3203','FLAT PANEL TV','CHANGHONG','58E6500i - 876',null,null);
INSERT INTO product_categories VALUES('3204','FLAT PANEL TV','MULTY NET','58UN500 - 876',null,null);
INSERT INTO product_categories VALUES('3205','FLAT PANEL TV','MULTY NET','58NS500 - 876',null,null);
INSERT INTO product_categories VALUES('3206','FLAT PANEL TV','SAMSUNG','58RU7100-MRM - 876',null,null);
INSERT INTO product_categories VALUES('3207','FLAT PANEL TV','ORIENT','60L400A - 950',null,null);
INSERT INTO product_categories VALUES('3208','FLAT PANEL TV','SAMSUNG','60KU7000-P - 950',null,null);
INSERT INTO product_categories VALUES('3209','FLAT PANEL TV','ECOSTAR','65UD921 - 1443',null,null);
INSERT INTO product_categories VALUES('3210','FLAT PANEL TV','ECOSTAR','65UD951 - 1443',null,null);
INSERT INTO product_categories VALUES('3211','FLAT PANEL TV','ECOSTAR','65U567 - 1443',null,null);
INSERT INTO product_categories VALUES('3212','FLAT PANEL TV','ECOSTAR','65U568 - 1443',null,null);
INSERT INTO product_categories VALUES('3213','FLAT PANEL TV','HAIER','65K6000U - 1443',null,null);
INSERT INTO product_categories VALUES('3214','FLAT PANEL TV','HAIER','65K6600UG - 1443',null,null);
INSERT INTO product_categories VALUES('3215','FLAT PANEL TV','LG','65UM7340-S - 1443',null,null);
INSERT INTO product_categories VALUES('3216','FLAT PANEL TV','LG','65UM7450-S - 1443',null,null);
INSERT INTO product_categories VALUES('3217','FLAT PANEL TV','LG','65SJ850V-C - 1443',null,null);
INSERT INTO product_categories VALUES('3218','FLAT PANEL TV','LG','65SK7900-S - 1443',null,null);
INSERT INTO product_categories VALUES('3219','FLAT PANEL TV','LG','65SM8600-C - 1443',null,null);
INSERT INTO product_categories VALUES('3220','FLAT PANEL TV','LG','65C9-C - 1443',null,null);
INSERT INTO product_categories VALUES('3221','FLAT PANEL TV','LG','65B7-C - 1443',null,null);
INSERT INTO product_categories VALUES('3222','FLAT PANEL TV','LG','65UH850-P - 1443',null,null);
INSERT INTO product_categories VALUES('3223','FLAT PANEL TV','LG','65UH850-S - 1443',null,null);
INSERT INTO product_categories VALUES('3224','FLAT PANEL TV','LG','65UJ651V-C - 1443',null,null);
INSERT INTO product_categories VALUES('3225','FLAT PANEL TV','LG','65UK6100-S - 1443',null,null);
INSERT INTO product_categories VALUES('3226','FLAT PANEL TV','MULTY NET','65NS500  - 1443',null,null);
INSERT INTO product_categories VALUES('3227','FLAT PANEL TV','MULTY NET','65SE100 - 1443',null,null);
INSERT INTO product_categories VALUES('3228','FLAT PANEL TV','ORIENT','65S-GUITAR - 1443',null,null);
INSERT INTO product_categories VALUES('3229','FLAT PANEL TV','ORIENT','65M7000 - 1443',null,null);
INSERT INTO product_categories VALUES('3230','FLAT PANEL TV','SAMSUNG','65NU7100-FMRM - 1443',null,null);
INSERT INTO product_categories VALUES('3231','FLAT PANEL TV','SAMSUNG','65NU7100-MRM - 1443',null,null);
INSERT INTO product_categories VALUES('3232','FLAT PANEL TV','SAMSUNG','65NU7100-S  - 1443',null,null);
INSERT INTO product_categories VALUES('3233','FLAT PANEL TV','SAMSUNG','65NU7100-SZ - 1443',null,null);
INSERT INTO product_categories VALUES('3234','FLAT PANEL TV','SAMSUNG','65NU8000-FMRM - 1443',null,null);
INSERT INTO product_categories VALUES('3235','FLAT PANEL TV','SAMSUNG','65NU8000-MRM - 1443',null,null);
INSERT INTO product_categories VALUES('3236','FLAT PANEL TV','SAMSUNG','65NU8000-S - 1443',null,null);
INSERT INTO product_categories VALUES('3237','FLAT PANEL TV','SAMSUNG','65NU8000-SZ - 1443',null,null);
INSERT INTO product_categories VALUES('3238','FLAT PANEL TV','SAMSUNG','65MU7000-MRM - 1443',null,null);
INSERT INTO product_categories VALUES('3239','FLAT PANEL TV','SAMSUNG','65MU7000-P - 1443',null,null);
INSERT INTO product_categories VALUES('3240','FLAT PANEL TV','SAMSUNG','65MU7000-SZ - 1443',null,null);
INSERT INTO product_categories VALUES('3241','FLAT PANEL TV','SAMSUNG','65MU7350-MRM  - 1443',null,null);
INSERT INTO product_categories VALUES('3242','FLAT PANEL TV','SAMSUNG','65MU7350-SZ - 1443',null,null);
INSERT INTO product_categories VALUES('3243','FLAT PANEL TV','SAMSUNG','65MU8000-S - 1443',null,null);
INSERT INTO product_categories VALUES('3244','FLAT PANEL TV','SAMSUNG','65Q6-S - 1443',null,null);
INSERT INTO product_categories VALUES('3245','FLAT PANEL TV','SAMSUNG','65Q60-MRM - 1443',null,null);
INSERT INTO product_categories VALUES('3246','FLAT PANEL TV','SAMSUNG','65Q60-S - 1443',null,null);
INSERT INTO product_categories VALUES('3247','FLAT PANEL TV','SAMSUNG','65Q7-C-GT - 1443',null,null);
INSERT INTO product_categories VALUES('3248','FLAT PANEL TV','SAMSUNG','65Q7-C-MRM  - 1443',null,null);
INSERT INTO product_categories VALUES('3249','FLAT PANEL TV','SAMSUNG','65Q7-C-SZ - 1443',null,null);
INSERT INTO product_categories VALUES('3250','FLAT PANEL TV','SAMSUNG','65Q7-F-S - 1443',null,null);
INSERT INTO product_categories VALUES('3251','FLAT PANEL TV','SAMSUNG','65Q7-F-SZ - 1443',null,null);
INSERT INTO product_categories VALUES('3252','FLAT PANEL TV','SAMSUNG','65Q7-FNK-S - 1443',null,null);
INSERT INTO product_categories VALUES('3253','FLAT PANEL TV','SAMSUNG','65Q70-S - 1443',null,null);
INSERT INTO product_categories VALUES('3254','FLAT PANEL TV','SAMSUNG','65LS003E-S  - 1443',null,null);
INSERT INTO product_categories VALUES('3255','FLAT PANEL TV','SAMSUNG','65RU7100-P - 1443',null,null);
INSERT INTO product_categories VALUES('3256','FLAT PANEL TV','SAMSUNG','65RU7100-SZ - 1443',null,null);
INSERT INTO product_categories VALUES('3257','FLAT PANEL TV','SAMSUNG','65RU7300-P - 1443',null,null);
INSERT INTO product_categories VALUES('3258','FLAT PANEL TV','SAMSUNG','65RU7400-MRM  - 1443',null,null);
INSERT INTO product_categories VALUES('3259','FLAT PANEL TV','SAMSUNG','65Q7F-GT - 1443',null,null);
INSERT INTO product_categories VALUES('3260','FLAT PANEL TV','SAMSUNG','65Q7FNAR-SZ - 1443',null,null);
INSERT INTO product_categories VALUES('3261','FLAT PANEL TV','SAMSUNG','65Q8CNA-SZ - 1443',null,null);
INSERT INTO product_categories VALUES('3262','FLAT PANEL TV','SIGNATURE','65D6-S - 1443',null,null);
INSERT INTO product_categories VALUES('3263','FLAT PANEL TV','SIGNATURE','65P6500-S - 1443',null,null);
INSERT INTO product_categories VALUES('3264','FLAT PANEL TV','SIGNATURE','65V800 - 1443',null,null);
INSERT INTO product_categories VALUES('3265','FLAT PANEL TV','SONY','EID2065X80G - 1443',null,null);
INSERT INTO product_categories VALUES('3266','FLAT PANEL TV','SONY','65A8F-S - 1443',null,null);
INSERT INTO product_categories VALUES('3267','FLAT PANEL TV','SONY','65A8G-C - 1443',null,null);
INSERT INTO product_categories VALUES('3268','FLAT PANEL TV','SONY','65A8G-CC - 1443',null,null);
INSERT INTO product_categories VALUES('3269','FLAT PANEL TV','SONY','65X7000-C - 1443',null,null);
INSERT INTO product_categories VALUES('3270','FLAT PANEL TV','SONY','65X7000E-C - 1443',null,null);
INSERT INTO product_categories VALUES('3271','FLAT PANEL TV','SONY','65X7000E-S - 1443',null,null);
INSERT INTO product_categories VALUES('3272','FLAT PANEL TV','SONY','65X7000F - 1443',null,null);
INSERT INTO product_categories VALUES('3273','FLAT PANEL TV','SONY','65X7000F-S - 1443',null,null);
INSERT INTO product_categories VALUES('3274','FLAT PANEL TV','SONY','65X7000G-S - 1443',null,null);
INSERT INTO product_categories VALUES('3275','FLAT PANEL TV','SONY','65X7500F  - 1443',null,null);
INSERT INTO product_categories VALUES('3276','FLAT PANEL TV','SONY','65X7500F-S - 1443',null,null);
INSERT INTO product_categories VALUES('3277','FLAT PANEL TV','SONY','65X8000G-C - 1443',null,null);
INSERT INTO product_categories VALUES('3278','FLAT PANEL TV','SONY','65X8000G-S - 1443',null,null);
INSERT INTO product_categories VALUES('3279','FLAT PANEL TV','SONY','65X8077G-S - 1443',null,null);
INSERT INTO product_categories VALUES('3280','FLAT PANEL TV','SONY','65X8500D-S - 1443',null,null);
INSERT INTO product_categories VALUES('3281','FLAT PANEL TV','SONY','65X8500E - 1443',null,null);
INSERT INTO product_categories VALUES('3282','FLAT PANEL TV','SONY','65X8500E-S - 1443',null,null);
INSERT INTO product_categories VALUES('3283','FLAT PANEL TV','SONY','65X8500G-C - 1443',null,null);
INSERT INTO product_categories VALUES('3284','FLAT PANEL TV','SONY','65X8500G-CC - 1443',null,null);
INSERT INTO product_categories VALUES('3285','FLAT PANEL TV','SONY','65X8500G-S - 1443',null,null);
INSERT INTO product_categories VALUES('3286','FLAT PANEL TV','SONY','65X8577G-S - 1443',null,null);
INSERT INTO product_categories VALUES('3287','FLAT PANEL TV','SONY','65X9000-S - 1443',null,null);
INSERT INTO product_categories VALUES('3288','FLAT PANEL TV','SONY','65X9000EC  - 1443',null,null);
INSERT INTO product_categories VALUES('3289','FLAT PANEL TV','SONY','65X9000F-S - 1443',null,null);
INSERT INTO product_categories VALUES('3290','FLAT PANEL TV','SONY','65X9500G-C - 1443',null,null);
INSERT INTO product_categories VALUES('3291','FLAT PANEL TV','SONY','65X9500G-CC - 1443',null,null);
INSERT INTO product_categories VALUES('3292','FLAT PANEL TV','SONY','65X9500G-S - 1443',null,null);
INSERT INTO product_categories VALUES('3293','FLAT PANEL TV','TCL','65X3US - 1443',null,null);
INSERT INTO product_categories VALUES('3294','FLAT PANEL TV','TCL','65P6US - 1443',null,null);
INSERT INTO product_categories VALUES('3295','FLAT PANEL TV','TCL','65P8M - 1443',null,null);
INSERT INTO product_categories VALUES('3296','FLAT PANEL TV','TCL','65P8S - 1443',null,null);
INSERT INTO product_categories VALUES('3297','FLAT PANEL TV','TCL','65P2US - 1443',null,null);
INSERT INTO product_categories VALUES('3298','FLAT PANEL TV','TCL','65C2US - 1443',null,null);
INSERT INTO product_categories VALUES('3299','FLAT PANEL TV','TCL','65C6US - 1443',null,null);
INSERT INTO product_categories VALUES('3300','FLAT PANEL TV','TCL','65C8US - 1443',null,null);
INSERT INTO product_categories VALUES('3301','FLAT PANEL TV','LG','70UK7000-S - 882',null,null);
INSERT INTO product_categories VALUES('3302','FLAT PANEL TV','LG','70UM7380-CC - 882',null,null);
INSERT INTO product_categories VALUES('3303','FLAT PANEL TV','SONY','70X8300F - 882',null,null);
INSERT INTO product_categories VALUES('3304','FLAT PANEL TV','LG','75SJ955V-S - 881',null,null);
INSERT INTO product_categories VALUES('3305','FLAT PANEL TV','LG','75UH855-S - 881',null,null);
INSERT INTO product_categories VALUES('3306','FLAT PANEL TV','ORIENT','75S-GUITAR - 881',null,null);
INSERT INTO product_categories VALUES('3307','FLAT PANEL TV','SAMSUNG','75MU7000-MRM - 881',null,null);
INSERT INTO product_categories VALUES('3308','FLAT PANEL TV','SAMSUNG','75MU7000-SZ - 881',null,null);
INSERT INTO product_categories VALUES('3309','FLAT PANEL TV','SAMSUNG','75NU7100-S - 881',null,null);
INSERT INTO product_categories VALUES('3310','FLAT PANEL TV','SAMSUNG','75NU7100-SZ - 881',null,null);
INSERT INTO product_categories VALUES('3311','FLAT PANEL TV','SAMSUNG','75NU8000-P - 881',null,null);
INSERT INTO product_categories VALUES('3312','FLAT PANEL TV','SAMSUNG','75Q6-S - 881',null,null);
INSERT INTO product_categories VALUES('3313','FLAT PANEL TV','SAMSUNG','75Q60-MRM - 881',null,null);
INSERT INTO product_categories VALUES('3314','FLAT PANEL TV','SAMSUNG','75Q60-S - 881',null,null);
INSERT INTO product_categories VALUES('3315','FLAT PANEL TV','SAMSUNG','75Q70-S - 881',null,null);
INSERT INTO product_categories VALUES('3316','FLAT PANEL TV','SAMSUNG','75RU7100-MRM - 881',null,null);
INSERT INTO product_categories VALUES('3317','FLAT PANEL TV','SAMSUNG','75RU7100P - 881',null,null);
INSERT INTO product_categories VALUES('3318','FLAT PANEL TV','SAMSUNG','75JU6400-S - 881',null,null);
INSERT INTO product_categories VALUES('3319','FLAT PANEL TV','SONY','75X8000G-S - 881',null,null);
INSERT INTO product_categories VALUES('3320','FLAT PANEL TV','SONY','75X8500E - 881',null,null);
INSERT INTO product_categories VALUES('3321','FLAT PANEL TV','SONY','75X8500E-S - 881',null,null);
INSERT INTO product_categories VALUES('3322','FLAT PANEL TV','SONY','75X8500F-S - 881',null,null);
INSERT INTO product_categories VALUES('3323','FLAT PANEL TV','SONY','75X8500G-S - 881',null,null);
INSERT INTO product_categories VALUES('3324','FLAT PANEL TV','TCL','75P8M - 881',null,null);
INSERT INTO product_categories VALUES('3325','FLAT PANEL TV','TCL','75C2US - 881',null,null);
INSERT INTO product_categories VALUES('3326','FLAT PANEL TV','SAMSUNG','82MU8000-MRM - 1880',null,null);
INSERT INTO product_categories VALUES('3327','FLAT PANEL TV','SAMSUNG','82MU8000-SZ - 1880',null,null);
INSERT INTO product_categories VALUES('3328','FLAT PANEL TV','SAMSUNG','82NU8000-MRM - 1880',null,null);
INSERT INTO product_categories VALUES('3329','FLAT PANEL TV','SAMSUNG','82NU8000-S  - 1880',null,null);
INSERT INTO product_categories VALUES('3330','FLAT PANEL TV','SAMSUNG','82Q60-MRM - 1880',null,null);
INSERT INTO product_categories VALUES('3331','FLAT PANEL TV','SAMSUNG','82Q60-S - 1880',null,null);
INSERT INTO product_categories VALUES('3332','FLAT PANEL TV','SONY','85X8500-S - 1627',null,null);
INSERT INTO product_categories VALUES('3333','FLAT PANEL TV','SONY','85X8500F-S - 1627',null,null);
INSERT INTO product_categories VALUES('3334','FLAT PANEL TV','SONY','85X8500G-CC - 1627',null,null);
INSERT INTO product_categories VALUES('3335','FLAT PANEL TV','SONY','85X8500G-S - 1627',null,null);
INSERT INTO product_categories VALUES('3336','FLAT PANEL TV','LG','86UH955-C - 1746',null,null);
INSERT INTO product_categories VALUES('3337','FLAT PANEL TV','LG','86UK7050-S - 1746',null,null);
INSERT INTO product_categories VALUES('3338','FLAT PANEL TV','SONY','85X8500D-C  - 1746',null,null);
INSERT INTO product_categories VALUES('3339','FREEZER','CARAVELL','15CDF - 958',null,null);
INSERT INTO product_categories VALUES('3340','FREEZER','CARAVELL','15G-SLD - 958',null,null);
INSERT INTO product_categories VALUES('3341','FREEZER','DAWLANCE','400P/STUCCO - 141',null,null);
INSERT INTO product_categories VALUES('3342','FREEZER','DAWLANCE','91997H-SIG-INV - 958',null,null);
INSERT INTO product_categories VALUES('3343','FREEZER','DAWLANCE','91997H-STUCCO - 141',null,null);
INSERT INTO product_categories VALUES('3344','FREEZER','DAWLANCE','91998FP - 958',null,null);
INSERT INTO product_categories VALUES('3345','FREEZER','DAWLANCE','91998H-SIGNATURE - 958',null,null);
INSERT INTO product_categories VALUES('3346','FREEZER','DAWLANCE','91998H-STUCCO - 141',null,null);
INSERT INTO product_categories VALUES('3347','FREEZER','DAWLANCE','300P-STUCCO - 141',null,null);
INSERT INTO product_categories VALUES('3348','FREEZER','DAWLANCE','300ES - 955',null,null);
INSERT INTO product_categories VALUES('3349','FREEZER','DAWLANCE','200-GD - 954',null,null);
INSERT INTO product_categories VALUES('3350','FREEZER','HAIER','285SD - 956',null,null);
INSERT INTO product_categories VALUES('3351','FREEZER','HAIER','325H - 957',null,null);
INSERT INTO product_categories VALUES('3352','FREEZER','HAIER','325H-BLUE - 956',null,null);
INSERT INTO product_categories VALUES('3353','FREEZER','HAIER','325H-RED - 1467',null,null);
INSERT INTO product_categories VALUES('3354','FREEZER','HAIER','325HDF-INV - 956',null,null);
INSERT INTO product_categories VALUES('3355','FREEZER','HAIER','245SD - 955',null,null);
INSERT INTO product_categories VALUES('3356','FREEZER','HAIER','545DD - 959',null,null);
INSERT INTO product_categories VALUES('3357','FREEZER','HAIER','545INV-HDF - 959',null,null);
INSERT INTO product_categories VALUES('3358','FREEZER','HAIER','385H-RED - 957',null,null);
INSERT INTO product_categories VALUES('3359','FREEZER','HAIER','385HDF-INV  - 1468',null,null);
INSERT INTO product_categories VALUES('3360','FREEZER','HAIER','345SD - 149',null,null);
INSERT INTO product_categories VALUES('3361','FREEZER','HAIER','385H-BLUE - 957',null,null);
INSERT INTO product_categories VALUES('3362','FREEZER','HAIER','385H-DF - 957',null,null);
INSERT INTO product_categories VALUES('3363','FREEZER','HAIER','405D - 957',null,null);
INSERT INTO product_categories VALUES('3364','FREEZER','HAIER','405HDF-INV  - 958',null,null);
INSERT INTO product_categories VALUES('3365','FREEZER','KENWOOD','300SD-KDF - 956',null,null);
INSERT INTO product_categories VALUES('3366','FREEZER','KENWOOD','210KDF - 254',null,null);
INSERT INTO product_categories VALUES('3367','FREEZER','LG','185GV - 954',null,null);
INSERT INTO product_categories VALUES('3368','FREEZER','PANASONIC','300H - 957',null,null);
INSERT INTO product_categories VALUES('3369','FREEZER','PANATRON','225-DF - 883',null,null);
INSERT INTO product_categories VALUES('3370','FREEZER','PEL','150PDF - 958',null,null);
INSERT INTO product_categories VALUES('3371','FREEZER','PEL','100-APP - 955',null,null);
INSERT INTO product_categories VALUES('3372','FREEZER','PEL','100PDF-A - 1435',null,null);
INSERT INTO product_categories VALUES('3373','FREEZER','PEL','135T-PDF - 883',null,null);
INSERT INTO product_categories VALUES('3374','FREEZER','PEL','130PDF-APP - 957',null,null);
INSERT INTO product_categories VALUES('3375','FREEZER','PEL','155PDF-APP - 958',null,null);
INSERT INTO product_categories VALUES('3376','FREEZER','SAMSUNG','26FARWGT - 955',null,null);
INSERT INTO product_categories VALUES('3377','FREEZER','SHARP','546DFS - 1424',null,null);
INSERT INTO product_categories VALUES('3378','FREEZER','SHARP','390DFS - 1424',null,null);
INSERT INTO product_categories VALUES('3379','FREEZER','SIGNATURE','130XG - 956',null,null);
INSERT INTO product_categories VALUES('3380','FREEZER','SIGNATURE','100XG - 1468',null,null);
INSERT INTO product_categories VALUES('3381','FREEZER','SIGNATURE','110XG - 955',null,null);
INSERT INTO product_categories VALUES('3382','FREEZER','SIGNATURE','SCF-HM08 - 954',null,null);
INSERT INTO product_categories VALUES('3383','FREEZER','SIGNATURE','SCF-HM09 - 954',null,null);
INSERT INTO product_categories VALUES('3384','FREEZER','SIGNATURE','SCF-HM10 - 955',null,null);
INSERT INTO product_categories VALUES('3385','FREEZER','SIGNATURE','SCF-HM11 - 955',null,null);
INSERT INTO product_categories VALUES('3386','FREEZER','SIGNATURE','SCF-HM12 - 956',null,null);
INSERT INTO product_categories VALUES('3387','FREEZER','SIGNATURE','SCF-HM13 - 956',null,null);
INSERT INTO product_categories VALUES('3388','FREEZER','SIGNATURE','SCF-HM14 - 1468',null,null);
INSERT INTO product_categories VALUES('3389','FREEZER','SIGNATURE','SCF-MD11-W - 1758',null,null);
INSERT INTO product_categories VALUES('3390','FREEZER','SIGNATURE','SCF-MD13-W - 1758',null,null);
INSERT INTO product_categories VALUES('3391','FREEZER','SIGNATURE','SCF-WB11 - 1467',null,null);
INSERT INTO product_categories VALUES('3392','FREEZER','VARIOLINE','15FSSS-DD - 959',null,null);
INSERT INTO product_categories VALUES('3393','FREEZER','VARIOLINE','15FSSS-SD  - 959',null,null);
INSERT INTO product_categories VALUES('3394','FREEZER','VARIOLINE','160-SDF - 855',null,null);
INSERT INTO product_categories VALUES('3395','FREEZER','VARIOLINE','500SGF - 958',null,null);
INSERT INTO product_categories VALUES('3396','FREEZER','VARIOLINE','303SNH - 641',null,null);
INSERT INTO product_categories VALUES('3397','FREEZER','VARIOLINE','515TWIN - 641',null,null);
INSERT INTO product_categories VALUES('3398','FREEZER','VARIOLINE','515DF - 641',null,null);
INSERT INTO product_categories VALUES('3399','FREEZER','VARIOLINE','22F-PPG  - 1717',null,null);
INSERT INTO product_categories VALUES('3400','FREEZER','VARIOLINE','400SAX-GD - 641',null,null);
INSERT INTO product_categories VALUES('3401','FREEZER','VARIOLINE','400SGD - 1468',null,null);
INSERT INTO product_categories VALUES('3402','FREEZER','VARIOLINE','618-3DF  - 959',null,null);
INSERT INTO product_categories VALUES('3403','FREEZER','VARIOLINE','618-TDF - 959',null,null);
INSERT INTO product_categories VALUES('3404','FREEZER','VARIOLINE','618DF - 959',null,null);
INSERT INTO product_categories VALUES('3405','FREEZER','VARIOLINE','270DF- SINGLE - 641',null,null);
INSERT INTO product_categories VALUES('3406','FREEZER','VARIOLINE','500MLK-AGITATOR - 958',null,null);
INSERT INTO product_categories VALUES('3407','FREEZER','VARIOLINE','500MILK  - 958',null,null);
INSERT INTO product_categories VALUES('3408','FREEZER','VARIOLINE','13F-PPG - 1468',null,null);
INSERT INTO product_categories VALUES('3409','FREEZER','VARIOLINE','413-TDF - 1468',null,null);
INSERT INTO product_categories VALUES('3410','FREEZER','VARIOLINE','413SAX - 641',null,null);
INSERT INTO product_categories VALUES('3411','FREEZER','WAVES','313WDF - 956',null,null);
INSERT INTO product_categories VALUES('3412','FREEZER','WAVES','313WDF-GD ALPHA - 957',null,null);
INSERT INTO product_categories VALUES('3413','FREEZER','WAVES','313WDF-SS - 956',null,null);
INSERT INTO product_categories VALUES('3414','FREEZER','WAVES','313WDFT  - 956',null,null);
INSERT INTO product_categories VALUES('3415','FREEZER','WAVES','218DD - 23',null,null);
INSERT INTO product_categories VALUES('3416','FREEZER','WAVES','2090DD-CB - 1639',null,null);
INSERT INTO product_categories VALUES('3417','FREEZER','WAVES','2090GD - 1639',null,null);
INSERT INTO product_categories VALUES('3418','FREEZER','WAVES','2090-DD - 1639',null,null);
INSERT INTO product_categories VALUES('3419','FREEZER','WAVES','2110DD - 23',null,null);
INSERT INTO product_categories VALUES('3420','FREEZER','WAVES','2110DD-SS - 1739',null,null);
INSERT INTO product_categories VALUES('3421','FREEZER','WAVES','315WDF - 958',null,null);
INSERT INTO product_categories VALUES('3422','FREEZER','WAVES','315WDF-GD ALPHA  - 958',null,null);
INSERT INTO product_categories VALUES('3423','FREEZER','WAVES','315WDF-GSD - 958',null,null);
INSERT INTO product_categories VALUES('3424','FREEZER','WAVES','315WDFT - 958',null,null);
INSERT INTO product_categories VALUES('3425','FREEZER','WAVES','315WDFT-GD ALPHA - 958',null,null);
INSERT INTO product_categories VALUES('3426','FREEZER','WAVES','315WDFT-SS  - 958',null,null);
INSERT INTO product_categories VALUES('3427','FREEZER','WAVES','2200TL - 1717',null,null);
INSERT INTO product_categories VALUES('3428','FREEZER','WAVES','2130DD - 956',null,null);
INSERT INTO product_categories VALUES('3429','FREEZER','WAVES','213DD - 23',null,null);
INSERT INTO product_categories VALUES('3430','FREEZER','WAVES','2140WT - 1468',null,null);
INSERT INTO product_categories VALUES('3431','FREEZER','WAVES','210DD-BLACK - 955',null,null);
INSERT INTO product_categories VALUES('3432','FREEZER','WAVES','2100DD-SS - 955',null,null);
INSERT INTO product_categories VALUES('3433','FREEZER','WAVES','208DD - 23',null,null);
INSERT INTO product_categories VALUES('3434','FREEZER','WAVES','309WDF - 1639',null,null);
INSERT INTO product_categories VALUES('3435','FREEZER','WAVES','309WDF-GD ALPHA - 1639',null,null);
INSERT INTO product_categories VALUES('3436','FREEZER','WAVES','318WDF - 959',null,null);
INSERT INTO product_categories VALUES('3437','FREEZER','WAVES','318WDF-SS - 959',null,null);
INSERT INTO product_categories VALUES('3438','FREEZER','WAVES','318WDFT - 959',null,null);
INSERT INTO product_categories VALUES('3439','FREEZER','WAVES','318WDFT-SS - 959',null,null);
INSERT INTO product_categories VALUES('3440','FREEZER','WAVES','310WDF - 955',null,null);
INSERT INTO product_categories VALUES('3441','FREEZER','WAVES','310WDF-SS - 955',null,null);
INSERT INTO product_categories VALUES('3442','FREEZER','WAVES','212DD-BLACK - 956',null,null);
INSERT INTO product_categories VALUES('3443','FREEZER','WAVES','2160DD - 1715',null,null);
INSERT INTO product_categories VALUES('3444','FREEZER','WAVES','2160WT - 1715',null,null);
INSERT INTO product_categories VALUES('3445','FREEZER','WAVES','2160WT-SS - 958',null,null);
INSERT INTO product_categories VALUES('3446','FREEZER','BOSCH','36VW30M-SN - 1639',null,null);
INSERT INTO product_categories VALUES('3447','FREEZER','CARAVELL','310S-CVF - 1468',null,null);
INSERT INTO product_categories VALUES('3448','FREEZER','CARAVELL','310W-CVF - 1468',null,null);
INSERT INTO product_categories VALUES('3449','FREEZER','CARAVELL','208VF - 117',null,null);
INSERT INTO product_categories VALUES('3450','FREEZER','CARAVELL','245W-VF - 956',null,null);
INSERT INTO product_categories VALUES('3451','FREEZER','CARAVELL','245S-VF - 956',null,null);
INSERT INTO product_categories VALUES('3452','FREEZER','CARAVELL','280W-CVF - 956',null,null);
INSERT INTO product_categories VALUES('3453','FREEZER','CARAVELL','280S-CVF - 956',null,null);
INSERT INTO product_categories VALUES('3454','FREEZER','CARAVELL','305MF V/F - 117',null,null);
INSERT INTO product_categories VALUES('3455','FREEZER','CARAVELL','285S - 1468',null,null);
INSERT INTO product_categories VALUES('3456','FREEZER','DAWLANCE','1045CVT-VF - 1467',null,null);
INSERT INTO product_categories VALUES('3457','FREEZER','DAWLANCE','1035WBGD-VF - 1467',null,null);
INSERT INTO product_categories VALUES('3458','FREEZER','DAWLANCE','1035WBSS-VF - 689',null,null);
INSERT INTO product_categories VALUES('3459','FREEZER','KENWOOD','222V-KDF-G - 645',null,null);
INSERT INTO product_categories VALUES('3460','FREEZER','KENWOOD','222V-KDF-W - 645',null,null);
INSERT INTO product_categories VALUES('3461','FREEZER','PANASONIC','200H - 956',null,null);
INSERT INTO product_categories VALUES('3462','FREEZER','PANATRON','211PF - 955',null,null);
INSERT INTO product_categories VALUES('3463','FREEZER','PANATRON','201PF - 955',null,null);
INSERT INTO product_categories VALUES('3464','FREEZER','PANATRON','121PF - 955',null,null);
INSERT INTO product_categories VALUES('3465','FREEZER','SAMSUNG','28H61507-SZ - 1468',null,null);
INSERT INTO product_categories VALUES('3466','FREEZER','SAMSUNG','28H61507F - 90',null,null);
INSERT INTO product_categories VALUES('3467','FREEZER','SAMSUNG','32M71207F-S  - 1468',null,null);
INSERT INTO product_categories VALUES('3468','FREEZER','SAMSUNG','32M71207F-SZ - 1468',null,null);
INSERT INTO product_categories VALUES('3469','FREEZER','SIEMENS','32NA23ME - 956',null,null);
INSERT INTO product_categories VALUES('3470','FREEZER','SIEMENS','36NVW30G - 665',null,null);
INSERT INTO product_categories VALUES('3471','FREEZER','SIGNATURE','P1SS-SVF - 1468',null,null);
INSERT INTO product_categories VALUES('3472','FREEZER','SIGNATURE','80XG - 956',null,null);
INSERT INTO product_categories VALUES('3473','FREEZER','SIGNATURE','2SS - 1468',null,null);
INSERT INTO product_categories VALUES('3474','FREEZER','SIGNATURE','3WW - 1468',null,null);
INSERT INTO product_categories VALUES('3475','FREEZER','SIGNATURE','SVF-SY10D - 1830',null,null);
INSERT INTO product_categories VALUES('3476','FREEZER','SIGNATURE','SVF-SY20D - 956',null,null);
INSERT INTO product_categories VALUES('3477','FREEZER','SIGNATURE','SVF-SY35D - 1468',null,null);
INSERT INTO product_categories VALUES('3478','FREEZER','SIGNATURE','SVF-SY40N - 1468',null,null);
INSERT INTO product_categories VALUES('3479','FREEZER','SIGNATURE','SVF-CG1SS - 956',null,null);
INSERT INTO product_categories VALUES('3480','FREEZER','SIGNATURE','SFV-SY45  - 1467',null,null);
INSERT INTO product_categories VALUES('3481','FREEZER','SIGNATURE','CG1-SS - 956',null,null);
INSERT INTO product_categories VALUES('3482','FREEZER','TEKA','270TGF - 746',null,null);
INSERT INTO product_categories VALUES('3483','FREEZER','VARIOLINE','600MEF - 1715',null,null);
INSERT INTO product_categories VALUES('3484','FREEZER','WESTPOINT','300-IX V/F - 611',null,null);
INSERT INTO product_categories VALUES('3485','FREEZER','WESTPOINT','2311VF - 955',null,null);
INSERT INTO product_categories VALUES('3486','FREEZER','WESTPOINT','200SX-V/F - 611',null,null);
INSERT INTO product_categories VALUES('3487','FRYPAN','TEFAL','RSP20CM - 844',null,null);
INSERT INTO product_categories VALUES('3488','GEYSER','FISCHER','10GALLON - 739',null,null);
INSERT INTO product_categories VALUES('3489','GEYSER','SANYO','10L - 1031',null,null);
INSERT INTO product_categories VALUES('3490','GEYSER','SIGNATURE','10G - 1540',null,null);
INSERT INTO product_categories VALUES('3491','GEYSER','SUPER ASIA','610EH - 1540',null,null);
INSERT INTO product_categories VALUES('3492','GEYSER','ARISTON','10L-V - 1031',null,null);
INSERT INTO product_categories VALUES('3493','GEYSER','CANON','10LCF  - 1031',null,null);
INSERT INTO product_categories VALUES('3494','GEYSER','CANON','10LCM - 1031',null,null);
INSERT INTO product_categories VALUES('3495','GEYSER','CANON','1002P - 1031',null,null);
INSERT INTO product_categories VALUES('3496','GEYSER','CANON','1202 - 1910',null,null);
INSERT INTO product_categories VALUES('3497','GEYSER','CANON','20JLD - 1031',null,null);
INSERT INTO product_categories VALUES('3498','GEYSER','CANON','20D-PLUS - 1748',null,null);
INSERT INTO product_categories VALUES('3499','GEYSER','CANON','20D-PLUS-DUAL - 1031',null,null);
INSERT INTO product_categories VALUES('3500','GEYSER','CANON','20D-PLUS-DUAL(LPG) - 1031',null,null);
INSERT INTO product_categories VALUES('3501','GEYSER','CORONA','C10/SSTEEL - 539',null,null);
INSERT INTO product_categories VALUES('3502','GEYSER','CORONA','10LIT - 1031',null,null);
INSERT INTO product_categories VALUES('3503','GEYSER','MIDAS','10L-168D2 - 1031',null,null);
INSERT INTO product_categories VALUES('3504','GEYSER','RAYS','10L-SS - 1031',null,null);
INSERT INTO product_categories VALUES('3505','GEYSER','SIGNATURE','M10L-S - 1031',null,null);
INSERT INTO product_categories VALUES('3506','GEYSER','SIGNATURE','10L-S - 1031',null,null);
INSERT INTO product_categories VALUES('3507','GEYSER','SIGNATURE','SWH-1705 - 1031',null,null);
INSERT INTO product_categories VALUES('3508','GEYSER','SIGNATURE','SWH-1905 - 1031',null,null);
INSERT INTO product_categories VALUES('3509','GEYSER','SIGNATURE','SWH-1805 - 1031',null,null);
INSERT INTO product_categories VALUES('3510','GEYSER','SUPER ASIA','10SEH - 1031',null,null);
INSERT INTO product_categories VALUES('3511','GEYSER','ARISTON','100LITER - 1437',null,null);
INSERT INTO product_categories VALUES('3512','GEYSER','FISCHER','12GALLON - 739',null,null);
INSERT INTO product_categories VALUES('3513','GEYSER','SANYO','12L - 1032',null,null);
INSERT INTO product_categories VALUES('3514','GEYSER','SANYO','12L E/G - 242',null,null);
INSERT INTO product_categories VALUES('3515','GEYSER','SIGNATURE','12G - 1541',null,null);
INSERT INTO product_categories VALUES('3516','GEYSER','SUPER ASIA','612EH - 1541',null,null);
INSERT INTO product_categories VALUES('3517','GEYSER','CANON','24D-PLUS - 1031',null,null);
INSERT INTO product_categories VALUES('3518','GEYSER','CANON','24D-PLUS-DUAL - 1032',null,null);
INSERT INTO product_categories VALUES('3519','GEYSER','CANON','24D-PLUS-DUAL(LPG) - 1032',null,null);
INSERT INTO product_categories VALUES('3520','GEYSER','CANON','12JDC - 1032',null,null);
INSERT INTO product_categories VALUES('3521','GEYSER','CANON','24JLD - 1032',null,null);
INSERT INTO product_categories VALUES('3522','GEYSER','CANON','1260P - 1032',null,null);
INSERT INTO product_categories VALUES('3523','GEYSER','XTREME','12L/STEEL - 504',null,null);
INSERT INTO product_categories VALUES('3524','GEYSER','SUPER ASIA','614EH - 2027',null,null);
INSERT INTO product_categories VALUES('3525','GEYSER','CORONA','15G-E - 1542',null,null);
INSERT INTO product_categories VALUES('3526','GEYSER','FISCHER','15GALLON - 739',null,null);
INSERT INTO product_categories VALUES('3527','GEYSER','SANYO','15L - 1036',null,null);
INSERT INTO product_categories VALUES('3528','GEYSER','SIGNATURE','15G - 1542',null,null);
INSERT INTO product_categories VALUES('3529','GEYSER','ARISTON','15L-O - 1036',null,null);
INSERT INTO product_categories VALUES('3530','GEYSER','CANON','15LCF - 1036',null,null);
INSERT INTO product_categories VALUES('3531','GEYSER','CANON','15LCM - 1036',null,null);
INSERT INTO product_categories VALUES('3532','GEYSER','CANON','28JSD - 1036',null,null);
INSERT INTO product_categories VALUES('3533','GEYSER','CANON','15JMC - 1036',null,null);
INSERT INTO product_categories VALUES('3534','GEYSER','SIGNATURE','M15L-S - 1036',null,null);
INSERT INTO product_categories VALUES('3535','GEYSER','SIGNATURE','15L-S - 1036',null,null);
INSERT INTO product_categories VALUES('3536','GEYSER','SIGNATURE','SWH-1806 - 1034',null,null);
INSERT INTO product_categories VALUES('3537','GEYSER','SIGNATURE','SWH-1906 - 1036',null,null);
INSERT INTO product_categories VALUES('3538','GEYSER','SIGNATURE','SWH-1706 - 1036',null,null);
INSERT INTO product_categories VALUES('3539','GEYSER','SUPER ASIA','15SEH - 1036',null,null);
INSERT INTO product_categories VALUES('3540','GEYSER','SUPER ASIA','616EH - 2028',null,null);
INSERT INTO product_categories VALUES('3541','GEYSER','CORONA','C16/STEEL - 539',null,null);
INSERT INTO product_categories VALUES('3542','GEYSER','SANYO','20GALON - 242',null,null);
INSERT INTO product_categories VALUES('3543','GEYSER','SUPER ASIA','620EH - 1543',null,null);
INSERT INTO product_categories VALUES('3544','GEYSER','CANON','40JSD - 1034',null,null);
INSERT INTO product_categories VALUES('3545','GEYSER','CORONA','C20/STEEL - 539',null,null);
INSERT INTO product_categories VALUES('3546','GEYSER','ARISTON','200LITRE - 2031',null,null);
INSERT INTO product_categories VALUES('3547','GEYSER','FIVE STAR','25G-TWIN-FS - 1966',null,null);
INSERT INTO product_categories VALUES('3548','GEYSER','FIVE STAR','25G-TWIN-SUPREME - 1966',null,null);
INSERT INTO product_categories VALUES('3549','GEYSER','FIVE STAR','25G-FS - 1966',null,null);
INSERT INTO product_categories VALUES('3550','GEYSER','FIVE STAR','25G-SUPREME - 1966',null,null);
INSERT INTO product_categories VALUES('3551','GEYSER','CANON','25LCF - 1035',null,null);
INSERT INTO product_categories VALUES('3552','GEYSER','FISCHER','25GALLON - 739',null,null);
INSERT INTO product_categories VALUES('3553','GEYSER','SIGNATURE','M25L-S - 1035',null,null);
INSERT INTO product_categories VALUES('3554','GEYSER','SIGNATURE','25L-S - 1035',null,null);
INSERT INTO product_categories VALUES('3555','GEYSER','SIGNATURE','SWH-1708 - 1035',null,null);
INSERT INTO product_categories VALUES('3556','GEYSER','ARISTON','30LITRE - 1636',null,null);
INSERT INTO product_categories VALUES('3557','GEYSER','CANON','30LCM  - 1636',null,null);
INSERT INTO product_categories VALUES('3558','GEYSER','CARAVELL','30G - 125',null,null);
INSERT INTO product_categories VALUES('3559','GEYSER','SIGNATURE','SWH-1907 - 125',null,null);
INSERT INTO product_categories VALUES('3560','GEYSER','SIGNATURE','SWH-1807 - 962',null,null);
INSERT INTO product_categories VALUES('3561','GEYSER','ADMIRAL','35G - 240',null,null);
INSERT INTO product_categories VALUES('3562','GEYSER','ADMIRAL','35G-SPECIAL - 240',null,null);
INSERT INTO product_categories VALUES('3563','GEYSER','CORONA','35G-SPECIAL - 1037',null,null);
INSERT INTO product_categories VALUES('3564','GEYSER','CORONA','35G - 539',null,null);
INSERT INTO product_categories VALUES('3565','GEYSER','CORONA','35G-TWIN - 1537',null,null);
INSERT INTO product_categories VALUES('3566','GEYSER','FISCHER','35GH-TWIN-FR - 1537',null,null);
INSERT INTO product_categories VALUES('3567','GEYSER','FISCHER','35TWIN-HEAVY DUTY  - 963',null,null);
INSERT INTO product_categories VALUES('3568','GEYSER','FISCHER','35GH-FR - 1537',null,null);
INSERT INTO product_categories VALUES('3569','GEYSER','FIVE STAR','35G-TWIN SUPREME  - 963',null,null);
INSERT INTO product_categories VALUES('3570','GEYSER','FIVE STAR','35G-TWIN-FS - 1759',null,null);
INSERT INTO product_categories VALUES('3571','GEYSER','FIVE STAR','35GH-SPECIAL - 963',null,null);
INSERT INTO product_categories VALUES('3572','GEYSER','FIVE STAR','35GH-SPECIAL0 - 963',null,null);
INSERT INTO product_categories VALUES('3573','GEYSER','FIVE STAR','35G-SUPREME - 963',null,null);
INSERT INTO product_categories VALUES('3574','GEYSER','FIVE STAR','35G-FS - 1759',null,null);
INSERT INTO product_categories VALUES('3575','GEYSER','MIDAS','35G - 1037',null,null);
INSERT INTO product_categories VALUES('3576','GEYSER','RAYS','35GR - 1238',null,null);
INSERT INTO product_categories VALUES('3577','GEYSER','SANYO','35GALON - 242',null,null);
INSERT INTO product_categories VALUES('3578','GEYSER','SANYO','35EG - 242',null,null);
INSERT INTO product_categories VALUES('3579','GEYSER','SANYO','35G - 1640',null,null);
INSERT INTO product_categories VALUES('3580','GEYSER','SIGNATURE','35GEG - 1537',null,null);
INSERT INTO product_categories VALUES('3581','GEYSER','SIGNATURE','35GH-TWIN - 1037',null,null);
INSERT INTO product_categories VALUES('3582','GEYSER','SIGNATURE','35GH - 1537',null,null);
INSERT INTO product_categories VALUES('3583','GEYSER','SIGNATURE','35G - 1537',null,null);
INSERT INTO product_categories VALUES('3584','GEYSER','SILVER LINE','35-G - 1037',null,null);
INSERT INTO product_categories VALUES('3585','GEYSER','SUPER ASIA','535GH - 1037',null,null);
INSERT INTO product_categories VALUES('3586','GEYSER','SUPER ASIA','735GEH  - 1537',null,null);
INSERT INTO product_categories VALUES('3587','GEYSER','SUPER ASIA','535GEH - 963',null,null);
INSERT INTO product_categories VALUES('3588','GEYSER','TESLA','35G(BLACK XGEN) - 963',null,null);
INSERT INTO product_categories VALUES('3589','GEYSER','CARAVELL','40G - 125',null,null);
INSERT INTO product_categories VALUES('3590','GEYSER','CORONA','45G-DLX - 669',null,null);
INSERT INTO product_categories VALUES('3591','GEYSER','FIVE STAR','40L-WC - 1759',null,null);
INSERT INTO product_categories VALUES('3592','GEYSER','KENWOOD','450 - 330',null,null);
INSERT INTO product_categories VALUES('3593','GEYSER','SANYO','40G-SLIM - 987',null,null);
INSERT INTO product_categories VALUES('3594','GEYSER','SILVER LINE','40G-SL - 987',null,null);
INSERT INTO product_categories VALUES('3595','GEYSER','WELCOME','40-LITRE - 985',null,null);
INSERT INTO product_categories VALUES('3596','GEYSER','ARISTON','4528 - 1192',null,null);
INSERT INTO product_categories VALUES('3597','GEYSER','ARISTON','3328 - 1192',null,null);
INSERT INTO product_categories VALUES('3598','GEYSER','CENTON','202-IV - 1192',null,null);
INSERT INTO product_categories VALUES('3599','GEYSER','CENTON','707E - 1041',null,null);
INSERT INTO product_categories VALUES('3600','GEYSER','SUPER ASIA','406GH(LPG) - 1029',null,null);
INSERT INTO product_categories VALUES('3601','GEYSER','ARISTON','50L-V - 1365',null,null);
INSERT INTO product_categories VALUES('3602','GEYSER','FIVE STAR','50L-WC - 1365',null,null);
INSERT INTO product_categories VALUES('3603','GEYSER','SIGNATURE','50L-S - 1365',null,null);
INSERT INTO product_categories VALUES('3604','GEYSER','SIGNATURE','SWH-1910 - 1365',null,null);
INSERT INTO product_categories VALUES('3605','GEYSER','SIGNATURE','SWH-1710 - 1365',null,null);
INSERT INTO product_categories VALUES('3606','GEYSER','WELCOME','50-LITRE  - 1365',null,null);
INSERT INTO product_categories VALUES('3607','GEYSER','ADMIRAL','55G-SPECIAL - 240',null,null);
INSERT INTO product_categories VALUES('3608','GEYSER','CORONA','55G - 539',null,null);
INSERT INTO product_categories VALUES('3609','GEYSER','CORONA','55GALLON-TWIN - 1538',null,null);
INSERT INTO product_categories VALUES('3610','GEYSER','FISCHER','55TWIN-HEAVY DUTY - 1538',null,null);
INSERT INTO product_categories VALUES('3611','GEYSER','FISCHER','55GH - 1538',null,null);
INSERT INTO product_categories VALUES('3612','GEYSER','FIVE STAR','55G-TWIN-FS - 1759',null,null);
INSERT INTO product_categories VALUES('3613','GEYSER','FIVE STAR','55G-TWIN-SUPREME  - 1538',null,null);
INSERT INTO product_categories VALUES('3614','GEYSER','FIVE STAR','55G-SUPREME  - 1538',null,null);
INSERT INTO product_categories VALUES('3615','GEYSER','FIVE STAR','55G-FS - 1759',null,null);
INSERT INTO product_categories VALUES('3616','GEYSER','MIDAS','55G - 1039',null,null);
INSERT INTO product_categories VALUES('3617','GEYSER','SANYO','55G ELECTRIC - 1039',null,null);
INSERT INTO product_categories VALUES('3618','GEYSER','SANYO','55G-E+G - 1039',null,null);
INSERT INTO product_categories VALUES('3619','GEYSER','SIGNATURE','55G-TWIN - 1538',null,null);
INSERT INTO product_categories VALUES('3620','GEYSER','SIGNATURE','55G - 1538',null,null);
INSERT INTO product_categories VALUES('3621','GEYSER','SILVER LINE','55-G - 1039',null,null);
INSERT INTO product_categories VALUES('3622','GEYSER','SUPER ASIA','555GH  - 1538',null,null);
INSERT INTO product_categories VALUES('3623','GEYSER','TESLA','55G( BLACK XGEN) - 1538',null,null);
INSERT INTO product_categories VALUES('3624','GEYSER','CANON','55G - 240',null,null);
INSERT INTO product_categories VALUES('3625','GEYSER','SANYO','55GALLAN - 242',null,null);
INSERT INTO product_categories VALUES('3626','GEYSER','SIGNATURE','55GH-TWIN - 1039',null,null);
INSERT INTO product_categories VALUES('3627','GEYSER','CANON','600P - 1029',null,null);
INSERT INTO product_categories VALUES('3628','GEYSER','CANON','602C - 1029',null,null);
INSERT INTO product_categories VALUES('3629','GEYSER','CANON','604C - 1029',null,null);
INSERT INTO product_categories VALUES('3630','GEYSER','CANON','600CA - 1029',null,null);
INSERT INTO product_categories VALUES('3631','GEYSER','CANON','601P - 1029',null,null);
INSERT INTO product_categories VALUES('3632','GEYSER','CANON','16HD - 1029',null,null);
INSERT INTO product_categories VALUES('3633','GEYSER','CANON','106GH(LGP) - 1029',null,null);
INSERT INTO product_categories VALUES('3634','GEYSER','CORONA','C6/SSTEEL - 539',null,null);
INSERT INTO product_categories VALUES('3635','GEYSER','GENERALTEC','680BB - 1029',null,null);
INSERT INTO product_categories VALUES('3636','GEYSER','RAYS','6L-SS - 1029',null,null);
INSERT INTO product_categories VALUES('3637','GEYSER','SIGNATURE','SGG-1704G - 1029',null,null);
INSERT INTO product_categories VALUES('3638','GEYSER','SIGNATURE','SGG-1704W - 1029',null,null);
INSERT INTO product_categories VALUES('3639','GEYSER','SUPER ASIA','106GH(LPG) - 1029',null,null);
INSERT INTO product_categories VALUES('3640','GEYSER','SUPER ASIA','106GH(NG) - 1029',null,null);
INSERT INTO product_categories VALUES('3641','GEYSER','SUPER ASIA','206GH - 1029',null,null);
INSERT INTO product_categories VALUES('3642','GEYSER','SUPER ASIA','106GH - 1029',null,null);
INSERT INTO product_categories VALUES('3643','GEYSER','SUPER ASIA','2086GH - 1029',null,null);
INSERT INTO product_categories VALUES('3644','GEYSER','XTREEM','609G-LCD - 504',null,null);
INSERT INTO product_categories VALUES('3645','GEYSER','XTREEM','6071P+LCD - 504',null,null);
INSERT INTO product_categories VALUES('3646','GEYSER','FIVE STAR','60L-WC - 1871',null,null);
INSERT INTO product_categories VALUES('3647','GEYSER','WELCOME','60-LITRE  - 1871',null,null);
INSERT INTO product_categories VALUES('3648','GEYSER','CANON','780P - 1041',null,null);
INSERT INTO product_categories VALUES('3649','GEYSER','CANON','785P - 1041',null,null);
INSERT INTO product_categories VALUES('3650','GEYSER','CENTON','8008E-7.0KW - 1041',null,null);
INSERT INTO product_categories VALUES('3651','GEYSER','FISCHER','8GALLON - 739',null,null);
INSERT INTO product_categories VALUES('3652','GEYSER','SANYO','8L - 1030',null,null);
INSERT INTO product_categories VALUES('3653','GEYSER','SIGNATURE','8G - 1539',null,null);
INSERT INTO product_categories VALUES('3654','GEYSER','CANON','16D-PLUS - 1030',null,null);
INSERT INTO product_categories VALUES('3655','GEYSER','CANON','16D-PLUS-DUAL - 1030',null,null);
INSERT INTO product_categories VALUES('3656','GEYSER','CANON','16D-PLUS-DUAL(LPG) - 1030',null,null);
INSERT INTO product_categories VALUES('3657','GEYSER','CANON','18D - 1748',null,null);
INSERT INTO product_categories VALUES('3658','GEYSER','CENTON','8008E-8.0KW - 1030',null,null);
INSERT INTO product_categories VALUES('3659','GEYSER','CORONA','8L - 539 - 1030',null,null);
INSERT INTO product_categories VALUES('3660','GEYSER','CORONA','C8/SSTEEL - 539',null,null);
INSERT INTO product_categories VALUES('3661','GEYSER','GENERALTEC','810BB - 1030',null,null);
INSERT INTO product_categories VALUES('3662','GEYSER','MIDAS','16-8D2 - 1030',null,null);
INSERT INTO product_categories VALUES('3663','GEYSER','MIDAS','8L-168D2 - 1030',null,null);
INSERT INTO product_categories VALUES('3664','GEYSER','RAYS','8L-SS - 1030',null,null);
INSERT INTO product_categories VALUES('3665','GEYSER','SUPER ASIA','108GH(NG) - 1030',null,null);
INSERT INTO product_categories VALUES('3666','GEYSER','XTREEM','8L-6BB2 - 1030',null,null);
INSERT INTO product_categories VALUES('3667','GEYSER','XTREEM','8L-GLASS - 504',null,null);
INSERT INTO product_categories VALUES('3668','GEYSER','XTREME','8L/SAMPLE - 504',null,null);
INSERT INTO product_categories VALUES('3669','GEYSER','ARISTON','3228EG - 1436',null,null);
INSERT INTO product_categories VALUES('3670','GEYSER','ARISTON','80L-A - 286',null,null);
INSERT INTO product_categories VALUES('3671','GEYSER','ARISTON','3323A  - 286',null,null);
INSERT INTO product_categories VALUES('3672','GEYSER','CORONA','125G-DLX - 669',null,null);
INSERT INTO product_categories VALUES('3673','GEYSER','CORONA','450SS - 14',null,null);
INSERT INTO product_categories VALUES('3674','GEYSER','CORONA','C6/GLASS - 539',null,null);
INSERT INTO product_categories VALUES('3675','GEYSER','CORONA','25G - 539',null,null);
INSERT INTO product_categories VALUES('3676','GEYSER','CORONA','C8/GLASS - 539',null,null);
INSERT INTO product_categories VALUES('3677','GEYSER','FAST','FAST10LT - 228',null,null);
INSERT INTO product_categories VALUES('3678','GEYSER','FLARE UP','15L - 1431',null,null);
INSERT INTO product_categories VALUES('3679','GEYSER','GUNER','5015GR - 2038',null,null);
INSERT INTO product_categories VALUES('3680','HEATER','EASY HOME','45969EH - 1967',null,null);
INSERT INTO product_categories VALUES('3681','HEATER','GREE','16DA - 1609',null,null);
INSERT INTO product_categories VALUES('3682','HEATER','GREE','20YD - 1609',null,null);
INSERT INTO product_categories VALUES('3683','HEATER','HACWEL','06HW  - 1609',null,null);
INSERT INTO product_categories VALUES('3684','HEATER','HACWEL','C09-HW - 1049',null,null);
INSERT INTO product_categories VALUES('3685','HEATER','HACWEL','01HW - 1609',null,null);
INSERT INTO product_categories VALUES('3686','HEATER','HACWEL','02HW - 1690',null,null);
INSERT INTO product_categories VALUES('3687','HEATER','HACWEL','03G-HW - 1690',null,null);
INSERT INTO product_categories VALUES('3688','HEATER','HACWEL','2800L - 1690',null,null);
INSERT INTO product_categories VALUES('3689','HEATER','MC CHEF','N19 - 1979',null,null);
INSERT INTO product_categories VALUES('3690','HEATER','RAYS','RFP1 - 1607',null,null);
INSERT INTO product_categories VALUES('3691','HEATER','RAYS','RFP2 - 1607',null,null);
INSERT INTO product_categories VALUES('3692','HEATER','RAYS','RFP3 - 1607',null,null);
INSERT INTO product_categories VALUES('3693','HEATER','RAYS','RFP4 - 1607',null,null);
INSERT INTO product_categories VALUES('3694','HEATER','TAURUS','2-PR - 1609',null,null);
INSERT INTO product_categories VALUES('3695','HEATER','TEFAL','9040SE - 1609',null,null);
INSERT INTO product_categories VALUES('3696','HEATER','WESTPOINT','5308WF - 1609',null,null);
INSERT INTO product_categories VALUES('3697','HEATER','WESTPOINT','5306WF - 1609',null,null);
INSERT INTO product_categories VALUES('3698','HEATER','WESTPOINT','5307WF - 1609',null,null);
INSERT INTO product_categories VALUES('3699','HEATER','RINNAI','471TR - 1611',null,null);
INSERT INTO product_categories VALUES('3700','HEATER','RINNAI','252UC - 1611',null,null);
INSERT INTO product_categories VALUES('3701','HEATER','RINNAI','4002E - 1611',null,null);
INSERT INTO product_categories VALUES('3702','HEATER','RINNAI','571TR - 1611',null,null);
INSERT INTO product_categories VALUES('3703','HEATER','ALPINA','5060-SF - 259',null,null);
INSERT INTO product_categories VALUES('3704','HEATER','ALPINA','9363SF - 1115',null,null);
INSERT INTO product_categories VALUES('3705','HEATER','ALPINA','9364-SF - 762',null,null);
INSERT INTO product_categories VALUES('3706','HEATER','ALPINA','5062-SF - 1685',null,null);
INSERT INTO product_categories VALUES('3707','HEATER','ALPINA','9356SF - 1115',null,null);
INSERT INTO product_categories VALUES('3708','HEATER','ALPINA','9351SF - 1115',null,null);
INSERT INTO product_categories VALUES('3709','HEATER','ASIA','06ASH - 1201',null,null);
INSERT INTO product_categories VALUES('3710','HEATER','ASIA','02ASH - 1201',null,null);
INSERT INTO product_categories VALUES('3711','HEATER','BECKER','06FH - 1976',null,null);
INSERT INTO product_categories VALUES('3712','HEATER','BLACK&DECKER','13P - 76',null,null);
INSERT INTO product_categories VALUES('3713','HEATER','BLACK&DECKER','230HX - 1115',null,null);
INSERT INTO product_categories VALUES('3714','HEATER','BLACK&DECKER','210HX  - 1115',null,null);
INSERT INTO product_categories VALUES('3715','HEATER','BLACK&DECKER','330HX - 1115',null,null);
INSERT INTO product_categories VALUES('3716','HEATER','BLACK&DECKER','350-14 - 40',null,null);
INSERT INTO product_categories VALUES('3717','HEATER','BLACK&DECKER','290HX  - 1115',null,null);
INSERT INTO product_categories VALUES('3718','HEATER','BLACK&DECKER','9P - 76',null,null);
INSERT INTO product_categories VALUES('3719','HEATER','BLACK&DECKER','7P  - 76',null,null);
INSERT INTO product_categories VALUES('3720','HEATER','BLACK&DECKER','310HX - 1115',null,null);
INSERT INTO product_categories VALUES('3721','HEATER','BLACK&DECKER','07ORC - 76',null,null);
INSERT INTO product_categories VALUES('3722','HEATER','BLACK&DECKER','12P - 76',null,null);
INSERT INTO product_categories VALUES('3723','HEATER','BLACK&DECKER','280 F/H - 40',null,null);
INSERT INTO product_categories VALUES('3724','HEATER','DELONGHI','332HTE - 1115',null,null);
INSERT INTO product_categories VALUES('3725','HEATER','DELONGHI','8093MD - 1115',null,null);
INSERT INTO product_categories VALUES('3726','HEATER','DELONGHI','3031HTF - 79',null,null);
INSERT INTO product_categories VALUES('3727','HEATER','DELONGI','3033HTF  - 1115',null,null);
INSERT INTO product_categories VALUES('3728','HEATER','DELONGI','3033HVF  - 1115',null,null);
INSERT INTO product_categories VALUES('3729','HEATER','DELONGI','30C18HFX  - 79',null,null);
INSERT INTO product_categories VALUES('3730','HEATER','DELONGI','2530B-HVN - 361',null,null);
INSERT INTO product_categories VALUES('3731','HEATER','DELONGI','2530F-HCS - 361',null,null);
INSERT INTO product_categories VALUES('3732','HEATER','DELONGI','130HVE - 361',null,null);
INSERT INTO product_categories VALUES('3733','HEATER','DELONGI','1010HVK - 361',null,null);
INSERT INTO product_categories VALUES('3734','HEATER','DELONGI','4030HTC  - 79',null,null);
INSERT INTO product_categories VALUES('3735','HEATER','DELONGI','310S - 361',null,null);
INSERT INTO product_categories VALUES('3736','HEATER','DELONGI','7091TCH - 361',null,null);
INSERT INTO product_categories VALUES('3737','HEATER','DELONGI','2053TDHC  - 1115',null,null);
INSERT INTO product_categories VALUES('3738','HEATER','DELONGI','333 - 361',null,null);
INSERT INTO product_categories VALUES('3739','HEATER','DELONGI','1030HVK - 361',null,null);
INSERT INTO product_categories VALUES('3740','HEATER','DELONGI','1030HVY - 79',null,null);
INSERT INTO product_categories VALUES('3741','HEATER','DELONGI','20F-CONVECT - 361',null,null);
INSERT INTO product_categories VALUES('3742','HEATER','DELONGI','20F-HS - 361',null,null);
INSERT INTO product_categories VALUES('3743','HEATER','DELONGI','65V20HFX  - 79',null,null);
INSERT INTO product_categories VALUES('3744','HEATER','DONEYER','DONEYER-POWER  - 1795',null,null);
INSERT INTO product_categories VALUES('3745','HEATER','HACWEL','24HW - 1115',null,null);
INSERT INTO product_categories VALUES('3746','HEATER','HACWEL','23A - 1115',null,null);
INSERT INTO product_categories VALUES('3747','HEATER','HACWEL','21HW - 1115',null,null);
INSERT INTO product_categories VALUES('3748','HEATER','HACWEL','20HW - 1115',null,null);
INSERT INTO product_categories VALUES('3749','HEATER','HOOVER','20N - 1203',null,null);
INSERT INTO product_categories VALUES('3750','HEATER','IGNES','7PLATE - 1209',null,null);
INSERT INTO product_categories VALUES('3751','HEATER','INDESIT','NDB1C - 354',null,null);
INSERT INTO product_categories VALUES('3752','HEATER','INDESIT','13PLATE - 354',null,null);
INSERT INTO product_categories VALUES('3753','HEATER','INDESIT','NDB1C - 1234',null,null);
INSERT INTO product_categories VALUES('3754','HEATER','KARAKURAM','4511HT - 542',null,null);
INSERT INTO product_categories VALUES('3755','HEATER','MIDAS','E3 - 760',null,null);
INSERT INTO product_categories VALUES('3756','HEATER','MIDEA','15J-NTY12 - 2043',null,null);
INSERT INTO product_categories VALUES('3757','HEATER','NOVA','200TFH - 1177',null,null);
INSERT INTO product_categories VALUES('3758','HEATER','NOVA','13M - 1430',null,null);
INSERT INTO product_categories VALUES('3759','HEATER','RENOVA','15FH  - 1115',null,null);
INSERT INTO product_categories VALUES('3760','HEATER','RENOVA','103FH - 1115',null,null);
INSERT INTO product_categories VALUES('3761','HEATER','RENOVA','902PTC - 1115',null,null);
INSERT INTO product_categories VALUES('3762','HEATER','RENOVA','07FH - 1115',null,null);
INSERT INTO product_categories VALUES('3763','HEATER','RENOVA','108FH - 1115',null,null);
INSERT INTO product_categories VALUES('3764','HEATER','ROWENTA','2020SO - 1358',null,null);
INSERT INTO product_categories VALUES('3765','HEATER','SINBO','3309SFH - 1115',null,null);
INSERT INTO product_categories VALUES('3766','HEATER','SUPER ASIA','1015-FH - 1778',null,null);
INSERT INTO product_categories VALUES('3767','HEATER','TEFAL','5010T - 1115',null,null);
INSERT INTO product_categories VALUES('3768','HEATER','WESTPOINT','5308WF - 1115',null,null);
INSERT INTO product_categories VALUES('3769','HEATER','WESTPOINT','5140WF - 1115',null,null);
INSERT INTO product_categories VALUES('3770','HEATER','WESTPOINT','5141WF - 1115',null,null);
INSERT INTO product_categories VALUES('3771','HEATER','WESTPOINT','5142WF - 1115',null,null);
INSERT INTO product_categories VALUES('3772','HEATER','WESTPOINT','5143WF - 1115',null,null);
INSERT INTO product_categories VALUES('3773','HEATER','WESTPOINT','5144WF - 1115',null,null);
INSERT INTO product_categories VALUES('3774','HEATER','WESTPOINT','5145WF - 1115',null,null);
INSERT INTO product_categories VALUES('3775','HEATER','WHIRLPOOL','12PLATE - 81',null,null);
INSERT INTO product_categories VALUES('3776','HEATER','ABSOL','437-86 - 52',null,null);
INSERT INTO product_categories VALUES('3777','HEATER','CANON','352-A - 1051',null,null);
INSERT INTO product_categories VALUES('3778','HEATER','CANON','262 - 1051',null,null);
INSERT INTO product_categories VALUES('3779','HEATER','CANON','G11 - 1051',null,null);
INSERT INTO product_categories VALUES('3780','HEATER','CANON','FANCY-2 - 1051',null,null);
INSERT INTO product_categories VALUES('3781','HEATER','CANON','FANCY-3 - 1051',null,null);
INSERT INTO product_categories VALUES('3782','HEATER','CANON','152A - 1051',null,null);
INSERT INTO product_categories VALUES('3783','HEATER','CANON','804 - 1051',null,null);
INSERT INTO product_categories VALUES('3784','HEATER','CANON','814 - 618',null,null);
INSERT INTO product_categories VALUES('3785','HEATER','CANON','815 - 1051',null,null);
INSERT INTO product_categories VALUES('3786','HEATER','CORONA','707 - 53',null,null);
INSERT INTO product_categories VALUES('3787','HEATER','CORONA','corona fire stone - 53',null,null);
INSERT INTO product_categories VALUES('3788','HEATER','CORONA','CORONA/CLASSIC - 53',null,null);
INSERT INTO product_categories VALUES('3789','HEATER','CORONA','404 - 53',null,null);
INSERT INTO product_categories VALUES('3790','HEATER','CORONA','380 - 53',null,null);
INSERT INTO product_categories VALUES('3791','HEATER','CORONA','510 - 53',null,null);
INSERT INTO product_categories VALUES('3792','HEATER','CORONA','303 - 53',null,null);
INSERT INTO product_categories VALUES('3793','HEATER','CORONA','260 - 53',null,null);
INSERT INTO product_categories VALUES('3794','HEATER','CORONA','101 - 53',null,null);
INSERT INTO product_categories VALUES('3795','HEATER','CORONA','060 - 53',null,null);
INSERT INTO product_categories VALUES('3796','HEATER','CORONA','050 - 53',null,null);
INSERT INTO product_categories VALUES('3797','HEATER','CORONA','055 - 53',null,null);
INSERT INTO product_categories VALUES('3798','HEATER','CORONA','160 - 53',null,null);
INSERT INTO product_categories VALUES('3799','HEATER','CORONA','MANI-1 - 53',null,null);
INSERT INTO product_categories VALUES('3800','HEATER','CORONA','460-44 - 53',null,null);
INSERT INTO product_categories VALUES('3801','HEATER','CORONA','410 - 53',null,null);
INSERT INTO product_categories VALUES('3802','HEATER','CORONA','202 - 53',null,null);
INSERT INTO product_categories VALUES('3803','HEATER','CORONA','808 - 53',null,null);
INSERT INTO product_categories VALUES('3804','HEATER','CORONA','MINI-1 - 1051',null,null);
INSERT INTO product_categories VALUES('3805','HEATER','CORONA','606 - 53',null,null);
INSERT INTO product_categories VALUES('3806','HEATER','CORONA','310 - 53',null,null);
INSERT INTO product_categories VALUES('3807','HEATER','CORONA','610-44 - 53',null,null);
INSERT INTO product_categories VALUES('3808','HEATER','CORONA','560-44 - 53',null,null);
INSERT INTO product_categories VALUES('3809','HEATER','CORONA','180 - 53',null,null);
INSERT INTO product_categories VALUES('3810','HEATER','CORONA','CH5  - 53',null,null);
INSERT INTO product_categories VALUES('3811','HEATER','CORONA','505 - 53',null,null);
INSERT INTO product_categories VALUES('3812','HEATER','POLAR','5P - 1051',null,null);
INSERT INTO product_categories VALUES('3813','HEATER','POLAR','3P - 1051',null,null);
INSERT INTO product_categories VALUES('3814','HEATER','RINNAI','371-56 - 1052',null,null);
INSERT INTO product_categories VALUES('3815','HEATER','RINNAI','613 - 56',null,null);
INSERT INTO product_categories VALUES('3816','HEATER','RINNAI','813-85 - 56',null,null);
INSERT INTO product_categories VALUES('3817','HEATER','RINNAI','1240S - 56',null,null);
INSERT INTO product_categories VALUES('3818','HEATER','RINNAI','30D - 56',null,null);
INSERT INTO product_categories VALUES('3819','HEATER','RINNAI','317-56 - 1052',null,null);
INSERT INTO product_categories VALUES('3820','HEATER','RINNAI','652 - 56',null,null);
INSERT INTO product_categories VALUES('3821','HEATER','RINNAI','852 - 56',null,null);
INSERT INTO product_categories VALUES('3822','HEATER','RINNAI','ELECTRIC HEATER - 56',null,null);
INSERT INTO product_categories VALUES('3823','HEATER','RINNAI','452 - 56',null,null);
INSERT INTO product_categories VALUES('3824','HEATER','RINNAI','471 - 56',null,null);
INSERT INTO product_categories VALUES('3825','HEATER','RINNAI','1260S - 56',null,null);
INSERT INTO product_categories VALUES('3826','HEATER','RINNAI','483 - 56',null,null);
INSERT INTO product_categories VALUES('3827','HEATER','RINNAI','481-85 - 56',null,null);
INSERT INTO product_categories VALUES('3828','HEATER','RINNAI','1290UMS - 1051',null,null);
INSERT INTO product_categories VALUES('3829','HEATER','SIGNATURE','813S - 1051',null,null);
INSERT INTO product_categories VALUES('3830','HEATER','SIGNATURE','613S - 1051',null,null);
INSERT INTO product_categories VALUES('3831','HEATER','CORONA','065 - 53',null,null);
INSERT INTO product_categories VALUES('3832','HEATER','SUPER ASIA','1025-SH - 1050',null,null);
INSERT INTO product_categories VALUES('3833','HEATER','SUPER ASIA','1030-HH - 1050',null,null);
INSERT INTO product_categories VALUES('3834','HEATER','ALPINA','11P - 360',null,null);
INSERT INTO product_categories VALUES('3835','HEATER','BLACK&DECKER','11P OR-F - 76',null,null);
INSERT INTO product_categories VALUES('3836','HEATER','BLACK&DECKER','07D-OR - 1049',null,null);
INSERT INTO product_categories VALUES('3837','HEATER','BLACK&DECKER','13F-OR - 1049',null,null);
INSERT INTO product_categories VALUES('3838','HEATER','BLACK&DECKER','09D-OR - 1049',null,null);
INSERT INTO product_categories VALUES('3839','HEATER','BLACK&DECKER','12FD-OR - 1049',null,null);
INSERT INTO product_categories VALUES('3840','HEATER','BLACK&DECKER','11FD-OR - 1049',null,null);
INSERT INTO product_categories VALUES('3841','HEATER','DELONGHI','41025DTRD - 1049',null,null);
INSERT INTO product_categories VALUES('3842','HEATER','DELONGHI','820TRD - 1049',null,null);
INSERT INTO product_categories VALUES('3843','HEATER','DELONGI','1025TRD - 79',null,null);
INSERT INTO product_categories VALUES('3844','HEATER','DELONGI','9120E-HCX - 1049',null,null);
INSERT INTO product_categories VALUES('3845','HEATER','DELONGI','730920KR - 79',null,null);
INSERT INTO product_categories VALUES('3846','HEATER','DELONGI','1225C - 1049',null,null);
INSERT INTO product_categories VALUES('3847','HEATER','DELONGI','550920V - 79',null,null);
INSERT INTO product_categories VALUES('3848','HEATER','DELONGI','0715-B TRRS - 1049',null,null);
INSERT INTO product_categories VALUES('3849','HEATER','DELONGI','0920TRRS - 1049',null,null);
INSERT INTO product_categories VALUES('3850','HEATER','DELONGI','031225V - 79',null,null);
INSERT INTO product_categories VALUES('3851','HEATER','DELONGI','551225V - 79',null,null);
INSERT INTO product_categories VALUES('3852','HEATER','DELONGI','770920KH - 79',null,null);
INSERT INTO product_categories VALUES('3853','HEATER','DELONGI','771225KH - 79',null,null);
INSERT INTO product_categories VALUES('3854','HEATER','DELONGI','771230KH - 79',null,null);
INSERT INTO product_categories VALUES('3855','HEATER','DELONGI','771530V - 79',null,null);
INSERT INTO product_categories VALUES('3856','HEATER','MC CHEF','601-11CR - 1049',null,null);
INSERT INTO product_categories VALUES('3857','HEATER','MC CHEF','601-7CR - 1049',null,null);
INSERT INTO product_categories VALUES('3858','HEATER','MC CHEF','601-9CR - 1049',null,null);
INSERT INTO product_categories VALUES('3859','HEATER','ROWENTA','2520BU - 1049',null,null);
INSERT INTO product_categories VALUES('3860','HEATER','ALPINA','9353-SF - 762',null,null);
INSERT INTO product_categories VALUES('3861','HEATER','GREE','800B-GEH  - 1609',null,null);
INSERT INTO product_categories VALUES('3862','HEATER','GREE','800G-GEH  - 1609',null,null);
INSERT INTO product_categories VALUES('3863','HEATER','HACWEL','2830HW - 1115',null,null);
INSERT INTO product_categories VALUES('3864','HEATER','RINNAI','313-54RC - 56',null,null);
INSERT INTO product_categories VALUES('3865','HEATER','RINNAI','652R - 56',null,null);
INSERT INTO product_categories VALUES('3866','HEATER','RINNAI','318E - 56',null,null);
INSERT INTO product_categories VALUES('3867','HEATER','RINNAI','329E - 56',null,null);
INSERT INTO product_categories VALUES('3868','HEATER','RINNAI','219AC - 56',null,null);
INSERT INTO product_categories VALUES('3869','HEATER','RINNAI','219E - 56',null,null);
INSERT INTO product_categories VALUES('3870','HEATER','RINNAI','452R - 56',null,null);
INSERT INTO product_categories VALUES('3871','HEATER','BLACK&DECKER','340HX - 1895',null,null);
INSERT INTO product_categories VALUES('3872','HEATER','ELITE','06L - 1879',null,null);
INSERT INTO product_categories VALUES('3873','HEATER','ELITE','08L - 1879',null,null);
INSERT INTO product_categories VALUES('3874','HEATER','HACWEL','20H - 1879',null,null);
INSERT INTO product_categories VALUES('3875','HEATER','HACWEL','33H-HW - 1879',null,null);
INSERT INTO product_categories VALUES('3876','HEATER','TAURUS','2.5TROPICANO - 1876',null,null);
INSERT INTO product_categories VALUES('3877','HEATER','TAURUS','2400WTROPICANO - 1876',null,null);
INSERT INTO product_categories VALUES('3878','HEATER','TAURUS','2002CA - 1969',null,null);
INSERT INTO product_categories VALUES('3879','HUMIDIFIRE','AQUA','122DD - 1911',null,null);
INSERT INTO product_categories VALUES('3880','HUMIDIFIRE','DELONGI','17UH - 2061',null,null);
INSERT INTO product_categories VALUES('3881','HUMIDIFIRE','DELONGI','50920T - 135',null,null);
INSERT INTO product_categories VALUES('3882','HUMIDIFIRE','ELITE','453R - 1971',null,null);
INSERT INTO product_categories VALUES('3883','HUMIDIFIRE','ELITE','3502EAH - 1975',null,null);
INSERT INTO product_categories VALUES('3884','HUMIDIFIRE','ELITE','80Y4 - 1968',null,null);
INSERT INTO product_categories VALUES('3885','LED TV STAND','FRIENDS','200TTL - 1770',null,null);
INSERT INTO product_categories VALUES('3886','LED TV STAND','FRIENDS','700TTL - 1770',null,null);
INSERT INTO product_categories VALUES('3887','LED TV STAND','FRIENDS','100TTL - 1770',null,null);
INSERT INTO product_categories VALUES('3888','LED TV STAND','FRIENDS','750TTL - 1770',null,null);
INSERT INTO product_categories VALUES('3889','LED TV STAND','FRIENDS','400TTL - 1770',null,null);
INSERT INTO product_categories VALUES('3890','LED TV STAND','FRIENDS','800TTL - 1770',null,null);
INSERT INTO product_categories VALUES('3891','LED TV STAND','FRIENDS','650TTL - 1770',null,null);
INSERT INTO product_categories VALUES('3892','LED TV STAND','FRIENDS','600TTL - 1770',null,null);
INSERT INTO product_categories VALUES('3893','LED TV STAND','FRIENDS','550TTL - 1770',null,null);
INSERT INTO product_categories VALUES('3894','LED TV STAND','FRIENDS','100GDL - 1770',null,null);
INSERT INTO product_categories VALUES('3895','LED TV STAND','FRIENDS','500TTL - 1770',null,null);
INSERT INTO product_categories VALUES('3896','LED TV STAND','FRIENDS','300TTL - 1781',null,null);
INSERT INTO product_categories VALUES('3897','LED TV STAND','FRIENDS','150TTL - 1781',null,null);
INSERT INTO product_categories VALUES('3898','LED TV STAND','ADVANCE TECH','730EX - 1232',null,null);
INSERT INTO product_categories VALUES('3899','LED TV STAND','ADVANCE TECH','700M - 943',null,null);
INSERT INTO product_categories VALUES('3900','LED TV STAND','ADVANCE TECH','400E  - 1232',null,null);
INSERT INTO product_categories VALUES('3901','LED TV STAND','ADVANCE TECH','720EX - 1283',null,null);
INSERT INTO product_categories VALUES('3902','LED TV STAND','ADVANCE TECH','600M - 1232',null,null);
INSERT INTO product_categories VALUES('3903','LED TV STAND','ADVANCE TECH','TROLLYSTAND - 1232',null,null);
INSERT INTO product_categories VALUES('3904','LED TV STAND','ADVANCE TECH','300C - 1283',null,null);
INSERT INTO product_categories VALUES('3905','LED TV STAND','ADVANCE TECH','750EX - 1283',null,null);
INSERT INTO product_categories VALUES('3906','LED TV STAND','ADVANCE TECH','115SD - 1647',null,null);
INSERT INTO product_categories VALUES('3907','LED TV STAND','ADVANCE TECH','350E - 1232',null,null);
INSERT INTO product_categories VALUES('3908','LED TV STAND','ADVANCE TECH','500E - 1283',null,null);
INSERT INTO product_categories VALUES('3909','LED TV STAND','ADVANCE TECH','760EX - 1232',null,null);
INSERT INTO product_categories VALUES('3910','LED TV STAND','ADVANCE TECH','211BX - 1283',null,null);
INSERT INTO product_categories VALUES('3911','LED TV STAND','ADVANCE TECH','1000F - 1647',null,null);
INSERT INTO product_categories VALUES('3912','LED TV STAND','ADVANCE TECH','800W - 1232',null,null);
INSERT INTO product_categories VALUES('3913','LED TV STAND','ELEGANT','888 - 943',null,null);
INSERT INTO product_categories VALUES('3914','LED TV STAND','ELEGANT','333-48INCH - 943',null,null);
INSERT INTO product_categories VALUES('3915','LED TV STAND','ELEGANT','555H - 943',null,null);
INSERT INTO product_categories VALUES('3916','LED TV STAND','ELEGANT','648 - 1357',null,null);
INSERT INTO product_categories VALUES('3917','LED TV STAND','ELEGANT','113-40" - 943',null,null);
INSERT INTO product_categories VALUES('3918','LED TV STAND','ELEGANT','113-48" - 943',null,null);
INSERT INTO product_categories VALUES('3919','LED TV STAND','ELEGANT','114-32" - 1357',null,null);
INSERT INTO product_categories VALUES('3920','LED TV STAND','ELEGANT','114-48" - 1357',null,null);
INSERT INTO product_categories VALUES('3921','LED TV STAND','ELEGANT','112-48 - 943',null,null);
INSERT INTO product_categories VALUES('3922','LED TV STAND','ELEGANT','666-48" - 1357',null,null);
INSERT INTO product_categories VALUES('3923','LED TV STAND','ELEGANT','666-TROLLY - 943',null,null);
INSERT INTO product_categories VALUES('3924','LED TV STAND','ELEGANT','999 - 943',null,null);
INSERT INTO product_categories VALUES('3925','LED TV STAND','ELEGANT','555 - 943',null,null);
INSERT INTO product_categories VALUES('3926','LED TV STAND','ELEGANT','333-32" - 1357',null,null);
INSERT INTO product_categories VALUES('3927','LED TV STAND','ELEGANT','333-48" - 1357',null,null);
INSERT INTO product_categories VALUES('3928','LED TV STAND','ELEGANT','889 - 943',null,null);
INSERT INTO product_categories VALUES('3929','LED TV STAND','ELEGANT','777 - 943',null,null);
INSERT INTO product_categories VALUES('3930','LED TV STAND','HI-TONE','611-HT - 944',null,null);
INSERT INTO product_categories VALUES('3931','LED TV STAND','HI-TONE','A1-HT - 943',null,null);
INSERT INTO product_categories VALUES('3932','LED TV STAND','HI-TONE','1080 - 943',null,null);
INSERT INTO product_categories VALUES('3933','LED TV STAND','HI-TONE','270 - 943',null,null);
INSERT INTO product_categories VALUES('3934','LED TV STAND','HI-TONE','615-HT - 944',null,null);
INSERT INTO product_categories VALUES('3935','LED TV STAND','HI-TONE','500-HT - 943',null,null);
INSERT INTO product_categories VALUES('3936','LED TV STAND','HI-TONE','1001 - 943',null,null);
INSERT INTO product_categories VALUES('3937','LED TV STAND','HI-TONE','358 - 943',null,null);
INSERT INTO product_categories VALUES('3938','LED TV STAND','HI-TONE','TV480 - 943',null,null);
INSERT INTO product_categories VALUES('3939','LED TV STAND','HI-TONE','TV67 - 943',null,null);
INSERT INTO product_categories VALUES('3940','LED TV STAND','HI-TONE','87TROLLY - 943',null,null);
INSERT INTO product_categories VALUES('3941','LED TV STAND','HI-TONE','27HT - 253',null,null);
INSERT INTO product_categories VALUES('3942','LED TV STAND','HI-TONE','622-48" - 1647',null,null);
INSERT INTO product_categories VALUES('3943','LED TV STAND','HI-TONE','256D-64" - 1647',null,null);
INSERT INTO product_categories VALUES('3944','LED TV STAND','HI-TONE','160D-64" - 1647',null,null);
INSERT INTO product_categories VALUES('3945','LED TV STAND','HI-TONE','257D-48" - 1647',null,null);
INSERT INTO product_categories VALUES('3946','LED TV STAND','HI-TONE','259MG-64" - 1647',null,null);
INSERT INTO product_categories VALUES('3947','LED TV STAND','HI-TONE','001HT-BG-48" - 1647',null,null);
INSERT INTO product_categories VALUES('3948','LED TV STAND','HI-TONE','626-63" - 1647',null,null);
INSERT INTO product_categories VALUES('3949','LED TV STAND','HI-TONE','840TV - 253',null,null);
INSERT INTO product_categories VALUES('3950','LED TV STAND','HI-TONE','619-HT - 944',null,null);
INSERT INTO product_categories VALUES('3951','LED TV STAND','HI-TONE','505-HT - 943',null,null);
INSERT INTO product_categories VALUES('3952','LED TV STAND','HI-TONE','2068-HT - 944',null,null);
INSERT INTO product_categories VALUES('3953','LED TV STAND','HI-TONE','D25-HI-TONE - 253',null,null);
INSERT INTO product_categories VALUES('3954','LED TV STAND','NOOR TROLLY','48U - 596',null,null);
INSERT INTO product_categories VALUES('3955','LED TV STAND','NOOR TROLLY','49X - 596',null,null);
INSERT INTO product_categories VALUES('3956','LED TV STAND','NOOR TROLLY','60HD - 596',null,null);
INSERT INTO product_categories VALUES('3957','LED TV STAND','NOOR TROLLY','49W - 596',null,null);
INSERT INTO product_categories VALUES('3958','LED TV STAND','NOOR TROLLY','48X - 943',null,null);
INSERT INTO product_categories VALUES('3959','LED TV STAND','NOOR TROLLY','40A - 943',null,null);
INSERT INTO product_categories VALUES('3960','LED TV STAND','NOOR TROLLY','48W - 596',null,null);
INSERT INTO product_categories VALUES('3961','LED TV STAND','NOOR TROLLY','54W - 596',null,null);
INSERT INTO product_categories VALUES('3962','LED TV STAND','ZLINE','Z4 - 658',null,null);
INSERT INTO product_categories VALUES('3963','LED TV STAND','TNITREND','LK-1 - 182',null,null);
INSERT INTO product_categories VALUES('3964','MICROWAVE OVEN','CHANGHONG','20B2CHR - 960',null,null);
INSERT INTO product_categories VALUES('3965','MICROWAVE OVEN','DAWLANCE','112C - 961',null,null);
INSERT INTO product_categories VALUES('3966','MICROWAVE OVEN','DAWLANCE','297GSS - 960',null,null);
INSERT INTO product_categories VALUES('3967','MICROWAVE OVEN','DAWLANCE','370DW - 65',null,null);
INSERT INTO product_categories VALUES('3968','MICROWAVE OVEN','DAWLANCE','210S-DW - 960',null,null);
INSERT INTO product_categories VALUES('3969','MICROWAVE OVEN','DAWLANCE','293DW - 65',null,null);
INSERT INTO product_categories VALUES('3970','MICROWAVE OVEN','DAWLANCE','294S-MW - 65',null,null);
INSERT INTO product_categories VALUES('3971','MICROWAVE OVEN','DAWLANCE','295DW - 960',null,null);
INSERT INTO product_categories VALUES('3972','MICROWAVE OVEN','DAWLANCE','296DW - 65',null,null);
INSERT INTO product_categories VALUES('3973','MICROWAVE OVEN','DAWLANCE','MD5-S - 65',null,null);
INSERT INTO product_categories VALUES('3974','MICROWAVE OVEN','DAWLANCE','MD6 - 65',null,null);
INSERT INTO product_categories VALUES('3975','MICROWAVE OVEN','DAWLANCE','MD7 - 960',null,null);
INSERT INTO product_categories VALUES('3976','MICROWAVE OVEN','DAWLANCE','MD8 - 960',null,null);
INSERT INTO product_categories VALUES('3977','MICROWAVE OVEN','DAWLANCE','MD9 - 960',null,null);
INSERT INTO product_categories VALUES('3978','MICROWAVE OVEN','DAWLANCE','MD4 - 65',null,null);
INSERT INTO product_categories VALUES('3979','MICROWAVE OVEN','DAWLANCE','MD4-N - 960',null,null);
INSERT INTO product_categories VALUES('3980','MICROWAVE OVEN','DAWLANCE','MD5 - 65',null,null);
INSERT INTO product_categories VALUES('3981','MICROWAVE OVEN','DAWLANCE','MD10 - 960',null,null);
INSERT INTO product_categories VALUES('3982','MICROWAVE OVEN','DAWLANCE','MD11S - 960',null,null);
INSERT INTO product_categories VALUES('3983','MICROWAVE OVEN','DAWLANCE','MD12 - 960',null,null);
INSERT INTO product_categories VALUES('3984','MICROWAVE OVEN','DAWLANCE','MD15 - 960',null,null);
INSERT INTO product_categories VALUES('3985','MICROWAVE OVEN','DAWLANCE','631CL - 65',null,null);
INSERT INTO product_categories VALUES('3986','MICROWAVE OVEN','DAWLANCE','220S-DW - 960',null,null);
INSERT INTO product_categories VALUES('3987','MICROWAVE OVEN','ECOSTAR','2022WSM - 960',null,null);
INSERT INTO product_categories VALUES('3988','MICROWAVE OVEN','ECOSTAR','2021BSM - 960',null,null);
INSERT INTO product_categories VALUES('3989','MICROWAVE OVEN','ECOSTAR','2021WSM - 960',null,null);
INSERT INTO product_categories VALUES('3990','MICROWAVE OVEN','ELECTORLUX','20WTL - 960',null,null);
INSERT INTO product_categories VALUES('3991','MICROWAVE OVEN','ENVIRO','20XM4R - 960',null,null);
INSERT INTO product_categories VALUES('3992','MICROWAVE OVEN','ENVIRO','20XM4S - 960',null,null);
INSERT INTO product_categories VALUES('3993','MICROWAVE OVEN','ENVIRO','20XM5W - 960',null,null);
INSERT INTO product_categories VALUES('3994','MICROWAVE OVEN','ENVIRO','23XM3R - 960',null,null);
INSERT INTO product_categories VALUES('3995','MICROWAVE OVEN','HAIER','20MX63 - 960',null,null);
INSERT INTO product_categories VALUES('3996','MICROWAVE OVEN','HAIER','20MX71 - 960',null,null);
INSERT INTO product_categories VALUES('3997','MICROWAVE OVEN','HAIER','20MX81L - 960',null,null);
INSERT INTO product_categories VALUES('3998','MICROWAVE OVEN','HAIER','2070M - 147',null,null);
INSERT INTO product_categories VALUES('3999','MICROWAVE OVEN','HAIER','2070MS - 960',null,null);
INSERT INTO product_categories VALUES('4000','MICROWAVE OVEN','HOMAGE','206W - 960',null,null);
INSERT INTO product_categories VALUES('4001','MICROWAVE OVEN','HOMAGE','202W-HMSO - 960',null,null);
INSERT INTO product_categories VALUES('4002','MICROWAVE OVEN','HOMAGE','2010HM - 820',null,null);
INSERT INTO product_categories VALUES('4003','MICROWAVE OVEN','HOMAGE','208S - 960',null,null);
INSERT INTO product_categories VALUES('4004','MICROWAVE OVEN','HOMAGE','2015HMG - 692',null,null);
INSERT INTO product_categories VALUES('4005','MICROWAVE OVEN','HOMAGE','201S-HDG  - 960',null,null);
INSERT INTO product_categories VALUES('4006','MICROWAVE OVEN','LG','1944WP - 72',null,null);
INSERT INTO product_categories VALUES('4007','MICROWAVE OVEN','NATIONAL','2009M - 708',null,null);
INSERT INTO product_categories VALUES('4008','MICROWAVE OVEN','ORIENT','721W  - 960',null,null);
INSERT INTO product_categories VALUES('4009','MICROWAVE OVEN','ORIENT','20LTL3 - 73',null,null);
INSERT INTO product_categories VALUES('4010','MICROWAVE OVEN','ORIENT','20PDI-OMG - 73',null,null);
INSERT INTO product_categories VALUES('4011','MICROWAVE OVEN','PEL','20PMOB - 960',null,null);
INSERT INTO product_categories VALUES('4012','MICROWAVE OVEN','PEL','8021T-B8 - 960',null,null);
INSERT INTO product_categories VALUES('4013','MICROWAVE OVEN','PEL','2020PMO - 74',null,null);
INSERT INTO product_categories VALUES('4014','MICROWAVE OVEN','PEL','8020SW - 960',null,null);
INSERT INTO product_categories VALUES('4015','MICROWAVE OVEN','PEL','8021T-B8 - 74',null,null);
INSERT INTO product_categories VALUES('4016','MICROWAVE OVEN','SUCCESS','20M - 1359',null,null);
INSERT INTO product_categories VALUES('4017','MICROWAVE OVEN','WHIRLPOOL','20BS - 960',null,null);
INSERT INTO product_categories VALUES('4018','MICROWAVE OVEN','DAWLANCE','395HP - 961',null,null);
INSERT INTO product_categories VALUES('4019','MICROWAVE OVEN','DAWLANCE','388DW - 1199',null,null);
INSERT INTO product_categories VALUES('4020','MICROWAVE OVEN','DAWLANCE','385DW - 1199',null,null);
INSERT INTO product_categories VALUES('4021','MICROWAVE OVEN','DAWLANCE','391G - 65',null,null);
INSERT INTO product_categories VALUES('4022','MICROWAVE OVEN','DAWLANCE','391HZ - 961',null,null);
INSERT INTO product_categories VALUES('4023','MICROWAVE OVEN','DAWLANCE','390MPLUS - 65',null,null);
INSERT INTO product_categories VALUES('4024','MICROWAVE OVEN','DAWLANCE','372DW - 961',null,null);
INSERT INTO product_categories VALUES('4025','MICROWAVE OVEN','DAWLANCE','373DW - 65',null,null);
INSERT INTO product_categories VALUES('4026','MICROWAVE OVEN','DAWLANCE','387DW - 65',null,null);
INSERT INTO product_categories VALUES('4027','MICROWAVE OVEN','DAWLANCE','374DW - 1199',null,null);
INSERT INTO product_categories VALUES('4028','MICROWAVE OVEN','DAWLANCE','374DW-IR - 1199',null,null);
INSERT INTO product_categories VALUES('4029','MICROWAVE OVEN','ECOSTAR','2301BDG - 1199',null,null);
INSERT INTO product_categories VALUES('4030','MICROWAVE OVEN','ENVIRO','23XDG3 - 1199',null,null);
INSERT INTO product_categories VALUES('4031','MICROWAVE OVEN','ENVIRO','23XM3R - 1199',null,null);
INSERT INTO product_categories VALUES('4032','MICROWAVE OVEN','HAIER','2380EG - 147',null,null);
INSERT INTO product_categories VALUES('4033','MICROWAVE OVEN','HAIER','23UG88 - 1199',null,null);
INSERT INTO product_categories VALUES('4034','MICROWAVE OVEN','HOMAGE','231W-HDSO - 1199',null,null);
INSERT INTO product_categories VALUES('4035','MICROWAVE OVEN','HOMAGE','232W-HMSO - 1199',null,null);
INSERT INTO product_categories VALUES('4036','MICROWAVE OVEN','LG','6342D - 1199',null,null);
INSERT INTO product_categories VALUES('4037','MICROWAVE OVEN','ORIENT','30C2 - 1199',null,null);
INSERT INTO product_categories VALUES('4038','MICROWAVE OVEN','ORIENT','30C2G - 1199',null,null);
INSERT INTO product_categories VALUES('4039','MICROWAVE OVEN','ORIENT','30AKQG - 1199',null,null);
INSERT INTO product_categories VALUES('4040','MICROWAVE OVEN','ORIENT','30ARW - 962',null,null);
INSERT INTO product_categories VALUES('4041','MICROWAVE OVEN','ORIENT','30AZFG - 1199',null,null);
INSERT INTO product_categories VALUES('4042','MICROWAVE OVEN','ORIENT','30AZG - 961',null,null);
INSERT INTO product_categories VALUES('4043','MICROWAVE OVEN','ORIENT','23P70H - 1199',null,null);
INSERT INTO product_categories VALUES('4044','MICROWAVE OVEN','PANASONIC','235S - 164',null,null);
INSERT INTO product_categories VALUES('4045','MICROWAVE OVEN','PEL','23SG-PMO - 1199',null,null);
INSERT INTO product_categories VALUES('4046','MICROWAVE OVEN','PEL','23SLCD - 1199',null,null);
INSERT INTO product_categories VALUES('4047','MICROWAVE OVEN','SAMSUNG','23F301 - 1199',null,null);
INSERT INTO product_categories VALUES('4048','MICROWAVE OVEN','ECOSTAR','2501SDG - 2045',null,null);
INSERT INTO product_categories VALUES('4049','MICROWAVE OVEN','DAWLANCE','259C-DW - 1233',null,null);
INSERT INTO product_categories VALUES('4050','MICROWAVE OVEN','DAWLANCE','386DW - 961',null,null);
INSERT INTO product_categories VALUES('4051','MICROWAVE OVEN','HAIER','2690EGC - 1233',null,null);
INSERT INTO product_categories VALUES('4052','MICROWAVE OVEN','HAIER','2690MS - 1233',null,null);
INSERT INTO product_categories VALUES('4053','MICROWAVE OVEN','PEL','26MB - 1233',null,null);
INSERT INTO product_categories VALUES('4054','MICROWAVE OVEN','PEL','26MW - 1233',null,null);
INSERT INTO product_categories VALUES('4055','MICROWAVE OVEN','PEL','26SL - 1233',null,null);
INSERT INTO product_categories VALUES('4056','MICROWAVE OVEN','PANASONIC','564W - 1606',null,null);
INSERT INTO product_categories VALUES('4057','MICROWAVE OVEN','DAWLANCE','128G - 1277',null,null);
INSERT INTO product_categories VALUES('4058','MICROWAVE OVEN','DAWLANCE','280S-DW - 1277',null,null);
INSERT INTO product_categories VALUES('4059','MICROWAVE OVEN','ENVIRO','28XDG3 - 1277',null,null);
INSERT INTO product_categories VALUES('4060','MICROWAVE OVEN','HOMAGE','2810S - 1277',null,null);
INSERT INTO product_categories VALUES('4061','MICROWAVE OVEN','HOMAGE','281S-HDG - 1277',null,null);
INSERT INTO product_categories VALUES('4062','MICROWAVE OVEN','HOMAGE','282S - 820',null,null);
INSERT INTO product_categories VALUES('4063','MICROWAVE OVEN','LG','7849P - 72',null,null);
INSERT INTO product_categories VALUES('4064','MICROWAVE OVEN','SAMSUNG','28H5015 - 1277',null,null);
INSERT INTO product_categories VALUES('4065','MICROWAVE OVEN','SAMSUNG','103MB - 1277',null,null);
INSERT INTO product_categories VALUES('4066','MICROWAVE OVEN','SHARP','75MT - 961',null,null);
INSERT INTO product_categories VALUES('4067','MICROWAVE OVEN','DAWLANCE','2810C-DW  - 1743',null,null);
INSERT INTO product_categories VALUES('4068','MICROWAVE OVEN','DAWLANCE','125DW-C - 65',null,null);
INSERT INTO product_categories VALUES('4069','MICROWAVE OVEN','DAWLANCE','133G - 65',null,null);
INSERT INTO product_categories VALUES('4070','MICROWAVE OVEN','DAWLANCE','133G-IR - 986',null,null);
INSERT INTO product_categories VALUES('4071','MICROWAVE OVEN','DAWLANCE','311G-DW - 986',null,null);
INSERT INTO product_categories VALUES('4072','MICROWAVE OVEN','DAWLANCE','131HP - 65',null,null);
INSERT INTO product_categories VALUES('4073','MICROWAVE OVEN','DAWLANCE','131HP-SYNC - 986',null,null);
INSERT INTO product_categories VALUES('4074','MICROWAVE OVEN','DAWLANCE','255G-DW - 986',null,null);
INSERT INTO product_categories VALUES('4075','MICROWAVE OVEN','DAWLANCE','315S-DW - 986',null,null);
INSERT INTO product_categories VALUES('4076','MICROWAVE OVEN','ECOSTAR','3001BDG - 1562',null,null);
INSERT INTO product_categories VALUES('4077','MICROWAVE OVEN','ENVIRO','30XDG - 986',null,null);
INSERT INTO product_categories VALUES('4078','MICROWAVE OVEN','ENVIRO','30XD - 986',null,null);
INSERT INTO product_categories VALUES('4079','MICROWAVE OVEN','HAIER','3090EGF - 147',null,null);
INSERT INTO product_categories VALUES('4080','MICROWAVE OVEN','HOMAGE','3410S - 986',null,null);
INSERT INTO product_categories VALUES('4081','MICROWAVE OVEN','LG','3046SQ - 72',null,null);
INSERT INTO product_categories VALUES('4082','MICROWAVE OVEN','LG','7040SS - 962',null,null);
INSERT INTO product_categories VALUES('4083','MICROWAVE OVEN','LG','3040P - 72',null,null);
INSERT INTO product_categories VALUES('4084','MICROWAVE OVEN','LG','3040SS - 72',null,null);
INSERT INTO product_categories VALUES('4085','MICROWAVE OVEN','LG','3042C - 72',null,null);
INSERT INTO product_categories VALUES('4086','MICROWAVE OVEN','LG','3042G - 72',null,null);
INSERT INTO product_categories VALUES('4087','MICROWAVE OVEN','ORIENT','36STBG - 1172',null,null);
INSERT INTO product_categories VALUES('4088','MICROWAVE OVEN','ORIENT','36AXXG - 1172',null,null);
INSERT INTO product_categories VALUES('4089','MICROWAVE OVEN','PANASONIC','681ST - 1200',null,null);
INSERT INTO product_categories VALUES('4090','MICROWAVE OVEN','PEL','30SL - 986',null,null);
INSERT INTO product_categories VALUES('4091','MICROWAVE OVEN','WHIRLPOOL','303SB - 986',null,null);
INSERT INTO product_categories VALUES('4092','MICROWAVE OVEN','DAWLANCE','550AF-DW  - 1200',null,null);
INSERT INTO product_categories VALUES('4093','MICROWAVE OVEN','DAWLANCE','540AF-DW - 1200',null,null);
INSERT INTO product_categories VALUES('4094','MICROWAVE OVEN','DAWLANCE','132S-DW - 1200',null,null);
INSERT INTO product_categories VALUES('4095','MICROWAVE OVEN','HAIER','32100EGB - 1200',null,null);
INSERT INTO product_categories VALUES('4096','MICROWAVE OVEN','HAIER','32100EGS - 1200',null,null);
INSERT INTO product_categories VALUES('4097','MICROWAVE OVEN','LG','8289BRC - 1200',null,null);
INSERT INTO product_categories VALUES('4098','MICROWAVE OVEN','PANASONIC','651ST - 1200',null,null);
INSERT INTO product_categories VALUES('4099','MICROWAVE OVEN','PANASONIC','64JW - 1200',null,null);
INSERT INTO product_categories VALUES('4100','MICROWAVE OVEN','PANASONIC','641W - 1200',null,null);
INSERT INTO product_categories VALUES('4101','MICROWAVE OVEN','SAMSUNG','32F604 - 1200',null,null);
INSERT INTO product_categories VALUES('4102','MICROWAVE OVEN','SANYO','7586V - 1200',null,null);
INSERT INTO product_categories VALUES('4103','MICROWAVE OVEN','SANYO','8586 - 1172',null,null);
INSERT INTO product_categories VALUES('4104','MICROWAVE OVEN','SHARP','77ARST - 1210',null,null);
INSERT INTO product_categories VALUES('4105','MICROWAVE OVEN','SHARP','32B-ST - 1200',null,null);
INSERT INTO product_categories VALUES('4106','MICROWAVE OVEN','SIGNATURE','SSO-MO15 - 1200',null,null);
INSERT INTO product_categories VALUES('4107','MICROWAVE OVEN','SIGNATURE','SSO-MO16 - 1200',null,null);
INSERT INTO product_categories VALUES('4108','MICROWAVE OVEN','DAWLANCE','115CHZ - 961',null,null);
INSERT INTO product_categories VALUES('4109','MICROWAVE OVEN','DAWLANCE','115CHZP - 961',null,null);
INSERT INTO product_categories VALUES('4110','MICROWAVE OVEN','DAWLANCE','381DW - 65',null,null);
INSERT INTO product_categories VALUES('4111','MICROWAVE OVEN','DAWLANCE','380DW - 65',null,null);
INSERT INTO product_categories VALUES('4112','MICROWAVE OVEN','DAWLANCE','396HP - 65',null,null);
INSERT INTO product_categories VALUES('4113','MICROWAVE OVEN','DAWLANCE','397HP - 1199',null,null);
INSERT INTO product_categories VALUES('4114','MICROWAVE OVEN','DAWLANCE','250CS - 65',null,null);
INSERT INTO product_categories VALUES('4115','MICROWAVE OVEN','DAWLANCE','393DW-MW - 65',null,null);
INSERT INTO product_categories VALUES('4116','MICROWAVE OVEN','DAWLANCE','393GSS - 961',null,null);
INSERT INTO product_categories VALUES('4117','MICROWAVE OVEN','DAWLANCE','393HP - 65',null,null);
INSERT INTO product_categories VALUES('4118','MICROWAVE OVEN','DAWLANCE','392HP - 65',null,null);
INSERT INTO product_categories VALUES('4119','MICROWAVE OVEN','ENVIRO','25XDG - 961',null,null);
INSERT INTO product_categories VALUES('4120','MICROWAVE OVEN','FAST','BS 26 - 70',null,null);
INSERT INTO product_categories VALUES('4121','MICROWAVE OVEN','KENWOOD','516MW - 330',null,null);
INSERT INTO product_categories VALUES('4122','MICROWAVE OVEN','LG','6347SWP - 72',null,null);
INSERT INTO product_categories VALUES('4123','MICROWAVE OVEN','MIDAS','25UG16-1 - 763',null,null);
INSERT INTO product_categories VALUES('4124','MICROWAVE OVEN','MIDAS','25UG59-1 - 763',null,null);
INSERT INTO product_categories VALUES('4125','MICROWAVE OVEN','PANASONIC','342W - 961',null,null);
INSERT INTO product_categories VALUES('4126','MICROWAVE OVEN','PEL','9025TG - 74',null,null);
INSERT INTO product_categories VALUES('4127','MICROWAVE OVEN','SIEMENS','24G561M - 961',null,null);
INSERT INTO product_categories VALUES('4128','MICROWAVE OVEN','SIEMENS','HB539E3M - 838',null,null);
INSERT INTO product_categories VALUES('4129','MICROWAVE OVEN','WHIRLPOOL','479JT - 961',null,null);
INSERT INTO product_categories VALUES('4130','MICROWAVE OVEN','WHIRLPOOL','290GT - 961',null,null);
INSERT INTO product_categories VALUES('4131','MICROWAVE OVEN','WHIRLPOOL','288GT - 961',null,null);
INSERT INTO product_categories VALUES('4132','MICROWAVE OVEN','ECOSTAR','3401SDG - 1210',null,null);
INSERT INTO product_categories VALUES('4133','MICROWAVE OVEN','HOMAGE','341S - 1210',null,null);
INSERT INTO product_categories VALUES('4134','MICROWAVE OVEN','HOMAGE','342S - 820',null,null);
INSERT INTO product_categories VALUES('4135','MICROWAVE OVEN','SHARP','77AT  - 1210',null,null);
INSERT INTO product_categories VALUES('4136','MICROWAVE OVEN','DAWLANCE','136G - 1172',null,null);
INSERT INTO product_categories VALUES('4137','MICROWAVE OVEN','ELECTORLUX','36H2SG - 1172',null,null);
INSERT INTO product_categories VALUES('4138','MICROWAVE OVEN','HAIER','36100EGB - 1172',null,null);
INSERT INTO product_categories VALUES('4139','MICROWAVE OVEN','SIGNATURE','SSO-MO18 - 1172',null,null);
INSERT INTO product_categories VALUES('4140','MICROWAVE OVEN','DAWLANCE','380C-DW - 1743',null,null);
INSERT INTO product_categories VALUES('4141','MICROWAVE OVEN','ENVIRO','38XDG - 973',null,null);
INSERT INTO product_categories VALUES('4142','MICROWAVE OVEN','HAIER','38100EGW - 973',null,null);
INSERT INTO product_categories VALUES('4143','MICROWAVE OVEN','ORIENT','46SSG - 973',null,null);
INSERT INTO product_categories VALUES('4144','MICROWAVE OVEN','LG','3965ACS-S - 1984',null,null);
INSERT INTO product_categories VALUES('4145','MICROWAVE OVEN','LG','3965BIS-S - 1984',null,null);
INSERT INTO product_categories VALUES('4146','MICROWAVE OVEN','HOMAGE','340S - 820',null,null);
INSERT INTO product_categories VALUES('4147','MICROWAVE OVEN','LG','8040SM - 987',null,null);
INSERT INTO product_categories VALUES('4148','MICROWAVE OVEN','LG','8265CIS-S - 987',null,null);
INSERT INTO product_categories VALUES('4149','MICROWAVE OVEN','LG','8265DIS-S - 987',null,null);
INSERT INTO product_categories VALUES('4150','MICROWAVE OVEN','LG','8040SM-C - 987',null,null);
INSERT INTO product_categories VALUES('4151','MICROWAVE OVEN','LG','4295CIS-S - 987',null,null);
INSERT INTO product_categories VALUES('4152','MICROWAVE OVEN','SAMSUNG','40J5133 - 987',null,null);
INSERT INTO product_categories VALUES('4153','MICROWAVE OVEN','DAWLANCE','142G-DW - 964',null,null);
INSERT INTO product_categories VALUES('4154','MICROWAVE OVEN','DAWLANCE','142HZP - 1277',null,null);
INSERT INTO product_categories VALUES('4155','MICROWAVE OVEN','LG','9280S - 72',null,null);
INSERT INTO product_categories VALUES('4156','MICROWAVE OVEN','PANASONIC','2003S - 964',null,null);
INSERT INTO product_categories VALUES('4157','MICROWAVE OVEN','PANASONIC','997NN - 164',null,null);
INSERT INTO product_categories VALUES('4158','MICROWAVE OVEN','PANASONIC','997S - 164',null,null);
INSERT INTO product_categories VALUES('4159','MICROWAVE OVEN','SAMSUNG','402MAD - 964',null,null);
INSERT INTO product_categories VALUES('4160','MICROWAVE OVEN','SHARP','982STM - 964',null,null);
INSERT INTO product_categories VALUES('4161','MICROWAVE OVEN','SIGNATURE','SSO-MO22 - 964',null,null);
INSERT INTO product_categories VALUES('4162','MICROWAVE OVEN','ECOSTAR','4301SDG  - 2037',null,null);
INSERT INTO product_categories VALUES('4163','MICROWAVE OVEN','SHARP','45BT - 2037',null,null);
INSERT INTO product_categories VALUES('4164','MICROWAVE OVEN','PANASONIC','997S-S - 1571',null,null);
INSERT INTO product_categories VALUES('4165','MICROWAVE OVEN','PANASONIC','776S - 1571',null,null);
INSERT INTO product_categories VALUES('4166','MICROWAVE OVEN','HAIER','45110EGB - 1237',null,null);
INSERT INTO product_categories VALUES('4167','MICROWAVE OVEN','HOMAGE','451S - 820',null,null);
INSERT INTO product_categories VALUES('4168','MICROWAVE OVEN','LG','9245-S - 1565',null,null);
INSERT INTO product_categories VALUES('4169','MICROWAVE OVEN','SAMSUNG','6194ST - 1898',null,null);
INSERT INTO product_categories VALUES('4170','MICROWAVE OVEN','LG','5642C - 72',null,null);
INSERT INTO product_categories VALUES('4171','MICROWAVE OVEN','LG','MS5642 - 1412',null,null);
INSERT INTO product_categories VALUES('4172','MICROWAVE OVEN','DAWLANCE','162HZP - 1602',null,null);
INSERT INTO product_categories VALUES('4173','MICROWAVE OVEN','DAWLANCE','162DW - 1602',null,null);
INSERT INTO product_categories VALUES('4174','MICROWAVE OVEN','ORIENT','62D - 1602',null,null);
INSERT INTO product_categories VALUES('4175','MICROWAVE OVEN','SHARP','562CT  - 1602',null,null);
INSERT INTO product_categories VALUES('4176','MICROWAVE OVEN','KUPPERSBUSCH','1030EMWG - 1409',null,null);
INSERT INTO product_categories VALUES('4177','REFRIGERATOR','CANON','138-G - 1726',null,null);
INSERT INTO product_categories VALUES('4178','REFRIGERATOR','CHANGHONG','279GDBT - 859',null,null);
INSERT INTO product_categories VALUES('4179','REFRIGERATOR','CHANGHONG','279GDRT - 859',null,null);
INSERT INTO product_categories VALUES('4180','REFRIGERATOR','CHANGHONG','279ST - 859',null,null);
INSERT INTO product_categories VALUES('4181','REFRIGERATOR','ELECTORLUX','9290ER - 404',null,null);
INSERT INTO product_categories VALUES('4182','REFRIGERATOR','ELECTORLUX','9260ER - 404',null,null);
INSERT INTO product_categories VALUES('4183','REFRIGERATOR','HITACHI','350H-BK  - 859',null,null);
INSERT INTO product_categories VALUES('4184','REFRIGERATOR','PANATRON','185W - 859',null,null);
INSERT INTO product_categories VALUES('4185','REFRIGERATOR','WAVES','WRH310MATALIC - 98',null,null);
INSERT INTO product_categories VALUES('4186','REFRIGERATOR','WAVES','310WR-GD - 859',null,null);
INSERT INTO product_categories VALUES('4187','REFRIGERATOR','WAVES','3100WR - 859',null,null);
INSERT INTO product_categories VALUES('4188','REFRIGERATOR','CHANGHONG','319GDRT - 894',null,null);
INSERT INTO product_categories VALUES('4189','REFRIGERATOR','CHANGHONG','319ST - 894',null,null);
INSERT INTO product_categories VALUES('4190','REFRIGERATOR','SIEMENS','38VV20GB - 375',null,null);
INSERT INTO product_categories VALUES('4191','REFRIGERATOR','WAVES','3110WR - 894',null,null);
INSERT INTO product_categories VALUES('4192','REFRIGERATOR','WAVES','311WR-GD - 894',null,null);
INSERT INTO product_categories VALUES('4193','REFRIGERATOR','BOSCH','36VW30M-SV - 860',null,null);
INSERT INTO product_categories VALUES('4194','REFRIGERATOR','CHANGHONG','349GDBT - 860',null,null);
INSERT INTO product_categories VALUES('4195','REFRIGERATOR','CHANGHONG','349GDRT - 860',null,null);
INSERT INTO product_categories VALUES('4196','REFRIGERATOR','CHANGHONG','349GT - 860',null,null);
INSERT INTO product_categories VALUES('4197','REFRIGERATOR','ELECTORLUX','9350ER - 404',null,null);
INSERT INTO product_categories VALUES('4198','REFRIGERATOR','ELECTORLUX','9350TG - 1617',null,null);
INSERT INTO product_categories VALUES('4199','REFRIGERATOR','ELECTORLUX','9330ER - 404',null,null);
INSERT INTO product_categories VALUES('4200','REFRIGERATOR','ELECTORLUX','9330TG - 1617',null,null);
INSERT INTO product_categories VALUES('4201','REFRIGERATOR','SIEMENS','38VX22GB  - 860',null,null);
INSERT INTO product_categories VALUES('4202','REFRIGERATOR','WAVES','316WR-VISTA - 860',null,null);
INSERT INTO product_categories VALUES('4203','REFRIGERATOR','WAVES','3140KL-I - 860',null,null);
INSERT INTO product_categories VALUES('4204','REFRIGERATOR','WAVES','3140WR - 860',null,null);
INSERT INTO product_categories VALUES('4205','REFRIGERATOR','WAVES','3140XL-F - 860',null,null);
INSERT INTO product_categories VALUES('4206','REFRIGERATOR','WAVES','313WR-VISTA - 860',null,null);
INSERT INTO product_categories VALUES('4207','REFRIGERATOR','HITACHI','450VG-BK - 883',null,null);
INSERT INTO product_categories VALUES('4208','REFRIGERATOR','HITACHI','450VG-BW - 883',null,null);
INSERT INTO product_categories VALUES('4209','REFRIGERATOR','HITACHI','450VG-GR  - 883',null,null);
INSERT INTO product_categories VALUES('4210','REFRIGERATOR','HITACHI','450VG-P3MS - 273',null,null);
INSERT INTO product_categories VALUES('4211','REFRIGERATOR','SIEMENS','38RA00ME - 375',null,null);
INSERT INTO product_categories VALUES('4212','REFRIGERATOR','SIEMENS','36VVW30G - 375',null,null);
INSERT INTO product_categories VALUES('4213','REFRIGERATOR','WAVES','313XLVCM/CB - 98',null,null);
INSERT INTO product_categories VALUES('4214','REFRIGERATOR','WAVES','314WR-E - 883',null,null);
INSERT INTO product_categories VALUES('4215','REFRIGERATOR','WAVES','WR313XL - 883',null,null);
INSERT INTO product_categories VALUES('4216','REFRIGERATOR','WAVES','313XL MATALIC - 98',null,null);
INSERT INTO product_categories VALUES('4217','REFRIGERATOR','WAVES','313WR-GD - 883',null,null);
INSERT INTO product_categories VALUES('4218','REFRIGERATOR','WAVES','313-CB - 883',null,null);
INSERT INTO product_categories VALUES('4219','REFRIGERATOR','WAVES','313-XLE - 883',null,null);
INSERT INTO product_categories VALUES('4220','REFRIGERATOR','WAVES','313 VCM - 98',null,null);
INSERT INTO product_categories VALUES('4221','REFRIGERATOR','CHANGHONG','389GDBT - 884',null,null);
INSERT INTO product_categories VALUES('4222','REFRIGERATOR','CHANGHONG','389GDRT - 884',null,null);
INSERT INTO product_categories VALUES('4223','REFRIGERATOR','CHANGHONG','389ST - 884',null,null);
INSERT INTO product_categories VALUES('4224','REFRIGERATOR','ELECTORLUX','9390ER - 404',null,null);
INSERT INTO product_categories VALUES('4225','REFRIGERATOR','ELECTORLUX','9390TG - 1617',null,null);
INSERT INTO product_categories VALUES('4226','REFRIGERATOR','HITACHI','480VG - 273',null,null);
INSERT INTO product_categories VALUES('4227','REFRIGERATOR','HITACHI','480VG-BK - 884',null,null);
INSERT INTO product_categories VALUES('4228','REFRIGERATOR','HITACHI','480VG-GR - 884',null,null);
INSERT INTO product_categories VALUES('4229','REFRIGERATOR','WAVES','314WR-GD - 746',null,null);
INSERT INTO product_categories VALUES('4230','REFRIGERATOR','WAVES','314WR-VISTA - 884',null,null);
INSERT INTO product_categories VALUES('4231','REFRIGERATOR','WAVES','314XL-E - 884',null,null);
INSERT INTO product_categories VALUES('4232','REFRIGERATOR','WAVES','WR314 - 884',null,null);
INSERT INTO product_categories VALUES('4233','REFRIGERATOR','WAVES','WR314XL - 884',null,null);
INSERT INTO product_categories VALUES('4234','REFRIGERATOR','WAVES','WRH314 - 98',null,null);
INSERT INTO product_categories VALUES('4235','REFRIGERATOR','SIEMENS','47VVW20N - 895',null,null);
INSERT INTO product_categories VALUES('4236','REFRIGERATOR','SIEMENS','46NV120 - 884',null,null);
INSERT INTO product_categories VALUES('4237','REFRIGERATOR','SIEMENS','40NX75NE - 895',null,null);
INSERT INTO product_categories VALUES('4238','REFRIGERATOR','WAVES','315WKG - 895',null,null);
INSERT INTO product_categories VALUES('4239','REFRIGERATOR','ELECTORLUX','9460GB - 1617',null,null);
INSERT INTO product_categories VALUES('4240','REFRIGERATOR','ELECTORLUX','9460TG - 1617',null,null);
INSERT INTO product_categories VALUES('4241','REFRIGERATOR','HITACHI','560VG-BK - 896',null,null);
INSERT INTO product_categories VALUES('4242','REFRIGERATOR','HITACHI','560VG-GR - 896',null,null);
INSERT INTO product_categories VALUES('4243','REFRIGERATOR','HITACHI','550W-BK - 95',null,null);
INSERT INTO product_categories VALUES('4244','REFRIGERATOR','HITACHI','550PG2 - 273',null,null);
INSERT INTO product_categories VALUES('4245','REFRIGERATOR','CANON','176-S - 897',null,null);
INSERT INTO product_categories VALUES('4246','REFRIGERATOR','CANON','176-W - 897',null,null);
INSERT INTO product_categories VALUES('4247','REFRIGERATOR','CHANGHONG','479GT - 897',null,null);
INSERT INTO product_categories VALUES('4248','REFRIGERATOR','MITSUBISHI','51X-MRF - 87',null,null);
INSERT INTO product_categories VALUES('4249','REFRIGERATOR','WAVES','WRH317 - 98',null,null);
INSERT INTO product_categories VALUES('4250','REFRIGERATOR','BOSCH','57VL20M - 885',null,null);
INSERT INTO product_categories VALUES('4251','REFRIGERATOR','HITACHI','630V-SLS - 885',null,null);
INSERT INTO product_categories VALUES('4252','REFRIGERATOR','HITACHI','610W-BK - 885',null,null);
INSERT INTO product_categories VALUES('4253','REFRIGERATOR','HITACHI','610W-GGR - 885',null,null);
INSERT INTO product_categories VALUES('4254','REFRIGERATOR','SIEMENS','57DPI20M - 375',null,null);
INSERT INTO product_categories VALUES('4255','REFRIGERATOR','SIEMENS','57NVL20M - 885',null,null);
INSERT INTO product_categories VALUES('4256','REFRIGERATOR','SIEMENS','56NA120M - 375',null,null);
INSERT INTO product_categories VALUES('4257','REFRIGERATOR','SIEMENS','56NVL20M - 885',null,null);
INSERT INTO product_categories VALUES('4258','REFRIGERATOR','HITACHI','690P3MS - 273',null,null);
INSERT INTO product_categories VALUES('4259','REFRIGERATOR','HITACHI','690W-BK - 900',null,null);
INSERT INTO product_categories VALUES('4260','REFRIGERATOR','HITACHI','690W-BW - 900',null,null);
INSERT INTO product_categories VALUES('4261','REFRIGERATOR','HITACHI','690W-GR - 900',null,null);
INSERT INTO product_categories VALUES('4262','REFRIGERATOR','HITACHI','690W-SLS - 900',null,null);
INSERT INTO product_categories VALUES('4263','REFRIGERATOR','HITACHI','690VG - 903',null,null);
INSERT INTO product_categories VALUES('4264','REFRIGERATOR','HITACHI','690VG-BK - 903',null,null);
INSERT INTO product_categories VALUES('4265','REFRIGERATOR','HITACHI','690VG-BW - 903',null,null);
INSERT INTO product_categories VALUES('4266','REFRIGERATOR','HITACHI','690VG-GR  - 903',null,null);
INSERT INTO product_categories VALUES('4267','REFRIGERATOR','MITSUBISHI','62SS-MRF - 87',null,null);
INSERT INTO product_categories VALUES('4268','REFRIGERATOR','MITSUBISHI','62X-MRF - 87',null,null);
INSERT INTO product_categories VALUES('4269','REFRIGERATOR','MITSUBISHI','62XB - 903',null,null);
INSERT INTO product_categories VALUES('4270','REFRIGERATOR','MITSUBISHI','62XS - 903',null,null);
INSERT INTO product_categories VALUES('4271','REFRIGERATOR','MITSUBISHI','62XSS - 903',null,null);
INSERT INTO product_categories VALUES('4272','REFRIGERATOR','MITSUBISHI','62XW - 903',null,null);
INSERT INTO product_categories VALUES('4273','REFRIGERATOR','SIEMENS','57NSB20 - 885',null,null);
INSERT INTO product_categories VALUES('4274','REFRIGERATOR','WAVES','320-SS - 903',null,null);
INSERT INTO product_categories VALUES('4275','REFRIGERATOR','GE','570SATRSS - 144',null,null);
INSERT INTO product_categories VALUES('4276','REFRIGERATOR','GE','21XGYFLS - 904',null,null);
INSERT INTO product_categories VALUES('4277','REFRIGERATOR','GE','210MHRCSG - 144',null,null);
INSERT INTO product_categories VALUES('4278','REFRIGERATOR','GE','210MHRCWW - 144',null,null);
INSERT INTO product_categories VALUES('4279','REFRIGERATOR','HITACHI','720FPGIX - 273',null,null);
INSERT INTO product_categories VALUES('4280','REFRIGERATOR','HITACHI','660W-PG3 - 273',null,null);
INSERT INTO product_categories VALUES('4281','REFRIGERATOR','HITACHI','720V-SLS - 904',null,null);
INSERT INTO product_categories VALUES('4282','REFRIGERATOR','HITACHI','720PG1-BK - 904',null,null);
INSERT INTO product_categories VALUES('4283','REFRIGERATOR','HITACHI','720PG1-BW - 904',null,null);
INSERT INTO product_categories VALUES('4284','REFRIGERATOR','HITACHI','720PG1-GR - 904',null,null);
INSERT INTO product_categories VALUES('4285','REFRIGERATOR','HITACHI','720PG1-SLS - 904',null,null);
INSERT INTO product_categories VALUES('4286','REFRIGERATOR','BOSCH','56V40NE - 908',null,null);
INSERT INTO product_categories VALUES('4287','REFRIGERATOR','GE','22MIPFWW - 144',null,null);
INSERT INTO product_categories VALUES('4288','REFRIGERATOR','SIEMENS','56NV40NE - 375',null,null);
INSERT INTO product_categories VALUES('4289','REFRIGERATOR','SIEMENS','90NVI20N - 908',null,null);
INSERT INTO product_categories VALUES('4290','REFRIGERATOR','SIEMENS','57NVL20 - 375',null,null);
INSERT INTO product_categories VALUES('4291','REFRIGERATOR','SIEMENS','58NA70NE - 375',null,null);
INSERT INTO product_categories VALUES('4292','REFRIGERATOR','WAVES','322WR-SS - 908',null,null);
INSERT INTO product_categories VALUES('4293','REFRIGERATOR','CANON','231G - 909',null,null);
INSERT INTO product_categories VALUES('4294','REFRIGERATOR','CANON','231W - 909',null,null);
INSERT INTO product_categories VALUES('4295','REFRIGERATOR','GE','23LGSS - 909',null,null);
INSERT INTO product_categories VALUES('4296','REFRIGERATOR','GE','23LGWFBB - 909',null,null);
INSERT INTO product_categories VALUES('4297','REFRIGERATOR','GE','23VGXFSS - 909',null,null);
INSERT INTO product_categories VALUES('4298','REFRIGERATOR','HITACHI','720PG1 - 273',null,null);
INSERT INTO product_categories VALUES('4299','REFRIGERATOR','HITACHI','700AGPG4X - 95',null,null);
INSERT INTO product_categories VALUES('4300','REFRIGERATOR','HITACHI','700AGPG4X-BK - 909',null,null);
INSERT INTO product_categories VALUES('4301','REFRIGERATOR','HITACHI','700AGPG4X-DIA - 910',null,null);
INSERT INTO product_categories VALUES('4302','REFRIGERATOR','HITACHI','700AGPG4X-MIR - 95',null,null);
INSERT INTO product_categories VALUES('4303','REFRIGERATOR','HITACHI','910W-PG4 - 273',null,null);
INSERT INTO product_categories VALUES('4304','REFRIGERATOR','HITACHI','910W-BK - 910',null,null);
INSERT INTO product_categories VALUES('4305','REFRIGERATOR','HITACHI','910W-GR - 910',null,null);
INSERT INTO product_categories VALUES('4306','REFRIGERATOR','SIEMENS','60NA40NE - 375',null,null);
INSERT INTO product_categories VALUES('4307','REFRIGERATOR','GE','5NJDSS - 911',null,null);
INSERT INTO product_categories VALUES('4308','REFRIGERATOR','GE','25MGYCSS - 144',null,null);
INSERT INTO product_categories VALUES('4309','REFRIGERATOR','GE','29NHW - 1198',null,null);
INSERT INTO product_categories VALUES('4310','REFRIGERATOR','GREE','215G-CD1Y - 885',null,null);
INSERT INTO product_categories VALUES('4311','REFRIGERATOR','HAIER','578TBG - 910',null,null);
INSERT INTO product_categories VALUES('4312','REFRIGERATOR','HAIER','578TBP - 910',null,null);
INSERT INTO product_categories VALUES('4313','REFRIGERATOR','HAIER','568TBG - 908',null,null);
INSERT INTO product_categories VALUES('4314','REFRIGERATOR','HAIER','568TGG - 908',null,null);
INSERT INTO product_categories VALUES('4315','REFRIGERATOR','LG','Q22FTBKL-S - 909',null,null);
INSERT INTO product_categories VALUES('4316','REFRIGERATOR','SIGNATURE','SVF-HM95-BLK - 900',null,null);
INSERT INTO product_categories VALUES('4317','REFRIGERATOR','SIGNATURE','SRF-WB90M - 885',null,null);
INSERT INTO product_categories VALUES('4318','REFRIGERATOR','SIGNATURE','SRF-KK90G - 885',null,null);
INSERT INTO product_categories VALUES('4319','REFRIGERATOR','SIGNATURE','SRF-KK90S - 885',null,null);
INSERT INTO product_categories VALUES('4320','REFRIGERATOR','SIGNATURE','SRF-KK95G - 903',null,null);
INSERT INTO product_categories VALUES('4321','REFRIGERATOR','SIGNATURE','SRF-KK95S - 903',null,null);
INSERT INTO product_categories VALUES('4322','REFRIGERATOR','ZANUSSI','6160A - 597',null,null);
INSERT INTO product_categories VALUES('4323','REFRIGERATOR','NATIONAL(GABA)','089GNR - 893',null,null);
INSERT INTO product_categories VALUES('4324','REFRIGERATOR','WAVES','308SD  - 98',null,null);
INSERT INTO product_categories VALUES('4325','REFRIGERATOR','WAVES','308DD - 857',null,null);
INSERT INTO product_categories VALUES('4326','REFRIGERATOR','WAVES','310WR-VISTA - 858',null,null);
INSERT INTO product_categories VALUES('4327','REFRIGERATOR','WAVES','309WR-GD - 858',null,null);
INSERT INTO product_categories VALUES('4328','REFRIGERATOR','WAVES','309GD - 858',null,null);
INSERT INTO product_categories VALUES('4329','REFRIGERATOR','WAVES','309VCM - 858',null,null);
INSERT INTO product_categories VALUES('4330','REFRIGERATOR','CHANGHONG','110WT - 887',null,null);
INSERT INTO product_categories VALUES('4331','REFRIGERATOR','DAWLANCE','9106SD - 83',null,null);
INSERT INTO product_categories VALUES('4332','REFRIGERATOR','DAWLANCE','9101B.S - 83',null,null);
INSERT INTO product_categories VALUES('4333','REFRIGERATOR','DAWLANCE','9103 - 83',null,null);
INSERT INTO product_categories VALUES('4334','REFRIGERATOR','DAWLANCE','9104D - 83',null,null);
INSERT INTO product_categories VALUES('4335','REFRIGERATOR','ESQUIRE','15ESQ - 887',null,null);
INSERT INTO product_categories VALUES('4336','REFRIGERATOR','GABA NATIONAL','615SS - 926',null,null);
INSERT INTO product_categories VALUES('4337','REFRIGERATOR','GABA NATIONAL','59SS - 175',null,null);
INSERT INTO product_categories VALUES('4338','REFRIGERATOR','GABA NATIONAL','515GNR - 856',null,null);
INSERT INTO product_categories VALUES('4339','REFRIGERATOR','GABA NATIONAL','187GD - 1980',null,null);
INSERT INTO product_categories VALUES('4340','REFRIGERATOR','GABA NATIONAL','187SS - 1980',null,null);
INSERT INTO product_categories VALUES('4341','REFRIGERATOR','GABA NATIONAL','188GD - 1980',null,null);
INSERT INTO product_categories VALUES('4342','REFRIGERATOR','GABA NATIONAL','315SS - 890',null,null);
INSERT INTO product_categories VALUES('4343','REFRIGERATOR','GABA NATIONAL','185GD - 1980',null,null);
INSERT INTO product_categories VALUES('4344','REFRIGERATOR','GABA NATIONAL','6025GNR - 925',null,null);
INSERT INTO product_categories VALUES('4345','REFRIGERATOR','GABA NATIONAL','184SS - 1980',null,null);
INSERT INTO product_categories VALUES('4346','REFRIGERATOR','GABA NATIONAL','183SS - 1980',null,null);
INSERT INTO product_categories VALUES('4347','REFRIGERATOR','GE','5SAMRBS - 144',null,null);
INSERT INTO product_categories VALUES('4348','REFRIGERATOR','HAIER','126W - 84',null,null);
INSERT INTO product_categories VALUES('4349','REFRIGERATOR','HAIER','155DM - 893',null,null);
INSERT INTO product_categories VALUES('4350','REFRIGERATOR','HAIER','155HR - 84',null,null);
INSERT INTO product_categories VALUES('4351','REFRIGERATOR','HAIER','136BSS - 84',null,null);
INSERT INTO product_categories VALUES('4352','REFRIGERATOR','HAIER','136WHITE - 84',null,null);
INSERT INTO product_categories VALUES('4353','REFRIGERATOR','HAIER','62HR - 84',null,null);
INSERT INTO product_categories VALUES('4354','REFRIGERATOR','HAIER','62BSS-HR - 84',null,null);
INSERT INTO product_categories VALUES('4355','REFRIGERATOR','HAIER','126BL - 84',null,null);
INSERT INTO product_categories VALUES('4356','REFRIGERATOR','KENWOOD','109F-KRF - 887',null,null);
INSERT INTO product_categories VALUES('4357','REFRIGERATOR','KENWOOD','50KRF - 85',null,null);
INSERT INTO product_categories VALUES('4358','REFRIGERATOR','KENWOOD','132KRF-G - 85',null,null);
INSERT INTO product_categories VALUES('4359','REFRIGERATOR','LG','151-S - 86',null,null);
INSERT INTO product_categories VALUES('4360','REFRIGERATOR','LG','131SF-S - 86',null,null);
INSERT INTO product_categories VALUES('4361','REFRIGERATOR','MIDAS','90MI - 395',null,null);
INSERT INTO product_categories VALUES('4362','REFRIGERATOR','MIDAS','66SN - 395',null,null);
INSERT INTO product_categories VALUES('4363','REFRIGERATOR','MIDAS','68SN - 395',null,null);
INSERT INTO product_categories VALUES('4364','REFRIGERATOR','MIDAS','65MI - 887',null,null);
INSERT INTO product_categories VALUES('4365','REFRIGERATOR','NATIONAL','039GNR - 175',null,null);
INSERT INTO product_categories VALUES('4366','REFRIGERATOR','NATIONAL','069GNR - 175',null,null);
INSERT INTO product_categories VALUES('4367','REFRIGERATOR','NATIONAL(GABA)','714SS - 175',null,null);
INSERT INTO product_categories VALUES('4368','REFRIGERATOR','ORIENT','114F - 437',null,null);
INSERT INTO product_categories VALUES('4369','REFRIGERATOR','PEL','1400KPRGD-M - 74',null,null);
INSERT INTO product_categories VALUES('4370','REFRIGERATOR','PEL','1400PRGD - 74',null,null);
INSERT INTO product_categories VALUES('4371','REFRIGERATOR','PEL','1100EW - 74',null,null);
INSERT INTO product_categories VALUES('4372','REFRIGERATOR','SHARP','33PT - 697',null,null);
INSERT INTO product_categories VALUES('4373','REFRIGERATOR','SIGNATURE','SRF-MD29-W - 1980',null,null);
INSERT INTO product_categories VALUES('4374','REFRIGERATOR','SIGNATURE','SRF-HM50-S - 887',null,null);
INSERT INTO product_categories VALUES('4375','REFRIGERATOR','SIGNATURE','SFR-MD50-W - 1899',null,null);
INSERT INTO product_categories VALUES('4376','REFRIGERATOR','SIGNATURE','SRF-WB50-W - 887',null,null);
INSERT INTO product_categories VALUES('4377','REFRIGERATOR','SIGNATURE','SRF-WB54SS - 856',null,null);
INSERT INTO product_categories VALUES('4378','REFRIGERATOR','SIGNATURE','65WB-GD - 1899',null,null);
INSERT INTO product_categories VALUES('4379','REFRIGERATOR','SIGNATURE','65WBB - 893',null,null);
INSERT INTO product_categories VALUES('4380','REFRIGERATOR','SIGNATURE','65WBS - 893',null,null);
INSERT INTO product_categories VALUES('4381','REFRIGERATOR','SIGNATURE','WB53W - 1980',null,null);
INSERT INTO product_categories VALUES('4382','REFRIGERATOR','SIGNATURE','WB53B - 1980',null,null);
INSERT INTO product_categories VALUES('4383','REFRIGERATOR','SIGNATURE','WB53S - 1980',null,null);
INSERT INTO product_categories VALUES('4384','REFRIGERATOR','SIGNATURE','MD49-W - 1980',null,null);
INSERT INTO product_categories VALUES('4385','REFRIGERATOR','SIGNATURE','FRS-WB30WH - 890',null,null);
INSERT INTO product_categories VALUES('4386','REFRIGERATOR','SIGNATURE','FRS-WB65KB - 893',null,null);
INSERT INTO product_categories VALUES('4387','REFRIGERATOR','SIGNATURE','FRS-WB65LS - 893',null,null);
INSERT INTO product_categories VALUES('4388','REFRIGERATOR','SIGNATURE','50W-S - 1723',null,null);
INSERT INTO product_categories VALUES('4389','REFRIGERATOR','SIGNATURE','WB53S-S - 1980',null,null);
INSERT INTO product_categories VALUES('4390','REFRIGERATOR','SIGNATURE','WB53B-S - 1980',null,null);
INSERT INTO product_categories VALUES('4391','REFRIGERATOR','SIGNATURE','WB53W-S - 1980',null,null);
INSERT INTO product_categories VALUES('4392','REFRIGERATOR','SIGNATURE','60WB-GD - 1899',null,null);
INSERT INTO product_categories VALUES('4393','REFRIGERATOR','SIGNATURE','SRF-WB50-S - 1723',null,null);
INSERT INTO product_categories VALUES('4394','REFRIGERATOR','SIGNATURE','SRF-WB52-B - 887',null,null);
INSERT INTO product_categories VALUES('4395','REFRIGERATOR','SIGNATURE','55WB-B - 887',null,null);
INSERT INTO product_categories VALUES('4396','REFRIGERATOR','SIGNATURE','55WB-S - 887',null,null);
INSERT INTO product_categories VALUES('4397','REFRIGERATOR','SIGNATURE','SRF-HM50-W - 887',null,null);
INSERT INTO product_categories VALUES('4398','REFRIGERATOR','SIGNATURE','SRF-JM60R - 856',null,null);
INSERT INTO product_categories VALUES('4399','REFRIGERATOR','SIGNATURE','SRF-JM60W - 856',null,null);
INSERT INTO product_categories VALUES('4400','REFRIGERATOR','SIGNATURE','SRF-MD30-W - 890',null,null);
INSERT INTO product_categories VALUES('4401','REFRIGERATOR','SIGNATURE','30W-S - 1723',null,null);
INSERT INTO product_categories VALUES('4402','REFRIGERATOR','ICEBAR','SRD-130BL  - 1939',null,null);
INSERT INTO product_categories VALUES('4403','REFRIGERATOR','SAMSUNG','S7Edge - 625',null,null);
INSERT INTO product_categories VALUES('4404','REFRIGERATOR','BOSCH','90AI20N - 904',null,null);
INSERT INTO product_categories VALUES('4405','REFRIGERATOR','BOSCH','90AI20N-S - 904',null,null);
INSERT INTO product_categories VALUES('4406','REFRIGERATOR','HAIER','622IBG - 908',null,null);
INSERT INTO product_categories VALUES('4407','REFRIGERATOR','HAIER','622IBS - 908',null,null);
INSERT INTO product_categories VALUES('4408','REFRIGERATOR','HAIER','622ICG - 908',null,null);
INSERT INTO product_categories VALUES('4409','REFRIGERATOR','HAIER','748-HRF - 1482',null,null);
INSERT INTO product_categories VALUES('4410','REFRIGERATOR','HAIER','663ATA2 - 910',null,null);
INSERT INTO product_categories VALUES('4411','REFRIGERATOR','HAIER','663DTA2 - 84',null,null);
INSERT INTO product_categories VALUES('4412','REFRIGERATOR','HAIER','663IRG - 910',null,null);
INSERT INTO product_categories VALUES('4413','REFRIGERATOR','HAIER','663ITA2 - 84',null,null);
INSERT INTO product_categories VALUES('4414','REFRIGERATOR','HAIER','879CLAS-SS - 32',null,null);
INSERT INTO product_categories VALUES('4415','REFRIGERATOR','HAIER','628DF6 - 904',null,null);
INSERT INTO product_categories VALUES('4416','REFRIGERATOR','HAIER','618HRF-GG - 903',null,null);
INSERT INTO product_categories VALUES('4417','REFRIGERATOR','HAIER','618HRF-SS - 903',null,null);
INSERT INTO product_categories VALUES('4418','REFRIGERATOR','HAIER','618IBS - 908',null,null);
INSERT INTO product_categories VALUES('4419','REFRIGERATOR','HAIER','618WSS - 903',null,null);
INSERT INTO product_categories VALUES('4420','REFRIGERATOR','HAIER','618BG-HRF - 903',null,null);
INSERT INTO product_categories VALUES('4421','REFRIGERATOR','HAIER','548BP-HF  - 908',null,null);
INSERT INTO product_categories VALUES('4422','REFRIGERATOR','LG','257CSAV-S - 909',null,null);
INSERT INTO product_categories VALUES('4423','REFRIGERATOR','LG','257SLLV-S - 909',null,null);
INSERT INTO product_categories VALUES('4424','REFRIGERATOR','LG','257JCLAC-C - 904',null,null);
INSERT INTO product_categories VALUES('4425','REFRIGERATOR','LG','247CAAV-S - 909',null,null);
INSERT INTO product_categories VALUES('4426','REFRIGERATOR','LG','247CABV-S - 909',null,null);
INSERT INTO product_categories VALUES('4427','REFRIGERATOR','LG','247SEUV-S - 909',null,null);
INSERT INTO product_categories VALUES('4428','REFRIGERATOR','LG','247SLLV-S  - 909',null,null);
INSERT INTO product_categories VALUES('4429','REFRIGERATOR','LG','247SMUV-S - 909',null,null);
INSERT INTO product_categories VALUES('4430','REFRIGERATOR','LG','247SVUV-S - 909',null,null);
INSERT INTO product_categories VALUES('4431','REFRIGERATOR','LG','247SVUV-WD-S - 86',null,null);
INSERT INTO product_categories VALUES('4432','REFRIGERATOR','LG','287SLUV-S - 909',null,null);
INSERT INTO product_categories VALUES('4433','REFRIGERATOR','LG','287SLUV-W - 909',null,null);
INSERT INTO product_categories VALUES('4434','REFRIGERATOR','LG','M247CABV-S - 909',null,null);
INSERT INTO product_categories VALUES('4435','REFRIGERATOR','LG','34FB-S - 75',null,null);
INSERT INTO product_categories VALUES('4436','REFRIGERATOR','LG','257JGQV - 911',null,null);
INSERT INTO product_categories VALUES('4437','REFRIGERATOR','LG','257JSXN - 911',null,null);
INSERT INTO product_categories VALUES('4438','REFRIGERATOR','LG','237JSXN-S - 86',null,null);
INSERT INTO product_categories VALUES('4439','REFRIGERATOR','LG','207B - 908',null,null);
INSERT INTO product_categories VALUES('4440','REFRIGERATOR','LG','207GLQS-S - 86',null,null);
INSERT INTO product_categories VALUES('4441','REFRIGERATOR','LG','257STJ - 86',null,null);
INSERT INTO product_categories VALUES('4442','REFRIGERATOR','LG','872HLPL-S - 1332',null,null);
INSERT INTO product_categories VALUES('4443','REFRIGERATOR','LG','227GLQS - 908',null,null);
INSERT INTO product_categories VALUES('4444','REFRIGERATOR','LG','227GLQS-S - 908',null,null);
INSERT INTO product_categories VALUES('4445','REFRIGERATOR','LG','227GVQS - 908',null,null);
INSERT INTO product_categories VALUES('4446','REFRIGERATOR','LG','324PS-S - 86',null,null);
INSERT INTO product_categories VALUES('4447','REFRIGERATOR','LG','317WSBN - 1612',null,null);
INSERT INTO product_categories VALUES('4448','REFRIGERATOR','SAMSUNG','51K5680SL-S - 908',null,null);
INSERT INTO product_categories VALUES('4449','REFRIGERATOR','SAMSUNG','51K5680W-S - 909',null,null);
INSERT INTO product_categories VALUES('4450','REFRIGERATOR','SAMSUNG','58K6467SL-S - 909',null,null);
INSERT INTO product_categories VALUES('4451','REFRIGERATOR','SAMSUNG','1STMG - 903',null,null);
INSERT INTO product_categories VALUES('4452','REFRIGERATOR','SAMSUNG','1STMG-MRM  - 904',null,null);
INSERT INTO product_categories VALUES('4453','REFRIGERATOR','SAMSUNG','1STMG-SZ - 904',null,null);
INSERT INTO product_categories VALUES('4454','REFRIGERATOR','SAMSUNG','1UTMG - 885',null,null);
INSERT INTO product_categories VALUES('4455','REFRIGERATOR','SAMSUNG','1ZTMG - 897',null,null);
INSERT INTO product_categories VALUES('4456','REFRIGERATOR','SAMSUNG','23DTEP - 910',null,null);
INSERT INTO product_categories VALUES('4457','REFRIGERATOR','SAMSUNG','58K5467SL-S  - 909',null,null);
INSERT INTO product_categories VALUES('4458','REFRIGERATOR','SAMSUNG','62K6017SL - 75',null,null);
INSERT INTO product_categories VALUES('4459','REFRIGERATOR','SAMSUNG','858QAGT - 1332',null,null);
INSERT INTO product_categories VALUES('4460','REFRIGERATOR','SAMSUNG','50K5920SL - 75',null,null);
INSERT INTO product_categories VALUES('4461','REFRIGERATOR','SAMSUNG','55K50-MRM  - 903',null,null);
INSERT INTO product_categories VALUES('4462','REFRIGERATOR','SAMSUNG','55K50-SZ - 903',null,null);
INSERT INTO product_categories VALUES('4463','REFRIGERATOR','SAMSUNG','7ZNPN-S - 909',null,null);
INSERT INTO product_categories VALUES('4464','REFRIGERATOR','SAMSUNG','7ZNPNGT - 904',null,null);
INSERT INTO product_categories VALUES('4465','REFRIGERATOR','SAMSUNG','18-RT - 908',null,null);
INSERT INTO product_categories VALUES('4466','REFRIGERATOR','SAMSUNG','77H9050GT - 1332',null,null);
INSERT INTO product_categories VALUES('4467','REFRIGERATOR','SIGNATURE','SFR-MD100G - 904',null,null);
INSERT INTO product_categories VALUES('4468','REFRIGERATOR','SIGNATURE','MD99SS-S - 1723',null,null);
INSERT INTO product_categories VALUES('4469','REFRIGERATOR','SIGNATURE','SK98 - 903',null,null);
INSERT INTO product_categories VALUES('4470','REFRIGERATOR','SIGNATURE','SBS-MD99SS-I - 908',null,null);
INSERT INTO product_categories VALUES('4471','REFRIGERATOR','SIGNATURE','SRF-HM100 - 908',null,null);
INSERT INTO product_categories VALUES('4472','REFRIGERATOR','SIGNATURE','SRF-HM99 - 908',null,null);
INSERT INTO product_categories VALUES('4473','REFRIGERATOR','SIGNATURE','MT-99FHS-I - 908',null,null);
INSERT INTO product_categories VALUES('4474','REFRIGERATOR','DAWLANCE','91996GD-INV-BDY - 885',null,null);
INSERT INTO product_categories VALUES('4475','REFRIGERATOR','DAWLANCE','91996GD-INV-BROWN - 885',null,null);
INSERT INTO product_categories VALUES('4476','REFRIGERATOR','DAWLANCE','91996GD-INV-GREEN - 885',null,null);
INSERT INTO product_categories VALUES('4477','REFRIGERATOR','DAWLANCE','91996GD-INV-IOT-BK - 885',null,null);
INSERT INTO product_categories VALUES('4478','REFRIGERATOR','DAWLANCE','91996GD-INVERTER - 885',null,null);
INSERT INTO product_categories VALUES('4479','REFRIGERATOR','DAWLANCE','9175WBGD-INVERTER - 883',null,null);
INSERT INTO product_categories VALUES('4480','REFRIGERATOR','DAWLANCE','9188WBGD-INV-BDY - 884',null,null);
INSERT INTO product_categories VALUES('4481','REFRIGERATOR','DAWLANCE','9188WBGD-INV-BROWN - 746',null,null);
INSERT INTO product_categories VALUES('4482','REFRIGERATOR','DAWLANCE','9188WBGD-INV-GREEN - 746',null,null);
INSERT INTO product_categories VALUES('4483','REFRIGERATOR','DAWLANCE','9188WBGD-INVERTER - 884',null,null);
INSERT INTO product_categories VALUES('4484','REFRIGERATOR','DAWLANCE','9188WBHZ - 83',null,null);
INSERT INTO product_categories VALUES('4485','REFRIGERATOR','DAWLANCE','9188WBHZ-PLUS - 895',null,null);
INSERT INTO product_categories VALUES('4486','REFRIGERATOR','DAWLANCE','9188WBLVS - 895',null,null);
INSERT INTO product_categories VALUES('4487','REFRIGERATOR','DAWLANCE','9188WBLVS-PLUS - 884',null,null);
INSERT INTO product_categories VALUES('4488','REFRIGERATOR','DAWLANCE','9188WBMM - 83',null,null);
INSERT INTO product_categories VALUES('4489','REFRIGERATOR','DAWLANCE','9188WBNS - 895',null,null);
INSERT INTO product_categories VALUES('4490','REFRIGERATOR','DAWLANCE','9190LFD-G BROWN - 896',null,null);
INSERT INTO product_categories VALUES('4491','REFRIGERATOR','DAWLANCE','9150LFDS-GB - 858',null,null);
INSERT INTO product_categories VALUES('4492','REFRIGERATOR','DAWLANCE','9188LVS-HS - 884',null,null);
INSERT INTO product_categories VALUES('4493','REFRIGERATOR','DAWLANCE','9188M-PLUS - 884',null,null);
INSERT INTO product_categories VALUES('4494','REFRIGERATOR','DAWLANCE','9188MM - 83',null,null);
INSERT INTO product_categories VALUES('4495','REFRIGERATOR','DAWLANCE','9188WBES - 895',null,null);
INSERT INTO product_categories VALUES('4496','REFRIGERATOR','DAWLANCE','9188WBES-PLUS - 895',null,null);
INSERT INTO product_categories VALUES('4497','REFRIGERATOR','DAWLANCE','9188WBGD - 895',null,null);
INSERT INTO product_categories VALUES('4498','REFRIGERATOR','DAWLANCE','9108DELUX - 1330',null,null);
INSERT INTO product_categories VALUES('4499','REFRIGERATOR','DAWLANCE','9144DS - 83',null,null);
INSERT INTO product_categories VALUES('4500','REFRIGERATOR','DAWLANCE','9144ES - 857',null,null);
INSERT INTO product_categories VALUES('4501','REFRIGERATOR','DAWLANCE','9144FPR - 857',null,null);
INSERT INTO product_categories VALUES('4502','REFRIGERATOR','DAWLANCE','9144LVS - 83',null,null);
INSERT INTO product_categories VALUES('4503','REFRIGERATOR','DAWLANCE','9144LVS-HS - 857',null,null);
INSERT INTO product_categories VALUES('4504','REFRIGERATOR','DAWLANCE','9144MM - 83',null,null);
INSERT INTO product_categories VALUES('4505','REFRIGERATOR','DAWLANCE','9144MM-PLUS - 859',null,null);
INSERT INTO product_categories VALUES('4506','REFRIGERATOR','DAWLANCE','9144WB-LVS - 858',null,null);
INSERT INTO product_categories VALUES('4507','REFRIGERATOR','DAWLANCE','9144WB-M - 858',null,null);
INSERT INTO product_categories VALUES('4508','REFRIGERATOR','DAWLANCE','9144WBES-PLUS  - 857',null,null);
INSERT INTO product_categories VALUES('4509','REFRIGERATOR','DAWLANCE','9144WBGD - 858',null,null);
INSERT INTO product_categories VALUES('4510','REFRIGERATOR','DAWLANCE','9144WBMDS - 858',null,null);
INSERT INTO product_categories VALUES('4511','REFRIGERATOR','DAWLANCE','550GD-DW - 903',null,null);
INSERT INTO product_categories VALUES('4512','REFRIGERATOR','DAWLANCE','9122FPR - 1330',null,null);
INSERT INTO product_categories VALUES('4513','REFRIGERATOR','DAWLANCE','9122LVS - 893',null,null);
INSERT INTO product_categories VALUES('4514','REFRIGERATOR','DAWLANCE','9122MDS - 83',null,null);
INSERT INTO product_categories VALUES('4515','REFRIGERATOR','DAWLANCE','9122MM - 83',null,null);
INSERT INTO product_categories VALUES('4516','REFRIGERATOR','DAWLANCE','9166MDS - 83',null,null);
INSERT INTO product_categories VALUES('4517','REFRIGERATOR','DAWLANCE','9166WBES-PLUS - 894',null,null);
INSERT INTO product_categories VALUES('4518','REFRIGERATOR','DAWLANCE','9166WBLVS - 894',null,null);
INSERT INTO product_categories VALUES('4519','REFRIGERATOR','DAWLANCE','9166WBM - 894',null,null);
INSERT INTO product_categories VALUES('4520','REFRIGERATOR','DAWLANCE','9166WBMDS - 894',null,null);
INSERT INTO product_categories VALUES('4521','REFRIGERATOR','DAWLANCE','9170WB-LVS - 860',null,null);
INSERT INTO product_categories VALUES('4522','REFRIGERATOR','DAWLANCE','9170WBD-OG - 860',null,null);
INSERT INTO product_categories VALUES('4523','REFRIGERATOR','DAWLANCE','9170WBEDS-GRAY - 860',null,null);
INSERT INTO product_categories VALUES('4524','REFRIGERATOR','DAWLANCE','9170WBES - 860',null,null);
INSERT INTO product_categories VALUES('4525','REFRIGERATOR','DAWLANCE','9170WBES-PLUS - 883',null,null);
INSERT INTO product_categories VALUES('4526','REFRIGERATOR','DAWLANCE','9170WBGD - 860',null,null);
INSERT INTO product_categories VALUES('4527','REFRIGERATOR','DAWLANCE','9170WBLVS-PLUS - 860',null,null);
INSERT INTO product_categories VALUES('4528','REFRIGERATOR','DAWLANCE','9170WBMDS - 83',null,null);
INSERT INTO product_categories VALUES('4529','REFRIGERATOR','DAWLANCE','9170WBMDS-BLK - 860',null,null);
INSERT INTO product_categories VALUES('4530','REFRIGERATOR','DAWLANCE','650DW-INV - 909',null,null);
INSERT INTO product_categories VALUES('4531','REFRIGERATOR','DAWLANCE','600DW - 904',null,null);
INSERT INTO product_categories VALUES('4532','REFRIGERATOR','DAWLANCE','1200DWF - 1724',null,null);
INSERT INTO product_categories VALUES('4533','REFRIGERATOR','DAWLANCE','9175WBHZ-PLUS - 883',null,null);
INSERT INTO product_categories VALUES('4534','REFRIGERATOR','DAWLANCE','9175WBLVS - 883',null,null);
INSERT INTO product_categories VALUES('4535','REFRIGERATOR','DAWLANCE','9175WBLVS-PLUS - 883',null,null);
INSERT INTO product_categories VALUES('4536','REFRIGERATOR','DAWLANCE','9175WBM - 83',null,null);
INSERT INTO product_categories VALUES('4537','REFRIGERATOR','DAWLANCE','9175WBNS - 883',null,null);
INSERT INTO product_categories VALUES('4538','REFRIGERATOR','DAWLANCE','9177WBMM - 83',null,null);
INSERT INTO product_categories VALUES('4539','REFRIGERATOR','DAWLANCE','9170WBMM - 83',null,null);
INSERT INTO product_categories VALUES('4540','REFRIGERATOR','DAWLANCE','9170WBNS - 860',null,null);
INSERT INTO product_categories VALUES('4541','REFRIGERATOR','DAWLANCE','9175WBEDS-GRAY - 883',null,null);
INSERT INTO product_categories VALUES('4542','REFRIGERATOR','DAWLANCE','9175WBES - 883',null,null);
INSERT INTO product_categories VALUES('4543','REFRIGERATOR','DAWLANCE','9175WBES-PLUS - 883',null,null);
INSERT INTO product_categories VALUES('4544','REFRIGERATOR','DAWLANCE','9175WBGD - 883',null,null);
INSERT INTO product_categories VALUES('4545','REFRIGERATOR','DAWLANCE','91996HZ - 83',null,null);
INSERT INTO product_categories VALUES('4546','REFRIGERATOR','DAWLANCE','91996HZ-PLUS - 885',null,null);
INSERT INTO product_categories VALUES('4547','REFRIGERATOR','DAWLANCE','91996LVS-PLUS - 885',null,null);
INSERT INTO product_categories VALUES('4548','REFRIGERATOR','DAWLANCE','91996M-PLUS - 83',null,null);
INSERT INTO product_categories VALUES('4549','REFRIGERATOR','DAWLANCE','91996MM - 83',null,null);
INSERT INTO product_categories VALUES('4550','REFRIGERATOR','DAWLANCE','91996NS - 885',null,null);
INSERT INTO product_categories VALUES('4551','REFRIGERATOR','DAWLANCE','91996ES - 885',null,null);
INSERT INTO product_categories VALUES('4552','REFRIGERATOR','DAWLANCE','91996ES-PLUS - 885',null,null);
INSERT INTO product_categories VALUES('4553','REFRIGERATOR','DAWLANCE','91996GD - 885',null,null);
INSERT INTO product_categories VALUES('4554','REFRIGERATOR','GREE','8890EG-CB1 - 896',null,null);
INSERT INTO product_categories VALUES('4555','REFRIGERATOR','GREE','8890EG-CB2 - 2116',null,null);
INSERT INTO product_categories VALUES('4556','REFRIGERATOR','GREE','8890EG-CB3 - 896',null,null);
INSERT INTO product_categories VALUES('4557','REFRIGERATOR','GREE','8890EG-CR1 - 896',null,null);
INSERT INTO product_categories VALUES('4558','REFRIGERATOR','GREE','8890EG-CR2 - 2116',null,null);
INSERT INTO product_categories VALUES('4559','REFRIGERATOR','GREE','8890EG-CW1 - 896',null,null);
INSERT INTO product_categories VALUES('4560','REFRIGERATOR','GREE','8890EG-CW2 - 896',null,null);
INSERT INTO product_categories VALUES('4561','REFRIGERATOR','GREE','8890EG-CW3 - 2116',null,null);
INSERT INTO product_categories VALUES('4562','REFRIGERATOR','GREE','9978EG-CB1 - 885',null,null);
INSERT INTO product_categories VALUES('4563','REFRIGERATOR','GREE','9978EG-CB2 - 885',null,null);
INSERT INTO product_categories VALUES('4564','REFRIGERATOR','GREE','9978EG-CB3 - 2116',null,null);
INSERT INTO product_categories VALUES('4565','REFRIGERATOR','GREE','9978EG-CR1 - 885',null,null);
INSERT INTO product_categories VALUES('4566','REFRIGERATOR','GREE','9978EG-CR2 - 2116',null,null);
INSERT INTO product_categories VALUES('4567','REFRIGERATOR','GREE','9978EG-CW3 - 885',null,null);
INSERT INTO product_categories VALUES('4568','REFRIGERATOR','GREE','340V-HG1 - 860',null,null);
INSERT INTO product_categories VALUES('4569','REFRIGERATOR','GREE','340DG-CB2 - 884',null,null);
INSERT INTO product_categories VALUES('4570','REFRIGERATOR','GREE','340DG-CB3 - 884',null,null);
INSERT INTO product_categories VALUES('4571','REFRIGERATOR','GREE','340DG-CP2 - 884',null,null);
INSERT INTO product_categories VALUES('4572','REFRIGERATOR','GREE','340DG-CR2 - 884',null,null);
INSERT INTO product_categories VALUES('4573','REFRIGERATOR','GREE','340G-CB1 - 860',null,null);
INSERT INTO product_categories VALUES('4574','REFRIGERATOR','GREE','340G-CD1 - 884',null,null);
INSERT INTO product_categories VALUES('4575','REFRIGERATOR','GREE','340G-CP1 - 884',null,null);
INSERT INTO product_categories VALUES('4576','REFRIGERATOR','GREE','340G-CR1 - 884',null,null);
INSERT INTO product_categories VALUES('4577','REFRIGERATOR','GREE','8768EG-CB1 - 884',null,null);
INSERT INTO product_categories VALUES('4578','REFRIGERATOR','GREE','8768EG-CB2 - 884',null,null);
INSERT INTO product_categories VALUES('4579','REFRIGERATOR','GREE','8768EG-CB3 - 884',null,null);
INSERT INTO product_categories VALUES('4580','REFRIGERATOR','GREE','8768EG-CR1 - 884',null,null);
INSERT INTO product_categories VALUES('4581','REFRIGERATOR','GREE','8768EG-CR2 - 2116',null,null);
INSERT INTO product_categories VALUES('4582','REFRIGERATOR','GREE','8768EG-CW1 - 884',null,null);
INSERT INTO product_categories VALUES('4583','REFRIGERATOR','GREE','8768EG-CW2 - 884',null,null);
INSERT INTO product_categories VALUES('4584','REFRIGERATOR','GREE','310V-CG1 - 894',null,null);
INSERT INTO product_categories VALUES('4585','REFRIGERATOR','GREE','310V-HC1 - 894',null,null);
INSERT INTO product_categories VALUES('4586','REFRIGERATOR','GREE','310V-HG1 - 894',null,null);
INSERT INTO product_categories VALUES('4587','REFRIGERATOR','GREE','310G-CD1 - 894',null,null);
INSERT INTO product_categories VALUES('4588','REFRIGERATOR','GREE','310G-CP1  - 894',null,null);
INSERT INTO product_categories VALUES('4589','REFRIGERATOR','GREE','310G-CR1 - 894',null,null);
INSERT INTO product_categories VALUES('4590','REFRIGERATOR','GREE','310DG-CB2 - 894',null,null);
INSERT INTO product_categories VALUES('4591','REFRIGERATOR','GREE','310DG-CB3 - 894',null,null);
INSERT INTO product_categories VALUES('4592','REFRIGERATOR','GREE','310DG-CP2 - 894',null,null);
INSERT INTO product_categories VALUES('4593','REFRIGERATOR','GREE','310DG-CR2 - 894',null,null);
INSERT INTO product_categories VALUES('4594','REFRIGERATOR','GREE','310G-CB1 - 894',null,null);
INSERT INTO product_categories VALUES('4595','REFRIGERATOR','HAIER','336IDB - 860',null,null);
INSERT INTO product_categories VALUES('4596','REFRIGERATOR','HAIER','336IDBT - 2116',null,null);
INSERT INTO product_categories VALUES('4597','REFRIGERATOR','HAIER','336IDRT - 860',null,null);
INSERT INTO product_categories VALUES('4598','REFRIGERATOR','HAIER','336IPR - 860',null,null);
INSERT INTO product_categories VALUES('4599','REFRIGERATOR','HAIER','438IDB - 896',null,null);
INSERT INTO product_categories VALUES('4600','REFRIGERATOR','HAIER','438IDBT - 896',null,null);
INSERT INTO product_categories VALUES('4601','REFRIGERATOR','HAIER','438IDRT - 896',null,null);
INSERT INTO product_categories VALUES('4602','REFRIGERATOR','HAIER','438IPB - 896',null,null);
INSERT INTO product_categories VALUES('4603','REFRIGERATOR','HAIER','438IPR - 896',null,null);
INSERT INTO product_categories VALUES('4604','REFRIGERATOR','HAIER','368IDB - 860',null,null);
INSERT INTO product_categories VALUES('4605','REFRIGERATOR','HAIER','368IDBT - 860',null,null);
INSERT INTO product_categories VALUES('4606','REFRIGERATOR','HAIER','368IDRT - 860',null,null);
INSERT INTO product_categories VALUES('4607','REFRIGERATOR','HAIER','368IPB - 860',null,null);
INSERT INTO product_categories VALUES('4608','REFRIGERATOR','HAIER','368IPR - 860',null,null);
INSERT INTO product_categories VALUES('4609','REFRIGERATOR','HAIER','306IDB - 894',null,null);
INSERT INTO product_categories VALUES('4610','REFRIGERATOR','HAIER','306IDBT - 2116',null,null);
INSERT INTO product_categories VALUES('4611','REFRIGERATOR','HAIER','306IDRT - 894',null,null);
INSERT INTO product_categories VALUES('4612','REFRIGERATOR','HAIER','306IPB - 894',null,null);
INSERT INTO product_categories VALUES('4613','REFRIGERATOR','HAIER','306IPR - 894',null,null);
INSERT INTO product_categories VALUES('4614','REFRIGERATOR','HAIER','398IDB - 884',null,null);
INSERT INTO product_categories VALUES('4615','REFRIGERATOR','HAIER','398IDBT - 884',null,null);
INSERT INTO product_categories VALUES('4616','REFRIGERATOR','HAIER','398IDRT - 746',null,null);
INSERT INTO product_categories VALUES('4617','REFRIGERATOR','HAIER','398IPB - 884',null,null);
INSERT INTO product_categories VALUES('4618','REFRIGERATOR','HAIER','398IPR - 884',null,null);
INSERT INTO product_categories VALUES('4619','REFRIGERATOR','HAIER','398ITB - 746',null,null);
INSERT INTO product_categories VALUES('4620','REFRIGERATOR','HAIER','398EBD - 746',null,null);
INSERT INTO product_categories VALUES('4621','REFRIGERATOR','HAIER','398EBS  - 884',null,null);
INSERT INTO product_categories VALUES('4622','REFRIGERATOR','HAIER','398EPB - 884',null,null);
INSERT INTO product_categories VALUES('4623','REFRIGERATOR','HAIER','398EPCW - 884',null,null);
INSERT INTO product_categories VALUES('4624','REFRIGERATOR','HAIER','398EPR - 746',null,null);
INSERT INTO product_categories VALUES('4625','REFRIGERATOR','HAIER','398TBB - 746',null,null);
INSERT INTO product_categories VALUES('4626','REFRIGERATOR','HAIER','398TDB - 884',null,null);
INSERT INTO product_categories VALUES('4627','REFRIGERATOR','HAIER','398TDC - 746',null,null);
INSERT INTO product_categories VALUES('4628','REFRIGERATOR','HAIER','398TPB - 2116',null,null);
INSERT INTO product_categories VALUES('4629','REFRIGERATOR','HAIER','398TPR - 2116',null,null);
INSERT INTO product_categories VALUES('4630','REFRIGERATOR','HAIER','276EBD - 858',null,null);
INSERT INTO product_categories VALUES('4631','REFRIGERATOR','HAIER','276EBS - 858',null,null);
INSERT INTO product_categories VALUES('4632','REFRIGERATOR','HAIER','276ECD - 858',null,null);
INSERT INTO product_categories VALUES('4633','REFRIGERATOR','HAIER','276ECS-HR - 858',null,null);
INSERT INTO product_categories VALUES('4634','REFRIGERATOR','HAIER','276EPB - 858',null,null);
INSERT INTO product_categories VALUES('4635','REFRIGERATOR','HAIER','276EPC - 859',null,null);
INSERT INTO product_categories VALUES('4636','REFRIGERATOR','HAIER','276EPR - 858',null,null);
INSERT INTO product_categories VALUES('4637','REFRIGERATOR','HAIER','306ITB - 894',null,null);
INSERT INTO product_categories VALUES('4638','REFRIGERATOR','HAIER','306EBD - 859',null,null);
INSERT INTO product_categories VALUES('4639','REFRIGERATOR','HAIER','306EBS - 859',null,null);
INSERT INTO product_categories VALUES('4640','REFRIGERATOR','HAIER','306ECD - 859',null,null);
INSERT INTO product_categories VALUES('4641','REFRIGERATOR','HAIER','306ECS-HRF - 859',null,null);
INSERT INTO product_categories VALUES('4642','REFRIGERATOR','HAIER','306EPB - 859',null,null);
INSERT INTO product_categories VALUES('4643','REFRIGERATOR','HAIER','306EPC - 859',null,null);
INSERT INTO product_categories VALUES('4644','REFRIGERATOR','HAIER','306EPR-HRF - 859',null,null);
INSERT INTO product_categories VALUES('4645','REFRIGERATOR','HAIER','368ITB - 860',null,null);
INSERT INTO product_categories VALUES('4646','REFRIGERATOR','HAIER','368TDB - 860',null,null);
INSERT INTO product_categories VALUES('4647','REFRIGERATOR','HAIER','368TDC  - 860',null,null);
INSERT INTO product_categories VALUES('4648','REFRIGERATOR','HAIER','368TPB - 2116',null,null);
INSERT INTO product_categories VALUES('4649','REFRIGERATOR','HAIER','368TPR - 2116',null,null);
INSERT INTO product_categories VALUES('4650','REFRIGERATOR','HAIER','368EBS - 860',null,null);
INSERT INTO product_categories VALUES('4651','REFRIGERATOR','HAIER','368EPB - 860',null,null);
INSERT INTO product_categories VALUES('4652','REFRIGERATOR','HAIER','368EPCW - 860',null,null);
INSERT INTO product_categories VALUES('4653','REFRIGERATOR','HAIER','368EPR - 860',null,null);
INSERT INTO product_categories VALUES('4654','REFRIGERATOR','HAIER','438ITB - 896',null,null);
INSERT INTO product_categories VALUES('4655','REFRIGERATOR','HAIER','438TBB  - 896',null,null);
INSERT INTO product_categories VALUES('4656','REFRIGERATOR','HAIER','438TDB - 896',null,null);
INSERT INTO product_categories VALUES('4657','REFRIGERATOR','HAIER','438TDC - 896',null,null);
INSERT INTO product_categories VALUES('4658','REFRIGERATOR','HAIER','438TPB - 2116',null,null);
INSERT INTO product_categories VALUES('4659','REFRIGERATOR','HAIER','438EBD - 896',null,null);
INSERT INTO product_categories VALUES('4660','REFRIGERATOR','HAIER','438EBS - 896',null,null);
INSERT INTO product_categories VALUES('4661','REFRIGERATOR','HAIER','438EPB - 896',null,null);
INSERT INTO product_categories VALUES('4662','REFRIGERATOR','HAIER','438EPCW - 896',null,null);
INSERT INTO product_categories VALUES('4663','REFRIGERATOR','HAIER','438EPR  - 896',null,null);
INSERT INTO product_categories VALUES('4664','REFRIGERATOR','HAIER','184ES - 857',null,null);
INSERT INTO product_categories VALUES('4665','REFRIGERATOR','HAIER','340BGF - 883',null,null);
INSERT INTO product_categories VALUES('4666','REFRIGERATOR','HAIER','340BJ  - 883',null,null);
INSERT INTO product_categories VALUES('4667','REFRIGERATOR','HAIER','340BJ-DM - 883',null,null);
INSERT INTO product_categories VALUES('4668','REFRIGERATOR','HAIER','340BJ-GR - 883',null,null);
INSERT INTO product_categories VALUES('4669','REFRIGERATOR','HAIER','340C-GOLD  - 860',null,null);
INSERT INTO product_categories VALUES('4670','REFRIGERATOR','HAIER','340C-GRAY  - 860',null,null);
INSERT INTO product_categories VALUES('4671','REFRIGERATOR','HAIER','340C-SS - 860',null,null);
INSERT INTO product_categories VALUES('4672','REFRIGERATOR','HAIER','255H-HANDLE - 858',null,null);
INSERT INTO product_categories VALUES('4673','REFRIGERATOR','HAIER','255HH-WW - 858',null,null);
INSERT INTO product_categories VALUES('4674','REFRIGERATOR','HAIER','255HR - 858',null,null);
INSERT INTO product_categories VALUES('4675','REFRIGERATOR','HAIER','255WW - 858',null,null);
INSERT INTO product_categories VALUES('4676','REFRIGERATOR','HAIER','255DM - 858',null,null);
INSERT INTO product_categories VALUES('4677','REFRIGERATOR','HAIER','216EBD - 858',null,null);
INSERT INTO product_categories VALUES('4678','REFRIGERATOR','HAIER','216EBS - 857',null,null);
INSERT INTO product_categories VALUES('4679','REFRIGERATOR','HAIER','216ECD-HR - 858',null,null);
INSERT INTO product_categories VALUES('4680','REFRIGERATOR','HAIER','216ECS-HRF - 858',null,null);
INSERT INTO product_categories VALUES('4681','REFRIGERATOR','HAIER','216EPB - 857',null,null);
INSERT INTO product_categories VALUES('4682','REFRIGERATOR','HAIER','216EPC - 857',null,null);
INSERT INTO product_categories VALUES('4683','REFRIGERATOR','HAIER','336ITB - 860',null,null);
INSERT INTO product_categories VALUES('4684','REFRIGERATOR','HAIER','336TDB - 860',null,null);
INSERT INTO product_categories VALUES('4685','REFRIGERATOR','HAIER','336TDC  - 894',null,null);
INSERT INTO product_categories VALUES('4686','REFRIGERATOR','HAIER','345TPB - 883',null,null);
INSERT INTO product_categories VALUES('4687','REFRIGERATOR','HAIER','345TPR-HR - 883',null,null);
INSERT INTO product_categories VALUES('4688','REFRIGERATOR','HAIER','336EBD - 894',null,null);
INSERT INTO product_categories VALUES('4689','REFRIGERATOR','HAIER','336EBS - 894',null,null);
INSERT INTO product_categories VALUES('4690','REFRIGERATOR','HAIER','336ECD-HRF - 894',null,null);
INSERT INTO product_categories VALUES('4691','REFRIGERATOR','HAIER','336ECS - 894',null,null);
INSERT INTO product_categories VALUES('4692','REFRIGERATOR','HAIER','336EPB - 894',null,null);
INSERT INTO product_categories VALUES('4693','REFRIGERATOR','HAIER','336EPC - 860',null,null);
INSERT INTO product_categories VALUES('4694','REFRIGERATOR','HAIER','336EPR - 894',null,null);
INSERT INTO product_categories VALUES('4695','REFRIGERATOR','HAIER','300CFB - 894',null,null);
INSERT INTO product_categories VALUES('4696','REFRIGERATOR','HAIER','306TDB - 894',null,null);
INSERT INTO product_categories VALUES('4697','REFRIGERATOR','HAIER','306TDC - 859',null,null);
INSERT INTO product_categories VALUES('4698','REFRIGERATOR','HAIER','386SFG - 860',null,null);
INSERT INTO product_categories VALUES('4699','REFRIGERATOR','HAIER','386WFG - 860',null,null);
INSERT INTO product_categories VALUES('4700','REFRIGERATOR','HAIER','385TPB-HRF  - 884',null,null);
INSERT INTO product_categories VALUES('4701','REFRIGERATOR','HAIER','385TPR  - 884',null,null);
INSERT INTO product_categories VALUES('4702','REFRIGERATOR','HAIER','380M-GR - 884',null,null);
INSERT INTO product_categories VALUES('4703','REFRIGERATOR','HAIER','385EPB-HRF - 884',null,null);
INSERT INTO product_categories VALUES('4704','REFRIGERATOR','HAIER','300BFG - 894',null,null);
INSERT INTO product_categories VALUES('4705','REFRIGERATOR','HAIER','340M - 84',null,null);
INSERT INTO product_categories VALUES('4706','REFRIGERATOR','HAIER','319NF - 860',null,null);
INSERT INTO product_categories VALUES('4707','REFRIGERATOR','HAIER','253HRF - 84',null,null);
INSERT INTO product_categories VALUES('4708','REFRIGERATOR','HAIER','246EBD - 857',null,null);
INSERT INTO product_categories VALUES('4709','REFRIGERATOR','HAIER','246EBS - 857',null,null);
INSERT INTO product_categories VALUES('4710','REFRIGERATOR','HAIER','246ECD - 857',null,null);
INSERT INTO product_categories VALUES('4711','REFRIGERATOR','HAIER','246ECS-HR - 857',null,null);
INSERT INTO product_categories VALUES('4712','REFRIGERATOR','HAIER','246EPB - 857',null,null);
INSERT INTO product_categories VALUES('4713','REFRIGERATOR','HAIER','246EPC - 858',null,null);
INSERT INTO product_categories VALUES('4714','REFRIGERATOR','HAIER','246EPR - 857',null,null);
INSERT INTO product_categories VALUES('4715','REFRIGERATOR','HAIER','588TGP-HRF - 885',null,null);
INSERT INTO product_categories VALUES('4716','REFRIGERATOR','HAIER','380BJ-DM - 746',null,null);
INSERT INTO product_categories VALUES('4717','REFRIGERATOR','HAIER','380BJ-GR - 746',null,null);
INSERT INTO product_categories VALUES('4718','REFRIGERATOR','HAIER','368EBD  - 860',null,null);
INSERT INTO product_categories VALUES('4719','REFRIGERATOR','KENWOOD','400VCM-BHL - 895',null,null);
INSERT INTO product_categories VALUES('4720','REFRIGERATOR','KENWOOD','400VCM-BRN  - 885',null,null);
INSERT INTO product_categories VALUES('4721','REFRIGERATOR','KENWOOD','480GD-BKG - 885',null,null);
INSERT INTO product_categories VALUES('4722','REFRIGERATOR','KENWOOD','480GD-BRG - 885',null,null);
INSERT INTO product_categories VALUES('4723','REFRIGERATOR','KENWOOD','480GD-GNG  - 885',null,null);
INSERT INTO product_categories VALUES('4724','REFRIGERATOR','KENWOOD','480GD-MRG - 885',null,null);
INSERT INTO product_categories VALUES('4725','REFRIGERATOR','KENWOOD','480VCM-BHL - 885',null,null);
INSERT INTO product_categories VALUES('4726','REFRIGERATOR','KENWOOD','480VCM-BRN - 885',null,null);
INSERT INTO product_categories VALUES('4727','REFRIGERATOR','KENWOOD','280SS-CHL - 894',null,null);
INSERT INTO product_categories VALUES('4728','REFRIGERATOR','KENWOOD','280VCM-BHL - 894',null,null);
INSERT INTO product_categories VALUES('4729','REFRIGERATOR','KENWOOD','280VCM-BRN - 894',null,null);
INSERT INTO product_categories VALUES('4730','REFRIGERATOR','KENWOOD','280VCM-SIL - 894',null,null);
INSERT INTO product_categories VALUES('4731','REFRIGERATOR','KENWOOD','280GD-MRG - 894',null,null);
INSERT INTO product_categories VALUES('4732','REFRIGERATOR','KENWOOD','400GD-BKG - 895',null,null);
INSERT INTO product_categories VALUES('4733','REFRIGERATOR','KENWOOD','400GD-BRG - 895',null,null);
INSERT INTO product_categories VALUES('4734','REFRIGERATOR','KENWOOD','400GD-GNG - 895',null,null);
INSERT INTO product_categories VALUES('4735','REFRIGERATOR','KENWOOD','400GD-MRG - 895',null,null);
INSERT INTO product_categories VALUES('4736','REFRIGERATOR','KENWOOD','280GD-BKG - 894',null,null);
INSERT INTO product_categories VALUES('4737','REFRIGERATOR','KENWOOD','280GD-BRG  - 894',null,null);
INSERT INTO product_categories VALUES('4738','REFRIGERATOR','KENWOOD','280GD-GNG - 894',null,null);
INSERT INTO product_categories VALUES('4739','REFRIGERATOR','KENWOOD','320GD-BKG - 883',null,null);
INSERT INTO product_categories VALUES('4740','REFRIGERATOR','KENWOOD','320GD-BRG  - 883',null,null);
INSERT INTO product_categories VALUES('4741','REFRIGERATOR','KENWOOD','320GD-GNG  - 883',null,null);
INSERT INTO product_categories VALUES('4742','REFRIGERATOR','KENWOOD','320GD-MRG - 883',null,null);
INSERT INTO product_categories VALUES('4743','REFRIGERATOR','KENWOOD','320SS-SSE  - 883',null,null);
INSERT INTO product_categories VALUES('4744','REFRIGERATOR','KENWOOD','320VCM-BHL - 883',null,null);
INSERT INTO product_categories VALUES('4745','REFRIGERATOR','KENWOOD','320VCM-BRN  - 883',null,null);
INSERT INTO product_categories VALUES('4746','REFRIGERATOR','KENWOOD','320VCM-SIL - 883',null,null);
INSERT INTO product_categories VALUES('4747','REFRIGERATOR','KENWOOD','340BF-KRF - 884',null,null);
INSERT INTO product_categories VALUES('4748','REFRIGERATOR','KENWOOD','332F-KRF - 860',null,null);
INSERT INTO product_categories VALUES('4749','REFRIGERATOR','KENWOOD','398NF-KRF - 85',null,null);
INSERT INTO product_categories VALUES('4750','REFRIGERATOR','LG','442HMHU-S - 746',null,null);
INSERT INTO product_categories VALUES('4751','REFRIGERATOR','LG','442HQHU-S - 746',null,null);
INSERT INTO product_categories VALUES('4752','REFRIGERATOR','LG','432HLHL-S - 86',null,null);
INSERT INTO product_categories VALUES('4753','REFRIGERATOR','LG','432RLCN-S - 746',null,null);
INSERT INTO product_categories VALUES('4754','REFRIGERATOR','LG','882HLHU-S - 909',null,null);
INSERT INTO product_categories VALUES('4755','REFRIGERATOR','LG','832DHL-S - 86',null,null);
INSERT INTO product_categories VALUES('4756','REFRIGERATOR','LG','832DHW-S - 86',null,null);
INSERT INTO product_categories VALUES('4757','REFRIGERATOR','LG','832HBCU-S - 908',null,null);
INSERT INTO product_categories VALUES('4758','REFRIGERATOR','LG','832HLHU-S - 908',null,null);
INSERT INTO product_categories VALUES('4759','REFRIGERATOR','LG','832HLHU-WD-S  - 908',null,null);
INSERT INTO product_categories VALUES('4760','REFRIGERATOR','LG','872HLHU-WD-S  - 910',null,null);
INSERT INTO product_categories VALUES('4761','REFRIGERATOR','LG','675GLPL-S  - 885',null,null);
INSERT INTO product_categories VALUES('4762','REFRIGERATOR','LG','672GBPR-S - 885',null,null);
INSERT INTO product_categories VALUES('4763','REFRIGERATOR','LG','672GLPL-S - 86',null,null);
INSERT INTO product_categories VALUES('4764','REFRIGERATOR','LG','502HMHU-S - 896',null,null);
INSERT INTO product_categories VALUES('4765','REFRIGERATOR','LG','502HQHU-S - 896',null,null);
INSERT INTO product_categories VALUES('4766','REFRIGERATOR','LG','422HMHU-S - 884',null,null);
INSERT INTO product_categories VALUES('4767','REFRIGERATOR','LG','552GLPL-S - 86',null,null);
INSERT INTO product_categories VALUES('4768','REFRIGERATOR','LG','552HLAL - 895',null,null);
INSERT INTO product_categories VALUES('4769','REFRIGERATOR','LG','542HLCL-C - 896',null,null);
INSERT INTO product_categories VALUES('4770','REFRIGERATOR','LG','682HLHU-S - 896',null,null);
INSERT INTO product_categories VALUES('4771','REFRIGERATOR','LG','702HEHU-S - 885',null,null);
INSERT INTO product_categories VALUES('4772','REFRIGERATOR','LG','702HLPL-S - 86',null,null);
INSERT INTO product_categories VALUES('4773','REFRIGERATOR','LG','702HMHU-S - 885',null,null);
INSERT INTO product_categories VALUES('4774','REFRIGERATOR','LG','732HLCU-S - 885',null,null);
INSERT INTO product_categories VALUES('4775','REFRIGERATOR','LG','822HBPL-P - 1491',null,null);
INSERT INTO product_categories VALUES('4776','REFRIGERATOR','LG','822HLHL - 1491',null,null);
INSERT INTO product_categories VALUES('4777','REFRIGERATOR','LG','822GSP - 1332',null,null);
INSERT INTO product_categories VALUES('4778','REFRIGERATOR','LG','822HBCM-C - 895',null,null);
INSERT INTO product_categories VALUES('4779','REFRIGERATOR','LG','702GSH - 86',null,null);
INSERT INTO product_categories VALUES('4780','REFRIGERATOR','LG','842HLPL-S - 910',null,null);
INSERT INTO product_categories VALUES('4781','REFRIGERATOR','LG','612HLHU-S - 885',null,null);
INSERT INTO product_categories VALUES('4782','REFRIGERATOR','LG','412RLCL - 895',null,null);
INSERT INTO product_categories VALUES('4783','REFRIGERATOR','LG','372SLCN-S - 895',null,null);
INSERT INTO product_categories VALUES('4784','REFRIGERATOR','LG','331SQBB-S - 859',null,null);
INSERT INTO product_categories VALUES('4785','REFRIGERATOR','LG','302SLTG-S - 86',null,null);
INSERT INTO product_categories VALUES('4786','REFRIGERATOR','LG','792DHL-S - 86',null,null);
INSERT INTO product_categories VALUES('4787','REFRIGERATOR','LG','792DHW-S - 86',null,null);
INSERT INTO product_categories VALUES('4788','REFRIGERATOR','LG','762GSH - 1332',null,null);
INSERT INTO product_categories VALUES('4789','REFRIGERATOR','LG','722GSCC - 1589',null,null);
INSERT INTO product_categories VALUES('4790','REFRIGERATOR','LG','722HLAL - 1589',null,null);
INSERT INTO product_categories VALUES('4791','REFRIGERATOR','LG','722HLCL - 1589',null,null);
INSERT INTO product_categories VALUES('4792','REFRIGERATOR','LG','722HPHL - 1589',null,null);
INSERT INTO product_categories VALUES('4793','REFRIGERATOR','LG','872HBPL-S - 86',null,null);
INSERT INTO product_categories VALUES('4794','REFRIGERATOR','LG','257ZGG - 86',null,null);
INSERT INTO product_categories VALUES('4795','REFRIGERATOR','LG','262VMGY-S - 860',null,null);
INSERT INTO product_categories VALUES('4796','REFRIGERATOR','LG','257PDL-S - 17',null,null);
INSERT INTO product_categories VALUES('4797','REFRIGERATOR','LG','522GLH - 885',null,null);
INSERT INTO product_categories VALUES('4798','REFRIGERATOR','LG','522GLHL-S - 885',null,null);
INSERT INTO product_categories VALUES('4799','REFRIGERATOR','LG','522GPHC - 900',null,null);
INSERT INTO product_categories VALUES('4800','REFRIGERATOR','LG','492CLQ - 885',null,null);
INSERT INTO product_categories VALUES('4801','REFRIGERATOR','LG','622GLHL-S - 17',null,null);
INSERT INTO product_categories VALUES('4802','REFRIGERATOR','LG','622HLCL-C - 885',null,null);
INSERT INTO product_categories VALUES('4803','REFRIGERATOR','LG','602GSH - 904',null,null);
INSERT INTO product_categories VALUES('4804','REFRIGERATOR','LG','602HLAL-S - 86',null,null);
INSERT INTO product_categories VALUES('4805','REFRIGERATOR','LG','782GSH - 1332',null,null);
INSERT INTO product_categories VALUES('4806','REFRIGERATOR','LG','782GSH-P - 1482',null,null);
INSERT INTO product_categories VALUES('4807','REFRIGERATOR','LG','782HLHL - 1332',null,null);
INSERT INTO product_categories VALUES('4808','REFRIGERATOR','LG','782HLHM-S - 1589',null,null);
INSERT INTO product_categories VALUES('4809','REFRIGERATOR','LG','650GLH - 910',null,null);
INSERT INTO product_categories VALUES('4810','REFRIGERATOR','LG','650GLHL-S - 909',null,null);
INSERT INTO product_categories VALUES('4811','REFRIGERATOR','LG','650GLPL-P - 909',null,null);
INSERT INTO product_categories VALUES('4812','REFRIGERATOR','LG','650GPD-P - 909',null,null);
INSERT INTO product_categories VALUES('4813','REFRIGERATOR','LG','650GPHC-P - 909',null,null);
INSERT INTO product_categories VALUES('4814','REFRIGERATOR','LG','392RLCG-C - 894',null,null);
INSERT INTO product_categories VALUES('4815','REFRIGERATOR','LG','392RLCG-S - 86',null,null);
INSERT INTO product_categories VALUES('4816','REFRIGERATOR','LG','362RLTL-S - 86',null,null);
INSERT INTO product_categories VALUES('4817','REFRIGERATOR','LG','362RQML-S - 860',null,null);
INSERT INTO product_categories VALUES('4818','REFRIGERATOR','LG','442RLDL-S - 895',null,null);
INSERT INTO product_categories VALUES('4819','REFRIGERATOR','LG','562HLAL-S - 86',null,null);
INSERT INTO product_categories VALUES('4820','REFRIGERATOR','LG','32HLHU-WD-S  - 908',null,null);
INSERT INTO product_categories VALUES('4821','REFRIGERATOR','ORIENT','200CRYSTAL-GGD - 893',null,null);
INSERT INTO product_categories VALUES('4822','REFRIGERATOR','ORIENT','200CRYSTAL-GRD - 893',null,null);
INSERT INTO product_categories VALUES('4823','REFRIGERATOR','ORIENT','200CRYSTAL-SB - 893',null,null);
INSERT INTO product_categories VALUES('4824','REFRIGERATOR','ORIENT','200CRYSTAL-SP - 893',null,null);
INSERT INTO product_categories VALUES('4825','REFRIGERATOR','ORIENT','200DIAMOND-BLK - 893',null,null);
INSERT INTO product_categories VALUES('4826','REFRIGERATOR','ORIENT','200DIAMOND-GRD - 893',null,null);
INSERT INTO product_categories VALUES('4827','REFRIGERATOR','ORIENT','200DIAMOND-PBK - 893',null,null);
INSERT INTO product_categories VALUES('4828','REFRIGERATOR','ORIENT','200DIAMOND-PP - 893',null,null);
INSERT INTO product_categories VALUES('4829','REFRIGERATOR','ORIENT','200DIAMOND-PR - 893',null,null);
INSERT INTO product_categories VALUES('4830','REFRIGERATOR','ORIENT','335LGRAND-HS - 884',null,null);
INSERT INTO product_categories VALUES('4831','REFRIGERATOR','ORIENT','5535GD-BLK - 859',null,null);
INSERT INTO product_categories VALUES('4832','REFRIGERATOR','ORIENT','5535GD-FPRD - 859',null,null);
INSERT INTO product_categories VALUES('4833','REFRIGERATOR','ORIENT','5535GL-RDLV - 894',null,null);
INSERT INTO product_categories VALUES('4834','REFRIGERATOR','ORIENT','5535GLV-RD - 859',null,null);
INSERT INTO product_categories VALUES('4835','REFRIGERATOR','ORIENT','5535ICON-B - 859',null,null);
INSERT INTO product_categories VALUES('4836','REFRIGERATOR','ORIENT','5535ICON-BG - 859',null,null);
INSERT INTO product_categories VALUES('4837','REFRIGERATOR','ORIENT','260RUBY-BMR - 859',null,null);
INSERT INTO product_categories VALUES('4838','REFRIGERATOR','ORIENT','260RUBY-LB - 859',null,null);
INSERT INTO product_categories VALUES('4839','REFRIGERATOR','ORIENT','260CRYSTAL-GGD - 858',null,null);
INSERT INTO product_categories VALUES('4840','REFRIGERATOR','ORIENT','260CRYSTAL-GP - 858',null,null);
INSERT INTO product_categories VALUES('4841','REFRIGERATOR','ORIENT','260ICE-HLC - 858',null,null);
INSERT INTO product_categories VALUES('4842','REFRIGERATOR','ORIENT','260ICE-HLSL - 858',null,null);
INSERT INTO product_categories VALUES('4843','REFRIGERATOR','ORIENT','500INV-CRYSTAL-TB - 885',null,null);
INSERT INTO product_categories VALUES('4844','REFRIGERATOR','ORIENT','500DIAMOND-BBK - 885',null,null);
INSERT INTO product_categories VALUES('4845','REFRIGERATOR','ORIENT','500DIAMOND-SB - 885',null,null);
INSERT INTO product_categories VALUES('4846','REFRIGERATOR','ORIENT','500DIAMOND-SR - 885',null,null);
INSERT INTO product_categories VALUES('4847','REFRIGERATOR','ORIENT','68750GD-BK - 885',null,null);
INSERT INTO product_categories VALUES('4848','REFRIGERATOR','ORIENT','68750GDB - 885',null,null);
INSERT INTO product_categories VALUES('4849','REFRIGERATOR','ORIENT','68750GDR - 885',null,null);
INSERT INTO product_categories VALUES('4850','REFRIGERATOR','ORIENT','68750ICON-B - 885',null,null);
INSERT INTO product_categories VALUES('4851','REFRIGERATOR','ORIENT','68750ICON-BR - 885',null,null);
INSERT INTO product_categories VALUES('4852','REFRIGERATOR','ORIENT','68750IN-GTRD - 885',null,null);
INSERT INTO product_categories VALUES('4853','REFRIGERATOR','ORIENT','68750IN-PGBK - 885',null,null);
INSERT INTO product_categories VALUES('4854','REFRIGERATOR','ORIENT','68750IN-PGRD - 885',null,null);
INSERT INTO product_categories VALUES('4855','REFRIGERATOR','ORIENT','68750IP-BG - 885',null,null);
INSERT INTO product_categories VALUES('4856','REFRIGERATOR','ORIENT','68750IP-SL - 885',null,null);
INSERT INTO product_categories VALUES('4857','REFRIGERATOR','ORIENT','68750ZB-LGFDBK - 885',null,null);
INSERT INTO product_categories VALUES('4858','REFRIGERATOR','ORIENT','68750ZB-MFBK - 885',null,null);
INSERT INTO product_categories VALUES('4859','REFRIGERATOR','ORIENT','68750ZB-MFRD - 885',null,null);
INSERT INTO product_categories VALUES('4860','REFRIGERATOR','ORIENT','68750ZB-RD - 885',null,null);
INSERT INTO product_categories VALUES('4861','REFRIGERATOR','ORIENT','355GRAND-HGD - 884',null,null);
INSERT INTO product_categories VALUES('4862','REFRIGERATOR','ORIENT','355GRAND-HSL - 884',null,null);
INSERT INTO product_categories VALUES('4863','REFRIGERATOR','ORIENT','355LGRAND-HB - 746',null,null);
INSERT INTO product_categories VALUES('4864','REFRIGERATOR','ORIENT','355LGRAND-HS - 884',null,null);
INSERT INTO product_categories VALUES('4865','REFRIGERATOR','ORIENT','6047IP-BG - 883',null,null);
INSERT INTO product_categories VALUES('4866','REFRIGERATOR','ORIENT','6047IP-BR - 883',null,null);
INSERT INTO product_categories VALUES('4867','REFRIGERATOR','ORIENT','6047IP-MPFLBK - 883',null,null);
INSERT INTO product_categories VALUES('4868','REFRIGERATOR','ORIENT','6047IP-SL - 883',null,null);
INSERT INTO product_categories VALUES('4869','REFRIGERATOR','ORIENT','6047PF-GTBK - 860',null,null);
INSERT INTO product_categories VALUES('4870','REFRIGERATOR','ORIENT','6047PFB - 883',null,null);
INSERT INTO product_categories VALUES('4871','REFRIGERATOR','ORIENT','6047PFR - 883',null,null);
INSERT INTO product_categories VALUES('4872','REFRIGERATOR','ORIENT','6047PFSS - 883',null,null);
INSERT INTO product_categories VALUES('4873','REFRIGERATOR','ORIENT','6047PT-DMBK - 883',null,null);
INSERT INTO product_categories VALUES('4874','REFRIGERATOR','ORIENT','6047PT-SL - 883',null,null);
INSERT INTO product_categories VALUES('4875','REFRIGERATOR','ORIENT','505LGRAND-HB - 885',null,null);
INSERT INTO product_categories VALUES('4876','REFRIGERATOR','ORIENT','505LGRAND-HS - 885',null,null);
INSERT INTO product_categories VALUES('4877','REFRIGERATOR','ORIENT','265GRAND-HGD - 858',null,null);
INSERT INTO product_categories VALUES('4878','REFRIGERATOR','ORIENT','470CRYSTAL-GP - 897',null,null);
INSERT INTO product_categories VALUES('4879','REFRIGERATOR','ORIENT','470CRYSTAL-SB - 897',null,null);
INSERT INTO product_categories VALUES('4880','REFRIGERATOR','ORIENT','470DIAMOND-GRD  - 897',null,null);
INSERT INTO product_categories VALUES('4881','REFRIGERATOR','ORIENT','470DIAMOND-PBK - 896',null,null);
INSERT INTO product_categories VALUES('4882','REFRIGERATOR','ORIENT','470DIAMOND-PP - 897',null,null);
INSERT INTO product_categories VALUES('4883','REFRIGERATOR','ORIENT','470DIAMOND-PRD - 896',null,null);
INSERT INTO product_categories VALUES('4884','REFRIGERATOR','ORIENT','470DIAMOND-SB - 897',null,null);
INSERT INTO product_categories VALUES('4885','REFRIGERATOR','ORIENT','470DIAMOND-SBK - 897',null,null);
INSERT INTO product_categories VALUES('4886','REFRIGERATOR','ORIENT','280CRYSTAL-GGD - 859',null,null);
INSERT INTO product_categories VALUES('4887','REFRIGERATOR','ORIENT','225CRYSTAL-GRD  - 857',null,null);
INSERT INTO product_categories VALUES('4888','REFRIGERATOR','ORIENT','225CRYSTAL-SPP - 857',null,null);
INSERT INTO product_categories VALUES('4889','REFRIGERATOR','ORIENT','225CRYTAL-GP - 857',null,null);
INSERT INTO product_categories VALUES('4890','REFRIGERATOR','ORIENT','225CRYTAL-SB - 857',null,null);
INSERT INTO product_categories VALUES('4891','REFRIGERATOR','ORIENT','225CRYTAL-SRD - 857',null,null);
INSERT INTO product_categories VALUES('4892','REFRIGERATOR','ORIENT','225DIAMOND-BLK  - 857',null,null);
INSERT INTO product_categories VALUES('4893','REFRIGERATOR','ORIENT','225DIAMOND-GRD - 857',null,null);
INSERT INTO product_categories VALUES('4894','REFRIGERATOR','ORIENT','225DIAMOND-PBK - 857',null,null);
INSERT INTO product_categories VALUES('4895','REFRIGERATOR','ORIENT','225DIAMOND-SPP  - 857',null,null);
INSERT INTO product_categories VALUES('4896','REFRIGERATOR','ORIENT','225DIAMOND-SR - 857',null,null);
INSERT INTO product_categories VALUES('4897','REFRIGERATOR','ORIENT','350DIAMOND-LR - 883',null,null);
INSERT INTO product_categories VALUES('4898','REFRIGERATOR','ORIENT','350DIAMOND-PBK - 883',null,null);
INSERT INTO product_categories VALUES('4899','REFRIGERATOR','ORIENT','350DIAMOND-PR - 883',null,null);
INSERT INTO product_categories VALUES('4900','REFRIGERATOR','ORIENT','350DIAMOND-SB - 883',null,null);
INSERT INTO product_categories VALUES('4901','REFRIGERATOR','ORIENT','385GRAND-HGD - 895',null,null);
INSERT INTO product_categories VALUES('4902','REFRIGERATOR','ORIENT','385GRAND-HSL - 895',null,null);
INSERT INTO product_categories VALUES('4903','REFRIGERATOR','ORIENT','380ICE-HC - 883',null,null);
INSERT INTO product_categories VALUES('4904','REFRIGERATOR','ORIENT','380ICE-HSL - 884',null,null);
INSERT INTO product_categories VALUES('4905','REFRIGERATOR','ORIENT','6057PFR - 884',null,null);
INSERT INTO product_categories VALUES('4906','REFRIGERATOR','ORIENT','6057PFSS - 884',null,null);
INSERT INTO product_categories VALUES('4907','REFRIGERATOR','ORIENT','68635GDR - 896',null,null);
INSERT INTO product_categories VALUES('4908','REFRIGERATOR','ORIENT','68635ICON-B - 896',null,null);
INSERT INTO product_categories VALUES('4909','REFRIGERATOR','ORIENT','68635ICON-BR - 896',null,null);
INSERT INTO product_categories VALUES('4910','REFRIGERATOR','ORIENT','68635IN-BK - 896',null,null);
INSERT INTO product_categories VALUES('4911','REFRIGERATOR','ORIENT','68635IN-GTBK - 437',null,null);
INSERT INTO product_categories VALUES('4912','REFRIGERATOR','ORIENT','68635IN-PGBK - 896',null,null);
INSERT INTO product_categories VALUES('4913','REFRIGERATOR','ORIENT','68635INPF-SSSL - 896',null,null);
INSERT INTO product_categories VALUES('4914','REFRIGERATOR','ORIENT','68635IP-BG - 896',null,null);
INSERT INTO product_categories VALUES('4915','REFRIGERATOR','ORIENT','68635IP-SL - 896',null,null);
INSERT INTO product_categories VALUES('4916','REFRIGERATOR','ORIENT','68635PFB - 896',null,null);
INSERT INTO product_categories VALUES('4917','REFRIGERATOR','ORIENT','68635PFR - 896',null,null);
INSERT INTO product_categories VALUES('4918','REFRIGERATOR','ORIENT','68635PFRD - 896',null,null);
INSERT INTO product_categories VALUES('4919','REFRIGERATOR','ORIENT','68635PFSS - 896',null,null);
INSERT INTO product_categories VALUES('4920','REFRIGERATOR','ORIENT','68635ZB-LGFDBK - 896',null,null);
INSERT INTO product_categories VALUES('4921','REFRIGERATOR','ORIENT','68635ZB-MFRD - 896',null,null);
INSERT INTO product_categories VALUES('4922','REFRIGERATOR','ORIENT','68750-CR OR - 437',null,null);
INSERT INTO product_categories VALUES('4923','REFRIGERATOR','ORIENT','5535ICON-BR - 859',null,null);
INSERT INTO product_categories VALUES('4924','REFRIGERATOR','ORIENT','5535ICON-GR - 859',null,null);
INSERT INTO product_categories VALUES('4925','REFRIGERATOR','ORIENT','5535ICON-SL - 859',null,null);
INSERT INTO product_categories VALUES('4926','REFRIGERATOR','ORIENT','5535IP-BG - 859',null,null);
INSERT INTO product_categories VALUES('4927','REFRIGERATOR','ORIENT','5535IP-GRAY - 859',null,null);
INSERT INTO product_categories VALUES('4928','REFRIGERATOR','ORIENT','5535IP-MPFLBK - 859',null,null);
INSERT INTO product_categories VALUES('4929','REFRIGERATOR','ORIENT','5535IP-SL - 859',null,null);
INSERT INTO product_categories VALUES('4930','REFRIGERATOR','ORIENT','5544GD-BLK - 894',null,null);
INSERT INTO product_categories VALUES('4931','REFRIGERATOR','ORIENT','5544GD-RD - 894',null,null);
INSERT INTO product_categories VALUES('4932','REFRIGERATOR','ORIENT','5544GLV-RD - 894',null,null);
INSERT INTO product_categories VALUES('4933','REFRIGERATOR','ORIENT','5544ICON-BG - 894',null,null);
INSERT INTO product_categories VALUES('4934','REFRIGERATOR','ORIENT','5554IP-BG - 860',null,null);
INSERT INTO product_categories VALUES('4935','REFRIGERATOR','ORIENT','5554IP-SL - 860',null,null);
INSERT INTO product_categories VALUES('4936','REFRIGERATOR','ORIENT','6057-OR - 437',null,null);
INSERT INTO product_categories VALUES('4937','REFRIGERATOR','ORIENT','6057GD-SL - 884',null,null);
INSERT INTO product_categories VALUES('4938','REFRIGERATOR','ORIENT','6057GDB - 884',null,null);
INSERT INTO product_categories VALUES('4939','REFRIGERATOR','ORIENT','6057GDR - 884',null,null);
INSERT INTO product_categories VALUES('4940','REFRIGERATOR','ORIENT','6057GX-LGFDBKLV - 884',null,null);
INSERT INTO product_categories VALUES('4941','REFRIGERATOR','ORIENT','6057GX-LGFDRDLV - 884',null,null);
INSERT INTO product_categories VALUES('4942','REFRIGERATOR','ORIENT','6057GX-RD - 884',null,null);
INSERT INTO product_categories VALUES('4943','REFRIGERATOR','ORIENT','6057GXBK - 884',null,null);
INSERT INTO product_categories VALUES('4944','REFRIGERATOR','ORIENT','6057ICON-B - 883',null,null);
INSERT INTO product_categories VALUES('4945','REFRIGERATOR','ORIENT','6057ICON-BG - 884',null,null);
INSERT INTO product_categories VALUES('4946','REFRIGERATOR','ORIENT','6057ICON-BR - 884',null,null);
INSERT INTO product_categories VALUES('4947','REFRIGERATOR','ORIENT','330SNOW-VBK - 894',null,null);
INSERT INTO product_categories VALUES('4948','REFRIGERATOR','ORIENT','330CRYSTAL-GGD - 894',null,null);
INSERT INTO product_categories VALUES('4949','REFRIGERATOR','ORIENT','330CRYSTAL-GP - 894',null,null);
INSERT INTO product_categories VALUES('4950','REFRIGERATOR','ORIENT','350ICE-HLC  - 860',null,null);
INSERT INTO product_categories VALUES('4951','REFRIGERATOR','ORIENT','350ICE-HLGD - 860',null,null);
INSERT INTO product_categories VALUES('4952','REFRIGERATOR','ORIENT','230GRAND-HB - 858',null,null);
INSERT INTO product_categories VALUES('4953','REFRIGERATOR','ORIENT','230GRAND-HG - 858',null,null);
INSERT INTO product_categories VALUES('4954','REFRIGERATOR','ORIENT','230GRAND-HSL - 858',null,null);
INSERT INTO product_categories VALUES('4955','REFRIGERATOR','ORIENT','280ICE-HLC  - 859',null,null);
INSERT INTO product_categories VALUES('4956','REFRIGERATOR','ORIENT','280ICE-HLGD - 859',null,null);
INSERT INTO product_categories VALUES('4957','REFRIGERATOR','ORIENT','280ICE-HS - 859',null,null);
INSERT INTO product_categories VALUES('4958','REFRIGERATOR','ORIENT','280RUBY-PR - 859',null,null);
INSERT INTO product_categories VALUES('4959','REFRIGERATOR','ORIENT','380CRYSTAL-GGD - 884',null,null);
INSERT INTO product_categories VALUES('4960','REFRIGERATOR','ORIENT','380CRYSTAL-GR - 884',null,null);
INSERT INTO product_categories VALUES('4961','REFRIGERATOR','ORIENT','380DIAMOND-LBK - 746',null,null);
INSERT INTO product_categories VALUES('4962','REFRIGERATOR','ORIENT','380DIAMOND-PB - 884',null,null);
INSERT INTO product_categories VALUES('4963','REFRIGERATOR','ORIENT','380DIAMOND-PR - 884',null,null);
INSERT INTO product_categories VALUES('4964','REFRIGERATOR','ORIENT','380DIAMOND-SB - 746',null,null);
INSERT INTO product_categories VALUES('4965','REFRIGERATOR','ORIENT','6047GD-SL - 883',null,null);
INSERT INTO product_categories VALUES('4966','REFRIGERATOR','ORIENT','6047GDB - 860',null,null);
INSERT INTO product_categories VALUES('4967','REFRIGERATOR','ORIENT','6047GDFPRD - 860',null,null);
INSERT INTO product_categories VALUES('4968','REFRIGERATOR','ORIENT','6047GDR - 860',null,null);
INSERT INTO product_categories VALUES('4969','REFRIGERATOR','ORIENT','6047GXBK - 883',null,null);
INSERT INTO product_categories VALUES('4970','REFRIGERATOR','ORIENT','6047GXRD - 883',null,null);
INSERT INTO product_categories VALUES('4971','REFRIGERATOR','ORIENT','6047ICON-B - 883',null,null);
INSERT INTO product_categories VALUES('4972','REFRIGERATOR','ORIENT','6047ICON-BG - 883',null,null);
INSERT INTO product_categories VALUES('4973','REFRIGERATOR','ORIENT','6047ICON-BR - 883',null,null);
INSERT INTO product_categories VALUES('4974','REFRIGERATOR','ORIENT','6047ICON-GR - 883',null,null);
INSERT INTO product_categories VALUES('4975','REFRIGERATOR','ORIENT','6047ICON-GS - 883',null,null);
INSERT INTO product_categories VALUES('4976','REFRIGERATOR','ORIENT','6047IN-PGBK - 883',null,null);
INSERT INTO product_categories VALUES('4977','REFRIGERATOR','ORIENT','6047IN-PGRD - 883',null,null);
INSERT INTO product_categories VALUES('4978','REFRIGERATOR','ORIENT','6047INPFSSSL - 860',null,null);
INSERT INTO product_categories VALUES('4979','REFRIGERATOR','ORIENT','6057ICON-GR - 884',null,null);
INSERT INTO product_categories VALUES('4980','REFRIGERATOR','ORIENT','6057ICON-SL - 884',null,null);
INSERT INTO product_categories VALUES('4981','REFRIGERATOR','ORIENT','6057IN-PGBK - 884',null,null);
INSERT INTO product_categories VALUES('4982','REFRIGERATOR','ORIENT','6057INPF-EV - 884',null,null);
INSERT INTO product_categories VALUES('4983','REFRIGERATOR','ORIENT','6057INPG-RD - 884',null,null);
INSERT INTO product_categories VALUES('4984','REFRIGERATOR','ORIENT','6057IP-BG - 884',null,null);
INSERT INTO product_categories VALUES('4985','REFRIGERATOR','ORIENT','6057IP-HLSLLV - 884',null,null);
INSERT INTO product_categories VALUES('4986','REFRIGERATOR','ORIENT','6057IP-MPFLBK - 884',null,null);
INSERT INTO product_categories VALUES('4987','REFRIGERATOR','ORIENT','6057IP-SL - 883',null,null);
INSERT INTO product_categories VALUES('4988','REFRIGERATOR','ORIENT','6057M-HLSLLV - 746',null,null);
INSERT INTO product_categories VALUES('4989','REFRIGERATOR','ORIENT','6057PFB - 884',null,null);
INSERT INTO product_categories VALUES('4990','REFRIGERATOR','ORIENT','540CRYSTAL-GR - 885',null,null);
INSERT INTO product_categories VALUES('4991','REFRIGERATOR','ORIENT','540DIAMOND-BB - 885',null,null);
INSERT INTO product_categories VALUES('4992','REFRIGERATOR','ORIENT','540DIAMOND-SR - 900',null,null);
INSERT INTO product_categories VALUES('4993','REFRIGERATOR','ORIENT','5544ICON-BR - 894',null,null);
INSERT INTO product_categories VALUES('4994','REFRIGERATOR','ORIENT','5544ICON-SL - 894',null,null);
INSERT INTO product_categories VALUES('4995','REFRIGERATOR','ORIENT','5544IP-BG - 894',null,null);
INSERT INTO product_categories VALUES('4996','REFRIGERATOR','ORIENT','5544IP-GRAY - 894',null,null);
INSERT INTO product_categories VALUES('4997','REFRIGERATOR','ORIENT','5544IP-GREEN - 894',null,null);
INSERT INTO product_categories VALUES('4998','REFRIGERATOR','ORIENT','5544IP-MPFLBK - 860',null,null);
INSERT INTO product_categories VALUES('4999','REFRIGERATOR','ORIENT','5544IP-SL - 894',null,null);
INSERT INTO product_categories VALUES('5000','REFRIGERATOR','ORIENT','5554GD-BLK - 860',null,null);
INSERT INTO product_categories VALUES('5001','REFRIGERATOR','ORIENT','5554GD-RD - 860',null,null);
INSERT INTO product_categories VALUES('5002','REFRIGERATOR','ORIENT','5554ICON-BG - 860',null,null);
INSERT INTO product_categories VALUES('5003','REFRIGERATOR','ORIENT','5554ICON-BR - 860',null,null);
INSERT INTO product_categories VALUES('5004','REFRIGERATOR','ORIENT','5554ICON-GR - 860',null,null);
INSERT INTO product_categories VALUES('5005','REFRIGERATOR','ORIENT','5554ICON-SL - 860',null,null);
INSERT INTO product_categories VALUES('5006','REFRIGERATOR','ORIENT','68635-CR - 437',null,null);
INSERT INTO product_categories VALUES('5007','REFRIGERATOR','ORIENT','68635CR-BG - 896',null,null);
INSERT INTO product_categories VALUES('5008','REFRIGERATOR','ORIENT','68635GDB - 896',null,null);
INSERT INTO product_categories VALUES('5009','REFRIGERATOR','PANASONIC','511XB-NRD - 344',null,null);
INSERT INTO product_categories VALUES('5010','REFRIGERATOR','PANASONIC','647ASQA-S - 885',null,null);
INSERT INTO product_categories VALUES('5011','REFRIGERATOR','PANASONIC','755ASQA-S - 904',null,null);
INSERT INTO product_categories VALUES('5012','REFRIGERATOR','PANASONIC','40MSAS-S  - 884',null,null);
INSERT INTO product_categories VALUES('5013','REFRIGERATOR','PANASONIC','40MSASBC - 903',null,null);
INSERT INTO product_categories VALUES('5014','REFRIGERATOR','PANASONIC','49MSAS-S - 885',null,null);
INSERT INTO product_categories VALUES('5015','REFRIGERATOR','PANASONIC','49MSASBC - 908',null,null);
INSERT INTO product_categories VALUES('5016','REFRIGERATOR','PEL','145PRDI - 883',null,null);
INSERT INTO product_categories VALUES('5017','REFRIGERATOR','PEL','145PRGD - 884',null,null);
INSERT INTO product_categories VALUES('5018','REFRIGERATOR','PEL','145PRGD-M - 894',null,null);
INSERT INTO product_categories VALUES('5019','REFRIGERATOR','PEL','6400DLX - 88',null,null);
INSERT INTO product_categories VALUES('5020','REFRIGERATOR','PEL','2009SG - 88',null,null);
INSERT INTO product_categories VALUES('5021','REFRIGERATOR','PEL','6300DLX - 88',null,null);
INSERT INTO product_categories VALUES('5022','REFRIGERATOR','PEL','6300EW - 88',null,null);
INSERT INTO product_categories VALUES('5023','REFRIGERATOR','PEL','2009EW  - 893',null,null);
INSERT INTO product_categories VALUES('5024','REFRIGERATOR','PEL','2900EW - 88',null,null);
INSERT INTO product_categories VALUES('5025','REFRIGERATOR','PEL','2300DLX - 88',null,null);
INSERT INTO product_categories VALUES('5026','REFRIGERATOR','PEL','2300EW - 88',null,null);
INSERT INTO product_categories VALUES('5027','REFRIGERATOR','PEL','2100DLX - 88',null,null);
INSERT INTO product_categories VALUES('5028','REFRIGERATOR','PEL','2100EW - 88',null,null);
INSERT INTO product_categories VALUES('5029','REFRIGERATOR','PEL','140PRA - 884',null,null);
INSERT INTO product_categories VALUES('5030','REFRIGERATOR','PEL','140PRA-BIS - 883',null,null);
INSERT INTO product_categories VALUES('5031','REFRIGERATOR','PEL','140PRDI - 884',null,null);
INSERT INTO product_categories VALUES('5032','REFRIGERATOR','PEL','135PRA - 894',null,null);
INSERT INTO product_categories VALUES('5033','REFRIGERATOR','PEL','110PRDI - 859',null,null);
INSERT INTO product_categories VALUES('5034','REFRIGERATOR','PEL','150PR-GDI - 895',null,null);
INSERT INTO product_categories VALUES('5035','REFRIGERATOR','PEL','150PR-INVC - 884',null,null);
INSERT INTO product_categories VALUES('5036','REFRIGERATOR','PEL','150PRA - 896',null,null);
INSERT INTO product_categories VALUES('5037','REFRIGERATOR','PEL','150PRA-BIS - 884',null,null);
INSERT INTO product_categories VALUES('5038','REFRIGERATOR','PEL','150PRAP - 884',null,null);
INSERT INTO product_categories VALUES('5039','REFRIGERATOR','PEL','150PRD - 88',null,null);
INSERT INTO product_categories VALUES('5040','REFRIGERATOR','PEL','150PRDI - 896',null,null);
INSERT INTO product_categories VALUES('5041','REFRIGERATOR','PEL','150PRDM - 884',null,null);
INSERT INTO product_categories VALUES('5042','REFRIGERATOR','PEL','150PRGD - 896',null,null);
INSERT INTO product_categories VALUES('5043','REFRIGERATOR','PEL','150PRGD-M - 884',null,null);
INSERT INTO product_categories VALUES('5044','REFRIGERATOR','PEL','145PR-INVC - 894',null,null);
INSERT INTO product_categories VALUES('5045','REFRIGERATOR','PEL','145PRA - 860',null,null);
INSERT INTO product_categories VALUES('5046','REFRIGERATOR','PEL','145PRA-BIS - 894',null,null);
INSERT INTO product_categories VALUES('5047','REFRIGERATOR','PEL','157PRA - 897',null,null);
INSERT INTO product_categories VALUES('5048','REFRIGERATOR','PEL','157PRAP - 897',null,null);
INSERT INTO product_categories VALUES('5049','REFRIGERATOR','PEL','160PR-GDI - 903',null,null);
INSERT INTO product_categories VALUES('5050','REFRIGERATOR','PEL','160PR-INVC - 895',null,null);
INSERT INTO product_categories VALUES('5051','REFRIGERATOR','PEL','160PRA - 885',null,null);
INSERT INTO product_categories VALUES('5052','REFRIGERATOR','PEL','160PRA-BIS - 895',null,null);
INSERT INTO product_categories VALUES('5053','REFRIGERATOR','PEL','160PRDI - 895',null,null);
INSERT INTO product_categories VALUES('5054','REFRIGERATOR','PEL','160PRDM - 895',null,null);
INSERT INTO product_categories VALUES('5055','REFRIGERATOR','PEL','160PRGD - 885',null,null);
INSERT INTO product_categories VALUES('5056','REFRIGERATOR','PEL','160PRGD-M - 895',null,null);
INSERT INTO product_categories VALUES('5057','REFRIGERATOR','PEL','2000EW  - 893',null,null);
INSERT INTO product_categories VALUES('5058','REFRIGERATOR','PEL','6400SG - 88',null,null);
INSERT INTO product_categories VALUES('5059','REFRIGERATOR','PEL','6400EW - 88',null,null);
INSERT INTO product_categories VALUES('5060','REFRIGERATOR','PEL','120PRA - 858',null,null);
INSERT INTO product_categories VALUES('5061','REFRIGERATOR','PEL','120PRD - 88',null,null);
INSERT INTO product_categories VALUES('5062','REFRIGERATOR','PEL','120PRDI - 894',null,null);
INSERT INTO product_categories VALUES('5063','REFRIGERATOR','PEL','120PRGD - 858',null,null);
INSERT INTO product_categories VALUES('5064','REFRIGERATOR','PEL','120PRGD-M - 858',null,null);
INSERT INTO product_categories VALUES('5065','REFRIGERATOR','PEL','135PRAP - 883',null,null);
INSERT INTO product_categories VALUES('5066','REFRIGERATOR','PEL','135PRGD - 883',null,null);
INSERT INTO product_categories VALUES('5067','REFRIGERATOR','PEL','130PRA - 859',null,null);
INSERT INTO product_categories VALUES('5068','REFRIGERATOR','PEL','130PRDI - - 860',null,null);
INSERT INTO product_categories VALUES('5069','REFRIGERATOR','PEL','130PRGD-M - 859',null,null);
INSERT INTO product_categories VALUES('5070','REFRIGERATOR','PEL','130PRGGD - 858',null,null);
INSERT INTO product_categories VALUES('5071','REFRIGERATOR','PEL','155PR-GDI - 896',null,null);
INSERT INTO product_categories VALUES('5072','REFRIGERATOR','PEL','155PR-INVC - 896',null,null);
INSERT INTO product_categories VALUES('5073','REFRIGERATOR','PEL','155PRA - 884',null,null);
INSERT INTO product_categories VALUES('5074','REFRIGERATOR','PEL','155PRA-BIS - 884',null,null);
INSERT INTO product_categories VALUES('5075','REFRIGERATOR','PEL','155PRD - 88',null,null);
INSERT INTO product_categories VALUES('5076','REFRIGERATOR','PEL','155PRDI - 896',null,null);
INSERT INTO product_categories VALUES('5077','REFRIGERATOR','PEL','155PRGD - 88',null,null);
INSERT INTO product_categories VALUES('5078','REFRIGERATOR','PEL','155PRGD-M - 884',null,null);
INSERT INTO product_categories VALUES('5079','REFRIGERATOR','PEL','2500DLX - 88',null,null);
INSERT INTO product_categories VALUES('5080','REFRIGERATOR','PEL','2500EW - 88',null,null);
INSERT INTO product_categories VALUES('5081','REFRIGERATOR','PEL','2000PRGD - 1330',null,null);
INSERT INTO product_categories VALUES('5082','REFRIGERATOR','PEL','2000PRGD-M - 857',null,null);
INSERT INTO product_categories VALUES('5083','REFRIGERATOR','PEL','2200EW - 858',null,null);
INSERT INTO product_categories VALUES('5084','REFRIGERATOR','PEL','2200PRGD - 857',null,null);
INSERT INTO product_categories VALUES('5085','REFRIGERATOR','SAMSUNG','85K7110-SZ - 908',null,null);
INSERT INTO product_categories VALUES('5086','REFRIGERATOR','SAMSUNG','85K7110SLG - 75',null,null);
INSERT INTO product_categories VALUES('5087','REFRIGERATOR','SAMSUNG','18M6211 - 885',null,null);
INSERT INTO product_categories VALUES('5088','REFRIGERATOR','SAMSUNG','18M6211-FMRM - 885',null,null);
INSERT INTO product_categories VALUES('5089','REFRIGERATOR','SAMSUNG','18M6211-MRM - 885',null,null);
INSERT INTO product_categories VALUES('5090','REFRIGERATOR','SAMSUNG','18M6211-SZ - 885',null,null);
INSERT INTO product_categories VALUES('5091','REFRIGERATOR','SAMSUNG','39M71407F-S - 883',null,null);
INSERT INTO product_categories VALUES('5092','REFRIGERATOR','SAMSUNG','39M71407F-SZ - 884',null,null);
INSERT INTO product_categories VALUES('5093','REFRIGERATOR','SAMSUNG','39K5010WW - 75',null,null);
INSERT INTO product_categories VALUES('5094','REFRIGERATOR','SAMSUNG','39K5110-FMRM - 746',null,null);
INSERT INTO product_categories VALUES('5095','REFRIGERATOR','SAMSUNG','39K5110-MRM - 746',null,null);
INSERT INTO product_categories VALUES('5096','REFRIGERATOR','SAMSUNG','39K5110-SZ - 884',null,null);
INSERT INTO product_categories VALUES('5097','REFRIGERATOR','SAMSUNG','39K5110SP - 90',null,null);
INSERT INTO product_categories VALUES('5098','REFRIGERATOR','SAMSUNG','81DTBSPGT - 900',null,null);
INSERT INTO product_categories VALUES('5099','REFRIGERATOR','SAMSUNG','81K7010-MRM - 903',null,null);
INSERT INTO product_categories VALUES('5100','REFRIGERATOR','SAMSUNG','81K7010-SZ - 903',null,null);
INSERT INTO product_categories VALUES('5101','REFRIGERATOR','SAMSUNG','81K7010SL - 75',null,null);
INSERT INTO product_categories VALUES('5102','REFRIGERATOR','SAMSUNG','60K6130SP - 90',null,null);
INSERT INTO product_categories VALUES('5103','REFRIGERATOR','SAMSUNG','25FAJEDWW - - 858',null,null);
INSERT INTO product_categories VALUES('5104','REFRIGERATOR','SAMSUNG','50K5010MRM - 884',null,null);
INSERT INTO product_categories VALUES('5105','REFRIGERATOR','SAMSUNG','50K5010S8 - 90',null,null);
INSERT INTO product_categories VALUES('5106','REFRIGERATOR','SAMSUNG','50K5010S8-SZ - 746',null,null);
INSERT INTO product_categories VALUES('5107','REFRIGERATOR','SAMSUNG','72K6360SP - 75',null,null);
INSERT INTO product_categories VALUES('5108','REFRIGERATOR','SAMSUNG','72K6360SP-SZ  - 885',null,null);
INSERT INTO product_categories VALUES('5109','REFRIGERATOR','SAMSUNG','61M6211-FMRM - 903',null,null);
INSERT INTO product_categories VALUES('5110','REFRIGERATOR','SAMSUNG','61M6211-MRM - 903',null,null);
INSERT INTO product_categories VALUES('5111','REFRIGERATOR','SAMSUNG','65K6030 - 75',null,null);
INSERT INTO product_categories VALUES('5112','REFRIGERATOR','SAMSUNG','65K6030-MRM - 896',null,null);
INSERT INTO product_categories VALUES('5113','REFRIGERATOR','SAMSUNG','65K6030-SZ - 896',null,null);
INSERT INTO product_categories VALUES('5114','REFRIGERATOR','SAMSUNG','43FAJEDSP - 90 - 896',null,null);
INSERT INTO product_categories VALUES('5115','REFRIGERATOR','SAMSUNG','43FAJEDWW - 896',null,null);
INSERT INTO product_categories VALUES('5116','REFRIGERATOR','SAMSUNG','21KMFJ5SE-SZ - 859',null,null);
INSERT INTO product_categories VALUES('5117','REFRIGERATOR','SAMSUNG','22BKT - 688',null,null);
INSERT INTO product_categories VALUES('5118','REFRIGERATOR','SAMSUNG','43H5000GT - 896',null,null);
INSERT INTO product_categories VALUES('5119','REFRIGERATOR','SAMSUNG','46H5000GT - 885',null,null);
INSERT INTO product_categories VALUES('5120','REFRIGERATOR','SAMSUNG','46H5200GT - 885',null,null);
INSERT INTO product_categories VALUES('5121','REFRIGERATOR','SAMSUNG','48FAJEDSP - 897',null,null);
INSERT INTO product_categories VALUES('5122','REFRIGERATOR','SAMSUNG','48FAJEDWW - 897',null,null);
INSERT INTO product_categories VALUES('5123','REFRIGERATOR','SAMSUNG','35H66107-SZ - 884',null,null);
INSERT INTO product_categories VALUES('5124','REFRIGERATOR','SAMSUNG','35H66107F - 896',null,null);
INSERT INTO product_categories VALUES('5125','REFRIGERATOR','SAMSUNG','45K5010S8 - 883',null,null);
INSERT INTO product_categories VALUES('5126','REFRIGERATOR','SAMSUNG','45K5010S8-SZ - 883',null,null);
INSERT INTO product_categories VALUES('5127','REFRIGERATOR','SAMSUNG','64FAJEDSP - 908',null,null);
INSERT INTO product_categories VALUES('5128','REFRIGERATOR','SAMSUNG','64H5120EW  - 909',null,null);
INSERT INTO product_categories VALUES('5129','REFRIGERATOR','SAMSUNG','64H5350GT - 885',null,null);
INSERT INTO product_categories VALUES('5130','REFRIGERATOR','SHARP','700RD3 - 903',null,null);
INSERT INTO product_categories VALUES('5131','REFRIGERATOR','SHARP','700SL3 - 903',null,null);
INSERT INTO product_categories VALUES('5132','REFRIGERATOR','SHARP','200UGL - 860',null,null);
INSERT INTO product_categories VALUES('5133','REFRIGERATOR','SHARP','650BK3 - 885',null,null);
INSERT INTO product_categories VALUES('5134','REFRIGERATOR','SHARP','650-RD3 - 885',null,null);
INSERT INTO product_categories VALUES('5135','REFRIGERATOR','SHARP','70V-BK - 885',null,null);
INSERT INTO product_categories VALUES('5136','REFRIGERATOR','SHARP','750SL3 - 908',null,null);
INSERT INTO product_categories VALUES('5137','REFRIGERATOR','SHARP','750BK3 - 908',null,null);
INSERT INTO product_categories VALUES('5138','REFRIGERATOR','SHARP','75V-BK - 903',null,null);
INSERT INTO product_categories VALUES('5139','REFRIGERATOR','SHARP','650RD3 - 885',null,null);
INSERT INTO product_categories VALUES('5140','REFRIGERATOR','SHARP','650SL3 - 885',null,null);
INSERT INTO product_categories VALUES('5141','REFRIGERATOR','SHARP','70ESP - 1446',null,null);
INSERT INTO product_categories VALUES('5142','REFRIGERATOR','SHARP','700BK3 - 903',null,null);
INSERT INTO product_categories VALUES('5143','REFRIGERATOR','SIGNATURE','SRF-WB100-S - 860',null,null);
INSERT INTO product_categories VALUES('5144','REFRIGERATOR','SIGNATURE','SRF-WB100-B - 860',null,null);
INSERT INTO product_categories VALUES('5145','REFRIGERATOR','SIGNATURE','SRF-SY25D - 860',null,null);
INSERT INTO product_categories VALUES('5146','REFRIGERATOR','SIGNATURE','P2SS-SVR - 884',null,null);
INSERT INTO product_categories VALUES('5147','REFRIGERATOR','VARIOLINE','409BCD - 1356',null,null);
INSERT INTO product_categories VALUES('5148','REFRIGERATOR','VARIOLINE','15RSSS-DD - 885',null,null);
INSERT INTO product_categories VALUES('5149','REFRIGERATOR','VARIOLINE','15RSSS-SD - 885',null,null);
INSERT INTO product_categories VALUES('5150','SOUND SYSTEMS','BOSE','IZA190 - 971',null,null);
INSERT INTO product_categories VALUES('5151','SOUND SYSTEMS','BOSE','IZA2120 - 971',null,null);
INSERT INTO product_categories VALUES('5152','SOUND SYSTEMS','BOSE','ZA190 - 971',null,null);
INSERT INTO product_categories VALUES('5153','SOUND SYSTEMS','BOSE','SA2 - 93',null,null);
INSERT INTO product_categories VALUES('5154','SOUND SYSTEMS','BOSE','SA3 - 93',null,null);
INSERT INTO product_categories VALUES('5155','SOUND SYSTEMS','DENON','520A - 971',null,null);
INSERT INTO product_categories VALUES('5156','SOUND SYSTEMS','DENON','1513AVR - 971',null,null);
INSERT INTO product_categories VALUES('5157','SOUND SYSTEMS','DENON','510AE - 971',null,null);
INSERT INTO product_categories VALUES('5158','SOUND SYSTEMS','DENON','1312AVR - 971',null,null);
INSERT INTO product_categories VALUES('5159','SOUND SYSTEMS','DENON','1612AVR - 307',null,null);
INSERT INTO product_categories VALUES('5160','SOUND SYSTEMS','DENON','2113AVR - 971',null,null);
INSERT INTO product_categories VALUES('5161','SOUND SYSTEMS','DENON','1912AVR - 971',null,null);
INSERT INTO product_categories VALUES('5162','SOUND SYSTEMS','INTERM','120A - 971',null,null);
INSERT INTO product_categories VALUES('5163','SOUND SYSTEMS','INTERM','4000PA - 971',null,null);
INSERT INTO product_categories VALUES('5164','SOUND SYSTEMS','PIONEER','520K-VSX - 971',null,null);
INSERT INTO product_categories VALUES('5165','SOUND SYSTEMS','PIONEER','322K-VSX - 971',null,null);
INSERT INTO product_categories VALUES('5166','SOUND SYSTEMS','PIONEER','415VSX - 332',null,null);
INSERT INTO product_categories VALUES('5167','SOUND SYSTEMS','PIONEER','815VSX - 332',null,null);
INSERT INTO product_categories VALUES('5168','SOUND SYSTEMS','SHERWOOD','4502RX - 971',null,null);
INSERT INTO product_categories VALUES('5169','SOUND SYSTEMS','SHERWOOD','5502RX - 971',null,null);
INSERT INTO product_categories VALUES('5170','SOUND SYSTEMS','YAMAHA','571V - 971',null,null);
INSERT INTO product_categories VALUES('5171','SOUND SYSTEMS','YAMAHA','477V-RX - 971',null,null);
INSERT INTO product_categories VALUES('5172','SOUND SYSTEMS','YAMAHA','471V - 971',null,null);
INSERT INTO product_categories VALUES('5173','SOUND SYSTEMS','YAMAHA','671V - 971',null,null);
INSERT INTO product_categories VALUES('5174','SOUND SYSTEMS','YAMAHA','V667 - 198',null,null);
INSERT INTO product_categories VALUES('5175','SOUND SYSTEMS','YAMAHA','679V-RXB - 971',null,null);
INSERT INTO product_categories VALUES('5176','SOUND SYSTEMS','YAMAHA','497CDX - 971',null,null);
INSERT INTO product_categories VALUES('5177','SOUND SYSTEMS','YAMAHA','483V-RX  - 971',null,null);
INSERT INTO product_categories VALUES('5178','SOUND SYSTEMS','YAMAHA','V357 - 198',null,null);
INSERT INTO product_categories VALUES('5179','SOUND SYSTEMS','YAMAHA','V363-RX - 198',null,null);
INSERT INTO product_categories VALUES('5180','SOUND SYSTEMS','YAMAHA','V385-RX - 971',null,null);
INSERT INTO product_categories VALUES('5181','SOUND SYSTEMS','YAMAHA','V485-RX - 971',null,null);
INSERT INTO product_categories VALUES('5182','SOUND SYSTEMS','YAMAHA','V585-RX - 971',null,null);
INSERT INTO product_categories VALUES('5183','SOUND SYSTEMS','YAMAHA','V685-RX - 971',null,null);
INSERT INTO product_categories VALUES('5184','SOUND SYSTEMS','YAMAHA','V663-RX - 198',null,null);
INSERT INTO product_categories VALUES('5185','SOUND SYSTEMS','YAMAHA','383V-RX - 971',null,null);
INSERT INTO product_categories VALUES('5186','SOUND SYSTEMS','YAMAHA','665V - 198',null,null);
INSERT INTO product_categories VALUES('5187','SOUND SYSTEMS','YAMAHA','465V - 198',null,null);
INSERT INTO product_categories VALUES('5188','SOUND SYSTEMS','YAMAHA','367V-RX - 198',null,null);
INSERT INTO product_categories VALUES('5189','SOUND SYSTEMS','YAMAHA','365Y - 198',null,null);
INSERT INTO product_categories VALUES('5190','SOUND SYSTEMS','YAMAHA','565V - 198',null,null);
INSERT INTO product_categories VALUES('5191','SOUND SYSTEMS','YAMAHA','581V-RX - 971',null,null);
INSERT INTO product_categories VALUES('5192','SOUND SYSTEMS','YAMAHA','A3080-RX - 971',null,null);
INSERT INTO product_categories VALUES('5193','SOUND SYSTEMS','YAMAHA','781V-RX  - 971',null,null);
INSERT INTO product_categories VALUES('5194','SOUND SYSTEMS','YAMAHA','1065V-RX - 198',null,null);
INSERT INTO product_categories VALUES('5195','SOUND SYSTEMS','YAMAHA','2065V-RX - 198',null,null);
INSERT INTO product_categories VALUES('5196','SOUND SYSTEMS','BOSE','LIFESTYLEV20 - 93',null,null);
INSERT INTO product_categories VALUES('5197','SOUND SYSTEMS','BOSE','LIFESTYLEV30 - 93',null,null);
INSERT INTO product_categories VALUES('5198','SOUND SYSTEMS','BOSE','LIFESTYLE 525 - 969',null,null);
INSERT INTO product_categories VALUES('5199','SOUND SYSTEMS','BOSE','CINEMATE-520 - 969',null,null);
INSERT INTO product_categories VALUES('5200','SOUND SYSTEMS','BOSE','T20 - 93',null,null);
INSERT INTO product_categories VALUES('5201','SOUND SYSTEMS','BOSE','V35 - 93',null,null);
INSERT INTO product_categories VALUES('5202','SOUND SYSTEMS','DENON','1312XP-DHT - 969',null,null);
INSERT INTO product_categories VALUES('5203','SOUND SYSTEMS','YAMAHA','296YHT - 969',null,null);
INSERT INTO product_categories VALUES('5204','SOUND SYSTEMS','YAMAHA','298YHT - 966',null,null);
INSERT INTO product_categories VALUES('5205','SOUND SYSTEMS','LG','655LHB-S - 966',null,null);
INSERT INTO product_categories VALUES('5206','SOUND SYSTEMS','LG','9630TW - 966',null,null);
INSERT INTO product_categories VALUES('5207','SOUND SYSTEMS','LG','657LHD-C - 966',null,null);
INSERT INTO product_categories VALUES('5208','SOUND SYSTEMS','LG','657LHD-S - 966',null,null);
INSERT INTO product_categories VALUES('5209','SOUND SYSTEMS','SAMSUNG','5550H - 966',null,null);
INSERT INTO product_categories VALUES('5210','SOUND SYSTEMS','SAMSUNG','6550ES - 966',null,null);
INSERT INTO product_categories VALUES('5211','SOUND SYSTEMS','SAMSUNG','6550F - 966',null,null);
INSERT INTO product_categories VALUES('5212','SOUND SYSTEMS','SAMSUNG','5550JWK-S - 966',null,null);
INSERT INTO product_categories VALUES('5213','SOUND SYSTEMS','SAMSUNG','5550F - 966',null,null);
INSERT INTO product_categories VALUES('5214','SOUND SYSTEMS','SAMSUNG','4550EK - 966',null,null);
INSERT INTO product_categories VALUES('5215','SOUND SYSTEMS','SAMSUNG','4550F - 966',null,null);
INSERT INTO product_categories VALUES('5216','SOUND SYSTEMS','SAMSUNG','4550H-S - 966',null,null);
INSERT INTO product_categories VALUES('5217','SOUND SYSTEMS','SAMSUNG','5150J-S - 966',null,null);
INSERT INTO product_categories VALUES('5218','SOUND SYSTEMS','SAMSUNG','550EWK - 966',null,null);
INSERT INTO product_categories VALUES('5219','SOUND SYSTEMS','SAMSUNG','3550E - 966',null,null);
INSERT INTO product_categories VALUES('5220','SOUND SYSTEMS','SONY','6100E - 1306',null,null);
INSERT INTO product_categories VALUES('5221','SOUND SYSTEMS','SONY','3100E - 965',null,null);
INSERT INTO product_categories VALUES('5222','SOUND SYSTEMS','SONY','4100E-S - 966',null,null);
INSERT INTO product_categories VALUES('5223','SOUND SYSTEMS','SONY','E290 - 966',null,null);
INSERT INTO product_categories VALUES('5224','SOUND SYSTEMS','SONY','9200N - 966',null,null);
INSERT INTO product_categories VALUES('5225','SOUND SYSTEMS','SONY','9200W - 966',null,null);
INSERT INTO product_categories VALUES('5226','SOUND SYSTEMS','SONY','9200W-S - 966',null,null);
INSERT INTO product_categories VALUES('5227','SOUND SYSTEMS','SONY','9200B - 966',null,null);
INSERT INTO product_categories VALUES('5228','SOUND SYSTEMS','SONY','E970W - 46',null,null);
INSERT INTO product_categories VALUES('5229','SOUND SYSTEMS','PANASONIC','100UX-SC - 2064',null,null);
INSERT INTO product_categories VALUES('5230','SOUND SYSTEMS','BOSE','COMP2 - 184',null,null);
INSERT INTO product_categories VALUES('5231','SOUND SYSTEMS','BOSE','SOUND LINK MINI - 972',null,null);
INSERT INTO product_categories VALUES('5232','SOUND SYSTEMS','BOSE','SOUNDTOUCH-20 - 972',null,null);
INSERT INTO product_categories VALUES('5233','SOUND SYSTEMS','BOSE','SoundDOCK10 - 93',null,null);
INSERT INTO product_categories VALUES('5234','SOUND SYSTEMS','BOSE','SOUND DOCK - 93',null,null);
INSERT INTO product_categories VALUES('5235','SOUND SYSTEMS','BOSE','P/SOUND DOCK - 93',null,null);
INSERT INTO product_categories VALUES('5236','SOUND SYSTEMS','DENON','UPLAY - 972',null,null);
INSERT INTO product_categories VALUES('5237','SOUND SYSTEMS','DENON','11R - 972',null,null);
INSERT INTO product_categories VALUES('5238','SOUND SYSTEMS','YAMAHA','PDX30 - 246',null,null);
INSERT INTO product_categories VALUES('5239','SOUND SYSTEMS','YAMAHA','040-MCR - 246',null,null);
INSERT INTO product_categories VALUES('5240','SOUND SYSTEMS','YAMAHA','120TSX - 246',null,null);
INSERT INTO product_categories VALUES('5241','SOUND SYSTEMS','BOSE','LIFESTYLE38 - 93',null,null);
INSERT INTO product_categories VALUES('5242','SOUND SYSTEMS','BOSE','LIFESTYLE48 - 93',null,null);
INSERT INTO product_categories VALUES('5243','SOUND SYSTEMS','DENON','500XAVR - 965',null,null);
INSERT INTO product_categories VALUES('5244','SOUND SYSTEMS','LG','655W-S - 965',null,null);
INSERT INTO product_categories VALUES('5245','SOUND SYSTEMS','LG','645LHD-S - 153',null,null);
INSERT INTO product_categories VALUES('5246','SOUND SYSTEMS','LG','647LHD-S - 266',null,null);
INSERT INTO product_categories VALUES('5247','SOUND SYSTEMS','LG','6630DH-T - 965',null,null);
INSERT INTO product_categories VALUES('5248','SOUND SYSTEMS','LG','6630T - 965',null,null);
INSERT INTO product_categories VALUES('5249','SOUND SYSTEMS','LG','756LHD-S - 266',null,null);
INSERT INTO product_categories VALUES('5250','SOUND SYSTEMS','LG','655BT-LHD - 965',null,null);
INSERT INTO product_categories VALUES('5251','SOUND SYSTEMS','LG','7530TW - 965',null,null);
INSERT INTO product_categories VALUES('5252','SOUND SYSTEMS','ONKYO','4505HT - 965',null,null);
INSERT INTO product_categories VALUES('5253','SOUND SYSTEMS','PANASONIC','105XH-SC - 965',null,null);
INSERT INTO product_categories VALUES('5254','SOUND SYSTEMS','PANASONIC','166XH-SC - 965',null,null);
INSERT INTO product_categories VALUES('5255','SOUND SYSTEMS','PHILIPS','3510HTS - 229',null,null);
INSERT INTO product_categories VALUES('5256','SOUND SYSTEMS','PIONEER','212HTZ - 965',null,null);
INSERT INTO product_categories VALUES('5257','SOUND SYSTEMS','PIONEER','111HTZ - 965',null,null);
INSERT INTO product_categories VALUES('5258','SOUND SYSTEMS','PIONEER','424HTZ - 965',null,null);
INSERT INTO product_categories VALUES('5259','SOUND SYSTEMS','PIONEER','202HTZ - 351',null,null);
INSERT INTO product_categories VALUES('5260','SOUND SYSTEMS','SAMSUNG','350K-D - 965',null,null);
INSERT INTO product_categories VALUES('5261','SOUND SYSTEMS','SAMSUNG','9000FS - 965',null,null);
INSERT INTO product_categories VALUES('5262','SOUND SYSTEMS','SAMSUNG','8000FS - 517',null,null);
INSERT INTO product_categories VALUES('5263','SOUND SYSTEMS','SAMSUNG','E355K-HT - 965',null,null);
INSERT INTO product_categories VALUES('5264','SOUND SYSTEMS','SAMSUNG','453F-HBK - 965',null,null);
INSERT INTO product_categories VALUES('5265','SOUND SYSTEMS','SAMSUNG','330K - 965',null,null);
INSERT INTO product_categories VALUES('5266','SOUND SYSTEMS','SAMSUNG','453FHK - 517',null,null);
INSERT INTO product_categories VALUES('5267','SOUND SYSTEMS','SAMSUNG','455BK - 965',null,null);
INSERT INTO product_categories VALUES('5268','SOUND SYSTEMS','SAMSUNG','455F - 965',null,null);
INSERT INTO product_categories VALUES('5269','SOUND SYSTEMS','SAMSUNG','455K - 965',null,null);
INSERT INTO product_categories VALUES('5270','SOUND SYSTEMS','SAMSUNG','456F-S - 965',null,null);
INSERT INTO product_categories VALUES('5271','SOUND SYSTEMS','SONY','9100N - 965',null,null);
INSERT INTO product_categories VALUES('5272','SOUND SYSTEMS','SONY','DZ570 - 46',null,null);
INSERT INTO product_categories VALUES('5273','SOUND SYSTEMS','SONY','9900N - 965',null,null);
INSERT INTO product_categories VALUES('5274','SOUND SYSTEMS','SONY','DZ610 - 46',null,null);
INSERT INTO product_categories VALUES('5275','SOUND SYSTEMS','SONY','DZ640 - 46',null,null);
INSERT INTO product_categories VALUES('5276','SOUND SYSTEMS','SONY','DZ810 - 46',null,null);
INSERT INTO product_categories VALUES('5277','SOUND SYSTEMS','SONY','DZ840 - 46',null,null);
INSERT INTO product_categories VALUES('5278','SOUND SYSTEMS','SONY','DZ940 - 46',null,null);
INSERT INTO product_categories VALUES('5279','SOUND SYSTEMS','SONY','DZ950 - 1306',null,null);
INSERT INTO product_categories VALUES('5280','SOUND SYSTEMS','SONY','DZ650 - 965',null,null);
INSERT INTO product_categories VALUES('5281','SOUND SYSTEMS','SONY','DZ650S - 965',null,null);
INSERT INTO product_categories VALUES('5282','SOUND SYSTEMS','SONY','DZ350 - 965',null,null);
INSERT INTO product_categories VALUES('5283','SOUND SYSTEMS','SONY','DZ310 - 46',null,null);
INSERT INTO product_categories VALUES('5284','SOUND SYSTEMS','SONY','DZ340 - 46',null,null);
INSERT INTO product_categories VALUES('5285','SOUND SYSTEMS','SONY','DZ910 - 46',null,null);
INSERT INTO product_categories VALUES('5286','SOUND SYSTEMS','YAMAHA','196YHT - 965',null,null);
INSERT INTO product_categories VALUES('5287','SOUND SYSTEMS','SONY','2000SH - 1146',null,null);
INSERT INTO product_categories VALUES('5288','SOUND SYSTEMS','SONY','RV555 - 60',null,null);
INSERT INTO product_categories VALUES('5289','SOUND SYSTEMS','SONY','V6D - 1146',null,null);
INSERT INTO product_categories VALUES('5290','SOUND SYSTEMS','SONY','J1 - 709',null,null);
INSERT INTO product_categories VALUES('5291','SOUND SYSTEMS','PHILIPS','1356SA - 499',null,null);
INSERT INTO product_categories VALUES('5292','SOUND SYSTEMS','PHILIPS','2815SA - 499',null,null);
INSERT INTO product_categories VALUES('5293','SOUND SYSTEMS','PHILIPS','3225SA - 499',null,null);
INSERT INTO product_categories VALUES('5294','SOUND SYSTEMS','PHILIPS','3115SA - 499',null,null);
INSERT INTO product_categories VALUES('5295','SOUND SYSTEMS','PHILIPS','3125SA  - 499',null,null);
INSERT INTO product_categories VALUES('5296','SOUND SYSTEMS','YAMAHA','M82-HPH (BLACK) - 1961',null,null);
INSERT INTO product_categories VALUES('5297','SOUND SYSTEMS','YAMAHA','M82-HPH (BROWN) - 1961',null,null);
INSERT INTO product_categories VALUES('5298','SOUND SYSTEMS','YAMAHA','M82-HPH (GOLD) - 1961',null,null);
INSERT INTO product_categories VALUES('5299','SOUND SYSTEMS','YAMAHA','M82-HPH (RED) - 1961',null,null);
INSERT INTO product_categories VALUES('5300','SOUND SYSTEMS','YAMAHA','M82-HPH (WHITE) - 1961',null,null);
INSERT INTO product_categories VALUES('5301','SOUND SYSTEMS','ECOSTAR','120X-MS - 1254',null,null);
INSERT INTO product_categories VALUES('5302','SOUND SYSTEMS','ECOSTAR','110X-MS - 1254',null,null);
INSERT INTO product_categories VALUES('5303','SOUND SYSTEMS','PHILIPS','515MCD - 288',null,null);
INSERT INTO product_categories VALUES('5304','SOUND SYSTEMS','SAMSUNG','330D - 1254',null,null);
INSERT INTO product_categories VALUES('5305','SOUND SYSTEMS','SONY','SHAKE6 - 1254',null,null);
INSERT INTO product_categories VALUES('5306','SOUND SYSTEMS','SONY','SHAKE7 - 60',null,null);
INSERT INTO product_categories VALUES('5307','SOUND SYSTEMS','SONY','SHAKE88 - 1254',null,null);
INSERT INTO product_categories VALUES('5308','SOUND SYSTEMS','SONY','70X-SHAKE - 1254',null,null);
INSERT INTO product_categories VALUES('5309','SOUND SYSTEMS','SONY','SHAKE X30 - 1254',null,null);
INSERT INTO product_categories VALUES('5310','SOUND SYSTEMS','SONY','41VD-MHC - 1254',null,null);
INSERT INTO product_categories VALUES('5311','SOUND SYSTEMS','SONY','71VD-MHC - 1254',null,null);
INSERT INTO product_categories VALUES('5312','SOUND SYSTEMS','SONY','SHAKE-44 - 1254',null,null);
INSERT INTO product_categories VALUES('5313','SOUND SYSTEMS','SONY','SHAKE 7 - 60',null,null);
INSERT INTO product_categories VALUES('5314','SOUND SYSTEMS','SONY','V11-MHC - 1254',null,null);
INSERT INTO product_categories VALUES('5315','SOUND SYSTEMS','SONY','V4D - 1254',null,null);
INSERT INTO product_categories VALUES('5316','SOUND SYSTEMS','AUDIONIC','COOPER 9-BT LR - 1487',null,null);
INSERT INTO product_categories VALUES('5317','SOUND SYSTEMS','BOSE','LIFESTYLE520 - 1487',null,null);
INSERT INTO product_categories VALUES('5318','SOUND SYSTEMS','BOSE','AM6-SERIES 5 - 1487',null,null);
INSERT INTO product_categories VALUES('5319','SOUND SYSTEMS','BOSE','SOUNDLINK-MICRO - 1487',null,null);
INSERT INTO product_categories VALUES('5320','SOUND SYSTEMS','BOSE','LIFESTYLE 600 - 1487',null,null);
INSERT INTO product_categories VALUES('5321','SOUND SYSTEMS','BOSE','LIFESTYLE 650-BLK - 1487',null,null);
INSERT INTO product_categories VALUES('5322','SOUND SYSTEMS','BOSE','LIFESTYLE-535 - 1487',null,null);
INSERT INTO product_categories VALUES('5323','SOUND SYSTEMS','BOSE','SOUNDDOCK-III - 1487',null,null);
INSERT INTO product_categories VALUES('5324','SOUND SYSTEMS','BOSE','SOUNDDOCK-XT-YL - 1487',null,null);
INSERT INTO product_categories VALUES('5325','SOUND SYSTEMS','BOSE','SOUNDTOUCH-10 - 1487',null,null);
INSERT INTO product_categories VALUES('5326','SOUND SYSTEMS','BOSE','AM300 - 1487',null,null);
INSERT INTO product_categories VALUES('5327','SOUND SYSTEMS','SONY','K3SW - 1306',null,null);
INSERT INTO product_categories VALUES('5328','SOUND SYSTEMS','SONY','N990 - 1306',null,null);
INSERT INTO product_categories VALUES('5329','SOUND SYSTEMS','SONY','E690 - 1306',null,null);
INSERT INTO product_categories VALUES('5330','SOUND SYSTEMS','SONY','4100E - 1306',null,null);
INSERT INTO product_categories VALUES('5331','SOUND SYSTEMS','SONY','M3 - 1306',null,null);
INSERT INTO product_categories VALUES('5332','SOUND SYSTEMS','SONY','20D-SA-C - 1487',null,null);
INSERT INTO product_categories VALUES('5333','SOUND SYSTEMS','SONY','350S-HT-C - 1487',null,null);
INSERT INTO product_categories VALUES('5334','SOUND SYSTEMS','SONY','40RT-HT - 1487',null,null);
INSERT INTO product_categories VALUES('5335','SOUND SYSTEMS','SONY','500SRF-HT-C - 1487',null,null);
INSERT INTO product_categories VALUES('5336','SOUND SYSTEMS','SONY','290CT-HT - 1487',null,null);
INSERT INTO product_categories VALUES('5337','SOUND SYSTEMS','SONY','44VD-MHC - 1487',null,null);
INSERT INTO product_categories VALUES('5338','SOUND SYSTEMS','YAMAHA','8390NS - 218',null,null);
INSERT INTO product_categories VALUES('5339','SOUND SYSTEMS','YAMAHA','70-LSX(BRONZE G) - 1962',null,null);
INSERT INTO product_categories VALUES('5340','SOUND SYSTEMS','YAMAHA','170-LSX(BLACK G) - 1962',null,null);
INSERT INTO product_categories VALUES('5341','SOUND SYSTEMS','SONY','FX300 - 590',null,null);
INSERT INTO product_categories VALUES('5342','SOUND SYSTEMS','SONY','MX500I - 709',null,null);
INSERT INTO product_categories VALUES('5343','SOUND SYSTEMS','SHURE','PG58X - 1866',null,null);
INSERT INTO product_categories VALUES('5344','SOUND SYSTEMS','YAMAHA','50-PDX - 1960',null,null);
INSERT INTO product_categories VALUES('5345','SOUND SYSTEMS','AUDIONIC','RB-105 REBORN - 1410',null,null);
INSERT INTO product_categories VALUES('5346','SOUND SYSTEMS','AUDIONIC','RB-106 REBORN  - 1410',null,null);
INSERT INTO product_categories VALUES('5347','SOUND SYSTEMS','AUDIONIC','RB-110 REBORN - 1410',null,null);
INSERT INTO product_categories VALUES('5348','SOUND SYSTEMS','AUDIONIC','RB-115 REBORN - 1410',null,null);
INSERT INTO product_categories VALUES('5349','SOUND SYSTEMS','AUDIONIC','RB-120 REBORN - 1410',null,null);
INSERT INTO product_categories VALUES('5350','SOUND SYSTEMS','AUDIONIC','RB-90 REBORN - 1410',null,null);
INSERT INTO product_categories VALUES('5351','SOUND SYSTEMS','AUDIONIC','RB-95 REBORN  - 1410',null,null);
INSERT INTO product_categories VALUES('5352','SOUND SYSTEMS','AUDIONIC','TWIN BAR 1 - 1410',null,null);
INSERT INTO product_categories VALUES('5353','SOUND SYSTEMS','BAR','MINI-BAR - 1410',null,null);
INSERT INTO product_categories VALUES('5354','SOUND SYSTEMS','BOSE','CINEMATE-120 - 1410',null,null);
INSERT INTO product_categories VALUES('5355','SOUND SYSTEMS','BOSE','CINEMATE-130 - 1410',null,null);
INSERT INTO product_categories VALUES('5356','SOUND SYSTEMS','BOSE','CINEMATE-15 - 1410',null,null);
INSERT INTO product_categories VALUES('5357','SOUND SYSTEMS','BOSE','SOUNDTOUCH-300 - 1410',null,null);
INSERT INTO product_categories VALUES('5358','SOUND SYSTEMS','BOSE','SOLO-5 - 1410',null,null);
INSERT INTO product_categories VALUES('5359','SOUND SYSTEMS','BOSE','LIFESTYLE135 - 965',null,null);
INSERT INTO product_categories VALUES('5360','SOUND SYSTEMS','ECOSTAR','500X - 1369',null,null);
INSERT INTO product_categories VALUES('5361','SOUND SYSTEMS','ECOSTAR','D700-SB - 1410',null,null);
INSERT INTO product_categories VALUES('5362','SOUND SYSTEMS','ECOSTAR','D600-SB - 1410',null,null);
INSERT INTO product_categories VALUES('5363','SOUND SYSTEMS','ECOSTAR','550X- 980 - 1369',null,null);
INSERT INTO product_categories VALUES('5364','SOUND SYSTEMS','LG','464LAS - 1410',null,null);
INSERT INTO product_categories VALUES('5365','SOUND SYSTEMS','PHILIPS','8141HTS - 229',null,null);
INSERT INTO product_categories VALUES('5366','SOUND SYSTEMS','PHILIPS','6120HTS - 229',null,null);
INSERT INTO product_categories VALUES('5367','SOUND SYSTEMS','SAMSUNG','450J-P - 1410',null,null);
INSERT INTO product_categories VALUES('5368','SOUND SYSTEMS','SAMSUNG','450J-S - 1410',null,null);
INSERT INTO product_categories VALUES('5369','SOUND SYSTEMS','SAMSUNG','550K-S - 1410',null,null);
INSERT INTO product_categories VALUES('5370','SOUND SYSTEMS','SAMSUNG','7501J-S - 1410',null,null);
INSERT INTO product_categories VALUES('5371','SOUND SYSTEMS','SAMSUNG','751F - 517',null,null);
INSERT INTO product_categories VALUES('5372','SOUND SYSTEMS','SAMSUNG','450F - 1410',null,null);
INSERT INTO product_categories VALUES('5373','SOUND SYSTEMS','SAMSUNG','450H-S - 1410',null,null);
INSERT INTO product_categories VALUES('5374','SOUND SYSTEMS','SAMSUNG','4501M-S - 1410',null,null);
INSERT INTO product_categories VALUES('5375','SOUND SYSTEMS','SAMSUNG','450N - 1410',null,null);
INSERT INTO product_categories VALUES('5376','SOUND SYSTEMS','SAMSUNG','551J-S - 1410',null,null);
INSERT INTO product_categories VALUES('5377','SOUND SYSTEMS','SAMSUNG','551K-S - 1410',null,null);
INSERT INTO product_categories VALUES('5378','SOUND SYSTEMS','SAMSUNG','355F - 517',null,null);
INSERT INTO product_categories VALUES('5379','SOUND SYSTEMS','SIGNATURE','SSB-X555MT - 1410',null,null);
INSERT INTO product_categories VALUES('5380','SOUND SYSTEMS','SIGNATURE','SSB-X777MW - 1410',null,null);
INSERT INTO product_categories VALUES('5381','SOUND SYSTEMS','SIGNATURE','SSS-X999MT - 1410',null,null);
INSERT INTO product_categories VALUES('5382','SOUND SYSTEMS','SONY','80CT - 1410',null,null);
INSERT INTO product_categories VALUES('5383','SOUND SYSTEMS','SONY','100SF-HT - 1410',null,null);
INSERT INTO product_categories VALUES('5384','SOUND SYSTEMS','SONY','100SF-HT-C - 1410',null,null);
INSERT INTO product_categories VALUES('5385','SOUND SYSTEMS','SONY','RT3 - 1410',null,null);
INSERT INTO product_categories VALUES('5386','SOUND SYSTEMS','TCL','5000GL - 1410',null,null);
INSERT INTO product_categories VALUES('5387','SOUND SYSTEMS','YAMAHA','306-YAS - 1410',null,null);
INSERT INTO product_categories VALUES('5388','SOUND SYSTEMS','YAMAHA','108-YAS - 1410',null,null);
INSERT INTO product_categories VALUES('5389','SOUND SYSTEMS','YAMAHA','107-YAS(BLACK G) - 1410',null,null);
INSERT INTO product_categories VALUES('5390','SOUND SYSTEMS','YAMAHA','207-YAS(BLACK G) - 1410',null,null);
INSERT INTO product_categories VALUES('5391','SOUND SYSTEMS','YAMAHA','1600-YSP(BLACK) - 1410',null,null);
INSERT INTO product_categories VALUES('5392','SOUND SYSTEMS','SONY','V42D-MHC-C - 2082',null,null);
INSERT INTO product_categories VALUES('5393','SOUND SYSTEMS','SONY','02V-MHC-C - 2082',null,null);
INSERT INTO product_categories VALUES('5394','SOUND SYSTEMS','YAMAHA','120-TSX - 1959',null,null);
INSERT INTO product_categories VALUES('5395','SOUND SYSTEMS','YAMAHA','70-PSX - 1959',null,null);
INSERT INTO product_categories VALUES('5396','SOUND SYSTEMS','YAMAHA','70-TSX - 1959',null,null);
INSERT INTO product_categories VALUES('5397','SOUND SYSTEMS','YAMAHA','W80-TSX - 1959',null,null);
INSERT INTO product_categories VALUES('5398','SOUND SYSTEMS','BOSE','MIX-12FX - 1450',null,null);
INSERT INTO product_categories VALUES('5399','SOUND SYSTEMS','YAMAHA','402U - 1450',null,null);
INSERT INTO product_categories VALUES('5400','SOUND SYSTEMS','LG','B-340LAP - 1996',null,null);
INSERT INTO product_categories VALUES('5401','SOUND SYSTEMS','LG','340LAP - 1822',null,null);
INSERT INTO product_categories VALUES('5402','SOUND SYSTEMS','AUDIONIC','10MS-MONSTER - 968',null,null);
INSERT INTO product_categories VALUES('5403','SOUND SYSTEMS','AUDIONIC','120MH - 968',null,null);
INSERT INTO product_categories VALUES('5404','SOUND SYSTEMS','AUDIONIC','CLASSIC 6-BT - 968',null,null);
INSERT INTO product_categories VALUES('5405','SOUND SYSTEMS','AUDIONIC','CLASSIC 7.7-BT LR - 968',null,null);
INSERT INTO product_categories VALUES('5406','SOUND SYSTEMS','AUDIONIC','VISION-9 - 968',null,null);
INSERT INTO product_categories VALUES('5407','SOUND SYSTEMS','AUDIONIC','QUAD BAR 4 - 968',null,null);
INSERT INTO product_categories VALUES('5408','SOUND SYSTEMS','AUDIONIC','QUAD BAR 5 - 968',null,null);
INSERT INTO product_categories VALUES('5409','SOUND SYSTEMS','AUDIONIC','550MAX BT-PLUS - 968',null,null);
INSERT INTO product_categories VALUES('5410','SOUND SYSTEMS','AUDIONIC','350MAX - 968',null,null);
INSERT INTO product_categories VALUES('5411','SOUND SYSTEMS','AUDIONIC','220MS-MONSTER LR - 968',null,null);
INSERT INTO product_categories VALUES('5412','SOUND SYSTEMS','AUDIONIC','400DJ - 968',null,null);
INSERT INTO product_categories VALUES('5413','SOUND SYSTEMS','AUDIONIC','PACE-3 - 968',null,null);
INSERT INTO product_categories VALUES('5414','SOUND SYSTEMS','BOSE','AM10S5 - 968',null,null);
INSERT INTO product_categories VALUES('5415','SOUND SYSTEMS','BOSE','901-VI - 968',null,null);
INSERT INTO product_categories VALUES('5416','SOUND SYSTEMS','BOSE','BOSE SOLO - 968',null,null);
INSERT INTO product_categories VALUES('5417','SOUND SYSTEMS','BOSE','6.1KIT - 93',null,null);
INSERT INTO product_categories VALUES('5418','SOUND SYSTEMS','BOSE','4400 - 968',null,null);
INSERT INTO product_categories VALUES('5419','SOUND SYSTEMS','BOSE','DS40S - 968',null,null);
INSERT INTO product_categories VALUES('5420','SOUND SYSTEMS','BOSE','DS100SE - 536',null,null);
INSERT INTO product_categories VALUES('5421','SOUND SYSTEMS','BOSE','DS16F - 968',null,null);
INSERT INTO product_categories VALUES('5422','SOUND SYSTEMS','BOSE','DS16S - 968',null,null);
INSERT INTO product_categories VALUES('5423','SOUND SYSTEMS','BOSE','DS16SE - 968',null,null);
INSERT INTO product_categories VALUES('5424','SOUND SYSTEMS','BOSE','SOUNDLINK-COLOUR-II - 968',null,null);
INSERT INTO product_categories VALUES('5425','SOUND SYSTEMS','BOSE','REVOLVE - 968',null,null);
INSERT INTO product_categories VALUES('5426','SOUND SYSTEMS','BOSE','REVOLVE-PLUS - 968',null,null);
INSERT INTO product_categories VALUES('5427','SOUND SYSTEMS','BOSE','AM3 - 93',null,null);
INSERT INTO product_categories VALUES('5428','SOUND SYSTEMS','BOSE','AM5 - 93',null,null);
INSERT INTO product_categories VALUES('5429','SOUND SYSTEMS','BOSE','AM6 - 93',null,null);
INSERT INTO product_categories VALUES('5430','SOUND SYSTEMS','BOSE','AM15 - 93',null,null);
INSERT INTO product_categories VALUES('5431','SOUND SYSTEMS','BOSE','AM10 - 93',null,null);
INSERT INTO product_categories VALUES('5432','SOUND SYSTEMS','BOSE','AM16 - 93',null,null);
INSERT INTO product_categories VALUES('5433','SOUND SYSTEMS','BOSE','SOUNDLINK-COLOUR - 968',null,null);
INSERT INTO product_categories VALUES('5434','SOUND SYSTEMS','BOSE','SOUNDLINK111 - 968',null,null);
INSERT INTO product_categories VALUES('5435','SOUND SYSTEMS','BOSE','SOUNDLINK-BL - 968',null,null);
INSERT INTO product_categories VALUES('5436','SOUND SYSTEMS','BOSE','COMP5 - 184',null,null);
INSERT INTO product_categories VALUES('5437','SOUND SYSTEMS','BOSE','FREESPACE16 - 184',null,null);
INSERT INTO product_categories VALUES('5438','SOUND SYSTEMS','BOSE','FREESPACE51 - 184',null,null);
INSERT INTO product_categories VALUES('5439','SOUND SYSTEMS','BOSE','151E - 93',null,null);
INSERT INTO product_categories VALUES('5440','SOUND SYSTEMS','BOSE','251 - 184',null,null);
INSERT INTO product_categories VALUES('5441','SOUND SYSTEMS','BOSE','VIRTUALLY INV 300 - 968',null,null);
INSERT INTO product_categories VALUES('5442','SOUND SYSTEMS','BOSE','F1-812 - 968',null,null);
INSERT INTO product_categories VALUES('5443','SOUND SYSTEMS','BOSE','COMPANION 2-III - 968',null,null);
INSERT INTO product_categories VALUES('5444','SOUND SYSTEMS','BOSE','COMPANION 5 - 968',null,null);
INSERT INTO product_categories VALUES('5445','SOUND SYSTEMS','BOSE','SOUNDLINKMINI-II - 972',null,null);
INSERT INTO product_categories VALUES('5446','SOUND SYSTEMS','BOSE','301 - 184',null,null);
INSERT INTO product_categories VALUES('5447','SOUND SYSTEMS','BOSE','L1 COMPACT - 93',null,null);
INSERT INTO product_categories VALUES('5448','SOUND SYSTEMS','BOSE','201 - 184',null,null);
INSERT INTO product_categories VALUES('5449','SOUND SYSTEMS','BOSE','DS16F - 184',null,null);
INSERT INTO product_categories VALUES('5450','SOUND SYSTEMS','BOSE','SOUNDLINK-BN - 968',null,null);
INSERT INTO product_categories VALUES('5451','SOUND SYSTEMS','BOSE','SOUNDLINK - 93',null,null);
INSERT INTO product_categories VALUES('5452','SOUND SYSTEMS','CHANGHONG','626CHRG - 968',null,null);
INSERT INTO product_categories VALUES('5453','SOUND SYSTEMS','EDIFIER','100X - 839',null,null);
INSERT INTO product_categories VALUES('5454','SOUND SYSTEMS','EDIFIER','XM6 - 968',null,null);
INSERT INTO product_categories VALUES('5455','SOUND SYSTEMS','JAMO','E600 - 258',null,null);
INSERT INTO product_categories VALUES('5456','SOUND SYSTEMS','JAMO','E660 - 258',null,null);
INSERT INTO product_categories VALUES('5457','SOUND SYSTEMS','KLIPSCH','QUINTED-II - 255',null,null);
INSERT INTO product_categories VALUES('5458','SOUND SYSTEMS','MONITOR AUDIO','50CLT - 968',null,null);
INSERT INTO product_categories VALUES('5459','SOUND SYSTEMS','SONY','40D - 968',null,null);
INSERT INTO product_categories VALUES('5460','SOUND SYSTEMS','SONY','40D-SA - 968',null,null);
INSERT INTO product_categories VALUES('5461','SOUND SYSTEMS','SONY','M40D - 968',null,null);
INSERT INTO product_categories VALUES('5462','SOUND SYSTEMS','YAMAHA','60P-NS - 690',null,null);
INSERT INTO product_categories VALUES('5463','SOUND SYSTEMS','YAMAHA','120PA-NS - 968',null,null);
INSERT INTO product_categories VALUES('5464','SOUND SYSTEMS','YAMAHA','P40-NS - 968',null,null);
INSERT INTO product_categories VALUES('5465','SOUND SYSTEMS','YAMAHA','PN20-NS  - 968',null,null);
INSERT INTO product_categories VALUES('5466','SOUND SYSTEMS','YAMAHA','P276 - 218',null,null);
INSERT INTO product_categories VALUES('5467','SOUND SYSTEMS','YAMAHA','C60P-NS - 690',null,null);
INSERT INTO product_categories VALUES('5468','SOUND SYSTEMS','YAMAHA','592AW-NS - 690',null,null);
INSERT INTO product_categories VALUES('5469','SOUND SYSTEMS','YAMAHA','140F-NS - 968',null,null);
INSERT INTO product_categories VALUES('5470','SOUND SYSTEMS','YAMAHA','SW030 - 582',null,null);
INSERT INTO product_categories VALUES('5471','SOUND SYSTEMS','YAMAHA','7390NS - 218',null,null);
INSERT INTO product_categories VALUES('5472','SOUND SYSTEMS','YAMAHA','012SW-YST(BLACK R) - 1963',null,null);
INSERT INTO product_categories VALUES('5473','SOUND SYSTEMS','YAMAHA','51P-NS(BLACK) - 1957',null,null);
INSERT INTO product_categories VALUES('5474','SOUND SYSTEMS','YAMAHA','444C-NS(BLACK) - 1958',null,null);
INSERT INTO product_categories VALUES('5475','SOUND SYSTEMS','YAMAHA','333-NS(BLACK) - 1958',null,null);
INSERT INTO product_categories VALUES('5476','SOUND SYSTEMS','YAMAHA','777-NS(BLACK) - 1957',null,null);
INSERT INTO product_categories VALUES('5477','SOUND SYSTEMS','YAMAHA','40PA-NS(BLACK G) - 1957',null,null);
INSERT INTO product_categories VALUES('5478','SOUND SYSTEMS','YAMAHA','160F-NS(BLACK G) - 1957',null,null);
INSERT INTO product_categories VALUES('5479','SOUND SYSTEMS','YAMAHA','555-NS(BLACK) - 1957',null,null);
INSERT INTO product_categories VALUES('5480','SOUND SYSTEMS','BOSE','SOUNDTOUCH 130 - 1474',null,null);
INSERT INTO product_categories VALUES('5481','SOUND SYSTEMS','BOSE','SOUNDTOUCH 30 - 1474',null,null);
INSERT INTO product_categories VALUES('5482','SOUND SYSTEMS','AUDIONIC','1212MH-MEHFIL - 1520',null,null);
INSERT INTO product_categories VALUES('5483','SOUND SYSTEMS','AUDIONIC','10WMR - 1520',null,null);
INSERT INTO product_categories VALUES('5484','SOUND SYSTEMS','BOSE','F1-SUBWOOFER - 1520',null,null);
INSERT INTO product_categories VALUES('5485','SOUND SYSTEMS','DENON','1312SW - 1520',null,null);
INSERT INTO product_categories VALUES('5486','SOUND SYSTEMS','KLIPSCH','KSW10 - 584',null,null);
INSERT INTO product_categories VALUES('5487','SOUND SYSTEMS','YAMAHA','SW150 - 1053',null,null);
INSERT INTO product_categories VALUES('5488','SOUND SYSTEMS','YAMAHA','WP430 - 582',null,null);
INSERT INTO product_categories VALUES('5489','SOUND SYSTEMS','YAMAHA','050SW-NS(BLACK G) - 1520',null,null);
INSERT INTO product_categories VALUES('5490','SOUND SYSTEMS','YAMAHA','315SW-YST - 1520',null,null);
INSERT INTO product_categories VALUES('5491','SPINNER','BOSS','400PLUS - 1396',null,null);
INSERT INTO product_categories VALUES('5492','SPINNER','BOSS','700KE - 1396',null,null);
INSERT INTO product_categories VALUES('5493','SPINNER','DAWLANCE','5100 - 118',null,null);
INSERT INTO product_categories VALUES('5494','SPINNER','DAWLANCE','5100HZP-DW - 65',null,null);
INSERT INTO product_categories VALUES('5495','SPINNER','DAWLANCE','600DS - 1550',null,null);
INSERT INTO product_categories VALUES('5496','SPINNER','DAWLANCE','6000DS-DW - 1550',null,null);
INSERT INTO product_categories VALUES('5497','SPINNER','DAWLANCE','5500DW - 118',null,null);
INSERT INTO product_categories VALUES('5498','SPINNER','DAWLANCE','5500HZP - 879',null,null);
INSERT INTO product_categories VALUES('5499','SPINNER','DAWLANCE','5200DW - 118',null,null);
INSERT INTO product_categories VALUES('5500','SPINNER','HAIER','551010ME - 879',null,null);
INSERT INTO product_categories VALUES('5501','SPINNER','HAIER','1000TVE - 69',null,null);
INSERT INTO product_categories VALUES('5502','SPINNER','INDESIT','102EX - 591',null,null);
INSERT INTO product_categories VALUES('5503','SPINNER','SIEMENS','10A165ME - 376',null,null);
INSERT INTO product_categories VALUES('5504','SPINNER','SIEMENS','12D523GB-WD - 899',null,null);
INSERT INTO product_categories VALUES('5505','SPINNER','SUPER ASIA','518SD - 528',null,null);
INSERT INTO product_categories VALUES('5506','SPINNER','SUPER ASIA','218SA - 522',null,null);
INSERT INTO product_categories VALUES('5507','SPINNER','TEKA','40.2TKX - 747',null,null);
INSERT INTO product_categories VALUES('5508','SPINNER','WELCOME','510IZ - 2063',null,null);
INSERT INTO product_categories VALUES('5509','STABLIZER','LUCKY STAR','4000WATTS - 1582',null,null);
INSERT INTO product_categories VALUES('5510','STABLIZER','BEST','2500W - 643',null,null);
INSERT INTO product_categories VALUES('5511','STABLIZER','Dolphin','Imported Heavy Duty - 1692',null,null);
INSERT INTO product_categories VALUES('5512','STABLIZER','Dolphin','Imported Normal - 1692',null,null);
INSERT INTO product_categories VALUES('5513','STABLIZER','Dolphin','20 Inch 2Frame - 1691',null,null);
INSERT INTO product_categories VALUES('5514','STABLIZER','Dolphin','20 Inch Heavy Duty - 1691',null,null);
INSERT INTO product_categories VALUES('5515','STABLIZER','Dolphin','20 Inch Sports - 1691',null,null);
INSERT INTO product_categories VALUES('5516','STABLIZER','Dolphin','16 Inch 2Frame - 1691',null,null);
INSERT INTO product_categories VALUES('5517','STABLIZER','Dolphin','26 Inch Gear - 1691',null,null);
INSERT INTO product_categories VALUES('5518','STABLIZER','Dolphin','26 Inch Simple - 1691',null,null);
INSERT INTO product_categories VALUES('5519','STABLIZER','Dolphin','22 Inch Sohrab - 1691',null,null);
INSERT INTO product_categories VALUES('5520','STABLIZER','Dolphin','140-D - 1987',null,null);
INSERT INTO product_categories VALUES('5521','STABLIZER','Dolphin','90-D - 1987',null,null);
INSERT INTO product_categories VALUES('5522','STABLIZER','Dolphin','12 Inch Superman - 1691',null,null);
INSERT INTO product_categories VALUES('5523','STABLIZER','HOMAGE','1000HAVR - 1600',null,null);
INSERT INTO product_categories VALUES('5524','STABLIZER','HOMAGE','1011 - 1828',null,null);
INSERT INTO product_categories VALUES('5525','STABLIZER','HOMAGE','1005 - 1828',null,null);
INSERT INTO product_categories VALUES('5526','STABLIZER','INVEREX','1000A - 1766',null,null);
INSERT INTO product_categories VALUES('5527','STABLIZER','HABIB','2500WATTS-HB - 627',null,null);
INSERT INTO product_categories VALUES('5528','STABLIZER','LUCKY STAR','2500WATTS - 627',null,null);
INSERT INTO product_categories VALUES('5529','STABLIZER','LUCKY STAR','3000WATS - 627',null,null);
INSERT INTO product_categories VALUES('5530','STABLIZER','MAGROON','STABLIZER - 573',null,null);
INSERT INTO product_categories VALUES('5531','STABLIZER','MERCURY','1000AVR - 385',null,null);
INSERT INTO product_categories VALUES('5532','STABLIZER','UMA','10000WATTS - 106',null,null);
INSERT INTO product_categories VALUES('5533','STABLIZER','UMA','7500WATTS - 106',null,null);
INSERT INTO product_categories VALUES('5534','STEAMER','ROWENTA','6200IF - 1463',null,null);
INSERT INTO product_categories VALUES('5535','TEA TROLLY','PHILIPS','640-HTP - 1732',null,null);
INSERT INTO product_categories VALUES('5536','TEA TROLLY','UNIQUE HOUSEHOLD','TT-ASF - 1732',null,null);
INSERT INTO product_categories VALUES('5537','TEA TROLLY','UNIQUE HOUSEHOLD','NS-3L - 1732',null,null);
INSERT INTO product_categories VALUES('5538','TEA TROLLY','UNIQUE HOUSEHOLD','NS-4 - 1732',null,null);
INSERT INTO product_categories VALUES('5539','TEA TROLLY','UNIQUE HOUSEHOLD','4002 - 1232',null,null);
INSERT INTO product_categories VALUES('5540','TEA TROLLY','UNIQUE HOUSEHOLD','8030 - 1232',null,null);
INSERT INTO product_categories VALUES('5541','TEA TROLLY','UNIQUE HOUSEHOLD','8025 - 1232',null,null);
INSERT INTO product_categories VALUES('5542','TV TROLLY','ADVANCE TECH','210BX - 1283',null,null);
INSERT INTO product_categories VALUES('5543','TV TROLLY','ADVANCE TECH','202BX - 1283',null,null);
INSERT INTO product_categories VALUES('5544','TV TROLLY','ADVANCE TECH','220BX - 1283',null,null);
INSERT INTO product_categories VALUES('5545','TV TROLLY','HI-TONE','150TV - 1774',null,null);
INSERT INTO product_categories VALUES('5546','TV TROLLY','HI-TONE','1190 - 2020',null,null);
INSERT INTO product_categories VALUES('5547','TV TROLLY','HI-TONE','312 - 2020',null,null);
INSERT INTO product_categories VALUES('5548','TV TROLLY','HI-TONE','53TT - 2019',null,null);
INSERT INTO product_categories VALUES('5549','TV TROLLY','HI-TONE','51TT - 2019',null,null);
INSERT INTO product_categories VALUES('5550','TV TROLLY','HI-TONE','A2 - 2020',null,null);
INSERT INTO product_categories VALUES('5551','TV TROLLY','HI-TONE','170C6 - 2019',null,null);
INSERT INTO product_categories VALUES('5552','TV TROLLY','HI-TONE','640HD - 253',null,null);
INSERT INTO product_categories VALUES('5553','TV TROLLY','HI-TONE','A-01 - 253',null,null);
INSERT INTO product_categories VALUES('5554','TV TROLLY','HI-TONE','001 - 253',null,null);
INSERT INTO product_categories VALUES('5555','TV TROLLY','HI-TONE','624 - 253',null,null);
INSERT INTO product_categories VALUES('5556','TV TROLLY','MAX','96REX - 2035',null,null);
INSERT INTO product_categories VALUES('5557','TV TROLLY','MAX','V8 - 2035',null,null);
INSERT INTO product_categories VALUES('5558','TV TROLLY','MAX','36H - 2035',null,null);
INSERT INTO product_categories VALUES('5559','TV TROLLY','MAX','1217 - 2035',null,null);
INSERT INTO product_categories VALUES('5560','TV TROLLY','MAX','60SN - 2035',null,null);
INSERT INTO product_categories VALUES('5561','TV TROLLY','MAX','40W - 2035',null,null);
INSERT INTO product_categories VALUES('5562','TV TROLLY','MAX','48R - 2035',null,null);
INSERT INTO product_categories VALUES('5563','TV TROLLY','MAX','48SB - 2035',null,null);
INSERT INTO product_categories VALUES('5564','TV TROLLY','MAX','60W - 2035',null,null);
INSERT INTO product_categories VALUES('5565','TV TROLLY','MAX','48INNOVATION - 2035',null,null);
INSERT INTO product_categories VALUES('5566','TV TROLLY','MAX','37H - 2035',null,null);
INSERT INTO product_categories VALUES('5567','TV TROLLY','MAX','72SN - 2035',null,null);
INSERT INTO product_categories VALUES('5568','TV TROLLY','MAX','72ZEBRA  - 2035',null,null);
INSERT INTO product_categories VALUES('5569','TV TROLLY','MAX','72A - 2035',null,null);
INSERT INTO product_categories VALUES('5570','VACUUM CLEANER','AARDEE','1400-ARVCC - 1063',null,null);
INSERT INTO product_categories VALUES('5571','VACUUM CLEANER','AARDEE','2000-ARVCC - 1069',null,null);
INSERT INTO product_categories VALUES('5572','VACUUM CLEANER','ALPINA','2213-SF - 1069',null,null);
INSERT INTO product_categories VALUES('5573','VACUUM CLEANER','ARIETE','2462 - 1068',null,null);
INSERT INTO product_categories VALUES('5574','VACUUM CLEANER','BLACK&DECKER','1200VM  - 1062',null,null);
INSERT INTO product_categories VALUES('5575','VACUUM CLEANER','BLACK&DECKER','215WN-NVB - 1061',null,null);
INSERT INTO product_categories VALUES('5576','VACUUM CLEANER','BLACK&DECKER','1205AV - 427',null,null);
INSERT INTO product_categories VALUES('5577','VACUUM CLEANER','BLACK&DECKER','1205PAV - 427',null,null);
INSERT INTO product_categories VALUES('5578','VACUUM CLEANER','BLACK&DECKER','1450VM - 1063',null,null);
INSERT INTO product_categories VALUES('5579','VACUUM CLEANER','BLACK&DECKER','1480VM  - 1063',null,null);
INSERT INTO product_categories VALUES('5580','VACUUM CLEANER','BLACK&DECKER','1680VM - 1066',null,null);
INSERT INTO product_categories VALUES('5581','VACUUM CLEANER','BLACK&DECKER','1650VM - 1066',null,null);
INSERT INTO product_categories VALUES('5582','VACUUM CLEANER','BLACK&DECKER','2825VM - 1069',null,null);
INSERT INTO product_categories VALUES('5583','VACUUM CLEANER','FAST','108VC - 142',null,null);
INSERT INTO product_categories VALUES('5584','VACUUM CLEANER','HITACHI','3160-CV - 95',null,null);
INSERT INTO product_categories VALUES('5585','VACUUM CLEANER','HITACHI','1600W - 95',null,null);
INSERT INTO product_categories VALUES('5586','VACUUM CLEANER','HITACHI','18BH - 1068',null,null);
INSERT INTO product_categories VALUES('5587','VACUUM CLEANER','HITACHI','1800W - 95',null,null);
INSERT INTO product_categories VALUES('5588','VACUUM CLEANER','MOULINEX','232301MX - 513',null,null);
INSERT INTO product_categories VALUES('5589','VACUUM CLEANER','NATIONAL','3500MC - 1061',null,null);
INSERT INTO product_categories VALUES('5590','VACUUM CLEANER','PANASONIC','571MC - 270',null,null);
INSERT INTO product_categories VALUES('5591','VACUUM CLEANER','PANASONIC','521CG - 270',null,null);
INSERT INTO product_categories VALUES('5592','VACUUM CLEANER','PANASONIC','573V/C - 270',null,null);
INSERT INTO product_categories VALUES('5593','VACUUM CLEANER','PANASONIC','481CL - 270',null,null);
INSERT INTO product_categories VALUES('5594','VACUUM CLEANER','PANASONIC','525CG - 270',null,null);
INSERT INTO product_categories VALUES('5595','VACUUM CLEANER','PANASONIC','523CG - 270',null,null);
INSERT INTO product_categories VALUES('5596','VACUUM CLEANER','PANASONIC','561CL-MC - 1066',null,null);
INSERT INTO product_categories VALUES('5597','VACUUM CLEANER','PANASONIC','911CJ - 1092',null,null);
INSERT INTO product_categories VALUES('5598','VACUUM CLEANER','PANASONIC','711MC - 1092',null,null);
INSERT INTO product_categories VALUES('5599','VACUUM CLEANER','PANASONIC','713MC - 1069',null,null);
INSERT INTO product_categories VALUES('5600','VACUUM CLEANER','PANASONIC','715MC - 1070',null,null);
INSERT INTO product_categories VALUES('5601','VACUUM CLEANER','PANASONIC','717CG - 1620',null,null);
INSERT INTO product_categories VALUES('5602','VACUUM CLEANER','PHILIPS','3616 - 399',null,null);
INSERT INTO product_categories VALUES('5603','VACUUM CLEANER','PHILIPS','4698HP - 1451',null,null);
INSERT INTO product_categories VALUES('5604','VACUUM CLEANER','PHILIPS','3030QG - 1451',null,null);
INSERT INTO product_categories VALUES('5605','VACUUM CLEANER','PHILIPS','30038S - 766',null,null);
INSERT INTO product_categories VALUES('5606','VACUUM CLEANER','PHILIPS','69623 - 766',null,null);
INSERT INTO product_categories VALUES('5607','VACUUM CLEANER','PHILIPS','6152FC - 402',null,null);
INSERT INTO product_categories VALUES('5608','VACUUM CLEANER','PHILIPS','8115HP - 1451',null,null);
INSERT INTO product_categories VALUES('5609','VACUUM CLEANER','PHILIPS','8256 - 402',null,null);
INSERT INTO product_categories VALUES('5610','VACUUM CLEANER','PHILIPS','8083-FC - 2115',null,null);
INSERT INTO product_categories VALUES('5611','VACUUM CLEANER','PHILIPS','8085-FC - 1063',null,null);
INSERT INTO product_categories VALUES('5612','VACUUM CLEANER','PHILIPS','8189VC - 1062',null,null);
INSERT INTO product_categories VALUES('5613','VACUUM CLEANER','PHILIPS','8600HP - 1451',null,null);
INSERT INTO product_categories VALUES('5614','VACUUM CLEANER','PHILIPS','9350-FC - 1068',null,null);
INSERT INTO product_categories VALUES('5615','VACUUM CLEANER','PHILIPS','8117HP - 1451',null,null);
INSERT INTO product_categories VALUES('5616','VACUUM CLEANER','PHILIPS','8670-FC - 1069',null,null);
INSERT INTO product_categories VALUES('5617','VACUUM CLEANER','PHILIPS','9141NT - 1451',null,null);
INSERT INTO product_categories VALUES('5618','VACUUM CLEANER','PHILIPS','8333HP - 1451',null,null);
INSERT INTO product_categories VALUES('5619','VACUUM CLEANER','PHILIPS','7088FC - 1069',null,null);
INSERT INTO product_categories VALUES('5620','VACUUM CLEANER','PHILIPS','8310HP - 1451',null,null);
INSERT INTO product_categories VALUES('5621','VACUUM CLEANER','ROWENTA','667901OR - 1584',null,null);
INSERT INTO product_categories VALUES('5622','VACUUM CLEANER','SAMSUNG','4750V3K - 167',null,null);
INSERT INTO product_categories VALUES('5623','VACUUM CLEANER','SAMSUNG','4520SC - 1066',null,null);
INSERT INTO product_categories VALUES('5624','VACUUM CLEANER','SAMSUNG','4130S37 - 167',null,null);
INSERT INTO product_categories VALUES('5625','VACUUM CLEANER','SAMSUNG','4130SC - 1066',null,null);
INSERT INTO product_categories VALUES('5626','VACUUM CLEANER','SAMSUNG','7550S3B - 167',null,null);
INSERT INTO product_categories VALUES('5627','VACUUM CLEANER','SAMSUNG','7550SW - 1068',null,null);
INSERT INTO product_categories VALUES('5628','VACUUM CLEANER','SAMSUNG','5450SC - 1068',null,null);
INSERT INTO product_categories VALUES('5629','VACUUM CLEANER','SAMSUNG','56BOS3W-VC - 167',null,null);
INSERT INTO product_categories VALUES('5630','VACUUM CLEANER','SAMSUNG','4570SC - 1069',null,null);
INSERT INTO product_categories VALUES('5631','VACUUM CLEANER','SENCOR','512VT-SVC - 1061',null,null);
INSERT INTO product_categories VALUES('5632','VACUUM CLEANER','SENCOR','45RD-SVC - 1063',null,null);
INSERT INTO product_categories VALUES('5633','VACUUM CLEANER','SENCOR','45GR-SVC - 1063',null,null);
INSERT INTO product_categories VALUES('5634','VACUUM CLEANER','SIEMENS','56BOS38 - 1400',null,null);
INSERT INTO product_categories VALUES('5635','VACUUM CLEANER','SIGNATURE','SCV-MQ20 - 1069',null,null);
INSERT INTO product_categories VALUES('5636','VACUUM CLEANER','SIGNATURE','SCV-MQ22 - 1071',null,null);
INSERT INTO product_categories VALUES('5637','VACUUM CLEANER','WESTPOINT','328WF - 1061',null,null);
INSERT INTO product_categories VALUES('5638','VACUUM CLEANER','WESTPOINT','3602WF - 1062',null,null);
INSERT INTO product_categories VALUES('5639','VACUUM CLEANER','WESTPOINT','3601WF - 1062',null,null);
INSERT INTO product_categories VALUES('5640','VACUUM CLEANER','WESTPOINT','240WF - 677',null,null);
INSERT INTO product_categories VALUES('5641','VACUUM CLEANER','WESTPOINT','241WF - 1069',null,null);
INSERT INTO product_categories VALUES('5642','VACUUM CLEANER','WESTPOINT','238WF - 677',null,null);
INSERT INTO product_categories VALUES('5643','VACUUM CLEANER','AARDEE','2500ARVCD - 1068',null,null);
INSERT INTO product_categories VALUES('5644','VACUUM CLEANER','ARIETE','2463 - 1071',null,null);
INSERT INTO product_categories VALUES('5645','VACUUM CLEANER','BLACK&DECKER','1400WV - 1068',null,null);
INSERT INTO product_categories VALUES('5646','VACUUM CLEANER','BLACK&DECKER','1400WV - 427',null,null);
INSERT INTO product_categories VALUES('5647','VACUUM CLEANER','BLACK&DECKER','2000BV - 1069',null,null);
INSERT INTO product_categories VALUES('5648','VACUUM CLEANER','HITACHI','930F  - 1904',null,null);
INSERT INTO product_categories VALUES('5649','VACUUM CLEANER','HITACHI','940BK - 1065',null,null);
INSERT INTO product_categories VALUES('5650','VACUUM CLEANER','HITACHI','940Y - 1066',null,null);
INSERT INTO product_categories VALUES('5651','VACUUM CLEANER','HITACHI','945BK - 95',null,null);
INSERT INTO product_categories VALUES('5652','VACUUM CLEANER','HITACHI','945F - 1069',null,null);
INSERT INTO product_categories VALUES('5653','VACUUM CLEANER','HITACHI','950Y - 95',null,null);
INSERT INTO product_categories VALUES('5654','VACUUM CLEANER','HITACHI','950F - 1904',null,null);
INSERT INTO product_categories VALUES('5655','VACUUM CLEANER','HITACHI','960Y - 95',null,null);
INSERT INTO product_categories VALUES('5656','VACUUM CLEANER','HITACHI','960BK - 95',null,null);
INSERT INTO product_categories VALUES('5657','VACUUM CLEANER','HITACHI','960F  - 1904',null,null);
INSERT INTO product_categories VALUES('5658','VACUUM CLEANER','HITACHI','970Y - 1071',null,null);
INSERT INTO product_categories VALUES('5659','VACUUM CLEANER','HITACHI','975Y - 1536',null,null);
INSERT INTO product_categories VALUES('5660','VACUUM CLEANER','HITACHI','9800YJ - 1620',null,null);
INSERT INTO product_categories VALUES('5661','VACUUM CLEANER','INDUSTRIAL KLEANER','575BF - 1864',null,null);
INSERT INTO product_categories VALUES('5662','VACUUM CLEANER','INDUSTRIAL KLEANER','585BF-3 - 1865',null,null);
INSERT INTO product_categories VALUES('5663','VACUUM CLEANER','INDUSTRIAL KLEANER','773JM - 1904',null,null);
INSERT INTO product_categories VALUES('5664','VACUUM CLEANER','KARCHER','50/2 ME - 1904',null,null);
INSERT INTO product_categories VALUES('5665','VACUUM CLEANER','KARCHER','WD6 PREMIUM - 1904',null,null);
INSERT INTO product_categories VALUES('5666','VACUUM CLEANER','KLEANER','575BF - 1588',null,null);
INSERT INTO product_categories VALUES('5667','VACUUM CLEANER','LG','168NT - 152',null,null);
INSERT INTO product_categories VALUES('5668','VACUUM CLEANER','LG','116S - 152',null,null);
INSERT INTO product_categories VALUES('5669','VACUUM CLEANER','LG','188NT - 1068',null,null);
INSERT INTO product_categories VALUES('5670','VACUUM CLEANER','LG','208NT - 1069',null,null);
INSERT INTO product_categories VALUES('5671','VACUUM CLEANER','LG','3320VC - 1069',null,null);
INSERT INTO product_categories VALUES('5672','VACUUM CLEANER','MOULINEX','15741MO - 513',null,null);
INSERT INTO product_categories VALUES('5673','VACUUM CLEANER','PANASONIC','620YL - 1065',null,null);
INSERT INTO product_categories VALUES('5674','VACUUM CLEANER','PANASONIC','690YL-MC - 270',null,null);
INSERT INTO product_categories VALUES('5675','VACUUM CLEANER','PANASONIC','691YL - 270',null,null);
INSERT INTO product_categories VALUES('5676','VACUUM CLEANER','PANASONIC','621Y - 1066',null,null);
INSERT INTO product_categories VALUES('5677','VACUUM CLEANER','PANASONIC','631YL - 1067',null,null);
INSERT INTO product_categories VALUES('5678','VACUUM CLEANER','PANASONIC','697YLP - 270',null,null);
INSERT INTO product_categories VALUES('5679','VACUUM CLEANER','PANASONIC','693YL-MC - 270',null,null);
INSERT INTO product_categories VALUES('5680','VACUUM CLEANER','PANASONIC','623YL - 270',null,null);
INSERT INTO product_categories VALUES('5681','VACUUM CLEANER','PANASONIC','913MC  - 1069',null,null);
INSERT INTO product_categories VALUES('5682','VACUUM CLEANER','PANASONIC','625YL - 1069',null,null);
INSERT INTO product_categories VALUES('5683','VACUUM CLEANER','PANASONIC','625YL - 270',null,null);
INSERT INTO product_categories VALUES('5684','VACUUM CLEANER','PANASONIC','633YL-MC - 1069',null,null);
INSERT INTO product_categories VALUES('5685','VACUUM CLEANER','PANASONIC','699VC - 270',null,null);
INSERT INTO product_categories VALUES('5686','VACUUM CLEANER','PANASONIC','697YL-MC - 270',null,null);
INSERT INTO product_categories VALUES('5687','VACUUM CLEANER','PANASONIC','913CJ - 1069',null,null);
INSERT INTO product_categories VALUES('5688','VACUUM CLEANER','PANASONIC','627YL - 1071',null,null);
INSERT INTO product_categories VALUES('5689','VACUUM CLEANER','PANASONIC','635YL - 1071',null,null);
INSERT INTO product_categories VALUES('5690','VACUUM CLEANER','PHILIPS','9571FC - 1069',null,null);
INSERT INTO product_categories VALUES('5691','VACUUM CLEANER','PHILIPS','9351FC - 1069',null,null);
INSERT INTO product_categories VALUES('5692','VACUUM CLEANER','PHILIPS','8792FC - 1069',null,null);
INSERT INTO product_categories VALUES('5693','VACUUM CLEANER','SAMSUNG','7530S3W - 167',null,null);
INSERT INTO product_categories VALUES('5694','VACUUM CLEANER','SANYO','1600A - 116',null,null);
INSERT INTO product_categories VALUES('5695','VACUUM CLEANER','SENCOR','3001SVC - 1063',null,null);
INSERT INTO product_categories VALUES('5696','VACUUM CLEANER','SHARP','1820CA-S - 1068',null,null);
INSERT INTO product_categories VALUES('5697','VACUUM CLEANER','SHARP','2121CA-S - 1070',null,null);
INSERT INTO product_categories VALUES('5698','VACUUM CLEANER','SHARP','2422CA-S - 1072',null,null);
INSERT INTO product_categories VALUES('5699','VACUUM CLEANER','TEFAL','5053TQ - 720',null,null);
INSERT INTO product_categories VALUES('5700','VACUUM CLEANER','WESTPOINT','102WF - 1904',null,null);
INSERT INTO product_categories VALUES('5701','VACUUM CLEANER','WESTPOINT','103WF - 204',null,null);
INSERT INTO product_categories VALUES('5702','VACUUM CLEANER','WESTPOINT','3669WF - 677',null,null);
INSERT INTO product_categories VALUES('5703','VACUUM CLEANER','WESTPOINT','3469WF - 1904',null,null);
INSERT INTO product_categories VALUES('5704','VACUUM CLEANER','WESTPOINT','960WF - 1904',null,null);
INSERT INTO product_categories VALUES('5705','VACUUM CLEANER','WESTPOINT','105WF - 1069',null,null);
INSERT INTO product_categories VALUES('5706','VACUUM CLEANER','WESTPOINT','970WF - 1904',null,null);
INSERT INTO product_categories VALUES('5707','VACUUM CLEANER','BLACK&DECKER','320DVJ - 1784',null,null);
INSERT INTO product_categories VALUES('5708','VACUUM CLEANER','TEFAL','DUST BAG - 1745',null,null);
INSERT INTO product_categories VALUES('5709','VACUUM CLEANER','BLACK&DECKER','1200NV - 2120',null,null);
INSERT INTO product_categories VALUES('5710','VACUUM CLEANER','BLACK&DECKER','1425NPV - 1784',null,null);
INSERT INTO product_categories VALUES('5711','VACUUM CLEANER','BLACK&DECKER','251NVB - 1873',null,null);
INSERT INTO product_categories VALUES('5712','VACUUM CLEANER','BLACK&DECKER','4820NW - 1784',null,null);
INSERT INTO product_categories VALUES('5713','VACUUM CLEANER','SENCOR','190W-SVC - 1061',null,null);
INSERT INTO product_categories VALUES('5714','VACUUM CLEANER','SENCOR','190B-SVC - 1090',null,null);
INSERT INTO product_categories VALUES('5715','VACUUM CLEANER','SENCOR','7612VT-SVC - 1838',null,null);
INSERT INTO product_categories VALUES('5716','VACUUM CLEANER','SENCOR','7614TQ-SVC - 1838',null,null);
INSERT INTO product_categories VALUES('5717','WALL BRAKETS','BOSE','QC30 - 93',null,null);
INSERT INTO product_categories VALUES('5718','WALL BRAKETS','BOSE','FSO1 - 212',null,null);
INSERT INTO product_categories VALUES('5719','WALL BRAKETS','BOSE','741776-0020 - 786',null,null);
INSERT INTO product_categories VALUES('5720','WALL BRAKETS','BOSE','SOUND SPORT WIRELESS - 786',null,null);
INSERT INTO product_categories VALUES('5721','WALL BRAKETS','BOSE','UFS-20 - 553',null,null);
INSERT INTO product_categories VALUES('5722','WALL BRAKETS','BOSE','SOUNDTOUCH-WRL LINK - 1797',null,null);
INSERT INTO product_categories VALUES('5723','WALL BRAKETS','BOSE','SOUNDTRUE ULTRA-IE - 93',null,null);
INSERT INTO product_categories VALUES('5724','WALL BRAKETS','BOSE','SOUNDTRUE-AE - 93',null,null);
INSERT INTO product_categories VALUES('5725','WALL BRAKETS','BOSE','SOUNDTRUE-AE2-MFI - 93',null,null);
INSERT INTO product_categories VALUES('5726','WALL BRAKETS','BOSE','SOUNDTRUE-OE - 93',null,null);
INSERT INTO product_categories VALUES('5727','WALL BRAKETS','BOSE','SOUNDLINK-AE2-BT - 93',null,null);
INSERT INTO product_categories VALUES('5728','WALL BRAKETS','BOSE','SOUNDSPORT-IE - 93',null,null);
INSERT INTO product_categories VALUES('5729','WALL BRAKETS','BOSE','SOUNDSPORT-IE-MFI - 93',null,null);
INSERT INTO product_categories VALUES('5730','WALL BRAKETS','BOSE','SOUNDSPORT-PULSE - 93',null,null);
INSERT INTO product_categories VALUES('5731','WALL BRAKETS','BOSE','QC35 - 93',null,null);
INSERT INTO product_categories VALUES('5732','WALL BRAKETS','BOSE','LIFESTYLE650-BKT-CC - 553',null,null);
INSERT INTO product_categories VALUES('5733','WALL BRAKETS','BOSE','LIFESTYLE650-BKT-FS - 553',null,null);
INSERT INTO product_categories VALUES('5734','WALL BRAKETS','BOSE','WB300 - 553',null,null);
INSERT INTO product_categories VALUES('5735','WALL BRAKETS','BUMPKIN','IE-MFI - 93',null,null);
INSERT INTO product_categories VALUES('5736','WALL BRAKETS','BUMPKIN','ULTRA-IE - 93',null,null);
INSERT INTO product_categories VALUES('5737','WALL BRAKETS','BUMPKIN','AE2-BT - 93',null,null);
INSERT INTO product_categories VALUES('5738','WALL BRAKETS','BUMPKIN','AE2-MFI - 93',null,null);
INSERT INTO product_categories VALUES('5739','WALL BRAKETS','BOSE','WB135 - 553',null,null);
INSERT INTO product_categories VALUES('5740','WALL BRAKETS','BOSS','UFS20 - 280',null,null);
INSERT INTO product_categories VALUES('5741','WALL BRAKETS','TNITREND','D10 - 1286',null,null);
INSERT INTO product_categories VALUES('5742','WALL BRAKETS','ZULFIQAR','BKT - 696',null,null);
INSERT INTO product_categories VALUES('5743','WASHING MACHINE','LG','4V5RGP2T-S - 899',null,null);
INSERT INTO product_categories VALUES('5744','WASHING MACHINE','LG','4V5RGPOW-S - 899',null,null);
INSERT INTO product_categories VALUES('5745','WASHING MACHINE','LG','4J9HP2T-S - 1712',null,null);
INSERT INTO product_categories VALUES('5746','WASHING MACHINE','LG','4J9JHP2T-S - 1874',null,null);
INSERT INTO product_categories VALUES('5747','WASHING MACHINE','LG','4G1JCHK6N-C  - 1874',null,null);
INSERT INTO product_categories VALUES('5748','WASHING MACHINE','LG','4G1JCHK6N-S  - 1874',null,null);
INSERT INTO product_categories VALUES('5749','WASHING MACHINE','LG','1H466JCH-S - 122',null,null);
INSERT INTO product_categories VALUES('5750','WASHING MACHINE','CANON','9800CA - 1712',null,null);
INSERT INTO product_categories VALUES('5751','WASHING MACHINE','CANON','1050UFG - 1712',null,null);
INSERT INTO product_categories VALUES('5752','WASHING MACHINE','KENWOOD','1016SA - 1712',null,null);
INSERT INTO product_categories VALUES('5753','WASHING MACHINE','LG','4J9JSP2T-S  - 1712',null,null);
INSERT INTO product_categories VALUES('5754','WASHING MACHINE','LG','4V5RYP2T-S - 899',null,null);
INSERT INTO product_categories VALUES('5755','WASHING MACHINE','WHIRLPOOL','3LWET5550 - 1712',null,null);
INSERT INTO product_categories VALUES('5756','WASHING MACHINE','WHIRLPOOL','1050AHG - 1712',null,null);
INSERT INTO product_categories VALUES('5757','WASHING MACHINE','HAIER','100HW15HDG - 1619',null,null);
INSERT INTO product_categories VALUES('5758','WASHING MACHINE','SIGNATURE','SWM-FW1610S - 902',null,null);
INSERT INTO product_categories VALUES('5759','WASHING MACHINE','BOSS','1500KE - 785',null,null);
INSERT INTO product_categories VALUES('5760','WASHING MACHINE','BOSS','1000KE - 785',null,null);
INSERT INTO product_categories VALUES('5761','WASHING MACHINE','DAWLANCE','250DWT - 902',null,null);
INSERT INTO product_categories VALUES('5762','WASHING MACHINE','DAWLANCE','105ES-DWF - 118',null,null);
INSERT INTO product_categories VALUES('5763','WASHING MACHINE','DAWLANCE','100DW-A - 118',null,null);
INSERT INTO product_categories VALUES('5764','WASHING MACHINE','DAWLANCE','2000A - 902',null,null);
INSERT INTO product_categories VALUES('5765','WASHING MACHINE','DAWLANCE','100DS-C1 - 899',null,null);
INSERT INTO product_categories VALUES('5766','WASHING MACHINE','DAWLANCE','9000DS - 1553',null,null);
INSERT INTO product_categories VALUES('5767','WASHING MACHINE','DAWLANCE','8200 - 118',null,null);
INSERT INTO product_categories VALUES('5768','WASHING MACHINE','GE','409 - 119',null,null);
INSERT INTO product_categories VALUES('5769','WASHING MACHINE','HAIER','100-14826HW - 902',null,null);
INSERT INTO product_categories VALUES('5770','WASHING MACHINE','HAIER','100-828 - 69',null,null);
INSERT INTO product_categories VALUES('5771','WASHING MACHINE','HAIER','110-1789HWM - 902',null,null);
INSERT INTO product_categories VALUES('5772','WASHING MACHINE','HAIER','100AS-WM - 69',null,null);
INSERT INTO product_categories VALUES('5773','WASHING MACHINE','HAIER','100BS-WM - 69',null,null);
INSERT INTO product_categories VALUES('5774','WASHING MACHINE','HAIER','100-BSR - 902',null,null);
INSERT INTO product_categories VALUES('5775','WASHING MACHINE','HOMAGE','1020S - 902',null,null);
INSERT INTO product_categories VALUES('5776','WASHING MACHINE','KENWOOD','1050FAT - 902',null,null);
INSERT INTO product_categories VALUES('5777','WASHING MACHINE','KENWOOD','1050S - 953',null,null);
INSERT INTO product_categories VALUES('5778','WASHING MACHINE','KENWOOD','1017SAS - 902',null,null);
INSERT INTO product_categories VALUES('5779','WASHING MACHINE','KENWOOD','1018SA - 902',null,null);
INSERT INTO product_categories VALUES('5780','WASHING MACHINE','KENWOOD','1015SA - 902',null,null);
INSERT INTO product_categories VALUES('5781','WASHING MACHINE','KENWOOD','1010SA - 902',null,null);
INSERT INTO product_categories VALUES('5782','WASHING MACHINE','KENWOOD','1012SA - 902',null,null);
INSERT INTO product_categories VALUES('5783','WASHING MACHINE','KENWOOD','1012SA-GRG - 902',null,null);
INSERT INTO product_categories VALUES('5784','WASHING MACHINE','KENWOOD','1012SA-MRG - 902',null,null);
INSERT INTO product_categories VALUES('5785','WASHING MACHINE','KENWOOD','1012SA-PPG - 902',null,null);
INSERT INTO product_categories VALUES('5786','WASHING MACHINE','LG','1066NEFTF-S  - 902',null,null);
INSERT INTO product_categories VALUES('5787','WASHING MACHINE','LG','1066NEFTW-S  - 902',null,null);
INSERT INTO product_categories VALUES('5788','WASHING MACHINE','LG','1007TEFT - 122',null,null);
INSERT INTO product_categories VALUES('5789','WASHING MACHINE','LG','1007TEFTS - 902',null,null);
INSERT INTO product_categories VALUES('5790','WASHING MACHINE','LG','8503S - 122',null,null);
INSERT INTO product_categories VALUES('5791','WASHING MACHINE','LG','8507S - 122',null,null);
INSERT INTO product_categories VALUES('5792','WASHING MACHINE','LG','8507T-C - 902',null,null);
INSERT INTO product_categories VALUES('5793','WASHING MACHINE','ORIENT','AUTO10 - 902',null,null);
INSERT INTO product_categories VALUES('5794','WASHING MACHINE','PANASONIC','100G3-P - 902',null,null);
INSERT INTO product_categories VALUES('5795','WASHING MACHINE','SAMSUNG','10V5-WM - 168',null,null);
INSERT INTO product_categories VALUES('5796','WASHING MACHINE','SIGNATURE','SWM-JD50C - 902',null,null);
INSERT INTO product_categories VALUES('5797','WASHING MACHINE','SIGNATURE','SWM-JD51 - 902',null,null);
INSERT INTO product_categories VALUES('5798','WASHING MACHINE','SIGNATURE','MWS-JD52 - 902',null,null);
INSERT INTO product_categories VALUES('5799','WASHING MACHINE','SUPER ASIA','555SD - 528',null,null);
INSERT INTO product_categories VALUES('5800','WASHING MACHINE','SUPER ASIA','555SD-ST - 1553',null,null);
INSERT INTO product_categories VALUES('5801','WASHING MACHINE','SUPER ASIA','270SA - 899',null,null);
INSERT INTO product_categories VALUES('5802','WASHING MACHINE','SUPER ASIA','400SAP - 522',null,null);
INSERT INTO product_categories VALUES('5803','WASHING MACHINE','SUPER ASIA','540SD - 1553',null,null);
INSERT INTO product_categories VALUES('5804','WASHING MACHINE','SUPER ASIA','540SHW - 1555',null,null);
INSERT INTO product_categories VALUES('5805','WASHING MACHINE','SUPER ASIA','550SD - 528',null,null);
INSERT INTO product_categories VALUES('5806','WASHING MACHINE','SUPER ASIA','550SD-ST - 528',null,null);
INSERT INTO product_categories VALUES('5807','WASHING MACHINE','SUPER ASIA','280SA - 522',null,null);
INSERT INTO product_categories VALUES('5808','WASHING MACHINE','SUPER ASIA','280SA-CRYSTAL  - 902',null,null);
INSERT INTO product_categories VALUES('5809','WASHING MACHINE','SUPER ASIA','250SA - 522',null,null);
INSERT INTO product_categories VALUES('5810','WASHING MACHINE','TOYO','7000TWD - 902',null,null);
INSERT INTO product_categories VALUES('5811','WASHING MACHINE','WELCOME','1080WCM - 902',null,null);
INSERT INTO product_categories VALUES('5812','WASHING MACHINE','PANASONIC','115A1F-S - 1920',null,null);
INSERT INTO product_categories VALUES('5813','WASHING MACHINE','PANASONIC','115A1F-S - 1912',null,null);
INSERT INTO product_categories VALUES('5814','WASHING MACHINE','HAIER','115910G - 905',null,null);
INSERT INTO product_categories VALUES('5815','WASHING MACHINE','LG','7017TEFTS - 122',null,null);
INSERT INTO product_categories VALUES('5816','WASHING MACHINE','LG','1101TEHTS - 122',null,null);
INSERT INTO product_categories VALUES('5817','WASHING MACHINE','SAMSUNG','11F5S2 - 168',null,null);
INSERT INTO product_categories VALUES('5818','WASHING MACHINE','SAMSUNG','11F5S2UWW - 905',null,null);
INSERT INTO product_categories VALUES('5819','WASHING MACHINE','SAMSUNG','11F5S4GT - 905',null,null);
INSERT INTO product_categories VALUES('5820','WASHING MACHINE','SAMSUNG','11J5710  - 905',null,null);
INSERT INTO product_categories VALUES('5821','WASHING MACHINE','SAMSUNG','11J5710-MRM - 905',null,null);
INSERT INTO product_categories VALUES('5822','WASHING MACHINE','SAMSUNG','11J5710-S - 905',null,null);
INSERT INTO product_categories VALUES('5823','WASHING MACHINE','SAMSUNG','11J5710-SZ  - 905',null,null);
INSERT INTO product_categories VALUES('5824','WASHING MACHINE','SAMSUNG','11J5710GT - 905',null,null);
INSERT INTO product_categories VALUES('5825','WASHING MACHINE','SIGNATURE','SWM-SR50 - 905',null,null);
INSERT INTO product_categories VALUES('5826','WASHING MACHINE','TOSHIBA','1190SKC - 905',null,null);
INSERT INTO product_categories VALUES('5827','WASHING MACHINE','CANON','1250CA - 1773',null,null);
INSERT INTO product_categories VALUES('5828','WASHING MACHINE','SIGNATURE','SWM-FW1412S - 906',null,null);
INSERT INTO product_categories VALUES('5829','WASHING MACHINE','LG','95H676RCH-S - 906',null,null);
INSERT INTO product_categories VALUES('5830','WASHING MACHINE','BOSS','4500KE - 785',null,null);
INSERT INTO product_categories VALUES('5831','WASHING MACHINE','BOSS','4000PLUS - 785',null,null);
INSERT INTO product_categories VALUES('5832','WASHING MACHINE','DAWLANCE','275TB-DWT - 902',null,null);
INSERT INTO product_categories VALUES('5833','WASHING MACHINE','DAWLANCE','270LVS-DWT - 906',null,null);
INSERT INTO product_categories VALUES('5834','WASHING MACHINE','DAWLANCE','10500DW - 906',null,null);
INSERT INTO product_categories VALUES('5835','WASHING MACHINE','DAWLANCE','220C2-DWT - 906',null,null);
INSERT INTO product_categories VALUES('5836','WASHING MACHINE','DAWLANCE','220G2-DW - 906',null,null);
INSERT INTO product_categories VALUES('5837','WASHING MACHINE','DAWLANCE','9500DW - 118',null,null);
INSERT INTO product_categories VALUES('5838','WASHING MACHINE','ECOSTAR','12-400WM - 1688',null,null);
INSERT INTO product_categories VALUES('5839','WASHING MACHINE','HAIER','120-B1558 - 906',null,null);
INSERT INTO product_categories VALUES('5840','WASHING MACHINE','HAIER','120B-14876 - 906',null,null);
INSERT INTO product_categories VALUES('5841','WASHING MACHINE','HAIER','120-826 - 906',null,null);
INSERT INTO product_categories VALUES('5842','WASHING MACHINE','HAIER','120-826E - 906',null,null);
INSERT INTO product_categories VALUES('5843','WASHING MACHINE','HAIER','120-1678HWM - 906',null,null);
INSERT INTO product_categories VALUES('5844','WASHING MACHINE','HAIER','120-1789HWM - 906',null,null);
INSERT INTO product_categories VALUES('5845','WASHING MACHINE','HAIER','120-35 - 69',null,null);
INSERT INTO product_categories VALUES('5846','WASHING MACHINE','HAIER','120BS W/M - 69',null,null);
INSERT INTO product_categories VALUES('5847','WASHING MACHINE','HAIER','120AS - 69',null,null);
INSERT INTO product_categories VALUES('5848','WASHING MACHINE','KENWOOD','12100FAT - 906',null,null);
INSERT INTO product_categories VALUES('5849','WASHING MACHINE','KENWOOD','1014SA - 906',null,null);
INSERT INTO product_categories VALUES('5850','WASHING MACHINE','LG','951676RCH-S - 122',null,null);
INSERT INTO product_categories VALUES('5851','WASHING MACHINE','LG','9503S - 122',null,null);
INSERT INTO product_categories VALUES('5852','WASHING MACHINE','LG','1258AFPT - 906',null,null);
INSERT INTO product_categories VALUES('5853','WASHING MACHINE','LG','1266TEFT-C  - 906',null,null);
INSERT INTO product_categories VALUES('5854','WASHING MACHINE','SAMSUNG','12H8420GT - 906',null,null);
INSERT INTO product_categories VALUES('5855','WASHING MACHINE','SAMSUNG','12J8420AW-GT - 906',null,null);
INSERT INTO product_categories VALUES('5856','WASHING MACHINE','SAMSUNG','12J8420GX-MRM - 906',null,null);
INSERT INTO product_categories VALUES('5857','WASHING MACHINE','SAMSUNG','12J8420GX-SZ  - 906',null,null);
INSERT INTO product_categories VALUES('5858','WASHING MACHINE','SAMSUNG','12V5 - 906',null,null);
INSERT INTO product_categories VALUES('5859','WASHING MACHINE','PANASONIC','135A1F - 1912',null,null);
INSERT INTO product_categories VALUES('5860','WASHING MACHINE','PANASONIC','135A1F-S - 1912',null,null);
INSERT INTO product_categories VALUES('5861','WASHING MACHINE','BOSCH','135D0GC - 907',null,null);
INSERT INTO product_categories VALUES('5862','WASHING MACHINE','BOSS','14000KE - 785',null,null);
INSERT INTO product_categories VALUES('5863','WASHING MACHINE','BOSS','15000KE - 785',null,null);
INSERT INTO product_categories VALUES('5864','WASHING MACHINE','ELECTROLUX','1350B - 526',null,null);
INSERT INTO product_categories VALUES('5865','WASHING MACHINE','ELECTROLUX','1350NA - 526',null,null);
INSERT INTO product_categories VALUES('5866','WASHING MACHINE','KENWOOD','1301SA - 907',null,null);
INSERT INTO product_categories VALUES('5867','WASHING MACHINE','LG','1349TEFT - 907',null,null);
INSERT INTO product_categories VALUES('5868','WASHING MACHINE','LG','1349TEFT-S - 907',null,null);
INSERT INTO product_categories VALUES('5869','WASHING MACHINE','LG','1366NEFTF-C - 1894',null,null);
INSERT INTO product_categories VALUES('5870','WASHING MACHINE','LG','1366NEFTF-S - 907',null,null);
INSERT INTO product_categories VALUES('5871','WASHING MACHINE','LG','1366NEFTFS-C - 907',null,null);
INSERT INTO product_categories VALUES('5872','WASHING MACHINE','LG','1366NEFTW-S - 907',null,null);
INSERT INTO product_categories VALUES('5873','WASHING MACHINE','SAMSUNG','13J5730-S - 907',null,null);
INSERT INTO product_categories VALUES('5874','WASHING MACHINE','SAMSUNG','13J5730SS-GT - 907',null,null);
INSERT INTO product_categories VALUES('5875','WASHING MACHINE','SAMSUNG','13J5730SS-SZ - 883',null,null);
INSERT INTO product_categories VALUES('5876','WASHING MACHINE','SAMSUNG','13F5S4GT - 907',null,null);
INSERT INTO product_categories VALUES('5877','WASHING MACHINE','LG','0K6DMK2S2-C - 1908',null,null);
INSERT INTO product_categories VALUES('5878','WASHING MACHINE','LG','0K6DMK2S2-S - 1908',null,null);
INSERT INTO product_categories VALUES('5879','WASHING MACHINE','BOSCH','145D0GC  - 1212',null,null);
INSERT INTO product_categories VALUES('5880','WASHING MACHINE','BOSS','5500KE - 1396',null,null);
INSERT INTO product_categories VALUES('5881','WASHING MACHINE','DAWLANCE','9100C-DW - 906',null,null);
INSERT INTO product_categories VALUES('5882','WASHING MACHINE','DAWLANCE','1450DW - 1212',null,null);
INSERT INTO product_categories VALUES('5883','WASHING MACHINE','LG','T1443S - 1212',null,null);
INSERT INTO product_categories VALUES('5884','WASHING MACHINE','LG','14C65C - 1212',null,null);
INSERT INTO product_categories VALUES('5885','WASHING MACHINE','LG','14C65EF - 1212',null,null);
INSERT INTO product_categories VALUES('5886','WASHING MACHINE','LG','1466NEFTF-S - 1212',null,null);
INSERT INTO product_categories VALUES('5887','WASHING MACHINE','LG','1466NEFTFW-S - 1212',null,null);
INSERT INTO product_categories VALUES('5888','WASHING MACHINE','LG','1860RWN-C - 1212',null,null);
INSERT INTO product_categories VALUES('5889','WASHING MACHINE','PANASONIC','150A3F - 1484',null,null);
INSERT INTO product_categories VALUES('5890','WASHING MACHINE','PANASONIC','150A3F-S - 1484',null,null);
INSERT INTO product_categories VALUES('5891','WASHING MACHINE','SUPER ASIA','290SA - 522',null,null);
INSERT INTO product_categories VALUES('5892','WASHING MACHINE','WHITE WESTINGHOUSE','14GGAWB - 635',null,null);
INSERT INTO product_categories VALUES('5893','WASHING MACHINE','HAIER','150-1678HWM - 1484',null,null);
INSERT INTO product_categories VALUES('5894','WASHING MACHINE','HAIER','150-1708HWM  - 1484',null,null);
INSERT INTO product_categories VALUES('5895','WASHING MACHINE','HAIER','150-1789HWM - 1706',null,null);
INSERT INTO product_categories VALUES('5896','WASHING MACHINE','LG','10F6RDS27  - 1484',null,null);
INSERT INTO product_categories VALUES('5897','WASHING MACHINE','LG','10F6RDS27-P - 1484',null,null);
INSERT INTO product_categories VALUES('5898','WASHING MACHINE','LG','10F6RDS27-S - 1484',null,null);
INSERT INTO product_categories VALUES('5899','WASHING MACHINE','LG','1503S - 122',null,null);
INSERT INTO product_categories VALUES('5900','WASHING MACHINE','PANASONIC','150HWRW-P - 1484',null,null);
INSERT INTO product_categories VALUES('5901','WASHING MACHINE','SAMSUNG','15F7S4GT - 1484',null,null);
INSERT INTO product_categories VALUES('5902','WASHING MACHINE','SAMSUNG','15P9 - 168',null,null);
INSERT INTO product_categories VALUES('5903','WASHING MACHINE','WHIRLPOOL','3LWED4830FW - 1484',null,null);
INSERT INTO product_categories VALUES('5904','WASHING MACHINE','WHIRLPOOL','3LWTW4815FW - 1484',null,null);
INSERT INTO product_categories VALUES('5905','WASHING MACHINE','LG','0K2CHK5T2-S  - 2021',null,null);
INSERT INTO product_categories VALUES('5906','WASHING MACHINE','HAIER','180C-HWD - 1643',null,null);
INSERT INTO product_categories VALUES('5907','WASHING MACHINE','LG','1666NEFT-S - 1643',null,null);
INSERT INTO product_categories VALUES('5908','WASHING MACHINE','LG','1666NEFTW-S - 1643',null,null);
INSERT INTO product_categories VALUES('5909','WASHING MACHINE','LG','1666TEFT-C - 1643',null,null);
INSERT INTO product_categories VALUES('5910','WASHING MACHINE','SAMSUNG','16J6700SPGT - 1643',null,null);
INSERT INTO product_categories VALUES('5911','WASHING MACHINE','SAMSUNG','16J6750 - 1643',null,null);
INSERT INTO product_categories VALUES('5912','WASHING MACHINE','SAMSUNG','16J6750-MRM - 1643',null,null);
INSERT INTO product_categories VALUES('5913','WASHING MACHINE','SAMSUNG','16J6750-S - 1643',null,null);
INSERT INTO product_categories VALUES('5914','WASHING MACHINE','SAMSUNG','16J6750-SZ  - 1643',null,null);
INSERT INTO product_categories VALUES('5915','WASHING MACHINE','SAMSUNG','16J6750SPGT - 1643',null,null);
INSERT INTO product_categories VALUES('5916','WASHING MACHINE','SIGNATURE','SWM-JD55C  - 1643',null,null);
INSERT INTO product_categories VALUES('5917','WASHING MACHINE','SIGNATURE','SWM-JD56 - 1643',null,null);
INSERT INTO product_categories VALUES('5918','WASHING MACHINE','SIGNATURE','SWM-JD57C - 1643',null,null);
INSERT INTO product_categories VALUES('5919','WASHING MACHINE','SIGNATURE','SWM-SR55 - 1643',null,null);
INSERT INTO product_categories VALUES('5920','WASHING MACHINE','LG','10B8QDP25 - 122',null,null);
INSERT INTO product_categories VALUES('5921','WASHING MACHINE','LG','1255RDS27 - 122',null,null);
INSERT INTO product_categories VALUES('5922','WASHING MACHINE','LG','1255RDS27-S - 1486',null,null);
INSERT INTO product_categories VALUES('5923','WASHING MACHINE','LG','551276RC-S - 122',null,null);
INSERT INTO product_categories VALUES('5924','WASHING MACHINE','LG','1766NEFTF-C - 1486',null,null);
INSERT INTO product_categories VALUES('5925','WASHING MACHINE','LG','1766NEFTS-S - 1486',null,null);
INSERT INTO product_categories VALUES('5926','WASHING MACHINE','LG','1732AFPS5-C - 1486',null,null);
INSERT INTO product_categories VALUES('5927','WASHING MACHINE','LG','0K2CHK2T2-S - 1643',null,null);
INSERT INTO product_categories VALUES('5928','WASHING MACHINE','LG','2CHK2T2-S - 1875',null,null);
INSERT INTO product_categories VALUES('5929','WASHING MACHINE','DAWLANCE','320C2-DW - 1484',null,null);
INSERT INTO product_categories VALUES('5930','WASHING MACHINE','KENWOOD','8100FAT - 1585',null,null);
INSERT INTO product_categories VALUES('5931','WASHING MACHINE','LG','1809S - 1585',null,null);
INSERT INTO product_categories VALUES('5932','WASHING MACHINE','SAMSUNG','18F7SBGT - 1585',null,null);
INSERT INTO product_categories VALUES('5933','WASHING MACHINE','LG','1299RDSU7-S - 1772',null,null);
INSERT INTO product_categories VALUES('5934','WASHING MACHINE','LG','0K1CHK2T2-C - 2081',null,null);
INSERT INTO product_categories VALUES('5935','WASHING MACHINE','LG','0K1CHK2T2-S - 2081',null,null);
INSERT INTO product_categories VALUES('5936','WASHING MACHINE','HAIER','200-1678 - 1619',null,null);
INSERT INTO product_categories VALUES('5937','WASHING MACHINE','LG','2028AFPS5 - 1619',null,null);
INSERT INTO product_categories VALUES('5938','WASHING MACHINE','LG','0C9CDHK72-C - 1837',null,null);
INSERT INTO product_categories VALUES('5939','WASHING MACHINE','SAMSUNG','22M8700GV-MRM - 1913',null,null);
INSERT INTO product_categories VALUES('5940','WASHING MACHINE','SUPER ASIA','210SA - 522',null,null);
INSERT INTO product_categories VALUES('5941','WASHING MACHINE','DAWLANCE','6500-DW - 898',null,null);
INSERT INTO product_categories VALUES('5942','WASHING MACHINE','BOSCH','20260GC  - 880',null,null);
INSERT INTO product_categories VALUES('5943','WASHING MACHINE','DAWLANCE','65ES-DWF - 118',null,null);
INSERT INTO product_categories VALUES('5944','WASHING MACHINE','DAWLANCE','5000DW - 880',null,null);
INSERT INTO product_categories VALUES('5945','WASHING MACHINE','DAWLANCE','6100DW - 880',null,null);
INSERT INTO product_categories VALUES('5946','WASHING MACHINE','HAIER','60-10866 - 69',null,null);
INSERT INTO product_categories VALUES('5947','WASHING MACHINE','HAIER','6012699NZP - 880',null,null);
INSERT INTO product_categories VALUES('5948','WASHING MACHINE','HAIER','6050 - 37',null,null);
INSERT INTO product_categories VALUES('5949','WASHING MACHINE','KENWOOD','6020FAF - 880',null,null);
INSERT INTO product_categories VALUES('5950','WASHING MACHINE','KENWOOD','6100FAT - 880',null,null);
INSERT INTO product_categories VALUES('5951','WASHING MACHINE','LG','1092NDP2 - 880',null,null);
INSERT INTO product_categories VALUES('5952','WASHING MACHINE','SIEMENS','10B260GC - 880',null,null);
INSERT INTO product_categories VALUES('5953','WASHING MACHINE','SUPER ASIA','315SAP - 522',null,null);
INSERT INTO product_categories VALUES('5954','WASHING MACHINE','SUPER ASIA','570SD - 1551',null,null);
INSERT INTO product_categories VALUES('5955','WASHING MACHINE','SUPER ASIA','320SAP - 522',null,null);
INSERT INTO product_categories VALUES('5956','WASHING MACHINE','SUPER ASIA','666SSD - 1551',null,null);
INSERT INTO product_categories VALUES('5957','WASHING MACHINE','TEKA','1-1000TKX - 747',null,null);
INSERT INTO product_categories VALUES('5958','WASHING MACHINE','TEKA','1-800TKX - 747',null,null);
INSERT INTO product_categories VALUES('5959','WASHING MACHINE','TEKA','1000LP2 - 747',null,null);
INSERT INTO product_categories VALUES('5960','WASHING MACHINE','BOSS','9500KE - 1483',null,null);
INSERT INTO product_categories VALUES('5961','WASHING MACHINE','BOSS','7500KE - 785',null,null);
INSERT INTO product_categories VALUES('5962','WASHING MACHINE','BOSS','8500KE - 785',null,null);
INSERT INTO product_categories VALUES('5963','WASHING MACHINE','DAWLANCE','255DWT - 1483',null,null);
INSERT INTO product_categories VALUES('5964','WASHING MACHINE','DAWLANCE','255ES-DW - 1483',null,null);
INSERT INTO product_categories VALUES('5965','WASHING MACHINE','HAIER','75AS - 898',null,null);
INSERT INTO product_categories VALUES('5966','WASHING MACHINE','KENWOOD','7050FAT - 121',null,null);
INSERT INTO product_categories VALUES('5967','WASHING MACHINE','LG','2J3QDNPO-C - 1483',null,null);
INSERT INTO product_categories VALUES('5968','WASHING MACHINE','SUPER ASIA','245SA - 522',null,null);
INSERT INTO product_categories VALUES('5969','WASHING MACHINE','SUPER ASIA','244SA - 1483',null,null);
INSERT INTO product_categories VALUES('5970','WASHING MACHINE','SUPER ASIA','215WD - 522',null,null);
INSERT INTO product_categories VALUES('5971','WASHING MACHINE','WHIRLPOOL','750AHG - 1483',null,null);
INSERT INTO product_categories VALUES('5972','WASHING MACHINE','SAMSUNG','0704-REU - 899',null,null);
INSERT INTO product_categories VALUES('5973','WASHING MACHINE','SAMSUNG','0704REW - 899',null,null);
INSERT INTO product_categories VALUES('5974','WASHING MACHINE','SAMSUNG','70J5410-AW - 1548',null,null);
INSERT INTO product_categories VALUES('5975','WASHING MACHINE','SAMSUNG','70J5410AW-SZ - 1854',null,null);
INSERT INTO product_categories VALUES('5976','WASHING MACHINE','BOSCH','20200GC-W - 1548',null,null);
INSERT INTO product_categories VALUES('5977','WASHING MACHINE','DAWLANCE','150DWT - 1548',null,null);
INSERT INTO product_categories VALUES('5978','WASHING MACHINE','DAWLANCE','70A-DW - 1548',null,null);
INSERT INTO product_categories VALUES('5979','WASHING MACHINE','DAWLANCE','155TB-DWT - 1548',null,null);
INSERT INTO product_categories VALUES('5980','WASHING MACHINE','DAWLANCE','72ES-DWF - 118',null,null);
INSERT INTO product_categories VALUES('5981','WASHING MACHINE','DAWLANCE','7500C-DW - 1548',null,null);
INSERT INTO product_categories VALUES('5982','WASHING MACHINE','DAWLANCE','140C2-DW - 1548',null,null);
INSERT INTO product_categories VALUES('5983','WASHING MACHINE','HAIER','75B12756 - 1548',null,null);
INSERT INTO product_categories VALUES('5984','WASHING MACHINE','HAIER','70-14636 - 1548',null,null);
INSERT INTO product_categories VALUES('5985','WASHING MACHINE','HAIER','70-10829HW - 1548',null,null);
INSERT INTO product_categories VALUES('5986','WASHING MACHINE','HAIER','70-12688 - 69',null,null);
INSERT INTO product_categories VALUES('5987','WASHING MACHINE','HAIER','75-918 - 69',null,null);
INSERT INTO product_categories VALUES('5988','WASHING MACHINE','KENWOOD','7020FAF - 898',null,null);
INSERT INTO product_categories VALUES('5989','WASHING MACHINE','KENWOOD','7060KWM - 1483',null,null);
INSERT INTO product_categories VALUES('5990','WASHING MACHINE','LG','4J5QNP3W-S - 899',null,null);
INSERT INTO product_categories VALUES('5991','WASHING MACHINE','LG','4J5QNP7S-S - 1548',null,null);
INSERT INTO product_categories VALUES('5992','WASHING MACHINE','LG','14331ADK-WD - 122',null,null);
INSERT INTO product_categories VALUES('5993','WASHING MACHINE','LG','0C3DQP-S - 1548',null,null);
INSERT INTO product_categories VALUES('5994','WASHING MACHINE','LG','2J5QNP3W-S - 1548',null,null);
INSERT INTO product_categories VALUES('5995','WASHING MACHINE','LG','2J5QNP7S-S  - 1548',null,null);
INSERT INTO product_categories VALUES('5996','WASHING MACHINE','LG','2J3QDNP0-S - 1483',null,null);
INSERT INTO product_categories VALUES('5997','WASHING MACHINE','LG','10C3QDP2 - 122',null,null);
INSERT INTO product_categories VALUES('5998','WASHING MACHINE','LG','10C3QDP2S - 121',null,null);
INSERT INTO product_categories VALUES('5999','WASHING MACHINE','LG','10B8QDT25S - 1548',null,null);
INSERT INTO product_categories VALUES('6000','WASHING MACHINE','LG','10B9QDT2S - 1548',null,null);
INSERT INTO product_categories VALUES('6001','WASHING MACHINE','LG','7016TDC01 - 122',null,null);
INSERT INTO product_categories VALUES('6002','WASHING MACHINE','LG','7016TDC01P - 1548',null,null);
INSERT INTO product_categories VALUES('6003','WASHING MACHINE','LG','6574TDGVH - 1548',null,null);
INSERT INTO product_categories VALUES('6004','WASHING MACHINE','ORIENT','AUTO7 - 1548',null,null);
INSERT INTO product_categories VALUES('6005','WASHING MACHINE','PANASONIC','127VB3 - 59',null,null);
INSERT INTO product_categories VALUES('6006','WASHING MACHINE','PANASONIC','107VC4 - 247',null,null);
INSERT INTO product_categories VALUES('6007','WASHING MACHINE','PANASONIC','70B3-P - 1561',null,null);
INSERT INTO product_categories VALUES('6008','WASHING MACHINE','PANASONIC','70S7F - 1548',null,null);
INSERT INTO product_categories VALUES('6009','WASHING MACHINE','SAMSUNG','702W2BC - 898',null,null);
INSERT INTO product_categories VALUES('6010','WASHING MACHINE','SAMSUNG','0700NCWX - 898',null,null);
INSERT INTO product_categories VALUES('6011','WASHING MACHINE','SAMSUNG','1702W5W - 898',null,null);
INSERT INTO product_categories VALUES('6012','WASHING MACHINE','SAMSUNG','1702WEU - 898',null,null);
INSERT INTO product_categories VALUES('6013','WASHING MACHINE','SAMSUNG','70J3283W-S - 1548',null,null);
INSERT INTO product_categories VALUES('6014','WASHING MACHINE','SAMSUNG','70J3283W-SZ - 1548',null,null);
INSERT INTO product_categories VALUES('6015','WASHING MACHINE','SAMSUNG','70H4000  - 1548',null,null);
INSERT INTO product_categories VALUES('6016','WASHING MACHINE','SAMSUNG','70H4000-MRM - 1548',null,null);
INSERT INTO product_categories VALUES('6017','WASHING MACHINE','SAMSUNG','70H4000-SZ - 1548',null,null);
INSERT INTO product_categories VALUES('6018','WASHING MACHINE','SAMSUNG','70H4000GT - 1548',null,null);
INSERT INTO product_categories VALUES('6019','WASHING MACHINE','SAMSUNG','70H4200-MRM  - 1548',null,null);
INSERT INTO product_categories VALUES('6020','WASHING MACHINE','SAMSUNG','70H4200-S - 1483',null,null);
INSERT INTO product_categories VALUES('6021','WASHING MACHINE','SAMSUNG','70H4200-SZ - 1548',null,null);
INSERT INTO product_categories VALUES('6022','WASHING MACHINE','SAMSUNG','70H4200SWGT - 1548',null,null);
INSERT INTO product_categories VALUES('6023','WASHING MACHINE','SAMSUNG','90G9-S - 1548',null,null);
INSERT INTO product_categories VALUES('6024','WASHING MACHINE','SAMSUNG','90G9DEP - 901',null,null);
INSERT INTO product_categories VALUES('6025','WASHING MACHINE','SHARP','710CX-S - 1548',null,null);
INSERT INTO product_categories VALUES('6026','WASHING MACHINE','SHARP','710CZ-W-S - 1548',null,null);
INSERT INTO product_categories VALUES('6027','WASHING MACHINE','SIEMENS','10E467ME - 376',null,null);
INSERT INTO product_categories VALUES('6028','WASHING MACHINE','SIEMENS','10K200GC - 1548',null,null);
INSERT INTO product_categories VALUES('6029','WASHING MACHINE','SIEMENS','10Q460GC - 376',null,null);
INSERT INTO product_categories VALUES('6030','WASHING MACHINE','SIEMENS','14H320GB - 1548',null,null);
INSERT INTO product_categories VALUES('6031','WASHING MACHINE','SIGNATURE','SWM-FW1407S - 1548',null,null);
INSERT INTO product_categories VALUES('6032','WASHING MACHINE','SIGNATURE','SWM-SJ40 - 1548',null,null);
INSERT INTO product_categories VALUES('6033','WASHING MACHINE','SIGNATURE','SWM-SR40 - 1548',null,null);
INSERT INTO product_categories VALUES('6034','WASHING MACHINE','SUPER ASIA','520SD - 1548',null,null);
INSERT INTO product_categories VALUES('6035','WASHING MACHINE','SUPER ASIA','520SDS - 898',null,null);
INSERT INTO product_categories VALUES('6036','WASHING MACHINE','SUPER ASIA','241SA - 1548',null,null);
INSERT INTO product_categories VALUES('6037','WASHING MACHINE','SUPER ASIA','620SDM - 898',null,null);
INSERT INTO product_categories VALUES('6038','WASHING MACHINE','SUPER ASIA','525SD - 1548',null,null);
INSERT INTO product_categories VALUES('6039','WASHING MACHINE','SUPER ASIA','233SA - 522',null,null);
INSERT INTO product_categories VALUES('6040','WASHING MACHINE','SUPER ASIA','240EXCEL - 522',null,null);
INSERT INTO product_categories VALUES('6041','WASHING MACHINE','SUPER ASIA','240SA - 522',null,null);
INSERT INTO product_categories VALUES('6042','WASHING MACHINE','SUPER ASIA','240SA-SHW - 1548',null,null);
INSERT INTO product_categories VALUES('6043','WASHING MACHINE','SUPER ASIA','240PLUS - 522',null,null);
INSERT INTO product_categories VALUES('6044','WASHING MACHINE','SUPER ASIA','240POWER WASH - 899',null,null);
INSERT INTO product_categories VALUES('6045','WASHING MACHINE','SUPER ASIA','240SHW-CRYSTAL - 1548',null,null);
INSERT INTO product_categories VALUES('6046','WASHING MACHINE','WELCOME','710IZ - 1548',null,null);
INSERT INTO product_categories VALUES('6047','WASHING MACHINE','WHIRLPOOL','700AHG - 1548',null,null);
INSERT INTO product_categories VALUES('6048','WASHING MACHINE','HAIER','85-12826HW - 945',null,null);
INSERT INTO product_categories VALUES('6049','WASHING MACHINE','HAIER','85-1708HWM - 945',null,null);
INSERT INTO product_categories VALUES('6050','WASHING MACHINE','HAIER','85-7288 - 69',null,null);
INSERT INTO product_categories VALUES('6051','WASHING MACHINE','HAIER','85-728HWM - 69',null,null);
INSERT INTO product_categories VALUES('6052','WASHING MACHINE','HAIER','85-826HWM  - 945',null,null);
INSERT INTO product_categories VALUES('6053','WASHING MACHINE','LG','7148STHP-S - 945',null,null);
INSERT INTO product_categories VALUES('6054','WASHING MACHINE','SIGNATURE','SWM-JD45  - 945',null,null);
INSERT INTO product_categories VALUES('6055','WASHING MACHINE','SIGNATURE','SWM-JD46 - 945',null,null);
INSERT INTO product_categories VALUES('6056','WASHING MACHINE','SIGNATURE','SWM-JD47C - 945',null,null);
INSERT INTO product_categories VALUES('6057','WASHING MACHINE','SUPER ASIA','708APG - 945',null,null);
INSERT INTO product_categories VALUES('6058','WASHING MACHINE','WAVES','685CM - 603',null,null);
INSERT INTO product_categories VALUES('6059','WASHING MACHINE','LG','1496ADP23 - 899',null,null);
INSERT INTO product_categories VALUES('6060','WASHING MACHINE','LG','1496ADP23S - 899',null,null);
INSERT INTO product_categories VALUES('6061','WASHING MACHINE','LG','1496ADP24-C - 899',null,null);
INSERT INTO product_categories VALUES('6062','WASHING MACHINE','LG','1496ADP24-P - 899',null,null);
INSERT INTO product_categories VALUES('6063','WASHING MACHINE','LG','1496ADP24S - 899',null,null);
INSERT INTO product_categories VALUES('6064','WASHING MACHINE','LG','1496ADT23-S - 899',null,null);
INSERT INTO product_categories VALUES('6065','WASHING MACHINE','LG','1496ADT24-S - 899',null,null);
INSERT INTO product_categories VALUES('6066','WASHING MACHINE','BOSCH','30460GC - 1850',null,null);
INSERT INTO product_categories VALUES('6067','WASHING MACHINE','LG','4J6TNP8S-C - 1850',null,null);
INSERT INTO product_categories VALUES('6068','WASHING MACHINE','LG','4J6TMP0W-C - 1850',null,null);
INSERT INTO product_categories VALUES('6069','WASHING MACHINE','LG','4J6TMP0W-S - 1850',null,null);
INSERT INTO product_categories VALUES('6070','WASHING MACHINE','LG','4J6TMP8S-C - 899',null,null);
INSERT INTO product_categories VALUES('6071','WASHING MACHINE','LG','4J6TMP8S-S - 899',null,null);
INSERT INTO product_categories VALUES('6072','WASHING MACHINE','BOSCH','24260GC - 902',null,null);
INSERT INTO product_categories VALUES('6073','WASHING MACHINE','BOSCH','24210GC - 899',null,null);
INSERT INTO product_categories VALUES('6074','WASHING MACHINE','DAWLANCE','260ES-DW - 899',null,null);
INSERT INTO product_categories VALUES('6075','WASHING MACHINE','DAWLANCE','85ES-DWF - 118',null,null);
INSERT INTO product_categories VALUES('6076','WASHING MACHINE','DAWLANCE','170G2-DW - 899',null,null);
INSERT INTO product_categories VALUES('6077','WASHING MACHINE','DAWLANCE','170C2-DW - 901',null,null);
INSERT INTO product_categories VALUES('6078','WASHING MACHINE','DAWLANCE','6550DW  - 899',null,null);
INSERT INTO product_categories VALUES('6079','WASHING MACHINE','DAWLANCE','8500DW - 118',null,null);
INSERT INTO product_categories VALUES('6080','WASHING MACHINE','DAWLANCE','8500HZP - 899',null,null);
INSERT INTO product_categories VALUES('6081','WASHING MACHINE','DAWLANCE','8100DW - 118',null,null);
INSERT INTO product_categories VALUES('6082','WASHING MACHINE','HAIER','80-14636HW - 899',null,null);
INSERT INTO product_categories VALUES('6083','WASHING MACHINE','HAIER','80-10829HW - 899',null,null);
INSERT INTO product_categories VALUES('6084','WASHING MACHINE','HAIER','80B12756 - 899',null,null);
INSERT INTO product_categories VALUES('6085','WASHING MACHINE','HAIER','80-118BK - 69',null,null);
INSERT INTO product_categories VALUES('6086','WASHING MACHINE','HAIER','80-118BL - 69',null,null);
INSERT INTO product_categories VALUES('6087','WASHING MACHINE','HAIER','80-118RD - 69',null,null);
INSERT INTO product_categories VALUES('6088','WASHING MACHINE','HAIER','80-P201 - 899',null,null);
INSERT INTO product_categories VALUES('6089','WASHING MACHINE','HAIER','8035 - 69',null,null);
INSERT INTO product_categories VALUES('6090','WASHING MACHINE','HAIER','8060 W/M - 69',null,null);
INSERT INTO product_categories VALUES('6091','WASHING MACHINE','HAIER','8050W/M - 69',null,null);
INSERT INTO product_categories VALUES('6092','WASHING MACHINE','HAIER','80-000S - 69',null,null);
INSERT INTO product_categories VALUES('6093','WASHING MACHINE','HAIER','80AS-WM - 69',null,null);
INSERT INTO product_categories VALUES('6094','WASHING MACHINE','HAIER','80-ASR - 899',null,null);
INSERT INTO product_categories VALUES('6095','WASHING MACHINE','HAIER','80-100 W/M - 69',null,null);
INSERT INTO product_categories VALUES('6096','WASHING MACHINE','HAIER','80-100SRG - 899',null,null);
INSERT INTO product_categories VALUES('6097','WASHING MACHINE','HAIER','80-100SRM - 899',null,null);
INSERT INTO product_categories VALUES('6098','WASHING MACHINE','KENWOOD','8300FAF - 121',null,null);
INSERT INTO product_categories VALUES('6099','WASHING MACHINE','KENWOOD','899W - 899',null,null);
INSERT INTO product_categories VALUES('6100','WASHING MACHINE','LG','4J6TNP0W-S - 899',null,null);
INSERT INTO product_categories VALUES('6101','WASHING MACHINE','LG','4J5TNP3W - 899',null,null);
INSERT INTO product_categories VALUES('6102','WASHING MACHINE','LG','4J5TNP3W-S - 899',null,null);
INSERT INTO product_categories VALUES('6103','WASHING MACHINE','LG','4J5TNP7S - 899',null,null);
INSERT INTO product_categories VALUES('6104','WASHING MACHINE','LG','1496TDT24-C - 899',null,null);
INSERT INTO product_categories VALUES('6105','WASHING MACHINE','LG','1496TDT24S - 122',null,null);
INSERT INTO product_categories VALUES('6106','WASHING MACHINE','LG','1496TDT24W - 122',null,null);
INSERT INTO product_categories VALUES('6107','WASHING MACHINE','LG','1422TD - 899',null,null);
INSERT INTO product_categories VALUES('6108','WASHING MACHINE','LG','496TDT5-S - 899',null,null);
INSERT INTO product_categories VALUES('6109','WASHING MACHINE','LG','3H20NTP-S - 1561',null,null);
INSERT INTO product_categories VALUES('6110','WASHING MACHINE','LG','4G7TDYG5W-S - 899',null,null);
INSERT INTO product_categories VALUES('6111','WASHING MACHINE','LG','1489TD25 - 899',null,null);
INSERT INTO product_categories VALUES('6112','WASHING MACHINE','LG','1489TD25S - 122',null,null);
INSERT INTO product_categories VALUES('6113','WASHING MACHINE','LG','4U2TDHP5N - 899',null,null);
INSERT INTO product_categories VALUES('6114','WASHING MACHINE','LG','4J6TNP8S-S - 899',null,null);
INSERT INTO product_categories VALUES('6115','WASHING MACHINE','LG','4J6TNP8W-S - 899',null,null);
INSERT INTO product_categories VALUES('6116','WASHING MACHINE','LG','7566NEFPF-S - 901',null,null);
INSERT INTO product_categories VALUES('6117','WASHING MACHINE','LG','7007TEFT-S - 122',null,null);
INSERT INTO product_categories VALUES('6118','WASHING MACHINE','LG','7003S - 122',null,null);
INSERT INTO product_categories VALUES('6119','WASHING MACHINE','LG','8566NEHVF-S - 899',null,null);
INSERT INTO product_categories VALUES('6120','WASHING MACHINE','LG','8008TEFV01 - 122',null,null);
INSERT INTO product_categories VALUES('6121','WASHING MACHINE','LG','8008TEFV01S - 122',null,null);
INSERT INTO product_categories VALUES('6122','WASHING MACHINE','LG','7507TEFVS - 899',null,null);
INSERT INTO product_categories VALUES('6123','WASHING MACHINE','LG','8007TEF - 899',null,null);
INSERT INTO product_categories VALUES('6124','WASHING MACHINE','LG','8003T - S - 899',null,null);
INSERT INTO product_categories VALUES('6125','WASHING MACHINE','LG','8003TEEL-P - 880',null,null);
INSERT INTO product_categories VALUES('6126','WASHING MACHINE','ORIENT','AUTO8 - 899',null,null);
INSERT INTO product_categories VALUES('6127','WASHING MACHINE','PANASONIC','148VB3 - 899',null,null);
INSERT INTO product_categories VALUES('6128','WASHING MACHINE','PANASONIC','16VA1-NA - 247',null,null);
INSERT INTO product_categories VALUES('6129','WASHING MACHINE','SAMSUNG','80F5E5GT - 899',null,null);
INSERT INTO product_categories VALUES('6130','WASHING MACHINE','SAMSUNG','8800LSW-P - 899',null,null);
INSERT INTO product_categories VALUES('6131','WASHING MACHINE','SAMSUNG','80J4260-S - 899',null,null);
INSERT INTO product_categories VALUES('6132','WASHING MACHINE','SAMSUNG','80J5413IW-SZ - 899',null,null);
INSERT INTO product_categories VALUES('6133','WASHING MACHINE','SAMSUNG','80J5413WGT - 899',null,null);
INSERT INTO product_categories VALUES('6134','WASHING MACHINE','SAMSUNG','80H4000-SZ - 899',null,null);
INSERT INTO product_categories VALUES('6135','WASHING MACHINE','SAMSUNG','80H4000SWGT - 899',null,null);
INSERT INTO product_categories VALUES('6136','WASHING MACHINE','SHARP','814CX-S - 899',null,null);
INSERT INTO product_categories VALUES('6137','WASHING MACHINE','SHARP','810BZ-W - 899',null,null);
INSERT INTO product_categories VALUES('6138','WASHING MACHINE','SHARP','FS814BX-S-C - 899',null,null);
INSERT INTO product_categories VALUES('6139','WASHING MACHINE','SHARP','FS814BX-W-C - 899',null,null);
INSERT INTO product_categories VALUES('6140','WASHING MACHINE','SIEMENS','14Q468GC - 899',null,null);
INSERT INTO product_categories VALUES('6141','WASHING MACHINE','SIEMENS','14Q46SGC - 376',null,null);
INSERT INTO product_categories VALUES('6142','WASHING MACHINE','SIEMENS','14Y890GB - 376',null,null);
INSERT INTO product_categories VALUES('6143','WASHING MACHINE','SIEMENS','12K210GC - 906',null,null);
INSERT INTO product_categories VALUES('6144','WASHING MACHINE','SIGNATURE','SWM-SR45 - 899',null,null);
INSERT INTO product_categories VALUES('6145','WASHING MACHINE','SUPER ASIA','255SA - 522',null,null);
INSERT INTO product_categories VALUES('6146','WASHING MACHINE','SUPER ASIA','260SA - 522',null,null);
INSERT INTO product_categories VALUES('6147','WASHING MACHINE','SUPER ASIA','111SAW - 522',null,null);
INSERT INTO product_categories VALUES('6148','WASHING MACHINE','SUPER ASIA','242SA - 522',null,null);
INSERT INTO product_categories VALUES('6149','WASHING MACHINE','TEKA','141400 - 747',null,null);
INSERT INTO product_categories VALUES('6150','WASHING MACHINE','HAIER','95-1678HWM - 1817',null,null);
INSERT INTO product_categories VALUES('6151','WASHING MACHINE','LG','4J6VGP2S-S - 2010',null,null);
INSERT INTO product_categories VALUES('6152','WASHING MACHINE','SAMSUNG','90J6410GT - 901',null,null);
INSERT INTO product_categories VALUES('6153','WASHING MACHINE','SAMSUNG','90K6410 - 1855',null,null);
INSERT INTO product_categories VALUES('6154','WASHING MACHINE','SAMSUNG','90K6410-MRM - 1855',null,null);
INSERT INTO product_categories VALUES('6155','WASHING MACHINE','SAMSUNG','90K6410-SZ - 901',null,null);
INSERT INTO product_categories VALUES('6156','WASHING MACHINE','SAMSUNG','90K6410QX-GT - 901',null,null);
INSERT INTO product_categories VALUES('6157','WASHING MACHINE','SAMSUNG','90J5710GT - 901',null,null);
INSERT INTO product_categories VALUES('6158','WASHING MACHINE','BOSCH','28460GC - 901',null,null);
INSERT INTO product_categories VALUES('6159','WASHING MACHINE','BOSCH','24462GC - 902',null,null);
INSERT INTO product_categories VALUES('6160','WASHING MACHINE','CANON','9700CA - 901',null,null);
INSERT INTO product_categories VALUES('6161','WASHING MACHINE','CANON','9200CA - 901',null,null);
INSERT INTO product_categories VALUES('6162','WASHING MACHINE','CANON','9400CA - 1817',null,null);
INSERT INTO product_categories VALUES('6163','WASHING MACHINE','CANON','9600CA - 901',null,null);
INSERT INTO product_categories VALUES('6164','WASHING MACHINE','DAWLANCE','260LVS-DWT - 901',null,null);
INSERT INTO product_categories VALUES('6165','WASHING MACHINE','DAWLANCE','260CLVS-PLUS - 901',null,null);
INSERT INTO product_categories VALUES('6166','WASHING MACHINE','DAWLANCE','260SLVS-DWT - 901',null,null);
INSERT INTO product_categories VALUES('6167','WASHING MACHINE','DAWLANCE','260SLVS-PLUS - 901',null,null);
INSERT INTO product_categories VALUES('6168','WASHING MACHINE','DAWLANCE','235TB-DWT - 901',null,null);
INSERT INTO product_categories VALUES('6169','WASHING MACHINE','DAWLANCE','230DWT-W - 901',null,null);
INSERT INTO product_categories VALUES('6170','WASHING MACHINE','DAWLANCE','1600A-DWF - 118',null,null);
INSERT INTO product_categories VALUES('6171','WASHING MACHINE','HAIER','90-1789HWM - 901',null,null);
INSERT INTO product_categories VALUES('6172','WASHING MACHINE','HAIER','90-D0658 - 69',null,null);
INSERT INTO product_categories VALUES('6173','WASHING MACHINE','KENWOOD','935SA - 901',null,null);
INSERT INTO product_categories VALUES('6174','WASHING MACHINE','KENWOOD','930SA-KWM - 901',null,null);
INSERT INTO product_categories VALUES('6175','WASHING MACHINE','KENWOOD','950SA - 901',null,null);
INSERT INTO product_categories VALUES('6176','WASHING MACHINE','KENWOOD','960SA - 901',null,null);
INSERT INTO product_categories VALUES('6177','WASHING MACHINE','LG','4J6VYP2S-S - 901',null,null);
INSERT INTO product_categories VALUES('6178','WASHING MACHINE','LG','4J8VSP2S-C - 899',null,null);
INSERT INTO product_categories VALUES('6179','WASHING MACHINE','LG','4J8VSP2S-S - 901',null,null);
INSERT INTO product_categories VALUES('6180','WASHING MACHINE','LG','9588NEHVA-S - 901',null,null);
INSERT INTO product_categories VALUES('6181','WASHING MACHINE','LG','9569NEFPS-C - 901',null,null);
INSERT INTO product_categories VALUES('6182','WASHING MACHINE','PANASONIC','90B3-P - 901',null,null);
INSERT INTO product_categories VALUES('6183','WASHING MACHINE','SAMSUNG','90H7410GT - 901',null,null);
INSERT INTO product_categories VALUES('6184','WASHING MACHINE','SAMSUNG','90J5455MW-S - 901',null,null);
INSERT INTO product_categories VALUES('6185','WASHING MACHINE','SAMSUNG','906U4SA - 901',null,null);
INSERT INTO product_categories VALUES('6186','WASHING MACHINE','SAMSUNG','90J5710 - 901',null,null);
INSERT INTO product_categories VALUES('6187','WASHING MACHINE','SAMSUNG','90J5710-MRM - 901',null,null);
INSERT INTO product_categories VALUES('6188','WASHING MACHINE','SAMSUNG','90J5710-SZ - 901',null,null);
INSERT INTO product_categories VALUES('6189','WASHING MACHINE','SAMSUNG','90F5S2 - 901',null,null);
INSERT INTO product_categories VALUES('6190','WASHING MACHINE','SAMSUNG','90F5S2-MRM - 901',null,null);
INSERT INTO product_categories VALUES('6191','WASHING MACHINE','SAMSUNG','90F5S2-SZ  - 901',null,null);
INSERT INTO product_categories VALUES('6192','WASHING MACHINE','SAMSUNG','90H3230GT - 901',null,null);
INSERT INTO product_categories VALUES('6193','WASHING MACHINE','SIEMENS','14T460GC - 376',null,null);
INSERT INTO product_categories VALUES('6194','WASHING MACHINE','SIGNATURE','SWM-FW1409S - 901',null,null);
INSERT INTO product_categories VALUES('6195','WASHING MACHINE','WAVES','900WWST - 901',null,null);
INSERT INTO product_categories VALUES('6196','WASHING MACHINE','BOSS','1500PLUS-C - 785',null,null);
INSERT INTO product_categories VALUES('6197','WASHING MACHINE','BOSS','1500PLUS-D - 785',null,null);
INSERT INTO product_categories VALUES('6198','WASHING MACHINE','ECOSTAR','08-500WM - 1688',null,null);
INSERT INTO product_categories VALUES('6199','WASHING MACHINE','ECOSTAR','08-700WM - 1688',null,null);
INSERT INTO product_categories VALUES('6200','WASHING MACHINE','ECOSTAR','6-600WM - 1688',null,null);
INSERT INTO product_categories VALUES('6201','WASHING MACHINE','ECOSTAR','12-600WM - 1688',null,null);
INSERT INTO product_categories VALUES('6202','WASHING MACHINE','ECOSTAR','12-700WM - 1688',null,null);
INSERT INTO product_categories VALUES('6203','WASHING MACHINE','ECOSTAR','06-700WM - 1688',null,null);
INSERT INTO product_categories VALUES('6204','WASHING MACHINE','SUPER ASIA','110SA - 1997',null,null);
INSERT INTO product_categories VALUES('6205','WASHING MACHINE','ZANUSSI','900X - 406',null,null);
INSERT INTO product_categories VALUES('6206','WATER COOLER','CARAVELL','120G - 125',null,null);
INSERT INTO product_categories VALUES('6207','WATER COOLER','CORONA','120G-WC - 669',null,null);
INSERT INTO product_categories VALUES('6208','WATER COOLER','SANYO','150G - 203',null,null);
INSERT INTO product_categories VALUES('6209','WATER COOLER','FISCHER','40SS - 1641',null,null);
INSERT INTO product_categories VALUES('6210','WATER COOLER','SANYO','40-SS - 1641',null,null);
INSERT INTO product_categories VALUES('6211','WATER COOLER','CANON','35-SWC - 1640',null,null);
INSERT INTO product_categories VALUES('6212','WATER COOLER','CARAVELL','35G - 963',null,null);
INSERT INTO product_categories VALUES('6213','WATER COOLER','CORONA','35G-DLX - 669',null,null);
INSERT INTO product_categories VALUES('6214','WATER COOLER','CORONA','35G-SLIM - 669',null,null);
INSERT INTO product_categories VALUES('6215','WATER COOLER','FISCHER','35SS-SLIM - 1037',null,null);
INSERT INTO product_categories VALUES('6216','WATER COOLER','FIVE STAR','35G-WC - 1037',null,null);
INSERT INTO product_categories VALUES('6217','WATER COOLER','NASGAS','35G-NG - 1037',null,null);
INSERT INTO product_categories VALUES('6218','WATER COOLER','CANON','45DWC - 1027',null,null);
INSERT INTO product_categories VALUES('6219','WATER COOLER','CANON','45-SWC - 1027',null,null);
INSERT INTO product_categories VALUES('6220','WATER COOLER','CORONA','45G-SLIM - 669',null,null);
INSERT INTO product_categories VALUES('6221','WATER COOLER','FISCHER','45GF - 1027',null,null);
INSERT INTO product_categories VALUES('6222','WATER COOLER','FISCHER','45SS-SLIM - 1027',null,null);
INSERT INTO product_categories VALUES('6223','WATER COOLER','FIVE STAR','45G-WC - 1027',null,null);
INSERT INTO product_categories VALUES('6224','WATER COOLER','RAYS','45GR - 1237',null,null);
INSERT INTO product_categories VALUES('6225','WATER COOLER','SANYO','45G - 1027',null,null);
INSERT INTO product_categories VALUES('6226','WATER COOLER','CARAVELL','60G - 125',null,null);
INSERT INTO product_categories VALUES('6227','WATER COOLER','CORONA','65G-DLX - 669',null,null);
INSERT INTO product_categories VALUES('6228','WATER COOLER','SANYO','60G  - 203',null,null);
INSERT INTO product_categories VALUES('6229','WATER COOLER','SILVER LINE','60G-SL - 988',null,null);
INSERT INTO product_categories VALUES('6230','WATER COOLER','CANON','65DWC - 1220',null,null);
INSERT INTO product_categories VALUES('6231','WATER COOLER','CANON','65-SWC - 1988',null,null);
INSERT INTO product_categories VALUES('6232','WATER COOLER','FIVE STAR','65G-WC - 1220',null,null);
INSERT INTO product_categories VALUES('6233','WATER COOLER','RAYS','65GR - 1220',null,null);
INSERT INTO product_categories VALUES('6234','WATER COOLER','SANYO','65G - 1220',null,null);
INSERT INTO product_categories VALUES('6235','WATER COOLER','CARAVELL','80G - 125',null,null);
INSERT INTO product_categories VALUES('6236','WATER COOLER','CORONA','80G-DLX - 669',null,null);
INSERT INTO product_categories VALUES('6237','WATER COOLER','FISCHER','80GF - 989',null,null);
INSERT INTO product_categories VALUES('6238','WATER COOLER','SANYO','80G - 203',null,null);
INSERT INTO product_categories VALUES('6239','WATER COOLER','CANON','85-SWC - 2121',null,null);
INSERT INTO product_categories VALUES('6240','WATER COOLER','FISCHER','100LITRE - 1728',null,null);
INSERT INTO product_categories VALUES('6241','WATER COOLER','FISCHER','35GF - 739',null,null);
INSERT INTO product_categories VALUES('6242','WATER COOLER','FISCHER','65GF - 1220',null,null);
INSERT INTO product_categories VALUES('6243','WATER COOLER','KELVINATOR','154WD - 1401',null,null);
INSERT INTO product_categories VALUES('6244','WATER DISPENSER','CARAVELL','5L-807-WD - 126',null,null);
INSERT INTO product_categories VALUES('6245','WATER DISPENSER','CARAVELL','5L-906B - 126',null,null);
INSERT INTO product_categories VALUES('6246','WATER DISPENSER','CARAVELL','902 - 126',null,null);
INSERT INTO product_categories VALUES('6247','WATER DISPENSER','CARAVELL','1102 - 126',null,null);
INSERT INTO product_categories VALUES('6248','WATER DISPENSER','CARAVELL','206WD - 126',null,null);
INSERT INTO product_categories VALUES('6249','WATER DISPENSER','CARAVELL','901NAR - 993',null,null);
INSERT INTO product_categories VALUES('6250','WATER DISPENSER','CARAVELL','1007HD - 993',null,null);
INSERT INTO product_categories VALUES('6251','WATER DISPENSER','CARAVELL','906-6NAR - 993',null,null);
INSERT INTO product_categories VALUES('6252','WATER DISPENSER','CARAVELL','501NAR - 994',null,null);
INSERT INTO product_categories VALUES('6253','WATER DISPENSER','CARAVELL','52BVDF - 126',null,null);
INSERT INTO product_categories VALUES('6254','WATER DISPENSER','CHANGHONG','55G-CR - 993',null,null);
INSERT INTO product_categories VALUES('6255','WATER DISPENSER','DAWLANCE','1060GWR - 993',null,null);
INSERT INTO product_categories VALUES('6256','WATER DISPENSER','DAWLANCE','1060SWR - 993',null,null);
INSERT INTO product_categories VALUES('6257','WATER DISPENSER','DAWLANCE','1041SR - 993',null,null);
INSERT INTO product_categories VALUES('6258','WATER DISPENSER','DAWLANCE','1030W  - 994',null,null);
INSERT INTO product_categories VALUES('6259','WATER DISPENSER','ECOSTAR','350FC - 993',null,null);
INSERT INTO product_categories VALUES('6260','WATER DISPENSER','ECOSTAR','350FS - 993',null,null);
INSERT INTO product_categories VALUES('6261','WATER DISPENSER','ECOSTAR','300F - 993',null,null);
INSERT INTO product_categories VALUES('6262','WATER DISPENSER','ECOSTAR','300FS - 2122',null,null);
INSERT INTO product_categories VALUES('6263','WATER DISPENSER','ECOSTAR','300WD - 993',null,null);
INSERT INTO product_categories VALUES('6264','WATER DISPENSER','ELECTORLUX','1050E - 1242',null,null);
INSERT INTO product_categories VALUES('6265','WATER DISPENSER','ENVIRO','40WD-B - 993',null,null);
INSERT INTO product_categories VALUES('6266','WATER DISPENSER','ENVIRO','40WD-W - 993',null,null);
INSERT INTO product_categories VALUES('6267','WATER DISPENSER','ENVIRO','70WF01 - 1296',null,null);
INSERT INTO product_categories VALUES('6268','WATER DISPENSER','ENVIRO','80EWD - 993',null,null);
INSERT INTO product_categories VALUES('6269','WATER DISPENSER','ENVIRO','60GF01 - 1296',null,null);
INSERT INTO product_categories VALUES('6270','WATER DISPENSER','ENVIRO','25WD - 1296',null,null);
INSERT INTO product_categories VALUES('6271','WATER DISPENSER','ENVIRO','20WD-RB - 1296',null,null);
INSERT INTO product_categories VALUES('6272','WATER DISPENSER','ENVIRO','35WD - 1296',null,null);
INSERT INTO product_categories VALUES('6273','WATER DISPENSER','ENVIRO','50GF01 - 1296',null,null);
INSERT INTO product_categories VALUES('6274','WATER DISPENSER','ENVIRO','50WF01 - 993',null,null);
INSERT INTO product_categories VALUES('6275','WATER DISPENSER','ENVIRO','80WDB - 993',null,null);
INSERT INTO product_categories VALUES('6276','WATER DISPENSER','ENVIRO','60WF01 - 1296',null,null);
INSERT INTO product_categories VALUES('6277','WATER DISPENSER','FAST','1102F - 127',null,null);
INSERT INTO product_categories VALUES('6278','WATER DISPENSER','FAST','1006F - 127',null,null);
INSERT INTO product_categories VALUES('6279','WATER DISPENSER','FAST','902F - 127',null,null);
INSERT INTO product_categories VALUES('6280','WATER DISPENSER','GREE','500FC - 993',null,null);
INSERT INTO product_categories VALUES('6281','WATER DISPENSER','GREE','500FS - 993',null,null);
INSERT INTO product_categories VALUES('6282','WATER DISPENSER','GREE','500FJL - 1708',null,null);
INSERT INTO product_categories VALUES('6283','WATER DISPENSER','GREE','400FC - 993',null,null);
INSERT INTO product_categories VALUES('6284','WATER DISPENSER','GREE','400FS - 993',null,null);
INSERT INTO product_categories VALUES('6285','WATER DISPENSER','HAIER','3913D - 993',null,null);
INSERT INTO product_categories VALUES('6286','WATER DISPENSER','HAIER','3C-HWD - 994',null,null);
INSERT INTO product_categories VALUES('6287','WATER DISPENSER','HAIER','HLM-60B - 1398',null,null);
INSERT INTO product_categories VALUES('6288','WATER DISPENSER','HAIER','JX01G-HWD - 993',null,null);
INSERT INTO product_categories VALUES('6289','WATER DISPENSER','HAIER','JX01S-HWD - 993',null,null);
INSERT INTO product_categories VALUES('6290','WATER DISPENSER','HAIER','3025D - 993',null,null);
INSERT INTO product_categories VALUES('6291','WATER DISPENSER','HAIER','3209D - 993',null,null);
INSERT INTO product_categories VALUES('6292','WATER DISPENSER','HAIER','3409D - 993',null,null);
INSERT INTO product_categories VALUES('6293','WATER DISPENSER','HOMAGE','45HWD - 993',null,null);
INSERT INTO product_categories VALUES('6294','WATER DISPENSER','HOMAGE','82HWD - 993',null,null);
INSERT INTO product_categories VALUES('6295','WATER DISPENSER','HOMAGE','83HWD - 993',null,null);
INSERT INTO product_categories VALUES('6296','WATER DISPENSER','HOMAGE','84HWD - 993',null,null);
INSERT INTO product_categories VALUES('6297','WATER DISPENSER','HOMAGE','69HWD - 993',null,null);
INSERT INTO product_categories VALUES('6298','WATER DISPENSER','HOMAGE','30-HWD - 474',null,null);
INSERT INTO product_categories VALUES('6299','WATER DISPENSER','HOMAGE','29HWD - 474',null,null);
INSERT INTO product_categories VALUES('6300','WATER DISPENSER','HOMAGE','28HWD - 993',null,null);
INSERT INTO product_categories VALUES('6301','WATER DISPENSER','HOMAGE','21-HWD - 993',null,null);
INSERT INTO product_categories VALUES('6302','WATER DISPENSER','HOMAGE','86HWD - 993',null,null);
INSERT INTO product_categories VALUES('6303','WATER DISPENSER','HOMAGE','43HWD - 993',null,null);
INSERT INTO product_categories VALUES('6304','WATER DISPENSER','HOMAGE','62HWD - 993',null,null);
INSERT INTO product_categories VALUES('6305','WATER DISPENSER','HOMAGE','87HWD - 993',null,null);
INSERT INTO product_categories VALUES('6306','WATER DISPENSER','HOMAGE','31HWD - 993',null,null);
INSERT INTO product_categories VALUES('6307','WATER DISPENSER','HOMAGE','63HWD - 993',null,null);
INSERT INTO product_categories VALUES('6308','WATER DISPENSER','HOMAGE','44HWD - 993',null,null);
INSERT INTO product_categories VALUES('6309','WATER DISPENSER','HOMAGE','61HWD - 993',null,null);
INSERT INTO product_categories VALUES('6310','WATER DISPENSER','HOMAGE','81HWD - 993',null,null);
INSERT INTO product_categories VALUES('6311','WATER DISPENSER','HOMAGE','71HWD - 993',null,null);
INSERT INTO product_categories VALUES('6312','WATER DISPENSER','HOMAGE','85HWD - 993',null,null);
INSERT INTO product_categories VALUES('6313','WATER DISPENSER','INTERCOOL','16WD - 1434',null,null);
INSERT INTO product_categories VALUES('6314','WATER DISPENSER','MAGIC','9900F-BLACK - 993',null,null);
INSERT INTO product_categories VALUES('6315','WATER DISPENSER','MAGIC','9900F-BLUE - 993',null,null);
INSERT INTO product_categories VALUES('6316','WATER DISPENSER','MAGIC','8900 - 1404',null,null);
INSERT INTO product_categories VALUES('6317','WATER DISPENSER','MAGIC','8900F - 836',null,null);
INSERT INTO product_categories VALUES('6318','WATER DISPENSER','MAGIC','8910F - 1404',null,null);
INSERT INTO product_categories VALUES('6319','WATER DISPENSER','MIDAS','5L-YLR-906 - 396',null,null);
INSERT INTO product_categories VALUES('6320','WATER DISPENSER','MIDAS','5L-YLR-807 - 396',null,null);
INSERT INTO product_categories VALUES('6321','WATER DISPENSER','MIDAS','5L(906) - 396',null,null);
INSERT INTO product_categories VALUES('6322','WATER DISPENSER','MIDAS','5L-702 - 993',null,null);
INSERT INTO product_categories VALUES('6323','WATER DISPENSER','MIDAS','5L-805 - 993',null,null);
INSERT INTO product_categories VALUES('6324','WATER DISPENSER','MIDAS','6VN300A - 993',null,null);
INSERT INTO product_categories VALUES('6325','WATER DISPENSER','MIDAS','1002Y - 1373',null,null);
INSERT INTO product_categories VALUES('6326','WATER DISPENSER','MIDAS','1004Y - 396',null,null);
INSERT INTO product_categories VALUES('6327','WATER DISPENSER','ORIENT','CRYSTAL-C-BLK - 993',null,null);
INSERT INTO product_categories VALUES('6328','WATER DISPENSER','ORIENT','CRYSTAL-RD-BLK - 993',null,null);
INSERT INTO product_categories VALUES('6329','WATER DISPENSER','ORIENT','531BL - 993',null,null);
INSERT INTO product_categories VALUES('6330','WATER DISPENSER','ORIENT','531OWR - 993',null,null);
INSERT INTO product_categories VALUES('6331','WATER DISPENSER','ORIENT','533W - 1708',null,null);
INSERT INTO product_categories VALUES('6332','WATER DISPENSER','ORIENT','541BL - 993',null,null);
INSERT INTO product_categories VALUES('6333','WATER DISPENSER','ORIENT','541RD  - 993',null,null);
INSERT INTO product_categories VALUES('6334','WATER DISPENSER','ORIENT','3AQUA-SW - 993',null,null);
INSERT INTO product_categories VALUES('6335','WATER DISPENSER','ORIENT','3RIPPLE-W - 993',null,null);
INSERT INTO product_categories VALUES('6336','WATER DISPENSER','ORIENT','529BL - 128',null,null);
INSERT INTO product_categories VALUES('6337','WATER DISPENSER','ORIENT','529OWR - 128',null,null);
INSERT INTO product_categories VALUES('6338','WATER DISPENSER','PANATRON','1411PWD - 993',null,null);
INSERT INTO product_categories VALUES('6339','WATER DISPENSER','PANATRON','1411-BLACK - 1708',null,null);
INSERT INTO product_categories VALUES('6340','WATER DISPENSER','PANATRON','1411-BLUE - 1708',null,null);
INSERT INTO product_categories VALUES('6341','WATER DISPENSER','PANATRON','1411-GOLDEN - 1708',null,null);
INSERT INTO product_categories VALUES('6342','WATER DISPENSER','PANATRON','1411-GREEN - 1708',null,null);
INSERT INTO product_categories VALUES('6343','WATER DISPENSER','PANATRON','1411-PURPLE - 1708',null,null);
INSERT INTO product_categories VALUES('6344','WATER DISPENSER','PANATRON','1411-RED - 1708',null,null);
INSERT INTO product_categories VALUES('6345','WATER DISPENSER','PANATRON','1411-SILVER - 1708',null,null);
INSERT INTO product_categories VALUES('6346','WATER DISPENSER','RAYS','400D-BLACK - 1708',null,null);
INSERT INTO product_categories VALUES('6347','WATER DISPENSER','RAYS','400D-SILVER - 1708',null,null);
INSERT INTO product_categories VALUES('6348','WATER DISPENSER','RAYS','13M - 1363',null,null);
INSERT INTO product_categories VALUES('6349','WATER DISPENSER','SIGNATURE','SWD-HD10-GR - 994',null,null);
INSERT INTO product_categories VALUES('6350','WATER DISPENSER','SIGNATURE','SWD-HD20-GD - 994',null,null);
INSERT INTO product_categories VALUES('6351','WATER DISPENSER','SIGNATURE','SWD-HD20-RD - 994',null,null);
INSERT INTO product_categories VALUES('6352','WATER DISPENSER','SIGNATURE','SWD-MD1 - 994',null,null);
INSERT INTO product_categories VALUES('6353','WATER DISPENSER','SIGNATURE','MD2-S - 1708',null,null);
INSERT INTO product_categories VALUES('6354','WATER DISPENSER','SIGNATURE','JX1-BL - 1708',null,null);
INSERT INTO product_categories VALUES('6355','WATER DISPENSER','SIGNATURE','JX1-GD - 1708',null,null);
INSERT INTO product_categories VALUES('6356','WATER DISPENSER','SIGNATURE','JX1-GR - 1708',null,null);
INSERT INTO product_categories VALUES('6357','WATER DISPENSER','SIGNATURE','JX1-RD - 1708',null,null);
INSERT INTO product_categories VALUES('6358','WATER DISPENSER','SIGNATURE','PN1 - 1708',null,null);
INSERT INTO product_categories VALUES('6359','WATER DISPENSER','SIGNATURE','PN1-GD - 1708',null,null);
INSERT INTO product_categories VALUES('6360','WATER DISPENSER','SIGNATURE','PN1-RD - 1708',null,null);
INSERT INTO product_categories VALUES('6361','WATER DISPENSER','SUPER ASIA','40GD-HC - 993',null,null);
INSERT INTO product_categories VALUES('6362','WATER DISPENSER','SUPER ASIA','35MB-HC - 993',null,null);
INSERT INTO product_categories VALUES('6363','WATER DISPENSER','SUPER ASIA','35MW-HC - 993',null,null);
INSERT INTO product_categories VALUES('6364','WATER DISPENSER','TCL','150YC - 680',null,null);
INSERT INTO product_categories VALUES('6365','WATER DISPENSER','VARIOLINE','30DTRB-GD - 993',null,null);
INSERT INTO product_categories VALUES('6366','WATER DISPENSER','VARIOLINE','20STRL-BLK  - 993',null,null);
INSERT INTO product_categories VALUES('6367','WATER DISPENSER','VARIOLINE','20STRL-WHT - 993',null,null);
INSERT INTO product_categories VALUES('6368','WATER DISPENSER','VARIOLINE','18WD - 1355',null,null);
INSERT INTO product_categories VALUES('6369','WATER DISPENSER','XTREME','88XT - 1341',null,null);



CREATE TABLE `roles` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `full_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO roles VALUES('1','admin','Admin',null,null,null);
INSERT INTO roles VALUES('2','services_incharge','Services Incharge',null,null,null);
INSERT INTO roles VALUES('3','supervisor','Supervisor',null,null,null);
INSERT INTO roles VALUES('4','csr','Customer Service Representative',null,null,null);
INSERT INTO roles VALUES('5','customer','Customer',null,null,null);
INSERT INTO roles VALUES('6','vendor','Vendor',null,null,null);
INSERT INTO roles VALUES('7','branch_incharge','branch incharge',null,null,null);



CREATE TABLE `salesmen` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `branch_id` bigint(20) unsigned DEFAULT NULL,
  `first_name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `last_name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone_no` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `salesmen_branch_id_foreign` (`branch_id`),
  CONSTRAINT `salesmen_branch_id_foreign` FOREIGN KEY (`branch_id`) REFERENCES `branches` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=54 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO salesmen VALUES('3','3','mehraan','abbasi','03440156181','2020-07-06 04:01:45','2020-07-06 04:01:45');
INSERT INTO salesmen VALUES('4','3','ahmad','abasi','234234','2020-07-16 19:32:43','2020-07-16 19:32:43');
INSERT INTO salesmen VALUES('5','4','SYED','MUDASSIR','03335727110','2020-07-26 22:16:58','2020-07-26 22:16:58');
INSERT INTO salesmen VALUES('6','4','RAJA','ZAHID','03335171494','2020-07-26 22:18:20','2020-07-26 22:18:20');
INSERT INTO salesmen VALUES('7','4','MURTAZA','BUTT','03115006051','2020-07-26 22:19:19','2020-07-26 22:19:19');
INSERT INTO salesmen VALUES('8','4','AZHAR','AZHAR','03139898008','2020-07-27 17:37:02','2020-07-27 17:37:02');
INSERT INTO salesmen VALUES('9','4','SAMI','ULLAH','03150508452','2020-07-27 17:37:55','2020-07-27 17:37:55');
INSERT INTO salesmen VALUES('10','4','WAQAS','AHMED','03239309080','2020-07-27 17:38:26','2020-07-27 17:38:26');
INSERT INTO salesmen VALUES('11','4','BILAL','BHATTI','03335311234','2020-07-27 17:39:03','2020-07-27 17:39:03');
INSERT INTO salesmen VALUES('12','6','RIZWAN','RIZWAN','03126661934','2020-07-27 17:40:07','2020-07-27 17:40:07');
INSERT INTO salesmen VALUES('13','6','AZHAR','SAB','03035593083','2020-07-27 17:40:51','2020-07-27 17:40:51');
INSERT INTO salesmen VALUES('14','6','KAMRAN','NASEER','03219507474','2020-07-27 17:41:29','2020-07-27 17:41:29');
INSERT INTO salesmen VALUES('15','6','SHAHZAD','SHAHZAD','03455275176','2020-07-27 17:42:16','2020-07-27 17:42:16');
INSERT INTO salesmen VALUES('16','6','ZEESHAN','ZEESHAN','03110159819','2020-07-27 17:42:49','2020-07-27 17:42:49');
INSERT INTO salesmen VALUES('17','6','AHSAAN','AHSAAN','03113110013','2020-07-27 17:43:21','2020-07-27 17:43:21');
INSERT INTO salesmen VALUES('18','6','YASIR','KIYANI','03455037404','2020-07-27 17:43:56','2020-07-27 17:43:56');
INSERT INTO salesmen VALUES('19','9','NAVEED','QAZI','03005213783','2020-07-27 17:44:49','2020-07-27 17:44:49');
INSERT INTO salesmen VALUES('20','9','JAVED','JAVED','03009771779','2020-07-27 17:45:18','2020-07-27 17:45:18');
INSERT INTO salesmen VALUES('21','9','BILAL','MALIK','03110533103','2020-07-27 17:46:04','2020-07-27 17:46:04');
INSERT INTO salesmen VALUES('22','9','SAIF','ULLAH','03135193818','2020-07-27 17:46:26','2020-07-27 17:46:26');
INSERT INTO salesmen VALUES('23','9','MAZHAR','CHAUDAHRY','03139899001','2020-07-27 17:47:06','2020-07-27 17:47:06');
INSERT INTO salesmen VALUES('24','9','WAQAS','ABBASI','03215151945','2020-07-27 17:47:29','2020-07-27 17:47:29');
INSERT INTO salesmen VALUES('25','9','MUJTABA','RAJPOOT','03335392177','2020-07-27 17:48:04','2020-07-27 17:48:04');
INSERT INTO salesmen VALUES('26','9','IRFAN','IRFAN','03355088858','2020-07-27 17:48:29','2020-07-27 17:48:29');
INSERT INTO salesmen VALUES('27','9','MAZHAR','IQBAL','03455261600','2020-07-27 17:48:55','2020-07-27 17:48:55');
INSERT INTO salesmen VALUES('28','5','IKHLAQ','AHMED','03009796002','2020-07-27 17:49:47','2020-07-27 17:49:47');
INSERT INTO salesmen VALUES('29','5','KABEER','KABEER','03009796001','2020-07-27 17:52:42','2020-07-27 17:52:42');
INSERT INTO salesmen VALUES('30','5','NAEEM','AHMED','03005077900','2020-07-27 17:53:05','2020-07-27 17:53:05');
INSERT INTO salesmen VALUES('31','5','TARIQ','CHAUDAHRY','03005566006','2020-07-27 17:53:40','2020-07-27 17:53:40');
INSERT INTO salesmen VALUES('32','5','ARSHAD','MEHMOOD','03065005122','2020-07-27 17:54:05','2020-07-27 17:54:05');
INSERT INTO salesmen VALUES('33','5','ALI','KHAN','03125091656','2020-07-27 17:54:35','2020-07-27 17:54:35');
INSERT INTO salesmen VALUES('34','5','BADAL','RAJA','03145299358','2020-07-27 17:55:04','2020-07-27 17:55:04');
INSERT INTO salesmen VALUES('35','5','JIBRAN','JIBRAN','03483339881','2020-07-27 17:55:40','2020-07-27 17:55:40');
INSERT INTO salesmen VALUES('36','5','MARIYAM','MARIYAM','03315489417','2020-07-27 17:56:44','2020-07-27 17:56:44');
INSERT INTO salesmen VALUES('37','8','HASSAN','HASSAN','03013000123','2020-07-27 17:59:11','2020-07-27 17:59:11');
INSERT INTO salesmen VALUES('38','8','ADIL','KIYANI','03225566006','2020-07-27 19:29:26','2020-07-27 19:29:26');
INSERT INTO salesmen VALUES('39','8','ISHFAQ','ABBASI','03135001212','2020-07-27 19:30:53','2020-07-27 19:30:53');
INSERT INTO salesmen VALUES('40','8','ZAFAR','ZAFAR','03065338399','2020-07-27 19:31:35','2020-07-27 19:31:35');
INSERT INTO salesmen VALUES('41','8','BILAL','BILAL','03120578711','2020-07-27 19:32:11','2020-07-27 19:32:11');
INSERT INTO salesmen VALUES('42','8','NAVEED','AHMED','03135051119','2020-07-27 19:33:21','2020-07-27 19:33:21');
INSERT INTO salesmen VALUES('43','8','BILAL','MANZOOR','03007682287','2020-07-27 19:34:07','2020-07-27 19:34:07');
INSERT INTO salesmen VALUES('44','10','NAEEM','NASEER','03325532355','2020-07-27 19:35:28','2020-07-27 19:35:28');
INSERT INTO salesmen VALUES('45','10','KHURRAM','KHURRAM','03215511255','2020-07-27 19:35:50','2020-07-27 19:35:50');
INSERT INTO salesmen VALUES('46','10','SADDIQ','AKBAR','03215000903','2020-07-27 19:36:27','2020-07-27 19:36:27');
INSERT INTO salesmen VALUES('47','8','YASIR','YASIR','03465007129','2020-07-27 19:37:13','2020-07-27 19:37:13');
INSERT INTO salesmen VALUES('48','8','SHEBA','NAZIR','03309344317','2020-07-27 19:37:59','2020-07-27 19:37:59');
INSERT INTO salesmen VALUES('49','7','KHURRAM','MALIK','03005548081','2020-07-27 19:39:08','2020-07-27 19:39:08');
INSERT INTO salesmen VALUES('50','9','azeem','azeem','03315420488','2020-07-27 19:52:48','2020-07-27 19:52:48');
INSERT INTO salesmen VALUES('51','9','imran','imran','03005331105','2020-07-28 15:40:06','2020-07-28 15:40:06');
INSERT INTO salesmen VALUES('52','10','ASLAM SHARWANI','ASLAM SHARWANI','0300_8557478.','2020-08-08 16:01:51','2020-08-08 16:01:51');
INSERT INTO salesmen VALUES('53','5','khurram','khurram','03332270737','2020-09-05 01:40:55','2020-09-05 01:40:55');



CREATE TABLE `statuses` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` enum('customer','supervisor','vendor','specialRequest') COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO statuses VALUES('1','Pending','pending','customer',null,null);
INSERT INTO statuses VALUES('2','Supervisor','supervisor','customer',null,null);
INSERT INTO statuses VALUES('3','Company','company','customer',null,null);
INSERT INTO statuses VALUES('4','Vendor','vendor','customer',null,null);
INSERT INTO statuses VALUES('5','Completed','completed','customer',null,null);
INSERT INTO statuses VALUES('6','Declined','declined','customer',null,null);
INSERT INTO statuses VALUES('7','Supervisor Back','supervisor_back','customer',null,null);
INSERT INTO statuses VALUES('8','Vendor Back','vendor_back','customer',null,null);
INSERT INTO statuses VALUES('9','Mobile Off','mobile_off','vendor',null,null);
INSERT INTO statuses VALUES('10','Not picking call','no_picking_call','vendor',null,null);
INSERT INTO statuses VALUES('11','Invalid Number','invalid_number','vendor',null,null);
INSERT INTO statuses VALUES('12','Completed','vendor_completed','vendor',null,null);
INSERT INTO statuses VALUES('13','Now Mobile is on','on_mobile','supervisor',null,null);
INSERT INTO statuses VALUES('15','Completed','supervisor_completed','supervisor',null,null);
INSERT INTO statuses VALUES('16','Admin','s_admin','specialRequest',null,null);
INSERT INTO statuses VALUES('17','Supervisor','s_supervisor','specialRequest',null,null);
INSERT INTO statuses VALUES('18','Approved','approved','specialRequest',null,null);
INSERT INTO statuses VALUES('19','Rejected','rejected','specialRequest',null,null);
INSERT INTO statuses VALUES('20','PCB','PCB DEMAND','vendor','2020-07-26 22:22:42','2020-07-26 22:22:42');
INSERT INTO statuses VALUES('21','double','complant','customer','2020-08-13 04:14:31','2020-08-13 04:14:31');
INSERT INTO statuses VALUES('22','PART ISSUE','PART ISSUE','vendor','2020-08-19 00:54:11','2020-08-19 00:54:11');
INSERT INTO statuses VALUES('23','IN PROCESS','IN PROCESS','supervisor','2020-08-19 02:23:13','2020-08-19 02:23:13');
INSERT INTO statuses VALUES('24','IN PROCESS','IN PROCESS','vendor','2020-08-19 02:23:43','2020-08-19 02:23:43');
INSERT INTO statuses VALUES('25','cancel','cancel','supervisor','2020-08-19 02:58:03','2020-08-19 02:58:03');
INSERT INTO statuses VALUES('26','cancel','cancel','vendor','2020-08-19 02:58:27','2020-08-19 02:58:27');
INSERT INTO statuses VALUES('27','Double-entry','Double-entry','supervisor','2020-08-19 03:02:26','2020-08-19 03:02:26');
INSERT INTO statuses VALUES('28','Double-entry','Double-entry','vendor','2020-08-19 03:02:46','2020-08-19 03:02:46');
INSERT INTO statuses VALUES('29','client did not approved estimate','client did not approved estimate','supervisor','2020-08-22 23:19:52','2020-08-22 23:19:52');



CREATE TABLE `supervisors` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `company_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ptcl_no` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` bigint(20) unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `supervisors_user_id_foreign` (`user_id`),
  CONSTRAINT `supervisors_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=60 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO supervisors VALUES('52','test','23232','workings','57','2020-07-07 03:25:47','2020-07-07 03:46:04',null);
INSERT INTO supervisors VALUES('53','coporate','232323','abc','59','2020-07-07 04:23:05','2020-07-07 04:23:05',null);
INSERT INTO supervisors VALUES('54','bss','234234','abc','60','2020-07-07 04:33:29','2020-07-07 04:33:29',null);
INSERT INTO supervisors VALUES('55','supervisorco','2342342','abc','64','2020-07-09 04:13:28','2020-07-09 04:13:28',null);
INSERT INTO supervisors VALUES('58','Friends','0518445463','Rawalpindi','75','2020-07-18 15:52:27','2020-07-18 15:52:27',null);
INSERT INTO supervisors VALUES('59','friends corporation','0518445663','rawalpindi','81','2020-08-04 18:06:49','2020-08-04 18:06:49',null);



CREATE TABLE `users` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `first_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `last_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `username` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `role_id` bigint(20) unsigned NOT NULL,
  `isActive` enum('1','0') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `password` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_unique` (`email`),
  UNIQUE KEY `users_phone_no_unique` (`phone_no`),
  KEY `users_role_id_foreign` (`role_id`),
  CONSTRAINT `users_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=107 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO users VALUES('1','Hello','Admin','03000000000','admin@localhost',null,'1','1',null,'$2y$10$uLqEx.ZwUFc.tYx3HBdTSOYqboOZLMvxiuMs/SNPKRzPdqfufFulK','cjMfTWqKYWMNh8PfvNCqDVhl1noqLjJcDZL2jgwmJBr7vAuj3sbo0bs9PVr9',null,null,null);
INSERT INTO users VALUES('2','Hello','Services Incharge','03111111111','incharge@localhost',null,'2','1',null,'$2y$10$P88N2XDWVWqNjHjSn/DLyOmvDj56ke/CWo5h/uk3AzBZpiVn7dINC',null,null,null,null);
INSERT INTO users VALUES('3','Hello','Supervisor','03111111115','supervisor@localhost','superduper','3','1',null,'$2y$10$uLqEx.ZwUFc.tYx3HBdTSOYqboOZLMvxiuMs/SNPKRzPdqfufFulK',null,null,null,null);
INSERT INTO users VALUES('4','Hello','CSR','03111111112','csr@localhost',null,'4','1',null,'$2y$10$lBAHi1JUBavFF0AuNAfr4.IIudVfViSsRlNjV1e5qx5vfYcOUW4qO',null,null,null,null);
INSERT INTO users VALUES('55','Test Supervisor','last name','03440156181','mehru@gmail.com',null,'6','1',null,'$2y$10$n00SJWxqWoM57owgd2Im6.2feWXGqG.YXuwTufrEEk4sm7pDdR9J6',null,'2020-07-07 02:59:37','2020-07-07 02:59:37',null);
INSERT INTO users VALUES('57','Rameezs','Abbasi','023232323','rameez@gmail.com',null,'6','1',null,'admin321',null,'2020-07-07 03:25:47','2020-07-08 03:11:52',null);
INSERT INTO users VALUES('59','Corporate','Test','0323232323','corporate@gmail.com',null,'3','1',null,'$2y$10$e7XMJCR9jmoT44xVfPnk3OfZli2OqjN1G6DgWLHY9LOJxN9LQIhf6',null,'2020-07-07 04:23:05','2020-07-07 04:23:05',null);
INSERT INTO users VALUES('60','testit','tes','2324323','testit@gmail.com',null,'3','1',null,'$2y$10$tuKvl2Rq0Mmm6Dh7rKas3OrqZAbHKCMU197zKSIpVmhnq9noOmLDK',null,'2020-07-07 04:33:29','2020-07-07 04:33:29',null);
INSERT INTO users VALUES('64','supervisor f','lastname','23423424','supervisorfs@gmail.com',null,'6','1',null,'$2y$10$LWpbW2ccCvFpubm9cTw4IuRxwAHltH4Z1JqttSTVkqTD7irL1ryvy',null,'2020-07-09 04:13:28','2020-07-09 04:13:28',null);
INSERT INTO users VALUES('67','hamza','ahmed','23423','hamzacsr@gmail.com','hamzacsr','4','1',null,'$2y$10$wA.FxfjcoOH4baKE/r3an.GhgA/iqC00SncfiErdjLNybUOuGBWPm','epDxIHtmjAjKDOCa1qBdlXKGb97zkIbs8qAFQ3O2CLy1ItlfVc8zcwgEIquI','2020-07-09 04:56:28','2020-07-18 13:15:50',null);
INSERT INTO users VALUES('69','fst name','lst name','23232','vendor333@gmail.com','vendor333','6','1',null,'$2y$10$Q.E.sUIir/lXMmUARkdwIeWixu1ArSfmvs4vN17n2wfF7JvcGBvyy',null,'2020-07-09 05:22:25','2020-07-09 05:22:25',null);
INSERT INTO users VALUES('70','hamza','shahid','0331089736','hamza.wurfel@gmail.com','Hamza','3','1',null,'$2y$10$F4Y8Fldki.C6m8q9MOc.yO5KbJq3xhnJ0x9r9h0yuEpu6mrfz4eL.','yZ4PbNNntigHkdR6mxV2JpAcZQVrhRQ79677deXleY8iDXpTtiUlYWe0ct72','2020-07-17 16:33:23','2020-07-18 12:45:10',null);
INSERT INTO users VALUES('73','Aneeq','Ahmad','03125331799','aneeeq454@gmail.com','Aneeq','4','1',null,'$2y$10$F4Y8Fldki.C6m8q9MOc.yO5KbJq3xhnJ0x9r9h0yuEpu6mrfz4eL.','RVJjVb8JDKESoYmjUdIbzTZyYm6M1eW8Jbrk98hJ7rk7wVVO6kzo7Y78vPN9','2020-07-18 15:21:32','2021-03-01 13:39:01',null);
INSERT INTO users VALUES('74','huma','huma','03358851908','humamajeed87@gmail.com','huma','4','1',null,'$2y$10$9y9ZynOGdNR1W.FZMHE5QuehKFq1XpYr7qa9N8D/rDoU8UkqgSZlW','uOqY5tpYwQknG2JCwTJT11q6b5564m8J2qOKrqfN8oUmFxdDWThK1azi9rg3','2020-07-18 15:40:54','2021-05-24 11:55:29',null);
INSERT INTO users VALUES('75','Naeem','Naseer','03325532355','bestcool001@gmail.com','Naeem','3','1',null,'$2y$10$l6BUXFOX.fPUtF5Sqeg0auPoA2QKrR2dc43Q9.v/CftqMmB.xsfEK','ZuRSA7Qh6IhQDHWkI8miPeaxRqR7gTHg3jYa16Tk05PYxLKmpmV1j0pFnIBr','2020-07-18 15:52:27','2020-07-18 15:52:27',null);
INSERT INTO users VALUES('76','SHAMIM','AKHTER','03235405695','SHAMIMAKHTER.RWP@GMAIL.COM','SHAMIM','6','1',null,'$2y$10$3Ro8ENgSj71mlys9ZelIDuKJ5ppQ/ddUlhJvawrmXBoaLB9azAVkq',null,'2020-07-27 17:18:39','2020-08-15 22:44:21',null);
INSERT INTO users VALUES('77','KHALID','KHALID','03337669000','accounts.islamabad@msc-pak.com.pk','KHALID','6','1',null,'$2y$10$odG49JnsK6an.qp1pKngE.jYS6GclsjibkH54yCgLSTB.sC.nkPuq','1ypZ5UrTgS4yVOHWnmLc6prTfTMDKaV6vWCXCnQh4yZVG8mgLnGoe90UrHtp','2020-07-30 18:22:07','2020-07-30 18:22:07',null);
INSERT INTO users VALUES('79','RANA','TAHIR','03215327137','LEOTAHIRMUNEER@GMAIL.COM','RANA TAHIR','6','1',null,'$2y$10$uKqAmb18fvL/Z5EZtxNoM.rHJI2HR/bAYcGq9xk6tUb0HiY9Dj6ye','GjBWPHgjzFX820Fl6NJUUWHdsCEep5s6Fhs4AhCMuDPE7cZ6TU11uEakLHGR','2020-07-30 18:32:09','2021-06-03 23:19:01',null);
INSERT INTO users VALUES('80','NADEEM','AZHAR','03335504653','NADEEMAZHARMUGHAL@GMAIL.COM','NADEEM AZHAR','6','1',null,'$2y$10$SngMJZmFdUGwoF6xSz31fO9DQ4AJhpQf1QNuNl4emajBCTD2IQEAi','8WKkFnr8hZNKNf22poVXNZyTmOQIObD7pHuXGol223565CK93MlX0sd1n3z8','2020-07-30 18:35:14','2020-07-30 18:35:14',null);
INSERT INTO users VALUES('81','khurram','shahzad','03215511255','khurram03215511255@gmail.com','khurram','3','1',null,'$2y$10$IrbGvju8CmDWbMykzQMfg.TAnb0kxXIgvHSP7bcfwHEu2zGmQJzou','TYphYtK4hGTntKXNDR9y0o5IRdISC5WrxIWUMUGA84CUrFKbyui6nUKnhJ6U','2020-08-04 18:06:49','2020-08-04 18:06:49',null);
INSERT INTO users VALUES('82','tahir','ramzan','03215666904','tahirimran222@gmail.com','tahir','6','1',null,'$2y$10$Rbr6kjqbmZOWAGbCHoDfpe2QKTB2WJwkF/qdSPcLSyIRSFeNFjmky','HQP5l7vuVAyQpEpYL01wTF76zP4FfNwEnsp1mlPVpncUNmB93atM4QBJzq9O','2020-08-05 16:14:43','2020-08-05 16:15:51',null);
INSERT INTO users VALUES('83','NOUMAN','NOUMAN','03367666884','Noumanluqman98@gmail.com','usman','6','1',null,'$2y$10$tfUGQ6PdnI.kDb0VhJf9COMU/WqrRwn2lsZQdoOTBgj./mFdGPdHC','jIFiQXcjv0raY9In6bXJVagy1sLyaQ3PQhEZpbFadnB3F5rFVRo6cTCdAHaZ','2020-08-05 16:22:04','2021-03-01 13:39:27',null);
INSERT INTO users VALUES('87','ADIL','RANA','03005511255','adil03005511255@gmail.com','ADIL','6','1',null,'$2y$10$jhjQvjpigya7Gk/OCnDiIO1YisLBCAq3GFfM5HCo6HKmf47UJw7V2','pBCeQA0dCkK7MvXQdFVa94n4R87jS5xTGIGKT9KLg8EqBRH2A3EvaQhUyKlZ','2020-08-05 17:40:29','2021-03-29 16:17:51',null);
INSERT INTO users VALUES('88','KHURRAM','ISHAQ','03335715871','khurram03335715871@gmail.com','khurram03215511255@gmail.com','6','1',null,'$2y$10$iSNcMlAKfz5uxyteF2NGsOI8eHaiSZ/mGPULb.FAM3se//.5.o.7S','WaNOPwPswpuSrYZXul9kZIEPKRAeavkxtYCX8K98U6xXR0tkudDK3hmhGjjQ','2020-08-13 23:06:37','2021-07-13 17:25:41',null);
INSERT INTO users VALUES('90','Ali','shahid','03120056709','Ali.wurfel@gmail.com','Ali','7','1',null,'$2y$10$3VJfFm8k9loT1MBrYVFnuuWthJVfPyOMzR6ssdhfaTM51PaS6FPha',null,'2020-08-24 22:24:46','2020-08-24 22:24:46',null);
INSERT INTO users VALUES('91','AneEq','AhmEd','03339067013','aslamsherwani@gmail.com','AslAm','6','1',null,'$2y$10$oYOk58EDalpGp.55cZDI7.ITH51e18V6bfS5qP6Nh4ucBBfa7Od/W','PfFKT70nnS0pgeJIiFUYSPnatJf5W584qGDlIayN4RIEI86MU47KBsrptit2','2020-08-25 00:31:22','2021-04-28 12:08:31',null);
INSERT INTO users VALUES('92','Areeba','nazeer','03361975560','areeba654321@gmail.com','AreEba','4','1',null,'$2y$10$1WaaaHxJ.MDyTKGNlfrQ1Og25lHoCecnXF1JmskOX7jpfDT1tSmSm','mk4LrgrpubldySVWJ0uprnui64IqmQU8mYnVii0wcqNhySpZs0HehPtfrimg','2020-09-13 21:53:37','2020-09-13 22:06:08',null);
INSERT INTO users VALUES('93','M.Ehsan','Ehsan','03113110013','Friends.ehsan@gmail.com','Ehsan','7','1',null,'$2y$10$mUsWxMv6iov03wJ0bqTIn.pFziHEv8C8tXGxmpVajQ2ixINdbXNA6','fE3zqWDSPqrDJYH8Rry6tvCR3T5RFlfIp0A5IzbBqOk7VSEHZtN0DlKvHhp0','2020-09-16 23:03:40','2021-02-03 20:34:10',null);
INSERT INTO users VALUES('94','Mortaza','butt','03115006051','mortazabutt1988@gmail.com','mortaza butt','7','1',null,'$2y$10$IE5NuYiGbpcaDz3BxxFBE.a/1tj0UdoHqUjkfb2ceEHaVNAwPrg4K','EAc9B8AykQ8I0kLzjyHfavQ7Sk6nOcUbHAPv4IsOTRhz4cLWBrH0G1AroFWm','2020-09-16 23:25:29','2020-09-16 23:25:29',null);
INSERT INTO users VALUES('95','Iqbal','Hassan','03465166132','friends.iqbal@gmail.com','iqbal hassan','7','1',null,'$2y$10$RWeYbXvYixuBxkKIRM5wFeXRF8M0LaVx2ke15n88wgGqOT/4ZrNoa','sC2CQpM4MvruN2nJSOX01fyZV5wx66rclrc1vITivFSW5wk2FxTSK1SiHC1d','2020-09-17 00:53:02','2020-09-17 00:53:02',null);
INSERT INTO users VALUES('96','Bilal','Ahmad','03120578711','bilalahmed.friends@gmail.com','Bilal Ahmed','7','1',null,'$2y$10$YqQ31kNAlzkw9040HXgMH.dKEiTe1raxq8G/trWiGs87Zc4txbP7y',null,'2020-09-17 01:09:12','2020-09-17 01:09:12',null);
INSERT INTO users VALUES('97','Hammad','Khan','03455104405','fcpstockest@friendshome.pk','Hammad khan','7','1',null,'$2y$10$cnTSUxbzguRks9eFhFq77uNZtlTn2O09TF2gPSaX/wQJMV4VDxlH2',null,'2020-09-17 01:15:47','2020-09-17 01:15:47',null);
INSERT INTO users VALUES('98','Atif','Atif','03455662238','Samsung.saddar@gmail.com','Atif','7','1',null,'$2y$10$tuBg.xuXhPlXqKm2bMCcweTKZexskN27N3pR7Q7ahOv89gPC8EORC','R6yK8XU8ZlnG2bDCASmyWEVc2Cxb8RXVt2PRYdq0FcOATL7yf0qLt6knkwz8','2020-09-17 02:04:22','2020-09-17 02:04:22',null);
INSERT INTO users VALUES('99','Sajid','Hussain','03135978937','fhs.godown@gmail.com','Sajid Hussain','7','1',null,'$2y$10$m5Cfg9Zj.6ND5HKPG4S0/.SEskhBHulK/Ap8tVAJD63PwZ4wAnqtq','20HWWNHXAs8PRSvOVltu1GLVntoXDEbPa2owuzF55nwtdhWUNKMrslhfOeae','2020-09-17 02:20:25','2020-09-17 02:20:25',null);
INSERT INTO users VALUES('100','Azeem','Baig','03315420488','baigazeem55@gmail.com','Azeem Baig','7','1',null,'$2y$10$ELYIlUgPMUvFOK1I8jdQ6uL5qCUgNxSHw94fKXcfXsUkz6Ot//xna','Hr3V1gnlVsPpCjZmiJo0NdSrq1fmtFUXmr8X7tbhIpZEgR3mLBgUpH7v0IRN','2020-09-17 22:31:07','2020-09-17 22:31:07',null);
INSERT INTO users VALUES('102','Siddique','Admin','03001237654','siddique@friendshomestore.com',null,'1','1',null,'$2y$10$uLqEx.ZwUFc.tYx3HBdTSOYqboOZLMvxiuMs/SNPKRzPdqfufFulK','wKXwlO6dLobKHBNqa1J81660P4w2xcqXgErJFM9Rhg5jF1xyrtzD1sYtZ3cE',null,null,null);
INSERT INTO users VALUES('106','M','NOUMAN','0309024225','NOMAN3@GMAIL.COM','NOUMAN','4','1',null,'$2y$10$Xkub1fC3b9.aw48tRb5xDu7i/eDNGSE15NuqWaw.z5bOaPdF2lGUq','wEF9BQZVHDAJ50GGIRDr55egJyGvKu5htePDMlAkaH2GWnYBQqGisyOXfxHu','2021-07-31 17:42:46','2021-07-31 17:42:46',null);



CREATE TABLE `vendors` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `company_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ptcl_no` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` bigint(20) unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `vendors_user_id_foreign` (`user_id`),
  CONSTRAINT `vendors_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=65 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO vendors VALUES('53','vendorco','234234','abc','69','2020-07-09 05:22:25','2020-07-09 05:22:25',null);
INSERT INTO vendors VALUES('54','Calisto','05188899083','384/2 Saddar Rawalpindi','70','2020-07-17 16:33:23','2020-07-17 16:33:23',null);
INSERT INTO vendors VALUES('55','RELIANT SOLUTIONS','0514853329','H NO 14C SATELLITE TOWN RWP','76','2020-07-27 17:18:39','2020-08-15 22:44:21',null);
INSERT INTO vendors VALUES('56','SONY','0512806055','BLUE AREA ISB','77','2020-07-30 18:22:07','2020-07-30 18:22:07',null);
INSERT INTO vendors VALUES('58','BEST COOL','0515702318','MURREE ROAD RWP','79','2020-07-30 18:32:09','2020-08-13 22:00:59',null);
INSERT INTO vendors VALUES('59','H&S ELECTRONICS','0515120825','JHANDA CHICHI RWP','80','2020-07-30 18:35:14','2020-07-30 18:35:14',null);
INSERT INTO vendors VALUES('60','care electronice','0512825000','blue aria islamabad','82','2020-08-05 16:14:43','2020-08-05 16:14:43',null);
INSERT INTO vendors VALUES('61','smart elec','0514940643','4th b road national plaza opp national market chandni choke rwp','83','2020-08-05 16:22:04','2020-08-05 16:22:04',null);
INSERT INTO vendors VALUES('62','home salution','0518445463','murree road rawalpindi','87','2020-08-05 17:40:29','2020-08-05 17:40:29',null);
INSERT INTO vendors VALUES('63','SIGNATURE GAS APP','0518445463','H DK390-B2 STREET 27 DHOKE KASHMERIAN RWP','88','2020-08-13 23:06:37','2020-08-13 23:06:37',null);
INSERT INTO vendors VALUES('64','FRIENDS CORPORATION','03008557478','PLOT NO 81F ST NO 6 SEC I-10/3 ISLAMABAD','91','2020-08-25 00:31:22','2021-03-29 16:20:47',null);

